// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT        522
#define STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_47_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_47_latin_ext_LINE_SPACING          31

static unsigned int stb__arial_47_latin_ext_pixels[]={
    0x26666666,0x99999999,0x99999999,0xaaa80000,0x2000002a,0x00040000,
    0x2cccc880,0xacba9800,0x4000000a,0x001eeeea,0x26626644,0x33000009,
    0x86662013,0x99999998,0x00099999,0x33310000,0x00000003,0x990664c0,
    0x26600157,0x93322019,0x80001998,0x75001999,0x04ccc099,0x9884ccc0,
    0x00000019,0x33333331,0x4c133333,0x21999999,0x80000999,0x19999999,
    0x79510000,0x99988035,0xfffff000,0xffffffff,0xffffffff,0x88000dff,
    0x0003ffff,0x0005e880,0x200003ee,0x4006fffc,0xffffffd9,0x000000cf,
    0x0009fffd,0x3e61fff1,0x980003ff,0xff503fff,0x3ffff63f,0xffffffff,
    0x02ceffff,0x7fffc000,0xde800004,0x237f4001,0x801effff,0x3e207fff,
    0x3fffb0ff,0x7fff8000,0x3ffffd40,0x402fff98,0xffd3fff9,0x2e00000f,
    0xffffffec,0xffffffff,0xffffff35,0x0fffe6ff,0xffff1000,0x0000ffff,
    0xfffffff9,0xffffd101,0xfffff003,0xffffffff,0xffffffff,0xc8000dff,
    0x00004fff,0x000efe98,0x0007ff4c,0x03fffe20,0xfffffa80,0x02ffffff,
    0x7ffd4000,0xfff10006,0x00fffe61,0x0fffe600,0xfd8fffd4,0xffffffff,
    0xffffffff,0x80001eff,0x0005fffb,0x001ff980,0xfff07fee,0xff803fff,
    0x3ffe207f,0x003fffb0,0x207fff80,0x07fffff9,0x9805fff3,0xfffd3fff,
    0xfea80000,0xffffffff,0xffffffff,0xffffff35,0x0fffe6ff,0xffff1000,
    0x8000ffff,0xfffffffb,0xfffffb07,0xffff801d,0xffffffff,0xffffffff,
    0x20006fff,0x0006fff8,0x000bfb00,0x0003fff2,0x005fff90,0x6fffffcc,
    0x0fffffdb,0x3ffa0000,0xff10000f,0x0fffe61f,0x3ffe6000,0x23fff503,
    0xfffffffd,0xffffffff,0x01ffffff,0x07fff400,0x3fdc0000,0x90bff300,
    0x80bfffd9,0x3e207fff,0x3fffb0ff,0x7fff8000,0x37bfffa0,0x05fff304,
    0xfd3fff98,0x640000ff,0xffffffff,0xffffffff,0xfff35fff,0x3e6fffff,
    0x440003ff,0x7fffffff,0x3ffe6000,0xb85ffeff,0x5ffeafff,0x55555540,
    0xffffbaaa,0xaaaaaaaa,0x3ee0002a,0x000000ff,0x320005fd,0x20000fff,
    0x4004fff8,0x440bfffe,0x0006fffc,0x003fff30,0x987ffc40,0x80003fff,
    0xf503fff9,0x3fff63ff,0x9999999a,0xfffca999,0x50000fff,0x00003fff,
    0xe8013f60,0x7fe400ff,0x1fffe00f,0xfb0fff88,0xf80003ff,0xfff107ff,
    0x5fff3009,0xd3fff980,0x20000fff,0xfffffffa,0xeaaaaeff,0x201aaeff,
    0xfff37ffd,0xff880007,0x2e00004f,0x0220cfff,0x3e6bfff3,0x440004ff,
    0x00006fff,0x017ffc40,0xcff88000,0xfffc8004,0x3fee0000,0x7ffc4005,
    0x07fff406,0x1ffec000,0x3ffe2000,0x007fff30,0x40266600,0x3ff61998,
    0xff70001f,0x3a0005ff,0x000003ff,0x2e005ff1,0xff9805ff,0x1fffe02f,
    0xfb0fff88,0xf80003ff,0xfff507ff,0x5fff3001,0x3a133300,0x880007ff,
    0xffffffff,0x5ffd85ff,0x26fffb00,0x40003fff,0x0004fff8,0x003fff60,
    0x641ffff1,0x20002fff,0x0006fff8,0x01f5c400,0xfff30000,0xfff9000f,
    0x0cc40001,0x17ffcc00,0x00bffee0,0x10000000,0x3fe61fff,0x0000003f,
    0x01fffd80,0x13fff200,0x00aaa200,0x0ffa8000,0x003ffd00,0xff80fffe,
    0x3ffe207f,0x003fffb0,0x707fff80,0x3e600fff,0xfd0002ff,0xf70000ff,
    0xffffffff,0x0bffb0bf,0x7cdfff60,0x440003ff,0x00004fff,0x2601bffe,
    0x55441aaa,0x3e20002a,0x000006ff,0x006fffec,0x7ffcc000,0xfffc8007,
    0x00000000,0x9807fff3,0x20002cde,0x0abcba98,0x3e20eb80,0x7fff30ff,
    0x00000000,0x0003fffb,0x0007fff8,0x32000000,0xdff5005f,0x01fff400,
    0x7c40ffff,0x3fffb0ff,0x7fff8000,0x200fff70,0x0002fff9,0x0000fffd,
    0xfffffff9,0xffb0bfff,0x5fff600b,0x0003fff9,0x0027ffc4,0x04fff880,
    0x40000000,0x0006fff8,0x754bee00,0xf9800004,0xdd3007ff,0xbdddfffd,
    0xf8000000,0x00000eff,0x7fffed40,0x80dfffff,0x3fe26ffa,0x07fff30f,
    0x00000331,0x007fff60,0x03fffd00,0x40000000,0x003ff999,0x74007ffd,
    0x3ffe04ff,0x43ffe207,0x0001fffd,0xfb83fffc,0xfff3006f,0x3ffa0005,
    0xffd80007,0xffffffff,0x005ffd85,0x3fe6fffb,0x7c40003f,0x500004ff,
    0x00007fff,0xff880000,0x2000006f,0x0003dc5e,0xff300000,0xdfffffff,
    0x16fecc00,0x77ffe400,0xfa800000,0xffffffff,0x50cfffff,0x7fc43fff,
    0x27fff30f,0xdffffed8,0x0bbba201,0xfd8f7754,0x740001ff,0x77441fff,
    0x7744004e,0x3f6e202e,0x802fffff,0x2001fff9,0x3fe04ffe,0x3ffe207f,
    0x003fffb0,0x907fff80,0x3e600dff,0x774c02ff,0x00fffd2e,0xffffff00,
    0xb0bfffff,0x3f600bff,0x07fff37f,0x23eeed88,0x0004fff8,0xfffdddd7,
    0x3005dddd,0x00005ddd,0x0037ffc4,0xfa89f000,0x13000000,0x7fffcc00,
    0x006fffff,0x05fb7df3,0x3ffffd00,0x7fe40000,0xfeffffff,0xbfffffff,
    0x7fc42fff,0x57fff30f,0xffffffff,0x3ffe60bf,0x23fff503,0x0001fffd,
    0x203fffe2,0x2000fffe,0xf900fffb,0xffffffff,0x6ffd807f,0x027ff400,
    0x7c40ffff,0x3fffb0ff,0x7fff8000,0x200dff90,0x4c02fff9,0xfffd3fff,
    0xfffd0000,0xbfffffff,0x200bffb0,0xfff37ffd,0x7fff4407,0x027ffc44,
    0xfffffe80,0x01ffffff,0x003fff98,0x1bffe200,0x0fc80000,0x98000176,
    0x2dffffec,0x3f20fbb2,0x6d8000ff,0x7c400364,0x000cffff,0x7ffffec0,
    0x7ecc40ab,0x83ffffff,0xff30fff8,0xbbffffdf,0x81bffffd,0xf503fff9,
    0x3fff63ff,0x3fee0001,0x7fff707f,0x437ff400,0xefffffe8,0x0dfffffc,
    0x003fff88,0xff027ff4,0x7ffc40ff,0x003fffb0,0x907fff80,0x3e600dff,
    0x7fcc02ff,0x00fffd3f,0xfffff900,0xb0bfffff,0x3f600bff,0x07fff37f,
    0x213fffa2,0x0004fff8,0xffffffff,0x3001ffff,0x00007fff,0x0037ffc4,
    0xfbff1000,0x2e00005f,0xffffffff,0x909ffd4f,0xf0001fff,0x4000fa87,
    0xeffffffb,0xfff90002,0x3aa001bf,0xf105ffff,0x3ffe61ff,0xff983fff,
    0x7ffcc4ff,0x23fff503,0x0001fffd,0x209ffff7,0x3006fff8,0xff905fff,
    0x3fe215df,0xfa84ffff,0x7ec001ff,0x1fffe04f,0xfb0fff88,0xf80003ff,
    0xdff907ff,0x0bffe600,0x3a7fff30,0xb80007ff,0xffffffff,0x5ffd85ff,
    0x26fffb00,0xfe883fff,0xfff104ff,0x3fe00009,0xff30005f,0x4400007f,
    0x00006fff,0x07fffec0,0x7ffe4000,0xffffeeff,0xfc84ffed,0x6d8000ff,
    0xfd300364,0xfffffbdf,0x7fd4001b,0xf88003ff,0xf880ffff,0xffff30ff,
    0x7ff4405f,0x0fffe61f,0xfd8fffd4,0x266001ff,0x406ffffc,0xc801fffd,
    0x7fd40fff,0x47fd41ff,0xffc87ffe,0x7fec000f,0x81fffe05,0xffb0fff8,
    0xff80003f,0x0bffb07f,0x00bffe60,0x3fa7fff3,0xe880007f,0xffffffff,
    0x05ffd85f,0x3e6fffb0,0x7ff443ff,0x3ffe204f,0xff880004,0xff30004f,
    0x4400007f,0x00006fff,0x3ffffe20,0x7fdc0003,0x3ea20bff,0xc84fffff,
    0xa8000fff,0x003fc9cf,0x7d49fff3,0x802fffff,0x004ffff8,0x7fffffb0,
    0x261fff10,0xa804ffff,0x3fe64fff,0x3fff503f,0x3bbbfff6,0xfeeeeeee,
    0x1fffffff,0x027ffd40,0x7ec2fffc,0x55fd83ff,0xffe85fff,0x6ffc8007,
    0x881fffe0,0xfffb0fff,0xfff80003,0x009ffd07,0x300bffe6,0x3ffa7fff,
    0xff500007,0xbfffffff,0x200bffb0,0xfff37ffd,0x1ffff447,0x013ffe20,
    0x0bffea00,0x1fffcc00,0xfff10000,0x5c00000d,0x006fffff,0x00ffffc0,
    0x09ffffd1,0x0001fff9,0x0033ffae,0x6c427fdc,0x00dfffff,0x003fffee,
    0x3ffbff20,0x7ffc40ff,0x01ffff30,0xf99bffa0,0xfff503ff,0x3fffff63,
    0xffffffff,0x0dffffff,0x80dfff00,0x7c42fffa,0x47ff05ff,0x7ffc3eff,
    0xfffa8006,0x40ffff00,0xffb0fff8,0xff80003f,0x2fff887f,0x05fff300,
    0xfd3fff98,0x5c0000ff,0xffffffff,0x005ffd85,0x3fe6fffb,0x7fffd13f,
    0x09fff100,0x3fff7000,0x3ffe6000,0x3e200003,0x000006ff,0x3fff7ffa,
    0xfff70001,0xffff3007,0x01fff909,0xe8001800,0x3fea01ff,0xfd00efff,
    0xf70007ff,0x9fffb1df,0x3e64cc88,0x3ee004ff,0x0fffe67f,0xfd8fffd4,
    0xffffffff,0xefffffff,0x7fe4002c,0x1fff601f,0x260fffea,0x7c4020ff,
    0xf88005ff,0xffff04ff,0xd87ffc40,0x40001fff,0xffc87fff,0x3ffe6007,
    0x9fffcc02,0x00007ffe,0x7fffff4c,0x05ffd85f,0x3e6fffb0,0xfffe8bff,
    0x9fff1003,0xfffb0000,0x7ffcc000,0x3e200003,0x000006ff,0xfff1fff3,
    0x3ffe0009,0x3fff6007,0x00fffc84,0x00266200,0x2007ffcc,0x85ffffd8,
    0x8006fff8,0xff51fffa,0x3fe600ff,0x3fea003f,0x07fff31f,0x7ec7ffea,
    0xcccccdff,0x03fffffe,0x13ffe600,0x6427ffc4,0x6fc82fff,0x09fff300,
    0x0bfff200,0xf881fffe,0x3fffb0ff,0x7fff8000,0x0027ffd4,0x9805fff3,
    0xfffd3fff,0x2e600000,0xfd85fffd,0xfffb005f,0x3fb3ffe6,0x3e2006ff,
    0xe80004ff,0x260006ff,0x00003fff,0x001bffe2,0xcb7fe400,0x44000fff,
    0x2a004fff,0xffc84fff,0x3722000f,0xceffffff,0x07fff100,0x13fffea0,
    0x8009fff7,0x7fc1fffa,0xff9800ff,0x3fe6002f,0x07fff32f,0x7ec7ffea,
    0x7fd401ff,0xd0000dff,0x3fee0fff,0x1fffc81f,0xf3004fe8,0x6c0007ff,
    0x3fe4ffff,0x3ffe207f,0x003fff90,0xf97fff80,0x9800bfff,0x7cc02fff,
    0x0fffd3ff,0xff900000,0x00bffb0b,0x7fcdfff6,0x3fffffff,0x09fff100,
    0x0bfff000,0x1fffcc00,0xfff10000,0x3e00000d,0x7fff54ff,0x2fff9800,
    0x13ffe200,0x4003fff2,0xfffffffb,0xd02fffff,0x7d400dff,0x7ffe47ff,
    0x3ffe6003,0x01fffd82,0x001fff98,0x7cd3ffe2,0xfff503ff,0x007fff63,
    0x01bfffe6,0x417ffdc0,0xffb06ffe,0x01ff881f,0x005fff50,0x26fffb80,
    0x3e207fff,0x5fff90ff,0x7ffc4000,0x007fffd7,0x805fff30,0xffd3fff9,
    0x9000000f,0xbffb0bff,0x4dfff600,0xffffffff,0xff8801ff,0x7c40004f,
    0x260003ff,0x00003fff,0x001bffe2,0x8bffea00,0x54006fff,0x7c001fff,
    0xfffc84ff,0x7fff4400,0xfffeeeff,0xffc82fff,0x3ff6005f,0x0bfff61f,
    0x81fffc40,0x9802fffc,0x22000fff,0xfff34fff,0x47ffea07,0x3001fffd,
    0x000bffff,0xf88bfff1,0xfffb03ff,0x5400ff70,0x40002fff,0x3fe6ffe9,
    0x3ffe207f,0x005fff70,0xeb7ffcc0,0x98002eff,0x7cc02fff,0x0fffd3ff,
    0xff900000,0x00bffb0b,0x7fcdfff6,0xfffbafff,0x4fff8806,0x7ffd4000,
    0x3fe60002,0x2200003f,0x00006fff,0x7e47ffd8,0x3f2001ff,0x7f4001ff,
    0x0fffc84f,0x0f7ffe40,0x85fffea8,0x00efffe8,0x3a2fff98,0xe8801fff,
    0x3fee04ff,0xfff9803f,0x3ffe6001,0x207fff32,0xffb1fffa,0x7fd4003f,
    0xfd8003ff,0x3ffee0ff,0x83fff900,0x3ea005fd,0x2a0003ff,0x3fe5ffff,
    0x3ffe207f,0x007fff50,0xdb7ffcc0,0x4004ffff,0x4c02fff9,0xfffd3fff,
    0xf9000000,0x0bffb0bf,0x7cdfff60,0x3ffa2fff,0x7ffc403f,0x7fdc0004,
    0x3e60001f,0x200003ff,0x0006fff8,0x227ffc40,0x2005fff9,0x4001fffc,
    0xffc84fff,0x37ffc00f,0x0ffffc40,0x1fffffcc,0xf87ffe20,0xfe800fff,
    0x7ffd405f,0x2fff9805,0x47ffea00,0xf503fff9,0x3fff63ff,0x7ffe4001,
    0x7fd4002f,0x817ffa2f,0x7fc2fffc,0x3ffe6003,0xfff50003,0x07fff839,
    0x7cc3ffe2,0x2a0004ff,0x3f264fff,0x3e6003ff,0x7fcc02ff,0x00fffd3f,
    0xbff90000,0x200bffb0,0xfff37ffd,0x1ffff989,0x013ffe20,0x00fffb00,
    0x03fff980,0x3ffe2000,0x7dc00006,0xfffe81ff,0x5fff5000,0x84fff800,
    0x2e00fffb,0xf7001fff,0x3fea05ff,0xf701efff,0x7fffc1ff,0x02ffec00,
    0x2a2fffd4,0x0fffe62a,0x267ffb80,0xff503fff,0x07fff63f,0xffffd100,
    0x5fff8001,0x5c05fff1,0x3fe63fff,0x10ceec80,0x20009fff,0xfff05ffe,
    0x87ffc40f,0x0006fff8,0x360ffff6,0x3e6007ff,0x7fcc02ff,0x00fffd3f,
    0xbff90000,0x200bffb0,0xfff37ffd,0x0dfff707,0x0027ffc4,0x001bffa0,
    0x007fff30,0x37ffc400,0x3ffa0000,0x07fff706,0x00fffe60,0xb84fff88,
    0x32a00fff,0x3fea005d,0x3ffa202f,0x7fcc4fff,0x0ffff43f,0x001dff90,
    0x7c49fff9,0xdfff30ff,0x32fff400,0x3ea07fff,0x3fffb1ff,0xffff3000,
    0x7ffc800b,0xf880fff7,0x41bf25ff,0x7ffc6ffe,0xfff88004,0x40ffff01,
    0x3fa0fff8,0xf88002ff,0xff881fff,0xfff3001f,0x3fff9805,0x0000fffd,
    0xb0bff900,0x3f600bff,0x07fff37f,0x440ffffa,0x40004fff,0x40005fff,
    0x0003fff9,0x01bffe20,0x4fff9800,0x00dfff10,0x8013ffe2,0xfb84fffa,
    0x800001ff,0xb802fff9,0xb9efffff,0xffd85fff,0x1dff702f,0x8ffff600,
    0xff30fff8,0xff5005ff,0x1fffcc9f,0xfb1fffa8,0x320003ff,0x2002ffff,
    0xffdafff8,0x1fffd804,0xfff309fd,0x006ffe87,0x3e06ffb8,0x3fe207ff,
    0x3fffee0f,0x7ffe4001,0x013ffa06,0x2017ffcc,0xffd3fff9,0x9000000f,
    0xbffb0bff,0x4dfff600,0xff303fff,0xfff103ff,0x7fc40009,0x7cc0003f,
    0x200003ff,0x0006fff8,0x803fff60,0xd001fffd,0x3a001fff,0xffa84fff,
    0x00019aef,0x3fffae62,0xfffb1003,0x207fffff,0xfa82fffc,0x3fa001ff,
    0x3ffe22ff,0x1dffff30,0x07fff440,0x2a07fff3,0xfffb1fff,0x3fe20003,
    0x7f4006ff,0x801fffdf,0xff9efffa,0x41fffe81,0xd8007ffc,0x3ffe05ff,
    0x03ffe207,0x003fffff,0x05ffffb1,0x9802ffec,0x7cc02fff,0x0fffd3ff,
    0xff900000,0x00bffb0b,0x7fcdfff6,0x3fff203f,0x04fff886,0x0bffea00,
    0x7fff3000,0x7fc40000,0xf100006f,0xffa80dff,0xfff5005f,0xffff5009,
    0xfffff309,0x973100ff,0xfffffffd,0xffa8007f,0x2e00ffff,0x7fd44fff,
    0x7ffc001f,0x43ffe21f,0x1efffff9,0x43ffff98,0xf503fff9,0x3fff63ff,
    0x3fea0001,0x3ee004ff,0x2006ffff,0x47fefffd,0xa83fffd8,0x6c001fff,
    0x3ffe05ff,0x03ffe207,0x9dfffff7,0xff953315,0xfc80bfff,0xfff3005f,
    0x3fff9805,0x9999fffd,0x99999999,0x3f200799,0x05ffd85f,0x3e6fffb0,
    0x7ff403ff,0x27ffc43f,0x1fff7000,0xfff98000,0x3e200003,0x700006ff,
    0xff007fff,0x3fa001ff,0x3fea03ff,0xff904fff,0x2a01ffff,0xfffffffe,
    0x03ffffff,0xffffd880,0x3fffe606,0x005fff30,0x446fff98,0xfff30fff,
    0xdb9dffff,0xf30bffff,0x3fea07ff,0x03fffb1f,0xffffd800,0xffff1001,
    0x7fc4007f,0xfdbbffff,0x3fe05fff,0x7ff4003f,0x81fffe04,0xfc80fff8,
    0xffffffff,0x5fffffff,0x006ffc80,0x9805fff3,0xfffd3fff,0xffffffff,
    0x0dffffff,0x3617ff20,0xffb005ff,0x00fffe6f,0x443ffff5,0x20004fff,
    0x80007ffd,0x0003fff9,0x01bffe20,0x07fff400,0x01fffe40,0xaeffff98,
    0xffffca89,0x3fb204ff,0x7fc41fff,0xffffffff,0x03fffaad,0x3fffee00,
    0x2ffffa05,0x8003fff8,0x7c43fffe,0x7fff30ff,0xfffffff9,0x3fe609ff,
    0x3fff503f,0x0007fff6,0x0dffff10,0x07fffec0,0x3fffa200,0xdfffffff,
    0x017ff600,0x7c09ffd0,0x3fe207ff,0xffff500f,0xffffffff,0x3f2009ff,
    0xfff3006f,0x3fff9805,0xfffffffd,0xffffffff,0x3f200dff,0x05ffd85f,
    0x3e6fffb0,0xffc803ff,0x13ffe26f,0x06ffe800,0x3fff9800,0x3fe20000,
    0xf980006f,0xaaaaaeff,0xfffcaaaa,0x3ffe6006,0xffffffff,0x8803fffc,
    0xfffe8819,0x5409bdff,0x40003fff,0x502ffff9,0x9ffddfff,0xffff7000,
    0x30fff881,0x3faa7fff,0x201dffff,0xf503fff9,0x3fff63ff,0xffb80001,
    0xff3003ff,0x7ec000bf,0x1effffff,0x00fffb80,0xf813ffa0,0x3fe207ff,
    0x3f6e200f,0xffffffff,0x3ff2000c,0x5fff3006,0xd3fff980,0xffffffff,
    0xffffffff,0x3ff200df,0x005ffd85,0x3fe6fffb,0xfff8803f,0x09fff13f,
    0x027ffc00,0x1fffcc00,0x00000000,0x3fffff20,0xffffffff,0x002fffff,
    0x3fffffa2,0xfff99eff,0x7fec0003,0xffb801ef,0xf980003f,0x3ffa04ff,
    0x88005fff,0xf884ffff,0x7fff30ff,0x000aaa88,0x07ffea00,0x00000000,
    0x0017ffcc,0x5775dfb0,0x3fff8001,0x813ffa00,0x7fc402ff,0x3f22000f,
    0x700009bf,0x00000dff,0x000fffe6,0x7fe40000,0x005ffd85,0x0000fffb,
    0x013ffe20,0x01fffc40,0x1fffcc00,0x00000000,0x3fffffe0,0xffffffff,
    0x005fffff,0xbcefdba8,0x407fff30,0xff81ccc9,0xff9000ff,0x0dfd907f,
    0x981bffa0,0x8006ffff,0x80efffe9,0xff30fff8,0x0000007f,0x000fffdc,
    0x00677fe4,0x1bff2000,0x009ff000,0x00dff700,0xf8827ff4,0x7ffc401f,
    0x03fdc000,0x037fdc00,0x403effe8,0x9002fff9,0x00019dff,0x7ec2ffe4,
    0xfffb005f,0x33bff600,0x13ffe200,0x17ffd400,0x7ffcc000,0x32200002,
    0x540004cc,0xeeeeefff,0xeeeeeeee,0x0000ffff,0x02fff980,0xf30fffea,
    0x7ec009ff,0xfffd83ff,0x07ffe800,0x0f7ffff4,0xfffffb80,0x21fff101,
    0x0003fff9,0x3ffee000,0xfffc8000,0x7c00007f,0x260003ff,0x880001ff,
    0xff001fff,0x01fea07f,0x0003ffe2,0x70000df9,0x3fa00fff,0x3ea05fff,
    0xff9002ff,0x64000fff,0x5ffd85ff,0x00fffb00,0x81fffff6,0x0004fff8,
    0x0001fff9,0x005fff50,0x3fffcc00,0x3fff6000,0xfffd8001,0x5c000204,
    0x3ea01fff,0x7ffd43ff,0xffff3004,0x09fff707,0x204fff98,0xfffffffc,
    0x36ea21ac,0x203fffff,0xff30fff8,0x0000007f,0x0007ffe4,0x1fffd4c4,
    0xfffa8000,0x1ff20000,0x4ffc8000,0x205fff00,0x7c400ffb,0x7ec000ff,
    0xffa80007,0xfb98800f,0xfff501ff,0x3ea62003,0xf90003ff,0x0bffb0bf,
    0x401fff60,0x03fffa98,0x0009fff1,0x0001bffa,0x000fffd4,0x0ffff300,
    0x37ffc400,0x7fff9800,0x8013bf60,0x7d407ffd,0x7ffcc3ff,0x7ffcc00f,
    0xfff883ff,0x3fff603f,0xf9dff702,0xffffffff,0xdfffffff,0x0fff8803,
    0x0007fff3,0x3fff4000,0x3ffdc000,0x7ffd4000,0x27f40004,0xfff10000,
    0x0fffa801,0x8807ff90,0x6c000fff,0x4c0002ff,0x6c003fff,0xfffb05ff,
    0xfff70001,0x17ff2000,0x6c017ff6,0xfc8007ff,0x9fff106f,0x9fff3000,
    0x3ff60000,0x2600000f,0x20007fff,0x0003fffb,0x640bfffa,0xfa802fff,
    0x64c405ff,0x4ffff82f,0x3ffffea0,0xffff504f,0xffd755bf,0xfff501df,
    0x3ffff623,0xffffffff,0xff8800df,0x07fff30f,0x5dcc0000,0x0005fffe,
    0x01bffe62,0x3fffbb60,0x220000ff,0x400002ff,0xdba84ffa,0x3ee06fff,
    0x1db88cff,0x8001fff1,0xb98beffc,0x3ffa000d,0x2a202cdf,0xd7934fff,
    0x8800dfff,0x0006fff9,0xffb0bff9,0xfdddd10b,0x4c400fff,0xff106fff,
    0xa8dddddf,0xffffcbcd,0xd7930002,0x0000dfff,0x007fdc88,0x003fffa0,
    0x05fffb80,0x980dfff5,0xd002ffff,0xffff701f,0xfffd759d,0x40bfff9f,
    0xfffffffc,0x880dffff,0xed981fff,0xefffffff,0x3fe2000b,0x07fff30f,
    0x7fe40000,0x4002ffff,0xfffffffc,0xfffc8002,0x40002fff,0x00000ffb,
    0x7fc1ffd8,0x2202ffff,0xffffffff,0x001fff12,0xffffff98,0x3ea000ff,
    0x7f47ffff,0x71ffffff,0x07ffffff,0xffffff90,0x3f20005f,0x85ffd85f,
    0xfffffff9,0x7fffec07,0xff102fff,0xc8ffffff,0x6fffffff,0x3ffee000,
    0x00003fff,0x2000bf50,0x0006fff9,0x807fffc4,0x9bdffffe,0x5ffffda9,
    0x6c0df500,0xffffffff,0xfff91eff,0x7fff5401,0x404fffff,0x753002e9,
    0x22000135,0xfff30fff,0x74000007,0x002fffff,0xffffffd8,0xfff70003,
    0x900007ff,0x200000bf,0x7ffc5ff8,0xfea804ff,0xf11dffff,0xf70001ff,
    0x01bfffff,0x7ffffb80,0x77fffffc,0x3fffff61,0xffffb004,0x640007ff,
    0x5ffd85ff,0xffffff98,0x7ffec07f,0x3e202fff,0x47ffffff,0xfffffffe,
    0x3ff60001,0x00004fff,0x4000ff20,0x0003fffc,0x104fffd8,0xffffffff,
    0x009fffff,0xd5003bea,0x7dffffff,0x802fffa8,0x0abdecba,0x00000000,
    0x88777440,0x00001aaa,0x06f7b720,0x5e65d400,0x6e440002,0x200000bd,
    0x20000018,0x37ba0eea,0x5e4c001c,0x00eee881,0x037b9300,0x6edc9800,
    0x415e6654,0x002cdecb,0x00af32ea,0x206aa600,0xaa882aa9,0x402aaaaa,
    0x002bccba,0x55555555,0xbdedcba8,0x765c0000,0x000002cd,0x40003fee,
    0x0000ffff,0x207fffa8,0xffffffc8,0x4002efff,0x2a62000c,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x017fcc00,0x05fffa80,0x3fffe000,0x76e54402,0x00001cce,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00320000,0x02fffd80,0x3fff2000,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54c40000,0x2001abcc,0x80001998,
    0x00001998,0x00066620,0x01333330,0x09bca980,0x26200000,0x00000099,
    0x33102666,0x04ccc013,0x26662000,0x01cc8800,0xa9980000,0x009abccc,
    0x2a600000,0x0001acca,0x00199980,0x33333331,0x33333333,0x00333333,
    0xa8815553,0x260002aa,0x55441aaa,0xd100002a,0x776c7ddd,0xec80004e,
    0x300005ee,0x0001bddd,0x17776c00,0xcccc9800,0xfffb5000,0x17ffffff,
    0x05fffd80,0x83fff400,0xff103ff9,0x00fffd09,0x2ffffe40,0x7fff64c0,
    0x03dfffff,0x7ffec000,0xf000000f,0xfffa8dff,0x07fff303,0x7fffcc00,
    0x06fe800e,0xfeb88000,0xffffffff,0x0000adff,0xffffc980,0x2defffff,
    0x7ffdc000,0xfffc804f,0xffffffff,0xffffffff,0x7fcc00ff,0x0fffec6f,
    0xdfff3000,0x001fffd8,0x4dfff700,0x000ffff9,0x0ffffcc0,0x7ff44000,
    0x00000eff,0x1fffffc8,0xffffa800,0x7fffd401,0xffffffff,0x3ff603ff,
    0x3a0002ff,0x1ffe07ff,0x7f417fe4,0xff90007f,0xfc880bff,0xffffffff,
    0x002fffff,0xfffff880,0xff000003,0x3fffa8df,0x007fff30,0x3ffffa20,
    0x4ff9805f,0xff910000,0xffffffff,0x9fffffff,0xfd100001,0xffffffff,
    0x05dfffff,0xfffff300,0xfffc805f,0xffffffff,0xffffffff,0xffb800ff,
    0x07fff54f,0x9fff5000,0x000fffea,0x21fffe80,0x0002fffd,0x003fffd8,
    0xfdfffb00,0xa80000bf,0x0effefff,0x7fffd400,0x3ffff201,0xfffeefff,
    0xfb04ffff,0x0001ffff,0xfb81fffa,0xffebacef,0x00fffd06,0x0bffff90,
    0xffffffb0,0xffffffff,0xb80007ff,0x006fffff,0x8dfff000,0xf303fffa,
    0x360007ff,0x3fffafff,0x001ffd80,0x7ffffec0,0xcaaacdef,0xffffffec,
    0x3fea0002,0xefffffff,0xffffffff,0x3ffe2002,0x201fffbe,0xfffffffc,
    0xffffffff,0x00ffffff,0xff5fff90,0x6400009f,0x4fffafff,0x3fea0000,
    0x13ffe22f,0x3ffe2000,0xff700004,0x07fff37f,0x3ffe6000,0x005fff8d,
    0x40ffffd4,0xbeffffe8,0xfffea880,0xffffd84f,0xffd0005f,0xffffd80f,
    0xfd00ffff,0xffc800ff,0xffc804ff,0x4c40adff,0x02fffffc,0x3f7ffa00,
    0x800001ff,0x7fd46fff,0x7fff303f,0x7fff7000,0x100bffee,0x22000dff,
    0x0beffffe,0xfffd7100,0xff70009f,0x8137bfff,0xfffffda9,0x1fffd002,
    0x6403fffa,0xaaaacfff,0xaaaaaaaa,0x4002aaaa,0x06fffffe,0xfffe8000,
    0x400006ff,0x7fe44ffd,0xff900006,0x3e60000d,0x3fff26ff,0x7f440002,
    0x9fff50ff,0x7fffd400,0x3ffffd81,0x3ffff200,0x7ffffec3,0xffe8002f,
    0xffffb807,0x3ffa00cf,0x3fff2007,0xffff004f,0x3ffa2005,0xff30005f,
    0x009fff1f,0x40000000,0x4c000999,0x7ff45fff,0x1ffe400f,0x3fffa200,
    0x7d40001d,0x2a005fff,0x002fffff,0x01bfffea,0xf98ffff2,0xfff906ff,
    0x00000003,0x01fffff1,0xfff10000,0x400001ff,0x7fc46ff9,0xf880001f,
    0x880000ff,0x3a20fffe,0x20000fff,0x7ec2fffd,0x200002ff,0x002ffffa,
    0x6c7fffc8,0x0fffffff,0x03fff400,0x3a001310,0xff9007ff,0x3e6009ff,
    0x7c4003ff,0xc8000fff,0x1fff96ff,0x00000000,0x55500000,0x1aaa8815,
    0x003ffc40,0x007ffff3,0x7ffec400,0xfffe8803,0xfe88000d,0x555402ff,
    0x80aaa982,0x0001fffc,0x33310000,0x44000001,0x00000999,0x00000000,
    0x00000000,0x00000000,0x2204ccc0,0x0002ffff,0xfd8ffffa,0x05fffeff,
    0x003fff40,0x0fffd000,0x09ffff90,0x007ffe40,0x017ffdc0,0xfaa7ffc0,
    0x000003ff,0x00000000,0xffd00000,0xffff1007,0x32000003,0x7e402fff,
    0x4c0006ff,0x00005fff,0x01fffc80,0x0ccc4000,0x0cccc000,0x5e5cc400,
    0x4c40009a,0x99800019,0x00333119,0x22333300,0x98000199,0x98800199,
    0x0009abcb,0x7dc6fff8,0x540006ff,0x3ff66fff,0x02ffff9f,0x401fffa0,
    0x3fa00098,0x7ffe407f,0x7ff4003f,0xfff10007,0xfffa8009,0x001bffe2,
    0x00000000,0x40000000,0xfc806ffb,0x013000ff,0x01fffb00,0x00bfffe2,
    0x07fff600,0x20009880,0x0001fffc,0x00fffec0,0x01fffe00,0x7ffffedc,
    0x001dffff,0x0003fffb,0xffb7fff8,0xff80003f,0x03fffb7f,0x07fff800,
    0xfffffb70,0x003bffff,0x3fa37ffc,0xf80002ff,0x5fff62bd,0x000ffffb,
    0x64c0fffd,0x22dfffff,0xfffd3eec,0x1ffffe40,0x17ffec00,0x02bcc800,
    0x323ffec0,0x10001fff,0x88009ddd,0xddd12eee,0x27774405,0x0bbba200,
    0x3017ffc4,0xea803fff,0x260bdfff,0x3fa20ccc,0xbfff703f,0x3bea0000,
    0x7fe4c01c,0x3b22dfff,0x03fff93e,0xfffd8000,0x7ffc0001,0x7ffec407,
    0xffffffff,0x7ec01eff,0x7c0001ff,0x3fffb7ff,0x7fff8000,0x0003fffb,
    0x4407fff8,0xfffffffd,0x1effffff,0x226fff80,0x00007fff,0xfd3ffec0,
    0x3fa00bff,0xffff907f,0x3a9fffff,0x0fffd4ff,0x00fffff2,0x02fffdc0,
    0x3e200000,0x7ffcc4ff,0x3ffa0005,0x3fee000f,0x07fff30f,0x000fffe8,
    0xe803ffee,0x3ffa05ff,0x3fffa604,0xf90effff,0x6ffa81ff,0x005fffd0,
    0xfc800400,0xffffffff,0x3f29ffd4,0x400001ff,0x0001fffd,0xf503fffc,
    0xdfffffff,0xffffffff,0x0fffec05,0x5fffe000,0x0001fffd,0xffdbfffc,
    0x7fc0001f,0x3ffea07f,0xffefffff,0x02ffffff,0xff737ffc,0x800000df,
    0x3fe67ffd,0xffe802ff,0xfffffd87,0xedffffee,0x0fffd4ff,0x007ffff9,
    0x6ffffc40,0x70000000,0xffd03fff,0x3ee0001f,0x3fa003ff,0x0fffe66f,
    0x007fff70,0x2e037ff4,0xffb80fff,0x3fffea06,0x8efffeff,0xffd06ffd,
    0x0ffff885,0x6c000000,0xfeefffff,0x4ffedfff,0x0003fff9,0x01fffd80,
    0x83fffc00,0xacfffffd,0xffffd980,0x3fffb04f,0x7fff8000,0x0003fffb,
    0xffb7fff8,0xff80003f,0xffffb07f,0xfb30159f,0x7c09ffff,0x3fff26ff,
    0x6c000005,0x7ffdc7ff,0x3fff400f,0x82ffffee,0xffffffa8,0xfc8fffd4,
    0x80002fff,0xbdfffffd,0x3a000001,0xfff706ff,0x3fe20007,0xfff3006f,
    0x01fffcc5,0x401bffe2,0x4c02fff9,0xffe82fff,0x9ffff502,0x7f7fe443,
    0xbff704ff,0x007fffa8,0x7fdc0000,0x3ea20bff,0xf94fffff,0x800003ff,
    0x0001fffd,0x7dc3fffc,0x1001efff,0xb07ffffd,0x80003fff,0xfffb7fff,
    0xfff80003,0x003fffb7,0xb87fff80,0x001effff,0x07ffffd1,0xffc9bffe,
    0x4000004f,0xffe87ffd,0x3fff405f,0x403ffff1,0xd4ffffe8,0x7ffe4fff,
    0x900000ff,0xffffffff,0x20000159,0xf104fff9,0x6c000dff,0xfc801fff,
    0x3ffe60ff,0x1fffd803,0x00fffc80,0x2627ffc4,0xfff107ff,0x7ffdc07f,
    0xdff303ff,0x006fffb8,0x3fe20000,0x3fa201ff,0xfff94fff,0x55555559,
    0x55555555,0x01fffd85,0x23fffc00,0x003ffff8,0x81ffffb0,0x0001fffd,
    0xffdbfffc,0x7fc0001f,0x03fffb7f,0x47fff800,0x003ffff8,0x01ffffb0,
    0x7fecdfff,0x4000002f,0xff987ffd,0x3ffa02ff,0x00ffff27,0x753fffe6,
    0xffff97ff,0x40000dff,0xfffffffb,0x001cefff,0x803fff60,0x0001fffd,
    0xf009fff5,0xfff98bff,0x4fffa803,0x005fff80,0xffb8dfff,0x07fffb04,
    0x03ffffd0,0xff91ffe2,0x0000009f,0x401fffe4,0xf94ffff9,0xffffffff,
    0xffffffff,0xfffd8fff,0x7ffc0001,0x02fffe47,0x17fffa00,0x0003fffb,
    0xffb7fff8,0xff80003f,0x03fffb7f,0x47fff800,0x0005fffc,0x7c2ffff4,
    0x3fffa6ff,0x6c000001,0xfff707ff,0x9fffa01f,0x36007ffd,0xfffd4fff,
    0xfffffff9,0x4c00007f,0xfffffffd,0x002fffff,0x2037ffc4,0x0005fffa,
    0xf501bffe,0xfff985ff,0x0dfff003,0x002fffa8,0x7f41fffd,0x6fff981f,
    0x0ffff700,0x7fec7ff8,0x2aa6002f,0xaaaaaaaa,0x03ffec2a,0x329fffb0,
    0xffffffff,0xffffffff,0x7fec7fff,0x7fc0001f,0x3fffe67f,0x7fcc0000,
    0x3fff61ff,0x7ffc0001,0x003fffb7,0xfb7fff80,0xf80003ff,0x3ffe67ff,
    0x7cc0000f,0x7ffc1fff,0x007fffa6,0xfffb0000,0x82ffff40,0x3ffe7ffe,
    0x3ffe6004,0xffffffd4,0x3ffff73f,0xda880000,0xffffffff,0xf7000dff,
    0xfff007ff,0x3f20001f,0x3ff601ff,0x03fff987,0x403fff90,0x36007ffd,
    0xdff10fff,0x00bfff60,0x2037ffd4,0x3ff60fff,0x3ff2002f,0xffffffff,
    0x13ffe0ff,0x94fff980,0xffffffff,0xffffffff,0xffd8ffff,0x7fc0001f,
    0x0ffffa7f,0x7ffe4000,0x007fff64,0x36ffff00,0x40001fff,0xfffb7fff,
    0xfff80003,0x00ffffa7,0x27ffe400,0xffd9bffe,0x4000002f,0x3e607ffd,
    0xffe82fff,0x005fff17,0xfea7ffc4,0x361fffff,0x0000ffff,0x3ff6e600,
    0x00efffff,0x800fffe8,0x0003fffc,0x2209fff3,0xff984fff,0xfff3003f,
    0x13ffe209,0x31fffc80,0xfff10bff,0x7ffcc00d,0x91ffe204,0x64007fff,
    0xffffffff,0xff10ffff,0x7fc4005f,0x37fff94f,0x33333333,0x83333333,
    0x0001fffd,0xff8bfffc,0x2600007f,0x3ff67fff,0x7fc0001f,0x03fffb7f,
    0xb7fff800,0x80003fff,0xfff17fff,0x7cc0000f,0x37ffc7ff,0x0005fff9,
    0x07ffd800,0x207fffe4,0xfff57ffe,0x4fff8003,0x83fffffd,0x005ffff8,
    0x3f260000,0x4c04ffff,0xaaaaefff,0xffcaaaaa,0x3fa0006f,0x3fff707f,
    0x007fff30,0xfb83fff4,0x3ee001ff,0x09ff52ff,0x4007fff5,0x2a02fffa,
    0x7ffdc5ff,0x3fff2004,0xffffffff,0x03fff50f,0xf94fff80,0x800003ff,
    0x0001fffd,0xff9bfffc,0x7400005f,0xfffb1fff,0xfff80003,0x003fffb7,
    0xfb7fff80,0xf80003ff,0xbfff37ff,0xffe80000,0xb9bffe1f,0x00003fff,
    0x403ffec0,0x7f45fffe,0x03fff77f,0xfd4ffe80,0x3ea03fff,0x00003fff,
    0x7fff4c00,0x7fffe407,0xffffffff,0x02ffffff,0x05fff700,0x3e60dffd,
    0x3ee003ff,0x6ffe82ff,0x97ffd400,0xffc83ffb,0x3fee002f,0x13ff201f,
    0x400bfff5,0x99999998,0xf70fffe9,0xfe8003ff,0x03fff94f,0xfffd8000,
    0x7ffc0001,0x009fff57,0x3fffc800,0x0003fffb,0xffb7fff8,0xff80003f,
    0x03fffb7f,0x57fff800,0x00009fff,0x3e3fffc8,0x3ffea6ff,0x15300006,
    0x9807ffd8,0x3fa2ffff,0x03fff97f,0xfd4fff80,0xffc803ff,0x000001ff,
    0x01fffd80,0x3ffffffe,0xffffffff,0x0005ffff,0xf88bfff1,0xfff303ff,
    0x7ffc4007,0x01fffc45,0x64fffea0,0xfffd82ff,0x1fff6000,0xf985ffd0,
    0x400007ff,0xff90fffe,0xfff8003f,0x003fff94,0x1fffd800,0xbfffc000,
    0x0003fffb,0xda7ffdc0,0x40001fff,0xfffb7fff,0xfff80003,0x003fffb7,
    0xf77fff80,0x800007ff,0x3fe4fffb,0x07fffc6f,0x77fe4000,0x200fffb2,
    0xfd0ffffc,0x0bffeaff,0x3a9fff00,0xfe8807ff,0xed800eff,0x7d40006e,
    0xfff504ff,0xdddddddd,0xfffddddd,0x3f60001f,0x3ffee0ff,0x07fff300,
    0x20fffd80,0x4000fffb,0xffb2fffa,0x00fffd05,0x2205ffe8,0xffe81fff,
    0x3a00002f,0xfff50fff,0x4fff8005,0x0003fff9,0x01fffd80,0xcbfffc00,
    0x00002fff,0xfda7ffd4,0x7c0001ff,0x3fffb7ff,0x7fff8000,0x0003fffb,
    0xff97fff8,0xa800005f,0x3ffe4fff,0x017ffec6,0x8ffffc00,0x3a007ffd,
    0xfffd5fff,0x800fffe6,0xffd4fff8,0x3ffe600f,0xffff805f,0x3fe20000,
    0x3fffb06f,0x9fffb000,0x3ffea000,0x9817ffa2,0x54003fff,0x3ffa2fff,
    0xfffb8005,0xfb07ff91,0x7fcc00ff,0x17ff204f,0x002fffdc,0x21fffd00,
    0x2003fff9,0xff94fff8,0xd800003f,0x40001fff,0xfffd7fff,0xfa800003,
    0x3fffb5ff,0x7fff8000,0x0003fffb,0xffb7fff8,0xff80003f,0x03fffd7f,
    0xfffa8000,0xf51bffe5,0xa8000dff,0x3ff66fff,0x3ffe6007,0xf17ffeaf,
    0x7d4009ff,0x0fffd4ff,0x17fffe40,0x00ffff60,0x85fff980,0x0006fff8,
    0x000ffff3,0xff8afffc,0x3ffe602f,0x5fff8003,0x0005fff1,0x3ee1fff9,
    0x0fffb84f,0x05fffd00,0x4403ffe6,0x0002ffff,0x221fffd0,0x2a004fff,
    0xfff94fff,0xfd800003,0x7c0001ff,0x1ffff7ff,0xffa80000,0x03fffb5f,
    0xb7fff800,0x80003fff,0xfffb7fff,0xfff80003,0x001ffff7,0x5fffa800,
    0x3fa1bffe,0xf10003ff,0x7fec7fff,0x7ffe4007,0x3fa7ffff,0xffd000ff,
    0x01fffa9f,0x01ffffd0,0x0037ffdc,0x709fff70,0x40007fff,0x0002fffe,
    0x3feefff9,0x1fffcc07,0xbbffe400,0xf90007ff,0x42ffd4ff,0xa801fffa,
    0xe880ffff,0x7fe403ff,0xe80000ff,0x3ffa0fff,0xfffd000f,0x007fff29,
    0x3fffb000,0x7fff8000,0x0003fffd,0xb4fffb80,0x80003fff,0xfffb7fff,
    0xfff80003,0x003fffb7,0xfd7fff80,0x800003ff,0x3fe4fffb,0xffff986f,
    0xfffe8003,0x01fff60f,0x3fffffa0,0x13ffea7f,0x53fffea0,0x44007ffe,
    0x2206ffff,0x000dffff,0x40ffff44,0x0000fffe,0x0017ffee,0x7ed7ffc4,
    0x7ffcc04f,0xfff88003,0x0004ffda,0x7fccfffd,0x05fff886,0x437fffcc,
    0xd006ffe8,0x0003ffff,0x83ffffa6,0xa804fffa,0xff94ffff,0xd800003f,
    0x40001fff,0xfffb7fff,0xfc800007,0x3fffb4ff,0x7fff8000,0x0003fffb,
    0xffb7fff8,0xff80003f,0x07fffb7f,0xfffc8000,0x6c1bffe4,0x3004ffff,
    0xd85ffffb,0xf98007ff,0x747fffff,0x3ea03fff,0xffd4ffff,0xfff7000f,
    0x7ffe409f,0xff5001ff,0xfff30bff,0xff88000d,0xfd0000ff,0x803fffbf,
    0x0003fff9,0x3fffbffd,0x13ffe000,0xffd01fff,0x3ffe605f,0x7ff4c6ff,
    0xfff3001f,0x220039ff,0x0ffffffc,0x501ffff4,0x329fffff,0x00001fff,
    0x0017ffe4,0x32dfff10,0x00004fff,0xfc9fffec,0x220002ff,0xfff96fff,
    0x7fc40005,0x05fff96f,0xb7ffc400,0x0004fffc,0xf1fffec0,0x3fa20dff,
    0x209cffff,0xfffffc98,0x007ffd83,0xffffff90,0xadffff98,0xffffca89,
    0x0fffd4ff,0x3ffff600,0x3ffff602,0xa989bcef,0x0fffffdc,0x003fffc8,
    0x04fffd80,0xfffff700,0x7fff300d,0x3ffee000,0xf30006ff,0x4ffd85ff,
    0x0cffff98,0xfffdff95,0xffffb79f,0xfffa8005,0x89bdffff,0xffffedb9,
    0xff980dff,0xca89adff,0x94ffffff,0x9999bfff,0x99999999,0x2e799999,
    0x20002fff,0xff56fff9,0xe80000bf,0xfff71fff,0x7fcc0005,0x05fff76f,
    0xb7ffcc00,0x0002fffb,0x7d5bffe6,0x400005ff,0x3fe1fffe,0x7ffec06f,
    0xffffffff,0xb04fffff,0x74000fff,0xfa87ffff,0xffffffff,0xd3fffcff,
    0x22000fff,0x200fffff,0xfffffffe,0xffffffff,0xffff01ff,0xff500001,
    0x3e2000ff,0x9803ffff,0x10003fff,0x007fffff,0x503ffee0,0x3fe60fff,
    0xdfffffff,0xfffffff8,0x10000eff,0xfffffffd,0xffffffff,0xfa805dff,
    0xffffffff,0x93fffcff,0xffffffff,0xffffffff,0x2ebfffff,0x20003fff,
    0xff16fff9,0x200001ff,0x3ee7fff9,0x260003ff,0xfff76fff,0x7fcc0007,
    0x07fff76f,0xb7ffcc00,0x000ffff8,0x8ffff300,0xfc806fff,0xffffffff,
    0x202effff,0x20007ffd,0x107ffff9,0xfffffffd,0x27fff33d,0x20007ffe,
    0x405ffffa,0xfffffffb,0xdfffffff,0x0bfff500,0x7fffc000,0xfffb0002,
    0xfff3001f,0x7fec0007,0xfb0000ff,0x5fff10bf,0x3ffffee0,0x3fff24ff,
    0x0005ffff,0xffffff70,0xffffffff,0x7f44007f,0x9effffff,0xff93fff9,
    0xffffffff,0xffffffff,0x3feabfff,0x3ea0004f,0x3fff65ff,0xffb00004,
    0x27ffd49f,0xbfff5000,0x0013ffea,0xf55fffa8,0x540009ff,0x3ff65fff,
    0xfb00004f,0x6fff89ff,0xfffd7100,0x05dfffff,0x000fffb0,0x207fffc8,
    0xacefdba8,0x3a7fff30,0x640007ff,0x4403ffff,0xffffffdb,0x6c01bdff,
    0x00002fff,0x0017fff2,0x802fffcc,0x0003fff9,0x0017ffe6,0xb81fffc4,
    0xb7101fff,0xfd7037bf,0x2a6017bd,0x7ed4002a,0xefffffff,0xa88000bc,
    0x30acefdb,0x3ff27fff,0xffffffff,0xffffffff,0xfff15fff,0x7fec000d,
    0x3fffea3f,0x7fd40001,0x3ffe21ff,0x3ff60006,0x0dfff13f,0x9fffec00,
    0x0006fff8,0xfa8ffff6,0x40001fff,0x7c1ffffa,0xc88006ff,0x0001abff,
    0x00000000,0x017ffcc0,0x40000000,0x00aeff98,0x20000000,0x4c0006fc,
    0xf3002fff,0xf980001f,0xf50002ff,0x7ff401ff,0x0000000e,0x0013ffea,
    0x00eff998,0x7cc00000,0x640002ff,0xfffe806f,0xfff88002,0x2fffec1f,
    0x3fffa000,0x02fffe85,0x1ffff880,0x000bfffa,0xe87fffe2,0x88002fff,
    0x7ec1ffff,0x740005ff,0xfff85fff,0x1ffb0006,0xf9000000,0x020019df,
    0x0fffd400,0x37bfe200,0xf8800002,0x000000df,0x027f4000,0x01bff200,
    0x80007fb8,0x20006ffc,0x7d403ffe,0x000006ff,0x00dfff50,0x009ff100,
    0xfa800040,0x740001ff,0xfffc804f,0x7fe4001f,0xffff886f,0x7f44000d,
    0xffc80fff,0x7e4001ff,0x7ffe46ff,0x7fe4001f,0x7fffe46f,0x7ffe4001,
    0xdffff886,0x7ff44000,0x6fff80ff,0xffff8800,0x2000000c,0x007ffffc,
    0x74009dfb,0xf88007ff,0x0003ffff,0x67fffdc0,0x00000000,0x80007ff0,
    0x36003fff,0xff80005f,0xff30003f,0xfff7001f,0x4000005d,0x000efffb,
    0x3efffb80,0x04efd800,0x001fffa0,0x1005ff10,0x003fffff,0x05ffffb1,
    0x07bfffee,0x7ffffd40,0xfffff102,0xfffb1003,0xffff885f,0xffd8801f,
    0x7ffc42ff,0xfd8801ff,0xff702fff,0x2a003dff,0xf02fffff,0x26000dff,
    0x0006ffda,0x3fea6200,0xfffc803f,0x5fffb801,0xff953000,0x2600000d,
    0x00004ffe,0x5ff88000,0x3ffea000,0x01bfa000,0x01fff500,0x013ff200,
    0x0dffffb8,0x3fa60000,0x00000fff,0x07fff731,0x01fffc80,0x005fffb8,
    0x8027fc40,0xcefffffb,0xffca998a,0x7dc05fff,0x09bdffff,0xffffb731,
    0xfffb807f,0x998aceff,0x5fffffca,0xdfffff70,0xf9533159,0x2e0bffff,
    0xacefffff,0xfffca998,0x7fdc05ff,0x109bdfff,0xfffffb73,0x037ffc07,
    0x07ffe200,0x3ee00000,0xfffb807f,0x7fffcc05,0x7fc40002,0x7000002f,
    0x00000fff,0x1fff1000,0x9fff5000,0x01ffe800,0x09fff500,0x03ffe200,
    0xfffff700,0x7100015b,0x019ffffd,0x3fee0000,0x7ffdc006,0x7fffcc05,
    0x7fcc0002,0x3fff2006,0xffffffff,0x00dfffff,0xffffffa8,0xffffffff,
    0xf9002fff,0xffffffff,0xbfffffff,0x7fffe401,0xffffffff,0x200dffff,
    0xfffffffc,0xffffffff,0xffa800df,0xffffffff,0x2fffffff,0x0037ffc0,
    0x1fffd988,0x26200000,0xfd006fff,0x53357fff,0x009ffffb,0x2fffc980,
    0xa9988000,0x0006fffc,0xfff00000,0xd8bd739f,0x0fffffee,0x5f7fec00,
    0x76c0db98,0x00fffffe,0x007ff900,0x3ffffa20,0x9aabceff,0xffecbaa9,
    0x0001efff,0xdffd5100,0xffffd000,0xffb53357,0x200009ff,0xca8adfff,
    0xfffff704,0xffffffff,0xfd98009f,0xffffffff,0x000dffff,0x7fffffdc,
    0xffffffff,0xffff7004,0xffffffff,0x3ee009ff,0xffffffff,0x004fffff,
    0x7ffffecc,0xffffffff,0x6fff800d,0x3fffea00,0x00005fff,0xffffffc8,
    0xfff1002f,0xffffffff,0xf1000bff,0x0dffffff,0x3fff2000,0x0001ffff,
    0xff700000,0xc8bfffff,0x02ffffff,0xfffffa80,0x7fe40fff,0x0002ffff,
    0x0000bff1,0xffffffd5,0xffffffff,0x05ffffff,0xfffb0000,0x0005ffff,
    0xfffffff1,0x0bffffff,0x7ffec000,0x2205ffff,0xffffffeb,0x0000cfff,
    0x3fffff22,0x000bffff,0x3fffae20,0x0cffffff,0x7ff5c400,0xcfffffff,
    0x7f5c4000,0xffffffff,0x3220000c,0xffffffff,0x000000bf,0xffffffa8,
    0xfb000004,0x007fffff,0xfffffc88,0x002effff,0xffffff30,0x3600001b,
    0x01dfffff,0x40000000,0x2efffffc,0x1fffffdc,0xffff9000,0xfff709ff,
    0x6c0007ff,0x200000ff,0xfffffec9,0xffffffff,0x00000bef,0xffffffb0,
    0x7e440005,0xffffffff,0x4400002e,0x3ffffffe,0x57553100,0x10000033,
    0x00135753,0x75531000,0x20000335,0x19abaa98,0x55310000,0x00003357,
    0x13575310,0x98000000,0x000acccb,0x332ea000,0x5440002b,0x01cceedc,
    0x6665c400,0x4400001a,0x00009aaa,0x22000000,0xb9100aba,0x3000017b,
    0x64403799,0x20000bdd,0x00002ee8,0x765d4c40,0x00acccee,0xcba80000,
    0x200002bc,0xcceedca8,0x54000001,0x00002cdc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xeeeeeeed,0x200004ee,0x0004ccc9,0x55554400,0x00000000,
    0xcccc8000,0x00e66540,0x0bdddb00,0x54400000,0x000002aa,0x017bbb20,
    0x3bbb6200,0xeeb80000,0x000000ee,0x01eeeea8,0x1cccb800,0x0016664c,
    0x22009980,0xd7000009,0x00001ddd,0x0005dc00,0x3ccc9800,0x4cc40000,
    0x4c000019,0x8002eeee,0x7445eee9,0xaaa885ee,0x802aaa82,0xfffffffe,
    0x100005ff,0x009ffffd,0x7ffd4000,0x2200000f,0x7d42dffd,0xff70002f,
    0x2fffcc9f,0x3ffe6000,0x8000002f,0x03ffffe8,0xff980000,0x100001ff,
    0x0000dffd,0x0013fff6,0x3fffa000,0xff300003,0x7fff44df,0xbff00000,
    0x0013fe20,0x04fffe80,0xffa80000,0x400004ff,0x04fffff8,0x3fff2000,
    0x7ec00007,0x320005ff,0x3ff63fff,0x3fffd01f,0x4027ffdc,0xcccccccb,
    0xb00002cc,0x07ffffff,0x3fea0000,0x300000ff,0x9dffffff,0x0003ffd5,
    0xfe97ffec,0xa80000ef,0x00006fff,0xfffffd80,0x4000001f,0x0003fffd,
    0x004ffc80,0x0fffe880,0x3ea00000,0x400005ff,0xff93fffb,0x6c00003f,
    0x2ffc81ff,0x3fe20000,0x000000ff,0x00fb86fc,0x3fffa000,0x00002fff,
    0x000ffff9,0x077ffcc0,0x3fffa000,0x203fffa8,0xff16fff8,0x000000bf,
    0x5fff7000,0x0003fff7,0x1ffff500,0x3ff60000,0xffffffef,0x7440006f,
    0x1fffbeff,0x3fee0000,0x2000001f,0xffcafffb,0x1000000f,0x0000bfff,
    0x000f75c0,0x027ffcc0,0xdffd0000,0xfb000001,0x05fff7ff,0xfff98000,
    0x06fffdce,0xfff98000,0x2a000004,0x0002741f,0xfcafffc8,0xc80001ff,
    0x00007fff,0x0007fff6,0x3fbffe20,0xffa804ff,0x00effdcf,0x3ba0bdb0,
    0x7fcc0004,0x03fffa5f,0xfff50000,0x3e00001f,0x3fff266f,0x980001df,
    0x02ffffff,0x5ffd8000,0xff300000,0x1bffe2bf,0x7fe40000,0x76c00006,
    0x0009dd05,0x0007ffd4,0x0fffd400,0xfe880000,0x0004ffff,0xfffff700,
    0x00001dff,0x003ffee0,0x207d4000,0xfa80004e,0x3bffa4ff,0x7fe40000,
    0xf100007f,0x400005ff,0x06fffff9,0x3fffff20,0x1bfa001f,0x10002ffc,
    0x7cc1ffff,0x400006ff,0x00019998,0x51059910,0xa8000017,0x0004ffff,
    0x007ffa00,0xffff1000,0x02fffd41,0x3ffe2000,0x7f400000,0x000bff06,
    0x0002eeb8,0x002ffe80,0x7ffcc000,0x4000006f,0x03effed8,0xffc80000,
    0x3e000003,0x00007ea4,0x4c1ffff1,0x40005fff,0x0002aaa9,0x0009ff90,
    0x1bddd700,0xffffd800,0x837f4002,0x220005ff,0x99880999,0x00000009,
    0x00000000,0x19998000,0x00000000,0x26662000,0x00199980,0x00000000,
    0x5ff837f4,0x00000000,0x00000000,0x0004ccc4,0x00000000,0x00000000,
    0x2ff7fdc0,0x4ccc4000,0x00199880,0x00000000,0x00000000,0x40266620,
    0x04c41998,0x26660998,0x654c4001,0x00001abc,0xabcca988,0x06662001,
    0x06666000,0x79953100,0x4cc40035,0x99980001,0xcaa98001,0x000001ac,
    0x2af32a62,0x06662001,0x82660131,0x33301999,0x00199881,0xabcb9880,
    0x30000009,0x00013795,0x332aa600,0x4000001a,0x09abcb98,0x00ccc400,
    0x4cc03991,0x654c0019,0x2000009b,0x80000098,0x0009bca9,0x31026660,
    0x4ccc0033,0x03fffb00,0x07fff800,0xfffffb50,0x0017ffff,0xffffda80,
    0x00bfffff,0x000fffec,0x401fffe0,0xffffffda,0x6c00bfff,0x40001fff,
    0x93007fff,0xffffffff,0x00005bdf,0xffffffb5,0xd8017fff,0x40001fff,
    0xff987fff,0x0fffe44f,0x7ffedc00,0x1dffffff,0x7f64c000,0xdfffffff,
    0x7e4c0003,0xffffffff,0xb80002de,0xfffffffd,0xfb001dff,0xf80003ff,
    0x764c07ff,0xffffffff,0xfc98003d,0x322dffff,0x764c03ee,0xffffffff,
    0x3fe6003d,0x0fffe44f,0xb06fff80,0x80003fff,0x7d407fff,0xffffffff,
    0x003fffff,0xffffffa8,0xffffffff,0x07fff603,0x0ffff000,0xffffffa8,
    0xffffffff,0x07fff603,0x0ffff000,0xfffffe88,0xffffffff,0xfa8002ef,
    0xffffffff,0x203fffff,0x0001fffd,0x7cc3fffc,0x7ffe44ff,0x3ff62001,
    0xffffffff,0x4001efff,0xffffffc8,0xffffffff,0x7ff44002,0xffffffff,
    0x002effff,0xfffffd88,0xffffffff,0x7ffec01e,0x7ffc0001,0xffff9107,
    0xffffffff,0x3f2005ff,0xffffffff,0x2209ffd4,0xfffffffc,0x2fffffff,
    0x44fff980,0xf001fffc,0x3ff60dff,0x7fc0001f,0x3fff207f,0xffeeffff,
    0x004fffff,0x3ffffff2,0xfffffeef,0xfffb04ff,0xfff80003,0x3ffff207,
    0xfffeefff,0xfb04ffff,0xf80003ff,0x3fea07ff,0xefffffff,0xffffffff,
    0x3fff2002,0xffeeffff,0xb04fffff,0x80003fff,0xff987fff,0x0fffe44f,
    0xfffffa80,0xffffefff,0x2002ffff,0xfffffffd,0xffffffff,0xfff5003f,
    0xfdffffff,0x5fffffff,0x7fffd400,0xfffeffff,0x202fffff,0x0001fffd,
    0xfd83fffc,0xffffffff,0x3fffffff,0x7ffffec0,0xedffffee,0xfffb04ff,
    0xffffffff,0x807fffff,0x7e44fff9,0xfff001ff,0x07fff60d,0x0ffff000,
    0x7dffffd1,0xfffd5101,0xffe8809f,0xa880beff,0xd84ffffe,0x40001fff,
    0xfe887fff,0x880befff,0x84ffffea,0x0001fffd,0xfb83fffc,0x09bdffff,
    0x7fffed4c,0x7ff4402f,0xa880beff,0xd84ffffe,0x40001fff,0xff987fff,
    0x0fffe44f,0x7ffffec0,0xffd980ac,0xfc804fff,0x440adfff,0x2fffffc9,
    0x7ffffdc0,0x6d4c09bd,0x802fffff,0xacfffffd,0xffffd980,0x3fffb04f,
    0x7fff8000,0xadffffc8,0x7ffe4c40,0xfff702ff,0x7fd4417f,0xfc84ffff,
    0x440adfff,0x2fffffc9,0x913ffe60,0x3e003fff,0xfffb06ff,0xfff80003,
    0x3ffffd87,0x3ffff200,0x3ffff603,0x3fff2003,0x0fffec3f,0x1fffe000,
    0x00fffff6,0x43ffffc8,0x0001fffd,0x7d43fffc,0x2002ffff,0x406ffffa,
    0x003ffffd,0xb0fffff2,0x80003fff,0x00007fff,0xeffffb80,0xfffd1001,
    0xffff807f,0xfffd1002,0x7fffd40b,0x3fea002f,0x7fdc06ff,0xd1001eff,
    0xfb07ffff,0xf80003ff,0xffff87ff,0xfffd1002,0x3ffff10b,0x7ffff440,
    0x02ffff84,0x0bfffd10,0xff000000,0x3fff60df,0x7ffc0001,0x17fffd47,
    0x3fffe400,0x02ffffa8,0x47fffc80,0x0001fffd,0x3ea3fffc,0xc8002fff,
    0x7fec7fff,0x7fc0001f,0x7fff447f,0xfe88000d,0xfff502ff,0xff90005f,
    0x1fffd8ff,0x3fffc000,0x3e200000,0xb0003fff,0x2601ffff,0x44003fff,
    0xe880ffff,0x8000dfff,0x102fffe8,0x0007ffff,0xb03ffff6,0x80003fff,
    0x7fcc7fff,0x7fc4003f,0x7ffe40ff,0xffff9803,0x01fffcc4,0x03fffe20,
    0xff000000,0x3fff60df,0x7ffc0001,0x0bfffe27,0x3fffe800,0x017fffc4,
    0x47fffd00,0x0001fffd,0xff13fffc,0x740005ff,0x3ff63fff,0x7fc0001f,
    0x37ffe47f,0x3ffe6000,0x2ffff885,0x3fffa000,0x007fff63,0x00ffff00,
    0xfffc8000,0x7ff40005,0x1fff905f,0x5fff7000,0x00dfff90,0x05fff980,
    0x000bfff9,0x6c5fffe8,0x40001fff,0x7fe47fff,0xffb8000f,0x03ffec2f,
    0xc89fffb0,0xb8000fff,0x00002fff,0x837ffc00,0x0001fffd,0xff73fffc,
    0xfa8000df,0x7ffdc6ff,0x7fd40006,0x07fff66f,0x4ffff000,0x0006fffb,
    0xfb37ffd4,0xf80003ff,0x3ffe27ff,0xfd80002f,0x7ffdc1ff,0x7fd40006,
    0x07fff66f,0x0ffff000,0x7fcc0000,0x4c0000ff,0xfe81ffff,0xff10007f,
    0xffff889f,0xffd80002,0x7fffcc1f,0x7fcc0000,0x3fff61ff,0x7ffc0001,
    0x003fff47,0x7c4fff88,0x3e6004ff,0x3fff44ff,0x4fff8800,0x7c000000,
    0xfffb06ff,0xfff80003,0x00bfffa7,0xd0af7e00,0x00005fff,0x7fec57bf,
    0x7fc0001f,0x0bfffa7f,0x8af7e000,0x0001fffd,0xff73fffc,0x2a0000bf,
    0x7ff41cef,0xdf80002f,0x07fff62b,0x2ffff000,0x3001eee9,0x7ff43ddd,
    0xf900003f,0xfffb09ff,0x2f320005,0x02fffdc2,0x1cefa800,0x001ffff4,
    0x24fffc80,0x0001fffd,0x3f63fffc,0x990002ff,0x17ffc457,0x89fff100,
    0x0002fffd,0x774c5799,0xddd3001e,0x837ffc03,0x0001fffd,0xff8bfffc,
    0x4000007f,0x0007fff8,0x0fffec00,0x5fffe000,0x0007fff8,0x0fffec00,
    0x9fffe000,0x0002fffe,0x7ffc4020,0x6c000007,0x40001fff,0xfff37fff,
    0x3ffea005,0x00ffff12,0x3fffcc00,0x002fffdc,0x17fff400,0x22010000,
    0x00007fff,0xfd9fffe6,0x7c0001ff,0x7ffdc7ff,0x7d400005,0x7fc001ff,
    0x2fffdc4f,0x3fe60000,0xfff5002f,0x837ffc05,0x0001fffd,0xffbbfffc,
    0x4000006f,0x0006fffb,0x0fffec00,0x5fffe000,0x0006fffb,0x0fffec00,
    0x5fffe000,0x000ffff8,0xfffb8000,0x6c000006,0x40001fff,0xfff37fff,
    0x3ffea005,0x00bfff32,0x1fffe800,0x06ffffc4,0xfff88000,0x8000000f,
    0x0005fff9,0xd8ffff40,0x40001fff,0x7fc47fff,0x00000dff,0x8003fff7,
    0x7fc44ffe,0x00000dff,0x2005fff3,0x3e02fffa,0xfffb06ff,0xfff80003,
    0x00bfff97,0xfffc8000,0x6c000005,0x40001fff,0xfff97fff,0xd800000b,
    0x40001fff,0xfff57fff,0x2000000f,0x0005fffc,0x0fffec00,0x5fffe000,
    0x5002fff9,0x3fea5fff,0x6400004f,0xffd83fff,0x001bdfff,0x01fffea0,
    0x7fd40000,0x6400004f,0xfffb3fff,0xfff80003,0xfffffd87,0x320001bd,
    0x7c001fff,0xfffd84ff,0x0001bdff,0x400bffe6,0x3e02fffa,0xfffb06ff,
    0xfff80003,0x009fff97,0xfffc8000,0x6c000004,0x40001fff,0xfff97fff,
    0xd8000009,0x40001fff,0xfff77fff,0x2000000d,0x0004fffc,0x0fffec00,
    0x5fffe000,0x5002fff9,0x3fee5fff,0x5c00003f,0xff904fff,0x59ffffff,
    0x7ffdc001,0x70000006,0x00007fff,0xfb4fffb8,0xf80003ff,0xfff907ff,
    0x159fffff,0x17ffd400,0x413ffe00,0xfffffffc,0x26000acf,0xf5002fff,
    0x7ffc05ff,0x03fffb06,0xb7fff800,0x00005fff,0x02fffd80,0x7fec0000,
    0x7fc0001f,0x05fffb7f,0xffd80000,0x7fc0001f,0x09fff97f,0x3f600000,
    0x000002ff,0x000fffec,0x7cdfffe0,0xff5002ff,0x0bfff25f,0xfff50000,
    0x7fffdc09,0xceffffff,0x27ffe401,0xfc800000,0x400002ff,0xffb4fffa,
    0xff80003f,0x3ffee07f,0xefffffff,0x7ffcc01c,0x3ffe2003,0x3fffee04,
    0xceffffff,0x17ffcc01,0x02fffa80,0x7ec1bffe,0x7c0001ff,0x3fffd7ff,
    0xfe800000,0x000001ff,0x000fffec,0x7f5fffe0,0x000001ff,0x000fffec,
    0x7edfffe0,0x2a6002ff,0xaaaaaaaa,0x3fffa2aa,0x6c000001,0x40001fff,
    0xfff37fff,0x3ffea005,0x003fffd2,0x5fffa800,0x7fffecc0,0xffffffff,
    0x05fffb02,0x555554c0,0x22aaaaaa,0x0001fffe,0xdafffd40,0x40001fff,
    0x6cc07fff,0xffffffff,0xf102ffff,0x7d4009ff,0x7ecc04ff,0xffffffff,
    0xff302fff,0x3fea005f,0x1bffe02f,0x000fffec,0x7f5fffe0,0x000001ff,
    0x000ffff4,0x3fff6000,0x7ffc0001,0x003fffd7,0xfffd8000,0x7ffc0001,
    0x005fffb7,0x7fffffe4,0xd0ffffff,0x00003fff,0x01fffd80,0x9bfffc00,
    0xf5002fff,0x3fffe5ff,0x7d400000,0xb51005ff,0xffffffff,0xffd81bff,
    0x3ff2002f,0xffffffff,0x1ffff0ff,0xffa80000,0x03fffb5f,0x07fff800,
    0xffffb510,0x1bffffff,0x001fffd0,0x4013fffa,0xfffffda8,0x40dfffff,
    0x5002fff9,0x7fc05fff,0x3fffb06f,0x7fff8000,0x0005fffb,0x2fffd800,
    0x7ec00000,0x7c0001ff,0x5fffb7ff,0xfd800000,0x7c0001ff,0x7fff97ff,
    0x7fffe400,0xffffffff,0x005fffb0,0xfffd8000,0x7ffc0001,0x005fff37,
    0x7f4bffea,0x400001ff,0x0004fffb,0xfffffb73,0x7fe41dff,0x3ff2003f,
    0xffffffff,0x3fffd0ff,0xffb80000,0x03fffb4f,0x07fff800,0xfffb7300,
    0xa81dffff,0xfa804fff,0x30004fff,0xffffffb7,0x7ffcc1df,0x5fff5002,
    0xd837ffc0,0x40001fff,0xfff97fff,0xc8000005,0x00002fff,0x00fffec0,
    0x65fffe00,0x00002fff,0x00fffec0,0x5dfffe00,0x32004fff,0xffffffff,
    0xff90ffff,0x8000005f,0x0001fffd,0xff9bfffc,0xfff5002f,0x00ffff65,
    0x9fff9000,0x3f260000,0x3ee4ffff,0x3f2004ff,0xffffffff,0xfffb0fff,
    0xfc800007,0x3fffb4ff,0x7fff8000,0xff930000,0xffd09fff,0x7ffd407f,
    0x300004ff,0x49fffff9,0x5002fff9,0x7fc05fff,0x5fff906f,0x7ffc4000,
    0x007fff76,0xfffb8000,0x64000003,0x20002fff,0xff76fff8,0x8000007f,
    0x0002fffc,0x7d5bffe2,0x262005ff,0xe9999999,0xfff70fff,0xc8000007,
    0x20002fff,0xff36fff8,0x3fea005f,0x09fff92f,0xfffd8000,0x74c00003,
    0x3fea7fff,0x2662005f,0xfe999999,0x9fff90ff,0xffd80000,0x05fff93f,
    0x37ffc400,0x3fa60000,0xfff987ff,0xfca89adf,0x004fffff,0x7fff4c00,
    0x00bffe67,0xf017ffd4,0x3fee0dff,0x3e60002f,0xdfff56ff,0x02a60000,
    0x000dfff5,0xff702a60,0x7cc0005f,0xdfff56ff,0x02a60000,0x0005fff7,
    0xf9b7ffcc,0x400007ff,0xff50fffe,0x260000df,0x17ffdc0a,0xdfff3000,
    0x400bffe6,0xff52fffa,0xe80000bf,0x00001fff,0x263fffb0,0x00007fff,
    0xfa87fff4,0x400005ff,0xff71fffe,0x7cc0005f,0x000006ff,0xf503fffb,
    0xffffffff,0x07fff9ff,0x3ff60000,0x05fff31f,0x80bffea0,0xff706fff,
    0x7cc0007f,0x3fffe6ff,0xffc80000,0x03fffe2e,0x3bff2000,0x007fff72,
    0xf37ffcc0,0x00001fff,0x3ee5dff9,0x260003ff,0x3ffa6fff,0x3a00002f,
    0x3ffe0fff,0xfc80000f,0x7fff72ef,0x7ffcc000,0x005fff36,0x7c4bffea,
    0x00000fff,0xed8ffff3,0x7d40006e,0x3fffa4ff,0x3fa00002,0xffff10ff,
    0x3e600001,0x3ffee7ff,0x3fe60003,0x01bbb66f,0x09fff500,0x3fffffa2,
    0xfff99eff,0x001bbb63,0x269fff50,0xf5002fff,0x7ffc05ff,0x09fff506,
    0x2fffd400,0x0005fffb,0x6c3ffff0,0x80002fff,0xff51ffff,0x7d40009f,
    0x3fff65ff,0xfff80002,0x09fff51f,0x2fffd400,0x000bfff7,0xb07fff40,
    0x00005fff,0x3ea3ffff,0x2a0004ff,0xfff35fff,0x3ffea005,0x013fff62,
    0x27ffec00,0x0003fffe,0x2e6fff88,0x00005fff,0xfd83fffa,0xb00004ff,
    0x7fd49fff,0x3ea0004f,0x3fffe5ff,0x3fe20000,0x36ea206f,0xff30acef,
    0x07fffc7f,0xdfff1000,0x400bffe6,0x3e02fffa,0xfff106ff,0x7fec000d,
    0x1bffea3f,0xdfff5000,0x006fffa8,0x137ffd40,0x4000dfff,0x3ea3fffd,
    0x540006ff,0x3fe26fff,0x3f60006f,0x3ffe23ff,0xfd00002f,0x7ffd41ff,
    0x7fd40006,0x1bffe26f,0x3fffd800,0x2007fff3,0x3ea2fffb,0x40001fff,
    0x6c1ffffa,0x20003fff,0x3e25fff9,0x00002fff,0x7d41fffd,0x40001fff,
    0x221ffffa,0x20006fff,0x3f63fffd,0x260003ff,0x80005fff,0x3f62fff9,
    0x260003ff,0xfff35fff,0x3ffee007,0x81bffe02,0x8002fffe,0x741ffff8,
    0x10003fff,0xfd07ffff,0x220007ff,0x7f43ffff,0xf88002ff,0x7ff41fff,
    0xff10003f,0xfffe87ff,0xfff88002,0x7fffe41f,0xffe80000,0x1ffff40f,
    0xffff8800,0x017fff43,0x8ffffc40,0xb003fff9,0xffd85fff,0x7f40005f,
    0xfffb85ff,0x3fee0006,0x7fffe44f,0xffe80000,0x2fffec0f,0x3fffa000,
    0x02fffe85,0x1ffff880,0x001bffee,0x024fffb8,0x0fffd400,0x000dfff7,
    0xf9a7ffdc,0xffb003ff,0x37ffc05f,0x03ffff90,0x86fffc80,0x003ffff9,
    0x80ffffe8,0x003ffff9,0x40ffffe8,0x001ffffc,0x4c37ffe4,0x8003ffff,
    0x640ffffe,0x4001ffff,0xfd06fffc,0x20003fff,0x40ffffe9,0x003ffff9,
    0x40ffffe8,0x001ffffc,0xf137ffe4,0xff300dff,0xfff885ff,0x744000df,
    0xf880ffff,0x4000dfff,0xe81fffe8,0x0001ffff,0x81ffffd3,0x00dffff8,
    0x7ffff440,0x1ffffc80,0x37ffe400,0x037fffe2,0x3fffd100,0xd00277ec,
    0xfff88fff,0x744000df,0xfff11fff,0xffff300d,0x037ffc05,0x03fffff1,
    0x5ffffb10,0x13ffff60,0x7fffecc0,0x3ffff602,0xfffb3004,0xffff105f,
    0xffb1003f,0x3ff605ff,0xfb3004ff,0xff105fff,0xb1003fff,0x2605ffff,
    0x01cfffff,0xfffff910,0xffffb01f,0x3ff66009,0xfff882ff,0xfd8801ff,
    0x7ff42fff,0x3ffe203f,0xfffb82ff,0xff5001ef,0x7e405fff,0x5001ffff,
    0x260bffff,0x01cfffff,0xfffff910,0xffff701f,0x3fea003d,0xff102fff,
    0xb1003fff,0xf905ffff,0x2003ffff,0x645ffffa,0xfb801fff,0xfffc85ff,
    0xff5001ff,0xfffe8bff,0x3fffe203,0x1bffe02f,0xdfffff70,0xf9533159,
    0x440bffff,0x9cfffffe,0x3fff2620,0x7f4403ff,0x209cffff,0xfffffc98,
    0x3fffee03,0xa998acef,0x05fffffc,0x3fffffa2,0x3f26209c,0x2e03ffff,
    0xacefffff,0xfffca998,0x7fd405ff,0x9bdfffff,0xfffedb98,0xd100dfff,
    0x139fffff,0x7fffe4c4,0x3ffee03f,0x998aceff,0x5fffffca,0x0affffb8,
    0x3ffffaa2,0xffff702f,0x262137bf,0x3fffffdb,0xfffffd80,0xca989bce,
    0x00fffffd,0x3fffffea,0xdb989bdf,0xdffffffe,0x3fffee00,0x73109bdf,
    0x07fffffb,0xefffffb8,0xfca998ac,0x3605ffff,0xbcefffff,0xffdca989,
    0x7fdc0fff,0x7ffcc05f,0xffffb02f,0x531379df,0x1fffffb9,0x0affffb8,
    0x3ffffaa2,0x1bffe02f,0x3fffff20,0xffffffff,0xd800dfff,0xffffffff,
    0xffffffff,0x3fff6004,0xffffffff,0x804fffff,0xfffffffc,0xffffffff,
    0xffd800df,0xffffffff,0x04ffffff,0xffffffc8,0xffffffff,0xe8800dff,
    0xffffffff,0xffffffff,0xffb002ef,0xffffffff,0x09ffffff,0xffffff90,
    0xffffffff,0xff101bff,0xffddffff,0x05fff5ff,0x7fffffd4,0xffffffff,
    0x3a002fff,0xffffffff,0xffffffff,0xffe8801f,0xffffffff,0xefffffff,
    0xffff5002,0xffffffff,0x005fffff,0x3ffffff2,0xffffffff,0x7f400dff,
    0xffffffff,0xffffffff,0x7ffffd01,0xfffb5335,0xfffe809f,0xffffffff,
    0x81ffffff,0xeffffff8,0xffaffffe,0x1bffe02f,0x7ffffdc0,0xffffffff,
    0x7fe4004f,0xffffffff,0x8002efff,0xfffffffc,0x2effffff,0x3fffee00,
    0xffffffff,0x7e4004ff,0xffffffff,0x002effff,0x3fffffee,0xffffffff,
    0xfffb8004,0xffffffff,0x8003ffff,0xfffffffc,0x2effffff,0x3fffee00,
    0xffffffff,0x7f4c04ff,0xffffffff,0x9805fff1,0xfffffffd,0x0dffffff,
    0xffffb800,0xffffffff,0x5c000dff,0xffffffff,0x3fffffff,0xfffd9800,
    0xffffffff,0x5c000dff,0xffffffff,0x04ffffff,0x3ffffee0,0xffffffff,
    0x3fe200df,0xffffffff,0xf7005fff,0xffffffff,0x01bfffff,0x7fffff4c,
    0xfff1ffff,0x037ffc05,0xffffd710,0x019fffff,0x3ffae200,0x2effffff,
    0x7f5c4000,0xefffffff,0xfd710002,0xffffffff,0x2e200019,0xfffffffe,
    0x710002ef,0xfffffffd,0x800019ff,0xffffffda,0x000bceff,0x3fffae20,
    0x02efffff,0xfffd7100,0x19ffffff,0x3fff2200,0x3fe1dfff,0xff91002f,
    0x7fffffff,0xdb880001,0xffffffff,0x540001bd,0xfffffffd,0x0000bcef,
    0x7ffffe44,0x000bffff,0x3fffae20,0x0cffffff,0xffdb8800,0xbdffffff,
    0xfff91001,0x5dffffff,0xffdb8800,0xbdffffff,0xfff91001,0x7fc3bfff,
    0x1bffe02f,0x5d54c400,0x4000019a,0x01abaa98,0x55310000,0x80000357,
    0x19abaa98,0x54c40000,0x00001aba,0x4d5d54c4,0x33000001,0x00001575,
    0x55d54c40,0x4c400001,0x0019abaa,0x00055440,0xaba98800,0x10000009,
    0x00157553,0x5d4cc000,0x4000000a,0x009aba98,0xaa988000,0x000019ab,
    0x02aeaa62,0xdb951000,0x0000399d,0x01575531,0x01551000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64000000,0x07dd30de,0xddd50000,
    0xd100001b,0xa8005ddd,0x02aa202a,0x01cc8800,0x00000f2e,0x017776c4,
    0x93bbb600,0x0005eeeb,0x07dddb10,0x5c000000,0x00005eee,0x07999300,
    0x40019999,0x6540cccc,0x000002cc,0x77774c00,0x40000002,0x000deeec,
    0x20f33220,0x0000cccb,0x00001f54,0xa8835553,0x440002aa,0xeed85eee,
    0x3200001e,0x40003eee,0x1002aaaa,0x0bff1dff,0xfff10000,0x3200001b,
    0xc8005fff,0x0ffb00ff,0x20bff000,0x00004ff9,0x1fffffb0,0x3ffea000,
    0x3ffff10f,0x3fee0000,0x000000ef,0xfffff300,0x20000009,0x3ee2fffd,
    0x7d4003ff,0x3ffe25ff,0x00000006,0x005fffd8,0x7fc40000,0xc80002ff,
    0x3fea3fff,0xfb80004f,0x3e200004,0x3ff20fff,0xfb80002f,0x3ffee4ff,
    0x3ee00003,0x0002ffff,0x003ffff5,0x077fffcc,0x7ff40000,0x3e200003,
    0xa8000fff,0x7fd40dff,0xffd80005,0x07ffa60b,0x3fee0000,0x0006ffef,
    0x7dc5fffb,0x200004ff,0x0001ffff,0xffd10000,0x0005fffd,0xfffd1000,
    0x00bfff11,0x6cbfff20,0x00000fff,0x7ffcc000,0x0000000e,0x0027ffe4,
    0x11fffd00,0x2000bfff,0xffffedb8,0xf980003d,0x9fff35ff,0x7fec0000,
    0x05fff89f,0x3ffe6000,0x8001fffe,0x8003fffe,0x0000deea,0x001eea80,
    0x0fffe400,0xbfffb000,0x003ffffb,0xdffff100,0x0009ffff,0x19fff300,
    0x8800bfff,0x7ffc4fff,0x3ee00006,0x000002ff,0x23fff600,0x0001fffc,
    0xdfff9800,0x40006ffd,0xfffbfffe,0x00000001,0x001fffd8,0x7fc40000,
    0x4400005f,0xeffddfff,0xfffa8000,0xefffffff,0x7fdc0002,0x005ffebf,
    0x77ff4400,0x0000effd,0x3adfff10,0x26000eff,0x36004fff,0x009dd05e,
    0xee82f6c0,0x3fe20004,0x7440003f,0x2fffffff,0x3fea0000,0x005fffff,
    0xffff8800,0x007fff50,0x3ee37fe4,0x200000ff,0x00004ffe,0x3ffee000,
    0x003bffa3,0x3fee0000,0x0000ffff,0x7fffffc4,0x00000003,0x002fff88,
    0xffb80000,0xa800000e,0x01ffffff,0xfffffb80,0xffffffff,0x7fec0002,
    0x0000efff,0xfffff980,0x3600000f,0xfff31fff,0x37fec00b,0x7c1bfa00,
    0x3fa0005f,0x000bff06,0x00027754,0x19bddb50,0x32e00000,0x00001cde,
    0xd85fffb0,0xf8802fff,0x17ff40ff,0xdff50000,0x40000000,0x7cc6fff9,
    0x000005ff,0x05ffffb0,0x3ffea000,0x0000005f,0x009ff900,0xff100000,
    0x4000003f,0x002ffffc,0xbfffff98,0xffffbdfc,0x3a20001f,0x0001ffff,
    0x3fffee00,0x3ee00002,0x7ffdc4ff,0x0fff9804,0xf837f400,0x3fa0005f,
    0x000bff06,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00999800,0x0ccc4000,0x00000000,0x00000000,0x30000000,
    0xd1000333,0xa7dc7fff,0x006fffc8,0x004ccc40,0x00000000,0x40000000,
    0x33101aa9,0x33009883,0x988cccc1,0x9804c419,0x40666609,0x4cc40999,
    0x00333101,0x00333300,0x35797310,0x30000001,0x20000133,0x09abcb98,
    0x4cccc400,0x99999999,0x26620000,0x99880009,0x98800099,0x4ccccc19,
    0x99999999,0x99999999,0x33331099,0x33333333,0x00000001,0x33333331,
    0x33333333,0x33333333,0x33333103,0x33333333,0x33333333,0x33333310,
    0x33333333,0x83333333,0x7dc5fffa,0x03fffe24,0x09998800,0x06662000,
    0x46662000,0x00019998,0x30266620,0xfffd8133,0x7ffc0001,0x003fffb7,
    0x987fff80,0x7fe44fff,0x1fffd81f,0x3fffc000,0xffffdb80,0x01dfffff,
    0xfff30000,0x7edc000b,0xffffffff,0xfffb001d,0xffffffff,0x59dfffff,
    0x0bfff500,0x7ffff900,0x1fffd000,0x7ffffffc,0xffffffff,0xffffffff,
    0xffffffb6,0xffffffff,0x00059dff,0x7fffec00,0xffffffff,0xffffffff,
    0x7d41ffff,0xffffffff,0xffffffff,0x7d40ffff,0xffffffff,0xffffffff,
    0x3ee0ffff,0x227dc2ff,0x0002fffd,0x003ffff6,0x02fffec0,0x5dfffa00,
    0x0002ffff,0x21ffff98,0x7ec2fff9,0x7c0001ff,0x3fffb7ff,0x7fff8000,
    0x644fff98,0xffd81fff,0x7fc0001f,0x7fec407f,0xffffffff,0x0001efff,
    0x02fffcc0,0x7fffec40,0xffffffff,0x7fec01ef,0xffffffff,0xffffffff,
    0x3fe201ef,0xffe8007f,0x7c4005ff,0x7fffc5ff,0xffffffff,0xffffffff,
    0xfffb6fff,0xffffffff,0xffffffff,0x9800003d,0xffffffff,0xffffffff,
    0xffffffff,0x7fffd41f,0xffffffff,0xffffffff,0x7fffd40f,0xffffffff,
    0xffffffff,0x21fff60f,0x5e74c4fb,0xfff10001,0x360007ff,0x0002ffff,
    0xffd9fffa,0x220000ff,0x7cc4fffe,0x7ffec2ff,0x7ffc0001,0x003fffb7,
    0x987fff80,0x7fe44fff,0x1fffd81f,0x3fffc000,0xffffff50,0xfffffdff,
    0x00005fff,0x002fffcc,0x3fffffea,0xfffffeff,0x3f602fff,0xffffffff,
    0xffffffff,0x3a01ffff,0x22001fff,0x00ffffff,0xf0fffea0,0xffffffff,
    0xffffffff,0x2dffffff,0xfffffffd,0xffffffff,0x01ffffff,0x3fff6000,
    0xffffffff,0xffffffff,0x41ffffff,0xfffffffa,0xffffffff,0x40ffffff,
    0xfffffffa,0xffffffff,0x20ffffff,0x4fb87ffd,0xff700000,0x2000dfff,
    0x00fffffd,0x44fffd00,0x0004ffff,0x261bfff2,0x7fec2fff,0x7fc0001f,
    0x03fffb7f,0x87fff800,0x7e44fff9,0xfffd81ff,0x7ffc0001,0xfffffb07,
    0xffb30159,0x00009fff,0x8017ffe6,0xacfffffd,0xffffd980,0x5fffb04f,
    0x33333333,0xffff9533,0x3fee01ff,0x3fee002f,0x2002ffff,0x5541fffc,
    0xbaaaaaaa,0xaaaaffff,0xfb2aaaaa,0x333335ff,0xf9533333,0x001fffff,
    0x5ffff300,0x57ffff55,0x55555555,0x88155555,0xaaaaaaaa,0xaaaaaaaa,
    0x440ffffe,0xaaaaaaaa,0xaaaaaaaa,0x320ffffe,0x27dc2fff,0xffe80000,
    0x8001fffd,0x05fffffd,0xb8fffd00,0x8002ffff,0x981ffff9,0x7fec2fff,
    0x7fc0001f,0x03fffb7f,0x07fff800,0xfffb0000,0xfff80003,0xeffffb87,
    0xfffd1001,0xf300007f,0x3ee00bff,0x1001efff,0xb07ffffd,0x20003fff,
    0x302ffffb,0x6c009fff,0x04ffecff,0x001fffa0,0x0037ffc4,0x0007fff6,
    0x017fffdc,0x27ffec00,0x0001fffe,0xff700000,0x000003ff,0xa83ffff7,
    0x27dc4fff,0x7fcc0000,0x004fff8f,0xffffffd8,0x7ffe8002,0x006fffd8,
    0x304fffe8,0xffd85fff,0x7fc0001f,0x03fffb7f,0x07fff800,0xfffb0000,
    0xfff80003,0x1ffffc47,0xffffd800,0x7fcc0000,0xfff8805f,0xffb0003f,
    0xfffd81ff,0x3ff20001,0x1bffe04f,0xfcafff80,0xfff1006f,0x3fe2000b,
    0x7fec006f,0x3f20001f,0x440004ff,0x7fc0ffff,0x0000007f,0x3fffea00,
    0xfa800003,0xff883fff,0x013ee2ff,0x5bff2000,0x4000fffc,0xfffffffd,
    0x3fff4000,0x027fffc4,0x40dfff90,0x7ec2fff9,0x7c0001ff,0x3fffb7ff,
    0x7fff8000,0xffb00000,0xff80003f,0x2fffe47f,0x3fffa000,0x7fcc0005,
    0xfffc805f,0x7ff40005,0x0fffec5f,0x1fffe000,0x800fffd8,0xffa8fff9,
    0xfffa800f,0xfff10002,0xfffd800d,0x7ffc0001,0x7fe40007,0x07fff84f,
    0x30000000,0x000bffff,0xbffff300,0x67fffe40,0x00004fb9,0xff54fff8,
    0xffd8007f,0x005fffef,0xfb83fff4,0xf9801fff,0x3e601fff,0x7ffec2ff,
    0x7ffc0001,0x003fffb7,0x007fff80,0x3fffb000,0x7fff8000,0x003fffe6,
    0x3ffff300,0x7ffcc000,0x7fffcc05,0x7fcc0000,0x3fff61ff,0x7ff40001,
    0x5fff701f,0x22dff900,0xfc803fff,0xf10000ff,0xfd800dff,0x740001ff,
    0x10001fff,0xff01ffff,0x000000ff,0xdffff100,0xff100000,0xff900dff,
    0x01bfffff,0x7ffd4000,0x001bffe2,0xfff3fffb,0x7ff4005f,0x1bfffa07,
    0x00ffffa0,0xfd85fff3,0x7c0001ff,0x3fffb7ff,0x7fff8000,0x2003ddd3,
    0xffb1eee9,0xff80003f,0x0ffffa7f,0x7ffe4000,0x3fe60004,0x7fff405f,
    0xff900003,0x0fffec9f,0x3fffa000,0x09fff301,0x7f49ffd0,0x6ffe805f,
    0x3ffe2000,0x7ffec006,0x7ff40001,0xff90001f,0x1fffe09f,0x20000000,
    0x000ffffe,0xffffe800,0xffff9000,0x017dffff,0x47ffd800,0x2001fffc,
    0xfff77ffd,0x3ffa001f,0x3fffe207,0x17ffee04,0xb0bffe60,0x80003fff,
    0xfffb7fff,0xfff80003,0x005fff37,0x7ecbffea,0x7c0001ff,0xffff17ff,
    0x7fcc0000,0x3e60007f,0x3fe205ff,0x2600007f,0x3ff67fff,0x3e20001f,
    0x3fe00fff,0x7ffc406f,0x101ffee1,0x40009fff,0x4006fff8,0x0001fffd,
    0x003fffe2,0x03fffe20,0x0003fffc,0x3ff60000,0x800001ff,0x001ffffd,
    0x7ffffe4c,0x0003ffff,0xf989fff1,0x3f6005ff,0x17fffa7f,0x203fff40,
    0x981ffffb,0x9800ffff,0x7fec2fff,0x7fc0001f,0x03fffb7f,0x37fff800,
    0x2a005fff,0xfffb2fff,0xfff80003,0x00bfff37,0x1fffe800,0xbfff3000,
    0x02fffcc0,0x3fffa000,0x003fffb1,0x03fffdc0,0xf501fff6,0x1fff98ff,
    0x00bffea0,0x06fff880,0x00fffec0,0x0ffff700,0x13fff200,0x0007fff8,
    0x3fee0000,0x800003ff,0x003ffffb,0x7ffff540,0x4000efff,0xfe81fffb,
    0xffb000ff,0x17fffccf,0x403fff40,0xfe86fffe,0xff3002ff,0x1fffd85f,
    0xbfffc000,0x0001fffd,0xff9bfffc,0xfff5002f,0x007fff65,0x2affff00,
    0x00004fff,0x001fffe4,0x205fff98,0x0004fffa,0xd9fffe40,0x70001fff,
    0xa809ffff,0x3f601fff,0x04fff85f,0x0001fff2,0x800dfff1,0x0001fffd,
    0x009ffff7,0x01ffff10,0x0003fffc,0xfff98000,0x9800004f,0x0004ffff,
    0xfff9bf70,0xfe800bff,0x7fff706f,0x71fff600,0xe801ffff,0xff8807ff,
    0x3ffee2ff,0x3ffe6005,0x00fffec2,0x6dfffe00,0x40001fff,0xfff37fff,
    0x3ffea005,0x003fffb2,0xf77fff80,0x800007ff,0x0004fffb,0x5c0bfff3,
    0x00003fff,0xfda7ffdc,0x266001ff,0x806ffffc,0x3e03fff8,0x6ffd83ff,
    0x0017ffa0,0x00dfff10,0x001fffd8,0x3ffff266,0xfff70006,0x9ffff80b,
    0x99999999,0x00019999,0x01bfffe2,0x3ffe2000,0x2e00006f,0xffff914f,
    0x3ffe6005,0x0dfff104,0x3a1fff60,0x7f405fff,0xfff7007f,0x1ffff11f,
    0x17ffcc00,0x0007fff6,0x3f6ffff0,0x7c0001ff,0x5fff37ff,0x4bffea00,
    0x0001fffd,0xffcbfffc,0x5400002f,0x30004fff,0x7e40bfff,0x400002ff,
    0xffb4fffa,0xdddddddf,0xfffffddd,0x3a003fff,0xfff305ff,0x01fff701,
    0x0007fff1,0x006fff88,0x7777ffec,0xfeeeeeee,0x1fffffff,0x3ffff000,
    0xffffff80,0xffffffff,0x0000ffff,0x001ffffd,0xffffd000,0x7dc00001,
    0x037ffdc4,0x200fffd8,0xd801fffd,0xfff987ff,0x1fffa02f,0xccfffe80,
    0x4c002fff,0x7fec2fff,0x7fc0001f,0x03fffb7f,0x37fff800,0x2a005fff,
    0xfffb2fff,0xfff80003,0x003fffd7,0x5fffa800,0xbfff3000,0x00ffff40,
    0x3ffea000,0xffffffb5,0xffffffff,0x01bfffff,0xb83ffe40,0xfff106ff,
    0x03fff505,0x6fff8800,0x7fffec00,0xffffffff,0xdfffffff,0xfff70000,
    0xfffff00b,0xffffffff,0x001fffff,0x03ffffb0,0xfffb0000,0xb800003f,
    0x7fffc44f,0x37ffc400,0x017ffea0,0x7dc1fff6,0xffd00fff,0x7ffc400f,
    0x8004ffff,0x7ec2fff9,0x7c0001ff,0x3fffb7ff,0x7fff8000,0x2005fff3,
    0xffb2fffa,0xff80003f,0x01ffff7f,0xfffa8000,0xfff30005,0x07fffc0b,
    0x3fea0000,0xfffffb5f,0xffffffff,0x0059dfff,0xd01fff50,0x7ff409ff,
    0x007ffc85,0x06fff880,0x7ffffec0,0xffffffff,0x002cefff,0x00ffffc0,
    0x7ffffffc,0xffffffff,0x5c000fff,0x0003ffff,0x3ffffb80,0x4fb80000,
    0x401fffd8,0xf803fffb,0x7ec00fff,0x3fffa07f,0x00fffd05,0xefffffb8,
    0xfff98000,0x00fffec2,0x6dfffe00,0x40001fff,0xfff37fff,0x3ffea005,
    0x003fffb2,0xfd7fff80,0x800003ff,0x0004fffb,0x740bfff3,0x00001fff,
    0xfda7ffdc,0xcccccdff,0x03fffffe,0x17ffc400,0xc80bffe2,0x5ffe87ff,
    0xfff88000,0x7ffec006,0xfecccccd,0x0003ffff,0x00bfff70,0x2667fffe,
    0x99999999,0x7cc00199,0x00004fff,0x04ffff98,0x82fdc880,0xfffb84fb,
    0x07fff402,0x01fffe40,0xf981fff6,0xffe82fff,0xfffe8007,0xff30001f,
    0x1fffd85f,0xbfffc000,0x0001fffd,0xff9bfffc,0xfff5002f,0x007fff65,
    0x36ffff00,0x00003fff,0x0027ffe4,0x205fff98,0x0003fffd,0xda7ffe40,
    0x7d401fff,0x0000dfff,0xff513ffa,0x0fffa80f,0x000bffe2,0x01bffe20,
    0x803fffb0,0x00dffffa,0x5ffff400,0x99999999,0x0007fff9,0xffff8800,
    0xf8800006,0x30006fff,0x9f709fff,0x403fff70,0xaaaefff9,0xfcaaaaaa,
    0x7fec06ff,0x7fffe407,0x003fff40,0x002fffcc,0xc85fff30,0x20002fff,
    0xff96fff8,0x7c40005f,0x5fff36ff,0x4bffea00,0x0002fffc,0x7e5bffe2,
    0x400004ff,0x0003fffd,0x640bfff3,0x00004fff,0xfd9fffec,0xff9801ff,
    0x320006ff,0x2ffe46ff,0xa8bffe20,0x80000fff,0x4006fff8,0x9801fffd,
    0x0006ffff,0x3fffffea,0xffffffff,0x00007fff,0x0efffe80,0xffe80000,
    0x3e0000ef,0x84fb86ff,0x3200fffc,0xffffffff,0xffffffff,0x3ff602ff,
    0x5fffe807,0x4003fff4,0x0005fff9,0xf70bffe6,0x4c0005ff,0xfff76fff,
    0x7fcc0005,0x05fff36f,0x5cbffea0,0x20002fff,0xff56fff9,0xe80000bf,
    0x30001fff,0x7d40bfff,0x400005ff,0xffb1fffe,0x3fe6003f,0xf50005ff,
    0x1fff41ff,0xf727ff40,0x220000df,0x6c006fff,0xf3001fff,0x2000bfff,
    0xfffffffe,0xffffffff,0x000007ff,0x00ffffe4,0x7ffe4000,0x7e40001f,
    0x227dc1ff,0x7c06fff8,0xffffffff,0xffffffff,0x3ff605ff,0xffff9807,
    0x001fffa2,0x0017ffe6,0x5c2fff98,0x20003fff,0xff76fff9,0x7cc0007f,
    0x5fff36ff,0x4bffea00,0x0003fffb,0x7c5bffe6,0x00000fff,0x000ffff3,
    0x102fffcc,0x0001ffff,0xd9fffe60,0x2a001fff,0x0003ffff,0x3fe65fff,
    0x6ffb801f,0x00013ff6,0x0037ffc4,0x8007fff6,0x003ffffa,0x7fffffd4,
    0xffffffff,0x0007ffff,0x3fffee00,0xfb800002,0x80002fff,0x2e0efffa,
    0x1fffec4f,0xdddfff50,0xdddddddd,0x01ffffdd,0x6401fff6,0xffd0ffff,
    0xfff3000f,0x7fcc000b,0x27ffd42f,0xbfff5000,0x0013ffea,0xf35fffa8,
    0x3ea005ff,0x9fff52ff,0x7ffd4000,0x013fff65,0x27ffec00,0xf300ddb7,
    0xffd80bff,0xfb00004f,0x7ffec9ff,0x7ffe4001,0xffd8002f,0x200fff74,
    0x3ffe7ff9,0xff100002,0xffd800df,0x7fe4001f,0x3fa002ff,0xaaaaacff,
    0xffaaaaaa,0x3000007f,0x0009ffff,0x9ffff300,0x7ff40000,0x229f70ef,
    0x6c06fffd,0xd8001fff,0xffb04fff,0x7fff400f,0x000fffd5,0x000bfff3,
    0x2217ffcc,0x20006fff,0xff13fffd,0x7ec000df,0x7fff33ff,0x4bffee00,
    0x0006fff8,0xfa8ffff6,0x40001fff,0x321ffffa,0xff9807ff,0x7ffd404f,
    0x7d40001f,0x3ff61fff,0x7f44001f,0x5c000fff,0x09ffb5ff,0x7ccfffc0,
    0x2200007f,0x6c006fff,0x44001fff,0x800ffffe,0x8006fffa,0x00007fff,
    0x05ffff88,0xfff88000,0x4400005f,0xfdeffffe,0x1fffffde,0x01bffe20,
    0x83fffcc0,0x26007ffd,0xffeaffff,0xfff98007,0x3fe60005,0x2fffe82f,
    0xffff8800,0x00bfffa1,0x47fffe20,0xb003fff9,0x7ff45fff,0xff88002f,
    0x7ffec1ff,0x7ff40005,0x07ffdc5f,0x00fffee0,0x0017fff6,0xd8bfffd0,
    0x98001fff,0x4005ffff,0x5fff7ff9,0x5dffec00,0x200005ff,0x4006fff8,
    0x8001fffd,0x805ffff9,0x8002fffd,0x00007fff,0x00efffe8,0xfffe8000,
    0x8800000e,0xfffffffe,0x401effff,0x0003fffb,0x360bfffa,0x7e4007ff,
    0x07ffffff,0x05fff980,0x0bffe600,0x007ffff2,0xc8dfff90,0x4001ffff,
    0x3e26fffc,0xff9806ff,0x3fff22ff,0x7fe4001f,0xffff886f,0x7f44000d,
    0x7fd40fff,0x7ffec03f,0xffff8802,0x7f44000d,0x7fec0fff,0xff90001f,
    0xff8005ff,0x000fffaf,0x3ff73fee,0x3e200003,0x7ec006ff,0xf90001ff,
    0x7cc05fff,0xff0006ff,0xc80000ff,0x0001ffff,0x1ffffc80,0x2e200000,
    0xfffffffe,0xfffd004f,0x7fdc0001,0x07ffd85f,0xfffffe80,0xff98007f,
    0x3e60005f,0xfff882ff,0xfd8801ff,0x7fc42fff,0xd8801fff,0x7f42ffff,
    0x3fe203ff,0x3fe22fff,0xd8801fff,0xf702ffff,0x2003dfff,0x82fffffa,
    0x700ffff9,0x2001ffff,0x01effffb,0x5fffff50,0x003fffb0,0x1bfffe20,
    0xffdffb00,0xeff8800d,0x00001ffe,0x001bffe2,0x0003fffb,0x81bfffe2,
    0x0003fffd,0x0000ffff,0x00ffffdc,0x7ffdc000,0x0000001f,0x02bbfaa2,
    0x06fff980,0x7fffc400,0x003ffec0,0x7fffffcc,0xfff98007,0x3fe60005,
    0xffff702f,0x533159df,0x0bfffff9,0x3bffffee,0xfca998ac,0xfb85ffff,
    0x2a20afff,0x42fffffe,0xcefffffb,0xffca998a,0x7dc05fff,0x09bdffff,
    0xffffb731,0x7ffec07f,0xffca89af,0x7dc005ff,0x09bdffff,0xffffb731,
    0x3fff607f,0x3fea0001,0x3ee004ff,0x8003ffff,0x007ffffe,0x37ffc400,
    0x07fff600,0xffffa800,0x07fff984,0x33fffe00,0xcccccccc,0x13cccccc,
    0x999dffff,0x99999999,0x59999999,0x33bfffe2,0xcccccccc,0xcccccccc,
    0x13ee002c,0x0ffff200,0x3fff6000,0x003ffec4,0x7fffffc8,0x5fff9800,
    0x3ffe6000,0x3ffff202,0xffffffff,0x200dffff,0xfffffffc,0xffffffff,
    0xfff880df,0xfffeefff,0xc82fffaf,0xffffffff,0xffffffff,0xfffa800d,
    0xffffffff,0x02ffffff,0x7fffffc4,0x0fffffff,0xffffa800,0xffffffff,
    0x202fffff,0x0001fffd,0x00ffffec,0x1fffff98,0xffffc800,0x7c400005,
    0x7ec006ff,0x6c0001ff,0x7ec1ffff,0x3e0003ff,0xffffffff,0xffffffff,
    0xffff15ff,0xffffffff,0xffffffff,0x3fe29fff,0xffffffff,0xffffffff,
    0x004fffff,0x3e0013ee,0x80000fff,0x7ec7fffa,0x3fa0007f,0x98007fff,
    0x20005fff,0x5c02fff9,0xffffffff,0x04ffffff,0xffffff70,0xffffffff,
    0xfffe9809,0xf1ffffff,0x3fee05ff,0xffffffff,0x4004ffff,0xffffffd9,
    0xdfffffff,0xffff5000,0x3dffffff,0x7fecc000,0xffffffff,0x6c00dfff,
    0x40001fff,0x006ffff8,0x001ffffe,0x017fffd4,0x3ffe2000,0x7ffec006,
    0x7fc40001,0x3ffe26ff,0x3fe0000f,0xffffffff,0xffffffff,0xfffff15f,
    0xffffffff,0xffffffff,0x3ffe29ff,0xffffffff,0xffffffff,0x2004ffff,
    0x7d4004fb,0x200005ff,0x3f62ffff,0x3e60007f,0x98007fff,0x20005fff,
    0x8802fff9,0xffffffeb,0x4000cfff,0xfffffeb8,0x000cffff,0xffffff91,
    0x017ffc3b,0xfffffd71,0x0019ffff,0x7fffe440,0x00bfffff,0xffffd880,
    0x0000bdff,0xfffff910,0x0017ffff,0x0007fff6,0x0ffffee0,0x02fffe40,
    0x0ffff880,0x7fc40000,0x7fec006f,0xfb80001f,0xfff93fff,0xfff80009,
    0xffffffff,0xffffffff,0xffffff15,0xffffffff,0xffffffff,0x3fffe29f,
    0xffffffff,0xffffffff,0x26004fff,0x7fec001a,0x3200002f,0x3ff65fff,
    0x7fe40007,0xff98007f,0x3e60005f,0x4c4002ff,0x0019abaa,0x57553100,
    0xa8800033,0x2200000a,0x019abaa9,0xba988000,0x2000009a,0x00001ba9,
    0x9aba9880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x015554c0,0xddb00000,
    0x2000009d,0x000deeec,0x26066620,0x75400099,0x999005ee,0x2ccca819,
    0xdd500000,0x000003dd,0x3bbba600,0x64000002,0x00004eee,0x910b332a,
    0x20000799,0x0005eeea,0x01f77744,0x09998800,0x0000ccc4,0x540de540,
    0x300001ee,0x00cc4013,0xdddb1000,0xddb10003,0x2000009d,0x0003eeec,
    0x0bdddb00,0x0eeeea80,0x20009ddb,0x000ffffb,0xfffb8000,0x8800000f,
    0x0002ffff,0x3e07ffe4,0x3e2006ff,0xa805ffff,0x3fe25fff,0x4000006f,
    0x0005fffd,0xfffb0000,0xa800000b,0x003fffff,0x1ffff100,0x000fffec,
    0x7ffffc40,0x3ff20005,0x2a00006f,0x7fec3fff,0xd100000f,0x117dffff,
    0x00001ffb,0x6fe81bfa,0x3ff60000,0x98000fff,0x0001ffff,0x7ffffdc0,
    0x7cc00002,0x74001fff,0x3ffe3fff,0xfff70005,0x0000001f,0x0003fffd,
    0x13fff200,0x3fff2000,0x0037ffc0,0x7fffdffd,0x25fff900,0x0000fffd,
    0x7fff4400,0x40000001,0x000efff9,0x3ffe6000,0x0001fffe,0x2abfff30,
    0x00003fff,0x7fffdffd,0xffff1000,0x7d400001,0x7ffec3ff,0xffb00000,
    0xffffffff,0x640000df,0x3ffb82ff,0xfff90000,0x2000dffd,0x0005fffb,
    0x3fbffe60,0x200000ff,0x4002fffd,0x7fc5fffa,0xff70005f,0x000001ff,
    0x003fffa8,0xbfff1000,0x3ff20000,0x037ffc0f,0xfb9fffd8,0xffe801ff,
    0x001fffbf,0xfff30000,0x8000000b,0x0001fffc,0x3fffa200,0x000fffd8,
    0xf7fff700,0x200009ff,0xffb9fffd,0x7fdc001f,0x5400001f,0x7fec3fff,
    0xf980000f,0xfffda9ef,0x00001fff,0x373bffe2,0x0000ffff,0xf8cfffa8,
    0xf90004ff,0x100003ff,0x3ffadfff,0xf980000e,0xfe8004ff,0x2fffc0ef,
    0xffffb800,0x74000000,0x000005ff,0x0003bff2,0x207ffe40,0xfb806fff,
    0x3fffa4ff,0x7fffc400,0x000003ff,0x007ffd40,0xff880000,0x4000002f,
    0xff12fffd,0x6c0000df,0x006fffff,0x49fff700,0x1000fffe,0x00007fff,
    0xd87fff50,0x80000fff,0x76443ffa,0x800000be,0xfffffffa,0xf880001f,
    0x3ffee6ff,0xbffb0002,0xfffd0000,0x017ffe63,0x01bff600,0x207ffea0,
    0x10005fff,0x00003333,0x006ffa80,0x3ffe2000,0x00000001,0x8dfff300,
    0xa806fff9,0x0005ffff,0x9ff70000,0x32000000,0x000004ff,0x2e27ffdc,
    0x00004fff,0x01ffffd1,0xdfff3000,0x006fff98,0x0000bff7,0x00000000,
    0x00000000,0x9dffd910,0x3fa00001,0x7fff41ff,0xffe88001,0x3ff20000,
    0x1fffe44f,0x1fff3000,0x05ffd000,0x30017ffe,0x00359955,0x00000000,
    0x44000000,0x98000199,0x00000199,0x0000ccc4,0x00000000,0x00000000,
    0x00000000,0x00999880,0x00000000,0x40000000,0x09abcb98,0x26200000,
    0x0009abcb,0x00000000,0x00000000,0x00000000,0x00000000,0x805fff80,
    0xffffffc9,0x802defff,0x00019998,0x44266620,0x88000199,0x3fffb199,
    0x7fff8000,0x88026660,0x99999999,0x00000019,0x00099988,0x26620000,
    0x00000009,0x00026662,0x99999988,0x99999999,0x21999999,0x00009998,
    0x9988cccc,0xb8000001,0xfffffffd,0x00001dff,0xffffffb7,0x0003bfff,
    0x02666200,0x01333000,0x99998800,0x99999999,0x99999999,0x26666621,
    0x99999999,0x19999999,0x26666662,0x99999999,0x81999999,0xfff80999,
    0x3fffa205,0xffffffff,0x2e02efff,0x0002ffff,0xb1ffff98,0x8000bfff,
    0xfffb7ffe,0xfff80003,0x81bffe07,0xfffffffd,0xdeffffff,0x36000002,
    0x0000ffff,0xffffb000,0x20000001,0x000ffffd,0xffffff90,0xffffffff,
    0x1fffffff,0x000bfff2,0x3faffff0,0x2000007f,0xffffffd8,0xefffffff,
    0xffb10001,0xffffffff,0x0003dfff,0x0ffffd80,0x7fff3000,0xfffc8000,
    0xffffffff,0xffffffff,0xffff90ff,0xffffffff,0xffffffff,0x3ffff21f,
    0xffffffff,0xffffffff,0x437ffc0f,0xff505fff,0xdfffffff,0xffffffff,
    0x7fffec05,0x3fa20000,0x3fff64ff,0x3fa0002f,0x03fffb7f,0x07fff800,
    0xfd81bffe,0xffffffff,0xefffffff,0x7c400003,0x0003ffff,0xffff8800,
    0x8000003f,0x03fffff8,0xfffff900,0xffffffff,0xffffffff,0x00bfff21,
    0x3affff00,0x000007ff,0xfffffff5,0xffffffdf,0xfa8005ff,0xefffffff,
    0xffffffff,0xff100002,0x20007fff,0x0003fff9,0x7fffffe4,0xffffffff,
    0x0fffffff,0xfffffff9,0xffffffff,0x21ffffff,0xfffffffc,0xffffffff,
    0x40ffffff,0xfff86fff,0xfffffb85,0x6d4c09bd,0x102fffff,0x0009ffff,
    0x3637ffe4,0x000fffff,0x3f6fffd0,0x7c0001ff,0x3ffe07ff,0x3ffff606,
    0xffffffff,0x2fffffff,0xfff70000,0x00000dff,0xdfffff70,0xf7000000,
    0x000dffff,0x3ffffff2,0xffffffff,0x0fffffff,0x0005fff9,0xffd7fff8,
    0xfb00000f,0x0159ffff,0x9fffffb3,0x3ffff600,0xfd980acf,0x0004ffff,
    0x6fffffb8,0x7fff3000,0xfffc8000,0xffffffff,0xffffffff,0xffff90ff,
    0xffffffff,0xffffffff,0x3ffff21f,0xffffffff,0xffffffff,0x437ffc0f,
    0x7fd45fff,0x2a002fff,0x2e06ffff,0x8002ffff,0x6c1ffff9,0x005fffff,
    0x3f6fffd0,0x7c0001ff,0x3ffe07ff,0x2ffff606,0xcbaaaaaa,0xffffffdc,
    0xffe80002,0x0001fffd,0x7efff400,0x000001ff,0x7ffefff4,0xfffc8001,
    0xaaaaaaac,0xaaaaaaaa,0x0bfff22a,0x2ffff000,0x00007ffe,0x0f7fffdc,
    0xffffe880,0x7fffdc03,0xffd1001e,0xe80007ff,0x01fffdff,0x03fff980,
    0x67ffe400,0xaaaaaaaa,0xaaaaaaaa,0x2b3fff22,0xaaaaaaaa,0x2aaaaaaa,
    0x2ab3fff2,0xaaaaaaaa,0x82aaaaaa,0xfff86fff,0x37fffa25,0xffe88000,
    0x3fff602f,0xfffe8006,0xfffffd84,0xffe8002f,0x003fffb7,0x207fff80,
    0x3f606fff,0x7dc001ff,0x0001ffff,0x3fe3ffe6,0x2000004f,0xfff8fff9,
    0x26000004,0x4fff8fff,0x1fffc800,0x7fe40000,0x7fc0002f,0x00fffd7f,
    0x7fffc400,0xfffb0003,0x3ffe201f,0xffb0003f,0x260001ff,0x4fff8fff,
    0x3fff9800,0x7ffe4000,0x7e400001,0x400001ff,0x0001fffc,0xf0dfff00,
    0x7ffe4bff,0x7fcc0006,0x3ffe205f,0x3ff2004f,0xffffb06f,0xe8001fff,
    0x3fffb7ff,0x7fff8000,0xd81bffe0,0x98001fff,0x0006ffff,0x7fe5bff2,
    0x9000000f,0x3fff2dff,0xf9000000,0x03fff2df,0x03fff900,0xfffc8000,
    0x7ffc0002,0x000fffd7,0x02fffe40,0x17fffa00,0x002fffe4,0x017fffa0,
    0xfcb7fe40,0x7cc000ff,0x640003ff,0x00001fff,0x000fffe4,0x07fff200,
    0x7ffc0000,0xf15fff86,0x00005fff,0x5c03fffb,0x9801ffff,0xfb01ffff,
    0x0bfffdff,0xfb7ffe80,0xf80003ff,0x3ffe07ff,0x07fff606,0x7fffcc00,
    0x9fff0002,0x000fffea,0xaa7ffc00,0x00003fff,0x3ea9fff0,0x7e4003ff,
    0x400001ff,0x0002fffc,0xffebfffc,0xff300007,0x980001ff,0x7cc1ffff,
    0x40000fff,0x001ffff9,0xff54fff8,0xff98007f,0x7e40003f,0x400001ff,
    0x0001fffc,0x00fffe40,0x6fff8000,0xff75fff8,0x2a0000bf,0x7f401cef,
    0xffe806ff,0x3fff603f,0x002ffff9,0x7fedfffa,0x7fc0001f,0x1bffe07f,
    0x001fffd8,0x01bfff20,0xf8bffea0,0x800006ff,0x3fe2fffa,0xa800006f,
    0x3ffe2fff,0x7ffe4006,0x7e400001,0x7c0002ff,0x0fffd7ff,0x3fffa000,
    0xff900003,0x3fffe89f,0xfff90000,0xfffa8009,0x001bffe2,0x2607fff3,
    0x1fffc801,0x7fe40000,0x6400001f,0x00001fff,0xff0dfff0,0x0bfffabf,
    0x20008000,0x204ffff8,0x6c05fffb,0xffff77ff,0x5fffa001,0x0001fffd,
    0xff03fffc,0x7ffec0df,0x3fe20001,0x7ec000ff,0x0fffe47f,0x3ff60000,
    0x00fffe47,0x1fff6000,0x4003fff9,0x0001fffc,0x017ffe40,0x75fffe00,
    0x880007ff,0x00007fff,0xf89fffe6,0x200007ff,0x4007fff9,0x7fe47ffd,
    0x3fe6001f,0x3fff6e3f,0xffc80bdf,0x6400001f,0x00001fff,0x000fffe4,
    0x86fff800,0xfff8dfff,0x0000000f,0x07fffee0,0x003fffe6,0x7ff4fffb,
    0xfffd005f,0x0007fff6,0x7c0ffff0,0x3ff606ff,0x7ec0001f,0x3e2003ff,
    0x7ffcc4ff,0x3e200005,0x7ffcc4ff,0x3e200005,0x7ffcc4ff,0x3fff2005,
    0x7e400001,0x7c0002ff,0x0fffd7ff,0xbfff3000,0xffe80000,0x0bfff31f,
    0xfffe8000,0x9fff1001,0x005fff98,0x3a2fffe6,0xffffffff,0x0fffe40e,
    0x3ff20000,0x6400001f,0x00001fff,0xff0dfff0,0x0ffff5bf,0xd0000000,
    0xffd0dfff,0xfffb005f,0x017fffcc,0xffdbfff4,0x7fc0001f,0x1bffe07f,
    0x001fffd8,0x02fffd40,0xd03fff70,0x00001fff,0x3a07ffee,0x00000fff,
    0xfd03fff7,0x3f2001ff,0x400001ff,0x0002fffc,0xffebfffc,0xffa80007,
    0x6400004f,0xfff53fff,0xfc800009,0xff7003ff,0x1fffd03f,0x37ffe600,
    0xffffffff,0x3f20efff,0x400001ff,0x0001fffc,0x00fffe40,0x6fff8000,
    0xffbdfff8,0x0000006f,0x2ffff880,0x4017ffee,0x7fdc7ffd,0x7ff400ff,
    0x003fffb7,0x207fff80,0x3f606fff,0x4c0001ff,0x3a006fff,0xfff706ff,
    0x3fa00007,0x7fff706f,0x3ffa0000,0x07fff706,0x007fff20,0x5fff9000,
    0x7fff8000,0x0000fffd,0x0007fff7,0x74fffb80,0x00007fff,0x004fffb8,
    0x3ee0dffd,0xff3003ff,0x2159ffff,0x25ffffa8,0x0001fffc,0x00fffe40,
    0x3fff2000,0xff000001,0x9bfff0df,0x00009fff,0x3fee0000,0xffff88ff,
    0x0fffb000,0xe80bfffd,0x3fffb7ff,0x7fff8000,0xd81bffe0,0x40001fff,
    0x3007fff8,0x3e209fff,0x980006ff,0xff104fff,0xf30000df,0x3fe209ff,
    0xfff9006f,0x55555559,0x55555555,0xeefffc85,0xeeeeeeee,0xffeeeeee,
    0x00fffd7f,0x05fff900,0xfffa8000,0x005fff94,0x4fffa800,0x04fff980,
    0x200dfff1,0x03fffff9,0x643fffe6,0xaaaacfff,0xaaaaaaaa,0x7fe42aaa,
    0xaaaaaacf,0xaaaaaaaa,0x67ffe42a,0xaaaaaaaa,0x2aaaaaaa,0xff0dfff0,
    0x05fffbbf,0x555554c0,0x02aaaaaa,0x667fff40,0x36002fff,0xfff987ff,
    0x5fffa02f,0x0001fffd,0xff03fffc,0x7ffec0df,0x7fc40001,0xfffb007f,
    0x0fffec01,0x3fff6000,0x07fff600,0x1fffb000,0x00fffec0,0x7fffffe4,
    0xffffffff,0x647fffff,0xffffffff,0xffffffff,0xd7ffffff,0xd0000fff,
    0x00003fff,0xfd5fffa8,0x800003ff,0xd805fffa,0x3f600fff,0xff9801ff,
    0xffc804ff,0xfffff92f,0xffffffff,0x8fffffff,0xfffffffc,0xffffffff,
    0x7e47ffff,0xffffffff,0xffffffff,0xdfff07ff,0xffbbfff0,0x7fe4005f,
    0xffffffff,0x3e2000ff,0x04ffffff,0xb83ffec0,0xfd00ffff,0x07fff6ff,
    0x0ffff000,0xfb037ffc,0xf00003ff,0xf8801fff,0x7fd406ff,0x3e20005f,
    0x7fd406ff,0x3e20005f,0x7fd406ff,0xfffc805f,0xffffffff,0xffffffff,
    0x7ffffe47,0xffffffff,0xffffffff,0x00fffd7f,0x01ffff00,0xfffa8000,
    0x001ffff5,0x5fffa800,0x037ffc40,0x2017ffea,0x5007fff9,0x3ff25fff,
    0xffffffff,0xffffffff,0x7fffe47f,0xffffffff,0x7fffffff,0x7fffffe4,
    0xffffffff,0xf07fffff,0xff900dff,0x7fe4007f,0xffffffff,0x7dc000ff,
    0x000effff,0xfd03ffec,0x3ffa0bff,0x003fffb7,0x207fff80,0x3f606fff,
    0x440001ff,0xfb807fff,0xfff803ff,0xff70000f,0xffff007f,0x3fee0001,
    0xffff803f,0x7fffe400,0xffffffff,0x7fffffff,0x7777ffe4,0xeeeeeeee,
    0xfffeeeee,0x000fffd7,0x003fffd0,0x4fffb800,0x0003fffd,0x04fffb80,
    0x401fffdc,0x4c00ffff,0xf3006fff,0x3fff27ff,0xffffffff,0xffffffff,
    0x7ffffe47,0xffffffff,0x47ffffff,0xfffffffc,0xffffffff,0xff07ffff,
    0xfff700df,0x7ffe4009,0xffffffff,0xffe8000f,0xfd8001ff,0x3ffe607f,
    0xb7ffe82f,0x80003fff,0x3fe07fff,0x3fff606f,0x7fcc0001,0xfffe807f,
    0x3fffc800,0x1fffd000,0x07fff900,0x03fffa00,0x00ffff20,0x3337fff9,
    0x33333333,0xfc833333,0x7c0002ff,0x0fffd7ff,0x7fffb000,0xffc80000,
    0x07fffb4f,0xfffc8000,0x07fff404,0x01fffe40,0x4017ffe6,0xff93fff8,
    0x3333337f,0x33333333,0xbfffc833,0x99999999,0x19999999,0x4cdfffe4,
    0x99999999,0xf0199999,0xff500dff,0x4cc400bf,0xfe999999,0xf98000ff,
    0xfb0005ff,0xfffc80ff,0xcbfff40f,0x20002fff,0x3e06fff8,0x3ff606ff,
    0x7d40001f,0x7fcc05ff,0xaaaaaaef,0x6fffcaaa,0xefff9800,0xaaaaaaaa,
    0x006fffca,0xaaefff98,0xcaaaaaaa,0x7e406fff,0x400001ff,0x0002fffc,
    0xffebfffc,0xffc80007,0x6c00004f,0xfff93fff,0xfd800009,0x3fe603ff,
    0xaaaaaaef,0x6fffcaaa,0x027ffcc0,0xf93fff88,0x800003ff,0x0001fffc,
    0x00fffe40,0x6fff8000,0x07fff980,0x7fff4000,0xfff98000,0xfffb0005,
    0x8bfffd00,0xfff77ffe,0x7fcc0005,0x1bffe06f,0x001fffd8,0x027ffdc0,
    0x3ffffff2,0xffffffff,0x4002ffff,0xfffffffc,0xffffffff,0x64002fff,
    0xffffffff,0xffffffff,0x3ff202ff,0x6400001f,0x40002fff,0xfffd7fff,
    0xfff50000,0xfe80000b,0xbfff51ff,0xffe80000,0x3fff201f,0xffffffff,
    0x2fffffff,0x00fffe60,0xfc9fffc4,0x400001ff,0x0001fffc,0x00fffe40,
    0x6fff8000,0x05fffd00,0x7fff4000,0xfff98000,0xfffb0005,0x5ffff300,
    0xffbbfff4,0x3e60003f,0x3ffe06ff,0x07fff606,0x7fff9000,0xffffff80,
    0xffffffff,0x005fffff,0x7ffffffc,0xffffffff,0x4005ffff,0xffffffff,
    0xffffffff,0x3f205fff,0x400001ff,0x0002fffc,0xffebfffc,0xff880007,
    0x300000ff,0x7fc4ffff,0x300000ff,0xff80ffff,0xffffffff,0xffffffff,
    0x3ffe605f,0x7fff1003,0x0007fff2,0x03fff900,0xfffc8000,0xff000001,
    0x3fee00df,0x3a00005f,0x98000fff,0xb0005fff,0x3f200fff,0xfffd0fff,
    0x0013ffea,0x205fffa8,0x3f606fff,0x740001ff,0x3ea02fff,0xeeeeeeff,
    0xfeeeeeee,0xf5000fff,0xddddddff,0xfddddddd,0x2a001fff,0xeeeeefff,
    0xeeeeeeee,0xf900ffff,0x800003ff,0x0002fffc,0xffebfffc,0xffb00007,
    0x3600009f,0x7fec4fff,0xfb00004f,0x7fd409ff,0xeeeeeeef,0xffeeeeee,
    0xfff300ff,0x3ffe2007,0x003fff93,0x1fffc800,0x7fe40000,0xf000001f,
    0x3e200dff,0x00002fff,0x0001fffd,0x000bfff3,0xe801fff6,0xfffd5fff,
    0x001bffe2,0x203fffd8,0x3f606fff,0x2a0001ff,0x3600ffff,0xd8001fff,
    0xfb004fff,0xfb0003ff,0x3f6009ff,0xfd8001ff,0xfff904ff,0xfc800003,
    0x7c0002ff,0x0fffd7ff,0x3ffea000,0x7d40001f,0x7fd41fff,0x540001ff,
    0x3601ffff,0xd8001fff,0xff304fff,0x3fe2007f,0x03fff93f,0xfffc8000,
    0x7e400001,0x000001ff,0x6400dfff,0x0000ffff,0x000fffe8,0x005fff98,
    0x400fffb0,0xfeaffff9,0x0bfffa7f,0x3fffe200,0x81bffe01,0x0001fffd,
    0x8813fffa,0x30006fff,0xf100ffff,0x26000dff,0xf8807fff,0xf30006ff,
    0x3ff20fff,0x6400001f,0x40002fff,0xfffd7fff,0x7fec0000,0x7f40005f,
    0xfffb05ff,0xffe8000b,0x3ffe205f,0xfff30006,0x0fffe60f,0xc9fffc40,
    0x00001fff,0x000fffe4,0x07fff200,0x7ffc0000,0x7fff4006,0xfd30001f,
    0x30001fff,0x2000bfff,0x64007ffd,0x7fffffff,0x007ffff2,0x80dfff90,
    0x3f606fff,0xf70001ff,0x7dc01fff,0x3a0003ff,0x7dc02fff,0x3a0003ff,
    0x7dc02fff,0x3a0003ff,0xffc82fff,0x6400001f,0x40002fff,0xfffd7fff,
    0x7fc40000,0x44000dff,0x100ffffe,0x001bffff,0x0ffffe88,0x00fffee0,
    0x82fffe80,0x1003fff9,0x3ff27fff,0x6400001f,0x00001fff,0x000fffe4,
    0x06fff800,0x7ffffcc0,0xff91001c,0x0001ffff,0x000bfff3,0x2001fff6,
    0x7ffffffe,0x07ffffe2,0x3ffff620,0x037ffc02,0x0003fffb,0x809ffff5,
    0x0000fffe,0xd017ffee,0x40001fff,0x7405fffb,0x20000fff,0xfc85fffb,
    0x400001ff,0x0002fffc,0xffebfffc,0x7dc00007,0x5001efff,0x805fffff,
    0x01effffb,0x5fffff50,0x00fffe80,0x17ffee00,0x400fffe6,0xff93fff8,
    0xc800003f,0x00001fff,0x000fffe4,0x06fff800,0xfffffa80,0xb989bdff,
    0xffffffed,0xff30000d,0x3f6000bf,0xff98007f,0x7dc7ffff,0x8aceffff,
    0xffffca99,0x6fff805f,0x007fff60,0xeffffd98,0x1bffe600,0xffff1000,
    0x1bffe601,0xffff1000,0x1bffe601,0xffff1000,0x01fffc81,0x7ffe4000,
    0x7ffc0002,0x000fffd7,0xfffff700,0x2e62137b,0x03fffffd,0xbfffff70,
    0x36e62137,0x403fffff,0x0006fff9,0x207fffc4,0x1003fff9,0x3ff27fff,
    0x6400001f,0x00001fff,0x000fffe4,0x06fff800,0xffffd100,0xffffffff,
    0x05dfffff,0x5fff9800,0x0fffb000,0x3ffff200,0xffffc87f,0xffffffff,
    0x800dffff,0x3f606fff,0xcccccdff,0xffffdccc,0x7e400eff,0xd80003ff,
    0xff904fff,0xfb00007f,0x3ff209ff,0xfd80003f,0x7ffe44ff,0xcccccccd,
    0xcccccccc,0x5fff93cc,0x7fff8000,0x9999fffd,0x99999999,0x7fd40799,
    0xffffffff,0x2fffffff,0x7fffd400,0xffffffff,0x802fffff,0x0003fffc,
    0x4c4fffd8,0xf1003fff,0x3fff27ff,0xcccccccd,0xcccccccc,0xbfff93cc,
    0x99999999,0x99999999,0x37fff279,0xcccccccc,0xcccccccc,0x037ffc3c,
    0x3fffee00,0xffffffff,0x00003fff,0x000bfff3,0x8001fff6,0x707ffffe,
    0xffffffff,0x09ffffff,0xb037ffc0,0xffffffff,0xffffffff,0xff001dff,
    0x500001ff,0x3fe0ffff,0xa80000ff,0xfff07fff,0xf500001f,0xfffc8fff,
    0xffffffff,0xffffffff,0x5fff95ff,0x7fff8000,0xfffffffd,0xffffffff,
    0xfd980dff,0xffffffff,0x000dffff,0xfffffb30,0xffffffff,0x3ffe001b,
    0xfa80000f,0x7ffcc7ff,0x7fff1003,0x3ffffff2,0xffffffff,0x5fffffff,
    0xfffffff9,0xffffffff,0x2bffffff,0xfffffffc,0xffffffff,0x45ffffff,
    0x00006fff,0xffffffb5,0x00179dff,0x2fffcc00,0x07ffd800,0x3fffe600,
    0x3ffae207,0xcfffffff,0x37ffc000,0xffffffb0,0xffffffff,0x2a005dff,
    0x00005fff,0xf50bfffe,0x40000bff,0x7d42ffff,0x200005ff,0x3f22ffff,
    0xffffffff,0xffffffff,0xff95ffff,0xff80005f,0xfffffd7f,0xffffffff,
    0x200dffff,0xffffffc8,0x0000bfff,0xfffff910,0x0017ffff,0x002fffd4,
    0x45ffff00,0x1003fff9,0x3ff27fff,0xffffffff,0xffffffff,0xfff95fff,
    0xffffffff,0xffffffff,0x3fff2bff,0xffffffff,0xffffffff,0x37ffc5ff,
    0x54cc0000,0x000000ab,0x002fffcc,0x0007ffd8,0x803fffe4,0x19abaa98,
    0x1bffe000,0xffffffd8,0xcdefffff,0x7fec001c,0x3200002f,0x7fec5fff,
    0x3200002f,0x7fec5fff,0x3200002f,0x3ff25fff,0xffffffff,0xffffffff,
    0xfff95fff,0xfff80005,0xffffffd7,0xffffffff,0x1000dfff,0x00135753,
    0xba988000,0xfb00009a,0x400005ff,0x3e65fffc,0xff1003ff,0x3ffff27f,
    0xffffffff,0xffffffff,0xfffff95f,0xffffffff,0xffffffff,0x3fffff2b,
    0xffffffff,0xffffffff,0x0037ffc5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd7099801,0x95001ddd,0x001cc809,0x2204ccc0,0x00000199,
    0xdb015973,0x0666200b,0x44002666,0x09998199,0xeeeed800,0x5eeeeeee,
    0x82cca800,0x5c002ee8,0xcccccccc,0x20004ccc,0xeeeeeeeb,0x000eeeee,
    0x3fe40bfd,0x2cccc800,0x664c0000,0x4c0000cc,0x0ccc4099,0x05c40000,
    0x26662000,0x99999999,0x66664c01,0xcccccccc,0x55530001,0x55555555,
    0x00000015,0x10000000,0x03579955,0x7ff54000,0xd17fdc2e,0xf5009fff,
    0x07fee07f,0x4fff9800,0x000fffe4,0x3fffee00,0x0bff32cf,0xf31fffa0,
    0x3fa009ff,0x27ffc47f,0x7ffff400,0x7fffffff,0x7fffec00,0x05ff91bf,
    0xfffffd80,0x07ffffff,0x3ffff200,0xffffffff,0x03ff9000,0x2000bff3,
    0x0003ffff,0x07fffd40,0x9fff3000,0x001fffc8,0x37fff600,0xfff90000,
    0xffffffff,0x7ffdc03f,0xffffffff,0xff90002f,0xffffffff,0x000001ff,
    0x15797531,0x4001d700,0xfffffeb8,0x000cffff,0x3ffffea0,0x0fffbdff,
    0x003fffe2,0xfa83fff1,0x7cc0007f,0x7ffe44ff,0x3e600001,0xffffffff,
    0xfd003fff,0x4fff98ff,0x88fffd00,0xe8004fff,0xffffffff,0x2e007fff,
    0xffffffff,0x4000ffff,0xfffffffd,0x0007ffff,0x3ffffff2,0x00ffffff,
    0x559fff30,0x0005ffd9,0x000ffffe,0x1ffff500,0x7ffcc000,0x00fffe44,
    0xd52fb800,0x3ff20009,0xffffffff,0x3fee01ff,0xffffffff,0xf90002ff,
    0xffffffff,0x00001fff,0x7ffffed4,0xa80dffff,0xff7006ff,0xffffffff,
    0x001bffff,0xffbbffd0,0x30bfffff,0xf7009fff,0xffffdfff,0xff980005,
    0x0fffe44f,0x9ff90000,0xfffffd71,0x3fff400d,0x4013ffe6,0x7fc47ffe,
    0x9988004f,0x99999999,0x3ffe0019,0xfffffc9a,0xaaa8003f,0xaaaaaaaa,
    0x2620002a,0x99999999,0x7dc00199,0x4fffffff,0x3fffe000,0x7d400003,
    0x20000fff,0x7e44fff9,0xd00001ff,0x70007b8b,0xdddddddd,0x4c03dddd,
    0xaaaaaaaa,0x0000aaaa,0x99999995,0x00199999,0xfffff500,0xffffffff,
    0x3ffea19f,0x7ffec401,0xffefffff,0x01ffffff,0xb897fe20,0x500cffff,
    0xf9001fff,0x07ffffff,0x9fff3000,0x001fffc8,0x303ff600,0xe8005bdb,
    0x7ffcc7ff,0x8fffd004,0x0004fff8,0x3e200000,0x0cfdb85f,0x00000000,
    0x00000000,0x5dffffd5,0xffff8000,0x7d400003,0x20000fff,0x7e44fff9,
    0xf00001ff,0x0000fa89,0x00000000,0x00000000,0xffffc800,0xfffeffff,
    0xffbfffff,0x7ff4402f,0x4409bfff,0x2fffffea,0x20399100,0x9ff90029,
    0x33b2e200,0x0000000b,0x00000000,0x00000000,0x30000000,0x19988133,
    0x20000000,0x80001998,0x88001999,0x009abcb9,0x00998800,0x00000000,
    0x00000000,0x7e400000,0x80001760,0x26200999,0x99999999,0x99999999,
    0x20001999,0x00009998,0x7ffffec0,0x7ecc40ab,0x03ffffff,0x0dffffd8,
    0xfffff300,0x00000003,0x00000000,0x02666200,0x98800000,0x20000099,
    0x33100999,0x44000033,0xff980999,0x0fffe44f,0x0000ccc4,0xffd8ccc4,
    0x7fc0001f,0xffb7007f,0xbfffffff,0x4ccc0003,0x99998800,0x99999999,
    0x99999999,0x26666621,0x99999999,0x19999999,0x26666662,0x99999999,
    0x01999999,0xffbff100,0x7fc00005,0x3fff206f,0xffffffff,0xffffffff,
    0xfb0000ff,0x00001fff,0x037ffff2,0x7ffff540,0xffffb805,0xffe88002,
    0x2660006f,0x13330009,0x4cccccc4,0x99999999,0x01999999,0x3ffff600,
    0xb0000000,0x0001ffff,0x5c1bffe0,0x0002ffff,0x81ffff98,0x7e44fff9,
    0xfffd81ff,0x7ff40005,0x003fffb7,0x407fff80,0xffffffd8,0xefffffff,
    0x6fff8001,0xfffffa80,0xffffffff,0xffffffff,0xffffff90,0xffffffff,
    0x1fffffff,0x3ffffff2,0xffffffff,0x0fffffff,0xffffb000,0x7fc00001,
    0x3fff206f,0xffffffff,0xffffffff,0xf88000ff,0x0003ffff,0x03ffffa8,
    0xfffff880,0x3fffe200,0x3fe20003,0xff0004ff,0x3ffe00df,0x3fffff26,
    0xffffffff,0xffffffff,0xfff88000,0x000003ff,0x3fffff88,0xdfff0000,
    0x07fffec0,0xfffd1000,0x13ffe609,0xfb03fff9,0x40005fff,0xfffb7ffe,
    0xfff80003,0x3fffea07,0xfffeffff,0x002fffff,0x54037ffc,0xffffffff,
    0xffffffff,0xf90fffff,0xffffffff,0xffffffff,0x3f21ffff,0xffffffff,
    0xffffffff,0x8000ffff,0x03fffff8,0x1bffe000,0xffffffc8,0xffffffff,
    0x0fffffff,0xffffb800,0x7c40006f,0xb0004fff,0x407fffff,0x0006fffc,
    0x00ffffa8,0x006fff80,0x7fe4dfff,0xffffffff,0xffffffff,0xb8000fff,
    0x006fffff,0xfffb8000,0xf00006ff,0x7fc40dff,0x320004ff,0x3e606fff,
    0x7ffe44ff,0xfffffd81,0xfffd0000,0x0007fff6,0x360ffff0,0x0acfffff,
    0xfffffd98,0x1bffe004,0x3ffffea0,0xffffffff,0xffffffff,0xffffff90,
    0xffffffff,0x1fffffff,0x3ffffff2,0xffffffff,0x0fffffff,0xffffb800,
    0x3e00006f,0x3ff206ff,0xaaaaaacf,0xaaaaaaaa,0xfd0002aa,0x003fffbf,
    0x07fffdc0,0x7f7fe400,0xfff00fff,0x3a00005f,0xf8002fff,0xfff006ff,
    0x7ffffe4d,0xffffffff,0xffffffff,0xdffe8000,0x00001fff,0x7fefff40,
    0xff80001f,0x7ffdc06f,0xff98002f,0x000001ff,0x2fffffec,0xb7ffe800,
    0x80003fff,0xffb87fff,0xd1001eff,0x2007ffff,0xa8806fff,0xaaaaaaaa,
    0xeaaaaaaa,0xff90ffff,0x5555559f,0x55555555,0x7ffe4555,0xaaaaaaac,
    0xaaaaaaaa,0xffd0002a,0x0003fffb,0xc81bffe0,0x00001fff,0x1fff3000,
    0x40009fff,0x8003fffe,0xffd8effb,0x5fff984f,0x3fee0000,0xfff8005f,
    0x4dfff006,0xaaacfffc,0xaaaaaaaa,0x002aaaaa,0xff8fff98,0x2000004f,
    0xfff8fff9,0xfff80004,0x6fffd806,0x4fffe800,0xfd800000,0x002fffff,
    0xffb7ffe8,0xff80003f,0x7fffc47f,0xfffb0003,0xdfff001f,0xf7000000,
    0x7fe43fff,0x6400001f,0x00001fff,0x1fff3000,0x00009fff,0xfc81bffe,
    0x000001ff,0x32dff900,0x88000fff,0xa8006fff,0xfff51fff,0x07fff90f,
    0x7ffc4000,0x7ffc000f,0x4dfff006,0x0001fffc,0xdff90000,0x0003fff2,
    0xcb7fe400,0x40000fff,0xf8806fff,0x32004fff,0x00006fff,0xfffffb00,
    0xfe8001ff,0x03fffb7f,0x47fff800,0x0005fffc,0x402ffff4,0x00006fff,
    0x1ffffd40,0x0007fff2,0x03fff900,0x32000000,0x1fff96ff,0xdfff0000,
    0x00fffe40,0xff800000,0x07fff54f,0x09fff700,0x41fffa80,0x7f40ffff,
    0x400002ff,0x4001fffe,0xff006fff,0x0fffe4df,0xf8000000,0x7fff54ff,
    0x3fe00000,0x07fff54f,0x06fff800,0x03ffff70,0x03ffff30,0x3f600000,
    0x05fffeff,0xfdbfff40,0x7c0001ff,0x3ffe67ff,0x7cc0000f,0x7fc01fff,
    0x2000006f,0xc85ffff9,0x00001fff,0x000fffe4,0xfff80000,0x007fff54,
    0x40dfff00,0x0001fffc,0xfffa8000,0x001bffe2,0x800ffff2,0xfd82fff9,
    0x7fffc1ff,0x7ec00001,0x7fc002ff,0xdfff006f,0x000fffe4,0x7fd40000,
    0x01bffe2f,0x3ffea000,0x001bffe2,0x400dfff0,0xe806fffe,0x3a603fff,
    0xdd3001ee,0x27fff63d,0x2002ffff,0xfffb7ffe,0xfff80003,0x00ffffa7,
    0x27ffe400,0x001bffe0,0x7fffc400,0x03fff906,0xfffc8000,0x80000001,
    0x3fe2fffa,0xff80006f,0x3fff206f,0x80000001,0x7fe47ffd,0x7fec001f,
    0xfff1002f,0x0bfff207,0x0001ffff,0x03fffc80,0x8037ffc0,0x3ff26fff,
    0x0000001f,0x7e47ffd8,0x400001ff,0x7fe47ffd,0x3fe0001f,0x3fe2006f,
    0x3fee04ff,0x7ffcc05f,0x5fff5002,0x7fddfff6,0xffd000ff,0x007fff6f,
    0x22ffff00,0x00007fff,0xf01fffe6,0x00000dff,0x403ffffa,0x0001fffc,
    0x00fffe40,0x7ec00000,0x0fffe47f,0x1bffe000,0x001fffc8,0x7fc40000,
    0x2fffcc4f,0x07fffa00,0x813ffa20,0x3e23fffb,0x800007ff,0x4004fffb,
    0xff006fff,0x0fffe4df,0x22000000,0x7fcc4fff,0x2200005f,0x7fcc4fff,
    0x3fe0005f,0x7fdc006f,0xfff981ff,0x7ffcc00f,0x5fff5002,0xffe9fff6,
    0xfffd005f,0x0007fff6,0x3e6ffff0,0x400005ff,0x3e01fffe,0x800006ff,
    0x201ffffd,0x0001fffc,0x00fffe40,0x3e200000,0x7ffcc4ff,0x7ffc0005,
    0x07fff206,0xf7000000,0xfffd03ff,0x7fffc001,0x05ffe800,0xf12fffd4,
    0x00000fff,0x8007fff9,0xff006fff,0x0fffe4df,0x2e000000,0xffe81fff,
    0xf700000f,0xfffd03ff,0x3ffe0001,0xfffe8006,0x02fffe86,0x002fff98,
    0x3f65fff5,0x3fffe67f,0xb7ffe802,0x80003fff,0xfff57fff,0xfc800009,
    0x3ffe03ff,0x7dc00006,0x7e403fff,0x400001ff,0x0001fffc,0x7ffdc000,
    0x00fffe81,0x81bffe00,0x0001fffc,0x37ff4000,0x003fffb8,0xb003fffe,
    0xff500bff,0x0ffff8bf,0x7fec0000,0x7ffc002f,0x4dfff006,0x0001fffc,
    0x37ff4000,0x003fffb8,0x20dffd00,0x0003fffb,0x1000dfff,0x7dc5ffff,
    0xff3005ff,0x3fea005f,0xb8fffb2f,0x7400ffff,0x3fffb7ff,0x7fff8000,
    0x0007fff7,0x04fffb80,0x0001bffe,0x04ffff98,0x001fffc8,0x0fffe400,
    0x3a000000,0xfff706ff,0x7ffc0007,0x33fff206,0xaaaaaaaa,0x2aaaaaaa,
    0x13ffe600,0x0037ffc4,0x6403fffd,0xfc800eff,0x7fffc4ff,0x7f400001,
    0x7fc000ff,0xdfff006f,0x000fffe4,0xfff30000,0x1bffe209,0x3ffe6000,
    0x0dfff104,0x01bffe00,0x47fffdc0,0x000ffff8,0x2005fff3,0xffb2fffa,
    0x0bfffd0f,0xffb7ffe8,0xff80003f,0x05fff97f,0xfffa8000,0x01bffe04,
    0x7fffc400,0x9fff9006,0x55555555,0x55555555,0xaacfffc8,0xaaaaaaaa,
    0x002aaaaa,0x4413ffe6,0x20006fff,0x3f206fff,0xffffffff,0xffffffff,
    0x3f6007ff,0x3ff600ff,0xfffb001f,0x03bfee05,0x21fffec0,0x0002fffe,
    0x003fffc0,0xf8037ffc,0x3fff26ff,0xaaaaaaac,0xaaaaaaaa,0x3fff6002,
    0x07fff600,0x1fffb000,0x00fffec0,0x0037ffc0,0xf99fffd0,0x7cc005ff,
    0xff5002ff,0x21fff65f,0x202ffff9,0xfffb7ffe,0xfff80003,0x003fffd7,
    0x5fffa800,0x001bffe0,0x07ffff40,0xfffffc80,0xffffffff,0x47ffffff,
    0xfffffffc,0xffffffff,0x2007ffff,0x3600fffd,0xf0001fff,0x7fe40dff,
    0xffffffff,0xffffffff,0xfff1007f,0x5fffa80d,0x05fff900,0x4003fff5,
    0x7e42fffe,0x200003ff,0x8006fff9,0xff006fff,0x7fffe4df,0xffffffff,
    0x7fffffff,0x0dfff100,0x005fffa8,0x01bffe20,0x000bfff5,0x4000dfff,
    0xfffffff8,0x7ffcc004,0x5fff5002,0x7dc1fff6,0xffd00fff,0x007fff6f,
    0x3effff00,0x00000fff,0xf02fffd4,0xb0000dff,0x4003ffff,0xfffffffc,
    0xffffffff,0x7e47ffff,0xffffffff,0xffffffff,0xff1007ff,0xfffa80df,
    0xdfff0005,0x7ffffe40,0xffffffff,0x07ffffff,0x007fff70,0x7001ffff,
    0xffa89fff,0x7ffc001f,0x37ffcc1f,0xfff50000,0xdfff000b,0xc9bffe00,
    0xffffffff,0xffffffff,0xf7007fff,0xfff007ff,0x3ee0001f,0xfff803ff,
    0x7ffc000f,0x7fdc0006,0x4000efff,0x5002fff9,0x3ff65fff,0x17fffa07,
    0xffdbfff4,0x7fc0001f,0x03fffd7f,0xfffb8000,0x01bffe04,0x7ffff700,
    0xffffc800,0xffffffff,0x7fffffff,0x7fffffe4,0xffffffff,0x007fffff,
    0xf007fff7,0xf0001fff,0x7fe40dff,0x999999bf,0x99999999,0xfffd0019,
    0x7fff9001,0x1ffff300,0x000bffe6,0x3e0dfff3,0x01002fff,0x01ffffc4,
    0x8037ffc0,0x3ff26fff,0xffffffff,0xffffffff,0xfffd007f,0x7fff9001,
    0x3fffa000,0x3fffc800,0x037ffc00,0x7ffff400,0xfff98001,0x5fff5002,
    0xf981fff6,0xffe82fff,0x003fffb7,0xfb7fff80,0x800007ff,0x3e04fffc,
    0x260006ff,0x8004ffff,0x999bfffc,0x99999999,0x7e419999,0x99999bff,
    0x99999999,0xffd00199,0xfff9001f,0xdfff0007,0x00fffe40,0x7fcc0000,
    0xaaaaaaef,0x6fffcaaa,0x17fffd00,0xd0007fff,0x3f207fff,0x7df007ff,
    0x06fffc81,0x00dfff00,0xffc9bffe,0x999999bf,0x99999999,0xfff98019,
    0xaaaaaaae,0x06fffcaa,0xaefff980,0xaaaaaaaa,0x4006fffc,0x80006fff,
    0x0005fff9,0x2005fff3,0xffb2fffa,0xffffc80f,0xfcbfff40,0x220002ff,
    0xfff96fff,0xfd800009,0x3ffe03ff,0xfff10006,0x3f2000df,0x400001ff,
    0x0001fffc,0xefff9800,0xaaaaaaaa,0x006fffca,0x3206fff8,0x00001fff,
    0xfffffc80,0xffffffff,0x802fffff,0xffeefffa,0xfffb8004,0xffff100f,
    0xffff9807,0x03ffff32,0x01bffe00,0xff937ffc,0x0000003f,0xfffffff9,
    0xffffffff,0xc8005fff,0xffffffff,0xffffffff,0x3fe002ff,0xf980006f,
    0xf30005ff,0x3ea005ff,0x0fffb2ff,0xe8bfffd0,0x5fff77ff,0x7ffcc000,
    0x00bfff56,0x1fffe800,0x001bffe0,0x0077fff4,0x01fffc80,0x7ffe4000,
    0xc8000001,0xffffffff,0xffffffff,0x7fc002ff,0x3fff206f,0xf8000001,
    0xffffffff,0xffffffff,0xffd005ff,0x1000bfff,0xa809ffff,0x2a03ffff,
    0xfedfffff,0x3e0004ff,0xfff006ff,0x00fffe4d,0x7ffc0000,0xffffffff,
    0xffffffff,0x7fffc005,0xffffffff,0x5fffffff,0x01bffe00,0x17ffe600,
    0x17ffcc00,0xb2fffa80,0xff300fff,0xbfff45ff,0x0003fffb,0x7c5bffe6,
    0x00000fff,0xf80ffff3,0xfc8006ff,0x20001fff,0x0001fffc,0x00fffe40,
    0x7ffc0000,0xffffffff,0xffffffff,0x37ffc005,0x003fff90,0xfffa8000,
    0xeeeeeeee,0xfffeeeee,0xfff9800f,0xfe98006f,0xfc800eff,0x7100efff,
    0xdfffffff,0x6fff8000,0x64dfff00,0x00001fff,0x777ffd40,0xeeeeeeee,
    0x0ffffeee,0xddfff500,0xdddddddd,0x1ffffddd,0x01bffe00,0x17ffe600,
    0x17ffcc00,0xb2fffa80,0x3f200fff,0xfffd0fff,0x0013ffea,0x365fffa8,
    0x00004fff,0xf809fffb,0x7dc006ff,0x40002fff,0x0001fffc,0x00fffe40,
    0x3fea0000,0xeeeeeeef,0xffeeeeee,0x3fe000ff,0x3fff206f,0x6c000001,
    0xd8001fff,0xfd004fff,0x2003dfff,0x01fffffb,0x3fffff60,0x3f2a21ac,
    0x002fffff,0x8037ffc0,0x3ff26fff,0x4000001f,0x8001fffd,0xb004fffd,
    0xb0003fff,0x3e009fff,0x980006ff,0x30005fff,0x2e007fff,0xfffb2fff,
    0xaffff400,0xfff17ffe,0x7fec000d,0x3fffea3f,0x7fd40001,0x7ffc01ff,
    0x3ffe6006,0xfc80004f,0x400001ff,0x0001fffc,0x0fffec00,0x27ffec00,
    0x40dfff00,0x0001fffc,0x1bffe200,0x3fffcc00,0x7ffffe40,0x2a21acff,
    0x3fffffdb,0xffffb800,0xffffffff,0x3fffffff,0x1bffe000,0xf937ffc0,
    0x000003ff,0x0037ffc4,0x807fff98,0x0006fff8,0x200ffff3,0x80006fff,
    0x0005fff9,0x2007fff3,0xffb2fffd,0x7ffcc00f,0x3a7ffeaf,0x88002fff,
    0x7ec1ffff,0x740005ff,0xff805fff,0xfff1006f,0x320000bf,0x00001fff,
    0x000fffe4,0xdfff1000,0x3ffe6000,0x1bffe007,0x001fffc8,0x3ffee000,
    0x3ffa0003,0x3bfee02f,0xfffffffc,0xffffffff,0x2a0001ef,0xfffffffe,
    0xfdffffff,0x8002efff,0xff006fff,0x0fffe4df,0xff700000,0x7f40007f,
    0x7fdc02ff,0x3fa0003f,0xfff802ff,0xff980006,0xff10005f,0xfff300df,
    0x01fff65f,0xffffff90,0x7fffe4ff,0x7ffe4001,0xdffff886,0x7ff44000,
    0xfff800ff,0xdfffd006,0x3f200001,0x400001ff,0x0001fffc,0x0fffee00,
    0x2fffe800,0x40dfff00,0x0001fffc,0x03fffa00,0x5fffb800,0x223fff50,
    0xfffffffd,0x0dffffff,0xffb30000,0x7dffffff,0x3ffff661,0x37ffc006,
    0x326fff80,0x00001fff,0x003fffa0,0x05fffb80,0x0007fff4,0x00bfff70,
    0x0000dfff,0x000bfff3,0x101ffff4,0x365fffff,0xfe8007ff,0x227fffff,
    0x801fffff,0x02ffffd8,0x03dffff7,0x3ffffea0,0x0dfff002,0x03ffff90,
    0x7ffe4000,0x7e400001,0x000001ff,0x0003fffa,0x005fffb8,0x7e40dfff,
    0x000001ff,0x000dfff3,0x40ffff88,0xd981fff8,0xfffffffe,0x000000be,
    0x026aeaa6,0x005ffea8,0xf8037ffc,0x3fff26ff,0xf3000001,0x88000dff,
    0xf300ffff,0x88000dff,0x7c00ffff,0x980006ff,0x20005fff,0x20affffb,
    0xfffffea8,0x000fffb2,0xfffffff3,0xefffffb8,0xfca998ac,0x5c05ffff,
    0x9bdfffff,0xfffb7310,0x7fc007ff,0x7ffdc06f,0x6400001f,0x00001fff,
    0x000fffe4,0x6fff9800,0x7ffc4000,0x6fff800f,0x337fff20,0xcccccccc,
    0xcccccccc,0x01fffe43,0x27ffec00,0xa980174c,0x000009ab,0xfb800000,
    0x37ffc002,0x326fff80,0x00001fff,0x007fff90,0x09fffb00,0x000ffff2,
    0x013fff60,0x0000dfff,0x000bfff3,0x7fffffc4,0xfaffffee,0x0fffb2ff,
    0x3ffff200,0xffffc87f,0xffffffff,0x800dffff,0xfffffffa,0xffffffff,
    0x7fc002ff,0x3ffe206f,0xccccccef,0xcccccccc,0xff92cccc,0x999999bf,
    0x99999999,0x3ff27999,0xccccccdf,0xcccccccc,0x7fe43ccc,0xfd80003f,
    0xfff804ff,0x3ffff206,0xffffffff,0xffffffff,0x07fffc5f,0x7ffd4000,
    0x00000007,0x00000000,0x7ffc0004,0x4dfff006,0xcccdfffc,0xcccccccc,
    0x43cccccc,0x0000ffff,0xf07fffa8,0x00001fff,0xf80ffff5,0x980006ff,
    0x40005fff,0xffffffe9,0x5fff1fff,0x8001fff6,0x707ffffe,0xffffffff,
    0x09ffffff,0xffffd980,0xffffffff,0xff8000df,0x3ffe206f,0xffffffff,
    0xffffffff,0xff94ffff,0xffffffff,0xffffffff,0x3ff2bfff,0xffffffff,
    0xffffffff,0x7ffc5fff,0xfa80000f,0xfff807ff,0x3ffff206,0xffffffff,
    0xffffffff,0x17ffea5f,0xffff8000,0x00000002,0x00000000,0x37ffc000,
    0x326fff80,0xffffffff,0xffffffff,0x2a5fffff,0x00005fff,0xf50bfffe,
    0x40000bff,0x3e02ffff,0x980006ff,0x80005fff,0xffffffc8,0x6cbffe1d,
    0x260007ff,0x2207ffff,0xffffffeb,0x0000cfff,0x3fffff22,0x000bffff,
    0x881bffe0,0xffffffff,0xffffffff,0x4fffffff,0xfffffff9,0xffffffff,
    0x2bffffff,0xfffffffc,0xffffffff,0x25ffffff,0x0005fffa,0x00bfffe0,
    0x7e40dfff,0xffffffff,0xffffffff,0x3f65ffff,0x200002ff,0x0005fffc,
    0x00000000,0x40000000,0xff006fff,0x7fffe4df,0xffffffff,0xffffffff,
    0x0bfff65f,0xfffc8000,0x017ffec5,0xbfff9000,0x0037ffc0,0x02fffcc0,
    0x02aa2000,0x007ffd80,0x03fffe40,0x9abaa988,0x98800001,0x00009aba,
    0x440dfff0,0xffffffff,0xffffffff,0x4fffffff,0xfffffff9,0xffffffff,
    0x2bffffff,0xfffffffc,0xffffffff,0x25ffffff,0x0002fffd,0x017fff20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x037ffc00,0x3f26fff8,
    0xffffffff,0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00aaaa88,0x07993000,0x00000000,
    0xbca88000,0x99700009,0x05530001,0x0332e000,0x0002a980,0x00079930,
    0x01333310,0x80004c00,0x80000098,0x00009999,0x00000018,0x00310000,
    0x79753000,0x4c000013,0x33100000,0x0cccc433,0x00004400,0x000cccc0,
    0x1bcba980,0x26666660,0x99999999,0x98800199,0x26000199,0xfffd82cc,
    0x0000dfff,0x0007ffe2,0x000b7f6a,0x00b7f660,0x3fffff20,0x7fcc001f,
    0x5ffb8005,0x5ffb8000,0x017fee00,0x07ffa200,0x3fff6000,0x73774c06,
    0x8017bffd,0xeffffedb,0x7dc0000c,0xb8000fff,0x1dffffec,0xb02ff400,
    0xfd9800ff,0x002cdfff,0x3ffffaa0,0x8000dfff,0xdffffeda,0xfff10002,
    0x2ffff47f,0xffffeb80,0x5c0001bd,0x0004ffff,0x3fffffb2,0x7ffc3dff,
    0xffffffff,0x00ffffff,0x027fff40,0xc85ff900,0xffffefff,0x3ff60006,
    0xbef98003,0x260002fd,0x002fdbef,0x3ffffff6,0x3f6003ff,0x7fe4001f,
    0x7cc0005f,0xff9000ff,0xfb0000bf,0xf100007f,0xf9801fff,0xfffff97f,
    0x3ff6205f,0xefffffff,0x3ffe0001,0x7f44001f,0xffffffff,0x5ff9000c,
    0x4009ff30,0xfffffffd,0x744004ff,0xffffffff,0xb1003fff,0xffffffff,
    0xfb8003df,0x3ffe65ff,0x7ff5400e,0x3fffffff,0xffff3000,0xe98007ff,
    0xffffffff,0x3ffe4fff,0xffffffff,0x00ffffff,0x01bffea0,0x541ffd00,
    0x3fea0eff,0xffa8002f,0xc8db0005,0x91b60005,0x3ffea00d,0x0fffd98c,
    0x005ff980,0x17ffffaa,0x03ffd000,0xbffffd50,0x5ffa8000,0xfff90000,
    0x5fff3005,0x0fffffff,0x3fffffea,0x4fffffee,0x3fffb800,0x7fffd400,
    0xfffffeff,0xbfff3005,0x03fffb77,0x3fffff60,0x04fffffe,0x37ffff60,
    0xffffecbc,0x7fffc402,0xfffffeff,0x3ffa001f,0x07fff60f,0xffffff50,
    0x09fffffd,0xbefff880,0xf3001fff,0xbbffffff,0x3e9fffff,0xffffffff,
    0xffffffff,0x3fffa000,0x3fe20000,0x740f6546,0x7c4003ff,0x7f0000ff,
    0xf0000fa8,0xe800fa87,0x4ffc82ff,0x001ffd80,0xbffdfffb,0x27fe4000,
    0x7f7ffec0,0x3e20005f,0x880000ff,0xf3004fff,0xb9dfffff,0xffff109f,
    0xfffa883b,0x7ffc002f,0x7ffd4005,0x3fee22cf,0xff7003ff,0x07ffffff,
    0x2bbfff20,0xbfffd510,0x3dfff900,0x03ffff20,0x41efffd8,0x006fffd9,
    0x7c43fff5,0x7fc403ff,0x7f540cff,0x3f6004ff,0x1fffd1ff,0xfffff880,
    0xfffe982d,0xaaaefffc,0xaaaaaaaa,0x3fea002a,0x7d40002f,0x3fe2003f,
    0x7ff4000f,0x91760002,0x236c000d,0x7ff9806c,0x980fff30,0x3f6005ff,
    0x005ff99d,0x200dff50,0x5ff99dfd,0x0bff6000,0x2ffe4000,0xfffff300,
    0xffc80885,0x7ff4c03f,0x3bfee006,0x3ffa2000,0x3ffe203f,0xffd3000f,
    0x22003dff,0xd100efff,0x7cc03fff,0x7e400fff,0xfff504ff,0x4fffd80d,
    0x643ffd80,0xffe805ff,0x7fff403f,0x3fffc800,0xb01bffe6,0xb003ffff,
    0x0bffffff,0xffe80000,0xffd80004,0xffeca801,0x2ffdc003,0x273ea000,
    0x2a0003fc,0x803fc9cf,0x3fe06ffa,0x00fff407,0x2ffcc370,0x0fffc400,
    0x3fe61b80,0xbff70005,0x55540000,0x3ffe6000,0xfff3004f,0x3ffe600b,
    0x01553003,0x05fffc80,0x002fffc8,0xfc800198,0x7fc401ff,0x3ffee04f,
    0x0dffd002,0x1003fff2,0x5500dfff,0x80155505,0x9805fff8,0xaa802fff,
    0x0aaa982a,0x03ffff10,0x7ffffe40,0x54000005,0xff00002a,0x3fffe00f,
    0x77fcc001,0xfeb80000,0xeb80003f,0xfb800cff,0x07ffe05f,0x0002ffd4,
    0x20017fe6,0x20003ffd,0x98005ff9,0x00000eff,0xfff98000,0x3fff6007,
    0x1fff6000,0x3fe00000,0xff9800ff,0x0000005f,0x200dfff1,0xf900fffd,
    0x3f2001ff,0x6ffe81ff,0x01fffb00,0x3ee00000,0xfff002ff,0x4000000b,
    0x4003fffc,0x05fffff8,0x00000000,0x2017fe60,0x02effff9,0x003ffd10,
    0x00001800,0x7fdc0018,0x407ffe05,0x40001ffe,0x5c005ff9,0x4c0005ff,
    0xfe8005ff,0x4400001f,0x98372019,0x3a006fff,0x7dc006ff,0x198800ff,
    0x17ffcc00,0x00355700,0x54000988,0xf5003fff,0x3ffa07ff,0x26f26007,
    0x005fff80,0x8003fff7,0x75c00098,0x3ffa007f,0x00330007,0x007fffc4,
    0x2ffffe40,0x19800000,0x17fdc000,0x7ffb5100,0x007ff900,0x00000000,
    0x2a001331,0x3ffe05ff,0x005ffa80,0x005ff980,0x0003ffe2,0x800bff30,
    0x00003ffc,0xfffffdb5,0x993fea19,0x3e005fff,0x7d4005ff,0xffb301ff,
    0x807bdfff,0x00007ffc,0x7fff6dc0,0x7e400cef,0x3fe000ff,0x1ffff05f,
    0x7fec0000,0x0fff9006,0x3ffffae0,0x02000cef,0x005fff80,0xdffffb73,
    0x4fffb807,0xffff1000,0x2600000b,0x3effffdb,0x00ffe800,0x406ff980,
    0x98006ffa,0xd3001eee,0x6e4403dd,0xceffffff,0x20dff300,0xffd07ff8,
    0xff300001,0x17ff400b,0x2ffcc000,0x00dff500,0xffffb100,0xfbffffff,
    0x7ffcc1df,0xffff1004,0xffffffff,0x5fffffff,0xffffffb0,0x201dffff,
    0x00005ffe,0xfffffb10,0x403dffff,0x74007ffd,0xfffd07ff,0x7dc00001,
    0xffe800ff,0x7fff4c05,0x2fffffff,0x7fcc0000,0x7ffcc03f,0xffffffff,
    0x05fffb02,0x2fffec00,0x3fe60000,0xffffffff,0xdff1002f,0x7c40a660,
    0xfff100ff,0xfff30001,0x3ffea005,0xfffff702,0x5fffffff,0x501fff10,
    0x9ff50dff,0x3fe60000,0x09ff9005,0x17fe6000,0x007ffc40,0x3fffe600,
    0xffffeeff,0x7fcc1fff,0xfff5003f,0xffffffff,0xffffffff,0xeffffd89,
    0xffffffee,0x304fff81,0xfa800157,0xfeefffff,0xff04ffff,0xffd800df,
    0x2fffc80f,0x3fe60000,0x7ffe405f,0x3fffee03,0xfffffeff,0xd100005f,
    0x7dc01fff,0xffefffff,0xfe81ffff,0x320000ff,0x00005fff,0x3fffffee,
    0x1ffffffe,0x884ffa80,0xffb81fff,0x00bff607,0x017ffcc0,0x442fffa8,
    0xeefffffe,0x2ffffffe,0x7444ffd8,0x0ffe82ff,0xbff30000,0x00dff300,
    0x02ffcc00,0x0002ffd8,0x0f7fff44,0x437fffdc,0x5002fff9,0xffffffff,
    0xffffffff,0x7fdc9fff,0x7ed440df,0x7ffc45ff,0x3ffff6e3,0xff8803ff,
    0x7d441dff,0xfff82fff,0x7ffec006,0x04fffa81,0x7ffe4000,0x7ffe441e,
    0xffff100d,0xfffc883b,0x2e20003f,0x2603fffe,0x541dffff,0x7c0ffffd,
    0x640007ff,0x00005fff,0x83bffff3,0x00ffffda,0xfd80ffe4,0xffca9bef,
    0x0bff705f,0x17ffcc00,0x42fffa80,0x501efffc,0xf10bfffd,0xfff97fff,
    0x009ff50d,0x02ffcc00,0x0007ffa2,0x805ff980,0x80005ffb,0x5c05fffc,
    0x7cc3ffff,0xff3002ff,0x6c00007f,0x3e200fff,0x3fe60fff,0xfffff92f,
    0x401bffff,0x4c03fffc,0x7fc46ffe,0x7fe4005f,0x6fff881f,0xff980000,
    0xfffeefff,0x7fff403f,0x7fffd403,0x3fb26000,0x7402ffff,0x7ec03fff,
    0x3fffc3ff,0x3ffee000,0xaaaaaaae,0xfd02aaaa,0xffd807ff,0x03ff403f,
    0xffffffd1,0xff301dff,0x7cc0001f,0xff5002ff,0x06fff85f,0x81ffff88,
    0xfffffffa,0x00ffe81e,0x17fe6000,0x0007ffb0,0x405ff980,0x0000fff9,
    0x2037ffcc,0x47fffff9,0x1002fff9,0x00009fff,0x5c027ffc,0x3fe62fff,
    0xeffffcaf,0x0ffffffe,0x005fff98,0x7c47fff3,0x7dc005ff,0x3f3321ff,
    0xcccccfff,0x3a20002c,0xffffffff,0x27ffdc01,0x05fffb80,0x3fffff20,
    0x7ffd401f,0x6fff9806,0x001bffe2,0xffffff50,0xffffffff,0xdfff50ff,
    0x0dfff300,0x2202ffcc,0x3ffffffc,0x0007ffa0,0x005fff30,0xfb8bffea,
    0xff7001ff,0x3ff6605f,0x9ff704ff,0xff980000,0x017fea05,0x17fe6000,
    0x0003ffd0,0x405fff90,0xfffdffe8,0x00bffe63,0x0006fff8,0x401bffe0,
    0xefffa809,0xffb81eff,0xfffd84ff,0x9fff6000,0x4004fff9,0xff12fffb,
    0xffffffff,0x20009fff,0xfffffffb,0xd00cffff,0x74001fff,0xfb000fff,
    0x19ffffff,0x007fff20,0xf986f7e4,0x4c0006ff,0xffffffff,0x7fffffff,
    0x001fffc8,0x2e01bdf9,0x262003ff,0x27fe4009,0x4c1eea80,0xf5002fff,
    0x2ee545ff,0x05fff500,0xfff80130,0x2cdcb880,0x3fe20000,0x9db9500f,
    0x64000039,0xdd5004ff,0x80fffb03,0xfff9affd,0x00bffe64,0x000fffe8,
    0xfd873bf2,0x50000dff,0x80bfffff,0x741ffff8,0x7dc006ff,0x9fff30ff,
    0x2fffb800,0xfffffff1,0x09ffffff,0xffffd880,0xfffcbabc,0x5fff80ef,
    0x17ffdc00,0xfcbabc80,0xff81ffff,0x4c02006f,0x40005fff,0xfffffff9,
    0xffffffff,0x006fff87,0x0ffec002,0x7fd40000,0x5fff3006,0x002fff98,
    0x0005fff5,0x005fff30,0x509ff700,0x1dffffff,0x5ffd0000,0xfffffd10,
    0x50000bff,0x3e600dff,0x5fff82ff,0xff93fee0,0x0bffe65f,0x05fffb80,
    0x41ffff10,0xbefffffa,0x3ffea001,0xffa800ef,0x02fffc6f,0x447ffea0,
    0x5c004fff,0x2aaa1fff,0xaaaefffa,0x7f4001aa,0xfb100dff,0x7fc41dff,
    0x7fcc003f,0x3620003f,0x3e20ffff,0x880005ff,0x40006fff,0x999efffa,
    0x99999999,0x02fffc41,0x037fc000,0x7ffc4000,0xffff8801,0x017ffcc2,
    0x002fffa8,0xfffd7310,0xff880007,0x7fffd40f,0x000ffffe,0x2217fee0,
    0xffdefffe,0x220004ff,0xf8801fff,0x7fc42fff,0x8bff304f,0x3fe66ffe,
    0x7ff4002f,0xfffd803f,0xfffffc84,0x200adfff,0x002ffff9,0xff89fffa,
    0xffffffff,0xffffffff,0x017ffe2f,0x403fff90,0x80007fff,0xb006fffa,
    0x7fd47fff,0x7fc4002f,0xfd80004f,0x3ffe64ff,0xfff00004,0xffb8000f,
    0x7cc0005f,0x400004ff,0x00004ffa,0x8803ffd8,0x4c2ffffe,0xf5002fff,
    0xb98805ff,0xffffffec,0x5c0003ff,0xdfff84ff,0x009ffd50,0x203bfe60,
    0x3220effb,0x360007ff,0xfe8803ff,0x7fcc2fff,0x0fff883f,0xff33ffec,
    0xff98005f,0xfda80dff,0xff700fff,0xffffffff,0xffff103b,0x7ffe4001,
    0xffffff50,0xffffffff,0x7c9fffff,0x7e4005ff,0x3ff601ff,0x7f40000f,
    0xff1001ff,0x3ffee1ff,0x5fff8001,0xfff88000,0x07fff30f,0x3fffe000,
    0x3ff20000,0x7cc0005f,0x400003ff,0x00002ffc,0xe802ffdc,0x4c2fffff,
    0xf5002fff,0x3faa05ff,0xffffffff,0x0003ffff,0xf703ffe2,0x3fff10df,
    0x03ffd000,0x3e20bfb2,0xfb8000ff,0xfffb005f,0xfff985ff,0xd81ffd83,
    0x3ffe67ff,0xfffc8002,0xfffdceff,0x5c401fff,0xfffffffe,0x7fff82ff,
    0x97ffdc00,0xfffffffa,0xffffffff,0x3fa4ffff,0x7fec006f,0x1bff600f,
    0x1bffe000,0x23fff900,0x8001fffb,0x00005fff,0x3e63fffb,0xd00003ff,
    0x40003fff,0x0005fffc,0x001fffcc,0x003ffa00,0x0fff8800,0xfcdffd80,
    0x17ffcc2f,0x42fffa80,0xfffffff8,0xffaadfff,0x3f20003f,0x03ffd83f,
    0xc8007ffb,0x260004ff,0xf88006ff,0xffc800ff,0x7c42ffcd,0x1ffe44ff,
    0x3e66ffe8,0xf50002ff,0xffffffff,0x88005fff,0xffffffda,0x037ffc3f,
    0x4cbffea0,0x00003fff,0xb001bff6,0xffe80fff,0x7fc40004,0x7fd4004f,
    0x05fff52f,0x05fff880,0x5fff9000,0x0013ffe2,0x017ffec0,0x0bfffd00,
    0x4fff8800,0x3fe20000,0x7f400006,0xeffb802f,0x7cc2ffc8,0xff5002ff,
    0x7fff445f,0x5409bdff,0x10003fff,0xffd01fff,0x013fee03,0x0006ffa8,
    0x4001ffec,0xfb802ffe,0x82ffc8ef,0x3fea4fff,0x997ffe05,0x20002fff,
    0xfffffec8,0x300003ff,0xe8dffff9,0x2e000fff,0xfff10fff,0x7e400009,
    0x7ff4007f,0x017ffc05,0x13ffe600,0x27fff300,0x4003fff9,0x54c4fff9,
    0x7ffdc001,0x0017ffe2,0x02fffd40,0x5ffff980,0x5fff8000,0x3fea0000,
    0x3f200003,0xeffa804f,0xf985ff90,0xff5002ff,0x77ffec5f,0x3fffb801,
    0x07ff9000,0x7dc07ffe,0xfff1005f,0x7fec0001,0x7fe4000f,0x0fffa804,
    0xffd05ff9,0x403bfe2d,0x0003fff8,0xbffa8800,0xf3000000,0x7fec1fff,
    0x3ff2002f,0x0037ffc7,0x05fff700,0x813ffe60,0x0000effb,0x002fffc4,
    0x7c4bffea,0x7d4004ff,0xbfff13ff,0x1fffc800,0x8801bffa,0x7ffc2cef,
    0xffd8001f,0xe80005ff,0x3e2006ff,0x0ffec2ce,0x6ff98000,0x21fff980,
    0x7fcc2ffc,0xfff7003f,0x007fffc5,0x003fffc8,0x3e07ff88,0xbff700ff,
    0x00fff600,0x0ffff440,0x01bfe600,0xfc87ffe6,0x9fffd82f,0x3f201ffe,
    0xdffd02ff,0xffa80007,0x1fdb5001,0x8bfff200,0x2003fff9,0x7ff45ffe,
    0x3bf2000f,0x17ffe21c,0x017ffe40,0x00003ffd,0x9001fffa,0x7ffc1fff,
    0x3ffa000f,0x03fffa1f,0x6c7ffe80,0xf5000fff,0xfffb85ff,0x7ffc4005,
    0xd80005ff,0xf5000fff,0x07ff85ff,0x3ffd1000,0x42fff880,0x7fcc2ffc,
    0xfffb003f,0x013ffe65,0x003fffd8,0x3a03ffc8,0x9ff701ff,0x00bff700,
    0x03bffea0,0x03ffd100,0x642fff88,0xfffb82ff,0x3e202fff,0xffd00fff,
    0x5c000bff,0x3fea007f,0xfff9002f,0x01fffd81,0x5c3fffa8,0xf1005fff,
    0xffc81fff,0x6fff800f,0x0013ff60,0x02fffd80,0xc8ffff10,0xf5004fff,
    0xfffc8dff,0xbfff7003,0x004fffa8,0xff10fffb,0x7ec005ff,0x0005ffff,
    0x004fffa8,0xff98fffb,0xffb00005,0xdfff7007,0xddfffddd,0x01bffe25,
    0x54bfffe6,0xf3004fff,0x88007fff,0x7fec07ff,0x807ff902,0x8000fff9,
    0x0005fffc,0xf7007ffb,0xffddddff,0xffe85ddf,0x7fec04ff,0x3ee6203f,
    0xf90001ff,0x7ffc001f,0x7ffc400f,0x0efff986,0x07fffa20,0x200ffffa,
    0xf884fffd,0x7fe405ff,0x1dffb03f,0x40001353,0x802ffff9,0x7c43fffd,
    0x74401fff,0x7fcc3fff,0x7fcc01ff,0xfffe81ff,0x2fffd401,0x03ffffc8,
    0x7ffffec4,0xfd00005f,0xffa803ff,0x017fdc5f,0x02ffd400,0xffffffb8,
    0x23ffffff,0x2203fffe,0xf32fffff,0xf9801fff,0x4003ffff,0x7e403ffc,
    0x05fff05f,0x8002ffe8,0x0003fffd,0x2e00bff5,0xffffffff,0x7cc3ffff,
    0xe982dfff,0x36005fff,0xf90005ff,0x7fe4007f,0xffb101ef,0x3fffa07f,
    0xffff981e,0xbffff304,0xffffb501,0x37fff601,0x86fffd80,0xffffffd8,
    0x9aceffff,0xb81fc988,0x980affff,0xf505fffe,0x3ea07fff,0xff705fff,
    0x3fee05df,0xfff303ff,0x3ffee07f,0xfffd100f,0xfea8839f,0xcefff9ff,
    0xcccccccc,0x7cc3cccc,0xff703fff,0x0ffe81ff,0x7ffc4000,0x55553000,
    0x59ffb555,0x57fffdc1,0x3fffaa20,0x3fffe2ff,0x3fffea04,0x3e6004ff,
    0xfff8806f,0x01bff222,0xb0009ff9,0x20003fff,0x3000fff8,0xb5555555,
    0xf88159ff,0xdcffffff,0x00fffffe,0x04fffa88,0x17fff700,0x3fa03b71,
    0xeccdefff,0x100dffff,0x9bfffffd,0x80dffffd,0xcefffffc,0x1ffffffd,
    0x3ffffa20,0xfffffdce,0xfffff980,0xffffffff,0x4fffffff,0xdfffffd0,
    0xfffffd99,0x7fffec01,0xffffdcdf,0x3ff600ef,0xffdcceff,0x7e405fff,
    0xedcdffff,0x4401ffff,0xdffffffe,0xf1fffffe,0xffffffff,0xffffffff,
    0xfffff90b,0xffffdb9b,0x006ff883,0x002ffe80,0x20bff200,0xeffffff8,
    0xffaffffe,0x3fffee2f,0xfffebace,0x005fffcf,0x6400bff6,0xfffcefff,
    0x1bfea01f,0x3bffee00,0x1eeeeeee,0x000bff60,0xb02ffc80,0xffffffff,
    0x03dfffff,0x7ffffff4,0xff10001f,0x03ffffff,0x3fffffa2,0x04ffffff,
    0xffffff90,0x200bffff,0xfffffffa,0x802fffff,0xffffffd8,0x3a01ffff,
    0xeddfffff,0xffffffff,0x3ee07fff,0xffffffff,0xfa800dff,0xffffffff,
    0xfc8805ff,0xffffffff,0xff5003ff,0xffffffff,0x3f62005f,0xffffffff,
    0x3fffe2ff,0xffffffff,0x505fffff,0xffffffff,0xff505fff,0xffb80009,
    0x7e400005,0xfffd302f,0x23ffffff,0x7fec2fff,0xffffffff,0x01fff91e,
    0x800dff30,0xfffffffc,0x07ffe202,0x3ffffe00,0x2fffffff,0x000bff70,
    0xb82ffc80,0xfffb8cff,0x802effff,0x1effffff,0x7ffd4000,0x5400efff,
    0xfffffffe,0x7f54002d,0x02efffff,0x7fff6440,0x8003ffff,0xffffffec,
    0x577dc00c,0xfffd7300,0x8807dfff,0xfffffffd,0x7ec4002e,0x1dffffff,
    0x7fff4c00,0x000dffff,0x7ffffec4,0xa8000cff,0xeffffffd,0x7ffffc1c,
    0xffffffff,0x2205ffff,0xfffffffd,0x03ff900c,0x077fcc00,0x332a0000,
    0x3fff2201,0x3fe1dfff,0xfffea82f,0x7d43efff,0xffd802ff,0xffda8002,
    0x7fec00ce,0xccc88003,0xcccccccc,0x0eff981c,0x66540000,0xa985fb81,
    0x2a0009aa,0x0002bccc,0x02f36e20,0x15553100,0x2ea60000,0x9880000a,
    0x800009aa,0x0009ab98,0xaa880051,0xa88000ab,0x100001ab,0x00013553,
    0x00aba988,0x35531000,0x2a620000,0x000000ab,0x35531000,0x00099700,
    0x00009988,0x55100000,0xa9880001,0x4c00001a,0x00000019,0x00000ccc,
    0x02662000,0x4c000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x97530000,0x00000035,
    0x4c002666,0x00000199,0x09880000,0x04ccc400,0x30026662,0x33310333,
    0x00266601,0x004ccc00,0x4c433331,0x4ccc4199,0x59953100,0x26600015,
    0x00ccc409,0x004ccc40,0x13333000,0x0cccc400,0x54c40000,0x0001abcc,
    0x20000000,0x98800018,0x80000099,0x40019998,0x00099998,0x32aa6000,
    0x100001ac,0x00001333,0x00266600,0xfffffd88,0x100000df,0x2017ffe0,
    0x002ffffd,0x3f606fe8,0x41ddd107,0xcfffffdb,0x5fffa800,0x2017ffec,
    0x7f44fffb,0xdfff01ff,0xfff30000,0x27fffc0b,0xfc8bfffb,0x7ffdc2ff,
    0x1dffffff,0x13ffe600,0x4003fff9,0x00fffff8,0xffffa800,0x3ffe2001,
    0xb500004f,0xffffffff,0xf880017f,0x417fa04f,0xb710eee8,0x019dffff,
    0xfffff880,0x3e200000,0x44003fff,0x0005fffe,0x7fffe4c0,0x2defffff,
    0xfffb1000,0x0006b887,0x00bfff30,0x3fffffea,0x0001ffff,0x7ffc07dc,
    0x7fffdc05,0x7e4001ff,0x05ff982f,0xfb11fff1,0xffffffff,0x5fff9003,
    0x400fffea,0xff71fffd,0x37ffc07f,0x7ffcc000,0x4dfff505,0x640ffff8,
    0xfff52fff,0xffffffff,0x3e6007ff,0x7ffe44ff,0x3fffa001,0xe80006ff,
    0xa8003fff,0x0000ffff,0x3fffffea,0xffffffff,0x07ff4003,0xf981ffdc,
    0xfffe88ff,0x01efffff,0x3fffff60,0xf700000e,0x26000bff,0x0000ffff,
    0xfffffe88,0xffffffff,0xf90002ef,0xfff91bff,0xff300007,0xfff100bf,
    0xffff99ff,0xfd30001d,0x0bfff01f,0x7ee7ffcc,0x3e6000ef,0xffdbbdff,
    0x3fff101f,0xfffffffd,0xd001dfff,0xbfff1fff,0x77ff4400,0x7c04fff9,
    0x980006ff,0xffd05fff,0x17ffe41f,0x7d57ffe4,0xfeeeffff,0x04ffffff,
    0x644fff98,0xf9001fff,0x09fff5ff,0x2fffcc00,0x7fff7000,0x3fff2000,
    0xffeeffff,0x004fffff,0x2eb7ffea,0xf300fffd,0xffffd3ff,0x3fffffff,
    0xf5fff900,0x20000bff,0x0000efff,0x0013ffea,0xffffff50,0xffffdfff,
    0x0005ffff,0x3fffffea,0x980000cf,0xfd805fff,0x7fec43ff,0xffc8004f,
    0x05fdc80f,0x3e2dfff1,0x7dc005ff,0x3fffffff,0x3ffffe20,0x3fea21cf,
    0xff8805ff,0x000effff,0x7fffffcc,0x06fff806,0x5fff9800,0x222fff98,
    0xff904fff,0x05dfffbf,0x3ffffee6,0x27ffcc02,0x2007fff2,0xff74fffa,
    0x3f60007f,0x640000ef,0x744007ff,0x80beffff,0x4ffffea8,0x3ffff200,
    0x2601ffff,0x1cffffff,0x13fffee6,0x2a9fff50,0x40003fff,0x0001fffb,
    0x000fffb8,0xbfffff70,0xfda98137,0x8002ffff,0x0cffffe9,0x3fe60000,
    0x7ffc405f,0x0dfff306,0x01fff900,0x7fec0fea,0x13ffea1f,0xffffd300,
    0xfff8803d,0x3fe201ff,0xffa800ff,0x70000fff,0x001fffff,0x0000dfff,
    0xfb0bfff3,0x06ffb89f,0x3ffffff2,0xffff5003,0x0000001f,0x3637ffcc,
    0x4c001fff,0x00000fff,0x6c007ffd,0x2003ffff,0x003ffffc,0x37ffffaa,
    0x7fffcc00,0x3ffea01f,0xdfff100f,0x017ffec1,0x005fff00,0x027fec00,
    0x7ffffd40,0x3ffea002,0x3f6a006f,0x005fffff,0x2fffcc00,0x80fffe60,
    0xc8007ffe,0x5f900fff,0x50555510,0x20001555,0x3fe20019,0xffc804ff,
    0x5555002f,0xaaa80003,0xdfff001a,0xfff30000,0x5505550b,0x7ffe4015,
    0x7cc002ff,0x00004fff,0x02aaa600,0x80055551,0x00001aa9,0x5400aaa2,
    0x8002ffff,0x0007fffc,0x7fcc0013,0xffc803ff,0x3555302f,0x002aaa88,
    0x00055510,0x80055500,0x00dfffe8,0x2fffe880,0x77fff440,0x003fffaa,
    0x17ffe600,0x409fff50,0xc8007ffe,0xfe880fff,0x00000000,0x7ffc4000,
    0xfffa800f,0x00000003,0x37ffc000,0x7ffcc000,0xf9000005,0x20009fff,
    0x0007fffc,0x00000000,0x00000000,0x2ffff880,0x3fffa000,0x98000003,
    0xf7007fff,0x000007ff,0x00000000,0x3ff20000,0x7cc0006f,0xdfe805ff,
    0x00fffe41,0x5fff9800,0x837ffc40,0x8005fff8,0x7c40fffc,0x0331003f,
    0x09988000,0x0dfff100,0x00fffe60,0x10000330,0xfff80033,0xff980006,
    0x9000005f,0x0001ffff,0x007fffe2,0x00000000,0x00000000,0xdfff7000,
    0xfffa8000,0x004c4006,0x00bfff30,0x800fffea,0x40000098,0x40000098,
    0x7c400098,0x80002fff,0x5401fffd,0x03bffa01,0x3ffe6000,0x4fffe805,
    0x002fffc8,0xdffffdd3,0x300729dd,0xbdfffffb,0xfdc88007,0x0cefffff,
    0x00bfff10,0x3013ffe2,0x7dffffb7,0x7ffecc00,0x7c03deff,0x980006ff,
    0xddd35fff,0x3bba6003,0x00ffff91,0x23fffd80,0x3001eee9,0x3ba63ddd,
    0xddd3001e,0x007bba63,0xe98f774c,0xdd3001ee,0x17fff43d,0x15efc000,
    0x7ffff5c0,0x3e600cef,0xff3004ff,0xffeb807f,0x000cefff,0xfffffeb8,
    0xeb8000ce,0x0cefffff,0x02fffdc0,0x1cefa800,0xcddca880,0x003fffa9,
    0x05fff980,0x22ffffa8,0x2005fffc,0xfffffff9,0xffb006ff,0xffffffff,
    0xfff7001d,0xffffffff,0x9fff105f,0x13ffe200,0x7fffffcc,0x402fffff,
    0xfffffffd,0xff00efff,0xf30000df,0x3ffe6bff,0x5fff5002,0x0017fff2,
    0x4cdfff50,0xf5002fff,0x3ffe65ff,0x5fff5002,0x400bffe6,0xff32fffa,
    0x3fea005f,0x0ffff12f,0xe9800000,0xffffffff,0xfff302ff,0x3ffe6007,
    0xffffd303,0x05ffffff,0x3ffffa60,0x02ffffff,0xfffffd30,0x405fffff,
    0x0002fffe,0xffc80020,0xffefffff,0x4c0000ff,0xfb005fff,0xfffd7fff,
    0x7fcc001d,0x6fffffff,0xeffffd80,0xffffffee,0xffffd101,0xffffdddf,
    0xfff885ff,0x9fff1004,0xffffff70,0x3ffffffd,0x3bffff60,0xffffffee,
    0x006fff81,0x35fff980,0x2a005fff,0xfff92fff,0xff980009,0x0bffe66f,
    0x997ffd40,0xf5002fff,0x3ffe65ff,0x5fff5002,0x400bffe6,0xff72fffa,
    0x000000df,0x7fffffdc,0x5ffffffe,0x003fff98,0xf707fff3,0xffdfffff,
    0xb80bffff,0xfeffffff,0x405fffff,0xeffffffb,0x85ffffff,0x000ffff8,
    0x7f440000,0xffffffff,0x0004ffff,0x802fffcc,0xffffffe8,0x320000df,
    0x2e000fff,0x5440dfff,0xf905fffd,0x3aa03dff,0x7fc45fff,0xfff1004f,
    0xdffff989,0x7fffed41,0x06fffdc0,0x17fff6a2,0x0001bffe,0x7cd7ffe6,
    0xff5002ff,0x0ffff25f,0xffff1000,0x8017ffcc,0xff32fffa,0x3fea005f,
    0x05fff32f,0x4cbffea0,0xf5002fff,0x3fff25ff,0x10000005,0x883bffff,
    0x4c3ffffc,0xf3003fff,0xfff887ff,0x7fe441df,0xfff103ff,0xffc883bf,
    0xfff103ff,0xffc883bf,0x7ffd43ff,0x40000007,0x1beffff8,0xfffffd73,
    0x7fcc0001,0x3fe6005f,0x0002ffff,0x000fffc8,0x8803fff6,0xff80ffff,
    0xfff8806f,0x13ffe21f,0x227ffc40,0x6c03fffe,0x7fec3fff,0x3ffe200f,
    0x037ffc0f,0xafffcc00,0x5002fff9,0x3ff25fff,0xff80003f,0x0bffe67f,
    0x997ffd40,0xf5002fff,0x3ffe65ff,0x5fff5002,0x400bffe6,0xff92fffa,
    0x0000009f,0x500ffffa,0x7cc1ffff,0xff3003ff,0x3fffe87f,0x07fffd40,
    0x201ffff4,0xe80ffffa,0x7d403fff,0x3fee0fff,0x0000006f,0x806fffe4,
    0x02ffffd8,0x17ffe600,0x7ffffd40,0xf900004f,0x7fc001ff,0xfffb804f,
    0x00fffdc2,0x222fffb8,0xf1004fff,0x7ffd49ff,0x6fff9806,0x5c027ffc,
    0x7ffc2fff,0xff980006,0x05fff35f,0x64bffea0,0x80002fff,0xff30ffff,
    0x3fea005f,0x05fff32f,0x4cbffea0,0xf5002fff,0x3ffe65ff,0x5fff5002,
    0x000bfff6,0x3ffee000,0xbfff7004,0x801fffcc,0x3ee3fff9,0xff7004ff,
    0x4fffb8bf,0x8bfff700,0x7004fffb,0x7fe4bfff,0x0000004f,0x401bffe6,
    0x0005fffd,0x1017ffe6,0xfffffffd,0xf900007f,0x7fc001ff,0x2013006f,
    0x2a005dca,0x3fe22fff,0xfff1004f,0x00fffe49,0x3e0defc8,0x013006ff,
    0x0001bffe,0x7cd7ffe6,0xff5002ff,0x0bfff25f,0x3fffa000,0x005fff30,
    0x7ccbffea,0xff5002ff,0x0bffe65f,0x997ffd40,0xf5002fff,0x3fffa5ff,
    0xe8000001,0x3a000fff,0xfff30fff,0x3ffe6007,0x003fffa3,0x3a0fffe8,
    0x3a000fff,0x3ffa0fff,0x3ffa000f,0x05fffb0f,0x555554c0,0x42aaaaaa,
    0x3002fffd,0x4000ffff,0x2605fff9,0xfdafffff,0x00081fff,0x8003fff2,
    0x000dfffd,0xff980000,0x13ffe22f,0xf27ffc40,0x00400dff,0x001bfffb,
    0x0037ffc0,0x9afffcc0,0xf5002fff,0x3fff25ff,0xffe80002,0x05fff30f,
    0x4cbffea0,0xf5002fff,0x3ffe65ff,0x5fff5002,0x400bffe6,0xffd2fffa,
    0x0000003f,0xb800bfff,0xfff32fff,0x3ffe6007,0x0017ffe3,0x7fc5fff7,
    0x7fdc005f,0x017ffe2f,0x365fff70,0x32002fff,0xffffffff,0x3fe0ffff,
    0x7fec006f,0xff30002f,0x3ffe60bf,0xfffd10df,0x03def81d,0x0007ffe4,
    0x7dfffff5,0x44000003,0x23fffeb9,0x1004fff8,0x3fe29fff,0xf500005f,
    0x037dffff,0x006fff80,0x35fff980,0x2a005fff,0xfff92fff,0xfff00005,
    0x017ffccf,0xf32fffa8,0x3ea005ff,0x5fff32ff,0x4bffea00,0x5002fff9,
    0x3ff65fff,0x4000002f,0x4003fff8,0xff33fff9,0x3fe6007f,0x07fff13f,
    0x13fff980,0x98007fff,0xfff13fff,0xfff98007,0x007fff93,0x7fffffe4,
    0x10ffffff,0xb8009fff,0x30002fff,0x3fa0bfff,0xfff985ff,0x17ffea5f,
    0x001fff90,0xffffffc8,0x8000adff,0xfffecb98,0x223fffff,0xf1004fff,
    0x3ffe69ff,0x3f200004,0xdfffffff,0x37ffc00a,0x7ffcc000,0x005fff35,
    0x7e4bffea,0xf80002ff,0x3ffe67ff,0x5fff5002,0x400bffe6,0xff32fffa,
    0x3fea005f,0x05fff32f,0x64bffea0,0x00002fff,0x017ffd40,0x4d3ffe20,
    0xf3003fff,0x3ffea7ff,0x7ffc4002,0x005fff54,0xf54fff88,0xf88005ff,
    0x9fff74ff,0x7fffe400,0xffffffff,0x007fff30,0x003fffa8,0x50bfff30,
    0x7d40dfff,0xfffb4fff,0x0fffc807,0xffffb800,0x1dffffff,0xffffea80,
    0xffffffff,0x13ffe23f,0x9a7ffc40,0x00003fff,0x7fffffdc,0xf01dffff,
    0x30000dff,0x3fe6bfff,0xfff5002f,0x00bfff25,0x99bffe00,0xf5002fff,
    0x3ffe65ff,0x5fff5002,0x400bffe6,0xff32fffa,0x3fea005f,0x07fff72f,
    0xffb80000,0xfff8001f,0x007fff35,0x7dcfffe6,0xff8001ff,0x03fff75f,
    0x2ebfff00,0xf8001fff,0xbfff55ff,0x4cccc400,0xfffe9999,0x005fff50,
    0x004fff98,0xd0bfff30,0xfc807fff,0xffffafff,0x07ffe400,0xffeb8800,
    0x2fffffff,0xffffff10,0xf55bffff,0x7ffc47ff,0x9fff1004,0x000fffe6,
    0x3ffae200,0x2fffffff,0x0006fff8,0xf35fff98,0x3ea005ff,0x5fff92ff,
    0xfff98000,0x00bffe65,0xf997ffd4,0xff5002ff,0x0bffe65f,0x997ffd40,
    0xf5002fff,0x3ffea5ff,0x15300006,0x001fffb8,0xff35fff8,0x3fe6007f,
    0x03fff73f,0x2ebfff00,0xf8001fff,0x3fff75ff,0x2bfff000,0x0007fff9,
    0xb87fff40,0x44002fff,0x30004fff,0xfff0bfff,0xfffb001f,0x900bffff,
    0x00001fff,0xfffffb51,0xffe887ff,0x409bdfff,0x3e23fffa,0xff1004ff,
    0x13ffe29f,0xb5100000,0x7fffffff,0x0006fff8,0xf35fff98,0x3ea005ff,
    0x5fff92ff,0xfffa8000,0x00bffe64,0xf997ffd4,0xff5002ff,0x0bffe65f,
    0x997ffd40,0xf5002fff,0x7fffc5ff,0xffc80000,0x05fff52e,0x35fff880,
    0x26007fff,0xfff53fff,0xfff88005,0x005fff55,0xf55fff88,0xf88005ff,
    0x3fffa5ff,0x3fa00002,0x5fff50ff,0x3fff9800,0xbfff3000,0x006fff88,
    0xffffffd1,0x1fff9003,0xf9300000,0xffd8dfff,0xffb801ef,0x13ffe23f,
    0xf27ffc40,0x00000bff,0xffffc980,0x5c37ffc6,0xff9806ed,0x05fff35f,
    0x64bffea0,0x40002fff,0x3e63fffc,0xff5002ff,0x0bffe65f,0x997ffd40,
    0xf5002fff,0x3ffe65ff,0x5fff5002,0x0017ffec,0x98ffffc0,0x4c003fff,
    0xfff34fff,0x3ffe6007,0x007fff33,0xf34fff98,0xf98007ff,0x7fff34ff,
    0x4fff9800,0x0017ffee,0x30fffe80,0xa8007fff,0xddb72fff,0x0bfff300,
    0x4c00ffff,0x005fffff,0x0001fff9,0x7fffcc00,0x003fffe0,0x001fffe4,
    0xd27ffc40,0x7c400dff,0x260002ce,0x3fe0ffff,0x07ffc86f,0xf34fff98,
    0x3ee007ff,0x5fff92ff,0xffff8000,0x00fffe60,0xf997ffdc,0xff7003ff,
    0x0fffe65f,0x997ffdc0,0xf7003fff,0x7ffd45ff,0x7fd40006,0x13ffe26f,
    0x07fff500,0x3fe20000,0x7fd4004f,0x09fff13f,0x13fffa80,0xa8009fff,
    0x3fe23fff,0xd00002ff,0x3fe21fff,0x7fe4004f,0x00fff91f,0xfd09fff3,
    0x7e4003ff,0xf9005fff,0x36a001ff,0xff9000fe,0x13ffe65f,0x03fffd80,
    0x3fff8800,0x4003fff6,0xdb52fffa,0x3ff2001f,0x21bffe2f,0x5c00fffc,
    0xfff33fff,0x3fff6007,0x005fff92,0x22fffd40,0xb003fff9,0x3fe65fff,
    0xfffb003f,0x00fffe65,0xf997ffec,0xffb003ff,0x3fffe85f,0xffff1000,
    0x00ffff87,0x007fffa0,0x0033bfee,0x8003fffe,0x3fe1fffe,0x3fa000ff,
    0x3fffe1ff,0x3fffa000,0x07fffe41,0x7fff4000,0x003fffe0,0xf70ffff8,
    0xffb801ff,0x6fffc83f,0xfffff500,0xfff700bf,0x3ffea001,0x1fff9002,
    0x4013ffea,0x003ffff9,0x23fff880,0xb004fffa,0x7ffd4fff,0x1fff9002,
    0x7dc37ffc,0x7fec03ff,0x0dfff12f,0x25ffff30,0x0002fffc,0xf10bfffa,
    0xff300dff,0x3ffe25ff,0xffff9806,0x00dfff12,0x225ffff3,0xf9806fff,
    0x7fcc2fff,0xfe8003ff,0x7fe40fff,0xfff5004f,0x3ffee00d,0x7fe400ff,
    0xfff5004f,0x04fffc8d,0xc8dfff50,0xf5004fff,0x3ffa0dff,0xd30001ff,
    0x7dc1ffff,0xff7003ff,0x1fffd49f,0x20bfff60,0x403ffff8,0xfffffffa,
    0x7ffdc05f,0x3fffe001,0x37ffc400,0x801ffff3,0x03fffff9,0x2fff9800,
    0x200ffff4,0x7fc5fffa,0x7fc400ff,0x437ffc6f,0x700ffff9,0xffe8ffff,
    0x3ffe203f,0x5fff92ff,0x3fff2000,0x07fffd07,0x17ffffc4,0x4407fffd,
    0x3a2fffff,0x3e203fff,0x3fa2ffff,0x3fe203ff,0xffd82fff,0xfb3004ff,
    0xff105fff,0xfe8803ff,0x531003ff,0xf8809ffd,0x74401fff,0x7fc43fff,
    0x7f4401ff,0x7ffc43ff,0x7ff4401f,0xffff303f,0x3220039f,0x20ffffff,
    0x401ffff8,0x260ffff9,0xf700ffff,0x3ee01fff,0x2a20cfff,0xfedffffd,
    0x3ea05fff,0x4019aeff,0x101efffc,0xff87fffb,0x3fea04ff,0x0004ffff,
    0x4c1fffc8,0xf703ffff,0xffc81fff,0xffb101ef,0x06fff87f,0x135ffffb,
    0x89ffff95,0x20affffb,0xfffffea8,0x405fff92,0xffc8acf9,0xff703fff,
    0x754415ff,0x2e2fffff,0x220affff,0x2fffffea,0x82bfffee,0xfffffea8,
    0x2bfffee2,0x3fffaa20,0xffe882ff,0x2209cfff,0x3fffffc9,0x0ffffea0,
    0x02ffffd4,0x00fffa80,0x81ffffd4,0x505ffffa,0x2a07ffff,0xf505ffff,
    0x3ea07fff,0x7d405fff,0xbdffffff,0xffedb989,0xb80dffff,0xf503ffff,
    0xffb07fff,0xf95135ff,0xfd80bfff,0xffefffff,0xfb14ffff,0x3e60bfff,
    0x807fffff,0xcdeffffe,0x0dffffec,0x677fffdc,0xcffffeba,0x88005fff,
    0x07fffebc,0x9bfffff9,0x03ffffdb,0x37bffffa,0xdffffecc,0x9837ffc0,
    0xffffffff,0x440fffff,0xeeffffff,0xfffaffff,0x405fff92,0xfffffffe,
    0x3fe203ff,0xffeeffff,0x22fffaff,0xeffffff8,0xffaffffe,0x3fffe22f,
    0xffffeeff,0x3e22fffa,0xfeefffff,0x2fffafff,0x3fffff60,0xffffffff,
    0xfd804fff,0xfdcdffff,0x000effff,0x03fff4c4,0xdfffffd8,0xefffffdc,
    0x3ffff600,0xffffdcdf,0x3ff600ef,0xffdcdfff,0x8800efff,0xfffffffe,
    0xffffffff,0x7dc02eff,0xfdcdffff,0xf105ffff,0xffffffff,0x7001ffff,
    0xffffffff,0xffb05fff,0x7ffe407f,0x74400fff,0xffffffff,0x3f604fff,
    0xffffffff,0x1fff91ef,0xffffa800,0x3fea04ff,0xffffffff,0x3ffa202f,
    0xffffffff,0x0dfff04f,0x7fffffd4,0x301effff,0xfffffffd,0x4bffe3ff,
    0xf702fffc,0xffffffff,0xfffd3007,0x23ffffff,0x7f4c2fff,0xffffffff,
    0xe985fff1,0xffffffff,0x985fff1f,0xfffffffe,0x05fff1ff,0xffffffc8,
    0xefffffff,0x3ffea002,0xffffffff,0x3ffee005,0x2004ffff,0xfffffffa,
    0x5005ffff,0xffffffff,0x2a00bfff,0xffffffff,0xb8005fff,0xffffffff,
    0x3fffffff,0x3fffea00,0x3fffffff,0x7ffffd40,0x01efffff,0x3ffff660,
    0x3200ceff,0xffec804f,0xfd5001ff,0x5bffffff,0xffffd500,0xffa87dff,
    0x7fe4002f,0x4400dfff,0xfffffffd,0xffd5000c,0x05bfffff,0x22037ffc,
    0xdffffffd,0x7fe4400b,0x3e1dffff,0x5fff92ff,0x3ffff220,0x22002dff,
    0xdffffffc,0x220bffe1,0xdffffffc,0x220bffe1,0xdffffffc,0x220bffe1,
    0xdffffffc,0x200bffe1,0xfffffeb8,0x0002efff,0xffffffb1,0xfc8003bf,
    0x004fffff,0xfffffd88,0x44001dff,0xfffffffd,0x7ec4001d,0x1dffffff,
    0x7fed4000,0xceffffff,0xec98000b,0x0dffffff,0xffffb100,0x00017bff,
    0x2000dd44,0x00cc4003,0x0aaa9880,0x35531000,0x65400000,0x88002cee,
    0x20001aa9,0x000aaa98,0x0dd4c000,0x01551000,0x54c40000,0xa880001b,
    0xa880000a,0xa880000a,0xa880000a,0x8800000a,0x001abaa9,0x4d54c400,
    0x99730000,0x10000157,0x00013553,0x01355310,0x35531000,0x33000001,
    0x00001575,0x00157310,0x001ba980,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88099988,0x22000199,0x00000099,0x4ccc0000,0x004ccc40,
    0x00999880,0x99988000,0x4ccc4001,0x30000009,0x31000003,0x00135797,
    0x00031000,0x98813330,0x98800099,0x26200001,0x80000099,0x80019998,
    0x00019998,0x006b2e60,0x33300000,0x00066621,0x00266620,0x26204ccc,
    0x88000099,0x09abcba9,0x99988000,0x00199980,0x00000988,0x4c1fffd1,
    0x22005fff,0xffffffdc,0x3e0000ce,0x017fa04f,0xf717ffe2,0xf10005ff,
    0x0001ffff,0x1ffffc40,0x3fffa200,0xb7300005,0x007dffff,0x7fffedc0,
    0x01dfffff,0x7ffedc00,0x44000cff,0x7fdc4fff,0xffb3002f,0x007bdfff,
    0x3ffffe20,0x3e200000,0xa8003fff,0x0001ffff,0xfffffd91,0x000005df,
    0x3a5fff30,0xa80007ff,0xf8802fff,0x7ffdc5ff,0x3f260002,0xffffffff,
    0x3e20001d,0x3fea0fff,0xff93005f,0x76c39dff,0xfff3001e,0x0077ff4d,
    0xffffffb8,0x02ffffff,0x701ffb00,0xff1007ff,0x2fffb8bf,0xffffe800,
    0x3200006f,0x30005fff,0x0001ffff,0x7fffffcc,0x002fffff,0x3fffff62,
    0xffffffff,0x7f4c001e,0xffffffff,0x3ffe2004,0x017ffdc4,0x7fffffec,
    0x000effff,0x37fffff4,0xfff90000,0x7fe4000b,0xff98005f,0xffffffff,
    0x4000005f,0xffd2fff9,0xff50000f,0xfff1005f,0x02fffb8b,0xffffe980,
    0xffffffff,0xf30002ef,0x3ffe2bff,0xfffc800e,0xf2ffffff,0x7dc005ff,
    0x1fffbbff,0xffffe880,0xffffeeef,0xfa8002ff,0xffdbadff,0xfff8800f,
    0x017ffdc5,0x3ebfff20,0x880005ff,0x0000efff,0x0013ffea,0x7fffffdc,
    0x1ffffffe,0xfffffa80,0xffffefff,0x5002ffff,0xfdffffff,0x001bffff,
    0xfb89fff1,0x7fec02ff,0xfffeeeff,0xf9001fff,0x0bfff5ff,0xdfff1000,
    0xfffb0000,0x7ffc4003,0xfffcbcff,0x000004ff,0x7f4bffe6,0xddd5007f,
    0xdfffdddd,0x3fe203dd,0x17ffdc5f,0x3fffee00,0x32a609ad,0x0004ffff,
    0xff95fff7,0xfffb001f,0xffffbbff,0x8005fff5,0x2ffffffd,0x3dfff900,
    0x17fffaa0,0x7fffe400,0x1002ffff,0xffb8bfff,0x3fea002f,0x07fff54f,
    0x1fffb800,0xfffb8000,0x7ffcc000,0x7fed41df,0x3ff600ff,0x980acfff,
    0x04fffffd,0x577fffc4,0x1bfff660,0x713ffe20,0x7dc05fff,0x6d440dff,
    0xfa805fff,0x7fff54ff,0xfffb8000,0xfe880000,0x3ff6005f,0xffff504f,
    0x26000001,0xdf972fff,0x3fffea00,0xffffffff,0xbfff102f,0x002fffb8,
    0x017fffb1,0x3bffee20,0xfffd8001,0xfb802fff,0xffa82fff,0x8002ffff,
    0x004ffffe,0x2201bffe,0x0001ffff,0x1bffffd5,0x00000000,0x6c1dfff1,
    0x20001fff,0x00002fff,0xd0013ff6,0xfd807fff,0xfff703ff,0x3a2003df,
    0x3603ffff,0x2e00dfff,0x00003fff,0x03fff600,0x00ffff88,0xfb1bffe2,
    0x220003ff,0x00002fff,0x2007ffe2,0x6406fff8,0x00002fff,0x445fff30,
    0xfff5005f,0xffffffff,0x000005ff,0x00effe80,0x1fffb100,0xfffe8800,
    0xfff8803f,0x3ffe601f,0xa88002ff,0x3ee002aa,0xff7001ff,0x1300005f,
    0x00000000,0x441aaa98,0x10002aaa,0x00000555,0x7d400555,0xff9806ff,
    0xffff886f,0xfffb0003,0xffff501f,0x1fffb001,0x3e000000,0xffb804ff,
    0x2aaa602f,0x01555441,0x002aa880,0x01aa9800,0x402fffb8,0x0003fff8,
    0x45fff300,0xa80003fa,0x00002fff,0x09ff9000,0x17ff2000,0x0aaaa200,
    0x01fffdc0,0x017fffd4,0x32a00000,0x3fea005d,0x0000002f,0x00000000,
    0x00000000,0xc8000000,0xf9001fff,0xfffc81bd,0x7ff40005,0x2fffd85f,
    0x07fff300,0x3fe00000,0x0013006f,0x00000000,0x40000000,0x4c00fffc,
    0x00002fff,0x6c5fff30,0xfa80002f,0x000002ff,0x205ffa80,0x02cddb98,
    0x0000fff6,0x07ffe400,0x02fffe80,0x00013100,0x3ffe6000,0x00000002,
    0x00009880,0x00004c40,0x00002620,0xf8001310,0x802006ff,0x000ffff9,
    0x0ffffcc0,0xd001fffa,0x98800bff,0x3ff60009,0x000000df,0x00002662,
    0x00009988,0x40026620,0xfb807ffd,0x220000ff,0x2fff9809,0x4c4009fd,
    0x02fffa80,0x00013100,0xfb101fff,0x3dffffff,0x001ffd10,0xbffd0000,
    0x17ffdc00,0xfffdb700,0x000019df,0x7fff5cc4,0x0f774c03,0x01eee980,
    0x7ffff6dc,0xdb8000ce,0x0ceffffe,0xffedb800,0x8000ceff,0xeffffedb,
    0x3ffe200c,0xffd00005,0x3200007f,0x7ffc4fff,0x3ffec005,0x3fff7220,
    0x200cefff,0xbefffffa,0x6e440001,0xceffffff,0x3f722000,0x0cefffff,
    0x3ff72200,0x00ceffff,0xf880fffb,0xc98004ff,0x31ceffff,0x00ee5fff,
    0x3bffff26,0x05fff51c,0x7ffff5c0,0x7d400cef,0xbdffb02f,0x05ffffb7,
    0xee987ff3,0xddd3001e,0x0027ffc3,0x1005fff3,0xfffffffb,0x88003dff,
    0xffffecb9,0x4c03ffff,0xf5002fff,0x3f6205ff,0xffffffff,0xffb1001e,
    0xdfffffff,0x3ff62003,0xefffffff,0xfffb1001,0x3dffffff,0x013ffe60,
    0x1fffe200,0xfff98000,0x013ffe27,0x203fff90,0xfffffffb,0x202fffff,
    0xfffffffc,0x2e000adf,0xffffffff,0xb802ffff,0xffffffff,0xb802ffff,
    0xffffffff,0xfe82ffff,0x7ffdc06f,0x7ffe4000,0x9affffff,0x32002fff,
    0xffffffff,0x02fffaaf,0xfffffe98,0x202fffff,0x9ffb06fe,0x203ffea0,
    0x7ffcc7fe,0x5fff5002,0x800fffe6,0x5402fff8,0xeeffffff,0x804fffff,
    0xffffffea,0x3fffffff,0x017ffcc0,0xa82fffa8,0xeeffffff,0x404fffff,
    0xeffffffa,0x04fffffe,0x7fffffd4,0x4fffffee,0x7ffffd40,0xfffffeef,
    0x03fff984,0x5fff9800,0x7ff40000,0x09fff11f,0x41fffc80,0xefffffe8,
    0xffffffee,0x3fffee02,0x1dffffff,0x3ffffa20,0xffffeeef,0xffd102ff,
    0xffdddfff,0x2205ffff,0xeefffffe,0x2ffffffe,0xf1037ff4,0xfd800bff,
    0xffeeffff,0x02fffdff,0xdfffffb0,0xffbffffd,0xfffb805f,0xffffefff,
    0x3ff985ff,0x6404ffb8,0x2ffa83ff,0x400bffe6,0xff72fffa,0xfff8005f,
    0x3fffe202,0x7ffd441d,0xffff102f,0x5bffffff,0x9807fff5,0xf5002fff,
    0xfff885ff,0x7fd441df,0xfff102ff,0xffa883bf,0xfff102ff,0xffa883bf,
    0xfff102ff,0xffa883bf,0x7ffcc2ff,0xffa80003,0x6400004f,0x3ffe3fff,
    0x7fff4005,0x0f7ffe42,0x05fffea8,0x7ffff5c4,0x902fffff,0x2a03dfff,
    0xf905fffe,0x3aa03dff,0xff905fff,0x3faa03df,0x37ff45ff,0x001fff90,
    0x05ffffdc,0xffffff51,0xffff7005,0x7ffdc417,0x3e202fff,0x6441dfff,
    0x7dc3ffff,0x00ffd80f,0x9ff00ab8,0x8017ffcc,0xff72fffa,0xfff8005f,
    0x0ffff202,0x10dffd30,0x7bfffffd,0x3fffa813,0x017ffcc0,0x642fffa8,
    0x74c03fff,0xfff906ff,0x6ffe9807,0x807fff90,0xf906ffe9,0xfe9807ff,
    0x27ffc46f,0x7ffdc000,0x7dc00003,0x1fffa4ff,0x85ffff00,0xf8806fff,
    0x51001fff,0xfffffffb,0x00dfff07,0xf03ffff1,0xff100dff,0xdfff03ff,
    0x3ffff100,0xf8837ff4,0x3e2005ff,0x3e601fff,0x4402ffff,0x2601ffff,
    0x202fffff,0x5403fffe,0x3f20ffff,0x0009ff07,0xff997fa0,0xfff5002f,
    0x00fffe65,0x302fff88,0x2600bfff,0x7fec3fff,0xffb801ef,0x7ffcc03f,
    0x5fff5002,0x802fffcc,0x7cc3fff9,0xff3005ff,0x5fff987f,0x87fff300,
    0x3005fff9,0xfff87fff,0xffc80005,0x5400002f,0x3ff24fff,0xfff7003f,
    0x0fffdc7f,0x02fffb80,0xffff9300,0x01fffb8d,0xb85fff70,0xf7001fff,
    0xfffb85ff,0x5fff7001,0xf9837ff4,0x3ee003ff,0xffa803ff,0x7fdc02ff,
    0xfffa803f,0x9fff702f,0x97ffee00,0x3ff986fd,0x4dfb0000,0x5002fff9,
    0x3fe25fff,0x3fe6004f,0x1fffb02f,0x23ffec00,0x9000ffff,0xf9807fff,
    0xff5002ff,0x07ffec5f,0xd8fffb00,0x36000fff,0x7ffec7ff,0x1fff6000,
    0x4001fffb,0x7ff47ffd,0x33be2006,0x003fffd2,0x5fffa800,0x003fffe6,
    0x47fffff1,0x2a005dca,0x40002fff,0x2a0ffff9,0x3ea005dc,0x2ee542ff,
    0x85fff500,0x2a005dca,0x3ffa2fff,0x0bfff306,0x007ffec0,0x402fffe8,
    0xd000fffd,0x3fa05fff,0x3fa000ff,0x70bfd0ff,0x200005ff,0x3ffe67fc,
    0x5fff5002,0x5002fffc,0x3fa05fff,0x7fdc006f,0x09fff30f,0x01fffec0,
    0x400bffe6,0x3fa2fffa,0x7fdc006f,0x01bffa0f,0x741fff70,0x7dc006ff,
    0x1bffa0ff,0x41fff700,0x5000fffd,0x3ffe5fff,0x5400000f,0x7fe45fff,
    0xfff502ff,0x00007fff,0x6d45fff3,0xff9000fe,0xf300005f,0x200005ff,
    0x0002fff9,0x745fff30,0x3ffe06ff,0xbffd003f,0x17ffdc00,0x8013ffa0,
    0xff02fffb,0xffb800bf,0xf70bfd2f,0x3200005f,0x0bffe67f,0xd17ffd40,
    0x32001fff,0xfff02fff,0xfffa800b,0x009fff51,0x00ffffe6,0x2005fff3,
    0x3fe2fffa,0x7fd4005f,0x017ffe1f,0x7c3fff50,0x7d4005ff,0x17ffe1ff,
    0x43fff500,0xb004fffa,0x7fff4fff,0x7dc00001,0x7ffc44ff,0xfecbdeff,
    0x02fffaff,0xffd73100,0x17ffd47f,0x00fffc80,0xffd73100,0x4c40007f,
    0x003fffeb,0x3ffae620,0x81bffa3f,0x00dffffb,0x5001fffc,0x7c405fff,
    0x3ea003ff,0xfff882ff,0x7ffcc003,0xff30dfb3,0x3f600007,0x00bffe66,
    0xf517ffd4,0xff1009ff,0xfff105ff,0xffffffff,0xffffffff,0x03fffe65,
    0x7fffff30,0x02fff980,0x225fff50,0xffffffff,0xffffffff,0xfff12fff,
    0xffffffff,0xffffffff,0x3ffffe25,0xffffffff,0x12ffffff,0xffffffff,
    0xffffffff,0xffe85fff,0x7ffd401f,0x00ffff65,0x9fff9000,0xfffffd30,
    0xf31dffff,0xb98805ff,0xffffffec,0x7fffc3ff,0x37ffc400,0x7f65cc40,
    0x3fffffff,0xfecb9880,0x3fffffff,0xfecb9880,0x3fffffff,0xf901bffa,
    0x2603dfff,0x26003fff,0x3e602fff,0x3e6002ff,0xfffa82ff,0x7ffc4002,
    0xff10ff94,0xe80aa009,0x0bffe65f,0x217ffd40,0x6c01fffe,0xfa82ffff,
    0xffffffff,0xffffffff,0x3fffe4ff,0x3fffea04,0x7fcc04ff,0xfff5002f,
    0x3ffffea5,0xffffffff,0x54ffffff,0xffffffff,0xffffffff,0x3fea9fff,
    0xffffffff,0xffffffff,0xfffff54f,0xffffffff,0x89ffffff,0x703ffff9,
    0x7e41ffff,0x400004ff,0x3203fffd,0xdfffffff,0x203fff50,0xffffffea,
    0x3fffffff,0x80f7ffe4,0x203fffd8,0xffffffea,0x3fffffff,0x3ffffaa0,
    0xffffffff,0x3ffaa03f,0xffffffff,0x3ffa3fff,0xffffb806,0x2fffa83f,
    0x0bffe200,0x001fffa8,0x2e0bffe2,0xf8001fff,0x01ff75ff,0xf8801fff,
    0x24ff886f,0x5002fff9,0xff985fff,0xffe883ff,0xffa82fff,0xffffffff,
    0xffffffff,0x3fffee4f,0xfffebace,0x405fffcf,0x5002fff9,0x3fea5fff,
    0xffffffff,0xffffffff,0xfffff54f,0xffffffff,0x29ffffff,0xfffffffa,
    0xffffffff,0xff54ffff,0xffffffff,0xffffffff,0xffff909f,0xfffdb9bf,
    0x5fffa83f,0x7ff40000,0x6e54401f,0x1fffb82c,0x7fffffc4,0xfaadffff,
    0xfffe83ff,0xffeccdef,0xff880dff,0xffffffff,0x83fffaad,0xfffffff8,
    0xffaadfff,0xffff883f,0xadffffff,0x3fa3fffa,0xfff3006f,0xfffb89ff,
    0x17ffc001,0x003fff70,0xfb82fff8,0xff8001ff,0x709ff15f,0xffd809ff,
    0x261ffb83,0xf5002fff,0xfff705ff,0xfffd9bff,0xf305ffff,0x800007ff,
    0xfffffffd,0xff91efff,0x7ffcc01f,0x5fff5002,0x000fffe6,0x01fffcc0,
    0x3fff9800,0xfff30000,0x2a000007,0xffffffff,0xff882fff,0x300000ff,
    0x0000ffff,0x3a23ffe4,0x9bdfffff,0x41fffd40,0xffffffe8,0x104fffff,
    0x7bfffffd,0x3fffa813,0x7fffff44,0x7fd409bd,0x7fff443f,0x5409bdff,
    0x3ffa3fff,0x3ff62006,0x3ffea3ff,0x3ffe2002,0x0bffee02,0x82fff880,
    0x4002fffa,0x3f65fff8,0x509ffd07,0xfd01dffb,0x02fff98d,0x205fff50,
    0xfffffffa,0x2fffacff,0x004fff88,0xfffea800,0x7d43efff,0x3fe602ff,
    0xfff5002f,0x013ffe25,0x27ffc400,0xfff88000,0xff100004,0x4000009f,
    0xffffffd8,0x3ff600cf,0xfb00004f,0x400009ff,0x7fec5ffe,0xffb801ef,
    0x3ffaa03f,0x02dfffff,0x007bfff6,0xfb0fffee,0xf7003dff,0xfffd87ff,
    0xfffb801e,0x001bffa3,0xfa9fffee,0x3e6003ff,0x3fea02ff,0x3fe6003f,
    0x3fff982f,0x27ffcc00,0xfd307ff5,0xffffbdff,0x87ff501f,0x5002fff9,
    0x6c405fff,0x53efffff,0x3fe05fff,0x2000006f,0x2e01aa98,0x7fcc00ff,
    0xfff7003f,0x0037ffc5,0x00dfff00,0x037ffc00,0x0dfff000,0x3fa00000,
    0xff5001ae,0xa80003ff,0x1301ffff,0x1fffcc00,0x4003fffe,0x8803fffc,
    0xf000affd,0x32001fff,0x7ffc3fff,0xfff9000f,0x00ffff87,0x747fff90,
    0xfd0006ff,0x3ffe23ff,0x3ffea004,0x13ffe202,0x82fffa80,0x4004fff8,
    0x7f43fffa,0xffff901f,0xf101bfff,0xfff981ff,0x5fff7003,0x502aa200,
    0x3fa05fff,0x3f2000ff,0xb00001ce,0xfff300df,0x3fff6007,0x003fffa2,
    0x3a1cefc8,0x32000fff,0x3ffa1cef,0x3bf2000f,0x03fffa1c,0x01cefc80,
    0x001eff88,0x002fffec,0x217fffa0,0x9000fffc,0x7fcc3fff,0x3ff6004f,
    0x5fff003f,0x13ffe600,0x23fffd80,0x2004fff9,0x3e63fffd,0x3f6004ff,
    0x1bffa3ff,0x17ffdc00,0x2001fffd,0x7402fffd,0xfb000fff,0x3ffe05ff,
    0x3ffa000f,0x077fcc1f,0x1bcdca88,0x260bffa0,0xfb003fff,0x500005ff,
    0x3ee05fff,0xff1005ff,0x200001ff,0xff8805fe,0xfff9806f,0x17ffee2f,
    0x07fffc40,0x200bfff7,0x2e0ffff8,0xf1005fff,0x7fdc1fff,0xfff1005f,
    0xffd5001f,0x3e2003df,0x4000dfff,0x80ffffe8,0x8802fff9,0x7fd45fff,
    0xfff3004f,0xffd1007f,0xffa805ff,0xfff3004f,0x27ffd47f,0x3ffff980,
    0x4013ffea,0x3a3ffff9,0x00da86ff,0xfb87fff2,0xff9804ff,0x7fdc02ff,
    0xfff9803f,0x9fff902f,0x1bffea00,0x00077fdc,0x413ff620,0x9806fff8,
    0x0002ffff,0x202fffa8,0xd803fffe,0x00004fff,0x3a003ffa,0x3e203fff,
    0x7f42ffff,0xffd803ff,0x3fffe84f,0x84fffd80,0xd803fffe,0xffe84fff,
    0xfffd803f,0x5ffc8004,0x3fffee00,0xfff5001e,0x7ffc05ff,0x3ffa200e,
    0x7fffcc1f,0x7fffcc00,0x7fdc003f,0x7fffcc07,0x7fffcc00,0x3fffe63f,
    0x7fffcc00,0x3fffe63f,0x7fffcc00,0x99bffa3f,0xff105fff,0xffff88ff,
    0x7fffec01,0x7fffc402,0x7fffec01,0x3ffff102,0x3fffe880,0x00bfff60,
    0x037ffcc0,0x880ffffa,0x002fffff,0x02fffa80,0x037fffe6,0x03ffff6a,
    0x3ffe8000,0x7fffdc28,0x3ffaa20a,0x7fcc2fff,0xfda80dff,0xff980fff,
    0xfda80dff,0xff980fff,0xfda80dff,0xff980fff,0xfda80dff,0xc8000fff,
    0x7dc007ff,0x09bdffff,0xffffb731,0xfffc807f,0xfffe982d,0x09ffff05,
    0x7fffffd4,0x7ffcc004,0x27fffc01,0xffffff50,0x04ffff89,0x3fffffea,
    0x027fffc4,0x9ffffff5,0x3f637ff4,0x7fecc3ff,0xffffa84f,0xffffe882,
    0xfffb802f,0xfffe882f,0x3fea02ff,0xfff503ff,0xfff900bf,0x3f66005b,
    0xffb804ff,0x3aa20aff,0x002fffff,0x02fffa80,0x77ffffe4,0xffffffdc,
    0x7e400001,0x47fdcfff,0xeffffff8,0xffaffffe,0xffffc82f,0xffffdcef,
    0x3ff201ff,0xffdcefff,0x3201ffff,0xdcefffff,0x01ffffff,0x3bfffff2,
    0xffffffdc,0xdcaa9801,0xa8005fff,0xffffffff,0xffffffff,0xfffb002f,
    0xffffb9ff,0x7ffdc0bf,0xffebacef,0x05fffcff,0x3ff6eaa2,0x7fdc00ff,
    0xfebaceff,0x5fffcfff,0x677fffdc,0xcffffeba,0x7fdc5fff,0xfebaceff,
    0x5fffcfff,0xfd11bffa,0xfffd9fff,0x3ff601df,0xffecdfff,0x002fffdf,
    0x9bfffffb,0xfffbfffd,0xffffd805,0xffffdcdf,0xff5000ef,0x53579fff,
    0x5ffffd95,0x3fffe200,0xffffeeff,0x0002fffa,0x802fffa8,0xfffffffa,
    0x002fffff,0xffff8800,0xfe987fff,0xffffffff,0x2a05fff1,0xffffffff,
    0xa802ffff,0xffffffff,0xa802ffff,0xffffffff,0xa802ffff,0xffffffff,
    0x9002ffff,0x1fffffff,0x3ff66000,0xffffffff,0x2000dfff,0xffffffe8,
    0xd805ffff,0xffffffff,0xfff91eff,0x3fffea01,0xfb002fff,0xffffffff,
    0x3fff23df,0x7ffffec0,0x91efffff,0xffd81fff,0xffffffff,0x21fff91e,
    0xff986ffe,0xefffffff,0x7fffe401,0xff4fffff,0x7fe4005f,0xcfffffff,
    0xa802fff8,0xffffffff,0x88005fff,0xfffffffc,0x0cffffff,0x7fff4c00,
    0xf1ffffff,0x500005ff,0x22005fff,0xffffffec,0x4000003f,0x1cffffd8,
    0xfffff910,0x17ffc3bf,0xffffd910,0x88007fff,0xffffffec,0x7644003f,
    0x3fffffff,0x7ff64400,0x003fffff,0x67ffffec,0xfc880000,0xffffffff,
    0x3ea0000b,0x1dffffff,0x3fffaa00,0x7d43efff,0xfff702ff,0xa8003bff,
    0xeffffffe,0x417ffd43,0xffffffea,0x17ffd43e,0x7fffff54,0x7ffd43ef,
    0x260dffd2,0x4ffffffd,0x3fff6600,0x3ffe3eff,0x7fecc002,0x3fe3efff,
    0xffb1002f,0x03bfffff,0xfffb5000,0x017dffff,0x7ffe4400,0x3fe1dfff,
    0xfa80002f,0x988002ff,0x000009aa,0x40009800,0x00000aa8,0x0026aa62,
    0x26aa6200,0xa9880000,0x8800009a,0x00009aa9,0x00002662,0x9aba9880,
    0x54c00000,0x200009ab,0x0001aa98,0x00002660,0x0006aa62,0x00d54c40,
    0x1aa98800,0x54400000,0x100009ab,0x00001553,0x002aa620,0x2aa62000,
    0x10000009,0x00001353,0x0002aa20,0x55544000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98800000,0x00000999,0x00003310,0x57975310,
    0x20000013,0x00000098,0x40133310,0x99881999,0x01998809,0x41999800,
    0x132e1998,0x1cca8000,0x33113320,0x33300003,0xbca98003,0x10000009,
    0x00357973,0x8002aaa8,0x09accba9,0x4ccc4000,0x20199980,0x00000999,
    0x0004ccc4,0x30066660,0x00000133,0x99999800,0x99999999,0x99999999,
    0x13331099,0x10033330,0x00666620,0x3fff6000,0xddd10006,0x3fffb221,
    0x4c0001df,0xfffffffc,0x80001dff,0xdfffffc9,0x000fbb22,0x80bffea0,
    0x7f44fffb,0xfffd81ff,0x7ffc0001,0xd8fffec7,0xb00001ff,0x3fe603ff,
    0x00fffec6,0x01fffe00,0xfffffd93,0x0007bfff,0xfffffdb8,0x801dffff,
    0x8800fffe,0xfffffffb,0x30002dff,0xffb8dfff,0x7fff303f,0xffc80000,
    0x7fc0002f,0x3ffe607f,0x5ff80003,0xfff1bfa0,0xffffffff,0xffffffff,
    0x3e6dffff,0x3fee0eff,0x4136204f,0x000ffffa,0x3fffe600,0xfff30000,
    0xffffff31,0x3000bfff,0xfffffffd,0x5dffffff,0x3fff2000,0xd4ffffff,
    0x500009ff,0xfd805fff,0x5fff71ff,0x007fff60,0xd8ffff00,0x9ff51fff,
    0x3ffe0000,0xd89ff500,0x40001fff,0xf9107fff,0xffffffff,0x005fffff,
    0xfffffd88,0xffffffff,0x3fffa01d,0x7fffe400,0xffffffff,0xfb8002ef,
    0xbfff33ff,0x01fffcc0,0x3fff2000,0x7ffc0002,0x0fffe607,0x07ff6000,
    0xfff13fea,0xffffffff,0xffffffff,0x7d4dffff,0xbfff14ff,0xa827fdc0,
    0x0000ffff,0x007fff60,0xfbfff980,0xffeddfff,0xf7000dff,0x4135bfff,
    0x4ffffca9,0x7fffec00,0xdffffeef,0x80004ffe,0x4402fffa,0xfff9effe,
    0x07fff604,0x8ffff000,0xff11fffd,0xff10000d,0x21ffe40d,0x0001fffd,
    0xfd83fffc,0xffffffff,0x3fffffff,0xfffff500,0xffffdfff,0x3a05ffff,
    0x3f600fff,0xfeffffff,0x3fffffff,0x9fffd800,0x7cc06ffe,0x400003ff,
    0x0002fffc,0x5543fffc,0xaaadfffb,0xf3002aaa,0xffb77bff,0xfffff81f,
    0xffffffff,0xffffffff,0x7ffe46ff,0x200effd9,0xff504fff,0x200001ff,
    0x0003fff8,0x7fffffcc,0x4ffff983,0x5fffec40,0xfff71000,0xfff7003d,
    0x7fd4417f,0x0004ffff,0x802fffa8,0x6ffffff9,0x00fffec0,0xb1fffe00,
    0x7ff43fff,0x7fd40000,0xb07ffa05,0x80003fff,0xffc87fff,0x4c40adff,
    0x02fffffc,0x5fffffec,0xfffd980a,0x7fed82ff,0x3fffff60,0x7fdd441b,
    0x44005fff,0x0ffffffe,0x01fffcc0,0x3fff2000,0x7ffc0002,0xfffffe87,
    0x7fffffff,0x3fffee00,0xaa82ffff,0xbaaaaaaa,0xaaaaffff,0xe82aaaaa,
    0x01ffffff,0xfa827ffc,0x00000fff,0x0000bff9,0x05fffff3,0x00ffff44,
    0x0001dffd,0x803fff62,0x201ffff8,0x04ffffe8,0x2fffa800,0xfffff700,
    0x1fffd801,0x3fffc000,0xfc83fa62,0x7e40002f,0x03ffe03f,0x0003fffb,
    0xff87fff8,0xfd1002ff,0x7fdc0bff,0xb1000dff,0xf105ffff,0x3ffff20f,
    0xfffb1003,0xff98007f,0xf9802fff,0x980003ff,0xcdfffecc,0xcccccccc,
    0xffcccccc,0xffd2ccff,0xffffffff,0xe9800fff,0x001dffff,0x01bffe20,
    0xfffff880,0x04fff802,0x001ffff5,0x002aaa00,0x3fffe600,0x4fffa804,
    0x0009ff90,0xc817ff20,0xf9803fff,0x80004fff,0x2002fffa,0xd800aaaa,
    0x40001fff,0x1fd07fff,0x0002ffcc,0x7cc07ff6,0x1fffd86f,0x3fffc000,
    0x000fffe6,0x101ffff1,0x0007ffff,0x303ffff6,0xffff10bf,0xfff50009,
    0xaa98003f,0xfff3001a,0xff500007,0xffffffff,0xffffffff,0xffffffff,
    0x3eeaabff,0xaaaaadff,0x0660002a,0x7ffc4000,0x554c0006,0x9fff002a,
    0x03fffea0,0x00000000,0x007fffcc,0xfa86ffe8,0x4ccccc5f,0xffd80199,
    0x00fffb03,0x0027ffec,0x017ffd40,0x3ff60000,0x7fc0001f,0xff0df07f,
    0xfff8000f,0xb09ff700,0x80003fff,0x7fe47fff,0xffb8000f,0x5fffc82f,
    0x7ffec000,0x7dc17e44,0x320005ff,0x00006fff,0x07fff300,0xffff5000,
    0xffffffff,0xffffffff,0xffffffff,0x03fff98b,0x00000000,0x006fff88,
    0xfff00000,0x3fffea09,0x06662000,0x20013300,0x2004fff9,0xfff87ffb,
    0x3ffffe60,0x101dffff,0xfff01ffd,0x7ffcc009,0x50131004,0x44005fff,
    0xffb00099,0xff80003f,0xd83fb87f,0xf10001ff,0x1ffe40df,0x000fffec,
    0xfd1fffe0,0x3e2000ff,0x7ffcc4ff,0x7c40000f,0x0bf91fff,0x000bfffe,
    0x02ffff88,0x30004c40,0x13107fff,0x3f6aa200,0xaaaaacff,0xaaaaaaaa,
    0xaaffffaa,0x81fffcc1,0x00000099,0x6fff8800,0x80980000,0xeffffeec,
    0xffff51ee,0x7ff65401,0x983dffff,0xcfffffec,0x0fffe601,0x21fffa80,
    0x7fcc2ffa,0xffffffff,0x87ff302f,0x2002fff8,0x2604fff8,0x1ceffffc,
    0x4405fff5,0xffffffdc,0xfffb00ce,0xfff80003,0xfb82fdc7,0x7775c03f,
    0xeefffeee,0xefffeeee,0x3fffb5ee,0x7fff8000,0x0017ffec,0x7f42bcc8,
    0x700004ff,0x0bfdbfff,0x00037654,0x4027ffd4,0xefffffeb,0x3ffe600c,
    0xdfffd913,0x3ff20039,0x7fc0002f,0x3ffe607f,0x3ffff6e3,0xddb000cf,
    0xff100009,0xdd3000df,0x5efff5cd,0xffffffb0,0x3fe65fff,0xfff900ff,
    0xffffffff,0x7ffffdcb,0x304fffff,0x4c005fff,0x1bfa2fff,0x7310ffe6,
    0x3fa01fff,0x00fffd47,0x6413ffe0,0xffffffff,0x02fffaaf,0xfffffff7,
    0xb05fffff,0x80003fff,0xfdb8ffff,0x017fe205,0xfffffff9,0xffffffff,
    0x2dffffff,0x0001fffd,0x3ee3fffc,0x400005ff,0x000ffff8,0xfffff100,
    0x80000007,0x2607fff8,0xfffffffe,0xff302fff,0xfffff37f,0x9007ffff,
    0x80005fff,0x3e607fff,0xfffe8bff,0x02ffffff,0x0005fff8,0x006fff88,
    0xff97ff98,0x3f65ffff,0xffffffff,0x10ffff12,0xddfffffd,0xbbfffffd,
    0xfddfffff,0xf30bffff,0x7c4003ff,0x07ff34ff,0x7e407ff3,0x45ff502f,
    0x4001fffb,0xffd84ffe,0xfffeefff,0x442fffdf,0xeefffffe,0x2ffffffe,
    0x000fffec,0x3fffffe0,0x0ffe804e,0x3fffff20,0xffffffff,0xffffffff,
    0x003fffb6,0x447fff80,0x000dffff,0x0dfff300,0xfffe8000,0x00000002,
    0xf703ffff,0xffdfffff,0xf30bffff,0xdffffbff,0x0bfffffd,0x002fffc8,
    0x303fffc0,0xffffbfff,0xffffffff,0x05fff801,0x6fff8800,0xafff9800,
    0x07ffffff,0x3e209fff,0xfffd87ff,0xffff701d,0xd303dfff,0xff989fff,
    0x3fe2000f,0x301ff74f,0x7fd407ff,0xfc93fe03,0x7fc001ff,0x7fffdc4f,
    0x3ffee20b,0x7fe42fff,0xffd501ef,0x1fffd8bf,0x7fffc000,0x3ff2000a,
    0x26666202,0x9999fff9,0x99dffc99,0x03fffb09,0x87fff800,0xbdfffffd,
    0x3fea0001,0x6400004f,0x00003fff,0x7fffb000,0x1dffff88,0x1ffffe44,
    0x3fffffe6,0x7fffd40b,0x0bfff203,0x0ffff000,0x7fffffcc,0x3ffea21c,
    0x2fffc05f,0x7ffc4000,0xfff98006,0x4fdcefff,0x7c09fff0,0x7ffc46ff,
    0xffffb804,0xfffd805f,0x007ffe60,0xf92fff98,0x80ffe60f,0x3fa00ffd,
    0x00bffea5,0x7c49fff0,0x3e601fff,0x7fc2ffff,0xfff8806f,0x07fff61f,
    0x0ffff000,0x009ff500,0x3206ff98,0xfffb03ff,0xfff80003,0xfffff907,
    0x00159fff,0x001fffdc,0x0fffee00,0xaaaaaaa8,0xaaaaaaaa,0xaaaaaaaa,
    0x7f43fffd,0x7fd403ff,0x3ffe60ff,0x3fe602ff,0xfff900ff,0xdddddddd,
    0xdddddddd,0x7cc0ffff,0x2201ffff,0x7fc07fff,0xf880005f,0xf98006ff,
    0x0442ffff,0x3e04fff8,0x7ffe46ff,0xfffff000,0x9fff1001,0x0017ffcc,
    0x3f63fff5,0x107ff306,0xfd80bff7,0x00fffe66,0x2e4fff88,0xfa803fff,
    0x3fee2fff,0xfff7001f,0x00fffec5,0x01fffe00,0x001bfe20,0x7f409ff5,
    0x3fffb01f,0x7fff8000,0x3ffffee0,0x1cefffff,0x017ffec0,0x3ffea000,
    0x3ffffe04,0xffffffff,0xffffffff,0x24ffffff,0x7004fffb,0x7fccbfff,
    0xffb804ff,0xffff904f,0xffffffff,0xffffffff,0x7fcc0fff,0xffc803ff,
    0x17ffe00f,0x3ffe2000,0xfff98006,0x7ffc004f,0x717ffa04,0x7f400bdb,
    0x3f2003ff,0x0fffe66f,0x3a7ffb80,0xffff305f,0x3fffffff,0x3e27fc80,
    0x3ea004ff,0x3fff64ff,0x5fffd000,0x5002ee54,0x7fec5fff,0x7fc0001f,
    0xffb0007f,0x1ffe4001,0x3607ff88,0x40001fff,0x6cc07fff,0xffffffff,
    0xfd02ffff,0x800003ff,0x3e05fffa,0xffffffff,0xffffffff,0xffffffff,
    0x3fffa5ff,0x3fffa000,0x01ffff30,0x641fffe0,0xffffffff,0xffffffff,
    0x07ffffff,0x003fffe6,0xf80bffea,0x32e005ff,0xfffccccc,0x2ccccccf,
    0x00ffff30,0x7409fff0,0xb00005ff,0x54003fff,0xfff30fff,0x2fff400d,
    0x3fe60bfd,0xceffffff,0x747fc800,0xfd000fff,0x27ff49ff,0x05fff700,
    0x5fff3000,0x000fffec,0x001fffe0,0xd001ffdc,0x3fe603ff,0x07fff606,
    0x0ffff000,0x3fff6a20,0xdfffffff,0x007fffc0,0x3ffea000,0x3ffffa05,
    0xffffffff,0xffffffff,0x24ffffff,0x5c005fff,0xfff32fff,0x7ffdc009,
    0xeefffc80,0xeeeeeeee,0xffeeeeee,0x3ffe607f,0x7fff3005,0x002fffc0,
    0xfffffffd,0xffffffff,0x3ffe609f,0xff331006,0xfd8333bf,0x2a60004f,
    0x4007fffc,0xff31fff9,0xff5005ff,0x9837ec9f,0xffdbadff,0x51bf6004,
    0xf5009fff,0x3fe29fff,0x3fea003f,0x7310002f,0x7ec7fffd,0x7c0001ff,
    0xf30007ff,0x7ffc00bf,0x409ff700,0x0001fffd,0x8003fffc,0xfffffdb9,
    0x3ffa0eff,0x5c00001f,0x3f604fff,0x99999aff,0x99999999,0xffb99999,
    0x07fff13f,0x33fff980,0x54007fff,0xffc82fff,0x7fc0002f,0x3ffe607f,
    0x7fff1004,0x002fffc0,0xfffffffd,0xffffffff,0x3ffe609f,0xffffb005,
    0x6c3fffff,0xb98804ff,0xffffffec,0xffffffff,0xffffffff,0xdffff33f,
    0x7fff4401,0x7cc1ff20,0x02ffcc3f,0xffe85fe8,0x3ffea03f,0x5fff34ff,
    0x17ffcc00,0x3fb2e620,0x3fffffff,0x0007fff6,0x000ffff0,0xf9803ffc,
    0x0bff606f,0x001fffd8,0x003fffc0,0xffffc980,0x0ffff64f,0xfff90000,
    0x17ffe409,0xfff90000,0x00bffea5,0x269fff10,0x26002fff,0xffc83fff,
    0x7fc0002f,0x3ffe607f,0x7fff1003,0x002fffc0,0x037ffc40,0x027ffcc0,
    0xffffffd8,0x3ff21fff,0x3fffae03,0xffffffff,0xffffffff,0xffffffff,
    0xfffff34f,0xffff303d,0x980ffb87,0x4ffb83ff,0x4c27fc40,0x89adffff,
    0xffffffca,0x003fff54,0xa817ffc4,0xfffffffe,0x23ffffff,0x0002fffc,
    0x001bffe2,0x9881ffc8,0x99dffb99,0xaffe9999,0xff909999,0x7c40005f,
    0x400006ff,0x327fffe9,0x00004fff,0x701fffec,0x00009fff,0xfb8fffec,
    0xff8001ff,0x03fff35f,0x427ffc40,0x0002fffc,0xf303fffc,0x3e2007ff,
    0x3ffe03ff,0xff880005,0xff98006f,0xf553003f,0x41555dff,0xfd883ffc,
    0xefffffff,0xfffffd9c,0xffffffff,0xf35fffff,0x9dffffff,0x0bffffdb,
    0xff309ff1,0x807ff607,0xff501ffb,0xffffffff,0x2e7fff9f,0x7c001fff,
    0x7ffc42ff,0xdfffffff,0x2e3fffaa,0x20002fff,0x0006fff9,0x3f213fea,
    0xffffffff,0xffffffff,0xff76ffff,0x7cc0005f,0x000006ff,0x3ea3fffb,
    0x400005ff,0x2a01fffe,0x00005fff,0x7dc7fffe,0xff8001ff,0x01fff35f,
    0x427ffc40,0x0002fffc,0xf303fffc,0x3e2007ff,0x3ffe03ff,0xff880005,
    0xff98006f,0xfff8002f,0x10bfee04,0x59fffffd,0x00fffb03,0x2fffe600,
    0xfffffffc,0x1ff604ff,0x7cc0ffe6,0x01bfa06f,0xffffffd1,0x7fff33df,
    0x800bffee,0x3a22fff8,0x9bdfffff,0x71fffd40,0x40007fff,0x0006fff9,
    0x3f21bfe2,0xffffffff,0xffffffff,0xff76ffff,0x7cc0007f,0x1bbb66ff,
    0x9fff5000,0x003fffe2,0x3fffcc00,0x01bffe60,0x7fffc400,0x005fff50,
    0xf35fff88,0x7cc003ff,0xfffc82ff,0x7ffc0002,0x0fffe607,0x01fffc40,
    0x0000bfff,0x000dfff1,0x0005fff3,0x7d409fff,0x6fffec1f,0x07ffd801,
    0x7fff3000,0x3fffffaa,0x1ffd401d,0xfc80ffe6,0x03ffa84f,0xcefdba88,
    0x27fff30a,0x2003fffa,0x3f62fff9,0xfb801eff,0x3ffea3ff,0x3fea0004,
    0x7f40005f,0x7f775c0f,0xeeeeeeff,0xeeeeefff,0x09fff55e,0x2fffd400,
    0x0001ffff,0xfb37ffc4,0x200009ff,0xe804fffe,0x80002fff,0x3e65fffc,
    0x7cc003ff,0x5fff34ff,0x0fffd400,0x0017ffe4,0x981fffe0,0xf1003fff,
    0x7ffc07ff,0xff880005,0xff98006f,0xfff8002f,0x887fea04,0xd000ffff,
    0x00001fff,0xa887fff3,0x3fa000aa,0x80ffe61f,0x3e21fff8,0x200000ff,
    0xff12fff9,0x7fd4009f,0x03fffe2f,0x11fffe40,0x4000dfff,0x0003fffd,
    0xf3017fe4,0x17fec0df,0x01bffe20,0x23fffd80,0x0003fffd,0xfa97ffe6,
    0x40001fff,0x801ffffa,0x0007fffa,0x10ffffcc,0xa8009fff,0xfff33fff,
    0x7ffdc007,0x02fffc80,0x03fffc00,0x2007fff3,0x3e03fff8,0x880005ff,
    0x98006fff,0xf8002fff,0x332205ff,0x013ffea0,0x017fffc4,0x265dff90,
    0x00003fff,0x5443bfe6,0x0d54c00a,0x00205ffd,0xd0fffd40,0x36001fff,
    0xfff32fff,0x7ffec009,0x017fff43,0x0ffffc40,0x17fe6000,0x3a04ffb8,
    0xffe800ff,0xff88002f,0x3ffee1ff,0x3fee0006,0x2ffff44f,0x3fffa000,
    0x3fffa005,0x3ff60004,0x0ffff85f,0x47fffa00,0x2006fff9,0xff907ffe,
    0xff80005f,0x3ffe607f,0x7fff1003,0x002fffc0,0x037ffc40,0x017ffcc0,
    0x002fffc0,0x801fffdc,0x005ffffd,0x261ffff3,0x00003fff,0x00077fdc,
    0x813ff620,0x3a004efd,0x7ffdc7ff,0xffff9803,0x009fff52,0x90ffffe6,
    0x8003ffff,0x0006fffc,0x7e40fff0,0x0fff103f,0x07ffff20,0x8dfff900,
    0x00dffff8,0x0ffff440,0x037fffe2,0xffffb100,0x7ffd4001,0xffc8002f,
    0xfffc81ff,0xdfff5004,0x00ffffcc,0xc81fffdc,0x40002fff,0x3e607fff,
    0xff1003ff,0x2fffc07f,0x7ffc4000,0xfff98006,0x7fff8002,0x6fffa800,
    0xfffffc80,0xfffe805f,0x00fffe64,0x3fff6000,0xfff30002,0x1fffc80d,
    0x45fffb80,0x401ffff8,0xf32ffffd,0xf9801fff,0x7c43ffff,0x8801ffff,
    0x002ffffd,0x203ffb00,0xff501ffe,0x3ffe200b,0xfd8801ff,0xffc82fff,
    0xf5001fff,0x3ee0bfff,0x5001efff,0x005fffff,0x09ffffd0,0x3ffff620,
    0x3ffff105,0x3fffe880,0x03bfffe6,0x207fff88,0x0002fffc,0xf303fffc,
    0x3e2007ff,0x3ffe03ff,0xff880005,0xff98006f,0xffe8002f,0x266099cf,
    0x3fffe219,0xfffc980b,0x81dfffed,0x20ffffda,0x0003fff9,0x5bfff900,
    0x3fff6600,0x5fffb804,0x17fffcc0,0x417fffdc,0x2fffffe8,0xa813fffe,
    0x84ffffff,0xcefffffb,0xffca998a,0x00005fff,0x7fc0ffee,0x013fee07,
    0xefffffb8,0xfca998ac,0x3605ffff,0xbcefffff,0xffdca989,0x3f200fff,
    0x09bcffff,0xffffb731,0x3e60007f,0x09beffff,0x3fffeea2,0x3fea00ef,
    0xfff503ff,0xffff98bf,0xfffa81ef,0x3fff202f,0x7ffc0002,0x0fffe607,
    0x01fffc40,0x0000bfff,0x000dfff1,0x0005fff3,0x7ffffffb,0xf71fffe6,
    0xfb7bffff,0x3625ffff,0xfddfffff,0x4c1fffff,0x00003fff,0x3ffffea0,
    0xecaa9abc,0x2002ffff,0x9abffffe,0x4ffffda9,0x3fffff60,0xfdfffecd,
    0x3ffee2ff,0xffebacef,0x05fffcff,0xfffffffb,0xffffffff,0x400001bf,
    0xff986ff8,0x00bff606,0xffffff90,0xffffffff,0xfe801bff,0xffffffff,
    0xffffffff,0xffffa801,0xffffffff,0x001fffff,0x7ffffcc0,0xffffefff,
    0x800effff,0xcdfffffd,0x0efffffd,0x7fefffcc,0xfffeddff,0x7ffe405f,
    0x7ffc0002,0x0fffe607,0x01fffc40,0x0000bfff,0x000dfff1,0x0005fff3,
    0x9ffffff1,0x361fffe6,0xffffffff,0xffd80eff,0xffffffff,0x3fff981e,
    0x64400000,0xffffffff,0x00cfffff,0x7ffffc40,0xffffffff,0xffffc805,
    0xf8cfffff,0x7ffec2ff,0xefffffff,0x201fff91,0xfffffffb,0x4fffffff,
    0xffd00000,0x204ffb81,0xb8000ffe,0xffffffff,0x04ffffff,0x3ffffee0,
    0xffffffff,0x366000df,0xffffffff,0x00dfffff,0xfff91000,0xffffffff,
    0xa8007fff,0xffffffff,0xff305fff,0xfffff71f,0x9007ffff,0x80005fff,
    0x3e607fff,0xff1003ff,0x2fffc07f,0x7ffc4000,0xfff98006,0xffb30002,
    0x3ffe6dff,0xffffd507,0xdb807bff,0x3fffffff,0x00fffe60,0xfda80000,
    0xbeffffff,0x3f220000,0xffffffff,0x3f66002e,0x3e3effff,0xffea82ff,
    0x543effff,0x2e202fff,0xfffffffe,0x00000bff,0xf90bff20,0x1ffe207f,
    0xffeb8800,0xcfffffff,0xfdb88000,0xdfffffff,0x3260001b,0xffffffff,
    0x000000bf,0xfffffd93,0x0017dfff,0x3ffff620,0x2601dfff,0xffd50fff,
    0x2003bfff,0x0002fffc,0xf303fffc,0x3e2007ff,0x3ffe03ff,0xff880005,
    0xff98006f,0x9880002f,0x01fffe60,0x00015531,0x20026aa2,0x0001aaa8,
    0x35310000,0x51000001,0x0399ddb9,0x0554c400,0x35531000,0x53100000,
    0x00033575,0x0b326000,0x32201997,0x3100003c,0x00335755,0x5d54c400,
    0x1000000a,0x00135753,0xaa880000,0x00009aab,0x04d54c40,0x0d544000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cccc000,0x22000000,0x99999999,0x99999999,
    0x19999999,0x00006662,0x000ccc40,0x3bba2000,0x02666006,0x00333300,
    0x00999800,0x99999988,0x00001999,0x02acca88,0x26666662,0x00001999,
    0x01999880,0x13333100,0x001eee98,0x6403ddd3,0x3b2005ee,0x0666605e,
    0x40026662,0xee80bcca,0x26666203,0x26620000,0x4c000009,0x2aa20199,
    0x0000001a,0x3a60b32e,0x0999881e,0x4cc19998,0xdddd0099,0xfff10001,
    0x4000005f,0xfffffffd,0xffffffff,0xffffffff,0x03fffb1f,0xfffd0000,
    0xf8800000,0xff3007ff,0xfff8005f,0x3e600007,0xffd802ff,0xffffffff,
    0x002defff,0xfffffe88,0xffffb00f,0xffffffff,0x00005bdf,0x00ffffd4,
    0x077ffe40,0x400bffe6,0x3602fffa,0x3f6007ff,0x3fff606f,0x03bffe22,
    0x3fffff60,0x03ffb8ad,0x001bfff6,0x0effff98,0xfff70000,0x3ffee09f,
    0x88000003,0x9cfffffe,0xf881ffd8,0x3fea0fff,0x7fffe45f,0x00ffff80,
    0x2ffff880,0xff300000,0xffffffff,0xffffffff,0x3fffffff,0x0007fff6,
    0x01fffa00,0xfff10000,0x3ffe600f,0x3fffc002,0xfff30000,0xffffb005,
    0xffffffff,0x007dffff,0x3fffffa2,0x3fff607f,0xffffffff,0x03efffff,
    0xffffa800,0x7ffc4001,0x2fff981f,0x05fff500,0xb003ffec,0x7fc40dff,
    0x3fffb0ff,0xfffff500,0x3fffffff,0x03fffe60,0x7fff4400,0x980005ff,
    0x83ffffff,0x0003fffb,0xffffd800,0x6fffffff,0x457ffe60,0xfd80effe,
    0xffff83ff,0xfff88000,0xb000002f,0xffffffff,0xffffffff,0xffffffff,
    0x07fff63f,0x3ffa0000,0x44000007,0xf3007fff,0xff8005ff,0x2600007f,
    0xfd802fff,0xffffffff,0xffffffff,0x7fe402ff,0x206eeeff,0xfffffffd,
    0xffffffff,0x0002ffff,0x007fffea,0x205fff90,0x5002fff9,0x7ec05fff,
    0x3ff6007f,0x6fffcc06,0xb002fffa,0xffd715ff,0x7ec09fff,0x360001ff,
    0x3fffafff,0x3ffe2000,0x5c1fffbe,0x00003fff,0x4cf7fc40,0x2ffffffc,
    0x657ffdc0,0xfd100fff,0x1ffff0ff,0xffff1000,0xf3000005,0xff555fff,
    0x555557ff,0x55555555,0x07fff615,0x3ffa0000,0xa8000007,0xff3002aa,
    0xfff8005f,0x3e600007,0xffd802ff,0xaaaaaabf,0xffffdcca,0x3ffa02ff,
    0x3ff6002f,0xaaaaaabf,0xffffdcca,0xf50002ff,0x44003fff,0x3e604fff,
    0xff5002ff,0x3ffec05f,0x00dffb00,0x9ffffff7,0x4c37fc00,0x3e200cec,
    0x2e0003ff,0xfff73fff,0x3ff60005,0x41fffd1f,0x0003feea,0x427fcc00,
    0xb000bdda,0x05ffffff,0x543fff98,0x88000aaa,0x0000aaaa,0x44fffd80,
    0x00007fff,0x0003fffb,0x00fffd00,0x20000000,0x4002fff9,0x00007fff,
    0x200bffe6,0x2001fffd,0x1fffffc8,0x800dfff0,0x2001fffd,0x1fffffc8,
    0xaaaa8800,0x17ff2000,0x005fff30,0xd80bffea,0x3f6007ff,0xfffb006f,
    0x000000bf,0x0017ff20,0x746fff98,0x64000fff,0x3fe23fff,0x002fc86f,
    0x00000000,0x7ffffd10,0x01bfea00,0x00000000,0x07fffc40,0x0001fffe,
    0x000fffec,0x03fff400,0x80000000,0x4002fff9,0x00007fff,0x200bffe6,
    0x8001fffd,0x886fffe9,0x6c004fff,0x98001fff,0x0006fffe,0x0aaa8000,
    0x017ffcc0,0x202fffa8,0x36007ffd,0x551006ff,0x00000155,0x002aaa00,
    0x40aaaa80,0x4001aaa8,0xaa982aaa,0x000ff40a,0x00000000,0x00555510,
    0x0000aaa8,0x00009880,0x09fff900,0x0000ffff,0x3ffffff6,0xefffffff,
    0x7ff401ce,0x98000007,0xff3002aa,0xfff8005f,0x98009107,0xfd802fff,
    0xf50001ff,0xff885fff,0x7fec003f,0xff50001f,0x260005ff,0x4c000001,
    0xf5002fff,0x7fec05ff,0x1bff6007,0x00000000,0x00000000,0x00000000,
    0x00003fcc,0x01331000,0x80000000,0x5c000aa8,0xceffffed,0xff880000,
    0x7fff80ff,0xfffb0000,0xffffffff,0x7dffffff,0x001fffa0,0x1bffa000,
    0x017ffcc0,0x261fffe0,0x7fcc005f,0xfffd802f,0x3ff60001,0x1fffc46f,
    0x07fff600,0x6fffd800,0xfffb7300,0x4c0007df,0x02fff980,0x405fff50,
    0x36007ffd,0x000006ff,0x800f774c,0x0001eee9,0x00000000,0x07fe6000,
    0x20003300,0xfffffdc8,0x00000cef,0x0ffcc000,0xffffd880,0x01efffff,
    0x27ffe400,0x0007fff8,0xffffffb0,0xffffffff,0xd09fffff,0x00000fff,
    0x200bffd0,0x4002fff9,0x7fd47fff,0x7ffcc005,0x1fffd802,0x3ffe2000,
    0x0fffe20f,0x03fffb00,0x7fffc400,0x3fffe600,0x2fffffff,0x3ae6ee98,
    0xff30bdff,0x3fea005f,0x1fff602f,0x266ffd80,0xeeeeeeee,0xeeeeeeee,
    0x0bffe62e,0xb17ffd40,0x3bb209dd,0x1ddd9006,0x80bdd700,0x3ee04eed,
    0xb89bba61,0x03effffd,0xffffff70,0x05ffffff,0x005ddd10,0x3e62776c,
    0xfffa802f,0xfffeefff,0xf10004ff,0x3fe01fff,0xfb00007f,0x99999bff,
    0xffd99999,0xffe85fff,0xf8000007,0xff3003ff,0xfff8005f,0x00bfff27,
    0x225fff30,0x03fffb00,0x3fffc800,0x000fffe2,0x0003fffb,0x703fffc8,
    0xfdffffff,0x983fffff,0xffff97ff,0x3ffe65ff,0x5fff5002,0x003ffec0,
    0x7fd4dffb,0xffffffff,0x3fffffff,0x400bffe6,0x3fe2fffa,0x3fff705f,
    0x07ffff00,0xf809fff0,0x260405ff,0xfffd17ff,0x03dfffff,0x3fffffa2,
    0xfffffeee,0x7ffcc02f,0x17ffe003,0xf8805ff5,0x5441dfff,0x8002ffff,
    0x3e04fffc,0xb00007ff,0xb8003fff,0x3a1fffff,0x000007ff,0x8017ffd4,
    0x4002fff9,0xfffb7fff,0xfff30003,0x3f601d15,0x540001ff,0x3fe25fff,
    0x7fec003f,0x7d40001f,0xfff985ff,0x7fed41df,0x3ffe60ff,0x7ffffffa,
    0x400bffe6,0x3602fffa,0x3f6007ff,0x3fffea6f,0xffffffff,0x262fffff,
    0xf5002fff,0x2fffc5ff,0x404fff88,0x405ffff9,0x7c02fff9,0x7cc005ff,
    0xffffe9ff,0x0fffffff,0x01efffc8,0x80bfffd5,0x2003fff9,0x7fd45fff,
    0x1fffe403,0x01bffa60,0x01ffff10,0x0003fffc,0x001fffd8,0x23fffe88,
    0x00007ffe,0x007fff40,0x002fff98,0x7ff7fffc,0xff30001e,0x3601ff9f,
    0x40001fff,0x3e26fff9,0x7ec003ff,0x4c0001ff,0xffe86fff,0x7ffec03f,
    0x3ffffe63,0x264fdcef,0xf5002fff,0x7fec05ff,0x9bffa007,0x99999998,
    0xffc89999,0x17ffcc5f,0x22fffa80,0x3fa05fff,0x7ffe406f,0x3ffdc07f,
    0x002fffc0,0x3fffffe6,0x3ffee61c,0x06fff84f,0x01ffff88,0x800fffe6,
    0x7fdc5fff,0x17ffe603,0x01fffcc0,0x80bfff70,0x9999ffff,0x99999999,
    0x0fffec19,0x5fffc800,0x2601fffa,0x3f600199,0x3e6004ff,0x266622ff,
    0xffffff80,0x3e60000e,0xb00fffff,0x80003fff,0x3e27fff8,0x7ec003ff,
    0x440001ff,0x7fd47fff,0xfff9806f,0x3ffffe66,0xfff30442,0x3ffee005,
    0x03fff602,0x0037ff40,0x30dfff70,0x2a005fff,0x3ffe2fff,0x03fff205,
    0x1fffffe8,0x2017ffa0,0x4c005fff,0x200fffff,0x7dc7fffb,0xff7001ff,
    0x7ffcc05f,0x17ffe003,0x7ec09ff7,0x3f6000ff,0x3ffe007f,0x7fffc01f,
    0xffffffff,0x20ffffff,0x0001fffd,0x7f4ffff3,0x7ffc407f,0xfffd800f,
    0x3fe6000f,0x1bffea2f,0x017ffffe,0x3fffe600,0x7f55541f,0xaaaaabff,
    0xfff801aa,0x00fffe27,0x3fffaaaa,0xaaaaaaab,0x47fff801,0x9001fffc,
    0x3fe61bdf,0xff9804ff,0xfff9003f,0x0fffec05,0x006fff80,0x01dfff50,
    0x2005fff3,0x3fe2fffa,0x3ffe605f,0xfdfff102,0x3ffe207f,0x05fff802,
    0x1ffffcc0,0x50fffec0,0x7d400bb9,0x3fe602ff,0x3ffe003f,0xd02ffe45,
    0xfb800dff,0xffb800ff,0xffff805f,0xffffffff,0x20ffffff,0x0001fffd,
    0x7f43fffe,0x7ffc407f,0x7ffec00f,0x7fcc001f,0x1bffea2f,0x000ffffe,
    0x077ffcc0,0x7ffffffc,0xffffffff,0x0ffff803,0xf007fff1,0xffffffff,
    0x07ffffff,0x7c1ffff0,0x402006ff,0x3007fff9,0x36007fff,0x3f602fff,
    0xff8802ff,0xff98006f,0xfff301ff,0x3ffea005,0xf017ffe2,0x3fea09ff,
    0xf505ffcd,0xfff001ff,0xfff9800b,0x5fff7006,0xfff30000,0x1fffcc05,
    0xc8bfff00,0x3ffe05ff,0x7ffd4005,0x1ffff801,0xffffff80,0xffffffff,
    0x3f60ffff,0x3e0001ff,0xfffd0fff,0x0ffff880,0x07ffff60,0x8bffe600,
    0x7e46fffa,0x100007ff,0x3e05fffd,0xffffffff,0x03ffffff,0x887fffc4,
    0xff803fff,0xffffffff,0x403fffff,0xf10ffff8,0x30000bff,0x2200dfff,
    0xfa805fff,0x3f602fff,0xffd806ff,0x7fcc006f,0x3fe602ff,0xfff5002f,
    0x202fffc5,0xff907ffc,0x360fff57,0xfff005ff,0xfff9800b,0x5fff5005,
    0x3ae62000,0x3e603fff,0x3fe003ff,0x837fec5f,0xfffffff8,0xffffffff,
    0x5c02ffff,0xff005fff,0x333333ff,0x33333333,0x001fffd8,0x74ffff10,
    0x7fc407ff,0xfffb00ff,0x3e60001d,0x3ffea2ff,0xfffffb16,0xffd30000,
    0x266605ff,0x999afffe,0x4c009999,0x3fe27fff,0xe999803f,0x9999afff,
    0x7cc00999,0x3ffe67ff,0xff980004,0x3ffe005f,0x3ffe202f,0x3ff602ff,
    0x3fee04ff,0x3a2006ff,0x7cc03fff,0xff5002ff,0x02fffc5f,0x3a07ffea,
    0x1fff89ff,0xf003fff8,0xf9800bff,0xff3004ff,0xcb98805f,0xfffffffe,
    0x3ffe603f,0x17ffe003,0x3ea0dffb,0xffffffff,0xffffffff,0x7ff404ff,
    0x999999bf,0x07fff999,0x3fffb000,0x3ffee000,0x001fffa5,0x077ffdc0,
    0x5fff3000,0xfffffd00,0xffd0000f,0xfb005fff,0xa80003ff,0x3fe26fff,
    0x7fec003f,0x7d40001f,0x3ffe66ff,0xff980003,0x3ff2004f,0x3ae20aff,
    0x202fffff,0x1cfffffd,0x3fffff26,0x3fffa006,0x2fff9804,0x45fff500,
    0x7c405fff,0x3ffcc3ff,0xff987fff,0xbfff000f,0x3fff9800,0x05fff300,
    0x3fffffaa,0xffffffff,0x0fffe603,0x745fff80,0xfff507ff,0xffffffff,
    0xffffffff,0x7fffd409,0xffffffff,0x007fffff,0x03fffb00,0x7ffff300,
    0x0003fff4,0x000ffff8,0x017ffcc0,0x3fffeffc,0x7e7fc000,0xffd802ff,
    0x7dc0001f,0x3ffe26ff,0x7ffec003,0x7fdc0001,0x0fffe66f,0x3ffe6000,
    0x7fff4003,0xffffeeff,0x3602fffa,0xffffffff,0xffefffff,0xbfffb006,
    0x0bffe600,0xf17ffd40,0xffb00bff,0x325ffb8b,0x37fe45ff,0x00bfff00,
    0x002fff98,0xf885fff3,0xffffffff,0x3fffaadf,0x00fffe60,0x7f45fff8,
    0x7fff307f,0x7f400000,0xffffffff,0xffffffff,0xffb00007,0x7e44003f,
    0x7ff46fff,0xff980007,0xf980003f,0xf4f802ff,0xd0000fff,0x005fff33,
    0x0003fffb,0x224fffc8,0x6c003fff,0x40001fff,0x3e24fffc,0x980004ff,
    0x44002fff,0xfffffffe,0x05fff1ff,0x7fd7ffec,0xacffffff,0xffc806ff,
    0xff3000ef,0x3fea005f,0x017ffe2f,0xffb1ffee,0x3a3ffd47,0x3fe003ff,
    0x7fcc005f,0xfff3002f,0x7ffff445,0x7d409bdf,0x3fe603ff,0x3ffe003f,
    0x407fffc5,0x0004fff8,0xfffff500,0xffffffff,0x00ffffff,0x37fff600,
    0xdccccccc,0xfffffffe,0x003fff41,0x00fffdc0,0xfff30260,0x7ffc7005,
    0xf3080007,0xffb005ff,0xfe80003f,0x3ffe22ff,0x7ffec003,0x7ff40001,
    0x02fffc2f,0x17ffcc00,0x7ff5c400,0x3fe1dfff,0x5fff602f,0x4ffffff9,
    0xfb80dff5,0x26000fff,0xf5002fff,0x2fffc5ff,0xf17ffc40,0x7ffc43ff,
    0x003fff11,0x2002fffc,0x3002fff9,0x7fec5fff,0xffb801ef,0x3ffe603f,
    0x17ffe003,0x3e01ffff,0x000006ff,0x5559fffd,0x55555555,0x0000ffff,
    0x3ffffff6,0xffffffff,0xe82fffff,0xd80007ff,0x2a000fff,0xfff33fff,
    0x7fff8005,0x3fe60000,0xfffd802f,0x3fea0001,0x1fffc47f,0x07fff600,
    0x7fffa800,0x2006ffe8,0xff32cef8,0xa880005f,0x807ff00a,0x55447ffd,
    0xfff50000,0xff98003f,0xfff7003f,0x802fffc5,0xfff34ffe,0x3ee7ffd0,
    0x7ffc006f,0x7ffcc005,0x5fff3002,0x8007fffc,0x2603fffc,0x3e003fff,
    0x3ffe25ff,0x1fffd01f,0x0e77e400,0x0037ffd4,0x0003fffc,0xffffffd8,
    0xffffffff,0x3fa04fff,0xfc80007f,0x3f2001ff,0x5fff31ff,0x07fff800,
    0x3ffe6000,0x1fffd802,0x3fffa000,0x01fffc45,0x007fff60,0x85fffe80,
    0x5000fffd,0x3fe65fff,0x4000002f,0x7ec01ff9,0x4c00007f,0x8002ffff,
    0xb003fff9,0x7ffc5fff,0x2dff7005,0xffc84ffb,0x8009ffb6,0x4c005fff,
    0xf3002fff,0x3ffe65ff,0x3fff6004,0x0fffe603,0x225fff80,0xf701ffff,
    0x3e200bff,0xffd80fff,0xfff8002f,0xffb00007,0xdddddddf,0x01559bdd,
    0x0007ffe8,0x004fffa8,0x7ccffff1,0x7fc002ff,0x2600007f,0xfd802fff,
    0xf70001ff,0xff883fff,0x7fec003f,0xff70001f,0xfff503ff,0x9fff6009,
    0x0002fff9,0x403fd400,0x00007ffd,0x00ffffe2,0x037ffc40,0xf17fffcc,
    0x3e600bff,0x82ffd8ff,0xfff8fffa,0x2fffc001,0x0bffe600,0xa97ffcc0,
    0xf3004fff,0x7cc07fff,0x3fe003ff,0x3fffe65f,0x0ffffa02,0x213fff60,
    0x0006fff9,0x0000ffff,0x0007fff6,0x01fffa00,0x3fffe200,0x5fffc801,
    0x000bffe6,0x0000ffff,0x4017ffcc,0x8001fffd,0x885ffffa,0x6c003fff,
    0xa8001fff,0x3a05ffff,0x7d401fff,0x3ffe65ff,0x5c000002,0x7fec00ff,
    0xfd100007,0xe80009ff,0x3e203fff,0x3fe2ffff,0x3ffe005f,0xf880fffb,
    0x007ffcff,0x4005fff8,0x3002fff9,0x3fe65fff,0x7fcc00ff,0x3e603fff,
    0x3fe003ff,0x3fffe65f,0x3fffe602,0xfffda80d,0x3fffd80f,0x0ffff000,
    0x3fff6000,0xfe800001,0xf700007f,0x7dc05fff,0x3fe60fff,0x7ffc002f,
    0x3e600007,0xffd802ff,0x3f66001f,0xf880ffff,0x7ec003ff,0x366001ff,
    0x200fffff,0x703ffff9,0x7cc1ffff,0x000002ff,0x36027fe4,0xd00007ff,
    0x0000bfff,0x415ffff7,0xfffffea8,0x8017ffe2,0x06fffffc,0x13fffffa,
    0x017ffe00,0x005fff30,0xff8bffe6,0x3fea04ff,0x2604ffff,0x3e003fff,
    0x3ffe65ff,0x7ffe402f,0xfffdceff,0xff981fff,0x3fe0007f,0xccccccff,
    0xcccccccc,0x03fffb3c,0xfffd0000,0x99999999,0x87999999,0x9bdffffe,
    0x2ffffeba,0x0017ffcc,0x3333fffe,0xcccccccc,0x7fcc3ccc,0xfffd802f,
    0xcccccccd,0xffffffdc,0x7fff101f,0xdfffd800,0xcccccccc,0xfffffffd,
    0xffffc801,0xfffedcdf,0x17ffcc1f,0x3ea00000,0x2db88cff,0x0000fffb,
    0x4ccbfffb,0x99999999,0x7fffc419,0xffffeeff,0x3fe2fffa,0x3fea005f,
    0x3f204fff,0x8002ffff,0x4c005fff,0xf3002fff,0x7ffdc5ff,0xffebacef,
    0x05fffcff,0x800fffe6,0x3fe65fff,0xffa802ff,0xffffffff,0xfffb02ff,
    0x7ffc0007,0xffffffff,0xffffffff,0x003fffb5,0xffffd000,0xffffffff,
    0x88dfffff,0xfffffffd,0x983fffff,0x7c002fff,0xffffffff,0xffffffff,
    0x17ffcc6f,0x7ffffec0,0xffffffff,0x01efffff,0x000fffe2,0xfffffffb,
    0xffffffff,0x4003dfff,0xfffffffa,0xf982ffff,0x000002ff,0x7fffffc4,
    0x0fffb2ff,0xffff8800,0xffffffff,0x0fffffff,0x7fffff4c,0xfff1ffff,
    0x002fffc5,0x80bffffe,0x007ffff9,0x800bfff0,0x3002fff9,0xffd85fff,
    0xffffffff,0x01fff91e,0x800fffe6,0x3fe65fff,0xd91002ff,0x7fffffff,
    0x07fffc40,0xfffff000,0xffffffff,0x2bffffff,0x0001fffd,0xfffffe80,
    0xffffffff,0xd506ffff,0xffffffff,0x3ffe603b,0x7fffc002,0xffffffff,
    0x46ffffff,0xd802fff9,0xffffffff,0xffffffff,0xfff8801d,0x7ffec003,
    0xffffffff,0x01dfffff,0xffffb100,0x26019fff,0x00002fff,0xfffffa80,
    0x0fffb1df,0xffff8800,0xffffffff,0x0fffffff,0xfffffc88,0x8bffe1df,
    0x6c005fff,0x7c00ffff,0xf0005fff,0xf9800bff,0xff3002ff,0xfffd505f,
    0xfa87dfff,0xfff302ff,0x2fffc007,0x005ffff3,0x01355310,0x009fff90,
    0xffffff80,0xffffffff,0xfb5fffff,0x000003ff,0xfffffffd,0xffffffff,
    0xcb980dff,0x4c01acdd,0x7c002fff,0xffffffff,0xffffffff,0x17ffcc6f,
    0x7ffffec0,0xffffffff,0x3e2001ce,0x7ec003ff,0xffffffff,0x01ceffff,
    0x2aa62000,0x2fff9801,0x71000000,0x55530379,0xfff88000,0xffffffff,
    0xffffffff,0x00554400,0x0017ffe0,0xb00dfff5,0x20005fff,0x4c005fff,
    0xf3002fff,0x54c405ff,0xf980001a,0x3fe003ff,0x04cccc5f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cccc400,0x13331000,0x00133310,
    0x40266660,0x4c401998,0x13330099,0x33306662,0x99980003,0x82ccb801,
    0x99882ee9,0x00099981,0x0000004c,0x33100cc4,0x99980003,0x13331099,
    0x33331000,0x33310001,0x98009998,0x801abcba,0x4004eee8,0x0002eee8,
    0x00013331,0x4cccccc4,0x00009999,0x00133331,0x21999880,0x99999998,
    0x00000199,0x99998802,0x99999999,0x99999999,0x26666621,0x99999999,
    0x20999999,0x00000999,0xefffc800,0xfffd1000,0x037ffcc3,0x1ffffa80,
    0xa80fffd0,0xff986fff,0x43fff73f,0x0002fffd,0x440dfff7,0x9cfffffe,
    0xfe81ffd8,0x2fffc47f,0x3ffff6e0,0x00000cef,0xe80fffc4,0x320007ff,
    0x3ea5ffff,0xfc8005ff,0xe8003fff,0xfff30fff,0x7fff4c07,0x403fffff,
    0x2000fffe,0x0000fffb,0x001ffffb,0x3fffffa0,0xffffffff,0xfe8801ce,
    0x740005ff,0x3ff63fff,0xffffffff,0x002defff,0xfc807dc0,0xffffffff,
    0xffffffff,0xff90ffff,0xffffffff,0xffffffff,0x0fffe6bf,0xf1000000,
    0x98003fff,0x3ffa6fff,0xffd0000f,0x3fff405f,0x21bffea0,0xff73fff9,
    0x37ffc43f,0x2ffff800,0x3fffff20,0x07ffffff,0xff88fffd,0xfffd505f,
    0x7fffffff,0x7ff40000,0x0fffd01f,0x3ffff200,0x03fffc45,0x2fffff40,
    0x97ffe200,0xd883fff9,0xffffffff,0xf701efff,0x7f4007ff,0xff10006f,
    0x20007fff,0xfffffffe,0xffffffff,0xfff9804f,0xff90003f,0xffffd8bf,
    0xffffffff,0x003effff,0xc807ff4c,0xffffffff,0xffffffff,0xf90fffff,
    0xffffffff,0xffffffff,0x3ffe6bff,0x40000003,0x0003fffb,0xff77fff5,
    0x3ea0003f,0x7ff404ff,0x37ffd407,0xfb9fffcc,0x7ffe41ff,0x7ffdc003,
    0x44f7fc05,0x2ffffffb,0xf88fffd0,0xfffb85ff,0xffffefff,0xc80006ff,
    0xfd01ffff,0xff9000ff,0x3ffa0bff,0x3fe2001f,0x2000ffff,0x3e63fffa,
    0xfffd83ff,0xffdcbcef,0xff881fff,0xfff3006f,0x3fee0005,0xd0006fff,
    0xffffffff,0xffffffff,0xffc801bf,0x7d4000ff,0x7fec0fff,0xffffffff,
    0xffffffff,0xfff9002f,0x3ffff201,0xffffffff,0xffffffff,0xfffff90f,
    0xffffffff,0x2bffffff,0x0003fff9,0x3ffe2000,0x7fe40004,0x0003ffff,
    0x3a01bffa,0x7fd407ff,0x3fff986f,0xf883fd95,0xf1000fff,0x7c403fff,
    0x0bdda84f,0xf11fffa0,0xfff98bff,0x7fdc41df,0x260003ff,0xd01fffff,
    0xfc800fff,0x3ee04fff,0x3ee002ff,0x002fffff,0xf987fff2,0x7ffdc3ff,
    0xfffd302f,0x07fff60d,0x003fff20,0x7fefff40,0xffe8001f,0xaaaaaabf,
    0xffffeccb,0x7fff400e,0x3ffe2006,0xbfffd81f,0xcbaaaaaa,0xffffffdc,
    0x0fffc802,0x559fff90,0x55555555,0x45555555,0xaaacfffc,0xaaaaaaaa,
    0xff32aaaa,0x0000007f,0x00037fdc,0x04ffffe8,0x03ffea00,0x401fffa0,
    0xfff985fa,0x7dc07f43,0xff9004ff,0x0000009f,0x3ffa0000,0x7ffcc02f,
    0xfe88001f,0xfd01ffff,0x7fe400ff,0x7fcc04ff,0x3ff6004f,0x2004ffec,
    0x99987ffe,0x07fffe20,0x213fffa0,0xf804fffa,0xf30005ff,0x09fff1ff,
    0x00fffd00,0x02ffffb8,0x01ffffcc,0xb03fffe8,0xb8003fff,0x401fffff,
    0xf900fffc,0x800003ff,0x0003fffc,0x007fff30,0x55540000,0x55100000,
    0xa9800055,0xfffd001a,0x260ff200,0x037c3fff,0x8803fffd,0x0000ffff,
    0x98000000,0xf5005fff,0xf90009ff,0x203fffff,0xf9007ffe,0x3e009fff,
    0x3fe006ff,0x006ffcaf,0x400bfff1,0x3004fffb,0x3fe0dfff,0x7ffd406f,
    0xdff90002,0x0003fff2,0x5000fffd,0xf700bfff,0xfc803fff,0x3ff605ff,
    0xff98001f,0x7fe406ff,0x3fff900f,0xffc80000,0xf300003f,0x000007ff,
    0x00000000,0xd0000000,0x3f600fff,0x23fff982,0x3fea04fb,0x7ffe405f,
    0x02620003,0x3ee00000,0x3fe000ff,0x7fd4006f,0xd01fffbf,0xff900fff,
    0x7ec009ff,0xff9800ff,0x00fffa8f,0x002fffa8,0x8007fff6,0xff907ffd,
    0x3ffec03f,0x29fff000,0x4003fffa,0xf0007ffe,0x3f600fff,0xff500eff,
    0x7fec01ff,0xff30001f,0x7fe405ff,0x3fff900f,0xffc80000,0xf300003f,
    0x000007ff,0x40000000,0x22000018,0x07ffe801,0xf980ffb8,0x01df73ff,
    0x302fffd8,0x7000dfff,0x9dfffffd,0xfb000001,0xffd800ff,0x3ffe2007,
    0xd01fffab,0xffc80fff,0x7dc003ff,0xffc802ff,0x007fff16,0x4001fff9,
    0x64007fff,0xff981fff,0x9fff104f,0x3ffea000,0x001bffe2,0x2000fffd,
    0x8801fffd,0xf884ffff,0x7ec02fff,0x320001ff,0x774c6fff,0x5eeefffe,
    0x0007fff2,0x07fff900,0x3ffe6000,0x30003303,0xdddddddd,0xdddddddd,
    0x8777445d,0xeffffdb8,0x0eee880c,0xdffffb71,0x0fffd019,0xf301ffa8,
    0x401667ff,0xfb06fff9,0x74c005ff,0xffffffff,0xddb002ff,0x02ee5c09,
    0x801fff60,0xfff55ffd,0x81fffa03,0x003ffffc,0x804fff98,0x3ffa4ffe,
    0x86ffe805,0x2622eee8,0x7fec002a,0x41fffa07,0x0001fffb,0xffc8fffb,
    0x3ffa001f,0xfffb0007,0x3ffea001,0x27fff42f,0x00fffec0,0x1ffff100,
    0x7fffffcc,0x3ff26fff,0x6400001f,0x00003fff,0x6dc7fff3,0x00bdffff,
    0xffffffa8,0xffffffff,0x3fe63fff,0xffffe88f,0x4c1effff,0xffe88fff,
    0x1effffff,0x6c03fff4,0x0fffe600,0x1fffe400,0x801bffe6,0xeffffffb,
    0x05ffffff,0x0005fff8,0x00dfff00,0x7d43ffee,0xfffd01ff,0x0fffff20,
    0x06fff800,0xf70fffc4,0xfff880ff,0x03fff984,0x0bfff000,0x7417ffdc,
    0xf10006ff,0xfff989ff,0x1fffa005,0x037ffc00,0x43ffff20,0xb006fffb,
    0x80003fff,0x3e63fffd,0xffffffff,0x007fff26,0x7fff9000,0x3fe60000,
    0xffffe8bf,0x400effff,0xfffffffa,0xffffffff,0x3ffe62ff,0xffffffe9,
    0x261fffff,0xfffe9fff,0xffffffff,0x001fffa1,0x00fffe60,0x23fffc40,
    0x1001fffe,0x883bffff,0x403ffffc,0x00005fff,0x804fff98,0x3ea2fff9,
    0xfffd01ff,0x07ffff90,0x07ffd800,0x3e63ffd4,0x3fea01ff,0x3fff982f,
    0xfffb8000,0x17ffe203,0x0007fff1,0x3a07ffee,0xfd000fff,0xff5000ff,
    0xffd0007f,0x1ffff3bf,0x07fff600,0xbfff5000,0x403fff20,0x0001fffc,
    0x01fffe40,0xdfff9800,0xffffffff,0x2200efff,0x99999999,0xfffc8999,
    0x7ffffcc5,0x3fee61cf,0x3ffe64ff,0x2e61cfff,0x3fa4ffff,0xf980007f,
    0x2e0003ff,0xfff53fff,0x7fff400b,0x7fffd403,0x017ffe00,0x3fffa000,
    0x44ffe802,0xfd01fffa,0xffffc8ff,0xffa80002,0x17ff601f,0xfc813ffe,
    0x7fff307f,0xfffa8000,0x7ffec00f,0x003ffee0,0xb837ff40,0xfd003fff,
    0xffb800ff,0xf98000ef,0x2fffffff,0x07fff600,0xdfff3000,0x403fff20,
    0x0001fffc,0x01fffe40,0xffff9800,0xf510acff,0x0000bfff,0x4c37ffdc,
    0x201fffff,0xf30ffffa,0x5403ffff,0xffd0ffff,0xff30000f,0xfe80007f,
    0x01fffd7f,0x013ffee0,0xf02fffdc,0x80000bff,0xc806fffa,0x7fd40eff,
    0x4fffd01f,0x00fffffc,0x3fff8800,0x360fffe0,0x3ffa06ff,0x07fff305,
    0x7fffd400,0x2fffa802,0x40017ffa,0xf104fff9,0x3fa00dff,0xaaaaabff,
    0xfffeccba,0x3ee0000d,0x004fffff,0x000fffec,0x41fffe20,0xf900fffc,
    0x555559ff,0x55555555,0xfffc8555,0x9999999b,0x40999999,0x03fffff9,
    0x003fffe6,0x3bffea00,0x3ffff980,0x32fffc80,0x9007ffff,0x3ffa5fff,
    0xff980007,0x7d40003f,0x04fffdff,0x003fffa0,0xf00fffe8,0x40000bff,
    0x401ffff9,0xfa81fff9,0xfffd01ff,0x3ffffff2,0xffd00006,0x03ffe60b,
    0x2203ffee,0xff303fff,0x3ea0007f,0x3e003fff,0x5fff15ff,0x3fff6000,
    0x07fff600,0x3fffffa0,0xffffffff,0x00004fff,0x00dffffb,0x003fffb0,
    0x07fff880,0x3201fff9,0xffffffff,0xffffffff,0x7fe47fff,0xffffffff,
    0x4fffffff,0x027fffcc,0x0017ffe4,0x07fffe60,0x803fffcc,0xff33fffb,
    0x3fee00ff,0x00fffd3f,0x07fff300,0x333332e0,0xfffffffc,0x84cccccc,
    0x5c005fff,0xfff02fff,0x3e60000b,0x74403fff,0xfff504ff,0x33fffa03,
    0xffffffff,0xffc80003,0x20dff707,0xfa82fff8,0xfff301ff,0xfff70007,
    0xffc8007f,0x000fff77,0x501bffe2,0xfd00bfff,0xffffffff,0xdfffffff,
    0xff500005,0xfb000bff,0xf00003ff,0xff901fff,0x3fff201f,0xffffffff,
    0xffffffff,0x7ffffe47,0xffffffff,0x7cc4ffff,0xff5007ff,0x7cc0005f,
    0x3e602fff,0xff5005ff,0x17ffe67f,0xe9fffd40,0x980007ff,0xfb003fff,
    0xffffffff,0xffffffff,0xfff88fff,0x7ffcc003,0x00bfff03,0xbffff300,
    0x40dffb00,0xfd01fffa,0x73ffffff,0x0003ffff,0xe80fffa8,0x3ffa04ff,
    0x207ffc85,0x4003fff9,0x003ffffa,0xfdafff88,0xff70004f,0xffff007f,
    0xffffe801,0xffffffff,0x0effffff,0xffff1000,0xfd8005ff,0x440001ff,
    0xff907fff,0x3fff201f,0xffffffff,0xffffffff,0x7ffffe47,0xffffffff,
    0x7cc4ffff,0xff3006ff,0x3a20007f,0x7cc03fff,0xff3004ff,0x13ffe67f,
    0xe9fffcc0,0x980007ff,0xfb003fff,0xffffffff,0xffffffff,0xfffa8fff,
    0x7ffc4002,0x00bfff04,0x5ffffa80,0x01fffa80,0x7407ffea,0x21ffffff,
    0x000ffffd,0x10bffe20,0x7e405fff,0x05ffe87f,0x000fffe6,0x0005fffd,
    0x7ffefff4,0xfffd0001,0x7fff9001,0x407ffe80,0xfffda998,0xfd8000ef,
    0x00ffffff,0x007fff60,0x0ffff300,0x6403fff2,0x9999bfff,0x99999999,
    0x7fe41999,0xaaaaaacf,0x1aaaaaaa,0x802fffcc,0x0003fff8,0x3009fffd,
    0x26007fff,0xfff33fff,0x3ffe6007,0x000fffd3,0x007fff30,0x3333332e,
    0xccefffdc,0x5c4ccccc,0xf8001fff,0xbfff05ff,0x7ffdc000,0xfff8805f,
    0x0fffd403,0x1fffffe8,0x02ffffc4,0x513ffa00,0xffa80fff,0x0bffe20f,
    0x003fff98,0x000ffff2,0xdfffff70,0x3ffe6000,0xaaaaaaae,0x06fffcaa,
    0x4003fff4,0x005ffffa,0x7f6fffdc,0x3f6006ff,0x540001ff,0xff905fff,
    0x3fff201f,0x7e400001,0x300003ff,0x22009fff,0xd8003fff,0xf3005fff,
    0x3e6007ff,0x7fff33ff,0x4fffe600,0x80007ffe,0x0003fff9,0x007fff30,
    0x001fffb8,0xff05fff8,0x3f2000bf,0xfb004fff,0xfff500bf,0x3ffffa03,
    0x7ffff501,0x37fe4000,0xf1017ff2,0x7ffd45ff,0x0fffe600,0x007ffe80,
    0xfffff880,0xfff90003,0xffffffff,0x5fffffff,0x003fff40,0x01ffff98,
    0x31ffff30,0x2007ffff,0x0001fffd,0xc827ffdc,0xff900fff,0xc800003f,
    0x00003fff,0x2007fff3,0x4003fff8,0x000efffc,0x2007fff3,0xff33fff9,
    0x3fe6007f,0x00fffd3f,0x07fff300,0x3ffe6000,0x7ffd4003,0x7ffc4002,
    0x00bfff05,0x07ffffb0,0x337ffea0,0xdccccccc,0x1cccdfff,0xc803fffd,
    0x0001ffff,0x7f41fff5,0x4ffe803f,0xf301bfee,0x7fc007ff,0xfb00004f,
    0x20001fff,0xffffffff,0xffffffff,0x3fa05fff,0x3fa0007f,0xfe8803ff,
    0x3ffee3ff,0xfffd801f,0x7fe40001,0x1fff903f,0x007fff20,0x7fff9000,
    0x3fe60000,0xfff1003f,0x7ffdc007,0x3fe6000f,0xfff3003f,0x00fffe67,
    0xfe9fffcc,0xf980007f,0x997003ff,0xffb99999,0x999999df,0x3fff9899,
    0x27ffcc00,0x2005fff8,0x02ffffe8,0x3ffffee0,0xffffffff,0x2fffffff,
    0xd100fffd,0x0001dfff,0x7fccbffe,0x6ffb801f,0xf3013ff6,0x3e2007ff,
    0x300003ff,0x2000bfff,0xeeeefffa,0xeeeeeeee,0xd00ffffe,0x5c000fff,
    0xfd805fff,0xfffe85ff,0x7ffec00e,0x7ff40001,0x1fff902f,0x007fff20,
    0x7fff9000,0x3fe60000,0xfff1003f,0x3ffea007,0x7fcc001f,0xfff3003f,
    0x00fffe67,0xfe9fffcc,0xf980007f,0xffb003ff,0xffffffff,0xffffffff,
    0x4fff88ff,0x1fffd400,0x1005fff8,0x003ffffd,0xffffffb8,0xffffffff,
    0xd2ffffff,0x3e600fff,0xb0005fff,0x1ffee9ff,0xff3ffcc0,0xfff9805f,
    0x5fff3003,0x3fe60000,0xffb0002f,0xffb0003f,0x1fffa09f,0x5fffa800,
    0x07fffdc0,0x02ffffc4,0x0007fff6,0x00ffffa8,0x3201fff9,0x00001fff,
    0x001fffe4,0x03fff980,0x007fff10,0x005ffff3,0x007fff30,0x7ccfffe6,
    0xff3003ff,0x01fffa7f,0x0fffe600,0x7ffffec0,0xffffffff,0x87ffffff,
    0x2000ffff,0xff01fffe,0xffd100bf,0xd50003df,0xdddddddd,0xdfffdddd,
    0x3ffa3ddd,0x3fff2007,0xffb8002f,0x4009ffb5,0x7ff99fff,0x03fff980,
    0x00199910,0x01bff200,0x037ffc40,0x07fff980,0x4000fffd,0x2603fffc,
    0x2e02ffff,0x3602ffff,0x20001fff,0x2e04fffe,0xff900fff,0xc800003f,
    0x00003fff,0x2007fff3,0x4403fff8,0x0003ffff,0x2007fff3,0xff33fff9,
    0x3fe6007f,0x00fffd3f,0x07fff300,0x2aaaaa60,0xadfffbaa,0x82aaaaaa,
    0x5004fffc,0x7fc0dfff,0xfffe805f,0x0000000e,0x7407ffea,0x7f4007ff,
    0x4c000fff,0x05fff7ff,0x7ddffec0,0xfff9805f,0x00000003,0x8001fffc,
    0x0003fffb,0x3a0bfffa,0x3a0007ff,0xfd102fff,0xffb009ff,0x3ff601ff,
    0xff70001f,0x7fdc01ff,0x3fff900f,0xffc80000,0xf300003f,0x3e2007ff,
    0x3fa203ff,0x260004ff,0xf3003fff,0x3ffe67ff,0x7fff3003,0x0001fffa,
    0x000fffe6,0x01fffcc0,0x0ffffc40,0x0ffffa20,0x5c05fff8,0x0000efff,
    0x7ffd4000,0x00fffd01,0x06ffff88,0xffafff80,0x3fee000f,0x9803ffdc,
    0x00003fff,0x3ffea000,0xfffd0000,0x7fdc0001,0x07ffe85f,0x1ffff700,
    0x01bfff60,0x837fffc4,0x8001fffd,0x404ffffa,0xf901fffb,0x800003ff,
    0x0003fffc,0x007fff30,0xe80fffe2,0x40005fff,0x3003fff9,0x3fe67fff,
    0xfff3003f,0x001fffa7,0x00fffe60,0x1fffcc00,0xffffa800,0xbffff503,
    0x205fff80,0x000ffff8,0xffa80000,0x0fffd01f,0x9ffff700,0xfeffd800,
    0x7fc4006f,0x9801ffee,0x31003fff,0xa8000133,0x30004fff,0x8000dfff,
    0x740ffff8,0x644007ff,0xf505ffff,0x54003fff,0xfd83ffff,0x366001ff,
    0x400effff,0x19aefffa,0x0007fff2,0x07fff900,0x3ffe6000,0x7fff1003,
    0x997fff60,0x99999999,0x3ffe6199,0x7fff3003,0x400fffe6,0xffd3fff9,
    0x9999999f,0x79999999,0x000fffe6,0x01fffcc0,0xfffffb00,0xfffffb9b,
    0x5fff801d,0x33bfff60,0xcccccccc,0x000ccccc,0x407ffea0,0xb0007ffe,
    0x4005ffff,0x03fffffb,0x7ffffe80,0x07fff300,0x013ffee0,0xffffddb0,
    0x3f20001f,0xd80003ff,0x7ff44fff,0xcccccccf,0xffffdccc,0xffff106f,
    0xfff90007,0xdfffd83f,0xcccccccc,0xeffffffd,0xffff9800,0x3fff27ff,
    0xcccccccd,0xcccccccc,0x7fff93cc,0x3fe60000,0xfff1003f,0xfffff107,
    0xffffffff,0x21ffffff,0x3003fff9,0x3fe67fff,0xfff3003f,0x3fffffa7,
    0xffffffff,0xff36ffff,0x2600007f,0x40003fff,0xfffffffa,0xf005ffff,
    0x3fe60bff,0xffffffff,0xffffffff,0x3ea0000f,0xfffd01ff,0x3ffe2000,
    0xff3000ff,0x90003fff,0x200bffff,0x7003fff9,0xc8009fff,0x02ffffff,
    0x03fffe00,0x3ffea000,0x7fffff47,0xffffffff,0x00ffffff,0x000bfffd,
    0xb077fff4,0xffffffff,0xffffffff,0x64001dff,0x90ffffff,0xffffffff,
    0xffffffff,0x32bfffff,0x00003fff,0x2007fff3,0xf883fff8,0xffffffff,
    0xffffffff,0x7fff30ff,0x4fffe600,0x3003fff9,0x3ffa7fff,0xffffffff,
    0x6fffffff,0x0007fff3,0x00fffe60,0x3fff6200,0x001dffff,0x7dc17ffe,
    0xffffffff,0xffffffff,0x2a0000ff,0xffd01fff,0x7fd4000f,0x3fe005ff,
    0xf50007ff,0x26005fff,0xf7003fff,0xfb8009ff,0x0003ffff,0x0017ffea,
    0x22ffff80,0xfffffffe,0xffffffff,0xff900cff,0x4c0001ff,0x3f64ffff,
    0xffffffff,0xefffffff,0xffd90002,0x3fff23ff,0xffffffff,0xffffffff,
    0x7fff95ff,0x3fe60000,0xfff1003f,0xfffff107,0xffffffff,0x21ffffff,
    0x3003fff9,0x3fe67fff,0xfff3003f,0x3fffffa7,0xffffffff,0xff36ffff,
    0x2600007f,0x00003fff,0x004d54c4,0xc82fffc0,0xffffffff,0xffffffff,
    0x20000fff,0xfd01fffa,0xfc8000ff,0xf9003fff,0x22000bff,0x3000ffff,
    0x2e007fff,0x44004fff,0x0000bddc,0x0017ffec,0x4bfff900,0xfffffffe,
    0xcdeeffff,0x7fffd403,0xffb80002,0xffffb2ff,0xdfffffff,0x0000399b,
    0xfff90662,0xffffffff,0xffffffff,0x3fff2bff,0xff300003,0x3fe2007f,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00666200,0x02666200,
    0x43333000,0xa8800999,0x4ccc2acc,0x00026660,0x4ccccc40,0x99999999,
    0x19999999,0x00666662,0x4cccc400,0x33333310,0x00033333,0x00006662,
    0x99986662,0x99999999,0x99999999,0x33109999,0x44000013,0xdd900999,
    0xdddddddd,0x4c43dddd,0x99999999,0x00000999,0x99884c40,0x22000019,
    0x33100999,0x33333333,0x77774033,0xeeeeeeee,0x2eeeeeee,0x6c05e64c,
    0x3333104e,0x33333333,0x26662000,0x32e20000,0x206eb81c,0x99999998,
    0x88019999,0x99999999,0xfe809999,0xfc80007f,0x7c0002ff,0x1bffe7ff,
    0xfffffe98,0x4cbffe67,0x00003fff,0xfffffff5,0xffffffff,0x21ffffff,
    0x02fffffe,0xffffd800,0xffffffb6,0xffffffff,0xffd805bd,0x7f40005f,
    0x3ffffe7f,0xffffffff,0xffffffff,0xbfff96ff,0x7fe40000,0xffffd03f,
    0xffffffff,0x7ffec3ff,0xffffffff,0x2cefffff,0x4ffa8000,0x005ffff7,
    0x3ffff300,0x3fffff20,0x1fffffff,0xfffffff0,0xffffffff,0x7e47ffff,
    0xa8adffff,0xfffb04ff,0xffffffff,0x3ffa000f,0xff50005f,0xf317dfff,
    0x7ffe40ff,0xffffffff,0x7ffd401f,0xffffffff,0x07ffe83f,0x2fffc800,
    0x3fffc000,0x3e20dfff,0x26ffffff,0xff32fff9,0x2a00007f,0xffffffff,
    0xffffffff,0xfd0fffff,0x0009ffff,0x6fffff88,0xfffffffb,0xffffffff,
    0x3f609fff,0x20002fff,0x3ffe7ffe,0xffffffff,0xffffffff,0xff16ffff,
    0x200001ff,0xf880fffe,0xffffffff,0x21ffffff,0xfffffffd,0xffffffff,
    0x001effff,0x6c9fff10,0x0000ffff,0x813fffa2,0xfffffffc,0xf01fffff,
    0xffffffff,0xffffffff,0x3ffea7ff,0xffffffff,0xffffb02f,0xffffffff,
    0x3fffa000,0xfff88005,0xffffffff,0x3fff204f,0xffffffff,0x7ffd401f,
    0xffffffff,0x07ffe83f,0x2fffc800,0x3fffc000,0x3fa0dfff,0x24eeffff,
    0xff32fff9,0x2a00007f,0xffffffff,0xffffffff,0xfd0fffff,0x000fffff,
    0x6fffffa8,0xfffffffb,0xffffffff,0xfb09ffff,0x0001ffff,0xfff9fffa,
    0xffffffff,0xffffffff,0x3fa6ffff,0x980002ff,0xff305fff,0xdddddddf,
    0x6c3ddddd,0xffffffff,0xffffffff,0x001fffff,0x127fff44,0x0009ffff,
    0x2037ffe4,0xeeeeeeeb,0xd01eeeee,0xdddddddd,0xffdddddd,0x2fff63ff,
    0xfffffea8,0x3bbbb205,0x6eeeeeee,0xbfffd000,0x1bff5000,0xdfffffb5,
    0x77775c01,0xeeeeeeee,0x77774c01,0xeeeeeeee,0x007ffe82,0x02fffc80,
    0xf3fffc00,0x3ffe0dff,0x3ffe602f,0x007fff32,0x2aaaa200,0xaaaaaaaa,
    0xfffeaaaa,0xfffffd0f,0x7ec0005f,0xffb6ffff,0x5555557f,0xfffb9555,
    0xfffd87ff,0xfd0005ff,0x555554ff,0xfffbaaaa,0xaaaaaaaf,0x3ffea2aa,
    0xffc80005,0x1fff702f,0x7ffec000,0x9999999a,0xfffca999,0x36000fff,
    0x7dc4ffff,0x98002fff,0x0001ffff,0xd8000000,0x1ffa2fff,0x00073b26,
    0x7f400000,0xfb8005ff,0x16edc41f,0x00000000,0x1fffa000,0x3fff2000,
    0x7ffc0002,0x221bffe7,0x7cc04fff,0x7fff32ff,0x00000000,0xe87fffee,
    0x04ffffff,0xfffff100,0x07fff6df,0xfffff500,0x7ffffec3,0xffe8002f,
    0x7ffc4007,0xffff0006,0x7fc40001,0x1fff206f,0x3fffb000,0x3ffee000,
    0xffe9802f,0xffd84fff,0xffe8006f,0x0000004f,0xfffb8000,0x00000004,
    0xaaa80000,0x0000001a,0x00000000,0x3fff4000,0x7ffe4000,0x7ffc0002,
    0x261bffe7,0x7cc02fff,0x7fff32ff,0x00000000,0xe87ffff5,0x07ffcfff,
    0xffbff500,0x07fff6df,0x3fffa200,0x3fffff63,0x7f4000ff,0x7fc4007f,
    0xff90006f,0x7d40007f,0x3ffa03ff,0x7fec0005,0x3f20001f,0x7fe404ff,
    0x884fffff,0x2004ffff,0x0006fffc,0x00000262,0x00bfff30,0x13100000,
    0x00000000,0x00000000,0x26620000,0x0fffd000,0x5fff9000,0x7fff8000,
    0x3ea1bffe,0x7fcc02ff,0x07fff32f,0x98000000,0xfe85ffff,0x02fffaff,
    0xffaffd80,0x03fffb6f,0x97ffee00,0xfffefffd,0x3fff4005,0x1bffe200,
    0x37ffcc00,0x1fffb000,0x001fffc0,0x007fff60,0x20ffff00,0xfdffffe9,
    0xfff704ff,0xfff3003f,0xfeb8003f,0x00ceffff,0x3ffe2000,0x0000000f,
    0xdffffdb7,0x00000019,0x400c4000,0x3001eee9,0x64403ddd,0xeffffffd,
    0x0fffd00c,0x5fff9000,0x7fff8000,0x3ea1bffe,0x7fcc02ff,0x07fff32f,
    0x44000000,0xfd06ffff,0x013ffeff,0xff1fff10,0x07fff6df,0x3fffcc00,
    0xfff3fffb,0x7ff4005f,0x7ffc4007,0x3ffa0006,0xff88001f,0x3ffe605f,
    0x7fec0002,0x7f40001f,0x7ffd41ff,0x09fff3ff,0x4037fff4,0x2003fffe,
    0xffffffe9,0x0002ffff,0x007fff90,0x1002776c,0xfffffffb,0x74c03dff,
    0xeeeeeeee,0xeeeeeeee,0x443bba22,0xceffffdb,0x02fff980,0x205fff50,
    0xfffffffb,0xe82fffff,0xc80007ff,0x40002fff,0x3ffe7fff,0xfffddd76,
    0xf987dddd,0x7fff32ff,0x3eeed880,0xfffd0000,0x5fffa01f,0x5c007ffc,
    0x2dfff5ff,0x0001fffd,0x7ec3fffe,0x1ffff77f,0x01fffa00,0x00dfff10,
    0x027ffdc0,0x017ffdc0,0x0001fff5,0x001fffd8,0x20ffff40,0x3e1efffa,
    0x3fe204ff,0x3fee04ff,0x3fee005f,0xfffeffff,0x40005fff,0x4006fff9,
    0xf5005fff,0xfddfffff,0x2a09ffff,0xffffffff,0xffffffff,0x23ffe63f,
    0xffffffe8,0x7fcc1eff,0xfff5002f,0xffffe885,0xffffeeef,0x3fff42ff,
    0x7ffe4000,0x7ffc0002,0x7e5bffe7,0xffffffff,0x97ffcc4f,0x2203fff9,
    0x0004fffe,0x03ffffb0,0xff9bfff4,0x3ff6001f,0x3f6dfff2,0x3e0001ff,
    0xfffb0fff,0x802ffff4,0x44007ffe,0x20006fff,0x8006fff8,0x7e407ffe,
    0xbfd9717f,0xfffd8059,0x3fe20001,0x1ffd40ff,0x2e027ffc,0xf981ffff,
    0xf1000fff,0xc883bfff,0x0003ffff,0x0007fffa,0xf100bfff,0xa883bfff,
    0xfa82ffff,0xffffffff,0xffffffff,0x3a7ffe62,0xffffffff,0x3fe61fff,
    0xfff5002f,0x1efffc85,0x8bfffd50,0x80007ffe,0x0002fffc,0xfff3fffc,
    0x3fffff2d,0x4c4fffff,0xfff32fff,0x3fffa207,0xff700004,0xffe807ff,
    0x4013ffe7,0xfff0fff8,0x007fff6d,0xb37ffc40,0x7ffccfff,0x7ffe802f,
    0x37ffc400,0x3fff6000,0x3ffe6001,0x5effec04,0xffffffff,0x3fffb01e,
    0x7ffdc000,0x3fe03a87,0xfffe804f,0x02fffe86,0x00ffffa0,0x001ffff5,
    0x00bfff70,0x900bfff0,0xe9807fff,0x999886ff,0x99999999,0x4c5fffc8,
    0x1cffffff,0x93fffee6,0x5002fff9,0xfff85fff,0xffff8806,0x001fffa1,
    0x00bfff20,0x7cffff00,0xfffa86ff,0x97ffcc02,0xe883fff9,0x00004fff,
    0x009ffff3,0x7fe4fffd,0x4bff7007,0xfffb6fff,0x3ff20003,0x71fff65f,
    0xe801ffff,0x7c4007ff,0x540006ff,0x32004fff,0x7fc00fff,0xffffffff,
    0xd84fffff,0x70001fff,0x0009ffff,0xf1009fff,0x7fdc5fff,0x3fee005f,
    0xfff7004f,0xfffd000b,0xbfff0003,0x05fff980,0x007fff30,0x86fffb80,
    0x01fffff9,0x4c3fffea,0xf5002fff,0x7ffdc5ff,0x5fff7001,0x0003fff4,
    0x7777ffe4,0xeeeeeeee,0xfffeeeee,0x2a1bffe7,0x7cc02fff,0x7fff32ff,
    0x04fffe88,0xffff1000,0x9fffa00d,0xe801fff9,0x5bffe2ff,0x8001fffd,
    0x362ffffa,0xfffe87ff,0x03fff405,0x01bffe20,0x01fffe00,0x4406fff8,
    0xbdffffff,0xfffffdba,0x00fffec3,0xffff9330,0x3ffe000d,0xffff7004,
    0x01ffff11,0x007fff40,0x001fffd0,0x0037ffcc,0x6c05fff8,0x36000fff,
    0x2a0007ff,0xf980efff,0xfc803fff,0x5fff32ff,0x8bffea00,0x2a005dca,
    0x3ffa2fff,0xffc80007,0xffffffff,0xffffffff,0x3fe7ffff,0x2fffa86f,
    0x997ffcc0,0x3fa23fff,0x200003ff,0x000ffffe,0xfff8fffd,0x23ffc404,
    0xfffb6fff,0x7fecc003,0x3ffec5ff,0x017fffcc,0x8800fffd,0x80006fff,
    0xa802fffc,0x7d402fff,0x36205fff,0x3f60ffff,0xeeeeeeff,0xffffeeee,
    0x0001ffff,0x74009fff,0xfffccfff,0x2fffc002,0x0bffee00,0x03fffc80,
    0x80bfff00,0x5c006ffe,0x98000fff,0xf301ffff,0x3ee00fff,0x5fff33ff,
    0x0bffea00,0x3ffe6000,0x001fffa2,0x3fffff20,0xffffffff,0xffffffff,
    0x21bffe7f,0x4c02fffa,0xfff32fff,0x0ffffa27,0xfffd8000,0x3ffa001f,
    0x203ffe47,0x7ffc4ffb,0xdddfffb6,0xffdddddd,0x81ffffff,0xff707ffd,
    0x3ffa01ff,0x7ffc4007,0xff880006,0x7ffd805f,0x04ffea80,0x6cbfffb0,
    0xffffffff,0xffffffff,0x0000dfff,0x88013ffe,0x4fffffff,0x1fffc400,
    0x0fffe600,0x03fffc40,0x80bfff00,0x54005fff,0x4c001fff,0x2602ffff,
    0xf5005fff,0x3ffe67ff,0x5fff5002,0x3ae62000,0x3ffa3fff,0xffc80007,
    0xeeeeeeef,0xeeeeeeee,0x3fe7fffe,0x2fffa86f,0x997ffcc0,0xffe8bfff,
    0x2e00003f,0x4003ffff,0x7fcc7ffe,0x07ffa01f,0x3ff6dfff,0xffffffff,
    0xffffffff,0x07ffd81e,0x7417fffa,0x7c4007ff,0xb00006ff,0x7c401fff,
    0x00c004ff,0x21ffff10,0xfffffffd,0xffffffff,0x80002cef,0x5c004fff,
    0x00efffff,0x017ffd40,0x013ffe20,0x0027ffdc,0x440bfff0,0xffffffff,
    0xffffffff,0x22002fff,0x4c03fffe,0xf3004fff,0x3ffe67ff,0x5fff5002,
    0xfecb9880,0x3fffffff,0x0001fffa,0x000bfff2,0x7fcffff0,0x2fffa86f,
    0x997ffcc0,0xfffecfff,0x3e600006,0xe8004fff,0x4fff87ff,0xff0fff10,
    0x3ffff6df,0xffffffff,0x203fffff,0x3e607ffd,0xffe82fff,0x7ffc4007,
    0xff500006,0x7ffdc05f,0x64000001,0xfffb1fff,0xfd99999b,0x0007ffff,
    0x004fff80,0x01ffffe8,0x01fffb80,0x005fff80,0x0003fffd,0xf502fffc,
    0xffffffff,0xffffffff,0x7f4009ff,0xff9804ff,0xfff3003f,0x00bffe67,
    0xa817ffd4,0xfffffffe,0x23ffffff,0x80007ffe,0x0002fffc,0xfff3fffc,
    0x05fff50d,0xf32fff98,0xffffffff,0xff100007,0x3a000dff,0x7ffc87ff,
    0xff09ff70,0x3bfff6df,0xdeeeeeee,0xfd801aac,0x7ffe407f,0x03fff40f,
    0x01bffe20,0x05fff800,0x0001bffa,0x4fffee00,0x5401fffd,0x000dffff,
    0x009fff00,0x00bfff30,0x007ffee0,0x2017ffe0,0x0005fff9,0xf502fffc,
    0xffffffff,0xffffffff,0x3f6009ff,0xff3005ff,0x3fe6007f,0x05fff33f,
    0x10bffea0,0xffffffff,0xfff55bff,0x003fff47,0x017ffe40,0xf9fffe00,
    0xfffa86ff,0x97ffcc02,0xfffffff9,0x40001fff,0x000efffe,0xf30fffd0,
    0x3ffd03ff,0x3f6dfff0,0x800001ff,0xfe807ffd,0x3fff45ff,0x1bffe200,
    0xfffc8000,0x03fff980,0xff980000,0x03fffb4f,0x0dffff30,0x13ffe000,
    0x17ffe600,0x17ffd400,0x17ffe200,0x00bfff20,0x40bfff00,0x0003fff9,
    0xefffc800,0x7fff3000,0x4fffe600,0x5002fff9,0x7f445fff,0x09bdffff,
    0xfd1fffd4,0xf90000ff,0xf80005ff,0x1bffe7ff,0x300bffea,0x3fe65fff,
    0xfffbafff,0x3ff20006,0x3a0001ff,0x9fff07ff,0xff06ff98,0x07fff6df,
    0x3ff60000,0xffff9807,0x001fffa2,0x000dfff1,0x41fffcc0,0x0000fffc,
    0x4fff9800,0x2003fffb,0x005ffff9,0x004fff80,0x005fff98,0x007fff30,
    0x804fff98,0x80007fff,0x3e205fff,0x000004ff,0x007fffdc,0x007fff30,
    0x7ccfffe6,0xff5002ff,0x77ffec5f,0x3fffb801,0x0001fffa,0x000bfff2,
    0x7fcffff0,0x2fffa86f,0x997ffcc0,0x3fa2ffff,0xfb8003ff,0x40002fff,
    0xff907ffe,0xf04ffb8f,0x3fff6dff,0xfd800001,0xfff9007f,0x01fffa1f,
    0x00dfff10,0x86ffe800,0x88004fff,0x7ffd4000,0x003fffb3,0x01ffffd4,
    0x013ffe00,0x017ffe60,0x027ffc40,0x00fffea0,0x0007fff5,0xf80bfff0,
    0x000006ff,0x007fffea,0x007fff30,0x7ccfffe6,0xff7003ff,0x07fffc5f,
    0x23fffc80,0x80007ffe,0x0002fffc,0xfff3fffc,0x05fff50d,0xf32fff98,
    0xfff989ff,0x3fe6001f,0xe80004ff,0xfff307ff,0xf80fffc5,0x3fffb6ff,
    0xffb00000,0x7fff400f,0x800fffd5,0x0006fff8,0x50fffdc0,0x22003fff,
    0x64006fff,0xfffb1fff,0xfffc8003,0x3fe0002f,0xff98004f,0x3fe0005f,
    0x3fa000ff,0x7fe401ff,0xff80001f,0x7fff405f,0x33bf2000,0x5ffff301,
    0x7fff3000,0x4fffe600,0xb003fff9,0x3fe65fff,0x3ff6004f,0x01fffa3f,
    0x0bfff200,0x4ffff000,0xffa86fff,0x7ffcc02f,0x707fff32,0x2200dfff,
    0x0005ffff,0x740fffd0,0x0dff34ff,0xffdb7ffc,0xd800001f,0x3e6007ff,
    0x7ffeafff,0x37ffc400,0x3fe20000,0x01bff64f,0x001fffd0,0xfd87fff4,
    0x744001ff,0x0000ffff,0x30009fff,0x4000bfff,0x5004fffc,0xfd00dfff,
    0xf00001ff,0xffb80bff,0xfff1005f,0xffff101f,0x3fe60007,0xfff3003f,
    0x01bffe27,0x54bfffe6,0xf3004fff,0x7ff47fff,0xffc80007,0x7fc0002f,
    0x21bffe7f,0x4c02fffa,0xfff32fff,0x0ffffa07,0x03bfffa0,0x3fff4000,
    0x3f2fff90,0x5bffe03f,0x0001fffd,0x007ffd80,0x7fffffe4,0x7fc4007f,
    0xd800006f,0x0fffe6ff,0x07fff900,0xd93ffee0,0x98001fff,0x0005ffff,
    0x30009fff,0x4000bfff,0x401ffff8,0x403fffe8,0x0007fff8,0xd00bfff0,
    0xfb007fff,0xffd109ff,0x7cc0009f,0xff3003ff,0x1ffff47f,0x5fffff10,
    0x003fffe6,0x47fffff3,0x80007ffe,0x0002fffc,0xfff3fffc,0x05fff50d,
    0xf32fff98,0x3fe607ff,0x3ff201ff,0x200001ff,0x3e607ffe,0x00fffaff,
    0x7fedbffe,0xd800001f,0xfe8007ff,0x007fffff,0x0037ffc4,0x4fffd400,
    0x4000fffa,0x401ffff9,0x360ffff9,0x90001fff,0x0005ffff,0x30009fff,
    0x8000bfff,0x503ffffa,0x300bffff,0x0000bfff,0x26017ffe,0xa80dffff,
    0xe80ffffd,0x40005fff,0x3003fff9,0x7fdc7fff,0x3aa20aff,0x3e2fffff,
    0x3ea04fff,0x3a4fffff,0xc80007ff,0x40002fff,0x3ffe7fff,0x02fffa86,
    0xf997ffcc,0x3ff203ff,0xffff706f,0xfe800003,0x77ff407f,0x7ffc06ff,
    0x003fffb6,0x0fffb000,0xfffff300,0xff8800ff,0xd000006f,0x0bffb7ff,
    0x3ffff200,0x7ffff702,0x001fffd8,0x0dffff10,0x009fff00,0x00bfff30,
    0xfffffb00,0xfffffb9b,0xfff7001d,0x3fe00009,0xfff9005f,0xfffb9dff,
    0xffb03fff,0x4cccccbf,0x21999999,0x3003fff9,0x7fc47fff,0xffeeffff,
    0x22fffaff,0xaceffffb,0xfcffffeb,0x3fffa5ff,0xcccccccc,0x93cccccc,
    0x80005fff,0x3ffe7fff,0x02fffa86,0xf997ffcc,0x7ff403ff,0x7fffc43f,
    0xccccccce,0xcccccccc,0xfffd2ccc,0xfffffc80,0xdb7ffc03,0x00001fff,
    0x0007ffd8,0x0ffffff9,0x06fff880,0xdff70000,0x40005fff,0xcdeffffe,
    0x83fffffd,0x0001fffd,0x013fffea,0x0009fff0,0x000bfff3,0x3ffffea0,
    0x05ffffff,0x00bffee0,0x02fffc00,0xffffff50,0x05ffffff,0xfffffff1,
    0xffffffff,0x3e61ffff,0xff3003ff,0xfffe987f,0xf1ffffff,0xfffd85ff,
    0xefffffff,0x3a1fff91,0xffffffff,0xffffffff,0x05fff96f,0x27fff800,
    0xffa86fff,0x7ffcc02f,0x807fff32,0x221ffffa,0xffffffff,0xffffffff,
    0x4fffffff,0xf980fffd,0x7c00ffff,0x3fffb6ff,0xffb00000,0x7ff4000f,
    0x7c4007ff,0x000006ff,0x0ffffff1,0xfffc8800,0xffffffff,0x03fffb02,
    0xffffd800,0x13ffe001,0x17ffe600,0xffd88000,0x01dfffff,0x00fffe40,
    0x05fff800,0x7fff6440,0x2203ffff,0xffffffff,0xffffffff,0xfff30fff,
    0x3ffe6007,0xffffc883,0x3ffe1dff,0xffffea82,0x7fd43eff,0xfffffd2f,
    0xffffffff,0x3f2dffff,0x7c0002ff,0x1bffe7ff,0x300bffea,0x3fe65fff,
    0xfffc803f,0x3ffffe26,0xffffffff,0xffffffff,0x0fffd4ff,0x00bfffd0,
    0x3ff6dfff,0xd800001f,0x260007ff,0x4007ffff,0x0006fff8,0x3ffff600,
    0xfd300004,0x1bdfffff,0x00fffec0,0x3fffe200,0x13ffe006,0x17ffe600,
    0x54c40000,0xfb00009a,0x200001ff,0x20005fff,0x8009aa98,0xfffffff8,
    0xffffffff,0xff30ffff,0x3fe6007f,0x0554403f,0x2aa62000,0xfffe8001,
    0xffffffff,0x96ffffff,0x80005fff,0x3ffe7fff,0x02fffa86,0xf997ffcc,
    0xff8803ff,0xffff13ff,0xffffffff,0xffffffff,0x3ffa9fff,0x3fffc807,
    0xfb6fff80,0x000003ff,0x8000fffb,0x4007fffc,0x0006fff8,0x3fffea00,
    0xa9800000,0xffb0009b,0xf700003f,0x3e007fff,0xf98004ff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x99999999,0xdd309999,0x266662bd,
    0x99999999,0x19999999,0x000ccc00,0x00000000,0x80000131,0x40000098,
    0x00000998,0x54c00262,0x198800aa,0x4cc40000,0x004cc001,0x00066000,
    0x00099880,0x80000310,0x1eee9809,0x03ddd300,0x4c000980,0x03100000,
    0x003ddd30,0xee87bba6,0x00ddd95e,0x2003bbb2,0x3ba65eeb,0x776c402e,
    0x9bbba23e,0x4003eee9,0x2661eeea,0xb8033301,0xffffffff,0xff32ffff,
    0x2aaab6ff,0xaaaaaaaa,0xcaaaaaaa,0x3fff3001,0x0cc40000,0xd7001b90,
    0x19dfffff,0xffdb7000,0x80019dff,0xfffffdc8,0x5c000cef,0xcefffffe,
    0x03fff900,0x3fffff66,0x654003de,0xdffffffe,0xfffec983,0x98001cff,
    0x3effffdb,0xfffda800,0x2201dfff,0xceffffdb,0x73774c01,0x2617bffd,
    0xf5002fff,0x3bba25ff,0xdfffb710,0xffb71039,0xdd103bff,0x3ff6e21d,
    0xf980ceff,0xff5002ff,0xbb7ffc5f,0xff801fff,0xfff803ff,0x80fffe64,
    0x4c4ffff8,0x7ffc7fff,0x7ffec006,0x360fff60,0x3fee02ff,0xffffffff,
    0xffff32ff,0x35000012,0x07ffe600,0xffdb5000,0x3ea19fff,0x3ffa604f,
    0xffffffff,0xfffb1002,0x3dffffff,0x3fffee00,0xffffffff,0xfffe9802,
    0x2fffffff,0xd81fffc8,0xffffffff,0xfc800eff,0xffffffff,0x3ffee5ff,
    0x4fffffff,0xfffff300,0x05ffffff,0xfffffd10,0x509fffff,0xffffffff,
    0x7fcc09ff,0xffffff97,0x00bffe65,0xf997ffd4,0xfffe88ff,0x221fffff,
    0xfffffffe,0x47ffcc3f,0xffffffe8,0x7fcc1eff,0xfff5002f,0xf8b7ffc5,
    0x7fcc04ff,0x7fcc05ff,0x0fffe62f,0x427fff44,0x7e47fff9,0xff1001ff,
    0x0fff889f,0xa807ffc4,0xeeeeeeee,0xff31eeee,0x000012ff,0x3fe60035,
    0xfb10001f,0xffffffff,0x201dffbf,0xeffffffb,0x05ffffff,0x7fffffd4,
    0x4fffffee,0x3ffffa20,0xffffeeef,0x3fee02ff,0xfffeffff,0x7fe45fff,
    0x7fffec1f,0xfffffeee,0xfffd101f,0xfffdddff,0xffffbbff,0xfffffddf,
    0xffffb80b,0xfffffeff,0x3ffe601f,0xfffeefff,0x3ffea4ff,0xffffeeff,
    0xfff980ef,0x7ffffffa,0x400bffe6,0xff32fffa,0xffffff3f,0xd11fffff,
    0xffffffff,0x7ffcc1ff,0xffffffe9,0x261fffff,0xf5002fff,0x37ffc5ff,
    0xfc80dffd,0x7dc07fff,0x1fffcc7f,0x827fff44,0x7cc7fff9,0xff7004ff,
    0x0dff903f,0x0000dff9,0x12555510,0x00350000,0x0007ffe6,0x3fffffe6,
    0xffffffee,0xffff101f,0xfffc883b,0xffff103f,0xfffa883b,0xdfff902f,
    0x3fffaa03,0xbffff105,0xffffb881,0xb87fff24,0x5440dfff,0xfb05fffd,
    0x3ee03bff,0x1effffff,0x04fffe98,0x83bffff3,0x80ffffda,0x0beffff8,
    0x33fffea2,0x883ffffb,0xf985fffd,0xdcefffff,0x0bffe64f,0x997ffd40,
    0x1cffffff,0x3fbfffa6,0xfd510aff,0x7ffccbff,0x2e61cfff,0x3e64ffff,
    0xff5002ff,0x937dd45f,0x7f401fff,0x3a01ffff,0x7ffcc5ff,0x1ffff443,
    0xd0555510,0x3fa00fff,0x0fffe06f,0x0007fff1,0x00012000,0x3e600350,
    0x744001ff,0xfb81efff,0x3fa06fff,0x7fd403ff,0xfffc80ff,0x37ff4c03,
    0x8806fff8,0xfe81ffff,0x7fd403ff,0xb07f41ff,0x7c401fff,0x7fc40fff,
    0xfffb804f,0xffd805ff,0x3fffe80f,0x41fffec0,0x200efffd,0xffffffe8,
    0x7ffe401f,0x7ffffcc1,0xfff30442,0x3ffea005,0x5fffff32,0x77ffffc0,
    0x4ffff300,0x01fffff9,0x4c3fffea,0xf5002fff,0x25f985ff,0xf102fff9,
    0x207ffdff,0x7cc2fff8,0x3ffa23ff,0xfb80003f,0x7fc402ff,0x3ffea03f,
    0x00fffd41,0x00240000,0x4c006a00,0x64001fff,0x7dc05fff,0xffb83fff,
    0xfff7004f,0x05fff98b,0xb87fff30,0xf7001fff,0xfffb85ff,0xdfff7005,
    0x3ffe3fc4,0x2fffb804,0x8007ffe4,0x800fffff,0x7d44fff8,0xff9806ff,
    0x7fffcc6f,0xffff9801,0xffd002ff,0x4ffff98d,0x02fff980,0x265fff50,
    0x6404ffff,0x6402ffff,0xfff30fff,0xfff9007f,0x00bffe65,0x2a17ffd4,
    0x827ffc4f,0x5ffcdffa,0x981fff50,0xffd13fff,0x2200007f,0x7dc05fff,
    0x7ff400ff,0x806ffe86,0x48004eed,0x00d40000,0x001fff98,0x301bffe6,
    0xd0ffffff,0x74001fff,0x3ff60fff,0x3ff6000f,0x002ee547,0xfe85fff5,
    0x3fa000ff,0xf89f50ff,0x013006ff,0xe8017b6e,0x32003fff,0x7ffe46ff,
    0x1bdf9001,0x001fffdc,0x00dffffb,0xf317ffd4,0x3e600fff,0xff5002ff,
    0x1fffe65f,0x01bffea0,0x7cc7ffee,0xff7007ff,0x0bffe67f,0x217ffd40,
    0x3ffe42fc,0xffabffc8,0x30bffb07,0xffd17fff,0xd800007f,0x3fa00fff,
    0xfff9805f,0x027ffcc4,0x20017ffe,0x0d400004,0x01fff980,0x80bfff20,
    0xfffdffe8,0x002fffc3,0xfe8bffee,0x7fdc006f,0xf980000f,0x2fffc2ff,
    0x2bffee00,0x7fec0ffa,0x000000df,0x01fffd80,0xf83ffea0,0x802006ff,
    0x2000fffe,0x003ffff9,0xf993ffe2,0xff3006ff,0x3fea005f,0x0bfff32f,
    0x009fff30,0x3e65fff7,0xff5005ff,0x0bffe67f,0x717ffd40,0x3fff50bf,
    0xff13ffd0,0x07fff03f,0xffd7fff3,0x500000df,0x3e605fff,0xff9002ff,
    0x1fffd83f,0x0017ffe0,0x35000012,0x3fffffea,0xffffffff,0x363fffff,
    0x7fec07ff,0x224fff9a,0x4c003fff,0x3ffe3fff,0x7ffd4005,0xd7310001,
    0x7fc47fff,0x7fcc003f,0xfa81ffef,0x01beffff,0x32a60000,0x4c007fff,
    0xfff11fff,0x3fe0000b,0xfff8007f,0x7ff4001f,0x017ffe65,0x8017ffcc,
    0xff32fffa,0xfff3009f,0x5fff5007,0x4013ffe6,0xff33fff9,0x3fea005f,
    0x105fc9af,0xff987fff,0xf30fffe7,0xfff301ff,0x07ffffff,0xbfff0000,
    0x801fff20,0x220efff8,0xff00ffff,0x009000bf,0xff51a800,0xffffffff,
    0xffffffff,0x02fffc7f,0x7ffc9ff7,0x00bffea5,0x229fff10,0xffffffff,
    0xffffffff,0x4c402fff,0xfffffecb,0x3fea3fff,0x7fc4002f,0x3f200dff,
    0xdfffffff,0xb988000a,0xffffffec,0xffffffff,0xffffffff,0x09fff33f,
    0xbfff1000,0xfffff000,0xffffffff,0x4dffffff,0x3004fff9,0x2a005fff,
    0xfff32fff,0x7fff3007,0x25fff500,0x3003fff9,0x3fe67fff,0xfff5002f,
    0x6c01bfff,0x2ffdc5ff,0xffc8bff9,0xfffff306,0x001fffff,0x0fffc800,
    0x4004fff8,0x7f40fffe,0xbfff01ff,0x00009000,0xffff51a8,0xffffffff,
    0x7fffffff,0x4c13ffe2,0x37ff45ff,0x0003fff7,0x3feabfff,0xffffffff,
    0xffffffff,0xfffd504f,0xffffffff,0x7ffdc7ff,0x6fff8001,0xfffff700,
    0x03bfffff,0xfffffd70,0xffffffff,0xffffffff,0x9fffffff,0x000fffe6,
    0x013ffe60,0x3fffff60,0xffffffff,0x267fffff,0xf3003fff,0x3ea005ff,
    0x7fff32ff,0x07fff300,0x265fff50,0xf3003fff,0x3ffe67ff,0xdfff5002,
    0xfff70015,0x3ea3ffd8,0x81fff47f,0xbafffff9,0x00005fff,0x2a1fffcc,
    0x2e001fff,0x7fdc3fff,0x17ffe03f,0x00001200,0x2aaaa235,0xcfffbaaa,
    0x1aaaaaaa,0xf107fff3,0x7ffd81ff,0x0007ffee,0x7fd57ffe,0xffffffff,
    0xffffffff,0x7fffc44f,0xadffffff,0x3ee3fffa,0xff8001ff,0x3ae2005f,
    0xffffffff,0xfffb102f,0x39dfffff,0xfffffffb,0xffffffff,0x3fe6bfff,
    0xf980003f,0xfd8003ff,0xffffffff,0xffffffff,0x0bffe67f,0x017ffcc0,
    0xf32fffa8,0xff3007ff,0xfff5007f,0x00fffe65,0xf99fffcc,0xff5002ff,
    0x7fc4005f,0x887ffe2f,0xfff11fff,0x3fffe603,0x00ffffa2,0x8dffd000,
    0x22006ffd,0x7fc45fff,0x2fffc06f,0x00002400,0x7fcc006a,0xfff3001f,
    0xb03ffb07,0x7ffd4fff,0x7ffc4002,0x007fff35,0x7fff4400,0x5409bdff,
    0x3fea3fff,0x7fc4002f,0xb510005f,0x7fffffff,0xfffffe88,0x7ffd81ac,
    0xfff10000,0xff100009,0xffd0009f,0x2600001f,0xf3002fff,0x3ea005ff,
    0x7fff32ff,0x07fff300,0x265fff50,0xf3003fff,0x3ffe67ff,0x5fff5002,
    0x34ffe800,0x7ffd0fff,0xf981bfee,0x7ffcc3ff,0x2e00000f,0xfff11fff,
    0x7ffe4007,0x007ffe40,0x20017ffe,0x0d400004,0x01fff980,0xc89fff10,
    0xdffd03ff,0x001fffcc,0x7c53ffe6,0x200004ff,0x801efffd,0x3e63fffb,
    0x7cc003ff,0x300004ff,0xd8dffff9,0xd801dfff,0x200007ff,0x00005fff,
    0xf000bfff,0x00003fff,0x400bffe6,0x7003fff9,0x3fe65fff,0xfff9803f,
    0x2fffa803,0x2007fff3,0xff33fff9,0x3fee007f,0x7fdc002f,0xf909ff76,
    0x813ff6df,0xfc83fff9,0x200005ff,0xff53fff8,0x3fe6001f,0x1fffcc3f,
    0x002fffc0,0x2a000024,0x3fff3001,0x527ffc00,0x7ffc0bff,0x013ffe25,
    0x7c7fff50,0x200006ff,0x9000ffff,0x7fc47fff,0x7fd4004f,0x4c00003f,
    0xff10ffff,0x3fa001ff,0xd00000ff,0x7c400dff,0x1bffa2ce,0x5ffff300,
    0x3fe60000,0xfff3002f,0x3fff6007,0x007fff32,0x5007fff3,0x3fe65fff,
    0xfff3003f,0x00fffe67,0x0017ffec,0x3f63ffe6,0x8fffa82f,0x3e601fff,
    0xfffd03ff,0x7ec00007,0x00bffb6f,0x7ec2ffec,0xbfff005f,0x00009000,
    0xff3001a8,0x7ff4003f,0x201dff16,0x7fc3fff8,0x3fa000ff,0x3fffa1ff,
    0x33bf2000,0x009fff31,0x3e1fffec,0x3a000fff,0x36a00fff,0xff9000fe,
    0x13ffea5f,0x17fffc40,0x45dff900,0x5000fffd,0x7fec5fff,0x3ff2002f,
    0x3e6005ff,0x3ffe63ef,0xdfff1002,0x5ffff300,0x200fffe6,0xa803fff9,
    0xfff32fff,0x3ffe6007,0x00dfff13,0x005ffff3,0xfff7fff0,0xf9fff101,
    0xfff980ff,0x1ffff303,0x3fea0000,0x002fff9f,0xfa81fff5,0xfff000ff,
    0x9199980b,0x01a80000,0x003fff30,0x7f4fffec,0x3fff201f,0x027ffe42,
    0x5c6fffa8,0xf1005fff,0x3fea1fff,0xfff3004f,0x4fffc87f,0x0dfff500,
    0x002fffa8,0x3ee1fff9,0xffb003ff,0x3e600bff,0x3fea0fff,0xfffb004f,
    0x005fffa8,0x5ffffff3,0x8bfffa00,0x2002fff9,0x2203fffe,0xf32fffff,
    0xff3007ff,0xfff5007f,0x00fffe65,0xfd1fffcc,0x7fc405ff,0xc8002fff,
    0x206fffff,0x04fffffe,0x901fffcc,0x2660bfff,0xdfff0019,0x7f400fff,
    0x02ffe82f,0x9817ffe0,0x00097fff,0xf3001a80,0x7dc003ff,0x202fffff,
    0x440ffff8,0x4401ffff,0xfe83fffe,0xffd803ff,0x3fffe64f,0x7fffcc00,
    0x7fffc43f,0x7fff4401,0x0ffff802,0x537ffc40,0xf900dfff,0x00bfffff,
    0xfd09fffd,0xffa803ff,0x4fffd85f,0x7ffff440,0x7dc00eff,0x7ffcc7ff,
    0x3ffee002,0x3faa20af,0xff32ffff,0xfff3007f,0x5fff5007,0x400fffe6,
    0x3ee3fff9,0x2a20afff,0x02fffffe,0xfffffa80,0x3ffff204,0x7ffcc02f,
    0x3fffe203,0x03fffcc3,0x4fffffc8,0x709ff700,0xff8009ff,0x3ffe605f,
    0xa8000097,0x3fff3001,0xffffe800,0x1fffec04,0x03ffffa8,0x20bffff5,
    0x80dffff9,0x40ffffda,0x2a04ffff,0x84ffffff,0x303ffffa,0x200bffff,
    0x101efffc,0x7c47fffb,0xc980bfff,0xfffedfff,0xfffda81d,0xffff980f,
    0x1ffff703,0x1bffff10,0xbdfffd30,0x7105ffff,0xf987ffff,0x3e2002ff,
    0xfeefffff,0x2fffafff,0x3007fff3,0xf5007fff,0x3ffe65ff,0x7fff3003,
    0x7fffffc4,0xfaffffee,0xff0002ff,0x7cc05fff,0xf9807fff,0x7fd403ff,
    0x3ffe60ff,0xffff3007,0x3332003f,0x8004cb80,0x3e605fff,0x000097ff,
    0x991001a8,0xff980019,0xfe982dff,0x7fec05ff,0xffdcdfff,0x3200efff,
    0xdcefffff,0x81ffffff,0xaceffffb,0xfcffffeb,0xfffb05ff,0xfffb9bff,
    0x74001dff,0xccdeffff,0x40dffffe,0xbdfffffb,0x12fffffd,0xbbfffffb,
    0x03ffffff,0x6fffffe4,0x1ffffedc,0x3ffffee0,0xffffedce,0xfffff90d,
    0xfffffd9b,0x05fff309,0xffffe980,0xff1fffff,0x0fffe65f,0x00fffe60,
    0x7ccbffea,0xff3003ff,0xfffe987f,0xf1ffffff,0x360005ff,0x7c00ffff,
    0xf9805fff,0xffd803ff,0x1fffe66f,0x06fffe80,0xf0000000,0x7fcc0bff,
    0x8000097f,0x0000001a,0xfffffff1,0xfffffdb9,0xffff5001,0xbfffffff,
    0x3fffea00,0xffffffff,0x3ffff602,0x1effffff,0x2e01fff9,0xffffffff,
    0x88005fff,0xfffffffe,0x3604ffff,0xffffffff,0xffd80eff,0xffffffff,
    0xfffa801e,0xffffffff,0xfffe9802,0x4fffffff,0xffffffb8,0x304fffff,
    0x10005fff,0xbffffff9,0xf997ffc3,0xff9803ff,0xfffa803f,0x007fff32,
    0x220fffe6,0xdffffffc,0x000bffe1,0x4037ffd4,0x9802fffd,0xf8803fff,
    0xfff33fff,0x7ffdc00f,0x00000003,0x300bfff0,0x000012df,0x2aaaa235,
    0xaaaaaaaa,0x1aaaaaaa,0x7fffffec,0xefffffff,0x3ff62001,0x01dfffff,
    0x7fff6440,0x5003ffff,0xdffffffd,0x02fffa87,0x3fffff62,0x40002dff,
    0xffffffea,0xfea802df,0x03dfffff,0x7ffffedc,0x6c4003ff,0xcfffffff,
    0x7ff64000,0x202dffff,0xfffffec9,0x3fe601df,0x5440002f,0x3fe6000a,
    0xfff9803f,0x2fffa803,0x2007fff3,0x4403fff9,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x700bfff0,0x0000129f,0x3fffea35,0xffffffff,
    0x3fffffff,0x3ee33fee,0x2effffff,0x554c4000,0x98800009,0x100009aa,
    0x00003553,0x01355310,0xaa988000,0x5310000a,0x2a200015,0x8800009a,
    0x00001aa9,0x10001553,0x00013553,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe00000,0x92fd805f,0x51a80000,
    0xffffffff,0xffffffff,0x2fdc7fff,0x004d554c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x17ffe000,
    0x0121ff70,0x3ea35000,0xffffffff,0xffffffff,0x0004c3ff,0x27776400,
    0x44eeeb80,0xeeeeeee9,0xeeeeeeee,0x000002ee,0xc8000000,0x00b30002,
    0x0006eea8,0x26203310,0x5c001b81,0x4ccc4000,0xccb80000,0xaaa88001,
    0x5531000a,0x154c0035,0x05599750,0x04de54c0,0x99999988,0x99999999,
    0x26219999,0x99999999,0x99999999,0x1664c019,0x01597300,0x2660cccc,
    0x30666619,0x15530333,0x00000000,0x4c0bfff0,0x333361ff,0xcccccccc,
    0xcccccccc,0x0000001d,0x7cc00000,0x7cc02fff,0x7fd41fff,0xffffffff,
    0x3fffffff,0x1d980000,0x00000179,0xca985ff7,0x17fe60ab,0x007ffb80,
    0x986ff980,0x0ffdc6ff,0x000efc80,0x0013fff2,0x00dfff10,0xffffffd8,
    0xfff9100d,0xb805dfff,0xfffb85ff,0x202effff,0xffffffd8,0xfffffc81,
    0xffffffff,0x91ffffff,0xffffffff,0xffffffff,0x7d403fff,0xffd8803f,
    0xfff03fff,0x5fffe61f,0x3e67fff8,0x07fd87ff,0xcefffdb8,0x40091001,
    0x06405fff,0x00000000,0x00000000,0x0ffffb80,0x20ffffa0,0xfffffffa,
    0xffffffff,0x100002ff,0x3f63ffd7,0x300001df,0xff75ffff,0xf59fffff,
    0x2e007fff,0xe80007ff,0x2ffe82ff,0x007fffea,0x400dfff9,0x0004fffc,
    0x00ffffe4,0xffefffc8,0xfffb06ff,0x05ffffff,0xf717fff2,0xffffdfff,
    0xffff301f,0xc87fffff,0xffffffff,0xffffffff,0xfff91fff,0xffffffff,
    0xffffffff,0x017fcc03,0x3f7fffe2,0xffff84ff,0x22ffff30,0x3fe67fff,
    0x02ffc47f,0xffffffd3,0x2a017dff,0x3ffe005f,0x00000005,0x00000000,
    0x7ec00000,0xfff905ff,0x2666620b,0x89999999,0x0005fffc,0xfffffc98,
    0x5dffffb1,0xfff50000,0xffffffff,0x09ffffff,0x003ffdc0,0x3217ff20,
    0xfffd85ff,0xffff901f,0x7ffe4005,0x7ffc0004,0xffa805ff,0x0bffea0e,
    0x2a15fff7,0x7f547ffe,0x3fe25fff,0x3ff620bf,0x9cfffe84,0x320ffffb,
    0xffffffff,0xffffffff,0xfff91fff,0xffffffff,0xffffffff,0x3ff104c3,
    0x117fec28,0xfff85ff9,0x2ffff30f,0x3e67fff8,0x7ffd47ff,0x7fffc43e,
    0xffffffff,0xfffcabdf,0x00000005,0x00000000,0x00000000,0x85ffff10,
    0x000efffa,0x0dfff700,0xfffda800,0xff70ffff,0x019fffff,0x7fffd400,
    0xffffefff,0x5c004fff,0x260007ff,0x7fcc1fff,0xffffb01f,0x2ffffc83,
    0x27ffe400,0xffff7000,0xeca801ff,0x743ffe81,0xfff983ff,0xffdfffb0,
    0x982ff4cb,0x77fd45ff,0x225ffc80,0x99999999,0xa9999999,0x33311fff,
    0x33333333,0x33333333,0x7c4e7fc4,0x11feb89f,0x17fa07ff,0x3e61ffff,
    0xffff17ff,0x223fffcc,0x263ffeb9,0xffeeffff,0xffffffff,0x0005ffff,
    0x00000000,0x00000000,0x3ea00000,0xfff10fff,0x2a00003f,0x8000efff,
    0xfffffeb8,0xffb882df,0x02dfffff,0x3dfffb00,0x07fffd88,0x007ffb80,
    0x889ffd10,0x36204ffe,0xff91ffff,0x000005ff,0xdbffe800,0x220004ff,
    0x01880fff,0x6fecdff1,0x0885ff99,0xfd8dff10,0x0fff102f,0x7ffcc000,
    0x54000001,0xdffdffff,0xff34ffff,0xff1bee01,0x3ffe61ff,0x30ffff17,
    0x3ffdc0df,0x54417ff3,0xfffffffd,0x0002ffff,0x00000000,0x00000000,
    0x7e400000,0x7fffb4ff,0x3fe60000,0x64c001ff,0xcfffffff,0xfffb5000,
    0x0017dfff,0x9017ffe6,0xb8005fff,0xfb0007ff,0xfffc81ff,0x7fff4400,
    0x02ffffcf,0x54000000,0xfffa8fff,0x7f654000,0xffc8003f,0x5ff986e4,
    0x3f72e620,0x07ff47ff,0x0001ffd0,0x007ffe60,0xfdb30000,0xffffffff,
    0x403fe65b,0x3fffc7fa,0x7fcdfff1,0x884fb87f,0x3a66ffea,0xfffea801,
    0x0000dfff,0x00000000,0x00000000,0xfd000000,0x0bfff9ff,0x3ffe6000,
    0x3faa002f,0x02efffff,0x3fff2600,0x401cffff,0xe800fffc,0x7dc006ff,
    0xffa8007f,0x1fffd43f,0xffffe880,0x32602fff,0xcccccccc,0xcccccccc,
    0x9ffb01cc,0x2001fffc,0x8001ffff,0x2601fffa,0xffeb85ff,0x47ffffff,
    0x7fec07ff,0xff300001,0x0000003f,0x57fffd44,0xd03ff880,0x46ffd8bf,
    0x3ffa4fff,0xff92fd85,0x447fffff,0x5d544000,0x00000009,0x00000000,
    0x00000000,0x7ffcc000,0x0000ffff,0x03fffe88,0xfffffc88,0x00001cff,
    0x7fffff54,0x9ffd02df,0x83ffea00,0xccccccca,0xccccfffd,0x3e20cccc,
    0x7ffc46ff,0x7ff44006,0x7d402fff,0xffffffff,0xffffffff,0xfff983ff,
    0x801bfee1,0x02effff9,0x00ffff20,0x7f44bff3,0xfbceffff,0x203ffc7f,
    0x00002ffd,0x0003fff3,0xfffb8000,0x07bf605f,0xffc85ff5,0xfb1ffec5,
    0xb0ffb89f,0x07ffffff,0x00000000,0x00000000,0x00000000,0x5c000000,
    0x002fffff,0x09fffd00,0xffffff70,0x0000017d,0xfffffc98,0x17ffc0ff,
    0x21fff980,0xfffffffc,0xffffffff,0x3f61ffff,0x7ffec2ff,0xfffc8002,
    0x7fd401ff,0xffffffff,0xffffffff,0x46ffc83f,0x4002fff8,0x403ffda8,
    0x802fffe8,0x3ff25ff9,0x3ffc41cf,0xfe803ffa,0xf300000f,0x000003ff,
    0x7de7fdc0,0xdfff104f,0xf50bfff9,0x22ffc87f,0x3fe63ffc,0x0af32ea1,
    0x30666660,0x26603333,0x00000019,0x00000000,0x00000000,0x2ffff400,
    0xfffd8000,0xffffb005,0x0000003b,0xffffd710,0x002fff83,0x7e43fff1,
    0xffffffff,0xffffffff,0xffff11ff,0x00fffe83,0x7ffffe40,0x3baa01ff,
    0xeeeeeeee,0xeeeeeeee,0x1fffc42e,0x8002ffec,0x3e606ff9,0xf3001eff,
    0x817ff4bf,0x7fec7ffa,0x001ffe02,0x91fff980,0xffffffff,0xffffffff,
    0xff983fff,0x207ffd0f,0xdfffffe9,0x5c2ff980,0x07fea0ff,0xf1000019,
    0xffb87fff,0x7ffc40ff,0x00000007,0x00000000,0x00000000,0x3ffffe60,
    0x7fe40002,0xffb000ef,0x000005df,0x7ffe4c00,0x01fff41f,0x2e0fffa8,
    0xeeeeeeee,0xeeeeefff,0x3fe60eee,0x2fffcc5f,0xdffff900,0x0003ffff,
    0x3fee0000,0x1fffa80f,0xff102998,0xbfff701f,0x25ff9800,0xfe881fff,
    0x82ffdc6f,0x00005ffb,0x7e47ffe6,0xffffffff,0xffffffff,0x1ffec1ff,
    0x5401fff3,0x66401cdc,0x32226440,0x7000000c,0x3f60bfff,0x7ffc44ff,
    0x00000007,0x00000000,0x00000000,0xffffff10,0x3ee0001f,0x32000fff,
    0x0cffffff,0xd5000000,0x83ffffff,0xfb006ffd,0xffb800ff,0xfffc8007,
    0x00fffe41,0xd97fffe4,0x0001ffff,0x4fff8000,0xf113ffa0,0xfff703ff,
    0x007fff70,0x7ecbff30,0x3ffaa0df,0x2effe87f,0x003fffb3,0x8fffcc00,
    0xfffffffc,0xffffffff,0x6c81ffff,0x00000dc8,0x00000000,0x00efff80,
    0xf883fffa,0x000007ff,0x00000000,0x00000000,0xbfffb000,0x5000bfff,
    0x0003ffff,0xffffffb5,0x1000005b,0xfffffff7,0x9fff3019,0x03fffa80,
    0x003ffdc0,0xfe86ffe8,0x7ffe406f,0x7fffec2f,0x7775c001,0x3ffea003,
    0x03ffee01,0x9537dffb,0xffa8bfff,0xccccccef,0x4bff300c,0xffeffffa,
    0x540ffeef,0xffffffff,0x9800004f,0x2aaaa619,0xaaaaaaaa,0x0aaaaaaa,
    0x00000000,0x00000000,0x401fffb8,0x3e23fff8,0x000007ff,0x00000000,
    0x00000000,0x5fffa800,0x4007fffb,0x002ffff9,0x7fffe4c0,0x0000bfff,
    0x7ffffecc,0xffe803ef,0xfffb80df,0x7fdc000f,0xfff30007,0x03fff987,
    0x105ffff9,0x003ffffb,0x0027ffe4,0xf880dffd,0x7ff443ff,0x0effffff,
    0x7ffffff4,0x301fffff,0xfffb8bff,0x5ff74fff,0xfffffd30,0x0000007f,
    0x00000000,0x00000000,0xe8000000,0xff3002ff,0x0000000f,0x00000000,
    0x00000000,0x7fffc400,0x01ffff10,0x07ffff10,0x7f5c4000,0x01dfffff,
    0x3fffae20,0x3001dfff,0x9bffffff,0x5ffffffb,0x07ffb800,0x03ffee00,
    0xfa81fff7,0x3a202fff,0x32006fff,0xf3004fff,0xff9007ff,0xffff910f,
    0xfff307ff,0xffffffff,0x17fe603f,0x882b32e2,0x372a01aa,0x000000bc,
    0x00000000,0x00000000,0x40000000,0x4c002bb8,0x000000bb,0x00000000,
    0x00000000,0xfffb0000,0x06fffb87,0x027fff44,0xffb50000,0x017dffff,
    0x3fffff26,0x26000cff,0xffffffff,0xffffffff,0x3fee003f,0x7fec0007,
    0xd84ffe84,0xfe8802ff,0x3ff2001f,0xddd7004f,0x3ddd3001,0x0004cc40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e000000,0xffb05fff,0x7fff407f,0x30000005,
    0xfffffff9,0x3fffaa19,0x8002efff,0xfccffff9,0xbdffffff,0x7002ffff,
    0x88000fff,0x7fc40fff,0x2002d80f,0x54c001d8,0x000001aa,0x7c400000,
    0x066667ff,0x6edc6666,0xdddddddd,0x55555533,0x55555555,0x55555555,
    0x3bbbae35,0xeeeeeeee,0xeeeeeeee,0x00004eee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9800000,0xff100fff,0xfffb03ff,
    0x4ccccccb,0x00199999,0x3fffae20,0xffffb1ff,0xd80003bf,0x3b2e23ff,
    0x3bfea1bc,0x0fff7000,0x0bff5000,0x0000bff7,0x00000000,0x40000000,
    0x3f67fff8,0x95fff87f,0xffffffff,0x3fff29ff,0xffffffff,0xffffffff,
    0xff96ffff,0xffffffff,0xffffffff,0x00dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb807fffd,0x7fc46fff,
    0xffffffff,0xffffffff,0xda80000f,0xfffb1fff,0x6c000019,0x01d50004,
    0x003ffdc0,0xc80ccb80,0x000000cc,0x00000000,0xf1000000,0x3ffecfff,
    0xffcafffc,0xffffffff,0xffffff94,0xffffffff,0xffffffff,0x3bbbaedf,
    0xeeeeeeee,0xeeeeeeee,0x00004eee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e400000,0xffb005ff,0x7fffc49f,0xffffffff,
    0x0fffffff,0x3f220000,0x00005db1,0x00000000,0x00006662,0x00000000,
    0x00000000,0x88000000,0x3ff67fff,0xf95fff87,0xffffffff,0x2aaaa69f,
    0xaaaaaaaa,0xaaaaaaaa,0x00001aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff98000,0xfff1000f,0x3fffe25f,
    0xffffffff,0x0fffffff,0x10880000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff90cccc,0x00bfff0f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_47_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,3,1,3,
3,3,3,2,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,2,2,2,2,2,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,3,2,3,4,3,2,1,-2,3,2,2,3,1,3,
-1,3,2,3,2,0,0,3,2,3,2,3,2,2,3,2,2,1,2,1,2,1,2,1,3,2,3,2,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,2,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,-1,-2,2,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,0,1,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_47_latin_ext_y[560]={ 38,7,7,7,5,7,7,7,7,7,7,13,33,25,
33,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,43,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,16,7,7,13,7,
7,7,7,7,7,17,16,25,7,3,7,12,7,7,7,16,7,21,37,7,7,17,7,7,7,16,0,0,0,1,
1,1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,14,6,0,0,0,1,0,7,7,7,7,
7,8,7,6,15,15,7,7,7,7,7,7,7,7,7,8,7,7,7,8,7,14,14,7,7,7,7,7,7,7,
2,9,0,7,7,15,0,7,0,7,0,8,0,7,0,7,7,7,2,9,0,7,1,8,7,15,0,7,0,7,
0,7,1,8,7,5,0,0,7,7,0,8,2,9,1,7,7,7,1,16,7,7,0,7,7,7,16,0,0,7,
7,7,7,7,7,7,7,0,7,7,15,0,7,7,7,15,2,9,0,7,0,7,7,15,0,7,7,15,0,7,
0,7,0,7,7,15,0,7,7,8,0,7,7,8,0,8,2,9,0,7,0,6,0,7,7,16,0,7,0,7,
1,0,7,1,8,0,7,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,7,11,11,7,11,11,11,
11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,7,0,7,0,
7,0,7,0,2,0,0,0,0,0,0,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-5,-2,0,7,0,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_47_latin_ext_w[560]={ 0,6,12,23,21,33,27,6,11,11,14,21,5,12,
6,12,21,12,21,21,22,21,21,21,21,21,6,5,21,21,21,21,40,30,23,27,26,23,21,29,24,5,17,25,
19,29,24,29,24,31,27,25,25,24,28,40,28,28,25,10,12,9,18,25,9,21,20,20,20,21,14,20,19,5,
9,19,5,31,19,21,20,20,13,19,12,19,21,31,21,21,21,13,5,13,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,20,23,21,25,
5,21,12,32,15,19,21,12,32,25,13,21,14,14,9,18,23,6,10,8,15,19,33,33,35,20,30,30,30,30,
30,30,40,27,23,23,23,23,8,9,14,12,30,24,29,29,29,29,29,19,31,24,24,24,24,28,24,22,21,21,
21,21,21,21,35,20,21,21,21,21,9,9,14,12,21,19,21,21,21,21,21,21,22,19,19,19,19,21,20,21,
30,21,30,21,33,26,27,20,27,20,27,20,27,20,26,25,30,23,23,21,23,21,23,21,23,21,23,21,29,20,
29,20,29,20,29,20,24,19,30,21,15,14,14,14,14,14,10,10,6,4,26,15,22,14,25,19,19,19,8,19,
10,19,11,19,12,22,10,24,19,24,19,24,19,24,26,19,29,21,29,21,29,21,39,38,27,13,27,13,27,14,
25,19,25,19,25,19,25,19,25,12,25,16,25,11,24,19,24,19,24,19,24,19,24,19,24,24,40,31,28,21,
28,25,21,25,21,25,21,11,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,23,22,22,22,
22,22,22,22,22,22,22,22,22,22,34,26,22,22,22,22,22,22,22,22,22,22,22,22,22,32,25,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,30,21,14,14,29,
21,24,19,24,19,24,19,24,19,24,19,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,30,21,40,35,31,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_47_latin_ext_h[560]={ 0,31,12,32,38,33,32,12,40,40,14,21,11,4,
5,32,32,31,31,32,31,31,32,30,32,32,22,28,22,14,22,31,40,31,31,32,31,31,31,32,31,31,32,31,
31,31,31,32,31,34,31,32,31,32,31,31,31,31,31,40,32,40,17,4,7,24,32,24,32,24,31,32,31,31,
40,31,31,23,23,24,32,32,23,24,31,23,22,22,22,31,22,40,40,40,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,40,32,21,31,
40,40,5,32,16,20,14,4,32,3,12,26,16,17,7,31,40,5,10,16,16,20,33,33,33,31,38,38,38,37,
37,37,31,40,38,38,38,37,38,38,38,37,31,37,39,39,39,38,38,19,34,39,39,39,38,38,31,32,32,32,
32,31,32,33,24,32,32,32,32,32,31,31,31,31,32,30,32,32,32,31,32,18,26,32,32,32,32,40,40,40,
36,30,38,32,40,32,39,32,39,32,39,31,39,32,38,32,31,32,36,30,38,32,37,31,40,32,38,32,39,40,
39,40,38,39,40,42,38,38,31,31,38,30,36,29,37,31,40,40,37,22,32,40,39,40,40,40,22,38,38,40,
40,31,31,31,31,31,31,38,31,40,32,38,31,31,32,32,37,30,39,32,39,32,32,24,38,31,40,32,38,31,
39,32,39,32,40,32,39,32,43,41,38,32,31,31,39,31,37,30,39,32,39,33,39,32,40,31,38,31,38,40,
37,38,31,37,30,38,31,31,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,32,27,27,40,27,27,27,
27,27,27,27,27,27,27,27,27,27,32,24,27,27,27,27,27,27,27,27,27,27,27,27,27,32,23,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,38,32,38,31,39,
32,39,32,39,37,39,39,39,39,39,39,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,43,41,38,32,40,33,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__arial_47_latin_ext_s[560]={ 509,504,447,201,395,79,1,460,282,216,418,
200,467,338,504,498,304,304,156,394,178,254,260,368,350,209,463,16,134,396,156,
274,228,318,349,303,402,442,466,439,21,46,491,201,1,119,174,179,149,476,276,
250,199,225,225,227,373,317,93,459,188,429,284,351,494,134,362,239,112,112,52,
91,488,268,375,73,67,333,365,90,37,487,299,183,429,313,470,411,90,296,112,
350,319,294,484,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,509,501,261,
326,178,95,168,114,325,434,342,222,374,338,58,377,433,45,318,303,484,311,405,
318,473,333,358,492,147,113,1,109,152,183,214,81,50,343,23,1,425,473,449,
319,17,497,110,112,220,174,349,263,474,344,314,242,444,135,424,449,85,31,64,
339,317,295,273,454,231,57,203,158,136,114,92,70,491,372,414,143,469,449,417,
395,373,121,412,262,67,283,263,243,223,239,174,161,413,489,374,66,127,23,190,
477,26,416,54,251,107,108,125,362,177,388,389,405,26,282,295,1,320,218,245,
1,160,299,319,54,1,430,269,58,269,405,383,414,1,390,374,1,254,436,308,
183,504,507,149,195,126,494,75,439,443,294,502,385,364,63,83,89,130,143,166,
60,43,29,353,448,23,429,196,88,224,346,96,331,149,372,437,260,179,272,211,
204,274,477,451,240,404,46,101,253,293,129,1,79,248,29,451,492,82,352,199,
469,71,50,379,37,399,176,325,286,207,382,473,194,125,343,1,269,427,369,330,
208,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,311,22,22,470,
22,22,22,22,22,22,22,22,22,22,22,22,22,276,156,22,22,22,22,22,
22,22,22,22,22,22,22,22,155,385,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,417,133,
497,476,369,340,344,467,1,154,26,51,1,477,218,243,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,27,92,302,1,136,181,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22, };
static unsigned short stb__arial_47_latin_ext_t[560]={ 1,344,498,344,126,244,278,498,1,45,498,
498,498,515,507,244,244,441,409,244,409,441,244,441,244,311,473,473,498,498,498,
409,45,409,409,278,409,409,409,278,441,441,278,409,441,441,441,311,441,205,441,
344,441,344,441,409,409,441,441,1,344,1,498,515,507,473,344,473,344,473,441,
344,409,409,1,441,441,473,473,473,344,311,473,473,409,473,473,473,498,409,498,
1,1,1,498,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,1,377,1,
244,498,409,1,1,515,311,498,498,498,515,344,515,498,473,498,498,507,377,1,
515,498,498,498,473,244,244,244,377,166,166,166,205,205,205,377,45,166,166,166,
205,205,166,166,205,377,205,86,86,45,166,166,498,205,86,45,45,166,166,377,
311,311,311,311,377,311,244,473,311,311,311,311,311,377,377,377,409,278,441,278,
278,278,409,311,498,473,278,278,278,278,1,1,45,205,441,166,278,45,311,86,
244,86,244,86,377,86,278,166,311,377,311,205,441,205,244,205,377,45,244,166,
311,86,45,86,45,166,86,45,1,166,166,344,344,205,441,205,473,205,344,1,
45,45,166,278,1,126,1,45,1,473,166,126,1,1,409,409,377,377,377,377,
166,409,45,278,126,409,377,278,278,205,441,126,278,126,244,244,473,126,377,1,
244,126,344,86,244,86,278,45,311,86,278,1,1,126,278,344,344,86,377,205,
441,126,311,86,244,45,278,1,377,126,377,126,45,205,126,409,205,441,126,377,
377,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,344,473,473,1,
473,473,473,473,473,473,473,473,473,473,473,473,473,344,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,344,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,126,344,
86,377,45,344,45,311,86,205,126,126,126,86,86,86,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,1,1,126,344,1,244,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473, };
static unsigned short stb__arial_47_latin_ext_a[560]={ 187,187,239,374,374,599,449,129,
224,224,262,393,187,224,187,187,374,374,374,374,374,374,374,374,
374,374,187,187,393,393,393,374,683,449,449,486,486,449,411,524,
486,187,337,449,374,561,486,524,449,524,486,449,411,486,449,635,
449,449,411,187,187,187,316,374,224,374,374,337,374,374,187,374,
374,150,150,337,150,561,374,374,374,374,224,337,187,374,337,486,
337,337,337,225,175,225,393,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,187,224,374,374,374,374,175,374,
224,496,249,374,393,224,496,372,269,369,224,224,224,388,362,187,
224,224,246,374,561,561,561,411,449,449,449,449,449,449,673,486,
449,449,449,449,187,187,187,187,486,486,524,524,524,524,524,393,
524,486,486,486,486,449,449,411,374,374,374,374,374,374,599,337,
374,374,374,374,187,187,187,187,374,374,374,374,374,374,374,369,
411,374,374,374,374,337,374,337,449,374,449,374,449,374,486,337,
486,337,486,337,486,337,486,414,486,374,449,374,449,374,449,374,
449,374,449,374,524,374,524,374,524,374,524,374,486,374,486,374,
187,187,187,187,187,187,187,150,187,187,495,299,337,150,449,337,
337,374,150,374,150,374,196,374,225,374,150,486,374,486,374,486,
374,407,487,374,524,374,524,374,524,374,673,635,486,224,486,224,
486,224,449,337,449,337,449,337,449,337,411,187,411,252,411,187,
486,374,486,374,486,374,486,374,486,374,486,374,635,486,449,337,
449,411,337,411,337,411,337,150,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,506,505,505,374,505,505,505,505,505,
505,505,505,505,505,505,505,505,577,441,505,505,505,505,505,505,
505,505,505,505,505,505,505,575,451,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,449,374,187,150,524,374,486,374,486,374,486,
374,486,374,486,374,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,449,374,673,599,524,411,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_47_latin_ext(stb_fontchar font[STB_FONT_arial_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_47_latin_ext_s[i] + stb__arial_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_47_latin_ext_t[i] + stb__arial_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_47_latin_ext_x[i];
            font[i].y0 = stb__arial_47_latin_ext_y[i];
            font[i].x1 = stb__arial_47_latin_ext_x[i] + stb__arial_47_latin_ext_w[i];
            font[i].y1 = stb__arial_47_latin_ext_y[i] + stb__arial_47_latin_ext_h[i];
            font[i].advance_int = (stb__arial_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_47_latin_ext_s[i] + stb__arial_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_47_latin_ext_t[i] + stb__arial_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_47_latin_ext_x[i] + stb__arial_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_47_latin_ext_y[i] + stb__arial_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_47_latin_ext_LINE_SPACING
#endif

