// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT        555
#define STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_48_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_48_latin_ext_LINE_SPACING          31

static unsigned int stb__arial_48_latin_ext_pixels[]={
    0xdddddddb,0xdddddddd,0xdddddddd,0x33100003,0x00000133,0x4c000000,
    0x2aa00019,0x04cc02aa,0x260ccc00,0x00000009,0x33000331,0x31000001,
    0x00000033,0x40013330,0x00000098,0x00f33320,0x07ddd100,0x000cc400,
    0xdfffb000,0x4c000001,0x80000009,0x001ffffc,0x7fc3fff4,0x3ba2006f,
    0x441bae02,0xdd103eee,0xfff1007d,0x3ba2009f,0x20eeeeee,0xffffffff,
    0xffffffff,0xffffffff,0xffd80002,0x800000ef,0x6440005a,0x007ffe01,
    0x0bfffe60,0x01bffff0,0xfe87ffe0,0x22000006,0x2effffec,0x002ffb80,
    0x7ff76540,0x1cefffff,0xfb880000,0x6d402fff,0x03efffff,0x3fea0000,
    0x440001ff,0x2a004fff,0xefffffed,0xf700002d,0x000bffff,0x3fff6e20,
    0x01acdfff,0x3ffe2000,0xffe8003f,0x006fff87,0xff883ffc,0x09fff106,
    0x2013ffe2,0x02fffffe,0xffffff88,0x3fffe0ff,0xffffffff,0xffffffff,
    0x0002ffff,0x00ffffcc,0x17fdc000,0x01ffa800,0x20007ffe,0xf804fffd,
    0x801effff,0x3fea1fff,0xfd000003,0x07ffffff,0x0005ff88,0xffffff71,
    0xffffffff,0x000017df,0x0bfffff6,0x7ffffec4,0x002effff,0x3fffe800,
    0xfff88000,0xfffeb804,0xffffffff,0x3e60002e,0x03fffdff,0x3fff6600,
    0xffffffff,0x80001dff,0x0004fffb,0xfff0fffd,0xdffc800d,0x07ffb511,
    0x4413ffe2,0x7e404fff,0x01fffdff,0x7fffffc4,0x3bbb60ff,0xffeeeeee,
    0xeeeeeeff,0x0001eeee,0x0017ffec,0x01ffd400,0x01fffb80,0x30007ffe,
    0x3e00dfff,0x805fffff,0x7ff41fff,0x7ec00000,0x1fffffff,0x000ffec0,
    0x3fffff22,0xffeeffff,0x3fffffff,0x7ffdc000,0xffb02fff,0xffffdfff,
    0x400003ff,0x0004fffa,0x409fff10,0xffffffe8,0xffffffff,0xff88005f,
    0x2fffb8ef,0xffffc800,0xffffffff,0x003fffff,0x01bffe20,0xf87ffe80,
    0x744006ff,0xffffffff,0x13ffe206,0x5027ffc4,0x3ffa9fff,0x2aaa200e,
    0x000fffda,0x001fffe8,0xfff98000,0xf9000004,0x7fdc000b,0x07ffe01f,
    0x01fffb00,0x7fff4c40,0x20fffc00,0x00005ff9,0x273fffe2,0x3ea00cba,
    0x7fcc004f,0x019cffff,0x3ffff6a2,0xfd0000df,0x7dc015ff,0xd711ceff,
    0x0001dfff,0x001bffa0,0x02ccc880,0x9ffffff5,0xffb75357,0xe800bfff,
    0x3ffa2fff,0xffb1000f,0x359bffff,0xfffffb95,0x3ee0009f,0x2a0000ff,
    0x2aaa82aa,0xfffe8800,0x2200dfff,0x99102ccc,0x3ffe2059,0x0bfff30f,
    0x00fffc80,0x01fffe80,0xffc80000,0x3a000006,0xf70001bf,0x7ffc03ff,
    0x3ffe2001,0xfff30001,0x81fff807,0x00002ffd,0x8009fff5,0x2000fff8,
    0x02effffa,0xffff7100,0xff88003f,0xfffe803f,0x0bfffa01,0x3ffe6000,
    0x40000000,0x0bfffff9,0x7fffe440,0x9fff9005,0x00efff98,0x2effffe8,
    0xfffff500,0x5fff0003,0x00000000,0x2f32ea00,0x80000001,0x7e42fffe,
    0x3f2004ff,0xfe8000ff,0x000001ff,0x0000ddc8,0x07fffe00,0x07ffee00,
    0x2001fff8,0x40002cca,0x7fc04ffe,0x07ff981f,0x5fff9000,0x04ffc800,
    0x0bfffee0,0x7fec4000,0x3ea000ef,0x7fc401ff,0x7ffd405f,0xaa980005,
    0x80000001,0x000efffe,0x017fffe4,0xfc800000,0x4000dfff,0x005fffe8,
    0x00000000,0x00000000,0x00000000,0x03fff200,0x07fffa00,0xfb500000,
    0x0000019f,0x003ffff1,0x403fff70,0x00001fff,0x0bffd000,0xfd01fff8,
    0xfd00005f,0x7c4001ff,0xff7001ff,0x000003df,0x400bfff5,0x4c00fffa,
    0xff803fff,0x3100007f,0x001b8003,0x03bfff20,0x37ffec00,0x4c000000,
    0x0003ffff,0x0007fffc,0x00000000,0x00000000,0x00000000,0x00fffc80,
    0x01fffe80,0x3be20000,0x00006eba,0x01ffff88,0x3fff2660,0x7ffc199a,
    0x00000001,0xff80bffb,0x0dff701f,0x0dfff000,0x006ffb80,0x001bfff1,
    0x7ffdc000,0x1fff5003,0x00dfff00,0x4c000335,0xefffffed,0x5ff700bd,
    0xf304ccc0,0x40003fff,0x4c1ffff8,0x98800099,0x6fffe819,0xfffb8000,
    0x0004ccc4,0x2660ccc4,0x99880009,0xddca8801,0x20ccc41b,0x26600999,
    0x6e544009,0x0ccc41bd,0x003fff20,0x007fffa0,0x20fb8000,0x800001f9,
    0x3000aaaa,0xffffffff,0x01fff8ff,0x0002f660,0xf80bffb0,0xfff301ff,
    0x4ccc4003,0x999dfffa,0x01fffc00,0x8806ffd8,0x9880adcb,0x07ffe419,
    0x803ffdc0,0x0003fffd,0x3fffae00,0xffffffff,0x0fffd43f,0x2e4fff88,
    0x80006fff,0x7fc3fffd,0x7fc000ff,0x7fffcc6f,0xff880001,0x3fffe0ff,
    0x37ffc000,0x0003fffe,0x6440dfff,0xffffffff,0x7c4fff71,0xfff104ff,
    0x3fff2209,0xf71fffff,0xfffc80ff,0xfffe8000,0x3a000001,0x00003f85,
    0x3fe60000,0x7fffffff,0xe800fffc,0x0003ffef,0xff017ff6,0x2fff403f,
    0xfffff900,0x0bffffff,0x400fffd4,0x2201fffa,0xeffffffc,0x3a1bffa0,
    0xffb803ff,0xffff3007,0xe880000b,0xffffffff,0xefffffff,0x202fff9a,
    0x3fa4fff8,0x980002ff,0x5fff901b,0x1fffd400,0x0013fff2,0x640acb80,
    0x2a002fff,0x7fe43fff,0x3fea002f,0xfffd103f,0x7fffffff,0x7fc4fff7,
    0x9fff104f,0xfffffd10,0xf77fffff,0xfffc80ff,0xfffe8000,0x2e000001,
    0x0007e60f,0xbdcb9880,0x910ccc41,0x99bfffb9,0x801fff89,0x001f22fa,
    0x7c06ffd8,0x3fee01ff,0xfffb000f,0xffffffff,0x037ff409,0x501fffc4,
    0xffffffff,0x9fff11df,0x700dff50,0x7d400fff,0x0001efff,0xffffff98,
    0xecba9bce,0xffffffff,0xa7ffc403,0x000ffff9,0xfff98000,0x3fff6005,
    0x01ffff40,0xff980000,0x3ff6005f,0x2fffcc0f,0x01fffb00,0x7bffffd1,
    0xfdfffd95,0x27ffc4ff,0x444fff88,0xabdffffe,0xffefffec,0x07ffe407,
    0x0ffff400,0xdf100000,0x0000dd75,0x7fffffe4,0x0fff71ff,0xf807ffee,
    0x46d801ff,0xfb0002f8,0x1fff80df,0x00fffe60,0x7ff6665c,0x101ccccf,
    0xf9007fff,0x7ffdc0bf,0xffecacff,0xf03fffae,0xffb805ff,0x7fff4007,
    0x260004ff,0x00dfffff,0xffffffb8,0x4fff8804,0x000ffff7,0x7fff4000,
    0x5fff8800,0x00ffffcc,0xffd00000,0xfff1001f,0x03fffa0b,0x417ffe20,
    0x701efffc,0x44ffffff,0xff104fff,0xefffc89f,0xfffff701,0x0fffc80f,
    0x1fffe800,0x7dc00000,0x80002fff,0xffffffd8,0xffbbffff,0x03fff707,
    0x6c00fffc,0x80017c46,0x7fc06ffc,0x2fffc01f,0x07ffe800,0x00bffea0,
    0x7d40bffa,0xff903fff,0x3203ffff,0x7fdc04ff,0xfffd3007,0x003dffff,
    0x05ffffd0,0xffffd880,0x4fff8802,0x000dfff9,0x7ffdc000,0x2fffa803,
    0x007fffd4,0xff700000,0xfff5007f,0x0fffee05,0x20bffea0,0x400ffff9,
    0x227ffffa,0xff104fff,0x7fffcc9f,0x7fffd400,0x07ffe407,0x0ffff400,
    0x3f600000,0x40004fff,0xbdffffe8,0xfefffeca,0x3fff707f,0x400fffc0,
    0x001f22fa,0x7c07ffc8,0x7ff401ff,0xdfff0007,0x0fffe400,0x441ffe60,
    0x6c03ffff,0x2a07ffff,0x7fe405ff,0xcfffb806,0xcfffffe9,0xffff9000,
    0x3ff60001,0xff8806ff,0x09fff94f,0x7c400000,0xffd806ff,0x06fffb87,
    0x7c400000,0xffd806ff,0x1bffe207,0x641fff60,0xfb003fff,0x7ffc4fff,
    0x49fff104,0xb003fffc,0xfc80ffff,0xfe8000ff,0x000001ff,0x3fffffe2,
    0x3ff20000,0xfff701ef,0x3fee0fff,0x07ffe01f,0x1fff7f40,0x1fff5000,
    0x200fffc0,0x4001fffd,0x2004fff8,0x6400fffe,0xfff904ff,0xffff3009,
    0x037fcc0d,0xf3017ff6,0xfffc85ff,0x7cc02fff,0xb0003fff,0x05ffffff,
    0xfb4fff88,0x000007ff,0x00fffd80,0x3213ffe2,0x00005fff,0x0fffd800,
    0x013ffe20,0x4401fffb,0xffb04fff,0x7ffcc00d,0x413ffe27,0x3f64fff8,
    0x3fe6006f,0x7ffe407f,0xfffe8000,0x2e000001,0x03fffeff,0x1dfff100,
    0x7ffffa80,0x403fff70,0x26001fff,0x440000cd,0x3fe03fff,0x7ffe401f,
    0x7ffd4002,0x1fffe003,0x2207ffa0,0xd000ffff,0x7c409fff,0x3ffe207f,
    0x827fe402,0x4fffffe9,0x01bfff20,0x7df7fe40,0x7fc406ff,0x05fffd4f,
    0xfa800000,0x3fee03ff,0x3fffc81f,0x33332200,0xcccccccc,0x03fffa83,
    0x5007ffee,0x7dc07fff,0x9fff01ff,0x27ffe800,0xf104fff8,0x27ffc9ff,
    0x01fffa00,0x0001fff9,0x0003fffd,0x767ff400,0xf90006ff,0x3f6007ff,
    0xfff707ff,0x000ccc03,0x3fa00000,0x3fff00ff,0x03fffb80,0x00fffdc0,
    0x406fff88,0xff907ff8,0x7fec009f,0x1ffe202f,0xf807ffd8,0x7fdc01ff,
    0xffd04fff,0xff70005f,0x0ffffe3f,0xfb4fff88,0x000005ff,0x40dfff00,
    0xff906ffe,0x7fcc009f,0xffffffff,0xdfff05ff,0x8037ff40,0x3fa06fff,
    0x7fff106f,0x27ffd800,0xf104fff8,0x3ffe29ff,0x3ffec003,0x003fff20,
    0x007fffa0,0x7ffcc000,0x001fffb9,0x2007fff8,0xf707fff9,0x400003ff,
    0xabcdcba9,0xfff30000,0x1fff815b,0x01fffd40,0x003fff60,0x202fffcc,
    0xfff06ff9,0x7fec001f,0x17fe601f,0x013fff26,0x3003fff3,0x987ffffd,
    0xa8006fff,0x3ff21fff,0x3ffe204f,0x007fff94,0xff900000,0x7fff303f,
    0x013ffee0,0xffffff98,0x05ffffff,0xf303fff9,0x3f2007ff,0xfff981ff,
    0x05fff503,0x227ffc80,0xff104fff,0x0bffea9f,0x80fff900,0x8000fffc,
    0x0001fffe,0x22fff900,0x44004fff,0x74004fff,0xfff707ff,0xff700003,
    0xffffffff,0xff50001b,0x7ffc1fff,0x27ffcc01,0x01fffa00,0x404fff98,
    0xff985ffa,0x7ff4005f,0x227fd407,0x003ffffd,0x6c009fff,0x3ee1ffff,
    0x7cc005ff,0x7ffcc2ff,0x53ffe206,0x0004fffc,0xfff98000,0x00fffc84,
    0x400bfff5,0xfffffff9,0x305fffff,0xff909fff,0x3fe6001f,0x0fffc84f,
    0x003fff70,0x3e27ffb8,0xfff104ff,0x007ffee9,0xc80fff70,0xe8000fff,
    0x00001fff,0x7f4bfff0,0x3e6000ff,0x7ec003ff,0x3fff707f,0x7ff44000,
    0xffffffff,0x88002fff,0x3fe0fffe,0x7ffc401f,0x2fffc005,0x07fff500,
    0xfa84ffb8,0x7fc004ff,0x17fe405f,0x8007fffa,0x2000fffd,0x3f23fffd,
    0x3e6004ff,0xfff883ff,0x53ffe207,0x0005fffb,0xfffd0000,0x4c0bfff0,
    0x00006fff,0xd02fffcc,0xbfff0fff,0x87ffe800,0x3ee05fff,0x7e4002ff,
    0x13ffe27f,0xfba7ffc4,0x7e4002ff,0x7ffe407f,0xfffe8000,0xfa800001,
    0x3ffee3ff,0x3ffee003,0x3ffe4002,0x001fffb8,0x9fffff30,0xfffd9557,
    0xfd3000df,0x0fffc1ff,0x017ffe20,0x004fff88,0x900fffea,0xfff707ff,
    0x7ffcc007,0x20fffc04,0x000cfffe,0x003dfff7,0xfd97ffe6,0xfd1003ff,
    0x7fffc09f,0x29fff100,0x0007fff9,0x2e006f20,0x3fea2fff,0x3ffe202f,
    0x2600001f,0x3ee05fff,0x3ffea2ff,0x7ffdc002,0x80bffea2,0x4003fffa,
    0x3fe27ffd,0x9fff104f,0x000fffea,0xfc80fffb,0xfe8000ff,0x800001ff,
    0x3e20fffd,0x3f2006ff,0x7dc001ff,0x3fff707f,0x3fff2000,0x7fffd404,
    0x3ffee002,0x07ffe0df,0x009fff30,0x001fffd4,0xc809fff3,0xfffc83ff,
    0x3ffea001,0x21ffea02,0x00effffc,0x07ffffb0,0xfe9bffa0,0xfe8802ff,
    0x7fffc05f,0x49fff101,0x0001fffe,0x00ffff98,0xfc93ffe2,0xfffd807f,
    0x3e600004,0x3fe205ff,0x01fff24f,0xc93ffe20,0x7fcc07ff,0x7ff4004f,
    0x413ffe27,0xff34fff8,0xffe8009f,0x07ffe407,0x0ffff400,0x3fe20000,
    0x1fffd85f,0x05fff700,0x707ffc80,0x10003fff,0x2e00bfff,0xf5005fff,
    0xfff019ff,0x3fffa803,0x07ffee00,0x04fff880,0x7dc27fdc,0x3fa001ff,
    0x3ffa00ff,0x17ffea03,0x7ffff440,0x2fff400e,0xb003ffff,0xffd00bff,
    0x3ffe205f,0x013fff24,0x1bffee00,0xff9fff60,0xfffa804f,0xf300000f,
    0xffd80bff,0x0013ffe7,0xfff3ffec,0x6fff8809,0x9fffe200,0xf104fff8,
    0x3ffe29ff,0x3ffe2006,0x07ffe407,0x0ffff400,0x3fee0000,0x5fffa82f,
    0x07fff500,0x707ffd80,0x66403fff,0x07ffee0c,0x037ffc40,0x3e06ffd8,
    0x7fd401ff,0x3ff6002f,0x7ffc000f,0x42ffdc05,0x5002fff9,0x7e40dfff,
    0xfffc806f,0xfffd1001,0x3fe607ff,0x07fffa3f,0x001dffb0,0x2205fffd,
    0x3fe64fff,0x740001ff,0xfa802fff,0x1fff99ff,0x0bffff00,0x3ffe6000,
    0x4fffd405,0x0001fff9,0xff33fff5,0xfffb003f,0x3ffee005,0x413ffe27,
    0x3f64fff8,0xff7002ff,0xfffc80ff,0xfffe8000,0x7f400001,0x3fffe07f,
    0x4fff9800,0x83fff400,0x3e02fffb,0x0ea621ff,0x00dfff00,0x7c03fff1,
    0x7fdc01ff,0x3ffa001f,0x6fff8007,0x4437fd40,0xff004fff,0x3fea09ff,
    0x7fff001f,0xffffc800,0x3ffa21ef,0x017ffec6,0x2001dff9,0xf101ffff,
    0xfffd89ff,0x3ff20005,0x3ffe007f,0x2006ffcc,0x002ffffb,0x05fffa80,
    0xffccfff8,0x7ffc0006,0x3006ffcc,0xf100dfff,0x7fc4ffff,0x9fff104f,
    0x4037ffcc,0x407ffff8,0x8000fffc,0x0001fffe,0x813ffe60,0x8803fffc,
    0x22006fff,0xff507fff,0x0fffc07f,0x6fff8000,0x407ffb80,0x7e401fff,
    0x3fe000ff,0xffe8005f,0x83ffcc07,0x6c00fffe,0xfa83ffff,0x3f6004ff,
    0xfe98006f,0xffacffff,0x7ffe41ef,0x03fff703,0x03fffe20,0x2227ffc4,
    0x8005ffff,0x004ffffb,0x3ffbbff2,0x7ffec003,0xf910004f,0xf900bfff,
    0x007ffddf,0xfeeffc80,0x3ff6003f,0xffd300df,0x7ffc4fff,0x89fff104,
    0x300dfffd,0x80fffffd,0x8000fffc,0x0001fffe,0x807fff20,0xb006fff9,
    0x32005fff,0xff507fff,0xff8535ff,0xba98001f,0x806ffffd,0x7fc07ffc,
    0x37ff401f,0x09fff100,0x03fff700,0xfc82fff8,0xffd105ff,0xffc87fff,
    0x3f2000ef,0x3ee0006f,0xcfffffff,0x84fffb80,0x2001fffa,0x2207fffa,
    0xffc84fff,0xc8801eff,0x4005ffff,0x0ffffff9,0x7fffc400,0xb8800aef,
    0x04ffffff,0xffffff98,0x7fcc0000,0x2000ffff,0xabeffff9,0xfffffca9,
    0x13ffe27f,0x2627ffc4,0x9abeffff,0xffffffca,0x07ffe407,0x0ffff400,
    0xfff88000,0x2fffe806,0x06fff980,0x07ffff88,0xfffffff1,0x100fffc3,
    0xffffdb75,0x00dfffff,0xff80dff9,0x3ffe201f,0x3ffea004,0xfff98002,
    0x82ffe403,0x98aefffe,0xfffefffb,0xeffffcbf,0x3ffdc000,0x3ffa6000,
    0x3ea03fff,0x7ffcc6ff,0x7ffdc002,0x13ffe205,0x6fffffec,0x3feea21a,
    0x8000efff,0x005ffffe,0xfffffd30,0xb7337bdf,0xfffffffd,0x7fff4007,
    0xfd00005f,0x3000bfff,0xfffffffd,0xfffd9fff,0x8827ffc4,0xfe984fff,
    0xffffffff,0x407ffecf,0x8000fffc,0x0001fffe,0x007fff70,0x200bfff7,
    0x300dfffd,0x40fffffd,0x2ffffffb,0x32207ffe,0xffffffff,0x06ffffff,
    0x7c06ffd8,0x3fea01ff,0x3fee001f,0xfff0001f,0x0fff980b,0xfffffe88,
    0xffb9ffff,0x4fffffff,0x0fff7000,0x3ffee000,0xfff101ff,0x0fffe63f,
    0x0bfffa00,0x204fff88,0xfffffffc,0xffffffff,0xf70000ff,0x80005fff,
    0xfffffffd,0xffffffff,0x4000cfff,0x002ffffb,0x5ffff700,0x3ff62000,
    0xd2ffffff,0x7ffc4fff,0x09fff104,0x3fffff62,0xfffd2fff,0x00fffc80,
    0x01fffe80,0x1fffd000,0x1ffff100,0xdffff300,0xfff95357,0xeb80ffff,
    0x3fe3ffff,0x7fffcc1f,0x1cdfffff,0xfb00dfff,0x1fff80df,0x001fff20,
    0x0001fff9,0x3e01fff2,0xfff104ff,0x221dffff,0xffffffff,0x3fee0003,
    0xd300000f,0x3603ffff,0xffe8dfff,0xfffa8004,0x3ffe200f,0x7fffdc04,
    0xffffffff,0x20000cff,0x0007fff8,0xfffffd50,0xffffffff,0x220003bf,
    0x00007fff,0x001fffe2,0x37bb6e60,0x89bffa0b,0xff104fff,0xedb9809f,
    0x3ffa0bde,0x07ffe406,0x80000000,0xcccffff9,0xfccccccc,0xd3003fff,
    0xffffffff,0x0fffd9ff,0x3fe04cc0,0x3fffe21f,0xff00acdf,0xbffb00df,
    0x201fff80,0x74004ffe,0x2a0006ff,0x7dc01fff,0x3f2a02ff,0x7ec40ace,
    0x5500acef,0x7ffdc055,0x3a200000,0xff305fff,0x00bffdff,0x0bffff10,
    0x004fff88,0xffffffb5,0x00019fff,0x0013ffe0,0xffff9300,0x57bdffff,
    0x9fff0000,0xfff80000,0x20000004,0x88006ffe,0x00004fff,0xfc80dffd,
    0x000000ff,0xffff9000,0xffffffff,0x0dffffff,0x7fffec40,0xffd2ffff,
    0xfff0000f,0x077ffec3,0x037ffc40,0x3e02ffec,0xfff301ff,0x5fff8003,
    0x27ff4000,0x00ffff40,0x3f200000,0x3fea03ff,0xf800000f,0x3ff207ff,
    0x90005fff,0x9803ffff,0xa8004fff,0x0009adff,0x07ffd400,0xb3100000,
    0x000015ff,0x000fffa8,0x03ffea00,0x7c000100,0xf88005ff,0x800024ff,
    0x7e405fff,0xaa8000ff,0xf80000aa,0xffffffff,0xffffffff,0x4c002fff,
    0x21bdeedb,0x54406ffe,0x1fff81aa,0x4003fffe,0xd806fff9,0x7ffc05ff,
    0x00bff901,0x004fff88,0x403ffd40,0x000efff9,0xfff70000,0x0fffa80d,
    0x803f6e40,0xf101fffc,0x0003ffff,0x007ffff9,0x0007fff3,0x00005ff7,
    0x002ffec0,0x0ffd8000,0xffd80000,0x7ec00005,0xefd8005f,0x3ffee004,
    0xfff98003,0x8013bf63,0x6403fffb,0xf8000fff,0x40001fff,0xcccefffa,
    0xcccccccc,0x005fffdc,0x0dfff000,0xf84fff98,0xbfff31ff,0x37ffdc00,
    0x202fff40,0xff881fff,0x7fd4001f,0xfe80002f,0xfffa802f,0x2000002f,
    0x00efffc8,0x2007ffd4,0xb801fffd,0x3f602fff,0x3003ffff,0x00bffffd,
    0x000bffea,0x0077fff6,0x5fff3000,0xf1000000,0x00019fff,0x00bffe60,
    0x2fff9800,0x2fffc800,0x1ffff880,0x3fff9800,0x200bfff2,0x401ffff8,
    0x8000fffc,0x0001ffff,0x0017ffec,0x807fffc4,0xfff10000,0x4fff980b,
    0xff51fff8,0x3fa200bf,0xfff806ff,0x40fffc04,0xc8005ffb,0x80000fff,
    0xf7005ffb,0x0003dfff,0xeffffa80,0x1fff9800,0x02fffd40,0xc807fff4,
    0xefffffff,0xfb7510ab,0x001dffff,0x000bfff2,0x03fff2a6,0x7ff44000,
    0x20000006,0x006ffeaa,0x06ffe880,0x3ffa2000,0xfff50006,0xdfffb00d,
    0x3fff2000,0x01bffea2,0x201bfff6,0x8000fffc,0x0001ffff,0x001fffe2,
    0xb04fffe8,0x7d4009df,0x7fcc03ff,0x11fff84f,0x8803ffff,0x407ffffe,
    0x7c02fff9,0x1ffe81ff,0x37ffc400,0x3ffd0000,0x3fffea00,0x10000adf,
    0x19ffffd7,0x17ffe200,0x07ffff10,0xb82fffd4,0xfffebfff,0xffffffff,
    0x404fffff,0x7fffdab9,0x4ffe8000,0xfd9b9000,0x00005fff,0x5fff1000,
    0xfecdc800,0x20002fff,0xffffecdc,0x3ffa0002,0xb9989bff,0x000ffffe,
    0xffffb571,0xbffffe81,0xffeb9989,0x666440ff,0x000fffec,0x001ffee8,
    0x013ffee0,0x07fffa80,0x1001fff9,0x8803ffff,0xfff84fca,0x037fffe1,
    0x7fffff4c,0xfffba987,0x0fffc00f,0x93017fee,0x9fffd757,0x7fd40000,
    0x3ff62006,0xaabeffff,0xd7553319,0x03bfffff,0x59fffb00,0xffff5013,
    0xffb5335b,0xfff507ff,0x7ffffdc3,0xffffffff,0xfffb802e,0x20004fff,
    0x004fffa8,0xffffff90,0x00000009,0x005fff91,0xffffffc8,0x7fe40004,
    0x0004ffff,0x7fffffc4,0xffffffff,0x3ffee002,0xff885fff,0xffffffff,
    0xf882ffff,0x0fffffff,0x003fe000,0x01fffe80,0x3fffe200,0x05fffa82,
    0x005fffd8,0x3ffe0bf2,0x3ffffea1,0xffffebbc,0x7c0fffdd,0x805fffff,
    0x3fe21fff,0x7ffe400f,0x001fffff,0x017fe400,0x3ffffaa0,0xffffffff,
    0xffffffff,0x3ea0002e,0x902fffff,0xffffffff,0x3e07ffff,0xfec882ff,
    0xdfffffff,0x3fff6001,0x22000dff,0xfffffeee,0xfff70001,0x00000bff,
    0x3fffbaa0,0xfb8006ff,0x0005ffff,0x5fffffb8,0xffb30000,0xffffffff,
    0xffd8001d,0xb300efff,0xffffffff,0x3e201dff,0x0fffffff,0x00df3000,
    0x037ffcc0,0x2fffe400,0x9befffe8,0xfffeb998,0x1ff1000f,0xfc83fff0,
    0xffffffff,0x7fff32ff,0x0efffff8,0x2e1fff80,0xffe802ff,0x003fffff,
    0x06fe8800,0xffff9300,0xffffffff,0x007dffff,0x3fffee00,0x3ffea02f,
    0x1fffffff,0x4400fa20,0x0001aaba,0x007bffd9,0xffffff10,0x6cc0005f,
    0x00002cff,0x3fffee00,0x98000eff,0x0002cffd,0x059ffb30,0xdb930000,
    0x0039ddff,0x0f7ffb20,0x7ff6e4c0,0x64401cee,0x0ccccccc,0x03fe8800,
    0x0ffff200,0x3ffe6000,0xffff880f,0xffffffff,0xff1002ff,0x207ffe07,
    0xffffffe9,0x37ffc0cf,0x800fbffe,0x9ff11fff,0x3fbb3200,0x000002df,
    0x0000ffea,0x3fb72ea6,0x00aceeff,0xfed98000,0xfecb802f,0x0000acdf,
    0x00000000,0xdedc8800,0x000000bc,0x54000000,0x002cdeec,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0006ffc4,0x001ffff0,0x13fffa00,
    0x7ffffecc,0x00dfffff,0x40001740,0x0009aa98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02640000,0x1bffea00,
    0xfffb8000,0x7f6e4c07,0x0000beef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x007fffb0,
    0x7fffc400,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffc800,0x01300000,0x66400000,0xa80002cc,0x0332e1cc,
    0x99995000,0x01999999,0x42666440,0x2001cccb,0x001cccc8,0x04ccc400,
    0x0004ccc4,0x00399993,0x79997000,0x26662000,0x00999880,0x4ccc0000,
    0x98000001,0x00000999,0x54403550,0x4000000a,0x500001ba,0x75c05999,
    0xeeeeeeee,0xccceeeee,0xddd7000a,0xeea80005,0xddd5003e,0x2e00003d,
    0x33264ccc,0xccca81cc,0x3ffea00c,0xb98006ff,0xceffffec,0xc800001b,
    0x00003fff,0xff71ffd1,0xff900005,0xffffffff,0xfffc8001,0x017ffe64,
    0x03fffa20,0xfff98000,0x1bffe60f,0x17fffa00,0xfff30000,0x3e20005f,
    0x3fe60fff,0x000000ef,0x017fffee,0xfff88000,0xd000003f,0x07fec0df,
    0x3f600000,0xff980005,0xff902fff,0xffffffff,0xffffffff,0xffc803bf,
    0x7dc0003f,0xff5004ff,0x100003ff,0x7ec5ffff,0xffd105ff,0x3ffe609f,
    0x3004fffd,0xfffffffb,0x03dfffff,0x3ffea000,0x7c400001,0x0003ffef,
    0xdddddd70,0x0001dddd,0x3fa3fffd,0x360000ef,0x400005ff,0x3fa5fffa,
    0xf88000ff,0x00001fff,0x000ffff6,0x74bfff50,0x00000fff,0x3ffffe60,
    0x1000003f,0x0007ffff,0x20fff200,0x00006ff9,0x0003ff80,0x7fffffc4,
    0xffffc80f,0xffffffff,0xffffffff,0x3fff202f,0x7fdc0003,0xfff5004f,
    0xf900003f,0x7ffccbff,0x3ffe600f,0x7fff440f,0x403fffb8,0xfffffffa,
    0xffffffff,0x7c40003f,0x000000df,0x0009fff3,0x40000000,0xffcefff8,
    0xfb80001f,0x6400004f,0xfffcafff,0x3fe60001,0xf300005f,0x20000bff,
    0xffbbfffc,0x2000002f,0xffbefff8,0x8800002f,0x0003ffff,0x9ffff100,
    0x005fffd9,0x0ffa8000,0x7ffec000,0x640effe9,0xccccdfff,0xfecccccc,
    0x01ffffff,0x0007fff9,0x004fffb8,0x003ffff5,0xc8dfff00,0xfa802fff,
    0x7ffec4ff,0x407fff62,0xcefffff9,0xffecbaab,0x4c003fff,0x0055302a,
    0x5302a980,0x2a980005,0x40005530,0x2ffffffa,0x20553000,0xd00002a9,
    0x07ffffff,0x3fff5000,0xdffb0000,0x7ec00001,0x003fffff,0x7ffec000,
    0x001fffb1,0xffff8800,0x2a000003,0xffffffff,0xc8000003,0x7e40006f,
    0xbfff33ff,0x003fffc8,0x6ffffd88,0x007fff90,0x04fffb80,0x03ffff50,
    0x1fffa800,0x8013ffe2,0xff70fffc,0xffff88bf,0x1efffd80,0xffffea80,
    0x03ff2000,0x80003ff2,0xffc80ffc,0x3ff20000,0x000ffc80,0x13ffff20,
    0x80ffc800,0x80000ffc,0x04fffff8,0x17ff2000,0x3fff1000,0xff880000,
    0x00005fff,0x127ffe40,0x0001dfff,0x16666440,0x32200000,0x001dfffe,
    0x09fd0000,0x37ffd400,0xfc8ffff2,0x2e0003ff,0xfc80ffff,0x5c0003ff,
    0x00004fff,0x0bffa000,0xb000dff7,0x400009ff,0x000efff8,0x013fffa2,
    0xfc80ffc8,0x3f20000f,0x00ffc80f,0x203ff200,0x40000ffc,0x40001999,
    0xffc80ffc,0x99300000,0x30000099,0x98800033,0x30000009,0x00019999,
    0x26664400,0x00166654,0x00000000,0x00000200,0x003ff300,0x40555540,
    0x3ff22aaa,0x7ec0003f,0xfffc82ff,0x7fdc0003,0x0000004f,0x55055510,
    0x55100015,0x7d400005,0xf98002ff,0x95000fff,0x01995019,0x40665400,
    0x20000cca,0xcca80cca,0x00000000,0x2a0332a0,0x000000cc,0x00000000,
    0x00000000,0x000004cc,0x0004cc00,0x03310000,0x99800000,0x20000000,
    0x000007fb,0x0ffff200,0x9fff7000,0x007fff90,0x04fffb80,0x0deee544,
    0x00006662,0x98000000,0xffc80099,0xffd0000f,0x17775c3f,0x3bbaa000,
    0x005ddd73,0x73eeea80,0x80005ddd,0xf883eeea,0x7ffcc6ff,0x02eeeb84,
    0x9f775400,0x0002eeeb,0x441f7754,0x7fcc6fff,0x7ffc404f,0x027ffcc6,
    0xffedba80,0x000befff,0x7fedc400,0x1acdffff,0xfdb50000,0x05bdffff,
    0x76dd4000,0x0befffff,0xd9510000,0x0000bfdb,0x200eeed8,0x0003fffc,
    0x6437ffcc,0x40003fff,0x9104fffb,0xffffffff,0xeb9ffee3,0x540002ee,
    0xeed83eee,0x13ffe206,0x007fff60,0x917ffe40,0x80007fff,0xff94fffb,
    0xfb80007f,0x7fff94ff,0xfffb8000,0x46fff884,0xfc84fff9,0x5c0003ff,
    0xfff94fff,0xffb80007,0x6fff884f,0x2027ffcc,0x7cc6fff8,0x74c004ff,
    0xffffffff,0x001dffff,0x7fffecc0,0xffffffff,0xd70001df,0xffffffff,
    0x0005dfff,0x7fffff4c,0xdfffffff,0xfeb88001,0x1effffff,0x3ffe0000,
    0x3fff200f,0x7fdc0003,0x3fffc86f,0x7ffdc000,0xffffe884,0xbbffffff,
    0x3fff27ff,0x7fdc0003,0x07fff84f,0x2013ffe2,0x0005fffb,0x3fff2031,
    0x7fdc0003,0x07fff94f,0x4fffb800,0x0007fff9,0x884fffb8,0x7fcc6fff,
    0x3fffc84f,0x7ffdc000,0x007fff94,0x84fffb80,0x7cc6fff8,0x7fc404ff,
    0x27ffcc6f,0xfffff700,0xffffffff,0x20007fff,0xfffffffc,0xffffffff,
    0x3a2003ff,0xffffffff,0x5fffffff,0xffffb800,0xffffffff,0x2003ffff,
    0xffffffe9,0x003fffff,0x01ffff00,0x001fffe4,0x213fff60,0x0003fffc,
    0x2227ffdc,0xabdffffe,0xffefffec,0x00ffff27,0x09fff700,0x7c40ffff,
    0xff9804ff,0x400001ff,0x0003fffc,0xfca7ffdc,0x5c0003ff,0xfff94fff,
    0xffb80007,0x6fff884f,0x6427ffcc,0x40003fff,0xff94fffb,0xfb80007f,
    0xfff884ff,0x027ffcc6,0xf31bffe2,0xfd3009ff,0x379dffff,0xfffff953,
    0x7ec4009f,0xacdfffff,0xffffdca9,0xffa804ff,0x9abcffff,0xfffffdba,
    0xfffd3005,0x53379dff,0x9ffffff9,0xfffff300,0xffffb37b,0xff00009f,
    0x7fe401ff,0x3e60003f,0xffc83fff,0x7dc0003f,0x7ffe44ff,0xffff701e,
    0x1fffe4ff,0x3ffee000,0x207fff84,0xf004fff8,0x003bffff,0x0ffff200,
    0x9fff7000,0x000ffff2,0x329fff70,0x40003fff,0x5504fffb,0x1aaa8855,
    0x003fffc8,0xca7ffdc0,0x40003fff,0x5504fffb,0x1aaa8855,0x442aaa80,
    0x7c401aaa,0x800dffff,0x05ffffea,0x5dffffd0,0x3fffea00,0x3ffe601f,
    0x64400bff,0x4405ffff,0x00dfffff,0x5ffffea8,0x077fff40,0x3ffff7fe,
    0x7ffc0000,0x3fff200f,0xfff70003,0x3fff20df,0x7fdc0003,0x3fffe64f,
    0x7fffd400,0x00ffff27,0x09fff700,0x7c40ffff,0xff5004ff,0x15bfffff,
    0x3fff2000,0x7fdc0003,0x07fff94f,0x4fffb800,0x0007fff9,0x004fffb8,
    0x7fff9000,0xfffb8000,0x007fff94,0x04fffb80,0x00000000,0x3ffffc80,
    0x7ffec400,0x7ffe402f,0x744000df,0x3fa05fff,0x64000eff,0x3202ffff,
    0x4003ffff,0x02ffffd8,0x981ffff7,0x4fffa9ff,0x7fffc000,0x2ffff200,
    0x99999999,0xfffecba9,0xfff901ff,0xffb80007,0x0ffff24f,0x93fffec0,
    0x80007fff,0xff84fffb,0x3ffe207f,0x3ffe6004,0xceffffff,0xfff9000a,
    0xffb80007,0x07fff94f,0x4fffb800,0x0007fff9,0x004fffb8,0x7fff9000,
    0xfffb8000,0x007fff94,0x04fffb80,0x00000000,0x0ffffcc0,0xffffb000,
    0x3fffe601,0x7ffc0003,0xefffc80f,0xfffb0000,0x3fffe60d,0x3ff60001,
    0xfffe80ff,0x3fa7fb82,0x7fc0007f,0x3ff200ff,0xffffffff,0xffffffff,
    0x3f202fff,0x5c0003ff,0x3ff64fff,0x3ffe6006,0x00ffff27,0x09fff700,
    0x7c40ffff,0x744004ff,0xffffffff,0x200bdfff,0x0003fffc,0xfca7ffdc,
    0x5c0003ff,0xfff94fff,0xffb80007,0x9000004f,0x80007fff,0xff94fffb,
    0xfb80007f,0x000004ff,0x7f400000,0x440004ff,0xfd05fffe,0x70000dff,
    0xff989fff,0x220001ff,0xfe81ffff,0x440004ff,0x7c45fffe,0x49fd06ff,
    0x40002cdb,0x3200ffff,0xffffffff,0xffffffff,0x6400dfff,0x40003fff,
    0x3fe4fffb,0x7ff4004f,0x00ffff27,0x09fff700,0x7c40ffff,0xb30004ff,
    0xffffffff,0x3205ffff,0x40003fff,0xff94fffb,0xfb80007f,0x7fff94ff,
    0xfffb8000,0x80026664,0xfff90999,0xffb80007,0x07fff94f,0x4fffb800,
    0x98002666,0x02666099,0x2e099980,0x0000ffff,0x40ffffa8,0x001ffff9,
    0x0ffff880,0x001bffee,0x70ffff60,0x0001ffff,0x41ffff50,0xf884fffa,
    0xf000002f,0x7e401fff,0xffffffff,0xdfffffff,0xfff9000b,0xffb80007,
    0x07fff14f,0x327ffd80,0x40003fff,0xff84fffb,0x3ffe207f,0xec980004,
    0xffffffff,0x3fffc85f,0x7ffdc000,0x007fff94,0x94fffb80,0x80007fff,
    0xff34fffb,0x7ffc007f,0x007fff96,0x94fffb80,0x80007fff,0xff34fffb,
    0x7ffc007f,0x007fff36,0xfff37ffc,0x7400007f,0x7fe42fff,0x2e00004f,
    0x7fff40ac,0x1b980002,0x007ffff0,0x17fff400,0xf507fff7,0x2000001f,
    0x3200ffff,0xaaaacfff,0xeffffbaa,0x7ffe4001,0x7fdc0003,0x05fff54f,
    0x327ffc80,0x40003fff,0xff84fffb,0x3ffe207f,0x54400004,0xffffffec,
    0x01fffe45,0x53ffee00,0x0003fffc,0xfca7ffdc,0x5c0003ff,0xfff34fff,
    0xb7ffc007,0x0003fffc,0xfca7ffdc,0x5c0003ff,0xfff34fff,0xb7ffc007,
    0x2003fff9,0xfff16fff,0xfb80000f,0x7fff45ff,0x98000003,0x0000ffff,
    0x3fffc400,0x3fee0000,0x0bfff25f,0x00001bf6,0x200ffff8,0xb803fffc,
    0x2004ffff,0x0003fffc,0xfb9fffe4,0x7dc001ff,0x0ffff27f,0x9fff7000,
    0x440ffff0,0x00004fff,0x7fffecc0,0x0ffff22f,0x9fff7000,0x000ffff2,
    0x329fff70,0x40003fff,0xff34fffb,0x7ffc007f,0x007fff96,0x94fffb80,
    0x80007fff,0xff34fffb,0x7ffc007f,0x007fff36,0xff9b7ffc,0x4c00006f,
    0x3fe67fff,0x000001ff,0x007fffb8,0xfff98000,0x7cc00006,0x3fff67ff,
    0x0003ff80,0x03fffe00,0x003fffc8,0x007ffff7,0x000fffee,0x2e7fff90,
    0x64002fff,0x3fff27ff,0x7fdc0003,0x07fff84f,0x0013ffe2,0x7ffd4000,
    0x0ffff26f,0x9fff7000,0x000ffff2,0x329fff70,0x40003fff,0xff34fffb,
    0x7ffc007f,0x007fff96,0x94fffb80,0x80007fff,0xff34fffb,0x7ffc007f,
    0x007fff36,0xffab7ffc,0xf800005f,0xfff50fff,0x0000001f,0x000dfff9,
    0xbfff5000,0xfff00000,0x07fff61f,0x00003ff3,0x007fffc0,0x4007fff9,
    0x802ffffc,0x0004fffa,0xfa97ffec,0x7ec003ff,0x0ffff27f,0x9fff7000,
    0x440ffff0,0x11004fff,0xfff98000,0x07fff90f,0x4fffb800,0x0007fff9,
    0xf94fffb8,0xb80007ff,0xfff34fff,0xb7ffc007,0x0003fffc,0xfca7ffdc,
    0x5c0003ff,0xfff34fff,0xb7ffc007,0x2003fff9,0xfff76fff,0xfd000009,
    0x3ffee3ff,0x90000006,0x00009fff,0x09fff700,0xfffd0000,0x90bfff23,
    0x800000ff,0x3200ffff,0x6c003fff,0x4c01ffff,0x40004fff,0xff32fffe,
    0xffe8009f,0x00ffff27,0x09fff700,0x7c40ffff,0x7ffc04ff,0xffe80007,
    0x07fff91f,0x4fffb800,0x0007fff9,0xf94fffb8,0xb80007ff,0xfff34fff,
    0xb7ffc007,0x0003fffc,0xfca7ffdc,0x5c0003ff,0xfff34fff,0xb7ffc007,
    0x2003fff9,0xfff96fff,0xfd000007,0x3fff25ff,0xb0000005,0x00007fff,
    0x07fff900,0xfffd0000,0xd0fffee5,0x0000209f,0x9007fffc,0x88007fff,
    0x200effff,0x0006fff8,0xf88ffffc,0x3e2006ff,0x3fff27ff,0x7fdc0003,
    0x07fff84f,0xd013ffe2,0x80005fff,0xff92fffc,0xfb80007f,0x7fff94ff,
    0xfffb8000,0x007fff94,0x34fffb80,0x7c007fff,0x7fff96ff,0xfffb8000,
    0x007fff94,0x34fffb80,0x7c007fff,0x7fff36ff,0xeb7ffc00,0x00002fff,
    0xf93fffd8,0x644007ff,0xcccccccc,0xfffd3ccc,0xd0000005,0x00005fff,
    0x2a7fffb0,0x3fe24fff,0x03eff982,0x03fffe00,0x003fffc8,0x05ffffb8,
    0x0007fffc,0x6c7fff98,0xf7002fff,0x7ffe4fff,0x7fdc0003,0x07fff84f,
    0xb013ffe2,0x80009fff,0xff91fffd,0xfb80007f,0x7fff94ff,0xfffb8000,
    0x007fff94,0x34fffb80,0x7c007fff,0x7fff96ff,0xfffb8000,0x007fff94,
    0x34fffb80,0x7c007fff,0x7fff36ff,0xeb7ffc00,0x00002fff,0xf92fffe8,
    0x7cc009ff,0xffffffff,0xfffb5fff,0xd0000005,0x00005fff,0x225fffd0,
    0x3fea6fff,0x01fffb80,0x03fffe00,0x003fffc8,0x05ffffb0,0x001fffec,
    0x4c6fffd8,0xf8806fff,0x3ff27fff,0x7dc0003f,0x7fff84ff,0x013ffe20,
    0x001ffff5,0x43fffe20,0x0003fffc,0xfca7ffdc,0x5c0003ff,0xfff94fff,
    0xffb80007,0x07fff34f,0xfcb7ffc0,0x5c0003ff,0xfff94fff,0xffb80007,
    0x07fff34f,0xf9b7ffc0,0x3fe003ff,0x07fffb6f,0xffff0000,0x013ffee3,
    0xffffff98,0x95ffffff,0x00007fff,0x07fffb00,0xffff0000,0xd9fffec3,
    0x0fffd05f,0x0ffff800,0x00ffff20,0x37fffc40,0x03ffff50,0x2ffff980,
    0x00dfffd8,0x4fffffd3,0x0003fffc,0x7c27ffdc,0x3fe207ff,0xfffe804f,
    0xffc8001f,0x0ffff25f,0x7fff9000,0x000ffff2,0x327fff90,0x40003fff,
    0xff33fffc,0x7ffc007f,0x007fff96,0x93fffc80,0x80007fff,0xff33fffc,
    0x7ffc007f,0x007fff36,0xffcb7ffc,0x4400004f,0xff51ffff,0x7fcc00bf,
    0xffffffff,0x9fff95ff,0xf9000000,0x800009ff,0x261ffff8,0x3ff9ffff,
    0x004fffc8,0x007fffc0,0x0007fff9,0x027fffdc,0x005ffffd,0x41bfffee,
    0xabeffff9,0xfffffca9,0x0ffff27f,0x7fff9000,0x440ffff0,0xfb804fff,
    0x3003ffff,0x5c3ffffd,0x40003fff,0xff73fffc,0xfc80007f,0x7fff73ff,
    0xfffc8000,0x007fff33,0xffbb7ffc,0x7e40003f,0x7fff73ff,0xfffc8000,
    0x007fff33,0xff9b7ffc,0x3ffe003f,0x00bfff76,0xffff9800,0x00dfff30,
    0x5fff9800,0x000bfff7,0xbfff7000,0xff980000,0x7ffe40ff,0x3f221fff,
    0xf80006ff,0x3f200fff,0x740003ff,0xf501ffff,0x37bfffff,0xfffd9753,
    0x7f4c03ff,0xffffffff,0x2e7ffecf,0x40003fff,0xff83fffc,0x3ffe207f,
    0xffff9004,0x53359bff,0x7fffffb9,0x004fffb8,0xb97ffec0,0x40004fff,
    0xff72fffd,0xfd80009f,0x7fff32ff,0xbb7ffc00,0x40004fff,0xff72fffd,
    0xfd80009f,0x7fff32ff,0x9b7ffc00,0x3e003fff,0xdfff36ff,0xffa80000,
    0x3fffe26f,0x3e600001,0xffff35ff,0x0de40000,0x001bffe6,0x0dfff500,
    0x33fffffa,0x0fffffdc,0xffff8000,0x0ffff200,0xffff3000,0x7fffdc0d,
    0xffffffff,0x801fffff,0xffffffd8,0x4fffd2ff,0x0004fffb,0x7c17ffec,
    0x3fe207ff,0x3ff6004f,0xffffffff,0x4fffffff,0x004fffa8,0xa97fff40,
    0x40004fff,0xff52fffe,0xfe80009f,0x7fff32ff,0xab7ffc00,0x40004fff,
    0xff52fffe,0xfe80009f,0x7fff32ff,0x9b7ffc00,0x3e003fff,0x3fffe6ff,
    0x3f600001,0x7ffec3ff,0x3e600004,0x3fffa5ff,0xff980001,0x3fffe0ff,
    0x3f600001,0xffb103ff,0xffffffff,0xf001803d,0x7e401fff,0xc80003ff,
    0x2603ffff,0xfffffffe,0x1effffff,0x776dcc00,0x9bffa0bd,0x0004fffa,
    0x7c17fff4,0x3fe207ff,0x7fd4004f,0xffffffff,0x302fffff,0x8000dfff,
    0xff31ffff,0xff8000df,0xdfff31ff,0xffff8000,0x007fff31,0x7cdbffe2,
    0x7c0006ff,0xfff31fff,0xfff8000d,0x07fff31f,0x4dbffe20,0xf1003fff,
    0x7ffe4dff,0xff500006,0xfffa81ff,0xf300000f,0x7ffe4bff,0xffb80004,
    0x37ffe46f,0xfffa8000,0x7ffdc00f,0x203fffff,0xff007fec,0xfffc80ff,
    0xffd00003,0xecb801ff,0xffffffff,0x4000002d,0x3fe66ffe,0x7fc0006f,
    0x7fff81ff,0x013ffe20,0x7fffedc0,0x0aceffff,0x007fffc0,0x47fff980,
    0x0000ffff,0xff8ffff3,0xf30000ff,0x7ffccfff,0xdfff3004,0x0007fffc,
    0x7c7fff98,0x30000fff,0x7fccffff,0xfff3004f,0x013ffe6d,0xf337ffcc,
    0x00007fff,0x3e0dfffd,0x00005fff,0x7ccbfff3,0x40001fff,0x7cc2fffe,
    0x80003fff,0xc806fffe,0x01acbaff,0x800fffc8,0x00007fff,0x10000000,
    0x0015bff5,0x3fe00008,0x07fffc5f,0x7fff9800,0x4c0ffff0,0x80004fff,
    0x001bffd9,0x005fffd8,0xd8bfffb0,0xb0005fff,0xffd8bfff,0xffb0005f,
    0x2fffc4bf,0x26fffb80,0x0005fffd,0xfd8bfffb,0xfb0005ff,0x7ffc4bff,
    0xdfff7005,0x4017ffe2,0x7e46fffb,0x20000fff,0x701ffffb,0x0005ffff,
    0xd8bfff50,0x20005fff,0xf907fffc,0x40001fff,0x801ffffb,0xf70005fe,
    0xff8803ff,0x2a00006f,0x0001deff,0x007fe200,0x00277ec0,0xfd87fff7,
    0xfb0005ff,0x3ffe0bff,0x0fffe607,0x07ff4000,0xffffb800,0x7ffcc004,
    0x7fffdc2f,0x7ffcc004,0x7fffdc2f,0x7ffcc004,0x07fffc2f,0x9bfffa20,
    0x004ffffb,0x217fffcc,0x004ffffb,0x217fffcc,0x4400ffff,0x3fe6fffe,
    0x7f4400ff,0xfffe86ff,0xffc8001e,0x7fec04ff,0x910004ff,0xf88bffff,
    0xb8005fff,0x3a04ffff,0x8001efff,0x804ffffc,0x50003ff8,0xfb80bfff,
    0x200004ff,0x02fffffa,0x1ff30000,0x3fff2000,0xffff8802,0x27fffdc1,
    0x3fffe600,0x40ffff02,0x0002fffa,0x1dffff98,0xffffe800,0xffff7003,
    0x3ffffa0d,0xffff7003,0x3ffffa0d,0xffff7003,0x09fffd0d,0x37ffff44,
    0x00fffffa,0x837fffdc,0x003ffffe,0xd0dffff7,0x74409fff,0x3fa6ffff,
    0x3fa204ff,0xff986fff,0xd1003fff,0x100dffff,0x15dfffff,0xffff7100,
    0xfff909ff,0xf91003df,0xf980bfff,0x1003ffff,0x00dffffd,0x40003fea,
    0x301ffff8,0x0005ffff,0x7ff54c40,0xf7000006,0x3ea0003f,0xffd806ff,
    0xffffd06f,0x3ffee007,0x1fffe06f,0x001fffc8,0xdffb3100,0xffff5000,
    0x75337bff,0x3fffffd9,0x3ffffea0,0xcba99bdf,0x01fffffe,0xbffffff5,
    0xfd975337,0xf503ffff,0x54439fff,0x46fffffe,0xdffffffa,0xfecba99b,
    0xf501ffff,0x37bfffff,0xfffd9753,0xfff503ff,0x7f54439f,0x3ea6ffff,
    0x2a21cfff,0x06fffffe,0x9dfffff5,0x3f6e6235,0x000effff,0xffffffd3,
    0xdb7337bd,0x7fffffff,0x7ffffec0,0x3eea21ad,0x800effff,0xcefffffa,
    0xffb7311a,0x2001dfff,0x640006fd,0xa99cffff,0x00fffffc,0xfff10000,
    0xf7000005,0x7f40009f,0x9989bfff,0x00ffffeb,0xbffffff5,0xfd975337,
    0x7c03ffff,0x36ae67ff,0x00007fff,0x002fff98,0xffffffb8,0xffffffff,
    0x7dc02fff,0xffffffff,0xffffffff,0x7fffdc02,0xffffffff,0x202fffff,
    0xefffffff,0xffccffff,0xfffffb86,0xffffffff,0x5c02ffff,0xffffffff,
    0xffffffff,0x3fffe02f,0xffffefff,0x7fc6ffcc,0xffefffff,0x06ffccff,
    0x3fffffa6,0xffffffff,0xb0005fff,0xffffffff,0xffffffff,0xf90019ff,
    0xffffffff,0xffffffff,0x7ff4c001,0xffffffff,0x05ffffff,0x00027fc0,
    0x3fffffe2,0x2fffffff,0xf9100000,0x000005ff,0x2617fff5,0xfff8803b,
    0xffffffff,0x7dc02fff,0xffffffff,0xffffffff,0x73fffc02,0x09ffffff,
    0x7ed4c000,0xf30001ff,0xffffffff,0x03dfffff,0x3ffffe60,0xffffffff,
    0xff3001ef,0xffffffff,0x803dffff,0xffffffe8,0xdff93fff,0x3ffffe60,
    0xffffffff,0xff3001ef,0xffffffff,0x803dffff,0xffffffe8,0xdff93fff,
    0xfffffe88,0xff93ffff,0xfffc880d,0xffffffff,0x40003fff,0xffffffea,
    0xffffffff,0x7fdc001d,0xffffffff,0x000cffff,0xfffffc88,0xffffffff,
    0x7fcc003f,0xffa80001,0xffffffff,0x2600003f,0xefffffee,0xf8800000,
    0x4fffffff,0xffffb300,0x1dffffff,0x3fffe600,0xffffffff,0xff801eff,
    0x3ffff67f,0x5c0000ef,0x5fffffff,0x7ed44000,0xffffffff,0xda88002d,
    0xffffffff,0xa88002df,0xfffffffd,0x64002dff,0x2dffffff,0xa881bff2,
    0xfffffffd,0x88002dff,0xffffffda,0x4002dfff,0xdffffffc,0x641bff22,
    0x2dffffff,0x4401bff2,0xffffffeb,0x00002dff,0x7ffffe4c,0x02bdefff,
    0x7ffed400,0x0cffffff,0xfeb88000,0xdfffffff,0x0ff90002,0x7fe44000,
    0x01ceffff,0x7ffdc000,0x0000efff,0x3fffea00,0x4c003fff,0xceeffedc,
    0xfda88001,0xffffffff,0x3ffe002d,0x0f7ffb27,0x7ffe4000,0x00004fff,
    0x555d54c4,0x31000009,0x01355755,0x2aa62000,0x00009aab,0x0000d544,
    0x55755310,0x22000013,0x09aabaa9,0x0d544000,0x0d544000,0xa9880000,
    0x00001aab,0x35753100,0x4c000001,0x0009aba9,0x2ea62000,0x300001aa,
    0x26000005,0x000001ba,0x166f7654,0xd9800000,0x00001bee,0x26200000,
    0x009aabaa,0x00000000,0x15799530,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002a200,0x3bbbbba2,
    0x0cc401ee,0x20002620,0xeeedca98,0xeeeeeeee,0x000000ee,0xcc980000,
    0x000001cc,0x433332a0,0x002cccc8,0x3ccca800,0x3bbb6000,0xddb00000,
    0x9000001d,0x88007999,0x3ae03eee,0xeeeeeeee,0xeeeeeeee,0xd303eeee,
    0x554005dd,0xaaaa81aa,0x93000000,0x00003999,0x07bbba60,0x77744000,
    0x80000003,0x0000aaaa,0x05555400,0xccb80000,0x3620002c,0x2000cfff,
    0xfffffff8,0x0ffdc01f,0x4004ff98,0xfffffffb,0xffffffff,0x74001fff,
    0x07fee06f,0x7fff4000,0x20000006,0x3f24ffff,0x00000eff,0x17ffffcc,
    0x1fffe800,0xfffd0000,0xfb800003,0x44000fff,0x3f204fff,0xffffffff,
    0xffffffff,0xf304ffff,0x7cc007ff,0x7ffdc6ff,0x36000004,0x00006fff,
    0x13ffff60,0x7ffc4000,0x40000004,0x005ffffc,0x3fff2000,0xa800006f,
    0x001fffff,0x7f717f90,0x7fffc400,0x4c01ffff,0x3ffb06ff,0x3fffa600,
    0xffffffff,0xffffffff,0x17fe4001,0x0003ffc4,0x05fffd10,0xff500000,
    0x7fffc4df,0x74400001,0x01ffffff,0x01fffe80,0x3fffd000,0xfff80000,
    0xff88002f,0x3fff204f,0xffffffff,0xffffffff,0xfff304ff,0xfffb8007,
    0x00bfff14,0x7ffcc000,0x1000000f,0x01ffffff,0x9fff1000,0x54000000,
    0x04ffffff,0xfffa8000,0x00004fff,0x3fffffe6,0x44f8000e,0x3fe2006c,
    0x00aaaaef,0xcacfffd8,0xf1006ffe,0xffffffff,0xffdddddf,0x8001dddf,
    0xcaadfff9,0x00003ffe,0x0037ffcc,0x7fff4000,0x00fffee0,0x3fff6000,
    0x000effd9,0x000ffff4,0x01fffe80,0x3ffee000,0xfff10004,0x77ffe409,
    0xeeeeeeee,0xeeeeeeee,0x7fff303e,0x3fffb000,0x0001dffd,0x0fffec00,
    0xff700000,0x0007fffd,0x009fff10,0x3fe60000,0x02fffbdf,0x3ffe2000,
    0x003fffae,0x9fffe880,0x4c005fff,0x8007d42f,0x0005fff8,0xffffffd1,
    0x3f6001ff,0xffffffff,0x01fffa87,0x7fffdc00,0x0005ffff,0x03fff500,
    0x7fcc0000,0x02fff42f,0x7ffdc000,0x00bfff14,0x001fffe8,0x03fffd00,
    0x2fff4000,0x59991000,0x01fffe40,0x3fe60000,0xfe88003f,0x001fffff,
    0x3ffe6000,0x74000003,0x06ffecff,0x4fff8800,0xe8800000,0xfffb0fff,
    0x3fa00003,0x3fffb1ff,0xfffd8000,0x009fff52,0x002ec5e8,0x000bfff1,
    0xcfffffb8,0xffff3000,0x0fffffff,0x0003fff5,0xfffffd30,0xb8000007,
    0x000005ff,0xff513ff6,0x9800001f,0x7fdc6fff,0x3ffa004f,0xfd00001f,
    0x200003ff,0x0000fffa,0x7fff9000,0xf9800000,0xf30003ff,0x0005ffff,
    0x05ffc800,0x7fcc0000,0x01fffb9f,0x27ffc400,0x7ec00000,0x3ffe23ff,
    0x7e40000e,0x3ffe24ff,0xff70000f,0x2fffd8bf,0x3afbee00,0x3fe2002f,
    0x3100005f,0xfff70001,0xffffffff,0x003fff50,0x00d4c400,0x55500000,
    0x55400000,0x001aa982,0x1aaaa800,0x000aaaa8,0x0003fffd,0x007fffa0,
    0x00d54c00,0xff900000,0x8000007f,0x0003fff9,0x000aaaa6,0x02aaa000,
    0xff900000,0x013ffe2f,0x09fff100,0xaa880000,0x1aaa982a,0x2aaa2000,
    0x01aaa982,0x81555500,0x4002aaa8,0x4002dfda,0x0005fff8,0xffd80000,
    0xffffffff,0x01fffa87,0x00266000,0x13300000,0x30000000,0x00000013,
    0x40001330,0x0001fffe,0x003fffd0,0x00099800,0xfff90000,0x98000007,
    0x80003fff,0x00000009,0x00000662,0x7f4bfff0,0x220000ff,0x00004fff,
    0x00013000,0x00cc4000,0x5c000000,0x00402eee,0x7c4fbbaa,0x3bae05ff,
    0x7540002e,0xffffd3ee,0x0fffffff,0x0003fff5,0x3ffff6e2,0x001acdff,
    0xffdb7500,0x0017dfff,0xfedba800,0x00beffff,0x76dd4000,0x0befffff,
    0x07fffa00,0x7fff4000,0x36ea0001,0xbefffffe,0x04ccc000,0x007fff90,
    0xfff98000,0x765cc003,0x1bceffff,0xfdb50000,0x05bdffff,0x7ffd4000,
    0x00fffee3,0x24fff880,0x02ccdba8,0x7f65cc00,0x01bcefff,0xffdb5000,
    0x005bdfff,0x000fbba2,0x003fffc8,0x8a7ffdc0,0x3f205fff,0x5c0003ff,
    0xfffd4fff,0xffffffff,0x003fff50,0xfffffd98,0xffffffff,0xfd30001d,
    0xffffffff,0x0003bfff,0xfffffe98,0xdfffffff,0x7f4c0001,0xffffffff,
    0xe801dfff,0x00001fff,0x0003fffd,0xffffffd3,0x3bffffff,0x09fff100,
    0x001fffe4,0x3ffe6000,0xfffb3003,0xffffffff,0x2e0003df,0xfffffffe,
    0x002effff,0x20fffd80,0x0006fff8,0x7dd3ffe2,0x2effffff,0x7ffecc00,
    0xffffffff,0xd70001ef,0xffffffff,0x8805dfff,0x20004fff,0x0003fffc,
    0xf8a7ffdc,0x3ff205ff,0x7dc0003f,0xffffb4ff,0x0fffffff,0x4003fff5,
    0xfffffffc,0xffffffff,0x7dc003ff,0xffffffff,0x3fffffff,0xffff7000,
    0xffffffff,0x0007ffff,0x3fffffee,0xffffffff,0x7ff403ff,0xfd00001f,
    0xfb8003ff,0xffffffff,0x3fffffff,0x027ffc40,0x0007fff9,0x3fff9800,
    0xfffffa80,0xffffffff,0x22003fff,0xfffffffe,0xffffffff,0x3fe20005,
    0x1fffd85f,0x9fff1000,0xfffffff9,0x2a009fff,0xffffffff,0xffffffff,
    0x3ffa2003,0xffffffff,0x205fffff,0x0004fff8,0x000ffff2,0x229fff70,
    0x3f205fff,0x5c0003ff,0xfff94fff,0xffffffff,0x003fff50,0xffffffb1,
    0xfb95359b,0x009fffff,0xdfffffd3,0xff953379,0x4009ffff,0xefffffe9,
    0xffca99bc,0x2004ffff,0xefffffe9,0xffca99bc,0x3a04ffff,0x00001fff,
    0x2003fffd,0xefffffe9,0xffca99bc,0x2204ffff,0x3f204fff,0x000003ff,
    0x201fffcc,0xcefffff9,0xffecbaab,0xfa803fff,0xabcfffff,0xffffdba9,
    0xff70005f,0xbfff505f,0x3ffe2000,0xb9acffff,0x404ffffd,0xcefffff9,
    0xffecbaab,0xfa803fff,0xabcfffff,0xffffdba9,0x9fff105f,0x7ffe4000,
    0x7fdc0003,0x0bfff14f,0x001fffe4,0x553ffee0,0xffffffff,0xfffa87ff,
    0xffffe801,0xfff5002e,0x7fc403ff,0xa800dfff,0x805ffffe,0x0dfffff8,
    0xffffea80,0xffff8805,0xfea800df,0xffd05fff,0x3a00003f,0xf8801fff,
    0x800dffff,0x05ffffea,0x6409fff1,0x00003fff,0x01fffcc0,0x007bfff6,
    0x03ffffaa,0xbfffff98,0x7ffe4400,0xffe8005f,0x03fffe07,0x3fffe200,
    0xfff501ff,0x7ffec03f,0xffea801e,0x3fe600ff,0x4400bfff,0x885ffffc,
    0x20004fff,0x0003fffc,0xf8a7ffdc,0x3ff205ff,0x7dc0003f,0x3fff64ff,
    0x87ffffff,0x6401fffa,0x000dffff,0x02ffff44,0x007ffff9,0x2ffffd88,
    0x1ffffe40,0x3fff6200,0x7ffe402f,0x7ec4003f,0xffe82fff,0xfd00001f,
    0xff9003ff,0xd88007ff,0xf882ffff,0x3ff204ff,0xeeeeeeef,0xeeeeeeee,
    0x3fe602ee,0x3ffe203f,0x3fa2000e,0x3ffa04ff,0x7e4000ef,0x26002fff,
    0x3f204fff,0xf88003ff,0x5400ffff,0xff106fff,0x744001df,0x3fa04fff,
    0x64000eff,0x7c42ffff,0x320004ff,0x40003fff,0xff14fffb,0x7ffe40bf,
    0x7fdc0003,0x3fffe24f,0xa87fffff,0x3e601fff,0x40003fff,0xf980ffff,
    0x20001fff,0x300ffffd,0x0003ffff,0x807fffec,0x001ffff9,0x03ffff60,
    0x0003fffd,0x007fffa0,0x003ffff3,0x07fffec0,0xc813ffe2,0xffffffff,
    0xffffffff,0x2603ffff,0x3ea03fff,0xf98002ff,0xffc80fff,0xfb0000ef,
    0x7e400dff,0x3fe601ff,0xff88006f,0xffd004ff,0x5fff501f,0xffff3000,
    0x1dfff901,0x3fff6000,0x027ffc46,0x07fff900,0x4fffb800,0x640bfff1,
    0x40003fff,0x74c4fffb,0x7fffffff,0x201fffa8,0x0006fffe,0xe84fffb8,
    0x40004fff,0xd05fffe8,0x80009fff,0xd05fffe8,0x80009fff,0x745fffe8,
    0x00001fff,0xe803fffd,0x40004fff,0x445fffe8,0x3f204fff,0xffffffff,
    0xffffffff,0x3e603fff,0x3ff203ff,0xffd0000f,0xffff983f,0x3fe20001,
    0xff8801ff,0xfffe806f,0x7ffc4002,0xfff5000f,0x01fff905,0x07fffa00,
    0x003ffff3,0x0ffffc40,0x0009fff1,0x001fffe4,0x453ffee0,0x3f205fff,
    0x5c0003ff,0xff704fff,0xf50fffff,0x3fe603ff,0x880001ff,0x3ee0ffff,
    0x80000fff,0x5c0ffffa,0x0000ffff,0x40ffffa8,0x000ffffb,0x0ffffa80,
    0x0007fffa,0x00ffff40,0x001ffff7,0x1ffff500,0x9027ffc4,0xffffffff,
    0xffffffff,0x4c07ffff,0x3f603fff,0xf90001ff,0xfffb85ff,0xffd80006,
    0xfffb803f,0x5fffb803,0x2fffc400,0x213ffe00,0x0001fffd,0xfb85fff9,
    0xd80006ff,0x3fe23fff,0x5ee54c4f,0x07fff901,0x4fffb800,0x640bfff1,
    0x40003fff,0x4c04fffb,0xfa87ffea,0xfff901ff,0x65c00009,0x1ffffc0a,
    0xfffd0000,0x03ffff85,0x3fffa000,0x01ffffc2,0x5fffd000,0x000ffff4,
    0x01fffe80,0x000ffffe,0x22fffe80,0x3204fff8,0x00003fff,0x01fffcc0,
    0x000bfff7,0xfffe8062,0x1b980002,0x03fffa00,0x03fffe20,0x04fff880,
    0x5c2fffc0,0x10005fff,0x17fff403,0x40dcc000,0xfd34fff8,0x8bffffff,
    0x0003fffc,0xf8a7ffdc,0x3ff205ff,0x7dc0003f,0xff7004ff,0x03fff50f,
    0x000ffffa,0x3ffe2000,0x7dc00007,0x3ffe25ff,0x7dc00007,0x3ffe25ff,
    0x7dc00007,0x3fffa5ff,0xffd00001,0x3ffe203f,0x7dc00007,0x3ffe25ff,
    0x0ffff204,0xff300000,0x7ffcc07f,0x4c00001f,0x0000ffff,0xfff98000,
    0xcccccccf,0x3ffffccc,0x0fffe200,0x30fffd00,0x0003ffff,0x0ffff980,
    0x7c400000,0xffffacff,0x25ffffff,0x0003fffc,0xf8a7ffdc,0x3ff205ff,
    0x7dc0003f,0xff7004ff,0x03fff50f,0x003ffff3,0xfff30000,0xf980000d,
    0x3ffe67ff,0x7cc00006,0x3ffe67ff,0x7cc00006,0x3fffa7ff,0xffd00001,
    0x3ffe603f,0x7cc00006,0x3ffe27ff,0x0ffff204,0xff300000,0xffff807f,
    0x700001df,0x0000ffff,0x3fff2000,0xffffffff,0x6fffffff,0x0bffe200,
    0x01fffb00,0x03bfffff,0x3ffee000,0x88000007,0xffffffff,0xffffecbd,
    0x007fff95,0x14fffb80,0x7e40bfff,0x5c0003ff,0xf7004fff,0x3fff50ff,
    0x01ffff50,0xff500000,0xf00000bf,0x3fea1fff,0xf800005f,0xfff50fff,
    0xff00000b,0x3fffa1ff,0xffd00001,0x3ffea03f,0xff800005,0x9fff10ff,
    0x01fffe40,0x3fe60000,0x7ffd403f,0x00adffff,0x0dfff900,0x3e000000,
    0xffffffff,0xffffffff,0xf1002fff,0xfd8003ff,0xfffa80ff,0x00adffff,
    0x0dfff900,0xff100000,0x2e05ffff,0xffcaffff,0x7dc0003f,0xbfff14ff,
    0x01fffe40,0x13ffee00,0x543ffdc0,0xffb81fff,0x0000006f,0x0009fff7,
    0x23fffd00,0x0004fffb,0x71fffe80,0x00009fff,0x3a3fffd0,0x00001fff,
    0x2e03fffd,0x00004fff,0xf11fffe8,0x7fe409ff,0x4000003f,0x9803fff9,
    0xffffffff,0x9000acef,0x00009fff,0xdfff5000,0x99999999,0xfffb9999,
    0x3ffe200b,0x3fff4002,0xffffff30,0x0159dfff,0x013fff20,0x3fe20000,
    0x7e402fff,0x3fffccff,0x7ffdc000,0x40bfff14,0x0003fffc,0x8027ffdc,
    0xffa87ffb,0x5fffc81f,0xf9000000,0x000007ff,0x3f25fffd,0x800003ff,
    0xff92fffe,0xd000007f,0x3ffa5fff,0xfd00001f,0x3ff203ff,0xe800003f,
    0xfff12fff,0x1fffe409,0x3e600000,0xfd1003ff,0xffffffff,0x6c017bff,
    0x00003fff,0x2fffd800,0xffff8800,0x3fff8800,0x037ffc00,0x3fffffa2,
    0xbdffffff,0x0ffff600,0x3e200000,0xf8803fff,0x3fffceff,0x7ffdc000,
    0x40bfff14,0x0003fffc,0x8027ffdc,0xffa87ffb,0x3fffc81f,0x33332200,
    0xcccccccc,0x005fffd3,0x7fffb000,0x000bfffa,0x4ffff600,0x0002fffe,
    0xd3fffd80,0x00003fff,0x7407fffa,0x00002fff,0xf13fffd8,0x7fe409ff,
    0x4000003f,0x4003fff9,0xffffffd9,0x02ffffff,0x0005fffd,0xfff88000,
    0x3ffa0007,0xfff8804f,0x3ffe2004,0xfffb3005,0xffffffff,0x3fffa05f,
    0x88000002,0xf000ffff,0x7fff9dff,0xfffb8000,0x40bfff14,0x0003fffc,
    0x8027ffdc,0xffa87ffb,0x4fffc81f,0x3fffe600,0xffffffff,0x005fffd5,
    0x5fffd000,0x000bfffa,0x4bfffa00,0x0002fffe,0xd2fffe80,0x00003fff,
    0x7407fffa,0x00002fff,0xf12fffe8,0x7fe409ff,0x4000003f,0x0003fff9,
    0x3ffffb26,0xd85fffff,0x00002fff,0x27ffdc00,0xffff5000,0x1ffff100,
    0x0bfff200,0x3ffb2600,0x5fffffff,0x002fffd8,0xfff88000,0x3fffa007,
    0x0003fffc,0xf8a7ffdc,0x3ff205ff,0x7dc0003f,0xff7004ff,0x03fff50f,
    0x4009fff7,0xfffffff9,0xfb5fffff,0x000007ff,0x3f63ffff,0x800003ff,
    0xffb1ffff,0xf000007f,0x3ffa3fff,0xfd00001f,0x3ff603ff,0xf800003f,
    0xfff11fff,0x1fffe409,0x3e600000,0x100003ff,0xfffffd95,0x3fffc8bf,
    0x74000000,0x20001fff,0x402ffff8,0x804ffff8,0x000ffff8,0x7ff65440,
    0x7e45ffff,0x000003ff,0x006fff88,0x3ff3fff6,0x7e40003f,0xbfff13ff,
    0x01fffe40,0x0ffff200,0x543ffdc0,0xffa81fff,0x3fe6005f,0xffffffff,
    0x9fff95ff,0xff880000,0x9fff91ff,0xff880000,0x9fff91ff,0xff880000,
    0x3fffd1ff,0x3ffa0000,0x9fff901f,0xff880000,0x9fff11ff,0x01fffe40,
    0x3fe60000,0x3000003f,0x45fffffb,0x0004fffc,0x3ffe6000,0xffc80006,
    0x7ffc405f,0x7fec01ff,0x9800003f,0x22fffffd,0x0004fffc,0x4fff8800,
    0x2ffff600,0x40003fff,0xff13fffc,0x7ffdc0bf,0x7fe40003,0xfff7003f,
    0x303fff50,0x0000dfff,0xf75fff98,0x80000bff,0xf70ffff9,0x80000bff,
    0xf70ffff9,0x80000bff,0xfd0ffff9,0x99999bff,0x99999999,0x0ffff439,
    0x005fffb8,0x7fffcc00,0x409fff10,0xcccdfffc,0xcccccccc,0x1ccccccc,
    0x003fff98,0x7ffd4000,0x17ffee6f,0xfc800000,0x980003ff,0x2200ffff,
    0x83ffffff,0x006fffe8,0x7ffd4000,0x17ffee6f,0x3e200000,0x3f6004ff,
    0x04fffbff,0x97ffec00,0x2e05fff8,0x40004fff,0x7002fffd,0xfff50fff,
    0x3ffff103,0x7fcc0000,0x0dfff35f,0xfffa8000,0x01bffe66,0xdfff5000,
    0x0037ffcc,0x9bffea00,0xfffffffe,0xffffffff,0x3ffa2fff,0xdfff301f,
    0xffa80000,0x13ffe26f,0xffffffc8,0xffffffff,0xffffffff,0x03fff982,
    0x26000044,0xff30ffff,0x640000ff,0x1ffff01b,0x3ffa0000,0x3ffe204f,
    0xeddfffff,0x401fffff,0x7cc00008,0xfff30fff,0x5e40000f,0x027ffc41,
    0xff5fffb0,0xfe80009f,0xbfff12ff,0x027ffd40,0x0bfffa00,0x543ffdc0,
    0xffb01fff,0x4c00009f,0x3ffe5fff,0x3600001f,0x7ffc3fff,0x3600001f,
    0x7ffc3fff,0x3600001f,0x3ffa3fff,0xffffffff,0xffffffff,0x807fffa2,
    0x0001ffff,0x88ffff60,0x3f204fff,0xffffffff,0xffffffff,0x982fffff,
    0xfff03fff,0xffd0000f,0x0ffff43f,0x7ffcc000,0x1bffea0f,0xfffb8000,
    0x33ffe207,0xfffffffa,0x3fe00eff,0xfe80007f,0x3fffa1ff,0xff980001,
    0x9fff10ff,0x4fffec00,0x40006fff,0xff11ffff,0x7ffcc0bf,0x7ffc0006,
    0xfff7001f,0x203fff50,0x000ffffa,0x4bfff300,0x0006fffc,0x81ffff50,
    0x0006fffc,0x81ffff50,0x0006fffc,0x41ffff50,0xfffffffe,0xffffffff,
    0x3ffa2fff,0x3fff201f,0xff500006,0x7ffc41ff,0x3ffff204,0xffffffff,
    0xffffffff,0xfff982ff,0x05fffd03,0x2fffc800,0x0013fff2,0xb1bffee0,
    0x00007fff,0x817fffc4,0xfd34fff8,0x007dffff,0x0005fffd,0x322fffc8,
    0x80004fff,0x3e26fffb,0x3f6004ff,0x01ffff7f,0x9fffe600,0x7c05fff8,
    0x30000fff,0x5c00ffff,0xfffa87ff,0x17fffe01,0x7ffcc000,0x0ffffe65,
    0x3fffa000,0x3ffff986,0xfffe8000,0x3ffff986,0xfffe8000,0xf0000006,
    0xfff3009f,0xfd00007f,0x1ff98dff,0xff300000,0xfb000005,0xd80009ff,
    0x3fe61fff,0x740001ff,0x00002fff,0x00ffe200,0x9889fff1,0x3f6001aa,
    0x6c0004ff,0x3fe61fff,0x740001ff,0x3fe22fff,0x3ff6004f,0x00bfffb7,
    0x897fff60,0x7ec05fff,0xfb0005ff,0x7dc00bff,0x1fffa87f,0x0bfffee0,
    0x3ffea000,0x07fffe45,0xffff7000,0x3ffff203,0x3fee0000,0xfff901ff,
    0x7dc0001f,0x54001fff,0x4401deff,0xff9002ff,0x5c0001ff,0x7dc1ffff,
    0x7000000f,0x7f4001ff,0xfff503ef,0x3e20001f,0x7fec0fff,0x3f20005f,
    0x000007ff,0x200ffd40,0x0004fff8,0x03fffea0,0x7fffc400,0x02fffec0,
    0x8ffff900,0x2004fff8,0xfff77ffd,0xff98009f,0x3ffe22ff,0x7fffdc05,
    0x7ffcc004,0x3fee002f,0x01fffa87,0x027fffec,0xffffc880,0x1efffe85,
    0xffffc800,0x77fff404,0xfffc8001,0x7fff404f,0xffc8001e,0xfa8004ff,
    0x2602ffff,0x3fa000ff,0xc8001eff,0xfc84ffff,0x36000006,0x7ff4006f,
    0xfffd06ff,0xff90003f,0xffff10bf,0xfff7000b,0x0000009f,0xf8807fb8,
    0x400004ff,0x001ffffe,0x885fffc8,0x8005ffff,0x444ffffb,0x36004fff,
    0x3fffa7ff,0xfff7003f,0x5fff88df,0x3ffffe80,0xdffff700,0x87ffb800,
    0x4401fffa,0x0aefffff,0xffffb880,0xfff984ff,0xfd1003ff,0xf300dfff,
    0x2007ffff,0x06ffffe8,0x3fffff98,0xffffd100,0x2a62000d,0x3ea06ffe,
    0x3fe6001f,0xd1003fff,0x360dffff,0x2000007f,0x544007fe,0xfb82fffb,
    0x3003ffff,0x203ffffd,0x01effffc,0x5ffffc88,0xc8000000,0x7fc401ff,
    0x5c00004f,0x003fffff,0x03ffffd3,0x07bffff2,0x3ffff220,0x04fff885,
    0xfa9fff60,0x9bdfffff,0xfffecba9,0x7ffc41ff,0xffffa805,0xba99bdff,
    0x1fffffec,0x43ffdc00,0x9801fffa,0xeffffffe,0xfedb99bd,0x03ffffff,
    0x3bffffea,0xfb7311ac,0x001dffff,0x3bffffea,0xfb7311ac,0x001dffff,
    0x3bffffea,0xfb7311ac,0x001dffff,0x03fff300,0x50013fee,0x59dfffff,
    0x3ff6e623,0xfd00efff,0x2000005f,0x90002ffe,0x3ff20dff,0x9acdffff,
    0xffffdca9,0x7ffec03f,0x2a21adff,0x0efffffb,0xc8000000,0x7fc404ff,
    0xc800004f,0xcdffffff,0xffdca99a,0x7ec03fff,0x21adffff,0xfffffba8,
    0x4fff880e,0x71fff600,0xffffffff,0xffffffff,0xdfff105f,0xf7019999,
    0xffffffff,0xffffffff,0xfff70005,0x003fff50,0x7fffffec,0xffffffff,
    0x800cffff,0xffffffe9,0xffffffff,0xe98005ff,0xffffffff,0xffffffff,
    0xffe98005,0xffffffff,0x05ffffff,0xfffb1000,0x2fffea03,0x74c07730,
    0xffffffff,0xffffffff,0x977fe405,0x40001ca8,0x9512effd,0x37ffcc03,
    0xffffffb0,0xffffffff,0x32009fff,0xffffffff,0xffffffff,0x0000000f,
    0x33bfff70,0x3ffe27b7,0xfb000004,0xffffffff,0xffffffff,0x3fff2009,
    0xffffffff,0x00ffffff,0x4009fff1,0xff987ffd,0xffffffff,0x101effff,
    0xffffffff,0x3fffe603,0xffffffff,0x70001eff,0xfff50fff,0xffea8003,
    0xffffffff,0x001dffff,0x7ffffe44,0xffffffff,0x3220003f,0xffffffff,
    0x03ffffff,0x3fff2200,0xffffffff,0x20003fff,0xfffffeea,0x3fffe206,
    0x4404ffff,0xfffffffc,0x3fffffff,0xfffffa80,0x40002fff,0xfffffffa,
    0x3ffbb61f,0x7d403fff,0xffffffff,0x02ffffff,0x7ffffdc0,0xffffffff,
    0x000000cf,0x3fffe200,0xff13ffff,0x4000009f,0xfffffffa,0xffffffff,
    0x7ffdc002,0xffffffff,0x2200cfff,0x36004fff,0xfb5107ff,0xffffffff,
    0xfff8805b,0x201fffff,0xfffffda8,0x002dffff,0x543ffdc0,0x30001fff,
    0xfffffff9,0x00057bdf,0xffffeb88,0x002dffff,0x3ffae200,0x2dffffff,
    0x3ae20000,0xffffffff,0xfb80002d,0x00efffff,0x7fffffd4,0xfd71003f,
    0xbfffffff,0xfffc8005,0x0001efff,0xffffffd8,0x3ffffe1f,0x36e003ff,
    0xffffffff,0x20000ace,0xffffffda,0x0000cfff,0xff500000,0x223dffff,
    0x00004fff,0xffffdb80,0x0aceffff,0x3ff6a000,0xcfffffff,0x4fff8800,
    0x01fff600,0x2aaeaa62,0x33320009,0x000ccccc,0x35575531,0x32600001,
    0x0ccc984c,0xba988000,0x0000009a,0x06aaea62,0x26200000,0x0001aaba,
    0xaba98800,0x5400001a,0x002cdeec,0x000deed4,0x35575310,0xdeda8000,
    0x5400000b,0xdc82ceed,0x0000bcee,0x006eeaa6,0xba998000,0x0000009a,
    0x99710000,0x2ccc8837,0x4c000000,0x0001bbaa,0x2aea6600,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccc8000,0x3bbb2003,
    0x77540003,0x665c002e,0x5400001c,0x55440aaa,0x9800002a,0x0001cccc,
    0x0066665c,0x00eeed80,0x3bbbb200,0x00fbba23,0x40000000,0x0004cccb,
    0x0aaaa200,0x0006aaa6,0x066665c0,0xc9800000,0x500003cc,0xaa881555,
    0x0000002a,0x01999910,0xcc880000,0x9993004c,0x664c0059,0xc880003c,
    0x664c0ccc,0xaa88003c,0x1aaa982a,0x7fd40000,0x3f6001ff,0x20001fff,
    0x2003fffa,0x00fffffb,0x3ffea000,0x01fffe46,0x7fff4000,0xff880006,
    0xfd0004ff,0x360003ff,0x7c45ffff,0x000004ff,0xfff98000,0x4000002f,
    0x7f43fffd,0x880001ff,0x0003ffff,0xffff1000,0xf500009f,0xfffc8dff,
    0x00000003,0x00dffffb,0xfffe8000,0xfffd805f,0x3ffe2006,0xb80003ff,
    0x7ff45fff,0xffb0001f,0x7fffc47f,0x7f400000,0x7ec003ff,0x20006fff,
    0x3003fffa,0x1dffffff,0x7fe40000,0x09fff53f,0xfff30000,0x2a00001f,
    0x8000ffff,0x8001fffe,0x884ffffd,0x00004fff,0xffd80000,0x0000004f,
    0x3f23fffd,0x900002ff,0x0000bfff,0x7ffff400,0xc80002ff,0xfff33fff,
    0x0000000b,0x3fffffee,0xfb000005,0x407fffff,0x000ffff9,0x3ffffffa,
    0xffd80002,0x05fff92f,0x7fffc400,0x003fffb0,0x5fffa800,0xffffd800,
    0xff50004f,0xfff1007f,0x00bfff3d,0x9fffe800,0x00006ffe,0x003fffb0,
    0x3fffb800,0x1fffe800,0x7fffec00,0x09fff104,0x80000000,0x0006fff8,
    0x3ffe2000,0x004fff9e,0x1dfff100,0x32000000,0xfffcafff,0xffe80001,
    0x006ffe9f,0xff300000,0x07fff5bf,0xfffb8000,0xb01fffbb,0x64005fff,
    0xfffdafff,0x7f440000,0x04fffaff,0xdfff9800,0x0003fffa,0x00effd80,
    0xfffffd80,0xffa8001f,0xfffd803f,0x007fff71,0x7fffc400,0x00000fff,
    0x003fff98,0x0fff9000,0x03fffd00,0x27fffec0,0x009fff10,0xc8000000,
    0x00000fff,0x7fffd400,0x200005ff,0x0000fffc,0xbfff5000,0x003bffe2,
    0xfffff100,0x000001ff,0x1ffff100,0x0007fff2,0xd37ffcc0,0xff881fff,
    0x3fea004f,0x0dfff15f,0xffff3000,0x40000bff,0x5ffffffb,0xff980000,
    0xffb0000f,0x000dffff,0xc807fff5,0x7ff44fff,0x2a00002f,0x001fffff,
    0x0bffb000,0xffe80000,0x7fff4003,0xffffb001,0x4fff8809,0x00000000,
    0x0007ffe2,0x7fe40000,0x00000eff,0x0005fff1,0x3ffe2000,0x17ffea0f,
    0x3ffea000,0x000001ff,0x45fffb00,0x000ffff8,0x0ffff440,0xfc8dfff3,
    0x3fe6005f,0x3ffea0ff,0xffb80005,0x00000eff,0x037fffec,0x1aa98000,
    0x3fff6000,0x4004ffff,0x5403fffa,0x55440aaa,0x5400002a,0x00001aaa,
    0x0000aaa0,0x00aaa200,0x003fffd0,0x007ffffb,0x0009fff1,0x54400000,
    0x0000001a,0x00555540,0x05551000,0x54c00000,0xaaaa81aa,0xaaa80000,
    0x0000001a,0x30555510,0x80003555,0xaa81aaa9,0x02aaa0aa,0x81aaa980,
    0x0000aaaa,0x000aaaa8,0xaaaa8800,0x98000000,0xfffb0000,0x003ffff7,
    0x001fffd4,0x40000000,0x00000198,0x00000000,0x3fffd000,0x3ffffd80,
    0x09fff100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffb2e6,
    0xd801bcef,0xfffd8fff,0xfff5000e,0x00bbbae7,0x07ddd500,0x7fff6d40,
    0x7002deff,0x80005ddd,0xdd73eeea,0xea80005d,0x3fffd3ee,0x1ffffec0,
    0x09fff100,0x00333310,0x3bbba600,0xeeeeeeee,0xeeeeeeee,0xe986eeee,
    0xeeeeeeee,0xeeeeeeee,0x3ae3eeee,0xeeeeeeee,0xccceeeee,0xddd7000a,
    0x2e00003d,0xdd70deee,0xdddddddd,0x5999dddd,0x3bba6001,0xeee88004,
    0xee88005e,0x3776c05e,0x5c3776c0,0xeeeeeeee,0xeeeeeeee,0x323eeeee,
    0x40003eee,0xddb2eeea,0xdddddddd,0xdddddddd,0x803ddddd,0xffffffd9,
    0x1effffff,0x223fff60,0x5004ffff,0x3ff27fff,0x7dc0003f,0xfeb804ff,
    0xffffffff,0x7e402eff,0x5c0003ff,0xfff94fff,0xffb80007,0x03fffd4f,
    0x00bffff6,0x809fff10,0x004ffff9,0xfffffb00,0xffffffff,0xffffffff,
    0xff50ffff,0xffffffff,0xffffffff,0x7fe49fff,0xffffffff,0xffffffff,
    0x7fc401df,0x980006ff,0x3f23ffff,0xffffffff,0xffffffff,0x7c401dff,
    0xfa8007ff,0x4000ffff,0x7c05fffa,0xfff807ff,0xfffffc87,0xffffffff,
    0xffffffff,0x07ffff64,0x3fffa800,0xffffffff,0xffffffff,0xffffffff,
    0x7fffd405,0xffffffff,0xfb03ffff,0x3ffea1ff,0xfffa801f,0x007fff93,
    0x04fffb80,0x3fffffa2,0xffffffff,0x3ff205ff,0x7dc0003f,0x7fff94ff,
    0xfffb8000,0xb03fffd4,0x0005ffff,0x4c09fff1,0x0004ffff,0xffffff30,
    0xffffffff,0xffffffff,0xff50ffff,0xffffffff,0xffffffff,0x7fe49fff,
    0xffffffff,0xffffffff,0x7d402fff,0x40003fff,0x7e45fffe,0xffffffff,
    0xffffffff,0x7402ffff,0x6c001fff,0x003fffff,0x201fffe4,0xff807fff,
    0xffffc87f,0xffffffff,0xffffffff,0x3ffff64f,0x3fea0006,0xffffff3f,
    0xffffffff,0xffffffff,0x3fe605ff,0xaabcefff,0xfffffecb,0x20fffd83,
    0x400efffd,0xff93fffa,0xfb80007f,0xfff504ff,0x53579fff,0xbfffffb7,
    0x00ffff20,0x29fff700,0x0003fffc,0xfea7ffdc,0x7ffec1ff,0xff10002f,
    0x3ffe609f,0x3600004f,0xfeeeefff,0xeeeeefff,0xeeeeeeee,0xeeee986e,
    0xeeeeeeee,0xfffeeeee,0x37fff24f,0xcccccccc,0xfffffecc,0x7fec01ff,
    0xf70001ff,0xffc81fff,0xccccccdf,0xfffecccc,0x3201ffff,0x7c003fff,
    0x005fffff,0x2007fff4,0xff807fff,0xefffc87f,0xeeeeeeee,0xeeeeeeee,
    0x3ffff63e,0xff50004f,0x3bbbb67f,0xfffeeeee,0xeeeeeeef,0xffb01eee,
    0xfd5003df,0xffd81fff,0x3fffe20f,0x9fffd404,0x0003fffc,0x4c27ffdc,
    0x00bfffff,0x2ffffe44,0x001fffe4,0x653ffee0,0x40003fff,0xffd4fffb,
    0x7fffec3f,0x3fe20002,0xffff984f,0x3e600004,0x3fee0fff,0x0000004f,
    0xffffd800,0x00ffff21,0x3ffff620,0x7fffc406,0xfff98006,0x3fffc82f,
    0xfffd8800,0x3ffea06f,0x3ffe6004,0x22007ffd,0xff806fff,0x7fff807f,
    0x003fffc8,0xffffd800,0xfa8001ff,0x7f4003ff,0x220001ff,0x2000efff,
    0x6c4fffe8,0x7fd40fff,0x3fea02ff,0x07fff93f,0x4fffb800,0x00efffe8,
    0x17fffe40,0x000ffff2,0x329fff70,0x40003fff,0xffd4fffb,0x3ffff63f,
    0x3e20005f,0x7ffcc4ff,0x6c00003f,0x7fdc4fff,0x0000004f,0x7fffe400,
    0x01fffe42,0x1ffff700,0x3ffffa80,0x2ffff400,0x003fffc8,0x03fffee0,
    0x0037ffc4,0xfff5dff7,0x3ffe6003,0x07fff804,0xfc87fff8,0x800003ff,
    0x6ffffffd,0x3fffa800,0x0ffff400,0x5fff5000,0xffff3000,0x407ffec1,
    0x500efffd,0x3ff27fff,0x7dc0003f,0x7ffe44ff,0xffb0000e,0x3fffc8df,
    0x7ffdc000,0x007fff94,0xd4fffb80,0xfffb3fff,0x0005ffff,0xf893ffe2,
    0x00003fff,0x207fffc4,0x0004fffb,0x3ee00000,0xffc83fff,0x7ec0003f,
    0xffd802ff,0xff7000ff,0x3ff201ff,0x7ec0003f,0x3ffa02ff,0x9ffd000f,
    0x2009fff1,0xf802fffb,0xfff807ff,0x03fffc87,0xfffd8000,0x4004ffff,
    0x4003fffa,0x0001fffe,0x0003fff2,0xfb0ffff4,0xfff101ff,0x3ffea09f,
    0x007fff93,0x24fffb80,0x001ffff9,0x87fffe20,0x0003fffc,0xfca7ffdc,
    0x5c0003ff,0xfffd4fff,0xffbffffd,0xf10001ff,0x3ffe29ff,0xc800003f,
    0xffb85fff,0x0000004f,0xbffff500,0x00ffff20,0x09fff700,0x0bffff10,
    0x05ffff10,0x001fffe4,0x813ffee0,0x8802fffc,0xdffb2fff,0x03fff600,
    0x201fffe0,0xffc87fff,0xd800003f,0xffffbfff,0x3ffea001,0x7fff4003,
    0x3ff60001,0xff90001f,0x07ffec5f,0x82ffffa8,0xff93fffa,0xfb80007f,
    0x3ffee4ff,0xffd80006,0x0ffff23f,0x9fff7000,0x000ffff2,0x3a9fff70,
    0x9fffffff,0x006fffe8,0xe8cfff88,0x00003fff,0x81ffff88,0x0004fffb,
    0xff980000,0xff900eff,0xf980007f,0xff5006ff,0xffe807ff,0x7ffe404f,
    0x7fcc0003,0x3ffe606f,0x0fffa804,0xf001fff7,0x3fe00dff,0x7fff807f,
    0x003fffc8,0x8fffd800,0x000efffd,0x8007fff5,0x0001fffe,0x0017ffee,
    0xfffd80c4,0x3bfff600,0xc9fffd40,0x40003fff,0x3fa4fffb,0x980002ff,
    0x3fffc81b,0x7ffdc000,0x007fff94,0xd4fffb80,0x43ffffff,0x004ffff9,
    0x7f6fffc4,0x00001fff,0x705fffc8,0x00009fff,0xffe88000,0x3ff200ff,
    0x7dc0003f,0x3f6006ff,0xff700fff,0xfff900df,0xffb80007,0x37ffc06f,
    0xf337fe40,0xff9805ff,0xffff003f,0x90ffff00,0x00007fff,0xf11fffb0,
    0x2a009fff,0x74003fff,0x20001fff,0x001ffff9,0x07ffec00,0x89ffff10,
    0xff93fffa,0xfb80007f,0xffff34ff,0xc8000001,0x40003fff,0xff94fffb,
    0xfb80007f,0xffffd4ff,0xffff901f,0x7ffc4005,0x06ffffff,0x7ffc4000,
    0x9fff701f,0x80000000,0x402ffffd,0x0003fffc,0x0027ffec,0x10bffff1,
    0x9003ffff,0x80007fff,0x6c04fffd,0xfff807ff,0x2027ffc3,0xf001fffb,
    0xfff00fff,0x07fff90f,0xfffb0000,0x07fffea1,0x00fffea0,0x003fffd0,
    0xdfffff80,0xffb00001,0xfffa801f,0x4fffea2f,0x0003fffc,0xfba7ffdc,
    0x000007ff,0x003fffc8,0xca7ffdc0,0x40003fff,0xffd4fffb,0x7ff401df,
    0xff1000ff,0xfffdffff,0x7e400009,0x3fee05ff,0x0000004f,0x0ffffee0,
    0x00ffff20,0x3ffff980,0x7fffd400,0x027ffec2,0x003fffc8,0x0ffffe60,
    0x403fff70,0x7ec1fff9,0x3ffec07f,0x00ffff00,0xff90ffff,0xb000007f,
    0x7fec1fff,0x7fd400ef,0x7ff4003f,0x7d40001f,0xadffffff,0xfffb0000,
    0xffffb001,0x64fffea1,0x40003fff,0xff94fffb,0x000000df,0x0007fff9,
    0xf94fffb8,0xb80007ff,0xfffd4fff,0xffff9803,0xffff1005,0x3ffff15f,
    0xfff10000,0x7ffdc03f,0x00000004,0x00bffff5,0x000ffff2,0x037fffdc,
    0x26fffd80,0x2006fffa,0x0003fffc,0x00dffff7,0x5c07fff3,0xfffa87ff,
    0x017ffe01,0xf807fff8,0xfffc87ff,0xfd800003,0x3ffe20ff,0x7ffd404f,
    0x7fff4003,0xff980001,0xefffffff,0xffb000ac,0xfff1001f,0x4fffea9f,
    0x0003fffc,0xfca7ffdc,0x000004ff,0x003fffc8,0xca7ffdc0,0x40003fff,
    0xffd4fffb,0xfff7003f,0xfff1007f,0x37ffdc5f,0x7ffdc000,0x77ffdc05,
    0xcccccccc,0x004ccccc,0x1bfffe20,0x9bfffc80,0x99999999,0xffffecba,
    0xff10001f,0x3fffa7ff,0x3fff2001,0x9999999b,0xffecba99,0xff001fff,
    0x2ffec0bf,0x981fffc4,0x3e003fff,0xfff807ff,0xeefffc87,0xeeeeeeee,
    0x2eeeeeee,0x2a07ffec,0x2a02ffff,0x74003fff,0x00001fff,0xffffffd1,
    0x17bfffff,0x007ffec0,0xaaffffa8,0xfff93fff,0xffb80007,0x07fffb4f,
    0xff900000,0xfb80007f,0x7fff94ff,0xfffb8000,0x003fffd4,0x007ffff6,
    0xfd09fff1,0xf80009ff,0x7dc02fff,0xffffffff,0xffffffff,0xffd10007,
    0x7e4001ff,0xffffffff,0xffffffff,0x0002ffff,0x7effffd4,0x7e4003ff,
    0xffffffff,0xffffffff,0x2002ffff,0x3fe07ffd,0x0bffd02f,0x8003ffee,
    0xff807fff,0xffffc87f,0xffffffff,0xffffffff,0x407ffec3,0x500efffd,
    0xe8007fff,0x00001fff,0x7ffffecc,0x2fffffff,0x001fffb0,0x7dffffec,
    0x7fff93ff,0xfffb8000,0x005fffd4,0xfff90000,0xffb80007,0x07fff94f,
    0x4fffb800,0x2003fffd,0x00fffff8,0x2613ffe2,0x0001ffff,0x700dfff7,
    0xffffffff,0xffffffff,0x3f6000ff,0x64001fff,0xffffffff,0xffffffff,
    0x0000dfff,0xffffffb0,0xfff9000b,0xffffffff,0xffffffff,0xffb8001b,
    0x0fffa81f,0xb01fff90,0xff800dff,0x7fff807f,0xffffffc8,0xffffffff,
    0x43ffffff,0xf880fffd,0xff504fff,0xffe8007f,0x2000001f,0xfffffec9,
    0xfd85ffff,0x3e2000ff,0x3fffffff,0x0007fff9,0xfb4fffb8,0x000005ff,
    0x007fff90,0x94fffb80,0x80007fff,0xffd4fffb,0x7fd4003f,0x3fe205ff,
    0xdfff704f,0x3fffe000,0xffffb802,0xffffffff,0x007fffff,0x03ffffb8,
    0xfffffc80,0xffffffff,0x000bdfff,0x7fffc400,0xfc8000ff,0xffffffff,
    0xdfffffff,0xff10000b,0x0dff905f,0x7c17ffd4,0x7fc004ff,0x7fff807f,
    0xffffffc8,0xffffffff,0x43ffffff,0xf500fffd,0xff505fff,0xffe8007f,
    0x0000001f,0xffffd951,0xfffd8bff,0x7ffd4000,0xff93ffff,0xfb80007f,
    0x7fff94ff,0xf9000000,0xb80007ff,0xfff94fff,0xffb80007,0x03fffd4f,
    0x3ffffc80,0x409fff10,0x4004fffe,0x7006fffb,0x00009fff,0x3fffea00,
    0xfff90005,0x75555559,0x003dffff,0x7ffd4000,0xff90003f,0x5555559f,
    0x03dffff7,0x09ffd000,0xff809ffd,0x17ffcc4f,0x01fffe00,0x3f21fffe,
    0x800003ff,0x3600fffd,0x7d40efff,0x7f4003ff,0x000001ff,0xffffb300,
    0x07ffec5f,0x7fffec00,0x7fff93ff,0xfffc8000,0x009fff93,0xfff90000,
    0xffc80007,0x07fff93f,0x3fffc800,0x8003fffd,0x81ffffe8,0x2604fff8,
    0x2001ffff,0xaaadfffe,0xfdaaaaaa,0x000004ff,0x06ffff88,0x0ffff200,
    0x13fffee0,0xfff80000,0x3ff20007,0xfffb803f,0x7e40004f,0x17ffc46f,
    0xf71bff60,0xff8001ff,0x7fff807f,0x003fffc8,0x0fffd800,0x13fffe20,
    0x8007fff5,0x0001fffe,0x7fd40000,0x3fff66ff,0xfff88000,0xfff73fff,
    0xffc80007,0x0bfff73f,0xff700000,0xfc80007f,0x7fff73ff,0xfffc8000,
    0x003fffd3,0x0dffff30,0xc809fff1,0xa800efff,0xffffffff,0xffffffff,
    0x000004ff,0x00ffffe8,0x0ffff200,0x1ffffdc0,0xfff80000,0x3ff20007,
    0xfff7003f,0x7d40007f,0x1ffee0ff,0xfb1ffee0,0xfff000df,0x0ffff00f,
    0x0007fff9,0x01fffb00,0x22ffffa8,0x4003fffa,0x0001fffe,0x26000044,
    0xffb0ffff,0x3ee0001f,0xff73ffff,0xfd80009f,0xffff32ff,0x0de40000,
    0x0013ffee,0x2e5fffb0,0x40004fff,0xffd2fffd,0x3f20003f,0x7fc44fff,
    0x7ff4404f,0xfffe804f,0xffffffff,0x4fffffff,0x7ec00000,0x40001fff,
    0x2003fffc,0x002ffffc,0x07fff800,0x0ffff200,0x2ffffc80,0x5fff1000,
    0x4c02ffec,0x3ffe1fff,0x7fff8003,0xc87fff80,0x00003fff,0x800fffd8,
    0xf50ffffd,0xfe8007ff,0xff0001ff,0xfd0000ff,0x3fff63ff,0x3ff60000,
    0x9fff53ff,0xfffe8000,0x007fffa2,0x3fffe600,0x009fff50,0x52fffe80,
    0x80009fff,0xffd2fffe,0x7f40003f,0x3fe22fff,0xfffa804f,0x3ffea01f,
    0xffffffff,0xffffffff,0x2e000004,0x0003ffff,0x003fffc8,0x00ffffec,
    0x1fffe000,0x3fffc800,0x7fffec00,0x9ffd0001,0xf801fffc,0x3fff13ff,
    0x0ffff000,0xf90ffff0,0x000007ff,0x1001fffb,0x3ea9ffff,0x7f4003ff,
    0xfd0001ff,0xc80005ff,0xfffb2fff,0x7fc40001,0xdfff33ff,0xffff8000,
    0x013fff21,0x9bffee00,0x0006fff9,0xf98ffffc,0x7c0006ff,0xfffd1fff,
    0x7fc40003,0xfff10fff,0x3fff6009,0x7fffd00e,0x33333333,0x9fff9333,
    0x3e600000,0x00004fff,0x8007fff9,0x00effff8,0x1fffe000,0x3fffc800,
    0x7fffc400,0xffc8000e,0x003fff36,0x7fd53ff6,0xffff0007,0x90ffff00,
    0x00007fff,0x001fffb0,0x2abfffea,0x74003fff,0xb0001fff,0x80009fff,
    0x0001fffd,0xffff8000,0xfff30000,0x1ffff98f,0x7fff4000,0x007fffc2,
    0x47fff980,0x0000ffff,0x000ffff3,0x00000000,0x1fffea00,0x13ffee00,
    0x3fe20000,0x200006ff,0x8003fffc,0x005ffffb,0x01fffe00,0x03fffc80,
    0x5ffffb80,0x77ffa800,0x7d400fff,0x00bff96f,0x201fffe0,0xffc87fff,
    0xd800003f,0x36000fff,0xfffbffff,0x7fff4003,0xfff50001,0x3e20001f,
    0xa8000fff,0x2001deff,0x0005fffd,0xfb0bfffb,0x64000bff,0xffd87fff,
    0xffb0005f,0x5fffd8bf,0xbfffb000,0x3bffa000,0x7dc00003,0x36000cef,
    0xb8003fff,0x00004fff,0x00ffffe8,0x3fff2000,0xfffb0003,0x3e00005f,
    0x320007ff,0xb0003fff,0x8005ffff,0xffd9fff8,0x3ffe2004,0x0003ffe8,
    0xff00ffff,0x7fff90ff,0xffb00000,0x7fc4001f,0x03ffffff,0x00ffff40,
    0x3ffffd00,0xbfff9000,0x3ffea000,0xff7002ff,0xf98009ff,0xff882fff,
    0xfb8005ff,0xffb84fff,0x7cc004ff,0x7fdc2fff,0x7cc004ff,0xd0002fff,
    0x000dffff,0x7ffffdc0,0xffff9801,0xfffb8000,0x7ec00004,0x00001fff,
    0x001fffe4,0x06ffff88,0x0ffff000,0x1fffe400,0xffff8800,0xbffe8006,
    0x74002fff,0x00fffaff,0x00ffff00,0xff90ffff,0xb000007f,0xa8001fff,
    0x3fffffff,0x0ffff400,0xffff7000,0x3fa6007f,0x10001fff,0x00dffd53,
    0x01fffff4,0x06ffffb8,0x07bffff2,0x3ffff220,0x3ffffa05,0xffff7003,
    0x3ffffa0d,0xffff7003,0x5d44000d,0x00002fff,0x0bffd731,0x009fffb0,
    0x013ffee0,0xffffb800,0xfc800001,0x2e0003ff,0x0004ffff,0x0007fff8,
    0x000ffff2,0x04ffffb8,0x7ff7fdc0,0x7fe4000f,0x20006ffe,0xff807fff,
    0x3fffc87f,0xffd80000,0xffd8000f,0x4003ffff,0x0001fffe,0x7fffffe4,
    0xdca99acd,0x003fffff,0x05fff100,0x3ffffea0,0xcba99bdf,0x01fffffe,
    0x6fffffec,0x3feea21a,0x2a00efff,0xbdffffff,0xffecba99,0xff501fff,
    0x337bffff,0xffffd975,0x3600003f,0x800006ff,0x2601fff9,0x0000ffff,
    0x999dfff7,0x99999999,0x3e259999,0xccccefff,0xcccccccc,0x0ccccccc,
    0x0007fff9,0x01ffffe8,0x03fffc00,0x07fff900,0xffffe800,0x3ffe6001,
    0xfa8006ff,0x0004ffff,0x3e01fffe,0xfffc87ff,0xcccccccd,0xcccccccc,
    0xfffb1ccc,0xfff10001,0xe8007fff,0x80001fff,0xfffffffd,0xffffffff,
    0x100004ff,0x4005fff9,0xfffffffb,0xffffffff,0xff9002ff,0xffffffff,
    0x1fffffff,0xfffff700,0xffffffff,0xb805ffff,0xffffffff,0xffffffff,
    0xf500002f,0x80000dff,0x201fffd8,0x0004fffd,0x3fffffee,0xffffffff,
    0xf14fffff,0xffffffff,0xffffffff,0x1fffffff,0x000ffff2,0x0dffff30,
    0x07fff800,0x0ffff200,0xffff3000,0xffff800d,0xfff0003f,0x7c0005ff,
    0xfff807ff,0xfffffc87,0xffffffff,0xffffffff,0x01fffb2f,0x3fffee00,
    0x7ff4003f,0xf500001f,0xffffffff,0x05ffffff,0x7ff74c00,0x4000efff,
    0xfffffff9,0xefffffff,0x7ffdc001,0xffffffff,0x2000cfff,0xfffffff9,
    0xefffffff,0xffff3001,0xffffffff,0x40003dff,0xfffffeed,0x77540002,
    0x206fffff,0x000ffff8,0x3ffffee0,0xffffffff,0x14ffffff,0xffffffff,
    0xffffffff,0xffffffff,0x00ffff21,0x3ffff200,0x3ffe0003,0x3ff20007,
    0xfc80003f,0x36003fff,0x0001ffff,0x001ffffb,0x403fffc0,0xffc87fff,
    0xffffffff,0xffffffff,0xffb2ffff,0x7ec0001f,0x74003fff,0x00001fff,
    0x7ffffedc,0x00acefff,0x7fffdc00,0x10000eff,0xffffffb5,0x0005bfff,
    0xfffffda8,0x000cffff,0xffffb510,0x05bfffff,0xfffb5100,0x5bffffff,
    0xffff0000,0x00007fff,0xdffffff9,0x2fffe401,0x3ffee000,0xffffffff,
    0xffffffff,0xffffff14,0xffffffff,0xffffffff,0x3fff21ff,0xffd00003,
    0x3e0001ff,0x320007ff,0x00003fff,0x001ffffd,0x001fffee,0x005fffb8,
    0x403fffc0,0xffc87fff,0xffffffff,0xffffffff,0xffb2ffff,0x7c40001f,
    0x74003fff,0x00001fff,0x06eeaa60,0x3b2a0000,0x00002cde,0x2aaeaa62,
    0x98000009,0x0009aba9,0x5d54c400,0x000009aa,0x35575531,0x6e400001,
    0x0000bcee,0x39bdd950,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00666654,0x10133310,
    0x30001333,0x00059999,0x39999500,0x00000000,0x6665c000,0x30000004,
    0x00009999,0x20155100,0x000001aa,0x00399993,0x99990000,0xdb800007,
    0x05ed81cd,0x00333310,0x00079999,0x59999300,0x22000000,0x0000cccc,
    0x2a06aaa6,0x00000aaa,0x02aaaa00,0x00055551,0x26666000,0xaa880000,
    0x000aa600,0x7fffc400,0x7ffc4004,0x3bffe21f,0xfffd8000,0xfd000006,
    0x40000bff,0x3fee06fd,0xff980001,0x000003ff,0x27ffff44,0xff700000,
    0x7fcc5bff,0xfb000004,0x00000dff,0x03ffff50,0x7ffec000,0xffa8beff,
    0xffff8805,0x7fffd404,0xfb000002,0x00000dff,0x3bffff60,0xfff10000,
    0x37ffcc3f,0x39dd9100,0xfa84ff88,0x7ffec5ff,0x88000003,0x0003ffff,
    0xf104ff98,0x200000bf,0x0005fffb,0x7ecdfff3,0xf98001ff,0x00000fff,
    0x00efffa8,0x0ffee000,0x00003ffc,0x000ffff5,0xffffd800,0x800002ff,
    0xfffffffa,0x003fffdf,0xffff9800,0xe8000000,0x00003fff,0x3fffffee,
    0x03ffffff,0x805fffc8,0x0003fffd,0x3fffa200,0x5c000002,0x05ffffff,
    0x9bffe600,0x3000fffe,0x7dffffff,0x3207ffb3,0xfff53fff,0x20000009,
    0x003ffff8,0x901fff00,0x000007ff,0x0003fffe,0xfabfffb8,0xfb0002ff,
    0x000005ff,0x0007fffa,0x7bfff100,0x009ffd95,0x3fffc800,0xff700000,
    0x03fff97f,0xcffe8000,0xffffffeb,0xfb000006,0x000003ff,0x00bfff30,
    0x52ffe800,0x0bfffffb,0x01dfff10,0x005fff98,0xfff88000,0x26000006,
    0xfff9dfff,0x3fee0003,0x01fffcbf,0x3fffffa0,0x0fffffff,0x3a7fffa0,
    0x000006ff,0x0ffffe20,0x7ffd4000,0x0efffdce,0xffb80000,0xfd80001f,
    0x004fffff,0x009fff10,0x3ffea000,0xf5000002,0xdfffffff,0x3f600000,
    0x9800006f,0x3ffa5fff,0xf100000e,0xfffd98df,0x8800000c,0x00003fff,
    0x01dffb00,0x86ff8000,0x9001cec9,0xfb003fff,0x000001df,0x00bffea0,
    0x3ffa2000,0x05fff90f,0x7fffec00,0x3e2003ff,0xfffb50ef,0xff8805ff,
    0x000fffff,0x3fe20000,0x200003ff,0xfffffffc,0xd000001f,0x200007ff,
    0x05ffffe8,0x017ff200,0x4ffd8000,0x74c00000,0x003fffff,0x3ffa2000,
    0x3e200002,0x3fea0fff,0x5100005f,0x0000c035,0x017ff200,0x7fcc0000,
    0x0000001f,0xfff88000,0x1fff9803,0x5c000000,0x800006ff,0x3e23fffd,
    0x10000fff,0x009ffffd,0xc983ee98,0x3fea002d,0x00001fff,0x66664400,
    0x6cc00002,0x000cefff,0x05551000,0xccc98000,0x2aa0000c,0x2000000a,
    0x000002aa,0x0006a620,0x0d544000,0x55530000,0x01555503,0x09980000,
    0xaa800000,0x0000000a,0x00003553,0x26000000,0x553003cc,0x00000003,
    0x00002aaa,0x982aaa88,0x20001aaa,0x0002aaa8,0x55400000,0x000001aa,
    0x00013300,0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xffffedba,0x00000bef,0x00000000,0xeeb80000,
    0x7540002e,0x000003ee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36e20000,0xcdffffff,0x0000001a,0x3bbbae00,0xdd700001,0x776c01bd,
    0x0fbbb206,0x5ddd5000,0x3bbbbbae,0xeeeeeeee,0x3eeeeeee,0x3bba6000,
    0xdd70001e,0xdddddddd,0xdddddddd,0x40007ddd,0x001eeee9,0xfffe9800,
    0xffffffff,0x3a6001df,0xeeeeeeee,0xeeeeeeee,0x0003eeee,0x007bbba6,
    0x01fffe40,0x93ffee00,0xed82eee9,0x000000ee,0x1eeee980,0x5ddd7000,
    0xeeea8000,0xdddddd73,0xdddddddd,0x7ddddddd,0x40dddb00,0xeeeeeeeb,
    0xaccdeeee,0xfb300001,0xffffffff,0x403bffff,0xeeeeeeeb,0xeeeeeeee,
    0x43eeeeee,0x006ffff8,0x3ffff980,0xb03fffc0,0x0003ffff,0xfc9fffd4,
    0xffffffff,0xffffffff,0x0004ffff,0x013ffff6,0x7ffffe40,0xffffffff,
    0xffffffff,0x3ff60004,0x400004ff,0xfffffffb,0xffffffff,0xfff5003f,
    0xffffffff,0xffffffff,0x6c0009ff,0x0004ffff,0x0007fff9,0x264fffb8,
    0xffe83fff,0x0000001f,0x04ffffd8,0x07fff900,0x4fffb800,0xfffffff9,
    0xffffffff,0x09ffffff,0x640ffff0,0xffffffff,0xffffffff,0x3f20001d,
    0xffffffff,0xffffffff,0xfffff903,0xffffffff,0xffffffff,0x7ffff509,
    0xfffe8000,0x07fff805,0x01bffff6,0x93fffa80,0xffffffff,0xffffffff,
    0x009fffff,0x3ffffe20,0xffc8000f,0xffffffff,0xffffffff,0x10004fff,
    0x01ffffff,0xfffd3000,0x53379dff,0x9ffffff9,0xfffff500,0xffffffff,
    0xffffffff,0x3fe20009,0x8000ffff,0x0003fffc,0xf327ffdc,0xfffd07ff,
    0x80000003,0x0ffffff8,0x3fffc800,0x7ffdc000,0xffffff94,0xffffffff,
    0x9fffffff,0x40ffff00,0xfffffffc,0xffffffff,0x2001efff,0xffffffd8,
    0xfdca9acd,0xc84fffff,0xffffffff,0xffffffff,0xb04fffff,0x0003ffff,
    0x003fffee,0xfd81fffe,0x0004ffff,0x3f27fff5,0xeeeeeeff,0xeeeeeeee,
    0x0003eeee,0x7fffdff7,0xdfff9000,0xdddddddd,0xdddddddd,0x3ee0007d,
    0x003fffef,0x7ffffc40,0xffea800d,0x774c05ff,0xeeeeeeee,0xfeeeeeee,
    0x70004fff,0x07fffdff,0x07fff900,0x4fffb800,0x3a0fffe6,0x00001fff,
    0x7f7fdc00,0xfc8003ff,0x5c0003ff,0xfff94fff,0xdddddddd,0xdddddddd,
    0xfff007dd,0x77ffe40f,0xffeeeeee,0xffffffff,0xffffd003,0x3fea005d,
    0x7fe41fff,0xeeeeeeef,0xeeeeeeee,0xff103eee,0xf3000dff,0x3e005fff,
    0x3ff607ff,0x8001ffff,0xff93fffa,0x0000007f,0xfecffe80,0xffc8006f,
    0x0000003f,0x7f67ff40,0x7e40006f,0x44003fff,0x002ffffd,0x7ffec000,
    0xffd0001f,0x000dffd9,0x0007fff9,0x264fffb8,0xffe83fff,0x0000001f,
    0x7ff67ff4,0xfffc8006,0x7fdc0003,0x07fff94f,0x7fc00000,0x3fff207f,
    0xffb51002,0xfc805fff,0x4000dfff,0x645fffe8,0x00003fff,0x3ffffa80,
    0x2ffff400,0x40ffff00,0x6ffffffd,0x3fffa800,0x0007fff9,0x7fcc0000,
    0x01fffb9f,0x01fffe40,0xf3000000,0x3fff73ff,0x3ffe6000,0x3f60001f,
    0x00000fff,0x05ffff90,0x27ffe600,0x4001fffb,0x0003fffc,0xf327ffdc,
    0xfffd07ff,0x40000003,0xffb9fff9,0x7fe4001f,0x7dc0003f,0x7fff94ff,
    0x7c000000,0x3ff207ff,0xffa8002f,0xff300fff,0xf80007ff,0x3ff20fff,
    0x0000003f,0x001ffffb,0x003fffee,0x3607fff8,0x4fffffff,0x9fffd400,
    0x0003fffc,0x3ff20000,0x009fff17,0x003fffc8,0x3f200000,0x09fff17f,
    0x13fffa00,0xfffd1000,0xf700000b,0x40007fff,0xfff17ffc,0xfffc8009,
    0x7fdc0003,0x0fffe64f,0x0007fffa,0x7ffc8000,0x8009fff1,0x0003fffc,
    0xfca7ffdc,0x000003ff,0xc81fffe0,0x30002fff,0x3a09ffff,0x80006fff,
    0x3f24fffb,0x000003ff,0x0bffff10,0x05ffff10,0x207fff80,0xfffbfffd,
    0x3fea001f,0x07fff93f,0x7c000000,0x3fffa5ff,0x3fff2000,0x00000003,
    0xffe97ffe,0x7fdc000f,0xa80000ff,0x0000ffff,0x17fffea0,0x4bfff000,
    0x2000fffe,0x0003fffc,0xf327ffdc,0xfffd07ff,0x40000003,0x3ffa5fff,
    0x3ff2000f,0x7dc0003f,0x7fff94ff,0x7c000000,0x3ff207ff,0x3ee0002f,
    0x7fcc0fff,0x880001ff,0xff90ffff,0x0000007f,0x01ffffd4,0x0013fffa,
    0xfd81fffe,0xefffd8ff,0x7fff5000,0x000ffff2,0x7fd40000,0x0fffee3f,
    0x03fffc80,0xf5000000,0x7ffdc7ff,0x7fffc003,0x3fa00003,0x300002ff,
    0x001dffff,0x71fffd40,0x64007fff,0x40003fff,0x3e64fffb,0xfffe83ff,
    0x50000001,0x7fdc7fff,0x3ff2003f,0x7dc0003f,0x7fff94ff,0x7c000000,
    0x3ff207ff,0x7f40002f,0x7ffe44ff,0x32e00004,0x0ffff20a,0xfb000000,
    0x3ee01fff,0xff0006ff,0x7ffec0ff,0x04ffff88,0x327fff50,0x00003fff,
    0x1fffb000,0x0037ffc4,0x0007fff9,0x3ff60000,0x1bffe20f,0x07fff880,
    0x7ffdc000,0xfe880005,0x40000fff,0x3e20fffd,0x3f2006ff,0x5c0003ff,
    0x3fe64fff,0x1fffe83f,0xfb000000,0x7ffc41ff,0x3fff2006,0x7fdc0003,
    0x07fff94f,0x7fc00000,0x3fff207f,0x7fdc0002,0x1ffff46f,0x7e400000,
    0x000003ff,0x2ffffc40,0x00ffffc4,0x207fff80,0xff50fffd,0xff5003ff,
    0x0ffff27f,0x22000000,0xffd85fff,0xfff9001f,0x00000007,0xfb0bfff1,
    0x3e6003ff,0x400006ff,0x0007fff9,0x02ffffd8,0x2fffc400,0x800fffec,
    0x0003fffc,0xf327ffdc,0xfffd07ff,0x10000003,0xffb0bfff,0x3ff2003f,
    0x7dc0003f,0x7fff94ff,0x7c000000,0x3ff207ff,0x7c40002f,0xfff30fff,
    0x0000003f,0x0007fff9,0xfff50000,0x4fffd85f,0x1fffe000,0x360fffd8,
    0x5400efff,0xfff93fff,0x00000007,0xf505fff7,0x3f200bff,0x000003ff,
    0x82fffb80,0x5005fffa,0x0000bfff,0x001ffff0,0x1ffffdc0,0x7ffdc000,
    0x05fffa82,0x007fff90,0x24fffb80,0xfe83fff9,0x000001ff,0xa82fffb8,
    0xf9005fff,0xb80007ff,0xfff94fff,0x40000007,0x3f207fff,0xe80002ff,
    0xfff52fff,0x0000001f,0x0007fff9,0x3ff60000,0x1bffea6f,0x0ffff000,
    0xf107ffec,0xfa809fff,0x7fff93ff,0xd0000000,0x7ffc0fff,0xfffc800f,
    0x80000003,0x3fe07ffe,0xffb800ff,0xe800004f,0x50001fff,0x000bffff,
    0xf81fffa0,0xfc800fff,0x5c0003ff,0x3fe64fff,0x1fffe83f,0xfe800000,
    0x3fffe07f,0xcfffc800,0x99999999,0xc9999999,0xfff94fff,0x40000007,
    0x3f207fff,0xd80002ff,0xfff73fff,0x2000000d,0x0003fffc,0xfff10000,
    0x07fffa7f,0x0ffff000,0x2a07ffec,0x2a02ffff,0xfff93fff,0xdddddddd,
    0xdddddddd,0x7fcc005d,0x3fff204f,0xefffc803,0xeeeeeeee,0xeeeeeeee,
    0x3ffe6002,0x0ffff204,0x00ffff20,0x3fffa000,0xfff88002,0xf300006f,
    0x7fe409ff,0xfffc803f,0x7fdc0003,0x0fffe64f,0x0007fffa,0x9fff3000,
    0x01fffe40,0x7fffffe4,0xffffffff,0xffffffff,0xddfff94f,0xdddddddd,
    0x5ddddddd,0x81fffe00,0x0002fffc,0xf94fffc8,0x00000bff,0x3bbfff20,
    0xeeeeeeee,0x2eeeeeee,0xffff5000,0x0007fffb,0x6c0ffff0,0xffd80fff,
    0xfff500ef,0x3fffff27,0xffffffff,0x3fffffff,0x07fff200,0x806fff98,
    0xfffffffc,0xffffffff,0x003fffff,0x9807fff2,0xfe806fff,0x800002ff,
    0x4003fffd,0x00ffffe8,0x3fff9000,0x037ffcc0,0x001fffe4,0x993ffee0,
    0xffe83fff,0x4000001f,0x2601fffc,0xfc806fff,0xffffffff,0xffffffff,
    0x94ffffff,0xffffffff,0xffffffff,0x2007ffff,0x3f207fff,0xb80002ff,
    0xfff94fff,0x66644007,0xcccccccc,0xfffff93c,0xffffffff,0x7fffffff,
    0x7ffec000,0x00005fff,0x7ec0ffff,0xfff880ff,0x7fff504f,0x3ffffff2,
    0xffffffff,0x03ffffff,0x00dfff10,0xc805fffd,0xffffffff,0xffffffff,
    0x1003ffff,0xfd00dfff,0xffe805ff,0xe800002f,0x6c002fff,0x0001ffff,
    0x00dfff10,0xc805fffd,0x40003fff,0x3e64fffb,0xfffe83ff,0x22000001,
    0xfe806fff,0x7fe402ff,0xffffffff,0xffffffff,0xf94fffff,0xffffffff,
    0xffffffff,0x3e007fff,0x3ff207ff,0xfb80002f,0x9fff95ff,0x7fffcc00,
    0xffffffff,0xffffff95,0xffffffff,0x07ffffff,0x7fffc400,0xf00000ff,
    0x7fec0fff,0xffff500f,0x27fff505,0xfffffffc,0xffffffff,0x003fffff,
    0x7007fff7,0xfc80bfff,0xffffffff,0xffffffff,0xf7003fff,0xff7007ff,
    0xfffd80bf,0xff800003,0x3ee001ff,0x00003fff,0x200fffee,0x6405fffb,
    0x40003fff,0x3e64fffb,0xfffe83ff,0x2e000001,0xfb803fff,0x7fe405ff,
    0xccccccef,0xcccccccc,0xf94fffec,0xffffffff,0xffffffff,0x3e007fff,
    0x3ff207ff,0xfc80002f,0x9fff74ff,0x7fffcc00,0xffffffff,0xffffff95,
    0xffffffff,0x07ffffff,0xffffa800,0x3fe00003,0x3fff607f,0x3bfff600,
    0xc9fffd40,0x00003fff,0x03fffa00,0x03fffe20,0x003fffc8,0x3ffa0000,
    0xfff8800f,0x3fff200f,0x7c400004,0xf5001fff,0x0000bfff,0x800fffe8,
    0x200ffff8,0x0003fffc,0xf31fffe4,0xfffd07ff,0x74000003,0xf8800fff,
    0x3f200fff,0x5c0003ff,0xfff94fff,0x40000007,0x3f207fff,0xd80002ff,
    0xfff53fff,0x7ffcc00b,0xffffffff,0x07fff95f,0x20000000,0x00007fff,
    0xfb03fffc,0x7fc401ff,0x7ffd44ff,0x007fff93,0x3fe60000,0xccccccff,
    0xffffcccc,0x0ffff203,0x7cc00000,0xcccccfff,0xfffccccc,0x3ffee03f,
    0x7cc00005,0xf8800fff,0x00006fff,0x667fffcc,0xcccccccc,0x2e03ffff,
    0x40003fff,0x3e63fffc,0xfffe83ff,0xf3000001,0x99999fff,0xfff99999,
    0x7ffe407f,0x7fdc0003,0x07fff94f,0x7fc00000,0x3fff207f,0xffe80002,
    0x0dfff32f,0xfff98000,0x007fff95,0x3e000000,0x400007ff,0x3f607fff,
    0x7fd400ff,0x3ffea2ff,0x007fff93,0x3ff20000,0xffffffff,0xffffffff,
    0x0ffff206,0x7e400000,0xffffffff,0xffffffff,0x3ffe606f,0x7d400006,
    0xffd006ff,0x800001ff,0xfffffffc,0xffffffff,0x3ee06fff,0x6c0004ff,
    0x3fe62fff,0x1fffe83f,0xff900000,0xffffffff,0xffffffff,0x1fffe40d,
    0x3ffee000,0x007fff94,0x7ffc0000,0x0bfff207,0x3fffe000,0x03ffff11,
    0x7ffcc000,0x007fff95,0x3e000000,0x400007ff,0x3f607fff,0xffd800ff,
    0x7fff50ff,0x000ffff2,0x7fffc000,0xffffffff,0xffffffff,0x07fff902,
    0x3fe00000,0xffffffff,0xffffffff,0x3ffe02ff,0x3600001f,0xfd803fff,
    0x00001fff,0xfffffff8,0xffffffff,0x502fffff,0x80009fff,0x3e62fffe,
    0xfffe83ff,0xff000001,0xffffffff,0xffffffff,0x3ff205ff,0x7dc0003f,
    0x7fff94ff,0x7c000000,0x3ff207ff,0x7c40002f,0x3ff60fff,0x2600004f,
    0xfff95fff,0x00000007,0x001fffe0,0x40ffff00,0x8800fffd,0xff54ffff,
    0x0ffff27f,0x3ea00000,0xccccceff,0xdccccccc,0xff905fff,0x0000007f,
    0x999dfff5,0x99999999,0x40bfffb9,0x0006fffc,0x01ffff50,0x03ffffb8,
    0xfffa8000,0xccccccce,0xffdccccc,0xdfff305f,0xffff8000,0x20fffe61,
    0x0001fffe,0xcefffa80,0xcccccccc,0x5fffdccc,0x007fff90,0x94fffb80,
    0x00007fff,0x03fffc00,0x0005fff9,0x547fffa8,0x0000ffff,0x32bfff30,
    0x00003fff,0xffff0000,0xfff80000,0x03fff607,0x57fffd40,0xff93fffa,
    0x0000007f,0x0005fffb,0x901ffff1,0x00007fff,0x05fffb00,0x1ffff100,
    0x0ffffe60,0x3fffa000,0x7fffcc06,0xfb000004,0xf10005ff,0x3fe01fff,
    0xf30000ff,0xfff98fff,0x01fffe83,0xfffd8000,0xfff88002,0x3fffc80f,
    0x7ffdc000,0x007fff94,0x7ffc0000,0x0bfff207,0x7fffd000,0x00bffff0,
    0x57ffe600,0x0003fffc,0xfff00000,0xff80000f,0x3fff607f,0x3fff6000,
    0xf93fffbf,0x000007ff,0x007fff88,0x213fffa0,0x0003fffc,0x3fffc400,
    0x9fffd000,0x07fffe40,0xffff7000,0x7fffc403,0xf1000006,0x74000fff,
    0xffb04fff,0x3f6000bf,0x7ffcc5ff,0x01fffe83,0x7ffc4000,0x3ffa0007,
    0x3fffc84f,0x7ffdc000,0x007fff94,0x7ffc0000,0x0bfff207,0xffffb800,
    0x2ffffb80,0xfffa8000,0x007fff95,0x3e000000,0x400007ff,0x3f607fff,
    0x3e2000ff,0x3fffffff,0x0007fff9,0x4fffb800,0x3ffea000,0x03fffc87,
    0x7fdc0000,0x3ea0004f,0x7ff407ff,0xfc8001ef,0x7f404fff,0x00000fff,
    0x009fff70,0x83fffd40,0x004ffffb,0x217fffcc,0xfe83fff9,0x400001ff,
    0x0004fffb,0x321fffea,0x40003fff,0xff94fffb,0x0000007f,0xf903fffc,
    0x220005ff,0x3604ffff,0x0004ffff,0x2bffff91,0x0003fffc,0xfff00000,
    0xff80000f,0x3fff607f,0x7ffd4000,0xff93ffff,0x8000007f,0x0001fffe,
    0x90bfffe2,0x00007fff,0x01fffe80,0x3fffe200,0x3fffe602,0xffd1003f,
    0xffd80dff,0x000001ff,0x0007fffa,0x02ffff88,0x007ffffd,0x21bfffee,
    0xfe83fff9,0x400001ff,0x0001fffe,0x90bfffe2,0x80007fff,0xff94fffb,
    0x0000007f,0xf903fffc,0xd30005ff,0x4401ffff,0x0aefffff,0xffffb880,
    0x7fff94ff,0x00000000,0x0001fffe,0x6c0ffff0,0xd8000fff,0x93ffffff,
    0x00007fff,0x037ffcc0,0x2fffe400,0x000ffff2,0x6fff9800,0xfffc8000,
    0x7fffd405,0x7311acef,0x1dfffffb,0x0ffffdc0,0xff300000,0xf90000df,
    0x3fea0bff,0x99bdffff,0xffffecba,0x3fff981f,0x001fffe8,0x1bffe600,
    0x3fff2000,0x01fffe45,0x53ffee00,0x0003fffc,0x1fffe000,0x002fffc8,
    0x3fffff22,0xfffe9803,0x99bdefff,0xfffffedb,0x3fff23ff,0x00000003,
    0x000ffff0,0x207fff80,0x8000fffd,0x3ffffff8,0x999bfff9,0x99999999,
    0x39999999,0x003fffc8,0x0ffff980,0x3337fff2,0xcccccccc,0xcccccccc,
    0x01fffe41,0x7fffcc00,0x7fff4c00,0xffffffff,0x405fffff,0xcceffff8,
    0xcccccccc,0xcccccccc,0x1fffe40c,0x7ffcc000,0xffff700f,0xffffffff,
    0x205fffff,0xfe83fff9,0xcccccdff,0xcccccccc,0x1fffe41c,0x7ffcc000,
    0x0ffff20f,0x9fff7000,0x3337fff2,0xcccccccc,0xcccccccc,0x03fffc01,
    0x999bfff9,0xffdb9999,0x007fffff,0xffffffd8,0xffffffff,0x640cffff,
    0xccccdfff,0xcccccccc,0x01cccccc,0x01fffe00,0x0ffff000,0x0007ffec,
    0x3fffffb8,0xfffffff9,0xffffffff,0x5fffffff,0x000ffff8,0x49fffd00,
    0xfffffffc,0xffffffff,0x2fffffff,0x0007fffc,0x04fffe80,0xfffffc88,
    0xffffffff,0xfff8803f,0xffffffff,0xffffffff,0x7c0fffff,0x00000fff,
    0x4c09fffd,0xffffffff,0x1effffff,0x20fffe60,0xfffffffe,0xffffffff,
    0x7ffc2fff,0xfd00000f,0x7ffe49ff,0x7fdc0003,0xfffff94f,0xffffffff,
    0xffffffff,0x7fff805f,0x3fffff20,0xffffffff,0x03ffffff,0xffffd500,
    0xffffffff,0x3f203bff,0xffffffff,0xffffffff,0x002fffff,0x001fffe0,
    0x40ffff00,0x0000fffd,0x64fffff6,0xffffffff,0xffffffff,0x22ffffff,
    0x0006fffa,0xc9fffee0,0xffffffff,0xffffffff,0x22ffffff,0x0006fffa,
    0x01fffee0,0xffffeb88,0x002dffff,0x3fffffe2,0xffffffff,0xffffffff,
    0x3ffea0ff,0x3ee00006,0x6d4407ff,0xffffffff,0xff9802df,0xffffe83f,
    0xffffffff,0x22ffffff,0x0006fffa,0xc9fffee0,0x40003fff,0xff94fffb,
    0xffffffff,0xffffffff,0xf805ffff,0x3ff207ff,0xffffffff,0xcfffffff,
    0xfc980000,0xefffffff,0x7fe402bd,0xffffffff,0xffffffff,0x0002ffff,
    0x0001fffe,0x6c0ffff0,0x20000fff,0xf93ffff8,0xffffffff,0xffffffff,
    0x6c5fffff,0x00003fff,0x64bfffe2,0xffffffff,0xffffffff,0x22ffffff,
    0x0003fffd,0x0bfffe20,0x2aea6200,0xff10001a,0xffffffff,0xffffffff,
    0x41ffffff,0x0003fffd,0x0bfffe20,0x55d54c40,0x3e60009a,0xfffe83ff,
    0xffffffff,0x2fffffff,0x000ffff6,0x2ffff880,0x0007fff9,0xf94fffb8,
    0xffffffff,0xffffffff,0x805fffff,0x3f207fff,0xffffffff,0x02cceeff,
    0x2a620000,0x640009ab,0xffffffff,0xffffffff,0x02ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00009910,0x4404ccc4,0x00000999,
    0x99999993,0x00599999,0x402a6200,0xa80002aa,0x6c001aaa,0x07baa04e,
    0x0aaaaa00,0x5554c000,0xaaaaaaaa,0x2aaa201a,0x0440000a,0x99970000,
    0x99999999,0x3fee0039,0x0fffe43f,0x03530000,0x00002aa6,0xf517ffe2,
    0x400009ff,0x7f41fffc,0x220000ff,0xaaaaaaaa,0x3a02aaaa,0x7ffc47ff,
    0x1bffe206,0x0009fff3,0xf98dfff0,0x200005ff,0x99999998,0x00099999,
    0x40026666,0x200007f9,0x221ffff8,0x0000efff,0xffffff50,0x09ffffff,
    0xffff5000,0x037fc17d,0x3fffe200,0x0ffec004,0xd0007fe8,0x0000dfff,
    0x3ffffff2,0x03ffffff,0x00bfffe6,0x067fed40,0x7ffec000,0xffffffff,
    0xfff7002f,0x01fffc87,0xfffe8800,0x07ff60cf,0x3ffe2000,0x027ffd45,
    0x3fff9000,0x000fffe8,0x3ffffea0,0x5fffffff,0xf11fffa0,0x7fc40dff,
    0x27ffcc6f,0x37ffc000,0x0017ffe6,0xfffffb80,0x4fffffff,0x0bfffe00,
    0xcffeba88,0xf980001b,0x3fff66ff,0x3ea00001,0xffffffff,0x40004fff,
    0xfffffff8,0x005ffedf,0x27fffc40,0x2bbfea00,0x00bff930,0x01bfffa0,
    0x7fffe400,0xffffffff,0x3fffe603,0xaef88002,0xd80006eb,0xffffffff,
    0x7002ffff,0xffc87fff,0xfe80001f,0xeeffffff,0x100007ff,0xffa8bfff,
    0x3200004f,0x7ff41fff,0x3ea0000f,0xffffffff,0x3fa05fff,0x37ffc47f,
    0x98dfff10,0x80004fff,0x7fcc6fff,0x2e00005f,0xffffffff,0x2004ffff,
    0xf902ffff,0xffffffff,0xfb80003b,0x2fffbbff,0x55440000,0xaaaaaaaa,
    0x640001aa,0xfffdbdff,0x0001ffff,0x027fffc4,0x7ffffec0,0x0000ffff,
    0x000dfffd,0x3bbbbae0,0x2eeeeeee,0x0bfffe60,0xf983ee00,0x55540001,
    0xaaaaaaaa,0xff7000aa,0x1fffc87f,0x77fd4000,0xffffffcb,0xf100003f,
    0xfffa8bff,0x3f200004,0x7fff41ff,0x33260000,0xcccccccc,0x3ffa03cc,
    0x037ffc47,0xf98dfff1,0xf80004ff,0x7ffcc6ff,0x3aa00005,0xeeeeeeee,
    0x3e003eee,0x7fc42fff,0xffffffff,0x40002fff,0x4ffffffd,0x00000000,
    0x1ffd0000,0x0e7ffe44,0x7ffc4000,0xfc88004f,0x01efffff,0x1bfffa00,
    0x00000000,0x017fffcc,0x01fc2f40,0x00000000,0xa9815553,0x5c0000aa,
    0x7ff5c2ff,0x2200002d,0x55442aaa,0x2600001a,0x55540aaa,0x00000002,
    0x54155540,0x555402aa,0x00d55442,0x21555400,0x0001aaa8,0x20000000,
    0x7f42ffff,0xdffcdfff,0x001fffff,0x3ffffa20,0x40000005,0x80000099,
    0x002602aa,0x35555000,0x66544000,0xaa80002b,0x000002aa,0x55510000,
    0x1f700015,0x00000fcc,0x00000000,0x05530000,0x00000044,0x00001330,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c3bfff2,
    0xffffd37f,0x664c0001,0x000000cc,0x3fffb6ea,0x0000beff,0x00000000,
    0x00000000,0x5c000000,0x40002eee,0x0003eeea,0x75d77c40,0xff880006,
    0x27ffcc6f,0x0017775c,0x00fbbaa0,0x00000000,0x7fff6dd4,0x2000beff,
    0x001eeeeb,0x1bddd700,0x3bbbbbae,0xeeeeeeee,0x3eeeeeee,0x5c1bbb60,
    0xeeeeeeee,0xeeeeeeee,0x003eeeee,0x07bbba60,0x74c00000,0x00001eee,
    0x20ffff88,0x7fffc7f9,0x00000002,0xfffe9800,0xffffffff,0xeec801df,
    0x7540003e,0xdddd72ee,0xdddddddd,0xdddddddd,0x6eed807d,0xeeeee980,
    0xeeeeeeee,0xeeeeeeee,0x00ffff23,0x49fff700,0x20006eed,0x002ffffb,
    0x46fff880,0xfc84fff9,0x5c0003ff,0x30004fff,0x0003dddd,0xffffd300,
    0xffffffff,0xfff1003b,0xf30000df,0x7fe47fff,0xffffffff,0xffffffff,
    0x3fe04fff,0xffff907f,0xffffffff,0xffffffff,0x7ec0009f,0x00004fff,
    0x9ffffb00,0xff500000,0x647f98bf,0x20005fff,0x001eeee9,0x7fffdc00,
    0xffffffff,0x6c03ffff,0x0001ffff,0x7e4fffea,0xffffffff,0xffffffff,
    0x7c04ffff,0xffa807ff,0xffffffff,0xffffffff,0x3ff24fff,0x7dc0003f,
    0x1fffe4ff,0xffffd800,0xff880004,0x27ffcc6f,0x001fffe4,0x013ffee0,
    0x27fffec0,0x3fee0000,0xffffffff,0x03ffffff,0x03ffffa8,0x2ffff400,
    0x3ffffff2,0xffffffff,0x4fffffff,0x641fffe0,0xffffffff,0xffffffff,
    0x004fffff,0xffffff10,0x88000001,0x00ffffff,0xfc873200,0x23fcc2ff,
    0x0006fff8,0x013ffff6,0x7fff4c00,0xa99bceff,0x4ffffffc,0x1bffff60,
    0x3fffa800,0xfffffff9,0xffffffff,0x09ffffff,0xa807fff8,0xffffffff,
    0xffffffff,0x324fffff,0x40003fff,0x3fe4fffb,0xff10007f,0x0001ffff,
    0x4c6fff88,0xffc84fff,0x7dc0003f,0xf88004ff,0x000fffff,0xffffe980,
    0xca99bcef,0x04ffffff,0x01ffffd8,0x1ffff700,0xeeefffc8,0xeeeeeeee,
    0x3eeeeeee,0x641fffe0,0xeeeeefff,0xeeeeeeee,0x003eeeee,0xfffdff70,
    0xb8000007,0x03fffeff,0x6c7ff100,0x87f987ff,0x7c400019,0x000fffff,
    0x7ffffc40,0xffea800d,0xfffb05ff,0x2a0009ff,0xfff93fff,0xdddddddd,
    0xdddddddd,0xfff807dd,0xeeee9807,0xeeeeeeee,0xfffeeeee,0x0ffff24f,
    0x9fff7000,0x8003fffc,0x3fffeffb,0x2aaa8000,0x640d5544,0x40003fff,
    0x8004fffb,0x3fffeffb,0x7ffc4000,0xea800dff,0x4405ffff,0x8006ffff,
    0xc82ffff9,0x00003fff,0x907fff80,0x00007fff,0xcffe8000,0x00006ffe,
    0x7f67ff40,0xff10006f,0x20fffe47,0x000007f9,0x7fffdff7,0xfffc8000,
    0x7ec4003f,0xffd82fff,0x8001ffff,0xff93fffa,0x0000007f,0x0001fffe,
    0x7fffec00,0x00ffff21,0x49fff700,0xd0007fff,0x0dffd9ff,0x90000000,
    0x80007fff,0x8004fffb,0x6ffecffe,0x7ffe4000,0x7ec4003f,0x7d402fff,
    0x74003fff,0xff905fff,0x0000007f,0x3f20ffff,0x000003ff,0x27ffe600,
    0x0001fffb,0x73fff300,0x30003fff,0x7ffd49ff,0x0003fcc4,0xfecffe80,
    0x3e60006f,0x20001fff,0x6c0ffffd,0x06ffffff,0x93fffa80,0x00007fff,
    0x01fffe00,0x3ff20000,0x7ffe42ff,0x7fdc0003,0x01fffe4f,0x2e7ffe60,
    0x00001fff,0x7ffe4000,0x7fdc0003,0x7fcc004f,0x01fffb9f,0x3ffff300,
    0x7ffec000,0x7ffec00f,0xfff7000f,0x3fff201f,0xf8000003,0xfff907ff,
    0x00000007,0xff8bffe4,0x9000004f,0x3ffe2fff,0x4ff98004,0xf31fffe2,
    0xf300000f,0x3fff73ff,0x3fffa000,0x7f440004,0x7ffec5ff,0x4004ffff,
    0xff93fffa,0x0000007f,0x0001fffe,0x7ffff700,0x007fff90,0x24fffb80,
    0xc8007fff,0x9fff17ff,0x80000000,0x0003fffc,0x0027ffdc,0x7fc5fff2,
    0xffd0004f,0xe880009f,0x7c405fff,0xf8805fff,0x3f202fff,0x000003ff,
    0xf907fff8,0x000007ff,0xd2fffc00,0x00001fff,0x7f4bfff0,0x7d4000ff,
    0x77fffc5f,0x0000ff30,0x3e2fff90,0xfb8004ff,0x80000fff,0x360ffffa,
    0xffffbfff,0x3ffea001,0x007fff93,0x3ffe0000,0x2a000007,0xf905ffff,
    0xb80007ff,0x3ffe4fff,0x5fff8007,0x0003fffa,0x4c001333,0x7fff9099,
    0xfffb8000,0x2fffc004,0x8001fffd,0x000ffffb,0x0ffffa80,0x1ffffd40,
    0x013fffa0,0x0007fff9,0x0ffff000,0x000ffff2,0x7fd40000,0x0fffee3f,
    0xfff50000,0x01fffdc7,0xf31bfea0,0xff7bffff,0xfff00000,0x007fff4b,
    0x00ffffe0,0x2fffe800,0x3f63fff6,0xf5000eff,0x3fff27ff,0xf0000003,
    0x00000fff,0x03bfffe6,0x001fffe4,0xf93ffee0,0x7d4007ff,0x3ffee3ff,
    0x3ffe6003,0x5bffe003,0x0003fffc,0x0027ffdc,0x7dc7fff5,0x7fc003ff,
    0x200003ff,0xd802fffe,0xf700ffff,0xff900dff,0x0000007f,0x3f20ffff,
    0x000003ff,0x41fffb00,0x0006fff8,0x107ffec0,0xb800dfff,0xfff986ff,
    0x01bfffff,0x7fff5000,0x001fffdc,0x000ffff1,0x25fffb80,0xff88fffd,
    0xff5004ff,0x0ffff27f,0x7fc00000,0x8800007f,0x200ffffe,0x0003fffc,
    0xff27ffdc,0xffd800ff,0x1bffe20f,0x03fff980,0x7e5bffe0,0x5c0003ff,
    0x36004fff,0x3fe20fff,0x3fe2006f,0x5c00007f,0xf8805fff,0xff885fff,
    0xffc801ff,0x8000003f,0xff907fff,0x0000007f,0xb0bfff10,0x00003fff,
    0x3617ffe2,0x32001fff,0xffd307ff,0x9fffffff,0x7fec0001,0x1bffe20f,
    0x06fff980,0x7ffcc000,0x543fff67,0xa801ffff,0xfff93fff,0x20000007,
    0x00007fff,0x02ffffd8,0x001fffe4,0xf93ffee0,0x3e2007ff,0xfffd85ff,
    0x7fff3001,0xcb7ffc00,0x40003fff,0x1004fffb,0xffb0bfff,0x3fe6003f,
    0x4c00006f,0xf5007fff,0xffd85fff,0xfff9004f,0xf0000007,0x3ff20fff,
    0x0000003f,0xa82fffb8,0x00005fff,0xf505fff7,0x7e400bff,0x7fe4c07f,
    0x2fffffff,0x5fff8800,0x001fffd8,0x000bfff5,0x21ffff00,0x3f60fffd,
    0x7d400eff,0x7fff93ff,0x3e000000,0x400007ff,0x803ffffb,0x0003fffc,
    0xff27ffdc,0x7fdc00ff,0x5fffa82f,0x07fff300,0xfcb7ffc0,0x5c0003ff,
    0xf7004fff,0xfff505ff,0x3ffea00b,0xff800005,0xffb000ff,0x37ffd4df,
    0x07fff900,0xfff00000,0x0ffff20f,0x3a000000,0x3ffe07ff,0xfe80000f,
    0x3fffe07f,0x1fffb000,0x3fffee00,0x4004ffff,0xfa82fffb,0xff7005ff,
    0xd000009f,0x3ff63fff,0x3fffe20f,0x9fffd404,0x0003fffc,0x0ffff000,
    0x7ffd4000,0xfff9005f,0xffb80007,0x01fffe4f,0x3e07ffe8,0xf9800fff,
    0x3fe003ff,0x07fff96f,0x4fffb800,0x40fffd00,0xb800ffff,0x00004fff,
    0x001fffe8,0x3a7ffff1,0x32001fff,0xeeeeefff,0xeeeeeeee,0x7c02eeee,
    0xfff907ff,0xdddddddd,0xdddddddd,0x7fcc005d,0x3fff204f,0x7fcc0003,
    0x3fff204f,0x1fffb003,0x327fe600,0x002fffff,0xff81fffa,0xffc800ff,
    0xe800003f,0xfffb2fff,0x2ffffa81,0x64fffea0,0xeeeeefff,0xeeeeeeee,
    0xf802eeee,0x100007ff,0x400dffff,0x0003fffc,0xff27ffdc,0x3fe600ff,
    0x3fff204f,0x3fff9803,0x65bffe00,0x40003fff,0x9804fffb,0x3f204fff,
    0xffc803ff,0xe800003f,0x2a002fff,0xfffdffff,0x7ffe4003,0xffffffff,
    0xffffffff,0x3fffc03f,0xffffffc8,0xffffffff,0x03ffffff,0x807fff20,
    0x0006fff9,0x300fffe4,0x3a00dfff,0xf3001fff,0x77fff44f,0x4fff9800,
    0x00ffff20,0x000bfffa,0x4ffff600,0xfd80fffd,0xff500eff,0x3ffff27f,
    0xffffffff,0xffffffff,0x07fff803,0xfffe8800,0x3ff2000f,0x7dc0003f,
    0x1fffe4ff,0x00fffe40,0x300dfff3,0x7c007fff,0x7fff96ff,0xfffb8000,
    0x1fffc804,0x01bffe60,0x000bfffa,0x0ffff600,0xfffffb00,0xff9000bf,
    0xffffffff,0xffffffff,0xfff807ff,0xfffff907,0xffffffff,0x7fffffff,
    0x1bffe200,0x00bfffa0,0x037ffc40,0x4017fff4,0x3001fffe,0x5ffff0ff,
    0x03fff900,0x4037ffcc,0x0002fffe,0xb2fffe80,0xff101fff,0x3fea09ff,
    0xfffff93f,0xffffffff,0x7fffffff,0x00ffff00,0x3ffffb00,0x3fffc800,
    0x7ffdc000,0x201fffe4,0xe806fff8,0x7cc02fff,0x3fe003ff,0x07fff96f,
    0x4fffb800,0x037ffc40,0x2017fff4,0x0002fffe,0x02fffe80,0x7ffffc40,
    0xffc8000f,0xffffffff,0xffffffff,0x7ffc03ff,0xfffff907,0xffffffff,
    0x7fffffff,0x0fffee00,0x017ffee0,0x01fffdc0,0x402fffdc,0x3002ffff,
    0x7fff90ff,0x06fff880,0x402fffe8,0x0003fffd,0xb1ffff80,0x3ea01fff,
    0xffa82fff,0xfffff93f,0xffffffff,0x7fffffff,0x00ffff00,0x3ffffb80,
    0x3fffc800,0x7ffdc000,0x201fffe4,0xb803fffb,0x7cc05fff,0x3fe003ff,
    0x07fff96f,0x4fffb800,0x01fffdc0,0x202fffdc,0x0003fffd,0x01ffff80,
    0x3ffffa80,0x7fff9000,0xff000000,0x3fff20ff,0x20000003,0x8800fffe,
    0x8000ffff,0x8800fffe,0x7c00ffff,0x40442fff,0xfffa87f9,0x1fffdc05,
    0x02fffdc0,0x0013fff2,0x3ffff100,0xd803fff6,0x7d40efff,0x7fff93ff,
    0x3e000000,0x2a0007ff,0x0005ffff,0x0007fff9,0x3e3fffc8,0xffe807ff,
    0xfff8800f,0x3ffe600f,0x5bffe003,0x0003fffc,0x201fffe4,0x8800fffe,
    0x3200ffff,0x00004fff,0x00ffffc4,0x007fff80,0x00ffff20,0x3ffe0000,
    0x07fff907,0x3e600000,0xcccccfff,0xfffccccc,0x7fcc003f,0xccccccff,
    0xffffcccc,0x3fffe203,0x983fed9b,0x0dfff07f,0x800fffe8,0x200ffff8,
    0x0005fffb,0x87fffcc0,0x2200fffd,0x7d44ffff,0x7fff93ff,0x3e000000,
    0xf10007ff,0x4000dfff,0x0003fffb,0xff1fffe4,0xfff980ff,0xcccccccf,
    0x3ffffccc,0x00fffe60,0xff76fff8,0xfc80007f,0x3fe603ff,0xccccccff,
    0xffffcccc,0x17ffee03,0xfff30000,0x3fe0001f,0x3f20007f,0x000003ff,
    0xf907fff8,0x000007ff,0x3fffff20,0xffffffff,0x006fffff,0x7fffffe4,
    0xffffffff,0x2206ffff,0xff8bffff,0x887f985f,0x3e604fff,0xcccccfff,
    0xfffccccc,0x3ffe603f,0x7d400006,0x3fff66ff,0x7fffd400,0x64fffea2,
    0x00003fff,0x00ffff00,0x03ffffa0,0x4fffb800,0x7ffec000,0x901fffe2,
    0xffffffff,0xffffffff,0x7fcc0dff,0x3ffe003f,0x009fff76,0x02fffd80,
    0x3ffffff2,0xffffffff,0x2606ffff,0x00006fff,0x0037ffd4,0x000ffff0,
    0x001fffe4,0x3fffc000,0x003fffc8,0xffff0000,0xffffffff,0xffffffff,
    0x7fffc005,0xffffffff,0xffffffff,0x7ffff102,0x3e61fffa,0x03fffa87,
    0x3ffffff2,0xffffffff,0x7c06ffff,0x00001fff,0xfd8ffff6,0xffd800ff,
    0x7fff50ff,0x000ffff2,0x3fffc000,0x7fffec00,0x7fd40001,0x7f40004f,
    0x1fffe2ff,0xfffffff0,0xffffffff,0x205fffff,0x2003fff9,0xfff56fff,
    0xffe80009,0x3fffe02f,0xffffffff,0xffffffff,0x07fffe02,0xfffd8000,
    0x3ffe0003,0x3ff20007,0x8000003f,0xff907fff,0x0000007f,0x999dfff5,
    0x99999999,0x00bfffb9,0x333bffea,0xcccccccc,0x05fffdcc,0x327ffff1,
    0x3fcc3fff,0xf017fff4,0xffffffff,0xffffffff,0x7e405fff,0x500006ff,
    0x7ec1ffff,0xff8800ff,0x7fff54ff,0x000ffff2,0x3fffc000,0x3fffee00,
    0xff980003,0x7fc0006f,0x1fffe1ff,0xccefffa8,0xcccccccc,0x05fffdcc,
    0x2007fff3,0xff36fff8,0xff8000df,0xfff501ff,0x9999999d,0xffb99999,
    0x7ffe40bf,0xff500006,0x7c0001ff,0x320007ff,0x00003fff,0x907fff80,
    0x00007fff,0x05fffb00,0x1ffff100,0x05fffb00,0x1ffff100,0x27ffff10,
    0x261ffff9,0x37ffdc7f,0x99dfff50,0x99999999,0x0bfffb99,0x01ffffcc,
    0x37fff400,0x4003fff6,0xfaaffffa,0x7fff93ff,0x3e000000,0x3e6007ff,
    0x00004fff,0x0003fffe,0x3e3fffcc,0x3ff607ff,0xff88002f,0xfff980ff,
    0xdfff3004,0x0007fffc,0x207fff98,0x8002fffd,0x300ffff8,0x0007ffff,
    0x00dfffd0,0x007fff80,0x00ffff20,0x3ffe0000,0x07fff907,0xff880000,
    0x3fa0007f,0x7fc404ff,0x3fa0007f,0xfff884ff,0x3ffffa3f,0x7fe4ff32,
    0x3ff601ff,0xff88002f,0x3ff200ff,0x2e0000ff,0x7ec1ffff,0x3f6000ff,
    0x3fffbfff,0x0007fff9,0x1fffe000,0x37fffc40,0x3ff60000,0xffb0005f,
    0x07fff8bf,0x000ffff1,0x4427fff4,0xf7005fff,0x7ffecdff,0xfffb0005,
    0x1fffe20b,0x4fffe800,0x03ffff20,0xffffb800,0x7ffc0001,0x3ff20007,
    0x8000003f,0xff907fff,0x8000007f,0x0004fffb,0x701fffea,0x40009fff,
    0xf887fffa,0x3fa23fff,0xdffdffff,0x204fffff,0x0007fff8,0xd013fffa,
    0x0003dfff,0xb09ffff9,0x44001fff,0xffffffff,0x007fff93,0x3ffe0000,
    0xffffd007,0xfb800001,0x4c004fff,0x7fc2ffff,0x9fff707f,0x7ffd4000,
    0x01ffff07,0x26fffe88,0x004ffffb,0x817fffcc,0x0004fffb,0xd01fffea,
    0x0003dfff,0x009ffff9,0x00ffff00,0x01fffe40,0x7ffc0000,0x07fff907,
    0xffe80000,0x3e20001f,0x3fa02fff,0x220001ff,0xaa82ffff,0xfffd81aa,
    0xffffffff,0x7ffdc02f,0x3fea0004,0x7ffcc07f,0xfd1003ff,0x3f60dfff,
    0x7d4000ff,0x93ffffff,0x00007fff,0x01fffe00,0x007ffff6,0x7fff4000,
    0xfff7003f,0x0ffff0df,0x0007fffa,0x82ffff88,0x2204fffe,0x746ffffe,
    0x7003ffff,0x740dffff,0x20001fff,0x202ffff8,0x03fffff9,0xdffffd10,
    0x3ffe0000,0x3ff20007,0x8000003f,0xff907fff,0x4000007f,0x0006fff9,
    0x305fffc8,0x0000dfff,0x000bfff9,0x7ffffedc,0xe800dfff,0x20001fff,
    0x402ffff8,0xcefffffa,0xffb7311a,0x3601dfff,0xd8000fff,0x93ffffff,
    0x00007fff,0x01fffe00,0x003ffff7,0x7ffd4000,0xa99bdfff,0xfffffecb,
    0x987fff81,0x80006fff,0xfa85fffc,0x2a21cfff,0x46fffffe,0xdffffffa,
    0xfecba99b,0xf301ffff,0x90000dff,0xfa80bfff,0x1aceffff,0xffffb731,
    0x200001df,0x20007fff,0xcccdfffc,0xcccccccc,0x1ccccccc,0x320ffff0,
    0xccccdfff,0xcccccccc,0x41cccccc,0x0003fffc,0x80ffff98,0x0003fffc,
    0x00ffff98,0x7fed4400,0x3fe6001b,0xfc80006f,0xfe9805ff,0xffffffff,
    0x5fffffff,0x007ffec0,0x7ffffc40,0x9bfff93f,0x99999999,0x99999999,
    0x3fffc039,0x9dffff10,0x99999999,0x99999999,0xfff70199,0xffffffff,
    0x05ffffff,0x3f21fffe,0x980003ff,0xff80ffff,0xffefffff,0x86ffccff,
    0xfffffffb,0xffffffff,0x3ff202ff,0xf980003f,0x74c00fff,0xffffffff,
    0xffffffff,0x7fc00005,0x3f20007f,0xffffffff,0xffffffff,0xf02fffff,
    0x3ff20fff,0xffffffff,0xffffffff,0x7fc2ffff,0xd00000ff,0xfff09fff,
    0x3a00001f,0x00004fff,0xf9000ff3,0x300007ff,0x1001ffff,0xfffffff9,
    0x7fffffff,0x01fffb00,0x3fffee00,0xfffff93f,0xffffffff,0xffffffff,
    0x3fffc05f,0xffffff10,0xffffffff,0xffffffff,0x3fe601ff,0xffffffff,
    0x201effff,0xfff87fff,0xfd00000f,0xffd109ff,0x7fffffff,0x7cc1bff2,
    0xffffffff,0x01efffff,0x0007fffc,0x04fffe80,0xfffffc88,0xffffffff,
    0xf800003f,0x320007ff,0xffffffff,0xffffffff,0x02ffffff,0x3f20ffff,
    0xffffffff,0xffffffff,0x2a2fffff,0x00006fff,0xf51fffee,0x40000dff,
    0x0007fffb,0xf000ff30,0x00001fff,0x8013fffa,0xfffffeb8,0x2002dfff,
    0x0000fffd,0x64fffff6,0xffffffff,0xffffffff,0x02ffffff,0xf881fffe,
    0xffffffff,0xffffffff,0x0fffffff,0x3fff6a20,0x2dffffff,0x547fff80,
    0x00006fff,0xc81fffee,0x2dffffff,0xa881bff2,0xfffffffd,0xfa802dff,
    0x200006ff,0x2007fffb,0xfffffeb8,0x0002dfff,0x01fffe00,0xfffffc80,
    0xffffffff,0xffffffff,0x0ffff02f,0x3ffffff2,0xffffffff,0xffffffff,
    0x00ffff62,0xffff8800,0x00ffff62,0xffff8800,0x7f980002,0x37ffd400,
    0xfff70000,0x2a62000f,0xb0001aab,0x40001fff,0xf93ffff8,0xffffffff,
    0xffffffff,0x405fffff,0x3e207fff,0xffffffff,0xffffffff,0x0fffffff,
    0x57553100,0x7fc00135,0x1fffec7f,0xfff10000,0x1aa8805f,0x2a620000,
    0x0009aaba,0x000ffff6,0x2ffff880,0xaba98800,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x7ec002a8,0x200003ff,
    0x002ffff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xeeeeeeeb,0x002eeeee,0x0000ccc0,0x0000cc40,0x00013310,
    0x40019880,0x00cc401b,0x00333000,0x30000110,0x00800013,0x09988000,
    0x0cc40000,0x95100000,0x998837bb,0x04cc0001,0x02666000,0x0399d951,
    0x0004c400,0x00330000,0x22000000,0x00000019,0x027fffcc,0x00098800,
    0x80000000,0xfc800098,0xffffffff,0x54003fff,0xfffffffd,0x7440002d,
    0xf100007f,0x980001ff,0xefffffed,0x5ff700bd,0x001ffa20,0x8027fe40,
    0x0dffffd8,0x04ffb800,0x7fffed40,0xf980003e,0x440000ff,0xffffffec,
    0x440000be,0xfffffffc,0x00fff71f,0x7ffff5c4,0x2000ceff,0xfd12fff8,
    0x1dffffff,0xffd95100,0x00003bff,0x3ffb6ea2,0x800bdeff,0x4006fff9,
    0xfffffec8,0x00000bef,0x017fff60,0xfffdb880,0x7541bdff,0xeeeeeeee,
    0x5eeeeeee,0x710fbbaa,0xdfffffd9,0xfff90017,0xffffffff,0xff91007f,
    0xffffffff,0x80019fff,0x0007ffe8,0x0005ffd0,0x7fffff5c,0x3fffffff,
    0x440fffd4,0x80007ffe,0xf3006ffa,0x5fffffff,0x07ffc400,0xfffff700,
    0x8000dfff,0x20002ffe,0xffffffda,0x1dffffff,0xfffe8800,0xbfffffff,
    0xc8807ffb,0xffffffff,0x801dffff,0xff9afff8,0xffffffff,0x7fffdc06,
    0x04ffffff,0x7fff4c00,0xffffffff,0x3fe600cf,0xffb5006f,0xffffffff,
    0x00003bff,0x00efff98,0xfffff700,0x49ffffff,0xfffffffb,0xffffffff,
    0x93ffee7f,0xfffffffb,0x403fffff,0x99999998,0x40099999,0xffffffe9,
    0xffffffff,0xff5001ff,0x90000fff,0x22000bff,0xfffffffe,0xffffffff,
    0x82fff9ae,0x007ffffa,0x00fffc40,0x667fffc4,0x7000ffff,0x7cc007ff,
    0xffcaacff,0xff90003f,0x3f62000b,0xaabcefff,0x4ffffedc,0x3fffa200,
    0xffecabdf,0x4c07ffef,0xffffffff,0xffffffff,0x67ffc403,0xecccefff,
    0xfb05ffff,0xffffffff,0x20009fff,0xfffffffc,0xffffffff,0xdfff303f,
    0xffffd880,0xedcaabce,0x0004ffff,0x007fff20,0x7ffffec0,0xffffffff,
    0xffffff74,0xffffffff,0x7ffdcfff,0xffffffb4,0xffffffff,0x40000009,
    0xdffffffa,0xffcba9ac,0x2603ffff,0x07fffffe,0x077fcc00,0x7fffcc00,
    0xba9bceff,0xffffffec,0x7ff4c3ff,0x40007fff,0xf9003ffd,0x7fec41df,
    0x0fff8805,0x213ff600,0x98005ffd,0x98000eff,0x801cffff,0x00efffd9,
    0x01efffc8,0x0ffffff7,0x7fffffcc,0xfedbaabc,0x2205ffff,0x02ffffff,
    0xa85ffff7,0x260bffff,0x002ffffc,0x3fffffa6,0xfca99bce,0x983fffff,
    0x3e606fff,0x9801cfff,0x000efffd,0x01fffc40,0xfffffc80,0xffca89be,
    0xefffbcff,0xeeeeeeee,0x3ee5eeee,0xefffdcff,0xfeca99ab,0x2004ffff,
    0x2a006eed,0x804fffff,0x3fffffb8,0xff3bffb0,0x7f44000f,0xff98001f,
    0xb800dfff,0x84ffffff,0x7ff9dffd,0x17fee000,0x882fff80,0x7e400fff,
    0x0188003f,0x88007ffb,0xa8001ffe,0x8000dfff,0x201fffe8,0x400ffff9,
    0x307ffffa,0x017fffff,0x5ffffe88,0x1fffff10,0x44fffc80,0x2e01ffff,
    0xf1004fff,0x001bffff,0x07ffffd5,0x3ea0bf73,0x88000dff,0x0001fffe,
    0x40013ff2,0x01dffffa,0x3fbfffa2,0x5c0002ff,0x2fffffff,0xfffffa80,
    0x0ffff001,0x3ffffe20,0x7ff44002,0x21dd80ff,0x360007ff,0xfd0004ff,
    0x88005fff,0xd82ffffd,0x001ffe1d,0x8007ffcc,0x3fa07ff9,0x1ffe202f,
    0xffa88000,0x7fec000f,0xfff98004,0xffc80003,0x7fff900e,0x1ffff600,
    0x00ffffec,0x0ffffee0,0x013fffe2,0xf99bffe2,0x7fc405ff,0xfff9006f,
    0xffb0005f,0x09f707ff,0x0007fff3,0x001dff90,0x7f400000,0x3f6005ff,
    0x002fffff,0x7ffffdc0,0x3fe6000e,0xfff006ff,0x3fff600f,0xfd10000e,
    0xff010dff,0x3fea000f,0xfff90006,0x3f60001f,0xf8086fff,0xffd0007f,
    0x37fd4005,0x6407ffb0,0xb00003ff,0x8003bfff,0x88006ffa,0x99802ffe,
    0x82ffdc00,0x26006ffd,0xff987fff,0xf50002ff,0xff881fff,0xfff000ff,
    0x017ffdcf,0x4c037fec,0x0001ffff,0xb03ffff2,0x2ffe885f,0x3fee0000,
    0x14000005,0x007fff98,0x2fffffe8,0x7ffdc000,0xfa8000ff,0xff802fff,
    0xfffa807f,0x7cc0002f,0xff803fff,0xfff88007,0xfff98001,0xffb0003f,
    0xf005ffff,0xff9000ff,0x6ffb8009,0x4413ff20,0x200007ff,0x4003ffff,
    0x8001fff8,0xb7104ffd,0x019fffff,0x3fe0fff6,0x7ff4004f,0x05fffc87,
    0x2ffff400,0x801fffe2,0x3ff27ffe,0x4fff801f,0x04fffe80,0x3fffe800,
    0x3ff61bea,0x77777744,0x3600accd,0x2a2003ff,0x5c1acddb,0x7ffec0df,
    0xfffa8003,0x5c0002ff,0x0004ffff,0x2017fffa,0xfd807fff,0x900005ff,
    0xff00dfff,0x7ffb000f,0x3fff2000,0xdff90006,0xf00dfff7,0xffa800ff,
    0x7fd4000e,0x413ff606,0x00003ffc,0x5fffd951,0x00fffa00,0x4417fe20,
    0xffffffff,0x7ff881ff,0x001fffc4,0x3fa1fff6,0x4c0001ff,0x3e20ffff,
    0x3f6006ff,0x03fff27f,0x803fff70,0x000ffffb,0x8ffff980,0x7fc40ffc,
    0xffffff85,0x101effff,0xf9100fff,0xbfffffff,0xf88dff35,0x3e0007ff,
    0x0002ffff,0x00ffffdc,0x0ffff700,0x880ffff0,0x0001ffff,0x01ffff10,
    0x5c007ff8,0x3a0005ff,0xb8002fff,0xffff1fff,0x007ff807,0x0007ffe2,
    0xfd81ffe6,0x06ff882f,0x3fe60000,0x05ffb807,0x103ff900,0x71159fff,
    0xf703fffb,0x17ffd45f,0x41fff200,0xb00004a8,0x7fc45fff,0x3ff6005f,
    0x201fff67,0xfe806ffe,0x200003ff,0x0efffffe,0xff81ffc8,0xfeecccce,
    0x5ff701ff,0x7ffffd40,0xffffffff,0x7ffdc0ff,0x3fee0005,0x5c0002ff,
    0x40007fff,0x401ffff8,0x7d407fff,0x400005ff,0x7c03fffd,0x3fe6007f,
    0xff30000f,0xff5000df,0x27ffe43f,0xd801ffe0,0xf10003ff,0x0fff40ff,
    0x0001ffe4,0x807ffa00,0x0000fff9,0xffd10dff,0x42ffe405,0x3fee5ff8,
    0x7fdc001f,0x70000007,0x7fc4bfff,0x3ff6005f,0x701fff67,0xf8805fff,
    0x400007ff,0x203ffffb,0x0bff06ff,0xf8827fe4,0xffff705f,0xffd957bd,
    0xffb05fff,0x7cc0007f,0x40002fff,0x0005fffb,0x403fffe8,0x7ec07fff,
    0x400004ff,0x7c06fffb,0x3ffa007f,0x3fee0002,0x7fcc005f,0x37ffcc2f,
    0x5c01ffe0,0x740006ff,0xfffa83ff,0x0037fcc0,0x220b9910,0xfd103fff,
    0x3ea0005f,0x04ffb82f,0xff905fe8,0x00bffee1,0x000fff90,0x3ffea000,
    0x017ffe27,0x3f67ffd8,0x37ffc07f,0x037ffcc0,0x3ffe2000,0x40bfea07,
    0x3ffc05ff,0xf881ff90,0xf700dfff,0xffb07fff,0x7c40003f,0x40002fff,
    0x0005fffb,0x403fffd8,0x7f407fff,0x400003ff,0x7c07fff9,0x9ff9007f,
    0xfffc8000,0x3ffe6004,0x07fff883,0x7cc03ffc,0x540000ff,0x3faa2fff,
    0x02ffd83f,0x427ffc00,0xf901fffc,0x7dc0009f,0x00ffd80f,0x97fcc008,
    0x4003fffa,0x00007ffd,0x1ffff100,0x8017ffe2,0x3ff67ffd,0x0bffee07,
    0x017ffea0,0x3fffe000,0x201ff700,0x3ffc05ff,0xfd85ff30,0x7fd403ff,
    0x7ff40fff,0x7fc0000f,0x5c0002ff,0x80004fff,0x7c04fffc,0x7ff407ff,
    0x4400002f,0x7fc07fff,0x06ffa807,0x3fffd800,0x09ffd100,0xf007fffc,
    0x5ffd00ff,0x3ffa0000,0x86fffeef,0x80006ff9,0xfccefffb,0xff505fff,
    0x7fc8000d,0x0000bfd0,0x7fccffe2,0x7ff4004f,0x33333327,0xcccccccc,
    0xcccccccc,0x11ffffcc,0x6c00bfff,0x1fff67ff,0x7007ffe8,0x00009fff,
    0x203fffd0,0x17fe07fc,0x2205ffb8,0x3ffea3ff,0x7fffc406,0x3fffc4ff,
    0x7fffc000,0xeeeeeeee,0x7dc5eeee,0xb80004ff,0x7fc04fff,0x7fffc07f,
    0xff800001,0x1ffe00ff,0x003fff10,0x05fffd00,0x80bffd10,0x3e01ffff,
    0x2ffe407f,0xffb10000,0xb01bffff,0x200005ff,0xfffffffc,0xfff880df,
    0x37ec0001,0x00027fc4,0x3fe29ff0,0x3fe2006f,0x3ffffe7f,0xffffffff,
    0xffffffff,0x1fffffff,0x400bfff1,0x3ff67ffd,0x01bffe07,0x001fffec,
    0x17fff400,0x3fe06fd8,0xfcaa999d,0x27fc01ff,0xe805fff9,0x27fff9ff,
    0x0007fff8,0xffffffe8,0xffffffff,0x27ffdc6f,0x7ffd4000,0x03fffc05,
    0x001ffff1,0x3ffff000,0x36026640,0x331003ff,0x007fffe0,0x3a017ff6,
    0x33202fff,0x03bfe604,0x3b6a0000,0xdff303de,0xec980000,0x3602deff,
    0x331003ff,0xff50bfd0,0x7fc00007,0x00bfff64,0xfd3fffdc,0xffffffff,
    0xffffffff,0xffffffff,0x3ffe25ff,0x9fff6005,0x3fa07ffd,0xffe801ff,
    0xd800002f,0xbfd03fff,0x7fffffc0,0x801fffff,0x1fff64ff,0x3f67ff90,
    0xffff30ff,0xfffb0000,0xffffffff,0xfb8dffff,0xa80004ff,0x7fc05fff,
    0x7fffc07f,0x7c400000,0x40000fff,0xf1005ffb,0x3fffa0ff,0x077fec01,
    0x017fff40,0x03ffd100,0x37ffff6a,0x7ec00002,0xffec882f,0x7000003e,
    0x3e200bff,0x986fe87f,0x200004ff,0x3ffe64ff,0xffff8806,0x3fffff67,
    0xffffffff,0xffffffff,0x11ffffff,0x6c00bfff,0x1fff67ff,0x01ffffc8,
    0x0017fff4,0x17fff400,0x3fe06fe8,0xadffffff,0x749ff000,0x3fea06ff,
    0x447ffee5,0x80007fff,0xeeeefffe,0xeeeeeeee,0x027ffdc5,0x27ffd400,
    0xf01fffe0,0x00003fff,0x007fff98,0x007ffcc0,0xfb07ffe8,0x7fe405ff,
    0xffff000e,0x7fec0003,0xfffffd04,0x0000bfff,0x3e61bfe6,0x0effffff,
    0x3fe60000,0xffe8800f,0xf887fd87,0xf100005f,0xdfffd87f,0xffffd300,
    0x017ffe4f,0x3fffa000,0x00bfff10,0xffb3ffec,0x7fffc40f,0x3fff603f,
    0xff800003,0x0ffb01ff,0xfda8affc,0x7ff1003f,0xf982fffc,0x3ffea0ef,
    0x00ffff12,0x05ffff00,0x4fffb800,0xfffb8000,0x03fffc04,0x000ffffa,
    0x0bfff500,0x02ffe800,0x20ffffb0,0xf703fffc,0x3e2003ff,0x50000fff,
    0x3ff60dff,0xfffecbdf,0xffe80003,0x6ffffc42,0x0006fffd,0x400bffa0,
    0xfc87fffd,0x200dff07,0xff980bd9,0x77fffcc2,0xfffca9ab,0x3fee7fff,
    0x2200004f,0x3fe27fff,0x3ff6005f,0x101fff67,0x01dfffff,0x0009fff9,
    0x1ffff880,0x7fc0ff90,0x803ffd85,0xfff32ff9,0x83ffd109,0x3fe3fffa,
    0x7c0000ff,0x40002fff,0x0004fffb,0x403fffb8,0x7ec07fff,0x400004ff,
    0x0004fffb,0x64013ff2,0xf707ffff,0xfff509ff,0x7ffd4003,0xfff10007,
    0x05fff103,0x8000dffd,0xffc86ffa,0x0fffa61e,0x13ff2000,0x3ffffe40,
    0x7ec17fd4,0x1ffe802f,0xe980ffc8,0xffffffff,0x27ffecff,0x0005fffa,
    0x89bffe60,0x36005fff,0x1fff67ff,0x3ffff620,0x2fffdc2f,0x3fe60000,
    0x5ff500ff,0x7f417fe0,0x87fe401f,0xfd84fff9,0x3fffa82f,0x0007fffa,
    0x02ffff88,0x27ffdc00,0x7ffe4000,0x03fffc02,0x0017ffee,0x07fffb00,
    0x03bfe600,0x3ffffee0,0x8dfff507,0x4002fff9,0x0005fffb,0x32207ffd,
    0x0dff504c,0x42ffe800,0xfa81fff8,0x7d40007f,0xffb800ef,0xff887fff,
    0x00eff885,0x7fc1bfee,0x3fff6206,0xfd2fffff,0x37ffccff,0xfff70000,
    0x02fffc4b,0x7ecfffb0,0x3fee007f,0x3fe62fff,0x5400007f,0x3e206fff,
    0x20bff05f,0x7fc06ff9,0x717ffe26,0x3fee09ff,0x0bfff62f,0xffff9800,
    0x7fdc0002,0xfd80004f,0x7ffc01ff,0x7fffc407,0x3fa00000,0xf88001ff,
    0xff9801ff,0xf107ff9f,0x3fe63fff,0xffe8003f,0xffb8002f,0x7fe40005,
    0x3fea0003,0x207ff986,0x10001fff,0xf5003fff,0x20fff3ff,0xffb80ffc,
    0xffb510af,0x05ff505f,0x7bddb730,0xf137ff41,0x00001fff,0xf893fff2,
    0x3f6005ff,0x01fff67f,0x1ffffd30,0x000ffffc,0x07fffd00,0xff80ffc8,
    0x40fff605,0x7ff42ffa,0xc81bfe66,0x3ff20fff,0x3ea0004f,0x40002fff,
    0x0004fffb,0x401ffff8,0xfe807fff,0x011004ff,0x007fffe4,0x401ffec0,
    0xfff2fff9,0x46fffec0,0xa8004ffe,0x4000ffff,0x0000fff9,0x0003ffe6,
    0xfa81ffe8,0x0bffa06f,0x01ffec00,0xff97ffcc,0x20bff307,0xffeffffc,
    0xffd02fff,0xffe80000,0x027ffec6,0x7fffcc00,0xffb00001,0x003ffecf,
    0x91ffff44,0x0000dfff,0x003fffea,0xbff0bff3,0x407ffc40,0xfffd87fe,
    0x200fff88,0x7fcc7ffd,0x3fa0007f,0x40002fff,0x0004fffb,0x007fffc4,
    0x2e01fffe,0xc801ffff,0x7ffcc2ef,0xffa8004f,0x3ffe8806,0xff981ffe,
    0x005ffeff,0x05ffff88,0x017ff440,0x09fff500,0x82ffd400,0x3f605ffc,
    0xffb8003f,0x3ffe8806,0xffd81ffe,0xffffd303,0x3f203bff,0x2000083f,
    0x7fcc5fff,0x6c0001ff,0x00005fff,0xffd9fff6,0xfff50007,0x1ffffccb,
    0x7fff4000,0x87ffb005,0x7fdc05ff,0x641ffe45,0x2ffdbfff,0x21bffe60,
    0x8003fffe,0x02fffffa,0x27ffdc00,0x3ffee000,0x07fff804,0x00dfffd0,
    0x3a3dffff,0x4000ffff,0xe800fff8,0x03ffc4ff,0x17fffff2,0x7fffe400,
    0x27fe4001,0xbfff9000,0x1ffe8000,0x6c0bff70,0x7c4003ff,0xffe800ff,
    0xf103ffc4,0x654c03ff,0x3fea01ac,0x009dfb06,0x6c1fffdc,0x20006fff,
    0x001ffffa,0xd9bffa00,0xf10007ff,0xfffc8dff,0x3ee0000f,0xf1001fff,
    0x00d543ff,0xffa85554,0xfffff506,0xfffd809f,0x06fffa83,0xfffffd80,
    0x7fdc0002,0x7f40004f,0xfff801ff,0xffff3007,0x3ffa201b,0xffffdfff,
    0x2ffe8003,0xf85ffd80,0x7ffc407f,0xfc8001ff,0x54003fff,0xd10006ff,
    0x80007fff,0x3ea05ffa,0x0bffa05f,0x005ffd00,0xfff0bffb,0x02fff980,
    0x0fffb800,0x005fff90,0x303ffff1,0x0009ffff,0x00bffff3,0x26ffe800,
    0x1ea87ffd,0x117ffe60,0x003dfffd,0x09ffff90,0x02fff980,0x0fffb800,
    0x17ffff60,0x40dfff70,0x2004fffe,0x2ffffffa,0x7ffdc000,0x3fee0004,
    0xffff006f,0x7fffdc00,0x3ff6602f,0x004fffff,0xf005ffb8,0xfdddddff,
    0x3601ddff,0x003fffff,0x0bffffd3,0x01fff880,0x1ffff980,0x1ffe8000,
    0xf81bfe60,0x3f2001ff,0xdfff005f,0xdfffdddd,0x3ffee01d,0xffb10004,
    0x7ffd405f,0x6fffd806,0x3bffff60,0xffff9001,0x4400003f,0x3ff65fff,
    0x03fffe27,0x4c1fffec,0x003fffff,0x0dffffd1,0x13ffee00,0x7ffec400,
    0x7fffc402,0x7fec40be,0x3fee01ff,0xffc805ff,0x002fffff,0x027ffdc0,
    0x7fffd402,0x0ffff003,0xfffffc80,0xd7510acd,0x00dfffff,0x001fff30,
    0x3ffffffe,0x81ffffff,0xfffffffc,0xb7510abe,0x01dfffff,0x003ffd80,
    0x00efffa8,0x05ffb800,0x540fffc4,0x3e6007ff,0xfff000ff,0xffffffff,
    0x7fd403ff,0xc9800bef,0xe801efff,0x989bffff,0x0ffffeb9,0x3ffffa20,
    0x2ea21acf,0x02fffffe,0xffcab800,0x1fff63ff,0x441dfff7,0x500ffffb,
    0x59dfffff,0x3ff2e623,0x0000efff,0x02fbffea,0x3bfff260,0xffffd001,
    0xfffdbbff,0xffb007ff,0x54415dff,0xffbefffd,0xccccccdf,0x2ccccccc,
    0x4409fff7,0xffeb9bef,0xff000eff,0xff5000ff,0xffffffff,0xffffffff,
    0x3a2003df,0x2aa001ff,0xffaaaaaa,0x7fdc0aaf,0xfffffebf,0xffffffff,
    0xb8004fff,0xf98005ff,0x200005ff,0xfc801fff,0x3ffa61ef,0x3ffd1003,
    0x55555400,0xaafffaaa,0x7fff4c00,0xcaa9acdf,0x00dffffd,0xffffff10,
    0xffffffff,0xfffd1005,0xffffffff,0x07ffffff,0x3fffe000,0x3ff60fff,
    0xeffffd87,0x02fffffd,0x7fffff4c,0xffffffff,0x00004fff,0x9bffffd3,
    0xffb95535,0x32001bff,0xffffffff,0x02ffffff,0x3fffffa0,0xfffffeef,
    0xfffffb8f,0xffffffff,0xff74ffff,0x7ffe409f,0x0effffff,0x01fffe00,
    0x7fffecc0,0xffffffff,0xdffffeef,0x027fec00,0x41ffe000,0x3ee1fffa,
    0xffffffff,0x002effff,0x000fff98,0x777fffc4,0x006eeeee,0x44017fee,
    0xffddffff,0x3ff6006f,0x7fc00004,0xffeb8007,0xffffffff,0x98002eff,
    0xfffffffd,0x4000efff,0xfffffffb,0xefffffff,0xff300001,0xfd85ffff,
    0xffffd07f,0x009fffff,0x3fffff22,0xffffffff,0xb800002e,0xfffffffe,
    0x02efffff,0x7557fee0,0xcfffffff,0xfffc8000,0xffffffff,0xfffff70e,
    0xffffffff,0x3ee9ffff,0xfff104ff,0x1dffffff,0x07fff800,0x7ffe4400,
    0x1cffffff,0x0fffffee,0x00037fd4,0xff83ffc0,0xffec882f,0x1dffffff,
    0x0bffa000,0x3fffee00,0x7fffffff,0x03fff100,0x7ffff4c0,0xf5000eff,
    0xf00000df,0x6cc000ff,0xffffffff,0xc980001c,0x1ceeffed,0x3fae2000,
    0xffffffff,0x4c00002d,0xd81deffe,0xff9107ff,0x003dffff,0xffffd710,
    0x005bffff,0xffb30000,0x39ffffff,0x10df7000,0x00013553,0xfffff930,
    0xffb87dff,0xffffffff,0x4fffffff,0x5c09fff7,0xcefffffe,0x7fff8000,
    0x2a620000,0x322019ab,0xff883fff,0xc800001f,0x007d104c,0x006aaea2,
    0x013ff200,0x666665c0,0x04cccccc,0x000bff70,0x07dffd91,0x00fffc40,
    0x02664000,0x03353000,0x00000000,0xbaa98800,0x000001aa,0x98800000,
    0x00000aba,0x03557531,0x98000000,0x3000019a,0x00000001,0x006aeaa6,
    0x80000000,0x0000aba9,0x0003fffc,0xfd880000,0x00099880,0x00000000,
    0x4cc00000,0x00000001,0x00099880,0x33100000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x003fffc0,0x02000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff80000,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x7b300099,0x00333001,0x00bd9800,
    0x01310000,0x33000000,0x40000001,0x26600009,0x99880009,0x0cc40001,
    0x99880000,0x00266200,0x0004cc00,0x004c4000,0x9817b200,0xa98002ee,
    0x00abcdcb,0x4fffd800,0x0077ffcc,0x3ffff700,0x1bffe200,0xd709fff3,
    0xa80005dd,0x3ba23eee,0xd973005e,0x6400159b,0x7fcc5fff,0x800000ef,
    0xee984eed,0x3e6001ee,0xfefe805f,0x0ffec03f,0xfefe8000,0xb300003f,
    0x009fffff,0x3b6ea000,0x0befffff,0xd9730000,0x379dffff,0x03fffe00,
    0x00dfff00,0xffffeda8,0x00002def,0x7ec09ff7,0xdb88002f,0xcdffffff,
    0xeb80001a,0x03efffff,0xb02ffc80,0x7dc001ff,0xffffffff,0x220000df,
    0x3fa1fffe,0x7c0000ff,0x22003fff,0x7fcc6fff,0x3fffc84f,0x7ffdc000,
    0x01fffe24,0xfffffff5,0x7f4007ff,0x3fffa2ff,0xff000001,0xffff30bf,
    0x1ffe4005,0x06c8bea0,0x0001ffdc,0x00f917d4,0xfffff900,0x0003dfff,
    0x3ffffa60,0xffffffff,0xfb30001d,0xffffffff,0xc803dfff,0x2a002fff,
    0xd7003fff,0xffffffff,0x0005dfff,0x3e02ffd8,0x366000ff,0xffffffff,
    0x01dfffff,0xffffea80,0x02efffff,0x42bbfe60,0x1006ffb9,0xfffffffd,
    0x05ffffff,0xb7ffcc00,0x0002fffc,0x002fffdc,0xf31bffe2,0xfff909ff,
    0xffb80007,0x1fffe24f,0xffffffc8,0x006fffff,0xf71ffff1,0x440005ff,
    0xfaaaaaaa,0xf32aaeff,0x74005fff,0x22f400ff,0x3fe602f8,0x46d80006,
    0x320002f8,0xffffffff,0x40000fff,0xfffffffb,0xffffffff,0x7fd4003f,
    0xffffffff,0x03ffffff,0x8017ffe6,0x4400fffd,0xfffffffe,0xffffffff,
    0x3ffe0005,0x00fff101,0x7fffffe4,0xffffffff,0x2a003fff,0xfeffffff,
    0x002fffff,0x3ffffff2,0xf9801fff,0xaabcffff,0x06ffffec,0x6fffd400,
    0x80003fff,0x4000effe,0x7cc6fff8,0xfffc84ff,0x7fdc0003,0x1fffe24f,
    0x3bffff62,0xffffdb9b,0xbfff3004,0x80009fff,0xfffffff9,0x36ffffff,
    0x2005ffff,0x6d806ff8,0x3fe017c4,0x36c0000f,0x54000be2,0xd50befff,
    0x2000bfff,0xefffffe9,0xffca99bc,0x3004ffff,0x79dfffff,0xfffd9755,
    0x7ff407ff,0xfff8800f,0x7fffd405,0xba9abcff,0x05fffffd,0x207ff880,
    0xd8805ffa,0xcdffffff,0xfffdca9a,0xf9804fff,0x6cc1dfff,0x2001ffff,
    0xeffffffc,0x9fff9002,0x2ffffa80,0x7ffe4000,0xa80005ff,0x50001fff,
    0xaaa88555,0x03fffc81,0x27ffdc00,0x3f21bf32,0xff500eff,0x3ee005ff,
    0x0005ffff,0xffffff98,0x6fffffff,0x005ffff3,0x2a013fea,0x3201f22f,
    0x540002ff,0x8001f22f,0xf881fffe,0x44000fff,0x00dfffff,0x5ffffea8,
    0x1efffd80,0xffffea80,0x07fff700,0x405fff50,0x0bfffff9,0x7fffe440,
    0x37fd4005,0xd009ff90,0x005dffff,0x07ffffea,0x809fffd0,0x4006fffc,
    0x002cccb8,0x4017ffe2,0x0005fffb,0x006fffe8,0x005ffd00,0x7e400000,
    0x5c0003ff,0x6f884fff,0x0077ffcc,0x8017ffee,0x000efffd,0xaaaaa880,
    0xaaefffaa,0x05ffff32,0x400bff60,0x803ffefe,0x80004ffa,0x003ffefe,
    0x40dfff10,0x4002fffd,0x003ffffc,0x17fffec4,0x01dfff10,0x27fff440,
    0x806fff88,0x7f407ffd,0x64000eff,0x2002ffff,0x3f604ffb,0x7ffe402f,
    0x744000df,0x3e605fff,0xffd006ff,0x0000003f,0x800fffdc,0x0006fff8,
    0x00000000,0xc8000000,0x40003fff,0xf984fffb,0x00fffec5,0x003fffc4,
    0x40000000,0xff985fff,0xfff002ff,0x00cda800,0x000fff10,0x00033660,
    0x204fff98,0x2003fffb,0x001ffff9,0x03ffff60,0x0017ffd4,0x807fffcc,
    0x2200fffd,0x3f204fff,0xb0000eff,0x6c00dfff,0x3ffe02ff,0x3fffe600,
    0x7ffc0003,0x5fff700f,0x0fffea00,0x98800000,0x7ffc003a,0x00000006,
    0x00000000,0x3fffc800,0x7ffdc000,0x3e23fb84,0x3f2005ff,0x000001ef,
    0x7ffc0000,0x2ffff985,0x005ff980,0x3ffd0000,0x00000000,0xb037ffc4,
    0x74003fff,0x40004fff,0x905fffe8,0x20001fff,0xf501fffe,0x7fdc07ff,
    0xffff301f,0x7fc40003,0xfff001ff,0x01ffe203,0x000dfffd,0x209fff70,
    0x1001fffd,0x26009dff,0x0abcdcba,0x7fc00000,0x2a60006f,0x00abcdcb,
    0x3772e600,0x999800ac,0x42666000,0x0003fffc,0x2627ffdc,0x3ffea0ef,
    0x4c000002,0x00acddcb,0x59b97100,0x985fff81,0xb801ffff,0x099983ff,
    0x90266600,0x4c0007ff,0x0abcdcba,0x3fffe800,0x001ffff0,0x003fffee,
    0x3fffea00,0x01fffd80,0x05fff900,0xfd037ffc,0x7ffdc0df,0xffd80006,
    0x2666623f,0x999fff99,0x9effb999,0x3ffe6099,0xf880001f,0xffe80fff,
    0x8002000f,0xfffffffb,0x0000dfff,0xfffdba98,0xffb8006f,0xffffffff,
    0x3faa000d,0xcfffffff,0x07fff300,0xfcb7ffc0,0x5c0003ff,0x3bea4fff,
    0x007ffe40,0xffea8000,0x0cffffff,0xffff9100,0x3fe1dfff,0xffff885f,
    0x41ffe801,0x2003fff9,0x7fcc6fff,0xfffb8005,0xdfffffff,0x3ffee000,
    0x1fffec1f,0x07ffff00,0x7fff4000,0x05fffb82,0x32003100,0xff981fff,
    0x3fffa03f,0x1b980002,0xffffffc8,0xffffffff,0xffffffff,0x013fff22,
    0x00acb800,0x0003fffd,0xffffe880,0xffffffff,0xb751002f,0xfffffffd,
    0x74400dff,0xffffffff,0x802fffff,0xfffffffc,0x980fffff,0x3e003fff,
    0x7fff96ff,0xfffb8000,0xe80effdd,0x000006ff,0xfffffff9,0x801fffff,
    0xffffffe8,0xfff9efff,0x0ffff885,0x4c3ffc40,0x3e003fff,0x07ff86ff,
    0x3ffffa20,0xffffffff,0x3ffa002f,0xfffe88ef,0x3ffe2006,0x7dc00007,
    0xfff985ff,0x4000001f,0xfc84fff9,0xfff300ff,0x8000001f,0xfffffffc,
    0xffffffff,0x2fffffff,0x000ffffa,0xfffb0000,0x7cc00005,0xaabcffff,
    0x06ffffec,0x7ffffe44,0xffffffff,0xfff3006f,0xd95579ff,0xd80dffff,
    0xbaceffff,0x40effffe,0x2003fff9,0xfff96fff,0xffb80007,0xf00aceff,
    0xeca889ff,0xfb000ace,0xd759dfff,0x201dffff,0xbdffffe8,0xfffffeca,
    0x1ffff05f,0x984ffa80,0x3e003fff,0x2ffd86ff,0xfffff980,0xffecaabc,
    0x3e6006ff,0xffffefff,0x3fe6000e,0x4c00006f,0xfff07fff,0x00003bff,
    0x7c3fff40,0x3fee05ff,0x8000007f,0xffeeeeeb,0xeeeeeeef,0x1eeeefff,
    0x003ffff3,0xffb80000,0x3200004f,0x7d404fff,0xff302fff,0xbfffffff,
    0x01bffe39,0x2027ffe4,0x502ffffa,0x2607ffff,0x7cc5fffe,0x3fe003ff,
    0x07fff96f,0x4fffb800,0x24fff880,0xfffffffd,0x7ffd402f,0xfffd303f,
    0x3bfff20b,0xfffff901,0x01fffe0b,0x3e60bff2,0x3fe003ff,0x04ffb86f,
    0x404fffc8,0x002ffffa,0x3fffffee,0xffa8004f,0xf800005f,0xffa80fff,
    0x0adfffff,0x3fee0000,0x0bffea2f,0x006fffc8,0x3fe00000,0x0fff300f,
    0x007fffd4,0x3e600000,0x100006ff,0x2e00bfff,0xff885fff,0x00acdfff,
    0xf100dfff,0x3ee00bff,0xfff885ff,0x7ffcc02f,0x0fffe60f,0xf96fff80,
    0xb80007ff,0xf9804fff,0xfffd8bff,0xdfffffff,0x2ffff880,0x07fffcc0,
    0x003fffe6,0x20bffff7,0xfe807ffe,0x3fff980f,0x21bffe00,0x7c406ff8,
    0xff7005ff,0x7fcc00bf,0x0001ffff,0x0009fff7,0x03fffd00,0x3fffffe6,
    0x00acefff,0x93ffe200,0x7e407ffc,0x000004ff,0x40fff100,0x3ee05ffa,
    0x000006ff,0x01ffff00,0x3fff7000,0x1bffe200,0x003bfff6,0x201bffe2,
    0x1001fffb,0xff50dfff,0x3ff600bf,0x0fffe63f,0xf96fff80,0xb80007ff,
    0xf9804fff,0xdfffebff,0xffffecbb,0x05fffa84,0xb87fffb0,0xfd003fff,
    0x3ffa0bff,0x837fcc06,0x2003fff9,0xffd06fff,0x0fffdc01,0x06fff880,
    0xfffffd88,0xf90001ff,0x000007ff,0x4405fffd,0xfffffffe,0x00bdffff,
    0x3e7ffd80,0x7fec04ff,0x0000003f,0x640bff50,0x3ff203ff,0x0000005f,
    0x3ffffffe,0x06ffffff,0x000ea620,0xfff0dfff,0x3fe6001f,0x3a98806f,
    0x437ffc00,0x1001fffd,0x7fcc379b,0x3ffe003f,0x007fff96,0x04fffb80,
    0xffffffa8,0xffff900d,0x01fffd83,0xd8379b10,0xf7000fff,0x3ff60bff,
    0x81ffdc06,0x2003fff9,0xff906fff,0x01d4c405,0x501bffe0,0xffffffff,
    0xfd0001ff,0x000005ff,0x3007fffb,0xfffffffb,0x005fffff,0xf99fffa8,
    0x7ff401ff,0x0000002f,0x7409ff90,0x3ff202ff,0x3322003f,0xcccccccc,
    0x3fffe3cc,0xffffffff,0x0000006f,0xff98dfff,0x3fee005f,0x4000006f,
    0xfff86fff,0xff300007,0x7ffc007f,0x007fff96,0x04fffb80,0x4fffffa8,
    0x46fffb80,0x00007fff,0x88017ffa,0xff905fff,0x01ffd80b,0x4007fff3,
    0xff506fff,0x3e00000b,0x3fea06ff,0xfffa9eff,0xd009885f,0x00005fff,
    0x005fffd0,0xffffec98,0x005fffff,0x7fe67ffc,0x2fffd806,0xb0000000,
    0x7ffc05ff,0x13fff200,0xfffff980,0x5fffffff,0x3ffffffe,0x06ffffff,
    0xdba98000,0x7d46ffff,0xfd1005ff,0x40000dff,0xffffdba9,0x037ffc46,
    0x3fff9800,0x65bffe00,0x40003fff,0x9804fffb,0x2006ffff,0xff12fffe,
    0x220000df,0x7c004fff,0xbff905ff,0x2607ff80,0x3e003fff,0x1ffe06ff,
    0x36ea6000,0xf506ffff,0xffb89fff,0x77fe44ff,0x01fffec2,0x7fffc000,
    0x32a20001,0x5ffffffe,0x3bbff200,0xffc803ff,0x0000003f,0x2601fff0,
    0x7fdc07ff,0x3fe6004f,0xffffffff,0x266665ff,0x9999ffff,0x2a200009,
    0xfffffedb,0x7c46ffff,0x74401fff,0x8007ffff,0xfffedba8,0x46ffffff,
    0x0005fff8,0x007fff30,0xffcb7ffc,0x7e40003f,0xff8803ff,0x3ea002ff,
    0xbfff13ff,0x3fe60000,0x7ff4003f,0x409ff705,0x3e605ff9,0x3fe003ff,
    0x07ff606f,0x7f6dd440,0xffffffff,0x09fffd06,0xf8bffff6,0x7fe41fff,
    0x4400004f,0x0001ffff,0x3ffff660,0xfff3002f,0xf9001fff,0x000009ff,
    0x40fff100,0x7d405ffb,0x3e6005ff,0xffffffff,0x3f605fff,0x100001ff,
    0xfffffff9,0xdfffffff,0x01bffff0,0x3fffffa6,0x3ff22007,0xffffffff,
    0x7cc6ffff,0x300004ff,0x7c007fff,0x7fff76ff,0xfffc8000,0x3ffff003,
    0xa7ffcc00,0x0004fff9,0x005fff70,0xf705ffd8,0x17fe409f,0x007fff30,
    0xf7037ffc,0xffc8807f,0xffffffff,0xfb86ffff,0x7ff406ff,0x6fffa8ff,
    0x005fffb8,0x7fffcc00,0xfa800000,0x3a006fff,0x7005ffff,0x0000bfff,
    0xfb999500,0x999999ff,0x9999dffd,0x1bffe639,0xfff30000,0x0fffe40b,
    0x7ffcc000,0xcdffffff,0xf50dfff1,0xd779ffff,0xffbbffff,0xfff3001f,
    0x9bffffff,0xf31bffe3,0x200009ff,0x2003fff9,0xfff76fff,0xffd80009,
    0xffff002f,0x2dfff000,0x0004fff9,0x005fff70,0xf505ffd8,0x07ff407f,
    0x007fff30,0xf3037ffc,0x7ffcc0df,0xcdffffff,0xfd0dfff1,0xff8807ff,
    0x4fffdeff,0x006fff98,0x37ffd400,0x4c000088,0x7000ffff,0x2005ffff,
    0x0007fff9,0xff906f20,0xffffffff,0xffffffff,0x3e25ffff,0x00001fff,
    0xd817ffe6,0x880007ff,0xacdfffff,0x20dfff00,0xfffffffc,0xff32ffff,
    0xfff8807f,0xf00acdff,0xfff88dff,0xff300005,0x7ffc007f,0x009fff56,
    0x02fffe80,0x000fffd0,0x3fe2dfff,0xf500005f,0xfe8007ff,0x07ff505f,
    0xf301bfe2,0x7fc007ff,0x07ffc06f,0x6fffffc4,0xdfff00ac,0x001ffff0,
    0xfffffff3,0x3fffe01f,0x3f600001,0x3fffc3ff,0x7fff4000,0xffff1001,
    0x1fffe800,0xfff98000,0xfffff90f,0xffffffff,0xffffffff,0x27ffec5f,
    0xfff30000,0x02fff40b,0x77ffec00,0x6fff8800,0x3ffffa60,0x7fc0cfff,
    0x7ffec06f,0xfff8800e,0x006fff86,0x3fff9804,0x2dfff100,0x0006fff9,
    0x800ffffc,0x2001fffd,0x3fe4fff8,0x9804006f,0x74004fff,0x5ff305ff,
    0x3013fea0,0x22007fff,0x7e406fff,0xefffd82f,0x6fff8800,0x003fffc4,
    0x9ffffff7,0x037ffe40,0xffffa800,0x017fff40,0x0bfff200,0x004fff80,
    0x0027ffe4,0x537ffdc0,0x99fff999,0xfffb9999,0x43999999,0x000ffffa,
    0x0bfff300,0x00027ffc,0x8007fffc,0x8806fff9,0xf1009aa9,0xffff007f,
    0x3ffe6001,0x007ffe86,0xff32f7f4,0x3fe6009f,0x03fffe6f,0x3fffcc00,
    0x07fff900,0xd17ffcc0,0xfe800fff,0x1bffe25e,0x20bfff00,0xffb00aa8,
    0x4fff9805,0x0dfff300,0xff84ffa8,0xff3000ff,0x1ffff0df,0x7fffec00,
    0x3ffe600f,0xfe80003f,0xfffd86ff,0x7fec0004,0xfff5001f,0xfff98001,
    0x7f40001f,0xfff302ff,0x002ffdc0,0x000bffff,0x417ffe60,0x0000fffa,
    0x002fffcc,0x000dfff7,0x401ffa80,0x2005fff9,0xfd86fffb,0xff1002ff,
    0x2fffc4bf,0x26fffb80,0x0005fffd,0x400bfffb,0x2005fff8,0x3f60fffb,
    0xff1002ff,0x1fffd8bf,0x0bfff500,0x403ffc00,0x7005fff8,0xf880dfff,
    0x2fffcc7f,0x0dfff700,0x4007fffb,0x02fffff9,0x007fffe4,0x3ffff700,
    0x01ffff50,0x3fffe200,0x0bffb000,0x17fff600,0x7fffc800,0xc817fea0,
    0x3ee003ff,0x80002fff,0xfd05fffa,0xf500005f,0x3a200bff,0x00006fff,
    0x2a007fdc,0xd1005fff,0xff30dfff,0x3fee00df,0x07fffc2f,0x9bfffa20,
    0x004ffffb,0x017fffcc,0x00bfff20,0xf31bffe2,0x3ee00dff,0x7ffdc2ff,
    0xbfffd005,0x17fe6000,0x007fffc0,0x01bfffa2,0xffa87ffa,0xffd1005f,
    0xffff90df,0xffff3001,0xfe805fff,0xc8001eff,0x3a04ffff,0x8001ffff,
    0x3005fffc,0x20005fff,0x005ffff8,0x04ffffb8,0xfe80fff2,0x7fec001f,
    0x910004ff,0xfb0bffff,0x2200009f,0x4401ffff,0x007ffffe,0x01ffdc00,
    0x007fffe2,0x0fffffd1,0x100ffff6,0xfe81ffff,0x3fa204ff,0x7ff46fff,
    0xff7003ff,0xf1000dff,0xfd803fff,0xfffd84ff,0x7fffc403,0x03fffe80,
    0x82ffffe4,0x7dc0aaaa,0xfffd003f,0x7fff4409,0x3ffb806f,0x007fffe2,
    0x0fffffd1,0x80bffff1,0xfffffff9,0x3fe602ff,0xd1003fff,0xb80dffff,
    0x003fffff,0x03ffffd3,0x00dffd10,0xeffffc80,0xfffc8801,0x17fec05f,
    0x000fff88,0x77ffffc4,0xffb8800a,0x3624ffff,0x9aa99eff,0xfff81000,
    0xffd300df,0x0000ffff,0x440effb8,0x037fffe0,0x7fffff4c,0xbffff107,
    0x0bfffaa0,0x873fffea,0xfffffea8,0x7ffffd46,0xcaa99bdf,0x01fffffe,
    0x5ffffb00,0x6fffe881,0x0bffff10,0x40bfffaa,0x884ffffa,0x85fffffd,
    0x741ffff8,0xff5001ff,0x754439ff,0x806fffff,0x7ffc5ff9,0xffd300df,
    0x3ea0ffff,0x2a21efff,0xfcfffffd,0x2a02ffff,0xacefffff,0xfffb7311,
    0xf9001dff,0x59bfffff,0xfffb9533,0x337207ff,0x002ffffe,0xfffffd80,
    0x3eea21ad,0x400effff,0xff300fff,0x3fa6000d,0xbdefffff,0xfffedb99,
    0x3a23ffff,0xffffffff,0x89abdfff,0x7fd45eb9,0xfebbcfff,0xfffddfff,
    0x3e600000,0x4fdbcfff,0x33ffffea,0xdffffebb,0xf700fffd,0xdb9dffff,
    0x7c09ffff,0xfeffffff,0x6ffccfff,0xffffffb8,0xffffffff,0x20002fff,
    0xdfffffd8,0x1fffffec,0x3ffffee0,0xffffedce,0x7fffe404,0xefffecef,
    0xff885ffe,0x1ffe21ff,0xffffff00,0x99ffffdf,0x3fe00dff,0x7ffffd47,
    0xffffebbc,0x900fffdd,0xfdffffff,0x21dfffff,0x02fffffb,0x3fffffa6,
    0xffffffff,0x6c005fff,0xffffffff,0xffffffff,0x3fff204f,0x00004fff,
    0x3ffffff2,0xffffffff,0x7cc00fff,0x17fee07f,0xffffb000,0xffffffff,
    0x19ffffff,0xffffff98,0xffffffff,0x0fffffff,0x7fffffe4,0xf32fffff,
    0x800007ff,0xfffffffd,0x7ffffe44,0x32ffffff,0x74c07fff,0xffffffff,
    0x7f4404ff,0xffffffff,0x260dff93,0xffffffff,0x1effffff,0xfff70000,
    0xdfffffff,0xfffd3003,0x9fffffff,0x3fffee00,0xd8efffff,0xfff885ff,
    0x013fea1f,0xfffffd10,0x3f27ffff,0x5ffb006f,0xffffffc8,0xf32fffff,
    0x7fd407ff,0xffffffff,0xefffc84f,0x7ffe4400,0xffffffff,0x50003fff,
    0xffffffff,0x5fffffff,0xfffffb80,0xfb800005,0xffffffff,0x00cfffff,
    0x3205ffa8,0xa80003ff,0xfffffffe,0xdfffffff,0x3ffffa01,0xfffedcdf,
    0xffffffff,0xffffe983,0x7fc0cfff,0x4400006f,0x0cfffffd,0xfffffe98,
    0x7ffc0cff,0xfffec806,0x2001dfff,0xdffffffc,0x881bff22,0xffffffda,
    0x0002dfff,0xffffd980,0x4000bfff,0xffffffec,0x7e4c001d,0xb0dfffff,
    0xfff10bff,0x017fe43f,0xfffffc80,0x1bff22df,0x4c27fd40,0xfffffffe,
    0x037ffc0c,0x3fffff62,0x3ee02def,0x3ae2001f,0xffffffff,0xb700002d,
    0xffffffff,0xb300159d,0x000059ff,0xffffda80,0x00cfffff,0xe80fff20,
    0x200001ff,0xffffffc9,0x802bdeff,0x7100befa,0xfffffffb,0x554c4039,
    0x00000009,0x800d5440,0x0009aa98,0x9aa98800,0x2aa20000,0x26200001,
    0x009aabaa,0x75100000,0x31000035,0x80001355,0x0000aa98,0x000ccb80,
    0x000d5440,0x40799100,0x0009aa98,0x0aba8800,0x80006600,0x01aaba98,
    0x554c0000,0x000001bb,0x33000000,0x00013575,0xcc80732e,0x1000000c,
    0x00135753,0x2a6000a0,0x000001ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e200000,0x98004fff,0xaaaaaaaa,0x01aaaaaa,0x55402660,
    0xfff90002,0x9000001f,0x8003ffff,0x005ffff8,0x0006eed8,0x403ddd90,
    0x702eeed8,0x0cc40003,0xedc98000,0x640001bd,0x0000ffff,0x2af76ea2,
    0xdfff0000,0x005fff98,0x03ffff20,0x3ff20000,0x7c4001ff,0x00005fff,
    0x566ee5cc,0x01310000,0x33b72a20,0xfff0000a,0x05fff98d,0x2a013300,
    0xff90002a,0x4cc001ff,0xabdca881,0xfffd8000,0x7ec003ff,0xffffffff,
    0x805fffff,0x21dffffa,0xa8005ff8,0x00efffff,0x3ffe2000,0xff50002f,
    0xff8003ff,0xfb00007f,0xfe8805ff,0x9ff713ff,0xfffea800,0x4002deff,
    0xffffffd9,0xfa8003ff,0x8006ffff,0xffffffd8,0x7c000dff,0x7ffcc6ff,
    0xfff50005,0x80000dff,0x002ffff8,0x03ffff50,0xfffd5000,0x019fffff,
    0xfffffb70,0x7fffdc07,0x002fffff,0x3e637ffc,0x7d4005ff,0x3e61dfff,
    0xffa8005f,0xf1006fff,0x3ffa63ff,0x005fffff,0x3ff7fff2,0x3ffa001f,
    0xffffffff,0x4c05ffff,0xffffffff,0x4003ffec,0xfffefff8,0x3f200005,
    0x5c0004ff,0x7c005fff,0xb00007ff,0x32005fff,0xffffefff,0xfffd3004,
    0xbfffffff,0xffff3001,0x9fffffff,0x6fffcc00,0x2a004fff,0xffffffff,
    0x2001efff,0x7fcc6fff,0xff88005f,0x005fffef,0x13fff200,0xbfff7000,
    0xfffc8000,0xffffffff,0x3ffee00f,0xfd02ffff,0xffffffff,0x7fc007ff,
    0x2fffcc6f,0xfffff500,0x7ffd9fff,0xefff8800,0xf8805fff,0xffff99ff,
    0x1effffff,0xeafffd40,0xf8800fff,0xffffffff,0x05ffffff,0x7f5efff4,
    0x00ffffff,0x54ffff40,0x80003fff,0x0006fff8,0x003fff90,0x0003fffc,
    0x002fffd8,0x33fffff2,0xffff5000,0xfffffdff,0x7fcc03ff,0xfdbabeff,
    0xe8804fff,0xfffb8fff,0xffffc803,0xffecaace,0xfff002ff,0x05fff98d,
    0xa8fffe80,0x80003fff,0x0005fff8,0x003fffb0,0x3bffff60,0xffffebac,
    0xffffa80e,0xfd80ffff,0xca9acfff,0xf004ffff,0xfff98dff,0x37ffa005,
    0xffffffeb,0x7ff4000f,0x03fffa8f,0x7fe7ffc4,0xfffdccef,0x3fe206ff,
    0xdfff30ff,0x37fff300,0x33333333,0x6ff80133,0x0e7ffecc,0x8ffff200,
    0x0002fffd,0x0007ffdc,0x00bffd00,0x0003fffc,0x802fffd8,0x5fffffd9,
    0x3fffe200,0x7ffdc42e,0xfffd00ff,0x3fffe609,0x17ffec03,0x4c03fffb,
    0x3203ffff,0xa800ffff,0x555442aa,0x7ffe4001,0x007fff63,0x01fff700,
    0x27ff4000,0x7fffd400,0xbfffd303,0x35dfffb0,0xdfff7053,0x3fffa203,
    0x42aaa802,0x2001aaa8,0x7fed46ff,0x7e4001cf,0x3fff63ff,0x3fffe201,
    0xfff902ef,0x3fffa03f,0x027ffdc2,0x0007ffee,0x22035500,0xffa80009,
    0x7fffc46f,0x3ffe0000,0x74400001,0xfff000ff,0x3f60000f,0x3f6a02ff,
    0x3fffdfff,0x0bfffd00,0x85fffe88,0x4404fffa,0x3ee06fff,0x7ffc45ff,
    0x5fffb00f,0x09fff500,0x54000000,0x7fc46fff,0xf10000ff,0x800003ff,
    0x2000fff8,0x402ffff8,0x740ffff9,0xff800fff,0x7fcc01ff,0x0000005f,
    0x22035510,0xffb80009,0x7fffc45f,0xfffff100,0x4fffd801,0xf9000000,
    0x000000ff,0x00000000,0x00000000,0xfff00000,0x3f60000f,0x3ffe02ff,
    0x07fff62e,0x01ffff30,0x81ffff10,0xc801fffe,0x00001fff,0x027ffd40,
    0x001fffb0,0x00000000,0x00000000,0xfa800000,0xffb005ff,0x06fff87f,
    0x004fff98,0x0000fffb,0x00000000,0xf1000000,0xf3007fff,0x00000dff,
    0x001bffa0,0x00000000,0x00000000,0x00000000,0x0001fffe,0x9017ffec,
    0xdffd105b,0x1fffdc01,0x45fff900,0x3006fff9,0x0000bfff,0x00fffd80,
    0x00fffea0,0x00000000,0x00000000,0xfb000000,0x362003ff,0x3ffe21bc,
    0x2fffc805,0x03fff700,0x00000000,0x00000000,0x007fff88,0x980dfff1,
    0x00acddcb,0x0013ffe0,0x9b953000,0x98000157,0x00abcdca,0x66e54c00,
    0x4c0000ab,0x00abcdca,0x0007fff8,0x005fffb0,0xfffa84c4,0x07fffa04,
    0x24fffa80,0x2003fffa,0x2660fffe,0x26660009,0x001fffa0,0x2009fff1,
    0x0abddba8,0x6dd44000,0x40000abd,0x0abddba8,0x6dd44000,0xff000abd,
    0x220000ff,0xa8804fff,0x3fee005b,0x9753002f,0x0001579b,0x5e6e5d4c,
    0x2a60000a,0x00abcdcb,0x0037ffc4,0x3aa0dfff,0xffffffff,0x7ffcc00c,
    0xd3000002,0xffffffff,0xfe98001b,0xdfffffff,0x7ff4c000,0x0dffffff,
    0x7fff4c00,0x00dfffff,0x0001fffe,0x1017ffec,0x7dffffb9,0x3201fffd,
    0x7cc007ee,0x3fff24ff,0x3ffee000,0x007fff31,0xfff37ffc,0x3333333d,
    0xfff33333,0xfffd880b,0x00dfffff,0x7fffec40,0x000dffff,0x7ffffec4,
    0x4000dfff,0xffffffd8,0x3e200dff,0x100006ff,0x00009fff,0x403ffec0,
    0xfffffffb,0x2000dfff,0xfffffffb,0x2000dfff,0xfffffffb,0xf100dfff,
    0x7f400bff,0xffffc87f,0xffffffff,0x07ffea00,0x22000353,0xfffffffc,
    0x802fffff,0xffffffc8,0x02ffffff,0xfffffc88,0x2fffffff,0xffffc880,
    0xffffffff,0x00ffff02,0x0bfff600,0x7fffff4c,0x5fffffff,0xffb80000,
    0x03fffa2f,0x33fffa80,0x7c007fff,0xffff16ff,0xffffffff,0xdfffffff,
    0x7ffffd40,0x1effffff,0xfffff500,0x3dffffff,0x3fffea00,0xefffffff,
    0xffff5001,0xdfffffff,0x17ffe203,0x7ffc4000,0xf1000004,0x7f440bff,
    0xffffffff,0x4402ffff,0xfffffffe,0x02ffffff,0x7fffff44,0xffffffff,
    0x04fff882,0xfb1fffa0,0xd759dfff,0x201dffff,0xffd57ffc,0x4009dfff,
    0xaceffffc,0x3ffffedb,0x77fffe40,0xfffedbac,0x7ffe403f,0xfedbacef,
    0x7e403fff,0xdbacefff,0xf83ffffe,0xb00007ff,0xff705fff,0xffb9dfff,
    0x003fffff,0x0fffd800,0x5001fffe,0x3fe69fff,0x3ffe003f,0xffffff56,
    0xffffffff,0x20ffffff,0xaceffffc,0x2ffffeca,0x77fffe40,0xfffecaac,
    0x7ffe402f,0xfecaacef,0x7e402fff,0xcaacefff,0x982ffffe,0x00004fff,
    0x0009fff1,0x5fffd100,0x3ffffe60,0xffecaabc,0x3fe606ff,0xcaabcfff,
    0x206ffffe,0xbcfffff9,0xffffecaa,0x04fff886,0xfa9fffa0,0xfd303fff,
    0x3ff60bff,0xffffffef,0x5401efff,0x3603ffff,0xf500ffff,0x7ec07fff,
    0xff500fff,0x7fec07ff,0xfff500ff,0x7ffec07f,0x03fffc0f,0x2fffd800,
    0x06ffffcc,0x27ffffd4,0xfff50000,0x007fff8d,0xf9afffcc,0x3fe003ff,
    0xddfff56f,0xdddddddd,0x1ddddddd,0x03ffff98,0x403ffff2,0x203ffff9,
    0x300ffffc,0x6407ffff,0xf300ffff,0x7e407fff,0x7fcc0fff,0xf100004f,
    0x200009ff,0x3ffffdb8,0x013fff20,0x205ffff5,0x5404fffc,0xf902ffff,
    0xffa809ff,0x7ffc42ff,0x5fffa004,0x402ffff8,0xf80ffff9,0xffffffff,
    0x2fffffff,0x03ffff10,0x10bfff70,0x7003ffff,0xff10bfff,0xff7003ff,
    0xffff10bf,0xbfff7003,0x0007fff8,0xd85fffb0,0x74403fff,0x00007fff,
    0x443ffff5,0x4c006fff,0xfff35fff,0xb7ffc007,0x0004fff9,0x02fffd80,
    0xb04fffa8,0xf5005fff,0x3ff609ff,0xfffa802f,0x05fffb04,0x889fff50,
    0x00005fff,0x0009fff1,0xfffffe98,0x3ffe201f,0xbfff7005,0x00bfff10,
    0x2217ffee,0xf7005fff,0xfff88bff,0x5fffa004,0xb005fffa,0xff887fff,
    0x311bdfff,0x01fffff9,0x4009fff9,0x7e42fffe,0x3fa004ff,0x7ffe42ff,
    0x3fffa004,0x027ffe42,0x7c5fffd0,0xb00007ff,0x7fd45fff,0xfff3006f,
    0xfa80003f,0x7fc43fff,0x7fc4005f,0x07fff35f,0xff37ffc0,0xa80000bf,
    0x36004fff,0x7fd40fff,0x3ff6004f,0x27ffd40f,0x81fffb00,0x2004fffa,
    0x7fc0fffd,0x8804006f,0x40004fff,0xcffffffb,0x07ffee00,0x437ffc40,
    0x1001fffb,0xff70dfff,0x3fe2003f,0x27ffc46f,0x36fffd00,0xb1001fff,
    0xfffa8379,0x7ff4c03f,0x0fffe85f,0x13ffea00,0x4001fffd,0x7f44fffa,
    0x3ea000ff,0x7fff44ff,0x3ffea000,0x001fffe4,0xb17ffec0,0x6c003fff,
    0x20004fff,0x884ffffb,0x44005fff,0xfff36fff,0x37ffc007,0x1000ffff,
    0x007ffec0,0xd87fff50,0x2a000fff,0x7fec3fff,0x3fea000f,0x07ffec3f,
    0x87fff500,0x74007ffe,0x3ffe25ef,0x7fe40004,0x05ffffff,0xf8007531,
    0x3a9886ff,0x437ffc00,0x7c003a98,0x7ffc46ff,0x5fffa004,0x00007fff,
    0x400fb726,0x7c2ffff9,0xff8005ff,0x02fffc6f,0x3e37ffc0,0xff8005ff,
    0x02fffc6f,0xff37ffc0,0x360000ff,0x3ffe2fff,0x7ffcc006,0xfff70006,
    0x3ffe209f,0x7ffc4005,0x007fff36,0xffb37ffc,0x7fcc005f,0x03fff45e,
    0xd13ffe20,0xf8800fff,0x3fff44ff,0x13ffe200,0x8800fffd,0x7fec4fff,
    0xfff1002f,0x027ffc4b,0x26226600,0x00effffc,0x1bffe000,0xdfff0000,
    0xfff80000,0x027ffc46,0xff1fffd0,0x000000df,0x93fff200,0x8004fff8,
    0x3fe27ffe,0xffe8004f,0x013ffe27,0xf89fffa0,0xfe8004ff,0x01fffe7f,
    0x97ffec00,0x4005fff8,0x8006fff8,0x203ffff9,0x4005fff8,0xff35fff8,
    0x7ffc007f,0x01bffea6,0x7c3fffd8,0x99999eff,0xf9999999,0x77ffc5ff,
    0x99999999,0x5fff9999,0x4ccf7ffc,0x99999999,0x7fc5fff9,0x999999ef,
    0xff999999,0x37ffcc5f,0x22fffb80,0x0004fff8,0xbfffd300,0x36ea6000,
    0x0006ffff,0x3fff6ea6,0x2a60006f,0x46ffffdb,0x2004fff8,0xfff8fffe,
    0x00000005,0x54dfff30,0xd8003fff,0xfff50fff,0xfffb0007,0x00fffea1,
    0x543fff60,0xd8003fff,0xffff0fff,0x3ff60000,0x09fff32f,0x00ffff00,
    0x807fffd0,0x4006fff8,0xff35fff9,0x7ffc007f,0x027ffec6,0x107fffdc,
    0xffffffff,0xffffffff,0x7fc4dfff,0xffffffff,0xffffffff,0x3fffe26f,
    0xffffffff,0x6fffffff,0x3fffffe2,0xffffffff,0xd86fffff,0x7c403fff,
    0x3fe20fff,0x2000004f,0x201ffff9,0xfffedba8,0x06ffffff,0xffedba88,
    0x6fffffff,0xfedba880,0xffffffff,0x027ffc46,0xff3fffd0,0x0000009f,
    0x73fffc00,0x90005fff,0x3fee3fff,0xffc8002f,0x05fff71f,0x23fff900,
    0x8002fffb,0xfff1fffc,0x3f60000f,0x7fff52ff,0x1fffd000,0x27ffdc00,
    0x006fff80,0xf9a7ffcc,0x3fe003ff,0x7fffcc6f,0xfffc981e,0x7fffd43f,
    0xffffffff,0x7fffffff,0x3fffffea,0xffffffff,0x2a7fffff,0xffffffff,
    0xffffffff,0x3fea7fff,0xffffffff,0xffffffff,0xffff887f,0x5fffd505,
    0x004fff88,0x7ffe4000,0xffffc884,0xffffffff,0x3f2206ff,0xffffffff,
    0x206fffff,0xffffffc8,0xffffffff,0x027ffc46,0xff3fffd0,0x0000009f,
    0x87fff400,0x8002fffb,0xff71fffc,0xff90005f,0x0bffee3f,0x47fff200,
    0x8002fffb,0xfff1fffc,0x3f60000f,0x5fff52ff,0x1fffd000,0x07ffe400,
    0x007ffe80,0xf9a7ffd4,0x3fe003ff,0xffffb86f,0xffffddff,0xfffa84ff,
    0xeeeeeeee,0xeeeeeeee,0xddfff50e,0xdddddddd,0x1ddddddd,0x3bbbffea,
    0xeeeeeeee,0x50eeeeee,0xdddddfff,0xdddddddd,0xf701dddd,0xdb9dffff,
    0xf109ffff,0x000009ff,0x4c5fffa8,0xffffffff,0xdfff1cdf,0x3ffffe60,
    0xf1cdffff,0x3fe60dff,0xdfffffff,0x88dfff1c,0x3a004fff,0x5fff8fff,
    0x00000000,0xffa9fffe,0xffd8003f,0x07fff50f,0x21fffb00,0x8003fffa,
    0xff50fffd,0xffb0007f,0x01fffe1f,0x3fff6001,0x007fff32,0x800ffff0,
    0x36006ffe,0x7d4007ff,0x7fff32ff,0x837ffc00,0xffffffe9,0x304fffff,
    0x00009fff,0x0027ffcc,0x09fff300,0x7ffcc000,0x26000004,0xfffffffe,
    0xff104fff,0x8000009f,0x3e26fff8,0x0acdffff,0xf10dfff0,0x159bffff,
    0x221bffe0,0xacdfffff,0x88dfff00,0x3a004fff,0x0dfff7ff,0x26620080,
    0x7ffc4002,0x013ffe66,0xf99fffa0,0xfe8004ff,0x13ffe67f,0x99fffa00,
    0xe8004fff,0x1fffe7ff,0x2007ffaa,0xff31fffd,0xff88009f,0x7ffc006f,
    0x3fff2005,0x3fff2001,0x007fff30,0x701bffe2,0xfffffffd,0x5fff8019,
    0x7ffc0000,0x7fc00005,0x7c00005f,0x000005ff,0xfffffec8,0x3fe201df,
    0x2ba9804f,0x37ffc400,0x001dfffb,0xfb0dfff1,0xf1001dff,0xfffb0dff,
    0xfff1001d,0x04fff88d,0x7f5fffa0,0x77f4007f,0x01fffe25,0xf8bfff30,
    0x7c4005ff,0x2fffc7ff,0x1fffe200,0x8800bfff,0x7ffc7fff,0x7ffc4005,
    0x2a1fffe7,0xfd802fff,0xdfff11ff,0x4fff9800,0x13ffe200,0x04fffa80,
    0xf99fffe0,0xff3004ff,0x7fcc00df,0x3ffe001d,0x3e008007,0x008007ff,
    0x2001fffe,0x01fffe00,0x7ec00020,0xf88009af,0xfff804ff,0x7ffd4007,
    0x003fffe4,0x7c37ffcc,0xf3000fff,0xffff0dff,0x3ffe6001,0x6c000006,
    0xf1002fff,0xfffe8bff,0x3fff2001,0x00ffff43,0xe89fff70,0x2e001fff,
    0x7ff44fff,0x3fee001f,0x0ffff44f,0x49fff700,0xff987fff,0xffff803f,
    0x007fffa0,0x003fffd8,0x1000d554,0x2a00dfff,0x3fe25fff,0xfff7005f,
    0x1ffc400d,0x0bfff600,0x45eff980,0x2002fffd,0x7ec5eff9,0x3e6002ff,
    0x7ffec5ef,0x3bfe6002,0x0bffe005,0x04fff880,0x001fffd8,0x7ccffff2,
    0x3ee005ff,0x7ffcc6ff,0x3ffee005,0x02fffcc6,0x00dfff70,0x00ef7fcc,
    0x401bffe6,0x7dc2fffb,0xff3005ff,0xfffb81ff,0xffff1005,0x05fffb83,
    0x83ffff10,0x1005fffb,0xfb83ffff,0xff1005ff,0x3fffc3ff,0x2037ffc4,
    0x7d46fff9,0xff3005ff,0x000001ff,0x00fffec0,0x3e0fffe4,0x74400fff,
    0x2a006fff,0x7d4001ff,0x3f6006ff,0x7ffd43ff,0x3fff6006,0x037ffd43,
    0xa87fffb0,0x36006fff,0xd3003fff,0x1005ffff,0xf7009fff,0x3e600bff,
    0xfff51fff,0x3ffa200b,0x2fffd46f,0x6fffe880,0x802fffd4,0x006fffe8,
    0x0fffffe6,0x807fffb0,0x4c0ffff8,0x4403ffff,0xfd03fffe,0xffb007ff,
    0x3fffa0df,0x6fffd803,0x007fffd0,0x3a0dfffb,0xfd803fff,0x3fffc6ff,
    0x103fffe8,0xff09ffff,0xfe8805ff,0x000003ff,0x077ffcc0,0xd0dfff70,
    0x74409fff,0x2006ffff,0xd8002ffa,0xfb804fff,0xffd80fff,0xfffb804f,
    0x4fffd80f,0x0ffffb80,0x804fffd8,0x000ffffb,0x8807ffb8,0xf8804fff,
    0x74402fff,0x3fe24fff,0x7f4401ff,0x7fc47fff,0x7f4401ff,0x7fc47fff,
    0x7f4401ff,0x4c007fff,0x4406ffda,0xd505ffff,0x3ee05fff,0xff504fff,
    0x7fcc0dff,0xfe980dff,0xff300fff,0xfd301bff,0x3e601fff,0xe980dfff,
    0xf300ffff,0xd301bfff,0xff81ffff,0xffff507f,0xffd9535b,0xfff503ff,
    0x3ffe609f,0xaa88006f,0xffc8002a,0xfffb81ef,0xffffa81f,0x3ffaa21c,
    0x2e006fff,0xf98005ff,0xc981efff,0xf303ffff,0x9303dfff,0x2607ffff,
    0x981effff,0x303ffffc,0x303dffff,0x007ffff9,0x00bffe60,0x2009fff1,
    0x503ffffa,0xff0dffff,0x3a601bff,0xf87fffff,0xd300dfff,0xf0ffffff,
    0x2601bfff,0x07fffffe,0x05fff100,0xefffffb8,0x4ffffedc,0x7ffffec0,
    0xfffffdce,0x7ffe400d,0xfffddeff,0x7e402fff,0xfddeffff,0x402fffff,
    0xdefffffc,0x2ffffffd,0x7ffffe40,0xfffffdde,0x07fff82f,0x3ffffffa,
    0x04ffffff,0x3bffffea,0xefffffdc,0xfffa8001,0xffe88007,0xfffdcfff,
    0x3ffe03ff,0xfffeffff,0x006ffccf,0x4c2fffea,0x7ffdc03b,0xfffddfff,
    0x7dc04fff,0xfddfffff,0x404fffff,0xdffffffb,0x4ffffffd,0x7ffffdc0,
    0xfffffddf,0x5331004f,0x801fffd9,0x2004fff8,0xcdfffffc,0x1ffffffd,
    0xcfffffa8,0xdffffebb,0x7d40fffd,0xebbcffff,0xffddffff,0x7fffd40f,
    0xfffebbcf,0x00fffddf,0x17ffe440,0x7ffff4c0,0x04ffffff,0xffffff90,
    0x009fffff,0x7fffff54,0x01efffff,0xfffffd50,0x03dfffff,0x3ffffaa0,
    0x1effffff,0xffffd500,0x3dffffff,0x881fffe0,0xfffffffe,0xe9804fff,
    0xffffffff,0x50000dff,0x4000ffff,0xfffffffc,0x74404fff,0xffffffff,
    0x00dff93f,0x7fffffc4,0xfe9804ff,0xffffffff,0xfd3004ff,0xffffffff,
    0x3a6009ff,0xffffffff,0xd3004fff,0xffffffff,0x5c009fff,0x3fffffff,
    0x04fff880,0x7ffffdc0,0x0dffffff,0x3fffff20,0x32ffffff,0xff907fff,
    0xffffffff,0x0fffe65f,0x3ffffff2,0xf32fffff,0xee9807ff,0x00efffff,
    0x3ffffb20,0x44001dff,0xfffffffd,0xec88002d,0x3effffff,0xffec8800,
    0x003effff,0xffffec88,0x88003eff,0xffffffec,0x3fffc03e,0x7ffffdc0,
    0x22002cef,0xffffffec,0x7d40002e,0x5c0007ff,0xdffffffe,0x3fff2001,
    0x3f22dfff,0x7fd4006f,0x003fffff,0x3fffffae,0xb8000cff,0xfffffffe,
    0xfeb8000c,0x0cffffff,0xfffeb800,0x000cffff,0x77ffffe4,0x9fff1002,
    0xfffb1000,0x005dffff,0x3fffffa6,0x7ffc0cff,0xffffd306,0xff819fff,
    0xfffd306f,0xf819ffff,0x7fd406ff,0x001effff,0x01355310,0x15753000,
    0x54c40000,0x100000aa,0x00015553,0x02aaa620,0x554c4000,0x4000000a,
    0x0000aba8,0x00035730,0x03fffd40,0x13573000,0x0d544000,0xec880000,
    0x20000bde,0x0001aaa9,0x006aaa60,0x1aaa9800,0x2aa60000,0x2620001a,
    0x440019aa,0x40004fff,0x0001aba9,0x0026aa62,0x4d54c400,0x53100000,
    0x20000135,0x02cdeec9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffd800,0x36000000,0x5ddd34ee,0xd3027640,0x9750005d,0x000379bd,
    0x66f6dd44,0x00000002,0x23fffc00,0x0005fff9,0x006fffe8,0xd81ffff1,
    0x26003fff,0x0004ffff,0x017fffdc,0x501f6c00,0xfb0001dd,0x3fe61fff,
    0xd80002ff,0x00000eee,0x027fffc4,0xca833300,0x2000002c,0x40acdca8,
    0x22000998,0x8004ffff,0x002ffff9,0x30ffffc8,0x9987ffff,0x26660009,
    0x6e544000,0x00001acd,0x017fffc4,0x3ffe0000,0x407fff56,0xffb02ffc,
    0x7ff4c001,0x0cffffff,0x7fffd400,0x403effff,0x0004fffa,0x8ffff000,
    0x0005fff9,0x007fffd4,0x54bfff50,0xb8004fff,0x0000ffff,0x0037ffec,
    0xe807fec0,0xff88007f,0x3fff62ff,0xfff00005,0xc800001f,0x20006fff,
    0xfe88fff9,0x2204ffff,0xff91001c,0x21dfffff,0x32006ffc,0x88006fff,
    0x01ffffff,0x8bfffe20,0x7cc5fffd,0x3fe003ff,0xffb3006f,0x7fffffff,
    0x3ff20000,0x8000004f,0xfff56fff,0x577fcc07,0x00dff730,0x7fffffe4,
    0x01ffffff,0xfffffd88,0x05ffffff,0x0013ffea,0x3fffc000,0x0017ffe6,
    0x005fffd0,0xf17fff90,0x64000dff,0x80004fff,0x0002fffe,0x9316ffdc,
    0xf90009ff,0x7ffcc9ff,0xff00000e,0x400001ff,0x000ffff8,0x367ffe60,
    0x03ffffff,0xd1003ff5,0xffffffff,0x0dff93ff,0x03fffe20,0x37fff600,
    0xf7000eff,0x7ffc49ff,0x1fffcc0e,0x00dfff00,0xfffffff3,0x01bfffff,
    0x2fffc400,0xff800000,0x07fff56f,0xffffffc8,0xf5001fff,0x7537dfff,
    0x801fffff,0xaceffffd,0x0efffeca,0x004fffa8,0xffff0000,0x005fff98,
    0x013ffea0,0xfdfffe80,0x6c0000ff,0x40000fff,0x0006fff8,0xffffffd8,
    0xf8000eff,0x7ffe45ff,0x3fe00001,0x200000ff,0x0001fffc,0x7fe7ffcc,
    0xb80fffff,0x7c401fff,0xb9acffff,0x6ffdfffd,0x05fff900,0x17fff900,
    0x3a00bfff,0x7ffe46ff,0x03fff981,0x101bffe0,0x557dfffd,0x0dffffd9,
    0x077fe400,0xff800000,0x05f9316f,0xffffff90,0x3fe2003d,0xffb103ff,
    0x7ffd40bf,0xfffb104f,0x09fff509,0x2aa00000,0x0d55442a,0x0bffd000,
    0xffff8800,0x880001ff,0x80004ffe,0x0001fff9,0x7ffffec4,0xfa8000ef,
    0x3ffe20ff,0x7fc00003,0x100000ff,0x00007fff,0x9ffffff3,0x3ee09953,
    0x7fe401ff,0xfff700ef,0xff100dff,0xff50009f,0x27ffd4bf,0x883ffea0,
    0xff303fff,0x7ffc007f,0x27ffdc06,0x03ffff30,0x03fff100,0x7fc00000,
    0x8007ec6f,0x002cccb8,0x2027ffdc,0x881fffe8,0xd803ffff,0x6d441fff,
    0x0000004f,0x26000000,0x80000eff,0x003ffff9,0x03ffe600,0x17fee000,
    0x665cc000,0x3fa0002b,0x02ffdc1f,0x7fffc000,0xff700000,0x3e60000b,
    0x2000ffff,0x2601fffb,0x5c00ffff,0xb806ffff,0xf88005ff,0x7fec0fff,
    0x0bff602f,0x7cc0bff7,0x3fe003ff,0x3ffec06f,0x027ffdc0,0x00000000,
    0xff1bffe0,0xd8000000,0xfb800fff,0xfffb82ff,0xbfff1006,0x0000ff60,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe000,
    0x00000000,0x3fffe600,0x7ffdc003,0x0fffee01,0x037fff40,0x00000000,
    0xf9800000,0x3fe003ff,0x2fffc06f,0x003cee80,0x00000000,0xfd8b7ffc,
    0x40000004,0xf3007ffe,0xfffb09ff,0x3ffe4003,0x00001fe8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ffff800,0x00000000,
    0x03fffe60,0x03fff700,0x8007ffec,0x0006fffa,0x00000000,0xfff30000,
    0x37ffc007,0x007fffa0,0x97530000,0x0001579b,0x02b372a2,0x13eadfff,
    0xbddba880,0x3ffa000a,0x9fff3007,0x800fffd0,0x7e41fffb,0x80000006,
    0x0abcdca9,0x00133300,0x44004ccc,0x00abddba,0x40013330,0xa9800999,
    0x00abcdcb,0x3372a600,0x4c0000ab,0x00abcdca,0xffff0000,0xdca98801,
    0x54c02ccd,0x9802bcdc,0x26007fff,0x99afffc9,0x002fff41,0xa881bffe,
    0x001acddc,0xacddca88,0x00999801,0x7cc26660,0x3fe003ff,0x7ffdc06f,
    0x400000bf,0xfffffffb,0x1000dfff,0xfffffff9,0x29bffe1d,0xffffb100,
    0x001bffff,0x5001fff9,0xfff05fff,0xfffa800d,0x99837ee3,0xacdca881,
    0x3ffa6000,0x0dffffff,0x00fffe60,0x2206fff8,0xfffffffd,0x3fe600df,
    0x3ffe003f,0x3fffee06,0x0dffffff,0x3fffa600,0x00dfffff,0x7ffff4c0,
    0x000dffff,0x07fffc00,0xfffffd88,0x543fffff,0xffffffff,0x3ffe603f,
    0xffff3006,0x44ffffff,0x74004fff,0xffd986ff,0x3fffffff,0xffffd980,
    0x303fffff,0x7c007fff,0x7fff36ff,0x037ffc00,0x3fffffe6,0x220002ce,
    0xfffffffe,0x02ffffff,0x7fffff44,0xff9fffff,0x7fd4006f,0xffffffff,
    0x7fcc01ef,0x7ffe804f,0x005fff88,0xb12fffcc,0xd31fff88,0xbfffffff,
    0x7ffe4401,0xffffffff,0x7fff302f,0x837ffc00,0xfffffffa,0x301effff,
    0x7c007fff,0xffe886ff,0xffffffff,0x64402fff,0xffffffff,0x8802ffff,
    0xfffffffc,0x002fffff,0x03fffe00,0x3fffffa6,0x4fffffff,0xfffffff9,
    0x260bffff,0xf3005fff,0xffffffff,0x01fffccf,0xf31bff60,0xffffffff,
    0x2601bfff,0xffffffff,0x4c0dffff,0x3e003fff,0x7fff36ff,0x037ffc00,
    0x7fffffcc,0x000bdfff,0x79fffff3,0xffffd955,0x7fff440d,0xffecabdf,
    0x2006ffff,0xaceffffc,0x2ffffeca,0x017fffc0,0x3e0bfff9,0x7d4006ff,
    0x7fc405ff,0xfffff99f,0x01efffff,0x59dffff9,0x7ffffdb7,0x007fff30,
    0x7e437ffc,0xcaacefff,0x982ffffe,0x3e003fff,0x7ffcc6ff,0xecaabcff,
    0x6406ffff,0xbaceffff,0x03ffffed,0x677fffe4,0xffffedba,0xfff00003,
    0xffffa81f,0xfecaabce,0xffffffff,0xfffcbabd,0x4fff985f,0xffb99100,
    0x7dc999bf,0x7e4003ff,0x3fffa26f,0xffecaabe,0xffe886ff,0xfecaabef,
    0x7fcc6fff,0x3ffe003f,0x007fff36,0x98037ffc,0xfffffffe,0xfc804fff,
    0x7fd404ff,0xfff902ff,0x3fff203f,0xff3006ff,0x7fe407ff,0x3fe600ff,
    0xea99adff,0xfd00dfff,0xffb800ff,0x7ffc406f,0xdccefffc,0xa86fffff,
    0x3603ffff,0x7cc0ffff,0x3fe003ff,0x7fffcc6f,0x3ffff203,0x01fffcc0,
    0xfc8dfff0,0x7fd404ff,0xfff502ff,0x7ffec07f,0xffff500f,0x7fffec07,
    0xfff80000,0x1ffff40f,0x3fffff20,0xffb100ef,0x4fff987f,0x1fffb800,
    0x007fff50,0x3ee6ffc8,0x3fe604ff,0x7ffdc1ff,0x3fffe604,0x00fffe61,
    0xff36fff8,0x7ffc007f,0x7f64c006,0xefffffff,0x0bfff100,0x217ffee0,
    0x400ffff9,0x006ffffb,0x5005fffb,0xd9809fff,0xffffffff,0x7fec02ff,
    0x3ff6001f,0x7ffc406f,0xff902eff,0x7ffc43ff,0xfffb801f,0x01fffcc5,
    0xfd8dfff0,0xffa802ff,0x1fffcc4f,0x44dfff00,0xf7005fff,0xfff10bff,
    0xfff7003f,0x3ffff10b,0x0bfff700,0x1ffff000,0x801fffcc,0x006ffffe,
    0x7cc1fffd,0xfb8004ff,0xfff301ff,0x6ffd8009,0x2e01fff6,0x7fec4fff,
    0x4fffb807,0x800fffe6,0xfff36fff,0x37ffc007,0xffb71000,0x2e0fffff,
    0xf1001fff,0xfff70dff,0x3fffa007,0x4fffa806,0x03fff600,0xfffffd30,
    0xb8019fff,0xf5006fff,0xf880ffff,0x6c00ffff,0x3ff25fff,0x3ffa004f,
    0x0fffe62f,0x2a6fff80,0x36004fff,0x3fe60fff,0x3ffe003f,0x007ffee6,
    0x6437ffc4,0x3a004fff,0x7fe42fff,0x3ffa004f,0x7fc0002f,0x3fff20ff,
    0xffff9000,0x3ffe6003,0x013ffe63,0x407ffee0,0x4005fff8,0x3ffe6ffe,
    0x879dd005,0xdd005fff,0x1fffcc79,0x26dfff00,0xf1003fff,0x40000dff,
    0x81ffffd9,0x7c003a98,0xfffd86ff,0xdfff5000,0x01fffb00,0x81fffd40,
    0xffffffd8,0x03ffffff,0x013fffe2,0x0fffffd1,0x03ffff88,0x3a6fff88,
    0x2a000fff,0x3fe64fff,0x3ffe003f,0x003fff66,0x263fffa8,0x3e003fff,
    0x0ea626ff,0xd0dfff00,0x54001fff,0x7ff44fff,0x3fea000f,0x7fc0004f,
    0x0eea20ff,0x05fffb80,0xf327ff40,0xf70009ff,0x7ffc03ff,0x37ffc006,
    0x0003fffd,0x001fffe8,0x00fffe60,0xff36fff8,0x3fe6009f,0x4001006f,
    0x0004fffd,0x7437ffc0,0x7fc005ff,0x7ffe806f,0x27ffc400,0x577fff4c,
    0xffff9311,0x7fffd40b,0x7ffdc41e,0x7c406ffe,0x3fe007ff,0x017ffe7f,
    0xf99bffe0,0x3fe003ff,0x01fffa6f,0x4c9fff10,0x3e003fff,0xf00006ff,
    0xbfff0dff,0x8dfff000,0xf8005fff,0x7c0006ff,0x80000fff,0x4004fffa,
    0x3fe66ffd,0xffb8004f,0x3fff601f,0xdfff5001,0x05ffffdc,0xffffb800,
    0xff98000b,0x3ffe003f,0x00bfff16,0xa81bffee,0xf3001ffe,0x4c000bff,
    0x6ffffdba,0x4004fff8,0xff806fff,0x999999ef,0xff999999,0x4fffe85f,
    0x27fff4c0,0xffffffb0,0xb3ffffdd,0xff880dff,0x3ffe007f,0x009fff17,
    0x7ccfffd0,0x3fe003ff,0x27bffe6f,0x99999999,0x25fff999,0x2003fff9,
    0x98006fff,0x6ffffdba,0x0027ffc4,0xff13fff4,0xffd0009f,0xfff8000f,
    0xcb98000f,0x99bffffe,0x99999999,0x3e67ffc9,0xfb8004ff,0x3fe601ff,
    0xfffd006f,0x7ffffccd,0x26002cef,0xceffffff,0x7fff3002,0xf37ffc00,
    0xff100dff,0x7fcc0dff,0xfff5004f,0xdb751007,0xffffffff,0x3fff98df,
    0x037ff400,0x3fffffe2,0xffffffff,0x5c6fffff,0xf1006fff,0x7e401fff,
    0xffffffff,0x80dffd1f,0x2006fff8,0xfff57ffe,0xfffb0007,0x00fffe61,
    0xff16fff8,0xffffffff,0xffffffff,0x1fffccdf,0x40dfff00,0xfffedba8,
    0x46ffffff,0x8003fffa,0xff50fffd,0xffb0007f,0x7fc0001f,0x6dd400ff,
    0xfffffffe,0xffffffff,0xffffffff,0x9fff31ff,0x3fff7000,0x03fffd80,
    0x237fffdc,0xfffffff9,0x4c00bdff,0xffffffff,0xff300bdf,0x7ffc007f,
    0x013fffa6,0x80dffffd,0xe801ffff,0x32201fff,0xffffffff,0x46ffffff,
    0x4002fffa,0x7d406ffd,0xffffffff,0xffffffff,0x7fff47ff,0x3ffee001,
    0x7fff4c04,0x3fe0ceff,0x7ffc405f,0x5fffa005,0x8002fffb,0xff31fffc,
    0x7ffc007f,0xffffff56,0xffffffff,0x4cffffff,0x3e003fff,0xffc886ff,
    0xffffffff,0x7dc6ffff,0xfc8002ff,0x5fff71ff,0x3fff9000,0x7fffc000,
    0xffffd880,0xffffffff,0xffffffff,0xffffffff,0x9fff32ff,0x3fff7000,
    0xdffff880,0xfffffd80,0xffffe986,0x04ffffff,0x7fffff4c,0x984fffff,
    0x3e003fff,0x3ffee6ff,0x3fae21cf,0x6406ffff,0x9102ffff,0x7cc0dfff,
    0xffffffff,0x8dfff1cd,0x4003fffb,0x7d406ffc,0xeeeeeeff,0xeeeeeeee,
    0x3ffe0eee,0x7ffc4006,0x15731005,0x809fff10,0x2004fff8,0xfff77ffe,
    0xfff90005,0x00fffe63,0xff56fff8,0xdddddddf,0xdddddddd,0x3ffe61dd,
    0x1bffe003,0xfffffff3,0x3fe39bff,0x17ffdc6f,0x8fffe400,0x8002fffb,
    0x0001fffc,0xd103fffe,0xdfffffff,0xdfff517b,0xdddddddd,0x5ddddddd,
    0x0013ffe6,0x2007ffee,0xcefffffa,0xfffffffe,0x3ffb2606,0x0effffff,
    0x7fff64c0,0x20efffff,0x2003fff9,0x7fec6fff,0xfffeffff,0x806ffccf,
    0xceeffffd,0x1effffec,0xbfffff10,0x3ffe0159,0x027ffd46,0x301bff60,
    0x00009fff,0x002fffc4,0x00037ffc,0x805fff30,0x2004fff8,0xfff57ffe,
    0xfffb0007,0x00fffe61,0xff36fff8,0x4c00009f,0x3e003fff,0x3ffe26ff,
    0xf00acdff,0xfffa8dff,0xfffd8003,0x007fff50,0x301fffb0,0x83fffe00,
    0xbcfffff9,0x05fff501,0x3ffe6000,0xfffb8004,0xfffd3001,0xf1dfffff,
    0x2e200dff,0x7ffffffd,0x3ff6e200,0x3e67ffff,0x3fe003ff,0xffffe86f,
    0xf93fffff,0xffd100df,0xffffffff,0x7fec01bf,0xff8800ef,0x27ffcc6f,
    0x01bffa00,0x00017ffe,0x005fff88,0x0007ffe8,0x003ffee0,0x4009fff1,
    0xfff37ffe,0xfffd0009,0x801fffcc,0x3fe6fff8,0x2600005f,0xf1003fff,
    0x7ffecdff,0xfff8800e,0x027ffcc6,0xf33fff40,0xfd0009ff,0x03ff64ff,
    0x7ec7fff8,0xfb800dff,0x300003ff,0x70009fff,0x44003fff,0x4ffffffc,
    0x4001bffe,0x01ffffd9,0xffffb300,0x00fffe63,0x4437ffc4,0xdffffffc,
    0x801bff22,0xffffffea,0xfff803ef,0xfff3000f,0x06fff88d,0x4037ffc0,
    0x08007fff,0x001fffe0,0x988bfff1,0x7ff4002a,0x4fff8807,0xf9fffa00,
    0x7c4005ff,0x3ffe67ff,0xdfff3004,0x4003fffc,0x09fff300,0xf9bffe60,
    0xf3000fff,0xbfff0dff,0x7fff8800,0x2002fffc,0x3f27fff8,0xfff800ff,
    0x03fffe27,0x027ffdc0,0x00000620,0x000fffdc,0xff80aa88,0x3600086f,
    0x00084fff,0x7cd3fff6,0xff3004ff,0x554c40df,0x000dfb01,0x006fff22,
    0x005fff98,0x361bffee,0xf5001fff,0xffb00dff,0x7fcc005f,0x07fff45e,
    0x89fff300,0x5001fffb,0xf1009fff,0x7f4009ff,0x07fffa7f,0x24fffb80,
    0x7005fff8,0x7fecdfff,0x3fe6002f,0x17ffe25e,0x9b7ffdc0,0x2e005fff,
    0xffe86fff,0x3fee001f,0x0ffff44f,0x49fff700,0x4401fffb,0x3fea6fff,
    0x3ffa004f,0x3fe2006f,0xeffd80ff,0xfffb800c,0xff000001,0x07ffaadf,
    0xaafffcc0,0xf3001ffe,0x3ffe2bff,0xdfff7005,0x09fd0000,0x05ffec00,
    0x0bfff500,0x1bfffa20,0x4017ffee,0xa806fffe,0x36006fff,0x7fe43fff,
    0x3ffa004f,0x27ffcc2f,0x00fffd80,0x004fff88,0xffb9fffa,0xfff1005f,
    0x0ffff83f,0x37fff440,0x400dfff5,0x7fc3fffd,0x7f4400ff,0xbfff56ff,
    0x3fffa200,0x05fffb86,0x83ffff10,0x1005fffb,0x7d43ffff,0x7fdc05ff,
    0x13ffee4f,0x7ffffe40,0xbfff9002,0x1fffff60,0x00bffee0,0xb7ffc000,
    0x5004fff9,0x3fe67fff,0xfff5004f,0x007fffc7,0x01bfffa2,0x000ffe00,
    0x04ffffe8,0x03ffff10,0x7ffffe88,0x807fffd0,0x006ffffc,0x7009fffb,
    0xf881ffff,0xfb804fff,0xfffd06ff,0x4fffd803,0x09fff100,0x3a3fff40,
    0xfd803fff,0xfffe86ff,0x3fffa204,0x27ffec6f,0x07fffdc0,0x8813fffa,
    0xf16ffffe,0xe8803fff,0xfd07ffff,0xffb007ff,0x3fffa0df,0x6fffd803,
    0x80ffffc4,0x262ffff9,0x5400ffff,0x2fffffff,0x17fffcc0,0x3fffba88,
    0x01fffd40,0x6fff8000,0x2007fffe,0x3fe1fffe,0xffe801ff,0x13fffa1f,
    0x6ffffe88,0x27fc4000,0x7ffd4000,0xbffff001,0x3fffa601,0xfff307ff,
    0xfffb109f,0x3e600dff,0xc981efff,0xf503ffff,0xb1019fff,0x2e01ffff,
    0x4c0befff,0x000ffffd,0x4009fff1,0x7fcc7ffe,0xfe980dff,0xffa80fff,
    0x3aa21cff,0x4c6fffff,0x981effff,0xa83ffffc,0x221cffff,0x6fffffea,
    0x4037fffe,0x7fffffe9,0x1bffff30,0x1ffffd30,0x37fffe60,0xffffe980,
    0xcffffc80,0xffffca99,0x3fffe20f,0xdfff7304,0x017ffff9,0x00bfffd5,
    0xf501bff2,0x00535fff,0x937ffc00,0x2205ffff,0x7e46fffc,0xf9102fff,
    0xfffa8dff,0x3faa21cf,0x0006ffff,0x0003ffcc,0x8027ffc4,0xbcfffffa,
    0xddffffeb,0xff700fff,0xffd9dfff,0x00dffbdf,0x7fffffdc,0xffffffdd,
    0x7fffec04,0xfffeddff,0x7fec03ff,0xfffddfff,0x22000fff,0x3a004fff,
    0xfffc87ff,0xfffddeff,0x3fe02fff,0xffefffff,0x86ffccff,0xdffffffb,
    0x4ffffffd,0x3fffffe0,0xccffffef,0x3ffea6ff,0xffebbcff,0x0fffddff,
    0xdfffff90,0xffffffbb,0xffffc805,0xffffddef,0xfff102ff,0xffffffff,
    0xfff505ff,0xfffb79ff,0x7ffd49ff,0xffedcfff,0xff3005ff,0xfff880ff,
    0x0001ffff,0xfd8dfff0,0xecceefff,0xd81effff,0xcceeffff,0x81effffe,
    0xefffffff,0xffccffff,0x7fc40006,0x409711df,0xfffeba99,0x3fff2002,
    0xffffffff,0x407fff32,0xfffffffb,0x6ffd8eff,0x7fff4c00,0xffffffff,
    0xffff7004,0xdfffffff,0x3fff6003,0xefffffff,0x7ffc4000,0x1fffa004,
    0x7fffff54,0x01efffff,0x7fffff44,0xff93ffff,0x3fffa60d,0xffffffff,
    0x7fff4404,0x93ffffff,0xfffc8dff,0xffffffff,0x407fff32,0xffffffea,
    0x001effff,0xffffffd5,0x803dffff,0xfffffffa,0x3203ffff,0xffffffff,
    0xff982fff,0xffffffff,0xfdd900df,0x7007ffff,0x05ffffff,0x1bffe000,
    0xffffffd1,0x01bfffff,0x3fffffa2,0x0dffffff,0xfffffd10,0x3f27ffff,
    0xfd80006f,0x06ffffff,0xfffffff3,0xffd3000b,0x819fffff,0x64c06fff,
    0x0dffffff,0x2000dffb,0xffffffeb,0x644000cf,0xffffffff,0xffea8003,
    0x002effff,0x009fff10,0x9103fff4,0xdffffffd,0xfffc8007,0x3f22dfff,
    0x7ff5c06f,0x00cfffff,0x3fffff20,0x1bff22df,0x3fffffa6,0x7ffc0cff,
    0x7ff64406,0x003effff,0xffffec88,0x22003eff,0xeffffffc,0xffe9801c,
    0x00cdffff,0x3ffffb26,0x7f401dff,0x004fffff,0x0fffffae,0x37ffc000,
    0xfffffea8,0xd5003eff,0xdfffffff,0x3fff2007,0x3f22dfff,0xf880006f,
    0x05ffffff,0x7ffffff5,0xaa988000,0x44000009,0x00000aa9,0x01aaa980,
    0x35731000,0x73100001,0x88000357,0x3a004fff,0x531007ff,0x88000155,
    0x400001aa,0x0001aaa9,0x0000d544,0x0026aa62,0x2aa62000,0x3100000a,
    0x80001555,0x20001ba9,0x0001aa98,0x00135531,0x0333bb72,0x00099800,
    0x00f33200,0x00355531,0x0d554c40,0x03551000,0x5c400000,0x4c402cee,
    0x00001aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,0xffa87fff,
    0xfffa806f,0x0ffffc46,0xb7303330,0xf9800599,0x7ff40fff,0x6c00002f,
    0xd90004ee,0x4cc400dd,0x26000000,0x0055300a,0x00099998,0x0007ddd1,
    0x00bbbae0,0x27ddd500,0x22001998,0x7db00999,0x80077540,0x355101a8,
    0x7777776c,0xeeeeeeee,0xeeeeeeee,0x7ffc001e,0xfff1005f,0x3bbb607f,
    0xee880000,0x05ddd33e,0x265ffff7,0xdb002eee,0xeee801dd,0xee88001e,
    0x200002ee,0x204ffff9,0xa87fffe8,0xffe86fff,0xfffe881f,0x01fffd11,
    0xc8ffff20,0x3e202fff,0xffff71ff,0x4005dfff,0x3ee5fffb,0x800004ff,
    0x32205fff,0x807ffe81,0x2ffffffb,0xe9801260,0x7f42efff,0x7fffc007,
    0x9fff1002,0x3ff20000,0x7dc0003f,0x1fff94ff,0x0bffea00,0xfe807fec,
    0xffff9007,0xf17fdc19,0xffffffff,0xffffffff,0x5fffffff,0x7fffdc00,
    0xffffd000,0x3fffd05f,0xfff10000,0x20fffea9,0x3e64fffe,0xffd003ff,
    0xffff803f,0xfff88001,0x3600003f,0xf8806fff,0xffc83fff,0x0ffff24f,
    0xf96fff98,0xfe8003ff,0x4fffa9ff,0x5cfffc40,0xffffffff,0x3f6004ff,
    0x5fff8aff,0xfff00000,0x207fea0b,0x7e407ffe,0x80ffffff,0xf1006fd8,
    0xbfffffff,0xf800dffd,0xf1002fff,0x200009ff,0x0003fffc,0xfca7ffdc,
    0xff5000ff,0x37fee05f,0x013ff262,0x3ffffff2,0x21fffdef,0xffffffff,
    0xffffffff,0xffffffff,0x3fffe002,0xbfffb001,0xffe81fff,0xf880001f,
    0x7fff54ff,0x4c5fffa8,0xfd003fff,0xfff803ff,0xff88001f,0x100003ff,
    0x2001ffff,0xfb06fff9,0x9fff33ff,0xfbfff500,0xf10007ff,0x0bffddff,
    0xffbfff10,0xffb7359f,0x7f4009ff,0x00effdff,0xbfff0000,0xd03fff70,
    0x7fdc0fff,0xd07fffff,0x3f200dff,0xffffebef,0x7c001fff,0xf1002fff,
    0x200009ff,0x0003fffc,0xfca7ffdc,0xff5000ff,0x7ffec05f,0x00efffff,
    0x7e67ffc4,0x45ffffff,0xeeeeeeed,0xeeffffee,0xeeeeeeee,0x7fff5001,
    0x53ffee00,0x3fa0effe,0x880001ff,0xfff54fff,0x40fffe87,0xd003fff9,
    0xff803fff,0xf88001ff,0x00003fff,0x8003fff9,0xf882fffb,0x06ffeeff,
    0x3fffff20,0x3fea0005,0x8800efff,0x01ffffff,0x003ffff5,0x3fffffe2,
    0x3e000001,0xfffb85ff,0x207f9881,0x99beffff,0x00dfff02,0xfc883ff6,
    0xf8002dff,0xf1002fff,0x200009ff,0x0003fffc,0xfca7ffdc,0xff5000ff,
    0x7fec405f,0x801effff,0x7f5c4ffa,0xd0000bef,0x00003fff,0x3004ffe8,
    0x7fccdfff,0x07fffa5f,0x3ffe2000,0x545f9314,0xff981fff,0xfffd003f,
    0x1ffcc803,0xffff8800,0xff880003,0xff90003f,0x3fffe60d,0x7f4000ff,
    0xc80006ff,0x1001ffff,0x801fffff,0x2006fffa,0x002ffffa,0x2fffc000,
    0x880fffdc,0x1bffe05f,0x006fff80,0x02620555,0x22000000,0x00004fff,
    0x0007fff9,0xf94fffb8,0x3ea001ff,0xcb9802ff,0x2a6002bc,0x0003300a,
    0x003fffd0,0x037fd400,0x41fffe88,0xffd3fffc,0xf100003f,0x21fd89ff,
    0xff303ffe,0x3ffa007f,0x07f8801f,0x40000000,0x40005ffc,0xff702ffd,
    0x000003ff,0x10000000,0x2009ffff,0x0000fffe,0x3e000000,0xfffb85ff,
    0x2207f501,0x3e004fff,0x000006ff,0x88000000,0x00004fff,0x0007fff9,
    0xf94fffb8,0x3ea001ff,0x000002ff,0x40000000,0x0001fffe,0x00000000,
    0x0007fffa,0xf13ffe20,0xfff3000f,0x3fffa007,0x006fa801,0x00000000,
    0x00000000,0x00000000,0xffff1000,0x3ffea001,0x00000002,0x217ffe00,
    0xfa81fffb,0x7fff301f,0x037ffc00,0x00000000,0x27ffc400,0xfffc8000,
    0x7fdc0003,0x01fff94f,0x00bffea0,0x00000000,0x3fffd000,0x00000000,
    0x7fff4000,0xff880001,0x00bfb14f,0x007fff30,0x2007fffa,0xb98004fc,
    0x000acddc,0x00000000,0x65440000,0x0001acdd,0x2af372a6,0x5fff8800,
    0x227ffc00,0x26000999,0x65c40099,0x7ffc0acd,0x3fff2665,0x03fb199a,
    0x201fffcc,0x9efff998,0x04ccc099,0x00133300,0x4003bbaa,0x2624fff8,
    0xc800acdb,0x40003fff,0xff94fffb,0x3fea001f,0x0026662f,0x26609998,
    0xabdca881,0x7ff40000,0x1998001f,0x0abdca88,0x80666200,0x0001fffe,
    0xf54fff88,0x20333109,0xd003fff9,0xfd803fff,0x3faa001f,0xcfffffff,
    0x26666200,0x99999999,0x20099999,0x4cc01998,0xffb30009,0x7fffffff,
    0x7fff4c00,0x00dfffff,0x0013ffe2,0x7fccbfff,0x3ffe003f,0xffff9106,
    0x3fe1dfff,0xfffff35f,0x022fffff,0x3ffea662,0x7ec0999c,0xffffffff,
    0x00fffe64,0x9006fff8,0x22001fff,0xfff54fff,0x403dffff,0x0003fffc,
    0xfca7ffdc,0xff5000ff,0x0fffe65f,0xf16fff80,0x3ffa63ff,0x005fffff,
    0x007fffa0,0x263fff10,0xfffffffe,0x0fffd005,0x000ffff4,0x527ffc40,
    0x4c1fffa0,0xfd003fff,0x77c403ff,0x3fff2000,0xffffffff,0xffff500f,
    0xffffffff,0x40dfffff,0x3e207ffe,0xff9804ff,0xffffffff,0x32200dff,
    0xffffffff,0xf102ffff,0xfe8007ff,0x0fffe67f,0x886fff80,0xfffffffe,
    0x5fff9eff,0xfffffff3,0xffc80fff,0xffffffff,0x7ffffec6,0x3e64ffff,
    0x3fe003ff,0xfffb006f,0x67ffc400,0xfffffffb,0xff903fff,0xfb80007f,
    0x1fff94ff,0x4bffea00,0x2003fff9,0xfff16fff,0xffffff33,0x003dffff,
    0x003fffd0,0xf99fff88,0xffffffff,0x7ff401ef,0x07fffa07,0x3ffe2000,
    0x07ffe804,0x2007fff3,0x4c01fffe,0x3fff6000,0xffebacef,0xffa80eff,
    0xffffffff,0x6fffffff,0x881fffa0,0x74404fff,0xcaabefff,0x206ffffe,
    0xaceffffc,0x3ffffedb,0x002fff88,0xf987ffec,0x3fe003ff,0x7fff446f,
    0xffecabdf,0x9915ffff,0x999bfffd,0xfffffc80,0x5c6fffff,0xccffffcc,
    0x0fffe62c,0x006fff80,0x4400dffd,0xdfffffff,0xffffecab,0x03fffc84,
    0xa7ffdc00,0x5000fffc,0x3fe65fff,0x3ffe003f,0xff9fff16,0xfffb99df,
    0xfd000dff,0xf88003ff,0xcefffcff,0x6fffffdc,0xd03fff40,0x00003fff,
    0xd009fff1,0x3fe60fff,0xfffd003f,0x7d400003,0xfd303fff,0xddd30bff,
    0xdddddddd,0x09ffff9b,0xf103fff4,0xffb809ff,0x3ffe604f,0xffffa81f,
    0x3ffff603,0x00fffc40,0x4c3fff60,0x3e003fff,0x7ffe46ff,0xffff901e,
    0x3fff70bf,0x7ee65400,0x03cccdff,0xf981bffe,0x3fe003ff,0xfff9806f,
    0x3ffe2004,0xff902fff,0xfffc81ff,0x7fdc0003,0x01fff94f,0x4cbffea0,
    0x3e003fff,0xffff16ff,0x3ff205df,0x7f4001ff,0x7c4001ff,0x902effff,
    0x7403ffff,0x3ffa07ff,0xf880001f,0xffe804ff,0x07fff307,0x007fffa0,
    0x7fffc400,0x7fffcc02,0xffd80000,0x3fff405f,0x809fff10,0xfb807ffd,
    0x7ffc44ff,0xfffb801f,0x017ffc45,0xf99fffa0,0x3fe003ff,0x3fffe66f,
    0x7fffdc00,0x01fffb85,0x07fff300,0x3037ffc0,0x7c007fff,0xffd806ff,
    0x3fe2002f,0x7dc00fff,0x7ffe45ff,0x7fdc0003,0x01fff94f,0x4cbffee0,
    0x3e003fff,0xffff16ff,0xfffd801f,0x7fff4004,0x7ffc4001,0x7fec00ff,
    0x1fffa04f,0x401fffe8,0xf881cccb,0xffe804ff,0x47fff307,0xfd0cccc8,
    0x200003ff,0xb005fffa,0x80007fff,0x400efffc,0x3e207ffe,0x7ffc04ff,
    0x879dd005,0x2004fffc,0x3e22fffe,0x7fc003ff,0x0fffe66f,0x2e6fff80,
    0xfd003fff,0xfff70bff,0x3fe60003,0x3ffe003f,0x0fffe606,0x406fff80,
    0x4005fffd,0x003ffff8,0x7e43fffd,0x5c0003ff,0xfff94fff,0x3ffee003,
    0x007fff32,0xff8b7ffc,0xff9803ff,0x7ff4006f,0x7fc4001f,0xff9803ff,
    0x1fffa06f,0x401fffe8,0xf883fffd,0xffe804ff,0x47fff307,0xfd0ffff8,
    0x200003ff,0x1001fffd,0x4000379b,0x800ffffb,0x3e207ffe,0x7ff404ff,
    0x7f40001f,0x3ea000ff,0x3ffe24ff,0x3ffe2004,0x00fffe65,0x3f66fff8,
    0xff7000ff,0x3fff70bf,0x3ffe6000,0x1bffe003,0x003fff98,0xfd81bffe,
    0x44001fff,0x7000ffff,0x7fe47fff,0x7dc0003f,0x5fff94ff,0x4bfff600,
    0x2003fff9,0xfff16fff,0x3ffe200f,0xfffffd86,0xffffffff,0xf880ffff,
    0xff1007ff,0x3fff40df,0x803fffd0,0xf883fffd,0xffe804ff,0x47fff307,
    0xfd0ffff8,0x200003ff,0x00007fff,0xffffa800,0x0fffd001,0x2027ffc4,
    0x00bffffb,0x00bfff00,0x7c4dfff0,0xf9000fff,0x7ffcc5ff,0x9bffe003,
    0x22005ffe,0xffb85fff,0xff30001f,0x7ffc007f,0x0fffe606,0xb06fff80,
    0x0005ffff,0x4009fff1,0x3f25fff8,0x5c0003ff,0xfff94fff,0x3fffa009,
    0x007fff32,0xff8b7ffc,0x3ffe006f,0xfffffd86,0xffffffff,0xf880ffff,
    0x3fe006ff,0x1fffa06f,0x401fffe8,0xf883fffd,0xffe804ff,0x47fff307,
    0xfd0ffff8,0x100003ff,0x0000dfff,0xffff9800,0x1fffa002,0x404fff88,
    0xeffffff9,0xfff1002c,0xfffd0009,0x027fffc4,0x307fffc4,0x7c007fff,
    0x9fff16ff,0x85fff800,0x0001fffb,0xb807fff3,0xccffffcc,0x0fffe61c,
    0xd86fff80,0x0001ffff,0x8007fff1,0x3ff26fff,0x7dc0003f,0xffff94ff,
    0xffffb801,0x007fff32,0xff8b7ffc,0x3ffa005f,0xeeeeec87,0xeeeffffe,
    0xf880eeee,0x3fa005ff,0x1fffa07f,0x401fffe8,0xf881cccb,0xffe804ff,
    0x47fff307,0xfd0cccc8,0x100003ff,0x0000bfff,0x7fffc400,0x3fff4003,
    0x009fff10,0xfffffff3,0x2a017bff,0xd8003fff,0xfff10fff,0xffd803ff,
    0x1fffcc3f,0x26dfff00,0x74003fff,0xfffb85ff,0xfff30001,0xffffd807,
    0x262fffff,0x3e003fff,0x7ffec6ff,0x3e20001f,0x7f4002ff,0x0ffff27f,
    0x7fff9000,0x81bffff2,0x32fffff9,0x7c007fff,0x9fff16ff,0x03fff400,
    0x007fffa0,0x009fff10,0xfd03fff4,0x7fff40ff,0xff880001,0x7ffe804f,
    0x007fff30,0x0007fffa,0x013ffe60,0x7f440000,0xfe8005ff,0x3ffe207f,
    0xfffd3004,0x9fffffff,0x005fff70,0x223fff90,0x83ffffff,0x986fffe8,
    0x3e003fff,0x5fff76ff,0x85ffd800,0x0001fffb,0xd807fff3,0xffffffff,
    0x0fffe62f,0x2e6fff80,0x0001ffff,0x000fffc4,0x7dc3fff6,0x640003ff,
    0xfff93fff,0x32617bff,0x32ffffff,0x7c007fff,0x9fff16ff,0x03fff400,
    0x007fffa0,0x009fff10,0xfd03fff4,0x7fff40ff,0xff880001,0x7ffe804f,
    0x007fff30,0x0007fffa,0x013ffe60,0x7fec0000,0xffd0006f,0x27ffc40f,
    0x3ffb2600,0x0effffff,0x000bffee,0x7c47fff2,0xdfffffff,0x1fffffed,
    0x003fff98,0x7fddbffe,0x7fec002f,0x01fffb85,0x07fff300,0xefff9988,
    0x3fe60999,0x3ffe003f,0x007fffa6,0x0bffe200,0x5cfffd00,0x40004fff,
    0xff92fffd,0xffffffff,0x5fffdfff,0x800fffe6,0xfff16fff,0x3fff4009,
    0x07fffa00,0x09fff100,0xd03fff40,0x7ff40fff,0xf880001f,0xffe804ff,
    0x07fff307,0x007fffa0,0x17ffe200,0x3f200000,0xd0000eff,0x7fc40fff,
    0x2e20004f,0x7ffffffd,0x000fffea,0x7c43fff6,0xffffacff,0x00efffff,
    0x4007fff3,0xfff56fff,0x5ffe8007,0x001fffb8,0x007fff30,0xf3037ffc,
    0x7fc007ff,0x09fff16f,0x3ffe2000,0x37ffc002,0x0009fff5,0xf92fffe8,
    0xffffd3ff,0xfff1dfff,0x00fffe65,0xff16fff8,0x7ff4009f,0x7fff4007,
    0x7ffc4001,0x1fffa004,0x3a07ffe8,0x80001fff,0xe804fff8,0xfff307ff,
    0x3fffa007,0xfff00001,0x4000800d,0x001ffffb,0x881fffa0,0x00004fff,
    0x47ffff66,0x8004fff9,0x3fe27ffe,0xffffd34f,0xff9807df,0xfff1003f,
    0x013ffe6d,0xf70bffd0,0x260003ff,0x3e003fff,0x3fe606ff,0xfff1003f,
    0x00bffead,0xfff10310,0x5fff8007,0x001bffe6,0x323ffff0,0xffe88fff,
    0xfff0dfff,0x00fffe65,0xf8b7ffc4,0x3fa004ff,0x7ff4007f,0x7fc4001f,
    0x3ffa004f,0x81fffa07,0x0001fffe,0x804fff88,0xff307ffe,0x3ffa007f,
    0xfd00001f,0xefe800ff,0x7fffd405,0x7ff40001,0x13ffe207,0xffb00040,
    0x02fffc9f,0x89fffe20,0xaa984fff,0x9fff3001,0x5bffe600,0x4006fff8,
    0xffb85fff,0xff30001f,0x7ffc007f,0x13ffe606,0xcb7ffcc0,0x7c001fff,
    0x3ffe27ff,0x3ffe6004,0x007fffc4,0x27fff980,0x2a20fffc,0xfff3001b,
    0x3ffe6009,0x009fff16,0x2003fff4,0x4001fffe,0x2004fff8,0x3fa07ffe,
    0x3fffa07f,0xff880001,0x7ffe804f,0x007fff30,0x0007fffa,0x017ffec0,
    0x205fff88,0x003ffff9,0x207ffe80,0x2a04fff8,0xf3001ffe,0x7fff4bff,
    0x3ffee001,0x013ffe24,0x2fffc400,0x26fffb80,0x5001fffd,0xff70bfff,
    0x3e60003f,0x3fe003ff,0x3ffe206f,0xdfff7005,0x800bffee,0x3e25fff9,
    0x3f2007ff,0x7ffec2ff,0xfffb0005,0x007ffe4b,0x17ffe200,0x8b7ffdc0,
    0x3a004fff,0x7f4007ff,0x7c4001ff,0x3fa004ff,0x1fffa07f,0x001fffe8,
    0x04fff880,0xf307ffe8,0x3fa007ff,0x300001ff,0x2e00dfff,0xff302fff,
    0x200009ff,0x3e207ffe,0x3fe604ff,0xfff5004f,0x02fffdc7,0x21ffff88,
    0x0004fff8,0x003fffe0,0x5cdfffd1,0xfd005fff,0xfff70bff,0x3fe60005,
    0x3ffe003f,0x07fffc07,0x5bfffa20,0x2005fff9,0x3e23fffc,0xf8803fff,
    0xfffb86ff,0x7fcc004f,0x3fff22ff,0xfff80000,0x7ff4400f,0x09fff16f,
    0x003fff40,0x0007fffa,0x4009fff1,0x3fa07ffe,0x3fffa07f,0xff880001,
    0x7ffe804f,0x007fff30,0x0007fffa,0x03fffd80,0x407fffc4,0x005fffe8,
    0x81fffa00,0x7c04fff8,0xfe801fff,0x7fff41ff,0x6fffd803,0x0027ffc4,
    0x09fffd00,0x37ffff44,0x900ffffa,0xf50bffff,0x260007ff,0x3a003fff,
    0x3fa00fff,0x3fa204ff,0xfff16fff,0xfff3005f,0x7fffc43f,0x3ff6202f,
    0xffffd02f,0x3ffee007,0x07ffe46f,0x7fff4000,0x3fffa204,0x09fff16f,
    0x003fff40,0x0007fffa,0x4009fff1,0x3fa07ffe,0x3fffa07f,0xff880001,
    0x7ffe804f,0x007fff30,0x0007fffa,0x5ffff880,0x05fffd50,0x0017fffa,
    0x40fffd00,0x6404fff8,0x9102ffff,0xff30dfff,0xfd301bff,0xff881fff,
    0x2a00004f,0x221cffff,0x6fffffea,0x427fffd4,0x5fffffd8,0x9affffa8,
    0x3ffe6002,0x3fff6003,0x7fd419ad,0x3aa21cff,0x2e6fffff,0x2602ffff,
    0x7c44fffe,0x40afffff,0x205fffe9,0xdffffffa,0xfecba99b,0x7e41ffff,
    0xa80000ff,0x221cffff,0x6fffffea,0x4009fff1,0x74007ffe,0x44001fff,
    0x3a004fff,0x3ffa07ff,0x37fffa07,0xcccccccc,0x11cccccc,0xfd009fff,
    0x3ffe60ff,0xbfffd003,0x99999999,0x03999999,0x9dfffff7,0x09ffffdb,
    0x263bfff6,0x99999999,0xfd009999,0x7ffc40ff,0xffffd804,0xfffeccee,
    0xfff901ef,0xfffbbdff,0xff105fff,0xf800009f,0xfeffffff,0x6ffccfff,
    0xefffffc8,0xfeefffec,0xffff885f,0xf3001fff,0x7e4007ff,0xf85fffff,
    0xfeffffff,0x6ffccfff,0x56ffffec,0xffffca99,0xfcfff886,0xffeddfff,
    0x7dc01eff,0xffffffff,0xffffffff,0x00fffc82,0xfffff000,0x9ffffdff,
    0x3fe2dff9,0x3ffa004f,0x7fff4007,0x7ffc4001,0x1fffa004,0x3a07ffe8,
    0xffffffff,0xffffffff,0x9fff12ff,0x20fffd00,0xd003fff9,0xffffffff,
    0xffffffff,0x3fa605ff,0xffffffff,0xffff104f,0xffffffff,0x9fffffff,
    0x881fffa0,0xe8804fff,0xffffffff,0x5400dfff,0xfffffffe,0xf101efff,
    0x800009ff,0xffffffe8,0xdff93fff,0x3ffffee0,0xfd8effff,0xffff705f,
    0x3e6005ff,0x7f4003ff,0xe886ffff,0xffffffff,0x88dff93f,0xfffffffe,
    0x80ffffff,0xffaafff8,0xdfffffff,0xffff3000,0xffffffff,0x3f203dff,
    0x100000ff,0xfffffffd,0x5bff27ff,0x2004fff8,0x74007ffe,0x44001fff,
    0x3a004fff,0x3ffa07ff,0x3ffffa07,0xffffffff,0x12ffffff,0xfd009fff,
    0x3ffe60ff,0xffffd003,0xffffffff,0x05ffffff,0xfffffec8,0x3fe201df,
    0xffffffff,0xffffffff,0x0fffd04f,0x0027ffc4,0xffffffd5,0x644007df,
    0xeffffffe,0x27ffc403,0xffc80000,0x322dffff,0x3f2606ff,0xb0dfffff,
    0x7f5c0bff,0xf3003fff,0xd88007ff,0x3207fffe,0x2dffffff,0x7dc1bff2,
    0xffffffff,0x3ffe204f,0xfffffd32,0xb510007d,0xffffffff,0xffc805bf,
    0x6400000f,0x2dffffff,0x7fc5bff2,0x3ffa004f,0x7fff4007,0x7ffc4001,
    0x1fffa004,0x3a07ffe8,0xffffffff,0xffffffff,0x9fff12ff,0x20fffd00,
    0xd003fff9,0xffffffff,0xffffffff,0x262005ff,0xf88009aa,0xffffffff,
    0xffffffff,0xfffd04ff,0x027ffc40,0x0d554c40,0x554c4000,0x9991000a,
    0x88000005,0x100001aa,0x00001553,0xf9800266,0x220003ff,0x35510019,
    0xdca88000,0x000bcefe,0x0009a980,0x57553100,0x32a00135,0x2000004c,
    0x00001aa8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbba600,0xeeeeeeee,0xeeeeeeee,0x2e06eeee,0xeeeeeeee,0x1accdeee,
    0x776c0000,0x0fba004e,0xff50eea8,0xffff88df,0x41777441,0x0001eeeb,
    0x03dddb00,0x1f776c00,0xeeeeeeb8,0xccdeeeee,0x1530001a,0x0000aa60,
    0x001dfff9,0x7fffd400,0x3fffe203,0x81fffec1,0x0003eee8,0x0ffff440,
    0x7013fff2,0x80005ddd,0x6c03eeea,0x80000eee,0x7fc0fffe,0xddddd97f,
    0x3b600005,0xdddb2eee,0xddb00001,0xdddddddd,0xdddddddd,0x003ddddd,
    0x33313764,0x7ffec000,0xffffffff,0xffffffff,0x207fffff,0xfffffffc,
    0xffffffff,0xf00001df,0x7400bfff,0x8ffd00ff,0x3f23fffc,0xfff982ff,
    0x02fffc83,0xfff50000,0x3fea000d,0xfff900ff,0xffffffff,0x03bfffff,
    0x3bfffa60,0x0003ffc2,0x0bfffff5,0x7fff4000,0x6fffa805,0x8817ffea,
    0x00004fff,0x30efff98,0xf900dfff,0xb80007ff,0x7fc04fff,0xe80000ff,
    0x7ffc0fff,0xbfffffd7,0xfff50000,0x3fffa7ff,0xfff80001,0xffffffff,
    0xffffffff,0x002fffff,0x7ff4fff7,0xfff30007,0xffffffff,0xffffffff,
    0x0fffffff,0x7fffffe4,0xffffffff,0x001effff,0x02ffffc0,0x4c5bff70,
    0xffe84ffc,0x04fff99f,0xf907fff3,0x000005ff,0x0017ffec,0x901ffff4,
    0xffffffff,0xffffffff,0x7c403dff,0xdfffffff,0x30005ffe,0x9fffbfff,
    0xfff30000,0x3ff2001d,0x0effe8bf,0x013ffe20,0x7ffdc000,0x001fffd4,
    0x0007fff9,0x404fffb8,0x0000ffff,0x7c0fffe8,0xffffd7ff,0xd80001ff,
    0xfd3fffff,0xf00003ff,0xffffffff,0xffffffff,0x5fffffff,0x4ffff500,
    0xb0007ffe,0xfddddfff,0xdddddfff,0xdddddddd,0x7ffe40dd,0xeeeeeeee,
    0xffffffff,0x3fe0003f,0x7f4005ff,0xefffffff,0xeefff880,0x3fe605ff,
    0x2fffc83f,0x3e600000,0x7dc006ff,0x7fe406ff,0xeeeeeeef,0xfffffffe,
    0xdff903ff,0xffffffd7,0xfd10003f,0x5fff71ff,0xfffd8000,0x7ffec000,
    0xfd00fffd,0xffffffff,0x0003ffff,0x7fefffe4,0xfff9001f,0xffb80007,
    0x7fffc04f,0xffe80000,0xebfffc0f,0x02ffffff,0x3fffe200,0x3fffd3ff,
    0xdddb0000,0xffdddddd,0xddddddff,0x9803dddd,0x3fa7ffff,0xff98007f,
    0x3ffee0ff,0xf9000004,0x2a2005ff,0x02fffffe,0x0bffff00,0xffffd880,
    0x3ea00dff,0x200effff,0xfc83fff9,0x000002ff,0x801fffe4,0x402ffff8,
    0x1002fffc,0x5fffffd5,0x64c1ffd0,0x0001dfff,0x7f45fffb,0xf30001ff,
    0xf10005ff,0x405fffff,0xfffffffe,0x01ffffff,0x7ffff400,0x64cc403f,
    0x9999cfff,0x99999999,0xcfffc999,0xffff8099,0xaaa80000,0xfd2aaa82,
    0x00bfffff,0x7ffffd40,0x03fffd3f,0x7f400000,0x980001ff,0x3a7ffffe,
    0xfd8007ff,0x7ffdc4ff,0xf9000004,0xf70005ff,0x0001ffff,0x65cc0000,
    0xff9002bc,0xff9803ff,0x2fffc83f,0x7c400000,0xfb800fff,0xffc805ff,
    0xffb8002f,0x15540fff,0x20000988,0x7cc5fffb,0xd8000fff,0x260004ff,
    0x6c03ffff,0xeeffffee,0x001eeeee,0x27fffc40,0x7ffffd40,0xffffffff,
    0xffffffff,0xffffffff,0x00ffff82,0xfd000000,0x01fffbff,0x3fbff600,
    0x3fffd3ff,0x74000000,0x20001fff,0xffffffc8,0x001fffa7,0xb81ffff1,
    0x00004fff,0x005fff90,0x13fffe60,0x00000000,0xf9800000,0xfffc83ff,
    0xcccccccd,0x8000aaaa,0x4404fffb,0xc801ffff,0x30002fff,0x0009ffff,
    0x00000000,0x00000000,0x4fff8800,0x00000000,0xffffff50,0xffffffff,
    0xffffffff,0x5fffffff,0x201ffff0,0x74000001,0x2fffafff,0xbfff8800,
    0xfffd3fff,0x40000003,0x0001fffe,0xfffffff5,0x03fff4ff,0x217fff20,
    0x0004fffb,0x05fff900,0x7fffe400,0xbb751000,0x00000157,0xff300000,
    0xffff907f,0xffffffff,0x017dffff,0x00ffff40,0x2009fff9,0x0002fffc,
    0x003ffff2,0x00000000,0x00000000,0xfff88000,0x00000004,0xfffff500,
    0xffffffff,0xffffffff,0xffffffff,0x01ffff05,0x800000f5,0xfff8fffe,
    0xeffa8005,0xffd3fffa,0x0000003f,0x000ffff4,0x3fffff62,0x3fa7ffdb,
    0x3fe2007f,0xfffb81ff,0xf9000004,0xe80005ff,0x6c404fff,0xffffffff,
    0x4cc4000d,0x54199801,0xfff302cc,0xfffff907,0xffffffff,0x09ffffff,
    0x417ffea0,0x000ffff8,0x0005fff9,0x404fffe8,0x4c401998,0x33310019,
    0x82666001,0x16654199,0x65440ccc,0x7c400abd,0x6e54c4ff,0x266200bc,
    0x99999999,0x09999999,0x007fff90,0x04fffb80,0x2e07fffc,0x2620007f,
    0x1fffd019,0x8001fff9,0xfffabffd,0x003fffd3,0x7ff40000,0x7fd4001f,
    0xfffb1eff,0x9003fff4,0x3ee0bfff,0x000004ff,0x0005fff9,0x206fffa8,
    0xfffffffa,0x001effff,0xf301fffa,0xfffd11ff,0xfff989ff,0xfffffc83,
    0xffffffff,0x3fffffff,0x05fffd00,0x4007fffb,0x0002fffc,0x2037ffd4,
    0x7e407ffe,0xffc801ff,0xfff9804f,0xd11fff33,0x229fffff,0xffd31fff,
    0x40bfffff,0xfd34fff8,0x3bffffff,0xffffff50,0xffffffff,0x3f20dfff,
    0x5c0003ff,0x7fc04fff,0x1fff60ff,0x07ffe800,0xff31fffd,0x7fc4005f,
    0xd3fffa8f,0x00003fff,0x0ffff400,0x13ffea00,0x7ff4fffb,0xffff1007,
    0x13ffee03,0x7fe40000,0x7c40002f,0xffc80fff,0xecaaceff,0xd002ffff,
    0xff980fff,0xfffffd9f,0x9fffcc3f,0x37fff919,0x33333333,0xfffffb53,
    0xdfff3003,0x006fff98,0x0017ffe4,0x03fffe20,0x5407ffe8,0xfe803fff,
    0xffb807ff,0xb3fff30f,0x27ffffff,0xff99fff8,0xffffffff,0xcfff881e,
    0xfffffffa,0x7d40ffff,0xffffffff,0xffffffff,0x07fff906,0x4fffb800,
    0x447fffc0,0x0001fffe,0x7f41fffa,0x0bfff0ff,0xfaaffdc0,0x3fffd3ff,
    0x74000000,0x54001fff,0x7ffd80cf,0x6401fffa,0x3ee05fff,0x000004ff,
    0x0005fff9,0x985fffd0,0x3203ffff,0xe800ffff,0x7fcc07ff,0xffffffcf,
    0x5fffcc0f,0x5fff92fa,0xffff7000,0x3fff600d,0x00bfff62,0x005fff90,
    0x05fffd00,0x7c03fff4,0x7fc405ff,0x7ec00fff,0x33ffe66f,0x0fffffff,
    0xfff9fff1,0xffffb99d,0xffff10df,0xd979dfff,0xe98bffff,0xeeeeeeee,
    0xffffcdee,0x07fff904,0x4fffb800,0x74ffffc0,0x40000eff,0xffd07ffe,
    0x03fff21f,0xfa9ffec0,0x3fffd3ff,0x74000000,0x44001fff,0xe9fff600,
    0xff8807ff,0x3fee01ff,0x9000004f,0x00005fff,0xfd87fff9,0xffa802ff,
    0x7ffe804f,0x7ffffcc0,0x984ca9cf,0x92ffefff,0x20005fff,0x800ffffa,
    0xff36fff8,0xff9000df,0xf900005f,0x7ff407ff,0x0fffd807,0x3ffffea0,
    0x8fffe203,0xcffffff9,0x3fe24ca9,0xf902efff,0xff883fff,0xf702efff,
    0x80005fff,0x3205fffd,0x9999cfff,0x99999999,0x4fffc999,0x7fffffc0,
    0xe80000df,0xfffd07ff,0x00bffe61,0x7d43ffe2,0x3fffd3ff,0x74000000,
    0x00001fff,0xffd3ffec,0xbfff700f,0xcefffb80,0xcccccccc,0x6404cccc,
    0x80002fff,0x3ea4fffc,0x3f6004ff,0x7ff400ff,0x7fffcc07,0xfff3000f,
    0x3ff23fff,0x3fe0002f,0xff7002ff,0x03fffd5f,0x05fff900,0x9fff9000,
    0x403fff40,0x3602fffa,0x205fffff,0x3e61fffa,0x4400ffff,0x400fffff,
    0x7c44fffd,0x6400ffff,0x20003fff,0x200efffc,0xfffffffc,0xffffffff,
    0xffffffff,0x7ffffc04,0x3a00004f,0xfffd07ff,0x402fffc1,0x3fea5ffb,
    0x03fffd3f,0x7f400000,0x400001ff,0x3ffa7ffd,0x2ffff807,0x7ffffdc0,
    0xffffffff,0xee87ffff,0xeeeffffe,0x805eeeee,0x3f64fffb,0x3ea000ff,
    0x7ff403ff,0x7fffcc07,0x3ffe6003,0x3fff20ef,0x3ff60002,0xfff1004f,
    0x400bffff,0xeffffeee,0x5eeeeeee,0x04fffb80,0x2201fffa,0x3fe04fff,
    0x3207ffdf,0x7ffcc6ff,0xfff8803f,0xfff9803f,0x1ffffc46,0x027ffc40,
    0x0ffffb80,0x7ffffe40,0xffffffff,0xffffffff,0x7ffc04ff,0x400003ff,
    0xffd07ffe,0x07ffe41f,0xfa8bffa0,0x3fffd3ff,0x74000000,0x00001fff,
    0xffd3ffec,0x6fffb80f,0xfffffb80,0xffffffff,0xff87ffff,0xffffffff,
    0x806fffff,0x3fa5fffb,0x7fc4007f,0x3fff404f,0x03fffe60,0x0dfff980,
    0x0017ffe4,0xc8bfff70,0xffeeeeee,0xeeefffff,0x7fc2eeee,0xffffffff,
    0x806fffff,0x3a05fffb,0xffd007ff,0x27ffe60d,0xfff01fff,0x0ffff989,
    0x07fff880,0x88dfff10,0x3e007fff,0xfa8005ff,0xfc801fff,0xffffffff,
    0xffffffff,0x04ffffff,0x00bfffe2,0x1fffa000,0xf307fff4,0x7fc405ff,
    0x4fffea0f,0x0001fffe,0x3fffa000,0x7ec00001,0x01fffa7f,0x7005ffff,
    0xffffffff,0xffffffff,0xfffff0ff,0xffffffff,0xff900dff,0x4f7ffc9f,
    0x99999999,0x05fff999,0x2603fff4,0x26007fff,0xfc83ffff,0x320002ff,
    0x7fec4fff,0xffffffff,0xffffffff,0x7fffc2ff,0xffffffff,0xfc806fff,
    0x3ffa04ff,0x1fff7007,0x3febff70,0x1fff983f,0x803fffcc,0x2006fff8,
    0x7fc46fff,0x3ffa006f,0x7ffcc007,0xfff9002f,0x9999999d,0x99999999,
    0x2209fffd,0x000ffffe,0x07ffe800,0xff81fffd,0x17fee05f,0x3fa7fff5,
    0x000001ff,0x007fffa0,0x4fffb000,0x3ee07ffe,0xff7006ff,0x2000009f,
    0x0002fffc,0xf14fffd8,0xffffffff,0xffffffff,0xffe80dff,0x37ffcc07,
    0xfffffa80,0x02fffc83,0x0bfff600,0xfffffffb,0xffffffff,0x405fffff,
    0x0002fffc,0x204fffd8,0xf3007ffe,0x7ffb05ff,0x3f217ff6,0x6fff987f,
    0x0bfff100,0x223fff40,0x36005fff,0x3e2007ff,0x32003fff,0x40003fff,
    0xf984fffb,0x000fffff,0x07ffe800,0xfc81fffd,0x5ffd00ff,0xfd3fffa8,
    0x000003ff,0x00ffff40,0x9fff6000,0x3fa07ffe,0xaaaaadff,0xfffdaaaa,
    0xf9000004,0xd00005ff,0x3fea7fff,0xffffffff,0xffffffff,0x3fff407f,
    0x017ffe60,0x1ffffffc,0x0017ffe4,0x41ffff98,0x99999998,0x999efff9,
    0x20099999,0x0002fffc,0x203fffe8,0x3a007ffe,0x1fff85ff,0xffd0fff7,
    0x0bfff309,0x013ffe20,0x7c47ffe8,0x3f6004ff,0xffd1007f,0xffc800bf,
    0x7dc0003f,0xffff84ff,0x00000fff,0xfd07ffe8,0xfff981ff,0xa87ff882,
    0xfffd3fff,0x40000003,0x0001fffe,0xfd3ffec0,0x3ffea0ff,0xffffffff,
    0x4fffffff,0xff900000,0xff00005f,0x3ffea5ff,0xeeeeeeee,0xeeeeeeee,
    0x1fffa00e,0x009fff30,0x0fffebfe,0x000bfff2,0x01bfffa2,0x002fffc0,
    0x00bfff20,0x0bfffe00,0x2007ffe8,0x7fcc7ffc,0x887ffe67,0xff982fff,
    0xfff1004f,0x3fff4009,0x8013ffe2,0xfb007ffd,0xf9000dff,0xb80007ff,
    0xcff84fff,0x0000ffff,0xd07ffe80,0xfff01fff,0x50bff70b,0x3ffa7fff,
    0x0000001f,0x0007fffa,0x74fffb00,0xfffd07ff,0xffffffff,0x9fffffff,
    0x3f200000,0x440002ff,0xff30ffff,0x8000009f,0x7cc07ffe,0x31b004ff,
    0xff907fff,0x3262005f,0x001fffff,0x000bfff0,0x002fffc8,0x07fffc40,
    0x400fffd0,0x3f21fff9,0x71fffc5f,0x3fe60fff,0xfff1004f,0x3fff4009,
    0x8013ffe2,0xfc807ffd,0xc8000eff,0x40003fff,0x3f84fffb,0x0001ffff,
    0x20fffd00,0xfc80fffe,0x82ffe87f,0xffd3fffa,0x0000003f,0x000ffff4,
    0xe9fff600,0xfffa87ff,0xffffffff,0xffffffff,0xf9000004,0xa80005ff,
    0x7ffc6fff,0x74000005,0x7fcc07ff,0x7fcc004f,0xefffc83f,0xeeeeeeee,
    0xffffffff,0xddddd904,0xdffffddd,0x5ddddddd,0x017ffe40,0x1bffea00,
    0x800fffd0,0x3ffa3fff,0xfb2ffec2,0x3ffe60bf,0x9fff1004,0x23fff400,
    0x2004fff8,0x7dc07ffd,0x90001fff,0x80007fff,0x2184fffb,0x0000ffff,
    0xd07ffe80,0xff301fff,0x83ffcc5f,0xffd3fffa,0x0000003f,0x000ffff4,
    0xe9fff600,0xfffe87ff,0x9999999b,0xfffc9999,0xf9000004,0xe80005ff,
    0x7ffc4fff,0x20008007,0x7cc07ffe,0x7cc004ff,0xfffc83ff,0xffffffff,
    0xffffffff,0x3ffff603,0xffffffff,0xffffffff,0x0bfff202,0x9fffd000,
    0x007ffe80,0xff8b7fec,0x8bffdc0f,0xff302fff,0x3fe2009f,0x3ffa004f,
    0x027ffc47,0x540fffb0,0x0001ffff,0x000ffff2,0x809fff70,0x0000ffff,
    0xd07ffe80,0x3fa01fff,0x413ff25f,0xffd3fffa,0x0000003f,0x000ffff4,
    0xe9fff600,0x7ffd47ff,0xfffb8007,0xf9000004,0x5c0005ff,0x7ec1ffff,
    0x3e6002ff,0x7ff405ef,0x27ffcc07,0x0fffe600,0x3ffffff2,0xffffffff,
    0x6c00cfff,0xffffffff,0xffffffff,0x3202ffff,0x20002fff,0x401ffffb,
    0x54007ffe,0x6ffa8fff,0xfa9fff98,0xfff300ff,0x3ffe2009,0x1fffa004,
    0x4009fff1,0xff307ffd,0xc80007ff,0x40003fff,0x7c04fffb,0x00000fff,
    0xfd07ffe8,0x3ff201ff,0x203ffd0f,0xffd3fffa,0x0000003f,0x000ffff4,
    0x01fff600,0x001fffec,0x0027ffdc,0x2fffc800,0xffff1000,0x0dfff50b,
    0x01fffec0,0xf301fffa,0xf98009ff,0xfffc83ff,0xeeeeeeee,0x0009abcd,
    0x33333331,0x333dfff3,0x40133333,0x0002fffc,0x00bffff1,0x8800fffd,
    0x4ffcafff,0xff97fff0,0x27ffcc0b,0x04fff880,0xf11fffa0,0x7ec009ff,
    0xffff987f,0xffc80004,0x7dc0003f,0x7ffc04ff,0xe800000f,0xfffd07ff,
    0x2bffe601,0x3ea07ff9,0x3fffd3ff,0x74000000,0x00001fff,0x4c03ffec,
    0x8000ffff,0x0004fffb,0x05fff900,0xffffd300,0x13fff601,0x03fffee0,
    0x980fffd0,0x4c004fff,0xffc83fff,0x0000002f,0x002fffc0,0x00bfff20,
    0x3ffffa60,0x07ffe800,0xfecffd80,0xfdff902f,0x7fcc07ff,0xfff1004f,
    0x3fff4009,0x8013ffe2,0x7f447ffd,0x900005ff,0x80007fff,0x7c04fffb,
    0x00000fff,0xfd07ffe8,0x7ff401ff,0x2a04ffcd,0xfffd3fff,0x40000003,
    0x0001fffe,0x403ffec0,0x0004fffd,0x0009fff7,0x0bfff200,0xffffc880,
    0x3ffe603f,0xffc981ef,0xffe803ff,0x27ffcc07,0x0fffe600,0x000bfff2,
    0xfff00000,0xffc8000b,0x3f22002f,0xd003ffff,0xf7000fff,0x201fffff,
    0x0ffffffa,0x013ffe60,0x0027ffc4,0xff88fffd,0x3ff6004f,0x02ffff47,
    0x7fff9000,0xfffb8000,0x07fffc04,0x7ff40000,0x01fffd07,0x7ff7ffe4,
    0x4fffea01,0x0001fffe,0x3fffa000,0x7ec00001,0x7ffcc07f,0xff70000f,
    0x999999df,0x99999999,0x3fff2059,0xcccccccd,0xffffffed,0xfffb804f,
    0xfffddfff,0xfd004fff,0xfff980ff,0x7ffcc004,0x02fffc83,0x7c000000,
    0x640005ff,0xccccdfff,0xfffedccc,0x2004ffff,0x88007ffe,0x206fffff,
    0x06fffff8,0x8027ffcc,0x2004fff8,0x7fc47ffe,0x3ff6004f,0x23bfff67,
    0x99999999,0xc8099999,0x40003fff,0x7c04fffb,0xcccccfff,0xcccccccc,
    0xfffd01cc,0x803fffa0,0x06fffff9,0xfe9fffd4,0xcccccdff,0xcccccccc,
    0x7ff4001c,0x6c00001f,0x7fec07ff,0x3ee0004f,0xffffffff,0xffffffff,
    0xfff904ff,0xffffffff,0xffffffff,0x7ff4c007,0xffffffff,0x3ffa004f,
    0x27ffcc07,0x0fffe600,0x000bfff2,0xfff00000,0xffc8000b,0xffffffff,
    0xffffffff,0x7ff4003f,0xfffd0007,0xfffe809f,0x7ffcc03f,0x9fff1004,
    0x23fff400,0x2004fff8,0xfff17ffd,0xffffffff,0xffffffff,0x07fff909,
    0x4fffb800,0x7fffffc0,0xffffffff,0xd02fffff,0x3ffa0fff,0x7fff400f,
    0x7ffd403f,0xffffffd3,0xffffffff,0x8005ffff,0x0001fffe,0x103ffec0,
    0x0001ffff,0x7fffffdc,0xffffffff,0x904fffff,0xffffffff,0xffffffff,
    0x75c0007d,0xcfffffff,0x3fff4000,0x013ffe60,0x907fff30,0x00005fff,
    0x5fff8000,0x7ffe4000,0xffffffff,0x03efffff,0x00fffd00,0x0bffff20,
    0x03ffff90,0x004fff98,0x4009fff1,0x7fc47ffe,0x3ff6004f,0xffffff17,
    0xffffffff,0x909fffff,0x80007fff,0x7c04fffb,0xffffffff,0xffffffff,
    0xfffd02ff,0x003fffa0,0x803ffff9,0xffd3fffa,0xffffffff,0xffffffff,
    0xfffe8005,0x7ec00001,0x3fff207f,0x7fdc0005,0xffffffff,0xffffffff,
    0xffff904f,0xffffffff,0x00005bdf,0x001aaa98,0x301fffa0,0x98009fff,
    0xffc83fff,0x0000002f,0x002fffc0,0x3fffff20,0xffffffff,0x740002de,
    0xf30007ff,0xfa801fff,0xff9806ff,0xfff1004f,0x3fff4009,0x8013ffe2,
    0xfff17ffd,0xffffffff,0xffffffff,0x07fff909,0x4fffb800,0x7fffffc0,
    0xffffffff,0xd02fffff,0x3ffa0fff,0x7ffcc00f,0x3fffa806,0xfffffffd,
    0xffffffff,0xe8005fff,0x00001fff,0x0003ffec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x2bceecba,0xdd700000,0x2aaaaa07,0xaaaaaaaa,
    0x02aaaaaa,0x3dddd300,0x3bbb6000,0xeeeeeeee,0xb800accd,0xeeeeeeee,
    0x1accdeee,0x3bbbae00,0xeeeeeeee,0xeeeeeeee,0x3bbbaa3e,0xeeeeeeee,
    0xeeeeeeee,0x225ddd31,0x00003eee,0x3bbbbba6,0xeeeeeeee,0x3eeeeeee,
    0x744fbba2,0x6c0003ee,0x3bbb66ee,0x3bb20000,0x3bbb23ee,0x77540003,
    0x05ddd72e,0x3eeea800,0x003dddd7,0x37bbae00,0xdddddd70,0x9bdddddd,
    0xeeb80179,0xeeeeeeee,0xaccceeee,0x9ddd7000,0xeed80000,0x3bbb620e,
    0x76c40003,0x7d4001ee,0xffffffff,0x2600002e,0xfff04fff,0xffffffff,
    0xffffffff,0x3ff6000f,0xfd0004ff,0xffffffff,0x9fffffff,0xfffffc80,
    0xffffffff,0xc801dfff,0xffffffff,0xffffffff,0x2e4fffff,0xffffffff,
    0xffffffff,0xff31ffff,0x13ffe27f,0xfffa8000,0xffffffff,0xffffffff,
    0x3ffe24ff,0x009fff14,0x3a7fff80,0xb0001fff,0xfd8bffff,0x20001fff,
    0xff93fffa,0xfb80007f,0xffff14ff,0xff30000d,0x7ffe47ff,0xffffffff,
    0x2dffffff,0xffffff90,0xffffffff,0x03bfffff,0x00ffffa8,0xdfff3000,
    0x05ffff70,0x27fff400,0xffffd100,0xffffffff,0xf880001b,0xfff04fff,
    0xffffffff,0xffffffff,0xfff1000f,0xd0001fff,0xffffffff,0xffffffff,
    0x3ff201bf,0xffffffff,0xffffffff,0x3fff201e,0xffffffff,0xffffffff,
    0x3ffee4ff,0xffffffff,0xffffffff,0x27fff31f,0x0004fff8,0x3ffffea0,
    0xffffffff,0xffffffff,0x453ffe24,0x40004fff,0x3ffa7fff,0xffd8001f,
    0xfffd84ff,0x3ea0006f,0x7fff93ff,0xfffb8000,0x0ffffea4,0xbfffd000,
    0xffffffc8,0xffffffff,0xc85fffff,0xffffffff,0xffffffff,0x402fffff,
    0x0002ffff,0x207fff90,0x000ffffd,0x006fffc8,0x5effffec,0xffffdbaa,
    0x7fec0004,0xffff04ff,0xffffffff,0xdfffffff,0xfdff7000,0xfd0007ff,
    0xddddddff,0xfffffffd,0xfff901df,0xfddddddd,0xffffffff,0x3fff207f,
    0xeeeeeeee,0xeeeeeeee,0x3ffee3ee,0xeeeeeeef,0xeeeeeeee,0x27fff31e,
    0x0004fff8,0x3bbbba60,0xeeeeeeee,0xffffeeee,0x453ffe24,0x40004fff,
    0x3ffa7fff,0x7fec001f,0xfffb04ff,0x2a0009ff,0xfff93fff,0xffb80007,
    0x7fffec4f,0xfff70001,0xefffc81f,0xeeeeeeee,0xffffffff,0x66fffe44,
    0xcccccccc,0xffffffec,0x3fff201f,0xff880005,0xfff100ff,0xffa800bf,
    0x3ee000ff,0x3ea01eff,0x50002fff,0x209fffff,0x99999999,0xfa999999,
    0xe8001fff,0x06ffecff,0x01fffe80,0xbffff930,0x005fff90,0x3ffff6a2,
    0x3fffc82f,0xffb80000,0x2600004f,0xfff13fff,0x00000009,0x1ffffd80,
    0x7c4b3322,0x7c0004ff,0x3fffa7ff,0x3fff6001,0x3fff604f,0xa8001fff,
    0xfff93fff,0xffb80007,0x7fffc44f,0xfff98006,0x2fffc82f,0x7fffdc00,
    0x0ffff23f,0x3fff6200,0x3ffe206f,0x7d40000f,0x7fd404ff,0xff1002ff,
    0x7c4005ff,0xfa800fff,0xf88007ff,0x004fffff,0x17fff400,0x4fffcc00,
    0x4001fffb,0x4001fffe,0x640ffffa,0xa8002fff,0x640fffff,0x00003fff,
    0x004fffb8,0x4fffe600,0x0004fff8,0x3f200000,0xf1002fff,0xf80009ff,
    0x3fffa7ff,0xffffb001,0xffffd809,0xfa8006ff,0x7fff93ff,0xfffb8000,
    0x3ffffa84,0x2ffff400,0x002fffc8,0x27fffe98,0x0003fffc,0x803fffee,
    0x0003fffd,0x400fffec,0x800ffffd,0x4004fffe,0x2003fffa,0x4000fffd,
    0x4fffeffd,0x3ff20000,0xff90004f,0x013ffe2f,0x003fffd0,0xc85fffb0,
    0x30002fff,0xfc89ffff,0x800003ff,0x0004fffb,0x44fffe60,0x00004fff,
    0xfff70000,0x7fc4007f,0x7fc0004f,0x07fffa7f,0x0fffff60,0x3fffff60,
    0x7d4004ff,0x7fff93ff,0xfffb8000,0x1ffffb04,0x3fffee00,0x05fff900,
    0x3fffe600,0x007fff91,0x02fffd80,0x001bffea,0x006fff88,0x80dfffd1,
    0x8006fffc,0x2001fffc,0x2002fffb,0xfff9fffb,0xff500004,0x7fc000df,
    0x03fffa5f,0x01fffe80,0x45fffa80,0x0002fffc,0xc83fffee,0x00003fff,
    0x004fffb8,0x4fffe600,0x0004fff8,0xffa80000,0x7c4005ff,0x7c0004ff,
    0x3fffa7ff,0x7fffec01,0x7fffb003,0x4003ffff,0xff93fffa,0xfb80007f,
    0xfff104ff,0xfff100bf,0x7ffe405f,0x3ffe0002,0x07fff92f,0x4fffb800,
    0x007fffc0,0x03fffb80,0x0ffffe60,0x007fffd4,0x003fff40,0x400fffea,
    0xff8afff9,0xf880004f,0x50001fff,0x7fdc7fff,0x3ffa003f,0xff98001f,
    0x17ffe45f,0x3fffa000,0x00ffff24,0x3ffee000,0x3e600004,0x9fff13ff,
    0x03333100,0x7ffcc000,0x266600ef,0x989fff10,0x3e01bdca,0x3fffa7ff,
    0x3ffff601,0x3fff6003,0x00efffd8,0x327fff50,0x40003fff,0x2a04fffb,
    0x7403ffff,0x7e404fff,0x320002ff,0xfff94fff,0xff980007,0x7ffe406f,
    0xfffd0003,0xfffc8001,0x7fffc41f,0x0a660002,0x05fff700,0x7c53ffa0,
    0xc80004ff,0x20004fff,0x3e20fffd,0x3fa006ff,0xfa8001ff,0x7ffe43ff,
    0x7fdc0002,0x0ffff26f,0x3fee0000,0x2600004f,0xfff13fff,0xffff9809,
    0xfd100004,0x7c401fff,0x9fff14ff,0x3fffffa6,0x7fff85ff,0x6c07fffa,
    0x4002ffff,0xff88fffd,0xff5004ff,0x0ffff27f,0x9fff7000,0x0ffffd80,
    0x00dfff70,0x0005fff9,0xfcafffdc,0x5c0003ff,0x7cc06fff,0xf98006ff,
    0xfd0005ff,0xfffe8dff,0x00000004,0x9003fffb,0x3fe21dff,0x7cc0004f,
    0x10000eff,0xffb0bfff,0x3ffa003f,0xffc8001f,0x17ffe40f,0x3ffe2000,
    0x07fff90f,0xfff70000,0x7cc00009,0x9fff13ff,0x27fffcc0,0xfffb0000,
    0xfff8805f,0xf59fff14,0xffffffff,0x27fff8bf,0xfd81fffe,0xd8002fff,
    0xfff50fff,0xfff5003f,0x00ffff27,0x09fff700,0x85ffff88,0x801ffff8,
    0x0002fffc,0x7e4ffff2,0x6c0003ff,0xfe804fff,0x7e4001ff,0xf10002ff,
    0x3fee9fff,0x0000006f,0x00ffff10,0x7c43fff5,0x740004ff,0x20002fff,
    0xfa82fffb,0xffd005ff,0xffa8003f,0x2fffc86f,0xfffe8000,0x007fff92,
    0x9fff7000,0x7fcc0000,0x09fff13f,0x013fffe6,0xffffb800,0x4fff8803,
    0xfffffff1,0xfffd97bf,0xd3fffcbf,0xffd83fff,0xfb0002ff,0x7ffec1ff,
    0x7ffd400e,0x007fff93,0x04fffb80,0x42ffffa8,0x9004fffd,0x40005fff,
    0xff92fffe,0x7cc0007f,0xfb803fff,0x7fc004ff,0x7dc0006f,0xffffbfff,
    0x00000001,0x8809fffb,0x7fc44fff,0x3ea0004f,0x740006ff,0x3ffe07ff,
    0xfffe800f,0xfffb1001,0x5fff901d,0xfffb0000,0x00ffff27,0x3ffee000,
    0x3e600004,0x9fff13ff,0x09ffff30,0x7ffd4000,0xfff1005f,0x3ffffe29,
    0xffff702f,0xfe9fffe5,0x3fff61ff,0x3f60002f,0x3ffe20ff,0x7ffd404f,
    0x339fff93,0x33333333,0xff933333,0x3ff6009f,0x1bffea6f,0x02fffc80,
    0x3ffff500,0x000ffff2,0x037fffdc,0x007fff88,0x000fffea,0x3fffff60,
    0x000003ff,0x1ffff500,0x886ffd80,0x20004fff,0x0003fffd,0xc813ffe6,
    0xfe803fff,0xeeeeeeff,0xfffffeee,0x5fff900d,0xfff90000,0x3bbfff29,
    0xeeeeeeee,0x2eeeeeee,0x6677ffdc,0xcccccccc,0xff984ccc,0x89fff13f,
    0x003ffff9,0x3fffe200,0x3ffe2006,0x5fffff14,0xf4fffc80,0x7fff4fff,
    0xbfffffb1,0x7ffec000,0x17fffd40,0x327fff50,0xffffffff,0xffffffff,
    0x4fffffff,0x7ffff100,0x8007fffa,0x8002fffc,0x325ffffa,0x9999bfff,
    0xcba99999,0x01fffffe,0x00bfff60,0x0007ffec,0x7ffffc40,0x0000005f,
    0x05ffff50,0x881fffb8,0x10004fff,0x8000ffff,0x2601fffc,0xfe806fff,
    0xffffffff,0xefffffff,0x0bfff200,0x3ffee000,0xffffff94,0xffffffff,
    0x87ffffff,0xfffffffb,0xffffffff,0xfff987ff,0x449fff13,0x0003ffff,
    0x3ffffa20,0x3ffe2000,0x07ffff14,0x3edfff10,0x3fffa7ff,0xffffffd9,
    0xffb0002f,0xdfffb01f,0x4fffea01,0xfffffffc,0xffffffff,0xffffffff,
    0x3ffea004,0x003fffdf,0x4cdfffe4,0xa9999999,0x0fffffeb,0x3ffffff2,
    0xffffffff,0x2fffffff,0x27ffcc00,0x02fffc40,0xffff3000,0x0000001f,
    0x0bffff30,0x103fff88,0x20009fff,0x0004fffc,0x201bffe2,0x7402fffe,
    0xffffffff,0xffffffff,0xfff903ff,0xff700005,0x3ffff2bf,0xffffffff,
    0xffffffff,0x7ffffdc3,0xffffffff,0xf987ffff,0x9fff13ff,0x00ffffe2,
    0xffffb000,0xfff88003,0x01ffff14,0x7fdbffe0,0x3bfffa7f,0xfffdffff,
    0xffd8000f,0xffff880f,0x27fff504,0xfffffffc,0xffffffff,0xffffffff,
    0x7ffec004,0xc8005fff,0xffffffff,0xffffffff,0x7e43ffff,0xffffffff,
    0xffffffff,0xd0000dff,0xff700fff,0x4c00005f,0x001fffff,0x7fcc0000,
    0xffe805ff,0x13ffe205,0x0ffffc00,0x7fff7000,0x0bfff700,0xeeefffe8,
    0xffeeeeee,0x40dfffff,0x0002fffc,0xf94fffc8,0xffffffff,0xffffffff,
    0xffb87fff,0xffffffff,0x7fffffff,0xf13fff98,0xfffd19ff,0xfb800007,
    0x88003fff,0xfff14fff,0xbfff400f,0x3ffa7fff,0xe89fffff,0xd8006fff,
    0xff500fff,0xfff505ff,0x33bfff27,0xcccccccc,0xfecccccc,0x7c4004ff,
    0x000fffff,0xffffffc8,0xffffffff,0xc81effff,0xffffffff,0xffffffff,
    0x5c0000bd,0x7f402fff,0x2200007f,0x0effffff,0xf5000000,0xb801dfff,
    0x3e200fff,0xfa8004ff,0x740005ff,0xf8800fff,0x3fa00fff,0x366001ff,
    0x7e46ffff,0xd80002ff,0xfff93fff,0xf7000007,0x400009ff,0xff13fff9,
    0x3ffffdbf,0x7fd40000,0xf10005ff,0x3ffe29ff,0x5fff6006,0x3ffa7fff,
    0x3e61ffff,0x6c004fff,0x3f600fff,0x7fd40eff,0x07fff93f,0x4fffb800,
    0xffffa800,0xfff90003,0xffffffff,0x05dfffff,0x5567ffe4,0xfffbaaaa,
    0x100001ef,0x7cc0bfff,0x200004ff,0xfffffffd,0xb8000005,0x400dffff,
    0x4403fff9,0xd8004fff,0x20002fff,0xcccffff9,0xfccccccc,0x3fa03fff,
    0xfb8001ff,0x3ff22fff,0xfe80002f,0x7fff92ff,0xff700000,0x4c00009f,
    0xfff13fff,0x0dffffff,0x3ffe2000,0x3e20006f,0x9fff14ff,0xfbffec00,
    0x3fffa7ff,0xfffc80ff,0x3ff6002f,0x3ffe200f,0x9fffd44f,0x0003fffc,
    0x0027ffdc,0x0007fff8,0x2ab3fff2,0x9aaaaaaa,0x7fff9000,0x9ffff700,
    0x3ff60000,0x1fff900f,0x3fee0000,0x2ffffaef,0x3f200000,0xe8805fff,
    0xff8805ff,0x7fc4004f,0x7e40007f,0xffffffff,0xffffffff,0x3fffa06f,
    0xfff90001,0x017ffe4d,0x8ffffc00,0x0003fffc,0x04fffb80,0x3ffe6000,
    0xffffff13,0x0009fffd,0x01ffffd0,0xa7ffc400,0x2004fff8,0xffff7ffd,
    0x0077fff4,0x001ffffd,0x5003fff6,0x7d45ffff,0x7fff93ff,0xfffb8000,
    0xffff0004,0x7ffe4000,0xfc800002,0xff7003ff,0x500007ff,0x3fe07fff,
    0xf300005f,0x3ff63fff,0x400000ff,0x04ffffd8,0xdddfff70,0xfddddddd,
    0x09dddfff,0x003fffb8,0x7fffffc0,0xffffffff,0x02ffffff,0x0003fffd,
    0x643fffea,0x40002fff,0xf90ffff8,0x000007ff,0x0009fff7,0x89fffcc0,
    0xf8afffff,0x20001fff,0x001ffffd,0x8a7ffc40,0x36004fff,0x4ffff7ff,
    0x4c01fffe,0xb005ffff,0xfb001fff,0x3fea1fff,0x07fff93f,0x4fffb800,
    0x0ffff000,0x17ffe400,0x7fe40000,0x3ff2003f,0xf80002ff,0xfffa86ff,
    0xfe880002,0x3ffe24ff,0x2200006f,0x003ffffe,0x3fffffee,0xffffffff,
    0x06ffffff,0x0007fff4,0x99dfff50,0x99999999,0x0bfffb99,0x0007fffa,
    0xf91ffff8,0xa80005ff,0x3ff27fff,0xb800003f,0x00004fff,0x7c4fffe6,
    0x3fee2fff,0xff70006f,0x100007ff,0x3fe29fff,0x3ff6004f,0x7f4ffff7,
    0xffb801ff,0xffd803ff,0xfff8800f,0x27fff54f,0x0003fffc,0x0027ffdc,
    0x0007fff8,0x000bfff2,0x0ffff200,0x3ffffb00,0xfffc8000,0x003ffec0,
    0x86fffd80,0x004ffffa,0xffffe880,0x7ffdc002,0xffffffff,0xffffffff,
    0x3ffe606f,0x7fec0005,0xff88002f,0xfffe80ff,0x3ffe0001,0x05fff91f,
    0x3fffe800,0x000ffff2,0x13ffee00,0xfff98000,0xd09fff13,0x98009fff,
    0x0004ffff,0x229fff10,0x36004fff,0x4ffff7ff,0xb001fffe,0xd803ffff,
    0xf5000fff,0xfff55fff,0x00ffff27,0x09fff700,0x01fffe00,0x02fffc80,
    0xfffc8000,0x7ffc4003,0x260000ef,0x3fe23fff,0xfb80004f,0xff901fff,
    0x440003ff,0x001efffe,0xcccccc98,0xfccccccc,0x03ccceff,0x000fffee,
    0x007fff88,0x213fffa0,0x0001fffe,0x7e4ffff1,0x2e0002ff,0x3f20ffff,
    0x800003ff,0x0004fffb,0x44fffe60,0xff984fff,0xff1001ff,0x40000dff,
    0xff14fff8,0x7fec009f,0x7f4ffff7,0xff1001ff,0x7ec01fff,0x3f6000ff,
    0x3fffbfff,0x0007fff9,0x004fffb8,0x000ffff0,0x0017ffe4,0x1fffe400,
    0x7fffdc00,0x7ff40005,0x007ffee6,0x7ffff300,0x0efffe80,0xdfffd000,
    0x40000001,0x2004fff8,0x0002fffd,0x0013ffee,0xe87fffa8,0x70001fff,
    0x7fe4dfff,0xff10002f,0xfffc89ff,0xfb800003,0x200004ff,0xff13fff9,
    0x3ffee09f,0xffffd006,0x7c400001,0x9fff14ff,0xfbffec00,0x3fffa7ff,
    0x3ffea001,0x3fff605f,0x3ffe2000,0xf93fffff,0xb80007ff,0xf0004fff,
    0x64000fff,0x00002fff,0x003fffc8,0x05ffffb0,0x8fffdc00,0x40006ffd,
    0x805fffe8,0x005ffff9,0x00efffb8,0x7c400000,0x3fe004ff,0x3a0000ff,
    0x20001fff,0x742ffff8,0x98001fff,0x3f24ffff,0xe98002ff,0x7e40ffff,
    0x800003ff,0x0004fffb,0x44fffe60,0x3fa04fff,0x7fec04ff,0x400001ff,
    0xff14fff8,0x7fec009f,0x7f4ffff7,0x7e4001ff,0xffb03fff,0xffa8001f,
    0xf93fffff,0xb80007ff,0xf0004fff,0x64000fff,0x00002fff,0x003fffc8,
    0x0dffff10,0x5fffc400,0x0003fff8,0x007fffec,0x02ffffb8,0x07fffe20,
    0x22000000,0xf1004fff,0x4c000fff,0x80006fff,0x7f45fffc,0x2e2001ff,
    0x320fffff,0x22002fff,0x83fffffc,0x0003fffc,0x04fffb80,0x3ffe6000,
    0x409fff13,0x701ffff9,0x0003ffff,0x29fff100,0x2004fff8,0xffff7ffd,
    0x000ffff4,0x07ffffa2,0x0003fff6,0x3ffffff6,0x007fff93,0x04fffb80,
    0x00ffff00,0x017ffe40,0x7ffe4000,0x3fee0003,0x320004ff,0x0fffaeff,
    0x3ffea000,0x7ff4002f,0xffb000ff,0x999999df,0x99999999,0x7fc40005,
    0xfff5004f,0x7fe4000d,0xf980003f,0x3ffa0fff,0xccccccdf,0xffffedcc,
    0x7ffe42ff,0xcccccccd,0xffffffed,0xbfff903f,0x99999999,0x99999999,
    0x3ffee399,0x3e600004,0x9fff13ff,0x0efffc80,0x677fffc4,0xcccccccc,
    0xcccccccc,0x9fff10cc,0x8013ffe2,0xffff7ffd,0x000ffff4,0x437fffcc,
    0x8000fffd,0x3ffffff8,0x0007fff9,0x004fffb8,0x000ffff0,0x0017ffe4,
    0x1fffe400,0x3fffa000,0xff30001f,0x0009ffdf,0x027fffc4,0x37fffc40,
    0x7ffffcc0,0xffffffff,0x04ffffff,0x13ffe200,0x027ffd40,0x01ffff00,
    0x3fffa000,0x3fffffa4,0xffffffff,0x84ffffff,0xfffffffc,0xffffffff,
    0x3203ffff,0xffffffff,0xffffffff,0x72ffffff,0x00009fff,0xf89fffcc,
    0x7f4404ff,0x7ffc44ff,0xffffffff,0xffffffff,0xf10fffff,0x3ffe29ff,
    0x5fff6004,0x3ffa7fff,0xff90001f,0xfffd89ff,0xfff70000,0x3fff27ff,
    0x7fdc0003,0xfff0004f,0x7fe4000f,0xc800002f,0x40003fff,0x006ffff9,
    0x3fffffa0,0x3ffa0001,0x3ea0006f,0x7dc03fff,0xffffffff,0xffffffff,
    0x220004ff,0xf7004fff,0x2a0007ff,0x00006fff,0xfe9fffee,0xffffffff,
    0xffffffff,0xffff901d,0xffffffff,0x019fffff,0xffffffc8,0xffffffff,
    0xffffffff,0x009fff72,0x9fffcc00,0xa804fff8,0x3e21ffff,0xffffffff,
    0xffffffff,0x0fffffff,0x3e29fff1,0x3f6004ff,0x74ffff7f,0x20001fff,
    0x362ffffe,0x20000fff,0xf93ffffd,0xb80007ff,0xf0004fff,0x64000fff,
    0x00002fff,0x003fffc8,0x3ffffc80,0xffff7000,0x7fe4000d,0x6c0001ff,
    0x3201ffff,0xffffffff,0xffffffff,0x20004fff,0x9004fff8,0x20003fff,
    0x0003fffd,0x4bfffe20,0xfffffffe,0xcdefffff,0x7ffe401c,0xffffffff,
    0x2002ccee,0xfffffffc,0xffffffff,0x2fffffff,0x0009fff7,0x89fffcc0,
    0xfb004fff,0x3fe21dff,0xffffffff,0xffffffff,0x10ffffff,0x3fe29fff,
    0x3ff6004f,0x7f4ffff7,0x220001ff,0xfb0fffff,0x440001ff,0xff93ffff,
    0xfb80007f,0xff0004ff,0x7e4000ff,0x800002ff,0x0003fffc,0x01ffffd0,
    0x7ffff100,0x3ffea000,0xf880003f,0x0000efff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74c00000,0xe88004ee,0x88005eee,0x3aa05eee,0xeeeeeeee,
    0xea803eee,0xeeeeeeee,0x5c003eee,0x26006eee,0x3ba60199,0xeeeeeeee,
    0xdd9004ee,0xdddddddd,0x3baa05dd,0xeeeeeeee,0x999973ee,0x99999999,
    0x99999999,0x1f76c009,0x14000000,0x30004ccc,0x4ccc4133,0xedcb8800,
    0x2e6001cc,0x40001bcd,0x0abcdca9,0x6e5cc000,0x20000acd,0x0abcdca9,
    0x017bba20,0x2f372ea6,0x2a20000a,0x000abddb,0x3772a620,0x654c02cc,
    0x33002bcd,0x4ccc0013,0x3772a200,0x999801ac,0x00ffff11,0x1fffff50,
    0x5fffa800,0x3ffffee0,0x4fffffff,0xfffffb80,0x4fffffff,0x3fffe400,
    0x0ffff880,0xffffff30,0x0dffffff,0x3fffff60,0x2fffffff,0xffffff70,
    0x29ffffff,0x04800004,0x0013ffe0,0x3376ea20,0x986fdc1a,0x3e003fff,
    0x3fff26ff,0x3fff6603,0x02efffff,0xffffffb3,0xe98007ff,0xffffffff,
    0x7f54000d,0xcfffffff,0x3ffa6000,0x0dffffff,0x206fff98,0xfffffffb,
    0x2000dfff,0xffffffd8,0x22000dff,0xfffffffd,0x7fd43fff,0x3fffffff,
    0x00fffe60,0xd986fff8,0xffffffff,0xffff103f,0x007fffa1,0x7fffffb0,
    0x3fffc800,0x3ffffee0,0x4fffffff,0xfffffb80,0x4fffffff,0x3fffe400,
    0x0ffff880,0xffffff30,0x0dffffff,0x3fffff60,0x2fffffff,0xffffff70,
    0x29ffffff,0x04800004,0x0013ffe0,0xfffffc88,0xff9adfff,0x00fffe66,
    0x3f26fff8,0xfff703ff,0xffffffff,0xffffa85f,0xdfffffff,0x7ffe4400,
    0xffffffff,0xfff9002f,0xffffffff,0xffc8801f,0xffffffff,0x7ffcc2ff,
    0xffffe886,0xffffffff,0xfffa802f,0xffffffff,0xffe9801e,0xffffffff,
    0xffff94ff,0xbfffffff,0x00fffe60,0x7cc6fff8,0xffffffff,0x7c40dfff,
    0xfff90fff,0xffff8007,0x7f4005ff,0x266200ff,0x99999999,0x99880099,
    0x99999999,0x7e400099,0xff1007ff,0x4ccc01ff,0x99999999,0x33310009,
    0x33333333,0x26662013,0x99999999,0x00000909,0x27ffc009,0xffffa800,
    0xffffffff,0x3fe60fff,0x3ffe003f,0x20ffff26,0xbefffffc,0x3ffffeca,
    0x59dffff5,0x3ffffd95,0x77fffe40,0xfffedbac,0x7ffec03f,0xffebacef,
    0x3f200eff,0xdbacefff,0x264ffffe,0x7fcc6fff,0xcaabcfff,0x406ffffe,
    0xaceffffc,0x2ffffeca,0x3bfffea0,0xffecaabc,0xdfffffff,0xffffcbab,
    0x03fff985,0xe89bffe0,0xcaabefff,0x446ffffe,0xff50ffff,0x7fcc009f,
    0x2007ffdf,0x0006fff8,0x00000000,0x1ffff200,0x07fffc40,0x00000000,
    0x90000000,0x00900000,0x40027ffc,0xbdeffffb,0xfffffeca,0x01fffcc2,
    0x7e4dfff0,0x7ffcc3ff,0xfff700cf,0x07ffffbf,0xa82fffe4,0x3603ffff,
    0xf500ffff,0x3a607fff,0xff505fff,0x7fe407ff,0xbfb911ff,0x404fffc8,
    0x302ffffa,0x6407ffff,0xfd00ffff,0xffc807ff,0x100effff,0xf987fffb,
    0x3fe003ff,0x13ffee6f,0x21ffff98,0xf10ffff8,0x7dc00dff,0x01fffaef,
    0x009fff30,0x00000000,0x00000000,0x00000000,0x00000000,0x09000009,
    0x0027ffc0,0x037fffe2,0x21ffffdc,0x2003fff9,0x36626fff,0x37fff42f,
    0x7ffffd40,0xffc802ff,0x7fffc41f,0x5fffb801,0x02ffff88,0x207fffcc,
    0x801ffff8,0x7d46fffb,0x017ffe25,0xd82fffdc,0xfa802fff,0xfff984ff,
    0xffffd003,0x3fffa00d,0x00fffe60,0x3f66fff8,0xfffb807f,0x3fffa004,
    0x19ffd000,0x2e009fff,0x26002fff,0x00abcdca,0x40013330,0x00000999,
    0x75300000,0x001579b9,0x5eedd440,0x3310000a,0x00002403,0x9fff0024,
    0x3fffd800,0x7ffffd40,0x00fffe60,0xfd86fff8,0x03fffe61,0x7ffffec0,
    0x1bffa004,0x4009fff9,0x7d42fffe,0xffb005ff,0x4fffc87f,0x8bfffa00,
    0x3ffee3fc,0xdfff1001,0x009fff50,0x3207ffec,0xf9000fff,0x26003fff,
    0x3fe63fff,0x3ffe003f,0x4017ffe6,0x32003cee,0xf8802fff,0x0dffb2ff,
    0x003fff60,0x3fffffa6,0x2600dfff,0x3e003fff,0x266626ff,0x99999999,
    0x00999999,0x3fffee00,0x0dffffff,0x3fff6200,0x00dfffff,0x903fff40,
    0x00900000,0x50027ffc,0xf880dfff,0x264fffff,0x3e003fff,0x20fe86ff,
    0x2002fffc,0x00fffff8,0xe87ffee0,0x2a000fff,0x7fec4fff,0x79b1001f,
    0x00fffe83,0x453ffea0,0x0ea620ff,0xb0dfff00,0x54001fff,0x5d443fff,
    0x3ffee003,0x27ff4005,0x4007fff3,0x3ffa6fff,0x2000001f,0xa804fff9,
    0xfff70fff,0x0dfff001,0xfffffc88,0x2fffffff,0x007fff30,0xff537ffc,
    0xffffffff,0xdfffffff,0xfffd1000,0xffffffff,0xff5005ff,0xffffffff,
    0x7f4003df,0x0001207f,0x55554520,0xdfffaaaa,0x2aaaaaaa,0xd00bfff2,
    0x4ffff3ff,0x2003fff9,0x2fcc6fff,0x0007fffa,0x800ffffb,0x3fe2fff9,
    0xfff8005f,0x003fffc6,0x00bfff00,0xff3ffff0,0x7fc00005,0x07ffe86f,
    0x027ffc40,0x4fffa800,0x337fec00,0x7c007fff,0x3ffee6ff,0x000000bf,
    0xf900dfff,0x17ffccdf,0x00fffe60,0x59dffff9,0x7ffffdb7,0x007fff30,
    0xff537ffc,0xffffffff,0xdfffffff,0xffff9800,0xfecaabcf,0x7e406fff,
    0xcaacefff,0x002ffffe,0x0240fffd,0xffaa4000,0xffffffff,0xffffffff,
    0x01fff67f,0x3ff67ff9,0x07fff30f,0xf337ffc0,0x07fff81d,0x9dfffc80,
    0x99999999,0x13fff999,0xd0009fff,0x7ffc4fff,0xff100006,0xffd0009f,
    0x40005fff,0xffffdba9,0x99efff86,0x99999999,0x005fff99,0xfffd9730,
    0x3333337f,0xff933333,0x01fffccf,0x7ccdfff0,0x2cefffff,0x3ff60000,
    0x43fff807,0x7dc04fff,0x3fea01ff,0x3ff603ff,0x7ffcc0ff,0x9bffe003,
    0xeeeeeee9,0xffcdeeee,0x7e4004ff,0x7fd404ff,0xfff302ff,0x7ffe407f,
    0x7ffe800f,0x20000120,0xffffff54,0xffffffff,0x74ffffff,0x3fea06ff,
    0x4c7ffee5,0x3e003fff,0x0ffc9eff,0x0037ffc4,0x7fffffdc,0xffffffff,
    0xf54fffff,0xfb0007ff,0x3ffe21ff,0xff500005,0xffb0007f,0x2a2001bf,
    0xfffffedb,0x7c46ffff,0xffffffff,0xffffffff,0xdba806ff,0xfffffffe,
    0xffffffff,0xffffffff,0x7fff31ff,0x237ffc00,0xfffffff9,0x0000bdff,
    0x9807ffee,0x7fec1fff,0x03ffec07,0x003ffff1,0xf98bfff7,0x3fe003ff,
    0x7ec0006f,0x7c4005ff,0xff7005ff,0x3fff60bf,0x4fffa802,0x207ffe80,
    0x54800004,0xffffffff,0xffffffff,0x7ffcffff,0x41dff305,0xff32fffa,
    0x7ffc007f,0xf980cfff,0xfa8005ff,0xffffffff,0xffffffff,0x5fff75ff,
    0x3fff9000,0x0013ffe6,0x017ffdc0,0x00fffe40,0x7ffffe44,0xffffffff,
    0x7fffd46f,0xffffffff,0x7fffffff,0xfffffb10,0xffffffff,0xffffffff,
    0xffffffff,0x0fffe65f,0x986fff80,0xfffffffe,0x30004fff,0x7dc07fff,
    0x1fffa87f,0xc817ffe0,0x3a004fff,0x3fe62fff,0x3ffe003f,0x3ff20006,
    0x7dc000ef,0xff1001ff,0x9fff50df,0x07ffec00,0x481fffa0,0x00480000,
    0x4c013ffe,0xfe884fff,0x9fffd41f,0x2003fff9,0x4c02ffff,0xa8004fff,
    0xeeeeefff,0xeeeeeeee,0xfff75eee,0xfff90005,0x013ffe63,0x17ffdc00,
    0x0fffe400,0x3ffffe60,0xf1cdffff,0xfffa8dff,0xeeeeeeee,0xeeeeeeee,
    0x7fff440e,0x8bdeffff,0xeeeefffa,0xeeeeeeee,0xff32eeee,0x7ffc007f,
    0x3ffb2606,0x0effffff,0x05fff800,0x3e217ff6,0xfff303ff,0x07fff407,
    0x49fff500,0x2003fff9,0x70006fff,0x0001ffff,0xf8007531,0xfffd86ff,
    0x3ffea000,0x03fff403,0x09000009,0x8027ffc0,0xfd84fff9,0x3fffa82f,
    0x4007fff3,0xf8806fff,0xfb8005ff,0x500004ff,0xb0007fff,0x3fe21fff,
    0xf500005f,0xfb0007ff,0x7fc401ff,0x00acdfff,0xff98dfff,0x4c00004f,
    0x1bcfffff,0x005fff50,0x0fffe600,0x006fff80,0xfffffb71,0xffb000ff,
    0x817ffc0f,0xff705ffe,0x2fffc01f,0x337ffc00,0x7c007fff,0xfa8006ff,
    0x00001fff,0x86fff800,0x44007ffe,0x7f404fff,0x0001207f,0xfff80120,
    0xbfff1004,0xf704ffb8,0x3ffe65ff,0xdfff1003,0x01bffe00,0x017fff20,
    0x27ffcc00,0x23fff400,0x04006fff,0x004fff98,0x6c07ffe8,0x8800efff,
    0xfff86fff,0x7ec00005,0xfb800dff,0x300003ff,0x22007fff,0x30006fff,
    0x003ffffb,0xa81fffb8,0xff900fff,0x0dffb01f,0x0027ffc4,0xff33fff4,
    0x7ffc007f,0x7ffcc006,0x8000002f,0xffffdba9,0x99efff86,0x99999999,
    0x405fff99,0x01207ffe,0xf8012000,0x3fa004ff,0x81bfe66f,0xff30fffc,
    0x3fe6009f,0xfffb006f,0xfffe8001,0xff018007,0xff8800bf,0x03fff47f,
    0xff17bfa0,0xff8800df,0x7fffc06f,0xdfff3000,0x000ffff0,0x3fffe201,
    0x9fff7000,0xf9818800,0xff3004ff,0x6c0010df,0x44004fff,0xffc82fff,
    0x0bffea06,0xfa813ffe,0xfd8003ff,0x7fff30ff,0x037ffc00,0x07ffff10,
    0xdba88000,0xfffffffe,0x7ffc46ff,0xffffffff,0xffffffff,0x03fff406,
    0x09000009,0x0027ffc0,0xff11fffb,0x3ffec01f,0x200bfff1,0x9006fffb,
    0x54007fff,0x002fffff,0xfe8bbfee,0x3ee001ff,0x7ffec4ff,0xbfff1002,
    0x001fffe8,0x980ffff2,0x2e005fff,0xffd86fff,0x3fe6002f,0x13ffea5e,
    0x06fffe80,0x43fffe20,0x7005fff8,0x3faadfff,0xfff3001f,0x9ffd000b,
    0xf809ffd0,0x7ffcc4ff,0x0bffee02,0x47fff200,0x2003fff9,0xd1006fff,
    0x0000bfff,0x7ffffe44,0xffffffff,0x7fffd46f,0xffffffff,0x7fffffff,
    0x903fff40,0x00900000,0x90027ffc,0x5ffb7fff,0x237ffcc0,0x4400ffff,
    0x3006fffe,0x7400ffff,0x006fffff,0xfb83fffa,0xff1005ff,0xfff983ff,
    0x5fff7006,0x005fffb8,0x403ffff1,0x1005fffa,0xf50dfffd,0x7ec00dff,
    0x3ffee3ff,0xffff9004,0x3ff2005f,0x07fffc5f,0x5bfffa20,0x5004fff9,
    0x90007fff,0xfff88dff,0x237fec02,0x2e00fffb,0xc8002fff,0xfff31fff,
    0x37ffc007,0x06fffd80,0x30555510,0xffffffff,0x3ffe39bf,0x777ffd46,
    0xeeeeeeee,0x0eeeeeee,0x481fffa0,0x00480000,0xa8013ffe,0x04ffffff,
    0x3a1fffec,0x7f404fff,0x32006fff,0x6400efff,0x4fffffff,0x85fffc80,
    0xd803fffe,0xffb06fff,0xfff8807f,0x3fffe80f,0x05fffd80,0x00ffffc4,
    0x1fffffa2,0x4027ffec,0x260ffffb,0x5400ffff,0x2fffffff,0x17fffcc0,
    0x8813fffa,0x3e6ffffe,0xfe801fff,0x2aaaa1ff,0x41fff500,0xfb807ffb,
    0x037fec7f,0x000fffea,0x7cc3fff6,0x3fe003ff,0xfffc806f,0xfff1000e,
    0x7fffc41f,0xff00acdf,0x4fff98df,0x7f400000,0x0001207f,0xfff80120,
    0x7ffec004,0x7ffdc05f,0xbffffa86,0x3fffaa21,0x3e2006ff,0xe881efff,
    0xfffbffff,0x7ed440ef,0xff981fff,0xfe980dff,0xff100fff,0x3faa0bff,
    0xfff302ff,0xffd301bf,0xfff001ff,0x3fa601bf,0xf307ffff,0x9303dfff,
    0xf887ffff,0xf7304fff,0xffff9dff,0xfffd5017,0x9ffff50b,0x7fff5443,
    0x3fff26ff,0xfff9102f,0x07fffc4d,0x362fff88,0xff9805ff,0x00fffe1f,
    0x0009fff3,0x7fccfffd,0xfff1003f,0xffffb80d,0x3ffe2001,0x3bfff60f,
    0x6fff8800,0x0005fff8,0x03fff400,0x09000009,0x00166640,0x2fbfffe2,
    0x7fffec40,0xffffff01,0x99ffffdd,0xfa800dff,0xeddfffff,0xf31fffff,
    0xfbbfffff,0x405fffff,0xdefffffc,0x2ffffffd,0x7ffffdc0,0xffffedce,
    0x7fffe404,0xffffddef,0xff5002ff,0xfd779fff,0xfffbbfff,0x3fffee01,
    0xffffddff,0xfff504ff,0xfffb79ff,0x7ffd49ff,0xffedcfff,0x3ffe05ff,
    0xfffeffff,0x6c6ffccf,0xcceeffff,0x21effffe,0x200ffff8,0x3ffe4ffe,
    0x27fff003,0xf801fff8,0x7c4005ff,0x3ffe67ff,0xdfff3004,0x0ffffd40,
    0x3fffe200,0x003fffe0,0x7c37ffcc,0x008007ff,0x481fffa0,0x00480000,
    0x3ffa0000,0xfeddffff,0x2203ffff,0xfffffffe,0x0dff93ff,0xffffb100,
    0x1dffffff,0xfffffe88,0x02ffffff,0xfffffea8,0x01efffff,0xfffffd30,
    0x009fffff,0x3fffffea,0x01efffff,0x7ffffe40,0x32ffffff,0x74c07fff,
    0xffffffff,0x7e404fff,0xffffffff,0xfff982ff,0xffffffff,0x3ffa200d,
    0x3fffffff,0xfe88dff9,0xffffffff,0x7fc40dff,0x3ff200ff,0x003fff36,
    0x7fd53ff6,0x3fffd007,0x27ffdc00,0x200bfff1,0xf306fffb,0x10007fff,
    0x3e61ffff,0x3ee005ff,0xfffd86ff,0x3bfe6002,0x03fff405,0x29000009,
    0xccccccc9,0xcccccccc,0x7e44cccc,0xffffffff,0x002fffff,0xbffffff9,
    0x0037fe45,0xfffffd70,0x6dc407bf,0xbfffffff,0x3fb22000,0x03efffff,
    0xffffd900,0x88003bff,0xfffffffc,0xd30000be,0x9fffffff,0x806fff81,
    0xffffffeb,0xfd3000cf,0x19bfffff,0x7fff64c0,0x2001dfff,0xdffffffc,
    0x541bff22,0xfffffffe,0xffff103e,0xbbffd401,0x3ea007ff,0x00bff96f,
    0x4017ffee,0x7c1ffff8,0x74400fff,0xff986fff,0x440004ff,0x17ffea7f,
    0x37fff440,0x0037ffd4,0xe807fffb,0x001207ff,0x7ffd5200,0xffffffff,
    0xffffffff,0x7557fee7,0xcfffffff,0x1aa88000,0x26000000,0x510001aa,
    0x10000355,0x00015553,0x026aa620,0x2aa62000,0x2200000a,0x00009aa9,
    0x03555300,0x0d54c400,0x9aa98800,0x2aa20000,0xa9880001,0x800001aa,
    0xffd9fff8,0x3ffe2004,0x2003ffe8,0xd803fffe,0xffe86fff,0x3ffa204f,
    0x7ff446ff,0xfa80005f,0x07fffe25,0xfffffd10,0x013fff60,0x003fffee,
    0x0240fffd,0xffaa4000,0xffffffff,0xffffffff,0x221bee7f,0x00009aa9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5fff4000,0x74002fff,0x00fffaff,0x37fffe60,
    0xffffe980,0xcffffa80,0x3fffaa21,0x7fff46ff,0x9f900005,0x00dffff8,
    0xffffffd3,0x3bfffe60,0xffffc981,0x07ffe803,0x52000012,0xfffffffa,
    0xffffffff,0x04c7ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffeffb8,
    0x77fe4000,0xfc8006ff,0xfddeffff,0x202fffff,0xefffffff,0xffccffff,
    0x23bfff66,0x99999999,0x2a099999,0x7ffd42ff,0xffebbcff,0x0fffddff,
    0xffffff70,0xffffffbb,0x1fffa009,0xccccccc8,0xcccccccc,0x05cccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x006fffff,0x4fffffa8,
    0xfffd5000,0xdfffffff,0xfffe8803,0x93ffffff,0x3ffe2dff,0xffffffff,
    0xffffffff,0x3207ff34,0xffffffff,0xfff32fff,0x7fff4c07,0xffffffff,
    0x1fffa004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7c000000,
    0x0003ffff,0x005fffff,0x7fff6440,0x4003efff,0xdffffffc,0x7c5bff22,
    0xffffffff,0xffffffff,0x300b64ff,0xfffffffd,0x06fff819,0xfffffeb8,
    0x74000cff,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffb00,0x3fff6000,0x3100000f,0x80001555,0x22001aa8,0xffffffff,
    0xffffffff,0x10004fff,0x00013553,0x06aaa600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff7000,0x7ffdc000,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33333331,0x33333333,0x0ccc4133,0x00999880,0x4cc13330,0x26600099,
    0x40ccc099,0x00abdca8,0x36a20666,0x654400ac,0x26600acd,0x99988009,
    0x004ccc41,0x3304ccc0,0x102cca83,0x4c0c0001,0x80000000,0x0000aaa8,
    0x80188000,0xcca81ccb,0x2a0732e2,0x001001cc,0x99300020,0x01000099,
    0x004cc400,0x44000400,0x04cc4019,0xa8013000,0xcccccccc,0xcccccccc,
    0x99952ccc,0x99999999,0x99999999,0x80099805,0xfffffffa,0xffffffff,
    0x3fff26ff,0x4fffc801,0x23fff980,0x800ffffb,0x220efffb,0xffd31fff,
    0x10bfffff,0x3faa3fff,0x41efffff,0xffffffe8,0x4fff882f,0x27fffcc0,
    0x001bffe2,0x3e6bfff1,0xfffe88ff,0x03ba24ff,0xf917e600,0x00000039,
    0x0017ffcc,0xbf930000,0x986ff980,0x3fea0fff,0x00fff986,0x36002f44,
    0x3fea000e,0xfda8007f,0x4003efff,0x98006ffe,0x0ceffffc,0x443ff440,
    0xcffffffc,0xfffea800,0xfffc80df,0xffffffff,0xffffffff,0xffffff95,
    0xffffffff,0x40bfffff,0xfa805ff9,0xffffffff,0xffffffff,0x00fffea6,
    0x201ffffa,0x7f40fffb,0x7fcc05ff,0x7ffc41ff,0xffffff99,0x221effff,
    0xfffa9fff,0x0effffff,0xffffffd1,0xff887fff,0x3ffe604f,0x1fffb04f,
    0x8fffdc00,0xffd9fff9,0xfd13ffff,0x3fb6a1df,0xfff31def,0x177ffe4b,
    0x7cc00000,0x000002ff,0x05fffda8,0x3a0bffa2,0x4ffe84ff,0x2205ffc8,
    0xfb005ffe,0x3ea001df,0x7dc007ff,0x6fffffff,0x5ffff300,0x7fffd400,
    0x102fffff,0xff88fffd,0xffffffff,0x3ffff200,0x7e42ffff,0xffffffff,
    0xffffffff,0xffff95ff,0xffffffff,0xbfffffff,0x4027fc40,0xeeeeeee9,
    0xffcdeeee,0x2fffc4ff,0x3ffffe20,0x437fec00,0x203ffff8,0xf883fffe,
    0xcefffcff,0x6fffffdc,0x3ff3ffe2,0xfffdcdff,0xceffe9df,0x0fffffec,
    0x4c13ffe2,0x2a03ffff,0x3a003fff,0x3ffe66ff,0xfffffffc,0xddfffd10,
    0xffffffff,0x649ffffb,0x0cffffff,0xff300000,0x2000005f,0xffffffb8,
    0x21bff605,0xff307ffb,0x2fff883f,0x0bffff30,0x02ffffc8,0x00ffff50,
    0x5567ffcc,0xd803fffc,0x3005ffff,0xfb77dfff,0xffa81fff,0x77ff47ff,
    0x5fffb99c,0xdbffff70,0x7e41ffff,0xffffffff,0xffffffff,0xffff95ff,
    0xffffffff,0xbfffffff,0x001ffc40,0x5fffd800,0x200fffd8,0x03fffffa,
    0x540fffe2,0xfc80ffff,0xfff105ff,0x3f205dff,0xfff11fff,0xff303fff,
    0x105dffff,0x7c47ffff,0xfff984ff,0x6fff803f,0x49fff300,0xcffffff9,
    0x7f444ca9,0xffffffff,0x4fffffff,0x7ffffe4c,0x00001dff,0x0017ffcc,
    0x3fff6600,0x501dffff,0xff983fff,0x1bff202f,0x5403ffee,0xf905ffff,
    0x4c005fff,0x36004ccc,0x5ffd84ff,0x7ffffc40,0x6ffc801f,0xd32fff98,
    0x4cffffff,0xff880fff,0x0bfff887,0x0017ff66,0x00bffd00,0x439d0000,
    0x00b6a3ff,0x1dfff900,0x405fff50,0x05fffffd,0xd807ffea,0x7fd45fff,
    0xfff100ff,0xffd801ff,0xfffff14f,0x7fffdc03,0x3ffea00f,0x313ffe25,
    0x2007ffff,0xc801fffc,0x3fe60fff,0xd1000fff,0x759dffff,0x09fffff9,
    0x7ffff5c4,0x00003eff,0x0005fff3,0x3ffffaa0,0x2200beff,0xffe84fff,
    0x27ffc406,0xf502fff4,0xffc8bfff,0x000002ff,0xffd80c40,0x6f7fe403,
    0xcca805ff,0x365ffd01,0x27ff9dff,0x3fe03ca8,0x82ffe40f,0x0001fff8,
    0x0017ffa0,0xdfff3000,0xfff97fd5,0x7fdc000b,0xfff100ff,0x7efffc09,
    0x1bff207f,0x25ffff10,0x202ffff8,0x803ffff8,0xff16fff9,0xff8807ff,
    0xfff804ff,0x993ffe26,0x2003ffff,0xf804fff9,0x7ffcc6ff,0x7ff4003f,
    0xfffd104f,0x3ff66009,0x00cfffff,0x0bffe600,0xfffc8800,0x002dffff,
    0xfc81fffb,0xffb801ff,0x1fffd42f,0x2bffff50,0x002ffffc,0x51000000,
    0xff801fff,0x00fffabf,0xb3ffc400,0x803ffc3b,0x41fffb98,0x3f201ffd,
    0x3a00002f,0x000005ff,0x7fffffdc,0x0fffffff,0xffffa800,0x837ff401,
    0xfff9fff9,0x009fff01,0xfb1ffff3,0xff8809ff,0xfff1007f,0x01fffe2d,
    0x4007fffc,0x3fe27ffe,0x5ffff34f,0x0fffd000,0x4c2fffa8,0x2000ffff,
    0xe804fff9,0x22000fff,0xfffffffb,0xff98002d,0xfd98002f,0x0cffffff,
    0x0fffee00,0x4009fff3,0x7ec0fffe,0x3fea01ff,0x2fffffff,0xffffff50,
    0xffffffff,0x80ffffff,0x401dfffd,0xffd0fffb,0xffd80009,0x21ffe024,
    0xffffeca8,0x7ff41fff,0x00ffee00,0x05ffe800,0xca880000,0xbdfffffe,
    0xfff30001,0xfff7005f,0x3ebff701,0xfff983ff,0xdfff9001,0xf100dfff,
    0x7fc00dff,0x0dfff16f,0x401fffe0,0x3fe27ffd,0x2ffff8cf,0x3fff7000,
    0x207ffec0,0x4007fff9,0xf3006ffd,0x2a0005ff,0xeffffffd,0xfff3000b,
    0x3fae2005,0x02dfffff,0x46fff980,0x000fffe8,0xf317ffea,0xffa80dff,
    0x202fffff,0xfffffffa,0xffffffff,0x7c07ffff,0xfe803fff,0x01ffee4f,
    0x0fffec40,0xff51ffe0,0xffffffff,0x00fff83f,0x00013fea,0x0005ffe8,
    0x7ff44000,0x7c40002f,0xf3003fff,0x7ffb05ff,0x3f217ff6,0x7ff4007f,
    0x8800ffff,0x3a005fff,0xbfff17ff,0x01fffe00,0xff13ffec,0x3fffffbf,
    0x3ffe2000,0x09fff104,0x800dfff3,0x3e004ffe,0x440003ff,0x5ffffffc,
    0xfffffff9,0xffffffff,0x3f2bffff,0x01cfffff,0x0bfffa00,0x0007fff9,
    0xfc85fffb,0x7fd404ff,0x7d402fff,0xffffffff,0xffffffff,0x32a207ff,
    0xf502fffe,0x7ffc43ff,0x7ff4c003,0x27ff801f,0xabeffffa,0xff83ffd1,
    0x13fee00f,0x5ffe8000,0x33333331,0x33333333,0x3a013333,0x002ffdff,
    0x0bfffd10,0xf85ffe80,0x0fff71ff,0x98009ffd,0x002fffff,0x4009fff1,
    0xfff17ffe,0x1bffe009,0xf13ffec0,0xffffffff,0x7fec000d,0x03fff507,
    0x800bfff3,0x3a003fff,0x200005ff,0xf95fffea,0xffffffff,0xffffffff,
    0x3fff2bff,0xfb00002f,0xfffc87ff,0xfffe8004,0x01fffec1,0x17fffff6,
    0x99999930,0x99999999,0x00999999,0xfd83ffcc,0x06ffd86f,0x03bffee0,
    0xffb3ffc0,0x07ffe01b,0x7e403ffb,0x3a00002f,0xffff95ff,0xffffffff,
    0xbfffffff,0xff17ffb0,0xffb0003f,0xff9000df,0x267ff98f,0x3fe21fff,
    0xffd8002f,0xff1000ff,0x7ff4009f,0x009fff17,0x6c01bffe,0x3ffe27ff,
    0x4fffefff,0x5fff5000,0x260dffd0,0x74004fff,0x3fa003ff,0xb500004f,
    0x3f2bffff,0xffffffff,0xffffffff,0xffff95ff,0xf100005d,0xffe81fff,
    0x3fea000f,0x2fffcc4f,0x3fffff60,0x000005ff,0x3ffa0000,0x41fffcc1,
    0xc802fff9,0x7c004fff,0x407ffe7f,0x7e41fffa,0x07ffe04f,0x5ffe8000,
    0xfffffff9,0xffffffff,0xfb8bffff,0x03ffea7f,0x0efffc80,0x1fff9800,
    0xfff17ff2,0x003ffdc7,0x2fffffcc,0x04fff880,0x7c5fffa0,0xfff004ff,
    0x9fff600d,0x9afffff8,0x0001ffff,0xff88bfff,0x9fff303f,0x05ffd800,
    0x000fffe0,0xfffffb88,0x999953ff,0xbfffb999,0x59999999,0x3fffffee,
    0x2a0000cf,0x7fcc4fff,0xfff1005f,0x01fffd0d,0x7e7fffec,0x00005fff,
    0x82e64400,0x7e43fff8,0xbffd00ff,0x1ffff440,0xfd3ffc00,0xffff107f,
    0x42fff983,0x0006ffc8,0xfcafff40,0xffffffff,0xffffffff,0x17fd45ff,
    0x5c0037f6,0x0001ffff,0xffe8fffe,0xfb2ffec2,0xfe8800bf,0x803fffff,
    0x2004fff8,0xfff17ffe,0x1bffe009,0xf13ffec0,0x7fdc3fff,0xff90006f,
    0x07ffdc1f,0x004fff98,0x400fffe4,0x8001fffc,0xffffffd9,0x3e6000be,
    0x2e2002ff,0xdffffffe,0xfffb0002,0x01fffb81,0x541fffc8,0x3f202fff,
    0xfff52fff,0xff5000bf,0x7ffc00ff,0x21fffc84,0x2e04fff8,0xffb01fff,
    0x3fe0003f,0x273fff27,0x2fffffda,0xcbefffc8,0x0001ffff,0x9884cc40,
    0x99999999,0x99999999,0x88388099,0x3ffea003,0x7ec0001f,0x81fff16f,
    0xfff17ffb,0xfffd8005,0x401ffffc,0x2004fff8,0xfff17ffe,0x1bffe009,
    0xf13ffec0,0xfffd09ff,0xfff30009,0x302fff47,0x88009fff,0x2600efff,
    0x22006fff,0xffffffeb,0xff30002d,0x36a0005f,0xbeffffff,0x3ffa2000,
    0x406ffe85,0x7c43fff8,0x3ff205ff,0x7ffd42ff,0x7fd4005f,0x3fee007f,
    0xffffccef,0x00fffdc5,0xf909fff1,0xffffffff,0x3ffc09ff,0xfffffff1,
    0x107ff7bf,0xfffffffd,0x0000007f,0x00000000,0xffff9800,0xffa80003,
    0x986ffa8f,0xfffa9fff,0x3ffea000,0x80dfff56,0x2004fff8,0xfff17ffe,
    0x1bffe009,0xf13ffec0,0xfff309ff,0xffd0003f,0x80bffe6b,0x8004fff9,
    0x442ffffd,0x802ffffc,0xffffffc9,0x4c0001cf,0x40002fff,0xffffffc8,
    0xff3001cf,0x3fff883f,0x321bff60,0xff900fff,0x3fea05ff,0x3ea005ff,
    0x7e4007ff,0xdfffffff,0x4037ffc0,0x7fc0fffc,0xffffffff,0x1ffe04ff,
    0x5dffffb1,0xfb81bfe2,0x001fffff,0x00000000,0x4c000000,0x0004ffff,
    0xf95fff10,0x2fffe09f,0x22005ffc,0x3f61ffff,0x3fe204ff,0x3ffa004f,
    0x009fff17,0x6c01bffe,0x3ffe27ff,0x0dfff904,0x91fff700,0x7cc01fff,
    0x7d4004ff,0xeeffffff,0x0effffff,0xfffffd50,0x000017df,0x000bffe6,
    0x7fff5c40,0xc802efff,0xfffb86ff,0x40fffa80,0xf502fff8,0xfa805fff,
    0xf5002fff,0x93000fff,0x505bdffd,0xf3007fff,0x6664c7ff,0xcccccccc,
    0x4133202c,0x40000998,0x00000aa9,0x00000000,0xfe880000,0x400005ff,
    0x2ffecffd,0xfffdff90,0x7ffec007,0x0ffffc43,0x004fff88,0x7fc5fffa,
    0xdfff004f,0x89fff600,0x3fa04fff,0x7c4004ff,0x04ffeaff,0x0027ffcc,
    0xfffffff5,0xffffffff,0x7fd41dff,0x02dfffff,0xfff98000,0xda800002,
    0x3fffffff,0x6c17ff40,0x3ffe84ff,0x5c04ffd8,0xff5002ff,0x55544007,
    0xb8000002,0x97000ccc,0x00000079,0x00000000,0x00000000,0x00000000,
    0x0017fffa,0x3fffee00,0xfff500ff,0x2e001fff,0xff706fff,0xfff101df,
    0xbfff4009,0xf004fff8,0x3f600dff,0x13ffe27f,0x01ffff98,0x7ff7fec0,
    0x7ffcc01f,0xffff3004,0xfffffd57,0xdfffb5bf,0x67ffffe4,0x26000001,
    0x00002fff,0x3ffff220,0x7ffcc05f,0x70fffc40,0xdff30bff,0x5000ae00,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x99998eff,0x99999999,0x3ffe2009,0x3fe206ff,0xf3006fff,0x7ec03fff,
    0xfff884ff,0x5fffa004,0xf004fff8,0x3f600dff,0x13ffe27f,0x00dfff90,
    0x6fffffa8,0x04fff980,0x750fff20,0xffd83599,0x02fbff21,0x3e600000,
    0x000002ff,0x05ffeb88,0xa980aa98,0x202aaa1a,0x00000aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0xffffffff,
    0xffffffff,0xffe809ff,0x7ff404ff,0xffd003ff,0xfff8809f,0x27ffc42f,
    0x22fffd00,0xff004fff,0x3ff600df,0x013ffe27,0x009ffff1,0x03fffff8,
    0x004fff98,0x5b0001e4,0x00002dc8,0x17ffcc00,0x2a000000,0x0000005d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fc40000,0xffffffff,0xffffffff,0x7ffe404f,0x7ffe402f,0xfffc801f,
    0xffff7006,0x027ffc41,0x3e2fffd0,0xfff004ff,0x9fff600d,0xa804fff8,
    0x2001ffff,0x800ffffc,0x0004fff9,0x00080000,0x00000000,0x00400000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffe20,0xffffffff,0x04ffffff,0x007fffcc,0x201bffea,
    0x001ffff9,0xf897fff6,0x3fa004ff,0x09fff17f,0x401bffe0,0x3fe27ffd,
    0xfffb004f,0x7ffcc00d,0x9fff3005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00988000,
    0xe83bbba2,0x3bba1eee,0x0555511e,0x22002aa6,0x40009aa9,0x3ffff608,
    0x3bfff600,0x55066660,0x07ffe455,0x0001fffa,0x77777775,0x77777777,
    0x77777777,0x26666237,0x99999999,0x99999999,0x00009999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3aa00000,0xf882efff,0x3ffe0fff,0x47fffe1f,
    0xc80ffff8,0x3fa600ff,0x02dfffff,0x3fa21e98,0xfff304ff,0x7fffc43f,
    0x6c3fffe0,0x7ff40fff,0x3fffff27,0xf97fffff,0xffffffff,0xffffffff,
    0x5fffffff,0x3ffffff2,0xffffffff,0xffffffff,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff9000,0xff889fff,0x3fffe0ff,0x447fffe1,
    0xff80ffff,0x3fffee06,0xcfffffff,0x20ffdc41,0xc80ffff8,0x7fc43fff,
    0x3fffe0ff,0xe81fffb0,0x3fff27ff,0x7fffffff,0xfffffff9,0xffffffff,
    0xffffffff,0x3ffff25f,0xffffffff,0xffffffff,0x0002ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffa80000,0x2ffea8ae,0xf83fffe2,0x3ffe1fff,
    0x1ffff11f,0x0befff98,0x3fffffe2,0xffffffff,0x1ffffede,0x443fffa8,
    0xff885fff,0x3fffe0ff,0xe81fffb0,0x3fff27ff,0x7fffffff,0x11111111,
    0x11111111,0x11111111,0x5ddddd41,0xbbbbbbbb,0xbbbbbbbb,0x00001bbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x06fe8000,0x7ffc4ffd,0x87fffe0f,
    0xff11ffff,0xeba881ff,0x3ffe25ff,0xffffdbce,0xffffffff,0xfff701ff,
    0x880effc8,0x3fe0ffff,0x055530ff,0x775c5553,0xeeeeeeee,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0x43fea05f,
    0x3e0ffff8,0x3ffe1fff,0x203fc41f,0xdf10fff9,0xfff95103,0x5fffffff,
    0xd12ffc80,0x000003df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07fcc000,0x7ffc3ff0,0xd07fff47,0x0bf50fff,
    0x887ffecc,0xfdb8800d,0x000defff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02ff8800,0x7fec1ff5,
    0x3637fe46,0x24fc86ff,0xfffffeeb,0x13300005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,
    0xf91ff60b,0x45ffb89f,0x7fd45ffb,0x3fffff22,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfa800000,0x5ffb52df,0x7cc3ffa8,0x31ffd44f,0xeecb87ff,0x000001cd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c000000,0x4fffffff,0x7c41ff98,0x217fc42f,0x0000002d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17ffffd4,0x02660330,0x00000066,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00151000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_48_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,2,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,1,1,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,2,2,2,2,2,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,3,2,3,4,4,2,1,-2,3,2,2,3,1,3,
-1,3,2,3,2,0,0,3,2,3,2,3,2,2,3,2,2,1,2,1,2,1,2,1,3,2,3,2,3,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,2,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,-1,-2,2,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,0,1,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_48_latin_ext_y[560]={ 38,7,7,6,4,6,6,7,6,6,6,12,33,24,
33,6,7,7,7,7,7,7,7,7,7,7,15,15,12,16,12,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,43,7,15,7,15,7,15,6,15,7,7,
7,7,7,15,15,15,15,15,15,15,7,15,15,15,15,15,15,6,6,6,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,15,7,6,12,7,
6,6,7,6,6,17,16,24,6,2,6,12,6,6,7,15,7,20,37,6,6,17,6,6,6,15,-1,-1,-1,0,
1,0,7,6,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,13,6,-1,-1,-1,1,-1,7,6,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,14,14,7,7,7,7,7,7,7,
1,9,-1,7,7,15,-1,7,-1,7,-1,8,-1,7,-1,7,7,7,1,9,-1,7,0,8,7,15,-1,7,-1,7,
-1,7,0,8,6,4,-1,-1,7,7,-1,7,2,9,0,7,7,7,0,15,7,7,-1,7,7,7,15,-1,-1,7,
7,7,7,7,7,7,7,-1,7,7,15,-1,7,6,6,15,1,9,-1,7,-1,7,6,15,-1,7,7,15,-1,7,
-1,7,-1,7,6,15,-1,7,7,7,-1,7,7,7,0,7,1,9,-1,7,-1,6,-1,7,7,15,-1,7,-1,7,
1,-1,7,0,8,-1,7,6,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,6,11,11,6,11,11,11,
11,11,11,11,11,11,11,11,11,11,6,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,7,-1,7,-1,
7,-1,7,-1,1,-1,-1,-1,-1,-1,-1,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-6,-3,-1,7,-1,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_48_latin_ext_w[560]={ 0,6,13,24,21,34,27,6,11,11,15,21,6,12,
6,12,21,13,21,21,22,22,21,20,22,22,6,6,21,21,21,21,41,30,24,28,26,24,22,29,25,5,18,26,
20,30,25,30,24,31,28,26,25,25,29,41,29,29,26,10,12,10,19,26,9,22,21,21,20,22,14,21,19,5,
9,20,5,32,19,22,21,20,13,19,12,19,21,31,22,22,21,13,5,14,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,20,23,22,25,
5,21,13,32,16,19,21,12,32,26,13,21,14,14,9,19,24,6,10,8,15,19,34,34,36,21,30,30,30,30,
30,30,41,28,24,24,24,24,9,9,14,12,30,25,30,30,30,30,30,19,31,25,25,25,25,29,24,22,22,22,
22,22,22,22,36,21,22,22,22,22,9,9,14,12,22,19,22,22,22,22,22,21,22,19,19,19,19,22,21,22,
30,22,30,22,34,26,28,21,28,21,28,21,28,21,26,26,30,23,24,22,24,22,24,22,24,22,24,22,29,21,
29,21,29,21,29,21,25,19,31,21,15,15,14,14,14,14,10,10,6,4,26,15,23,14,26,20,20,20,9,20,
11,20,11,20,13,23,10,25,19,25,19,25,19,24,26,20,30,22,30,22,30,22,40,38,28,13,28,13,28,14,
26,19,26,19,26,19,26,19,25,12,25,17,25,12,25,19,25,19,25,19,25,19,25,19,25,24,41,31,29,22,
29,26,21,26,21,26,21,11,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,29,22,22,23,22,22,22,
22,22,22,22,22,22,22,22,22,22,34,26,22,22,22,22,22,22,22,22,22,22,22,22,22,32,26,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,30,22,14,14,30,
22,25,19,25,19,25,19,25,19,25,19,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,30,22,41,36,31,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_48_latin_ext_h[560]={ 0,31,12,33,39,34,33,12,42,42,14,22,12,5,
5,33,32,31,31,32,31,32,32,31,32,32,23,30,22,14,22,32,42,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,35,31,33,31,32,31,31,31,31,31,40,33,40,18,4,6,24,32,24,32,24,32,33,31,31,
41,31,31,23,23,24,32,32,23,24,32,24,23,23,23,33,23,42,42,42,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,32,40,33,22,31,
42,42,5,33,17,20,14,5,33,4,13,26,17,18,6,32,40,6,10,17,17,20,34,34,34,32,39,39,39,38,
37,38,31,41,39,39,39,37,39,39,39,37,31,38,40,40,40,39,38,19,34,40,40,40,38,39,31,33,32,32,
32,32,32,33,24,32,32,32,32,32,31,31,31,31,32,31,32,32,32,32,32,18,26,32,32,32,32,41,40,41,
37,30,39,32,40,32,40,32,40,32,40,31,40,32,39,32,31,32,37,30,39,32,38,31,40,32,39,32,40,41,
40,41,39,40,41,44,39,39,31,31,39,31,36,29,38,31,40,40,38,23,32,41,40,41,40,40,23,39,39,40,
40,31,31,31,31,31,31,39,31,40,32,39,31,32,33,33,38,30,40,32,40,32,33,24,39,31,40,32,39,31,
40,32,40,32,41,32,40,32,44,43,39,32,31,32,39,32,38,30,40,32,40,33,40,32,40,32,39,31,39,41,
37,39,31,38,30,39,31,32,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,33,27,27,42,27,27,27,
27,27,27,27,27,27,27,27,27,27,33,24,27,27,27,27,27,27,27,27,27,27,27,27,27,32,24,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,39,32,39,31,40,
32,40,32,40,38,40,40,40,40,40,40,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,44,42,39,32,41,33,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__arial_48_latin_ext_s[560]={ 510,503,22,208,1,150,70,15,179,143,495,
233,36,126,105,1,210,493,1,401,23,23,435,46,74,97,505,108,255,473,211,
188,191,67,98,179,123,150,175,233,337,278,300,284,446,415,311,98,393,16,418,
129,467,217,447,1,477,363,225,27,34,499,374,166,78,382,195,333,86,405,125,
255,258,252,301,204,198,98,78,310,44,383,174,485,370,465,152,23,55,156,1,
233,137,122,54,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,510,505,354,
263,188,163,93,247,112,222,418,277,451,126,386,139,1,199,394,359,88,243,64,
98,43,409,435,297,48,115,185,173,330,242,153,288,443,211,1,311,128,72,433,
418,502,423,408,405,189,85,119,244,181,184,319,317,83,135,109,54,262,1,138,
328,231,1,469,446,423,47,428,367,344,321,298,275,486,397,349,402,165,283,115,
92,69,46,145,337,221,211,168,232,382,393,414,416,474,115,97,287,379,310,350,
360,463,1,294,442,80,457,428,24,43,479,380,138,485,51,111,74,286,252,387,
188,264,477,89,439,455,454,363,58,361,492,346,302,412,220,1,161,136,97,233,
275,204,507,138,461,375,1,161,188,131,309,299,212,311,421,385,364,407,378,127,
46,329,28,492,458,282,120,483,307,54,43,323,254,150,277,442,271,278,268,399,
356,337,112,1,404,436,424,16,489,323,1,1,80,484,107,303,140,273,153,178,
66,38,263,1,14,476,444,428,464,366,236,307,340,350,215,464,151,86,251,324,
389,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,277,176,176,155,
176,176,176,176,176,176,176,176,176,176,176,176,176,351,355,176,176,176,176,176,
176,176,176,176,176,176,176,176,402,244,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,23,337,
31,496,233,21,167,66,95,242,43,213,69,121,141,193,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,27,99,209,319,269,419,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176, };
static unsigned short stb__arial_48_latin_ext_t[560]={ 1,287,540,287,210,250,287,540,1,1,516,
516,540,540,540,287,321,420,452,321,452,321,287,452,354,354,484,484,516,516,516,
321,1,452,452,287,452,452,452,287,452,452,354,452,420,420,452,287,452,250,452,
287,420,387,452,484,452,452,452,88,287,1,516,540,540,484,387,484,387,484,387,
250,452,452,1,452,452,516,516,484,387,354,516,484,354,484,516,516,516,287,516,
1,1,1,540,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,1,210,46,
287,516,420,1,1,540,250,516,516,516,540,250,540,540,484,516,516,540,387,88,
540,540,516,516,516,250,250,250,387,170,170,170,210,210,210,420,1,170,170,129,
210,46,129,129,210,420,210,88,88,88,170,210,516,250,129,129,129,210,170,420,
250,354,354,321,321,321,287,484,321,321,321,321,321,387,387,387,420,321,387,321,
321,321,321,354,516,484,354,354,321,287,1,88,1,210,484,170,287,88,287,88,
287,88,321,46,387,129,287,170,354,420,287,210,484,170,354,210,420,88,321,170,
354,46,1,88,1,170,46,1,1,170,88,420,420,170,420,250,484,210,420,88,
88,210,420,321,1,46,46,129,129,516,170,170,88,88,387,387,387,387,420,420,
170,387,129,321,129,420,354,250,250,210,484,46,354,88,354,250,484,129,420,46,
354,129,420,129,354,88,354,46,354,88,387,1,1,129,387,387,387,170,387,210,
484,88,387,88,287,46,354,46,354,129,420,129,1,210,170,387,210,484,129,420,
321,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,250,484,484,1,
484,484,484,484,484,484,484,484,484,484,484,484,484,250,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,287,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,210,287,
170,387,46,387,46,387,46,210,46,46,46,46,46,46,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,1,1,129,354,1,250,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484, };
static unsigned short stb__arial_48_latin_ext_a[560]={ 191,191,244,382,382,611,459,131,
229,229,268,401,191,229,191,191,382,382,382,382,382,382,382,382,
382,382,191,191,401,401,401,382,698,459,459,496,496,459,420,535,
496,191,344,459,382,573,496,535,459,535,496,459,420,496,459,649,
459,459,420,191,191,191,323,382,229,382,382,344,382,382,191,382,
382,153,153,344,153,573,382,382,382,382,229,344,191,382,344,496,
344,344,344,230,179,230,401,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,191,229,382,382,382,382,179,382,
229,507,254,382,401,229,507,380,275,377,229,229,229,396,369,191,
229,229,251,382,573,573,573,420,459,459,459,459,459,459,687,496,
459,459,459,459,191,191,191,191,496,496,535,535,535,535,535,401,
535,496,496,496,496,459,459,420,382,382,382,382,382,382,611,344,
382,382,382,382,191,191,191,191,382,382,382,382,382,382,382,377,
420,382,382,382,382,344,382,344,459,382,459,382,459,382,496,344,
496,344,496,344,496,344,496,423,496,382,459,382,459,382,459,382,
459,382,459,382,535,382,535,382,535,382,535,382,496,382,496,382,
191,191,191,191,191,191,191,153,191,191,505,305,344,153,459,344,
344,382,153,382,153,382,200,382,230,382,153,496,382,496,382,496,
382,415,497,382,535,382,535,382,535,382,687,649,496,229,496,229,
496,229,459,344,459,344,459,344,459,344,420,191,420,258,420,191,
496,382,496,382,496,382,496,382,496,382,496,382,649,496,459,344,
459,420,344,420,344,420,344,153,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,517,516,516,382,516,516,516,516,516,
516,516,516,516,516,516,516,516,589,451,516,516,516,516,516,516,
516,516,516,516,516,516,516,587,460,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,459,382,191,153,535,382,496,382,496,382,496,
382,496,382,496,382,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,459,382,687,611,535,420,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_48_latin_ext(stb_fontchar font[STB_FONT_arial_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_48_latin_ext_s[i] + stb__arial_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_48_latin_ext_t[i] + stb__arial_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_48_latin_ext_x[i];
            font[i].y0 = stb__arial_48_latin_ext_y[i];
            font[i].x1 = stb__arial_48_latin_ext_x[i] + stb__arial_48_latin_ext_w[i];
            font[i].y1 = stb__arial_48_latin_ext_y[i] + stb__arial_48_latin_ext_h[i];
            font[i].advance_int = (stb__arial_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_48_latin_ext_s[i] + stb__arial_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_48_latin_ext_t[i] + stb__arial_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_48_latin_ext_x[i] + stb__arial_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_48_latin_ext_y[i] + stb__arial_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_48_latin_ext_LINE_SPACING
#endif

