// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT        597
#define STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_50_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_50_latin_ext_LINE_SPACING          32

static unsigned int stb__arial_50_latin_ext_pixels[]={
    0x00000000,0x00000000,0x000000c0,0x00040000,0x26666000,0x26000001,
    0x22000199,0x4cc40999,0x00000009,0x10000000,0x00003333,0x026aeea6,
    0xb8000000,0x059912cc,0x2a660000,0x00001acb,0xcc800000,0x997000aa,
    0x32ea2005,0x26600003,0x00000019,0x35975310,0x00000001,0xf1000000,
    0xf800dfff,0xffffffff,0xffffffff,0xffffffff,0x01fe4003,0xfffc8000,
    0x1322002f,0xffb80000,0x000003ff,0x00bffff9,0x70bfff60,0x7fc09fff,
    0x7ffe406f,0x037ffc04,0x2003fff9,0x002ffffe,0x3ffffea0,0x7c00cfff,
    0xd00006ff,0x0ffec7ff,0xffc98000,0xefffffff,0xffc800bc,0x540000ff,
    0xffff4fff,0x7ffd007f,0xdffff900,0x206fff80,0x804ffffd,0x0005fff8,
    0xffffffb5,0x70019fff,0xffffffff,0xffffffff,0x0bffffff,0x3ffee000,
    0x7ffc000f,0xffffffff,0xffffffff,0x03ffffff,0x0017ff20,0x3fffe200,
    0x13fee004,0xfff80000,0x5000004f,0x07ffffff,0x85fffb00,0x3e04fffb,
    0x7fe406ff,0x37ffc04f,0x003fff90,0x3ffffff9,0xfffd8800,0xffffffff,
    0x01bffe01,0x11fff400,0x98000dff,0xfffffffe,0xffffffff,0x7fffe403,
    0x7fd40005,0xffffff4f,0x03ffe809,0x37ffffe4,0x5c1bffe0,0x02ffffff,
    0x002fffc4,0x3fffffee,0xffffffff,0x3ffee00c,0xffffffff,0xffffffff,
    0x80005fff,0x002ffff8,0xfffffff8,0xffffffff,0xffffffff,0xff1003ff,
    0x2e000009,0x2a006fff,0x00004fff,0x00dfff70,0x3ffe2000,0x002fffcf,
    0x2e17ffec,0x3fe04fff,0x7ffe406f,0x037ffc04,0xb803fff9,0xeffedfff,
    0x3fff6000,0xffffdeff,0xdfff00ff,0x3ffa0000,0x001ffe43,0xffffffb8,
    0xffffffff,0x900dffff,0x007fffff,0xda7ffd40,0x00ffffff,0xfa80fffa,
    0x405fffff,0xff986fff,0x00fffdef,0x4017ffe2,0xffffffd8,0xffffffff,
    0xff700eff,0xffffffff,0xffffffff,0x000bffff,0x009fff70,0x3bbbbb60,
    0xfffeeeee,0xeeeeeeef,0xf3002eee,0x2000001f,0x2000ffff,0x0004fffa,
    0x01fffd00,0x3ffa0000,0x01fffd2f,0x217ffec0,0x3e04fffb,0x7fe406ff,
    0x37ffc04f,0x403fff90,0xf98ffff9,0xff5005ff,0x75c437ff,0xfff06fff,
    0x3fa0000d,0x0fffc43f,0xffffb100,0x31359bff,0xfffffd97,0xffff901d,
    0x2a0001ff,0x7e444fff,0x3ffa03ff,0x0ffff203,0x446fff80,0xff88ffff,
    0xfff100ef,0xffff300b,0x311359ff,0xdfffff95,0xdffff701,0xdddddddd,
    0xdddddddd,0xff00009d,0x000000bf,0x000dfff5,0x055df700,0xfffb8000,
    0x7ffd4001,0xfa800004,0x000002ff,0x7ccbfff9,0x31000eff,0x99988133,
    0x00aaaa00,0xa809fff9,0x332a02aa,0xfffd100c,0x027ffe45,0x301fffec,
    0xff03ffff,0x3a0000df,0x6ffb83ff,0x3ffff600,0x3fea004f,0xffc84fff,
    0x0005ffff,0xf109fff5,0x7ff40dff,0x01bffa03,0xfd879990,0x3ffee3ff,
    0x0bfff105,0xcfffff88,0xfffc8800,0x7ffdc0ef,0x00000005,0x003bfee0,
    0x3fea0000,0xc800006f,0x00006fff,0x4001fff4,0x0004fffa,0x004ffe80,
    0xffff5000,0x05fffc81,0x00000000,0x0027ffe4,0x3ff60000,0x7fff445f,
    0x07fffc02,0x20ffff20,0x00006fff,0x3fe07ffd,0xfffa802f,0xe88001ef,
    0x7e41ffff,0x03ffffff,0x04fffa80,0x7f40fffb,0x9fff103f,0x3ff20000,
    0x3fffe86f,0x405fff88,0x002ffffd,0x43ffffc8,0x0005fffb,0x36600000,
    0x000000cf,0x006fffa8,0x6fffd800,0x00000000,0x0027ffd4,0x00000000,
    0x00000000,0xf9000000,0x000009ff,0xf0000000,0xff500dff,0x0dfff0df,
    0x0fffa000,0x22037fe4,0x0006ffff,0x645fffe8,0xffffffff,0x7ffd4000,
    0x40fff904,0xff103ffe,0x0000007f,0x5fff8800,0x0bfffee0,0x7fffd800,
    0x002fffdc,0xfa800000,0x0001ffef,0x37ffd400,0x7fec0000,0x0000006f,
    0xfff73300,0x00013339,0x4d65d4c4,0x001b9000,0x00000000,0xff900000,
    0x0000009f,0xfd000000,0x9a8803ff,0x00dfff01,0x40fffa00,0x3201fff9,
    0x0001ffff,0x647fffb8,0xffffcfff,0x7ffd4005,0x01fff904,0x7c40fffa,
    0x000003ff,0x7ffc4000,0x13fffe05,0xffff1000,0x02fffdc5,0xe8000000,
    0x000bd10e,0x6fffa800,0xaa980000,0x0000002a,0xfffff980,0x003fffff,
    0xfffffda8,0x701dffff,0x19998dff,0x43333000,0x30001999,0x04ccc333,
    0x013fff20,0x4c401333,0xb9730019,0x09988137,0x00dfffc8,0x037ffc00,
    0x74199988,0x3ffe03ff,0x9ffff105,0x7ffc0000,0x2ffff22f,0x003ffffa,
    0x6413ffea,0xffd00fff,0x0fffe607,0x80133300,0xf1000999,0x3fea0bff,
    0xd80000ff,0x3fee5fff,0x0000005f,0x7d42f980,0x2a000000,0x00006fff,
    0x54000000,0xf3001cfe,0xffffffff,0x7fdc007f,0xffffffff,0x2e0dffff,
    0x7ffc2fff,0x7fcc001f,0x07fffe5f,0x4bfff300,0x7e406fff,0x7ffc04ff,
    0x07fff206,0xfffffea8,0x1bff65ff,0x03bfffe2,0x06fff800,0x44ffffb8,
    0x3f203ffe,0xfffa80ff,0x6dc00007,0x9fffe41b,0x000ffffd,0x3209fff5,
    0xffd00fff,0x0fffe607,0x80dfff00,0xf1006fff,0x3ff60bff,0x9300005f,
    0x5fffb815,0x80000000,0x00fd42f9,0xfff50000,0xa880000d,0x4c409bcb,
    0x9dfb0009,0xdd1003ff,0xdddffffd,0xfffb1005,0xffffffff,0x59ffffff,
    0xff907fff,0xffc8009f,0x13fff22f,0x45fff900,0x7e406fff,0x7ffc04ff,
    0x07fff206,0x7fffffe4,0xfd8effff,0xffff506f,0x3fe0005f,0x7ffdc06f,
    0x03ffe83f,0x3613ffe6,0x00005fff,0x4ffff200,0x005ffff8,0x2e09fff5,
    0xffd00fff,0x0bffe607,0x80dfff00,0xf1006fff,0xfff10bff,0x0000007f,
    0x000bfff7,0x17a00000,0x800000db,0x0006fffa,0xffffff30,0x37fecbff,
    0x17a27c40,0x09fff500,0xffffe980,0xa989acef,0xffffffeb,0xfff304ff,
    0x7fff800d,0x0037ffcc,0xfff1fffe,0x4fffc80d,0x9037ffc0,0xffb03fff,
    0xfdb9dfff,0x0dffdfff,0x6fffffe4,0x37ffc000,0x07ffff70,0xff00fffa,
    0xffff88df,0x20000004,0x3ea3fffc,0xfa803fff,0xfff704ff,0x40fffa03,
    0x4002fff9,0x7fc06fff,0xfff1006f,0x3ffff50b,0xf7000000,0x00000bff,
    0x33fee000,0x000002ff,0x0037ffd4,0x7ffffdc0,0xd8efffff,0x0fb806ff,
    0xf50007dc,0x7c4009ff,0x001effff,0xbffffff7,0x01fffe80,0xd09fff30,
    0x26003fff,0x7ffc4fff,0x27ffe406,0xc81bffe0,0x7fd41fff,0xff980dff,
    0xd986ffff,0xffffffff,0x1bffe002,0x01ffffd4,0xfd807ffd,0x3ffe60ff,
    0x0000002f,0xfb0ffff2,0xfa801fff,0xfff504ff,0x40fffa03,0x4002fff9,
    0x7fc06fff,0xfff1006f,0x1ffff70b,0xf7000000,0x00000bff,0x7fffc000,
    0xa8000007,0x40006fff,0xcefffffc,0xfeffffed,0x41fa806f,0x7fd4007c,
    0x3ff6004f,0x44000cff,0x404ffffd,0x9004fffb,0xff703fff,0x3ff2009f,
    0x037ffc1f,0xf013fff2,0x7fe40dff,0x27fff41f,0x3ffffa20,0x5ffffcc6,
    0x0dfffffe,0xa86fff80,0x7403ffff,0x7fe403ff,0x3fffea2f,0x20000001,
    0x7c43fffc,0x7d405fff,0xfff504ff,0x40fffa03,0x4001fffa,0x7fc06fff,
    0xfff1006f,0x0ffff70b,0x3ee00000,0xaaaaaeff,0xaaaaaaaa,0x0001aaaa,
    0x17ffffd4,0x3ea00000,0x2a0006ff,0xd305ffff,0x00dfffff,0x027cc37e,
    0x013ffea0,0x01ffffd4,0xfffffd00,0x3fffc403,0x837ffc40,0x8807fff8,
    0xfff86fff,0x27ffe406,0xc81bffe0,0x3fea1fff,0xfff3006f,0x77ffc4df,
    0x3fffff20,0x37ffc03f,0x00bfffea,0xf700fffa,0x7ffdc9ff,0x40000007,
    0xfa83fffc,0x3ea03fff,0xfff304ff,0x40fffa05,0x4001fffb,0x7fc06fff,
    0xfff1006f,0x0dfff90b,0x3ee00000,0xffffffff,0xffffffff,0x0003ffff,
    0x37ffffec,0x3ea00000,0x3a0006ff,0x74404fff,0x7006ffff,0x001ffdff,
    0x804fffa8,0x006ffff8,0x3fffff60,0x7ffec06f,0x1fffd402,0x805fffb0,
    0xff83fffa,0x7ffe406f,0x037ffc04,0x7e43fff9,0x3f6002ff,0x3ffea6ff,
    0xffffe980,0xdfff00ef,0x017fffd4,0x5403ffe8,0x3fee6fff,0x554c006f,
    0xaaaaaaaa,0x3fff22aa,0x1ffffb03,0x813ffea0,0xffd04fff,0x01bff607,
    0xf01bffe0,0x3e200dff,0xfffd85ff,0x70000004,0xffffffff,0xffffffff,
    0x007fffff,0x7f7ffc40,0x000001ff,0x001bffea,0x8037ffd4,0x006ffff9,
    0x4000b6e2,0xa804fffa,0x0001ffff,0xfff7fff9,0x7ffd403f,0x07ffec05,
    0x80bfff50,0xff80fffd,0x7ffe406f,0x037ffc04,0x7f43fff9,0x7fcc007f,
    0x013ff66f,0x1ffffff7,0x3eadfff0,0x2e002fff,0x7fcc02cc,0x1bfff27f,
    0xfffff900,0xffffffff,0x881fffe4,0xf506ffff,0x7fec09ff,0x83ffe81f,
    0x8003fff9,0x7fc06fff,0xfff1006f,0x09fffb0b,0x3ee00000,0xffffffff,
    0xffffffff,0x0003ffff,0x3fe7ffee,0x2000004f,0x0006fffa,0x4005fffd,
    0x0006fffd,0x7ffd4000,0x5fffd804,0x3fff9000,0xf017fffe,0x3e201fff,
    0xfff805ff,0xbfff100f,0x901bffe0,0xff809fff,0x3fff206f,0x0017ffe1,
    0x3e2dfff1,0xfe9802ff,0x7fc0efff,0x4ffffaef,0x3e200000,0x3ffee7ff,
    0x7ffe4006,0xffffffff,0x0ffff27f,0x83ffffb8,0x2604fffa,0x7f40dfff,
    0x7fff443f,0x6fff8000,0x8037ffc0,0xfc85fff8,0x000005ff,0x55dfff70,
    0x55555555,0x35555555,0xb7ff4000,0x0000fffe,0x0dfff500,0x01fffe00,
    0x00dfff30,0x2af36ea6,0x3ffea001,0x7fffc404,0xfffb8001,0x01ffff22,
    0x2e05fff9,0xfc802fff,0xfff702ff,0x01bffe05,0xf809fff9,0x3ff206ff,
    0x09fff31f,0x22dfff00,0x32005fff,0x7fc5ffff,0xffffffff,0x3e000000,
    0xfff50fff,0xfffc800f,0xffffffff,0x0ffff27f,0x81ffffb0,0x5c04fffa,
    0xfd2dffff,0x3fff6a7f,0xfff0003f,0x06fff80d,0x70bfff10,0x0000dfff,
    0x17ffee00,0x30000000,0x3ff27fff,0x5000003f,0x1000dfff,0x8800bfff,
    0x3a606fff,0xffffffff,0xffa803ff,0x7ffd404f,0xfffa8007,0x07fffcc3,
    0x20bfff30,0xf3007ffe,0x3ffa0bff,0x01bffe07,0xf809fff9,0x3ff206ff,
    0x07fff51f,0x74dffd00,0x2e000fff,0x3fe1ffff,0xffffffff,0x3a000006,
    0xfff31fff,0x554c001f,0xfbaaaaaa,0x3fff27ff,0x7fffc403,0x027ffd46,
    0xea7fffd4,0xdfffb3ff,0x7ffc0003,0x037ffc06,0xa85fff88,0x00006fff,
    0x0bfff700,0xc8000000,0xfff31fff,0x2a00000d,0x98006fff,0xf8004fff,
    0xfff706ff,0xffffffff,0x7d401bff,0x7fdc04ff,0x7fcc007f,0x3ffff04f,
    0x40fffe80,0x2004fff9,0x7cc0fffe,0x3ffe04ff,0x27ffe406,0xc81bffe0,
    0xfff71fff,0xdffd0007,0x002fffe4,0xff8ffff6,0xfffbffff,0xb000003f,
    0x3fe23fff,0x400002ff,0x3f27fff8,0xffb803ff,0x3ffea3ff,0x9fff5004,
    0x7fecfffa,0x7fc0001f,0x37ffc06f,0x85fff880,0x000ffff9,0x7fdc0200,
    0x0000005f,0x3a3fffc0,0x00001fff,0x006fffa8,0x003fffb8,0xfe86ffe8,
    0xdccdefff,0x04fffffe,0x9013ffea,0x4400bfff,0x3fe04fff,0x7fdc02ff,
    0x0fffe43f,0x87fff700,0x3e01fffc,0x7fe406ff,0x37ffc04f,0x2a3fff90,
    0xf8004fff,0x3ffe26ff,0xff5000ef,0x7ffffcbf,0x03ffff71,0xfffd0000,
    0x02ffff41,0x3ffe2000,0x00ffff27,0xa87fffec,0xfa804fff,0x7ffd4fff,
    0x013ffff6,0x406fff80,0xf1006fff,0x3ffe0bff,0x3e00002f,0xfff70bdf,
    0x0000000b,0x2e27ffd4,0x00004fff,0x006fffa8,0x003fffb8,0x7dc6ffe8,
    0x36602fff,0xf500ffff,0xffd809ff,0xffd1004f,0x3fffe80b,0x237ffc40,
    0x44006fff,0x7ffc6fff,0x037ffc06,0xf013fff2,0x7fe40dff,0x0bfff31f,
    0xa8dfff00,0x003fffff,0x7ffcbfff,0x37ffec1f,0x7ff40000,0x1fffee0f,
    0xfff10000,0x01fffe4f,0x56ffff88,0xfc809fff,0xffd1ceff,0x3ffff267,
    0xdfff0004,0x006fff80,0x320bfff1,0x00004fff,0x2e3ffff3,0x00005fff,
    0x3fff6000,0x07fffc41,0x3fea0000,0xffa8006f,0xfff8004f,0x00ffff46,
    0x503fffe8,0xfe809fff,0xffd003ff,0xfffd801d,0x0fffd804,0x0007fff3,
    0x3e61fffb,0x7ffc03ff,0x27ffe406,0xc81bffe0,0xfff11fff,0xfff8800d,
    0xfffffc86,0x3ffe600d,0x221bffe3,0x0003ffff,0x223fffc0,0x0003ffff,
    0xc9fffe20,0x2e003fff,0xffabffff,0x3ffe604f,0xd83ffe85,0xf8001fff,
    0x7ffc06ff,0xbfff1006,0x03fffea0,0x3fff2000,0x017ffee6,0x7c400000,
    0xfffb06ff,0xfa800007,0xf98006ff,0xff8005ff,0x17ffe66f,0x04fffb80,
    0xe809fff5,0xfd803fff,0xffd800ef,0xfffa804f,0x001fff93,0x327fff50,
    0x7fc00fff,0x7ffe406f,0x037ffc04,0x7fc3fff9,0x3ee001ff,0xfff506ff,
    0x3f207fff,0x1bffe1ff,0x00ffffdc,0xff005ddb,0xffffb0df,0x3e200003,
    0x3fff27ff,0x7ffec003,0x204fffcf,0xfe80fffc,0x4fff983f,0x06fff800,
    0x88037ffc,0x3fe05fff,0x440005ff,0x3ee3ffff,0x000005ff,0x09fff700,
    0x001bffea,0x0dfff500,0x0dfff100,0x26fff880,0x2001edc9,0xf305fffa,
    0xffd809ff,0x7ffe404f,0x9fffd000,0x75bffe00,0x3e0005ff,0x0bffd6ff,
    0xc80dfff0,0x7fc04fff,0x3fff206f,0x017ffee1,0x206ffff8,0xefffffe8,
    0xf13fff21,0x7ff40dff,0x0fffa06f,0x10bfff10,0x001dffff,0x4ffff700,
    0x4003fffc,0xfffffff8,0x13ffe04f,0xfc81fff4,0xfff8007f,0x037ffc06,
    0x205fff88,0x002ffffa,0x1ffffd10,0x002fffdc,0xffe80000,0x3fffe01f,
    0x3ea00001,0xff0006ff,0x7dc003ff,0x300006ff,0x3e60bfff,0x7fe406ff,
    0x3fff205f,0x3fffe001,0x3fff9003,0x40005fff,0xfff9fffc,0x06fff802,
    0x2027ffe4,0x3f206fff,0x7fffc1ff,0xffffc801,0xffffb806,0x4fffdcff,
    0x2606fff8,0xfd03ffff,0xfffa807f,0xfffff504,0x3fa60005,0x3ff27fff,
    0xffb8003f,0x304fffff,0x3fa05fff,0x3fff703f,0x06fff800,0x88037ffc,
    0x7f405fff,0xd8003fff,0x7dc4ffff,0x000005ff,0x06fff980,0x002fffe4,
    0x0dfff500,0x17ffee00,0x06ffff80,0x7fed4400,0xffff105f,0xffb8357b,
    0x5fff706f,0x7fffc400,0xdfff3002,0x40001fff,0xfffefff9,0x06fff800,
    0x2027ffe4,0x3f206fff,0x7ffdc1ff,0x3fff202f,0xfb1006ff,0x3dffffff,
    0x901bffe0,0xfd03ffff,0xfffc807f,0x3ffff202,0xfb3002df,0x64dfffff,
    0xb0003fff,0x09ffffff,0x7407ffea,0xfff503ff,0x6fff8003,0x8037ffc0,
    0x4c05fff8,0x00cfffff,0x5ffffea8,0x005fffb8,0xffc80000,0x7ffcc03f,
    0xf500000f,0x7c000dff,0xfc801fff,0x51006fff,0xfffffd97,0x7ffc0bff,
    0x7d45ffff,0xfffa87ff,0x7ffcc003,0x3ffa001f,0x80004fff,0x04fffffe,
    0xc80dfff0,0x7fc04fff,0x3fff206f,0xdffffe81,0xfffecaab,0x54006fff,
    0x01ffffff,0x3a01bffe,0xffe86fff,0x03fff403,0x7fffffe4,0xecbaabcf,
    0xffffffff,0x01fffe42,0xfffff880,0x3fff704f,0x4c0fffa0,0x7c002fff,
    0x7ffc06ff,0xbfff1006,0xfffff500,0x753135bf,0x0dfffffb,0x3bbfffee,
    0xeeeeeeee,0xeeeeeeee,0x7ffc402e,0xfffe800f,0xff500003,0x7dc000df,
    0x3f203fff,0x2e06ffff,0xfffffffe,0x05ffffff,0x3fffffe6,0x17fffcc6,
    0x0009fff3,0x800dfff7,0x01fffffb,0xffffb800,0xdfff001f,0x04fffc80,
    0xf9037ffc,0x3ff603ff,0xffffffff,0x006fffaf,0xfffffd88,0x00dfff01,
    0xe87ffff3,0x7ffc03ff,0xffff5005,0xffffffff,0x9fffffff,0x07fff901,
    0x7fffdc00,0x3fff704f,0x4c0fffa0,0x7c002fff,0x7ffc06ff,0xbfff1006,
    0x3fffe600,0xffffffff,0x00efffff,0xfffffff7,0xffffffff,0xffffffff,
    0x5fffb807,0x0dfff700,0x3ffea000,0x7ff40006,0xecaabdff,0x86ffffff,
    0xfffffffb,0xffcdffff,0x7fecc05f,0xfffe87ff,0x009fff15,0x07ffff10,
    0x6ffff880,0xfff10000,0x7ffc00df,0x27ffe406,0xc81bffe0,0x3ee01fff,
    0xefffffff,0x005fff88,0x3bfffee0,0x006fff80,0x743ffff9,0x3fe603ff,
    0x3f22002f,0xffffffff,0x0dffffff,0x00ffff20,0x9ffffb00,0x403ffee0,
    0xff303ffe,0xfff8007f,0x037ffc06,0x005fff88,0x3fffff62,0xffffffff,
    0x7ffdc03f,0xffffffff,0xffffffff,0x7403ffff,0x9999bfff,0xff999999,
    0xa80002ff,0x80006fff,0xfffffffd,0xfffaffff,0x7ffffdc6,0x261bceff,
    0x22005fff,0xffff5009,0x000bffd3,0x003ffff2,0x00ffff60,0x3fffd800,
    0x01bffe00,0xf809fff9,0x3ff206ff,0x7654401f,0x3fe22cdf,0x7cc0005f,
    0xfff84fff,0xffff1006,0x901fff4d,0x20001fff,0xffffffda,0x801bdeff,
    0x0003fffc,0x827fffc4,0xfd00fffb,0x3ffe607f,0x37ffc003,0x401bffe0,
    0x8005fff8,0xffffffc8,0x800cffff,0xfffffffb,0xffffffff,0xffffffff,
    0x3fffe603,0xffffffff,0x5fffffff,0x00000000,0x3ffffee0,0xff88efff,
    0x3fffea6f,0x7fcc00be,0x7400005f,0x0effffff,0xffff8800,0xfff90006,
    0x7e400001,0xff1000ff,0x00dfb007,0x1fffc800,0xfff30000,0xff50000b,
    0x000000df,0xff80fffa,0x3300004f,0x00003fff,0x70000000,0x3fa01fff,
    0x7fff303f,0x06fff800,0x00037ffc,0xffd88000,0x000001ac,0x0007fdc0,
    0x7fffffe4,0xffffffff,0x00ffffff,0x00000000,0x337f72a2,0xd97ffe22,
    0x5000dfff,0x5500bfff,0xfffa8055,0xb0000eff,0x0003ffff,0x00017ffe,
    0x400bfff0,0xff801ffa,0x7e400004,0x500001ff,0xecb89fff,0xfffd001f,
    0xdeff8001,0x03ffe803,0x0001fff5,0x0037fc40,0xddfb0000,0x3ee00019,
    0x7ffd00ff,0x00fffe20,0x206fff88,0xb006fff8,0x00019ddf,0x00007fe8,
    0x01ff6000,0x7fffffc0,0xffffffff,0x3fffffff,0x5554c000,0x80000002,
    0x3fe5fff9,0x3ee000ff,0xfff805ff,0xffffd807,0xffe98004,0xf50003ff,
    0x400005ff,0x2002fffa,0x7c400ffb,0x6c00003f,0x37b21fff,0x3ff6000c,
    0x27ffe42f,0x01fffd80,0x77ffffc0,0x40fffa00,0x00005ffd,0x0177ffd4,
    0x7fec0000,0xc8001fff,0xffd00fff,0x0fffe207,0x05fff880,0x4017ffe2,
    0x01fffffd,0x7dfff100,0x80000001,0xfa8005ff,0x99999eff,0x99999999,
    0x0006fffc,0x0037ffe4,0x7fd40000,0x0dfff34f,0x05fffe80,0xc807fff8,
    0x02efffff,0xbfffff70,0x37ff4000,0x3ffa0000,0x07fe4006,0x000ffe60,
    0x41fffb00,0x5004fffb,0xf981ffff,0x7c400eff,0xba8007ff,0x3a05fffd,
    0xfff883ff,0x5cc00001,0x0005fffc,0x7fe54c00,0x7ec000ff,0x0fffa07f,
    0x2004fff8,0x2605fff9,0x73004fff,0x000ffff9,0x1bfff2e2,0xf8800000,
    0xffd8005f,0xff10003f,0x640005ff,0x90006fff,0xfc8009bd,0xffff32ff,
    0x3fff2001,0x7fff805f,0x7ffffdc0,0x89acefff,0xffffedb9,0xf90000df,
    0x400007ff,0x4003fffc,0x7d403ffd,0x7c00006f,0x3fea0fff,0x7fc400ff,
    0xffff05ff,0x4fffc80b,0x3ffec000,0xf907ffd0,0x800000bf,0x0000fffa,
    0x3fff7000,0x05fff800,0xff80fffa,0xff7000ff,0x7ffd409f,0xfffb8004,
    0x7fc40001,0x0000002f,0x4001fff1,0x000ffff8,0x017fffa0,0x06fffc80,
    0x05fff700,0x43fffe60,0x804ffff8,0x06fffffb,0x2a07fcc8,0xfffcbfff,
    0xffffffff,0x03ffffff,0x3fb2b2e0,0x70000fff,0xffffd959,0xeffc8001,
    0xfff994c1,0x4c005c43,0x46fffd98,0x02efffe8,0x01ffffd5,0x077fffea,
    0x05ffffb3,0x3fffc400,0xf887ffd0,0x000000ff,0x000fffe4,0xfffd8000,
    0xffd98801,0x0fffa03f,0x81cfffc8,0xfffeb898,0x3fee2622,0xfd8002ff,
    0x540001ff,0x00003fff,0x833ffe00,0xfffb81a8,0x7fd40005,0xf90000ff,
    0x2a000dff,0xe8806fff,0x7ff45fff,0xff9302ff,0x200fffff,0xfff506f9,
    0x7ffff4c7,0xffffffff,0x7dc001ef,0x01ffffff,0x3fffee00,0xa8001fff,
    0xffdeffff,0xbfffff15,0xff001ffd,0x307fffff,0xdfffffff,0x5fffffff,
    0xfffffc80,0xffffffff,0x33322003,0x205ffffe,0x7fec3ffe,0x65c00003,
    0x07ffffdc,0xb9970000,0xf00ffffd,0x01ffffff,0xf101fff4,0x5cdfffff,
    0x47ffffff,0x7ffffffb,0xfedccb80,0x654007ff,0x1fffffdc,0x36000000,
    0xffedffff,0x02fffe82,0x7fffc400,0xf9310004,0x7ff4000d,0xffd502ef,
    0xfff981ff,0xffecdeff,0xfffebfff,0xd03fb800,0x3f6a09ff,0xffffffff,
    0xff50001c,0x0005ffff,0xffffffa8,0x3ff60002,0x2a5fffff,0xffffffff,
    0x7fffcc00,0xff500dff,0xffffffff,0x32003dff,0xffffffff,0x4c002fff,
    0xefffffff,0x98fffa00,0x800006ff,0xfffffffe,0xfd000001,0x03ffffff,
    0x7ffffff0,0x403ffe80,0x26fffffc,0x2ffffffd,0x7fffffec,0xfffff803,
    0x6c001fff,0x3fffffff,0x4c000000,0xffffffff,0x07fffcc2,0x7ffe4000,
    0x1fe40007,0xffff1000,0xffffdfff,0x3ea05fff,0xffffffff,0xfff70dff,
    0x01ffb807,0x262009d1,0x00019aba,0x3effff98,0xfff98000,0xc80003ef,
    0x40acefff,0x0bdffffa,0xfffffb80,0xfffd5004,0x005bffff,0xfffff910,
    0x300039df,0x07dfffff,0x7ec7ffd0,0xf800000f,0x00cfffff,0x3ffe0000,
    0xf000cfff,0xd005dfff,0xff5007ff,0x7fffcdff,0xffff82ff,0xfff002ff,
    0x00019fff,0x3bfffffb,0x20000000,0x2dffffe9,0x005fffc8,0x5ffff300,
    0x07fe6000,0xfffd5000,0xffffffff,0xffd8803d,0x42efffff,0x7406fff9,
    0x0000001e,0x2a620000,0x4c400000,0x9800000a,0x00033000,0x80006a62,
    0x0009aaa9,0x00353100,0x0004c400,0x1aa86aaa,0x0cc00000,0x4c000000,
    0x35550001,0x00d55400,0x4c455330,0x2a6200aa,0x0130000a,0x000c4000,
    0x22000000,0x7fffc009,0x3fa00002,0xf98005ff,0x2e00006f,0xffffffff,
    0x54c4002d,0x200001ab,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7d400000,0x400007ff,0x000ffffb,0x000027dc,
    0x01355330,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fec0000,0x4400004f,0x8004ffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x009acb98,0x06666600,0x2a600000,0x019abcca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00019950,0x98000000,0x99999999,0x10000019,
    0x00001333,0x13333000,0x00000000,0x00cccc40,0x33000000,0x00000133,
    0x00066666,0x26200000,0x00000999,0x3104cccc,0xdd101333,0x700009dd,
    0x7fffffff,0xffff3000,0xb500000b,0xffffffff,0x0039ffff,0x017ffee0,
    0x17ffee00,0x7ffff800,0x3ff60000,0xfb00003f,0x440007ff,0x004fffff,
    0x7fdcbff3,0xffffffff,0xeeffffff,0x4c0000ac,0xffffffff,0x800007ff,
    0x006ffff9,0x7fe40000,0x000000df,0x4c000ef4,0x0002fffe,0xfffc8000,
    0xb000002f,0x0005ffff,0xffe80000,0x200000ff,0x363ffffb,0xf880ffff,
    0x40005fff,0xfffffffb,0xffd8002f,0x2200006f,0xffffffeb,0xffffffff,
    0x5c003eff,0x80005fff,0x0005fffb,0x05fffff5,0x3fff6000,0xffb00003,
    0x3e20007f,0x2004ffff,0x3fee0ffe,0xffffffff,0xffffffff,0x20002fff,
    0xfffffff9,0x00007fff,0x7fffffc4,0x50000005,0x00009fff,0x007ff100,
    0x03fff620,0xf8800000,0x00004fff,0x037fff40,0xf5000000,0x00003fff,
    0x265fffe8,0xf102ffff,0x4000bfff,0xfffffff9,0x7cc001ff,0x00000fff,
    0xfffffff9,0xfdb99bdf,0x3dffffff,0x17ffee00,0x3ffee000,0xfffb0005,
    0x20000dff,0x0003fffd,0x007fffb0,0x7fffff10,0x21ffdc00,0xfffffffb,
    0xffffffff,0x4fffffff,0x26666000,0x01999999,0x7ffec000,0x0003fffc,
    0x17ffc400,0xfb800000,0x7dc0000f,0x0000006f,0x0017ffee,0x3ffe2000,
    0x0000002f,0x007fffd0,0xefffa800,0x813fff20,0x005ffff8,0x2bbfff20,
    0xc8003a98,0x80002fff,0xdfffffe8,0xfeb8800a,0xb803ffff,0x80005fff,
    0x8005fffb,0xfffefff8,0xffd80001,0xfb00003f,0xf98007ff,0x2003ffff,
    0x7dc0fff9,0xccccceff,0xedcccccc,0x03ffffff,0x00000000,0x6d3fff20,
    0x00001fff,0x000332e0,0x06fd8000,0x05993000,0x3fe00000,0x000000ff,
    0x00bfff30,0xff500000,0xb00000bf,0x7fc43fff,0x7ffc406f,0x3fa0005f,
    0x880001ff,0x80004fff,0x0cffffe8,0x3ff66000,0x7fdc05ff,0xfb80005f,
    0xfb8005ff,0x04fff9ff,0x3fffd800,0xfffb0000,0x7ffcc007,0x7f4003ff,
    0x5fffb83f,0xfff91000,0xf98001ff,0x00fff05f,0x9bffea00,0x000ffff8,
    0x20bff300,0x000007ff,0x260013fe,0x0fff05ff,0x3fee0000,0x0000001f,
    0x000fffd4,0x3ff60000,0x4400000e,0x7fdc3fff,0x0000000f,0x001fffe2,
    0x002ffe40,0x6ffffcc0,0x3ee00000,0x3ee03fff,0xb80005ff,0xe8005fff,
    0x1fffd6ff,0xfffd8000,0xffb00003,0x3fe6007f,0x54003fff,0xfff707ff,
    0xffb8000b,0x7cc003ff,0x00fff05f,0x3ffff100,0x006fffb8,0x20bff300,
    0x000007ff,0x30003ff3,0x1ffe0bff,0x7ffc0000,0x00000003,0x0000bff9,
    0x0fffcc00,0x7fe40000,0x002fff85,0x7fcc0000,0x0000005f,0xffff9800,
    0xd1000003,0x3ee05fff,0xb80005ff,0x4c005fff,0xfff93fff,0xffd80007,
    0xfb00003f,0xff3007ff,0xd0005fff,0x3fee09ff,0xfd80005f,0x7cc006ff,
    0x00fff05f,0x00000000,0xf05ff980,0x200000ff,0xf30007fc,0x01ffe0bf,
    0x00000000,0x00000000,0x00000000,0xe8000000,0x70002fff,0x00007fff,
    0xffd00000,0x8000005f,0xb80fffe8,0x80005fff,0x4005fffb,0xff31fffc,
    0xfd8000df,0xb00003ff,0xf9807fff,0x8002ffff,0xf701fff9,0x70000bff,
    0x8800ffff,0x055501aa,0x32a60000,0x000009ab,0xaa80d544,0xfd000002,
    0x2aa2000b,0x00055501,0x2af2a600,0x00000009,0x01357953,0xa9880000,
    0x00009acb,0x74000000,0x33002fff,0x37fffb33,0x26660133,0x33330001,
    0x00bffee0,0x000732a2,0x2e17ffe6,0x80005fff,0x4005fffb,0x7ff47fff,
    0x3f60001f,0xb00003ff,0x7cc07fff,0x0002ffff,0x7dc0dffb,0x980005ff,
    0x7dc0ffff,0xb80005ff,0x2e005fff,0xffffffed,0x2e002dff,0x80005fff,
    0x9805fffb,0x2ffccdcb,0x017ffee0,0x17ffee00,0xfffedb80,0x02dfffff,
    0x7f6dc000,0xdfffffff,0x6d400002,0xffffffff,0xffb800cf,0xfb80005f,
    0x3fffa5ff,0xffff9802,0xffffffff,0x03ffff04,0x85fff980,0x4c04fff8,
    0xdffffffd,0x707fff60,0xffb81fff,0xfb80005f,0x3ea005ff,0x7ffdc4ff,
    0x3ff60004,0xfb00003f,0x3fe607ff,0x10002fff,0x7dc09fff,0xb80005ff,
    0xffb87fff,0xfb80005f,0xfe9805ff,0xffffffff,0x803effff,0x0005fffb,
    0x205fffb8,0xffffffda,0x3fee05ff,0xfb80005f,0xfe9805ff,0xffffffff,
    0x003effff,0x7ffff4c0,0xffffffff,0x5c0003ef,0xffffffff,0x0cffffff,
    0x017ffee0,0x97ffee00,0xa802fffe,0xffffffff,0xf903ffff,0xfc8009ff,
    0x6ffd82ff,0x7ffffdc0,0xfd0effff,0x0fffe0ff,0x000bfff7,0x00bfff70,
    0x220fffec,0x0000ffff,0x0007fffb,0x20ffff60,0x01fffff9,0x07fff200,
    0x005fffb8,0x86fffd80,0x0005fffb,0x405fffb8,0xfffffffb,0xffffffff,
    0x7fdc04ff,0xfb80005f,0xfff905ff,0xffffffff,0xbfff701d,0xfff70000,
    0xffffb80b,0xffffffff,0x004fffff,0xffffff70,0xffffffff,0x10009fff,
    0xfffffffb,0xffffffff,0x3fee01df,0xfb80005f,0x3fffa5ff,0xeeeeb802,
    0xeeeeffff,0x0dfff301,0x987fff80,0x3f201fff,0xfeceffff,0x6fff8eff,
    0xfb8fff70,0xb80005ff,0xf1005fff,0x3ff60dff,0xffb0003f,0x3600007f,
    0x7fcc3fff,0x40001fff,0x7dc06ffe,0x440005ff,0xfb84ffff,0xb80005ff,
    0xfb105fff,0x359dffff,0x3fffaea6,0xff700eff,0xf70000bf,0xfffb0bff,
    0xfff77bff,0xffb85fff,0xfb80005f,0xffb105ff,0x2359dfff,0xffffeba9,
    0xfb1000ef,0x359dffff,0x3fffaea6,0xf3000eff,0x359fffff,0xfff95311,
    0xff701dff,0xf70000bf,0x7fff4bff,0xfffa8002,0x7fff4004,0x9fff3001,
    0x640bffb0,0x440bffff,0x4ffffffe,0x5c3fff10,0x80005fff,0x7005fffb,
    0x3ea09fff,0xfb0006ff,0x200007ff,0x3e63fffd,0x0001ffff,0x2027ffc4,
    0x0005fffb,0x03ffffea,0x0017ffee,0x417ffee0,0x02fffffe,0xdffffd50,
    0x017ffee0,0x17ffee00,0x417ffff7,0x6fffeffa,0x002fffdc,0x82fffdc0,
    0x02fffffe,0xdffffd50,0x3ffffa00,0xffd5002f,0xff100dff,0x10019fff,
    0x81dffff9,0x0005fffb,0x3a5fffb8,0xb8002fff,0x5c003fff,0xf9004fff,
    0x5fff03ff,0x0ffffe60,0x5fffffd0,0xf717ff40,0x70000bff,0x3a00bfff,
    0x3fe01fff,0xfd8001ff,0xb00003ff,0x3fe67fff,0x0000ffff,0x201fffd4,
    0x2005fffb,0xffffca98,0xbfff703f,0xfff70000,0xbffff70b,0xfffb0001,
    0xbfff709f,0xfff70000,0x27fffc4b,0x7ff47fe4,0x17ffee1f,0x3ffee000,
    0xdffffb85,0xfffd8000,0x7ffdc04f,0xfd8000df,0x7ec04fff,0xc8002fff,
    0x7dc3ffff,0xb80005ff,0x3ffa5fff,0xffd8002f,0x7fc4001f,0xfff8807f,
    0x207ffa86,0x9803fffe,0x200fffff,0x3fee3ffd,0xfb80005f,0xff9805ff,
    0x7ffe406f,0xfffd8005,0xffb00003,0xfffff37f,0xc8000dff,0x7dc02fff,
    0xeeeeefff,0xffffeeee,0x205fffff,0x0005fffb,0x445fffb8,0x0004ffff,
    0x20ffffe4,0x0005fffb,0x325fffb8,0x9ff06fff,0xfb97ffe6,0xb80005ff,
    0x7fc45fff,0x640004ff,0xf101ffff,0x80009fff,0x701ffffc,0x0005ffff,
    0x2e3fffec,0x80005fff,0x3fa5fffb,0xfe8002ff,0xfd8000ff,0x7fd402ff,
    0x04ffc83f,0x400dfff7,0x6407fffe,0x3ffee4ff,0xffb80005,0xfffc805f,
    0x7fffcc03,0x7ffec000,0xffb00003,0xffffffbf,0x40009fff,0x5c02fffe,
    0xffffffff,0xffffffff,0x402fffff,0x0005fffb,0x6c5fffb8,0x00006fff,
    0xfb8dfffd,0xb80005ff,0x3ffa5fff,0x22ff981f,0x3fee5efe,0xfb80005f,
    0x7ffec5ff,0xffd00006,0x3fff60df,0xffd00006,0x3fffe0df,0x7fc40004,
    0x3ffee2ff,0xffb80005,0x0bfffa5f,0x01fffe00,0x02fffd40,0x3e03fff6,
    0xfffd01ff,0x7ffec005,0x72ffdc05,0x0000bfff,0x880bfff7,0xe800ffff,
    0x6c003fff,0x00003fff,0xfffffffb,0x5ffffb1d,0x3fffe000,0x7fffdc01,
    0xffffffff,0xbdffffff,0x5fffb800,0xfffb8000,0x0bfffe65,0x7ffd4000,
    0x17ffee1f,0x3ffee000,0x20ffff35,0x5c020ffb,0x80005fff,0x3e65fffb,
    0x00002fff,0x983ffff5,0x0002ffff,0x83ffff50,0x000ffffa,0x25fffd80,
    0x0005fffb,0x3a5fffb8,0x44002fff,0x20005fff,0xf100ffff,0xfff10bff,
    0x0dfff501,0x03fffc80,0xff71ffe4,0xf70000bf,0xffb80bff,0xfff7005f,
    0xfffd800d,0xffb00003,0x221dffff,0x000fffff,0x400ffff8,0xeeeffffb,
    0xffffeeee,0x7dc000cf,0xb80005ff,0x3ff65fff,0x7400005f,0x3fee4fff,
    0xfb80005f,0xdfff55ff,0x5c01bf60,0x80005fff,0x3f65fffb,0x400005ff,
    0x7ec4fffe,0x400005ff,0x7ec4fffe,0x300005ff,0xfffb8159,0xffb80005,
    0x0bfffa5f,0x09fff500,0x17ffe400,0x982fffb8,0xfffb07ff,0xfffc8007,
    0x717fec02,0x0000bfff,0xe80bfff7,0x9999bfff,0xff999999,0x3f6002ff,
    0xb00003ff,0x81dfffff,0x005ffffa,0x403fffc4,0x4405fffb,0x00dffffc,
    0x017ffee0,0x97ffee00,0x0002ffff,0x73fffdc0,0x0000bfff,0x3eebfff7,
    0x3ff884ff,0x0bfff700,0xbfff7000,0x0017fffc,0x1fffee00,0x0005ffff,
    0x27fffb80,0x003ffff8,0xfffb8000,0xffb80005,0x0bfffa5f,0x07fff700,
    0x2fffcc00,0xf507ffe8,0x3fffa0df,0x7fff4001,0x507ff400,0x0000dfff,
    0x4c09fff9,0xffffffff,0xffffffff,0x36005fff,0x00003fff,0x01dffffb,
    0x00fffff2,0x806fff98,0x5005fffb,0x001fffff,0x0017ffee,0x457ffee0,
    0x0000ffff,0x8ffffc40,0x0005fffb,0xf95fffb8,0x3ff507ff,0x17ffee00,
    0x3ffee000,0x01ffff15,0xfff88000,0x1ffff11f,0xff880000,0xffff51ff,
    0x70000003,0x0000bfff,0x7f4bfff7,0x7ec002ff,0x740001ff,0x7fcc0fff,
    0x0bff704f,0x0003fffe,0xf980dfff,0x37ffcc7f,0x7ffec000,0x3ffff204,
    0xffffffff,0xffffffff,0x7fffb000,0x3ff60000,0x7ff400ef,0xff3001ff,
    0xfff700bf,0x7ffd400b,0xfff7006f,0xff70000b,0x1fffe6bf,0x7ff40000,
    0x0bfff73f,0xbfff7000,0x320bfff2,0x3fee007f,0xfb80005f,0xffff35ff,
    0x3fa00000,0xffff33ff,0x3fa00000,0xffff73ff,0x70000001,0x0000bfff,
    0x7f4bfff7,0x7f4002ff,0x5c0000ff,0x7fe43fff,0x0bff701f,0x800ffff1,
    0x6405fff9,0x7ffc45ff,0xffe80006,0x3fffe03f,0xffffffff,0xffffffff,
    0xfffb003f,0x3f600007,0xff9803ff,0xf8800eff,0xffb806ff,0x7fdc005f,
    0xffb805ff,0xfb80005f,0xffff55ff,0x3f600000,0xbfff73ff,0xfff70000,
    0x20ffff2b,0x3ee004ff,0xb80005ff,0xfff55fff,0x3600000f,0xfff53fff,
    0x3600000f,0xfff73fff,0x2000000f,0x0005fffb,0x3a5fffb8,0x7c002fff,
    0x880007ff,0x7ffc6fff,0x217fee06,0x4006fff8,0x2203fffb,0xfff83fff,
    0xffe80007,0xdfff503f,0x33333333,0xff933333,0x3ff600df,0xfb00003f,
    0x3ee007ff,0xf8805fff,0xffb806ff,0xffd8005f,0x7fdc03ff,0xfb80005f,
    0xdfff75ff,0x3f600000,0xbfff74ff,0xfff70000,0x317ffeeb,0x7dc005ff,
    0xb80005ff,0xfff75fff,0x3600000d,0xfff74fff,0x3600000d,0xfff94fff,
    0x2000000d,0x0005fffb,0x3a5fffb8,0x22002fff,0x00005fff,0x3e61fffb,
    0x3fea03ff,0x00ffff06,0x00ffffc4,0x3fe0dff9,0x220001ff,0xfb01ffff,
    0x220007ff,0xd802ffff,0x00003fff,0x4007fffb,0x803ffffd,0xfb807fff,
    0xf88005ff,0x2e01ffff,0x80005fff,0xff95fffb,0x2000009f,0xff75fffc,
    0xf70000bf,0x3ffeabff,0x4407fdc6,0x3ffee19a,0xffb80005,0x09fff95f,
    0x3ff20000,0x09fff95f,0x3ff20000,0x09fffb5f,0x3ee00000,0xb80005ff,
    0x3ffa5fff,0x3fea002f,0xf500004f,0x3fff27ff,0x41ffe600,0x32007ffd,
    0x3e607fff,0xfffd01ff,0x7fdc0007,0xfff880ff,0x3fa0000f,0xffd805ff,
    0xfb00003f,0x7c4007ff,0x7401ffff,0xffb807ff,0xff50005f,0x7fdc0dff,
    0xfb80005f,0x9fffb5ff,0x3f200000,0xbfff75ff,0xfff70000,0xd1fffe6b,
    0x3fff20bf,0x00bfff72,0x2bfff700,0x0004fffd,0x2bfff900,0x0004fffd,
    0x2bfff900,0x0004fffd,0xbfff7000,0xfff70000,0x017fff4b,0x005fff70,
    0xeb7ffc00,0x7fcc05ff,0x2fffb80f,0x6ffff880,0x409fff30,0x000ffffb,
    0x20dffff0,0x0005fffb,0x007fffd4,0x000ffff6,0x01fffec0,0x1bfffea0,
    0x801fffd0,0x0005fffb,0x413ffff6,0x0005fffb,0xfb5fffb8,0x00000bff,
    0x7dd3fff6,0xb80005ff,0x3ffa5fff,0x207ff11f,0xff70fffe,0xf70000bf,
    0x3fff6bff,0xfb000005,0x3fff69ff,0xfb000005,0x3fff29ff,0x70000005,
    0x0000bfff,0x7f4bfff7,0x3f2002ff,0x200001ff,0xfff9fffc,0x0fffc402,
    0x2037ffd4,0x84ffffe8,0x400ffff9,0x8005ffff,0xd02ffffb,0x80005fff,
    0x404ffff8,0x0003fffd,0x007fffb0,0x09ffffb0,0x2017ffe4,0x0005fffb,
    0x07ffffe2,0x0017ffee,0x657ffee0,0x00006fff,0x2e7fffd0,0x80005fff,
    0x3ee5fffb,0x1ffa8eff,0x2e5fffa8,0x80005fff,0xff95fffb,0x200000df,
    0xff93fffe,0x200000df,0xff73fffe,0x000000df,0x0017ffee,0xe97ffee0,
    0x3a002fff,0x00000fff,0x3ffbffe6,0x5ffd800f,0x04ffff88,0xbffffff3,
    0x02ffffb8,0x1effffb8,0xffffe980,0x1ffff306,0xfff90000,0x3fffd80f,
    0xfffb0000,0xffd10007,0x3fea05ff,0x7ffdc04f,0x7fdc0005,0xfffa86ff,
    0xffc80006,0x0ffff74f,0x3ffe0000,0x0dfff53f,0x9fff9000,0x667fffc4,
    0xffff887f,0x01bffea2,0x53fff200,0x0007fffb,0x27ffff00,0x0007fffb,
    0x27ffff00,0x0006fffa,0xdfff5000,0xfff90000,0x017fff49,0x000dfff0,
    0xfffffd00,0x3ffee009,0xdffff980,0xefffdb9a,0xffddffff,0xf1001fff,
    0x9bffffff,0xfffd9755,0x3f203fff,0x300005ff,0x6c05ffff,0xeeeeefff,
    0xeeeeeeee,0xfffb1eee,0x3fe60007,0xfff00fff,0x5fffb80d,0xfffd8000,
    0x37ffd43f,0x7ffec000,0x01ffff54,0xfff88000,0x0dfff52f,0x9fffb000,
    0xffffffa8,0x27fffd44,0x001bffea,0x553fff60,0x0000ffff,0x97fffc40,
    0x000ffffa,0x7fffc400,0x01ffff32,0xfa804000,0xd80006ff,0x3ffa4fff,
    0xfff1002f,0xf700000b,0x2003ffff,0xf503fff8,0xffffffff,0xfffff53d,
    0x001dffff,0xfffffe98,0xffffffff,0x3e01ffff,0x00002fff,0xd817fffa,
    0xffffffff,0xffffffff,0xfffb1fff,0x7fe40007,0xfffb06ff,0x05fffb80,
    0xffff8800,0x1bffe60f,0x3fffa000,0x007fffe3,0xffff5000,0x0037ffcc,
    0x41ffff40,0xcefffffc,0x85fffffd,0x0006fff9,0x3e3fffe8,0x00001fff,
    0x3e3fffd4,0x00001fff,0x3e3fffd4,0x00002fff,0x7cc2f7fe,0xe80006ff,
    0x3ffa3fff,0xfff5002f,0xf1000009,0xd800dfff,0x3fee06ff,0x10dfffff,
    0xfffffffd,0xffc8000b,0xffffffff,0x201dffff,0x0007fffa,0x07fffdc0,
    0xffffffd8,0xffffffff,0xfb1fffff,0xe80007ff,0xfb84ffff,0x3fee01ff,
    0xf700005f,0x7fccbfff,0xfe80007f,0x3fff23ff,0x7f400006,0x3ffe64ff,
    0xffe80007,0xffff703f,0xbfffffff,0x0ffff301,0x7fffd000,0x0037ffe4,
    0x13fffa00,0x000dfff9,0x44fffe80,0x0004fffc,0x23ffff30,0x0007fff9,
    0x3a3fffe8,0xf7002fff,0x000005ff,0x000ffff6,0x440bfff3,0x881befda,
    0x00acefed,0x98035551,0xffffffdb,0xd801dfff,0x00004fff,0x827fffc4,
    0xfffffffd,0xffffffff,0xffb1ffff,0xf980007f,0x7c42ffff,0x3fee04ff,
    0x3a00005f,0x3fe2ffff,0x7c0001ff,0x3fea1fff,0x700002ff,0xff83ffff,
    0x7c0001ff,0x3e601fff,0xefffffff,0x0ffffc01,0x3fffe000,0x0bfffea1,
    0x7ffdc000,0x7fffd41f,0xff700002,0xfffa83ff,0xfc80000f,0x7fffc6ff,
    0x7ffc0001,0x0bfffa1f,0x00fffe40,0xfffc8000,0xfffc8000,0x80000004,
    0x001fffe8,0x04dffe4c,0x00000000,0x00013fe2,0x00000000,0x1fff6000,
    0x00000000,0x001fffec,0xd0ffff70,0x0001ffff,0x86ffff88,0x0003fffd,
    0x301fffee,0x157959ff,0x0ffff600,0x7fffb800,0x00ffffe8,0x7fffc400,
    0x1ffffd06,0xfff88000,0xbffff06f,0xfff88000,0x1fffec3f,0xffff7000,
    0x002fffe8,0x0000fffd,0x002fffc0,0x02ffff88,0x3a200000,0x70004fff,
    0x000000ff,0x17fd4000,0x777f4000,0x7cc00003,0x20001def,0x0002fff9,
    0x019ddfb0,0x3fffee00,0xffff0000,0x9ffff30b,0xfffd8000,0xffffb81f,
    0xffff0000,0x01ffb80b,0x3fffee00,0xffff0000,0x9ffff30b,0xfffd8000,
    0xffff301f,0xffd80009,0xfff501ff,0x3a20005f,0x7dc0ffff,0xf0000fff,
    0xffe8bfff,0xdfff002f,0x3ea00000,0x260002ff,0x000cffff,0x7ff4c000,
    0x3f60005f,0x00000006,0x003ff200,0x3ffffa00,0xf300000f,0x000bffff,
    0x0002ffec,0x1fffffd8,0xffff9800,0xfffb8005,0xffff902f,0xfe88001b,
    0xff304fff,0xf7000bff,0xfe805fff,0x7fcc0006,0xfb8005ff,0xff902fff,
    0x88001bff,0x404ffffe,0x00dffffc,0x7ffff440,0x7ffff404,0xfffd8003,
    0xffff984f,0xfffb8005,0x17fff42f,0x02fffd40,0x6ffe8000,0xfff98000,
    0x800002ff,0x05ffffc8,0x0037f400,0x90000000,0x500003ff,0x00dfff97,
    0x3f6ea200,0xf30003ff,0x300001ff,0x01ffff95,0xdffff900,0xfffd3003,
    0xfffe80df,0xff5002ff,0xfc80dfff,0x9801efff,0x406ffffe,0x80004ff8,
    0x01effffc,0x6ffffe98,0x7fffff40,0xffff5002,0x3ffa00df,0xf5002fff,
    0x300dffff,0x019fffff,0xbffffd50,0x77fffe40,0xfffe9801,0x2fffe86f,
    0x02fffc80,0xfffc8000,0xff300003,0x0015bfff,0xffffb980,0xff80004f,
    0x0000001f,0x09ffb000,0xfffc8000,0x7c400000,0x360005ff,0x400004ff,
    0x8001fffb,0xfffffff8,0xfecbaace,0x401fffff,0xefffffd8,0xecb989bc,
    0x00efffff,0x7fffffc4,0xecbaacef,0x01ffffff,0x0000ffd4,0x7fffffc4,
    0xecbaacef,0x01ffffff,0x7ffffec4,0xcb989bce,0x0efffffe,0xffffb100,
    0x731379df,0xdfffffd9,0x3ffea001,0x989adfff,0xfffffdba,0x7fffc406,
    0xbaacefff,0xffffffec,0x22fffe81,0xffb989a8,0x5c0000ff,0xffffecac,
    0x36200000,0xbeffffff,0x2e662019,0x2ffffffe,0xbffd0000,0x00015441,
    0x3fee0000,0x009730bf,0x01fffd10,0xfffa8000,0x3fe20005,0x3600000f,
    0x30001fff,0xfffffffd,0xffffffff,0x7e4003ff,0xffffffff,0xffffffff,
    0x3ffa6004,0xffffffff,0x1fffffff,0x0007fc80,0x3ffffa60,0xffffffff,
    0x001fffff,0x3ffffff2,0xffffffff,0x90004fff,0xffffffff,0xffffffff,
    0xff30009f,0xffffffff,0xdfffffff,0xfffd3001,0xffffffff,0x03ffffff,
    0xfb8bfffa,0x5fffffff,0xfffb8000,0x0001ffff,0xffffd500,0xddffffff,
    0xffffffff,0x00019fff,0x6ffffe40,0x00004ffd,0x7ffcc000,0x806fffff,
    0xffffeccc,0x664c0005,0x02ffffed,0x02ffdc00,0xfedccb80,0x440007ff,
    0xfffffffd,0xefffffff,0xffea8000,0xffffffff,0x8002efff,0xffffffd8,
    0xffffffff,0x0bff000e,0xffd88000,0xffffffff,0x000effff,0xfffffea8,
    0xffffffff,0x7540002e,0xffffffff,0x02efffff,0x3fff6200,0xffffffff,
    0x44003fff,0xfffffffd,0xefffffff,0xfffb0000,0x001fffff,0xfffff500,
    0x0000005f,0xffffffb5,0xffffffff,0x019fffff,0xfff10000,0x009fffff,
    0xf9000000,0x0bffffff,0xffffff88,0x5c0000ff,0x4fffffff,0x3ffd0000,
    0xffffd000,0x00003fff,0x3fffff26,0x01cfffff,0xfffd9800,0x1cffffff,
    0xffc98000,0xffffffff,0x3fe6001c,0x93000002,0xffffffff,0x000039ff,
    0xffffffb3,0x00039fff,0xffffd980,0x01cfffff,0x3ff22000,0xffffffff,
    0x3260000c,0xffffffff,0x40001cff,0xeffffffe,0xff300001,0x00007dff,
    0xfeca8800,0xffffffff,0x0001beff,0xfffd8800,0x000001be,0x3ffaa000,
    0xff8801ce,0x000befff,0xfffffc80,0x2200002d,0xff8005ff,0x000cffff,
    0x77533000,0x00001335,0x26b2a660,0x26000001,0x099abba9,0x00eb8800,
    0xa9980000,0x00099abb,0x59533000,0x00000033,0x066b2a66,0x26200000,
    0x0001abaa,0x57753300,0x80000133,0x0001aa98,0x000a9880,0x26000000,
    0x199aaa99,0x20000000,0x00000098,0x00000000,0x00000262,0x00000988,
    0x8000aa60,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e206fe8,
    0x9999805f,0x00999980,0x02666600,0x204cc400,0x88000199,0x00009999,
    0x4ccc4000,0x20000009,0x00001998,0x00006666,0x00266662,0x99988000,
    0x30000009,0x4cc43333,0x20000099,0x00aabca9,0x04d44000,0x88002aa8,
    0x3ba203ee,0x98800003,0x00000099,0x801bfffe,0xfffffff8,0xeeb8003f,
    0xb880000b,0xffffffec,0xffffffff,0x01bffe0f,0xfffff800,0x3f205fff,
    0x07ff903f,0xb8bfffb0,0x20006fff,0x002ffffc,0x7dcbffa0,0xf880004f,
    0x00007fff,0x77fffc00,0xf5000000,0x0000bfff,0x007ffff9,0xffffe880,
    0xf9000000,0x00005fff,0x49ffff30,0x001ffffc,0x3fffb2a0,0x0befffff,
    0x3ff62000,0x3fe61cff,0x1ffd0005,0x0007ff60,0xdffff300,0x3e000001,
    0x22006fff,0xffffffff,0x66ff4003,0x3220007f,0xffffffff,0xffffffff,
    0x3ffe0fff,0x3fe00006,0x05ffffff,0x2273ffe6,0x800fffca,0xf12fffe8,
    0x20001fff,0x004ffff8,0x7dfff440,0x2600005f,0x0003ffff,0xffff7000,
    0x22000003,0x04ffffff,0x3fffea00,0x440002ff,0x0003ffff,0x3ffff880,
    0xffb00000,0x7fffc4df,0xffd30003,0xffffffff,0x0005ffff,0x3ffffff6,
    0x04ffecef,0x43bff900,0x0007ffb9,0x7ffff440,0xf000005f,0x4400dfff,
    0xffffffff,0x88be6003,0xff98003f,0xffffffff,0xffffffff,0x3ffe0fff,
    0x3fe00006,0x05ffffff,0x7fffffe4,0x26002fff,0xffd8ffff,0x3ee0001f,
    0x100005ff,0x000bffff,0x0ffff500,0x3fa00000,0x000003ff,0x3ff3fffa,
    0xff98002f,0x00fffdef,0x7fffcc00,0x7e400000,0x000005ff,0x5c1ffff1,
    0x30005fff,0xffffffff,0xffffffff,0xff98009f,0xfffffddf,0x10000fff,
    0xfffffffd,0x800005ff,0xfffcfffd,0xff800003,0x4cc006ff,0x03fffb99,
    0x01b61f60,0xffffff10,0xddddffff,0xdddffffd,0x0037ffc1,0x33ffff00,
    0xff700133,0x005fffff,0xffdfff50,0xff80007f,0x200000ef,0x0000ccc9,
    0x07fff900,0xffa80000,0x2000004f,0xffd3fffc,0x7f44003f,0xefff89ff,
    0x7fdc0000,0x2200003f,0x0000efff,0x85fff900,0x8000fffe,0xbefffff9,
    0xfeba999a,0x2004ffff,0x3ee24ffb,0x0002ffff,0x7fffff4c,0x400003ff,
    0xffb5fffb,0xf800005f,0x40006fff,0x2003fffa,0x002f40fc,0x3ffffff6,
    0xfc83ffff,0x1bffe07f,0x7fff8000,0x32ea2000,0x7e40002b,0x0004ffff,
    0x000fffdc,0x7c17fe60,0x6c00007f,0x000006ff,0x00037ff4,0x4dfff700,
    0x000efff9,0x7dc9fffb,0xc80005ff,0x200007ff,0x0001fffb,0x513ffe00,
    0x20005fff,0x002ffffd,0x03ffffd5,0x4c0732a0,0x200000ab,0x00cdeeca,
    0x7ffcc000,0x1ffff10f,0x00000000,0x01fffd40,0x17d49f10,0xfffff300,
    0x07ffffff,0x7fc0fff9,0x3e00006f,0x000007ff,0xeeed8000,0xeed80005,
    0xff980002,0x000fff05,0x02ffe880,0xfff50000,0x26000001,0x7e41ffff,
    0xffb805ff,0x3fffe86f,0x2eed8000,0x5fff0000,0x7d400000,0x04ffe86f,
    0x3ffff300,0xffff8800,0x00000005,0x00000000,0x85ffff10,0x000efffa,
    0x50000000,0xd8007fff,0x4006feff,0xfffffffb,0xfc83ffff,0x1bffe07f,
    0x7fff8000,0x00000000,0x00000000,0x0bff3000,0x00001ffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff70000,0x3fea0009,
    0x000000ff,0x00000000,0x00000000,0x2f72e600,0x004cc409,0x001fffd4,
    0x40016e4c,0xfffffffd,0xfc83ffff,0x1bffe07f,0x7fff8000,0x7b973000,
    0x00998813,0x33103331,0x33310013,0x00133310,0x5501aa88,0x00000005,
    0x00000000,0x00000000,0x44000000,0x99988199,0x32a60000,0x00000aab,
    0x4d5e54c0,0xfff90000,0x7ffc0005,0x17ffee1f,0x3ffee000,0x00bfff75,
    0x0bfff700,0x00000000,0x3fffffaa,0x1bff65ff,0x5cfffea0,0x80005fff,
    0xffd5fffb,0xffffffff,0x0fff907f,0x2a237ffc,0xf800acdc,0x754007ff,
    0x5fffffff,0x7f41bff6,0x7ffec1ff,0x1fffe802,0x5c17ffec,0x80005fff,
    0xff75fffb,0xf70000bf,0x3ffeebff,0xffb80005,0x3ea0005f,0x7fdc06ff,
    0xfb80005f,0xfffd05ff,0x02fffd83,0x3fffb2a0,0x0befffff,0xfedb8000,
    0xdfffffff,0x7ffec002,0x3ff60003,0x17ffee3f,0x3ffee000,0x00bfff75,
    0x2bfff700,0x004ffffb,0x3ffff600,0xfffff900,0xb1dfffff,0xff500dff,
    0x17ffee7f,0x3ffee000,0xffffffd5,0x907fffff,0x7ffc0fff,0xfffffd16,
    0x7fc019ff,0x3ff2007f,0xffffffff,0xd06ffd8e,0xffd83fff,0xfffe802f,
    0x417ffec1,0x0005fffb,0xf75fffb8,0x70000bff,0x3feebfff,0xfb80005f,
    0x2a0005ff,0x7dc06fff,0xb80005ff,0xffd05fff,0x2fffd83f,0xffffe980,
    0xffffffff,0xd30002ff,0xffffffff,0x07dfffff,0x01fffea0,0xfb819880,
    0xb80005ff,0xfff75fff,0xff70000b,0x7ffff4bf,0xffb80001,0xfffb03ff,
    0xffdb9dff,0x00dffdff,0x3ee7fff5,0xb80005ff,0xfffb5fff,0xffffffff,
    0x40fff907,0xfff9efff,0xffffffff,0x00ffff01,0x3bfffff6,0xeffffedc,
    0xfffd06ff,0x02fffd83,0x6c1fffe8,0xffb82fff,0xfb80005f,0xbfff75ff,
    0xfff70000,0x017ffeeb,0x17ffee00,0x6fffa800,0x02fffdc0,0x2fffdc00,
    0x6c1fffe8,0x7cc02fff,0xffffffff,0xffffffff,0x7ffdc004,0xffffffff,
    0x04ffffff,0x03ffff88,0xfffb8000,0xffb80005,0x0bfff75f,0xbfff7000,
    0x037fffcc,0x3fffe200,0xbffff505,0xfffff301,0xfff500df,0x017ffee7,
    0x57ffee00,0xfffffffc,0xfc83ffff,0x3fffe07f,0xdbbdffff,0xf82fffff,
    0xffa807ff,0xff980dff,0xfd06ffff,0xfffd83ff,0x1fffe802,0x5c17ffec,
    0x80005fff,0xff75fffb,0xf70000bf,0x3ffeebff,0xffb80005,0x3ea0005f,
    0x7fdc06ff,0xfb80005f,0xfffd05ff,0x02fffd83,0x3bffffe6,0xeba999ab,
    0x804fffff,0xefffffd8,0xfd7531ac,0x801dffff,0x01dffffe,0x3ffee000,
    0xffb80005,0x0bfff75f,0xbfff7000,0x04ffffb8,0x3ffff600,0x09fffd00,
    0x6ffffe88,0x73fffa80,0x0000bfff,0x3eabfff7,0xffffffff,0x7ffc83ff,
    0x3fffffe0,0xfffe880d,0x03fffc0f,0x2027fff4,0x06ffffe8,0x33103331,
    0x33310013,0x70133310,0x0000bfff,0x3eebfff7,0xb80005ff,0xfff75fff,
    0xff70000b,0x7d4000bf,0x7fdc06ff,0xfb80005f,0x333105ff,0x40133310,
    0x002ffffd,0x03ffffd5,0x2fffffe8,0xffffd500,0xffffa80d,0x0001ceff,
    0x002fffdc,0xbafffdc0,0x80005fff,0xfe85fffb,0xa8001fff,0xf502ffff,
    0x3e600dff,0xfa806fff,0xbfff73ff,0xfff70000,0x7fffff4b,0xc83fffff,
    0x3ffe07ff,0x7f4404ff,0x3fffc4ff,0x01bffea0,0x037fffcc,0x00000000,
    0x017ffee0,0x57ffee00,0x0005fffb,0xf75fffb8,0x70000bff,0x4000bfff,
    0x5c06fffa,0x80005fff,0x0005fffb,0x7fffcc00,0x7ffc4001,0x3ffee05f,
    0xfd8000df,0x7cc04fff,0xffffffff,0x7dc001bd,0xb80005ff,0xfff75fff,
    0xff70000b,0xffff30bf,0xfff8800d,0x3fff205f,0x3fff6002,0x3fffa806,
    0x000bfff7,0x4cbfff70,0xffffffff,0x7ffc83ff,0x03ffffe0,0xf1fffe60,
    0xffc80fff,0x3ff6002f,0x0000006f,0x7fdc0000,0xfb80005f,0xbfff75ff,
    0xfff70000,0x017ffeeb,0x17ffee00,0x6fffa800,0x02fffdc0,0x2fffdc00,
    0x3ee00000,0xf50004ff,0xff101fff,0xc80009ff,0x4401ffff,0xfffffffe,
    0x00adffff,0x002fffdc,0xbafffdc0,0x80005fff,0xf705fffb,0x6c007fff,
    0x3a00efff,0x7cc007ff,0xffa806ff,0x0bfff73f,0xbfff7000,0xffffffb8,
    0xffc83fff,0x0ffffe07,0x21fffd80,0x7f407fff,0x7fcc007f,0x0000006f,
    0x7fdc0000,0xfb80005f,0xbfff75ff,0xfff70000,0x017ffeeb,0x17ffee00,
    0x6fffa800,0x02fffdc0,0x2fffdc00,0x3f200000,0x3e0002ff,0xffd81fff,
    0xfd00006f,0xd7100dff,0xffffffff,0x2019ffff,0x0005fffb,0xf75fffb8,
    0x70000bff,0x7f40bfff,0xfa801fff,0x7fc01fff,0x7fc4005f,0xfffa806f,
    0x00bfff73,0x0bfff700,0xffffffd1,0x0fff907f,0x0007fffc,0x7fc5fff5,
    0x2fffc07f,0x9bffe200,0x4c000999,0x02666099,0x2e133300,0x80005fff,
    0xff75fffb,0xf70000bf,0x3ffeebff,0xffb80005,0x3ea0005f,0x7fdc06ff,
    0xfb80005f,0x026665ff,0x6c133300,0x20003fff,0x7cc3fffd,0x00002fff,
    0x003ffff5,0x7ffff5cc,0x2fffffff,0x005fffb8,0x75fffb80,0x0000bfff,
    0x4c0bfff7,0x4406ffff,0x4c04ffff,0xf8004fff,0xffa806ff,0x0bfff73f,
    0xbfff7000,0x7ffee540,0x07ffc83f,0x3001bffe,0x7ffc9fff,0x13ffe607,
    0x45bffe00,0x26005fff,0xfff14fff,0x7ffcc00b,0x00bfff74,0x2bfff700,
    0x0005fffb,0xf75fffb8,0x70000bff,0x4000bfff,0x5c06fffa,0x80005fff,
    0xff15fffb,0x7fcc00bf,0x1fffea4f,0xb0198800,0x0000bfff,0x004fffe8,
    0xfffd9510,0xb85fffff,0x80005fff,0xff75fffb,0xf70000bf,0xffb80bff,
    0x3ff603ff,0xfffa806f,0x6ffe8003,0x73fffa80,0x0000bfff,0x200bfff7,
    0xfc83fff8,0x17ffe07f,0x4bfff100,0x3ea07fff,0xfe8003ff,0x0bfff16f,
    0x8a7ffcc0,0x26005fff,0xfff74fff,0xff70000b,0x17ffeebf,0x3ffee000,
    0x00bfff75,0x0bfff700,0x37ffd400,0x017ffee0,0x57ffee00,0x2005fff8,
    0x3e24fff9,0x00003fff,0x005ffff0,0x7fffb800,0xfb510000,0x5c3fffff,
    0x80005fff,0xff75fffb,0xf70000bf,0xffd00bff,0xfff501ff,0xfff7003f,
    0xdffd0007,0x27fff500,0x0005fffb,0x005fffb8,0xf907fff1,0x27ffc0ff,
    0xf3fffc00,0x7fdc0fff,0xffe8003f,0x00bfff16,0xf8a7ffcc,0x3e6005ff,
    0xbfff74ff,0xfff70000,0x017ffeeb,0x57ffee00,0x0005fffb,0x005fffb8,
    0x01bffea0,0x000bfff7,0x22bfff70,0x26005fff,0x7ff44fff,0x00001dff,
    0x003fffe2,0xffff1000,0xea800003,0x3ee5ffff,0xb80005ff,0xfff75fff,
    0xff70000b,0xfff300bf,0x9fffd0bf,0x13ffea00,0x01bffe00,0x7dcfffea,
    0xb80005ff,0xf1005fff,0xfff907ff,0x001fffc0,0xfff3fffc,0x27ffd40f,
    0x8b7ffc00,0x26005fff,0xfff14fff,0x7ffcc00b,0x00bfff74,0x2bfff700,
    0x0005fffb,0xf75fffb8,0x70000bff,0x4000bfff,0x5c06fffa,0x80005fff,
    0xff15fffb,0x7fcc00bf,0x7fffd44f,0x0001ceff,0x003fffcc,0x3fffe800,
    0xfd880000,0xfff70fff,0xff70000b,0x17ffeebf,0x3ffee000,0xffff7005,
    0x037ffe45,0x00bfff30,0x500dfff0,0x3fee7fff,0xfb80005f,0xff1005ff,
    0x0fff907f,0x40027ffc,0x3ffe7fff,0x17ffe607,0x45bffe00,0x26005fff,
    0xfff14fff,0x7ffcc00b,0x00bfff74,0x2bfff700,0x0005fffb,0xf75fffb8,
    0x70000bff,0x4000bfff,0x5c06fffa,0x80005fff,0xff15fffb,0x7fcc00bf,
    0xffff984f,0x1bdfffff,0x3fffd400,0xffd80000,0x0197553f,0xffff8800,
    0x00bfff71,0x2bfff700,0x0005fffb,0x005fffb8,0x7cdbfffa,0x22001fff,
    0x44006fff,0xfa806fff,0xbfff73ff,0xfff70000,0x3ffe200b,0x207ffc83,
    0x44005fff,0x3ffe6fff,0x1bffe207,0x2dfff100,0x2005fff8,0xff14fff9,
    0x7fcc00bf,0x0bfff74f,0xbfff7000,0x0017ffee,0x5d7ffee0,0x80005fff,
    0x0005fffb,0x701bffea,0x0000bfff,0x3e2bfff7,0x3e6005ff,0xffd104ff,
    0xffffffff,0xfb8015bf,0x000006ff,0x3fa9fffb,0xe80002ff,0xfff73fff,
    0xff70000b,0x17ffeebf,0x3ffee000,0x3ffe6005,0x03fffdbf,0x01ffff80,
    0x01bffee0,0x7dcfffea,0xb80005ff,0xf1005fff,0xfff907ff,0x0037ffc0,
    0xff97ffe6,0x7fffc07f,0x3ffee001,0x00bfff16,0xf8a7ffcc,0x3e6005ff,
    0xbfff74ff,0xfff70000,0x017ffeeb,0x57ffee00,0x0005fffb,0x005fffb8,
    0x01bffea0,0x000bfff7,0x22bfff70,0x26005fff,0x2e204fff,0xfffffffe,
    0x00cfffff,0x0009fff9,0x57fff200,0x0005fffd,0xf73fffc8,0x70000bff,
    0x3feebfff,0xfb80005f,0x7dc005ff,0x05ffffff,0x0bfff700,0x037fffc0,
    0xfb9fffd4,0xb80005ff,0xf1005fff,0xfff907ff,0x003fffc0,0xff8fffee,
    0x7ffdc07f,0x3fffe005,0x00bfff16,0xf8a7ffcc,0x3e6005ff,0xbfff74ff,
    0xfff70000,0x017ffeeb,0x57ffee00,0x0005fffb,0x005fffb8,0x01bffea0,
    0x000bfff7,0x22bfff70,0x26005fff,0x73004fff,0xfffffffd,0xfb05ffff,
    0x000009ff,0x7dd7fff2,0xf80007ff,0xfff71fff,0xff70000b,0x17ffeebf,
    0x3ffee000,0xfffe8005,0x20000fff,0xc801ffff,0xa806ffff,0xfff73fff,
    0xff70000b,0x3fe200bf,0x07ffc83f,0x800ffffe,0x3fe0ffff,0xffff807f,
    0xffffc801,0x00bfff16,0xf8a7ffcc,0x3e6005ff,0xbfff74ff,0xfff70000,
    0x017ffeeb,0x57ffee00,0x0005fffb,0x005fffb8,0x01bffea0,0x000bfff7,
    0x22bfff70,0x26005fff,0x88004fff,0xfffffeca,0x7fec2fff,0xb000005f,
    0x3fe29fff,0x260004ff,0xff70ffff,0xf70000bf,0x3ffeebff,0xffb80005,
    0xff98005f,0x40002fff,0x202ffffb,0x06fffffc,0xf73fffa8,0x70000bff,
    0x2200bfff,0xffc83fff,0x1ffffe07,0x237ffdc0,0xfb807fff,0x3f202fff,
    0xff16ffff,0x7fcc00bf,0x0bfff14f,0xba7ffcc0,0x80005fff,0xff75fffb,
    0xf70000bf,0x3ffeebff,0xffb80005,0x3ea0005f,0x7fdc06ff,0xfb80005f,
    0xbfff15ff,0x27ffcc00,0x7ed44000,0x321fffff,0x00006fff,0x6c7fffd0,
    0x000dffff,0x527fff4c,0x0000dfff,0x3ea9fff9,0xc80006ff,0x90004fff,
    0x0000dfff,0x2f7ffffa,0xffffecaa,0xffa806ff,0x0dfff53f,0x9fff9000,
    0x0fffe200,0xff81fff2,0x7d405fff,0x7ffc1fff,0xffffd007,0xffd9557b,
    0x3e2dffff,0x3e6005ff,0xbfff14ff,0xa7ffcc00,0x0006fffa,0xf54fffc8,
    0x90000dff,0x3fea9fff,0xfc80006f,0x2a0004ff,0x7d406fff,0xc80006ff,
    0xfff14fff,0x7ffcc00b,0x75400004,0x3ee5ffff,0x000007ff,0x7cc7ffff,
    0x002effff,0x41fffff7,0x0006fffa,0xf54fffd8,0xb0000dff,0x20009fff,
    0x0005fffb,0x3fffff60,0xfaffffff,0xffa806ff,0x0dfff53f,0x9fffb000,
    0x0fffe200,0xff81fff2,0x441effff,0xf84ffffb,0x3f6007ff,0xffffffff,
    0x16fffaff,0x4c00bfff,0xfff14fff,0x7ffcc00b,0x00dfff54,0x29fffb00,
    0x0006fffa,0xf54fffd8,0xb0000dff,0x40009fff,0x5406fffa,0x80006fff,
    0xff14fffd,0x7fcc00bf,0x8800004f,0xf50ffffd,0x00001fff,0x42ffff88,
    0xfffffffa,0xfdca9bce,0x4c2fffff,0x80006fff,0xff33fffe,0xfd0000df,
    0x2e0007ff,0x00005fff,0x7fffffdc,0xfff88eff,0x3fffa805,0x000dfff3,
    0x007fffd0,0x320fffe2,0x3ffe07ff,0xeeffffff,0x80dfffff,0x5c007fff,
    0xffffffff,0x15fff88e,0x4c00bfff,0xfff14fff,0x7ffcc00b,0x00dfff34,
    0x27fffd00,0x0006fff9,0xf33fffe8,0xd0000dff,0x40007fff,0x4c06fffa,
    0x80006fff,0xff13fffe,0x7fcc00bf,0x0197554f,0xffff8800,0x007fffe1,
    0xffff5000,0x3ffffea0,0xffffffff,0x983fffff,0x80007fff,0xff33fffe,
    0xfd0000ff,0x2e0007ff,0x00005fff,0xcdfeca88,0x017ffe22,0x7ccfffea,
    0xe80007ff,0xf1003fff,0xfff907ff,0x7477ffc0,0xffffffff,0x1fffe04f,
    0x3fb2a200,0x3ffe22cd,0x00dfff15,0xf8a7ffd4,0x3ea006ff,0xffff34ff,
    0xfffd0000,0x01fffe67,0x4ffffa00,0x0007fff9,0x313fffe8,0xff500175,
    0xfff980df,0xffe80007,0x0dfff13f,0xea7ffd40,0x80002fff,0x3f23fffe,
    0x400006ff,0x2204fffe,0xfffffffd,0xefffffff,0x07fffe01,0x3ffff000,
    0x000ffffc,0x007fffe0,0x02fffdc0,0xf3000000,0xff500bff,0x0ffffc7f,
    0x3fffe000,0x7fff1001,0x7c0fff90,0x3fff26ff,0x7c01dfff,0x000007ff,
    0x7c57ffe6,0x3ea006ff,0xdfff14ff,0x27ffd400,0x0003ffff,0x3e1ffff8,
    0x40001fff,0x3fe1ffff,0x7c0001ff,0xfff91fff,0xbfff5003,0x03ffff00,
    0x1ffff800,0x400dfff1,0xffb4fffa,0xf90000bf,0x7ffd47ff,0xf700002f,
    0x93003fff,0xfffffffd,0xfb005bff,0x5c0007ff,0x7fec7fff,0x3ee0003f,
    0x2e0007ff,0x00005fff,0x3ffea000,0x3fffa804,0x000ffff6,0x007fffb8,
    0x320fffe2,0x3ffe07ff,0x00aba986,0x000ffff0,0x27ffd400,0x6400dfff,
    0x3ffe4fff,0x3fff2006,0x00ffff64,0x47fffb80,0x0003fffd,0xfb1fffee,
    0x5c0007ff,0x3fee7fff,0xfffb802f,0x3fffd805,0x3ffee000,0x0037ffc7,
    0x3ee9fff9,0xf80007ff,0x7ff41fff,0x440000ff,0x8006ffff,0x9abeffa8,
    0x3ffee000,0xfff0000f,0xffffb8bf,0xffff0000,0x7fdc000b,0x7640005f,
    0x3f6000cd,0xffa802ff,0x3fffee3f,0xffff0000,0x7ffc400b,0x207ffc83,
    0x00006fff,0xd901fffe,0x7ec0019b,0x1fffe2ff,0x24fffe80,0x3a007fff,
    0x3fee4fff,0xff0000ff,0xfffb8bff,0xfff0000f,0xffffb8bf,0xffff0000,
    0x027ffd4b,0x4027ffe4,0x000ffffb,0xf8bffff0,0x3fa007ff,0xffff14ff,
    0x7fcc0009,0x7ffcc0ff,0x7ec0004f,0x50001fff,0x4c000bff,0x8005ffff,
    0x4c2ffffb,0x8005ffff,0x002ffffb,0x017ffee0,0x09fff700,0x03fffea0,
    0x98fffea0,0x8005ffff,0x002ffffb,0x320fffe2,0x3ffe07ff,0x3fe00006,
    0x7ffdc07f,0xffff5004,0x01ffff41,0xd27fffe4,0xf9007fff,0x7fcc9fff,
    0xfb8005ff,0x7fcc2fff,0xfb8005ff,0x7fcc2fff,0xfb8005ff,0x3fe62fff,
    0x3fe200ff,0xff9802ff,0xfb8005ff,0x7ff42fff,0xfffc803f,0x3ffff64f,
    0x7f4c000d,0xfff904ff,0xe88001bf,0x0004ffff,0x02fffff2,0x3ffff200,
    0xffe9801e,0xfff906ff,0xfd3003df,0x8000dfff,0x0005fffb,0x007fffd4,
    0x017fffe2,0x321fffd4,0x801effff,0x06ffffe9,0x41fffc40,0x3fe07ffc,
    0x3e00006f,0x7fd407ff,0x7fc400ff,0x7ffe45ff,0x3ffee00f,0x3fff24ff,
    0x3ffee00f,0x7ffe44ff,0xfe9801ef,0xff906fff,0xd3003dff,0x320dffff,
    0x801effff,0x46ffffe9,0x104ffff8,0x001ffffd,0x07bffff2,0x3ffffa60,
    0x0ffffc86,0x3ffffee0,0x3ffffe64,0xfff7002e,0x7ff401ff,0xf5002fff,
    0x000dffff,0x4fffb988,0xffff8800,0xbaacefff,0xffffffec,0xfffff101,
    0x97559dff,0x3ffffffd,0xfffb8000,0x7f440005,0xfd502eff,0x2a001fff,
    0x7fc43fff,0xacefffff,0xffffecba,0x7c4001ff,0x7ffc83ff,0x001bffe0,
    0x407fff80,0x02efffe8,0x81ffffd5,0x0beffff9,0xfffff951,0x7fffcc9f,
    0xff9510be,0xf889ffff,0xceffffff,0xfffecbaa,0xff101fff,0x59dfffff,
    0xffffd975,0x3fe203ff,0xacefffff,0xffffecba,0xfffb81ff,0xffca9bef,
    0x22004fff,0xefffffff,0xffecbaac,0xf981ffff,0x510befff,0x9ffffff9,
    0xffffffa8,0xdca9bcef,0x02ffffff,0x7ffffec4,0xcb989bce,0x0efffffe,
    0x3ff20000,0xfe98000f,0xffffffff,0xffffffff,0x7fff4c01,0xffffffff,
    0x01ffffff,0x5fffb800,0xfff98000,0xfffeffff,0x2a02ffff,0x3fffcaaa,
    0xfffffe98,0xffffffff,0x8001ffff,0xfc83fff8,0x1bffe07f,0xffff8000,
    0x7cc1aaaa,0xfeffffff,0x02ffffff,0xfffffffb,0xfd3fffff,0xffffd89f,
    0xffffffff,0xe984ffe9,0xffffffff,0xffffffff,0x7ff4c01f,0xffffffff,
    0x1fffffff,0x7ffff4c0,0xffffffff,0x201fffff,0xfffffffe,0x00efffff,
    0x7ffff4c0,0xffffffff,0x201fffff,0xfffffffd,0xfe9fffff,0xffffa84f,
    0xffffffff,0x03ffffff,0x3fffff20,0xffffffff,0x0004ffff,0x03fff4c0,
    0xffffb100,0xffffffff,0x22001dff,0xfffffffd,0xefffffff,0xff700000,
    0x2a0000bf,0xffffffff,0x201effff,0xfffffff8,0xfffb103f,0xffffffff,
    0x0001dfff,0x320fffe2,0x3ffe07ff,0x3fe00006,0x85ffffff,0xfffffffa,
    0x01efffff,0x7fffffe4,0xffd1efff,0xfffff909,0x3a3dffff,0xffb104ff,
    0xffffffff,0x001dffff,0x3fffff62,0xffffffff,0xfb1000ef,0xffffffff,
    0x01dfffff,0xfffffe88,0x00efffff,0xffffb100,0xffffffff,0xf9001dff,
    0xffffffff,0x413ffa3d,0xffffffd8,0xffffffff,0xfea8001e,0xffffffff,
    0x002effff,0xfffeee80,0x980004ff,0xfffffffc,0x0001cfff,0xffffff93,
    0x0039ffff,0x5fffb800,0x7f540000,0x2dffffff,0xfffff880,0x64c03fff,
    0xffffffff,0x40001cff,0xfc83fff8,0x1bffe07f,0xffff8000,0x2a05ffff,
    0xfffffffe,0x3faa002d,0x20ceffff,0xfd504ffe,0x419dffff,0x64c04ffe,
    0xffffffff,0x30001cff,0xfffffff9,0x00039fff,0x3fffff26,0x01cfffff,
    0x7ffffdc0,0x00003dff,0xffffff93,0x0039ffff,0xfffffea8,0x13ffa0ce,
    0xffffd930,0x05bfffff,0xfffb3000,0x39ffffff,0x3fe20000,0x005fffff,
    0xbba99800,0x0000099a,0x26aeea66,0x70000009,0x0000bfff,0x04d554c0,
    0xddddd100,0x4c005ddd,0x099abba9,0xddd10000,0x40ddd705,0x00005eee,
    0x3bbbbbb6,0x5553004e,0xb9800013,0x7300000a,0x98000015,0x099abba9,
    0x2a660000,0x00099abb,0x2eea6600,0x4000099a,0x0000aba8,0x5dd4cc00,
    0x8000099a,0x00000ab9,0x55e554c4,0x30000009,0x00335953,0xffdd1000,
    0x000003bd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1ffff300,0x005fffc8,0x33331000,0x76c00001,
    0x777442ee,0x6c40000d,0x774c2eee,0x000000de,0x01999880,0x7f400000,
    0x00000fff,0x06666000,0x30000000,0x00003333,0x00000000,0x02666200,
    0x664c0000,0x00732601,0x33333000,0x2e000000,0x3ff201ff,0x5c000000,
    0x0001eeee,0x00033330,0x09999800,0x4cccc400,0xff700000,0x77ffccdf,
    0xf8800000,0x00006fff,0xb07fffcc,0x00005fff,0xe83fffea,0x00002fff,
    0xffff8800,0x20000006,0x06fffffc,0xf9000000,0x00007fff,0x3ffea000,
    0x8000004f,0x4c0cefda,0x800005ff,0x002ffffd,0x06ff8800,0x00003ffa,
    0x05ffffb0,0xff300000,0x01bfe20d,0xfff30000,0x80001fff,0x005ffffb,
    0xffff9000,0xfffa8005,0x0dfff05f,0x74ffff60,0x00001fff,0x01ffff70,
    0xfff70000,0x013ffeeb,0xbfff9000,0x000fffee,0x7fe40000,0x000000ff,
    0xffbfff50,0x000000bf,0xffffffa8,0x80000002,0x0005fffe,0xffffc800,
    0xffd9bdff,0x7e400004,0x001fffff,0x0bffe800,0x001bff22,0x37fff400,
    0xfe800000,0xffd512cf,0x44000009,0x6fffffff,0x3ffe6000,0x00003fff,
    0x027fffc4,0x1ffffb80,0x1006fff8,0xfff9fffd,0x7c000005,0x00002fff,
    0x3f3fff60,0x000006ff,0xfff7fffb,0x0000000b,0x007fffe2,0x7fc40000,
    0x3fffb8ff,0xf3000000,0x1fffbdff,0x54000000,0x0000efff,0x7fffcc00,
    0xffffffff,0x2a00001f,0xeffedfff,0x7cc00000,0xfffeefff,0x1000001f,
    0x0003ffff,0xffff3000,0x00dfffff,0xfffe8000,0x004fffaa,0xfdfffe88,
    0x200002ff,0x0006fffb,0x7c2fffe4,0x3e6006ff,0x004fffff,0x3ffee000,
    0x44000004,0x0ffffffe,0xff100000,0x001dffff,0x3f200000,0x000003ff,
    0xe8bfffa0,0x00002fff,0x4ffff440,0x0006fff8,0x3fffa000,0xc8000001,
    0xffc98cff,0x0004ffff,0x23fffe20,0x0005fff9,0xfffffb80,0x00002fff,
    0x02fffcc0,0xfea80000,0x00dfffff,0x3ff20000,0x0ffff65f,0x27fffb00,
    0x0000fffe,0x001ffff0,0x81fffd00,0x5c006fff,0x0005ffff,0x02fff400,
    0xff980000,0x00001fff,0x7ffffcc0,0x00000000,0x000bfff1,0x7ffec000,
    0x07fffcc5,0xffb00000,0x2fffdc9f,0x7cc00000,0x000003ff,0xb703ffb0,
    0x800005bd,0x3f23fffe,0x800004ff,0x0beffec8,0xf5000000,0x000003ff,
    0x0de6e540,0x3ea00000,0x3fe20fff,0xff7001ff,0x37ffccbf,0x7ffdc000,
    0xfd100001,0x02aaa89f,0x00199980,0x77fd4000,0x20000000,0x00009998,
    0x13331000,0x40000000,0x0000effb,0x26666000,0x00999880,0xfff70000,
    0x07fffd0d,0xffd80000,0x00000004,0x90000000,0xff88bfff,0x000002ff,
    0x00000000,0x0000bff9,0x00000000,0x80999880,0x98009998,0x7e40ffff,
    0x740005ff,0x400003ff,0x0000fff9,0x2aaf2a60,0x00000000,0x54c00000,
    0x00009abc,0x00000000,0x00000000,0x79530000,0x00000155,0x00000000,
    0x00000000,0x57953000,0x00000013,0x98000000,0x001acba9,0x00000000,
    0x32a60000,0x000009ab,0xacba9980,0x00000001,0x00000000,0xca800000,
    0xfffffffe,0x00000bef,0xb8000000,0xffffffed,0x2e002dff,0x80005fff,
    0x0005fffb,0x00000000,0x7fff6540,0x0befffff,0x00000000,0x00000000,
    0xb7000000,0xfffffffd,0x000005bf,0x4c000000,0xfffffffc,0x000bceff,
    0x00000000,0xfffdb700,0x05bfffff,0xffc98000,0xefffffff,0x000000bc,
    0x00000000,0xd3000000,0xffffffff,0x05ffffff,0xffffff30,0xffffffff,
    0xffffffff,0x3ffa600b,0xffffffff,0xb803efff,0x80005fff,0x0005fffb,
    0xffffffe8,0xffffffff,0xffffffff,0x3a605fff,0xffffffff,0x02ffffff,
    0x001fffe6,0x03ffffdc,0x74fffc80,0xffffffff,0xffffffff,0x000159dd,
    0xfffffe98,0xffffffff,0xfffa803e,0xffb80006,0xffe9805f,0xffffffff,
    0x003fffff,0x7ffff800,0xfd300000,0xffffffff,0x007dffff,0xffffe980,
    0xffffffff,0xe8003fff,0x00002fff,0x003ffffc,0x42fffe80,0xff300999,
    0xffffffff,0x9fffffff,0xfffff980,0xffffffff,0xffffffff,0xfffb805f,
    0xffffffff,0x04ffffff,0x002fffdc,0x02fffdc0,0x3fffe600,0xffffffff,
    0xffffffff,0x05ffffff,0xfffffff3,0xffffffff,0x7ffc09ff,0xffd8001f,
    0xe8001fff,0xfff72fff,0xffffffff,0xffffffff,0x2e0005ff,0xffffffff,
    0xffffffff,0x7ffd404f,0xffb80006,0x7ffdc05f,0xffffffff,0xdfffffff,
    0xff500000,0x00005fff,0xffffffb8,0xffffffff,0x70004fff,0xffffffff,
    0xffffffff,0x74001bff,0x00002fff,0x0bffffea,0x3fffa000,0x4c37ffc2,
    0xabefffff,0xffeba999,0x3e604fff,0xffffffff,0xffffffff,0x205fffff,
    0xefffffd8,0xfd7531ac,0x201dffff,0x0005fffb,0x005fffb8,0x7ffffec0,
    0xffffffff,0xffffffff,0x985fffff,0xabefffff,0xffeba999,0xffb04fff,
    0xfff0007f,0x88007fff,0x3fee7fff,0xffffffff,0xffffffff,0x2004ffff,
    0xefffffd8,0xfd7531ac,0x201dffff,0x0006fffa,0x105fffb8,0xbffffffb,
    0xd9731359,0x01dfffff,0xffffb000,0x220000df,0xcefffffd,0xffd7531a,
    0x2001dfff,0xffffffd8,0xcb989acd,0x0efffffe,0x05fffd00,0x7ffec000,
    0xe80006ff,0x7ffc2fff,0x2ffffd86,0xffffd500,0x3bbba603,0xeeeeeeee,
    0xffeeeeee,0x3ffa04ff,0xd5002fff,0x2e0dffff,0x80005fff,0x0005fffb,
    0x3bbfffe6,0xeefffffe,0xeeeeeeee,0xd84eeeee,0x5002ffff,0x703ffffd,
    0xa800bfff,0x05ffffff,0x72fffd40,0x9999dfff,0xb9999999,0x7ffffffd,
    0x3ffffa00,0xffd5002f,0x3fea0dff,0xfb80006f,0xfffb05ff,0x7d4009ff,
    0x0004ffff,0x7ff7ffc4,0xfe80001f,0x5002ffff,0x00dffffd,0x13fffff6,
    0xfffffa80,0x5fffd004,0x3fe20000,0x001fffef,0x217fff40,0x7fcc6fff,
    0x7c4001ff,0x00005fff,0x3ffffa20,0xbffff700,0xfffb0001,0xbfff709f,
    0xfff70000,0x7fec000b,0x27ffe46f,0x3fe60000,0x7c4001ff,0xff985fff,
    0x7fe4007f,0x4007ffdf,0x3ee3fffc,0x910005ff,0x801fffff,0x00dffffb,
    0x4ffffd80,0x006fffa8,0x85fffb80,0x01effffa,0xffffe880,0x3fee0001,
    0x004fff9f,0x6ffffdc0,0xfffd8000,0x7ffd404f,0xe88001ef,0xe801ffff,
    0x00002fff,0xfff3fff7,0xffe80009,0x237ffc2f,0x0004fffb,0x001ffff5,
    0x3fffa000,0xffff101f,0xffc80009,0x7ffdc1ff,0xffb80005,0xff30005f,
    0xfffc85ff,0x7dc00004,0xf50004ff,0xfff01fff,0x7ff4001f,0x002fffbd,
    0xfb87fffa,0x5c0005ff,0x2203ffff,0x0004ffff,0x20ffffe4,0x0006fffa,
    0x445fffb8,0x0006ffff,0x005fffe8,0x7f5bffa0,0xf10000ff,0x80009fff,
    0x101ffffc,0x000dffff,0x00bfffd0,0x0005fffd,0x7f5bffa0,0x3a0000ff,
    0x7ffc2fff,0x017ffe46,0x03ffff00,0xfffb0000,0x7ffec07f,0xffd00006,
    0x5fffb8df,0xfffb8000,0xfffb0005,0x09fff90d,0xfffc8000,0x3ffe0002,
    0x2fffd81f,0x17fff100,0x22009fff,0x7fdc7fff,0xfd80005f,0x3ff606ff,
    0xfd00006f,0xfffa8dff,0xffb80006,0x7fffe45f,0xffb80001,0xff30007f,
    0x0ffff27f,0x37ffec00,0xfffe8000,0x3ffff906,0xfff70000,0x5fffd00f,
    0xfff30000,0x00ffff27,0x42fffe80,0x7fec6fff,0x3f60003f,0x400003ff,
    0x204ffffc,0x002ffff9,0x3ffff500,0x002fffdc,0x02fffdc0,0x17fffc40,
    0x0027ffe4,0x0ffff600,0x3fffd800,0x004fffb8,0x3fa3fff7,0xfff5006f,
    0x05fffb89,0x7fffb800,0x05ffff30,0x3ffea000,0x1bffea1f,0x3ffee000,
    0x13fffe25,0xffff8000,0xfffc8002,0x00dfff31,0x05ffff30,0x3ffea000,
    0x7fffc41f,0x3fe00004,0x7ff402ff,0xfc80002f,0xdfff31ff,0x7fff4000,
    0x2a37ffc2,0x20007fff,0x80000198,0x406ffffb,0x0005fffd,0x727fff40,
    0x0000bfff,0x000bfff7,0x320dfff9,0x00004fff,0x003fffd4,0x7cc03310,
    0xffb006ff,0x007ffe4d,0x2e17ffe4,0x80005fff,0xd80ffff9,0x00005fff,
    0xf527fff4,0x70000dff,0x7fd4bfff,0x5c00007f,0xff0001bd,0x1fffe8ff,
    0x2fffec00,0x3ffa0000,0x3fffd44f,0x2f6e0000,0x2fffe801,0x7fff8000,
    0x000ffff4,0x7c2fffe8,0x7ffc46ff,0x0000003f,0x7fffcc00,0x7fffc00f,
    0x7dc00002,0x3ffee7ff,0xffb80005,0x7fc4005f,0xfff902ff,0xf8800009,
    0x00003fff,0x007fffc0,0xff527ffc,0xfffd005f,0x05fffb81,0x7fffb800,
    0x005ffff0,0x7fffb800,0x001bffea,0xd97ffee0,0x00005fff,0x7fd40000,
    0x27ffdc4f,0x0bfffe00,0xfff70000,0x05fffd8f,0x74000000,0x40002fff,
    0x7dc4fffa,0xfd0004ff,0x6fff85ff,0x1dffffe8,0x80000000,0x01fffff8,
    0x007fffc4,0x3ffe2000,0x0bfff71f,0xbfff7000,0x6fffc800,0x013fff20,
    0x3fffa000,0x000001df,0x9803fff9,0x3fe22fff,0x7ffc405f,0x05fffb86,
    0x6fffd800,0x00ffff88,0x7ffc4000,0x0dfff51f,0xbfff7000,0x013fffe2,
    0xb0000000,0xff883fff,0xff1000ff,0x800001ff,0xf11ffff8,0x00009fff,
    0xfffe8000,0x7fec0002,0x7fffc41f,0xfffe8000,0x5437ffc2,0xceffffff,
    0x00000001,0x007ffffd,0x000ffff3,0x4ffffa00,0x0005fffb,0x005fffb8,
    0x80bfffe2,0x0004fffc,0xfffffa80,0x00001cef,0x700fffea,0xffe81fff,
    0x27ffd407,0x002fffdc,0x13fffe20,0x001fffe6,0x9ffff400,0x0006fffa,
    0xf35fffb8,0x00005fff,0x7fc40000,0x7fffb06f,0x1fffe600,0x7ff40000,
    0x5ffff33f,0x80000000,0x0002fffe,0x6c1bffe2,0xe8003fff,0x7ffc2fff,
    0xfffff306,0x037bffff,0xff900000,0x3ea009ff,0x000007ff,0x3ee7fffb,
    0xb80005ff,0x32005fff,0x7e406fff,0x000004ff,0xfffffff3,0x00037bff,
    0x202fffc4,0xffb86ffe,0x3fff201f,0x05fffb81,0x3fffea00,0x7fffa80f,
    0xffb00000,0x1bffea7f,0x3ffee000,0x03ffff55,0x40000000,0xf504fffb,
    0x3ea00dff,0x000007ff,0x3ea7fffb,0x00001fff,0x7fff4000,0x3fee0002,
    0xdfff504f,0x5fffd000,0x2206fff8,0xfffffffe,0x00adffff,0x7ffd4000,
    0x3fee006f,0xb000006f,0x3fee9fff,0xfb80005f,0xff1005ff,0xffc807ff,
    0xaaaaaadf,0xaaaaaaaa,0x7fff4401,0xffffffff,0x7f4000ad,0x3ffe207f,
    0x03fff983,0x7dc1fffa,0x262005ff,0x3fffffca,0x00dfff70,0x3fff6000,
    0xddffff54,0xdddddddd,0xfddddddd,0x3ffeebff,0x00000007,0x00ffff40,
    0x7003ffff,0x0000dfff,0x5d3fff60,0x00007fff,0xfffe8000,0x3ffa0002,
    0x3fffe01f,0x7fff4001,0x2037ffc2,0xfffffeb8,0xcfffffff,0xff980000,
    0x32000fff,0x00004fff,0x2ebfff90,0x80005fff,0x7005fffb,0xf900ffff,
    0xffffffff,0xffffffff,0xfd71009f,0xffffffff,0x20019fff,0xf501fffc,
    0x3ffe03ff,0x0bfff106,0x3bbfffee,0xfeeeeeee,0xffffffff,0x13fff205,
    0x7fe40000,0xfffff55f,0xffffffff,0xffffffff,0x3feebfff,0x554c006f,
    0xaaaaaaaa,0xff3002aa,0xfffc80df,0x4fffc805,0xff900000,0x1bffeebf,
    0x55555300,0x55555555,0x02fffe80,0x0dfff300,0x005fffc8,0x3e17fff4,
    0x2e6006ff,0xfffffffe,0x0002ffff,0x07ffffa2,0x09fffb00,0x3ff20000,
    0x0bfff75f,0xbfff7000,0x0ffffe00,0x3fffff20,0xffffffff,0x004fffff,
    0x7ffff5cc,0x2fffffff,0x03fffa80,0x7ec0fff9,0xfffa80ff,0xfffff703,
    0xffffffff,0xffffffff,0x4fffd805,0xff900000,0x3fffeabf,0xffffffff,
    0xffffffff,0xff95ffff,0xffc800df,0xffffffff,0xff9007ff,0xfff9807f,
    0x7ffec00f,0xf9000004,0x3fff2bff,0x7ffe4006,0xffffffff,0x7fff407f,
    0xfff90002,0xffff9807,0x3fffa000,0x0037ffc2,0xfffeca88,0x002fffff,
    0x05ffffb0,0x0bfffb00,0x3ff60000,0x0bfff74f,0xbfff7000,0x0ffff700,
    0x3fffff20,0xffffffff,0x004fffff,0x3ffb2a20,0x02ffffff,0xf82fffc4,
    0x3fee05ff,0x1fffc82f,0xffffff70,0xffffffff,0x017bffff,0x00bfffb0,
    0x3fff6000,0xddffff54,0xdddddddd,0xfddddddd,0x3ffeebff,0x7ffe4006,
    0xffffffff,0xfff8807f,0xfffe800f,0x2fffec03,0xffd80000,0x0dfff74f,
    0xfffffc80,0x7fffffff,0x017fff40,0x07fffc40,0x01ffff40,0xf85fffd0,
    0x100006ff,0xffffffb5,0xfffc8003,0xff90004f,0x200000df,0xff73fffe,
    0xf70000bf,0xfff00bff,0x3ff2007f,0xaaaaaadf,0xaaaaaaaa,0x2a200001,
    0x1ffffffd,0x4c37ff40,0x3e202fff,0x7ffe84ff,0x3bfffee0,0xffeeeeee,
    0x4000cfff,0x0006fffc,0x27fffd00,0x0006fffa,0xf55fffb8,0xfc800fff,
    0xffffffff,0xfb807fff,0xff7005ff,0xfffc80df,0xfd000006,0x3ffea7ff,
    0x7ffe4007,0xffffffff,0x7fff407f,0xfffb8002,0xdfff7005,0x17fff400,
    0x0001bffe,0x3ffffaa0,0x3ffea005,0x3ee0005f,0x000007ff,0x3ea7ffff,
    0xc80006ff,0x7dc04fff,0xf9000fff,0x000009ff,0xffd50000,0xffc80bff,
    0x07ffdc0f,0x3e1bffa0,0x3fee04ff,0x7fe4405f,0x2e000dff,0x00007fff,
    0x2a7ffff0,0x80006fff,0xff35fffb,0x54c001ff,0xbaaaaaaa,0xfe807fff,
    0x99999bff,0xfff99999,0x3ffee02f,0xff000007,0x3ffe67ff,0x2aa6000f,
    0xfbaaaaaa,0x7ff407ff,0xffe8002f,0x999999bf,0xffff9999,0x5fffd002,
    0x0006fff8,0xffffb100,0xffff3001,0x7d40001d,0x00000fff,0xa97fffc4,
    0x80006fff,0x7404fffd,0xffffffff,0xffffffff,0x000004ff,0xffb10000,
    0x7fcc01ff,0x037fec2f,0xf307ffe4,0x7fdc05ff,0xfff5005f,0x3ea001ff,
    0x00000fff,0xa97fffc4,0x80006fff,0xff15fffb,0x800005ff,0x4c07fff8,
    0xffffffff,0xffffffff,0x3ea05fff,0x00000fff,0x897fffc4,0x0002ffff,
    0x03fffc40,0x000bfffa,0xfffffff3,0xffffffff,0x200bffff,0x7fc2fffe,
    0x032eaa6f,0xffff1000,0xfffe8803,0xff80001f,0x400001ff,0x3e67fffa,
    0xe80006ff,0x3ea03fff,0xffffffff,0xffffffff,0x200004ff,0x0000cbaa,
    0x00ffffc4,0xfff13ffe,0x3fff5009,0x7007ffdc,0x5400bfff,0x2006ffff,
    0x0001ffff,0x53fffd40,0x0000dfff,0x7f4bfff7,0x400005ff,0x6407fff8,
    0xffffffff,0xffffffff,0x3e00ffff,0x00001fff,0x3a3fffd4,0x00005fff,
    0x203fffc4,0x4002fffe,0xfffffffc,0xffffffff,0x800fffff,0x7fc2fffe,
    0x0bfffa6f,0x3fffa000,0x7fffec03,0xff900002,0xe80000df,0x3fe64fff,
    0xfe80007f,0x3ffa03ff,0xffffffff,0xffffffff,0x3a00004f,0x80002fff,
    0x6c03fffe,0x3ffea6ff,0x3fff8801,0xf701bff6,0xfb800bff,0xf9005fff,
    0x80000dff,0x3ea4fffe,0xb80006ff,0x3fee5fff,0x4400007f,0x7fc07fff,
    0xffffffff,0xffffffff,0x3f203fff,0x400006ff,0x7dc4fffe,0x400007ff,
    0x7407fff8,0x7c002fff,0xffffffff,0xffffffff,0xe803ffff,0x7ffc2fff,
    0x017fff66,0x0ffff200,0x04ffffc8,0x3ffea000,0xf700002f,0xfff83fff,
    0x7fc0001f,0xfff501ff,0xdddddddf,0xfffddddd,0x6c00009f,0x80005fff,
    0x5c03fffc,0xfff90fff,0xf2fff400,0xffb809ff,0xffd8005f,0xffa803ff,
    0x700002ff,0x7d43ffff,0xb80006ff,0x3fe25fff,0x200003ff,0x2a07fff8,
    0x9999efff,0x99999999,0x206fffc9,0x002ffffa,0x3ffff700,0x03ffff88,
    0x3ffe2000,0x17fff407,0x3dfff500,0x33333333,0xfff93333,0x5fffd00d,
    0x3ee6fff8,0xf80007ff,0xff501fff,0x00000bff,0x001ffffd,0x6ffff880,
    0x003fffd8,0x81fffee0,0x8004fffe,0x0004fffc,0x01fffee0,0x07fffe00,
    0x3a3fff30,0x3ee005ff,0x03fff37f,0x005fffb8,0x1fffff88,0x0ffffe80,
    0x7ffc4000,0x37ffd46f,0x7ffdc000,0x0ffffec5,0xfff88000,0x0ffff607,
    0x7fffc400,0x3ffffa02,0x7fc40000,0xfffb06ff,0x2200003f,0x7f407fff,
    0x3f6002ff,0xf10003ff,0xfe805fff,0x37ffc2ff,0x009ffff1,0x07fffcc0,
    0x077fffcc,0x7fcc0000,0x6c0004ff,0xfb81ffff,0xf0000fff,0x3e60bfff,
    0xc8000fff,0x00004fff,0x013fffe2,0x0ffff980,0xf8bfff80,0x3e6003ff,
    0x07ffa8ff,0x005fffb8,0x0dffff50,0x09ffff30,0xffffd800,0x037ffd41,
    0x2fffdc00,0x03bfffe2,0x3ffee000,0x1ffff107,0x7fff4000,0x3fffe605,
    0x7fec0004,0xfff101ff,0x700001df,0xfe80ffff,0xff1002ff,0x740001ff,
    0x7f405fff,0x3f6002ff,0x4000dfff,0x884fffe9,0x001ffffe,0x3fff2000,
    0x744000df,0xf304ffff,0x7000bfff,0x3605ffff,0x90005fff,0x00009fff,
    0x0dffffd8,0x7fff4c00,0x5bffb004,0xf8001fff,0x05ffcaff,0x005fffb8,
    0x13ffff60,0x37ffff20,0x7ff44000,0xfffa84ff,0xffb80006,0xffffa85f,
    0xfd30002f,0x3ee0ffff,0x540005ff,0x3200ffff,0x000dffff,0x27ffff44,
    0x3ffffea0,0xffd30002,0xffe80fff,0xfff7002f,0xffa8000b,0x3ffa00ff,
    0x3fe6002f,0x7002efff,0xb01fffff,0x0003ffff,0xffffd000,0x3fea005f,
    0x7e406fff,0x9801efff,0x306ffffe,0x0003ffff,0x0013fff2,0xfffff300,
    0x3fee005d,0xf7000fff,0x00dff9df,0xffd9ffb0,0xbfff7007,0x7ffc4000,
    0xffe801ff,0xf5002fff,0x2a0dffff,0x80006fff,0xf905fffb,0x005bffff,
    0x3fffff66,0x5fffd06f,0xfff88000,0x7fff404f,0xff5002ff,0x3200dfff,
    0x02dfffff,0xfffffb30,0xfffe80df,0x5fffd002,0xfff88000,0x3fffa04f,
    0x20ffffe2,0xfffffffa,0xfdca9bce,0xc82fffff,0x0002ffff,0xfffb1000,
    0x31379dff,0xfffffd97,0xfff8801d,0xaaceffff,0xfffffecb,0xbfffb01f,
    0x7ffe4000,0xfa800004,0xceffffff,0xfffdca9b,0x26002fff,0x04ffffff,
    0xffeffb80,0xfffb801f,0x7fdc0005,0xfd8806ff,0x9bceffff,0xfffecb98,
    0xff500eff,0xf70000df,0x7fe40bff,0xabcfffff,0xffffecba,0xf302ffff,
    0x00001fff,0x880ffff9,0xcefffffd,0xfecb989b,0x000effff,0x3ffffff2,
    0xecbaabcf,0xffffffff,0x2fffe802,0x0ffff980,0xfffc8000,0x8bfffa07,
    0xf503ffff,0xffffffff,0xffffffff,0xffff107f,0xdddddddf,0xdddddddd,
    0x801ddddd,0xfffffffc,0xffffffff,0x3a6004ff,0xffffffff,0xffffffff,
    0xffff301f,0x7fe40003,0xeeeeeeff,0xeeeeeeee,0xfffa81ee,0xffffffff,
    0x3fffffff,0xfffff800,0xff88002f,0xf7007fff,0xb0000bff,0x2007ffff,
    0xfffffffc,0xffffffff,0x7fd404ff,0xfb80006f,0x7fd405ff,0xffffffff,
    0xffffffff,0x3ff200cf,0xf300005f,0xf9005fff,0xffffffff,0xffffffff,
    0x3fea0009,0xffffffff,0xffffffff,0xffd000cf,0xfff9005f,0x3e60000b,
    0xffd02fff,0x1ffffc5f,0xfffffb10,0xffffffff,0x3fe203df,0xffffffff,
    0xffffffff,0x1fffffff,0xffffea80,0xffffffff,0xd88002ef,0xffffffff,
    0x0effffff,0x01bfff60,0xfffff900,0xffffffff,0x3fffffff,0x3ffff620,
    0xffffffff,0x90001eff,0x001fffff,0x13ffffa0,0x02fffdc0,0x7fffc400,
    0xffd5000f,0xffffffff,0x5005dfff,0x0000dfff,0x100bfff7,0xfffffff9,
    0xffffffff,0xffff001b,0x7f400005,0xfd5005ff,0xffffffff,0x005dffff,
    0xffffc880,0xffffffff,0x4000dfff,0xf802fffe,0x00002fff,0x7417fffa,
    0x3ffe2fff,0xfec9803f,0xffffffff,0x7ffc402d,0xffffffff,0xffffffff,
    0x01ffffff,0x3ffff660,0x01cfffff,0xfffc9800,0xcfffffff,0x7fffc401,
    0x7fe40002,0xffffffff,0xffffffff,0x764c01ff,0xffffffff,0x540002df,
    0x0005ffff,0x00bffff2,0x002fffdc,0x5ffffb80,0x7ffecc00,0x1cffffff,
    0x1bffea00,0x3ffee000,0x7fed4005,0xdeffffff,0xfff5001b,0xfb80000f,
    0x26000fff,0xfffffffd,0x00001cff,0xfffffda8,0x01bdefff,0x05fffd00,
    0x007fffa8,0x7fffdc00,0x22fffe80,0x4001bbbb,0x9abcaa98,0xffff1000,
    0xffffffff,0xffffffff,0x003fffff,0x26b2a660,0x26000001,0x099abba9,
    0x0dfff900,0xffff9000,0xffffffff,0xffffffff,0x554c4003,0x00009abc,
    0x07ffff10,0x7fffd400,0xbfff7000,0x7ff40000,0x330002ff,0x00033595,
    0x001bffea,0x017ffee0,0x1aba9980,0x3fff6000,0x7c400004,0x30004fff,
    0x00335953,0x54cc0000,0x200001ab,0x6c02fffe,0x00004fff,0x427fffc4,
    0x0002fffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00999880,
    0x3fe60000,0x7ffe40ff,0xeb800005,0x00001eee,0x22026662,0x20000999,
    0x00099998,0x33310000,0x44000013,0x00000999,0x04cccc40,0x0ccccc00,
    0x99998000,0x33100001,0x00000133,0x00ffffe4,0x33330000,0x0ffa0000,
    0x7ffec000,0x17fffc45,0x05555000,0x40015555,0x500eeeec,0xfd81ffff,
    0x000004ff,0x65401993,0x9988000c,0x99999999,0x30000199,0x001dffff,
    0x7ffdc000,0x03bffe65,0x3ff20000,0x200002ff,0x740efffb,0x20002fff,
    0x006ffff8,0xfff88000,0x2600006f,0x0006ffff,0x7ffff400,0x7ffcc000,
    0xf980004f,0x00005fff,0x003ffffb,0x3ffee000,0x00000fff,0x03ffffc8,
    0x003fe800,0x5fffd100,0x001fffec,0xf0ffff10,0x26001fff,0x6403ffff,
    0x3fea5fff,0x2000006f,0xff105ff9,0x3ff2000f,0xffffffff,0x880007ff,
    0x05fffffe,0x7fec0000,0x01fffd3f,0x3ff20000,0x400002ff,0x3f24fffd,
    0xa80004ff,0x0002ffff,0x7fffe400,0xff100000,0x000bffff,0x3fffea00,
    0xfffd8001,0xffb00006,0x300001df,0x0007ffff,0x3bffe600,0x00006ffe,
    0x7fffffd4,0x7edcc002,0x002cefff,0x47fffcc0,0x0005fffa,0x7c3fffc4,
    0xfb000fff,0x3fa00bff,0xffff8aff,0x7c000000,0x3f220aff,0xff90005f,
    0xffffffff,0xb0000fff,0x7fff9fff,0x74400000,0x2fffcfff,0x3f200000,
    0x00002fff,0xf99fffe8,0x200005ff,0x0006fffb,0x3fffe200,0x3f600001,
    0x03fffcff,0xfffe8000,0xfff98003,0xf980000f,0x00000fff,0x0009fffb,
    0x3fffa200,0x005fffa9,0xbdfff300,0xb1001fff,0xffffffff,0x40005dff,
    0xffedfffa,0x7c40000e,0xffff87ff,0xefff9800,0xffff1000,0x0003fffb,
    0xffff5000,0x01ffffdd,0x3ffff200,0xffffffff,0x7fdc0007,0x05fffb5f,
    0x7fcc0000,0x0003ffff,0x7fffe400,0xf8800002,0x0effeeff,0x7fe40000,
    0x7000002f,0x00007fff,0xfda7ffe4,0x200001ff,0x0005fffa,0x0005fffb,
    0x00bfff60,0x37ffc400,0xffb00000,0x1fffec9f,0x3ffa2000,0x0efff89f,
    0x3ffffe20,0xffffffff,0x3f20002f,0x000fffff,0x87fff880,0xd800ffff,
    0x54000fff,0x03ffffff,0x3f200000,0x1fffffff,0x26662000,0x99999999,
    0x3e600019,0xfff10fff,0x4000003f,0x005ffffb,0x99988000,0x50000009,
    0x03ffffff,0x3ffa0000,0xff000006,0x540000bf,0xff10efff,0x200001ff,
    0x30006ffe,0x00007fff,0x0013ffe2,0x00fffc80,0xfff70000,0x1ffff88d,
    0x3fff6000,0x817ffee4,0xeadffffe,0xfffffdcf,0x3ffa0001,0x000002ff,
    0x3fe20000,0xff90002f,0x000009ff,0xbdfd9100,0x00000007,0xfff88000,
    0x77ffd42f,0x26000000,0x00000199,0x00000000,0x005ffff9,0x7ff44000,
    0x7dc00002,0x100000ef,0xfb83ffff,0x980006ff,0x90000fff,0x40000bff,
    0x00005ffc,0x000bffe2,0x09999800,0x00099988,0xd0dfff70,0xff907fff,
    0xa9ff43df,0x0006fffe,0x00026662,0x30000000,0x98000555,0x00000199,
    0x00000000,0x33103331,0x00000013,0x31000000,0x00135975,0x5d4c4000,
    0x000009ac,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x59753100,0x00000013,0x3fffe200,0xff31ff41,0x000003ff,
    0x2fffdc00,0x7ffdc000,0x00000005,0x00000000,0xfffd0000,0x02fffd83,
    0x00000000,0x3fff6a00,0x0cffffff,0xffb50000,0x9fffffff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb5000000,
    0xffffffff,0x0000019f,0x27ffcc00,0x3ffa1ff4,0xffff984f,0xffffffff,
    0xffffffff,0x3ffee5ff,0xffb80005,0x17ffe25f,0x3fffffee,0xffffffff,
    0x00aceeff,0xffff0000,0x7f40000f,0x7ffec1ff,0x3fe00002,0x000007ff,
    0xfffffff7,0x9fffffff,0x3fee0001,0xffffffff,0x200cffff,0x000ffffc,
    0xba7ffd40,0xffffffff,0xffffffff,0x25ffffff,0xfffffffb,0xffffffff,
    0x5fffffff,0x3fffffee,0xffffffff,0xffffffff,0x03ffff25,0x9fff5000,
    0x5c17fff4,0x0004ffff,0x43ffff60,0x0003fffd,0xffffb800,0xffffffff,
    0x7fc00cff,0xf700006f,0x87fd05ff,0xf985fffb,0xffffffff,0xffffffff,
    0x2e5fffff,0x80005fff,0x3e25fffb,0xfffb85ff,0xffffffff,0xffffffff,
    0x400002ff,0x02fffffa,0x3fffd000,0x002fffd8,0xfffff500,0x6c400005,
    0xffffffff,0xffffffff,0x3f62000e,0xffffffff,0xefffffff,0xbffff900,
    0xfffa8000,0xffffff74,0xffffffff,0xffffffff,0x7ffffdcb,0xffffffff,
    0xffffffff,0x3fffee5f,0xffffffff,0xffffffff,0x3fff25ff,0x7d40005f,
    0x3fffa4ff,0x3ffffd02,0xfff70000,0x1fffec7f,0xfb100000,0xffffffff,
    0xdfffffff,0x037ffc01,0x1fffc800,0x00a83fe8,0x3fffffe6,0xffffffff,
    0xffffffff,0x017ffee5,0x97ffee00,0xfb85fff8,0xffffffff,0xffffffff,
    0x004fffff,0x3ffff600,0xfd00006f,0xfffd83ff,0xffb00002,0x0000dfff,
    0x3fffffe6,0xca9889ac,0x00efffff,0xffffff98,0xca9889ac,0x80efffff,
    0x03fffffc,0x53ffea00,0xfffffffb,0xffffffff,0x5fffffff,0x3fffffee,
    0xffffffff,0xffffffff,0x3ffffee5,0xffffffff,0xffffffff,0x3ffff25f,
    0x3ea0003f,0x3fffa4ff,0xdffff302,0xfff88000,0x1fffec5f,0xff980000,
    0x89acffff,0xffffca98,0xdfff00ef,0x3ff20000,0x003fe83f,0xeeeeee98,
    0xeeeeeeee,0xffffeeee,0x017ffee4,0x97ffee00,0xfb85fff8,0xccccceff,
    0xedcccccc,0x03ffffff,0xefff8800,0x80001fff,0x99881998,0xf8800009,
    0x01fffeff,0x7fffc400,0xfc8800cf,0x2200efff,0x00cfffff,0xeffffc88,
    0x7ffffe40,0xff50000f,0x3fffee9f,0xeeeeeeee,0xeeeeeeee,0x3ffee4ee,
    0xeeeeeeef,0xeeeeeeee,0x3fee4eee,0xeeeeeeff,0xeeeeeeee,0x3f24eeee,
    0x000fffff,0x749fff50,0x3ee02fff,0x20004fff,0x6c0ffffd,0x00003fff,
    0xcfffff88,0xfffc8800,0x6fff80ef,0xfff50000,0x0007fd0d,0x3fa20000,
    0x3fee0fff,0xfb80005f,0x3ffe25ff,0x05fffb85,0xffff9100,0xfb80001f,
    0x04fff9ff,0x00000000,0xf3fff700,0xd80009ff,0x8002ffff,0x203ffffc,
    0x002ffffd,0x43ffffc8,0x5ffffffc,0x9fff5000,0x0017ffee,0x2fffdc00,
    0xffb80000,0x9000005f,0x0bffffff,0x93ffea00,0x7402fffe,0x8001ffff,
    0xd82ffffa,0x00003fff,0x02ffffd8,0x3ffffc80,0x0006fff8,0x81ffff10,
    0x000003fe,0x3ffffd00,0x005fffb8,0x25fffb80,0xfb85fff8,0x5c0005ff,
    0x0003ffff,0xffeb7ff4,0x0000000f,0xffe80000,0x001fffd6,0x0bfffee0,
    0x7fffd800,0x05ffff70,0x3fffec00,0x3ffffff2,0xffa8003f,0x0bfff74f,
    0x3fee0000,0x7000005f,0x0000bfff,0x3fffff20,0xfa8003ff,0x3fffa4ff,
    0x7fffcc02,0x7ffc4006,0x7fffb05f,0xffb80000,0x360002ff,0xfff87fff,
    0x3fa00006,0x0ffa1eff,0x36000000,0xfb83ffff,0xb80005ff,0x3fe25fff,
    0x5fffb85f,0xfffd8000,0x3fe60006,0x07fff93f,0x00000000,0x93fff980,
    0x20007fff,0x0004ffff,0x417fffc4,0x0004ffff,0x917fffc4,0xffffffff,
    0xfffa8001,0x00bfff74,0x3ffee000,0xf7000005,0x00000bff,0x3ffffff2,
    0x7d4000ff,0x3fffa4ff,0xffffb802,0x3fff6003,0x7fffb00e,0xfff80000,
    0x7c40004f,0x7ffc2fff,0x3e600006,0xfe9cffff,0x40000003,0x704ffffc,
    0x0000bfff,0x7c4bfff7,0xfffb85ff,0xffb80005,0x3f20007f,0xdfff31ff,
    0x01333000,0x00099980,0xf31fffc8,0xf5000dff,0x00001fff,0xfa8bfffb,
    0x80000fff,0x3f25fffd,0x5ffffcff,0xa7ffd400,0x0005fffb,0x0bfff700,
    0x3fee0000,0x9000005f,0xffff9fff,0xfffa800b,0x00bfffa4,0x00fffff4,
    0x00ffffd4,0x0007fffb,0x07fffd40,0x7ffec000,0x0037ffc5,0x3fffe600,
    0x000cffff,0xfff70000,0x7ffdc0df,0xffb80005,0x17ffe25f,0x0017ffee,
    0x03fffe60,0x23fffc00,0x2001fffe,0x2005fff8,0x8004fff9,0x7ff47fff,
    0x7fec001f,0x9300005f,0xbfffb015,0x2b260000,0x55fffe40,0x2003ffff,
    0xff74fffa,0x200000bf,0x0005fffb,0x0bfff700,0x3ff20000,0x3ffffabf,
    0x93ffea00,0x3002fffe,0x880dffff,0x6c04ffff,0x00003fff,0x0017fff6,
    0x7c0564c0,0xccb986ff,0x3fe6000a,0xefffffff,0x3000001c,0x401fffff,
    0x0005fffb,0x225fffb8,0xffb85fff,0xfb80005f,0xf50007ff,0xfffb89ff,
    0x3ffe2004,0x3ffe6005,0x7ffd4004,0x027ffdc4,0x07ffff10,0xff100000,
    0x000007ff,0x367fff90,0x5000ffff,0x3fee9fff,0x7000005f,0x0000bfff,
    0x017ffee0,0x7ffe4000,0x01ffffb3,0xe93ffea0,0x2e002fff,0x3603ffff,
    0xfd806fff,0x100003ff,0x0007ffff,0x9bffe000,0xfffffffb,0xfd71003e,
    0xffffffff,0xf8800009,0x5c01ffff,0x80005fff,0x3e25fffb,0xfffb85ff,
    0xffd80005,0xffb0006f,0xffff883f,0xbfff1000,0x27ffcc00,0x07fff600,
    0x001ffff1,0x007fffea,0x3fea0000,0x000001ff,0xf13fffc8,0x2a00bfff,
    0xfff74fff,0x2e00000b,0x00005fff,0x00bfff70,0x3fff2000,0x0bffff13,
    0xe93ffea0,0x74002fff,0xfa80ffff,0xfd801fff,0x500003ff,0x0003ffff,
    0x3bffe000,0xffffffd8,0x4003ffff,0xffffffc9,0x00001eff,0x007ffffd,
    0x000bfff7,0x44bfff70,0xffb85fff,0x7c40005f,0x88004fff,0xffb06fff,
    0x3fe2007f,0x3fe6005f,0x3fe2004f,0x7fffb06f,0x3fffee00,0xb8000000,
    0x0000ffff,0x3fffc800,0x00ffffea,0x7dd3ffea,0x000005ff,0x000bfff7,
    0x17ffee00,0x7fe40000,0x3fffea3f,0x4fffa803,0x000bfffa,0xd0bffff3,
    0x36009fff,0x00003fff,0x001ffff7,0x3ffe0000,0xdeffffef,0x03fffffe,
    0xffedfe80,0x80006fff,0x004ffffc,0x000bfff7,0x44bfff70,0xffb85fff,
    0x3ea0005f,0x8000ffff,0xf504fffb,0x3e200dff,0x3e6005ff,0x3ee004ff,
    0xfff504ff,0x3ffee00d,0x70000007,0x0000ffff,0x0ffff200,0x801ffffb,
    0xff74fffa,0x200000bf,0x0005fffb,0x0bfff700,0x3ff20000,0x7fffec3f,
    0x27ffd400,0x0005fffd,0x645ffff7,0x36006fff,0x00003fff,0x000ffff7,
    0x7fffc000,0x74c0aeff,0x4000ffff,0xfffb33fe,0x7d40007f,0x2e006fff,
    0x80005fff,0x3e25fffb,0xfffb85ff,0x32a62005,0x003fffff,0x403fffd0,
    0x8801ffff,0x26005fff,0x3a004fff,0x3fe01fff,0xffc801ff,0x0000006f,
    0x000dfff9,0x3fff2000,0x2ffffc43,0x5d3ffea0,0xaaaaefff,0xaaaaaaaa,
    0x5c1aaaaa,0xaaaaefff,0xaaaaaaaa,0x5c1aaaaa,0xaaaaefff,0xaaaaaaaa,
    0x641aaaaa,0x7fc43fff,0x7fd405ff,0x0bfffa4f,0xb7fff400,0x001ffff9,
    0x000ffff6,0x037ffe40,0xfff00000,0xff880dff,0x7f4002ff,0x07fffe43,
    0x7fffcc00,0x3fee000f,0xfb80005f,0x3ffe25ff,0xeffffb85,0xeeeeeeee,
    0xffffffff,0xff30005f,0xfffc80df,0x5fff8805,0x13ffe600,0x037ffcc0,
    0x2017fff2,0x0004fffd,0x9fffb000,0x32000000,0xffa83fff,0x3fea03ff,
    0xfffff74f,0xffffffff,0xffffffff,0xfffffb87,0xffffffff,0xffffffff,
    0x7ffffdc3,0xffffffff,0xffffffff,0x41fffe43,0x203ffffa,0x3fa4fffa,
    0xf30002ff,0xfffb7fff,0xfffd8007,0xffb00003,0x0000009f,0x0077fffc,
    0x0027ffe4,0xfff10ffa,0xfe88005f,0x5c001fff,0x80005fff,0x3e25fffb,
    0xfffb85ff,0xffffffff,0xffffffff,0x320002ff,0x7cc03fff,0x7c400fff,
    0x3e6005ff,0xff9004ff,0xfff9807f,0x7ffec00f,0xb0000004,0x00009fff,
    0x0ffff200,0x807fffec,0xff74fffa,0xffffffff,0xffffffff,0xffb87fff,
    0xffffffff,0xffffffff,0x7fdc3fff,0xffffffff,0xffffffff,0x7fe43fff,
    0xffffb03f,0x93ffea01,0x0002fffe,0x3fffffee,0xffd8005f,0xfb00003f,
    0x000009ff,0x01ffffc0,0x005fff98,0x7fec1ff4,0x7fec003f,0xfb8002ff,
    0xb80005ff,0x3fe25fff,0xffffb85f,0xffffffff,0xbdffffff,0x3fe20000,
    0xffe800ff,0x7ffc403f,0x3ffe6005,0xffff8804,0x3fffe800,0x02fffe40,
    0xffc80000,0x0000005f,0x2207fff9,0xf506ffff,0x3ffee9ff,0xffffffff,
    0xffffffff,0x7ffdc3ff,0xffffffff,0xffffffff,0x7ffdc3ff,0xffffffff,
    0xffffffff,0x7ffe43ff,0xdffff103,0xe93ffea0,0x40002fff,0x0ffffffe,
    0x3fffd800,0xfff90000,0x4000000b,0x1002ffff,0x2b98bfff,0xff707fd0,
    0x7fe400bf,0xf70004ff,0x70000bff,0x7fc4bfff,0xffffb85f,0xfeeeeeee,
    0x000cffff,0x0bfff700,0x01bffee0,0x400bfff1,0xb804fff9,0xf7005fff,
    0xffb80dff,0x0000006f,0x000dfff7,0x3fff2000,0x3fffee03,0x74fffa83,
    0x5555dfff,0x55555555,0xb8355555,0xaaaaefff,0xaaaaaaaa,0x5c1aaaaa,
    0xaaaaefff,0xaaaaaaaa,0x641aaaaa,0x3ee03fff,0xffa83fff,0x0bfffa4f,
    0xffff3000,0x3f60005f,0x700003ff,0x0000dfff,0x07fffc00,0x56fff880,
    0x3fa0dfff,0x05fffa83,0x0bffff50,0x37ffd400,0x7ffe4000,0x217ffe24,
    0x4405fffb,0x00dffffc,0xbfffe800,0x99999999,0x02ffff99,0x8017ffe2,
    0xe804fff9,0x9999bfff,0xff999999,0x3fea02ff,0x0000006f,0x000dfff5,
    0x3fff2000,0x7fffec03,0xba7ffd40,0x00005fff,0x00bfff70,0x3ffee000,
    0xf9000005,0xffd807ff,0x7ffd40ff,0x00bfffa4,0x1bfff200,0x3fffd800,
    0xfff50000,0x4000000d,0x22007fff,0xfff16fff,0x2e0ffa0f,0xf9803fff,
    0x0000efff,0x001bffea,0x893fff60,0xffb85fff,0xfff5005f,0x4c0001ff,
    0xffffffff,0xffffffff,0x3e205fff,0x3e6005ff,0x7fcc04ff,0xffffffff,
    0xffffffff,0x3ffe605f,0x0200000f,0x007fffcc,0x3f201000,0x7fc403ff,
    0x7ffd46ff,0x00bfff74,0x3ffee000,0xf7000005,0x00000bff,0x100ffff2,
    0xfa8dffff,0x3fffa4ff,0xffb80002,0x3f60005f,0x300003ff,0x0001ffff,
    0xdfff0040,0x37ffc400,0xfd05ffff,0x05fffb07,0x1ffffe88,0x7ffcc000,
    0xffe80006,0x17ffe23f,0x8017ffee,0x006ffffa,0x3fffff20,0xffffffff,
    0x0fffffff,0x00bfff10,0x2027ffcc,0xfffffffc,0xffffffff,0x200fffff,
    0x0002ffff,0xf82f7fe0,0x00002fff,0x7e42f7fe,0xffb803ff,0x3ffea3ff,
    0x00bfff74,0x3ffee000,0xf7000005,0x00000bff,0x200ffff2,0x2a3ffffb,
    0x3ffa4fff,0xfb80002f,0x360005ff,0x00003fff,0x000bfffe,0x20bdff80,
    0x22006fff,0x3ff26fff,0x4c3fe86f,0x6c00ffff,0x0002ffff,0x007fff98,
    0x23fffe80,0xfb85fff8,0x7dc005ff,0xf0005fff,0xffffffff,0xffffffff,
    0x2207ffff,0x2a006fff,0x7fc04fff,0xffffffff,0xffffffff,0x3f203fff,
    0x300004ff,0x7e43ffff,0x300004ff,0x3f23ffff,0xffb003ff,0x3ffea1ff,
    0x00bfff74,0x3ffee000,0xf7000005,0x00000bff,0x400ffff2,0xf50ffffd,
    0x7fff49ff,0xffb80002,0x3f60005f,0x200003ff,0x0004fffc,0x43ffff30,
    0x22006fff,0x3fe66fff,0x11ff44ff,0xc809fffd,0x0004ffff,0x007fffe0,
    0x43ffff00,0xfb85fff8,0xfd8005ff,0x54003fff,0x9999efff,0x99999999,
    0x106fffc9,0x5400dfff,0x3ea04fff,0x99999eff,0x99999999,0x2a06fffc,
    0x0000ffff,0x546fffc8,0x0000ffff,0x326fffc8,0xf1003fff,0x3feadfff,
    0x0bfff74f,0x3fee0000,0x7000005f,0x0000bfff,0x00ffff20,0xab7fffc4,
    0x3ffa4fff,0xfb80002f,0x360005ff,0x00003fff,0x003fffea,0x1bfff200,
    0x4400dfff,0x7fe46fff,0x27fd0dff,0x406ffffa,0x005ffffa,0x1fffec00,
    0xffff7000,0xb85fff88,0x88005fff,0x001fffff,0x000ffff6,0x817fffc4,
    0x32006fff,0x3f604fff,0xf10003ff,0x7fc05fff,0x440005ff,0xff83ffff,
    0x440005ff,0x3f23ffff,0x3ee003ff,0xfffabfff,0x00bfff74,0x3ffee000,
    0xf7000005,0x00000bff,0x800ffff2,0xfabffffb,0x3fffa4ff,0xffb80002,
    0x3f60005f,0x400003ff,0x0005ffff,0x21ffffc4,0x22006fff,0xffc86fff,
    0xfeffefff,0x201fffff,0x00effff9,0x7ffdc000,0xfff0000f,0x5fff88bf,
    0x005fffb8,0x0dffff50,0x03fffe20,0x5fffe800,0x400ffff0,0xf104fffe,
    0x40001fff,0x2a05fffe,0x0002ffff,0x01ffffd1,0x005ffff5,0x3ffffa20,
    0x00ffff20,0xf9ffffb0,0x3ffee9ff,0xf7000005,0x00000bff,0x0017ffee,
    0x1fffe400,0x3ffff600,0x3fa4fffc,0xb80002ff,0x20005fff,0x0003fffd,
    0x17fffd40,0xfffe8800,0x037ffc0f,0x20dfff10,0xfffffffc,0x01efffff,
    0x07ffffa2,0x3fe60000,0xfb8005ff,0x7fc42fff,0x5fffb85f,0x3fff6000,
    0xfffb804f,0x7fd40005,0xfffe80ff,0xffffc803,0x0bfff704,0xffffa800,
    0x3ffffa00,0xfffd8003,0x3fffa04f,0xffd8003f,0x7ffe44ff,0x7ffc4003,
    0xf74fffff,0x00000bff,0x0017ffee,0x2fffdc00,0xffc80000,0x7fc4003f,
    0x24ffffff,0x0002fffe,0x005fffb8,0x00ffff60,0x3fffa000,0xffd8003f,
    0x6fff84ff,0x1bffe200,0xfffffda8,0xd804ffff,0x0001ffff,0x3ffff200,
    0xffe9801e,0xfff886ff,0x05fffb85,0x3fffe200,0x7fff401f,0x7fc40002,
    0xfffc84ff,0x3ffee00f,0xfffd04ff,0xff880005,0x3fe604ff,0xa800cfff,
    0x405ffffe,0x0cfffff9,0xffffea80,0x03fffc85,0xfffffb80,0xbfff74ff,
    0x3ee00000,0x000005ff,0x000bfff7,0x0ffff200,0x3fffee00,0x3ffa4fff,
    0xfb80002f,0x360005ff,0x00003fff,0xcfffff98,0xfffea800,0x0dfff05f,
    0x037ffc40,0x0adffb98,0x5ffff900,0xf8800000,0xceffffff,0xfffecbaa,
    0xff881fff,0x5fffb85f,0x7ffdc000,0x3ffe606f,0xfc80000f,0xfff987ff,
    0xf9510bef,0x309fffff,0x0001ffff,0x80ffff90,0xdffffffa,0xfdba989a,
    0x5006ffff,0x5bffffff,0xffb75313,0x3f20dfff,0xfb0003ff,0x2e9fffff,
    0x00005fff,0x00bfff70,0x3ffee000,0xf9000005,0x360007ff,0x24ffffff,
    0x0002fffe,0x005fffb8,0x00ffff60,0x7ffd4000,0x989adfff,0xfffffdba,
    0x01bffe06,0x006fff88,0xf1001ff4,0xddddffff,0xdddddddd,0xdddddddd,
    0xffffd301,0xffffffff,0x203fffff,0xfb85fff8,0xd80005ff,0xf903ffff,
    0x20000bff,0xd82ffff9,0xffffffff,0xffe9ffff,0x05fffc84,0xffff3000,
    0xffff9805,0xffffffff,0x00efffff,0x3ffffe60,0xffffffff,0x900effff,
    0x20007fff,0x4ffffff8,0xdddffff7,0xdddddddd,0xdddddddd,0x3bfffee5,
    0xeeeeeeee,0xeeeeeeee,0xffff72ee,0xdddddddd,0xdddddddd,0x3ff25ddd,
    0xff10003f,0x7f49ffff,0xb80002ff,0x20005fff,0xeeeefffd,0xeeeeeeee,
    0x2601eeee,0xffffffff,0xffffffff,0x3ffe00ef,0x3ffe2006,0x01ff4006,
    0xffffff10,0xffffffff,0xffffffff,0x36203fff,0xffffffff,0x0effffff,
    0x217ffe20,0x0005fffb,0x0fffff88,0x002ffff8,0x17fffa00,0x7fffffe4,
    0xffd1efff,0x05ffff09,0x7fff4000,0xfffd8805,0xffffffff,0x10003fff,
    0xfffffffb,0x7fffffff,0x03fffc80,0x3fffee00,0xfffff74f,0xffffffff,
    0xffffffff,0x3ffee7ff,0xffffffff,0xffffffff,0xff73ffff,0xffffffff,
    0xffffffff,0x327fffff,0x20003fff,0x24fffffb,0x0002fffe,0x005fffb8,
    0x3fffff60,0xffffffff,0x01ffffff,0x7ffffec4,0xffffffff,0x6fff803f,
    0x1bffe200,0x4007fd00,0xfffffff8,0xffffffff,0xffffffff,0x7e4c01ff,
    0xffffffff,0xff8801cf,0x5fffb85f,0xfff70000,0x7fffa8bf,0x7fdc0000,
    0xffd500ff,0x7419dfff,0x7ffd44ff,0x7dc00007,0x91000fff,0xffffffff,
    0x000019ff,0xffffff91,0x0019ffff,0x0007fff9,0x74ffffd8,0xffffffff,
    0xffffffff,0x7fffffff,0x3fffffee,0xffffffff,0xffffffff,0xfffff73f,
    0xffffffff,0xffffffff,0x3fff27ff,0x7fec0003,0x3fffa4ff,0xffb80002,
    0x3f60005f,0xffffffff,0xffffffff,0xf91001ff,0xffffffff,0x3fe0019f,
    0x3fe2006f,0x0e5c006f,0xfffff100,0xffffffff,0xffffffff,0x4003ffff,
    0x99abba99,0x3ffe2000,0x05fffb85,0x3fffa000,0x13fff62f,0xfff10000,
    0x1573009f,0x9fffb000,0xff880000,0x988004ff,0x0001abaa,0x5d54c400,
    0xffc8001a,0x7c40003f,0xfff74fff,0xffffffff,0xffffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0x73ffffff,0xffffffff,0xffffffff,0x7fffffff,
    0x000ffff2,0x49ffff10,0x0002fffe,0x005fffb8,0x3fffff60,0xffffffff,
    0x01ffffff,0xabaa9880,0xdfff0001,0x37ffc400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc0000,0x99999999,0x74000099,0x7fc44fff,
    0xd80001ff,0x774c2eee,0xfb8000de,0x7fec0eff,0xff00004f,0x02ffc40d,
    0x0bfffe20,0x801dfff5,0x5c0eeee9,0x00004eee,0x006aa000,0x98000555,
    0x0001cccc,0xca80dd4c,0x2aa6000c,0x0d554c0a,0x55510000,0x02aaa885,
    0xeeee8800,0xeeeeeeee,0xd300002e,0xa8005ddd,0x554c0aaa,0x2aa6000a,
    0x0d554c0a,0x5554c000,0x00d554c0,0x00333330,0x05bdd910,0x00001ffb,
    0x3ffffffe,0x04ffffff,0x7fffc400,0x00bfff61,0x7fffcc00,0x00bfffa0,
    0x24fffd80,0x0005fffb,0x640bff60,0xf98003ff,0xfff10fff,0x3ff2003f,
    0x3fffe25f,0x3bf66000,0x407ff81c,0xff300ffd,0xffb80009,0x320002ff,
    0x20beffff,0x7ec007ff,0x7ffe42ff,0x3ea00003,0x7ffc45ff,0xff880007,
    0xffffffff,0x00003fff,0x007ffff5,0x6c0fffe8,0x36002fff,0x7fe42fff,
    0xfd80003f,0x7ffe42ff,0xffff3003,0xfff98009,0xfa9cefff,0x3e00007f,
    0xffffffff,0x0004ffff,0xf76fff98,0x800009ff,0xff75fffb,0xe880009f,
    0xfff89fff,0x2a00000e,0xf730beff,0x2e0001ff,0xfff95fff,0xfffe8005,
    0x003fffd2,0x7fffffd4,0x05ffc9be,0xfd827fdc,0x7dc0002f,0x70002fff,
    0xffffffff,0x800dfffd,0x7e42fffd,0x200003ff,0x7c45fffa,0x880007ff,
    0xffffffff,0x003fffff,0x7ffff500,0x0fffe800,0x0017ffec,0xfc85fffb,
    0xd80003ff,0x7fe42fff,0xfffb003f,0xfffb000d,0xffffffff,0x7c00009f,
    0xffffffff,0x0004ffff,0xffbfff70,0x200000df,0xfffbfffd,0xff300005,
    0x03fffbdf,0xfffb0000,0x07ffffff,0xcfffd800,0x88004fff,0xfffcffff,
    0x3ffe2003,0xffffffff,0x7fc403ff,0xfffdbcef,0xffb80006,0xf88002ff,
    0xfffebcff,0x4002ffff,0x7e42fffd,0x200003ff,0x7c45fffa,0x880007ff,
    0xaaaaaaaa,0x000aaaaa,0x7ffff500,0x0fffe800,0x0017ffec,0xfc85fffb,
    0xd80003ff,0x7fe42fff,0xfff9803f,0x7fc4000f,0xfffda89f,0x00000fff,
    0x00000000,0x3ffffff6,0xd1000000,0x01dfffff,0x7ffd4000,0x00002fff,
    0x3fffff20,0x880003ff,0x05fffffe,0x3fffe600,0x7d4004ff,0xffeb88ef,
    0xf5006fff,0xffffffff,0xff700001,0xf30005ff,0xfffd98df,0xffd8003f,
    0x1fffe42f,0xfff50000,0x07fff88b,0x00000000,0xffffa800,0x7fff4003,
    0x017ffec0,0xc85fffb0,0x80003fff,0x7e42fffd,0xffd803ff,0xff98001f,
    0x0ceec984,0x00000000,0x7f440000,0x00001fff,0x7ffffcc0,0xfc800001,
    0x00004fff,0xbcdcb980,0x3e600000,0x0000efff,0x037fffdc,0x541ffdc0,
    0x44003eed,0x0cfffffd,0x33310000,0x55100013,0x00266203,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x00003fff,
    0x00000000,0x026af2a6,0x99880000,0x00000009,0x00013331,0x00cccc00,
    0x00000000,0x26662000,0x33300000,0x00000013,0x01998000,0x2ea66000,
    0x000001ac,0x54c00000,0x00009abc,0x40000000,0x0005fffb,0x005fffb8,
    0x00000000,0x00000000,0x90000000,0x00000bff,0xb8000000,0xffffffed,
    0x00002dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffc980,0xbcefffff,0x00000000,0x3fffb6e0,0x02dfffff,
    0x13fffee0,0xfffd8000,0x0bfff70f,0xbfff7000,0xffffff98,0xffffffff,
    0xffffffff,0x0bfffa05,0xffff8000,0x3fee0007,0xffffffff,0xffffffff,
    0x0005ffff,0xfffff000,0x3a600000,0xffffffff,0x03efffff,0xfffffff8,
    0xffffffff,0xffffffff,0x3e0003ff,0x20007fff,0xfffffffb,0xefffffff,
    0x3fee002c,0xffffffff,0xffffffff,0x3ee5ffff,0xffffffff,0xffffffff,
    0x405fffff,0x3202fffe,0x0000ffff,0xd027ffd4,0x30005fff,0xfffffffd,
    0xffffffff,0x3ffa0007,0xfd30002f,0xffffffff,0x007dffff,0x007ffffa,
    0x3fffee00,0x017ffee3,0x17ffee00,0xfffffff3,0xffffffff,0xbfffffff,
    0x017fff40,0xffffa800,0xff70002f,0xffffffff,0xffffffff,0x000bffff,
    0xffff5000,0xb800005f,0xffffffff,0xffffffff,0x7fffc04f,0xffffffff,
    0xffffffff,0x003fffff,0x5fffff50,0x3ffee000,0xffffffff,0x3effffff,
    0xfffffb80,0xffffffff,0xffffffff,0x3fffee5f,0xffffffff,0xffffffff,
    0x7ff405ff,0x3fff202f,0x7d40005f,0x3ffa04ff,0x7fdc002f,0xffffffff,
    0xffffffff,0x7ff4000d,0xffb8002f,0xffffffff,0x4fffffff,0x6ffff980,
    0x7ffc4000,0x2fffdc5f,0x7ffdc000,0x7ffffcc5,0xffffffff,0xffffffff,
    0x3fffa05f,0xffb00002,0x2000dfff,0xfffffffb,0xffffffff,0x5fffffff,
    0x00006662,0x6fffffd8,0xffb10000,0x2359dfff,0xffffeba9,0xffff00ef,
    0xffffffff,0xffffffff,0x007fffff,0x3fffff60,0xfff70006,0xffffffff,
    0xffffffff,0x7ffdc07f,0xffffffff,0xffffffff,0x3fee5fff,0xffffffff,
    0xffffffff,0x7405ffff,0x3f202fff,0x0003ffff,0xe813ffea,0xb1002fff,
    0x9bffffff,0xfd973135,0x001dffff,0x0017fff4,0xdfffffb1,0x3aea6359,
    0x00efffff,0x027fffdc,0x1ffffb00,0x005fffb8,0x45fffb80,0xeeeeeee9,
    0xeeeeeeee,0x4ffffeee,0x00bfffa0,0x3bffe200,0xb8001fff,0xeeeeffff,
    0xeeeeeeee,0x24eeeeee,0x0001fffc,0xffefff88,0xfe80001f,0x5002ffff,
    0x20dffffd,0xeeeeeeed,0xeffffeee,0xeeeeeeee,0xff88002e,0x001fffef,
    0xeeffffb8,0xeeeeeeee,0x4fffffff,0xddffff70,0xdddddddd,0xdddddddd,
    0x77fffdc9,0xeeeeeeee,0xeeeeeeee,0x7fff404e,0x3ffff202,0xf50000ff,
    0x7ff409ff,0xfffb002f,0x7d4009ff,0x2004ffff,0x2002fffe,0x02fffffe,
    0xdffffd50,0x3ffffd00,0xffff5000,0x0bfff705,0xbfff7000,0xfd100000,
    0x7f401fff,0xb80002ff,0x4fff9fff,0x5fffb800,0xff900000,0xf700003f,
    0x09fff3ff,0xffffb800,0xffd8000d,0x2a0004ff,0x00006fff,0x7cfffdc0,
    0xfb8004ff,0x2a2005ff,0x83fffffd,0x0005fffb,0x0bfff700,0x7f400000,
    0x3ff202ff,0x0005ffff,0x7409fff5,0xfa802fff,0x8001efff,0x01ffffe8,
    0x005fffd0,0x037fffee,0x3ffff600,0x7fffcc04,0x7ffc4006,0xbfff705f,
    0xfff70000,0xfd00000b,0xfe803fff,0xe80002ff,0x1fffd6ff,0x5fffb800,
    0xff900000,0xfd00003f,0x03fffadf,0x7fffc400,0x7fe40004,0xf50001ff,
    0x00000dff,0xffd6ffe8,0xffb8001f,0xff50005f,0xffb83fff,0x7000005f,
    0x0000bfff,0x17fff400,0xffffff90,0xff50007f,0x7fff409f,0x7fffc402,
    0xffe80006,0xfffd005f,0xffff1005,0xffc80009,0x7fdc01ff,0x3f6003ff,
    0xff700eff,0xf70000bf,0x80000bff,0x803ffffd,0x0002fffe,0xfc9fffcc,
    0x7dc003ff,0x000005ff,0x0003fff9,0xf93fff98,0x360007ff,0x00006fff,
    0x000dfffd,0x001bffea,0x3fff9800,0x8007fff9,0x0005fffb,0x717fffea,
    0x0000bfff,0x017ffee0,0xffe80000,0x3fff202f,0x000fffff,0xd027ffd4,
    0xfc805fff,0x80001fff,0xd007fffb,0xfb005fff,0x20000dff,0xe806fffe,
    0xa801ffff,0x2e01ffff,0x80005fff,0x0005fffb,0x13ffff20,0x017fff40,
    0x47fff200,0x4006fff9,0x0005fffb,0x03fff900,0x1fffc800,0x000dfff3,
    0x005ffff3,0x3fffea00,0xfffa8001,0x32000006,0xfff31fff,0xfffb800d,
    0x7fdc0005,0x3ffee1ff,0xf7000005,0x00000bff,0x017fff40,0xfff9fff9,
    0xffa800bf,0x3fffa04f,0x3fffe202,0x3fe00004,0xffe802ff,0x7ffcc02f,
    0xf500002f,0xf9803fff,0x7c406fff,0x7dc04fff,0xb80005ff,0x00005fff,
    0x00dffff7,0x0017fff4,0xfd1fffe0,0x7dc003ff,0x000005ff,0x0003fff9,
    0x7f47fff8,0x7ec001ff,0x400005ff,0x8004fffe,0x0006fffa,0xd1fffe00,
    0x5c003fff,0x80005fff,0x3ee5fffe,0x000005ff,0x000bfff7,0x7fff4000,
    0x2ffff202,0x003ffffa,0xe813ffea,0x3ea02fff,0x400007ff,0xfd001bdb,
    0xffd805ff,0x7400005f,0xfb804fff,0x3f603fff,0xffb806ff,0xfb80005f,
    0x980005ff,0x000fffff,0x000bfffa,0x5c4fffa8,0x2e004fff,0x00005fff,
    0x003fff90,0x227ffd40,0x4004fffb,0x0002ffff,0x03fffdc0,0x037ffd40,
    0xfffa8000,0x027ffdc4,0x00bfff70,0x4ffff700,0x0005fffb,0x0bfff700,
    0x7f400000,0x3ff202ff,0x1ffffb3f,0x13ffea00,0x202fffe8,0x0005fffd,
    0xffe80000,0x7fffc02f,0x7dc00002,0xffd007ff,0xfff501ff,0xfff7003f,
    0xff70000b,0xf88000bf,0x4001ffff,0x0002fffe,0xf107fff6,0x2e001fff,
    0x00005fff,0x003fff90,0x20fffec0,0x000ffff8,0x001ffff1,0xffff8800,
    0x7ffd4001,0xfb000006,0xfff883ff,0xfff7000f,0xff10000b,0x3ffee3ff,
    0xf7000005,0x00000bff,0x017fff40,0x3e27fff9,0xf5005fff,0x7ff409ff,
    0xffff102f,0x00000009,0x405fffd0,0x000ffff8,0x7fffc400,0xffff9801,
    0x04fffe85,0x00bfff70,0x0bfff700,0xffffe800,0xfffe8003,0xfff10002,
    0x0ffff60d,0x02fffdc0,0xfffc8000,0xfff10001,0x0ffff60d,0x03fffcc0,
    0xfffe8000,0x7ffd4003,0xf8800006,0xfffb06ff,0x3ffee007,0xffd00005,
    0x17ffee7f,0x7fdc0000,0x0000005f,0xc80bfffa,0x3fea3fff,0xffa803ff,
    0x3fffa04f,0x5ffff302,0x00000000,0x4c05fffd,0x00007fff,0x007fffd0,
    0xc8bfffee,0x2e006fff,0x80005fff,0x0005fffb,0x013ffff2,0x017fff40,
    0x04fffb80,0x200dfff5,0x0005fffb,0x03fff900,0x13ffee00,0x8037ffd4,
    0x0007fffa,0x07fffb00,0x06fffa80,0xfffb8000,0x0dfff504,0x017ffee0,
    0xafffec00,0x0005fffb,0x0bfff700,0x7f400000,0x3ff202ff,0x7fffec3f,
    0x27ffd400,0x205fffd0,0x001ffffa,0xfe800000,0x3fea02ff,0xb000007f,
    0x74007fff,0xfff36fff,0x7fdc003f,0xfb80005f,0xf50005ff,0x4000dfff,
    0x0002fffe,0x7c03fffd,0xfb801fff,0xaaaaaeff,0xaaaaaaaa,0x7e41aaaa,
    0xfd0001ff,0x7ffc03ff,0xfffb801f,0xfb000006,0xfa8009ff,0x800006ff,
    0x3e01fffe,0xfb801fff,0x900005ff,0x3feebfff,0xaaaaaaef,0xaaaaaaaa,
    0x7fdc1aaa,0xaaaaaaef,0xaaaaaaaa,0xfe801aaa,0x3ff202ff,0x7fffc43f,
    0x27ffd405,0x205fffd0,0x0007fffb,0xffd00000,0x7ffdc05f,0xfb000006,
    0x7cc009ff,0xfffdbfff,0x7ffdc003,0xffb80005,0xff98005f,0x20000fff,
    0x8002fffe,0x6406fff9,0xfb805fff,0xffffffff,0xffffffff,0x7e43ffff,
    0xf98001ff,0x7fe406ff,0xfffc805f,0xf9000004,0xfa800bff,0x400006ff,
    0x6406fff9,0xfb805fff,0x700005ff,0x3feedfff,0xffffffff,0xffffffff,
    0x7fdc3fff,0xffffffff,0xffffffff,0xfe803fff,0x3ff202ff,0xffffa83f,
    0x13ffea03,0x702fffe8,0x9800dfff,0xaaaaaaaa,0xe802aaaa,0x3f202fff,
    0x000004ff,0x800bfff9,0xfffffffb,0xfffb8005,0xffb80005,0x7f44005f,
    0x40001fff,0x8002fffe,0x4c03fffc,0x5c00ffff,0xffffffff,0xffffffff,
    0x643fffff,0xc8001fff,0x7cc03fff,0x7ec00fff,0x000004ff,0x800bfff9,
    0x0006fffa,0x01fffe40,0x003fffe6,0x000bfff7,0x5dbffee0,0xffffffff,
    0xffffffff,0x5c3fffff,0xffffffff,0xffffffff,0x803fffff,0x3202fffe,
    0xffb03fff,0x3fea01ff,0x3fffa04f,0x0dfff902,0xfffffc80,0x7fffffff,
    0x02fffe80,0x0013fff6,0x2fffe400,0x7ffff400,0xfb8000ff,0xb80005ff,
    0x6c005fff,0x0002ffff,0x002fffe8,0x007fffc4,0x201ffff4,0xfffffffb,
    0xffffffff,0x43ffffff,0x4001fffc,0x800ffff8,0x6c03fffe,0x00005fff,
    0x009fffb0,0x006fffa8,0x3fffe200,0x3fffe800,0x02fffdc0,0x6fffb800,
    0xfffffff7,0xffffffff,0x87ffffff,0xfffffffb,0xffffffff,0x03ffffff,
    0x202fffe8,0xf103fffc,0x3ea0dfff,0x3ffa04ff,0xdfff702f,0xffffc800,
    0xffffffff,0x2fffe807,0x017fff60,0x7ffec000,0xfff98004,0xf70002ff,
    0x70000bff,0x6400bfff,0x0004ffff,0x005fffd0,0x005fffb8,0xb80dfff7,
    0xaaaaefff,0xaaaaaaaa,0x641aaaaa,0x5c001fff,0xf7005fff,0xffc80dff,
    0xd000006f,0xa8007fff,0x00006fff,0x4017ffee,0x5c06fffb,0x00005fff,
    0x3eebfff9,0xaaaaaeff,0xaaaaaaaa,0x7dc1aaaa,0xaaaaaeff,0xaaaaaaaa,
    0xe801aaaa,0x3f202fff,0x3fee03ff,0xfffa83ff,0x0bfffa04,0x003fffd4,
    0x3ffffff2,0x07ffffff,0x202fffe8,0x0006fffc,0x07fffd00,0x1bfff200,
    0x6fffa800,0xfffc8000,0xffff5004,0x7f40000b,0x7f4002ff,0x99999bff,
    0xfff99999,0x3ffee02f,0xf9000005,0xfe8003ff,0x99999bff,0xfff99999,
    0x3ffee02f,0xff000007,0xfa8007ff,0x200006ff,0x999bfffe,0xf9999999,
    0x3ee02fff,0xd00005ff,0x3fee9fff,0x7000005f,0x0000bfff,0x17fff400,
    0x807fff90,0x540ffffd,0x3fa04fff,0xfff302ff,0x554c001f,0xfbaaaaaa,
    0xffe807ff,0x3ffee02f,0xff000007,0x2e0007ff,0x20005fff,0x0006fffa,
    0x804fffd8,0x00effff9,0x3fffa000,0x3ffe6002,0xffffffff,0xffffffff,
    0x17ffee05,0x7fe40000,0x3fe6001f,0xffffffff,0xffffffff,0x3ffea05f,
    0x4400000f,0x4002ffff,0x0006fffa,0xffffff30,0xffffffff,0x40bfffff,
    0x0005fffb,0x2e7ffff0,0x00005fff,0x00bfff70,0x7ff40000,0x3fff202f,
    0x7fffc403,0x027ffd46,0x2205fffd,0x0002ffff,0x03fffc40,0x5017fff4,
    0x0001ffff,0x2ffff880,0xbfff7000,0x7ffcc000,0xffe80006,0x7ff4403f,
    0x400001ff,0x2002fffe,0xfffffffc,0xffffffff,0x700fffff,0x0000bfff,
    0x007fff20,0xffffffc8,0xffffffff,0x00ffffff,0x0007fffe,0x0ffff500,
    0x0dfff500,0x3fff2000,0xffffffff,0xffffffff,0xbfff700f,0xfff10000,
    0x17ffee5f,0x7fdc0000,0x0000005f,0xc80bfffa,0xfb803fff,0x3fea3fff,
    0x3fffa04f,0x17fffa02,0xfff10000,0x5fffd00f,0x01ffff80,0x7ffd4000,
    0x3fee0007,0x3e60005f,0xe80007ff,0x7ec03fff,0x00002fff,0x002fffe8,
    0x3ffffffe,0xffffffff,0x03ffffff,0x000bfff7,0x07fff200,0xffffff80,
    0xffffffff,0x3fffffff,0x01bfff20,0x9fffd000,0xdfff5000,0x3ffe0000,
    0xffffffff,0xffffffff,0xfff703ff,0xff30000b,0x3ffee3ff,0xf7000005,
    0x00000bff,0x017fff40,0x2007fff9,0xf50ffffd,0x7ff409ff,0x3ffee02f,
    0x7c400007,0xffe807ff,0x7ffe402f,0x7f400006,0x2e0004ff,0x40005fff,
    0x0001ffff,0x900ffffc,0x0009ffff,0x0bfffa00,0x4f7ffd40,0x99999999,
    0xfffc9999,0x0bfff706,0x3ff20000,0xfff5001f,0x3333333d,0xf9333333,
    0x7fd40dff,0x700002ff,0x0003ffff,0x000dfff5,0x33dfff50,0x33333333,
    0xdfff9333,0x017ffee0,0x9ffff200,0x0005fffb,0x0bfff700,0x7f400000,
    0x3ff202ff,0xfff1003f,0x13ffeadf,0x202fffe8,0x003ffff8,0x1fffe200,
    0x00bfffa0,0x005ffff5,0x3fffee00,0x3fee0001,0x7ec0005f,0x2e0003ff,
    0x3ea07fff,0x00005fff,0x00bfffa0,0x001fffec,0x82ffff88,0x0005fffb,
    0x03fff900,0x00ffff60,0x17fffc40,0x01ffffd0,0xffff8800,0xfff50006,
    0xffb0000d,0x3e20007f,0xffb82fff,0x7cc0005f,0x3fee3fff,0x7000005f,
    0x0000bfff,0x17fff400,0x007fff90,0x55ffffdc,0x3fa04fff,0x7fec02ff,
    0x100001ff,0xfd00ffff,0xffd005ff,0x880001ff,0x0006ffff,0x002fffdc,
    0x03fffee0,0x2ffffc00,0x0effff98,0x3fa00000,0xff8802ff,0x3a0000ff,
    0xffb85fff,0x9000005f,0xf1003fff,0x40001fff,0x2605fffe,0x0004ffff,
    0x00ffffec,0x06fffa80,0x7fffc400,0x3ffa0000,0x5fffb85f,0x7ffec000,
    0x17ffee0f,0x7fdc0000,0x0000005f,0xc80bfffa,0x6c003fff,0xfffcffff,
    0x0bfffa04,0x1dffff10,0xfff70000,0x5fffd00f,0x9ffff300,0xfffd8000,
    0x7dc0001f,0x4c0005ff,0x8005ffff,0x882ffffb,0x001ffffe,0x7fff4000,
    0x5fffb802,0x7ffd4000,0x2fffdc0f,0xffc80000,0xfffb801f,0x7fd40005,
    0x3ff200ff,0x44000dff,0x004ffffe,0x01bffea0,0x0bfff700,0xffffa800,
    0x02fffdc0,0x9ffff500,0x005fffb8,0xbfff7000,0x74000000,0x3f202fff,
    0x7c4003ff,0x4fffffff,0x00bfffa0,0x0bffffea,0x7fff4c00,0xfffe807f,
    0xffff9002,0xfe88001b,0x80004fff,0x0005fffb,0x1effffc8,0xffffe980,
    0x3ffffb06,0xfd000000,0xffd005ff,0xf880005f,0x7fdc4fff,0x0000005f,
    0x0bfffa00,0xffff1000,0xffffe809,0xfff5002f,0xa8000dff,0x40006fff,
    0x0002fffe,0x227fffc4,0x0005fffb,0x81fffff7,0x0005fffb,0x0bfff700,
    0x7f400000,0x3ff202ff,0xffb8003f,0x204fffff,0x9002fffe,0x05bfffff,
    0x3ffff660,0xffe806ff,0x3ffa002f,0xf5002fff,0x000dffff,0x017ffee0,
    0x3fffe200,0xbaacefff,0xffffffec,0x2ffffc81,0xfd000000,0xff9805ff,
    0xc80000ff,0x7fdc7fff,0x5000005f,0xf9803777,0x80000fff,0x4407fffc,
    0xcefffffd,0xfecb989b,0x000effff,0x037ffd40,0x1ffff300,0xfff90000,
    0x05fffb8f,0x3fffaa20,0xfffb82ff,0xf7000005,0x00000bff,0x017fff40,
    0x0007fff9,0x3ffffff6,0x0bfffa04,0xfffffc80,0xcbaabcff,0xfffffffe,
    0xfffd002f,0x7fec4005,0x89bcefff,0xffffecb9,0x700000ef,0x0000bfff,
    0x3fffffa6,0xffffffff,0xf881ffff,0xeeeeffff,0xeeeeeeee,0xeeeeeeee,
    0x05fffd00,0x005fffc8,0x5ffff300,0x777fffdc,0xeeeeeeee,0xeeeeeeee,
    0x07fffd2e,0x005fffc8,0x5ffff300,0xfffff900,0xffffffff,0x0009ffff,
    0x01bffea0,0x05fffc80,0xffff3000,0x77fffdc5,0xeeeeeeee,0xffffffff,
    0xdffff702,0xdddddddd,0xdddddddd,0x3ffee5dd,0xeeeeeeef,0xeeeeeeee,
    0x3a02eeee,0x3f202fff,0xf10003ff,0x409fffff,0x4002fffe,0xfffffffa,
    0xffffffff,0x000cffff,0x000bfffa,0x3ffffff2,0xffffffff,0x00004fff,
    0x002fffdc,0xffffb100,0xffffffff,0x3e201dff,0xffffffff,0xffffffff,
    0xffffffff,0x05fffd01,0x002ffff8,0x97fffa00,0xfffffffb,0xffffffff,
    0xffffffff,0x807fffd3,0x0002ffff,0x017fffa0,0x7fffff54,0xffffffff,
    0x2a00002e,0x20006fff,0x0002ffff,0xb97fffa0,0xffffffff,0xffffffff,
    0x2e02ffff,0xffffffff,0xffffffff,0x3fffffff,0xfffffff7,0xffffffff,
    0xffffffff,0x17fff407,0x007fff90,0x7ffffdc0,0x0bfffa04,0x3fff2200,
    0xffffffff,0x000dffff,0x002fffe8,0xfffffd50,0xffffffff,0x7000005d,
    0x0000bfff,0xfffff930,0x039fffff,0xffffff88,0xffffffff,0xffffffff,
    0xffd01fff,0x7ffd405f,0x7dc00007,0xfff70fff,0xffffffff,0xffffffff,
    0x3fa7ffff,0x3fea03ff,0x5c00007f,0x2000ffff,0xffffffd9,0x0001cfff,
    0x06fffa80,0x0ffff500,0xfffb8000,0xfffff70f,0xffffffff,0x017dffff,
    0xffffffb8,0xffffffff,0xffffffff,0xfffff73f,0xffffffff,0xffffffff,
    0x7ff407ff,0x3fff202f,0x7fec0003,0x3ffa04ff,0x6d40002f,0xffffffff,
    0x20001bde,0x0002fffe,0x7ffffecc,0x001cffff,0x3ffee000,0x4c000005,
    0x099abba9,0xfffff100,0xffffffff,0xffffffff,0x3a03ffff,0x3f602fff,
    0x400004ff,0xf74ffff8,0xffffffff,0xffffffff,0x27ffffff,0x3603fffe,
    0x00004fff,0x027fffc4,0x9aca9980,0x54000001,0xb0006fff,0x00009fff,
    0x74ffff88,0xffffffff,0x79bdffff,0x7ffdc003,0xffffffff,0xffffffff,
    0xff73ffff,0xffffffff,0xffffffff,0x407fffff,0x3202fffe,0x40003fff,
    0x204ffff8,0x0002fffe,0x06aea660,0xfffd0000,0x4cc00005,0x00019aca,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddd70000,0x8000003d,0x0000bdb8,
    0x2aaaaaa6,0x02aaaaaa,0xfffffff8,0x04ffffff,0x3bbba200,0xeeeeeeee,
    0x1000002e,0x03559753,0x00000000,0x2aa60000,0x5400001a,0x2a2003cc,
    0x2a00000a,0x000003cc,0x15953000,0x26644000,0x99880000,0x54400099,
    0x9100000a,0x00000199,0x00110000,0x00004000,0x30000200,0x33301333,
    0x32000013,0x0001ffff,0x3fbfea00,0xff90001f,0xffffffff,0xfff00fff,
    0xffffffff,0x440009ff,0xffffffff,0x003fffff,0x3ffae200,0xcfffffff,
    0x44000001,0x009acba9,0x3ee01b90,0x03efffff,0x1fff9800,0x05ffd100,
    0x3ffe6000,0x3faa0001,0xfe98001c,0x000dffff,0x0004ffc8,0x1ffffd00,
    0x17ff4400,0x5ffd8000,0x33faa000,0x36e20001,0x003efffe,0x77ff6d40,
    0x220000bc,0xcefffeca,0x7ffec000,0x07fffd45,0xfffc8000,0x2000001f,
    0x00bd10ee,0x3fffff20,0x7fffffff,0xffffff80,0x4fffffff,0x3ffe2000,
    0xffffffff,0x900003ff,0xffffffff,0x3dffffff,0xfda80000,0xffffffff,
    0x0dff701d,0xfffffff9,0xe80007ff,0xfd1003ff,0x200005ff,0x20003ffe,
    0x01ffcefd,0x3ffffea0,0x2001ffff,0x0000fff8,0x2ffff980,0x3fffa200,
    0xffa80002,0xdfb0000e,0x50003ff9,0xffffffff,0xe98007ff,0xffffffff,
    0xffa8003f,0xffffffff,0x7fff4003,0x007fffa2,0xffffc800,0xf3000001,
    0x8000fa85,0xeeeeeeeb,0x806eeeee,0x99999999,0x00099999,0x33333220,
    0xcccccccc,0x7f440001,0xffffffff,0xffffffff,0xffb80003,0xffffffff,
    0x2e0dffff,0x7fcc2fff,0xffea89bf,0xff90000f,0x3ffee00b,0xc80002ff,
    0x220005ff,0xf002f44f,0xff939fff,0x7fe400df,0xfb000004,0x7dc009ff,
    0x0002ffff,0x000fffc4,0x02744f88,0xfffffb10,0xbfffffff,0x3fffe600,
    0xffffffff,0x3fff2004,0xffffffff,0x3fe2005f,0x2fffc8ff,0x7fe40000,
    0x000001ff,0x01fa85f3,0x00000000,0x00000000,0x7d400000,0xacdfffff,
    0xffff7531,0x22000bff,0xfffffffd,0xffffffff,0x3fffacff,0xf985ffc8,
    0xfa8001ff,0x7fd400ff,0x002fffff,0x007ffcc0,0xfb81f700,0x0fffb800,
    0x4017ffcc,0x0000fff8,0x05fff980,0xffffff50,0xfe80005f,0x3ee0004f,
    0xd8007dc0,0x89beffff,0x05ffffba,0x5f7fffc4,0xffffda89,0xffffd804,
    0xffda89be,0x3ea003ff,0x04fffeff,0x00000000,0x36c5e800,0x00000000,
    0x00000000,0x26000000,0x00efffff,0xbfffff70,0xfffe9800,0x989aceff,
    0xfffffeba,0x80404fff,0x4000fffa,0xc802fff8,0x2ffd9dff,0x3ffe2000,
    0x0fd40002,0x7ffc01f2,0x00dff903,0x00009ff9,0x003bff60,0x7eceffe4,
    0x3ee0002f,0x7d40006f,0xfa803e41,0xd100dfff,0x7ec07fff,0xff500eff,
    0x7fdc03ff,0x3fee01ff,0x3f2001ff,0x0006ffff,0x00000000,0x5ff9ff70,
    0x7ff40000,0x3ffee02f,0xffffffff,0xffffffff,0x40005fff,0x0007ffff,
    0x0fffffa0,0x3fffa200,0xfff1002f,0x2e003dff,0x05ffffff,0x4ffea880,
    0x05ffd800,0x7fec3b90,0x3ff60002,0x1bf00005,0x3e2013e6,0xfff501ff,
    0x00fff880,0xfff88000,0xd8772001,0xf30002ff,0xf00001ff,0x400fe61b,
    0x8805fffe,0xf980ffff,0xffa806ff,0xffff105f,0x9fffb003,0xffffe800,
    0x7ffdc000,0xffffffff,0xffffffff,0x40005fff,0x0007ffff,0x017fff40,
    0xfffffff7,0xffffffff,0xbfffffff,0x7ffd4000,0xc80002ff,0x0002ffff,
    0x03ffffa2,0x33ffff60,0x7fec4000,0x7dc004ff,0xb8003fff,0x01000eff,
    0x20005ffb,0x0000effa,0x1ffdff70,0x01fff300,0xd803ffe6,0x000003ff,
    0xfd808000,0xfe88002f,0xf700003f,0x7001dfdf,0x2001ffff,0xfd84fffb,
    0xffb003ff,0x9fff901f,0x1bffea00,0x2e000000,0xffffffff,0xffffffff,
    0x05ffffff,0x3fffea00,0x3a00002f,0x3ee02fff,0xffffffff,0xffffffff,
    0x005fffff,0x3fffff60,0x7fcc0006,0x980005ff,0x5405ffff,0x0003ffff,
    0x07fffffa,0x1dfffd80,0x0fffc400,0x0bff6000,0x07ffe200,0x5b710000,
    0x07ffd400,0x301fff88,0x00001fff,0xb0050000,0xfb0005ff,0x880000bf,
    0x3f2002db,0x7f4003ff,0x7fffc46f,0x7fff3000,0x001ffff0,0x00077ff4,
    0x3fee0000,0xffffffff,0xffffffff,0x0005ffff,0x1bfffff6,0xfffe8000,
    0x3fffee02,0xeeeeeeee,0xeeeeeeee,0xf10004ee,0x03fffdff,0x7fffdc00,
    0xff900000,0x3fe201ff,0x360006ff,0x06ffffff,0x3fffb2e0,0x9ffd000c,
    0x5ffb0000,0x09ffd000,0x40000000,0x3e207ff9,0x7ffb01ff,0x2a200000,
    0xfc82bcdb,0x0bff600d,0x01fff500,0x20000000,0x4001fffd,0x3e60fffd,
    0x7fc006ff,0x27ffcc7f,0xa9800000,0x4000abcc,0xeeeffffb,0xeeeeeeee,
    0x4eeeeeee,0xdfff1000,0x00003fff,0xb80bfffa,0x00005fff,0xfffb8000,
    0x0004fff9,0x0013fffa,0x05ffff00,0x007fffea,0x7dfffe40,0x88001fff,
    0xfc803ffe,0xfb00006f,0xffb8005f,0xa9800006,0x401abcdb,0xf300fff8,
    0xfff301ff,0xff500000,0x7fffffff,0xd80dff51,0x3e2002ff,0x330002ff,
    0x99980013,0x003fffe0,0x5c5fff90,0x74003fff,0x3fee0fff,0x4000002f,
    0xfffffffb,0xff7002ff,0x000000bf,0xf3fff700,0x200009ff,0x2e02fffe,
    0x00005fff,0x6ffe8000,0x0001fffd,0x001ffff3,0x5fffd800,0x00bfffb0,
    0x7c7fff20,0x70005fff,0xff980dff,0xfb00000f,0x7fcc005f,0xd300000f,
    0xffffffff,0x7ffc07ff,0x20fff501,0x00003ffd,0x3fffff62,0xffffffff,
    0x7fec00ff,0x13ff6002,0x2fffc400,0x29fff300,0x8007fff8,0x3f64fffb,
    0x7e4002ff,0x3fff62ff,0xb1000000,0xffffffff,0xb801bfff,0x00005fff,
    0x6ffe8000,0x0001fffd,0x405fffd0,0x0005fffb,0x7fcc0000,0x07fff93f,
    0x0dfff900,0xfff50000,0xffff881f,0xfffb8001,0x11ffff22,0x3f201975,
    0x3ffa207f,0x3f600003,0xffd1002f,0x3ee00007,0xffffffff,0xe80dffff,
    0xbffb04ff,0x000fff30,0x7ffffc40,0xfffeccdf,0xfd802fff,0xdff7002f,
    0x7ffc4000,0x3ffe6005,0x001fffe4,0xfe93fff2,0x7dc001ff,0x1bffa3ff,
    0x02b372a2,0xfffff980,0xffffdcde,0x3fee00ef,0x0000005f,0xc9fffcc0,
    0x80003fff,0x2e02fffe,0x00005fff,0x7ffe4000,0x00dfff31,0x00bfffb0,
    0xffff1000,0x07fffa83,0x43fffa80,0x7c0ffff9,0xdfff04ff,0x002ffec0,
    0x00bff600,0x0002ffe4,0xdeffffe8,0xffffedcc,0x2fffa84f,0x6c0fffdc,
    0x200003ff,0x303ffffd,0x005ffffd,0xf3005ffb,0x440003ff,0x26005fff,
    0x3ffa4fff,0x7fec000f,0x07fffe5f,0x49fff500,0x3fa66fff,0x0dffffff,
    0x1efffe80,0x0bffff30,0x002fffdc,0x3f200000,0xdfff31ff,0xfffd0000,
    0x2fffdc05,0x20000000,0x7ff47fff,0x7ff4001f,0xf000004f,0xffb83fff,
    0x7fcc007f,0x3ffff04f,0x9adfffc8,0x503ffffc,0x00001fff,0xa802ffd8,
    0x80000fff,0x202ffffb,0x80ffffd9,0xfebefffe,0x6ff984ff,0x3fea0000,
    0x7fdc01ff,0xffd806ff,0x03ffe802,0x2fffc400,0x49fff300,0x4002fffd,
    0x3fe6fffe,0x7d4000ff,0xbfff14ff,0x3fffffe6,0x201effff,0x8806fffb,
    0xf701fffe,0x00000bff,0x47fff800,0x0001fffe,0x7017fff4,0x0000bfff,
    0x7ffd4000,0x027ffdc4,0x00ffffa0,0x7fffc000,0x02fffe42,0x409fff10,
    0xfd82ffff,0xffffffff,0x05fff104,0x5ffb0000,0x02fff880,0x3fffd000,
    0x0ffffa00,0x3fffffa2,0xffe80dff,0xff100003,0xff9805ff,0x6c02ffff,
    0x7fe402ff,0xff880005,0x3fe6005f,0x1bffee4f,0x6ffffb80,0x2001fffe,
    0xff14fffa,0xdffff59f,0xffffffdb,0x1ffff103,0x1bffe600,0x002fffdc,
    0xff500000,0x4fffb89f,0x7fff4000,0x17ffee02,0xd8000000,0x7fc41fff,
    0x3fe000ff,0x000002ff,0xfd87fffd,0xfd1004ff,0xfffe80bf,0xfffff703,
    0x7ff405df,0xfb000004,0x4ffd805f,0xfff30000,0x7ffdc00b,0x3ffff204,
    0x0dff503f,0x7ffdc000,0x67ff4406,0x7ec06fff,0x3ffea02f,0xff880000,
    0x3fe6005f,0x3fffe24f,0xffff8804,0x0ffff16f,0x2bfff500,0xfffefff9,
    0x7ffdc40c,0x3fffc86f,0x0fffec00,0x002fffdc,0xffb00000,0xffff883f,
    0x3ffa0000,0x3ffee02f,0x00000005,0x360dfff1,0x3e003fff,0x00002fff,
    0xe87fffd0,0xfd003fff,0xffd801df,0x4d4cc04f,0x037fdc00,0x0005dd70,
    0x0037fdc0,0xb9305dd7,0x7fd4003d,0x0098805f,0xb9817ff4,0x7e401bdc,
    0x7fec02ff,0x007fff8b,0x02fff880,0x02f3732a,0x8017ffe2,0x7dc4fff9,
    0xf500dfff,0x22dfffff,0xa8007fff,0xfff35fff,0xf9803fff,0x7fec3fff,
    0x7fdc001f,0x5fffb83f,0x10000000,0x3f60dfff,0x3a0003ff,0x3ee02fff,
    0x000005ff,0x09fff700,0x801bffea,0x0003ffff,0x87ffff00,0xd803fffe,
    0xfd800eff,0x200004ff,0x5001fff9,0x00005fff,0x4007ffe6,0x0002fffa,
    0x02fffcc0,0x06ffa800,0xbffffff9,0x07fff601,0x3f65ffb8,0x6c0000ff,
    0xfff504ff,0x889fffff,0x26005fff,0xffe84fff,0xdcabdfff,0x5fffafff,
    0x000ffff1,0x3e6bfff5,0x7003ffff,0x7f41ffff,0x7cc000ff,0xfffb84ff,
    0x00000005,0x2a09fff7,0x20006fff,0x2e02fffe,0xaaaaefff,0xaaaaaaaa,
    0x001aaaaa,0xf00ffff4,0x3a003fff,0x00004fff,0x42ffff98,0x6404fffd,
    0xfd000fff,0x400009ff,0xf3003ffe,0x00005fff,0x4c00fffa,0x0002ffff,
    0xbfffb510,0x3ffa0000,0xfffffd82,0xfe80efff,0xdff300ff,0x00fffe41,
    0x01dff700,0xfffffff5,0x7fc49fff,0x3fe6005f,0xfffe884f,0xffffffff,
    0x3e5fff8a,0xfb8007ff,0xffff34ff,0xfffe800d,0x3bbfffe2,0xeeeeeeee,
    0x85fffeee,0xaaaefffb,0xaaaaaaaa,0x01aaaaaa,0x00ffff40,0x0003ffff,
    0xb80bfffa,0xffffffff,0xffffffff,0x003fffff,0x901bffe6,0x3600bfff,
    0x00005fff,0x41ffffa8,0x3205fffc,0x3e001fff,0x00003fff,0x2200bff9,
    0x002ffffe,0x005ffc80,0x05ffffd1,0xfecba880,0x05ffffff,0x86ffa800,
    0xc89efffa,0xfff84fff,0x83fff107,0x0002fffb,0x3e03fff3,0x3faa1dff,
    0xbfff10ff,0x27ffcc00,0xffffff90,0x3fe63fff,0x03fffe5f,0x29fff700,
    0x004ffff9,0xf89fffdc,0xffffffff,0xffffffff,0xffb86fff,0xffffffff,
    0xffffffff,0x26003fff,0x7e406fff,0xfd0005ff,0x7fdc05ff,0xffffffff,
    0xffffffff,0x32003fff,0x7cc03fff,0xfc800fff,0x800006ff,0xfb87fffb,
    0xfff706ff,0x7ffc4005,0xfa80002f,0xffd000ff,0x80005fff,0xd000fffa,
    0x005fffff,0xffffffd7,0xbfffffff,0x5ffd0000,0xf309ffd0,0x7ffc43ff,
    0x705ffd06,0x20007fff,0xff503ffe,0x5fff503f,0x8017ffe2,0x4c04fff9,
    0x42ceffdc,0x3fe4fffa,0x7e4001ff,0xffff13ff,0xfffa8005,0xffffff34,
    0xffffffff,0x0fffffff,0xfffffff7,0xffffffff,0x07ffffff,0x01fffe40,
    0x003fffe6,0x80bfffa0,0xfffffffb,0xffffffff,0x03ffffff,0x01ffff10,
    0x007fffd0,0x001ffff3,0x5fffc800,0xa87fffa8,0x4c003fff,0x0001ffff,
    0x8017ffc4,0x2ffeeffd,0x3ffe2000,0xddffb002,0x7fdc05ff,0xffffffff,
    0x05fffcdf,0x437fdc00,0xfd01fff9,0x87fff89f,0xff904ffc,0xff90005f,
    0x1019880d,0x3fe21fff,0x3fe6005f,0x7004004f,0x7fec7fff,0x7fe4001f,
    0x07fffe2f,0x2bfff300,0xaaaefff9,0xaaaaaaaa,0xb82aaaaa,0xffffffff,
    0xffffffff,0x003fffff,0x001ffff1,0x0007fffd,0x5c05fffd,0xaaaaefff,
    0xaaaaaaaa,0x001aaaaa,0x200bfff7,0xd006fffb,0x00009fff,0x41ffffc4,
    0x262ffff9,0xb8004fff,0x80006fff,0xf9004ffd,0x05ffb1ff,0x027fec00,
    0xfd8fffc8,0xffff702f,0x4379dfff,0x0005fff9,0x7d417ff4,0x17ff207f,
    0xffa8fffd,0x07fff606,0x01fff300,0x25ffb800,0x2005fff8,0x0004fff9,
    0xc87fff20,0x6c002fff,0x3ffa1fff,0x7fcc002f,0x0dfff14f,0x3fee0000,
    0xaaaaaaef,0xaaaaaaaa,0xf7001aaa,0x3ee00bff,0xfe8006ff,0x3fee02ff,
    0x0000005f,0x4cdffff4,0x99999999,0xb802ffff,0x9001ffff,0x3fff6017,
    0xbfffd00f,0x0013ffe2,0x00ffffe2,0x00dff700,0x7ec7ffea,0xff70002f,
    0x3ffea00d,0xf505ffb1,0x8017dfff,0x0005fff9,0x7dc1bfee,0x1bfee06f,
    0x3e23fffb,0x3ffa00ff,0x7ffc4007,0x7fcc0002,0x1bffe22f,0x04fffa80,
    0x1fffe000,0x8009fff5,0x7fe47fff,0x7fd4004f,0x03fffe2f,0x3fee0000,
    0x0000005f,0x4cdffff4,0x99999999,0x4002ffff,0x2e02fffe,0x00005fff,
    0x3fffe600,0xffffffff,0x5fffffff,0x5ffff880,0x0cfff880,0x813fffea,
    0xfe9ffffa,0xff90005f,0x4c0001ff,0xf9801fff,0x0bff62ff,0x07ffe600,
    0xd8bffe60,0xfffd82ff,0xfff5000d,0x7ffc000b,0x40bff902,0x7fe47ffa,
    0x405ffd3f,0x4006fff8,0x40005ffd,0x7c45fffb,0x3ea006ff,0x372e64ff,
    0x3ffea001,0x03fffc45,0xa8bfff50,0x64006fff,0x3ff60fff,0x4d44001f,
    0x0bfff700,0x7cc00000,0xffffffff,0xffffffff,0x7f4005ff,0x3fee02ff,
    0x0000005f,0x3ffffff2,0xffffffff,0x00ffffff,0x02ffffb8,0x57ffffd4,
    0x00fffff8,0x7ffffff4,0xff88000e,0x740006ff,0xff8803ff,0x017fec3f,
    0x401fff40,0x7ec3fff8,0x0ffff82f,0x17ffee00,0x037fdc00,0x7dc0dff7,
    0x77ffd47f,0x7e404ffc,0x3ea005ff,0xb10000ff,0x3fe0bfff,0x3ff2006f,
    0x13ffe64f,0x82fffd80,0xb001fffe,0xff887fff,0x3fa000ff,0x2fffe47f,
    0x17fff200,0x0017ffee,0xfffc8000,0xffffffff,0xffffffff,0x3ffa000f,
    0x3ffee02f,0x20000005,0xffffffff,0xffffffff,0x003fffff,0x409ffffd,
    0xffffffd9,0xa803ffff,0x00efffff,0x3ffffb00,0x37fe4000,0xd84ffe80,
    0x7e4002ff,0x9ffd006f,0xf985ffb0,0x7f4006ff,0xf88005ff,0x3fee01ff,
    0x117fee06,0x0dffffff,0x02ffff88,0x003fff10,0x0ffffa60,0x2007fff8,
    0x7fc4fffe,0xfff3006f,0x17ffee0d,0x03fffe20,0x401bfff6,0x7c45fffb,
    0xf1002fff,0xff703fff,0x000000bf,0x7ffffffc,0xffffffff,0x03ffffff,
    0x80bfffa0,0x0005fffb,0xdfff5000,0x33333333,0xff933333,0x3fe200df,
    0x2201efff,0xfffffffc,0x3fff6004,0xfe98004f,0x20003fff,0x8800fffa,
    0xffffffff,0x804fffff,0x8800fff9,0xffffffff,0xf34fffff,0x32001fff,
    0x8005ffff,0x7d405ffb,0x13ff607f,0x03ffffee,0x04fffe88,0x0013ffa0,
    0x017fffd4,0x200ffffa,0x6c4ffffc,0x7d404fff,0xff102fff,0x7f4409ff,
    0xfff104ff,0xfff980bf,0xffffb82f,0x7fff4401,0x0bfff706,0x3ea00000,
    0x99999eff,0x99999999,0x2006fffc,0x2e02fffe,0x00005fff,0x07fffb00,
    0x3fffe200,0xfffd3002,0x51359dff,0xffffffb7,0x7fe4001f,0x7002efff,
    0x00bfffff,0x017ffc40,0xffffff88,0x4fffffff,0x017ff440,0xffffff88,
    0x4fffffff,0x009ffff1,0x0dfffff7,0x01fff880,0x4417ffc4,0xffd02fff,
    0xfa8819ff,0x7000efff,0x2e000dff,0xc800efff,0x2e00ffff,0x4c4fffff,
    0x4c0cffff,0x405ffffb,0x40cffffa,0x00efffe9,0x2b7fffee,0x3fffee20,
    0x3ffffa04,0x7ff64c0c,0xfff701ff,0x2000000b,0x0003fffd,0x005ffff1,
    0xb80bfffa,0x00005fff,0x0ffff880,0x3fffa000,0x3ff62005,0xffffffff,
    0xffffffff,0xffb803ff,0xceffffff,0xfedb989a,0x000dffff,0x0017ff60,
    0x55555555,0x80359ffd,0x54005ffd,0xeaaaaaaa,0x3fa1acff,0xf9302fff,
    0x00ffffff,0x9005ffc8,0x7ecc5fff,0x3fff606f,0xffeeefff,0x3001ffff,
    0x50003fff,0x4c00bfff,0x10beffff,0xffffff95,0xfffff509,0xffffffbd,
    0x3fff200b,0xffffdeff,0xffb801ff,0xffedffff,0x2600efff,0xeffffffe,
    0x2fffffff,0x017ffee0,0x3fe20000,0x3a0000ff,0xfd005fff,0x7fdc05ff,
    0x8000005f,0x0005fffb,0x007fffd4,0x3ffffee0,0xffffffff,0xeffffedf,
    0x97fff502,0xffffffff,0xffffffff,0xfb80007f,0x400000ef,0xfa802ffd,
    0x400000ef,0xff982ffd,0xfecdefff,0xffebffff,0xfff1000f,0x3ffe2003,
    0x2ffffdef,0xffffff70,0xffffffff,0x3fa2003d,0xff88003f,0xffffffff,
    0x7ffec3ff,0xffffffff,0x704ffe9f,0xffffffff,0xa8009fff,0xffffffff,
    0x26001fff,0xfffffffe,0x91005fff,0xffffffff,0xb805ffff,0x00005fff,
    0x05fffb80,0x7fffd400,0x2fffe800,0x017ffee0,0x3ffa0000,0x7c40002f,
    0x50004fff,0xfffffffd,0x7fdc19ff,0x7fd46fff,0x3fffa63f,0xffffffff,
    0x40001eff,0x0001fff8,0x402ffd80,0x0001fff8,0x502ffd80,0xffffffff,
    0x3ee1bfff,0xff9003ff,0xffe9800b,0x302fffff,0xffb31dff,0x05dfffff,
    0x005ffc80,0xffffff90,0x07ffffff,0xfffffff9,0x3ffa3dff,0x3fff6204,
    0x001dffff,0xfffffb30,0x100017ff,0xffffffd9,0xfb50005b,0x7fffffff,
    0x17ffee00,0x3fa00000,0x440002ff,0xe804ffff,0x3ee02fff,0x000005ff,
    0x007fffcc,0x3fffe400,0x2ea62000,0x3a6009ab,0x7ff45fff,0xffffb504,
    0x039fffff,0x13ffa000,0x665c0000,0x027ff401,0x1ccb8000,0x3ffff620,
    0x7cc2efff,0xff8806ff,0xec88001f,0x2a00deff,0x5d4c41ff,0xfa80009a,
    0x970000ff,0x99999999,0x3aa05999,0x0cefffff,0x22013ffa,0x0009aba9,
    0x26aea200,0x73100000,0x20000157,0x0009aba8,0x002fffdc,0x3ffe6000,
    0xfc80000f,0xffe807ff,0x3ffee02f,0xeeeeeeef,0xeeeeeeee,0x7e42eeee,
    0x300005ff,0x0005ffff,0x7f540000,0x88027442,0x0019aba9,0x00199800,
    0x33000000,0x00000003,0x0d5d4c40,0x26620000,0x00100000,0x0000014c,
    0x00002662,0x2e600000,0x0000000a,0x00000000,0x00000000,0xfff70000,
    0xdddddddf,0xdddddddd,0xfc85dddd,0x300005ff,0xe805ffff,0x3ee02fff,
    0xffffffff,0xffffffff,0x43ffffff,0x0002ffff,0x017fffa0,0x06000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf7000000,0xffffffff,
    0xffffffff,0x87ffffff,0x0002ffff,0x017fffa0,0x5c05fffd,0xffffffff,
    0xffffffff,0x3fffffff,0x001fffea,0x1ffff700,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0xffffffff,0xffffffff,
    0x3fffffff,0x001fffea,0x1ffff700,0x017fff40,0xfffffff7,0xffffffff,
    0xffffffff,0x027ffec7,0x3ffe2000,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffdc,0xffffffff,0xffffffff,
    0x13fff63f,0xfff10000,0x0000009f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x53000000,0x00035795,0xbcca9800,0x0000000a,
    0x00333330,0x00000000,0x4d65d4c4,0x00000000,0x33310000,0x99988003,
    0x00999880,0x0cccc400,0x04cccc00,0x00133331,0x01577530,0x004ccc00,
    0x80026660,0x98809998,0x04000199,0x26600000,0x0001acba,0x00000000,
    0x00000040,0x33000000,0x00000333,0x64c00000,0xffffffff,0x200002df,
    0xfffffffb,0x000002ff,0x0ffffee0,0x26020000,0x2a005fff,0xfffffffd,
    0x00000cff,0x04fff980,0x7ffffb00,0x7fffd400,0x0bfffa20,0xffff8800,
    0x7ffdc005,0x3ffff62f,0x3ffa6000,0x000dffff,0x002fffc4,0x4009fff3,
    0x6c1ffff9,0x5c003fff,0x1cefffed,0xffc98000,0xefffffff,0x000000bc,
    0xf74fff98,0xec8809ff,0x00acdfff,0x0017fff4,0x04fffc80,0x017fffe4,
    0xffa80000,0xffd5006f,0xffffffff,0x0007dfff,0x7ffffec4,0x0dffffff,
    0xfe800000,0x400005ff,0xfff984d8,0xffffb805,0xffffffff,0x00000cff,
    0x013ffe60,0x3fffff20,0x3ff2001f,0x13fff25f,0xdfff9000,0xfffe8001,
    0x0bfffe64,0xfffffc80,0x001fffff,0x8017ffe2,0x4004fff9,0x3ee6fffa,
    0x3aa005ff,0xffffffff,0xe98000df,0xffffffff,0x3fffffff,0x7cc00000,
    0x9fff74ff,0x7ffffdc0,0x202fffff,0x0002fffe,0x009fff90,0x000dfffb,
    0x3ffea000,0x7ffec406,0xa999acef,0x0effffec,0x7fffcc00,0xfffdcdef,
    0x00000eff,0x01bffea0,0x09ff7000,0x440bfff3,0xfffffffd,0xffffffff,
    0x2e0000ef,0xfdcccccc,0x803cceff,0xffedfffa,0x3ff6000f,0x05fff9af,
    0x7fffc400,0x7ffd4001,0x027ffe46,0xbfffff70,0x01ffffff,0x017ffe20,
    0x004fff98,0xf8cfffc8,0xf9000eff,0xffffffff,0x4003ffff,0xfffffffb,
    0xffffffff,0x0000dfff,0x29fff300,0xfd04fffb,0xffffffff,0x3fa05fff,
    0x900002ff,0xd1009fff,0x00005fff,0x0dfff500,0x0e7fff4c,0xffffc980,
    0x3fffa002,0xffff301e,0x7400000b,0x00000fff,0x2613ffea,0xff305fff,
    0x1359ffff,0xffff9531,0x3a0001df,0xffffffff,0x406fffff,0xf98ffff8,
    0x3e2006ff,0x0effefff,0x7ffe4000,0xfffd8002,0x01bffe21,0x0bffff98,
    0x017fffaa,0x002fffc4,0x0009fff3,0x3ffbfffa,0xfff3000f,0xf73137df,
    0xb100dfff,0x9bffffff,0xfd973135,0x001dffff,0x9fff3000,0x3213ffee,
    0x88adffff,0x83ffffda,0x0002fffe,0x009fff90,0x001bffe6,0x3ffea000,
    0x1dfff506,0x3ff62000,0xfffb803f,0xfffe8806,0xfa800001,0x400002ff,
    0x2a04fffa,0xffff884f,0xfc8800cf,0x8000efff,0xfffffffe,0x06ffffff,
    0xf71ffff4,0x7cc00bff,0x001fffff,0x027ffc40,0x217ffc40,0x2000fffc,
    0xf505fffc,0x3e200fff,0x3e6005ff,0xf10004ff,0x005fffff,0x813fffa2,
    0x404fffe9,0x04fffffd,0x3ffffea0,0xf9800004,0x21fe44ff,0x201ffffa,
    0x741ffffa,0x00002fff,0x4009fff9,0x0001fffa,0x37ffd400,0x0027ffc4,
    0x01fffb80,0x003fffe2,0x0037ffcc,0x027ff400,0x7ffd4000,0x360bf204,
    0x8002ffff,0x003ffffc,0xaaaaaaa8,0x2aadfffc,0x217fff20,0x2003fffe,
    0x002ffffb,0x006ffb80,0xff09ff90,0xffe8005f,0x3fffe01f,0x5fff8801,
    0x13ffe600,0xffffa800,0x3ffea003,0xffff9806,0xdffff500,0xffd10003,
    0x800003ff,0x7ec4fff9,0x01ffff41,0x3a1fffdc,0x00002fff,0x8009fff9,
    0x00005ffb,0x437ffd40,0x33004ffe,0x0effb801,0x007fff90,0x001fffd8,
    0x00000000,0xd027ffd4,0xffffb81f,0x3ff60002,0x4c00007f,0x00004fff,
    0x00000000,0x00000000,0x3fffc000,0x007fff60,0x8017ffe2,0x0004fff9,
    0x3ff20000,0xfffb002f,0xdffff103,0xfffd0000,0xf980000b,0x223fc4ff,
    0x3e006fff,0x7fff46ff,0xff900002,0x0000009f,0x7ffd4000,0x502ffe46,
    0x7fffffd9,0xd82ffec0,0x5c001fff,0x00003fff,0x54000000,0xdfb04fff,
    0x009ffff0,0x2ffff880,0x3fe60000,0x0000004f,0x00000000,0x00000000,
    0x00ffff40,0x1001ffff,0x4c00bfff,0x00004fff,0x3fff6000,0x7fff9001,
    0x03ffff90,0xffff7000,0xff980000,0xb8bfb14f,0x3a004fff,0x3ffa0fff,
    0xf900002f,0x000009ff,0x7fd40000,0x03ffe26f,0x3fffff62,0x880effff,
    0xffe80ffe,0x7fcc000f,0x9731004f,0x8801599b,0x002bcdba,0x39fff733,
    0x81bf3133,0x000ffffa,0x05fffd80,0x837b9730,0x8004fff9,0x01acdcba,
    0x59b95300,0xba800013,0x9801acdc,0x4cc00099,0x3fff2009,0x0dfff506,
    0x017ffe20,0x004fff98,0x2b372ea0,0x3fffb001,0x0fffee00,0x009ffff1,
    0x17fffc00,0x1bdcb980,0xfba7ffcc,0x01dba885,0xe83fffa0,0x00002fff,
    0x2009fff9,0x00abcca9,0x3fea0000,0x40ffee6f,0xa9acfffe,0xa80efffc,
    0xffff84ff,0xeeeeeeee,0xfffeeeee,0x7fffd405,0x1effffff,0x7fffffcc,
    0xf300bfff,0xffffffff,0x7fec0a7f,0x9300005f,0xffd50015,0x267fffff,
    0x91004fff,0xffffffff,0xff71005d,0xdfffffff,0x7fe44001,0x2effffff,
    0x00bfff10,0x5027ffcc,0xe887ffff,0xf1002fff,0x7cc00bff,0x644004ff,
    0xffffffff,0x7ffdc02e,0x3fff9002,0x007fffa8,0x00dedc00,0x7fffff54,
    0x9fff33ff,0x7c000014,0x7fff46ff,0xff900002,0xfffb809f,0x02ffffff,
    0xfffa8000,0x3203ffa6,0x3fa01eff,0x88fff04f,0xffffffff,0xffffffff,
    0xb106ffff,0xffffffff,0x2e3fffff,0xffffffff,0xf980efff,0xffffffff,
    0x3ffe203f,0x0000003f,0xffffffc8,0xff9cffff,0xfff9804f,0xffffffff,
    0x7fff405f,0xffffffff,0xfff9803f,0xffffffff,0x5fff885f,0x13ffe600,
    0x25ffffb0,0x005fffe9,0x8017ffe2,0x2004fff9,0xfffffff9,0x205fffff,
    0x8805fff8,0xffd86fff,0x0000005f,0x3fffff20,0xf9cfffff,0x000004ff,
    0xfd13ffea,0x200005ff,0xb104fffc,0xffffffff,0x0001bfff,0x9b7ffd40,
    0xfff884ff,0x83ffc401,0x3fe62ffb,0xffffffff,0xffffffff,0xffe887ff,
    0xecccdeff,0xffefffff,0xfeccdeff,0x74c0efff,0xeeefffee,0x3ffea02e,
    0x0000001f,0x6fffffec,0xfeffffdc,0x7fd404ff,0xfecdefff,0xfb04ffff,
    0xb999bfff,0x407fffff,0xdefffffa,0x4fffffec,0x002fffc4,0x8809fff3,
    0xffdfffff,0x7c4005ff,0x3e6005ff,0xff5004ff,0xfd9bdfff,0x7409ffff,
    0x7ec03fff,0x7ffc44ff,0x0000004f,0xdfffff90,0xfdffffb9,0x000009ff,
    0xd07fffe6,0x00005fff,0x2613fff2,0xcdefffff,0x0efffffd,0xfff50000,
    0x2607feed,0x033004ff,0xff327fc4,0x555555df,0x55555555,0xfff90555,
    0x7ff4c03d,0x302fffff,0x540dfffd,0x2e004fff,0x0000ffff,0x3ffea000,
    0xffff505f,0x7fc409ff,0xfc981eff,0x7fd42fff,0xffb100ef,0x3ffe20df,
    0xffc981ef,0x3ffe22ff,0x3ffe6005,0xffffa804,0x8004ffff,0x2005fff8,
    0x8804fff9,0x981effff,0x302ffffc,0x443bffff,0x40efffea,0x002ffff9,
    0xffa80000,0xfff505ff,0x00009fff,0x3ffffc88,0x002fffe8,0x09fff900,
    0x203dfffd,0x005ffff9,0x2dfff500,0xffb80ffc,0x3fe00001,0x01bffe25,
    0x37ffc000,0xfffffa80,0xfffd800e,0x09fff502,0x03fffdc0,0x3fa00000,
    0x7f4c04ff,0x3f604fff,0x7dc00dff,0x7ffe46ff,0x7fffc402,0x0dfffd81,
    0x137ffdc0,0x4c00bfff,0xfb004fff,0x003dffff,0x01bffe20,0x804fffa8,
    0x400dfffd,0x2606fffb,0xfffffffe,0xa80dffff,0x0001ffff,0xfffe8000,
    0x7fff4404,0xdc80004f,0x02fffffe,0x0005fffd,0x713fff20,0xd100dfff,
    0x00003fff,0x3f6dfff5,0x001ffb07,0x3e37f400,0x00000fff,0x001fffd4,
    0x005fffff,0x541bffe2,0x32004fff,0x00006fff,0x1bffea00,0x27fffd40,
    0x01ffff88,0x741fffd0,0xff7007ff,0xffff887f,0x1fffd001,0x8017ffe2,
    0x4c04fff9,0x4ffffffd,0x3ffe2000,0x3ffee006,0x7fffc404,0x1fffd001,
    0xfffffc80,0x2e02ffff,0x00007fff,0x6fffa800,0x9ffff500,0xffff0000,
    0x7f403fff,0x900002ff,0x7fc49fff,0xff3000ff,0xf50000df,0x41bfadff,
    0x400007ff,0x7ffec7fd,0x04d44001,0x0007f6dc,0x800bfffd,0xfa80fffc,
    0x3f6004ff,0x000004ff,0x00ffff20,0x704fffe8,0x5c00bfff,0x3ffa1eff,
    0x2013000f,0x2005fffb,0xff11effb,0x7fcc00bf,0x3fff204f,0x02ffffff,
    0x01bffe00,0x404fffc8,0x2005fffb,0xb501effb,0xffffffff,0xf7019fff,
    0xa9800dff,0xaaaaaaaa,0x7fdc2aaa,0x3ffa003f,0x7c40004f,0xdfffffff,
    0x02fffe81,0x9fff9000,0x001fffe4,0x0007fff6,0x3adfff50,0x00fff06f,
    0x647fd800,0x64005fff,0x00005fff,0x000ffff6,0xf503fff5,0x7ec009ff,
    0x000004ff,0x001fff60,0x3609fff7,0x04001fff,0x01efffb8,0x0fffec00,
    0x3fe20200,0x3fe6005f,0xffffb04f,0x3fffff5d,0x1fffe000,0x04fffe80,
    0x000fffec,0xffff7002,0xffb9579f,0xffc83fff,0x7fe4006f,0xffffffff,
    0x3ffec7ff,0x13ffee00,0x959b3000,0x85fffffb,0x0002fffe,0x6c9fff90,
    0x5c001fff,0x40003fff,0xffb6fffa,0x0003ffa0,0x7c46fe80,0xf1002fff,
    0x80003fff,0x2fffeb98,0x1fffcc00,0x0027ffd4,0x000bfff9,0x37ffc000,
    0x13ffe600,0x0007fffc,0xfffff980,0xff8001ce,0x880000ff,0x26005fff,
    0xffd84fff,0x3ffea4ff,0x5e7640ef,0x02fffe80,0x04ffffc8,0x0007fffc,
    0x9ffff700,0x7ffff4c0,0x01bffee0,0xffffff90,0x8fffffff,0x4c006ffe,
    0x00004fff,0x3ffffd30,0x0017fff4,0x24fffc80,0x4000fffe,0x0004fff9,
    0xfcb7ffd4,0x01ffd80f,0x5ff80310,0x01ffffb8,0x037fff44,0x3fb6ea20,
    0xeeffffff,0xeeeeeeee,0x84fffeee,0x2004fffa,0x0006fffb,0xbfff1000,
    0x4fff8800,0x007fff88,0x7fffe400,0x00bdffff,0x003fffc4,0x05fff880,
    0x913ffe60,0xf707ffff,0xfff8bfff,0xffffc82f,0x3fffea00,0x3ffe204f,
    0x3e200007,0xfb003fff,0x7ffd4bff,0x7ffe4007,0xffffffff,0x1bffe27f,
    0x09fff100,0xffe80000,0x0bfffa6f,0x7ffe4000,0x3bbfffe4,0xeeeeeeee,
    0x05fffeee,0xb7ffd400,0xffb81ffb,0x03ffb004,0x3fa09ff3,0x64c0cfff,
    0x401ffffe,0xfffffdb8,0xffffffff,0xffffffff,0xffffffff,0x04fffa86,
    0x01bffea0,0x7fcc0000,0x7fc4004f,0x6fff884f,0xffb80000,0xffffffff,
    0xdfff103e,0x3fe20000,0x3fe6005f,0x3fffe24f,0x3ffff603,0x01ffff33,
    0x37dffff3,0x3ffff6e2,0x3fe204ff,0x3200006f,0x22005fff,0xff31ffff,
    0x54c001ff,0xbaaaaaaa,0x3fe67fff,0xfff8005f,0x4c000004,0xffd2ffff,
    0x3200005f,0xfff14fff,0xffffffff,0xffffffff,0xfa8000df,0x0bff36ff,
    0xa801fff1,0xffc80fff,0xffffd302,0xfffffdff,0xff9805ff,0xffffffff,
    0xfffffece,0xffffffff,0x87ffffff,0x2004fffa,0x000ffff9,0x7fd40200,
    0xfff8004f,0x06fff984,0xffb30000,0xffffffff,0x6fff981d,0xfff10000,
    0x7ffcc00b,0x01ffff24,0x95ffffd1,0x7dc0bfff,0xffffffff,0x4ffe9fff,
    0x01bffe60,0x1fffe800,0xa7ffe400,0x002ffff8,0x3fffc400,0x0009fff5,
    0x00009fff,0x29fffb00,0x0002fffe,0x269fff90,0xffffffff,0xffffffff,
    0x0007ffff,0xfd37ffd4,0x1dff701f,0x413ffe60,0x7e4406ff,0xffffffff,
    0x7d402fff,0xbdefffff,0x2ffff60a,0xaaaaaaaa,0x2aaaaaaa,0x004fffa8,
    0x0017fffc,0x217bff00,0x8005fffa,0xff884fff,0x4000006f,0xffffeca8,
    0x3e22ffff,0x100006ff,0x4c00bfff,0x3ff64fff,0xfff8804f,0x03ffffff,
    0x7fffffe4,0xffd0efff,0x37ffc409,0xffff0000,0xfffa8001,0x017fffa5,
    0xffff1000,0x002fffd4,0x00027ffc,0xafffdc00,0x0002fffe,0x269fff90,
    0xaaaaefff,0xaaaaaaaa,0x0002aaaa,0xf537ffd4,0x3fffa07f,0xfffeb9ac,
    0x03ffa80e,0xfffffb50,0xf5007fff,0x8015bfff,0x0001fffd,0x04fffa80,
    0x027ffe40,0xffff9800,0x00dfff31,0xf04fff88,0x00000fff,0xfffdb880,
    0x3fffc6ff,0xfff88000,0x3ffea006,0x007fffe4,0x7fffffd4,0xffd7007f,
    0x7419dfff,0x7ffc04ff,0xff100007,0xff1000ff,0x3fffdcdf,0x3fe20000,
    0x1bffe67f,0x09fff100,0xff500000,0x0bfffadf,0x6400ea66,0xfff13fff,
    0x9880000d,0xffa800ba,0x40fffc6f,0xffffffc8,0xf880efff,0xc88000ff,
    0x36000aff,0x36004fff,0x00002fff,0x004fffa8,0x007fffd4,0x37ffe400,
    0x800ffff1,0xfd04fff9,0xaa8001ff,0x7e440001,0x3ffa0fff,0x0d54000f,
    0x400dfff1,0x3fe4fffa,0x3ee001ff,0x003fffff,0xf8055d4c,0xfffe805f,
    0x20d54000,0x98007fff,0x3fe25fff,0x200003ff,0x3e27fff8,0x7cc007ff,
    0xecc804ff,0xfffb8006,0xf05fffd4,0x3f600fff,0x3fffe3ff,0x3f200000,
    0xffa801ff,0x037fdc5f,0xdfffffb5,0x027fec05,0x800ff900,0x4007fff8,
    0x4003fffe,0xfa809ac9,0xff8004ff,0x440005ff,0x7f43ffff,0x3ea000ff,
    0xfffb04ff,0x7ffc4003,0x4006a626,0x363ffff8,0x22001fff,0x3ffe6fff,
    0x3fff2006,0x00ffffa4,0x0fffffb0,0x3fe20000,0x1fffd803,0x9bffe200,
    0x4001fffe,0x7ec4fffa,0x00001fff,0xfe8ffff1,0x3ea000ff,0xffe804ff,
    0x7fe4001f,0x05fffd3f,0xb001fffd,0x7fec5fff,0x4d44001f,0x017ffdc0,
    0x6c2fffdc,0x9a8805ff,0x037fe400,0x001bfa00,0x400bfff5,0x005ffff9,
    0x5427ffe4,0xa8004fff,0x0002ffff,0x81ffffd1,0x2004fffc,0xf704fffe,
    0x7dc00bff,0x9fff73ff,0x1fffdc00,0x400bfff7,0x3fe3fffb,0x3ffa007f,
    0x1bfff24f,0xfffff900,0xf3000009,0xfff7003f,0x7ffdc00b,0x00ffff23,
    0x885fff90,0x000effff,0x47fffb80,0x2004fffc,0xc804fffe,0x22004fff,
    0xffd1fffe,0x3fffb05f,0x43ffff00,0x4005fffc,0x3ea5fffc,0xffc804ff,
    0xeffe884f,0x7ec40000,0x7c0000ff,0x7fd4006f,0x3ff6007f,0xf1003fff,
    0xff301fff,0x3fa0009f,0xd8003fff,0xf984ffff,0xfa800fff,0xff104fff,
    0x3fa003ff,0xdfff10ff,0x0ffff400,0x003ffff1,0xfe83fffa,0xffc803ff,
    0x3ffea4ff,0xfff9003f,0x0009ffff,0x802ffa80,0x001ffff8,0x7dc1fffd,
    0xf3000fff,0xff501fff,0x20005fff,0x47ffffe9,0x800ffff9,0x804ffffa,
    0x000ffffa,0x7f4ffff9,0xfffc82ff,0x3fffdc05,0x00bfffe2,0x30ffffc4,
    0x4401ffff,0xf302ffff,0x20005fff,0x002fffe9,0x001fff80,0x00bfffe2,
    0x3ffffff2,0x7ff4403f,0xdfff305f,0x3ffe6000,0xea800cff,0x3605ffff,
    0x2600efff,0x204ffffe,0x400efffb,0x7f46fffc,0xffa804ff,0xefffb87f,
    0x37ffe400,0x803ffff2,0x44fffffb,0x402ffffd,0xfffffffd,0x200004ff,
    0xf7005ffb,0xfc801dff,0xfffe86ff,0x7ff4400f,0x3fff204f,0xb3002dff,
    0x0dffffff,0x401dfffb,0x04ffffe9,0x00dfffd0,0x745ffff7,0xff982fff,
    0xfff302ff,0xffff70bf,0xfffe8803,0x27fffc46,0x0ffffe88,0x3bfffa20,
    0xfffb5002,0x3a00003d,0x06a20dff,0x80f7fff4,0xfccfffea,0x540acfff,
    0x100ffffe,0x357bffff,0x7fffd400,0xa989adff,0x6fffffdb,0x7ffffc40,
    0x7fffdc42,0x7ff404ff,0x7ec40aff,0x7fd40fff,0xfd501dff,0x3ffa09ff,
    0x7ec40aff,0x7fcc0fff,0x9510beff,0x89ffffff,0x1cfffff9,0xfffff951,
    0x9fffff7b,0x3fea0000,0x7f41cc2f,0x6c40afff,0xf880ffff,0xb80befff,
    0xc806ffff,0xcfffffff,0xffecbaab,0x02ffffff,0x85fffff1,0xffffffa8,
    0xffff1004,0xfffb105d,0x2fffe89f,0x5bffffb0,0xfffffb73,0x3ffffa03,
    0x7ff64c0c,0xfffb81ff,0xffca9bef,0xf9004fff,0x579bffff,0xfffffb97,
    0xfc80000b,0x3ffedfff,0xdfffff30,0xdfffdb99,0x7ffffdc3,0xfffffeef,
    0x7fffc01f,0x4c005fff,0xffffffff,0xffffffff,0xff9800ef,0xffeeffff,
    0x04fffbff,0x7fffffcc,0xffffffee,0xfffff902,0xffffdddf,0x7ffcc0bf,
    0xfffeefff,0xffb02fff,0xffffffff,0x09ffd3ff,0xfffffff5,0x9fffffff,
    0x27ffffdc,0x7ffc4000,0x987ffdff,0xeeffffff,0x02ffffff,0x3fffffea,
    0xfffffede,0xfff5001f,0xffffffff,0xffffffff,0xfff98019,0xfffeefff,
    0x004fffcf,0x3fffffea,0xffffffde,0x02fffe86,0xfffffff3,0x09ffffff,
    0x7fffff4c,0xffffffef,0x3fffa02f,0xffffffff,0x366000ef,0xffffffff,
    0x02dfffff,0xfff88000,0x203fffff,0xfffffffb,0xa80dffff,0xffffffff,
    0x9801efff,0x06ffffff,0xffffd880,0xffffffff,0x7cc003ff,0xffffffff,
    0x009fff3f,0xffffffb1,0x805fffff,0xfffffffc,0x803fffff,0xffffffd8,
    0x402fffff,0xfffffffc,0x9ffd1eff,0x3ffffa20,0x2fffffff,0x00ffffc8,
    0xffff9000,0x3620ffff,0xffffffff,0xe9802fff,0xffffffff,0x4000dfff,
    0xffffffc8,0xffffffff,0x3e6000df,0xffffffff,0x009fff3f,0xfffffea8,
    0x03ffffff,0x5405fffd,0xffffffff,0xc8804fff,0xffffffff,0x4402ffff,
    0xfffffffe,0x0000efff,0xfffffd71,0x00017dff,0xfffe8800,0xfd8802df,
    0x2cefffff,0x7fff64c0,0x4002efff,0x07ffffda,0x3fff2200,0xcfffffff,
    0xff710000,0x7c5dffff,0x3aa004ff,0x4fffffff,0x3fff2200,0x02deffff,
    0x7ffff540,0x2a004fff,0xcefffffe,0x9013ffa0,0xdffffffd,0x0ffd4019,
    0x3fee0000,0x5400acff,0xfffffffe,0xfffb8004,0x02efffff,0xfffda800,
    0xbdefffff,0xff710001,0x7c7dffff,0xf70004ff,0xbfffffff,0x17fff401,
    0x3ffff620,0x4002ceff,0xffffffda,0x7dc003ff,0x3dffffff,0x54c40000,
    0x00000009,0x20003310,0x0009ba98,0x0026ae60,0x00026200,0xabaa9880,
    0xa9800001,0x0000009b,0x00035753,0x009baa98,0x35753000,0x0ab98000,
    0x5dcc0000,0x0014c001,0x00013000,0x000d5d4c,0x0d5d4c40,0x53300000,
    0x00000357,0x00026ea6,0x57751000,0x30000001,0x00001575,0x0026aea2,
    0x01575100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x440ccc40,
    0x98000999,0x00000999,0x0004cccc,0x00066666,0x57953000,0x22000013,
    0x4cc40999,0x31000009,0x00135795,0x26666000,0x26000000,0x30001999,
    0x00003333,0xabcaa980,0x00000001,0x80000000,0x00aabca9,0xbba98000,
    0x0000009a,0x03579553,0x99980000,0x26666209,0x09998800,0x0004ccc4,
    0x00266660,0x99998000,0xccb80001,0x1fffe801,0x0017ffec,0x01bfffee,
    0xffffb800,0x7ffec002,0x2e00001f,0xffffffed,0x40002dff,0x7e42fffd,
    0x220003ff,0xfffffffc,0x00002eff,0x03bfffea,0x3fe60000,0xf90005ff,
    0x00005fff,0xffffec88,0x7dc3efff,0xffffffff,0xffffffff,0xefffc804,
    0x4000ea81,0xfffffeca,0x000befff,0x3fffee20,0x000cffff,0xffffc980,
    0x02dfffff,0x7ffdc000,0x3ffff62f,0x2fffd800,0x001fffe4,0x0dffff50,
    0x3fe60000,0xf80004ff,0xffe800ff,0x17ffec1f,0xfffff300,0x3e00009f,
    0xd0004fff,0x0000bfff,0xffffffd3,0xdfffffff,0x3ff60007,0x1fffe42f,
    0x7ffe4400,0xffffffff,0x40003fff,0x5ffffff8,0xffd80000,0x7ec0006f,
    0x200006ff,0xfffffffb,0x70efffff,0xffffffff,0xffffffff,0x3fea009f,
    0x7ffd52ff,0x3fffa600,0xffffffff,0xa8002fff,0xffffffff,0x0003ffff,
    0xffffffd5,0xdfffffff,0x3fa00007,0x3ffe64ff,0xfffb002f,0x03fffc85,
    0xfffff300,0xb00000bf,0x0000dfff,0x3a00dff3,0x7fec1fff,0xffd1002f,
    0x007fff9f,0x06fffb80,0x3fffe200,0x3fee0001,0xffffffff,0x4fffffff,
    0x2fffd800,0x001fffe4,0x3fffffa2,0xffffffff,0x20005fff,0xfffcfffe,
    0x3e600003,0x40000fff,0x002fffe8,0xfffffc80,0xfffffeff,0xffffb8ff,
    0xffffffff,0x004fffff,0x3fffffa6,0xf9802eff,0xffffffff,0xffffffff,
    0x3ffe6004,0xffeddfff,0x22002fff,0xaceffffd,0xffeca999,0x20000eff,
    0x7e46fffa,0x3f6004ff,0x7ffe42ff,0xffe88003,0x003fffcf,0x3fffe600,
    0xffc80000,0x3fffd004,0x002fffd8,0x3fa7fffb,0x3a0001ff,0x40000fff,
    0x8005fff9,0xefffffd8,0xfd7531ac,0x001dffff,0x3217ffec,0x22003fff,
    0xadfffffe,0xffdca99a,0x4000efff,0xffb3fffd,0x3200005f,0x00002fff,
    0x000dfff3,0xdfffffb8,0x7fffdcc1,0xeeefffbe,0xeeeeeeee,0x4c003eee,
    0x02efffff,0xdfffff30,0xd7533357,0x009fffff,0x03dffff1,0x03ffffd3,
    0x39fffd30,0x3fff2600,0xffb0002f,0x37ffc41f,0x0bfff600,0x0007fff9,
    0x3f67fffb,0xb00001ff,0x00005fff,0x44007ffa,0x99988199,0x5fffb800,
    0x003fffe6,0x007ffea0,0x0fffdc00,0x3ffffa00,0xffd5002f,0x4c400dff,
    0x4ccc4099,0xfffd1000,0xfd10019f,0x2001ffff,0x3e26fffb,0x40000fff,
    0x0004fff8,0x017ffd40,0xfffff980,0x7fff4401,0x0003ffff,0x7ffe4400,
    0x36003fff,0x5002ffff,0x803ffffd,0xd805fffe,0x7d406fff,0x10000eff,
    0x8007fffb,0x7e42fff9,0x4c4000ff,0x4ccc4099,0x7ffdc000,0x03fffe26,
    0x7fff1000,0x3fe20000,0x00000007,0x703fffe6,0xd000dfff,0x800007ff,
    0x2e005ffc,0x000dffff,0x04ffffd8,0x64000000,0x8004ffff,0x804ffffb,
    0x5c1ffff9,0x0000efff,0x00017ff2,0x002ffdc0,0x01ffffc8,0xfffffb10,
    0x2000007f,0xecffffd9,0xf9801fff,0x44001fff,0x2205ffff,0x8800ffff,
    0xf100ffff,0x200009ff,0x2001fffb,0x7fc44ffc,0x0000002f,0x7fffcc00,
    0x037ffdc1,0x017ff200,0x05ffa800,0x00000000,0x00000000,0xf8800000,
    0x40004fff,0x001ffffc,0xff100000,0x54000bff,0x0001ffff,0x00000000,
    0x00000000,0x005ffff1,0x7ffffff0,0x3f600000,0xfff10cff,0xfffb801d,
    0xfff50004,0x3ffea01f,0x3fff2005,0x009ffd02,0x0effb800,0x00000000,
    0x00000000,0x00000000,0x01ffec00,0x00000000,0x00000000,0x7ec00000,
    0xd00006ff,0x0000dfff,0x3ffee000,0x7f40000f,0x000006ff,0x00000000,
    0xf7000000,0x2e000dff,0x003fffff,0x017f3000,0xc80bfff5,0x20002fff,
    0xf901ffff,0x7d4007ff,0x5ffc84ef,0x6f77775c,0x7ec02bcc,0x0000005f,
    0x00000000,0x00000000,0x7ffc0000,0x004ccc00,0x99826660,0x4ccc0009,
    0x00026660,0x4ccc1333,0x04ccc000,0x005ffff3,0x3fffea00,0xb9531001,
    0xfd800157,0x980004ff,0x1001ffff,0x0157b953,0xb9531000,0x10000157,
    0x0157b953,0x02ffff80,0xfffff100,0x40000007,0x0bfff609,0x003fffd8,
    0x40ffff60,0x4003fffd,0x03ffe201,0xfffffff9,0x2201bfff,0x22000ffe,
    0x00abdca9,0x79953000,0x26000015,0x000abcca,0x57995300,0xff980001,
    0x2fffc406,0x29fff300,0x2005fff8,0xff14fff9,0x7fcc00bf,0x0bfff14f,
    0xb27ffcc0,0x0000bfff,0x804fffe8,0xfffffffc,0x2a2002ff,0xfb00001d,
    0xff9009ff,0x5fffffff,0x3fff2000,0x02ffffff,0xfffff900,0x5005ffff,
    0x8000ffff,0x003ffffc,0x3fb26000,0xfffacfff,0x1fffea06,0x40198800,
    0x0004fffd,0x320ffee0,0xeedccdff,0xf500ffff,0x3ff2009f,0x2fffffff,
    0xffff7000,0x005fffff,0x3ffffee0,0x0002ffff,0xfffffff7,0x2e0005ff,
    0x7fc404ff,0x3fe6005f,0x0bfff14f,0x8a7ffcc0,0x26005fff,0xfff14fff,
    0x7ffcc00b,0x00bfffe4,0xffff7000,0x7ffffd40,0xdfffffff,0x00000000,
    0x540ffff7,0xffffffff,0x000dffff,0xfffffff5,0x01bfffff,0x3ffffea0,
    0xdfffffff,0x1bffee00,0xffff5000,0x32000007,0xffffffff,0x103fffff,
    0x0007ffff,0x5fffc800,0x3ffa0000,0x100ffc80,0x7fc07ffd,0x7fffd407,
    0xffffffff,0xffb1000d,0xffffffff,0x362001bf,0xffffffff,0x1000dfff,
    0xfffffffb,0x001bffff,0x4402ffd8,0x26005fff,0xfff14fff,0x7ffcc00b,
    0x00bfff14,0xf8a7ffcc,0x3e6005ff,0xffff14ff,0xf8800001,0xffa81fff,
    0xfdcdefff,0x001fffff,0xffa80000,0xfffa81ff,0xffdcdeff,0x5401ffff,
    0xcdefffff,0x1ffffffd,0x7ffffd40,0xffffdcde,0xfff901ff,0xff980009,
    0x400003ff,0xffffffe9,0xfffffffe,0x3ffffa07,0x5000001d,0x0000dfff,
    0x7e413fe6,0x1bfe600f,0xf502ffb8,0xb9bdffff,0x03ffffff,0xefffff98,
    0xfffffdcd,0x7ffcc00e,0xffdcdeff,0x4c00efff,0xcdefffff,0x0efffffd,
    0x01fff100,0x005fff88,0x7c53ffe6,0x3e6005ff,0xbfff14ff,0xa7ffcc00,
    0x2005fff8,0xff34fff9,0x200000ff,0x7c43fffe,0xf701efff,0x0000dfff,
    0xffff1000,0xeffff885,0xdffff701,0x77fffc40,0xdffff701,0x77fffc40,
    0xdffff701,0x00bfff60,0x7ffff100,0xffe80000,0x3a620bff,0x503fffff,
    0x9dffffff,0x7c400003,0x80000fff,0xff901ffb,0x03ffc401,0xff109ff1,
    0x3ee03dff,0x7f406fff,0xff301eff,0xffe80bff,0xfff301ef,0xfffe80bf,
    0xffff301e,0x17fea00b,0x017ffe20,0xf14fff98,0x7cc00bff,0xbfff14ff,
    0xa7ffcc00,0x2005fff8,0xff54fff9,0x200000ff,0x7ec3fffd,0x74c00dff,
    0x55543fff,0xaaaaaaaa,0xaaaaaaaa,0xffaaaaaa,0x7ffec3ff,0x7ff4c00d,
    0xbfffb03f,0xfffe9801,0x1bfffb03,0x3fffe980,0x002fffe8,0xadffff80,
    0xaaaaaaaa,0xff701aaa,0xffc803df,0x3fe605ff,0xdfffffff,0x7f40001b,
    0xc80002ff,0x1ff900ff,0x202ffe40,0xfffd85ff,0x7ff4c00d,0xdfff703f,
    0x3fffd100,0x01bffee0,0x407fffa2,0x8806fffb,0xc801fffe,0xff8803ff,
    0x3fe6005f,0x0bfff14f,0x8a7ffcc0,0x26005fff,0xfff14fff,0x7ffcc00b,
    0x00dfff74,0x3fff6000,0x03fffea4,0x07fffd40,0xfffffffd,0xffffffff,
    0xffffffff,0x547fffff,0x5000ffff,0xfa81ffff,0xf5000fff,0xffa81fff,
    0xff5000ff,0xffff81ff,0xffe80001,0xffffffff,0x83ffffff,0x001ffff8,
    0x401ffffb,0xffffffe8,0x0adfffff,0xffeccc80,0xccccccef,0x40ffb002,
    0xfb880ffc,0x37f401ff,0x003fffea,0x207fffd4,0x000ffff8,0xf10dfff3,
    0x26001fff,0xff886fff,0xff3000ff,0x3ffd00df,0x0bfff100,0x8a7ffcc0,
    0x26005fff,0xfff14fff,0x7ffcc00b,0x00bfff14,0xfca7ffcc,0x000004ff,
    0x7ecbfff9,0x7f4003ff,0x3fffa3ff,0xffffffff,0xffffffff,0xffffffff,
    0x0ffff64f,0x87fffd00,0x4003fffd,0x7ec3fffe,0x7f4003ff,0x3ffe23ff,
    0xfd80001f,0xffffffff,0x3fffffff,0x005fffc8,0x00bfffe2,0xfffffd71,
    0x9fffffff,0x7ffffc01,0xffffffff,0x0dfd003f,0x7fffffe4,0x803fffff,
    0x7ffec7fd,0x7fff4003,0x01fffe43,0x907fff60,0xd8007fff,0x7fe41fff,
    0x7fec003f,0x1ffe201f,0x02fffc40,0x229fff30,0x26005fff,0xfff14fff,
    0x7ffcc00b,0x00bfff14,0xfda7ffcc,0x000004ff,0x7f4bfff9,0x7d4000ff,
    0x3fff64ff,0xffffffff,0xffffffff,0xffffffff,0x03fffa4f,0x89fff500,
    0x4000fffe,0x7f44fffa,0x7d4000ff,0x3ffe24ff,0xfe80001f,0xffffffff,
    0x3fffffff,0x001fffe8,0x0027ffe4,0xfffffd73,0x05ffffff,0x3ffffffe,
    0x3fffffff,0x640dfd00,0xffffffff,0xffb001df,0x000fffe8,0x3627ffd4,
    0x5c001fff,0x7fec3fff,0x7fdc001f,0x0fffec3f,0x0fffee00,0x1004ffb8,
    0x4c00bfff,0xfff14fff,0x7ffcc00b,0x00bfff14,0xf8a7ffcc,0x3e6005ff,
    0xbfffb4ff,0x3f600000,0x1bffe4ff,0x9bffe200,0xaaadfffc,0xaaaaaaaa,
    0xaaaaaaaa,0x3e3fffea,0xf88006ff,0x37ffc6ff,0x37ffc400,0x2001bffe,
    0x7fc6fff8,0xe80002ff,0x9999cfff,0x99999999,0x007fff80,0x005fffa8,
    0xfffd9510,0x905fffff,0xbfffd999,0x00599999,0xffc81ff6,0x03fffcab,
    0x3fe37f40,0xff88006f,0x07fff46f,0x13ffe600,0x8001fffd,0x7f44fff9,
    0x7cc000ff,0x3ff604ff,0xbfff1002,0xa7ffcc00,0x2005fff8,0xff14fff9,
    0x7fcc00bf,0x0bfff14f,0xca7ffcc0,0x00006fff,0x267fffd0,0xf0005fff,
    0x7ffdcfff,0xff800005,0xbfff32ff,0x9fffe000,0x0005fff9,0x7fccffff,
    0xfff0005f,0x02fffe8f,0x3ffff800,0xfff88000,0xfff98006,0xb5100006,
    0x03ffffff,0x003fffc8,0xc807fe40,0x37fdc0ff,0x7ccbff00,0xff0005ff,
    0xeffff8ff,0xeeeeeeee,0x5fffeeee,0x7777fffc,0xeeeeeeee,0x7c5fffee,
    0xeeeeefff,0xeeeeeeee,0x3fe05fff,0xfff1000f,0x7ffcc00b,0x00bfff14,
    0xf8a7ffcc,0x3e6005ff,0xbfff14ff,0xa7ffcc00,0x0007fffb,0x27ffff00,
    0x0004fffa,0x3ea1ffff,0x400007ff,0xf51ffff8,0x3e0009ff,0xfff50fff,
    0x3ffe0009,0x09fff50f,0x83fffe00,0x0003fffd,0x01ffffc4,0x2fffcc00,
    0x3fffc400,0x7f540000,0x7dc05fff,0x5c0005ff,0x1ff901ff,0x3009ff90,
    0x7ffd49ff,0xffff0004,0x3ffffe21,0xffffffff,0x6fffffff,0x3fffffe2,
    0xffffffff,0x26ffffff,0xfffffff8,0xffffffff,0x306fffff,0x7c400dff,
    0x3e6005ff,0xbfff14ff,0xa7ffcc00,0x2005fff8,0xff14fff9,0x7fcc00bf,
    0x1ffff54f,0xff880000,0x9fff72ff,0x3fffa000,0x01ffff31,0x7ffcc000,
    0x09fff70f,0x47fffa00,0x0004fffb,0x3ee3fffd,0xfd0004ff,0x7ffe43ff,
    0x7fcc0004,0xa80003ff,0xf0004fff,0x00000fff,0x03ffff62,0x003fffa8,
    0xc82ffcc0,0x5ffd00ff,0x2e2ffc80,0xd0004fff,0x3fe63fff,0xffffffff,
    0xffffffff,0x3ffe67ff,0xffffffff,0xffffffff,0x3fffe67f,0xffffffff,
    0xffffffff,0x009ff907,0x002fffc4,0x3e29fff3,0x3e6005ff,0xbfff14ff,
    0xa7ffcc00,0x2005fff8,0x3fe4fff9,0x400001ff,0x3ea7fffa,0xff0004ff,
    0x3ffe21ff,0x2e00001f,0x3fea7fff,0xfff0004f,0x13ffea1f,0x87fffc00,
    0x0004fffa,0x7e41ffff,0x4c0005ff,0x0003ffff,0x005fff98,0x2a7fff88,
    0x40000cba,0x201ffff8,0x0001fffb,0xfc80ffe8,0x1fff300f,0x3ea37fc0,
    0xff0004ff,0x3ffe61ff,0xaaaaaaae,0xaaaaaaaa,0x3bffe62a,0xaaaaaaaa,
    0xaaaaaaaa,0x2bbffe62,0xaaaaaaaa,0x2aaaaaaa,0x4003ffd0,0x2006fff8,
    0xff14fffa,0x7fd400df,0x0dfff14f,0x8a7ffd40,0x2a006fff,0x3ff24fff,
    0x7400006f,0x3fe64fff,0xff88005f,0x27fff47f,0xfffb0000,0x02fffccb,
    0x33fffc40,0x1000bfff,0x7fccffff,0xff88005f,0x7fffd47f,0x3ff20000,
    0x980003ff,0x98006fff,0x3ffa6fff,0xfe80002f,0x3ff203ff,0xfa80000f,
    0x00ffc83f,0x7d413ff6,0x2fffcc3f,0x3fffc400,0x000dfff1,0x06fff880,
    0x7ffc4000,0xf1000006,0xff8800ff,0x3fea006f,0x0dfff14f,0x8a7ffd40,
    0x2a006fff,0xfff14fff,0x7ffd400d,0x0bfffea4,0x7ffdc000,0x1bffe21f,
    0x1fffe600,0x003ffff5,0x3ffff500,0x0037ffc4,0xf13fffcc,0xf3000dff,
    0x7ffc4fff,0xfff98006,0x03fffe87,0xfffff100,0xff100007,0xff5000ff,
    0x2fffec9f,0x7ffe4000,0x017ffa03,0x41fff800,0x3e200ffc,0x7ffc41ff,
    0x037ffc40,0x23fffcc0,0x0000ffff,0x007fffc0,0x3fffe000,0xfa800000,
    0xfff8005f,0x3fff2006,0x801bffe4,0x3fe4fffc,0x3ff2006f,0x01bffe4f,
    0x744fffc8,0x0000ffff,0x437fffc4,0x4000ffff,0xfe85fffb,0xe80005ff,
    0xfff85fff,0x7fdc000f,0x07fffc5f,0x17ffee00,0x8001ffff,0xfb85fffb,
    0xf70007ff,0x0007ffff,0x003fffe0,0x5c7fff90,0x80007fff,0xf501ffff,
    0x400001ff,0x7fe46ffb,0x237fe400,0xfff04ffd,0xffb8001f,0x0fffec5f,
    0x2026a200,0x4001fffd,0xffd809a8,0x4d44001f,0x007ffb00,0x400ffff0,
    0x3fe4fffe,0x3ffa007f,0x01fffe4f,0x3e4fffe8,0x3fa007ff,0x7ffcc4ff,
    0x7ec0004f,0xffd81fff,0x7ff4004f,0xffffa82f,0x3fee0002,0xfffd81ff,
    0x7fff4004,0x027ffec2,0xb0bfffa0,0xe8009fff,0xff882fff,0xff8003ff,
    0x0003ffff,0x009fff90,0x10ffffc4,0x0009ffff,0x807fffcc,0x00003ffe,
    0x0005ffd8,0xb037fe40,0xe8009fff,0x7fe42fff,0x7fe4005f,0x2fffe45f,
    0x17fff200,0x800bfff9,0xff85fffc,0xffe8000f,0xfffc803f,0x0ffffa4f,
    0x93ffff20,0xc803fffe,0x3fa4ffff,0xffc803ff,0xfffc84ff,0x744000df,
    0xf304ffff,0x2e001fff,0xfd00ffff,0x90007fff,0x260bffff,0x7000ffff,
    0xf981ffff,0xf7000fff,0xff981fff,0xff7000ff,0x3ff201ff,0xfb1002ff,
    0x007fffff,0x3fffe600,0xbfff9000,0x1bffffb0,0xfffe9800,0x05ffe884,
    0xffd10000,0xd880001d,0x3e600fff,0xf7000fff,0xff881fff,0xff1002ff,
    0xfff883ff,0xfff1002f,0xffff883f,0xffff1002,0x006ff983,0x01ffff90,
    0x27ffffdc,0x401ffff9,0x24fffffb,0x200ffffc,0x24fffffb,0x200ffffc,
    0x04fffffb,0x05fffffd,0x3ffffea0,0x77ffe406,0x7fffd400,0x3fffea04,
    0xfe8800df,0x3201ffff,0x5400efff,0xf904ffff,0xfa801dff,0xff904fff,
    0xffa801df,0x3fe204ff,0x74403fff,0x3fffefff,0x3ff60000,0x7fdc00ef,
    0xfff980ff,0xf7002eff,0xe881ffff,0xbccaafff,0x2008801a,0x002ffff9,
    0x05fffd30,0x01dfff90,0x04ffffa8,0x803ffff7,0x706fffe8,0x8803ffff,
    0xf706fffe,0xe8803fff,0xffb86fff,0xfff30004,0x32a217df,0x24ffffff,
    0x0beffff9,0xfffff951,0x7fffcc9f,0xff9510be,0x7cc9ffff,0x510befff,
    0x9ffffff9,0x3ffff620,0xb989bcef,0xefffffec,0x7fffc400,0x7fe440af,
    0xffb806ff,0x89bcffff,0xffffdba8,0x7fc402ff,0x6440afff,0x2206ffff,
    0x40afffff,0x06ffffc8,0x2bffffe2,0x7fffe440,0xffffa806,0x3ee60adf,
    0xfffbcfff,0xeeeeeeee,0x1eeeeeee,0x17ffffcc,0x27fffec4,0xffffff50,
    0xb95379df,0x85ffffff,0xffffffe8,0xceffffff,0x05fda99a,0x177fff44,
    0xefffda80,0xffff1001,0xffc8815f,0x7ff406ff,0x764c0cff,0x3a01ffff,
    0x4c0cffff,0x01ffffec,0x033ffffa,0x3ffffd93,0x0005ffd0,0x7fffffec,
    0xe9ffffff,0x7ffec4ff,0xffffffff,0x6c4ffe9f,0xffffffff,0xffe9ffff,
    0x7ffffec4,0x9fffffff,0x7e404ffe,0xffffffff,0xffffffff,0x3ffea004,
    0xfffeefff,0x7000efff,0xffffffff,0xffffffff,0x3ea005ff,0xfeefffff,
    0x00efffff,0x7fffffd4,0xffffffee,0x7ffd400e,0xfffeefff,0x7000efff,
    0xffffffff,0x1dffffff,0xfffffff7,0xffffffff,0xfd105fff,0xffbdffff,
    0x500bffff,0xffffffff,0xffffffff,0xfff107ff,0xffffffff,0xffffffff,
    0xf9001fff,0x579bffff,0xfffffb97,0xfff5000b,0xfffddfff,0x9801dfff,
    0xeffffffe,0x2fffffff,0x7ffff4c0,0xfffffeff,0x7f4c02ff,0xffefffff,
    0x882fffff,0x40000fff,0xfffffffc,0x9ffd1eff,0xffffff90,0x3fa3dfff,
    0xffffc84f,0xd1efffff,0xfff909ff,0x3dffffff,0x2a013ffa,0xfffffffe,
    0x2effffff,0xfffd8800,0xffffffff,0x7f4c000d,0xffffffff,0x00dfffff,
    0x7fffec40,0xdfffffff,0xfffb1000,0xffffffff,0x3f62001b,0xffffffff,
    0x4c000dff,0xfffffffe,0x3ee5ffff,0xffffffff,0xffffffff,0x3fff602f,
    0xffffffff,0x3ff62003,0xffffffff,0x201effff,0xcdfffffd,0xffffffdc,
    0x02ffffff,0xfffffb30,0xffffffff,0x6c40005b,0xffffffff,0x1000dfff,
    0xfffffff9,0x005fffff,0x3fffff22,0x2fffffff,0xffff9100,0xffffffff,
    0x017fea05,0x7fff5400,0x3fa0ceff,0xfffd504f,0x7f419dff,0xfffd504f,
    0x7f419dff,0xfffd504f,0x7f419dff,0x3f66004f,0xffffffff,0xeb80001c,
    0xdfffffff,0x7ed40001,0xffffffff,0x5c0001cf,0xfffffffe,0xfd70001d,
    0x3bffffff,0x3ffae000,0x01dfffff,0x7fff5c00,0x5c2effff,0xffffffff,
    0xffffffff,0x7edc02ff,0x0dffffff,0xffd93000,0xbfffffff,0x17ff5005,
    0x7fff5cc0,0x000cffff,0x7ffff5c4,0x000befff,0x3fffae00,0x001dffff,
    0xfffffb50,0x20007fff,0xffffffda,0xb50003ff,0xffffffff,0x03ffc807,
    0x0ab98000,0x15730000,0x2ae60000,0x57300000,0x4c000001,0x0019aca9,
    0x2aea6000,0x98000009,0x01aabbaa,0x57530000,0x4c000013,0x00009aba,
    0x026aea60,0x75510000,0x00000157,0xaba88000,0x4c400000,0x009abcaa,
    0x54400140,0x00001abb,0x00026a62,0x55d4c000,0x22000009,0x00009aba,
    0x026aea20,0xaba88000,0x19970009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99988000,0x00333301,0x88099988,0x00001999,0x19998000,
    0x03333000,0x4c40ccc4,0xb9800099,0x4c409bdc,0x26660009,0x30000009,
    0x10003333,0x00013333,0x0d5dcc40,0x66640000,0x00732e00,0x00133310,
    0xcb882666,0x0000000a,0x99998800,0x00000000,0x00ccc800,0x26662000,
    0x02666001,0x02b332a2,0x26000000,0xccb98099,0x2600001a,0x0009acba,
    0x22026662,0x7e43fffe,0x7cc005ff,0x7ff41fff,0x5fffb83f,0xfffb8000,
    0x007fffe5,0x40bfff30,0x7e41fffe,0x3aa003ff,0x5fffffff,0x5401bff6,
    0x0006ffff,0x4ffff980,0xfffe8800,0x764c0007,0x1effffff,0xfff30000,
    0x00fffc40,0x3fffff10,0x73fff880,0x43bfffff,0x00006fff,0xffffe800,
    0x0bfff700,0xbfff7000,0xfb2fffe8,0x5c00007f,0x3e007fff,0x3fff24ff,
    0x004fffff,0x4fff9800,0xffc8fffe,0x82ffffff,0x6446fffa,0xfffffffe,
    0xffd801df,0xffff305f,0x03bffe61,0x9bffee00,0xf705fffb,0x70000bff,
    0x7fe4bfff,0x7fe4004f,0x3fffa02f,0x01fffe41,0xffffffc8,0xfd8effff,
    0xfff9806f,0x00005fff,0x0037ffec,0x07ffff30,0x3ffff200,0x5fffffff,
    0x6ffb8000,0x001ffe60,0x1dfffffd,0x55fffc40,0x0fffffff,0x0001bffe,
    0xffff3000,0x2fffdc05,0x7ffdc000,0xa97fff45,0x200005ff,0x2007fffb,
    0xfff94fff,0xdfffffff,0x7cc00001,0x4fffe4ff,0xfffffffd,0x7fd44fff,
    0x3fffee6f,0xffffffff,0x7ffec05f,0x57ffee05,0x0000fffe,0x3e2ffff6,
    0x3fee06ff,0xfb80005f,0x3ffe65ff,0x3fffc006,0x907fffa0,0xfb007fff,
    0xdb9dffff,0xdffdffff,0xcfffe880,0x00003fff,0x001ffff3,0x07fffa80,
    0xfffffc80,0xffffffde,0x7fe40004,0x01bfee04,0xffcfffc8,0x3ffe205f,
    0xfffffffb,0x0037ffc5,0x3ff60000,0x7ffdc04f,0xffb80005,0x97fff45f,
    0x00007ff8,0x801fffee,0xfffdcfff,0xffffeddf,0x2600005f,0x3ffe4fff,
    0xedffffdc,0x24ffffff,0xff96fffa,0xffffffff,0x01dfffff,0xb017fff6,
    0x5fffdfff,0xfffd0000,0x5c01fffd,0x80005fff,0x7f45fffb,0xff3001ff,
    0xfffe809f,0x01fffe41,0x037fffea,0x3fffffe6,0x9fffec06,0x0001fffd,
    0x001fffd8,0x07fff700,0x67fffd40,0x7fffe4c0,0x3ffa0001,0x013ff203,
    0xfbafffd4,0xfff104ff,0xfb79ffff,0x006fff85,0x3fe60000,0xfffb805f,
    0xffb80005,0x17fff45f,0x00003ffd,0x801fffee,0x1effffff,0x1ffffe98,
    0xfff30000,0x7fffffc9,0x7ffd441d,0x3bffea7f,0x09cffffc,0xffffb751,
    0x3fff60df,0xffffe805,0xf100003f,0x803fffff,0x0005fffb,0x5c5fffb8,
    0xf9004fff,0x998803ff,0x00999881,0x2027fff4,0x06ffffe8,0xf89bffee,
    0x20000fff,0x0003fff9,0x0037fec0,0xe809fffd,0x20003fff,0x3fa01fff,
    0xfff9802f,0x0bfffa0f,0x17ffffe2,0x0037ffc0,0xdffb0000,0xbfff7001,
    0xfff70000,0x22fecb8b,0x00004ffc,0x40033331,0x404fffff,0x003ffff8,
    0x49fff300,0x404fffff,0xf52ffff9,0x19ffffff,0xfffff700,0x01333107,
    0x0bffff10,0xfffa8000,0xfffb803f,0xffb80005,0x3fffc45f,0x037ffc40,
    0x3ea00000,0xff3006ff,0x3fe60dff,0x7ffdc0ff,0x3ff60006,0xfd000005,
    0xfff1005f,0xfffa801f,0xfff30005,0x00fffc40,0x30ffffa2,0xf883ffff,
    0xf000ffff,0x00000dff,0x007ffe20,0x002fffdc,0x82fffdc0,0x1bfe61fe,
    0x20000000,0x800fffff,0x0005fffc,0x7c9fff30,0xf9006fff,0x3ffea9ff,
    0x4c002fff,0x000fffff,0x00000000,0x7ffdc000,0xffb80005,0x2fffd85f,
    0x01fffd40,0x3f200000,0x3f6002ff,0x000006ff,0x00000000,0x3fea0000,
    0xfff8804f,0xdff70004,0x003ffcc0,0xfff10000,0x7ffc007f,0x00000006,
    0x2fffdc00,0x7ffdc000,0xff81fd05,0x0000000f,0x01ffffc0,0x005fff98,
    0x49fff300,0x5002ffff,0x3feabfff,0x50003fff,0x0007ffff,0x00000000,
    0x5fffb800,0xfffb8000,0x05fffa85,0x0007ffec,0x3ffa0000,0x7ffcc007,
    0x00000006,0x00000000,0x0fffee00,0x00fffea0,0x7027fe40,0x00000dff,
    0x17fffc40,0x00dfff00,0x80000000,0x0005fffb,0x885fffb8,0x02ffd86f,
    0x03555000,0x00ffffc0,0x006fff88,0x49fff300,0x3001ffff,0x3feabfff,
    0x7c0006ff,0x09886fff,0xbdca9880,0x5300000a,0x803579b7,0x0005fffb,
    0xf05fffb8,0x3e201fff,0xa98005ff,0x801abcdb,0x44005fff,0x53006fff,
    0x003579b7,0xbcdba980,0x54c0001a,0x401abcdb,0xd803fffb,0x26200fff,
    0xffe99999,0xd999999c,0x00999dff,0x4d66e54c,0x7fffc400,0x1bffe000,
    0x00379951,0xacdca980,0x7ffdc009,0xffb80005,0x41fec45f,0x80005ffb,
    0x2005fff8,0x1001ffff,0x7300dfff,0xff9837b9,0x03fffe4f,0xaafffc40,
    0x0004ffff,0x207fffdc,0x7fe405fe,0x2fffffff,0xfffe9800,0x3fffffff,
    0x00bfff70,0x0bfff700,0x5c0bfff2,0xd3002fff,0xffffffff,0x3fe607ff,
    0xfff8004f,0x3fffa606,0x3fffffff,0x3fffa600,0x3fffffff,0x3fffa600,
    0x3fffffff,0x805fff90,0x5c04fff9,0xffffffff,0xffffffff,0x2fffffff,
    0xfffffb88,0x100effff,0xf800ffff,0xfffb16ff,0x4009ffff,0xffffffb8,
    0xf700efff,0x70000bff,0x7f44bfff,0x00fff303,0x09fff100,0x007fffc0,
    0x540dfff0,0xfffffffe,0x7c9fff33,0x3e2007ff,0xffff56ff,0xff880005,
    0x837f42ff,0xfffffffa,0x00dfffff,0xffffff70,0xbfffffff,0x05fffb81,
    0x5fffb800,0x20bfff30,0xf7007ffe,0xffffffff,0xa81bffff,0xe8003fff,
    0xfff706ff,0xffffffff,0xfb801bff,0xffffffff,0x400dffff,0xfffffffb,
    0x0dffffff,0x200fffe4,0x5c01fffd,0xffffffff,0xffffffff,0x2fffffff,
    0xffffffe8,0x83ffffff,0x4006fff8,0xffe8efff,0xefffffff,0xffffe800,
    0xffffffff,0x05fffb83,0xefffb800,0x7403ffdb,0x4c0001ff,0x3e003fff,
    0x7fc007ff,0xffff906f,0x39ffffff,0x7ffc9fff,0x3ffe2006,0x01ffff56,
    0x9fffd000,0xffa87ff8,0xfdcdefff,0x401fffff,0xcdeffffe,0xfffffedc,
    0x02fffdc4,0x2fffdc00,0x981fffd0,0xfe804fff,0xdccdefff,0x44fffffe,
    0x8003fffb,0xffe86ffe,0xedccdeff,0x204fffff,0xcdeffffe,0xfffffedc,
    0x3ffffa04,0xffedccde,0x7fe44fff,0x3ffe601f,0xffffb805,0xffffffff,
    0xffffffff,0x7fec2fff,0xfdcccdff,0x7c43ffff,0x7fc006ff,0xceffffff,
    0x1fffffec,0x37ffff60,0xffffdccc,0x2fffdc3f,0x7ffdc000,0xc802ceff,
    0x5c0003ff,0x3e002fff,0x7fc007ff,0xffffd86f,0xffffdcdf,0x3fe4fffe,
    0x3fe2006f,0x0ffff56f,0x3fff6000,0x3e23ffc5,0xf701efff,0x7dc0dfff,
    0x36602fff,0x3ee0ffff,0xb80005ff,0x3ee05fff,0x7ffe43ff,0x7fffdc01,
    0x3fff6602,0x13ffea0f,0x71bffe00,0x4c05ffff,0xb80ffffd,0x2602ffff,
    0xb80ffffd,0x2602ffff,0x320ffffd,0x3f601fff,0x320000ff,0x3fee04ff,
    0x77ffd405,0xdfffb100,0x006fff88,0x77fffffc,0x6ffff980,0x01dfff50,
    0x71bfff62,0x0000bfff,0x001dfff7,0x0006ffa8,0x000ffffc,0xf800ffff,
    0x7ffd46ff,0xffff505f,0x37ffc9ff,0x2dfff100,0x0007fffa,0x44bfff90,
    0x7ffec7ff,0x7ff4c00d,0x3fffd03f,0x8ffffa00,0x0005fffb,0x205fffb8,
    0x7fc6fff8,0xfffe806f,0x7fffd001,0x002fffcc,0x3fa37ffc,0xffd001ff,
    0x3fffd07f,0x0ffffa00,0x4007fffa,0x3f23fffe,0xfff301ff,0xffe8000b,
    0x013ff602,0x8805fff9,0x3e21ffff,0x7fc006ff,0x74405fff,0xffc82fff,
    0x7ffc402f,0x17ffee1f,0x3ffee000,0xfff88005,0xfffb0000,0x7fff800b,
    0x237ffc00,0x4c04fffe,0x3e4ffffe,0x3e2006ff,0xffff56ff,0x3fee0000,
    0x43ffe26f,0x000ffffa,0x981ffff5,0x2e005fff,0x3fee4fff,0xfb80005f,
    0x7fec05ff,0x07fff30f,0x005fff98,0xf893ffee,0x7c4006ff,0x3ffe66ff,
    0x3ffee005,0x02fffcc4,0x989fff70,0x2e005fff,0x3ff24fff,0x7fff701f,
    0x7ffc4000,0x00bffa01,0x2e00fffd,0x3fe23fff,0x7ffc006f,0xffa800ff,
    0x07ffe86f,0x5c7fff70,0x80005fff,0x0005fffb,0x90005ffd,0x8001ffff,
    0x7c007fff,0x3ffea6ff,0xffff5006,0x0037ffc9,0x3eadfff1,0x500006ff,
    0x7fccffff,0x07fffb1f,0x43fffe80,0x2001edc9,0x3ee5fffa,0xb80005ff,
    0x7d405fff,0x1fff93ff,0x01edc980,0xf17ffea0,0x5c003fff,0x37266fff,
    0x3fea001e,0x0f6e4c5f,0x8bfff500,0x2001edc9,0x3f25fffa,0xfff701ff,
    0x7fcc000b,0x03ffe207,0x001fffd0,0x3ffe2026,0x7fffc006,0x3fffa003,
    0x007fff42,0xfffb8098,0xffb80005,0xff70005f,0xfffd8009,0xfff8003f,
    0x37ffc007,0x4007fff9,0x3fe4fffe,0x3fe2006f,0x0dfff56f,0x3ffea000,
    0x747ffe67,0x54000fff,0x00004fff,0xfb97ffe6,0xb80005ff,0xff805fff,
    0x00bffd6f,0xfff98000,0x02fffdc5,0x00dffff0,0x17ffe600,0xfff98000,
    0x3e600005,0x3fff25ff,0x7ffff101,0x1bfee000,0xb807ffa8,0x0001efff,
    0x001bffe2,0xb800ffff,0x7fdc3fff,0x2e0001ef,0x80005fff,0x0005fffb,
    0x6c00dff3,0x0003ffff,0xf800ffff,0x1fff66ff,0x49fff700,0x22006fff,
    0xfff56fff,0x3ea0000d,0x3ffea6ff,0x000dfff2,0x000dfff1,0xbfffb510,
    0x002fffdc,0x02fffdc0,0x7fcfffe4,0x1000002f,0xf0bfffb5,0xf9003fff,
    0x8000dfff,0x05fffda8,0xffda8800,0xa880005f,0x3f25fffd,0x3ff601ff,
    0x64000dff,0x3fee04ff,0xffff9805,0x44001cef,0x7c006fff,0x7cc006ff,
    0x7ffcc4ff,0x4001ceff,0x0005fffb,0x005fffb8,0x2007ffe0,0x003ffffd,
    0x001fffe0,0x7ffcdfff,0x7ffcc006,0x801bffe4,0xff56fff8,0x2a0000df,
    0x3fea6fff,0x05fff9af,0x00ffff00,0x7ff65d44,0x2e5fffff,0x80005fff,
    0x9805fffb,0x0fffefff,0x65d44000,0xfffffffe,0x2ffffb85,0x3fffff20,
    0xd9751006,0xbfffffff,0x765d4400,0x5fffffff,0x3b2ea200,0x5fffffff,
    0x8807fff2,0x01effffe,0xd80bffa0,0xff9004ff,0x7bffffff,0x6fff8801,
    0x02fffc00,0x21bffe20,0xfffffffc,0x7dc00bdf,0xb80005ff,0x20005fff,
    0x7e403ffd,0x40002fff,0x7c007fff,0xbfff16ff,0x4fff8800,0x8801bffe,
    0xfff56fff,0x3ee0000d,0x3ffee5ff,0x004fffab,0x401ffff0,0xffffffeb,
    0x5fffffff,0x001bffea,0x013fff20,0x27fffff4,0xfffeb800,0xffffffff,
    0xfffd05ff,0xfd9557bf,0x40dfffff,0xffffffeb,0x5fffffff,0x7ffff5c0,
    0xffffffff,0x7ff5c05f,0xffffffff,0x3ff25fff,0x7fec401f,0xf8804fff,
    0x3ffe01ff,0x3ffee002,0xefffffff,0x0dfff103,0x004fff80,0xb83fffc4,
    0xffffffff,0xff503eff,0xf90000df,0x540009ff,0x3fea05ff,0xf80002ff,
    0x7fc007ff,0x09fff36f,0x24fff880,0x22006fff,0xfff56fff,0x3ee0000d,
    0x3ffee4ff,0x004fffbb,0x703fffd0,0xffffffff,0xfff9bfff,0x037ffd4b,
    0x27ffec00,0xfffffb80,0x7ffdc001,0xffffffff,0x205fffcd,0xfffffffd,
    0xfffaffff,0xfffffb86,0xcdffffff,0xff705fff,0xffffffff,0x0bfff9bf,
    0x3fffffee,0xfcdfffff,0x3fff25ff,0xffff7001,0xffffb8bf,0xffffffff,
    0xffffffff,0xfb302fff,0xffffffff,0xfff881df,0x27ffc006,0x03fffc00,
    0xffffffb3,0xa81dffff,0x80006fff,0x0004fffd,0xfd81ffe2,0xf00003ff,
    0xff800fff,0x09fff56f,0x7c9fff00,0x3e2006ff,0xdfff56ff,0x3ff20000,
    0x33fff23f,0x0004fffa,0xfb81ffff,0xceffffff,0x97ffe61b,0x0006fff9,
    0x003fffe8,0x00dffff1,0xffffffb8,0x3e61bcef,0x7fdc05ff,0x8effffff,
    0x7dc5fff8,0xceffffff,0x17ffe61b,0x3fffffee,0x3e61bcef,0xfffb85ff,
    0x1bceffff,0xfc97ffe6,0x3e6001ff,0x3ee5ffff,0xffffffff,0xffffffff,
    0x02ffffff,0x7fff6544,0x222fffff,0x7c006fff,0x7c4004ff,0xca8806ff,
    0xfffffffe,0x1bffe62f,0x3fffa000,0x7ff40003,0x00ffff02,0x03fffc00,
    0x7d5bffe0,0xff8005ff,0x01bffe4f,0xf56fff88,0x20000dff,0x3f23fffe,
    0x5fff9dff,0x7fff8800,0x5f7fffd4,0x2fffcc00,0x000ffff3,0x007fffd0,
    0x001fffec,0x17dffff5,0x05fff980,0xcdfeca88,0xa97ffe22,0x00beffff,
    0x2a2fffcc,0x00beffff,0x2a2fffcc,0x00beffff,0xf92fffcc,0xd88003ff,
    0xff71ffff,0xffffffff,0xffffffff,0x005fffff,0xffffdb88,0x1bffe26f,
    0x00bfff00,0x005fff98,0xffffdb88,0x1fffe66f,0x3fffa000,0x7fe40003,
    0x05fff984,0xfff81980,0xb7ffc007,0x4006fff9,0x3fe4fff8,0x3fe2006f,
    0x0dfff56f,0x3fffe000,0x237fff62,0x98006fff,0x7fec7fff,0xff5000df,
    0x1ffff8bf,0x7fffc000,0x3fff2001,0x3fff6000,0xfff5000d,0x7cc0000b,
    0x3fff65ff,0xfff5000d,0x0dfffd8b,0x8bfff500,0x000dfffd,0x7e4bfff5,
    0xfb0001ff,0x266629ff,0x9999bfff,0x99cffe99,0x00009999,0x03ffff22,
    0x2fffc000,0x13ffea00,0xfff91000,0x0ffffc1f,0xffff1000,0xff980003,
    0x03fffb86,0x03fffc40,0x16fff800,0x9800ffff,0x00004fff,0x01bffea0,
    0x3fffe600,0x7dbfff60,0x5c000fff,0x7ffc5fff,0x3fee000f,0x1fffec5f,
    0xffff7000,0x05fff800,0x007fffc0,0x00bfff70,0x27ffd400,0x4001ffff,
    0x7fc5fffb,0x3ee000ff,0x7fffc5ff,0x3ffee000,0x007fff25,0x437ffd40,
    0x3e00fff8,0x531002ff,0x3ffe2003,0xceffb83f,0x07fffc00,0x87fff900,
    0xf1001a98,0x7fec7fff,0x3ee0003f,0xf00007ff,0xfffa81ff,0x7ffdc005,
    0xfff00005,0x007fff4d,0x009fff50,0x200fbbfa,0x0006fffa,0x745fffc8,
    0xfffb6fff,0xfffe8009,0x01bffe62,0xb8bfffd0,0x0000ffff,0x400bffff,
    0x2002fffa,0x4006fff9,0x7645fffe,0x3f6000cd,0xdfff32ff,0x5fffe800,
    0x001bffe6,0x7ccbfffd,0x7f4006ff,0x3fff25ff,0xff880101,0x07ff986f,
    0x2003ffe2,0x2004fffb,0xfb83fffb,0x3e03ffff,0xf1002fff,0x7fdc3fff,
    0x3fee004f,0x3fffee3f,0xffff0000,0x3f60000b,0x3fffc42f,0x0ffff600,
    0x3ffe2000,0x013fff25,0x004fffe8,0x01fffffd,0x0037ffd4,0x07fffe20,
    0x3e6fffff,0xf7000fff,0x7fcc1fff,0xff9000ff,0xfff98bff,0xffb8005f,
    0x3fa002ff,0x7fcc006f,0xff9000ff,0xfffb8bff,0xffff5004,0x03fffe61,
    0x2ffffe40,0x001ffff3,0x997ffff2,0x9000ffff,0x7e4bffff,0x07f541ff,
    0x709fff70,0x7fd40bff,0xdfff1007,0x0ffff400,0x7fff654c,0x1dffff01,
    0x89fff900,0x2006fff8,0x3e61fffe,0xb8005fff,0x0002ffff,0xff0bff70,
    0x3ea009ff,0x80000fff,0x3e65fff8,0xfa800fff,0x75004fff,0x540dfff9,
    0x40006fff,0xff86fffd,0x3fff27ff,0x7ffd400e,0x7fffc44f,0xffffb804,
    0xffffc86f,0xffe9801e,0x3f2006ff,0x7c4003ff,0xfb804fff,0x7d46ffff,
    0x7c400fff,0x3fe25fff,0xffb804ff,0x3fe26fff,0xffb804ff,0x3fe26fff,
    0xffb804ff,0x3ff26fff,0x17fff61f,0xd83ffff8,0x3ff204ff,0x3fffa005,
    0x7fffa804,0x03fff980,0x80dfffff,0xe80ffffa,0xfa804fff,0xfffc87ff,
    0xfd9801ef,0x00006fff,0x3ee1ffe2,0x7cc03fff,0x00005fff,0xfd89fff5,
    0x3a600eff,0x8004ffff,0xf500fffc,0x20300dff,0xf83ffffc,0x3fe27fff,
    0x6440afff,0xfd06ffff,0x32605fff,0x87ffffff,0xfffffff8,0xfecbaace,
    0x701fffff,0xffffd959,0xfffd0001,0x3ff2605f,0x7447ffff,0xd502efff,
    0xfe81ffff,0xf9302fff,0xe8ffffff,0x9302ffff,0x8fffffff,0x302ffffe,
    0xfffffff9,0xd10fffe4,0x6d419fff,0xfe80ffff,0x0fff602f,0xdffffa80,
    0x9fffd501,0x07fff900,0x37fffffe,0x7fffe441,0xbffff503,0x3fffaa03,
    0xfffff884,0xcbaaceff,0x1ffffffd,0x7ff40000,0xdffffd81,0x3fff2209,
    0x310000ef,0x85ffff71,0x42fffff8,0xffffffb8,0xfffe8004,0x0dfff500,
    0xeb9cefb8,0xf80effff,0x7fd47fff,0xffeeffff,0x300effff,0x9bdfffff,
    0xd7fffffd,0xfd301fff,0xffffffff,0xffffffff,0x7fffdc03,0x30001fff,
    0x9bdfffff,0xd7fffffd,0xff981fff,0xffefffff,0x982fffff,0xcdefffff,
    0xebfffffe,0x3fe60fff,0xfecdefff,0xffebffff,0x3fffe60f,0xfffecdef,
    0x0fffebff,0xf983fff9,0xffeeffff,0xff882fff,0x0bffe00f,0xfffff900,
    0xffffdddf,0xdb9950bf,0x3e03ffff,0xffffedff,0x5fffffee,0x7ffffe40,
    0xffffeeef,0x3ffa605f,0xffffffff,0x1fffffff,0xffc80000,0xffffe883,
    0xfffffeff,0x2e0001ff,0x07ffffff,0xdffffff3,0xff7ffffd,0xdccc809f,
    0x2a06ffff,0x3e206fff,0xffffffff,0xffff00ef,0xffffb10f,0xbfffffff,
    0xffffa801,0xdfffffff,0x207fff70,0xffffffd8,0xffffffff,0x7ffd400e,
    0x40002fff,0xfffffffa,0xf70dffff,0xfff507ff,0xffffffff,0x7fd403df,
    0xffffffff,0x7fff70df,0xffffffa8,0x70dfffff,0xffa87fff,0xffffffff,
    0x7fff70df,0x2a07fff2,0xffffffff,0xfff303ff,0x007ffc40,0x7ffffe40,
    0x3fffffff,0xffffffb0,0x67ffc05f,0xffffffe8,0xf9003fff,0xffffffff,
    0xb1007fff,0xffffffff,0x1dffffff,0x3ea00000,0x3fff206f,0xffffffff,
    0x7ec0000d,0x203fffff,0xfffffff9,0x9fff3fff,0xffffff80,0x3fea00ff,
    0x3fff206f,0x0effffff,0x81ffffe0,0xffffffeb,0x362001df,0xefffffff,
    0x037ffcc2,0x3fffff26,0x01cfffff,0x7dffff30,0x3f620000,0x2effffff,
    0x5037ffcc,0xfffffffd,0x3f62005b,0x2effffff,0x4437ffcc,0xfffffffd,
    0x37ffcc2e,0x7ffffec4,0x7fcc2eff,0x03fff96f,0x3fffff66,0x3fee00df,
    0x01ffea05,0xffffc880,0x202defff,0x1cfffffe,0xf927ffc0,0x03bfffff,
    0xffffc880,0x002defff,0x7ffffe4c,0x01cfffff,0x7fc40000,0x3fb6200f,
    0x02dfffff,0xffffd000,0xff71005f,0x7c5dffff,0x3fe204ff,0x400bffff,
    0x2206fffa,0xeffffffc,0x5eeed804,0x13575300,0x5d4c4000,0x3000001a,
    0x13357753,0x01531000,0x2a620000,0x800001ab,0x0009aaa9,0x03575310,
    0x2ea62000,0x3100001a,0x00003575,0x13775100,0x40599500,0x00003cca,
    0x00137553,0x40000198,0x00001ba8,0x00137553,0x2eea6600,0x0000099a,
    0x00732e00,0x00009a98,0x00155300,0x0026ea60,0x00004c00,0x55d4c400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x001abca9,
    0x300aaaa8,0x26660333,0x00000009,0x06af2a20,0x4cccc400,0xb8000000,
    0x3ff601ff,0x80999880,0x88019998,0xcc980acb,0x09999802,0x00099988,
    0x00000000,0x007fec00,0x00000ffd,0x2aaa8800,0x00000000,0x33330000,
    0x01333101,0xe803ff60,0x2a60006f,0x001abcdb,0x65400000,0x0079901b,
    0x20000000,0xf8819999,0xdb7005ff,0xffffffff,0x3ffa003b,0x9fffb02f,
    0x40efffa8,0x0003fffd,0xfffffc80,0xffd0007f,0xfff801ff,0x301fffe6,
    0x3fe60dff,0x3ffff106,0x404fffd8,0x2dfffffa,0x3200fff2,0x7fcc5fff,
    0x200000ff,0xfffffffe,0xffffffff,0xffffffff,0x3fee05ff,0xf09ff504,
    0xffffffff,0xffffffff,0xffffffff,0x01fffe67,0xfffd8000,0x3fffdc03,
    0x8dfff900,0x001ffff9,0x3ee09ff7,0x7f4c004f,0xffffffff,0x7540003f,
    0xfffd3000,0x3fea17df,0x1bffea05,0x3ffee000,0x5ffff905,0x405fff88,
    0xffffffe9,0xdfffffff,0x17fff401,0x12fffe88,0xfb01ffff,0x800007ff,
    0xfffffffb,0xfffa8005,0x6fff801f,0x3a01fffe,0xeb98adff,0x3fea03ff,
    0x17ffea6f,0xffffff30,0x3fffdfff,0x8ffffa00,0x0001fffe,0x3ffffe60,
    0xffffffff,0xffffffff,0x205fffff,0x98acfff8,0xff81fffc,0xffffffff,
    0xffffffff,0x3fffffff,0x000ffff3,0x1fffec00,0x01fffee0,0x747fffb0,
    0x22002fff,0xca8acfff,0x2e001fff,0xffffffff,0x00dfffff,0x007fec40,
    0xffffffe8,0x03fffeff,0x001bffea,0x817ffee0,0x7c46fffe,0x3fee05ff,
    0xffffffff,0x5fffffff,0x80bfffa0,0xfd8efff9,0xfffb02ff,0x7d400007,
    0x4fffffff,0x3fffe800,0x7cdfff00,0xff9807ff,0x5fffffff,0x8cfffc80,
    0x6c00efff,0xfffcadff,0x2004ffff,0xfc8ffff8,0x400003ff,0xfffffffd,
    0xffffffff,0xffffffff,0x7d405fff,0xffffffff,0xffffff04,0xffffffff,
    0xffffffff,0x3fe67fff,0x2000007f,0x5c03fffd,0x44007fff,0xffb9ffff,
    0xffa8004f,0x4fffffff,0x3ffffa00,0xffedccde,0x74004fff,0xfa800fff,
    0xfffebbff,0x2a00ffff,0x80006fff,0x2205fffb,0x3e22fffe,0xffe885ff,
    0x31acdfff,0xfffffd75,0x07fffa0b,0xffdfff70,0x7ffec07f,0x3f200003,
    0x0130aeff,0x05fff980,0xff9bffe0,0xffd3007f,0x0019ffff,0x3ffbfffa,
    0x0ffe801f,0x027fff54,0x7f7ffd40,0x400004ff,0xeeeffff9,0xeeefffff,
    0xeeeeeeee,0xa804eeee,0x3fffffff,0x3bbbbb60,0xfffeeeee,0xeeeeeeef,
    0xfff32eee,0x6c00000d,0x7dc03fff,0xf98007ff,0x05fffeff,0x3fffea00,
    0x2e003fff,0x2602ffff,0x000ffffd,0x2003fffa,0x7ecc3ffc,0x7d400eff,
    0xb80006ff,0x7cc05fff,0x3ffe26ff,0xeffffe85,0xfffd5001,0x3ff310bf,
    0xfffffb00,0x3fffd80b,0x3ff60000,0xfd80002f,0x3fe000ef,0x0037c46f,
    0x006b32ea,0xffffff10,0x80aaa005,0x32000098,0x006fffff,0x6fffd800,
    0x0027ffe4,0x99750000,0x2a000015,0x30006fff,0x00000df7,0x201fffec,
    0x0007fca8,0x1dfffff7,0x99750000,0xffe80015,0xfffd001f,0x7fff4007,
    0x00aa9800,0x4cc40131,0x999efffb,0x99999999,0xffc99999,0xf50099df,
    0x3ffe23ff,0x27fffdc5,0xffffd800,0x800ff885,0x00efffe8,0x001fffec,
    0x03fffd00,0x0fff9800,0x237ffc00,0x000005fa,0x9ffff300,0x00000000,
    0x03ffff60,0xfff30000,0x4fffc85f,0x00000000,0xfff50000,0x2fdc000d,
    0xffb00000,0x1bee007f,0xffffd800,0x00000000,0x00bfff30,0x0027ffdc,
    0x0001fffd,0x7ffd4000,0xffffffff,0xffffffff,0xffffffff,0x3ee04fff,
    0x4bfff15f,0x004ffff8,0x0ffffe40,0x00001bea,0x007fffb0,0x03fffc00,
    0x7c000000,0x01fe46ff,0x00000000,0x00000000,0xd8000000,0xffc86fff,
    0x0000004f,0xf5000000,0x6c000dff,0x2000003f,0x9003fffd,0x0000009f,
    0x20000000,0x2001edc9,0x2005fffa,0x0000fffe,0x3ffea000,0xffffffff,
    0xffffffff,0xffffffff,0x44004fff,0x3ff25fff,0xe80000ff,0x3fa25fff,
    0x6c000002,0x00003fff,0x0001fffe,0x3ffe0000,0x8007fee6,0x1abcdba9,
    0x40000000,0x1abcdba9,0x00000000,0x17fffc40,0x0027ffe4,0x00266600,
    0x80013330,0x0006fffa,0x00001ff5,0x01fffec0,0x00017f44,0x26200000,
    0x000abdca,0xfff30000,0xfe99880b,0x4c1999ff,0x4cc00099,0xfffff509,
    0xffffffff,0xffffffff,0xffffffff,0xff88009f,0x7ffff35f,0x3fe60000,
    0x83ff99ff,0x4c000999,0x7fffb099,0x7ffc0000,0x26666007,0x99999999,
    0x40999999,0x07fe6fff,0x3ffffa60,0x03ffffff,0x97104ccc,0xffd30015,
    0xffffffff,0x404ccc07,0x001accb9,0x0dfff900,0x0013fff2,0x05fff880,
    0x013ffe60,0x00dfff50,0x4c43df50,0xbcca8809,0x1fffec01,0x003bfa20,
    0x33333333,0x33333333,0xff900133,0x5fffffff,0x2a200000,0x6c05fffd,
    0xffffffff,0x17ffe27f,0x84fff980,0x0006fffa,0x805fffb8,0x3fe21998,
    0x0dfffb5f,0xfffd8000,0xff883ffe,0x3fe6005f,0x07fffb4f,0x3fffc000,
    0xfffff980,0xffffffff,0x7c5fffff,0x200266ff,0xfffffffb,0x0dffffff,
    0xf73fff88,0x203bffff,0xfffffffb,0x0dffffff,0x3f23fff8,0x2fffffff,
    0x3ffe2000,0x9fff902f,0x7fc40000,0x3fe6005f,0x7fd4004f,0x0e88006f,
    0xff72fff4,0x09ffffff,0x700ffff6,0xff9801df,0xffffffff,0xffffffff,
    0x3fffea05,0xffffffff,0x7510000d,0xffffffd9,0xfffd80bf,0x27ffffff,
    0x2005fff8,0xfa84fff9,0xb80006ff,0xfc805fff,0xbfff11ff,0x000bfffe,
    0xdffff700,0x17ffe203,0xb4fff980,0x00007fff,0x9803fffc,0xffffffff,
    0xffffffff,0x37ffc5ff,0x3ffffa00,0xffedccde,0xff884fff,0xfffffabf,
    0xfffe80ff,0xfedccdef,0xff84ffff,0xfffffb3f,0x009fffff,0x81bfff20,
    0x0004fffc,0x017ffe20,0x004fff98,0x0037ffd4,0x2ebffd00,0xffffffff,
    0x7fec0eff,0x3003803f,0xffffffff,0xffffffff,0x3fea0bff,0xfdcdefff,
    0x001fffff,0xffffffd7,0xbfffffff,0xfffeec80,0x3e26eeef,0x3e6005ff,
    0xfffa84ff,0xffb80006,0xfffc805f,0xf1bfff11,0x00003fff,0x01ffff88,
    0x8017ffe2,0xffb4fff9,0x7c00007f,0xff3007ff,0xffffffff,0xffffddff,
    0x006fff89,0x80bfffee,0x40ffffd9,0xfffbfff8,0xfb85ffff,0x36602fff,
    0x7fc0ffff,0xdffffdcf,0x4ffffffe,0x7fffc400,0x13fff202,0xfff88000,
    0x3ffe6005,0x7ffd4004,0x3fa00006,0xeffffcdf,0x6ffffffd,0x001fffec,
    0xfffff300,0xdfffffff,0x109ffffd,0x203dffff,0x406ffffb,0xfffffffb,
    0xffcdffff,0x3ffa005f,0xbfff100f,0x27ffcc00,0x0037ffd4,0x02fffdc0,
    0xf88fffe4,0xffff9dff,0xfe800000,0x3fe202ff,0x3fe6005f,0x07fffb4f,
    0x3fffc000,0xfd100000,0xdfff0bff,0x0ffff400,0x43fffe80,0xfffffff8,
    0xfe82fdbc,0xffd001ff,0xfffff87f,0x7fd441df,0x7e4007ff,0x7fe406ff,
    0x2200004f,0x26005fff,0x54004fff,0x00006fff,0x3bfffffa,0xffffe982,
    0x00ffff61,0xd1000000,0x3f60bfff,0x74c00dff,0xff703fff,0x79dfffff,
    0x02fffcc3,0x201fffd0,0x2005fff8,0xfa84fff9,0xb80006ff,0xfc805fff,
    0xbfff11ff,0x000ffff5,0x0ffff600,0x005fff88,0x7ed3ffe6,0x554403ff,
    0xffff00aa,0x7ec00000,0xfff80eff,0xbfff3006,0x27ffdc00,0x17ffffe2,
    0x02fffcc0,0xf89fff70,0x4c04ffff,0x1002ffff,0xc807ffff,0xaaaadfff,
    0xaaaaaaaa,0x7ffc41aa,0x3ffe6005,0x7ffd4004,0x3fa00006,0x74406fff,
    0x3ff64fff,0x0000003f,0x077ffec0,0x007fffd4,0x40ffffa8,0x0beffffa,
    0x02fffcc0,0x201fffd0,0x2005fff8,0xfa84fff9,0xeeeeefff,0xeeeeeeee,
    0x5fffeeee,0x11fffc80,0xfff7bfff,0x3600000d,0x3e204fff,0x3e6005ff,
    0x7fffb4ff,0x2ffff880,0x000ffff0,0x3ffff200,0x00dfff00,0x8007b726,
    0x7c45fffa,0x3000ffff,0x54003db9,0x7ffc5fff,0xfff9006f,0x3ffee009,
    0xffffc807,0xffffffff,0x44ffffff,0x2005fff8,0x4004fff9,0x0006fffa,
    0x07ffffa0,0xd9bffea0,0x00003fff,0x3fff2000,0x7fffb00f,0x3fffe800,
    0x006fffec,0x005fffa8,0x4403fffa,0x26005fff,0xffa84fff,0xffffffff,
    0xffffffff,0x05ffffff,0xf11fffc8,0xbfffbbff,0x3f200000,0x3fe205ff,
    0x3fe6005f,0x07fffb4f,0x02ffff88,0x0000ffff,0x03ffff70,0x00037ffc,
    0x2fffcc00,0x00ffffe2,0x7fcc0000,0x17fffc5f,0x05fffa80,0x007ffff0,
    0xfffffff9,0xffffffff,0xff889fff,0x3fe6005f,0xcccca84f,0xcffffdcc,
    0x004ccccc,0x8027fff4,0x3f67fff8,0x000003ff,0x3ffff700,0x007fff40,
    0xf13ffea0,0x5c001fff,0x3a005fff,0xff100fff,0x7fcc00bf,0xffffa84f,
    0xffffffff,0xffffffff,0xc805ffff,0xfff11fff,0x009fffdb,0x3fff2000,
    0x17ffe205,0xb4fff980,0xf8807fff,0xfff02fff,0xfa80000f,0x7fc02fff,
    0x2000006f,0x45fffda8,0x002ffff8,0x7ed44000,0x7fffc5ff,0xbfff3001,
    0x0ffff700,0x3fffff20,0xffffffff,0x444fffff,0x26005fff,0xffc84fff,
    0xffffffff,0x7fffffff,0x1ffff400,0x6cffff00,0x00003fff,0xffffa800,
    0x037ffc02,0x337ffc40,0xe800dfff,0x4c405fff,0x999fffe9,0x017ffe20,
    0xa84fff98,0xeeeeffff,0xeeeeeeee,0xfffeeeee,0x1fffc805,0xffbbfff1,
    0x200000bf,0x2204fffd,0x26005fff,0xfffb4fff,0xffff8807,0x00ffff02,
    0x7fffcc00,0x06fff803,0xecba8800,0x5fffffff,0x007fffc4,0xecba8800,
    0x5fffffff,0x8007fffc,0xf805fff8,0xf9003fff,0x55555bff,0x55555555,
    0x5fff8835,0x13ffe600,0x3ffffff2,0xffffffff,0x74007fff,0x3e002fff,
    0x3fff67ff,0x40000003,0x403ffff9,0x0005fff9,0x7fccffff,0xff9000ff,
    0xffd80bff,0x6fffffff,0x8017ffe2,0xfa84fff9,0xb80006ff,0xfc805fff,
    0xbfff11ff,0x000dfff9,0x0ffffe00,0x005fff88,0x7ed3ffe6,0x200003ff,
    0x00007fff,0x009ffff1,0x4001bffe,0xffffffeb,0x5fffffff,0x003fffc4,
    0x3ffffae0,0xffffffff,0x03fffc5f,0x80dfff10,0x000ffffb,0x0009fff9,
    0x02fffc40,0x109fff30,0xf7333333,0x33333dff,0xffe80033,0x3ffa001f,
    0x00ffff67,0xff880000,0xffa804ff,0xfff0004f,0x3fffe21f,0xffffb804,
    0x7ffec06f,0x26ffffff,0x2005fff8,0xfa84fff9,0xb80006ff,0xfc805fff,
    0xbfff11ff,0x000ffff7,0x0ffffe00,0x005fff88,0x7ed3ffe6,0x200003ff,
    0x80007fff,0x005fffe8,0x7001bffe,0xffffffff,0xfff9bfff,0x06fff88b,
    0xfffff700,0x9bffffff,0xfff8bfff,0x3ffe2006,0x7ffff406,0xffffffff,
    0x04ffffff,0x3ffe2000,0x3ffe6005,0x7ffd4004,0x3fa00006,0x3fa000ff,
    0x0ffff67f,0x74400000,0xf7005fff,0x3a0009ff,0x3ffa1fff,0xff9302ff,
    0xc80fffff,0xeeffffee,0x17ffe25e,0x84fff980,0x0006fffa,0x805fffb8,
    0xff11fffc,0x1ffff5bf,0xff980000,0x3fe202ff,0x3fe6005f,0x07fffb4f,
    0x3fffc000,0x7fff4000,0x3ffe000e,0x3ffee006,0x1bceffff,0xf117ffe6,
    0xf7000dff,0x9dffffff,0x2fffcc37,0x8801bffe,0x3ea06fff,0xffffffff,
    0xffffffff,0x200004ff,0x2005fff8,0x4004fff9,0x0006fffa,0x003fffa0,
    0x3f67ffe8,0x000003ff,0x01dfffd0,0x013ffea0,0x307fffc0,0x9bdfffff,
    0xd7fffffd,0x3a001fff,0xff100fff,0x7fcc00bf,0x6fffa84f,0xfffb8000,
    0x1fffc805,0x3febfff1,0x400002ff,0x4407fffa,0x26005fff,0xfffb4fff,
    0x7fc00007,0x7ec0007f,0x7c000fff,0xff5006ff,0x98017dff,0x7fc45fff,
    0x7fd4006f,0x4c00beff,0x7ffc5fff,0x3ffe2006,0x3ffffa06,0xffffffff,
    0x4fffffff,0x3fe20000,0x3fea006f,0x7fd4004f,0x3a00006f,0x3a000fff,
    0x3fff67ff,0xd8000003,0x2000ffff,0x8005fff9,0xfa87fff8,0xffffffff,
    0xfff70dff,0x3fffa007,0x0dfff100,0x427ffd40,0x0006fffa,0x805fffb8,
    0xff11fffc,0x1bfff6bf,0xfffd0000,0x6fff8809,0x53ffea00,0x0003fffd,
    0x001fffe0,0x01ffffc8,0x006fff80,0x001bfffb,0xf117ffea,0xfd800dff,
    0xf5000dff,0x6fff8bff,0x1bffe200,0x777fffd4,0xeeeeeeee,0x04ffffee,
    0x3ffe2000,0x3ffea006,0x7ffd4004,0x3fa00006,0x3fa000ff,0x0ffff67f,
    0xff900000,0xf88003ff,0xf98006ff,0xffb107ff,0x85dfffff,0xd006fff9,
    0x3e201fff,0x3ea006ff,0xfffa84ff,0xffb80006,0xfffc805f,0x2abfff11,
    0x0002ffff,0x03ffff70,0x006fff88,0x7ed3ffea,0x200003ff,0x70007fff,
    0x0005ffff,0x7c01bffe,0x2e000fff,0x7fc45fff,0x7ffc006f,0x3fee000f,
    0x037ffc5f,0x20dfff10,0x8004fffe,0x0004fffc,0x0037ffc0,0x8009fff9,
    0x0006fffa,0x003fffa0,0x3f67ffe8,0x000003ff,0x00bfffee,0x007fffc0,
    0x017ffee0,0x40357531,0x3a002ffa,0x3fe00fff,0x3ff2006f,0x6fffa84f,
    0xfffb8000,0x1fffc805,0x7f4bfff1,0x40000fff,0x006ffff8,0x6400dfff,
    0xfffb4fff,0x7fc00007,0xffa8007f,0x3e0004ff,0xff9806ff,0x7ff4006f,
    0x37ffc45f,0x0dfff300,0x45fffe80,0x22006fff,0xff986fff,0xfc8000ff,
    0x400004ff,0x3a007fff,0x54004fff,0x00006fff,0x8003fffa,0x3ff67ffe,
    0x5000003f,0x0009ffff,0x0027ffec,0x000bfffa,0x001ff900,0xf007fff4,
    0x7f400fff,0xfffa84ff,0xffb80006,0xfffc805f,0x4cbfff11,0x0004ffff,
    0x00ffffe4,0x2007fff8,0xffb4fffe,0x7c00007f,0x7cc007ff,0x40005fff,
    0xf9806fff,0xf9000fff,0xff88bfff,0x3fe6006f,0xff9000ff,0x6fff8bff,
    0x1bffe200,0x0017fff6,0x0027ffe4,0x0ffffa00,0x13ffff20,0x0dfff500,
    0x7fff4000,0x9fffa000,0x0003fffd,0x5ffff980,0x7ffcc000,0xfff7000f,
    0xd800001f,0x7fec007f,0x3fffa01f,0xffffc803,0x06fffa84,0x5fffb800,
    0x11fffc80,0xffc8bfff,0x44000dff,0x004ffffe,0x200ffffa,0xfb4ffffc,
    0x400007ff,0x22007fff,0x0005ffff,0x8806fff8,0xb804ffff,0x446fffff,
    0x22006fff,0xb804ffff,0x7c6fffff,0x3e2006ff,0x7ffcc6ff,0xff90001f,
    0xc800009f,0x2e00ffff,0x004fffff,0x0037ffd4,0x01fffd00,0xfb3fff40,
    0x800007ff,0x005ffff8,0x1dfff900,0x4ffffa80,0xffe80000,0x3fff6001,
    0x3ffff202,0x3fffee00,0x6fffa84f,0xfffb8000,0x1fffc805,0xfd0bfff1,
    0x2005ffff,0x06fffffa,0x07fffe40,0x9fffff70,0x000ffff6,0x007fff80,
    0x01dfffd1,0x0dfff000,0x0bffffa0,0x7ffffe4c,0x37ffc47f,0x3ffffa00,
    0xffff9302,0x6fff8fff,0x1bffe200,0x000bfffb,0x0027ffe4,0x3fffe600,
    0xff9510be,0x8009ffff,0x0006fffa,0x003fffa0,0x3f67ffe8,0x200003ff,
    0x00efffe8,0xffff1000,0xffc8815f,0x000006ff,0x64009ffb,0x43adffff,
    0x0beffff9,0xfffff951,0xdfff509f,0xfff70000,0x3fff900b,0x2217ffe2,
    0xcefffffd,0xfecb989b,0x000effff,0x5f7fffcc,0xffff9510,0x3fff69ff,
    0xeeeeeeee,0xeeeeeeee,0x401fffe1,0x99affffd,0xaaaaaaaa,0x3fe0aaaa,
    0xfff3006f,0xffd9bdff,0xfffd7fff,0x037ffc41,0x3ffffe60,0xffffecde,
    0x20fffebf,0x22006fff,0x3fe66fff,0x320001ff,0xeeeeffff,0xeeeeeeee,
    0x7ec1eeee,0xffffffff,0x4ffe9fff,0x37ffd400,0xfffd0000,0x3fff4001,
    0xddddfffb,0xdddddddd,0x7ec3dddd,0xaa99afff,0xaaaaaaaa,0xfffa80aa,
    0xfffeefff,0x0000efff,0x5dfff900,0xff50bd73,0xd83fffff,0xffffffff,
    0xffe9ffff,0x06fffa84,0x5fffb800,0x11fffc80,0x7e40bfff,0xffffffff,
    0xffffffff,0x3ff60004,0xffffffff,0xb4ffe9ff,0xffffffff,0xffffffff,
    0x7ffc3fff,0xffff8807,0xffffffff,0xffffffff,0x801bffe2,0xfffffffa,
    0xf70dffff,0x7ffc47ff,0xfffa8006,0xffffffff,0x47fff70d,0x22006fff,
    0x3ff66fff,0x7e40006f,0xffffffff,0xffffffff,0xffc81fff,0xefffffff,
    0x8009ffd1,0x0006fffa,0x003fffa0,0x3f67ffe8,0xffffffff,0xffffffff,
    0xffff11ff,0xffffffff,0xffffffff,0x3fff6205,0xffffffff,0x2000000d,
    0xfffffff8,0xffffb05f,0xfff905ff,0x3dffffff,0x3ea13ffa,0xb80006ff,
    0xfc805fff,0xbfff11ff,0xffffea80,0xffffffff,0xc80002ef,0xffffffff,
    0x29ffd1ef,0xfffffffd,0xffffffff,0x3fe1ffff,0xfff8807f,0xffffffff,
    0xffffffff,0x01bffe2f,0xfffffb10,0xff985dff,0x1bffe26f,0x7ffec400,
    0x4c2effff,0x3ffe6fff,0x3ffe2006,0x05ffff16,0xffffc800,0xffffffff,
    0xffffffff,0xffffd501,0x7ff419df,0x7ffd4004,0x3fa00006,0x3fa000ff,
    0x3ffff67f,0xffffffff,0x1fffffff,0xfffffff1,0xffffffff,0x805fffff,
    0xffffffeb,0x000001df,0xffffff50,0x7ff6405d,0xffd503ff,0x7419dfff,
    0xfffa84ff,0xffb80006,0xfffc805f,0x00bfff11,0x3fffff66,0x001cffff,
    0x7fff5400,0x3fa0ceff,0xfffffb4f,0xffffffff,0x43ffffff,0xf8807fff,
    0xffffffff,0xffffffff,0x3ffe2fff,0x75310006,0x3e200035,0x440006ff,
    0x0001aba9,0x4400dfff,0xfff96fff,0xff90000d,0xffffffff,0xffffffff,
    0x573003ff,0xf5000001,0x40000dff,0x2000fffe,0x3ff67ffe,0xffffffff,
    0xffffffff,0xfffff11f,0xffffffff,0x5fffffff,0x4d5d4c00,0x80000000,
    0x001bcdb8,0xb98004cc,0xff50000a,0xf70000df,0xff900bff,0x4c00003f,
    0x0019aca9,0x15730000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x654c0000,0x00009acd,0x01333310,0x00000000,
    0x7ec03ff7,0x9750000f,0x9880359b,0x26200099,0x98800019,0x00000099,
    0x00000000,0x33100000,0x33331013,0x00999880,0x01999880,0x202f2e20,
    0x00002cc8,0x00000000,0x00000000,0x4c40ccc4,0x00000099,0x00000000,
    0x00000000,0x00000000,0xff710131,0xdfffffff,0xffc80001,0xfff701ff,
    0x4000000b,0xff306ff9,0xffc8800d,0x2effffff,0x005fff70,0x000fffe4,
    0x1dffff50,0xdfff0000,0xffe80000,0x4400002f,0xff986fff,0x7fff41ff,
    0x3fffe603,0x3fe2000f,0xff5005ff,0x7e45bfff,0xbfff103f,0x3ffee000,
    0xffffffff,0x002cefff,0x3ffffee0,0xffffffff,0x36002cef,0x7fe41fff,
    0xffffff3f,0xffffffff,0xffffffff,0x3ff27fff,0xf800007f,0x3ff61fff,
    0x3e60004f,0x3ffe3fff,0x30000006,0xfffd09ff,0xffffffff,0x3e20007f,
    0x3ee03fff,0x000005ff,0x456fff40,0x003ffeb9,0x3fffffe6,0x85ffffff,
    0x2002fffb,0x0001fffc,0xbffffff1,0xdfff0000,0xffe80000,0x4400002f,
    0xff706fff,0x2fffdcdf,0xfffffd10,0x7ffe400d,0xfff8800e,0xfeffffff,
    0xfff101ff,0x3fee000b,0xffffffff,0xefffffff,0xfffb8003,0xffffffff,
    0x3effffff,0x41fffd80,0xfff3fffc,0xffffffff,0xffffffff,0x27ffffff,
    0x002ffff9,0x1bffea00,0x001ffff3,0xf1bfff60,0x00000dff,0xfb13ffa0,
    0xb999bfff,0x007fffff,0x80bfff90,0x0005fffb,0x7ffcc000,0x05ffffff,
    0x3ffffea0,0xffffecde,0x17ffdc4f,0x03fff900,0x33fffa00,0x88004fff,
    0x99efff99,0x00099999,0x0017fff4,0x1bffe200,0xf8bfffc8,0x7fec06ff,
    0x805fffcf,0x001ffff8,0xff95dff9,0x40bfffff,0x0005fff8,0xfffffff7,
    0xffffffff,0x007fffff,0x7fffffdc,0xffffffff,0x03ffffff,0xf907fff6,
    0x3fffe7ff,0xffffffff,0xffffffff,0x3a3fffff,0x00005fff,0x320ffff6,
    0x98005fff,0x7fc2ffff,0x8000006f,0x3ea4fffd,0xfb100eff,0xf8800dff,
    0x7dc00eff,0x000005ff,0xffffe980,0xf1000cff,0x9303dfff,0x7dc5ffff,
    0x3f2002ff,0xfc8001ff,0x5fffb4ff,0xffffe800,0xffffffff,0x7ff4006f,
    0x4400002f,0x7f406fff,0x00fffeff,0x7e57ffee,0x7fe403ff,0x3ffa003f,
    0x6ffff541,0x17ffe200,0x7fffdc00,0xeeeeeeee,0xffffffee,0xfff7004f,
    0xdddddddf,0xfffffddd,0x3ff609ff,0x9fffe41f,0xeeeeeeed,0xeffffeee,
    0xeeeeeeee,0x3fffee2e,0xff880000,0xfff880ff,0x7ff4001f,0x06fff85f,
    0x7fec0000,0x3fff24ff,0x7fffc402,0x3ffee001,0x5fffb801,0x20000000,
    0x001accba,0x006fffec,0xfb9bffee,0x3f2002ff,0x7d4001ff,0x3ffe26ff,
    0x3ffa001f,0xffffffff,0x74006fff,0x00002fff,0x2037ffc4,0x2ffffff8,
    0x83fffe60,0xf102fffe,0xaa8009ff,0x20026202,0x0005fff8,0x400bfff7,
    0xfffffea8,0x5fffb803,0x3ffaa200,0x99883fff,0x00999881,0x037ffd40,
    0x2ffff880,0xfffb8000,0x1bffee05,0x1ffffa80,0x0006fff8,0xffffb100,
    0x03fff49f,0x003fffb8,0x5c00bffe,0x00005fff,0x20000000,0x001ffff8,
    0x3ee1fffd,0x3f2002ff,0x3e2001ff,0x7fd41fff,0xddb000ef,0xddddffff,
    0xe800bddd,0x00002fff,0x4037ffc4,0x203ffffa,0x4c2ffff8,0xfb80ffff,
    0x0000006f,0x05fff880,0x0bfff700,0x3fffee00,0x7ffdc01f,0xfff70005,
    0x000003ff,0x06fffa80,0x17fff200,0x3fffa000,0x17fff402,0x04fffe80,
    0x0000dfff,0xffffff70,0x07fff49f,0x00000980,0x9dfff700,0x79999999,
    0x00001555,0x3fee0000,0x3fee005f,0x05fff71e,0x00fffe40,0x80000000,
    0x00006fff,0x5017fff4,0xdfff1000,0x00000000,0x00000000,0x5fff8800,
    0xbfff7000,0x7ffcc000,0x7ffdc05f,0x3fe60005,0x000005ff,0x037ffd40,
    0x1ffff300,0x7ffcc000,0x7fffa807,0x0ffffa80,0x000dfff0,0x7ffff4c0,
    0x3ee4ffff,0x00001eff,0x7fdc0000,0xffffffff,0xefffffff,0x9530000a,
    0x6c001579,0x04001fff,0x0017ffdc,0x0003fff9,0x3e000000,0x400006ff,
    0xd882fffe,0xfff88004,0x00000006,0x20000000,0x0abdca98,0x0bfff100,
    0x17ffee00,0xffff9000,0x2fffdc03,0x3fff2000,0x0000001f,0x001bffea,
    0x007fffd0,0x027ffe40,0x403fffd8,0x3e03fffe,0x700006ff,0xf5dfffff,
    0x7ffcc9ff,0x8001ceff,0xcb980999,0x3fee01ac,0xffffffff,0xffffffff,
    0x3ee003ff,0xffffffff,0x0ffff802,0xfffb8000,0x3fff2002,0x40033311,
    0x22001998,0x6fff8199,0x02bccb98,0x885fffd0,0xf88004fe,0x333006ff,
    0x33310001,0x44133300,0xf9000acb,0xffffffff,0x5fff8805,0xbfff7000,
    0xfff88000,0x3ffee05f,0x7fc40005,0x266205ff,0xffa80001,0x7dc0006f,
    0x3e0006ff,0xf3000fff,0x3ee01fff,0x7ffc06ff,0x0accb986,0x3ffffe20,
    0xc89fff33,0xffffffff,0xfff800bd,0x3fffff23,0xffb82fff,0xffffffff,
    0xffffffff,0x6c402fff,0xffffffff,0xf100dfff,0x20000fff,0x2002fffb,
    0xff91fffc,0x3ffe005f,0xfff8802f,0x326fff85,0xffffffff,0x17fff403,
    0x0009fff3,0x200dfff1,0xc8006fff,0x3e201fff,0xffff73ff,0x3fea03bf,
    0xffffffff,0xff100dff,0x3ee000bf,0xb80005ff,0x3ee07fff,0xb80005ff,
    0x3f207fff,0x540001ff,0x40006fff,0x000ffff8,0x005fffa8,0x4427ffe4,
    0x7c02ffff,0x3ffee6ff,0x883effff,0x3e61efff,0xfffb84ff,0xefffffff,
    0x6cfffe03,0xffffffff,0x7ffdc4ff,0x9999999d,0xfffbaa99,0xff301fff,
    0xfb9bdfff,0x101dffff,0x0000dfff,0x800bffee,0xff51fffc,0xfff3009f,
    0xfff5009f,0xb1dfff07,0xffffffff,0x7ff40bff,0x1dfff52f,0xdfff1000,
    0x0dfff014,0x03fff900,0x7d5fffc4,0x80ffffff,0xdefffffa,0xffffffdc,
    0x05fff881,0x0bfff700,0xffff1000,0x17ffee03,0x3ffe2000,0x3fff901f,
    0xfffa8000,0xffd80006,0xffd8003f,0x7fc4002f,0x7ffe41ff,0x8efff805,
    0xfffffffd,0x77c43fff,0x04fff982,0xffffffb3,0xf01dffff,0xffffb9ff,
    0xffffffdb,0x02fffdc9,0x7fffec40,0x3dfffd06,0x17fffe60,0x001bffe6,
    0x01fffdc0,0x7c3fff90,0xffc807ff,0xffc806ff,0xeffff80f,0xfeddffff,
    0xfd03ffff,0xbfff75ff,0x7ffc4000,0x7ffc0bb6,0xfffc8006,0x2fffe201,
    0x5fffffff,0x1effff88,0x0dffff70,0x000bfff1,0x0017ffee,0x81ffff40,
    0x0005fffb,0x207fffd0,0x0001fffc,0x0037ffd4,0x037ffd40,0x01fffe20,
    0x12fffdc0,0xf003ffff,0xffffdfff,0xfffffdbd,0xff301447,0xeca8809f,
    0xffffffff,0x7fffffc2,0x7ffd441d,0x17ffee7f,0xffffc800,0x037ffdc0,
    0x20ffff44,0x0006fff8,0x007fff70,0xfb0fffec,0xffe803ff,0x7fc00fff,
    0xfffff06f,0xffd301bf,0xfffd01ff,0x0009fffd,0xfeefff88,0x01bffe05,
    0x807fff20,0xfffffff8,0xfd82fdbc,0x74c00dff,0x7fc43fff,0xff70005f,
    0x320000bf,0xff705fff,0x320000bf,0xff905fff,0xfa80003f,0xf00006ff,
    0x5c003fff,0x20004fff,0xff91fffe,0x3ffe009f,0x4c0aefff,0x000ffffe,
    0x8009fff3,0xfffffdb8,0x27ffffc6,0x4bfffe60,0x0005fffb,0x88bfffe2,
    0x3000ffff,0xfff0dfff,0x3ee0000f,0x3f6003ff,0x3ffee1ff,0x3fffe203,
    0x3fe602ff,0xfffff03f,0xffff8809,0xfffffe82,0xf880002f,0x205fffff,
    0xc8006fff,0x3e201fff,0x5005ffff,0x2001ffff,0x220ffffa,0x554c5fff,
    0xbfff702a,0x3ff20000,0xbfff705f,0x3ff20000,0x3fff905f,0xfffa8000,
    0xff900006,0x7ff4009f,0x3ea0001f,0xffff8dff,0xfffff000,0xffff880d,
    0x9fff3002,0x7fe44000,0x3fffe0ff,0x9fff9006,0x0017ffee,0x649fffd0,
    0x6c003fff,0x7ff41fff,0x0d54000f,0x4009fff7,0x3e21fffe,0x3fea05ff,
    0x2e04ffef,0xfff00fff,0xff9001ff,0xffffd07f,0x2200003f,0x405fffff,
    0xc8006fff,0x3e201fff,0xb000ffff,0xe8007fff,0x3fe23fff,0x2fffec5f,
    0xdfffb555,0x55555555,0xdfff7003,0x7ffed554,0xaaaaaaae,0xfffb801a,
    0x03fff906,0x6fffa800,0xfff30000,0x3ffe600f,0xffe80006,0x003fffef,
    0x003bfffe,0x4013fff2,0x2624fff9,0xfff1001a,0x17fffc7f,0x75fffa80,
    0x8000bfff,0x3f66fffc,0x7dc001ff,0x7ffec3ff,0x3ffe2001,0x00bfff76,
    0x3a0ffffc,0x3ff207ff,0x3a06ffcd,0x3ffe06ff,0xfff3003f,0x1dfffd09,
    0x7fc40000,0xfff803ff,0xfffc8006,0x3fffe201,0x3fffa003,0x7ffd4000,
    0xb17ffe24,0x7ffcbfff,0xffffffff,0x803fffff,0x3fe6fffb,0xffffffff,
    0x03ffffff,0x906fffb8,0x80003fff,0x0006fffa,0x00bfffa0,0x400bfff2,
    0xcaaaaaa9,0xbfffffff,0x40aaaaaa,0x3003ffff,0x2600bfff,0xfff74fff,
    0x7ffdc009,0x007fffe3,0xfbafffcc,0x640005ff,0x3ffa5fff,0x7fcc000f,
    0x2fffdc4f,0x27fff700,0x3007fffb,0xfb83ffff,0x5ffd01ff,0xf101fff5,
    0x7ffc09ff,0xfff1001f,0x2ffffb8b,0x7fe40000,0xdfff006f,0x3fff9000,
    0x17fffc40,0x00dfff00,0x44dfff10,0x7fec5fff,0x3ffffe5f,0xffffffff,
    0xfb803fff,0x3fffe6ff,0xffffffff,0xb803ffff,0xff906fff,0xfa80003f,
    0x200006ff,0xf805fffa,0xf9000fff,0xffffffff,0xffffffff,0xff85ffff,
    0xff1002ff,0x3fe600bf,0x0dfff14f,0xf0ffff40,0x22001fff,0xfff75fff,
    0xffd8000b,0x3bfffe4f,0xeeeeeeee,0x5fffeeee,0x00ffffc4,0xf70fffe8,
    0xe8809fff,0x7cc1ffff,0xfff884ff,0xa82fff98,0x3fe01fff,0xff1000ff,
    0x7fffe4df,0xb100002f,0x200dffff,0xc8006fff,0x3e201fff,0xf3000fff,
    0x3e000bff,0x3ffe27ff,0x52fffec5,0x5dfffb55,0x35555555,0x4bfff700,
    0xefffdaaa,0xaaaaaaaa,0x5fffb801,0x003fff90,0x06fffa80,0x3fffc000,
    0x013ffea0,0xffffffc8,0xffffffff,0x2fffffff,0x8007fffc,0x3006fff8,
    0x7ff49fff,0xfffa804f,0x003fffc7,0x3eedfff1,0x220005ff,0xff13ffff,
    0xffffffff,0xffffffff,0xfff70dff,0xfffc801d,0x3ffffee6,0x3ffff602,
    0x86fff81f,0x3ffe6ffb,0x407ffd84,0x22007fff,0xfffb6fff,0x00005fff,
    0x1bfffffa,0x0037ffc0,0x100fffe4,0x5400ffff,0xf0004fff,0x3fe21fff,
    0xff70005f,0x320000bf,0xff705fff,0x320000bf,0xff905fff,0xfa80003f,
    0x400006ff,0x3602fffc,0x2e001fff,0xeeeeeeee,0xeeeeffff,0x7c1eeeee,
    0x3e2007ff,0xff3006ff,0x7fffd49f,0xfffd501d,0x006fff89,0x7ddbffe2,
    0x360005ff,0xff31ffff,0xffffffff,0xffffffff,0x3ffa0fff,0x7ec40aff,
    0x3fee0fff,0x98adffff,0xffffffeb,0x40fffc81,0x3ff64ffd,0x404fff86,
    0x22006fff,0xffff6fff,0x00005fff,0x1bfffbfe,0x0037ffc0,0x100fffe4,
    0x5c00dfff,0xd0004fff,0x3fe23fff,0xff70005f,0x360000bf,0xff704fff,
    0x360000bf,0xff904fff,0xfa80003f,0x400006ff,0xf105fff9,0x00000dff,
    0x0005fff9,0x4400dfff,0xf3006fff,0xfffc89ff,0xffeeefff,0xfff85fff,
    0x3ffe2006,0x00bfff76,0x9ffffb10,0x5577ffcc,0xaaaaaaaa,0x02aaaaaa,
    0xdffffff3,0x5ffffffd,0xffffffb8,0xffffffff,0xfa81fffd,0x17ffc2ff,
    0x7cc1fff5,0x7ffc01ff,0x3ffe2006,0xfffd3ff6,0x33e00005,0xf006fff8,
    0xf9000dff,0x7fc403ff,0x3fea006f,0xfff0004f,0x17ffe21f,0x2fffdc00,
    0xffff8000,0x0bfff703,0x3fffe000,0x03fff903,0x6fffa800,0xffe80000,
    0x3fffb80f,0xffc80000,0xfff8002f,0x3ffe2006,0x9fff3006,0xffffff90,
    0x07ffffff,0x8801bffe,0xfff76fff,0x3333333b,0xfffb9553,0x7fc41fff,
    0x4000006f,0xffffffd8,0xb82fffff,0xfffdafff,0xf9cfffff,0x9fff01ff,
    0xf107ffcc,0x3ffe45ff,0x0037ffc0,0x43adfff1,0x0002fffe,0x1bffe250,
    0x0037ffc0,0x100fffe4,0x4c00dfff,0x88005fff,0x3fe27fff,0xff70005f,
    0xf10000bf,0x3ee03fff,0x880005ff,0xf901ffff,0xa80003ff,0x00006fff,
    0xe83fffb8,0x44000fff,0x99999999,0x999bfffc,0x7c099999,0x3e2006ff,
    0xff3006ff,0x3ff2209f,0x2defffff,0x801bffe0,0xff76fff8,0xffffffff,
    0xffffffff,0xfff05fff,0x0000001f,0xffffffd5,0x7ffdc09f,0xdfffff92,
    0x407ffe67,0x3fee7ffd,0x3a5ffe86,0xfff805ff,0x3ffe2006,0x17fff416,
    0x3fe20000,0xdfff006f,0x3fff9000,0x037ffc40,0x00dfff10,0x44ffff30,
    0x70005fff,0x0000bfff,0x5c0dfff9,0x80005fff,0x3206fffc,0x40001fff,
    0x0006fffa,0x46fff880,0x8005fff8,0xfffffffc,0xffffffff,0x42ffffff,
    0x22006fff,0xf3006fff,0xff3009ff,0x3fe0013d,0x3fe2006f,0xfffff76f,
    0xffffffff,0x1bffffff,0x007fff60,0x80013510,0x801adff9,0x5cc2fffb,
    0xff50000a,0x213ffa3f,0xfff37ffc,0x0dfff005,0x437ffc40,0x0002fffe,
    0x037ffc40,0x8006fff8,0x2201fffc,0x7c006fff,0x5c000fff,0x3fe25fff,
    0xff70005f,0xf98000bf,0x3ee04fff,0x4c0005ff,0x3204ffff,0x40001fff,
    0x0006fffa,0x41fffb00,0x8001fffc,0xfffffffc,0xffffffff,0x42ffffff,
    0x22006fff,0xf3006fff,0xff5009ff,0x7ffc003d,0x3ffe2006,0xffffff76,
    0xffffffff,0xc803bfff,0x64005fff,0x32005fff,0xf7000cff,0x000005ff,
    0xff17fff1,0x3fff505f,0xf001fff7,0x7c400dff,0xfffe86ff,0x7c400002,
    0xfff006ff,0xfff9000d,0x37ffc403,0x13fff600,0x45fffd00,0x0005fff8,
    0x000bfff7,0x01ffffd8,0x0017ffee,0x03ffffb0,0x000fffe4,0x01bffea0,
    0x7ffd4000,0x001bffa3,0x7777775c,0xeeffffee,0x1eeeeeee,0x10037ffc,
    0x2600dfff,0xfc804fff,0xf801dfff,0x3e2006ff,0xdfff76ff,0x55555555,
    0xf8800335,0xf1002fff,0x74003fff,0x400dffff,0x0002fffb,0xf3bffd00,
    0xfff101ff,0x200bffb7,0x22006fff,0xffe86fff,0x4400002f,0xff006fff,
    0xff9000df,0x7ffc403f,0x7ffcc006,0xfff7000f,0x2fffc41f,0x5fffb800,
    0x3ffea000,0x7ffdc05f,0x3fea0005,0x7fe405ff,0x7d40001f,0x000006ff,
    0x7fcdbffe,0x2000003f,0x8002fffc,0x22006fff,0xf3006fff,0x74c009ff,
    0xfff805ff,0x3ffe2006,0x00bfff76,0xfffb8000,0x7ff4401f,0xfa88006f,
    0x7fdc03ff,0x7000002f,0x0dff9fff,0x7fff7ff4,0x0dfff003,0x437ffc40,
    0x0002fffe,0x037ffc40,0x8006fff8,0x2201fffc,0xc8006fff,0x5400efff,
    0x7c44ffff,0xf70005ff,0x2e000bff,0x400fffff,0x0005fffb,0x01fffff7,
    0x001fffc8,0x037ffd40,0xfff90000,0x001fff71,0x7ffe4000,0x6fff8002,
    0x1bffe200,0x027ffcc0,0x003ffee0,0x4400dfff,0xfff76fff,0xd000000b,
    0x9819ffff,0x01ffffec,0x01fff600,0x0005fff7,0x3fffe600,0x3ff204ff,
    0xf000ffff,0x7c400dff,0xfffe86ff,0x7c400002,0xfff006ff,0xfff9000d,
    0x37ffc403,0x7fffc400,0x7fe440af,0xfff886ff,0xfff70005,0x7f54400b,
    0xb803ffff,0x22005fff,0x3fffffea,0x01fffc80,0x37ffd400,0xff100000,
    0x00bffd7f,0xfffc8000,0x6fff8002,0x1bffe200,0x027ffcc0,0x07fffb98,
    0x2006fff8,0xff76fff8,0x000000bf,0xffffffd3,0xfffffffd,0xf7310005,
    0xffb80dff,0x2000002f,0x02fffffe,0x1bffffea,0x006fff80,0x3a1bffe2,
    0xeeeeefff,0xeeeeeeee,0x7fc41eee,0xdfff006f,0x3fff9000,0x037ffc40,
    0xfffffa80,0xfffffeef,0xfff880ef,0xfff70005,0xdddddddf,0xffffffdd,
    0x3ee007ff,0xeeeeefff,0xffffeeee,0x9003ffff,0x80003fff,0x0006fffa,
    0x7f7fec00,0x000002ff,0x0017ffe4,0x10037ffc,0x2600dfff,0x3fe04fff,
    0x04ffffff,0x2006fff8,0xff76fff8,0x000000bf,0x3fffff22,0x2fffffff,
    0x3fffe600,0x5c02ffff,0x00002fff,0x3fffff20,0x7ffffc00,0x1bffe003,
    0x86fff880,0xfffffffe,0xffffffff,0x7c42ffff,0xfff006ff,0xfff9000d,
    0x37ffc403,0xfffb1000,0xffffffff,0x3ffe201b,0xfff70005,0xffffffff,
    0xffffffff,0x7fdc005d,0xffffffff,0xffffffff,0x3f2002ef,0x540001ff,
    0x00006fff,0x7ffffd40,0xc8000007,0xf8002fff,0x3e2006ff,0xff3006ff,
    0x3ffe209f,0xf004ffff,0x7c400dff,0xbfff76ff,0xa8000000,0xfffffffd,
    0xff98003f,0x802fffff,0x0002fffb,0x3fffe600,0xffffd806,0x1bffe000,
    0x86fff880,0xfffffffe,0xffffffff,0x7c42ffff,0xfff006ff,0xfff9000d,
    0x37ffc403,0x7ff5c000,0x01dfffff,0x002fffc4,0xffffffb8,0xffffffff,
    0x8002efff,0xfffffffb,0xffffffff,0xc8002eff,0x40001fff,0x0006fffa,
    0xfffff800,0xc8000004,0xf8002fff,0x3e2006ff,0xff3006ff,0x3732209f,
    0x3e000bcd,0x3e2006ff,0xbfff76ff,0x40000000,0x0009aba8,0x333b3260,
    0x3bbaa002,0x7c000001,0xfb803fff,0x7fc006ff,0x3fe2006f,0xffffe86f,
    0xffffffff,0x2fffffff,0x8037ffc4,0xc8006fff,0x3e201fff,0x400006ff,
    0x0009aba9,0x000bfff1,0x3fffffee,0xffffffff,0x2e0001ce,0xffffffff,
    0xceffffff,0x3ff20001,0x7d40001f,0x000006ff,0x00ffffc8,0xffc80000,
    0xfff8002f,0x3ffe2006,0x9fff3006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000010,0x001aacba,0x00000000,0x66664c00,
    0xcccccccc,0x00002ccc,0x75100000,0x00001359,0x00000000,0x00080000,
    0x00000000,0x1bdcb980,0x26609988,0x66dd4409,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffffb0,0xdfffffff,
    0x4400037b,0xdefffedb,0xffc8000b,0xffb6ffff,0x0000007f,0x02fff980,
    0xffffff70,0xffffffff,0xffffb89f,0xffffffff,0x002defff,0xffffff70,
    0xff805fff,0xf700006f,0xffffffff,0xdfffffff,0x2000159d,0x3ff604c8,
    0x3e20003f,0x3e24ffff,0x3aa05fff,0x3fffffff,0xfff93ffa,0xfffffd13,
    0x7cc019ff,0xf70007ff,0x2000ffff,0xff54fffc,0xf70000df,0x3ffeabff,
    0xffffffff,0xffffffff,0x5fffd1ff,0x3fffffee,0xffffffff,0xffffffff,
    0x7ffc0005,0x2600007f,0xffffffff,0xd82fffff,0xffffffff,0xffffffff,
    0x7dc001ef,0xffffffff,0x3f2002ff,0xb5ffffff,0x00007fff,0xfffe8000,
    0xffffb002,0xffffffff,0xffb89fff,0xffffffff,0xffffffff,0xfea800bf,
    0xffffffff,0xfff01eff,0x3ee0000d,0xffffffff,0xffffffff,0x4002ffff,
    0x3f604ffb,0xf10003ff,0xf889ffff,0xff905fff,0xffffffff,0xff93ffa9,
    0xffffe8bf,0x01ffffff,0x0007fffe,0x07fffff6,0x4bfffa00,0x0006fffa,
    0xf55fffb8,0xffffffff,0xffffffff,0x3fa3ffff,0xffff72ff,0xffffffff,
    0xffffffff,0x54000bff,0x002fffff,0xfffff300,0xffffffff,0xfffffb05,
    0xffffffff,0x05ffffff,0xfffffd10,0xffffffff,0xffff500b,0x3f67ffff,
    0x000003ff,0x3ffff200,0xffffd002,0xffffffff,0xffb89fff,0xffffffff,
    0xffffffff,0x3ea00eff,0xedefffff,0x81ffffff,0x00006fff,0xfffffff7,
    0xffffffff,0x9fffffff,0x13ffea00,0x003fffd8,0x3fffff88,0x85ffff88,
    0xbceffffd,0xfedfffeb,0x3f7ffe4f,0xfdbbdfff,0xfb02ffff,0xff0007ff,
    0x8007ffff,0x3ea7fff8,0xb80006ff,0xfff55fff,0xffffffff,0xffffffff,
    0x3fffa3ff,0xffffff72,0xffffffff,0xffffffff,0x7fec000b,0x00006fff,
    0xfffffff3,0x05ffffff,0xddddfffb,0xffdddddd,0x803fffff,0x9adffffd,
    0xffffeb98,0x77ffec04,0x3ff6131b,0x0000003f,0x5fffff30,0x3bfff100,
    0x33333333,0xffb81333,0xeeeeeeff,0xfffeeeee,0xff105fff,0x3ee05fff,
    0x7fc0efff,0xf700006f,0x99999dff,0xdb999999,0x07ffffff,0x409fff50,
    0x4003fffd,0x03fffff9,0xa8bffff1,0xf304ffff,0x7c9fffff,0x80dfffff,
    0x80ffffe8,0x4005fffb,0x5ffffffa,0x2fffd400,0x000dfff5,0x2abfff70,
    0xeeeeffff,0xeeeeeeee,0xfd1eeeee,0x3ffee5ff,0xeeeeeeef,0xeeeeeeee,
    0x10004eee,0x3fffdfff,0x26660000,0x99999999,0xfffd8099,0x3ff62003,
    0x3fee06ff,0x7fe402ff,0x3ffa01ff,0x3fff600f,0x80000003,0x2fffffe8,
    0x03fff980,0x5fffb800,0xffffb800,0xffffd84f,0x7fffcc00,0x0037ffc5,
    0x05fffb80,0xffff9100,0xfffa801f,0x0ffff604,0xfffff980,0x3fffe203,
    0x01ffff45,0x93ffffa2,0x404fffff,0x984fffe8,0x64007fff,0x07ffdfff,
    0x51fffe40,0x0000dfff,0x3eabfff7,0x400006ff,0xff72fffe,0x000000bf,
    0xf3fff700,0x000009ff,0xfffd8000,0xfffb8003,0x5ffff00f,0x1bfff200,
    0x6c07fff8,0x00003fff,0xffffd800,0xffb802ff,0xfb80002f,0xd30005ff,
    0x7c41ffff,0xf5002fff,0x7ffc1fff,0xff700006,0xfb8000bf,0x7d403fff,
    0x3ff604ff,0xfff3003f,0xff8807ff,0x3ffea5ff,0xffff5006,0x07ffffc9,
    0x83fffcc0,0x2000ffff,0xfffbdffe,0x3fffa002,0x01bffea1,0x57ffee00,
    0x0006fffa,0xb97fff40,0x00005fff,0x6ffe8000,0x0001fffd,0x7ec00000,
    0xfd0003ff,0xfff305ff,0x7ffc400b,0x0dfff107,0x003fffd8,0x7fd40000,
    0x802fffef,0x0000fffc,0x005fffb8,0x87fffea0,0x4005fffb,0x3fe1fffe,
    0xf700006f,0xb0000bff,0xfa80dfff,0x3ff604ff,0xfff9803f,0xff8802ff,
    0x3fff65ff,0x3fffa003,0x00ffffe4,0xd81fffd8,0xf1002fff,0x9fff17ff,
    0x1fffe200,0x000dfff5,0x2abfff70,0x00006fff,0xfb97fff4,0x000005ff,
    0x9fffcc00,0x0003fffc,0x2f72a620,0xfffd800a,0xfff90003,0x07fff70b,
    0x81fffd80,0x6c05fff8,0x00003fff,0x33ffe200,0xe802fffb,0x700007ff,
    0x8000bfff,0x3f63ffff,0x7e4003ff,0x1bffe3ff,0x7ffdc000,0xffb80005,
    0xff73307f,0x6c13339f,0x7cc03fff,0x1002ffff,0x7fcbffff,0x7fd4007f,
    0x03fffe4f,0x82fffa80,0x7004fffb,0x3ffa3fff,0x9fff5006,0x006fffa8,
    0x55fffb80,0x0000dfff,0xf72fffe8,0x00000bff,0x1fffc800,0x000dfff3,
    0x3fffff20,0x3602ffff,0x50003fff,0xffb0dfff,0xffc8003f,0xff33312f,
    0x413333df,0x0003fffd,0x5bff6000,0xf802fffb,0x700005ff,0x8000bfff,
    0x3b65fffd,0x7dc001ff,0x1bffe3ff,0x20cccc40,0x0005fffb,0x40ffff98,
    0xfffffff9,0x3ff63fff,0x3ffe603f,0x7fc002ff,0xffff14ff,0x4fff9800,
    0x3001bffe,0xff309fff,0x3ff600df,0x003fff26,0xf50bfff2,0x70000dff,
    0x3feabfff,0x7400006f,0xfff72fff,0x0000000b,0x7f47fff8,0x2a0001ff,
    0xffffffff,0xd80dffff,0x70003fff,0x53107fff,0xffd80015,0xfffff92f,
    0x45ffffff,0x0003fffd,0x3fff7000,0x300bffee,0x01107fff,0x05fffb80,
    0x37ffdc00,0xffd80008,0x01bffe1f,0x713fffee,0x0000bfff,0xf30ffff7,
    0xffffffff,0x1fffec7f,0x2fffff98,0x4ffff800,0x800dfff3,0x3fe4fff8,
    0x7fc4005f,0x1ffff05f,0x549fff00,0xfe802fff,0x7ffd40ff,0xffb80006,
    0x0dfff55f,0xfffe8000,0x00bfff72,0x7d400000,0x7ffdc4ff,0xfff50004,
    0xffb9bdff,0xfd83ffff,0xfb0003ff,0x000003ff,0x3f21fffd,0xffffffff,
    0x3fff62ff,0x98000003,0x3fee3fff,0x7ffd402f,0xdffffd72,0xfffb8039,
    0x7fe40005,0x3e00005f,0x37ffc7ff,0x0ffffee0,0x0017ffee,0x21bfff60,
    0xffffeee8,0x3ff62eee,0xffff983f,0xffd0001f,0x17ffea7f,0xf93ffe00,
    0xff8004ff,0x3fff907f,0x22fff980,0x4405fff8,0xffa86fff,0xfb80006f,
    0xdfff55ff,0xffe80000,0x0bfff72f,0x6c000000,0x7fc41fff,0x7c4000ff,
    0xf701efff,0xffd8dfff,0xff98003f,0xa800007f,0x3bae6fff,0xeeeffffe,
    0x0ffff61e,0x3fa00000,0x17ffdc6f,0x3effff20,0xffffffff,0x3ffee03f,
    0x7ff40005,0xf900003f,0x6fff8bff,0x0ffffee0,0x002fffdc,0x13fffe20,
    0x409fff50,0x7cc3fffd,0x0001ffff,0x7d4ffffa,0xfe8004ff,0x00fffe4f,
    0x541fffe0,0x7dc03fff,0x3fff40ff,0x213ffea0,0x0006fffa,0xf55fffb8,
    0x80000dff,0xff72fffe,0x000000bf,0x41bffe20,0x4003fffd,0x400dfffd,
    0x363fffe9,0x64003fff,0x0001ffff,0x04fffe80,0xd80bfff1,0x00003fff,
    0x207ffe40,0x6c02fffb,0xffffffff,0xefffffff,0x05fffb80,0x3fffea00,
    0xffb80002,0x37ffc1ff,0x03ffffa8,0x0017ffee,0x0fffffa8,0x027ffd40,
    0x7cc7fffb,0x0001ffff,0xf997ffec,0xff8005ff,0x013ffe4f,0x441fffe0,
    0x7f405fff,0x1fffb86f,0x207fff20,0x0006fffa,0xf55fffb8,0x80000dff,
    0xff72fffe,0x000000bf,0x413ffee0,0x2006fffa,0x000ffffa,0x361ffff5,
    0xccccefff,0xffdccccc,0x00001eff,0x00ffffb8,0xd80bfff1,0x00003fff,
    0x20fffea0,0x7c02fffb,0xacefffff,0xfffffcba,0x05fffb85,0xdffff300,
    0xfff70000,0x0dfff09f,0x807ffff5,0x2005fffb,0xffffca98,0xfffa803f,
    0x4ffff604,0x0ffffff9,0x7ffec000,0x00dfff11,0x3e4fff88,0x7c4005ff,
    0x3ffa06ff,0x0fffe207,0xe80fffe6,0xfff507ff,0xdddddddf,0xdddddddd,
    0x2abfffdd,0xaaaaffff,0xaaaaaaaa,0xfffe82aa,0x55dfff72,0x55555555,
    0x35555555,0x1fffe800,0x007fffe0,0x001fffec,0x7ecffffa,0xffffffff,
    0xffffffff,0xa800000e,0x2202ffff,0x7ec05fff,0x000003ff,0x2e0bfff1,
    0x3e202fff,0x2201ffff,0x5c2ffffe,0x22005fff,0x2fffffd9,0x7ffe4000,
    0x8dfff04f,0x802ffffa,0xeeeffffb,0xffeeeeee,0x5fffffff,0x09fff500,
    0x7cdfffec,0x06ffffff,0x0fffe400,0x9800ffff,0x3ffe4fff,0x7ffcc006,
    0x07fff205,0xf80fffd4,0xfff106ff,0x3fffea0b,0xffffffff,0xffffffff,
    0xff55ffff,0xffffffff,0xffffffff,0x25fffd0f,0xfffffffb,0xffffffff,
    0x03ffffff,0x01bffe60,0x200bfff9,0x4000fffe,0xffb4fffa,0xffffffff,
    0xffffffff,0x54000019,0x4405ffff,0x7ec05fff,0x000003ff,0x2e01fffb,
    0x3e602fff,0xfb001fff,0x7fdc1fff,0xeeeeeeff,0xfffffeee,0x40005fff,
    0x204ffffc,0x3fea6fff,0xff7002ff,0xffffffff,0xffffffff,0x54005fff,
    0x3f604fff,0xfffffdff,0x0004ffff,0xfe83fff2,0x3ea001ff,0x1fffe4ff,
    0x07fff700,0xc81fffd4,0x3ff607ff,0x3fffa80f,0xffffff50,0xffffffff,
    0xffffffff,0x3ffeabff,0xffffffff,0x7fffffff,0xf72fffe8,0xffffffff,
    0xffffffff,0x4007ffff,0x4c03fffc,0xf800ffff,0xf88006ff,0xffffb6ff,
    0xffffffff,0xffffffff,0xff500005,0xf8801dff,0x7fec05ff,0xb800003f,
    0x3ee02fff,0x098802ff,0x3fffe200,0x3ffffee3,0xffffffff,0xcfffffff,
    0x3fee0000,0x7ffc04ff,0x05ffff56,0x7ffffdc0,0xffffffff,0x0bdfffff,
    0x27ffd400,0xffffffb0,0xffffb1df,0x3fee0005,0x17fff20f,0x24fffe80,
    0x2003ffff,0x2200ffff,0xfff05fff,0x17ffdc0b,0xa80fffe4,0xeeeeffff,
    0xeeeeeeee,0xfffeeeee,0xffffff55,0xffffffff,0xfd0fffff,0x3ffee5ff,
    0xffffffff,0xffffffff,0xff1003ff,0xffd001ff,0xfff9807f,0xffff0005,
    0x2673fff6,0xa9999999,0x3fffffdb,0x3ffea000,0xff8800ef,0x7ffec05f,
    0x7c400003,0x7fdc05ff,0x2000002f,0x3ee4fffc,0xffffffff,0xffffffff,
    0x4c0001df,0xf804ffff,0xffffaeff,0x7ffdc004,0xeeeeeeef,0x00cfffff,
    0x13ffea00,0xffffffd8,0xfffff10e,0xfff70001,0x01ffff88,0x24ffffa8,
    0x7007ffff,0xfd00dfff,0x5fff30df,0x427ffc40,0x3ea07ffe,0xb80006ff,
    0xfff55fff,0x5555555f,0x55555555,0x2e5fffd0,0xaaaaefff,0xaaaaaaaa,
    0x001aaaaa,0x200bfff7,0x5406fffb,0xf0004fff,0xfffb1fff,0xfff50007,
    0xf70003ff,0x2001dfff,0x6c05fff8,0x00003fff,0x20077ff4,0x0002fffb,
    0x9bffea00,0xfffffffb,0xceefffff,0xb00001ac,0x3e009fff,0xffffffff,
    0x3fee000f,0x7fe4405f,0x50000dff,0x7ec09fff,0x540effff,0x8005ffff,
    0xffb87ffa,0x3fa600ef,0x3ffe4fff,0x7fd405ff,0xffc801ff,0x07ffdc0f,
    0x3e1bffa0,0x3fea04ff,0xfb80006f,0xdfff55ff,0xffe80000,0x0bfff72f,
    0xfe800000,0x99999bff,0xfff99999,0x3ffee02f,0xfffd0004,0x007fffb3,
    0x17fffa20,0xdffff900,0x7ffc4001,0x1fffec05,0xfff70000,0x5fff7003,
    0x7cc00000,0x3ffee7ff,0x00000005,0x801fffe2,0xffffffff,0x3ee006ff,
    0xff5005ff,0x50001fff,0x7ec09fff,0xf900efff,0x98007fff,0xfffd07ff,
    0xffff505f,0x7fffc9ff,0x7dc41eff,0xf3004fff,0x6ffd85ff,0x20fffc80,
    0x2a02fff9,0x80006fff,0xff55fffb,0xe80000df,0xfff72fff,0x4000000b,
    0xfffffff9,0xffffffff,0x2a05ffff,0xf0004fff,0xfffb1fff,0x7fe40007,
    0xfd8800ff,0x88005fff,0x7ec05fff,0x300003ff,0x3333bfff,0xff933333,
    0x0013337f,0x3fffc400,0x000bfff7,0x7fcc0000,0x3ffe003f,0xffffbfff,
    0xbfff7003,0x7fffd400,0xfffa8006,0x3bfff604,0x7ffff400,0x1bfe6001,
    0x7fffff4c,0xfeffffee,0x3fffe4ff,0xfeefffff,0x000dffff,0xfff13ffe,
    0x3fff5009,0x5007ffdc,0x0000dfff,0x3eabfff7,0x400006ff,0xff72fffe,
    0x000000bf,0x7fffffe4,0xffffffff,0x00ffffff,0x000bfff3,0x3f6ffff1,
    0x260003ff,0x4401ffff,0x004ffffe,0x80bfff10,0x0003fffd,0xffffff70,
    0xffffffff,0xbfffffff,0x7fcc0000,0x17ffee6f,0xb8000000,0x3e002fff,
    0xff71ffff,0xff7003ff,0xffb800bf,0x7d4005ff,0x3ff604ff,0xfff9803f,
    0xff1000ef,0x7ffec40d,0x9cffffff,0x3ffe4fff,0xfffffe8e,0x8004ffff,
    0x3fea6ffd,0xfff8801f,0x501bff63,0x0000dfff,0x3eabfff7,0x400006ff,
    0xff72fffe,0x000000bf,0x7ffffffc,0xffffffff,0x03ffffff,0x000dfff1,
    0x3f6ffff3,0x7c0003ff,0x3e602fff,0x0003ffff,0xb017ffe2,0x00007fff,
    0x3fffffee,0xffffffff,0x5fffffff,0x2001732a,0x3ee5fffa,0x000005ff,
    0x07fff200,0x41ffff80,0xb806fffd,0xd8005fff,0x2003ffff,0x3604fffa,
    0xf7003fff,0x2200bfff,0xfeb805ff,0xf32effff,0xb7ffc9ff,0xffffffc8,
    0xff70001d,0x01fff21f,0x3fe5ffe8,0x7ffd404f,0xffb80006,0x0dfff55f,
    0xfffe8000,0x00bfff72,0x3fea0000,0x999999ef,0xc9999999,0x3fe06fff,
    0x7dc000ff,0x7fffb5ff,0x7ffc4000,0xffff301f,0xf880005f,0x7fec05ff,
    0xf700003f,0xffffffff,0xffffffff,0x7f4bffff,0x7e4002ff,0x3ffee4ff,
    0x00000005,0x8003fff6,0xff886fff,0x7fdc03ff,0xff88005f,0xf5001fff,
    0x7fec09ff,0x3ff6003f,0x9ff003ff,0x40ab9800,0x3fe4fff9,0x0aba886f,
    0x7ffcc000,0x400bffd1,0xfff37ffb,0x6fffa803,0xfffb8000,0x00dfff55,
    0x2fffe800,0x000bfff7,0x3fff6000,0xfff10003,0x3fff605f,0x7fff4004,
    0x007fffb2,0x07fffd40,0x0fffffc4,0x7ffc4000,0x1fffec05,0xaaa88000,
    0xaaaaaaaa,0xacfffdaa,0x3fff21aa,0x3ffe2004,0x17ffee1f,0x88000000,
    0x7fc00199,0xffff706f,0x2fffdc03,0xffffa800,0x9fff5006,0x01fffec0,
    0x3fffff10,0x20000000,0x3fe4fff9,0x0000006f,0xfff17fff,0x7ffcc007,
    0xa807ffa8,0x80006fff,0xff55fffb,0xe80000df,0xfff72fff,0x1000000b,
    0x0001ffff,0x982ffff4,0x7000ffff,0x3f61ffff,0x360003ff,0xffd06fff,
    0x200003ff,0x6c05fff8,0x00003fff,0x7ffdc000,0x3fffea02,0xbfff9001,
    0x005fffb8,0x00000000,0x740dfff0,0x3ee06fff,0x360005ff,0x9804ffff,
    0x3f604fff,0x7d4003ff,0x00006fff,0x9fff3000,0x00037ffc,0xadffd800,
    0x7c000fff,0x05ffcaff,0x006fffa8,0x55fffb80,0x0000dfff,0xf72fffe8,
    0x00000bff,0x00bfff70,0x0ffffa80,0x01dfff90,0x24ffffa8,0x0003fffd,
    0x709ffff7,0x0003ffff,0x02fffc40,0x000ffff6,0xff700000,0x7ff4405f,
    0xfffb806f,0x2fffdc1f,0x00000000,0x06fff800,0x40ffffe6,0x0005fffb,
    0x07ffffe2,0x40dfff30,0x8003fffd,0x004ffffd,0xff980000,0x01bffe4f,
    0x7fdc0000,0x8006ffce,0x3ffecffd,0x06fffa80,0x5fffb800,0x000dfff5,
    0x72fffe80,0x0000bfff,0x05fffd00,0xffff8800,0xfffff104,0xfffc8815,
    0x1fffec6f,0x3fff6a00,0x7ffc40ff,0x4400002f,0x7ec05fff,0x000003ff,
    0x17ffdc00,0x3bfffe60,0xffffd982,0x05fffb84,0x2a000000,0x3e001aaa,
    0x7fe406ff,0xfffb81ff,0x7fdc0005,0x7fc406ff,0x361abdff,0x88003fff,
    0x502ffffe,0x00003555,0xff93ffe6,0x0000006f,0x9ffffff3,0xfdff7000,
    0xff5003ff,0xf70000df,0x3ffeabff,0x7f400006,0xbfff72ff,0xf9800000,
    0x80000fff,0x2a07fffc,0xeeffffff,0x0effffff,0x7777ffec,0xeeeeeeee,
    0x1fffffff,0xeeffffd8,0xeeeeeeee,0x882eeeee,0x7ec05fff,0xeeeeeeff,
    0xeeeeeeee,0x5c0001ee,0xfb802fff,0xfdefffff,0x703fffff,0x0000bfff,
    0x7fffc000,0x1bffe004,0x21bfffa0,0x0005fffb,0x03ffffd8,0x7ffffffc,
    0x00ffff65,0x7ffffcc0,0x03ffff80,0x9fff3000,0x00037ffc,0xfffff000,
    0xff10005f,0x2a00ffff,0x80006fff,0xff55fffb,0xe80000df,0xfff72fff,
    0xdddddddf,0xdddddddd,0xfc85dddd,0x300005ff,0x4405ffff,0xfffffffd,
    0xd80dffff,0xffffffff,0xffffffff,0xf983ffff,0xffffffff,0xffffffff,
    0xff883fff,0x7ffec05f,0xffffffff,0xffffffff,0x7fdc0001,0xffd5002f,
    0xffffffff,0x7ffdc05f,0x00000005,0x8013fffe,0xf9806fff,0x7fdc3fff,
    0xf880005f,0x2600ffff,0x26ffffff,0x0003fffd,0x21bffff2,0x0003ffff,
    0x7c9fff30,0x000006ff,0x3fffff20,0xfffd0000,0x3fea009f,0xfb80006f,
    0xdfff55ff,0xffe80000,0xfffff72f,0xffffffff,0xffffffff,0xffff87ff,
    0x3fa00002,0xfeb805ff,0x1dffffff,0x3fffff60,0xffffffff,0x00cfffff,
    0xfffffff5,0xffffffff,0x107fffff,0xfd80bfff,0xffffffff,0xffffffff,
    0x5c0001ff,0x5c002fff,0xefffffff,0x7ffdc00c,0x00000005,0x8013fffe,
    0xf9006fff,0x7fdc3fff,0xf700005f,0xd980bfff,0x3f67ffff,0x740003ff,
    0x7fc4ffff,0x300003ff,0x7ffc9fff,0x20000006,0x005ffffa,0x0bffff20,
    0x037ffd40,0xafffdc00,0x0006fffa,0xb97fff40,0xffffffff,0xffffffff,
    0x3fffffff,0x001fffea,0x1ffff700,0x4d5d4c00,0xffffd800,0xffffffff,
    0x400bcdee,0xfffffffc,0xffffffff,0x883fffff,0x7ec05fff,0xffffffff,
    0xffffffff,0x5c0001ff,0x10002fff,0x40013773,0x0005fffb,0x3ffe0000,
    0x3ffe004f,0xffff1006,0x02fffdcd,0xffffd000,0xb0262005,0x80007fff,
    0x22fffff9,0x0003ffff,0x747ddd30,0x000005ee,0x0ffffe20,0xffffa800,
    0xdfff5000,0xfff70000,0x01bffeab,0x5fffd000,0x3fffffee,0xffffffff,
    0xffffffff,0x13fff63f,0xfff10000,0x0000009f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb000000,0x00001fff,0x005ffff7,0x30159710,0x3332e599,
    0xcccccccc,0xcccccccc,0x00000003,0xdff00000,0x0027fc40,0x65cc0000,
    0x00199502,0x09999800,0x9ffff300,0x3bbbaa00,0xeeeeeeee,0xeeeeeeee,
    0x5000006e,0x1ddd7000,0x004ccc00,0x98826660,0xffffc899,0x3e00006f,
    0xff76ffff,0x400009ff,0xf70ffffd,0xffffffff,0x59dfffff,0xfffe8800,
    0x7d40000f,0xff981fff,0xffffffff,0xffffffff,0x3f25ffff,0x40000fff,
    0x2004fffa,0x000ffffd,0x2ffffb80,0x7fffd400,0x4fff22df,0xfffffffe,
    0xffffffff,0xf706ffff,0xffffffff,0x4001ffff,0xffffffff,0xb04fffff,
    0x3ff605ff,0xfffff982,0xffffffff,0xffffc802,0x83ffa1cf,0xfffffffb,
    0x20ffffff,0x3003ffff,0x2009ffff,0x5800001a,0x79b75100,0x001bf905,
    0x8007ffe4,0x2005fff8,0x3f24fff9,0xffffccff,0xa80001ff,0x3a6fffff,
    0x0001ffff,0x23ffffb8,0xfffffffb,0xffffffff,0x26003eff,0x0005ffff,
    0x40ffffe2,0xfffffff9,0xffffffff,0x5fffffff,0x017ffff2,0x09fff500,
    0x07fffec0,0x7ffdc000,0x3fe6002f,0xefffffff,0xfffd1fff,0xffffffff,
    0xffffffff,0x3fffee0d,0xffffffff,0x3ffe000f,0xffffffff,0xfff504ff,
    0xfff95137,0xfffff301,0xffffffff,0xffffb805,0xfffeffff,0x7ffffdc7,
    0xffffffff,0x00ffffe0,0x027fffcc,0x800001a8,0x7fffd405,0xa8bfffff,
    0x7e4006ff,0xff1000ff,0x7fcc00bf,0x33fff24f,0x3ffffffc,0xfffd8000,
    0x3ffe66ff,0x7c40006f,0x7fdc5fff,0xffffffff,0xffffffff,0xff7003ff,
    0x3a0007ff,0x3e605fff,0xffffffff,0xffffffff,0x325fffff,0x003fffff,
    0x013ffea0,0x00ffffd8,0xffffb800,0x3bff6002,0xffffffca,0x3ffffa5f,
    0xffffffff,0x5fffffff,0xffffff70,0x1fffffff,0x7ffffc00,0xffffffff,
    0x3ffff604,0x301fffff,0xffffffff,0x805fffff,0xffdacfff,0x5c2fffff,
    0xffffffff,0x3e0fffff,0xf3003fff,0x2a009fff,0x05800001,0xffffffb1,
    0xffffffff,0xffc8001f,0xfff1000f,0x7ffcc00b,0x333fff24,0x06ffffff,
    0xfffff800,0x7fffdc6f,0x3ff60004,0x7ffdc0ff,0xeeeeeeef,0xfffffeee,
    0xffd004ff,0xfc8003ff,0x3a600fff,0xeeeeeeee,0xeeeeeeee,0x324ffffe,
    0x00ffffff,0x09fff500,0x07fffec0,0x7ffdc000,0x3ffa002f,0x27fff540,
    0x26666662,0x99999999,0x100efffc,0x33333333,0x80033333,0x99999999,
    0x40099999,0xeffffffc,0x4ccccc02,0x99999999,0x11bfe200,0x107ffff9,
    0x33333333,0xff833333,0xff3003ff,0x06a009ff,0x22160000,0xcdffffff,
    0xffffffec,0xfffc8002,0xbfff1000,0x27ffcc00,0xff99fff9,0x003fffff,
    0x7ffffd40,0xffffe86f,0xfffa8001,0x5fffb82f,0x3ff6a200,0xf8803fff,
    0x2a006fff,0x0002ffff,0xfffe8800,0x3ffff20f,0xf50005ff,0x000009ff,
    0x50000000,0x004c4055,0xffff3000,0x00000003,0x22000000,0x0002bcca,
    0x35510000,0x00000cc0,0x00266660,0x006a0000,0x3f616000,0xfd303fff,
    0x90005fff,0x22001fff,0x26005fff,0x36a64fff,0xfdfffcbf,0x360003ff,
    0x86fffeff,0x006ffff9,0x82ffffc4,0x0005fffb,0x03fffff5,0x09ffff50,
    0x09ffff10,0x3fa00000,0x7fe41fff,0x003fffff,0x004fffa8,0x00000000,
    0x00000000,0x05fffd10,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06a00000,0xf5160000,0xfb803fff,0xc8006fff,0xf1000fff,0x7cc00bff,
    0xcbfc84ff,0x6fffbfff,0x7fff1000,0x3ee0dfff,0x36003fff,0xf700efff,
    0x54000bff,0xb005ffff,0xe803ffff,0x00006fff,0x7ffffb00,0xffffff90,
    0xfa8001ff,0x975004ff,0x8000359b,0x00abcca9,0x00000000,0x0027ffec,
    0x055e654c,0xdba98000,0x00001abc,0x0004ccc0,0x00002666,0x03331000,
    0x33333000,0x33333333,0x54133333,0x25800001,0x402ffff8,0x2ffffff9,
    0x07ffe400,0x05fff880,0x213ffe60,0xafffcafd,0x8001fffc,0xfff9fffa,
    0x3ffffa06,0xffffa801,0x17ffee01,0xffff7000,0xfffd1003,0x3fff201f,
    0x8000000f,0x904ffffc,0xffff9fff,0xfffa800b,0x3fff2204,0x02efffff,
    0x7ffffdc0,0x0002ffff,0x00003331,0x00ffffa8,0x3ffffee0,0x8002ffff,
    0xffffffe9,0x2003ffff,0x3e201998,0x3e6005ff,0x026664ff,0x006b32e6,
    0x003fff90,0x7ffffcc0,0xffffffff,0x2a5fffff,0x25800001,0x4406fffb,
    0x6fffcffe,0x4ccccccc,0x99afffc9,0xf1099999,0x7cc00bff,0xcbfc44ff,
    0xfffaafff,0xcffd8003,0x2606fff8,0x4406ffff,0x5c04ffff,0x80005fff,
    0x3005fffe,0xf50bffff,0x00005fff,0xdffff700,0x55fffe40,0x2003ffff,
    0xf304fffa,0xffffffff,0xb100bfff,0xffffffff,0x8001bfff,0x0001fffc,
    0x05ffff10,0x3ffff620,0xdfffffff,0xffff7000,0xffffffff,0xff9001bf,
    0x3ffe203f,0x3ffe6005,0xfc8fffe4,0x2fffffff,0x03fff900,0x7fffcc00,
    0xffffffff,0x25ffffff,0x5800001a,0xb00bfff2,0xffff17ff,0x7fffffcc,
    0xffffffff,0x16ffffff,0x4c00bfff,0x9fec4fff,0xfff2fffc,0xfff8800d,
    0x406fff89,0x203ffffb,0xb806fffd,0x80005fff,0x2007fffb,0x222ffffc,
    0x0004ffff,0xffff9800,0x3fff200f,0x01ffffb3,0x213ffea0,0xdefffffa,
    0x4fffffec,0x3ffffe60,0xffffdcde,0x3f2000ef,0x900001ff,0x2600bfff,
    0xcdefffff,0x0efffffd,0x77ffff40,0xfffedccd,0xffc804ff,0xbfff101f,
    0x27ffcc00,0x3ff67fff,0xffffffff,0x1fffc804,0x3ffe6000,0xffffffff,
    0x4ffffeef,0x2000006a,0x807fff65,0x3ff65ffb,0xfffff30f,0xffffffff,
    0xdfffffff,0x8017ffe2,0xfb34fff9,0xc97ffe49,0x2a001fff,0xdfff17ff,
    0x1ffffd00,0x03ffff50,0x00bfff70,0x3ffff100,0x7ffff400,0x00dfffb0,
    0xfff10000,0xffc803ff,0xbffff13f,0x13ffea00,0x03dffff1,0x05ffff93,
    0x407bfffa,0x005ffff9,0x0007fff2,0x03fffe60,0x0f7fff40,0x05ffff98,
    0x80bfffee,0x00ffffd9,0x880fffe4,0x26005fff,0x3ffe4fff,0xedffffdc,
    0x04ffffff,0x000fffe4,0x3fa20000,0x000d45ff,0xfffd2c00,0x83bfe601,
    0xff31fffc,0xffffffff,0xffffffff,0x3ffe2dff,0x3ffe6005,0x7e44ffee,
    0x7fff32ff,0x8a7fec00,0xf9806fff,0xffe85fff,0xfff7004f,0x3fa0000b,
    0x3e6003ff,0xfffbdfff,0x8000000f,0x803ffffe,0x3ea3fffc,0xfa803fff,
    0x7ffec4ff,0x7ffdc00d,0x06fffb86,0x01fffe88,0x003fff90,0x09fffb00,
    0x01bffee0,0x407fffa2,0xd001fffe,0xfc807fff,0xfff101ff,0x7ffcc00b,
    0x3fffffe4,0x7ffd441d,0x7ffe407f,0x40000001,0x540efffd,0x25800001,
    0xff107fff,0x2fffb83f,0x99999991,0x999fffd9,0x22799999,0x26005fff,
    0x80beffff,0x3fe2fffc,0xfff1006f,0x01bffe23,0x917fffdc,0x5c00dfff,
    0x00005fff,0x800bfffb,0xfffffffb,0x8000002f,0x004ffffc,0xfd87fff9,
    0x7d400fff,0x3ffe24ff,0xfffd001f,0x07fffc41,0x06fff980,0x003fff90,
    0x1ffff980,0x0ffff880,0x0dfff300,0x400bfff3,0x6404fffb,0xff101fff,
    0x7fcc00bf,0x3ffffe4f,0x7fffcc04,0x07fff202,0xfc800000,0x01a80fff,
    0xff158000,0x0bffa0df,0x800fffee,0x1000fffc,0x4c00bfff,0x7e405fff,
    0x3fff22ff,0x26ffb801,0x2006fff8,0xff36fffe,0x7dc003ff,0x900005ff,
    0xb000bfff,0x09ffffff,0xff500000,0x7e400dff,0x7ffc43ff,0x7ffd405f,
    0x017ffee4,0x321effb8,0x6c003fff,0xfc801fff,0x640001ff,0xf9005fff,
    0xfd8007ff,0x76e4c1ff,0x3ffea001,0x0fffe405,0x005fff88,0xff93ffe6,
    0xff9006ff,0x7ffe409f,0x70000001,0x2a03ffff,0x25800001,0xffc87fff,
    0x05fff904,0x007ffe40,0x006fff88,0x9013ffea,0x7fcc5fff,0x4ffd803f,
    0x801bffe2,0xfdbffff9,0x7dc003ff,0x700005ff,0x1000dfff,0x00dfffff,
    0xfff30000,0x7e4001ff,0xfffa83ff,0x3ffea03f,0x007fff64,0x3fff6010,
    0x7ffdc001,0x1fffc803,0x7fffc000,0x3fffb002,0x3fffb800,0x3fe60000,
    0x7ffe405f,0x0bfff101,0xf27ffcc0,0x2a005fff,0x3f205fff,0x000001ff,
    0x02ffffa8,0x2000006a,0xf51fffa5,0x7ffec0df,0x3fff2001,0xdfff1000,
    0x27ffd400,0xf0bfff20,0xff880dff,0x1bffe21f,0xfffff700,0xf7000bff,
    0x20000bff,0x0006fffb,0x00bffff9,0xffe88000,0x7e4001ff,0xfffb03ff,
    0x3ffea01f,0x003fffe4,0x07fff400,0x13ffe600,0x007fff20,0x07fffa80,
    0x003fffa0,0x009fff30,0xfffb5100,0x1fffc80b,0x00bfff10,0xff27ffcc,
    0x3e6003ff,0x3ff205ff,0x4000001f,0x403ffff9,0x5800001a,0x7c47fff6,
    0x3ffa00ff,0x7ffe4007,0x1bffe000,0x04fffc80,0x3217ffe4,0x3ee01fff,
    0x37ffc46f,0x7ffff400,0xfb8000ff,0x700005ff,0x3000dfff,0x07ffffff,
    0x7fec0000,0xfc8002ff,0xfff103ff,0x3ffea0df,0x00ffff14,0x77fffc00,
    0xeeeeeeee,0x5fffeeee,0x01fffc80,0x0ffff600,0xeeffff80,0xeeeeeeee,
    0x05fffeee,0x3fb2ea20,0x05ffffff,0x880fffe4,0x26005fff,0x3ffe4fff,
    0xfff1000f,0x0fffe40b,0xff100000,0x035009ff,0x7e4b0000,0x05ffd3ff,
    0x0037ffc4,0x8003fff2,0x3a007fff,0x7e404fff,0x7ffcc2ff,0x10fffa03,
    0x3000dfff,0x005fffff,0x017ffee0,0x2fffe400,0x3fffe200,0x0001ffff,
    0x4ffffc80,0x7fff9000,0x1ffffdc0,0xf8a7ffd4,0x100006ff,0xffffffff,
    0xffffffff,0x900dffff,0x20003fff,0x000ffff8,0xfffffff1,0xffffffff,
    0x80dfffff,0xffffffeb,0x5fffffff,0x80fffe40,0x2005fff8,0x3fe4fff9,
    0x3fe2007f,0x3fff206f,0xd1000001,0x2a00bfff,0x25800001,0xffcefffa,
    0x2fffe404,0x03fff200,0x03fffe80,0x04ffffc8,0x7c17ffe4,0xfff106ff,
    0x06fff881,0x0dfff900,0x2fffdc00,0xfffe8000,0x7ffec004,0x006ffffe,
    0x7fffd400,0x3ff20005,0x7ffec03f,0xa7ffd40f,0x0006fff9,0xffffff30,
    0xffffffff,0x0fffffff,0x003fff90,0x017fff20,0xffffff98,0xffffffff,
    0x07ffffff,0xfffffff7,0xff9bffff,0xfffc80bf,0x0bfff101,0xf27ffcc0,
    0x7c400dff,0x3ff206ff,0x5555401f,0xdfffd000,0x0006a001,0xfff89600,
    0x7c406fff,0x64002fff,0x32000fff,0x2e00ffff,0x404fffff,0xfc82fffc,
    0x6ffb80ff,0x006fff88,0x00bfff70,0x02fffdc0,0x3ffff800,0x3fffee00,
    0x04ffffb9,0xffff3000,0x7e40001d,0x7fc403ff,0x7ffd46ff,0x00dfff14,
    0x3bffe600,0xaaaaaaaa,0xaaaaaaaa,0x1fffc802,0x3ffff000,0x77ffcc00,
    0xaaaaaaaa,0xaaaaaaaa,0xfffffb82,0x261bceff,0x7e405fff,0xfff101ff,
    0x7ffcc00b,0x801bffe4,0x3206fff8,0x7fc01fff,0xffd803ff,0x06a000ff,
    0xf7160000,0x4401ffff,0x8004fffe,0x2000fffc,0x0bdffff9,0xfffffb51,
    0xfffc809f,0x83fff982,0xff883ffe,0xff70006f,0x7dc000bf,0x880005ff,
    0x3002ffff,0x7ec7ffff,0x40001fff,0x01ffffe8,0x1fffe400,0x1ffffdc0,
    0x7fc9fff5,0xf100007f,0x00000dff,0x007fff20,0x01bffea0,0x00dfff10,
    0xffff5000,0xff98017d,0x7ffe405f,0x0dfff101,0xf27ffd40,0x7c400dff,
    0x3ff206ff,0x7fffc01f,0x7fffe403,0x000d4001,0x7ff42c00,0x7d440cff,
    0x8000efff,0xd8002aa9,0xffffffff,0xffe9ffff,0x17ffe404,0x7c46fff8,
    0xfff880ff,0xfff70006,0x7fdc000b,0xf980005f,0xe8801fff,0x7fc46fff,
    0x20000fff,0x002ffffd,0x03fffc80,0x21ffffb0,0x3fa4fffa,0x554000ff,
    0x007fffc1,0x7fe40000,0xffd8001f,0xfff8003f,0x6c00000f,0x5000dfff,
    0xfc80bfff,0xfff101ff,0x7ffd400d,0x801bffe4,0x3206fff8,0x7fc01fff,
    0x3fee03ff,0x1a8002ff,0xd8580000,0xeeffffff,0x1ffffffe,0x20000000,
    0xfffffffc,0x9ffd1eff,0x02fffc80,0x7dc3fff9,0xdfff106f,0x3ffee000,
    0x3fee0005,0xfc80005f,0xffb007ff,0xfff501ff,0x3f2000bf,0x00004fff,
    0x2007fff9,0xf56ffff8,0x7ffec9ff,0x3ffe2001,0x007fff66,0x20013510,
    0x8001fffc,0x8000ffff,0x4001fffd,0xfff809a8,0x3fee000f,0x7ffe405f,
    0x01bffe01,0x3e4fffc8,0x3e2006ff,0x3ff206ff,0x7fffc01f,0x9ffff503,
    0x0006a000,0xfff71600,0xffffffff,0x2203dfff,0xcccccccc,0xcccccccc,
    0xd503cccc,0x19dfffff,0x32027ff4,0xff302fff,0x81fff49f,0x0006fff8,
    0x000bfff7,0x002fffdc,0x0ffffe60,0x0bfffee0,0x03ffffd8,0x2ffffd40,
    0xfff90000,0x7ffdc007,0x24fffabf,0x2005fffb,0x3f23fffb,0x7e4005ff,
    0xffc805ff,0x7fcc001f,0xff90007f,0xffc800bf,0x1bffe65f,0x0bfffd00,
    0x201fffc8,0x3a007fff,0x3ffe4fff,0x3ffe2006,0x07fff206,0x7cc17f40,
    0x20005fff,0x5800001a,0x3663bfe6,0xefffffff,0x7fffcc02,0xffffffff,
    0xffffffff,0x055cc406,0x7ffe4000,0x4dbffa02,0xff100fff,0x3ee000df,
    0x2e0005ff,0x40005fff,0x400ffffd,0x405ffff9,0x00ffffe8,0x1dffff30,
    0x7fe40000,0x7fec003f,0x24fffcff,0x001ffff8,0x7c41fffd,0xf1002fff,
    0xf9003fff,0xfb8003ff,0xf10005ff,0x22005fff,0x3e61ffff,0xf9000fff,
    0xfc80bfff,0x3ffa01ff,0xfffc803f,0x01bffe4f,0x206fff88,0x8801fffc,
    0x7ffc40ff,0x0d40005f,0xf52c0000,0xaba9883f,0xfff30009,0xffffffff,
    0xffffffff,0x000000df,0x405fff90,0xffc9fffc,0x1bffe205,0x2fffdc00,
    0xbfff7000,0x7ffd4000,0xfffe804f,0xfff9800e,0xffe8806f,0x400001ff,
    0x4003fffc,0xfffffff8,0x77ffdc4f,0x37ffe400,0x00ffffdc,0x01bfffa2,
    0x000fffe4,0x0013fff6,0x01ffffb8,0x237fff44,0x804ffff8,0x06fffffb,
    0x900fffe4,0x5c01ffff,0x3e4fffff,0x3e2006ff,0x3ff206ff,0x46fa801f,
    0x00efffe8,0x0000d400,0x000a62c0,0x3fffe600,0xffffffff,0xffffffff,
    0x80000006,0x2602fffc,0x2ffebfff,0x01bffe20,0x02fffdc0,0x0bfff700,
    0x3fffee00,0x7ffe400f,0x3ff2001f,0x7fec04ff,0x800001ff,0x8003fffc,
    0xfffffffb,0xaffffe84,0x7fffec40,0x9ffffd00,0xfffec981,0xfff9001f,
    0xfffe8003,0x7ff40002,0x764c0cff,0xfe81ffff,0xf9302fff,0x80ffffff,
    0x2601fffc,0x10beffff,0xffffff95,0x0037ffc9,0x640dfff1,0x74401fff,
    0x7fffec5f,0xaaaaa99a,0x0aaaaaaa,0x999999b5,0x99999999,0x0d999999,
    0x00000000,0x00000000,0x02fffc80,0x7ffffff4,0x1bffe200,0x2fffdc00,
    0xbfff7000,0x7ff54400,0x7d402fff,0xe8003fff,0xf901ffff,0x00005fff,
    0x00ffff20,0x7ffffec0,0xffff984f,0xffffeeff,0x3fa602ff,0xffefffff,
    0x002fffff,0x0007fff2,0x0003ffff,0xfffffe98,0xffffffef,0xffff302f,
    0xfffd9bdf,0x1fffd7ff,0x00fffe40,0x3ffffff6,0xe9ffffff,0x1bffe4ff,
    0x06fff880,0x8807fff2,0x3fe20efe,0xffffffff,0xffffffff,0x000002ff,
    0x00000000,0x00000000,0x7ffe4000,0x7fffe402,0x7ffc405f,0xfff70006,
    0x7fdc000b,0xeeeeeeff,0xfffffeee,0x7c402fff,0x10006fff,0x881fffff,
    0xeeefffff,0xeeeeeeee,0xeeeeeeee,0x07fff90e,0x3fffe200,0xffb104ff,
    0xffffffff,0xff91005f,0xffffffff,0xfc8005ff,0x3e2001ff,0x80000fff,
    0xffffffc8,0x02ffffff,0x7fffffd4,0x70dfffff,0x7e407fff,0xffc801ff,
    0xefffffff,0x7fc9ffd1,0x3fe2006f,0x3fff206f,0x7c42ec01,0xffffffff,
    0xffffffff,0x00002fff,0x00000000,0x00000000,0x7fe40000,0x7ffcc02f,
    0x7fc402ff,0xff70006f,0x7dc000bf,0xffffffff,0xffffffff,0xfe802fff,
    0x20000fff,0x445ffffb,0xffffffff,0xffffffff,0xffffffff,0x07fff91f,
    0x7fffdc00,0x7ff5404f,0x004fffff,0xfffffda8,0x90003fff,0x4c003fff,
    0x00006fff,0x7ffffed4,0x22003fff,0xfffffffd,0x37ffcc2e,0x003fff90,
    0x3fffffaa,0x93ffa0ce,0x22006fff,0x3f206fff,0x880401ff,0xffffffff,
    0xffffffff,0x0002ffff,0x00000000,0x00000000,0x7e400000,0xffe802ff,
    0xfff8807f,0xfff70006,0x7fdc000b,0xffffffff,0xefffffff,0xfffc800b,
    0xfd80002f,0x3fe23fff,0xffffffff,0xffffffff,0x1fffffff,0x0007fff9,
    0x04ffffd8,0x006aea60,0x4d5d4400,0x7fe40000,0x3fea001f,0x2000005f,
    0x0009aba8,0x06aea620,0x7ffe4000,0x0ab98001,0x037ffc00,0x00dfff10,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0bfff200,0x017fff20,
    0x001bffe2,0x002fffdc,0xffffff70,0xbdffffff,0x7d400379,0x00004fff,
    0x21fffff1,0xfffffff8,0xffffffff,0xffffffff,0x7fff91ff,0xfff88000,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x009acdca,0x40009998,0x75000999,
    0x000359b9,0xabcdba98,0x2a620001,0x0000abdc,0x15799530,0x97310000,
    0x8801599b,0x002bcdba,0x5ee54c40,0x7774c00a,0x9b973005,0x54400159,
    0x31001acc,0x26000133,0x26666099,0x26662001,0x82666609,0x32e20999,
    0x8099980a,0x800bcdb9,0x100abcb9,0x4c400333,0x26620019,0x40026661,
    0x4c419999,0x99999819,0x99999999,0x4c099999,0xccb98099,0x0006601a,
    0x40000000,0x2aaa6028,0xfffb8801,0x0effffff,0x00bfff10,0x1027ffcc,
    0xfffffff9,0x74c005df,0xffffffff,0x7e4003ff,0xffffffff,0xfff70002,
    0x05ffffff,0xfffff500,0x83dfffff,0xfffffff9,0x64000bff,0xffffffff,
    0xffff302f,0xffffeb80,0x100cffff,0xffffffd9,0x7fc401bf,0xffb8007f,
    0x3fffee4f,0xdfffb002,0xf13ffff8,0x3ffee7ff,0x3ffe1dff,0x3fffff63,
    0xffd885ff,0xc83fffff,0xff002fff,0xff1005ff,0x037ffcbf,0x21ffffdc,
    0x3e61fffc,0xffffffff,0xffffffff,0x91fffc5f,0xffffffff,0x005bf905,
    0x20000000,0xffb84fd9,0x203effff,0xfffffffe,0x883fffff,0x26005fff,
    0xff304fff,0xffffffff,0xff700bff,0xffffffff,0xa801bfff,0xffffffff,
    0x000dffff,0xffffffb1,0x01bfffff,0xfffffb10,0xffffffff,0x3ffffee3,
    0x0effffff,0xfffffa80,0xdfffffff,0x83fffcc0,0xffffffe8,0x40efffff,
    0xfffffff9,0x201effff,0x4002fffd,0x7f41fffe,0x7dc00fff,0x7ffc1fff,
    0x57fff13f,0x1fffffff,0x7f45fffc,0xffffffff,0x3ffffa24,0x545fffff,
    0xf9804fff,0xfa804fff,0x1bffe3ff,0x07ffff70,0x7cc3fff9,0xffffffff,
    0xffffffff,0xd9fffc5f,0xffffffff,0x7ffe44ff,0x000000be,0x7ff5c400,
    0x7fffe44f,0xd83fffff,0xcccdffff,0x43fffffd,0x2005fff8,0xfa84fff9,
    0xecdeffff,0x204fffff,0xcdeffffe,0xfffffedc,0x3fffea04,0xfffdcdef,
    0x7cc01fff,0xdcdeffff,0x00efffff,0x3bffffa2,0xfffecccd,0xeffffeff,
    0xffffeccd,0x3ffea00e,0xffdcdeff,0x3e61ffff,0xfff987ff,0xfedcefff,
    0xff50efff,0xfb99dfff,0x2a07ffff,0x22005fff,0xff886fff,0x3fe604ff,
    0xffff83ff,0xff7fff13,0xf8bfffff,0xffffecff,0xafffffed,0xfdefffe8,
    0x7c1fffff,0xffc807ff,0xffc806ff,0x81bffe0f,0x903ffffb,0x7fcc3fff,
    0xffffffff,0xffffeeff,0x7ee7ffc4,0xfffedfff,0x3ff24fff,0x001cffff,
    0x7e4c0000,0x264fffff,0xea89bfff,0x3fea0fff,0xffb100ef,0x5fff88df,
    0x13ffe600,0x03dffff1,0x05ffff93,0x405ffff7,0x80ffffd9,0x01effff8,
    0x80dffff7,0x301efffe,0x640bffff,0x2601efff,0xfffffffe,0xdfffd302,
    0x3bfffe20,0xdffff501,0x7437f74c,0x980bffff,0xffbffffe,0xff900dff,
    0x3ffe01ff,0xfff7000f,0x3fffea07,0x0bfffd01,0x7c4ffffe,0xbcffffff,
    0x7fffc2fd,0x7ec41dff,0x83ffffff,0x6c6ffff9,0x7f401fff,0x7c00ffff,
    0x37ffc6ff,0x03ffffb8,0x0007fff2,0x0bfffd10,0x3bffffff,0x7ffffa88,
    0x3fffff66,0x00002eff,0x7fffed40,0x3f21dfff,0x1fff985f,0x100bfff2,
    0x7c43ffff,0x3e6005ff,0x7ffec4ff,0x7ffdc00d,0x01fffe86,0xb07fffd0,
    0x9801bfff,0xf703fffe,0xfd100dff,0x3ffe03ff,0xffff5006,0xffb001df,
    0xbfffb05f,0x9fffd300,0x7fe46fa8,0x7ec402ff,0x03ffffff,0x905fffa8,
    0x3a005fff,0x3f600fff,0xfffc86ff,0x1333300e,0x17ffffe2,0x2fffffc0,
    0x3fffffe0,0x1fffea01,0x4407fff7,0x02ffffff,0xff0fffe6,0xffff70df,
    0x1fffc805,0x7ffec000,0xfffff80e,0x7fffcc04,0x7fffdc42,0x000cffff,
    0xfffd7100,0x4019ffff,0x41fff500,0xf7007ffe,0x7ffc47ff,0x3ffe6005,
    0x07fffe24,0x307fff40,0x5c00bfff,0x7fd44fff,0xff5000ff,0xfff881ff,
    0xfff3000f,0x07fff50d,0x17ffffc0,0x46fff880,0x000ffffa,0x641ffff5,
    0x3fffe24f,0xffff1004,0x7ec00dff,0xfff981ff,0x5fff9805,0x27fffc40,
    0x003ffff5,0x1fffff10,0x3bfffe00,0x7fffe400,0x0fffe804,0xa817ffe2,
    0x04ffefff,0xff03ffee,0xffffb8df,0x1fffc802,0x3fff2000,0xdffff00f,
    0x13fff200,0xfffffda8,0x30001dff,0xfffffff9,0x2a20005d,0x7ff44ffe,
    0x1013000f,0x4c00bfff,0x3fee4fff,0x3fee005f,0x07b7261e,0x45fffa80,
    0x4003fffd,0x7e43fffe,0x7ec003ff,0x7f6dc1ff,0x3fffa000,0x7ffe4005,
    0x013fff60,0x747fffd0,0x1bffea2f,0xfffff900,0x7ffc4003,0x01fffd05,
    0x802fffc8,0xf89ffffa,0x10003fff,0x4007ffff,0xa802ffff,0xd800ffff,
    0x7ff41fff,0x337ff207,0x3ffa06ff,0x2a6fff86,0x9002ffff,0x20003fff,
    0x201ffffb,0x5002ffff,0x9100bfff,0xdfffffff,0x3ffaa007,0x01cfffff,
    0x3fffee00,0x1efffb83,0x3ffe2000,0x3ffe6005,0x007fff64,0x30000010,
    0xffe8bfff,0x7fd4000f,0x0fffec4f,0x0fffee00,0xfffd8000,0x7ffd4003,
    0x003fffa1,0x36bfff50,0x1fffe45f,0x3fffe200,0x7fff8007,0x807fff70,
    0x32007fff,0xfffdefff,0x3fe20005,0x3fe002ff,0xff9801ff,0xfff9007f,
    0x01fffb85,0xfff55ffd,0x09fff101,0x3feadfff,0x3f2002ff,0xfa8001ff,
    0x7fc02fff,0xff3001ff,0xfea800bf,0x0cffffff,0x7ffffdc4,0x0000beff,
    0x81dfffd8,0xcefffff9,0x7ffc4001,0x3ffe6005,0x003fffe4,0xa8800000,
    0x7fc5fffd,0xff88006f,0x07fff46f,0x13ffe600,0xfd731000,0xf98005ff,
    0x1bffe3ff,0x3fffe200,0xfffe86fe,0xffff8002,0xfffd8005,0x06fff880,
    0x0013ffea,0xfffffffd,0x7fc40001,0x3fe000ff,0xfff3007f,0x3ffee00d,
    0x427ffcc2,0xff98fff8,0x1fffa82f,0xffaefff8,0x7e4004ff,0x7cc001ff,
    0xff803fff,0xff1000ff,0x326000bf,0x3fffffff,0xfffffff7,0xb800003b,
    0x40cfffec,0xfffffffc,0x7c400bdf,0x3e6005ff,0xffff14ff,0x22000000,
    0xffffecba,0x3fe65fff,0xfff0005f,0xeeffff8f,0xeeeeeeee,0x05fffeee,
    0x3fb6ea20,0xeeffffff,0xeeeeeeee,0x34fffeee,0x2000bfff,0xf04fffff,
    0xb0001fff,0xddddffff,0xdddddddd,0x3603ffff,0xffb00fff,0xff98003f,
    0x0002ffff,0x003fffc4,0x4c01fffe,0xf7005fff,0xdfff05ff,0x7fcdff70,
    0x07ffd84f,0xffffffff,0x7e4001ff,0x3e2001ff,0xff004fff,0x7fc400ff,
    0x5c40006f,0xf94ffffe,0x0017dfff,0xffd10000,0xfffff707,0x07dfffff,
    0x8017ffe2,0xff14fff9,0x400000df,0xffffffeb,0x5fffffff,0x0013ffea,
    0xf887fffc,0xffffffff,0xffffffff,0x2e206fff,0xfffffffd,0xffffffff,
    0xffffffff,0x56ffffff,0x20009fff,0xf102fffe,0x32000fff,0xffffffff,
    0xffffffff,0xf502ffff,0xfff107ff,0x3fee000d,0x880004ff,0x7c006fff,
    0xff3006ff,0x3fee009f,0x0fffc82f,0xffb27fec,0x209fff0d,0xffffffff,
    0x3f2005ff,0xfd1001ff,0x7fc00bff,0x3fe2006f,0xb880006f,0xff94ffff,
    0x000019ff,0x837fdc00,0xffffffd9,0x440effff,0x26005fff,0xfff34fff,
    0xf700000d,0xffffffff,0xbfff9bff,0x0027ffdc,0xf31fffe8,0xffffffff,
    0xffffffff,0x3e60ffff,0xffffffff,0xffffecef,0xffffffff,0x7fffffff,
    0x0009fff7,0x4407fffa,0x90006fff,0xffffffff,0xffffffff,0x7c07ffff,
    0xfffa86ff,0xfff90003,0x880001df,0x7c006fff,0xff3006ff,0x3fee009f,
    0x2fffa82f,0xff517ffc,0x0fffcc1f,0xaffffff8,0x9003ffff,0x3a003fff,
    0x2000efff,0x22006fff,0x20006fff,0xffffffd9,0xffffff94,0x5440003b,
    0xfff900cb,0xffeca880,0x22ffffff,0x2005fff8,0xff14fff9,0xb80000df,
    0xefffffff,0x3ffe61bc,0x013ffea5,0x987fffc0,0xaaaaefff,0xaaaaaaaa,
    0xfa82aaaa,0xbdefffff,0x2ffff60a,0xaaaaaaaa,0x2aaaaaaa,0x0009fff5,
    0x4403fffe,0xb0007fff,0x5555bfff,0x55555555,0x64035555,0x7fec1fff,
    0xff98000f,0x0004ffff,0x0037ffc4,0x4c01bffe,0xf7004fff,0x3ffe05ff,
    0x883ffe64,0x3ff22fff,0x3ffffe07,0x01ffff71,0x003fff90,0x001ffffb,
    0x2006fff8,0x8006fff8,0xffffffeb,0x3ffae0be,0x00beffff,0xf04fff80,
    0xb8800dff,0x26fffffd,0x2006fff8,0x3fe4fffa,0x2a00007f,0x00beffff,
    0xf32fffcc,0xf1000bff,0x7ffc4fff,0xfa800006,0x400adfff,0x0001fffd,
    0x00bfff30,0x80ffff10,0xd0007fff,0x00009fff,0x24fff980,0x8005fff8,
    0xffffffe8,0x3e20002f,0x7fc006ff,0xfff3006f,0x3ffee009,0x5cfffb02,
    0x5ffe86ff,0xff817ffa,0x7fff41ff,0x1fffc805,0x0ffffe40,0x037ffc00,
    0x00dfff10,0x3fffff26,0x6cc02dff,0xcfffffff,0x3fff2001,0xffffc9ad,
    0x3f220003,0xfff10fff,0x7ffd400d,0x003fffa4,0xffd83550,0xff5000df,
    0x37ffc4bf,0x3fffcc00,0x0003fffe,0x09fffb00,0x017ffec0,0x7fff8800,
    0x7fff9800,0x007ffec0,0x02ffffc0,0x7ff40000,0x00bffee7,0x2b7fff60,
    0x0000ffff,0x800dfff1,0xf3006fff,0x3ee009ff,0xfff502ff,0x3213ffa3,
    0x5fff37ff,0x4c37ffc0,0x6403ffff,0x3ee01fff,0xf0002fff,0x7c400dff,
    0x7ed406ff,0x1cffffff,0x7ffe4400,0x002effff,0xfffffffb,0x1a9889ff,
    0x7ffff100,0x90037ffc,0x7fec9fff,0x3fe2001f,0x03fffe6f,0x45fffb80,
    0x4000ffff,0x7ec5fffb,0x544001ff,0x3fffc409,0x0ffffa00,0x41359300,
    0x4000ffff,0x6405fffb,0x4c003fff,0x8007ffff,0xfb8009aa,0x0fffd1ff,
    0x1ffff500,0x0017fff6,0x0037ffc4,0x4c01bffe,0xf7004fff,0x3fe205ff,
    0x82fff8bf,0xffb9fffa,0x1bffe00f,0x007fffdc,0x2a03fff9,0x0004ffff,
    0x8801bffe,0xfb886fff,0xbeffffff,0xfeb80000,0x0cffffff,0x7ffffdc0,
    0x7ffdc2ef,0x3ffee004,0x801fffe3,0x3ee4fffe,0x3ee005ff,0xdfff33ff,
    0x5fffe800,0x0027ffec,0xf90bfffa,0xfc800bff,0x3ffea5ff,0x3ffe6005,
    0x7fe4005f,0x13fff64f,0x05ffff00,0x006fffb8,0x1fffffec,0x1ffff100,
    0x8cfff880,0x44004fff,0x3e22ffff,0x88003fff,0x7c006fff,0xff3006ff,
    0x3fee009f,0x37ffa02f,0xf880fff9,0x05ffdbff,0xfd037ffc,0x7fe40bff,
    0xffff981f,0x7ffc0005,0x3ffe2006,0x3ffff666,0x0002dfff,0xffffb300,
    0x9805bfff,0xff1009a9,0x7ff400df,0x0ffffa1f,0x93ffff20,0x001ffff8,
    0x3e61fffd,0xf9000fff,0xff98bfff,0xff7000ff,0xfff881ff,0xfff1002f,
    0x3fffd43f,0xfffffb00,0x3ffe2007,0x3fffe60f,0xffff7000,0x0ffffa00,
    0x7ffffcc0,0xff9000ff,0x3ff6009f,0x001fffbe,0x542fffec,0x4000ffff,
    0x4006fff8,0xf3006fff,0x3ee009ff,0x3fee02ff,0x3a06ffcf,0x03fffeff,
    0xf3037ffc,0x3f207fff,0x7ffc41ff,0xff80005f,0x3fe2006f,0xfffff76f,
    0x000039ff,0x3fff2200,0x0004ffff,0x009fffd0,0xfc8ffff5,0x3ee00fff,
    0x7dc4ffff,0x7e400eff,0x3ffe26ff,0xfffb804f,0xfffc86ff,0x7ffd400e,
    0xffff704f,0xfffe8803,0x17fffc46,0x7ffffe40,0x7f4403ff,0xfffc85ff,
    0x7ffd400e,0xfff5003f,0xfff9807f,0x00dfffff,0x00ffffd4,0xffffffa8,
    0x7ffdc006,0xdfffb00f,0x446aaaa0,0x7c006fff,0xff3006ff,0x3fee009f,
    0x3ffe602f,0x3f204fff,0x400fffff,0x7e406fff,0xffc80fff,0x3fffa21f,
    0xff80000e,0x3fe2006f,0xdffff96f,0x00000017,0x7ffff540,0xff500004,
    0x3aa03bff,0x7fcc4fff,0x9510beff,0x09ffffff,0x815ffffd,0x40ffffd8,
    0x302ffffe,0xfffffff9,0x5fffff10,0xffffc881,0x7ffff406,0x7ff64c0c,
    0xfffe81ff,0xfffd501e,0x59ffff99,0xffffea81,0xfffff880,0x7ffe440a,
    0x7fec006f,0x7dc41cff,0xfffaefff,0x36a20aff,0x4004ffff,0x03ffffff,
    0x0bfffe60,0x83ffff88,0xff13ffff,0xfff800df,0x9fff3006,0x0bffee00,
    0x5fffffd0,0x7ffffd40,0x06fff806,0x42ffff44,0x3f61fffc,0xaa99afff,
    0xaaaaaaaa,0x1bffe0aa,0x96fff880,0x00005bff,0xfd980000,0x3200004f,
    0xeeffffff,0x05fffffe,0xfffffffb,0xfd3fffff,0xffff309f,0xffffddff,
    0xfff305ff,0xffd9bdff,0xfffd7fff,0xfffff501,0xfffffddf,0xfe9801df,
    0xffefffff,0x302fffff,0x99dfffff,0x43dfffdb,0xeffffffb,0x1ffffffe,
    0x3ffffea0,0xfffffeef,0x744000ef,0xeeffffff,0x30dfffff,0xddfffffd,
    0x0bffffff,0xfffff900,0x7fff4001,0xffffb805,0x89ffffc1,0x7c006fff,
    0xff3006ff,0x3fee009f,0x7ffe402f,0x7ffc00ff,0xfff803ff,0xffffa806,
    0x88fffe43,0xffffffff,0xffffffff,0x3fe2ffff,0x3fe2006f,0x0003976f,
    0x88000000,0x6400004c,0xffffffff,0x6403ffff,0xffffffff,0x09ffd1ef,
    0x3fffff62,0x02ffffff,0x3fffffea,0x70dfffff,0x36207fff,0xffffffff,
    0x1000dfff,0xfffffff9,0x805fffff,0xfffffffb,0xa80dffff,0xffffffff,
    0x8801efff,0xfffffffd,0x0005ffff,0x7fffffdc,0x884fffff,0xfffffffe,
    0x0005ffff,0x00bffff3,0x007fffe4,0x7c6fffd8,0xfff13fff,0x6fff800d,
    0x09fff300,0x00bffee0,0x00dffff3,0x001ffffb,0x3600dfff,0x3f20ffff,
    0xffff11ff,0xffffffff,0xffffffff,0x0037ffc5,0x000dfff1,0x00000000,
    0x64400000,0xefffffff,0xffd5002d,0x7419dfff,0x7f5404ff,0x04ffffff,
    0xfffffb10,0xff985dff,0x7ff5c06f,0x01dfffff,0xffffb500,0x4007ffff,
    0xffffffd8,0x764c02ce,0x2effffff,0xfffeb800,0x001dffff,0xffffb300,
    0x4405bdff,0xffffffdb,0x740001df,0xf3002fff,0x44007fff,0x3fe4ffff,
    0xdfff13ff,0x06fff800,0x009fff30,0x200bffee,0xb803ffff,0xff006fff,
    0x3fe200df,0x3fff26ff,0xffffff11,0xffffffff,0x45ffffff,0x22006fff,
    0x00006fff,0x00000000,0x55300000,0x98000137,0x400000ab,0x0001aba9,
    0x00357531,0x2aea6000,0x22000009,0x00009aba,0x0026ea62,0x009ab980,
    0x35753000,0x44000001,0x10000aba,0x00013575,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80003100,0x55550002,
    0x33220000,0x2e599704,0x4cc881cc,0x04000400,0x1cccc800,0xccc88000,
    0x15510000,0x055dcc40,0x26aa6600,0x59751000,0xccc80015,0x33332600,
    0xcccccccc,0xcccccccc,0x99999932,0x99999999,0x05999999,0x2a200000,
    0x2aaa01bb,0x02cc880a,0x80000660,0x30019999,0x26621333,0x84ccc409,
    0xccccccca,0x2221cccc,0x88888888,0x88888888,0x20888888,0xfffffffc,
    0xffffffff,0xffffffff,0x000002ff,0x00000000,0x0003fd10,0x360013ee,
    0xb00007ff,0xfff509ff,0x203ffea1,0xd9003ffe,0x02f44001,0x01ffffc0,
    0x1fffe400,0x17ff4400,0xffffffb8,0x7ff5400d,0x300cffff,0xfffffffb,
    0x3ffe0019,0x3fffee00,0xffffffff,0xffffffff,0xffffff74,0xffffffff,
    0x29ffffff,0x3f63ffff,0x3fffe5ff,0xfffffb83,0x3ffff81e,0x5c03ffb8,
    0x1cfffffe,0x7dc3b100,0x7dc03fff,0xfff92fff,0x74fffb85,0xffffffff,
    0x3ff27fff,0xffffffff,0xffffffff,0x2fffffff,0xfffffff9,0xffffffff,
    0xffffffff,0x000005ff,0x00000000,0x447fffa0,0x0befffec,0x8009fff7,
    0x80007ffd,0x7c40fffb,0x2ffec3ff,0x200fffcc,0x8800effc,0x7c005ffe,
    0x40003fff,0x007ffff8,0x417fff44,0xfffffffd,0xfff701ef,0x1fffffff,
    0xffffff98,0xd006ffff,0xfffb80ff,0xffffffff,0xffffffff,0xfffff74f,
    0xffffffff,0x9fffffff,0xfd8ffffe,0x3fffe5ff,0x7ffffe43,0x7ffc2fff,
    0x01ffd83f,0xffffffd1,0x2017dfff,0x7fe41fe9,0x3ffe207f,0x0bfff24f,
    0x3ee9fff7,0xffffffff,0xffff93ff,0xffffffff,0xffffffff,0x325fffff,
    0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,0x0000002e,0x80000000,0xfdffffe8,
    0xffffffff,0x004ffffd,0x0003ffec,0x360bffe6,0xfff986ff,0x206ffd82,
    0x00effff9,0x07ffffa2,0x03ffff80,0x7fffdc00,0xfff7002f,0xfffb85ff,
    0x6fffcabd,0x9bdfff98,0x745fffda,0xf930beff,0xfd8085ff,0x3ffee086,
    0xffffffff,0xffffffff,0xfffff74f,0xffffffff,0x9fffffff,0xfd8ffffe,
    0x3fffe5ff,0x44b7fea3,0x3fe0ffeb,0xffff83ff,0x3fffe20c,0xffffffff,
    0xfecabdff,0xfffd81ff,0x8bfff703,0x7dc2fffc,0xffff74ff,0x7fffffff,
    0x3bbbbbae,0xeeeeeeee,0xeeeeeeee,0x00001eee,0x00000000,0x00000000,
    0xfffffd10,0xffffffff,0x0009ffff,0x8000fffb,0xffa86ffe,0x1fff902f,
    0x204fff88,0x80effff9,0x02ffffe8,0x017776c0,0x3ffffa00,0x7ffd406f,
    0x3e22ffff,0xfff983ff,0xe837fe42,0x3ffe67ff,0xe89ff901,0x54df90be,
    0x333310fd,0x33333333,0xfff33333,0x26666629,0x99999999,0x09999999,
    0x7ec7ffff,0x3fffe5ff,0x7cc1ffa3,0x0ffffe3f,0x1fffd951,0x3bffffe2,
    0xffffffff,0xffffffff,0x06ffe881,0xfc81dfff,0x7ffdc2ff,0x55555534,
    0x00355555,0x00000000,0x00000000,0x00000000,0x7ffec400,0xfedbceff,
    0x0004ffff,0x4000fffb,0x7c41fffc,0x3fe205ff,0x1fffc85f,0x3bfffe60,
    0x3ffffa20,0x00000002,0x7fdfffd4,0x37ff201f,0x3ee2ffd9,0x1bff206f,
    0x3ee03955,0x701dc46f,0x7ffc4bff,0xfebdfdcf,0x400002ff,0x00004fff,
    0x23ffff80,0x3fe5fffd,0x813fe3ff,0x02fe85fe,0xff89fffc,0x3fae20ad,
    0xffffffff,0xff300dff,0x1fffa85f,0x44099988,0x00000999,0x00000000,
    0x00000000,0x00000000,0xfff90000,0x3fff205f,0xffb0001f,0x3fe6000f,
    0x1fffd85f,0x21fffdc0,0x200ffff8,0x88effff9,0x002ffffe,0xfd800000,
    0x40bffd6f,0x8bff61dc,0x3e203ffd,0xffd8007f,0xfb731003,0x7fffd4df,
    0xffffffff,0x7c00004f,0x000004ff,0x323fffe8,0x3ffe5fff,0x403ff12f,
    0x07fc46fc,0x22bfff30,0xffd9804f,0x03ffffff,0x7f45ffa8,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x22000000,0x5400ffff,0xb0005fff,
    0xd1000fff,0xffb81fff,0xfffd004f,0x05fffa83,0x777fffd4,0x9102ffff,
    0x99999999,0x99999999,0x3e607999,0x1fff72ff,0x8bff6020,0x7fc02ffe,
    0x3fea000f,0xffb9500f,0x88dfffff,0xfffffdba,0x00000ace,0x0004fff8,
    0x2fffd800,0xfe93ffee,0x813fe1ff,0x337d45fe,0xffffdb99,0x51000a25,
    0x00159bb9,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xb002fffb,0xb0001fff,0xfb000fff,0xfff889ff,0xfff5000f,0x05fffd0d,
    0xffffffa8,0x3fe602ff,0xffffffff,0xffffffff,0xfff906ff,0x0027ffc4,
    0x7ffc5ffb,0x00fffc01,0xa85fffb8,0xfffffffe,0x7e406fff,0x000005ff,
    0x0004fff8,0x0fffb800,0xfc8bffe6,0x41ffa0ff,0x3fa23ff9,0x3ffffee5,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00fff900,0x2617ffd4,0xcccccccc,0xccccffff,0x3ea2cccc,0x7fec0fff,
    0x7fec003f,0x7fffcc4f,0x7fffd400,0x7fcc02ff,0xffffffff,0xffffffff,
    0xfff886ff,0x007ffe44,0x3fa2ffd8,0x07ffc02f,0x17fff620,0x33ffffe6,
    0x06ffa8ab,0x17ff7ff2,0xfff00000,0x50000009,0xfff88fff,0xf31bfee1,
    0x3fae25df,0x41dfd10f,0x1dfffffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x22005ffd,0x7fdc3fff,0xffffffff,
    0xffffffff,0x3fffa4ff,0x03fffd44,0x07fffd40,0x1013fffa,0x01fffffd,
    0xffffff98,0xffffffff,0x86ffffff,0x7cc1fffb,0xffb003ff,0x1017fec5,
    0xfe980fff,0xdffb03ff,0x41bfee05,0xbffb6ffb,0x7fc00000,0xddddd54f,
    0xdddddddd,0x7ddddddd,0x3fe1bfe2,0x642ffd47,0xffffffff,0x13102ec2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88017ffa,0x7fdc3fff,0xffffffff,0xffffffff,0x3ffea4ff,0x1fffec0f,
    0x0ffff600,0x401ffff3,0xffffffe8,0x0000000e,0xd06fff80,0x3f600dff,
    0x817ff22f,0x3ea06ffb,0x3fa01fff,0x1bff603f,0x7c4bffe6,0x000004ff,
    0x3fee9fff,0xffffffff,0xffffffff,0x217fe4ff,0x27fc46fd,0xefffffa8,
    0x00000081,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ec00000,0x3fe6006f,0x7fffdc2f,0xffffffff,0xffffffff,0x227ffe44,
    0x000ffff8,0xfd0bfff5,0x7f4405ff,0xefffffff,0x00000000,0x540bffea,
    0xfd802fff,0x07ffe62f,0x5c13ffa2,0x7400efff,0xfff704ff,0xb8bff50d,
    0x000004ff,0x3fee9fff,0xffffffff,0xffffffff,0x206aa4ff,0x00aa81a9,
    0x0006ae62,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01fffb80,0x003fff90,0x000fffb0,0xf503fffa,0x3fa009ff,
    0x7ffd40ff,0x3fffa204,0xeffff9af,0x55550000,0x7ffe8003,0x4037ffc0,
    0x7fec2ffd,0xffea89bf,0x0bfff707,0x42bfff20,0x06ffffca,0x005b01d3,
    0x9f774000,0xeeeeeeea,0xeeeeeeee,0x003eeeee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06fff880,
    0x006fff98,0x000fffb0,0x3617ffe6,0x7dc01fff,0x7ffc43ff,0xfffd100e,
    0x7fffcc5f,0xfff8000e,0x3fe6003f,0x7ffe404f,0x217fec01,0xfffffff8,
    0xffa82fff,0xccccccff,0xffff10cc,0xff9fffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffb00000,0x3fa601bf,0xfb0002ff,0x7dc000ff,0x7ffc41ff,
    0x17ffe205,0x4407fff2,0x982ffffe,0x000effff,0x001ffffc,0x8803fffb,
    0x7ec05fff,0xfffd882f,0xfd01efff,0xffffffff,0x7fd41fff,0xfb1effff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc800000,0xa9abffff,0x02fffffd,
    0x00fffb00,0xa86ffe80,0xff902fff,0x4fff881f,0x5ffffd10,0x77fffd40,
    0x3fffe000,0xdfff1003,0x03fff600,0x2a02ffd8,0x2602cddb,0xffffffff,
    0xa80fffff,0x554c1bcc,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,
    0xffffffff,0x2fffffff,0x07ffd800,0x17ffc400,0x7cc37fec,0x6ffd82ff,
    0x0bfffa20,0x03fffea0,0x03ffff80,0x005fff90,0x0013ffea,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xfffffffc,0xffffffff,
    0x4002ffff,0x80007ffd,0xff887ffb,0x42ffec3f,0x4401fff9,0x3ea002fe,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0xff73ffff,0x365dffff,0x6c005fff,0xb00007ff,0xfff507ff,
    0x203bfea1,0x51003ffe,0x00013000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20ffe600,0xfd809a98,0x7fec000e,
    0x55100007,0x546aaa05,0x2aa881aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00398000,0x64000640,
    0x000005ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_50_latin_ext_x[560]={ 0,3,2,0,1,2,1,1,2,2,1,2,3,1,
4,0,1,4,1,1,0,1,1,2,1,1,4,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,2,1,3,0,0,0,0,0,3,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-3,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,4,1,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,2,0,1,-1,
4,1,1,0,1,2,2,1,0,-1,2,1,0,0,4,3,0,4,2,2,0,3,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,3,-1,0,-1,3,2,2,2,2,2,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,4,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-2,-1,-1,-1,-1,3,2,3,4,4,2,1,-3,3,2,2,3,1,3,
-1,3,2,3,2,0,0,3,2,3,2,3,2,2,3,3,2,1,2,1,2,1,2,1,3,2,3,2,3,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,2,5,5,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,-1,-2,2,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,0,1,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_50_latin_ext_y[560]={ 40,7,7,7,5,7,7,7,7,7,7,13,35,26,
35,7,7,7,7,7,7,8,7,8,7,7,16,16,13,17,13,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,46,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,8,16,16,16,16,16,16,7,7,7,20,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,40,16,7,7,13,7,
7,7,7,7,7,18,17,26,7,2,7,13,7,7,7,16,7,21,39,7,7,18,7,7,7,16,-1,-1,-1,0,
1,1,7,7,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,14,6,-1,-1,-1,1,-1,7,7,7,7,
7,8,7,6,16,16,7,7,7,7,7,7,7,7,7,8,7,7,7,8,7,15,15,7,7,7,7,7,7,7,
2,9,0,8,7,16,-1,7,0,7,0,9,0,7,0,7,7,7,2,9,0,8,1,9,7,16,0,7,0,7,
0,8,1,9,7,5,-1,-1,7,7,0,8,2,9,0,8,7,7,1,16,7,7,-1,7,7,7,16,-1,0,7,
7,7,7,7,7,7,7,-1,7,7,16,-1,7,7,7,16,1,9,0,8,-1,7,7,16,-1,7,7,16,0,7,
-1,7,0,7,7,16,0,7,7,8,0,7,7,8,0,8,2,9,0,8,-1,6,-1,7,7,16,-1,7,-1,7,
1,-1,7,1,9,0,7,7,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,7,12,12,7,12,12,12,
12,12,12,12,12,12,12,12,12,12,7,16,12,12,12,12,12,12,12,12,12,12,12,12,12,7,16,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,7,0,7,0,
7,0,7,-1,1,-1,-1,-1,-1,-1,-1,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,-6,-3,-1,7,-1,7,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_50_latin_ext_w[560]={ 0,6,12,25,22,36,28,6,12,12,15,22,6,13,
5,13,22,13,22,22,23,23,22,21,22,22,5,6,22,22,22,22,42,31,25,29,27,25,23,31,26,5,18,27,
21,31,26,31,25,33,29,26,26,26,30,42,30,30,27,9,13,10,19,27,10,22,22,21,21,23,14,21,20,5,
10,21,5,33,20,23,22,21,14,20,13,20,22,32,23,22,22,13,4,13,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,5,21,24,23,26,
4,22,13,34,15,20,22,13,34,27,13,22,15,15,9,20,25,5,10,9,16,19,35,35,37,22,31,31,31,31,
31,31,43,29,25,25,25,25,9,9,15,13,31,26,31,31,31,31,31,20,33,26,26,26,26,30,25,23,22,22,
22,22,22,22,37,21,23,23,23,23,9,9,15,13,23,20,23,23,23,23,23,22,23,20,20,20,20,22,22,22,
31,22,31,22,35,27,29,21,29,21,29,21,29,21,27,27,31,24,25,23,25,23,25,23,25,23,25,23,31,21,
31,21,31,21,31,21,26,20,32,22,16,16,15,15,14,14,11,10,6,5,27,16,24,15,27,21,21,21,9,21,
11,21,12,21,13,24,10,26,20,26,20,26,20,26,28,19,31,23,31,23,31,23,42,40,29,14,29,14,29,15,
26,20,26,20,26,20,26,20,26,13,26,17,26,12,26,20,26,20,26,20,26,20,26,20,26,25,42,32,30,22,
30,27,22,27,22,27,22,12,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,30,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,36,27,23,23,23,23,23,23,23,23,23,23,23,23,23,34,27,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,22,15,15,31,
23,26,20,26,20,26,20,26,20,26,20,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,31,22,43,37,33,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__arial_50_latin_ext_h[560]={ 0,33,13,34,40,35,34,13,43,43,15,22,12,5,
5,34,34,33,33,34,33,33,34,32,34,34,24,31,23,14,23,33,43,33,33,34,33,33,33,34,33,33,34,33,
33,33,33,34,33,36,33,34,33,34,33,33,33,33,33,42,34,42,18,3,7,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,33,33,24,25,33,25,24,24,24,34,24,43,43,43,8,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,33,42,34,22,33,
43,43,6,34,17,21,14,5,34,4,13,27,17,18,7,33,42,6,11,17,17,21,35,35,35,34,41,41,41,40,
39,39,33,43,41,41,41,39,41,41,41,39,33,40,42,42,42,41,40,20,36,42,42,42,40,41,33,34,34,34,
34,33,34,35,25,33,34,34,34,34,33,33,33,33,34,32,34,34,34,33,34,19,27,34,34,34,34,43,42,43,
38,32,40,33,43,33,42,34,41,34,41,32,41,34,40,34,33,34,38,32,40,33,39,32,43,34,40,34,41,43,
41,42,40,41,43,45,41,41,33,33,40,32,38,31,40,32,43,43,39,24,34,43,42,43,43,43,24,41,40,43,
43,33,33,33,33,33,33,41,33,43,34,41,33,33,34,34,40,32,41,33,42,34,34,25,41,33,43,34,40,33,
42,34,41,34,42,33,41,34,46,44,40,34,33,33,41,33,39,32,41,33,42,35,42,34,43,34,41,33,41,43,
39,41,33,39,31,40,33,33,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,34,28,28,43,28,28,28,
28,28,28,28,28,28,28,28,28,28,34,25,28,28,28,28,28,28,28,28,28,28,28,28,28,34,25,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,40,34,40,33,41,
34,41,34,42,40,42,42,42,42,42,42,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,46,44,41,34,43,35,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__arial_50_latin_ext_s[560]={ 511,278,274,236,339,298,257,287,204,311,212,
25,308,386,501,494,439,497,27,417,87,111,462,241,334,416,290,383,473,251,450,
161,48,456,1,116,64,430,400,357,373,424,492,250,65,1,151,85,135,133,206,
311,391,48,418,330,92,33,123,88,377,1,133,428,351,65,298,43,434,112,50,
121,476,504,416,184,506,311,429,88,307,285,296,1,236,22,243,345,266,75,406,
402,397,383,326,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,511,506,333,
338,1,449,306,261,372,1,196,48,228,386,363,400,294,461,180,496,362,115,39,
504,315,153,163,69,239,359,201,391,350,462,1,1,443,27,213,455,120,146,172,
475,494,225,446,429,313,220,414,382,274,259,311,89,167,189,216,268,390,235,43,
212,189,166,143,169,98,275,136,93,468,470,446,422,496,501,244,377,287,346,220,
196,172,275,117,110,437,64,43,22,1,25,65,176,101,287,457,130,118,401,446,
214,288,171,63,178,33,312,124,389,345,146,75,263,152,69,1,200,485,36,178,
485,414,239,318,98,262,487,324,60,291,318,463,169,294,224,59,367,247,310,210,
199,503,400,440,222,243,427,176,284,378,266,417,154,443,332,117,59,299,192,217,
198,22,356,456,93,192,305,477,414,33,488,382,377,343,398,244,202,229,260,217,
283,427,153,316,321,159,262,375,1,1,193,33,105,65,98,278,429,402,442,374,
325,429,257,12,395,476,236,91,286,186,136,456,153,343,28,94,401,390,362,354,
81,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,141,413,413,1,
413,413,413,413,413,413,413,413,413,413,413,413,413,1,174,413,413,413,413,413,
413,413,413,413,413,413,413,413,342,484,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,92,25,
204,228,56,1,88,38,247,489,306,141,162,120,355,295,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,1,82,115,60,119,335,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413, };
static unsigned short stb__arial_50_latin_ext_t[560]={ 1,474,568,370,177,260,300,568,48,1,568,
568,568,568,253,335,260,440,474,300,474,474,260,508,300,260,542,508,542,568,542,
474,48,474,474,300,508,474,474,300,474,474,300,474,474,508,508,335,474,260,474,
335,440,370,440,474,508,508,508,92,370,92,568,568,568,542,370,542,370,542,474,
370,440,135,1,474,404,542,542,542,474,474,542,542,474,542,542,542,542,370,542,
1,1,1,568,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,1,370,48,
335,568,440,1,1,568,300,568,568,568,568,335,568,568,508,568,542,568,440,92,
169,568,568,568,568,260,260,260,370,135,135,177,219,219,260,405,1,177,177,177,
219,135,177,135,219,440,219,48,48,48,135,219,568,260,92,92,92,177,177,440,
370,370,370,370,405,370,260,542,440,300,335,335,335,405,219,440,440,335,508,335,
335,335,440,335,568,508,335,335,335,335,48,92,1,260,508,177,405,48,405,48,
300,177,300,177,508,177,300,219,300,440,300,260,508,219,440,260,508,1,300,219,
260,135,1,135,92,219,92,1,1,135,177,405,440,219,508,260,508,219,508,1,
1,48,542,300,1,92,1,48,1,542,177,177,48,1,405,405,405,440,440,440,
177,440,1,370,177,405,405,370,370,219,474,135,405,92,335,335,542,135,440,48,
370,177,405,92,370,135,370,92,440,135,300,1,1,219,300,405,405,92,405,219,
508,92,405,92,260,48,300,48,300,135,440,92,1,219,135,405,219,508,177,405,
405,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,335,508,508,48,
508,508,508,508,508,508,508,508,508,508,508,508,508,405,542,508,508,508,508,508,
508,508,508,508,508,508,508,508,370,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,219,370,
219,440,135,370,135,405,48,177,48,92,92,92,48,92,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,1,1,135,300,1,260,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508, };
static unsigned short stb__arial_50_latin_ext_a[560]={ 199,199,254,398,398,637,478,137,
238,238,279,418,199,238,199,199,398,398,398,398,398,398,398,398,
398,398,199,199,418,418,418,398,727,478,478,517,517,478,437,557,
517,199,358,478,398,597,517,557,478,557,517,478,437,517,478,676,
478,478,437,199,199,199,336,398,238,398,398,358,398,398,199,398,
398,159,159,358,159,597,398,398,398,398,238,358,199,398,358,517,
358,358,358,239,186,239,418,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,199,238,398,398,398,398,186,398,
238,528,265,398,418,238,528,395,286,393,238,238,238,413,385,199,
238,238,262,398,597,597,597,437,478,478,478,478,478,478,716,517,
478,478,478,478,199,199,199,199,517,517,557,557,557,557,557,418,
557,517,517,517,517,478,478,437,398,398,398,398,398,398,637,358,
398,398,398,398,199,199,199,199,398,398,398,398,398,398,398,393,
437,398,398,398,398,358,398,358,478,398,478,398,478,398,517,358,
517,358,517,358,517,358,517,440,517,398,478,398,478,398,478,398,
478,398,478,398,557,398,557,398,557,398,557,398,517,398,517,398,
199,199,199,199,199,199,199,159,199,199,526,318,358,159,478,358,
358,398,159,398,159,398,209,398,239,398,159,517,398,517,398,517,
398,433,518,398,557,398,557,398,557,398,716,676,517,238,517,238,
517,238,478,358,478,358,478,358,478,358,437,199,437,269,437,199,
517,398,517,398,517,398,517,398,517,398,517,398,676,517,478,358,
478,437,358,437,358,437,358,159,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,539,537,537,398,537,537,537,537,537,
537,537,537,537,537,537,537,537,614,470,537,537,537,537,537,537,
537,537,537,537,537,537,537,612,479,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,478,398,199,159,557,398,517,398,517,398,517,
398,517,398,517,398,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,478,398,716,637,557,437,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_50_latin_ext(stb_fontchar font[STB_FONT_arial_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_50_latin_ext_s[i] + stb__arial_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_50_latin_ext_t[i] + stb__arial_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_50_latin_ext_x[i];
            font[i].y0 = stb__arial_50_latin_ext_y[i];
            font[i].x1 = stb__arial_50_latin_ext_x[i] + stb__arial_50_latin_ext_w[i];
            font[i].y1 = stb__arial_50_latin_ext_y[i] + stb__arial_50_latin_ext_h[i];
            font[i].advance_int = (stb__arial_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_50_latin_ext_s[i] + stb__arial_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_50_latin_ext_t[i] + stb__arial_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_50_latin_ext_x[i] + stb__arial_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_50_latin_ext_y[i] + stb__arial_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_50_latin_ext_LINE_SPACING
#endif

