// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT        212
#define STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_27_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_27_latin_ext_LINE_SPACING          18

static unsigned int stb__arial_bold_27_latin_ext_pixels[]={
    0x33333331,0x00333333,0x33100002,0x001b8003,0x0001aaa8,0xa8005553,
    0x5d4000aa,0x2a2001ac,0x3332603c,0x31026000,0x59032600,0x32ea2000,
    0x4ccc001b,0x99999999,0x15550009,0x206664c0,0x554c02cc,0x99166401,
    0x13322001,0x99819988,0x4004cc41,0x00333000,0x8001332a,0x3009aca9,
    0x59301301,0x06662005,0xcc803322,0x9988001c,0x54c00009,0x00ccc01a,
    0x99102666,0x220b3225,0xfb800199,0xffffffff,0x6401ffff,0x3fa0002f,
    0x3fd5003f,0x0fff9800,0x05ffd000,0x02fffdc0,0xfffffe88,0x7ffe400d,
    0x17fffa05,0x17a27c40,0xfb867c40,0x3fae2001,0xceffffff,0x3fffe601,
    0xffffffff,0x6fffa804,0xf13fffa0,0x7ffc40bf,0xd97fe01f,0xfff3004f,
    0x307ffd40,0x3ffd8fff,0x300f7ec0,0x3fa00fff,0xff90001f,0x1b605fff,
    0xfff701f7,0x7ffa801d,0x3f206fc8,0x64000fff,0x20005fff,0x301ffff8,
    0x7fc03fff,0x9a7fcc3f,0x7ffa84ff,0xffffb800,0xffffffff,0x037ee01f,
    0x027fcc00,0x001fff88,0x8000ffe4,0x22003ffa,0x803ffdff,0xfffffffb,
    0x3fffe604,0xff7ff905,0x337f2005,0x3f6001fe,0x2a006fff,0xccdeffff,
    0x303ffffe,0xffffffff,0x8809ffff,0xc84ffdff,0x3e2ffbff,0x3bbf605f,
    0xa97fe06f,0xff9800ff,0x83ffea07,0x7fec7ff9,0x1723aa03,0xa807ff98,
    0xf30002ff,0x201fffff,0x04fdcef9,0x809ffff7,0x7fc47ffa,0xff7ff302,
    0xffff800b,0xdfb0000f,0x3fe60dfd,0x0fffe01f,0x3fe69ff3,0x007ffa84,
    0xfdcccc98,0x0cccccff,0x00027fa0,0xf1002fec,0x7c4003ff,0x3fa0001f,
    0xbaff4004,0x7ffc01ff,0x201fff32,0x980aeffc,0x01bd72ee,0x07dff910,
    0x005b9300,0x20177fe4,0xf984ffe9,0xcccccdff,0x7ec02ccc,0x74c3ff76,
    0x7fcbd72e,0xf13ff705,0xd17fe09f,0x9991009f,0x307ffd40,0x2eec8ddd,
    0x302dd6e0,0x5fd00ddd,0x7ffdc000,0x7f5c03aa,0xf95100cf,0x5ee980df,
    0x9db03fe4,0x54007ba6,0x004fffff,0xff89ffb8,0x01fff984,0x2660fffe,
    0x3ea02660,0xf500007f,0xff8001ff,0x5d70003f,0x3fff2a00,0x098801cd,
    0x000cc000,0x013304cc,0x970fffcc,0x0bff2037,0x00800000,0x7dc00000,
    0x7fdc003f,0x00fffcc2,0x3304cc00,0x0bff0001,0x01988262,0x0ffc8bff,
    0xfff50000,0xf8800001,0x000002ff,0x27fec000,0xf1000400,0x3e2000df,
    0x4000004f,0x07fffffd,0x26209880,0x01fff981,0x0000fffe,0x0001ffea,
    0x0007ffd4,0x2000fffe,0xc802fcfa,0x03ffffff,0x05565cc4,0xefc803d1,
    0x5dd44001,0xefff801a,0x0bff6000,0x2e37b970,0x654c00cc,0x6e5c001a,
    0x9819971b,0x66dcc2ff,0x1bf25551,0x0003fff3,0x3004ccc0,0x0bff0999,
    0x00d65cc4,0x4ff98bff,0x5c6f72e0,0x1fff50cc,0x32e26644,0x1306662c,
    0xcc884ccc,0x981e65c4,0x332604cc,0x983cdfff,0x04ccc019,0x32603ffc,
    0x70bff24c,0x33260799,0x2bffe204,0x98002fff,0xf301abba,0x7ffc03ff,
    0x26079973,0x5ffea4cc,0x4002cdc9,0x0000fffa,0x5ba64000,0xfffffc80,
    0xfffb103f,0xfd39ffff,0x2e4fcc0d,0xfffffc80,0x3ea02eff,0xfb003fff,
    0x3ffa205f,0x1ffeafff,0xfffffd88,0x7f4404ff,0xffeaffff,0x3f62ff41,
    0x6ffcffff,0x7fcc1fd1,0x3e00001f,0x3fea03ff,0xd885ff87,0x1effffff,
    0x7ff85ff8,0xfffffe88,0xff51ffea,0x23ffcc1f,0xfff33ffd,0x99fffc03,
    0x3ffdc7ff,0x2e04ffd8,0x4fffffff,0xf00fffcc,0x0fff07ff,0x3f67ffa8,
    0xb07ffb87,0x7fdc09ff,0x400bffd6,0xfffffff9,0x0fffcc1e,0x3ee7fff0,
    0x49ffb07f,0xfffbfffa,0xf5000dff,0x65c001ff,0x019971bd,0x803ebea8,
    0x09afff98,0xffffffa8,0x0fffffff,0x20355aa0,0xffffffe9,0xfb03ffff,
    0x801dffff,0xffd01ffd,0xfffffdff,0xfffffa83,0x01efffff,0xffdffffd,
    0x7fcc3fff,0x32fbff60,0x3f24ffff,0x337ffe62,0x04cccccc,0xa80fffe0,
    0x45ff87ff,0xffffffe9,0x2ffc3fff,0x3fa07ff4,0xffffefff,0x41fff51f,
    0x7fec7ff9,0x403fff33,0xfff33fff,0x442fff88,0x3f201fff,0x43ffffff,
    0x3e01fff9,0x0fff83ff,0xff9ffea0,0x42fff887,0x3a01fff8,0x1fff53ff,
    0xfffff500,0x4c3fffff,0x3fe01fff,0x85fff13f,0x3ea1fff8,0xfffeffff,
    0xfff5005f,0xfffd1001,0x03ffd5ff,0x005fffc8,0x2203fff1,0xdbceffff,
    0x802fffff,0x3a203fef,0xecacefff,0x7ec1ffff,0x2ffffecf,0x2a03ffe0,
    0xff50bfff,0x7ffc43ff,0xffecacef,0xbfffa86f,0x43ffff50,0x17fee5fc,
    0x7dc7fff7,0x3ffffe64,0x07ffffff,0xa80fffe0,0x25ff87ff,0xbbdffff8,
    0x3e0ffffe,0x21ffd85f,0xf50bfffa,0x3fea3fff,0xb1ffe60f,0x3ffe67ff,
    0x4cfffe01,0x5ffd87ff,0xb803ffd4,0x3fe606ff,0x0fffe01f,0xfa807ffa,
    0x20dff17f,0x7fd45ffd,0x43ffe607,0xf804fff8,0xfdbaceff,0x3ffe66ff,
    0xd8fffe01,0x3ffd45ff,0x447bffea,0xa801fffc,0xfe800fff,0xffffefff,
    0x7fffc01f,0xfff8800f,0x07fffb01,0x009fffd1,0xfff9002a,0x17ffee09,
    0x7ffe4dff,0x07ffa82f,0xff90fffb,0x1fffec3f,0x6c4fffc8,0xfffc87ff,
    0xfff8ffe1,0x50fffc40,0x7fffccdf,0x7fffffff,0x80fffe00,0x4ed87ffa,
    0x2a0bfff2,0x17fe4fff,0xffd8fff2,0x51fffc87,0x7fcc1fff,0xf99ffec7,
    0x3ffe01ff,0xf50fff33,0x04ffd8ff,0x4c0bff90,0x3fe01fff,0x05ffb83f,
    0x7fd5ffea,0xd8fff505,0x3ff204ff,0x203ffec6,0xfd80fff9,0x3fff30ff,
    0xf51fffc0,0x44ffd8ff,0xfe83fffa,0xfffa804f,0x67ffd400,0x03ffff50,
    0x27ffffd4,0x40fffc40,0xf704fff9,0x2201ffff,0xf02bcedb,0xefd80bff,
    0xf51bfe64,0x3fa61fff,0x9ffd03ff,0x263fff50,0x7ec04fff,0x13ffa0ff,
    0xff87ffea,0x3e09ff72,0xf32fdc7f,0x555557ff,0x7fc00555,0x1ffea03f,
    0x813ffe20,0x17fe4efd,0xffe93fee,0x51fffa84,0x7fcc1fff,0xf99ffec7,
    0x3ffe01ff,0x3e0fff33,0x07ffe2ff,0x301ffec0,0x7fc03fff,0xffff883f,
    0xf77ffa83,0x17ffc09f,0x3e203fff,0x7ffd43ff,0x03ffea02,0x7cc73ba6,
    0x3ffe01ff,0xff17ffc3,0x1fffa83f,0xa805ffc8,0x7ec00fff,0x1fffc86f,
    0x3fffff60,0x1fff8807,0xa80fffb8,0x82fffdff,0xfffffffa,0x07ffe20d,
    0x43fff800,0xff32fff9,0x1fffc07f,0xfa8fffc4,0x7fcc00ff,0x20fffe2f,
    0xff11fff8,0x260fff21,0x31fec6ff,0x00003fff,0xf501fffc,0xfff500ff,
    0x7fc04401,0x3e5ffa85,0xfff883ff,0x4c1fff51,0x9ffec7ff,0x3e01fff9,
    0x0fff33ff,0x7fd57ff2,0x0bffe006,0x201fff98,0xff303fff,0x2fff509f,
    0x3f203ffd,0x40dff55f,0xeeeefffa,0x2605fffe,0x800aefff,0x3e01fff9,
    0xaffe43ff,0xffa86ffa,0x00dff907,0xe801fff5,0xfff984ff,0xf5fff101,
    0xff8805ff,0x86ffd81f,0xfff8cffa,0x77fff444,0x3ea4ffff,0x7ec0007f,
    0x9ffd44ff,0xd00efff9,0xfff509ff,0x401bff23,0x3ffa3fff,0x31fffa84,
    0x40ffecff,0x3fe24ffb,0x007ffe61,0x03fff800,0x2e01ffea,0xff0007ff,
    0x749ff50b,0xfffa84ff,0x4c1fff51,0x9ffec7ff,0x3e01fff9,0x0fff33ff,
    0x7fedffe2,0x3fff1003,0x00fffcc0,0x3f607fff,0x7ffa84ff,0x7c407ff9,
    0x407ffb7f,0xfffffffe,0x200fffff,0xbefffffe,0x05fff100,0xf10bffe2,
    0x20fff6ff,0xfd80fffa,0xfffa805f,0x41fffc00,0xf701fff8,0x017ffadf,
    0xfd03fff1,0x25ff98bf,0x7fdc5fff,0xf937fec5,0x266660df,0x3fe60999,
    0x3ff71eff,0xd82fff54,0xfffc86ff,0x200bffb1,0x3ff65ffe,0x11fffc86,
    0x0bff61ff,0x5fd8bffa,0x000fffcc,0x407fff00,0x09987ffa,0x2000dffb,
    0x3ffb85ff,0x3f21bff6,0x1fff51ff,0x3f63ffcc,0x03fff33f,0xff99fffc,
    0x3ebffa07,0xff3000ff,0x1fff980f,0x2a0fffe0,0xfa80afff,0x809ff77f,
    0x0fffaffe,0xffffff30,0x9fffffff,0x7ffff440,0xff82efff,0x3fff304f,
    0xfff5ffd0,0x05fff501,0xf5009fff,0xffe801ff,0x01fffa84,0x3fea7ffd,
    0x6fffc00f,0x897ffa2b,0x2fff46ff,0x37fdc088,0xff10dffb,0x985fffff,
    0xffcffffe,0x707ff986,0x7fd47fff,0x0bffd1ff,0xfb97ffa0,0x3ffea3ff,
    0x7e4bfe1f,0x8fffd44f,0x7fcc1ffc,0x3e00001f,0x3fea03ff,0xffd5ff87,
    0x17fe000b,0xffb8bff2,0x3fffea3f,0x4c1fff51,0x9ffec7ff,0x3e01fff9,
    0x0fff33ff,0x2fffffdc,0x80dff700,0x3e01fff9,0x2ffd83ff,0x7cdffea0,
    0x7ffdc04f,0x3ff205ff,0x03ffec07,0x7fffffdc,0x7fff43ff,0x07fff442,
    0x2fffffdc,0x4c5fffa8,0xfa802fff,0x7fe400ff,0x81fffc86,0xff10fff9,
    0xfffd809f,0x45bffa4f,0x7ffc0efe,0x3fb2a204,0x1bff26ff,0x3fffffe2,
    0xffff902f,0x3ffa01df,0xfffff880,0xb1fffffe,0x3fe00bff,0x3fffe24f,
    0x1fffffef,0x7ffcd7fa,0xcffffb9c,0xff982ffe,0xffffffff,0xfff006ff,
    0x43ffd407,0x0dffb5ff,0x3617fe00,0x3ffe21ff,0xfffffeff,0x4c1fff51,
    0x9ffec7ff,0x3e01fff9,0x0fff33ff,0x17ffffc4,0x809ff900,0x3e01fff9,
    0x0ffe83ff,0x7c5ffea0,0x7ffc405f,0x3ffe02ff,0x17ffd404,0xfffeb980,
    0x3ffe61ff,0xffffedff,0xfffff103,0x3fffea05,0x06fffcbd,0x801fff50,
    0x3ea3fffb,0xffc81fff,0x203ffec6,0x324fffe9,0x0ffe8fff,0xea83fff8,
    0x6fffffff,0x3221ffea,0x02fffdcc,0x81bfffaa,0xff301ffd,0xfff7ffff,
    0x401fff23,0x7fcc3fff,0xfffbffff,0xffc9fee1,0xffffefff,0xfff301ff,
    0xffffffff,0x3ffe00df,0x21ffea03,0x0fff75ff,0x85ff8088,0x7fcc0ffe,
    0xfffbffff,0x4c1fff51,0x9ffec7ff,0x3e01fff9,0x0fff33ff,0x007fffd8,
    0x2601fff4,0x3fe01fff,0x407ff83f,0x1ffe7ffa,0x81ffff60,0xf801fffa,
    0xc88005ff,0x7fdc4fff,0x5fffffff,0x03fffec0,0xfffdfff5,0x2a003fff,
    0xfe800fff,0xffffefff,0x1fffc41f,0x200bffea,0xefffb818,0xfffa81ff,
    0x5f7ffd42,0x3e26ffa9,0x7fc403ff,0x7fec402f,0x05ffb03f,0x44ef7644,
    0xfff70fff,0x2fffa803,0x89deec88,0x3fe20fff,0x5d3bf6a3,0x2660bcee,
    0xffffff30,0x2dffffff,0xfff83cb9,0x21ffea02,0x3fff55ff,0xff1f7e40,
    0x105ff88b,0xff13bdd9,0x83ffea1f,0x7fec7ff9,0x203fff13,0xff33fff8,
    0x4fff980f,0x017ffc00,0x4407ffe2,0x7ff83fff,0xfb3ffd40,0xfff9803f,
    0x01bff604,0x3607ffe4,0x3ff603ee,0xffffc986,0xff9803df,0x5ffea04f,
    0x001efffc,0x7ffc4000,0x1fffbfff,0x7777ffd4,0x405fffee,0x7fc40ccb,
    0xffd01fff,0x44ffe81f,0x7ff46ffa,0x3ffe600f,0xfb0eaa22,0x0bff20bf,
    0x4fff1002,0x7406fff8,0x10020fff,0x5ff50fff,0x3bfa2000,0x2e17e000,
    0x7ffc47ff,0x21bfea01,0xbfff15ff,0xf9bffe20,0x20ffd45f,0x53ffc400,
    0xffe8005f,0x4c17ffe3,0x05f52fff,0x003fff30,0x4007ffcc,0xff305fff,
    0x80fff05f,0x3fe67ffa,0x0fffcc03,0x07ee0000,0xfd03fff4,0x01fd80bf,
    0x00fffcc0,0x0098fff5,0x00ccc880,0x139dd710,0xffe81fff,0xffffffff,
    0x3ffa00ff,0x1efffc80,0x417ffec4,0x7fe42fff,0x0f7ffcc6,0x317fffdc,
    0x7fe41fff,0x709ff905,0xffa83dff,0x077ffe46,0x70bfffa6,0xffa83dff,
    0x01bff906,0x00fffdc0,0xff50bf30,0x07ffdc7f,0xf86ffd88,0x13ffee5f,
    0x7c7fffb3,0x5c2fec5f,0x7fd41eff,0x9800bf26,0x3ffa3fff,0x7fff442f,
    0xfb005f70,0xffb800df,0x5fffd007,0x40fffe88,0x7e406ff9,0x202fec6f,
    0x00006ffd,0xff701fc8,0x7fdc419f,0x007ec03f,0x501bff60,0x20000fff,
    0x0400fff8,0xf31ffe20,0xffffffff,0x7409ffff,0xfffb80ff,0xfffdceff,
    0x3dffb06f,0x50ffff93,0xfdbfffff,0xd83fffff,0xfffccfff,0x9dfff703,
    0x5e7fffcc,0xfe84fffd,0xffedefff,0xfff986ff,0x4fffdbcf,0x37bfff20,
    0xecba98ab,0x4c001fff,0x7ffc40ff,0x05ffffef,0xf0bffff9,0xffffe8bf,
    0x46ffffed,0x0bfe25ff,0x2f3fffe6,0x3f24fffd,0xffff8804,0x3fffea1f,
    0x4ffffedf,0x7e6417ee,0xed803fff,0x5004fffe,0xfdbfffff,0x7f549fff,
    0xfff905ff,0x40ff98bf,0x03ffffcc,0x04fd8000,0xbdffffd1,0x801fffff,
    0xfcc803fd,0x7d403fff,0xf100007f,0xffb801ff,0x237fd42e,0x7ec07ffc,
    0x21baa07f,0xfffffffa,0x204fffff,0xeffffffa,0xffa80fff,0xffffffff,
    0xffff980d,0x7fc06fff,0x7ffe45ff,0x106fffff,0xfffffffb,0x7fe409ff,
    0x06ffffff,0xfffffe98,0xcfffffff,0xdffd0000,0x7ffffd4d,0xffd00eff,
    0x8bff03ff,0xffffffd8,0x2ffc0eff,0x7fe40df7,0x46ffffff,0x303eeff9,
    0xf90dffff,0xffffffff,0x77ffc41d,0x1bffffa4,0x7fffffc0,0x3fff2001,
    0x0effffff,0x40bfffee,0xe81ffffe,0x7ffff44f,0xf5000006,0xff987ddf,
    0xffffffff,0xeeffa801,0xdffffd02,0x00fff500,0x01ffa200,0x2f3fffe6,
    0x7fc4fffd,0x7ffd404f,0xf887f902,0xffffd55f,0xfb5003bf,0x0fffa9ff,
    0x7fffedcc,0x76c401ce,0xd8803eff,0xffda85ff,0xea803eff,0x01dfffff,
    0xeffffda8,0x76dc4003,0x0adeffff,0x77ecc000,0x77fff544,0x37ffa00c,
    0x2e0bff02,0x03fffffe,0x017f4bff,0x3bffff6a,0x05dfd703,0x4033bfea,
    0xefffffe9,0x45dfd703,0x800cfffd,0x02effed8,0xffffe980,0xdffb83ef,
    0x0b7ffa01,0x3ff63fd4,0x000000cf,0x22077fae,0xdefffffc,0x37fb2000,
    0x19fffb01,0x00bdd300,0x8027c400,0xfffffffc,0x0fffd45f,0xd82fffc0,
    0x2660b302,0x00310000,0x00003100,0x00000000,0x00004c40,0x00000000,
    0x26200000,0x00000000,0x00000266,0x00000000,0x00033100,0x00000000,
    0x00019880,0x00000000,0x20000000,0x00000198,0x00000000,0x00077cc0,
    0x7bdfffb5,0x200dffb0,0x0000fffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000001c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06621988,0x01554400,0xdd500000,0x76c4000b,0x220c002e,
    0x6775c001,0x2a00dee8,0x003eeeee,0x000fbb62,0x30027764,0x037ae5dd,
    0x04ccccc4,0x4ed80000,0xb3005dd3,0x9981ec5b,0x7e400999,0xaf64004f,
    0x33003ed8,0x00004cc1,0x000aaa88,0x0037baa0,0x01eee980,0x76c57b20,
    0x99998803,0x20099999,0x001abba9,0x50013bae,0x1ddddddd,0x00f74c00,
    0x002eed80,0x26013bb6,0x3005d95e,0x87fec033,0xe8001ffc,0x80001fff,
    0x3ffc805d,0x09ff7000,0x567ffcc0,0x77fc007d,0x4c02ffb8,0x002ccccc,
    0x007ffff6,0x001dff10,0x3ffbffc8,0x3fffff20,0xfffff882,0xff9803ff,
    0xff005feb,0x305fdfff,0x809fffff,0x44004ffc,0x00efdcff,0xff34ff98,
    0x3ee00009,0x3e20005f,0x20005fff,0x44002ffd,0x00efdcff,0x3fffff22,
    0x982fffff,0xefffffff,0x03ffd001,0x7ffffd40,0xff1000ff,0x3fee0003,
    0x1bfe6004,0x04fefb80,0x3607ff98,0x03ff90ff,0xffdffc80,0x027c0000,
    0xd0006fd8,0xefc800bf,0x2005ffff,0x07ff0ffb,0x00d41530,0x6feaffa8,
    0x0077e400,0x05fffe80,0x17ffffe4,0x7fffffc4,0xfff9003f,0x35f5001f,
    0xf301bfd9,0xc809ffff,0xfa8004ff,0xf3001fff,0x013fe69f,0x0037fc00,
    0x3febbfa0,0x3ff88003,0xffff5000,0xffffe803,0x2fffffff,0x7fffffd4,
    0x8801ffff,0x2a2005fe,0x00aaaaaa,0x0d454d4c,0x002ff400,0x4c003bf6,
    0x401aaaaa,0x3b207ff9,0x001dd70e,0x7f457fd4,0x07e60005,0x4001ed80,
    0x3d8004e9,0xd8002f2a,0x2009d51e,0x2017e0fb,0x5db13ed8,0x0006ec00,
    0x80199930,0x02ffe998,0x13333333,0x01666400,0x7cc00188,0x4401aaff,
    0x97000099,0x774c0059,0x0007dd13,0x0001df50,0xdeb87754,0x01f5c000,
    0x00f32e00,0xdffffff7,0xf83dfffd,0xfdbaceff,0xdb1006ff,0x20000001,
    0x0017e0fb,0xe8800bd3,0x83ee000d,0x3ffcc05f,0x00d654c0,0x33104c40,
    0x983e4000,0x04ccc019,0x99980333,0x0d654c00,0x2600ccc0,0x26666099,
    0x26666a0a,0x33006660,0x65cc4013,0xca98001a,0x3ffa001a,0x33006662,
    0x200ccc13,0x06660999,0x3e613330,0x9731006f,0xb9880035,0x0ccc01ac,
    0x00026660,0x800004c4,0x0001aca9,0x00035953,0x40357753,0x3ffffffd,
    0xfff30ffd,0x01fffb01,0x001aca98,0x332a1995,0x0a999981,0x8026666a,
    0x401abba9,0x39950cca,0x41533330,0x4c09999a,0xffb107ff,0x409fffff,
    0x99801998,0x3b726019,0x1fff985f,0x7ccfffe0,0x3ffe01ff,0xffffd883,
    0xff304fff,0x9fffc03f,0x3e01fff9,0x3fff33ff,0x441fffc0,0xeffffffd,
    0x7ffec401,0xe804ffff,0x3fff32ff,0xf99fffc0,0x3ffe01ff,0x403fff33,
    0xdff33fff,0xffffd880,0x6c401eff,0x1effffff,0x201fff98,0x26003fff,
    0x99999999,0x80999999,0xffffffd8,0xffd8804f,0x804fffff,0xfffffff9,
    0xfffff81e,0x50ffd3ff,0xdd301fff,0xfffb1039,0xc809ffff,0x85ff71ff,
    0x3e01fff9,0xfff983ff,0x901effff,0x0bfee3ff,0x7c03fff3,0x3ffcc3ff,
    0x7fffffd4,0xb81effff,0x3ea03fff,0xffd884ff,0x260dffff,0x3fe01fff,
    0x03fff33f,0x3ea1fffc,0xffffffff,0x7ffcc1ef,0x4cfffe01,0x3fe01fff,
    0x03fff33f,0x3a61fffc,0xffffffff,0xffff503f,0x3dffffff,0xf997ff40,
    0x3ffe01ff,0x403fff33,0xfff33fff,0x99fffc03,0x3fa606ff,0xffffffff,
    0xffffd303,0x987fffff,0x3fe01fff,0xfff5003f,0xffffffff,0xfa89ffff,
    0xffffffff,0xfff501ef,0xdfffffff,0x3fffea03,0x41ffffff,0x3ffffffe,
    0xfff30ffd,0x7d40015d,0xffffffff,0x3ff901ef,0xff30bfee,0x1fffc03f,
    0x3fffffea,0xfc81ffff,0x985ff71f,0x3fe01fff,0x23ffcc3f,0xaceffff8,
    0xd06fffec,0x3fa01fff,0xfffd80ff,0x265fffff,0x3fe01fff,0x03fff33f,
    0xff11fffc,0xfd959dff,0xfff98dff,0x4cfffe01,0x3fe01fff,0x03fff33f,
    0xff11fffc,0xffd77bff,0xfff881ff,0xffecacef,0x4bffa06f,0x3e01fff9,
    0x3fff33ff,0xf99fffc0,0x3ffe01ff,0x220dff33,0xebbdffff,0x7c40ffff,
    0xfebbdfff,0x3fe60fff,0x0fffe01f,0x7ffffec0,0xffffffff,0x3ffe24ff,
    0xffecacef,0xffff886f,0xfffecace,0x59dfff06,0xc8dfffb7,0xd3ffffff,
    0x3fffa0ff,0x2200beff,0xcaceffff,0x3106fffe,0x2604cc43,0x3fe01fff,
    0x677ffc3f,0x86fffdba,0x02662198,0x7c03fff3,0x3ffcc3ff,0x640ffff6,
    0xff984fff,0x2fffb85f,0xe8bfffa8,0xff31fffe,0x9fffc03f,0x3e01fff9,
    0x3fff63ff,0x49fff903,0x3e01fff9,0x3fff33ff,0xf99fffc0,0x3ffe01ff,
    0x20bfff23,0x7ec4fffa,0xfff903ff,0x4cbffa09,0x3fe01fff,0x03fff33f,
    0xff99fffc,0x4fffe01f,0xff906ff9,0x9fff505f,0xa82fffc8,0x3fe64fff,
    0x0fffe01f,0x32fffe60,0xcccccfff,0x3ff62ccc,0x9fff903f,0x903fffd8,
    0xff989fff,0x0fffd80f,0x3fffffe2,0x3a20ffd3,0xefffffff,0x03fffd82,
    0x0009fff9,0x403fff30,0x3fe63fff,0x0fffd80f,0x7ffcc000,0x30fffe01,
    0x7ffccfff,0x07ffec04,0xf10fffe4,0x3ff60bff,0x15997f16,0xf807ffe6,
    0x3fff33ff,0xf99fffc0,0x7fec04ff,0x03fff30f,0xff99fffc,0x4fffe01f,
    0x3e01fff9,0x9fff13ff,0xf3277ec0,0xffd809ff,0x32ffe80f,0x7fc03fff,
    0x03fff33f,0xff99fffc,0x4fffe01f,0xff886ff9,0x93bf604f,0x3604fff8,
    0x3ffe64ef,0x00fffe01,0x7fd57ff6,0xfff3000f,0x0fffd809,0xd809fff3,
    0x3fea0fff,0x1cee980f,0x9fffff4c,0x7fdc07fe,0x23ffffff,0x6c04fff9,
    0x99930fff,0x7cc99910,0x3ffe01ff,0x203ffea3,0x9931cee9,0x4c999109,
    0x3fe01fff,0x53ffcc3f,0xf9801fff,0xfff882ff,0x403fff26,0x01f54ffe,
    0xf807ffe6,0x3fff33ff,0xfa9fffc0,0x7fcc00ff,0x03fff32f,0xff99fffc,
    0x4fffe01f,0x3e01fff9,0x1fff53ff,0x7fd40440,0x7ffcc00f,0xf32ffe82,
    0x7ffc03ff,0x403fff33,0xfff33fff,0x99fffc03,0xfffa86ff,0x3ea02200,
    0x202200ff,0x3e01fff9,0x7fc403ff,0x01fff52f,0x003ffea0,0x3ea5fff3,
    0x7fcc00ff,0x3bffe62f,0xfc88000a,0x200ffd3f,0xfffffeb9,0x801fff51,
    0xff52fff9,0x4cfff30f,0x3fe01fff,0x3bffe63f,0x7ffa800a,0x3e67ff98,
    0x3ffe01ff,0xf93ffcc3,0x3ffe00df,0x37fff503,0x7fc07fff,0x7cc0db3f,
    0x3ffe01ff,0x403fff33,0xdff93fff,0x4cfffe00,0x3fe01fff,0x03fff33f,
    0xff99fffc,0x4fffe01f,0x90007ffb,0x3fe00dff,0x32ffe83f,0x7fc03fff,
    0x03fff33f,0xff99fffc,0x4fffe01f,0xffb86ff9,0xfff70007,0x3ffe6000,
    0x00fffe01,0x7fd4dff9,0xdff9000f,0x64fffe00,0xfff006ff,0xfffffe87,
    0x3ea000be,0x000ffd3f,0x329fff91,0xfff006ff,0x261ffea7,0x3ffe67ff,
    0xd0fffe01,0x17dfffff,0x261ffea0,0x3ffe67ff,0x30fffe01,0x2ffecfff,
    0x205ffe80,0x6ffefffd,0x4f9fff40,0x807ffe60,0xfff33fff,0xd9fffc03,
    0xffd005ff,0x807ffe6b,0xfff33fff,0x99fffc03,0x3fe01fff,0x00dffb3f,
    0x4017ff60,0xffe85ffe,0x403fff32,0xfff33fff,0x99fffc03,0x3fe01fff,
    0xb0dff33f,0x36000dff,0xf30006ff,0x7ffc03ff,0x8fffe203,0xccccfffa,
    0x3ff64ccc,0x2bffd005,0xfd005ffd,0xfffe88bf,0x802effff,0x0ffd3ffa,
    0x7ec07ddb,0x00bffb6f,0x7fd57ffa,0x267ff987,0x3fe01fff,0x7fff443f,
    0x542effff,0x7ff987ff,0xf807ffe6,0x3ffcc3ff,0x3a00bffd,0x3fe205ff,
    0x6401ffff,0x971f9cff,0x07ffe637,0xff33fff8,0x9fffc03f,0xfd005ffe,
    0x07ffe6bf,0xff33fff8,0x9fffc03f,0x3e01fff9,0x0bffd3ff,0x017ffa00,
    0x7f42fff4,0x03fff32f,0xff99fffc,0x4fffe01f,0x3e01fff9,0x0dff33ff,
    0x2000bffd,0x30005ffe,0x7fc03fff,0x1fff203f,0xfffffff5,0x7ff4ffff,
    0x2bffd005,0xfd005ffe,0x3ffee0bf,0x403fffff,0x0ffd3ffa,0x7f40fffd,
    0x00bffd5f,0x7fd57ffa,0x267ff987,0x3fe01fff,0xffff703f,0x7d47ffff,
    0x27ff987f,0x3e01fff9,0x3ffcc3ff,0x3e00bffb,0x7fdc04ff,0xffa804ff,
    0x7fff17df,0xf807ffe6,0x3fff33ff,0xfd9fffc0,0x9fff005f,0xf807ffe6,
    0x3fff33ff,0xf99fffc0,0x3ffe01ff,0x000dffb3,0x7c017ff6,0x2ffe84ff,
    0x7c03fff3,0x3fff33ff,0xf99fffc0,0x3ffe01ff,0xfb0dff33,0x3f6000df,
    0xff30006f,0x1fffc03f,0x543fff88,0xffffffff,0x17ff67ff,0xfda7ffc0,
    0x9fff005f,0xfffeb980,0x3fea01ff,0xff70ffd3,0x7fdc419f,0x00bffb3f,
    0x7fd53ffe,0x267ff987,0x3fe01fff,0x7f5cc03f,0xff51ffff,0x4cfff30f,
    0x3fe01fff,0x93ffcc3f,0x3fe00fff,0x7ffe803f,0xdffff100,0x261fffd7,
    0x3fe01fff,0x03fff33f,0xffc9fffc,0x27fff007,0x3e01fff9,0x3fff33ff,
    0xf99fffc0,0x3ffe01ff,0x880fff73,0x007ffc80,0xffd07fff,0x807ffe65,
    0xfff33fff,0x99fffc03,0x3fe01fff,0x70dff33f,0x80880fff,0x04407ffb,
    0xf00fffcc,0x3fee07ff,0x5fffd40f,0x22aaaaaa,0xff007ffc,0x01fff27f,
    0x1001fffc,0x5409fff9,0x10ffd3ff,0xfbdffffd,0x3f21ffff,0x7fff007f,
    0x3e61ffea,0x07ffe67f,0x2003fff8,0xf54fffc8,0x4fff30ff,0x3e01fff9,
    0x3ffcc3ff,0xa803fff7,0xfd802fff,0x3fa2005f,0x22ffffff,0xf101fff8,
    0x3ffe27ff,0x27fff101,0x5401fffb,0xfff12fff,0x4fffe203,0xf101fff8,
    0x3ffe27ff,0x27fff101,0x3201fffa,0x3ffee3ef,0x17ffd401,0xff897ff4,
    0x7fff101f,0x4407ffe2,0xfff13fff,0x4fffe203,0xffa86ff9,0x8fbf201f,
    0x3201fffa,0x3ffe23ef,0x07fff101,0x3ffffffa,0x000fffff,0xa803fff7,
    0xfff72fff,0x2fffa803,0xfd80fbb6,0x4ffea06f,0xfff307fe,0x3fffffff,
    0x200fffdc,0xff52fffa,0x44fff30f,0xff101fff,0x01f76c7f,0x3feadffb,
    0x227ff987,0xff101fff,0x27ff987f,0x7406fff8,0xfd800fff,0x7f44005f,
    0xff82efff,0x5fff305f,0xf982fffc,0xdfff12ff,0x20fffe80,0xff305fff,
    0x82fffc5f,0x3fe2fff9,0x5fff305f,0x4417ffe2,0x3fe26fff,0x7fff406f,
    0x3e2ffe80,0xfff305ff,0x982fffc5,0x3ffe2fff,0x25fff305,0xff886ff9,
    0xdfff105f,0x882fffc4,0x7ffc6fff,0x05fff305,0xfffffff5,0x001fffff,
    0xd01bffe2,0x3fe21fff,0x7fff406f,0xe81fffa0,0x3fea05ff,0x6440ffd3,
    0x0defffff,0x2037ffc4,0xff30fffe,0xf8fff50f,0xfff305ff,0xd03fff45,
    0x1ffe6bff,0xfff1ffea,0x0bffe60b,0xffc8fff3,0x7ff4c0ef,0xbffb002f,
    0x133bd000,0x217fff40,0x3a0fffe8,0x7f442fff,0x3fff20ff,0x7fff4c0e,
    0x217fff42,0x3a0fffe8,0x7f442fff,0x3fffa0ff,0x07fff442,0xd989fff7,
    0x7fe43fff,0x7ff4c0ef,0x45ffd02f,0x7442fffe,0x3ffa0fff,0x7fff442f,
    0x10bfffa0,0x3e61fffd,0x9fff706f,0x43fffd98,0x6cc4fffb,0x7ff43fff,
    0x7fff442f,0xfffffe80,0x0fffffff,0x3bfff200,0x17fff4c0,0x303bfff2,
    0xfb85fffd,0x3ee20cff,0x3fea03ff,0x3200ffd3,0x3f200cff,0x7f4c0eff,
    0x3ffe22ff,0x3a3ffec1,0x7f442fff,0x3ffee0ff,0x3ffee20c,0xd83fff13,
    0x7fff47ff,0x07fff442,0xfd02b3a6,0xffdbdfff,0x7ec00dff,0x1fc4005f,
    0xfffffa80,0x44ffffed,0xedfffffa,0xfe84ffff,0xffedefff,0xfffa86ff,
    0xffffedff,0x7ffffd44,0x44ffffed,0xedfffffa,0xfe84ffff,0xfffedfff,
    0xffffd06f,0xdffffdbd,0xf517ff40,0xffdbffff,0xfffa89ff,0xffffedff,
    0x7ffffd44,0x24ffffed,0x3fa06ff9,0xfffedfff,0xffffd06f,0x0dffffdb,
    0xdbfffff5,0xf509ffff,0x3fea05ff,0x7ff4000f,0xfffedeff,0xffffd06f,
    0xdffffdbd,0xdffffd10,0x01fffffb,0x7fe9ffd4,0x0dfb5700,0xdeffffe8,
    0xf86ffffe,0xffdaaeff,0x7fffd47f,0x4ffffedf,0x77ffff44,0x20fffffd,
    0xfdaaefff,0x7ffd47ff,0xffffedff,0x45feda84,0xffffffd8,0x6c004fff,
    0x7d4005ff,0x3fff2000,0x0effffff,0xffffffc8,0xd880efff,0xffffffff,
    0x3fff204f,0x0effffff,0xffffffc8,0xfc80efff,0xffffffff,0xfffd880e,
    0x00efffff,0xffffffb1,0xdd709fff,0xffc85fff,0xefffffff,0xfffffc80,
    0xc80effff,0xffffffff,0x3ffe60ef,0x7fec43ee,0x0effffff,0xfffffb10,
    0x3201dfff,0xffffffff,0x6ffe80ef,0x3ffffea0,0x47ffffff,0xffffffd8,
    0x36204fff,0xffffffff,0x3ffe604f,0x1fffffff,0xfe9ffd40,0x07fc4007,
    0xfffffb10,0x3209ffff,0xfbffffff,0xffffc87f,0x80efffff,0xfffffff9,
    0x7fe41fff,0x7ffbffff,0xffffffc8,0x2600efff,0xffea80ff,0x8001dfff,
    0x6c005ffd,0xffe98006,0x4c03efff,0x3efffffe,0xffffea80,0xfe9801df,
    0x403effff,0xefffffe9,0x7fff4c03,0xeb803eff,0x003fffff,0xbfffffd5,
    0x3ffff203,0xfffe982f,0x74c03eff,0x03efffff,0x7fffff4c,0xffff983e,
    0xfffd704f,0x3ae007ff,0x803fffff,0xefffffe9,0x07fff303,0x7fffffd4,
    0x507fffff,0x3bfffffd,0x3fffaa00,0xc8801dff,0x0defffff,0xfd3ffa80,
    0xeccc880f,0xffd5005f,0xc803bfff,0xfff2efff,0x3ffffa60,0x7e4403ef,
    0x00deffff,0x3e5dfff9,0xfffd307f,0x99107dff,0x31007fd9,0xffd80001,
    0x0015c005,0x40006620,0x22000198,0x26200009,0x03310001,0x00066200,
    0x20000998,0xeeb80098,0x4c401eee,0x03310001,0x30066200,0x007ddddd,
    0x4c000133,0x33100009,0x01fffb00,0x7fffffd4,0x807fffff,0x44000098,
    0x26200009,0x2ee98001,0xee880bd9,0x310002ce,0x00110001,0x8000cc40,
    0x04400198,0x80331000,0x002cefe8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x01bd71ee,0x33333333,0xed880013,0x55100003,0x776c0005,
    0x26062003,0x2bbb6000,0x95004eea,0x26601c88,0x0ccc0009,0x00266620,
    0x06662000,0x0fffc000,0x565cc400,0x06206201,0x006aee60,0x3002aaa0,
    0x4cc40133,0x22133100,0xdd500099,0x10017b21,0x88000981,0x44001eee,
    0x01bd72ee,0x06621988,0xb0027764,0xed8005dd,0xed80002e,0xeea8002e,
    0xd900000d,0x2aa8809d,0x3f60f32a,0xf983ffae,0xffffffff,0x3a2003ff,
    0xfd80001f,0xf30003ff,0x0fd400ff,0x3e6005f3,0x001ffd4f,0x3f2233e6,
    0x05fff100,0x80fffc40,0x201ffffa,0xfffffffa,0x00fff500,0x007ffe00,
    0xfffffd88,0x44f881ef,0xfffd905e,0x2005dfff,0x2606fffa,0x3f605fff,
    0x25ff703f,0x3a003ffa,0x001ffbef,0xf75bffd1,0xfffd0003,0xffc8001d,
    0xfe803ffa,0x2203ff67,0xfa801ffe,0x7fdc004f,0xffb80004,0x3ff20004,
    0xff880003,0x3ffcc00e,0xff10bff9,0x3fe60bff,0xffffffff,0x8a9805ff,
    0x50001aaa,0x003ffbff,0x800ffe60,0x007eccfe,0x0ffd57f6,0x3ffff600,
    0x0bffe204,0x81fff880,0x402ffff9,0xfffffffa,0x00fff500,0x007ffe00,
    0x7fffff4c,0xfc83ffff,0xfd81fecd,0xffffffff,0x6ffc403f,0xfff304ff,
    0x0fff603f,0xffa97fdc,0x3ffe2003,0x3bea004f,0x8007ffff,0x05ff9ffc,
    0x05fffe80,0x7fecffd0,0x009fd100,0xfd000bfd,0x3fa0000b,0x6fd80005,
    0x0efc8000,0x327ff980,0xbdd305ff,0x37ffe601,0xfffdcccc,0xf07dc02f,
    0x9ff1000b,0xa8001bf6,0x3f66005e,0xbd1001df,0x4000bb21,0x7c401cc9,
    0x3e2002ff,0x7ffcc1ff,0x9998802f,0x3ea01999,0x3300007f,0x3ffe2003,
    0xfffebbdf,0x77fe440f,0xcefffd83,0x1ffffecb,0x7fddbf60,0x6ffff981,
    0x2a07ffb0,0x05dd51ee,0x004cca80,0x039732dc,0xd32ee880,0xcc88003d,
    0x4dd9000c,0x36200eec,0x017a600d,0x00017a60,0x00002f4c,0xd80003d9,
    0xddd1001d,0x32a2775c,0x9839950c,0xff301fff,0x5333309f,0x04cccd41,
    0x2660cc40,0x4332a000,0x11001cca,0x2b2a6000,0x77510001,0x7ffc4035,
    0x3ffe2002,0x0bfffe61,0x03595300,0x0007ffa8,0x01abba88,0x5417ffe4,
    0x40204fff,0xf704fffc,0x04cc0bff,0xfff30133,0x7ffb07ff,0x00999880,
    0x99999988,0x01999999,0x00099988,0x00266620,0x31004ccc,0x4ccccc13,
    0x09999999,0x2660ccc4,0x82662009,0x99999999,0x33100009,0x4c400013,
    0x33100099,0x43333003,0xf9001998,0x30bfee3f,0x7ec03fff,0x0fffcc6f,
    0x2627fff0,0x13331009,0xf9026620,0x20bfee3f,0x99999999,0xd8809999,
    0x4fffffff,0xfffff900,0xff105dff,0x7fc4005f,0x5fffd11f,0x3fff6200,
    0xf504ffff,0x2ccc98ff,0x3fffff20,0xff882eff,0x13bf604f,0x3fe06662,
    0x277ec05f,0x33100666,0x3ffffe61,0x01ffec0f,0x2017fff2,0xfffffffb,
    0x01ffffff,0x002fffe4,0x00bfff90,0x6c0bfff3,0xffff33ff,0xffffffff,
    0x30fffa89,0x7ec0bfff,0xfffff33f,0x07ffffff,0x05fffc80,0x17fff200,
    0x01fffdc0,0x7d49fff5,0x321fa0ff,0x85ff71ff,0x3a01fff9,0x7ffcc4ff,
    0x6cfffe01,0xfffb06ff,0x913ffa0b,0x0bfee3ff,0xfffffff3,0xa89fffff,
    0xffffffff,0xfd301eff,0xffffffff,0x2fff887f,0x27ffe200,0x003fffe8,
    0xfffffff5,0xfa83dfff,0x3bffe27f,0xffffe980,0x43ffffff,0x2200fffa,
    0x83ffea00,0x0001fff9,0x7403fff3,0xffff34ff,0x3ffd8bff,0x07ffffc0,
    0x3ffffee0,0xffffffff,0x7ffffc01,0xffff0000,0xfff9801f,0x27ffb01f,
    0xfffffff9,0x544fffff,0xfff30fff,0x4fff603f,0xfffffff9,0x005fffff,
    0x003ffffe,0x07ffffc0,0x00fffe80,0x7d41fffd,0x103fe0ff,0x204cc433,
    0xc881fff9,0x7fcc1fff,0x4fffe01f,0xfff07ffb,0x5fff10ff,0x26621988,
    0x7ffffcc0,0x4fffffff,0x33bfffe2,0x86fffeca,0xacefffe8,0x21ffffec,
    0x2002fff8,0xffeafff8,0xfff1005f,0xffd959df,0x17ffa8df,0xd101dffd,
    0xd959dfff,0x7dc3ffff,0x7d40007f,0x1ffee0ff,0x1fff9800,0x7cd3ffa0,
    0x22fffbff,0x3ea03ffd,0x4c04ffff,0xfffdcccc,0x200ccccc,0x04fffffa,
    0xfffffa80,0x7fffcc04,0x267ffb06,0xccccdfff,0x7d42cccc,0xffff30ff,
    0x4cfff60d,0xccccdfff,0x802ffffd,0x04fffffa,0xfffffa80,0xbfff3004,
    0xa85fff70,0x3ff10fff,0xfff98000,0xffffffff,0x1fff986f,0x7ccfffe0,
    0x7ffcc1ff,0x7ffd41ff,0x7fcc0000,0xccccccdf,0x3fff62cc,0x89fff903,
    0xf704fffc,0x7ffc4bff,0x3ffe2002,0x01ffffff,0x903fffd8,0x7fd49fff,
    0x201fffd7,0xf704fffc,0x37fecbff,0x3ffea000,0x4c1bff20,0x30999999,
    0x7f403fff,0x3afff34f,0x0fff66ff,0x7fffffd8,0x0fffa800,0x7fffec00,
    0xffd8007f,0x7cc07fff,0xfd83ffff,0x03fff33f,0x21fff500,0x83fffff9,
    0xfff33ffd,0x13ffe603,0x3fffff60,0xfffd8007,0x3f2007ff,0x3ffe21ff,
    0x10fffa85,0x133265ff,0xff993322,0xffffffff,0xfff980cf,0xf8fffe01,
    0x7ffe43ff,0x37fe43ff,0x99109993,0x00fffcc9,0x809fff30,0x3fe0fffd,
    0x277ec05f,0x4005fff1,0xfffffff8,0x7fcc06ff,0x7ffec04f,0xffbfff50,
    0x2fffc03f,0xfe93bf60,0x7d40005f,0x1bff60ff,0x3fffffe2,0x03fff32f,
    0xff9a7ff4,0x369fff37,0xfff103ff,0x8005fff5,0x2000fffa,0xfffafff8,
    0x3ffe2002,0x2602fffa,0x40ffffff,0xfff33ffd,0xfff50003,0x3ffffe61,
    0x99ffec0f,0x3f601fff,0x7ffc406f,0x2002fffa,0xfffafff8,0xdfff1002,
    0x5407ffe4,0x7ff30fff,0x3e61ffea,0x3bffe67f,0x405ffffe,0x3e01fff9,
    0x17ff63ff,0x8bffbffd,0x3fea4ffd,0x267ff987,0x2a001fff,0x7cc00fff,
    0x3fff12ff,0x3ffe2000,0x3ffe2002,0x3fffbbff,0x003ffea0,0x3ea5fff3,
    0x206fffff,0x0001fff8,0x8000dffb,0x3f20fffa,0xffff886f,0xfff32fff,
    0x9a7ff403,0x3fff27ff,0xf703ffd8,0x017ffadf,0x001fff50,0xffeb7fdc,
    0x5bfee005,0x3e605ffe,0x6c5fffff,0x3fff33ff,0x1fff5000,0x3fffffe6,
    0xf99ffec5,0x3ffa01ff,0xeb7fdc04,0x3ee005ff,0x00bffd6f,0x7cdfffd4,
    0xfff503ff,0x7d53fea1,0x27ff987f,0x3ee1fff9,0xff300dff,0x1fffc03f,
    0x7fc4dff9,0x7fc7ff9f,0x21ffea2f,0x3fe67ff9,0x3ff2001f,0x27fff006,
    0x20007ffa,0x2002fff8,0x3a3ffff8,0xff901fff,0x4fffe00d,0xfffffffa,
    0x00fff503,0x203ffdc0,0x3ffea008,0x221ffee0,0x2fffdccc,0x7403fff3,
    0x4fff34ff,0xffddfff8,0x2a7ffd03,0x2a000fff,0x3a000fff,0x1fff53ff,
    0x54fffa00,0xff300fff,0x6c5fff7f,0xbfff33ff,0x99999999,0x261fff50,
    0x2fffbfff,0x7fccfff6,0xfffc881f,0xa9fff401,0xfd000fff,0x03ffea7f,
    0xfefffd80,0x3ffea06f,0x3ea9ff70,0x27ff987f,0x7e41fff9,0xfff305ff,
    0x51fffc03,0x3fea1fff,0x3e63ffd5,0x1ffea0ff,0xff99ffe6,0xccccccdf,
    0x017ff64c,0xffcafff4,0x33333306,0x0bffe213,0x44fff880,0xfb06fffa,
    0x3ffa00bf,0xfbffff55,0xdff901ff,0x26666660,0x03fff509,0x7d41f7e4,
    0x3ffea0ff,0x97ffc403,0xaaacfff9,0x34fffaaa,0xfffa8fff,0xff983fff,
    0x09fff10f,0x007ffd40,0xf10fff98,0xff3009ff,0x13ffe21f,0xffebffcc,
    0x7ccfff66,0xffffffff,0xfffa87ff,0x3fafff30,0x4cfff66f,0xffffffff,
    0x4c06ffff,0xfff10fff,0x1fff3009,0x8013ffe2,0x1ffffff8,0x643ffea0,
    0x0fff55ff,0x7fccfff3,0x2fffe81f,0x201fff98,0x3fe23fff,0x327ff92f,
    0x8dff73ff,0xff987ffa,0x3ffffe67,0x27ffffff,0xfd005ffe,0x21bff6bf,
    0xfffffff8,0x005fff12,0x6c0fffc4,0xffe83fff,0x2bffd005,0xffd2fffa,
    0x10dffb09,0x5fffffff,0x4417ffe2,0xffa86fff,0x077ff40f,0x265fff30,
    0xffffffff,0xf34fffff,0xffffb0ff,0x8dff907f,0x2a007ffd,0xf9000fff,
    0x07ffd8df,0x7ec6ffc8,0x2fff307f,0xffb4fff9,0x3ffffe67,0x87ffffff,
    0xff30fffa,0x6d3ffe6f,0xffff33ff,0x9fffffff,0x46ffc801,0xfc807ffd,
    0x03ffec6f,0x13fffee0,0x321fff50,0x0fff56ff,0x7fccfff3,0xffff981f,
    0x00fffcc0,0xffe87fff,0x3ea3ffd3,0xa8bff95f,0x7ff987ff,0x3fffffe6,
    0x367fffff,0xfff005ff,0x221bff29,0x2fffffff,0x4005fff1,0xf981fff8,
    0x7fec0fff,0x29fff005,0x3fea7ffa,0x437fe41f,0xfffffff8,0x313ffee2,
    0xf507fffb,0xfffa81ff,0xffffa81e,0xffffff32,0x9fffffff,0x3e21ffe6,
    0x7c43ffff,0x7ffd43ff,0x1fff5002,0x87fff100,0x2202fffa,0x7fd43fff,
    0x27ff982f,0xffd8fffc,0x557fff33,0x50555555,0x3fe61fff,0x363fff27,
    0xdfff33ff,0x00bffffd,0xf50fffe2,0x7fc405ff,0x17ffd43f,0x01fffa00,
    0x7ec3ffea,0x30fff56f,0x7ffccfff,0x8bfff701,0x3e01fff9,0x6ffe43ff,
    0x3fe27ff8,0xfa87ffd7,0x27ff987f,0xaaabfff9,0x3f22aaaa,0x7fff007f,
    0x3221ffea,0x12fffdcc,0xffffffff,0x7fc4ffff,0xbfff901f,0xf007ffc8,
    0x1ffea7ff,0xffa8bffb,0xfdccc887,0x7fff42ff,0x6ffffedf,0x901fff50,
    0xfdbfffff,0x263fffff,0xaaaacfff,0xf34fffaa,0x3fff20ff,0x77ffd43f,
    0x5fffeeee,0x01fff500,0xdddfff50,0x40bfffdd,0xeeeefffa,0xf985fffe,
    0x37ffe27f,0xfff33ffd,0xfff50003,0xf89ffe61,0x33ffddff,0x7fdc3fff,
    0x7fd400df,0xffeeeeef,0x3ffea05f,0xfffeeeee,0x2ffec005,0xd87ffd40,
    0x0fff56ff,0x7fccfff3,0x3fffa01f,0x407ffe22,0x7d43fff8,0x745ffbff,
    0x41fffaff,0xff987ffa,0x007ffe67,0x401fffb8,0xff12fffa,0xfff8807f,
    0xffffff12,0x44ffffff,0xff101fff,0x7ffdc5ff,0x97ffd401,0x7fcc7ffa,
    0x0fffe22f,0x885fff10,0xfffffffd,0xfff500ef,0x3fffee01,0x0dffffff,
    0xe807ffe6,0x0fff34ff,0x3a1ffff4,0xffffffff,0xa800ffff,0xfe800fff,
    0xffffffff,0xffd00fff,0xffffffff,0x7ff981ff,0x7fffffd4,0x003fff33,
    0x261fff50,0x7ffd47ff,0xfff33fff,0x05fffc83,0x7ffffff4,0x00ffffff,
    0xfffffffd,0x001fffff,0x5402ffec,0xdffb0fff,0x3ea1ffe6,0x07ffe67f,
    0x20ffff98,0xff305fff,0xefff885f,0x77fe43ff,0x7ff987ff,0x3e67ffa8,
    0x3e2001ff,0x7ff406ff,0x03fffa0f,0xf12fff98,0xffffffff,0x7ffc4fff,
    0x3fffee01,0x80dfff10,0xff50fffe,0xe8dff90f,0x3e600fff,0xffd702ff,
    0xfa807fff,0x3b2600ff,0x81ceffff,0x3a01fff9,0x0fff34ff,0xf31fffd4,
    0xffffffff,0x5009ffff,0xf9801fff,0xffffffff,0xf984ffff,0xffffffff,
    0x7cc4ffff,0xffffd87f,0x03fff33f,0x21fff500,0xffd87ff9,0xfff33fff,
    0x05fffd03,0x3fffffe6,0x4fffffff,0xffffff98,0x4fffffff,0x017ff600,
    0x7643ffea,0x83fff15e,0xdd807ffd,0xfffd001b,0x0fffe885,0x1fffffe8,
    0x2fffffd4,0x360fffc4,0x3ffe67ff,0x7ffe4001,0x7fff4c0e,0x0f7ffcc2,
    0x817fffdc,0x8000ace9,0xf9001bdd,0xfe981dff,0x336e02ff,0x77ffcc02,
    0x2ffffb81,0x00fbf220,0x4007ffd4,0x4c00effb,0x3fa01fff,0x0deec04f,
    0xb01fff20,0xff500fff,0x7ffc801f,0x643ffec0,0x7fec07ff,0x443ffcc7,
    0xf33fffff,0xf50003ff,0x1ffe61ff,0x4fffffe2,0xf981fff9,0xffc80fff,
    0x43ffec07,0x7ec07ffc,0x3ff6007f,0x0fffa805,0x5577ffc0,0x4407fffd,
    0xa800ffed,0xfedfffff,0xffb04fff,0xfff10fff,0x3ffe07ff,0x7fffdaae,
    0x0007ffe6,0x37bffffa,0x506ffffe,0xfdbfffff,0x203fffff,0x4005feda,
    0x000ffed8,0xdbdffffd,0xb80dffff,0x7d403ffe,0xffedffff,0x2201ffff,
    0xa803febb,0xab800fff,0x7fcc07fd,0x13ffa01f,0x00ffed88,0xf5013ffe,
    0xffa805ff,0x27ffc00f,0xf0bffea0,0xffa809ff,0x41ffe62f,0xf33ffffc,
    0xffffffff,0xffa8dfff,0x20fff30f,0xf33ffffc,0x3fee03ff,0x04fff85f,
    0x3e17ffd4,0x7fd404ff,0xbffb002f,0x01fff500,0xffffffc8,0x3a007ffb,
    0xfff9002f,0x1dffffff,0x17fffee0,0x80fffff4,0xbffffffc,0x3ffe67ff,
    0xffffffff,0x7ffec46f,0x04ffffff,0x7fffffd4,0x800dffff,0xd0000ff9,
    0x3f62005f,0xffffffff,0x01bee004,0x3fffffea,0x000dffff,0x3ea017ee,
    0x3e2000ff,0x3ffe600f,0x013ffa01,0xffa817f4,0x5fff801f,0x007ffd40,
    0xf003fff5,0x7ffd4bff,0x25fff801,0x3fa07ff9,0xffff33ff,0xffffffff,
    0x30fffa8d,0x7ff40fff,0x03fff33f,0xf517fff4,0xfff003ff,0x00fffd4b,
    0xd802fffc,0xffa805ff,0xfffc800f,0x5c0fff2e,0x4006fdcc,0xefffffe9,
    0x7fffcc03,0x0ffff702,0xf2efffc8,0x7fffccff,0xffffffff,0xffffd506,
    0x2e6003bf,0x1ceffffd,0x3fb33220,0x3732e004,0xfea8006f,0x401dffff,
    0x01ffccc9,0xffffb730,0x9950039d,0xf5005ffb,0x664401ff,0x7cc04fec,
    0x3ffa01ff,0xdfb99704,0x8037fec0,0x2a00fffc,0x3f600fff,0xfff9006f,
    0x401bff61,0xff30fffc,0x9fffd40f,0xfffffff9,0x546fffff,0xfff30fff,
    0x99fffd40,0x3e601fff,0xdffb0fff,0x43fff200,0xf9006ffd,0xffb001ff,
    0x1fff500b,0x40004400,0x000bdefd,0xf0006620,0x3e601fff,0x011005ff,
    0xffffff30,0x0dffffff,0x00001310,0x7f440031,0x7ec002ce,0x40000bde,
    0x3aa00098,0x20002bdf,0xfea80018,0xff5001bd,0x7774401f,0xfff9802c,
    0x413ffa01,0x000bdefd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xed880000,0x0001dd52,0x20037ba6,0x88004eec,0x00066219,0x00037baa,
    0xc8001999,0xdd5004ee,0x88017b21,0x3b62001c,0x3003dd53,0xdd303ddd,
    0x5c7ba61b,0x4c4000de,0xeb826621,0x4401d31c,0xed880440,0x1ddd302e,
    0x06f75400,0x32000000,0x007db15e,0x001930ee,0xa805ffb8,0x00bd90ee,
    0x32600000,0x00000002,0x00000000,0x026b2a62,0x64015c40,0x6644001c,
    0x1ccc801c,0x7d7fdc00,0x3f60004f,0xffd1002f,0x27fe8001,0xfe8007fd,
    0xfff8001f,0x3ffee001,0x7dfd002f,0x7dc003ff,0x3fee000d,0xfd004ffa,
    0x5ffb0dff,0x2ffbffd8,0x3fffffee,0x2e3ff70f,0xffff52ff,0x7fe40ffd,
    0xf704fabd,0x3ffe209f,0x3ffa006f,0x3ffe6001,0x1002ffff,0x01ffb9ff,
    0x374cbee0,0x02ffdc00,0x1ffbefd8,0x3ffff600,0x3ea006ff,0xd98002fc,
    0x77e4005f,0x65cc4001,0x407a20aa,0xffffffd8,0x7ffe404f,0x00ff503f,
    0x200bff70,0xe8002fff,0x20006fff,0x44002ff9,0x7f4004fe,0x3001ff67,
    0x3e0005ff,0xff1001ff,0x1001ff97,0x2007ffff,0x0cffffeb,0x0dfffb00,
    0x3fe7ff20,0x220ffe24,0x7dc5fffe,0x70ffffff,0x4bfee3ff,0x3ffda9ed,
    0xfffddf10,0x817fe05f,0x03ff9efd,0x4001ffa8,0xfffffff9,0x3ffea002,
    0x3fe2002f,0xb8002fff,0xff1005ff,0xfd8009ff,0x006fffff,0x4002dd32,
    0x3002e9dc,0x2200b93f,0xfffffffd,0xfa86fe9c,0xffffffff,0xbffb81ef,
    0x3fe81ffc,0x005ff800,0x2000bffe,0x0000ccc8,0x44000fae,0x2f6c005d,
    0xec800dd9,0x33320002,0x6cbd9000,0x9995004e,0x3ffff200,0x91006fff,
    0xdd300399,0x75c7baa5,0x03332603,0x33333331,0xeea8f754,0xe9800112,
    0x26059710,0x47ba605e,0x76400dea,0x33330002,0xb8001333,0xb50003cc,
    0x26200017,0x332a0009,0x99988004,0x2a000999,0xe8003ebe,0x5aa007b3,
    0xfffa806a,0xffffffff,0x7ffc40ff,0xffecacef,0x9b7ec0ff,0x03fd43ff,
    0x20037d40,0x33001ccc,0x13333333,0x33333300,0x41333333,0x99999999,
    0x26209999,0x19998019,0x4cccccc4,0x44199999,0x99999999,0x4ccc1999,
    0x99999999,0x26666209,0x19999999,0x6fdf7fc4,0x98802fff,0x26200099,
    0x01998819,0x4c403331,0x06662019,0x33019988,0x04cc4013,0x03330333,
    0x00099980,0x00999880,0x33333330,0x80133333,0x30009998,0x33333333,
    0x4ccc1333,0x30019999,0x33333333,0xfc801333,0xfa8005ff,0x3be000fe,
    0x7ffc403f,0xfffdbcef,0xfffd82ff,0x89fff903,0xd13fe5fe,0x0000007f,
    0x7ffcc000,0xffffffff,0xfffff303,0x9fffffff,0x3fffffe6,0x24ffffff,
    0x2a03fffb,0x7fec4fff,0xffffffff,0x7fffec7f,0x7fffffff,0x3fffffe6,
    0x24ffffff,0xfffffffd,0x7d47ffff,0xeebbf9bf,0x5fffc803,0x03ffea00,
    0xf501fff5,0x3fea01ff,0x1fff500f,0x303ffea0,0x7ec0bfff,0x98fff33f,
    0x3e2007ff,0xc80002ff,0xf9805fff,0xffffffff,0x7e404fff,0xff9805ff,
    0xffffffff,0xffff34ff,0x05dfffff,0x3fffffe6,0x04ffffff,0x007ffffc,
    0xa8001440,0x3fffd800,0x44fffe88,0x6c04fff9,0x97fa0fff,0x01fee4ff,
    0x39bdb950,0x179d9500,0xfffff980,0x5fffffff,0xffffff98,0x34ffffff,
    0xffffffff,0xfe89ffff,0xfffd00ff,0xfffffd81,0x47ffffff,0xfffffffd,
    0x3e67ffff,0xffffffff,0x3ff64fff,0xffffffff,0x4d7fe47f,0xfff8003f,
    0xff5000ff,0x0fffa81f,0x500fffa8,0x3ea01fff,0xfff500ff,0x1ffff981,
    0x3e67ffb0,0x03ffcc7f,0x005fff10,0x1fffff00,0xfffff980,0x4fffffff,
    0x07ffffc0,0x3ffffe60,0x4fffffff,0xfffffff3,0xf30bffff,0xffffffff,
    0x7d409fff,0x4c04ffff,0x4cc884cc,0x579db710,0x413ffe60,0x20fffffb,
    0x4c00fffb,0x5bf62fff,0x0ffa3ff9,0xfffffd80,0xffd103ff,0x4c03dfff,
    0xccccdfff,0x4c2ffffd,0xccccdfff,0xff32cccc,0x999999bf,0xfff98599,
    0x82fffb85,0xccccccca,0x6546ffff,0xffcccccc,0x3ffe66ff,0xcccccccd,
    0x33332a2c,0x6ffffccc,0x1fd77fcc,0x3fffea00,0xfff5004f,0x80fffa81,
    0xf500fffa,0x3fea01ff,0x1fff500f,0x06ffff98,0x3fe67ffb,0x003ffcc7,
    0x0005fff1,0x4fffffa8,0x66fffcc0,0x2ccccccc,0x3ffffea0,0x6fffcc04,
    0xcccccccc,0x99bfff32,0x87ffffd9,0xcccdfff9,0x202ccccc,0x07fffffd,
    0x7cc3ffd4,0xffffa87f,0x7dc0dfff,0xdffa80ff,0x3ff22fff,0x47fff006,
    0x0ffdcffa,0x7cc00ff7,0xfffecdff,0xfefffe80,0xff300fff,0x3ffe603f,
    0x00fffcc4,0x003fff30,0x887fff20,0xa8005fff,0x2000ffff,0x260ffffa,
    0x00001fff,0x203fffea,0x004fffff,0x3fffffec,0x40fffa80,0xfa80fffa,
    0xfff500ff,0x03ffea01,0x2607ffd4,0xd83fffff,0x8fff33ff,0x22007ff9,
    0x40002fff,0x07fffffd,0x000fffcc,0x3fffff60,0x0fffcc07,0x03fff300,
    0x4c1fffd3,0x20001fff,0xfffafff8,0x21ffea02,0x7f447ff9,0x4ffffeff,
    0x7d437fec,0x24fff8cf,0xfd005ffe,0xefffc8bf,0xd800ffa2,0x16fe41ff,
    0x6c47ffee,0xfff304ff,0x237fec03,0x2001fff9,0x0001fff9,0x7e4dfff1,
    0x7cc000ff,0x26001fff,0x7cc1ffff,0x300001ff,0x2e03ffff,0x03efffff,
    0xffafff88,0xfffa802f,0x407ffd40,0xf500fffa,0x3fea01ff,0x1fff500f,
    0xffffff98,0xf99ffec0,0x8bffcc7f,0x7c40bddb,0x220002ff,0x2fffafff,
    0x007ffe60,0xfafff880,0x3fe602ff,0x3fe6001f,0x9fff301f,0x000fffcc,
    0x3fadff70,0x1ffea05f,0xff71ffe6,0x746ffd8b,0x2ffcc5ff,0x7ff4bfff,
    0x0bffd005,0x88ff706a,0x5dffd00a,0x89ffd001,0xf980fff9,0x3ffa01ff,
    0x00fffcc4,0x003fff30,0x4dfffd40,0x44003fff,0x2003fffe,0x983fffe8,
    0x80001fff,0x403fffe8,0xefffffd8,0x75bfee00,0xffa805ff,0x07ffd40f,
    0xa807ffd4,0xff500fff,0x3ffea01f,0x7ffffcc0,0x99ffec5f,0x7ffcc7ff,
    0x0efffffa,0x000bffe2,0xffd6ffb8,0x0fffcc0b,0x2dff7000,0x3e605ffe,
    0x3e6001ff,0x3ff601ff,0x007ffe66,0xf53ffe80,0x3fea01ff,0x107ff987,
    0x746ffb81,0x1bfe25ff,0x7fecbffd,0x09fff005,0xfc89ff40,0x7fe40cff,
    0xf01cefff,0xf55559ff,0xfff303ff,0x3fff9103,0xccdfff98,0x264ccccc,
    0xccccdfff,0x7ec04ccc,0x006ffeff,0x004fffd8,0x9827ffec,0xccccdfff,
    0xfd804ccc,0x3ea004ff,0x3a04ffff,0x1fff53ff,0x40fffa80,0xfa80fffa,
    0xfff500ff,0x03ffea01,0x2607ffd4,0x2fffbfff,0x7fccfff6,0x7ffffcc7,
    0x224fffee,0x20002fff,0xfff53ffe,0x37ffe601,0x4ccccccc,0x7d4fffa0,
    0xfff300ff,0x9999999b,0x00fffcc9,0x7fccfff9,0xccccccdf,0x1fff304c,
    0x5413ffe2,0x7ff987ff,0x3ffb2a20,0x8b7ff46f,0x7ffc0efe,0x401bff24,
    0xf7003fff,0x7fdffecf,0xfffffd85,0x3fe20dff,0xffffffff,0xffff982f,
    0xffffffff,0xfffff986,0x27ffffff,0xfffffff9,0x4407ffff,0x01ffffff,
    0x02fffe40,0x817fff20,0xfffffff9,0x6407ffff,0x4c005fff,0x306ffcbf,
    0x3fe21fff,0x7ffd404f,0x407ffd40,0xf500fffa,0x3fea01ff,0x1fff500f,
    0xffd7ff98,0xf99ffecd,0x77ffcc7f,0xf89fff20,0xf30002ff,0x3ffe21ff,
    0xfffff304,0x0fffffff,0x7c43ffe6,0xfff304ff,0xffffffff,0x00fffccf,
    0x3e61fff7,0xffffffff,0xdff907ff,0xf507ffd8,0x0fff30ff,0xffffffd5,
    0x8fffc8df,0xfff80ffe,0x907ffee3,0x017ffd45,0x9ff13fe8,0x32603fee,
    0x24ffffff,0xcccdfff8,0xf981cccc,0xffffffff,0xff980cff,0xffffffff,
    0x3fffe67f,0x7fffffff,0x4ffffb80,0x77ffd400,0x3ffea000,0x3ffe600e,
    0xffffffff,0x3bffea07,0x4fe61000,0xffc81ffd,0x203ffec6,0x7d40fffa,
    0xfffa80ff,0x01fff500,0x5403ffea,0x7fcc0fff,0x369fff37,0x8fff33ff,
    0x7cc2fff9,0x0bffe27f,0x237fe400,0xff307ffd,0xffffffff,0x1bff20ff,
    0x3e60fffb,0xffffffff,0x3ffe67ff,0x47ffea01,0xfffffff9,0xf887ffff,
    0x7ffd43ff,0x987ffa82,0x7ffd47ff,0x46ffa9be,0x1ffefffb,0x222fffa8,
    0x3fe25fff,0x00fffeae,0x3fe67fb8,0x8803ff52,0x7fc7ffeb,0xff98003f,
    0x5ffffeef,0x55fffcc0,0x22aaaaaa,0xaaabfff9,0xd002aaaa,0xf9800fff,
    0x26001fff,0x4c01ffff,0xaaaabfff,0xff302aaa,0xffd003ff,0x3ff27f33,
    0x21fffc41,0x2a02fffa,0x7fd40fff,0x0fffa80f,0x201fff50,0xf500fffa,
    0x7ff981ff,0x3f63fff2,0x98fff33f,0x7fcc1fff,0x05fff10f,0x87fff100,
    0xf982fffa,0xaaaaabff,0xfff882aa,0x417ffd43,0xaaabfff9,0x3e62aaaa,
    0x3fee01ff,0x57fff30f,0x05555555,0xddddfff5,0xf30bfffd,0x8fff50ff,
    0x7fd44ffe,0x7ffffc46,0x81fffd01,0xb88dfffc,0x03ffffff,0x7fcc7ff0,
    0x3623ff52,0x7ffc41fe,0xd317ff60,0x3ffe609b,0x037ffee1,0x000fffcc,
    0x0003fff3,0x8017ff60,0x002fffe8,0x00bfffa2,0x0007ffe6,0x00bfffa2,
    0x9fceffe4,0x7fd40fff,0xffeeeeef,0x3ffea05f,0x407ffd40,0xf500fffa,
    0x3fea01ff,0x1fff500f,0x3e27ff98,0x33ffddff,0xfff98fff,0x887ffc40,
    0xa8002fff,0xeeeeefff,0xff985fff,0xffa8001f,0xffeeeeef,0x1fff985f,
    0x07ffe600,0x3e67ffc8,0xfe8001ff,0xffffffff,0x7fc40fff,0x23ffec1f,
    0x7fe42fff,0x1efffc86,0x817ffec4,0xecdffffe,0x7006ffff,0x73ff88ff,
    0x77fec1ff,0x46ffda9a,0xeaadfff9,0xfff304ff,0x05fffc83,0x4003fff3,
    0x0001fff9,0x400bffb0,0x4004fffd,0x3004fffd,0xb0003fff,0x44009fff,
    0xffdfefff,0xffffe84f,0xffffffff,0x81fff500,0xfa80fffa,0xfff500ff,
    0x03ffea01,0x2607ffd4,0x7ffd47ff,0xfff33fff,0xf887ff98,0x5fff10ff,
    0xffffd000,0xffffffff,0x01fff981,0xfffffe80,0x0fffffff,0x000fffcc,
    0x6c03fff3,0x3ffe66ff,0x7ffcc001,0xffffffff,0xefff84ff,0x47fffdaa,
    0xfc99effd,0xfffb87ff,0xfffdceff,0x3ff6206f,0xffffffff,0x1ffc01df,
    0x37f577f4,0x3fffffe2,0xffb81fff,0x206fffff,0xfe81fff9,0xfff982ff,
    0x3ffe6001,0xffb00001,0x3fff200b,0x7ffe4005,0x3ffe6005,0x7ffe4001,
    0xfffc8005,0x4c0effff,0xffffffff,0x504fffff,0xffa81fff,0x0fffa80f,
    0x201fff50,0xf500fffa,0x7ff981ff,0x3fffffd8,0xff98fff3,0x10fff887,
    0x98005fff,0xffffffff,0x4c4fffff,0x4c001fff,0xffffffff,0x4c4fffff,
    0x26001fff,0xff301fff,0x0fffcc7f,0x01fff200,0xff90fffb,0xfff7ffff,
    0xffffffa8,0x3ea0fffe,0xffffffff,0xd5004fff,0xfbbdffff,0x3ee03fff,
    0xdfffd307,0xffffb303,0x7f5403bf,0x2600beff,0xff981fff,0x7ffcc0ff,
    0x3ffe6001,0xffb00001,0xdfff500b,0x7ffd4001,0x3fe6000e,0x3fea001f,
    0xb30000ef,0x3207dfff,0x7fec07ff,0x81fff507,0xfa80fffa,0xfff500ff,
    0x03ffea01,0x2607ffd4,0xfff887ff,0x8fff33ff,0xff887ff9,0x05fff10f,
    0x407ffc80,0x7fcc7ffd,0x7fe4001f,0x23ffec07,0x2001fff9,0xea81fff9,
    0x7ffcc6ff,0x27ffc001,0x20bffea0,0xff2efffc,0x9fffb50f,0x7fc4fffa,
    0xfffffd55,0x2620003b,0x7037fd40,0x02c98059,0x30003330,0x3ffe6001,
    0x8bfff701,0xfffffff9,0xf36fffff,0xffffffff,0xfb00dfff,0xfffb00bf,
    0xffffffff,0x3fff63ff,0xffffffff,0xffff31ff,0xffffffff,0x3fffff6d,
    0xffffffff,0xf00fe601,0xffa809ff,0x0fffa82f,0x5407ffd4,0xff500fff,
    0x3ffea01f,0x81fff500,0xff907ff9,0x1ffe67ff,0xff10fff3,0x3fffe21f,
    0x7fffffff,0x2a027ffc,0x3fe62fff,0xffffffff,0x13ffe6ff,0x4c5fff50,
    0xffffffff,0xff36ffff,0xffffffff,0xfff985ff,0xffffffff,0x03fff56f,
    0x440bfff0,0x00188000,0x002660b3,0x03710000,0x00000000,0x7fcc0000,
    0x3fffa01f,0x3ffffe62,0x6fffffff,0xfffffff3,0x00dfffff,0xfb00bffb,
    0xffffffff,0x3f63ffff,0xffffffff,0xff31ffff,0xffffffff,0x3fff6dff,
    0xffffffff,0x0fe601ff,0x801fffa8,0xffa85fff,0x07ffd40f,0xa807ffd4,
    0xff500fff,0x3ffea01f,0xd03ffcc0,0x3fe67fff,0x443ffcc7,0xfff10fff,
    0xffffffff,0x00fffd4f,0xff32fffc,0xffffffff,0x3ffeadff,0x25fff801,
    0xfffffff9,0xf36fffff,0xffffffff,0xfff307ff,0xffffffff,0x01bff6df,
    0x0007ffe4,0x00000000,0x00000000,0x00000000,0x7ffcc000,0x3fffe601,
    0xffffff30,0x2dffffff,0xfffffff9,0x806fffff,0xfd805ffd,0xffffffff,
    0xffb1ffff,0xffffffff,0x3fe63fff,0xffffffff,0xffffb6ff,0xffffffff,
    0x00d4403f,0x3200dffb,0x7fd40fff,0x07ffd40f,0xa807ffd4,0xff500fff,
    0x3ffea01f,0x503ffcc0,0x3fe67fff,0x443ffcc7,0xfff10fff,0xffffffff,
    0x8037fecf,0xff30fffc,0xffffffff,0x1bff6dff,0x987ffe40,0xffffffff,
    0xff36ffff,0x7bdfffff,0x3fffe601,0xffffffff,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x41c88000,0x2a16403a,0x03999004,0x9930cc98,0x06660001,0xcc88e644,
    0x46664401,0x0ccc2cca,0x2a0055cc,0x009950cc,0x97009988,0x4f326039,
    0x400acdb8,0x01001ccc,0x99930013,0x75072201,0x88ccc000,0x32a00099,
    0x21dc004c,0x5d4400c9,0xcb8000ab,0x403cc8ac,0x2620aca8,0x99999999,
    0x22133261,0xcba804cc,0xb988001a,0x133101ac,0x9950cca8,0x0ccc9803,
    0x01e65c00,0x2000b332,0x035102cb,0x654332a0,0x4c08800c,0x77400000,
    0xfc807f30,0xf900bd11,0xfd801fff,0x0004ff9e,0x3203fff1,0x806fe9ff,
    0x6ff8bffb,0xfc8fffc4,0x100dffff,0x07ff3bfd,0x13fea0b8,0xfa817ff4,
    0xfffffadf,0xffff900e,0x67ff4401,0xfd800fca,0x9877403f,0xff10003f,
    0x005ff91f,0x2000fff4,0x80db11fb,0x2ffffffa,0x65bfe200,0xffb101ff,
    0xffb1dfff,0xffffffff,0x261ffea1,0x3ff207ff,0x803fffff,0xffffffd8,
    0x227fec4f,0x5ff71ffc,0x05fffe80,0x003bfe20,0xf000dff3,0xfffe987f,
    0x87fe402f,0x36201ffc,0x02fbacff,0xffffffff,0x3fffea0f,0x7ffcc00f,
    0x7fcc01ff,0x7c405ffb,0x64006fff,0x3fffffff,0x01ffffd0,0x3fee9ff0,
    0x6d7ffc40,0x4fffffff,0x17fffe60,0x3ea1fea8,0x05ffd04f,0x3bffffea,
    0xf984ffff,0x2e05ffbf,0x06ffffef,0xa803ff98,0x000fffff,0xf91fff10,
    0x3fea005f,0xfff88002,0x7ffc03ff,0x2007ffef,0x3ff88efc,0xfffffd10,
    0xffffddff,0x21ffffff,0xff987ffa,0xfffffb07,0x201bffff,0xfffffffa,
    0xffb1efff,0xf71ffc89,0x5ffe405f,0xff9002ff,0x0bfea001,0x261ff980,
    0x3fffffff,0x7e43ff20,0x3fbea01f,0xf880ffff,0x7fffffff,0x002f6e20,
    0x4005edc4,0x03dd34ed,0x001eeea8,0x7fffffe4,0x5ddd303f,0x76c9d500,
    0xfffff881,0xfffffcdf,0x037bae01,0x930fffc4,0x0732e07f,0xb077ffd4,
    0x29db0dff,0x49901ee9,0xfd800cc9,0x2f6e2004,0x3fe20000,0x001fda8f,
    0x440005fd,0x7dc01bda,0x00ffee5f,0x04eb8f6c,0x2efbfff2,0xcdfffffc,
    0x2a4ccccc,0x7ff987ff,0xbdffffc8,0x886fffec,0xcaceffff,0xffb6fffe,
    0x26219889,0x25dd3009,0xff8805eb,0x037dc001,0xffd8ff70,0x00fffdbe,
    0x00cc4331,0x01cc996e,0xfffffff3,0x000000ff,0x00000000,0xff333100,
    0x0000015f,0x7fffc400,0x3ffee20d,0xff880005,0x0017c41f,0xa85fff50,
    0x000007ff,0x00000000,0x1fff1000,0x000003ea,0xffc80000,0x0017fe65,
    0x2fffc400,0x017fffcc,0xf987ffa8,0x7fffc47f,0x42fffc80,0xf703fffc,
    0x00fe67ff,0x00000000,0x7ec00000,0xe83ffe65,0x000003ff,0x09ff7000,
    0xbceca880,0xbceca800,0x6f6e5400,0x76e5401c,0xdcb801cd,0x01fff89b,
    0x002f3b2a,0x02f3b2a2,0x403bffe2,0xb7307ffe,0xff95017b,0x1db139bf,
    0x017bb730,0xf981fff5,0xddb980ff,0x84cc980b,0xb7304cc8,0x9993017b,
    0x5c099910,0xfff88bdc,0xcb885e98,0x376e2cee,0xedb8801b,0x3fee02bc,
    0x407ffd1f,0xcc884cc9,0x807ffe44,0x5002fffc,0xfff30fff,0x103ffd98,
    0x7fccdfff,0x7ffec04f,0x99931fc8,0x64c99910,0x24cc884c,0xcc884cc9,
    0x22133264,0x8ffe04cc,0x7fdc5ffc,0x33b2a206,0xeca8800b,0x5ff900bc,
    0x7fffd400,0xfd102fff,0x203dffff,0xfffffffd,0xfffffb03,0x3fa207ff,
    0xfffbffff,0xffffe881,0x3fea01ef,0x442fffff,0x3f204fff,0x3ff220ff,
    0x7e46ffff,0xeabfffff,0x7fffe441,0x3ffd46ff,0x9107ffcc,0x8dffffff,
    0xff987ffa,0x7fffe447,0x3ffd46ff,0x74c3ffcc,0xffbfffff,0x7c40dc8f,
    0xfeffffff,0x00efffff,0xfffffff5,0x3bffa01b,0x2a00effe,0x7ff987ff,
    0xf302ffec,0x3ea005ff,0x07ff987f,0x1fff9002,0x3003ffee,0x549fdfff,
    0x7ff987ff,0x3e61ffea,0x21ffea7f,0x3fea7ff9,0x307ff987,0x27fe43ff,
    0x7d41ffea,0x02ffffff,0x3fffffea,0xaaffe82f,0xfff500ab,0x05ffffff,
    0xfffdfffd,0xdfff981f,0x4c0fffec,0xffecdfff,0xffffe80f,0x81fffffe,
    0xfffefffe,0xffffa80f,0x222fffff,0x3ee03fff,0x3fff61ff,0x324fffef,
    0x03ffffff,0x3fbffff6,0x1ffea4ff,0xfd83ffe6,0x4fffefff,0x3e61ffea,
    0x7fffec7f,0x3ea4fffe,0x87ff987f,0xffeffffe,0x3f600fff,0xfffffeff,
    0x86fffeff,0xffefffe8,0xfff304ff,0xfa801bff,0x47ff987f,0x7fc04ffe,
    0xccccccdf,0x261ffea1,0x260007ff,0xdff91fff,0x0bfffe00,0xff30fff5,
    0x4c3ffd4f,0x1ffea7ff,0xffa9ffe6,0x707ff987,0x43ffd8ff,0xffa87ff9,
    0x2fffffff,0xffffffa8,0x7ffc2fff,0x4c3fffff,0xfd52dfff,0x7ffdc1ff,
    0xd89ffb11,0x16fe41ff,0xbf907ff6,0x0bfffa85,0xb83ffff5,0xffb11fff,
    0x2dfff989,0x221fffd5,0x3ea02fff,0x7fff31ff,0x447ffea1,0x009afff9,
    0x2a17fff3,0xfff51fff,0x261fff30,0xff50bfff,0x21ffea3f,0x3fe67ff9,
    0x3fff50bf,0x3e61ffea,0x5fffdc7f,0x01ffff50,0xff91bfea,0x44ffd8df,
    0x7fec5ffb,0xdffff906,0x21ffea00,0x7ffc7ff9,0x7ffffc03,0x263fffff,
    0x7ffa87ff,0x7ffffff4,0xffffffff,0x200bffb3,0xffa85ffe,0x2a7ff987,
    0x7ff987ff,0x3e61ffea,0x21ffea7f,0xbfb07ff9,0x7cc3ffe8,0x3ffe60ff,
    0x1fffd52d,0xa96fffcc,0xff30fffe,0x7fffffff,0x2607ffdc,0x3ffa3fff,
    0xd07ffcc4,0xd0015dff,0xb0015dff,0xfff70fff,0x4c4ffe83,0x3fee0fff,
    0x9fffcc0f,0x2a01fff8,0xfff92fff,0x7c415990,0x7fe401ff,0xf50acc87,
    0x1fff30ff,0x3321fff2,0x30fff50a,0x3ffe4fff,0xffa85664,0x6c7ff987,
    0xfffb86ff,0x3ea04400,0x3ffc42ff,0x37fdc088,0x3fffffa2,0x3ea0113f,
    0x27ff987f,0x7c03fff8,0xffffffff,0x07ffe23f,0xffe8fffd,0xffffffff,
    0xffd3ffff,0x17ffa00b,0x3e61ffea,0x21ffea7f,0x3fea7ff9,0x2a7ff987,
    0x7ff987ff,0xfff89ff0,0x70fffcc3,0xff981fff,0x03ffee3f,0x3ea7fff3,
    0xffea9cff,0x20bffb0f,0x3ffe5ffe,0xfffaaaac,0x3fffff21,0xfff901ce,
    0x3a039dff,0xfff984ff,0x5567ffc1,0x361fffaa,0xbffd05ff,0xa807ffe2,
    0x9ffd1fff,0x0fffc400,0x4013ffa0,0xff987ffa,0x009ffd0f,0x3e61ffea,
    0x013ffa7f,0x7cc3ffd4,0x427ff47f,0x8800fff9,0xbffffeca,0x0fffaaaa,
    0xfffd9510,0xeaffff8d,0x3ffb9fff,0x7cc3ffd4,0x027ffc7f,0x2aab3ffe,
    0x7ffc0aaa,0x7fffdabe,0x7777ffec,0xfffeeeee,0x200dffb2,0xffa84fff,
    0x2a7ff987,0x7ff987ff,0x3e61ffea,0x21ffea7f,0xff887ff9,0x261fff42,
    0x3ff60fff,0x6cbffd05,0xbffd05ff,0x3fe604c4,0x207fff2f,0xfff16ffc,
    0xffffffff,0xfffffd85,0xffd80dff,0x40dfffff,0xff883fff,0x3fffe21f,
    0x2fffffff,0x7e40fffe,0x03fff16f,0xff8fffd4,0x3fe2003f,0x1fffc01f,
    0x987ffa80,0x7fff0fff,0x21ffea00,0x3ffe7ff9,0x0fff5003,0xfff8fff3,
    0x00fff882,0x3fffff66,0xffffffff,0x7f541fff,0x26ffffff,0xff10fffa,
    0xa87ffddf,0x7ff987ff,0xf1027ff4,0x7e4005ff,0xffbfffff,0x2037fe47,
    0xff90fff9,0x0fffe00f,0x3e61ffea,0x21ffea7f,0x3fea7ff9,0x2a7ff987,
    0x7ff987ff,0x7f40ffa8,0x23ffcc3f,0xff903fff,0xc81fffcd,0xfff006ff,
    0x6c13ffa9,0xbfff15ff,0x39999999,0xfffff930,0x3ff2609f,0x7f44ffff,
    0x1fff984f,0x3337ffe2,0x3a1ccccc,0xbffb04ff,0xa807ffe2,0x7ffd1fff,
    0x0fffc400,0x400fffa0,0xff987ffa,0x007ffd0f,0x3e61ffea,0x00fffa7f,
    0x7cc3ffd4,0x41fffc7f,0xf300fff9,0xff559fff,0xdddddddf,0x77ffd43d,
    0x326ffa9b,0x7ffd45ff,0x7fd40fff,0x6c7ff987,0x3fea06ff,0x7fe4002f,
    0xa8fff2ef,0x3ee00fff,0x0bffee7f,0x505fff50,0xfff30fff,0x7cc3ffd4,
    0x21ffea7f,0x3fea7ff9,0xc87ff987,0x44ffd86f,0x7ff47ffa,0x74bffb04,
    0xbffb04ff,0x653ff600,0x9fff06ff,0x0001fffc,0x01fffae2,0xb1fffae2,
    0xfff70bff,0x003fff83,0x7fc1bff2,0x03fff14f,0xfd87ffe4,0x21bcb84f,
    0x6c01fff8,0x1bcb84ff,0x21fff500,0xbcb84ffd,0xf50fff31,0x427fecff,
    0xfff31bcb,0xfd8fff50,0x0fffc85f,0xfa8bffb0,0x3fa002ff,0xd37fd44f,
    0xfff709ff,0x0fff309f,0xffb8fff5,0x5fffb02f,0xf8822000,0x04fff885,
    0x7c4bfff1,0x7ff406ff,0x87ff980f,0x3fe67ffa,0x267ffa87,0x7ffa87ff,
    0x3ea1ffe6,0xc84fe87f,0x37fdc5ff,0x7fc1bff2,0x41bff24f,0x7b954fff,
    0x3ea3fff0,0x7ffdc2ff,0xd317ff61,0x0ff6c49b,0x6c43ffe2,0x7ffc41fe,
    0xd03fff20,0xffd83fff,0x2a26f4c5,0x7fdc2fff,0x03fff11f,0xfb9bffa2,
    0x3ffe21ff,0x007ffe23,0x7c43fff7,0xfc8403ff,0x87ffee7f,0xff13fff8,
    0x27ffd83f,0x3e21fffb,0x3fff13ff,0x7e47ffd8,0x3ffa20ff,0x87ffd00f,
    0x7545fffc,0x217ffc3d,0x3fee6ffc,0xeffffa87,0x20fffc40,0xfff87ffd,
    0x7fffe41e,0x9f300002,0x873ffee0,0x5c2fffea,0x7440efff,0xff102fff,
    0x27ffd83f,0x7ec1fff8,0x07ffe27f,0x7fc4fffb,0x23ffec1f,0xff982ff8,
    0x50fffa1f,0xffb85fff,0x0bffea1f,0x3f23fff7,0x13ffd47f,0xfd7dfffd,
    0xfff989ff,0x44ffeaad,0xda9aeffd,0x77fec6ff,0x46ffda9a,0xfbbefff8,
    0x7cc1ffff,0xffeaadff,0x77fff444,0x224fffeb,0x37e61fff,0x3e23ffff,
    0xffebdfff,0x5efffc0f,0xbffff102,0x801fffd7,0x226ffffb,0xfebdffff,
    0x3bffe0ff,0x27fffdaa,0xebdffff8,0x3ffe0fff,0x7fffdaae,0x5df7ffc4,
    0x900fffff,0xff713dff,0xff75bfff,0x9effd87f,0x227fffc9,0xfdbcffff,
    0x43ffffff,0xfdaaefff,0xfffb87ff,0xfffffeff,0xffffffff,0x0df3002f,
    0x7f7fffec,0xfd02ffff,0xffdbdfff,0xfff80dff,0x7fffdaae,0x6d577ffc,
    0x7ffc7fff,0x7fffdaae,0x6d577ffc,0x7fd47fff,0xb7dffd00,0xffd10fff,
    0x9fffd7df,0xbefffe88,0x3e64fffe,0xfffdbeff,0x7ffff444,0xfb80dfff,
    0x86ffffff,0xfffffff8,0x7ffc41ff,0x81ffffff,0xdffffffa,0xffb81ffe,
    0x106fffff,0xfffffffd,0x0fffc41b,0x0dfffff9,0xfffffff5,0xffffd05f,
    0x7fffd409,0xd802ffff,0x7d42ffff,0x2fffffff,0x7fffffe4,0x7fd47ffb,
    0x42ffffff,0xbffffffc,0xfffb87ff,0x0ffedfff,0xffffff10,0xfffffbdf,
    0xfff50bff,0x1fffdfff,0x7fffffdc,0x4fffdeff,0x7fffffe4,0xffb07ffb,
    0xfbbfffff,0xffffffff,0x7ff4005f,0x7fff446e,0x203fffff,0xffffffd8,
    0xfc804fff,0xffbfffff,0x7ffffe47,0x7e47ffbf,0xffbfffff,0x7ffffe47,
    0x7e47ffbf,0x3fffe606,0xfd103fff,0x1bffffff,0xfffffd10,0xffb81bff,
    0x80dfffff,0x3efffec8,0x77fff540,0xfffb300b,0x36603bff,0x01dfffff,
    0x753fffa6,0xffd501ff,0x644017df,0x883efffe,0x3fb21fff,0xfb100dff,
    0x2605dfff,0x4404fffe,0x02effffd,0x207dffb0,0x2effffd8,0x25dfff90,
    0xffd887ff,0xff902eff,0x41ffe5df,0xfd4ffffa,0x7fed401f,0x3ffaa3ef,
    0xfb500bef,0x0fffa9ff,0x7fffffd3,0xffc82fd4,0x40fff2ef,0xb4ffffea,
    0xffffffff,0x6cc005ff,0xffb884ef,0x5001ceff,0x3bfffffd,0x77ffe400,
    0xff90fff2,0x21ffe5df,0xff2efffc,0x5dfff90f,0x09fd1ffe,0x2ffffe88,
    0x7fff6440,0x7f64403e,0x3aa03eff,0x1004ffff,0x01300013,0x40019980,
    0x0c400199,0x00026000,0x10000262,0x00998003,0x33000310,0x80020001,
    0x01100099,0x40026600,0x03100008,0x98803000,0x00062000,0x008804cc,
    0x26000044,0x00000000,0x00013100,0x40000988,0x00880008,0x88000880,
    0x00133000,0x4c40004c,0x00988000,0x00002620,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xb8000ccc,0xccc803cc,0x40199802,0x03330999,
    0x00104cc4,0x5c4006a2,0x2002bced,0x073264ca,0x1cc89664,0x32239930,
    0x6664402c,0x26654001,0x800f32e0,0x19950cc9,0x80b33200,0x59912cc8,
    0x00440880,0x2000e664,0x2a00ccc9,0x5cc003cc,0x664c00ab,0x98819950,
    0x19988019,0x02f3b2a0,0x4b803c88,0x5c01e440,0x20799704,0x2a884cc9,
    0x20019500,0x5dcc0029,0x7730000a,0x01331003,0x03330000,0x017fffa0,
    0x001fff10,0xf980fff3,0x3ffe01ff,0x2607ff9b,0x00fcbffe,0x0fffffee,
    0xffffffa8,0x7fd800df,0x7dc07fee,0x2a06fd9f,0x09ff33ff,0x006fffc8,
    0x2200fff4,0x3a000ffe,0x004ff9ef,0x4c01dff5,0x0bff14ff,0x7cdeffe4,
    0x7fffdc04,0x0bffa000,0x003ffd10,0x5ffffff7,0xff9efe80,0x00fffa84,
    0x2207ffd4,0x1efffffe,0x4c06fd88,0x1bf6204f,0x3ee09f30,0x89ffb07f,
    0x202ffffb,0xffc806f8,0x3ea01cff,0x003fffff,0xffffffb5,0x1bfea05b,
    0xfff10000,0xfbffc803,0x3ff2003f,0x0bfea001,0x201fff98,0x7ff9bfff,
    0x0f7ff440,0xffffff90,0xfffd107f,0x009ffffd,0x03fe4bfd,0x807ffff6,
    0x9ff33ffa,0x7fdffd40,0x05ff5004,0x8013fe20,0x006ffff8,0xf3003bf6,
    0x417fe29f,0xffffeff8,0x3affe602,0x7ff3005f,0x017fa200,0xfffffff5,
    0xffff880d,0x01fff506,0x740fffa8,0xffffefff,0x01bffee0,0x3fee01fd,
    0x807f406f,0x7c42fff8,0x2bfe21ff,0x07f206fb,0xfffffd88,0xffff707f,
    0xb807ffff,0xeb99bdff,0x6ffa82ff,0x7fc40000,0x4bba201f,0xf8800deb,
    0x6fa8001f,0x807ffe60,0x7ff9bfff,0x3ffbf660,0x7bfff301,0xff70fffb,
    0x406ffd8b,0x1bfa3ff8,0x807ddb10,0x02660998,0x3dd53ed8,0x8007fd00,
    0x2a000ff9,0xf3001eee,0x8266001d,0x23d30099,0x76c02db8,0xb005dd34,
    0xff88009f,0x233ffe01,0x5402fff9,0xff501eee,0xfffa801f,0x447ffee0,
    0x37ba4ffd,0x80fea06f,0x2a06fdee,0x2ffec03f,0x2621ffea,0xbf106fb8,
    0xbdfffc80,0xfff83ffe,0x07ffd99d,0xe8803bee,0x037fd42f,0x3ffe2000,
    0x00000001,0xff980000,0x8fffe01f,0x2233a06d,0xbff906ff,0x1102fff8,
    0x4c06ffb8,0x09ff12ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x41fff100,0x00003ffe,0xa801fff5,0x3ffa0fff,0x187ffcc4,
    0x037c0df5,0xdf037d46,0xd8fff500,0x3ffa04ff,0x4401fb01,0x3fe62fff,
    0x31ffe60f,0xdf703fff,0xd10ddcc1,0x037fd45f,0x3ffe2000,0x67654401,
    0xeca8800b,0xca8800bc,0xff980bce,0x4fffe01f,0x2ea204f8,0xa884ffaa,
    0x01fff41c,0xdfffd951,0xffffffb0,0x01ffffff,0x0579db71,0x0179d950,
    0x0179d950,0x0179d950,0x0179d950,0x179d9510,0x1bdcb880,0xdb7103f3,
    0xdb880579,0x5c402bce,0x4402bced,0x402bcedb,0x82bcedb8,0x3fe27ff9,
    0x42664c0f,0x3fea4cc8,0x7ffd400f,0x2ab3ffe0,0x541fffaa,0x005f706f,
    0x17dc1bea,0x3e2fff80,0x3f2e01ff,0x2027cc0f,0x80986ffb,0x09a85ffa,
    0x3f60ef88,0x9be25fff,0x9d936ffa,0x37b97005,0x5403fff1,0x2fffffff,
    0x3ffffea0,0x3fea02ff,0x4c2fffff,0x3fe01fff,0x500ffccf,0xffffffff,
    0x3ffe6005,0xffffea80,0xffd86fff,0xffffffff,0x7ffd40ff,0x880dffff,
    0x1efffffe,0xfffffd10,0x3ffa203d,0xd101efff,0x03dfffff,0x7fffffd4,
    0xffff702f,0xa83fffff,0xdfffffff,0xfffffa80,0xffa80dff,0x80dfffff,
    0xfffffffa,0xffffa80d,0x3ea0dfff,0x217ff27f,0xff987ffa,0x003ffea7,
    0x3e21fff5,0xffffffff,0x437d42ff,0x3ea005f8,0x2005f886,0xdff55ffc,
    0x1ff43310,0xff9003fa,0x3fe600cb,0xb1fd4006,0x47fb33bf,0x7dff50fc,
    0x01bfffff,0x7fffffd1,0x3ea03fff,0xffffffff,0xfffffa82,0xfa82ffff,
    0xffffffff,0x807ffe62,0x202effff,0xfffffffb,0x7ecc06ff,0xfffa83ff,
    0x86ffa9be,0xcceffccb,0x220ccffe,0xfffefffe,0xefffe84f,0xfe80ffff,
    0x0ffffeff,0xffefffe8,0xfffe80ff,0xa80ffffe,0xffffffff,0x7fffdc2f,
    0x444ffffe,0xfffefffe,0x7fff444f,0x444ffffe,0xfffefffe,0x7fff444f,
    0x444ffffe,0xfffefffe,0xf9ffea4f,0x7ffa81ff,0x3ea7ff98,0x7fd400ff,
    0x9bfff10f,0x83999999,0x01fc86fa,0x3f21bea0,0x5ffe2001,0xff883ffd,
    0x3ea0ffa9,0xccffd803,0xf880dfff,0x3f2000ff,0x6441ff10,0x7fd4fea2,
    0xffffefff,0xeffffe85,0x981fffff,0xfd52dfff,0x7ffcc1ff,0x1fffd52d,
    0xa96fffcc,0xff30fffe,0x27ffc03f,0x2ffffe20,0x00ffffc9,0x740ffff2,
    0x37fd44ff,0x7f47ff10,0xd8bff706,0x7ffdc6ff,0xb89ffb11,0xffb11fff,
    0x11fffb89,0xffb89ffb,0x89ffb11f,0xd52dfff9,0x3fe21fff,0xffff10cf,
    0x362ffdc1,0x2ffdc6ff,0xff71bff6,0x5c6ffd8b,0x37fec5ff,0xffb17fee,
    0xf9bffd4d,0x7ffa81ff,0x3ea7ff98,0x7fd400ff,0x00fffe0f,0x4f98df50,
    0x2637d400,0xffe8004f,0xf900fffa,0x06e89fff,0xffffffd0,0x7ff43fff,
    0x407fffff,0x401be66e,0x3dfff55f,0xa87fff22,0xff50bfff,0xfff703ff,
    0x23fff981,0x7cc0fffb,0x3ffee3ff,0x99fffcc0,0x3fe01fff,0x7ffe403f,
    0x017ffd40,0xf07ffffb,0x6ffc85ff,0x7c4bfea0,0x2e04404f,0x27ff46ff,
    0xfe83ffe6,0x07ffcc4f,0xff989ffd,0x313ffa0f,0x7fdc1fff,0x9fffcc0f,
    0x7fec7ffc,0x5c0883ff,0xb81106ff,0xb81106ff,0xb81106ff,0xb81106ff,
    0x5ffea6ff,0x540efff8,0x7ff987ff,0x5003ffea,0x7fec1fff,0x4426f4c5,
    0x4407ec2a,0x6c2a881a,0x2e014c0f,0x405fffff,0x17dc0aa8,0xffff0d44,
    0x4bffd77d,0xfffffffe,0x9f72fc07,0x7fd5ba00,0x23fff83f,0xffb87ffd,
    0x05ffd81f,0x7fecbffd,0x6cbffd05,0xbffd05ff,0xf807ffe6,0x7fec03ff,
    0x409fff06,0xd89ffd50,0xffc99eff,0x43fee07f,0xa8802ff9,0x7c6fffec,
    0xfaaaacff,0x33ffe1ff,0x1fffaaaa,0x2aab3ffe,0x3fe1fffa,0xffaaaacf,
    0x417ff61f,0xbffb5ffe,0x2ffe6fdc,0xfffeca88,0x3fb2a206,0x32a206ff,
    0x2206fffe,0x06fffeca,0x3fffb2a2,0xfb9ffea6,0x3fea0eff,0x2a7ff987,
    0x7d400fff,0x3ffe60ff,0x04ffeaad,0xfd107f50,0xa8fea009,0xf104fffe,
    0x0005ffff,0x3fa217e2,0x987fffa4,0xfb971fff,0xe80999ff,0x1021bea7,
    0x03ffea9f,0xffe93ff6,0x81fff984,0xff903fff,0xc81fffcd,0x0fffe6ff,
    0xff9b7fe4,0x0fffe01f,0x3607fff0,0xff5006ff,0xfffffa8f,0x6c0fffef,
    0xffffffff,0x7540ffff,0x6fffffff,0x3fffffe2,0xf12fffff,0xffffffff,
    0x3ffe25ff,0xffffffff,0xffffff12,0x7c5fffff,0xdff903ff,0xb7d4bffa,
    0x7f546ffa,0x86ffffff,0xffffffea,0xfffea86f,0xea86ffff,0x6fffffff,
    0xfffffea8,0x1ffea6ff,0x7d4bfff9,0x27ff987f,0x5400fffa,0x7fdc0fff,
    0x006fffff,0x27fec1ba,0x5ffc6e80,0xffb01ffa,0x7e4000ff,0x364ffd81,
    0x2fff87ff,0x70037fd4,0x983fe23f,0x7d4bea5f,0x4bff907f,0xff883fff,
    0x04ffe81f,0x7ff4bffb,0x74bffb04,0xbffb04ff,0x4407ffe2,0x7f403fff,
    0x0bffb04f,0x507ffe20,0x3fa9fffb,0x7fffec3f,0xffffffff,0x2fbffea0,
    0x3e26ffa9,0xcccccdff,0xbfff11cc,0x39999999,0x3337ffe2,0xf11ccccc,
    0x99999bff,0x27ff4399,0xffd5ffd8,0x3ee1df37,0x3bffea6f,0x546ffa9b,
    0xfa9befff,0x77ffd46f,0x546ffa9b,0xfa9befff,0x77ffd46f,0x2a6ffa9b,
    0xfffc87ff,0xf30fff52,0x47ffd4ff,0x7fd41cba,0xdfffd507,0x0bee0017,
    0x2013fbf2,0xe92e22fb,0x9fff303f,0x213e6000,0x3f24fefc,0x43ffd86f,
    0x26004ffc,0x2ebbf23f,0x543f21fe,0xffd80fff,0x2613ffa5,0xffc81fff,
    0x649fff06,0x9fff06ff,0xff837fe4,0x417ffe4f,0x6c02fff9,0xfff887ff,
    0xf30bbb23,0x906203ff,0xbffb701f,0x999dff99,0x2a27ff41,0x1fffc6ff,
    0x007fff00,0xf001fffc,0x7e4007ff,0x29fff06f,0x20ffdffc,0x3ffa4ffe,
    0x3a37fd44,0x37fd44ff,0xff513ffa,0x544ffe8d,0x27ff46ff,0xffa9bfea,
    0x26bffb07,0x7ffa87ff,0x3fa3ffea,0x037fdc4f,0xf10013e6,0x9f79f50d,
    0x5c06f880,0xfff300ff,0x03f60003,0x5c9f79f5,0x7ffc0fff,0x003ffe22,
    0x7fe43ff0,0xa9be63ff,0xfff81fff,0x2e17ff64,0xffa81fff,0x0fffdc2f,
    0xfb85fff5,0x3ffea1ff,0xd0fffdc2,0xfe885fff,0x7fdc00ff,0x0fffdc2f,
    0xffc8bffb,0x81fa000f,0x13fe2ffa,0x7e42fff8,0x22ffec6f,0x7fec4de9,
    0x3626f4c5,0x26f4c5ff,0xbd317ff6,0x42fffa89,0xff51fffb,0x7ffcc3ff,
    0xf90bffe2,0x42fff8df,0x7ffc6ffc,0x3e37fe42,0x37fe42ff,0xff90bffe,
    0x423ffd4d,0xfff15ffb,0x2a7ffd83,0xeffd8fff,0x80bffd11,0x7e4003fa,
    0x4fbb7cc1,0xf900fe40,0x37fec05f,0x4c3fa800,0x7c49f76f,0x3ffe63ff,
    0x337ffd11,0x87fea030,0x0ffcc1a8,0xfa8bfff5,0x3fff22ff,0x40ffff40,
    0xebefffe8,0x7f444fff,0xfffebeff,0x77fff444,0x544fffeb,0xfedfffff,
    0xfd004fff,0xfffd7dff,0xcefffa89,0x4004fffe,0x1ff702fe,0xfd80bfe6,
    0xfffc99ef,0x56fffcc7,0x7cc4ffea,0xffeaadff,0x56fffcc4,0x7cc4ffea,
    0xffeaadff,0x77fff444,0x744fffeb,0xffdacfff,0x4f7fec5f,0x6c7fffc9,
    0xffc99eff,0x4f7fec7f,0x6c7fffc9,0xffc99eff,0x4f7fec7f,0x2a7fffc9,
    0xd7dd37ff,0x77ffc5ff,0x27fffdaa,0xffa8fffa,0x2ffffeff,0x10037d40,
    0xffffb0bf,0x17e20dff,0xcc81ffd8,0x0003ffff,0xffffb0fd,0x7ffe4dff,
    0x365fffce,0xefffffff,0xff500ffe,0x20ffd403,0xdbdffffa,0x7fc46fff,
    0xffffbbef,0xfffd101f,0x101bffff,0xfffffffd,0xfffd101b,0x701bffff,
    0xffffffff,0x3a6001df,0xefffffff,0xfffffc80,0xfb8006ff,0x9ff61eef,
    0x3ea01ffb,0xffefffff,0x7fffdc0f,0xff706fff,0x20dfffff,0xfffffffb,
    0xfffff706,0x3fa20dff,0x0dffffff,0x7fffffec,0x7fd40eff,0xfffeffff,
    0x3ffffea0,0x2a0fffef,0xfeffffff,0x3ffea0ff,0x0fffefff,0x3fffffea,
    0xff50fffe,0x3fffff2f,0x7ffffe47,0x3ea7ffbf,0xffffb0ff,0xf1009fff,
    0xfd80bdff,0xfeeeec80,0x201fb05f,0x21aabffd,0x006ffffe,0xdd905f70,
    0x744bffdd,0x0fffffff,0x3fffffea,0x204fffff,0xdbbdfffa,0xffa81fff,
    0xffffffed,0xfffffa81,0x201ffedf,0x3efffec8,0x7fff6440,0x7f64403e,
    0x6cc03eff,0x03efffff,0xfffff900,0xffffa807,0xd910003f,0x92ffc1bf,
    0xffb500ff,0x20fffa9f,0x0befffea,0x3bfffaa0,0x3ffaa00b,0x3aa00bef,
    0x200befff,0x3efffec8,0xffdbdfb8,0x3f6a03ef,0x87ffd4ff,0xfd4fffda,
    0xfffda87f,0xda87ffd4,0x7ffd4fff,0xd4fffda8,0x9ffea7ff,0xc81cfffc,
    0xfff2efff,0xf707ffd4,0x4007bfff,0x2603efda,0x09f7004f,0x7fcc13e6,
    0x3f63ffff,0x88000cff,0x09f7006f,0x037ffff2,0x3b6eb3ba,0x4c04ffff,
    0xbdffffdb,0x369ff500,0x2601efff,0xffd4fffe,0x00262003,0x20002620,
    0x98800098,0x26200001,0x004c4000,0x82660000,0x06200098,0x80009800,
    0x00980009,0x88000980,0x26122009,0x00062000,0x06200062,0x20006200,
    0x01800018,0x20000110,0x80000018,0x351000cb,0x54c032e0,0x001aaaaa,
    0x001c9800,0x01880351,0x00066004,0x4c0000d4,0x00062000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x730001cc,0x54c00037,0x4c0001ac,
    0x2ea60099,0x2a6001ab,0x04d4c000,0x35973100,0x8dee5c00,0x06660ccb,
    0x88013330,0x4c01abba,0xccb80019,0x4c066602,0x4cc00099,0x4c000009,
    0x99999999,0x10999999,0x3223b839,0x17bb713c,0x20006660,0x9980ccc9,
    0x90199809,0x88ccc599,0x30cc9819,0x47970199,0x026623cc,0x4cccc000,
    0x54001999,0xa81cdedc,0x2cca82cc,0x75404c0c,0x40eeeeee,0x99999998,
    0x10199999,0x33303999,0x40099880,0x013f601b,0xfffffda8,0xfd8802df,
    0x04ffffff,0x307fff00,0xdfffffff,0x7fffdc03,0x7ffdc01e,0x36200cff,
    0x1effffff,0x3ffffa20,0xf31ffeaf,0x7ffc03ff,0xfffff903,0xff305dff,
    0xeff9800f,0x20fff300,0x22002fff,0x00002fff,0x3fffffea,0xffffffff,
    0x7cc37a4f,0x3e77fe63,0x4c1effff,0xfe8007ff,0x7ffc45ff,0x20fffc42,
    0x3fe65ffa,0xfb03ffb7,0x2609ff3d,0x20ffcaff,0x80006ffa,0xfffffff9,
    0x7ec01eff,0x43ffffff,0xffc84ffd,0x939ffd15,0xffff501f,0xffb81fff,
    0xffffffff,0xffc81fff,0x01fff984,0x75413ffa,0x01bee01f,0x4cdeffdc,
    0x2a02ffdb,0xffffffff,0x7c001eff,0x7ffd43ff,0x1fffffff,0xffffffd8,
    0xffff902f,0x3a60dfff,0xffffffff,0xffffd03f,0x23fffffd,0x3e01fff9,
    0x7ff4c3ff,0xffffffff,0x003ffcc3,0xf9803bf6,0x05fff07f,0x017ffc40,
    0xffffb000,0xffffffff,0x7fdc9fff,0x3fe60fff,0xffffefff,0x3fffff65,
    0x7fe403ff,0x3fe22ffb,0x0fffc42f,0xff983bfa,0xf103ffb7,0xfc80dfff,
    0x7fd43fff,0xff980006,0xffffffff,0xbfff305f,0x6c1fffd9,0x5ffc84ff,
    0xdffffdf7,0x2aaaaa20,0x7ffdc0aa,0xffffffff,0x27fc41ff,0x201fff98,
    0xff884ffe,0x03fe601f,0x4401df70,0xfff882fe,0xffecacef,0x7ffc006f,
    0x5677ffc3,0x5c6fffdb,0xfffcdfff,0x6fffcc0f,0x443fffca,0xebbdffff,
    0x7d40ffff,0xfff50bff,0x07ffe63f,0x3a23fff8,0xecacefff,0x3e61ffff,
    0x3fe2007f,0x83ffcc00,0x80662fff,0x0002fff8,0xf97fff30,0x999999ff,
    0xadb98599,0x077ffcc0,0x7fecfffb,0x203fffff,0x1bd72ee9,0xf10bffe2,
    0x077cc1ff,0x7eddffe6,0x03ddd500,0xf509ddb0,0xf30000df,0xfd999bff,
    0xffb09fff,0x362dfc83,0x5ffc84ff,0x00664c99,0xcccc9800,0xccccfffd,
    0xf82fdc0c,0xffffffff,0xffffffff,0x007ffe21,0x77dc05ff,0x20aaaaa8,
    0x7fec2fe8,0x9fff903f,0x31fffc00,0xffb01fff,0x11fff41f,0xffb87fff,
    0x3227fe46,0xffa82fff,0x43ffec4f,0xff31fffc,0x1fffc03f,0x2e09fff9,
    0x3fe65fff,0xf3000007,0x4bffe0ff,0x3fe201fa,0xfb00002f,0x03ffeabf,
    0xfff30000,0x227ff985,0x0999fffa,0xfff88000,0x000fd982,0x03dcfff3,
    0x5f800000,0xfff98000,0x0fffe981,0x00577ff4,0x3f213ff6,0x5440005f,
    0x5000bcec,0x00001fff,0xffffffff,0xffffffff,0x3fff2a3f,0x09fd01cd,
    0x3fe23be2,0x3a25ffff,0x013ffe66,0x2001fffb,0x3fea3fff,0x1cee980f,
    0xffb07ffe,0x544ffb8d,0x3ffe24ff,0xd13bf604,0xfff509ff,0x807ffe63,
    0x3ffe3fff,0x3277ec05,0x66440fff,0x017bb713,0xff06fff3,0x403ff75f,
    0x0002fff8,0xf52fff88,0xc88001ff,0x0fff984c,0xf307ffcc,0x2b36e2ff,
    0x10999100,0x1ba05fff,0xff989991,0x66449f57,0x017bb713,0x2f6e5993,
    0xa664fea1,0x300bddb8,0x3e203fff,0x7ffe44ff,0xfd81ceff,0x45ffc84f,
    0x7d404cc8,0x02ffffff,0x200fffa8,0x37b72cc9,0x26bffea6,0xffe99999,
    0x3ffff21c,0x0df903ff,0x4f7c4fea,0x3f22fe99,0x801fff50,0xf002fff9,
    0x7ffcc7ff,0xff9800ae,0x23ffdc0f,0x7fec7ff9,0x803ffea2,0x07fff008,
    0x3e63fff1,0x3ffe01ff,0x003fff13,0x981ffe60,0xffff9dff,0x7ffcc1ef,
    0x7f7ffc4d,0x7ffc405f,0xffc80002,0x003ffea6,0xf30fff30,0xfff881ff,
    0x3ebffe60,0x980effff,0xfff887ff,0x2617f442,0xbffcc7ff,0x4effcc4d,
    0x41efffff,0xfffddffa,0x7ffcdf53,0x2fffffe8,0x201fff98,0xffd86ffd,
    0x20dfffff,0xffc84ffd,0x503ffcc5,0xffffffff,0xfffa805f,0x377fea00,
    0x3fe63fff,0x13ffa01f,0x7ffffff9,0x3203fea0,0xfb8bf11f,0x7fe4fe63,
    0x07fff006,0xfd0fffe0,0x017dffff,0xf907ffe2,0xfffc81ff,0x7dc5ffec,
    0x3fa0007f,0x1fffa84f,0x7c03fff3,0x0fff53ff,0x03ffcc00,0xfdfffff3,
    0xff98bfff,0x7fffc4ff,0xfff8803f,0x7fc40002,0x33ffea3f,0x84cccccc,
    0xff987ff9,0x20fff887,0xfefffff9,0xff984fff,0x82fff887,0x47ff981d,
    0x3e607ff9,0xfffeffff,0x7fffd45f,0xf8930fff,0xffeeffff,0x1fff986f,
    0x4c1fff20,0x4ffffffc,0x3f617ff6,0x83ffcc5f,0xd52dfff9,0x7d401fff,
    0x3fea00ff,0x260fffff,0xaaaabfff,0x444fffaa,0x009afff9,0x4fd05ff1,
    0xfea99ef8,0x5ffdafc0,0x00bffd00,0xfd10fffe,0x5dffffff,0xfe87ffd0,
    0xfffb81ff,0x6ffd85ff,0x1bff6000,0x7cc7fff2,0x3ffe01ff,0x260dff93,
    0x30999999,0x5bfeafff,0x360efff9,0x7ffcc7ff,0x02ffff83,0xe85fff10,
    0xffc803ff,0x7ffffd47,0x987fffff,0x7ff987ff,0x260fff88,0x3f61efff,
    0x87ff986f,0x2002fff8,0x7fcc7ff9,0x3bffe607,0xf51fff60,0x80735fff,
    0x3ee1ffff,0x3ffba1ff,0x7dc5eeef,0x75c400ff,0x1bff67ff,0xff317ffa,
    0x03ffee0f,0x5407fff3,0x3ea00fff,0x4c39afff,0xffffffff,0x884fffff,
    0xfe801fff,0x3fe25f84,0x6e82efff,0x3a00bffd,0xfff005ff,0x3fffee07,
    0x7d43ffff,0xfffeacff,0x7fff4c1f,0x7ff43fff,0x3fee0005,0x3fffea3f,
    0x403fff31,0xdffb3fff,0xffffff10,0x55ffe65f,0x5fff36ff,0x7d47ff98,
    0x3fff987f,0x0bffe200,0xf8807ffd,0x7ffd43ff,0x7fffffff,0xf987ff98,
    0x0fff887f,0xf30bffe6,0x0fff30ff,0x4005fff1,0x7fcc7ff9,0x0bffe607,
    0xffa8fff3,0x3ffe002f,0xf0fffc43,0xffffffff,0xb11fffa8,0xfff883fd,
    0x4c3fffb0,0x7fcc5fff,0x20bffb07,0x77745ffe,0x5eeefffe,0x3017ffd4,
    0xffffffff,0x889fffff,0x401afff9,0x227e86fc,0x885fdaef,0x00bffb4f,
    0x7c013ffe,0x75cc03ff,0x6c1fffff,0xffffffff,0x33ffe61f,0x364ffeb9,
    0x220006ff,0xffefffff,0xfff31fff,0xc9fffc03,0xfff886ff,0xff32ffff,
    0x7cdbfeaf,0x7ffcc0ff,0xa8ffff70,0x2002ffff,0x7f42fff8,0x7ffdc03f,
    0x55fffd40,0x982aaaaa,0x7ff987ff,0x260fff88,0x7fcc0fff,0x43ffcc0f,
    0x2002fff8,0x7fcc7ff9,0x03ffe607,0x7d41fff3,0x3fe000ff,0x22fff82f,
    0xaabfffba,0xb07ffd42,0xfb535dff,0x7fffecdf,0x45ffffcc,0xfff07ff9,
    0xf1bff207,0xffffffff,0x0fffa8df,0x2afffe60,0xfffaaaaa,0x7ffffec4,
    0x03fea01f,0xd97e23f7,0xfc97d44f,0x7fff007f,0x00fffe00,0x84fffc88,
    0xff9dffeb,0x513ff20f,0x3ffdcfff,0xff980220,0xfffbffff,0x403fff31,
    0xfff53fff,0xffb99910,0x45ffe65f,0x1fff3099,0xfd0fff88,0xfffe8fff,
    0x3fe2002f,0x004cc42f,0x3ffffffa,0x000fffff,0x7cc3ffcc,0x0fff887f,
    0x3e21ffe6,0x3ffcc0ff,0x0017ffc4,0xff98fff3,0x03ffe607,0x7d41fff1,
    0x7ffc007f,0x4c2fff82,0x3ee01fff,0x7fffc47f,0x361fffff,0xeffffeff,
    0x3ffcc5ff,0xfb04ffe8,0xfcaaa8bf,0x542aabff,0x7fcc07ff,0x13ffa01f,
    0x3ffffffb,0x260ffc40,0x7c4bf13f,0x7dc3f21f,0x7fd401ff,0xf079732f,
    0x1f76c5ff,0x040dffb0,0xffe8fff5,0xf51fff82,0x77e403ff,0x3bdd9103,
    0x3e21fff1,0xfff101ff,0x00fffe27,0x3e65fff1,0x1ffe607f,0x5643ffe2,
    0x7fe747ff,0x3fe2002f,0xff50002f,0xffffffff,0xf98001ff,0x87ff987f,
    0x3e60fff8,0x0fff887f,0x7c43ffcc,0x3e6002ff,0x03ffcc7f,0xff10fff3,
    0x03ffd41f,0x3e07ffe0,0x7ffcc2ff,0x21bff601,0xdfffffd9,0x7e67fec1,
    0x4c5ffadf,0xdff907ff,0xa813ffe0,0x3ea00fff,0x7ffcc07f,0x213ffa01,
    0xd001fff8,0xf13ff07f,0xdf35fc8b,0x2037ffc4,0xff70fffe,0x21fff88f,
    0x3fa07ffe,0x3204cc5f,0x1fffc6ff,0x7c47ffe2,0xfff105ff,0x7fc4008d,
    0x982fffc7,0x3ffa2fff,0x3ffe600f,0x4c0fff32,0xfff887ff,0x231ffe60,
    0x22002fff,0xd0002fff,0xffffffff,0x8001ffff,0xe9807ff9,0x3fe600ac,
    0x40fff887,0xff887ff9,0x3fe6002f,0x303ffcc7,0xfff10fff,0x003ffd41,
    0x3fe07ffe,0x0fffcc2f,0x404fff98,0xfd80bffd,0xf300314f,0x3ffea0ff,
    0x00fffdc2,0x5401fff5,0x7fcc07ff,0x13ffa01f,0xc800fffc,0x99ffa85f,
    0x1ff99980,0x2077ffe4,0x2a2fffe9,0x3fee3fff,0x33ffee0f,0x8fffee20,
    0x3fe24ffc,0x237fec2f,0x3ee0fffb,0x7fecc4ff,0x0f7fdc3f,0xffd1bfea,
    0xfffe885f,0x07bffe60,0x4cbfffee,0x3fe607ff,0x20fff887,0xfff07ff9,
    0x7ffc4005,0xfffa8002,0x01fff502,0x807ff980,0x2605feda,0xfff887ff,
    0x443ffcc0,0x26002fff,0x3ffcc7ff,0xf10fff30,0x37fd41ff,0x207ffe00,
    0x7fcc2fff,0x7ffd441f,0x7eddc00e,0x004ffd85,0xe883ffcc,0xffebefff,
    0x7ffd404f,0x01bfea00,0x7403fff3,0xbfff04ff,0x07fa8059,0x7d403ff5,
    0xffffd01f,0xdffffdbd,0xfeffff88,0x7f445fff,0xfffdefff,0x3ffe20ff,
    0xa86fffcd,0xffdbefff,0xffffe85f,0x86ffffed,0xdbcffff9,0x7fd44fff,
    0xfffedfff,0xffffa84f,0xfffffedf,0x40fff31f,0xff887ff9,0x41ffe60f,
    0xffffffff,0xff10ffff,0xffffffff,0x0dffd0ff,0x7fffffd4,0x4c7fffff,
    0x3e6007ff,0x0fff300f,0xf981fff1,0xffff887f,0x7fffffff,0xff31ffe6,
    0x43ffcc0f,0x3ea0fff8,0x7ffc006f,0x4c2fff81,0xffffffff,0x2002ffff,
    0x4ffd87f9,0x03ffcc00,0xffffffd1,0xffa801bf,0x1bfea00f,0x403fff30,
    0xffb04ffe,0xff8809ff,0x7bfff501,0x403fffb7,0xffffffd8,0xff504fff,
    0x01dfffff,0xfffffff3,0xff903fff,0x203fffff,0xfffffffc,0xfffd880e,
    0x00efffff,0xfffffff9,0x3fff20df,0x0effffff,0xffffff50,0x4c1bffff,
    0x3fe607ff,0x20fff887,0xfff07ff9,0xffffffff,0x3fffe21f,0x7fffffff,
    0x501fffcc,0xffffffff,0xff98ffff,0x3b332207,0x1ffe604f,0xf303ffe2,
    0xffff10ff,0xffffffff,0x3e63ffcc,0x1ffe607f,0xfa83ffe2,0x7ffc006f,
    0x4c2fff81,0xffffffff,0x64403fff,0xfd84fecc,0x7fcc004f,0x7ff64407,
    0xff5003ef,0x37fd401f,0x807ffe60,0xfd104ffe,0x7ff009ff,0x7ffedcc0,
    0xd5000bdf,0x03bfffff,0xcefffea8,0x3fff2200,0x7100deff,0x801bfffd,
    0x0cffffea,0x7ffff5c0,0xffda803f,0x74c03eff,0x03efffff,0xffffdb98,
    0x7ff981ce,0x221ffe60,0x3fe60fff,0xffffff07,0x21ffffff,0xfffffff8,
    0x7ec7ffff,0x3fea00ff,0xffffffff,0x03ffcc7f,0x8059dfd1,0xff887ff9,
    0x43ffcc0f,0xfffffff8,0x3e67ffff,0x03ffcc7f,0xff10fff3,0x037fd41f,
    0x3e07ffe0,0x7ffcc2ff,0x0bdeffff,0x1beee980,0x8007dd90,0x22007ff9,
    0x7fd40009,0x1bfea00f,0x403fff30,0x0c404ffe,0x40013100,0x9880001a,
    0x00988000,0x80019880,0x19880018,0x00133000,0x33100000,0x00188000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xee880000,0x102eeeee,0x5ddddddd,0x3bbbbaa0,
    0x266600ee,0x30019999,0x06f6e599,0x80026644,0x0000ccc9,0x33107997,
    0x80666201,0xccc80980,0x00e65c02,0x03cb8f2e,0x802f76e6,0x3261aca8,
    0x4c19950c,0xcca80019,0x4cc39930,0x26620199,0x02666099,0x33333300,
    0xa8800333,0x026a601a,0x2a000dc0,0x5400001a,0x19971bdc,0x6dccf326,
    0xaaa9802c,0x4ccc4001,0x33333000,0x98013333,0x00666219,0x33333330,
    0x10666003,0x33300333,0x99999983,0x10999999,0xfff88133,0xf103ffff,
    0x07ffffff,0x3fffffea,0xffff300f,0x03dfffff,0x7feeffd4,0x0fff303f,
    0x17fffa00,0x03ffe200,0x3603fff2,0xffd886ff,0xf981fbac,0x1ffec06f,
    0x3eeffe60,0xfffc881f,0xffa86fff,0x3bfa0fff,0x3fe64ff9,0x7fe4001f,
    0x3e65ff71,0xff00ffff,0x3fe25fff,0x3fe6002f,0xffffffff,0x07ffd002,
    0x1bfffff7,0x8007faa0,0x7ffc5ffc,0xffffffff,0x3ffff622,0xf51ffeaf,
    0xfffff5bf,0xfffd301b,0x32003dff,0xf9805fff,0xffffffff,0x7ff982ef,
    0x9801ffea,0xffffffff,0xfff302ef,0x203fffb8,0x3e64fffa,0xffffffff,
    0xbffd4fff,0x55555550,0x55555403,0x555101aa,0x26015555,0xffffffff,
    0xff505fff,0x201fffff,0xc8007ff9,0x002ffbff,0xf880ffe4,0x7ffc43ff,
    0xfffefa82,0x0bfea07f,0xb803ffd8,0xfb03ffff,0x9fffdfff,0x47fffff8,
    0x4c6ffff8,0x64001fff,0x25ff71ff,0x82fffff9,0x12fffff9,0x4c005fff,
    0xffffffff,0x7e405fff,0x7ffec3ff,0x440fffff,0xf5001fff,0xffff8bff,
    0x2fffffff,0x3fbffff6,0xff51ffff,0xffffffff,0xfffffa8b,0xf802ffff,
    0x4c00ffff,0xffffffff,0x7cc2ffff,0x01ffea7f,0xffffff98,0x985fffff,
    0xfffe87ff,0x41fffd00,0xfffffff9,0xfd4fffff,0x000000bf,0x3e600000,
    0xfecccdff,0xffa84fff,0x26039aff,0x744006ee,0x001bd72e,0xf9007fe2,
    0x06ffc8ff,0x00e64cb7,0xccb81bea,0x0bddb001,0x542fffe6,0xfff11fff,
    0x3bbaa025,0x00fffcc1,0x99886620,0x9fffff30,0x5fffff70,0x800bffe2,
    0xdccdfff9,0x701ffffe,0x7d47ffff,0xfffdbeff,0x00fffc45,0x22ffff44,
    0xffffffff,0xfff31fff,0x3fffaa19,0x25dfff51,0xf11fffd8,0xfb515dff,
    0x7fd401ff,0x7cc04fff,0xdccccdff,0x7fcc7fff,0x801ffea7,0xcccdfff9,
    0x4c3ffffe,0xfff986ee,0x42fffb85,0xcccdfff9,0xfd2ccccc,0x33b2a0bf,
    0x76dc400b,0x4cc982bc,0xf984cc88,0xffe981ff,0x17ffd40f,0x00000000,
    0xff880000,0x05fff12f,0x00000000,0x7ffc8000,0xff50acc8,0xff98000f,
    0xdfffffff,0x3fe60000,0xffe87fff,0xfff12fff,0x7ffcc005,0x44fffa81,
    0x3fffffea,0xff71bff6,0x6fffe54f,0x3fff201c,0x3ff6005f,0x703fff23,
    0x3fea3fff,0xa7ffc43f,0xff80fffb,0x3fff603f,0x7fcc07ff,0x3fff501f,
    0xff53ffcc,0x7ffcc00f,0x0fffe981,0x0fffe400,0xf30bfff1,0x7f4003ff,
    0x7fff445f,0xff501eff,0x41bfffff,0xff987ffa,0x01fff987,0xfa89fff1,
    0x3fe000ff,0x10732e07,0x59950999,0x33333322,0x7e40cccc,0x10dff96f,
    0x376e2799,0x4999100b,0xccccccc8,0x99910ccc,0x19999999,0x54013ffa,
    0x664407ff,0xfffff984,0x02ffffff,0xff309991,0x7c43ffbf,0xf12ffeef,
    0x7cc005ff,0xdffb01ff,0x7ff7ffc4,0x30ffb63f,0x3ff21fff,0xf503ffff,
    0x200bffff,0x7fec6ff9,0x51fff986,0xffd03fff,0x640fb6ab,0xfff104ff,
    0x4c05fff5,0xff101fff,0x53ffcc3f,0xccc98fff,0x407ffe62,0x3224fff9,
    0xdfff104c,0x4c07ffe4,0x36001fff,0x7fff45ff,0x440ffffe,0xfffefffe,
    0x21ffea4f,0xff987ff9,0x1bff601f,0x4c00fff5,0x3ff206ff,0x20fffd44,
    0xfff13ffd,0x3fffffff,0xffafff88,0x9dff983f,0x81efffff,0x3fe27ff9,
    0xffffffff,0xffffff11,0x3fe3ffff,0xfff5003f,0x987ff980,0xffeeefff,
    0xf980ffff,0xbfff987f,0x33fea3ff,0xfff12ffe,0x7ffcc005,0x44dffb01,
    0x07ffd3ff,0xfc9ffea0,0x883fffff,0x05ffbeff,0xfe81ffd0,0x23fff03f,
    0xff907ffa,0x17ffc00d,0xffd6ffb8,0x0fffcc0b,0x7cc7ffa8,0x89ffea7f,
    0x3e60efff,0x3ff601ff,0xa81ffe66,0xfff9bfff,0x03fff303,0xf727fe40,
    0x3ff623ff,0x362ffdc4,0x1ffea6ff,0x3e61ffe6,0x3ff201ff,0x003ffd47,
    0x7cc09ffb,0x1fffec6f,0x3e21fff1,0xffffffff,0xffffc81f,0xffff306f,
    0x0bffffdf,0x7fc4fff3,0xffffffff,0xffffff11,0x3fa3ffff,0xfff5003f,
    0x987ff980,0xffb81fff,0x87ff983f,0x5ff9fff9,0x3ffabff2,0x005fff12,
    0x4c0fffcc,0x83225fff,0xfb003ffe,0x7ffcc4df,0xaffd809a,0xfa805ffb,
    0x84ffe83f,0xff51fff9,0x0bff901f,0x01fffd10,0x7fd4fffa,0x9fff300f,
    0xfff95555,0x2a7ff987,0xdffd17ff,0x01fff981,0xff99fff2,0x77ffec07,
    0x3fe606ff,0xccccccdf,0xe8fff24c,0x7ffcc4ff,0x7fdc0880,0x261ffea6,
    0x7ff747ff,0x7dc5eeef,0x1ffea0ff,0x00fffec0,0xfff83ffe,0x31bfea6f,
    0xfffb3333,0x7ff77549,0x24eeffff,0x360efff9,0x7ff987ff,0x7ecccccc,
    0x4cccc4ff,0x364fffd9,0x1bcb84ff,0xf980fff5,0x1fff987f,0xf30bffd0,
    0x2fff30ff,0x23ffa7ff,0xfff12ffe,0x7ffcc005,0xfffdcbab,0x1fff403f,
    0x20fffdc0,0xf501fff8,0x017fee9f,0x7fe41ffa,0x51fffb86,0xffb07fff,
    0xfffe8809,0x21fff301,0xf304fff8,0xffffffff,0xfff305ff,0xffebffd4,
    0x1fff980f,0x4c3ffee0,0x7fc407ff,0x2601ffff,0xffffffff,0x3fee7fff,
    0x2ab3ffe2,0x101fffaa,0x4dfffd95,0xff987ffa,0x7fffffc7,0x7ffd47ff,
    0x101bfea1,0x9003fffd,0x3ffe67ff,0x00fff27f,0xfa8bfff5,0xffffffff,
    0x3ffe65ff,0x4c3ffcc2,0x7fd407ff,0xfffa805f,0x10fffdc5,0x3fea7fff,
    0x43ffcc07,0xfb01fff9,0x0fff30ff,0x3ff6fff3,0xffd6ff89,0x00bffe25,
    0xffffff98,0x805fffff,0x7dc03ffe,0xfff885ff,0x70eff881,0xffb80bff,
    0x43fff704,0xf51fffe8,0xfff98bff,0x3fffa202,0xb1bff201,0x3fe60fff,
    0xffffffff,0x3ffcc1ef,0xfffbfff5,0x07ffe603,0xf31fffa8,0xfff700ff,
    0xfff9809f,0xffffffff,0x7c4bfea7,0xffffffff,0x7ff542ff,0x2a6fffff,
    0x7ff987ff,0x55fffdd4,0x07ffd42a,0xfe80dff5,0xff5002ff,0x3ff7feeb,
    0x5401fff1,0xeea86fff,0xeeefffee,0x03ffe64e,0xf981fff3,0x3ffea07f,
    0x6fffa806,0xbdffff88,0xff50fffe,0x87ff980f,0xff01fff9,0x0fff30bf,
    0x3feefff3,0xffd4ffab,0x00bffe25,0xffffff98,0xd004ffff,0x7fdc07ff,
    0xfff880ef,0x2e1ffd81,0x3fe205ff,0x3fffa01f,0x1fffffbc,0xb7fffff5,
    0xfc80dfff,0x3fe201ff,0x17ffd43f,0x5567ffcc,0x2fffecba,0xffa9ffe6,
    0x2606ffff,0x3ee01fff,0x0fff30ff,0x201fffa0,0xaaabfff9,0x3e62aaaa,
    0x9bfff11f,0x43999999,0xa9befffa,0x1ffea6ff,0x3e61ffe6,0x3fee01ff,
    0x5037fd47,0xf8003fff,0xff3ffb7f,0x4c0dff39,0xf000efff,0x7fcc03ff,
    0x07ffc40f,0x7cc1ffe6,0x7cc00eff,0xff500eff,0x45ffffff,0x7cc07ffa,
    0xafff987f,0xfffea999,0x987ff983,0x9bff37ff,0x4bffa5ff,0x2002fff8,
    0xaaabfff9,0x3fa0009a,0xdfff703f,0x07ffe201,0xb555dff5,0xf5055dff,
    0xfffa80df,0x1fffefff,0xfffdfff5,0xfe803fff,0x7ffd401f,0xfffeeeee,
    0x01fff985,0xff997ffa,0x3ffffea7,0xfff303ff,0x33ffe403,0x3f600fff,
    0xfff9805f,0x83fe2001,0x3a003fff,0x37fd44ff,0xff50fff3,0x03fff30f,
    0x3ea37fec,0x13ff606f,0x3f604d4c,0xdfd5ffaf,0x3e207ff7,0xdd501fff,
    0xdddfffdd,0x43ffcc9d,0x7cc0fff8,0xffff887f,0x7fffc401,0x7ffec401,
    0x3ffd42ef,0x261ffe60,0xffffffff,0xf980efff,0x27ff987f,0xd0ffefff,
    0x3ffe25ff,0x3ffe6002,0xffe80001,0x0dfffb83,0x907ffe20,0xffffffff,
    0xff70dfff,0xffff3007,0x2a3fff19,0xdfff97ff,0x07ff8803,0xffffffe8,
    0x40ffffff,0x2e01fff9,0xfff30fff,0x7effffd4,0xfff980ff,0x99bff601,
    0xffb007ff,0x3fff300b,0x7ec7f800,0x226f4c5f,0x7fe42fff,0xb07ffe26,
    0xfff30fff,0x13ffe603,0x7ec0b36e,0x85ffd04f,0x93ffeffa,0x103ffdff,
    0x5403fffd,0xffffffff,0x3fe65fff,0x40fff887,0x7f447ff9,0x7f4401ff,
    0x3ee001ff,0x7ffa80cf,0x4c3ffcc0,0xffffffff,0xff300eff,0x6cfff30f,
    0x3fa6ffff,0x05fff12f,0x00fffcc0,0x21fff400,0x8805fffa,0x7fe41fff,
    0xffffffff,0x01ffd86f,0x3fff0620,0x0131ffea,0x300f3220,0xffffffff,
    0x989fffff,0x3f201fff,0x4fff30ff,0xffd2fffa,0x03fff309,0xf98fffe6,
    0xbffb007f,0x03fff300,0x7fcc4c80,0x4ffeaadf,0x64cf7fec,0x7ffc7fff,
    0x7fffdaae,0x441fff98,0xb80efffa,0xffb83ffe,0x07ffdc1f,0x47ffffe2,
    0xb06ffffa,0xea805fff,0xeefffeee,0x1ffe64ee,0xf303ffe2,0x2fffd8ff,
    0x02fffd80,0x42feddc0,0x7cc07ffa,0xefff987f,0x402cccee,0xff987ff9,
    0x93fffee7,0xfff12ffe,0x7ffcc005,0xffe80001,0x03bffe23,0x95efffc0,
    0xdcccccca,0xff83ceff,0xfff80007,0x000fff51,0x3200aaa8,0x7fec07ff,
    0x80fffcc7,0x3e66fffa,0xa9ffea7f,0x7fcc1fff,0x6ffea81f,0xd803ffcc,
    0xff9805ff,0x2aa6001f,0x7ffffdc1,0xfffa86ff,0x0fffefff,0x3ffffff2,
    0xff987ffb,0xffffffff,0x2fdc02ff,0xfcefffe8,0xffb04fff,0x7fffc4ff,
    0xeffffb84,0x204fffff,0x3e601fff,0x0fff887f,0xff73ffcc,0xfffffdff,
    0x3bfffee9,0x404fffff,0x7ffa87f9,0x4c3ffcc0,0x30001fff,0xfff30fff,
    0xd17fffcc,0x3ffe25ff,0xffffffff,0x007ffe67,0xb8fffa00,0xffffffff,
    0x7ffec1ff,0x5ffb804f,0x000dff10,0x3ea3fff0,0x3e20007f,0x3ffe00ff,
    0x17ffd404,0xfffffff3,0x47ffffff,0x3fea7ff9,0x262ffec7,0xffffffff,
    0x7cc2ffff,0xbffb007f,0xfffff300,0xdfffffff,0x3aa13ff6,0x500befff,
    0x3fa9fffb,0x77ffe43f,0xff30fff2,0xffffffff,0xfb99307f,0x3ffa203f,
    0x203fffff,0x7f45fffb,0xfffc81ff,0x4fffffff,0x9807ffe0,0xfff887ff,
    0xf93ffcc0,0xffffffff,0x3ffff29f,0x44ffffff,0x84feccc8,0x7cc07ffa,
    0x1fff987f,0x0fff3000,0xfff8fff3,0x44bffa0f,0xffffffff,0x3fe67fff,
    0xfe80001f,0x3ffffa3f,0x41ffffff,0x804fffe9,0xff505ffb,0xfff0000b,
    0x001ffea3,0x500fff88,0xff003fff,0x7fffccbf,0xffffffff,0xf53ffcc5,
    0x2fff98ff,0x3fffffe6,0x983fffff,0xffb007ff,0xffff300b,0xffffffff,
    0x3013ff6d,0x000c4001,0xff300044,0x7bdfffff,0x2f7faa01,0xdfeca802,
    0x7ffc401b,0xc83ffe43,0xffffffff,0x3ffe04ff,0x21ffe601,0x7cc0fff8,
    0x3ffff27f,0x94ffffff,0xffffffff,0xeee989ff,0x0fff501b,0xf987ff98,
    0xf30001ff,0x8fff30ff,0x7ff46ffd,0xffffff12,0x4cffffff,0x80001fff,
    0xfff33ffe,0xffffffff,0xb8006203,0x9ff705ff,0x3ddd0000,0x80017ba6,
    0xfb00fff8,0x3ff200df,0xfffff30f,0x05bdffff,0x7fd4fff3,0x266ffc87,
    0xefffffff,0xfff300bd,0x017ff600,0x3fffffe6,0xb6ffffff,0x000009ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xabb98000,0x26666660,0x26099999,
    0x84cc4019,0x0ccc1998,0x30266620,0x4cc40133,0x26666660,0x4c400999,
    0x99999999,0x4ccc1999,0x21998800,0x33100998,0x42662013,0x22009998,
    0x4cc40999,0x99999999,0x000ccc19,0xddddddd5,0x500cc401,0x26666599,
    0x19999999,0x00000000,0xeecb8800,0x06f76e2c,0x337b72a0,0x884cc981,
    0x039974cc,0x0579db71,0x0179d950,0x179d9510,0x79d95100,0x40666441,
    0x400bddb9,0x4c3ceca8,0xc981bddb,0x04cc884c,0xc980f774,0x666442cc,
    0x98133222,0x332a02cc,0x74455512,0xff34ffff,0xffffffff,0x07ffe69f,
    0xff54ffe8,0x07ffe21f,0x30ffffd4,0x7ec0bfff,0xfffff33f,0x07ffffff,
    0x3fffffee,0x1fffffff,0xd003fff6,0x37fecdff,0xd05fffd8,0x7fff49ff,
    0x0fffe880,0x7fffffec,0x267fffff,0x3ee007ff,0x00ffffff,0x7ec03ffa,
    0x3333374f,0x21533333,0x710000bd,0x07e637b9,0x3e26b880,0xfeffffff,
    0x00efffff,0xfffffffb,0x987ffa87,0x87ffd7ff,0xfffffffa,0xfffe880d,
    0x3ea01eff,0x02ffffff,0x3fffffea,0x41fff12f,0xffffffc8,0xfffff506,
    0xffff73df,0x7ffa89ff,0x7c07ff98,0x3ffa01ff,0x83fff60f,0x3ee07ff9,
    0x57ff204f,0x3ff27ffa,0xfff33fff,0xffffffff,0x807ffe69,0xfff54ffe,
    0x207ffe21,0x4c2ffff9,0xfb01ffff,0x3fffe67f,0xffffffff,0xfffffb85,
    0xffffffff,0x80bffea1,0x3ee3fff9,0xfffff07f,0x4c5fff10,0xffc85fff,
    0xffffd82f,0x7fffffff,0x8801ffe6,0x02aaaaaa,0xfd807ff4,0x84c0054f,
    0x2001cffe,0xfffffffb,0xfc8801ff,0x3bfff67f,0xefffffff,0xff986fff,
    0x0fffecdf,0x3e61ffea,0x447ffd7f,0xfffefffe,0xefffe84f,0xfa80ffff,
    0xffffffff,0xfffffa82,0xff8affff,0x3ffff60f,0x7d44fffe,0xffffffff,
    0xfffeefff,0x261ffea3,0x7ffc07ff,0x57ffe601,0x7cc2fffb,0x13fee07f,
    0xff55ffc8,0x086ffecf,0x999bfff3,0x3e659999,0x3ffa01ff,0x221fff54,
    0x7fcc1fff,0xfff982ff,0x27ffb06f,0xcccdfff9,0x42ffffdc,0xffdcccc9,
    0x40cccccf,0x3ee05fff,0x3ffe60ff,0x7ffffcc1,0x207ffd41,0x3e62fffc,
    0x999505ff,0xffff9999,0x003ffccd,0x0ffe8000,0x00a7dd90,0xffffd098,
    0xfffb805b,0x04ffffef,0xbffffed4,0x7fe46ffa,0x227fec6f,0x6fe41ffd,
    0x261ffea2,0x45fd97ff,0x7fec5ffb,0x88fffdc6,0x7fcc4ffd,0xfffd52df,
    0x96fffcc1,0xee9fffea,0x17fff30f,0x7c47ffea,0xffd72eff,0x7ffcc7ff,
    0xf30fff50,0x0aaa80ff,0x7dfffdc0,0x7ff984ff,0xb813fee0,0x4dff54ee,
    0xff983ffe,0xfff3001f,0xaa7ff403,0xfff10fff,0x17fffcc3,0x3fffff98,
    0xff33ffd8,0x3ffe603f,0x0fffa804,0x00fffc80,0xfff0bffd,0xfffffc87,
    0x4437fe43,0xffd0ffff,0xff50001f,0x3ffcc1ff,0x02664400,0x2000ffe8,
    0x6d426002,0x0befffff,0x8867ffc4,0xeb80ffff,0x42efffff,0x17ffd408,
    0xffd1ffe2,0xffa8015d,0x2a7ff987,0x7dc0881f,0x227ff46f,0x3ee0fff9,
    0x7ffcc0ff,0x303ffee3,0xc9f67fff,0x0acc87ff,0xfa81fff7,0x2ffd87ff,
    0xff30fff5,0xfd80000f,0x980effff,0x3fee07ff,0x95dd0004,0x4c79bfff,
    0xf3001fff,0x7ff403ff,0x221fff54,0xffd11fff,0x7ffcc05f,0x7fec0fff,
    0x403fff33,0xfa806ffd,0xff9800ff,0x2fff882f,0x7f45ffd8,0x7ec5ffdf,
    0x9fff504f,0x0007fff5,0x983ffff3,0x7bb717ff,0x21ffe601,0xfffeeeea,
    0x0a03eeee,0x7dc40980,0x90cfffff,0xfffd8fff,0xffff913f,0x544039ff,
    0xabffffec,0x20fffaaa,0xcefffffc,0x987ffa81,0x01fb17ff,0x3fffb2a2,
    0x5567ffc6,0x361fffaa,0xbffd05ff,0xfe82ffec,0x3fa5fadf,0xdff9004f,
    0x2abbffe0,0xf54ffdaa,0x4fff30ff,0xfffffffa,0xf884ffff,0xf301ffff,
    0x7ffffcff,0x0fffffff,0x7fee7cc0,0x3e66ffff,0xff3001ff,0xa7ff403f,
    0xff10fffa,0x7fffd13f,0xfffff980,0x99ffec5f,0x3fa01fff,0xfffa804f,
    0x0bfff000,0x3f20fff7,0x27ffe26f,0x17ffc7ff,0xffffffb0,0xffd1000d,
    0x5fff307f,0x01dfffff,0xff50fff3,0xffffffff,0x3001409f,0x7ffed401,
    0x5cbffb7f,0xfd5ffcdf,0x9805bfff,0xfffffffd,0xffffffff,0x7fffec1f,
    0x3ea0dfff,0xcfff987f,0xffea82ff,0x226fffff,0xffffffff,0x3ffe2fff,
    0x7cdff903,0xfff903ff,0x1fffc1df,0xb04ffe80,0xffffffff,0x1ffeabff,
    0xffa9ffe6,0xffffffff,0xbfff704f,0xff3ffcc0,0xffffffff,0x77d401ff,
    0xffffffd8,0x26bffe66,0x26099999,0xaaaacfff,0xf54fffaa,0x3ffe21ff,
    0x805fffea,0xfffbfff9,0x7ccfff62,0xffc881ff,0xfffa801f,0x1fff9000,
    0xf504ffe8,0x57fea1ff,0xfff31ffe,0x7fffc401,0xfd8001ff,0xfff304ff,
    0x9fffddff,0xf50fff30,0xffffffff,0x001409ff,0xfff30013,0x7d4bffaf,
    0x3fadff56,0xff9802ff,0xfffaacff,0xeeeeeeee,0xffffc981,0x1ffea4ff,
    0x40b7ffe6,0xa9befffa,0x3ffe26ff,0xcccccccd,0x6c13ffa1,0x13ffa5ff,
    0x7417ffec,0xffd003ff,0x3bfffe09,0x54eeeeee,0xfff30fff,0x7fffffd4,
    0x884fffff,0x302fffff,0x7fffcfff,0xffffffff,0x3fa12200,0xffff983f,
    0x23ffffff,0xfffffff9,0x54ffffff,0x3fe21fff,0x1fffffff,0xfebffcc0,
    0x4cfff66f,0xffffffff,0x5006ffff,0x26001fff,0x3fe23fff,0x5fff102f,
    0x7fe4fff2,0x500dff73,0x0009ffff,0x4c0bfff9,0x3f20efff,0x87ff987f,
    0xfffaaaa8,0x0a01aaab,0x3aa00980,0xffd7ffff,0x3ee1df37,0xdffffd6f,
    0x17ff6017,0x0005fff5,0x27ffeb88,0xffa87ff9,0x227ff407,0x7ffc6ffa,
    0x1bff2003,0xff927ffc,0x40fffe0d,0xbcb84ffd,0xf30fff91,0x3e600dff,
    0x07ffa87f,0x7ffec000,0xff980fff,0x013fee07,0x41fff400,0xfffffff9,
    0x3fe63fff,0xffffffff,0xfff54fff,0x3ffffe21,0x4c06ffff,0x9fff37ff,
    0x7fccfff6,0xffffffff,0xff5000cf,0x7ff4001f,0xd01ffee5,0x47ffa7ff,
    0xbff95ffa,0x7ffff500,0xefffa800,0x0bffe600,0xff30fff3,0x03ffa00f,
    0x0028d54c,0xfff93026,0x3f217fff,0x3fa0ffdf,0xfffd714f,0xffe83bff,
    0x22fffe43,0x3b623dea,0x87ffc41f,0x7ec1fff8,0x17ffc07f,0xffb1bff2,
    0x544de98b,0x7fdc2fff,0x0bffea1f,0x7dc0fff7,0x3ffe21ff,0xc87fff53,
    0x7741ffff,0x83fff12d,0x55407ffd,0x7ffd400a,0xf985fffb,0x13fee07f,
    0x7401aa98,0xfff983ff,0x1ccccccd,0x2ab3ffe6,0x4fffaaaa,0x3e21fff5,
    0xffbbffff,0x9ffe603f,0xffd8fffc,0xfddfff33,0x5000bfff,0x5c001fff,
    0x9ffd0fff,0xf8dffc80,0x75ffe27f,0x7fc403ff,0x3000ffff,0x9803ffff,
    0x7fcc1fff,0x03ffcc0f,0xfb00ffe8,0x09800a9f,0xdfffffd5,0x3ffff505,
    0x5417ffcc,0x3efffffd,0xf713dff9,0xf75bffff,0xeffd87ff,0x46ffda9a,
    0xfdaaefff,0x7fec07ff,0x7fffc99e,0x556fffcc,0x7f444ffe,0xfffebeff,
    0x77fff444,0x203fffeb,0xebdffff8,0x3ff60fff,0xfffffcef,0x6ffdabff,
    0x6d577ffc,0x7fc07fff,0x3ffe201f,0x987fff75,0x3fee07ff,0x017ff204,
    0xff307ffd,0x3fe6003f,0x53ffa01f,0xff10fffa,0x7fff47ff,0x44fff301,
    0x3ffddfff,0x7dc3fff3,0x2a000dff,0x22000fff,0xfff8bfff,0x5fffd401,
    0x57ff45ff,0x7ec01fff,0x805fffff,0x802fffe8,0x7c40fff9,0x3ffcc0ff,
    0xb00ffe80,0x9800a9ff,0x3bffffd0,0xacfffe80,0x4c05fffd,0xf17ffffc,
    0xbdffffff,0xbfffffff,0xffffff10,0xffc83fff,0x7ffcffff,0x7ffffd40,
    0x5c0fffef,0x6fffffff,0xfffffd10,0xfd101bff,0x1bffffff,0xfffffa80,
    0x7f442fff,0xfdffffff,0x1fffffff,0x7fffffe4,0x7fc07ffb,0x3fff601f,
    0x983fffa0,0x3fee07ff,0x017ff204,0xff307ffd,0x3fe6003f,0x53ffa01f,
    0xff10fffa,0x6fffa89f,0xfa8fff30,0xf33fffff,0xfffc83ff,0x3ffea005,
    0x77ff4000,0xf8806ffb,0x643ffeff,0x407ffeff,0xffcdfffa,0x7ffec02f,
    0x0fff3004,0xf981fff1,0x1ddb007f,0x014fff60,0x33ffa130,0xffffb000,
    0x001dffff,0xda9ffee2,0x3aa3efff,0x300befff,0x3bfffffb,0x4fbfff20,
    0xfda807ff,0x07ffd4ff,0x17dfffd5,0x7fff6440,0xffec803e,0x362003ef,
    0x202effff,0x12effffc,0x039dfff9,0x7cbbfff2,0x0f77407f,0x4c2fffb8,
    0x3fe66fff,0x80b32607,0x7f405ffc,0x1fff983f,0x03fff300,0xffaa7ff4,
    0x03fff10f,0xf307fffb,0xffffb0ff,0x07ffe67f,0x400bfffa,0x4000fffa,
    0x3ffefffb,0xfffffd00,0xfffffa83,0x3fffe205,0x00ffff88,0x400bfff9,
    0xff887ff9,0x43ffcc0f,0x99999998,0x3e609999,0xd84c0053,0x5efdc003,
    0x003efffd,0x200c1aa0,0x4cc00098,0x00026001,0x98000620,0x00988000,
    0x00009880,0x310004cc,0x10004401,0x00000001,0x00000000,0x307ffd00,
    0x26003fff,0x3fa01fff,0x21fff54f,0xf981fff8,0x7fcc0fff,0xfffff887,
    0x303fff33,0x5001ffff,0x88001fff,0x00ffffff,0x0fffffb0,0x07fffff1,
    0xf51fffec,0xfff50bff,0x7fcc001d,0x40fff887,0xffa87ff9,0xffffffff,
    0x0147f24f,0x44000130,0x00000984,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7cc1fff4,0xff3001ff,
    0xa7ff403f,0xff10fffa,0x3fff203f,0xc83ffcc5,0xff33ffff,0x3ffee03f,
    0x0fffa805,0xffffd800,0x3ffee006,0xffffd05f,0x17ffea03,0xfb0bfff6,
    0xffffffff,0x3e63ffff,0x0fff887f,0x7d43ffcc,0xffffffff,0x649fb4ff,
    0xaaaaaaaa,0x00000caa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd000000,0x3fff307f,0x07ffe600,
    0xff54ffe8,0x07ffe21f,0x317fffc4,0x7ff40fff,0x03fff33f,0x2017fff4,
    0x8000fffa,0x003ffffa,0x40bfffe6,0xf107fffb,0xff101fff,0x7ffec1ff,
    0xffffffff,0x0fff31ff,0xf981fff1,0xffffa87f,0x4fffffff,0x00000057,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e60fffa,0xff3001ff,0xa7ff403f,0xff10fffa,
    0x7ffdc03f,0x40fff30f,0xff33fffa,0x7ffcc03f,0x3ffea00f,0xffff0000,
    0xffff8001,0x0bfff300,0xb80ffff2,0x3ff65fff,0xffffffff,0xfff31fff,
    0x001fff10,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20599700,0x332a4cc9,0x4439b952,0x66442cdb,
    0x817bb713,0xccccccc8,0x39970ccc,0xca84cc88,0x9899932c,0x40383ccc,
    0x3020080a,0x46f6e599,0x00b324ca,0x1e543326,0x55400b98,0x30055100,
    0xca880599,0x3279101a,0xcccccccc,0x059304cc,0x99999999,0x37109999,
    0x26213330,0x41333119,0x67644088,0x02cdca82,0x3fffe233,0x455511ff,
    0x8932e3cc,0x99910ccc,0x5ddddc43,0xbbbbbbbb,0x55555511,0x35555555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x641ffee0,0x33fee5ff,
    0x9afffffc,0x265fffff,0xffff9dff,0x3ffe21ef,0x1fffffff,0xffa89ff9,
    0xa9ffec1f,0x3ffa27ff,0x656fe40e,0x20efbbde,0x22f981fa,0xfffddffa,
    0x3ee9ff13,0x9b7f401f,0x7ff543ff,0x7ffdc1df,0x7fffdc4f,0x81bff602,
    0x43fffffb,0xffff6fd8,0xffffffff,0xff07f501,0xffffffff,0x7ffe41ff,
    0x653ffa1e,0x3fff56ff,0x7711ffe6,0x7ffec5fd,0xfc9acfff,0xffffff11,
    0xff9ffe63,0xffc9ffa6,0xf12ffdc3,0xffffffff,0x3e27ffff,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0xf1000000,0x5fff05ff,
    0x77ffffdc,0xfeffffff,0xfff33fff,0xbffffdff,0x7fffffc4,0xff31ffff,
    0x23fffd8d,0xff50fff8,0x03bffa2f,0xfffffff3,0x3ea7ffff,0x3ffe61ff,
    0xffffff52,0xe8ffe41f,0x27ff206f,0x7fc46fe8,0x3e26ffce,0xf11ffaaf,
    0x220df75f,0xfd02ffff,0x7dcdfb59,0xfffff6ff,0x1fffffff,0x54be6322,
    0xfffffff1,0x261fffff,0x3a6fcbef,0x2dff94ff,0xff31fffa,0xf8afdc0f,
    0xffffffff,0xfff11fff,0x3fe63fff,0x7fe9bfe7,0x3ee09ff1,0x9999910f,
    0x99999999,0x3bbbba25,0xeeeeeeee,0x00000002,0x00000000,0x00000000,
    0x00000000,0x517ff200,0xfffb8fff,0x47fffea5,0xff35ffe8,0x3ffec1df,
    0x3f666666,0x07ffc4ff,0x7d4dffff,0x6dffea6f,0xff500fff,0x9fffffff,
    0x4cffffcc,0xff51ffff,0xf88735ff,0x84ffa8ef,0x5ff95ff9,0xff50ffb8,
    0x2fe8aa23,0x41bee262,0x206ffffc,0x77cff930,0x555556fd,0x45555555,
    0xffdfdffa,0x55555554,0x361fff55,0x7f47f61f,0x2adff94f,0xfff31fff,
    0x8ffede54,0xffcaacf8,0x510effff,0x26155555,0x986667ff,0xc80bf719,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe6000,
    0xf713ff60,0x5fff81ff,0xff9b7fe4,0x03ffcc2f,0x3217ffea,0xffff33ff,
    0xf51ffe4f,0x03fff9ff,0x545fffc4,0x7fcc3ffe,0x21ffffff,0x5c02fffa,
    0x43ffd4ff,0xffa8ffe8,0x3e26fc85,0x01df902f,0xff103ffd,0xb303ffbd,
    0xa8cfffff,0x5cc0006f,0x02defffe,0x7f43ffe0,0x7fecbf20,0x3e2bff73,
    0x433310ff,0x221bdfea,0x059b9302,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x13ffe800,0xffb81fff,0x5c3fff87,
    0x1fff36ff,0x500fff98,0x3ea0dfff,0xffbff75f,0xfa83ffe3,0x406fffff,
    0x7fd44ffb,0xfffff985,0x07ffd41f,0x7cd7ff40,0x233ff26f,0x7fc81fff,
    0xfb10bfe6,0x3ff2e03f,0x7d5ffe40,0x5effcc5f,0x56fa87fb,0x55555555,
    0xfff30555,0x1fff0005,0x9fea37ee,0x9ff32ffb,0x00003ffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0x0bff76ff,0xfff0dff7,0xf36ffa87,0xfff881ff,0x0efff980,0x7fedffe0,
    0x6ff9cff9,0x7fffffd4,0x0bfee03f,0x7fd41bfe,0x7ffa83ff,0xa8fff880,
    0x5bfea5ff,0xffa83ffd,0x7443ff71,0xd0cc40ef,0x87ffc47f,0x9fee1fff,
    0xf6fa87fd,0xffffffff,0x7fcc1fff,0x7c001ffa,0x3fffe0ff,0x447baa3f,
    0x013b62ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd1fff10,0x0bff705f,0xffa85fff,0xf10fff36,
    0xfff881ff,0x57fec01f,0xf7dfd5ff,0xffffa87f,0xf500fffd,0x85ffa8bf,
    0x1ffffff9,0x6403ffd4,0x0fff8aff,0x7fc57fe4,0xfeffe80f,0x55fff45f,
    0xf53ff10a,0x927fdc1f,0x6ffcc9ff,0x6fa87ffd,0xffffffff,0x7dc1ffff,
    0xf8009f74,0x0e6d40ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0x707ffcff,0x5fff0bff,
    0xff36ffa8,0x41fff10f,0x801fffe8,0x93ffeffa,0xa83ffdff,0x9ffd3fff,
    0x2b7ffe20,0x7cc3fffb,0x1fffffff,0xf301ffea,0x20bff2bf,0x9ff56fe8,
    0x17dfd710,0x7fffffd4,0x13ffff23,0x7fc43fff,0x2b7ff20f,0xcb7d40ff,
    0xcccccccc,0x0a0a84cc,0x00133200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x704fffff,
    0x5fff0bff,0xff36ffa8,0x41fff10f,0x1002fffd,0x2a3fffff,0xfa86ffff,
    0x07ffe67f,0x3fffffea,0x3fe65fff,0xffff99ff,0xd80dff51,0x04ff88ff,
    0x7fe4ffe6,0x554c0200,0x5440aaaa,0x42f7540a,0x80082eec,0x000002a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f400000,0xff700fff,0xa85fff0b,0x0fff36ff,
    0x3ee1fff1,0xffffefff,0x7fffd84f,0x213fffe2,0x7fec7ffa,0x7ffffc45,
    0x34ffffff,0x7fcc3fff,0x40dff52f,0x1dfb2ffa,0xe88ffc80,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbfff7000,0x7c2ffdc0,
    0xb7fd42ff,0xff887ff9,0xfffff90f,0x709fffff,0xffe8bfff,0x47ffa81f,
    0x7dc2fff8,0xf99ccb8c,0x2607a60e,0x81bfea2f,0x00266098,0x019884cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5c05fff1,
    0x2fff85ff,0xff9b7fd4,0x90fff887,0xffffffff,0xfff109ff,0x507ffc87,
    0xdff90fff,0x00098030,0x0037fd40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_27_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,1,0,0,0,1,1,1,0,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,0,0,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,0,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-2,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,1,0,1,0,1,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,-1,-1,1,
0,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_27_latin_ext_y[560]={ 21,3,3,3,2,3,3,3,3,3,3,6,17,13,
17,3,3,3,3,3,3,3,3,3,3,3,8,8,5,8,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,10,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,8,3,3,6,3,
3,3,3,3,3,9,8,13,3,0,3,4,3,3,3,8,3,10,21,3,3,9,3,3,3,8,-1,-1,-1,-1,
-1,0,3,3,-1,-1,-1,-1,-1,-1,-1,-1,3,-1,-1,-1,-1,-1,-1,6,2,-1,-1,-1,-1,-1,3,3,3,3,
3,3,3,2,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,7,3,3,3,3,3,3,3,
-1,4,-1,3,3,8,-1,3,-2,3,-1,3,-1,3,-1,3,3,3,-1,4,-2,3,-1,3,3,8,-1,3,-2,3,
-1,3,-1,3,3,1,-2,-1,3,3,-1,3,-1,4,-2,3,3,3,-1,8,3,3,-2,3,3,3,8,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,8,-1,3,3,3,8,-1,4,-2,3,-1,3,3,8,-1,3,3,8,-1,3,
-1,3,-2,3,3,8,-1,3,3,4,-1,3,3,4,-1,3,-1,4,-2,3,-2,2,-1,3,3,8,-2,3,-2,3,
-1,-1,3,-1,3,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,8,5,5,5,5,5,5,5,5,5,5,5,5,5,3,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,-1,-1,-1,-1,-1,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-2,-2,3,-2,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_bold_27_latin_ext_w[560]={ 0,4,10,14,13,20,17,4,7,7,9,13,4,8,
5,8,12,9,13,13,13,12,12,12,13,13,4,4,12,13,12,13,24,18,16,16,16,14,13,17,15,5,12,17,
14,18,15,17,15,18,17,15,15,15,18,23,17,18,15,7,8,7,12,15,6,13,13,12,14,13,9,14,13,5,
7,13,5,19,13,14,13,13,9,13,8,13,14,19,14,14,12,9,3,9,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,13,14,13,14,
3,13,8,19,9,12,13,8,19,15,8,13,8,8,6,12,15,5,7,5,9,12,19,19,20,13,18,18,18,18,
18,18,25,16,14,14,14,14,7,6,9,9,18,15,17,17,17,17,17,12,19,15,15,15,15,18,15,13,13,13,
13,13,13,13,20,12,13,13,13,13,7,6,9,9,14,13,14,14,14,14,14,13,13,13,13,13,13,14,13,14,
18,13,18,13,19,15,16,12,16,12,16,12,16,12,16,18,18,15,14,13,14,13,14,13,14,13,14,13,17,14,
17,14,17,14,17,14,15,13,18,14,9,9,9,9,8,9,6,6,5,5,17,11,14,10,17,13,13,14,6,14,
8,14,9,14,9,15,7,15,13,15,13,15,13,17,16,13,17,14,17,14,17,14,24,21,17,9,17,10,17,10,
15,13,15,13,15,13,15,13,15,8,15,12,15,8,15,13,15,13,15,13,15,13,15,13,15,14,23,19,18,14,
18,15,12,15,12,15,12,8,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,15,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,18,13,13,13,13,13,13,13,13,13,13,13,13,13,20,17,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,13,9,9,17,
14,15,13,15,13,15,13,15,13,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,18,13,25,20,19,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_bold_27_latin_ext_h[560]={ 0,18,7,19,22,19,19,7,24,24,9,13,8,4,
4,19,19,18,18,19,18,19,19,18,19,19,13,17,15,9,15,18,24,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,20,18,19,18,19,18,18,18,18,18,23,19,23,10,3,4,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,18,18,13,14,18,14,13,13,13,19,13,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,19,13,18,
24,24,4,19,10,12,9,4,19,3,8,17,10,10,4,18,23,5,5,10,10,12,19,19,19,18,22,22,22,22,
22,21,18,23,22,22,22,22,22,22,22,22,18,22,23,23,23,23,23,13,20,23,23,23,23,22,18,19,19,19,
19,19,19,20,14,18,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,13,15,19,19,19,19,24,23,24,
22,18,22,19,24,19,23,19,24,19,23,19,23,19,22,19,18,19,22,18,23,19,22,19,24,19,22,19,24,24,
23,24,23,24,23,26,23,22,18,18,22,18,22,17,23,18,24,24,22,13,19,24,24,24,23,23,13,22,22,23,
23,18,18,18,18,18,18,22,18,23,18,22,18,18,19,19,23,18,24,19,23,19,19,14,22,18,23,18,22,18,
23,19,24,19,23,18,23,19,26,25,22,19,18,18,23,19,23,18,24,19,24,20,23,19,24,19,23,18,23,24,
22,22,18,22,18,22,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,19,16,16,24,16,16,16,
16,16,16,16,16,16,16,16,16,16,19,14,16,16,16,16,16,16,16,16,16,16,16,16,16,19,14,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,19,22,18,23,
19,23,19,23,23,23,23,23,23,23,23,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,25,24,23,19,24,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__arial_bold_27_latin_ext_s[560]={ 509,506,269,112,131,459,281,264,405,275,231,
488,507,309,318,447,456,291,301,82,324,499,432,338,91,77,502,230,276,217,249,
379,184,393,412,105,449,491,11,153,25,41,48,47,260,241,65,30,275,440,81,
61,99,137,115,134,158,472,176,241,1,185,188,363,340,342,480,404,494,356,1,
122,192,466,397,435,429,16,36,370,365,351,124,310,315,439,1,63,467,396,50,
126,271,387,294,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,509,506,38,
445,97,120,250,112,324,460,201,147,241,309,10,347,255,216,170,179,333,417,377,
280,286,211,160,134,356,376,411,73,462,443,351,332,297,373,234,221,34,19,100,
386,401,174,164,201,384,221,409,343,325,84,1,111,420,52,68,134,283,481,215,
296,282,268,254,240,226,406,289,183,183,169,155,141,149,324,299,231,67,135,31,
16,1,484,469,453,262,433,419,405,391,340,495,480,273,15,307,267,428,96,150,
200,254,173,249,146,266,120,341,227,43,58,358,1,87,16,326,494,209,342,292,
74,94,136,120,169,203,283,247,17,265,244,481,284,211,430,191,206,238,260,298,
333,500,482,324,305,224,239,153,189,83,258,237,138,503,309,331,219,171,203,195,
409,181,281,270,370,341,366,103,159,171,440,151,1,102,88,313,417,425,471,15,
62,1,355,457,480,448,30,393,403,361,44,1,51,316,133,455,500,225,186,193,
29,371,213,317,392,102,299,464,338,49,87,19,413,49,68,107,84,157,115,170,
196,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,353,235,235,355,
235,235,235,235,235,235,235,235,235,235,235,235,235,370,385,235,235,235,235,235,
235,235,235,235,235,235,235,235,46,324,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,145,127,
181,205,167,197,209,310,118,427,441,473,487,1,33,73,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,32,80,299,246,60,212,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235, };
static unsigned short stb__arial_bold_27_latin_ext_t[560]={ 1,159,197,119,76,76,99,197,1,1,197,
178,178,197,197,99,99,159,159,119,159,99,119,159,139,139,178,178,178,197,178,
159,1,159,159,139,159,159,178,139,178,178,139,178,159,159,178,139,159,76,178,
139,178,139,178,178,178,159,178,28,139,28,197,197,197,178,119,178,119,178,178,
139,178,159,1,159,159,197,197,178,159,159,197,178,159,178,197,197,178,119,197,
1,1,1,197,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,1,52,28,
119,197,159,1,1,197,119,197,197,197,197,139,197,197,178,197,197,197,139,28,
197,197,197,197,197,119,119,119,159,52,52,52,52,52,76,139,52,76,76,76,
52,52,76,76,76,139,76,28,28,28,28,28,197,76,28,28,28,28,52,159,
119,119,119,119,119,119,76,178,159,119,119,119,119,159,139,139,159,119,159,119,
119,119,99,99,178,178,99,99,99,99,1,1,1,76,159,76,99,1,119,28,
99,1,99,28,99,28,99,76,99,159,99,76,159,52,99,76,76,1,119,76,
99,1,1,52,1,52,1,52,1,52,76,139,139,76,139,76,178,52,139,1,
1,52,178,119,1,1,1,52,52,197,76,76,52,28,139,139,139,139,139,139,
52,139,52,139,52,139,139,99,99,52,139,1,99,52,99,99,178,52,139,52,
159,76,139,28,76,1,99,28,139,28,99,1,1,52,99,139,139,28,99,28,
159,1,99,1,76,28,99,1,99,52,159,28,1,76,76,159,76,159,76,159,
159,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,99,178,178,1,
178,178,178,178,178,178,178,178,178,178,178,178,178,99,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,119,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,76,119,
76,159,28,119,28,119,28,28,28,28,28,52,52,52,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,1,1,28,99,1,119,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178, };
static unsigned short stb__arial_bold_27_latin_ext_a[560]={ 107,129,183,215,215,344,279,92,
129,129,150,226,107,129,107,107,215,215,215,215,215,215,215,215,
215,215,129,129,226,226,226,236,377,279,279,279,279,258,236,301,
279,107,215,279,236,322,279,301,258,301,279,258,236,279,258,365,
258,258,236,129,107,129,226,215,129,215,236,215,236,215,129,236,
236,107,107,215,107,344,236,236,236,236,150,215,129,236,215,301,
215,215,193,150,108,150,226,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,107,129,215,215,215,215,108,215,
129,285,143,215,226,129,285,214,155,212,129,129,129,223,215,107,
129,129,141,215,322,322,322,236,279,279,279,279,279,279,387,279,
258,258,258,258,107,107,107,107,279,279,301,301,301,301,301,226,
301,279,279,279,279,258,258,236,215,215,215,215,215,215,344,215,
215,215,215,215,107,107,107,107,236,236,236,236,236,236,236,212,
236,236,236,236,236,215,236,215,279,215,279,215,279,215,279,215,
279,215,279,215,279,215,279,278,279,236,258,215,258,215,258,215,
258,215,258,215,301,236,301,236,301,236,301,236,279,236,279,236,
107,107,107,107,107,107,107,107,107,107,303,215,215,107,279,215,
215,236,107,236,107,236,149,236,185,236,107,279,236,279,236,279,
236,274,280,236,301,236,301,236,301,236,387,365,279,150,279,150,
279,150,258,215,258,215,258,215,258,215,236,129,236,185,236,129,
279,236,279,236,279,236,279,236,279,236,279,236,365,301,258,215,
258,236,193,236,193,236,193,107,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,281,290,290,215,290,290,290,290,290,
290,290,290,290,290,290,290,290,330,275,290,290,290,290,290,290,
290,290,290,290,290,290,290,321,280,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,279,215,107,107,301,236,279,236,279,236,279,
236,279,236,279,236,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,279,215,387,344,301,236,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_27_latin_ext(stb_fontchar font[STB_FONT_arial_bold_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_27_latin_ext_s[i] + stb__arial_bold_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_27_latin_ext_t[i] + stb__arial_bold_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_27_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_27_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_27_latin_ext_x[i] + stb__arial_bold_27_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_27_latin_ext_y[i] + stb__arial_bold_27_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_27_latin_ext_s[i] + stb__arial_bold_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_27_latin_ext_t[i] + stb__arial_bold_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_27_latin_ext_x[i] + stb__arial_bold_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_27_latin_ext_y[i] + stb__arial_bold_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_27_latin_ext_LINE_SPACING
#endif

