// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT        222
#define STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_28_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_28_latin_ext_LINE_SPACING          18

static unsigned int stb__arial_bold_28_latin_ext_pixels[]={
    0x7ffdc000,0xffffffff,0x262005ff,0x99800019,0x00c40009,0x4cc00660,
    0x31098809,0x00130001,0x26660000,0x01330000,0x0000c400,0x44002666,
    0x13300099,0x26000ccc,0x09880019,0x00666000,0x00099880,0x44009998,
    0x00001881,0x00013100,0x80006600,0x0ccc0009,0x000004c4,0x20000066,
    0xc8800998,0x0059912c,0x20199950,0x2201fff9,0x3ffee03c,0xffffffff,
    0x3f6005ff,0x7dc0005f,0x3ee000ff,0xfffd8802,0x077fe400,0x06feb7f4,
    0xbffffb10,0x002eea80,0x1002fff8,0xbffffff9,0xfffd7003,0x5c0019ff,
    0xf8800eff,0x7c400fff,0x801ffe5f,0x5003fffd,0x019ffffd,0x01fffe40,
    0x07fffc40,0x0bfff500,0x03743f88,0x09f107e4,0x7403ff30,0x3a00fd45,
    0xfdb1003f,0xc803bfff,0x7fdc4fff,0xfb50003f,0x159bffff,0x7ff44000,
    0x9ffc800f,0xe8000ffd,0x3fe603ff,0x09ff101f,0x7fffffdc,0x5fffffff,
    0x00bff300,0x003ffd00,0x74017ff4,0x2200ffff,0xdfd00eff,0x7f401bfa,
    0x2205ffff,0xf8007cbf,0xff9802ff,0xffffffff,0xffffb104,0x005fffff,
    0x74003bfe,0x4405ffef,0x01ffe5ff,0x07ff7fd4,0x3ffffe60,0xff5005ff,
    0xd8003ffd,0x1005ffff,0x807ffdff,0x02fecdfd,0xfdaadf88,0x406fd800,
    0x06ebacfb,0x5c00ffb8,0xffffffff,0xfdff504f,0x7fffdc3f,0x3ffee003,
    0xffffffff,0xff90003f,0x3fa00dff,0xa8002fff,0x7fcc03ff,0x007f901f,
    0x007fff10,0x00077ec0,0x0007fea0,0xfa805fff,0x7dc05eff,0x75bfa00f,
    0xfff8806f,0x5ea03edf,0x7fc001f8,0x7ffcc02f,0xffffffff,0xffffd84f,
    0x0fffffee,0x800ffdc0,0x3ffa9ffb,0xed93ba20,0x8dff8806,0x7fec06fe,
    0x01fffcbe,0x7f46ffc4,0x2bfee006,0xfe803ffa,0x4403ff96,0x2003effd,
    0x804ffffb,0xfd802ff9,0xf8802eff,0x3fff204f,0xffffffff,0xfdaffc42,
    0xffffd30f,0x9fffb100,0x7f5d4c33,0x3ea000ef,0x804ff9af,0x0004fff8,
    0xff3009fd,0x13bf603f,0x07fff100,0x00055400,0x4001ecc0,0x7dc02fff,
    0x0355005f,0x0dfd6fe8,0x001fff50,0x00036efc,0x7ffff100,0x7fffe4c1,
    0x833ffe20,0x404fffc8,0x2aa001aa,0x0000aaa1,0x22155300,0xfff100aa,
    0x2037fe45,0x15510aa9,0xaa8aaa00,0x50554402,0x00060035,0x3f6002a8,
    0x006e2007,0xf301ff90,0x7e4c5fff,0x8554c6ff,0x7fc41aa8,0x3ffa200f,
    0x17fee003,0x2a62aa80,0x00026002,0x04cc1331,0xd01fff98,0xf8800bff,
    0x4c0003ff,0x3a007300,0xff9004ff,0x2e0bffff,0x993004ff,0xfeb7f403,
    0x06ffc806,0x0005e440,0x7fec0062,0x3fff601f,0x203ffea3,0x0006fff8,
    0x00000000,0x44006200,0x00625fff,0x200004c0,0x0c400098,0x0000c400,
    0x0bff3000,0x54000980,0xfffe84ff,0x07fff900,0x00fff800,0x02207ff6,
    0x0002ffa8,0x7ff64c00,0xfb803dff,0x20bff33f,0x5501fff9,0xff880055,
    0x76c4003f,0xd13effff,0xf37a807f,0xffff9001,0x3ff20bff,0x0dbbf004,
    0x06feb7f4,0xfffffff3,0x17ffcc3f,0x981fff70,0xfb8dfffe,0x017ffe5f,
    0x7cc13791,0x333304ff,0xf883ffe4,0x0fff92ff,0x7e4bffe2,0x5fff107f,
    0x3ffffae0,0x3ff200cf,0x6c4000df,0x01dffffe,0xfffedb88,0x3fa601df,
    0x5ffb8dff,0x46ffff4c,0xfff35ffb,0x07ffdc05,0xc9805ff9,0x03dffffe,
    0x7cc7ff88,0x2f6204ff,0x0fff9809,0x5c07ffe0,0x7ff641ff,0xf94ffc9f,
    0x6ffd800b,0x7ffffe40,0x201effff,0xbff33ffb,0x407ffe60,0xff100018,
    0x7fdc007f,0xffffffff,0x7cc00ffe,0xfd7007a8,0x3209ddff,0x279803ff,
    0x3adfd01f,0xffff506f,0xff98ffff,0x3ffee02f,0x3ffffea0,0xf35ffdef,
    0x440003ff,0x01ceffff,0xb82fff98,0x3ffe67ff,0x267ffb82,0xffb82fff,
    0xffffd887,0x302fffff,0x007fffff,0x3fffffee,0x3ea04fff,0xffffffff,
    0xffffa84f,0x25ffdeff,0xeffffffa,0xfff35ffd,0x07ffdc05,0x7e401ffb,
    0xffffffff,0x0fff401e,0x0003fff5,0x200fff98,0x9ff01ffe,0x7fffff44,
    0x1fe2ffff,0x40dffb00,0xfefffffd,0x501fffff,0x13ba25dd,0x260fffcc,
    0xfb8dfffe,0x3ffe205f,0xffffb003,0xffffffdf,0xfff1003f,0x2fff800f,
    0x401ffe40,0x3a07ccf8,0x2a0dfd6f,0x3cdfffdc,0x7017ffcc,0x7ffc1fff,
    0xffffebdf,0x001fff75,0xfffffb80,0x3fa02dff,0x44ffe84f,0xffe84ffe,
    0x7427ff44,0xfffd84ff,0xfffffeef,0x7ffffc40,0x3f200dff,0xffffffff,
    0xfffb82ff,0xffffffff,0x6ffffc3f,0x25ffffeb,0xfebdffff,0xfff35fff,
    0x07ffdc05,0x7fec0fff,0xffffefff,0x3ff601ff,0x003fff22,0x01fff300,
    0x7d417ff4,0x277ffa0f,0x21ffffb8,0x3f6001fe,0xffff506f,0x7ffecc17,
    0x7cc00006,0x3ffea1ff,0x5ffdefff,0x00fffe20,0x42bfffea,0x07fffda8,
    0x05ffff90,0x2017ffc0,0xb5001fff,0xeb7f403b,0x7ffcc06f,0x05fff300,
    0xfb87ffdc,0x7ffdc2ff,0x2e0fffb5,0x84cccccc,0xfffffffb,0x7ffb81ff,
    0x2e0fffc4,0x7ffc47ff,0x223ffdc1,0x7fc41fff,0x3ff220cf,0x5d7ff44f,
    0x981fffff,0x3262ffff,0x7fcc6fff,0x3f260bff,0xfff70fff,0x75fffb85,
    0xffb85fff,0x05fff35f,0xf887ffdc,0xffff507f,0x7ffecc17,0xd93ff206,
    0x980007ff,0x3f200fff,0x2e6fd84f,0x7ffe86ff,0xfb001fe4,0x3fffe0df,
    0x0ffff201,0xfff98000,0x2f7fffe1,0x205ffffe,0xe803fff8,0xff901fff,
    0xfff007ff,0x7fc00bff,0xfff9102f,0x00666001,0x00aaadfd,0x7cc0fff7,
    0x3fee02ff,0x10fffb0f,0x3ff6bfff,0xfffffd07,0x3fb220ff,0x42ffffff,
    0x3ee2fff8,0x2fff886f,0x3e21bfee,0x1bfee2ff,0x2203ffea,0x3fe26fff,
    0x3ffffa67,0x807fff40,0x3f63fffc,0x3ff201ff,0x10fffb3f,0x3ff6bfff,
    0x35fff887,0x7dc05fff,0x0dff50ff,0xc807fffe,0xff703fff,0x003ffecb,
    0x007ffcc0,0x7c15fff3,0x207ffa4f,0x27e45ffc,0x30dffb00,0xf8809fff,
    0x3ffe67ff,0x4c3ffe80,0xfff71fff,0x05fffb85,0x500fffe2,0x3ee09fff,
    0x5406ffff,0x01ffffff,0xf305fff0,0xf9007fff,0xd07dffff,0xffc800df,
    0x0bffe606,0xfd0fffb8,0x57ffa0bf,0xfe80fffc,0x807fffff,0x6ffffdb8,
    0x3fa4ffd8,0x49ffb03f,0xffb03ffe,0x4c1fff49,0x33304fff,0x207ffcc3,
    0x3e65fffc,0x2f6204ff,0x017ffe09,0x3fa13791,0x2bffd05f,0xffd05ffe,
    0x80bffe6b,0xff70fffb,0x09fff30b,0x507fff88,0x7ffe4dff,0x7fcc0000,
    0x7ffec00f,0x7fccbfe6,0xe89ff906,0x3ff6003f,0x00fffb86,0xf30fffc8,
    0x7ffd01ff,0xfb1fff98,0xbfff10ff,0x01fffc40,0x2a03ffee,0x0fffccff,
    0x3ffbff60,0x5fff004f,0x009fff30,0xfffffff7,0x006fe89f,0xf3027ff4,
    0x7fdc05ff,0x209fff0f,0xfff75ffd,0xfd555505,0x220110ff,0x7d40fffd,
    0x01fff17f,0x7fc5ffea,0x2fff500f,0xf880fff8,0x001cefff,0xfc81dffd,
    0x07ffea7f,0x07ffe600,0x827ffc00,0x9fff5ffd,0x7cd7ff60,0x3fee02ff,
    0x709ff90f,0xf9001fff,0xfff301ff,0x200fffdc,0x3ffe601b,0x16ffe800,
    0x17fee1ff,0xff117fec,0x37fec005,0xb803ffe4,0xfff31fff,0x987ffd01,
    0xbffd1fff,0x8817ffa0,0x7ec03fff,0x75ffa87f,0x3e203fff,0x07ffcaff,
    0xf305fff0,0x7c405fff,0xffebacff,0x001bfa0f,0x7cc07fff,0x3fee02ff,
    0x20dffd0f,0xfff35fff,0x4fff900b,0x3e605ffe,0xafff82ff,0x7fc05ffb,
    0x405ffbaf,0x5ffbafff,0x3ffffee0,0x3f202dff,0x3ffc1eff,0x0001fff9,
    0x0001fff7,0x7fc1bffa,0x20dffd5f,0xfff35fff,0x87ffdc05,0xffc85ffb,
    0x3fff7007,0x7ccdff30,0x3fe603ff,0x0fff983e,0x9b7ffec0,0x413ff27f,
    0x3fee0fff,0x1bff6000,0x5401bff6,0xfff32fff,0x987ffd01,0x9fff1fff,
    0x8817ff60,0x7f403fff,0x537fcc6f,0x3ee05fff,0x2fff98ff,0x303fff80,
    0x64c0fffb,0x0fffcc5e,0x80aaadfd,0x2601fff8,0x3ee02fff,0x1fffb0ff,
    0x365fff98,0x7ec02fff,0x07fff67f,0x640fffdc,0x02ffecff,0x7ff67fe4,
    0x767fe402,0x7fdc02ff,0x1fffffff,0x4ffffe88,0x7fecbff3,0xfffb0007,
    0x333332e0,0x81fffb4c,0xffb5fff9,0x5fff981f,0x5c05fff3,0xbff50fff,
    0x200dffb0,0xfa82fffa,0x07fff45f,0x982fffd8,0x3ea00fff,0x3ff10aff,
    0x3ee17fee,0x00ffe67f,0xfd0dffb0,0x3fea00df,0x01fff32f,0xff987ffd,
    0x20dffb1f,0x3e205fff,0x7ff403ff,0xa83bfe26,0xffd02fff,0x402fff4b,
    0x884cefff,0xa8001fff,0x5bfa2fff,0x3fea06fe,0x3ffe600f,0x43ffee02,
    0xd50dfffa,0x7fccbfff,0x7f540bff,0x3ffee7ff,0x3ffea22e,0xfffff307,
    0xfff9801f,0x7cc00fff,0x800fffff,0xfffffec8,0xffd882ff,0x21fffeff,
    0xb0007ffd,0x3ffa0fff,0xff57ffff,0x3ffaa1bf,0x1bfff55f,0x4d7fffaa,
    0x3ee02fff,0x0dff30ff,0x2a00dffd,0xffb82fff,0x0f7ffd44,0x20ffff93,
    0x3200fff9,0x54ff84ff,0xfff88fff,0x000dff15,0xffb0dffb,0x3ffee00f,
    0xd01fff31,0xfff987ff,0xa81fff91,0x3e205fff,0x7fec03ff,0xb81ffd17,
    0xff981fff,0x07fff22f,0x0dffffb0,0x2600fff6,0x2fffffec,0x037f5bfa,
    0xf880fff7,0x3fee02ff,0x3ffffa0f,0x45fffffe,0xeefffffb,0x45ffffff,
    0xfefffffe,0x3a04ffff,0xd005ffff,0x200bffff,0x005ffffe,0xffffdb88,
    0x3fffee06,0x7ffe41ff,0xfffb8000,0xfffffe80,0x3ffffa7f,0x25fffffe,
    0xffeffffe,0xfff15fff,0x07ffdc05,0xfffb0fff,0x07ffee00,0x3f60fff2,
    0xfffeffff,0xfff302ff,0x417fec01,0xdfff16fd,0x9ffffd75,0xb0001dff,
    0xfff70dff,0x1fff9001,0x3a03ffe6,0x7ffcc3ff,0x23bfff51,0x205fffea,
    0x6403fff8,0x1ffe9fff,0xc80fffc8,0x7ffc47ff,0x7fff4404,0x407ff906,
    0xfefffffb,0x75bfa2ff,0x17ff206f,0x407fff10,0x7f447ffc,0xffdcffff,
    0xfffffa85,0x82ffffff,0xfffffff8,0x7dc04fff,0xf7002fff,0x2e005fff,
    0x8802ffff,0x1fffb100,0x7fffec40,0x00fffdc1,0x3fff306e,0xffd55550,
    0x7ffff44f,0x225ffdcf,0xdcfffffe,0x7fff15ff,0x3a3ffe40,0x7ffdc0ff,
    0x0fffc800,0xf901ffe8,0xffffffff,0x07ffcc07,0xf503ffd0,0x3fffea1f,
    0xfffffeff,0xffb0000d,0x09fff50d,0x267fff88,0xfff81fff,0xb0fffcc3,
    0xfffdffff,0x40000bff,0x2ffffffa,0xf10ffff0,0xfffd09ff,0xc8026200,
    0xfff704ff,0x8bffe15b,0x40dfd6fe,0x7c404ffe,0x3ff203ff,0x2dfdb887,
    0x2e209ffb,0xbdeffffe,0x7fffdc00,0xf8802eff,0x3e2007ff,0x3e2007ff,
    0x7ff407ff,0x0bffe605,0x31fffee0,0x7cc07fff,0x17ffe3ef,0x711fff20,
    0x3ff65bfb,0x96fedc44,0xfff14ffd,0x23ffe407,0x7fd42ffc,0x7ffc404f,
    0x980dff07,0x1dfffffd,0x007ffcc0,0x3fe03ffd,0x277bb625,0x222cdfd8,
    0x21bb2a19,0xff885ffd,0x3ff201ff,0x07ffe64f,0x9b30fffe,0x7fff4417,
    0x05ffdcff,0x7400e664,0xf702ffff,0xfff507ff,0xffffffff,0x1cca805f,
    0x7413fee0,0x7ffc44ff,0x37f5bfa2,0xf005fff0,0x3fa01fff,0x3f60026f,
    0x7ff5403f,0xbfd50003,0x7ffc4003,0x3ffe2004,0x3ffe2004,0x0fffec04,
    0x221fffb8,0x7ffd43a9,0x807fff41,0x3f62fffd,0x7fec02ff,0x7ffb0017,
    0x8fff6002,0xfd00ffff,0x45ff88df,0x201ffff8,0xf984fffc,0x9fd7003f,
    0x3ffea001,0x407ffe00,0x20004ffa,0x3fea6ffa,0x827ff40f,0x443ffffa,
    0xff86fffd,0x1fffdc3f,0x511bffaa,0x3ff65bfb,0x01fffc04,0x05ffffdc,
    0x741bfff2,0xffffffff,0x6c05ffff,0x3fee02ff,0xb87fff05,0x5bfa2fff,
    0xfff506fe,0xbfffb003,0x27ffe443,0xf885ddf7,0x65d402ff,0xba8002ff,
    0xf9001ffc,0x7e4003ff,0x3f2001ff,0x7fdc01ff,0x3fea22ef,0x0fffd47f,
    0xfa83fff3,0x3f261eff,0x7ffcc7ff,0x3faa20bf,0x5ddf77ff,0xf72fff88,
    0xfff885dd,0x877fff62,0xd84fffc8,0xffffa87f,0x37ffec43,0x32007fc8,
    0xf9006fdb,0x7ffc40ff,0x07bff200,0x41fff900,0xf50dfff9,0x7fec07ff,
    0xffffefff,0xfffe82ff,0x3ffffdab,0x0013ff10,0xff807ffd,0xfffb803f,
    0xfffddfff,0xfff982ff,0xffffffff,0x3f601fff,0x3ffea02f,0x57ffe45e,
    0x22ffffc9,0x64dfd6fe,0x007fffde,0xdffffff1,0x4c1fffff,0xecacffff,
    0x36000fff,0x7ec0004f,0x3ffaf204,0xfebc805f,0xebc805ff,0xfd005fff,
    0xfffdffff,0xfff889ff,0x07ffebcf,0xfdfffffb,0xf705ffff,0xffddffff,
    0x3e6bffff,0xfecacfff,0xffff30ff,0x1fffd959,0x7fffffc4,0x80fffffe,
    0xffd82ff9,0xffffefff,0x07ff02ff,0x403ff100,0x987ffffc,0xc807fffe,
    0x09bcefff,0xdffd9751,0xfffffd03,0xc801ffff,0xffffffff,0xfff701ef,
    0x7ffbbfff,0x5bf6eaa2,0x7c42eefb,0x7ffc02ff,0x7fffd402,0xffffffff,
    0x1fff901e,0x027ffcc0,0xfe801fb5,0x3fe60fff,0xffefffff,0x37f5bfa4,
    0x09fffffd,0x7ffffd40,0xc82fffff,0xffffffff,0x6555403f,0x554000ff,
    0x3a00ffcb,0x801fffff,0x01fffffe,0x1fffffe8,0xfffff100,0x209fffff,
    0xfffffffa,0x3fff202f,0x03ffffff,0x3fffffea,0x642fffff,0xffffffff,
    0x7fffe43f,0xa83fffff,0xffffffff,0x17f602ff,0x7fffffe4,0xf501efff,
    0x7551001f,0xffe80dfd,0xfffb83ff,0xffd3004f,0xffffffff,0x26019fff,
    0xffffffff,0xfffb3001,0xd7009dff,0x3ff29fff,0x19dfff33,0x2b3fffe6,
    0x800fffeb,0x36ff807d,0x9dfffffb,0x805fff80,0x3ea07ffe,0xfffd8806,
    0x6fffed40,0x3fa6ffb8,0x3fa2dfd6,0x88005fff,0xdfffffed,0x3fffae00,
    0xff802eff,0xf8001cef,0x6c01beff,0xb001efff,0x2003dfff,0x001efffd,
    0xffffffb8,0x7fecc02e,0xd9801eff,0x01dfffff,0xfffeca88,0x3fae03de,
    0x702effff,0x5dfffffd,0x7fff6c40,0x7cc00dff,0xfffb300f,0xfe809dff,
    0xbfff3004,0xffff8017,0x09fff704,0xfffd7300,0x017bffff,0x9dfffd30,
    0x06620003,0x10004400,0x7ffffec0,0xe801ffff,0x80d8803f,0xff500198,
    0xfff7005f,0x00037605,0x800c4033,0x30131098,0x4cc00003,0x00998000,
    0x20000100,0x02662000,0x00133100,0x00009988,0x00009988,0x22000133,
    0x4c400009,0x00998000,0x80004cc0,0x4cc00099,0x00198800,0x00000266,
    0x33100220,0x4cc40000,0x04c40001,0x00000000,0x7f5c0000,0x001dffff,
    0x00000039,0x200fffb0,0x0105fff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26600000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8000000,0x400f2e3c,0x04ccccc8,0xcccccc88,0x0ccc002c,0x01e5c000,
    0x004cc400,0x80799700,0x2e02fff9,0x40000fff,0x20001998,0xcca8ccc8,
    0x44664403,0x1cc8804c,0xc8805991,0xddd1003c,0x33100005,0x99950001,
    0x99700001,0x21cb8009,0xfff9804a,0xffffff10,0x1fffffff,0x993cca80,
    0x99930039,0xffff7003,0x0000009f,0x332a1995,0xfffff980,0x0e664406,
    0xffff1000,0x33260000,0x774c000c,0x0fffcc06,0xffbbff98,0xffff3002,
    0xff9801ff,0x004fffff,0x000ffff2,0x0000dfb8,0x0037ffcc,0x401fff30,
    0x2e02fff9,0x40000fff,0x20003fff,0xfff8bffc,0xfeefa800,0xb1ffb001,
    0xfd1001ff,0x7fff1005,0xffe88000,0xffd8000f,0x7fc40003,0x3ff6001f,
    0x9806fcef,0xfff10fff,0xffffffff,0xffe801ff,0x2005ffa9,0xfb805ffc,
    0x3204ffff,0x04f88bef,0x3e77fe20,0xffff304f,0xfffd80df,0xff90000f,
    0xb00005ff,0xf50009ff,0xfff980ff,0x3ffff201,0x3104c004,0x99999100,
    0x3e600599,0x4001ffef,0x0018bc89,0x27ff7f40,0x09ff3000,0x7017ffcc,
    0x40001fff,0x20004ffb,0x3ff74ff8,0x2b32e600,0xffff1001,0x2e26005f,
    0x3fe2018c,0x7ec0003f,0x88006fff,0x640007fe,0x3e2002ff,0x03fffdbd,
    0xf10fff98,0xffffffff,0x5401ffff,0x01dfb2ff,0x400ffd80,0x04fffeea,
    0xfffffff5,0xfffa8005,0x3ffe606f,0x3fea05ee,0xf0005ffb,0x000bffff,
    0x0004ff98,0xf980fff5,0x7ff401ff,0x8be6000e,0x000000fc,0xfe8dfe88,
    0xc8be6006,0xff90000f,0x0003ff71,0xf9807fd4,0x3fee02ff,0x3fa0000f,
    0x2fe40005,0x3e6005ff,0x54003f22,0xf3004fff,0xf8807e45,0x2a0003ff,
    0x03ff9aff,0x002fe880,0x1000bfe0,0x000d4415,0x7ffc4333,0x3fe80003,
    0x20001ff3,0x3f6004fd,0x731f904f,0x360009fd,0x3e600fff,0x4ff8807f,
    0xa8005ff5,0x01ffffff,0x0017f600,0x9802aa88,0x40000019,0x0032a1c8,
    0x04cc1331,0xa88554c0,0x4391000a,0x550000ca,0x20015543,0x02660998,
    0x5c05fff3,0x10000fff,0x00000055,0xca872200,0x304cc400,0x21c88013,
    0xfff100ca,0x15540007,0x26000555,0x00000000,0xf8800000,0x400003ff,
    0x00000009,0x2009ffb0,0x18800009,0x007ff980,0x36000098,0x04fffeff,
    0x00009800,0xf980004c,0x3fee02ff,0x05fff30f,0x2e07ffdc,0x0bff33ff,
    0x7fcc0000,0x3ffee02f,0x80000000,0xbff33ffb,0x202fff98,0x0000fffb,
    0xfff98000,0x43ffee02,0x2e02fff9,0x7fdc0fff,0xf98bff33,0x3fee02ff,
    0x07fff10f,0x98000000,0x3dffffec,0x80bffe60,0xff30fffb,0x7ffdc05f,
    0x10fff980,0x80007fff,0xdffffec9,0x0bffe603,0xd80fffb8,0xfd9304ff,
    0x4007bfff,0xcfffffeb,0x807ff980,0xdffffec9,0x3ffe2003,0x8007ffca,
    0xdffffed8,0xffed8801,0xff981dff,0x05fff31f,0xf987ffdc,0x3fee02ff,
    0x99ffdc0f,0xfffd85ff,0x9fffec03,0x2e02fff9,0xdffd0fff,0x07fffea0,
    0xf70fffe2,0x317fe67f,0x7dc05fff,0x3fa000ff,0xffffffff,0x33ffffff,
    0x7dc05fff,0x5fff30ff,0x207ffdc0,0xbff33ffb,0x202fff98,0xff10fffb,
    0x7fc4007f,0x3ffee03f,0xfffffc80,0x981effff,0x3ee02fff,0x5fff30ff,
    0x407ffdc0,0xff10fff9,0x7e40007f,0xffffffff,0x2fff981e,0x203ffee0,
    0xffc84ffd,0xefffffff,0x3fff6201,0x42ffffff,0x7e407ff9,0xffffffff,
    0xfffb801e,0x002fff98,0x3fffffee,0x3ee04fff,0xffffffff,0x98fffcc4,
    0x3ee02fff,0x5fff30ff,0x207ffdc0,0x9dd12eea,0x01ffff10,0xf99bffe6,
    0x3fee02ff,0x01fff90f,0x507ffff9,0xeea83fff,0xf989dd12,0x3fee02ff,
    0xfff5000f,0xffffffff,0x267fffff,0x3ee02fff,0x5fff30ff,0x207ffdc0,
    0x9dd12eea,0x202fff98,0xff10fffb,0x7fc4007f,0x3ffee03f,0x7ffffec0,
    0x1ffffffe,0x7017ffcc,0x3fe61fff,0x3ffee02f,0x10fff980,0xffffffff,
    0xfb07ffff,0xfffdffff,0xff983fff,0x3ffee02f,0x6c4ffd80,0xffefffff,
    0xfb01ffff,0xfffddfff,0x3ffcc1ff,0xdfffffb0,0x03ffffff,0x3fa5ffe8,
    0xfff9005f,0xffffffff,0xfffff905,0x45ffffff,0xff31fff9,0x7ffdc05f,
    0x405fff30,0x0000fffb,0x209fff70,0x3e61fffe,0x3fee02ff,0x05fff50f,
    0x70bffffd,0x30000fff,0x7dc05fff,0xffd000ff,0xffffffdf,0x27ffffff,
    0x2e02fff9,0xfff30fff,0x07ffdc05,0x3ffe6000,0x43ffee02,0x2003fff8,
    0x2e03fff8,0x3fea0fff,0x3f660bff,0x7ffcc6ff,0x43ffee02,0x2e02fff9,
    0xff980fff,0xfffff10f,0x7fffffff,0x0bffffa8,0x31bfff66,0x7dc05fff,
    0x4ffd80ff,0x82ffffea,0x886fffd9,0x3220cfff,0x3fe64fff,0x7ffff507,
    0x37ffecc1,0x645fff30,0x7cc01fff,0x3f262fff,0x7ffcc6ff,0x3fff262f,
    0x4c7ffe66,0x3ee02fff,0x5fff30ff,0x007ffdc0,0x3fffd000,0x4c4fffa8,
    0x3ee02fff,0x7fff10ff,0x7fffff88,0x0006ffd8,0x202fff98,0x9800fffb,
    0x9fff2fff,0x17ffcc00,0x261fff70,0x3ee02fff,0x4c0000ff,0x3ee02fff,
    0x7fff10ff,0x1fffc400,0x7c1fff70,0x3f201fff,0x3ffe63ff,0x43ffee02,
    0x2e02fff9,0xff980fff,0xfffff10f,0x7fffffff,0x201ffff8,0x3e63fffc,
    0x3fee02ff,0x24ffd80f,0x3201ffff,0x7fd43fff,0x6fff880f,0x7fc1ffe6,
    0x3ff201ff,0x8fff903f,0x7404fff8,0xff900fff,0x07fff47f,0xf33fffc8,
    0x3ffe63ff,0x43ffee02,0x2e02fff9,0xfff30fff,0x307ffd01,0x7fc4dfff,
    0x2fff986f,0xe83ffee0,0x7ffd45ff,0x7ffc0fff,0x203ffe64,0xfff13ffe,
    0x03ffdc07,0x3fe6ffd8,0x3fe6004f,0x3ffee02f,0x405fff30,0xff30fffb,
    0x27ffd01f,0x2e02fff9,0xfff10fff,0x7ffc4007,0x43ffee03,0x4404fff9,
    0x3fe67fff,0x3ffee02f,0x405fff30,0xf980fffb,0x7fff10ff,0x4fff9800,
    0x33fffc40,0x7dc05fff,0x4ffd80ff,0x8809fff3,0x7fcc7fff,0x4333304f,
    0xff987ff9,0x7ffc404f,0x84fff887,0x3e607ffe,0x2f6204ff,0x09fff309,
    0xf984dec4,0x5fff31ff,0x987ffdc0,0x3ee02fff,0x1fff30ff,0x3207ffd0,
    0xfff92fff,0x05fff303,0xf907ffdc,0xecffc8ff,0x3ffe63ff,0x203ffe62,
    0xfff13ffe,0x03ffe407,0xff17ffcc,0x7fcc009f,0x3ffee02f,0x405fff30,
    0xff30fffb,0x27ffd01f,0x2e02fff9,0xfff10fff,0x7ffc4007,0x43ffee03,
    0xc800fffb,0xfff30fff,0x87ffdc05,0x2e02fff9,0xff980fff,0x07fff10f,
    0x00fffb80,0xf30fffc8,0x7fdc05ff,0x74ffd80f,0xf9001fff,0x7ffc41ff,
    0xf9801cef,0x0fffb87f,0x40fffc80,0xfffffffa,0x502fffff,0x50003fff,
    0x30003fff,0x3fe63fff,0x3ffee02f,0x405fff30,0xff30fffb,0x07ffd01f,
    0x3e7fffa2,0xfff305ff,0x07ffdc05,0x7f41fff5,0x2a5ffcaf,0x3fe60fff,
    0x13ffe80f,0x7e409fff,0x7ffc807f,0x30027ffc,0x7dc05fff,0x5fff30ff,
    0x987ffdc0,0xffe80fff,0x405fff33,0xff10fffb,0x7fc4007f,0x3ffee03f,
    0x200fff90,0xff31fffb,0x7ffdc05f,0x405fff30,0xf980fffb,0x7fff10ff,
    0x07ffc800,0x263fff70,0x3ee02fff,0x4ffd80ff,0x2e00fff9,0x7fdc1fff,
    0x02dfffff,0xff90fff3,0x3ffee00f,0x7fffff41,0x5fffffff,0x001fff90,
    0x001fff90,0x263fff30,0x3ee02fff,0x5fff30ff,0x987ffdc0,0xffe80fff,
    0x3fffea03,0xff300fff,0x7ffdc05f,0x44bffe20,0x7ffa8fff,0xff31bff2,
    0x47ffd01f,0x3fa06fff,0x7ffc406f,0x7fffffc3,0x266fffff,0x3ee02fff,
    0x5fff30ff,0x987ffdc0,0xffe80fff,0x405fff33,0xff10fffb,0x7fc4007f,
    0xeeeeeeef,0xffb0fffe,0x3ffea00d,0x405fff32,0xff30fffb,0x7ffdc05f,
    0x10fff980,0xd8007fff,0xff5006ff,0x0bffe65f,0xd80fffb8,0x0dffb4ff,
    0x20bffea0,0xfffffffb,0x3ffcc1ff,0xa8037fec,0x3fe62fff,0xffffffff,
    0xfd81ffff,0xffb0007f,0x3fe6000f,0x05fff31f,0xf987ffdc,0x3fee02ff,
    0x01fff30f,0xfd807ffd,0x2602ffff,0x3ee02fff,0xa7ffc0ff,0xfff16ffb,
    0xf313ffa1,0x7ffd01ff,0x10efffec,0xc809fff9,0x7ffc0fff,0xffffffff,
    0x80bffe66,0xff30fffb,0x7ffdc05f,0xd01fff30,0x3ffe67ff,0x43ffee02,
    0x2003fff8,0xfffffff8,0x0fffffff,0x2a00dffd,0xfff32fff,0x87ffdc05,
    0x2e02fff9,0xff980fff,0x07fff10f,0x006ffe80,0x3e65fff5,0x3fee02ff,
    0xd4ffd80f,0x3ea00dff,0xfd9102ff,0x45ffffff,0xffe87ff9,0x5fff5006,
    0x3007ffe4,0xffb09fff,0x3ff6000f,0xfff30007,0x80bffe23,0xff10fffb,
    0x7ffdc05f,0xd01fff30,0xff8807ff,0x7fc405ff,0x3ffee02f,0xfdb7fec0,
    0x22fffa4f,0x7fcc2fff,0x23ffe80f,0xeffffff8,0x200effff,0xff84fff8,
    0xffffffff,0x0bffe26f,0xf10fffb8,0x7fdc05ff,0x01fff30f,0x3fe27ffd,
    0x3ffee02f,0xffffff10,0x29ffffff,0xfffffff8,0x0fffffff,0x2e00fffb,
    0xfff11fff,0x87ffdc05,0x2e02fff8,0xff980fff,0xfffff10f,0xffffffff,
    0x401fff67,0xff11fffb,0x7ffdc05f,0xfb4ffd80,0x3fee00ff,0xfdb8801f,
    0x3fe66fff,0x007ffd87,0x7fc3fff7,0x7ffe805f,0x000fffc8,0x000fffc8,
    0xf11fff98,0x7fe407ff,0x80fffe27,0x3fe67ffc,0x03ffe80f,0x401fffb8,
    0x3203fff8,0xfffb87ff,0x3f21fff8,0x40fff9df,0xfe80fff9,0x7fffcc3f,
    0x01ffffff,0x5567ffdc,0x99dfffaa,0x22099999,0x3f203fff,0x0fffe27f,
    0x3e67ffc8,0x3ffe80ff,0x6407fff1,0x3ffe27ff,0xffffffff,0x39fff14f,
    0xff733333,0x03ffee1f,0x443fff20,0x3f203fff,0x0fffe27f,0xf307ffc8,
    0x3ffe21ff,0xffffffff,0x1fff73ff,0x21fff900,0x3203fff8,0x9ffb07ff,
    0x2003ffee,0x0880fffc,0x21fffb10,0xffb87ff9,0xfffc800f,0x005fff50,
    0xfb85fff7,0x20dc01ff,0x5c01fffb,0x88fffcc1,0x3f203fff,0x0fffe27f,
    0x3e67ffc8,0x3fff81ff,0x00fffb80,0x901fffc4,0xfff30fff,0xffa8fff7,
    0xf986ffbf,0x3fff81ff,0xffffeb98,0xfff801bd,0xffffffff,0x3fe2004f,
    0x9fff203f,0x3203fff8,0x3ffe67ff,0xf13fff81,0x7fe407ff,0x3ffffe27,
    0x4fffffff,0x5c07fff1,0xfff50fff,0x7fff8809,0xc80fffe2,0x3ffe27ff,
    0x41fff203,0xff10fff9,0xffffffff,0x3fea7fff,0x7ffc404f,0x80fffe27,
    0xffb07ffc,0x013ffea9,0xfe8ffff1,0x3ffe605f,0xf50fff32,0xff8809ff,
    0x01fff67f,0x262fffc4,0x3e603fff,0x7fff33ef,0x99f7fcc0,0x3ffe1fff,
    0x8dffd00f,0xfd00ffff,0x0fffccdf,0x5c01fffc,0xff800fff,0xdffd00ff,
    0x3fffffe0,0xffefff85,0x81fff984,0x7dc03fff,0x7ffdc004,0xffffffff,
    0x7ffc004f,0x8dffd00f,0xfd00ffff,0x0fffccdf,0xfff1fffc,0x1bffa01f,
    0x201bdd88,0x2e03fff8,0xfff10fff,0x7ffe403f,0x807fffc4,0x7ffc6ffe,
    0x0dffd00f,0x8003ffea,0xfff880fc,0x3fff201f,0x807fffc4,0xffb06ffe,
    0x07fffe29,0x6c4fffc8,0xff701fff,0x21ffe63f,0x201ffff8,0x0004fffc,
    0x3ffa06f8,0x5fffb00f,0xd807fff4,0x09f32fff,0x443bfffb,0x7ec4fffc,
    0x3f221dff,0x1fffc4ff,0x200fffee,0xd800fffb,0x3221dfff,0xffb04fff,
    0xffb07fff,0x3fe05fff,0x1fffdc3f,0xd000fee0,0xdddddfff,0x8009fffd,
    0x221dfffd,0x7ec4fffc,0x3f221dff,0x1fffc4ff,0xfd8fffee,0x3f221dff,
    0x3fa604ff,0xfff100ff,0x07ffdc07,0x887ffff5,0xfd86fffd,0x3f221dff,
    0x7ffec4ff,0x3fff221d,0x01fff904,0xfa807f40,0x7ec43fff,0xfffd86ff,
    0x3fff221d,0x549ffb04,0x6c43ffff,0xffb86fff,0x3fea22ef,0x41ffe67f,
    0x443ffffa,0x0006fffd,0x3ea05f88,0x3f261eff,0x7ffd47ff,0x3fff261e,
    0x3e20fea7,0xffefffff,0x7fc40fff,0xfffeffff,0x7fff40ff,0x3ffffdab,
    0x00fffb80,0xffffff88,0x00fffffe,0x03fffff7,0x01fffff7,0x36affffa,
    0x5c03ffff,0x3fea005f,0x13ffe03f,0xfffff100,0x1fffffdf,0xffffff88,
    0x40fffffe,0xfdabfffe,0x3fe23fff,0xfffeffff,0x7ff000ff,0x80fffe20,
    0x7ec0fffb,0xfffeffff,0xff882fff,0xfffeffff,0x7ffc40ff,0xffffefff,
    0x7fffe40f,0x017f4007,0xfdfffffb,0x105fffff,0xfdffffff,0x6541ffff,
    0x7ec4ffec,0xfffeffff,0xffd02fff,0xffffdfff,0x67ffcc9f,0x7fffec3c,
    0xffffffef,0xff980002,0x3ffff600,0x2fffffef,0xefffffd8,0x2e2fffff,
    0xffff505f,0x05ffffff,0x3fffffea,0xfb82ffff,0xfddfffff,0xfffb803f,
    0xffff5000,0x05ffffff,0x83ffffcc,0x207ffff9,0xdffffffb,0x7c403ffd,
    0x7f404cef,0x3ffe00ff,0xffffffff,0x7fffd46f,0x02ffffff,0xfffffff5,
    0xff705fff,0xffbbffff,0xfffffa87,0x202fffff,0x00ffdbab,0x5c07fff1,
    0xffc80fff,0xefffffff,0x3fffea01,0x02ffffff,0xfffffff5,0xffd05fff,
    0xfc8007ff,0xffc82ddf,0xefffffff,0x3fffea01,0x42ffffff,0x84fffffb,
    0xfffffffc,0x3e201eff,0xffffffff,0x7fffcc4f,0xffffc86f,0x01efffff,
    0x33ffa000,0xffffc80e,0x203fffff,0xfffffffc,0x77fc43ff,0x7ff6c45c,
    0x4400dfff,0xdfffffed,0x3fffae00,0x7007ff94,0x44001fff,0xdfffffed,
    0x5ffff800,0x017fffe0,0x329fffd7,0xffc803ff,0x3ffe605f,0x7ffffc04,
    0x6fffffff,0xffffed88,0x76c400df,0x00dfffff,0x653fffae,0xfed883ff,
    0x400dffff,0x201cefff,0x2e03fff8,0xfb300fff,0x009dffff,0x3ffffb62,
    0x76c400df,0x00dfffff,0x0009ffff,0x205fffb1,0xefffffd9,0xffdb1004,
    0xf701bfff,0x2609ffff,0x4efffffd,0x3fffee00,0xff982eff,0xfb306fff,
    0x009dffff,0xdffd5000,0x3fff6601,0xd9801dff,0x01dfffff,0x980bfff7,
    0x26600009,0x00044000,0x003ffee0,0x40009980,0x3603fffe,0x11003fff,
    0x20060000,0x7c00fffd,0xffffffff,0x99806fff,0x02660000,0x80001100,
    0x00400099,0x407fff10,0x8800fffb,0x99800019,0x02660000,0x40000cc0,
    0x06620008,0x00266000,0x01988000,0x004cc400,0x03310000,0x02200000,
    0x00009880,0x01800262,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf504ccb8,0x440001ff,0xa8014c0a,0x019950cc,0xfffffff1,0x0007bddf,
    0xf100f32e,0x7fcc09ff,0xf100000f,0x7fe407ff,0xcca801ff,0x17ffcc03,
    0x7dc3fff3,0x2e00007f,0x991004ee,0x000b3225,0xbddddddb,0x04ccb800,
    0x91000000,0x59910599,0x1000b322,0xc8805999,0x32a001cc,0xaaa8004c,
    0x01e65c01,0x2002664c,0xeeeeeee8,0x1332a003,0x26399300,0x664001cc,
    0x6ff8802c,0xcc803ffa,0x6664403c,0x80fffb01,0xf501fff8,0x440001ff,
    0x4017e24f,0x4ff9dff8,0xffffff10,0x0bffffff,0x00fff980,0x80ffffc4,
    0xf980fff9,0xff8836c2,0xffff703f,0xffff3005,0x17ffcc05,0x7dc3fff3,
    0xfc87f17f,0x05ffc800,0x3f67fee0,0x7ff4000f,0x2007ffff,0x0001fff8,
    0xdd137ff7,0x40bff700,0x0ffd9ffc,0x02ffdc00,0x0077ffec,0x0017ffc4,
    0x22027ff4,0x3e201fff,0x26004fff,0x4fffffff,0x0bffa200,0xff1dfd00,
    0xeffa800b,0x26ff8800,0xff300ffe,0x5ffc801f,0x701fff60,0x7fd405ff,
    0x7e40000f,0x2001ffef,0x206ffffa,0xfffffff8,0x05ffffff,0x2007ff60,
    0x306ffff8,0x3ba01fff,0xf103fcab,0xfff507ff,0xbfd1005f,0x3e601ffb,
    0x3ffe62ff,0xfd9ffee1,0x9004fbab,0xfe800bff,0xa8002fff,0x02aaaaaa,
    0x000bfee0,0x7fffffc4,0x06ff803f,0x02ffffe8,0x400eff80,0x05ffbffa,
    0x0002ffb8,0xf3009ffd,0x67fec0bf,0x551002ff,0x00355555,0x4006fe88,
    0x00fffff8,0x80077f40,0x3ffa6ff8,0x803ffb00,0x7ec06ff8,0x017fc07f,
    0x0003ffea,0x05bfd710,0x03fffb00,0x261fffc4,0x00ffffb9,0x1001ff88,
    0x307fffff,0x3a601fff,0xf100dfff,0xfffa87ff,0x1ffb002f,0x3e60bfd1,
    0x20ccc2ff,0x3fa61998,0x53000eff,0xff880035,0x0000005f,0x00017fc0,
    0xbfb713f7,0x00efb801,0x005fff88,0x4400efa8,0x05ff54ff,0x20003ff8,
    0xf3004ffe,0x23ff701f,0x98000ffd,0x7fc40000,0x7ffd4001,0x07fd4002,
    0x7cc00000,0x0efb801f,0x203ffec0,0xfffa8018,0x13100000,0x40098000,
    0x2e03fff8,0x26002fff,0xffff1000,0xfff981ff,0x2005cc00,0x3e63fff8,
    0x00002fff,0x017ffcc0,0x000b9800,0x00000988,0x05fff300,0x0007ffdc,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffd93000,0x00007bff,
    0x00000000,0x017ffcc0,0x2621fff7,0xfd800000,0xfffeb87f,0xffa80cff,
    0x3bffe60f,0xffdb7100,0xb1003bff,0x03bffffd,0x4c07fff1,0x32602fff,
    0x03dffffe,0x3fffffe2,0x007ffcc5,0x3fff8800,0x807ffff3,0x2e02fff9,
    0xfff30fff,0x70fffcc5,0x88000fff,0xdffffedb,0xfffff881,0x03deefff,
    0x5c05fff3,0xfff10fff,0xbddfffff,0xfff88007,0x5fff3007,0x3027ffc4,
    0x7fe41fff,0xffffffff,0x7ffcc3ff,0x027ffc42,0x7e41fff3,0xffffffff,
    0x7fcc3fff,0xfffff12f,0xffffffff,0xfffff901,0x103dffff,0xffffffff,
    0x2e1fffff,0xffffffff,0xf15fffff,0xffffffff,0x3e61ffff,0x3fee02ff,
    0x83fff30f,0x2002eee8,0x3f626ffc,0xffffffff,0x987ffd42,0xf500efff,
    0xffffffff,0x7ffdc09f,0x44ffffff,0x3203fff8,0x3ff207ff,0xefffffff,
    0xfefff881,0x3ffe62ff,0xffffff10,0x1fffffff,0x3e2fffe2,0xf9803fff,
    0x3fee02ff,0x45fff30f,0x3ee1fff9,0x17ffcc7f,0xffffff50,0xf889ffff,
    0xffffffff,0xff985fff,0x3ffee02f,0xffffff10,0x0bffffff,0x17fffe40,
    0x117ffcc0,0x2603ffff,0x3ff20fff,0xffffffff,0x7ffcc3ff,0x0ffffc42,
    0x320fff98,0xffffffff,0x7cc3ffff,0xffff12ff,0xffffffff,0xffffd81f,
    0xffffffef,0x7ffffc41,0xffffffff,0xffffff70,0xbfffffff,0x3fffffe2,
    0x0fffffff,0x5c05fff3,0xfff30fff,0x03fff883,0xfd97fee0,0xfffeefff,
    0x3ffea0ff,0x00effe88,0xfffffff7,0x907fffff,0xffffffff,0x7fc45fff,
    0xdaaaaadf,0xffb04fff,0xffffdfff,0xfff883ff,0x3e66fffa,0xffff10ff,
    0xffffffff,0x33ffe21f,0x801ffffe,0x2e02fff9,0xfff30fff,0x70fffcc5,
    0xfff98fff,0xfffff702,0x7fffffff,0x7fffffc4,0x5fffffff,0x7017ffcc,
    0x3fe21fff,0xffffffff,0xff005fff,0xf300bfff,0x7ffc45ff,0x1fff306f,
    0x7fffffe4,0x43ffffff,0x7c42fff9,0xff306fff,0x7fffe41f,0xffffffff,
    0x897ffcc3,0xffffffff,0x2a0fffff,0x260bffff,0x7c46fffd,0xffffffff,
    0xff70ffff,0xffffffff,0x3fe2bfff,0xffffffff,0xfff30fff,0x87ffdc05,
    0x7c41fff9,0x3ee003ff,0x19fff14f,0x527ffe44,0xfffd1fff,0x3fffe601,
    0x3fff260b,0x3fffe60f,0x9bfff262,0xfffffff8,0x81ffffff,0x20bffffa,
    0x446fffd9,0xfffa9fff,0x221fff33,0xffffffff,0xf10fffff,0xffffffff,
    0x5fff300d,0x987ffdc0,0x3fe62fff,0x31ffee1f,0xff305fff,0x7e4c17ff,
    0xfff10fff,0xfffb9987,0x0bffe60f,0xf10fffb8,0xfb9987ff,0x7d400fff,
    0x401fffff,0x3e22fff9,0xf983ffff,0x3f2000ff,0x7fcc0eff,0x7fffc42f,
    0x0fff983f,0x3bfff200,0x897ffcc0,0xf8003fff,0x3f201fff,0x3ffe23ff,
    0xff880003,0x3ffe203f,0x7ffcc003,0x43ffee02,0x7c41fff9,0x3ea003ff,
    0x01fff54f,0x7d4dfff1,0x01fffeff,0xc807fff6,0x3ffa3fff,0x7fff900f,
    0x3fffffe2,0x00ceffff,0x6403ffff,0x3fe23fff,0x31fffb1f,0x3fe21fff,
    0x7fc4003f,0xfffeffff,0x17ffcc03,0x261fff70,0x3fe62fff,0x31ffee1f,
    0xffb05fff,0x7ffe403f,0x407fff13,0x3e62fffb,0x3fee02ff,0x07fff10f,
    0x2017ffdc,0x4fffeffd,0x117ffcc0,0x81ffffff,0x7000fff9,0xf301ffff,
    0xfff885ff,0x7fcc0fff,0xfff7000f,0x5fff301f,0x000fffe2,0x8809fff3,
    0x3fe27fff,0xf880003f,0x3fe203ff,0x7fcc003f,0x3ffee02f,0x883fff30,
    0x26003fff,0x9fff33ff,0xfa866660,0x02ffffff,0x91017ffe,0x3ffe6137,
    0x426f6204,0xfccdfff8,0x3e602fff,0x7fc404ff,0x47ffe27f,0xff9dfff9,
    0x07fff10f,0xfffff880,0x00ffff8b,0xb80bffe6,0xfff30fff,0x70fffcc5,
    0xfff98fff,0x405fff82,0xff109bc8,0x7ffcc07f,0x80bffe62,0xff10fffb,
    0x7ffcc07f,0x2bffe202,0x7cc07ffc,0x3ffe22ff,0x7fcc5fff,0xfff9800f,
    0x5fff302f,0xffffff88,0x007ffcc5,0x817fffcc,0xff12fff9,0xffb8007f,
    0xfffc800f,0x007fff10,0x07fff100,0x001fffc4,0xb80bffe6,0xfff30fff,
    0x03fff883,0x7c4bfe20,0x801cefff,0xfffffffa,0x03fff306,0x07ffea00,
    0x8fffe200,0x703fffe8,0xf9001fff,0x3ffe21ff,0x3f3fff21,0x7fff10ff,
    0xffff8800,0x81bffee4,0x2e02fff9,0xfff30fff,0x70fffcc5,0xfff98fff,
    0x00fffcc2,0x03fff880,0xff31fff2,0x7ffdc05f,0x407fff10,0x7dc07ffc,
    0x2fff98ff,0x88bffe60,0x2fffefff,0x1003ffe6,0x4c07ffff,0x7fc42fff,
    0x262fffef,0x7c400fff,0x3e603fff,0x7fff12ff,0x07ffc800,0x223fff70,
    0x80003fff,0x2203fff8,0x4c003fff,0x3ee02fff,0x3fff30ff,0x003fff88,
    0xfff70ffc,0x205bffff,0xffbffffa,0x0fffb83f,0x1fff9000,0x7fff1000,
    0x82ffff88,0xf7007ffc,0x3ffe23ff,0x7fffff41,0x07fff10f,0x84fff880,
    0xf303fffe,0x7fdc05ff,0x45fff30f,0x3ee1fff9,0x17ffcc7f,0x0003ffee,
    0x556fffc4,0x4fffdaaa,0x7017ffcc,0x3fe21fff,0xdaaaaadf,0x7f404fff,
    0x817ffa5f,0x3e22fff9,0x26fffaff,0x7400fff9,0x7cc05fff,0x7ffc42ff,
    0x3e66fffa,0x7ff400ff,0x7ffcc05f,0xffffff12,0x47ffffff,0xf5006ffd,
    0x3ffe25ff,0xffffffff,0x7ffc403f,0x3fffe203,0xffffffff,0x80bffe63,
    0xff30fffb,0x3fff883f,0x2e0ffc00,0xffffffff,0x9fffd41f,0x7ec0fffb,
    0x9999707f,0x1fff6999,0x1fffc400,0x207fffd4,0xf5006ffd,0x3ffe25ff,
    0x7ffffd41,0xfffff10f,0x7fffffff,0x4c1fffc4,0xf980ffff,0x3fee02ff,
    0x45fff30f,0x3ee1fff9,0x17ffcc7f,0x65c1fff6,0xf14ccccc,0xffffffff,
    0xf983ffff,0x3fee02ff,0xfffff10f,0xffffffff,0x17ffcc03,0x2603fff9,
    0x3fe22fff,0x33fffa9f,0x7e401fff,0xff9806ff,0x4fffc42f,0xff33fffa,
    0x7ffe401f,0x2fff9806,0xfffffff1,0x747fffff,0xff5006ff,0x3fffe25f,
    0xffffffff,0x1fffc403,0xffffff10,0x47ffffff,0x2e02fff9,0xfff30fff,
    0x03fff883,0xec881540,0x2fffffff,0xff83ffea,0x83ffec4f,0x7ffffffe,
    0x2000fffb,0xfb03fff8,0x6ffe8bff,0x25fff500,0xfd81fff8,0xff10ffff,
    0xffffffff,0x7ffc47ff,0x0bfffb03,0x5c05fff3,0xfff30fff,0x70fffcc5,
    0xfff98fff,0xe83ffec2,0x17ffffff,0xffffffff,0xf1019dff,0x7fdc05ff,
    0xfffff10f,0x19dfffff,0x447ffc80,0xff304fff,0x8fffc45f,0xff98fffd,
    0xffff700f,0x5fff3001,0xfb1fff88,0x1fff31ff,0x03fffee0,0x44bffe60,
    0xffffffff,0x3f63ffff,0xfff7007f,0x3ffffe23,0x3fffffff,0x01fffc40,
    0xfffffff1,0x447fffff,0x3ee02fff,0x3fff30ff,0x003fff88,0x7100aaa6,
    0x54dffffb,0x3fea0fff,0x03ffee1f,0x3ffffffa,0x001fff97,0x207fff10,
    0x362ffff8,0xff7007ff,0x07ffe23f,0x43ffffe2,0xfffffff8,0x223fffff,
    0xff103fff,0xfff885ff,0x43ffee02,0x3e62fff9,0x1ffee1ff,0xfb85fff3,
    0xfffe80ff,0xfff17fff,0x5ffff99b,0x01fffc40,0x7fc4fff9,0xffffccdf,
    0x4fff8802,0xf307ffe8,0x7ffc45ff,0xf3bfff31,0xfff301ff,0x3fe6003f,
    0x8fffc42f,0xff9dfff9,0xffff980f,0x5fff3001,0x000fffe2,0x9001fff7,
    0x3fe21fff,0xf880003f,0x3fe203ff,0x7fc4003f,0x9fff203f,0x7c41fff9,
    0x3f2003ff,0xd880446f,0xfff50fff,0x266ffe81,0xaaa81fff,0xff77ffea,
    0x441b803f,0x3ea03fff,0xfff70fff,0x1fff9001,0x5c07ffe2,0xff10ffff,
    0xff88007f,0x3ffee03f,0x0fffe20f,0x3e67ffc8,0x3ffe62ff,0xf31ffee1,
    0xfff985ff,0xfeaaaa81,0x47fff17f,0x103fffe8,0x7e407fff,0x8fffe27f,
    0x403fffe8,0xfffffffa,0x982fffff,0x3fe22fff,0x33fff21f,0x7fc40fff,
    0x3e6003ff,0x7ffc42ff,0x3f3fff21,0x7ffc40ff,0x3fe6003f,0x07fff12f,
    0x04fffa80,0xf13fffc4,0x100007ff,0x7c407fff,0x7c4003ff,0x3ff203ff,
    0x107ffe67,0x64007fff,0x0bffd6ff,0xfa97ffcc,0x7ffcc0ff,0x2017ffe2,
    0xfff37ffc,0x9f7fcc07,0x6c03fff8,0xfff54fff,0x7fff8809,0xe807ffe2,
    0xfff10fff,0xfff88007,0x2ffff403,0x6407fff1,0x3ffe67ff,0xb87ffe62,
    0x7ffcc7ff,0x805fff82,0xfff17ffc,0x2ffff887,0x201ffff0,0x3fe26ffe,
    0x7fffc43f,0x3ffffa02,0xffffffff,0x22fff985,0x7f41fff8,0x740fffff,
    0x4c004fff,0x7fc42fff,0x7ffff41f,0x7fff40ff,0x7ffcc004,0x007fff12,
    0x01ffff88,0xf893fff2,0x880003ff,0x3e203fff,0xff8003ff,0xdffd00ff,
    0x220fffcc,0x32003fff,0x3fffb6ff,0x407ffee0,0x3600ace9,0x7ec02fff,
    0x03fffa7f,0x2017ffec,0xf8802bdc,0x3f201fff,0xbdc804ff,0x1fffc402,
    0x2bdc8000,0x03fffe00,0x7f537ff4,0x47ffb800,0xfd82fff9,0x7fec02ff,
    0x507fff17,0xfb01ffff,0x7e443bff,0x3ffe24ff,0x0ffffa83,0xffffff98,
    0xffffffff,0x117ffcc1,0xffa83fff,0x3f60ffff,0xf98006ff,0x7ffc42ff,
    0x7ffffd41,0x1bfff60f,0x4bffe600,0x8003fff8,0x443ffffa,0x7c46fffd,
    0x880003ff,0x3e203fff,0xfd8003ff,0x3f221dff,0x3ffe64ff,0x01fffc41,
    0x3bffee00,0x1fffea22,0x206ffea8,0x20bffff9,0x27fffea8,0x261efffa,
    0xc807fffc,0xfa803ffe,0x7ec43fff,0xfd9006ff,0x7ffc407f,0xfd900003,
    0x3ff6007f,0x3ff221df,0x000bee4f,0xff98dffb,0xffff982f,0x3ffaa20b,
    0x07fff17f,0x2217fff6,0xfeffffff,0x3e20ffff,0xfffb03ff,0x01fff90b,
    0x2627ffcc,0x3fe22fff,0xffffd81f,0x1ffff70f,0x5fff3000,0xd81fff88,
    0xf70fffff,0x30001fff,0x3fe25fff,0xffb0003f,0xffffdfff,0xfff885ff,
    0xff880003,0x3ffe203f,0xfff88003,0xffffefff,0x07ffe60f,0x0007fff1,
    0xdfffffd0,0x009fffff,0x7dc03ff3,0xffeeffff,0x7ec5ffff,0xfffeffff,
    0x3f2002ff,0xffffb006,0xffffffdf,0x06fc8005,0x000fffe2,0x200df900,
    0xeffffff8,0x320fffff,0xfffd004f,0x2fff98bf,0xdfffff70,0xbffffffd,
    0x440fffe2,0xfa82ffff,0xffffffff,0x1fffc42f,0x42ffff88,0xfe805fff,
    0x17ffcc7f,0xf103fff1,0x3f61ffff,0xffffffff,0x7cc6ffff,0x7ffc42ff,
    0xfffff881,0xffffffb0,0xdfffffff,0xf12fff98,0xffffffff,0xf907ffff,
    0xffffffff,0xffff103d,0xffffffff,0x7ffc407f,0x3fffe203,0xffffffff,
    0x7fffd43f,0x42ffffff,0x7c41fff9,0xffffffff,0x7c404fff,0xffffffff,
    0xd755304f,0xfff500bf,0xffffffff,0x3ffff205,0x403fffff,0x02ffcaaa,
    0x3fffff20,0x801effff,0x02ffcaaa,0x3fffffe2,0x3fffffff,0x5ff95550,
    0x7fffd400,0x42ffffff,0x204deff9,0x4c2fffff,0x3ea02fff,0xffffffff,
    0x3ffe22ff,0x3fffea03,0xfffed880,0xff880dff,0x3ffea03f,0x05fff50f,
    0x4c5fff70,0x3fe22fff,0xffff701f,0x3fffff61,0xffffffff,0x217ffcc6,
    0xf701fff8,0x3ff61fff,0xffffffff,0x7fcc6fff,0xfffff12f,0xffffffff,
    0x3fff6607,0x3e204eff,0xffffffff,0x2203ffff,0x3e203fff,0xffffffff,
    0xd883ffff,0x0dfffffe,0x441fff98,0xffffffff,0x7004ffff,0x5dffffff,
    0x66fffd40,0xfd951000,0x3007bdff,0x3bfffffb,0x7bfff900,0xfffb3000,
    0x64009dff,0x4403dfff,0xffffffff,0x903fffff,0x0007bfff,0xfffffdb1,
    0x3fff201b,0x7ffff304,0x805fff30,0xefffeca8,0x3fff883d,0x027ffec0,
    0x3e2004cc,0x7fec03ff,0x00fffb4f,0xf997ffe2,0x3ffe22ff,0x43fffa01,
    0xfffffffd,0x46ffffff,0x7c42fff9,0x3ffa01ff,0xfffffb0f,0xffffffff,
    0x12fff98d,0xffffffff,0x007fffff,0x3e200331,0xffffffff,0x2203ffff,
    0x3e203fff,0xffffffff,0x9803ffff,0x7ffcc009,0x7ffffc41,0x4fffffff,
    0x004cc400,0x44000020,0x26200009,0x00010000,0x0000cc40,0xfff88002,
    0xffffffff,0x000403ff,0x80026600,0x20098801,0x4002fff9,0x00000098,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd3000000,0xfff980dd,0x1cc98000,0x20003993,0x98002ccb,0x039931cc,
    0x9950cca8,0xfeec9801,0x06ffffff,0x20099950,0x414c0199,0x22c9801a,
    0x332602c8,0x3326001c,0x2e039931,0x0bff32ff,0x3323cc80,0x664c0003,
    0x01a8000c,0x00032600,0x33322000,0x265ff901,0x3ff604ff,0x9007ff71,
    0x13fea3ff,0xdddddd70,0x9ff3003d,0x740037fc,0x04eeeeee,0x5000d400,
    0x5ddddddd,0x00002600,0x40e60130,0x20662099,0x3e607ffb,0x7ffcc07f,
    0x1dfd0000,0x2e000dff,0x8001ffff,0x05ff8efe,0xff9dff88,0x7fffdc04,
    0x6fffffff,0x01fff880,0x201fff88,0x00bea2fa,0xfbbffff5,0x05ffc803,
    0x7fcf7f40,0x4cbfee05,0x7d4005ff,0x001ffcaf,0x0027fec0,0x2e0005f8,
    0x67f4c00f,0xf9001f92,0xff901fff,0xd813fe65,0x07ff71ff,0x3ea3ff90,
    0x7ffe404f,0x9801ffff,0x01bfe4ff,0x3fffffe0,0x3fa0006f,0xfff7004f,
    0x2205ffff,0x3effffed,0xffed8800,0x7fd13eff,0xff31ff90,0x40fff709,
    0x7cc07ff9,0xf10000ff,0x0001ffff,0x0dfd9ff3,0xfffff100,0x3ffea001,
    0x7ffcc06f,0xffffffff,0x2ffb806f,0x03fff100,0x06feefe8,0xfffcbfd8,
    0x03ff9006,0x7ffffc40,0x4cbfee00,0xfd8005ff,0x40003fff,0x4c004ff9,
    0x002efffd,0xffe805e8,0xa806ffff,0xc85ffcff,0x09ff32ff,0xffb8ffec,
    0x51ffc803,0xaa9809ff,0x800aaaaa,0x1bfe4ff9,0x2aaaaa00,0xf50002aa,
    0x2a2003e6,0x80aaaaaa,0xfffffffb,0xf7001eff,0xffffffff,0x3a01ffdf,
    0xf706feef,0x155440ff,0x003ffe60,0x03fffa80,0x3e6dfd00,0xffb8004f,
    0x7fe4002f,0x7ffe401f,0xffc9efff,0x03ff800b,0x007ffe20,0x0019dd91,
    0x40029855,0x7d4004fd,0x04c002ff,0x3ffa2000,0x5fd80006,0x7fffd400,
    0x1000ffff,0x8cf8807f,0x4401efda,0x05ff55ff,0x00000000,0x00000000,
    0x00000000,0x3d47cc00,0xffd80000,0xffffefff,0x7fec01ff,0xffffefff,
    0x3e601fff,0x55301fff,0x3e600005,0x000260ff,0x00000000,0x00000000,
    0x3ffffffa,0x0007ff75,0x00000000,0x00000000,0xfd930000,0x0007bfff,
    0x00000000,0x7ff7ffc4,0x4c403fff,0x000001fb,0xfff30000,0x07fffb05,
    0xf13fffd8,0xffffffff,0x3e21ffff,0xffffffff,0x4400ffff,0x40007fff,
    0x0007fff8,0x003fffc4,0x2a0bffe6,0x260bffff,0x2a06fffd,0x510affff,
    0x300ffffb,0x21880355,0xfffffff8,0x30ffffff,0xfff71fff,0xffff107f,
    0x039bdfff,0x07fff880,0x3fffff20,0x3fffffff,0xfffffff1,0x41ffffff,
    0x5fffffff,0xf1007ff7,0x3e600fff,0x7fc402ff,0x7fcc007f,0xfff1002f,
    0xfff9800f,0x3ffff202,0x01efffff,0x01fffe20,0x403fffd8,0x3ea3fffd,
    0xfff7bf6f,0xffffc881,0x4fff883f,0x4c3ffe60,0x4c001fff,0xff882fff,
    0xfff300ff,0x7ffffc4d,0xffffffff,0xffffff10,0x1fffffff,0x2ffffc80,
    0x3fff2000,0x3f20002f,0x26002fff,0xffe82fff,0x3fff201f,0x03fffd03,
    0x00fffff2,0x3fb00333,0x3fffffe2,0x0fffffff,0xfffdfff3,0xff88bfff,
    0xffffffff,0x3ff2004f,0xff9002ff,0xffffffff,0x3ffe27ff,0xffffffff,
    0x3fffa0ff,0x7ff75fff,0x5ffff900,0x05fff300,0x02ffffc8,0x00bffe60,
    0x017fffe4,0x205fff30,0xfefffffd,0x001fffff,0x005ffff9,0x403fffe2,
    0x7e46fff9,0x06aabf3f,0xfffffff3,0xffff88bf,0x21fff301,0x4001fff9,
    0xf702fff9,0x3ffa09ff,0x3fffe21f,0xffffffff,0xfffff10f,0xffffffff,
    0xfffff801,0x3ffe0005,0x3e0005ff,0x2005ffff,0x7d42fff9,0x7fc404ff,
    0x4fffa87f,0xdfffff70,0x3fffff20,0x225fd03e,0xffffffff,0xf30fffff,
    0xff99ffff,0x7ffc45ff,0xffffffff,0xffff006f,0x3ff200bf,0xffffffff,
    0xffff13ff,0xffffffff,0x7fffdc1f,0x07ff75ff,0x0bfffff0,0x805fff30,
    0x005fffff,0x400bffe6,0x005fffff,0x2a0bffe6,0x260bffff,0xf006fffd,
    0x400bffff,0xfd04fffb,0x5ffa83ff,0xfffe80bf,0x22ffffdd,0x306ffff8,
    0x3fe61fff,0x7fcc001f,0x3fffa02f,0x227ffd41,0x4003fff8,0x0003fff8,
    0xffffffa8,0xfffa8001,0xa8001fff,0x01ffffff,0xb85fff30,0xfc800fff,
    0x7ffdc0ff,0xfccffa80,0x7ffdc0ff,0xf84fffff,0x07fff13f,0x0efff980,
    0xf89bffa2,0xf73313ff,0xfa805fff,0x001fffff,0x0efffc80,0x0007fff1,
    0x57fffff6,0x7d403ffb,0x401fffff,0x2a02fff9,0x01ffffff,0x005fff30,
    0x3ffffff5,0x0bffe600,0xc807fffe,0x7d403fff,0x001fffff,0xf507fffa,
    0xfff109ff,0x7fd40bf9,0xdffbf91f,0x1fffffc4,0xf987ffcc,0x7cc001ff,
    0x3fe602ff,0x1bffe26f,0x000fffe2,0x0007fff1,0xfffdffb0,0xdffb0009,
    0xb0009fff,0x09fffdff,0x90bffe60,0x3ee00fff,0x3ffec1ff,0xffbaffd4,
    0x33ffe21f,0x20fffeba,0xfff14ff8,0xfff98007,0x10fffa84,0x3e207fff,
    0x3f600fff,0x004fffef,0x07fffdc0,0x0007fff1,0xbaffff5c,0x7fec03ff,
    0x4c04fffe,0x3f602fff,0x004fffef,0xb005fff3,0x09fffdff,0x30bffe60,
    0xf8809fff,0x7fec07ff,0x2004fffe,0x3e26fff9,0x3ff606ff,0xfc80aeff,
    0x02a33e5f,0x1ffffff1,0xf30fff98,0x200c43ff,0x6402fff9,0xfff92fff,
    0x07fff103,0x03fff880,0x57ffc400,0x44007ffc,0x7ffcafff,0x57ffc400,
    0xf3007ffc,0x6ffe85ff,0x85fff500,0x7fcc6ffe,0x98bffea6,0x7ffcc5ec,
    0x7c53fe21,0x7cc003ff,0xfff982ff,0x407fff11,0xf102fffb,0x0fff95ff,
    0x7fffcc00,0x01fffc42,0xbaffcc00,0x3fe203ff,0x407ffcaf,0xf102fff9,
    0x0fff95ff,0x00bffe60,0xff95fff1,0x3ffe600f,0x007ffdc2,0x8807ffe4,
    0x7ffcafff,0x97ffe400,0x2601fffc,0x3ffffffe,0x2f9a7ff4,0x3ffffe20,
    0x87ffcc5f,0xfea9fff9,0xff980dff,0x7ff4402f,0x105fff9f,0x88007fff,
    0x40003fff,0xff98fffb,0x3fee002f,0x02fff98f,0x263ffee0,0xf9802fff,
    0x37ff42ff,0x42fffa80,0x3fe26ffe,0x0bffea0e,0x317ffd40,0x3ffe2bff,
    0x7ffcc003,0x12fff880,0x7c407fff,0xfff703ff,0x005fff31,0x07ffff10,
    0x0007fff1,0x3eebff30,0x3ffee03f,0x202fff98,0xf702fff9,0x5fff31ff,
    0x05fff300,0xf98fffb8,0xff9802ff,0x03ffe42f,0x701fffb8,0xfff31fff,
    0x7ff44005,0x805fff9f,0xffffffc8,0x7dd3ffa5,0x3bffe200,0x3fe62fff,
    0xfbfff30f,0x30dfffff,0xf5005fff,0x01ffffff,0x3fffffe2,0x23ffffff,
    0xfffffff8,0x203fffff,0x3ffa5ffe,0x97ffa005,0x3a005ffe,0x17ffa5ff,
    0xb0bffe60,0x3ee00fff,0xbffec1ff,0x7dc0ffe8,0xfd9301ff,0x7d45ffff,
    0xfffff16f,0x7fffffff,0x5417ffcc,0xfff11fff,0x27ffc407,0x3fa5ffe8,
    0xffe8005f,0xffff105f,0xffffffff,0x75ff9807,0x7ff407ff,0x9817ffa5,
    0xffd02fff,0x402fff4b,0x7402fff9,0x17ffa5ff,0xb0bffe60,0x3ea00dff,
    0xbffd02ff,0x2002fff4,0xfffffffa,0x7fffc000,0x2bffb0ff,0x7ffc405e,
    0x3e66fffa,0xffff30ff,0x3fffd77d,0x002fff98,0x05fffffb,0x7fffffc4,
    0x23ffffff,0xfffffff8,0x303fffff,0x7fe45fff,0xfff9801f,0x007fff22,
    0xfc8bffe6,0x7fcc01ff,0x07ffdc2f,0x207ffe40,0xffe9fffc,0x40fffc81,
    0xfefffffb,0x5ffee2ff,0xfffffff8,0x263fffff,0xffc84fff,0x07fff10f,
    0xf985fff8,0x3fff22ff,0x3fff2001,0x3fffe206,0xffffffff,0xbaffcc03,
    0xfff303ff,0x80fffe45,0xf982fff9,0x3fff22ff,0x17ffcc01,0x645fff30,
    0x7cc01fff,0x37ff42ff,0x82fffa80,0x3f22fff9,0x7ec001ff,0x8002ffff,
    0x73ffe8df,0x267f1dff,0xfff10bde,0x267fff53,0xfff30fff,0x1fffc41d,
    0x400bffe6,0x405ffff8,0xfffffff8,0x223fffff,0xffffffff,0xf903ffff,
    0x4fff88ff,0x447ffc80,0xfc804fff,0x27ffc47f,0x50bffe60,0x2ea87fff,
    0xf50ffff1,0x205fffff,0x7fdc7fff,0x5fff0adf,0xff8bffe4,0xffffffff,
    0x3ffe63ff,0x9bffa20e,0x7c03fff8,0x7ffc86ff,0x8027ffc4,0x200ffffb,
    0xfffffff8,0x403fffff,0x7ff75ff9,0xf11fff20,0x3fe609ff,0x47ffc82f,
    0x4c04fff8,0x3f202fff,0x27ffc47f,0xb0bffe60,0x3ee00fff,0x7ffc81ff,
    0x0027ffc4,0x017fffe2,0xf55f8a62,0x37ffe6bf,0x44fffb0f,0xfffb1fff,
    0x261fff31,0xffe83fff,0x017ffcc3,0x803fff70,0x4003fff8,0x0003fff8,
    0xfd09fff1,0xfff880ff,0x407ffe84,0xfe84fff8,0x7ffcc07f,0x07fffc42,
    0xfff9bffd,0x3ffffa09,0x87fff702,0x7fc44ffe,0x23fff22f,0x4003fff8,
    0xccfffff9,0x3e22ffff,0x7ffc03ff,0x427ffc44,0xf9807ffe,0x7c401fff,
    0x980003ff,0x07ff75ff,0xfd09fff1,0x3ffe60ff,0x427ffc42,0x7cc07ffe,
    0xfff102ff,0x80fffd09,0x7dc2fff9,0xffc800ff,0x27ffc40f,0x4003fff4,
    0xf801fffb,0x3eabf2ff,0x3ffffa5f,0x223fffec,0xfff31fff,0x261fff3b,
    0xffe82fff,0x017ffcc4,0x801fff70,0x4003fff8,0x0003fff8,0xfffffff5,
    0x405fffff,0xfffffffa,0x202fffff,0xfffffffa,0x202fffff,0xfa82fff9,
    0xffb31fff,0x2e01ffff,0x640bffff,0xfff86fff,0x917ffdc3,0xfff11fff,
    0xfff98007,0x5ffffffd,0x101fffc4,0xffa87fff,0xffffffff,0x3fe202ff,
    0xff8803ff,0xf980003f,0x507ff75f,0xffffffff,0xf305ffff,0xfffa85ff,
    0xffffffff,0x3ffe602f,0xfffff502,0x5fffffff,0x217ffcc0,0x4404fffa,
    0xffa87fff,0xffffffff,0x7dc002ff,0xffd800ff,0x7ffb5f8e,0x7ffffec4,
    0x7ffc45ff,0x3f3fff21,0x3fff30ff,0xf989ffd0,0x3ee002ff,0x7fc400ff,
    0x7fc4003f,0xffd0003f,0xffffffff,0x7ff40bff,0xffffffff,0x3ffa05ff,
    0xffffffff,0x3fe605ff,0xffffb02f,0xfffffddf,0x7fffdc07,0xffffddff,
    0xafffc82f,0x22ffffc9,0xff88fffc,0x7fcc003f,0x3ffffb8f,0x203fff88,
    0x7f42fffa,0xffffffff,0x3fa05fff,0xff1004ff,0xf300007f,0x20ffeebf,
    0xfffffffe,0x985fffff,0x7ff42fff,0xffffffff,0x3fe605ff,0xffffd02f,
    0xffffffff,0x17ffcc0b,0x807fffe2,0xfe84fffc,0xffffffff,0x5c005fff,
    0xf9800fff,0xffeeffff,0xffffd80f,0x1fff883f,0x7ffffff4,0xd03fff30,
    0xfff989ff,0x3ffee002,0x1fffc400,0x0fffe200,0x3fffe600,0xffffffff,
    0xfff981ff,0xffffffff,0xff981fff,0xffffffff,0xf301ffff,0x7fe405ff,
    0xffffffff,0x7fd40cff,0xffffffff,0xff301eff,0xffdfffff,0x447ffe49,
    0x4c003fff,0x80260fff,0x3a03fff8,0x3fe60fff,0xffffffff,0xfd81ffff,
    0x3e2006ff,0x980003ff,0x87ff75ff,0xfffffff9,0x1fffffff,0xf317ffcc,
    0xffffffff,0x203fffff,0xf982fff9,0xffffffff,0x301fffff,0xff505fff,
    0xffd887ff,0xffff986f,0xffffffff,0x3ee001ff,0xff7000ff,0x03ffffff,
    0x880267f2,0x7fd41fff,0xff30ffff,0x89ffd03f,0x2002fff9,0x4400fffb,
    0x44003fff,0xc8003fff,0x3e600fff,0xfffc84ff,0x13ffe600,0x9803fff2,
    0xff304fff,0xfed9805f,0xffecefff,0xd9b7fc7f,0x04efffff,0x8dfffda8,
    0x7c406ffb,0x7cc003ff,0x3e2000ff,0x7f4c43ff,0x7ffe42ff,0x13ffe600,
    0x001ffff7,0x001fffc4,0xfbaffcc0,0x07ffe43f,0x989fff30,0x3ff22fff,
    0x3ffe600f,0x05fff304,0x4c01fff9,0xff304fff,0x3fff605f,0xfffffeff,
    0x0fffc82f,0x013ffe60,0x000fffb8,0x37ffff22,0x44013e00,0xffd81fff,
    0xfff30fff,0x989ffd03,0x2e002fff,0x7c400fff,0xffffffff,0xff13ffff,
    0xffffffff,0x7ffc7fff,0x87ffe805,0xfe805fff,0x05fff87f,0xf307ffe8,
    0x4c4005ff,0x21ffe441,0x019880d8,0x40003100,0xfffffff8,0x33ffffff,
    0x44001fff,0xffffffff,0xff85ffff,0x7ffe805f,0x7fffffec,0x6fffffff,
    0xfffffff1,0x07ffffff,0xffbaffcc,0x402fffc3,0x7fcc7ffe,0x017ffe2f,
    0x7cc1fffa,0x5fff82ff,0x307ffe80,0x7e405fff,0xffffffff,0x0bfff01e,
    0x400fffd0,0x8000fffb,0x2f9806f8,0x03fff100,0x21fffff1,0xfe81fff9,
    0x17ffcc4f,0x01fff700,0xffffff88,0x3fffffff,0xfffffff1,0x27ffffff,
    0xb802fffa,0x3fea2fff,0xfffb802f,0x00bffea2,0x260bffee,0x00002fff,
    0x00000126,0xff100000,0xffffffff,0x3fe67fff,0x3fe2000f,0xffffffff,
    0x7ffd40df,0x2fffb802,0x3ffffff6,0x6fffffff,0xfffffff1,0x07ffffff,
    0xffbaffcc,0x00bffea3,0xf98bffee,0x5fff52ff,0x05fff700,0xfa85fff3,
    0xffb802ff,0x2fff982f,0x7fffecc0,0x3fea04ef,0xfffb802f,0x1fff7002,
    0x2017e000,0x3fe2007c,0xffff701f,0x207ffe61,0x7fcc4ffe,0x3fee002f,
    0x7ffc400f,0xffffffff,0xffff13ff,0xffffffff,0x01fff67f,0xfb2fffc4,
    0x3fe200ff,0x01fff65f,0x4c2fffc4,0x00002fff,0x00000000,0x7ffc4000,
    0xffffffff,0x1fff33ff,0x7fffc400,0x01ceefff,0x2200fffb,0x3ff65fff,
    0xffffffff,0xfff16fff,0xffffffff,0x7fcc07ff,0x7ec7ff75,0xfff1007f,
    0xd97ffccb,0xff1007ff,0x5fff30bf,0x1007ffd8,0xff30bfff,0x0cc4005f,
    0x007ffd80,0x200bfff1,0x0000fffb,0x00970079,0xd00fffc4,0x3fe61fff,
    0x04ffe81f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x4cc40009,
    0x31003330,0x20260013,0x09988009,0x00000266,0x26000310,0x26200000,
    0x01880000,0x00009800,0x26200130,0x00004cc1,0x0004cc40,0x44019988,
    0x08000099,0x00999800,0x013104cc,0x40006660,0x08800998,0x33100098,
    0x40000000,0x02660998,0x26620000,0x4c402660,0x20026609,0x44000999,
    0x4ccc0199,0x09998000,0x985fff30,0x00cffffe,0x7e47ffc4,0x4ffd804f,
    0x0fc8dd00,0x3e1ffb80,0xdfd9105f,0x2fff3019,0x405fffea,0xdffffed8,
    0x882fff83,0x02effffc,0x7ffff5c0,0xec9800cf,0x003dffff,0x3ffffb62,
    0x53fe201d,0xd9100ffd,0xfb007dff,0xff10009f,0x7ffc405f,0x7fff100f,
    0x2fbffb22,0x1fffa800,0x7d47fec0,0x7ffe403f,0xf1003eff,0xfb801fff,
    0x6c00fe60,0xdefdb86f,0x77edc401,0x5bfa201d,0x64401ffb,0x74402dfd,
    0x203ff76f,0xbff33ffb,0x05fffb80,0x202ffec0,0x8800fffb,0x2efffffd,
    0xf517ffcc,0x3dffffff,0x7c4ffe40,0x9ffb006f,0x373bea00,0x1ff9004f,
    0x3ea13fe6,0x42ffffff,0xfffcfff9,0xff705fff,0xdfffffff,0x6417ffc3,
    0x2fffffff,0xffffd880,0x202fffff,0xfffffffc,0x7dc01eff,0xffffffff,
    0x3f7fea04,0xffff302f,0x6c01dfff,0xfc8004ff,0x7f7f403f,0x7fff105f,
    0xffffffd3,0x03ffd00d,0xbffbff10,0xfffffb80,0xfe804fff,0x7c405ffe,
    0x2007fcce,0x7ffec4ff,0xfd303fff,0x407fffff,0x04ffdff9,0x7fffffd4,
    0x37fe601f,0x3fee04ff,0x4c0bff33,0x003ffeff,0x3200bff3,0x7fc403ff,
    0x0fffffff,0x7c4bffe6,0xfffcbfff,0x2e5ff105,0xffb000ef,0x7ff64009,
    0x4dfd000c,0x7fc42ffb,0x1fffffff,0x2fbfffe6,0x641fffeb,0xffefffff,
    0xfff1ffff,0x9bfff885,0xfd807ffc,0xfffeefff,0xfffd80ff,0xfffffeff,
    0xffff901f,0x5fffffff,0x82fffec0,0xffefffe8,0x3ff604ff,0x04ff8004,
    0x7fd4ffdc,0xfdfff883,0xffffffff,0x00bfe603,0x00ffffa8,0x2eb3ffe2,
    0x2e00fffe,0x03ffa9ff,0x016fff54,0x3ee2ff98,0x1fffffff,0xffeffff8,
    0x3fee00ff,0x7ffcc06f,0x00ffffff,0x501bffee,0x13ba25dd,0x1ff96fe8,
    0x001df900,0x3f2037e4,0xffea9aef,0x64bffe66,0x7ffc47ff,0x2aa2a881,
    0x20000000,0x27fc4001,0xffd81ff9,0x4bfff51e,0x7cc6fff9,0x3ffe62ff,
    0x3ff620bf,0xb83f956f,0x0fff46ff,0x419fff10,0x544fffc8,0x260bffff,
    0xf986fffd,0x3f262fff,0x2aa206ff,0x5fff500a,0x0003ffe4,0xa802a880,
    0x220aaa1a,0x52dfffff,0x201ffffd,0xaa8001a9,0x2f64c01a,0xa807ffe6,
    0x400aaa1a,0x7fdc0008,0x7453ffa0,0x7ffd45ff,0x809ffd11,0x7ec00aaa,
    0x5fff31ef,0x000aaa80,0x41551000,0x0aa801aa,0x200aa800,0x5e442ffe,
    0x74bffe61,0x4ffd84ff,0x30000980,0x00260001,0x5bff7555,0x7c35ffd5,
    0x7ffe44ff,0xf05fff30,0x7fff47ff,0x4bfff201,0x7ffdc0fc,0x401fff31,
    0xf880fffa,0x7fffc6ff,0x0ffff201,0x3201fffd,0x26203fff,0x11bfee00,
    0x4c401fff,0x04ccc000,0x44013100,0xf904ffff,0x04c407ff,0x00004c00,
    0x200bffea,0x26000999,0x37ec0019,0x7d41fff5,0x13fae0ff,0x1300fff7,
    0x41fff980,0x00001cdc,0x00000000,0xfb000000,0x4c037bff,0xbfff2fff,
    0xbffd9999,0x3ffff6e0,0x7ff4c00d,0x6dc00cff,0xd80dffff,0xffffffff,
    0xff14ffff,0x2fffa85f,0xfd03fff3,0x13ffea9f,0xf7dfff10,0x1dfff10b,
    0xf980bffd,0x333304ff,0x2027ffcc,0x3e67fff8,0x2f6204ff,0x7ffe4409,
    0x7ff984ff,0x6443ffcc,0x204fffff,0xefffffd8,0xffff9102,0xdfff109f,
    0x227ffcc0,0x4fffffc8,0x7ffff4c0,0xfec9800c,0xb102ffff,0x05dfffff,
    0x77ffffe4,0x324ff803,0x7ffc46ff,0x5ffd8102,0xbffffb70,0x00fff701,
    0x7407ffcc,0x1fff33ff,0x3e67ffd0,0x3ffe80ff,0xfd01fff3,0x03ffe67f,
    0xffa8fffa,0x41cfffff,0xff8afff9,0xffffffff,0xffffc86f,0xf502ffff,
    0x3dffffff,0x3fffff20,0x7fec2fff,0xffffffff,0x3fff14ff,0xf33fff88,
    0x9ffd03ff,0x2003ffee,0x00effffc,0xdffffff7,0xffff8801,0xffb801ce,
    0xfffc800f,0x003fff50,0x3ffffe60,0xfff84fff,0x45ffd98b,0xfffffff9,
    0xffff884f,0x4c0fffff,0xffffffff,0x02fffc44,0xff99bffe,0x04ffffff,
    0xfffffff5,0x3ffee03d,0x82fffeff,0xfffffff8,0xfffb80ff,0x204fffff,
    0x3ff22ff9,0x403fff85,0xc83fffa8,0xffffffff,0xcab7fe42,0x1fff301b,
    0x3e67ffd0,0x3ffe80ff,0xfd01fff3,0x03ffe67f,0x7fccfffa,0x43ffe80f,
    0xfffffffb,0x2bffe64f,0xaaacfff8,0x7e42aaaa,0xfffecfff,0x7fffc40f,
    0xc85fffcb,0xffecffff,0x3e6620ff,0xbffc99ef,0x50fffe09,0x3fe69fff,
    0x94ffe80f,0x3ee00fff,0x7fc404ff,0x2e005fff,0xdfffffff,0x00fff902,
    0x7e47ffee,0xfd0000ff,0xfffb7dff,0xffffe883,0xfffe85ff,0x41fffdbe,
    0xea9aeffc,0x7fff46ff,0x21fffdbe,0x7c04fff8,0x3fffa6ff,0x41fffdbe,
    0xfcbffff8,0xfffb85ff,0x05fff0ad,0xd535dff9,0xfff88dff,0x0fffebac,
    0x7ec1ff70,0x03fff85f,0x20ffffe6,0xfecffffc,0x3ff60fff,0x0dffffdd,
    0x7407ffcc,0x1fff33ff,0x3e67ffd0,0x3ffe80ff,0xfd01fff3,0x03ffe67f,
    0x6d40fffa,0x30ffffff,0x3ffe5fff,0x3ffe6004,0x17ffea0c,0xff88fff9,
    0x33ffe61f,0x217ffea0,0x3ff24ff8,0x10effd80,0x3e6bfffb,0x4ffe80ff,
    0x2a00dffb,0x3a203fff,0x002fffff,0x7fffffdc,0x7fec1fff,0x5fff5006,
    0x4001fff6,0x7ec2fffa,0xffffa86f,0x7ffd40ff,0x3a37fec2,0x0de442ff,
    0xfd85fff5,0x0fffe26f,0x3eadffd0,0x37fec2ff,0xff11fff2,0x44ffe83f,
    0xfe82fff8,0x20de442f,0x7fcc5ec9,0xe8dfb01f,0x4ffe85ff,0x03bffee0,
    0x5419fff3,0x3ffa5fff,0x6fffffff,0x7407ffcc,0x1fff33ff,0x3e67ffd0,
    0x3ffe80ff,0xfd01fff3,0x03ffe67f,0x3020fffa,0x3e67fff7,0x8fff92ff,
    0x3ee2dff8,0xfffd80ff,0x3613ffa0,0x3ffee4ff,0x40fffd80,0x1ffa3ff9,
    0x7effffc4,0xff35ffff,0x29ffd01f,0xf5006ffe,0x3fe605ff,0x70ffffff,
    0xfec88015,0x22ffffff,0xf5006ffe,0x1fff65ff,0x437fe400,0xfffa80a8,
    0x322fffff,0x80a886ff,0x01bdfffd,0x2a21bff2,0x01fffc40,0x7fe5fffa,
    0xfe80a886,0x44ffd84f,0x7fdc3fff,0xdfffd82f,0x3ea0001b,0x89ff02ff,
    0xffe84ffe,0x3ffb6e04,0x03ffee2f,0x7f43fff6,0xfff71eff,0x407ffcc5,
    0xfff33ffe,0x267ffd01,0xffe80fff,0xd01fff33,0x3ffe67ff,0xd13ffe80,
    0x9ffd07ff,0x7ccbffe6,0xffdabfff,0x41bff60e,0x3fe1fffa,0xfeccccdf,
    0x41bff65f,0x9311fffa,0xdff335ff,0xfffa8133,0x34ffeeff,0xffd01fff,
    0x401fff69,0xff01fffb,0xdfff73df,0x2003fff1,0x6ffffdb8,0x5c01fff6,
    0xfff91fff,0x9ffd0001,0x9fffd400,0xfd0fffc8,0xffa8009f,0x41cfffff,
    0x22004ffe,0x7f403fff,0x009ffd6f,0xcccdfff8,0x7e45ffec,0xfffc9aff,
    0xffffa82f,0x4c01cfff,0x2fffffec,0x7f42ff88,0x04fff85f,0x361fff70,
    0xfff506ff,0xb0bfffa3,0x7ffccbff,0xf33ffe80,0x7ffd01ff,0x3a03ffe6,
    0x1fff33ff,0x3e67ffd0,0x3ffe80ff,0x2a6ffff2,0xff32fffc,0x7fffd45f,
    0x7fc1ffff,0x5fff304f,0x3fffffe2,0x3e6fffff,0xfff304ff,0x3fffff65,
    0x4fffffff,0xe8ceec98,0x1fff33ff,0x3ee9ffd0,0xffc800ff,0x0fffa80f,
    0x3ffbfff2,0x6c402207,0xfff70fff,0x1fff9001,0x7007ffee,0x004fff83,
    0x3fe17ff2,0x009fff3f,0xffffff70,0x27ffc9ff,0x07fff100,0xfff6ffe8,
    0x7ffc4009,0xffffffff,0x7ffffcc6,0x704ffeff,0xffffffff,0xfffff709,
    0xf505fffd,0x85ffd81f,0x3e003fff,0x09fff3ff,0x7ecbffe6,0x3ffdc0ff,
    0xfd01fff3,0x03ffe67f,0x7fccfffa,0x33ffe80f,0xffd01fff,0x203ffe67,
    0x7ff43ffe,0x24ffffff,0x6cc2fff9,0xd81cefff,0xfff506ff,0x2b3ffe23,
    0x22aaaaaa,0xff506ffd,0x3ffff63f,0xffffffff,0x4bffe004,0xfe80fff9,
    0x09fff54f,0xb07fff88,0xfffb0bff,0xbffd09ff,0xa97ffcc0,0x7c404fff,
    0x3ffe67ff,0x4fbfe603,0x3a005ffe,0x5ffd83ff,0x4000bffd,0xffffffda,
    0x400bffd0,0x7c03fff8,0x0bffd6ff,0x567ffc40,0x82aaaaaa,0xb8dfffda,
    0x7ed406ff,0x2e0fffff,0xff0adfff,0x90ff905f,0xfff88dff,0x57ff6002,
    0xff506ffd,0x03fff23f,0x7fccfff5,0x33fff81f,0xfff03fff,0x207ffe67,
    0xfff33fff,0x267fff03,0xfff81fff,0x7fffe443,0x7ffcc2ef,0xf701be02,
    0xfffb01ff,0x2004fff8,0xfd80fffb,0x3bff2e7f,0xcccffecc,0xf506a622,
    0x7fc003ff,0x3ffff13f,0x81fffe40,0xfe886ffd,0xffd80fff,0x3fff701f,
    0x807fffe2,0x7f44fffc,0xfffb00ff,0x261bff25,0xbffd0cde,0x3f29ffd0,
    0x0cde986f,0x7ffdcc08,0xd30dff93,0x3ffe219b,0x53ffe203,0xde986ffc,
    0x013ffe0c,0x1fd41880,0xfff73020,0x2227ff47,0x5fe82fff,0x7cc7ffb8,
    0x13ff61ff,0x7fdd7ffe,0x27ffd80f,0x7e42fffa,0x07ffe66f,0x7fccfffe,
    0x33fff81f,0xfff03fff,0x207ffe67,0xfff33fff,0x407fff03,0xf981cfec,
    0x0bf102ff,0x20cfff98,0x7e45fffa,0x16ffc47f,0x5419fff3,0x7fcc5fff,
    0xfc81ffa3,0x17ff626f,0x23fff980,0x442ffffa,0x2a06fffd,0x7f4c1fff,
    0xffb85fff,0x3fea22ef,0x7fffd47f,0x37ffec43,0x30f7ffd4,0x7d4ffff9,
    0x3ffec3ff,0x7cc1fff9,0x7fff53ff,0x3a27ffd8,0x4ffe83ff,0xfd87fff5,
    0x0fffe27f,0xa9fffec1,0x7fec3fff,0x223ffe47,0x5c002dff,0x3ffe883f,
    0x3fe4ffe8,0x17ffdc3f,0x3e20ffe2,0x1bff63ff,0x7dc1fffb,0x9fff33ff,
    0x22fffd41,0xfd10dfff,0x43fff89f,0x3fe3fffb,0x1fffdc3f,0xffb87fff,
    0x70fffe3f,0x7ffc7fff,0x01fffdc3,0x981ffb77,0xff302fff,0x9ffffb00,
    0x981ffffd,0xfdabffff,0x7ffec0ef,0x0ffffecf,0xbff0ffdc,0x677ffd40,
    0x9801ffff,0x6c2fffff,0xffefffff,0x7c02ffff,0xffdcefff,0x41efffff,
    0xfefffffe,0xfd84ffff,0xfffeffff,0xffb02fff,0xffffdfff,0xffffe85f,
    0x263fffec,0xffdcffff,0x3fffa0ff,0x43fffecf,0xca9bfffc,0x3ffa2fff,
    0x3fffecff,0xdf0fffe2,0x741ffffd,0xffecffff,0x7fffcc3f,0x00effdab,
    0xfc82fdc0,0xffca9bff,0x2bfff22f,0x42ffffc9,0xffb01ffa,0x85fffbbf,
    0xfedffff9,0x7ffec6ff,0x0ffffecf,0x7effffdc,0x7ff40fff,0xffffdabf,
    0x2affffa3,0x3a3ffffd,0xffdabfff,0x3fffa3ff,0x3ffffdab,0x36affffa,
    0xf003ffff,0x2fff985f,0x03b3ffa0,0x7fffffec,0xfff501ff,0x203fffff,
    0xfffffffd,0x267fd81f,0x7fec03ff,0x003fffff,0x20dffff7,0xfffffffc,
    0xfa801eff,0xffffffff,0x440fffec,0xffffffff,0x3ff204ff,0xefffffff,
    0x7fffe401,0x983fffff,0xffffffff,0xfffffb85,0x7fcc2fff,0x05ffffff,
    0xfffffffd,0xffff989f,0x7c45ffff,0x3ffea3ff,0x7fcc2fff,0x05ffffff,
    0xfffffff5,0xff30003f,0xfffe89bd,0x4c4fffff,0xefffffff,0x03fe44ff,
    0xffffffd1,0x3fffee0b,0xfd81ffff,0x1fffffff,0xffffffb0,0xffff707f,
    0x47ffbbff,0xdffffffb,0x3fee3ffd,0xffddffff,0x3ffffee3,0x2e3ffddf,
    0xddffffff,0xbaa883ff,0xfff987fd,0x3bffaa02,0x3fff6e00,0x7ecc00df,
    0x5c01ceff,0x00dffffd,0x17fd4dfd,0x77ffedc0,0x3fff2001,0x3ff6601e,
    0x4004efff,0xdfffffd8,0x5c05fb10,0x2effffff,0xffffd980,0x366004ef,
    0x01dfffff,0x3fffff22,0x3fffaa03,0xff9101ef,0x64407fff,0x02efffff,
    0x7fffff91,0x547fff10,0x103efffd,0x07fffff9,0xcefffd98,0x3ff20001,
    0x7ffe444f,0xfb502eff,0xdff71bff,0x6c405fe8,0x5404ffff,0x00dffffe,
    0x37ffff6e,0x7fffdc00,0x3ffae01e,0xb87ff94f,0xff94fffe,0x4fffeb87,
    0xfeb87ff9,0x87ff94ff,0xf94fffeb,0xbfff107f,0x22000037,0x0004c000,
    0x13000098,0x54c35500,0x0062000a,0x40009880,0x10000198,0x8800c013,
    0x22000099,0x98800019,0x00988000,0x80026620,0x4c400098,0x02620009,
    0x80026000,0x09800098,0x400c0000,0x31000998,0x000d5400,0x19880013,
    0x80009800,0x02200098,0x20002200,0x00880008,0x20000880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x004cc000,0x09982662,0x99826620,
    0x00999800,0x00999880,0x00004ccc,0x20260062,0x00188009,0x00266600,
    0x00001100,0x4c466620,0x26099809,0x13310019,0x02666000,0x00033310,
    0x04400262,0x2000cc40,0x33001cc9,0xa800cc41,0x262000bd,0x33300009,
    0x01998801,0x40003100,0x88001998,0x02602600,0x00000980,0x0c400131,
    0x18800980,0x3a001300,0x97fdc04f,0x3a205ff9,0x803ff96f,0x8006fffa,
    0xfa805ffd,0x7fcc00ff,0x1bfffd57,0x03f51f60,0x46ffff4c,0x2a005ffb,
    0x98000fff,0x98cefffd,0xffffffff,0x3ff607ff,0x4c0fff8b,0x01ffe5ff,
    0x003bffe6,0x801dff70,0x1001fff9,0x09fffff9,0x80bfff26,0x6fc005fd,
    0x6ff8806d,0xf5003ffa,0x3e2009d9,0x54000fff,0x7cc00fff,0xd91002ff,
    0x8005dfff,0x3ea04ffe,0x05ffe8ef,0x200fc8dd,0xdfffffc8,0x3b6e2003,
    0x201dffff,0x2fc807fa,0x6403fd40,0x0df9002f,0xff32ffb8,0xfdff980b,
    0x77fc404f,0x3e2003ff,0xff7000ef,0xbfff9807,0x06ffffff,0x0dfb9df3,
    0x7fffffd4,0x2005ffde,0xb8001ffe,0xefffffff,0xfffffffa,0xff307fff,
    0x2607ff29,0x01ffe5ff,0x017ffbfa,0x2001fff0,0xf9805ffa,0x4fffffff,
    0x7ff77fc4,0x001ff981,0x4401f9e6,0x03ffa6ff,0x401ea990,0x006ffefd,
    0x9800fff4,0xfe8806ff,0x00ffffff,0xa80bff50,0x4fffeeff,0x9fb9df50,
    0x7ffffcc0,0x400dffff,0xfffffffa,0x7e444fff,0x037c407f,0x880fff91,
    0x3fea006f,0x4cbbaa00,0xffb804ee,0x8efd806f,0xf9001ffc,0x7fc8001d,
    0x77fffcc0,0x02fffebb,0x403bffd7,0xfebdffff,0xf5005fff,0xff30003f,
    0xffffdfff,0xffffffff,0x57f60fff,0xdd302ff8,0x3202f6c9,0x02ffa8ff,
    0x8003ff70,0x7f400ffa,0xfffdbeff,0x3e23ff21,0x005fd85f,0x403e67c4,
    0x3bb64ee8,0x275fd400,0x7ccffdc0,0x3ff5003f,0x01ff9800,0x7e67ffec,
    0xbfd004ff,0xfffff500,0x7f6405fd,0xfff300cf,0xffffffff,0x3ffee01d,
    0xffffffff,0x1ffffa3f,0x7f403fb0,0x0fec07ff,0x005ff100,0x15550000,
    0x2a0aa880,0x0155001a,0x9802aa00,0x3e20efff,0x004403ff,0xf70bffee,
    0x2a600bff,0xfffd0001,0x7fffdc17,0x21550006,0x000002a8,0x02aa86aa,
    0x20003530,0x3fea01a9,0xb37fec2f,0x2637f4ff,0xda8001ff,0x0000001d,
    0x2a0033ae,0x400aa61a,0x530001a9,0x23fff803,0x55007ffc,0x3fffea00,
    0x20060010,0x262dfffe,0xf984fffd,0x3260bfff,0x35b0ffff,0x02fcc0ff,
    0x981fe6b6,0x4fe8005f,0x20002600,0x4c000999,0x00130000,0xff300260,
    0x09ffd07f,0x7fec0098,0x05fff887,0x02601331,0x413ffea0,0x0006fffa,
    0x00260000,0x980004c0,0x80130000,0x0a886ffc,0x8ffb37f4,0x330005fd,
    0x03330003,0x4cc00000,0x01998001,0x44019980,0x3ff21fff,0x98131005,
    0x01fffd41,0x7ffcc000,0x3fffd00f,0x201fffd8,0x7cc3fffc,0x4003fa07,
    0x03fa07f9,0x701bf200,0x01bffffb,0x7ffffec4,0x3ff6e02e,0x6dc00dff,
    0x400dffff,0x0dffffdb,0xe82fff98,0xffe984ff,0xffe80cff,0xa8bffd05,
    0x9bfffffe,0x00cefffd,0x7c01fff9,0x3e6006ff,0x3ffe80ff,0xcffffe98,
    0x7fff4c00,0x7f4c00cf,0x4c00cfff,0x80cffffe,0x36004ffe,0xf99bfa7f,
    0x7fe4001f,0x6403efff,0x83efffff,0xfe80fff9,0xffffc83f,0x7fe403ef,
    0x6403efff,0x83efffff,0xff10fff9,0xffeb805f,0x547fabef,0x3e601fff,
    0x3ffe80ff,0xfa80b6e6,0x2fffc4ff,0x3026f220,0x013ea0ff,0x9f507f98,
    0x03fea000,0x7fffffe4,0xfff882ff,0x80ffffff,0xfffffffc,0xffff902f,
    0x3205ffff,0xffffffff,0x40fffcc2,0x7fd44ffe,0x41efffff,0xffb04fff,
    0x7ffffccb,0xffffffff,0xffd80eff,0x037fe406,0xd01fff30,0xfffa87ff,
    0x501effff,0xdfffffff,0x3fffea03,0xf501efff,0x3dffffff,0x2004fff8,
    0x5ff88ffc,0xf70017f6,0x9fffffff,0x3ffffee0,0x7fcc4fff,0x43ffe80f,
    0xfffffffb,0xffff704f,0x2e09ffff,0xffffffff,0xb87ffcc4,0x3f6207ff,
    0xffffffff,0x007ffd41,0xfd01fff3,0xff10007f,0x0fffccdf,0x41fe6000,
    0x3e6000fe,0x0001fd07,0x3f20bfe2,0xfffecfff,0x577fe40f,0x646ffea9,
    0xffecffff,0x7ffe40ff,0x0ffffecf,0x767fffe4,0x3e60ffff,0x4ffe81ff,
    0x32ffffe2,0x7ff45fff,0x74bfff06,0xffebbdff,0xffebbeff,0x02fff40e,
    0x3ffffff2,0x3e61ffff,0x3ffe80ff,0x32ffffe2,0xff885fff,0x5fffcbff,
    0xcbffff88,0xff885fff,0x5fffcbff,0x1002fff4,0x23ffffff,0x22001ff9,
    0xfebacfff,0x7ffc40ff,0x0fffebac,0x3a03ffe6,0x3ffe23ff,0x0fffebac,
    0x5d67ffc4,0x7c40fffe,0xffebacff,0x43ffe60f,0x3f204ffe,0xfffcbeff,
    0x07ffd41f,0xd01fff30,0x2aaaa7ff,0xaaaaaaaa,0x3fee7ffe,0x7cc0000f,
    0x4003fb87,0x03fb87f9,0x2627fc00,0x3ea0cfff,0x17ff45ff,0xff986f22,
    0x3ffea0cf,0x833ffe65,0x3e65fffa,0x3fea0cff,0x07ffe65f,0xffc93ffa,
    0xb0fffc47,0xff981fff,0x88db915f,0x7f40ffff,0x027ffc3f,0x3fffffee,
    0x3e61ffff,0x3ffe80ff,0xff11fff2,0x47ffc83f,0x7e41fff8,0x0fffc47f,
    0xff11fff2,0x437fe43f,0x3ea0cde9,0x17f61cff,0x98bd9300,0x764c1fff,
    0x30fffcc5,0xffd01fff,0x262f64c7,0x764c1fff,0x20fffcc5,0x7fcc5ec9,
    0x43ffe61f,0xff306fff,0x5fffd87f,0x3007ffd4,0xffd01fff,0x3fffffa7,
    0xffffffff,0x0fffb0ff,0x3333332e,0x3e23fcc4,0x47f98006,0xd80006f8,
    0x07ffdc6f,0xfb07ffec,0x5c037bff,0xffd80fff,0x01fff70f,0x3ee1fffb,
    0xfffd80ff,0xd03fff30,0x27ff49ff,0xff527fec,0x3ffaa1bf,0xfff9805f,
    0x7c5ffb85,0x7fdc05ff,0xffffffff,0x203ffe61,0x3ffa3ffe,0x744ffd84,
    0x4ffd84ff,0x7ec27ff4,0x427ff44f,0x3fea4ffd,0x83ffec3f,0x10ffcc08,
    0xa80017b7,0x2a002fff,0x3fe62fff,0x03ffe80f,0x005fff50,0x0017ffd4,
    0x7cc5fff5,0x9fffb0ff,0x641fff90,0x2a0fffef,0x3e600fff,0x3ffe80ff,
    0xfffffffd,0xffffffff,0x741fff61,0x87ffffff,0xc817e419,0xfc83301e,
    0x800de542,0x3ff60ffb,0x43fff506,0xfffffffa,0x837fec1c,0xffb1fffa,
    0x47ffea0d,0xff506ffd,0x07ffe63f,0xfff93ffa,0xffeccccd,0x77ffff45,
    0xa85fffff,0xefffffdc,0x7ffdcccc,0x3202fffc,0x99999eff,0x07ffcc19,
    0xfff1fff4,0xffd9999b,0xccdfff8b,0x7c5ffecc,0xeccccdff,0x6fffc5ff,
    0x5ffecccc,0x767ffff4,0x36003fff,0x3ffff25f,0x3fb2600e,0x2602ffff,
    0x2fffffec,0x3a03ffe6,0xfd9303ff,0x4c05ffff,0x2fffffec,0x3fffb260,
    0x3ffe62ff,0x89fffd10,0x37ee5ffd,0x3ea1fff8,0x3fe600ff,0x93ffe80f,
    0x99999fff,0x4fffd999,0xfe80fffb,0x807fffff,0x5ff905f9,0xf897e600,
    0x9804ffff,0x13ffe1ff,0x2e17ffcc,0xffffffff,0x4c13ffe4,0x9fff2fff,
    0x7cbffe60,0xfff304ff,0x207ffe65,0xfff14ffe,0xffffffff,0xffffe88d,
    0x2a5ffdcf,0xffffffff,0xffffffff,0x037fec7f,0x9801bff6,0xffe80fff,
    0xffffff13,0x44dfffff,0xffffffff,0x3fe26fff,0xffffffff,0x3fffe26f,
    0x6fffffff,0x7fffffcc,0x3e6005ff,0xf59ff51f,0xffff709f,0x705fffdf,
    0xffdfffff,0x07ffcc5f,0x3ee1fff4,0xfffeffff,0xfffffb82,0xfb82fffe,
    0xfffeffff,0x883ffe62,0x3fa2ffff,0x3e1df53f,0x3ffea2ff,0x03ffe600,
    0x7fdcfffa,0x2fff400f,0x5503fff3,0x00fffd55,0xfff503fb,0xc87f6005,
    0x00ffa8df,0x3ff63ff8,0x03fff506,0x3fffff6a,0x20dffb0f,0xffb1fffa,
    0x47ffea0d,0xff506ffd,0x07ffe63f,0x7fc53ffa,0xaaaaaacf,0xdfdb882a,
    0x3ea9ffb2,0xfff1beff,0x9999999d,0x01fffc89,0x9801bffe,0xfff81fff,
    0x559fff13,0x44555555,0xaaaacfff,0x3fe22aaa,0xaaaaaacf,0x33ffe22a,
    0x2aaaaaaa,0xfffffc88,0x92fec003,0x71bfa1ff,0x3e15bfff,0x7ffdc2ff,
    0x45fff0ad,0xff81fff9,0x37ffee3f,0xb85fff0a,0xff0adfff,0xdfffb85f,
    0x4c5fff0a,0x7fc40fff,0x273ff67f,0x3fff30ff,0x3007ffd4,0xfff03fff,
    0x80bffe67,0x7fc3fff8,0x7ffc805f,0x7cc27d40,0xfa802fee,0xff98d444,
    0x2e5fd800,0xffd80fff,0xffb98107,0x01fff73f,0x7fdcfffb,0x27ffd80f,
    0xfd80fffb,0x2f76207f,0x013ffe01,0x3ffd8008,0xfff0bffb,0xfffa800d,
    0x0dfff704,0x40fffcc0,0x3ffe3fff,0x27ffc004,0x013ffe00,0x0009fff0,
    0x000eff54,0x7fd87fe6,0x9ffd1ff6,0x742fff88,0x7ffc44ff,0x207ffe62,
    0x3ffa3fff,0x217ffc44,0x7fc44ffe,0x227ff42f,0x3e62fff8,0xfff980ff,
    0x3ffdff91,0x2a07ffdc,0xff300acd,0x27fff03f,0xb00efff8,0xffd85fff,
    0x3ffec02f,0xfd103fa0,0xfd005fd1,0x02ff4c01,0x3fe67fb8,0x3ffea0cf,
    0x20fffa25,0xfff34ffe,0x2fffd419,0x5419fff3,0x3fe65fff,0x3ffea0cf,
    0x3fffa605,0x88fff900,0x3bee2dff,0x97ffc42e,0x7fd44ffe,0x1f7f41ff,
    0x885ffff4,0x006ffffa,0x3ee1fffc,0x1fff23ff,0xfc85bff1,0x16ffc47f,
    0xff11fff2,0x47ffc85b,0x2e02dff8,0x2000ffdb,0xb3fec5fd,0x43fff8ff,
    0x7fc2fffb,0x17ffdc3f,0xff70fffe,0x21fffc7f,0x7fc2fffb,0x17ffdc3f,
    0xff70fffe,0x07ffcc5f,0x4c7ffe23,0x3a22ffff,0xffeb85ff,0x70fffe04,
    0x7fd47fff,0x3ff6a2ef,0xffff985f,0x3ffaa20b,0x20fee07f,0x805fd1fd,
    0x3fe603fb,0x3ff3000e,0x767fffec,0x7e40ffff,0xffca9bff,0x3ffff62f,
    0x40ffffec,0xfecffffd,0x7fec0fff,0xffffecff,0x207ff000,0xdabffff9,
    0x3fe60eff,0xffecacff,0x37fff70f,0x9ffffff7,0x503fffb7,0xffffffff,
    0xffffffff,0x743fffff,0xffdabfff,0x3ffe63ff,0x0effdabf,0x55ffffcc,
    0x7cc0effd,0xffdabfff,0x7fffcc0e,0x00effdab,0x26005ff0,0x87fe41ff,
    0x7ffe47fe,0x2ffffc9a,0x64d7ffe4,0x7f42ffff,0xfffdabff,0x2bfff23f,
    0x42ffffc9,0xfc9afffc,0x7fe42fff,0xffffc9af,0x263ffe62,0x46ffdcfe,
    0xfdbdfffd,0x3ea00fff,0x2ffffa07,0x43ffffda,0xfffffffc,0x3ee06fff,
    0xffeeffff,0xf105ffff,0xfffff30d,0x1be209ff,0x8005ffa8,0x7ffec3ff,
    0xd01fffff,0xffffffff,0xfffffb09,0x3f603fff,0x1fffffff,0xffffffb0,
    0x5d5c03ff,0x3ea00ffd,0x1fffffff,0xffffffc8,0x3fe23fff,0xfdffffff,
    0x3fffffff,0x3ffffee0,0xffffafff,0x1fffffff,0x3fffffee,0x7d43ffdd,
    0x1fffffff,0xffffff50,0x3fea03ff,0x01ffffff,0xfffffff5,0x2eaa203f,
    0x3f6007fd,0xfbcffa85,0x7fffcc4f,0x44ffefff,0xfffffff9,0x7fdc4ffe,
    0xffddffff,0x3ffffe63,0x4c4ffeff,0xefffffff,0x7ffcc4ff,0x4ffeffff,
    0x3ea3ffe6,0x6c3fffff,0xffffffff,0x76554c2f,0x3ffee04f,0x3ffddfff,
    0xffffffd8,0x7d400eff,0xffffffff,0x0bf202ff,0x3ffbbba6,0x205f903e,
    0x0aaaeffa,0xb70bfb00,0x401bffff,0xefffffc8,0x3fff6e02,0x7edc00df,
    0x5c00dfff,0x00dffffd,0x00e77ffc,0x677ffecc,0x3fffae01,0xfea82eff,
    0xfb10cfff,0x3005bfff,0x31bffffd,0xffffffff,0xfeb83fff,0x07ff94ff,
    0x39dfffb3,0xefffd980,0x7fecc01c,0x6cc01cef,0x201cefff,0x01bdfff8,
    0x3603ff30,0xa80dffff,0xfb8dfffd,0xfffda86f,0xb86ffb8d,0xff94fffe,
    0xdfffda87,0xda86ffb8,0xffb8dfff,0xdfffda86,0x3e66ffb8,0xbffd50ff,
    0xfdadfb85,0xfb80dfff,0x5c00bdff,0xff94fffe,0x3fffaa07,0x51000adf,
    0x7bdfffd9,0x2006f880,0x0df102fe,0x7fffffec,0x80553001,0x99880009,
    0x0004c000,0x13000098,0x40000800,0x09980009,0x88013100,0x00660001,
    0x00044000,0x26000130,0x00130000,0x02000260,0x500f2a00,0x03100399,
    0x40006200,0x01880008,0x20003100,0x11000018,0x01303220,0x04400020,
    0x00131000,0x80026200,0x32e001ca,0x64039501,0x00cccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000988,0x00000018,0x0c400033,
    0x7fec0000,0x4007ff8c,0x2aa05ffd,0x402aaaaa,0x2c89fffa,0x55555540,
    0x2662002a,0x98266201,0x55551009,0x26603555,0x8b76a009,0x1881304c,
    0x200bffe6,0xdda85ffe,0x55440f61,0x4c1aaaaa,0xffe80fff,0x04cc4003,
    0x03331000,0x20026620,0x00662198,0xfff10026,0x80666005,0x26601998,
    0x22098809,0x17ffcc19,0xf91fff70,0x330662bf,0xfff06201,0x5c2f7220,
    0x440c400e,0x21331099,0xfec85ffc,0x51002eff,0x37bfffd9,0x1dffc980,
    0x10027cc0,0x7bfffd95,0xffb00003,0x980fff19,0x4effeccc,0xfffffff0,
    0xfffd300d,0xffff805d,0x3a006fff,0xb7f404ff,0xff301ffb,0x209fffff,
    0xff106ffc,0x109fdfff,0x3e66d89f,0xffe802ff,0x7ffffcc5,0xfff302fe,
    0xf989ffff,0x3ffe80ff,0x1bffea00,0x05ffd800,0x500bff90,0x0dfd15ff,
    0x817fffec,0xc802fff8,0xff884fff,0x3fff302f,0xff13ff70,0x02fff98b,
    0x3f23ffee,0x369ff15f,0x42fb80ff,0xfffd07ff,0xfb80dfdf,0xf52ffc82,
    0x897ff29f,0xfffffffd,0x7fff4c03,0x04fffecd,0x01bf77fa,0x3a6001fd,
    0xffecdfff,0x7ec0004f,0x407ff8cf,0xfffffffa,0xdddddd07,0xffb300bd,
    0xdddb003f,0x2600bddd,0xff9805ff,0x3a604ffd,0x03eeeeee,0x3ea0bff2,
    0x01effcab,0x47fb9bf9,0xe802fff9,0x557e45ff,0xd300effd,0x87dddddd,
    0xfe80fff9,0xdff1003f,0xf30009ff,0x7fe400bf,0xfbffb005,0x3fff601f,
    0xfff102ff,0xfeff9805,0x01ffe42f,0x7ec05ffb,0x7cc0ffef,0x3fee02ff,
    0x2a5ffc8f,0xe82ffdff,0x43ffc2ff,0xffeb9df8,0x20bffa02,0x9ff52ffc,
    0xffd97ff2,0x1ffffcdf,0x1039ff50,0xc881dfd5,0x7d407fe5,0x39ff5003,
    0x01dfd510,0x4d3ff600,0x6664c06d,0x0004effe,0xffadfc80,0x8000000e,
    0x3ee005fd,0x000006ff,0x40c437ec,0x7ffe4401,0x0bffe60c,0x3117ffa0,
    0x98000010,0xffe80fff,0x71ffb003,0xfd8003ff,0x3ff2000e,0xfffd1005,
    0x5f7ffc07,0x02aaa00b,0xffb5fe88,0x9813fe21,0x7fc402ff,0xfff982ff,
    0x23ffee02,0x7fec5fa9,0x85fff05f,0x081306d9,0xb82fff80,0x27dd31ee,
    0xfff12aa9,0x427ffc47,0xe8803ff9,0x17fae05f,0xff3006e8,0x0bfd1007,
    0x7fec1310,0x4c409f14,0x4017ff60,0xa86a0009,0x333005ff,0x00155000,
    0x4000aaa8,0x01540009,0x4060004c,0xe802fff9,0x000005ff,0x01fff300,
    0x51007ffd,0x00155435,0x000002aa,0x101554c0,0x2a003fff,0x2aa600aa,
    0x2a235510,0x800d4c02,0xff302aa9,0x7ffdc05f,0xaa889f30,0x85fff00a,
    0x0ccc05f8,0x002fff80,0x43ffd400,0x3fe83cec,0x88fbfb22,0xbffd02fe,
    0x2005f701,0xddddb3fe,0x817f447b,0xd8dfffe9,0x80ff8cff,0xd8dfffe9,
    0x3fa605ff,0x5400cfff,0x2ffecefd,0x3fffff20,0x00c4003e,0x6dc00c40,
    0x000dffff,0x7fffedc0,0x3e60000d,0xffe802ff,0xd01fff35,0x3ffe67ff,
    0xf33ffe80,0x7ffd01ff,0x00000000,0x00000000,0x8007ffcc,0x00002ffe,
    0x80022000,0x17ffcc08,0xd31fff70,0xffc8001f,0xff8dffff,0xfffff900,
    0xffff907d,0x20000bff,0x44007ff9,0x37ffa25f,0x813e64ff,0x37c44fe8,
    0x3fe5f880,0x224ffeee,0xffffa84f,0x74ffefff,0xfffff501,0x20bffdff,
    0xfffffffa,0xffffb01e,0x701fffff,0xffffffff,0xd57ff989,0x7cc1bfff,
    0xbfffd57f,0xfffff901,0x3e605fff,0x7ffe41ff,0x302fffff,0xff983fff,
    0x5ffe802f,0xfd01fff3,0x03ffe67f,0x7fccfffa,0x43ffe80f,0xfff84ffd,
    0xf12fff84,0xffffffff,0x7fffc49f,0x24ffffff,0xfffffff8,0x3fe64fff,
    0xfff8800f,0x1fff9800,0x2a0fffcc,0x5ffe8eff,0x7f477fd4,0x0bffe65f,
    0xffefffb8,0x41fff982,0x5ffffffc,0x3ffee017,0x644fffff,0x85ffffff,
    0x8801fff9,0x2a000fff,0xf893f62f,0x5d99fa1f,0x03f917f2,0x47f8fea0,
    0x223f47f9,0xfebdffff,0x3e204fff,0xffebdfff,0xfff885ff,0x85fffcbf,
    0xffeffffc,0x7fc43fff,0xfffebacf,0x3efffe60,0x266fffff,0xffffbfff,
    0x7ffe46ff,0x0ffffecf,0x321fff98,0xffecffff,0xfff980ff,0x017ffcc1,
    0xff9afff4,0x33ffe80f,0xffd01fff,0x203ffe67,0x7fd43fff,0x237ffcc6,
    0x3fe27ffa,0xffffffff,0x3ffffe24,0x224fffff,0xffffffff,0x3ffe64ff,
    0x07ffd800,0x983fff30,0x7fd41fff,0x544fffee,0x4fffeeff,0xb80bffe6,
    0x300bdfff,0xfeb83fff,0x4404eeff,0xfebacfff,0x3ffae0ff,0xff984eef,
    0x7fd5401f,0x200aaacf,0x107fe0fc,0x3fa1fc81,0x3e61ffcd,0xf83f6005,
    0x3f237cc7,0x70bffee1,0x7dc09fff,0x7ffdc2ff,0x447ffc85,0x3fe61fff,
    0xfff911df,0x4c5ec98b,0x3fe61fff,0xffebbeff,0xdffff32f,0x25fffd77,
    0x2a0cfff9,0xff985fff,0x19fff31f,0x4c2fffd4,0x7fcc1fff,0x5ffe802f,
    0xfd01fff3,0x03ffe67f,0x7fccfffa,0x43fff81f,0x3ee0fff8,0x3ff20fff,
    0x3bbbba25,0x223ffffe,0xffeeeeee,0x3bba23ff,0x3ffffeee,0xb003ffe6,
    0x26005fff,0x7fcc1fff,0x7fffd41f,0x7fd42fef,0x262fefff,0x3ee02fff,
    0x7fcc00ff,0x05fff01f,0xf317b260,0x5fff03ff,0x00fffcc0,0x3ffffffa,
    0x99be02ff,0x47f5007f,0x6c3dffd9,0xf1be000f,0x87ff999f,0x1fff63fa,
    0xfb027ffc,0x17ffe0ff,0x3f613ffa,0x07fff24f,0xa801fffa,0x3fe62fff,
    0x3ffe20ef,0x41dfff33,0xff73fff8,0x1fffb01f,0xf71fff98,0xfffb01ff,
    0x41fff981,0xe802fff9,0x1fff35ff,0x3e67ffd0,0x3ffe80ff,0xfc87fff1,
    0x3ffd83ff,0xe8bffff6,0xffc802ff,0xfff9005f,0x3fff200b,0x807ffcc5,
    0x002fffe8,0xf307ffe6,0xfffa83ff,0xfff5010f,0xfff3021f,0x07ffdc05,
    0x407ffe60,0x80002fff,0xff82fffa,0x3ffe602f,0x7f5554c1,0x2fffffff,
    0x06f99be0,0x01107f50,0x07b209f5,0xfffff8df,0x3a3f981e,0x9ffd05ff,
    0xe82fff40,0xdfff85ff,0x5ffecccc,0x7e41bffa,0xfd9300ff,0x7cc5ffff,
    0x4ffe83ff,0xfd07fff3,0x41bff69f,0x7cc1fffa,0x0dffb1ff,0xf307ffea,
    0xfff983ff,0x35ffe802,0xffd01fff,0x203ffe67,0x3ffe3ffe,0xffffdbcf,
    0x3e5ffb83,0xff34ffff,0xfffb801f,0xdfff7006,0x1bffee00,0x6c03ffe6,
    0x4c003fff,0x7fcc1fff,0x1fffd41f,0x80fffea0,0x2e02fff8,0x7cc00fff,
    0x5fff01ff,0xffd93000,0x7d4c5fff,0xf981acff,0x6ffe41ff,0xabfffcaa,
    0x443f600a,0x320cc1ff,0x03fa001f,0x1fb0bff2,0x83fe9bfc,0x13ffe1fc,
    0xff027fec,0x17ff609f,0xfffffff1,0x7fcdffff,0x5fff305f,0xefffffb8,
    0x3fe62fff,0x34ffe82f,0xffd05fff,0x4c13ffe9,0x7fcc2fff,0x209fff1f,
    0x7cc2fff9,0x7ffcc1ff,0x35ffe802,0xffd01fff,0x203ffe67,0x3fea3ffe,
    0xffddffff,0xf37ff883,0x3eedff9f,0x7ffd405f,0xfffa800e,0xfffa800e,
    0x0fff980e,0x002fffa8,0x4c1fff98,0x7fd41fff,0x7ffd401f,0x0fffe201,
    0x9807ffc8,0xfff01fff,0x7ffdc005,0x22fffeff,0x4ffffffd,0x641fff98,
    0x1ffea5ff,0x3fa2fb80,0x7e87fe23,0x2a0fee00,0x17dc2fff,0x207fccff,
    0x82fff47e,0x3fa04fff,0x8bfff05f,0xaaacfff8,0x3fa2aaaa,0x1fff706f,
    0x856fffdc,0x3fe62fff,0x34ffe81f,0xffd03fff,0x541bff69,0x7fcc1fff,
    0x20dffb1f,0x7cc1fffa,0x7ffcc1ff,0xff85edaa,0x03fff34f,0x3fe67fff,
    0x43fff81f,0xf94fffeb,0x27ffa07f,0x8ffd9ffc,0x3e602ffd,0xf9800fff,
    0xf9800fff,0xff300fff,0x0bff901f,0x3e606aa2,0x7ffcc1ff,0x007ffd41,
    0x8803ffea,0x3f203fff,0xfff9807f,0x005fff01,0x42b7ffee,0x3fb22fff,
    0xf983eeff,0x2ffe41ff,0x4c00bff9,0x337fe64f,0x017e24fe,0x77cc37c4,
    0xf27cc2fe,0x3e25fc8f,0x4c3ffec5,0x3f604fff,0x5fff987f,0x2004fff8,
    0xfd80fffc,0x227ff47f,0x3e62fff8,0x4ffe81ff,0xfd03fff3,0x03ffee9f,
    0x3e61fff6,0x1fff71ff,0xf30fffb0,0xfff983ff,0xff87ffca,0x03fff33f,
    0x3fe67fff,0x03fff81f,0x200fd811,0x77fecffb,0x01fff5ff,0x007fffe2,
    0x007fffe2,0x807fffe2,0xfc80fff9,0x0dff905f,0xf983fff3,0x7ffd41ff,
    0x07ffd400,0x403fffe0,0xf9806ffe,0x5fff01ff,0x113ffa00,0xfff05fff,
    0x0fffcc05,0xfff8a7c4,0x317f4001,0x7449fffd,0x85f9003f,0x82fe8fe8,
    0xf88ff2fe,0x5c3fe8af,0x7fe42fff,0x3ffee04f,0x42fffe42,0x7fc47ffc,
    0x33ffea2d,0xf17ffea0,0xfffb87ff,0x207ffe62,0xfff34ffe,0x269ffd03,
    0x3ea0cfff,0xfff985ff,0x419fff31,0xf985fffa,0x7ffcc1ff,0x70cfffba,
    0x7ffc5fff,0xf1fffdc3,0xfffb87ff,0x301fa003,0x26bffdff,0x105ffeff,
    0x1005fffd,0x1005fffd,0x9805fffd,0xffa80fff,0x27ffc41f,0x260fffcc,
    0x7fd41fff,0x7ffd400f,0x6fffec00,0x13fff220,0x407ffe60,0xff003fff,
    0x2fffb87f,0x2603fff8,0xafb81fff,0x1aacffe8,0x17fcc04c,0x09fd1062,
    0x3fa17e20,0xff305fd1,0x413f6005,0xffbcfffe,0x7f404fff,0xffffbcff,
    0xffff985f,0x40effdab,0xfecffffd,0x7fe40fff,0xffffc9af,0x207ffe62,
    0xfff34ffe,0x6c9ffd03,0xffecffff,0xfff980ff,0x33ffff61,0x980ffffe,
    0x7fcc1fff,0xfffff8af,0x7f46ffff,0xfffdabff,0x2ffffa3f,0x03ffffda,
    0xfd00bfa0,0x7ffc7fff,0xfffd03ff,0x3fffa007,0x7fffd003,0x01fff300,
    0x3b3bfffa,0xf980ffff,0x7ffcc1ff,0x007ffd41,0x1003ffea,0xfdffffff,
    0x3001ffff,0x3fe03fff,0x7e404cef,0xfffc9aff,0xcfffe82f,0x41fff984,
    0xffffb6fc,0x9ffdffff,0x402ffe60,0x36004fe9,0x7fffcc1f,0xff984fff,
    0x09fb300b,0x7fffffd4,0x5404ffce,0xceffffff,0xfff505ff,0x103fffff,
    0xfffffffd,0xffff305f,0x49ffdfff,0xfe81fff9,0x03fff34f,0xffd89ffd,
    0x01ffffff,0xfd83fff3,0x1fffffff,0x983fff30,0xfff72fff,0xb81fffff,
    0xddffffff,0x3ffee3ff,0x3ffddfff,0x377ff200,0x1ffffc82,0x203ffff6,
    0xfffffffb,0x3fee7fff,0xffffffff,0x3ffffee7,0x267fffff,0xfd100fff,
    0x1dffffff,0x307ffe60,0xffa83fff,0x7ffd400f,0xffffa800,0x02ffffff,
    0x203fff30,0x406ffffd,0xfffffff9,0xffd84ffe,0xfff986ff,0xfff525c1,
    0xffffffff,0x3ffe601f,0x4fffdbce,0x2613e600,0x3effeeee,0x79dfff30,
    0x3009fffb,0xf71bfffd,0xffd3009f,0x0bff71bf,0x677ffecc,0x7fffdc01,
    0x3f6a00df,0x6ffb8dff,0x3a07ffe6,0x3fff34ff,0xb709ffd0,0x401bffff,
    0xdb81fff9,0x200dffff,0x7cc1fff9,0x3ffaa2ff,0xfd701cef,0x0fff29ff,
    0x329fffd7,0x362003ff,0xff982fff,0x37ffd47f,0xffffffc8,0x3f27ffff,
    0xffffffff,0x3ffff27f,0x27ffffff,0x5c00fff9,0x00cdfffe,0xf307ffe6,
    0xfffa83ff,0x07ffd400,0xffffd880,0x26000dff,0xfd101fff,0xfb500dff,
    0xdff71bff,0x0dfffd10,0xd003fff3,0xffd9739f,0x5c403dff,0x2ceffffd,
    0x8007f400,0x6dc402fe,0x02ceffff,0x80000c40,0x09800018,0x00098800,
    0xff9800c4,0x34ffe81f,0xffd03fff,0x30009809,0x09803fff,0x03fff300,
    0x40013100,0x00880008,0x20044000,0x7fc45fff,0xffff903f,0x4fffffff,
    0xfffffffc,0x3ff27fff,0xffffffff,0x003ffe67,0x3fe60008,0x0fffcc1f,
    0x5003ffea,0x20001fff,0xf3000099,0x098803ff,0x8000c400,0xfff30098,
    0x98801003,0x00a98000,0x40059100,0x54c001cb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6666665c,
    0x000801cc,0xf96ffd80,0x3ffe20ff,0x001fff52,0x05ffd800,0x01100062,
    0x44000980,0x02fff981,0x7ec3ffee,0x9fff107f,0x201fffec,0x3e23fffd,
    0x3fee03ff,0x7ff4000f,0xffffffff,0xd13fffff,0x9dd905dd,0xffffff10,
    0x32039bdf,0xcccccccc,0x7fff13cc,0xffffb800,0xffffffff,0x4473ae5f,
    0x00fff52e,0x81fff980,0x22004fff,0x3ee03fff,0x3fff30ff,0x027ffc40,
    0x3a21fff3,0x3e2002ee,0x24ffb9ff,0x1001fff9,0xffffffff,0x3e61ffff,
    0x7fcc01ff,0xeffec886,0x7ffc4003,0xffffff00,0x36a05fff,0x000cefff,
    0xff36ffd8,0x4fff705f,0x0000fffa,0x542ffec0,0x3e66fffe,0x7fffd76f,
    0x77fff440,0xfb85ffb9,0x02fff982,0x7cc3ffee,0xfffc83ff,0x03fffe20,
    0x2237ffcc,0x3ee03fff,0x3ea000ff,0xffffffff,0x3fffffff,0xfb07fff1,
    0xffff10bf,0x9fffffff,0xfffffff0,0x3e2dffff,0x7dc003ff,0xffffffff,
    0xff55ffff,0x2a3fffff,0x4c0007ff,0xfff81fff,0x3ffe2004,0x43ffee03,
    0x2201fff9,0xf301ffff,0x3ffe21ff,0x3ffe2003,0xfb54ffb9,0x40799bff,
    0xfffffff8,0xf30fffff,0x7fc403ff,0x7fffcc6f,0xb001efff,0xff101fff,
    0x5fffffff,0xffffffb0,0xfd8005ff,0x213ffa6f,0x3fea4ffe,0x6c00000f,
    0x7ffcc5ff,0x3ffe66ff,0x5ffffffc,0xffffff98,0x7f45ffcf,0x2fff982f,
    0xd83ffee0,0x7ffc46ff,0x04fffb84,0x6643fffd,0xccccdfff,0x4cfffdcc,
    0xfdfffd00,0xffffffff,0x3fe27fff,0x85ffd83f,0xfffffff8,0x7c6fffff,
    0xffffffff,0x7fff16ff,0xffffb800,0xffffffff,0xfb73fb5f,0x03ffd4bf,
    0x07ffe600,0x40113ffe,0x2e03fff8,0xfff30fff,0x7fffc403,0x21fff306,
    0x2003fff8,0xffb9fff8,0xffffffb4,0x7ffc40df,0xffffffff,0x03fff30f,
    0xf137ffec,0xffffffff,0xffff700d,0x99fff301,0xfd839999,0xfffdcfff,
    0x3ff6001f,0xf11ffee6,0x7ffd43ff,0x7ec00000,0x67ffe45f,0x3fffe62a,
    0x2ffffccf,0x75f7fff4,0x7fc5ffff,0x2fff982f,0x983ffee0,0x3ff22fff,
    0x3fffd00f,0x7c4fffa8,0xffffffff,0xffffffff,0x2fff9807,0x44009fff,
    0xfcb83fff,0x13fff884,0x5ffff733,0x55555554,0xff12fffb,0x579999bf,
    0x1fffc400,0x44088110,0x4c0006ea,0xfff81fff,0xff8812a4,0x3ffee03f,
    0x403fff30,0x83fffff8,0xff10fff9,0x7fc4007f,0xb53f989f,0x0799bfff,
    0x001fffc4,0xd503fff3,0x7dcdffff,0xfff712ff,0x7fffc405,0x05ffb80f,
    0x889fff30,0x36006ffe,0x3ffe26ff,0xf51bfee2,0x0004c1ff,0x2ffec131,
    0x7cc17ff6,0x3fe20eff,0x0fffea6f,0xff8bfff7,0x2fff982f,0xd03ffee0,
    0x3ffe2dff,0x9bffe604,0xed86fff8,0xeeeeefff,0x5efffeee,0x3e6ffd80,
    0x3e2004ff,0x07f503ff,0x2207fff1,0xf9007fff,0x7fffc49f,0x1effffff,
    0x03fff880,0x201be000,0x3fff3009,0x3f29fff0,0x0fffe204,0xf30fffb8,
    0x7fc403ff,0x7cc0ffff,0x7fff10ff,0x8fffc400,0x3ffe61fb,0x7fc40621,
    0x3fe6003f,0x7fffec1f,0x1bff66ff,0xfd813ffe,0xfc80ffff,0xfff7003f,
    0x801ffea0,0x7fec6ffd,0xf50fffa4,0xffff91ff,0x7fff4c07,0x6c5ffd8d,
    0xfff304ff,0x21fff909,0xff886ffc,0xfffff95f,0x17ffccbf,0xa81fff70,
    0xfffb9fff,0x97ffe400,0xf101fffc,0x7fdc07ff,0xfff9800f,0x8013ffe2,
    0xd883fff8,0x3fff880f,0x00bffee0,0xff88dff3,0xffffffff,0x7fc402ff,
    0xfff9803f,0xff97ec41,0xefffe99f,0x2d7ffcc1,0x3ff77ffe,0x0fffe203,
    0xf30fffb8,0x7fc403ff,0x7cc5ffff,0x7fff10ff,0x4fffc400,0x7ffcc4fb,
    0x44fffea9,0x2003fff8,0x7fc1fff9,0x2a6ffccf,0x4ffe82ca,0xfffbff70,
    0xfbbffd01,0x3531019d,0x801ffea0,0x7fd46ffd,0xa81fff17,0xffffefff,
    0xfffa85ff,0x5ffeffff,0xfffffffb,0x417ffcc3,0xffb1fffa,0x657ffa0b,
    0x25ffffff,0x2e02fff9,0xffe80fff,0x8804ffed,0xfff9fffe,0x0fffe205,
    0x800fffb8,0x7ffc7ffc,0x3ffe2004,0xf103fe83,0x7fc407ff,0x0ffec03f,
    0x2ab3ffe2,0x06fffecc,0x401fffc4,0x7dc1fff9,0x3fefffe4,0x261fffff,
    0x7fc6ffff,0x4403ffff,0x3ee03fff,0x3fff30ff,0x7f7ffc40,0x3ffe62ff,
    0x007fff10,0x14cfffc4,0x7fefffcc,0x3e25ffff,0x3e6003ff,0xc86fc1ff,
    0xff3006ff,0x3dff105f,0xfff01fff,0x05ffffff,0x05ffe880,0x3e1bff60,
    0x85ffbaff,0xccfffffa,0x3e22ffff,0xffebdfff,0xffffb5ff,0x7fcc3fff,
    0x2fff880f,0x3f209ffd,0xdfffd75f,0x17ffcc9d,0x221fff70,0xfffffb99,
    0x7d4019af,0x00ffffff,0x3bbbffe2,0xfffeeeee,0x1fffc400,0x3ffffffe,
    0x3e26ffff,0x300983ff,0x3337fff5,0x5409fff0,0xfff884ff,0x01fffb03,
    0x401fffc4,0x0c41fff9,0x2b3ffffe,0x3e64fffd,0x7ffc3fff,0xff8802ff,
    0xeeeeeeef,0xff30fffe,0x2155513f,0xfffafff8,0x443ffe66,0x554c3fff,
    0x00fffc42,0x79fffff3,0x3e23fffd,0xcccccdff,0x0fffcc4c,0x00dff90a,
    0x3a03fff2,0x0fff89ff,0x7fffffcc,0x1000ffff,0x4003fffd,0xffc86ffd,
    0xfa82ffec,0x3fa20eff,0x0bffee6f,0x3b2bfff7,0x20eeffff,0xf981fff9,
    0x0bffb1ff,0xfff17ffa,0x05fff305,0xfa87ffdc,0xffffffff,0x7ec01fff,
    0x4402ffff,0xffffffff,0x00ffffff,0x3e07ffe4,0xffffffff,0x3ffe26ff,
    0x7fffc003,0x7c1fffff,0x3ffa05ff,0x03fff881,0x4405fff3,0xf9803fff,
    0xfff801ff,0x32fff41f,0xfff07fff,0x3fe2003f,0xffffffff,0xff30ffff,
    0x23fff13f,0xffa9fff8,0x21fff33f,0x7dc3fff8,0x0fffc47f,0x88dfff30,
    0xfff12fff,0xffffffff,0x401fff98,0xfb806ffc,0x4ffb83ff,0xe981fff1,
    0x3ffea3ff,0xfffe8805,0x37fec002,0x7fffffcc,0x83fffa80,0xffb0fffb,
    0xb17ffe0f,0x3fe609ff,0x0fffa83f,0xff30dff9,0x82fff8bf,0x2e02fff9,
    0xfff50fff,0xffffffff,0xfff8803f,0xfff8805f,0xffffffff,0x3e200fff,
    0xffff84ff,0x6fffffff,0x000fffe2,0xffffffff,0x06ffe83f,0x3e20dff7,
    0xfff503ff,0xffffff87,0x982fffff,0xff801fff,0x26ffc85f,0x7dc1fffc,
    0x3e2004ff,0xffffffff,0xf30fffff,0x3fff13ff,0x7ec7ffe2,0x0fff98ff,
    0xfb87fff1,0x0fffc47f,0xd07fff30,0x3ffe27ff,0x7fffffff,0x200fffcc,
    0x7dc06ffc,0x6ff986ff,0x0003ffe2,0xe880fffd,0xd8001fff,0xfffd06ff,
    0x3ffea0bf,0xd1fff981,0x3ffa0bff,0x9827fec5,0x3a21efff,0x3ffea6ff,
    0x22fffe43,0xff882fff,0x3ffee02f,0xfd555510,0x015555bf,0x003fff70,
    0x3337fff1,0x1fff7333,0x567ffdc0,0x9dfffaaa,0x20999999,0x4003fff8,
    0x99bfffa9,0xf04fff81,0x3fe205ff,0x3fffb03f,0xfffffff8,0xf982ffff,
    0xfff801ff,0xf96ffb84,0x7fe43fff,0x3e2004ff,0x99999cff,0xf30fffb9,
    0x3fff13ff,0x7cc7ffe2,0x0fff9dff,0xfb87fff1,0x0fffc47f,0xd05fff30,
    0x3ffe29ff,0x2aaaaaad,0x200fffcc,0x3f206ffc,0xffe80eff,0x003ffe21,
    0x401fff70,0x0001fffb,0x3ee0dffb,0xff502fff,0x3fff301f,0x7ec13ffe,
    0x827fec5f,0xcdfffff9,0x7f42ffff,0xffffbeff,0x417ffc5f,0x3203fff8,
    0x7ff407ff,0xfff70004,0x7fff1001,0x007ffdc0,0xffffffff,0x4009ffff,
    0x8003fff8,0x2203fff8,0xff983fff,0x33ffe207,0xfffebaaa,0xffa99987,
    0x980999cf,0xff801fff,0xd6ffb84f,0x7f43fffd,0x22004fff,0x3ee03fff,
    0x3fff30ff,0x90fffc40,0x1fff9fff,0x800fffe2,0x2601fff8,0xffe81fff,
    0x007fff14,0x200fffcc,0xff906ffc,0xfff701df,0x9fffb999,0x3fee0039,
    0x01ffec07,0xffb0dd95,0x1fffe20b,0xa82fffa8,0xbffd1fff,0xfb17ffe0,
    0x3ffe609f,0x5ffffffd,0xffffff98,0x7fc5ffef,0x3fff882f,0xfa9fff20,
    0xffffffff,0xfb801fff,0xff8800ff,0x3ffee03f,0xfffff700,0x9fffffff,
    0x1fffc400,0x1fffc400,0x505fff50,0x7fc409ff,0xffffffff,0x7fc402ff,
    0xfff9803f,0x83fff801,0xff376ffb,0x7ffd743f,0x3ffe2004,0x43ffee03,
    0x2201fff9,0x7ff41fff,0xff10ffff,0x7fc4007f,0x3ffe601f,0xf14ffe81,
    0x7cc007ff,0x7fe401ff,0x0efffb86,0xffffff70,0x25ffffff,0xffd85eeb,
    0x00fff405,0xfe81fff5,0x9fff104f,0x41fffd40,0x3ff67ffd,0x45fff987,
    0xff304ffd,0x7ffff71f,0x6ffff4c0,0x7fc5ffd8,0x1ffff02f,0xfa9bffa0,
    0xffffffff,0xfb801fff,0xff8800ff,0x3ffee03f,0xddfffd00,0x9fffdddd,
    0x1fffc400,0x1fffc400,0x80fffe88,0x3e203ffc,0xffffffff,0xff8802ff,
    0xfff9803f,0x83fff801,0x3fe66ffb,0x27ffc21f,0x07fff100,0xf987ffdc,
    0x3fe201ff,0x7fffd41f,0x7fff10ff,0x0fffc400,0xd03fff30,0x3ffe29ff,
    0x3ffe6003,0x237fe401,0x200efffa,0xfffffffb,0xf72fffff,0x7ffc43ff,
    0x00555402,0x2a1bfff3,0xff903fff,0x7ffd403f,0x9bffe20e,0x7e42fffb,
    0x27fec5ff,0x260fff98,0xfb062000,0x03fff8bf,0x443bfffb,0x3264fffc,
    0xcefffccc,0xfb800ccc,0xff8800ff,0x3ffee03f,0x03fffa80,0x88013ffe,
    0x88003fff,0x74cc3fff,0xffd03fff,0x6fffc403,0x002abccc,0x200fffe2,
    0xf801fff9,0x6ffb83ff,0x3e07ffe6,0x3e2004ff,0x3fee03ff,0x03fff30f,
    0x6c0fffc4,0xf10fffff,0x7c4007ff,0x3fe601ff,0x14ffe81f,0x4c007fff,
    0x7e401fff,0x3fffe26f,0x3099999a,0xf7555555,0x3e2157ff,0xfffcdfff,
    0x01aaa807,0x7ffffff4,0x3af20fff,0x7d405fff,0xffccffff,0x7fff41ff,
    0x5fffffbc,0xf9827fec,0x400000ff,0x7ffc5ffd,0x7ffc44ce,0xffffefff,
    0x27ff400f,0x0fffb800,0x03fff880,0x3a03ffee,0x3fe00fff,0xffffffff,
    0xffff16ff,0xffffffff,0xfffff889,0x6fffffff,0x8803ffe0,0x80003fff,
    0x9803fff8,0xff801fff,0x26ffb83f,0xff81fff9,0xffffffff,0x7fff14ff,
    0x987ffdc0,0x3e201fff,0xfff881ff,0xffff10ff,0xffffffff,0x807ffe29,
    0xfe81fff9,0x07fff14f,0x00fffcc0,0xffb9bff2,0xffffffff,0x0fff8804,
    0xffffffa8,0xfff801ff,0x7fffcc03,0x7f41ffff,0x5401ffff,0xffffceff,
    0xfffa84ff,0x5ffcefff,0xf9827fec,0x400000ff,0x7fec5ffd,0xfffa86ff,
    0x2fffffff,0x004ffe80,0x001fff70,0x5c07fff1,0x7fcc0fff,0x7fffc04f,
    0xffffffff,0xffffff16,0x89ffffff,0xfffffff8,0x300dffff,0xff880fff,
    0xf880003f,0xff9803ff,0x3fff801f,0x3e66ffb8,0xffff81ff,0xffffffff,
    0x407fff14,0xff30fffb,0x7ffc403f,0x1ffff701,0x3fffffe2,0x14ffffff,
    0x7cc03fff,0x4ffe81ff,0x4007fff1,0x6401fff9,0x3fffa6ff,0x4fffffff,
    0x00fff880,0x1bffffd3,0x00fffe00,0x33bfffa6,0x1efffd81,0xf76ffa80,
    0x74c07fff,0xffb8dfff,0x9827fec5,0x00000fff,0x3a22ffec,0xdb106fff,
    0x01bfffff,0x0013ffa0,0x4007ffdc,0x2e03fff8,0x7fec0fff,0x7fffc00f,
    0xffffffff,0xffffff16,0x89ffffff,0xfffffff8,0x7d401cee,0x7ffc406f,
    0xff880003,0xfff9803f,0x83fff801,0x3fe66ffb,0xfffff81f,0x4fffffff,
    0x5c07fff1,0xfff30fff,0x0fffc403,0x221fffd0,0xffffffff,0xff14ffff,
    0x7ffcc03f,0xf14ffe81,0x7cc007ff,0x7fe401ff,0xffffff36,0x009fffff,
    0x8801fff1,0xfff80019,0x00262003,0x00001331,0x01880022,0x4c13ff60,
    0x00000fff,0x9882ffec,0x00266000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x7e407fff,
    0x3fea1fff,0xfff1000f,0x3bddffff,0x263fff30,0x3a001fff,0x7cc00fff,
    0xffff33ff,0x3ffee03f,0xffff10ff,0xffffffff,0x3fffe21f,0x3deeffff,
    0x7ffffc40,0x701cdeff,0xffffffff,0x80bfffff,0x1007fff8,0xffffffff,
    0x551039dd,0x50155555,0x2226c5bb,0x3a002eee,0xfff506ff,0x7fff103f,
    0x3fffffe2,0x3201cdef,0xffffffff,0xff93ffff,0x21fff30b,0x500ffff8,
    0xfd80dfff,0x2aaaa03f,0xaaaaaaaa,0x33026202,0x00019980,0x004c4013,
    0x400004c0,0x4cc40009,0x20001300,0x99980009,0x0fffe200,0x217fffdc,
    0x1000fffa,0xffffffff,0xff989fff,0x03fff31f,0x017ffdc0,0x7cc3fff2,
    0xfb04ffff,0x3e21ffff,0xffffffff,0xff10ffff,0xffffffff,0x7fc40bff,
    0xffffffff,0xffffb84f,0xffffffff,0x7ffe405f,0xfff8802f,0xffffffff,
    0x7fffdc3f,0x7fc42fff,0x444fefff,0x32003fff,0xffc80fff,0xfffa83ff,
    0xffffff11,0x209fffff,0xfffffffc,0xf93fffff,0x1fff30bf,0xe82fffdc,
    0x7ec01fff,0x5000a03f,0x7dfffd70,0x3ff20ff5,0x5c03efff,0x50cffffd,
    0x807ffffd,0x0dffffdb,0x3a61bff2,0x200cffff,0xbfffffea,0x0cefffd9,
    0x7fffedc0,0x3ff6200d,0xf882efff,0xfffa83ff,0x0fffa82f,0xfffff100,
    0x9fffffff,0xf98fffcc,0x3e2001ff,0x7ffc05ff,0x3ffffe66,0xffffff06,
    0x3ffffe21,0xffffffff,0xffffff10,0xbfffffff,0x3ffffe20,0x6fffffff,
    0x7fffffdc,0x5fffffff,0x2fffffc0,0x7ffffc40,0xffffffff,0x3bbbbaa2,
    0x55fd42ee,0x7c41effc,0x3ea003ff,0xfffe82ff,0x27ffb85f,0xfffffff8,
    0xc86fffff,0xffffffff,0xff93ffff,0x81fff30b,0x7e42fffe,0xffd804ff,
    0x45000a03,0xffffffd8,0xffb81fff,0x04ffffff,0xfffffff9,0xffffffbd,
    0x3fff20bf,0xf92fffff,0xffffa8df,0xf981efff,0xffffffff,0x0effffff,
    0xffffff90,0xfff105ff,0x81ffffff,0x7d43fff8,0xff502fff,0x3fe2001f,
    0xff93313f,0x261998ff,0x6c001fff,0xff300fff,0x7fffcc7f,0x7ffcc0ff,
    0xfff10fff,0xfff88007,0x7ffdccc3,0x3fff880f,0xffff7331,0x3fff8805,
    0x7fffd400,0x7fc401ff,0xfffb883f,0x20620005,0x07fff101,0x21fffc40,
    0x87fffff8,0x3fe26ffd,0xff73313f,0xfc8005ff,0xbff90eff,0x981fff30,
    0x3fe26fff,0x7ffb006f,0xc8a00140,0xffcbefff,0x7ffc41ff,0x0fffebac,
    0x7effffe4,0xaeffffff,0x7e43fffc,0xfffecfff,0x226ffc8f,0xffcbffff,
    0xbdffe85f,0xbeffffeb,0x640effeb,0xffecffff,0x77fe40ff,0x46ffea9a,
    0x3e63fff8,0x3ea02fff,0xff1000ff,0x3fff207f,0x0fffcc01,0xfffa8031,
    0x41fff903,0x2ffefff9,0x7fff7fdc,0x007fff10,0x203fff88,0xf882fffb,
    0xfff103ff,0x3fff880f,0x7f7fec00,0x7fc404ff,0x1bff603f,0x20310000,
    0x4003fff8,0x7fd45ffe,0x7fc0ffff,0x0fffe24f,0x007fffc4,0x20ffffb8,
    0xff985ffc,0x4fffc80f,0x3103fffb,0x37ffb333,0x20014333,0xd87fff32,
    0x764c5fff,0x30fffcc5,0x7dc1bfff,0x7fd45fff,0x833ffe67,0xfa9dfffa,
    0xf11fff25,0x36e443ff,0xd03fffe2,0x7ffcc7ff,0x17ffea0c,0xbc885ffd,
    0x99fffc41,0x5403ffff,0x3fe60fff,0x7fff10ef,0x4cfffe60,0xfff31fff,
    0x1bfffd53,0x20bfff10,0x7fcc5ffe,0x7ec4ffcf,0xf10fffcf,0xf88007ff,
    0x3fe603ff,0x3fff882f,0x80bffee0,0x2003fff8,0xffcafff8,0x1fffc407,
    0xf30bffb0,0x7ff983ff,0x41bfffd5,0x4003fff8,0x7fe47ffc,0x3e63ffec,
    0x3ffe22ff,0x0bffee03,0x0bfffe60,0xff30bff9,0x3fffa01f,0xf504fffc,
    0xffffffff,0x000a1fff,0xc83fff25,0x000fffef,0x7dc5fff5,0xfffe81ff,
    0xf71fff82,0xfffb01ff,0x7ff49f31,0x004ffd84,0xf70bfff3,0x07ffdcbf,
    0xfb07ffec,0x88037bff,0xfff8bfff,0xfffa803f,0x41dfff30,0xf503fff8,
    0x3ffe65ff,0xffbfff31,0x360dffff,0x7fcc0fff,0x57ffcc2f,0x57ffc6ff,
    0xfff10fff,0xfff88007,0x41fff203,0x2203fff8,0x3e203fff,0x3ee003ff,
    0x2fff98ff,0x40fffe20,0xf982fffa,0x7ffcc1ff,0x6ffffffb,0x000fffe2,
    0x7f41fff5,0x2a5ffcaf,0x3fe20fff,0x3ffe203f,0x7fffc403,0xa86ffc83,
    0xff300fff,0x201fffff,0xfffffffa,0x050fffff,0x4bffb280,0x1fff8dfb,
    0xffffd930,0x83ffec5f,0xccccfffc,0xffb3ffec,0x2fffea0d,0x37ffe0fe,
    0x5ffecccc,0xffffb950,0xfb9999df,0x837fecff,0x3ea1fffa,0x1cffffff,
    0xfecfff88,0xfa801fff,0xeffe88ff,0x41fffc40,0xf30ffff9,0x3ffe63ff,
    0xfffebbef,0x43fffa81,0x7cc0fffc,0x30fff8ff,0x1fff3dff,0x3fffffe2,
    0x23ffffff,0xaaadfff8,0x84fffdaa,0x99bfffa9,0x204fff81,0x2003fff8,
    0x3ffa5ffe,0x3bffe205,0xfffeeeee,0x83fff304,0xbbeffff9,0xff12fffe,
    0xff88007f,0x51fff12f,0x37fe4fff,0x880fffe2,0x7f404fff,0xdff905ff,
    0x401fff50,0x02fffffc,0x3fffffea,0x50ffffff,0x7ffd2800,0x7ffc3bea,
    0x7ffffdc2,0x3fa2fffe,0xffff505f,0x7fffffff,0x7cc13ffe,0x3e22ffff,
    0xffffffff,0x7ffd46ff,0xffffffff,0x27ffffff,0xff304fff,0xffffb85f,
    0x7c44ffff,0xffffffff,0x8fffa806,0xf880fffe,0xffeeeeff,0x3fe66fff,
    0x1dfff31f,0xf81fffc4,0x2fff45ff,0x7ec7ffcc,0xf39ff72f,0x3ffe21ff,
    0xffffffff,0x3fffe23f,0xffffffff,0xfffff81f,0x7fc1ffff,0x3ffe205f,
    0x5fff3003,0x880fffe4,0xffffffff,0x3e605fff,0x7ffcc1ff,0x4fffe20e,
    0x8003fff8,0xdff74fff,0x7f43ffe2,0x1fffc44f,0xc817ffe0,0x3f206fff,
    0x0fffb87f,0x17fffe20,0x80fff600,0xffd94002,0xff30ff9c,0x6fffdc3f,
    0x6c5fff0a,0xfff906ff,0x99999999,0x541bff65,0xff884fff,0xaaaaaacf,
    0x3bffea2a,0x99dfff1b,0x6c999999,0xfff506ff,0x3fff6a03,0x3fe20fff,
    0xfffeffff,0x77ffd403,0xff101fff,0xffffffff,0x7ffcc1df,0xd07fff31,
    0x3ff207ff,0x05fff30f,0xff71fff3,0x3e6bff6b,0xffff10ff,0xffffffff,
    0x7ffffc47,0x0cefffff,0xfffffff0,0x6ffe83ff,0x00fffe20,0x3e23ffe4,
    0xfff104ff,0xffffffff,0xfff303df,0x83fff983,0xfff14ffe,0xdffb0007,
    0xffe93ff6,0x442fff8b,0x7fc03fff,0xffff706f,0x27ffe401,0x401ffff1,
    0x00fffffa,0x501ffec0,0xdff92800,0x7ffdc3ff,0xf113ffa0,0x7ffe45ff,
    0x82fffe80,0x80fffb80,0x3fe06ffd,0x3ff6004f,0x006fff85,0x3603ffee,
    0xb98107ff,0x3fe23fff,0xfff8bfff,0x3ffea00f,0xf102ffff,0xffffffff,
    0xfff9819f,0xd05fff31,0x3fe609ff,0x20fff93f,0xff98fff9,0xff31fff7,
    0x0fffe21f,0x9bfff100,0x805ffff9,0x99bfffa9,0x204fff81,0x8803fff8,
    0xffe84fff,0x39fff107,0xfff73333,0x1fff981f,0x7417ffcc,0x7fff14ff,
    0x1fff7000,0x7fe43fff,0x440fff9d,0x7fc03fff,0xffff984f,0x7fffe401,
    0x0ffffece,0xffffff10,0x3ffd800b,0x265000a0,0x3a22ffff,0x1fffc5ff,
    0xf98bffee,0x7ffdc4ff,0x877fd45f,0x2a0cfff9,0x3f202fff,0x16ffc47f,
    0xffa89ffd,0x1f7f41ff,0x5419fff3,0x3fa25fff,0x24ffe83f,0x2e4ffff8,
    0x3ea06fff,0x06ffffff,0x3337fff1,0x1fff9801,0xfd03fff3,0xb7ffc09f,
    0xff304ffe,0x3efffe1f,0x21fff36f,0x4003fff8,0x3a23fff8,0x7c403fff,
    0x3fe203ff,0x3ffe203f,0xffffa803,0xffffffff,0x03fff882,0xf30bffe6,
    0xfff983ff,0xf14ffe81,0xf30007ff,0xa8fff7ff,0x86ffbfff,0x2203fff8,
    0x7fc43fff,0xffc803ff,0xffeffffe,0xffffb00f,0x6c005fff,0x000a03ff,
    0x5efffec5,0x640ffffd,0xffc9afff,0x7ffe42ff,0xffffffce,0x4fffbbef,
    0x767fffec,0x7cc06fff,0xffdabfff,0x2fffee0e,0xffffffb9,0x41fffdbc,
    0xfecffffd,0x7fe40fff,0xfffca9bf,0x213ffe22,0xf503fffe,0x7fff7fff,
    0x007fff10,0xf31fff98,0x9ffd03ff,0x7d7ffe40,0xfff301ff,0x3fffff61,
    0x221fff34,0x44003fff,0x7fc43fff,0x3fe202ff,0x3ffea03f,0x0fffe202,
    0x3fffffa0,0x5fffffff,0x403fff88,0x7fcc5fff,0x0fffcc1f,0xff8a7ff4,
    0xfff0003f,0xfff0bfff,0xff109ffd,0x7ffd407f,0x027fff42,0xffadffc8,
    0xa80fff9e,0xfff9efff,0x3995000f,0xd8a00140,0xffffffff,0xffff982f,
    0x44ffefff,0xffffffd8,0xfffffdef,0xfffb06ff,0x003fffff,0xfffffff5,
    0xffff883f,0xfffdffff,0xb03fffff,0xffffffff,0x3ffffa03,0x7c44ffff,
    0xfff983ff,0x3fffa80f,0xf881fff7,0x7cc003ff,0x3fff31ff,0x4c09ffd0,
    0x06ffffff,0x7dc3ffe6,0xff32ffff,0x0fffe21f,0x07fff100,0x201ffff5,
    0xd103fff8,0x7c401fff,0x7fcc03ff,0xffffffff,0x7c41ffff,0x3fe203ff,
    0x0fffcc5f,0x3a07ffe6,0x7fff14ff,0x3fff6000,0xfffd83ff,0xfff882ff,
    0x83fffa03,0x2006fffd,0x00315ffc,0x647fffe2,0x99885fff,0x99999999,
    0x25000a19,0xfffdadfb,0x3f6a00df,0x6ffb8dff,0x9ffffd70,0x5f7fff4c,
    0x3fff6e00,0x366000cf,0x501cefff,0x219ffffd,0x2dffffd8,0x7fffedc0,
    0x3ff2200d,0xf882efff,0xfffb03ff,0x41fff50b,0x7fc44fff,0x7fcc003f,
    0x03fff31f,0xfe809ffd,0x2603ffff,0xfff30fff,0x3ffe61ff,0x007fff10,
    0xb03fff88,0x3e20bfff,0x7f4cc3ff,0x7fc403ff,0x7ffe403f,0x13ffe600,
    0x2607fff1,0x7cc3fffe,0x7ffcc1ff,0xf14ffe81,0x2e0007ff,0xb81fffff,
    0x880fffff,0x74c43fff,0x3fee2fff,0x3f2000ff,0xffd8005f,0x17fff44f,
    0x3fffffea,0x50ffffff,0x81912800,0x00c40009,0x98013100,0x00098000,
    0x22000980,0x000c4009,0x98800098,0x3ffe2009,0x5ffff103,0x2a0fffa8,
    0x3fe21fff,0x7fcc003f,0x03fff31f,0xfb809ffd,0x2600ffff,0x3ffe0fff,
    0x43ffe66f,0xfffffff8,0x13ffffff,0x3e207fff,0xff882fff,0xffffffff,
    0xff8806ff,0x2fffc03f,0x223fff40,0xffffffff,0x40efffff,0x7cc1fff9,
    0x4ffe81ff,0xfffffff1,0x309fffff,0x260fffff,0xf107ffff,0xffffffff,
    0xffd8bfff,0xffffffff,0xbff96fff,0x6fffa800,0x20ffff98,0xfffffffa,
    0x590fffff,0x55555555,0x00000755,0x00000000,0x00000000,0x00000000,
    0xf8800000,0x3fee03ff,0x3ffea0ff,0xf137ff40,0xf98007ff,0x3fff31ff,
    0x8809ffd0,0x4c06ffff,0x3ff60fff,0x43ffe64f,0xfffffff8,0x13ffffff,
    0x7d407fff,0x7fc40fff,0xffffffff,0xff8800df,0x3ffea03f,0x2fffb802,
    0x3fffffe2,0x1fffffff,0x4c1fff98,0xffe81fff,0xffffff14,0x09ffffff,
    0xf817fffe,0xff105fff,0xffffffff,0xfffd81bf,0xffffffff,0x0bff96ff,
    0x17fffc40,0x2a5fffc8,0xffffffff,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff1000,0x25fffe80,0x7cc0fffa,0x7fff12ff,
    0x1fff9800,0xfd03fff3,0xfffb009f,0x0fff9807,0xf98bffee,0xffff10ff,
    0xffffffff,0x0fffe27f,0x889fffb0,0xefffffff,0x3e2001ce,0x3ff603ff,
    0xbfff1007,0x7fffffc4,0x00bdffff,0xf983fff3,0x4ffe81ff,0xfffffff1,
    0x209fffff,0x3603fffe,0xff103fff,0x9ddfffff,0x3ffff603,0xffffffff,
    0x00bff96f,0x102fffe4,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x55400098,0x0130001a,0x06200062,0xff981100,0x43ffe80f,0x00540800,
    0x407ffcc0,0xfff9bffe,0x00026600,0xfff88cc0,0x4fffffff,0xf11bffe6,
    0x7ffccdff,0xff09ffb1,0x05fff09f,0x26019000,0xffc80002,0x27fff106,
    0xfff36ffb,0x077ffcc1,0x04001330,0x33000620,0x33333333,0x01310133,
    0x26660260,0x99999999,0x51013009,0x7ec02055,0x7cfff95f,0x56ee44ff,
    0x30002200,0x4cccc133,0x13331099,0x260bbb88,0x99999999,0x2e219999,
    0x443330bb,0x3ff22099,0xfd004fff,0xaffdc09f,0xd11efffc,0x7cc1bfff,
    0xbfffd57f,0x7477fd41,0x3ffe65ff,0x263ffe80,0x2e13312f,0x0073fa0e,
    0xe80fff98,0x0fff9bff,0x000dff30,0xff13fea8,0xffffffff,0x23fffc89,
    0x3e61fffd,0x8dff51ff,0x7d46fff9,0x64bfea7f,0x1dfb00ff,0xf502ff98,
    0x4c7fee7f,0xffb81fff,0x26dff70f,0xfff10fff,0x7ffd401d,0x37ff2600,
    0x64c7fa83,0x3ffe1dff,0xffffffff,0x205f984f,0x22efffd8,0xffffffff,
    0x3624ffff,0x3e60dfff,0x3ff260ff,0x65bffa0c,0x93ffe7ff,0x444febc8,
    0x40befffd,0x43ffea59,0x3ffffff8,0xff117ff6,0x3fffe23f,0xffffffff,
    0x47ffe27f,0x47ff27fe,0xfffffff9,0x4ffe804f,0x3fbbfee0,0xffbfffff,
    0x3e66ffff,0xfffffbff,0x3bbfea6f,0x3fe64fff,0x13ffe80f,0xffffbfff,
    0x3fa1dffb,0xf9802dff,0xbffe80ff,0xf300fff9,0xf71000df,0x3ba27fff,
    0xffffeeee,0xa8fffe83,0x7fcc3fff,0x41fff11f,0x320ffffb,0x47ff45ff,
    0xffa86ff8,0xffff30ef,0x3e6dff10,0x427ff44f,0x3fee4ffe,0xd11fff36,
    0xfe801fff,0x3bfa03ff,0xff911ffd,0x6fddfe8f,0x3ffffffe,0x464fffff,
    0xffb024f9,0x3fe1ffdb,0xffffffff,0x3fffa4ff,0x3ffe66ff,0xffffff10,
    0xffcb7ff4,0x5413ffe7,0x3fffa27f,0xfeceffff,0xf887ff65,0x6c3fffff,
    0x3ffe20ff,0xffffff11,0xffffffff,0xfe8fffc4,0x7f47ff27,0xfffdbeff,
    0x027ff401,0x95bffff7,0xd79fffff,0x3fe65fff,0xffebbeff,0xfffff52f,
    0x7ffcc5fd,0x363ffe80,0xffffffff,0x3fff64ff,0xf300beff,0x7ffd01ff,
    0x7cc0fd51,0x3f26006f,0x402fffff,0xf305fffc,0x0bfffdff,0x7ec3fff3,
    0x3ffff63f,0xf30bffa2,0x20ffeebf,0xffaefffc,0x1ffd81ff,0xffb81ffd,
    0x30fffcc7,0x3ffe6555,0x401fffe9,0x307ffff9,0xfea7ecfd,0xf97227ff,
    0xffffff1f,0x29ffffff,0xeacfadf9,0xff98e545,0xfffffff1,0x2a9fffff,
    0x27ff73ff,0x9f70fff9,0x5ffd97ec,0x7ffcfff7,0x9fd75733,0x7fffffc4,
    0x35ffffff,0xfff885ff,0x7f443fff,0x007ffe24,0x1fff8800,0x46edcbb9,
    0x7ec2fffa,0xf700006f,0xfffe89ff,0xf99fffc3,0x3fe20eff,0x1ffff53f,
    0x01fff302,0xfff87ffd,0x86fffeef,0xffffffd9,0x07ffcc0c,0x0dd1fff4,
    0x54037fcc,0xcffffffe,0x37ffdc00,0x3ffffee0,0x1fff980f,0xfff97fee,
    0x1fff34ff,0x3fa5ffb0,0xffffc81f,0xffa81fff,0xf107ff95,0x37fe45ff,
    0x7f7ffcc0,0xffd801ff,0xf8803ffe,0x0ff35b3f,0x90017fae,0x3ffee9ff,
    0x440fffff,0x001fffdb,0xff07fdc0,0x87fa7d8b,0x29ff95f9,0x3ffa6ffa,
    0x15bfff72,0xeca857c4,0x531effff,0x26666603,0x002a8809,0x80000000,
    0x0a886ffc,0x55555544,0x2e2aaaaa,0x7fec1fff,0xf34ffe87,0x9ffd07ff,
    0x980fffea,0xffe80fff,0xa87ffe63,0xd7100fff,0x23bfffff,0xfe80fff9,
    0x2a3fc8bf,0xafffcaaa,0xfff71aaa,0x2005bfff,0x800efffa,0x302ffffd,
    0x7fc43fff,0xdff9ff37,0x7c417fee,0x06ffa8ff,0x03fffff9,0xff51fff1,
    0xf2ffe40d,0xff3007ff,0x805fffff,0x6ffaeff9,0x4c37f4c0,0x1bffd07f,
    0x127fe400,0x9039ffd3,0x03ffbfff,0x747fc800,0xfc97e25f,0x7fd4fee2,
    0x7e4bff13,0x0110041f,0x0000ddcc,0x00000000,0xffe80000,0x3ffea004,
    0xffffffff,0x81fff70f,0xffd87ffc,0xd05fff34,0x3ffea9ff,0x03ffe601,
    0xffa8fffa,0x801ffe85,0x33ffffc9,0xffd01fff,0xfff87ffd,0xffffffff,
    0x7dfffd4f,0x7ffcc001,0xfff5000f,0x3ffe601f,0x7e4fff41,0xfd8ffd9f,
    0x57ff602f,0xff983ffe,0xffc80eff,0x4c07ffd5,0xfffa8fff,0xffff9800,
    0x3600ffff,0x05ffd3ff,0x2603bfe6,0x13fa207f,0x5c4ffc80,0x7d40efef,
    0x363ff52f,0xeeeeeeee,0x1ff73eee,0x7fcd3fe2,0x3f73fe21,0x5c17710f,
    0x000ee61b,0x00000000,0x00000000,0x13ffe000,0xfffffa80,0x0fffffff,
    0xff90fff7,0x269ffb0d,0xffe81fff,0x401fff54,0xff81fff9,0x213fee3f,
    0xd5001ffd,0x3fe67fff,0x2efff81f,0xfffffff0,0x3a9fffff,0x2001cfff,
    0x001ffff8,0x0dffffd1,0xf707ffe6,0x3eeffd9f,0x100fffaf,0xfff33fff,
    0xfffff981,0x7ffc40ef,0x7406ffa8,0x04ffcbff,0xf7ffff30,0x3fe209ff,
    0x50dff70f,0x3fcc09ff,0x02fe4bb3,0x7dc9ff90,0x7d45fd8f,0xf1ffd89f,
    0xffffffff,0x3fe69fff,0xb12ffc9d,0x7dfff701,0x99980000,0x99999999,
    0x00000199,0x00000000,0x7ff40000,0x3bbaa005,0xeeeeeeee,0x90fff70e,
    0x9ffb0dff,0x3a07ffe6,0x1fff54ff,0x40fffcc0,0x3fe63fff,0x03ffe60f,
    0xfffffc98,0x03fff32f,0x76c07fff,0xeefffeee,0xffff93ee,0x744017df,
    0x36002fff,0x83ffffff,0x7cc1fff9,0xff35ffef,0x7e40bffd,0x985ffb3f,
    0xfffdffff,0xcaffdc0e,0x3fee03ff,0x3001fffe,0x3fee7fff,0x25ffc80f,
    0x3e21fff8,0x4c4eeeff,0x7e6ff47f,0x3ff2001f,0x1fc4fa24,0x3fffffe2,
    0xffffff2f,0x49ffffff,0x05fffffc,0x00001540,0x7fffffc4,0x7fffffff,
    0x00000000,0x00000000,0x4c37fe40,0x80000cde,0xffc87ffb,0xf34ffd86,
    0x9ffd03ff,0xf003ffea,0xfffb87ff,0x667fffc3,0xfd506fff,0x817dffff,
    0x7fdc3fff,0x3fe6003f,0x7ffe4c06,0xfe81dfff,0x3ea003ff,0x1fffebff,
    0x740fffcc,0x3fe3ffff,0xff103fff,0xf313fead,0x3ff23fff,0x4ffec0ef,
    0xf100ffe8,0x260dffff,0x1fff32aa,0x3e22fff4,0x2ffec2ff,0xbffffff7,
    0x7ecc7f98,0x54c003df,0xb930001a,0x2aa59717,0xaaaaaaaa,0x776d41aa,
    0x00000003,0x3ffffe20,0xffffffff,0x00000007,0x00000000,0x1fffd400,
    0xdb01fff6,0x3ffdc07d,0x7ec37fe4,0x03fff34f,0x3fea9ffd,0x7fff400f,
    0x3ffffdab,0x3fffffee,0x3f22ffff,0x02dfffff,0x36affffa,0x2003ffff,
    0x71006ff9,0x3dffffff,0x3fffffee,0x7c47ffff,0xdfff16ff,0xc81fff98,
    0x3f61ffff,0xffb00fff,0x3a21bfa1,0x27fe41ff,0xff9b7fc4,0x3ffff204,
    0x26dff703,0x3fea0fff,0x2133261f,0x26624cc9,0x19809999,0x00000110,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3b3ffffa,
    0x7f403fff,0x1ffee04f,0x3f61bff2,0x03fff34f,0x3fea9ffd,0x7ffdc00f,
    0x3ffddfff,0xfffffff1,0x3a1fffff,0x801cffff,0xdffffffb,0x26003ffd,
    0xea8006ff,0xff93ffff,0xffffffff,0x21fffd8f,0x3e64fffb,0xfff981ff,
    0x837ffd47,0x3ff73ffa,0x26407a20,0x3f25ff50,0xffff300f,0x4dbfee01,
    0x7ff40fff,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xfffffff9,0x4ffe805f,0x321ffee0,0x4ffd86ff,
    0xfd03fff3,0x03ffea9f,0x53fffae0,0x53e63ffc,0x43fb1ab9,0x4000bffe,
    0xf94ffffb,0x7fcc007f,0x3f260006,0xfffff93f,0x5cffffff,0xffe83fff,
    0x03fff32f,0xff117ffe,0x8866207f,0x40000009,0x80266099,0x3ee05ffe,
    0x81fff36f,0x0003fff9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff22000,0xdb003fff,0x3ffdc07d,0x7ec37fe4,
    0x03fff34f,0x3fea9ffd,0x0022000f,0x16418008,0x00044000,0x002aa880,
    0x0002c880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x04c40000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_28_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,1,0,0,0,1,1,1,1,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,0,-1,1,1,0,1,0,1,0,1,0,1,0,1,1,
1,1,1,1,1,1,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-2,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,-1,-1,1,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_28_latin_ext_y[560]={ 22,4,4,3,2,3,3,4,3,3,3,6,18,13,
18,3,3,3,3,3,3,4,3,4,3,3,9,9,6,8,6,3,3,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,4,3,4,3,24,3,8,4,8,4,8,3,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,9,9,9,9,9,9,3,3,3,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,4,3,6,4,
3,3,3,3,3,9,8,13,3,0,3,5,3,3,3,9,4,11,22,3,3,9,3,3,3,9,-1,-1,-1,-1,
0,0,4,3,-1,-1,-1,0,-1,-1,-1,0,4,-1,-1,-1,-1,-1,0,7,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,4,4,3,3,3,4,3,6,8,3,3,3,3,3,4,3,
0,4,-1,3,4,8,-1,3,-2,3,-1,3,-1,3,-1,4,4,4,0,4,-2,3,-1,3,4,8,-1,3,-2,3,
-1,3,-1,3,3,1,-2,-1,4,4,-1,4,0,4,-2,3,4,4,-1,9,4,4,-2,3,4,4,9,-1,-1,4,
4,4,4,4,4,4,4,-1,3,4,8,-1,3,4,3,8,0,4,-2,3,-1,3,3,8,-1,3,4,8,-1,3,
-1,3,-2,3,3,8,-1,3,4,4,-1,4,4,4,-1,4,0,4,-2,3,-2,3,-1,3,4,9,-2,3,-2,3,
0,-1,3,-1,3,-1,3,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,3,6,6,3,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,8,6,6,6,6,6,6,6,6,6,6,6,6,6,4,9,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,3,-1,3,-1,
3,-1,3,-1,-1,-1,-1,-1,-1,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-2,-2,3,-2,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_bold_28_latin_ext_w[560]={ 0,4,10,14,13,21,17,4,7,8,10,13,5,8,
5,8,12,9,13,13,14,13,13,12,12,13,4,4,13,13,13,14,25,19,16,16,16,15,14,17,16,5,12,18,
14,19,16,18,15,19,17,16,15,16,18,24,17,18,15,7,8,7,13,16,7,14,14,13,13,14,10,13,13,5,
8,13,5,20,13,14,14,13,10,13,9,13,14,20,14,14,13,10,3,9,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,13,14,14,14,
3,14,9,20,9,12,13,8,20,16,8,14,8,8,6,13,15,5,8,6,9,12,20,20,21,14,19,19,19,19,
19,19,26,16,15,15,15,15,7,6,9,9,18,16,18,18,18,18,18,13,19,16,16,16,16,18,15,14,14,14,
14,14,14,14,21,13,14,14,14,14,7,7,9,9,14,13,14,14,14,14,14,14,14,13,13,13,13,14,14,14,
19,14,19,14,20,15,16,13,16,13,16,13,16,13,16,19,18,15,15,14,15,14,15,14,15,14,15,14,17,13,
17,13,17,13,17,13,16,13,18,14,9,9,9,9,9,9,6,6,5,5,17,11,15,10,18,13,13,14,7,14,
8,14,9,14,10,15,7,16,13,16,13,16,13,17,16,13,18,14,18,14,18,14,25,22,17,10,17,11,17,11,
16,13,16,13,16,13,16,13,15,9,15,13,15,9,16,13,16,13,16,13,16,13,16,13,16,15,24,20,18,14,
18,15,13,15,13,15,13,8,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,15,13,13,13,
13,13,13,13,13,13,13,13,13,13,21,17,13,13,13,13,13,13,13,13,13,13,13,13,13,20,18,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,19,14,9,9,18,
14,16,13,16,13,16,13,16,13,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,19,14,26,21,19,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_bold_28_latin_ext_h[560]={ 0,18,7,20,23,20,20,7,25,25,10,14,9,5,
4,20,20,19,19,20,19,19,20,18,20,20,13,18,14,10,14,19,25,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,21,18,20,18,19,18,18,18,18,18,24,20,24,11,3,5,15,19,15,19,15,19,20,18,18,
24,18,18,14,14,15,19,19,14,15,19,14,13,13,13,19,13,25,25,25,6,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,20,14,18,
25,25,4,20,10,13,10,5,20,4,9,17,11,11,5,18,23,4,6,11,10,13,20,20,20,19,23,23,23,23,
22,22,18,25,23,23,23,22,23,23,23,22,18,23,24,24,24,24,23,13,21,24,24,24,23,23,18,20,20,20,
20,19,20,20,15,20,20,20,20,20,19,19,19,19,19,18,20,20,20,19,20,14,15,20,20,20,20,25,23,25,
22,19,23,20,24,20,24,20,25,20,24,20,24,20,23,19,18,19,22,19,24,20,23,20,24,20,23,20,25,25,
24,25,24,25,25,27,24,23,18,18,23,18,22,18,24,19,24,24,23,13,19,24,25,25,24,24,13,23,23,24,
24,18,18,18,18,18,18,23,19,24,20,23,19,18,20,20,23,19,25,20,24,20,20,15,23,19,24,20,23,19,
24,20,25,20,25,20,24,20,26,26,23,19,18,19,24,19,23,19,25,20,25,20,24,20,24,19,24,19,24,25,
22,23,19,23,19,23,19,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,16,16,25,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,15,16,16,16,16,16,16,16,16,16,16,16,16,16,19,14,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,23,20,23,19,24,
20,24,20,24,24,24,24,24,24,24,24,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,26,25,24,20,26,20,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__arial_bold_28_latin_ext_s[560]={ 470,507,414,61,261,263,126,409,354,381,349,
138,394,456,473,357,366,1,11,379,25,40,408,307,211,76,277,507,152,370,105,
54,428,178,198,180,279,109,489,448,404,506,69,1,239,89,432,161,34,451,125,
144,162,176,70,254,326,208,296,423,1,379,296,425,465,388,97,1,112,444,126,
113,56,50,318,20,504,30,51,481,137,152,65,496,166,76,262,201,180,82,166,
81,107,418,434,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,470,506,275,
1,90,193,111,259,502,16,360,249,335,456,59,479,400,344,310,326,449,312,101,
496,425,319,384,222,466,487,37,371,173,117,49,273,381,421,246,390,419,451,384,
349,376,293,333,320,288,289,265,85,431,387,203,235,471,362,284,156,467,242,320,
374,359,344,329,472,300,285,459,249,234,219,204,189,204,396,386,497,131,225,69,
54,39,212,10,15,373,478,464,450,436,197,17,227,401,146,143,342,450,312,471,
283,274,252,488,224,50,197,32,80,143,100,365,116,121,98,1,31,327,1,85,
297,291,309,32,323,202,148,162,1,248,306,227,474,163,352,441,215,192,227,173,
505,137,195,237,180,454,407,137,18,282,492,484,233,503,273,464,449,421,388,380,
343,161,104,84,300,175,362,266,90,400,189,362,46,343,16,149,403,255,404,67,
404,220,415,1,238,242,328,180,492,406,25,15,71,435,458,336,487,301,255,238,
269,337,416,131,315,168,175,124,283,85,299,49,212,330,317,320,360,334,69,348,
362,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,430,359,359,115,
359,359,359,359,359,359,359,359,359,359,359,359,359,104,426,359,359,359,359,359,
359,359,359,359,359,359,359,359,427,119,359,359,359,359,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,222,491,
193,448,470,393,1,422,18,35,68,489,185,202,216,110,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,
359,359,359,51,92,141,127,31,389,359,359,359,359,359,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359, };
static unsigned short stb__arial_bold_28_latin_ext_t[560]={ 26,54,205,103,79,124,103,205,1,1,205,
205,205,205,205,103,103,166,166,103,166,166,103,166,103,103,205,145,205,205,205,
166,1,186,186,103,186,186,166,124,166,103,166,186,186,186,166,103,186,79,186,
103,186,166,186,186,186,166,186,29,124,29,205,212,205,186,166,205,166,186,166,
124,186,186,29,186,166,205,205,186,166,166,205,186,166,205,205,205,205,166,205,
1,1,1,205,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,26,79,79,
145,205,166,1,1,205,145,205,205,205,205,145,205,205,186,205,205,205,186,79,
205,205,205,205,205,124,124,145,145,79,79,79,54,79,79,166,1,54,54,54,
79,54,54,54,79,166,79,29,54,29,29,79,205,79,29,29,54,54,79,166,
124,124,124,124,145,124,124,186,124,124,124,124,124,145,145,145,145,145,186,124,
124,124,145,124,205,186,103,103,103,103,1,79,1,79,145,79,103,29,103,29,
103,1,103,29,103,54,103,79,145,186,145,79,145,54,124,79,103,29,103,79,
103,1,1,54,1,54,1,1,1,29,79,166,166,79,166,79,186,54,145,54,
29,79,205,145,54,1,1,54,54,205,54,54,29,1,166,166,166,166,166,166,
54,145,54,124,54,145,166,103,103,54,145,1,103,29,103,124,186,54,145,54,
124,54,145,54,103,1,103,1,103,29,124,1,1,54,145,166,145,29,145,54,
145,1,124,1,124,29,124,29,145,29,145,29,1,79,54,145,54,145,79,145,
145,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,124,186,186,1,
186,186,186,186,186,186,186,186,186,186,186,186,186,103,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,145,205,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,79,79,
79,145,1,103,29,103,29,29,29,1,29,29,29,29,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,1,1,29,124,1,124,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186, };
static unsigned short stb__arial_bold_28_latin_ext_a[560]={ 111,134,190,223,223,357,290,95,
134,134,156,234,111,134,111,111,223,223,223,223,223,223,223,223,
223,223,134,134,234,234,234,245,391,290,290,290,290,267,245,312,
290,111,223,290,245,334,290,312,267,312,290,267,245,290,267,378,
267,267,245,134,111,134,234,223,134,223,245,223,245,223,134,245,
245,111,111,223,111,357,245,245,245,245,156,223,134,245,223,312,
223,223,201,156,112,156,234,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,111,134,223,223,223,223,112,223,
134,295,148,223,234,134,295,221,160,220,134,134,134,231,223,111,
134,134,146,223,334,334,334,245,290,290,290,290,290,290,401,290,
267,267,267,267,111,111,111,111,290,290,312,312,312,312,312,234,
312,290,290,290,290,267,267,245,223,223,223,223,223,223,357,223,
223,223,223,223,111,111,111,111,245,245,245,245,245,245,245,220,
245,245,245,245,245,223,245,223,290,223,290,223,290,223,290,223,
290,223,290,223,290,223,290,288,290,245,267,223,267,223,267,223,
267,223,267,223,312,245,312,245,312,245,312,245,290,245,290,245,
111,111,111,111,111,111,111,111,111,111,315,223,223,111,290,223,
223,245,111,245,111,245,154,245,192,245,111,290,245,290,245,290,
245,284,290,245,312,245,312,245,312,245,401,378,290,156,290,156,
290,156,267,223,267,223,267,223,267,223,245,134,245,192,245,134,
290,245,290,245,290,245,290,245,290,245,290,245,378,312,267,223,
267,245,201,245,201,245,201,111,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,291,301,301,223,301,301,301,301,301,
301,301,301,301,301,301,301,301,342,285,301,301,301,301,301,301,
301,301,301,301,301,301,301,333,290,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,290,223,111,111,312,245,290,245,290,245,290,
245,290,245,290,245,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,290,223,401,357,312,245,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_28_latin_ext(stb_fontchar font[STB_FONT_arial_bold_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_28_latin_ext_s[i] + stb__arial_bold_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_28_latin_ext_t[i] + stb__arial_bold_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_28_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_28_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_28_latin_ext_x[i] + stb__arial_bold_28_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_28_latin_ext_y[i] + stb__arial_bold_28_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_28_latin_ext_s[i] + stb__arial_bold_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_28_latin_ext_t[i] + stb__arial_bold_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_28_latin_ext_x[i] + stb__arial_bold_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_28_latin_ext_y[i] + stb__arial_bold_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_28_latin_ext_LINE_SPACING
#endif

