// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT        256
#define STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_30_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_30_latin_ext_LINE_SPACING          19

static unsigned int stb__arial_bold_30_latin_ext_pixels[]={
    0x33333331,0x13333333,0xb0000300,0x00003fff,0x20017bb6,0x776c0038,
    0x01998805,0x00033100,0x09988266,0x33109880,0x06662000,0x800ccc00,
    0x99999999,0x99998800,0xdd300019,0x3310009d,0x3300ccc1,0x00998813,
    0x01330662,0x98006654,0x32a00199,0x03ba9804,0x00002666,0x00006662,
    0x4c03332e,0x00000099,0x90135751,0x0f326199,0x0000ab26,0x19995000,
    0x54266600,0x2fbba0cc,0xfffffffa,0x6fffffff,0x0007fa20,0x001fff88,
    0x01fff500,0x2005fb80,0x9800fffa,0x98003fff,0xfd8005fe,0x001ffd1f,
    0x07fd3ff5,0x09fff100,0x005ff900,0x3ffffffe,0xfffe802f,0xfd0007ff,
    0x98005fff,0x09ff75ff,0x3fa27ffc,0x4ffee06f,0x3f602ffd,0xfffa801f,
    0x813fe003,0x205fffd8,0x0000fffc,0x001ffff4,0x207fff30,0x0003fff8,
    0xfffffc80,0xf50fff86,0xffff50df,0x03640005,0x027fffcc,0xfd9fffc4,
    0x2b3ffe1f,0xffffffff,0x06ffffff,0x800037fa,0x00002ffc,0xd0007ffa,
    0x7f400bff,0x3fea001f,0x7fb10007,0xceff8800,0x3ee003ff,0xf90003ff,
    0xdf5000bf,0x7fffc001,0xa802ffff,0x002aaaaa,0xffebffc8,0x67fdc000,
    0x7ffc06ff,0x2037ff44,0x04ffcffd,0x6c00ffec,0x3ee003ff,0x3fff601f,
    0x27fec05f,0xffff7000,0x3f20003f,0x3ffe203f,0x7dc00003,0xf84fffff,
    0x0dff50ff,0x01fffff5,0x3a01ba00,0x402ffdff,0xffb3fff8,0x7d67ffc3,
    0xffffffff,0x306fffff,0xf88000df,0x2600002f,0xfe8001ff,0x3ff3005f,
    0x07ff5000,0x97334b80,0x7fffd400,0x2672e005,0x7c4004b9,0x465c005f,
    0x26600971,0x00999999,0x0025c4b8,0x7fcd3fe6,0xfffd8005,0x27ffc01f,
    0xf101bffa,0xfb00dfff,0x4ff9803f,0x81bfe200,0x03dffff8,0x8000ffd8,
    0x6ff8dff9,0x04ff8800,0x001fffc4,0x37fff600,0x0ccc82ec,0xd9307993,
    0x30007fff,0xaffc807f,0x2200ffe8,0x3ffb3fff,0xfb016664,0x7d4001ff,
    0x910002ff,0x0000019f,0x17ffa000,0x5c000100,0x23f4005e,0x665c007e,
    0xd1fa000c,0x05ea800f,0x03f47e80,0x8fd00000,0x0000007e,0x02ccc880,
    0x4c409998,0xccc98009,0x01ffd801,0x32001e54,0x3fe603ff,0x0e64001f,
    0x98665c00,0x544001cc,0x3fff8802,0x7ffc0000,0xe8000006,0xfb8003ff,
    0x51155401,0x09998035,0x4ccc3ffb,0x03fff600,0x02fffb80,0x09d7d900,
    0x2aea6000,0xf9074c09,0x03ffffff,0x4006fecc,0x332a4cc8,0x2a899982,
    0x40ccc554,0x332a4cc8,0x2a899982,0x40ccc554,0x332a4cc8,0x2a899982,
    0x40ccc554,0x332a4cc8,0x2a899982,0x00ccc554,0x01abb988,0x44009998,
    0x00000199,0x2006aea6,0x26661ffd,0x20ccc400,0x2600fff8,0x99980fff,
    0x00ccc400,0x001aba98,0xfff88000,0xf10000c3,0x000009ff,0x4009ffb0,
    0x22007e99,0xffb00000,0x817ffe23,0x2000fffd,0x0000aaa8,0x8001ea7f,
    0xffffffd8,0x26ff99df,0xfffffffc,0x17abb601,0xfc9ffe60,0x06fff84f,
    0x260fffe4,0x13ff27ff,0xf901bffe,0x7ff983ff,0x3fe13ff2,0x7ffe406f,
    0xf93ffcc1,0x0dfff09f,0x101fffc8,0xffffffd9,0x37ffc07f,0xf87fff20,
    0x37ff44ff,0xfffffd98,0xffb00dff,0x2037ffc3,0x3ea1fffc,0x3ffd406f,
    0x6406fff8,0xfb301fff,0x1bffffff,0x407fff20,0xff12fffb,0xdfffb17f,
    0x3fffe003,0x320fffff,0xff701fff,0x0bffb05f,0xeffffea8,0x77ffe401,
    0xf109ffb3,0x47ff67ff,0x3605fff8,0x44000fff,0x57640000,0xff70005e,
    0xffffffff,0x7e43ffff,0x01ffffff,0x4c03dcbe,0x13ff27ff,0xf901bffe,
    0x7ff983ff,0x3fe13ff2,0x7ffe406f,0xf93ffcc1,0x0dfff09f,0x4c1fffc8,
    0x13ff27ff,0xf901bffe,0xfff503ff,0xffffffff,0x0dfff01d,0x3e1fffc8,
    0x37ff44ff,0x7fffffdc,0xd82fffff,0x1bffe1ff,0x643fff90,0x7fd404ff,
    0x80dfff07,0xfb81fffc,0xffffffff,0xfff982ff,0x44fffb04,0xffffdfff,
    0x7c403fff,0x6fffffff,0xd827ffcc,0xbffb07ff,0x7ffffec0,0xfe883fff,
    0xfdcfffff,0x3fff884f,0x3fe23ffb,0x3fff605f,0xdfff9000,0x2013ff67,
    0x8006fffd,0xeffffffc,0x2fffffff,0x200bffd0,0x8804ebec,0x0b32a4cc,
    0xf901bffe,0x4cc883ff,0x3fe0b32a,0x7ffe406f,0x95266441,0x0dfff059,
    0x441fffc8,0x0b32a4cc,0xf901bffe,0xfffa83ff,0xffffefff,0x6fff86ff,
    0xf0fffe40,0x6ffe89ff,0x7fffffdc,0x3ffffffe,0xfff0ffec,0x1fffc80d,
    0xf500fff6,0x1bffe0ff,0xb83fff90,0xfeffffff,0xe83fffff,0xfff886ff,
    0x3ffffe24,0x0fffffdf,0x3fffba60,0xffe84eef,0x04fff886,0x3f20bff9,
    0xffffefff,0x7fffec0f,0x4fffffed,0xfb3fff88,0x17ffe23f,0x400fffd8,
    0xffffffe8,0x4404ffdc,0x001fffff,0x837fffe2,0x1ffffdb8,0x200bffd0,
    0x0000cec8,0x01bffe00,0x0003fff9,0x901bffe0,0x00003fff,0xf901bffe,
    0x200003ff,0x7e406fff,0x3ffe21ff,0x7fe4c1ef,0x37ffc2ff,0xf87fff20,
    0x37ff44ff,0x81bffff3,0x20ffffd8,0x3ffe1ffd,0x0fffe406,0xfc805fff,
    0x0dfff06f,0x261fffc8,0x440dffff,0x5c0ffffd,0x7fd41fff,0x3fffe21f,
    0xbfff710c,0x01bffa00,0xfa83fff7,0xfff701ff,0x23dfff10,0x265fffef,
    0x3aa1efff,0xff884fff,0x223ffb3f,0x3f605fff,0x7fec00ff,0xffffddff,
    0x7ffe404f,0x3f6004ff,0x3ff604ff,0xbffd05ff,0x0000cc00,0x037ffc00,
    0x0007fff2,0x2037ffc0,0x0001fffc,0xc80dfff0,0x00001fff,0xfc80dfff,
    0x3fff21ff,0x2fffec05,0xf901bffe,0x27ffc3ff,0xffe9bffa,0x7ffe404f,
    0xff87ff65,0x7ffe406f,0x403fff11,0xff04fff8,0xfffc80df,0x013fffa1,
    0xf88bfff9,0x37fec4ff,0x203fffe2,0xff007ffe,0xfff880bf,0x1037fec4,
    0xffb87fff,0x7995f51f,0x41fffe43,0xf884fffa,0x21dd93ff,0x3605fff8,
    0x3e600fff,0x3fa21eff,0x7ffc04ff,0x9800ffff,0xf900ffff,0xd01fffff,
    0xfda80bff,0x881defff,0xff883fff,0x01bffe3f,0x3e23fff9,0xfff883ff,
    0x901bffe3,0x3fe23fff,0x3fff883f,0xf901bffe,0x3ffe23ff,0x23fff883,
    0x7e406fff,0x3fffe1ff,0x0d66c400,0xf901bffe,0x27ffc3ff,0x7fc5bffa,
    0x7fc400ff,0x43ffb1ff,0x7e406fff,0x1fff51ff,0x1ffff910,0x901bffe0,
    0x3fe23fff,0x7fc400ff,0x37fec1ff,0xf887fff1,0xfff706ff,0x3fff8803,
    0x226ffd80,0x7ec03fff,0xfff92eff,0xffb007e4,0x9fff103f,0x407fff10,
    0x3605fff8,0x3f200fff,0xfffb83ff,0x37ffea04,0xfa803fff,0xbff704ff,
    0xfd05fff9,0x7ffcc0bf,0x42ffffff,0xf883fff8,0x1bffe3ff,0x223fff90,
    0xff883fff,0x01bffe3f,0x3e23fff9,0xfff883ff,0x901bffe3,0x3fe23fff,
    0x3fff883f,0xf901bffe,0x3ffea3ff,0xfff80004,0x0fffe406,0xffe89fff,
    0x009fff36,0x7ecbfff2,0x01bffe1f,0x3ee3fff9,0xffff307f,0x037ffc05,
    0x7cc7fff2,0xff9004ff,0x1fffa85f,0xf881fff5,0xfff504ff,0x2fffa805,
    0x51fffa80,0xe8801fff,0xdffd4fff,0x3ffa0374,0x213ffe07,0x2203fff8,
    0x3f605fff,0x3ff600ff,0x4fff981f,0x3e3fff60,0xffc806ff,0x76ffa82f,
    0xffd07fff,0x6ffff40b,0x447fffed,0xff883fff,0x01bffe3f,0x3e23fff9,
    0xfff883ff,0x901bffe3,0x3fe23fff,0x3fff883f,0xf901bffe,0x3ffe23ff,
    0x23fff883,0x7e406fff,0x7fff71ff,0xdfff0000,0x21fffc80,0x7ff44fff,
    0x005fff76,0x7ecfffea,0x01bffe1f,0x3ee3fff9,0xffff307f,0x037ffc03,
    0x7dc7fff2,0xff5002ff,0x29fff07f,0xff885ffd,0x5fff504f,0x00fffb80,
    0x3f69fff0,0xffd8805f,0x26fffb4f,0x3fff403f,0x884fff88,0x3e203fff,
    0x3ff605ff,0x1fffa00f,0xf104fff8,0x3fff2bff,0x0fffec01,0x7d43bfe6,
    0x6ffe84ff,0xd83fff50,0x3fe20fff,0x3fff883f,0xf901bffe,0x3ffe23ff,
    0x23fff883,0x7e406fff,0x7fff11ff,0x7c7fff10,0x7fe406ff,0x07fff11f,
    0x7fc7fff1,0x7ffe406f,0x205fff91,0xaaaaaaaa,0x901bffe0,0x7ffc3fff,
    0xfcb7ff44,0xff3001ff,0xf87ff69f,0x7fe406ff,0x20fff51f,0x00ffffe8,
    0xfc80dfff,0x3fff91ff,0x13ffe600,0x3fe3bff2,0x6fff882f,0x803fff70,
    0x32007ffd,0x2fff8eff,0x2efffd80,0x47eefff9,0x0fffd818,0x884fffa8,
    0x3e203fff,0x3ff605ff,0x1fff600f,0xf704fff8,0x3ffe65ff,0x0ffff404,
    0x7cc1fff3,0x6ffe85ff,0x7fdc0c40,0x0fffe20f,0xff8fffe2,0x7ffe406f,
    0x107fff11,0x7ffc7fff,0x8fffe406,0xf883fff8,0x1bffe3ff,0x223fff90,
    0xff883fff,0x01bffe3f,0x3f23fff9,0xfff882ff,0x3e1fffff,0x7fe406ff,
    0xd13ffe1f,0x3fff6dff,0xbfff3001,0xfff87ff6,0x8fffe406,0x2600fff9,
    0xfff04fff,0x1fffc80d,0x2003fffb,0xf985fff9,0x80fffcff,0xfd07fff8,
    0xdffd00ff,0x67ffcc00,0x7cc00fff,0x7ffd43ff,0x3bff67ea,0xb07fff70,
    0xff109fff,0x443bb27f,0x3f605fff,0x3ff200ff,0x4fff881f,0xfe8fffd0,
    0x3ff600ff,0x83ffd12f,0xfd84fffa,0x4c02eeff,0x21ffffdb,0xf883fff8,
    0x1bffe3ff,0x223fff90,0xff883fff,0x01bffe3f,0x3e23fff9,0xfff883ff,
    0x901bffe3,0x3fe23fff,0x3fff883f,0xf901bffe,0x3ffee3ff,0xfffff883,
    0x3ffe1fff,0x0fffe406,0xffe89fff,0x003fffb6,0x7ed3ffea,0x01bffe1f,
    0x7fc3fff9,0x2ffe401f,0x6406fff8,0xfffb1fff,0x3ffea003,0xfffffd04,
    0x3fffe20b,0x02fffdc5,0x20027ffc,0x05fffffe,0xf887ffa8,0xff54feff,
    0x7fffc4bf,0xffffd98c,0xb3fff884,0x3ffe23ff,0x03fff605,0xc83fffb8,
    0xff984fff,0x1fffe44f,0xd17fff90,0xfff705ff,0xfffff707,0xffffb707,
    0x7c43ffff,0xfff883ff,0xb01bffe3,0x3fe23fff,0x3fff883f,0xfb01bffe,
    0x3ffe23ff,0x23fff883,0x7ec06fff,0x7fff11ff,0x7c7fff10,0x7fec06ff,
    0x09fff31f,0xfffffff1,0x037ffc3f,0xff87fff6,0xbb7ff44f,0xf7002fff,
    0x87ff67ff,0x7ec06fff,0x0bffa1ff,0x3e0fff50,0x7fec06ff,0x05fff71f,
    0x40fffee0,0x02fffffb,0xbdfffff1,0x803fffff,0x4003fff9,0x02fffffb,
    0xf905ffc8,0xfffddfff,0xffffc85f,0x4fffffff,0xfb3fff88,0x17ffe23f,
    0x200fffd8,0x98dffff8,0xc84ffffd,0x7fcc1fff,0x3ffea06f,0xfb02ffdd,
    0x3ff605ff,0x7ffec3ff,0x1fffccef,0x260fffe2,0x3ffe3fff,0x87ffec06,
    0xf983fff8,0x1bffe3ff,0x221fffb0,0xff983fff,0x01bffe3f,0x3e21fffb,
    0xfff983ff,0xb01bffe3,0x7ffc1fff,0x3fff9006,0x36037ffc,0x3ffe0fff,
    0xfab7ff44,0xffb005ff,0xf87ff65f,0x7fec06ff,0x013ff60f,0x3fe0fff5,
    0x7ffec06f,0x00bfff50,0x440bfff6,0x2207ffff,0xffffdfff,0xfa803fff,
    0x7c4001ff,0xf9007fff,0x7ffdc0bf,0x903fffff,0xf3ffffff,0xfff109ff,
    0x7c47ff67,0x3ff605ff,0x7ffd400f,0xffffffff,0xccffff84,0x1ffffccc,
    0xffffff10,0x3fffe607,0x32026200,0x3ea0cfff,0x3ffe21ff,0x23fff984,
    0x3a00fffe,0xfff10fff,0x47fff309,0x3a00fffe,0xfff10fff,0x47fff309,
    0x3a00fffe,0xfff10fff,0x47fff309,0x3a00fffe,0x3ff60fff,0xfffc802f,
    0x803fffa1,0x3fe0fffe,0x8b7ff44f,0x4c01ffff,0xffb0ffff,0x007fff43,
    0x7dc1fffd,0x3ffd406f,0x200fffe8,0xff10fffe,0xff9803ff,0x3ff600ff,
    0x3ffe204f,0x1efffe8b,0x01fff700,0x09fffb00,0x7017ff60,0x05dfffff,
    0xf0cefda8,0xfff109ff,0x7c47ff67,0x400005ff,0x9ffffffc,0x7fd44fff,
    0xffffffff,0x3f205fff,0x3f604fff,0x2aa604ff,0xb86ffe82,0x7ffc1fff,
    0x23fffa84,0xf304fffd,0x4fff8fff,0x363fffa8,0xff304fff,0x84fff8ff,
    0x3f63fffa,0xfff304ff,0xa84fff8f,0x3ff63fff,0xffff304f,0x01efffb8,
    0xd87fffa2,0xff304fff,0x7ffc00ff,0x03bfff25,0xb27fff44,0x7ffec3ff,
    0x0ffff304,0x7cc01fff,0xfffd80ff,0x8ffff304,0x100efffc,0xd809fffd,
    0x3e201fff,0x002623ff,0x000fffb0,0x4007fff6,0x7d404ffd,0x8000099b,
    0xff983fff,0x223ffb3f,0x2a605fff,0xd93000aa,0x13ffe19d,0xfffffffd,
    0x1fffffff,0x3bfffe20,0x3fffa60b,0x1bfee00f,0xfd11bffa,0xfffe83ff,
    0x8ffffe20,0x32cffffa,0xe89fffd7,0x3fe20fff,0x3ffea3ff,0xffd732cf,
    0x0fffe89f,0xa8ffffe2,0x732cffff,0xfe89fffd,0x3ffe20ff,0x3fffea3f,
    0xfffd732c,0x7ffffd09,0x3fff2a23,0x3ffea1ff,0xffd732cf,0x3fe2009f,
    0x3fffe25f,0xfff731bf,0x0ffec1ff,0x259ffff5,0x84fffeb9,0x3e602ffb,
    0xfffa81ff,0xffd732cf,0xffff889f,0xfff731bf,0x7fcc01ff,0x7ffc406f,
    0xfff80003,0xfff98005,0x13ffa006,0x2a001f90,0xff984def,0x3fffa82f,
    0x3fe23ffb,0x3ffee05f,0x7fc40000,0x3bffe22f,0xeccccccc,0xff703fff,
    0xffdfffff,0xb805ffff,0xfffb86ff,0xffffecad,0x677ffec1,0x43fffffd,
    0xfffffffe,0x6c0fffff,0xffdcefff,0x7ff43fff,0xffffffff,0x7ffec0ff,
    0xfffffdce,0x7fffff43,0x0fffffff,0x6e77ffec,0x743fffff,0xffffffff,
    0xf980ffff,0xffffffff,0x40efffff,0xfffffffe,0x400fffff,0x44ffffea,
    0xfffffffa,0x42ffffff,0x7ff41ffd,0xffffffff,0x5ff880ff,0x33bffe20,
    0x7fffff43,0x0fffffff,0xffffffa8,0x2fffffff,0xffffcaa8,0x1fffc402,
    0x7f5e5c00,0x955003ff,0x9805ffff,0x403fffdc,0x3fe2005f,0xfeb99cff,
    0x3ffb20ff,0x23ffb2ff,0x2e05fff8,0x3ea00fff,0xfff984de,0x00bfff21,
    0xf50dfff3,0xffffffdf,0x003dffff,0xff109ff7,0xffbfffff,0xffff987f,
    0x3ffeafff,0x7fffff44,0x982fffff,0xafffffff,0x7f443ffe,0xffffffff,
    0xffff982f,0x3ffeafff,0x7fffff44,0x982fffff,0xafffffff,0x7f443ffe,
    0xffffffff,0x3ffa202f,0xffffffff,0xfffd102f,0x5fffffff,0xfffff900,
    0xffffd303,0x03dfffff,0xfe883ffb,0xffffffff,0x03fee02f,0x45ffffd8,
    0xffffffe8,0x2602ffff,0xfffffffe,0xffd01eff,0xf100dfff,0xfd0007ff,
    0x001fffff,0x1bfffffa,0x3ffffea0,0x000fe600,0xfffffffb,0xffe87fff,
    0x3ffb0fff,0xb817ffe2,0x3e200fff,0xfa99cfff,0x3ffe0fff,0x3fffd007,
    0xfb88ffe8,0x03efffff,0xea817e40,0xffb3ffff,0xdfffd30d,0x640fffa3,
    0xdeffffff,0x3fffa600,0x207ffd1e,0xeffffffc,0x3ffa600d,0x07ffd1ef,
    0x3ffffff2,0x3fa600de,0x7ffd1eff,0x3fffff20,0xb5000def,0x79dfffff,
    0x3ffff200,0xb000deff,0xb809ffff,0x3efffffe,0x6407ff60,0xdeffffff,
    0x01ffc400,0x20bfffd1,0xeffffffc,0xffd7000d,0xd807dfff,0x800effff,
    0x4003fff8,0x3ffffff8,0x3ffff600,0xfffa800e,0x007dc03f,0x7ffffe40,
    0x7fc43fff,0x3ff61fff,0x5f988001,0xfffffd80,0x2a2fffff,0xf7004fff,
    0x01e88bff,0x2e000133,0x04c400df,0x00098800,0x0006a620,0x88000262,
    0x988001a9,0x2a620000,0x00988001,0x006a6200,0x00066600,0x00035310,
    0x0002f32a,0x32a00131,0x0d4c400c,0x401e5400,0x4c403cba,0x9880001a,
    0x33326000,0x04ccc002,0x5e5d4c00,0x6664c001,0x2b326002,0x40001000,
    0x0abccba8,0xa8159970,0xd88000cc,0xfff9003f,0xd87fffff,0xf1001fff,
    0x00001fff,0x0001cc00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2001fe40,0x01accba8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000310,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00266600,0x01e41644,
    0x00266620,0x03999300,0x00d55400,0x055dd440,0x5d4c4000,0x22000aac,
    0x4c199999,0x4cc40099,0x26662001,0x19988000,0x6c003331,0x20000dee,
    0x540002c9,0xc88002aa,0x33016442,0x40013333,0x31001999,0x000cc413,
    0x00062044,0x80001333,0x99999998,0x26666099,0x99999999,0x4ccccc19,
    0x00099999,0x0d5dd4c0,0xc8133300,0x1331001c,0x00000cc4,0x2aea2000,
    0xf500001a,0x7ec005ff,0xb000fea0,0x4000dfff,0x006fffe8,0x0013ffe0,
    0xbffffff5,0xffb50001,0x7dffffff,0xffffb801,0x037ffc7f,0x4007fff2,
    0xf0005fff,0x7fff19ff,0x3fffee00,0xfdf50005,0x7fec0009,0x41dd0006,
    0xfff101fc,0x26007fff,0xd1003fff,0x0bff31df,0x56fff4c0,0x7ec007e9,
    0xea8000ff,0xffffffff,0x3fffe5ff,0xffffffff,0x3fffe1ff,0xffffffff,
    0xff91000d,0x17ffffff,0x6c4fff80,0xdff1006f,0xb0017fe6,0x2006e81f,
    0xfffffffb,0x7f40001e,0x7fd4003f,0x2000ffed,0x01fffff8,0xffbff900,
    0x3ffe0009,0x3ffea004,0x006fffff,0x3fffffea,0xffffffef,0x3fffee02,
    0x037ffc7f,0x2007fff2,0x8000effa,0x9ff75ffb,0x337fe600,0x4e8002ff,
    0x7ec000f5,0xff70006f,0x7c40bffd,0x003fffff,0x98009ffb,0x00ffedff,
    0x3fffff20,0xfd8004ff,0x7fdc003f,0xffffffff,0x3fffe5ff,0xffffffff,
    0x3fffe1ff,0xffffffff,0x7fd400ef,0xffffffff,0x3ffe00ef,0x8017fcc4,
    0x0fffdffa,0x556fd400,0xfd8803fc,0xffffffff,0xff50003f,0x3f6e0007,
    0x7e4001df,0x8004ffff,0x5ffb4ffa,0x09fff000,0x55ffff40,0xc803fffd,
    0x981adfff,0x303fffda,0xf8fffb99,0x7fe406ff,0x0efe801f,0x7cdfd000,
    0xffd1005f,0x0003ffa1,0x8001b2bb,0x20006ffd,0x200befda,0x1ccdfff8,
    0x004ff980,0x05ffff90,0xfb716e80,0x3fa0001b,0x3ffea007,0xffffffff,
    0x3fffe5ff,0xffffffff,0x3fffe1ff,0xffffffff,0x3fea07ff,0xfffeffff,
    0x3fe06fff,0x006fe84f,0x00bffff2,0x37ffff40,0xfffffc80,0x1fffffed,
    0x003ca800,0xf0000880,0x01ffffff,0x5542aa80,0x20000002,0x7ffc5fff,
    0x077fec05,0x05ffd500,0x7fc7ffb8,0x7ffe406f,0x00664401,0x930cc880,
    0x00000019,0x017ffcc0,0x10000000,0x0bffe200,0x00079500,0x0003ccc8,
    0x32200000,0xfff9001c,0xfd37ffff,0x37ffc17f,0x06fff800,0x207fffee,
    0x41effff8,0x02ffffc9,0xff709fff,0x1e664007,0x072e2000,0x41efff80,
    0x004fffe8,0x001aba98,0x2a000110,0x3fffdfff,0x40000000,0x001abb98,
    0x0441ffff,0x8827fdc0,0x03ffa200,0x7fc7ffb8,0x7ffe406f,0x1aba9801,
    0x40099980,0x53001998,0x33300357,0x26620a81,0x35753001,0x80133300,
    0x3fe21998,0x2ea2002f,0x530001aa,0x33300357,0x01998801,0x00357530,
    0x3ffffffa,0xf85ffb2f,0xff0006ff,0xfffc80df,0x05fffc83,0xf82fffec,
    0x7ff884ff,0x35575100,0x2ee62000,0xfff9801a,0x0dfff303,0x3ffff660,
    0xc800dfff,0xffb3efff,0x47ffec09,0xfc806fff,0xfff701ff,0x3ffb2205,
    0x403fffff,0x002ffffc,0xd9117fe6,0xbdd53dff,0xfb80ffe6,0x037ffc7f,
    0x4407fff2,0xfffffffd,0x01bffe02,0x2203fff9,0xfffffffd,0x01bffe02,
    0x2203fff9,0xfffffffd,0x01bffe02,0x3e23fff9,0xffb802ff,0x01efffff,
    0xfffffd88,0x3ffe02ff,0x0fffe406,0xfffffd98,0x3fe00dff,0xb2ffffff,
    0x6fff85ff,0x0dfff000,0xe84fffa8,0x6c400fff,0x9fff01ac,0xb80bffa0,
    0xefffffff,0xffec8801,0x203fffff,0x500efff9,0xff700355,0xffffffff,
    0x3ffa205f,0xffdcffff,0x2bfff104,0x4c01fffc,0xffb04fff,0x3fffea0f,
    0xefffffff,0x3ffffe00,0x0ffd800c,0x3fffffe6,0x3f25ffef,0xf1ffee06,
    0xffc80dff,0xffffa81f,0x05ffffff,0xfc80dfff,0xfffa81ff,0x5fffffff,
    0xc80dfff0,0xffa81fff,0xffffffff,0x80dfff05,0xff11fffc,0x7fec405f,
    0xffffffff,0x3fffea03,0x05ffffff,0xfc80dfff,0xfffb81ff,0xffffffff,
    0xfffffd02,0x0bff65ff,0x2000dfff,0x7e406fff,0x7ffc43ff,0x3fe00004,
    0x09ff904f,0xffffffb1,0x5407ffff,0xffffffff,0xff00efff,0x00039fff,
    0x7fffffdc,0x3ffffffe,0xedffffd8,0x704fffff,0x3fe65fff,0x6ffe804f,
    0xa84fff88,0xfeffffff,0xb06fffff,0x5fffffff,0xf31ffc40,0xffb55dff,
    0x07fd49ff,0x7fc7ffb8,0x7ffe406f,0x7ffffdc1,0x3fffffee,0x6406fff8,
    0x7fdc1fff,0xfffeefff,0x6fff83ff,0x20fffe40,0xeefffffb,0xf83fffff,
    0x7fe406ff,0x05fff11f,0x6fffffe4,0x81fffffe,0xeefffffb,0xf83fffff,
    0x7fe406ff,0x7fffdc1f,0xfffffeff,0xffffc83f,0x5ffb2fff,0xeeeffff8,
    0x42eeeeee,0x4ccc6fff,0x4c0ffffc,0x00003fff,0x7dc13ffe,0xffffc86f,
    0xfffffedf,0xfffffa81,0xffffffef,0xfffff706,0x20017bff,0x40dffff9,
    0x20ffffd8,0x2a1efff9,0xfd04fffe,0x0fffe8ff,0x20fffdc0,0x7c41fffa,
    0x64c1efff,0x7e42ffff,0xfffffbef,0x741ff704,0xffff85ff,0x5c07fe22,
    0x37ffc7ff,0x887fff20,0x260cffff,0x7c0ffffc,0x7fe406ff,0x3fffe21f,
    0x3fff260c,0x037ffc0f,0xf887fff2,0x3260cfff,0x7fc0ffff,0x7ffe406f,
    0x405fff11,0x7441efff,0x7fc44fff,0x3f260cff,0x7ffc0fff,0x0fffe406,
    0x81bffff3,0x80ffffd8,0x2ffffffe,0xfff85ffb,0xffffffff,0x7fffc3ff,
    0xffffffff,0xfffb83ff,0x55555502,0x9fff0155,0x3e1ffea0,0x7f441eff,
    0x7ffc44ff,0x7fe4c1ef,0xfff902ff,0x09ffffff,0x809fffd0,0x3f25fffc,
    0xfffa83ff,0x44fff984,0x4403fffc,0x7fec4fff,0x05fffc86,0x3a2fffec,
    0xfffd31ff,0x54ffd09f,0xffc81fff,0xb817fc0f,0x37ffc7ff,0xc87fff20,
    0x3f603fff,0x37ffc4ff,0xc87fff20,0x3f603fff,0x37ffc4ff,0xc87fff20,
    0x3f603fff,0x37ffc4ff,0x447fff20,0xff302fff,0x3ffe607f,0x01fffe46,
    0xff89fffb,0x7ffe406f,0x013fffa1,0xb10bfff9,0x365fffff,0x7fffc2ff,
    0xffffffff,0x7ffffc3f,0xffffffff,0x05fff902,0xfffffff1,0x09fff03f,
    0xf983ffe6,0xfff303ff,0x05fffc8d,0x502fffec,0xfffffffd,0x3fe201df,
    0x7fc400ff,0x3fffb1ff,0x909fff10,0xff983fff,0x6ffd806f,0x3e0fffe2,
    0x6c400fff,0x3ffe21ac,0x17fffe41,0x4ffd97fe,0xf98fff70,0x8fff701f,
    0x7e406fff,0xffff11ff,0x40bce980,0x7e406fff,0xffff11ff,0x40bce980,
    0x7e406fff,0xffff11ff,0x40bce980,0x7e406fff,0x5fff11ff,0x03bffe60,
    0xff10d554,0xbce980ff,0x2037ffc0,0xff11fffc,0xff8801ff,0xff5101ff,
    0xf0bff65f,0x99999fff,0xff839999,0xffffffff,0x7ffdc01e,0xfffff883,
    0xfff81fff,0x45fff104,0x500efff9,0xffff8355,0x0d66c400,0x7ffedc40,
    0xff306fff,0x3ff2009f,0x40fffd2f,0xfff84fff,0xffcccccf,0x7fd401ff,
    0x81fff51f,0x0004fffa,0xfb85fff8,0xf1ffc5ff,0x3ff207ff,0xb807fdc5,
    0x37ffc7ff,0x4c7fff60,0x40004fff,0x7e406fff,0x9fff31ff,0x6fff8000,
    0x98fffe40,0x40004fff,0x7e406fff,0x5fff11ff,0x67ffffc0,0x9fff3001,
    0x6fff8000,0x98fffe40,0xf9004fff,0xffe805ff,0xff85ffb2,0xfff0006f,
    0x6ffff4cd,0x13ffea00,0x3fffffe2,0x4fff81ff,0xff0fffe0,0x20039fff,
    0x0004fffa,0xfffb3000,0x5fff701f,0x4fffea00,0xff107ffe,0xffffa89f,
    0xffffffff,0x4fff805f,0xff70bffb,0xfb00007f,0xffb81bff,0x7c47fe27,
    0x7ffd01ff,0x3ee06fd8,0x037ffc7f,0x7d43fff6,0x7c0003ff,0x7fe406ff,
    0x07fff51f,0x06fff800,0xfa8fffe4,0x7c0003ff,0x7fe406ff,0x05fff11f,
    0x7fffffdc,0xff500bdf,0xff80007f,0x7ffe406f,0x005fff71,0xd00fffea,
    0x0bff65ff,0x2000dfff,0xffe86fff,0xfff300ef,0x3fff200d,0x204fff81,
    0x7fdc3fff,0x0bdfffff,0x007fff70,0x80775500,0xfc82fffc,0xff3001ff,
    0x03fff69f,0xfd13ffea,0xffffffff,0x801fffff,0xfff8effc,0x02fffc82,
    0x55555555,0x77fffd41,0xf897fea1,0x03fff31f,0x7cc3fff1,0x1ffee03f,
    0xfe80fffd,0x5fff90ff,0x6fff8000,0xc8fffe40,0x40002fff,0x7e406fff,
    0x5fff91ff,0x6fff8000,0x88fffe40,0x7e402fff,0xffffffff,0x02fffc84,
    0x037ffc00,0x7e47fff2,0xff3001ff,0x2ffe809f,0xfff85ffb,0xdfff0006,
    0x0bffff10,0x4017fff4,0xff81fffc,0x07ffe04f,0x3ffffff2,0xffc84fff,
    0x5555502f,0x7ff41555,0x3ffea01f,0x01fffd83,0x2ebfff30,0xffd83fff,
    0x3bffe24f,0xeccccccc,0x7cc03fff,0x80fffcff,0xf882fffc,0x1fffffff,
    0x67ffffdc,0x7fc3ffd8,0x905fff12,0x3fe21fff,0x23ffdc06,0xf304fffd,
    0x7ffecfff,0x7ffc0001,0x8fffe406,0x0001fffd,0x32037ffc,0xfffb1fff,
    0xfff80003,0x8fffe406,0xa802fff8,0xfffffffe,0x3fff60ef,0x7ffc0001,
    0x8fffe406,0x3001fffd,0xfe80bfff,0xf85ffb2f,0xff0006ff,0x3ffea0df,
    0xdfff502f,0x7fff4403,0x104fff81,0x3aa01fff,0xffffffff,0x0bfff20e,
    0x3fffffe2,0x3fff21ff,0x07fffa05,0x4007fff6,0xff14fffa,0xffb319ff,
    0x7ffe49ff,0x37ffcc02,0x7fffff40,0x07fff705,0xfffffff1,0xffff503f,
    0xfd0bffff,0x262fffc9,0xffd17fff,0x47ffb805,0x32cffffb,0x649fffd7,
    0x40002fff,0x7e406fff,0x5fff91ff,0x6fff8000,0xc8fffe40,0x40002fff,
    0x7e406fff,0x5fff11ff,0x7fedc400,0x3f26ffff,0x7c0002ff,0x7fe406ff,
    0x03fffb1f,0x013ffea0,0x3ff65ffd,0x4cf7ffc2,0x99999999,0xd81bffe0,
    0xfd00ffff,0x26237fff,0x81fffffc,0xff304fff,0xffb7100f,0x7dcdffff,
    0xfff883ff,0x261fffff,0x88adffff,0x707fffda,0x2e005fff,0x3ff23fff,
    0xffffffff,0x01fffe4f,0x200ffff4,0x02fffffb,0xf109fff3,0x3fffffff,
    0x3ffff620,0x5cff906f,0xffdbefff,0x2fffefff,0xd87ffb80,0xffffffff,
    0x3ee0efff,0x7c0003ff,0x7fec06ff,0x07fff71f,0x06fff800,0xfb8fffec,
    0x7c0003ff,0x7fec06ff,0x05fff11f,0x7ffecc00,0x07fff70f,0x06fff800,
    0xfb8fffec,0xff7002ff,0x2ffe807f,0xfff85ffb,0xffffffff,0x3ffe4fff,
    0x3fffe206,0xffffd105,0xffffffff,0x9fff01df,0x001bfea0,0x43ffff66,
    0xf884fff9,0x1fffffff,0x7fffffe4,0x04ffffff,0x200bfff5,0x7e42fffd,
    0xff9fffff,0x09fff54f,0x017ffee0,0x80fffff1,0xf9006fff,0xffa803ff,
    0xff981fff,0x3fffff62,0xffffffdf,0x0fff7001,0xffffffd1,0xf981ffff,
    0x6f4404ff,0x406fff82,0xff30fffd,0x2de8809f,0x6c06fff8,0xfff30fff,
    0x82de8809,0x7ec06fff,0x5fff10ff,0x900eeaa0,0x3fe65fff,0x16f4404f,
    0x36037ffc,0xfff50fff,0x3fff600b,0xd97ff402,0x7fffc2ff,0xffffffff,
    0x1bffe4ff,0x03ffff50,0x3fffff62,0x02ffffff,0x7e413ffe,0x01dd545f,
    0xff8bfff2,0xfff9006f,0xfffffb03,0x407fffff,0x401ffff8,0xa80ffff9,
    0xfff0cefd,0x007fff69,0x007fffc4,0xb013fff6,0xf9005fff,0xfb1003ff,
    0x3ffa0dff,0x233bf6a0,0x20acefd8,0xfff70198,0x3fff6a20,0xf881cfff,
    0x3ee00fff,0x7fff46ff,0x43fffa00,0x200ffff8,0x7f46fffb,0x3ffa00ff,
    0x1ffff10f,0x237ffdc0,0x3a00fffe,0xfff10fff,0x07fffa05,0xf13fffa8,
    0x7dc01fff,0x7fff46ff,0x43fffa00,0x401ffff8,0x400ffff9,0x5ffb2ffe,
    0xfffffff8,0x4fffffff,0x3601bffe,0x65406fff,0xbcefffff,0x827ffc00,
    0x7ff42ffe,0x3ffea01f,0x00bfff63,0x4c07fff2,0xdefffffe,0xefffc801,
    0x9fffd100,0x07fff000,0x400ff000,0x5c01fffd,0x2201efff,0x2621fffe,
    0x7ffec0ba,0x00eff980,0x827fec00,0xfd007ffb,0xfff90015,0x3fffe20b,
    0x827ffec3,0x7e47fff9,0xfff105ff,0x4fffd87f,0xc8ffff30,0xff105fff,
    0xfffd87ff,0x4ffff304,0xf902fff8,0x7ff40bff,0x17fff21f,0x21ffffc4,
    0xf304fffd,0xfffc8fff,0xfffd100e,0x25ffd009,0xf8002ffd,0x5e6cc007,
    0xffc80001,0x3362001e,0x86ff881b,0x3a05fffc,0x3fee1fff,0x3fa201ef,
    0xffd801ff,0x3fe2000b,0xf731bfff,0x7d41ffff,0xfff984de,0x37c40002,
    0x06fff980,0x37ffffd0,0x3ffff2a2,0x13ffe61f,0x2a01fff9,0x98002fff,
    0x3ee06ffe,0x01ff007f,0x3bfffe20,0xfffeb889,0xcffffa87,0x9fffd732,
    0x9effff88,0x7fffeb88,0x2cffffa8,0x89fffd73,0x89effff8,0x87fffeb8,
    0x32cffffa,0x449fffd7,0xff302fff,0xb5115bff,0xff88ffff,0xeb889eff,
    0xffa87fff,0xfd732cff,0xfff889ff,0xff731bff,0xfd001fff,0x00bff65f,
    0x9800ff10,0x0001fffe,0x07ffb362,0x0ffff4c0,0x3e60bfea,0xa88adfff,
    0xfe87fffd,0x9511bfff,0x803fffff,0x007fecd9,0x7fffffd4,0x2fffffff,
    0x4e7fffc4,0x00fffeb9,0x807fcc00,0x2ffffcaa,0xfffff300,0xffffffff,
    0xffff81df,0x06fffb9c,0x5e77ffdc,0x7e54c409,0x554c0eff,0xff007ffd,
    0x7ffd4005,0xffffffff,0xffffd02f,0xffffffff,0xfffff501,0x5fffffff,
    0x3fffffa0,0x0fffffff,0xffffffa8,0x02ffffff,0xfffffffd,0x441fffff,
    0x40aacfff,0xfffffffc,0xa84fffff,0xffffffff,0xfd02ffff,0xffffffff,
    0xff501fff,0xffffffff,0x3a005fff,0x05ffb2ff,0x001ff980,0x0000bfd0,
    0x74001ffc,0x9037ec5f,0xffffffff,0xf309ffff,0xffffffff,0x01dfffff,
    0x0017fc40,0x3fffffa6,0xb01effff,0xffffffff,0x200007ff,0x3a2bbeff,
    0x006fffff,0x7fffff44,0x02ffffff,0xfffffff5,0xfd3005ff,0xfddfffff,
    0x09ffffff,0x1fffffee,0x1ddf7ec0,0x7ffff4c0,0x202fffff,0xffffffe8,
    0x2602ffff,0xfffffffe,0x3fa202ff,0xffffffff,0x3ffa602f,0x2fffffff,
    0x3ffffa20,0x42ffffff,0x3ffffff8,0xffffffd8,0x2603ffff,0xfffffffe,
    0x3fa202ff,0xffffffff,0x3ffa602f,0xefffffff,0x4bffa001,0xe8002ffd,
    0x2602bbef,0x002ffb99,0xff933310,0xf7333005,0x01ffc45f,0x3ffffff6,
    0x2203ffff,0xfffffffe,0x8802ffff,0x00ffc999,0xffffd700,0xff9007df,
    0x07ffffff,0x7ffdc000,0x3ffff63f,0xfb50000e,0x079dffff,0xfffffd50,
    0xfda8007f,0xffffffff,0x3ee00bef,0x3007ffff,0x400bffff,0xcfffffec,
    0xffff9000,0x2001bdff,0xcfffffec,0xffff9000,0x2001bdff,0xcfffffec,
    0xffff9000,0xf101bdff,0x207fffff,0xefffffe9,0xffd9001d,0x20019fff,
    0xeffffffc,0xffd7000d,0x0007dfff,0x3ff65ffd,0xfffb8002,0xffff304f,
    0x7dc000bf,0x9804ffff,0x645fffff,0xffd3007f,0x003bdfff,0x3fffff6a,
    0x3f2003ce,0x0003ffff,0x10001310,0x01579975,0x57710000,0x016664c1,
    0x00333000,0x055e5d40,0x32ea6000,0x3001aacc,0x00555555,0x000565c4,
    0x20000998,0x80001a98,0x22000099,0x980001a9,0x26200009,0x5555001a,
    0x33300155,0x09980001,0x06a62000,0x00262000,0x22133100,0x71000099,
    0x2ea20157,0x440000ab,0x22000aaa,0xcc80abba,0x09998002,0x00ccc000,
    0x15555300,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00266600,
    0x9805eed8,0x2a600099,0xca8001ab,0x2600e4c0,0x4cc40099,0x02665401,
    0x09998000,0x04cccc40,0x40002666,0x4002ccc8,0x40000999,0x4004eee8,
    0x13330999,0xeed80000,0xe9800005,0x100003ee,0x00099833,0x133104cc,
    0x2aaaaa00,0x30001aaa,0x20000333,0x26000199,0x2aaaaaaa,0x99833300,
    0xbddb0000,0x04cc4001,0x31000331,0x26000133,0x4c000199,0xf8800199,
    0xff9005ff,0xfff809ff,0x7ffec404,0x2002ffff,0x01fa24f8,0xa807fffe,
    0x3f201fff,0x1fffe07f,0x40dfff00,0x21ffffe8,0x0003fff9,0x003ffffb,
    0x001bffee,0x07ffffb0,0x26bffe60,0x00001fff,0x0003ffea,0x3ffffa00,
    0xffa80002,0x8005ff94,0x6ff88ffe,0x3ffff600,0xa8004fff,0x80002fff,
    0x0005fffc,0xfffffff7,0x4ffee00d,0xb8001ffd,0x4005ffff,0x6ff88ffe,
    0x0effe800,0x3fff9800,0x3ffe6000,0xfff88003,0xdcffa805,0x3ffe01ff,
    0x3fffea04,0x05ffffff,0x3ffbff60,0x6ffff803,0x807ffea0,0x3fe07ffc,
    0x7ffc007f,0x3ffffa06,0x01fffcc1,0x7feffd40,0xffff9806,0xff70004f,
    0xb001ffd7,0x0bff67ff,0x3ffd0000,0xff900000,0x0001fff7,0xbff9ff90,
    0xddff1000,0x7ec003ff,0x04ffffff,0x003ffe80,0xfffffa80,0xfffb8002,
    0x2006ffff,0x04ffcffd,0xfcdff980,0x3fe6002f,0x4001ffee,0x0000eff9,
    0x80009ffb,0x10004ffd,0xf880bfff,0x01ffd16f,0x7dc13ffe,0xffeeffff,
    0x71003fff,0x3e005bfd,0xf502ffff,0x7fe403ff,0x01fffe07,0x360dfff0,
    0xf982ffff,0x7c4003ff,0x809ff56f,0x1ffd8ffe,0x8affcc00,0x7fc406ff,
    0x0009ff34,0x001ffa80,0x34ffa800,0x20000bff,0x000ffffe,0x07ffff70,
    0x98000000,0x880004ff,0x0ffe8eff,0x20000000,0x006ffff8,0xfd0ffe88,
    0x7fdc001f,0xfd8003ff,0xff10000f,0xff88000b,0x3fe20004,0x2000005f,
    0xff880999,0x3f260cff,0x04000fff,0x3ffffe00,0x1fffa80f,0x7fff8000,
    0x437ffc00,0x302ffffd,0x98007fff,0x80aaa0aa,0x79912cc9,0xa8000000,
    0x000f2a3c,0x00000000,0x98000000,0x40001ccc,0x20004ccb,0x0001aba9,
    0x20000795,0x59930cca,0x80133300,0xca801998,0x000001cc,0x07997000,
    0x00399100,0x0001e540,0x20001e54,0x1005fff8,0x00035575,0x203fffc8,
    0x3004fffd,0x3e003575,0xa84fffff,0x02201fff,0x001fffe0,0xffc8dfff,
    0x3fe602ff,0x4000003f,0x4c400999,0x4ccc0019,0x55d4c000,0x26600001,
    0x99999999,0x21999999,0x26201998,0x26620199,0x13331001,0x26666200,
    0x99999999,0xffb30099,0x01bfffff,0x4ccccccc,0x40000999,0x20009998,
    0x7e406fff,0x026661ff,0x99833310,0x99880099,0x26666209,0x99999999,
    0x26666209,0x99999999,0x00266609,0x22003331,0x10000999,0xfb80bfff,
    0x1effffff,0xf889fff0,0x674c07ff,0x3ff6600b,0x00dfffff,0x3ffffffe,
    0x40fffd41,0xfb3efffc,0x01fffe9f,0x7dcdfff0,0x7cc03fff,0x7ffe43ff,
    0x3fff880e,0xc80dfff0,0xf1001fff,0xfb300bff,0x1bffffff,0x7ffdc000,
    0xffffffff,0xb1ffffff,0x3f603fff,0xffb01fff,0xfffb001f,0x3ffea00d,
    0xffffffff,0xffb86fff,0xffffffff,0xfffff02f,0xbfffffff,0xfffb0001,
    0x37ffc00d,0xf87fff20,0x3ea01fff,0x3fff21ff,0x3fffe806,0x3ffffff2,
    0x3fffffff,0x3ffffff2,0x3fffffff,0xa807fffe,0xfd801fff,0xf10006ff,
    0x3f620bff,0xffffffff,0x44fff83f,0x0004fff9,0xffffff70,0x205fffff,
    0x6fffefff,0xd10fffd4,0xb9ffffff,0x1fffe9ff,0x2edfff00,0x9803ffff,
    0x3fee3fff,0xfff100ef,0x01bffe07,0x2003fff9,0x5c05fff8,0xffffffff,
    0xf0002fff,0xffffffff,0xffffffff,0x0bffee3f,0x81fffffc,0xf8806fff,
    0xa801ffff,0xffffffff,0x46ffffff,0xeffffffb,0x83ffffff,0xffffffff,
    0x00efffff,0x3ffffe20,0x0dfff001,0x3e1fffc8,0x3ea06fff,0x7fff41ff,
    0x1bffee03,0xfffffff9,0x47ffffff,0xfffffffc,0x23ffffff,0x2a06ffff,
    0x7c401fff,0x8001ffff,0xf905fff8,0xffdbffff,0xfff83fff,0x01fffd44,
    0x7fffdc00,0xfffffeff,0xdcfff83f,0x3fea3fff,0x3ffff61f,0x4fffffed,
    0xf800ffff,0xffffaeff,0x7fff3006,0x803fffea,0xff03fff8,0xfffc80df,
    0xbfff1001,0x7ffffdc0,0xffffffef,0x7ffd4003,0xffffffcd,0x1fffffff,
    0xf309fff3,0xf10bffff,0xff9009ff,0xf5009fff,0xffffffff,0x4cdfffff,
    0x440dffff,0x7c0ffffd,0xffffffff,0x007fffff,0x13fffff2,0x2037ffc0,
    0x3fe1fffc,0xff502fff,0xffffa83f,0x1ffff880,0x7fffffe4,0x3fffffff,
    0x3ffffff2,0x3fffffff,0x40bffffe,0x6401fffa,0x004fffff,0xf05fff88,
    0xfe883dff,0x27ffc4ff,0x000bfff2,0x1bffff30,0x0ffffd88,0x7fc67ffc,
    0x3fff50ff,0xa87bffe6,0xfff4fffe,0xffff800f,0x03ffffff,0xf9bfff98,
    0x7c401fff,0xdfff03ff,0x01fffc80,0x20bfff10,0x40dffff9,0x00ffffd8,
    0x7c5fffa0,0xff8004ff,0xffffb86f,0x2fffa87f,0xffffff80,0xffb0000f,
    0xfffe801f,0x2fffe404,0xfb81bffe,0xff001fff,0x001fffff,0xfc80dfff,
    0x3fffe1ff,0xfffa80ff,0x85fffd81,0x8004fffd,0x00efffe8,0x3bfffa20,
    0x3fffffe0,0x01fffa80,0x7ffffffc,0x7ffc4000,0x03fff985,0xff8dfff3,
    0x0fffec4f,0x3fffa000,0x2fffe404,0x7fdd3ffe,0x23fff55f,0xfa83fffc,
    0x0ffff4ff,0xffffff80,0x400fffff,0xfffcfff9,0xfff8801f,0x80dfff03,
    0x1001fffc,0x3fa0bfff,0x7fe404ff,0xfff5005f,0x013ffe27,0xb03fffa0,
    0x83ffffff,0x5400fffc,0x3fffdfff,0x1fffb000,0x07fffc40,0x87fffe20,
    0x7e406fff,0xffa803ff,0x803fffdf,0x7e406fff,0x3fffe1ff,0xfffa84ff,
    0x1ffff881,0x001bffe6,0x007fffec,0x03ffff60,0x09ffffff,0x5403fff5,
    0x3fffdfff,0x2fffc400,0x8077ffcc,0x7ffc1aaa,0x017ffe44,0x1ffff100,
    0x1ffff880,0xffe93ffe,0xb1fffa9f,0xff103fff,0x01fffe9f,0x7ffffff0,
    0x980bfff9,0x5fffffff,0x07fff100,0xf901bffe,0x3e2003ff,0xfff885ff,
    0x7ffc400f,0xfffe801f,0x009fff10,0xf83fff90,0x43fffbff,0xfd807ffe,
    0x06fff8ff,0x01fffb00,0x8027ffcc,0x3fe2fffc,0x7ffd406f,0x8fffd804,
    0xff806fff,0x7ffe406f,0x3fffffe1,0x0fffd41f,0x3a6fffb8,0xc8002fff,
    0x4001ffff,0xf81ffffc,0x41ffffff,0x3601fffa,0x6fff8fff,0x2fffc400,
    0x1cfffff8,0x713ffe00,0x40007fff,0x9004fff9,0x7ffc5fff,0x2bbffe64,
    0xfffd1fff,0xffa7ffc0,0x7ffc007f,0xffff13ff,0x7fffcc07,0x8802ffff,
    0xfff03fff,0x1fffc80d,0x0bfff100,0x2009fff3,0x4c02fffc,0x3fe24fff,
    0xffa8004f,0x27ffe63f,0x3fe25ffe,0x7ffc405f,0x003fff95,0x401fffb0,
    0x5002fffb,0x7ffc7fff,0x1fffe406,0x657ffe20,0x7fc01fff,0x7ffe406f,
    0x3ffbffe1,0x0fffd46f,0xf77fffb0,0xf5000bff,0xa8007fff,0xff03ffff,
    0xa8dfffdf,0xff101fff,0x07fff2bf,0x05fff880,0xfffffff7,0x7ffc017b,
    0x027ffcc4,0xff70b7a2,0x3fea005f,0xb13ffe3f,0x3fffdfff,0x7c41fffa,
    0x0ffff4ff,0x44ffff80,0x300ffffb,0xffffffff,0x7fff100d,0x901bffe0,
    0x22003fff,0xffb85fff,0xfff5002f,0x0fffd807,0x333bffe2,0x41cccccc,
    0x3f25fff8,0x4cfff77f,0x7dc03fff,0x9fff32ff,0x1fffb000,0x00fffe40,
    0x3e4fff98,0x64ccc6ff,0x5c00ffff,0xfff32fff,0x06fff809,0xff0fffe4,
    0x47fffb9f,0x2201fffa,0xffffffff,0x7ffcc000,0x7fcc005f,0x3ffe05ff,
    0x2a3fffdc,0xff701fff,0x13ffe65f,0x05fff880,0x3ffffff2,0xfff04fff,
    0x0ffff889,0xc9bffee0,0xf3001fff,0x27ffc9ff,0x3fffffe2,0x01fffb1f,
    0x3fe9fff5,0x7ffc007f,0x0bfffd06,0x2affffe6,0x7c403fff,0xdfff03ff,
    0x01fffc80,0x90bfff10,0x26003fff,0x3e604fff,0x7ffc45ff,0xffffffff,
    0x27ffe83f,0xfff35ffe,0x007ffee3,0xffe8fffd,0x7fec000f,0x3fff600f,
    0xbfff3001,0x7ffffffc,0x3fffffff,0x747ffe80,0x3fe00fff,0x7ffe406f,
    0x3e33ffe1,0xfff50fff,0xffffb803,0x744003ff,0x44006fff,0x7c06fffe,
    0xffff8cff,0x203fff50,0x7ff47ffe,0xfff1000f,0xfffea80b,0x40efffff,
    0xffc84fff,0xffff105f,0x00fffec7,0x3e5fff98,0xfffb84ff,0xfff71fff,
    0x29fffb07,0x7c007fff,0xfff506ff,0x9fff305f,0x1007fff4,0x3fe07fff,
    0x7ffe406f,0xbfff1001,0x003fffb0,0xc817ffe6,0x7fc41fff,0xffffffff,
    0xfffc83ff,0x3e2fff88,0x0fffb3ff,0x644fff98,0x6c003fff,0x3f600fff,
    0xff5001ff,0x7ffffc9f,0xffffffff,0x4fff9802,0xf01fffe4,0xffc80dff,
    0x5d3ffe1f,0xfff55fff,0xffffd003,0xfffd000d,0xffe8001f,0x7ffc00ff,
    0x2abfff74,0xff981fff,0x1fffe44f,0x05fff880,0xffffb710,0x4fff8dff,
    0x9effff88,0x7fffeb88,0x800fffec,0x3fe4fffa,0xffffd04f,0x3fffe23f,
    0xffffd98c,0x333ffff4,0x21333333,0x3f606fff,0x7fcc0fff,0x13ffe63f,
    0xf03fff88,0xffc80dff,0xfff1001f,0x03fffb0b,0x413ffea0,0xf886fff8,
    0xccccceff,0xffa81ccc,0x20fffaaf,0xbfff5ffd,0x41fffc80,0x4006fff9,
    0x2e00fffd,0xf7002fff,0x7fffc7ff,0x1effffff,0x07fff200,0x7c0dfff3,
    0x7fec06ff,0xe93ffe1f,0xfffa9fff,0xffff9801,0x7ffe4001,0x7fe4001f,
    0xfff801ff,0x2a7fffa4,0xffc81fff,0x37ffcc1f,0x05fff880,0xffffb300,
    0xa827ffc1,0xffffffff,0x7dc2ffff,0xff7002ff,0x827ffc7f,0x21fffff9,
    0xfffffffc,0xfff4ffff,0xffffffff,0x1bffe9ff,0x45ffff88,0x7ec3fff9,
    0xfff101ff,0x01bffe07,0x2003fffb,0xfb85fff8,0xff7002ff,0x3fff207f,
    0xffeeeeef,0xff10004f,0xb8dff99f,0x3fff9fff,0x667fffc0,0x1ffffccc,
    0x03fff600,0x005fffa8,0x7fc5fffb,0x3fffa66f,0xffff000d,0xfff99999,
    0x1bffe03f,0x7c1fffb0,0x3ffe64ff,0x001fffae,0xb800dfff,0x4003ffff,
    0x003ffffb,0x7fcc9fff,0x81fffaef,0xccccffff,0x801ffffc,0xaa85fff8,
    0x7ffe403b,0x9813ffe2,0xfffffffe,0xfffa82ff,0x5fffb005,0xf9027ffc,
    0xffc83fff,0xfff9ffff,0xfffffff4,0x29ffffff,0x7e406fff,0x3fe62fff,
    0x2fffc43f,0xf03fff88,0xffd80dff,0x7c40cc0f,0xfffa85ff,0x5fffb005,
    0xffffff10,0x9fffffff,0x6fffc000,0x7fcc4ffe,0x201fffcf,0xfffffffa,
    0x05ffffff,0x803fff60,0x401ffff8,0x3e0ffff9,0xfffe86ff,0x7ffd400e,
    0xffffffff,0xfffd05ff,0x07fff401,0xffd89fff,0x001fffef,0x4c00dfff,
    0x4004ffff,0x004ffff9,0xffb13ffe,0xa83fffdf,0xffffffff,0x805fffff,
    0xfe85fff8,0x3fea01ff,0x013ffe3f,0x3fffffb2,0xffff100c,0xffff9803,
    0x8813ffe0,0xda81ffff,0x9fff0cef,0x3ffffffe,0xf4ffffff,0xff880dff,
    0xfff30fff,0x05fff907,0x3a07fff1,0x3fa00fff,0x3fff70ff,0x884fff98,
    0x4c01ffff,0xfb80ffff,0xffffffff,0x0004ffff,0x3ffffff6,0xffffff82,
    0x7ffff407,0xffffffff,0xffb000ff,0xfffc801f,0xfffd100e,0x886fff89,
    0x7405ffff,0xffffffff,0x80ffffff,0xf304fffd,0x4fff8fff,0x7fffffc4,
    0xdfff001f,0x3fffe200,0x7ffc4005,0x7ffc005f,0x7ffffc44,0x7fff41ff,
    0xffffffff,0x7cc00fff,0x17fff205,0xf11fffe8,0xefc9800d,0xfffc800b,
    0xfffd100e,0x379b3009,0x3ffe0000,0x0159b703,0x01bcd980,0x006f7200,
    0xd81fffcc,0xff304fff,0x1fffd4ff,0x640fffea,0xd100efff,0x3fe09fff,
    0xaaaaabff,0x0004fffb,0x3fffffee,0xfffffd80,0x3bffe205,0xeccccccc,
    0xfb003fff,0xff8801ff,0xf731bfff,0xff81ffff,0xffff506f,0x3bffe205,
    0xeccccccc,0xffa83fff,0xfd732cff,0x4fff89ff,0xffffffb8,0x0dfff001,
    0x03bfffa0,0x1dfffd00,0x84fff800,0x1ffffffb,0x333bffe2,0xffeccccc,
    0x027d403f,0x15bffff3,0x4ffffb51,0x654005f9,0xf8805ffc,0x731bffff,
    0x001fffff,0x403fffd3,0xf984defa,0xfffb02ff,0xffe9800b,0xfe88001f,
    0xffa803ff,0xffff502f,0x3ffae659,0x3fffe24f,0x1fffea8b,0x7fffff10,
    0x3fffee63,0x5fffb80f,0x277ffe60,0x99999999,0xfffff980,0xfffff506,
    0x17ffe407,0x01bffe60,0x4007ffec,0xfffffffa,0x82ffffff,0x3f606fff,
    0xffc80fff,0x7ffcc02f,0xfffffd06,0x1fffffff,0xfd04fff8,0x2003ffff,
    0xfc806fff,0x9999afff,0xf9099999,0x33335fff,0x7c133333,0xfffd04ff,
    0x7ffe43ff,0x37ffcc02,0xf901bee0,0xffffffff,0x3fd49fff,0x01ff5000,
    0xffffff50,0x5fffffff,0x40bfd000,0x99cffff8,0x400fffeb,0xd0001ffa,
    0xfd8000bf,0x3fffb207,0x3fffa01f,0xffffffff,0x7fffec0f,0x404fffff,
    0xfffffffa,0x02ffffff,0x4c03fffd,0xffffffff,0xf04fffff,0x2209ffff,
    0x202fffff,0xfd007fff,0xffb003ff,0x3fa6001f,0xffffffff,0x0dfff01e,
    0x42ffffc4,0xfd007fff,0xffd103ff,0xffffffff,0x209fff05,0x01fffff9,
    0xb00dfff0,0xffffffff,0x2dffffff,0xfffffffd,0x6fffffff,0x7cc13ffe,
    0x3fe1ffff,0xfffd007f,0x56ffcc03,0xffffd80c,0x43ffffff,0x01bbdff8,
    0x1bf6a662,0xffffe980,0x01efffff,0x5ff73330,0xfffffd80,0x883fffff,
    0x006fda99,0x0bfee666,0xff533300,0x7ffff409,0x3ffa200e,0xffffffff,
    0xfffff882,0xd3006fff,0xffffffff,0x3fea03df,0x7ffcc06f,0xffffffff,
    0xfffb04ff,0x7fff403f,0x9fff500f,0x17ffee00,0x003fff60,0xfffffd70,
    0x6fff807d,0x0ffffd40,0x2009fff5,0x3205fffb,0xdeffffff,0x409fff00,
    0x001ffffc,0xfb00dfff,0xffffffff,0x36dfffff,0xffffffff,0x26ffffff,
    0x3f204fff,0xfff51fff,0x3ffee009,0x7fffec05,0xffffd301,0x3f603bdf,
    0x3fa02fff,0x8001efff,0xefffffeb,0x3ffe6003,0xff9005ff,0x07ffffff,
    0x07fffff6,0x7ffffcc0,0xffff8005,0xfff100ef,0x3f2003ff,0x0defffff,
    0x3ffff620,0x75c000bd,0x03efffff,0x2017fff4,0xfffffff9,0x04ffffff,
    0xc80ffff7,0x3f606fff,0xff1001ff,0xffd801ff,0x2620000f,0x1bffe000,
    0xd9bfff60,0xf1001fff,0x98801fff,0x9fff001a,0x0ffffc40,0x806fff80,
    0xfffffffd,0x6fffffff,0xfffffffb,0xdfffffff,0xf1027ffc,0x3ff63fff,
    0xfff1001f,0x1bc9801f,0x00133300,0x55006ee6,0x20000355,0x51000098,
    0x88001577,0x00abccba,0x000aaeaa,0x00157751,0x006aeaa0,0x0002b2ea,
    0x40006a62,0x22000019,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33300000,0x99880003,0x4c400009,
    0x4c400099,0x06660009,0x33100133,0x5500ccc1,0x20155415,0x22009998,
    0x20000999,0x26001998,0x00266209,0x9880ccc4,0x80066209,0x06aa62aa,
    0xc8872a00,0x0c408802,0xc8809988,0x31016442,0x55500033,0x00000005,
    0x79006666,0xe9800790,0xf50004ee,0x950003ff,0x98003c85,0x1aaaaaaa,
    0x21aa8800,0x55300aaa,0x10555555,0x0554c555,0xc8800000,0xffc804cc,
    0x3a20001f,0x640006ff,0x2a001fff,0x7000ffff,0x07ff67ff,0x7d5bfe20,
    0x4bff604f,0x7f407ff8,0x3ffa00ef,0xff10000e,0x7ff400bf,0x1006ff88,
    0x3e209fff,0x05ff98ef,0x7dcfff10,0x7fec004f,0x202fdcef,0xe9adffe9,
    0x0ffff987,0x07f20ee8,0x017fff44,0x0017ffa0,0x07f513e2,0x405fff70,
    0x00fea1fc,0x05ffffd0,0x03fff500,0xcffffc80,0xfd8004fc,0x05ffffff,
    0x365ffa80,0xfff702ff,0xf50fffff,0x01ffecbf,0x0033f220,0x801fffa8,
    0x40004ffc,0x0001ffe8,0x4003fff1,0x05fffff8,0x3ff3ffa0,0x37fee003,
    0x7fec06ff,0x540fff12,0x3ea00eff,0x2e0000ef,0x7c4005ff,0x001ffeef,
    0xfa80bff9,0x000fffdf,0x7fdcfff1,0x33be2004,0x200ffffe,0xfffffffc,
    0x7ffff445,0xffeffb85,0x3ffff206,0x3ffa000f,0x37fb0005,0x2e001fd7,
    0x3fe606ff,0x2000fffe,0x0fffbffc,0x0fffd400,0x3fb3fe00,0xd8001fff,
    0x5fffffff,0x25ffa800,0xff702ffd,0x50ffffff,0x1ffecbff,0x13afb200,
    0x00bff500,0x00003ff6,0x2000bff1,0x6c002ffc,0x03ffc9ff,0x0dffff10,
    0x3ffffb00,0x911ccb80,0x07ff4099,0x0003bfa0,0x0001dff0,0x007ffff7,
    0x64017fe2,0x2002ffff,0x33264cc8,0x98ba6002,0x8bf400bb,0x7ec1dfdb,
    0xa83ffc9f,0xf500befd,0x00bff39f,0x8002fff4,0x03fffff9,0x300ffe40,
    0x40039ff9,0xbff34ffa,0x0ccc9800,0xb88fa200,0x0000001c,0xb8f32600,
    0x200001cc,0x332a3cc9,0x7a9fc001,0x01ffb800,0x00003990,0x90001993,
    0xcc880059,0xa8013322,0x88000ccc,0x33302ccc,0x21998801,0x64401ee8,
    0x64c0001c,0x32e0000c,0x3326004c,0x0f332000,0x1aba9800,0x55d4c000,
    0x64400001,0x08132e2c,0x32a4cb80,0x0000001c,0x0000bca8,0x00000597,
    0x26620000,0x99999999,0x98800999,0x88000099,0x26000999,0x98800999,
    0x09998099,0x99999998,0x01999999,0x00bd5d90,0x31006aa0,0x4cc00133,
    0x99999999,0x4ccc1999,0x99999999,0x4cccc199,0x99999999,0x4ccccc19,
    0x00099999,0xff804ccc,0x7ffe406f,0x00026661,0x01333300,0x4c133310,
    0x01999999,0x4c04ccc0,0x99999999,0x26019999,0xfffffffd,0xffb3000d,
    0x01bfffff,0x98013330,0x4ccc0099,0x00099980,0x4ccccccc,0x01999999,
    0x00133310,0x4cc13330,0x99999999,0x4ccc1999,0x04ccc400,0xfffffff9,
    0x07ffffff,0x00dfffb0,0x0dfffb00,0x037ffe40,0x221ffff4,0xfff85fff,
    0xffffffff,0xfd801fff,0x000006ff,0x0037ffec,0xffffffff,0x43ffffff,
    0xffffffff,0x21ffffff,0xffffffff,0x21ffffff,0xffffffff,0x400dffff,
    0xff05fff8,0xfffc80df,0xff13ffe1,0xff9000ff,0xfffd00df,0x7fffffc7,
    0x202effff,0xff85fff8,0xffffffff,0xfb81ffff,0xffffffff,0x7fdc02ff,
    0xffffffff,0x3ffe202f,0x17ffe205,0x445fff88,0x7c004fff,0xffffffff,
    0x801fffff,0x4006fffd,0x3fe5fff8,0xffffffff,0x3fe1ffff,0x7ffdc06f,
    0x3fffff22,0xffffffff,0x7fffc403,0x3e20001f,0x2001ffff,0x2e03fffe,
    0xff886fff,0xfffff85f,0xffffffff,0x7ffc401f,0x7fc001ff,0x3ffe204f,
    0xfff001ff,0xffffffff,0x7ffc3fff,0xffffffff,0x3ffe1fff,0xffffffff,
    0x3ffe1fff,0xffffffff,0x3e200eff,0xdfff05ff,0x21fffc80,0x7ffc4fff,
    0xfffd0007,0x37ffdc07,0x3ffffffe,0x80dfffff,0xff85fff8,0xffffffff,
    0x7dc1ffff,0xffefffff,0xf703ffff,0xffdfffff,0x2207ffff,0x3e205fff,
    0x3fe205ff,0x27ffc45f,0x3ffffe00,0xffffffff,0x7ffc401f,0x3e2001ff,
    0x3fffe5ff,0xffffffff,0x1bffe1ff,0x645fff70,0xffffffff,0x403fffff,
    0x04fffffc,0x3ffff200,0x3fea004f,0xfff880ff,0x5fff881f,0xfffffff8,
    0x1fffffff,0x7ffffe40,0x27ffc004,0x9fffff90,0x3ffffe00,0xffffffff,
    0x3ffffe1f,0xffffffff,0x3ffffe1f,0xffffffff,0x3ffffe1f,0xffffffff,
    0x3ffe207f,0x80dfff05,0x3fe1fffc,0x03fffc4f,0x0ffffa80,0x41ffff88,
    0xffffffff,0x886fffff,0xfff85fff,0xffffffff,0x3fe61fff,0x7ec40dff,
    0x7fcc0fff,0x7ec40dff,0xff880fff,0x3ffe205f,0x17ffe205,0x8009fff1,
    0xffffffff,0x01ffffff,0x27ffffe4,0x4bfff100,0xffffffff,0x21ffffff,
    0x7dc06fff,0x3a2002ff,0x7c00efff,0x00ffffff,0xffffff00,0x7fec001f,
    0x4fffd85f,0xf0bfff10,0x40000dff,0x0fffffff,0x813ffe00,0x0fffffff,
    0x006fff80,0x000dfff0,0x4001bffe,0x3ee06fff,0xff101fff,0x1bffe0bf,
    0x7c3fff90,0x3fffc4ff,0xbfffb000,0xf09fffb0,0xff930dff,0xfff887ff,
    0x006fff85,0x809fffd0,0x7f45fffc,0x7fe404ff,0x5fff885f,0x817ffe20,
    0x7c45fff8,0x7fc004ff,0x3e00006f,0x00ffffff,0x7cbfff10,0xff0006ff,
    0xfffb80df,0x3fff6002,0x7ffd400f,0x8003fffd,0xfffdfffa,0x3ffe2003,
    0x1bffe61f,0xf85fff88,0x500006ff,0x7fffbfff,0x827ffc00,0xfffdfffa,
    0x06fff803,0x00dfff00,0x001bffe0,0x32037ffc,0xff103fff,0x1bffe0bf,
    0x7c3fff90,0x3fffc4ff,0xffff1000,0x837ffcc3,0x3e606fff,0x3fe20fff,
    0x06fff85f,0x0ffff880,0x8ffffc40,0x400ffff8,0x441ffff8,0x3e205fff,
    0x3fe205ff,0x27ffc45f,0x6fff8022,0xfff50000,0x2007fffb,0x3fe5fff8,
    0xfff0006f,0x2fffb80d,0x3ffff900,0xf1fffb00,0xfb000dff,0x0dfff1ff,
    0x26fffb80,0x2202fffe,0xfff85fff,0xffb00006,0x00dfff1f,0xfd827ffc,
    0x06fff8ff,0x0006fff8,0x2000dfff,0xf0006fff,0xffa80dff,0xbfff104f,
    0x901bffe0,0x7ffc3fff,0x003fffc4,0xe9bffee0,0xfff02fff,0x3fffc80d,
    0x3e17ffe2,0xf98006ff,0xff9004ff,0x13ffe65f,0x217ffe40,0x2205fff8,
    0x3e205fff,0x7ffc45ff,0x07dfff94,0x0000dfff,0x3fe3fff6,0xfff1006f,
    0x0037ffcb,0x5c06fff8,0xfa802fff,0xf8803fff,0x3fff95ff,0xafffc400,
    0x4001fffc,0xffbbfffd,0x7ffc405f,0x006fff85,0x95fff880,0x3e003fff,
    0xfff884ff,0x803fff95,0xf0006fff,0x3e000dff,0xff0006ff,0xfffc80df,
    0x0bfff103,0xf901bffe,0x27ffc3ff,0x0001fffe,0x3eeffff6,0x3ffe05ff,
    0x27ffcc06,0xff0bfff1,0xff7000df,0x3fea005f,0x05fff73f,0x10fffea0,
    0x7c40bfff,0x3fe205ff,0x6fffc45f,0x4ffffffe,0x00037ffc,0xfcafffc4,
    0xff8801ff,0x01bffe5f,0x2037ffc0,0x4c02fffb,0x7005ffff,0x3fe65fff,
    0x3fee004f,0x09fff32f,0xfffff880,0x7c400fff,0xffff85ff,0xeeeeeeee,
    0x3ffee02e,0x009fff32,0x3ee13ffe,0x9fff32ff,0xeeffff80,0x2eeeeeee,
    0x7777fffc,0x42eeeeee,0xeeeeffff,0x7c2eeeee,0x64ccc6ff,0xf100ffff,
    0x3ffe0bff,0x0fffe406,0xfff89fff,0xff880007,0x00ffffff,0xf101bffe,
    0x7ffc4bff,0xeeffff85,0x2eeeeeee,0x4007fff2,0xff94fff9,0x3fe6003f,
    0x2fffc44f,0x40bfff10,0x7c45fff8,0xfeceffff,0x3ffe0fff,0xeeeeeeef,
    0x3fee02ee,0x09fff32f,0x7cbfff10,0xeeeeefff,0x7fc2eeee,0xccccccff,
    0x202fffec,0x006fffe8,0xffd1fffa,0x3ffa001f,0x007fff47,0x3ffffee0,
    0xfff8803f,0xffffff85,0x3fffffff,0xfd1fffa0,0xfff001ff,0xe8fffd09,
    0x3fe00fff,0xffffffff,0x7ffc3fff,0xffffffff,0x7fffc3ff,0xffffffff,
    0x7ffffc3f,0xffffffff,0x3ffe203f,0x80dfff05,0x3fe1fffc,0x03fffc4f,
    0xffffb800,0x7ffc03ff,0x26fff806,0xff85fff8,0xffffffff,0x3ff63fff,
    0xfff3001f,0x007fff6b,0x222fffcc,0x3e205fff,0x3fe205ff,0x7fffc45f,
    0xf17ffe44,0xffffffff,0x7407ffff,0x7fff47ff,0x2fffc400,0xffffffff,
    0xf87fffff,0xffffffff,0x02ffffff,0x003ffffa,0x3227ffcc,0xf9803fff,
    0x7ffe44ff,0xfffe8003,0xfff1006f,0xffffff0b,0x7fffffff,0x913ffe60,
    0xff007fff,0x4fff989f,0xf01fffe4,0xffffffff,0xff87ffff,0xffffffff,
    0x7ffc3fff,0xffffffff,0x7fffc3ff,0xffffffff,0x7ffc402f,0x80dfff05,
    0x3fe1fffc,0x03fffc4f,0xffffd000,0x0dfff00d,0x7c4ffff0,0xffff85ff,
    0xffffffff,0x07fff63f,0xda7ffd40,0xf5001fff,0xfff889ff,0x17ffe205,
    0x445fff88,0xff987fff,0x3ffffe3f,0xffffffff,0x89fff303,0x4403fffc,
    0x3ffe5fff,0xffffffff,0x7fffc3ff,0xffffffff,0xff902fff,0x7e4003ff,
    0x7ffcc1ff,0x1fffc806,0x0037ffcc,0x00ffffcc,0xf85fff88,0xcccccfff,
    0xf901cccc,0xfff983ff,0x44fff806,0x7cc1fffc,0x3ffe06ff,0xcccccccf,
    0x7fffc1cc,0xcccccccc,0x67fffc1c,0xcccccccc,0x7fffffc1,0x001effff,
    0x3e0bfff1,0x7fec06ff,0xf13ffe1f,0x40000fff,0x801ffff9,0x7c406fff,
    0x3ffe27ff,0xccffff85,0x1ccccccc,0x400bffee,0xff73fffb,0x3fee005f,
    0x2fffc43f,0x40bfff10,0x7c45fff8,0xfff885ff,0x333fffe4,0x1ccccccc,
    0x983fff90,0x7c406fff,0x3fffe5ff,0xcccccccc,0x67fffc1c,0xfecccccc,
    0xfffb82ff,0x7ffc003f,0xffcccccf,0x7ffc01ff,0xffcccccf,0xff8001ff,
    0x3fe2006f,0x06fff85f,0x67fffc00,0xffffcccc,0x227ffc01,0xccccffff,
    0xf01ffffc,0x3e000dff,0xff0006ff,0x3fe000df,0x3fffa66f,0xfff8800d,
    0x80dfff05,0x3fe0fffd,0x03fffc4f,0x1bffe000,0x2037ffc0,0x3e25fff8,
    0x6fff85ff,0x5fffa800,0x25fffb00,0xb005fffa,0xff885fff,0x3ffe205f,
    0x17ffe205,0xf109fff1,0x37ffc9ff,0x3fffe000,0xfffccccc,0x3ffe201f,
    0x001bffe5,0x2e037ffc,0x7fcc2fff,0x7d4004ff,0xffffffff,0x2a05ffff,
    0xffffffff,0x005fffff,0x2006fff8,0xff85fff8,0x3ea0006f,0xffffffff,
    0x7c05ffff,0x3ffea4ff,0xffffffff,0xdfff05ff,0x1bffe000,0x037ffc00,
    0xe86fff80,0x4400efff,0xffd05fff,0x7fff401f,0xff13ffe0,0xf80000ff,
    0xfff006ff,0x4fff980d,0x3e17ffe2,0xf88006ff,0x7cc01fff,0xfff10fff,
    0xfff9803f,0x2fffc40f,0x40bfff10,0x7c45fff8,0xfff884ff,0x001bffe4,
    0xffffffa8,0x5fffffff,0xf97ffe20,0xff0006ff,0xfffb80df,0x17fffe22,
    0x3ffffa00,0xffffffff,0xfffd00ff,0xffffffff,0xf8001fff,0x3e2006ff,
    0x6fff85ff,0x3fffa000,0xffffffff,0x3fe00fff,0x3ffffa4f,0xffffffff,
    0x6fff80ff,0x0dfff000,0x01bffe00,0x4437ffc0,0x4405ffff,0xffb05fff,
    0x3ffe609f,0x3e27ffc7,0x400007ff,0xff006fff,0xfffc80df,0x217ffe23,
    0x90006fff,0x2201dfff,0x7e44fffe,0xfd100eff,0xfff109ff,0x2fffc40b,
    0x88bfff10,0xff884fff,0x01bffe4f,0xfffffe80,0xffffffff,0xbfff100f,
    0x80037ffc,0x7dc06fff,0x3fffa2ff,0x7fc4000e,0xccccccef,0x883fffec,
    0xccccefff,0x3fffeccc,0x037ffc00,0xf0bfff10,0x22000dff,0xccccefff,
    0x3fffeccc,0x7c53ffe0,0xccccceff,0x83fffecc,0xf0006fff,0x3e000dff,
    0xff0006ff,0x3ffea0df,0x3ffe202f,0x9ffff505,0x3fffae65,0x3e27ffc4,
    0x400007ff,0xff006fff,0x7ffcc0df,0x42fffc46,0x10006fff,0x237fffff,
    0x0fffffb9,0x5fffffc4,0xfffff731,0x0bfff101,0x102fffc4,0xff88bfff,
    0x4fff884f,0x4001bffe,0xcccefff8,0xfffecccc,0x4bfff103,0xf0006fff,
    0xffb80dff,0x5ffff92f,0x33333333,0x17ffe413,0x21bffe60,0x4c02fffc,
    0x7c006fff,0x3e2006ff,0xefff85ff,0x99999999,0x3fff2099,0x37ffcc02,
    0x0bfff200,0xf0dfff30,0x33333dff,0x7c133333,0x99999eff,0x3e099999,
    0x99999eff,0x3e099999,0x3ff606ff,0xfff100ff,0x7ffff40b,0xffffffff,
    0x3e27ffc0,0x99999fff,0xf0009999,0x3fe00dff,0xca9999ef,0x7c42ffff,
    0xefff85ff,0x99999999,0x7ffd4099,0xffffffff,0xfff502ff,0xffffffff,
    0x3fe205ff,0x3ffe205f,0x17ffe205,0xf109fff1,0x77ffc9ff,0x99999999,
    0x3fff2099,0x37ffcc02,0x3e5fff88,0x99999eff,0x3e099999,0x7fdc06ff,
    0xfffffb2f,0xffffffff,0x03fffcdf,0x7c1fffe8,0xffd007ff,0x7ffc003f,
    0x3ffe2006,0xffffff85,0xffffffff,0x401fffe4,0x2001fffe,0xfd007fff,
    0xffff83ff,0xffffffff,0x3fffe4ff,0xffffffff,0x3fffe4ff,0xffffffff,
    0x1bffe4ff,0x05ffff88,0x440bfff1,0xfffffffe,0xfff82fff,0x7fffffc4,
    0x4fffffff,0x00dfff00,0x3ffffffe,0x85ffffff,0xff85fff8,0xffffffff,
    0xe984ffff,0xffffffff,0x7f4c01ef,0xffffffff,0x3ffe201e,0x17ffe205,
    0x445fff88,0xff884fff,0x3ffffe4f,0xffffffff,0x01fffe4f,0x440ffff4,
    0x3ffe5fff,0xffffffff,0x3ffe4fff,0x97ffdc06,0xfffffffd,0x6fffffff,
    0x2009fff5,0x3ea5fffb,0xff7004ff,0x7ffc00bf,0x3ffe2006,0xffffff85,
    0xffffffff,0x009fff54,0x4017ffee,0x7004fffa,0xfff8bfff,0xffffffff,
    0x3ffe4fff,0xffffffff,0x3ffe4fff,0xffffffff,0x3ffe4fff,0x7fffd406,
    0x05fff881,0xffffffc8,0x9fff00de,0xfffffff8,0x04ffffff,0x200dfff0,
    0xffffffff,0x880cffff,0xfff85fff,0xffffffff,0x3ae04fff,0x03efffff,
    0x7ffff5c0,0xff8803ef,0x3ffe205f,0x17ffe205,0xf109fff1,0x7fffc9ff,
    0xffffffff,0x9fff54ff,0x17ffee00,0xff97ffe2,0xffffffff,0x3fe4ffff,
    0x7ffdc06f,0xffffffb2,0xffffffff,0x007fff6d,0xd87fffc4,0xf1001fff,
    0x3e001fff,0x3e2006ff,0xffff85ff,0xffffffff,0x3fffb4ff,0x3fffe200,
    0x1fffd800,0x1ffff100,0x7ffffffc,0x4fffffff,0x3ffffffe,0x4fffffff,
    0x3ffffffe,0x4fffffff,0x3601bffe,0xff886fff,0x2a62005f,0x89fff001,
    0xffffffff,0x004fffff,0x3e00dfff,0xefffffff,0x3fe200cd,0xfffff85f,
    0xffffffff,0x0131004f,0x00262000,0x40bfff10,0x2205fff8,0x7fc45fff,
    0x4fff884f,0x3ffffffe,0x4fffffff,0x2003fffb,0x440ffff8,0x3ffe5fff,
    0xffffffff,0x3ffe4fff,0x17ffdc06,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22155500,
    0x2a2002aa,0x0aaaaaaa,0x54179100,0x07ae000c,0x2aa1aa98,0x0000000a,
    0x53000020,0x10000357,0x33260000,0x3100002c,0x6664c013,0x000c4000,
    0x4c000998,0x98001ccc,0x99102ccc,0x900e6547,0x00e65479,0x33099980,
    0xc8804003,0x40332a3c,0x4c00aba8,0x644000cc,0x2a2003cc,0x98000abb,
    0x80001ccc,0x95000999,0x99100399,0x03999159,0x44000198,0x26620aba,
    0x99999999,0x87ffc009,0x26006ffa,0xffffffff,0xffff9800,0x26006fcd,
    0x3ff203fd,0x4007ffe4,0x4c09aba9,0x6fecc00e,0x3ff62000,0x00dfffff,
    0x0027f540,0x0037fec0,0x37fd4388,0x003fff50,0x0bbfffb2,0xffffff70,
    0xfffd0019,0xdffb000d,0x4d7fe401,0x7fdc06ff,0x0006ff8b,0x7ffd3ffe,
    0x2e3ffe61,0xffc83eff,0xf505ff9a,0x7403ffff,0xffb8006f,0xfff9001f,
    0x44007fff,0x0006fffe,0xf005fff8,0x3ee009ff,0x05ffb8ef,0xbdffffb5,
    0x3ffa6003,0xffa8dfff,0xffffffff,0x87ffc04f,0x26006ffa,0xffffffff,
    0xfddfc800,0xf9804fff,0x40bfffff,0x3ffe4ffc,0x3fff6201,0xf99dffff,
    0x7576c06f,0xffff7005,0x7fffffff,0x17d67c00,0x1dff3000,0xa8bf7000,
    0x3fea06ff,0x7ff4401f,0xd04fffff,0xffffffff,0xfdffc80b,0x3fe2004f,
    0xeffe800e,0xffd800ff,0x20001ffe,0x3fff4fff,0x7fdfffcc,0xffe882ff,
    0xff880fff,0xf506ffcf,0xfff0005f,0x3fff2003,0x003fffff,0x09ffbff9,
    0xffeeed80,0x3ee00eff,0x3ffe005f,0x980eff88,0xffffffff,0x7ffd402f,
    0xfcefffff,0xffffffff,0x666404ff,0x00079930,0x44bb0000,0xffa802ca,
    0x46ffffff,0x33322cca,0xfffff700,0xffffffff,0xf72f803f,0xfffff900,
    0xffffffdf,0x361f3007,0x3bf20004,0x5ffe8000,0xf5037fd4,0xffd803ff,
    0x3ffffdff,0x5defffdc,0xf503fffd,0x00bff69f,0x88007fe4,0x1003ffff,
    0x0007ffff,0xfff4fff8,0x7ffffcc3,0xff300fff,0x3ff205ff,0xfd05ff92,
    0x5ff5000d,0x37ffe200,0x807ffd99,0x5ffb4ffa,0x7ffffc00,0x3a00ffff,
    0x3fea005f,0x3a03ff71,0xffeddfff,0x3ffe207f,0xffffeeff,0xffffffff,
    0x31004fff,0x4cc00133,0x99999999,0x4ccc1999,0x20ccc400,0xefeffff8,
    0x33302fff,0xffffc801,0xfffffeff,0xbec802ff,0x7ffc404e,0x7fecc0df,
    0xcdf800ff,0x2aa0001f,0xbffd0000,0x400017e0,0x3624fffa,0x2ffec7ff,
    0xaa826fec,0xa8015542,0x554c000a,0x1554c002,0x27ffc000,0x7ffcc1f7,
    0x4c0399df,0x3ff602aa,0xfa87ff71,0x1a98002f,0x87ffea00,0x5400fff8,
    0x0015542a,0xdfff9999,0x00aa2019,0x0d543530,0x6c1fffa8,0xffb00fff,
    0xfffc81df,0x3600007f,0x3e006fff,0xffffffff,0x3e1fffff,0x3ea01fff,
    0x3ffea1ff,0x6ffeafc8,0x205fff88,0x20dffff8,0x1ffffdb8,0x00cec880,
    0x2027ffec,0x9805fffd,0x4c4002ed,0x74002201,0x03f985ff,0x7fec00c4,
    0x1fffcc0f,0x0037fffb,0x40004cc0,0x99800099,0x20000000,0xd27ffc08,
    0x0ffff98f,0x3600cc00,0x89ff50ff,0x220006fe,0xff880a80,0x03ffee5f,
    0x10003300,0x005fff81,0x00000033,0x3ffee062,0x07fff980,0x001ffff2,
    0x7ffffc40,0xfffff001,0xffffffff,0x37fffc3f,0x5c3fff50,0x513f96ff,
    0xbfff1035,0x027ffec0,0x00bffffb,0x3fe60066,0x7fc400ff,0x400001ff,
    0xefffffc8,0xcefffd89,0xfffffc81,0x206fa9ff,0x02efffec,0x3333dffd,
    0x7dc9fff3,0x0adfffff,0x7ffffdc0,0x3fee00cf,0x200cffff,0xcffffffb,
    0x41fffc40,0x6443fff8,0xfff3efff,0xf985fd19,0xfd5005ff,0xfb05dfff,
    0xa8ffee3f,0x6c4002ff,0xfaacefff,0x35fffd06,0x2a00bfff,0x02effffe,
    0xf9f7ffe4,0x3faa05ff,0xf882efff,0xfff883ff,0x7fedcc03,0xfffb81ff,
    0x1fffe203,0x7ffe4000,0xfff004ff,0xffffffff,0x7ffc3fff,0xfff502ff,
    0xfcbffd43,0x5fff8801,0x01ffff30,0x3ffffff2,0xffffb500,0xfff503bd,
    0x3fff2009,0x20fffe22,0x7f43fff8,0xffffffff,0x1fffffff,0x7fffffe4,
    0xe880c99f,0x4fffffff,0xfffffff8,0x6c4fffff,0xffffffff,0xffffe80c,
    0xfd05ffff,0xbfffffff,0x3fffffa0,0x7fc45fff,0x3fff883f,0x3fffffa2,
    0x3b4fffdf,0x009fff30,0xfffffffb,0x92ffc87f,0x037f45ff,0x3ffffea0,
    0x502fffff,0xffffffff,0xffffb003,0xd107ffff,0xfbffffff,0x3ff60bff,
    0x43ffffff,0xf883fff8,0xffdb83ff,0x81ffffff,0x7400fffc,0xf00007ff,
    0x01ffffff,0x000dfff0,0x03fffffe,0xff07ffea,0x1003fbbf,0x3ea0bfff,
    0xbff704ff,0xf305fff9,0xffffffff,0x02fffb85,0x447fff70,0xff883fff,
    0x3bfff23f,0xffffffec,0x20ffffdd,0xfffffffc,0x7fffec01,0x223ffffd,
    0xffffffff,0xeb85ffff,0x5fffffff,0x5defffdc,0x7dc3fffd,0xffdbbdff,
    0x6fffdc3f,0x23fffdbb,0xf883fff8,0x3fff63ff,0xfffffedf,0x1fffcc04,
    0x3bfffee0,0x221ffffe,0x27ffcfff,0x26002ffa,0xffdfffff,0x3f600fff,
    0x801effff,0xfeeffffb,0x7fec1fff,0xffffedff,0xffffb85f,0x21ffffee,
    0xf883fff8,0x7ffec3ff,0x1fffccef,0x400fffe8,0xccccfffd,0xfa804ccc,
    0x03fffdff,0x0006fff8,0x09ffffff,0xfd83fff5,0x8803ffff,0xff905fff,
    0x2dff505f,0xfe83fffb,0xfffeddff,0x00fffec7,0x224fffa8,0xff883fff,
    0x87ffd13f,0x221ffffc,0xffe86ffe,0x9fff5005,0x3e3ffec4,0x4c0005ff,
    0x0fffffdb,0x3f617ff6,0x42ffec4d,0x7fec4dfd,0x224dfd85,0xff883fff,
    0x3dfff33f,0x027fffd4,0x880fffe6,0x3e61efff,0x7ffdc5ff,0x01bfa1ff,
    0x445fffd0,0xf504fffe,0x001fffff,0x4c3dfff1,0x3fe65fff,0x3ffaa1ef,
    0x77ffc45f,0x897ffe61,0xff883fff,0x33fff23f,0x207ffea0,0xfc807fff,
    0xffffffff,0xfffd807f,0xf806fff8,0xff0006ff,0xa83fffff,0x7fcc1fff,
    0x00cfffff,0x360bfff1,0x7fcc1fff,0x89fff50e,0x7ec1fffa,0x3fff60ff,
    0xbfff3001,0x441fffc4,0xa8183fff,0xff985fff,0x02fff40f,0x4c0fffd8,
    0x3ffa3fff,0x9881a80f,0x3fffb81a,0x006ffff6,0x00dfffec,0x01bfffd8,
    0x883fff88,0xfff93fff,0x09fff707,0x203fff98,0xcc81fffb,0x0aca981b,
    0x3530bfea,0xd89fff50,0xfb87ffff,0x24ffffff,0x03fff700,0x7fe43799,
    0x5fffb83f,0x640fffdc,0x3ffe21bc,0x23fff883,0xffb86ffe,0x07fff81f,
    0xffffffc8,0x4407ffff,0xfff95fff,0x06fff803,0xffdfff00,0x1fffa8df,
    0xfffffe98,0xfff881ff,0x43fffd05,0x3e60fff9,0x703105ff,0x7fe41fff,
    0xfff5001f,0x41fffc49,0x2603fff8,0x9cffffdb,0x2fff9999,0xe802fff4,
    0x99999eff,0x3fee4fff,0x97ffe44f,0xf986fff8,0x3ffee3ff,0x700adfff,
    0x5bffffff,0x3fffee01,0xf880adff,0xfff883ff,0x101fffb3,0xf9809fff,
    0x3ff203ff,0xfe800007,0x3bfffa66,0xc87fff20,0x21fffbef,0xffbefffc,
    0x43bff2ff,0x6c007ffc,0xff881fff,0x03ffe45f,0x20fffe20,0x3fa3fff8,
    0x7fff446f,0x807ffe81,0xccccfffc,0x7dc04ccc,0x9fff32ff,0xeeffff80,
    0x2eeeeeee,0x7fee7ffc,0x07ffea3f,0xfffffe98,0x05fff886,0x3a25fffb,
    0x7ffd41ff,0xffdb9804,0x3ffee1ff,0x7fff7002,0x441fffc4,0x7ed43fff,
    0xffffffff,0xffffffff,0x802fff43,0xffffffff,0x7fc4ffff,0xfffdbeff,
    0x5f7ffec5,0x40fffeca,0xfffffffd,0xfffd80cf,0x80cfffff,0xfffffffd,
    0x3ffe20cf,0xd3fff883,0x3fe20dff,0x7ffcc04f,0x01fff603,0x25ff5000,
    0x6ffefff8,0xffb9fff6,0xf12fff98,0x3fee1dff,0x21fffbff,0x74007ffd,
    0x3ffe07ff,0x003ffec5,0x220fffe2,0x3fee3fff,0xfffecadf,0x0fffd81f,
    0x003ffec0,0xfd1fffa0,0x7ffc01ff,0xffffffff,0x67ffc3ff,0xf50ffff8,
    0xcfc803ff,0x7c40fffe,0xfff905ff,0x705ffd17,0x36e07fff,0xffffffff,
    0x213ffea1,0x0fffec09,0xf107fff1,0x7ffec7ff,0xffffccff,0xffffffff,
    0x402fff43,0xfffffff8,0x4c5fffff,0xfffffffe,0x7fff440e,0x02ffffff,
    0xffffffd7,0x3ffae0bf,0x705fffff,0xfffffffd,0x41fffc4b,0xffd3fff9,
    0x13ffe20f,0x407fff30,0x00007ffe,0x5ff737f4,0x7fec7ff6,0x3e63ff56,
    0x5fff52ff,0xffffffc8,0x003fff46,0x7c41fffa,0x3fff45ff,0x0fffe200,
    0xf88fffe6,0xfdffffff,0xfffc83ff,0x03fffc02,0x89fff300,0x3e03fffc,
    0xffffffff,0x7fc3ffff,0x2bfff74f,0x6401fffa,0x887ffd1f,0xff505fff,
    0x205ffbbf,0xfd82fffd,0xffccefff,0x3fffe21f,0x7cc67f40,0x3fe20fff,
    0x3fff983f,0x543bfff5,0x9999cfff,0x7f409999,0xbfff005f,0x3ff62000,
    0x2e00bdff,0x1dfffffe,0xfffdb980,0x36e600ff,0x200fffff,0xfffffdb9,
    0x309fff10,0x3ff67fff,0x4fffa80f,0x01fffcc0,0x0620fff9,0x6c5ff500,
    0x27ff71ff,0x2ff9fffc,0x7ec7fff2,0xffffd07f,0x07ffc87f,0x3fffb031,
    0xc8bfff50,0x103107ff,0xff309fff,0xfffea87f,0x70dffb3f,0x7cc0bfff,
    0x320007ff,0x7fcc1fff,0x3fffe06f,0xcccccccc,0xd27ffc1c,0xfff53fff,
    0xfc966543,0xf88bff91,0xfff105ff,0x3e607fff,0x7fe40fff,0x3ffea0cf,
    0x32fffe41,0xfffdffff,0x84fff889,0xff93fff9,0x0dfff70f,0x3ffa0151,
    0x1fffd005,0x3f200350,0x77f4c002,0x0353100a,0x4c47fff7,0x3fffb81a,
    0x3ee06a62,0x13ffe3ff,0x7e4fffea,0xfffc82ff,0x0acd9804,0xb05fff70,
    0xfd001dff,0x3ea7fe8d,0xfffff54f,0xb0fffe87,0xff103fff,0xffb81fff,
    0x0effd82f,0xf905fff7,0xfffb8bff,0x20effd82,0xffa84fff,0xc813103f,
    0xffff102f,0x1ffffa03,0xcffff800,0xffffcccc,0x00dfff01,0xf993ffe0,
    0x1fffaeff,0x8fe5bffa,0x7fc43ffd,0x3fff205f,0x3fff604f,0xb86ffe84,
    0x7fc41fff,0xfd889eff,0xf80fffff,0xfffa84ff,0xe81fffb3,0x7ec2ffff,
    0x37ff40ff,0x44fffb80,0x6c02fffc,0x6654002f,0xfff885ff,0x13fff986,
    0xff30dfff,0x1bffe27f,0xfe8fffe6,0x3ffe20ff,0x1dfff33f,0x027fffd4,
    0x407fffdc,0x262efff9,0xfa805fff,0xb87fec2f,0x3fffa3ff,0x93fff224,
    0x220dfffb,0x1ffffffd,0x98bbffe6,0x3fe65fff,0x3ffea0ef,0x77ffcc5f,
    0xd17ffe62,0x7fc41fff,0x7ec003ff,0x3ffff201,0xfffea89b,0x999999ff,
    0xfffa8199,0xffffffff,0xdfff05ff,0x13ffe000,0xfffdfffb,0x667ffdc3,
    0x41fffa9f,0x2205fff8,0x20beffff,0x80ffffe9,0x7f446ffe,0xfffa81ff,
    0xffffffff,0xfffd05ff,0x9ffffc41,0xebbefff9,0xceffffff,0xfd83fffe,
    0x7c02eeff,0xffdbefff,0x04fe805f,0x203fea00,0xcabefffd,0x3f60fffe,
    0xfecabeff,0x3fff60ff,0xfffecabe,0x33bfff60,0x23fffffd,0xfedffffd,
    0x2004ffff,0xff903ff8,0xffffddff,0x90dfd005,0x8bff25ff,0xfceffffa,
    0xffe86fff,0xffffeeff,0x324fffff,0xffeeffff,0x7ffec2ff,0xfffffedf,
    0xeffffc85,0x6c2ffffe,0xffdcefff,0x74003fff,0x3ffe203f,0xffffffff,
    0xffffffff,0xffe87fff,0xffffffff,0xff80ffff,0xfff0006f,0xfffff889,
    0x3ffe21ff,0x5fffefff,0x205fff88,0xfffffffb,0x2ffffffe,0x95bfff70,
    0x203ffffd,0xffffffe9,0x2effffff,0x6e77ffec,0x3a3fffff,0xefffffff,
    0xfffffffc,0xffff705f,0xffe9807f,0x00efffff,0x04bcffb8,0x37ed4cc4,
    0xfffffe88,0x7442ffff,0xffffffff,0x7fff442f,0x42ffffff,0xfffffff9,
    0x3a23ffea,0xdcffffff,0x266204ff,0xb101ffc9,0xffffffff,0x05ff5007,
    0xfff7dff3,0x7ffffe41,0x981effff,0xfffffffe,0x1fffebef,0x3fffff62,
    0xfe883fff,0xfdcfffff,0xfffd885f,0x983fffff,0xafffffff,0x64003ffe,
    0xe983bcff,0xefffffff,0xfffffffa,0x7c47ffff,0xccccceff,0x83fffecc,
    0xf0006fff,0xfff709ff,0xffa83fff,0x0effffff,0x505fff88,0xfffffdff,
    0x03dfffff,0x7fffffc4,0x403fffdf,0xdfffffeb,0x22ffffec,0xfffffff9,
    0x3a63ffea,0x222effff,0x0bdffffd,0x7ffffb10,0xffffb100,0x3e20017b,
    0x7f407fff,0x5c01efff,0x1dfffffe,0x3ffffae0,0x3fae01df,0x301dffff,
    0x3a3dfffd,0x7fe443ff,0x09ffb3ef,0x1fffffdc,0x7ffff5c0,0x0dfd002e,
    0x17ffffe4,0xffd75df5,0xff9007df,0xfc89ffff,0xffffd703,0xfffc805d,
    0x40bffb3f,0x2effffeb,0x3bfffa60,0x8007ffd1,0x106ffff9,0x2bfffff9,
    0xfffffffa,0x7e47ffff,0x7fcc02ff,0x9efff86f,0x99999999,0x413ffe09,
    0x81fffffe,0x3effffd8,0x417ffe20,0xffb88ffe,0x003effff,0x27ffffd5,
    0x22006ffd,0x86ffc809,0xd1efffe9,0x033107ff,0x98800330,0x01310000,
    0x00565400,0x0006aaa6,0x88003331,0x4c400199,0x02620019,0x80004c00,
    0x000aaba8,0x30004cc4,0xdca805dd,0x4c41d81c,0x09988000,0x26620060,
    0x0004c000,0x80026620,0x80000098,0x98800aca,0x7fc00000,0xfffd007f,
    0xffffff83,0xffffffff,0x4c13ffe4,0x201fffff,0xf8802fd8,0x03d105ff,
    0x88000266,0x00000009,0x04c40593,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09fff500,0xf17ffee0,0xffffffff,0x7c9fffff,
    0x3ff204ff,0x0fe401ff,0x02fffc40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0fffec00,0x0ffff880,
    0x3ffffffe,0x4fffffff,0xf8813ffe,0x65401fff,0x5fff8800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03575300,0x66404cc4,0x880732a3,
    0x0b32a4cc,0x001332a0,0x2a026664,0x98001ccc,0x026201cc,0xca8f3220,
    0x1301002c,0x03332a00,0x06665c00,0x007332a0,0x22004ccc,0x03331199,
    0x00026662,0x100004c4,0x20266601,0x0000aba8,0x49990011,0xc9803cc9,
    0xcb8000cc,0x332600cc,0x0330002c,0x20026200,0x79910ccb,0x910ccb80,
    0x06540079,0x32a00726,0x04cca8cc,0x0032a12e,0x1664c997,0x055d4c40,
    0x7ffec400,0x6c0dffff,0xbffb86ff,0x7cc06ff8,0x013ff27f,0x009ffff3,
    0x401fffa8,0x8005ffe8,0xffb81ffb,0x3e601eff,0x00fff26f,0xf317dfd5,
    0xffff3009,0xfff3000b,0x17ffa005,0x2037ffc0,0xffa9fffc,0x3dffb01f,
    0x7ec405f7,0xf881efff,0xffec89ff,0x737ffc3e,0x05ffffff,0x3b25fff1,
    0x3fe03fff,0x80bff50f,0x005ffff8,0x401fffc4,0x2a006ffd,0x02effffe,
    0x77fffec4,0x757fe601,0x7ff401ff,0x400dff31,0x007ec4f8,0xfff9fff4,
    0xf88bee02,0x8cffa805,0x32200ffe,0x4fffffff,0xfffff700,0x45ffffff,
    0xffb06ffd,0xf9803ffd,0x013ff27f,0x05ffbffd,0x8017ff40,0x4000ffe8,
    0xfffd87fd,0xf303ffff,0x01ffe4df,0x3ffffffa,0xdffe802f,0x7ec002ff,
    0x3fa2003f,0x6fff801f,0x54fffe40,0x3ee01fff,0xd300cfff,0x7fffffff,
    0xfeafff88,0x3e3fffff,0xfffd8eff,0x440fffff,0xfffebfff,0xfff05fff,
    0xb017fea1,0x007ffbff,0xb001ffe4,0xffb005ff,0x07ffffff,0x3fffffe6,
    0x3fee01ff,0xfe803ffe,0x00dff31f,0x4ffdffd8,0xf74ffa80,0xeff8807f,
    0xf9002ffd,0x4c05ffdf,0xffffffff,0x3ee01eff,0xffefffff,0xffb3ffff,
    0x3fffe20d,0x24cc8803,0x3f202cca,0x00ffe8af,0x4003ff98,0x7c004ff8,
    0x7fffd45f,0x880ffffe,0x0b32a3cc,0xfda8df88,0x7fe400cf,0x2001ffd2,
    0x88003ff9,0xfff805fe,0x4fffe406,0x9101fffa,0x7403ffff,0xfffeffff,
    0x7ffffc47,0x0ffffece,0xfffdffff,0x8bffffff,0xcffffff8,0xc81ffffe,
    0x80f3264c,0x3ffb3ffb,0x009ff100,0x5c06fe88,0xffeeffff,0x7ffc41ff,
    0x06ffffff,0x802fffec,0x79910ccb,0xeffc8800,0x25fe800b,0xfb3005fe,
    0xfe8007bf,0x3fe604ff,0xfffeffff,0xff881fff,0x7ec40dff,0x5fba8fff,
    0x000aaa60,0x11554000,0x55300355,0x00aa2000,0x7f43ff98,0x7fff50ff,
    0x02600000,0x11554002,0x2a600355,0x0aa20002,0x901bffe0,0xfd513fff,
    0xf97ff501,0xfff301df,0x117ffd49,0xfd89ffff,0xfffff1ff,0x3ff2217d,
    0x3ffe21ff,0x1fffec4f,0x8aaa0000,0xa8801aa8,0x05510002,0x30f7ffc4,
    0xffc8bfff,0x07fff23f,0x000aaa88,0x00800000,0x2a88aa20,0x20001000,
    0x3200aaa8,0x260bffff,0xfd86fffe,0x7fe404ff,0x8809f34f,0x00000001,
    0x00000000,0x21ffb800,0x7ec3fff9,0x0018807f,0x88000620,0x00620001,
    0xff001880,0xfffc80df,0x21441fa1,0xffb86ffd,0x226ffe87,0xff986fff,
    0x1fffff2f,0x893fff60,0xff986fff,0x000c403f,0x31000188,0x70062000,
    0x79903fff,0x227ffc43,0x4c01cde8,0x00660001,0x0000cc00,0x0c400031,
    0x88031000,0xf103ffff,0x7fcc5fff,0x7fc400ff,0x981fe9ff,0x03efffec,
    0xf107fff1,0x3ffe27ff,0x13fff883,0xff107fff,0x0fffe27f,0x6c0fffe2,
    0x0fffdc7f,0x2607ffee,0x03efffec,0xefffec98,0xffec9803,0xec9803ef,
    0x9803efff,0x03efffec,0xf901bffe,0x09f713ff,0x3ef7b722,0x881103ff,
    0x3fe24fff,0x3fff985f,0x5405ffff,0x3fe26fff,0x4fff885f,0x5dfffd90,
    0xdfffd900,0xfffd9005,0xffd9005d,0xfff905df,0x2fffa800,0xfffda800,
    0x6d401def,0x01deffff,0x3ffff6a0,0x764c01de,0x9803efff,0x03efffec,
    0x5dfffd90,0x90176e60,0x7fd4dfff,0xfff9004f,0xfff309ff,0x81bfffff,
    0xf883fff8,0x7fff13ff,0x227fff10,0xff883fff,0x07fff13f,0x3e07fff1,
    0x07ffe45f,0xf307ffea,0xbfffffff,0x3fffe601,0x300dffff,0xffffffff,
    0x3ffe601b,0x00dfffff,0xfffffff3,0xdfff01bf,0xfcfffc80,0xfffa80ef,
    0x0fffffff,0x2fffc880,0x2213ffe2,0xffff4fff,0x3fffc401,0xf109fff1,
    0xffe889ff,0x104fffff,0xfffffffd,0x3fffa209,0xd104ffff,0x9fffffff,
    0x4007ffd8,0xa988fffb,0x7fffcc01,0x302fffff,0xffffffff,0xfff3005f,
    0x05ffffff,0x3fffffe6,0xff300dff,0x1bffffff,0x3ffffa20,0x40004fff,
    0x3ee7fff8,0xff7002ff,0xfff303df,0xdffffdff,0x883fff88,0xfff13fff,
    0x27fff107,0xf883fff8,0x7fff13ff,0x307fff10,0x7ffc89ff,0x262fff98,
    0xffefffff,0xfff986ff,0x6ffffeff,0xefffff98,0xf986ffff,0xfffeffff,
    0xffff986f,0x86ffffef,0x7e406fff,0xf303efff,0xffffffff,0xffd805ff,
    0x7ffc43ff,0xf4fff884,0xfff00fff,0x427ffc4f,0x7ec4fff8,0xffffdfff,
    0xdffffd83,0xfd83ffff,0xffffdfff,0xdffffd83,0x3fa3ffff,0x7fe4007f,
    0x2fffffaf,0xdbbfffd0,0x3fa0ffff,0xfffeddff,0xdfffe807,0x987fffed,
    0xffefffff,0xfff986ff,0x6ffffeff,0xfbffffb0,0x4cc47fff,0x99999999,
    0x90fffe99,0x2a003fff,0xff885fff,0xffd50cff,0x1fffc47f,0xf89fffc4,
    0xfff883ff,0x107fff13,0x3fe27fff,0x3fff883f,0x7ec2ffb8,0x3fff987f,
    0x219ffff1,0x223fffea,0xd50cffff,0x7fc47fff,0xffd50cff,0x7fffc47f,
    0x7fffd50c,0x867fffc4,0x7c3fffea,0x7fe406ff,0x7fff401f,0xffffc89d,
    0x1ffffc04,0x441fffc4,0xdfff4fff,0x21ffff00,0xf884fff8,0x3ffea4ff,
    0x51fff624,0x7ec49fff,0x27ffd47f,0xfa8fffb1,0x3ff624ff,0x441fff27,
    0xfffffd81,0x543fffff,0x7fec1fff,0x0fffd40f,0xa803fff6,0x7fec1fff,
    0x3fffe20f,0x7fffd50c,0x867fffc4,0x543fffea,0x3f624fff,0x3ffff67f,
    0xffffffff,0xffb1ffff,0x3fe6003f,0x4fffa85f,0x227fff88,0xff883fff,
    0x07fff13f,0x3e27fff1,0xfff883ff,0x107fff13,0xffb07fff,0x987ffe81,
    0xfff54fff,0x4ffff109,0xf884fffa,0x3ffea7ff,0x27fff884,0xf884fffa,
    0x3ffea7ff,0x47fff884,0x7e406fff,0x3fee01ff,0x6fff985f,0x3ffffe20,
    0x41fffc43,0xfff4fff8,0x1ffff00d,0x2213ffe2,0x3ff64fff,0x1fffcc0f,
    0xf981fffb,0x3fff63ff,0xb1fffcc0,0xff981fff,0x05fff73f,0x3fa1dffb,
    0xffcaefff,0xb81880ff,0x03100fff,0x1001fff7,0x41fff703,0xf884fffa,
    0x3ffea7ff,0x47fff884,0x7cc0fffd,0xffffb3ff,0xffffffff,0x3f65ffff,
    0xff5002ff,0x5fff909f,0x443fffa0,0xff883fff,0x07fff13f,0x3e27fff1,
    0xfff883ff,0x107fff13,0xdff07fff,0xf30fffb0,0x3fff27ff,0x21fffd02,
    0xfd02fffc,0x3fff21ff,0x21fffd02,0xfd02fffc,0x3fff21ff,0x41fffd02,
    0x7e406fff,0x3ff201ff,0x1ffff02f,0x3fee2620,0x0fffe26f,0x7fd3ffe2,
    0xfffe806f,0x109fff10,0x7ff49fff,0xff99999e,0x27bffa4f,0x4fff9999,
    0x2667bffa,0x3a4fff99,0x99999eff,0xfff34fff,0x2fffcc5d,0xf98dfffb,
    0x6dcc04ff,0x9801ffff,0x01ffffdb,0x7ffedcc0,0x0bfff21f,0xfc87fff4,
    0xfffd02ff,0x4cf7ff41,0x94fff999,0xffffffff,0xffffffff,0x00fffee3,
    0x741fffdc,0x3fee07ff,0x07fff12f,0x3e27fff1,0xfff883ff,0x107fff13,
    0x3fe27fff,0x3fff883f,0x7ec27fc4,0x2fff987f,0x7dc0fffd,0x0fffd2ff,
    0xfe97ffdc,0x3ffee07f,0x5c0fffd2,0xfffd2fff,0xf17ffdc0,0xffd80dff,
    0x3fffa01f,0x03fff900,0x447ffee0,0xff883fff,0x00dfff4f,0x3e21ffff,
    0xfff884ff,0x3fffffe4,0x24ffffff,0xffffffff,0x3fe4ffff,0xffffffff,
    0x3fffe4ff,0xffffffff,0x3bffff24,0x322ffffe,0xfff84fff,0xffffdb85,
    0xb701ffff,0xffffffff,0xfffb7003,0x743fffff,0x3fee07ff,0x40fffd2f,
    0x3fe2fffb,0xffffffff,0x5fff74ff,0x54fffb00,0xfb005fff,0xfffb05ff,
    0x897ffd40,0xff983fff,0x07fff13f,0x3e27fff3,0xfff983ff,0x307fff13,
    0xffa87fff,0x40fffc82,0xffb2fffa,0x97ffd40f,0x3ea07ffd,0x0fffb2ff,
    0xfd97ffd4,0x3ffea07f,0x540fffb2,0x3ffe2fff,0x07ffec06,0x201fffd0,
    0x3001fffb,0x3fe27fff,0x4fff883f,0xff00dfff,0x27ffc4ff,0xf8a7ffc4,
    0xffffffff,0xfff15fff,0xffffffff,0x3fffe2bf,0xffffffff,0xffffff15,
    0x4bffffff,0xffffffd8,0x7ffe43ff,0x6c6ffd82,0xfcceffff,0xfffd81ff,
    0x1fffccef,0x77fffec0,0x361fffcc,0x3fea07ff,0x40fffb2f,0xff12fffa,
    0xffffffff,0x3ffe6bff,0x26fff804,0x401ffff8,0xc80ffff9,0xff701fff,
    0x13ffe21f,0x7c4fffe6,0xfff984ff,0x309fff13,0x3fe27fff,0x3fff984f,
    0x7dc07fe4,0x7ffdc1ff,0x203fff91,0xff90fffb,0x3ffee03f,0x203fff90,
    0xff90fffb,0x3ffee03f,0x203fff90,0x3fa0fffb,0x3ffa00ff,0x3fff200f,
    0x21fffd02,0xff882a99,0x07fff15f,0x3fe7fff1,0x7ffc406f,0x213ffe27,
    0x3fe4fff8,0x7ffc005f,0x2fffc005,0x017ffe00,0x7ffff5c0,0x4fffb82e,
    0x3f26ffd8,0x3fea0cff,0x67ffe41f,0x807ffea0,0x2a0cfffc,0x3ff21fff,
    0x1fff701f,0x5c07fff2,0x3ffe0fff,0x3ffe2005,0x3ffea00f,0x077ffe44,
    0x04fffe88,0x3a09fff5,0x27ffc7ff,0xff1fffd4,0x7fff509f,0x7d427ffc,
    0x13ffe3ff,0xfd0fffea,0x0fffe60d,0x7fd4fffb,0x4fffd04f,0xfd04fffa,
    0x27ffd4ff,0x3ea7ffe8,0xfffd04ff,0xe827ffd4,0x7ffec7ff,0x0ffff304,
    0x884fffb8,0x3ffa7fff,0x1fffdc0f,0x27fff300,0x7cc06fff,0x66dc05ff,
    0x3fffa00a,0xffe81a80,0xfe81a80f,0xe81a80ff,0x01a80fff,0x805f7ec4,
    0xff86fff9,0x21bffa5f,0x7f41fffb,0x1fffb86f,0x2e1bffa0,0x3fea1fff,
    0x4fffd04f,0xfd04fffa,0x0fffe8ff,0xfffd81a8,0x5ffff104,0xafffff88,
    0xfffff531,0x3fffe201,0x7fffb30b,0x220fffe8,0x3fa3ffff,0x3ffe20ff,
    0x83fffa3f,0x3a3ffff8,0x3fe20fff,0x13fe23ff,0xf30fffe8,0x7ffc49ff,
    0xfffb30bf,0x5ffffc47,0x47fffb30,0x30bffff8,0x7c47fffb,0xfb30bfff,
    0x7ffc47ff,0xfffb30bf,0xcffffa87,0x9fffd711,0x3ffff880,0xb8ffff66,
    0xfd30cfff,0x7dc003ff,0x0dfff3ff,0x9ffff313,0x05fffd80,0xf913ffee,
    0x7ffdc5ff,0x717ffe44,0xffc89fff,0x13ffee2f,0x2a05fff9,0x3605ffcc,
    0x3fee3fff,0x11bffa3f,0xfe83fffd,0x7fff446f,0x11bffa01,0x7c43fffd,
    0xfb30bfff,0x7ffc47ff,0xfffb30bf,0x44fffb87,0x3a22fffc,0xc98befff,
    0xf504ffff,0xffffffff,0xa805ffff,0xffefffff,0xfffd86ff,0xfffffdce,
    0x33bfff63,0x23fffffd,0xfdcefffd,0x3f63ffff,0xfffdceff,0x0bfea3ff,
    0xfeffffb8,0x7fd40fff,0xffffefff,0xfffffa86,0xa86ffffe,0xffefffff,
    0xfffa86ff,0x6ffffeff,0xefffffa8,0xfd06ffff,0xffffffff,0xf5001fff,
    0xfffdffff,0xffff88df,0x04ffffef,0x5ffffd90,0xff51bffe,0x001fffff,
    0xff807fea,0xfffdbeff,0xbeffff85,0xff85fffd,0xfffdbeff,0xbeffff85,
    0x5005fffd,0x3fe601ff,0x6fffffff,0x656fffdc,0x5c1ffffe,0xfecadfff,
    0x3ee01fff,0xffecadff,0x7ffd41ff,0x6ffffeff,0xefffffa8,0xff06ffff,
    0xfffb7dff,0xfffff30b,0x0bffffff,0xfffffe98,0x001effff,0xfffffff5,
    0xfff301df,0xffd5ffff,0x7ffffcc7,0x23ffeaff,0xfffffff9,0x3e63ffea,
    0xeaffffff,0x03ff23ff,0xffffffb0,0x3ffea07f,0x00efffff,0xfffffff5,
    0x3fea01df,0x0effffff,0xffffff50,0x3ea01dff,0xefffffff,0xffffb100,
    0x05ffffff,0x7ffffe40,0xf981efff,0xefffffff,0xffffd000,0xd1bffe1f,
    0x05ffffff,0x37ed4cc4,0x3ffffa60,0xe980efff,0xefffffff,0xffffe980,
    0xe980efff,0xefffffff,0xfb533100,0xffffb80d,0x7c41ffff,0xfdffffff,
    0x7ffc43ff,0xfffdffff,0x3fffe203,0x3fffdfff,0xffffffa8,0xff500eff,
    0x1dffffff,0x3ffffa60,0xf500efff,0xffffffff,0x7ff5c00d,0x8003efff,
    0x3efffec9,0x77fff4c0,0xe987ffd1,0xffd1efff,0xefffe987,0xe987ffd1,
    0xffd1efff,0xb803ff47,0x402effff,0x3efffec9,0xfffec980,0xfec9803e,
    0xc9803eff,0x803efffe,0x3efffec9,0xffffd700,0x300019ff,0x07fffffd,
    0xfffffd88,0x7fffc003,0x91bffe2f,0x807bfffd,0x01fffffd,0xdffffd88,
    0x3ff6200b,0x2200bdff,0x0bdffffd,0x3ffff620,0x3ffa00bd,0xe9801eff,
    0x500dffff,0x367ffffd,0xffea86ff,0x0dffb3ff,0x3ffffea8,0x3260dffb,
    0x803efffe,0x3efffec9,0xffffd880,0x7ec400bd,0x00beffff,0x00013100,
    0x20004c40,0x98800098,0x00988000,0x50009880,0x09880035,0x00098800,
    0x20001310,0x31000098,0x02620001,0x00998800,0x00266000,0x40002660,
    0x8000acca,0x75500098,0x26200055,0x00988000,0x80009880,0x55300098,
    0x06600035,0x00009880,0x10000131,0x98800013,0x01310000,0x00026200,
    0x00004cc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00620200,0x000e664c,0x401ccca8,0x0002ccc9,0x90005573,0x81e64479,
    0x000ca84b,0xcc980130,0x04ccc00c,0x70199880,0x20019509,0x09980019,
    0x10035300,0x06a60055,0x8800aa20,0x00544000,0x08800550,0x2aee6000,
    0x4ccc0000,0x00026660,0x006ee600,0x01bb9800,0x4000f320,0x001abb98,
    0x006aea60,0x00266600,0x00355751,0x4ccc00c0,0x80ccc400,0xe89befd9,
    0xdfffd006,0x9fff1000,0x03fff200,0x7fffec40,0xff3002ff,0xb827fd4b,
    0x7017e22f,0x7f515bff,0x01fffa80,0x4017ffe2,0x7f507ffe,0x7ec406e8,
    0x2200dfff,0x03fffffd,0x3600ffe6,0x3ff9802f,0xb802fd80,0xff94effe,
    0x6ffff4cb,0x802fd400,0xfb3efffc,0x3fff209f,0x20003fff,0xfff35fff,
    0xb7100007,0x5bffffff,0xffdb8800,0x402dffff,0x322007fd,0xfffffffe,
    0xfffb1003,0x0005ffff,0x5c17ffe2,0xefffffff,0x89fff881,0xf01efffd,
    0xffc80dff,0xffffc81f,0xfc804fff,0x4004ffdf,0x6c004ffb,0xffd003ff,
    0x03ffffff,0x7e47ff50,0xbdff103f,0xfff805ff,0x401fffff,0x2201fffa,
    0xfd005fff,0x6f7f40ff,0x3fea03ff,0x81ffffff,0xfffffff9,0x7ffe446f,
    0x2037cc03,0x403fffc8,0x7ec406f9,0xfdcfffff,0x3ef7fa5f,0x007f403f,
    0x3fffffa2,0x444ffdcf,0xfffffffd,0xfff0003f,0x00fffe6b,0xbfffd300,
    0x1dfffb77,0xbfffd300,0x1dfffb77,0x2003fee0,0xfffffffa,0x200effff,
    0xfffffffa,0x88005fff,0x7ec45fff,0xffffffff,0x57ffc43f,0x3ffffffe,
    0x6406fff8,0x8ef81fff,0x401dffc9,0x5ff94ffa,0x002ffc00,0xfc806fd8,
    0xfffdadff,0x22ffc805,0x36601ffd,0x7d403dff,0x04ffda8b,0x201fffa8,
    0xd005fff8,0x7e4c0fff,0x3fe203ef,0xfffffeff,0x6fffff40,0x3f64ffff,
    0x7f403fff,0x7fffec01,0x200ff403,0xfeeffffc,0x9715ffff,0xfb817f61,
    0xffffd804,0x4fffffed,0x6df7ffe4,0x8000ffff,0xfff35fff,0x7fd40007,
    0x3ffa601d,0x077fea01,0x981ffe98,0x7fd402ff,0xfffeffff,0xff706fff,
    0xfffddfff,0xf88007ff,0x7ffe45ff,0xffffedff,0x3fffe21f,0xfffffeff,
    0x2037ffc0,0x0981fffc,0x85550008,0x551002aa,0x00aa8000,0x3fe37ff4,
    0x0ffd806f,0x00801ffe,0x00020310,0x17ffe200,0x803fff40,0x2fffc800,
    0x4c7fff91,0x3fa24fff,0x1ffcf26f,0x7900bf50,0x5fa80ffe,0x17fffc40,
    0x50bfffd5,0x3e203ffd,0x7ffcc00f,0x3fffaa1e,0x2e2fffc4,0xf8003fff,
    0x7fff35ff,0x17fe2000,0x8837f440,0xfd1005ff,0x04ff881d,0x07bfffe2,
    0x85ffff93,0x20cffff8,0x00ffffc9,0xf17ffe20,0xfe883dff,0x3ffe24ff,
    0xfff911df,0x406fff8b,0x4c01fffc,0x00660001,0x20001980,0x9fff0019,
    0xa984fff8,0xbaafffaa,0x0001afff,0x33000000,0x05fff880,0x100fffd0,
    0x0dffd003,0x7fd4ffff,0x83ffdc1f,0x03fa03ff,0x7407ff00,0x7ffdc00f,
    0x85fffa83,0xf901effc,0x7fff9007,0x4c9fff50,0xdef82fff,0x3fe04403,
    0x87fff35f,0xa8bfb001,0x3a22dffd,0xd75fd84f,0x445bdddd,0x06fe84fe,
    0xb017fff2,0xffc8bfff,0x3fff603f,0x3ffe2004,0x40fffe65,0x3e26fff9,
    0xffe80fff,0x2037ffc7,0xda81fffc,0x01deffff,0x77fffed4,0x7fed401d,
    0x5401deff,0x1deffffd,0x7dc7fff0,0xfffd81ff,0xffffffff,0x7fff14ff,
    0x227fff10,0xff883fff,0xfffea83f,0xfff882ef,0x0fffd005,0x177fff64,
    0xfd84fff8,0x3fff31ff,0xff06ffc8,0x0013ee07,0x27dc0ffe,0x807ffe40,
    0xc8885fff,0x037c40ff,0x881fffd8,0x3fe64fff,0xff90002f,0x57ffe7df,
    0xfd8bfff9,0xff101eff,0xffefffb8,0xff11be22,0x7fff77e4,0x321be23f,
    0xffff00ff,0x1acd8801,0x301fffe2,0x4400179d,0x3fe65fff,0x355500ef,
    0xb837ffc4,0x3ffe1fff,0x0fffe406,0x3fffffe6,0xff302fff,0x5fffffff,
    0x3ffffe60,0xf302ffff,0xffffffff,0x23fff885,0xffb06ffe,0xffffffff,
    0x3fe29fff,0x3fff883f,0xf107fff1,0xfffd87ff,0x443fffff,0xfd005fff,
    0xfffd10ff,0xf889ffff,0xfffb84ff,0x4437ffa2,0x7ff04ffe,0x0001ff10,
    0x1ff107ff,0x40fffb00,0x49715ffe,0x17ec1ff9,0x207ffe80,0x7ffc4fff,
    0x7ff44003,0xfffdffff,0xffbfff35,0x507fffff,0x51ffcc9f,0x507ec1ff,
    0x3227e49f,0x2a07ec6f,0xfffa82ff,0x7fcc0004,0x2000004f,0x7fc5fff8,
    0x1001cfff,0x3ea09fff,0x1bffe2ff,0xe83fff90,0xffeddfff,0xbfffd07f,
    0x20ffffdb,0xfeddfffe,0xfffd07ff,0x8ffffdbb,0xff33fff8,0x36aa605f,
    0xffeaacff,0x7fff11ab,0x227fff10,0xff883fff,0x3fffee3f,0x21ffffee,
    0xd005fff8,0xfffb0fff,0x87ffffbf,0xffd86fff,0x3fffa63f,0xf00dfffe,
    0x007f907f,0x3f20ffe0,0x0fffb003,0x9ff2fffc,0x5f98dfb5,0x41fffa00,
    0x7f44fff8,0x7fec005f,0xffffedff,0xfffff35f,0x3fffffbf,0x1bf22fc8,
    0x647f706a,0xf513f22f,0x7c43fb8d,0x3fffb84f,0x7ffd4000,0x22000003,
    0x7fdc5fff,0x0bdfffff,0x207fff10,0x3fe2fffa,0x7ffe406f,0xb07ffea1,
    0xffa81fff,0x07ffec1f,0xfb07ffea,0xfffa81ff,0x107ffec1,0x3fee7fff,
    0x0ffe803f,0x3fe21ffe,0x3fff883f,0xf107fff1,0x3ffe27ff,0x97ffe61e,
    0xd005fff8,0xfffa8fff,0xb1fff624,0xfff81fff,0x7fffc44f,0x1ffc05ff,
    0xf8001be2,0x0037c43f,0x3e01fff9,0x3ffea5ff,0x00ff42ff,0x501fffb0,
    0x3ffa9fff,0x07ffffff,0xa87bffe6,0xff35fffe,0x3f2219ff,0xb07f45ff,
    0x97e6009f,0x273f20fe,0x7cc3fea9,0xfc86fe85,0x555502ff,0x3f215555,
    0x000002ff,0x3217ffe2,0xffffffff,0x4fff884f,0x7c3fff70,0x7fe406ff,
    0xfb81881f,0x703100ff,0x06201fff,0x4403ffee,0x20fffb81,0xff53fff8,
    0x7ff803ff,0x3e21bfe2,0xfff883ff,0x107fff13,0x3fee7fff,0x21bcc81f,
    0xd005fff8,0xfffd8fff,0x31fffcc0,0xfd57dfff,0xffd89fff,0x204fffff,
    0x817ec1aa,0x06aa01a8,0x703305fb,0xff505fff,0x503950bf,0x706a609f,
    0xffb07fff,0x3ffffa9f,0x3207ffff,0xffb83fff,0x1ffff35f,0x7f8fffd0,
    0xf88017fc,0xfff91fe6,0x1be07fff,0xff903ff2,0xffff105f,0x3f63ffff,
    0x000001ff,0x5417ffe2,0xfffffffe,0x3ffe20ef,0xf8fffb07,0x7fe406ff,
    0x7edcc01f,0xb9801fff,0x801ffffd,0x1ffffdb9,0xfffdb980,0x8fffe21f,
    0x300ffffd,0x27fd4bff,0x441fffc4,0xfff13fff,0x27fff107,0x44007ffc,
    0xfd005fff,0x9effe8ff,0x4fff9999,0x7fffffe4,0xfd14ffff,0xfff959ff,
    0x82fcc00b,0x4c005fe8,0x77ff645f,0x87bffe23,0x005ffffa,0x7fc407fc,
    0x67fffc45,0x4ffffd98,0xddfffdd9,0x7ffec0dd,0x35fff881,0x3f20bfff,
    0xe83fa0ff,0x4bf3004f,0x2f7f20fe,0x0bf305fe,0xffb85ff5,0xffff883f,
    0xff91ffff,0x4000005f,0x4405fff8,0xffffffdb,0x37fffe26,0xf17ffee0,
    0xffc80dff,0xfffdb81f,0x701fffff,0xfffffffb,0x3ff6e03f,0x01ffffff,
    0xffffffb7,0x7ffc43ff,0x1bfffa23,0x99dffb97,0x2599bffd,0xf883fff8,
    0x7fff13ff,0x367fff10,0x7c4007ff,0xffd005ff,0xffffff8f,0x84ffffff,
    0xfaeffffb,0x3fff53ff,0x000fffb8,0x3ffa03fd,0x50ff4005,0x43ffb9ff,
    0xfeeffffc,0x2005ffff,0xbffd03fb,0xffffff90,0x889fffff,0xfd003fff,
    0xafffc0ff,0xf703fff9,0xb17e43ff,0x641bd0df,0xfc8bf22f,0xf70bfd14,
    0x987ff105,0xff884fff,0x71ffffff,0x00007fff,0x02fffc40,0x3ffff660,
    0xffffff10,0x83fffffb,0x7ec06fff,0x7ffec1ff,0x1fffccef,0xceffffd8,
    0xfd81fffc,0xffccefff,0xffffd81f,0x21fffcce,0x7443fff8,0x3ff65fff,
    0xffffffff,0xfff14fff,0x27fff307,0xf983fff8,0x0fffd3ff,0x25fff880,
    0x7ffe8098,0x3fffffe2,0x05ffffff,0xff513551,0x21fff25f,0xa803fff8,
    0xbfff904f,0x3227d400,0xe893fa4f,0xfdffffff,0xdf1005ff,0x417fff20,
    0x9ffffffc,0x7fcc4fff,0xfffd002f,0x4d7ffe20,0xff704fff,0xf327cc3f,
    0x8df9117f,0xc97e60fe,0xb0bfe64f,0x217fa01f,0xf9006fff,0x3ffe63ff,
    0x816f4404,0x5fff8819,0xf900eeaa,0x3ffe25ff,0xfffffffd,0x406fff83,
    0x3f20fffd,0x3fea0cff,0x67ffe41f,0x907ffea0,0x7d419fff,0x7ffe41ff,
    0x87ffea0c,0xe883fff8,0xfffb0fff,0xffffffff,0x3ffe29ff,0x13fff984,
    0xff309fff,0x41fff27f,0xdfff8818,0xff83fff9,0x02fffc6f,0x3ffee000,
    0x3e0dffd1,0x0ff804ff,0x05fcdfb8,0xf3003fe0,0xffff907f,0x4017ffe7,
    0xcdfb82fc,0x3bf6a05f,0xc89fff0c,0xfb000fff,0xfff503ff,0x417ffe6b,
    0x7fc0fffc,0x3ffffee0,0x3e1be61f,0xfc89f90f,0xfd81be26,0x02fffd87,
    0xf11fffc8,0x7dc01fff,0x3ffee6ff,0xd27ffcc1,0x7d403fff,0x7fff13ff,
    0x03dfffd1,0xe803fffa,0x3ffa0fff,0x41fffb86,0xffb86ffe,0x437ff41f,
    0x7f41fffb,0x1fffb86f,0x540fffe2,0xff312fff,0x3dff533f,0x27ffc133,
    0xff1fffd4,0x7fff509f,0x360bffee,0xfff10eff,0x88bfff1b,0x7ff45fff,
    0xca81a80f,0x26ffe85d,0x7d40fffd,0x1fdc03ff,0x2fe477cc,0x4c03fb80,
    0x204c06ff,0xf9805fff,0xfc8ef986,0x7fff0005,0x0017ffcc,0xf905fff7,
    0x3ffe6bff,0xb0fffd07,0x77ed41df,0x20ffe61c,0x43eb8efd,0x3ff8aee8,
    0xf707fee0,0x74403dff,0x3ff21fff,0xffff105f,0x21fffd47,0x3f23fffa,
    0x3ffa05ff,0x47fff11f,0x7fec0098,0xffff304f,0x7446ffe8,0x7ff41fff,
    0x0ffff446,0xfd11bffa,0x6ffe83ff,0x10ffff44,0xa8cc7fff,0x3fe62fff,
    0xe813fea5,0x3fe20fff,0x3fffa3ff,0x4ffffe20,0x262efff9,0x3fe25fff,
    0x1bffff5f,0xb89fffb3,0x7fe44fff,0x4bffee2f,0x2e3fffc8,0xfb10cfff,
    0x3fc405ff,0x7ecd7fc4,0x03fc401d,0x0003bfea,0x36017ffe,0x4d7fc41f,
    0x3bea1dfd,0x2fff984d,0x997dfff3,0xf9872615,0x3fea0eff,0xffff35ff,
    0x2fffe449,0x40077f44,0xfd106ff9,0xdff1001d,0xe83ff980,0x511bffff,
    0x43fffff9,0x89effff8,0x47fffeb8,0xa8bffff8,0x3e61fffe,0xa88adfff,
    0x3e27fffd,0xfa8003ff,0xd732cfff,0xffb89fff,0xfffecadf,0x6fffdc1f,
    0x1ffffeca,0x656fffdc,0x5c1ffffe,0xfecadfff,0x3fe21fff,0xfdffd8bf,
    0x3fee0fff,0xd80bff23,0xffdcefff,0x3ff63fff,0xffffdcef,0x3ffff23f,
    0x22ffffee,0xff75fff8,0xdfffffff,0x2fbfffe0,0x7c45fffd,0xffffefff,
    0x7ffffc47,0x405ffffd,0xfffa82fc,0x200fffff,0x3ff202fc,0x3ffe0005,
    0x542fd405,0xffffffff,0x39ffff10,0x21fffd73,0xfffffffc,0x6c4fffff,
    0xffedffff,0xfff35fff,0xffffbdff,0x3bfe601f,0xeffb880a,0x2bbfe600,
    0x0effb880,0xf985ff80,0xffffffff,0x40efffff,0xfffffffa,0xd82fffff,
    0xffffffff,0xffffc84f,0xffffffff,0x00fffe24,0x7fffff40,0x0fffffff,
    0x7fffffc4,0x443fffdf,0xdfffffff,0x7fc43fff,0xffdfffff,0x7fffc43f,
    0x3fffdfff,0x7ecfffe2,0x643fffff,0x03ff62ff,0xffffff98,0x263ffeaf,
    0xafffffff,0x3f623ffe,0x3fffffff,0xfd2fffc4,0x3fffffff,0x3ffffa60,
    0xfb80efff,0x1effffff,0xffffff98,0x3e600fff,0xd9999306,0x3e6019df,
    0x33ffea06,0x7fc002cc,0x407f405f,0xefecccc9,0x3ffff60c,0x23ffffff,
    0xfffffff9,0x20ffffff,0xffffffe8,0xff35ffdc,0xffffff5f,0xffe8807f,
    0xffffccef,0xffe8800d,0xfffeccef,0x0ffb000d,0x3fffffa2,0x02ffffff,
    0x3fffffa6,0xf102ffff,0xdfffffff,0x7ffffec0,0x443fffff,0x10003fff,
    0xfffffffd,0x3aa05fff,0xffb3ffff,0xffffd50d,0x2a1bff67,0xfb3ffffe,
    0xfffd50df,0x89bff67f,0x3ff23fff,0x0ffe83ff,0x3a601ffe,0xffd1efff,
    0xefffe987,0xd707ffd1,0x105dffff,0xffb8bfff,0x4401ceff,0x0bdffffd,
    0x3ffffea0,0x3ff2200d,0x6c00cfff,0x17f2001f,0x7f403fb0,0x005fffff,
    0xf702fffc,0x82fe4009,0xfffffffc,0xa9cfd83f,0xdffffedb,0x3ffffc81,
    0x3fe6bffb,0xefffd88f,0x3fb26001,0x001bdfff,0xffffec98,0x7dc001bd,
    0x3ff6a01f,0x003cefff,0x3fffffb2,0x7fec400c,0x4c00bdff,0xdefffffe,
    0x03fff881,0x7fffe400,0x8800deff,0x13100009,0x00262000,0x00004c40,
    0x15540330,0x98800aaa,0x00988000,0x00133100,0x00013100,0x33000262,
    0x03530001,0x50013a60,0x0274c079,0x99999991,0x09998005,0xa8003760,
    0x32ea202c,0x00100abc,0x01300133,0x00098800,0x00055440,0x00155100,
    0x80055440,0x30000199,0x06600013,0x00999800,0x00009998,0x00035310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4006aea6,0x99800999,
    0x33300009,0x33333333,0x10333333,0x00000333,0x0f332000,0x664c9990,
    0x32216441,0x00260202,0x21333000,0x06662199,0x99990000,0x31039999,
    0x33333333,0x2e133333,0xffc80fff,0x3999500f,0xfc801c40,0x3101007f,
    0x33333320,0x133301cc,0x26666000,0x22001999,0xff883fff,0x0133303f,
    0x20099988,0xcccccccb,0x66665c02,0x26602ccc,0x00199999,0x07332600,
    0x3ccc8800,0x4c019998,0x99910099,0x3f660003,0x0dffffff,0x2013ffe0,
    0xb8004fff,0xffffffff,0xffffffff,0x03fff41f,0x001fffe0,0x00fffdc0,
    0x3fe2ffee,0x2fb8dd06,0x98befea8,0x83fffc4f,0x7ffc4fff,0x3ee3fff4,
    0x200001ff,0xffffffff,0xfffffa82,0xffffffff,0x01fff76f,0xf101fff9,
    0x2fdc09ff,0x407ffc80,0xe89cffd8,0xffffff07,0xfff105ff,0x3ffe0009,
    0xefffffff,0x0fffe202,0x7c0fffe2,0x7fdc06ff,0x3fff602f,0x6c04ffff,
    0x4fffffff,0x3fffffe0,0x002effff,0x0dfffd10,0x0fffdc00,0xc817ffe4,
    0xff303fff,0xff70005f,0xffffffff,0x13ffe05f,0x0013ffe0,0x3ffffffe,
    0xffffffff,0x7ff41fff,0x3fffc007,0x1ffe8000,0xffdffb00,0x3b7fee03,
    0xffffd06f,0xfff85fff,0xf89fff07,0x23fff4ff,0x0001fffb,0x3bbbbba0,
    0xfffa82ee,0xffffffff,0xfff76fff,0x01fff901,0x7f409ff7,0xfff9005f,
    0xfffffb80,0xdddd05ff,0xeb85dddd,0x2eeeffff,0xffffff00,0x1bffffff,
    0x107fff10,0x3fe07fff,0x7ffdc06f,0x3bbbb202,0x76403eee,0x03eeeeee,
    0x3ffffffe,0x00dfffff,0x7feffec0,0x3fff0004,0x21bffe20,0x2606fff8,
    0x5c002fff,0xfeffffff,0xf83fffff,0xfff804ff,0x7ffd4004,0xffffffcd,
    0x1fffffff,0x0043fff4,0x0000ffff,0x44005ff5,0x5c03ffff,0xf981cffe,
    0x0cffda8c,0xff83fffc,0xfa7ffc4f,0x3fff71ff,0x80000000,0xfffffffa,
    0x6fffffff,0xf901fff7,0x0bff01ff,0x7005ffe8,0x8fe80ddd,0x001efeb9,
    0xfffff900,0x3e007fff,0xffffffff,0xf886ffff,0xfff883ff,0x7fffe643,
    0xeccccccc,0x000cdfff,0x7c000000,0xffffffff,0x2006ffff,0x3ffb4ffa,
    0x02ffa800,0x2e17ffe4,0x3e603fff,0x3e6002ff,0x6c40dfff,0x7fc0ffff,
    0x4fff804f,0x8bfff400,0xd0004fff,0x016c4fff,0x0000ffff,0x53000353,
    0x40040055,0xfff00809,0xf13f720f,0x887dc9ff,0x00000fea,0x6c000310,
    0x3ee00fff,0xfffc80ff,0x74015440,0x800005ff,0x00000808,0x677ffe54,
    0xfff001cc,0xffff930d,0x83fff887,0x7fc3fff8,0xffffffff,0xffffffff,
    0x000cc01f,0x7fc00310,0xfffc986f,0x4555003f,0x4c002aa8,0xfff8801a,
    0x0037ffc5,0x9fffd000,0x45fffc80,0xff804fff,0x3fea004f,0x09fff13f,
    0x45fffa00,0x3ffe02fe,0x04400007,0x00008800,0xff804400,0xf0fee07f,
    0x7c3749ff,0x26003007,0x03efffec,0x007ffec0,0xf901fff7,0xc81001ff,
    0x1fffffff,0x001ffea0,0x83fff880,0x3e23fff8,0x400444ff,0x3e606fff,
    0x3fe20fff,0x3fff883f,0x77ffff6c,0xfeeeeeee,0xda80eeff,0x01deffff,
    0x2efffec8,0x3037ffc0,0x0001ffff,0x90000000,0x3fee3fff,0x1000003f,
    0x8801ffff,0x3fe1ffff,0xcfff804f,0xfffe802a,0x009fff10,0x3e7fffa0,
    0x3ffe01ff,0x7ffc4007,0x87fffd92,0xfd92fff8,0x7ffc07ff,0xc97ffc44,
    0x7fc3fffe,0x81fd107f,0x2fe8cfff,0x5ffca7e4,0x01bfffd5,0x3fffffe6,
    0xfb000dff,0x7fdc01ff,0x0fffc80f,0xff71fff3,0x3ffff27d,0x3ee01fff,
    0x3ffe007f,0x83fff884,0x3e23fff8,0xdfff94ff,0x037ffc07,0xf88ffff2,
    0xfff883ff,0x80dfff03,0xf302fffb,0xffffffff,0x3fffa205,0x3e04ffff,
    0x7fe406ff,0x21bff63f,0xfe82fffa,0x3ffffe5f,0x43ffffff,0xfff5fff8,
    0x3ffffe0d,0x03ffffff,0x2009fff3,0x3fe2fffc,0xefff804f,0x7ffcc02f,
    0x013ffe24,0x7fffff40,0x3fffc02f,0x2fffe200,0x5ffffffe,0x3fafffe2,
    0xf05fffff,0xfff889ff,0xffffffeb,0x221fffe5,0x4fff83ff,0x90efc83b,
    0xffff7bff,0xff983fff,0xffffefff,0x1fffb006,0x407ffdc0,0xff30fffc,
    0x25ffff7f,0xfffffffc,0x0bffd101,0x4427ffc0,0xff883fff,0x37ffe23f,
    0x3ffffffe,0x980dfff0,0x3fe24fff,0x3fff983f,0xb80dfff0,0xffd02fff,
    0xffffdbbf,0x37ffff60,0xff03ffff,0xfff980df,0x903ffee4,0xff889fff,
    0x3ffffe2f,0x83ffffff,0xfffbfffd,0xffffff03,0x207fffff,0x5002fffb,
    0x7ffc7fff,0xff833314,0x7ec01fff,0x3ffe20ff,0xccccccce,0xffffe81c,
    0x7fff801f,0x7c409988,0xfecfffff,0xfff11fff,0xfffd9fff,0x89fff03f,
    0xcffffff8,0xff1ffffe,0x7c0720ff,0x90e204ff,0xfbbfffff,0x7fc49fff,
    0xffd50cff,0xfffb007f,0x0fffdc01,0xf987ffec,0x0fffffff,0x6c02fff4,
    0x3e002fff,0xfff884ff,0x23fff883,0xcffffff8,0xf80ffffe,0x7fc406ff,
    0x13ffe25f,0x7c0fffe6,0xcccccfff,0x82fffecc,0x7ec1fffa,0x7ffd40ff,
    0x41fff624,0x7c406fff,0x3ffe25ff,0x237fff42,0x3fe0fffb,0xffffffff,
    0xffff982f,0x3ffe06ff,0xffffffff,0x03fff902,0xf93ffe60,0x8fffb4ff,
    0x4c01efff,0x7fc45fff,0xffffffff,0xfffe83ff,0xffff000e,0xf88dffd0,
    0x7fec4fff,0x9ffff13f,0xf83fffd8,0x7ffc44ff,0x9fffec4f,0xf8007fff,
    0x7e4004ff,0x3fe60fff,0x13ffea6f,0x201fffe2,0x2e00fffd,0xffe83fff,
    0xbffff30f,0xbffd0733,0x27fff440,0x213ffe00,0xf883fff8,0x3ffe23ff,
    0x3fff20cf,0x3ffffba2,0xfff85eee,0x5c27ffc6,0xfff03fff,0xffffffff,
    0x4405ffff,0x40fffb81,0x7cc0fffd,0x3ffba3ff,0xf85eeeff,0x27ff46ff,
    0x41fffff1,0x4ccc5ffd,0x4bfffb19,0xfffffffa,0x20ffffff,0xffb19999,
    0x7ffec0bf,0xbfff3001,0xffda7ffc,0x013ffe27,0xf107fff2,0xffffffff,
    0xff887fff,0x3fe000ff,0x46ffe87f,0xf986fff8,0xdfff13ff,0xf07fff30,
    0xfff889ff,0xf3fff986,0xff000fff,0xffc8009f,0x27ffd82f,0xfd02fffc,
    0xcccb81ff,0xccccfffe,0x83bffee0,0xf30ffffc,0xfe801fff,0xfffd105f,
    0x9fff000b,0x107fff10,0x7fc47fff,0x3fff987f,0x3ffffffe,0x7fff87ff,
    0xf107fff4,0x3fe07fff,0xffffffff,0x002fffff,0x3ffffb73,0x999effe8,
    0x3e4fff99,0xffffffff,0x5c7fff87,0x3ffee7ff,0x0fffe2ff,0x51bfff60,
    0xffffffff,0x801fffff,0x6c06fffd,0xf5001fff,0xa7ffc9ff,0xfff37ffd,
    0xfff8809f,0xcefff886,0x1ccccccc,0x01ffffe6,0xfd0ffff0,0x5fff88df,
    0xf14fff88,0xfff10bff,0x889fff09,0xff885fff,0x00ffff4f,0x8009fff0,
    0xfc80fffc,0x81fffa7f,0x7f42fffb,0xffffffff,0x3ffee1ff,0xffffedff,
    0x0bfff30f,0x7fffffec,0x13fff60f,0x427ffc00,0xf883fff8,0x3ffe23ff,
    0x24fff885,0xccffffcc,0x47fff84c,0xfdcffffd,0xff03ffff,0x999999ff,
    0x405fffd9,0xffffffdb,0x7fffc1ff,0xffffffff,0x3ffff324,0xfff84ccc,
    0xd8fffc47,0xf54ffdff,0xffc801ff,0x7ffd40ef,0xffffffff,0x3ff200ff,
    0x7fdc00ef,0xfff7002f,0xa9a7ffc7,0x9ffffd2a,0xeffffc80,0x4fffeeee,
    0x7ffff400,0x3fffc007,0x3e215554,0xfff884ff,0x109fff14,0xfff09fff,
    0x84fff889,0xfff4fff8,0x9fff000f,0x0fffc800,0x3f67ffc8,0x3ffea07f,
    0x7ff77642,0x21eeeeff,0xfffefffb,0xf30fffef,0x7fec09ff,0xf50fffff,
    0x7c0009ff,0xfff884ff,0x23fff983,0xf884fff8,0x6fff84ff,0x22fffc40,
    0xfffffff9,0xff03ffeb,0xfffb80df,0xdffffb02,0x443fff99,0xffffffff,
    0xff85ffff,0x7ffc406f,0xff3ffe85,0x3f2dff3f,0x7ffdc06f,0xfff7001f,
    0x7ffdc003,0xfffa801f,0x5fffb005,0x7d027ffc,0x7c409fff,0xffffffff,
    0x4004ffff,0x007ffffe,0x2003fffc,0xf884fff8,0x9fff14ff,0xf09fff10,
    0xfff889ff,0xf4fff884,0xff000fff,0xffc8009f,0x64fff907,0xff701fff,
    0xfffd801f,0x27ffee00,0xfffadffe,0x407fff30,0x2aefffa9,0x4c03fff2,
    0x9fff01ab,0x309fff10,0x7fc47fff,0x4fff884f,0x4c06fff8,0xfe984fff,
    0x7ffd2eff,0x701bffe0,0xff905fff,0x7ffd419f,0x002fffc1,0x4c06fff8,
    0xffc84fff,0xffd6ff9d,0x5407ffd1,0x5102ffff,0x7fffb555,0x3ea05555,
    0xf1002fff,0xf9803fff,0x3ffe0fff,0x27ffc604,0xffffff70,0x9fffffff,
    0xffe8d800,0x3fffc007,0x13ffe200,0x7c53ffe2,0xfff884ff,0x444fff84,
    0xff884fff,0x00ffff4f,0x8009fff0,0xff907ffc,0x827ffd4f,0xfd807ffe,
    0x3fee00ff,0xf980130f,0xffe803ff,0x00fffc86,0x3fe0dffd,0x09fff04f,
    0x7c47fff5,0xfff884ff,0x406fff84,0x2203fffc,0x3e03fc09,0x7fdc06ff,
    0x86ffe82f,0x7f41fffb,0x201a80ff,0x7e406fff,0xfff983ff,0x9ff94ffc,
    0x3e603fff,0x3ea03fff,0xffffffff,0x7cc0ffff,0x64003fff,0xd100efff,
    0xfff89fff,0x04fff804,0x2aaffffe,0x4fffbaaa,0x0fffd000,0x007fff80,
    0x4427ffc4,0xfff14fff,0x09fff109,0xff889fff,0x4fff884f,0xf000ffff,
    0xfc8009ff,0x4fff907f,0x30bffff8,0xb007fffb,0x7dc01fff,0x3e6000ff,
    0xffe803ff,0x84fffa86,0xff04fffa,0x3fffa09f,0x8ffffe20,0xf884fff8,
    0x6fff84ff,0x03fffea0,0xf80ff100,0x7fdc06ff,0x46ffe82f,0x5c1fffe8,
    0x7fe44fff,0x06fff82f,0x403fffea,0x51ffffff,0x20dfffff,0x403ffff8,
    0xfffffffa,0x20ffffff,0x003ffff8,0xbfffff88,0xfffff731,0x804fff81,
    0xff704fff,0x7ffcc0bf,0x9999999d,0x7fff4099,0x99999999,0x33ffff09,
    0x13333333,0x2213ffe2,0xfff14fff,0x09fff109,0xff889fff,0x4fff884f,
    0x3333ffff,0x7c133333,0x7e4004ff,0x8fff907f,0xfefffffa,0xfb006fff,
    0x7fdc01ff,0x3fe6000f,0xfffd803f,0x3fffa2ee,0xffffdbbe,0x209fff01,
    0xfdcefffd,0x3e23ffff,0xfff884ff,0x99efff84,0xffffcaa9,0x0ff98002,
    0x701bffe0,0xff705fff,0xfffd95bf,0xdffff03f,0x20bfffb7,0xa999efff,
    0x02ffffca,0x89fffff2,0x884fffff,0x999dfffe,0x55510999,0x557fffb5,
    0x7fff4455,0x0999999d,0x7ffffd40,0xffffffff,0x804fff82,0xffd04fff,
    0x7ffcc03f,0xffffffff,0x7fff44ff,0xffffffff,0xffffff5f,0x9fffffff,
    0x2213ffe2,0xfff14fff,0x09fff109,0xff889fff,0x4fff884f,0xffffffff,
    0x7c9fffff,0x7e4004ff,0x0fff907f,0xfffffff5,0x3f6001df,0x3fee00ff,
    0x3fe6000f,0xfffb803f,0x3ffe23ff,0x1fffffff,0x4c13ffe0,0xafffffff,
    0x3fe23ffe,0x4fff884f,0xfffffff8,0x05ffffff,0x2efbfa00,0x2037ffc2,
    0xf882fffb,0xfdffffff,0xffe983ff,0x00efffff,0xffffffff,0x80bfffff,
    0x745ffff9,0xfb81ffff,0xffffffff,0x3fee06ff,0x3ffee01f,0xffffffff,
    0xfffe9806,0x1effffff,0xf009fff0,0xfff509ff,0xffff980d,0xffffffff,
    0x7ffff44f,0xffffffff,0xfffffff5,0x29ffffff,0xf884fff8,0x9fff14ff,
    0xf09fff10,0xfff889ff,0xf4fff884,0xffffffff,0x7fc9ffff,0x7fe4004f,
    0x20fff907,0x3efffec9,0x07ffec00,0x001fff70,0x801fffcc,0x443ffffc,
    0xeffffffc,0x027ffc00,0x23dfffd3,0x3fe23ffe,0x4fff884f,0xfffffff8,
    0x00cfffff,0x3fffee00,0x2037ffc3,0xd502fffb,0x3f67ffff,0xfffb106f,
    0x7fc017bf,0xffffffff,0xff800cff,0x7ffe43ff,0xfffff906,0x0dffffff,
    0x900fffdc,0xffffffff,0x5c00dfff,0x3efffffe,0x4027ffc0,0xffe84fff,
    0x7ffcc02f,0xffffffff,0x7fff44ff,0xffffffff,0xffffff5f,0x9fffffff,
    0x2213ffe2,0xfff14fff,0x09fff109,0xff889fff,0x4fff884f,0xffffffff,
    0x7c9fffff,0x7e4004ff,0x0fff907f,0x20001310,0x2600fffd,0x7cc002aa,
    0x04c003ff,0x006aa620,0x8804fff8,0xfff10009,0x09fff109,0xffffffff,
    0x000019bd,0xff02aee6,0xfffb80df,0x0004c402,0x7c002620,0xefffffff,
    0x3f6000cd,0x7ffcc1ff,0xfffff904,0x0dffffff,0x900fffdc,0xffffffff,
    0x2000dfff,0x00000098,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x32a02ccc,0xf30f321c,0xccca85ff,
    0x00026661,0x54357530,0xb93321cc,0x479910cc,0x33322cca,0x203fff90,
    0x2662fffb,0x26200999,0x00009999,0x44009998,0x4c409999,0x99999999,
    0x71009999,0x026aa200,0x00133330,0x26213331,0x06666099,0x98866660,
    0x26662019,0x00666201,0x0004ccc4,0x33333333,0x26660013,0x00026660,
    0x33333333,0x20999800,0x4c000999,0x99999999,0x22019999,0x26609ab9,
    0x99999999,0x04ccc199,0x98801333,0x06666099,0x64099980,0xffffffff,
    0x0099801f,0xf907ffee,0x3e203fff,0x42ffc8ef,0x3e22fff9,0x37ffc4ff,
    0xfffe8800,0x1ffd10ff,0x7fcc7ff9,0x7e43ffd5,0x4c3ffe3f,0xffb04fff,
    0x7ffffc4f,0x3fffee06,0x00ffff3f,0x2206fff8,0x641ffffe,0xffffffff,
    0xb83fffff,0x7ffd405f,0xf901dfff,0xffd00dff,0x8bfff27f,0x3204fffe,
    0x3ff66fff,0xffffb01f,0x03fff603,0x01bfff60,0xfffffff8,0x203effff,
    0xfff34fff,0xffff8007,0x2effffff,0xf8a7ffc0,0x7fc004ff,0xffffffff,
    0xfa81ffff,0x3fe4ffff,0xffffffff,0xfff10fff,0x2037ffcb,0x3f62fffb,
    0xffb803ff,0x7fffec4f,0x101fffff,0x19fffff9,0x2a1fffb8,0x206ffdff,
    0x84ffeffa,0x3ee2fff9,0x06fff85f,0xfffffb00,0xffeff98d,0xffeffb85,
    0xff1ffe43,0x437ff41f,0x3e24fff8,0xd00fffff,0x3e7fffff,0x7fc007ff,
    0x3fffa06f,0xffffc81f,0xffffffff,0x02fff43f,0xfffffffb,0x3ffa07ff,
    0x3ffee03f,0x98bfff26,0xf981ffff,0x3fee1fff,0xfffff02f,0x01bffe07,
    0x07ffffe2,0x7fffffc0,0x5fffffff,0x3e69fff0,0x7fc003ff,0xffffffff,
    0xfff00dff,0x013ffe29,0xfffffff0,0x3fffffff,0xffffff98,0x3fffffe2,
    0x0fffffff,0x7fcbfff1,0x7ffdc06f,0x017ffea2,0xff07fff6,0xffffffff,
    0xfffff303,0x7dc1ffff,0x2dff11ff,0x3f204ffa,0xee980eff,0x7c17fa2e,
    0xff0006ff,0xf70557ff,0x3f601fff,0x2cca85ff,0xffb83332,0x0fffd41f,
    0x5ffffff1,0xffffff10,0x001fffe7,0x3f60dfff,0xff902fff,0xffffffff,
    0xffe87fff,0xbffff905,0x03ffffb7,0x101ffff5,0x7e43ffff,0x7ffe42ff,
    0x43fffe86,0xf984fff9,0xf885ffff,0xffc804ff,0xff004fff,0xffffffff,
    0xff07ffff,0x0fffe69f,0xffffff00,0xdfffffff,0x7c53ffe0,0x7fc004ff,
    0xffffffff,0x7d41ffff,0x3e0aadff,0xffffffff,0xff10ffff,0x037ffcbf,
    0xf88bffee,0x3e200fff,0x7ffc46ff,0x0aaaaaac,0x77ffff44,0x3aa6ffff,
    0x415530ee,0x555402aa,0x01544001,0x9999ffff,0x3fe20579,0x1aaa804f,
    0x002aaa20,0x13ffe200,0xff88dffb,0xfa85ffff,0xff3fffff,0xfff800ff,
    0x2ffffd86,0x3ffa2000,0x2fff40ef,0x2077ffc4,0xfb06fff8,0xfffb0bff,
    0x42fffc89,0x2e3fffe8,0xfff06fff,0xfffff70d,0x05fff50f,0xfffffff0,
    0x0dfff001,0x21bfff22,0xfff34fff,0x6fff8007,0x3ffffc98,0xff109998,
    0xfff8009f,0x3ff20006,0x0dfff00f,0x25fff880,0x7dc06fff,0x7ffec2ff,
    0x13ffee03,0x4001fff3,0xd10cfffa,0x00003fff,0x0faa0000,0xffffff00,
    0x81dfffff,0x0003fff8,0x40000400,0x3fe26ffd,0x77ffc43f,0xeffc87ff,
    0xffff3fff,0x46fff800,0x002ffffc,0x07fffec0,0xfffffff9,0x40bffea3,
    0xff107ffc,0x7ffcc3ff,0x82fffb86,0xf88ffffa,0xffd01fff,0xffffd81f,
    0x7ffe41ff,0x6fffd400,0xff803fff,0x3fff406f,0xff9a7ffc,0x7ffc003f,
    0x3fffe606,0x4fff8800,0xdfff0044,0x3ffe4000,0x800dfff0,0x3fe5fff8,
    0x7ffdc06f,0x037ffd42,0xfb83fffb,0x7fe4007f,0x1fffd41f,0x209fff00,
    0xffffffff,0x17f23fff,0xfff09fff,0xffffffff,0x7ffc45ff,0x84fff803,
    0xffb8fff9,0x04fff83e,0x7d47ffea,0x7ffc40ff,0x7f41fffc,0xff3fffcf,
    0xfff800ff,0x0ffffee6,0xffff9000,0xfffffc83,0x097511ff,0xb807ffe4,
    0x3ffa6fff,0x1fffb82f,0xfbbfffb0,0x7fe409ff,0x7dfffc1f,0x3fff43ff,
    0x7c7ffec0,0xfff806ff,0x437fec06,0xfff34fff,0x0efffc87,0xf901bffe,
    0x4fff87ff,0x3f29fff1,0xfff83eff,0xfffc8006,0x7fc5ffff,0x7fc4006f,
    0x01bffe5f,0xff05fff7,0xfff101ff,0xb7dff90d,0x6654059d,0x03fff985,
    0x7c13ffe0,0xffffffff,0xf1bf63ff,0xffff09ff,0xfffd9999,0x3ffe21ff,
    0x84fff803,0xfffbfff9,0x04fff82f,0xffda7ffc,0xebfff885,0x3ffe23ff,
    0xfff3fffa,0x6fff800f,0x007ffff7,0x3ffffa80,0xffffffc8,0x3fe2001f,
    0x7ffec05f,0x505fffbb,0x3e201fff,0x0effffff,0x98fffea0,0x5ffe9fff,
    0x1017ffe2,0x3ff2bfff,0x37ffc01f,0xf09fff30,0x3ffe69ff,0x03bffee3,
    0xf980dfff,0xa7ffc4ff,0xffedfff8,0x7fc4ffff,0xffc8006f,0x7c5fffff,
    0x7c4006ff,0x1bffe5ff,0x905fff70,0xff507fff,0xffffd07f,0x001bffff,
    0x003fff70,0xff827ffc,0xffffffff,0xff1bfa2f,0x0dfff09f,0x44bfffe6,
    0xff803fff,0xffff984f,0xff80ffff,0x77fe404f,0xf882fff8,0x25ffcbff,
    0xfff8fffa,0x800ffff3,0xfffaefff,0x7cc0006f,0x7f405fff,0xfe88005f,
    0x7fc402ff,0x00ffffff,0x5401fff3,0x02ffffff,0xf92fffc4,0x99ffeeff,
    0x7dc03fff,0x9fff32ff,0xccffff80,0xefffdccc,0xf34fff80,0x3ffea7ff,
    0x06fff80f,0x3e2fffc4,0xffff14ff,0xffffd9df,0x777fffc1,0x2eeeeeee,
    0x3ffffff2,0x577ffc5f,0x42aaaaaa,0x3fe5fff8,0xccccccff,0x982fffec,
    0xffd86fff,0xfffff80f,0x005fffff,0x000fffe8,0x4cc13ffe,0xbfffb199,
    0x7ffc7fe8,0x206fff84,0xff14fffc,0x9fff007f,0x3bffff30,0x13ffe073,
    0xff9fff30,0x7fff101f,0x7fe4fff5,0xff3fff8d,0xfff800ff,0x3fffffff,
    0xfffd1000,0x0bffd00d,0x4ffff980,0xfffff700,0x3ffc407f,0x2ffffec0,
    0x3a7ffe80,0x3fff35ff,0xd007ffee,0xfffe8fff,0x3ffffe00,0x5fffffff,
    0x7cd3ffe0,0xffff9bff,0x00dfff01,0xfff8dfff,0x89ffff14,0x3fe2fffc,
    0xffffffff,0xffc83fff,0x3ffffe07,0x46ffffff,0x3fe5fff8,0xffffffff,
    0xd02fffff,0x7fc41fff,0xdfff985f,0x2ffffb89,0x0ffff600,0x009fff00,
    0x7c37ffec,0x13ffe0ff,0xfa81bffe,0x7fff14ff,0x309fff00,0xf001ffff,
    0xffd009ff,0x3e20bfff,0x1fff8bff,0xfff17ffd,0x001fffe7,0xffffffff,
    0xd0001fff,0xd001ffff,0x7c400bff,0x74003fff,0x4406ffff,0xffd806ff,
    0xff9004ff,0x45fff11f,0xfffb3fff,0x44fff980,0x3e03fffc,0xffffffff,
    0xff03ffff,0x33ffe69f,0x3e01ffff,0xfff806ff,0xf8a7ffc7,0xfff987ff,
    0x3fffffe3,0x3fffffff,0x3e07ffc8,0xffffffff,0x7ffc46ff,0x3fffffe5,
    0xffffffff,0x7fff702f,0x9817ffd4,0x5fff982a,0x8dfff900,0xff80ccc9,
    0xfff9004f,0x1fff881d,0x3fe13ffe,0x3fff606f,0x007fff12,0xff309fff,
    0x3ffe00bf,0xffffb804,0x7fff102f,0x3fe2fffa,0xf3fff89f,0xff800fff,
    0xffcbffff,0x7fe4005f,0xffd001ff,0x7fff400b,0xfff98003,0x06ff801f,
    0x7fffffd4,0xafffa801,0x3f60fffa,0x80bfff5f,0x7cc1fffc,0x3ffe06ff,
    0xfdcccccf,0x7fc0efff,0xfffff34f,0xfff80bff,0x3fffc406,0x7fc53ffe,
    0x4fff885f,0x3333fffe,0x81cccccc,0x3fe07ffc,0xeeeeeeff,0x2fffc45e,
    0x9999ffff,0x5fffd999,0xd9bffe60,0xf0000fff,0xffb00fff,0xfffb83ff,
    0x804fff81,0x981ffffb,0x3ffe1fff,0x706fff84,0x3e23ffff,0xfff803ff,
    0x04fff984,0x1009fff0,0x440fffff,0xdff93fff,0x3fe2fff5,0x00ffff3f,
    0x13fffff8,0x2007ffff,0x003ffffb,0x44017ffa,0x20003fff,0xfd006fff,
    0x7fffc40b,0xf8806fff,0x46ffccff,0xfff9fffb,0x67fffc03,0xffffcccc,
    0x40dfff01,0x7c2fffd8,0xffff34ff,0x7c05ffff,0x7fc406ff,0x8a7ffc5f,
    0xff884fff,0x01bffe4f,0x207ffc80,0x44006fff,0x3ffe5fff,0x17ffdc06,
    0xf13fffd0,0x6c000bff,0x3f600fff,0xffb81fff,0x04fff81f,0x817fffd4,
    0x3fe2fff9,0xeffff84f,0xffffffee,0x00fffe26,0x3e613ffe,0xfff003ff,
    0x3fff6009,0x4fffe204,0x5ffdfffa,0x3fe7fff1,0x7ffc007f,0x7fffdc4f,
    0x7fffcc00,0x2fff4004,0x007ffa80,0x8037ffc0,0x3ff604fd,0x03fffeef,
    0xffedfff8,0x7e7ffcc4,0x3fea01ff,0xffffffff,0xfff05fff,0x5fff880d,
    0xff9a7ffc,0x06ffffff,0xf301bffe,0x4fff89ff,0xf109fff1,0x37ffc9ff,
    0x0fff9000,0x20037ffc,0x3fe5fff8,0x7ffdc06f,0x2fffee02,0x4c02fffa,
    0x40fffd01,0x701ffffd,0xfff01fff,0x7fffcc09,0x8fffea03,0xfff84fff,
    0xffffffff,0x3ffe20ef,0x84fff803,0xf003fff9,0x3f6009ff,0x3fe201ff,
    0xfffff13f,0x4fffe27f,0x7c007fff,0xfffd06ff,0x7fffc40b,0x6ffe8005,
    0x00dff700,0x006fff80,0x3fea07fb,0xffffa9ff,0x7fffec01,0xffff82ff,
    0x7ff407ff,0xffffffff,0xff80ffff,0x7fff806f,0xff9a7ffc,0x3fffabff,
    0xc80dfff0,0x7ffc3fff,0x109fff14,0x7ffc9fff,0x3ff20006,0x01bffe07,
    0x7cbfff10,0x7fdc06ff,0x3ffe202f,0x3207ffde,0x7fcc1fff,0xdfff906f,
    0x3e0fd001,0xfff104ff,0xfffb807f,0x3e13ffe3,0xffffffff,0x7fc40cff,
    0x4fff803f,0x003fff98,0xf3009fff,0xff880dff,0x3ffffa3f,0x27fff11f,
    0x7c007fff,0xfff506ff,0x3fffa05f,0xffe8000e,0x80000006,0x80006fff,
    0x363ffff8,0x7dc06fff,0xd80fffff,0x205fffff,0xcccefff8,0xfffecccc,
    0x406fff83,0x7fc6fffa,0x49fff34f,0xff80fffe,0x3ffe606f,0xf14fff86,
    0xfff109ff,0x0037ffc9,0x7c0fff90,0x7c4006ff,0x1bffe5ff,0x805fff70,
    0x4ffffffd,0x437ffea0,0xa82fffc8,0x8800ffff,0x09fff06f,0x33bfffd1,
    0x3ee13333,0x13ffe3ff,0x2aabbffe,0x3fe20199,0x4fff803f,0x003fff98,
    0x2aa09fff,0x402ffffc,0x3f23fff8,0x3fe27fff,0x33ffff3f,0x13333333,
    0xfd81bffe,0x7fe40fff,0x99999aff,0x7ec09999,0x2602eeff,0x20000ccc,
    0xc9806fff,0x7ffec0cc,0x1ffffc46,0xdfffff30,0x3ffffea0,0x0bfff203,
    0xf0dfff30,0x33333dff,0x89ffff93,0xfff34fff,0x427ffcc7,0x9999efff,
    0x82ffffca,0xfff14fff,0x49fff109,0x9999efff,0x40999999,0x3fe07ffc,
    0x7fc4006f,0x01bffe5f,0xa805fff7,0x01ffffff,0x7efffff4,0xff886fff,
    0xaaaaadff,0x203ff51a,0xffb84fff,0xffffffff,0x47fff76f,0xfff84fff,
    0xfff88006,0x84fff803,0xf003fff9,0x3ffa09ff,0xf8806fff,0x3ffea3ff,
    0x4fffe25f,0xffffffff,0xff4fffff,0x7ffc40df,0x7fffec5f,0xffffffff,
    0x7ffdc6ff,0x3fee03ff,0x3fe0000f,0xfffa806f,0x07fffea1,0x807fffea,
    0x104fffff,0x405fffff,0xfd007fff,0xffff83ff,0xffffffff,0x7ffc0eff,
    0xd87fff34,0x7ffc1fff,0xffffffff,0x9fff05ff,0x2213ffe2,0x3ffe4fff,
    0xffffffff,0x7fe44fff,0x01bffe07,0x7cbfff10,0x7fdc06ff,0x7ffc402f,
    0xff8806ff,0x0effffff,0xffffffb8,0xd54fffff,0x427ffc05,0xfffffffc,
    0xff76ffff,0x427ffc7f,0x88006fff,0xff803fff,0x3fff984f,0x209fff00,
    0x00effffd,0x223fff88,0x3e23ffff,0xfffff3ff,0xffffffff,0x901bffe9,
    0x7ec5ffff,0xffffffff,0xd86fffff,0x2e03ffff,0x20000fff,0xfa806fff,
    0xffff11ff,0x37ffec09,0x03ffffb0,0x807ffff4,0x7004fffa,0xfff8bfff,
    0xffffffff,0xfff81fff,0x887fff34,0x7ffc5fff,0xffffffff,0x9fff00cf,
    0x2213ffe2,0x3ffe4fff,0xffffffff,0x7fe44fff,0x01bffe07,0x7cbfff10,
    0x7fdc06ff,0xfffd802f,0xff91004f,0x7f409dff,0xffffffff,0x3fe004ff,
    0xffffc84f,0x6fffffff,0x7fc35551,0x06fff84f,0x03fff880,0xf984fff8,
    0xfff003ff,0x0b332609,0x43fff880,0x3e21fffe,0xfffff3ff,0xffffffff,
    0x101bffe9,0x361fffff,0xffffffff,0x06ffffff,0xff700131,0x7fc0001f,
    0xfffa806f,0x01ffff91,0x81ffffc4,0x6407fffb,0x3f606fff,0xff1001ff,
    0x7fffc1ff,0xdfffffff,0x29fff00a,0xfc83fff9,0x3fffe2ff,0x0cdeffff,
    0xf8a7ffc0,0xfff884ff,0x3fffffe4,0xffffffff,0xf03ffe44,0xf8800dff,
    0x1bffe5ff,0x005fff70,0x003ffff5,0xf8801330,0xffffffff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33100000,0x33333333,0x4cc13333,
    0x0ccc4009,0x26666666,0x22000099,0x553002aa,0x4cccccc3,0x98009999,
    0x4ccccccc,0x3a00ccc0,0xffffffff,0x55555fff,0x55555555,0x00198075,
    0x40002660,0x00009801,0x06200033,0x0a808800,0x1100cc40,0x00062000,
    0x88001880,0x3fe20099,0x3fff883f,0xcc980080,0x1000800c,0x000001b8,
    0x3ffe2011,0x9bfff883,0x03003fff,0x2a000018,0x81ffff51,0x3f66fffa,
    0xfff500ff,0xfffff507,0xffffffff,0x0ffffcdf,0x7c3fff50,0xffffffff,
    0xfd8003ff,0xfff8807f,0x3fffffe4,0x0dffffff,0xffffff70,0x3ffcc0ff,
    0x3fffffa0,0x55ffffff,0xfb505000,0x803bdfff,0xcffffffb,0x3ffb2600,
    0x3ff662ef,0x75400cff,0x402effff,0x3efffec9,0xefffd880,0xc886faac,
    0x89efffff,0x01cefffd,0x77fff64c,0x807ffe43,0x02efffec,0x4407ffd0,
    0xff883fff,0x71fff33f,0x7dc07dff,0x274401ff,0xb076c353,0xf88005bf,
    0xfffd92ff,0x83fff887,0xff9bfff8,0x26fff53f,0xb10dfffd,0x0003bfff,
    0x7e45ff71,0x3ffe25ff,0x0fffe61f,0x5407ffec,0xffffffff,0x26ffffff,
    0x2a06ffff,0x3ffe1fff,0xffffffff,0xff5000df,0xfffb00ff,0x7fffffc9,
    0xefffffff,0xeeeeea80,0x3fe605ee,0x7ffff407,0x5fffffff,0xf9850005,
    0xffffffff,0xfffffd02,0x3e60bfff,0xdfffffff,0xfffffffc,0xffffb01f,
    0x2607ffff,0xffffffff,0xffff500d,0x05ffffff,0xfffffffd,0xffffffff,
    0x3ffe603f,0x90efffff,0xfe881fff,0x04ffffff,0x2203ffe8,0xff883fff,
    0xf7fff33f,0x7dc05fff,0x3fa201ff,0xeeffffdf,0x3fff66ff,0xff8800be,
    0xfffffebf,0x0fffe25f,0x3e6fffe2,0x7fff53ff,0x3dffffff,0x1ffffffd,
    0x3fff2600,0x97fff42f,0xfe83fffd,0x4fff886f,0xffffff50,0xffffffff,
    0x17ffffcd,0x3e1fffa8,0xffffffff,0x8806ffff,0x5c07ffff,0x3fe4ffff,
    0xffffffff,0x0007ffff,0x203ffcc0,0xaaaaaaaa,0x0051fffd,0xdfffe850,
    0xb87fffed,0xfdbbdfff,0x7ffcc3ff,0xffffffff,0xfffdcfff,0xeffffb86,
    0x4c1ffffe,0xffefffff,0xfff986ff,0xfffffdff,0x677ffe40,0xdffffffe,
    0x4c0ffffd,0xffefffff,0x1fff96ff,0xfdffffd8,0x7f403fff,0x3ffe203f,
    0x33fff883,0xffffffff,0x0fffdc01,0x3fffff60,0x24ffffff,0xcffffffd,
    0x3fffe201,0xffffecff,0x107fff11,0xfdd37fff,0x3ffffea5,0xffffffdd,
    0x05ffffde,0x7fffff54,0x7fffcc2f,0xf705fffb,0xfffb83ff,0x7ffec001,
    0x7ffffc00,0x1fffa80f,0x3661bffe,0x6c02ffff,0xb307ffff,0x7c9fffff,
    0x3fee06ff,0x200001ff,0x20007ff9,0x00a3fff8,0x1fffa8a0,0x3607ffec,
    0x4dfd85ff,0xa867fffc,0x20effffe,0x3e23fff9,0x3fe61eff,0x3fffe25f,
    0x7fffd50c,0x222fffe8,0x3a24fffe,0x7ffe43ff,0x9bffa21f,0x50cffff8,
    0xfd79fffd,0x24fffa8f,0x7407ffd8,0x3fe203ff,0x3fff883f,0x33bffff3,
    0x01998807,0xfdffffd0,0xfb50bfff,0x05bfffff,0xd89ffff1,0xfff13fff,
    0x47fff107,0xffff51fc,0x2ffffd43,0x710dffd1,0xbfffffff,0x3fffee03,
    0xff100fff,0x06ffe89f,0x00fffd80,0x27fffffc,0xff0fffd4,0x7ffec0df,
    0x3fffea03,0xffffc87f,0x3ffe4fff,0x1fffe406,0x9889fff0,0x9fffb999,
    0xf9001999,0x280028bf,0xfffb8188,0x0dfffec0,0x427ffcc0,0xd83ffff9,
    0x3ffee5ff,0x2a1bcc81,0xff884fff,0x13ffea7f,0x20fffffb,0x85fffa81,
    0xff50fff9,0xffff109f,0x3fff637c,0x89fffcc0,0xcffe9999,0xff109999,
    0x7fff107f,0x403fffe6,0x99999998,0xf8199999,0xffd31dff,0x7ffe440d,
    0xf10befff,0xfff30dff,0x20fffe27,0xfd13fff8,0x7c27ffd4,0x7fe40fff,
    0x3ffff267,0xd800beff,0x402fffff,0x3fe67ffd,0xffd8003f,0x7fffc00f,
    0x7fd41fff,0x81bffe1f,0xf104fffa,0xd0fffdff,0x9fff7dff,0x2a037ffc,
    0x3fe04fff,0x7fffd44f,0xffffffff,0x7ffc400f,0x01400140,0x3ffff6e6,
    0x7ffffdc1,0xffb80adf,0x5ffff00f,0xfff93333,0x2003ffe4,0xfd02fffc,
    0x3fff21ff,0x3fefbf21,0x3f6e601f,0x9999cfff,0xff92fff9,0x3fffa05f,
    0x7ff44fb9,0xff99999e,0xfffffd4f,0x9fffffff,0x220fffe2,0xfff33fff,
    0x7fffd40b,0xffffffff,0x03ffe60f,0x5001fff5,0x27fffffb,0xf885fff8,
    0x7fff14ff,0xf99fff10,0x1fffd45f,0x7e43fffc,0xffffb0ff,0xf880039f,
    0xf9805fff,0x1fff92ff,0x1fffb000,0xffefff80,0x0fffd46f,0x7dc0dfff,
    0x9ffb03ff,0x7fd0fff9,0xff93ffe2,0x7ffe406f,0x513ffe03,0xffffffff,
    0x801fffff,0x00282ffd,0xfffdb828,0xd81fffff,0xffffffff,0x81fff60c,
    0xfffffffd,0xfb0fffff,0xffe800ff,0x4bffee07,0x3fee7ffd,0x542fff98,
    0xfffffffd,0xffffffff,0x0fffd3ff,0x7ff7ffdc,0x7fffffc0,0xd4ffffff,
    0xffffffff,0x3e29ffff,0xfff983ff,0x409fff33,0xfffffffa,0x20ffffff,
    0xfff06ffa,0x7ff4c003,0x09fff13f,0x3e29fff1,0xfff983ff,0x7fd41eff,
    0x86fff82f,0xffb0fffc,0x260001bf,0x800fffff,0x9fff5ffe,0x3fff6000,
    0x6e7ffc00,0x3fea3fff,0x41bffe1f,0xb81ffff9,0x0fff96ff,0x27ffc419,
    0x9998dfff,0x200ffffc,0x7fd44fff,0xffffffff,0x3e600fff,0x5000507f,
    0xceffffd8,0xd701fffc,0xbfffffff,0xf903ffec,0xffffffff,0x3ffa3fff,
    0x3ffec007,0x365fff50,0x23ff56ff,0x3f62fff9,0xffccffff,0xffffffff,
    0x0fffb3ff,0x067fffdc,0x3fffffe2,0xd5ffffff,0xffffffff,0x3e29ffff,
    0xfff984ff,0x407fff33,0xfffffffa,0x20ffffff,0x7d41fff9,0xfda800ff,
    0xff13ffff,0x9fff109f,0x2613ffe2,0xf500dfff,0xbfff05ff,0x361fff90,
    0x01cfffff,0x3ffffa20,0xfffb805f,0x0001fffa,0xf801fffb,0xffff8cff,
    0x7c3fff50,0xdccccfff,0x440fffff,0xfff91fff,0x49fff100,0xffffffff,
    0x03ffffff,0x2a227ffc,0xafffcaaa,0x7f402aaa,0x5000504f,0x5067ffe4,
    0xb9803fff,0x90fffffd,0x3f605fff,0x99999aff,0x1fff2199,0x7ffe40c4,
    0x21fff701,0x2ff9fffc,0x7d47fff2,0x3fea1dff,0x999999cf,0x3fff9099,
    0x80bfff60,0x22005fff,0xcffe9999,0x3fe09999,0x3fffa84f,0x4407fff3,
    0x99999999,0xff819999,0xdffd51df,0x7fffe440,0xff10beff,0x9fff109f,
    0x7d427ffc,0x3fea03ff,0x85fff82f,0xf930fffc,0x17dfffff,0xfffffd80,
    0x7fc403ff,0x0006ffef,0xf003fff6,0x3ffee9ff,0x7c3fff55,0xffffffff,
    0xfd82ffff,0x01fff24f,0xff93ffe2,0xffffffff,0xff802fff,0x7ff9804f,
    0x0fffd400,0x3a280028,0xfffb86ff,0x5c0d4c41,0xfff53fff,0x9ffff109,
    0xffb81530,0x0effd82f,0x3a09fff5,0x3ffea7ff,0x7fff43ff,0xf70fff90,
    0x81510dff,0xf884fffa,0x7ff407ff,0xe801a80f,0x7ff403ff,0x3fffe20f,
    0x007fff33,0xd0019988,0xffffffff,0xfffb50bf,0xf105dfff,0xfff109ff,
    0x107fff49,0x5407ffff,0xfff82fff,0x40fffc85,0xffffffb8,0xfffa81cf,
    0x01ffff8d,0x1fffffe4,0x1fffb000,0x3a4fff80,0xfffa9fff,0x3fffffe1,
    0x82ffffff,0x7fe46ffb,0x4fff8807,0x3ffffffe,0x2001efff,0xf9804fff,
    0x7ff4007f,0x8a000a06,0x7f446ffe,0x3ffe21ff,0x13fff986,0x7545ffff,
    0x220fffff,0x3fe65fff,0x3ffe62ef,0x2ffffe25,0x87fffb30,0x3224fffe,
    0x3ff64fff,0x7ffff40f,0x887ffec2,0xb30bffff,0xfb809fff,0x7ffe44ff,
    0x00fffa02,0xfb9dfffb,0x3e67ffff,0x7dc003ff,0x7fec01ff,0xffffffff,
    0x3ffff64f,0x3e201cff,0xfff884ff,0x33bfff64,0x03fffffd,0x3e0bffea,
    0xfffc85ff,0x3fffaa00,0x3fe22fff,0xdfff70ff,0xfffff980,0x3ff60000,
    0x27ffc00f,0xff5dfff3,0x77fffc3f,0x102cccee,0xb3337fff,0x20133fff,
    0x3fe4fff8,0x3fffa66f,0x9fff000d,0x00fff300,0x5017ffc4,0x7fdc5000,
    0xfffecadf,0x77ffec1f,0x0fffecab,0x3bbfffea,0xffffffff,0x40ffffcd,
    0xfeeffffc,0x7fd42fff,0xffffefff,0xeffffa86,0x4c6ffffc,0xfebbefff,
    0xecefffff,0x7fd43fff,0xffffefff,0xdffff006,0x80bfffb7,0x7cc03ffe,
    0xeaffffff,0x7fff33ff,0x1fffb800,0x3b7ffa20,0x5ffdefff,0x02fffff6,
    0x213ffe20,0x3e64fff8,0xebffffff,0x3fea03ff,0x85fff82f,0x9800fffc,
    0x362ffffc,0x7ff43fff,0x7fff404f,0x7fec0005,0x27ffc00f,0x3ffbfff6,
    0x01bffe1f,0x3ffffee0,0xffffffff,0x49fff102,0xffe86fff,0xfff800ef,
    0x07ff9804,0x803ffea0,0x3e228002,0xfdffffff,0x7ff443ff,0x2fffffff,
    0xffffffb8,0xffffcdff,0xd882ffff,0xffffffff,0xfffff503,0xf901dfff,
    0xffffffff,0xffffd03d,0xfff9dfff,0x20bfffff,0xfffffffa,0xfd3000ef,
    0x1dffffff,0x803ffe80,0xd1efffe9,0x3ffe67ff,0x7ffdc003,0x31274401,
    0x3bf62ec1,0x7ffc4002,0x44fff884,0xd2efffea,0x7fd407ff,0x85fff82f,
    0x2000fffc,0xff72ffc8,0xffff30df,0x0fffdc03,0x3fff6000,0x227ffc00,
    0xfffffff8,0x001bffe1,0x3fffffee,0x2fffffff,0x7c9fff10,0xfff886ff,
    0x4fff805f,0x002aa880,0x0501fff2,0xffea8500,0x0dffb3ff,0x3fffffae,
    0x3ff6601d,0x3fa62eff,0x5c01ceff,0x02effffe,0x77fff64c,0xd75df503,
    0x4c07dfff,0x22effffe,0xbdffffd8,0x3ffb2600,0xd88003ef,0x00bdffff,
    0x20009988,0xff980098,0x664c003f,0x2000000c,0xff10001b,0x9fff109f,
    0x40002620,0xff82fffa,0x0fffc85f,0x00035000,0x40000000,0x7c00fffd,
    0xfffb84ff,0x3ffe1fff,0xfffb8006,0xffffffff,0xfff102ff,0xa837ffc9,
    0x7c02ffff,0x555444ff,0xaaaaaaaa,0x0bffd02a,0x10280028,0x4c400013,
    0x09980019,0x440004c0,0x98800099,0x4c41d800,0x00662000,0x4c400066,
    0x13100000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb0000,0x04fff801,0x43fffffd,0x88006fff,0xd9999999,
    0x10099fff,0x7ffc9fff,0x3ffff606,0x513ffe00,0xffffffff,0xf01fffff,
    0xaab809ff,0xaaaaaaaa,0x000004aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd800000,0x7ffc00ff,0xfffff304,0x0037ffc3,0x03ffe400,
    0xff27ffc4,0x7ffc40df,0x13ffe05f,0xfffffff5,0x81ffffff,0x0003fff8,
    0x7ffffc00,0xb3ffffff,0xfff50dff,0x7cbffd05,0x7fff14ff,0x50efffb8,
    0x01b85fff,0x4bdb006e,0x7dd30eec,0x00013ba2,0x51035300,0x000a8801,
    0x26003995,0x2ea009ab,0x4000001b,0xccc880cc,0x9880b982,0x42666219,
    0x00009998,0x405eedc0,0x2ee23bbb,0x2099982b,0x22222ccc,0x88888888,
    0x3ba20888,0x2ee6eeee,0x2277710b,0xdddddddd,0x05dddddd,0x007ffec0,
    0xfc813ffe,0x3ffe1fff,0xfc800006,0xfff8807f,0x501bffe4,0x3e03ffff,
    0x7ffd44ff,0xffffffff,0x7ffcc0ff,0x7c000002,0xffffffff,0x1fff73ff,
    0x444fffc8,0x3ffe2fff,0x547fff14,0x3ea0efff,0x07fee2ff,0x7e407fee,
    0xe89ff53f,0x05ffb1ff,0xfffffffd,0x989fffff,0x3ffa63ff,0x7ff540df,
    0x3fe201ef,0x7ffc406f,0x7f441fff,0x3fa0dfff,0xffffffff,0x1ff04fff,
    0x547fff10,0x360cfffe,0xfff71fff,0x50bfff27,0x2205bffb,0x3ffb3624,
    0x70bffe60,0xfff81fff,0x7cd3ffe4,0xffffffff,0x227fffff,0x27ffffff,
    0xdff30ffe,0x3fffffe6,0xffffffff,0x7ffec007,0x027ffc00,0x7c3ffff1,
    0x800006ff,0xf8807ffc,0x1bffe4ff,0x01bfff60,0x00000000,0xfff80000,
    0xffffffff,0xe85fff12,0x7fdc6fff,0x453ffe0f,0xfff33fff,0x2fffa81f,
    0x5c3ffff3,0xff986fff,0x981fff16,0x1fff16ff,0xffffffe8,0x14ffffff,
    0x7f47fff9,0x7f43ffbd,0x2e06febe,0x3601ffff,0x45ffdcff,0x4fffeffe,
    0x3ffffffa,0x24ffffff,0xf1089fe2,0x6fffc7ff,0x3fff64ff,0x327fff71,
    0x3ff22fff,0xabdfffff,0x8ffe05fc,0xff703ffc,0x3e4fff89,0xffff34ff,
    0xffffffff,0x7ffc4fff,0x3ffa7fff,0x322dff30,0xcccccccc,0x004ccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc00000,0xbfffb199,
    0x3e24ffe8,0x3f60ffff,0x8a7ffc5f,0xfff9bfff,0x1eee981f,0x2e7ffff2,
    0x7441ffff,0x07ffd2ff,0x7fe53ff6,0x7fffff45,0x4fffffff,0x227ffffd,
    0x4cbfb0cb,0x03ff31ee,0x817ffffe,0xa9bfa1a9,0x1ffd14ff,0x3ffffffa,
    0x34ffffff,0xfb5fd5df,0x54fffe27,0xfd9fe65f,0x7fff71ff,0x7c4bfff2,
    0xffffffff,0x1315ffff,0x3e23ff73,0x07fe404f,0x7ffc9fff,0x55555514,
    0x55555555,0x77777445,0x44332e6e,0x000003cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf70dfffb,0x7fffdcff,0xf0fffe2f,
    0x3ffe29ff,0x001fffec,0xffffff90,0xbff903ff,0xf881bfee,0x2fff89ff,
    0x2aaaaaaa,0xb1aaaaaa,0x3aa0ffe5,0x3fec01ff,0xfffeffb8,0x3fb2a201,
    0xc8bfee6f,0x333311ff,0xffd33333,0x3ffffea9,0x97dc5fff,0xd97ec2fd,
    0xfff70fff,0x44bffee5,0xfffcbcef,0xf73fffff,0x5447ffff,0x5c155002,
    0x000001bb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xefffc800,0xb1fff880,0x2a9ffbff,0x7ffc0fff,0xffffff14,
    0xfc8000df,0xa81fffff,0xfff99fff,0x477fe402,0x0000fffb,0x7e41ffc0,
    0x3ff601ef,0xfb7ffd02,0x3fff209f,0x3ff26ffe,0x000bfee0,0xfd989ffd,
    0x0fe80aef,0x87fc49f7,0x3fe67ffb,0x21fff51f,0xfff93058,0x55dd445b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c000000,0x3a01ffff,0xf3fff3ff,0x21bff2df,0xfff14fff,
    0x005fffff,0x3ffffe80,0xf31fff50,0xffa803ff,0x11fff98f,0x33333333,
    0xff013333,0x1ff91107,0x503ffe88,0xfff51fff,0xd0dff981,0x917fdcdf,
    0xfe8003ff,0x7fffcc4f,0xf127f442,0x54bfd7bf,0x9ffe26ff,0x08007ff8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x805ffff5,0x6ff9dffc,0x7ffd1ffd,0x3e29fff0,
    0x6fffffff,0x3ffee000,0xffb01fff,0xd01bff2b,0x93ffa7ff,0xfffffffe,
    0xf84fffff,0x7cc9713f,0x07ffa21f,0x3fe4ffe8,0x997fd44f,0x37fe66ff,
    0x000fff98,0xff327ff4,0x7c43ff57,0xeffffb83,0x970b3221,0x0003cc89,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x007ffff3,0x9ff9fff3,0x3fff3ff2,0xf14fff81,
    0xfff57fff,0xfff70007,0x103fffff,0x3ffa3fff,0x2abff702,0x7fff46ff,
    0xffffffff,0x3e3ff84f,0x746fdacf,0x20cccdff,0x3f21fffa,0x77ffc47f,
    0x7fec7fff,0x8003ffff,0x9be64ffe,0x710042fe,0x0000005b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffff100,0x7ffffc00,0xfffff51f,0x453ffe0d,0x3ff64fff,
    0x3fee000f,0xffffc9ff,0xf36ffa81,0x1fff10ff,0xffd07ffa,0xffffffff,
    0x47ff09ff,0x22fffffa,0xfffffffa,0xf11bffa1,0xefeb87ff,0x7e40ffbb,
    0xd0003fff,0x221889ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fa20000,
    0x99999dff,0xffffc809,0x3ffffe27,0x229fff04,0x3fe63fff,0x8e664c5f,
    0x321ffff9,0xff907fff,0xfb0ffee5,0x20ffee5f,0x99999998,0xa8099999,
    0x981ca81a,0x0aaaaaaa,0xfb07fff3,0x300020df,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffdc000,0xffffffff,0x5ffff986,0x80fffff4,
    0xfff14fff,0x21fffc87,0x3ee2fffa,0x01ffc81f,0x7ff4dfd1,0x3e2bff30,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffff9,0x3e0dffff,0x7fe43fff,0x53ffe06f,0x7c43fff8,
    0x3ffea6ff,0x03900dc2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffc8000,0xffffffff,0x83fffb06,
    0x3e04fff9,0x7fff14ff,0x2a5fff70,0x00002fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_30_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,2,
2,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,-1,1,1,0,1,0,1,0,1,0,1,0,1,1,
1,1,1,1,1,1,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-2,2,1,1,2,1,2,
-1,2,1,2,1,0,0,1,1,1,1,1,1,-1,2,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,-1,-1,1,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_30_latin_ext_y[560]={ 24,4,4,4,3,4,4,4,4,4,4,7,20,15,
20,4,4,4,4,4,4,5,4,5,4,4,10,10,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,26,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,10,10,10,10,10,10,4,4,4,11,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,10,4,4,7,4,
4,4,4,4,4,11,9,15,4,1,4,5,4,4,4,10,4,12,24,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
0,5,-1,4,4,9,-1,4,-1,4,-1,4,-1,4,-1,4,4,4,0,5,-1,4,-1,4,4,9,-1,4,-1,4,
-1,4,-1,4,4,2,-1,-1,4,4,-1,4,0,5,-1,4,4,4,0,10,4,4,-1,4,4,4,10,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,0,5,-1,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-1,4,4,9,-1,4,4,5,-1,4,4,5,-1,4,0,5,-1,4,-1,3,-1,4,4,10,-1,4,-1,4,
0,-1,4,0,4,-1,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,9,7,7,7,7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,4,-1,4,-1,
4,-1,4,-1,-1,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-3,-1,-1,4,-1,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_30_latin_ext_w[560]={ 0,5,11,15,14,22,18,5,8,8,10,14,5,9,
5,9,13,9,14,13,15,14,13,13,13,14,5,5,14,14,14,15,27,20,18,18,18,16,15,19,17,5,13,18,
14,20,17,19,16,20,19,17,16,17,19,26,18,19,16,8,9,8,14,17,7,15,15,14,14,14,10,14,14,5,
8,14,5,22,14,15,15,14,10,14,9,14,15,21,15,15,13,10,4,10,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,14,15,15,15,
4,15,9,21,10,13,14,9,21,17,9,15,9,9,7,14,16,5,8,6,10,13,22,21,23,15,20,20,20,20,
20,20,28,18,16,16,16,16,7,7,10,10,20,17,19,19,19,19,19,14,21,17,17,17,17,19,16,15,15,15,
15,15,15,15,22,14,14,14,14,14,7,7,10,10,15,14,15,15,15,15,15,15,15,14,14,14,14,15,15,15,
20,15,20,15,21,16,18,14,18,14,18,14,18,14,18,19,20,16,16,14,16,14,16,14,16,14,16,14,19,14,
19,14,19,14,19,14,17,14,20,15,10,10,9,9,9,9,7,7,5,5,19,12,16,11,18,14,14,14,7,14,
8,14,10,14,10,16,8,17,14,17,14,17,14,19,17,14,19,15,19,15,19,15,27,24,19,10,19,11,19,10,
17,14,17,14,17,14,17,14,16,9,16,13,16,9,17,14,17,14,17,14,17,14,17,14,17,16,26,21,19,15,
19,16,13,16,13,16,13,9,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,16,14,14,14,
14,14,14,14,14,14,14,14,14,14,22,19,14,14,14,14,14,14,14,14,14,14,14,14,14,22,19,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,20,15,10,10,19,
15,17,14,17,14,17,14,17,14,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,20,15,28,22,21,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_bold_30_latin_ext_h[560]={ 0,20,8,21,24,21,21,8,26,26,10,15,9,4,
4,21,21,20,20,21,20,20,21,19,21,21,14,19,15,11,15,20,26,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,22,20,21,20,21,20,20,20,20,20,26,21,26,11,4,5,16,21,16,21,16,20,21,20,20,
26,20,20,15,15,16,21,21,15,16,20,15,14,14,14,20,14,26,26,26,7,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,26,21,15,20,
26,26,4,21,11,13,11,4,21,3,9,19,11,11,5,20,26,5,6,11,11,13,21,21,21,20,25,25,25,24,
24,24,20,26,25,25,25,24,25,25,25,24,20,24,26,26,26,25,25,13,23,26,26,26,25,25,20,21,21,21,
21,21,21,22,16,21,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,15,16,21,21,21,21,26,26,26,
24,20,25,21,26,21,26,21,26,21,26,21,26,21,25,21,20,21,24,20,25,21,25,21,26,21,25,21,26,26,
26,26,26,26,26,28,25,25,20,20,25,20,24,19,25,20,26,26,24,14,21,26,26,26,26,26,14,25,25,26,
26,20,20,20,20,20,20,25,20,26,21,25,20,20,21,21,25,20,26,21,26,21,21,16,25,20,26,21,25,20,
26,21,26,21,26,21,26,21,29,27,25,21,20,20,26,21,25,20,26,21,26,22,26,21,26,20,25,20,25,26,
24,25,20,24,20,25,20,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,17,17,26,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,16,17,17,17,17,17,17,17,17,17,17,17,17,17,21,15,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,25,21,25,20,26,
21,26,21,26,26,26,26,26,26,26,26,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,26,25,21,27,21,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_bold_30_latin_ext_s[560]={ 506,234,387,81,57,346,385,381,328,443,354,
315,365,470,446,182,192,69,490,325,53,475,462,125,192,177,211,505,461,260,388,
198,110,286,307,426,347,387,415,406,437,431,445,152,137,116,18,1,36,121,79,
459,1,493,455,259,240,214,171,276,396,138,302,452,432,154,336,210,321,300,404,
290,372,366,492,332,326,438,403,225,477,251,345,170,188,330,492,168,476,100,154,
337,305,451,399,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,506,26,462,
305,372,477,501,94,480,352,317,232,339,470,374,490,371,109,292,282,424,236,360,
440,415,275,328,246,206,229,266,272,1,486,357,394,1,483,41,35,22,39,56,
466,334,184,260,72,330,39,340,1,366,229,209,217,83,348,310,168,104,145,40,
65,49,33,17,1,492,105,257,447,432,417,402,387,504,32,1,89,309,142,270,
254,238,222,206,356,241,167,152,137,122,386,402,435,415,389,313,1,36,466,165,
436,202,404,239,127,303,331,165,299,420,419,22,405,342,162,296,194,377,209,192,
49,234,477,470,21,74,92,414,18,359,281,368,314,249,288,456,99,271,132,1,
27,506,190,142,272,186,156,122,141,196,130,122,107,434,157,172,87,21,70,32,
468,102,74,372,396,117,183,354,339,317,203,54,33,203,17,483,185,337,251,394,
319,73,78,285,254,9,239,490,224,452,269,1,76,300,180,219,262,322,112,378,
299,258,97,221,142,184,451,147,351,252,441,414,58,436,451,463,377,493,434,12,
57,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,64,139,139,418,
139,139,139,139,139,139,139,139,139,139,139,139,139,83,280,139,139,139,139,139,
139,139,139,139,139,139,139,139,286,418,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,279,476,
93,67,285,106,254,284,216,201,183,168,150,135,117,102,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,33,86,223,157,54,369,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139, };
static unsigned short stb__arial_bold_30_latin_ext_t[560]={ 26,202,240,158,111,111,111,240,1,31,240,
223,240,240,240,135,135,223,202,135,223,202,135,223,158,158,240,202,223,240,223,
202,31,202,202,158,202,202,202,158,202,202,158,202,202,202,223,180,223,111,223,
158,223,158,202,202,202,202,202,31,158,31,240,240,240,223,158,223,158,223,202,
158,202,202,1,202,202,223,223,223,158,158,223,223,202,223,223,240,223,202,240,
1,1,1,240,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,26,202,1,
158,223,180,1,31,240,158,240,240,240,240,158,240,240,223,240,240,240,180,31,
240,240,240,240,240,158,158,158,180,85,58,58,85,111,85,180,58,85,85,85,
85,85,85,85,111,180,111,31,31,1,85,85,240,111,1,1,58,85,85,202,
158,158,158,158,158,135,111,223,135,135,135,135,135,85,202,202,202,135,180,135,
135,135,135,135,223,223,135,135,135,135,1,1,1,85,180,85,136,31,111,31,
111,31,111,31,158,31,111,85,111,180,111,111,180,85,158,85,111,31,111,85,
136,1,1,31,31,31,58,31,1,85,85,180,180,85,180,85,223,85,180,58,
58,1,240,158,1,58,58,58,58,240,85,85,58,31,180,180,180,180,180,180,
58,180,58,135,58,180,180,135,135,58,180,58,136,58,136,111,223,58,180,31,
111,85,202,31,111,58,111,31,111,31,111,1,1,58,111,180,180,31,158,58,
180,31,158,31,111,31,111,31,180,58,180,58,31,85,58,180,85,180,58,202,
202,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,136,223,223,1,
223,223,223,223,223,223,223,223,223,223,223,223,223,135,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,135,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,58,135,
85,202,1,135,1,111,1,1,1,1,1,1,1,1,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,1,1,58,111,1,111,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223, };
static unsigned short stb__arial_bold_30_latin_ext_a[560]={ 119,143,204,239,239,382,310,102,
143,143,167,251,119,143,119,119,239,239,239,239,239,239,239,239,
239,239,143,143,251,251,251,262,419,310,310,310,310,287,262,334,
310,119,239,310,262,358,310,334,287,334,310,287,262,310,287,406,
287,287,262,143,119,143,251,239,143,239,262,239,262,239,143,262,
262,119,119,239,119,382,262,262,262,262,167,239,143,262,239,334,
239,239,215,167,120,167,251,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,119,143,239,239,239,239,120,239,
143,317,159,239,251,143,317,237,172,236,143,143,143,248,239,119,
143,143,157,239,358,358,358,262,310,310,310,310,310,310,430,310,
287,287,287,287,119,119,119,119,310,310,334,334,334,334,334,251,
334,310,310,310,310,287,287,262,239,239,239,239,239,239,382,239,
239,239,239,239,119,119,119,119,262,262,262,262,262,262,262,236,
262,262,262,262,262,239,262,239,310,239,310,239,310,239,310,239,
310,239,310,239,310,239,310,309,310,262,287,239,287,239,287,239,
287,239,287,239,334,262,334,262,334,262,334,262,310,262,310,262,
119,119,119,119,119,119,119,119,119,119,337,239,239,119,310,239,
239,262,119,262,119,262,166,262,206,262,119,310,262,310,262,310,
262,304,311,262,334,262,334,262,334,262,430,406,310,167,310,167,
310,167,287,239,287,239,287,239,287,239,262,143,262,206,262,143,
310,262,310,262,310,262,310,262,310,262,310,262,406,334,287,239,
287,262,215,262,215,262,215,119,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,312,322,322,239,322,322,322,322,322,
322,322,322,322,322,322,322,322,367,305,322,322,322,322,322,322,
322,322,322,322,322,322,322,356,311,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,310,239,119,119,334,262,310,262,310,262,310,
262,310,262,310,262,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,310,239,430,382,334,262,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_30_latin_ext(stb_fontchar font[STB_FONT_arial_bold_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_30_latin_ext_s[i] + stb__arial_bold_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_30_latin_ext_t[i] + stb__arial_bold_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_30_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_30_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_30_latin_ext_x[i] + stb__arial_bold_30_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_30_latin_ext_y[i] + stb__arial_bold_30_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_30_latin_ext_s[i] + stb__arial_bold_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_30_latin_ext_t[i] + stb__arial_bold_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_30_latin_ext_x[i] + stb__arial_bold_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_30_latin_ext_y[i] + stb__arial_bold_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_30_latin_ext_LINE_SPACING
#endif

