// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT        280
#define STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_32_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_32_latin_ext_LINE_SPACING          21

static unsigned int stb__arial_bold_32_latin_ext_pixels[]={
    0x99999993,0x99999999,0x00097007,0xbddb0000,0x32200001,0x30000ccc,
    0x3b607999,0x981d9004,0xddd1002e,0x8fbb2009,0xb1003eec,0x10001bdd,
    0x30003555,0x4000bddd,0x8001aaa9,0x01cdedc8,0x8005dd30,0xcdeeccb8,
    0x3332000b,0x5dd95004,0x99113332,0x88098059,0xa8800009,0x000001aa,
    0x09881980,0x0deed880,0x13bbaa00,0x9db73000,0x54fbaa57,0x59bd33ee,
    0x80999900,0x99993ccc,0x1cccb801,0xff59ddd1,0xffffffff,0x40dfffff,
    0x44007fe8,0xff70000d,0x5c00005f,0x20002fff,0xf701fffd,0x19f5003f,
    0x44003fa2,0xfb005fff,0x027fec9f,0x05ffffd8,0x0ffffe80,0x3fffa200,
    0xff88003f,0x2e000eff,0xdfffffff,0x007fec00,0xfffffda8,0x03efffff,
    0x400ffff8,0xff2ffffe,0x4fff98ff,0x07f43f40,0x3ffa2000,0x3e6000ff,
    0xfd8004ff,0x6c017e41,0x2005ffff,0x0000effe,0x3fffffea,0x3ee9ff75,
    0xdffff54f,0x407fff80,0xffff6fff,0x2fffd801,0xff5dfff1,0xffffffff,
    0x40dfffff,0x2e001efc,0xfd0000ff,0xf800007f,0x260003ff,0x3e201fff,
    0xdfff006f,0x7c400bff,0xffb005ff,0x4027fec9,0x3ffedffb,0x3fbff200,
    0x3ff6005f,0x4001fffc,0x04ffeffd,0xffffff50,0x7cc0bfff,0xffe9804f,
    0xfeeeefff,0x200dffff,0x2e00ffff,0xff2fffff,0x4fff98ff,0x6d5efdc0,
    0xfc80004f,0x2005ffef,0x8004fff9,0x6fcabef9,0xfddffb80,0xeff9803f,
    0x7ffc0000,0xff73ffff,0x7d53fee9,0x3e03ffff,0x7ffc07ff,0x801ffff6,
    0xff12fffd,0xfffff5df,0xffffffff,0x5ff40dff,0x1fffb001,0x07ff5000,
    0x3ffb8000,0x17fe4000,0x4017fec0,0x00befeb8,0x013bba20,0x9971665c,
    0x8eff9805,0xa800fff8,0x07ffb6ff,0x3e6bff50,0x3fee006f,0xb005ffd5,
    0xfd539fff,0x3ffa05ff,0x7fffdc01,0x3fee600b,0xffff00ff,0x6ffff401,
    0x98ffff1c,0x74404fff,0x001effff,0xfdaffd40,0xfff3003f,0x3ff60009,
    0x7cc02fff,0x0fff88ef,0x0007fec0,0x33fffe60,0x29ff71dc,0xfb934ffb,
    0x7ffc0dff,0xfb7ffc07,0x7ec00fff,0xdfff12ff,0x037ffcc0,0x803fffc0,
    0x8000fffd,0x00000dd9,0x40001e5c,0xff5002cc,0x0000800d,0x80000000,
    0x26620998,0x10ccb800,0x33100999,0x8004cc41,0x79910ccc,0x41ffff00,
    0xfa84fffa,0x7ffdc06f,0x7fec4003,0x01ffff06,0x4cc2fffc,0x00999819,
    0x00039930,0x644332e0,0x9991004c,0x6dc40005,0x41331002,0x55400998,
    0xffb80000,0x29ff704f,0xffd84ffb,0x00666607,0x3ffe1333,0x7ffec00f,
    0xfff98002,0x7ffc4006,0x1fffb007,0x1fffd000,0x30000000,0xf8006a00,
    0x001002ff,0x00000080,0x00000000,0x00004000,0x7ff40000,0xfd004c3f,
    0x77fcc09f,0xff900101,0x01ffff09,0x00027ffc,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0x9ff701ff,0x3ee13fee,0x2000007f,0x6c00ffff,
    0x0aa22fff,0x00dfff30,0xb8055550,0x5eeffffe,0x9d13f500,0xb9530000,
    0x4fa8599d,0x01bffa20,0xd5037fec,0x3ba1bfff,0xfffea83e,0x2e7ddd0d,
    0x3b202eee,0x5ddd71ee,0x80f77640,0x2cdedba8,0xbfffd500,0x100fbba1,
    0x379bdd97,0x9ffff700,0x07ffe600,0x2607ff44,0xe98dffec,0x81ffd1ee,
    0xf100ffff,0xbddb07ff,0x403eee98,0x1bcedca9,0x99950000,0x6e54c005,
    0x33201acd,0x665c00cc,0x0bddd01c,0x6405ddd7,0x3b201eee,0x5eeffffe,
    0xffba7fdc,0x00fffb84,0xee80bddb,0x01ffff5e,0x2a2fffd8,0x7ffcc07f,
    0x20010006,0xfffffffc,0x361f7006,0x3f620005,0xefffffff,0x701fff9a,
    0x7005f33f,0x3ff20fff,0xff9fffff,0x7fffe44f,0x4fff9fff,0x7c0dfff3,
    0x3ffe67ff,0x41fffe06,0xfffffffb,0x3ff203ff,0xff9fffff,0xfffb104f,
    0x3bffffff,0xeffffe80,0x03ffe401,0xffa87ff7,0xffdfffff,0xf87ff10f,
    0xff100fff,0x8ffff07f,0xd304fff9,0xffffffff,0xfb80003d,0xfd8804ff,
    0x4fffffff,0x801ffff0,0xff02fffd,0xdfff30df,0x203fffc0,0xfffffffe,
    0xba7fdc6f,0xfffb84ff,0x80ffff00,0xffff6fff,0x2fffd801,0xf9803fee,
    0x3aa006ff,0xddd0dfff,0x3fffff27,0xdf1006ff,0x2a0007fb,0xffffffff,
    0x2fffffff,0x804e9b20,0x7d41fff9,0xffffffff,0x3fea4fff,0xffffffff,
    0x3fffa4ff,0x44fffa80,0xfa80fffe,0xfffd84ff,0xffffffff,0xfffffa84,
    0x4fffffff,0xffffff98,0x1fffffff,0xffffff50,0x37ff409f,0xffa8dfd0,
    0xffffccff,0x3e2ff47f,0xff100fff,0x8ffff07f,0xfb84fff9,0xffffffff,
    0x20004fff,0x5404fffb,0xffffffff,0x7fc0efff,0x7fec00ff,0x0dfff02f,
    0x2a03fffa,0x7fc04fff,0x4fffffff,0xffba7fdc,0x01fffa84,0xff80ffff,
    0x01ffff6f,0x2e2fffd8,0x3fe601ff,0xfff9006f,0xfff3ffff,0x3fffa629,
    0xff50009a,0xf5000bff,0xdbdfffff,0x07ffffff,0x01fddf98,0x7c2fff98,
    0xfb51dfff,0x7ffc9fff,0xfffb51df,0x1fffdc9f,0x2e0fffec,0xffd83fff,
    0x7fffdc1f,0xffffecdf,0x6ffffc1f,0x9ffffb51,0xffffff98,0xffffffde,
    0x77ffd40f,0x40efffff,0xf305fff8,0x2fffcc7f,0x917fffe2,0x0ffff8df,
    0xf03fff30,0xfff98fff,0x7ffffd44,0xfffffdef,0xff70005f,0x7ffcc09f,
    0xffffdfff,0x7fffc5ff,0x17ffec00,0xf706fff8,0xfffb07ff,0x3ffea003,
    0x5d3fee04,0xfffa84ff,0x80ffff02,0xffff6fff,0x2fffd801,0xf980bff2,
    0xffa806ff,0xffffefff,0x7ffec4ff,0x7ffec000,0x3e2000ff,0xd882ffff,
    0xa803ffff,0xff1002dd,0x37ffd49f,0xf54fffe8,0x3ffa0dff,0x1bffe24f,
    0x3e21bffe,0x6fff86ff,0x982fffe8,0x3ea5ffff,0xfffd06ff,0x3ffffe89,
    0x4ffffc98,0xfe9affec,0x3e60ffff,0x3ff904ff,0x6c07ffec,0x3fdc3fff,
    0x6403fffe,0xfff80fff,0x127ffcc7,0x105fffff,0x005ffffd,0x409fff70,
    0x4c1efffe,0x3e1ffffd,0x7ec00fff,0xdfff02ff,0x21bffe20,0x2e006fff,
    0x3ee02fff,0x109ff74f,0x3fe0bfff,0xb7ffc07f,0x6c00ffff,0x3ff62fff,
    0x1bffe603,0x913fffe0,0xfd89ffff,0x3e2000ff,0x004fffff,0x803ffff2,
    0x006ffffd,0xfff80033,0x40bffee5,0xff74fffb,0x3ffee05f,0x507ffec4,
    0x3f607fff,0x3ffea0ff,0x037ffc43,0x7dcffff7,0xfff702ff,0x0ffffdc9,
    0xf1ffffa0,0x7fec47ff,0xfff50eff,0x443ffa07,0xff703fff,0x7c7fc83f,
    0x7e4c0fff,0xffff06ff,0x364fff98,0x6c00ffff,0xb8006fff,0xff704fff,
    0x7ff401df,0x03fffe5f,0x205fffb0,0x3f606fff,0x3ffea0ff,0x3fff6003,
    0x5c266201,0xfffb04ff,0x07fff839,0xfffb7ffc,0x7ffec01f,0x980fffa2,
    0x7d406fff,0xffff06ff,0x00fffd89,0x3fffff20,0xfff1007f,0x7ffec07f,
    0xfc882fff,0x00cfffff,0xffb37ff4,0x3ffe603f,0x203fffb4,0x7d44fff9,
    0x3fff63ff,0x47fff500,0x7c40fffd,0x59101fff,0x0fffec55,0x3a4fff98,
    0xe8804fff,0x3ffe22bd,0x3ffffb85,0x3e05fff5,0x03ffee6f,0x3a07ffdc,
    0x07fffc6f,0x03fffff1,0xff31fffe,0x1ffffc9f,0x1ffffc40,0x13ffee00,
    0x201ffffc,0x3fe1bdfa,0x7fec00ff,0x0dfff02f,0xfb1fffd4,0x7f4001ff,
    0xffb8007f,0xfffff304,0x203fffc1,0xfffd6fff,0x2fffd803,0xf9813ffe,
    0x7fdc06ff,0x9fff904f,0x000fffd8,0x3ffbfffe,0xfff9802f,0x37bff207,
    0x7fc44fff,0xefffffff,0xd9fff600,0xff301fff,0x07fff69f,0x2227ffcc,
    0x3ffe6fff,0x9bffe205,0xffd05fff,0x6c0039ff,0xff301fff,0x3fffe69f,
    0xffd80000,0x5fffa83f,0x3e03fff7,0x81fff24f,0x7fc46ffd,0x107fffc4,
    0x7c03ffff,0x7ffcc7ff,0x00ffff14,0x0027ffe4,0x2213ffee,0x40007fff,
    0x6c00ffff,0xfff02fff,0x37ffc40d,0xf800bfff,0xfb8006ff,0x3ffe604f,
    0x01fffe0f,0x3ffadfff,0x7ffec01f,0x9817ffe2,0x7ec06fff,0xfff502ff,
    0x00fffd89,0xf5bfff50,0xff500bff,0x3bfee0bf,0x746fffb8,0xfffeffff,
    0x3ff605ff,0x40bfff66,0xffb4fffa,0x3ffea05f,0xa8fffc84,0x7e402fff,
    0x2fffa8ff,0xffffff70,0x7ec017bf,0xfff502ff,0x01bffea9,0x7fffdc00,
    0xab7fe40d,0xff882fff,0xe81bff63,0x17fd44ff,0xf883fffe,0xff00efff,
    0x4fff98ff,0x400bfff5,0x4005fffa,0xf984fffb,0x7c0006ff,0x7ec00fff,
    0xdfff02ff,0xa8fffc80,0x26002fff,0xb8005fff,0xffd104ff,0x3fffc1ff,
    0x7f5bffe0,0x7ff402ff,0x0dfff11f,0x2037ffcc,0xf301fffd,0xfffd89ff,
    0x5fffb000,0x801ffff1,0xfa84fffc,0xffff50ff,0x506fffd4,0x7f40ffff,
    0x0ffff25f,0xfca7ffe4,0xfff903ff,0x97fff309,0xf9801fff,0x0fffcbff,
    0x3fffff60,0xc82dffff,0xff903fff,0x17ffee9f,0x7ff44000,0x3ff62eff,
    0x205fff34,0x1bffa3ff,0xf11fffd4,0x1ffff0df,0x05fffdb8,0xff98ffff,
    0x09fff74f,0x03fffcc0,0x213ffee0,0x0005fffa,0x2007fffc,0xff02fffd,
    0xfff980df,0x000fffcb,0x000fffea,0x7e413fee,0x7ffc2dff,0xdb7ffc07,
    0x3e204fff,0xfff30fff,0x37ffcc0f,0x40ffff20,0x7ec4fffa,0xff8800ff,
    0x13fff67f,0x987fffb0,0x3fe61fff,0x40654c7f,0x3fa07ffe,0x3fffea4f,
    0xa7fffc40,0x440ffffa,0xfd04ffff,0x009fffdf,0x3fffbffa,0xffffb804,
    0x43ffffff,0x440ffffa,0xff94ffff,0x3ffea09f,0x443fffff,0xacfffffe,
    0x3ffe1fff,0x7e49fd03,0xfffe80ff,0xf05ffd11,0x3fa01fff,0x7fff80ff,
    0xfca7ffcc,0x3e2004ff,0x2e000fff,0xffc84fff,0x7fc0004f,0x7fec00ff,
    0x0dfff02f,0xfffdffd0,0xfffc8009,0xba7fdc02,0xbfff04ff,0xf01fffe0,
    0x3ffeedff,0xffff901f,0x303fffcc,0xfb80dfff,0xfff905ff,0x12fffd89,
    0x327ffdc0,0xfc80ffff,0x3ffe24ff,0x03fffcc2,0x0fffeb88,0xfe87fff0,
    0xffd9cfff,0x3ffa4fff,0xfffd9cff,0xfff704ff,0x2e003fff,0x01ffffff,
    0xffffb710,0xfe89ffff,0xffd9cfff,0xfff74fff,0x3fffea0b,0xf903ffff,
    0x7fffffff,0xfb04ffe8,0x21fffdcd,0xd98ffffc,0xffff05ff,0x07ffea01,
    0xff31fffe,0x13fff29f,0x07fff980,0x427ffdc0,0x0005fffb,0x200ffffc,
    0xff02fffd,0xfff700df,0xd8003fff,0x7dc00fff,0x309ff74f,0x3fe05fff,
    0xb7ffc07f,0xbdfffff8,0x5ffffdb9,0x981fffe6,0x7cc06fff,0x7fc40fff,
    0x7ffe44ff,0x3ffa07ff,0x17fffc1f,0x22bfff70,0xffa83ffe,0xffb7106f,
    0x301fffff,0xffa83fff,0xfeffffff,0x3ffea4ff,0xffefffff,0xffff104f,
    0x7fc400ff,0x10007fff,0xfffffd95,0x7ffffd41,0x4fffefff,0x2a0dfff3,
    0xffffffff,0x3fffea03,0x5ffd84ff,0x7f43ff50,0xfffeceff,0x04ffffff,
    0x4403fffe,0xfff82fff,0xba7ffcc7,0x2a005fff,0x5c006fff,0xffa84fff,
    0x7f40006f,0x7fec01ff,0x0dfff02f,0xffffff10,0x0ffff000,0x3ee9ff70,
    0x1fffa84f,0xf80ffff0,0x3ffea6ff,0xffffffff,0x3ffe61ff,0x1bffe607,
    0x2bbfffa0,0x4fffffd9,0x3fffffcc,0xc86fff98,0x3ea05fff,0x4ffe8fff,
    0x88bfff70,0xfffffffe,0xffa80fff,0xffffa80f,0x4fff9dff,0x7fffffd4,
    0x204fff9d,0x004ffffd,0x027fffec,0xffffa800,0x7ffffd41,0x24fff9df,
    0x55107fff,0x07fffb55,0xfffffc88,0x883ffdc0,0x3ffe65ff,0xfffdefff,
    0x7fc03fff,0xfff100ff,0x98ffff07,0xfff54fff,0x7ffdc00d,0x7ffdc005,
    0x06fff984,0xfffd0150,0x2fffe803,0x200dfff0,0x004ffffd,0x4037ffc4,
    0x9ff74ffb,0x201fff50,0x7fc07fff,0x7fffe46f,0x2fffffff,0x303fffcc,
    0xf100dfff,0xdfffffff,0xff709fff,0xff901dff,0xf533339f,0x3e601fff,
    0x04ffefff,0xf893fffa,0xd8acefff,0xffc80fff,0x37fb2605,0x309fff33,
    0x3e67bfd9,0x3fea04ff,0x7d4001ff,0x3b201fff,0x7fe402ff,0xdfec984f,
    0x6c9fff33,0xf9003fff,0x3ea007ff,0x7fcc5fff,0x47ff901f,0xb13efec8,
    0x4c4159df,0x03fffe09,0x7c1fffc4,0x7ffcc7ff,0x03ffff34,0x993fffa0,
    0xffc82cca,0xffff883f,0x1f7fd401,0xe803fffd,0xfff01fff,0x3ffea00d,
    0x7fcc001f,0x4ffb804f,0xff709ff7,0x1fffe01f,0x730dfff0,0x9ffffffd,
    0x09999101,0xfff50000,0xfff3bfff,0xf004cc09,0xffffffff,0x409fffff,
    0x05fffffe,0xc87fffea,0xffe83fff,0x01ffe80f,0x07fff500,0x03fffa80,
    0x001bffea,0x901bffea,0xfc80dfff,0x7d4004ff,0x3fff23ff,0x7fff9007,
    0x7cc1a998,0x3ffe87ff,0x005fff10,0x23fff300,0xfff007f8,0xfff98007,
    0x01bfffa4,0xa87fffee,0xffc84fff,0xbfffd02f,0x26fffe80,0x2204fffd,
    0xf881ffff,0xff5006ff,0xff7000df,0x9ff7007f,0x3ee13fee,0x00ff00ff,
    0xf501bffe,0x8000013d,0x22002aaa,0xff32dfdb,0x1555109f,0x3ffffea0,
    0xffffffff,0x3ffea07f,0xfff300ff,0x0fffe89f,0x440ffff8,0xcef986ff,
    0x2fffb80c,0x70199df3,0x7f405fff,0xfe8003ff,0x7fd403ff,0xfff102ff,
    0x333be63f,0x22fffb80,0x00effff9,0x98ffffee,0xffe86fff,0x205ffa87,
    0x000cfff9,0x4c9fff90,0xbfff006f,0x4fffb800,0x037fffea,0x227fffd4,
    0xfe86fff9,0xfff301ff,0x3ffea07f,0x3fffee3f,0x0ffff901,0x401bffe6,
    0x8003fffe,0xb801fffd,0x09ff74ff,0x3e20fff9,0x6fff9807,0xe802fd40,
    0x7fc406ff,0xf500006f,0xfff307ff,0x3ffff603,0xffffffff,0x3fa02fff,
    0x989cffff,0x40fffffc,0x7e42fffe,0x7fdc0fff,0xdffff882,0x1ffff531,
    0x477fffe2,0x20ffffa9,0xffffda98,0xfda98800,0x7c400fff,0xa9bdffff,
    0x227ffffd,0x531dffff,0xfb81ffff,0xa9acffff,0x3fffffec,0x44e7fff4,
    0xfd06fffb,0x7ffd401f,0x26201acf,0x545fffea,0xffe800ff,0x37200abf,
    0x7ec3ffff,0xb9abefff,0x40fffffd,0xaafffff8,0x200ffffe,0x9adffffc,
    0x0fffffeb,0x37ffffe2,0xffffdb9b,0x7fffedc4,0xffb53105,0x575001ff,
    0x200ffff9,0x9ff74ffb,0x1fffeea2,0xcb80ffcc,0x5c05ffff,0xffff007f,
    0x06fff880,0x406677cc,0xf982fffb,0xfff881ff,0xaaaaaaaf,0x505fffda,
    0xffffffff,0x5fffffff,0x9bffff90,0x83fffffd,0x3ff606fe,0xffffffff,
    0x7fffec4f,0x4fffffff,0x7fffffec,0xffffb004,0x3e6009ff,0xffffffff,
    0x7ec3ffff,0xffffffff,0xfffb04ff,0xffffffff,0xfa81bfff,0xffffffff,
    0x07ff502f,0xfffffe88,0xffedcdef,0xf883ffff,0xf90199df,0x2205ffff,
    0x41ffffff,0xffffffe8,0x2fffffff,0xffffff70,0x8805ffff,0xfffffffe,
    0xc81fffff,0xffffffff,0x740fffff,0xb03fffff,0x09ffffff,0x3fffff60,
    0x9ff7005f,0x7fd53fee,0xff104fff,0x7ff4533b,0x7cc03fff,0xff0199cf,
    0xfff880ff,0x7fffc405,0xffff511d,0x03fff301,0x3009fff9,0xfa81ffff,
    0xfffffdff,0x00efffff,0xfffffff1,0x545fffbf,0x3fa202ff,0xffffffff,
    0x7fff440d,0x0dffffff,0x2fffffe4,0xfffff900,0xfffb800b,0xffffffff,
    0xffffe882,0x00dfffff,0x3fffffee,0x02efffff,0x3fffffee,0x37f404ff,
    0xffffeb80,0xffffffff,0x3ff600cf,0xfff105ff,0x3fe605ff,0x3f204fff,
    0xffffffff,0x7ff400ef,0x04ffffff,0x3fffff20,0x202fffff,0xfffffffc,
    0x7c41efff,0x3205ffff,0x005fffff,0x3ffffffe,0x29ff7001,0xfff54ffb,
    0x7fec01ff,0xffff16ff,0x3ffa00bf,0xffff04ff,0x007fb900,0xfffffffb,
    0x4c07ffff,0x3ffff06e,0x13fffa00,0x3f665ffd,0x03efffff,0xdffffd98,
    0x365fff88,0xfdb3006f,0x98039dff,0x1cefffed,0x07bffd70,0x3dffeb80,
    0xfff91000,0x803bdfff,0xcefffed9,0xffd71001,0x0079dfff,0x37bffb22,
    0x02ffa801,0x3fbb2e20,0x002cdeff,0x805bdd71,0xd302ffec,0xb3007bff,
    0x7dfffffd,0x7fffdc00,0xda8003ef,0x0cffffff,0xffffe980,0xd880ceff,
    0x2e00bdfe,0x2003dffe,0x1defedc8,0x5d3fee00,0x7dff54ff,0xdfeb8801,
    0x17bffb13,0x37bae200,0x3f600002,0xfffe8801,0x03ffffff,0x3ea13fa2,
    0x3ee007ff,0x81ec47ff,0x10000a98,0x00000033,0x00000000,0x00000000,
    0x0001a988,0xa9880000,0x00000001,0x00000000,0x00000000,0x00133000,
    0x00199880,0x00135100,0x006a6620,0x00000000,0x00000000,0x00000000,
    0xff100000,0xfed9800b,0x4c01bdef,0x9fffb03f,0x7fffc400,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00001740,0x00000800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x0002aaa8,0x001cccc8,
    0x65c00000,0xcccccccc,0x320ccccc,0x880003cc,0x007db2ed,0x0017bba6,
    0x3bbbbbaa,0x3ba20004,0x74c000de,0x4eed8bee,0x07ddd700,0xddd70000,
    0x3fe60007,0x0013ff26,0x00deed88,0x90000000,0x90005ddd,0x17ba63dd,
    0x20bed980,0xfff8805d,0x000bff50,0x00000018,0x33332000,0xdd700000,
    0x7754007d,0xeec8003e,0x41eeeeee,0x1cccccc9,0x40000c40,0x001ffffd,
    0x17fffea0,0xfffb8000,0xffffe802,0xffffffff,0x1bffe1ff,0x6ffd4000,
    0x7fd4005f,0x7fd4002f,0x0006ffff,0x0007fff2,0x7fdd7ff6,0x3ff6000e,
    0x2200000f,0x40005fff,0x6ffacffc,0x7ffec000,0xffa8005f,0x801ffea7,
    0x00fffffa,0x7477fcc0,0xff1002ff,0x0bfddfff,0x3e77fea0,0x7c0000ff,
    0x7fff5006,0x7d400000,0x200003ff,0xc8005fff,0x6c000fff,0xffffffff,
    0x7ffffdc1,0x3bfee03f,0xdff70000,0x20001dff,0x00fffffd,0x5fff7000,
    0xfffffd00,0xffffffff,0x037ffc3f,0x09995000,0x01bfee00,0x22000000,
    0x98001fff,0x3fff0eff,0x07ffb000,0x2ffdc000,0xfffe8000,0x2a0001ff,
    0x03ffddff,0xf53ffd40,0x3fe200ff,0x8005ffcf,0x04fffffb,0x3fafbea0,
    0x36002fff,0x002fffff,0xa8027cc0,0x00003fff,0x0013ffa0,0x006ffb80,
    0x0013ff60,0xddddddd9,0xffffb83d,0x39f103ff,0xff10009d,0x009ff91f,
    0xffffff10,0x3ee00009,0xffe802ff,0xffffffff,0x3fe1ffff,0xfb80006f,
    0x640037c3,0x3ee001ff,0xb80037c3,0xfb0002ff,0x00bfee1f,0x0007fe80,
    0x0003bfe0,0x1ffffcc0,0x1fff1000,0x4003fff1,0x3fea7ffa,0x25ffb007,
    0xd8003ffd,0x54006fff,0x0072e20c,0x0bfffd10,0x003f9000,0x000fffea,
    0x02ffcc00,0x03bfa000,0x00ffb000,0xb9930000,0x3ea07fff,0x97000d90,
    0x00665c39,0x3fffff20,0x9300007f,0xffd00399,0x3fe0003f,0xfb80006f,
    0xa80037c3,0x0fee001a,0x2aa000df,0x86aa0001,0x440002a9,0x880000aa,
    0x400000aa,0x40001998,0x2aa61aa9,0x8aaa2001,0xa8802aa8,0x00aaa22a,
    0x00266620,0x22000000,0xd0000199,0x6664c00f,0x95000001,0xa8800009,
    0xa880000a,0x0000000a,0x440fffe6,0x0003fbdf,0xfff00000,0x005fffdf,
    0x3fa00000,0xff0001ff,0xcc8010df,0x665c00cc,0x22eed81c,0x66642eed,
    0x6665c00c,0x6ee54c01,0x333201ac,0x6665c00c,0x76e54c01,0x260001bc,
    0x01bcedca,0x3b72a600,0x260001bc,0x01bcedca,0x400cccc8,0x9991cccb,
    0xcccb8019,0x6ee54c01,0x333201ac,0x6665c00c,0x80199991,0x9801cccb,
    0x000004fa,0x00000000,0xb8019999,0x99991ccc,0x1cccb801,0x3b62eed8,
    0x3ffe602e,0x033faa03,0x6ee54c00,0x7d4001ac,0x5fffadff,0x3b2e2000,
    0x3a01bcde,0xf0001fff,0x3ffaadff,0xffff80df,0x17ffec00,0xfff17ffc,
    0x00ffff85,0x8817ffec,0xfffffffd,0x1ffff04f,0x02fffd80,0xffffffd3,
    0x4c003dff,0xfffffffe,0x3a6001ef,0xffffffff,0x3fa6001e,0xefffffff,
    0x03fffe01,0x3e5fffb0,0x7ec00fff,0xffb102ff,0x09ffffff,0xb003fffe,
    0x3ffe5fff,0x7ffec00f,0xfffec882,0x9999705f,0x99999999,0xcb800199,
    0xcccccccc,0xcccccccc,0x003fffe3,0x3fe5fffb,0x7fec00ff,0x22fff82f,
    0x3e602fff,0x0ccccbff,0x80e665c0,0xffffffd8,0x3f6004ff,0xffff8aff,
    0x7fec4000,0xdfffffff,0x01fffe81,0xf9dfff00,0x83dfffff,0x6c00ffff,
    0xfff82fff,0xff0bffe2,0xffd801ff,0xffffa82f,0xefffffff,0x007fffc0,
    0x2e0bfff6,0xffffffff,0xb804ffff,0xffffffff,0xb804ffff,0xffffffff,
    0xb804ffff,0xffffffff,0xff04ffff,0xffd801ff,0x01ffff2f,0xa82fffd8,
    0xffffffff,0x7fc0efff,0x7fec00ff,0x01ffff2f,0x542fffd8,0xffffffff,
    0x7ffff41e,0xffffffff,0x3e2001ff,0xffffffff,0xffffffff,0x03fffe6f,
    0x3e5fffb0,0x7ec00fff,0x2fff82ff,0xf980bffe,0x0ffffbff,0x417ffec0,
    0xfffffffa,0x400effff,0x3f67fff8,0x3e6004ff,0xffffffff,0x7f41ffff,
    0xaaaaabff,0x7fc1aaaa,0xffffffff,0x3ffe0fff,0x7ffec00f,0x321ccc82,
    0x7fffc1cc,0x17ffec00,0x3fffffe6,0x5ffffffd,0x2007fffc,0x7d42fffd,
    0xfdefffff,0x205fffff,0xeffffffa,0x5ffffffd,0x3ffffea0,0xfffffdef,
    0x3ffea05f,0xfffdefff,0xfff85fff,0x7ffec00f,0x801ffff2,0x7cc2fffd,
    0xffdfffff,0x7fc5ffff,0x7fec00ff,0x01ffff2f,0x262fffd8,0xffffffff,
    0x7fff46ff,0xffffffff,0x32001fff,0xffffffff,0xffffffff,0x3fffe6ff,
    0x97ffec00,0x6c00ffff,0xccc82fff,0x98073321,0xffffbfff,0x17ffec00,
    0x3fffffe6,0x5ffffffd,0x327ffdc0,0x2600ffff,0xdeffffff,0x0fffffff,
    0x3ffffffa,0x3fffffff,0x867ffffc,0x3e3ffffb,0x7ec00fff,0xf00002ff,
    0xfd801fff,0x7fff42ff,0x7ffecc1e,0x03fffe1f,0x445fffb0,0x882fffff,
    0x882ffffe,0x882fffff,0x882ffffe,0x882fffff,0x882ffffe,0x882fffff,
    0x7c2ffffe,0x7ec00fff,0x1ffff2ff,0x42fffd80,0x4c1efffe,0x3e1ffffd,
    0x7ec00fff,0x1ffff2ff,0x22fffd80,0xfa9dfffe,0x3fa3ffff,0xffffffff,
    0x001fffff,0xfb9ffff1,0xffffffff,0x7fcdffff,0x7fec00ff,0x01ffff2f,
    0x002fffd8,0xbfff9800,0x6c00ffff,0x7ff42fff,0x7fecc1ef,0x3ffa01ff,
    0x17fffc1f,0x1fffff40,0x27fffe4c,0xfffffffd,0x87ffffff,0xf983ffff,
    0x3fffe7ff,0x17ffec00,0xffff8000,0x17ffec00,0x401dfff7,0x3fe5fffe,
    0x7fec00ff,0x3ffff62f,0x37ffec00,0x007fffec,0x361bfff6,0x6c00ffff,
    0xffd86fff,0x7fec00ff,0x07fffc6f,0x7cbfff60,0x7ec00fff,0x3ffee2ff,
    0x3fffa00e,0x003fffe5,0x3fe5fffb,0x7fec00ff,0x4bfff52f,0x23effafd,
    0x0001fffe,0x54fffb80,0xf000bfff,0xfd801fff,0x1ffff2ff,0x02fffd80,
    0xfff98000,0x400ffffb,0x3ee2fffd,0x3fa00eff,0xfff305ff,0x0bfff90d,
    0x01ffffb8,0xfd3ffff4,0xffffffff,0xff87ffff,0xfffd00ff,0x003fffe1,
    0x7745fffb,0x5ddd505e,0xb003fffe,0x7ffc5fff,0x5efd403f,0x003fffe1,
    0x7fc5fffb,0xff8803ff,0x7fffc3ff,0xffff8803,0x01ffffc3,0x21ffffc4,
    0x8803ffff,0x3fe3ffff,0x7fec00ff,0x01ffff2f,0x3e2fffd8,0x7d403fff,
    0x3fffe1bd,0x97ffec00,0x6c00ffff,0xfff72fff,0xfd00b7c5,0x000003ff,
    0x3ea1ffff,0xff8005ff,0x7fec00ff,0x01ffff2f,0x3a2fffd8,0xddd505ee,
    0xf7fff305,0xfd801fff,0x3fffe2ff,0x0defd403,0x99cfffc8,0x0ffffa99,
    0x013fffa0,0xfe8af7a2,0xff0001ff,0x7ffec0ff,0x801ffff1,0x3fe2fffd,
    0x7fff706f,0xb003fffe,0x3fe25fff,0x7fc0007f,0x7fec00ff,0x0ffff12f,
    0x127ffe40,0x6400ffff,0x3fe24fff,0x3ff2007f,0x1fffe24f,0x24fffc80,
    0x6c00ffff,0xffff2fff,0x2fffd801,0x000ffff1,0x400ffff8,0xfff2fffd,
    0xfffd801f,0x263fff92,0x7fff404f,0x7d400001,0x3ffea5ff,0xffff8005,
    0x97ffec00,0x6c00ffff,0x3ffe2fff,0x07fff706,0xfff7fff3,0xfffd801f,
    0x00ffff12,0x7ffffc00,0xffffffff,0xffff304f,0xffe80001,0xfff0001f,
    0x97ffe40d,0x6c00ffff,0x3ffe2fff,0x27fff706,0x6c00ffff,0xfff32fff,
    0xfff8000d,0x7ffec00f,0x00bfff52,0xf52fffd4,0x7d400bff,0x3ffea5ff,
    0x3ffea005,0x017ffea5,0x3e5fffa8,0x7ec00fff,0x1ffff2ff,0x32fffd80,
    0x8000dfff,0x6c00ffff,0xffff2fff,0x2fffd801,0x3f23fffb,0x0ffff401,
    0x3ffa0000,0x17ffea1f,0x03fffe00,0x3e5fffb0,0x7ec00fff,0x1bffe2ff,
    0x4c1fffdc,0xffffbfff,0x97ffec00,0x0006fff9,0xffffff50,0xffffffff,
    0x1bffea0f,0x3fffa000,0xffff0001,0xf8fffe40,0x7ec00fff,0x1bffe2ff,
    0xff9fffdc,0x7fec00ff,0x0bfff52f,0x0ffff800,0xb97ffec0,0x26004fff,
    0x3fee7fff,0x3fe6004f,0x13ffee7f,0x27fff980,0x2004fffb,0x3fe7fff9,
    0x7fec00ff,0x01ffff2f,0xf52fffd8,0xf8000bff,0x7ec00fff,0x1ffff2ff,
    0x92fffd80,0x01fa5fff,0x2aaffffa,0x1aaaaaaa,0x46fffa80,0xaaaefffa,
    0x7c2aaaaa,0x7ec00fff,0x1ffff2ff,0x22fffd80,0xff706fff,0x7fff307f,
    0xd801ffff,0xfff52fff,0x3f60000b,0xffffffff,0x82ffffff,0x0005fffb,
    0x001fffe8,0x201ffff0,0xfff0fffd,0xfffd801f,0x5c1bffe2,0xffff3fff,
    0x2fffd801,0x0009fff9,0x400ffff8,0xff92fffd,0x7fc4009f,0x9fff90ff,
    0x7fffc400,0x009fff90,0xc87fffc4,0x22004fff,0xfff0ffff,0xfffd801f,
    0x801ffff2,0xff92fffd,0xff80009f,0x7fec00ff,0x01ffff2f,0xf52fffd8,
    0x5c9f17ff,0x3fffa0ab,0xffffffff,0xffe803ff,0x7fffd42f,0xffffffff,
    0x03fffe0f,0x3e5fffb0,0x7ec00fff,0x1bffe2ff,0x4c1fffdc,0xffffbfff,
    0x97ffec00,0x0004fffc,0xaaffff88,0xfdaaaaaa,0xfffc85ff,0xfffff504,
    0x3ffa7fff,0xfff0001f,0xffff307f,0x200ffffc,0x3fe2fffd,0x7fff706f,
    0xb007fffe,0x3fee5fff,0x7fc0005f,0x7fec01ff,0x09fff92f,0x93fffcc0,
    0x4c009fff,0x3ff27fff,0x3fe6004f,0x13fff27f,0x27fff980,0x6c01ffff,
    0xffff2fff,0x2fffd803,0x000bfff7,0x401ffff8,0xfff2fffd,0xfffd803f,
    0xf7dfff12,0xe9fffe65,0xffffffff,0x403fffff,0xfa87fff9,0xffffffff,
    0x3fe0ffff,0x7fec01ff,0x03ffff2f,0x3e2fffd8,0xfff706ff,0xf7fff307,
    0xfd801fff,0xbfff72ff,0xfff90000,0xffff3009,0x05fffb81,0xfffffff5,
    0x2ffffa7f,0xaaaaaaaa,0x3fffe1aa,0x3fffaa3f,0x007fffa4,0x7fc5fffb,
    0x7fff706f,0xb007fffa,0x3fea5fff,0x7f40006f,0x7fec01ff,0x0bfff72f,
    0x737ffd40,0x5400bfff,0x3fee6fff,0x3fea005f,0x17ffee6f,0x26fffa80,
    0x6c01fffe,0xfffd2fff,0x2fffd803,0x000dfff5,0x401fffe8,0xffd2fffd,
    0xfffd803f,0x3fffffe2,0x24fffd98,0xfffffffe,0x03ffffff,0x541fffec,
    0xffffffff,0x3a0fffff,0x7ec01fff,0x3fffd2ff,0x22fffd80,0xff706fff,
    0x7fff307f,0xd803ffff,0xfff52fff,0xfff0000d,0x3ffa003f,0x37ffcc4f,
    0xffffffa8,0xffffd3ff,0xffffffff,0x7fffc9ff,0xffffefff,0x07fffa0f,
    0x7c5fffd0,0xfff706ff,0x007fffa7,0x3e65fffd,0x015006ff,0xe803fffd,
    0xfff52fff,0x7ffdc00d,0x01bffea5,0x2a5fffb8,0x2e006fff,0x3fea5fff,
    0x3fee006f,0x07fffa5f,0x3a5fffd0,0x7f401fff,0xdfff32ff,0x3fa02a00,
    0x7ff401ff,0x03fffd2f,0x2a2fffe8,0xffefffff,0x3ffa0fff,0xf980001f,
    0xaaaabfff,0x8005fffc,0x7401fffe,0xfffd2fff,0x2fffe803,0x7dc1bffe,
    0xfff983ff,0x401fffeb,0xff32fffd,0x202a00df,0x2007fffa,0xff87fffb,
    0x5555107f,0x3fa7fffb,0xffffffff,0x3e4fffff,0xffffceff,0x7ff42fff,
    0x7fff401f,0x5c1fffe1,0xfffd3fff,0x1fffe803,0x803ffff1,0x3fa3effa,
    0x7ff401ff,0x3ffff31f,0x93fffa00,0x001ffff9,0x7cc9fffd,0xfd001fff,
    0x7ffcc9ff,0xfffd001f,0x00ffff49,0x7f47fffa,0x7ff401ff,0x3ffff11f,
    0x23effa80,0x7401fffe,0xfffd1fff,0x1fffe803,0x7fffffcc,0x7ff41fff,
    0xfc80001f,0xffffffff,0x8005ffff,0x7401fffe,0xfffd1fff,0x1fffe803,
    0x7dc1fffe,0xfff983ff,0x401fffeb,0xff12fffe,0xffa803ff,0x13fff63e,
    0x2ffff880,0x801fffec,0xffd3fffc,0xffffffff,0x7fc9ffff,0xdffff76f,
    0x09fffb01,0xf0ffffc4,0x3ff20fff,0x09fffb3f,0xd0ffffc4,0xfe80bfff,
    0x3fff66ff,0x3fffe204,0x01bfffa1,0xd07fffee,0xf700dfff,0xffe83fff,
    0xfffb806f,0x37fff41f,0x0ffffdc0,0x4409fffb,0xffb1ffff,0x7ffc409f,
    0x17fffa1f,0x6cdfffd0,0x3e204fff,0xfffb1fff,0x7fffc409,0xfffff981,
    0xfffe80df,0x7fc40001,0xffffffff,0x8005ffff,0x2204fffd,0xffb1ffff,
    0x7ffc409f,0x41fffe1f,0xf983fffc,0x1fffebff,0xd0ffff40,0xfe80bfff,
    0x200006ff,0xfff900ff,0x3fff200f,0x81fe2003,0x00c46fff,0x407fffee,
    0x7f47fffc,0xfffe80ff,0x03ffff73,0xf31ffff2,0x3ea07fff,0x3fee3fff,
    0xfff901ff,0xdffffa8f,0x9ffff500,0x1bffff50,0x13fffea0,0x037fffea,
    0x427fffd4,0x00dffffa,0xb89ffff5,0xf901ffff,0x7ffdcfff,0xffff901f,
    0x03ffff98,0x5c7ffff5,0xf901ffff,0x7ffdcfff,0xffff901f,0x00d4f7c0,
    0x0007fffa,0xffffff90,0xffffffff,0xfff7000b,0x3fff203f,0x07fffee7,
    0x3a3fffe4,0xffe80fff,0xbfff983f,0x2204fffd,0x3e61ffff,0xff503fff,
    0x200007ff,0x3fe607f8,0x3ee00eff,0x2a003fff,0x1bffe06f,0x3fffe200,
    0xffdb9bdf,0x7ffec4ff,0x9ffffe44,0xbdfffff8,0x4ffffdb9,0xadffffc8,
    0xfffffeb9,0x3ffffe20,0xfffdb9bd,0xffffd84f,0xffdb9abe,0xffb00fff,
    0xb7357dff,0x201fffff,0xabeffffd,0xfffffdb9,0xdffffb00,0xfffb7357,
    0xfff881ff,0xfdb9bdff,0x3fe24fff,0xdb9bdfff,0xfc84ffff,0xeb9adfff,
    0x220fffff,0x9bdfffff,0x24ffffdb,0xbdfffff8,0x4ffffdb9,0x74007f50,
    0x20001fff,0x99bffff8,0xfffb9999,0xfff88005,0xfdb9bdff,0x3fe24fff,
    0xdb9bdfff,0x7ec4ffff,0x7ffe44ff,0xbfff983f,0x901ffffb,0xff90ffff,
    0xfd735bff,0x0001ffff,0xb807fe60,0x9acfffff,0xfffffeca,0x81fee003,
    0x90006fff,0xffffffff,0xb81fffff,0xffdeffff,0x3f23ffff,0xffffffff,
    0xe880ffff,0xffffffff,0xfc81ffff,0xffffffff,0xe880ffff,0xffffffff,
    0x202fffff,0xffffffe8,0x2fffffff,0x3ffffa20,0xffffffff,0x3ffa202f,
    0xffffffff,0xff902fff,0xffffffff,0xffc81fff,0xffffffff,0xfe880fff,
    0xffffffff,0xffc81fff,0xffffffff,0x7fe40fff,0xffffffff,0x3f900fff,
    0x5ffff400,0xaaaaaaaa,0x7ffdc1aa,0x77ffd406,0xaaaaaaaa,0x3fff20aa,
    0xffffffff,0x7ffe40ff,0xffffffff,0x7ffdc0ff,0xfffffdef,0xff75513f,
    0xfffff17f,0xfffb737b,0xfffd109f,0xffffffff,0x4400003f,0xd829adff,
    0xffffffff,0x0dffffff,0x273fe600,0x01bffe19,0xfffffc80,0x01efffff,
    0xdffffffd,0xfc87fff3,0xffffffff,0x7fe401ef,0xffffffff,0x3ffff202,
    0x1effffff,0x7ffffe40,0x00efffff,0xffffff90,0x001dffff,0x3ffffff2,
    0x000effff,0xfffffff9,0xc801dfff,0xffffffff,0xff901eff,0xffffffff,
    0xfffc803d,0x2fffffff,0x3fffff20,0x01efffff,0xfffffff9,0x7403dfff,
    0x7fff4006,0xffffffff,0x7ffc4fff,0x7ffd403f,0xffffffff,0x7fe41fff,
    0xffffffff,0xffff901e,0x3dffffff,0x3fffffa0,0x73fff9ef,0x27ffffff,
    0xfffffffc,0x00ffffff,0x3ffffff2,0x0002ffff,0x6ffffc80,0xffffff70,
    0x05dfffff,0x3ffffa00,0x001bffe4,0xfffffd30,0x6c4019df,0xf88dffff,
    0xffe983ff,0x00ceffff,0xfffffb50,0xfd30019f,0x19dfffff,0x3ffb6600,
    0x8003efff,0xfffffed9,0xed98003e,0x03efffff,0xfffed980,0x26003eff,
    0xeffffffe,0x7ff4c00c,0x00ceffff,0xfffffb50,0xfd30019f,0x19dfffff,
    0xffffe980,0x2600ceff,0x7ff4004f,0xffffffff,0x3ee4ffff,0x7d400fff,
    0xffffffff,0x981fffff,0xeffffffe,0x7ff4c00c,0x00ceffff,0x37ffff62,
    0xf73fff88,0x647fffff,0xffffffff,0xda801eff,0x0cffffff,0xd7100000,
    0x75c407bf,0x3cefffff,0x775c4000,0x00f3322d,0x0d4cc400,0x00009800,
    0x0006a662,0x00026a20,0x000d4cc4,0x00009980,0x00004cc0,0x00002660,
    0x80001330,0x0001a998,0x00035331,0x00013510,0x0006a662,0x000d4cc4,
    0xfe800371,0xffffffff,0x3a4fffff,0xfa804fff,0xffffffff,0x201fffff,
    0x0001a998,0x00035331,0x77540026,0x74c2eeee,0xceffffff,0x09a88000,
    0x00000000,0x000d4c40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x53310000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77640000,0x36ea2002,0x50002cde,0xb1009ddd,
    0x980001bd,0x0004c82c,0x200fbbae,0x3bb62eec,0x55544000,0x99997001,
    0x15559999,0xcccccc80,0x55530004,0x03100003,0x6665c026,0x0e664c00,
    0x37b72e20,0xd70001bc,0x7ddd33dd,0x003332e0,0xc8999995,0x300003cc,
    0x00001555,0x20100000,0x33320009,0x0c404c44,0x332eaaa0,0x403ccccc,
    0x1acddca9,0x002aaaa0,0xdeee8800,0x2aaa8000,0xa8776c00,0xfa8004ee,
    0x3fee002f,0x3fffffff,0x077ff400,0x005fe880,0x3ea37c40,0x3ffe0004,
    0x1fff1005,0xb0009ff9,0xd003ffff,0xffffffff,0x203dffff,0x07ffffff,
    0xffffe880,0x17dc0000,0x7ff40fea,0x7ffdc05f,0xffffb102,0x03bfffff,
    0xfb4fff80,0x7fff40df,0x3fffe601,0x1bffe21f,0x3ffe2000,0xffd8006f,
    0x0013ff64,0x22b3ff62,0x3fe003fb,0x7c37c47f,0xfffff706,0xbfffffff,
    0x3ffff620,0xfd04ffff,0x400005ff,0x0001fffc,0xa800ffff,0x0fff8eff,
    0x001cc800,0x3ffffff6,0x004fffff,0x0001dff5,0xc8000397,0x01ffedff,
    0x00dff700,0x6fffffa8,0xfeffb800,0xfffe806f,0xffffffff,0xfff82fff,
    0xd8007fff,0x005ffeff,0x5d67fc40,0xfffd00ff,0x7ffdc05f,0xfffff982,
    0xffffffff,0x2bff5001,0x3a00eff8,0xff301fff,0xff883fff,0xfe80006f,
    0x4004ffef,0x3ff64ffd,0xfffb8004,0x001fffff,0x3f21fffe,0xc83fdbad,
    0xffffffff,0xa85fffff,0xffffffff,0x7f40efff,0x100002ff,0x40003fff,
    0xc8007fff,0x003fffff,0x80df0fee,0xcdfffffb,0x01fffffe,0x2000efe8,
    0x0037c3fb,0x2dfffc88,0x03bfa000,0x3ffff200,0x77fcc001,0x7404ffc8,
    0xffffffff,0x0fffffff,0x26677ffc,0x6d7fea00,0x5c0003ff,0x203fffff,
    0x00fffffe,0xf985fff7,0xfdefffff,0x00ffffff,0x3ff26fe8,0x0ffff401,
    0x17ffffc4,0x0037ffc4,0x3a33ff20,0x3f6001ff,0x013ff64f,0x3f2a7fa0,
    0x7fc005ff,0xfffe987f,0x7ffd40ef,0xffffffff,0x7fcc5fff,0xfffdffff,
    0x7ff45fff,0xf700002f,0xff80005f,0xffd0007f,0x3fb800bf,0x3ffa037c,
    0xffff982f,0x000aa805,0x01be1fdc,0x00002600,0x40001551,0xb8001aaa,
    0x033321cc,0x101fffe8,0xf85ffff9,0x320005ff,0x099910cc,0x15b51000,
    0xfffffe80,0x85fff704,0x983ffffe,0x404ffffc,0x06aa0aa8,0x107fffa0,
    0x205ffffd,0x0006fff8,0xcc993322,0x86aa6003,0xa8001aa9,0xf8000982,
    0x332607ff,0xfffff901,0xfff33dff,0xefffe815,0x7fffecc1,0x00bfffa1,
    0x000d5400,0x000cccc0,0x40099988,0x5c00cccc,0xfff11ccc,0x3fffdc0d,
    0x3b62eed8,0x0666642e,0x007332e0,0x79bdd971,0x6dd44003,0xdb002cde,
    0x01776c5d,0xffe80000,0x7ffec01f,0x002fffc4,0x00000000,0x3ffffa00,
    0xfffb81ff,0x07fffee2,0x00ffffd0,0x379db953,0x43fffd00,0x02ffffe8,
    0x001bffe2,0x53000000,0x00379db9,0x676e54c0,0x7ffc001b,0x7ff40007,
    0xf16fffff,0xfffb83ff,0x3fffa00e,0x00bfffa5,0x33333260,0xcccccccc,
    0x3333262c,0xcccccccc,0xb75102cc,0x7fc059bd,0x7fec00ff,0x3ffff12f,
    0x40aab220,0x3ffe2fff,0x007fffc2,0x440bfff6,0xfffffffd,0x7dc01dff,
    0xffffffff,0xf17ffc03,0x999705ff,0x3332e007,0x007fffa4,0xff8dfff7,
    0x3999705f,0x066665c0,0x2e4ccc88,0xcccccccc,0xd0cccccc,0x0dffffff,
    0x7ec5fff7,0xde8804ff,0x3ffa602b,0x1effffff,0xe87fffa0,0x4402ffff,
    0xeed86fff,0x03332e4e,0x20399950,0xffffffe9,0x26001eff,0xfffffffe,
    0xfff001ef,0x8266640f,0xffffffff,0xf83fff16,0x7d403fff,0x3fffa1bd,
    0xfffb8002,0xffffffff,0x3fee3fff,0xffffffff,0xfb83ffff,0xffffffff,
    0x00ffff83,0xfd17ffec,0x00039fff,0xfff8bffe,0x007fffc2,0x260bfff6,
    0xffffffff,0xb01fffff,0xffffffff,0x7fc09fff,0x20bffe2f,0x402ffffa,
    0x3a3ffff9,0x7e401fff,0x2fffc4ff,0x103fffc8,0x205fffff,0x3fa5fffa,
    0xffffffff,0xfd1fffff,0x85ffffff,0x3fa2fffb,0x200000ff,0xfffffffb,
    0xd04fffff,0x3ff63fff,0xff8803ff,0x77ffec6f,0x007fffa0,0xf707fff9,
    0xffffffff,0xf7009fff,0xffffffff,0xff009fff,0x7fffc0ff,0xfffffe80,
    0x3fff16ff,0x003fffc4,0x00bfffa0,0x3ffffee0,0xffffffff,0x3fffee3f,
    0xffffffff,0x7ffec3ff,0xffffffff,0x007fffc4,0xfb8bfff6,0xbdffffff,
    0x43999000,0x7ffc1ccc,0x7ffec00f,0x7ffffcc2,0xfffffdef,0x7ffdc0ff,
    0xfffecdff,0x399901ff,0xfd80e664,0x3f600fff,0x7fff46ff,0x3fffee01,
    0xa82fffc2,0xff505fff,0x3f209fff,0x3fffa3ff,0xffffffff,0xfffd1fff,
    0x5c1ffff7,0xfff12fff,0x7d40000d,0xfdefffff,0xe85fffff,0xfffd9fff,
    0xfff1005f,0x07fffe4d,0x9007fffa,0xffa87fff,0xffdeffff,0x2a05ffff,
    0xdeffffff,0x05ffffff,0xff03fffc,0xfff901ff,0x3e2dffff,0x3ffe61ff,
    0x7ff40006,0xffb8002f,0xffffffff,0x3ee3ffff,0xffffffff,0x2e3fffff,
    0xecdfffff,0x3e1fffff,0x7ec00fff,0x7ffec2ff,0x2dffffff,0xfff80000,
    0x7ffec00f,0x1fffff42,0x27fffe4c,0x260bfffa,0x0005ffff,0x4ffff880,
    0x83ffff50,0xeeeefffe,0x6fffffee,0xf305fff8,0x3ff20fff,0xffd06fff,
    0x7ffff43f,0xffffffff,0x2fffd1ff,0x3ee4fffe,0xbfff52ff,0x3fe20000,
    0xfe882fff,0x7ff42fff,0xffffffef,0x6fff8800,0xd03ffff7,0xfc803fff,
    0x3ffe23ff,0xffe882ff,0xfff882ff,0xffe882ff,0x3ffe02ff,0x03fffe07,
    0x3fffffe2,0x43fff16f,0x0005fffa,0x0017fff4,0xffffa800,0xfffa8006,
    0x17fff46f,0xf2ffffcc,0xfd801fff,0xfffb82ff,0x3fffffff,0x7ffc0000,
    0x7ffec00f,0x07fffee2,0x44ffffd0,0x3ee06fff,0x000007ff,0xd01ffff7,
    0xffd09fff,0xffffffff,0xff01bfff,0x7fffc0bf,0xfffffe81,0x47fff80f,
    0x8001fffe,0xfff37ffe,0x4bffee3f,0xf504fffc,0x7fffffff,0x007fffec,
    0xfd1bfff6,0xffffffff,0xfff100bf,0x03ffff5d,0x9007fffa,0x7fec7fff,
    0x7fec00ff,0xffffd86f,0x37ffec00,0x7c0ffff0,0xff500fff,0x3e2dffff,
    0x3fff21ff,0x7ff40004,0x9800002f,0x000fffff,0x07ffffcc,0x5c0dfff1,
    0x3ffe7fff,0x7ffec00f,0xfffb7102,0xe89fffff,0xddd505ee,0x003fffe5,
    0x7f45fffb,0xde8804ff,0x3fffe22b,0x85559101,0xdd505eee,0x3fffa05d,
    0x077ffdc5,0x7ffffff4,0x02cfffff,0xfd817ffe,0x7ffc42ff,0x7cc2ffff,
    0x7fff46ff,0x7ffe8001,0x7ddbfff2,0xbfff72ff,0x3ffffea0,0x3ffe3fff,
    0xfff8803f,0x3ffffa3f,0x3ffffdff,0x7ffffc40,0x3fa02fff,0x7fe401ff,
    0x0ffffe3f,0x0ffffe20,0x1007ffff,0x3e07ffff,0x3ffe07ff,0x3f6e200f,
    0x3fff16ff,0x002fffdc,0x00bfffa0,0xfffd1000,0xfe88003f,0x7fc41fff,
    0x559101ff,0x007fffc5,0x200bfff6,0xffffeca8,0x41bffe0f,0xfff3fffb,
    0xfffd801f,0x01ffff32,0xffffd000,0xfff80039,0x07fff706,0x44bfffe6,
    0xfd02ffff,0xffd977ff,0xfff803df,0x13ffee05,0xfff7fff5,0x44fffb89,
    0x8001fffe,0x3fe27ffe,0x2fffbbff,0x2a0dfff5,0xffffffff,0x00ffff13,
    0xfd27ffe4,0x3f67ffff,0x3e200fff,0x5fffffff,0x007fffa0,0x3e27fff9,
    0x3f2007ff,0x3ffe24ff,0x3fff2007,0x40ffff04,0x7000ffff,0x3ffe2dff,
    0x01bffea1,0x05fffd00,0xfffd8000,0xffd8003f,0xfffd03ff,0x7fc0039f,
    0x7fec00ff,0xffa8002f,0x1bffe1ff,0xff9fffdc,0x7fec00ff,0x0dfff52f,
    0x3ffee000,0x00bdffff,0xfb837ffc,0x3ff203ff,0x0bfffb6f,0x320ffff4,
    0x3e03ffff,0x3fe605ff,0x47ffe46f,0x7fec6fff,0x0ffff42f,0x23fff400,
    0xffcffffa,0x0ffff32f,0x3f6aaaa2,0xbfff53ff,0x2fffd400,0x449ffffd,
    0x2205ffff,0xffffffff,0x3fffd02f,0x53fffc80,0x5400bfff,0x3fea5fff,
    0x3fea005f,0x0ffff05f,0x8007fffc,0xfff16ffb,0x037ffcc3,0xfffe80a8,
    0x3f200002,0xc8004fff,0x2e04ffff,0xdfffffff,0x3fffe00b,0x97ffec00,
    0x6402ffec,0x3ffe4fff,0x27fff706,0x6c00ffff,0xfff72fff,0x7ec0000b,
    0xffffffff,0x0dfff02d,0x880fffee,0xfffdffff,0x3fffa00f,0x2ffffe81,
    0xf80bfff0,0xb7ffc7ff,0x3fa0fffd,0x7fff40ff,0xaaaaaaab,0x1fffa1aa,
    0x3ffffff6,0x7ffff12f,0x4ffff200,0x2004fffb,0x3fa7fff9,0xfffb84ff,
    0xffff102f,0x20dfff9f,0xaaabfffe,0xfffdaaaa,0x009fff73,0xf73fffcc,
    0x7cc009ff,0xffff07ff,0x007fffc0,0xff16ffb8,0x7fffc43f,0x1f7fd401,
    0x0005fffd,0x1bfffea0,0x3fffea00,0xffffd806,0x82dfffff,0x6c00ffff,
    0xfff92fff,0x4fffc80d,0x7dc1bffe,0x1ffff3ff,0x92fffd80,0x3ea09fff,
    0x3fffffff,0xffffffb8,0xff83ffff,0x7fff706f,0xfffffa80,0x7ff403ff,
    0xffff881f,0x05fff80f,0xf98fffec,0x5fff73ff,0x3a1bffe2,0xffffffff,
    0x3a3fffff,0xfff987ff,0x3f22ffff,0xff9007ff,0x13fff27f,0x0ffff880,
    0x3a03fffd,0xf880ffff,0xfff94fff,0xfffffd07,0xffffffff,0x3fff27ff,
    0x3ffe2004,0x09fff90f,0x07fffc40,0xff03fffc,0x3ee001ff,0x83fff16f,
    0x7405fffe,0x3ffa6fff,0xf980002f,0x4000efff,0x00effff9,0xffffff70,
    0xff87ffff,0x7fec01ff,0x5ffff52f,0x87fffe20,0xff706fff,0x07fffe7f,
    0x2e5fffb0,0xff505fff,0x07ffffff,0x3ffff6e2,0x7fc4ffff,0x7fff706f,
    0xfffffb00,0x3fffd00d,0x17fffee0,0xf9017ffe,0x3ffee7ff,0x2a9fff11,
    0xffe84fff,0xffffffff,0x3ffa3fff,0xfffff907,0x7fffc45f,0x3ffee00e,
    0x09fff93f,0xd3fffcc0,0x3ea03fff,0xff885fff,0x3fffe26f,0x7fffff40,
    0xffffffff,0x9fff93ff,0x3fffcc00,0x4009fff9,0xff07fff9,0x7fffc0ff,
    0x2dff7000,0x7cc1fff8,0xff503fff,0x7fff47ff,0x7f440002,0x44001fff,
    0x001ffffe,0x7fffedc4,0x3fa4ffff,0x7fec01ff,0xfffff12f,0xfffb537b,
    0x06fff8ff,0x3fa7fff7,0x7fec01ff,0x0dfff32f,0x3fffffea,0xca8803ff,
    0x20fffffe,0xff706fff,0xfff1007f,0xffd003ff,0x7ffec03f,0x02fffc2f,
    0x7ed7ffea,0xcb7ff47f,0xffe82fff,0xffffffff,0x3ffa3fff,0x3ffffa07,
    0x7fffdc2f,0xfeba9acf,0xff73ffff,0x7fd400bf,0x07fffa6f,0x42ffffe8,
    0x7e46fff8,0x7fff44ff,0xffffffff,0xff73ffff,0x7fd400bf,0x17ffee6f,
    0x06fffa80,0x7fc0ffff,0xff7000ff,0x207ffe2d,0x9adffffc,0x0fffffeb,
    0x2ab3fffa,0x1aaaaaaa,0x05ffffb0,0x5ffffb00,0xeca88000,0xfd0fffff,
    0xffe803ff,0x3fffe62f,0xffffffff,0x837ffc3f,0xffd3fffb,0xfffe803f,
    0x441fffe2,0xfffdaaaa,0xfffa8003,0x41bffe1f,0x9003fffb,0x3a009fff,
    0x3e201fff,0x7ffc6fff,0xb7ffc405,0x7fe45fff,0x80fffd8f,0x8001fffe,
    0x3ea07ffe,0xfb82ffff,0xffffffff,0x50efffff,0x5c00dfff,0x3ffa5fff,
    0x3ffe601f,0x3ffe20ff,0x0ffffc46,0xc803fffd,0xfff53fff,0x7ffdc00d,
    0x01bffea5,0xf05fffb8,0x7ffc0fff,0xdff7000f,0x2207ffe2,0xfffffffe,
    0x741fffff,0xffffffff,0xc84fffff,0x8004ffff,0x004ffffc,0xffffa800,
    0x803fffd1,0x7dc1fffe,0xffffffff,0x7fff82ff,0x3a7fff70,0x7f401fff,
    0x3fff61ff,0x7fff9003,0x900bffb2,0x7ffc9fff,0x07fff707,0x013ffee0,
    0x200ffff4,0x3e4ffffa,0xffe805ff,0x543fffaf,0x6fffafff,0x003fffd0,
    0xd80fffd0,0xf502ffff,0xffffffff,0xff985fff,0xffd001ff,0x0ffff49f,
    0x93ffff20,0xfb86fff8,0x3fffa5ff,0x9fffe401,0x001ffff9,0x7cc9fffd,
    0xfd001fff,0x3ffe09ff,0x03fffe07,0xf8b7fdc0,0x3ff201ff,0xffffffff,
    0xfffffe82,0xffffffff,0x2ffffd44,0x7fffd400,0x3ffb2005,0xa7ffe402,
    0x2204fffd,0xc881ffff,0xdeffffff,0x20ffff01,0xffb3fffc,0x7ffc409f,
    0x1ffff21f,0xc9fffe40,0x7e406fff,0x1fffe4ff,0x801fffe4,0xd004fffb,
    0xfb003fff,0x3ffe3fff,0xefffc805,0x7fc41fff,0xd04fffef,0xd0003fff,
    0xff880fff,0x36e202ff,0xacefffff,0x0dfffd00,0x43ffff70,0x4401fffe,
    0xf11fffff,0x3ffa0dff,0x03fffd2f,0x3a3fffc8,0xfb806fff,0x7ff41fff,
    0xfffb806f,0x0ffff01f,0x8007fffc,0xfff16ffb,0xfffda803,0xfd00cfff,
    0xffffffff,0x7cc9ffff,0x4000efff,0x00effff9,0x01bfff20,0x3ee9fff9,
    0xff901fff,0xdfd500ff,0xfffe8015,0x73fffe80,0x3203ffff,0x7fcc7fff,
    0x3ee00eff,0xfff53fff,0x3ffe205f,0x03fffa1f,0x400ffffa,0x0004fffb,
    0x800566dc,0xfa805fff,0xd07fffff,0x05ffffff,0x0007fffa,0x00acdb80,
    0x3bff6600,0xffff5000,0x3ffea01b,0x59b7004f,0x66d40001,0x3fffa00a,
    0x1fffe401,0x01bffff5,0x213fffea,0x00dffffa,0x209ffff5,0x3e01bdc8,
    0xf7000fff,0x07ffe2df,0x016fedc0,0x00de64c0,0x07ffffa2,0xffffd100,
    0xfffa8003,0xffff102f,0x3ffffe23,0xfffdb9bd,0xfedc804f,0x7ffec05f,
    0x9ffffe44,0xbdfffff8,0x4ffffdb9,0xcfffffb8,0xfffeca9a,0xffff13ff,
    0xffb537bf,0xfffd8fff,0x1ffffe44,0x04fffb80,0x7ffff400,0x05fff800,
    0xffffff88,0xfffff905,0x3fffa01f,0x3fa00001,0x70000fff,0x001fffbb,
    0x2fbffff6,0xffffdb9a,0xfffd000f,0x3f60001f,0xffd00fff,0xfffc803f,
    0x77fffec3,0xfffdb9ab,0xfffb00ff,0xfb7357df,0x2201ffff,0xff04ffff,
    0x3ee001ff,0x03fff16f,0x0fffb760,0x5ffff500,0x6ffffe40,0xaaaaaaaa,
    0xffff92aa,0x5555555b,0x3fe25555,0xda9bdfff,0x7e47ffff,0xffffffff,
    0x4000ffff,0x3ee01ffb,0xfffdefff,0x3ff23fff,0xffffffff,0xffb00fff,
    0xffffffff,0x4c1bffff,0xffffffff,0x5c3fffff,0xffdeffff,0x7003ffff,
    0x00009fff,0xf007ff51,0x40555dff,0x02fffffe,0x0ffffff5,0x555ffff4,
    0xaaaaaaaa,0x3ffa8801,0x2ffa8000,0xffffd100,0xffffffff,0xfa88005f,
    0x2a20003f,0xfffd04ff,0x3fffc803,0x7fffff44,0xffffffff,0x3fffa202,
    0xffffffff,0xfd8802ff,0x0ffff80f,0x22dff700,0xd8001fff,0xfd30007f,
    0x7fffec0d,0xffffffff,0xfffb7fff,0xffffffff,0x7ccfffff,0xffffffff,
    0xfc83ffff,0xffffffff,0x6c4001ef,0x7ff400ff,0xff9effff,0x7fffe43f,
    0x1effffff,0x7ffffdc0,0x2effffff,0xffffff70,0x205fffff,0xeffffffe,
    0x7003fff9,0x00009fff,0x3e00ffee,0x207fffff,0x00fffffd,0x0bfffff1,
    0x7ffffff4,0xffffffff,0x07ff7004,0x05ff9000,0xfffffc80,0x00efffff,
    0x007ff700,0xd04ffa80,0xfc803fff,0xfff903ff,0xdfffffff,0x3fff2001,
    0xefffffff,0x1ffb1000,0x001ffff0,0x7fc5bfee,0x7f44001f,0xfff10005,
    0x7ffffec0,0xffffffff,0xffffb7ff,0xffffffff,0xffb8ffff,0xffffffff,
    0x3ffa602f,0x00ceffff,0xfffeff98,0xfffd8803,0x3fff88df,0xfffffe98,
    0x71000cef,0x9dfffffd,0xfff91007,0x403bdfff,0x8dffffd8,0x7003fff8,
    0x20009fff,0x0efffefe,0xffffff80,0x3fffee07,0x7ffff406,0x3ffffa03,
    0xffffffff,0xfdfd04ff,0x88001dff,0x05fffeff,0xfffdb300,0xe8007dff,
    0x00efffef,0x7fff7f40,0x3fffd00e,0x03fffc80,0x3ffffb66,0xd98003ef,
    0x3efffffe,0x7ffffcc0,0x1ffff04f,0x45bfee00,0x7dc01fff,0x001ffffe,
    0x5ffffdf7,0x7ffffec0,0xffffffff,0xffffb7ff,0xffffffff,0xf910ffff,
    0x3bdfffff,0x06a66200,0x37bb6200,0x0098001c,0x06a66200,0x06a62000,
    0x03531000,0x00002600,0x0027ffdc,0x02deeec8,0x3bbbbb60,0x3fffe606,
    0x7fffdc04,0x3ffffa01,0xffffffff,0xddd904ff,0x7640005b,0x00001bde,
    0xc8000266,0x0002deee,0x017bddd9,0x200ffff4,0x2003fffc,0x40000099,
    0x36200099,0x3e01ceee,0x95000fff,0x00666479,0x02f7bb66,0xbdeeea80,
    0x00000000,0x53100000,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddd90000,0x3b600005,0x880001ee,0x00000980,0x3ddb0000,0x22017ba6,
    0xffffffff,0x00000006,0xffffffa8,0xdd5004ff,0x49dd509d,0xc8001eed,
    0x0bdd31ee,0x07ddd500,0x09ddd500,0x0004c000,0xff937fcc,0x25ffb809,
    0x2a002ffd,0x30003eee,0xaa80bddd,0x3bba602a,0x774c0005,0xeec8004e,
    0x2020001e,0x3bbb2018,0x4c7bb602,0xed8004ee,0x376a01ee,0xeb80fa62,
    0xe98003ee,0x00bbb24e,0x004fff88,0xdffff900,0x7fec4000,0x004fa8ad,
    0x3f25ffc8,0x7fcc005f,0x801ffe8e,0xfffffff8,0x3fe2006f,0x03fff11f,
    0xfffffa80,0xfd004fff,0x3ffa01df,0x0004ffca,0xffd1dff3,0xdffd0005,
    0x7ffe4000,0x6f880000,0x59ff9000,0x3f600dff,0x005ffbaf,0x0002fff4,
    0xe801fffb,0xffd107ff,0x6c0007ff,0x88000eff,0xb8005ffe,0x7f88beff,
    0x3037ff40,0x3fff1dff,0x2fffa800,0x3ffffee0,0xff302ffd,0xb0003fff,
    0x0bff77ff,0x005ffc80,0xfbdff300,0x3ee0009f,0x2fffffff,0x25ffc800,
    0xb8005ffc,0x004fffff,0x99999991,0x7fc40079,0x03fff11f,0xccccc980,
    0xfa802ccc,0x3fe200ef,0x0000efff,0x13ffffee,0x03bfea00,0x09ffb000,
    0x7fed4400,0xffe8000b,0xf1001fff,0x001fffff,0x00077fd4,0x801fff88,
    0xff907ffe,0x0003fff9,0x0001fff3,0x000fffc4,0xfffffff1,0xffe880bf,
    0x3ffff202,0xffe8003f,0x7667ec03,0xe880ffff,0x006ffcff,0xffffff88,
    0x17fe2000,0x7ffc4000,0x001ffe89,0xfec9afd8,0xfc8000df,0x017ff25f,
    0x037ffec0,0xf1000000,0x3ffe23ff,0x00000001,0xf5001dfd,0x00003fff,
    0x000dfffb,0x00003bfa,0x40007fec,0xfffffffa,0x3fe2000c,0x7d4003ff,
    0x74002fff,0x320000ef,0xffd001ff,0x26bff50f,0xfd8006ff,0xf980001f,
    0x33ea004f,0x01effdb9,0x7406fe88,0x98006fff,0x44c804ff,0xffb00bc9,
    0x0013ff27,0x00bfffea,0x00015510,0xa886aa60,0x82a8001a,0x2a600009,
    0x006aa61a,0x004ccc40,0x70033332,0xaa803999,0x002aaa0a,0x33b72a60,
    0x0aa8801b,0x00266600,0x04ccc400,0x00554400,0x002aa000,0xffffff30,
    0x8800bfff,0x33000199,0xaa880013,0x0d540000,0x50555500,0x0554c155,
    0x0006aa00,0x2002a980,0x000c40a9,0x33100aa2,0x55300013,0x54400000,
    0x0015542a,0xb8019988,0xcccccccc,0x40000aaa,0x0001cccc,0x00399990,
    0x07333200,0xccccc980,0xcccccccc,0x01ffff2c,0x2e2fffd8,0x97003ccc,
    0x7f4c0999,0xefffffff,0x42666401,0xcccccccb,0x4c00aaac,0xcccccccc,
    0x3ccccccc,0x98019997,0x99001ccc,0xfe800399,0xffdffcff,0x3332001f,
    0xccc8001c,0xcccc8004,0x15555001,0x49999000,0xb8004ccc,0x97003ccc,
    0x6665c999,0xcccccccc,0x99970ccc,0x1ccc9801,0x32e4ccc8,0xcccccccc,
    0x970ccccc,0x99999999,0x90199999,0x99970999,0x99999999,0xccb81999,
    0x6664c00c,0xffffffd1,0x3dffffff,0xffff5000,0xff50000b,0x50000bff,
    0x400bffff,0xfffffffb,0x3fffffff,0xd801ffff,0x3fea2fff,0x7fcc02ff,
    0xfff703ff,0xffffffff,0x3fffc09f,0x7ffffff4,0x1effffff,0xffffff50,
    0xffffffff,0x17fffadf,0x005fff70,0x00bffff5,0x7c5fffcc,0x200bffd6,
    0x005ffffa,0x000ffff8,0x017fffea,0x0017fff4,0xff87fffc,0xffa8007f,
    0x7fcc02ff,0x3fffa3ff,0xffffffff,0xfffd1fff,0x2fffb80b,0xfd0ffff8,
    0xffffffff,0x3a3fffff,0xffffffff,0x81ffffff,0x7f40ffff,0xffffffff,
    0x741fffff,0x7dc05fff,0xffffd2ff,0xffffffff,0xfd8005ff,0x0000ffff,
    0x07ffffec,0x3fff6000,0xff7000ff,0xffffffff,0x3fe7ffff,0x7fec00ff,
    0x7fffec2f,0x1bfff600,0x7fffffd4,0xffffffde,0xd0ffff05,0xffffffff,
    0x05ffffff,0xfffffff5,0xffffffff,0x0bffffad,0x802fffb8,0x00fffffd,
    0xf11fff50,0x4006aaad,0x00fffffd,0x007fffc0,0x1fffffb0,0x05fffd00,
    0x21ffff00,0xb0007fff,0x6c01ffff,0x7ff46fff,0xffffffff,0xffd1ffff,
    0x7fdc05ff,0x0ffff82f,0xfffffffd,0x3fffffff,0x3ffffffa,0xffffffff,
    0x40ffff81,0xfffffffe,0x1fffffff,0x017ffff4,0x3fa5fff7,0xffffffff,
    0x00ffffff,0xffffff10,0x7fc40009,0x0004ffff,0x3fffffe2,0xffff7004,
    0xffffffff,0x3fffe7ff,0x17ffec00,0x413fffe2,0x881ffffa,0x882fffff,
    0xf82ffffe,0xfffe87ff,0xffffffff,0x7d40ffff,0xffffffff,0xd6ffffff,
    0x201fffff,0x4402fffb,0x04ffffff,0xf13fff50,0x3fe2000d,0x4004ffff,
    0x1000ffff,0x09ffffff,0x005fffd0,0x3e1ffff0,0xf10007ff,0x3ea09fff,
    0x7ff41fff,0xffffffff,0xffd1ffff,0x3ee01fff,0xffff82ff,0xffffffd0,
    0xffffffff,0x3fffffa3,0xffffffff,0x0ffff81f,0x7ffffff4,0xffffffff,
    0x7fffff41,0x25fff700,0x9101fffe,0x2005ffff,0x7ffffffc,0x3fff2000,
    0x20007fff,0x7ffffffc,0x3fea0000,0x3fffe6ff,0x17ffec00,0x407fffdc,
    0xfb04fffe,0xfd801fff,0x7fff86ff,0x101fffe8,0x005ffff9,0xd01bffe6,
    0x209fffff,0x6402fffb,0x07ffffff,0xf5dfff30,0x3ff2000d,0x4007ffff,
    0x9000ffff,0x0fffffff,0x005fffd0,0x3e1ffff0,0x2e0007ff,0xfe80ffff,
    0xfffe84ff,0xfffe8001,0xfff704ff,0x21ffff05,0x8001fffe,0x0001fffe,
    0x3a07fffc,0x20001fff,0x04fffffe,0x3fa5fff7,0x7fec01ff,0xffff004f,
    0x0005fffd,0x3ffbfffe,0xfff0002f,0x005fffdf,0xfffff300,0x007fffc1,
    0x740bfff6,0x7fdc5fff,0xffff00ef,0xffff1007,0xe87fff87,0x7ec01fff,
    0xff3004ff,0xfffe80df,0xffb81fff,0x7fffc02f,0xd002fffe,0x00dfffff,
    0x3fbfffe0,0x3fe002ff,0xfff000ff,0x805fffdf,0x8002fffe,0xfff0ffff,
    0x7f40010f,0x7ffdc5ff,0x1fffe80e,0xffffe800,0xfffb81ff,0xd0ffff82,
    0xd0003fff,0x80003fff,0x7f40ffff,0x3a0001ff,0x81ffffff,0xffd2fffb,
    0xfffb803f,0xdfffa806,0x8005fffa,0xffadfffa,0xffa8005f,0x05fffadf,
    0x7fff4400,0x07fffc1f,0x40bfff60,0xf12ffff9,0x3e205fff,0x3f2007ff,
    0x3fffc4ff,0x200ffff4,0x3006fffb,0xfe80dfff,0xb86fffff,0x3ea02fff,
    0x5fffadff,0xfffff300,0x2a0039ff,0xfffadfff,0x3fffe005,0xdfffa800,
    0x7405fffa,0xf8002fff,0xffff0fff,0x077fff66,0x25ffff30,0xd02ffff8,
    0xd0003fff,0x0dffffff,0xff05fff7,0x3fffa1ff,0xfffe8001,0x7ffc0001,
    0x0ffff40f,0xffffd000,0xfff70dff,0x007fffa5,0xb009fff9,0xfff15fff,
    0xffd8001f,0x0ffff8af,0x57ffec00,0x000ffff8,0x0fffff60,0xb003fffe,
    0x7e405fff,0xbfffb6ff,0x02fffd40,0xf8bfff50,0xfffe87ff,0x27ffe401,
    0x06fff980,0x7ffffff4,0x17ffdc2f,0xf15fffb0,0x2a001fff,0xffffffff,
    0xafffd803,0x000ffff8,0xb001ffff,0xfff15fff,0x7fff401f,0xffff8002,
    0xff5ffff0,0x805fffff,0xffb6fffc,0x7fff40bf,0xfffe8001,0x7dc2ffff,
    0xffff82ff,0x003fffd0,0x003fffd0,0x40ffff80,0x0001fffe,0x3ffffffa,
    0x97ffdc2f,0x2e01fffe,0x4402ffff,0x3ff67fff,0x3fe2004f,0x13fff67f,
    0x27fff880,0x0004fffd,0x209ffff9,0x6c00ffff,0x3e202fff,0xffffdfff,
    0x13ffee00,0x47fff980,0xffe87fff,0x3ffee01f,0xfff3002f,0xbfffe80d,
    0x3ee0ffff,0xfff102ff,0x027ffecf,0xfffff910,0x7fc409ff,0x13fff67f,
    0x007fffc0,0xfd9fffe2,0x3ffa04ff,0xfff8002f,0xffffff0f,0x0fffffdf,
    0xfdffff88,0x3fa00fff,0xaaaaabff,0x3fa1aaaa,0x0ffffbff,0x3e0bffee,
    0xfffd0fff,0x55555557,0x7fff4355,0xaaaaaaab,0xffff01aa,0xabfffe81,
    0xaaaaaaaa,0xfbfffe81,0x3fee0fff,0xddfffd2f,0xffffdddd,0xfff700df,
    0x03fffcc9,0x4c9fff70,0x2e007fff,0x3fe64fff,0xffa8007f,0x3ffe06ff,
    0x7ffec00f,0x7fffd402,0x7e403fff,0x3e2004ff,0x3ffe0fff,0xeefffe87,
    0xffffeeee,0x3fe6006f,0xbfff406f,0x3ee4fffe,0xfff702ff,0x03fffcc9,
    0x7ffffc40,0xfff700ff,0x03fffcc9,0x400ffff8,0x3e64fffb,0x3ffa07ff,
    0xfff8002f,0x5fffff0f,0x017fffcc,0x3fffffea,0x7fff403f,0xffffffff,
    0x5fffa3ff,0x3ee4fffe,0xffff82ff,0xffffffd0,0x7fffffff,0x7ffffff4,
    0x3fffffff,0xe81ffff0,0xffffffff,0xe83fffff,0x9fffd7ff,0xfe97ffdc,
    0xffffffff,0x800dffff,0x7fc1fffe,0xffd002ff,0x2ffff83f,0x83fffd00,
    0x2002ffff,0x00effff9,0xb007fffe,0xfb005fff,0x900dffff,0x4c009fff,
    0x7ffc7fff,0xfffffe87,0xffffffff,0x3fe6000d,0xbfff406f,0xf71ffff9,
    0x3ffa05ff,0x17fffc1f,0x363be200,0xffd03fff,0x2ffff83f,0x00ffff80,
    0x3e0ffff4,0xffd02fff,0xfff0005f,0x0ffffe1f,0x200bffee,0x06fffffd,
    0xffffffe8,0x3fffffff,0x7fcdfffa,0x5fff71ff,0x3a1ffff0,0xffffffff,
    0x3a3fffff,0xffffffff,0xf03fffff,0xffe81fff,0xffffffff,0xffe83fff,
    0x23ffff37,0xffd2fffb,0xffffffff,0x3e60059f,0xfffc86ff,0x6fff9805,
    0x805fffc8,0xfc86fff9,0xfd1005ff,0xfe803fff,0x7fec01ff,0xfff8802f,
    0xffb801ff,0x3fea005f,0x43fffc6f,0xfffffffe,0x002cffff,0x406fff98,
    0x3ff27ffe,0x05fff76f,0xf90dfff3,0x44200bff,0x09fff16f,0xf90dfff3,
    0xfff00bff,0x7ffcc01f,0x05fffc86,0x0005fffd,0x3fe1ffff,0xfffa81ff,
    0xffff8803,0xfffe801f,0xffffffff,0x9fffa3ff,0xff76fffc,0x1ffff05f,
    0x3ffffffa,0x3fffffff,0x3ffffffa,0x3fffffff,0xe81ffff0,0xffffffff,
    0xe83fffff,0x3fff27ff,0x3a5fff76,0xfecbbfff,0x32001eff,0x9999cfff,
    0x400ffffa,0x999cfffc,0x00ffffa9,0x4ce7ffe4,0x0ffffa99,0x2ffffd80,
    0x01fffe80,0x8017fff4,0x5004fffc,0x5c00dfff,0x7ffc5fff,0xbbfffe87,
    0x01efffec,0x0dfff300,0x3e27ffe8,0xfffbbfff,0x9cfffc82,0xffffa999,
    0x22dffb00,0x20fffa6f,0x999cfffc,0x00ffffa9,0x9007fffc,0x33339fff,
    0xd01ffff5,0xf0005fff,0x3ffe1fff,0x3fffa80f,0x09fff900,0x007fffa0,
    0xf89fffa0,0xfffbbfff,0xd0ffff82,0xd0003fff,0x80003fff,0x7f40ffff,
    0x3a0001ff,0x3ffe27ff,0xd2fffbbf,0xffc83fff,0xfff003ff,0xffffffff,
    0xff809fff,0xffffffff,0x7c04ffff,0xffffffff,0x404fffff,0x004ffffc,
    0xe803fffd,0xf7001fff,0x3e6009ff,0xfd001fff,0x7fff89ff,0x641fffe8,
    0x8003ffff,0x7406fff9,0x7ffd47ff,0xf82fffcf,0xffffffff,0x904fffff,
    0x2df15fff,0xff82fff8,0xffffffff,0x7c04ffff,0x3fe00fff,0xffffffff,
    0xfe84ffff,0xff8002ff,0x0ffff0ff,0x4013ffea,0xd004fffb,0xd0003fff,
    0xfffa8fff,0xf82fffcf,0xfffd0fff,0xfffd0003,0xfff80003,0x0ffff40f,
    0x8fffd000,0xffcffffa,0x03fffd2f,0x805ffffd,0xfffffffa,0x7fffffff,
    0x3ffffea0,0xffffffff,0x3ffea07f,0xffffffff,0x3ea07fff,0x36005fff,
    0x3e204fff,0xf7001fff,0x7f4009ff,0xffb806ff,0x3fffc1ff,0x740ffff4,
    0x4002ffff,0x7406fff9,0xfffd87ff,0x7d42ffff,0xffffffff,0x507fffff,
    0x3df7ffff,0xfa81fffb,0xffffffff,0x407fffff,0xf500ffff,0xffffffff,
    0xd0ffffff,0xf0005fff,0x3ffe1fff,0x09fff507,0x013ffee0,0x000ffff4,
    0x7ec3fff4,0x82ffffff,0xffd0ffff,0xffd0003f,0xff80003f,0x7fff40ff,
    0x3ffa0001,0xfffffd87,0x3fffd2ff,0x1fffff10,0x7ffffec0,0xffffffff,
    0xfffb02ff,0xffffffff,0x3605ffff,0xffffffff,0x2fffffff,0x0effff98,
    0x3fffee00,0x0ffff901,0x027ffdc0,0x1bffff50,0x13fffea0,0x3fa1fffe,
    0xfff881ff,0x3e6000ff,0x7ff406ff,0xfffff987,0x7ffec2ff,0xffffffff,
    0xfb02ffff,0xffffffff,0xffffb07f,0xffffffff,0x7fc05fff,0xfffb00ff,
    0xffffffff,0xfe85ffff,0xff8002ff,0x0ffff0ff,0x4013ffea,0xd004fffb,
    0xd0003fff,0xfff30fff,0xff05ffff,0x3fffa1ff,0xfffe8001,0x7ffc0001,
    0x0ffff40f,0x0fffd000,0xfffffff3,0x407fffa5,0x105ffffb,0x5555ffff,
    0xfffb5555,0x5ffff10b,0xb5555555,0xff10bfff,0x555555ff,0x8bfffb55,
    0x01ffffe8,0x7ffffc40,0xfffdb9bd,0x3fee004f,0x7fec004f,0xdb9abeff,
    0xf80fffff,0xfffe87ff,0xbffff701,0x37ffcc00,0x641fffa0,0x22ffffff,
    0xaaaffff8,0xffdaaaaa,0xfffd105f,0x109fffff,0x5555ffff,0xfffb5555,
    0x07fffc0b,0x557fffc4,0xfdaaaaaa,0x7fff45ff,0xffff8002,0x2a0ffff0,
    0xf7004fff,0x3fa009ff,0xfe8001ff,0xffff907f,0xffff05ff,0x007fffa1,
    0x007fffa0,0x81ffff00,0x0001fffe,0x7e41fffa,0xfd2fffff,0x7fec03ff,
    0xfffc82ff,0xffff9804,0x027ffe40,0x207fffcc,0x9804fffc,0x3f20ffff,
    0xaaaadfff,0x22aaaaaa,0xfffffffc,0x00ffffff,0x013ffee0,0xfffffd10,
    0xffffffff,0x21fffe05,0x3601fffe,0x3002ffff,0xfe80dfff,0x3fffa07f,
    0x3fff22ff,0xffff9804,0x3ffff200,0xfff902df,0xffff3009,0x03fffe01,
    0x2013fff2,0x3a0ffff9,0xaaaacfff,0x3e1aaaaa,0xffff0fff,0x013ffea0,
    0x8027ffdc,0xaaabfffe,0x1aaaaaaa,0x7f40fffd,0xff82ffff,0x7fffd0ff,
    0x55555555,0x3fffa355,0xaaaaaaab,0xfff81aaa,0x5ffff40f,0xaaaaaaaa,
    0x3fff41aa,0x5fffffd0,0x8807fffa,0xff86ffff,0xffd001ff,0x1ffff89f,
    0x89fffd00,0xd001ffff,0x7fec9fff,0xffffffff,0x647fffff,0xffffffff,
    0x5c001eff,0x90004fff,0xffffffff,0x7fc01dff,0x1fffe87f,0x1bfffe20,
    0x037ffcc0,0xfa81fffa,0x3fe2ffff,0xffd001ff,0x1df5009f,0x01ffff80,
    0x209fffd0,0xff80ffff,0xffd001ff,0x7ffff49f,0xffffffff,0x43fffe4f,
    0xff507fff,0x3fee009f,0xfffd004f,0xffffffff,0x3ffa9fff,0x3fffea07,
    0x0ffff82f,0xfffffffd,0x9fffffff,0x3ffffffa,0xffffffff,0x40ffff84,
    0xfffffffe,0x4fffffff,0xf503fff4,0x3fa5ffff,0x7fd401ff,0x3ffea4ff,
    0x3ffee007,0x01fffea7,0x2a7fffb8,0x2e007fff,0x3ff67fff,0xffffffff,
    0x987fffff,0xeffffffe,0xffb8000c,0x3660004f,0x3efffffe,0xe87fff80,
    0x7d401fff,0xf9804fff,0x7ff406ff,0x7fffec07,0x00ffff52,0x403fffdc,
    0x7fd406f8,0x3fee007f,0x1ffff07f,0x007fffa8,0xfe9fffee,0xffffffff,
    0x3fe4ffff,0x0ffff0ff,0x4013ffea,0xd004fffb,0xffffffff,0x29ffffff,
    0x7ec07ffe,0xfff82fff,0xfffffd0f,0xffffffff,0x3ffffa9f,0xffffffff,
    0xffff84ff,0x7fffff40,0xffffffff,0x03fff44f,0x74bffff6,0xfd801fff,
    0xfffb1fff,0x7ffc4009,0x09fffb2f,0x97fffc40,0x2004fffd,0xfb2ffff8,
    0xffffffff,0x0fffffff,0x000d4cc4,0x027ffdc0,0x00133000,0xfe87fff8,
    0xffd801ff,0x7fcc01ff,0x3fff406f,0x4bfffe20,0x2004fffd,0x402ffff8,
    0x7fec05e8,0x3fe2004f,0xffff82ff,0x027ffec0,0x25ffff10,0xfffffffe,
    0x24ffffff,0xfff0ffff,0x13ffea0f,0x027ffdc0,0xffffffe8,0xffffffff,
    0x880fffd4,0xff82ffff,0xffffd0ff,0xffffffff,0x3fffa9ff,0xffffffff,
    0xfff84fff,0x7ffff40f,0xffffffff,0x3fff44ff,0x0bfffe20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64c25c00,0x5ddd9001,0xdd31eec8,0xeeed800b,0x00ba8001,
    0xffffff00,0x3fee0fff,0x03ffffff,0x3fffffea,0x000004ff,0x654c0060,
    0x0009bced,0x01000080,0x0000cc00,0x0040006a,0x0000d400,0x5005ddd7,
    0x000bb05d,0x00004c00,0x37bb6200,0xdddb0000,0x33220003,0x20d4402c,
    0xddb000a8,0x9970000b,0x37bb6207,0xcc880000,0x3259992c,0x17ffc4cc,
    0xff905fff,0x202ffe4b,0x007f42fb,0x4c27ffcc,0x2ffe8fff,0x3ffff200,
    0x7fff4006,0xffff8000,0xf707ffff,0x7fffffff,0x7ffffd40,0x20004fff,
    0x2ccedca9,0xfb1027d4,0xffffffff,0x33eee805,0x803bfffb,0x0cefffd9,
    0x3ffff220,0xd1000cff,0x3aa00dff,0xddd0dfff,0x27ffcc07,0x27ffc400,
    0x711ef880,0x01b1007f,0xfffffd98,0x00d8802d,0x0bffffb0,0x07fff500,
    0x27ffcc00,0x37dfff50,0x3fe003fb,0x0362006f,0x3f60bffb,0x80005fff,
    0xfff4fff9,0xff1fffe9,0x417ffc5f,0x3ff25ffc,0x6f7fc405,0xff9005ff,
    0x7fffdc09,0x3fe6004f,0x5004ffde,0x0009d13f,0x99999999,0x33332a09,
    0x2601cccc,0xcccccccc,0xffd88002,0xaeffffff,0xfb81fff9,0xffffffff,
    0xff00dfff,0xfffff59f,0x3ff203ff,0x82ffffff,0xfffffff8,0xfb800eff,
    0x7e402f99,0xf9ffffff,0x23b604ff,0x7e4000fb,0x7fe4005f,0x5c00ffff,
    0x3fee00ff,0x3fffffff,0x2003fee0,0x3ffedffb,0x01fff400,0x3ffffee0,
    0xfe81ffff,0x07ffffff,0x401bffe0,0x7fec0ffb,0xfedffb85,0x7cc0003f,
    0x29fff4ff,0x7ffc7fff,0x320bffe2,0x17ff25ff,0x33fff6a0,0x05ff8800,
    0x006fffd8,0x7f47ffa2,0xb0fb801f,0x0000000b,0x00000000,0xffffffa8,
    0xffffffff,0xffffa82f,0xffffdeff,0xffff05ff,0xffffffff,0xfffff70f,
    0xe83fffff,0xfffeffff,0x26c805ff,0x3ffea04e,0xffffffff,0x7c53a04f,
    0x1bfe2002,0x3ff6a200,0x7ffec01c,0xdffff300,0x03ffffdb,0x9801fffb,
    0xfff88eff,0x09ff3000,0xfffff700,0xf883ffff,0x05dfd716,0x402f76c0,
    0x7ec0fffd,0x477fcc5f,0x0000fff8,0x7fd3ffe6,0xa8ffff3f,0x02aaa0aa,
    0xaa986aa6,0x00062002,0x26200551,0x2a600099,0x00aaa21a,0x00ff7be2,
    0x6666665c,0xcccccccc,0x004ccc80,0x001cccc8,0xffffffa8,0xfffffede,
    0xffff883f,0xfffe982f,0xfffff82f,0x87fffea2,0x88bffff8,0x3ea5fffb,
    0x3fea0dff,0xddf9807f,0x3fffe01f,0xffffb51d,0x3767dc09,0x002aa200,
    0x7ec00100,0xfff900ff,0x85fff981,0x4400fffd,0x02662099,0x800154c0,
    0xfffdccc9,0x000980ce,0xffb00000,0x889f301f,0x02662099,0x4fff9800,
    0x7fffcbea,0xcccccccb,0x0ccccccc,0x8004ccc8,0x2001cccc,0x66644ccc,
    0x9aabcccc,0x13332000,0xbffff500,0x3ffffa00,0xffffffff,0xffff81ff,
    0x3ffea000,0x7fc4005f,0xfd882fff,0xffc83fff,0x7fec00ff,0x3ffff86f,
    0x322fffd8,0xffd84fff,0x2032a61f,0xb5007ffe,0x7ffd405b,0x09fffd06,
    0x0001ceb8,0x04002a01,0x01fffb00,0x2a0bfff6,0x03fff601,0x40001300,
    0x98100009,0x00004fff,0xfd800200,0x02fb80ff,0x30200018,0x8fec9fff,
    0xfffeffff,0xffffffff,0xfff81fff,0x3fea000f,0x3fe005ff,0x3fffe0ff,
    0xffffffff,0x1ffff003,0x7fffec00,0xfffe800f,0xffffffff,0xfff81fff,
    0x3ff6000f,0x32000fff,0x3600ffff,0x7c46ffff,0xf8803fff,0x7ffc3fff,
    0x3fffb80f,0x2a07fff6,0xb8803fff,0x3000fffe,0x2fffb803,0x009fff70,
    0x3ff6a000,0x06fa8bdf,0x33bfff66,0xffffeb80,0x7ffdc5ee,0x2e00bdff,
    0x5eeffffe,0xfffffb30,0xffd9805b,0x5402dfff,0xf98dfffe,0x5eee84ff,
    0x205ddd50,0x0cefffd9,0xeffffeb8,0x220dfb5e,0x0cffffec,0x6ffff540,
    0xd8cfff98,0x3bfffe4f,0xffffffff,0x81ffffff,0x2000ffff,0x00fffffd,
    0x7c1ffff0,0xffffffff,0x401effff,0x1000ffff,0x09ffffff,0xffffffd0,
    0xffffffff,0x01ffff03,0x3ffffe20,0xfff1004f,0x7ffec07f,0x3fe62fff,
    0x3ff2007f,0x83fffc4f,0x3fa3fffb,0xccccccff,0xdb883fff,0x0fffffff,
    0xfffff910,0xfffd819f,0x49fff301,0xdd505eee,0xfffd885d,0x3fffffff,
    0xffffff90,0xfffc85ff,0x7c46ffff,0xefffffff,0x7fffe40b,0xffb86fff,
    0x3fffffff,0xffffff70,0x3f207fff,0xfbffffff,0x6fff84ff,0x907fff70,
    0xffffffff,0xfffffc85,0x5019b6ff,0xffffffff,0x3fff203f,0xfffcffff,
    0xffff87d4,0xfffffffe,0x1fffffff,0x000ffff8,0x9ffffff1,0x83fffe00,
    0xffffffff,0x0fffffff,0x003fffe0,0x7fffffe4,0x1fffe807,0x7fffc000,
    0xffff9000,0x3e600fff,0x3ff207ff,0x2a4fffde,0x2a005fff,0x7ffc5fff,
    0x47fff507,0xffffffff,0x224fffff,0xfffffffe,0xff880fff,0xefffffff,
    0x407fff60,0x3fe4fff9,0x7fff706f,0x7fffff44,0x706fffff,0xffffffff,
    0x7ffe43ff,0xf986ffff,0xffffffff,0x3ffff22f,0x7fcc6fff,0xfffedeff,
    0x7fffcc1f,0x1ffffede,0x7fffffdc,0x84ffffff,0xff706fff,0xffffb87f,
    0x21ffffff,0xfffffffc,0x7fffcc06,0x0fffffff,0x7fffffdc,0x04ffffff,
    0x3ffbfffe,0x7fc0001f,0xff9000ff,0x200fffff,0x3fe0ffff,0xffd981ff,
    0x3ffe04ff,0xffff000f,0xe805fffd,0x40001fff,0xf000ffff,0x5fffdfff,
    0x0bfff500,0x3ee3bfee,0x3ffee6ff,0x3ffe6004,0xa837ffc6,0x3ffe3fff,
    0xeeeeeeef,0xffff14ee,0xfffb159d,0xdffffd01,0x6cbfffff,0xff502fff,
    0x837ffc9f,0x3f23fffb,0x3fee3eff,0x7ffc42ff,0xfffb88bf,0x3fffa625,
    0x3f6a009a,0x0fffffff,0x35fffd31,0x40fffc81,0x7e45fff9,0x7ffcc0ff,
    0x37fffe25,0x9ffffb51,0x2e0dfff0,0x3fe23fff,0xffb88bff,0x3ffa625f,
    0x7f4009af,0xffb32dff,0x7fffc47f,0xffffd51d,0x77fffc09,0x40001fff,
    0xf000ffff,0x5fffdfff,0x41ffff00,0x2a01ffff,0xff01ffff,0xff5001ff,
    0x0bfff5bf,0x001fffe8,0x007fffc0,0x7d6fffd4,0xffc805ff,0x0fffa84f,
    0x7ecffff5,0x3e6003ff,0x37ffc7ff,0x3a3fffa8,0x32001fff,0xffe83fff,
    0x6fffd40f,0xc9fffea0,0xff903fff,0x837ffc9f,0xff33fffb,0xffffb0df,
    0x84fffc8d,0x7ec1fffd,0x5cc000ff,0x6c2ffffe,0xffb00fff,0x3603505f,
    0x81a82fff,0xfd06fffa,0xdfff09ff,0xc8fffee0,0xffd84fff,0x07ffec1f,
    0x437ffd40,0x3ee4eff9,0xfffd05ff,0x77fffc09,0x40001fff,0xa800ffff,
    0xfffadfff,0x0ffff805,0xb007fffe,0x3fe09fff,0xffd800ff,0x0ffff8af,
    0x007fffa0,0x01ffff00,0xf15fffb0,0xfd801fff,0x7ffcc3ff,0xc9fffe61,
    0x26004fff,0x7ffc7fff,0x47fff506,0xca84fffd,0x1fffd09a,0x301ffff0,
    0xfffd0195,0x207fffd4,0x3e4ffff8,0xfff706ff,0x90fffea7,0x41fffddf,
    0xfa81fffd,0x7ffec3ff,0x20b97500,0x7ec3fffc,0xfff700ff,0xb8017bff,
    0x0bdfffff,0x40bffee0,0xff84fffb,0x7fff706f,0x540fffec,0x7fec3fff,
    0xfffb800f,0x3ff20103,0x9fff702f,0x7f7fffc0,0x7c0001ff,0xfd800fff,
    0xffff8aff,0x07fffc00,0xa803ffff,0xfff05fff,0xfff8801f,0x813fff67,
    0xaaabfffe,0x01aaaaaa,0x8801ffff,0x3ff67fff,0x7ffe404f,0x30bffe24,
    0x7fdcffff,0x3fea005f,0x837ffc6f,0x3e63fffa,0x3fe22fff,0x5fffd0ff,
    0x00ffffc8,0x3fffae20,0x33ffffa0,0x4fffffd9,0x7dc1bffe,0x3fff93ff,
    0x7fe4ffdc,0x33fffa2f,0xfffccccc,0x807ffec3,0xfd82ffff,0xffd531ff,
    0xff88357f,0xbeffffff,0xfffff880,0x6c0befff,0xff501fff,0x0dfff09f,
    0xfe8fffee,0xccccccff,0x7fec3fff,0xfffc800f,0x7ffec002,0x09fff501,
    0x7ff7fffc,0xaaaaaabf,0xfff01aaa,0xfff8801f,0x013fff67,0x7fc1ffff,
    0x7fcc01ff,0x1ffff06f,0x24fffb80,0x3a07fff9,0xffffffff,0xf03fffff,
    0xfb801fff,0x3ffe64ff,0xafffdc07,0xfa83ffe8,0x3ffea6ff,0x3ffee006,
    0xa837ffc5,0x7fec3fff,0xffffdeff,0x37ffff22,0x1fffffec,0x3fff6e20,
    0x3ea0ffff,0xefffffff,0x3ffe4fff,0x27fff706,0xff50fffd,0xf8fffea5,
    0xffffffff,0x7ec4ffff,0xfff700ff,0xffffb9df,0x7ffffecd,0xfff984ff,
    0x2fffffff,0xffffff98,0x3f62ffff,0xfff301ff,0x20dfff09,0x3fe3fffb,
    0xffffffff,0x7fec4fff,0xfffd800f,0x7fff4001,0x09fff300,0x7ff7fffc,
    0xffffffff,0xfff03fff,0xfffb801f,0x01fffe64,0x7fc1ffff,0x7fc401ff,
    0x1ffff07f,0x41fffe80,0xfd02ffff,0xffffffff,0x3e07ffff,0x7f400fff,
    0x7fffc1ff,0x3fffea02,0xf704ffe8,0x7ffccbff,0x7f42e81f,0x37ffc3ff,
    0xd83fffa8,0xffffffff,0x7ffffc45,0x2fffdfff,0xfffffe88,0x540fffff,
    0x9dffffff,0x3ffe4fff,0x27fff706,0xff99fffc,0xf8bffee3,0xeeeeefff,
    0x7ec4eeee,0x3ff200ff,0xffffffff,0x3fffff60,0x3f6a04ff,0x0fffffff,
    0xfffffb50,0x3ff61fff,0x9fff501f,0x2e0ffff0,0x3ffe3fff,0xeeeeeeef,
    0x7ffec4ee,0x2fffd800,0x0fffec00,0x204fffa8,0xfffeffff,0xffffffff,
    0xffff03ff,0x1fffe801,0xf017fffc,0x7ffc1fff,0xffff801f,0x00ffff80,
    0x321bffe6,0xffd05fff,0xffffffff,0x3fe07fff,0x3fe600ff,0x5fffc86f,
    0x3bfffe60,0x3ffa04ff,0x2ffff44f,0x3eebbfea,0x7ffc1fff,0x07fff506,
    0x37ffffae,0xffffb302,0x8bfff11b,0xaceffff8,0x980fffd8,0xff33dfec,
    0x83fffc9f,0xff73fffb,0xfc89ff9f,0x3fffa1ff,0xfffd8001,0x7ffed400,
    0xfb00cfff,0xb98001ff,0x802ffffe,0x2ffffeb9,0x2e05fff7,0xfff84fff,
    0x47fff907,0x8001fffe,0xb800fffd,0x57703fff,0x817ffe41,0x3e04fffb,
    0xffffefff,0xffffffff,0x1ffff03f,0x437ffcc0,0x3e05fffc,0x3ffe0fff,
    0x7ffc401f,0x0ffff80f,0x273fff20,0xffffa999,0x01fffe80,0x07fffc00,
    0x339fff90,0x1ffff533,0x7fffff40,0x3fffea05,0x1ffffd41,0xfffffff5,
    0x3ee000bf,0x3fc403ff,0xff033100,0x07fff901,0x8001fffd,0x3fe3fffa,
    0x7fff907f,0x17ffffe6,0xfd8ffff1,0x9aca84ff,0x007ffec0,0x8039fdb0,
    0x7501fffd,0x3fff20b9,0x64172ea3,0xfff53fff,0x13fffa0b,0x3a03fffa,
    0x3ff63fff,0x09aca84f,0x4007ffec,0xf986fffa,0x3ffee7ff,0x09fffd05,
    0x7ff7fffc,0x7fc0001f,0x3ff200ff,0xfa9999cf,0xfff00fff,0x0ffffc1f,
    0x41fffe60,0x3e00ffff,0xffffffff,0xe84fffff,0x40001fff,0x3e00ffff,
    0xffffffff,0x204fffff,0x00fffffa,0x209ffff3,0x9aeffffd,0xffffffe9,
    0xfffb0000,0x006f9807,0xfd07f880,0xffff01ff,0x0333be61,0xfe8bffee,
    0xfffe80ff,0x83ffff63,0x4c2fffeb,0x3e22ffff,0x7fec0fff,0xde88012f,
    0x3f602ffe,0xfff812ff,0x1fffd82f,0x360bfffe,0x3ffe1fff,0x3fff664f,
    0x4fffd84f,0x31ffffe4,0x7c45ffff,0x7fec0fff,0xffe8012f,0xfffb32df,
    0x27fffc49,0x09ffffb3,0x7ff7fffc,0x7fc0001f,0x3ffe00ff,0xffffffff,
    0xfff04fff,0x0ffffc1f,0x41bffea0,0xf500ffff,0xffffffff,0xd0ffffff,
    0x80003fff,0xf500ffff,0xffffffff,0x80ffffff,0x9cfffffe,0xfffffc98,
    0xffffd100,0xffffffff,0xdd8001df,0x5c02ffff,0x4c0000ff,0xfffe81ff,
    0x87fffe42,0x31dffff8,0x6c1ffff5,0x7fe44fff,0x3ffe23ff,0xfffffeff,
    0xdffffb05,0x905ffffb,0x00ffffff,0x3f206fe8,0x7dc7ffff,0xffdcefff,
    0x7ffdc6ff,0xffffdcef,0x7ffffdc6,0x4ffffffe,0xdeffffb8,0x43ffffff,
    0xfdeffffd,0xffc82fff,0x7d407fff,0xffffffff,0x7ffdc0ff,0xfffffeff,
    0x3fffe04f,0x0001fffe,0xa807fffc,0xffffffff,0x07ffffff,0x7fc1ffff,
    0x7fdc01ff,0x1ffff05f,0x3fffff60,0xffffffff,0x7fff42ff,0x7ffc0001,
    0xffffb00f,0xffffffff,0x3ea05fff,0xffffffff,0x02ffffff,0xffffffc8,
    0xffffffff,0xfff9800c,0x7cc00fff,0x000199df,0x32535dff,0xfecdffff,
    0x3f61ffff,0xffffffff,0x7ffdc4ff,0xfffffdef,0x3ffff23f,0x0dffffff,
    0x3fffff60,0xff305fff,0x4c00ffff,0x3fe605ff,0xffc87fff,0xffffffff,
    0xfffffc80,0xc80fffff,0x9fffffff,0xffd04fff,0xff3dffff,0xffffb07f,
    0x260bffff,0x807fffff,0xfffffffb,0xfffb01ff,0xfff3ffff,0x77fffc09,
    0x40001fff,0xfb00ffff,0xffffffff,0x05ffffff,0x7fc1ffff,0x7ffc01ff,
    0x1ffff03f,0x55ffff10,0xfb555555,0xfffe8bff,0x7ffc0001,0xffff880f,
    0xaaaaaaaa,0xfa85fffd,0xfffffdff,0x00efffff,0x3fffb660,0xfffecdff,
    0xfffb805f,0xffd002ff,0x32000bff,0xff17ffff,0xfbffffff,0x7ff445ff,
    0xdfffffff,0xfffffe80,0x53fff9ef,0xfffb75ff,0x3ae005df,0x402dffff,
    0x00effffb,0x3ffffdf9,0xeffffb80,0xffffda80,0x36a00cff,0x0cffffff,
    0x3bfffee0,0x2209fff1,0x88dffffd,0xfd703fff,0xb805bfff,0x800effff,
    0xdfffffd9,0x7fffdc00,0x409fff0d,0xfffeffff,0x7ffc0001,0xffff880f,
    0xaaaaaaaa,0xff85fffd,0x3fffe0ff,0xdfff9101,0x407fffc0,0x9804fffc,
    0x3fa0ffff,0xaaaaabff,0xf81aaaaa,0xffc80fff,0xfff9804f,0x997ff40f,
    0xeffffffd,0x0a980003,0x801fffc8,0x002dffea,0x00b7fae2,0x1efedc40,
    0x1bffffb3,0xb30bfff1,0x039dfffd,0x6ffffec4,0x323fff88,0x40001982,
    0x09980019,0x5ef76d40,0x00266000,0x40004ccc,0x44000999,0x04c00009,
    0x000cc000,0x980004cc,0x01880019,0x3fffa000,0xaaaaaaab,0xfff81aaa,
    0x4fffc80f,0x0ffff980,0xff07fffc,0x995557ff,0x403fffff,0xff80ffff,
    0xffd001ff,0x7ffff49f,0xffffffff,0xffff84ff,0x01ffff80,0x889fffd0,
    0x0153103d,0xd9800000,0x00000004,0x22000000,0x00000019,0x00000260,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffe80,0xffffffff,0x0ffff84f,0x001ffff8,0xff89fffd,0x3fffe0ff,
    0xffffffff,0x7ffc05ff,0x3fffd40f,0x4ffff700,0xfffffffe,0x4fffffff,
    0x540ffff8,0x2e007fff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffe8000,0xffffffff,0xfff84fff,0x3fffd40f,0x8ffff700,
    0x3fe0ffff,0xffffffff,0xff803fff,0x7ffec0ff,0x3ffe2004,0xfffffd2f,
    0xffffffff,0x1ffff09f,0x004fffd8,0x00bfffe2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd000000,0xffffffff,0xf09fffff,0xffd81fff,
    0x3fe2004f,0x3fffe2ff,0x3fffffe0,0x00bdefff,0x001ffff0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x017bba60,0xfb9fffd8,
    0x1eec82ff,0x1000bdd1,0x80133320,0x64c0cccb,0xeea803de,0x6ee54001,
    0x3333261b,0xcccccccc,0x2bfff301,0x3aa06fff,0xdb005d82,0x2a6000bd,
    0x809bcedc,0xed81ccc9,0x00bbb62e,0x0017bba6,0x201f7754,0x4005eed8,
    0xbdb11eec,0x03775100,0xee87bba0,0x8835001e,0xddd3001a,0x7754000b,
    0xeed8804e,0x82ea8005,0xccc8805d,0xba8800c3,0x9997009b,0x1cddb981,
    0x80199990,0xcc89cccb,0x87bb203c,0xee804eeb,0x3fff2005,0x5fff3001,
    0x7cc0fffe,0x02ffe8ef,0xfb15ddd1,0x7fffc3bf,0x3fffd000,0x77ffffdc,
    0x801bfa00,0xffffffe9,0xfffffa8e,0x2fffffff,0x3eebffb0,0x3be200ff,
    0x2007f910,0x44006fff,0xfffffffd,0x7ffdc2ef,0x3e2fff83,0x7fc402ff,
    0xe8003fff,0xff5005ff,0x7fcc005f,0x402ffe8f,0x1ffffffb,0xff17ffc0,
    0xfff9805f,0x802fd9be,0x04ffffe8,0x01dffd00,0x00fffea0,0x3221df10,
    0xffd3003f,0x4403fd5d,0x1efffffe,0xf51fffe8,0x09ffffff,0xd801ffff,
    0xfff8afff,0xd87ffe05,0x7fcc03ff,0x3fff1004,0xb9ffec00,0x7fdc05ff,
    0x3e204fff,0xffffdcff,0x003fffe0,0xf88ffff4,0x04ffdbff,0x2a005ff7,
    0xffffffff,0xfffffdff,0x2fffffff,0xfd0eff88,0xdff9003f,0x3e001fff,
    0x3ee006ff,0xffffffff,0xff70cfff,0x45fff07f,0x7ec02fff,0x001fffcf,
    0x8003bfea,0x5c006ffb,0x405fffff,0xfffffffc,0x8bffe02f,0x7e402fff,
    0x0fffffff,0xfecffc80,0x7fd4001f,0x7fd4000e,0xeffc8006,0x22000fff,
    0x201efffd,0xffffffe9,0x7fff43ff,0xffffffb9,0x7ffc1fff,0x7ffec00f,
    0x105fff8a,0x1fff8fff,0x8017fdc0,0x22001ffc,0x01bfa4ff,0x0077ffec,
    0xfffffff1,0x0ffff8df,0x23fffd00,0xfff14ffb,0x4401bfa0,0xedffffff,
    0xffffffff,0xffffffff,0xf50ffc82,0x36e2005f,0x36001cff,0xff5005ee,
    0xffbdffff,0x3eebffff,0x1ccc82ff,0xfb807332,0x00dff35f,0x400077f4,
    0x6c002ffb,0x2600efff,0xffeeffff,0x8733206f,0x7fc01ccc,0x03ffda88,
    0xff35ffa8,0x7fec001d,0x5ff70000,0xffdb8800,0x7fdc001c,0x3f600eff,
    0xffffdfff,0x3bfffa0f,0xfffeffff,0x7fffc6ff,0x57ffec00,0xf505fff8,
    0x07ffc4df,0x4003ff60,0x4c4001aa,0x88004cc1,0x7c400999,0x3dacffff,
    0x8007fffc,0xff91fffe,0x2e07ff47,0xff7002ff,0xfffb05ff,0x260001ff,
    0x00026209,0x00000004,0x105ffffd,0x533ffffd,0x000003fd,0x09988331,
    0x000aa880,0x10006aa0,0xfc801333,0x3fff62ff,0x26000002,0x4cc40000,
    0x80026620,0x540000aa,0x0020001a,0x3a73fe20,0xfff106ff,0x1fffec1d,
    0x39fffffd,0x1ffffec4,0xd801ffff,0xfca8afff,0x4c9ff704,0x7ff806ff,
    0x00001800,0x8800c000,0x7c04ffff,0xfd000fff,0x8bff63ff,0x37f41ffe,
    0x2ffff880,0x03ffff60,0x00004000,0x800c0000,0x400ffffb,0x3fa5fffd,
    0x00000000,0x00000000,0x44009800,0x7fc46fff,0x0001006f,0x01000010,
    0x00001000,0x00100001,0xfff982e0,0x42fffa84,0x3fa5fffa,0x3fa04fff,
    0x3fffe6ff,0x17ffec00,0x2aaa67f7,0xfdaacffe,0xff301aef,0xffd9100b,
    0x3ba019ff,0x5ddd505e,0xffffd910,0x3ffe2019,0x7fffc00f,0x3fffd000,
    0xfff8fff2,0x400bfee0,0x5406fffb,0x0000ffff,0x37bffb2a,0x417bba01,
    0xc882eeea,0x80cffffe,0x803ffff8,0xfbaffff8,0xa82f7746,0x3bba2eee,
    0x45ddd505,0xdd505eee,0x82f7745d,0xd982eeea,0x82dfffff,0xfe84fffa,
    0x3fb2a07f,0x95001def,0x003bdffd,0x37bffb2a,0xffd95001,0x32a003bd,
    0x001deffe,0x3bdffd95,0x2f7b2a00,0x3101fffc,0x747fff50,0x7e406fff,
    0x3fffe7ff,0x97ffec00,0xfffb0fe8,0xffffffff,0x3ee09fff,0x7ffd403f,
    0x81ffffff,0xff706fff,0xffffa87f,0x881fffff,0xff807fff,0xffd000ff,
    0x453fee3f,0x037f47ff,0x009fff90,0x0001ffff,0x3ffffffa,0xdfff03ff,
    0x50fffee0,0xffffffff,0x7fff983f,0x3ffff200,0x37ffc1ff,0x3e3fffb8,
    0xfff706ff,0xb837ffc7,0x3ffe3fff,0x87fff706,0xfffffffb,0x7ffdc3ff,
    0x80fffd83,0xfffffffe,0x7fff403f,0x403fffff,0xfffffffe,0x7fff403f,
    0x403fffff,0xfffffffe,0x7fff403f,0x203fffff,0xffffffd8,0x74006fff,
    0x3ffa1fff,0x7ffcc04f,0x01ffff0f,0xfbcfffd8,0x3ffff63f,0xffffffff,
    0x3ffb04ff,0x7ffffcc0,0x40ffffff,0xff706fff,0x7fffcc7f,0x0fffffff,
    0x4037ffc4,0xd000ffff,0x3fe23fff,0x2e5ffdbf,0x3f6002ff,0xffe803ff,
    0xaaaaaabf,0xffffd81a,0x84ffffff,0xff706fff,0x7fffcc7f,0x0fffffff,
    0x8017ffea,0x80dffffa,0xff706fff,0x837ffc7f,0x3fe3fffb,0x7fff706f,
    0xfb837ffc,0x3ffe63ff,0xffffedef,0x20bfff21,0x7ec1fffc,0xffffffff,
    0xffffb04f,0x09ffffff,0x3ffffff6,0xfb04ffff,0xffffffff,0x3fff609f,
    0x4fffffff,0xffffffb0,0x3a09ffff,0xffffffff,0x6cc01fff,0x7f43ffff,
    0x7fc403ff,0x1ffff1ff,0xfffffd80,0x7ee65c2e,0xfffcccef,0x0fff02cc,
    0x32dfffe8,0xff87fffb,0x7fff706f,0x996ffff4,0x7c43fffd,0xfff806ff,
    0xfffd000f,0x7ffffe43,0x001bfe0f,0xb005fffd,0xffffffff,0xffd89fff,
    0xffda8cff,0x37ffc1ff,0x3a3fffb8,0xfb32dfff,0x7ffdc7ff,0x3ffe6004,
    0x41bffe07,0x3fe3fffb,0x7fff706f,0xfb837ffc,0x1bffe3ff,0xf91fffdc,
    0xfff981ff,0x20bfff25,0x3f62fffc,0xfda8cfff,0x7fec1fff,0xffda8cff,
    0x7ffec1ff,0xfffda8cf,0x7fffec1f,0xffffda8c,0x67fffec1,0x1ffffda8,
    0x467fffec,0x41ffffda,0xcaeffffc,0x403fffff,0xe82ffffc,0x7c402fff,
    0xffff1fff,0xcfffd801,0x24ffc800,0x7cc06ff9,0x3ffea05f,0x44eff986,
    0xff706fff,0x1bffea7f,0xf113bfe6,0xfff00dff,0x3ffa001f,0x677ed41f,
    0x000bfee0,0xb003ffff,0xffffffff,0x7fc49fff,0xfffb80ff,0xb837ffc6,
    0xfff53fff,0x49dff30d,0x2003fffd,0xf00ffff8,0x3fee0dff,0x41bffe3f,
    0x3fe3fffb,0x7fff706f,0xfb837ffc,0x3fff63ff,0xffd81a82,0x3fffc82f,
    0x701ffff1,0x7fc4dfff,0xfffb80ff,0x03fffe26,0xf89bffee,0xffb80fff,
    0x3fffe26f,0x26fffb80,0xb80ffff8,0x3fe66fff,0x7fec42ff,0x7ffec05f,
    0x7fff40cf,0x2ffff801,0xd801ffff,0xfb002fff,0x027fdc5f,0xfb80ffee,
    0x7c0103ff,0xfff706ff,0x40fffee7,0x1bffe200,0x003fffe0,0x000ffff4,
    0xdfd71bfe,0x2fffe819,0xfffffd80,0x24ffffff,0x3a03fffa,0x3ffe0fff,
    0x27fff706,0x0103fffb,0x8013fff2,0x3e07fff9,0xfff706ff,0xb837ffc7,
    0x3ffe3fff,0x47fff706,0xff706fff,0x7fffdc7f,0x3f600bdf,0xfffc82ff,
    0x407fff53,0xff50fffe,0x7fff407f,0x407fff50,0xff50fffe,0x7fff407f,
    0x407fff50,0xff50fffe,0x7fff407f,0x20dfff70,0x5c07fffa,0x22ffffdb,
    0xf801fffe,0xffff2fff,0x2fffd803,0x6c3fff00,0x7fec03ff,0x0bfff201,
    0x41bffe00,0xff93fffb,0xff10005f,0xffff00df,0x3fffa001,0x8bfee001,
    0x0efffffd,0x200ffff6,0x2000fffe,0x3602fffc,0x3ffe1fff,0x27fff706,
    0x4002fffc,0x2005fffb,0x3e06fffa,0xfff706ff,0xb837ffc7,0x3ffe3fff,
    0x47fff706,0xff706fff,0x7fffc47f,0x40beffff,0xfc82fffc,0x5fff92ff,
    0xc8fffec0,0x3f602fff,0x5fff91ff,0xc8fffec0,0x3f602fff,0x5fff91ff,
    0xc8fffec0,0x3f602fff,0x9fff91ff,0x07fffe20,0xd37ffc40,0xff003fff,
    0x3fffa3ff,0x17ffec01,0x3fff3310,0x335ffd33,0xd80ffd01,0xf8001fff,
    0xfff706ff,0x007fff67,0x01bffe20,0x4003fffe,0x2001fffe,0x3bfea6ff,
    0x3f23ffda,0xfff804ff,0x3ff6000f,0x3fff201f,0x5c1bffe2,0xfffb3fff,
    0xfffa8003,0x3ffee006,0x41bffe05,0x3fe3fffb,0x7fff706f,0xfb837ffc,
    0x1bffe3ff,0x261fffdc,0xffffffff,0x3fff22ff,0xb1fffc82,0x7e403fff,
    0x3fffb2ff,0xd97ffe40,0x3f201fff,0x3fffb2ff,0xd97ffe40,0x3f201fff,
    0x3fffb2ff,0xd97ffe40,0x3f602fff,0x3f6002ff,0x3fffd1ff,0x23ffff00,
    0x7401fffe,0x3f602fff,0xffffffff,0x444fffff,0x7fec05ff,0xfff8002f,
    0x27fff707,0x8002fffd,0xf806fff8,0xdcba8fff,0x00fffe80,0x7ec5ff70,
    0x5cdff53f,0x7cc06fff,0x32000fff,0x3f601fff,0x1fffe1ff,0xfd9fffdc,
    0x7cc002ff,0xfd001fff,0x7ffc09ff,0x47fff707,0xff707fff,0x83fffc7f,
    0x3fe3fffb,0x7fff707f,0x3ffff6a0,0xff70ffff,0x1fffb07f,0xd807fff2,
    0xfff91fff,0x8fffec03,0x3601fffc,0xfff91fff,0x8fffec03,0x3601fffc,
    0xfff91fff,0x8fffec03,0x3a02fffd,0x2a001fff,0xfffd4fff,0x3ffff003,
    0xd007fffa,0x7ec03fff,0xffffffff,0x544fffff,0x7fdc03ff,0x8157703f,
    0xff907fff,0x0fffee7f,0x3e2055dc,0xfff806ff,0x82fffd8f,0x3e007fff,
    0x88fff46f,0x3ffe67ff,0x3fff201f,0x3fea000f,0x3fffa03f,0x641fffe0,
    0xfff73fff,0xd02aee07,0xf700dfff,0x7fc03fff,0x7fff907f,0xfc83fffc,
    0x1fffe3ff,0xff1fffe4,0x3fff20ff,0xffeb9803,0x9fff52ff,0x7d4fffd0,
    0x3ffa03ff,0x07fff50f,0xfa87fff4,0x3ffa03ff,0x07fff50f,0xfa87fff4,
    0x3ffa03ff,0x07fff50f,0xfb87fff4,0xfff303ff,0x03b72e1f,0x7f53fff2,
    0x7fcc01ff,0x9fffb0ff,0x07fffc40,0xddfffd90,0xddddfffd,0x401ffc87,
    0xf986fffa,0x7fff47ff,0x53fffe80,0xff30dfff,0x379930ff,0xc8ffff80,
    0x7fcc4fff,0x5ff7007f,0x3fe0ffe8,0x3bfffa0f,0xfffffa80,0x3ffe2000,
    0x8dfff506,0xfe80fffe,0xdfff53ff,0x98ffff30,0x2a05ffff,0x7404ffff,
    0xffe80fff,0x03fffa3f,0xfe8ffffa,0xfffe80ff,0x203fffa3,0x2ea3fffe,
    0x7fff905c,0xf31fffe2,0x7ffc4bff,0x4dfff506,0xf506fff8,0x7ffc4dff,
    0x4dfff506,0xf506fff8,0x7ffc4dff,0x4dfff506,0xf506fff8,0x7ffd4dff,
    0x6fffb80f,0x3e0ffff2,0xfffd2fff,0x7fffb803,0x407fffee,0xf007fffc,
    0x1ffec1ff,0x2003ffa0,0xb32dfffe,0xffd89fff,0x7fffe44f,0x4b7fffa3,
    0xa84fffd9,0x3e03ffff,0xfffa8fff,0xffffbaef,0xb0dff005,0x1ffe63ff,
    0x57dffff3,0xffffff97,0x55555557,0x77fff435,0x5ffff913,0x644fffd8,
    0x3fa3ffff,0xffb32dff,0xffffb09f,0xffb7357d,0xfd801fff,0x7ffe44ff,
    0x13fff63f,0x6c7ffff9,0x7fe44fff,0x3fff63ff,0x1ffffe44,0xfb05ffff,
    0x7ffe43ff,0x1fffe88c,0x89f7fff4,0x742ffffc,0xf913efff,0xffe85fff,
    0xfff913ef,0xefffe85f,0x5ffff913,0x13efffe8,0xe85ffff9,0xf913efff,
    0xffd85fff,0xfff933ef,0x7fffd45f,0x1ffffb32,0x7507fffa,0x49ffff53,
    0xadfffff8,0x4ffffdb9,0x747ff880,0x3fe201ff,0xffff5006,0x1fffffff,
    0xdeffffb8,0x23ffffff,0xfffffffa,0x2600ffff,0xfff00ffe,0x3ffffa1f,
    0x00efffff,0xfc82ffb8,0xb0dff52f,0xffffffff,0xfffffdff,0xbfffffff,
    0x7fffff44,0xb85fffff,0xffdeffff,0x3ea3ffff,0xffffffff,0xffe880ff,
    0xffffffff,0xfb802fff,0xfffdefff,0x3fee3fff,0xffffdeff,0x3ffee3ff,
    0xfffffdef,0x3fffee3f,0xffffffde,0x3bfffee3,0x46ffffdc,0xfffffff9,
    0xffe886ff,0xffffffff,0xffffe885,0x85ffffff,0xffffffe8,0xe885ffff,
    0xffffffff,0xffe885ff,0xffffffff,0xffffe885,0x85ffffff,0xfffffff8,
    0xfd85ffff,0xffffffff,0x07fffa2f,0xfffffffd,0xfffffc81,0xffffffff,
    0x25ffa800,0x7d407ff8,0x3fee004f,0x1fffffff,0xffffffd0,0xb87fff3d,
    0xffffffff,0x3ff4401f,0x261ffff0,0xffffffff,0x0dff001f,0x3fafffe6,
    0xfffd883f,0xfacfffff,0xffffffff,0x7f445fff,0xcfffffff,0xfffffd00,
    0x87fff3df,0xfffffffb,0x7fe401ff,0xffffffff,0x3ffa000e,0xff9effff,
    0x7ffff43f,0x3fff9eff,0x7ffffff4,0x743fff9e,0x9effffff,0x7fe43fff,
    0xffffffff,0xfffffa80,0xfd101fff,0x9fffffff,0x3fffa201,0x00cfffff,
    0xffffffd1,0x3a2019ff,0xffffffff,0xfffd100c,0x019fffff,0x3fffffa2,
    0xf500cfff,0xffffffff,0xfffd101b,0xe89fffff,0x3fe61fff,0x703fffff,
    0xffffffff,0x32003dff,0x1bfe64ff,0x8005ff90,0xdfffffd9,0x3fff6200,
    0x3fff88df,0xfffffd98,0xffefa80d,0x3ffe03ff,0x3fff620f,0xf7001dff,
    0x7ffe405f,0x7f5405ff,0xff53efff,0xffffffff,0xfb710bff,0x8805dfff,
    0x88dffffd,0xfd983fff,0x000dffff,0xfffffdb3,0xfb10007d,0xff11bfff,
    0xfffd887f,0x3fff88df,0x6ffffec4,0x443fff88,0x88dffffd,0xfda83fff,
    0x00cfffff,0x37ffffa6,0x7fedc400,0xb8802eff,0x02effffd,0xffffdb88,
    0xfdb8802e,0x8802efff,0x2effffdb,0xfffdb880,0xfc8802ef,0x802effff,
    0x1efffffb,0x261fffe8,0x03dfffec,0x7ffffecc,0x7ec004ef,0x013fee2f,
    0x40001ffd,0x09800199,0x00ccc000,0x06fbbba6,0x04d4c000,0x2017b600,
    0x4003ceca,0x00000099,0x26000330,0x0ccc0000,0x004cc000,0x00013000,
    0x1300004c,0x0004c000,0x00026660,0x4c000331,0x00cc0001,0x00006600,
    0x19800033,0x000cc000,0x20003510,0x10000198,0x2a600013,0x2aaa0001,
    0x5006aa60,0x00000055,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x776c0000,
    0x200bbb22,0x0005eee9,0x8809ddd5,0x0000eeed,0x33330006,0x00333333,
    0x359bd971,0xb8fbb200,0x414c04ee,0x776c402a,0x774c000d,0x7776c05e,
    0x76dcc001,0xeea800bc,0x0007bb24,0x4bbae001,0x5c00ded8,0x1bdb12ee,
    0x77764000,0x17bba002,0x40177754,0x4402bba8,0x800ec84e,0x01cdedc9,
    0x363eeb80,0x971001ee,0x40379bdd,0x3202eeeb,0x00401eee,0x3772a600,
    0x040001ac,0x200bd500,0x2a6005e9,0x7f400abc,0x00fffa3f,0x013ffffa,
    0x003bffa0,0x800fffe6,0xcffffec8,0x3fffea00,0x00ffffff,0xffffffb1,
    0xfd801dff,0x417ff24f,0xbacfffe8,0x7ffec04f,0x7fec005f,0x7ffc400f,
    0xfffd1004,0xb005ffff,0x0bff75ff,0x3f667ddb,0x3e202eff,0x03ffd9ff,
    0xfd9fff88,0x3e20003f,0x7fc004ff,0x7fff706f,0x7fffec40,0x87fa01ef,
    0xffc805fa,0x004fffff,0xffc9ffe8,0xfffd8804,0x1dffffff,0x206fff98,
    0xfb307fff,0x3bb63bff,0xffffb104,0x7409ffff,0xfffb53ee,0x3ffcc01b,
    0x9802fd80,0xcffffffe,0x747ffd00,0x7fe403ff,0x2002ffec,0x2000eff9,
    0xf5007ffa,0xffffffff,0x3ffff203,0x80ffffff,0xfffffff8,0x202fffff,
    0x3ff24ffd,0xfffff705,0x7dc05fff,0x003ffddf,0x2003fff1,0xd800fff9,
    0xffffffff,0x7ffc401f,0xfff80fff,0xffffffac,0x3ffea03f,0x3ea006ff,
    0x0006ffff,0x4002ffe4,0xff706fff,0x3ffe607f,0x01ffffff,0x3ffffff5,
    0xfffffb80,0x4003ffff,0x06fffff9,0xffffff98,0x1fffffff,0xa80fffe8,
    0xffb84fff,0xff9fffff,0xffffa85f,0xefffffff,0xfbcfff80,0x41efffff,
    0x807fffd9,0xff8806fa,0x5fffffff,0x65c59970,0x5bfea02c,0xb000fff9,
    0xf50001ff,0xfff9807f,0xffffffff,0xfffffd80,0x440fffff,0xefffffff,
    0x02ffffff,0x66545995,0xb513fb02,0x7fcc09ff,0x01fff88e,0x4001ffc8,
    0x7dc04ff9,0xffeaaeff,0xfffa804f,0xfffff02f,0xfffffdff,0x7fffe401,
    0x7ffe4000,0x3e20000f,0xfff0005f,0x0fffee0d,0x7efffffc,0x36a06fff,
    0xff801cff,0xfffd32ff,0xffff7000,0xffff9803,0xffffdeff,0x7fdc0fff,
    0x1fffd83f,0x7fffffcc,0x45ffffff,0xdffffff9,0x85ffffff,0xffffffff,
    0x360fffff,0xe807ffff,0xfffe801f,0x3ffffddf,0x99880000,0x40026620,
    0x260001aa,0x7fff401a,0x7fffb32d,0x555dfff0,0xff705555,0xffa83bff,
    0x800006ff,0x33100018,0x4004cc41,0x530001aa,0x1fffd805,0x4013ffea,
    0x3fe01999,0x3fe62fff,0x4ccc02ff,0x13330000,0x0aa88000,0x0dfff000,
    0x2e0fffee,0x3fa0dfff,0x000401ff,0xfa8bfff1,0x998000ff,0xfffe8009,
    0xfffc983f,0x37ffc44f,0x7f437ffc,0xffd52eff,0xfffe8bff,0x7ffecc1e,
    0x7ffffc1f,0xffffc89d,0x03fecf23,0x3e2017ee,0x3fe60fff,0x0000805f,
    0x00200004,0xff500100,0x9dff30df,0x003fff88,0x1037fff4,0x3007ffff,
    0x00660003,0x98000cc0,0x00330001,0xffa8ffff,0x0066002f,0xf907ffff,
    0x001007ff,0x18800000,0xff800440,0x7fff706f,0xb81fffd0,0x0cc01cde,
    0x41ffff00,0x20007ffd,0xffff7000,0x7fffe803,0x2a0fffd8,0x7fcc3fff,
    0xbfffd07f,0x0077ffdc,0xff8bfffd,0xfff983ff,0x440ffb07,0xff9800ff,
    0x07ffe84f,0x19dfffb3,0xdfffb300,0xffb30019,0xb30019df,0x7019dfff,
    0x80207fff,0x4002fff9,0x6c01fdba,0xfc887fff,0x00cfffff,0xffffff91,
    0x3ff22019,0x100cffff,0x9ffffff9,0x3fff2201,0xff80cfff,0x07fff46f,
    0xfffff910,0xffff819f,0x03fffb80,0x3bdffd95,0xa82f7740,0xfeb82eee,
    0xc88cffff,0x201cefff,0xff706fff,0x5fff987f,0xfffc8800,0x3600cfff,
    0xfff75fff,0xffd9800b,0xffd00cef,0x7bd1009f,0x47fff505,0x7dc0fffd,
    0xfff504ff,0x01ffffcb,0xff06f7ea,0x3ffa01ff,0x207fd80f,0xff1004fc,
    0x0bffd09f,0xfffffff9,0x7ffe405f,0x202fffff,0xfffffffc,0x3fff202f,
    0x642fffff,0xb8002fff,0xaccaafff,0x3ea00000,0x3fe20fff,0xefffffff,
    0x7ffffc40,0x440effff,0xffffffff,0x7ffc40ef,0x0effffff,0x7fffffc4,
    0x7fc0efff,0x17ffe66f,0xffffff88,0x3fe0efff,0x9fff507f,0xffffffd0,
    0x3ffe07ff,0x87fff706,0xfffffffc,0xffffffff,0xdfff03ff,0x50fffee0,
    0x00cc7fff,0x3fffffe2,0xf100efff,0xffffdfff,0x7ffe4003,0x4c2fffff,
    0x0000ffff,0x7cdfff10,0xfffc85ff,0x2bfff302,0x0007fff8,0x3607fff8,
    0x7fd81fff,0x4001ff10,0x7fcc7ffe,0x7fffdc3f,0x81ffffff,0xfffffffb,
    0xffb81fff,0xffffffff,0xfffffb81,0x361fffff,0xc8001fff,0xffffffff,
    0x3e00002f,0x3ffa2fff,0xfffffeff,0x77ffff45,0x745fffff,0xfffeffff,
    0x7fff45ff,0x5fffffef,0x7f7ffff4,0x7fc5ffff,0x07fff26f,0xfeffffe8,
    0x3fe5ffff,0x9fff507f,0xffffffd8,0xff84ffff,0x7fff706f,0x7fffffcc,
    0xffffffff,0xf82ffffe,0xfff706ff,0xbafffb87,0xfd04ffff,0xffffdfff,
    0x7ffdc0bf,0x2001efff,0xfffffffb,0x3fea1fff,0x6400006f,0xfffa8fff,
    0x02fffd82,0x3e6bfff1,0xf80006ff,0x3ff206ff,0xb07fd82f,0xff98007f,
    0xefffddff,0x2ffffe20,0x45fffb88,0x88bffff8,0x7c45fffb,0xfb88bfff,
    0x7ffc45ff,0xfffb88bf,0x00bfff65,0x3fffffa0,0x642fffff,0xffffffff,
    0xffffffff,0x1bfff53f,0xf53fffd4,0x7fd41bff,0x37ffea7f,0xa9fffea0,
    0x3ea0dfff,0x3ffea7ff,0x1fffea0d,0x7ffcdfff,0xbfff500f,0xf3fffd41,
    0x3fea0fff,0x3ffff64f,0xffffda8c,0xb837ffc1,0xfff13fff,0x7fffd43f,
    0x3fffa23f,0xc83fffc0,0x7fe43fff,0xffffffef,0x37ffea0e,0x81fffea0,
    0x0dfffffc,0x3fffe200,0x5fffb88b,0x0017ffee,0x97fff300,0xff901fff,
    0x3ffe605f,0x00bfff55,0x40ffff00,0xfd81fffc,0x0006f987,0xffffffd1,
    0x09fff909,0x7e43fffb,0xfffd84ff,0x213fff21,0x3f21fffd,0xfffd84ff,
    0x207fff71,0x7ffc0abb,0xffffcbdf,0x3ffff60f,0xffffffff,0x264fffff,
    0x7ffe80ca,0x7f40654c,0x40654c7f,0x654c7ffe,0x4c7ffe80,0x7ffe80ca,
    0xfff37ffc,0x0654c09f,0xfff3fff4,0x53ffea0f,0xb80ffff8,0x7ffc6fff,
    0x47fff706,0xffd81ba8,0x3fff885f,0x7407fff4,0x7fec3fff,0xfffdffff,
    0x40654c5f,0xfd887ffe,0x00ffffff,0x213fff20,0xff91fffd,0x3ffea09f,
    0xd03fffff,0x09fffdff,0x540fffee,0xfff95fff,0xfff00009,0x3fff601f,
    0xfe85ec80,0xffd30002,0xd81bffff,0xffa81fff,0x07fff63f,0xfd8fffea,
    0xfffa81ff,0x207fff63,0xff53fffa,0xffff30df,0x221f6e44,0x3f24fffe,
    0xffffffff,0xffffffff,0xffeb8804,0xfeb8800f,0xeb8800ff,0xb8800fff,
    0x8800fffe,0x3e0fffeb,0x3fff26ff,0x75c4004f,0xffff0fff,0x553ffea0,
    0x3fa03fff,0x1bffe0ff,0x401fffdc,0x03fffeb8,0xffd8dffd,0x3fff224f,
    0x7fffec3f,0x0bfffa24,0x3fffae20,0x3bfffa60,0x3366ffff,0x1fffd80a,
    0xf73fffa8,0x3fea0bff,0x03ffffff,0x3ffffff7,0x41bffe60,0xff75fffe,
    0xff0000bf,0xfff109ff,0x06fa800f,0xff503fee,0xdfffdbff,0x667fff43,
    0x3fffcccc,0x3333fffa,0x23fffccc,0xccccfffe,0x3a3fffcc,0xcccccfff,
    0x3fa3fffc,0xffb32dff,0xffb8009f,0x3bffee5f,0xaaaaaaaa,0x883fffea,
    0xffffffdb,0xffdb880f,0x880fffff,0xffffffdb,0xffdb880f,0x880fffff,
    0xffffffdb,0xb1bffe0f,0x4407ffff,0xffffffdb,0x20ffff0f,0xff94fffa,
    0x7ffec05f,0x5c1bffe1,0xdb883fff,0xefffffff,0xfffeeeee,0x7ffffe47,
    0x3ffffffd,0x207fffe4,0xb884fffb,0xfffffffd,0x237fff60,0xf9cffff9,
    0xfffe84ff,0xffcccccc,0x0dfff33f,0x3fffffea,0xfff103ff,0xffe80fff,
    0xfffd31df,0x1bffeabf,0x3fffe000,0xfffd50cf,0x01fe8009,0x7c41fff3,
    0x3fea1eff,0x3ffffe6f,0xffffffff,0x3fffffe4,0x4fffffff,0x3ffffffe,
    0x24ffffff,0xffffffff,0x2a4fffff,0xffffffff,0x44000fff,0x3fe67fff,
    0xffff006f,0x7ffff445,0x20ffffff,0xffffffe8,0x3a20ffff,0xffffffff,
    0x3ffa20ff,0xffffffff,0x3ffffa20,0x20ffffff,0x7f446fff,0x7f441fff,
    0xffffffff,0x20ffff0f,0xffb4fffa,0x7ffe403f,0x5c1bffe2,0x3f623fff,
    0xffffffff,0xffffffff,0xfffe87ff,0xfff9efff,0x42fffdc3,0x3a25fff9,
    0xffffffff,0xdfff10ff,0xfeffffb8,0xffff81ff,0xffffffff,0x41fffe4f,
    0xffdaaaa8,0x3fff603f,0x7ffd404f,0xfffffeff,0x0dfff35f,0x7ffc02a0,
    0xfffeffff,0x3ee000ff,0x1ffff105,0x6c1fffd4,0xffff1fff,0xdddddddd,
    0x77fffc9d,0xeeeeeeee,0x3bbfffe4,0x4eeeeeee,0x3bbbfffe,0x44eeeeee,
    0xfffffffb,0xf88001ff,0x3ffe27ff,0x7ffcc00f,0xdffff10f,0x1fffb159,
    0x33bfffe2,0x10fffd8a,0x159dffff,0x3e21fffb,0xd8acefff,0xfff10fff,
    0xffb159df,0x437ffc1f,0x226fffe8,0x8aceffff,0xfff0fffd,0x53ffea0f,
    0x3601fffc,0x3ffe1fff,0x27fff707,0xadffffe8,0xeeefffd8,0x86eeeeee,
    0x8cffffd8,0x7d43fff8,0xdfff05ff,0x33bfffe2,0x50fffd8a,0xffb07fff,
    0x3e0dffff,0xeeeeefff,0x3f64eeee,0xff9003ff,0x7ffd407f,0xfffc801f,
    0xfffcffff,0x03ffff15,0x7c3effa8,0xffffceff,0x22002fff,0xfdfd00ff,
    0x07ffe41f,0xfe9fffd4,0x7f4001ff,0x7f4001ff,0x7f4001ff,0xb30001ff,
    0x01bfffff,0xf5039753,0xfffe8dff,0x37ffec04,0xfd07fff9,0x3fff21ff,
    0x90fffe83,0xffd07fff,0x0ffff21f,0x7e43fffa,0xfffe83ff,0x441bffe0,
    0xff91fffe,0x1fffd07f,0x7d41fffe,0x7fff54ff,0xf07fff40,0x3ff20fff,
    0x1bfff53f,0x003fffd8,0x37cc0980,0x987fff98,0xfff95fff,0x21fffd07,
    0xfd02fffc,0x3a05ffff,0x64001fff,0xf9007fff,0x7fd407ff,0x3fea006f,
    0xfff99eff,0x017fffa5,0xff8dfffd,0xdffff76f,0x04fc8001,0x41ff5bfb,
    0xfb81fffd,0x9fffb3ff,0x6c135950,0xaca84fff,0x13fff609,0xfd826b2a,
    0x9aca84ff,0x077fae00,0xc85fffb8,0x7fd44fff,0xfff502ff,0x07fff47f,
    0xfe87fffc,0xffff80ff,0xf01fffd0,0x3ffa1fff,0x0ffff80f,0xff01fffd,
    0x37ffc1ff,0x3a5fff70,0xfff80fff,0x3799300f,0x837ffc40,0x7f46fffa,
    0xfffe80ff,0xd03fff93,0x7910dfff,0xbf500015,0x217fff40,0xffd4fffb,
    0x1ffff01f,0x4c17ffee,0xb02fffff,0x59509fff,0x7fffcc13,0x3ffee00e,
    0x3fffa03f,0x20988003,0x3e65fff9,0xff503fff,0x6fff87ff,0xf98000c4,
    0xf56fb80f,0x27ffe41f,0xf997ffec,0x3fe22fff,0x3ffe60ff,0x3fffe22f,
    0x8bfffe60,0x260ffff8,0x3e22ffff,0xbd100fff,0x3e205ffd,0xff70bfff,
    0xfff901ff,0xffb537ff,0xfffe8dff,0x87fffe42,0x7e42fffe,0xfffd0fff,
    0x0ffffc85,0xfc85fffd,0xfffd0fff,0x0ffffc85,0x0d99bffe,0x3fa5fffb,
    0x7ffe42ff,0xffff500f,0x77fff405,0x5ffff913,0x644fffd8,0xff93ffff,
    0xffffa87f,0x1fffec3f,0x703fdc00,0x3aa5dfff,0xfffd1fff,0x0ffffc85,
    0x217ffff3,0xffffffb8,0xffff984f,0x03fffe22,0x59fffff7,0xffffd953,
    0x7ed4c47f,0x00000fff,0xfc8bfff3,0xeb9adfff,0x7c0fffff,0x200006ff,
    0xbff983fd,0xf51bffca,0x3ee25fff,0x3ff60fff,0xffffdeff,0xeffffd82,
    0xd82ffffd,0xffdeffff,0xfffd82ff,0x2ffffdef,0xc81bfa00,0xffffffff,
    0x3ffa04ff,0xffffffff,0x7ffe40ef,0xffffecdf,0xbffff91f,0x3fffffd9,
    0x337ffff2,0x91fffffe,0xfd9bffff,0x3f23ffff,0xffecdfff,0x3ffe1fff,
    0xffffff96,0x3fff21ff,0xffffecdf,0x37f4c01f,0xfffffd10,0x70bfffff,
    0xffbdffff,0x3ee7ffff,0xffebdfff,0xfdffffff,0x30005fff,0xf83339ff,
    0xffffffff,0x3ffff24f,0xfffffecd,0x3fffff61,0xffffffff,0xffd86fff,
    0xffffdeff,0xfffffb02,0xffffffff,0x7ffec1bf,0x00004fff,0xd117ffe6,
    0xffffffff,0xff03ffff,0x2a0000df,0xffff506f,0x7ec9ffff,0xffffffff,
    0xffffd83f,0x3605ffff,0xffffffff,0x3ffff605,0x3605ffff,0xffffffff,
    0x17fe6005,0xffffffd0,0xfe8809ff,0xffffffff,0xffff880e,0xfffdffff,
    0xffffff12,0x25fffbff,0xfffffff8,0xf12fffdf,0xbfffffff,0x3fe25fff,
    0xfdffffff,0x5bffe2ff,0xfffffff9,0x3ffffe22,0x2fffdfff,0x203ffc40,
    0xffffffe8,0xffd00cff,0xff3dffff,0x7ffff47f,0xffccffff,0x0fffffff,
    0x3fffa000,0x7fff4c4f,0x220effff,0xffffffff,0x3622fffd,0xffffffff,
    0x3fffeadf,0xffffffb0,0xffb80bff,0xffffffff,0xfffc82ef,0x400005ff,
    0xf905fff9,0xffffffff,0x1bffe05f,0x817f4000,0xffdcccc9,0x3fffa22c,
    0x205fffff,0x2dffffeb,0xffffeb80,0xffeb802d,0xeb802dff,0x402dffff,
    0x1ffffefc,0xfffffa80,0x3fea002e,0x402effff,0x8dffffd9,0x3665fff8,
    0xf88dffff,0x3ff665ff,0xfff88dff,0x3ffff665,0x25fff88d,0x8dffffd9,
    0x3fe5fff8,0x3fff666f,0xfffd982f,0x5fff88df,0x7ffff7dc,0xffdb8802,
    0x6c402eff,0xf88dffff,0x3ff223ff,0x3660dfff,0x01dfffff,0x6f7e4c00,
    0xffffd882,0xfffb303f,0xbfff11bf,0xfffffd50,0x404fc85d,0x2dffffeb,
    0xfffd7100,0x5c079dff,0x0003dffe,0x05fff980,0x3fffff6a,0x3ffe00cf,
    0x5fb80006,0x807fd400,0x2ffffffb,0x80006600,0x06600019,0x20019800,
    0x00bdeeda,0x0000cc40,0x00026a62,0x31000331,0x03310003,0x00033100,
    0x40000331,0x19880098,0x6f775400,0x0330000b,0x20002600,0x99800998,
    0x00000009,0x44002620,0x54c00019,0x26000c01,0x54c40001,0x00000001,
    0x02ccc880,0x20013510,0x80003ccc,0x64c001ed,0x00998804,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05999100,0x33bbb2a0,0x7999000b,
    0x017b6000,0xceeeca80,0xcccc800b,0x0e665c00,0xe9802f54,0x36ea2005,
    0x4c002cde,0x000cdedb,0x2002b2a6,0x2000bca8,0x2a0001ed,0x54c02ccc,
    0x001bcedc,0x0007332a,0x80015555,0x70004ccc,0x66407ddd,0x0555544c,
    0x200d5544,0x2003eee9,0xbccccccb,0x540009aa,0xd880d441,0x77540eee,
    0x4dddb02e,0x99954ccb,0xccccb800,0xcccccccc,0x903ccccc,0xdddddddd,
    0xd909d103,0x0d441a81,0x4c4eeea8,0x4c003ccc,0x7e404fff,0xffffffff,
    0x3ffe200d,0x1ffb0006,0xffffc800,0x00dfffff,0xb003fffe,0xff985fff,
    0x005fb007,0x3fffffee,0xfd803fff,0x03ffffff,0x7fffff4c,0xffff500e,
    0x0bf7009f,0x4fffb800,0xfffffd30,0xb003dfff,0xe8007fff,0x7c002fff,
    0xf88007ff,0x7ffc05ff,0x417fff47,0x4c04fff9,0x3a004fff,0xffffffff,
    0xf9803fff,0x2fd9beff,0x8bffffb0,0xfd03fffb,0xcbfff4ff,0x3e2007ff,
    0xffffffff,0xffffffff,0xffffb06f,0x3a03ffff,0xf997ea1f,0x3fc9beff,
    0xa81dffd0,0x4c006fff,0xfd304fff,0xfb737bff,0x3e205fff,0xf70006ff,
    0x3fa6005f,0xfda9bdff,0xfff02fff,0xfffd801f,0x0ffffb32,0x3600df50,
    0xffffffff,0xfb104fff,0xffffffff,0x3fffea07,0xe81fffff,0x00ffdadf,
    0x00007fe2,0xf709fff7,0xffffffff,0xfd809fff,0x7f4003ff,0x7fc002ff,
    0xffb8007f,0x47fff805,0xf982fffe,0x7fcc04ff,0x3ffa004f,0xffffffff,
    0x3f201eff,0x0fffffff,0xffddffb8,0x40fffee3,0x3ffa7ffe,0x400fff97,
    0xfffffffc,0xffffffff,0x99706fff,0x01999999,0x3fffffea,0x3fffff21,
    0xff981fff,0x6fffa80e,0x27ffcc00,0x200fffcc,0xf882ffe9,0xf30006ff,
    0xfff3009f,0x2ffe9803,0x400ffff8,0xffb2fffd,0x3fd00fff,0xfffff700,
    0xfffffd9b,0x9ffff703,0x81ffffb5,0xfeffffe8,0x1ba86fff,0x7e403ff5,
    0xffb80004,0x7fffd44f,0xffffdeff,0x3ff605ff,0x3fa0043f,0x7fc002ff,
    0xeff8007f,0x47fff800,0xf982fffe,0x7fcc04ff,0x3ffa004f,0xffffffff,
    0xff00ffff,0x20fbf6a2,0xfe88fff8,0x07fff71f,0xffe9fffa,0x200dff97,
    0xfdcffff8,0xffffffff,0x0006ffff,0x39ffb500,0xfda88fe8,0x01ffb03f,
    0x001bffea,0xe889fff3,0xfd1001ff,0x6fff881f,0x01bfe000,0x2003ffd1,
    0x7fc0ffe8,0x7fec00ff,0x1ff6792f,0x3a00bf70,0xff982fff,0xfffe85ff,
    0x217ffec0,0xd30cfffb,0x3a205fff,0x3fe204ff,0xffb80000,0x3fffe24f,
    0xfffe882f,0x7fffb02f,0x3ffa03cc,0x7ffc002f,0x05544007,0x747fff80,
    0xdc882fff,0x2000004f,0xd981fffe,0x1304ffff,0x20998800,0xfff70998,
    0xe9fffa07,0x802fc7ff,0xff54fffb,0x080000bf,0x04c01000,0x500d5400,
    0x4080dfff,0x7ec4fff9,0x3ffb221f,0x11bfa21c,0x0010dfff,0xfd803ff6,
    0xeeeee99f,0x1bfa21ce,0xd801ffff,0x7fd82fff,0x2003fe20,0x2e06fff8,
    0x7fc47fff,0x2defa85f,0x2e0fffec,0xff506fff,0x01fec09f,0x4fffb800,
    0x003ffff6,0x360dfffb,0x0ff73fff,0x002fffe8,0x0003fffc,0x1fffe002,
    0x6405fffd,0x2ccb803f,0x07fffa00,0x01ffffa8,0x5c000020,0xffd03fff,
    0xf53fff4f,0x3fffe009,0x00bfff50,0xdffd9500,0x0000003b,0x7fd40400,
    0xfffea86f,0x24fff98d,0x3fa21ff8,0x221fffff,0x3ffe21ff,0x1bfffd56,
    0x8817fdc0,0xffff31ff,0x7c43ffff,0x03fffe1f,0xb05fffb0,0x027e40ff,
    0x01ffff88,0xf8855591,0xff8005ff,0xffff887f,0x4ffa9880,0x00006f98,
    0xff93ffee,0xff8803ff,0xfffd83ff,0x7407ffcb,0x7c002fff,0x776c07ff,
    0x5dfffb33,0xea5fffe0,0xff102fff,0x09fff001,0x00ffff40,0xed93fffa,
    0xdfffb33e,0x42f76c05,0xfd03fffb,0xbbfff4ff,0xffa800ff,0x17ffea5f,
    0xffffd000,0xd807ffff,0x776c05ee,0x8aeee885,0xff31dffd,0xffffc8bf,
    0x4fffbfff,0x5dfb1bee,0xbfb1bf62,0x7e77ffc4,0x01ffffff,0x3ee09ff3,
    0xfd31fe66,0x3fe5fd8b,0x7fec00ff,0x107fd82f,0x7f4001ff,0x8001cfff,
    0xf8006ffe,0xfffd06ff,0xfe82aa23,0x0002fe86,0x453ffee0,0x32007fff,
    0xffd84fff,0x401fffff,0x4002fffe,0x7fc07fff,0xfffffacf,0xffff83ff,
    0x05fffd6e,0xf1007ff5,0x7f4007ff,0x7fd401ff,0x2b3ffe5f,0x3fffffff,
    0xf70ffff0,0x3ffe07ff,0x6ddfffa7,0x3fffd000,0x002fffd4,0xffffffb0,
    0x7c09ffff,0x7ffc07ff,0xdcfff887,0xff30ffff,0x7fffdc9f,0xffffffff,
    0xff893fa4,0xf505ec42,0x7ffffc4f,0xffffffff,0x3a0dff00,0x321fe64f,
    0xff3fd46f,0xffd801ff,0xb07fd82f,0xffb8007f,0x0bdfffff,0x00fffd80,
    0x407fff40,0xff12ffff,0xa87ff519,0x5c00006f,0xfff54fff,0x7ffd400b,
    0xfffffd85,0xfffe800e,0x3fffc002,0x3fffffe0,0x0fffffef,0xeb7ffffc,
    0x2f882fff,0x1fffe880,0x07fffa00,0x7cffff30,0xfeffffff,0xff80ffff,
    0x3fffb87f,0x7f4ffff0,0xffa8007f,0x77ffd46f,0xaaaaaaaa,0xcffffd82,
    0x1ffffda8,0xf80ffff0,0xfff887ff,0x226fffff,0xfff13fff,0x3ff6a3bf,
    0xa8bfe4ff,0xff1000ff,0x3ffffe21,0xffffb88c,0xf01ffd04,0x223fcc5f,
    0x87fc43fe,0x6c00ffff,0x7fd82fff,0xb0006f98,0xffffffff,0xffd905bf,
    0x07ddddff,0x542fffd8,0x3ee3ffff,0x740fffff,0x5c00001f,0xfff74fff,
    0x7ffcc009,0xdffffd87,0x5fffd000,0x7c5fff88,0xbfff37ff,0x98bffffe,
    0x7fc2ffff,0xfffd0dff,0x7ec40005,0xf99006ff,0x5999bfff,0x3e7fff88,
    0x3e62ffff,0xfff82fff,0x84fffb87,0x3fa7fff8,0xffe8007f,0x7fffd42f,
    0xffffffff,0x3fffe20f,0x06fffb80,0xff80ffff,0xffff887f,0x7fc3dacf,
    0x0dfff53f,0x7c53fffa,0x001bf20f,0x3ffe23fd,0x7fff982f,0xf885ff90,
    0x3fffe60f,0xfe80dfff,0x801ffff1,0xec82fffd,0x0002fe85,0x3fffffee,
    0x7f43ffff,0xffffffff,0x77ffd404,0x7ffffd31,0x40adfca8,0x800005fb,
    0xff94fffb,0x7fc4009f,0x7ffec0ff,0x7fff4004,0x22fffc42,0xfff37fff,
    0x20ffffeb,0x7fc3fffc,0x17fff47f,0xfffe8800,0xffff000e,0x09ffffff,
    0x3fe1ffff,0xfffc83ff,0xb87fff83,0xffa87fff,0x01fffa7f,0x50ffff30,
    0xffffffff,0x541fffff,0x3fa03fff,0x7fff80ff,0x443fffc0,0x7404ffff,
    0x5fff72ff,0xf93ffee0,0x001ff20f,0x3ffe23ff,0x03fffa07,0x3fe13fea,
    0x3ffbfe60,0x7c7fe02f,0x7ec01fff,0x3ea002ff,0x0e76dc46,0x3fff6e20,
    0x3a4fffff,0xffffffff,0xfffd804f,0xffffffff,0x07fc4003,0x4000ffb8,
    0xff94fffb,0x7fcc009f,0x7fffe47f,0x7fff4003,0x22fffc42,0xfff37fff,
    0x203fffeb,0x3f23fffb,0x7fff47ff,0xffe88002,0x3fe000ef,0xffffffff,
    0xf1ffff84,0xff701fff,0x0ffff07f,0x4c9ffff7,0x3fa7ffff,0x7fec007f,
    0xffffa83f,0xffffffff,0x0bfff20f,0xf81fffd8,0x7ffc07ff,0x0ffff887,
    0xfd8fff40,0xfff501ff,0xff517f49,0xff981703,0x40dfff10,0xf881fffd,
    0x263fe86f,0x03ff917f,0x3ffa1ff3,0x7ffec01f,0x987fa002,0x02ffffff,
    0xfffd9510,0x3eaaa1ff,0x01aaafff,0xfffffe88,0x002fffdf,0xff9827e4,
    0x7fdc000f,0x0bfff74f,0x937ffd40,0x007fffff,0x442fffe8,0x7ffc5fff,
    0x3ebfff37,0xfff507ff,0x1fffff29,0x0005fffd,0x001dfffb,0x007fffa0,
    0x7fcffff1,0x9fff507f,0xf70ffff0,0xffdfffff,0x7ff4ffff,0x3ffe6007,
    0xfcaaaabf,0xfd8005ff,0x3ff201ff,0x07fff82f,0x7c43fffc,0xffd807ff,
    0x203fffb0,0x3f64fff9,0xf70ffe25,0xf13fdc1f,0x7fe40dff,0xb0ffd02f,
    0x3a3fccbf,0x3a7fb86f,0x7f401fff,0xbf7002ff,0xfd89ffc8,0xfff50006,
    0x0dfff03f,0x6fff5c00,0x001fffc9,0x3e203fe6,0x5c000fff,0xfff54fff,
    0x7ffdc00d,0x3fffffa5,0x7fff4003,0x3fffc002,0x541fffe0,0xfffd4fff,
    0x2fffe8ff,0x77ffcc00,0x3ffa0000,0x7ffcc01f,0x541fffe6,0xfff84fff,
    0xfdfffb87,0x7ffdffff,0xc801fffa,0xffffffff,0x005fffff,0x201fffc8,
    0xff81fffd,0x3fffc07f,0x4037ffc4,0x3fff67fc,0x49fff501,0x6ffe47fa,
    0x7ec4ffca,0x81bffe23,0xf901fffd,0x267fa83f,0x21ffcc7f,0x3fffa3fd,
    0x0ffff401,0x2a07fc40,0xec9ff22b,0x7fe402ff,0x27ffcc4f,0x7fec0000,
    0x0ff6001f,0x83ffbfa2,0xfc82cca9,0xffff33ff,0x3fffa003,0x3fff77a4,
    0x7fff4003,0x3fffc002,0x541fffe0,0xff1b4fff,0x2fffe8ff,0x17ffdc00,
    0x3a035750,0x7dc01fff,0x1fffe5ff,0x7c27ffd4,0xfffb87ff,0xfcafffbb,
    0x01fffa7f,0x7fffffc4,0xffffffff,0xfffa8005,0x03fffa03,0xff01fffe,
    0xdfff10ff,0x7dcff700,0xfff702ff,0x7e43ff89,0x7d46ffff,0x3fffe20f,
    0x01fffd00,0x3fe0ffea,0xffb0ff33,0xfd83fea1,0x3fe204ff,0x4fc801ff,
    0x325ff980,0x7e406fff,0x7ffe44ff,0x7c020001,0xf5000fff,0x3eb7f60d,
    0x13ffea0f,0xfe8bfff2,0xffb806ff,0x7fece1ff,0x7ff4003f,0x7ffc002f,
    0x83fffc07,0x7fc4fffa,0x17fff47f,0x0bffee00,0xe837ffc4,0x7f401fff,
    0x1fffe3ff,0x7c27ffd4,0xfffb87ff,0xfe801313,0xfff9007f,0xffffffff,
    0x1000bfff,0x3ea0dfff,0xffff06ff,0x887fff80,0xea806fff,0x417ffea5,
    0x7d44fffe,0x0dee4c3f,0xff113fea,0xfff307ff,0x42ffc40f,0x84c8bffa,
    0x4ffa9cc9,0x80ffffdc,0x9807fffc,0x7fd400ff,0x3fffea0f,0x3ffff102,
    0x001fffdc,0x2a17ff5c,0x3a004fff,0xf56fb82f,0x37ffcc1f,0xf50ffff4,
    0x2a01bfff,0xfb04ffff,0xfe8007ff,0x7fc002ff,0x3fffc07f,0x7c4fffa8,
    0x7fff47ff,0x7ffcc002,0x09fff906,0x4407fffa,0x7fc6fffd,0x9fff507f,
    0xf70ffff0,0xfe8007ff,0xfff8807f,0x999999bf,0x0005fffb,0x227dfffd,
    0xf02ffffc,0xfff80fff,0x06fff887,0x93fffe00,0x84ffffd9,0xf5003ffd,
    0xffff10df,0x7fff545f,0xd83ff403,0xff5003ff,0xfffff10d,0xfffb737b,
    0x07fb009f,0x440effc8,0x9bdfffff,0x27ffffda,0xfedffffa,0x40ec9abd,
    0xf71efffa,0x2e001fff,0xabff985f,0xff11bffc,0xffd55fff,0xfffd81ff,
    0xfdb9abef,0xfb00ffff,0x555559ff,0x3fa35555,0xaaaaacff,0xfff1aaaa,
    0x07fff80f,0xff89fff5,0x67fff47f,0xaaaaaaaa,0x3bfffa1a,0xffffda9b,
    0x57fffd01,0xffffb975,0x07fff85f,0xff09fff5,0x7fff70ff,0x07ffe800,
    0x406fffb8,0xaaaefffa,0x0aaaaaaa,0x3fffffa2,0x205fffff,0x7fc07fff,
    0x6fff887f,0x727ffcc0,0xffdfffff,0x3609ffff,0x5440bdff,0xf880effc,
    0xfeffffff,0x6400ffff,0xbffb01ff,0xffca8815,0xffff900e,0xffffffff,
    0x06fa801f,0x9806ffec,0xffffffff,0x323fffff,0xffffffff,0xe84fffff,
    0xffffffff,0x3ff1005f,0xffffff50,0x7ffdc9ff,0x2fffffff,0xfffffe88,
    0xffffffff,0x3ffff602,0xffffffff,0xfffffd5f,0xffffffff,0xf01fffe9,
    0x3fea0fff,0x23fffc4f,0xfffffffe,0x24ffffff,0xfffffff8,0x3a02ffff,
    0xffffffff,0xf85fffff,0xfff507ff,0x70ffff09,0xe8007fff,0xfff807ff,
    0x7ffd403f,0xffffffff,0x7f441fff,0xcfffffff,0x01fffe00,0xff10ffff,
    0xfff980df,0x7ffffe44,0x04fff9ff,0x33bfffee,0x204ffffe,0xffccfff8,
    0x801fffff,0x3ee03ffa,0xffecefff,0xffc804ff,0xffffffff,0x02fe801e,
    0x3333ffee,0x7fffdc0c,0x2fffffff,0x7fffffc4,0xffffffff,0x7ffffcc0,
    0x32004fff,0x9999304f,0xfe859ffb,0x4fffffff,0x7ffffe40,0x00efffff,
    0x7fffffec,0x5fffffff,0xfffffffd,0x29ffffff,0x7fc07fff,0x9fff507f,
    0x7f47fff8,0xffffffff,0x6c44ffff,0xffffffff,0x7ffff401,0xffffffff,
    0x20ffff03,0xff84fffa,0x3fffb87f,0x03fff400,0x003fffee,0xfffffff5,
    0x3fffffff,0xffffb710,0xffff005d,0x887fff80,0x7cc06fff,0xfffb84ff,
    0x09fff1ef,0xfffffc98,0x7c401cff,0xfffd73ff,0x3fe2001b,0x7ffe4c05,
    0x001cffff,0x3fffffa6,0xfb800cef,0x7ffffc05,0xfc880fff,0x1defffff,
    0x9535bfb0,0x1bfffffb,0xdffffd30,0x07fc4007,0x201ff500,0x3efffffb,
    0xfffdb300,0x36007dff,0xffffffff,0xfd5fffff,0xffffffff,0x3fe9ffff,
    0x3fffc07f,0x7c4fffa8,0x7fff47ff,0xffffffff,0xdb9304ff,0xfd00157b,
    0xdfffffff,0x7ffc017b,0x09fff507,0x9930ffff,0xffe80039,0x27fff407,
    0x7ffffd40,0xffffffff,0x0019801f,0x3e03fffc,0xfff887ff,0x27ffcc06,
    0x00001310,0x0026aaa6,0x8000c400,0x2a6002aa,0x200009aa,0x8001a998,
    0x332201ed,0x00cccccc,0x8800d4c4,0x800cc400,0xb8000998,0x264c003e,
    0x000ccc40,0x00002660,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0004ccc8,0xa8019997,0x775c1ccc,0x5c07bb63,
    0xeeeeeeee,0x33332e02,0x009aabcc,0xdddddd50,0xccc985dd,0xcccccccc,
    0xec83cccc,0x1eeeeeee,0x500e665c,0x6c005999,0xb8001eee,0x03bb63ee,
    0x00f77640,0xa805eed8,0xee983eee,0x440bbae5,0xd52cdecb,0xb177649d,
    0xccb83ddd,0xcc98000c,0xeb80001c,0x5d3bae4e,0x65400ccc,0x664c4ccc,
    0xcccccccc,0x5102cccc,0xb8057997,0x97003ccc,0x66400999,0x997001cc,
    0x55799999,0x66664015,0x332600cc,0x99993ccc,0x13557999,0xcccccb80,
    0xcccccccc,0x4099990c,0xd0007fff,0xfc803fff,0x9ffe83ff,0x3f204ffc,
    0x3fffffff,0x3fffffa0,0x03ffffff,0xffffffb8,0x7ffd43ff,0xffffffff,
    0xfd86ffff,0x1fffffff,0xf02fffdc,0x32003fff,0x8006ffff,0xffd9ffe8,
    0x7fff3004,0x037ffc00,0xf9037ff4,0x20dff57f,0x4fffffe8,0x3feebff6,
    0x22fffc45,0x8001fffe,0x0003fffb,0x3f25ffc8,0x03fffd5f,0x0fffffcc,
    0x3fffffee,0xffffffff,0xfffffb83,0xff502eff,0xff9805ff,0xff5003ff,
    0x3fa00bff,0xffffffff,0xff80cfff,0x3203ffff,0xff6fffff,0xffffffff,
    0x7ff407ff,0xffffffff,0xfff1ffff,0xfffff90f,0x3a00ffff,0x7e401fff,
    0xfff983ff,0x665406ff,0x01cccccc,0x3ffffffa,0x1effffff,0x333332a0,
    0x7fd41ccc,0xffffffff,0xb86fffff,0xcccccccc,0x81ffff80,0x3005fffb,
    0x09ff9dff,0xfffff300,0x27fec00d,0x01bffe00,0x4401dff5,0x01fffffe,
    0x7ffffff9,0x7fffffc4,0x20fff980,0x8001fffe,0x0003fffb,0x3f25ffc8,
    0x03fffd5f,0x07ffffe6,0x3fffffee,0xffffffff,0x7ffffec3,0xb03fffff,
    0x6c01ffff,0x36006fff,0x800fffff,0xfffffffe,0x0effffff,0x2ffffffc,
    0xdfffffd0,0x3ffffffe,0x1effffff,0xffffffe8,0xffffffff,0xf90ffff1,
    0xffffffff,0xffffed80,0xeeeeeeee,0x42eeffff,0x001ffffb,0x7fff4000,
    0xffffffff,0x00000fff,0x3fffffea,0xffffffff,0x2e00006f,0xffe85fff,
    0xfff8801f,0x0005ffd0,0x003ffff9,0x20017fe2,0x7f405eed,0xfff9800e,
    0x3fff603f,0x7fd4099c,0x3fe602ff,0x007fffa4,0x00bffee0,0xa8b32a00,
    0x3fffd3cc,0x5fffff10,0x3ffffee0,0xffffffff,0x3fffee3f,0xffffdbbd,
    0x4ffff882,0x03ffff50,0x3ffffe20,0xfffe804f,0xffffffff,0x7ffc4fff,
    0xff107fff,0x3fedffff,0xffffffff,0x740fffff,0xffffffff,0xf1ffffff,
    0xff950fff,0x809999ff,0xffffffff,0xffffffff,0x9983ffff,0x00080009,
    0x4c0ffff4,0x004ffffd,0x3e600033,0x000006ff,0x21ffff88,0x1005fffa,
    0x04cc4133,0x00999800,0x0000aa60,0x00155100,0x3e00ccc4,0x999807ff,
    0x3a2a9801,0xccccdfff,0xfb5302bc,0x80000005,0x7441fffe,0x0002ffff,
    0x237fffd4,0xfa81ffff,0xfff706ff,0x9fffd01f,0x7fffe400,0xffe807ff,
    0xfff9101f,0xffffff8f,0xffffa81f,0x3ffff6ff,0x9ffffb30,0x001fffe8,
    0x3e019998,0x360087ff,0xeeeffffe,0xfffeeeee,0x00802eef,0xcefffd98,
    0x0ffff400,0x03ffff50,0xffffff91,0x3fe60019,0x5eee806f,0xb85ddd50,
    0x3ffa4fff,0x0000001f,0x00000400,0x00000000,0x06fff800,0xffd00000,
    0xffffffff,0x07fa01bf,0xe8000040,0x3fa21fff,0x40002fff,0x20fffff9,
    0x3a05fff9,0x3ffa07ff,0x77ffdc5f,0x3fffe000,0x7402fffe,0x7fc01fff,
    0x3bffe0ff,0xffc83fff,0xfff6fffe,0x7ffd403f,0x07fffa1f,0xfff80000,
    0x3bfffb37,0x007fffa0,0xe887fff9,0xdffd8aee,0xfffffc81,0x3fa02fff,
    0x7ff401ff,0x7fffc44f,0x00efffff,0x806fff98,0xff706fff,0xffff887f,
    0xc85fffa8,0xddd906ee,0x21ddd901,0xffb33eed,0xdddb05df,0xdddddddd,
    0x777776c3,0x21eeeeee,0xddb05eed,0xdddddddd,0x037ffc3d,0x3602f76c,
    0x3fffa5ee,0xffffffff,0x9b7dc2ff,0xffb71eee,0x776c01bf,0x21fffe85,
    0x002ffffe,0x7ffff440,0x00e65441,0x2601fffb,0xff12ffff,0x7d4005ff,
    0x5fffadff,0x00ffff40,0xfff1fffa,0xff0dffbd,0x3edfff9f,0x7ec01fff,
    0x3fffa4ff,0x5eed8001,0x3ebfffe0,0x81ffffff,0x6401fffe,0x7fc43fff,
    0x0ffffdcf,0x7fffffdc,0xfd01ffff,0xffa803ff,0x7ffff45f,0x05fffffe,
    0x806fff98,0xff706fff,0x7fff907f,0xf703fffb,0xfff885ff,0x26fff82f,
    0xfffacfff,0x7fc3ffff,0xffffffff,0x3fffe1ff,0xffffffff,0x7c1fffe1,
    0xffffffff,0x3ffe1fff,0x07fff806,0xffd3fffc,0xffdddddf,0x7fe4ffff,
    0xfb5fff51,0x01ffffff,0x3fa1fffe,0xffffb1ff,0xffb00007,0x4c0007ff,
    0x7e405fff,0xbfffb6ff,0xafffd800,0x200ffff8,0x2601fffe,0x7ffc5fff,
    0x220fffbe,0x6fffafff,0xa803ffff,0x3ffa5fff,0xfff8001f,0x3ffffe07,
    0xfffffeff,0x55ffff40,0xfdaaaaaa,0x7ffc43ff,0x446fffff,0xb88bffff,
    0xffd05fff,0xfff9803f,0x837ffea7,0x9807fffa,0xff806fff,0x7fff706f,
    0xffffff10,0x3ffe20df,0x27fffd44,0xff8fffe6,0xffefffff,0x3ffe0fff,
    0xffffffff,0x3ffffe1f,0x1fffffff,0x7fc1fffe,0xffffffff,0x1bffe1ff,
    0xf01fffe0,0x7fff4fff,0x7ffff901,0xfffa8366,0xffffefff,0x0ffff05f,
    0xffb3fffd,0x90000bff,0x0009ffff,0x01ffff4c,0x3f7fffe2,0x22000fff,
    0x3ff67fff,0x3fffa04f,0xfcaaaaab,0x7ffc1fff,0x2e2fff9e,0x6fff8fff,
    0x9803ffff,0x3ffa6fff,0xaaaaaabf,0x3ffe1aaa,0x3ffffe07,0x3ffff30c,
    0xffffffe8,0xffffffff,0x7fffc43f,0x7e43dacf,0xfffd84ff,0x3ffff321,
    0x7c42cccd,0x0654c7ff,0x4c03fff4,0xff806fff,0x7fff706f,0x3ffb3322,
    0x4ccdffff,0x3f237ff4,0x7fe47fff,0x3ffffe1f,0x8bfffe62,0xfcaaaaaa,
    0x55545fff,0xffffcaaa,0xa83fffc5,0xffcaaaaa,0x37ffc5ff,0x203fffc0,
    0x3ffa7fff,0x3fffa01f,0x3fffea04,0x1ffff21e,0x7f43fffc,0xfffffeff,
    0x3ea0000f,0x20006fff,0x005ffff9,0xfffffff5,0xfffb8007,0x81fffe64,
    0xfffffffe,0x81efffff,0x9fff6fff,0xfffb7fec,0x803ffff6,0x3fa7fff8,
    0xffffffff,0x3fe3ffff,0x3fffe07f,0x42fffc83,0xfffffffe,0xffffffff,
    0x27fffc43,0x207fff60,0x3fe3fffa,0xffffffff,0x00ffff84,0x0fffeb88,
    0x7fe5554c,0x40aaaaef,0xff706fff,0x3fffe67f,0xffffffff,0x3ffee0ff,
    0x3fffffa0,0xff1bffa0,0xfff907ff,0xfffe8807,0xffe8800e,0x3fffc0ef,
    0xdfffd100,0x806fff81,0x7fc07fff,0x07fffa7f,0x205fffc8,0xf80ffffa,
    0xfff80fff,0xfffffe87,0x005fffff,0x1dffff30,0x3ffe6000,0x7fec005f,
    0xe8006fff,0x7ffc1fff,0xffffd02f,0xffffffff,0x2dfff01d,0x3ffe6ffd,
    0x3fedfff4,0xfff801ff,0xfffffd0f,0xffffffff,0xf03fffc7,0xff701fff,
    0xffffe87f,0xffffffff,0x7fc43fff,0x7ff400ff,0xfccccccf,0x3fffe3ff,
    0x84ffffff,0xb881ffff,0xfffffffd,0x7ffffec0,0x1fffffff,0xfb837ffc,
    0xffff33ff,0xffffffff,0x7ffcc1ff,0xffdfff13,0xf13ffe27,0xff701fff,
    0x7ff4407f,0xfe8800ff,0xfff80fff,0xfffd1007,0x0dfff01f,0xf80ffff0,
    0x3fffa7ff,0x13fff601,0xd05fffa8,0xfff01fff,0xfffffd0f,0x07ffffbf,
    0xffffe880,0xfff10001,0xff10009f,0x98003fff,0xffc86fff,0xffffd05f,
    0xffffffff,0x6fff87ff,0xff31fff7,0x7dbffe5f,0x7c401fff,0xfffd0fff,
    0xffffffff,0x3fffc7ff,0x2a0ffff0,0x7ff44fff,0x7ffe401f,0x03fffc43,
    0x7ffffffc,0x84ffffff,0x4401fffe,0x7f447fff,0xffffffff,0x7fffec0f,
    0xffffffff,0xb837ffc1,0x55513fff,0x55dfff75,0xbffd0555,0x3ff3bfea,
    0xf83fff75,0xfff507ff,0x7fffec09,0xffffb001,0x01fffe03,0x80ffffec,
    0xff806fff,0x3fffc07f,0x2203fffd,0x2a02ffff,0xffb04fff,0x0ffff01f,
    0x27fffffd,0x000ffffd,0x00bffff6,0x04fffc80,0x13fff200,0x33fff200,
    0xfffa9999,0x1fffe80f,0xffffc998,0x7cdbffe3,0x0fffbaff,0x3ffedfff,
    0x7ffcc01f,0x007fffa7,0xf81fffe0,0xfff507ff,0x01fffe89,0x221fffe4,
    0xff806fff,0xeeeeeeff,0xffe84eee,0x7ffcc01f,0x3bfffe26,0x0fffd8ac,
    0x7fdcccc4,0xf81999ef,0xfff707ff,0x37ffc407,0xf97ffc80,0x36fff39f,
    0x7fff86ff,0x209fff50,0x002ffffc,0x405ffff9,0xfc807fff,0x3fe02fff,
    0x7fff806f,0xfd3fffc0,0x955557ff,0x401fffff,0xfb04fffa,0xffff01ff,
    0x49ffffd0,0x005ffff8,0x009ffff9,0x006ffe80,0x027ffdc0,0x7fffffc0,
    0xffffffff,0x01fffe84,0xff2fffdc,0x6e7ffcdf,0x5bffe6ff,0x5401ffff,
    0x3ffa6fff,0xfff8001f,0x41fffe07,0x7f44fffa,0x7fe401ff,0x37ffc43f,
    0x00ffff40,0x01fffe80,0xf92fffdc,0xfffd07ff,0x6fff9801,0x907fff80,
    0x3fe67fff,0xffffffff,0x7cc0ffff,0xf2ffe9ff,0x09fff3ff,0x3ea0ffff,
    0xfffb84ff,0xfff7003f,0x7fff807f,0x1ffffdc0,0x201bffe0,0x7fc07fff,
    0x3ffffa7f,0xffffffff,0x7ffd403f,0x01fffb04,0xffd0ffff,0xffff709f,
    0xffffa805,0xfff80005,0x7fdc0004,0x7fd4004f,0xffffffff,0xfe87ffff,
    0x7fc401ff,0x4dfff0ff,0x4ffffffd,0x7ffdbffe,0x7ffdc01f,0x007fffa5,
    0xf81fffe0,0xfff507ff,0x01fffe89,0x221fffe4,0xfd806fff,0x9aca84ff,
    0x01fffe80,0xfd1ffff4,0xffff01ff,0x6fff9801,0x80fffe80,0xff33fffe,
    0xffffffff,0xff01ffff,0x361fffbf,0x81fffdff,0xff507fff,0xffffa89f,
    0xffff5004,0x0ffff009,0x027fffd4,0x7c037ffc,0x7ffc07ff,0x3fffffa7,
    0x4fffffff,0x04fffa80,0xff01fffb,0x3fffd0ff,0x03ffffa0,0x077fffcc,
    0x1f774000,0x3ffee000,0x7ffec004,0xffffffff,0x7f42ffff,0x7fcc01ff,
    0x4dfff0ff,0x2ffffffb,0x7ffdbffe,0x7fffc01f,0x007fffa3,0xf81fffe0,
    0xfff507ff,0x01fffe89,0x221fffe4,0xf9806fff,0x3fe22fff,0xfffe80ff,
    0xdfffb101,0x642fffe8,0x4c00ffff,0xfd806fff,0x7ffe44ff,0xfffff33f,
    0xffffffff,0xffff901f,0x7fffdcdf,0x0ffff07f,0xf993ffea,0xf3004fff,
    0x3e009fff,0xfff307ff,0x3ffe009f,0x07fff806,0xffd3fffc,0xdfffffff,
    0x3fea003b,0x1fffb04f,0xfd0ffff0,0x3fea03ff,0xffe885ff,0x000001ff,
    0xfffb8000,0x3ffe2004,0xaaaaaaaf,0x745fffda,0x7e401fff,0x9bffe7ff,
    0x0ffffff9,0x7ffdbffe,0xfff9101f,0x01fffe8d,0x207fff80,0xff507fff,
    0x1fffe89f,0x21fffe40,0xb006fff8,0xffbdffff,0x3ffa05ff,0xfdcbaabf,
    0x7e42ffff,0xffecdfff,0x7cc01fff,0xffb806ff,0xffffdeff,0x266663ff,
    0x999efff9,0xffff5019,0x7fffcc9f,0x0ffff04f,0x7c53ffea,0xaaaaffff,
    0xfff11aaa,0x555555ff,0x43fffc35,0xaafffff8,0x3e1aaaaa,0xfff806ff,
    0xd3fffc07,0x01335fff,0x27ffd400,0xf80fffd8,0xfffe87ff,0x3ffffa01,
    0x6ffffe42,0xaaaaaaaa,0x7ffc02aa,0x7fdc0006,0x3ff2004f,0xfff9804f,
    0x2ffffa0f,0xfecaaaaa,0x3ffe4fff,0x37ffffc6,0x7ffdbffe,0xfccaaabf,
    0x7f41ffff,0xaaaaabff,0xff1aaaaa,0x3fffc0ff,0x744fffa8,0x7e401fff,
    0x7ffc43ff,0x3fff6006,0x205fffff,0xfffffffe,0x85ffffff,0xfffffff8,
    0x402fffdf,0xd006fff9,0x3dffffff,0x7c407fff,0x7fc006ff,0x7ffc2fff,
    0xffff02ff,0x5d3ffea0,0xffffffff,0xff75ffff,0xffffffff,0x3fffcbff,
    0x7fffffdc,0x25ffffff,0xff806fff,0x3fffc07f,0x0003fffd,0x413ffea0,
    0xff80fffd,0x1fffe87f,0x3ffffe60,0x3fffff60,0xffffffff,0x7ffc07ff,
    0x7fdc0006,0x3ffe004f,0xfffd001f,0x7fffff49,0xffffffff,0x1bffe0ef,
    0xf89ffffb,0xfffff6ff,0xffffffff,0xffffd0bf,0xffffffff,0x1fffe9ff,
    0xf507fff8,0xfffe89ff,0x1fffe401,0x001bffe2,0x5bffffd7,0xfffffe80,
    0x3fffffff,0x3ffff660,0x05fff88d,0x8037ffcc,0x8dffffd8,0x2203fff8,
    0x6c006fff,0x7ec0ffff,0x3ffe07ff,0x29fff507,0xfffffffb,0xf75fffff,
    0xffffffff,0x7ffcbfff,0xfffffb87,0x5fffffff,0x3e01bffe,0x7ffc07ff,
    0x007fffa7,0x27ffd400,0xf80fffd8,0xfffe87ff,0x7fffe401,0x3fffff64,
    0xffffffff,0x7ffc07ff,0x7fdc0006,0xfff5004f,0x7ffdc00f,0x3fffffa7,
    0xffffffff,0x237ffc1f,0x7c2ffffb,0xfffff6ff,0xffffffff,0x3ffffa07,
    0xffffffff,0x0ffff4ff,0xfa83fffc,0x7fff44ff,0x1fffe401,0x001bffe2,
    0x3fa00198,0xefffffff,0x331000bd,0xfff98000,0x00098006,0x01bffe20,
    0x70dfff50,0x7fc0bfff,0x9fff507f,0x3fffffee,0x75ffffff,0xffffffff,
    0x7fcbffff,0xffffb87f,0xffffffff,0x201bffe5,0x7fc07fff,0x07fffa7f,
    0x7ffd4000,0x01fffb04,0xffd0ffff,0xfff8803f,0xffffb1ff,0xffffffff,
    0xff80ffff,0x7dc0006f,0xffb004ff,0x7fc4009f,0xffffd2ff,0xbdffffff,
    0x31bffe05,0xff81ffff,0xffffff6f,0x017bdfff,0x7ffffff4,0xffffffff,
    0x000ffff4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcc800000,0x665c003c,
    0x6665400c,0x80099991,0xcccccccb,0x00cccccc,0x4179db73,0x2aaa4ccc,
    0x4cc4000a,0x99999999,0x32e00099,0xccccb83c,0x0aaacccc,0x006665c0,
    0x88073326,0x9700abba,0x665c0399,0x999100cc,0x666664c9,0xcccccccc,
    0x999913cc,0xcccc9805,0x01666640,0x404ccc98,0x9970ccc8,0x55559999,
    0x3bbbaa01,0xdd32eeee,0x1aaa807d,0x66666540,0xcccccccc,0x01500805,
    0x01000060,0x00019800,0x31000002,0x40000880,0x80040000,0x3fe20008,
    0x7ff4006f,0x7ffe401f,0x800ffff3,0xfffffffe,0x80ffffff,0x1ffffffa,
    0x7f43fffe,0x7ec002ff,0xffffffff,0xf3004fff,0xfffd0bff,0xffffffff,
    0x3ffa03df,0x7ffdc05f,0xffffd982,0x7fe40dff,0xffff103f,0x3ffea05f,
    0x3ffffea5,0xffffffff,0x3fff66ff,0xfffd100f,0x0dfff90b,0x017fff20,
    0x3fa3fffb,0xffffffff,0xfffb84ff,0xf33fffff,0xfff809ff,0x38001404,
    0x7bfffb50,0x3220df51,0x00cffffe,0xdeffeca8,0x7ffe4401,0x5400cfff,
    0x41deffec,0xeb81eeeb,0x88cfffff,0x01cefffc,0x9dfffb30,0xffd95001,
    0x7fecc1bd,0x7c400def,0x7f4006ff,0x7fe401ff,0x00ffff3f,0xffffffe8,
    0x0fffffff,0x7fffffc4,0xe87fffc7,0x6c002fff,0xffffffff,0x8804ffff,
    0xfe85fffe,0xffffffff,0xe82fffff,0x2e02ffff,0x7fcc2fff,0xffffffff,
    0x417ffea0,0x04fffffa,0x7d47fff9,0xffffffff,0x26ffffff,0x905ffff8,
    0xf301ffff,0xff001fff,0x7fdc05ff,0xffffd1ff,0xffffffff,0x6666543d,
    0xff31cccc,0x4fff809f,0x43800140,0xffffffd8,0xfa83ffff,0xffffffff,
    0x3ffffa01,0xf103ffff,0xffffffff,0x3fff601d,0x323fffff,0x7fe42fff,
    0xffffffff,0x3fffffff,0x7ffffe40,0x3f602fff,0xbfffffff,0xfffffffb,
    0x3ffe203f,0x7fff4006,0x9fffe401,0x74007fff,0xffffffff,0x4c0fffff,
    0x429aefff,0xffd0ffff,0xffd8005f,0xffffffff,0xffc804ff,0xfffe85ff,
    0xffffffff,0x7f40ffff,0xf700ffff,0xfffe85ff,0x5ffffeef,0x641fffe6,
    0xd06fffff,0x7fd43fff,0xffffffff,0x546fffff,0x7cc2ffff,0x3fe03fff,
    0x7fcc03ff,0x3ffe607f,0xffffd1ff,0xffffffff,0x3e6000df,0x7ffc04ff,
    0x38001404,0x3fffffa2,0x986fffff,0xffffffff,0xffd80fff,0xffffffff,
    0xeffffe84,0xd85fffff,0xffffffff,0x5fff94ff,0x7fffffcc,0xffffffff,
    0x702ffffe,0xffffffff,0xfffb03ff,0xffffffff,0xfffdffff,0x3ffe203f,
    0x7fff4006,0x9fffe401,0x74007fff,0x50001fff,0x7fc09fff,0x5fffd0ff,
    0xaaaaa800,0xefffbaaa,0x7fffd400,0x1fffe85f,0x5ffff910,0x4fffffe8,
    0x4c5fff70,0x3e61efff,0x3ffe0fff,0xffffe81f,0x7fff80ff,0x0dfff300,
    0x077ffec0,0xc80dfffb,0x7e406fff,0xffc884ff,0xffd1ffff,0xfffd303f,
    0x0000005f,0x02809fff,0x7ffe4700,0x3fffee3e,0x96ffff42,0x6c3fffd9,
    0xda8cffff,0x3ea1ffff,0x3fea0dff,0x7fffec7f,0xffffda8c,0xf11fffca,
    0x7fd43fff,0x3fa23fff,0x7ffc40ff,0xfffb88bf,0x67fffec5,0xfffffea9,
    0x1bffea3f,0x0037ffc4,0x9007fffa,0x3ffe7fff,0x3ffa0087,0xff70001f,
    0x7fffc07f,0x005fffd0,0x0fffc800,0x7ffffc40,0x1fffe85f,0x227ffec0,
    0x1ffffffe,0x322fffb8,0xffd84fff,0x0bfff62f,0xfffffff1,0x06fff985,
    0x00dfff30,0xaa7fffc4,0x4c01ffff,0x3e00ffff,0x7fdc1fff,0xd1ffffff,
    0x7fc03fff,0x5eed84ff,0x4fff8000,0x33800140,0xffb0dfff,0x7ffd4dff,
    0x24eff986,0xb80ffff8,0x654c6fff,0x227ffe80,0xfb80ffff,0x883f66ff,
    0xfffd81ba,0x43fff885,0xfd84fffc,0x3fffe1ff,0x4ffffd80,0x881fffb8,
    0xeed86fff,0x07fffa4e,0x3e7fff90,0xfffb37ff,0x1fffe83b,0x7ff75c00,
    0x7fc1eeef,0x5fffd0ff,0x7fcc0000,0xeffd802f,0xffe85fff,0x7ffdc01f,
    0x7fffff46,0x2fffb86f,0x2e07b72a,0x3fee2fff,0x5fffd44f,0x7fdc4fff,
    0xfff3004f,0xfffb800d,0x04ffff9f,0x207fffd0,0xfd87fff9,0x1fffddff,
    0x6403fffd,0xfff85fff,0x3ffe6007,0xffffffff,0x4000a7ff,0xc87fff53,
    0x70fffeef,0x40207fff,0x3a03fffa,0xb8800fff,0xff50fffe,0x3ffe60df,
    0x1007f88f,0x207fffd7,0x7fec6ffe,0x3fffa81f,0x2a09fff3,0xf982ffff,
    0xfff884ff,0x077ffec6,0xc803fffd,0xffff3fff,0xfffffff5,0x00ffff45,
    0x3fffff20,0x7ffc2fff,0x05fffd0f,0x2fff4000,0x7cfffd40,0xfffe85ff,
    0x27ffe401,0x3ffffffa,0x17ffdc2f,0x87fffa00,0x7e46fff9,0x46fff8ff,
    0x3002fffd,0xd000dfff,0xdfffffff,0x37ffdc00,0xd84fffc8,0x3fff91ef,
    0xc807fffa,0xfff84fff,0x3ffe6007,0xffffffff,0x4000a7ff,0x5c3fff93,
    0x2fffc9ff,0x8005fff9,0x3602fffc,0xdb881fff,0x0fffffff,0x7407fff9,
    0x03febfff,0xfffffb71,0xddddddff,0xffe8ffff,0xfccccccf,0x5fff73ff,
    0x3bfffe20,0xfffeeeee,0x26fff885,0x740ffffc,0xaaaabfff,0x3fffdaaa,
    0xdfffffff,0x7f4fffff,0x99999aff,0x7ffe4099,0x7c2fffff,0xfffd0fff,
    0x3ee00005,0x7fc401ff,0xd0bfff3f,0x7dc03fff,0x7ff42fff,0x20ffffbf,
    0x2002fffb,0xff87fff8,0xdb7ffc7f,0x3ffa0fff,0xfff3000f,0xfff3000d,
    0x4003ffff,0xe81ffff8,0x43d81fff,0xffd1fffc,0x3ffe203f,0x07fff82f,
    0x3ffffe60,0xffffffff,0xd9c000a7,0x5ff50fff,0x7ecfffea,0x7ec001ff,
    0x3ff201ff,0x3fffa22f,0x0fffffff,0x6403fffb,0x884fffff,0xfffffffd,
    0xffffffff,0x7fc7ffff,0xffffffff,0xfffb4fff,0x7ffff405,0xffffffff,
    0x76fff885,0xfd03ffff,0xffffffff,0x27ffffff,0x262fffff,0xffd2ffff,
    0xffffffff,0xffc988df,0x7fc099bf,0x5fffd0ff,0x3ffe0000,0x26ffd806,
    0xffe85fff,0xfeeeeeef,0xfe86ffff,0x49fffd7f,0x2002fffb,0xfd83fffe,
    0x7fff31ff,0x7c4bffee,0x3e6006ff,0xf70006ff,0x0009ffff,0xf987fffd,
    0x3f2006ff,0x5fffd1ff,0xfff73333,0xffff03ff,0x66664400,0xcccefffc,
    0x9c000a4c,0xff99fffc,0x6cbffee3,0x64002fff,0x3f601fff,0xffff11ff,
    0xfffb159d,0x80ffff21,0x881efffe,0x8adffffe,0xeeeefffd,0x7c6eeeee,
    0xeeeeefff,0xff94eeee,0x7fff407f,0xeeeeeeee,0xefff884e,0xd01ffffa,
    0xffffffff,0x7fffffff,0x2e0ffffe,0xfffd2fff,0xffffffff,0x0fffee0d,
    0xfd0ffff8,0x500005ff,0xfa805fff,0x17ffe1ff,0x3ffffffa,0xdfffffff,
    0xf37ffe80,0x3fee3fff,0xfffb002f,0x4ffff20d,0xff11fffb,0x13ffea9f,
    0x06fff980,0xfffff100,0xfff70003,0x03fffc8d,0x747fff20,0xffffffff,
    0xf04fffff,0xf0000fff,0x002809ff,0x33ffee70,0x7ffe44ff,0x207fff71,
    0x3fea0abb,0x3fffa03f,0xd07fff90,0x3fea1fff,0xffff105f,0x37ffea03,
    0x01fffec0,0x00ffff40,0x20bfff70,0x002ffff8,0xffffff10,0x7ff405ff,
    0xffffffff,0xff3fffff,0xfff503ff,0x3fffffa7,0x06ffffff,0x7c07fff7,
    0xfffd0fff,0xffd00005,0x3fff880f,0x7f42fffc,0xffffffff,0x3fa02cff,
    0x5bfff27f,0xd802fffb,0xf501ffff,0x1fff6bff,0x3ff2dffd,0x3fe6002f,
    0xffb0006f,0x1000bfff,0x7f43ffff,0x3f2000ff,0xffffd1ff,0xffffffff,
    0x43fffc0b,0x7c04fff9,0x001404ff,0xfffff338,0x27fff88b,0xf986fffa,
    0x3ffe27ff,0x4dfff506,0xff80fffe,0xffff10ff,0x0dfff701,0x740fffe4,
    0xbc886fff,0x27ffec0a,0xf984d654,0xffc80fff,0xabca85ff,0xfffff880,
    0x3fa05fff,0x7fe401ff,0x01ffff3f,0x3fa7fff5,0x99999aff,0xfff70099,
    0x87fffc07,0x0002fffe,0x2027ffcc,0xfff86ffd,0xbbfffe85,0x01efffec,
    0xff13fff4,0x5fff77ff,0x7ffff440,0x5bffe202,0x7fe45fff,0x00fffd8f,
    0x01bffe60,0x3ffffea0,0xfd8002ff,0xbfff34ff,0x1fffc800,0xfffffffd,
    0xf805dfff,0xfff987ff,0x027ffc04,0xfb1c000a,0x7f5c1fff,0x7fff42ff,
    0x9fffb32d,0x13efffe8,0x745ffff9,0x7fe42fff,0x3fffa0ff,0xffff913e,
    0x1fffe407,0x0fffffea,0xf987fffb,0x3fe22fff,0x3fff60ff,0xffffb31e,
    0x7ff445ff,0xffff881f,0xd02fffff,0xfc803fff,0x0ffff3ff,0x7f53ffea,
    0xf70001ff,0x7ffc07ff,0x05fffd0f,0x1fffc800,0x337ffea0,0xcefffccc,
    0x83fffd0c,0x203ffffc,0x7fd47ffe,0x02fffcff,0x00bffff6,0x3febfffa,
    0x57ffd43f,0x4c006fff,0x44006fff,0xffffffff,0x7fd4000f,0x07fff96f,
    0xd1fffc80,0x33335fff,0x3fffc001,0x2027ffcc,0x01404fff,0x3ffe2380,
    0xfffffeff,0xfffffa85,0x40ffffff,0xffffffe8,0x7e45ffff,0xffecdfff,
    0x3fa21fff,0xffffffff,0x7ffdc05f,0xffffebdf,0xfffdffff,0xffffb05f,
    0x85ffffbd,0xfffffff8,0xffffffff,0x03ffffdf,0xf9fffff1,0x3ffa0dff,
    0x7ffe401f,0x2a0ffff3,0xfffd4fff,0x3fee0003,0x3fffe03f,0x005fffd0,
    0x405ffe80,0xfffffffb,0x1fffffff,0xfd03fffd,0x3fa05fff,0xffffd87f,
    0xffb02fff,0x3f2005ff,0x41fffeff,0xfffefff8,0x7ffcc004,0x7ffec006,
    0x05ffff9f,0xe9ffff80,0x64000fff,0xfffd1fff,0xfff80003,0x04fff987,
    0x0a027ffc,0xfff91c00,0xbfffffff,0x3fffee01,0x101fffff,0xfffffffd,
    0xfff8819f,0xffdfffff,0x7fff442f,0x00cfffff,0xffffffe8,0xffffccff,
    0x200fffff,0xfffffffd,0xfffd305f,0xf99fffff,0xbfffffff,0xa7fffc40,
    0xfe83fffc,0x7fe401ff,0x20ffff3f,0xffd4fffa,0x3ee0003f,0x3ffe03ff,
    0x05fffd0f,0x1fffc400,0x3ffffee0,0xffffffff,0x03fffd1f,0x01fffff1,
    0xff30fffd,0xb05fffff,0x4003ffff,0x7ffffffa,0xffffffd0,0xfff98005,
    0x3ffea006,0x5ffff73f,0xefffc800,0xc8005fff,0xfffd1fff,0xfff80003,
    0x000fee07,0x27000280,0xffdbaffa,0xd9802eff,0x00dfffff,0x7fffedc4,
    0x3ff6602e,0xfff88dff,0xfffdb885,0x322002ef,0x20dfffff,0xdfffffd9,
    0xfffeb801,0xffc802df,0x3a61dfff,0x00bfffff,0xf89bffe2,0x7ff40fff,
    0x7ffe401f,0x2a0ffff3,0xfffd4fff,0x3fee0003,0x3fffe03f,0x005fffd0,
    0x017ffdc0,0x3bbbbbaa,0xeeffffee,0x203fffd1,0xe85ffffb,0xfff907ff,
    0xffb85fff,0x7c4002ff,0x905fffff,0x01ffffff,0x06fff980,0x8dffff10,
    0x000ffffe,0x3fffffe6,0xffc8002f,0x03fffd1f,0x07fff800,0x666447fa,
    0xcccccccc,0x4000a4cc,0x00660b23,0x00019980,0x33100066,0x00330000,
    0x80099880,0x30000999,0x06620003,0x44006660,0x7fe46fff,0x0ffff44f,
    0x7cffff20,0xfff507ff,0x007fffa9,0x01fffdc0,0x3fa1ffff,0xaaaaacff,
    0xfc81aaaa,0xf80001ff,0xfffe85ff,0x3ffff601,0xd03fff42,0x445fffff,
    0xcccfffff,0xfd01cccc,0x2a05ffff,0x007fffff,0x006fff98,0x983ffffb,
    0x4005ffff,0x07ffffff,0x23fff900,0x0001fffe,0x6c43fffc,0x3fffe65f,
    0xffffffff,0x2aaaaa7f,0xaaaaaaaa,0x0000004a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88dfff10,0x3fa1ffff,0x7fe401ff,0x20ffff3f,
    0xffd4fffa,0x3ee0003f,0x3ffe03ff,0xfffffd0f,0xffffffff,0x01fffb09,
    0x0bfff000,0x4403fffd,0x7f46ffff,0x3ffea07f,0x3ffea2ff,0xffffffff,
    0xffffb03f,0x3ffe201f,0xf98005ff,0xffa806ff,0xfff704ff,0x7fe4005f,
    0x90004fff,0x3ffa3fff,0x7fc0001f,0x20dfa87f,0xfffffff9,0x07ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1bffe200,
    0xfe97ffee,0x7fe401ff,0x20ffff3f,0xffd4fffa,0x3ee0003f,0x3ffe03ff,
    0xfffffd0f,0xffffffff,0x00fffd09,0x217ffe00,0x5401fffe,0x3fa4ffff,
    0x7ffec07f,0x3ffff62f,0xffffffff,0xdffff703,0x3ffffe80,0x6fff9800,
    0x37fffc40,0x03ffffa0,0x7ffffcc0,0xfff90001,0x007fffa3,0x20ffff00,
    0xfffff982,0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe20000,0x5fffd06f,0x9007fffa,0x3ffe7fff,0x29fff507,
    0x0001fffe,0x7c07fff7,0xfffd0fff,0xffffffff,0xdfff09ff,0x3ffe0000,
    0x01fffe85,0xd1ffffd8,0xff880fff,0xffff12ff,0xffffffff,0x3ffe607f,
    0x7ffdc04f,0xff98001f,0x7ffe406f,0x7ffcc01f,0x3ffa005f,0x3f20007f,
    0x3fffd1ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x00110009,0x417bba01,0x6402eeea,0x988003cc,0x5eee8019,0xd15ddd50,
    0x000ae9dd,0x04008800,0x08000800,0x46e20000,0x2e02eeeb,0x3bb62eee,
    0xeeeeeeee,0x5dddd31e,0x64bddd90,0xddd906ee,0x21ddd901,0x3ba4eee8,
    0x5eeed85e,0x75417bb6,0x4c3bb63e,0x07bb24ee,0x00c80750,0x800eee98,
    0x2a00bca8,0x676e445e,0x00de5401,0x80000000,0x00bcedb9,0xd9300fb2,
    0x5bffe05b,0x9913ccc9,0x3332a199,0x80e6e542,0x402cddb8,0xb30dffd3,
    0x05bfffff,0x4d443ba2,0xfff0bf10,0x0fffee0d,0x006fff88,0x400fffb8,
    0xff706fff,0x2bfff17f,0x4000bffc,0xfd71eee9,0xffec87df,0x5777442d,
    0xdb1dffd8,0x3fff667d,0xf930002e,0x17ffe65f,0x3e0ffff8,0xffffffff,
    0x3ff21fff,0x3ffea0ff,0x0bffee1f,0xf05ffff1,0x7ffc4dff,0xfb1bffe5,
    0x7ffc1fff,0x90fff887,0x2ffe89ff,0x7d40dff5,0x01dfb04f,0x404fffd8,
    0x84fffffa,0x3fe67ff9,0xfa84ffff,0x3fa6ffff,0xffffffff,0xffd3ffff,
    0xffffffff,0x7fcc7fff,0x3606ffff,0x3ffee03f,0x6fff85ff,0x3e2dfff7,
    0xfffb0fff,0x3ffedd89,0x7fffffcc,0x7d7aa1cf,0x7ffdc7ff,0x43ffffff,
    0xffeeffe8,0x45fffdff,0xff706fff,0x7ffc407f,0xfffb8006,0x837ffc00,
    0xff8bfffb,0x9ffff95f,0x3ffe6003,0xffffffdb,0xfffffe8b,0x33ffe22f,
    0xff0ffffd,0xfffff59f,0x754007ff,0x3fa2ffff,0xfffa80ff,0x7fffffc4,
    0x41ffffff,0xff15fffe,0xfff887ff,0x27fffd44,0xf88fffe6,0x9bffe5ff,
    0x7c1ffffc,0x4ffd87ff,0xf981fff5,0x09ffb0ff,0xd89ffff3,0x3e606fff,
    0x3a00ffff,0x30ffdadf,0x7f4ffffb,0x42fffdef,0x3ffbaefe,0xfffffffd,
    0x27ffffff,0xfffffffe,0x23ffffff,0xffebbffd,0x89fe42e2,0x3b3ffe63,
    0xb7ffc3ff,0xff16fffb,0x3fff61ff,0xff1ff604,0xffffffff,0x3febffff,
    0x3fffe67f,0x1ffffede,0x3fffffa2,0x4fffffff,0xfb837ffc,0x3fe203ff,
    0xffb8006f,0x37ffc00f,0xf8bfffb8,0xffff94ff,0xf9805bff,0xffefffff,
    0xffffffff,0xff10ffff,0x4dffffff,0xefffffff,0x200fffff,0xffffffb8,
    0x0fffee2f,0x5507fff6,0xfff95555,0xffff30bf,0x20bfff95,0x7fe46ffe,
    0x7ffe47ff,0xf97ffe21,0xffff76ff,0xb8ffff03,0x7fff17ff,0x7cd7ff60,
    0xfffc81ff,0x3ffffb4f,0x7ffffec0,0x7d46ea03,0xfffffb1f,0xffb97fea,
    0xff8bb625,0xffffffd5,0x7fffffff,0x3ffffffa,0x3fffffff,0x2ffb8662,
    0x97fb9ff3,0x91ff21ff,0x76fff8df,0x3fe2dfff,0x9fffb0ff,0xff17fa20,
    0xffffffdf,0x3febffff,0x03fff27f,0xe88bfff3,0xffffffff,0x6fff84ff,
    0x807fff70,0xb8000999,0x7fc00fff,0x7fff706f,0xfeb8a7d4,0x0befffff,
    0x0effff98,0x43bffffa,0xf12fffe9,0x7b59ffff,0x317ffffc,0x9305ffff,
    0xbfffffff,0x46fff885,0x1006fff8,0x201dfffd,0xfffffffb,0x1fff700f,
    0x07fffff4,0x7c00dffd,0xffffaeff,0x4cffff01,0xdffb2fff,0xc9fffc40,
    0xfff906ff,0x03ffffdf,0x7ff7ffc4,0x4ffe8807,0xfbbfecf2,0x01ffe23f,
    0x332e7ff5,0xcccccccc,0x99972ccc,0xf9999999,0xeca887ff,0xfff53fff,
    0x25ffffff,0x07fcc4fd,0x7ffd57e6,0xfc9fffe5,0xffdf53ff,0x20bf83ff,
    0xfffffec9,0x7ffec00d,0x3f601a82,0xffc98cff,0x06fff84f,0x0007fff7,
    0x0fffb800,0xb837ffc0,0x0bf23fff,0x3fffff26,0x3fe61cff,0x7ffd40ff,
    0x9fffdc1f,0x204ffff8,0xfc83ffff,0x3ff6a3ff,0x00cfffff,0xfb87fff6,
    0xfe8803ff,0x7ec00fff,0x202fffff,0xff13fff9,0x3e27ffdf,0x3fe004ff,
    0x03ffffff,0xffe9fffe,0x805fff56,0xff88fffc,0xffff904f,0xfc803fff,
    0x02fff9ff,0xd827ffd4,0xf85ff97f,0x1bfee07f,0x7c000000,0x3ffee3ff,
    0x64c3ffef,0x3209bfff,0x643fe46f,0x49fff14f,0x3fea6ffe,0x7bddb31f,
    0xcc980301,0xfff7001b,0x88017bff,0xffe84fff,0x706fff87,0x3fea7fff,
    0xffffffff,0x3ffa7fff,0xffffffff,0x3ffe3fff,0x17fff706,0xeb880df9,
    0x32ffffff,0xff30ffff,0x9fff50df,0x803fffe2,0xfb80ffff,0xffff93ff,
    0x26005bff,0x3ffa4fff,0xfffd800f,0xfff8801f,0xffe804ff,0xff9dff55,
    0x007ffeeb,0xfffffff8,0x5fffe05f,0xfff2fffb,0xbfff100d,0x6407fff2,
    0x401fffff,0xffd4fff8,0xffa9880d,0xff77fd84,0xc837fcc9,0x00000eff,
    0x27fff000,0xfb8aeff8,0x7fff443f,0xcadffa85,0x07fe44ff,0x7fe45fff,
    0x003ffe65,0x88000000,0xffffffff,0xfff980be,0xf87ffa81,0xfff706ff,
    0x3ffffea7,0xffffffff,0x3fffffa7,0xffffffff,0x5c1bffe3,0x1effefff,
    0x3fff2600,0x0dfff32f,0xf50dfff3,0x3ffe29ff,0x83fffc07,0xff94fffa,
    0xd00017ff,0x3ffe2fff,0xffffc804,0x3fff2002,0x7ffc802f,0xfff39ff9,
    0xf001bff6,0xffffffff,0x45fffe05,0xfff75fff,0x2fffa803,0x7ec0dffd,
    0x6404ffff,0xfff50fff,0x3a0aa885,0xf37fd86f,0x17ff21df,0xd9037ff6,
    0xdddddddd,0x0005dddd,0x3fea7fff,0xe88fff63,0xc84ff9ef,0x20efffff,
    0x77641ef8,0xdd0fbaa1,0x47ddd70b,0x1aaaaaaa,0x001dddb1,0x7fffffcc,
    0x7cc2ffff,0x7ffb82ff,0xf707fff8,0x3ffea7ff,0xffffffff,0x3fffa7ff,
    0xffffffff,0x1fffe3ff,0x1effffdc,0x3ffae200,0xbfff32ff,0x50bfff30,
    0x3fe29fff,0x3fffc06f,0xf94fffa8,0x0005dfff,0xff75fff7,0xfffb803f,
    0x3fe6003f,0x4c00ffff,0x2ffe9fff,0x9fff3fff,0xfffff800,0xff06fffc,
    0x8fffd4ff,0x7f405ffe,0x03fff55f,0x3ffffff6,0xbfff104f,0x7c45fff8,
    0x83ffa8cf,0x3fff67fd,0x7ec1fffe,0xfd2aaaef,0xffffffff,0x0007ffff,
    0x3fe27fff,0x23fffecf,0x1ff71ffa,0x019dfd70,0x10000005,0xfff8bfff,
    0x3e64ffff,0xda8004ff,0xffffffff,0x7c2fffc0,0x7fff86ff,0x267fff90,
    0xeeeeeeee,0x326eeeee,0xfffeeeee,0x3e2eeeee,0xfff907ff,0xffd98007,
    0xf31fffff,0xfff30bff,0x29fff509,0x7c06fff8,0xfff507ff,0x3ffffee9,
    0xf1001cff,0x0dffd9ff,0x04ffffa8,0x3ffffa20,0xfff805ff,0xffb0fffd,
    0x8003fffb,0xff94ffff,0x8ffff07f,0xfff16ffc,0x23ffee05,0xfb03fff8,
    0xffffbfff,0x85fff707,0x7dc1fffc,0xd80fffff,0x3fffa27f,0x7ffc42ff,
    0xffd6ffff,0xffffffff,0xf0007fff,0x7ffe47ff,0x24c4ffbf,0x00000032,
    0x3fee0000,0xffffff85,0x07ffcc4f,0xffd73000,0xfffc85ff,0x3ffffcbf,
    0xe80fffe8,0x00003fff,0x007ffdc0,0x3a03fffa,0xb8803fff,0xeffffffe,
    0x42fffcc2,0xfa84fff9,0xdfff14ff,0x507fff80,0x7dc49fff,0xbeffffff,
    0x7fffec00,0x3fe603ff,0x7e4004ff,0x3ffffdff,0x7ffffe40,0x3ffffee6,
    0x6fff8007,0xf03fffe2,0xffe88fff,0xf10dff72,0x1bff25ff,0xc8ffffec,
    0x7fc3ffff,0x5fff987f,0x00adfca8,0x59750bd9,0xddddd501,0x3bbb29dd,
    0xeeeeeeee,0xee8002ee,0x5515c42e,0x00000005,0x7fc00000,0xffffff06,
    0x07ff509f,0x320b9750,0x3fe23fff,0xffffffff,0x7ffec0ef,0x1ffffe44,
    0x000f3320,0xb003ffee,0xffc89fff,0x3f6603ff,0x1dffffff,0x30bfff30,
    0xff509fff,0x1bffe29f,0x2a0ffff0,0xfd504fff,0x19ffffff,0x3ffffe60,
    0xffff100f,0x5555555f,0x8ffffa83,0x201ffffb,0x24fffffa,0x04fffff9,
    0x7fcbfff1,0x27ffdc6f,0x3e61fffe,0x90fff67f,0x3ffe29ff,0x1fffe880,
    0x512fffe4,0x2aaa0355,0x00000002,0x00000000,0x00000000,0x00000000,
    0x700aa880,0x05777777,0x3fe006a6,0xfffd82ff,0xffffff11,0xdfffffff,
    0xdeffffb8,0x03ffffff,0x001bffe2,0x7003ffee,0xffbdffff,0x6407ffff,
    0x0cffffff,0x42fffcc0,0xfa84fff9,0xdfff14ff,0x507fff80,0xc9809fff,
    0x02ffffff,0x817ffffa,0xfffffffb,0x225fffff,0x3f62ffff,0x7ffc06ff,
    0x7fffc2ff,0xbfff102f,0x7f437ffc,0x1fffe1ff,0xff89ffe4,0x6cdff30f,
    0x3fe202ff,0x000bf901,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffdc00,0x6ffffdce,0x7ede7fdc,0x83ffdadf,0xeffffffe,
    0x2203fff9,0xb8006fff,0x74400fff,0xaeffffff,0x3f203fff,0x26002eff,
    0xff985fff,0x4fffa84f,0xf80dfff1,0xfff507ff,0x3ff22009,0x3fee02ff,
    0x3fee01ff,0xffffffff,0x3fff65ff,0x27fffc45,0x81ffffb0,0x2207fffd,
    0x3ffe5fff,0x26fffa86,0x00007fff,0x80310000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0xffffffff,0x804b80ff,
    0xfffb103d,0x7fff11bf,0x037ffc40,0x007ffdc0,0x6ffffec4,0x203fff88,
    0x98001dfc,0xff985fff,0x4fffa84f,0xf80dfff1,0xfff507ff,0x5fd50009,
    0x037ffc40,0x3fffffee,0x75ffffff,0xf701ffff,0x3ea03fff,0xfffb86ff,
    0x97ffe205,0xffd06fff,0x01fffe5f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xffffffda,0x0000000c,
    0xaa800013,0x0000002a,0x2a000198,0x3fe60000,0x4fff985f,0xf14fffa8,
    0xfff80dff,0x09fff507,0x0000cc00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99880000,
    0x99999999,0x36199999,0x4bbb62ee,0xeeeeeee9,0xeeeeeeee,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fcc0000,0xffffffff,0x3a7fffff,0x4bffa2ff,0xfffffff9,
    0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fcc0000,0xffffffff,0x3a7fffff,
    0x4bffa2ff,0xccccccc8,0xcccccccc,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cc40000,
    0x99999999,0x2e199999,0x06eee1bb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_32_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,1,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,1,1,1,0,0,1,2,2,
-2,1,2,1,2,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,1,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,0,2,0,2,0,2,0,2,0,1,1,
1,1,1,1,1,1,2,2,0,0,-1,-1,-1,-1,-1,-1,1,1,1,2,1,2,0,-2,2,1,1,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,1,1,1,1,1,1,1,1,1,2,1,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,2,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,-1,-1,1,
1,2,1,2,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_32_latin_ext_y[560]={ 25,4,4,4,2,4,4,4,4,4,4,7,21,15,
21,4,4,4,4,4,4,4,4,4,4,4,10,10,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,28,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,4,4,7,4,
4,4,4,4,4,11,9,15,4,0,4,5,4,4,4,10,4,13,25,4,4,11,4,4,4,10,-1,-1,-1,-1,
-1,0,4,4,-1,-1,-1,-1,-1,-1,-1,-1,4,-1,-1,-1,-1,-1,-1,8,3,-1,-1,-1,-1,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
0,5,-1,4,4,9,-1,4,-2,4,-2,4,-1,4,-1,4,4,4,0,5,-2,4,-2,4,4,9,-1,4,-2,4,
-1,4,-2,4,4,2,-2,-1,4,4,-1,4,0,5,-2,4,4,4,-1,10,4,4,-2,4,4,4,10,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,0,5,-2,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-2,4,4,9,-1,4,4,4,-1,4,4,4,-1,4,0,5,-2,4,-2,3,-1,4,4,10,-2,4,-2,4,
-1,-1,4,-1,4,-1,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,9,7,7,7,7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,4,-1,4,-1,
4,-1,4,-1,-1,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-2,-2,4,-2,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_32_latin_ext_w[560]={ 0,5,12,16,15,24,20,5,8,9,11,15,5,9,
4,9,14,10,15,14,16,15,14,14,14,15,5,5,15,15,15,16,28,21,18,19,18,16,15,20,17,6,14,19,
15,20,17,21,16,21,19,17,17,17,21,28,20,21,17,8,9,8,15,18,7,14,16,15,15,15,11,15,14,4,
8,15,4,23,14,16,16,15,11,15,10,15,16,23,16,16,14,11,4,11,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,15,16,16,16,
4,15,10,23,10,14,15,9,23,18,10,16,9,9,7,15,17,4,9,6,11,14,23,23,24,16,21,21,21,21,
21,21,30,19,16,16,16,16,8,7,10,10,21,17,21,21,21,21,21,15,22,17,17,17,17,21,16,16,14,14,
14,14,14,14,24,15,15,15,15,15,8,8,10,10,16,14,16,16,16,16,16,16,16,15,15,15,15,16,16,16,
21,14,21,14,22,16,19,15,19,15,19,15,19,15,18,20,21,17,16,15,16,15,16,15,16,15,16,15,20,15,
20,15,20,15,20,15,17,14,21,16,10,10,10,10,10,10,7,7,6,4,20,12,17,11,19,15,15,15,8,15,
9,15,9,15,10,17,8,17,14,17,14,17,14,20,18,15,21,16,21,16,21,16,27,25,19,11,19,12,19,11,
17,15,17,15,17,15,17,15,17,10,17,14,17,10,17,15,17,15,17,15,17,15,17,15,17,17,28,23,21,16,
21,17,14,17,14,17,14,9,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,17,15,15,15,
15,15,15,15,15,15,15,15,15,15,24,20,15,15,15,15,15,15,15,15,15,15,15,15,15,22,20,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,21,14,10,10,21,
16,17,15,17,15,17,15,17,15,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,21,14,30,24,22,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__arial_bold_32_latin_ext_h[560]={ 0,21,8,22,26,22,22,8,28,28,10,16,9,5,
4,22,22,21,21,22,21,22,22,21,22,22,15,20,16,11,16,21,28,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,24,21,22,21,22,21,21,21,21,21,27,22,27,12,3,5,17,22,17,22,17,21,23,21,21,
28,21,21,16,16,17,22,22,16,17,22,16,15,15,15,22,15,28,28,28,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,27,22,16,21,
28,28,4,22,11,14,11,5,22,4,10,20,11,12,5,21,27,4,6,11,11,14,22,22,22,21,26,26,26,26,
26,25,21,27,26,26,26,26,26,26,26,26,21,26,27,27,27,27,27,14,24,27,27,27,27,26,21,22,22,22,
22,22,22,23,17,22,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,18,22,22,22,22,28,27,28,
25,21,26,22,28,23,27,22,28,22,28,22,27,22,26,22,21,22,25,21,27,22,27,22,28,23,26,22,28,28,
27,28,28,28,27,30,27,26,21,21,26,21,25,20,27,21,28,28,26,15,22,28,28,28,27,27,15,26,26,27,
27,21,21,21,21,21,21,26,21,27,22,26,21,21,22,23,26,21,28,22,27,22,22,17,26,21,27,22,26,21,
27,22,28,22,27,22,27,22,31,30,26,22,21,22,27,22,26,21,28,22,28,23,27,22,28,22,27,21,27,28,
26,26,21,26,21,26,21,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,22,18,18,28,18,18,18,
18,18,18,18,18,18,18,18,18,18,22,17,18,18,18,18,18,18,18,18,18,18,18,18,18,22,16,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,26,22,26,21,27,
22,27,22,27,27,27,27,27,27,27,27,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,28,27,22,29,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_bold_32_latin_ext_s[560]={ 511,505,460,481,272,83,345,473,253,106,431,
67,454,487,506,498,290,277,171,424,116,81,315,101,497,169,260,316,171,388,104,
366,262,405,427,436,467,486,50,382,17,78,210,328,85,446,153,225,288,184,133,
134,216,92,255,187,234,383,348,186,58,503,333,47,497,405,41,372,1,466,66,
270,35,503,479,1,507,120,156,388,456,420,144,1,335,34,187,236,219,403,204,
299,454,459,489,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,511,506,387,
152,17,139,449,237,36,17,420,287,404,487,68,17,443,322,378,349,479,397,421,
506,479,359,366,302,473,110,185,332,250,321,39,61,83,89,423,439,403,464,492,
1,438,51,78,18,349,420,207,229,273,378,356,317,161,469,451,313,295,381,279,
192,177,162,147,132,117,255,441,65,49,33,17,1,270,225,386,317,407,371,373,
356,339,322,305,50,355,258,242,226,210,414,100,148,139,90,29,330,39,238,169,
1,19,470,364,169,331,33,59,486,68,405,111,52,224,319,403,439,83,222,447,
366,216,200,89,116,62,132,259,19,338,366,18,1,481,482,128,305,410,471,291,
471,359,282,62,311,346,402,302,322,266,343,185,459,400,316,413,265,281,247,307,
232,292,241,224,1,180,296,439,206,163,454,324,390,280,136,108,482,19,493,166,
49,194,40,110,389,182,373,37,346,1,274,1,35,214,455,105,362,351,423,123,
123,384,153,1,286,189,17,488,297,195,156,144,165,141,475,195,493,210,105,234,
249,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,97,339,339,431,
339,339,339,339,339,339,339,339,339,339,339,339,339,185,420,339,339,339,339,339,
339,339,339,339,339,339,339,339,458,83,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,288,209,
310,259,251,239,369,256,151,487,19,55,117,128,71,135,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,46,91,420,272,68,302,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339, };
static unsigned short stb__arial_bold_32_latin_ext_t[560]={ 23,190,257,144,89,144,167,257,1,1,257,
257,257,264,257,144,144,235,235,144,235,167,167,235,167,190,257,235,257,257,257,
213,1,213,213,167,213,213,235,167,235,235,190,213,235,213,235,190,235,117,235,
190,235,190,235,235,235,213,213,61,190,32,257,274,264,235,190,235,190,235,235,
117,235,213,1,235,117,257,257,235,167,167,257,257,117,257,257,257,257,167,257,
1,1,1,257,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,23,1,32,
190,257,213,1,1,274,190,257,257,257,264,190,274,257,235,257,257,264,190,61,
23,257,257,257,257,167,190,190,190,89,89,89,89,89,117,190,61,89,89,89,
117,89,117,117,117,190,89,32,32,32,61,61,257,117,32,32,32,32,89,213,
167,167,167,167,167,167,117,235,167,167,167,167,167,213,213,190,213,144,190,144,
144,144,144,144,257,235,144,144,144,144,1,32,1,117,213,117,167,32,117,32,
144,32,117,1,144,32,144,117,117,213,117,117,213,61,117,32,117,32,117,89,
167,1,1,61,1,32,1,61,1,61,89,213,213,89,190,117,235,61,190,1,
1,89,257,144,1,1,1,61,61,257,89,89,61,61,190,190,190,190,190,190,
89,190,61,167,90,213,213,144,117,89,190,1,144,61,144,144,235,89,190,61,
144,89,213,61,117,1,117,61,117,62,144,1,1,89,117,213,117,32,117,89,
213,1,144,33,117,32,144,1,167,61,213,61,1,89,61,213,61,213,89,213,
213,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,167,235,235,1,
235,235,235,235,235,235,235,235,235,235,235,235,235,144,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,144,257,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,89,167,
89,213,32,167,32,167,32,32,61,61,32,61,61,32,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,1,1,32,167,1,117,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235, };
static unsigned short stb__arial_bold_32_latin_ext_a[560]={ 127,153,217,255,255,407,331,109,
153,153,178,268,127,153,127,127,255,255,255,255,255,255,255,255,
255,255,153,153,268,268,268,280,447,331,331,331,331,306,280,356,
331,127,255,331,280,382,331,356,306,356,331,306,280,331,306,433,
306,306,280,153,127,153,268,255,153,255,280,255,280,255,153,280,
280,127,127,255,127,407,280,280,280,280,178,255,153,280,255,356,
255,255,229,178,128,178,268,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,127,153,255,255,255,255,128,255,
153,338,170,255,268,153,338,253,183,252,153,153,153,264,255,127,
153,153,167,255,382,382,382,280,331,331,331,331,331,331,458,331,
306,306,306,306,127,127,127,127,331,331,356,356,356,356,356,268,
356,331,331,331,331,306,306,280,255,255,255,255,255,255,407,255,
255,255,255,255,127,127,127,127,280,280,280,280,280,280,280,252,
280,280,280,280,280,255,280,255,331,255,331,255,331,255,331,255,
331,255,331,255,331,255,331,329,331,280,306,255,306,255,306,255,
306,255,306,255,356,280,356,280,356,280,356,280,331,280,331,280,
127,127,127,127,127,127,127,127,127,127,360,255,255,127,331,255,
255,280,127,280,127,280,177,280,220,280,127,331,280,331,280,331,
280,325,331,280,356,280,356,280,356,280,458,433,331,178,331,178,
331,178,306,255,306,255,306,255,306,255,280,153,280,220,280,153,
331,280,331,280,331,280,331,280,331,280,331,280,433,356,306,255,
306,280,229,280,229,280,229,127,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,333,344,344,255,344,344,344,344,344,
344,344,344,344,344,344,344,344,391,326,344,344,344,344,344,344,
344,344,344,344,344,344,344,380,332,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,331,255,127,127,356,280,331,280,331,280,331,
280,331,280,331,280,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,331,255,458,407,356,280,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_32_latin_ext(stb_fontchar font[STB_FONT_arial_bold_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_32_latin_ext_s[i] + stb__arial_bold_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_32_latin_ext_t[i] + stb__arial_bold_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_32_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_32_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_32_latin_ext_x[i] + stb__arial_bold_32_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_32_latin_ext_y[i] + stb__arial_bold_32_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_32_latin_ext_s[i] + stb__arial_bold_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_32_latin_ext_t[i] + stb__arial_bold_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_32_latin_ext_x[i] + stb__arial_bold_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_32_latin_ext_y[i] + stb__arial_bold_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_32_latin_ext_LINE_SPACING
#endif

