// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT        368
#define STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_37_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_37_latin_ext_LINE_SPACING          24

static unsigned int stb__arial_bold_37_latin_ext_pixels[]={
    0xddddddd3,0xdddddddd,0x00007ddd,0x13333100,0x00260000,0x99995000,
    0xcc880003,0x000002cc,0x00000100,0x4cc00000,0x22000099,0x00000999,
    0x00013333,0x03999910,0x31009880,0x00000001,0x00066660,0x64001998,
    0x30002ccc,0x4ccc4133,0x09998800,0x00018000,0x26059999,0x02aa0099,
    0x00000aa2,0x00000010,0x33300026,0xffffff31,0xffffffff,0x4c09ffff,
    0x7e40000e,0x40000fff,0x00002fe9,0x0027fff4,0x077ffe40,0x7f6dd400,
    0x7cc03cef,0x20002eff,0xefffeec8,0xf88000be,0x30002fff,0x000bffff,
    0x00ffffe0,0x3ffff600,0x3fe6000e,0x2004fd80,0xeeffedca,0xffa8000c,
    0xfb8005ff,0x3ff2005f,0x4c000fff,0x3fea4fff,0xfffe804f,0x7f5c000f,
    0xffb8007f,0x7fc41fff,0x20ffa03f,0x100005fc,0xffffddb7,0x400005bd,
    0x800dffe9,0xff9bfff8,0xffffffff,0xffffffff,0x00ffd884,0x3fffe200,
    0x7fc40001,0x2a00003f,0x80005fff,0x000efff8,0x7fffff44,0x301effff,
    0x00dfffff,0xfffffd88,0x0cffffff,0x3fffe200,0xfff88002,0x80003fff,
    0x0003ffff,0x7fffffdc,0x06ffc004,0xd1005ff5,0xffffffff,0x220019ff,
    0x02ffffff,0x800fffc0,0x6ffffffa,0x27ffcc00,0xc809fff5,0x006fffff,
    0x0ffffff3,0xfffff980,0x1fffc46f,0x7337ff90,0xa80007ff,0xfffffffd,
    0x0cffffff,0x65f74000,0xfff8803f,0xffffff9b,0xffffffff,0x7cc4ffff,
    0x20000fff,0x0001fffc,0x0001ffd8,0x002fff40,0x00fffb80,0x7ffffdc0,
    0xffffffff,0xfffff984,0xfff5003f,0xffffffff,0x2001dfff,0x002ffff8,
    0xffdeffd8,0x7fc0000f,0x260003ff,0xfffabfff,0x3ffea002,0x9805fffe,
    0xffffffff,0x006fffff,0xfffbdffb,0x1bfee001,0x4e7ffc40,0x26003fff,
    0x3fea4fff,0x3ffea04f,0xd803fffc,0x007fffff,0x7fc6fff4,0x0fffe24f,
    0xfffffe88,0x3620005f,0xffffffff,0xfffffffe,0x7f30002f,0x7fc40374,
    0xaaaaa8bf,0xadffffba,0x541aaaaa,0x0000ffff,0x0005fff1,0x00277fe0,
    0x077fcc00,0x1fff8000,0x7fffdc00,0xffffffff,0x7f4c3fff,0xa807ffff,
    0xffffffff,0xffffffff,0xfff8800e,0x7fd4002f,0x00dffd1f,0x03ffff80,
    0xc97ffa00,0x2e000fff,0x00dfffff,0xfffffff8,0xffffffff,0x4fffdc04,
    0x8805ffe8,0xfb003fff,0x0fffdcdf,0x23eee980,0xf103eee9,0x3ffee9ff,
    0x3fffe201,0x3f2006ef,0x5fff50ff,0x100fffe2,0x019ffffb,0x3fffe600,
    0xa98819df,0x004ffffd,0x017e2bf0,0x300fffe2,0x4007ffff,0x000ffffa,
    0x0007f930,0x13fffe20,0x04cc4000,0x01330000,0xfffff880,0xfffb50ae,
    0x3ea03fff,0x3e200fff,0x0abfffff,0xfffffd93,0x26666007,0x16664000,
    0x00039991,0x0004cccc,0x99819988,0x65440009,0xfff5001b,0x36a215bf,
    0x201fffff,0x33262ccc,0x7ffe401c,0x81333000,0x00000999,0x71332a00,
    0x7fd40799,0x998000ff,0x884cc409,0x31003fff,0xffb80003,0x54000bff,
    0x8003fffe,0x801ffffc,0x4c03fff8,0x8803ffff,0x9affffb9,0x7ff54001,
    0xff880005,0x000004ff,0x91001900,0x7fec005b,0x3fe204ff,0xff104fff,
    0x7ff403ff,0x7f401eff,0x00006fff,0x00000000,0x00000000,0xf9000000,
    0xffe80fff,0x000003ff,0x002fffc4,0x00000000,0x7d400000,0x000006ff,
    0x007fff10,0x7fcc0000,0x640000ef,0xa8001fff,0xff1001cd,0xfff9807f,
    0xfffb803f,0x01ffffff,0x0bf2fba0,0xdddd1000,0xdba80007,0x41cdeffe,
    0x3e201efc,0xf9804fff,0xfb806fff,0x3fe07fff,0xfff301ff,0xff1001ff,
    0x54403fff,0x0cccc0ab,0x10033331,0x93001333,0x7bdffffd,0xedca8001,
    0x000ceeff,0x26055d44,0x7fff4199,0x7fffd406,0x055d4404,0x3f206666,
    0x326003ff,0xbdeffffe,0x06666200,0x40266620,0x70009998,0x0000bfff,
    0xf109dddd,0x3bbae7ff,0xeeea800e,0x5ffe881e,0x9882ae20,0x0dffb099,
    0x001dddd7,0x223dddd5,0x7cc03fff,0xfb803fff,0xffffffff,0x7c5f5001,
    0x00000005,0x3ffffa20,0x9dffffff,0x3203fffb,0xd801fb1f,0xb002ffff,
    0xfff8037b,0xffff901f,0x0d654007,0xfffffb10,0x1ffff11b,0x007fffee,
    0x4409ffff,0xfffffffd,0x400cffff,0xffffffe8,0x400cffff,0xdfffffd8,
    0x20ffff88,0x402ffffd,0x36201999,0x88dfffff,0x7fc0ffff,0xfd8800ff,
    0xffffffff,0xffb80cff,0x7ffc01ff,0xdfffb04f,0x17ffee00,0x3fffe000,
    0x93fff885,0x7001ffff,0xf903ffff,0xfff910df,0x3fff2bff,0xc83fff14,
    0xb800ffff,0xff11ffff,0xfff9807f,0xfffb803f,0x01ffffff,0x13e69f10,
    0x15751000,0x2e019998,0xffffffff,0xffffffff,0xf737404f,0x6fffe803,
    0xffd00000,0x3fffe03f,0xf9800007,0xefffffff,0xf10ffff9,0x7d409fff,
    0xff501fff,0xffffffff,0x201dffff,0xfffffff9,0x06ffffff,0x3fffffe6,
    0xffff9eff,0x3ffffee0,0xf30000be,0xdfffffff,0x4c1ffff3,0xfa806fff,
    0xffffffff,0x40efffff,0x204ffff8,0xb01ffffa,0x2e00dfff,0x80004fff,
    0xf885ffff,0xffff93ff,0xffff7001,0x41fff883,0xffffffe8,0x22fffeef,
    0x7fe45ffa,0xffb800ff,0x7fff11ff,0x3ffff980,0xfffca980,0x2000aabf,
    0x002ffffe,0xfffffb10,0x1ffff11b,0xffffff90,0xffffffff,0xf700bfff,
    0xff00dd59,0x00000bff,0x220bfffa,0x0006ffff,0x7ffffc40,0xffffffff,
    0x3fff60ff,0x1bfff607,0x7fffffd4,0xffffffff,0xffff06ff,0xffffffff,
    0xff109fff,0xffffffff,0x441fffff,0xffffffff,0xff1002ce,0xffffffff,
    0x5c1fffff,0x7d405fff,0xffffffff,0x6fffffff,0x207fffd8,0x3606fffd,
    0xf9006fff,0xf00009ff,0xff10bfff,0x3ffff27f,0xffffb800,0x2227fe41,
    0xfbcffffe,0x21ffffff,0x7fe47ff8,0xffb800ff,0x7fff11ff,0x3ffff980,
    0x3fffea00,0xfff98000,0xf98005ff,0xefffffff,0x4c0ffff9,0x1bffffff,
    0x3ffffee6,0xffd8802f,0x7ffc402f,0xb000004f,0xff305fff,0x80000bff,
    0x8bfffffc,0xffffffa8,0x07fffea0,0x441ffffc,0xabffffff,0xffffd950,
    0xffffa87f,0xffb510ad,0xffc83fff,0xfa88bfff,0x540fffff,0xffffffff,
    0x3201cfff,0x88bfffff,0x0ffffffa,0x8813fff6,0xabffffff,0xffffd950,
    0xffffa87f,0x07ffff01,0x8037ffec,0x0003fffc,0x885ffff8,0xfff93fff,
    0xfff7001f,0x40fff83f,0x6c0dfffe,0xff87ffff,0x3ffff20f,0xffffb800,
    0x807fff11,0x003ffff9,0x003fffea,0x3fffff20,0x3fe2000f,0xffffffff,
    0x740fffff,0x200dffff,0x05fffff9,0x7cc00a20,0x00004fff,0x50bfff90,
    0x5c09ffff,0xeeeeeeee,0xdffff14e,0x3ffffea0,0x427fffc0,0xe80ffffa,
    0x401effff,0x646ffffe,0x7f407fff,0x3fe23fff,0xfff506ff,0xfff501ff,
    0xffffffff,0xffff107f,0x3fffea0d,0x0ffffe0f,0x1effffe8,0x37ffff40,
    0x5427fffc,0x3600ffff,0xff006fff,0xf00005ff,0xff10bfff,0x3ffff27f,
    0xffffb800,0xf51bfea1,0xff501fff,0x3ffb0bff,0x007fffe4,0x88ffffdc,
    0x7cc03fff,0x2a003fff,0x8000ffff,0x4fffffff,0x3fffee00,0xffff511e,
    0x7ffdc1ff,0x7ff4406f,0x4c01ffff,0x200aacba,0x004ffffa,0xffff3000,
    0x4ffffa85,0x3fffff20,0xff35ffff,0x7ff405ff,0x7ffe40ff,0x86fffc87,
    0x00fffff9,0x1fffff88,0x501bfffa,0x7cc9ffff,0x3fa02fff,0xf9100fff,
    0xffffffff,0xfff989ff,0x3fffa02f,0x0bfffe0f,0x07ffffcc,0x7ffffc40,
    0x43fffe41,0x6c06fffc,0xfc806fff,0x80000fff,0xf885ffff,0xffff93ff,
    0xffff7001,0x3a1ffe43,0x3fe03fff,0x1ffc84ff,0x003ffff2,0x447fffee,
    0x7cc01ccc,0x2a003fff,0x4000ffff,0xfffffffa,0xffff1007,0x3fffea0f,
    0x3ffffa0f,0x7ffff402,0xff904fff,0x1dffffff,0x09ffff30,0x7ff40000,
    0xfff33eff,0x7ffe40bf,0x55ffffff,0x5c03ffff,0x7cc0ffff,0x7ffc1fff,
    0xffffc83f,0x06b2a003,0x00bffff6,0xffa83333,0x3fee01ff,0xec9800ff,
    0xffffffff,0x07fffea3,0x10ffffb8,0x3203ffff,0x2003ffff,0xff301aca,
    0xffff83ff,0x37ffec03,0x9ffffd90,0x3ffe0000,0x3fff885f,0x001ffff9,
    0x6c3ffff7,0x3ffea1ff,0x17fff406,0xff907ff4,0xff7001ff,0x260003ff,
    0x2003ffff,0x000ffffa,0x7fffffec,0xff9802ff,0x3ffe05ff,0x3fffe0ff,
    0x57ffec06,0xfd86ffff,0xffffffff,0x7ffc41ff,0x2000005f,0x15ffffe8,
    0x640dffff,0xffffffff,0x1ffff75f,0x07fffd40,0xf527fff4,0xfff01fff,
    0xb80000ff,0x0befffff,0x7fffdc00,0x3fffea00,0x7ed44000,0x3ee6ffff,
    0x3ea00fff,0xfff10fff,0x3fffe03f,0xfd000007,0x7ffd49ff,0x7ffec00f,
    0x3ffffe06,0x3fe00005,0xfff885ff,0x01ffff93,0x43ffff70,0x3fee0ffe,
    0x7fffc05f,0x323ffc40,0xb800ffff,0x0001ffff,0x007ffff3,0x007fffd4,
    0xf7ffff10,0xf500bfff,0x7ec07fff,0xfff10fff,0x7ffe40bf,0xb8fffff2,
    0xffffffff,0xff86ffff,0x2ea006ff,0x3ffe6000,0x3ffffe5f,0x33333100,
    0x3f2bffff,0x7fd407ff,0xfffb80ff,0x217fff27,0x006ffff8,0x7fffc400,
    0x02ceffff,0x407fffc8,0x100ffffa,0xffffd300,0x01ffff21,0x261ffff5,
    0xf880ffff,0x00006fff,0x64ffff70,0xfd805fff,0x3ffe06ff,0x200000ff,
    0xf885ffff,0xffff93ff,0xffff7001,0x3f63ffc3,0x3fe603ff,0x46ffa87f,
    0x800ffffc,0x001ffffb,0x07ffff30,0x07fffd40,0x1ffff700,0x801ffff9,
    0x200ffffb,0xf50ffffb,0x3ee09fff,0x3fff63ff,0x3bfffe0f,0xffffd511,
    0x1ffffe81,0x07bffd00,0x5fffff98,0x00fffff6,0x75ffff88,0x5c01ffff,
    0xf880ffff,0xffff1fff,0xbffff305,0xff500000,0xffffffff,0x3fee039f,
    0x3fee00ff,0xfffd90ff,0xffff7001,0x03fffee3,0x10ffffb8,0xf301ffff,
    0x0000bfff,0x47fffe20,0xd802ffff,0x3fe06fff,0x0000efff,0x10bffff0,
    0x3ff27fff,0xffb800ff,0xd1ffe1ff,0x7d405fff,0x3ffd85ff,0x007fffe4,
    0x00ffffdc,0x3ffff980,0x3fffea00,0x3fffa000,0x09ffff35,0x00ffffc8,
    0x5c3fffea,0xfa83ffff,0x7ffe44ff,0x1fd9711f,0x83ffff70,0x805ffffc,
    0x406ffff9,0x22cffffe,0x007ffff9,0x557fffe2,0x3602ffff,0xfb00ffff,
    0xffff39ff,0x13fffea0,0xeeeeeeb8,0xffa84eee,0xffffffff,0xfffa83ff,
    0x3fff602f,0x5ffff70f,0x5ffff700,0x80bfffea,0x3e0ffffd,0xffa81fff,
    0x3bae04ff,0x4eeeeeee,0xf39fffb0,0x3f600fff,0x3fae06ff,0x00004fff,
    0xf10bffff,0x3fff27ff,0xfffb800f,0xfd1ffa1f,0x7ff405ff,0x07ffdc3f,
    0x003ffff2,0x007fffee,0x1ffffcc0,0x3ffff500,0x3fffea00,0x01ffffa2,
    0x405ffff5,0xf70ffffb,0xff985fff,0xffffc85f,0x7ffcc002,0x7fffc41f,
    0x3ffa202f,0x3fea03ff,0xfffb01ff,0xff7001bf,0x3ffe6bff,0xffff305f,
    0x3ffea01f,0x504fffcf,0x6409ffff,0xffffffff,0xfff9105f,0xffffffff,
    0x5ffff989,0x1fffff30,0x03bfffe6,0x0fffff88,0x20bffff3,0x20fffff9,
    0xfa82fffd,0x3f204fff,0xffffffff,0x9ffff505,0x36009fff,0xfb806fff,
    0x80000fff,0xf885ffff,0xffff93ff,0xffff7001,0xfb0ffec3,0x3fea09ff,
    0x3ffe62ff,0x0ffffc83,0x1ffffb80,0x9805ddd1,0x2003ffff,0xcadffffa,
    0x1ffff601,0x405ffff7,0x204ffff9,0xf50ffffd,0x7fcc9fff,0xffffb05f,
    0xfdba8803,0xfa82ffff,0x5c43ffff,0x00fffffe,0x9817fff2,0x01efffff,
    0xbfffffd5,0x8effffec,0xffffffb8,0x3ffffe00,0xff301fff,0x7fe40bff,
    0x5fffffff,0xfffec980,0x6c3fffff,0x711dffff,0x41ffffff,0x81dffffe,
    0x45ffffd8,0x11dffffd,0x1ffffff7,0x4c17ffe4,0x3205ffff,0xffffffff,
    0x3fffe05f,0xb001ffff,0x3a00dfff,0x80002fff,0xf885ffff,0xffff93ff,
    0xffff7001,0xf917fe43,0xffd10dff,0x3ffe21ff,0x1ffff906,0x3ffff700,
    0x300fffe2,0x4007ffff,0xfffffff8,0x9ffff102,0x05ffff88,0x9837fffc,
    0xf30fffff,0x3fe2bfff,0xfffd00ef,0xffd7301f,0x3fffffff,0x3fffff60,
    0xfffffeef,0x7fec03ff,0x7ffdc02f,0xfedeffff,0x5fffffff,0x3fffffea,
    0xfffffffe,0x3fff200f,0x3e206fff,0x3f206fff,0xffffffff,0x7ed44005,
    0x7d46ffff,0xffefffff,0x20ffffff,0xeffffffa,0xfffffecd,0x7fffd43f,
    0xfffffeff,0x3fee0fff,0xffff883f,0x3ffff206,0x205fffff,0x6ffffffc,
    0x1bfff600,0x01fffe40,0x2ffffc00,0xfc9fffc4,0xfb800fff,0x3fea1fff,
    0x37fffe65,0xfffffd51,0x01dfff97,0x003ffff2,0x447fffee,0x7cc03fff,
    0x6c003fff,0x03ffffff,0xd03ffff7,0x7401ffff,0x2e24ffff,0x10ffffff,
    0xfd1dffff,0x7ffc01ff,0xffffd87f,0xffffefff,0xffffb101,0xffffffff,
    0xfffd009f,0xffff5005,0xffffffff,0xf90bffff,0xffffffff,0x401ffffb,
    0x3ffffff9,0x03ffffc0,0xff333331,0x20020bff,0x40ffffe9,0xfffffffc,
    0x0ffffdff,0x7fffffe4,0xffffffff,0xfffff904,0xfffbffff,0x2fffcc1f,
    0x207ffff8,0xff999998,0x3fe605ff,0x2003ffff,0x7006fffd,0x00009fff,
    0xf10bffff,0x3ffee7ff,0xfffb801f,0x907ffc1f,0xffffffff,0xffffffff,
    0x7fdc01bf,0xffb801ff,0x7fff11ff,0x3ffff980,0x7ffec400,0xfffd03ff,
    0x3fffee0d,0x3fffe204,0xfffffdff,0x3ffe0fff,0x01fffeff,0xb17fffea,
    0x159fffff,0x803ffff1,0xfffffffb,0xd004ffff,0x26003fff,0xffffffff,
    0x01dfffff,0x3fffffee,0x0ffffb9f,0x7fffff40,0x7fffe400,0x3ffe2003,
    0x1fffd95f,0x3ffff700,0xffffff70,0x1ffff73f,0xffffff90,0x07ffffff,
    0xffffffb8,0x0ffffb9f,0x641fffe2,0x2003ffff,0x405ffff8,0x00fffffe,
    0x01bfff60,0x8827ffdc,0xf880ecca,0xff884fff,0x3ffff73f,0x1ffff900,
    0x7e44ffc8,0xfaefffff,0x04ffffff,0x01ffffb8,0x10ffffc8,0x00007fff,
    0x004cc400,0x55bffff3,0xffff7555,0xffffa80f,0xffdfffff,0x3ffee0ff,
    0x7401ffff,0x3ea3ffff,0xff983fff,0xed9801ff,0x0cffffff,0x07fffe00,
    0xffff9500,0x00379dff,0x42f7f6e6,0xb807fffb,0xa805ffff,0x000fffff,
    0x2ebffff1,0xb802ffff,0x7302ffff,0x3ee17bfb,0x3f2207ff,0xceffffff,
    0xbfb73001,0x1fffee17,0x2a07fffa,0x000fffff,0x80bffff1,0x005ffffb,
    0x8037ffec,0xf505fffb,0xff105fff,0xfff109ff,0x13fffea7,0x21ffff60,
    0x64c2fff9,0x3f6a3dfe,0x55440acd,0x13fffea2,0x89ffff60,0x00003fff,
    0xffc80000,0xffffffff,0x02ffffff,0x7fffffe4,0x0ffffb9f,0x3fffffe2,
    0x7fffdc02,0x837ffe46,0x001ffff9,0x0073fb26,0x00ffffc0,0x0effeb80,
    0xff700000,0xfff700ff,0x3ffa005f,0xfb800dff,0xfff35fff,0x7fc401df,
    0x70000fff,0x2600ffff,0x0000cffd,0x87fffb80,0xfd03fffa,0x7001bfff,
    0xb80bffff,0x4002ffff,0x5005fffd,0x3e20bfff,0xffa84fff,0xfff883ff,
    0x3fffff33,0x3ffffd40,0x001fffc8,0x27ffcc00,0x03fffff3,0x13ffffd4,
    0xff007fff,0xf90007ff,0x7ffc07ff,0xffffffff,0x05ffffff,0x0bdfda88,
    0xf90ffff7,0x2209ffff,0x42fffffd,0xfb07fffd,0x6c005fff,0x003fffff,
    0x007fffc4,0x7ffffcc0,0x599d000e,0x37ffe405,0x07ffff40,0xfffff980,
    0xffea882e,0x3ffa5fff,0xfd881dff,0x66745fff,0x3fff202a,0xffff9006,
    0x599d009f,0x37ffe405,0xf305ffe8,0x105dffff,0xbfffffd5,0x0ffffe80,
    0x2ffff400,0x06fffa80,0x987ffffe,0x881ffffe,0x3ffa3fff,0x2a20aeff,
    0x203ffffe,0x0003fffe,0xd0dfff30,0x415dffff,0x3ffffea8,0x200fffe2,
    0x8003ffff,0xf503fffc,0xffffffff,0xffffffff,0xfb80001f,0xfffb87ff,
    0xeccdffff,0x85ffffff,0x30cffffc,0x05fffff9,0x0fff3040,0x0ffffc80,
    0xfb108800,0x3ffa007f,0xfff983ff,0x3ff2204f,0x7e4004ff,0xdeffffff,
    0xffffffff,0x3fffea5f,0xffecdeff,0x7f43ffff,0xff983fff,0x4c1004ff,
    0x7f400fff,0xff983fff,0xfff504ff,0x7ffffe40,0xffffdeff,0x105fffff,
    0x009ffff9,0x3ffff26a,0xffff3004,0x3ffff205,0xfffffeef,0x47fff105,
    0xfffffffa,0xffffffee,0x3ffe200f,0xb30002ef,0xf503ffff,0xddffffff,
    0x1fffffff,0x401fffc4,0x8003ffff,0xfb03fffc,0x99999fff,0xfffb9999,
    0x5599d09f,0x237ffe40,0xfffffffa,0xffffffff,0xff980dff,0xfffeffff,
    0x0003ffff,0xf3003ffa,0x00dfffff,0x017fee00,0x77ffffe4,0xfffffecc,
    0x7ffeedc1,0xc8000fff,0xffffffff,0xffffffff,0xfffffc84,0xffffffff,
    0xffffc84f,0xfffeccef,0xfb0001ff,0xfffc803f,0xffecceff,0x3fa01fff,
    0x3fff202f,0xffffffff,0x5c4fffff,0xffffffdd,0xffffd000,0x3e2007ff,
    0x447fffff,0xffffffff,0xf100efff,0xfffd87ff,0xffffffff,0xd8803fff,
    0x9bdfffff,0x3b2a6609,0x200effff,0xfffffffd,0x3fffffff,0x401fffc4,
    0x8003ffff,0xf881fffc,0xf1005fff,0xffd0ffff,0xfff309ff,0x6fffcc9f,
    0xfffffffc,0x402fffff,0xfffffffc,0x05fffdcf,0xfdb99a98,0xfff9805f,
    0xa8003fff,0x2fffba99,0xfffff100,0xffffffff,0xfffff709,0x540009ff,
    0xffffffff,0x01dfffff,0x3ffffff2,0x03ffffff,0xfffffff1,0x09ffffff,
    0xf9533510,0xfff100df,0xffffffff,0xffa809ff,0x7fffd406,0xffffffff,
    0xfffb81df,0x1004ffff,0x1fffffff,0x7fffe400,0xffffa87f,0x01ffffff,
    0x320fffe2,0xffffffff,0x4002ffff,0xfffffffa,0xffffffff,0x9004ffff,
    0xffffffff,0xf105ffff,0xf99007ff,0x3a20001f,0x5ffff907,0x7fffec00,
    0x7ffffe42,0xffffecce,0x43bff21f,0xffffffc8,0xf5000cef,0x2a3dffff,
    0x5c00ffff,0x0effffff,0xfffff980,0xffff0005,0x98007fff,0xfffffffe,
    0xff503fff,0x000bffff,0x3ffff6a0,0x001bceff,0xffffff91,0xe98039df,
    0xffffffff,0xff5003ff,0x003fffff,0x3fffffa6,0x003fffff,0xb5003ffd,
    0x9dffffff,0x7ffd4037,0x26005fff,0x02ffffff,0x7ffff440,0xffffb107,
    0xf8803bff,0xffb303ff,0x1bdfffff,0x3f6e2000,0xffffffff,0x00beffff,
    0x7fffecc0,0x100defff,0x2e007fff,0xfd30006f,0x1ffffe09,0xbffff500,
    0xffffff88,0x5fffffff,0x53100ec8,0xa9800015,0xc9800009,0x2002ccec,
    0x001deef9,0x06f77320,0xfdb93000,0x4c0179dd,0x001defee,0x03533000,
    0x2aa62000,0xdb930000,0x00179ddf,0x166f664c,0xfedc9800,0x2000bcee,
    0x4c005ffb,0x74c001a9,0x4001defe,0x01bdfec9,0x1fbb6a00,0x0026aa60,
    0x401fffc4,0x0001aa99,0xeecca880,0x01bcdeef,0x35533000,0x0fffe200,
    0x005ffb10,0x7d413f60,0xf8004fff,0x74c0ffff,0xffffffff,0x000204ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001ee800,0xffd80660,0xfc8001ff,0xb9304fff,0x017bdffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0c000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20333330,0x88000198,0x00000999,0x000f332e,0x2a205510,
    0x99930002,0xdddddddb,0x7fe403dd,0x3b2001ff,0x200004ee,0x3f23fff9,
    0x362000ff,0x009dd14e,0x99995000,0x3e600000,0x3fff22ff,0x77775c00,
    0xeeeea800,0xeeeea801,0x3ba20002,0x5dddb2ee,0x4bffd100,0x0002fffa,
    0x01bfffe2,0x00015000,0xc9801980,0x00001ccc,0x03bbbae0,0x5302a880,
    0x00000003,0x6f7fff54,0x3fe60001,0x7ff903ff,0xfffe8000,0xff700004,
    0x80005fff,0x04fd82ff,0x7ffff540,0xffffffff,0x7fec01ff,0x3ff6005f,
    0x5c00005f,0xfffa9fff,0xcffa8002,0x00000efe,0x1fffffcc,0xffc80000,
    0x02fffa8f,0x00ffffc8,0x01ffffb8,0x7fffffc4,0xfff90000,0x013ffee9,
    0xf8afff98,0x5c0004ff,0x0000efff,0x7001be60,0x3e615bff,0xffffb807,
    0xf3000002,0x400bffff,0x7fc40ff9,0x6e440002,0x881cdeff,0xfffffffe,
    0xffb0005f,0x3ffcc09f,0x3fffa000,0xff880004,0x000fffff,0x262fbf60,
    0x26002ffc,0xffffffff,0xffffffff,0x1fffd801,0x0bfffb00,0xdffb0000,
    0x4000bfff,0x000efffb,0xffffe800,0x000001ff,0x9fffdffd,0x3ffff200,
    0xffffb800,0x7f7fec01,0xf88005ff,0x1bffa5ff,0x3bffee00,0x40000eff,
    0x0000efff,0x70027e40,0xfdffffff,0xfff700ff,0x1000005f,0x7fffdffd,
    0x456ffc00,0x0000ffda,0x3fffffa2,0xfffd81ff,0x5fffffff,0x2fffcc00,
    0x001fff40,0x009fffd0,0xf1dffd00,0x44000bff,0x5fffffff,0x3fffe200,
    0xffffffff,0x001fffff,0x36009ffd,0x00005fff,0xffffff88,0x43c98000,
    0x200004c8,0xffe8fffc,0xf1000006,0x400dffff,0x800ffffc,0x201ffffb,
    0xffa9fffb,0x7fdc002f,0x01dff50e,0x3ffffa00,0x7d40001f,0x800000ff,
    0x3f6001fe,0xffffffde,0xffffb804,0xfd800002,0x1fffb8ef,0xfffff500,
    0xd80005ff,0x7fffffff,0xbeffffa8,0x02ffffeb,0x4017ff20,0x0000fffb,
    0x0009fffd,0xf30fffc8,0x440005ff,0x003ffffd,0x7fffffdc,0xffdcdfff,
    0xd1000cdf,0xffb001ff,0x200000bf,0x002eeeea,0x7f98df70,0xfff50000,
    0x013ffe23,0x77754000,0x3ff2001e,0xffb800ff,0xfff301ff,0x007ffdc7,
    0x7f41fff0,0x3a20001f,0x80003eee,0x00001ffe,0x7c007f88,0x0b7b260f,
    0x17fffdc0,0x3fea0000,0x01bff61f,0x2ffffea8,0xffff8000,0xfc85feef,
    0x7ffc0fff,0xbdb1004f,0x03fff800,0x01333100,0x40999800,0x80000998,
    0xfb000198,0xffffffff,0x00bffea3,0x3ff60000,0x0000005f,0x44ea8000,
    0x100006e8,0x19988133,0x00000000,0x01ffff90,0x03ffff70,0x00000000,
    0x00000000,0x20000000,0x000004fb,0x3fffee00,0x00000002,0x00262000,
    0x7fffcc00,0x7ffe4044,0x15e6dc0f,0x7ec00000,0x000000ff,0x00000000,
    0x7f400000,0xffffffff,0xb85fff51,0xa800eeee,0xffb1eeee,0x0d5cc4bf,
    0x03bbbae0,0x47bbbaa0,0x800eeeeb,0x001eeeea,0x00000000,0x9dffd973,
    0xfff90037,0xfff7001f,0x3bbbae3f,0xeeeea800,0x01dddd71,0x03dddd50,
    0xdffdb750,0xeeeb8079,0xeeea800e,0x5dd4c01e,0xb98002fe,0x1bceffec,
    0x2ffffb80,0xcb980000,0x01bceffe,0xb8000000,0xa801ffff,0x000dffff,
    0x20066662,0x7d409998,0x2ea004ff,0x03ceffed,0x3fb6ea00,0x20003cef,
    0xceffecb9,0xffff001b,0x23ffffff,0x7e42fffa,0xfb800fff,0xfffb1fff,
    0x3ffffeeb,0xffff901f,0xffff7001,0x03ffff23,0x47fffee0,0x4406eeec,
    0x403eeeee,0x200eeeeb,0xffffffe9,0x200dffff,0x800ffffc,0xf91ffffb,
    0xf7001fff,0x3ff23fff,0xffb800ff,0x3fa201ff,0xffffffff,0xffff901e,
    0xffff7001,0x3fffee03,0x3000dfff,0xfffffffd,0x5c01bfff,0x0002ffff,
    0x3ffffa60,0x0dffffff,0x0dddd900,0x3f666600,0x40199fff,0x01effffe,
    0x03ffff70,0x444ffff8,0xe8807fff,0xffffffff,0x3a2001ef,0xffffffff,
    0x3a6001ef,0xffffffff,0x7ec00dff,0xffffffff,0xc85fff51,0xb800ffff,
    0xffb1ffff,0xfffffbdf,0xff907fff,0xff7001ff,0x3fff23ff,0xfffb800f,
    0x3ffff91f,0x7ffffd40,0x3ffff406,0xffffff90,0xffffffff,0x3ffff205,
    0xffffb800,0x01ffff91,0x23ffff70,0x800ffffc,0x701ffffb,0xffffffff,
    0x909fffff,0x7001ffff,0xd883ffff,0xffffffff,0x7fe402ff,0xffffffff,
    0xf702ffff,0x00005fff,0x3ffffff2,0xffffffff,0x7fffd802,0xfffff000,
    0x01ffffff,0x7fffffcc,0xffff8804,0x3fffea04,0x00fffe81,0x3fffffee,
    0x4fffffff,0xfffffb80,0xffffffff,0xffffc804,0xffffffff,0x3ff202ff,
    0x1fffffff,0xfc85fff5,0xfb800fff,0xfffb1fff,0xffffffff,0xffc85fff,
    0xffb800ff,0xffff91ff,0xffff7001,0x0ffffea3,0xffffffc8,0xbffff100,
    0x3fffff20,0xffffffff,0xffc83fff,0xffb800ff,0xffff91ff,0xffff7001,
    0x03ffff23,0x07fffee0,0x3fffffee,0xffffffff,0x7fffe43f,0xffffb800,
    0x7fffff41,0x0fffffff,0xffffff90,0xffffffff,0xfff707ff,0xf900005f,
    0xffffffff,0x7fffffff,0x07fffd80,0xfffff980,0x407fffff,0xfffffffd,
    0x7ffec01e,0x1bfff607,0xb817ffec,0xffffffff,0x3fffffff,0x3ffffee0,
    0xffffffff,0x3ff203ff,0xffffffff,0x03ffffff,0xfffffff1,0x3ffea3ff,
    0x07fffe42,0x8ffffdc0,0x2efffffd,0x8dffff91,0x800ffffc,0xf91ffffb,
    0xf7001fff,0x3fe23fff,0x3ffa05ff,0xf302ffff,0xff507fff,0x1137ffff,
    0xffffff73,0x0ffffc81,0x1ffffb80,0x001ffff9,0x323ffff7,0xb800ffff,
    0x7c41ffff,0x50aeffff,0x3ffffffb,0x007fffe4,0x50ffffdc,0xf19fffff,
    0x509fffff,0x37ffffff,0xffff7311,0xfffb81ff,0x7d40002f,0x89bfffff,
    0xfffffb98,0x3fff600f,0xfffa8007,0x5fffffff,0x3fffff60,0x204fffff,
    0xf01ffffa,0x3f207fff,0xfff883ff,0xfb50aeff,0x103fffff,0x15dfffff,
    0x3fffff6a,0xffffa81f,0xb9889bff,0x00ffffff,0xfffffff5,0x0bffea3f,
    0x001ffff9,0x363ffff7,0xf905ffff,0x7fe45fff,0xffb800ff,0xffff91ff,
    0xffff7001,0x837fff43,0xfffffff8,0x3ffff704,0xdffffe88,0x3fffa200,
    0x7fffe45f,0xffffb800,0x01ffff91,0x23ffff70,0x800ffffc,0x6c1ffffb,
    0x2204ffff,0x324fffff,0xb800ffff,0x3fe1ffff,0x37be66ff,0x3a20ffff,
    0x200dffff,0x45ffffe8,0x002ffffb,0x3ffffa20,0x3ffa200d,0x3ff605ff,
    0x9988007f,0x99affffb,0x2bfff700,0x6ffffffb,0x213fffe0,0x700ffffa,
    0xffb0bfff,0x7fc409ff,0xffd84fff,0x3fe204ff,0x7f444fff,0x2200dfff,
    0x205ffffe,0xffffffe9,0xc85fff51,0xb800ffff,0xffb1ffff,0x3fe201ff,
    0x3fff24ff,0xfffb800f,0x1ffff91f,0x3ffff700,0x407fffe4,0xfffffffb,
    0x0ffffb06,0x00dffff7,0x8bffffe2,0x800ffffc,0xf91ffffb,0xf7001fff,
    0x3ff23fff,0xffb800ff,0x3ffe61ff,0xfffb806f,0x3ffff27f,0xffffb800,
    0x45ffff31,0x81ac9bfc,0x006ffffb,0x45fffff1,0x002ffffb,0x1bfffee0,
    0x7ffffc40,0x0ffffb02,0xffffb800,0x1fffd800,0x3fffffa6,0x0ffff905,
    0x540dfff9,0x7fcc6fff,0xffb806ff,0x7ffcc7ff,0xfffb806f,0x7fffdc7f,
    0xffff1006,0xfea8805f,0x5fff51ff,0x00ffffc8,0xb1ffffb8,0xfe80ffff,
    0x3fff25ff,0xfffb800f,0x1ffff91f,0x3ffff700,0x417fffd4,0xfffefffd,
    0x5ffff80f,0x02ffffe8,0x97fffee0,0x800ffffc,0xf91ffffb,0xf7001fff,
    0x3ff23fff,0xffb800ff,0x3fff61ff,0x37bb002f,0x00ffffc8,0x51ffffb8,
    0x7f41ffff,0xffffe801,0x3ffee002,0x3fffee5f,0x3ffa0002,0x3ee002ff,
    0xffb05fff,0xfc8000ff,0xfff007ff,0xfffd883f,0xfff983ff,0x1ffffc1f,
    0xd8ffff30,0xb002ffff,0xfffb037b,0x2f76005f,0x2ffffe81,0x3fffee00,
    0x3fff9005,0xf90bffea,0xf7001fff,0x3ff63fff,0x7ffec06f,0x03ffff26,
    0x47fffee0,0x800ffffc,0x261ffffb,0xff84ffff,0x2ffffaff,0x21ffffc4,
    0x006ffff8,0x326ffff8,0xb800ffff,0xff91ffff,0xff7001ff,0x3fff23ff,
    0xfffb800f,0x1bfffa1f,0x7ffe4000,0xfffb800f,0x1ffff71f,0x3e201fe2,
    0xf8006fff,0x3fee6fff,0xf10002ff,0xf000dfff,0x3f60dfff,0x740007ff,
    0xfd005fff,0x3fee09ff,0xfffd06ff,0x07fffd49,0x43ffff10,0x0006fffe,
    0x01bfffa0,0x7fffc400,0xffff8006,0x3fff9006,0xf90bffea,0xf7001fff,
    0x3ff63fff,0x7ffe405f,0x03ffff27,0x47fffee0,0x800ffffc,0x7c1ffffb,
    0x7fcc5fff,0x4fffd8ff,0x20ffffd4,0x005ffffa,0x2e7fffe8,0xb801ffff,
    0xff90ffff,0xff7001ff,0x3fff23ff,0xfffb800f,0x17fffe1f,0x7ffe4000,
    0xfffb800f,0x4ffff91f,0xffa804fb,0xfe8005ff,0x3ffee7ff,0xff50002f,
    0xfd000bff,0x3ff60fff,0x7fc0007f,0xff7004ff,0x3fea09ff,0xfffb80ff,
    0x017fff27,0x7c3ffff1,0x00005fff,0x0017fffe,0x2ffffd40,0x3ffff400,
    0x51fffc80,0xffc85fff,0xffb800ff,0xdfffb1ff,0x26fffd80,0x800ffffc,
    0xf91ffffb,0xf7001fff,0xffd83fff,0xb7ffdc7f,0x7e46fffb,0xfffa87ff,
    0xffd8004f,0xffff70ff,0xffff9003,0x03ffff21,0x47fffee0,0x800ffffc,
    0xf11ffffb,0x00009fff,0x003ffff2,0x5c7fffee,0x5fb0ffff,0x9ffff500,
    0xffffb000,0x0bfffee1,0x7fffd400,0xfffd8004,0x7fffd80f,0x3ffe2000,
    0xfff3002f,0xffd01bff,0xffff101f,0x00bfffe3,0x221ffff1,0x0004ffff,
    0x09ffff10,0x3ffea000,0xffd8004f,0xffc800ff,0x85fff51f,0x800ffffc,
    0xfb1ffffb,0xffe80fff,0x3ffff25f,0xffffb800,0x01ffff91,0x83ffff70,
    0x361ffffb,0xfff33fff,0x2ffff41f,0x01ffffdc,0x97fffe40,0x803ffffa,
    0x3f27fffd,0xfb800fff,0xfff91fff,0xfff7001f,0x3fffe63f,0xff900004,
    0xff7001ff,0x3ffea3ff,0x2e0ff89f,0x7fffdc1a,0xfffc8003,0x5ffff72f,
    0x3ffee000,0xffc8003f,0xfffd82ff,0x3fea0007,0x3f6001ff,0x742fffff,
    0x3ff606ff,0x07fff9cf,0x267fff88,0x0004ffff,0x09ffff30,0x3ffee000,
    0xffc8003f,0xffc802ff,0x85fff51f,0x800ffffc,0xfb1ffffb,0x3e605fff,
    0x3ff24fff,0xffb800ff,0xffff91ff,0xffff7001,0x2ffff983,0xff87fffe,
    0x3fffe2ff,0x2ffffb83,0xffffc800,0x3fffff12,0x37fffd40,0x001ffff9,
    0x323ffff7,0xb800ffff,0xff51ffff,0x200009ff,0x800ffffc,0xf31ffffb,
    0x4bf59fff,0xf72ffffa,0x90005fff,0x3ee5ffff,0x70002fff,0x0005ffff,
    0xb05ffff9,0x4000ffff,0x8007fffb,0xdffffffd,0x204fffb8,0xffcffffa,
    0xfff9804f,0x13fffea6,0x7ffd4000,0xf700004f,0x90005fff,0x9005ffff,
    0x3fea3fff,0x7fffe42f,0xffffb800,0x3fffffb1,0x1ffffd88,0x003ffff2,
    0x647fffee,0xb800ffff,0xff81ffff,0xffff34ff,0xf34fffd8,0xff503fff,
    0xfb0007ff,0x7ffc3fff,0x2a20aeff,0x324fffff,0xb800ffff,0xff91ffff,
    0xff7001ff,0x3ffe63ff,0xf900004f,0xf7001fff,0x7ff43fff,0x3fa3feff,
    0xfff50fff,0xffb0007f,0x3ffee3ff,0xff50002f,0xfb0007ff,0xffb03fff,
    0x7ec000ff,0xf90006ff,0xffffffff,0xfff801df,0x801fffff,0x3e65fffa,
    0x00004fff,0x009ffff3,0x3fffea00,0xfffd8003,0xfffc801f,0xc85fff51,
    0xb800ffff,0xffb1ffff,0xf937ffff,0xfc8bffff,0xfb800fff,0xfff91fff,
    0xfff7001f,0xdfffb03f,0xf517fff2,0x3ffeedff,0xffff980f,0xfffe8004,
    0x3fffe60f,0xfffeefff,0x3f21ffff,0xfb800fff,0xfff91fff,0xfff7001f,
    0x3fffe23f,0xff900005,0xff7001ff,0x7ffd43ff,0xffebbfff,0x3ffe65ff,
    0xffe8004f,0xffff70ff,0xffffffff,0x3e63ffff,0xe8004fff,0xfd80ffff,
    0x3a0007ff,0x20005fff,0xfffffffa,0xffc800ef,0x7006ffff,0x7fc47fff,
    0x100005ff,0x000bffff,0x13fffe60,0x3ffffa00,0x1fffc800,0xfb85fff5,
    0xfb801fff,0xfffb1fff,0xffffffff,0xffb81fff,0xffb801ff,0xffff71ff,
    0xffff7003,0x1ffff903,0xf887fffd,0xfffd8fff,0xdffff106,0xfffff000,
    0xffffff70,0xffffffff,0x1ffffb89,0x1ffffb80,0x003ffff7,0x7c3ffff7,
    0x2a006fff,0xffffb80b,0xffffb801,0x7ffffec1,0x0effffff,0x01bfffe2,
    0xb9ffffe0,0xffffffff,0xffffffff,0x0dffff11,0x0fffff00,0x001ffff6,
    0x003ffff8,0x7fffec40,0xff3004ff,0x2007ffff,0x7fc2fffd,0x2ea006ff,
    0x0dffff00,0x7c405d40,0xf8006fff,0xf9007fff,0x3ffea3ff,0x0ffffdc2,
    0x87fffe40,0xffbdfffd,0x82ffffff,0x801ffffb,0xf70ffffc,0xf9003fff,
    0xff501fff,0x3ffff5ff,0xff5fffd0,0x7ffc09ff,0x3ea001ff,0xff905fff,
    0xffffffff,0xfff709ff,0xfff9003f,0x3fffee1f,0xffffc801,0x07ffffa0,
    0x71efff40,0x9003ffff,0xd881ffff,0xffffffff,0xffff81ff,0x3fea001f,
    0x3ffee5ff,0xffffffff,0x3e1fffff,0x2001ffff,0xb05ffffa,0x2000ffff,
    0x002ffff9,0xfffff500,0x3ffa003f,0xfd000fff,0xfffe83ff,0xbffd001f,
    0x1ffffe87,0x87bffd00,0x001fffff,0x017fffea,0xfa8fffe4,0x7ffd42ff,
    0xfffd804f,0x4d7fff67,0x00dffffe,0x009ffff5,0x7d4ffffb,0xfd804fff,
    0xfff107ff,0x20ffffdf,0xfffdfffc,0x3fff202f,0x3ffa006f,0x36e203ff,
    0xcfffffff,0x9ffff501,0x4ffffb00,0x804ffffa,0x7e47fffd,0xf9805fff,
    0x3fea6fff,0xffd804ff,0x3ffee07f,0x900bffff,0x400dffff,0x2e3ffffe,
    0xffffffff,0xffffffff,0x1bffff21,0x3ffffe80,0x00ffffb0,0x03fffea0,
    0xffd88000,0xff7006ff,0x3e200bff,0xfffc86ff,0xfff9805f,0x7fffe46f,
    0xffff9805,0x37fffe46,0x7ffffd00,0x47fff200,0x7cc2fffa,0x2a01ffff,
    0x3f67ffff,0x00d445ff,0x0fffffcc,0x4fffff50,0x01fffff9,0x81ffffea,
    0xfffffffe,0xfffff505,0x7c401fff,0xc804ffff,0x2006ffff,0x8009dff8,
    0x01fffff9,0x99ffffea,0x201fffff,0x447ffffa,0x202fffff,0x23ffffe8,
    0x01fffff9,0x81ffffea,0x009aaef9,0x4fffff88,0x6ffffc80,0x01bcc980,
    0x3ffffe20,0xffffc804,0x1ffff606,0x3fffdc00,0x80a98800,0x800ffffd,
    0x002ffffb,0xf107fff5,0x4405ffff,0x443ffffe,0x202fffff,0x43ffffe8,
    0x04fffff8,0x06ffffc8,0x547fff20,0xffe82fff,0x2a20aeff,0x363ffffe,
    0x40005fff,0x0aeffffe,0x3ffffaa2,0x77ffff43,0x3ffaa20a,0x3ff203ff,
    0x103fffff,0xdfffffff,0xfffff700,0xfffd303d,0xff8005ff,0x7fff4003,
    0x3aa20aef,0x7f43ffff,0x220aefff,0x83ffffea,0x43fffffa,0xfffffeb8,
    0x77ffff40,0x3ffaa20a,0x13ee03ff,0x7fffdc00,0xffe981ef,0xfa802fff,
    0x7000ffff,0x03dfffff,0x5fffffd3,0x03fffec0,0x06fffd80,0x85ffff80,
    0x801ffffa,0x000ffffe,0x2a01fff9,0x443fffff,0x0fffffeb,0x3fffffa8,
    0x7ffff5c4,0xffffb80f,0xffe981ef,0x32002fff,0xfff51fff,0xfffff505,
    0xffffddff,0x7fec1fff,0x7d40005f,0xeeffffff,0x0fffffff,0x7fffffd4,
    0xfffffeef,0x3fea00ff,0x200fffff,0x4ffffffe,0xfffffd00,0xffffdbff,
    0x8800bfff,0x7d4004ff,0xeeffffff,0x0fffffff,0x7fffffd4,0xfffffeef,
    0xfffb00ff,0xfffddfff,0xf507ffff,0xddffffff,0x1fffffff,0x00017f40,
    0xfffffffd,0xffffffdb,0x2ea200bf,0x3a004ffe,0xdfffffff,0xfffffffe,
    0x3fffec05,0x4ffff800,0xffffd800,0x03fffe42,0x13ffff22,0x405fff80,
    0xeffffffd,0xfffffffe,0x3ffff603,0xffffeeff,0x3fa03fff,0xedffffff,
    0x5fffffff,0x8fffe400,0xfb02fffa,0xffffffff,0xd87fffff,0x80005fff,
    0xfffffffd,0x3fffffff,0xffffffb0,0xffffffff,0xffff8807,0x7fe406ff,
    0x1002ffff,0xfffffffd,0xbfffffff,0x6ff88001,0xffffd800,0xffffffff,
    0xfffb03ff,0xffffffff,0x6c407fff,0xffffffff,0x204fffff,0xfffffffd,
    0x3fffffff,0x0001fe20,0xffffffd1,0xffffffff,0xff50001b,0x7ff4400f,
    0xffffffff,0x400dffff,0x8807fffd,0x0bfffee0,0x3fffea00,0xffffecef,
    0xfffddb85,0xf5000fff,0xfd8803ff,0xffffffff,0x4404ffff,0xfffffffd,
    0x04ffffff,0x7fffff44,0xffffffff,0x7e4000df,0x5fff51ff,0x7ffffe40,
    0x2fffffff,0x005fffd8,0xfffff900,0x5fffffff,0xfffffc80,0x2fffffff,
    0xfffffd00,0xffffa809,0x7dc000ff,0xffffffff,0x20002fff,0x05ccfffd,
    0xffffff90,0x05ffffff,0xffffffc8,0x02ffffff,0xffffff70,0x009fffff,
    0xfffffff9,0x805fffff,0x700005fa,0xffffffff,0x2005ffff,0xffeba9aa,
    0xfffb8004,0xffffffff,0xfffb002f,0xffff900f,0x0001ffff,0x3ffffff2,
    0xb80fffff,0x4fffffff,0x013ff600,0xffffffb8,0x004fffff,0x3fffffee,
    0x004fffff,0x3fffffee,0x02ffffff,0x23fff900,0x4c02fffa,0xfffffffd,
    0xfffb00de,0x6cc0000b,0xefffffff,0xffb3000d,0x1bdfffff,0x7fffec00,
    0xffff802f,0xd910006f,0x9dffffff,0xffa80001,0x26007fff,0xfffffffd,
    0xfb3000de,0xbdffffff,0xfed98001,0x00cfffff,0x3ffff660,0x800defff,
    0x200002fd,0xfffffec8,0x36000cef,0x05ffffff,0x3ffb2200,0x00ceffff,
    0x01ffff60,0x3ffffffa,0x7dc0005f,0xefffffff,0xfffff501,0x7fcc00bf,
    0x76cc000f,0x0cffffff,0xffed9800,0x000cffff,0xffffec88,0x0000ceff,
    0x64c3332a,0x266001cc,0x997001aa,0x20000079,0x0001aa99,0x001aa998,
    0x3ffffee0,0xffffd800,0x55100004,0x73000001,0x200059dd,0x0001aa99,
    0x001aa998,0x004d4c00,0x0d54cc00,0x00054400,0x01551000,0x67765c00,
    0x4400001c,0x360000aa,0x7c407fff,0x0effffff,0xedb88000,0x74c03cef,
    0x4001defe,0x80003ffc,0x000009a9,0x00004d4c,0x0002aa20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65440000,0x000bdfed,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40554000,0x644002a8,0x017f41de,0x007ddb10,0xeeeeeeb8,
    0xeeeeeeee,0xff0005ee,0x00001dff,0x00bbbbb6,0x3dddd700,0x5c000000,
    0x00004ccc,0xddddddd3,0xfff9800b,0x003fff22,0x65413220,0xeeee8802,
    0x01eeeeee,0x03eed880,0x3bbba200,0x8fbb6204,0x8001eeea,0x006ffff8,
    0x1ffffc80,0xccc88000,0x3300002c,0x3bae0033,0xdeeeeeee,0x0000accc,
    0x00bfffee,0x03777640,0x01999930,0x45eeeb80,0x7402aaa9,0x006fc84f,
    0x3fffffe2,0x4001ffdd,0x2002ffd8,0xfffffffc,0xffffffff,0xffa8007f,
    0x300000ef,0x00bfffff,0x0bfffb00,0x3e600000,0x00002fff,0xfffffff5,
    0xfff9000f,0x005fff51,0xf10bfe20,0xfff1005f,0x3fffffff,0x07ffb000,
    0xefffc800,0x4fffd400,0x0004fff8,0x001dfff7,0x2ffff880,0xfff90000,
    0x880001ff,0xc801ffff,0xffffffff,0x4fffffff,0x3fff2000,0xfffb0006,
    0x7fff400f,0x7fe4006f,0x37ffe46f,0x266ffee0,0x2a003ffb,0xfffffeff,
    0x3f20006f,0xfff9000f,0xffffffff,0x00ffffff,0x001fffd0,0x7fffe400,
    0xd80000ff,0x00001fff,0x02fffd80,0x26662000,0x00019999,0x9fffdffd,
    0xdffd8000,0x800ffecb,0xfffffff8,0x5c001fff,0x440001ff,0xb000efff,
    0x1dffddff,0x3bffe000,0xffb80000,0xf500003f,0x00bfffff,0x1ffff880,
    0xfffffc80,0xffffffff,0x0000efff,0x0003fff9,0x200ffffb,0x4ffffffc,
    0x1bfff200,0xd00dfff9,0x0dffffff,0xb513fd80,0x98003bff,0x2026443c,
    0xfffffffc,0xffffffff,0x7fd4007f,0x7c00001f,0x04ffffff,0x0bffd000,
    0xff880000,0x4c00003f,0x0026443c,0x6fffff98,0xffe88000,0x2002ffff,
    0x99999999,0x87930019,0xf70004c8,0x7c4001ff,0x001fffff,0x001fff50,
    0x00fffe00,0x67ffc400,0x0003fff9,0x007fffe2,0x3ffffff2,0xffffffff,
    0x20006fff,0xd8005ffd,0xfa807fff,0x1fffbaff,0x8dfff900,0x8806fffc,
    0x00cffffc,0x00004c40,0xff31bee0,0xbffffc80,0xaaaaaaaa,0x6c002aaa,
    0x400001ff,0xfffffffa,0xfd100007,0x4000001f,0x00004ffc,0x3fcc6fb8,
    0xdddd5000,0x76400003,0x00000def,0x31bee000,0x3fe000ff,0xff98001f,
    0x3a0004ff,0x700001ff,0x400009ff,0x3fee6ffd,0xff10001f,0xff9003ff,
    0x555557ff,0xfffffd75,0x7fec0001,0x7ffec001,0x27ffc407,0x9001dffb,
    0xffc8dfff,0x00cc006f,0x40000000,0x037444ea,0x003ffff2,0x00000000,
    0xfffffd80,0x88002fff,0x26620999,0x44000009,0x50000019,0x006e889d,
    0x00000000,0x26662000,0x00266620,0x0dd113aa,0x88266620,0x33100999,
    0x04ccc413,0x00000000,0x33300000,0x00099981,0x40066660,0x801ffffc,
    0x002ffffd,0xffb00000,0x199880ff,0xc8009998,0x00006fff,0x7775c000,
    0xeeea800e,0x1dddd71e,0x3dddd500,0x003ffff2,0x765cc000,0x001bceff,
    0x2ffffe20,0x8005ffff,0x3ea4fffa,0x000003ff,0x3bae0000,0xeea800ee,
    0x372a01ee,0x00ceeffe,0xfffd9300,0x50017bdf,0x7fd49fff,0x77775c3f,
    0xeeeea800,0x527ffd41,0x3ea07fff,0x3ffea4ff,0xfedca803,0x0000ceef,
    0x9dffdb75,0x00000007,0xf9000000,0xf5003fff,0x4c00bfff,0xbceffecb,
    0xffffb001,0xc8000000,0x77646fff,0x77775c6e,0xeeeeeeee,0x3f25eeee,
    0xfb800fff,0xfff91fff,0xfff7001f,0x3ffff23f,0x74c00000,0xffffffff,
    0xb8000dff,0xffc8ffff,0x7d4000ff,0x3ffea4ff,0x3baa0003,0xeeeeeeee,
    0xeeeeeeee,0xfff90eee,0xfff7001f,0xfffd103f,0x9fffffff,0x3ff62001,
    0xffffffff,0x3fea00cf,0x0fffea4f,0x001ffff9,0xa83ffff7,0x3fea4fff,
    0x9fff503f,0x101fffd4,0xfffffffd,0x20019fff,0xffffffe8,0x3601efff,
    0x2004eeee,0x2e5eeeeb,0xeeeeeeee,0xeeeeeeee,0x07ffff25,0x17fffe60,
    0x3ffffa60,0x0dffffff,0x23fffec0,0x800eeeeb,0xc81eeeea,0x7fec6fff,
    0x7fffe47f,0xffffffff,0x3f27ffff,0xfb800fff,0xfff91fff,0xfff7001f,
    0x3ffff23f,0x3f200000,0xffffffff,0x002fffff,0xf9affff4,0x54004fff,
    0x3fea4fff,0x3fa0003f,0xffffffff,0xffffffff,0xff90ffff,0xff7001ff,
    0xfff983ff,0xffffffff,0xffa806ff,0xffffffff,0x500effff,0x7fd49fff,
    0x7fffe43f,0xffffb800,0x527ffd41,0x3ea07fff,0x3ffea4ff,0xfffff303,
    0xffffffff,0xffff700d,0xffffffff,0x3ffe609f,0xff8801ff,0x3ff22fff,
    0xffffffff,0x27ffffff,0x801ffffc,0x404ffffb,0xfffffffc,0x2fffffff,
    0x91ffff60,0x5003ffff,0xf905ffff,0xfffd8dff,0x7ffffe47,0xffffffff,
    0x3ff27fff,0xffb800ff,0xffff91ff,0xffff7001,0x2fffff23,0xaaaaaaaa,
    0x3ff202aa,0xffffffff,0x03ffffff,0x45ffff50,0x4007fffe,0x3a63eee9,
    0xf50002ee,0xffffffff,0xffffffff,0x321fffff,0xb800ffff,0x7fc1ffff,
    0xffffffff,0x204fffff,0xfffffffa,0xffffffff,0x7ddd306f,0x3217774c,
    0xb800ffff,0x74c1ffff,0x3bba63ee,0x47ddd302,0xff02eee9,0xffffffff,
    0x409fffff,0xfffffffb,0xffffffff,0xdffff903,0xbffff900,0xffffffc8,
    0xffffffff,0x3fff27ff,0x7ffcc01f,0x3ff202ff,0xffffffff,0x03ffffff,
    0xfc8ffffb,0xfa801fff,0xffc82fff,0x3fffec6f,0x3ffffff2,0xffffffff,
    0x3fff27ff,0xfffb800f,0x1ffff91f,0x3ffff700,0x3ffffff2,0xffffffff,
    0xfffa80ff,0x9889bfff,0x0ffffffb,0x47fffd80,0x002ffffb,0x74000000,
    0xffeeffff,0xffffffff,0x90ffffff,0x7001ffff,0x7d43ffff,0x510adfff,
    0x03fffffb,0x7ffffff1,0x3ffb2a15,0x00003fff,0x007fffe4,0x00ffffdc,
    0x40000000,0x0adffffa,0xfffffb51,0xfffff103,0x3ff6a15d,0xf881ffff,
    0x2603ffff,0x640fffff,0xffffffff,0xffffffff,0x37ffff27,0xfeeedccc,
    0x2a05ffff,0x9bffffff,0xffffb988,0xfffd80ff,0x0ffffe47,0x17fffd40,
    0x3637ffe4,0x7fe47fff,0xaaaaabff,0x22aaaaaa,0x800ffffc,0xf91ffffb,
    0xf7001fff,0x3ff23fff,0xffffffff,0x40ffffff,0x0dffffe8,0x3ffffa20,
    0x7fffc405,0x2ffffc44,0x00000000,0x2a7ffff3,0xaaacffff,0x2aaaaaaa,
    0x003ffff2,0xc87fffee,0x7f407fff,0xffe83fff,0x7f401eff,0x00006fff,
    0x007fffe4,0x00ffffdc,0x40000000,0x7407fffc,0xfd83ffff,0x3e204fff,
    0xf504ffff,0x3a01ffff,0xfc83ffff,0xaaaabfff,0x2aaaaaaa,0x3ffffff2,
    0xffffffff,0xfd100eff,0x4401bfff,0xd85ffffe,0x7fe47fff,0xffa801ff,
    0xfffc82ff,0x23fffec6,0x000ffffc,0x03ffff20,0x47fffee0,0x800ffffc,
    0xf91ffffb,0xffffffff,0x1fffffff,0x06ffffb8,0x5fffff10,0x0ffffdc0,
    0x007ffff4,0x88026662,0x36000999,0xff50ffff,0x320005ff,0xb800ffff,
    0x3fa1ffff,0x7fd406ff,0x7ffcc4ff,0xff8800ff,0x33311fff,0x84ccc401,
    0x800ffffc,0x311ffffb,0x4cc40133,0x01333109,0xfd04ccc4,0xffa80dff,
    0x7ffcc4ff,0xfffb806f,0x3fff607f,0xffffa84f,0x1ffff906,0x7ffe4000,
    0xffffffff,0x5c04ffff,0x1006ffff,0xd85fffff,0x7fe47fff,0xffa801ff,
    0xfffc82ff,0x23fffec6,0x000ffffc,0x03ffff20,0x47fffee0,0x800ffffc,
    0xf91ffffb,0x9999bfff,0x09999999,0x005ffffd,0x02ffffdc,0x2e0dfffd,
    0x6c04ffff,0x3f206fff,0xff3006ff,0x7ffd49ff,0xff90002f,0xff7001ff,
    0x7ffec3ff,0x0cccc02f,0x01ffffe4,0xfd835950,0x3ff206ff,0x1ffff96f,
    0x3ffff700,0xc81bfff6,0xfffb6fff,0x37ffe40d,0x805ffffb,0xffd81999,
    0x7bb002ff,0xffff8803,0x3fffe21f,0xffff901f,0x7fe40001,0xffffffff,
    0xfd001eff,0x5c005fff,0x7ec5ffff,0x7ffe47ff,0xfffa801f,0x6fffc82f,
    0x323fffec,0x0000ffff,0x003ffff2,0x647fffee,0xb800ffff,0xff91ffff,
    0x440001ff,0x8006ffff,0xf306ffff,0x5555bfff,0x0fffff75,0x206fffd8,
    0x9006fffc,0x7d41ffff,0x90002fff,0x7001ffff,0x7dc3ffff,0x00beffff,
    0x07ffff80,0x3fff6000,0x5bfff206,0x800ffffc,0xfb1ffffb,0x7fe40dff,
    0x0dfffb6f,0xf737ffe4,0x017dffff,0x0dfffd00,0x7fdc0000,0x3fff26ff,
    0x3fff204f,0x3f20000f,0xfb99afff,0x400dffff,0x006ffff8,0x6c6ffff8,
    0x7fe47fff,0xffa801ff,0xfffc82ff,0x23fffec6,0x000ffffc,0x03ffff20,
    0x47fffee0,0x800ffffc,0xf91ffffb,0x40001fff,0x005ffffa,0x907fffe8,
    0xffffffff,0xffffffff,0x37ffec05,0x00dfff90,0xa8bffff1,0x0002ffff,
    0x001ffff9,0x443ffff7,0xffffffff,0xff8802ce,0x200006ff,0x3206fffd,
    0xfff96fff,0xfff7001f,0x1bfff63f,0xfb6fffc8,0x7fe40dff,0x3fffe26f,
    0x02ceffff,0x00bffff0,0xfffe8000,0x6ffff8af,0x07fffe40,0xffff9000,
    0xffffe883,0x3ffea00e,0xffe8005f,0x3fffec7f,0x007ffff2,0x20bfffea,
    0x7ec6fffc,0x7ffe47ff,0xaaaaaabf,0x7e42aaaa,0xfb800fff,0xfff91fff,
    0xfff7001f,0x3ffff23f,0x3fea0000,0xfd8004ff,0xfff80fff,0xffffffff,
    0x05ffffff,0xc81bfff6,0xfc806fff,0x7fd41fff,0xaaaaacff,0x320aaaaa,
    0xb800ffff,0x7d41ffff,0xffffffff,0xff301cff,0x40000bff,0x3206fffd,
    0xfff96fff,0xfff7001f,0x1bfff63f,0xfb6fffc8,0x7fe40dff,0x7fffd46f,
    0xcfffffff,0x9ffff101,0xf9800000,0xfffdffff,0x7ffe402f,0xaaaaaabf,
    0x7e42aaaa,0xff881fff,0x3ea06fff,0xd8004fff,0x3f60ffff,0x7ffe47ff,
    0xaaaaaabf,0x2ffffcaa,0x6c6fffc8,0x7fe47fff,0xffffffff,0x20ffffff,
    0x800ffffc,0xf91ffffb,0xf7001fff,0x3ff23fff,0x2e0000ff,0x8003ffff,
    0x542ffffc,0xffffffff,0xffffffff,0xfffb00ff,0x37ffe40d,0x1bfffe20,
    0x3fffffea,0xffffffff,0x3ffff20f,0xffffb800,0xfffffa81,0x3fffffff,
    0x04ffffa8,0x3bbbbbae,0xfffb4eee,0xb7ffe40d,0x800ffffc,0xfb1ffffb,
    0x7fe40dff,0x0dfffb6f,0x5437ffe4,0xffffffff,0xf983ffff,0x00004fff,
    0xfffffc80,0xfc805fff,0xffffffff,0x0fffffff,0x407ffff2,0x04fffffa,
    0x007ffff7,0x45ffff90,0x7e47fffd,0xffffffff,0xffffffff,0x6fffc82f,
    0x323fffec,0xffffffff,0xffffffff,0x03ffff20,0x47fffee0,0x800ffffc,
    0xf91ffffb,0x40001fff,0x002ffffb,0x42ffffc8,0xcccffffd,0xfdcccccc,
    0xffb04fff,0x7ffe40df,0x7fffdc06,0xfffffa82,0xffffffff,0x3fff20ff,
    0xfffb800f,0xfff9101f,0xffffffff,0x4ffffa89,0x3fffff20,0xffb5ffff,
    0x7ffe40df,0x01ffff96,0x23ffff70,0x3206fffd,0xfffb6fff,0x37ffe40d,
    0xfffffc88,0x44ffffff,0x004ffffa,0xfff88000,0x800fffff,0xfffffffc,
    0xffffffff,0x3ffff20f,0x3ffff201,0xffffb81f,0xfffc8002,0x1ffff62f,
    0xfffffff9,0xffffffff,0xff905fff,0x7fffd8df,0x7fffffe4,0xffffffff,
    0x3fff20ff,0xfffb800f,0x1ffff91f,0x3ffff700,0x003ffff2,0x3ffffa80,
    0xffffd800,0x17fffe21,0x3ffffc40,0x206fffd8,0x7c06fffc,0xff506fff,
    0xffffffff,0x641fffff,0xb800ffff,0x9801ffff,0xffffffec,0x3ffe63ff,
    0x3fff205f,0xb5ffffff,0x7e40dfff,0xffff96ff,0xffff7001,0x81bfff63,
    0xffb6fffc,0x7ffe40df,0xffec9806,0x23ffffff,0x004ffff9,0xfff50000,
    0x32005fff,0xffffffff,0xffffffff,0x07ffff20,0x6fffff88,0x03ffffa8,
    0x1ffffd80,0xf91ffff6,0xffffffff,0xffffffff,0xdfff905f,0x647fffd8,
    0xcccdffff,0x4ccccccc,0x007fffe4,0xc8ffffdc,0xb800ffff,0xff91ffff,
    0xffffffff,0x7fffffff,0x013fffe6,0x83ffffa0,0x002ffffc,0x20bffff6,
    0x3206fffd,0x3ee06fff,0xff503fff,0x99999bff,0x64199999,0xb800ffff,
    0x4001ffff,0xfffffda8,0x1bfffe26,0xffffffc8,0xfffb5fff,0xb7ffe40d,
    0x800ffffc,0xfb1ffffb,0x7fe40dff,0x0dfffb6f,0x0037ffe4,0x3ffff6a2,
    0x3fffe26f,0x20000005,0x005ffffd,0x337ffff2,0xcccccccc,0x7fffe44c,
    0x7fffd401,0x7fffcc3f,0xfffe8004,0x1ffff60f,0x99bffff9,0xfb999999,
    0xff905fff,0x7fffd8df,0x007fffe4,0x3ffff700,0x3ffff700,0x007fffee,
    0x647fffee,0xffffffff,0xffffffff,0xdffff13f,0xfffff000,0x007ffff8,
    0x42ffffd4,0x3606fffd,0x3fa06fff,0xeeeeefff,0x02ffffee,0x3ffff700,
    0x3ffff700,0x3fa60020,0x3ffe0fff,0x2666207f,0xb5ffff99,0x7ec0dfff,
    0xffff76ff,0xffff7003,0x81bfff63,0xffb6fffd,0x7ffec0df,0xfd300106,
    0x7ffc1fff,0x02ea006f,0x7fffd400,0x3fff2002,0x3f20000f,0xfc801fff,
    0x3e20ffff,0xf8006fff,0x7fec7fff,0x7fffe47f,0xffffa801,0x46fffc82,
    0x7e47fffd,0x20000fff,0x801ffffb,0xf70ffffc,0xf9003fff,0x3ff21fff,
    0xffffffff,0x3fffffff,0x007ffffe,0x25ffffa8,0x004ffffa,0x40fffff8,
    0x3606fffd,0xff506fff,0xffffffff,0x05ffffff,0x3fffee00,0xffffc801,
    0x01fffd90,0x43ffff70,0x003ffffc,0x6d7fffe2,0x3f606fff,0xffff76ff,
    0xffff9003,0x81bfff61,0xffb6fffd,0x7ffec0df,0x01fffd96,0x43ffff70,
    0x001ffffe,0x8007bffd,0x002ffffa,0x003ffff2,0x1ffffc80,0xfffff880,
    0x0fffffc5,0xbffff500,0x647fffd8,0xa801ffff,0xfc82ffff,0x7ffec6ff,
    0x07fffe47,0xffff5000,0xffffb009,0x027fffd4,0xf93fffec,0xffffffff,
    0xffffffff,0x37fffe47,0x7ffffd00,0x00ffffec,0x27fffe40,0xd81bfff6,
    0xffd06fff,0xffffffff,0x05ffffff,0x3fffea00,0x7fffd804,0x00bfffee,
    0xa8bfffee,0x000fffff,0x36bffff1,0x3f606fff,0xffff56ff,0xffffb009,
    0xb037ffec,0x3ff6dfff,0x3fff606f,0x05ffff76,0x45ffff70,0x805ffffc,
    0x006ffff9,0x017fffd4,0x01ffff90,0x7fffe400,0xffff5001,0x7fffe45f,
    0x3fffa006,0x3fffec3f,0x007ffff2,0x20bfffea,0x7ec6fffc,0x7ffe47ff,
    0x3e60000f,0x2a01ffff,0x3e67ffff,0x2a01ffff,0x0007ffff,0x7c401ff5,
    0xc804ffff,0x0006ffff,0x640ff700,0x3fe07fff,0xfff986ff,0xffffffff,
    0x02ffffff,0xfffff300,0x7fffd403,0x3bfffe67,0x3fffe200,0x7ffff40f,
    0xfffb800d,0x0ffff95f,0xf9b7fffc,0x2a01ffff,0x3f27ffff,0x3ffe07ff,
    0x0ffff96f,0xf9b7fffc,0x2200efff,0x220fffff,0x202fffff,0x03ffffe8,
    0x17fffd40,0x1ffff900,0x32a00000,0xf88001ac,0xc804ffff,0xfe86ffff,
    0x3ffff904,0x5ffff500,0xd8157970,0x7fe47fff,0x740000ff,0x20aeffff,
    0x3ffffea8,0x577ffff4,0x3fffaa20,0xff70003f,0xfffff700,0xfffd303d,
    0x000005ff,0xffa81bf2,0xfffc81ff,0xffffd86f,0xaaaaaaab,0x002ffffc,
    0x3bffffa0,0x3ffaa20a,0x7fff43ff,0xffd881df,0xfff985ff,0xea882eff,
    0xf55fffff,0xff903fff,0x7fff4dff,0x3aa20aef,0x3ea3ffff,0xffc81fff,
    0xffff56ff,0xdffff903,0x0efffff4,0x2ffffec4,0x1fffffd4,0x3ffffae2,
    0x7fd4000f,0x3f2002ff,0x00000fff,0x0dffff70,0xfffff700,0xfffd303d,
    0x07ff05ff,0x007ffff2,0x20bfffea,0x364ffffe,0x7fe47fff,0x540000ff,
    0xefffffff,0xfffffffe,0x7ffffd40,0xffffeeff,0x90000fff,0xffd001ff,
    0xfdbfffff,0x0bffffff,0x3fec0000,0x5fffff30,0xfffff951,0x6ffff98d,
    0x2ffffb80,0x3ffea000,0xffeeffff,0x540fffff,0xdeffffff,0xffffffec,
    0xfffff903,0xffffbdff,0x26bfffff,0xa8afffff,0x26fffffc,0xfffffffa,
    0xffffffee,0x3fffe60f,0xfffca8af,0xffff36ff,0xfff9515f,0x7ffd4dff,
    0xfecdefff,0xb03fffff,0xddffffff,0x7fffffff,0xffff5000,0x7ffe4005,
    0x3000000f,0x007ffd75,0xffffffd0,0xfffffdbf,0x9ff10bff,0x07ffff20,
    0x0bfffea0,0x43fff2aa,0x7e47fffd,0xffffffff,0xffffffff,0x7ffffec3,
    0xffffffff,0xffffb03f,0xffffffff,0x640007ff,0xfe8803ff,0xffffffff,
    0x00dfffff,0x3ff60000,0xfffff102,0xffdfffff,0xffffd8df,0xffffb803,
    0xffffffff,0x7ec3ffff,0xffffffff,0x903fffff,0xffffffff,0x09ffffff,
    0xffffffc8,0xffffffff,0x3ffe24ff,0xefffffff,0x7fec6fff,0xffffffff,
    0x7c43ffff,0xffffffff,0xf16fffef,0xffffffff,0xc8dfffdf,0xffffffff,
    0x04ffffff,0x3fffff62,0xffffffff,0xfff50004,0x7fe4005f,0xffffffff,
    0x3fffffff,0x02ffdc00,0x7ffff440,0xffffffff,0xff880dff,0x3ffff907,
    0x5ffff500,0xfb2ffe80,0xfffc8fff,0xffffffff,0x83ffffff,0xfffffffc,
    0x402fffff,0xfffffffc,0x002fffff,0x677ffcc0,0x3ffee02d,0xffffffff,
    0x8000002f,0x1dcdfffa,0x3fffffe6,0x6fffabff,0x01ffffe2,0x7fffffdc,
    0xffffffff,0xfffc83ff,0xffffffff,0x7ffe402f,0xffffffff,0xfff5003f,
    0xffffffff,0xff303bff,0x57ffffff,0xff90dfff,0xffffffff,0x3fe605ff,
    0xabffffff,0x3fe66fff,0xabffffff,0xffc86fff,0xffffffff,0xff7003ff,
    0xffffffff,0x7d40009f,0x32002fff,0xffffffff,0xffffffff,0x2a6aa03f,
    0x0003fffb,0x3fffffee,0x02ffffff,0xae67ffec,0x801ffffc,0x512ffffa,
    0x1fffb533,0xf91ffff6,0xffffffff,0xffffffff,0x3fff6607,0x00deffff,
    0xfffffb30,0x0001bdff,0x3fffffa0,0x7ff64403,0x00ceffff,0x3fe00000,
    0x6cc1ffff,0xf52dffff,0x7ffe4dff,0xfff7004f,0xffffffff,0x207fffff,
    0xffffffd9,0x91000def,0xdfffffff,0xfb500039,0x79dfffff,0xfffd9803,
    0xdfff52df,0x3ffff660,0x400defff,0x2dffffd9,0xd98dfff5,0xf52dffff,
    0x3f220dff,0xceffffff,0x7f6cc001,0x00cfffff,0x7fffd400,0x3fff2002,
    0xffffffff,0x03ffffff,0x3ffffffe,0xec880004,0xceffffff,0xffffa800,
    0x3ffff97f,0x5ffff500,0x3fffffe6,0x1ffff62f,0xfffffff9,0xffffffff,
    0x533007ff,0x33000035,0x00000355,0x005ef6d4,0x0002aa20,0xda880000,
    0x06600bde,0xfffff880,0xffff7000,0xffffffff,0x3007ffff,0x00003553,
    0x00015531,0x001a9980,0x80000cc0,0x0001aa99,0x33000066,0x2a620000,
    0x4c00000a,0x2000009a,0x002ffffa,0x3ffffff2,0xffffffff,0x33203fff,
    0x0000bcee,0x00155100,0x4b3bae60,0x801ffffc,0x912ffffa,0x00059bdb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4f777440,0x701eeee8,
    0x5ddddddd,0x0013bbb2,0xa85eeeb8,0x9801eeee,0x50deeeee,0x1003dddd,
    0x3203dddd,0xddd34eee,0x3ae7dddd,0xeeec85ee,0x77774c04,0x00eeeeee,
    0xefffe800,0x3ffe6000,0x003fff22,0xff997ffa,0x3e00003f,0x0000efff,
    0x2a000199,0x3ff61fff,0x0fffb806,0x400bffd1,0x8001aaaa,0xeeeeeee9,
    0xf3000eee,0x7ffe45ff,0xfffa8000,0x3f20003f,0xbffd10ff,0x17bbb600,
    0x077fffc0,0x980cc800,0x7400003c,0xb000efff,0x9881ffff,0xff900099,
    0x13ffee9f,0xffffffc8,0x0bfffb2f,0x37ffe400,0x00ffffdc,0x3fffffe6,
    0x1bfffee1,0x07fffe20,0xfab7ffec,0x94ffffff,0xffb0dfff,0xfffa80df,
    0x0fffffff,0x7ffd4000,0xffc8000f,0x02fffb8f,0xd17fff10,0x40000bff,
    0x000efffa,0x0003ff10,0x7dc7ffec,0xffd001ff,0x003fff6d,0x004fffe8,
    0xffffff98,0x2000ffff,0xffa8fffc,0xffd0002f,0xfd00009f,0x03fff6df,
    0x03fffea0,0x03bffee0,0xe84fe800,0x2a00004f,0x4000efff,0x7e44fffe,
    0xff8806ff,0x017ffe5f,0xfffffff9,0x017fff65,0x86fffc80,0x201ffffb,
    0x1ffffff8,0x1fffffdc,0x07fffe20,0xfab7ffec,0x94ffffff,0xffb0dfff,
    0xfffa80df,0x0fffffff,0x7fff4000,0x3ffa0001,0x4004fffe,0xfffefffb,
    0x3fa00000,0xca8000ff,0x002dfffe,0xffeffe88,0x3fe2003f,0x002fffef,
    0x0027fff4,0x7fffffcc,0x4000ffff,0x4fffeffe,0xbfff3000,0x3fe20000,
    0x002fffef,0x2003fffd,0x0000fffe,0x75deffdc,0x200001ff,0x8000fffe,
    0x320fffe8,0xfc806fff,0x03bfee6f,0xddffff90,0x17fff65d,0x6fffc800,
    0x01ffffb8,0x3fffffd1,0xffffff70,0x7fffc401,0x2dfffb01,0xffffeee9,
    0xb0dfff94,0x9880dfff,0x99999999,0x7fcc0001,0x7cc0001f,0x0006ffff,
    0x05fffffb,0x7ffd4000,0x7fec4001,0x0effffff,0x7fffcc00,0xffa8006f,
    0xe8004fff,0x30004fff,0x33333333,0xfff10003,0x20001dff,0x00005ffd,
    0x27ffffdc,0x01fff980,0x003fff50,0x3ffff600,0x200004ff,0x0001fffa,
    0xfc8fffa2,0x7fc406ff,0x003ffa0e,0x6c13fff2,0x20005fff,0xfb82aaa9,
    0xfe881fff,0xf702ffff,0x40bfffff,0x301ffff8,0x3f205555,0x555534ff,
    0x00555530,0x36000000,0x700002ff,0x0003dddd,0x013bbb62,0x03ffd000,
    0xfffffd00,0x00dfffff,0x01dddd70,0x37bbb200,0xeeec8000,0x00000003,
    0x1eeeea80,0x0dff3000,0x3bb20000,0xffb000de,0x0fff4005,0x3faa0000,
    0x400002df,0x80001ffd,0x3ff26ff8,0x0000006f,0x6c13fff2,0x00005fff,
    0x0ffffdc0,0x17fffff4,0xffffff70,0x3ffe203f,0x7e40001f,0x000004ff,
    0x77ff65cc,0x000001bc,0x00000000,0x00000000,0x7fffdc00,0xffffeffe,
    0x00000004,0x00000000,0x001dddd7,0x003dddd5,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaa980000,0xecb9802a,0x801bceff,0xfb04fffc,
    0x26660bff,0x4ccc4099,0x1ffffb80,0x17ffffec,0x3ffffee0,0xfff106ff,
    0x2666203f,0x29fff900,0x98809998,0x3fa60099,0xffffffff,0x774c00df,
    0xeeeeeeee,0x0eeeeeee,0x3bbbbba6,0xeeeeeeee,0xddd70eee,0x9bdddddd,
    0xea801599,0xe8801eee,0x3ffa1eee,0xfc9ff8cf,0x76c006ff,0x90002eee,
    0x74c0dddd,0xeeeeeeee,0xeeeeeeee,0x01ffff90,0x23ffff70,0xeeeeeee9,
    0xeeeeeeee,0xddd73eee,0x9bdddddd,0xea801599,0xe8801eee,0x3bae1eee,
    0xcccc985e,0x36000001,0x4002eeee,0x004eeeed,0x417bbbae,0x0006eeec,
    0xffffffd3,0x401bffff,0xfb04fffc,0xfff70bff,0xfffc81df,0x1ffffb86,
    0x0bfffff2,0x3ffffee0,0xff883fff,0xfffb01ff,0x53fff20d,0xfd86fffc,
    0xfff906ff,0xffffffff,0x7cc05fff,0xffffffff,0xffffffff,0x3ffffe60,
    0xffffffff,0xff90ffff,0xffffffff,0x409fffff,0x806ffffb,0x3e1ffff8,
    0x9ff88fff,0x000deff8,0x0bfffff3,0x1ffff600,0xffffff98,0xffffffff,
    0xfff90fff,0xfff7001f,0x3fffe63f,0xffffffff,0x94ffffff,0xffffffff,
    0x9fffffff,0x37fffdc0,0x0ffffc40,0xf70dfff9,0x00005fff,0x3ffffe60,
    0x7ffcc005,0xff8801ff,0xffb02fff,0x207fd8ff,0xfffffffc,0x2fffffff,
    0x209fff90,0x7d45fffd,0xfc80ffff,0xfffb86ff,0xfffff91f,0x3ffee007,
    0x40ffffff,0xb01ffff8,0x3f20dfff,0xdfff94ff,0x90dfffb0,0xffffffff,
    0xffffffff,0x3fffe607,0xffffffff,0x260fffff,0xffffffff,0xffffffff,
    0xfffff90f,0xffffffff,0xf701dfff,0x8807ffff,0xff11ffff,0x047fe2df,
    0xffffc800,0xfd8000ff,0x3fe607ff,0xffffffff,0x0fffffff,0x001ffff9,
    0x263ffff7,0xffffffff,0xffffffff,0xffff94ff,0xffffffff,0x701dffff,
    0x807fffff,0x321ffff8,0xffb86fff,0x000002ff,0x1ffffff9,0xffffc800,
    0xffffc806,0x1ffff605,0x3ff20ffd,0xffffffff,0x83ffffff,0xfb04fffc,
    0x7ffccbff,0xfff901ff,0x3ffff70d,0x09fffff7,0x5f7ffdc0,0x7c45ffff,
    0xffb01fff,0x3fff20df,0xb0dfff94,0xffa8dfff,0x889bffff,0xffffffb9,
    0xfffff980,0xffffffff,0x3e60ffff,0xffffffff,0xffffffff,0xffffff90,
    0xffffffff,0xff70dfff,0x4401ffff,0xff11ffff,0x03ff13ff,0xfffff800,
    0xfd8004ff,0x3fe607ff,0xffffffff,0x0fffffff,0x001ffff9,0x263ffff7,
    0xffffffff,0xffffffff,0xffff94ff,0xffffffff,0x70dfffff,0x01ffffff,
    0x90ffffc4,0xff70dfff,0x000005ff,0x3ffffffe,0x7ffc4004,0x3fe603ff,
    0x3f600fff,0x07ff47ff,0x3fffffea,0xffb9889b,0x7e40ffff,0xfffb04ff,
    0x3ffffe6b,0x1bfff201,0x3f7fffee,0x00ffffff,0x3adfff70,0x3e22ffff,
    0xffb01fff,0x3fff20df,0xb0dfff94,0x7f44dfff,0x2200dfff,0x885ffffe,
    0xaaaaaaaa,0xfffffdaa,0x55555445,0xffdaaaaa,0x3ff25fff,0xaaaaabff,
    0xfffffeba,0x7ffffdc0,0x3ffe205f,0x3bfffe1f,0x20001ff9,0xfffffffa,
    0xfffd8007,0x2aaaa207,0xfdaaaaaa,0x3f25ffff,0xfb800fff,0x55511fff,
    0xffff7555,0x3555555b,0x2afffff2,0xfebaaaaa,0x7dc0ffff,0x205fffff,
    0x321ffff8,0xffb86fff,0x800002ff,0xfffffffa,0xfffa8007,0xfffd00ff,
    0xfffd807f,0xd10fffc7,0x401bffff,0x45ffffe8,0xfb04fffc,0xfffd1bff,
    0xfffc805f,0xfffffb86,0x5fffffff,0x2dfff700,0x226ffff9,0xfb01ffff,
    0x3ff20dff,0x0dfff94f,0x7dcdfffb,0xf1006fff,0x0005ffff,0x1bffffe6,
    0xffff9800,0x7fffe46f,0xffffd801,0x7ffffdc2,0xfff101ff,0x7fffdc3f,
    0x20001fff,0xfffffffd,0x7fec002f,0xf980007f,0x7e46ffff,0xfb800fff,
    0xf9801fff,0xfc803fff,0xfd801fff,0x7fdc2fff,0x101fffff,0x7e43ffff,
    0xfffb86ff,0xd800002f,0xffffffff,0xfffd8002,0xffffa84f,0x7fffd806,
    0xfb8bffe2,0xf1006fff,0x7e45ffff,0xfffb04ff,0x05ffffdd,0x70dfff90,
    0xffffffff,0x005fffff,0x7e4dfff7,0xfff14fff,0x3fff603f,0x29fff906,
    0xfd86fffc,0x3fffa6ff,0x3fee002f,0xe88005ff,0x000fffff,0xfffffd10,
    0x1ffffc81,0x5ffffa80,0x7fffffdc,0xffff106f,0x7ffffc43,0x4001cfff,
    0xffbffff8,0x7ec005ff,0x440007ff,0x40fffffe,0x800ffffc,0x801ffffb,
    0x803ffff9,0x801ffffc,0x5c5ffffa,0x6fffffff,0x43ffff10,0xfb86fffc,
    0x00002fff,0x7dffffc4,0x88005fff,0x221fffff,0x801fffff,0x3e67fffd,
    0x3fffa2ff,0x3fee002f,0x3fff25ff,0xfffffb04,0x9001ffff,0xff70dfff,
    0xf77fffff,0xb801ffff,0x3fe26fff,0xfff88fff,0xdfffb01f,0x653fff20,
    0xffd86fff,0xdffff16f,0xdffff000,0xffffb000,0x7ec0003f,0xfc81ffff,
    0xf9801fff,0x7fdc5fff,0x83ffffff,0x4c1ffff8,0xfffffffe,0xff7001ef,
    0xffff91ff,0x7ffec001,0x7fec0007,0xffc81fff,0xffb800ff,0xff9801ff,
    0xffc803ff,0xff9801ff,0x7ffdc5ff,0x883fffff,0x3f21ffff,0xfffb86ff,
    0x5c00002f,0xffc8ffff,0xfb8000ff,0x3ff26fff,0xffb004ff,0x9fffccff,
    0x006ffff8,0x326ffff8,0xffb04fff,0x9fffffff,0x0dfff900,0x9ffffff7,
    0x027ffff4,0xf51bffee,0xfff1bfff,0x3fff603f,0x29fff906,0xfd86fffc,
    0xffff56ff,0xfffd000b,0xfffc800f,0x320003ff,0x903fffff,0x7003ffff,
    0xfb89ffff,0xffffffff,0x0ffffc40,0x7ffffec4,0xe802ffff,0xfff35fff,
    0x7fec009f,0x3f20007f,0xf903ffff,0xf7001fff,0xf3003fff,0xf9007fff,
    0xf7003fff,0xffb89fff,0x0fffffff,0x90ffffc4,0xff70dfff,0x800005ff,
    0xff35fffe,0x3a0009ff,0xff8affff,0x3f6006ff,0x3ffea7ff,0x0bffff54,
    0x4ffffd00,0xfb04fffc,0xffffffff,0xfffc803f,0xfffffb86,0x7ffffd44,
    0x1bffee02,0x3f3ffffa,0xffb01fff,0x3fff20df,0xb0dfff94,0x3feadfff,
    0xfd8004ff,0xf5000fff,0x0009ffff,0x27ffffd4,0x03ffff90,0x2fffff98,
    0x7df7ffdc,0x7fc45fff,0x3f2201ff,0x0fffffff,0x8bfffea0,0x2007fffe,
    0x0007fffd,0x09fffff5,0x007fffe4,0x00ffffdc,0x01ffffcc,0x00ffffe4,
    0x0bffffe6,0xff7dfff7,0xfff88bff,0x1bfff21f,0x00bfffee,0xffffa800,
    0x01ffffa2,0x7ffffcc0,0x002ffffd,0xfb9ffff6,0xffff55ff,0xfffb0009,
    0x13fff21f,0x6fffffec,0x6405ffff,0xffb86fff,0xfffb04ff,0x3fee01df,
    0xffff986f,0xb01fffff,0x3f20dfff,0xdfff94ff,0x2edfffb0,0x8003ffff,
    0x802ffffc,0x06fffff9,0x3fffe600,0x7ffe406f,0xeedcccdf,0x85fffffe,
    0xffd6fffb,0x7ffc45ff,0x6ffc401f,0x203fffff,0x7dc7fffd,0xfb002fff,
    0xf3000fff,0xc80dffff,0xb800ffff,0x9801ffff,0xc803ffff,0xcccdffff,
    0xffffeeed,0x6fffb85f,0x445ffffd,0x3f21ffff,0xfffb86ff,0x3600002f,
    0x7fdc7fff,0xf90002ff,0xbfffffff,0x7fffd800,0x7ddbfff2,0xc8003fff,
    0xff92ffff,0x3fff609f,0x5ffff75f,0x437ffe40,0x101ffffb,0x209fffff,
    0xf906fffb,0x3fffffff,0x41bfff60,0xff94fffc,0xdfffb0df,0x00bfffee,
    0x0bffff20,0xfffffd10,0x3fa20001,0x6400ffff,0xffffffff,0xffffffff,
    0x6fffb80e,0x44dffff3,0x4401ffff,0xfffe89ff,0x9ffff105,0x05ffff88,
    0x00ffffb0,0xfffffe88,0x7fffe400,0xffffb800,0xffff9801,0xffffc803,
    0xffffffff,0xb80effff,0xfff36fff,0x7fffc4df,0x21bfff21,0x002ffffb,
    0x9ffff100,0x05ffff88,0xfffff100,0xd8001fff,0x3ff67fff,0x5ffff76f,
    0xffff9000,0x413fff25,0x7f46fffd,0x3ff206ff,0xffffb86f,0x3ffff201,
    0x6fffb81f,0x3fffffa0,0xfffb01ff,0x53fff20d,0xfd86fffc,0xffff56ff,
    0xfffb0007,0xfffd803f,0x360001ff,0x801fffff,0xfffffffc,0xffffffff,
    0x9bffee04,0xf14ffffc,0xf8803fff,0x0dfff51f,0x207fffee,0x800ffffe,
    0x4007fffd,0x01fffffd,0x00ffffc8,0x01ffffb8,0x03ffff98,0xffffffc8,
    0xffffffff,0x3ffee04f,0x53ffff26,0x321ffff8,0xffb86fff,0x700002ff,
    0xfd03ffff,0x20001fff,0x2ffffffa,0x7fffd800,0x7d5ffff6,0xd8003fff,
    0xff91ffff,0x3fff609f,0x1ffffd45,0xb86fffc8,0x2201ffff,0xb86fffff,
    0x3ea06fff,0x01ffffff,0x320dfffb,0xfff94fff,0x2dfffb0d,0x004ffff9,
    0x00ffffe8,0x0bfffff2,0xffffc800,0xfff9002f,0xffffffff,0xff7003df,
    0x7fffc4df,0x1ffff88f,0x3e29fdd7,0x0dfff11f,0x5c1bfffa,0xd804ffff,
    0x32007fff,0x002fffff,0x001ffff9,0x003ffff7,0x007ffff3,0xfffffff9,
    0x03dfffff,0x44dfff70,0xf88fffff,0x3ff21fff,0xffffb86f,0xffd00002,
    0x3ffee0df,0x3f60004f,0xb0005fff,0x7ff4ffff,0x9ffff37f,0xffffd000,
    0x413fff21,0xfd85fffd,0xffc80fff,0xffffb86f,0x7fffd401,0x37ffdc4f,
    0x3fffff60,0xdfffb01f,0x653fff20,0xffd86fff,0xdffff16f,0xfffff000,
    0x7ffffd40,0x3fea0004,0x32004fff,0xb99affff,0x00dfffff,0x2a37ffdc,
    0xff8dffff,0xffff71ff,0x3ea3ff11,0xfff985ff,0xbaaaaadf,0xd807ffff,
    0xf5007fff,0x4009ffff,0x801ffffb,0x801ffffb,0x803ffff9,0x99affffc,
    0x0dfffffb,0x237ffdc0,0xf8dffffa,0x3ff21fff,0xffffb86f,0xff980002,
    0xaaaaadff,0x007ffffb,0x0bfffea0,0x3fffec00,0x3e2ffffd,0xf8006fff,
    0x3ff27fff,0xbfffb04f,0x09ffff30,0xf70dfff9,0xfd003fff,0x7dc3ffff,
    0x7fc406ff,0xfb01ffff,0x3ff20dff,0x0dfff94f,0x7fcdfffb,0x2a001fff,
    0xf305ffff,0x000bffff,0x2fffffcc,0x3ffff200,0x7ffff441,0x3ffee00e,
    0xcffffe86,0xff31ffff,0x23ff1bff,0xfc83fffd,0xffffffff,0x2fffffff,
    0x03fffec0,0x2fffffcc,0x3fffee00,0xffffc801,0xffff9800,0xffffc803,
    0x7ffff441,0x3ffee00e,0xcffffe86,0x3f21ffff,0xfffb86ff,0xfc80002f,
    0xffffffff,0x2fffffff,0xffff5000,0x3ff60005,0x9ffffa7f,0x001fffff,
    0xc97fffea,0xffb04fff,0x3fff20bf,0x37ffe41f,0x00ffffdc,0x37ffffcc,
    0x700dfff7,0x203fffff,0xf906fffd,0x3fff29ff,0x26fffd86,0x006ffffc,
    0x20fffffa,0x0effffe8,0xfffd1000,0xfc8001df,0xff881fff,0x3ee06fff,
    0xfff986ff,0x21ffffff,0xffeffffe,0xf06ffffc,0xffffffff,0xffffffff,
    0x7fffd80b,0x7ffff440,0x7fd4000e,0xffd804ff,0xfff3007f,0xfff9007f,
    0xffff103f,0x7ffdc0df,0xfffff986,0x3f21ffff,0xfffb86ff,0xff80002f,
    0xffffffff,0x5fffffff,0xffff5000,0x3ff60005,0x9ffffa7f,0x006ffffc,
    0xc8fffffa,0xffb04fff,0x3ffe20bf,0x37ffe45f,0x00ffffdc,0x3fffffd8,
    0x200dfff7,0xb01ffffe,0x3f20dfff,0xdfff94ff,0x44dfffb0,0x804fffff,
    0xb06ffffc,0x003fffff,0x7ffffec0,0xfffc8001,0xffff501f,0x3ffee09f,
    0xfffff906,0x7fc43fff,0xffffffff,0xfffa82ff,0xffffffff,0x0fffffff,
    0x01ffff60,0x03fffffb,0xfffff300,0x7fffd403,0xffff3007,0xffff9007,
    0x3fffea03,0xdfff704f,0x3fffff20,0x3ff21fff,0xffffb86f,0x7fd40002,
    0xffffffff,0xffffffff,0xfffa8000,0xffb0002f,0x3ffff4ff,0x09fffff1,
    0x8dffff90,0x2004fffc,0xb000accb,0x32a000bf,0x200001ac,0x0001acca,
    0x320bfffb,0x36004fff,0x7fdc5fff,0xe981efff,0xc82fffff,0x002fffff,
    0x3fffff20,0xfff90002,0x7ffe403f,0xfffb81ff,0x3ffffa06,0x7fd41fff,
    0xffffffff,0x9ffffb02,0x99999999,0x409ffffb,0x3207fffd,0x002fffff,
    0x3bffffa0,0x3ffaa20a,0xff3003ff,0xff9007ff,0x7fe403ff,0xffb81fff,
    0x3fffa06f,0x3f21ffff,0xfffb86ff,0x7ec0002f,0xcccccfff,0xfffdcccc,
    0xffa8004f,0xfb0002ff,0x6665cfff,0x7ffffdc4,0xfffe981e,0x7ffe42ff,
    0x3fff6004,0x04fe805f,0xdffff700,0x3fee0000,0xfe8006ff,0xfff905ff,
    0x7fff4009,0xfffffe85,0xffffedff,0xffa85fff,0x20004fff,0x04fffffa,
    0x3ffff200,0x3fffe201,0x6fffb86f,0x3ffffea0,0xffd881ff,0x100cefff,
    0x200bffff,0x207ffff8,0xf507fffd,0x0009ffff,0xffffffa8,0xfffffeef,
    0xff3000ff,0xff9007ff,0x7fc403ff,0xffb86fff,0x3ffea06f,0x3f21ffff,
    0xfffb86ff,0x3e20002f,0xf1005fff,0x5000ffff,0x0005ffff,0x001ffff6,
    0xfffffffd,0xffffffdb,0x9fff90bf,0x7fdd4c00,0x02ffc01f,0xffeba980,
    0xba980003,0x99803ffe,0x904ffffc,0x99809fff,0x884ffffc,0xfffffffe,
    0xdfffffff,0xfffffc80,0xffffffff,0xf94fffff,0xffffffff,0xffffffff,
    0x3ffff29f,0x7fffd401,0x37ffdc3f,0x3fffff60,0x17fd401f,0x17fffe40,
    0x5ffffb00,0x41ffff60,0xfffffffc,0xffffffff,0x7fec4fff,0xffffffff,
    0x2003ffff,0x803ffff9,0x401ffffc,0x43fffffa,0x6c06fffb,0x21ffffff,
    0xfb86fffc,0xffffffff,0x1fffffff,0x00bffff2,0x02ffffd8,0x17fffd40,
    0x7fffd800,0x7fff4400,0xffffffff,0xfc80dfff,0x02eeefff,0xf809ffb0,
    0x5c0000ff,0x400005ff,0xfe805ffb,0xd33fffff,0x09ffffdd,0xffffffe8,
    0x3fffee03,0xffffffff,0x3ffff202,0xffffffff,0x94ffffff,0xffffffff,
    0xffffffff,0x3fff29ff,0xfffc801f,0x3ffee0ff,0x7fffc406,0x7fc401ff,
    0x7ffff801,0x7fffd400,0x0ffffb05,0x3ffffff2,0xffffffff,0xfc84ffff,
    0xffffffff,0x4c002fff,0xc803ffff,0xc801ffff,0x2e0fffff,0x7c406fff,
    0x321fffff,0xffb86fff,0xffffffff,0x21ffffff,0x4007ffff,0x005ffffa,
    0x017fffd4,0x07fffd80,0xfffff700,0x5fffffff,0x7ffffe40,0xa99a82ff,
    0x6401fffc,0x00ecdfff,0x3feea6aa,0x2aa0003f,0x03fffba9,0x7fffffc4,
    0xfffff50f,0x7fc409ff,0x400fffff,0xfffffec8,0x7e400cef,0xffffffff,
    0xffffffff,0xfffff94f,0xffffffff,0x329fffff,0x8801ffff,0x2e5fffff,
    0xfb806fff,0x4401ffff,0x7fd401ff,0xff8004ff,0xffd80fff,0xffff907f,
    0xffffffff,0x09ffffff,0x3fffff66,0x8000deff,0x803ffff9,0x801ffffc,
    0x25fffff8,0xb806fffb,0x321fffff,0xffb86fff,0xffffffff,0x51ffffff,
    0x0009ffff,0x001fffff,0x017fffd4,0x07fffd80,0x3ffb2200,0x00ceffff,
    0x7fffffe4,0x7fffc42f,0xf9803fff,0x200fffff,0x4fffffff,0x7fffc000,
    0xf9804fff,0x2a1fffff,0x4fffffff,0x3ffffea0,0xaa88001f,0x7ffe4000,
    0xffffffff,0x4fffffff,0xfffffff9,0xffffffff,0x3ff29fff,0xff5001ff,
    0x3fee5fff,0xfffd006f,0x0155003f,0x01ffffd8,0x4ffffc80,0x907fffd8,
    0xffffffff,0xffffffff,0x533009ff,0xf3000035,0xf9007fff,0x2a003fff,
    0xf72fffff,0x3fa00dff,0x3ff21fff,0xffffb86f,0xffffffff,0xffb1ffff,
    0xf90003ff,0x54009fff,0x0002ffff,0x000ffffb,0x00055440,0x3333332a,
    0x6f6e441c,0x2e2000bc,0x66402cee,0x0000bcee,0x0bceecc8,0x7bfdb300,
    0xccccc983,0x3b6602cc,0x00001bdf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x645fff70,0x7cc02fff,0x3fff22ff,0x4c000000,0x7fc00001,0x20000eff,
    0x3fa0fffd,0xd50000ff,0x10003ddd,0x000dfffd,0x1ffffdc0,0x02620000,
    0xdeeeb800,0xfff30000,0x007ffe47,0x013fffe6,0x007dddd3,0x7cc17db5,
    0xffff7007,0xeeb80005,0xeeeb80ee,0x04eeeeee,0xfd07fff4,0xff9800ff,
    0x13ffea4f,0x0002a000,0xfd83fff6,0x7fd400ff,0x0fffea4f,0x77775400,
    0x005eeeee,0x77777744,0x0001eeee,0x00066666,0xfc8bffee,0xffb802ff,
    0x02fffa8f,0xadffb800,0x0000ff30,0x0077ffdc,0x83fff600,0x8000fffe,
    0x0efffff8,0xffff8800,0xffd00002,0xfb50007f,0x01ff417d,0xfffff980,
    0x3fee0005,0x02fffa9f,0x805fffd8,0x01fffffe,0x3bffffee,0x32006fec,
    0x20006fff,0x86fffff9,0xfffffffc,0x7ff405ff,0x01fffa0f,0x549fff30,
    0x20004fff,0x4005ffea,0x3f60fffd,0x7fd400ff,0x0fffea4f,0x7fffdc00,
    0x007fffff,0x7fffffc4,0x0001ffff,0x005ffff5,0x645fff70,0xfd002fff,
    0x009fffdf,0xfffff700,0x000dffdf,0x007fff40,0x07ffec00,0x0001fffd,
    0xbfffdffb,0x3ffe6000,0xffa80006,0xff88004f,0xffeeffff,0xfff88002,
    0x0003fffe,0x3fffbff6,0x5fff8805,0xfefffc80,0x3bff606f,0x04ffffff,
    0x00fffec0,0xffeffe80,0x7fffe43f,0x405fffff,0x3fa0fffe,0x7fcc007f,
    0x13ffea4f,0xfcbee800,0x3fff6002,0x003fff60,0x7d49fff5,0xf70003ff,
    0xffffffff,0xfff8800f,0x1fffffff,0x7fffd000,0x3ffee000,0x00bfff22,
    0x77ffffc4,0xefd80000,0x3ffffffd,0xfff50000,0x3f600003,0x3fffa0ff,
    0x7ffdc000,0x002fffa8,0x003fff30,0x005ffe80,0xffd9ff50,0x2000dfff,
    0xffc8effd,0xff10001f,0x9001ffff,0xf9801dff,0x4fff9aff,0xd710ff88,
    0x360007ff,0xfc8005ff,0x1fffb8ff,0x26666662,0x7f400999,0x1fffa0ff,
    0x49fff300,0x0004fffa,0x002fc5f5,0x7ec1fffb,0x7fd400ff,0x0fffea4f,
    0x4cccc400,0x00199999,0x99999998,0xf5000199,0x000007ff,0xddd50000,
    0x3e00003d,0x0b7b260f,0x1ffe8000,0x00000000,0x23fff980,0x0000fffc,
    0x4000bff5,0x20005ff9,0x3b6e23fc,0xffa8000b,0x01bff61f,0x2eeeea80,
    0x00eff880,0xf527ffc4,0x003303ff,0x0fff4000,0x43fff500,0x00006ffd,
    0x00000000,0xa7c40000,0x000004f9,0x00000000,0x00000000,0x4ffe8000,
    0x77775c00,0xeeeea800,0x00000001,0x00000000,0xcb980000,0x01bceffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeec80000,0xddb0006e,0x75c005dd,0xeeeeeeee,0x5eeeeeee,0x7ffff400,
    0xddd90002,0x77776c0d,0x3bbae004,0x776c005e,0x3ae002ee,0xeeeeeeee,
    0x5eeeeeee,0x004ee880,0x00ffffc8,0x71ffffb8,0xdddddddd,0x00037999,
    0x0bbbbb60,0xdddb0000,0xe980005d,0xffffffff,0x3ae00dff,0xeeeeeeee,
    0x5eeeeeee,0x3bbbbbae,0xeeeeeeee,0x3bbae5ee,0xeeeeeeee,0x2a5eeeee,
    0x8801eeee,0x2001eeee,0x002eeeed,0x3bbbbbae,0xeeeeeeee,0x777645ee,
    0x05eeeb86,0x6eeec800,0x3bbb6000,0xdd90002e,0xfffb00dd,0xfff3000f,
    0x7e400bff,0xffffffff,0x7fffffff,0x3fffe600,0xffb0005f,0x7ffcc0ff,
    0xff8801ff,0x26002fff,0x005fffff,0x3ffffff2,0xffffffff,0x000007ff,
    0x00ffffc8,0x91ffffb8,0xffffffff,0x01bfffff,0x7fffcc00,0x2600005f,
    0x005fffff,0x3fffff20,0xffffffff,0xffff902f,0xffffffff,0x7e4fffff,
    0xffffffff,0x7fffffff,0x3ffffff2,0xffffffff,0x3ffee7ff,0xfff8806f,
    0xfff3001f,0x7e400bff,0xffffffff,0x7fffffff,0x643fffec,0x80006fff,
    0x0007fffd,0x0bfffff3,0x1ffff600,0x01ffff60,0x3fffff20,0xfff9000f,
    0xffffffff,0x00ffffff,0x7fffffe4,0xfffd8000,0x7fffe407,0xffffc806,
    0x7ffe4005,0xf9000fff,0xffffffff,0xffffffff,0x35753100,0xfff904b8,
    0xfff7001f,0x3ffff23f,0xffffffff,0x90003fff,0x01ffffff,0x3fff2000,
    0xc8000fff,0xffffffff,0xffffffff,0xfffffc83,0xffffffff,0x3ff27fff,
    0xffffffff,0x27ffffff,0xfffffffc,0xffffffff,0x3fffee7f,0x7ffc403f,
    0xfff9001f,0x32001fff,0xffffffff,0xffffffff,0x43fffec7,0x0006fffc,
    0x007fffd8,0xffffff90,0xfffb0001,0xffffb00f,0xfffff000,0x3f2009ff,
    0xffffffff,0x7fffffff,0x3ffffe00,0xfd8004ff,0x7fc407ff,0x3e603fff,
    0x4000ffff,0x4fffffff,0xfffff900,0xffffffff,0x6c40ffff,0xbfffffff,
    0xffc83ffb,0xffb800ff,0xffff91ff,0xffffffff,0x0009ffff,0x9fffffff,
    0x3ffe0000,0x4004ffff,0xbffffffa,0xfffb9889,0x7fe40fff,0xffffffff,
    0x27ffffff,0xfffffffc,0xffffffff,0x3ffff27f,0xffffffff,0x3ee7ffff,
    0x200fffff,0x001ffff8,0x9fffffff,0x3ffff200,0xffffffff,0x7ec7ffff,
    0xfffc87ff,0xffd80006,0xfff0007f,0x0009ffff,0xb00ffffb,0xa800ffff,
    0x7fffffff,0x7ffff900,0x55555555,0x2a005555,0x7fffffff,0x7fffd800,
    0xfffffa80,0x7ffffd00,0xffffa800,0xf9007fff,0x55557fff,0x55555555,
    0x3ffffee0,0x5fffffff,0x01ffff90,0x23ffff70,0xaabffffc,0xffffdaaa,
    0x3ea000ff,0x07ffffff,0xffffa800,0x22007fff,0x00dffffe,0x17ffffa2,
    0x557ffff9,0x55555555,0x7fffe455,0xaaaaaaab,0x3f22aaaa,0xaaaabfff,
    0x2aaaaaaa,0x3fffffee,0x3fffe205,0xffffa801,0xf9007fff,0x55557fff,
    0x55555555,0xc87fffd8,0x80006fff,0x8007fffd,0xfffffffa,0xfffd8007,
    0x7fffd807,0x7fffec00,0xc802ffff,0x0000ffff,0xfffffb00,0xd8005fff,
    0xfb007fff,0xff509fff,0xfb000dff,0x5fffffff,0x1ffff900,0xfff70000,
    0xffffffff,0x3ff203ff,0xffb800ff,0xffff91ff,0x7ffec401,0x3ff6005f,
    0x02ffffff,0x7fffec00,0x7002ffff,0x200dffff,0x22fffff8,0x000ffffc,
    0x03ffff20,0xffffc800,0x3fee0000,0x101fffff,0xb003ffff,0xffffffff,
    0xffff9005,0xffd80001,0x6fffc87f,0xfffd8000,0xfffd8007,0x002fffff,
    0x403fffec,0x2007fffd,0xffbffff8,0xffc805ff,0x800000ff,0xffbffff8,
    0x7ec005ff,0xff1007ff,0x7fc43fff,0x44001fff,0xfffbffff,0xfffc805f,
    0x7c40000f,0xb50affff,0x3209ffff,0xb800ffff,0xff91ffff,0xff8801ff,
    0xf8801fff,0xffffbfff,0x3fe20005,0x5ffffbff,0x5ffffd00,0x7fffdc00,
    0x03ffff25,0xffffc800,0x3ff20000,0x2e0000ff,0x6fffffff,0x03ffff10,
    0xfbffff88,0xfc805fff,0x40000fff,0xfc87fffd,0x4dd446ff,0x7fffd800,
    0x7fffc400,0x005ffffb,0x403fffec,0x2007fffd,0xfc8ffffb,0x7e400fff,
    0x00000fff,0xc8ffffb8,0x2000ffff,0x2007fffd,0x326ffffb,0x8004ffff,
    0xfc8ffffb,0x7e400fff,0x40000fff,0xe80ffffd,0xc81fffff,0xb800ffff,
    0xff91ffff,0xff5001ff,0xff7009ff,0xffff91ff,0x3fee0001,0xffffc8ff,
    0x7fffc400,0xffff8006,0x03ffff26,0xffffc800,0x3ff20000,0x2e0000ff,
    0xffffffff,0x1ffff883,0x47fffdc0,0x400ffffc,0x000ffffc,0x43fffec0,
    0xff36fffc,0xd809ffff,0x5c007fff,0xffc8ffff,0x3f6000ff,0xffd807ff,
    0x3ffa007f,0x9ffff35f,0x0ffffc80,0xffe80000,0x9ffff35f,0x3fffec00,
    0x3ffffa00,0x06ffff8a,0x2bfffd00,0x404ffff9,0x000ffffc,0x0ffffe20,
    0x3ffffff6,0x0ffffc84,0x1ffffb80,0x001ffff9,0x00bffff1,0x3e6bfffd,
    0xd0004fff,0x3fe6bfff,0x7fd404ff,0xfe8005ff,0x3fff27ff,0x3f20000f,
    0x20000fff,0x000ffffc,0x3ffffee0,0x7c40ffff,0x7f401fff,0xffff35ff,
    0xffffc809,0x7fec0000,0xefffc87f,0xfffffffb,0x3fff605f,0x7fff4007,
    0x09ffff35,0x03fffec0,0x803fffec,0x3a2ffffa,0x7e407fff,0xaaaabfff,
    0x02aaaaaa,0x22ffffa8,0x2007fffe,0x4007fffd,0xfdfffff9,0xa8002fff,
    0x3fa2ffff,0x7fe407ff,0xaaaaabff,0x4c2aaaaa,0x7e40ffff,0x85fffdbf,
    0x800ffffc,0xf91ffffb,0x3e001fff,0x7d406fff,0x3ffa2fff,0xffa8007f,
    0x3fffa2ff,0x7fffd407,0xfffd8004,0x7ffff90f,0x55555555,0xfffc8555,
    0xaaaaaabf,0x7e42aaaa,0xaaaabfff,0x42aaaaaa,0xffbefffb,0x7ffc45ff,
    0x3ffea01f,0x1ffffa2f,0x57ffff90,0x55555555,0xffffb055,0xffffff90,
    0xffffffff,0x1ffff603,0x2ffffa80,0x801ffffa,0xd807fffd,0xfb007fff,
    0xfffb8fff,0x3fff202f,0xffffffff,0x400fffff,0x7dc7fffd,0xfb002fff,
    0xf9000fff,0xbfffffff,0x3fff6000,0x17fffdc7,0xffffff90,0xffffffff,
    0x7ffdc1ff,0xfca7fdc7,0xfffc87ff,0xfffb800f,0x1ffff91f,0x1ffffa00,
    0xb8ffffb0,0x4002ffff,0x7dc7fffd,0x3ee02fff,0xc8003fff,0xff92ffff,
    0xffffffff,0x41ffffff,0xfffffffc,0xffffffff,0x3ffff20f,0xffffffff,
    0x3ee0ffff,0xffffd6ff,0x0ffffc45,0xb8ffffb0,0x3202ffff,0xffffffff,
    0xffffffff,0x43fffec0,0x1cfffffc,0x0bffff91,0x801ffff6,0x7dc7fffd,
    0xfb002fff,0xffb00fff,0xfff100ff,0xffff889f,0x3ffff205,0xffffffff,
    0x2200ffff,0x7c44ffff,0xfb005fff,0xf1000fff,0x1fffffff,0xffff1000,
    0x5ffff889,0x3fffff20,0xffffffff,0x3fee0fff,0xa97fea7f,0x7e40ffff,
    0xfb800fff,0xfff91fff,0x3ff6001f,0xfff100ff,0xffff889f,0x3ffe2005,
    0x7fffc44f,0x3fffee05,0xfffc8002,0xfffff92f,0xffffffff,0x7fe41fff,
    0xffffffff,0x20ffffff,0xfffffffc,0xffffffff,0x5bffee0f,0x226ffff9,
    0xf101ffff,0xff889fff,0x3ff205ff,0xffffffff,0x40ffffff,0xfc87fffd,
    0xffd05fff,0x3fff60df,0xffff1007,0x5ffff889,0x0ffffb00,0x00ffffb0,
    0xd03ffff7,0x3201ffff,0xffffffff,0xffffffff,0x3fffee00,0x0ffffe81,
    0x07fffd80,0xfffff500,0x3ee0005f,0xffe81fff,0xfff900ff,0xffffffff,
    0x541fffff,0xff98ffff,0x43fffdc6,0x800ffffc,0xf91ffffb,0x36001fff,
    0xf701ffff,0xffd03fff,0x3ee001ff,0xffe81fff,0xfff500ff,0xffb0007f,
    0x3fff23ff,0xffffffff,0x320fffff,0xffffffff,0xffffffff,0x3fffff20,
    0xffffffff,0x3fee0fff,0x3ffff26f,0x03ffff14,0x207fffee,0x900ffffe,
    0xffffffff,0xffffffff,0x87fffd81,0x901ffffc,0x3f60dfff,0xff7007ff,
    0xfffd03ff,0xfffb001f,0xffffb00f,0x0dfffd00,0x413fffee,0xccdffffc,
    0xcccccccc,0x37fff404,0x04ffffb8,0x007fffd8,0x17ffff60,0x6fffe800,
    0x09ffff70,0x337ffff2,0xcccccccc,0x7fffcc4c,0x7e40effa,0xfffc85ff,
    0xfffb800f,0x1ffff91f,0x3ffffa00,0x0dfffd00,0x013fffee,0xb837fff4,
    0xf304ffff,0xd0009fff,0x3f21ffff,0xccccdfff,0x44cccccc,0xccdffffc,
    0xcccccccc,0x6ffffe44,0xcccccccc,0x7ffdc4cc,0x3ffffe26,0x01ffff88,
    0x2e0dfffd,0xf904ffff,0x9999bfff,0x09999999,0xf90ffffb,0x3f201fff,
    0xfffb07ff,0x3fffa00f,0x9ffff706,0x0ffffb00,0x80ffffb0,0xaadffff9,
    0xffffbaaa,0x1ffff907,0x3fe60000,0xaaaaadff,0x807ffffb,0x0007fffd,
    0x00bfffea,0x6ffffcc0,0xffbaaaaa,0xfff907ff,0x7c40001f,0x41ffffff,
    0xb84ffff8,0xb801ffff,0xff91ffff,0x3fe001ff,0xfff307ff,0x755555bf,
    0x300fffff,0x555bffff,0xfffff755,0x1bfffe20,0x9ffffe00,0x000ffffc,
    0x03ffff20,0xffffc800,0x3fee0000,0x7fffd46f,0x81ffff8d,0xaadffff9,
    0xffffbaaa,0x1ffff907,0xfffd8000,0x07fffc87,0x6c1ffff2,0xf9807fff,
    0xaaaadfff,0x07ffffba,0x807fffd8,0x6407fffd,0xffffffff,0xffffffff,
    0x0ffffc82,0xfff90000,0xffffffff,0x805fffff,0x0007fffd,0x00bfffea,
    0x7ffffe40,0xffffffff,0xffc82fff,0x640000ff,0xd82fffff,0xfb80ffff,
    0xfc801fff,0xfff90fff,0x3ffe001f,0xffff906f,0xffffffff,0xc805ffff,
    0xffffffff,0xffffffff,0x3fffff02,0x7fffd400,0x03ffff25,0xffffc800,
    0x3ff20000,0x2e0000ff,0xffe86fff,0x1ffffcff,0xffffffc8,0xffffffff,
    0xfffc82ff,0x7ec0000f,0xfffc87ff,0x1fffee07,0x403fffec,0xfffffffc,
    0xffffffff,0x7ffec02f,0x7fffd807,0x7fffffc0,0xffffffff,0xffc85fff,
    0xf00000ff,0xffffffff,0xffffffff,0x7fffd80b,0x3ffea000,0xfff0002f,
    0xffffffff,0x0bffffff,0x001ffff9,0xfffff880,0xfffea9ad,0xffff503f,
    0xffffb009,0x007fffe4,0x82ffffcc,0xffffffff,0xffffffff,0x7fffc05f,
    0xffffffff,0x905fffff,0x400dffff,0x323ffffe,0x0000ffff,0x003ffff2,
    0x0ffffc80,0x3ffee000,0xfffff986,0xff81ffff,0xffffffff,0x5fffffff,
    0x00ffffc8,0x3fffec00,0x7037ffe4,0x3f60ffff,0xfff807ff,0xffffffff,
    0x05ffffff,0x403fffec,0x2a07fffd,0xffffffff,0xffffffff,0x7ffe40ff,
    0xfa80000f,0xffffffff,0xffffffff,0x3fff600f,0x3fea0007,0xfa8002ff,
    0xffffffff,0xffffffff,0x7fffe40f,0xffd80000,0xffffffff,0x3fe605ff,
    0x3ea01fff,0x3ff27fff,0xffd800ff,0xfffa83ff,0xffffffff,0x0fffffff,
    0xffffff50,0xffffffff,0xf101ffff,0x9009ffff,0xfc8dffff,0x20000fff,
    0x000ffffc,0x03ffff20,0x6fffb800,0xffffff90,0xfffa83ff,0xffffffff,
    0x0fffffff,0x007fffe4,0x1ffff600,0xb81bfff2,0xffb07fff,0xfffa80ff,
    0xffffffff,0x0fffffff,0x01ffff60,0xd81ffff6,0xccccffff,0xffdccccc,
    0x7ffe44ff,0xfd80000f,0xcccccfff,0xfffdcccc,0x3fff604f,0x3fea0007,
    0xfd8002ff,0xcccccfff,0xfffdcccc,0x7fffe44f,0x7fd40000,0xffffffff,
    0xffe804ff,0x2a20aeff,0x323ffffe,0x4c00ffff,0xfb06ffff,0x99999fff,
    0xfffb9999,0x3fff609f,0xcccccccf,0x4ffffdcc,0xdfffff70,0xffffd303,
    0xffffc85f,0x3ff20000,0x320000ff,0x0000ffff,0xe81bffee,0x1fffffff,
    0x667fffec,0xdccccccc,0x7e44ffff,0x40000fff,0xfc87fffd,0x3fee06ff,
    0xffffb07f,0xcffffd80,0xcccccccc,0x204ffffd,0xd807fffd,0xff107fff,
    0x3e200bff,0x7fe47fff,0x440000ff,0x1005ffff,0x6c0fffff,0x20007fff,
    0x002ffffa,0x02ffffc4,0x47ffff88,0x000ffffc,0x323bfe20,0x1dffffff,
    0xfffff500,0xffffddff,0x7fe41fff,0xfc9880ff,0xf881ffff,0xf1005fff,
    0xff10ffff,0x3e200bff,0x3fa07fff,0xedffffff,0x5fffffff,0x00ffffc8,
    0x3ffff200,0x3ff20000,0x2e0000ff,0x3ea06fff,0x21ffffff,0x005ffff8,
    0xc8fffff1,0x0000ffff,0x643fffec,0x3ee06fff,0xfffb07ff,0x7fffc40f,
    0xffff1005,0x3fffec0f,0x83fffec0,0x002ffffc,0xc8bffff6,0xffffffff,
    0xffffffff,0x3ffff23f,0x3fff6002,0xffffb02f,0x7ffd4000,0x7fe4002f,
    0x3f6002ff,0x3ff22fff,0xffffffff,0x3fffffff,0x153303aa,0x3fff6000,
    0xffffffff,0x7fe43fff,0xffffffff,0x04ffffff,0x005ffff9,0x217fffec,
    0x002ffffc,0x40bffff6,0xffffffe8,0xffffffff,0xffffc80d,0xffffffff,
    0xf93fffff,0xffffffff,0xffffffff,0x3fffff27,0xffffffff,0xff73ffff,
    0xfffd80df,0x3ff21fff,0x3f6002ff,0x3ff22fff,0xffffffff,0x3fffffff,
    0x321ffff6,0x3ee06fff,0xfffb07ff,0x7fffe40f,0x3fff6002,0xffffb02f,
    0x0ffffb00,0x001ffffe,0x64bffff5,0xffffffff,0xffffffff,0x1ffffe3f,
    0xbffff500,0x01ffff60,0x2ffffa80,0x3ffffc00,0x3fffea00,0x3fffff25,
    0xffffffff,0x0003ffff,0x3fff2000,0xffffffff,0xffffc82f,0xffffffff,
    0xff00efff,0xfa800fff,0x7ffc5fff,0x7fd4007f,0x7fdc05ff,0xffffffff,
    0x3ff202ff,0xffffffff,0x3fffffff,0xfffffff9,0xffffffff,0x3fff27ff,
    0xffffffff,0x73ffffff,0xf880dfff,0x3e1fffff,0x54007fff,0x3f25ffff,
    0xffffffff,0xffffffff,0x21ffff63,0x2e06fffc,0xffb07fff,0x7fffc0ff,
    0x7ffd4007,0xffffb05f,0x0ffffb00,0x009ffff5,0x21fffff0,0xfffffffc,
    0xffffffff,0xffff53ff,0xffff0009,0xffffb01f,0x7ffd4000,0x3fea002f,
    0xff8004ff,0xfff90fff,0xffffffff,0x07ffffff,0xd9800000,0xefffffff,
    0xffff900d,0xffffffff,0x7fd407ff,0xff8004ff,0xfff50fff,0xfff0009f,
    0xec8801ff,0xceffffff,0x7fffe400,0xffffffff,0xf93fffff,0xffffffff,
    0xffffffff,0x3fffff27,0xffffffff,0xff73ffff,0xfff700df,0x3ffea3ff,
    0xfff8004f,0xffff90ff,0xffffffff,0x6c7fffff,0xffc87fff,0x3ffee06f,
    0x0ffffb07,0x013fffea,0x03ffffe0,0x201ffff6,0xfd87fffd,0xc8001fff,
    0xff94ffff,0xffffffff,0x7fffffff,0x007ffff6,0x13ffff20,0x001ffff6,
    0x02ffffa8,0x07ffff60,0x3ffff200,0xffffff94,0xffffffff,0x00007fff,
    0x554cc000,0xffff9001,0x9bdfffff,0xfffd8017,0xffc8001f,0xffffb4ff,
    0xfff90003,0xaa88009f,0x7ffe4000,0xffffffff,0x93ffffff,0xffffffff,
    0xffffffff,0x3ffff27f,0xffffffff,0xf73fffff,0x3fa00dff,0xfffb1fff,
    0xff90003f,0x3fff29ff,0xffffffff,0x23ffffff,0xfc87fffd,0x3fee06ff,
    0xffffb07f,0x07ffff60,0x3ffff200,0x07fffd84,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cc41900,0x00dd4409,0x00000000,
    0x99980000,0x26600009,0x0000ccc1,0x01331000,0x31066620,0x4ccc0033,
    0x01333309,0x004ccc40,0x00660198,0x003300cc,0x26606662,0x3b930009,
    0x26666000,0x99988000,0x00333311,0x88013331,0x26200999,0x98800099,
    0x00000199,0x00000000,0x4cccc400,0x4c026200,0x00000001,0xeffedba8,
    0xa80002bd,0xcdeffedb,0xfd8f7e41,0xffff53ff,0xeeea89ff,0x7fedd41e,
    0x6d4000ce,0x002deffe,0x02ffff80,0x41fff500,0xb1003ffe,0x2003bffd,
    0xf3002ffe,0x37ff45ff,0x8efffb80,0x000ffffa,0x00bffff3,0x1bee0bfe,
    0x7d41ff40,0x7fff1007,0xa8037fec,0x8003ffff,0x8003ffff,0xffb4fffe,
    0xfff9809f,0x7ffec05f,0x1bfff206,0xbffff100,0xffd93000,0x0017bdff,
    0x3ffb2e60,0x00001bce,0x401ffffb,0x0ff984fd,0xffd97100,0xe880019d,
    0xffffffff,0x88000dff,0xfffffffe,0xffb9dfff,0x77fffb3f,0xffffffff,
    0x8ffffdc9,0xffffffe8,0xfd8802ff,0x5fffffff,0x7fffc000,0xdff90002,
    0x9805ffc8,0x3fffffff,0x0037fdc0,0x3f23ffee,0xffd000ff,0x07fffa3f,
    0x7ffff440,0x1efd803f,0x64013fa6,0x17fa61ff,0xb9fffa80,0xfb001fff,
    0xf000dd11,0xa8007fff,0xfff35fff,0xffff880b,0x3ff603ff,0x3fff206f,
    0x7ffdc006,0x7fec4005,0xffffffff,0xfd3000cf,0xffffffff,0x440001bf,
    0x5c01ffff,0x1bf621ff,0x7ffff4c0,0x7004ffff,0xffffffff,0x05ffffff,
    0x7ffffdc0,0xffffffff,0x3f64ffff,0xffffffff,0xf72fffff,0xfff33fff,
    0xffffffff,0xffffd803,0x04ffffff,0x0bfffe00,0x227ff400,0xfd807ffa,
    0x0fffecff,0x000bffa0,0x3ffffffa,0x5fff5003,0x800bffe6,0xfffceffd,
    0x77ffc401,0x1000ffff,0xfffdffff,0xfffd8003,0x3e004fff,0xf0003f25,
    0xe8007fff,0x3bff66ff,0x6f7fec00,0xffb00fff,0x7ffe40df,0x77ffc006,
    0x3ffea000,0xffffffff,0x6400efff,0xffffffff,0x02ffffff,0x03fff900,
    0x3fbfffa0,0xff9801ff,0xffffffff,0x7ffe403f,0xffffffff,0x803fffff,
    0xfffffffc,0xffffffff,0x7ffec5ff,0xffb31cff,0x3ffee9ff,0xffffffdf,
    0x06ffffff,0x277fffe6,0x01ffffb9,0x05ffff00,0x10bffe00,0x7cc01fff,
    0x7fff12ff,0x001bfee0,0x2fffffc4,0x6c7ffd00,0x3ea004ff,0x0dffd1ff,
    0xdfffff50,0xffe98003,0x88002fff,0x006fffff,0x02fddfe4,0x01ffffc0,
    0x261dff30,0x7d400fff,0x0dffd1ff,0xc81bfff6,0x2e006fff,0x2a000eff,
    0xffffffff,0xffffffff,0x3ffff206,0xffffffff,0x4003ffff,0x2002fff8,
    0x2fffffe8,0xdfffff00,0x3fffffd9,0x3ffffe60,0xff7311bf,0x4c01ffff,
    0x1bffffff,0x3ffffee6,0x7fffec2f,0x5ffff885,0xfffffff7,0xfff7337d,
    0x3ee03fff,0x7fec0fff,0x3330002f,0xff300013,0x05fff01f,0xfd07ffd4,
    0x0bffa0bf,0xcccca800,0x47991000,0x64003cc8,0x333222cc,0x05775001,
    0x0abba800,0x33326000,0x7f44000c,0x998001ef,0x32a00099,0x00732a0c,
    0xcc88b332,0x6fffd81c,0x01bfff20,0x2000ded8,0xbffffff8,0xfffd950a,
    0xfff507ff,0x31137fff,0x1ffffff7,0x01775400,0x00acba80,0x87ffff50,
    0xd03ffffb,0x401bffff,0x05ffffe8,0x037ffffa,0x5fffff98,0x80ffffec,
    0xff76fffd,0x2205ffff,0x704fffff,0xfc81ffff,0x000003ff,0x41bfee00,
    0x3ee04ffd,0x437fec7f,0x00006ffb,0x00000000,0x00000000,0x00000000,
    0x00198000,0x00000000,0x3f600000,0x3ff206ff,0x8000006f,0x01effffe,
    0x237ffff4,0x0dffffe8,0x3ffffa20,0x00000005,0xdfff9000,0x21bfffa0,
    0x006ffffb,0x05fffff1,0x80dffff7,0xffffffe8,0x81ffff61,0xff77fffd,
    0xfb807fff,0xff306fff,0x7ffccbff,0xb988001f,0xfd80009b,0x0dff704f,
    0x3f63ffdc,0x02fff86f,0x2f2aa200,0x7510001a,0x2a200015,0x4001abca,
    0x0009bb98,0x002aea20,0x0abba980,0x80266620,0x4c009998,0x2200abba,
    0x26200999,0xba980099,0x3ff600ab,0x3fff206f,0x2eea6006,0x7ffcc00a,
    0xff8800ff,0x3fee1fff,0xff1006ff,0xa8805fff,0x4001abca,0x00aacba9,
    0x503fffe8,0xffd03579,0x7dc005ff,0xffe85fff,0x7ff402ff,0x364fffff,
    0x3f206fff,0xffff77ff,0xffff300b,0x7ffff40f,0x06fffe8a,0x7fffec40,
    0x3e000dff,0xfff302ff,0x83ffea01,0x7fdc5ffe,0xffb30006,0x09ffffff,
    0xffffdb30,0x366005ff,0xffffffff,0x7ffec404,0x3000dfff,0xffffffdb,
    0x7ffdc005,0xd81dffff,0x3f206fff,0xfff706ff,0xb03bffff,0x7e40dfff,
    0x3fee06ff,0x81dfffff,0x3206fffd,0xfb806fff,0x1dffffff,0x07ffff90,
    0x740d6540,0x2002ffff,0x305ffffb,0xfffffffb,0xfffc809f,0x00efffff,
    0x0013fff6,0x006ffff8,0x437fffc4,0x6c06ffff,0xffffafff,0x81bfff66,
    0xff77fffc,0x3fa009ff,0xff301fff,0xffffffff,0x7ffcc003,0x2fffffff,
    0x00fff980,0x7cc0bffe,0x13ffe1ff,0x30005fff,0xffffffff,0x7d40bfff,
    0xffffffff,0x3fe600df,0xffffffff,0xffff305f,0x05ffffff,0xffffffa8,
    0x200dffff,0xffffffd8,0x7ec2ffff,0x3ff206ff,0x7ffec46f,0x2fffffff,
    0x9037ffec,0xfb10dfff,0xffffffff,0x6fffd85f,0x81bfff20,0xffffffd8,
    0xff82ffff,0x200007ff,0x006ffff8,0x986ffff8,0xffffffff,0xffb05fff,
    0xffffffff,0x3fff203f,0xfff10005,0xffd000bf,0xffff88ff,0x4bfff205,
    0x3f67ffff,0x3ff206ff,0x7ffff77f,0x3ffffa00,0x3ffff201,0x2002ffff,
    0xfffffff8,0x401fffff,0x7ec07ffb,0x3bffa04f,0x2e1fffca,0xf88006ff,
    0xfeefffff,0xfa83ffff,0xffffffff,0xff106fff,0xffddffff,0xff887fff,
    0xffffffff,0xfff501ff,0xffffffff,0x7ffec0df,0xffffffff,0x1bfff61f,
    0x6c6fffc8,0xffffffff,0x3f61ffff,0x3ff206ff,0xffffd86f,0xffffffff,
    0x81bfff61,0x3606fffd,0xffffffff,0x3e21ffff,0x00006fff,0x017fffea,
    0x11ffffa0,0xddffffff,0xb87fffff,0xffffffff,0xf506ffff,0x26000fff,
    0x8004ffff,0x2a0ffffd,0xf704ffff,0x7ffec7ff,0x0dfffb0f,0xfbbfffe4,
    0xfb002fff,0x7e403fff,0x00dfffff,0x67fffe40,0x5fffeb89,0x202ffec0,
    0x3ea06ffb,0x45ffffff,0xa8002fff,0x7440ffff,0x7fcc7fff,0xeb99cfff,
    0xfa83ffff,0x7f440fff,0x7ffe47ff,0xffeb89cf,0xffff985f,0xffeb99cf,
    0xfffa83ff,0xffc98cff,0x3fff65ff,0x9bfff206,0x8cfffffa,0x25ffffc9,
    0x3206fffd,0x7fd46fff,0xfc98cfff,0x3ff65fff,0x3fff606f,0xfffff506,
    0xffff9319,0x2ffffccb,0xfff50000,0xffb0009f,0x7ffd41ff,0x7fff440f,
    0x8f7fffc7,0x0ffffea8,0x3ffff72e,0x401ccccd,0x003ffffb,0x21ffffc8,
    0xa83ffffb,0x7fe44fff,0xdfffb1ff,0xbbfffe40,0xb001ffff,0xd305ffff,
    0xbfffffff,0xffff9800,0x1ffff984,0x300fffe0,0x7d401fff,0x7dc4ffff,
    0xff70006f,0x26f660df,0x0ffffec0,0x0fffff44,0x4c1bffee,0x3fe609bd,
    0xfff984ff,0x7fffec1f,0xffffe881,0x837fff41,0xfb0ffffd,0x7fe40dff,
    0x1bfffa6f,0xd87fffec,0x3f206fff,0x7fff46ff,0x1ffffb06,0x441ffff2,
    0xfd06ffff,0x3ff60dff,0xffff50ff,0x77775c09,0xf74eeeee,0x90007fff,
    0x7dc5ffff,0x37b306ff,0x07f65c41,0xb0ffffdc,0xffffffff,0xfb805fff,
    0xc8002fff,0x3ee2ffff,0x7fcc2fff,0xffffc85f,0x40dfffb2,0xff77fffc,
    0x3f2003ff,0x7fcc2fff,0xffffffff,0xffb80263,0xfffd01ff,0x07ffe609,
    0x200bffe0,0xfff809a9,0x80d65442,0x1beffffa,0x13fffe00,0x43ffff98,
    0x1beffffa,0x3ffff700,0xf13fffa0,0x7cc09fff,0x3fe23fff,0x359302ff,
    0x206fffd8,0xff16fffc,0x2b2605ff,0x037ffec1,0x7c4dfff9,0x59302fff,
    0x2ffffb83,0x86ffffc8,0x302ffff8,0xfffa8359,0x3fff204f,0x75ffffff,
    0x0005ffff,0x545ffff9,0x01beffff,0x7ffcc000,0x3ffff61f,0x2fffffff,
    0x1ffffd40,0x7fffec00,0x93fffea1,0xfb05fff9,0x3ff63fff,0x3fff206f,
    0x03ffff77,0x8bffff20,0xbdfffff9,0xfb1fffff,0xfffc85bf,0x17fff207,
    0xd803ffdc,0x5c0003ff,0x7ffdc6ff,0x7fc40dff,0xadffffff,0x3ffff300,
    0x45fffe80,0xfffffff8,0xff900adf,0x7ffe40ff,0x07fffe65,0x54bfffd0,
    0x8001ffff,0x3206fffd,0xfff56fff,0xffb0003f,0x7ffe40df,0x07fffea6,
    0x3fffe600,0xfffda9be,0xfffa86ff,0xff98001f,0x3ff205ff,0x5fffffff,
    0x007ffff5,0x43ffffb0,0xfffffff8,0x44000adf,0xfffffdba,0x3fffff62,
    0x02ffffff,0x027fffcc,0x23ffff40,0xf15ffff9,0x3fa01dff,0xfffb0fff,
    0xbfffe40d,0x001ffffb,0x6c3ffff9,0x3f64ffff,0xfff9efff,0x7fffec2f,
    0xffffffff,0xbff906ff,0x017fee00,0x5c5fff00,0x5fffffff,0xffffffb8,
    0x5c1dffff,0x6c00ffff,0xffb86fff,0xffffffff,0x7fffec1d,0xffffffff,
    0x3ffee6ff,0x7ffec00f,0x03fffee6,0x1bfff600,0xf76fffc8,0xb0001fff,
    0x7e40dfff,0x3ffee6ff,0xff88000f,0xffffffff,0xfb86fffe,0x88000fff,
    0x3206ffff,0xffffffff,0x9ffff35f,0xffffd000,0xfffffb81,0x01dfffff,
    0x3ffffae6,0x501fffff,0x1000ffff,0x000bffff,0xf88dffff,0xffe8efff,
    0x3fffe00f,0x81bfff67,0xff77fffc,0x3f6003ff,0xfff31fff,0xffffd0bf,
    0xfd0fffff,0xffffffff,0x20ffffff,0xf3003ffe,0x7dc000ff,0x46fffc6f,
    0xfb82fffb,0xffffffff,0x3fff23ff,0x7fffc807,0xffffff70,0x747fffff,
    0xffffffff,0x27ffffff,0xc807fffc,0x3ff27fff,0xfd8000ff,0x3ff606ff,
    0x1ffff96f,0xdfffb000,0x937ffec0,0x0001ffff,0x3fffffe6,0x6fffabff,
    0x00ffffc8,0x0fffff00,0x7cccccc4,0xfff15fff,0xfff000df,0x3ffee0ff,
    0xffffffff,0xfffffd83,0x1ffffeff,0x00dfff70,0x07ffffe0,0xfff50ba2,
    0xfffff0bf,0x5403fffd,0x3f65ffff,0x3ff206ff,0x3ffff77f,0x3ffff600,
    0x05ffff51,0xfffffff1,0xffffd0bf,0xdddddddd,0xfff10ddd,0x3ffe2003,
    0x5fff0001,0xff0fffcc,0x3f6e209f,0xffffffff,0x01ffff71,0x206fffd8,
    0xfffffdb8,0xffd1ffff,0xddddddff,0x7dcddddd,0x7ec00fff,0x3ffee6ff,
    0xffd8000f,0x3fff606f,0x01ffff76,0x0dfffb00,0xf737ffec,0x40001fff,
    0x2dffffd9,0xf70dfff5,0x20001fff,0x003ffffc,0xf97fffe2,0x2001ffff,
    0x205ffffa,0xfffffdb8,0x3f61ffff,0x88acffff,0xfd01ffff,0x32000bff,
    0xfc85ffff,0xffffd2ef,0xfffff707,0xffe803ff,0xfb0003ff,0x3ffeedff,
    0xfffd001f,0x3fffee1f,0xfffff301,0xfffb03ff,0xffa8000f,0x1fff4007,
    0x237fdc00,0x7ff47ffa,0xffd73005,0x3fee9fff,0x7ff401ff,0x3ae6004f,
    0xfb4fffff,0x2e000fff,0x7401ffff,0x3fea4fff,0x06ae01ff,0x6c0dfffb,
    0xfff56fff,0x20d5c03f,0x3606fffd,0x3fea6fff,0x06ae01ff,0x1fea0660,
    0x01ffffa8,0x3fea06ae,0xf1000fff,0x7fe4bfff,0x3fa006ff,0x26003fff,
    0x4fffffeb,0x307ffff5,0xf103ffff,0x20003fff,0x42fffff8,0xffeffffe,
    0xff880fff,0x5c02ffff,0x0006ffff,0x7ddbfffa,0xf8801fff,0x3fea7fff,
    0x3fee04ff,0xff906fff,0x026a05ff,0x4005ffc8,0xf8005ffc,0x3ffdc2ff,
    0x7511bff6,0x3fffe603,0x0bffff15,0x41ffffd4,0xff301ba8,0x3fff2bff,
    0x1013502f,0x540bffff,0x3e23ffff,0xff504fff,0x3fff25ff,0x5bfffe07,
    0x504ffff8,0x3f25ffff,0x3ffe07ff,0x3fffe26f,0x5ffff504,0x40ff7000,
    0x504ffff8,0xfe85ffff,0xb800dfff,0x3e25ffff,0xc804ffff,0x5106ffff,
    0x3ffe6037,0x0dfff95f,0x107fffe6,0x0009fffd,0x4fffffb8,0x7fffffdc,
    0x3ff202ff,0xfb104fff,0x8005ffff,0x6ffffca9,0x103ffff7,0x25ffffc8,
    0x80fffff8,0xffffffe9,0x7fffcc0e,0x3ffff985,0x4003ffe8,0x5c007ffa,
    0x7ffb86ff,0xff8affec,0x3ffa06ff,0x3ffffa4f,0xffffe983,0x1bfffe20,
    0xf34fffe8,0xff30bfff,0xfffe87ff,0xfffe983f,0x7ffff40f,0x0ffffe81,
    0x903ffff5,0x7f4dffff,0xffe81fff,0xffff50ff,0xdffff903,0x81ffffe8,
    0x000ffffe,0x7f407fd8,0xffe81fff,0x7ffcc0ff,0xea882eff,0x5c5fffff,
    0x81efffff,0x2fffffe9,0x037fffc4,0x3f69fffd,0xfffb07ff,0xffffe85f,
    0x5c40acba,0x3ffffa00,0xffedceff,0x5c05ffff,0xdfffffff,0xfffffecc,
    0xffd8005f,0xff74ffff,0xdbff03ff,0xd83fffff,0xbbdfffff,0xfffffffd,
    0x7fec3fff,0xfea8aeff,0x7fc41fff,0x7fc4001f,0x3ffe001f,0x20fffa82,
    0x3ff24ffe,0x3f261dff,0x3fea2fff,0xfcabdfff,0xfc82ffff,0x3261dfff,
    0x3f62ffff,0xea8aefff,0x7d41ffff,0xcabdffff,0x982fffff,0xbacfffff,
    0x265ffffe,0xa8afffff,0x26fffffc,0xacfffff9,0x25ffffeb,0x8afffff9,
    0x6fffffca,0x67ffffcc,0x5ffffeba,0x05ffb000,0x67ffffcc,0x5ffffeba,
    0xffffff90,0xfffffbdf,0xfd0bffff,0xdbffffff,0xbfffffff,0x37ffff20,
    0x3ffff261,0x19ffff92,0x3fffff26,0x3fffff22,0xeeffffff,0x3fa204ff,
    0xffffffff,0x3fffffff,0xffffff50,0xffffffff,0x0001bfff,0x3fffffff,
    0x507fffee,0xffffffff,0xfffff109,0xffffffff,0x1fffffff,0x7fffffcc,
    0x84ffffff,0x8000fffa,0xf7003ffe,0x3ffe20df,0x447fff33,0xfffffffe,
    0xc85fffff,0xffffffff,0xd105ffff,0xffffffff,0xf98bffff,0xffffffff,
    0xff904fff,0xffffffff,0x7fec0bff,0xffffffff,0x3ffe20ef,0xefffffff,
    0x7fec6fff,0xffffffff,0x3ffe20ef,0xefffffff,0xffd86fff,0xffffffff,
    0xf70000ef,0xd85b9bff,0xffffffff,0x3200efff,0xffffffff,0xffffffff,
    0xffffd104,0xffffffff,0x3a201bff,0xffffffff,0x3e65ffff,0xffefffff,
    0x2a3fffff,0xffffffff,0xffffffff,0x7fffdc00,0xffffffff,0x262fffff,
    0xfffcdfff,0xffffffff,0xff10002f,0x7dc7ffff,0x7ff41fff,0x00ffffff,
    0xffffffd1,0xf51bffff,0xfd103fff,0xffffffff,0x01bff209,0x402ffe40,
    0x3202fff8,0x7fffdfff,0xfffffe88,0x00efffff,0xfffffff7,0xe8807fff,
    0xffffffff,0xfe880eff,0xffffffff,0x7fffdc04,0x03ffffff,0xffffffc8,
    0xf981ffff,0xbfffffff,0xfc86fffa,0xffffffff,0xffff981f,0xffabffff,
    0xffff906f,0x03ffffff,0x7fffc400,0xfffc82ff,0x1fffffff,0xfffffa80,
    0xffffffff,0xfffb801d,0xffffffff,0xffe8802f,0xffffffff,0x7fffe40e,
    0xffdcffff,0x7ffff45f,0xffffffff,0xc8803fff,0xdffffffe,0xffffffcb,
    0x221dff90,0xfffffffc,0x260000ce,0x5c1befec,0x6dc1ffff,0x01dfffff,
    0xfffffeb8,0x1ff441ef,0x3ffffb20,0x3ffa02ef,0xfff50004,0x80dff700,
    0xffffffe8,0x3fffaa02,0x9802efff,0xdfffffdb,0x3ffaa001,0x802effff,
    0xefffffec,0xffb73002,0x4003bfff,0xffffffe9,0x3ff6600b,0xfff52dff,
    0x3fffa60d,0x2600bfff,0x52dffffd,0x74c0dfff,0x0bffffff,0xfdb88000,
    0xffd300bd,0x0017ffff,0xfffffda8,0x4001bcef,0xfffffec8,0x54000cef,
    0xeffffffe,0x3fffea02,0xffff51ef,0x984e7dc1,0xfffffedb,0xaa88002d,
    0x3fffe980,0xa9880764,0x0000000a,0x09a88000,0x01553000,0x9a980050,
    0x00aaa800,0x80555100,0x7002fff8,0x20019dfb,0x0001aa98,0x2000054c,
    0x0001aa98,0x000026a6,0x30000153,0x33000135,0x26a60000,0x00198000,
    0x0026a600,0x98000000,0x3000009a,0x00000353,0x00001551,0x0006aa62,
    0x10001353,0x0026a600,0x3fee0000,0x00000080,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0000000c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03300cc0,0x4cc0ccc4,
    0x00000009,0x3104ccc4,0x26600133,0x4cc00019,0x4ccc0199,0x31000019,
    0x00000333,0x09998800,0x00026662,0x80005b91,0x00001998,0x80066662,
    0x00019998,0x0000c400,0x26604ccc,0x18800009,0x4cc40000,0x33310009,
    0x20099981,0x4ccc0999,0x82666200,0x20009998,0x80001999,0x88019999,
    0x54000999,0x3ceffedb,0xffdb8800,0xddd10bce,0xdddddddd,0x3fa07ddd,
    0x2207fa83,0x3ff25ffe,0xdb95000f,0x0019ddff,0x7d49fff5,0xffa803ff,
    0xf30004ff,0xfa809fff,0x40002fff,0x005ffff8,0x6ffff6cc,0x3ea000ac,
    0x3ffee3ff,0x3ffe2003,0xff50004f,0x10000bff,0x4009ffff,0x003ffff9,
    0x3ffae200,0x4002deff,0x3e65fff8,0xb88004ff,0x2deffffe,0x3ffe6000,
    0x3ffa005f,0x803ffee5,0x3fee6ffe,0x3ffea01f,0x00fffea3,0x027fffd4,
    0x7ffff300,0x3ffffd00,0xffffd100,0x03dfffff,0x3ffffea0,0xff89efff,
    0xffffffff,0xf904ffff,0x02ff4c3f,0x3eabffe6,0xfe8802ff,0xffffffff,
    0x3fea00cf,0x0fffea4f,0xffffff10,0xfffb0005,0x3ffee009,0x7fe40006,
    0x3faa005f,0xffffffff,0xfff5002f,0x01fffdc7,0x03f63f90,0xfffff100,
    0xfc80005f,0xfa8005ff,0x880007ff,0xfffffffd,0x1003ffff,0x7fccbfff,
    0x3f62004f,0xffffffff,0x744003ff,0x003fffff,0xff57fff3,0xfff8807f,
    0x404fff9c,0x3ea3fffa,0xff8803ff,0x0002ffff,0x9009fffb,0x80dfffff,
    0xfffffffb,0x04ffffff,0x7fffffe4,0xffbfffff,0xffffffff,0xf104ffff,
    0x3fffdfff,0xfffff900,0xfff300bf,0xffffffff,0x7fd40dff,0x0fffea4f,
    0xffbdffd0,0x7fc4001f,0x7fdc005f,0xff10002f,0x7fd400df,0xffffffff,
    0xfa804fff,0x3ffee3ff,0xfb9ba003,0x77fec001,0x0000fffd,0x000bfff1,
    0x0017ffdc,0xbfffff50,0xffffd957,0xfff8801b,0x013ffe65,0x6fffffd4,
    0xffffeb9b,0xdffb000d,0x2003fff9,0x5ffffffb,0xfffff500,0xfff500df,
    0x01fffd47,0x7fef7ff4,0x7fcc000f,0xfff9805f,0xf704fffc,0xffffffff,
    0x07ffffff,0x3fffffea,0xffffffff,0xffffffff,0x204fffff,0x2fffffe9,
    0x3ffffa00,0xffff800f,0xffffffff,0xdd304fff,0x17774c7d,0xd11fff70,
    0x7e400bff,0xff90005f,0x3fee000d,0xfff5000e,0xffffffff,0xa80dffff,
    0x3baa2eee,0x33ee002e,0x7dc006ea,0x0dffd1ff,0x03bfee00,0x0dff7000,
    0x2ffff200,0x3ff6a201,0x3bba200e,0x00fbba24,0x806ffff2,0x00effda8,
    0xfe8fffd4,0x3ff6006f,0x36000fff,0x800fffff,0x3aa2eee9,0x7fdc02ee,
    0x05ffe88f,0x402ffe40,0xff75ffe8,0xffff883f,0xffb50aef,0xfd03ffff,
    0x2615dfff,0xfffffffb,0xaaaaaaaa,0xbba801aa,0x6644000a,0xffa801cc,
    0xb510adff,0x003fffff,0x33322000,0x00333262,0x20002f6c,0xd8000eec,
    0x3fe000de,0x88bdffff,0x3fffffda,0x88000000,0x4002fffd,0x33222ccc,
    0xded8001c,0xdd900000,0xeffa8003,0x37fdc000,0xfa800000,0x7dc000ef,
    0x1666406f,0x20039991,0x001cccc8,0x01666644,0x32200000,0x333262cc,
    0x017b6000,0x97066654,0xffffd879,0x3fffe204,0x7fffdc4f,0xffff300d,
    0x000000ff,0x32000000,0x7f407fff,0x00003fff,0x00000000,0x00000000,
    0xfffff500,0x7fffdc05,0x0000000f,0x00000510,0x00000000,0xff880000,
    0x01597106,0x00009ff7,0x516ff880,0x20355555,0x00004ffa,0x00000000,
    0x00000000,0x00000000,0x7fffcc00,0xffffb806,0x07ffffc7,0x1ffffee0,
    0x04ccc400,0x40133310,0x8009bb98,0x5406fffe,0x2624ffff,0x26620099,
    0x01333109,0x9884ccc4,0x26620099,0x01333109,0x3004ccc4,0x80155975,
    0x805ffffd,0x004ffffc,0x00015751,0x02ab2ea6,0x055d4400,0x2aea2000,
    0x5d440000,0x3ff6000a,0x7ffffcc1,0x00ffd85f,0x05565d4c,0xfa8ffec0,
    0x5fffffff,0x4c00ffc8,0x200aacba,0x22009998,0x2a600999,0x4000aacb,
    0x0009bb98,0x009bb988,0x09bb9880,0x02666200,0x017fffec,0x7cc1bdd8,
    0xf8805fff,0xb0007fff,0x7e40dfff,0xffd886ff,0x200dffff,0x402ffffd,
    0x7fec1999,0x3fff206f,0x40dfffb6,0xffb6fffc,0x7ffe40df,0x40dfffb6,
    0xfc86fffc,0xefffffff,0x03b2a200,0x1ffffe20,0xffffed98,0xff9002ff,
    0x1dffffff,0xfffdb300,0x4c005fff,0xffffffed,0x3fb66002,0x402fffff,
    0x7fc44ff8,0x44fffdff,0xff904ff8,0x1dffffff,0xfa93fe20,0xfffeeeef,
    0xc827fc45,0xffffffff,0x6fffd80e,0x21bfff20,0xfffffffc,0x7ec400ef,
    0x00dfffff,0xfffffd88,0xfd8800df,0x00dfffff,0xd06fffc8,0x0000dfff,
    0x00bfffea,0x003fffec,0x206fffd8,0x7cc6fffc,0xffffffff,0xffff702f,
    0xd80017df,0x3f206fff,0xdfffb6ff,0xdb7ffe40,0x3f206fff,0xdfffb6ff,
    0x237ffe40,0xfffffffd,0x0001ffff,0x0ffffec0,0x7fffffd4,0x200dffff,
    0xfffffffd,0x2a01ffff,0xffffffff,0x7d400dff,0xffffffff,0x7fd400df,
    0xffffffff,0x83ff700d,0x3f60bffe,0x6c3ff41f,0xffffffff,0xffb81fff,
    0xd10bfea1,0x87fd81ff,0xfffffffd,0x7ec1ffff,0x3ff206ff,0x7fffec6f,
    0x1fffffff,0xffffff30,0x4c05ffff,0xffffffff,0x3fe602ff,0xffffffff,
    0x37ffe402,0x005ffff8,0x5ffff700,0x3ffff200,0xaaaaaaaa,0x37ffec1a,
    0x44dfff90,0xffffffff,0xf881ffff,0xefffffff,0xfffd802c,0x5bfff206,
    0x3206fffd,0xfffb6fff,0xb7ffe40d,0x3206fffd,0x3fee6fff,0xffffffff,
    0x400006ff,0x542ffffb,0xffffffff,0xf706ffff,0xffffffff,0x3ea0dfff,
    0xffffffff,0x3ea06fff,0xffffffff,0x3ea06fff,0xffffffff,0xffb06fff,
    0xd884ff98,0x70ffdc1c,0xffffffff,0xfb0dffff,0xc82ffa8f,0x0ffdc1ff,
    0xfffffff7,0xd8dfffff,0x3f206fff,0x3ffee6ff,0xffffffff,0xffff886f,
    0xffffffff,0xfffff881,0x1fffffff,0xffffff88,0x01ffffff,0x221bfff2,
    0x0004ffff,0x03ffff90,0x3fffff20,0xffffffff,0x037ffec5,0x7e4dfff9,
    0xeb89cfff,0xff505fff,0xffffffff,0x3ff6039f,0x3fff206f,0x40dfffb6,
    0xffb6fffc,0x7ffe40df,0x40dfffb6,0x3fe6fffc,0xfd511eff,0x77541fff,
    0xeeeeeeee,0xffeeeeee,0x3ffe63ff,0xfeb99cff,0xfff83fff,0xffd511ef,
    0xfff981ff,0xfeb99cff,0xff983fff,0xeb99cfff,0xf983ffff,0xb99cffff,
    0xe83ffffe,0x00ffdc5f,0xff8bfe60,0xfd511eff,0x5fe81fff,0x3a217fd4,
    0x22ff986f,0x511effff,0x6c1ffffd,0x3f206fff,0x3fffe6ff,0xfffd511e,
    0xffffc81f,0xfffeb89c,0xcffffc85,0x5fffeb89,0x9cffffc8,0x05fffeb8,
    0x261bfff2,0x0004ffff,0x01ffffb0,0x3ffffee0,0xffffffff,0x037ffec5,
    0x3e6dfff9,0xff984fff,0xfff501ff,0xffffffff,0xdfffb07f,0xdb7ffe40,
    0x3f206fff,0xdfffb6ff,0xdb7ffe40,0x3f206fff,0xfd9716ff,0x3ffff701,
    0x7fffffdc,0xffffffff,0x24ffffff,0x881ffffd,0x221ffffe,0xfb80fecb,
    0x7fec1fff,0xffe881ff,0x7ffec1ff,0xfffe881f,0x7fffec1f,0xffffe881,
    0x3f21ffc1,0x3ff8000f,0x701fd971,0xff83ffff,0x666ffd43,0xff03fffd,
    0x03fb2e27,0xd87fffee,0x3f206fff,0xfd9716ff,0x3ffff701,0x427fffcc,
    0x261ffff9,0xf984ffff,0x3fe61fff,0xfff984ff,0xdfff901f,0x09ffff50,
    0x3fff6000,0xfff7000f,0xffffffff,0xfffd8bff,0x5bfff206,0xd01ffffb,
    0x64409fff,0xffffffff,0x7fec4fff,0x3fff206f,0x40dfffb6,0xffb6fffc,
    0x7ffe40df,0x40dfffb6,0x4006fffc,0x2e1ffff9,0xffffffff,0xffffffff,
    0x3fe5ffff,0x3fe604ff,0xf98003ff,0x7ffc1fff,0x3ffe604f,0x27fffc3f,
    0x87ffff30,0x2604ffff,0x3e23ffff,0x003fec2f,0x4c004fe8,0x3e21ffff,
    0x7fffd42f,0x3a01dfff,0x7fcc004f,0x3fff61ff,0x1bfff206,0x3ffff300,
    0x80ffffdc,0x3ee4fffe,0xffd01fff,0x7fffdc9f,0x09fffd01,0x261bfff2,
    0x0004ffff,0x03ffff90,0x33ffff20,0xcccccccc,0x037ffec3,0x3f2dfff9,
    0x3ff207ff,0xfd93005f,0x7fffffff,0x9037ffec,0x3ff6dfff,0x3fff206f,
    0x40dfffb6,0xffb6fffc,0x7ffe40df,0x7edd4406,0x3ea2ffff,0xffffffff,
    0xffffffff,0xfff34fff,0xfffe803f,0xfdba8805,0x3e62ffff,0x7f401fff,
    0x3ffe65ff,0x7fff401f,0x07fffe65,0xf8bfffd0,0x007fe44f,0x100ffe20,
    0xfffffb75,0x7d44ff85,0x03ffeccf,0x5100ffe2,0x5fffffb7,0x9037ffec,
    0xa880dfff,0x2fffffdb,0xc81ffff2,0x3ff25fff,0x3fff207f,0x81ffff25,
    0xf905fffc,0xfff10dff,0x2e0000bf,0x9002ffff,0x2000ffff,0x3206fffd,
    0xfffb6fff,0xffffffff,0x1000dfff,0xdfffffb5,0x9037ffec,0x3ff6dfff,
    0x3fff206f,0x40dfffb6,0xffb6fffc,0x7ffe40df,0xfffeb986,0x21ffffff,
    0x99dffff8,0x99999999,0xf73ffffc,0xfd801fff,0xfd7306ff,0xffffffff,
    0x07fffdc3,0xb9bfff60,0x6c00ffff,0x3fee6fff,0x7fec00ff,0x2e37f46f,
    0x1be882ff,0x5cc17fd4,0xfffffffe,0x237f41ff,0x3ff62ffa,0x305ff503,
    0xffffffd7,0x7fec3fff,0x3fff206f,0xfffeb986,0x21ffffff,0xfffffffd,
    0x6fffffff,0x3ffffff6,0xffffffff,0x3fffff66,0xffffffff,0xdfff906f,
    0x01bfffe0,0xffa80ba8,0xffb003ff,0x3f6000ff,0x3ff606ff,0xfffffd6f,
    0xffffffff,0x4c0040ff,0xfb0ffffe,0x7fec0dff,0x0dfffb6f,0xfdb7ffec,
    0x3ff606ff,0x0dfffb6f,0x3637ffec,0xefffffff,0x7fc1ffff,0x3f2006ff,
    0xfff92fff,0xffff900f,0xffffffb0,0x43ffffdf,0xc807fffc,0x3ff27fff,
    0xfffc807f,0x01ffff27,0xf91ffff2,0x077fcc1f,0xffb0fff2,0xfffffd81,
    0x1ffffeff,0xff507fe4,0x407ffc45,0x7fec0ffc,0xffefffff,0x3fff61ff,
    0x1bfff606,0xfffffffb,0x743ffffd,0xffffffff,0x27ffffff,0xfffffffe,
    0x7fffffff,0x3ffffffa,0xffffffff,0x0dfff907,0x007ffffa,0xf31efff4,
    0xf100bfff,0x2000ffff,0x3606fffd,0xfffd6fff,0xdddddddf,0x7f64dddd,
    0xffb800ff,0xdfffb1ff,0xdb7ffec0,0x3f606fff,0xdfffb6ff,0xdb7ffec0,
    0x3f606fff,0x3fff66ff,0xff88acff,0x7ffec1ff,0xfffd000f,0x3fffee1f,
    0x37ffec00,0x33fffff6,0x1ffff88a,0x003fffee,0x7dcdfffb,0x7ec00fff,
    0x3ffee6ff,0x7ffec00f,0x3217fcc6,0xffcabfff,0x7ec5ff86,0x88acffff,
    0x7cc1ffff,0x50bfea3f,0x8bfd0bff,0xacfffffd,0x21ffff88,0x3606fffd,
    0x3ff66fff,0xf88acfff,0x3ffa1fff,0xeeeeeeff,0x3fa6eeee,0xeeeeefff,
    0x3a6eeeee,0xeeeeffff,0x06eeeeee,0x320dfff9,0x9805ffff,0x3e26ffff,
    0x5401ffff,0x0007ffff,0x6c0dfffb,0xfffb6fff,0x3fee000f,0xffb802ff,
    0xdfffb2ff,0xdb7ffec0,0x3f606fff,0xdfffb6ff,0xdb7ffec0,0x3f606fff,
    0xffff56ff,0x3ffff307,0x03ffffc8,0x26ffffa8,0x401ffffb,0x3ea4fffe,
    0xff983fff,0x3ffee1ff,0x7fff401f,0x07fffee4,0x5c9fffd0,0x7401ffff,
    0x6fe84fff,0x7ffffec4,0x17fd40ff,0x307ffff5,0xfd03ffff,0x7417fd4d,
    0x8bfea2ff,0x983ffffa,0x3f61ffff,0x3ff606ff,0x7ffff56f,0x43ffff30,
    0x0007fffd,0x000ffffb,0x001ffff6,0x41bfff20,0x02fffff8,0x0fffffa2,
    0x40bffff9,0x07fffff8,0x0ffff900,0xfcb7fffc,0x13502fff,0x1dffff30,
    0x7ffffc40,0x40ffff90,0xff96ffff,0x7fffc0ff,0x40ffff96,0xff96ffff,
    0x7fffc0ff,0x20dfff96,0x4c1ffff9,0x201fffff,0x23fffff8,0x205ffff8,
    0x323ffffa,0xff306fff,0x7ffc43ff,0x3ffea05f,0x3fffe23f,0x3fffea05,
    0x17fffe23,0x83ffffa8,0xfda84ffa,0x7fc40bdf,0x837ffe46,0xa81ffff9,
    0x03dd34ff,0x3fe29dd5,0x837ffe46,0x321ffff9,0x3fe07fff,0xdfff96ff,
    0x87fffe60,0x502ffffc,0xffff9013,0x32026a05,0x3502ffff,0x6fffc801,
    0x3ffffea0,0x7fff5c43,0x7ffc40ff,0x3a620dff,0x007fffff,0x03ffff50,
    0x26dffff9,0xf985ffff,0x7ff43fff,0xfd881dff,0x3fea5fff,0xfffc81ff,
    0x3ffff56f,0x2dffff90,0xc81ffffa,0xff56ffff,0xfff903ff,0x1ffff6df,
    0x417fffec,0x82fffffa,0x86ffffea,0x983ffffe,0x360ffffe,0xffb07fff,
    0xfffe85ff,0xfffe983f,0x7ffff40f,0xffffe983,0x1fffff40,0x07ffff4c,
    0x8003ffc8,0x7ec0ffe8,0xfffb07ff,0x0fff205f,0x03ffa200,0x360ffffb,
    0x3ea2ffff,0xffc81fff,0xffffb6ff,0x8bffff60,0x985ffff9,0x3e63ffff,
    0xff985fff,0x3ffe63ff,0xffff985f,0x0dfff903,0xffffffd8,0xffffffee,
    0xffff903f,0xffffdfff,0xffffffff,0xffffffff,0x3ffffe61,0xffffca8a,
    0x3ffff66f,0xfffea8ae,0x7fffd41f,0xffecdeff,0x3e63ffff,0xca8affff,
    0xf36fffff,0x9515ffff,0x26dfffff,0xa8afffff,0x36fffffc,0x515fffff,
    0x2dfffff9,0x30cffffc,0x05fffff9,0x3ffffff2,0xffffffdd,0xffffa81f,
    0xfffcabdf,0x7ffe42ff,0xfff930cf,0xfffa85ff,0xffcabdff,0xffa82fff,
    0xfcabdfff,0xfa82ffff,0xcabdffff,0x402fffff,0x5000dffe,0xff905fff,
    0x3f2619ff,0x3a02ffff,0xf5000dff,0xfff905ff,0x3ff2619f,0x3fe62fff,
    0xfca8afff,0xff96ffff,0x3f2619ff,0x7ec2ffff,0xea8aefff,0x7ec1ffff,
    0xea8aefff,0x7ec1ffff,0xea8aefff,0xf901ffff,0xfd880dff,0xffffffff,
    0x2204ffff,0xfffffffe,0xfffcffff,0xffffffff,0xff10ffff,0xffffffff,
    0x7ccdfffd,0xffffffff,0xff904fff,0xffffffff,0xf889ffff,0xffffffff,
    0xf16fffef,0xffffffff,0x22dfffdf,0xffffffff,0x16fffeff,0xffffffff,
    0x2dfffdff,0xeffffff9,0x3fffffff,0x3fffffa0,0xffffffff,0x3ffff202,
    0xffffffff,0xfffff985,0xffffffef,0xffffc83f,0xffffffff,0x3ffff205,
    0xffffffff,0x3ffff205,0xffffffff,0xfffd8805,0xfb730ace,0x3e605fff,
    0xffefffff,0x203fffff,0x1cefffd8,0x3ffff6e2,0xfffff302,0xffffffdf,
    0x7fffc47f,0xfeffffff,0xffff36ff,0xfffffdff,0xfff987ff,0xffffffff,
    0xffff984f,0xffffffff,0xfffff984,0x4fffffff,0x01bfff20,0x7fffffdc,
    0x804fffff,0xffffffd8,0xfff8bfff,0xffffffff,0x3e60ffff,0xbfffffff,
    0x7446fffa,0xffffffff,0x7ffe404f,0xffffffff,0xffff303f,0xff57ffff,
    0x7fffccdf,0xffabffff,0x3fffe66f,0xffabffff,0x3fffe66f,0xffabffff,
    0x3ffff26f,0xffdcffff,0x3ffa205f,0xffffffff,0xfffb801f,0x3fffffff,
    0x3fffff20,0xfffdcfff,0xfffff705,0x007fffff,0xfffffff7,0xf7007fff,
    0xffffffff,0xffb8007f,0xffffffff,0x7e400eff,0xcfffffff,0xb805fffd,
    0xfeffffff,0x400effff,0xfffffffc,0x45fffdcf,0xfffffff9,0x26fffabf,
    0xfffffffc,0x85fffdcf,0xffffffe8,0x3a204fff,0xffffffff,0x3ffa204f,
    0x4fffffff,0x037ffe40,0xffffdb30,0xb80019ff,0x2dfffffe,0xfffffff1,
    0xffffffff,0xffffd981,0x0dfff52d,0x3fffffb2,0xff91002e,0x39dfffff,
    0xffffd980,0x8dfff52d,0x2dffffd9,0xd98dfff5,0xf52dffff,0xffd98dff,
    0xfff52dff,0xfffffa8d,0x1ffff51e,0xffffea80,0x4c002eff,0xdfffffdb,
    0xffffa801,0xffff51ef,0x3ff6e601,0x2001dfff,0xfffffdb9,0x36e6001d,
    0x01dfffff,0xffff7100,0x005bffff,0x77ffffd4,0x01ffff51,0xfffff710,
    0x4005bfff,0x1efffffa,0x981ffff5,0x52dffffd,0xffa8dfff,0xff51efff,
    0x3fb201ff,0x002effff,0xdfffffd9,0x3ffb2005,0xc802efff,0x20006fff,
    0x000009a9,0x00000353,0x00001980,0x40001353,0x0000aa98,0x33000066,
    0x00198000,0x30000cc0,0x80000135,0x00009aa9,0x20001530,0x000009a9,
    0x400002a6,0x300000a9,0x98000015,0x0009acba,0x00026a60,0x2b2ea600,
    0x2a600009,0x0cc00009,0x01353000,0x026a6000,0x009a9800,0x0026a600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26666000,0x44000001,
    0x80009999,0x00019998,0x00000000,0x99880000,0x100ccc40,0x99981333,
    0x5dd4c000,0x2666200a,0x4c000009,0x000aacba,0x00cccc00,0x077775c0,
    0x8f777540,0x4c42eeee,0x2e200999,0x001e4c0b,0x8eeeea80,0x0004eee9,
    0x401dddd5,0x16540ac9,0x33102662,0x7776cc03,0x4cc00e22,0x004ccc09,
    0x79302ee2,0x26200000,0x000009bb,0x8817bba2,0x201abcaa,0x4cc41998,
    0x05eeee81,0x00bfffea,0xfffe8000,0xff98000e,0xa80004ff,0xbceffedc,
    0x3dddd302,0xdfffd930,0x3fe00019,0x03ffec4f,0xffb97ffa,0xfff7000f,
    0x203bffff,0xb507fffd,0x9039dffd,0xffffffff,0xf900001d,0xc8007fff,
    0xb800ffff,0xfff1ffff,0x5ffff87f,0x37fffee0,0x0004fe9b,0x31ffff70,
    0x2000bfff,0xb00ffffa,0xf55bffff,0x1fffb87f,0x9809fff1,0xffccfffe,
    0x26ffd802,0x2e01fffa,0xd9bdffff,0x01d3005f,0xfffffd88,0x3a6000df,
    0x437ffc40,0xffffffd9,0xfff984ff,0x3e17ffa2,0x7dc06fff,0x000006ff,
    0x001ffff3,0x07fffd40,0xfffe9800,0xdfffffff,0x0ffffcc0,0x3fffffea,
    0x44002fff,0x7ffc3fff,0x5fffcc05,0x8803fffa,0xfffffffd,0xffd02fff,
    0xffffb87f,0x7fec0fff,0xffffffff,0x3ea0001f,0x000fffff,0x003ffff2,
    0x7c7fffee,0x3fee3fff,0x7fffc06f,0x03ffffff,0xffff7000,0x00bfff31,
    0xfffffff5,0xff88ffff,0xffffffff,0xe8effd81,0xfb1006ff,0x2005dfff,
    0xff9cfff8,0x7fff404f,0x03ffffff,0x3007fec4,0xffffffff,0xfd8805ff,
    0x37ffc40f,0x3fffffe6,0xc85fffff,0xfffc8fff,0x06ffff80,0x002fffb8,
    0x1fffd800,0xfffa8000,0xfffb8003,0xffffffff,0x3fe62fff,0x3ffe61ff,
    0xffffffff,0x3ffea001,0x013ffe21,0x3fffffee,0xffffb005,0xffffffff,
    0x4dffd103,0xfffffff9,0x7ffffdc7,0x6fffffff,0xbfff1000,0x6400dffd,
    0xb800ffff,0xfff1ffff,0x077ff47f,0xd733ff30,0x0000bfff,0x4c7fffdc,
    0xfa805fff,0xffffffff,0x54f7dc7f,0x104ffffc,0x3fffffff,0x3fff6600,
    0x7fd4004f,0x4c06ffff,0xffeb99ff,0x3fe600df,0xfff100ff,0xffffffff,
    0x3ffe603f,0x37ffc40f,0xdffffff1,0x07fffffd,0x5ffffffd,0x01bfffe0,
    0x0002ffe4,0x007ffe60,0x07ffb800,0x7ffffe40,0xffffffff,0xfff33fff,
    0x3fffa23f,0xffffebdf,0x3ffee004,0x00bffea0,0x07ffffec,0x7ffffd40,
    0xffffc98c,0x25ffd105,0xbbdffffa,0x8f7fffc3,0x0ffffea8,0x36ffd800,
    0x32007fff,0xb800ffff,0xfdd1ffff,0x03bfea5f,0x15307930,0xffb80000,
    0x4fca88ff,0xfffffa80,0x547fffff,0x400a982c,0x03fffffa,0xfedffd98,
    0x7ec003ff,0x4c01ffff,0x801a983c,0x900ffffa,0x7139ffff,0x2a0bfffd,
    0x5440ffff,0x3ffea5fc,0x7fff440f,0xfffff887,0x1bfffe05,0x000eec80,
    0x00bbae00,0x07bae000,0x7ffffcc0,0xff7311bf,0xdd33ffff,0x3ffea1ff,
    0x3fffe22f,0x1bff6006,0x2001fff9,0x001cccc8,0x360dfffd,0xb100ffff,
    0x3ffff29d,0x1fd97100,0x03ffff70,0x21ccc880,0xc800ccca,0xb800ffff,
    0x7fc1ffff,0x0001bd91,0x2e000000,0x3f20ffff,0xfff50003,0x4000001f,
    0x5004cccb,0x3ffe239f,0x3322002f,0x000002cc,0x03fffea0,0x213fffe6,
    0xa81ffff9,0xf700ffff,0x837ffdc9,0x95009bd9,0x7fc01999,0x000006ff,
    0x00000000,0xfffd0000,0x7f4401bf,0x9fe66fff,0xfe87fffb,0x3fe005ff,
    0x03ffec4f,0x7fc40000,0x359302ff,0xdfffb000,0xfff30000,0x0000003f,
    0x0ffffc80,0x1ffffb80,0x00003fe6,0x00055d44,0x2e0aba88,0xff30ffff,
    0x055d4403,0x441ffff5,0x26200999,0x40000099,0x3ffea110,0x0000000f,
    0x02ab2ea6,0xffffb988,0x3ffee19a,0x9fffd01f,0x7fffdcc4,0x87fa6199,
    0x1beffffa,0xff800000,0xb98806ff,0xa880009b,0xa980abca,0xa98000ab,
    0x5400aacb,0x1006ffff,0x2e5fffff,0x1bfff26f,0x205ffff1,0xfffeeeec,
    0xffffeeee,0x5751006e,0xffff5001,0x99880003,0x0dfffb09,0xffb75100,
    0x33105fff,0x0cccc013,0x32133310,0xb800ffff,0xfd11ffff,0x004ccc49,
    0x7ffff6cc,0xfd1002ff,0xf71bffff,0x7ff51fff,0x3ffff620,0xffffa8df,
    0x81bfff60,0x9886fffc,0xdb100099,0xfffd7fff,0x26666209,0x99999999,
    0xffffc809,0xb80effff,0xffffffff,0x0ffff91f,0xf72fffe4,0xffffffff,
    0xf889ff33,0xdfffffff,0x2666200a,0xfd037510,0x7ec40bff,0x00dfffff,
    0xfffffea8,0xffe99dff,0x400cefff,0xfffffffc,0xfffd00ef,0x7fdc005f,
    0x22ffbdff,0x7dc6fffd,0xffb00fff,0xffffffff,0x0fffffff,0x7ffff6cc,
    0x3fee02ff,0x640000ff,0xfffb6fff,0x3fae600d,0xffffffff,0x05fffc81,
    0x203ffff7,0xff93ffff,0xff7001ff,0x1dff97ff,0x2037ffe4,0xfffffffa,
    0x2a00dfff,0xffffffff,0x88ffffce,0xffff302e,0xff9dffff,0x7ffec1ff,
    0x1bfff206,0x201bfff2,0xfffffffb,0xe81fffff,0xffffffff,0x6c2fffff,
    0xffffffff,0x7fdc1fff,0x1fffffff,0xfffffffb,0xdfffffff,0x7fffffdc,
    0x02e89fff,0xfffffff7,0xfd03bfff,0xffff15ff,0x27ffec1f,0xffffff98,
    0x2e02ffff,0xffffffff,0xffffffff,0x3606ffff,0xffffffff,0xfff81fff,
    0xfff8006f,0x7ec5ffff,0x7fffc6ff,0x3ffff604,0xffffffff,0xf507ffff,
    0xffffffff,0xfff901bf,0xfc80001f,0xdfffb6ff,0xfffffb00,0x3ffffdff,
    0x20ffff50,0x983ffffd,0xff91ffff,0xff7001ff,0x907fffff,0x7d40dfff,
    0xffffffff,0xff106fff,0xffffffff,0x801fffff,0xfffffff8,0xffffffff,
    0x81bfff60,0xfc86fffc,0x7fd406ff,0xffffffff,0xffe85fff,0xffffffff,
    0x3fee2fff,0xffffffff,0x7ffdc6ff,0xd1ffffff,0xffffffff,0x4fffffff,
    0xfffffffb,0xff7001ff,0xffffffff,0xbfffe87f,0x646ffffe,0xff884fff,
    0xffffffff,0xfff981ff,0xffffffff,0xffffffff,0xffb85fff,0xffffffff,
    0x7ffc46ff,0xffe8005f,0xffd82fff,0x3fffea5f,0x3fbbb200,0xffeeefff,
    0xfa86eeff,0xffffffff,0xffb86fff,0x640000ff,0xfffb6fff,0xffffd80d,
    0xfff88acf,0x5ffff01f,0x0bfffff0,0x7e4dfff7,0xfb800fff,0x3201cfff,
    0xff306fff,0xd7339fff,0xf907ffff,0x7117ffff,0x01ffffff,0xbfffffc8,
    0xfffffa88,0x1bfff60f,0xc86fffc8,0x3e206fff,0xdbbeffff,0x40ffffff,
    0xfffffffe,0x22ffffff,0x511effff,0x4c1ffffd,0xabffffca,0xdffffd0a,
    0xdddddddd,0x7fe54cdd,0x000aabff,0x3ffff6e2,0x3a1fffff,0xffffffff,
    0x1fffe43f,0x4e7fffe4,0x85fffeb8,0x30affffd,0x3ffffffb,0x13fffea2,
    0x223dffff,0x20ffffea,0x004ffff9,0x02ffffd8,0x7ecbfffb,0x7fc007ff,
    0x03ffec4f,0x39fffff3,0x7ffffd73,0x01ffffa8,0xffc806ae,0x0dfffb6f,
    0x41ffffd4,0xb01ffff9,0xff989fff,0xffd87fff,0x3ffff24f,0xffffb800,
    0x37ffe401,0x81ffffd8,0x21ffffe8,0x506ffff8,0x401fffff,0x80effff8,
    0x20fffffa,0x3206fffd,0xffc86fff,0x3fff606f,0xffffa83f,0x66665c2f,
    0xfffffccc,0x1fd9710e,0x03ffff70,0xb01ffff5,0x8000ffff,0x000ffffa,
    0xfffd7300,0x7fff49ff,0x40fdcfff,0x7cc2fffb,0xff984fff,0x7ee541ff,
    0xfffffa82,0x0ffff981,0x701fd971,0x7d43ffff,0xc8003fff,0xfb02ffff,
    0x7fff4bff,0xfff1002f,0x205fff87,0x881ffffd,0x221ffffe,0xf504ffff,
    0xff905fff,0x1bfff6df,0x306fffc8,0x2a03ffff,0x7fdc6fff,0x3e21ffff,
    0x3ff21fff,0xffb800ff,0x7fe401ff,0x9ffff06f,0x1ffffcc0,0x405ffff3,
    0x200ffffe,0x202ffff9,0x360ffffe,0x3f206fff,0xfffc86ff,0xdffff106,
    0x2ffffe40,0xfffff900,0xfff30001,0xffff503f,0x5ffff901,0xfa8026a0,
    0x44000fff,0xfff301ba,0x7ffff4bf,0x7ffd4046,0x0ffffdc1,0x004fffe8,
    0x06ffff88,0x000bfffa,0x5c3ffff3,0x8002ffff,0xb02ffffc,0x7fdcbfff,
    0xfa801fff,0x3ffe21ff,0x13fffe03,0x43ffff98,0xe81ffffe,0xfc80ffff,
    0xdfffb6ff,0x83fffec0,0x102ffffd,0x7ec1ffff,0x2a4fffff,0x7fe47fff,
    0xffb800ff,0x7fe401ff,0xffff986f,0x2ffff401,0x401ffff7,0x200ffffc,
    0x200ffffa,0x360ffffc,0x3f206fff,0xfffc86ff,0x5ffff306,0x37fffc40,
    0xfffffb80,0xfb751001,0xf505ffff,0xff301fff,0xfff30bff,0xffff507f,
    0x3ffe2001,0x3fffa06f,0x0bffffa4,0x903ffe60,0x7e40ffff,0xb98805ff,
    0x04fffffd,0x1013fff6,0xfffffb75,0x1ffffd45,0x7fffec00,0x4bfffb01,
    0x1fffffe8,0x507ffe40,0x3e605fff,0x7f401fff,0x7ffcc5ff,0xffebacff,
    0xfff905ff,0x81bfff6d,0x30cffffc,0x05fffff9,0xff1fffec,0x64dfffbf,
    0x7fe44fff,0xffb800ff,0x7fe401ff,0xffffb86f,0x37ffec00,0xc80ffff9,
    0x2e00ffff,0x2e00ffff,0x3f60ffff,0x3ff206ff,0x6fffc86f,0x03ffff70,
    0x806fffe8,0x02fffffa,0x7ffff5cc,0x2e1fffff,0xeeffffee,0x77fffec5,
    0xffffea8a,0x0ffffa81,0x3ffff200,0x3fff261d,0x1ffffa2f,0x207ffc40,
    0xfffffffd,0x6fffffff,0xffffd910,0xffffffff,0xffffffff,0xfffd730b,
    0x43ffffff,0x005ffff9,0x00ffffe8,0xf88bfffb,0x4c0effff,0xaafffeaa,
    0xaabfffda,0x03fffee2,0xb0dfffb0,0xffffffff,0x3201dfff,0xfffb6fff,
    0x7fffcc0d,0xfffffeff,0x3fee03ff,0xb7fff35f,0x3ffe1fff,0x7fffdc1f,
    0xffffb801,0x37ffe401,0x403fffe4,0x3f27fffc,0x7fdc07ff,0x3ff200ff,
    0x7ffd407f,0x1bfff60f,0xc86fffd8,0xff906fff,0xffd801ff,0x7ffcc07f,
    0x7fec03ff,0xffefffff,0x3fff21ff,0x4c7fffff,0xffffffff,0xf504ffff,
    0x44001fff,0xfffffffe,0x745fffff,0xf1006fff,0xffffd0ff,0xffffffff,
    0xfff90fff,0xfffdffff,0xffffffff,0xfd8bffff,0xfeffffff,0x3fe21fff,
    0xff8006ff,0x3ff607ff,0xffff985f,0x7fffec5f,0xffffffff,0x3f27ffff,
    0xffc807ff,0xffff907f,0x03ffffff,0xfdb7ffe4,0x7fe406ff,0xdcffffff,
    0x3e205fff,0x3fff77ff,0xff35fff5,0xffff70ff,0xffff9003,0x6fffc801,
    0x00ffffb8,0xf737ffec,0xffc80fff,0x3fee00ff,0x3fee00ff,0x3fff60ff,
    0x1bfff606,0x5c1bfff2,0x7401ffff,0x3e205fff,0x6c04ffff,0x8acfffff,
    0x321ffff8,0xffffffff,0xffffe887,0x204fffff,0x000ffffa,0x7fffff44,
    0x40efffff,0x2006fffe,0xfffe86ff,0xeeeeeeef,0x7fe46eee,0xff0bdfff,
    0xddddddff,0x6c9ddddd,0x8acfffff,0x7c1ffff8,0x2001ffff,0x205ffffa,
    0xf305fffd,0x7ec7ffff,0xffffffff,0x7fffffff,0x003fffee,0x4c0dfffb,
    0xbffffffe,0xb7ffe400,0xa806fffd,0x51efffff,0x7401ffff,0x7ffd9fff,
    0xff79fff1,0xffff509f,0xffffd009,0x0dfff900,0x803ffff7,0x3ea4fffe,
    0x3f600fff,0x3ea00fff,0x3f201fff,0x3ff60fff,0x3fff606f,0x06fffc86,
    0x805ffff3,0xd104ffff,0xa80bffff,0xf983ffff,0xffa81fff,0xfec800ff,
    0x402effff,0x000ffffa,0xfffffd50,0x3ffa05df,0x13b6005f,0x001ffff6,
    0x06ffffc4,0x017fffe2,0x0ffffea0,0x907fffe6,0x400dffff,0x203ffffe,
    0x2605fffd,0x3f65ffff,0xffffffff,0x7fffffff,0x007fffee,0x5009fffd,
    0x64007dfd,0xfffb6fff,0x04d4c00d,0x2e007fe6,0x5fffcfff,0x3ffbbffa,
    0xffff982f,0x3ffea01f,0xfffc806f,0x5ffff886,0x8ffffea0,0x103ffff9,
    0x401fffff,0x104ffff9,0x641fffff,0x3fe07fff,0xfffc86ff,0xbffff106,
    0x1ffffdc0,0x0effffe8,0x837ffe40,0xa81ffff9,0x2000ffff,0x5000bff8,
    0x0001ffff,0x02effc88,0x002ffff4,0x2ffffc80,0xff501350,0xfff101ff,
    0x026a01ff,0x260dfff9,0x7c41ffff,0xc804ffff,0x6c06ffff,0x7ec05fff,
    0xfffc87ff,0x807ffea0,0x205ffff8,0x403ffffa,0x0ffffff8,0xb6fffc80,
    0x0000dfff,0x26003fea,0x3fffffff,0x3ffffff2,0x3ffffa07,0x3fe620ae,
    0xfc803fff,0xfffd06ff,0xfffd307f,0xfffff81f,0xfffffc81,0x7ffff400,
    0xfffffc81,0x07fffea0,0x21bffff2,0x3606fffc,0xf983ffff,0xfd80ffff,
    0xd800efff,0xffb07fff,0xfff505ff,0x7fcc003f,0x3ffea001,0x7c40001f,
    0xd00fffff,0x2e00bfff,0x7fcc2ccc,0xfff985ff,0x3fffee3f,0xfffffc81,
    0x2efffb83,0x360ffffb,0xfb82ffff,0x981dffff,0x02fffffe,0x222fffec,
    0x21ffff21,0x7fdc6ffd,0x7fff400f,0xfffe983f,0xf910800f,0xfff9009f,
    0x01bfff6d,0x00ffdc00,0xffffffe8,0x3ffffea1,0x3ffea05f,0xffeeffff,
    0x800fffff,0xf506fffc,0x957bffff,0x505fffff,0x537fffff,0x1ffffffb,
    0xfffffa80,0xffffda9b,0x3ffe60ff,0xffca8aff,0xffc86fff,0x3ffe206f,
    0xffcabdff,0xffc82fff,0xf9000fff,0x32619fff,0x982fffff,0x1cbdffff,
    0x0017fd40,0x95bffff5,0x64420003,0xfffd04ff,0x3fffa00b,0xeffffd85,
    0xffffea8a,0x37fffea1,0xfffff710,0xff733bff,0x3ff21fff,0xff930cff,
    0x3fa05fff,0xedffffff,0x5fffffff,0x25fffd80,0xfffbaffb,0x44fff85f,
    0xfa806ffd,0xcabdffff,0x002fffff,0xc805ffa8,0xfffb6fff,0x3ee0000d,
    0xfff9004f,0xfff88fff,0x7ec02fff,0xffffffff,0x004fffff,0x640dfff9,
    0xffffffff,0x3a05ffff,0xffffffff,0x00ffffef,0xffffffe8,0xffffefff,
    0x3ffffe20,0xffefffff,0x6fffc86f,0x7ffffdc0,0x5fffffff,0xffffffa8,
    0xffffffff,0xffffff36,0xfffffffd,0xfffff107,0xffa805ff,0x3ffe2005,
    0x0002ffff,0xfd05ffa8,0x3fa00bff,0xfff985ff,0xffffffff,0x7fffc44f,
    0xfffffeff,0xffffffff,0x3e63ffff,0xffefffff,0x103fffff,0xfffffffb,
    0xbfffffff,0xbfffb001,0x3ffffff2,0x7fc42fff,0x02fffc3f,0xffffffc8,
    0x05ffffff,0xfeb99aa8,0xfffc801f,0x00dfffb6,0x3bffe200,0xfff303dc,
    0xfffd0bff,0xff7001ff,0xffffffff,0x7e4005ff,0x7fdc06ff,0xffffffff,
    0x7fff4403,0xff8cffff,0xfd8800ff,0x8dffffff,0x7cc0ffff,0xbfffffff,
    0xfc86fffa,0xffa806ff,0xffffffff,0xfffff703,0xffffffff,0x7fffe4df,
    0xffdcffff,0xffff905f,0xfff007ff,0xfe809b9d,0x003fffff,0x7f5ccd54,
    0xbfffd01f,0x17fffa00,0x7fffff44,0xf504ffff,0xffffffff,0xfffff53d,
    0x907fffff,0xffffffff,0x80bfffb9,0xfffffffb,0x002fffff,0xfd97fff6,
    0x84ffffff,0x3e21fffa,0x3ee003ff,0xffffffff,0xfffd003f,0x32009fff,
    0xfffb6fff,0x7ec0000d,0x3e04ffff,0xfc82ffff,0x22005fff,0xffffffed,
    0x7e4000de,0xdb9806ff,0x01dfffff,0x3bffff20,0x01ffff13,0x77fffe40,
    0x01ffff14,0x5bffffb3,0x321bffea,0x91006fff,0x3bffffff,0x7ffffdc0,
    0xffffffff,0x7fffd46f,0xffff51ef,0x3ffff601,0xfffc803f,0x7ec405ff,
    0x4003ffff,0x4ffffffe,0x017fffa0,0x202ffff4,0xefffffec,0x7fff4c02,
    0x7e442eff,0x01dfffff,0x3bffffea,0x01ffff51,0xffffec88,0x4000ceff,
    0x7645fffd,0xf902ffff,0x7ffd41ff,0x7edcc001,0x001dffff,0x02f3772e,
    0xb6fffc80,0x0000dfff,0x01bdeca8,0x203ffff2,0x003ffffa,0x0006aa60,
    0x00dfff90,0x80001530,0x000000a8,0x30000151,0x3ff20003,0xa988006f,
    0xffff7000,0xffffffff,0x26a60dff,0x09980000,0x5ef64c00,0x01331001,
    0x33772e00,0x7fff400b,0x98000005,0x4c40009a,0x3531000a,0x04d4c001,
    0x55440000,0x10000000,0x2aa98035,0x00015544,0x0000054c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x75109998,0x13333003,0x13100988,0x99813330,
    0x04ccc409,0x3202aea2,0x4c006eee,0x3002eeee,0x88003333,0x20009999,
    0x4c401999,0x00ccc419,0x1dddd500,0x9dddd000,0x26600000,0xdb100099,
    0xfa80059f,0x1ffa001f,0x400dfb00,0x7ec007fe,0x2aaa6006,0xaaaaaaaa,
    0x00666620,0x98026662,0x0002bddb,0x6edcc400,0x3bbae02c,0xeeea800e,
    0x0066661e,0x44013333,0x4ccc0ab9,0x376e6201,0x32a2002b,0x3b201acd,
    0x200004ee,0xff8afffe,0xff900fff,0x07fa83ff,0xbffd07fd,0x320fffdc,
    0xfff54fff,0xffd89fff,0x7fd4007f,0xffa803ff,0x7f4003ff,0xf1000eff,
    0x7ec03fff,0x3fffa0ff,0xfff50000,0xfff0001f,0x3f6e20bf,0x7cc04dff,
    0xf8802fff,0x006fffff,0xfc8013fa,0x3fe6007f,0x0fff9001,0x000ffcc0,
    0xfffffffd,0x7dc5ffff,0x7fc01fff,0xffd884ff,0x000effff,0xfd3001d3,
    0x03dfffff,0x001ffff9,0x263ffff7,0xf101ffff,0x3f605fff,0xff0effff,
    0xfff501ff,0x803dffff,0xfffffffb,0x0bfffd04,0x7fff4000,0x06ffffeb,
    0x105ffff1,0x3ee219ff,0xbfff981f,0xfc83fff9,0xffffbcff,0x3f66ffff,
    0x7d4007ff,0xfe803fff,0x7d4003ff,0x22000eff,0x3601ffff,0x3ffa0fff,
    0xff50000f,0xff0001ff,0x3ff60bff,0x4c05ffff,0xd802ffff,0x2ffeacff,
    0x800ffb80,0x007ffffb,0x3ee017fa,0x3a007fff,0x7ffc005f,0xffffffff,
    0x3fffe22f,0x3fffea04,0x7ffff441,0x201fffff,0x5c00ffd8,0xffffffff,
    0x7ffe40ff,0xfffb800f,0x3ffff31f,0x0bfffe20,0xffffffd1,0x1ffff3df,
    0xffffffb8,0xfb02ffff,0xffffffff,0x5fffe81d,0x3ffa0000,0x3fffffff,
    0x405fff70,0xfffefffb,0x3fffee04,0xfff905ff,0xffffffff,0x3ff65fff,
    0x7fd4007f,0x7fcc03ff,0xffe8004f,0x7fc4000f,0x3ff601ff,0x03fffa0f,
    0x7fffd400,0xffff8000,0xfffffc85,0x7fcc04ff,0x5dc802ff,0xf1013fee,
    0xfff7007f,0x3ea00fff,0x7ffdc00f,0xff5007ff,0x7ffc4001,0xffffffff,
    0x3fffec2f,0x90dfffb0,0xffffffff,0x3fe60dff,0x3fea00ff,0xffffffff,
    0x7fffe46f,0xffffb800,0x03ffff31,0xd0bfffe2,0xffffffff,0x41ffffff,
    0xfffffff9,0x5c0fffff,0xffffffff,0x7ff46fff,0x3a00005f,0xdcffffff,
    0x07fff00f,0xbfffff90,0xfffffb00,0x3ffff201,0xfffb11df,0x1ffff6bf,
    0x7ffff500,0x005ffd80,0x001fff98,0x01ffff88,0xec83bbb2,0xf50000ee,
    0xf0001fff,0xffd0bfff,0x803959ff,0x002ffff9,0x00fffdcc,0x7dc01bf2,
    0xf007ff9c,0x39f7009f,0x3fe00fff,0x7ffd4004,0xeeeeeeef,0x7fffd41e,
    0x87ffff01,0x88dffff8,0xa81ffffc,0x3a00ffff,0xc98cffff,0x3f21ffff,
    0xfb800fff,0xfff31fff,0x3ffe203f,0x3fffea2f,0xfffa88af,0x3ff60fff,
    0xffc98bff,0x3ffe24ff,0xfffb8aef,0x3fffa1ff,0x3fa00005,0x98046fff,
    0x2a6003ee,0x991001bc,0x7fe40599,0xffe885ff,0x0ffffb6f,0x3ffffa80,
    0x0013ba20,0x0000f764,0x00003333,0xfff50000,0xfff0001f,0xbffff0bf,
    0xaaaa8800,0x7ffec000,0x017fc403,0x01ffe098,0x26003fee,0x2e01ffe0,
    0x7e4000ff,0xff0005ff,0xfff509ff,0xffffc81f,0x42ffff40,0x500ffffa,
    0xf883ffff,0x3ff24fff,0xffb800ff,0xffff31ff,0x3fffe203,0x03ffffe2,
    0x43ffffe6,0xf83ffff8,0x3fee5fff,0x7ffc40ff,0x17fffa5f,0xfffe8000,
    0x0000002f,0xf9000000,0x3f603fff,0xffffb7ff,0xffffa800,0x00000003,
    0x00000000,0x82aea200,0x000ffffa,0xf85ffff8,0x00003fff,0xfffee800,
    0x001bf602,0x7c407ff8,0xfff0003f,0x003ff880,0x003fffd8,0x90ffff90,
    0xfff0dfff,0xffff709f,0x3ffee621,0x7ff419af,0x1357706f,0x007fffe4,
    0x98ffffdc,0xf101ffff,0x3fe25fff,0x3ff604ff,0xfdb910ff,0x4dfffb01,
    0xf905fffc,0x3ffa3fff,0x06ae625f,0x0ffffd00,0x22133310,0x266201ba,
    0x09998809,0x64055d44,0x3f207fff,0xffffb7ff,0xffffa800,0x88133313,
    0x33100aba,0x33333333,0x4cc41333,0x99999999,0x99880999,0xffd88009,
    0xffa8dfff,0xff8000ff,0xff3315ff,0x001339ff,0x000bfffa,0xf983ffcc,
    0x3fe0001f,0x0037e407,0xfc80fff0,0xffff0006,0x3fe60005,0x7fffc1ff,
    0x1ffffc43,0xb8ffffcc,0xffffffff,0x0ffffe1f,0x3ffff200,0xffffb800,
    0x03ffff31,0x4cbfffe2,0x2e02ffff,0x2000ffff,0x3a4ffff8,0xff504fff,
    0x3fffa5ff,0xffffff75,0x3fffa005,0xafffe806,0x80fffff8,0xfc86fffc,
    0xffff54ff,0xfffc89ff,0x5ffff207,0x4007fffd,0xf93ffffa,0x3ffea9ff,
    0xffe84fff,0xffffffff,0x3ffa2fff,0xffffffff,0xffc82fff,0x7ffcc06f,
    0xfcefffff,0xf8000fff,0xfff95fff,0x0dffffff,0x007fffe0,0xffe87751,
    0x0005fe81,0xff303ffc,0x3ffc0005,0x0005ff30,0xb75ffff1,0x3fa0059d,
    0x3ffea4ff,0x7fffcc0f,0x2ffff881,0xfffffff7,0x3ffe23ff,0x9002a62f,
    0x7001ffff,0x3e63ffff,0xff101fff,0x3ffea5ff,0x3ffea01f,0x3fee000f,
    0x3fffa1ff,0x7ffff303,0x3f7bfffa,0x4fffffff,0x06fffe80,0xfebfffe8,
    0xff906fff,0x9fff90df,0xfffffff7,0x37ffe4df,0x36ffff70,0x54007fff,
    0xff93ffff,0xfffff79f,0xffe8dfff,0xffffffff,0x3ffa2fff,0xffffffff,
    0xffc82fff,0x3ffe206f,0xffffffff,0x8000ffff,0xff95ffff,0xdfffffff,
    0x1ffff100,0x2a3ffd00,0x7fd40fff,0x3ffc0000,0x8000bfb0,0x17f607ff,
    0x7fffcc00,0x1effffff,0x93fffdc0,0xff50bfff,0x3ffe03ff,0xfffff73f,
    0x3e63ffff,0xfffb9fff,0xfff903ff,0xfff7001f,0x3fffe63f,0x5ffff302,
    0x803fffee,0x400ffff9,0x4fffffc8,0xb827ffec,0xffd4ffff,0xffffffff,
    0xe805ffff,0xfe805fff,0xffffffff,0x0dfff903,0xfffffff9,0x5fffffff,
    0xb81bfff2,0xfffb7fff,0xfffa800f,0xfffff93f,0xffffffff,0x7ffff45f,
    0xffffffff,0x3ffffa2f,0xffffffff,0x6fffc82f,0x3fffff20,0xffffa88b,
    0xff8000ff,0xffff95ff,0x80dfffff,0x006fffe8,0xfffffff5,0x0009fd09,
    0x3ea0fff0,0x7fc0001f,0x003ff507,0x3ffffee0,0x2fffffff,0x47fffe20,
    0xfa82ffff,0xfff01fff,0x3ff2a69f,0xf50aabff,0xffffbfff,0xfc81bfff,
    0xfb800fff,0xfff31fff,0x3ffe605f,0x3ffff52f,0x07fffd40,0x3ffffee0,
    0x06fffc82,0x3abffffb,0x12efffff,0x80dffff9,0xe805fffe,0xdcffffff,
    0xdfff900f,0xbfffff90,0x3ffff623,0x40dfff95,0xffb7fffb,0xffa800ff,
    0xffff93ff,0x3ff623bf,0x3332e5ff,0xffffcccc,0x3332e0ef,0xffffcccc,
    0xfffc80ef,0xdffff106,0xfffff501,0xffff0001,0x3ffeea6b,0x2202aadf,
    0x003ffffe,0x0fffffae,0x00003fee,0x27f41ffe,0x83ffc000,0x320004fe,
    0xfeffffff,0x200fffff,0xff9cfffd,0xffff707f,0x17fffe01,0x701ffff5,
    0xffffffff,0xc89fffff,0xb800ffff,0xff31ffff,0x3fea07ff,0xffff32ff,
    0x7fffdc05,0x7fffe400,0xffffa80e,0x7ffffcc3,0x09ffffd5,0x80bffff2,
    0xe805fffe,0x0046ffff,0xf90dfff9,0xfd10bfff,0x3fff2dff,0x5fffee06,
    0x4007fffd,0xf93ffffa,0xfd10bfff,0x3f200dff,0x2000ffff,0x00fffffc,
    0x260dfff9,0x3a02ffff,0x8000ffff,0x7c45ffff,0xe8803fff,0x0005ffff,
    0xff101351,0x01664407,0x3fee0666,0x00abba80,0x7fdc0ccc,0x20b32200,
    0x2a1efffe,0x204ffffd,0xffcffffa,0xffff904f,0x17fffe01,0x901ffff5,
    0x17ffffff,0x43ffffd5,0x800ffffc,0xf31ffffb,0x3f20bfff,0xfff12fff,
    0x7fffc09f,0x7fff400f,0xffd83fff,0xfffdbeff,0xfffd6fff,0x3ffe201f,
    0x3fffa04f,0xffffe805,0x3fff2002,0x1ffffc86,0x32ffffb0,0x3ee06fff,
    0xffffb7ff,0xffffa800,0x03ffff93,0x201ffff6,0x01fffffb,0x3ffffee0,
    0x1bfff201,0x007fffd4,0x001ffff9,0x88bffff0,0x4403ffff,0x005ffffe,
    0x01bf2000,0x20009ffd,0x7fcc3ff8,0x8003ffff,0x7ec03ff8,0x4055304f,
    0x7c07fffe,0x1fffffff,0x01ffff70,0xf513fffe,0xff701fff,0xffd03fff,
    0x7fffe4bf,0xffffb800,0x3fffff31,0x2fffff98,0x20bffff6,0x00fffffc,
    0x7ffe4444,0x7fffc46f,0xffffffff,0x0dfffd5f,0x205fffe8,0xe805fffe,
    0x64007fff,0xffc86fff,0x3fff207f,0x40dfff97,0xffb7fffb,0xffa800ff,
    0xffff93ff,0x03fffe40,0x0bffffea,0xfffffa80,0x37ffe402,0x00ffffb8,
    0x003fffee,0x117fffe0,0x4407ffff,0x005ffffe,0x0bfe6000,0x004fffc8,
    0xffd0ff90,0x001fffdf,0x7e407fc8,0x2e0004ff,0x3200ffff,0x06ffffff,
    0x407fffea,0x7d44ffff,0xffa80fff,0xfff707ff,0x07fffe4f,0x8ffffdc0,
    0xbffffff9,0xffffffca,0x3ffffe62,0xffffdaae,0x7d4000ff,0x7f441fff,
    0xfebfffff,0xbfffd4ff,0x06fffe80,0x2017fffa,0x4006fffe,0xfc86fffc,
    0x3ff207ff,0x0dfff97f,0xfdbfffdc,0x7d4007ff,0xfff92fff,0x3fffe40f,
    0x7fffff30,0x7fffcc00,0xfffc803f,0x0ffff906,0x00ffffa8,0x45ffff80,
    0x203ffff8,0x004ffffc,0x02fec000,0x009ffff7,0xfa85ff10,0x013fee5f,
    0x2e02ff88,0x0004ffff,0x80bfffea,0x3ffffff9,0x07fffea0,0x2a1ffffc,
    0xf980ffff,0xff304fff,0x3ffee1ff,0xfffb801f,0xfffff31f,0xffffffff,
    0xfffd85ff,0xffffffff,0x44000fff,0xb703ffff,0x3ffe39dd,0x0bfffd3f,
    0x206fffd8,0xe805fffe,0x64006fff,0xffc86fff,0x3ffee06f,0x40dfff97,
    0xffb7fffb,0x1772e6ff,0xc97fffd4,0x3ee06fff,0xfff107ff,0x7c4009ff,
    0x9004ffff,0x3ee0dfff,0x3ee00fff,0x99510fff,0xffff101d,0x3ffff889,
    0x09ffff10,0xffa80000,0xffdff301,0x0dfb0009,0x7fdc3953,0x81bf6004,
    0x04ffeff9,0x3fffe600,0x7ffff402,0x3ffe600f,0xffff882f,0x07fffd42,
    0x827fffc4,0xf71ffff9,0xf9003fff,0x3fe61fff,0xfffffcff,0x442fffed,
    0xfffffffd,0x00ffffbd,0x06fffd80,0x97fffc40,0x7406fffe,0x3fa05fff,
    0xffe805ff,0x7fe4005f,0x6fffc86f,0x65fffee0,0x3ee06fff,0xffffb7ff,
    0x203ffff2,0xf92ffffb,0x7fdc0dff,0xfffe887f,0x3fa2005f,0x32005fff,
    0xff506fff,0x7fe403ff,0xffff50ff,0x9ffff105,0x03ffff88,0x803ffff3,
    0x40009aca,0xbff104fe,0x98009ff5,0xfd1001ff,0x3fe6005f,0xf5bff101,
    0xbaa9889f,0x3ffff500,0x5ffffb80,0x1ffffc40,0x20ffffd4,0x880ffffa,
    0xf505ffff,0x7ffd4fff,0xfffd804f,0x27fffe67,0xfe8dfffb,0xfff702ff,
    0x3ffea9ff,0x09b9530f,0x0037fffc,0x747fffea,0x7fc07fff,0x5e5c04ff,
    0x7fff400a,0x7ffe4005,0x06fffc86,0x981fffee,0x7ec01bcc,0xffff77ff,
    0x3ffff903,0xb81bfff2,0xffe87fff,0x3a000eff,0x000effff,0x4c1bfff2,
    0xf104ffff,0x3e21ffff,0xffa84fff,0x7ffc43ff,0xffff303f,0x7fffc403,
    0x03fee003,0x7fd477f4,0x02ff4004,0x005ffe98,0xefe817fa,0x7d44ff98,
    0xff903fff,0xfff700ff,0xfffd005f,0x1ffff90b,0x00ffffa8,0x701ffffb,
    0x7fccdfff,0x3ea01fff,0x3fe67fff,0x0006a1ff,0x7fd40a88,0xffff70ff,
    0x9ffff303,0x203fb726,0x3fa6fffd,0xff302fff,0xffe807ff,0x3ffa04ff,
    0x7fe4005f,0x6fffc86f,0x81fffee0,0x00fffffa,0x3eaffffb,0x3ea0efff,
    0x3ff27fff,0x3ffee06f,0x77fffec7,0x3fff6000,0x7e4000ef,0x3ffa06ff,
    0xfffc81ff,0x3fffe0ff,0x3fffa61f,0x7fffc41f,0x17fffe03,0x00ffffc8,
    0x3607ff10,0x09ff50ff,0x4007fd40,0x000dfffa,0x3f601ff5,0xf09ff30f,
    0xff30ffff,0xffd009ff,0xff7001ff,0x7ffc43ff,0xffffa84f,0xbffff301,
    0x2ffffc41,0x2bbffffa,0x3fffaa20,0x3fffe63f,0xa8000001,0xff30ffff,
    0xffd88bff,0xffff33ff,0x3ffffa87,0x03bffffa,0x03ffffb1,0x0fffcaa8,
    0x00bfffd0,0xc86fffc8,0x3ee06fff,0x2ea207ff,0xffb04ffe,0x7ffff4ff,
    0xffffffdf,0x81bfff22,0x3f27fffb,0x2000ffff,0x00fffffc,0x06fffc80,
    0x2fffffea,0xfffffda9,0x3ffff20f,0xfffffeef,0x3ffff885,0x2fffff60,
    0x3fffee20,0x41ff2005,0xfffffff8,0xfe801fff,0x4fffb804,0x8827f400,
    0xffffffff,0x3fff61ff,0xfffdacff,0x3f2200ff,0xf1004fff,0xfd79ffff,
    0xff501fff,0xe8395bff,0xfccfffff,0x7d40ffff,0xeeffffff,0x0fffffff,
    0x007fffe6,0x3fea0000,0x3fffa0ff,0xffffccff,0x7ffff46f,0x7ffffebd,
    0x77fffff4,0xfffffc9b,0x17ff4004,0x005fffe8,0x6437ffe4,0x3ee06fff,
    0xff5007ff,0x9ffff60f,0xfffffffa,0x7e44ffff,0x3fee06ff,0xfffff57f,
    0xffffffff,0x3fffeadf,0xffffffff,0xfffc86ff,0x7ffff406,0xffefffff,
    0x3ffe20ff,0xffffffff,0xffff880e,0x3fffe203,0xffffeeff,0xff1001ff,
    0x3fffe205,0x01ffffff,0x2e007fdc,0x5c003fff,0xfff100ff,0x3fffffff,
    0x7fffff44,0x82ffffff,0xfffffddb,0x3ff2000f,0xffffffff,0xfffff105,
    0xfff985ff,0xffffffff,0xfffffb03,0xffffffff,0xffff987f,0xa8000001,
    0x3e20ffff,0xffffffff,0x7fd41fff,0xffffffff,0x77fff42f,0xffffffff,
    0x335100ff,0x201fffb5,0x4005fffe,0xfc86fffc,0x3fee06ff,0xba9aa87f,
    0xffb04ffe,0xffffc8ff,0xc86fffff,0x3ee06fff,0xffff77ff,0xffffffff,
    0x3ffeedff,0xffffffff,0xffc86fff,0x7fec406f,0xf8dfffff,0x7fd40fff,
    0xffffffff,0x7ffff101,0xfffff980,0x0effffff,0x501bf600,0xbff95555,
    0x1ffc4015,0x3bfffe60,0x3e204eee,0x5555403f,0x40adffca,0xffffffe9,
    0xff701fff,0x009fffff,0xffffff90,0x7ec01bff,0x983fffff,0xffffffff,
    0x7ffe404f,0xffffffff,0xffff982f,0xa8000001,0x7d40ffff,0xffffffff,
    0xffff902f,0xd03fffff,0xfff75fff,0x403fffff,0xfffffffa,0x17fffa02,
    0x0dfff900,0x5c0dfff9,0xffd87fff,0x3605ffff,0xfe987fff,0x80cfffff,
    0x2e06fffc,0xfff77fff,0xffffffff,0x3feedfff,0xffffffff,0xfc86ffff,
    0xff9006ff,0x3fe29dff,0xffd880ff,0x201dffff,0x803ffff8,0xffffffc8,
    0x26000dff,0xfa8001ff,0x06fc804f,0xffffffc8,0x1bf205ff,0x027fcc00,
    0x3fffffee,0x3ffea01d,0x20005fff,0x3fffffea,0xffffd880,0xfffb103f,
    0x26003dff,0xfffffffd,0xfff300de,0x0000003f,0x101ffff5,0x9ffffff9,
    0xfffea801,0xffd00dff,0x3fffaa5f,0x6e4c00df,0xfe802cde,0x7e4005ff,
    0xfffc86ff,0x1fffee06,0x0733bb2e,0x9a988000,0x37ffe401,0x2effff70,
    0xffffffff,0x76ffffff,0xffffffff,0x0dffffff,0x800dfff9,0x980000a8,
    0xf88009aa,0x22003fff,0x00abddca,0x0004ec80,0xe8805993,0xcccb802e,
    0x103ccccc,0x220005dd,0x531002cc,0x3fba6001,0x100001de,0x31000153,
    0x0d440013,0x2aa66000,0x99991001,0x30000001,0x88019999,0xa98000aa,
    0xa880000a,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x57510000,
    0x22199981,0x55cc0999,0x6e544001,0x54000bcd,0x001bcddc,0x027774c0,
    0x32605dc4,0x02f775c3,0xddb00000,0x0777764d,0x837bbb60,0xff809998,
    0xffffffff,0x77775c02,0xbccceeee,0xeeee9801,0xeeeeeeee,0x73eeeeee,
    0x0001dddd,0xdeedc980,0xffff003c,0x05ffffff,0x0077775c,0x80f77754,
    0x0005eeeb,0x4c2f775c,0xaaaaaaaa,0x02aaaaaa,0x0bbbbb60,0xeeeeeb80,
    0xcccceeee,0xdddd3001,0xff100005,0xffffffff,0x3bbbaa03,0xeeee9801,
    0x7ffc40de,0x1fffffff,0xebaf775c,0x7ec405ee,0xf88dffff,0xfffb0fff,
    0x3ffffee7,0xfffb801f,0x803fffff,0xfffffffb,0xe88000cf,0x7dc05fff,
    0xfe9bdfff,0x03fffe44,0xffa80000,0x3fffea7f,0x3fffe604,0x427fff44,
    0xffffffff,0x7fe402ff,0xffffffff,0x2600dfff,0xffffffff,0xffffffff,
    0xffff94ff,0x36200001,0xffffffff,0x7fffc02f,0x02ffffff,0x003ffff2,
    0x40bfffea,0x0006fffc,0x6437ffe4,0xffffffff,0x07ffffff,0xbfffff30,
    0x7fffe400,0xffffffff,0x7d403eff,0x80003fff,0xfffffff8,0xff701fff,
    0xff9803ff,0xf881ffff,0xffffffff,0xb7ffe41f,0x2606fffc,0xffffffff,
    0xb0ffff9e,0xfff97fff,0x407fffff,0xfffffffc,0x3f205fff,0xffffffff,
    0x7e4000ff,0x7fc05fff,0xffffffff,0x03fffe42,0x7f440000,0x7fff47ff,
    0xffffb00f,0x84fffe81,0xffffffff,0x7fe402ff,0xffffffff,0x303fffff,
    0xffffffff,0xffffffff,0x3fff29ff,0xf980000f,0xffffffff,0x3fe05fff,
    0xffffffff,0x3ffff202,0xffffa800,0x7ffffe42,0x004fffff,0x321bfff2,
    0xffffffff,0x07ffffff,0xffffff90,0x3fff2001,0xffffffff,0x203fffff,
    0x003ffffa,0xfffff880,0x701fffff,0x4403ffff,0x01ffffff,0xfffffff1,
    0xffc83fff,0x0dfff96f,0x3fffffe2,0xffffffff,0xfffffb0f,0xffffffff,
    0xffff505f,0xffffffff,0xfffff505,0xbfffffff,0x7fffd400,0x27fe605f,
    0x85fffeb9,0x0007fffc,0x7fff4400,0x7fffd47f,0x4ffff983,0x004fffe8,
    0x3fff2000,0xffffffff,0x984fffff,0xffffffff,0xffffffff,0xffff94ff,
    0xfe880001,0xfeceffff,0x0003ffff,0xfffecb80,0xccccccdf,0xdffffdcc,
    0xfffff92c,0x009fffff,0x6437ffe4,0xffffffff,0x07ffffff,0xfffffff0,
    0x3fff2009,0xffffffff,0x02ffffff,0x007ffff5,0x2e000000,0xd101ffff,
    0x003fffff,0x3fff2000,0x20dfff96,0x8bfffffc,0xffffffa8,0xbfffffb0,
    0xffffb313,0x5ffffb0d,0x437fffd4,0x89cfffff,0x01ffffeb,0xffffff88,
    0x260b2605,0xdfdd700a,0x7dc00000,0xe87fffff,0xffd87fff,0xfffe80ff,
    0x32000004,0xaaabffff,0xfffffcaa,0x5555440f,0xdffffbaa,0x91aaaaaa,
    0x3335ffff,0x3f200333,0x6cc0cfff,0x0000ffff,0x7fffff40,0xffffffff,
    0xffffffff,0xfffff95f,0x009fffff,0x5c37ffe4,0xeeeeeeee,0x03ffffee,
    0xffffffa8,0xfff9007f,0x3333335f,0x09fffff7,0x30ffffea,0x0000000b,
    0x103ffff7,0x05fffffd,0x7fe40000,0x0555536f,0x20dffff1,0xb0fffffa,
    0x320bffff,0x7f42ffff,0xfffb84ff,0x27fffcc7,0x01ffffd4,0x7fffffec,
    0x5c000005,0x9800005f,0xfffffffe,0x3ffffb87,0x413fffe6,0x2601aaaa,
    0x000aacba,0x401ffff9,0x05ffffd8,0x0ffffe60,0x3fffff20,0xffffffff,
    0xdfffd00c,0x17fffcc0,0x01377310,0xffffffe8,0xffffffff,0xffffffff,
    0x037ffe45,0x1bfff200,0x4fffd800,0xfffffb00,0xf9005fff,0xf8803fff,
    0xff506fff,0x02fd47ff,0x02aea200,0x07fffee0,0x0bfffffa,0x20099988,
    0xff909998,0x7fcc00df,0x3ffa02ff,0xffffb0ff,0x3fffe203,0x417fffc4,
    0x2e0ffff9,0xff01ffff,0xffa80bff,0x885fffff,0x5d440999,0x453fa00a,
    0x5d440999,0xffff500a,0x20ffffff,0x3f66fffe,0x20000fff,0xfffffffc,
    0x7fe400ef,0xfff800ff,0xff3001ff,0xff9007ff,0xffffffff,0x883fffff,
    0x7402ffff,0xfd884fff,0x00dfffff,0x7ffffb55,0x55555555,0x359ffff9,
    0x446fffc8,0xffc801ba,0xff50006f,0x3fe200df,0x5ffffbff,0x1ffffc80,
    0x07fffd80,0x327ffff5,0xd98005ff,0x2ffffffe,0x07fffee0,0x05fffffb,
    0x206fffd8,0xff96fffc,0x026662df,0x807fffea,0xfb0ffffb,0xffe80fff,
    0x1fffec5f,0x2237ffd4,0x3fe04caa,0x3fe204ff,0x85fffdff,0xff54fffc,
    0xc889ffff,0x9fff90ff,0x3fffffe6,0xcffffa84,0xf707fffb,0xfff15fff,
    0x7ec0009f,0xffffffff,0x3ff201ff,0xffb800ff,0xff3004ff,0xff9007ff,
    0xffffffff,0x83ffffff,0xff802a98,0x7ffcc3ff,0x2fffffff,0x03ffff20,
    0x0bfffea0,0xf9b7ffe4,0x204fffff,0x0e8efffc,0x3ffff100,0x3fffee00,
    0x00ffffc8,0x00ffffe4,0xa82fffec,0xffdbffff,0x7fd4004f,0xffffffff,
    0xffffb80d,0x3fffff21,0x6fffd802,0x65bfff20,0xfff96fff,0x1ffff70d,
    0x87fffd40,0x6c06fffd,0x7fdc6fff,0x7ffec0ef,0xfff30003,0x7ffec05f,
    0xc85fffca,0xfffbcfff,0x366fffff,0x3fff23ff,0xffffffac,0x7ffd46ff,
    0x40ffff72,0xffbdffff,0xf70000ff,0xffffffff,0x7e40dfff,0xf8800fff,
    0xf3005fff,0xf9007fff,0xdddddfff,0xbffffffd,0x7ffd4000,0x3fffe21f,
    0xffffffff,0x1ffff901,0x5ffff500,0x2fbfff20,0xffffffff,0xdffff904,
    0x3ff6001f,0x3ffa004f,0x9ffff35f,0x1ffffc80,0x1ffffc40,0xffffffa8,
    0x7d4004ff,0xffffffff,0xffb86fff,0xffff91ff,0x3ff6007f,0x3fff206f,
    0x32dfff96,0xffc86fff,0x7ffd407f,0x0bfffb0f,0x447fffc8,0xfcdffffd,
    0x0000efff,0x203ffff9,0xff95fffa,0xffff90bf,0xffffffff,0x907aa5ff,
    0xffffffff,0x45ffffff,0x3fee0bea,0x3ffee07f,0x004fffff,0x47bfffe0,
    0x0ffffea8,0x01ffff90,0x01bfffe0,0x01ffffcc,0x007fffe4,0x01fffffb,
    0xdffff500,0x9cffffc8,0x05fffeb8,0x557ffff9,0xf9555555,0x3f205fff,
    0xffffffff,0xc82fffff,0x00ffffff,0x007fff98,0xe8bfffea,0x7e407fff,
    0x9999afff,0xeffffca9,0xfffff500,0xf98007ff,0xb99cffff,0x5c3ffffe,
    0xffb9ffff,0x36004fff,0x3f206fff,0xdfff96ff,0x2e1bfff2,0x2e00ffff,
    0xffb0ffff,0xfffd80df,0xfffff906,0x4000bfff,0x105ffff9,0x3f21ffff,
    0xfffc85ff,0xffb11dff,0xffc80bff,0xfb11dfff,0xb804bfff,0x33227fff,
    0xffffffcc,0x01cccdff,0x01fd9710,0xa83ffff7,0xabffffda,0xffe80aaa,
    0xfff3007f,0xfff9007f,0xfffe801f,0x7fdc002f,0x3fe61fff,0xfff984ff,
    0xffffc81f,0xffffffff,0x02ffffff,0x19fffff9,0x17ffff22,0x07fffff2,
    0x027ffec0,0xb8ffffb0,0x3202ffff,0xffffffff,0xdfffffff,0x3fffea00,
    0xfd8002ff,0xfe881fff,0x3fee1fff,0xfffffdff,0xffb000ff,0x7ffe40df,
    0x32dfff96,0xffa86fff,0x3ff602ff,0xffffb0ff,0x05fffe80,0xfffffff1,
    0x3e60005f,0xfb01ffff,0x7ffe45ff,0x5ffffc85,0x06fffe88,0x837fffe4,
    0xb806fffe,0x3fe27fff,0xffffffff,0x03ffffff,0x7ffcc000,0x7ffffc1f,
    0x1fffffff,0x00ffffd8,0x03ffff98,0x00ffffc8,0x01ffffdc,0x5fffff70,
    0x01ffffb8,0xf909fffd,0xffffffff,0xffffffff,0x3fff205f,0xdfffd05f,
    0x01ffff90,0x03fffe60,0x27fffc40,0x817fffe2,0xfffffffc,0xffffffff,
    0x7fffd401,0xfff0001e,0x7ffcc09f,0x3fffee3f,0xffffffff,0xdfffb005,
    0xcb7ffe40,0xfff96fff,0xbffff30d,0x3ffffe60,0x07ffffb0,0x213fffe6,
    0xfffffff9,0x4c003fff,0x704fffff,0xffc8bfff,0xffffc85f,0x0ffffb01,
    0x01ffffc8,0x700ffff9,0x7fc4ffff,0xffffffff,0x03ffffff,0x7edd4400,
    0x7fc2ffff,0xffffffff,0xfffd81ff,0x7fffd41f,0xffffffff,0x7ffe44ff,
    0x7ffdc00f,0xfff5003f,0xfff903ff,0x2fffe40f,0x7fffffe4,0xffffffff,
    0xf902ffff,0x3f203fff,0xfffe87ff,0x3fff6006,0x3ffee005,0xffffe81f,
    0xfffff900,0xffffffff,0x7ec07fff,0x30003fff,0xe803ffff,0x3fee5fff,
    0xffffffff,0xfd802fff,0x3ff206ff,0x2dfff96f,0xfb06fffc,0x2e23bfff,
    0xb0ffffff,0x881dffff,0x541ffffd,0xda9cffff,0x3005ffff,0x20bfffff,
    0x640ffff8,0xffc85fff,0x3fff207f,0x3fffe407,0x00ffff90,0x7c4ffff7,
    0xffffffff,0x3fffffff,0x4c16665c,0xffffffeb,0x76641fff,0xcccdffff,
    0xffffd80c,0x7ffffd40,0xffffffff,0x7fffe44f,0x7ffff400,0xffff9801,
    0xffffb01f,0xffffffff,0xfff90dff,0x999999bf,0x5ffffb99,0x03ffff20,
    0xd13fffe4,0x200dffff,0x002ffff8,0x5c1bfffa,0xf904ffff,0x9999bfff,
    0xfffffddb,0x7fff441d,0xf70003ff,0xfd801fff,0x3ffee6ff,0xffbbffff,
    0x7ec00fff,0x3ff206ff,0x2dfff96f,0xf506fffc,0xffdfffff,0x21ffffff,
    0xbffffffd,0x5fffffc9,0xa84fffe8,0x4c00ffff,0x205fffff,0xfc82fffd,
    0xfffc85ff,0x1ffff207,0x40ffff90,0xb807fffb,0xf8807fff,0xfd002fff,
    0xfffd89ff,0xfffeffff,0xffff901f,0x3fffa001,0xfffffa87,0xffffffff,
    0x7fffe44f,0x3fffee00,0xffff7007,0x7ffff403,0xffffffff,0xfffc87ff,
    0xfffa800f,0xffff902f,0xd3fffdc0,0x00dfffff,0x801fffee,0xaadffff9,
    0xffffbaaa,0x3ffff907,0xffffe880,0x3fffff62,0xff90003f,0xfff900ff,
    0x7ffffdcf,0x3ffffa4f,0x37ffec04,0x32dfffb0,0xfff96fff,0x7fffe40d,
    0xffdfffff,0xffffb0ff,0xffffffff,0xfff881ff,0xffff881f,0x3fffe603,
    0x3ffea05f,0xffeeeeef,0xf93eefff,0x7fdc0dff,0x7ffe407f,0x1fffee07,
    0x01fffee0,0x00bfffe2,0xfb27fff4,0x1159ffff,0x3203ffff,0xf000ffff,
    0x2600dfff,0xc803ffff,0xbaabffff,0xfffffecc,0x7fffb006,0xeffffe80,
    0xeeeeeeee,0xffffc86e,0xffffa800,0x0dfff902,0xfd3fffdc,0x200dfffd,
    0x2004fffe,0xfffffffc,0xffffffff,0xffffc82f,0xffff8801,0x3fffffa5,
    0xff70003f,0xffd801ff,0x3fffee6f,0x7fffd44f,0x3fff602f,0x5bfff606,
    0xff96fffc,0xfffb80df,0xffb9ffff,0xbfffb0ff,0xfffffff7,0xffff705f,
    0x82fffec0,0x05fffff9,0x7fffffd4,0xffffffff,0xdfff94ff,0x03fffdc0,
    0xb81ffff2,0xfb807fff,0x3ffe27ff,0xffffffff,0x743fffff,0xfff54fff,
    0xffff307f,0x3ffff203,0xffff9800,0xffff3004,0xffff9007,0xffffffff,
    0x2001ffff,0x6c01ffff,0x40007fff,0x800ffffc,0x902ffffa,0x7dc0dfff,
    0x3f2767ff,0xff8806ff,0x3fe000ff,0xffffffff,0x5fffffff,0x01ffffc8,
    0x21ffffb0,0x3ffffbee,0xffff7000,0x4fffe803,0x413fffee,0x00effffd,
    0x6c0dfffb,0xfff96fff,0x01bfff2d,0x42f7f6e6,0x3f67fffb,0xfffd35ff,
    0x3ff201bf,0xfffb00ff,0xfffff10d,0xffff5009,0xffffffff,0x3f29ffff,
    0x3fee06ff,0x7ffe407f,0x1fffee07,0x89fffee0,0xffffffff,0xffffffff,
    0xca7fff43,0xff306fff,0x3ff203ff,0xffc800ff,0xff3003ff,0xff9007ff,
    0xffffffff,0x003fffff,0x2007776c,0x502ffffc,0x7ffe4013,0xfffa800f,
    0xdfff902f,0x43fffdc0,0xa806fffc,0x2a006fff,0xffffffff,0xffffffff,
    0x7ffe40ff,0xfffd001f,0x3fea321f,0xf10003ff,0x7d40bfff,0x3fee3fff,
    0xfff101ff,0x3ff209ff,0x3fffe07f,0x32dfff96,0x80006fff,0x3f67fffb,
    0x00d445ff,0x417fffd4,0xe84ffff8,0x5005ffff,0xffffffff,0xffffffff,
    0x81bfff29,0x6407fffb,0x3ee07fff,0xffb807ff,0x3fffe27f,0xffffffff,
    0xfd03ffff,0x41ffff67,0x902ffffd,0xb801ffff,0x2006ffff,0x803ffff9,
    0xfffffffc,0x0cffffff,0x7cc00000,0xff985fff,0xfffc83ff,0xfffa800f,
    0xdfff902f,0x43fffdc0,0xd806fffc,0x36005fff,0xccccffff,0xffdccccc,
    0x7ffe44ff,0xfff9801f,0xffffa87f,0x3ffa0003,0xffe983ff,0x3ffee0ff,
    0x3fff201f,0xfffa81ff,0xffffc81f,0x32dfff96,0x99d06fff,0x7ffe4055,
    0x017fff66,0x5ffff980,0x43ffffb8,0x99fffffc,0x10999999,0x33333333,
    0x33bfffb3,0x81bfff21,0x6407fffb,0x3ee07fff,0xffb807ff,0x3333227f,
    0xcdffffcc,0xf881cccc,0x9ffff92f,0x3ffff261,0xffff902f,0xfff95301,
    0x7cc005ff,0xfc803fff,0xbcccdfff,0x900009aa,0xfb005999,0xd515dfff,
    0xf903ffff,0xf5001fff,0x3f205fff,0x3fee06ff,0x6fffc87f,0x04fffe80,
    0x0bffff10,0x1ffffe20,0x403ffff9,0x5fffffb8,0x03ffffa8,0x3fffea00,
    0xfffcabdf,0x7ffdc2ff,0x3ffe201f,0xfff986ff,0xffca8aff,0xfff96fff,
    0x41bfff2d,0x983ffffe,0x3f64ffff,0x740005ff,0xeabfffff,0x7c0fffff,
    0xffffffff,0x005fffff,0x642fffe4,0x3ee06fff,0x7fe407ff,0x3ffee07f,
    0x7fffb807,0x2ffff880,0x4cdfb100,0xfeffffff,0x03ffffff,0xfffffff9,
    0xffffffff,0xff9800bf,0xffc803ff,0x000000ff,0x3009ffff,0xffffffff,
    0x3209ffff,0xa800ffff,0xf902ffff,0x7fdc0dff,0x6fffc87f,0x03ffff80,
    0x05ffff90,0x17fffec0,0xfffffff9,0xffffffff,0xff505fff,0xffffffff,
    0x85ffffff,0xfffffffc,0xb85fffff,0x5401ffff,0x444fffff,0xffffffff,
    0x96fffeff,0x3ff2dfff,0xffff906f,0xfffd99df,0x7ffec3ff,0x7fc40005,
    0xffffffff,0x7ffd42ff,0xffffffff,0x64005fff,0xffc85fff,0x3ffee06f,
    0x3fffe407,0x00ffff70,0x100ffff7,0x1005ffff,0xffc83fff,0xdcffffff,
    0xff905fff,0xffffffff,0x01dfffff,0x3ffff980,0x0ffffc80,0xfff00000,
    0x3fa2009f,0xffffffff,0x3ffff204,0xffffa800,0x0dfff902,0x643fffdc,
    0x7c406fff,0xff002fff,0xfa800fff,0x3ff25fff,0xffffffff,0x3fffffff,
    0xffffff50,0xffffffff,0xfff705ff,0x7fffffff,0x07fffee0,0x3fffffa0,
    0x7ffffcc1,0xfffabfff,0x32dfff96,0xff106fff,0xffffffff,0xffd89fff,
    0xf980005f,0xffffffff,0xffffc84f,0xffffffff,0x7e4005ff,0xfffc85ff,
    0x1fffee06,0x40ffff90,0xb807fffb,0xf8807fff,0xbb002fff,0x3fffea03,
    0xffff51ef,0xfffff901,0xffffffff,0x3e60007f,0xfc803fff,0x00000fff,
    0x009ffff0,0xfffffec8,0x7ffe402e,0xfffa800f,0xdfff902f,0x43fffdc0,
    0x4c06fffc,0xa801ffff,0x8004ffff,0xf90fffff,0xffffffff,0x9fffffff,
    0x7ffffd40,0xffffffff,0xb7302fff,0x03bfffff,0x00ffffdc,0x37ffffcc,
    0x6ffffecc,0x32dfff52,0xfff96fff,0x7fff4c0d,0x3fffffff,0x005fffd8,
    0xffff9100,0x3fe03dff,0xffffffff,0x005fffff,0x642fffe4,0x3ee06fff,
    0x7fe407ff,0x3ffee07f,0x7fffb807,0x2ffff880,0x2a600100,0xff900009,
    0xdfffffff,0x4000179b,0x803ffff9,0x000ffffc,0x9ffff000,0x04d4c000,
    0x0ffffc80,0x2ffffa80,0x40dfff90,0xfc87fffb,0x7fd406ff,0xfffb007f,
    0xff90003f,0x3fff29ff,0xffffffff,0x5400adef,0xffffffff,0xffffffff,
    0x00153002,0x007fffee,0x1fffffec,0x7e400330,0xdfff96ff,0xdfdb9300,
    0x32e0179d,0x800003cc,0x00001aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0xeeeeeeee,0x4001bccc,0xeeeeeeeb,
    0x801bccce,0x001cccc9,0xdddddd70,0xddddb007,0x3bbae3dd,0xeeeeeeee,
    0x2e5eeeee,0xeeeeeeee,0x4eeeeeee,0x0009ddd9,0x4c883770,0x0017bbae,
    0x007bbbaa,0x4c7bbba2,0x0001cccc,0xddddddd7,0x0157999b,0x3bbbbba6,
    0xeeeeeeee,0xdd73eeee,0x4fbbaabd,0x800eeeeb,0xd71eeeea,0xdddddddd,
    0x0015999b,0x77775400,0xeeeeeeee,0xeeeeeeee,0x3999930e,0x71333260,
    0xd900bddd,0xeeed8ddd,0x3ba2001e,0x3bbb25ee,0x77774406,0x7775c03e,
    0xddddb10e,0xdddd5007,0xeeee981b,0xeeeeeeee,0xf90eeeee,0xffffffff,
    0x6426662b,0xffffffff,0x00dfffff,0xffffff90,0xbfffffff,0x7fffdc01,
    0xfff90002,0xf980dfff,0x91ffffff,0xffffffff,0xffffffff,0x7ffffe4f,
    0xffffffff,0xbfffb5ff,0x7ffcc000,0x27fc9bef,0x8006fffc,0x806ffffb,
    0xf71ffff8,0x20005fff,0xfffffffc,0x3fffffff,0xffffff98,0xffffffff,
    0xff94ffff,0x53ffeaff,0x801ffffc,0xf92ffffa,0xffffffff,0x09ffffff,
    0x3fffa000,0xffffffff,0xffffffff,0xffff70ff,0x3fffee05,0x01bfff20,
    0xf91ffff6,0x54009fff,0x3f24ffff,0x3ea01fff,0x7406ffff,0x7fdc7fff,
    0x7f400fff,0xff983fff,0xffffffff,0x0fffffff,0xfffffff9,0x3fff2bff,
    0xffffff96,0xffffffff,0xfff9007f,0xffffffff,0x2e07ffff,0x0002ffff,
    0xfffffff9,0x7fffdc01,0xfff91fff,0xffffffff,0x64ffffff,0xffffffff,
    0x5fffffff,0x000bfffb,0x7fffffe4,0x3ff25fff,0xffb8006f,0x7c403fff,
    0xfff71fff,0x3f20005f,0xffffffff,0x44ffffff,0xfffffff9,0xffffffff,
    0xfff94fff,0x653ffeaf,0xa801ffff,0xff92ffff,0xffffffff,0x1dffffff,
    0x7ffd4000,0xffffffff,0xffffffff,0xfff70fff,0x3ffee05f,0x1bfff20f,
    0x31ffff60,0x400dffff,0x2a1ffffd,0x3203ffff,0x00ffffff,0xd0bffff1,
    0x640bffff,0xf306ffff,0xffffffff,0xffffffff,0x3fffff21,0xff95ffff,
    0x3ffff2df,0xffffffff,0x6404ffff,0xffffffff,0xffffffff,0x2ffffb84,
    0xffff9000,0x7ec05fff,0x91ffffff,0xffffffff,0xffffffff,0x7ffffe4f,
    0xffffffff,0xbfffb5ff,0x4dffc000,0x21efffdb,0x8006fffc,0x0ffffffb,
    0x47fffe20,0x002ffffb,0xffffff90,0xffffffff,0x7ffcc7ff,0xffffffff,
    0x4fffffff,0x3eaffff9,0xffff94ff,0xffff5003,0x3fffff25,0xffffffff,
    0x0006ffff,0x3bbffffa,0xffffffff,0xffffffff,0x05ffff70,0xc83fffee,
    0xfd806fff,0xfffe87ff,0xfff8801f,0x7fffc46f,0x3ffffa05,0xfff302ff,
    0xffff107f,0xffff305f,0x3ffe603f,0xffffffff,0x00ffffff,0x2dfff900,
    0xaabffffc,0xffffdaaa,0x3ff200ff,0xaaaaabff,0x0ffffffc,0x017fffdc,
    0xfffffc80,0x3ffe04ff,0xf91fffff,0x55557fff,0x55555555,0x55ffffe4,
    0xaaaaaaaa,0x0bfffb1a,0x54426400,0x06fffc81,0xfffffb80,0x3ffe205f,
    0x5ffff71f,0x3fff2000,0xdaaaaabf,0x226fffff,0xfbaaaaaa,0xaaaadfff,
    0xffff91aa,0x7e4ff6a2,0xfa801fff,0xfff92fff,0x5555557f,0x1fffffd7,
    0xffff3000,0x33fffea7,0xaaaaaaaa,0x3ffee2aa,0xffff702f,0x806fffc8,
    0xfb87fffd,0xfa804fff,0xffe84fff,0xffff106f,0x3ee09fff,0xff701fff,
    0xfffb0dff,0x5554409f,0xdaaaaaaa,0x005fffff,0x65bfff20,0x2200ffff,
    0x205ffffd,0x200ffffc,0x45ffffd8,0x002ffffb,0xffffff90,0x3ffe60df,
    0xf91fffff,0x40001fff,0x001ffffc,0x005fffd8,0x7fe40000,0xffb8006f,
    0x101fffff,0x3ee3ffff,0x90002fff,0x5401ffff,0x801fffff,0x803ffff9,
    0x7ec7fffc,0x03ffff92,0x25ffff50,0x801ffffc,0x002ffffd,0x50ffffd8,
    0x0005ffff,0x00bfffee,0xfffc8ff5,0x7fffd806,0x07ffff88,0x81ffffd8,
    0xb80ffffc,0x6fffffff,0x80ffffb0,0x2a4ffffe,0x000effff,0xfffff980,
    0x02666206,0x7e5bfff2,0x7c400fff,0xf901ffff,0xff001fff,0x7fdc3fff,
    0xf90002ff,0x1fffdbff,0xffbfff70,0x3fff23ff,0x3f20000f,0xd8001fff,
    0x33305fff,0x4cc40133,0xdfff9009,0xb809ba88,0x6fffffff,0x23ffff10,
    0x002ffffb,0x01ffff90,0x02ffffd8,0x03ffff98,0x2a7fffc8,0xffff90ff,
    0xffff5003,0x07ffff25,0x17fffea0,0x9ffff300,0x017fffd4,0x2ffffb80,
    0x3f237e40,0xffd806ff,0xffffd07f,0x7fffc403,0x5ffff506,0xffdfffb0,
    0xffff01ff,0xffff980b,0xfffff89f,0xfe880002,0x3200ffff,0xffc86fff,
    0x1ffff96f,0x9ffff500,0x03ffff20,0x93fffee0,0x002ffffb,0xf9bfff90,
    0xfffd05ff,0x323ffff7,0x0000ffff,0x007ffff2,0x217fff60,0x00effffb,
    0x641bfff2,0xfff36fff,0xffb89fff,0x83ffffff,0xf71ffff8,0x20005fff,
    0x400ffffc,0x803ffffb,0x803ffff9,0xff77fffc,0x0ffffe45,0x97fffd40,
    0x801ffffc,0x005ffff9,0x507fffe4,0x0005ffff,0x80bfffee,0x7fe42ffa,
    0xfffd806f,0x9ffff707,0x1ffffd40,0x84ffff98,0xfffaffff,0x7fffc42f,
    0xffffc803,0x05ffffce,0xffffb000,0xfffc803f,0x96fffc86,0x1001ffff,
    0x320bffff,0x8800ffff,0x3ee5ffff,0x90002fff,0xfff5bfff,0x9ffff889,
    0xff91ffff,0x640001ff,0x8001ffff,0x7d45fffd,0x6400ffff,0xff906fff,
    0xfffff7df,0x7fdcbfff,0x0fffffff,0xb8ffffc4,0x0002ffff,0x801ffff9,
    0x802ffffc,0x803ffff9,0x3d37fffc,0x01ffffc8,0x92ffffa8,0x7003ffff,
    0x4009ffff,0x545ffff8,0x0002ffff,0x205ffff7,0xffc85ffc,0xfffd806f,
    0xfffff107,0x07fffec0,0x98bffff0,0xffd8ffff,0x7fffd44f,0xffffd001,
    0x001fffff,0xfffff900,0xdfff9007,0x32dfff90,0xf000ffff,0x3f20dfff,
    0xff000fff,0x7ffdcdff,0xff90002f,0x8ffff1bf,0xff9dfffa,0xffff91ff,
    0x55555557,0xffc85555,0xfd8001ff,0x3ffe65ff,0xffc801ff,0xffff906f,
    0xffffffff,0x3ffee3ff,0x45ffffbe,0xf71ffff8,0x20005fff,0x200ffffc,
    0x00ffffe8,0x03ffff98,0x407fffc8,0xaabffffc,0xfcaaaaaa,0xfff92fff,
    0xfff9803f,0x3f2002ff,0x7fd41fff,0xaaaaacff,0x2e0aaaaa,0xf302ffff,
    0x1bfff207,0x81ffff60,0xf02ffffd,0xfd80bfff,0x7ffdc7ff,0xc8dfff76,
    0x26007fff,0xffffffff,0xffa80002,0xf9004fff,0xfff90dff,0x03ffff2d,
    0x23ffff40,0xbffffdaa,0xfe80aaaa,0x3ffee7ff,0xff90002f,0x87fffabf,
    0xff9bfffc,0xffff91ff,0xffffffff,0x7e41ffff,0xffffffff,0x360fffff,
    0xfff35fff,0x3f2003ff,0xfff906ff,0x3f2239ff,0xfff75fff,0x8bffffad,
    0xf71ffff8,0xdd505fff,0xffff90dd,0xffff5101,0x3fe600ff,0xffc803ff,
    0x7ffe407f,0xffffffff,0x2fffffff,0x99bffff9,0xfffdddb9,0x7c400bff,
    0xffa86fff,0xffffffff,0x2e0fffff,0x0202ffff,0x366fffc8,0xfffb3eee,
    0x7fffd40f,0x2ffffa84,0x0ffffdc0,0x3e67fffb,0x3ffa0fff,0x7fe4005f,
    0x0005ffff,0x6fffff98,0x1bfff200,0x7e5bfff2,0xfb000fff,0x7ffc1fff,
    0xffffffff,0xffffd81f,0x05ffff70,0x57fff200,0x3fa3fffc,0xffff99ff,
    0xffffff91,0xffffffff,0x7ffe41ff,0xffffffff,0x3ff60fff,0xffffe8df,
    0x3fff2002,0xbffff906,0x5dbfffa0,0xfff36fff,0x7fffc4df,0x05ffff71,
    0xf90ffff7,0xffffffff,0x7fffffff,0x3fffe600,0x7fffc803,0x7ffffe40,
    0xffffffff,0xf92fffff,0xffffffff,0xdfffffff,0x7ffdc001,0xffffa82f,
    0xffffffff,0x3fee0fff,0xf90002ff,0x7fffcdff,0x80ffffb4,0xfd87ffff,
    0x7cc00fff,0x3ffe2fff,0x8bfffe1f,0x4003ffff,0x0ffffff8,0x7ff44000,
    0x32000fff,0xffc86fff,0x1ffff96f,0x3ffff600,0x3fffffe1,0x81ffffff,
    0xf71ffffd,0x20005fff,0xff55fffc,0x5fffe2bf,0xf91ffff9,0xffffffff,
    0x1fffffff,0x7fffffe4,0xffffffff,0x3bbfff60,0x4002ffff,0xf906fffc,
    0x3f203fff,0xdfff76ff,0x8a7fffe4,0xff71ffff,0xfff705ff,0xfffff90f,
    0xffffffff,0x7cc00bff,0xfc803fff,0x7fe407ff,0xffffffff,0xffffffff,
    0xffffff92,0xffffffff,0xfff0009f,0x3ffea0df,0xffffffff,0x3ee0ffff,
    0x90002fff,0x7ffcdfff,0x0ffffb4f,0x42ffffc8,0xf005ffff,0x3fe69fff,
    0xa7ffec7f,0x001ffff9,0x7fffffdc,0x7fec0002,0x64001fff,0xffc86fff,
    0x1ffff96f,0x3ffffa00,0x3fffb320,0x80ccccdf,0xf70ffffd,0x20005fff,
    0xff15fffc,0x57ffeaff,0xf91ffff9,0x9999bfff,0x89999999,0xfffffffc,
    0x0fffffff,0x3ffffff6,0x64000fff,0xff906fff,0x3ff201ff,0x4dfff77f,
    0x88fffff8,0xff71ffff,0xfff705ff,0xfffff90f,0xffffffff,0xff9800bf,
    0xffc803ff,0x7ffe407f,0xccccccdf,0x2ffffdcc,0xfffffff9,0x03dfffff,
    0x3fffee00,0xbffff503,0x99999999,0x7ffdc199,0xff90002f,0xa7fffcdf,
    0x4c07fffd,0x3ea5ffff,0xfb002fff,0x3fff2dff,0xbb7ffd45,0x2000ffff,
    0xfffffff8,0xff90000f,0x90005fff,0xff90dfff,0x3ffff2df,0xfffff000,
    0x03ffff20,0x73ffff40,0x0005ffff,0xff97fff2,0x3fffc9ff,0x323ffff3,
    0x0000ffff,0x007ffff2,0x3fffff60,0x4004ffff,0xf906fffc,0x7fe40fff,
    0x8dfff77f,0xf8dffffa,0xfff71fff,0xdddd505f,0xffffff90,0x19dfffff,
    0xffff3000,0xffff9007,0x1ffffc80,0x2ffffa80,0x335ffff9,0x1bfffff7,
    0xffffd000,0xfddddddd,0x20005fff,0x002ffffb,0x6cdfff90,0xfffb3eee,
    0xfffff00f,0x003fffe4,0xfd1ffff9,0xfff887ff,0x06fffd8f,0x7ffffec0,
    0xa8005fff,0x004fffff,0x90dfff90,0x3ff2dfff,0xfff000ff,0x3fff20df,
    0xffff000f,0x17fffdcd,0x5fffc800,0x3faffff6,0xffff31ff,0x03ffff23,
    0xffffc800,0xfffd8001,0x1fffffff,0x1bfff200,0x703fffe4,0x3feeffff,
    0xffffe86f,0xf71ffffc,0x20005fff,0x000ffffc,0xffff3000,0xffff9007,
    0x1ffffc80,0x2ffffa80,0x883ffff9,0x00effffe,0x3ffffea0,0xffffffff,
    0x70002fff,0x0005ffff,0x201bfff2,0xc807fffd,0xfff2ffff,0x7fd4009f,
    0x1ffffaff,0xffafffe8,0x3ea004ff,0xffffffff,0x3fe6002f,0x20005fff,
    0xfc86fffc,0xffff96ff,0xffff3001,0x3ffff20b,0xffff9800,0x0bfffee4,
    0x2fffe400,0xfffdfff5,0x8ffffccf,0x000ffffc,0x07ffff20,0x3ffff600,
    0x05ffffdf,0x41bfff20,0x2e06fffc,0xfff77fff,0xfffff30d,0x3ee3ffff,
    0x90002fff,0x0001ffff,0x3fffe600,0x7fffc803,0x0ffffe40,0x97fffd40,
    0x881ffffc,0x006fffff,0x3ffffffa,0xffffffff,0xf70002ff,0x20005fff,
    0xd806fffc,0xf9807fff,0xfffadfff,0x3fe2001f,0x07fffeff,0xfffbfff9,
    0x3fe2005f,0xfffbcfff,0xfe8800ff,0x0000efff,0x321bfff2,0xfff96fff,
    0xfffb001f,0x3fff207f,0xfffc800f,0x3fffee3f,0xfff90002,0x7ffffc4b,
    0x3ffe65ff,0x1ffff91f,0x7ffe4000,0xffd8001f,0xffff75ff,0x3fff2005,
    0x0dfff906,0xfbbfffdc,0xfff906ff,0x2e3fffff,0x0002ffff,0x001ffff9,
    0x3ffe6000,0xfffc803f,0x7fffe407,0xffffa801,0x03ffff92,0x13ffffea,
    0x3ffffe60,0xffffffff,0x0002ffff,0x005ffff7,0x01bfff20,0x401ffff6,
    0xffdffffe,0xffe8006f,0x505fffff,0xffffffff,0x3fff6001,0x3ffffa6f,
    0xffffd805,0x7e40001f,0xfffc86ff,0x01ffff96,0x06ffff98,0x003ffff2,
    0xb8dffff7,0x0002ffff,0xff8bfff9,0x263fffff,0xff91ffff,0x640001ff,
    0x8001ffff,0x7f46fffd,0xff9006ff,0x3fff20df,0x5fffee06,0x3a06fffb,
    0x1fffffff,0x005ffff7,0x03ffff20,0x7fcc0000,0xffc803ff,0x7ffe407f,
    0xfffa801f,0x3ffff92f,0x7ffffe40,0x7fffec01,0xaaaaaaab,0x002ffffc,
    0x05ffff70,0x1bfff200,0x01ffff60,0x7fffffdc,0xfc8004ff,0x03ffffff,
    0xfffffff1,0x3ffea00d,0x3ffe61ff,0x3ff202ff,0x80002fff,0x2006fffc,
    0x880ffffc,0x1fffffc9,0x03ffff20,0x3ffff2a6,0x7fffdc2f,0xfff90002,
    0xfffffd8b,0x3fffe61f,0x01ffff91,0x7fffe400,0xfffd8001,0x1ffffd45,
    0x837ffe40,0x2e06fffc,0xfff77fff,0x7fffd40d,0xfff71fff,0x3f20005f,
    0x00000fff,0x07ffff30,0x80ffff90,0x801ffffc,0xf92ffffa,0x7c403fff,
    0x2606ffff,0xb806ffff,0x0002ffff,0x005ffff7,0x01bfff20,0x401ffff6,
    0xfffffff8,0xffa8001f,0x200fffff,0x4ffffffe,0xfffff880,0xfffffc84,
    0xfffffa80,0xff900004,0x7fe400df,0xffffffff,0x04ffffff,0x7fffffe4,
    0xffffffff,0xfffb85ff,0xffffffff,0xf91fffff,0xfffa8bff,0x7ffcc7ff,
    0xfffff91f,0xffffffff,0x3f27ffff,0xd8001fff,0xffd85fff,0x7fe400ff,
    0xdfff906f,0xbbfffdc0,0x7ec06fff,0xf71fffff,0xffffffff,0x3fffffff,
    0x003ffff2,0x7ffcc000,0xfffc803f,0x7fffe407,0xffffa801,0x03ffff92,
    0x3fffffa8,0x07ffffb0,0xffffff70,0xffffffff,0x3ffee7ff,0xffffffff,
    0xf91fffff,0xffb00dff,0x7ff400ff,0x0006ffff,0xdffffff1,0xfffffc80,
    0xfffd802f,0xffe880ff,0xfffc85ff,0xffffffff,0x4fffffff,0x006fffc8,
    0x3ffffff2,0xffffffff,0x7fe400ef,0xffffffff,0x80efffff,0xfffffffb,
    0xffffffff,0x8bfff91f,0x45fffff8,0xf91ffff9,0xffffffff,0xffffffff,
    0x07ffff27,0x17fff600,0x013fffe6,0x320dfff9,0x3ee06fff,0xdfff77ff,
    0xfffff880,0xfffff71f,0xffffffff,0x3ff23fff,0x000000ff,0x007ffff3,
    0xc80ffff9,0xa801ffff,0xff92ffff,0xff9003ff,0xff881fff,0xff7007ff,
    0xffffffff,0x27ffffff,0xfffffffb,0xffffffff,0x0dfff91f,0x00ffffb0,
    0x7fffffdc,0x3ffa0003,0x7d404fff,0x400fffff,0x02fffffa,0x0bffffea,
    0xfffffff9,0xffffffff,0xff909fff,0x7fe400df,0xffffffff,0x9003ffff,
    0xffffffff,0x07ffffff,0x7fffffdc,0xffffffff,0xbfff91ff,0x87fffff0,
    0xf91ffff9,0xffffffff,0xffffffff,0x07ffff27,0x17fff600,0x00ffffe4,
    0x320dfff9,0x3ee06fff,0xdfff77ff,0xfffff700,0x3ffffee3,0xffffffff,
    0xfff91fff,0x2000001f,0x803ffff9,0x6407fffc,0xa801ffff,0xff92ffff,
    0xff1003ff,0xffc8bfff,0xff7004ff,0xffffffff,0x27ffffff,0xfffffffb,
    0xffffffff,0x0dfff91f,0x00ffffb0,0x7fffffc4,0x3ff60000,0xff802fff,
    0x7c406fff,0xd805ffff,0x320fffff,0xffffffff,0xffffffff,0xfffc84ff,
    0x3fff2006,0xdeffffff,0x3f2000bc,0xffffffff,0x5c00bcde,0xffffffff,
    0xffffffff,0xb0bfff91,0xf983ffff,0xfff91fff,0xffffffff,0x27ffffff,
    0x001ffffc,0x105fffd8,0x640bffff,0xff906fff,0x7ffdc0df,0x00dfff77,
    0x5c7ffffa,0xffffffff,0xffffffff,0x01ffff91,0x3fe60000,0xffc803ff,
    0x7ffe407f,0xfffa801f,0x3ffff92f,0x3fffea00,0xfffff12f,0x3ffee001,
    0xffffffff,0xf73fffff,0xffffffff,0x3fffffff,0x201bfff2,0x4007fffd,
    0x005ffffd,0x7ffffdc0,0xffffd800,0x7fffe404,0xfff8800f,0x3fff25ff,
    0xffffffff,0x4fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bb60000,0x3ae004ee,0x55005eee,0x00000155,0xaaaaab80,0xaaaaaaaa,
    0x2aa202aa,0x4c001abc,0x000aacba,0x00abba98,0x04ddcc40,0x5e554400,
    0x0aba980a,0x2aea2000,0x02666600,0x002aea20,0x0aaaa880,0x004ccc40,
    0x26213331,0x13331199,0x004ccc40,0x10055d44,0x4c013773,0x00000001,
    0x41999944,0x2600aba8,0x333100ab,0x80aba881,0x88019998,0x26621999,
    0x06666009,0x31099988,0x4ccc4133,0x99999999,0x13331099,0x33106ea2,
    0x4cc40333,0x4c000099,0x801fffff,0x02fffff8,0x001ffff0,0x06aea620,
    0x40003897,0xffffd983,0x6404ffff,0xffffffff,0xfffb800e,0x401dffff,
    0xffffffd8,0xffea800d,0x99dfffff,0xcefffffe,0xffed9800,0xff82ffff,
    0xfdb303ff,0x005fffff,0x05ffff10,0x206fffd8,0xff96fffc,0x1bfff6ff,
    0x506fffc8,0xdfffffdb,0x7fffec43,0xefb80cff,0x40000002,0xffff5fd9,
    0x3fffff63,0x7ffffe45,0xa7ffe40e,0x4ffffffa,0x00ffffe4,0xfc97fffa,
    0xfff705ff,0x3fffe03f,0x74bfffb3,0xffffffff,0xfd2fffff,0xffff15ff,
    0x3fffe21f,0xffff982f,0xdffd700f,0x3ffff209,0xffffc806,0x3fffe005,
    0x7fec4000,0xfbbfffff,0x70000e3f,0xffffff98,0xb05fffff,0xffffffff,
    0x36203fff,0xffffffff,0xfff302ff,0x5fffffff,0x7ffffdc0,0xffffffff,
    0x6fffffff,0x7ffffd40,0x20dfffff,0xfa83ffff,0xffffffff,0x3e2000df,
    0x7ec02fff,0x3ff206ff,0x2ffff96f,0x3206fffd,0xffc86fff,0xffffffff,
    0xffffffac,0x7dc1ffff,0x0000bfff,0x3fffaa00,0xfd5ffff5,0x1bffffff,
    0xfffffffb,0x67ffe41d,0xfffffffb,0x3fffe26f,0x3fffe604,0x41fffea2,
    0x983ffffd,0xffb1ffff,0x7ffff4bf,0xffffffff,0xd7fffd2f,0xfa8dffff,
    0x7f40ffff,0xfe882fff,0x40efffff,0x03fffff8,0x03ffffe6,0x00ffff80,
    0x3ffffee0,0x5fffffff,0x88e0001c,0xeeffffff,0x5c3fffff,0xffffffff,
    0xfb06ffff,0xffffffff,0xff883fff,0xffffffff,0xfff981ff,0xffffffff,
    0xffffffff,0xff305fff,0xffffffff,0x7fffcdff,0x7ffffd43,0x6fffffff,
    0x3fffe200,0x37ffec02,0x32dfff90,0xfffb7fff,0x37ffe40d,0x3ffffff2,
    0xffffffff,0xffffefff,0x3ffee0ff,0x0001cfff,0xfffff910,0x3ffffebf,
    0xffffffff,0xffffffff,0x3ff25fff,0xffffffff,0x3f62ffff,0x3ff206ff,
    0x2ffff87f,0x85fffff8,0x3f66fffb,0x3fffa5ff,0xffffffff,0xffffd2ff,
    0x907fffff,0x7e4bffff,0xff904fff,0x0bffffff,0x01fffff5,0x00fffffa,
    0x001ffff0,0x3fffffee,0x1fffffff,0xa8e0001c,0x7440ffff,0x7ffc7fff,
    0xffd511ef,0xfffa81ff,0xffc98cff,0x7ffe45ff,0xffeb89cf,0xffffd85f,
    0xffffb30a,0x3fea23ff,0x7ffcc4ff,0xfea99bff,0xffff4fff,0x7ffffcc7,
    0xfffeb99c,0xfff1003f,0xfffd805f,0x5bfff206,0xffb7fffc,0x7ffe40df,
    0x3ffffe66,0xffffb9ac,0x3aa1ffff,0x3fee5fff,0x2effffff,0xfffb3000,
    0x3ebfffff,0x70afffff,0x19ffffff,0x43ffffee,0x1dfffffc,0x4bffffb1,
    0xf01ffffa,0xffb09fff,0xffff989f,0x4fffd87f,0xcb97fff6,0xffcccccc,
    0xffd0efff,0x1fb9ffff,0x2bffffa0,0x80effff9,0x3f24fff8,0xfffd81ff,
    0xffffa84f,0xffff8006,0xffff8800,0xfffb50af,0x4000389f,0x41bffee3,
    0x2e209bd9,0xffb80fec,0x7fff41ff,0x1ffffb06,0x213fffe6,0x541ffff9,
    0xffa82fdc,0xff981fff,0x3fff60ff,0xfffe881f,0x22ffaa9f,0x881ffffd,
    0x001ffffe,0xd8013333,0x3f206fff,0xdf9536ff,0xc81bfff6,0x3ff26fff,
    0xfff882ff,0xffa82fff,0x3ff260ff,0xbfffffff,0xfffea800,0x22dfffff,
    0xe82fffff,0xfb86ffff,0xfff91fff,0xfffd10bf,0x84ffff8d,0xa80ffffa,
    0x7fdc6fff,0x3e21ffff,0x2aa61fff,0xfff9002a,0x7fff41ff,0xff30046f,
    0xffffddff,0x83ffea03,0xf882fff9,0x3e21ffff,0x2601ffff,0xfff99999,
    0x099999af,0x203ffff6,0x21fffffe,0xf51c0003,0x0037dfff,0xffff9800,
    0x0bfffe21,0x3ee0d64c,0xffd01fff,0xff10009f,0x7ff40dff,0x13fffe2f,
    0x13ffff98,0x7fffc3ff,0x3fffe604,0xfb000003,0x7fe40dff,0xfdafe46f,
    0x3ff206ff,0x17fffa6f,0x0fffffb8,0x205ffff0,0xffffffda,0x7dc41cff,
    0xefffffff,0x6ffff80b,0x05ffff90,0x323ffff5,0xfb01ffff,0xfffb8fff,
    0x05fffd87,0x6c1ffff1,0x24ffffff,0x0007fffa,0x1fffffb8,0x017ffff4,
    0x3ffffee0,0x3ee03fff,0x04fff87f,0x64dffff7,0x2204ffff,0xffffffff,
    0xffffffff,0x07ffff12,0x9ffffffb,0x88e0001c,0xffffffff,0x544000ad,
    0x2fffffdb,0x007fffea,0x81ffff20,0x8805fffc,0xfffffdb9,0x53fff604,
    0x401ffff9,0xff95fffe,0x07fffe61,0x44bfffd0,0xeeeeeeee,0xeeeeeeee,
    0x40dfffb1,0x3e26fffc,0x0dfffb2f,0xf8b7ffe4,0x3e202fff,0x3f205fff,
    0x7e4404ff,0x4fffffff,0xfffffff5,0xfff803bf,0xffff905f,0x3ffff303,
    0xc81ffff2,0x7fc47fff,0x3ffe22ff,0x3fff602f,0x3ff7ffe3,0x13fff26f,
    0xffff5000,0xffffd05f,0x3fffa000,0x7dc06fff,0x04fff87f,0x22bffffa,
    0x4406ffff,0xffffffff,0xffffffff,0x81ffff32,0xfffdbffc,0x870000e5,
    0xfffffffb,0x2601dfff,0xffffffeb,0x3fee1fff,0xfd8000ff,0xffffffff,
    0x106fffff,0xffffffd9,0xffffffff,0x2bffffff,0x400ffffb,0xffdffffd,
    0x03fffee2,0x4cdfffb0,0xffffffff,0xffffffff,0x40dfffb2,0xfd36fffc,
    0x037ffecd,0x3eadfff9,0x7fc01fff,0xffffffff,0x005fffff,0x3fffff6a,
    0xdfffff75,0x3ffe0017,0xffff904f,0x3ffff301,0xc81ffff2,0xffd87fff,
    0x1fffee5f,0x26bfff70,0xfffdbfff,0x003ffff0,0x7ffffcc0,0x0dfffd03,
    0x3fffe200,0x7fd400ff,0x0bffe60f,0xdfffff98,0x4402ffff,0xffffffff,
    0xffffffff,0xb8ffff72,0xffff94ff,0x20e0001c,0xfffffffb,0xfd83ffff,
    0xfeffffff,0x3ff21fff,0xfe8000ff,0xffffffff,0xc87fffff,0xefffffff,
    0xffffffff,0x5fffffff,0x900ffff9,0x87ffffff,0xc807fffc,0x3fe67fff,
    0xffffffff,0xb2ffffff,0x7ec0dfff,0x0dffffff,0xd81bfff6,0xfff76fff,
    0xfffe801f,0xffffffff,0x44006fff,0xf75ffffd,0x8005dfff,0xf904ffff,
    0x3fe60fff,0xdfff91ff,0x43fffdc0,0xfd0ffffa,0xff8809ff,0x53fff77f,
    0xfff35fff,0x7fc4000f,0x3fa04fff,0x3a0006ff,0x400fffff,0x3f24fff8,
    0x7fe401ff,0x05ffffff,0xffffff88,0xffffffff,0xffff72ff,0xff52ffd4,
    0x0000e1ff,0x3ff6e207,0x1fffffff,0x33fffff6,0x1ffff88a,0x003fffee,
    0x3bffffa0,0xeeeeeeee,0x7fffe46e,0xffff0bdf,0xdddddddd,0x3fee9ddd,
    0x7fec00ff,0xffb80cff,0x7fec00ff,0x3fffe66f,0xffffffff,0xffb2ffff,
    0x7ffec0df,0xffd82dff,0x3fff606f,0x05ffff56,0xeefffff8,0xeeeeeeee,
    0xfffb5005,0x3feebfff,0x00cfffff,0x904ffff8,0x3e60ffff,0xfff91fff,
    0x3fffdc0d,0xf9bffff8,0xfe800fff,0x17ffd9ff,0xfff79fff,0x3fa20009,
    0x7f405fff,0xf70005ff,0x00dfffff,0xfffffff9,0xfff1009f,0x001fffff,
    0x00ffff80,0x4c7fffd4,0x7ffdc6ff,0x070000e7,0x3fffae60,0xffff54ff,
    0x3ffff307,0x00ffffd4,0xfffd8357,0xfff10007,0xfff881bf,0xffb8005f,
    0x7ffc01ff,0x3ffee05f,0x7fff401f,0x2aaaaa24,0xaaaaaaaa,0xfffb0aaa,
    0x37ffec0d,0x81bfff60,0xff36fffd,0x7fc409ff,0x300006ff,0xfffffff9,
    0x3ff225df,0x2dffffff,0x413fffe0,0xf307fffc,0x3ff23fff,0x3ffee06f,
    0x7bfff707,0x2e00bfff,0x5fffcfff,0x3ffbbffa,0xffd0002f,0xfe801dff,
    0xf98005ff,0x3fffffff,0x7ffff440,0xf5000eff,0x005fffff,0x01ffff00,
    0xfaffff98,0x7ffe40ef,0x870000e5,0xff301ba8,0x3fff2bff,0x3ffff306,
    0x827fffc4,0xf92ffffa,0x26a05fff,0x0ffffa80,0x0fffff88,0xff881350,
    0x3fea05ff,0x3fe203ff,0x3fea05ff,0x000003ff,0x7c0ffff9,0x7e406fff,
    0x3ffe07ff,0x1ffffe6f,0x1fffffc8,0x2a201550,0xfffffffe,0xff7101cf,
    0x9fffffff,0x04ffff81,0x260ffff9,0xff91ffff,0x7ffdc0df,0xdffff107,
    0x26005fff,0x3fffffff,0x3ffffff2,0xfffb0007,0xffd001df,0xffd000bf,
    0x3fffffff,0x7bffb700,0xffffb000,0x3fe0000b,0x7fc400ff,0x441fffff,
    0x00e4ffff,0x3ffe2700,0x3fffa06f,0x20ffffb4,0x742ffffd,0xfe81ffff,
    0xfff30fff,0xffff30bf,0x0ffffdc7,0x1fffffe4,0xd177ffdc,0xd307ffff,
    0xe801ffff,0xe983ffff,0x8800ffff,0x5401cccc,0xfc82ffff,0x7d406fff,
    0xffc81fff,0x3fff26ff,0xffffa84f,0xfffa84ff,0xffff912f,0x017fffff,
    0x7ffff540,0xff2dffff,0x3ff209ff,0xffff307f,0x81bfff23,0x3607fffb,
    0x07ffffff,0x7fffff40,0x3fffea1f,0x999705ff,0x7ffffe47,0xbfffd000,
    0xffffc800,0x06ffffab,0x3ea00000,0x00002fff,0x9001ffff,0xb05fffff,
    0x01c1ffff,0xfffc8e00,0x3ff261df,0xffff92ff,0x3fff2619,0x7ffcc2ff,
    0xffebacff,0x7ffec5ff,0xffea8aef,0x3ffea1ff,0xfff710df,0x733bffff,
    0x541fffff,0xabdfffff,0x03fffffc,0xdfffffa8,0xfffffcab,0xffff1002,
    0xffff9805,0xfffca8af,0x7fcc06ff,0xfca8afff,0x3e26ffff,0xdbbeffff,
    0xffffffff,0xffffb8ad,0xfffff70f,0x80005dff,0xffffffd9,0x09ffff5f,
    0x4c1ffff2,0xff91ffff,0x7ffdc0df,0x3fffea07,0x7e4004ff,0x7c47ffff,
    0xb02fffff,0x3feabfff,0xffffffff,0xffd6ffff,0x7fd400bf,0x3fff66ff,
    0x0000004f,0x005ffff5,0x03fffe00,0x3ffffe20,0xfffea9ad,0x20001c3f,
    0x3ffffa23,0xffffffff,0x3ffffe65,0xffffffef,0xffffd83f,0xefffffff,
    0x7ffffcc0,0x4fffffff,0x7fffffc4,0xfffffffe,0xffffffff,0xfffc83ff,
    0xffffffff,0x3ff2005f,0xffffffff,0x3e2005ff,0x7c402fff,0xffffffff,
    0x406fffef,0xfffffff8,0x6fffefff,0x7fffffd4,0xffffffff,0xffffffff,
    0x3ffee3ff,0x00001dff,0x7ffffe44,0x209ffff5,0xf307fffc,0x3ff23fff,
    0x3ffee06f,0x7ffffc07,0x7fcc001f,0xffe85fff,0xffb00fff,0x3fffeebf,
    0xffffffff,0xbfffd6ff,0x3fffe200,0x3fffe21f,0x8000002f,0x002ffffa,
    0x01ffff00,0x3fffff60,0x5fffffff,0x21c00038,0xffffffe8,0x640effff,
    0xffffffff,0x905fffdc,0xffffffff,0x3fa203ff,0xffffffff,0xfffff504,
    0xf53dffff,0xffffffff,0x7ffdc07f,0x3fffffff,0xffffb800,0x03ffffff,
    0x17fffc40,0x7ffffcc0,0xfffabfff,0xffff9806,0xffabffff,0xfffe986f,
    0x9affffff,0xfffffffe,0x7ffdc3ff,0x8000000c,0xfff5ffeb,0x3fff209f,
    0x3ffff307,0xb81bfff2,0x7dc07fff,0xf0006fff,0xf905ffff,0x7ec0bfff,
    0xffff75ff,0xffffffff,0x3fffadff,0xffffb005,0xfffff707,0xa8000001,
    0x0002ffff,0x20033330,0xfffffffa,0x704fffff,0xd5038000,0x5dffffff,
    0x7ffffd40,0x1ffff51e,0x3ffffa60,0xec800bff,0x02efffff,0x7fffff4c,
    0x7ffe442e,0x8801dfff,0xdfffffdb,0x36e60001,0x01dfffff,0x2ffff880,
    0xffffd300,0x1bffea5d,0x7fffecc0,0x0dfff52d,0x7fffff64,0x7fff5c0c,
    0xbeb81dff,0x80000000,0x9ffff5da,0x41ffff20,0xf91ffff9,0x7fdc0dff,
    0x7ffc407f,0xff90002f,0xfff501ff,0x7ffec07f,0xffffff75,0xffffffff,
    0x017fffad,0x81bfffee,0x005ffffd,0x7ffd4000,0x4ccc002f,0x99999999,
    0xf1099999,0xffff91df,0x01c03bff,0x53100e00,0x9a980035,0x35300000,
    0x4d4c0001,0x054c4000,0x009a9880,0x0002a600,0x00054c00,0x19800000,
    0x03300000,0x02a62000,0x8026a620,0x00000000,0x00000010,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fea0000,0x3e2002ff,0xffffffff,
    0x2fffffff,0x153303aa,0x70000e00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7d400000,0x22002fff,
    0xffffffff,0xffffffff,0x9b000002,0x99999999,0x09999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fd40000,0x3e2002ff,0xffffffff,0x2fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0x2002ffff,0xfffffff8,0xffffffff,0x8800002f,0x33100999,
    0xff500133,0x800c00bf,0x4bdd7002,0x3b61eee9,0x017bae3e,0x0004ccc0,
    0x40001ffa,0x01defed8,0x0059fdb1,0xaa980266,0xaaaaaaaa,0x532aaaaa,
    0x55555555,0x05555555,0x9e665c00,0x364eeee8,0x3baa6eee,0x6edc42ee,
    0x9bb7300b,0x88835005,0x44444088,0xeeeeee80,0x777756ee,0x4457bbae,
    0x88444408,0xaaaaaaaa,0xaaaaaaaa,0x222221aa,0x88888888,0x00088888,
    0x00000000,0x00000000,0x3fea0000,0x000002ff,0x800f4c00,0x37ffec3d,
    0x07ffffdc,0x02fffd40,0x7dc05fa8,0x97ffcc04,0x7dc5ffe8,0x9fff11ff,
    0x6fffa800,0x21fff600,0x2cefffd9,0xffffff98,0x7fffc41f,0x7fc406ff,
    0x3ffff204,0xffffffff,0xfff97fff,0xffffffff,0xc88fffff,0xfd80dffe,
    0xffff16ff,0x73ffff4b,0xfc87ffff,0x7e43ffff,0x1cffffff,0x7ffc1fc8,
    0x7fffec5f,0x7fffffc0,0xdfff97ff,0x7f5bfff2,0x9bfffc7f,0xffffffff,
    0xffffffff,0xffff33ff,0xffffffff,0x07ffffff,0x00000000,0x00000000,
    0x00000000,0x26000000,0xeeda9fff,0x23ffd8be,0x7d46fffd,0x5001ffff,
    0xf500bfff,0x3fee0bff,0xdfff104f,0x740fffe4,0x3fff26ff,0x3fffa001,
    0x7ffdc01f,0xffffe87f,0x7fe42fff,0x6c5ffcad,0x2ffeacff,0xf9027fc0,
    0xffffffff,0x2fffffff,0xfffffffc,0xffffffff,0x3ffffe27,0x7ffec1ff,
    0x4bffff16,0x3ee7fffe,0xf3043fff,0x3fff61ff,0xefffffff,0x2e1fffdd,
    0xffb06fff,0xfffff87f,0xfff97fff,0x75bfff2d,0xbfffc7ff,0xfffffff9,
    0xffffffff,0xfff33fff,0xffffffff,0x7fffffff,0x00000000,0x00000000,
    0x00000000,0x10000000,0xffffffff,0xffffffff,0x99bfff63,0x001fffff,
    0x2017ffea,0x5c5fffff,0xd81fffff,0xfff51fff,0x53ffea09,0x3006fff8,
    0x40bfffff,0x47fffffb,0xfebbeffb,0xf1ffe25f,0x72ee41ff,0x3e0a89ff,
    0xffc8263f,0xffffffff,0xf97fffff,0xffffffff,0x4fffffff,0xfffdfffe,
    0x8b7ffec6,0x3fa5ffff,0x3ffee7ff,0x8fff403f,0xfffffffe,0xffffffff,
    0x03bffa1f,0x7fc6ffe8,0x97ffffff,0x3ff2dfff,0xf8fffd6f,0x777717ff,
    0x77777777,0x23777777,0xfffffff9,0xffffffff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0xffff5000,0xffffffff,0x7ffec9ff,0x5fffff16,
    0x5fffa800,0xfffff980,0x5fffff75,0x22bfff50,0x3a00ffff,0xfff71fff,
    0xffffb009,0x33ee01ff,0x65cc7ff9,0x041bfee1,0x5cc0fff3,0x67fc1fff,
    0x4fdaafe8,0x3bbbbbae,0xffeeeeee,0xddddd77f,0xdddddddd,0x17feabdd,
    0x7fec5ff9,0xbffff15f,0xf73ffff4,0x26a25fff,0x3a5ffda9,0xffdbacef,
    0xefffffff,0x801fff50,0x3322ffe8,0x94cccccc,0x376edfff,0xd8bddb4d,
    0x000005ee,0x00000000,0x00000000,0x00000000,0x00000000,0xffb80000,
    0xffffffff,0x7ffec4ff,0x2ffffe8e,0x5fffa800,0xfffff300,0x05fffffd,
    0x361ffff1,0x7cc03fff,0xfffd0eff,0x7fffcc05,0x41304fff,0x2e6207ff,
    0x74407ffe,0x3ff604ff,0x7fffd43f,0x06ffffff,0x1fffe600,0x3ff70000,
    0xfc84ff98,0xc93fffe4,0x3fe66fff,0xffff51ff,0x81f43dff,0xfffffeb8,
    0x8006ee44,0x00004dd8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0xb89cffff,0x7ec5ffff,0xffffeeff,0x77775c03,
    0xeeffffee,0xff985eee,0x2fffffff,0x2e7fffb0,0xfb006fff,0x3ffea9ff,
    0x7fffb00f,0xf001ffff,0xfffd70ff,0x7cc0ffff,0x7f7406ff,0x3f6e22ff,
    0x3defffff,0x3ffe6000,0x7dc00007,0x427fc41f,0x3fff63ff,0x897ffee2,
    0x37267fff,0x00182cdd,0x00003773,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ff60000,0xffff984f,0x3fffff60,
    0x6400ffff,0xffffffff,0x7fffffff,0xffffff30,0x3ffe605f,0x07fffd0f,
    0x47fffe60,0xf883fffe,0x7fffb7ff,0xfc8fff00,0x7ffcdeff,0x01bfff50,
    0xe81ffe60,0x00002fff,0x262ffff3,0x99999999,0x51999999,0x2ffc8bff,
    0xff907fe4,0x1fffcc3f,0x0001bffa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe000,0x43fffd00,
    0xfffffffd,0x7fe404ff,0xffffffff,0x207fffff,0x06fffffc,0xfaa7ffec,
    0xfc800fff,0xffff35ff,0x29fff901,0xf807fff9,0x8fffe27f,0xffb87ffb,
    0x8775104f,0xffd81ffe,0x80001ffe,0xff97fff9,0xffffffff,0x74ffffff,
    0xfffeceff,0xd50bffa0,0x1eee88dd,0x00027764,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffc000,
    0x6c3fffb0,0xffffffff,0x3ff201ff,0xffffffff,0x707fffff,0xbfffffff,
    0x8ffffc40,0x4c04fffc,0xffd0ffff,0xffff105f,0x01ffff43,0xfffa9ffe,
    0xf71fffa0,0x15555bff,0xffa8fff4,0x467fec0f,0x40000fff,0xff97fff9,
    0xffffffff,0x4cffffff,0x2fffffff,0x00000f64,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x220bfffa,0x3f60ffff,0xffedffff,0x2aaa606f,0xaefffcaa,0xfb82aaaa,
    0xffffffff,0x57ffea05,0x200fffe8,0xff52fffd,0x3fff20bf,0x037ffdc6,
    0xdfff1ffe,0xf8ffffd7,0xffffffff,0x3ffffea1,0x7ffcc4ff,0x0009ff90,
    0xf97fff98,0xffffffff,0x8fffffff,0x00dfffd8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f200000,0x3f221eff,0x7ffec6ff,0x5ffff55f,0x5fffa800,0xfffff700,
    0x0bfffff7,0xf997ffe4,0xfff504ff,0x03bffe29,0x10bfffe2,0x7c05ffff,
    0x7fffe47f,0xf50fffef,0xffffffff,0xffffeb83,0x2e85d103,0xfff98000,
    0xffffff97,0xffffffff,0x0000c0ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff98000,
    0xffffddff,0x37ffec4f,0x001ffffa,0x700bfff5,0x265fffff,0x205fffff,
    0x3ff26ffe,0x26ffe81f,0xf701fffc,0x3ff60fff,0x2066606f,0x9973efc9,
    0x26666621,0x2a201999,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffffb,0x43ffffff,0x7cc6fffd,0x2a004fff,0xfe805fff,
    0x7fcc2fff,0xff301fff,0x22fff47f,0xff11fffb,0x7776c09f,0x1dddd303,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffd8,0xffffffff,0x0dfffb1f,0x001ffffb,0x2017ffea,0xf302ffe8,
    0xeeb803ff,0xd87bba65,0x17bae3ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc800000,0xffffedff,0xb0efffcf,
    0xff10dfff,0x3ea00bff,0x5d1005ff,0x0001f980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x893f2000,
    0x83bea1aa,0xf906fffd,0x93003fff,0x00000599,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xfb026002,0x3fe20dff,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_37_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,0,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,1,2,2,2,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_37_latin_ext_y[560]={ 29,5,5,4,3,4,4,5,4,4,4,9,24,18,
24,4,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,5,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,32,4,11,5,11,5,11,4,11,5,5,
5,5,5,11,11,11,11,11,11,11,5,11,11,11,11,11,11,4,4,4,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,11,5,4,8,5,
4,4,4,4,4,13,11,18,4,0,4,6,5,5,4,11,5,15,29,5,4,13,5,5,5,11,-1,-1,-1,-1,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,-1,-1,-1,-1,-1,0,9,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,4,4,11,11,4,4,4,4,4,4,4,4,5,5,4,4,4,5,4,8,10,4,4,4,4,4,5,4,
0,6,-1,4,5,11,-1,4,-2,4,-2,4,-1,4,-1,5,5,5,0,6,-2,4,-2,4,5,11,-1,4,-2,4,
-1,4,-2,4,4,2,-2,-1,5,5,-1,5,0,6,-2,4,5,5,-1,11,5,5,-2,4,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,4,5,11,-1,4,5,4,11,0,6,-2,4,-1,4,4,11,-1,4,5,11,-1,4,
-1,4,-2,4,4,11,-1,4,5,5,-1,5,5,5,-1,5,0,6,-2,4,-2,4,-1,4,5,11,-2,4,-2,4,
0,-1,4,-1,4,-1,4,4,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,4,8,8,4,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,4,-1,4,-1,
4,-1,4,-1,-1,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-2,-2,4,-2,4,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_37_latin_ext_w[560]={ 0,6,14,19,16,27,23,6,9,9,13,17,6,9,
5,11,16,12,17,16,18,17,17,16,16,16,5,6,17,17,17,18,33,24,21,22,21,19,17,23,20,6,16,22,
18,24,20,24,19,25,22,20,20,20,24,32,23,24,20,9,11,9,17,20,9,17,17,17,18,17,12,18,16,5,
9,17,5,26,16,19,18,18,12,17,11,16,19,26,19,18,16,13,5,12,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,17,18,18,19,
5,18,11,26,12,16,17,9,26,20,11,18,11,11,8,17,20,5,10,8,12,16,27,26,28,18,24,24,24,24,
24,24,34,22,19,19,19,19,9,9,12,12,24,20,24,24,24,24,24,17,24,20,20,20,20,24,19,18,17,17,
17,17,17,17,27,17,17,17,17,17,8,8,12,12,19,16,19,19,19,19,19,18,19,16,16,16,16,18,18,18,
24,17,24,17,26,19,22,17,22,17,22,17,22,17,21,23,24,19,19,17,19,17,19,17,19,17,19,17,23,18,
23,18,23,18,23,18,20,16,24,19,13,13,11,11,11,11,8,9,6,5,22,14,19,13,22,17,17,18,9,18,
10,18,11,18,12,20,10,20,16,20,16,20,16,23,21,16,24,19,24,19,24,19,32,29,22,12,22,14,22,13,
20,17,20,17,20,17,20,17,20,11,20,16,20,11,20,16,20,16,20,16,20,16,20,17,20,19,32,26,24,18,
24,20,16,20,16,20,16,10,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,20,17,17,17,
17,17,17,17,17,17,17,17,17,17,28,23,17,17,17,17,17,17,17,17,17,17,17,17,17,26,22,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,17,12,12,24,
19,20,16,20,16,20,16,20,16,20,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,24,17,34,27,24,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_bold_37_latin_ext_h[560]={ 0,24,9,26,30,26,26,9,32,32,13,17,11,5,
5,26,25,24,24,25,24,25,25,24,25,25,18,24,19,12,19,24,32,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,28,24,26,24,25,24,24,24,24,24,31,26,31,14,4,6,19,25,19,25,19,25,25,24,24,
31,24,24,18,18,19,25,25,18,19,25,19,18,18,18,25,18,32,32,32,7,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,25,31,26,18,24,
32,32,5,26,13,15,12,5,26,4,12,23,13,13,6,25,31,5,7,13,14,15,25,25,25,25,30,30,30,30,
29,29,24,32,30,30,30,29,30,30,30,29,24,30,31,31,31,31,30,17,27,31,31,31,30,30,24,26,26,26,
26,25,26,26,19,25,26,26,26,26,25,25,25,25,25,24,26,26,26,25,26,19,21,26,26,26,26,32,31,32,
29,24,30,26,31,25,31,26,32,26,32,26,31,26,30,25,24,25,29,24,31,26,31,26,31,25,30,26,32,32,
31,32,32,32,32,34,31,30,24,24,30,24,29,23,31,25,31,31,30,18,25,31,32,32,31,31,18,30,30,31,
31,24,24,24,24,24,24,30,25,31,25,30,25,24,26,26,30,24,32,26,31,26,26,19,30,25,31,25,30,25,
31,26,32,26,32,25,31,26,35,34,30,25,24,25,31,25,30,24,32,26,32,26,31,26,31,26,31,25,31,32,
29,30,25,30,25,30,25,25,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,26,21,21,32,21,21,21,
21,21,21,21,21,21,21,21,21,21,26,19,21,21,21,21,21,21,21,21,21,21,21,21,21,25,19,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,30,26,30,25,31,
26,31,26,31,31,31,31,31,31,31,31,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,34,32,31,26,33,27,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_bold_37_latin_ext_s[560]={ 103,502,285,113,254,157,91,300,323,60,216,
82,278,356,366,133,351,134,56,456,74,314,380,351,39,473,443,167,334,248,316,
258,451,368,393,1,1,92,112,406,272,383,181,456,48,67,179,430,219,1,293,
92,239,398,390,415,448,1,472,26,145,118,152,390,346,101,490,119,162,137,198,
1,162,502,108,130,496,352,379,207,20,437,466,83,368,269,396,416,479,332,449,
390,424,144,318,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,103,505,409,
491,45,147,506,22,378,320,179,118,230,356,365,411,266,26,192,204,337,419,141,
372,307,170,499,135,286,259,230,211,286,69,200,44,336,381,316,121,139,159,119,
361,495,245,311,406,23,179,437,83,471,427,94,100,27,162,388,323,1,470,238,
94,47,181,392,405,347,242,155,153,1,481,463,445,171,265,499,149,368,93,300,
280,260,274,222,227,45,164,147,130,113,41,183,357,444,174,445,473,108,191,346,
388,93,350,70,314,365,279,22,294,192,318,469,277,1,241,394,115,63,435,225,
74,333,304,229,264,219,181,157,59,471,255,295,320,272,148,324,493,496,29,462,
54,503,505,75,128,404,376,64,36,64,426,416,452,492,351,260,200,370,415,340,
233,98,87,58,395,41,110,69,52,143,436,116,259,1,203,24,286,372,16,414,
1,210,488,325,455,243,223,283,470,208,185,1,22,351,453,217,423,21,338,330,
479,430,57,485,297,344,332,302,368,244,211,369,200,419,168,115,309,132,189,388,
180,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,199,65,65,1,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,183,65,65,65,65,65,
65,65,65,65,65,65,65,65,238,246,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,271,427,
296,355,277,133,202,410,187,253,270,291,223,308,42,135,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,34,103,152,19,78,489,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65, };
static unsigned short stb__arial_bold_37_latin_ext_t[560]={ 34,221,347,221,102,165,165,347,1,36,347,
347,347,347,347,165,248,274,274,248,274,248,248,274,274,248,325,274,325,347,325,
274,1,274,274,194,300,300,300,165,300,300,248,274,300,300,300,165,300,165,300,
194,300,248,300,300,300,325,300,102,165,102,347,347,347,325,248,325,248,325,248,
274,300,274,102,300,274,325,325,325,274,248,325,325,248,325,325,325,325,248,325,
1,1,1,347,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,34,102,36,
165,347,274,1,36,347,194,347,347,347,347,194,347,347,325,347,347,347,248,36,
347,347,347,325,347,248,248,248,248,134,134,134,134,134,134,300,1,134,134,134,
134,102,134,134,134,300,134,70,70,36,36,134,347,165,36,36,36,134,102,274,
221,221,194,194,221,194,194,325,221,221,194,194,194,221,221,194,248,221,274,194,
194,194,221,194,325,325,194,194,194,194,36,36,1,134,274,102,165,70,221,70,
165,36,165,36,165,36,165,134,221,274,221,134,274,70,165,70,165,70,221,134,
194,1,1,70,1,1,1,1,1,70,134,274,274,134,300,134,300,36,248,70,
102,70,300,248,102,1,1,102,102,347,102,102,36,70,300,300,300,300,274,274,
102,248,102,248,102,248,274,165,165,102,274,36,165,102,165,194,325,102,248,70,
248,102,221,70,165,1,165,1,221,70,165,1,1,102,221,274,221,70,221,102,
274,1,194,1,165,36,165,36,165,36,221,70,1,134,102,248,102,248,102,221,
221,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,194,325,325,37,
325,325,325,325,325,325,325,325,325,325,325,325,325,221,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,221,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,102,194,
102,221,36,221,36,194,70,70,70,70,36,70,70,70,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,1,1,70,221,1,134,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325, };
static unsigned short stb__arial_bold_37_latin_ext_a[560]={ 147,176,251,295,295,471,383,126,
176,176,206,309,147,176,147,147,295,295,295,295,295,295,295,295,
295,295,176,176,309,309,309,324,517,383,383,383,383,353,324,412,
383,147,295,383,324,441,383,412,353,412,383,353,324,383,353,500,
353,353,324,176,147,176,309,295,176,295,324,295,324,295,176,324,
324,147,147,295,147,471,324,324,324,324,206,295,176,324,295,412,
295,295,265,206,148,206,309,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,147,176,295,295,295,295,148,295,
176,390,196,295,309,176,390,293,212,291,176,176,176,305,295,147,
176,176,194,295,442,442,442,324,383,383,383,383,383,383,530,383,
353,353,353,353,147,147,147,147,383,383,412,412,412,412,412,309,
412,383,383,383,383,353,353,324,295,295,295,295,295,295,471,295,
295,295,295,295,147,147,147,147,324,324,324,324,324,324,324,291,
324,324,324,324,324,295,324,295,383,295,383,295,383,295,383,295,
383,295,383,295,383,295,383,381,383,324,353,295,353,295,353,295,
353,295,353,295,412,324,412,324,412,324,412,324,383,324,383,324,
147,147,147,147,147,147,147,147,147,147,416,295,295,147,383,295,
295,324,147,324,147,324,204,324,254,324,147,383,324,383,324,383,
324,375,383,324,412,324,412,324,412,324,530,500,383,206,383,206,
383,206,353,295,353,295,353,295,353,295,324,176,324,254,324,176,
383,324,383,324,383,324,383,324,383,324,383,324,500,412,353,295,
353,324,265,324,265,324,265,147,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,385,397,397,295,397,397,397,397,397,
397,397,397,397,397,397,397,397,452,377,397,397,397,397,397,397,
397,397,397,397,397,397,397,440,384,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,383,295,147,147,412,324,383,324,383,324,383,
324,383,324,383,324,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,383,295,530,471,412,324,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_37_latin_ext(stb_fontchar font[STB_FONT_arial_bold_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_37_latin_ext_s[i] + stb__arial_bold_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_37_latin_ext_t[i] + stb__arial_bold_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_37_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_37_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_37_latin_ext_x[i] + stb__arial_bold_37_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_37_latin_ext_y[i] + stb__arial_bold_37_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_37_latin_ext_s[i] + stb__arial_bold_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_37_latin_ext_t[i] + stb__arial_bold_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_37_latin_ext_x[i] + stb__arial_bold_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_37_latin_ext_y[i] + stb__arial_bold_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_37_latin_ext_LINE_SPACING
#endif

