// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT        384
#define STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_38_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_38_latin_ext_LINE_SPACING          25

static unsigned int stb__arial_bold_38_latin_ext_pixels[]={
    0x55555551,0x55555555,0x10005555,0x33300000,0x10000033,0x00099999,
    0xcb8001a8,0xaa980ccc,0xaaaaaaaa,0x1aaaaaaa,0x04eeed80,0x80017764,
    0x0005eeed,0x001aaaa8,0x000aaaa6,0x00d5554c,0x3bbb6000,0x02660004,
    0x000004cc,0x66ee5d4c,0x530001ac,0x2a001555,0x000acddc,0x03d99710,
    0x0037bbae,0x000aaaa6,0xd015554c,0x76c007dd,0x55300dee,0x55551055,
    0xaaa98001,0x22000002,0x80abcdba,0xfffffff9,0xffffffff,0x5000ffff,
    0x9800009d,0x0004ffff,0x1ffffb80,0x05fd3000,0x3ffff980,0xffffff70,
    0xffffffff,0xfd007fff,0xffa80bff,0xfffc8006,0x2e0003ff,0x001fffff,
    0x001ffff9,0x0fffffd0,0x7ffe4000,0xfd0003ff,0x001ff309,0x3fff2600,
    0xffffffff,0x3f2000be,0x7d401fff,0x4fffffff,0x7fffdc00,0xffff982f,
    0xfffc805f,0xfff88007,0x9fff03ff,0x3fffea00,0x3ffff202,0x0ffffd40,
    0xfffff300,0xf5000007,0x0dffffff,0xfffffff3,0xffffffff,0xb001ffff,
    0x80000dff,0x0005fffd,0x05fffd00,0x5fff9100,0x4fffd800,0x3ffffee0,
    0xffffffff,0xe803ffff,0xff805fff,0x3fe6003f,0x001fffef,0xffffff88,
    0xffff9006,0xfff98001,0x80002fff,0xfffefffa,0x2ffc8000,0x0001bf66,
    0x3fffffa6,0xffffffff,0xf9003fff,0x7d403fff,0xffffffff,0xfff5005f,
    0xff885fff,0x403fffef,0x8007fffc,0x1ffffffd,0xd004fff8,0xfc805fff,
    0x7fd40fff,0x3fa001ff,0x000fffff,0x3fffe600,0xf984ffff,0xffffffff,
    0xffffffff,0x7fd400ff,0x2600001d,0x00005fff,0x007fff50,0x0bfffea0,
    0x04fff980,0x7fffffdc,0xffffffff,0xfe803fff,0xffb805ff,0xbffd1006,
    0x000dffd1,0xfff5dffd,0xffff9009,0xfffc8001,0x40006fff,0xfe8dfff8,
    0xff88006f,0x02ffffff,0x7fffdc00,0xbaaaccef,0xdfffffec,0x7fffe400,
    0xfffff101,0x7fffffdf,0xfffffd00,0x8fffd85f,0x3201fffc,0x5c007fff,
    0x6ffeafff,0x9804fff8,0xfc803fff,0x7fd40fff,0xff9001ff,0x00dfff5f,
    0x7fffe400,0xe982ffff,0xffeeeeee,0xeeeeefff,0x3fec00ee,0x7fe40000,
    0xd000000e,0x540007ff,0x2002ffff,0xfb805ffc,0xeeeeefff,0xeeeeeeee,
    0x2cccb802,0x03fff880,0xf30fffd8,0x7e4009ff,0x3fff71ff,0x0ffffc80,
    0x7ffffc00,0x20001fff,0xff30fffd,0xfd30009f,0x0007ffff,0x67fffec4,
    0x3ffee001,0x7ffe406f,0xffff501f,0x3ffff4c9,0x37fffe20,0x3ffea09a,
    0xc81bffa2,0x26007fff,0xfff33fff,0x804fff89,0xf9003ffd,0xffa81fff,
    0xffa801ff,0x07fff33f,0x3fffa000,0x000ca9bf,0x006ffff8,0x02f7ff40,
    0x0eed8800,0x55100000,0xffa80005,0x2aa002ff,0xffff7002,0x00000005,
    0x807ffd80,0x4cc40999,0x06aaa001,0x00005555,0xfffffa80,0x20004fff,
    0x4cc40999,0x32ea0001,0x7ec0000a,0x10000dff,0x6409fff9,0xf901ffff,
    0xffb83fff,0x3fe600ff,0x133100ff,0x00019988,0x98555300,0x27ffc2aa,
    0x0000ccc0,0xaaa80000,0x001554c2,0x2ffffc40,0xffff8000,0x7ffc0006,
    0x9100007f,0x000019ff,0x93060000,0x99bffffb,0x00171005,0x005ffff7,
    0xb8000000,0x00003fff,0x00000000,0x3fff6000,0x007fffef,0x00000000,
    0x3fee0000,0xf700004f,0x3ff205ff,0xfff501ff,0x0009889f,0x000ffff5,
    0x00000000,0x009fff00,0x00000000,0x80000000,0x002ffff9,0x0dffff00,
    0x7ffff800,0xbdf90000,0x8800009f,0x0abcdcb9,0x3fee2fd8,0x3fffffff,
    0x027ffe40,0x00bfffee,0xefdc8800,0x0b332e2c,0xca8ffff1,0x65400ccc,
    0x54400ccc,0x00aacddb,0x004ccca8,0x2f3fffe2,0x0002ffff,0x459dfb91,
    0x1002cccb,0x0359b973,0x07fff300,0xc8f7fae6,0xdffb1ccc,0x07ffff20,
    0x27ffffc4,0xffff5000,0x13332a00,0x02666540,0x0aaaa980,0x32a9fff0,
    0x65400ccc,0x99950ccc,0x19999309,0x3732a200,0x20002acc,0xffffdccb,
    0x20002ccd,0x0006ffff,0x000ccccc,0x03f65f80,0x3ffaa000,0xcfffffff,
    0x2e3fff90,0xffffffff,0x2b7e603f,0x3fee01fd,0x500002ff,0xbfffffff,
    0x3a13fff6,0x3fea1fff,0x7ff404ff,0x3ffea07f,0x3fffffff,0x07fffe40,
    0x9ffffb80,0x006ffff8,0xffffffa8,0x09fffb5f,0xfffffeb8,0x000cffff,
    0xfd10bffd,0xf3bfffff,0x3fa23fff,0xffffc81f,0x3fffee01,0xfa8001ef,
    0xff9006ff,0x3ff200ff,0xffb0007f,0x3ffe01ff,0x09ffff54,0x327fffe8,
    0x7d40ffff,0x6cc01fff,0xffffffff,0xff8003ef,0xffffffff,0x3fe0003f,
    0x000006ff,0x25f88000,0x220000fc,0xfffffffc,0xfdffffff,0x3ffee4ff,
    0x03ffffff,0x027c43f2,0x005ffff7,0xfffff700,0xffdbffff,0x7fffb09f,
    0x206ffff8,0x704ffff8,0xffffffff,0x201dffff,0x000ffffc,0x7f4dfffd,
    0x2e001fff,0xffffffff,0x04fffedf,0xffffffb1,0x5dffffff,0x40fff980,
    0xffffffe8,0x47ffffff,0xffc84ffb,0x3fe601ff,0x004fffff,0x8037ffd4,
    0x9007fffc,0x2000ffff,0xf00ffffd,0x7fffc9ff,0x3fffe206,0x03ffff24,
    0x403ffff5,0xfffffffc,0x0fffffff,0xfffff100,0x03ffffff,0x37fffc00,
    0xefdc8800,0x0b332e2c,0x5fcdfc80,0x3ffa6000,0xffffffff,0x5fffffff,
    0x05ffff50,0x17d4bee0,0xddffff70,0xdddddddd,0xfff887dd,0xffecceff,
    0xfc84ffff,0x7ffe44ff,0xffff701f,0xfffffb03,0xffffffff,0x3fff20df,
    0xfffa800f,0x3fffea3f,0xffff1004,0xfffd99df,0xff309fff,0xffffffff,
    0x09ffffff,0x3e61ffe4,0xea8befff,0x4c5fffff,0xfffc86ff,0xffff301f,
    0x03dfffff,0x01bffee0,0x803fffe4,0x0007fffc,0x201ffffb,0x3ff24fff,
    0xfff701ff,0x7fffe43f,0x0ffffd40,0xffffffe8,0xffffffff,0xee9800ef,
    0xeefffffe,0x3fe0000e,0xfa8006ff,0xb5ffffff,0x74009fff,0x0007ffff,
    0x3ffffffa,0xfffecbcd,0x3ea06fff,0xf1002fff,0xfb80ffdf,0xffffffff,
    0x4fffffff,0x427fffec,0x84fffffc,0x7cc6fffb,0xffd04fff,0xffff10df,
    0xffb77bff,0xf907ffff,0xfb001fff,0x7fc41fff,0xffb007ff,0xfff909ff,
    0xfffd09ff,0xd979bfff,0x05ffffff,0xfe81fff1,0xffff05ff,0x87ff889f,
    0x881ffffc,0xfffdffff,0xc803ffff,0xf9004fff,0x3f200fff,0xfb0007ff,
    0x3fe01fff,0x3fffe64f,0x8dfffd04,0x540ffffc,0xfc81ffff,0xbcefffff,
    0xfffffffd,0x7ffc4006,0x3e00003f,0x5c006fff,0xffffffff,0x04fffedf,
    0xffffff30,0xfff70005,0x3a601bff,0x500fffff,0x4005ffff,0x5c00bec8,
    0xffffffff,0xffffffff,0x1bfffe24,0x84ffffd8,0xfe87fffa,0xfff886ff,
    0xffffa83f,0x3ffff603,0x0ffffc86,0x2ffffc40,0x017fffec,0x81bfffe2,
    0x644ffffd,0x00dfffff,0x1ffffff3,0x7d46ffa8,0xffb01fff,0x1ffd05ff,
    0x81ffffc8,0xfb14fffb,0x807fffff,0x9003ffff,0x3200ffff,0xb0007fff,
    0x3e01ffff,0x7fff44ff,0x3ffff886,0x207fffe4,0x541ffffa,0x00efffff,
    0x5fffffb3,0x7fffd400,0x3fe00002,0x3e2006ff,0xecceffff,0x04ffffff,
    0xffffff90,0xfff8800d,0x7f4403ff,0xf504ffff,0x00005fff,0x7ffffdc0,
    0xffffffff,0x3fe64fff,0x3fea03ff,0xfff984ff,0x7fffdc0f,0x07fffdc1,
    0x203fffec,0x40fffff9,0x400ffffc,0xa82ffffb,0x4c06ffff,0x2a03ffff,
    0x3e64ffff,0x8803ffff,0x644ffffe,0x7ffec3ff,0x3fffea04,0x640fff80,
    0xfd81ffff,0x7ffdc1ff,0xfd882fff,0xf9001fff,0x3f200fff,0xfb0007ff,
    0x2aa01fff,0x7fffdc1a,0x07fffdc1,0x503ffff2,0xff83ffff,0xf8804fff,
    0x2005ffff,0x001ffffb,0x1bfffe00,0x5ffffd80,0x4fffffc8,0xffffff00,
    0x7e4003ff,0x74406fff,0x0fffffff,0x02ffffa8,0xefffeda8,0xffff703d,
    0x33333337,0x7d413333,0x3e202fff,0xff884fff,0x7ffc42ff,0x2ffff44f,
    0x01ffffd8,0x20667764,0x400ffffc,0xf00ffffe,0x5403ffff,0x2202ffff,
    0x3f24ffff,0x26006fff,0x361fffff,0x3ffe62ff,0x3ffea00f,0xc87ff987,
    0xff81ffff,0xffe983ff,0x3ffa0fff,0x32004fff,0xf9007fff,0x36000fff,
    0x8000ffff,0x744ffff8,0xffc85fff,0x7ffd40ff,0x3fffea1f,0xdff5000f,
    0x7fec007b,0x7c00007f,0xf1006fff,0x7f40ffff,0xfa804fff,0x4fffffff,
    0x3ffffa00,0x77ffec02,0xfa83ffff,0x3e602fff,0xffffffff,0x7ffdc0df,
    0x3ee0002f,0x7fc01fff,0xffff04ff,0x4dfffb07,0x902ffff8,0x005dffff,
    0x0ffffc80,0x3ffffe60,0xfecccccc,0x3ee04fff,0x7fc01fff,0x3fffe4ff,
    0x7fec002f,0x87ffa2ff,0x6407fffa,0xffb85fff,0x1ffffc85,0x80efffd8,
    0x22ffffd8,0x004fffff,0x803fffe4,0x0007fffc,0x001ffffb,0x89bfff60,
    0xfc82ffff,0x7fd40fff,0x3fff61ff,0x004c003f,0x06fffe80,0x7fffc000,
    0xffff3006,0x7fffe40b,0xffffd804,0x2007fffe,0x6c07ffff,0xfffbafff,
    0xffffa84f,0xfffff102,0xdfffffff,0x17fffdc1,0xffff7000,0x4ffff803,
    0x507ffff0,0x3ee3ffff,0x3fea07ff,0x0acfffff,0x7fffe400,0x3ffff200,
    0xffffffff,0x2e07ffff,0x7c01ffff,0xfff34fff,0xff5000ff,0x07ffc9ff,
    0xd80bfff7,0xffc83fff,0x1ffffc84,0x0effffa8,0x7c9fffd0,0x4001ffff,
    0x9007fffc,0x2000ffff,0x000ffffd,0x23ffff50,0xf907fffb,0xffa81fff,
    0x3fffe1ff,0x0000000f,0x0013fffe,0x0dffff00,0x0ffffea0,0x04ffffa8,
    0x5e7fffc4,0x8802ffff,0x3206ffff,0xfff53fff,0xffff50bf,0x3ffff205,
    0xffffecdf,0x3fffee2f,0x3fea0002,0x3fe202ff,0xffff04ff,0x53fffe05,
    0x6c04fffd,0xffffffff,0xfc801bef,0x3fe00fff,0xffffffff,0xffffffff,
    0x5ffff502,0xa7fffc40,0x006ffffa,0x25ffff98,0x3ff20fff,0x7fffc04f,
    0x40fffc41,0x881ffffc,0x82ffffff,0x3fe4fffb,0x2002ffff,0x9007fffc,
    0x2000ffff,0x000ffffd,0x6d3fffe0,0xff904fff,0xfffa81ff,0xfffff11f,
    0x4c000000,0x0003ffff,0x037fffc0,0x01ffffb8,0x013fffe2,0xf13ffff7,
    0xf500dfff,0x3ee0bfff,0x3ffe64ff,0xffffa86f,0x5ffff882,0x24ffffa8,
    0x002ffffb,0x13fffe60,0x04ffffa8,0x3201ffff,0xfff8efff,0x7ff4401f,
    0xffffffff,0x3ff201df,0xfff500ff,0xffffffff,0xdfffffff,0x13fffe60,
    0x54ffffa8,0x000bffff,0x74dffff1,0x3fff21ff,0x3fffee05,0xc82fff40,
    0xf701ffff,0x41bfffff,0x32a2fffc,0x2006ffff,0x9007fffc,0x2000ffff,
    0x000ffffd,0x23bfff20,0xf901ffff,0xffa81fff,0xffff31ff,0x4000000d,
    0x001ffffa,0x37fffc00,0x2ffffb80,0x027fffc0,0xfe9bfffa,0x7dc01fff,
    0xffa84fff,0x7fffc45f,0x2ffffa87,0x20197310,0x3ee4ffff,0x20002fff,
    0x00fffff8,0x109ffffd,0x7cc0ffff,0x6fffcfff,0xffff9100,0xffffffff,
    0x3ffff205,0x7ffffb00,0x55555555,0x03fffff5,0x01fffff1,0x5d3ffffa,
    0x0004ffff,0x7ecfffff,0x1fffee2f,0x646fffe8,0xff901fff,0x7fe403ff,
    0xf9afffff,0xffa80fff,0xff9002ff,0x3ff200ff,0xffb0007f,0x3ffe01ff,
    0x9ffff304,0x7e40dfff,0x7fd40fff,0xffff51ff,0x7fffcc0b,0x02ffffff,
    0x00ffffb8,0x7fffc000,0xffff5006,0x7fffcc09,0x3fffea04,0x13fffea3,
    0x89ffff50,0xf886fff9,0xff987fff,0x003dceff,0x72ffff4c,0x3337ffff,
    0x33333333,0x7fffe433,0x3fffa23f,0xfff984ff,0x7ffff406,0x4c003fff,
    0xffffffeb,0xfc83ffff,0xff880fff,0x3f2006ff,0xff904fff,0x7f447fff,
    0xff74ffff,0xf10009ff,0x7fe4ffff,0x07fffea3,0xb97ffff2,0x3f204fff,
    0x7d401fff,0xffffffff,0x3ff602ff,0xfff9004f,0x3fff200f,0xfffb0007,
    0x13ffe01f,0xffffffe8,0x3fff203f,0x7fffd40f,0x0dffff31,0x7fffffcc,
    0xd802ffff,0x00007fff,0x006ffff8,0x40dffff1,0x204ffffb,0x220ffffd,
    0x4c07ffff,0x3e66ffff,0xff980eff,0xffff06ff,0xba809fff,0x5ffffffd,
    0x3fffffee,0xffffffff,0x3fe67fff,0xffefffff,0xa84fffff,0x7dc05fff,
    0x00ffffff,0x3ff6e600,0x40ffffff,0xc80ffffc,0x2003ffff,0x307ffff9,
    0xdfffffff,0x9fffffff,0x017fffe6,0x9bfffe60,0x7ff46ffa,0xffd98bff,
    0xffebffff,0x7ffe404f,0xffe8801f,0x02ffffff,0x802fffdc,0x9007fffc,
    0x2000ffff,0xf00ffffd,0x7fdc09ff,0x200fffff,0x540ffffc,0xff11ffff,
    0x7fcc0fff,0xffffffff,0x5fffe802,0xfff80000,0x3ffe006f,0xfffd00ff,
    0x3ffe209f,0xffffd85f,0x3fffe202,0x01fffd17,0x417fffea,0x5ffffffd,
    0xfffffdb8,0x2e5fffff,0xffffffff,0xffffffff,0x7fffd47f,0xffcfffff,
    0xfffc84ff,0x7fffc404,0x400006ff,0x2fffffe9,0x407fffe4,0x000fffff,
    0x817ffff4,0xfffffffa,0x4ffffcff,0x00dffff1,0x8bffff50,0x3fe62fff,
    0xffffffff,0xffffffff,0xffffc803,0x3ffee001,0x5400efff,0xf9006fff,
    0x3f200fff,0xfb0007ff,0x3fe01fff,0x3ffe204f,0x7e406fff,0x7fd40fff,
    0xffff11ff,0x7fffcc0f,0x02ffffff,0x004ffff8,0x6ffff800,0x3ffff600,
    0x3fffee0e,0xfff704ff,0xffff505f,0xfffff80d,0x201fffe9,0x203ffffb,
    0x25fffffc,0xffffffe8,0x25ffffdf,0xfffffffb,0xffffffff,0xfffa87ff,
    0xfff3ffff,0x5fffb09f,0xfffffb00,0x00a66007,0x227fffdc,0x540ffffc,
    0x8005ffff,0x206ffffb,0xfffffffa,0x7c9ffff3,0x4000ffff,0x643ffffb,
    0x7ffd45ff,0xffcbffff,0x002fffff,0x003ffff9,0xfffffd88,0x37ffd405,
    0x07fffc80,0x00ffff90,0x03ffff60,0x36027ffc,0x403fffff,0x540ffffc,
    0x3fa1ffff,0x64001fff,0x4c02ffff,0x0002ffff,0x06ffff80,0x3ffffa20,
    0xffffffef,0xfffd04ff,0x3fffe01f,0x3fffa01f,0x402fffff,0x402ffffe,
    0x7f440a98,0x3a1befff,0x3fee5fff,0xffffffff,0x7fffffff,0x37bfb730,
    0x20ffffe2,0xa800ffff,0x400fffff,0x801ffffc,0x646ffff8,0x7ec0ffff,
    0x88002fff,0x201fffff,0x11bdfdb9,0x7f47ffff,0x22004fff,0x442fffff,
    0x6e444fff,0x3fb21cef,0x2aa981bd,0x00ffffe4,0xfffffb80,0x1bffea01,
    0x03fffe40,0x267fffc8,0xfd02fedc,0x3fe01fff,0x7ffd404f,0x7fe400ff,
    0x7ffd40ff,0x3fffee1f,0x7ffe4005,0x7ffd402f,0x0000001f,0xffff9800,
    0xffcfffff,0xfff984ff,0xccccccff,0x204ffffe,0xfffffffa,0x7fffdc02,
    0x3ea0000f,0xffd03fff,0x7fc000bf,0xff100004,0xfff987ff,0xffff3005,
    0xffff500b,0xffff1009,0x0006fc8d,0x009ff000,0x3fffe200,0x3ffffee3,
    0xffff7000,0x5fff701f,0xff500000,0x005fd87f,0x3fea0666,0x3fea03ff,
    0xfffb007f,0x3fff600f,0x0ffffe67,0xf03ffff4,0xff9809ff,0x700005ff,
    0x7cc3ffff,0x2002ffff,0x402ffffc,0x000ffffc,0x70000000,0x5fffffff,
    0x3213fffe,0xffffffff,0xffffffff,0x7ffff407,0x7ffcc03f,0x7fdc03ff,
    0x7fffe44f,0x0bffff00,0x80bfe200,0x3009accd,0xfc85ffff,0xffb001ff,
    0xff1005ff,0xfd803fff,0x2fec4fff,0x7c400000,0x2b33602f,0xffff3009,
    0xeffffe85,0x7fffdc00,0x3fff603f,0x3ee00004,0x04fe85ff,0xf06fffe8,
    0x7d409fff,0xfe800fff,0xffb007ff,0x7fffc4ff,0x6ffff885,0xb013ffe0,
    0x0005ffff,0x03fffee0,0x03fffffb,0x5ffffd50,0x06fffe80,0xfffb0000,
    0x7e54000d,0xffff11bd,0xffffff07,0xffffffff,0x5405ffff,0x01efffff,
    0x0dfffff7,0xd89fff70,0xfc81ffff,0x30005fff,0x7ff407ff,0xfffb04ff,
    0x06ffe81f,0x0fffff70,0x7fffff40,0xffffb883,0x0037fc1f,0x1ffcc000,
    0x09ffffd0,0x303ffff6,0x17ffffff,0xfffffd98,0x7fff4406,0x3aa0002e,
    0xff80ffff,0xffffc805,0x1ffffcc3,0x07ffff30,0x3ffff266,0x3fee6606,
    0x7fffc6ff,0x3fff663f,0x13ffe04f,0x07ffffb8,0x7fd4c400,0x7fc40fff,
    0x441cffff,0xffffffea,0xffff5022,0x36000009,0x00006fff,0x87ffff10,
    0xfffffffa,0xffffffff,0x3ee06fff,0xdeffffff,0xffffffec,0xfffb801f,
    0x6ffffdc4,0xfffff931,0x3fe6000d,0x3ffff206,0xffedbbdf,0x7ffcc5ff,
    0xfff99702,0x4c007fff,0xefffffff,0xffffffee,0x000fff87,0x37fcc000,
    0xbfffff90,0xffffdb77,0x3ffff60b,0xfffeffff,0x801fffff,0xdfffffd8,
    0xd953009b,0x101bffff,0xff300fff,0xffb7dfff,0x7c403fff,0x21ffffff,
    0x5ffffffe,0x3fffffa0,0x7fffe45f,0xfffffeff,0x93ffe01f,0xfffffccb,
    0x7e40003f,0x507fffff,0xffffffff,0xfffffffd,0x7fe45fff,0x02fffffe,
    0xfffb0000,0x5666c00d,0xffff3009,0xbffffd85,0xaaaaaaaa,0x81fffffa,
    0xfffffffa,0xffffffff,0xf7002fff,0xfff987ff,0xffffffff,0x20007fff,
    0x25cbeffe,0xfffffff8,0x0fffffff,0xf7037fe4,0x0fffffff,0xfffff500,
    0xffffffff,0xfff901df,0x00003979,0xb97dffd0,0x7fffffc4,0xffffffff,
    0xffff9100,0xffffffff,0xa8005fff,0xffffffff,0xffffffff,0x7c03ffff,
    0x80cbcfff,0xfffffffc,0xc804ffff,0x12ffffff,0x3fffffff,0x3ffffe20,
    0x7ffc42ff,0xffffffff,0x27ffc04f,0xfffffff7,0xffd0000f,0x5409ffff,
    0xffffffff,0xffffffff,0x7ffff42f,0x0000ffff,0x0dfffb00,0x2fffff40,
    0x20ffffd8,0x006ffff8,0x313ffff2,0xfff7dfff,0xffffffff,0x4c4001bf,
    0xfffb81fe,0xfbdfffff,0x70001fff,0x98ffffff,0xfffffffe,0x7c42efff,
    0x3fea01ff,0x001fffff,0xffffff70,0x1bffffff,0x3ffffe60,0xb800002f,
    0x4c7fffff,0xfffffffe,0x9802efff,0xfffffffe,0x000dffff,0xffffd710,
    0xffffffff,0x70017dff,0x03ffffff,0x3ffffff2,0xd1005fff,0x265fffff,
    0x04ffffff,0x3fffffe6,0xfffff304,0x00bfffff,0x7fd49fff,0x001fffff,
    0x7ffffc40,0xffe9805f,0xffffffff,0x7c40bfff,0x2fffffff,0x32e00000,
    0x3f2003fe,0xcbbdffff,0x646ffffe,0x2003ffff,0x647ffff9,0xff710fff,
    0x5bdfffff,0x81fee000,0x3effffea,0x0013fffe,0x03dffda8,0xdffffdb5,
    0x17fee07b,0x9fffff30,0xfb880001,0xdeffffff,0xeffc9803,0x5000000c,
    0x2a07bffb,0xdeffffed,0xffdb8003,0x02deffff,0x3b6e2000,0xdefffffe,
    0xfda8001c,0x36200cef,0x01defffe,0x2fffeb80,0x07bfffd5,0x3dfffea8,
    0x7fffe440,0xff002eff,0x7fffcc9f,0x880000cf,0x00bdfffe,0x3ffff260,
    0x202cdfff,0xdfffedc8,0x88000002,0x3e2001ff,0xffffffff,0x7c1fffff,
    0x4000ffff,0x642ffffe,0x06a6601f,0x07bf2000,0x0002aa20,0x40004000,
    0x13310008,0x00000400,0x0006aa60,0x80000000,0x00088000,0x00d4c400,
    0x00800000,0x40000000,0x09800000,0x00100008,0x0026aa20,0x02013330,
    0x00100000,0x02aa6200,0x00001000,0x037fd400,0x7ffffcc0,0x2fffffff,
    0x02ffffd4,0x37fffdc0,0x00000004,0x00000126,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x019fd000,0x7ff6d400,
    0xd80bdfff,0x8002ffff,0x01fffff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x8800002a,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3a277744,0x3bba05ee,0x01799d33,0x037ba200,0x88000100,
    0x00131009,0x015554c0,0x00aaaa98,0x10555550,0x0dd301dd,0x9dddd300,
    0x2aaa6000,0x2e000002,0x6400cccc,0x1e6643cc,0xaaa88000,0x0000000a,
    0x00bbbbae,0x7fffc800,0xcccb8000,0x00999953,0xddb17bb2,0x6664000b,
    0x0988002c,0x22001310,0x3b623eed,0x76c4003e,0x0fbb623e,0x66644000,
    0x554c002c,0x5530002a,0x00355555,0xff8dfff1,0x53ffe07f,0x04fffff9,
    0x005ffc80,0x003bff91,0x3e213f60,0xff10001f,0xf9009fff,0x3e005fff,
    0x9ff06fff,0x2000dfb0,0x000ffffb,0x007fffd8,0xffff3000,0x5fff7007,
    0x0007fff2,0x37fffec0,0xff000000,0x800009ff,0x0007fffc,0xf8ffffcc,
    0xf3002fff,0x3fff29ff,0xfff90001,0xfd8003ff,0x001ff885,0x7f4bffee,
    0xfb8000ff,0x1dffd1ff,0x3ffa0000,0x36000fff,0x90007fff,0xbfffffff,
    0x8dfff100,0x3fe07fff,0xfffff34f,0x7fc4007f,0xbbf7001f,0x3ee000bf,
    0x01ff662f,0xfffffd80,0x7ffe401f,0xffff002f,0x2f7fee0d,0x0003ffeb,
    0x0013fff2,0x001ffff6,0x27ffec00,0xf7fffb00,0x200007ff,0x4ffffffb,
    0xfb800000,0x800005ff,0x0007fffc,0xfa97ffec,0x7dc003ff,0x04fffcff,
    0xfffff500,0x7dc001df,0x0ffb10af,0xf9fffb00,0x6c0005ff,0x1fffdfff,
    0xfff70000,0x6c00bfff,0x90007fff,0xbfffffff,0x8dfff100,0x3fe07fff,
    0xfffff34f,0x7fec00ff,0xfc9ba006,0xfffd0001,0x0005fffd,0x3fabffee,
    0x3ff200ef,0xfff002ff,0x7fff40df,0x80005fff,0x4000fffd,0x0007fffd,
    0x04fff880,0x7ffffc40,0xf100006f,0x3fff99ff,0xfe800000,0x9000005f,
    0x4000ffff,0x3fa3fff8,0xffb0005f,0x2000dfff,0xff9dfff8,0x7ff4004f,
    0x003fffef,0xffffff88,0x7fc40004,0x0004ffff,0xf57fff30,0x3f6007ff,
    0xf90007ff,0x0bffffff,0x33026660,0x27ffc033,0x3ffffb53,0x07fff300,
    0x03f93740,0x3fffa600,0xf10003ff,0x3ffe29ff,0x3ffff205,0xdffff002,
    0x2effeb80,0x3ff60000,0x7ffec003,0xfc800007,0xff30005f,0x00001fff,
    0xffe9bffa,0x5000000e,0x00001dff,0x00aaaa60,0x2a4ffc80,0x220006ff,
    0x001fffff,0x2a1dffb0,0x22002fff,0x04fffffe,0x3fffea00,0xff500006,
    0x20000dff,0x3f25ffe8,0xffd801ff,0xff90007f,0x003555df,0x7ffc0000,
    0x05ffff04,0x001fffb0,0x02fef7dc,0x0565d400,0x85553000,0xf900aaa9,
    0x3e005fff,0x00006fff,0x00998000,0x03fffec0,0x01554000,0x02666200,
    0x55544000,0x006aaa20,0x04cc4000,0x00000000,0x4c419880,0x4c400009,
    0x26000099,0x04ccc099,0x0565d400,0x4ccc4000,0x26600000,0x10000099,
    0x99981333,0x7fffd800,0xdfff9000,0x40000000,0xffd04fff,0xfff9805f,
    0x7fe44006,0x0000001d,0xc8000000,0xf002ffff,0x0000dfff,0xb9731000,
    0x7ec00359,0x880007ff,0x77744eee,0x13bba205,0x0000bddd,0x40000000,
    0x1acdcb98,0x2ea20000,0x4c01abdc,0x5000aaaa,0x22005555,0x01abdcba,
    0x0055554c,0x002aaaa8,0x55553000,0x2aaaa001,0xb9731002,0x40000359,
    0x1acdcb98,0x1ffff600,0x37ffe400,0x0cccca80,0x06666540,0x3fa09fff,
    0x7fec03ff,0xaaaa983f,0xaaaa8080,0x01555532,0x00aaaaa0,0x55ee5d44,
    0x7fffe401,0xdffff002,0x33bf7220,0x00b332e2,0xffffffd7,0xd8019fff,
    0x3b6e7fff,0x7cc00bdf,0x3fffc5ff,0xf8bfff30,0xaaaa87ff,0x5554c00a,
    0xaaaa802a,0xfffeb802,0x0cffffff,0xfffd3000,0x03dfffff,0x00bffff2,
    0x2037fffc,0xffffffe9,0xff901eff,0x3fe005ff,0x555536ff,0x55555555,
    0x32355555,0xf002ffff,0xeb80dfff,0xffffffff,0xd70000cf,0xffffffff,
    0xffd8019f,0x9999707f,0x037ffe47,0x04ffffa8,0x3e3ffff4,0xfffd04ff,
    0x1ffff807,0x02ffffc8,0x32dffff0,0xf002ffff,0xe980dfff,0xffffffff,
    0xffff901e,0x3fffe005,0xfffffa86,0x9fffb5ff,0x3ffff620,0xffffffff,
    0x3fff602e,0xfffffd8f,0x3fe601ff,0x03fffc5f,0xff8bfff3,0xffffd87f,
    0x7ffffc02,0x7fffc02f,0x3fff6206,0xffffffff,0x7e4002ef,0xffffffff,
    0xffc84fff,0xfff002ff,0x7ffe40df,0xffffffff,0xffffc84f,0xdffff002,
    0x3fffffee,0xffffffff,0xfff93fff,0x3ffe005f,0xfffb106f,0xffffffff,
    0x6c4005df,0xffffffff,0x202effff,0xfc87fffd,0x3f20ffff,0x3fe006ff,
    0x3fe206ff,0x27ffc4ff,0x203fffd8,0xf907fff9,0x3e005fff,0xfff96fff,
    0x3ffe005f,0x3fff206f,0xffffffff,0xffffc84f,0xdffff002,0xffffffb8,
    0xfffedfff,0xfffff984,0xffffffff,0xffb04fff,0xfffffdff,0x2605ffff,
    0x7ffc5fff,0x17ffe607,0xff70ffff,0x7fcc07ff,0x2604ffff,0xf304ffff,
    0xffffffff,0x9fffffff,0xffffd100,0xffffffff,0xfffc8bff,0xffff002f,
    0xffffd10d,0xffffffff,0xfffc8bff,0xffff002f,0x3ffffeed,0xffffffff,
    0xff93ffff,0x3fe005ff,0xfff986ff,0xffffffff,0x804fffff,0xfffffff9,
    0xffffffff,0xffffb04f,0x1fffffb8,0x0037ffe4,0x203ffff9,0x7c1ffffb,
    0xfffb04ff,0x37ffdc09,0x02ffffc8,0x32dffff0,0xf002ffff,0xfd10dfff,
    0xffffffff,0xc8bfffff,0xf002ffff,0x7fc4dfff,0xfeccefff,0xe84fffff,
    0xcdffffff,0xfffffecb,0xffffd82f,0xffedceff,0x33300fff,0x40199981,
    0x4ccc0999,0x5ffff981,0x3ffffee0,0x3ffee06f,0xffffd02f,0xfd979bff,
    0x805fffff,0xdefffffd,0xffffffdb,0x3ffff23f,0xdffff002,0xdfffffb0,
    0xfffffb7b,0x7ffe47ff,0xffff002f,0x3ffffeed,0xffffffff,0xff93ffff,
    0x3fe005ff,0xfffe86ff,0xecbcdfff,0x02ffffff,0x7ffffff4,0xfffecbcd,
    0xffd82fff,0x3fffea7f,0x6fffc81f,0x3fffe600,0x0dfffd04,0x3f209fff,
    0x3ff605ff,0xffff905f,0x3fffe005,0x05ffff96,0x21bfffe0,0xdefffffd,
    0xffffffdb,0x3ffff23f,0xdffff002,0x427fffec,0x44fffffc,0x0dfffffc,
    0xffffff30,0xfffffd81,0x7fffec43,0x00000004,0x3ffffc00,0xffffffb0,
    0x3fff601f,0xffffc80f,0xfff300df,0x3ea01fff,0xd503ffff,0x7e4fffff,
    0xff002fff,0xfffa8dff,0xffd503ff,0x7ffe4fff,0xffff002f,0x3bfffeed,
    0xeeeeeeee,0xff92eeee,0x3fe005ff,0x7ffe46ff,0xff300dff,0x3201ffff,
    0x00dfffff,0x1ffffff3,0xf37fffd8,0x3203ffff,0x74006fff,0xff886fff,
    0x4fff83ff,0x03ffff50,0x6413fffa,0xf002ffff,0x3ff2dfff,0xfff002ff,
    0xffffa8df,0xfffd503f,0x7fffe4ff,0xdffff002,0x81bfffe2,0x264ffffd,
    0x803fffff,0x44ffffe8,0x105ffffd,0x000fffff,0xd8000000,0xff00ffff,
    0x05ffffff,0x261bfffa,0x803fffff,0x04ffffe8,0x805ffffd,0x92fffffa,
    0x2005ffff,0x7f46ffff,0x7d402fff,0xff92ffff,0x3fe005ff,0xffff76ff,
    0x7fe40005,0xfff002ff,0x7fffccdf,0xffe8803f,0xfff984ff,0xfe8803ff,
    0x7fec4fff,0xfffff8ff,0x1bfff202,0x3ffff700,0x80ffffb8,0x3fe04fff,
    0xfff81eff,0xffff904f,0x3fffe005,0x05ffff96,0xd1bfffe0,0xa805ffff,
    0xf72fffff,0x3e005fff,0xfff36fff,0x7ffd407f,0x3ffff24f,0x3ffe6006,
    0x3fff61ff,0x3fff201f,0x0999950f,0xa8e66644,0x32204ccc,0x3fee1ccc,
    0xfff982ff,0x884fffff,0xfc84ffff,0x26006fff,0x5c1fffff,0xb005ffff,
    0x3f239dff,0xff002fff,0x7ffdcdff,0xdffb005f,0x3ffff239,0xdffff002,
    0x00bfffee,0x2ffffc80,0x4dffff00,0x006ffffc,0x07ffffe6,0x00dffff9,
    0x0fffffcc,0xffdffffb,0xffc807ff,0x7fc4006f,0x7fff44ff,0x409fff05,
    0x0ffffffb,0x207ffff1,0x002ffffc,0x3f2dffff,0xff002fff,0x7ffdcdff,
    0xdffb005f,0x3fffee39,0xdffff002,0x80bfffea,0x3e4ffff8,0x4002ffff,
    0x362ffffd,0x2e00ffff,0xff91ffff,0x7ffcc0ff,0x0ffff92f,0x317fffcc,
    0xf709ffff,0xdfffbdff,0x05ffff50,0x005fffff,0x42ffffd8,0x001ffffd,
    0xfff90151,0x3ffe005f,0x3ffff66f,0x90151001,0x2005ffff,0xff76ffff,
    0x640005ff,0xf002ffff,0x7ffcdfff,0x7ec002ff,0x7ffc2fff,0x7ec002ff,
    0x3ff62fff,0x3fffffff,0x037ffe40,0x137ffec0,0x3e05ffff,0x7fdc04ff,
    0xfff10fff,0x3fff205f,0xffff002f,0x0bffff2d,0xb37fffc0,0x2003ffff,
    0xfffb80a8,0xfff8802f,0x3ffff75f,0x34ffff80,0x000fffff,0x6c9ffff5,
    0x7d407fff,0xfff92fff,0x7fffcc0f,0x40ffff92,0x7c2ffff9,0xffe86fff,
    0x0ffffbcf,0x207fffe4,0x007ffff9,0x44ffffa8,0x0007fffe,0x05ffff90,
    0xe9bfffe0,0x00007fff,0x005ffff9,0x7ddbfffe,0x20002fff,0x002ffffc,
    0x3e6dffff,0xa8007fff,0x3e64ffff,0xa8007fff,0x3f64ffff,0xffffffff,
    0x3fff200f,0xfffa8006,0x0ffff71f,0x26027ffc,0xf10fffff,0x3f203fff,
    0xff002fff,0x3fff2dff,0xffff002f,0x03ffff4d,0xffffb800,0xffff8802,
    0x03ffff75,0xf54ffff8,0x3000dfff,0x7ecbffff,0x7fcc07ff,0xffff93ff,
    0x97fffcc0,0x2607fffc,0x7f42ffff,0x7ffc47ff,0x2ffff9af,0x543fffec,
    0x8006ffff,0x7c5ffff9,0x00007fff,0x005ffff9,0xff9bfffe,0x900007ff,
    0x2005ffff,0xff76ffff,0x640005ff,0xf002ffff,0x3feadfff,0xf98006ff,
    0x3fea5fff,0xf98006ff,0x3ff65fff,0xffffffff,0x1bfff204,0xa7fffc00,
    0x3e04fffd,0x3fe604ff,0x3fe0ffff,0xfff902ff,0x3ffe005f,0x5ffff96f,
    0x9bfffe00,0x0007ffff,0x07ffff50,0x2bffff30,0x202ffffa,0xf54ffff8,
    0x1000bfff,0x7ecdffff,0x3ea00fff,0xfff92fff,0x7fffcc0f,0x40ffff92,
    0x642ffff9,0x3ea1ffff,0xffff0fff,0x85ffff89,0x005ffffa,0x26ffff88,
    0x006ffff8,0x5ffff900,0x5bfffe00,0x006ffff8,0x5ffff900,0x5bfffe00,
    0xeeeffffb,0xeeeeeeee,0x3ffff23e,0xdffff002,0x017fffea,0x9bfffe20,
    0x005ffffa,0x26ffff88,0xcdfffffd,0xf901ffff,0x32000dff,0xfff8efff,
    0x13ffe01f,0x2bffffe8,0xc81ffff4,0xf002ffff,0x3ff2dfff,0xfff002ff,
    0x3fffe2df,0xff300006,0xff500dff,0x3ffe69ff,0x3ffea04f,0x9ffff74f,
    0x3fffe000,0x07ffff67,0x90ffffb8,0x7cc0ffff,0xfff92fff,0x7fffcc0f,
    0x1ffffd42,0x7e4dfff9,0x3ffe66ff,0xffffb83f,0xffff0004,0x2ffffccf,
    0xfffc8000,0xffff002f,0x17fffe6d,0x7ffe4000,0xffff002f,0x3ffffeed,
    0xffffffff,0x3ff24fff,0xfff002ff,0x3fffeedf,0xffff0004,0x27fffdcf,
    0x7ffff800,0x457ffff6,0xf906ffff,0x26000dff,0xfffcffff,0x827ffc06,
    0xb02ffff9,0x3f207fff,0xff002fff,0x3fff2dff,0xffff002f,0x17fffe6d,
    0x7ffc4000,0x3fe203ff,0xfff12fff,0x3ffa01ff,0xffff74ff,0xfff10009,
    0x7fffecff,0x9ffffa04,0x2607fffc,0xff92ffff,0x7ffcc0ff,0x7fffc42f,
    0xa93fffa5,0xff50ffff,0xfff703ff,0xff10009f,0x7ffd4fff,0xf900005f,
    0x3e005fff,0xfff56fff,0x320000bf,0xf002ffff,0x3feedfff,0xffffffff,
    0x24ffffff,0x002ffffc,0x3eedffff,0x88004fff,0x3ee7ffff,0x88004fff,
    0x3f67ffff,0x7ffdc7ff,0x6fffc82f,0x3fffa000,0x7c03ffff,0xfff704ff,
    0x27ffdc0d,0x02ffffc8,0x32dffff0,0xf002ffff,0x3feadfff,0x200005ff,
    0x1bfffffe,0x3ffff6a2,0x3ffff21f,0x3fffa23f,0xffff34ff,0xfff3000b,
    0x7fffecdf,0x7ffe443f,0x1ffff25f,0x92ffff98,0x7cc0ffff,0xffe82fff,
    0x5ffff16f,0xc97fffc4,0xff307fff,0xf3000bff,0x7fc4dfff,0x700006ff,
    0x2005ffff,0xff16ffff,0x20000dff,0x002ffffb,0x3eedffff,0xffffffff,
    0x4fffffff,0x00bfffee,0xf9b7fffc,0x98005fff,0x3e66ffff,0x98005fff,
    0x3f66ffff,0xffff87ff,0x06fffc87,0x3fffee00,0x7fc00fff,0x9fff904f,
    0x82fffd40,0x002ffffb,0x3eedffff,0xff002fff,0x3ffe2dff,0x2200006f,
    0xffffffff,0xfffffffe,0x7ffffcc5,0xfffffeff,0xffff14ff,0xfff5000d,
    0x7fffecbf,0xfffbbdff,0x3ff20fff,0x3ffe607f,0x0ffff92f,0x417fffcc,
    0xfa8ffffc,0x7ff40fff,0x0bfffd4f,0x01bfffe2,0x17fffea0,0x000fffff,
    0x0bfffee0,0x9bfffe20,0x0007ffff,0x05ffff70,0x2dffff10,0x99bffffb,
    0x99999999,0x3fffee09,0xffff8802,0x0dffff16,0xbffff500,0x037fffc4,
    0x2ffffd40,0xf50ffffb,0xffc89fff,0x3e20006f,0x806fffff,0xffb04fff,
    0x7ffcc07f,0x5ffff706,0xdffff100,0x00bfffee,0xf9bfffe2,0x00007fff,
    0x7fffffd4,0xffffffff,0xffffa80f,0xffcfffff,0x3fffe4ff,0x7fdc000f,
    0x3fff63ff,0xffffffff,0x7fe44fff,0x3ffea07f,0x0ffff92f,0x417fffd4,
    0xfcaffffa,0xfffc86ff,0x03ffff8e,0x003ffffe,0x87ffff70,0x000ffffe,
    0xffb817d1,0xff8802ff,0x3fffa5ff,0x17d1000f,0x02ffffb8,0x75ffff88,
    0x0005ffff,0x017fffdc,0xf2ffffc4,0x8001ffff,0x7c3ffffb,0x4000ffff,
    0x363ffffb,0xffd07fff,0x7ffe41ff,0x7fec0006,0xff803fff,0x7fffb04f,
    0x80ffff80,0x802ffffb,0xf75ffff8,0xf1005fff,0x7ff4bfff,0x7d1000ff,
    0x7fffdc01,0xffffffff,0x3ffea00e,0xfff3ffff,0x7ffff49f,0x3ffe2004,
    0x3fff62ff,0xffffff9f,0xfffc84ff,0x3fffea07,0x40ffff92,0x882ffffa,
    0xffebffff,0xffffa83f,0x201ffffa,0x004ffffe,0x0bffffe2,0x007ffffb,
    0x54bbffee,0x9803ffff,0x3f65ffff,0xf7003fff,0x3fea5dff,0xff9803ff,
    0xffff75ff,0x7fd40005,0xff9803ff,0x3fffa5ff,0x3fe2004f,0x7ff42fff,
    0x3e2004ff,0x3f62ffff,0xfff307ff,0x37ffe4bf,0x3ffea000,0xfff800ff,
    0x07fffd04,0xa82fffd8,0x9803ffff,0xff55ffff,0xff3007ff,0x7ffecbff,
    0xfff7003f,0x3f6a205d,0x2dffffff,0x7bfb7300,0x8ffffe23,0x00fffffb,
    0x1fffff70,0xd8bfffec,0x902effff,0x2e01ffff,0xff92ffff,0x3fee01ff,
    0xffff02ff,0x103ffffd,0xfffdffff,0xffffb80f,0xfff7000f,0xfffa81ff,
    0xfffd007f,0x3fffe65f,0xffffb806,0x1ffffea4,0x97ffff40,0x806ffff9,
    0xf74ffffb,0x40005fff,0x806ffff9,0x2e4ffffb,0x000fffff,0x81fffff7,
    0x00fffffb,0x1fffff70,0xb03fffec,0x3f23ffff,0x4c0006ff,0xf005ffff,
    0x3ffa09ff,0x7ffcc02f,0x6ffff984,0x4ffffb80,0x00dffff3,0x549ffff7,
    0xd007ffff,0x2005ffff,0x0001aefd,0x3ffff880,0x077ffff4,0x3ffffee0,
    0x43fffec3,0x7fdc00a9,0xfff900ff,0x3fffee5f,0x5ffff900,0x3fffff60,
    0x3ffa07ff,0x805fffff,0x00effffe,0x1fffffdc,0x04ffffe8,0x13ffffe4,
    0x407fffff,0x43fffff8,0x404ffffe,0x227ffffc,0x203fffff,0x73fffff8,
    0x0005ffff,0x1fffffc4,0x7fffff10,0x0effffe8,0x7ffffdc0,0xdffffd03,
    0xffffb801,0xccca803f,0x7ffe400a,0x7fec0006,0xfff002ff,0x0bfffe09,
    0x221bff60,0x203fffff,0x13fffff8,0x407fffff,0x43fffff8,0x404ffffe,
    0x007ffffc,0x9b0017f6,0x3e601359,0x7fcc2fff,0x4c0bffff,0x86fffffd,
    0x0007fffd,0x213fffea,0x52fffffa,0xf509ffff,0x2e05ffff,0x5fffffff,
    0x3fffff20,0xff9804ff,0x4c0bffff,0x06fffffd,0x3bffffe6,0x3fffae21,
    0x7ffec4ff,0x36a21bff,0x4c0fffff,0x21efffff,0xfffffeb8,0x7ffffec4,
    0x3ff6a21b,0xfff70fff,0xfd80005f,0x221bffff,0x0fffffda,0x7fffffcc,
    0x7ffecc0b,0x3fe606ff,0x4c0bffff,0x06fffffd,0x3fffff70,0x037ffe40,
    0xfffff700,0x427ffc00,0x801ffffa,0xfd81fff9,0x221bffff,0x0fffffda,
    0x2ffffff6,0x3fff6a21,0x7ffcc0ff,0x3ae21eff,0x004fffff,0xfd001ffa,
    0x3f609fff,0xffd80fff,0xfeffffff,0x1fffffff,0x007fffd8,0x3ffffe20,
    0xffffca9c,0xffff12ff,0xfff9539f,0x3e605fff,0x03ffffff,0x3fffffe6,
    0xfffb002f,0xffdfffff,0x03ffffff,0xffffffc8,0xffffffef,0x7ffcc0ef,
    0xffefffff,0x904fffff,0xdfffffff,0xdfffffff,0xfffff981,0xffffefff,
    0x3fee4fff,0x99999bff,0x19999999,0x3fffffe6,0xfffffeff,0xfffb04ff,
    0xffdfffff,0x03ffffff,0xffffffd8,0xfffffeff,0x53001fff,0x640dffd9,
    0x2e006fff,0xffffffcc,0x53ffe003,0xffffffe9,0x09ffd000,0xfffffff3,
    0xffffffdf,0xffff989f,0xfffeffff,0xf904ffff,0xfdffffff,0x1dffffff,
    0x00fffc00,0xbfffff90,0xffffdb77,0x3fff220b,0xffffffff,0xfb02ffff,
    0xe8000fff,0xffffffff,0x22ffffef,0xfffffffe,0x2ffffeff,0x3fffffe0,
    0x7fffc01f,0x91000fff,0xffffffff,0x5fffffff,0x3ffff200,0xffffffff,
    0xfff900ef,0xffffffff,0x6401ffff,0xffffffff,0x00efffff,0xfffffff9,
    0xffffffff,0x7ffffdc1,0xffffffff,0x7e47ffff,0xffffffff,0x00ffffff,
    0xffffff91,0xffffffff,0xff91005f,0xffffffff,0x005fffff,0xc81ffea0,
    0x4eeeffff,0x3ffffee0,0x7fc007ff,0xfffff34f,0x7fd400bf,0xfffff907,
    0xffffffff,0xfff901ff,0xffffffff,0x6401ffff,0xffffffff,0x00efffff,
    0x5e7ffec0,0x3ffe202c,0xffffffff,0x74c00fff,0xffffffff,0x3600dfff,
    0x40007fff,0xffffffe8,0x45ffff5f,0xffffffe8,0x05ffff5f,0x3fffffec,
    0x7ffffec0,0xffe98006,0xffffffff,0x7d4000df,0xffffffff,0x7d401eff,
    0xffffffff,0xa800dfff,0xffffffff,0x5401efff,0xffffffff,0x5c0dffff,
    0xffffffff,0xffffffff,0xffffa87f,0xffffffff,0xffe9800d,0xffffffff,
    0x74c000df,0xffffffff,0x3000dfff,0xbffd5333,0x7ffffe40,0x3fea05ff,
    0x001fffff,0xff9a7ffc,0x4000ffff,0xff503ffe,0xffffffff,0x7d401bff,
    0xffffffff,0xa800dfff,0xffffffff,0x8001efff,0x2ffffff9,0x7ffff4c0,
    0x2effffff,0x3fff6e00,0x802defff,0x0007fffd,0xeffffd88,0x10bfffe3,
    0x47dffffb,0x2e02ffff,0x805fffff,0x04fffffb,0x3fff6e00,0x002defff,
    0x3fffb220,0x2002efff,0xffffffd8,0x44002eff,0xffffffec,0x3f62002e,
    0xefffffff,0xfffff702,0xffffffff,0x220fffff,0xfffffffd,0xdb8002ef,
    0xdeffffff,0x7edc0002,0x2defffff,0x7ffffc00,0x3f200eff,0x05ffffff,
    0x33ffffe6,0x4fff8000,0x007dfff3,0x881bfea0,0xfffffffd,0xfb1002ef,
    0xdfffffff,0xfec88005,0x02efffff,0x77fe4c00,0xfdb5001c,0x007bdfff,
    0x001a9880,0x005eeec8,0x00054c00,0x00002a60,0x05fffff3,0x5fffff30,
    0x2a620000,0x26000001,0x980001aa,0x00009aa9,0x0006aa60,0x026aa660,
    0x3ffffee0,0xffffffff,0x9807ffff,0x00009aa9,0x0006a620,0x01a98800,
    0x77ff7400,0xeeeb802d,0x1004eeee,0x13330000,0x3300000c,0x2aa66003,
    0x4cc00009,0x000009aa,0x00006aa6,0x44000040,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66540000,0x0002f541,0x33326000,0x3220002c,0x1ccccccc,
    0x99999900,0x00079999,0x66664c00,0xd9000003,0x00003ddd,0x40019995,
    0x3a23eee8,0x2a0003ee,0x002a880a,0x59bb7510,0x33200015,0x0019970c,
    0x00079970,0x1bfff200,0x3bb20000,0x980001ee,0x0004eeee,0x00555550,
    0x5555554c,0x099aaaaa,0x97510000,0x1005599b,0x55555555,0x1f777540,
    0x55550000,0x55553003,0x2aaa6001,0x80333312,0xabeffffd,0xd00005fe,
    0xfffb003d,0x7fc4000d,0x02ffffff,0xfffffff0,0x0000bfff,0x077ffec0,
    0x7fc40000,0x980003ff,0xc8001fff,0xffe89fff,0x27fc0006,0x2a003fdc,
    0xffffffff,0xfa8003ff,0x003ffbdf,0x007ffd10,0xdfff9000,0xff880000,
    0xb00004ff,0x0001dfff,0x5fffff30,0x3fffee00,0xffffffff,0x30004eff,
    0xfffffffb,0x2a017fff,0x6fffffff,0x03fffe40,0xffffb800,0x7ffdc00f,
    0xfffb006f,0x03fffeed,0x7fffffc4,0x0003ffff,0xb000ff88,0x20005fff,
    0xaaaaaaa8,0xffff000a,0x0bffffff,0x3fe20000,0x000001ff,0x0009fff9,
    0x001bff10,0x7ef7ff40,0x640001ff,0xffb99bff,0x3ffee004,0xffffffff,
    0x7dc000ef,0x80004fff,0x00001ffc,0x0037ffe4,0x13fff200,0x7ffc4000,
    0xf880000f,0x00ffffff,0xffffffb8,0xffffffff,0x32000eff,0xffffffff,
    0x81ffffff,0xfffffffa,0x3fffd806,0x7ffcc000,0x7dc05fff,0xd802ffff,
    0xfff76fff,0x23bee01f,0x0dfffeb9,0x05fa8000,0x01bffa20,0x55415440,
    0x55555001,0x00355555,0x3fff2000,0xf1000001,0x44000bff,0x3552a9aa,
    0xffff1000,0x100007ff,0xdffffffd,0x3fff6001,0xffffffff,0x51006fff,
    0x35555555,0x532a8800,0x00003555,0x000dfff9,0x02fffc40,0x3fff9000,
    0x3ff60000,0x805fff9f,0xfffffffb,0xffffffff,0x6c401fff,0xffffffff,
    0xffffffff,0x7ffffd40,0xffb006ff,0xffe8000d,0x203fffae,0x0ffffffb,
    0xbb7ffec0,0x5300ffff,0x00015303,0x2001fec0,0x8002ffe8,0x1ff40ff9,
    0x00000000,0x00fffc40,0xbff70000,0x0ff98000,0xb8001ff4,0x0006ffff,
    0x3ffff620,0xfff1000d,0xfb77bfff,0x007fffff,0x3fe81ff3,0x207fcc00,
    0x980003fe,0x00002aaa,0x00017fee,0x001fff88,0x25fff500,0x5c03fffa,
    0xeeeeffff,0xffffeeee,0x7fec04ff,0xcbceffff,0x6fffffff,0x7fe4ccc4,
    0xffd1006f,0x3ff20005,0x03fff90f,0x3fffffee,0xb7ffec04,0x000ffffb,
    0xff000000,0x35510001,0x81ff3000,0x000003fe,0xaa880000,0x44000001,
    0xf9800019,0x001ff40f,0x00133330,0x01331000,0x3ffffa80,0x1bffff60,
    0xfd03fe60,0x0ff98007,0x00001ff4,0x26200000,0x4c400001,0x2a000009,
    0x155542aa,0x0bfffee0,0xdffffb30,0x7ffffd40,0xfffb300e,0x7fdc05ff,
    0x2662006f,0x35550000,0xf701aaa8,0x03ffffff,0x98b7ffec,0x2aaa6199,
    0x5555000a,0x06fa8005,0x744eee88,0xaaa985ee,0x8988199a,0x7442aaaa,
    0x2f7744ee,0x00000000,0x055554c0,0x32aaaa80,0x03335555,0x55555131,
    0xcddba880,0x440000aa,0x2accdcca,0x0ffffb00,0x0fffff98,0x266aaaa6,
    0xaaa89881,0x3555532a,0x55131033,0x2a200555,0x02accdcc,0x376ea200,
    0x40000aac,0x1abdcba8,0x80000000,0x802ffffb,0x00fffff8,0x009fffff,
    0x0bfffff1,0xa9b7ffdc,0x55000aaa,0x00000555,0x7fffffdc,0x3fff606f,
    0x21555536,0x002ffffc,0x540dffff,0x05ffffec,0x7c5fff98,0xfffc87ff,
    0xffff002f,0x45fff98d,0x80007fff,0xaaaaaaaa,0xaaaaaaaa,0x322aaaaa,
    0xf002ffff,0x3ff2dfff,0xfff002ff,0x3ffea0df,0x3fffffff,0xfffd9800,
    0x3effffff,0x0ffffec0,0x8333bb20,0x002ffffc,0x3f2dffff,0xff002fff,
    0xfd980dff,0xffffffff,0x3fea003e,0xffffffff,0xffe98003,0x1effffff,
    0x0aaaaaa0,0x35555500,0x00bfffee,0x417fffec,0x00fffffa,0x07bdff50,
    0xfcb7ffdc,0xff002fff,0x2aaa6dff,0x5555000a,0x3ffffee5,0xffb03fff,
    0x3ffff2df,0x05ffff91,0x21bfffe0,0xffffffe8,0x3e600dff,0x3fffc5ff,
    0x017fffe4,0x4c6ffff8,0x7ffc5fff,0x7fdc0007,0xffffffff,0xffffffff,
    0x3ff26fff,0xfff002ff,0x3ffff2df,0xdffff002,0xffffff70,0x1dffffff,
    0x3ffff200,0xffffffff,0xfff900ff,0x640005df,0xf002ffff,0x3ff2dfff,
    0xfff002ff,0x7ffe40df,0xffffffff,0x7dc00fff,0xffffffff,0x9000efff,
    0xffffffff,0x2e09ffff,0x001fffff,0x23fffff7,0x002ffffb,0xb03ffffd,
    0x8007ffff,0xfff70009,0x0bffff2d,0xbb7fffc0,0xf002ffff,0x3feeffff,
    0x0fffffff,0xf96fffd8,0x3ff23fff,0xfff002ff,0xffffa8df,0xffffffff,
    0x8bfff301,0xffc87fff,0xfff002ff,0x5fff98df,0x0003fffc,0x3ffffffa,
    0xffffffff,0x6fffffff,0x00bffff2,0xfcb7fffc,0xff002fff,0xfffd8dff,
    0xffffffff,0xfe806fff,0xffffffff,0x0effffff,0xffffffa8,0x32000acf,
    0xf002ffff,0x3ff2dfff,0xfff002ff,0x3fffa0df,0xffffffff,0xb00effff,
    0xffffffff,0x0dffffff,0xfffffe88,0xffffffff,0xffffd05f,0xffff100d,
    0x7fffdc7f,0xffff9802,0xfffff80f,0x2e000000,0xfff96fff,0x3ffe005f,
    0x5ffff76f,0x5ffffe00,0xffdffffb,0xfffd85ff,0x23ffff96,0x002ffffc,
    0xfe8dffff,0xffedffff,0x26605fff,0x40cccc09,0x002ffffc,0x330dffff,
    0x01999813,0x3fffea00,0xffffffff,0xffffffff,0x3fff26ff,0xffff002f,
    0x0bffff2d,0x137fffc0,0x7bffffff,0xffffffb7,0x7fffe407,0xffdbceff,
    0xb06fffff,0xffffffff,0xfc8037df,0xff002fff,0x3fff2dff,0xffff002f,
    0xfffff90d,0xfffb79df,0xf10dffff,0x77bfffff,0x7ffffffb,0x7ffffec0,
    0xffffdbde,0xff983fff,0x7e402fff,0x7fdc6fff,0xf73302ff,0xf10bffff,
    0x0000ffff,0x96fffb80,0x2005ffff,0xff76ffff,0x3fe005ff,0xffff77ff,
    0x85fffff3,0xff96fffd,0x3fff23ff,0xffff002f,0x27fffe4d,0x3ffffdfd,
    0xff900000,0x3fe005ff,0x000006ff,0x5ffffd00,0xddfffff5,0xdddddddd,
    0x7fffe4bd,0xdffff002,0x00bffff2,0xf537fffc,0x7ec07fff,0xff506fff,
    0x2601dfff,0x82fffffd,0xffffffe8,0x01dfffff,0x005ffff9,0x7e5bfffe,
    0xff002fff,0xfffa8dff,0xfb300eff,0xfa85ffff,0x3f603fff,0xff506fff,
    0x3aa07fff,0xf907ffff,0x2601ffff,0x5c1fffff,0xffffffff,0xffffffff,
    0xfff980ff,0x4000006f,0xff96fffb,0x3fe005ff,0xffff76ff,0x3fffe005,
    0x71ffff77,0xfd8dffff,0xffff96ff,0x0bffff23,0xf37fffc0,0x7fc4dfff,
    0x002efff9,0xffffc800,0xdffff002,0x50000000,0x7fc9ffff,0x320006ff,
    0xf002ffff,0x3ff2dfff,0xfff002ff,0x3fffecdf,0x3ffffe60,0x4fffff80,
    0xfffff880,0xffff9105,0xffffffff,0x5ffff905,0x5bfffe00,0x002ffffc,
    0xff8dffff,0xf8804fff,0x7ec5ffff,0x7fcc07ff,0xffe80fff,0x7fd402ff,
    0xff882fff,0xffb04fff,0xfff709ff,0xffffffff,0x03dfffff,0x817fffea,
    0xfffffff9,0xff702fff,0x3ffff2df,0xdffff002,0x00bfffee,0xfbbffffc,
    0xfffd0fff,0xb7ffec7f,0xf91ffffc,0x3e005fff,0xfff36fff,0x0aafdc7f,
    0x40999950,0xf91cccc8,0x3e005fff,0x99956fff,0x66664409,0x3fff6001,
    0x1bfffe0f,0xffffc800,0xdffff002,0x00bffff2,0xfb37fffc,0xec803fff,
    0x7fd40cce,0xf5000fff,0xb9807bdf,0xfffffffe,0x7fe43fff,0xfff002ff,
    0x3ffff2df,0xdffff002,0x07ffffd4,0x3deffa80,0x00ffffec,0x70333bb2,
    0x200bffff,0x501ceffd,0xa81fffff,0xb80fffff,0xffffffff,0x3effffff,
    0x37fffcc0,0xffffff30,0x2e05ffff,0xfff96fff,0x3ffe005f,0x5ffff76f,
    0x5ffffe00,0xf30ffffb,0x3f61ffff,0xffff96ff,0x0bffff23,0xab7fffc0,
    0x3f62ffff,0x7fffc803,0x4bfffe60,0x002ffffc,0x3f2dffff,0x3fe607ff,
    0xff3002ff,0xffff8bff,0x3ff20006,0xfff002ff,0x3ffff2df,0xdffff002,
    0x177fffe4,0x3fff6000,0x004c003f,0xfffdb980,0x320fffff,0xf002ffff,
    0x3ff2dfff,0xfff002ff,0x7fffecdf,0x9004c003,0x005dffff,0x1ffffd80,
    0x20015100,0x745ffffd,0xf702ffff,0xfffddfff,0x2007ffff,0x207ffff8,
    0xfffffff9,0xff702fff,0x3ffff2df,0xdffff002,0x00bfffee,0xfbbffffc,
    0x3ff20fff,0xdfffb5ff,0x647ffff2,0xf002ffff,0x3feedfff,0x003fe1ff,
    0x981ffff2,0xff92ffff,0x3fe005ff,0xffff96ff,0x17fffcc0,0x1ffffd80,
    0x0037fffc,0x05ffff90,0x65bfffe0,0xf002ffff,0x7fd4dfff,0x0acfffff,
    0x7ffffc00,0x00000000,0x3fffffa6,0x0bffff22,0xcb7fffc0,0xf002ffff,
    0x7ffcdfff,0x400000ff,0xfffffffa,0x7f4000ac,0x000007ff,0x4bffffe2,
    0x205ffffb,0x5c2ffffb,0x004fffff,0x4c0fffff,0xffffffff,0xfff702ff,
    0x0bffff2d,0xbb7fffc0,0xf002ffff,0x3feeffff,0x3ffa20ff,0x6fffdaff,
    0x323ffff9,0xf002ffff,0x3feedfff,0x00df51ff,0x981ffff2,0xff92ffff,
    0x3fe005ff,0xffff96ff,0x17fffcc0,0x2ffffc40,0x0037fffc,0x05ffff90,
    0x65bfffe0,0xf002ffff,0xffd8dfff,0xefffffff,0x7ffc401b,0x3000007f,
    0x3fee0053,0x3fff24ff,0xffff002f,0x0bffff2d,0x8b7fffc0,0x0007ffff,
    0xfffffb00,0x037dffff,0x00fffff0,0xfffb8000,0xfffff8ef,0x3fffee00,
    0xfffffa82,0xffffe805,0x7ffe4002,0xdfff702f,0x00bffff2,0xfbb7fffc,
    0xff002fff,0x3ffeefff,0x7fffd40f,0xf96fffde,0x3ff23fff,0xfff002ff,
    0x3fffeedf,0x32009f92,0x3e607fff,0xfff92fff,0x3ffe005f,0x0ffff96f,
    0x017fffcc,0x417fffe4,0xeeefffff,0x5eeeeeee,0x017fffe4,0xf96ffff8,
    0x3e005fff,0x7f446fff,0xffffffff,0xff301dff,0x80000dff,0x801ffffc,
    0x326ffff8,0xf002ffff,0x3ff2dfff,0xfff002ff,0x3fffe6df,0xd1000006,
    0xffffffff,0x2203bfff,0x0006ffff,0xffffe800,0x403fffff,0x902ffffb,
    0x809fffff,0x006ffffc,0x817fffe4,0xff96fffb,0x3fe005ff,0xffff76ff,
    0xdddddddd,0x2fffffdd,0xd80ffffb,0xffffffff,0x23ffff96,0x002ffffc,
    0x3eadffff,0x43ff3fff,0x3f209acb,0x3fe607ff,0xffff92ff,0x3fffe005,
    0x40ffff96,0x402ffff9,0xf06ffff8,0xffffffff,0x8fffffff,0x002ffffc,
    0x3f2dffff,0xff002fff,0xff910dff,0xffffffff,0xfff505ff,0x7ffcc0bf,
    0x2fffffff,0x009ffff5,0x64dffff1,0xf002ffff,0x3ff2dfff,0xfff002ff,
    0x3fffeadf,0x3fffe605,0x82ffffff,0xffffffc8,0x82ffffff,0x005ffff9,
    0xfff98000,0x806fffff,0x202ffffb,0x01fffffe,0x07ffffe2,0x2ffffc80,
    0x32dfff70,0xf002ffff,0x3feedfff,0xffffffff,0xffffffff,0x01ffff77,
    0xfffffff1,0x3ffff2df,0x05ffff91,0x45bfffe0,0x7f9effff,0xc9bfffe2,
    0x3e607fff,0xfff92fff,0x3ffe005f,0x0ffff96f,0x017fffcc,0x40fffff2,
    0xffffffff,0x7fffffff,0x017fffe4,0xf96ffff8,0x3e005fff,0x2e606fff,
    0xfffffffe,0x7fcc3fff,0x3fe606ff,0xffffffff,0x3fffff12,0x4ffffd80,
    0x00bffff2,0xfcb7fffc,0xff002fff,0x3ffe6dff,0x3ffe606f,0x2fffffff,
    0x3fffae60,0x3fffffff,0x02ffffd4,0xffc80000,0x801fffff,0x202ffffb,
    0x06fffff9,0x17ffffe4,0x7ffff540,0x2dfff702,0x002ffffc,0x3eedffff,
    0xffffffff,0xffffffff,0x1ffff77f,0x3ffffee0,0xffff96ff,0x0bfffee3,
    0xb37fffc0,0x49fdffff,0x323ffffc,0x3e607fff,0xfff72fff,0x3ffe005f,
    0x0ffff96f,0x017fffcc,0x40fffff1,0xffffffff,0x7fffffff,0x017fffdc,
    0xf76ffff8,0x3e005fff,0x73006fff,0xfffffffb,0x7fffc41f,0x3fffe607,
    0x22ffffff,0x83fffffe,0x1fffffb8,0x00bfffee,0xfbb7fffc,0xff002fff,
    0x3ffe2dff,0x3ffe607f,0x2fffffff,0xfffb7300,0x441fffff,0x0006ffff,
    0x3fffa000,0xff7004ff,0xffb805ff,0x3e204fff,0x41cfffff,0xfffffd98,
    0xdfff702f,0x00bfffee,0xfbb7fffc,0xffffffff,0xffffffff,0x1ffff77f,
    0x7fffff40,0x3ffff96f,0x00bfffee,0xa9bfffe2,0xbcffffff,0x20fffffe,
    0x2607fffc,0xff72ffff,0xff1005ff,0x3fff2dff,0x3fffe607,0x3fffee02,
    0x3ffffe04,0xaaaaaaaa,0x7ffdc2aa,0xfff8802f,0x5ffff76f,0xdffff100,
    0x3ffa6000,0x3fe22fff,0x3fe607ff,0xffffffff,0x3ffffe62,0xfffeeeff,
    0x7fdc7fff,0xff8802ff,0xffff76ff,0xffff1005,0x1ffffe2d,0xffffff98,
    0x0002ffff,0x5fffffd3,0x007ffff8,0x3fea0000,0xf7000fff,0xfd005fff,
    0x5403ffff,0xffffffff,0xfffffffe,0xff702fff,0x3fffeedf,0xffff8802,
    0x59ffff76,0x55555555,0x3eefffff,0x3e600fff,0xf96fffff,0x3fee3fff,
    0xff8802ff,0x7ffe45ff,0xffffffff,0x3fffe42f,0x25ffff50,0x802ffffb,
    0xf95ffff8,0x7fd40fff,0x3ffe02ff,0xffffffff,0x006fffff,0x0bfffee0,
    0x57fffe20,0x802ffffb,0x4c5ffff8,0xfff70029,0xffffe89f,0x7ffe4001,
    0x7fffd42f,0xffffffff,0x7fdc0eff,0xff8802ff,0xffff75ff,0xffff1005,
    0x0fffff4b,0x3ffff200,0xb8014cc2,0x7f44ffff,0xd1000fff,0xff100017,
    0x7dc00bff,0xf9802fff,0x4c06ffff,0xffffffff,0xffffffff,0x3ffee02f,
    0x05ffff76,0x2bffff10,0x002ffffb,0x3eefffff,0x7ec00fff,0xff96ffff,
    0x3ffea3ff,0xfff9803f,0xffffc85f,0x83ffffff,0x2a07fffc,0xff52ffff,
    0xff3007ff,0x3fff2bff,0x3fffea07,0xfffff502,0xffffffff,0x4000dfff,
    0x803ffffa,0xf55ffff9,0xf3007fff,0x3ff2bfff,0xff8801ff,0x7ffdc6ff,
    0x7fe4005f,0xfffb82ff,0xffffffff,0xfffa80df,0xfff9803f,0x7ffff55f,
    0xbffff300,0x02ffffdc,0x4bffff20,0x801ffffc,0x6c6ffff8,0x7003ffff,
    0x4005dfff,0x005ffff8,0x00bfffee,0x1fffffdc,0x3ffffa20,0xffffffff,
    0x7fdc00bf,0x7ffff56f,0xbffff300,0x00bfffee,0xfbbffffc,0x7c400fff,
    0xff96ffff,0x3ffe63ff,0xfffb806f,0xffff304f,0x3203bfff,0xf700ffff,
    0x3fe65fff,0xffb806ff,0xffff94ff,0x3fffee01,0xfffffd02,0xffffffff,
    0x4000dfff,0x806ffff9,0xf34ffffb,0xf700dfff,0x3fea9fff,0xff8804ff,
    0x7ffcc6ff,0x3f2002ff,0xf7102fff,0xbdffffff,0x7fffcc07,0xffffb806,
    0x0dffff34,0x49ffff70,0x02fffff9,0x4bffff20,0x804ffffa,0x546ffff8,
    0xd007ffff,0x4005ffff,0x005ffff8,0x00bfffee,0x0fffffe8,0xfffeb980,
    0x00abdfff,0x26dfff70,0xb806ffff,0xff74ffff,0x3fe005ff,0xffff77ff,
    0xffff7001,0x47ffff2d,0x03fffff8,0x0fffffe2,0x0d557fc4,0x07fffdc0,
    0x12ffffc8,0x407fffff,0x73fffff8,0x3201ffff,0xfa82ffff,0xffffffff,
    0xffffffff,0x3fe20006,0x3e203fff,0xff13ffff,0x7c407fff,0xff13ffff,
    0xfd803fff,0xffd84fff,0xea801fff,0x8802ffff,0x1002dffc,0x407fffff,
    0x13fffff8,0x407fffff,0x43fffff8,0x01fffffd,0x2ffffea8,0x03fffff1,
    0x84ffffd8,0x404ffffe,0x007ffffc,0x02ffffc4,0xbccc8800,0xda800000,
    0x20002fff,0xff16fffb,0x7c407fff,0xff73ffff,0x3fe005ff,0xcc8807ff,
    0xffc800bc,0x3fff61ff,0x36a21bff,0x500fffff,0xff5000df,0xfff509ff,
    0x7ffec5ff,0x36a21bff,0xf50fffff,0xff509fff,0xffd05fff,0x333337ff,
    0xdffff333,0xfffd8000,0x36a21bff,0x360fffff,0x21bfffff,0xfffffda8,
    0x3fffffa0,0xffffb883,0xffff881f,0x75441cff,0x02ffffff,0x7fffffa8,
    0xfffffb00,0x7fed4437,0x3ff60fff,0x2a21bfff,0x40fffffd,0xcffffff8,
    0x7fff5441,0x3ffa2fff,0xfb883fff,0xf981ffff,0x221effff,0x4fffffeb,
    0x7fffc400,0xff300005,0x00007fff,0x3ffffff8,0xdfff7000,0x5fffffec,
    0x3fff6a21,0xffff70ff,0x3fffe005,0xffff9807,0x7ffe403f,0x3fffe61f,
    0xfffeffff,0x3204ffff,0xff88003f,0xfca9cfff,0x262fffff,0xffffffff,
    0xfffffffe,0x3ffffe24,0xffffca9c,0x7ffcc2ff,0xffff007f,0x3333333d,
    0x4c133333,0xffffffff,0xfffffffe,0x7ffffcc4,0xffffefff,0x7fcc4fff,
    0xeeefffff,0x07ffffff,0x3fffffea,0xfffffeff,0x802fffff,0x07ffb308,
    0xffffff30,0xfffffdff,0xfff989ff,0xffefffff,0x504fffff,0xffffffff,
    0xfffffffd,0x7fcc5fff,0xeeefffff,0x07ffffff,0x3ffffff2,0xffffffef,
    0x7c4000ef,0x00005fff,0x1fffb751,0xb88c0000,0xf70007ff,0x7ffccdff,
    0xffefffff,0x2e4fffff,0xf002ffff,0x5100ffff,0x401fffb7,0x641ffffc,
    0xffffffff,0x0fffffff,0x40007fe0,0xfffffffe,0x2ffffeff,0x7fffffe4,
    0xffffffff,0x7ffff40f,0xffefffff,0x7ffec2ff,0xffff003f,0xffffffff,
    0xc85fffff,0xffffffff,0x0fffffff,0xffffffc8,0xffffffff,0xffffa80f,
    0xffffffff,0x7d400eff,0xffffffff,0xffffffff,0xbff50002,0x3ffff200,
    0xffffffff,0xffc80fff,0xffffffff,0x200fffff,0xfffffffa,0xffffffff,
    0xfffa82ff,0xffffffff,0x6400efff,0xffffffff,0x00efffff,0x5ffff880,
    0xff880000,0x1000001f,0xd3001fff,0x8dfffddd,0xfffffffc,0xffffffff,
    0x0bfffee0,0x03ffffc0,0x807ffe20,0xa81ffffc,0xffffffff,0x200dffff,
    0x220007f9,0xfffffffe,0x505ffff5,0xffffffff,0x101bffff,0xfffffffd,
    0x98bfffeb,0x000fffff,0xffffffff,0xffffffff,0xffff505f,0xffffffff,
    0x7ffd401b,0xffffffff,0x3fee00df,0xffffffff,0xd3000dff,0xffffffff,
    0x017fffff,0x3ae62660,0x3ea001ff,0xffffffff,0x2a00dfff,0xffffffff,
    0x800dffff,0xffffffe9,0xbfffffff,0x3fffee00,0xffffffff,0xfff5000d,
    0xffffffff,0x3e20003d,0x40005fff,0xffda9998,0x33100007,0x00fffb51,
    0x3fffffea,0xffffa86f,0xffffffff,0x7fffdc0d,0xfffff002,0x6d4ccc40,
    0x7fe407ff,0xffb101ff,0x5dffffff,0x0009f900,0xeffffd88,0x40bfffe3,
    0xffffffd8,0x6c402eff,0x3e3effff,0x3ff22fff,0x3fe004ff,0xffffffff,
    0x2fffffff,0xfffffb10,0x2005dfff,0xffffffd8,0x71002eff,0xdfffffff,
    0x3260007b,0xdfffffff,0x7fc4002c,0x005fffff,0xfffffd88,0x1002efff,
    0xfffffffb,0x930005df,0xbfffffff,0x7dc40059,0xdeffffff,0xfec88003,
    0x02efffff,0x7fffc400,0x7fec0005,0x001fffff,0xfffffb00,0x3ea003ff,
    0x06ffffff,0xffffffb1,0x3ee05dff,0xff002fff,0x7fec0fff,0x401fffff,
    0x801ffffc,0x0009aa99,0x00000dc4,0x20000153,0x0009aa99,0x44001530,
    0x001fffff,0x3ffffffe,0xffffffff,0xa99802ff,0x4c00009a,0x00009aa9,
    0x0001aa98,0x00aa9880,0x77f74400,0x980001ce,0x00009aa9,0x004d54cc,
    0x15531000,0x554c0000,0xa9800001,0x2200001a,0x0005ffff,0x5ef7ff64,
    0x3b200000,0x4001bdfe,0xeeeeeee9,0x9aa99805,0xffffb800,0xfffff002,
    0x6f7ff640,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x9953cccb,0x804c4099,0x33331098,0x98800001,0xaaaaaaaa,0xaa981aaa,
    0x5555442a,0x55553000,0x5d440055,0x8001abdc,0xcccccccc,0x310002cc,
    0x50000333,0x0007dddd,0xa87bbaa0,0x20001eee,0x002eeeeb,0x99999910,
    0x00059999,0x0bbbbae0,0x99993000,0x55400003,0x3ba60001,0x0bbba62e,
    0xb837bae0,0xdd100dee,0x17774c7d,0x3bbbb600,0xddb00000,0x4c0001bd,
    0x3ba62eee,0xcccb802e,0x7775c00c,0x00fbbaa2,0x0deeed88,0x0ffff980,
    0x5405ffff,0x54fd80ff,0x0007ffff,0x3ffffaa0,0xffffffff,0xffffc85f,
    0x0ffffee0,0x3ffffea0,0xffe9801f,0x1effffff,0x3ffffe00,0x004fffff,
    0x00ffff90,0x3ffff200,0xffd00000,0x013ffe6d,0x4ffff880,0x3ffe2000,
    0x4fffffff,0xfff88000,0xfe80004f,0x0000ffff,0x80007fd0,0xff88fffc,
    0xfff1006f,0x00fffeab,0xfd13fff9,0xff1000df,0x700009ff,0x0003ffff,
    0xd13fff90,0xff100dff,0xff9009ff,0x27ffdc5f,0x3ffff700,0x47fff600,
    0x4403fffb,0xff510dff,0x0ffffea5,0x3fffa000,0xffffffff,0xfc85ffff,
    0x3fee0fff,0x7fd403ff,0xc801ffff,0xffffffff,0xf004ffff,0xffffffff,
    0x3f20009f,0x200007ff,0x0003fffd,0xfdbfff10,0x5c0001df,0x40005fff,
    0xfffffff8,0x80004fff,0x0005fffb,0xffffffc8,0x7dcc0005,0x20000aef,
    0xfffdeffe,0x3ffe6000,0xd005fffc,0x3fffbdff,0x3ffe6000,0x7f40000f,
    0x200001ff,0xfffdeffe,0x4fffc801,0x45fff900,0x2004fffb,0x3001ffff,
    0x7ff45fff,0xdfff7004,0x7fd4dfff,0x6c0003ff,0xffffffff,0xffffffff,
    0x0ffffc85,0x80ffffee,0x1ffffff9,0x7ffff440,0xffffffff,0xaaa805ff,
    0x1aaaaaaa,0xffff9000,0xffd80000,0x3ea00007,0x001fffff,0x002fffc0,
    0xaaaaaa80,0x0001aaaa,0x0005fff8,0xfbbfffa8,0xe98002ff,0xcfffffff,
    0xfff98000,0xc8002fff,0x00ffffff,0xffffff30,0xff980007,0x3ea0003f,
    0x400002ff,0x3ffffff9,0x05fff880,0xb8bfff20,0xf5004fff,0x7e4005ff,
    0x01bfea4f,0xbfffff90,0x1ffffd41,0xffff5000,0xffffffff,0x90bfffff,
    0x7dc1ffff,0xff303fff,0xb005ffff,0x7bdfffff,0xfffffffb,0x00000007,
    0x007fffc8,0x02ffd800,0x3fff6000,0x7d40004f,0x0000006f,0xffa80000,
    0xff880006,0x03fff65f,0xfffffa80,0x00efffff,0x5ffffb80,0x3fffa000,
    0x7fdc002f,0x500005ff,0x74000fff,0x000003ff,0x00bffff7,0x10017ff2,
    0x4cc41333,0x5ffd0009,0x44199800,0xa8800099,0xfffa82bc,0x3f20003f,
    0xffffffff,0xc81bffe3,0x3ee0ffff,0xfe883fff,0xa802ffff,0x503fffff,
    0x4cfffffd,0x5000aaaa,0x22005555,0x00001999,0x00001330,0x00019998,
    0x00009988,0x66e5cc40,0x3100001a,0x31000013,0x01333033,0x3ffffe20,
    0x5fffffff,0x03333000,0x19998800,0x13333000,0x0cc40000,0x00133000,
    0x99998000,0x01555000,0x372e6200,0x4cc001ac,0x97310000,0x0000359b,
    0x1ffffd40,0xffffd000,0x7c7fffff,0x3ff206ff,0x3ffee0ff,0x7fff443f,
    0xffd002ff,0xffa805ff,0xfff92fff,0x3ffe005f,0x2aaaa26f,0xaaaaaaaa,
    0x001aaaaa,0x00d5554c,0x02aaaa60,0x115554c0,0x55555555,0x55555555,
    0xffd70035,0x9fffffff,0xaaaa9801,0x55553000,0x55554c00,0xfffc8001,
    0xffdcfeaf,0x54c001ff,0x20001aaa,0x880aaaa9,0xaaaaaaaa,0xaaaaaaaa,
    0x2aaa62aa,0xaaaaaaaa,0x31aaaaaa,0x55555555,0x00133555,0x55555544,
    0xaaaaaaaa,0x2aa61aaa,0x3fae002a,0xffffffff,0xaaa9800c,0xffeb800a,
    0xcfffffff,0x2aaa6000,0x7fffd40a,0x3ffe0003,0x3fffffff,0xfc81bffe,
    0x3fee0fff,0x3ffa23ff,0xf7002fff,0x3600bfff,0xff91ceff,0x3fe005ff,
    0x3ffe26ff,0xffffffff,0x04ffffff,0x3fffff40,0x3fffee00,0xdfffb006,
    0x7fffffc4,0xffffffff,0x36204fff,0xffffffff,0x202effff,0x006ffffb,
    0x400dfffb,0x007ffffe,0xfd2fffe8,0x00ffffe7,0x0fffffd0,0x7fffe400,
    0xfffff981,0xffffffff,0x70ffffff,0xffffffff,0xffffffff,0x3fffee7f,
    0xffffffff,0xf8804eff,0xffffffff,0xffffffff,0x03ffff24,0xfffffb10,
    0xdfffffff,0xffffc805,0x3fff6201,0xffffffff,0xff9002ef,0xfffa83ff,
    0x3fa0003f,0xffffffff,0xc81bffe3,0x3ee0ffff,0x3ff63fff,0x36003fff,
    0x1001ffff,0xffff9015,0x3fffe005,0x3ffffe26,0xffffffff,0x2004ffff,
    0x2ffffff9,0x3fffee00,0xfffd802f,0x3ffffe26,0xffffffff,0xf304ffff,
    0xffffffff,0x9fffffff,0x3ffffee0,0x6fffd802,0xfffff300,0x7fc4005f,
    0x2a7fd0ff,0x260009ac,0x02ffffff,0x3ffff900,0xffffff30,0xffffffff,
    0x2e1fffff,0xffffffff,0xffffffff,0xfffff73f,0xffffffff,0x4401dfff,
    0xffffffff,0xffffffff,0x3ffff24f,0x3fffe600,0xffffffff,0x3204ffff,
    0xf301ffff,0xffffffff,0x9fffffff,0x3ffff900,0x03ffffa8,0x3ffff600,
    0x3e3fffff,0x3ff206ff,0x3ffee0ff,0xfffffb3f,0xfffe8007,0xff900007,
    0x3fe005ff,0x3ffe26ff,0xffffffff,0x04ffffff,0x3fffff20,0x3fee006f,
    0x6c00ffff,0x3fe26fff,0xffffffff,0x4fffffff,0xffffffd0,0xfffd979b,
    0xff705fff,0xd801ffff,0xf9006fff,0x00dfffff,0xe87fffc4,0xfc80003f,
    0x006fffff,0x03ffff90,0xfffffff3,0xffffffff,0x3ee1ffff,0xffffffff,
    0xffffffff,0xffffff73,0xffffffff,0x2203ffff,0xffffffff,0xffffffff,
    0x3ffff24f,0x3ffffa00,0xfecbcdff,0x902fffff,0x3a03ffff,0xcdffffff,
    0xfffffecb,0x7ffe402f,0x7fffd41f,0x3fea0003,0x3fffffff,0xfc81bffe,
    0x3fee0fff,0xffffcbff,0x7fc000ff,0x900007ff,0x2005ffff,0x3a26ffff,
    0xeeeeeeee,0xffffffee,0x3fffe003,0x7001ffff,0x09ffffff,0x226fffd8,
    0xeeeeeeee,0xfffffeee,0xffffc83f,0xfff300df,0xffb81fff,0x6c04ffff,
    0xff006fff,0x03ffffff,0xea7fffc0,0xff80003f,0x01ffffff,0x1ffffc80,
    0xeeeeee98,0xeefffffe,0xf70eeeee,0xdddddfff,0xdddddddd,0x3bfffee5,
    0xfeeeeeee,0x104fffff,0xdddddddd,0xfffffddd,0x7fffe47f,0xfffff900,
    0x3ffe601b,0xffc80fff,0xfffc81ff,0xff300dff,0x6401ffff,0x7d41ffff,
    0x40003fff,0xfffffffe,0x81bffe3f,0x2e0ffffc,0xfffeffff,0x2005ffff,
    0x006ffff8,0x5ffff900,0x1bfffe00,0x7fffd400,0x3fea005f,0x04ffffff,
    0xffffff70,0x7ffec03f,0xfff50006,0xfff30bff,0xfd1007ff,0xffb89fff,
    0x201fffff,0xa806fffd,0xffffffff,0x3fff6004,0x0003fedf,0x7fffffd4,
    0xfc8004ff,0xf8001fff,0xf7006fff,0x40005fff,0x402ffffb,0x06ffffd9,
    0xffffa800,0x7fffe45f,0xfffff980,0xfffe8803,0xffffc84f,0x7ffffcc1,
    0xfffe8803,0x3fff204f,0x7fffd41f,0x7f440003,0x23ffffff,0x3f206fff,
    0x3fee0fff,0xffffffff,0xf3002fff,0x0000bfff,0x00bffff2,0x0037fffc,
    0x77ffffcc,0x3fff6000,0x007fffef,0xfffffff7,0x37ffec0d,0x7fffcc00,
    0xfffc80ef,0x3fe6006f,0x3fee1fff,0x206fffff,0xd806fffd,0xfffeffff,
    0x3ffe6007,0x000dffff,0x3bffff60,0xc8007fff,0x8001ffff,0x7006ffff,
    0x0005ffff,0x017fffdc,0x07ffffc4,0xffff3000,0xfffc81df,0xffffc80f,
    0x3ffe6006,0x7ffe41ff,0x7fffe41f,0x3ffe6006,0xfff901ff,0xffffa83f,
    0xfd700003,0x7fc7ffff,0x3fff206f,0x3fffee0f,0xfffeffff,0xffa800ff,
    0x900005ff,0x2005ffff,0x4006ffff,0x1ffffff8,0x3fffe200,0x02ffffbc,
    0xffffffb8,0xfffb03ff,0xfff8800d,0xfff01fff,0xfd8005ff,0x3fee2fff,
    0x03ffffff,0x880dfffb,0xffbcffff,0x3f6002ff,0xdfffffff,0x7ffc4002,
    0x2ffffbcf,0x7fffe400,0xffff8001,0xffff7006,0x7fdc0005,0xffb002ff,
    0x220005ff,0x81ffffff,0xf80ffffc,0x4002ffff,0x642ffffd,0x7fc1ffff,
    0x6c002fff,0xf902ffff,0xffa83fff,0x400003ff,0x3e3fffc8,0x3ff206ff,
    0x3ffee0ff,0xff8bffff,0xf8804fff,0x00006fff,0x005ffff9,0x001bfffe,
    0x05fffffd,0x9ffffb80,0x806ffff8,0xfffffffb,0xfffd80ff,0x7fff4006,
    0xfff302ff,0xff5000ff,0x7ffdc9ff,0x80ffffff,0x5c06fffd,0xff89ffff,
    0x7e4006ff,0xffffffff,0xfff7000d,0xdffff13f,0xffffc800,0xffff8001,
    0xffff7006,0x7fdc0005,0xffd002ff,0x3a0003ff,0x902fffff,0xf981ffff,
    0xa8007fff,0x7e44ffff,0x3fe61fff,0xfa8007ff,0xff904fff,0xfffa83ff,
    0xb800003f,0x3ffe3fff,0x3ffff206,0x3ffffee0,0x3fffee4f,0xffff802f,
    0xff900007,0x3fe005ff,0x3f2006ff,0x8003ffff,0x3fa6fffe,0x7dc01fff,
    0xffffdfff,0x06fffd85,0x3fffff20,0x3fffea03,0xfff98006,0x3fffee5f,
    0xd85ffffd,0x7f406fff,0x3fffa6ff,0x7ed4001f,0xffffffff,0x6fffe800,
    0x007ffffa,0x01ffffc8,0x06ffff80,0x05ffff70,0x7fffdc00,0xffff9802,
    0xffc8000f,0x3f203fff,0x7fd40fff,0xf98006ff,0x7fe45fff,0x3ffea1ff,
    0xff98006f,0xfff905ff,0xffffa83f,0xfb800003,0x1bffe3ff,0x20ffffc8,
    0x84fffffb,0x806ffffe,0x000ffffe,0xffc817d1,0xfff002ff,0x3fee00df,
    0xa8005fff,0x3ea3ffff,0x7dc04fff,0xffff9fff,0x37ffec2f,0xfffffb80,
    0x7fffd405,0xfff88005,0x3fffee6f,0x42fffff9,0x2a06fffd,0x3ea3ffff,
    0x10004fff,0xffffffff,0xffffa809,0x13fffea3,0x1ffffc80,0x6ffff800,
    0xdffff700,0xdddddddd,0x7fdc7ddd,0xf73302ff,0x000bffff,0x0bfffff7,
    0x40ffffc8,0x005ffffa,0x46ffff88,0x2a1ffffc,0x8005ffff,0x906ffff8,
    0xfa83ffff,0x00003fff,0x3e3fffb8,0x3ff206ff,0x3ffee0ff,0xffff304f,
    0xfffd809f,0xfff7003f,0x3ffff25d,0xdffff002,0xfffff300,0xffb0001d,
    0x7ffc41ff,0x7ffdc07f,0x6ffffb8f,0x4037ffec,0x0efffff9,0x27fffdc0,
    0x7ffff800,0x2e3fffee,0x7ec6ffff,0x3ff606ff,0x3ffe20ff,0x3fa0007f,
    0x0fffffdc,0x83ffff60,0x007ffff8,0x007ffff2,0x01bfffe0,0x7fffffdc,
    0xffffffff,0x3ffee4ff,0xffffffff,0x0fffffff,0x7fffcc00,0x7fe400ef,
    0x7ffdc0ff,0xfff0004f,0xffffc8ff,0x13fffee1,0x3ffffc00,0x41ffffc8,
    0x003ffffa,0x3fffb800,0xfc81bffe,0x3fee0fff,0x3ff603ff,0x3ea01fff,
    0xfd007fff,0x3ff25fff,0xfff002ff,0xfff880df,0x88000fff,0xfd85ffff,
    0x3ee02fff,0xfffd0fff,0x37ffec7f,0x3ffffe20,0xfffb800f,0xff88004f,
    0x3ffee7ff,0x7ffffd0f,0x8837ffec,0xfd85ffff,0xd0002fff,0x3fffea7f,
    0xbffff101,0x05ffffb0,0x07ffff20,0x1bfffe00,0x7ffffdc0,0xffffffff,
    0x3fee4fff,0xffffffff,0x1effffff,0x7fffc400,0xffc800ff,0x7ffdc0ff,
    0xff88004f,0x7ffe47ff,0x3fffee1f,0xfff88004,0xffff907f,0x3ffffa83,
    0xffb80000,0x81bffe3f,0x2e0ffffc,0x2203ffff,0x406fffff,0x404ffffe,
    0x2e7ffffc,0xf002ffff,0xfe80dfff,0x0002ffff,0x505ffff7,0x5c0dffff,
    0xff30ffff,0x3ff61fff,0x7fff406f,0xff3002ff,0xf3000bff,0x7fdcdfff,
    0xffff30ff,0x1bfff61f,0x417fffdc,0x006ffffa,0xff1ff413,0x3fee05ff,
    0xfffa82ff,0xfff9006f,0xfff0003f,0x3fee00df,0xffffffff,0x24ffffff,
    0xfffffffb,0xefffffff,0xfffd0003,0x3f2005ff,0x7fcc0fff,0xf98005ff,
    0x7fe46fff,0x3ffe61ff,0xff98005f,0xfff906ff,0xffffa83f,0x9999999c,
    0xb8009999,0x3ffe3fff,0x3ffff206,0x0ffffee0,0x9fffff70,0x7ffffcc0,
    0x3ffae21e,0x3fee4fff,0xff8802ff,0x3ff606ff,0x20003fff,0xf00ffffe,
    0x2e03ffff,0x3f20ffff,0xfffb5fff,0x7fffec0d,0x3fe2003f,0xfa8006ff,
    0x3fee5fff,0x3fff20ff,0x0dfffb5f,0x403ffffa,0x901fffff,0x1ff4dfff,
    0x3a03fffb,0xff00ffff,0xf9003fff,0xf0003fff,0x2e00dfff,0x999bffff,
    0x99999999,0x3bfffee0,0xfffffffe,0x3ff60003,0x32003fff,0x7c40ffff,
    0xa8006fff,0x7e45ffff,0x3fe21fff,0xfa8006ff,0xff905fff,0xfffa83ff,
    0xffffffff,0x805fffff,0x3fe3fffb,0x3fff206f,0x3fffee0f,0xffffe803,
    0x3fff201f,0xfffeffff,0x2e0effff,0x8802ffff,0xf705ffff,0x000bffff,
    0x67ffffcc,0xffeccccc,0xfff704ff,0x7fff441f,0x06fffdaf,0x0bfffff7,
    0x1fffff00,0xffffb800,0x83fffee3,0xdaffffe8,0xff986fff,0xcccccfff,
    0x04ffffec,0x3a3ffff7,0x1ffff13f,0x9fffff30,0xffd99999,0xff9009ff,
    0xff0003ff,0x3ee00dff,0x20002fff,0x5c2ffffb,0x004fffff,0x5fffffb8,
    0x7fffe400,0x0fffff80,0x7fffdc00,0x0ffffe43,0x003ffffe,0x07ffff70,
    0x507ffff2,0xffffffff,0xffffffff,0x7fff700b,0xf9037ffc,0x7fdc1fff,
    0xffa803ff,0x7e406fff,0xffffffff,0x540effff,0x9803ffff,0xf985ffff,
    0x0006ffff,0x7fffffe4,0xffffffff,0xfff707ff,0xffffa81f,0x986fffde,
    0x006fffff,0x09ffffd0,0x7ffffc40,0x03fffee2,0xfbdffff5,0xfff90dff,
    0xffffffff,0x20ffffff,0xe8effff8,0x0dfff93f,0x3ffffff2,0xffffffff,
    0xffc807ff,0xff8001ff,0xff7006ff,0x5c0005ff,0xfa82ffff,0x2005ffff,
    0x06fffff9,0x0ffffc80,0x04ffffe8,0x3ffffe20,0x0ffffe42,0x013ffffa,
    0x2fffff88,0x83ffff90,0xfffffffa,0xffffffff,0xfffb805f,0xc81bffe3,
    0x3ee0ffff,0xfb003fff,0xa807ffff,0xffffffff,0xf981efff,0xfb806fff,
    0x7fc44fff,0x0000ffff,0x7ffffffc,0xffffffff,0xffb82fff,0xfffd80ff,
    0x446fffff,0x00ffffff,0xfffff700,0x3ffee001,0x3ffee0ff,0xffffd80f,
    0xff86ffff,0xffffffff,0xffffffff,0xfffffb02,0xffffdbff,0x3ffffe05,
    0xffffffff,0x402fffff,0x001ffffc,0x006ffff8,0x005ffff7,0x17fffdc0,
    0x4fffffc8,0xfffff880,0xffc8000f,0xfffb80ff,0xff7000ff,0xffc81fff,
    0x7ffdc1ff,0xff7000ff,0x3f201fff,0x7fd41fff,0xffffffff,0x05ffffff,
    0x3e3fffb8,0x3ff206ff,0x3ffee0ff,0xfff3003f,0xc8801fff,0xeffffffe,
    0x3fffe202,0x3ffe203f,0x7fff43ff,0x540001ff,0xffffffff,0xffffffff,
    0xfffb86ff,0xffff880f,0x7f46ffff,0x0001ffff,0x077ffff4,0x3ffffee0,
    0x07fffdc3,0x7fffffc4,0x7ffd46ff,0xffffffff,0x6fffffff,0xffffff10,
    0x0bffffff,0x3fffffea,0xffffffff,0x6406ffff,0x8001ffff,0x7006ffff,
    0x0005ffff,0x017fffdc,0x03fffffd,0x1fffffe8,0xffff9000,0x3ffffa01,
    0x7ffdc00e,0xfffc83ff,0xffffe81f,0x7ffdc00e,0x3ff203ff,0xcc8801ff,
    0x5c0000bc,0x3ffe3fff,0x0b332e06,0x0bccc880,0x75c40000,0x3f6003ef,
    0x221bffff,0x0fffffda,0x0ffffff6,0x3fff6000,0xaaaaaabf,0xfffffaaa,
    0x07fffdc1,0xffffffb8,0x3ffff66f,0xf980003f,0x40bfffff,0x6fffffd9,
    0x00ffffb8,0xfffffff7,0xbffffd8d,0xaaaaaaaa,0x01fffffa,0xffffffd3,
    0x7ec09fff,0xaaaabfff,0xfffaaaaa,0x3ff201ff,0xff8001ff,0xff7006ff,
    0x5c0005ff,0x2602ffff,0x206fffff,0x03fffffd,0x3ffff200,0xfffff300,
    0xffd9817f,0xff906fff,0xfff303ff,0xd9817fff,0x406fffff,0x801ffffc,
    0x04fffff8,0x8fffee00,0x3fa06fff,0x9800efff,0x003fffff,0x3fffee00,
    0xfff3006f,0xffdfffff,0x5c9fffff,0x99dfffff,0x99999999,0x7ffc4199,
    0x3ff2006f,0x7ffdc4ff,0x3fffa00f,0xfff76fff,0x33333bff,0x33333333,
    0x3fffff60,0xffffefff,0xfb81ffff,0x3fa00fff,0x226fffff,0x2006ffff,
    0x404ffffc,0xdffffffc,0x3fffe202,0x3fff2006,0x3fff204f,0xfff8001f,
    0xfff7006f,0x3333337f,0x23333333,0x402ffffb,0x84fffffb,0x9dfffffb,
    0x99999999,0x3ff21999,0x3ff600ff,0xfeffffff,0x1fffffff,0x03ffff90,
    0x3ffffff6,0xfffffeff,0x7e401fff,0xa8801fff,0x001fffdb,0x7c7fff70,
    0x32aa06ff,0xa8803fff,0x000fffdb,0x3fa61100,0xfff9002f,0xffffffff,
    0x7e41ffff,0xffffffff,0xffffffff,0x3fff20ff,0x3fe6003f,0x7ffdc7ff,
    0x3ffe600f,0xfff96fff,0xffffffff,0xffffffff,0xffff9101,0xffffffff,
    0x3ee05fff,0x3e600fff,0x326fffff,0x2003ffff,0x007ffff9,0x32009ff3,
    0x2003ffff,0x207ffff9,0x001ffffc,0x006ffff8,0xfffffff7,0xffffffff,
    0x3ffeefff,0xfffe802f,0x7ffe41ff,0xffffffff,0xffffffff,0x01ffff90,
    0x7ffffe44,0xffffffff,0x3ff202ff,0xff9101ff,0xffffffff,0x005fffff,
    0x003ffff9,0x0005fff0,0xff8fffee,0x9ffb006f,0x1fff8800,0xff700000,
    0x7ffd4009,0xffffffff,0x7ffe40df,0xffffffff,0xffffffff,0x03ffffe0,
    0x5ffffd00,0x007fffdc,0x5bfffff6,0xfffffffc,0xffffffff,0x2600ffff,
    0xfffffffe,0x200dffff,0x400ffffb,0x26fffffd,0x000fffff,0x017ffff4,
    0xff003fe8,0xe8001fff,0xf902ffff,0xf0003fff,0x2e00dfff,0xffffffff,
    0xffffffff,0x5ffff77f,0xfffff300,0xfffffc8d,0xffffffff,0x90ffffff,
    0x3001ffff,0xfffffffd,0x801bffff,0x401ffffc,0xffffffe9,0x00dfffff,
    0x03ffff90,0x7e54ccc4,0xf70000ff,0x37ffc7ff,0x3ee66662,0x266202ff,
    0x007ffda9,0xf7313300,0xd88001ff,0xffffffff,0xffff902e,0xffffffff,
    0x1fffffff,0x017fffea,0x9bfffee0,0x400ffffb,0x96fffff8,0xffffffff,
    0xffffffff,0xb7001fff,0xbdffffff,0xffff7005,0xffff8801,0xbffff56f,
    0xffff7000,0x00ffa00d,0x017fffea,0x1bfffee0,0x00ffffe4,0x037fffc0,
    0xffffffb8,0xffffffff,0xfff77fff,0x3fee005f,0x3ff23fff,0xffffffff,
    0xffffffff,0x1ffff90f,0x7ffedc00,0x002defff,0x003ffff9,0x3fffff6e,
    0x64002def,0x3201ffff,0x2fffffff,0x3ffee000,0xf51bffe3,0x09ffffff,
    0xffffffd8,0xf980001f,0x04ffffff,0x4d54cc00,0xffffc800,0xffffffff,
    0x0fffffff,0x005ffffb,0x3fffff10,0x003fffee,0x65bfffee,0xffffffff,
    0xffffffff,0x44000fff,0xfb8001a9,0xfb800fff,0xfffb6fff,0xff10005f,
    0x55003fff,0xffffb003,0xfff10005,0xfff903ff,0xfff0003f,0x3fee00df,
    0xffffffff,0x7fffffff,0x005ffff7,0x87fffff4,0xfffffffc,0xffffffff,
    0xff90ffff,0x220001ff,0xf90001a9,0x10003fff,0xc8000353,0x2e01ffff,
    0x00beeffe,0x16664c00,0xee987999,0xc801ceef,0x00bdeffe,0xdfdd3000,
    0x0000039d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8bdd9000,0x00005eec,
    0x05dddd70,0xdddd9000,0x05991003,0x155003db,0x30002aa0,0x80039999,
    0x8004fffe,0x3a23eee9,0xb80004ee,0x0002eeee,0x05eeee88,0x83bd9300,
    0x3a2004fd,0x3bba23ee,0xdddd9003,0x33332001,0x99910003,0xed880059,
    0x0fbb623e,0x073b2600,0x5c0007fb,0x3baa1eee,0x0000002e,0xccc88000,
    0x1ccccccc,0x21eeec80,0x2202eeeb,0x3ea0adeb,0x77744007,0x202f7744,
    0xccccccca,0xaaa984cc,0x53ffe602,0x0002fffb,0x4ffff880,0xfff88000,
    0xfffa803f,0x0ffcadff,0xfa85fd80,0x3fe2000f,0x74006fff,0xa8004fff,
    0x3fe64fff,0x7c40005f,0x00004fff,0x003ffff7,0xffffff10,0x8007ff9b,
    0xffd1fffc,0x7ff4400d,0xfffb804f,0xfd8002ff,0x4001ffff,0xffd1fffb,
    0xff98001d,0xffccffff,0x3ff20002,0x0fffee2f,0x7fe44000,0xf300000c,
    0xffffffff,0xfffb005f,0x017ffe43,0x9bfffffd,0xf8800dfd,0x3fffc6ff,
    0x3fffff20,0xfc87ffff,0x3ee00fff,0x04fffcff,0xfff70000,0x3f20000b,
    0xffb004ff,0xdfffffff,0x2b3fea00,0x4006feb9,0x4ffffffd,0x13fffa00,
    0x93ffea00,0x0005fff9,0x002fffdc,0x03ffff00,0x3fffee00,0x00ffffff,
    0xfdeffe80,0x7c4001ff,0x3e600fff,0x00ffffff,0x3ffffea0,0xffd8006f,
    0x001fffce,0xffffffb8,0x0000ffff,0xfb8bfff2,0x900003ff,0x0009fbdf,
    0x3ffffe60,0x802fffff,0x3f21fffd,0xfff102ff,0x7fffffff,0x6fff8800,
    0x3203fffc,0xffffffff,0xffffc87f,0x7fffec00,0x2000006f,0x00005fff,
    0x400bfff1,0xffda8aff,0x3f6002ef,0x01ffffff,0x32bffea0,0xfd001fff,
    0xf50009ff,0x7ffcc9ff,0x7ffc0005,0x3ee00005,0x360001ff,0xdffb514f,
    0x3fe20005,0x0003ffff,0x2207fff3,0xfff8effe,0x9fff1005,0x8009fff3,
    0x4ffffff8,0x227fd000,0x002effdb,0x717ffe40,0x00007fff,0x000fd97e,
    0xaaaaa880,0x800aaaaa,0x3f21fffd,0x4df502ff,0x004fffca,0x7c6fff88,
    0x554c07ff,0x2aaaaaaa,0x00ffffc8,0x0fffffc4,0xffb80000,0x3ee00006,
    0x4154005f,0xc88002a8,0x001effff,0xfd93ffe2,0xaaa800ef,0x9988001a,
    0x004ccc09,0x00dff500,0x02ffe800,0x44055400,0xffb80001,0x4c0006ff,
    0xfff907ff,0x00fffea1,0xffb9bffa,0x7fd4001f,0x2a0006ff,0x0001880a,
    0x44133310,0x80000999,0x003f25f8,0x20000000,0x4cc41998,0x20353009,
    0x26600009,0x00cccc09,0xfff90000,0x3331001f,0x44000001,0x44000019,
    0x00000019,0x00099800,0x4c419988,0x00000099,0x00155553,0x800aaaaa,
    0x00000998,0x000004cc,0x359b9731,0x33330000,0x33100001,0x31026660,
    0x13330013,0x80009998,0x00009999,0x03555530,0x55530000,0x90000035,
    0x000bf9bf,0x35555300,0x5554c000,0xaaaa980a,0x55553000,0x01555554,
    0x06aaaaa0,0x802aaaa6,0x260ffffc,0xaaaaaaaa,0x00099aaa,0x2aaaa600,
    0x4ccc4001,0x53000009,0x20001555,0x001aaaa9,0x02aaaa60,0x2aaaaaa6,
    0xaaaaaaaa,0xfff91aaa,0x3ffe005f,0x2aaaaa6f,0x55554002,0x5555531a,
    0x55555555,0xb8035555,0xfffffffe,0x54c00cff,0xaaaaaaaa,0xa980009a,
    0x55530aaa,0x2aa60005,0xaaaaaaaa,0x1aaaaaaa,0x55555553,0x55555555,
    0x7f400355,0x00007fff,0x07ffffe8,0xfffe8000,0xe800007f,0x0007ffff,
    0x207ffff2,0x006ffffb,0x7dcdfffb,0x7001ffff,0x903fffff,0x6403ffff,
    0x3ee0ffff,0xffffffff,0x04efffff,0xffffe800,0x7ffd4007,0xf900003f,
    0x20003fff,0x007ffffe,0x07ffff20,0x3fffffee,0xffffffff,0xfff93fff,
    0x3ffe005f,0x3fffee6f,0xfff7001f,0x3ffee3ff,0xffffffff,0x03ffffff,
    0xffffffb1,0x5dffffff,0x7ffffdc0,0xffffffff,0xfff9000c,0x3ffff23f,
    0xfffb8000,0xffffffff,0x73ffffff,0xffffffff,0xffffffff,0x3fe6007f,
    0x0002ffff,0x3ffffe60,0x2600002f,0x02ffffff,0x3ffe6000,0x90002fff,
    0xf703ffff,0xb005ffff,0xffe8dfff,0xff8806ff,0xff903fff,0x7fe403ff,
    0xffb988ff,0xffffffff,0x0effffff,0xffff3000,0x7d4005ff,0x00003fff,
    0x003ffff9,0xffffff30,0x3ff20005,0xfffb81ff,0xffffffff,0x93ffffff,
    0x2005ffff,0x7f46ffff,0xf8806fff,0x3ee3ffff,0xffffffff,0xffffffff,
    0xfffff983,0xffffffff,0xff704fff,0xffffffff,0x005fffff,0x323ffff9,
    0x8000ffff,0xfffffffb,0xffffffff,0xffff73ff,0xffffffff,0x007fffff,
    0x3ffffff2,0x3f200006,0x006fffff,0x3ffff200,0x200006ff,0x6ffffffc,
    0xffff9000,0xfffff703,0xfffd801f,0x7ffffcc6,0x7fffe402,0x3ffff206,
    0x3ffff201,0xffffbafa,0xffffffff,0x01ffffff,0xfffffc80,0x3fea006f,
    0x900003ff,0x0003ffff,0xdffffff9,0x3fff2000,0xffffb81f,0xffffffff,
    0xf93fffff,0x3e005fff,0x7fcc6fff,0x7e402fff,0x7fdc6fff,0xffffffff,
    0x3fffffff,0xffffffe8,0xfffecbcd,0xffb82fff,0xffffffff,0x05ffffff,
    0xc8ffffe4,0x8000ffff,0xfffffffb,0xffffffff,0xffff73ff,0xffffffff,
    0x007fffff,0x3ffffffe,0xff00001f,0x03ffffff,0x3fffe000,0x0001ffff,
    0xfffffff0,0xff90003f,0xfff703ff,0xfd809fff,0xfffc86ff,0xfff300ff,
    0x7fe403ff,0x3ff201ff,0xffbaffff,0xeeeeeeff,0xffffffee,0xffff8004,
    0x5001ffff,0x0007ffff,0x07ffff20,0x3ffffe00,0xc8001fff,0xfb81ffff,
    0xeeeeefff,0xeeeeeeee,0x05ffff92,0x21bfffe0,0x00fffffc,0x83fffff3,
    0xeeeffffb,0xeeeeeeee,0x7ffe42ee,0xff300dff,0xfb81ffff,0xeeeeefff,
    0xfffffffe,0x3ffff202,0x01ffff91,0xdffff700,0xdddddddd,0x3ee5dddd,
    0xeeeeefff,0xeeeeeeee,0xffffa802,0x0004ffff,0xffffffa8,0xa80004ff,
    0xffffffff,0xffa80004,0x04ffffff,0x1ffffc80,0xffffffb8,0x3fff601f,
    0xfffff886,0x9ffffb04,0x1ffffc80,0x3fffff20,0x2ffffb8f,0x7fffecc0,
    0x7ffd4006,0x004fffff,0x007ffff5,0x3ffff200,0x7ffd4001,0x004fffff,
    0x81ffffc8,0x002ffffb,0x0bffff20,0x437fffc0,0x04fffff8,0x709ffffb,
    0x0005ffff,0x3fffff98,0xffffe880,0x17fffdc4,0xffffff70,0x3ffff201,
    0x01ffff91,0x5ffff700,0x7ffdc000,0xb000002f,0xfffdffff,0xffb0000f,
    0x0ffffdff,0xffffb000,0x000ffffd,0xfdffffb0,0xf9000fff,0xff703fff,
    0x40dfffff,0xf506fffd,0xfa81ffff,0x6400ffff,0x3201ffff,0xf70effff,
    0xf1005fff,0x4001ffff,0xffeffffd,0xfff5007f,0x3200007f,0x4001ffff,
    0xffeffffd,0xffc8007f,0xfffb81ff,0x3f20002f,0xff002fff,0x3fea0dff,
    0x7fd40fff,0xffb80fff,0x640002ff,0x2006ffff,0x21fffff9,0x802ffffb,
    0x904ffffe,0x3f23ffff,0xb8000fff,0x0002ffff,0x00bfffee,0x3ffe2000,
    0x2ffffbcf,0x3ffe2000,0x2ffffbcf,0x3ffe2000,0x2ffffbcf,0x3ffe2000,
    0x2ffffbcf,0x7fffe400,0xfffffb81,0xffb03fff,0x7ffec0df,0x7ffff45f,
    0xffffc802,0x3ffff201,0x0bfffee0,0x17fffec0,0xcffff880,0x802ffffb,
    0x003ffffa,0x3ffff900,0x7fffc400,0x02ffffbc,0x0ffffe40,0x017fffdc,
    0x5ffff900,0x1bfffe00,0x45ffffd8,0x702ffffe,0x0005ffff,0x02fffff8,
    0x17fffec0,0x005ffff7,0x01fffff3,0x323ffff9,0xd930ffff,0xff7039df,
    0x5c0005ff,0x0002ffff,0x9ffffb80,0x006ffff8,0x27fffee0,0x006ffff8,
    0x27fffee0,0x006ffff8,0x27fffee0,0x006ffff8,0x40ffffe4,0xfffffffb,
    0xfffd80ff,0x3fffe206,0xbffff72f,0x3ffff200,0xffffd301,0x17fffdc1,
    0x1ffffe80,0x3ffff700,0x00dffff1,0x007ffff5,0x3ffff200,0x3ffee001,
    0x6ffff89f,0x7fffe400,0x2ffffb81,0x3fff2000,0xffff002f,0x7fffc40d,
    0xbffff72f,0x17fffdc0,0xffff3000,0xfff5000f,0x7fffdc9f,0xffffb002,
    0x3ffff903,0x2e3ffff2,0x4fffffff,0x017fffdc,0x5ffff700,0xffd00000,
    0x7ffff4df,0xfffd0001,0x0fffff4d,0x6fffe800,0x007ffffa,0xd37fff40,
    0x4003ffff,0xb81ffffc,0xfffdffff,0x6fffd85f,0x77fffdc0,0x00fffff8,
    0x03ffff90,0x1ffffff5,0x017fffdc,0x07ffffcc,0x26fffe80,0x401ffffe,
    0x003ffffa,0x3ffff900,0x37fff400,0x003ffffd,0x40ffffe4,0x002ffffb,
    0x0bffff20,0x037fffc0,0x23bfffee,0x200fffff,0x002ffffb,0x1bfffea0,
    0x3fffe600,0x0bfffee5,0x17fffdc0,0xc8ffffe4,0xfffdffff,0x23ffffff,
    0x002ffffb,0x0bfffee0,0xfff50000,0x7fffd47f,0xfffa8004,0x3fffea3f,
    0xfffa8004,0x3fffea3f,0xfffa8004,0x3fffea3f,0x3fff2004,0xffffb81f,
    0x42fffff9,0xe806fffd,0xffffffff,0x3ff2003f,0xfffe81ff,0x3fee0fff,
    0xf73302ff,0x200bffff,0x2a3ffffa,0x5404ffff,0x0003ffff,0x03ffff90,
    0x8ffffea0,0x004ffffa,0x207ffff2,0xeeeffffb,0xeeeeeeee,0x3ffff23e,
    0xdffff002,0xfffffd00,0xb807ffff,0xeeeeffff,0xeeeeeeee,0x17fffea3,
    0x3fffe200,0x0bfffee6,0x1ffffd40,0xc8ffffe4,0xcfffffff,0x27fffffd,
    0xeeeffffb,0xeeeeeeee,0x3fffee3e,0xeeeeeeee,0x6c03eeee,0x3e20ffff,
    0xd8007fff,0x3e20ffff,0xd8007fff,0x3e20ffff,0xd8007fff,0x3e20ffff,
    0x32007fff,0xfb81ffff,0xfffb8fff,0x37ffec6f,0x7ffffcc0,0x64006fff,
    0xee81ffff,0x2e0ffffd,0xffffffff,0xffffffff,0xffb000ff,0x7ffc41ff,
    0x7ffd407f,0xf900003f,0x36003fff,0x3e20ffff,0x32007fff,0xfb81ffff,
    0xffffffff,0x4fffffff,0x00bffff2,0x4037fffc,0xfffffff9,0xfffb806f,
    0xffffffff,0x2e4fffff,0x0004ffff,0x7dcfffff,0xf3002fff,0xff909fff,
    0x3fff23ff,0x7ff443ff,0xffff71ff,0xffffffff,0x7dc9ffff,0xffffffff,
    0x4fffffff,0x17fffe20,0x00bffff6,0x85ffff88,0x002ffffd,0x217fffe2,
    0x002ffffd,0x217fffe2,0x002ffffd,0x703ffff9,0x3fa1ffff,0x3ff63fff,
    0xfff9006f,0x8003ffff,0xc81ffffc,0x20ffffc8,0xfffffffb,0xffffffff,
    0xff1001ef,0xfffb0bff,0x7ffd405f,0xf900003f,0xf1003fff,0xffb0bfff,
    0x3f2005ff,0xffb81fff,0xffffffff,0x24ffffff,0x002ffffc,0x200dffff,
    0xfffffffc,0xffffb801,0xffffffff,0x3ee4ffff,0x88004fff,0x3ee7ffff,
    0xf3002fff,0xff90bfff,0x3fff23ff,0xffff505f,0x3ffffee5,0xffffffff,
    0x3fee4fff,0xffffffff,0x04ffffff,0x20bfffee,0x006ffffa,0x20bfffee,
    0x006ffffa,0x20bfffee,0x006ffffa,0x20bfffee,0x006ffffa,0x703ffff9,
    0x3e61ffff,0xffb0ffff,0x7ff400df,0xc8004fff,0x3201ffff,0x3ee0ffff,
    0xffffffff,0x03efffff,0x17fffdc0,0x037fffd4,0x007ffff5,0x3ffff200,
    0xffffb801,0x6ffffa82,0x3ffff900,0xffffff70,0xffffffff,0x7ffdc9ff,
    0xffff002f,0x7fff400d,0xff7004ff,0xffffffff,0x49ffffff,0x005ffff9,
    0x26ffff98,0x002ffffb,0x90dffff3,0x3f23ffff,0xff302fff,0x3ffee5ff,
    0xffffffff,0x2e4fffff,0xffffffff,0xffffffff,0x3ffffa04,0x3fffff00,
    0x3ffffa00,0x3fffff00,0x3ffffa00,0x3fffff00,0x3ffffa00,0x3fffff00,
    0x3ffff900,0x41ffff70,0xfb5ffffc,0x7d400dff,0x8000ffff,0x201ffffc,
    0x2e0ffffc,0xffeeffff,0x003fffff,0x01ffffd0,0x407ffffe,0x003ffffa,
    0x3ffff900,0x1ffffd00,0x07ffffe0,0x07ffff20,0x26ffffee,0x99999999,
    0x3ffee099,0xfff8802f,0x3fea006f,0xf7000fff,0x33337fff,0x13333333,
    0x037fffc4,0x2ffffd40,0x005ffff7,0x213fffea,0xf91ffffc,0x3e603fff,
    0xfff73fff,0x3333337f,0x5c133333,0x999bffff,0x99999999,0xfffff300,
    0xfd999999,0xf3009fff,0x9999ffff,0x9ffffd99,0xfffff300,0xfd999999,
    0xf3009fff,0x9999ffff,0x9ffffd99,0x3ffff900,0x41ffff70,0xdaffffe8,
    0x22006fff,0x0005ffff,0x403ffff9,0x2e0ffffc,0x7dc2ffff,0x4004ffff,
    0xccfffff9,0xfffecccc,0xffff504f,0x3f200007,0x7cc01fff,0xccccffff,
    0x4ffffecc,0x1ffffc80,0x02ffffb8,0x3fffee00,0xffff8802,0x3ffe2005,
    0x3fee005f,0x7c0002ff,0x4000ffff,0x2e3ffffb,0x7002ffff,0xf907ffff,
    0x3ff23fff,0xfff100ff,0x3fffee7f,0x3fee0002,0x900002ff,0xffffffff,
    0xffffffff,0xffff900f,0xffffffff,0x900fffff,0xffffffff,0xffffffff,
    0xffff900f,0xffffffff,0x900fffff,0xf703ffff,0xffa81fff,0x6fffdeff,
    0x3fffe200,0xfff90005,0x7ffe403f,0x3fffee0f,0xfffffa82,0x3fff2005,
    0xffffffff,0x507fffff,0x0007ffff,0x07ffff20,0xffffff90,0xffffffff,
    0xff900fff,0xfff703ff,0x7d40005f,0xf9803fff,0x22005fff,0x2005ffff,
    0x002ffffb,0x27ffff40,0xfffff100,0x17fffdc5,0x2ffffc80,0x91ffffc8,
    0x2201ffff,0xff73ffff,0x5c0005ff,0x0002ffff,0xfffffff0,0xffffffff,
    0xff805fff,0xffffffff,0xffffffff,0x7ffffc02,0xffffffff,0x402fffff,
    0xffffffff,0xffffffff,0x7fe402ff,0xfffb81ff,0xffffd80f,0x2006ffff,
    0x005ffff8,0x03ffff90,0x707fffe4,0x3205ffff,0x004fffff,0xffffffff,
    0xffffffff,0xfff505ff,0x3200007f,0x7c01ffff,0xffffffff,0xffffffff,
    0x7ffe402f,0xffffb81f,0x3fe60002,0xffb806ff,0x3e2004ff,0x2e005fff,
    0x0002ffff,0x07ffffdc,0xfffffb80,0x0bfffee0,0x0fffff40,0xc8ffffe4,
    0xf100ffff,0x3fee7fff,0x2e0002ff,0x0002ffff,0xffffffa8,0xffffffff,
    0x2a06ffff,0xffffffff,0xffffffff,0x3fea06ff,0xffffffff,0xffffffff,
    0x3fffea06,0xffffffff,0x06ffffff,0x40ffffe4,0x880ffffb,0xffffffff,
    0x3ffe2006,0xff90005f,0x7fe403ff,0x3ffee0ff,0x3fffa02f,0x7fd401ff,
    0xffffffff,0xffffffff,0x3ffffa86,0xfff90000,0x7ffd403f,0xffffffff,
    0x6fffffff,0x0ffffe40,0x017fffdc,0xfffff100,0x7fffc407,0x3fe2003f,
    0x3ee005ff,0x80002fff,0x00effffe,0x1fffffdc,0x00bfffee,0x41bfffea,
    0xf91ffffc,0x3e201fff,0xfff73fff,0x7dc0005f,0x80002fff,0xaabffffd,
    0xfaaaaaaa,0xfb01ffff,0x55557fff,0xfff55555,0x3ff603ff,0xaaaaabff,
    0xffffaaaa,0xffffb01f,0x55555557,0x3fffff55,0x0ffffe40,0x807fffdc,
    0xfffffffb,0x3ffe2006,0xff90005f,0x7fe403ff,0x3ffee0ff,0x3ffe602f,
    0x7fec06ff,0xaaaaabff,0xffffaaaa,0x7fffd41f,0xff900003,0x7fec03ff,
    0xaaaaabff,0xffffaaaa,0x3fff201f,0xffffb81f,0x7fec0002,0x2a21bfff,
    0x00fffffd,0x17fffe20,0x2ffffb80,0xfff98000,0x6cc0bfff,0xb86fffff,
    0x4402ffff,0x902ffffe,0x3f23ffff,0xff100fff,0x3ffee7ff,0x3ee0002f,
    0x40002fff,0x006ffff8,0x213ffff2,0x006ffff8,0x213ffff2,0x006ffff8,
    0x213ffff2,0x006ffff8,0x813ffff2,0xb81ffffc,0x3a00ffff,0x06ffffff,
    0x17fffe20,0x7fffe400,0x3fee0001,0x7fdc02ff,0xff104fff,0x7e400dff,
    0x7fd44fff,0x99999cff,0x00999999,0x203ffff9,0x006ffff8,0x813ffff2,
    0xb81ffffc,0x999bffff,0x99999999,0x3fffe619,0xfffeffff,0x4004ffff,
    0x005ffff8,0x26ffffee,0x99999999,0xffd81999,0xfeffffff,0x1fffffff,
    0x9bffffb8,0xffc99999,0x3f205fff,0xfff91fff,0x3ffe201f,0x7ffff73f,
    0x33333333,0x3ee33333,0x9999bfff,0x99999999,0x0fffff21,0x7ffff980,
    0x03ffffc8,0x1ffffe60,0x00fffff2,0x87ffff98,0x003ffffc,0x81ffffe6,
    0xb81ffffc,0x2600ffff,0x06ffffff,0x17fffe20,0x7fffe400,0x3fee0001,
    0xffe802ff,0xffc81fff,0x3e6003ff,0x7fd47fff,0xffffffff,0x05ffffff,
    0x203ffff9,0x003ffffc,0x81ffffe6,0xb81ffffc,0xffffffff,0xffffffff,
    0x7fffe47f,0xffffffff,0x44000fff,0x2005ffff,0xfffffffb,0xffffffff,
    0xffc887ff,0xffffffff,0x702fffff,0xffffffff,0xffffffff,0x7ffe401f,
    0x1ffff91f,0x4ffffe20,0xfffffffb,0xffffffff,0xffff77ff,0xffffffff,
    0x7cffffff,0x4000ffff,0x7c2ffffe,0x4000ffff,0x7c2ffffe,0x4000ffff,
    0x7c2ffffe,0x4000ffff,0x902ffffe,0xf703ffff,0xfd801fff,0x2006ffff,
    0x005ffff8,0x03ffff90,0x7fffdc00,0xffff9802,0xfffff86f,0x7fff4000,
    0x3fffea2f,0xffffffff,0xf905ffff,0x3fe03fff,0x74000fff,0xf902ffff,
    0xff703fff,0xffffffff,0xffffffff,0xffffff50,0x1bffffff,0xffff1000,
    0x7ffdc00b,0xffffffff,0x07ffffff,0x3fffffa6,0x0dffffff,0x3ffffee0,
    0xffffffff,0x7e403fff,0xfff91fff,0x3ffe201f,0xfffff73f,0xffffffff,
    0x3eefffff,0xffffffff,0xffffffff,0x0bffff57,0xdffff700,0x02ffffd4,
    0x37fffdc0,0x00bffff5,0x4dffff70,0x005ffffa,0x06ffffb8,0x703ffff9,
    0x8801ffff,0x006fffff,0x017fffe2,0x0ffffe40,0xffff7000,0x3ffee005,
    0x3ffea3ff,0xffb8005f,0x3ffea6ff,0xffffffff,0x905fffff,0xf503ffff,
    0x7000bfff,0x320dffff,0xfb81ffff,0xffffffff,0xffffffff,0xffffb107,
    0x005dffff,0x2ffffc40,0xfffff700,0xffffffff,0x700fffff,0xdffffffb,
    0xfff7005b,0xffffffff,0x9001bfff,0x3f23ffff,0xff100fff,0x3ffee7ff,
    0xffffffff,0x77ffffff,0xffffffff,0xffffffff,0x3ffff6ff,0xfff88002,
    0xffffb1ff,0xfff10005,0x3fff63ff,0xff88002f,0xfffb1fff,0xff10005f,
    0xff903fff,0xfff703ff,0xfff7001f,0x7fc400df,0xf90005ff,0x40003fff,
    0x002ffffb,0x43fffffa,0x002ffffd,0x1fffff88,0xfffffff5,0xffffffff,
    0x3fff20bf,0xffffd81f,0xfff88002,0xfffc81ff,0xffffb81f,0xffffffff,
    0x807fffff,0x0009aa99,0xbffff100,0x7fffdc00,0xffffffff,0x007fffff,
    0x4000d4c4,0xfffffffb,0x01cceeff,0x47ffff20,0x100ffffc,0x3ee7ffff,
    0xffffffff,0xffffffff,0xffffff77,0xffffffff,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0xee880aaa,0x0fbba63e,0x4c5ddd30,
    0x00002eee,0x70035555,0xdd31bddd,0xeed803dd,0x0000005e,0x77776400,
    0xdcba8001,0x654000bc,0x774404cc,0x03776c5e,0xccccccc8,0x10002ccc,
    0x0359b973,0x20000000,0x00000001,0x00000000,0x06f776c0,0x0005c400,
    0x00002e20,0xddb00000,0x1f64009d,0x76c02ed8,0x9503db02,0xca801999,
    0x20000ccc,0x5531aaaa,0xe81a8015,0xff702fff,0x0dffd13f,0x223fff60,
    0x00005fff,0x2013fffe,0xffb2ffff,0xfffc807f,0x5c4003ff,0x0ceeffee,
    0xffff8800,0x7ff4c003,0x00cfffff,0x01ffff90,0x3e37ffc4,0xfff007ff,
    0xbfffffff,0xfffea800,0x0dffffff,0xcb988000,0xfd80abcd,0xa8b332a2,
    0x801bdfdc,0x2cefedb8,0x3bf72200,0x0b332e2c,0x0ffffdc0,0x27ffe400,
    0x3fffd800,0x7ff6d400,0x20003def,0x2005fffe,0x7fd40ffb,0x5c37e401,
    0xfffa80ff,0x7fff404f,0x3fe20007,0x7fffb4ff,0x3a0bfa60,0x3fa02fff,
    0x01fffdef,0xfdbffd10,0x320001ff,0xffffcccc,0xfff701ce,0x017ffe67,
    0xfffdfff3,0x3fff2003,0x4fffffff,0x27ffe400,0x3fffe600,0x05ffffff,
    0x01ffff90,0x3e37ffc4,0xfff007ff,0xbfffffff,0x3fff2200,0xffffffff,
    0xd50002ff,0xffffffff,0x3fff219f,0x32bfff91,0x3fffffff,0x3ffffea0,
    0x5400dfff,0x5fffffff,0x2009fffb,0x8001fffe,0x01fdadf9,0x7f567d40,
    0xffff9800,0x0dffffff,0x5fffe800,0x33bfe200,0x9806ffdb,0xffdbceff,
    0x1bfffe05,0x04ffff88,0x3fffe200,0x887fffb4,0xfe82fffc,0x3fe202ff,
    0x4003ffff,0x2ffffff9,0xffff1000,0x7fffffff,0xfc93ffa0,0x7ff4406f,
    0x806ffe8d,0xfffffffb,0x004fffff,0x000bfff1,0xd9dfffff,0x9007ffff,
    0x4401ffff,0x7ffc6fff,0x55555007,0x00355555,0xffffffd3,0xffffffff,
    0x7e4400bf,0xffffffff,0xfffdffff,0x377fff24,0xffffffff,0xffffc82f,
    0x1fffffff,0xffffff70,0xfffdbfff,0x5fff5009,0x443f2000,0x33ec004f,
    0xfff8807f,0xffffffff,0x7f4000ef,0x7dc005ff,0x00ffffff,0xffffff90,
    0x7ffe401d,0xffff701f,0x7fc40003,0x7fffb4ff,0x82ffffa8,0x5401ffed,
    0x0005ffff,0x009ffff9,0x7ffffc40,0x83ffffff,0x3fe25ffa,0x7ffec00f,
    0x409fff30,0xaceffff8,0x0fffffdb,0x005ffb80,0x43ffff98,0xc805fffc,
    0x4c00ffff,0x0cccc099,0x74000000,0xcdffffff,0xfffffedb,0xffe9803f,
    0xffffffff,0x5fffffff,0x7fffffe4,0xfffffdcf,0x7ffffcc7,0x6fffffcf,
    0xefffff88,0xfffffecc,0x2ffe804f,0x54bee000,0x8fe4002f,0x7fe401fb,
    0xffecdfff,0x5c002fff,0x98002ccc,0x000ceffd,0x0277fed4,0x827fffcc,
    0x0006fffe,0xca7fffc4,0x7fd42ffe,0x03fe02ff,0x00266660,0x00199980,
    0xfaaaaa80,0x880adfff,0x004cc419,0x26204ccc,0x3ffea019,0x5dfff507,
    0x00033100,0x107fffea,0x0000ffff,0x2aaaaaa6,0xaaaaaaaa,0x55531aaa,
    0x55555555,0x83555555,0x0dfffffb,0xffffff50,0xffffe801,0xfecbcdff,
    0xc86fffff,0x443fffff,0x3a0fffff,0x7dc2ffff,0x7fec2fff,0xfffc84ff,
    0x099804ff,0x77fc4000,0xff88007f,0x7fc406fe,0xfffa85ff,0x0000004f,
    0x00000000,0x10dfffd0,0x0007ffff,0x44ffff88,0x7ffd41fe,0x00ff502f,
    0x00000000,0x3fffe000,0x00000004,0xffff7000,0x00006a05,0xffff3000,
    0x06fffc89,0x3ee03310,0xffffffff,0xffffffff,0xffffff73,0xffffffff,
    0x7fc47fff,0xe8803fff,0x2e04ffff,0x00dfffff,0x1fffffd3,0x05ffffc8,
    0x2a3ffff9,0xfd04ffff,0x7ffc4dff,0x3fff606f,0x0500004f,0x002fb220,
    0x005f64c0,0xf8065cc4,0x00004fff,0x00000000,0xffff7000,0x0ffffb83,
    0x7ffc4000,0x4c3fe64f,0xcdffffdc,0x805ff72c,0x2deffeca,0x3fbae200,
    0x1000ceef,0x7c59dfb9,0x66544fff,0x3332204c,0x3fb2a01c,0x7cc02def,
    0x0aceffff,0xffd95000,0x7fc005bd,0xfff31fff,0x3ff2007f,0xfffffb80,
    0xffffffff,0xff73ffff,0xffffffff,0x7fffffff,0x037fffe4,0x3fffff50,
    0x7fffff10,0xffffe880,0x7fffe44f,0x5ffff501,0x40bfffee,0xf30ffffb,
    0x7d407fff,0x2e204fff,0x70ceffed,0x000000bf,0xd3000000,0x2200bfff,
    0x02cefedb,0x8813332a,0x7101cccc,0x0059dfdb,0xe89ffff1,0xc9805fff,
    0xff12cefd,0x8ffea9ff,0xfffffffb,0x409ff3ff,0xffffffd8,0x7e401eff,
    0xffffffff,0x7ffd404f,0xff8dffff,0x7ffe44ff,0x3fffe607,0xffffd882,
    0x101effff,0xffffffff,0xb10037bf,0xffffffff,0xfff7003d,0xfffff7ff,
    0x07ff6001,0x3fffffee,0xffffffff,0xfff73fff,0xffffffff,0x47ffffff,
    0x002ffffe,0x417fffec,0x406ffffc,0xffffffe8,0x3ffff20f,0x7ffff300,
    0x2afffff2,0xfffbaaaa,0x5ffff51f,0x27fffc40,0xffffffb8,0x05ffdfff,
    0x3bfffb6a,0x9999503d,0x0e666440,0x3fff6ea0,0xfa805fff,0xdfffffff,
    0x07fffc80,0x20bfffe6,0xfffffffa,0x7fec00df,0x3fffe26f,0x7fffdc02,
    0xfff8cfff,0xfb8bfd4f,0xffffffff,0x7fcc0353,0xffffffff,0xfff701ff,
    0xffffffff,0x3fff209f,0xfeffffff,0x7fe44fff,0x3ffe607f,0x7fffcc2f,
    0xffffffff,0xfffff301,0x1bffffff,0x3ffffe60,0x1fffffff,0xfffffe80,
    0x2002ffff,0xffb82ffe,0xeeeeeeff,0x2eeeeeee,0xdddffff7,0xdddddddd,
    0x7fffc5dd,0xfffa8007,0xffffe84f,0x77ffec02,0x3f23ffff,0xff300fff,
    0x3fff67ff,0xffffffff,0xff72ffff,0xfff803ff,0x7ffec44f,0xffffffff,
    0xfff980ef,0xdfffffff,0x03fffe40,0x705ffff3,0xfffffffb,0xfc80bfff,
    0xffffffff,0x7ffe41ff,0x3fffe607,0x7ffffe42,0x01ffffff,0x5c7fffea,
    0x7e407fff,0xffffffff,0x354ffffe,0xffffff70,0x3a007fff,0xfdefffff,
    0xf886ffff,0xdbacefff,0x440fffff,0xccefffff,0x4ffffffe,0x303fffe4,
    0xfe85ffff,0xffdeffff,0x36606fff,0xffffffff,0xffe80fff,0xfffdefff,
    0xff9806ff,0x01efffff,0x5c1fff40,0x0002ffff,0x00bfffee,0x6ffff880,
    0xffff9800,0x07ffff85,0x7dd7ffec,0x3ff24fff,0x3ffe607f,0xfffffd3f,
    0xffffffff,0x3ffee7ff,0x7fffc01f,0x7ffffe44,0xfffffecd,0xfffff885,
    0xefffffff,0x81ffff20,0x222ffff9,0xfffffffe,0x205ffffd,0xcffffff9,
    0x646fffff,0x3e607fff,0x3fe62fff,0xfffcffff,0x7ffc06ff,0x09fffb4f,
    0x77ffffcc,0xfffffecc,0xfff5004f,0xffb8005f,0x3f621dff,0x7fd42fff,
    0xdfff507f,0x5ffffd85,0x4fffffc8,0x303fffe4,0x7dc5ffff,0x3621dfff,
    0x4402ffff,0xffffffeb,0x7ffdc6ff,0x3ff621df,0x3f6202ff,0x00efffff,
    0xb83fff80,0x0002ffff,0x00bfffee,0x5ffff980,0xffff8800,0x37fffc46,
    0x2a7fff90,0x3f25ffff,0x3fe607ff,0xffffb3ff,0x99999999,0x3fea5999,
    0x3fe202ff,0x3ffe64ff,0x7ffd40ef,0x7ffe42ff,0xfffecdff,0x3fff22ff,
    0x3fffe607,0xdffffd12,0x2ffff437,0x85ffffd0,0x322ffffb,0x3e607fff,
    0x3ffa2fff,0x7ffdc2ff,0x3fff202f,0x01ffff8e,0x213ffff6,0x04fffffc,
    0x05ffff50,0x06ffff80,0xb87dfff3,0x3502ffff,0x1bfffe20,0x44ffffe8,
    0x2607fffc,0x3fe2ffff,0xfff306ff,0x6544007d,0x20ffffff,0xf306ffff,
    0x3ee07dff,0xffffffff,0x7ffc4002,0x2ffffb84,0x3ffee000,0x3ee0002f,
    0xf0004fff,0xffa8ffff,0xfff705ff,0x37fffcc9,0x4c0ffff9,0xff93ffff,
    0xf30003ff,0x7d409fff,0x3ffa4fff,0xfffe80ff,0x3ffe26ff,0xffffa85f,
    0x81ffff24,0xf52ffff9,0x3fa07fff,0xfff505ff,0x3fffa09f,0x81ffff26,
    0xf52ffff9,0x3fa09fff,0x3fe606ff,0x06fffcff,0x81bfffe2,0x004ffffe,
    0x005ffff5,0x01ffffc4,0x7ffcc035,0x800aceff,0x203ffff9,0x644ffffa,
    0x3e607fff,0xfff12fff,0x100d407f,0x7ec07953,0xfff11fff,0x200d407f,
    0xfffffffb,0x2b20ffff,0x0bfff300,0x005ffff7,0x17fffdc0,0xffff5000,
    0xfff10009,0xffffb8ff,0x45fffa84,0x327ffff8,0x3e607fff,0xfff73fff,
    0x026ea07f,0x01fffff1,0x453ffffa,0xfd83ffff,0x20ffffef,0xff00cb98,
    0x7ffe49ff,0x3fffe607,0x01ffff92,0x5c17fffe,0xf702ffff,0x3ff21fff,
    0x3ffe607f,0x5ffff72f,0x03fffee0,0xffffffe8,0x3ffe603f,0x3ffee03f,
    0xfff5004f,0x7fd4005f,0x220002ff,0xffffffff,0xff501bdf,0x7fcc05ff,
    0x7ffe44ff,0x3fffe607,0x05ffff52,0x7ffffc00,0x4ffff901,0x002ffffa,
    0x3ffffe60,0x6ffffe8c,0x981ffff5,0xffb86fff,0x2e0002ff,0x0002ffff,
    0x017fffe6,0x1bfffe60,0x989ffff5,0xff886fff,0x3fff27ff,0x3fffe607,
    0x0dffff13,0x41fffff1,0x23fffffc,0x4fffffe8,0xc83ffff3,0xffff9cff,
    0x7ff4c002,0x1ffff25f,0xb2ffff98,0xf903ffff,0x3f20bfff,0xaaaabfff,
    0x91ffffba,0x7cc0ffff,0xfff92fff,0x7555557f,0x5c03ffff,0x0fffffff,
    0x07fffea0,0x04ffff98,0x05ffff50,0x0ffffdc0,0x3ffe6000,0xffffffff,
    0x7fffdc0d,0x3fffe201,0x03fffe44,0x2e5ffff3,0x0001ffff,0x2fbfffee,
    0xdffff730,0x00ffffdc,0x7ffffd00,0x67ffffcc,0xfa86fffd,0xfffb87ff,
    0xeeeeeeef,0x2e3eeeee,0xeeeeffff,0xeeeeeeee,0x1bfffe23,0x3fffea00,
    0x37fffcc4,0x301dfff3,0x7e4dffff,0x3fe607ff,0x3fff23ff,0xffda9cff,
    0x7ffcc4ff,0xfffeffff,0xff74ffff,0xaffd41ff,0x403ffff8,0xfffffdba,
    0x1ffff25f,0x72ffff98,0x263bffff,0x06fffffc,0xfffffffb,0xffffffff,
    0x81ffff25,0xfb2ffff9,0xffffffff,0x05ffffff,0x7fffffc4,0x7fffe406,
    0x3fffe200,0xffff5004,0x7ffdc005,0xd980001f,0xffffffff,0x3fee0fff,
    0x7ffc01ff,0x3fffe44f,0x25ffff50,0x001ffffb,0x3ffffa20,0xffffffff,
    0x3fffee1f,0xfff30001,0xffff50df,0x707fffff,0xff70ffff,0xffffffff,
    0x49ffffff,0xfffffffb,0xffffffff,0x3ffffc4f,0x3ffee010,0x7fffc43f,
    0x01fffd17,0xc97fffea,0x3e607fff,0x3fa23fff,0xffffffff,0xffa80eff,
    0xcfffffff,0xff74ffff,0x1bfe61ff,0xb709ffff,0xffffffff,0x7ffe4bff,
    0x3fffe607,0xffffff32,0xffffffff,0x3ffffa0f,0xffffffff,0xfff93fff,
    0x7fffd40f,0xffffffd2,0xffffffff,0xfffd807f,0x7fe403ff,0x3fe200ff,
    0xff5004ff,0x7d4005ff,0x00002fff,0x3ffffae2,0x3ea6ffff,0x3e201fff,
    0x7fe44fff,0x3ffea07f,0x5ffff52f,0xffe88000,0xffffffff,0x7fffd42f,
    0xfff50002,0x3fff207f,0xc80fffff,0x7dc0ffff,0xffffffff,0x4fffffff,
    0x3fffffee,0xffffffff,0x7fff44ff,0x443dd03f,0xf82fffff,0xffe9ffff,
    0x3ffee01f,0x1ffff23f,0x43ffff98,0xffffffd8,0x2a00efff,0x3fffffff,
    0x3ea9ffff,0xeff99fff,0x8bfffe20,0xffffffe8,0x25ffffdf,0x2a07fffc,
    0x3ee2ffff,0xdfffffff,0xd81ffffb,0xccccffff,0x2ccccccc,0x540ffff9,
    0xffb2ffff,0x999999ff,0x80599999,0x00fffffa,0x00ffffdc,0x009ffff3,
    0x00bfffea,0x03ffff98,0x80026b2e,0xfffffca8,0x7ffff30f,0x27fffd40,
    0x403ffff2,0xf32ffffb,0x65c07fff,0x3faa009a,0x0cffffff,0x03ffff98,
    0xfb826b2e,0x3f602fff,0xb04fffff,0xfb83ffff,0xffffffff,0x4fffffff,
    0x3fffffee,0xffffffff,0x7ffdc4ff,0x7ffd40ff,0xfffffb9d,0xfffffe80,
    0x7f402fff,0x3ff22fff,0x3ffe607f,0xfffd702f,0x30017fff,0x2237bfb7,
    0xff13ffff,0x83ffd9ff,0xd11ffffa,0x437dffff,0x3f25fffe,0x3fea07ff,
    0x7ff542ff,0x3ffe3eff,0xffffc84f,0xfffc8001,0xffff700f,0x07ffff25,
    0xfff98000,0xfffa805f,0x3ffea02f,0xfff5004f,0x7fc4005f,0xfff106ff,
    0x3ca988df,0x47ffff60,0x206ffff8,0x5c4ffffd,0xf900ffff,0x3fe25fff,
    0xfff106ff,0xfd7100df,0x7fc4017d,0xfff106ff,0x7fffccdf,0x3fffe206,
    0xfffb03ff,0xffffb83f,0x9999999b,0x3ee09999,0x9999bfff,0x09999999,
    0x0dffffe8,0x3fffffee,0xf503ffff,0x05ffffff,0x0fffffb8,0xffff5000,
    0x03bfd005,0xfff88000,0x3ffffe3f,0xfffd81ff,0x0ffffea7,0xf92ffff4,
    0x3ee01fff,0x55102fff,0x5c09fd01,0x7503ffff,0xffffb813,0x5ffff900,
    0x40ffffee,0xfb0009ba,0xf3005fff,0x7ec0bfff,0xf5004fff,0xd8005fff,
    0xfc83ffff,0x7ffc3fff,0xfff901ff,0x3ffffd8f,0x4fffffa8,0x427fffd4,
    0x22fffffa,0xc83ffffd,0xf003ffff,0x405fffff,0xc83ffffd,0x3e23ffff,
    0xe882ffff,0x4fffffff,0x41ffffd8,0x002ffffb,0x0bfffee0,0x3ffea000,
    0x3f221eff,0x06ffffff,0x1ffffff4,0x3ffffe60,0x3fee0003,0x3ff802ff,
    0x13599b00,0x8bfffe60,0x82fffffb,0x323ffffb,0xff00ffff,0x7ffdcbff,
    0xffff900f,0x0ffe0005,0x86ffff88,0x50fffff8,0xf509ffff,0x3e25ffff,
    0xff886fff,0x3ee00fff,0x3a007fff,0xfb83ffff,0x3004ffff,0x7b9dffff,
    0xfffff100,0xffffd77b,0xffffb81f,0xfff730be,0xffff98df,0xfffcabdf,
    0x7fc44fff,0xfca9cfff,0x222fffff,0xbbdfffff,0x00fffffe,0x1bfee230,
    0xdfffff88,0xfffffebb,0x7ffffe40,0xffffdbcf,0x1effffff,0x707ffff6,
    0x0005ffff,0x017fffdc,0xffffd800,0xffedefff,0x402fffff,0x1efffffa,
    0xdfffff70,0xfd531000,0xf8803fff,0xfffd004f,0x3fff609f,0x7ffff40f,
    0xfffda9be,0x7fffec6f,0x5ffffc81,0x213fffea,0x02fffffa,0x404ff880,
    0x9cfffffc,0x24ffffda,0x9cfffff8,0xffffffca,0x3fffff22,0xffffda9c,
    0x7ffe65c4,0x26003fff,0xabdfffff,0x4ffffffd,0xfffff100,0x3f2009ff,
    0xffffffff,0xfe882fff,0xffffffff,0xfd81ffff,0xffffffff,0xe84fffef,
    0xffffffff,0x42ffffef,0xfffffffc,0x002fffff,0xc803ffe0,0xffffffff,
    0xfd02ffff,0xffffffff,0xffffffff,0x7ffec9ff,0x7fffdc1f,0x3fee0002,
    0x100002ff,0xfffffff9,0xffffffff,0x7fdc05df,0xcdefffff,0xfffffffe,
    0xfffb8001,0x4400ffff,0xff9007ff,0xdb77bfff,0xf90bffff,0xffffffff,
    0xfb83ffff,0xf931dfff,0x7c4dffff,0xca9cffff,0x02ffffff,0x407ff880,
    0xffffffe8,0x40efffff,0xfffffffe,0x2ffffeff,0x3fffffa2,0x0effffff,
    0x7fffffdc,0xffd8007f,0xffffffff,0x2004fffe,0x5ffffffd,0x3fffee00,
    0x03ffffff,0x3fffffa2,0x02ffffff,0x3ffffff6,0x4fffd8ef,0xfffffe88,
    0x5ffff5ff,0xffffff70,0x2007ffff,0xffda8998,0xffffb805,0x03ffffff,
    0x3fffff62,0x89efffff,0x7ec6fffd,0x7fdc1fff,0x2e0002ff,0x0002ffff,
    0x7ffff540,0xffffffff,0x541effff,0xffffffff,0xffffffff,0xfb0002ff,
    0x00bfffff,0x36efbffa,0xfffff880,0xffffffff,0x7fffd40f,0xffffffff,
    0xffff980d,0xffffffff,0x7fff47ff,0xfeffffff,0xd0002fff,0x81b77dff,
    0xffffffd8,0xe880efff,0x5fffffff,0xd885ffff,0xffffffff,0xfffa80ef,
    0x8001ffff,0xffffffd8,0x4fffd8ef,0x7fffec00,0x7ecc005f,0x01dfffff,
    0xfffffd50,0xd70019ff,0x361bffff,0xfb104fff,0x7fc7dfff,0xffb302ff,
    0x003bffff,0x7fffffec,0xffb3001f,0x003bffff,0x3fffffaa,0x0ffb83ef,
    0x20f77764,0x002ffffb,0x0bfffee0,0x7edc0000,0xacefffff,0x25fffffe,
    0xffbefff9,0xffffffff,0x20000dff,0x0ffffffe,0xfffff500,0x3ffa601f,
    0xffffffff,0x477fc42e,0xefffffeb,0x7fffdc03,0xffbdffff,0x3ffa21ff,
    0xff5fffff,0x2e0005ff,0x00ffffff,0xffffffd7,0x7fec4017,0x3ffe3eff,
    0xfffd702f,0x26017fff,0x00cfffff,0x7fffdc00,0x9fffb0df,0x01531000,
    0x03551000,0x4d54c400,0x03510000,0x002a6000,0x00d54400,0xdefeec80,
    0x2aa20003,0x554c0001,0x00018801,0x337ffff7,0x33333333,0x3ffee333,
    0x999999bf,0x01999999,0xb80d4c40,0x3f21ffff,0xfff710ff,0x05bdffff,
    0xdfffb000,0xfda80039,0xeda804ef,0x03deffff,0x353103aa,0xfffea800,
    0x3fffe3ef,0x7fffec44,0x0bfffe3e,0xeffda800,0x03353004,0x00015300,
    0x00066a60,0x22000001,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fee0000,0xffffffff,0x7fffffff,0xfffffff7,
    0xffffffff,0x00000fff,0x3f217f66,0x006a6601,0x00088000,0x08800000,
    0x00000000,0x80001551,0x000000a9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffb80,0xffffffff,0xff77ffff,0xffffffff,0xffffffff,0x08800000,
    0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff7,0xffffffff,0x3ffeefff,0xffffffff,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fdc0000,0xffffffff,0x7fffffff,
    0xfffffff7,0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bdddb00,0xdddd3000,0x904eb809,
    0x4000005d,0x000bcdb9,0x2000bdd3,0x40acdba8,0xaaaaaaa9,0x1aaaaaaa,
    0xbddca980,0x76400009,0xaa9804ee,0x555000aa,0x2aaaa255,0x22777440,
    0x36005eee,0x40004eee,0x400deeed,0x003eeeea,0x44099995,0x8801cccc,
    0xe9803300,0x3bba24ee,0x98044005,0xeeed8001,0xdd900005,0x3a6003dd,
    0x40003eee,0xdb3eeee8,0xaa8809dd,0x400081aa,0x20001aa8,0x774c5eec,
    0x8bddb02e,0x2e004eed,0x003fffff,0x077ffec0,0xf303fee0,0x6665c03f,
    0x817bfb52,0x2ffffffc,0x004ffd80,0xffffffc8,0xffffb0ef,0xffffffff,
    0x7f5407ff,0xefffffff,0xfffd0002,0xffff900b,0x3fffe005,0x83ffff76,
    0x7fc5fff9,0xfff9007f,0x260007ff,0x9002ffff,0x3200ffff,0x3e607fff,
    0x36602fff,0xff70adff,0x25fff980,0x1006fff8,0x2617dffb,0x3f2000ff,
    0x0003ffff,0x01ffffc4,0x03fffee0,0x5fffc800,0x001dfff3,0x715ffff7,
    0x3fb2009f,0x000dffff,0x3ee37ff4,0xfff301ff,0x007fff27,0x7ff7ffcc,
    0xff30001f,0xff1001df,0x0dffb59f,0xf9cfffd8,0x3ee3ffff,0x0fffffff,
    0x003ffe60,0xfffffe88,0xfd9fffff,0xffffffff,0xb03fffff,0xffffffff,
    0x0009ffff,0x900bfffd,0x2005ffff,0xff76ffff,0xfff983ff,0x403fffc5,
    0xfffefffa,0xfffd8000,0x7ffec003,0x7fffc803,0x0bfffe60,0xffffffe8,
    0x7cc05ffe,0x3ffe25ff,0xffffb006,0x00fffdff,0x7ff7ffcc,0x3f20001f,
    0xf90003ff,0x220007ff,0xffb0efff,0x7fcc001f,0x403fffff,0xffffffe8,
    0xf1002fff,0xfffd89ff,0x33fff200,0xd1003fff,0xdffd1bff,0x3fff2000,
    0x3ffea000,0x6c01ffff,0xffffdfff,0x37ffe0ff,0x205fff98,0x22004ffd,
    0xffffffff,0xffffffff,0xffffffff,0xfd83ffff,0xffffffff,0x00efffff,
    0x017fffa0,0x00bffff2,0xfbb7fffc,0x7fcc1fff,0x03fffc5f,0x3e37ffe2,
    0x7cc006ff,0xfb0003ff,0xfff900df,0x7fffcc0f,0xfbbff302,0x805fffff,
    0x3e25fff9,0xbff006ff,0x9ffffffb,0x37ffa200,0x0006ffe8,0x0009fff1,
    0x0007ffd8,0x3e61fff7,0xf98002ff,0xf8806fff,0xffffffff,0xf9800fff,
    0x37ffc2ff,0x7fffff40,0x3fff6005,0x009fff10,0x001fff88,0x0deffd98,
    0xfffffd80,0x3e65ffff,0x1fff62ff,0x0007ffcc,0xbdfffff9,0xfffffd97,
    0xdddddfff,0xc85ddddd,0xdfffffff,0xffffffdc,0x3332e006,0xffffc803,
    0xdffff002,0x203fffee,0x4ccc0999,0x877fec01,0x2003fff9,0x40004ffc,
    0x7e402ffe,0x3fe607ff,0x8bf702ff,0x3001dec9,0x09998133,0x64c7f980,
    0x3f6002ee,0x9fff30ff,0x0bff9000,0x0fff6000,0xd87ffe00,0x644003ff,
    0x03ffffff,0x67ffffdc,0x05fffffc,0x221fffb8,0xf8804fff,0x2000ffff,
    0x4cc40999,0x04cc4001,0x6c000000,0xaadfffff,0x87ffea2c,0xfd80fffc,
    0x3fe2004f,0xff504fff,0x0009ffff,0x3bffffe2,0xfffffb01,0x64000005,
    0xf002ffff,0x32a2dfff,0x4000007f,0x4cc40999,0x00666001,0x00266200,
    0x4c0ffff9,0x0002ffff,0x00000000,0x33300000,0x00199881,0x00001988,
    0x4c0004cc,0x000ccc09,0x3e6bbfe6,0x3fa02fff,0xfffe86ff,0x3ffec00f,
    0x400fffea,0x00009998,0x00000000,0xffb00000,0xffb80dff,0x03ffee0f,
    0x4001fff3,0x404ffffc,0x04fffffa,0xfffff700,0xffffb803,0x32000006,
    0xf002ffff,0x7fb8dfff,0x00000000,0x00000000,0x1ffff200,0x02ffff98,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf5076000,0xff303fff,
    0xfff705ff,0x4cccc43f,0xc999effe,0x0009afff,0x775c4000,0x000ceeff,
    0xddffdd71,0x3b6a0019,0x403defff,0x402ffffd,0x3ee0fffa,0x27fec0ff,
    0xfffff100,0xffffd001,0x3f6a0009,0xffd004ff,0xeca805ff,0x3202deff,
    0xf002ffff,0x4fe8dfff,0x8813332a,0x9951cccc,0x66644099,0x0999951c,
    0xa8e66644,0x32204ccc,0xfff91ccc,0x7fffcc0f,0x02666542,0x40399991,
    0xbcefeca8,0x76544000,0x4000bcef,0xbcefeca8,0x76544000,0x4000bcef,
    0xbcefeca8,0x76544000,0x4000bcef,0xfd8acba8,0x12a605ff,0xb07fffdc,
    0xffffffff,0xffffffff,0x3fb6a07f,0xc803deff,0xffffffff,0x7fe404ff,
    0xffffffff,0x3fffe604,0x0dffffff,0x01ffffb0,0x321fff98,0x7ffcc7ff,
    0x3ffe6000,0xfff7005f,0x5100009f,0x3ffea001,0xfffb105f,0x03dfffff,
    0x005ffff9,0x6cdbfffe,0x3fff20ff,0x3fffe607,0x40ffff92,0xf92ffff9,
    0x7fcc0fff,0xffff92ff,0x97fffcc0,0x2607fffc,0x7e42ffff,0x3fe607ff,
    0xfff902ff,0x07ffffff,0x3fffff20,0x9003ffff,0xffffffff,0x3ff2007f,
    0x3fffffff,0xfffff900,0x2007ffff,0xfffffffc,0xff7003ff,0xfffdffff,
    0x3fa0005f,0x7ffec6ff,0xffffffff,0x43ffffff,0xfffffff9,0xf700dfff,
    0xffffffff,0x3ee09fff,0xffffffff,0xff884fff,0xffffffff,0xffd80eff,
    0xfff8807f,0xfb1bffa4,0xffa8009f,0xff3003ff,0x000009ff,0xdffff100,
    0xffffff30,0x83ffffff,0x002ffffc,0xffdfffff,0x7fffc83d,0x4bfffe60,
    0x2607fffc,0xff92ffff,0x7ffcc0ff,0x0ffff92f,0xc97fffcc,0x3ea07fff,
    0x7fe42fff,0x3ffe607f,0xffffc82f,0x5fffffff,0x7ffffe40,0x05ffffff,
    0x7fffffe4,0x405fffff,0xfffffffc,0x6405ffff,0xffffffff,0x7e405fff,
    0xffffffff,0x7fec05ff,0xffffffff,0x64c006ff,0x7ec3ffff,0xffffffff,
    0xffffffff,0x3ffffe23,0xefffffff,0x77fffc40,0xffffdbac,0x7fffc40f,
    0xfffdbace,0x7ffe40ff,0xfffecdff,0xfffd82ff,0xbfff9007,0x7cc5fffd,
    0x7dc000ff,0xf1003fff,0xddddffff,0x447ddddd,0x99999999,0x99999999,
    0xfe87ffff,0xffdeffff,0x7fe46fff,0xfff002ff,0x3207dfff,0x3e607fff,
    0xfff92fff,0x7fffcc0f,0x40ffff92,0xf92ffff9,0x7fcc0fff,0xffff92ff,
    0x17fffd40,0x981ffff2,0x7e42ffff,0xffefffff,0xf904ffff,0xffdfffff,
    0x3209ffff,0xfeffffff,0x904fffff,0xfdffffff,0x209fffff,0xeffffffc,
    0x04ffffff,0xdffffff9,0x09ffffff,0x3ffffff2,0xffffffff,0xffff9802,
    0xaaa983ff,0xcaaafffe,0x21aacfff,0xcdfffffc,0x42fffffe,0xf507fffa,
    0xffa85dff,0xdfff507f,0x2ffffc45,0x427fffd4,0x1007fffd,0xbffffffd,
    0x8004ffd8,0x002ffffc,0xfffffff1,0x9fffffff,0x7fffffd4,0xffffffff,
    0x0fffffff,0x877fffee,0x22ffffd8,0x002ffffc,0x801dffff,0x2607fffc,
    0xff92ffff,0x7ffcc0ff,0x0ffff92f,0xc97fffcc,0x3e607fff,0xfff92fff,
    0x3ffee01f,0x3fffe42f,0x45ffff30,0x42fffffb,0x41fffffa,0x42fffffb,
    0x41fffffa,0x42fffffb,0x41fffffa,0x42fffffb,0x41fffffa,0x42fffffb,
    0x41fffffa,0x42fffffb,0x41fffffa,0x9cfffff9,0xfffffd98,0xffffa804,
    0xbfff002f,0x881fffb8,0xfa85ffff,0x7fdc4fff,0x403502ff,0x502ffffb,
    0x065cc403,0xd84ffff8,0x64007fff,0x7cc2effe,0xfd8000ff,0x3e001fff,
    0xffffffff,0x2e4fffff,0xffffffff,0xffffffff,0x3e1fffff,0xff306fff,
    0x7ffe47df,0xffff002f,0xffff900d,0x97fffcc0,0x2607fffc,0xff92ffff,
    0x7ffcc0ff,0x0ffff92f,0xb97fffcc,0xfb00ffff,0xffc85fff,0x3ffe607f,
    0x3ffff62f,0xdffff301,0x01ffffd8,0xd8dffff3,0xf301ffff,0xffd8dfff,
    0xfff301ff,0xffffd8df,0xdffff301,0x01ffffd8,0xe8dffff3,0xf903ffff,
    0xf700ffff,0x801bffff,0x7ec4fff8,0x32e6207f,0x89ffff00,0xcefffff9,
    0xfff3000a,0x00159dff,0x7fff4c00,0x06fffd85,0x4ffd8000,0x41ef6e44,
    0x002ffffd,0x3ffffffe,0x4fffffff,0x3fffffea,0xffffffff,0x1fffffff,
    0x407ffff1,0xffff901a,0x3fffe005,0x7fffc806,0x4bfffe60,0x2607fffc,
    0xff92ffff,0x7ffcc0ff,0x0ffff92f,0xa97fffcc,0xfa84ffff,0x7e42ffff,
    0x3fe607ff,0x3fffe2ff,0x7fffec04,0x013fffe0,0x7c1ffffb,0x7ec04fff,
    0x3ffe0fff,0x7ffec04f,0x13fffe0f,0x41ffffb0,0x6c04ffff,0xff10ffff,
    0x7fc40dff,0x76401fff,0x03fffffd,0xfd0bffea,0xe98000df,0x7fc45fff,
    0xdfffffff,0x3ffe201b,0xbdffffff,0x7edd4001,0xd85fffff,0x00006fff,
    0xf507ffcc,0x41bfffff,0x003ffffc,0x55bffff1,0x35555555,0x7fffffcc,
    0xffffffff,0x1fffffff,0x005ffff5,0x0bfffee0,0x037fffc0,0x303fffe4,
    0x3f25ffff,0x3fe607ff,0xffff92ff,0x97fffcc0,0x2607fffc,0xff32ffff,
    0xfb559fff,0xc85fffff,0x3e607fff,0xfff32fff,0xfffb805f,0x5ffff31f,
    0x1ffffb80,0x805ffff3,0xf31ffffb,0xfb805fff,0xfff31fff,0xfffb805f,
    0x5ffff31f,0x1ffffb80,0x807ffff5,0x002ffffc,0x0fffff22,0xf10fffdc,
    0xba8009ff,0x5ffffffd,0xffffff98,0x00dfffff,0xfffffff3,0x401bffff,
    0xffffffdb,0xfd85ffff,0x400006ff,0x3fe24ffd,0x24fffeff,0x003ffffb,
    0x009ffff3,0x01bfffe0,0x21fffff0,0x001ffffb,0x05ffff70,0x0dffff10,
    0x40ffff90,0xf92ffff9,0x7fcc0fff,0xffff92ff,0x97fffcc0,0x2607fffc,
    0x3fa2ffff,0xffffffff,0x642ffffe,0x3e607fff,0xfff72fff,0xfffa803f,
    0x3ffff73f,0x3ffffa80,0x803ffff7,0xf73ffffa,0xfa803fff,0xfff73fff,
    0xfffa803f,0x3ffff73f,0x3ffffa80,0x805ffff7,0x003ffffb,0x90fffff8,
    0xddffffdd,0xdddfffdd,0xfffb705d,0xbfffffff,0x3ffff660,0x0fffffff,
    0xfffffb30,0x81ffffff,0xffffffe8,0x85ffffdf,0x0006fffd,0xc83ffe60,
    0xfff90fff,0x13fffea1,0x27fffd40,0xffffe800,0xffff3000,0x0ffffdcf,
    0xffffb800,0xffff8802,0x7fffc805,0x4bfffea0,0x2a07fffc,0xff92ffff,
    0x7ffd40ff,0x0ffff92f,0x117fffd4,0xfffffffd,0x90bfffeb,0x7d40ffff,
    0xfff92fff,0xfff9803f,0x3ffff93f,0x3ffff980,0x803ffff9,0xf93ffff9,
    0xf9803fff,0xfff93fff,0xfff9803f,0x3ffff93f,0x3ffff980,0x803ffff7,
    0x002ffffa,0xb1ffffc8,0xffffffff,0xffffffff,0x7fff447f,0xfffdffff,
    0x7f5c405f,0x6fffffff,0x7fff5c40,0x226fffff,0x1beffffe,0x3617fffa,
    0x00006fff,0xffd13ffa,0x897ffccb,0x800fffff,0x004ffffd,0x05ffff90,
    0x97fffee0,0x002ffffa,0x07ffff50,0x0bffff30,0x40ffff90,0xf92ffffa,
    0x7fd40fff,0xffff92ff,0x97fffd40,0x2a07fffc,0x6cc2ffff,0x3e3effff,
    0x7fe42fff,0x3ffea07f,0x5ffff72f,0x2ffffa80,0x805ffff7,0xf72ffffa,
    0xfa805fff,0xfff72fff,0xfffa805f,0x5ffff72f,0x2ffffa80,0x805ffff7,
    0xf52ffffa,0xfb805fff,0xa8001fff,0xffb2ffff,0xffffffff,0x7fffffff,
    0x3bffffa2,0x17fffa1b,0xfffca880,0x51000fff,0x1ffffff9,0x40ffffea,
    0xfd85fffe,0x300006ff,0xfff81fff,0xf8fffe24,0x4403ffff,0x004fffff,
    0x0dffff70,0x5fffff10,0x01ffffcc,0x7cc13597,0xfb806fff,0xfc804fff,
    0xff700fff,0x3fff25ff,0xffff700f,0x03ffff25,0xc97fffdc,0xf700ffff,
    0x54c05fff,0xf903ff80,0x3ee01fff,0xfff52fff,0xfffc807f,0x7ffff50f,
    0x0ffffc80,0x807ffff5,0xf50ffffc,0xfc807fff,0xfff50fff,0xfffc807f,
    0x7ffff50f,0x0ffffc80,0x809ffff3,0x950ffffd,0x7fe40fdb,0xffffb1ff,
    0xffffffff,0x2a7fffff,0xfd03ffff,0xca988bff,0x3ffff603,0x80f2a621,
    0xf91ffffd,0x3fe01fff,0x999705ff,0xffd00005,0x449fff09,0x3fee4fff,
    0x3f600eff,0x0004ffff,0x07ffffd1,0x47ffffd8,0x106ffff8,0x7c4dffff,
    0x2203ffff,0x803fffff,0x900ffffb,0x3ee5ffff,0xff900fff,0x3ffee5ff,
    0xffff900f,0x03fffee5,0x017fffe4,0xb817fc40,0xf900ffff,0x3fe25fff,
    0xff100fff,0x7ffc4fff,0xfff100ff,0x7fffc4ff,0xffff100f,0x7ffffc4f,
    0xfffff100,0x07ffffc4,0x27ffff88,0x00fffff8,0xf8fffff1,0xf100ffff,
    0x7fdcffff,0xffff03ff,0x1fffc81f,0xc813ffe2,0xff00ffff,0xffff8bff,
    0xffff901f,0x01fffff8,0x7ecffff9,0xffc81fff,0xfffd05ff,0x260001df,
    0xfff80fff,0xd0fffe24,0x215fffff,0xfffffda8,0x999999cf,0x7cc19999,
    0x4c0dffff,0x82fffffe,0xc83ffffd,0x7ec3ffff,0x221bffff,0x0fffffda,
    0x4ffffa80,0x2fffffa8,0x509ffff5,0x2a5fffff,0xfa84ffff,0xff52ffff,
    0xfff509ff,0xf50005ff,0x3ffea07f,0xffffa84f,0x3ffff62f,0x7ffec40d,
    0x7fffec3f,0x7ffec40d,0x7fffec3f,0x7ffec40d,0x7fffec3f,0x7ffec40d,
    0x7fffec3f,0x7ffec40d,0x7fffec3f,0x7ffec40d,0x7fffe43f,0x7fff440d,
    0x3fffe22f,0x3fff220e,0x47ffd86f,0x3602fff9,0xfc81ffff,0x7fdc5fff,
    0xf730beff,0xffb8dfff,0xf730beff,0x7fdcdfff,0xff931dff,0x2aa0dfff,
    0x0003fffc,0x3fa09ffd,0x0bffe65f,0xfffffff5,0xffffffff,0xffffffff,
    0x70ffffff,0xddffffff,0xbfffffff,0x3ffffe20,0xffffebbd,0x7fffcc0f,
    0xfffeffff,0x1004ffff,0x539fffff,0x5ffffff9,0x33ffffe2,0xfffffca9,
    0xfffff12f,0xffff9539,0x3ffe25ff,0xffca9cff,0x8002ffff,0xff105ffa,
    0xf9539fff,0x4c5fffff,0xacffffff,0x85fffffc,0xcffffff9,0x5fffffca,
    0xffffff98,0xfffffcac,0xfffff985,0xffffcacf,0xffff985f,0xfffcacff,
    0xfff985ff,0xffcacfff,0xffd05fff,0xff959dff,0xffb0bfff,0xfff9bfff,
    0xfff03fff,0x01fffb8b,0x477fffee,0x6fffffc9,0x7fffff44,0xffffffff,
    0x7ffff441,0xffffffff,0x3fffe61f,0xffffffff,0xffc807ff,0xfffa8005,
    0x21fff900,0xfd81fffc,0xffffffff,0xffffdeff,0xffffffff,0xfffb07ff,
    0xffffffff,0xffc80bff,0xffffffff,0xfff902ff,0xffffffff,0x4001ffff,
    0xfffffffe,0x2ffffeff,0x3ffffffa,0xffffefff,0x3fffffa2,0xfffeffff,
    0x3ffffa2f,0xffefffff,0xf98002ff,0x3a4bbeff,0xffffffff,0x42ffffef,
    0xfffffffa,0x00ffffff,0xfffffff5,0x01ffffff,0x3fffffea,0x0fffffff,
    0xffffff50,0x1fffffff,0x3ffffea0,0xffffffff,0xfffff500,0xffffffff,
    0x3fffe601,0xffffffff,0xfffe880f,0xffffffff,0x44fff884,0x7cc07ffd,
    0xffffffff,0x887fffff,0xfffffffe,0xd102ffff,0xffffffff,0xff705fff,
    0x7bffffff,0x4cc3ffff,0x03fffb99,0x204ffe80,0xffeffff8,0x3fff205f,
    0x8effffff,0xfffffffd,0x7fffffff,0xfffffb10,0x09ffffff,0x3ffffee0,
    0x403fffff,0xfffffffa,0x00dfffff,0x7ffff440,0xffff5fff,0x7ffff445,
    0xffff5fff,0x7ffff445,0xffff5fff,0x7ffff445,0xffff5fff,0x3ff60005,
    0x3fa27fff,0xf5ffffff,0xff505fff,0xffffffff,0xfffa801b,0xdfffffff,
    0x7fffd400,0x0dffffff,0x7ffffd40,0x00dfffff,0x7fffffd4,0x400dffff,
    0xfffffffa,0x4c00dfff,0xfffffffe,0x3a600dff,0xffffffff,0x5fff503f,
    0xb806ffe8,0xffffffff,0x01ffffbd,0xffffffd5,0xfd50019f,0x19ffffff,
    0x7ffff540,0x53fffe3e,0xfffffff9,0xfffa8004,0x7fffdc00,0x6cc00eff,
    0x0cefffff,0xfffffffb,0xffffffff,0xffffd980,0x4000cfff,0xffffffd9,
    0xfd91001d,0x5dffffff,0x7fec4000,0x3ffe3eff,0x7ffec42f,0x3fffe3ef,
    0x7fffec42,0x0bfffe3e,0x7dffffb1,0x0017fffc,0x3dffeb88,0x77fffec4,
    0x40bfffe3,0xfffffdb8,0x36e2003e,0x03efffff,0x3fff6e20,0x22003eff,
    0xefffffdb,0x3f6e2003,0x003effff,0x3ffff6e2,0x764003ef,0x03efffff,
    0x3ffffee0,0x3ff201df,0x13ffe21f,0x7ffff540,0x13fffe3e,0x01355310,
    0x26aa6200,0x05544000,0xddfdd300,0x3fa00039,0xfd93004f,0x3510007b,
    0x00000001,0x0004d4c4,0x001aa880,0x009a9880,0x00a98000,0x00054c00,
    0x00002a60,0x00000153,0x054c0020,0x03510000,0x006a2000,0x000d4400,
    0x0001a880,0x00003510,0x200006a2,0x40001a98,0x53001a98,0x1aaa8855,
    0x00554400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb12776c0,
    0xee9809dd,0x17bba24e,0x27776c40,0x3bbb6000,0x7775400d,0x0000003e,
    0x20000000,0x1acdcba8,0x415554c0,0x76c5eee8,0x008800ee,0x776c0033,
    0x7640005e,0x74c01eee,0x30004eee,0x00579d99,0x3b607d90,0x35555102,
    0x059b9510,0xed800000,0x13bb624e,0x7774c000,0xe880004e,0x555532ee,
    0xaaaa8001,0x13531002,0x03531000,0x12776c40,0x10007ddb,0x0357b975,
    0x026aa600,0x7fff5000,0x3003fff6,0x7fc4bfff,0xfffb006f,0x2a0005ff,
    0x9002ffff,0x4000ffff,0x2deffeca,0xfffff900,0x0dffffff,0xfffffd50,
    0x9019ffff,0xff10ffff,0x0ffff8ff,0x2fbff220,0x7001ff30,0x009fffff,
    0x0ffffe20,0x07fffdc0,0xffffb100,0x4005dfff,0x7fd40ffb,0x7ffff501,
    0x7fffff4c,0xccca82ff,0x33bf7263,0x9fffd402,0x0000fffd,0x01dfffb0,
    0x1fff5000,0x007ffff2,0x01ffffd0,0x7fffff5c,0xffe9800d,0xa800dfff,
    0xfffb2fff,0x7ff4c001,0x1effffff,0xffffc880,0x20002eff,0xfffcfffc,
    0x5fff9802,0x201bffe2,0xfffefffa,0xfffd8000,0x7ffec002,0x7fec4002,
    0x1effffff,0x7fffff40,0x06ffffff,0x3fffff22,0xffffffff,0x43fffe42,
    0x7fc7fff8,0x3ff200ff,0x7ffeffff,0xfefff980,0xfc8001ff,0x7e4004ff,
    0x3f6004ff,0xffffffff,0xdff1001f,0x40dffb79,0xf73ffffa,0xffffffff,
    0x5fffc85f,0xfffffff9,0xcfffc809,0x00002fff,0x001dfff3,0xc9fff200,
    0x4001ffff,0x880ffffe,0xfffffffd,0x3fee01ff,0x1effffff,0xfcfffd80,
    0x3f2002ff,0xffffffff,0x3e604fff,0xffffffff,0x3fa0005f,0x3005ffff,
    0x7fc4bfff,0x7ffc406f,0x005fff8c,0x001fffcc,0x2006ffd8,0xfffffff9,
    0x201fffff,0xffffffff,0xf306ffff,0xffffffff,0x9fffffff,0x443fffe4,
    0x7ffc7fff,0x377fe00f,0x04ffffff,0x7477ff44,0x7c4006ff,0xf90004ff,
    0xff9001ff,0xffffffff,0x7fdc00ff,0x200fffff,0xfdbffffa,0xffffffff,
    0x3ff21fff,0xfffffddf,0x7404ffff,0x005fffff,0x03fff200,0x5ffe8000,
    0x007ffff2,0x81ffffd0,0xffffffe8,0xa80fffff,0xffffffff,0x74400fff,
    0x004fffff,0xffffffd1,0xffffffff,0x3ffffa0b,0x3fffffff,0xffff3000,
    0x4ccc001f,0x2004ccc0,0x3fe66ffe,0x3ff6003f,0x3fa20004,0xfffd002f,
    0xffffbdff,0x3ffe20df,0xffffffff,0xffffd06f,0xfd979bff,0x327fffff,
    0x33307fff,0x20199983,0x7764c7f9,0x0fffc802,0x4009fff1,0x40005ffb,
    0x7c403ffd,0xff31efff,0x4c001fff,0x400ceffd,0xfffffffa,0xfffecdff,
    0x3ff24fff,0xfddfffff,0x200fffff,0x00fffff9,0x3fff1000,0xfff80000,
    0x07ffff23,0x1ffffd00,0xbeffffb8,0x84ffffeb,0xebdffffe,0x9803ffff,
    0x2006ffff,0xdefffffd,0xffffffdb,0x7fffdc3f,0xffffdacf,0x3310000f,
    0x00000013,0x31026660,0x0ccc0013,0x04cc4000,0x6ffffdc0,0x3ffff621,
    0xaffffa82,0x2aaaaaaa,0xdfffffa8,0xffffd300,0x0dfb533f,0x00000000,
    0x31026660,0x0cc40033,0x00998000,0x217fffd4,0x001ffffc,0xfffa8000,
    0x4c0befff,0x90ffffff,0x889fffff,0x401fffff,0x00009998,0x00026620,
    0x43fff300,0x001ffffc,0x107ffff4,0xfd0bffff,0xfff98dff,0x37fff43f,
    0x00999880,0x7fffff50,0x3ffffaa0,0x43fffec7,0x002ffffa,0x00000000,
    0x00000000,0x7c000000,0xff306fff,0xfff907df,0xfff1000d,0xfd1007ff,
    0x2fecbfff,0x00000000,0x00000000,0x5c000000,0x7e40ffff,0x000007ff,
    0xffffff50,0x7fffcc03,0xbffff92f,0x0bfffee0,0x00000000,0x7fdc0000,
    0x0ffffe47,0x3ffffa00,0x07fffee0,0xd837bfee,0x7d40ffff,0x00002fff,
    0x0bffffa0,0x5fffff50,0xf827fffc,0x44003fff,0x0bcefeca,0x3fb6e200,
    0x2e2002ce,0x002cefed,0x33bfb6e2,0x3b6e2002,0x3e202cef,0x06a03fff,
    0x009fffb0,0x0dffff90,0x7ffffcc0,0x2a03ff98,0x3defffed,0xfffdb500,
    0x36a007bd,0x03defffe,0xdfffdb50,0x3b6a007b,0x903defff,0xfff0ffff,
    0x6544009f,0x200bcefe,0x02fffffa,0x93fffff8,0x2605ffff,0x9953ffff,
    0x66644099,0xfdd9301c,0x6dc45bdf,0x4002deff,0x7fe45ffd,0x7f4001ff,
    0x3ffa0fff,0xfff0006f,0x3fffe0bf,0x3fb6e205,0x7fdc02ce,0xffb005ff,
    0x7fff439d,0x05fffd03,0x7ffffe40,0xa803ffff,0xffffffff,0x7ffd400d,
    0x00dfffff,0x7fffffd4,0x7d400dff,0xdfffffff,0x2ffffa80,0x7fffc000,
    0xfd001313,0xd8005fff,0x6ffdffff,0xffffff30,0x201bffff,0xfffffff9,
    0xf300dfff,0xffffffff,0x3fe601bf,0xffffffff,0xffff300d,0x1bffffff,
    0x5c7fffc8,0x9002ffff,0xffffffff,0x3ffea07f,0xfff9006f,0x3ffff2bf,
    0x7ffff300,0x981ffff2,0xfd82ffff,0xffffffff,0xffffffbe,0xff000eff,
    0xffffc87f,0x7fff4001,0x13fffe0f,0x3fffe200,0x0bfffd03,0x3fffffea,
    0xffb00dff,0x2a2003ff,0x0dfff700,0x001ffff3,0x3ffffff2,0x205fffff,
    0xfffffffc,0xf901ffff,0xffffffff,0x3ff203ff,0xffffffff,0xffff901f,
    0x3fffffff,0x01ffffb8,0x3fffe200,0x04efffed,0x001ffffe,0x3fffffea,
    0xffff880e,0xffffffff,0x7fffc40e,0xffffffff,0x7fffc40e,0xffffffff,
    0x7fffc40e,0xffffffff,0x7fffc40e,0xffffffff,0x1ffff60e,0x200dfffd,
    0xfffffffc,0xfa85ffff,0xf5005fff,0x3ff2dfff,0xfff300ff,0x1ffff27f,
    0x42ffff98,0xfffffffd,0xffffffff,0x0effffff,0x20fffcc0,0x001ffffc,
    0x887ffff4,0xb953ffff,0x3fe60159,0xfffb02ff,0xfffff90d,0x03ffffff,
    0x000ffffd,0x67fffcc0,0x0dfffd50,0x3fffff20,0xffffffef,0xfffff984,
    0x6fffffcf,0xffffff98,0x86fffffc,0xcffffff9,0x986fffff,0xfcffffff,
    0x7dc6ffff,0x20001fff,0xfffffff9,0x441effff,0x8006ffff,0x02fffff9,
    0x37fffff2,0x2fffffec,0x6fffffe4,0x2fffffec,0x6fffffe4,0x2fffffec,
    0x6fffffe4,0x2fffffec,0x6fffffe4,0x2fffffec,0xf99ffff6,0xfc802fff,
    0xffefffff,0x7d44ffff,0xf5004fff,0x3ff2dfff,0xfff100ff,0x1ffff27f,
    0x22ffff98,0xcdfffffa,0xfffffffe,0xffffecdf,0x43ffdc05,0x001ffffc,
    0x987ffff4,0xffdbffff,0xf982ffff,0xffb02fff,0xffff98ff,0xfffffcff,
    0x07ffff86,0x7ffd4000,0xefffffff,0xffffb800,0x7fffd42f,0x7ffff41f,
    0x17fffdc2,0x70bffffa,0xfe85ffff,0x7fdc2fff,0x7fff42ff,0x7fffdc2f,
    0x0bfffea2,0xffffb800,0xffffffff,0x3fffe60f,0xfff88005,0x3ffe207f,
    0xffffa85f,0x17fffe24,0x893fffea,0xfa85ffff,0x3fe24fff,0xfffa85ff,
    0x3fffe24f,0x4ffffa85,0xfc9ffff6,0x7dc02fff,0x7d42ffff,0x3ea1ffff,
    0xf3003fff,0x3ff2dfff,0x3ffe207f,0x0ffff93f,0xd17fffcc,0xf981ffff,
    0x4c1fffff,0x3604ffff,0xfffc85ff,0x7ff4001f,0xffff50ff,0xffffffff,
    0xffffa89f,0x1ffffb02,0x217ffff4,0x222ffffb,0x0006ffff,0xffffe880,
    0x36005fff,0xf301ffff,0x7fd4dfff,0xfffd04ff,0x27fffd4d,0x2a6fffe8,
    0xfd04ffff,0x7ffd4dff,0xdfffd04f,0x01ffffcc,0xfc813597,0xfebcefff,
    0x3ea5ffff,0xf0004fff,0x4401ffff,0xfff00cb9,0x0cb9889f,0x889ffff0,
    0xfff00cb9,0x0cb9889f,0x889ffff0,0xfff00cb9,0x3fffec9f,0x01dffff7,
    0x80ffffec,0x2a6ffff9,0x3003ffff,0x3f2fffff,0x3fe207ff,0xffff93ff,
    0x17fffcc0,0x7f40b2a6,0xff703fff,0x1fffc0df,0x00ffffe4,0x43ffffa0,
    0xfffffffb,0x1fffffee,0x40bfffee,0xf50ffffc,0x3fa09fff,0x3ffe66ff,
    0xa800005f,0xffffffff,0xffff001e,0xffffd809,0x05ffff70,0x5c3fffee,
    0xf702ffff,0x3fee1fff,0xfff702ff,0x3fffee1f,0x1ffff702,0x41bfffe2,
    0x646ffff8,0xffa85ffe,0xfff71fff,0xff10009f,0x30000fff,0x000bfffd,
    0x00bfffd3,0x0bfffd30,0xbfffd300,0xfffd3000,0x13fffecb,0x01dfffff,
    0xb013fffe,0x3ea1ffff,0xf1003fff,0x3ff2ffff,0x3ffe207f,0x0ffff93f,
    0x017fffcc,0x3ffffa60,0x3ffff101,0x903fff30,0x8003ffff,0xf70ffffe,
    0x543dffff,0x3ee6ffff,0xff902fff,0x3ffee1ff,0xffff702f,0x17fffea1,
    0xfff70000,0xffffffff,0xffff9805,0x7fffdc02,0x57ffff91,0xfff75555,
    0x3ffff23f,0xfbaaaaab,0xfff91fff,0x7555557f,0x3f23ffff,0xaaaabfff,
    0x21ffffba,0xc83ffffd,0x0203ffff,0x33ffffa8,0x000bffff,0x00dffff3,
    0xffffb750,0xb7500bff,0x0bffffff,0xffffb750,0xb7500bff,0x0bffffff,
    0xffffb750,0x7ffecbff,0x7ffffd47,0x2ffff985,0x8ffffdc0,0x003ffffa,
    0x32fffff1,0x3e207fff,0xfff93fff,0x7fffcc0f,0x3f6e6202,0xabffffff,
    0xfffaaaaa,0x0fffa82f,0x01ffffc8,0x87ffff40,0x82fffffa,0xf71ffffa,
    0x3f605fff,0xfff90fff,0x7555557f,0x3e23ffff,0x00006fff,0xa8fffff2,
    0x202ffffd,0x401ffffb,0xfb3ffffa,0xffffffff,0x25ffffff,0xfffffffd,
    0xffffffff,0xffffffb2,0xffffffff,0x3ffff65f,0xffffffff,0x3fe22fff,
    0xfebbdfff,0x0000ffff,0x229ffff1,0x8006ffff,0x005ffffa,0xffffffb7,
    0x2e0bffff,0xfffffffd,0xfb705fff,0xffffffff,0x3ff6e0bf,0xffffffff,
    0xffffb705,0x4bffffff,0xfb87fffd,0x7dc4ffff,0x7d401fff,0xfff53fff,
    0x3fe6007f,0xffff96ff,0x9ffffc40,0x2607fffc,0xda82ffff,0xffffffff,
    0xffffffff,0x83ffffff,0xff906ffc,0xfe8003ff,0xfff50fff,0x3ffe01ff,
    0x5ffff52f,0xd9ffff60,0xffffffff,0x2fffffff,0x001ffffe,0x04ffff80,
    0x640bffff,0x4c01ffff,0xffd3ffff,0xffffffff,0x3a7fffff,0xffffffff,
    0x3fffffff,0xfffffffd,0xffffffff,0x3fffffa7,0xffffffff,0x7ffe43ff,
    0xffffffff,0x7fc0002f,0x3fffe6ff,0x7fdc000f,0x7f4403ff,0xfdffffff,
    0x7f445fff,0xfdffffff,0x7f445fff,0xfdffffff,0x7f445fff,0xfdffffff,
    0x7f445fff,0xfdffffff,0x3ff65fff,0xffff907f,0x7fffe45f,0x7fffcc01,
    0x07ffff53,0x5bfffe60,0x2207fffc,0xff93ffff,0x7ffd40ff,0x7ffff42f,
    0xfffedfff,0xffffffff,0xfe83ffff,0xffff904f,0xfffe8003,0x17fffe67,
    0xf34ffff8,0x3f605fff,0x3fffa6ff,0xffffffff,0x3fa3ffff,0xd1000fff,
    0xffff9817,0x0ffff902,0x017fffdc,0x6cbfffea,0xccccffff,0x2ccccccc,
    0x999ffffb,0x99999999,0x33ffff65,0xcccccccc,0xffffb2cc,0x99999999,
    0xff705999,0xffffffff,0xfff00007,0x7ffff4bf,0x3ffe2004,0x3fa202ff,
    0x3a1befff,0x3fa25fff,0x3a1befff,0x3fa25fff,0x3a1befff,0x3fa25fff,
    0x3a1befff,0x3fa25fff,0x3a1befff,0x3ff65fff,0x3fff207f,0x3fffee7f,
    0x7fffd402,0x07ffff52,0x5bfffe60,0x2207fffc,0xff93ffff,0x7ffd40ff,
    0x3ffff62f,0x3fff61cf,0xcccccccf,0x7c42cccc,0xfff902ff,0x3fdb933f,
    0x89ffffa0,0x3a05ffff,0xfff14fff,0x3fffa07f,0x33ffff65,0xcccccccc,
    0x3fff62cc,0xfff7003f,0x1fffee5d,0x01ffffa8,0x807ffff5,0xf90ffffc,
    0x90003fff,0x0003ffff,0x003ffff9,0x03ffff90,0xfffb3000,0x2203bfff,
    0xf101ccba,0x7fdc9fff,0xf7000fff,0x5401ffff,0xfd03ffff,0x7ffd4bff,
    0xbfffd03f,0x81ffffd4,0x3ea5fffe,0xffd03fff,0x7fffd4bf,0x4bfffd03,
    0x6c07fffd,0xff51ffff,0xffc807ff,0xffff50ff,0x3ffee007,0x0ffff94f,
    0xc9ffffc4,0xf700ffff,0x3fe25fff,0xffd80dff,0x2a0000ff,0xff900fff,
    0xffff53ff,0x1ffffe07,0x7c0dffff,0xfff13fff,0x3fffe0bf,0x07ffff25,
    0x7fffd400,0xffffd007,0x07fffee5,0x80ffffdc,0x00fffff8,0x5cfffff1,
    0x7503ffff,0xffffb813,0xb8137503,0x7503ffff,0xffffb813,0x00137503,
    0x0033ff66,0x20bffff3,0x743ffffa,0x400effff,0x03fffffa,0x807fffe4,
    0x3f25ffff,0xfff00fff,0x7fffe4bf,0x4bffff00,0xf00ffffc,0x7fe4bfff,
    0xffff00ff,0x03fffecb,0x44ffffe6,0x100fffff,0x7d4fffff,0xfb003fff,
    0x64407fff,0x7dc00bcc,0xff900fff,0x3ffea5ff,0xffffd01f,0x402ae605,
    0x3f206ffc,0xfff99fff,0xffff984f,0x0ffffe45,0xb17fffcc,0xfa81ffff,
    0x3fee2fff,0x137503ff,0x13ffffa0,0x4fffff90,0xd04ffffa,0x6c01ffff,
    0x440dffff,0x223ffffd,0xf886ffff,0xff10ffff,0xfff10dff,0x3ffe21ff,
    0xffff886f,0xdffff10f,0x1fffff10,0xffffff80,0x7ffffc02,0x7ffff4c1,
    0x7ffffcc0,0x7fecc0af,0xfd806fff,0xffc81fff,0x3fff65ff,0xffffc81f,
    0x07ffff65,0xd97ffff2,0xfc81ffff,0x3ff65fff,0xfffc81ff,0x1ffff65f,
    0x7fffcc71,0x37ffff63,0x7fffec40,0x0ffffea3,0xffff9822,0x3ffe201f,
    0x3fea04ff,0xfffa84ff,0xffff72ff,0xfffff505,0xffffd01d,0x204ffe81,
    0xff1ffffc,0x7f545fff,0x7fc44fff,0x3f621eff,0x3fea0fff,0x7fff44ff,
    0x37fffc46,0x07ffffc4,0x3bffffe6,0x3fffae21,0x3ffe24ff,0x7ffcc0ef,
    0x7ffcc06f,0xffcacfff,0xffc85fff,0xfda9cfff,0x7fe44fff,0xfda9cfff,
    0x7fe44fff,0xfda9cfff,0x7fe44fff,0xfda9cfff,0x11804fff,0xfc80dff7,
    0xfdbdffff,0xfb03ffff,0xdfffffff,0xffffffff,0xffff7003,0x3fff263b,
    0x3ffee6ff,0xfff931df,0x7ffdcdff,0xfff931df,0x7ffdcdff,0xfff931df,
    0x7ffdcdff,0xfff931df,0x7ffecdff,0x3af3fee7,0x3e61ffff,0xcacfffff,
    0x545fffff,0xfd83ffff,0x5fffffee,0x7fedd440,0xffff101f,0xfff9539f,
    0x3fe65fff,0xff712eff,0x39ffffff,0x8bffffb7,0x3202fff8,0xff91ffff,
    0xfffdffff,0xffb01fff,0xfff9bfff,0xfffd07ff,0xffffd7bf,0xfffff907,
    0xffffb539,0x3ffff209,0xffffefff,0x7ec0efff,0xfdbdffff,0xa803ffff,
    0xffffffff,0x880fffff,0xfffffffe,0x440effff,0xfffffffe,0x440effff,
    0xfffffffe,0x440effff,0xfffffffe,0x000effff,0x7400fff8,0xffffffff,
    0x32205fff,0xffffffff,0x2fffffff,0xfffff300,0xffffffff,0x7fffccff,
    0xffffffff,0x3ffe67ff,0xffffffff,0x3fe67fff,0xffffffff,0x3e67ffff,
    0xffffffff,0x367fffff,0xfff57fff,0x0bffffff,0xfffffff5,0x81ffffff,
    0x443ffffa,0xffffffff,0x7ffc000f,0x3ffffa02,0xffefffff,0x3fffa2ff,
    0xffffffff,0xffffffff,0x540fffff,0x3f200fff,0xfff11fff,0xffffffff,
    0x3ffe209f,0xffffffff,0xfffff706,0x01ffffff,0xffffffd1,0x01dfffff,
    0x7fffffe4,0xefffffff,0xffffe880,0x5fffffff,0x3fffea00,0x0dffffff,
    0x3ffff620,0x00efffff,0xffffffb1,0x2201dfff,0xfffffffd,0xfb100eff,
    0xffffffff,0x8998801d,0x8805ffda,0xfffffffe,0xfd3004ff,0xffffffff,
    0xb8001bff,0xffffffff,0x21ffffbd,0xfffffffb,0x1ffffbdf,0x3fffffee,
    0xffffbdff,0x3ffffee1,0xfffbdfff,0x3fffee1f,0xffbdffff,0xffffb1ff,
    0x7fffffdc,0xfff500ff,0xbfffffff,0x7ffff501,0xffffffb8,0x266203ff,
    0x00fffca9,0x3fffffa2,0x5ffff5ff,0x7fffffcc,0xfd8bffff,0xffffffff,
    0x06ffc81f,0x50ffffe4,0xffffffff,0xfe8809ff,0xefffffff,0x3fffea00,
    0x201effff,0xffffffd8,0xa800efff,0xffffffff,0x2601efff,0xffffffff,
    0x44000dff,0xefffffdb,0x3ffae003,0x800bffff,0xffffffeb,0xffeb800b,
    0x800bffff,0xffffffeb,0xfffd800b,0x2001ffff,0xdffffffa,0xffdb8002,
    0x02deffff,0x3fffaa00,0x3fffe3ef,0x7ffff544,0x13fffe3e,0x7dffffd5,
    0x2a27fffc,0x23effffe,0x7544ffff,0x3e3effff,0xfffb4fff,0xffffdb8f,
    0x7edc400d,0x203effff,0x543ffffa,0x3fffffec,0x7ffffe40,0xfd8802ff,
    0x3fe3efff,0x7fecc2ff,0x540cefff,0xcffffffe,0x80bffd00,0x441ffffc,
    0xdffffffd,0x3ffb2002,0xd3003fff,0x01bfffff,0x3ffffae0,0x22000bff,
    0xffffffec,0x3fee002e,0x002fffff,0x00035100,0x00033530,0x0000cd4c,
    0x40003353,0x640019a9,0x003defee,0x0006a620,0x001a9880,0x00aa8800,
    0x002aa200,0x000aa880,0x0002aa20,0x0000aa88,0x0009a880,0x00003510,
    0x0026aa20,0x2fbbffae,0x00a98000,0x006a6200,0xa8019a98,0x400001aa,
    0x00009aa9,0x800026a2,0x4c0001a9,0x3000019a,0x88000355,0x000009a9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x599b9951,0xdb980005,
    0x530002bc,0x99500015,0x16644001,0x55540000,0x32a2001a,0x000bcded,
    0x000aaaa6,0x000cca80,0xdb00b322,0x5100005d,0x0179bdb9,0x055554c0,
    0x02aaaa80,0x566edd44,0x4c40000a,0x001acdcb,0x00059730,0x00000f2a,
    0x554c0000,0x000000aa,0x0deeed80,0x362776c0,0x664004ee,0x2a2002cc,
    0x00001aaa,0x55555500,0x55555555,0x55555555,0x0015554c,0xffffd980,
    0x03efffff,0x7ffffdc0,0xc8802fff,0x03efffff,0x003fff30,0x00007fe4,
    0x027fffc0,0x7ffffecc,0x802dffff,0x0006fffd,0x003fff30,0x36007fe4,
    0x260005ff,0xfffffffd,0xfc802dff,0xff002fff,0x3fea0dff,0xffffffff,
    0xffeb8003,0xcfffffff,0xffffb000,0x7fc4009f,0x7edc4003,0x3332a3de,
    0xfffd8002,0x4599950f,0x00bdfeca,0x1ffffa80,0x93fff980,0xf8003fff,
    0x26004fff,0x0004ffff,0xffffb800,0xffffffff,0xffffffff,0x3ffff26f,
    0x7fe40000,0xffffffff,0xc800ffff,0xffffffff,0x3fea04ff,0xdfffffff,
    0xffff7100,0x0ffe2003,0x7ffc0000,0x7ffe404f,0xfffedfff,0x3f600dff,
    0x440006ff,0x001ffffb,0xf7007ff1,0x3f2000ff,0xfedfffff,0x200dffff,
    0x002ffffc,0xf70dffff,0xffffffff,0x1001dfff,0xfffffffb,0x05dfffff,
    0xffefffb8,0x0dfb002f,0xfffff980,0x9fff95ff,0xffffb000,0x6d3fff61,
    0x1fffffff,0x17fff400,0xf9fff900,0xff0007ff,0x7cc009ff,0x00004fff,
    0xfffffe80,0xffffffff,0xffffffff,0x03ffff26,0xffffe800,0xffffffff,
    0x3600efff,0xffffffff,0xf882ffff,0xffffffff,0xfffa86ff,0xfb001fff,
    0x7c00000d,0xfd104fff,0xb8837bff,0xb01efffd,0x4000dfff,0x1ffffffa,
    0x200dfb00,0x2000fff9,0x0bdfffe8,0x77ffed44,0x5ffff901,0x1bfffe00,
    0xfffffffb,0xdfffffff,0xfffff980,0xffffffff,0x3fa04fff,0x00dff50f,
    0x54005ff3,0xffffffff,0x04fffddf,0x0ffffd80,0xffbbfffb,0x5fffffff,
    0x0bffea00,0x3ffffa00,0xfff0005f,0x7fcc009f,0x000004ff,0x7fffffd4,
    0xffffffff,0xffffffff,0x03ffff26,0x7fffe400,0xffdbceff,0x106fffff,
    0x317dffff,0xb0dffff9,0xfd9fffff,0xfb87ffff,0x801fffcf,0x00002ff9,
    0x413fffe0,0x2000dffe,0xfd80fffc,0x2e0006ff,0x01fffcff,0x2002ff98,
    0xd1002fff,0x64001bff,0xffc80fff,0xfff002ff,0x7fffc4df,0xffdbbdff,
    0x3a03ffff,0xcdffffff,0xfffffecb,0xfb86602f,0x05fe805f,0x7fffffc0,
    0xfffffedd,0xffd8004f,0xffffb0ff,0xfffbbfff,0xfb001fff,0x3e20007f,
    0x0000ffff,0x4009ffff,0xa84ffff9,0xffd00000,0xffff55ff,0xdddddddf,
    0x7e4bdddd,0xa8000fff,0x00efffff,0x5fffffb3,0x03ffff50,0x541ffffd,
    0x7d44ffff,0x865c6fff,0xfe801ffe,0x7c000006,0xffd84fff,0xffa80203,
    0x06fffd85,0x7f432e00,0x06fe801f,0x8027fec0,0x50003ffd,0xfff90dff,
    0x3ffe005f,0x3fffea6f,0x3ffff603,0xfffff906,0x3ffe601b,0x7dc00fff,
    0x7d400eff,0x3fee001f,0x7fdc0eff,0xd8004fff,0xffb0ffff,0xfe889fff,
    0x99804fff,0x4cc40001,0x00000009,0x89ffff30,0xa80000fb,0x3fe4ffff,
    0x320006ff,0x8000ffff,0x804fffff,0x85fffff8,0xf506fffd,0x7fdc3dff,
    0xffff707f,0x00fff405,0x00007fea,0x89ffff00,0xec984ffa,0xffb82dff,
    0x037ffec3,0x03ffd000,0x4001ffa8,0xfa806ffb,0xddddd15f,0xff7059dd,
    0x2ffffc87,0x4dffff00,0x4c07fffd,0x4c0fffff,0x803fffff,0x04ffffe8,
    0x006fffe4,0xff0013fa,0x3f601fff,0xd8004fff,0xffb0ffff,0x3fe20bff,
    0x000007ff,0x53000000,0x7cc00355,0x3ff64fff,0xffd80000,0x3fffe0ff,
    0x3ff20006,0x7d4000ff,0x5000ffff,0xfb07bdff,0xb00c0bff,0x3e20bfff,
    0x3fa05fff,0x02ff401f,0x3bf72200,0x13fffe2c,0xfff50dfd,0xfb09ffff,
    0x26fffd8f,0x00bdffdb,0xe803ffd0,0xff98005f,0x137f400f,0xffffffff,
    0xc8ffb0bf,0xf002ffff,0x7fecdfff,0x776401ff,0x7ffe40cc,0x3fe6006f,
    0x2aa01fff,0xf700fffc,0x7fc4001f,0x3fe604ff,0xfd8004ff,0xfffb0fff,
    0x7ffe403f,0x4799950f,0x82cefdc9,0x3263ccca,0x4002cefd,0x2005fffc,
    0xe8cffff9,0x40000fff,0x7c5ffff9,0x20006fff,0x000ffffc,0x01ffffec,
    0xff900260,0x3fa000df,0x3ffe05ff,0x07ffa06f,0x0000ffb8,0x3fffffea,
    0x4ffff8df,0xff30bfe6,0x5ffd73bf,0x3f62ffa8,0xfffd8eff,0xe802ffff,
    0x3fee01ff,0xfff88000,0x88ffe602,0xfbaaadff,0x17fcc2ff,0x005ffff9,
    0xfc9bfffe,0x0002efff,0x017ffffc,0x0bffff60,0x441ffec0,0x7cc003ff,
    0x7fc03fff,0xfd8004ff,0xfffb0fff,0x7ffd401f,0x2bfff91f,0xfffffffc,
    0xcafffe44,0x4fffffff,0x13fff600,0xdffff980,0x0004fffe,0x41ffffd8,
    0x0006ffff,0x003ffff2,0x01fffff0,0xfff70000,0x3ffa000f,0x3fffe05f,
    0x407ffa07,0x20004ff8,0xfffffffc,0x4ffffeff,0x3ffe1ff2,0x107ffc41,
    0x7ffecbff,0xffffffff,0x7f402fff,0x09ff101f,0x027ff400,0x7fc43ff9,
    0xe84ffa84,0x3ffff25f,0xdffff002,0x7fffffd4,0x26000acf,0x8007ffff,
    0x224ffffa,0x1ffec7fe,0x540037e4,0x7c02ffff,0xd8004fff,0xffb0ffff,
    0xfff980ff,0xbbfff92f,0xffffffff,0x6fffe49f,0xfffffffd,0xff8804ff,
    0x3e6002ff,0x3fffffff,0xfff88000,0x6ffff85f,0x3fff2000,0x3fe2000f,
    0x000007ff,0x005ffff3,0x20dfff90,0x00fffff9,0x3f203ffd,0xff10000f,
    0xfd99dfff,0x749fffff,0x827fc45f,0x27fe8099,0xeffffffd,0xffffffdc,
    0x407ffa00,0x20000ffc,0x3fa06ffc,0x4c27fc47,0x27fb84ff,0x002ffffc,
    0xfd8dffff,0xffffffff,0x7fd401be,0xf98006ff,0x7fec5fff,0x41fffcad,
    0xa8002ff9,0x7c01ffff,0xd8004fff,0xffb0ffff,0xfff980ff,0xfffff93f,
    0xffffbbff,0x3fff21ff,0xffddffff,0x2200ffff,0x000ffffe,0x3fffffe6,
    0xf900002f,0xfff05fff,0xddddddff,0xfc8bdddd,0x33310fff,0xdffff301,
    0xffd80000,0xffffffff,0x7ffdc04f,0xffffc81f,0x03ffd00f,0x40007ff1,
    0xc85ffffd,0x3e4fffff,0x017fd43f,0xfd87fe40,0x6c43ffff,0x3a04ffff,
    0x3ff881ff,0x7ffd4000,0xf88bff00,0x07fecc4f,0xffc87fd4,0xfff002ff,
    0xfffe88df,0xffffffff,0xffff501d,0xfff1000b,0xffff88df,0x6fd84fff,
    0xffff3000,0x4ffff805,0xffffd800,0x01ffffb0,0xc97fffd4,0x444fffff,
    0xf91fffff,0xf889ffff,0xd101ffff,0x800bffff,0x1efffff9,0xfff10000,
    0x3fffe0df,0xffffffff,0x7fe47fff,0xdfffb0ff,0x0bffff50,0x7fffffcc,
    0xffb2ffff,0xffffffff,0xfff8809f,0x3ffea2ef,0xffd01fff,0x000dfb03,
    0x037fffc4,0x229ffffd,0x0ffe42ff,0xd8ffd400,0xf104ffff,0x7f40ffff,
    0x006fd81f,0x82fff880,0x7fc43ff8,0x4fffffff,0x3f23ff30,0xff002fff,
    0xff910dff,0xffffffff,0xfff705ff,0x3fe0009f,0xfdb887ff,0x1ffa82df,
    0xffff1000,0x7fffcc07,0xfffd8004,0x3ffffb0f,0x87fffdc0,0x705ffffc,
    0x3f25ffff,0xff705fff,0xffd105ff,0x98001dff,0x000effff,0x3ffff200,
    0xffffff03,0xffffffff,0xffffc8ff,0x30dfffb0,0x4c0dffff,0xffffffff,
    0xffffb2ff,0x9fffffff,0xfffff700,0xffffffdd,0xff30003f,0x41eec805,
    0x203ffff9,0x3e4ffffa,0x017fe43f,0xfd8ffd40,0x3f201fff,0x98000fff,
    0xeedb82ff,0x27ff401c,0x7fc43ff8,0x00cfffff,0x7fe47fea,0xfff002ff,
    0x7f5cc0df,0xffffffff,0x7fffdc3f,0xfff88004,0x7f40007f,0x40f76405,
    0x3606ffff,0x8004ffff,0xfb0ffffd,0x7f40bfff,0x3fff27ff,0xffff302f,
    0x0bffff27,0x21ffffcc,0x0effffe9,0x7fff4400,0x2200004f,0x3e07ffff,
    0xffffffff,0x47ffffff,0xfb0ffffc,0xfff10dff,0x7ffcc0ff,0x2fffffff,
    0xffffb997,0x2005999b,0xfffffffd,0x00ffffff,0x5c05fe80,0x7fd41fff,
    0x3fe602ff,0x717fe4ff,0xc80205ff,0xffffb0ff,0x1ffffb80,0x445fe800,
    0x2fffffff,0x7c17ff20,0x4e7fc46f,0x3201ffeb,0xffff70ff,0x3fffe005,
    0xffb73006,0x41ffffff,0x005ffff9,0x06ffff98,0x803fee00,0xfc81fffb,
    0x7d40cfff,0x8004ffff,0xfb0ffffd,0xf705ffff,0x7fe4bfff,0xfff300ff,
    0x3ffff27f,0x7ffff300,0x0dffffe8,0x7fffcc00,0x200004ff,0x204ffffb,
    0xaaafffff,0x2aaaaaaa,0xd87fffe4,0xff886fff,0x3fe607ff,0xffffffff,
    0x1ffff982,0x3ffee000,0xfffcbfff,0x1ffa8007,0x07fffe60,0x403ffff7,
    0x3a4ffff8,0x82ffcc7f,0x3ff40cfd,0xa80dfffb,0x4002ffff,0x7fdc1ffa,
    0x206ffdce,0xffd07ffa,0xf327fc41,0x9ffa01ff,0x802ffffb,0x006ffff8,
    0xfffffd30,0x37fffc45,0x7fffd400,0x9ff10005,0x0ffffcc0,0x7fffffc4,
    0xfffffdac,0xffd8004f,0xffffb0ff,0xffb55bff,0x7fe41fff,0xfff300ff,
    0x3ffff27f,0x7ffff300,0x02ffffe4,0xfffffe80,0x3e00004f,0xffffffff,
    0x6fffffff,0x3fff2000,0x0555530f,0x007ffffa,0x05ffff90,0x001ffff7,
    0x1bdcb980,0x000ffffb,0x7fc409ff,0x7fdc1fff,0x7ffc01ff,0xd07ff24f,
    0x5ffa85ff,0xffb2ffc4,0xfffa80ff,0x27fc002f,0xffd0fffc,0x07ffe205,
    0xff88bff2,0x442ffdc4,0x3ffee5ff,0xfff8802f,0x8014cc5f,0x7c4ffffb,
    0x4000ffff,0x003ffffb,0x2201ff90,0x701fffff,0xffffffff,0x09ffffff,
    0x1ffffb00,0x3ffffff6,0xffffffff,0x07fffe44,0x93ffff88,0x2201ffff,
    0x3fe3ffff,0x3a0005ff,0x04ffffff,0xffff5000,0xffffffff,0x000dffff,
    0x007fffe4,0x17fffee0,0x5ffff900,0x00dfffb0,0xfffe8000,0x07fdc006,
    0x3ffbdfd0,0x01ffffa8,0x893fffe2,0x7ffcc4ff,0x40fffdbe,0x3ff61ffa,
    0x7ffdc07f,0x3fee001f,0x7f429980,0x0fffa02f,0xff893fe2,0x541ffe84,
    0x3ffea1ff,0xfff9803f,0x3ffff95f,0xdffff100,0x04ffffe8,0x3ffffe20,
    0x3ff88002,0x3ffbbfa0,0x3ffff601,0xfff9ffff,0x5fdb934f,0x43ffffa0,
    0xff9ffffd,0x84ffffff,0x2207fffc,0xff93ffff,0x7ffc40ff,0x5ffff33f,
    0x21abc980,0x4ffffade,0xfffd0000,0xffffffff,0x00dfffff,0x07fffe40,
    0x3fffe600,0x3ff2002f,0x7ffc42ff,0x2000002f,0x005ffff8,0xfd80ffe2,
    0x4c1ffd9f,0x2a03ffff,0x7ec4ffff,0x7fffd40f,0x7f443fff,0x0ffffec6,
    0x01ffff90,0x800ffe20,0x3600fffc,0x1ffb05ff,0x3ea13fe2,0x31bfa26f,
    0x700dffff,0x3ea9ffff,0xf8804fff,0x7fdc6fff,0xf7000fff,0x0001ffff,
    0x7fec0dfb,0x5c01ffd9,0xf0dfffff,0x3fe69fff,0xfffd03ff,0x8bfffecf,
    0x02effffd,0x440ffff9,0xff93ffff,0x7ffc40ff,0x5ffff33f,0x27fffd80,
    0x09ffff33,0xffff5000,0xffffffff,0x00dfffff,0x07fffe40,0x7fffec00,
    0xffea801f,0x3ffa22ff,0xdb30004f,0xfff705ff,0x37e4003f,0x3f65ff70,
    0x7fffc41f,0x3ffff606,0x4437fcc4,0xd80bdfdc,0x7ffec2ff,0x3fffe04f,
    0x01bf2007,0x402fffd8,0xff307ffb,0x640b322d,0x85ffb1cc,0x03fffff8,
    0x4fffffe2,0x01fffff8,0x427fffec,0x00effffe,0x1fffffdc,0x817fcc00,
    0x3ffb2ffb,0x3e06a200,0xfff14fff,0xffff10bf,0x43fffecd,0x7fe400a9,
    0x3ffe207f,0x0ffff93f,0xf1ffffc4,0x7cc0dfff,0xff984fff,0xe80004ff,
    0x999bffff,0xfff99999,0x3f20006f,0x88000fff,0x1cffffff,0x7ffff544,
    0xfffd12ff,0x4157997f,0x7ffc43b8,0x7fffd45f,0x0bfe6006,0x6cceffd4,
    0x7fec1aff,0xfffa83ff,0xdffb84ff,0x4ffc8000,0x2fffffd8,0x27fffe44,
    0x802ff980,0x802fffe8,0xf701fff9,0xf90001bf,0x3fff609f,0x36a21bff,
    0x3a0fffff,0x883fffff,0x81fffffb,0xbffffff9,0x7fffecc0,0xbfd0006f,
    0x2677fea0,0x0001affd,0xff27fffc,0x7ecc7fff,0x3ff64fff,0x3f20007f,
    0x3fe207ff,0xffff93ff,0x1ffffc40,0x819ffffb,0x81ffffea,0x99dffff9,
    0x99999999,0x7fffcc09,0xdffff007,0x33333333,0x3f213333,0x50000fff,
    0xffffffff,0xfffffffd,0x3ff25fff,0xffffffff,0x40fffeff,0xebeffffe,
    0x002fffff,0xffc81bf6,0x7fffffff,0x6fffffcc,0xfffffcab,0x5dffb04f,
    0x1bffa600,0x7fffffec,0xfffffcad,0x0dfb000f,0x03fffd30,0xb01fffc0,
    0x26005dff,0x3e606ffe,0xefffffff,0x4fffffff,0x7fffffcc,0xffffeeef,
    0x3ff607ff,0xfeffffff,0x1fffffff,0x01ffa800,0xfffffffb,0xf8000fff,
    0x3ff24fff,0xfffeffff,0x3ff61fff,0x3f20007f,0x3fe207ff,0xffff93ff,
    0x1ffffc40,0xdffffff1,0xbffffffb,0x3ffffe60,0xffffffff,0x7fec6fff,
    0xfff003ff,0xffffffff,0x25ffffff,0x000ffffc,0x3ffffea0,0xffffffff,
    0x3e62ffff,0xffffffff,0x4fffffff,0x7fffffcc,0x005fffff,0xfc807fea,
    0xffffffff,0xfffffd87,0xffefffff,0x3fff204f,0xfb711bdf,0x3601bfff,
    0xffffefff,0x03ffffff,0x8803ff50,0x4000efff,0x7e405ffd,0x510bdfff,
    0x01bffff9,0xffffffc8,0xffffffff,0xffffa80f,0xffffffff,0x32200eff,
    0xffffffff,0x2fffffff,0x409fd000,0xfffffffd,0x7c0007ff,0x3fe24fff,
    0xffffffff,0x7ffec4ff,0x3ff20007,0x3ffe207f,0x0ffff93f,0x21ffffc4,
    0xfffffff9,0x204fffff,0xfffffff9,0xffffffff,0x3fffe66f,0xffff000f,
    0xffffffff,0x325fffff,0x0000ffff,0x7fffff4c,0xffffffff,0xffffe80b,
    0xffffffff,0x7dc0ffff,0xffffffff,0x02ff4003,0x36666662,0xffb01aff,
    0xb1dfffff,0xfa809fff,0xffffffff,0x6c03ffff,0xfff9cfff,0x004fffff,
    0x3f6017fa,0x3fffffff,0x403ffdc0,0xfffffffa,0x03ffffff,0x3ffffea0,
    0xdfffffff,0x3fffee00,0xffffffff,0xffd3000d,0xffffffff,0x2e0001bf,
    0x266200ff,0x1affd999,0x7fffc000,0x7ffffcc4,0xd85fffff,0x20007fff,
    0x2207fffc,0xff93ffff,0x7ffc40ff,0xfffd883f,0x03ffffff,0x7fffffcc,
    0xffffffff,0x3fff26ff,0x3ffe004f,0xffffffff,0x92ffffff,0x0001ffff,
    0x3ffff260,0x402cdfff,0x95109cfa,0x9ffffffd,0xffffd501,0xfb8005df,
    0xffb0000f,0xfffeb803,0x9fffb0df,0xfffd7100,0x017dffff,0x229fffb0,
    0x02effffd,0x1003fee0,0xffffffff,0xfff9807f,0xffeb8800,0x0befffff,
    0xfffd8800,0x02efffff,0xfffff710,0x0007bdff,0x3fffff6e,0x20002def,
    0xb0003ff8,0xf00003ff,0xf9109fff,0x05dfffff,0x001ffff6,0x207fffc8,
    0xf93ffff8,0x7fc40fff,0x372603ff,0x800acdfe,0xfffffff9,0xffffffff,
    0xfffff16f,0x7fffc003,0xffffffff,0xf92fffff,0x00001fff,0x00155310,
    0x26a20010,0x03531001,0x001f6c00,0x20019950,0x800001a8,0x01abcba8,
    0x00a98000,0x9803ed80,0xcccccccc,0x0aaa801c,0x5e5d4400,0x2600001a,
    0x00009aa9,0x0001aa98,0x001a9880,0x0017ae00,0x0000cca8,0x403eeee8,
    0x64009aa8,0x00005eee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x000aaaa9,0x98055555,
    0xaaaaaaaa,0x3100099a,0x20001333,0x000aaaa9,0x66666400,0x103ccccc,
    0x5c039999,0x55533ccc,0x88aaaa25,0x26009999,0x3a600999,0x2f544eee,
    0x01884eb8,0x3bbaa131,0x207bbaa1,0x0002aaa9,0xccccccc8,0xaa883ccc,
    0xaaaaaaaa,0xaaaaaaaa,0x55555302,0x01335555,0x99999700,0xb8079999,
    0x2000eeee,0x6666401a,0x83cccccc,0x400aaaaa,0x001aaaa8,0x01f776c4,
    0x33008800,0xeeeeb800,0x77774002,0x15554c03,0xddb00000,0xa84eed89,
    0x7fdc2aaa,0xfff002ff,0xfffb80ff,0xffffffff,0x3ea00cff,0x70003fff,
    0x0005ffff,0xffffff80,0xf105ffff,0x7f407fff,0xffff76ff,0x54ffff11,
    0x3e03ffff,0x3f604fff,0x7fc40eff,0x3223ff82,0xff10beff,0x4c7ffec3,
    0xff905fff,0xf80001ff,0xffffffff,0xffff985f,0xffffffff,0x0fffffff,
    0xffffffb8,0xcfffffff,0xffffd000,0x40bfffff,0x06fffff9,0x7c02fd98,
    0xffffffff,0xffffc85f,0x7fffec03,0x7ffec002,0x260001ff,0xf30beffd,
    0x7ffc001f,0xfff8004f,0x7ffe404f,0x3000000f,0x3ff27fff,0xfffff81f,
    0x0bfffee0,0x03ffffc0,0x3fffffee,0xffffffff,0xffff502f,0x3fee0007,
    0x400002ff,0xffffffff,0xfff105ff,0x7fff407f,0x11ffff76,0x7fd4ffff,
    0x3ffe03ff,0xdfff104f,0x2f7ffa01,0x3ee1ffec,0xffefffff,0x37ffe20f,
    0x6540effe,0xcccffffe,0x7ffc004c,0x5fffffff,0xffffff98,0xffffffff,
    0xb80fffff,0xffffffff,0x2fffffff,0xfffffe80,0xd105ffff,0x07fffdff,
    0x00bfff22,0xffffffff,0xfff10bff,0x7ffcc0ff,0x7fdc006f,0x000fffef,
    0xffffffb0,0x5c00fffd,0xf0005fff,0xfc809fff,0x00000fff,0x3f3fff20,
    0xffff03ff,0x7fffdc1f,0xfffff002,0xfffffb80,0xffffffff,0xffa85fff,
    0xf70003ff,0x00005fff,0xaaaaaaa8,0xff101aaa,0x7ff407ff,0x1ffff76f,
    0x7d4ffff1,0x3fe03fff,0xfff904ff,0x7fffc401,0x77f43fff,0x5fffffec,
    0xffffffa8,0xfffffc81,0x007fffff,0x55555554,0xff981aaa,0xffffffff,
    0xffffffff,0xffffb80f,0xffffffff,0x5405ffff,0xaaaaaaaa,0x1fff902a,
    0xf503fff9,0xaa805fff,0xaaaaaaaa,0x7ffff901,0x0bffff60,0x9cfff980,
    0xf0005fff,0xfffffbbf,0x7ff4009f,0x3ffe0005,0x7ffe404f,0x4000000f,
    0x05fffffe,0x3a3ffffe,0xffffffff,0xffffffff,0x2fffffff,0xeeffffb8,
    0xffffeeee,0x7fd42fff,0xf70003ff,0x00005fff,0xff880000,0x3ffa03ff,
    0x1ffff76f,0x7d4ffdd1,0x3fe03fff,0xfff884ff,0xffec8801,0x107fc41d,
    0x7e405dd7,0xff904fff,0xffffffff,0x4000000f,0xeeeeeee9,0xeeefffff,
    0xfb80eeee,0xeeeeefff,0xfffffffe,0xf5000002,0x37ff45ff,0x017fffd4,
    0x3fe20000,0xfff986ff,0x7ff4006f,0x00bffea6,0xec98ff30,0x3fea002d,
    0x3320000e,0x7fe402cc,0x8000007f,0x00fffff8,0x3a3ffffe,0xffffffff,
    0xffffffff,0x2fffffff,0x02ffffb8,0x3fffffea,0x0ffffea0,0x7fffdc00,
    0xccdeeeee,0x0000001b,0x80ffffe2,0xff76fffe,0x537d41ff,0x6407ffff,
    0x99883ffc,0x00000000,0x40333300,0xbffffda9,0x00002aaa,0x3ffe0000,
    0xffb8006f,0x3fea02ff,0x0000ffff,0x44199880,0x7fd40999,0x000002ff,
    0x42ffffc8,0x002ffffd,0x31026662,0x00000013,0x00133100,0xca980000,
    0x0000007f,0xf8013331,0xffe8ffff,0xffffffff,0xffffffff,0xb82fffff,
    0x4402ffff,0x2a4ffffe,0x0003ffff,0xfffffff7,0xdfffffff,0x3b2a2003,
    0x2200bcef,0x3a03ffff,0xfff76fff,0xf527e41f,0xf8807fff,0x0000002f,
    0x00000000,0x001ffff9,0xdfdb7100,0x7fc00059,0xfb8006ff,0x74402fff,
    0x2a04ffff,0x3defffed,0x37260000,0x2ccdffff,0x44099995,0x7c41cccc,
    0x3fe26fff,0x000006ff,0x00000000,0x00000000,0x00006fc8,0xfff00000,
    0x7ffdc1ff,0xffff002f,0xffffb80f,0xffff9802,0x7ffff50f,0x3ffee000,
    0xffffffff,0x401fffff,0xfffffffc,0xfff103ff,0x7fff407f,0x11ffff76,
    0x7fd41ff9,0x7fd403ff,0x54b332e0,0xca80bdfd,0xcca804cc,0x3332e04c,
    0x817bfb52,0x930ffffc,0xa8037bfd,0xffffffff,0xfff8000d,0xffb8006f,
    0xff9802ff,0x7fcc0fff,0xffffffff,0x3332a00d,0xfffff704,0x3f27ffff,
    0x3fe607ff,0xfffc82ff,0x5ffff92f,0x40799970,0x9102cccc,0x332a3999,
    0x3bf7263c,0x9999702c,0x99999999,0xccccb879,0xcccccccc,0x99ffc43c,
    0x36e63ccc,0x99702def,0x99999999,0x7ff47999,0x7fffdc7f,0xfffff002,
    0x2ffffb80,0x3ffffb00,0x00ffffea,0x7ffffdc0,0xffffffff,0x3f206fff,
    0xffffffff,0xfff885ff,0x3fffa03f,0x31ffff76,0xfffa85ff,0x0fff203f,
    0xff39fffb,0xff907fff,0xffc801ff,0xfffb00ff,0x7fffff39,0xb8ffffc8,
    0x3fffffff,0xffffff90,0x003fffff,0x006ffff8,0x02ffffb8,0x43ffffb0,
    0xfffffff8,0x00efffff,0x701ffff9,0xffffffff,0x1ffff27f,0x82ffff98,
    0xf8dffff8,0xff706fff,0x3ffe60ff,0xffff706f,0x657fff21,0x4fffffff,
    0xffffffd8,0x5fffffff,0x7fffffec,0x5fffffff,0xffb9bfee,0xfffff76f,
    0xffd81bff,0xffffffff,0x3ff65fff,0x7fffdc6f,0xfffff002,0x2ffffb80,
    0x5ffff900,0x00ffffea,0x67fffdc0,0xfecaaaaa,0xfc83ffff,0xffefffff,
    0x7c44ffff,0x3fa03fff,0xffff76ff,0x3fea02e1,0xbff303ff,0xffbfffb0,
    0xf901ffff,0xfc801fff,0xffb00fff,0xffffffbf,0xdffffc81,0xffffffff,
    0x7fffcc2f,0xfffffcff,0x7fffc006,0xfffb8006,0xfff9002f,0x7fffe45f,
    0xffffecdf,0xffff902f,0xfffff701,0x3f27ffff,0x3fe607ff,0xfff902ff,
    0x05ffff7f,0x207fffe2,0x80fffffb,0x3f25fffd,0xffffddff,0x6c4fffff,
    0xffffffff,0x6c5fffff,0xffffffff,0x325fffff,0x3ffee1ef,0xffffffce,
    0x7fec5fff,0xffffffff,0x3ff25fff,0x7fffdc6f,0xeeeeeeee,0x07ffffee,
    0x017fffdc,0x53ffffb8,0x2607ffff,0x7fdc0999,0x3fa202ff,0x7fdc6fff,
    0x7fd42fff,0x3fe21fff,0x3ffa04ff,0x1ffff76f,0x3ffffa80,0x7fec0b20,
    0x5fffffff,0x01ffff90,0x00ffffc8,0xfffffffb,0xfff90bff,0xffb9dfff,
    0xffe8ffff,0x7ffdc2ff,0x3ffe002f,0xffb8006f,0xff7002ff,0x3ffe27ff,
    0xffffa85f,0x1ffff904,0x17fffd40,0x303fffe4,0x2205ffff,0xffffffff,
    0x27fff406,0x17ffffec,0xc8ffffe2,0xdfffffff,0x0ffffffd,0x3ffffff6,
    0x5fffffff,0x7fffffec,0x5fffffff,0x3ffee0e2,0xffddffff,0x3f60ffff,
    0xffffffff,0x3ee5ffff,0x7ffdc5ff,0xffffffff,0x7fffffff,0xffffddd0,
    0x507ddddd,0x3ea9ffff,0xff883fff,0x7ffdc3ff,0x7ffd402f,0x7fffec7f,
    0xdffff301,0x02ffffc4,0x3eedffff,0x7d400fff,0xb0003fff,0x55bfffff,
    0x3fff2059,0x7ffe400f,0xffffb00f,0x905955bf,0x887fffff,0xf51ffffe,
    0x3fa09fff,0x3fe006ff,0x3ba006ff,0xeeeffffe,0xfffa83ee,0x032e624f,
    0xc827fffc,0x2a00ffff,0xfc82ffff,0x3fe607ff,0xdddd12ff,0xffffffff,
    0xfc8bdddd,0xffff86ff,0x7ffd44ff,0x3ffff20f,0x7fffc44f,0x2666621f,
    0xffffe999,0x4cccc40f,0xffffe999,0xfffb800f,0x7ff444ff,0x266622ff,
    0xfffe9999,0x3ffee0ff,0x7ffffdc4,0xffffffff,0xf07fffff,0xffffffff,
    0xff309fff,0x3ffeabff,0xffff883f,0x17fffdc3,0x07ffffc0,0xd809ffff,
    0xff10ffff,0x3fea0fff,0xffff76ff,0xffffa801,0xfffb0003,0x7fe400df,
    0x7fe400ff,0xfffb00ff,0x3ff200df,0xfff505ff,0x3fffee5f,0x1ffff702,
    0xff333330,0x33333dff,0x3fffffe0,0x84ffffff,0x005ffff9,0x82ffff4c,
    0x200ffffc,0xc82ffffa,0x3e607fff,0xfff12fff,0xffffffff,0x98dfffff,
    0x3e60ffff,0x646fffff,0x7fe46fff,0xfff705ff,0x3ff2005f,0x64001fff,
    0x001fffff,0x20dffff7,0x003ffffa,0x83fffff9,0x7dc3fffa,0xffffffff,
    0xffffffff,0xfffff07f,0x9fffffff,0x2dffff30,0x883ffffa,0x7dc3ffff,
    0x7c402fff,0x3fe67fff,0x7fdc02ff,0xffff11ff,0xffff889f,0x1ffff76f,
    0x3ffffa80,0xffffb000,0x7ffe4005,0x7ffe400f,0xffffb00f,0x3fff2005,
    0xffff302f,0x2fffff27,0xffbaaaaa,0x7ffcc1ff,0xffffffff,0xff80ffff,
    0xffffffff,0xfff984ff,0x7edd406f,0x905fffff,0x5401ffff,0xfc82ffff,
    0x3fe607ff,0xffff12ff,0xffffffff,0xff0dffff,0x7ffe45ff,0x3fe0ffff,
    0x7ffe43ff,0xffff302f,0xffff9007,0xffc8005f,0x2e002fff,0xf103ffff,
    0xf9009fff,0xf305ffff,0xfffb87ff,0xaaaaaacf,0x7ffffaaa,0xffffb550,
    0x30355559,0x3ea9ffff,0xff883fff,0x7ffdc3ff,0x7ffdc02f,0x3fffee5f,
    0x7fffd401,0xffffff13,0xffffd97b,0x3fffeedf,0x7fffd400,0xfffb0003,
    0x7fe4001f,0x7fe400ff,0xfffb00ff,0x3ff2001f,0xfff301ff,0x3ffff67f,
    0xffffffff,0x7fcc2fff,0xffffffff,0xa80fffff,0xacffffda,0xff981aaa,
    0xffdb84ff,0xffffffff,0x1ffff905,0xffffff90,0x3ff23fff,0x3ffe607f,
    0xddddd12f,0xddfffffd,0xff90bddd,0x67fff4bf,0xfff32fff,0xffffc81f,
    0x7ffff300,0xfffffb80,0x7ffdc003,0x7dc003ff,0xff101fff,0xffb809ff,
    0xff103fff,0xffffb85f,0xfffff002,0x2ffffb80,0x7ffff500,0x40ffffea,
    0x7dc1aaaa,0x3ee02fff,0x3f23ffff,0x7cc01fff,0xfff13fff,0xffffffff,
    0x3eedffff,0x7d400fff,0xb0003fff,0xc800ffff,0x6400ffff,0xfb00ffff,
    0x7e400fff,0xff100fff,0x3fffa7ff,0xffffffff,0x74c3ffff,0xffffeeee,
    0x00eeeeef,0x00bfffee,0x11ffffd4,0xfffffffd,0x20bffffb,0xc80ffffc,
    0xffffffff,0x0ffff91f,0x017fffd4,0x0027fffc,0x3e2ffff3,0x4fff9dff,
    0xf90dfff7,0x3e601fff,0x3ea03fff,0x4004ffff,0x04fffffa,0x1ffffb80,
    0x09ffff10,0x27ffffd4,0xf707ffe0,0x3e005fff,0x7dc07fff,0xf7002fff,
    0x3fea5fff,0xf70003ff,0xdddddfff,0xffffffdd,0x17fffdc3,0x4bfffea0,
    0xffcffff8,0xfffcffff,0x01ffff76,0x03ffffa8,0x0ffffb00,0x0ffffc80,
    0x07fffe40,0x007fffd8,0x403ffff2,0xfb3ffff8,0x99999fff,0x05999999,
    0x01bfffe0,0x0bfffee0,0x97fffdc0,0xbeffffe8,0x417fffa1,0xb80ffffc,
    0xeeffffee,0x0ffff91e,0x317fffd4,0xfff33333,0x133333bf,0x2a7fffe0,
    0xdfff3fff,0x320ffff6,0xf100ffff,0x3e607fff,0x4005ffff,0x05fffff9,
    0x3ffff700,0x827fffc0,0x05fffff9,0x7dc0fff8,0xff002fff,0xffb80fff,
    0xffd002ff,0x3ffea3ff,0xff70003f,0xffffffff,0x87ffffff,0x403ffffa,
    0xf10ffffc,0xfff37fff,0x2dfff73f,0x400ffffb,0x003ffffa,0x00ffffb0,
    0x00ffffc8,0x807fffe4,0x2007fffd,0x100ffffc,0x3f27ffff,0x00001fff,
    0x006ffff8,0x02ffffb8,0x23ffffd0,0xd03ffffa,0x3f20bfff,0x3ea00fff,
    0xffc82fff,0xfff700ff,0x3fffe25f,0xffffffff,0xfb06ffff,0x3fff99ff,
    0x3fe3fff6,0xfffc81ff,0x3fffe207,0xfffff883,0x7ffc4006,0x2e0006ff,
    0x3e01ffff,0xff884fff,0xfd006fff,0x5ffff70f,0x1ffffe00,0x05ffff70,
    0x4fffff30,0x003ffffa,0xffffff70,0xffffffff,0xffff109f,0x3ffe201f,
    0x3fffe27f,0x3ee00663,0x7d400fff,0xb0003fff,0xc800ffff,0x6400ffff,
    0xfb00ffff,0x7e400fff,0xff100fff,0x3ffee7ff,0x0137503f,0x06ffff80,
    0x2ffffb80,0x7ffff980,0x403ffff2,0xf905ffff,0x7cc01fff,0xffb82fff,
    0xfff900ff,0x3fffe25f,0xffffffff,0xf506ffff,0x4fffddff,0xfffdfffb,
    0x0ffff906,0x21ffffc4,0x0effffe8,0x3fffa200,0x2e0000ef,0x3e01ffff,
    0x7f444fff,0x9000efff,0xffff70bd,0x3fffe005,0x7fffdc07,0x7fffcc02,
    0x3fffea2f,0xfff70003,0xffffffff,0x7ec03bff,0x6c40dfff,0x3e23ffff,
    0xb8003fff,0x5400ffff,0x0003ffff,0x800dfffb,0x400ffffc,0xb00ffffc,
    0x6400dfff,0xf100ffff,0x3fe27fff,0xfff886ff,0xfff000ff,0xff7000df,
    0xff9805ff,0x3ff62fff,0xfffc81ff,0xffff905f,0x7fffcc01,0x4ffffa82,
    0x2fffffa8,0xfffffff1,0xffffffff,0x3ffe20df,0x3e65ffff,0x04ffffff,
    0x440ffff9,0x7ec3ffff,0x4000ffff,0x00fffffd,0x7fffdc00,0x13fffe01,
    0x01fffffb,0x3ffee000,0xffff002f,0xffffb80f,0xb999999b,0x546fffff,
    0x999cffff,0x99999999,0x59ffff70,0x00355555,0x3fffffe6,0xfffffcac,
    0x1ffffc45,0x7fffdc00,0x7fffd400,0x9999999c,0xffb09999,0xffc800df,
    0x7fe400ff,0xfffb00ff,0x7ffe400d,0xffff100f,0x7ffffe47,0xffffda9c,
    0x3fffe004,0xfffb8006,0x999999bf,0x46fffffb,0x31dffffb,0x0dfffff9,
    0x803ffff2,0xdcfffff9,0x9fffff13,0xfffff953,0x5555545f,0xaaeffffa,
    0x3f602aaa,0x7c3fffff,0x01ffffff,0x440ffff9,0x3f23ffff,0x3331ffff,
    0xffc83333,0x33331fff,0xff700333,0x7ffc03ff,0x3ffff24f,0x3333331f,
    0x226665c3,0x002ffffb,0xb80fffff,0xffffffff,0xffffffff,0x7fffd41f,
    0xffffffff,0xff75ffff,0x200005ff,0xfffffffa,0x40ffffff,0x003ffff8,
    0x00ffffb8,0x7fffffd4,0xffffffff,0xdfffb5ff,0xffffc800,0x7fffe400,
    0x0dfffb00,0x07fffe40,0x23ffff88,0xffffffe8,0x00efffff,0x01bfffe0,
    0x3ffffee0,0xffffffff,0x7cc1ffff,0xffffffff,0x907fffff,0x4401ffff,
    0x4fffffff,0x3ffffffa,0xffffefff,0x4ffff802,0xffffa800,0x7ffe41ff,
    0x3ff207ff,0x3ffe207f,0xfffff53f,0xffffffff,0x3ffea3ff,0xffffffff,
    0x5c01ffff,0x3e01ffff,0xfff54fff,0xffffffff,0x3f63ffff,0x7ffdc7ff,
    0xffff002f,0xffffb80f,0xffffffff,0xfa83ffff,0xffffffff,0x5fffffff,
    0x005ffff7,0x7fffd400,0x0dffffff,0x03ffff88,0x0ffffb80,0x7ffffd40,
    0xffffffff,0xfffb5fff,0xfffc800d,0x7ffe400f,0xdfffb00f,0x7fffe400,
    0x7ffff100,0xfffffd88,0x000effff,0x0037fffc,0x7fffffdc,0xffffffff,
    0xfff703ff,0xf7bfffff,0xff903fff,0xffb801ff,0x3a25ffff,0x5fffffff,
    0xf005ffff,0x10009fff,0x50ffffff,0x409fffff,0x2207fffc,0xff73ffff,
    0xffffffff,0x2e3fffff,0xffffffff,0x1fffffff,0x0ffffdc0,0x2e9ffff0,
    0xffffffff,0x1fffffff,0xfb8ffffb,0xff002fff,0xffb80fff,0xffffffff,
    0x500dffff,0xffffffff,0xffffffff,0x0bfffeeb,0xfb710000,0x407dffff,
    0x003ffff8,0x00ffffb8,0x7fffffd4,0xffffffff,0xdfffb5ff,0xffffc800,
    0x7fffe400,0x0dfffb00,0x07fffe40,0x03ffff88,0xffffffd7,0xfff00017,
    0xff7000df,0xffffffff,0x801bffff,0x3effffea,0x3213fffe,0xc800ffff,
    0x445fffff,0x23effffd,0xf802ffff,0xd0004fff,0xf10bffff,0x6405ffff,
    0x3e207fff,0xfff73fff,0xffffffff,0x3ee3ffff,0xffffffff,0x01ffffff,
    0x00ffffdc,0x3ee9ffff,0xffffffff,0xb1ffffff,0xffb8ffff,0xfff002ff,
    0xfffb80ff,0xeeffffff,0x7fd401cc,0xffffffff,0x75ffffff,0x0005ffff,
    0x001a8800,0x005dddd1,0x01ffff70,0xffffffa8,0xffffffff,0xdfffb5ff,
    0xffffc800,0x7fffe400,0x0dfffb00,0x07fffe40,0x03ffff88,0x00019a98,
    0x0037fffc,0x7fffffdc,0x1cceefff,0x00554400,0x0ffffc80,0x2002a600,
    0xf00000a9,0x20009fff,0xd03ffffb,0xfc80ffff,0x3fe207ff,0xffff73ff,
    0xffffffff,0x3fee3fff,0xffffffff,0x401fffff,0x201ffffb,0xff74ffff,
    0xffffffff,0x363fffff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb7310000,0x3bae1579,0x037bb20d,0x223dddd9,0xec85eeed,0x3bbae0ee,
    0x01333311,0x2aaaa200,0x55553000,0x2aa00055,0x00d4002a,0x1aaaa980,
    0xaaaa8800,0xaaaaaaaa,0x541aaaaa,0x4002aaaa,0x801aaaaa,0x4c009aa9,
    0xaaaaaaaa,0xaaaaaaaa,0x01555530,0x4caaaaa0,0x2aa62aaa,0x9800002a,
    0x55530aaa,0x015554c5,0xaaaaa980,0x99aaaaaa,0xdca88000,0x2aaa61ac,
    0x5553000a,0x42aaaa65,0xaaaaaaa9,0x0099aaaa,0x55555530,0x00333555,
    0xaaa80000,0x54c000aa,0x55511aaa,0x55555555,0x55555555,0x103cccb8,
    0x7ffffffd,0x7d57ffa2,0x7ffcc3ff,0x7fffcc3f,0x90fffec2,0x3fea5fff,
    0xf70003ff,0xf5007fff,0x003fffff,0x01ffff70,0x0005fd30,0x01fffffa,
    0x3ffffe20,0xffffffff,0x7dc4ffff,0x7001ffff,0x203fffff,0xffffffb8,
    0xffff703f,0xffffffff,0x3ee3ffff,0xff002fff,0x3fff2fff,0x0ffffb0f,
    0xfffd0000,0x43ffff25,0x000ffffc,0xffffffb8,0xffffffff,0xfff5002d,
    0x3ee3ffff,0xfb006fff,0x3fff2dff,0xfffff71f,0xffffffff,0xffb809df,
    0xffffffff,0xf902efff,0xffffffff,0x45ffffff,0x004ffffd,0x997ffff4,
    0xffffffff,0xffffffff,0x3ff60fff,0xfffe886f,0x3e62ffff,0x85fffcff,
    0xf303fffc,0xfffd8dff,0x54bfff21,0x0003ffff,0x807ffff7,0x1ffffffa,
    0xffff8800,0x3ff2200f,0xff98002f,0x4002ffff,0xfffffff8,0xffffffff,
    0xfffe84ff,0xfff8806f,0xfff303ff,0xdfffffff,0xfffffb81,0xffffffff,
    0xfff71fff,0x3ffe005f,0x1ffff97f,0x001ffff6,0x5ffff700,0x643ffff2,
    0x8000ffff,0xfffffffb,0xffffffff,0x7ffcc04f,0x3ee7ffff,0xd802ffff,
    0xfff96fff,0x3fffee3f,0xffffffff,0x700effff,0xffffffff,0xbfffffff,
    0xffffff90,0xffffffff,0x7fffd45f,0x3ffe2007,0x3fffe67f,0xffffffff,
    0x0fffffff,0x261bfff6,0xfeffffff,0x7ffffe40,0x27ffc40f,0xd8bffea0,
    0x3ff21fff,0x7ffff52f,0x3ffee000,0x3ffe603f,0xb0001fff,0x401fffff,
    0x002ffffa,0xffffffc8,0x7ffc4006,0xffffffff,0x84ffffff,0x02fffff9,
    0x837fffe4,0xffffffe8,0x5c6fffff,0xffffffff,0xffffffff,0x05ffff71,
    0x65ffffe0,0xffb0ffff,0x540000ff,0xf92fffff,0x3ff21fff,0xfb8000ff,
    0xffffffff,0xffffffff,0x3ffff203,0x3fee6fef,0x6c00ffff,0xfff96fff,
    0x3fffee3f,0xffffffff,0x81ffffff,0xfffffffb,0xffffffff,0x7fffe45f,
    0xffffffff,0x7ffc2fff,0xff7001ff,0x7ffcc9ff,0xffffffff,0xffffffff,
    0x21bfff60,0x803ffffa,0xc82ffffe,0xff7005ff,0x220ccc4d,0xfff50999,
    0x3ee0007f,0xff303fff,0x0005ffff,0x3fffffee,0x3fffea00,0xffff8002,
    0x2001ffff,0xeeeeeee8,0xffffeeee,0xfff903ff,0x3fe601ff,0xffb01fff,
    0xffd7bfff,0x7fdc7fff,0xeeeeeeff,0x70eeeeee,0x2005ffff,0xff97ffff,
    0x3fff61ff,0xff700007,0x3f25ffff,0xfff90fff,0xff70001f,0xddddddff,
    0xffffffdd,0x3ffff601,0xfffff700,0xfffd809f,0x23ffff96,0xeeeffffb,
    0xfffeeeee,0xffb84fff,0xeeeeeeff,0x1fffffff,0x3ffffff2,0xffffffff,
    0x7fffe41f,0xffffd004,0x777774c3,0xefffffee,0x20eeeeee,0xfc86fffd,
    0x98800fff,0x03310199,0x00019880,0x01ffffd4,0x3ffffb80,0xfffffe88,
    0xfff10002,0x5401ffff,0x4002ffff,0xfffffffa,0x5000004f,0x40bfffff,
    0x04fffff8,0x409ffffb,0x540fffff,0x3ee6ffff,0x70002fff,0x2005ffff,
    0xff97ffff,0x3fff61ff,0x7f540007,0x02ffffff,0x00ffffc8,0x2ffffb80,
    0x7ffff4c0,0x0dffff02,0x7fffffdc,0x3fff601f,0x23ffff96,0x402ffffb,
    0x86ffffd9,0x102ffffb,0x4bfffff9,0xaaaaaaa9,0x3ffffbaa,0x07ffff98,
    0x06ffff88,0x037fffc0,0x3fff2000,0x00000007,0x7d400000,0x70003fff,
    0xe887ffff,0x002fffff,0x3fffffa0,0xfdc980ff,0x02ccdfff,0xfeffffd8,
    0x800007ff,0x0efffff9,0x7ffffd40,0x7ffffd40,0x9ffff300,0xb9ffffa0,
    0x0002ffff,0x005ffff7,0x7e5ffffe,0xfffb0fff,0x3f62000f,0xffffffff,
    0xffffc802,0xfffb8000,0xfffb802f,0x9ffff04f,0x7ffffdc0,0x3ff606ff,
    0x3ffff96f,0x00bfffee,0x03ffffe2,0x805ffff7,0x006ffffb,0x204fffd8,
    0x401ffffe,0x004ffffb,0x0037fffc,0x1ffff200,0x82666540,0x5404ccca,
    0x99504ccc,0x3ffea099,0xff70003f,0x7ff447ff,0x20002fff,0xfffffffb,
    0xffffb80f,0x403fffff,0xfbcffff8,0x00002fff,0x3fffffe2,0xffffb001,
    0x2ffffe8b,0x07fffaa0,0xb87fffe4,0x0002ffff,0x005ffff7,0x7e5ffffe,
    0xfffb0fff,0x33332e0f,0x3ffffe63,0x952ffffd,0x7ffe4999,0x9dfd930f,
    0x5ffff703,0x7ffff100,0x7fffe654,0x3ee0ccce,0x3fffffff,0x32dfffb0,
    0xff71ffff,0x3f6005ff,0x7fdc2fff,0x7fcc02ff,0x7d4007ff,0x7fe406ff,
    0x7ff404ff,0x7fc001ff,0x400006ff,0x9007fffc,0xf901ffff,0x7e401fff,
    0xffc80fff,0xfffa80ff,0xff70003f,0x7ffec7ff,0x260003ff,0xfffbffff,
    0xffffb80f,0x403fffff,0xf89ffffb,0x00006fff,0x0bfffffa,0xfffff880,
    0x0bffff72,0x3ff60180,0x3fffee7f,0xfff70002,0x3ffe005f,0x1ffff97f,
    0x321ffff6,0x260fffff,0xff9affff,0xffff92ff,0x23ffff21,0xfffffffb,
    0x17fffdc4,0x07fffdc0,0xfffffff9,0x7fdc1fff,0x0fffffff,0xf96fffd8,
    0x3fee3fff,0xffd002ff,0xfffb83ff,0xffff802f,0x3ffe2007,0x7ffcc01f,
    0x3ffe207f,0xfff8006f,0x6400006f,0xf9007fff,0xff901fff,0x7fe401ff,
    0xfffc80ff,0xffffa80f,0xfff70003,0x3ffff67f,0x7f40003f,0xffffaaff,
    0xfffffb80,0x7403ffff,0x3ffa6fff,0xc80001ff,0x003fffff,0x8effffb8,
    0x000fffff,0xbffff100,0x017fffdc,0x2ffffb80,0x2fffff00,0xfb0ffffc,
    0xfffb8fff,0x6ffcc1ff,0x25ffff30,0xf90ffffc,0xffffbfff,0x5c7fffff,
    0x5402ffff,0x7e46fffe,0xffffffff,0x3fffee0f,0xd85ffffd,0xfff96fff,
    0x3fffee3f,0xffff9802,0x7fffdc0f,0x7fffd402,0x3fff6006,0xffffd004,
    0x3fffee05,0xffff8003,0x7e400006,0xff9007ff,0xfff901ff,0x7ffe401f,
    0xffffc80f,0x3ffffa80,0xffff7000,0xffffff97,0x7fe40001,0x1ffff55f,
    0x17fffd40,0x3ffffa80,0x013fffea,0xfffff700,0x7ff4000b,0x3fffffff,
    0x3fee0000,0x3ffee3ff,0xaaaaaacf,0x7fdc1aaa,0xeeeeeeff,0xffffeeee,
    0x21ffff97,0x3ea7fffd,0xc981ffff,0x97fffcc0,0xf90ffffc,0xb9ffffff,
    0x5cffffff,0xcccdffff,0xffffedcc,0x7fffe41e,0x20ffffff,0xff9ffffb,
    0x7fec2fff,0x3ffff96f,0x40bfffee,0xfffffb99,0x2ffffb85,0x3ffffa20,
    0xffff3004,0x3ffee001,0xffffb05f,0xffff0001,0xfc80000d,0xff9007ff,
    0xfff901ff,0x7ffe401f,0xffffc80f,0x3ffffa80,0xffff7000,0xfffffffd,
    0x3fe6000b,0xffff50ff,0x7fffd401,0xffffb002,0x3ffffc41,0xffff3000,
    0x4c0001df,0xffffffff,0x3e600006,0x3ee0ffff,0xffffffff,0x5c4fffff,
    0xffffffff,0xffffffff,0xffff97ff,0x4dffff61,0x001fffff,0xc97fffcc,
    0xff90ffff,0xfe887fff,0xfff71fff,0xffffffff,0x801dffff,0x2e04ffff,
    0xffb8ffff,0x7ffec6ff,0x23ffff96,0xfffffffb,0xffffffff,0xffb80fff,
    0xaaaaacff,0x2ffffffc,0x0bfffb00,0x3ffffc40,0x02ffffc4,0x06ffff80,
    0x7ffe4000,0xffff9007,0x1ffff901,0x07fffe40,0x407fffe4,0x003ffffa,
    0xffffff70,0x5fffffff,0x5fffd000,0x007fffd4,0x005ffff5,0xb0bffff1,
    0x0005ffff,0x1ffffff1,0xfff90000,0x0003ffff,0x3ffffe60,0x7ffffdc2,
    0xffffffff,0x7fffdc4f,0xffffffff,0x97ffffff,0x3f61ffff,0xffff8fff,
    0xff98002f,0xffff92ff,0x17ffff21,0xb97fffd4,0xffffffff,0xdfffffff,
    0x27fffc00,0x21ffff70,0x363ffffe,0xfff96fff,0x3fffee3f,0xffffffff,
    0x701effff,0xffffffff,0xffffffff,0x3ffe200b,0x7fec002f,0x7ffd42ff,
    0xfff0002f,0xc80000df,0xf9007fff,0xff901fff,0x7fe401ff,0xfffc80ff,
    0xffffa80f,0xfff70003,0xffdfffff,0x64001fff,0x7fd45fff,0x3fea00ff,
    0xffb802ff,0xfffa82ff,0xffe8006f,0x00002fff,0x13fffffa,0x7ffcc000,
    0xfffb85ff,0xffffffff,0x7fdc4fff,0xffffffff,0xffffffff,0x21ffff97,
    0xffeffffd,0xf30003ff,0x3ff25fff,0xffff90ff,0x3fffe605,0xffffff72,
    0xffffffff,0x7fc07fff,0x3fee04ff,0xffff30ff,0x5bfff61f,0xf71ffffc,
    0xffffffff,0x07dfffff,0xffffffb8,0xffffffff,0xff9000ef,0xff7000ff,
    0xfffd8bff,0xfff0000f,0x665c00df,0x7fffc83c,0x1ffff900,0x01ffff90,
    0x407fffe4,0xa80ffffc,0x0003ffff,0xfffffff7,0x9fffff17,0x3fffe600,
    0x07fffd40,0x05ffff50,0x01ffffd0,0x007ffffe,0x3fffffd8,0x7fd40000,
    0x80000fff,0x0efffffa,0xcdffffb8,0xcccccccc,0x67fffdc2,0xaaaaaaaa,
    0xf97ffffa,0x3ff61fff,0x3fffffff,0xffff3000,0x43ffff25,0x301ffffc,
    0x3ee7ffff,0xaaaacfff,0xffffdbaa,0x9ffff05f,0x07fffdc0,0x36bffff9,
    0xfff96fff,0x3fffee3f,0xffffffee,0xfff7003f,0xffffffff,0x20019fff,
    0x004ffff8,0x0fffff88,0x00bffff1,0x037fffc0,0x90dfffb0,0x3200ffff,
    0xfc80ffff,0x3f200fff,0xffc80fff,0xfffa80ff,0xff70003f,0x7dc9ffff,
    0xe802ffff,0xffa82fff,0x3fea00ff,0x7fcc02ff,0xcccccfff,0x04ffffec,
    0xbfffff70,0xff100000,0x50000bff,0x01dfffff,0x00bfffee,0x17fffdc0,
    0x97ffff80,0x3f61ffff,0xffffffff,0xff98000f,0xffff92ff,0x03ffff21,
    0xb9ffffc4,0x9802ffff,0xf80fffff,0x3ee04fff,0x3fa20fff,0xfffdafff,
    0x23ffff96,0x5c2ffffb,0x804fffff,0xeeeffffb,0x00bcdeee,0x07fffdc0,
    0xffffd800,0x05ffff52,0x37fffc00,0x0dfffb00,0x200ffff9,0xc80ffffc,
    0x3200ffff,0xfc80ffff,0xffa80fff,0xf70003ff,0xfd09ffff,0xfa80dfff,
    0xffffffff,0xffffffff,0x17fffd40,0x3fffff20,0xffffffff,0xf9807fff,
    0x0006ffff,0xbffff100,0xfffa8000,0x3ee00eff,0x70002fff,0x2005ffff,
    0xff97ffff,0x3fff61ff,0x4fffffff,0xffff9800,0x21ffff92,0x100ffffc,
    0x3ee7ffff,0xf7002fff,0xfff05fff,0x7ffdc09f,0x7fffd40f,0xf96fffde,
    0x3fee3fff,0xfffa82ff,0x7fdc05ff,0x800002ff,0x0005fffd,0x6d7fffea,
    0x40007fff,0x2006ffff,0xfc86fffd,0xff9007ff,0xfff901ff,0x7ffe401f,
    0xffffc80f,0x3ffffa80,0xffff7000,0x3fffe609,0x3ffea04f,0xffffffff,
    0x40ffffff,0x402ffffa,0xffffffff,0xffffffff,0x3fe202ff,0x0000ffff,
    0xbffff100,0x7ffd4000,0xffb805ff,0xf70002ff,0x3e005fff,0xfff97fff,
    0x3ffff61f,0x1ffffcdf,0x7fffcc00,0x21ffff92,0x100ffffc,0x3ee7ffff,
    0xf3002fff,0xfff0bfff,0x7ffdc09f,0xffffd80f,0xff96ffff,0x3ffee3ff,
    0xffff902f,0x7ffdc09f,0xf800002f,0x40002fff,0xff8fffff,0x7c0004ff,
    0x36006fff,0xffc85fff,0xfff9007f,0xffff901f,0x7fffe401,0x0ffffc80,
    0x03ffffa8,0x7ffff700,0x7ffffec0,0xfffff501,0xffffffff,0xfa81ffff,
    0x3ea02fff,0xffffffff,0xffffffff,0x3fffa06f,0x000001ff,0x017fffe2,
    0x7ffffc40,0xffff7005,0x3fee0005,0xfff002ff,0x3ffff2ff,0x2bffffb0,
    0x006ffff8,0xc97fffcc,0xff90ffff,0x3fe201ff,0xffff73ff,0x3ffee005,
    0x4ffff85f,0x03fffee0,0x3fffffe2,0xffff96ff,0x0bfffee3,0x1fffffe8,
    0x05ffff70,0xfff98000,0x7e40000f,0xffffefff,0x7ffc0001,0x4fc8006f,
    0x007fffc8,0x901ffff9,0x6401ffff,0xfc80ffff,0xffa80fff,0xf70003ff,
    0x7c407fff,0xf506ffff,0xffffffff,0xffffffff,0x2ffffa81,0x2fffff60,
    0xaaaaaaaa,0x81fffffa,0x03fffffd,0x7fc40000,0xfd0005ff,0x5c00bfff,
    0x0002ffff,0x005ffff7,0x7e5ffffe,0xfffb0fff,0x2ffffb8f,0x3fffe600,
    0x21ffff92,0x100ffffc,0x3ee7ffff,0xfd002fff,0xfff07fff,0x7ffdc09f,
    0xffff700f,0x3ff2dfff,0xffff71ff,0x7fffcc05,0xffff706f,0xfc800005,
    0x980007ff,0xffffffff,0xfff80007,0x4ff8006f,0x007fffc8,0x901ffff9,
    0x6401ffff,0xfc80ffff,0xffa80fff,0x99999cff,0x70999999,0xb807ffff,
    0x884fffff,0x99999999,0x99ffffb9,0xeffff981,0x3ffe23dc,0x3ff2006f,
    0x7ffdc4ff,0x99999dff,0x19999999,0x7fffc400,0xfffc8005,0xaaaaabff,
    0xfff70aaa,0x3ee0005f,0xff002fff,0x3fff2fff,0x0ffffb0f,0x400fffff,
    0xf92ffff9,0x3ff21fff,0xfff100ff,0x3fffee7f,0x9999999b,0x1fffffea,
    0x204ffff8,0x200ffffb,0x6ffffffe,0x2e3ffff9,0x5c02ffff,0xb84fffff,
    0x0002ffff,0x037ffec0,0xfffff800,0x80004fff,0x4006ffff,0xffc80ffc,
    0xfff9007f,0xffff901f,0x7fffe401,0x0ffffc80,0xffffffa8,0xffffffff,
    0xffff75ff,0xffffd007,0x3ea0003f,0x7fc00fff,0x324fffff,0x2003ffff,
    0x647ffff9,0xffffffff,0xffffffff,0x22000fff,0x8005ffff,0xffffffff,
    0x1fffffff,0x005ffff7,0x0bfffee0,0xcbffffc0,0xffb0ffff,0xffff50ff,
    0x3ffe6009,0x1ffff92f,0x403ffff2,0xf73ffff8,0xffffffff,0xffffffff,
    0x3fffe0df,0x3fffee04,0x3fffe600,0xffff96ff,0x0bfffee3,0x3fffffa0,
    0x17fffdc1,0x3ffa0000,0xf900005f,0x03ffffff,0xdffff000,0x81fff400,
    0x9007fffc,0xf901ffff,0x7e401fff,0xffc80fff,0xfffa80ff,0xffffffff,
    0xf75fffff,0xf5007fff,0x000dffff,0x003fffea,0xbffffffb,0x007ffffc,
    0x8bffffa0,0xfffffffc,0xffffffff,0x2000ffff,0x005ffff8,0x7fffffcc,
    0xffffffff,0x5ffff71f,0x3ffee000,0xffff002f,0x43ffff2f,0xfd07fffd,
    0xf3001fff,0x3ff25fff,0xffff90ff,0x3fffe201,0xffffff73,0xffffffff,
    0x3e01dfff,0x3ee04fff,0x7ec00fff,0xff96ffff,0x3ffee3ff,0xfff9802f,
    0x7ffdc6ff,0x7c00002f,0x00004fff,0xdffffff3,0x3ffe0000,0x0bf6006f,
    0x007fffc8,0x901ffff9,0x6401ffff,0xfc80ffff,0xffa80fff,0xffffffff,
    0x75ffffff,0x2007ffff,0x03fffffd,0x0ffffa80,0xfffffc80,0x0bffff55,
    0xdffff700,0x7fffffe4,0xffffffff,0x000fffff,0x017fffe2,0xffffff90,
    0xffffffff,0x3fffee3f,0xfff70002,0x3ffe005f,0x1ffff97f,0x4c1ffff6,
    0x9805ffff,0xff92ffff,0x3fff21ff,0xffff100f,0x3ffffee7,0xffffffff,
    0x3e01efff,0x3ee04fff,0x7c400fff,0xff96ffff,0x3ffee3ff,0xfff7002f,
    0x7ffdc7ff,0x2200002f,0x0003ffff,0x3fffffa0,0xfff00003,0x400400df,
    0x9007fffc,0xf901ffff,0x7e401fff,0xffc80fff,0xfffa80ff,0xffffffff,
    0xf75fffff,0x26007fff,0x00ffffff,0x07fffd40,0x6c0a9880,0x8002ffff,
    0x91fffff8,0xffffffff,0xffffffff,0x44001fff,0x4005ffff,0xffffffff,
    0xffffffff,0x05ffff71,0x3fffee00,0xfffff002,0x6c3ffff2,0x3f607fff,
    0x7cc01fff,0xfff92fff,0x3ffff21f,0x7ffff100,0x3fffffee,0xeeffffff,
    0xffff801c,0x3fffee04,0xffffb800,0x23ffff96,0x002ffffb,0x43fffffa,
    0x002ffffb,0x3fffe600,0x3ee00001,0x0000ffff,0x00dffff0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaa600,0xaaaaaaaa,0x551aaaaa,
    0xa9801555,0xaa802aaa,0x2aaa62aa,0x9aaaaaaa,0x2aaaa000,0x5555001a,
    0x55554c55,0xaa9802aa,0x4402aaaa,0x4009acb9,0xccccccca,0xffb004cc,
    0x9998807f,0x99999999,0x00019999,0x000000a0,0x00000200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,0x32204ccc,
    0x99991ccc,0x00000005,0xfb93332a,0xffffffff,0xffffffff,0x05ffffb3,
    0x2ffffff8,0x737fffc0,0xffffffff,0x019fffff,0x0fffffc8,0x7ffffd40,
    0x3fffff22,0xfffc807f,0xfb307fff,0x3dffffff,0x3fffff20,0xb007ffff,
    0x9c807fff,0x99999999,0x1a999999,0x3ffb6e20,0x40bf70ce,0xdeffeec9,
    0x3bff6e22,0x00baa02d,0x75d44000,0xcb80bcef,0x2003defe,0xdefffeda,
    0x3b2a2003,0xc980bcef,0x32a00ccc,0x002deffe,0x33bfb6e2,0x76544002,
    0x2000bcef,0xeeffeeb8,0x4400000c,0x799951fb,0x1677ee4c,0x303fffe4,
    0x3fe5ffff,0x399974ff,0x0b3bf6e2,0x06f7fb2a,0x5c3ffff2,0xffffffff,
    0xffffffff,0x7ffff73f,0x7ffffcc0,0x3ffe604f,0x3fffee4f,0xffffffff,
    0x3e202fff,0x7404ffff,0x7e45ffff,0x01ffffff,0x7ffffffc,0xfffffc87,
    0x85ffffff,0xfffffffc,0xffb007ff,0x0003807f,0xfffb80cc,0xfdffffff,
    0xffffb05f,0xf7dfffff,0xdfffffff,0x17fff501,0x3ff60000,0x2fffffff,
    0xffffffd3,0x7fcc05df,0xffffffff,0x7ffe400d,0x43ffffff,0x880ffffb,
    0xfffffffd,0x7fd401ef,0x0dffffff,0xfffffc80,0xc803ffff,0xffffffff,
    0x980004ff,0xff91fffc,0x3ffff2bf,0x7fe44fff,0x3ffe607f,0x29ffff2f,
    0xfe9afffe,0x324fffff,0x1fffffff,0xb87fffe4,0xffffffff,0xffffffff,
    0xbffff33f,0x7ffffdc0,0x3ffee06f,0x3fffee2f,0xffffffff,0x2a05ffff,
    0x701fffff,0xc81fffff,0x3fffffff,0x3ffffe20,0x7ffdc7ff,0xffffffff,
    0x5554c4ff,0x02aaaaaa,0x807fffb0,0x20cc0003,0xffffffd8,0x0effffff,
    0xffffffd8,0xffffffff,0xefffffff,0x7ffffd40,0xfd10001c,0xffffffff,
    0xfffffbff,0x05ffffff,0xfffffff1,0x01dfffff,0x3ffffff2,0x70dfffff,
    0xf981ffff,0xffffffff,0xff901fff,0xffffffff,0x7ffe403f,0xffffffff,
    0x3fffee05,0xffffffff,0xffb50004,0x3ff23fff,0xfffffddf,0x3f24ffff,
    0x3fe607ff,0x9ffff2ff,0x3ff7fffa,0xcfffffff,0xfffffffd,0x3fff20ff,
    0xdffff70f,0xdddddddd,0x7fc5dddd,0x3ff607ff,0xb00fffff,0x7dc1ffff,
    0xeeeeefff,0xfffffffe,0x3ffff602,0xfffff886,0xfffffc82,0x3fee05ff,
    0x267fffff,0x32dfffff,0x05ffffd9,0x7fec0000,0x0001c03f,0xffff9066,
    0xffffd9bf,0xffff50bf,0xffffd9bf,0xfd9bffff,0xffa8bfff,0x02efffff,
    0x7ffffec0,0xffffffef,0xfdbcffff,0x7e40ffff,0xfecdffff,0xfc82ffff,
    0xffefffff,0xff74ffff,0xfffe81ff,0xffffdeff,0xffff986f,0xfffffcff,
    0xfffff906,0xffffffdf,0xdffff109,0xffffb759,0x3ae2001f,0x1fffffff,
    0xfffffff9,0xffffffbb,0x81ffff21,0xff2ffff9,0x3fffa7ff,0xffecdfff,
    0xedffffff,0x324fffff,0xff70ffff,0xd80005ff,0xff00ffff,0x05ffffff,
    0xf71bfffa,0x7dc05fff,0x100fffff,0xd87fffff,0xf905ffff,0x0fffffff,
    0x7fffffec,0x3ffff67f,0xdffff102,0x7ec00000,0x001c03ff,0xfff98660,
    0x7ffd40ef,0x7fff42ff,0x7fffcc0f,0x7ffcc1ff,0x3fff664f,0x0bffffff,
    0x7ffffd40,0x7ffffdc2,0x7ff4c1ff,0x3fffe24f,0x4ffffa85,0x17ffffdc,
    0x2bffffea,0x2e0ffffb,0x221dffff,0x742ffffd,0x7dc2ffff,0x7fdc2fff,
    0x7fd42fff,0x7fd41fff,0xdfff507f,0xfffc8805,0x0dffffff,0x89fffff9,
    0x91fffff8,0x7cc0ffff,0x97f42fff,0x40fffffe,0x45fffffe,0x326ffffa,
    0xff70ffff,0xb80005ff,0xf982ffff,0x4fffffff,0x44ffff88,0x802ffffb,
    0x204ffffe,0x50fffffb,0x201fffff,0xffeffffc,0xdffff01f,0x7ffcffff,
    0x7ffec06f,0x09999507,0x33333322,0xcccdffff,0x800073cc,0x3ffffa19,
    0xfffffe80,0xd02ca986,0x2e07ffff,0xfc886fff,0xffffffff,0xffffb01c,
    0x3fffee03,0xffff305f,0xf00cb988,0xffd89fff,0xfff301ff,0x3e3fd4df,
    0xff306fff,0x7ffd47df,0xdfffd04f,0x01ffffd8,0xb8dffff3,0x3502ffff,
    0xffffb500,0x817dffff,0x705ffffc,0x3f25ffff,0x3fe607ff,0x4bfe22ff,
    0xa82ffffe,0xe80fffff,0x3ff27fff,0xffff70ff,0xff980005,0xfffb84ff,
    0xa86fffde,0x7dc2ffff,0xf9802fff,0x3600ffff,0xff8dffff,0x3f203fff,
    0x4fffcfff,0xfcffff98,0xfdb917ff,0xffffa805,0x0ffffc80,0xffffff88,
    0xffffffff,0x800076ff,0x7ffff119,0xfffdffb0,0xfe98001f,0xff101fff,
    0x7ed403ff,0xdfffffff,0x02ffff42,0x80fffffe,0x4001ffff,0x7c5fffe9,
    0x7ec04fff,0x4df90fff,0x203ffff8,0xffff701a,0x3fffee05,0x013fffe0,
    0x4c1ffffb,0xacefffff,0xfffd7000,0x039fffff,0x817fffe4,0xf93ffff9,
    0x7fcc0fff,0xe9bf22ff,0xff307fff,0x3ff60bff,0x3ffff27f,0x05ffff70,
    0xdffff000,0xf79fffd0,0xffc81fff,0x7ffdc0ff,0xfffb002f,0x7ffc403f,
    0x6ffffeff,0x57fffe40,0xffb86fff,0x07fffcdf,0x1bfff600,0x407fffe4,
    0xfffffff8,0xffffffff,0x9800076f,0x83ffff31,0xfff9cffc,0x36e6202f,
    0xbfffffff,0xffaaaaaa,0xeb8802ff,0x1fffffff,0x807ffff1,0xaabffffd,
    0xfffeaaaa,0x7fedd403,0x3e65ffff,0x7dc02fff,0x3ffaafff,0x00bfffea,
    0x5ffffe40,0xffbaaaaa,0xffff31ff,0xffffb805,0x3ffffe21,0x01bdffff,
    0xfffffff5,0xff90017d,0x3fe601ff,0xffff93ff,0x57fffcc0,0x3fa1ffda,
    0xfff306ff,0x3fff209f,0x43ffff27,0x002ffffb,0x47fffe80,0xf9affff8,
    0x7fec2fff,0xffffb87f,0xffff7002,0xffffb805,0x401fffff,0xff8ffffc,
    0x7ffec0ff,0x007fffcb,0x09ffff50,0x203ffff2,0xfffffff8,0xffffffff,
    0x9800076f,0x41ffff71,0xfff15ffa,0xfffb507f,0xffffffff,0xffffffff,
    0x98007fff,0x51fffffd,0xc805ffff,0xffffffff,0x3fffffff,0xfffffdb8,
    0x2e5fffff,0x5401ffff,0x6ffeffff,0x00ffffdc,0xfffffd80,0xffffffff,
    0xffff72ff,0xffffa803,0x7ffffcc3,0x0dffffff,0x67ffffd4,0x7ffe4001,
    0xffff300f,0x81ffff27,0xfffffffa,0x37fff41e,0x03ffff98,0x7e4ffff9,
    0xfff70fff,0xdddddddf,0x907ddddd,0x7d43ffff,0xffff0fff,0x85ffff89,
    0x002ffffb,0x007ffff5,0xfffffffd,0xffff9009,0xff0bfffa,0xffff93ff,
    0xffff7000,0x3fff203f,0xeeee880f,0xeeffffee,0x0075eeee,0xfff71980,
    0xf1bfe61f,0xffe89fff,0xfedfffff,0xffffffff,0x03ffffff,0x7fffed40,
    0x5ffff71f,0xfffffb80,0xffffffff,0x3ffa24ff,0xffdfffff,0x3fff25ff,
    0x7ffcc01f,0x7dc0cfff,0xd0001fff,0xffffffff,0x7fffffff,0x007ffff2,
    0x307ffff3,0xfffffffb,0x7d41ffff,0x002dffff,0x807fffe4,0xf93ffff8,
    0x7fd40fff,0xfd02ceff,0x3fe60bff,0xfff903ff,0x87fffe4f,0xfffffffb,
    0xffffffff,0xffffa84f,0xc9bfff23,0x3fe66fff,0xfffb83ff,0xfff3002f,
    0xfff3009f,0x3200dfff,0xfff97fff,0xcbfffcc9,0x64007fff,0x202fffff,
    0x000ffffc,0x201fffec,0xa8cc0003,0xff99ffff,0x3fffe20e,0x3fffff62,
    0x3ffff61c,0xcccccccc,0xc8802ccc,0xffffffff,0x09ffff51,0xcdffffd8,
    0xcccccccc,0xffffd12c,0x7fff437d,0x0bfffee5,0x1bffff50,0x0bfffea0,
    0x7fffec00,0xcccccccc,0xfff72ccc,0xfffa805f,0x3fae202f,0x6fffffff,
    0x3fffffea,0xfc800cff,0x3fe207ff,0xffff93ff,0x3fffee01,0x2ffff402,
    0x02ffff98,0x7e4ffff9,0xfff70fff,0xffffffff,0x109fffff,0x7f4bffff,
    0x3ffea4ff,0x3ffff50f,0x05ffff70,0x17fffe60,0x7fffff40,0xffff9003,
    0xfb9bffea,0xffff95ff,0x7fffec00,0x7ffe402f,0x7fec000f,0x0001c03f,
    0x7fffc466,0x7d41ffec,0xfff11fff,0xfffb01bf,0x2a00001f,0xfffffffd,
    0x3ffe22df,0x7fff406f,0xffa8003f,0xfffd03ff,0x1ffffd4b,0x07ffff20,
    0x03ffff98,0xfc826b2e,0xa8001fff,0x6403ffff,0x1000ffff,0xffffff95,
    0x7ffff541,0x202dffff,0x2207fffc,0xff73ffff,0x3ff203ff,0x7ff402ff,
    0xffff305f,0x9ffff205,0xf70ffffc,0xffffffff,0x9fffffff,0x45bfffa0,
    0x3e22ffff,0xfff92fff,0x3fffee0f,0xffff3002,0xffff700d,0xf9001dff,
    0x3ffe2fff,0x27fffb0f,0x9007fffc,0x003fffff,0x001ffff9,0x403fffd8,
    0xf0cc0003,0x03ffffff,0x7d4ffffb,0xffd01fff,0x2ae605ff,0xffff9300,
    0x019fffff,0x403ffffe,0x06fffffa,0x7e413591,0xfff00fff,0x7fffc4bf,
    0xffff100f,0xffff880f,0xdffff106,0x81ffffdc,0x7fc409ba,0xff100fff,
    0xca988fff,0x3ffff603,0xffffc981,0x40cfffff,0x2207fffc,0xff53ffff,
    0xfff509ff,0xffe805ff,0xffff305f,0x9ffff205,0xf70ffffc,0x33337fff,
    0x13333333,0x23ffff20,0x740ffffa,0xfffd4fff,0x3fffee0b,0xffff5002,
    0xffff8809,0xc804ffff,0x3ffa7fff,0x23ffff2f,0x8807fffc,0x001fffff,
    0x001ffff9,0x403fffd8,0x70cc0003,0x705fffff,0x7dc7ffff,0xffa82fff,
    0xfe80efff,0xffd30fff,0x7dffffff,0xffffb801,0x7fff4c0e,0xffe81fff,
    0xffffb1ff,0xbffff903,0x0dffffd8,0x27fffec4,0x1ffffec0,0x11ffffe4,
    0xf10dffff,0x7ec1ffff,0x6c40dfff,0x7fc3ffff,0xff901fff,0xffc880ff,
    0xdfffffff,0x40ffff90,0xf13ffff8,0x9539ffff,0x05ffffff,0x305fffe8,
    0x3205ffff,0x3ff27fff,0xffff70ff,0x3ea00005,0xfffcafff,0x8efffc86,
    0xf703ffff,0x2e005fff,0x6c03ffff,0xffffffff,0x7ffe402f,0x277fff27,
    0x3ff27fff,0xfffa807f,0x3ff2002f,0x7ec000ff,0x001c03ff,0xfffd0660,
    0xffb537df,0xfff98dff,0xfff712ef,0x739fffff,0x54bffffb,0xefffffff,
    0x7fff4002,0xfffdbdff,0x9dffffff,0x25ffffda,0x31dffffb,0x8dfffff9,
    0xcefffff9,0x6fffffca,0xfffff100,0xffffd77b,0xffffc81f,0xfffda9cf,
    0x7fffcc4f,0xfffcacff,0xfffb85ff,0xff730bef,0x75400dff,0x1fffffff,
    0x440ffff9,0x3fa3ffff,0xffffffff,0x402ffffe,0xf305fffe,0x3f205fff,
    0x3fff27ff,0x5ffff70f,0x3fe20000,0x3fffebff,0xfaffffa8,0xff701fff,
    0x3f2005ff,0x3ea02fff,0xfffeffff,0x3ff200ef,0x3fffea7f,0x3f25fffc,
    0xffc807ff,0x7fe4005f,0x7ec000ff,0x001c03ff,0xfff90660,0xffffffff,
    0xfffd03ff,0xffffffff,0xffffffff,0x541fffff,0x01cfffff,0xfffff300,
    0xffffffff,0xffffffff,0x7cc3ffff,0xffffffff,0xa87fffff,0xffffffff,
    0x001fffff,0x3ffffff2,0x82ffffff,0xffffffe8,0x80efffff,0xfffffffa,
    0x80ffffff,0xffffffe8,0x1fffffff,0xfffd9800,0xffff91ff,0x1ffffc40,
    0xfffffff1,0x0bfffebf,0x20bfffd0,0x902ffff9,0x7fe4ffff,0xffff70ff,
    0x7fc00005,0x1ffffeff,0xfeffff88,0x3fee07ff,0xffd002ff,0x3fe203ff,
    0xfff8dfff,0x3ff204ff,0x3fffe27f,0x3f23ffff,0xffd807ff,0x7fe4004f,
    0x000000ff,0x8660001c,0xfffffffa,0x00dfffff,0xfffffff3,0xffb17fff,
    0xffffffff,0x0bfffa83,0xffe88000,0xcfffffff,0xffffffb8,0xfb81ffff,
    0xdfffffff,0xa81ffffb,0xffffffff,0xb8000dff,0xffffffff,0x3f6203ff,
    0xffffffff,0x3ffea00e,0xdfffffff,0x3fffa200,0xffffffff,0x7e440002,
    0xffff91ff,0x1ffffc40,0x3bffff66,0x00bfffe4,0x260bfffd,0xf902ffff,
    0x7ffe4fff,0x5ffff70f,0x7fec0000,0x207fffff,0xfffffffe,0x3fffee05,
    0xffffa802,0x3ffff606,0xfffff70f,0x1ffff205,0xfffffffd,0x03fffe43,
    0x00177764,0x203ffff2,0xaaaaaaa8,0xaaaaaaaa,0x9800072a,0xd71dff11,
    0x07dfffff,0xfffffb30,0xffea819d,0xa80cffff,0x7000002e,0x3dfffffd,
    0xfffffd88,0x3faa00cf,0x3fe3efff,0xfb7104ff,0x007dffff,0xffffd980,
    0xd7001dff,0x17ffffff,0xfffb7100,0x54007dff,0xfffffffe,0x2200000c,
    0xffff91eb,0x1ffffc40,0x00001530,0x260bfffd,0xf902ffff,0x3ee00fff,
    0x00002fff,0x3fffffee,0x3fff205f,0x2e04ffff,0x4402ffff,0x502ffffe,
    0xe87fffff,0xc80effff,0x7fe47fff,0x7e47ffff,0x000007ff,0x80ffffc8,
    0xfffffff8,0xffffffff,0x9800076f,0x53103aa1,0x2a620003,0x066a6001,
    0x00000010,0xa8800d4c,0x5544001a,0x2a200000,0x51000001,0xa9800035,
    0x54400019,0x54c40001,0x0000009a,0x00000000,0x00000000,0x7fdc0000,
    0x99999bff,0x19999999,0xffffff30,0x7ffcc07f,0x2e02ffff,0x999bffff,
    0xffffc999,0xffff105f,0xffff30bf,0xffff909f,0xffffffa8,0x03fffe45,
    0x001e665c,0x203ffff2,0xfffffff8,0xffffffff,0x9800076f,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffffb,0xffffffff,0x3ffe07ff,
    0x7c01ffff,0x00ffffff,0x3fffffee,0xffffffff,0xffb00fff,0x3ee01fff,
    0x7e41ffff,0x7ffc47ff,0x7fe43fff,0xfffd807f,0x7ffe4006,0xffff880f,
    0xffffffff,0x9996ffff,0x99999999,0x03b99999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb800000,0xffffffff,0xffffffff,0x3ffff607,0xfffd807f,
    0x7fdc06ff,0xffffffff,0x03ffffff,0x07fffff5,0x0effffe8,0x3a1ffff2,
    0x641fffff,0xfd807fff,0x7e4006ff,0xff880fff,0xffffffff,0x06ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffee00,0xffffffff,
    0x207fffff,0x05fffffb,0x4fffffb8,0x7ffffdc0,0xffffffff,0xfff100df,
    0xff300dff,0x7fe49fff,0xffffc87f,0x07fffc87,0x006fffd8,0x007fffe4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffb,
    0xffffffff,0x3fe607ff,0xf9802fff,0x5c02ffff,0xffffffff,0x401cceef,
    0x01fffffc,0x3fffff90,0x2a1ffff2,0xfc85ffff,0xffd807ff,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0x32204ccc,0x20001ccc,0x400cccca,
    0x911cccc9,0x2a039999,0x65c3cccc,0xcccccccc,0x0703cccc,0x665c1440,
    0x3333203c,0x39999102,0x09ffff00,0x65400000,0x999704cc,0x99910079,
    0x99995009,0x530d5544,0x55100055,0x81554c15,0xd8002cb9,0x654005ee,
    0xbdcb880c,0x1665cc01,0x2af77260,0x777775c0,0xeeeeeeee,0x3ba02eee,
    0x3bbbae05,0xeeeeeeee,0xb982eeee,0x332a02cd,0x8aaaaa4c,0x530aaaa9,
    0x06203555,0xdcb88100,0x4444441b,0xddc80888,0x377720dd,0x0cccc40d,
    0xddc8bbb9,0xffff900d,0x97fffcc0,0xfb52cccb,0x3ffea17b,0x7ffec03f,
    0x3ffff60f,0xfffff986,0x7ffffec1,0xffffffff,0x2a25fc85,0x87fd10aa,
    0xf307fffb,0x3ee0dfff,0xff800fff,0x0f6004ff,0x3ff21320,0xffffb87f,
    0xfff9801f,0x7fffc807,0xf9877fec,0x7ec003ff,0x7fff30ff,0x9fffffb0,
    0x3fffee00,0x3fff3002,0xffffffb8,0xffffd80d,0xfffc81ff,0x3f21ffff,
    0xffffffff,0x3fffffff,0xfc81bfe0,0xffffffff,0x3fffffff,0x77ffffe4,
    0x17fffc80,0x7e4fffff,0xfff73fff,0x7ff6449f,0x16a00bef,0x4bfffff7,
    0xfffffffe,0x3fffe21f,0x1ffffc43,0xfe9fffee,0x0fffec7f,0x207fffc8,
    0xfb2ffff9,0xffff39ff,0x37fffc7f,0x89ffff10,0x43fffff8,0xd83ffffe,
    0xffffffff,0x645fffff,0xfffedfff,0x3fffedff,0x207fffe2,0x80fffffb,
    0xf005fffd,0x36009fff,0x3ff203ff,0x23fffe43,0x01fffffa,0x00ffff30,
    0xf98ffff9,0x3fff64ff,0x7fff5001,0x7dc3fff4,0x02fffeff,0x06ffffe8,
    0x0ffffe44,0xfffffff5,0xefffa8bf,0x7fcc5fff,0x27ffffff,0xfffffffc,
    0xffffffff,0x0bfd023f,0x7fffffe4,0xffffffff,0x3ffee3ff,0xfc86ffff,
    0xffff17ff,0x9ffffe4f,0xd34ffffb,0xffffffff,0x17f2615b,0x47ffa611,
    0xfffffffe,0x0ffff21f,0x2e37ffcc,0x3ffa7fff,0x80fffec7,0x2607fffc,
    0xffb2ffff,0xffffffbf,0x0ffffe41,0x81ffffb8,0x70fffff9,0x360bffff,
    0xffffffff,0x745fffff,0xffffffff,0x4fffffff,0x6c27fff4,0x442fffff,
    0xf003ffff,0xfb009fff,0xff907fff,0x7ffe47ff,0x3ffffe67,0x3ffe6001,
    0x7fffc807,0xf12fffc8,0xff100dff,0x17ffe4df,0xffa87ff4,0x7fffd406,
    0xfff502ff,0x7ff43fff,0x2fffeabe,0xffe87ffa,0xfa93fae1,0xffff90ff,
    0xffffffff,0x6f47ffff,0x97269fb1,0xfffffffc,0xffffffff,0x17fff13f,
    0xfc89ffd5,0xffff17ff,0x9ffffe4f,0xfd4ffffb,0xffffffff,0xbfffffff,
    0xfd3ffc80,0x3fffffff,0x3013ffe2,0x7fdc5fff,0xb1fffa7f,0x3f203fff,
    0x3fe607ff,0xffffb2ff,0x88bfffff,0xfd04ffff,0x7fe40dff,0xffff9dff,
    0x3333100f,0xffffd333,0xfffe881f,0xffffffff,0xfffc84ff,0xffffff86,
    0x07fffd44,0x03eeee80,0x3fffffc8,0x8bfffff2,0xff37fffc,0x98005fff,
    0xfc807fff,0xfff887ff,0x09fff90f,0xf51fffe8,0x70cc0dff,0xffe80bff,
    0xf705ffff,0x263fff9f,0x3fe22fff,0xe899514f,0xffa802ff,0x5555531f,
    0xd5555555,0x3fe27fff,0xffddfedf,0x5555530f,0x55555555,0x3fea1555,
    0x3237fc44,0xfff16fff,0x7fffe4ff,0x29ffff72,0xfffffffe,0xffffffff,
    0x7311315f,0x3ffa1fff,0x71ffffff,0x3ea00bff,0x9fffee6f,0x4ccc1999,
    0xffff9009,0x97fffcc0,0xadfffffd,0xfffd82ca,0x3ffff987,0x7fffff40,
    0x0002ffff,0x03fffff9,0x3bffffe6,0x07fffffc,0x4c1ffff3,0x46ffffff,
    0x0006fffc,0xffffc800,0xfffffcbf,0x47fffe42,0x002ffffe,0x007fff98,
    0x57ffee00,0x701ffff8,0x3fe2bfff,0xffb801ff,0x3fe600ef,0x81ffffef,
    0x23fff0cb,0x7f40fffa,0x7ffd405f,0xfffdca80,0x3a0001ff,0xfff33fff,
    0xffffffff,0xf7000005,0x20ffd03f,0x3fffe5fc,0x47fffee6,0xfd3ffffa,
    0xffb53159,0x3fffffff,0x3fffffea,0x2eeeee3f,0x3310bbbb,0x26198800,
    0x00003bbb,0x303fffe4,0x3f65ffff,0xf5006fff,0xffc85fff,0x7fcc00ff,
    0x04ffffff,0xfffff900,0x7fffdc05,0x0ffffdc2,0x322ffff8,0x0fffffff,
    0x260ffffe,0x99999999,0x09999999,0xffffffc8,0xfc82ffff,0xffffefff,
    0x4cccc403,0x99ffffa9,0x80009999,0xff72fffe,0xffff30df,0x017fff61,
    0x006fffe4,0xff97fffb,0x3fff00bf,0x3f61ffee,0x3ffee06f,0x7ffff443,
    0x0001ffff,0x710ffffa,0x137bfffb,0x3ea00000,0x837fc44f,0x3fffa5fe,
    0x43fffea4,0x3d2ffff8,0x7fff5c40,0x3fb660ce,0x00000cde,0x00000000,
    0x0ffff900,0xd97fffcc,0x2002ffff,0x7fc5ffff,0xff7004ff,0x001dffff,
    0x7fffff70,0x04fffd80,0x3209fffd,0x3ffa5fff,0xf32fffcf,0xff881fff,
    0xffffffff,0x06ffffff,0xfffffff9,0x3fff205f,0x04ffffff,0x7fffffe4,
    0xffffffff,0xfa8003ff,0xfffd0fff,0x54fffe89,0x2001ffff,0x80fffcaa,
    0xf98ffff9,0x7fc00fff,0x81fff51f,0xff906ffe,0x7dfff09f,0x003fff13,
    0x41ffff40,0x80effff8,0xaaaaaaa9,0xaaaaaaaa,0x27fff10a,0xfb84ffd9,
    0x8ffff21f,0x7fc7fff8,0x4c0010ff,0xca800009,0x266624cc,0x99999999,
    0x19999999,0x3bbbbba6,0xeeeeeeee,0xf906eeee,0x7fcc0fff,0xffffb2ff,
    0x7ffe4001,0x3ffff50f,0x7fffec00,0xffa8001f,0xfe804fff,0xfff501ff,
    0x5fffe60b,0xff9dfff8,0x0dfff74f,0xfffffff1,0xffffffff,0x7ffe40df,
    0x3f202fff,0xffffffff,0x3fff200f,0xffffffff,0x003fffff,0x93ffff88,
    0x7fc4ffff,0xdfff92ff,0x0fff6000,0xfe97fff6,0x7ffc04ff,0x445fff31,
    0x7ec44fff,0xfff983ff,0x007ffee1,0x43fffe80,0x5ffbfff8,0xffffffc8,
    0xffffffff,0x3fff23ff,0x740fffff,0x7ffd44ff,0x3637ffc2,0x000007ff,
    0x7fffb800,0x3fffffe6,0xffffffff,0x3e67ffff,0xffffffff,0xffffffff,
    0xffff907f,0x97fffd40,0x4007fffd,0xfb3ffff8,0xfe800dff,0x4004ffff,
    0x05fffff9,0x203fffd0,0x3e05fffb,0xfffa9fff,0x3f6dfff3,0xfff883ff,
    0xffffffff,0x206fffff,0x3ffffffc,0x3fffff20,0x205fffff,0xfffffffc,
    0xffffffff,0xffc8003f,0x5ffff16f,0xd16fffb8,0x3a207fff,0x21ffec7f,
    0x2a1ffff8,0x3e00ffff,0x3bffa1ff,0x42fffd9a,0xf301fffe,0x3ffa67ff,
    0x3fa0001f,0x3ffa23ff,0xfc8bffb3,0xffffffff,0x3fffffff,0x77ffffe4,
    0xa883fc81,0x0d5540aa,0x0000aaa6,0x3fee0000,0x3fffe67f,0xffffffff,
    0x27ffffff,0xfffffff9,0xffffffff,0xff907fff,0x7ffd40ff,0x0ffffb2f,
    0x2bfffb00,0x2003ffff,0xfffffffb,0xffff1002,0x7fec00df,0x7fffd05f,
    0x667ffec0,0xfffb1fff,0x103ffff1,0xffffffff,0xffffffff,0x3ffff20d,
    0xf903ffff,0xff9bffff,0x3ff205ff,0xffffffff,0x03ffffff,0x87fffc40,
    0xfb04fffc,0x3ffe67ff,0x5bffb00f,0xfc83fff9,0xffff86ff,0xa87ffe03,
    0xffffffff,0x66fffec5,0x3ffa1ccc,0x2fffffff,0x3fffa000,0xff137e43,
    0xfffffc87,0xffffffff,0xec983fff,0x0002203d,0x00000000,0x3ffee000,
    0x37777667,0xdddddddd,0x4c5ddddd,0x99999999,0x99999999,0xffff9019,
    0x3fffee01,0x00ffffb2,0xf7ffff50,0x26001fff,0xffffffff,0x7ff4400f,
    0x2a000eff,0x930bffff,0x5403ffff,0x7ffeefff,0x3ff7ffee,0x2666606f,
    0x99999999,0xfc809999,0xffffffff,0xffffc83f,0x0dffff15,0x2a666662,
    0x9999ffff,0x7ec00099,0xdfff33ff,0x3fffe201,0x209fff90,0xfffffff8,
    0x1ffffc44,0xf03fffe4,0xfffa83ff,0x3e20cfff,0xffffffff,0x3ffffea3,
    0x0003ffdd,0x2a0bbbb2,0x775c0541,0xeeeeeeee,0x02eeeeee,0x00000000,
    0x00000000,0x00ffff70,0x00000000,0x3fffee00,0x5ffff900,0x001ffff6,
    0x7ffffffc,0x3ffa005f,0x5ffffeff,0x7ffffec0,0x7ffc4000,0xffffefff,
    0x7ffc407f,0x3e65ffff,0x04ffffff,0x3f200000,0xffcaffff,0x7fe43fff,
    0x3ffee0ff,0x3fe6003f,0xf300007f,0x7ffecbff,0x27ffdc01,0x2201fffd,
    0xc82dffdb,0xf980ffff,0xfff02fff,0x37995103,0xffffff50,0x79307fff,
    0x0006aa23,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9ffff500,0x5fffff50,0x001bfff6,0x7fffffe4,0xfff9001f,0xfffff19f,
    0x3ffff205,0x3333331f,0xffffe883,0xffffffff,0x7ffec05f,0x7ffc3fff,
    0x8001ffff,0xc803eeee,0x322fffff,0x323fffff,0xffe87fff,0xff3000ff,
    0x999500ff,0x21fffd09,0xb004fffa,0x3fe63fff,0xcc80005f,0x332e03cc,
    0x0000003c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffe200,0xfffca9cf,0xfffb2fff,0x3fe2000d,0x5006ffff,
    0x2a1dffff,0x540fffff,0xffffffff,0x1fffffff,0x3ffffffa,0xffffffff,
    0x3ffea05f,0x7fe41fff,0xf0007fff,0xf9009fff,0xff905fff,0x7ffe47ff,
    0x4ffffa87,0x0ffff300,0xb8ffff90,0x3ffa2fff,0x3ffe2006,0x007fff25,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8000000,0xffffffff,0xb2ffffef,0x4000dfff,0x03fffffd,
    0x2fffff88,0x22ffffec,0xfffffffb,0xffffffff,0x333ffea1,0xfdbfffff,
    0x3fe202ff,0xffa87fff,0xf0004fff,0x36009fff,0x3ff202ff,0x83fffe43,
    0x801ffffd,0xc807fff9,0x776c7fff,0x007bbaa4,0x6c3ddd50,0x000004ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffa2000,0xff5fffff,0x3fff65ff,0x3fea0006,0xfd800fff,
    0xff884fff,0x3fee3fff,0xffffffff,0x541fffff,0x3604c44f,0xfffe802f,
    0xffff885f,0xfff0002f,0x016c009f,0x7ffe41e4,0xbffff307,0x0ffff300,
    0x00ffff90,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x3effffd8,0x7ecbfffe,
    0x7c0006ff,0xfb805fff,0xf700ffff,0x3ee3ffff,0xffffffff,0x81ffffff,
    0xb800c001,0xfd03ffff,0x7c000fff,0x00004fff,0x1ffff200,0x02ffffd8,
    0x40155544,0x0007fffc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x3f6000a9,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_38_latin_ext_x[560]={ 0,3,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,0,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,1,2,2,2,2,0,-2,2,2,2,2,2,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_38_latin_ext_y[560]={ 30,5,5,5,3,5,5,5,5,5,5,9,25,18,
25,5,5,5,5,5,5,5,5,5,5,5,12,12,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,33,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,12,5,5,9,5,
5,5,5,5,5,13,12,18,5,1,5,7,5,5,5,12,5,15,30,5,5,13,5,5,5,12,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,9,11,5,5,5,5,5,5,5,
0,6,-1,5,5,11,-1,5,-2,5,-1,5,-1,5,-1,5,5,5,0,6,-2,5,-1,5,5,11,-1,5,-2,5,
-1,5,-1,5,5,2,-2,-1,5,5,-1,5,0,6,-2,5,5,5,-1,12,5,5,-2,5,5,5,12,-1,-1,5,
5,5,5,5,5,5,5,-1,5,5,11,-1,5,5,5,11,0,6,-2,5,-1,5,5,11,-1,5,5,11,-1,5,
-1,5,-2,5,5,11,-1,5,5,6,-1,5,5,6,-1,5,0,6,-2,5,-2,4,-1,5,5,12,-2,5,-2,5,
0,-1,5,-1,5,-1,5,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,8,8,5,8,8,8,
8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,5,-1,5,-1,
5,-1,5,-1,-1,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-2,-2,5,-2,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_38_latin_ext_w[560]={ 0,6,14,19,17,28,24,6,10,9,13,18,6,10,
6,11,17,12,18,17,19,17,17,17,17,17,6,6,18,18,18,19,33,25,21,22,21,19,18,24,20,6,17,23,
18,24,20,25,20,26,23,21,21,20,24,33,23,24,21,9,11,9,17,21,9,17,18,18,18,17,13,18,17,6,
10,17,6,27,17,19,18,18,12,18,11,17,19,27,19,19,17,13,5,13,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,18,19,19,19,
5,18,12,27,12,17,18,10,27,21,12,18,11,11,8,17,20,6,10,8,12,17,28,27,29,19,25,25,25,25,
25,25,35,22,19,19,19,19,9,9,12,12,24,20,25,25,25,25,25,18,25,20,20,20,20,24,20,18,17,17,
17,17,17,17,28,18,17,17,17,17,9,8,12,12,19,17,19,19,19,19,19,18,19,17,17,17,17,19,18,19,
25,17,25,17,26,20,22,18,22,18,22,18,22,18,21,24,24,20,19,17,19,17,19,17,19,17,19,17,24,18,
24,18,24,18,24,18,20,17,25,19,13,13,12,12,11,11,9,9,6,6,23,15,20,13,23,17,17,18,8,18,
10,18,12,18,12,20,10,20,17,20,17,20,17,23,21,17,25,19,25,19,25,19,32,30,23,12,23,14,23,13,
21,18,21,18,21,18,21,18,21,11,21,17,21,11,20,17,20,17,20,17,20,17,20,17,20,19,33,27,24,19,
24,21,17,21,17,21,17,10,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,18,18,20,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,24,18,18,18,18,18,18,18,18,18,18,18,18,18,27,23,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,25,17,12,12,25,
19,20,17,20,17,20,17,20,17,20,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,25,17,35,28,25,19,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_bold_38_latin_ext_h[560]={ 0,25,10,26,31,26,26,10,33,33,12,18,11,6,
5,26,26,25,25,26,25,26,26,25,26,26,18,24,20,12,20,25,33,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,28,25,26,25,26,25,25,25,25,25,32,26,32,14,4,6,20,26,20,26,20,25,27,25,25,
33,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,33,33,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,32,26,18,25,
33,33,5,26,13,16,12,6,26,4,11,23,13,14,6,25,32,6,7,13,13,16,26,26,26,25,31,31,31,30,
30,30,25,32,31,31,31,30,31,31,31,30,25,30,32,32,32,31,31,18,28,32,32,32,31,31,25,26,26,26,
26,26,26,27,20,26,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,18,21,26,26,26,26,33,32,33,
30,25,31,26,33,27,32,26,33,26,32,26,32,26,31,26,25,26,30,25,32,26,31,26,33,27,31,26,33,33,
32,33,32,33,32,36,32,31,25,25,31,25,30,24,32,25,33,33,31,18,26,33,33,33,32,32,18,31,31,32,
32,25,25,25,25,25,25,31,25,32,26,31,25,25,26,27,31,25,33,26,32,26,26,20,31,25,32,26,31,25,
32,26,33,26,32,26,32,26,36,34,31,26,25,25,32,26,31,25,33,26,33,27,32,26,33,26,32,25,32,33,
30,31,25,31,25,31,25,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,26,22,22,33,22,22,22,
22,22,22,22,22,22,22,22,22,22,26,20,22,22,22,22,22,22,22,22,22,22,22,22,22,26,19,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,26,31,25,32,
26,32,26,32,32,32,32,32,32,32,32,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,35,33,32,26,34,27,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_bold_38_latin_ext_s[560]={ 508,505,405,473,322,72,477,420,41,163,352,
194,398,457,457,376,430,289,205,455,100,112,412,436,489,46,213,501,415,366,246,
126,297,132,327,466,55,1,224,1,243,384,345,76,57,101,363,270,415,41,391,
248,479,227,454,21,77,180,158,497,187,431,268,464,477,296,140,339,93,358,349,
130,309,302,388,271,264,476,434,376,363,326,19,396,120,1,32,110,52,280,72,
360,21,27,427,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,508,502,22,
26,90,361,420,341,494,112,320,238,333,457,199,486,385,159,308,256,468,112,58,
487,446,286,295,220,64,159,296,418,180,25,296,325,351,377,459,114,401,189,285,
1,257,502,110,429,27,442,157,272,453,209,476,157,68,441,134,365,143,164,71,
250,232,214,196,178,160,169,217,93,75,57,39,21,34,25,318,44,435,409,395,
375,355,335,315,138,197,259,241,223,205,426,183,1,403,300,84,39,225,205,334,
458,94,420,298,158,342,343,235,300,275,381,21,235,386,262,123,226,124,112,305,
448,462,252,198,138,287,144,406,23,462,267,1,215,70,187,488,146,27,175,331,
215,504,504,388,446,399,374,90,479,176,51,467,39,79,143,130,52,495,438,501,
275,382,483,311,206,400,463,289,94,249,92,271,269,1,415,101,265,421,162,382,
57,1,201,312,20,193,1,223,439,176,362,1,94,379,325,253,331,1,297,137,
343,73,244,52,187,321,402,117,277,238,381,357,173,463,227,427,158,445,445,487,
1,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,134,178,178,487,
178,178,178,178,178,178,178,178,178,178,178,178,178,130,314,178,178,178,178,178,
178,178,178,178,178,178,178,178,177,452,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,340,493,
366,12,427,1,406,329,59,80,155,202,245,220,266,41,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,42,106,98,347,68,149,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178, };
static unsigned short stb__arial_bold_38_latin_ext_t[560]={ 1,282,360,201,105,201,169,360,38,1,360,
360,360,360,367,228,228,308,308,201,308,228,228,308,228,255,360,308,334,360,334,
334,1,308,308,228,334,334,308,255,308,308,255,308,308,334,308,255,308,170,308,
255,308,255,308,334,334,308,308,38,255,72,360,367,360,334,255,334,255,334,308,
170,308,308,1,308,308,334,334,334,255,255,360,334,308,360,360,360,360,170,360,
1,38,38,360,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,1,169,72,
255,360,282,1,1,360,255,360,360,360,360,255,367,360,334,360,360,360,282,105,
360,360,360,360,360,255,255,255,255,105,138,105,138,138,138,255,105,105,138,138,
170,138,105,138,138,282,138,38,38,38,138,105,360,170,72,72,38,138,138,282,
228,228,228,228,228,228,170,334,228,228,228,228,228,308,308,282,308,201,282,201,
201,201,201,201,360,334,201,201,201,201,1,38,38,138,282,138,201,1,170,72,
169,38,169,38,201,38,169,138,170,282,169,170,282,38,170,138,170,1,170,138,
228,1,1,72,38,72,1,72,1,72,138,282,282,138,282,138,334,105,282,1,
1,72,334,228,1,1,1,105,38,360,138,105,105,105,282,282,282,255,255,138,
105,255,72,228,105,255,282,228,170,105,282,1,228,105,201,201,334,105,282,72,
201,138,282,72,201,1,201,72,169,72,169,1,1,105,169,282,282,72,201,105,
282,38,170,38,170,38,169,38,201,38,282,72,1,138,105,282,105,282,105,282,
308,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,201,334,334,1,
334,334,334,334,334,334,334,334,334,334,334,334,334,228,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,201,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,105,201,
105,308,38,228,38,228,72,72,72,38,72,38,72,72,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,1,1,72,228,1,170,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334, };
static unsigned short stb__arial_bold_38_latin_ext_a[560]={ 151,181,258,303,303,484,393,129,
181,181,212,318,151,181,151,151,303,303,303,303,303,303,303,303,
303,303,181,181,318,318,318,332,531,393,393,393,393,363,332,423,
393,151,303,393,332,453,393,423,363,423,393,363,332,393,363,514,
363,363,332,181,151,181,318,303,181,303,332,303,332,303,181,332,
332,151,151,303,151,484,332,332,332,332,212,303,181,332,303,423,
303,303,272,212,152,212,318,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,151,181,303,303,303,303,152,303,
181,401,201,303,318,181,401,301,218,299,181,181,181,314,303,151,
181,181,199,303,454,454,454,332,393,393,393,393,393,393,544,393,
363,363,363,363,151,151,151,151,393,393,423,423,423,423,423,318,
423,393,393,393,393,363,363,332,303,303,303,303,303,303,484,303,
303,303,303,303,151,151,151,151,332,332,332,332,332,332,332,299,
332,332,332,332,332,303,332,303,393,303,393,303,393,303,393,303,
393,303,393,303,393,303,393,391,393,332,363,303,363,303,363,303,
363,303,363,303,423,332,423,332,423,332,423,332,393,332,393,332,
151,151,151,151,151,151,151,151,151,151,427,303,303,151,393,303,
303,332,151,332,151,332,210,332,261,332,151,393,332,393,332,393,
332,386,394,332,423,332,423,332,423,332,544,514,393,212,393,212,
393,212,363,303,363,303,363,303,363,303,332,181,332,261,332,181,
393,332,393,332,393,332,393,332,393,332,393,332,514,423,363,303,
363,332,272,332,272,332,272,151,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,395,408,408,303,408,408,408,408,408,
408,408,408,408,408,408,408,408,464,387,408,408,408,408,408,408,
408,408,408,408,408,408,408,451,394,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,393,303,151,151,423,332,393,332,393,332,393,
332,393,332,393,332,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,393,303,544,484,423,332,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_38_latin_ext(stb_fontchar font[STB_FONT_arial_bold_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_38_latin_ext_s[i] + stb__arial_bold_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_38_latin_ext_t[i] + stb__arial_bold_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_38_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_38_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_38_latin_ext_x[i] + stb__arial_bold_38_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_38_latin_ext_y[i] + stb__arial_bold_38_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_38_latin_ext_s[i] + stb__arial_bold_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_38_latin_ext_t[i] + stb__arial_bold_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_38_latin_ext_x[i] + stb__arial_bold_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_38_latin_ext_y[i] + stb__arial_bold_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_38_latin_ext_LINE_SPACING
#endif

