// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT        547
#define STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_46_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_46_latin_ext_LINE_SPACING          30

static unsigned int stb__arial_bold_46_latin_ext_pixels[]={
    0x2aaaaaaa,0xaaaaaaaa,0xaaaaaaaa,0x00048800,0xaaaaa980,0xb5000001,
    0x31000000,0x00033333,0x33333100,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33331000,0x10000013,
    0x33301333,0x00000013,0x13331000,0x00133310,0x3ffb6a00,0x807fff77,
    0x7c47fffb,0xffffffff,0xffffffff,0x01ffffff,0x000037dc,0x07fffff4,
    0x3faa0000,0x4000001f,0x03fffffc,0x7ffc4000,0x200006ff,0x03fffffb,
    0x3fee0000,0x00003fff,0x7ffffd40,0x3fe60004,0x20005fff,0x7e45fffe,
    0x4c000eff,0xfff34fff,0xfff30007,0x40000dff,0x004fffe9,0x22000000,
    0x00efffff,0xfffa8000,0x3fffee0f,0x3fffa000,0xffffffff,0xfff30007,
    0x7fffcc3f,0x7ecc0001,0xff17ffff,0x7fdc01ff,0x7fffc47f,0xffffffff,
    0xffffffff,0xfd501fff,0x980000df,0x001fffff,0x7fffcc00,0x22000002,
    0x003fffff,0xffffc800,0xf300000e,0x03ffffff,0xfff30000,0x0003ffff,
    0x3fffe200,0xd0001fff,0x07ffffff,0x3fffe200,0x03ffff53,0x2fffea00,
    0x20004ffe,0x02fffff9,0x7ffec000,0x00000002,0x1fffff70,0x7ec00000,
    0xffff36ff,0xfffe8007,0xffffffff,0x3ff20007,0xffff88ff,0x7fc40004,
    0x327fffff,0x3ee04fff,0x7ffc47ff,0xffffffff,0xffffffff,0xfc81ffff,
    0x00006fff,0x00ffffec,0x6fff4000,0x5c000000,0x0004ffff,0xeffff880,
    0x3fa00000,0x06ffffff,0xfffe8000,0x0006ffff,0xfffffd00,0xc8001fff,
    0xffffffff,0xfff50001,0x09ffff5f,0xffffb800,0xfa80005f,0x00006fff,
    0x000fffb8,0xfe800000,0x00001fff,0x67fff440,0x8005fffe,0xfffffffe,
    0x0007ffff,0x7f6ffff4,0xc80006ff,0x7fffffff,0x407fffe6,0x7c47fffb,
    0xffffffff,0xffffffff,0x81ffffff,0x006ffffd,0x3fffe600,0xf9800002,
    0x000000ff,0x005ffff8,0xffff7000,0x7e400001,0xffff9eff,0x3f200004,
    0xffff9eff,0x7dc00004,0xfffe9fff,0x3ffea005,0x06fffe9f,0x3ffff600,
    0x20006fff,0xaaaaa998,0x54000199,0x0001ffff,0x59931988,0x00000331,
    0x3ffff500,0x26000000,0xffffffff,0xcccb8000,0xcccccccc,0x7fc40004,
    0x01ffffff,0xfffff800,0x7ff45eff,0xffff706f,0x99999990,0xdfffffb9,
    0x99999999,0xdffffb01,0x7fe40000,0x3000002f,0x00399fff,0x3ffea000,
    0x3e000005,0x00001fff,0x547fffea,0x0001ffff,0x51ffffa8,0x0003ffff,
    0x4bfffe60,0x802ffff9,0xf13ffff8,0x20009fff,0xffffffe8,0x3ff20001,
    0x0007fe81,0x005fffb8,0xe81ffc80,0x0000007f,0x002fffe8,0x7fe40000,
    0x0002ffff,0x20000000,0x3ffffffb,0xfff88000,0x3fea04ff,0xfffb82ff,
    0xfffa8007,0xfb0004ff,0x0000dfff,0x0001f664,0xfffff500,0x32000007,
    0x000005ee,0x0007bbaa,0x87dddb00,0x0005eeeb,0x5c3eeed8,0x00005eee,
    0xea87dddb,0x76400dee,0x7774c4ee,0xdd30000e,0x80007ddd,0x7fe81ffc,
    0xfff90000,0xffc80001,0x0007fe81,0x7774c000,0x00000002,0x00799999,
    0x00000000,0x09999970,0x3ffe6000,0x7ffc407f,0x7fffb85f,0xffffa800,
    0x2aa2004f,0xaafffffe,0x3ae0001a,0x00000bff,0x3fffffb8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe81ffc80,
    0x0000007f,0x03ff9000,0x00000ffd,0x00000000,0x00000000,0x00000000,
    0x7fd40000,0xffd806ff,0x7ffdc0ff,0xfffa8007,0x3ea004ff,0xffffffff,
    0xf70005ff,0x0009ffdf,0xfffff700,0x00000007,0x44003980,0x00000beb,
    0x00000000,0x00000000,0x00000000,0x9ffff300,0x01ffffc8,0x00555555,
    0x0aaaaa98,0x44ffff98,0x501ffffc,0x80055555,0x00aaaaa9,0x00000000,
    0x55555500,0xaaaa9800,0xffff980a,0x0ffffe44,0xeeca8800,0x001acdef,
    0x37fffd40,0x27fffdc0,0x001fffee,0x13ffffea,0xfffffa80,0x05ffffff,
    0x3e65fd00,0x0000000f,0x75300000,0x1579dddb,0x2009ff30,0x02fffffa,
    0x3b2e2000,0x02bcdefe,0x6e54c000,0x000abdef,0x55551000,0xb7300035,
    0x359bdffd,0xffff9800,0x0ffffe44,0x06fffff8,0x7ffffdc0,0x4ffff983,
    0x80ffffe4,0x006fffff,0x1fffffdc,0x2aaaa000,0xaaaaaaaa,0xaaaaaaaa,
    0x41aaaaaa,0x006fffff,0x1fffffdc,0x227fffcc,0x001ffffc,0x7ffffe44,
    0x4fffffff,0xffff5000,0xffff100d,0x07fffb8f,0xfffffa80,0x3ffea004,
    0xffffffff,0x46f98005,0x000002fd,0x7dc00000,0xffffffff,0xfd10bfff,
    0x9fd009ff,0x0000bfb5,0xffffffd7,0x07dfffff,0xffffb800,0xcfffffff,
    0x7d400000,0x2004ffff,0xffffffea,0x00cfffff,0x89ffff30,0xf01ffffc,
    0x800dffff,0x83fffffb,0x644ffff9,0xff01ffff,0xb800dfff,0x003fffff,
    0x3ffffea0,0xffffffff,0xffffffff,0x7c4fffff,0x4006ffff,0x83fffffb,
    0x644ffff9,0x2001ffff,0xffffffe9,0xffffffff,0x7fd4001e,0xffd005ff,
    0x7ffdc3ff,0xfffa8007,0x3ea004ff,0xffffffff,0xff0005ff,0x0003fe21,
    0xacdca880,0x0d555540,0x3ffffa20,0xffffffff,0xfffebfff,0x237cc00f,
    0xb10001ff,0xffffffff,0xffffffff,0xffd88005,0xffffffff,0x0002ffff,
    0x3ffffea0,0xffffb004,0xffffffff,0xf3009fff,0xffc89fff,0xffff01ff,
    0xffb800df,0xff983fff,0x7ffe44ff,0xfffff01f,0xfffb800d,0x3a0003ff,
    0xffffffff,0xffffffff,0xffffffff,0x7fffc4ff,0x7fdc006f,0xff983fff,
    0x7ffe44ff,0xfff9001f,0xffffffff,0x9fffffff,0x7fffd400,0xffffb005,
    0x03fffdc7,0x7ffffd40,0x3a662004,0x999effff,0xbff90000,0x40000dff,
    0xfffffffc,0x7ffffb0d,0x7ffffdc0,0xffffffff,0xffffffff,0x46f9801f,
    0xfa8001fe,0xffffffff,0xffffffff,0xff5001ff,0xffffffff,0xbfffffff,
    0x3fea0000,0xfd804fff,0xffffffff,0xffffffff,0x77774402,0x0f7775c3,
    0x06fffff8,0x7ffffdc0,0x3eeee883,0x80f7775c,0x006fffff,0x1fffffdc,
    0xffffa800,0xffffffff,0xffffffff,0x4fffffff,0x037ffffc,0x3ffffee0,
    0x3eeee883,0x00f7775c,0x7fffffe4,0xffffffff,0x05ffffff,0x09ffff70,
    0x97ffff20,0x8007fffb,0x04fffffa,0xdffffb00,0x3ffa0000,0x0000ffff,
    0x7fffff44,0xfd8effff,0xff903fff,0xffffffff,0xffffffff,0x4003ffff,
    0x06fc9cfe,0xfffff980,0xffffffff,0xffffffff,0x7fffdc01,0xffffffff,
    0x3fffffff,0xfffa8000,0x7fd404ff,0xffffffff,0xffffffff,0x0000001f,
    0x01bffffe,0x7fffff70,0xff000000,0xb800dfff,0x003fffff,0xffffffd0,
    0xffffffff,0xffffffff,0xf89fffff,0x4006ffff,0x03fffffb,0x3e600000,
    0xceffffff,0xffeca99a,0x802fffff,0x003ffffd,0x5cfffff7,0xa8007fff,
    0x004fffff,0x0dffffb0,0xffff3000,0x40009fff,0xfffffff8,0xfeefffff,
    0xff983fff,0xacefffff,0xfffeba89,0x4004ffff,0x02fffffa,0x7ffff440,
    0x99abcfff,0xffffffda,0x3ffe206f,0x99bdffff,0xfffffeb9,0x540001ff,
    0x404fffff,0xaefffffc,0x3fff6621,0x00006fff,0x3ffffe00,0x7ffdc006,
    0x000003ff,0x06fffff8,0x7ffffdc0,0xfff98003,0x3fffa4ff,0xccccccff,
    0xcccccccc,0x37ffffc2,0x3fffee00,0x0000003f,0x3ffffffa,0xffffb805,
    0xfff806ff,0xff5002ff,0x3fee3fff,0xffa8007f,0xb0004fff,0x000dffff,
    0xffffff90,0x7e4000ff,0xccefffff,0xfffffffd,0xffffe83f,0xffa804ff,
    0x000fffff,0x0005f644,0x7fffffec,0x7ff4c00e,0xf901ffff,0x805fffff,
    0x4ffffffb,0x7ffd4000,0x7ff404ff,0xffc806ff,0x00007fff,0x3ffffe00,
    0x7ffdc006,0x000003ff,0x06fffff8,0x7ffffdc0,0xfffd8003,0x3fffa0ff,
    0x3e00007f,0x4006ffff,0x03fffffb,0xff900000,0x4005ffff,0x3ffffff9,
    0x3ffffee0,0xffff3000,0x1fffee3f,0x3fffea00,0xffb0004f,0x88000dff,
    0xffffffff,0xff88002f,0xf983ffff,0x43ffffff,0x2ffffffa,0xfffff500,
    0x000007ff,0xfffff980,0x3fa2004f,0xf984ffff,0x001fffff,0x1ffffff9,
    0x7ffd4000,0x3fe604ff,0xfd002fff,0x5443ffff,0x4401aaaa,0x3e0aaaaa,
    0x4006ffff,0x13fffffb,0x80355555,0x20aaaaa8,0x006fffff,0x1fffffdc,
    0x3fffe600,0x7ffff45f,0x3fe00007,0x5c006fff,0x513fffff,0x88035555,
    0x7c0aaaaa,0x005fffff,0xffffffb8,0x3fff2a20,0x3e2005ff,0xff72ffff,
    0xff5000ff,0x20009fff,0x006ffffd,0x7ffffdc0,0x8005ffff,0x04fffffc,
    0x3fffffe6,0x3ffffe23,0xfff3005f,0x00ffffff,0x33bbb32a,0xffc800ac,
    0xa8006fff,0xe85fffff,0x004fffff,0x0f7ffffc,0xffff5000,0x7ffd409f,
    0xff9004ff,0x7fc47fff,0x7d403fff,0x3fe1ffff,0x5c006fff,0xf13fffff,
    0xa807ffff,0x3e1fffff,0x4006ffff,0x03fffffb,0x7ffffe40,0x3fffff41,
    0xffff0000,0xffb800df,0xfff13fff,0xffa807ff,0x3fea1fff,0x0000ffff,
    0x47ffffff,0xfffffffd,0x3ffe2000,0xffff73ff,0xffff5000,0x3f60009f,
    0x40006fff,0xfffffffe,0x74000fff,0x400fffff,0x23fffffd,0x0ffffffa,
    0xfffff980,0x203fffff,0xfffffffc,0x2202ffff,0x02ffffff,0x20359b00,
    0x0ffffff8,0x05676400,0x7ffd4000,0x3fe204ff,0x8801ffff,0x3ffe2019,
    0x7fd403ff,0x3ffe1fff,0x7dc006ff,0xff13ffff,0xfa807fff,0x3fe1ffff,
    0x5c006fff,0x003fffff,0x1bffffe2,0x01fffffa,0xfffff800,0x7ffdc006,
    0xffff13ff,0xfffa807f,0x3fff21ff,0x2e0004ff,0x364fffff,0x01efffff,
    0x3fffff80,0x000ffff7,0x09fffff5,0x3ffff600,0x3fe60006,0xffffefff,
    0x7ffc004f,0xffa805ff,0x3fee3fff,0xf8804fff,0xfffcefff,0xfffb05ff,
    0xffffffff,0x3fea07ff,0x00005fff,0x7ffffd40,0x00000004,0x9fffff50,
    0xffffff80,0x440001cf,0x403fffff,0x21fffffa,0x006fffff,0x9fffffdc,
    0x03fffff8,0x0fffffd4,0x00dfffff,0x3fffffb8,0x3ffff200,0xffffe82f,
    0x3fe00007,0x5c006fff,0xf13fffff,0xa807ffff,0x3a1fffff,0x002fffff,
    0x3ffffe60,0x3fffff65,0xfffd0002,0x1fffee7f,0x3fffea00,0xffb0004f,
    0x64000dff,0xff9fffff,0x22007fff,0x804fffff,0x23fffff9,0x02fffffc,
    0x477fff44,0x86fffffa,0xfffffffc,0xffffffff,0xfffffc83,0x5c000004,
    0x003fffff,0xf5000000,0xd809ffff,0xffffffff,0x44000bdf,0x403fffff,
    0x21fffffa,0x006fffff,0x9fffffdc,0x03fffff8,0x0fffffd4,0x00dfffff,
    0x3fffffb8,0xfffff100,0x3ffffa0d,0x3fe00007,0x5c006fff,0xf13fffff,
    0xa807ffff,0x3e1fffff,0x001fffff,0x3ffffe20,0x3fffff67,0xffe8003f,
    0xffff73ff,0xffff5000,0x3f60009f,0x20006fff,0xf95fffff,0x2005ffff,
    0x03fffff9,0x3fffff88,0x07fffffa,0x23ffffb0,0x47fffff9,0xeffffff8,
    0xfffffccc,0xffffd86f,0x4000002f,0x02fffffc,0x50000000,0x809fffff,
    0xffffffe8,0x1cefffff,0xfffff880,0x7fffd403,0x3ffffe1f,0x7ffdc006,
    0xffff13ff,0xfffa807f,0x3fffe1ff,0x7fdc006f,0xf7003fff,0x3a07ffff,
    0xffffffff,0xffffffff,0xffff83ff,0x7fdc006f,0xfff13fff,0xffa807ff,
    0x3ffe1fff,0x40000fff,0xb0ffffff,0x3fffffff,0xfffff800,0x00ffff72,
    0x9fffff50,0x3fff6000,0xff50006f,0x3fe65fff,0xf3005fff,0x1007ffff,
    0x7c7fffff,0x200fffff,0x221ffffd,0x20ffffff,0x01fffffc,0x81ffffff,
    0x01fffffe,0x7fec0000,0x00001fff,0xfff50000,0xff3009ff,0xffffffff,
    0x407dffff,0x03fffff8,0x0fffffd4,0x00dfffff,0x3fffffb8,0x07fffff1,
    0x1fffffa8,0x01bffffe,0x7fffff70,0x3ffffe00,0xffffd00f,0xffffffff,
    0x07ffffff,0x00dfffff,0x3fffffb8,0x07fffff1,0x1fffffa8,0x0ffffff1,
    0xffffd000,0x7ffdc43f,0x7fc006ff,0xfff72fff,0xfff5000f,0x360009ff,
    0x0007ffff,0x41fffffb,0x00fffffe,0x4fffff88,0xfffff980,0xffffff13,
    0x17fffe40,0x0ffffffc,0x409fdb73,0x40fffffc,0x00ffffff,0x7777774c,
    0x22eeeeee,0x00fffffe,0x50000000,0x009fffff,0x3fffffa6,0xffffffff,
    0xffff105f,0xfffa807f,0x3fffe1ff,0x7fdc006f,0xfff13fff,0xffa807ff,
    0x3ffe1fff,0x7dc006ff,0xb803ffff,0x204fffff,0xfffffffe,0xffffffff,
    0xfff83fff,0x7dc006ff,0xff13ffff,0xfa807fff,0xff11ffff,0x0000ffff,
    0x05fffffd,0x03fffff7,0x3ffffe20,0x00ffff71,0x9fffff50,0x3fff6000,
    0x803b9cff,0x45fffff8,0x04fffffb,0x0bffffd0,0x7fffff50,0x1fffffe2,
    0x81ffffdc,0x02fffffe,0x3fffe600,0x7ffffc1f,0x7ffcc00f,0xffffffff,
    0x3ffffe3f,0x0000000f,0xfffff500,0xfffb8009,0xffffffff,0x7c40efff,
    0x5403ffff,0x3e1fffff,0x4006ffff,0x13fffffb,0x807fffff,0x21fffffa,
    0x006fffff,0x1fffffdc,0x7fffff40,0x3ffffa00,0xffffffff,0x83ffffff,
    0x006fffff,0x9fffffdc,0x03fffff8,0x0fffffd4,0x01ffffff,0xfffff800,
    0xffffd01f,0x3ffe6005,0x1fffee7f,0x3fffea00,0xff90004f,0x0dffffff,
    0x5fffff70,0x7fffff88,0xfffffb00,0xffffd801,0x3ffffe3f,0x7fffd40f,
    0x3ffffe04,0xeb98000f,0x741fffff,0x401fffff,0xfffffff9,0x3a3fffff,
    0x001fffff,0xf5000000,0x0009ffff,0x3fffff26,0xefffffff,0x3ffffe20,
    0x7fffd403,0x3ffffe1f,0x7ffdc006,0xffff12ff,0xfffa807f,0x3fffe1ff,
    0x7fdc006f,0x7d402fff,0x7405ffff,0xffffffff,0xffffffff,0xffff83ff,
    0x7fdc006f,0xfff12fff,0xffa807ff,0x3ffa1fff,0x20001fff,0x07fffff8,
    0x00fffff2,0x737fffd4,0x5000ffff,0x009fffff,0x3ffffe60,0xfe807fff,
    0xffd07fff,0xf7005fff,0x5409ffff,0x23ffffff,0x21ffffff,0x405ffff9,
    0x007fffff,0xfffffd95,0xfd83ffff,0x4c02ffff,0xffffffff,0x3f63ffff,
    0x0002ffff,0xff500000,0x00009fff,0xfffffb73,0x7c49ffff,0x5403ffff,
    0x3e1fffff,0x4007ffff,0x12fffffb,0x807fffff,0x21fffffa,0x007fffff,
    0x17ffffdc,0x3fffffa0,0x7ffff401,0x3fe00007,0x5c007fff,0xf12fffff,
    0xa807ffff,0x361fffff,0x002fffff,0x3ffffe60,0x3fffee06,0xffff9004,
    0x03fffdc9,0x7ffffd40,0x3ffa0004,0x407fffff,0x04fffff9,0x0bfffff7,
    0xffffff30,0xfffff507,0x7ffec7ff,0xffff33ff,0xffff980b,0xffb7106f,
    0xffffffff,0xffd83fff,0x7cc03fff,0xffffffff,0x3ff23fff,0x00003fff,
    0xfff50000,0x000009ff,0xffffffd5,0x7ffffc4f,0x7fffdc03,0x3ffffe1f,
    0x7ffdc007,0xffff12ff,0xfffb807f,0x3fffe1ff,0x7fdc007f,0x3ea02fff,
    0xffffffff,0xffffffff,0x200007ff,0x007fffff,0x97ffffdc,0x03fffff8,
    0x0fffffdc,0x07fffff9,0x7fffd400,0x3ffee05f,0xfffb005f,0x3fffdc5f,
    0x7fffd400,0x7e40004f,0x00dfffff,0x07fffff2,0x7fffffc4,0xffffd800,
    0xffecdeff,0x23ffffff,0x8cfffffc,0x400efffe,0x85fffffa,0xffffffe8,
    0xffffefff,0x7fffdc1f,0x9999805f,0xfffffc99,0x3ffffee3,0x02c98003,
    0x3ffea000,0x000003ff,0x3fffffee,0x7fffff11,0xfffffb80,0x1fffffa1,
    0xfffff900,0x3ffffe25,0x7fffdc03,0x3ffffa1f,0x7ffe4007,0x3ff602ff,
    0xffffffff,0xffffffff,0x3a00007f,0x4007ffff,0x12fffffc,0x807fffff,
    0x21fffffb,0x06fffffb,0x3ffff600,0x3ffea04f,0xffff005f,0x3fffdc1f,
    0x7fffd400,0x9880004f,0xff8800aa,0x7ec06fff,0x9804ffff,0xffffffff,
    0xfffeffff,0x3ffee3ff,0xefffeeff,0xffffd800,0x7fffcc4f,0x98abefff,
    0x441fffff,0x01ffffff,0xfffff700,0x7ffffcc7,0xfffc8006,0x32aa60ad,
    0x3ffea01c,0xddb303ff,0xfe8007ff,0xff12ffff,0xfb807fff,0x3f61ffff,
    0x2001ffff,0x11fffffd,0x807fffff,0x21fffffb,0x01fffffd,0x3fffff60,
    0xfffff301,0xffffffff,0xffffffff,0x7fec0000,0x36001fff,0xf11fffff,
    0xb807ffff,0x261fffff,0x03ffffff,0xfffffa80,0x3ffea02f,0xfff9805f,
    0x3fffdc5f,0x00000000,0x7ffdc000,0xccccceff,0xfffffdcc,0xffff3007,
    0x1bffffff,0x447fffff,0xffffffff,0xff9801ff,0x7f42ffff,0x980bffff,
    0xe81fffff,0x005fffff,0x7fffff70,0x7fffffc4,0x7fffc002,0xffff32ff,
    0x7ffdc07f,0xfff303ff,0xfc800bff,0xff12ffff,0xfc809fff,0x3f21ffff,
    0x1005ffff,0x21ffffff,0x04fffff8,0x0fffffe4,0x0bfffff9,0x3ffffe20,
    0xffffb00f,0xffffffff,0xffffffff,0x7e40000f,0x1005ffff,0x21ffffff,
    0x04fffff8,0x0fffffe4,0x3ffffff6,0x7fff4000,0x7fd406ff,0xffb806ff,
    0x7ffdc2ff,0x00000007,0x073332a0,0x3fffffa0,0xffffffff,0x2fffffff,
    0xffffd300,0x3fe29fff,0x7fe43fff,0x01ffffff,0xdfffffb0,0x5fffff88,
    0x3ffffea0,0xfffffb81,0xffb8001f,0x7fe43fff,0x2e006fff,0x7c7fffff,
    0x3204ffff,0x202fffff,0x01ffffff,0x3fffff60,0xbfffff11,0xfffffe80,
    0x3ffffee1,0xfffd802f,0x3ffe27ff,0x7ff405ff,0x3fee1fff,0xd802ffff,
    0x107fffff,0xffffffff,0xffffffff,0x00ffffff,0x7fffdc00,0xffd802ff,
    0x3fe27fff,0x7f405fff,0x7c41ffff,0x01efffff,0xfffffd88,0x7ffd401f,
    0xfffd807f,0x07fffb87,0x59999900,0xfffc8000,0x7ffcc03f,0xffffffff,
    0xffffffff,0x6d4005ff,0x3e21bdfe,0x7c42ffff,0x02ffffff,0xffffff90,
    0xfffffa83,0x3fffee01,0xfffe881f,0x2e002fff,0x43ffffff,0x4ffffff8,
    0xfffff980,0x7ffffc4f,0x3ffffa07,0x3fff600f,0xff5006ff,0x7fc1ffff,
    0xf900ffff,0x443fffff,0x2fffffff,0xfffff910,0xfffff87f,0xffff900f,
    0x7ffc43ff,0x9102ffff,0x07ffffff,0x17fffff2,0x7ffffe80,0x3fe20000,
    0x102fffff,0x7ffffff9,0x0ffffff8,0xffffff90,0xfffff903,0x3ea017ff,
    0x05ffffff,0x0fffff98,0x427fffc0,0x0007fffb,0x009fffff,0x3ffffc80,
    0x7ffffe40,0xffffffff,0xffffffff,0x4c00000f,0xd82fffff,0x1effffff,
    0x3ffffa20,0xfffb85ff,0xfff103ff,0x3e603fff,0x0dffffff,0xfffff510,
    0xff707fff,0x203dffff,0xfffffffb,0x7ffffec0,0xfffffb85,0x7fffd407,
    0x3ee01eff,0x6c6fffff,0x21efffff,0xffffffc9,0x7fffe41f,0xeccdefff,
    0x7fffffff,0xefffffd8,0x3ffff261,0x7fe41fff,0xcdefffff,0xffffffec,
    0xffff107f,0x7f4003ff,0x00007fff,0x7fffffe4,0xffeccdef,0xd87fffff,
    0x21efffff,0xffffffc9,0xffffd01f,0xd9bdffff,0xffffffff,0xfff1001f,
    0xa8335dff,0xfb80ffff,0xff0007ff,0x80009fff,0x403ffffc,0xffffffff,
    0xffffffff,0x4fffffff,0x00135750,0x07ffffea,0x3fffffee,0xecaacdff,
    0xffffffff,0xfffff980,0x7fff4c0e,0x3f201fff,0xffffffff,0xfffffdcd,
    0x03ffffff,0xfffffffd,0xffffd9bf,0xf509ffff,0x9bffffff,0x9ffffffd,
    0xfffffb00,0xfb999dff,0x5fffffff,0xffffffb8,0xffffffff,0x7c41ffff,
    0xffffffff,0xffffffff,0xfffb83ff,0xffffffff,0x1fffffff,0x7fffffc4,
    0xffffffff,0x903fffff,0x00dfffff,0xffffffe8,0xffffffff,0x40ffffff,
    0xfffffff8,0xffffffff,0xfb83ffff,0xffffffff,0xffffffff,0xffff301f,
    0xffffffff,0xffffffff,0x7fff4005,0x7ec7ffff,0xfff704ff,0x3ffe000f,
    0x640004ff,0x2a02ffff,0xaadfffff,0xaaaaaaaa,0x7fffffca,0xdfffff70,
    0x7fffe401,0xfffffa87,0xffffffff,0xffffffff,0xffff102f,0xfff9bfff,
    0x05ffffff,0xffffffd8,0xffffffff,0xdfffffff,0xfffff300,0xffffffff,
    0x40bfffff,0xfffffffe,0xffffffff,0xffff8800,0xffffffff,0x5fffffff,
    0xffffffb0,0xff3fffff,0xfd303fff,0xffffffff,0xbfffffff,0x7ffffec0,
    0xf9ffffff,0xe981ffff,0xffffffff,0xffffffff,0xfffff105,0xffe8005f,
    0xffffffff,0xffffffff,0xffe980ff,0xffffffff,0x05ffffff,0x3ffffff6,
    0xff9fffff,0x36201fff,0xffffffff,0xffffffff,0x7fd4000e,0x267fffff,
    0xf700ffff,0x3e000fff,0x0004ffff,0x007fee54,0x03fffffb,0xffffff00,
    0xfffff305,0x3ffee09f,0x7ffcc5ff,0xffffffff,0xffffffff,0x7dc00eff,
    0xffffffff,0xffffffff,0xffffb804,0xffffffff,0x3fffffff,0xffffd880,
    0xffffffff,0x7cc05fff,0xffffffff,0x002fffff,0x3fffffe6,0xffffffff,
    0x3a206fff,0xffffffff,0x3fffff0e,0x3ffff620,0xffffffff,0x7f4402ff,
    0xefffffff,0x03fffff0,0x3fffff62,0xffffffff,0x3ffee02f,0xfe8007ff,
    0xffffffff,0xffffffff,0xfb100fff,0xffffffff,0x805fffff,0xffffffe8,
    0xffff0eff,0xfff5003f,0xffffffff,0x40007fff,0x7ffffffe,0xb80ffff2,
    0xf0007fff,0x0007ffff,0xf8817f60,0x0007ffff,0x0bfffff9,0x3ffffffe,
    0xffffedef,0x3fe62fff,0xfffb8eff,0xffffffff,0x36003fff,0xffffffff,
    0xffffc8ef,0xfffd3007,0xffffffff,0x0007ffff,0xfffffff7,0x07ffffff,
    0x3ffffaa0,0x1fffffff,0xfffd8800,0xffffffff,0x4400cfff,0xceffffec,
    0x07ffffe0,0xfffffb50,0x019fffff,0x3fffb220,0x3ffe0cef,0x7ed401ff,
    0xffffffff,0x7ff400cf,0xe8003fff,0xffffffff,0xffffffff,0x5400ffff,
    0xfffffffd,0x1000cfff,0x9dffffd9,0x0fffffc1,0xffedc880,0x0cdfffff,
    0xfffb8000,0xdfff17ff,0x07fffb80,0x00ffe400,0x0fffa600,0x4fffffb8,
    0xffff3000,0xfff501ff,0xffffffff,0xa8bfffff,0x2e20efff,0xfffffffe,
    0xa8000cdf,0x3efffffe,0x0bffffe6,0xffffc980,0x1bceffff,0x7ee44000,
    0xbfffffff,0x7fe44000,0x0bffffff,0x7fecc000,0xefffffff,0xaa88001c,
    0x53000000,0x00155555,0x000aa880,0x55553000,0x3ea00155,0x000fffff,
    0xffffffe8,0xffffffff,0x00ffffff,0x2aaaaa60,0x5440000a,0x0000000a,
    0x00013553,0x32eaa200,0x80399934,0x0004ccc9,0x0001bfea,0xfd00bff6,
    0x0003ffff,0x27fffff4,0xffffffc8,0xffffffff,0x01ff980d,0x004d54cc,
    0x13553000,0x31000000,0x00003555,0x13555100,0x2a620000,0x000001aa,
    0x15557531,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffd88000,0xd980002f,0x7fffcc00,
    0x7dc0006f,0x2607ffff,0xfffffffc,0x4403efff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02fff880,
    0x7ec00000,0x0003ffff,0x7fffffc4,0x65d4c402,0x0000abcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00001dc8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55554400,0x2000000a,0x00199999,0x33330000,0x40000033,0xbdefeeb8,
    0x0000001a,0x166f7fc4,0x05ff8800,0x44007ff2,0x001aaaaa,0x7fffffc4,
    0x01000000,0x7fffc400,0xaaa8802f,0x000000aa,0x2fffffb8,0x00000000,
    0x03fffdc0,0x00000000,0x7ffff500,0x00ffffd8,0x00aaaaaa,0x15555530,
    0x2aaaaaa2,0x00002aaa,0x98000000,0x0003ffff,0x3fffffa0,0xfffff301,
    0x64000005,0x002fffff,0x7ffdc000,0x000003ff,0xfffffff1,0x7c400dff,
    0x2006ffff,0xdffffff8,0x1ffe8000,0x2007ff88,0x03fffff8,0x7ffffdc0,
    0x3e000001,0xff88002e,0xf9802fff,0x0003ffff,0x7fffcc00,0x00000fff,
    0x77ffffc4,0x7ffdc000,0x3ee00007,0x0003ffff,0x7ffff500,0x00ffffd8,
    0x01bffffe,0x7fffff70,0x3fffffe6,0x00005fff,0x44000000,0x0001effe,
    0x3ffffe60,0x3fffe602,0x4000002f,0x006ffffd,0x7fff4000,0x1000004f,
    0xfffffffd,0x7f4009ff,0x004fffff,0xfffffff1,0xdff9000d,0x9ffd7337,
    0x7fffc400,0x7ffc003f,0x000001ff,0x2000bfea,0x02fffff8,0x3fffff98,
    0x7f400000,0x06ffffff,0x7ffec000,0x5c004fff,0x00007fff,0xfffffff3,
    0xf5000001,0xffd87fff,0x3ffe00ff,0x7dc006ff,0xff33ffff,0xbfffffff,
    0x3ffee000,0x06ffffff,0x6ffec000,0x7ec00000,0x7cc02fff,0x0002ffff,
    0xffffd800,0xf5000001,0x0000bfff,0x7ffffe40,0x002fffff,0xfffffff7,
    0xfff1005f,0x005fffff,0xffffffd0,0x44001dff,0x003fffff,0x00bfffea,
    0x0ff90000,0x3fffe200,0xfff9802f,0x000003ff,0x3e7bfff2,0x00003fff,
    0xfffffff7,0x7fdc005f,0xe880007f,0x6fffffff,0xffa80000,0x7ffec3ff,
    0x3fffe00f,0x7fdc006f,0xfff33fff,0x0bffffff,0x3fffee00,0x006fffff,
    0x664ccc40,0x00003313,0x007ffff1,0x05fffff3,0x3fa00000,0x000005ff,
    0x000bfffd,0xffffe800,0x00fffeff,0xcaffff98,0x4400ffff,0xffffffee,
    0xffe88006,0x001effff,0x1fffffc4,0x05fffd00,0xbff00000,0x3ffe2000,
    0xff9802ff,0x00003fff,0x23ffff30,0x001ffffa,0x57fffcc0,0x000ffffc,
    0x000ffff7,0xf3dfff90,0x00009fff,0x42eeee98,0x200eeeec,0x006fffff,
    0x9fffffdc,0xfffffff9,0x530005ff,0x55555555,0xffc80005,0x0007fe81,
    0x004fffc8,0x05fffff3,0x3a200000,0x00001fff,0x0037ffcc,0x3ffe2000,
    0x00620fff,0xfd27fff4,0xfd800bff,0x20007fff,0x003ceeca,0x5ddddd10,
    0x0fffea00,0x3e600000,0x5510003f,0xf3001555,0x0007ffff,0x7ffff100,
    0x006fffc8,0xd27fff40,0x2e00bfff,0x40007fff,0xf51ffffa,0x00003fff,
    0xff800000,0x5c006fff,0x203fffff,0x005ffffc,0x26203310,0x7fe40001,
    0x0007fe81,0x0027ffc4,0x05fffff3,0x6c400000,0x400003ee,0x0000deec,
    0x7fffcc00,0xdd70004f,0xeeee88bd,0x3ffe2001,0x000000ff,0x00000000,
    0xf7000000,0x0000001f,0x7fffff30,0x00000000,0xddd50000,0x7776c41b,
    0x7fffb801,0x7776c000,0x02f775c2,0x00000000,0x01bffffe,0x7fffff70,
    0x2ffffe40,0x81ffc800,0x640007fe,0x07fe81ff,0x26000000,0x002fffff,
    0x00000000,0x00000000,0x3ffffee0,0x00000001,0x3ffffe00,0x00000001,
    0x00000000,0x0dfd0000,0x26000000,0x003fffff,0x00000000,0x20000000,
    0x0007fffb,0x00000000,0x7fc00000,0x5c006fff,0x203fffff,0x005ffffc,
    0xfd03ff90,0x2aaaa00f,0x554c002a,0xff980aaa,0x7ffe44ff,0xffff981f,
    0x2aaaa02f,0x555542aa,0x554c002a,0x2aaa0aaa,0x54c002aa,0x9800aaaa,
    0xffffdaaa,0x5502aabf,0x98005555,0x200aaaaa,0x001fffff,0x05676544,
    0x406aaaaa,0x31aaaaa8,0x00155555,0x02aaaaa6,0x3bb72a60,0xa88003ff,
    0x5540acec,0xfff31aaa,0x6e5447ff,0x554c01bc,0x53000aaa,0x00015555,
    0xffb80000,0x0000007f,0x2aa60000,0x53000aaa,0x7fc15555,0x5c006fff,
    0x203fffff,0x005ffffc,0xfd03ff90,0x3fffe00f,0x7fdc006f,0xff983fff,
    0x7ffe44ff,0xffff981f,0xffffb02f,0xffff83ff,0x7fdc006f,0x3ffe3fff,
    0x7dc006ff,0xe803ffff,0xffffffff,0xff07ffff,0xb800dfff,0x203fffff,
    0x001fffff,0x3ffffff2,0xffffb0df,0x3fffe207,0xfffff53f,0x3fffa009,
    0x7ff4c06f,0x2fffffff,0x3ffff200,0xffb0dfff,0x3ffe67ff,0xffff53ff,
    0x2a01dfff,0x004fffff,0xa8dffffd,0x002aaaaa,0x55555530,0xa9fffee1,
    0x000aaaaa,0x15555555,0x55555100,0x3ffffea3,0xffffd004,0x6fffff8d,
    0x7fffdc00,0x3fff203f,0x5555405f,0x554c002a,0x3ffe0aaa,0x7dc006ff,
    0xf983ffff,0x7fe44fff,0xfff981ff,0xfffc82ff,0xfff81fff,0x7dc006ff,
    0x3fe3ffff,0x5c006fff,0x803fffff,0xffffffff,0xf06fffff,0x800dffff,
    0x03fffffb,0x007ffffa,0x3fffffa6,0xfd8effff,0xff103fff,0x7ffc7fff,
    0xff9806ff,0x3f203fff,0xffffffff,0x74c04fff,0xffffffff,0xffffd8ef,
    0x7fffff33,0xfffffff9,0x3fe05fff,0xf9806fff,0x7dc3ffff,0x003fffff,
    0x6fffffe8,0xfc9fffee,0x9803ffff,0x2fffffff,0xfffffa80,0x1bffffe4,
    0x3ffffe60,0x37ffffc3,0x3fffee00,0x3fff203f,0x7fffc05f,0x7fdc006f,
    0x3ffe3fff,0x7dc006ff,0xf983ffff,0x7fe44fff,0xfff981ff,0x7ffdc2ff,
    0xfff02fff,0xfb800dff,0x3fe3ffff,0x5c006fff,0x403fffff,0xfffffff9,
    0x05ffffff,0x00dfffff,0x3fffffb8,0x07ffffa0,0xffffff10,0xddffffff,
    0x2207ffff,0x323fffff,0x401fffff,0x01fffffb,0xfffffffb,0xbfffffff,
    0x3ffffe20,0xefffffff,0xf33ffffe,0xffffffff,0xffffffff,0xffff903f,
    0xfffb803f,0xfffe81ff,0x2e000fff,0x21ffffff,0x3ea7fffb,0xb804ffff,
    0x4fffffff,0xfffffc80,0x3fffff22,0x7fffdc01,0x7ffffc1f,0x7ffdc006,
    0x3ff203ff,0x7ffc05ff,0x7dc006ff,0x3fe3ffff,0x5c006fff,0x883fffff,
    0x75c3eeee,0xff981eee,0x3fea2fff,0x3e02ffff,0x4006ffff,0x23fffffb,
    0x006fffff,0x1fffffdc,0x3fbbba60,0xeeeeffff,0xdfffff03,0xffffb800,
    0x3fffa03f,0x7ffe402f,0xfdccefff,0x3fffffff,0x7fffff10,0x27ffffcc,
    0x1bffffa0,0x7fffffd4,0xfffffddf,0xfffc81ff,0xfdccefff,0x3fffffff,
    0xfffffff3,0xfffb99df,0xff30dfff,0xfe809fff,0xff306fff,0x2009ffff,
    0x4ffffff8,0xf13fffdc,0xb00dffff,0xdfffffff,0xfffffd00,0x7ffffcc1,
    0x7ffff404,0x6fffff86,0x7fffdc00,0x3fff203f,0x7fffc05f,0x7fdc006f,
    0x3ffe3fff,0x7dc006ff,0x0003ffff,0x7fffcc00,0xfffff32f,0xffff807f,
    0x7fdc006f,0x3ffe3fff,0x7dc006ff,0x4003ffff,0x01fffffb,0x0dfffff0,
    0xfffffb80,0x3ffff603,0x3fffe203,0xffe983ff,0xf103ffff,0xfe87ffff,
    0x3e606fff,0xfd03ffff,0x7e47ffff,0x45ffffff,0x3ffffff8,0xfffffe98,
    0xfffff33f,0xfff307ff,0xffd05fff,0x7fcc0dff,0x3f203fff,0x801fffff,
    0x0ffffffc,0x3e3fffdc,0x400fffff,0xffffffff,0x7fffc00f,0xffffe86f,
    0x3fffe606,0xfffff83f,0x7ffdc006,0x3ff203ff,0x7ffc05ff,0x7dc006ff,
    0x3fe3ffff,0x5c006fff,0x003fffff,0x7ffcc000,0xffff8aff,0xfff803ff,
    0x7dc006ff,0x3fe3ffff,0x5c006fff,0x003fffff,0x03ffffe4,0x0dfffff0,
    0xfffffb80,0x3fffee03,0x3ffff206,0x3ffe604f,0xff103fff,0xffb87fff,
    0xff701fff,0xff701fff,0xdff87fff,0x21fffffd,0x04fffffc,0x3fffffe6,
    0xffffff33,0x7fffcc07,0xffffb86f,0xffff701f,0xfffe801f,0x7fcc06ff,
    0xfb82ffff,0x7ffec7ff,0x3fe601ff,0x2fffffff,0x3ffffe60,0xfffffb84,
    0xfffff701,0xdfffff01,0xffffb800,0x3fff203f,0x7fffc05f,0x7fdc006f,
    0x3ffe3fff,0x7dc006ff,0x0003ffff,0x7fffcc00,0xfffffebf,0xfffff004,
    0xfffb800d,0x3fffe3ff,0x7fdc006f,0x74003fff,0x2006ffff,0x006fffff,
    0x1fffffdc,0x7fffff10,0x3fffffa0,0x7fffec00,0xffff103f,0xffff887f,
    0xffffd04f,0x3ffff60b,0x26bfe60f,0x7f40abde,0x6c00ffff,0xf33fffff,
    0x801fffff,0x40fffffe,0x04fffff8,0x00bffffd,0x7ffffff3,0x7fffff40,
    0x8ffff705,0x03fffffb,0x3fffffee,0x3ee04fff,0xf882ffff,0xfd04ffff,
    0x3fe0bfff,0x5c006fff,0x203fffff,0x405ffffc,0x006fffff,0x1fffffdc,
    0x00dfffff,0x3fffffb8,0x03555551,0x0aaaaa88,0xfffffff3,0x400dffff,
    0x006fffff,0x1fffffdc,0x00dfffff,0x3fffffb8,0x7ffffc00,0x3fffe005,
    0x7fdc006f,0x7ec03fff,0x20adffff,0x805fffff,0x03fffffa,0x07fffff1,
    0x10dffffb,0x205fffff,0x5c5ffffe,0xfff000ff,0xff500bff,0x3fe67fff,
    0xfb805fff,0xfd81ffff,0xff886fff,0xf9002fff,0x501fffff,0x01ffffff,
    0x3fffe600,0x3fff605f,0x06ffffff,0x03fffff2,0x437fffec,0x02fffff8,
    0x00dfffff,0x3fffffb8,0x17ffff20,0x0dfffff0,0xfffffb80,0x1bffffe3,
    0xfffff700,0x3ffffe27,0x7fffd403,0xfffff31f,0x3fffffff,0x3ffffe00,
    0x7ffdc006,0x3fffe3ff,0x7fdc006f,0x22003fff,0x003fffff,0x01bffffe,
    0x7fffff70,0xfffff980,0x3fffe4ff,0xfff9804f,0xfff103ff,0xfff507ff,
    0xfffb83ff,0x3fffe07f,0x0037f44f,0x009fffff,0x27fffff3,0x04fffff9,
    0x2fffffa8,0x1fffffa8,0x03ffffdc,0xffffff10,0xfffff889,0x7fc0003f,
    0x3fe07fff,0xffffdfff,0xffffd00f,0x7fffd40d,0x7fffdc1f,0x3ffffe07,
    0x7ffdc007,0x3ff202ff,0x7ffc05ff,0x7dc006ff,0x3fe3ffff,0x5c006fff,
    0xf13fffff,0xa807ffff,0xf31fffff,0xffffffff,0x3e00dfff,0x4006ffff,
    0x23fffffb,0x006fffff,0x1fffffdc,0xfffff500,0x7fffc005,0x7fdc006f,
    0xf9803fff,0xf34fffff,0x1007ffff,0x207fffff,0x03fffff8,0xe89fffff,
    0xf104ffff,0x7c47ffff,0xfff3003f,0xff1007ff,0x3fe67fff,0xf9803fff,
    0xff03ffff,0xffe89fff,0x7d4004ff,0x321fffff,0x006fffff,0xfffffd80,
    0xfffff980,0x82fffff8,0x04fffff8,0x227ffffc,0x204ffffe,0x007fffff,
    0x17ffffdc,0x0bffff90,0x06fffff8,0x7ffffdc0,0x1bffffe3,0xfffff700,
    0x3ffffe27,0x7fffd403,0xfffff31f,0xffffffff,0xfffff005,0xfffb800d,
    0x3fffe3ff,0x7fdc006f,0x2e003fff,0x000fffff,0x01bffffe,0x7fffff70,
    0x3fffee00,0xfffff34f,0xffff1007,0x3ffe207f,0xfff903ff,0x7fffc4df,
    0xffff301f,0x00ffdc7f,0x3fffff98,0xfffff880,0x7fffff33,0xfffff100,
    0x3ffff209,0x3ffffe26,0xfffd8001,0xffff16ff,0x700003ff,0x905fffff,
    0x3fadffff,0xff984fff,0x7e403fff,0x3fe26fff,0x3fa01fff,0x5c007fff,
    0x202fffff,0x405ffffc,0x006fffff,0x1fffffdc,0x00dfffff,0x3fffffb8,
    0x07fffff1,0x1fffffa8,0xfffffff3,0x1fffffdd,0x6fffff80,0x7fffdc00,
    0x3ffffe3f,0x7ffdc006,0x3f6003ff,0x7c007fff,0x4006ffff,0x03fffffb,
    0xffffffc8,0x9fffff14,0xfffff300,0x3fffe207,0xffff303f,0x3fffee3f,
    0x3fffe206,0x801ff64f,0x04fffff8,0x3fffff98,0x07fffff3,0x7fffff30,
    0x3ffffe60,0x0dffff71,0x3fffe200,0xffffdaff,0xf300004f,0xfd09ffff,
    0x3ff27fff,0xfffb86ff,0x7fcc01ff,0xfff71fff,0xfffe80df,0x7fe4007f,
    0x3f201fff,0x7fc05fff,0x5c006fff,0x3e3fffff,0x4006ffff,0x13fffffb,
    0x807fffff,0x31fffffa,0x1dffffff,0x09fffff5,0x06fffff8,0x7ffffdc0,
    0x1bffffe3,0xfffff700,0x7fff4007,0x7ffc006f,0x7dc006ff,0x5c03ffff,
    0x3fffffff,0x017ffffe,0x0fffffea,0x1fffffc4,0x29ffffd0,0x203ffffe,
    0x25fffff8,0x3e0044ff,0xa805ffff,0xf33fffff,0x5009ffff,0x403fffff,
    0xfd4ffffe,0x40007fff,0xfffffffb,0x0006ffff,0x37ffffc0,0x47ffffe2,
    0x40fffffa,0x007ffffd,0x3a9ffffd,0x6c03ffff,0x001fffff,0x07fffff6,
    0x05ffffc8,0x037ffffc,0x3ffffee0,0x1bffffe3,0xfffff700,0x3ffffe27,
    0x7fffd403,0xfffff31f,0x7fffec1d,0x3fffe00f,0x7fdc006f,0x3ffe3fff,
    0x7dc006ff,0x2003ffff,0x004fffff,0x037ffffc,0x3ffffee0,0x7ffffc03,
    0xffffe81f,0x7ffec00f,0xfff103ff,0x7fdc07ff,0xffff8eff,0x7fffc00f,
    0xe85ff57f,0x3fa1bcef,0x6c00ffff,0xf33fffff,0x900fffff,0x401fffff,
    0xf8effffb,0x0000ffff,0x7ffffff4,0x1002ffff,0x3fa03333,0x7fd47fff,
    0x7fffc7ff,0x7ffffc2f,0xffff7005,0x1fffff1d,0xfffffc80,0xffff1005,
    0xfffc80ff,0x7fffc05f,0x7fdc006f,0x3ffe3fff,0x7dc006ff,0xff13ffff,
    0xfa807fff,0xff31ffff,0xff985fff,0x3fe05fff,0x5c006fff,0x3e3fffff,
    0x4006ffff,0x03fffffb,0x7fffff30,0xfffff800,0x7ffdc006,0x3fea03ff,
    0xff901fff,0x7cc09fff,0x103fffff,0x407fffff,0xfdfffff8,0xfc805fff,
    0x7fcbffff,0x27ffffcc,0x09fffff9,0x7fffffcc,0xffffff33,0x7fffc405,
    0x7ffc407f,0x5ffffdff,0xfff98000,0x05ffffff,0x41fffee0,0x21fffffc,
    0x6c5ffffc,0x3e24ffff,0x1003ffff,0xffbfffff,0xff500bff,0xb005ffff,
    0x80dfffff,0x405ffffc,0x006fffff,0x1fffffdc,0x00dfffff,0x3fffffb8,
    0x07fffff1,0x1fffffa8,0x05fffff3,0x05fffffb,0x01bffffe,0x7fffff70,
    0x037ffffc,0x3ffffee0,0xffff5003,0xfff8003f,0x7dc006ff,0x2e03ffff,
    0x2605ffff,0x84ffffff,0xfffffffa,0xfffff103,0xffffd807,0x802fffff,
    0xfefffff9,0x7ffff45f,0x3fffe60f,0xfffa84ff,0xff33ffff,0x203fffff,
    0x04fffffc,0xffffffd8,0x00002fff,0xfffffff9,0x7fdc001f,0xffff507f,
    0x7ffff47f,0x37fffdc3,0x03fffff5,0x7ffffec0,0x9802ffff,0x2fffffff,
    0xfffff910,0xfffc80bf,0x7fffc05f,0x7fdc006f,0x3ffe3fff,0x7dc006ff,
    0xff12ffff,0xfa807fff,0xff31ffff,0xff105fff,0x3fe0dfff,0x5c006fff,
    0x3e2fffff,0x4006ffff,0x02fffffb,0x1fffff70,0xfffff800,0x7ffdc006,
    0x3ff202ff,0x7fec03ff,0xecdeffff,0xffffffff,0xfffff103,0xffffa807,
    0x000fffff,0xfffffffd,0xffffd939,0xffffb0df,0xffd9bdff,0x27ffffff,
    0xfffffff9,0xfffb31bf,0xf5001fff,0xffffffff,0x3e200001,0x03ffffff,
    0x83fffdc0,0x14fffff8,0x983fffff,0xf90fffff,0xa800ffff,0xffffffff,
    0xfffb000f,0x99bdffff,0xfffffffd,0xfffc803f,0x7fffc05f,0x7fdc006f,
    0x3ffe3fff,0x7dc007ff,0xff12ffff,0xfa807fff,0xff31ffff,0x3f205fff,
    0xff83ffff,0x5c007fff,0x3e2fffff,0x4007ffff,0x02fffffb,0x0fffffb0,
    0xffffff00,0xffffb800,0x3fffa02f,0x7ffcc02f,0xffffffff,0x3fffffef,
    0x7fffff10,0xffffff00,0x7cc00bff,0xffffffff,0x1fffffff,0xffffff98,
    0xfeffffff,0xff33ffff,0xffffffff,0xffffffff,0x7fffc009,0x0005ffff,
    0x7ffffd40,0xfffb8006,0x3ffffa07,0x0fffff56,0x74bffffe,0x8005ffff,
    0xffffffff,0x3ffe2005,0xffffffff,0xffffffff,0xffffc805,0x7ffffc05,
    0x7ffdc006,0x3fffe2ff,0x7fdc007f,0xfff12fff,0xffb807ff,0xfff31fff,
    0x3fe205ff,0x7fc0ffff,0x5c007fff,0x3e2fffff,0x4007ffff,0x02fffffb,
    0x0bffffd0,0xffffff00,0xffffb800,0x3fffa02f,0xffe9801f,0xdfffffff,
    0x03fffff8,0x07fffff1,0xffffff90,0xffb8005f,0xffffffff,0x2602ffff,
    0xfffffffe,0xffff8dff,0xfffff33f,0xfffffffb,0x001dffff,0x7fffffe4,
    0x4c00002f,0x004fffff,0x207fffb8,0xc8fffffc,0xfb05ffff,0x3ffe9fff,
    0xfc8003ff,0x02ffffff,0x7ffffcc0,0xffffffff,0x800dffff,0x405ffffc,
    0x007fffff,0x17ffffdc,0x00fffffd,0x2fffffc8,0x07fffff1,0x1fffffb8,
    0x05fffff3,0x27ffffdc,0x01fffffa,0x5fffff90,0x03fffff4,0x3fffff20,
    0xfffff002,0xfffd0009,0xffc800ff,0x3fa02fff,0xd1001fff,0xbfffffff,
    0x0fffffe2,0x1fffffc4,0x7ffffcc0,0xff50007f,0xffffffff,0xfd1007ff,
    0x2bffffff,0x33fffff8,0xd37fffff,0xffffffff,0xfff3000b,0x0000ffff,
    0x9fffff30,0xffff7000,0x7ffffd40,0x03fffffa,0xf3dffff7,0x0003ffff,
    0xfffffff3,0x3ffa6000,0xffffffff,0x2004ffff,0x405ffffc,0x007fffff,
    0x17ffffdc,0x03fffffb,0x7ffffec0,0x7fffff11,0xfffffb80,0x5fffff31,
    0xfffffe80,0x3fffff61,0x3fff6001,0x3fff61ff,0x3f6001ff,0x9801ffff,
    0x002fffff,0x1fffffd8,0x3ffff600,0x3fffe01f,0x2e62001f,0x3e21bdfd,
    0xf103ffff,0x2007ffff,0x04fffffe,0x3fff6200,0x00cfffff,0x37f6e620,
    0x3fffe21b,0xfffff33f,0x3ffff627,0x3a0003ef,0x004fffff,0xffff9800,
    0xffb8004f,0x3ffe207f,0xfffffdff,0xfffff300,0x00fffff9,0x7fffff40,
    0x7ed40004,0xffffffff,0x7e4000bf,0x7f405fff,0x64007fff,0x322fffff,
    0x005fffff,0x1ffffff1,0x13ffffe2,0x3fffff90,0x15799700,0x7fffe400,
    0xfff1005f,0x7fe41fff,0xf1005fff,0x001fffff,0x03fffff5,0xfffff900,
    0x3ffe200b,0x3fe00fff,0x00001fff,0x2fffff98,0x7fffff30,0x3ffffa00,
    0x7ec0001f,0x0009aaae,0x7ffcc000,0xffff32ff,0x0135307f,0xffffd000,
    0x3000003f,0x009fffff,0x80ffff70,0xffffffff,0x7ffc06ff,0x6fffffff,
    0x3fffa000,0x200001ff,0x09adffc9,0x3fff2000,0x7ffec05f,0x3f6001ff,
    0x3ee1ffff,0x802fffff,0x27fffffd,0x05fffff8,0x0ffffff4,0x7fffffc0,
    0xffff7004,0xffb005ff,0xffb8ffff,0xd802ffff,0x007fffff,0x00fffff9,
    0x3ffffee0,0xfffd802f,0x3fe207ff,0x2ea00fff,0xff30009a,0x3e603fff,
    0x9802ffff,0x006fffff,0x0027fc40,0x00135750,0x47ffffe6,0x03fffff9,
    0x7fcc0000,0x00006fff,0x9fffff30,0xffff7000,0xfffffd80,0x6c04ffff,
    0xffffffff,0xff30004f,0x0000dfff,0x0007ff70,0x17ffff20,0xbfffff90,
    0x3fffe200,0x3ffe20ff,0x9102ffff,0x87ffffff,0x00ffffff,0x3ffffff9,
    0xfffffd00,0xfff1009f,0x2205ffff,0x3ffffffc,0x7fffffc4,0xfff9102f,
    0x3a007fff,0x0006ffff,0xfffffff1,0x3fff2205,0x3e603fff,0x2e00ffff,
    0x00efffff,0x03fffff2,0x17ffffe4,0x7ffffec0,0x7fd40003,0x3fee0001,
    0x3200efff,0xf30fffff,0x0007ffff,0xffffd800,0x3000003f,0x009fffff,
    0x80ffff70,0xfffffffb,0x7fd402ff,0x2fffffff,0xffffb000,0x9000007f,
    0x200007ff,0x405ffffc,0x2ffffffb,0xfffffd80,0xfffffc87,0xfeccdeff,
    0x87ffffff,0x1efffffd,0x3fffff26,0x2e2001ff,0xf9006fff,0xbdffffff,
    0xfffffd99,0x3ff20fff,0xcdefffff,0xffffffec,0x99ab987f,0x04fffffd,
    0x3ffff200,0xeccdefff,0x7fffffff,0xffffa998,0x7ffcc07f,0xfb884fff,
    0x6646ffff,0x1ffffffe,0x3ffff220,0x640000ff,0x7cc0007f,0x884fffff,
    0x26fffffb,0x03fffff9,0xff910000,0x0001ffff,0x3fffe600,0xffb8004f,
    0x7ffcc07f,0x00ffffff,0x7fffffc4,0x44000fff,0x0ffffffc,0xffe80000,
    0x33330005,0x80bffffb,0xfffffff8,0xffff9102,0xfff107ff,0xffffffff,
    0xffffffff,0xfffff707,0xffffffff,0x003fffff,0x006fff88,0xfffffff1,
    0xffffffff,0x2207ffff,0xffffffff,0xffffffff,0xffb83fff,0xffffffff,
    0x3fe20001,0xffffffff,0xffffffff,0x7fffc43f,0xf805ffff,0xefffffff,
    0xfffffffd,0x3fffe21f,0x7cc7ffff,0xfffffffe,0xff80004f,0xfff80004,
    0xfdefffff,0x1fffffff,0x0fffffe6,0x7f7cc000,0x4fffffff,0x3e600000,
    0x8004ffff,0xf807fffb,0x6fffffff,0xfffffd00,0xdf300dff,0xffffffff,
    0x36000009,0x4c000fff,0xffffffff,0xfffc805f,0xccdeffff,0xfffffffe,
    0x3fffa607,0xffffffff,0x205fffff,0xfffffffd,0xfff9ffff,0x113301ff,
    0x09fffd53,0x7ffff4c0,0xffffffff,0x4c05ffff,0xfffffffe,0xffffffff,
    0xffffb05f,0x00ffffff,0xffffd300,0xffffffff,0xf10bffff,0x3fffffff,
    0xfffff500,0xffffffff,0xffa89fff,0x44ffffff,0xfffffff8,0x40000fff,
    0x80002ff9,0xfffffffa,0xffffffff,0x7fffcc4f,0xf100003f,0xffffffff,
    0x4000001f,0x04fffff9,0x07fffb80,0xffffffd8,0xfff9004f,0x1009ffff,
    0xffffffff,0x000001ff,0x2f7ffff2,0x7ffcc06c,0x05ffffff,0xffffff88,
    0xffffffff,0x403fffff,0xffffffd8,0xffffffff,0x7fff4402,0xf0efffff,
    0x3e03ffff,0xffffffff,0x7ec4000e,0xffffffff,0x002fffff,0xffffffb1,
    0xffffffff,0x7ffffc05,0x002fffff,0xffffb100,0xffffffff,0x3fe205ff,
    0x005fffff,0x3fffffee,0xffffffff,0x7fffe40d,0xfff06fff,0x03ffffff,
    0x01ff9000,0x3ffee000,0xffffffff,0x7cc0dfff,0x0003ffff,0x3fffffe0,
    0x00001fff,0x7ffffcc0,0xfffb8004,0xffffb807,0xf5002fff,0x05ffffff,
    0x3fffffe0,0x00001fff,0x3ffffe20,0x7fcc07ff,0x5fffffff,0xffffd300,
    0xffffffff,0x400bffff,0xffffffda,0x000cffff,0xdffffd91,0x7ffffc19,
    0xffffff01,0xa80007df,0xfffffffd,0x8000cfff,0xffffffda,0x200cffff,
    0xfffffff9,0x800002ff,0xffffffda,0x200cffff,0x2efffff8,0xfffc9800,
    0xefffffff,0xfffffb01,0x3ffe01df,0x001dffff,0x000bd500,0xffffc980,
    0x1effffff,0x7fffff30,0x7ffc0000,0x001dffff,0xfff98000,0xfb8004ff,
    0xff9807ff,0x000fffff,0xfffffff1,0x3fffe001,0x0001dfff,0xffffa800,
    0x7fcc07ff,0x5fffffff,0x3fff6200,0xffffffff,0x20002fff,0x0aaaaaa9,
    0x05544000,0x554cc000,0x8000009a,0x0aaaaaa9,0x2aa60000,0x4000aaaa,
    0x01acca98,0x55300000,0x40015555,0x0002bccc,0xbccba988,0x6544009a,
    0x5d4009bc,0x0001abcc,0x40000000,0xabccba98,0x99998009,0x2a000009,
    0x001abccb,0x3fe60000,0x98004fff,0xf8804ccc,0x006fffff,0x37fffff4,
    0x57997500,0x80000003,0x800acca8,0xaaaaaaa8,0xda8002aa,0xffffffff,
    0x00000cff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5555554c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x002aaaaa,0x99988000,0x26666619,0x99880000,0x00000999,
    0x00005ed4,0x55555100,0xdd300001,0x002f6c05,0xceefecb8,0x4cc40003,
    0x09998819,0xaaaaaa80,0xaaaaaaaa,0x2aaaaaaa,0x26600400,0x3fea0000,
    0xa8004fff,0x5541aaaa,0xa8002aaa,0x4000aaaa,0xeefedcb8,0x000002cc,
    0x01555551,0x55555500,0x99805555,0x19998099,0x75100000,0x9bdffdb9,
    0x20000037,0xdeffedb9,0xaa8801ac,0x00001aaa,0xffffffe8,0x22000000,
    0xf54fffff,0x0001ffff,0x1fffffd0,0x3fe20000,0x00003fff,0x1fffff50,
    0xdff10000,0x0017fe60,0xffffffd5,0x20005fff,0x223ffff8,0xf803ffff,
    0xffffffff,0xffffffff,0x5006ffff,0xf985bffd,0xff10004f,0x003fffff,
    0x44fffff8,0x03ffffff,0x3ffffe20,0xfffb5003,0xffffffff,0x4000017f,
    0x01fffff9,0xffffff80,0x7ec07fff,0x7ffec5ff,0x6d400006,0xffffffff,
    0x0befffff,0xffea8000,0xffffffff,0x3fe200cf,0x00005fff,0x7fffffcc,
    0x2000004f,0x3a5ffffb,0x0001ffff,0x1fffffa8,0x3bf20000,0x00007fcb,
    0x1fffff50,0x3ffa0000,0x7ffd511c,0x7fffdc00,0xffffffff,0xfff50004,
    0x17fffa3f,0x7fffffc0,0xffffffff,0x6fffffff,0xfffffb80,0x3ffecdff,
    0xffffb000,0x4001dfff,0x7c4fffff,0x00ffffff,0x7fffff10,0xffffe880,
    0xffffffff,0x0002ffff,0x3fffff30,0xfffff000,0x880fffff,0xff73ffff,
    0x100001ff,0xfffffff9,0xffffffff,0x0009ffff,0x7fffffec,0xffffffff,
    0xffff104f,0xc80000bf,0x7fffffff,0x3fa00000,0xfff50eff,0x3a00007f,
    0x0001ffff,0x5fb07fc0,0xff500000,0x00001fff,0x3fffffe6,0x26006fff,
    0xffffffff,0x03ffffff,0xbdfffb00,0x2001ffff,0xffffffff,0xffffffff,
    0x806fffff,0xffffffff,0x001fffff,0xf9ffffb8,0x3e004fff,0x7fc4ffff,
    0x004fffff,0x07fffff1,0x7fffffcc,0xffffffff,0x002fffff,0xfffff980,
    0xffff8001,0x807fffff,0xffbffffa,0x980002ff,0xffffffff,0xfffeeeff,
    0x1effffff,0x7fffec00,0xffffffff,0x882fffff,0x005fffff,0x3fffe200,
    0x002fffff,0xefffa800,0x013fffa0,0x7fffcc00,0x7c400002,0x000ff20f,
    0x3fffea00,0x2e00000f,0xefffffff,0x3fff6000,0xffdbbeff,0x8000ffff,
    0xfffffff8,0x3ffe002f,0xffffffff,0xffffffff,0x7fc406ff,0xfffeca9e,
    0xf88004ff,0xfff32fff,0x3ffe005f,0x7fffc4ff,0x8801ffff,0x503fffff,
    0xffffffff,0xffffffff,0x003fffff,0xfffff980,0xffff8001,0x007fffff,
    0xfffffff9,0xff70000b,0x035bffff,0x7ffe54c4,0xf5002fff,0xffffffff,
    0xffffffff,0xfff883ff,0x200005ff,0xfffffffb,0x800005ff,0x3e61fffe,
    0x200005ff,0x0002fffd,0xf73bf900,0x3000001f,0x001ddddd,0xffec8800,
    0xffe8003e,0xfffb86ff,0xf30002ff,0x00bfffff,0xcffffff8,0xcccccccc,
    0x03cccccc,0x64c1ffcc,0xfd0001ce,0xfffb8bff,0xffff800f,0x7ffffc4f,
    0xf8806fff,0xf883ffff,0xcfffffff,0xfffca9ab,0x006fffff,0x777774c0,
    0xffff8001,0x3fa0001f,0x000fffff,0x7ffffec0,0xfb10000b,0x9003ffff,
    0x35dfffff,0x7fffecc4,0x7ffc46ff,0x200005ff,0xfffffffe,0x00000fff,
    0xd90bbba6,0x200001bd,0x0003eee8,0x3fffe600,0x0000004f,0x00000000,
    0xfffff100,0xfffff10b,0x775c0007,0x7c000dee,0x0007ffff,0x00000000,
    0x7c000000,0x7fc4ffff,0x3fffffff,0x7ffffc40,0xfffffd83,0x7f4c00ef,
    0x001fffff,0xff000000,0x40003fff,0x02eeeee9,0x7fffe400,0xd500000d,
    0xe801dfff,0xc806ffff,0x447fffff,0x005fffff,0xfffff300,0x09fffffd,
    0x00000000,0x00000000,0x03bf7100,0x00000000,0x80000000,0x80fffffe,
    0x0000019a,0x7fffc000,0x0000007f,0x00000000,0x7fffc000,0x7ffffc4f,
    0x200fffff,0x43fffff8,0x4ffffffa,0x3fffa200,0x000004ff,0xfffff000,
    0x00000003,0x3ffffa80,0xffd00000,0x7ffcc0bf,0xffd002ff,0x7fc43fff,
    0x00005fff,0xf3fffff9,0x000fffff,0x00aaaaaa,0x15555530,0xfdca9800,
    0x5000abde,0x80055555,0x00aaaaa9,0x77ee54c0,0x55000abd,0x98005555,
    0x6c0aaaaa,0x00efffff,0x32a60000,0x00abdefd,0x0ffffff0,0xaaaa8000,
    0x554c002a,0x54400aaa,0x5540acec,0xfff01aaa,0xffff89ff,0x05ffffff,
    0x0fffffe2,0x0dfffffb,0xfffff500,0xd971000b,0x0579bdfd,0x0fffffc0,
    0x7f6dcc00,0x001acdef,0x017fffc4,0x882b36e6,0xff309999,0x3fea03ff,
    0xf9004fff,0x7c47ffff,0x0005ffff,0x2bfffff0,0x02fffffc,0x6fffff80,
    0x7fffdc00,0xfff7003f,0xffffffff,0xffff8019,0x7fdc006f,0xf7003fff,
    0xffffffff,0xff8019ff,0x5c006fff,0x443fffff,0x3fffffff,0x7fdc0000,
    0xffffffff,0x7ffc00cf,0x400007ff,0x006fffff,0x1fffffdc,0xffffff90,
    0x3fff61bf,0xfffff03f,0xffffff89,0x102fffff,0x447fffff,0x02ffffff,
    0x00359b00,0xfffffd70,0x7dffffff,0x3fffff00,0x7fff5400,0xffffffff,
    0xfffd000c,0x3fff6209,0xffb3ffff,0x7ffdc9ff,0xfffff104,0x0331003f,
    0x2fffffc4,0x7ffd4000,0xffff32ff,0xfff000bf,0xfb800dff,0x4403ffff,
    0xfffffffd,0x2fffffff,0x1bffffe0,0xfffff700,0xfffd8807,0xffffffff,
    0x3fe02fff,0x5c006fff,0xb83fffff,0xdfffffff,0x7ec40000,0xffffffff,
    0x202fffff,0x007fffff,0x7ffffc00,0x7ffdc006,0xffe983ff,0xefffffff,
    0x03ffffd8,0xf89fffff,0xffffffff,0xfff106ff,0x7ffd47ff,0x000005ff,
    0xffffd880,0xffffffff,0x3e02ffff,0xb001ffff,0xffffffff,0x9fffffff,
    0x06fffa80,0xffffffd1,0xffff7fff,0x0fffd85f,0xfffffff0,0xf8800039,
    0x0005ffff,0x0fffffd8,0x03fffffa,0xdfffff00,0xffffb800,0x3ffea03f,
    0xffffffff,0x05ffffff,0x00dfffff,0x3fffffb8,0x3ffffea0,0xffffffff,
    0xff05ffff,0xb800dfff,0xc83fffff,0xffffffff,0xff50003f,0xffffffff,
    0xbfffffff,0x1fffffe0,0xffff0000,0xffb800df,0x7fc43fff,0xffffffff,
    0xffffeeff,0x9fffff03,0xecfffff8,0x883fffff,0x323fffff,0x004fffff,
    0x7fd40000,0xffffffff,0xffffffff,0xfffff01f,0xffffb003,0xffffffff,
    0x405fffff,0xe881fffd,0xffffffff,0xffffffff,0x817ffd41,0xfffffffd,
    0x4000bdff,0x05fffff8,0x7fffc400,0x7fffdc5f,0x7ffc004f,0x7dc006ff,
    0xf703ffff,0xffffffff,0xffffffff,0xffff07ff,0xffb800df,0xff703fff,
    0xffffffff,0xffffffff,0xfffff07f,0xfffb800d,0x7ffe43ff,0xffffffff,
    0x3fee000d,0xffffffff,0xffffffff,0xfffff83f,0xffffffff,0x5fffffff,
    0x06fffff8,0x7ffffdc0,0x7ffffe43,0xfffdccef,0xf03fffff,0xff89ffff,
    0xfffacfff,0x7fc40fff,0x3ff63fff,0x00002fff,0x3fffe600,0xffffffff,
    0xffffffff,0xfffff81f,0x7fffd401,0xffffffff,0x1fffffff,0x885fff88,
    0x0bfffffe,0xffffffd7,0x07fff30f,0x3fffffa2,0xceffffff,0xffff8801,
    0x7dc0005f,0x7c42ffff,0x4007ffff,0x006fffff,0x1fffffdc,0x7fffffc4,
    0xeb999bdf,0x1fffffff,0x037ffffc,0x3ffffee0,0xfffff883,0xb999bdff,
    0xfffffffe,0x37ffffc1,0x3fffee00,0x3ffff23f,0xffffffef,0xff8802ff,
    0x9bdfffff,0xffffeb99,0x7ffc1fff,0xffffffff,0xffffffff,0xfffff85f,
    0x7ffdc006,0x3ffe23ff,0xfe983fff,0xf03fffff,0xff89ffff,0xfffb4fff,
    0xfff88bff,0x3fffa3ff,0x000001ff,0xfffffd10,0x533579ff,0xfffffffb,
    0x3fffff0d,0xfffffc80,0x3f6621ae,0xc86fffff,0xffe82fff,0x3ffa05ff,
    0xfff05fff,0x7fffcc0b,0xffffffff,0x3e203eff,0x0005ffff,0x83fffff4,
    0x02fffffe,0x1bffffe0,0xfffff700,0xfffff907,0xfffb805f,0x7ffc4fff,
    0x7dc006ff,0xfc83ffff,0x402fffff,0x4ffffffb,0x037ffffc,0x3ffffee0,
    0x1fffff13,0x3ffffff2,0x7fe403ff,0x5c02ffff,0x44ffffff,0xffffffff,
    0xffffffff,0xff85ffff,0x5c006fff,0x323fffff,0x204fffff,0x3ffffff9,
    0x89fffff0,0xf14fffff,0x445fffff,0x3e3fffff,0x400fffff,0xeeeeeee9,
    0xd82eeeee,0x0effffff,0x7ffff4c0,0x7fffc1ff,0x7fff401f,0xfffc806f,
    0x7fff87ff,0x0fffff98,0x3ffffee0,0x80dffd04,0xffffffe9,0xffffffff,
    0xfffff105,0x7fcc000b,0xff704fff,0x7c00bfff,0x4006ffff,0x43fffffb,
    0x1ffffff9,0xfffff900,0x7ffffc1f,0x7ffdc006,0x7ffcc3ff,0xf9001fff,
    0x7c1fffff,0x4006ffff,0x53fffffb,0xfa89ffff,0x2fffffff,0xffffff30,
    0x3fff2003,0x3ffe0fff,0xffffffff,0xffffffff,0xfffff85f,0x7ffdc006,
    0x3fffa3ff,0x7fec00ff,0xfff03fff,0xffff89ff,0x3fffee4f,0xffff10ff,
    0x7ffffc7f,0x7ffcc00f,0xffffffff,0x7fffcc3f,0x3a2004ff,0x7c4fffff,
    0x2601ffff,0x002fffff,0x43fffffd,0xfd84fff8,0x7cc04fff,0xfb02ffff,
    0x3fee00df,0xffffffff,0x440effff,0x005fffff,0x3fffff20,0xfffff101,
    0x3ffe001f,0x7dc006ff,0x7f43ffff,0x4004ffff,0x21efffff,0x006fffff,
    0x1fffffdc,0x13fffffa,0xdfffff00,0x37ffffc3,0x3fffee00,0x5ffff93f,
    0xfffffd10,0xfffd03ff,0xff8009ff,0x3fe1efff,0xffffffff,0xffffffff,
    0xffff85ff,0x7fdc006f,0x3ffe3fff,0xffa805ff,0xfff03fff,0xffff89ff,
    0x7ffff44f,0xfffff14f,0x7fffff47,0x7fffcc01,0xffffffff,0x7ffffe43,
    0xfffa8006,0x7fffc5ff,0x3ffea01f,0xff9004ff,0x7fcc7fff,0x7fffcc2f,
    0x7ffc400f,0xbfff00ff,0xfffc9800,0xffffffff,0x3ffe20ef,0xf10005ff,
    0xd80dffff,0x004fffff,0x00dfffff,0x3fffffb8,0x3fffffe2,0x56764000,
    0x6fffff80,0x7fffdc00,0x3fffe23f,0x764000ff,0xffff80ac,0x7fdc006f,
    0xfffb3fff,0x7ffe40bf,0x7fc46fff,0x4000ffff,0xff80acec,0x00007fff,
    0x037ffffc,0x3ffffee0,0x13ffffe3,0x3ffffe60,0x9fffff03,0x44fffff8,
    0x9ffffff9,0x23fffff8,0x02fffffd,0x7fffffcc,0x23ffffff,0x2ffffff8,
    0x0359b000,0x807ffffe,0x1ffffff8,0x2a019880,0x7fe41fff,0xff9804ff,
    0xfff107ff,0x6dcc0009,0xffffffff,0x3fffe24f,0xff70005f,0x9999dfff,
    0xffffb999,0x3ffe00ff,0x7dc006ff,0x3ea3ffff,0x0004ffff,0xdfffff00,
    0xffffb800,0x3fffea3f,0xf000004f,0x800dffff,0x93fffffb,0x403fffff,
    0x47fffffa,0x04fffffa,0xffff0000,0xf80000ff,0x4006ffff,0x33fffffb,
    0x007fffff,0x07fffff1,0xf13ffffe,0xf909ffff,0xff1dffff,0x7fdc7fff,
    0x7cc03fff,0xffffffff,0x3fea3fff,0x00005fff,0x0fffffc0,0x3fffffe0,
    0x5c0001cf,0x7fec0fff,0xffb803ff,0xfff505ff,0x75400007,0x27ffffff,
    0x05fffff8,0xfffffd00,0xffffffff,0x5fffffff,0xdfffff00,0xffffb800,
    0x3fffee3f,0xf000003f,0x800dffff,0x23fffffb,0x03fffffb,0xffff0000,
    0xffb800df,0xfff73fff,0x7cc05fff,0x3ee1ffff,0x0003ffff,0xffffff00,
    0xfff80000,0x7dc006ff,0xff33ffff,0xf1007fff,0x3e07ffff,0x7fc4ffff,
    0xff884fff,0xfffbffff,0x3ffea3ff,0x999805ff,0xffffc999,0x3ffff23f,
    0x4000004f,0x401fffff,0xfffffffd,0x4000bdff,0xffe87ffc,0xffc802ff,
    0xfff903ff,0xf7000003,0x223fffff,0x005fffff,0xffffff98,0xffffffff,
    0x5fffffff,0x6fffff80,0x7fffdc00,0x3ffff23f,0xf000002f,0x800dffff,
    0x23fffffb,0x02fffffc,0xffff0000,0xffb800df,0xfff13fff,0x6c07ffff,
    0x3f22ffff,0x0002ffff,0xffffff00,0xfff80000,0x7dc006ff,0xff13ffff,
    0xf3009fff,0x3e07ffff,0x7fc4ffff,0xff504fff,0xffffffff,0x7fffcc7f,
    0xf70001ff,0x7ec7ffff,0x0002ffff,0x7ffffc00,0x7fff4401,0xffffffff,
    0xffd801ce,0x0fffff87,0x1ffffe80,0x981fffd0,0x003ffeed,0x97fffff4,
    0x05fffff8,0xfffffc80,0xffffffff,0xffffffff,0x7fffc00f,0x7fdc006f,
    0x3ff63fff,0x00001fff,0x0dfffff0,0xfffffb80,0x3fffff63,0xff000001,
    0xb800dfff,0x2e3fffff,0xdfffffff,0x0ffffc80,0x07fffff6,0x7ffc0000,
    0x400007ff,0x006fffff,0x1fffffdc,0x00bfffff,0x07fffff5,0xf13ffffe,
    0x7409ffff,0xffffffff,0x7fff43ff,0xf70005ff,0x7f47ffff,0x0001ffff,
    0x7ffffc00,0xffff9801,0xffffffff,0x3f203eff,0x7fffc47f,0xffff9807,
    0x3fffc80f,0x5fffff98,0x7fffe400,0xfffff12f,0xffff000b,0xffffffff,
    0xffffffff,0xff809fff,0x5c006fff,0x3a3fffff,0x000fffff,0xfffff000,
    0xfffb800d,0x3fffa3ff,0x000000ff,0x00dfffff,0x3fffffb8,0x7fffffe4,
    0x7fff43ff,0x7fffff46,0xff000000,0x0000ffff,0x06fffff8,0x7ffffdc0,
    0x3fffffa3,0x7fffec00,0xfffff03f,0x4fffff89,0x3ffffe60,0x543fffff,
    0x01ffffff,0xfffffb80,0x3fffffe3,0x77774c00,0xeeeeeeee,0x07ffffe2,
    0x7ffff4c0,0xffffffff,0xfff705ff,0x0fffff81,0x37fffec0,0x807fffdc,
    0x01ffffff,0x3fffff60,0xbfffff11,0xffffa800,0xaaaaaadf,0xffcaaaaa,
    0x7fc07fff,0x5c006fff,0x3e3fffff,0x000fffff,0xfffff000,0xfffb800d,
    0x3fffe3ff,0x000000ff,0x00dfffff,0x3fffffb8,0xffffffc8,0xfffd8dff,
    0x7ffffc4f,0xf000000f,0x000fffff,0x6fffff80,0x7fffdc00,0x3ffff23f,
    0x3ffe604f,0xfff03fff,0xffff89ff,0x7ffe404f,0x83ffffff,0x2ffffffe,
    0x3fffee00,0x3fffe3ff,0x7fcc00ff,0xffffffff,0x3fffe3ff,0x7fdc001f,
    0xffffffff,0x540effff,0x7ff41fff,0x3fe601ff,0x7fcc5fff,0x3ff603ff,
    0xf5006fff,0x221fffff,0x005fffff,0x0fffffec,0x7ffffc00,0x3fffe02f,
    0x7fdc006f,0x3ffa3fff,0x00001fff,0x0dfffff0,0xfffffb80,0x3fffffa3,
    0xff000001,0xb800dfff,0x703fffff,0xffffffff,0xd0bfffff,0x003fffff,
    0x3fffe000,0x7c00007f,0x4006ffff,0x23fffffb,0x4ffffff9,0xffffffa8,
    0xfffff03f,0x4fffff89,0xfffffe80,0xff983fff,0x00cfffff,0xfffffd51,
    0x7fff47ff,0x7fcc01ff,0xffffffff,0x3fffe3ff,0xf930001f,0xffffffff,
    0x7cc1dfff,0x7ffec2ff,0x3fff605f,0x3ffe23ff,0x7ffd406f,0x2e01efff,
    0x26ffffff,0x05fffff8,0x3ffffe20,0xfff90007,0x7ffc0bff,0x7dc006ff,
    0x3f62ffff,0x0002ffff,0xdfffff00,0xffffb800,0x3ffff62f,0xf000002f,
    0x800dffff,0x02fffffb,0x3fffffa6,0xb05fffff,0x005fffff,0x3fffe000,
    0xffffffff,0xffffffff,0x3fffe2ff,0x7fdc006f,0x7fec2fff,0xecdeffff,
    0xffffffff,0x9fffff03,0x04fffff8,0xffffffa8,0xfff903ff,0x9bffffff,
    0xfffffffb,0x7ec7ffff,0x4c02ffff,0xffffffff,0x3fe3ffff,0x80001fff,
    0xfffffdb9,0x3e24ffff,0x7ffd45ff,0x3fa61cff,0xd9dfffff,0x800fffff,
    0xfffffffd,0xfffdccce,0x222fffff,0x005fffff,0x13ffffee,0x7fffcc00,
    0xffff00ff,0xffb800ff,0x3ff22fff,0x00003fff,0x0ffffff0,0xfffffb80,
    0x3fffff22,0xff000003,0xb800ffff,0x802fffff,0xfffffffc,0xfff900ff,
    0x000007ff,0x3ffffffe,0xffffffff,0x2fffffff,0x01fffffe,0x5fffff70,
    0xffffff98,0xfeffffff,0xff03ffff,0xfff89fff,0xffb004ff,0x407fffff,
    0xfffffffb,0xffffffff,0x0dffffff,0x0ffffff6,0xffffff30,0x47ffffff,
    0x001fffff,0xfffea800,0x7fec7fff,0x7fffec1f,0xffffedff,0xffffffff,
    0xf1001fff,0xffffffff,0xffffffff,0xfff88bff,0x3fa005ff,0x0001ffff,
    0x13fffffa,0x03fffffc,0x3ffffee0,0x3ffffee2,0x02c98003,0x01fffffe,
    0x5fffff70,0x1fffffdc,0xf0164c00,0x800fffff,0x02fffffb,0xfffffd30,
    0x3fee07ff,0x98003fff,0x3fffe02c,0xffffffff,0xffffffff,0x3fffe2ff,
    0x7fdc007f,0xfe982fff,0xffffffff,0x3fffff8d,0x89fffff0,0x004fffff,
    0xfffffff1,0xffffa807,0xffffffff,0x3fffffff,0x5fffffb8,0x99999980,
    0x23fffffc,0x001fffff,0x3ffee000,0x3fea1fff,0x7fffc44f,0xffffffff,
    0xffffffff,0x7cc001ef,0xffffffff,0xffffffff,0xfffff886,0xffff3005,
    0xfb8000df,0xfd07ffff,0xc800ffff,0x262fffff,0x006fffff,0x0adfffc8,
    0x01fffffa,0x5fffff90,0x37ffffcc,0x6fffe400,0x3ffffa0a,0x7ffe4007,
    0x7dc002ff,0x81ffffff,0x06fffff9,0xadfffc80,0x3fffffe0,0xffffffff,
    0xffffffff,0x1fffffa2,0xfffff900,0x3fffa205,0xff15ffff,0x3fe07fff,
    0x7ffc4fff,0x3ee004ff,0x803fffff,0xffffffe9,0xffffffff,0x3ffe203f,
    0x70001fff,0x7c7fffff,0xb301ffff,0x8007ffdd,0x42fffffe,0x6c41ffff,
    0xdfffffff,0xffffffb8,0x220003ff,0xfffffffd,0xcfffffff,0xfffff880,
    0xffffb005,0xf880007f,0xd82fffff,0x001fffff,0x87fffff6,0x2ffffff8,
    0x7ffffc00,0x3ffff62f,0x3ff6001f,0x3fe21fff,0x4002ffff,0x22ffffff,
    0x01fffffd,0x3fffff60,0xffe98001,0xff885fff,0x4002ffff,0x22ffffff,
    0xffffffff,0xffffffff,0x22ffffff,0x01fffffd,0x3fffff60,0x3f6e6201,
    0x3ffe21bd,0xffff03ff,0xfffff89f,0x7fff4004,0x2e2003ff,0xfffffffd,
    0xfd000ace,0x000bffff,0x8fffffee,0x301fffff,0x00bfffff,0x2fffffc8,
    0x407fffdc,0x42cefeca,0x02ceefdb,0x30055551,0xfffffffb,0x44039dff,
    0x005fffff,0xff800000,0x7ffe400f,0xff1005ff,0xfc81ffff,0x2006ffff,
    0x47fffffb,0x05fffffc,0xffffff10,0xfffffc81,0x3ffee006,0x7ffe47ff,
    0xff1005ff,0x4401ffff,0xfffff100,0x3ffff20f,0x3fee006f,0x00007fff,
    0xff900fff,0x2200bfff,0x00ffffff,0xffff9800,0xaccb882f,0xccb88002,
    0x2000002a,0x0bffffb8,0xffff7000,0xf70003ff,0x7fc7ffff,0x3fe01fff,
    0x2001ffff,0x81fffffd,0x0006fffe,0xffff3000,0xfec88005,0xf3000dff,
    0x000000bf,0x03ffc400,0x7fffffdc,0xffffd802,0xffff887f,0xff9804ff,
    0x7dc4ffff,0x802fffff,0x87fffffd,0x4ffffff8,0xfffff980,0x7fffdc4f,
    0xffd802ff,0x77547fff,0xff701fff,0xff101fff,0x3009ffff,0x09ffffff,
    0x0fff1000,0xffffff70,0xffffb005,0x09aba8ff,0xfffff300,0xfffff503,
    0x7fcc005f,0x0003ffff,0xfffffe80,0xfd10003f,0x005fffff,0x7fffffdc,
    0x07ffffe3,0x6fffffd8,0xfffff500,0xffff101f,0x4000001b,0x005ffff9,
    0xffffffb8,0x09ff5006,0x40000000,0xf8807ff9,0x02ffffff,0xffffff91,
    0x3fffee07,0xff701eff,0x881fffff,0x2fffffff,0xfffff910,0x3ffee07f,
    0xf701efff,0x81ffffff,0xfffffff8,0xffff9102,0xfffa87ff,0xfff905ff,
    0x3fee01ff,0x701effff,0x1fffffff,0xdff30000,0xfffff100,0x3f2205ff,
    0x5c3fffff,0x00efffff,0x03fffff2,0x3fffffaa,0xffd3000f,0x0003ffff,
    0xffcabc80,0xf30002ff,0x1bffffff,0x3fffea20,0x3fe3ffff,0x3ea01fff,
    0x01efffff,0x3fffffee,0x3fffea06,0x4400003f,0x00effffc,0xfebacb80,
    0xffc803ff,0x00000004,0x007ffea0,0x3ffffff2,0xffeccdef,0x407fffff,
    0xfffffffe,0xffffecdf,0xf904ffff,0xbdffffff,0xfffffd99,0xffe80fff,
    0xcdffffff,0xfffffffe,0xffff904f,0xd99bdfff,0xffffffff,0x3fffffe0,
    0x3fffe60b,0x7fff406f,0xecdfffff,0xffffffff,0xff700004,0xfff9001f,
    0x99bdffff,0xfffffffd,0xfffff30f,0xfff7109f,0xfd100dff,0xb10007ff,
    0x00009fff,0x04fff980,0x3ffff200,0xdcdfffff,0xffffffff,0x3ffe3fff,
    0x41999bff,0xfffffffd,0xfffdccce,0x402fffff,0xbefffffb,0x3f220001,
    0x001effff,0x01bffa00,0x0001bff6,0xffa80000,0xfff8804f,0xffffffff,
    0xffffffff,0x7fffcc03,0xffffffff,0x05ffffff,0x3fffffe2,0xffffffff,
    0x403fffff,0xfffffff9,0xffffffff,0x3e205fff,0xffffffff,0xffffffff,
    0xfff903ff,0xffdbffff,0x9809ffff,0xffffffff,0xffffffff,0x200005ff,
    0x8803fffb,0xffffffff,0xffffffff,0xfff03fff,0xfbdfffff,0x3fffffff,
    0x0ffff200,0x27ffdc00,0x3e600000,0x6c0005ff,0xffffffff,0xffffffff,
    0x20dfffff,0xffffffff,0x7fffc47f,0xffffffff,0x5fffffff,0xffffd300,
    0x33559dff,0x7fed4ccc,0x00dfffff,0x7fff4000,0x0fffec00,0x80000000,
    0xcbeffff9,0xfffe982d,0xffffffff,0x005fffff,0xffffffb1,0xffffffff,
    0xffd300bf,0xffffffff,0x0bffffff,0x3ffff620,0xffffffff,0xe9805fff,
    0xffffffff,0xffffffff,0x7fffec05,0xffffffff,0xffb1006f,0xffffffff,
    0x00bfffff,0xffff9800,0xe982dcbe,0xffffffff,0xffffffff,0x3fffea05,
    0xffffffff,0x4c44ffff,0xfffba989,0x444cc00f,0x02ffffb9,0x26133000,
    0x003fffea,0xfffffb80,0xffffffff,0x83ffffff,0xffffffff,0xffff987f,
    0xffffffff,0x006fffff,0xffffffc8,0xffffffff,0xffffffff,0x220003ff,
    0xfffb5119,0xffff700d,0x0001d97b,0x3ff60000,0x103fffff,0xfffffffb,
    0x5fffffff,0xffff7000,0xffffffff,0x7ec4007f,0xffffffff,0x002fffff,
    0xffffffb8,0x3fffffff,0x3fff6200,0xffffffff,0xe8802fff,0xffffffff,
    0x4000efff,0xfffffffb,0x03ffffff,0xfffb0000,0x2205ffff,0xfffffffd,
    0x2fffffff,0xfffffb80,0xffffffff,0x7ffd40df,0x03ffffff,0x7fffffcc,
    0x00004fff,0x3ffffffe,0x200005ff,0xffffffe9,0xffffffff,0x3fffe03f,
    0x107fffff,0xfffffffb,0x9fffffff,0x3f660001,0xffffffff,0xffffffff,
    0x0000beff,0x7fffffec,0xf8800fff,0x0fffffff,0x10000000,0x5ffffffb,
    0xffffda80,0x0cffffff,0x3f722000,0xbfffffff,0xffb50000,0xffffffff,
    0x64400019,0xfffffffd,0xb50000bf,0xffffffff,0xa80019ff,0xfffffffe,
    0x3220003f,0xfffffffd,0x000000bf,0x3fffffa2,0x7fed402f,0xffffffff,
    0x3f26000c,0xffffffff,0xfff501ef,0x003bffff,0xfffffff3,0xf800005b,
    0x3effffff,0xf9300000,0xdfffffff,0xfff00379,0x0fffffff,0xfffffd98,
    0x01ceffff,0x3ff26000,0xffffffff,0x001cffff,0x3ffff600,0x2000bfff,
    0xfffffff9,0x00000000,0x000de5d4,0x5555554c,0x51000000,0x00001355,
    0xaaaaaa98,0x51000000,0x00001355,0xaaaaaa98,0xba980000,0x00009acc,
    0x04d55440,0x2a000000,0x98001bcb,0x00aaaaaa,0x65d4c400,0x44009abc,
    0x009aaaa9,0x4d5554c0,0x33000000,0x00013555,0x554c4000,0x5550001a,
    0x05555555,0x555d4c40,0x8000000a,0xcccbaa99,0x000009aa,0x33553310,
    0xacca8000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaaa600,0xaaaaaaaa,0x4c001aaa,0xabdefdca,0x33000000,0x00003333,
    0x26666620,0x00000000,0x55555000,0x55555555,0x00013555,0x99999880,
    0x4cc40000,0x00000199,0x5543fff6,0x44002aaa,0x2aaaaaaa,0x00d55554,
    0x2fffffcc,0x4ccc4000,0x26666619,0x55555400,0x35555501,0x80fba200,
    0x26000eec,0x99980999,0x09999809,0x00099998,0x26662000,0x31000099,
    0x33310333,0x01eea803,0x880013b6,0x006fffff,0x3fffae20,0xffffffff,
    0x005fffff,0xfffffff7,0x0019ffff,0x7fffdc00,0x8800004f,0x00efffff,
    0xfff10000,0x3e000dff,0xffffffff,0xffffffff,0x80000cef,0x05fffff9,
    0x7ffff400,0x9800000f,0x3ffe5fff,0x7f4007ff,0x40ffffff,0x804fffff,
    0x2ffffffe,0x7fff4000,0xfffff35f,0xfffff803,0x9fffff04,0x407ffc00,
    0x64006ff8,0x3f20ffff,0xffb80fff,0x3ffee0ff,0x2000000f,0x01fffffd,
    0x7ffff100,0x027fffc4,0x7d417fe6,0x3fa0004f,0x004fffff,0xffffff98,
    0xffffffff,0x405fffff,0xffffffd8,0xffffffff,0xffd00002,0x000009ff,
    0x03bffff2,0xffe80000,0x8004ffff,0xffffffff,0xffffffff,0x002fffff,
    0xfffffa80,0x3ffa0001,0x00000fff,0x3e2fffd8,0x2007ffff,0xfffffffd,
    0x4fffff81,0x7ffffe40,0x50000fff,0x361dffff,0xf802ffff,0xff04ffff,
    0x6c009fff,0xfb512dff,0xffd0009f,0x3fffeabf,0x57fff601,0x002ffff9,
    0x3ffe6000,0x540002ff,0xffb1ffff,0xfff100df,0x3ffae237,0xfff70002,
    0x003fffff,0x7fffffc4,0xffffffff,0x05ffffff,0x3fffffea,0xffffffff,
    0x40005fff,0x005ffffa,0xffff1000,0x4000001f,0xfffffffc,0x7ffc001f,
    0xffffffff,0xffffffff,0x80001fff,0x004ffffb,0x3fffffa0,0x7cc00000,
    0x7fffc7ff,0xfff9007f,0x3e03ffff,0x2a04ffff,0xffeaffff,0xffb0005f,
    0x3ffe61ff,0xffff004f,0x3fffe09f,0x3fe2004f,0xefffffff,0xfff88000,
    0x04ffffcf,0x7e7fffc4,0x00005fff,0x17fffec0,0xfffc8000,0x00ffffce,
    0xffffff50,0x2000bfff,0xfdaffff9,0xfd000eff,0xffffffff,0xffffffff,
    0x3ee0bfff,0xffffffff,0xffffffff,0x3a0003ff,0x00005fff,0x07fffee0,
    0xff980000,0xffffd9ff,0x3fffe000,0xffffffff,0xffffffff,0x700007ff,
    0x0001ffff,0x03fffffa,0xfffd0000,0x7fffff87,0xfffffc80,0x3ffe01ff,
    0xfff104ff,0x3fffe27f,0x7ffcc003,0x17fff21f,0x4fffff80,0x09fffff0,
    0xfffffa80,0x20001fff,0xfffffffb,0xffff5006,0x0001ffff,0x7fffc400,
    0x7f400003,0x03ffffff,0x7ffffe40,0xd0000eff,0x3fa29fff,0xffa805ff,
    0xffffffff,0xfffeeeff,0xff884eef,0x9bdfffff,0xffffeb99,0x98001fff,
    0x0000efff,0x07fffa00,0xfe880000,0xfffd14ff,0x7fffc00b,0xccccccff,
    0xffffeccc,0x00002fff,0x0009fff9,0x03fffffa,0xfffa8000,0x7ffffc0f,
    0x7fffdc07,0x77401fff,0xffb03eee,0xffffa8df,0x3fff6001,0x03bffe22,
    0x3eeeee80,0x07ddddb0,0xdffd9100,0x3f600007,0x001fffff,0x3ffffff2,
    0x64000001,0x00004fff,0xffffff98,0xfdb30005,0x5c0005bf,0x774c5eee,
    0x7fdc01ee,0xffffffff,0x3fffea5f,0x3ffff202,0x7fdc02ff,0x8004ffff,
    0x0000deec,0x0bbba600,0xdd700000,0xeeee88bd,0xfffff001,0x7ffd400f,
    0x00006fff,0x40017bb2,0x00fffffe,0x3fffa000,0x7fffff85,0x3ffffea0,
    0x000002ff,0x3a200000,0x7775c3ee,0x00000000,0x00000000,0x2ccccc88,
    0x7776c400,0x8000003e,0x00004eed,0x37bbbae0,0x00000000,0x6c000000,
    0xffffffff,0x3fea5fff,0xfff302ff,0x32003fff,0x00ffffff,0x00000000,
    0x00000000,0xfff00000,0xfc800fff,0x0007ffff,0x7f400000,0x0000ffff,
    0x07ffff50,0x20ffffff,0xfffffffa,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff0,
    0x54bfffff,0xfd02ffff,0x8009ffff,0x01efffff,0xeffedb98,0x00001acd,
    0xbdfdd951,0x00000359,0xbdfdd951,0xff800359,0x4c007fff,0x00ffffff,
    0xfeeca880,0x4001acde,0x00fffffe,0xffffd000,0xffffff01,0xffffff30,
    0x5554005f,0xaa8801aa,0x20001aaa,0xdefeeca8,0xaa8001ac,0x55501aaa,
    0x54400355,0xacdefeec,0x55440001,0x55502aaa,0x55555555,0x01355555,
    0x55555500,0x55555555,0x35555555,0x55555550,0x55555555,0x03555555,
    0x0aaaaaa2,0x15555540,0x2aaaa200,0x3ffffe1a,0x5fffffff,0x20bfffea,
    0x0ffffff8,0x05676400,0x7ffff540,0xcfffffff,0xff910000,0xffffffff,
    0x100009ff,0xfffffff9,0x009fffff,0x01fffffe,0xffffff10,0xfffc8800,
    0xffffffff,0xfffd004f,0x100001ff,0x3e0dffff,0x7cc7ffff,0x02ffffff,
    0x27ffffc0,0x7ffffc40,0xffc88003,0xffffffff,0x3fe004ff,0xfff04fff,
    0xf91009ff,0xffffffff,0x20009fff,0x05fffff8,0xffffffff,0xffffffff,
    0x20019dff,0xfffffffe,0xffffffff,0xe85fffff,0xffffffff,0xffffffff,
    0xf105ffff,0x200bffff,0x007fffff,0x27ffffd4,0xfffffffb,0x7d4bffff,
    0xffa82fff,0x00004fff,0xfffffd80,0xffffffff,0x74c004ff,0xffffffff,
    0x1effffff,0xfffd3000,0xffffffff,0xf803dfff,0x4007ffff,0x06fffffa,
    0x3ffffa60,0xffffffff,0x7f401eff,0x0000ffff,0x04ffffb8,0x44ffffff,
    0x3fffffff,0xfffff800,0xffff8804,0x7f4c003f,0xffffffff,0x01efffff,
    0x04fffff8,0x809fffff,0xffffffe9,0xffffffff,0x7fc4001e,0xfff05fff,
    0xffffffff,0xffffffff,0xffd005ff,0xffffffff,0xffffffff,0xfffd0bff,
    0xffffffff,0xffffffff,0x3ffe20bf,0xfff005ff,0xfa800fff,0x3f24ffff,
    0xffffffff,0x3ffea5ff,0xffffb82f,0x4000003f,0xfffffffd,0xffffffff,
    0xff9002ff,0xffffffff,0xffffffff,0xfffc8009,0xffffffff,0x4fffffff,
    0x1fffffe0,0xffffd880,0xfff9005f,0xffffffff,0x9fffffff,0x7fffff40,
    0xffd80000,0xffff03ff,0x3fffa2ff,0xf0003fff,0x1009ffff,0x007fffff,
    0x7fffffe4,0xffffffff,0x7c04ffff,0xff04ffff,0x7e409fff,0xffffffff,
    0xffffffff,0x3fe2004f,0xfff05fff,0xffffffff,0xffffffff,0xfe803fff,
    0xffffffff,0xffffffff,0xffe85fff,0xffffffff,0xffffffff,0xfff105ff,
    0x3fe00bff,0x54007fff,0x264fffff,0xffffffff,0x3fea5fff,0xfffc82ff,
    0x000002ff,0x3fffffea,0xffffffff,0x401fffff,0xfffffffc,0xffffffff,
    0x005fffff,0xfffffff9,0xffffffff,0x20bfffff,0x807fffff,0xfffffea9,
    0xfffc801f,0xffffffff,0xffffffff,0xffffd05f,0xff00001f,0x3fe05fff,
    0xffe8ffff,0x001fffff,0x09fffff0,0x7fffff10,0x3ffff200,0xffffffff,
    0xffffffff,0x3ffffe05,0x9fffff04,0x3fffff20,0xffffffff,0x5fffffff,
    0xfffff100,0x3ffffe0b,0xffffffff,0xffffffff,0x7fff407f,0xffffffff,
    0xffffffff,0xffffe85f,0xffffffff,0xffffffff,0xfffff105,0x3fffe00b,
    0x7fd4007f,0x7fe44fff,0xffffffff,0x0bfffea5,0x07fffff6,0xffc80000,
    0x221aefff,0xffffffd9,0x3fffe606,0x99acefff,0xfffffeca,0x7fcc02ff,
    0xacefffff,0xfffeca99,0xff82ffff,0xffffffff,0xffffffff,0x9804ffff,
    0xefffffff,0xfeca99ac,0x82ffffff,0x00fffffe,0x7fffcc00,0xfffff01f,
    0xffffffdf,0x3e000dff,0x8804ffff,0x803fffff,0xfffffff9,0xeca99ace,
    0x2fffffff,0x09fffff0,0x213ffffe,0xfffffff9,0xeca99ace,0x2fffffff,
    0xfffff880,0xffffff05,0x99999999,0xffffffd9,0x6665c05f,0xcccccccc,
    0xffffffdc,0xccccb83f,0xcccccccc,0xfffffffd,0xfffff103,0x3fffe00b,
    0x7fd4007f,0x7f444fff,0xffffffff,0x0bfffea5,0x03fffffa,0xffe80000,
    0xffc806ff,0x3fa07fff,0x805fffff,0x6ffffffb,0x7fffff40,0xfffb805f,
    0xfff86fff,0xffffffff,0xffffffff,0xfe800dff,0x805fffff,0x6ffffffb,
    0x0fffffe8,0x7ffd4000,0xffff00ff,0xffffffff,0x0009ffff,0x009fffff,
    0x07fffff1,0xffffffd0,0xffff700b,0x3ffe0dff,0xffff04ff,0xffffd09f,
    0xff700bff,0x100dffff,0x20bfffff,0x007fffff,0x3fffffea,0x7f400006,
    0x004fffff,0x3ffffa00,0x3fe204ff,0xff005fff,0xa800ffff,0x904fffff,
    0xffffffff,0x17fffd4b,0x07fffffc,0xff980000,0xfd002fff,0xf903ffff,
    0x005fffff,0x7fffffcc,0xfffff903,0x7fcc005f,0x7fc3ffff,0xffffffff,
    0xffffffff,0xff9003ff,0x4005ffff,0x3ffffff9,0x07fffff4,0x3ffee000,
    0x3fffe07f,0xffffffff,0x001fffff,0x027ffffc,0x1fffffc4,0x3fffff20,
    0x3fe6002f,0xff83ffff,0xfff04fff,0xfffc89ff,0x26002fff,0x03ffffff,
    0x2fffffc4,0x07fffff8,0x7ffffe40,0x3f600007,0x006fffff,0x3ffff600,
    0x7fc406ff,0xff005fff,0xa800ffff,0x204fffff,0xfffffdb9,0x0bfffea5,
    0x07fffffa,0x7fd40000,0xf9004fff,0xff07ffff,0x000bffff,0x1ffffff7,
    0xbffffff0,0xffff7000,0x7fffc1ff,0xffffffff,0x0adfffff,0x3ffffe00,
    0xffb8005f,0x3fa0ffff,0x0000ffff,0x037fffe4,0xffffffff,0xffffd7ff,
    0xfff800df,0xff8804ff,0x7fc03fff,0x8005ffff,0x0ffffffb,0x827ffffc,
    0x7c4fffff,0x005fffff,0xffffffb8,0x3fffe200,0xfffff05f,0xfff9800f,
    0x80000fff,0xfffffffb,0xff700000,0x801fffff,0x05fffff8,0x0ffffff0,
    0xfffffa80,0xffff1004,0x17fffd4b,0x17ffffec,0xff880000,0x8801ffff,
    0x7ffd4019,0xf0000fff,0xa87fffff,0x00ffffff,0xffffff00,0x7fffffc7,
    0xfffffedc,0x54000eff,0x00ffffff,0xffffff00,0x7fffff47,0x7fec0000,
    0x3ffe05ff,0x54ffffff,0x07ffffff,0x27ffffc0,0x7ffffc40,0x3fffea03,
    0xff0000ff,0xff87ffff,0xfff04fff,0x7ffd49ff,0xf0000fff,0x407fffff,
    0x05fffff8,0x00ffffff,0x7fffff88,0xfff98000,0x0001ffff,0xffffff30,
    0xfff1003f,0x3fe00bff,0x54007fff,0x004fffff,0x54bffff1,0xfc82ffff,
    0x0003ffff,0x3ffffe00,0x80001cff,0x04fffffc,0x3fffee00,0x7fffe44f,
    0x3ee0004f,0x3fe4ffff,0xfe987fff,0x002fffff,0x13fffff2,0xffffb800,
    0x3ffffa4f,0x7ec0000f,0x3fe04fff,0x44ffffff,0x0ffffffd,0x9fffff00,
    0xfffff100,0x7fffe407,0x3ee0004f,0x7fc4ffff,0xfff04fff,0x7ffe49ff,
    0x2e0004ff,0x204fffff,0x05fffff8,0x00ffffff,0x6fffffa8,0x7ffc4000,
    0x0002ffff,0xffffff10,0x3fe2005f,0xff005fff,0xa800ffff,0x004fffff,
    0x54bffff1,0xfb82ffff,0x8003ffff,0x7fec02c9,0xdfffffff,0xffe8000b,
    0x20002fff,0x45fffff9,0x02fffffe,0x3fffe600,0x3ffffe5f,0x3ffffa07,
    0xffd003ff,0x40005fff,0x25fffff9,0x00fffffe,0x7ffff400,0x3ffffe04,
    0xfff984ff,0xff006fff,0xf1009fff,0x7407ffff,0x002fffff,0x3ffffe60,
    0x27ffffc5,0x24fffff8,0x02fffffe,0x3fffe600,0x3ffe205f,0xffff05ff,
    0x7ec400ff,0x0005ffff,0x7ffffff4,0x3fa00004,0x004fffff,0x17ffffe2,
    0x3fffffc0,0x3fffea00,0xfff1004f,0x7fffd4bf,0xfffff982,0xfffc8006,
    0x7ff440ad,0xffffffff,0xff001cef,0x0003ffff,0x3fffffc4,0x07fffffe,
    0xffff8800,0x3ffffe7f,0x3fffe207,0xff802fff,0x0001ffff,0x9fffffe2,
    0x00fffffe,0x7fffec00,0x3ffffe04,0x3fff204f,0xff803fff,0xf8804fff,
    0x3e03ffff,0x001fffff,0x3ffffe20,0x27ffffc7,0x24fffff8,0x01ffffff,
    0x3fffe200,0x3ffe207f,0xffff05ff,0xfd5300ff,0x003fffff,0x7ffffec0,
    0x3600005f,0x05ffffff,0x7ffffc40,0xfffff005,0xdddddddf,0xfffddddd,
    0x3e2009ff,0x3fea5fff,0xfff882ff,0x7c002fff,0x982fffff,0xffffffff,
    0x3effffff,0x7fffffc0,0x7ffc0000,0x3ffe0fff,0x40000fff,0xf0ffffff,
    0xa80fffff,0x0fffffff,0x7fffffc0,0x7ffc0000,0xfffd0fff,0xc80001ff,
    0x3e05ffff,0x4407ffff,0x0fffffff,0x27ffffc0,0x7ffffc40,0x3ffffe03,
    0x7fc0000f,0x3fe0ffff,0xfff04fff,0x7fffc9ff,0x7c0000ff,0x100fffff,
    0x20bfffff,0xffffffff,0xffffffff,0x04ffffff,0x3fffee00,0x00000eff,
    0xdffffff7,0xfff88001,0xfff005ff,0xffffffff,0xffffffff,0x2009ffff,
    0x2a5ffff8,0xf902ffff,0x400dffff,0x07fffffb,0x3fffffa6,0xffffffff,
    0xffff105f,0xfd0000ff,0x3e23ffff,0x0007ffff,0x1fffffe8,0x00ffffff,
    0xbffffff9,0x7ffffc40,0xffe80007,0xfffd1fff,0xc80001ff,0x3e06ffff,
    0xb807ffff,0x05ffffff,0x027ffffc,0x1fffffc4,0x7fffff88,0xfffe8000,
    0x3fffe1ff,0xfffff04f,0x3ffffe29,0xffe80007,0xff101fff,0x3fe0bfff,
    0xffffffff,0xffffffff,0x0000dfff,0xfffffff5,0x3ea00003,0x01ffffff,
    0xfffff880,0xfffff005,0xffffffff,0xffffffff,0x3e2009ff,0x3fea5fff,
    0xfff102ff,0xf3009fff,0x009fffff,0xfffffff7,0xdfffffff,0xfffff881,
    0xffe80007,0xfff12fff,0xd0000fff,0x3e5fffff,0x8807ffff,0x2ffffffe,
    0xffffff10,0xfffd0000,0x3fffa5ff,0x5c0000ff,0x3e06ffff,0xd007ffff,
    0x05ffffff,0x027ffffc,0x1fffffc4,0x7fffff88,0xfffe8000,0x3fffe2ff,
    0xfffff04f,0x3ffffe29,0xffe80007,0xff102fff,0x3fe0bfff,0xffffffff,
    0xffffffff,0x220003ff,0x2fffffff,0xfff10000,0x0005ffff,0x17ffffe2,
    0x7fffffc0,0xffffffff,0xffffffff,0xfff1004f,0x7fffd4bf,0x3fffee02,
    0xff701eff,0x001fffff,0x7ffffe4c,0xefffffff,0x7fffffc0,0x7ffc0000,
    0x3ffe1fff,0x40000fff,0xf1ffffff,0x200fffff,0xfffffff9,0xffffff00,
    0xfff80001,0xfffd1fff,0xa80001ff,0x3e07ffff,0x3007ffff,0x1fffffff,
    0x13ffffe0,0x3ffffe20,0x3ffffe03,0x7fc0000f,0x3fe1ffff,0xfff04fff,
    0x7fffc9ff,0x7c0000ff,0x101fffff,0x20bfffff,0xffffffff,0xffffffff,
    0x20000adf,0xffffffe8,0xfd100004,0x009fffff,0x7ffffc40,0xfffff005,
    0xffffffff,0xffffffff,0x3e2009ff,0x3fea5fff,0x7ff402ff,0xcdffffff,
    0xfffffffe,0x2e60004f,0xfffffffd,0x7fff44ff,0x220001ff,0x747fffff,
    0x001fffff,0x3ffffe20,0x1fffffe7,0xfffffc80,0xffffd05f,0x7c40003f,
    0x3fa7ffff,0xffffffff,0xffffffff,0xffff16ff,0x3fffe01f,0x3ff6007f,
    0xff05ffff,0xf1009fff,0x7407ffff,0x001fffff,0x3ffffe20,0x27ffffc7,
    0x24fffff8,0x01fffffe,0x3fffe200,0x3ffe207f,0xffff05ff,0xfffdb9ff,
    0x001dffff,0xfffffb00,0x6c0000bf,0x05ffffff,0x7fffc400,0xffff005f,
    0x333333ff,0xff733333,0x22009fff,0x3ea5ffff,0x7cc02fff,0xffffffff,
    0xffffffff,0x5400005f,0x7ffffffe,0x17ffffec,0xffff3000,0xffffd8df,
    0x3e60002f,0x3fe6ffff,0x74007fff,0x82ffffff,0x02fffffd,0x3fffe600,
    0x3ffffa6f,0xffffffff,0x6fffffff,0x407ffffa,0x007fffff,0x3fffffe2,
    0xfffff82f,0xffff8804,0x3fff603f,0x260002ff,0x7c6fffff,0xff04ffff,
    0x7fec9fff,0x20002fff,0x06fffff9,0x17ffffe2,0x43fffffc,0xffffffe9,
    0x3fee0002,0x000effff,0xfffff700,0x880001df,0x005fffff,0x00ffffff,
    0x4fffffa8,0xbffff100,0x017fffd4,0x7ffffec4,0xffffffff,0x000005ff,
    0x3fffffee,0x3fffff21,0x3fea0003,0x7fe45fff,0x20003fff,0x25fffffa,
    0x007fffff,0x7fffffcc,0xfffffc86,0x3fea0003,0x3ffa5fff,0xffffffff,
    0xffffffff,0x3ffff26f,0xffffff03,0xffffc800,0x7ffc0fff,0xff8804ff,
    0x3f203fff,0x0003ffff,0x17ffffea,0x209fffff,0x324fffff,0x003fffff,
    0x3ffffea0,0x3fffe205,0xfffff05f,0x7ffff40f,0xfa8003ff,0x00ffffff,
    0xffff5000,0x00001fff,0x0bfffff1,0x1fffffe0,0xfffff500,0x3ffe2009,
    0x3fffea5f,0x3ffee002,0xffffffff,0x3b6603ff,0x74003ffe,0x2e2fffff,
    0x006fffff,0x3fffff60,0x7ffffdc4,0x3ff60006,0x3ffe4fff,0xfc8007ff,
    0x5c4fffff,0x006fffff,0x3fffff60,0x3fffffa4,0xffffffff,0x26ffffff,
    0xf05ffffa,0x000fffff,0x9fffffff,0x04fffff8,0x3fffff88,0x3ffffee0,
    0x3ff60006,0x7ffc4fff,0xffff04ff,0x7fffdc9f,0x3f60006f,0x2204ffff,
    0xf05fffff,0x440fffff,0x2fffffff,0x3fffe600,0x00002fff,0xfffffff3,
    0x3e200005,0xf005ffff,0x800fffff,0x04fffffa,0x4bffff10,0x002ffffa,
    0x7fffee44,0x400bffff,0x05fffff9,0x7ffffe40,0x3ffffe62,0xffa8003f,
    0x7cc2ffff,0x003fffff,0xffffffa8,0x1fffffe2,0x7ffff400,0x3ffe61ff,
    0xa8003fff,0x22ffffff,0xfffffffe,0xffffffff,0x3e26ffff,0xfff07fff,
    0xf5000fff,0x45ffffff,0x804fffff,0x03fffff8,0x3fffffe6,0xfffa8003,
    0x7ffc2fff,0xffff04ff,0x7fffcc9f,0xfa8003ff,0x202fffff,0x05fffff8,
    0x80ffffff,0xfffffffa,0xfffe8800,0x00003fff,0xffffffd1,0x7c400007,
    0xf005ffff,0x800fffff,0x04fffffa,0x4bffff10,0x002ffffa,0x33fff2a0,
    0x7fffc000,0x3f6001ff,0x7ec1ffff,0x000fffff,0x37fffff4,0xffffffd8,
    0x7fff4000,0x5c4006ff,0x80002acc,0x0ffffffd,0x7ffff400,0x9993006f,
    0xff900035,0x710003ff,0x40005599,0x44006ff8,0x403fffff,0x0ffffffd,
    0x7ffff400,0x7fc0006f,0x7fec4fff,0x4000ffff,0x06fffffe,0x2fffffc4,
    0x07fffff8,0xffffffc8,0xffffd805,0x200005ff,0x5ffffffd,0x7fc40000,
    0xff005fff,0xa800ffff,0x004fffff,0x54bffff1,0x0002ffff,0xdffffff5,
    0x7ffec001,0xff5006ff,0xf881ffff,0x01efffff,0xfffffd88,0xffff101f,
    0xb1003dff,0x03ffffff,0xfffff980,0x3e20003f,0x01efffff,0xfffffd88,
    0xfff7001f,0x4c003dff,0x8003ffff,0x3ffffff9,0x05ff9800,0x7ffffcc0,
    0x7fffc402,0xd8801eff,0x01ffffff,0x3fffe200,0x7fffc44f,0xd8801eff,
    0x01ffffff,0x2fffffc4,0x07fffff8,0xfffffe88,0x3fff202f,0x00006fff,
    0x3ffffff2,0xf8800006,0xf005ffff,0x800fffff,0x04fffffa,0x4bffff10,
    0x002ffffa,0xffd75970,0x7fd4009f,0x201effff,0x6ffffffb,0xffffff90,
    0x3fea017f,0x405fffff,0xfffffffc,0xffff500b,0x3000bfff,0x3ffffffd,
    0x7ffe4000,0x500bffff,0xbfffffff,0x7fff5c00,0x3a000fff,0x98005fff,
    0x1ffffffe,0x02ffd400,0x3fffff60,0xffffc802,0xf500bfff,0x0bffffff,
    0xffffb800,0xffffc83f,0xf500bfff,0x0bffffff,0xbfffff10,0x1fffffe0,
    0x7ffffcc0,0xfffa80ff,0x0000ffff,0xffffff50,0x1000001f,0x00bfffff,
    0x01fffffe,0x9fffff50,0x3fffe200,0x0bfffea5,0xfffe8000,0x3fff6000,
    0xccceffff,0xfffffffd,0x3fffa02f,0xcdefffff,0xfffffffe,0xffe800ff,
    0xdeffffff,0xffffffec,0x40000fff,0x004fffd8,0x7fffff40,0xfecdefff,
    0xffffffff,0xfff30000,0x7fdc003f,0x220000ff,0x4004fffd,0xcd807ffc,
    0x1ffffffe,0xfffffd00,0xfd9bdfff,0xffffffff,0xfb990001,0x205fffff,
    0xfffffffe,0xfffecdef,0x00ffffff,0x5fffff88,0x0ffffff0,0x7ffffe40,
    0xffffc85f,0xffffffff,0xffffffff,0xfff92fff,0xffffffff,0xffffffff,
    0xf105ffff,0x200bffff,0x007fffff,0x27ffffd4,0x5ffff880,0x00bfffea,
    0x1fffd800,0x3fffe200,0xffffffff,0x5fffffff,0x7ffffcc0,0xffffffff,
    0x2fffffff,0xfffff300,0xffffffff,0x5fffffff,0x3fee0000,0x7cc0004f,
    0xffffffff,0xffffffff,0x40002fff,0x4002fffd,0x0003fffe,0x0027ffdc,
    0x880bffee,0xffffffff,0xfff3000f,0xffffffff,0xffffffff,0x3fe0005f,
    0x1fffffff,0xffffff30,0xffffffff,0x05ffffff,0x3ffffe20,0xffffff05,
    0xffffe800,0x7ffe42ff,0xffffffff,0xffffffff,0xff92ffff,0xffffffff,
    0xffffffff,0x105fffff,0x00bfffff,0x01fffffe,0x9fffff50,0x3fffe200,
    0x0bfffea5,0x2a233100,0x8007fffc,0xfffffff9,0xffffffff,0xfb1006ff,
    0xffffffff,0xdfffffff,0xffd88001,0xffffffff,0x0effffff,0x98899800,
    0x002ffffb,0xffffd880,0xffffffff,0x000effff,0xf9531331,0xf5000fff,
    0x26600dff,0xffffb988,0x7ffd4002,0xf51dcbef,0x9fffffff,0xfffd8800,
    0xffffffff,0x00efffff,0xfffff100,0xd880bfff,0xffffffff,0xffffffff,
    0x3fe2000e,0xfff05fff,0xf9800fff,0x646fffff,0xffffffff,0xffffffff,
    0x2fffffff,0xfffffff9,0xffffffff,0xffffffff,0xfffff105,0x3fffe00b,
    0x7fd4007f,0xf1004fff,0x7fd4bfff,0x7e4002ff,0xffffffff,0xffb10001,
    0xffffffff,0x0019ffff,0xffffffa8,0xffffffff,0x7fd40003,0xffffffff,
    0x0003ffff,0xfffffff3,0x800009ff,0xfffffffa,0x3fffffff,0x7fffdc00,
    0x002fffff,0x805fffb0,0xfffffff9,0xfd0004ff,0x23ffffff,0xfffffffc,
    0x3fea0006,0xffffffff,0x0003ffff,0x7fffffd4,0xff5000ff,0xffffffff,
    0x0007ffff,0x0bfffff1,0x01fffffe,0x3fffff20,0x3ffff24f,0xffffffff,
    0xffffffff,0xfff92fff,0xffffffff,0xffffffff,0xf105ffff,0x200bffff,
    0x007fffff,0x27ffffd4,0x5ffff880,0x00bfffea,0xffffff90,0x3000019f,
    0xfffffffb,0x00039dff,0x7fff6e44,0x00cdffff,0xfdb91000,0x9bffffff,
    0x7fcc0001,0x02dfffff,0xdb910000,0xbfffffff,0xff700019,0x039fffff,
    0x2fffcc00,0x3ffffe60,0x20002dff,0xffffffe9,0xffffffb1,0xc880003d,
    0xffffffed,0x80000cdf,0xeffffffc,0x76e44001,0xdfffffff,0xff10000c,
    0x3fe0bfff,0xd0007fff,0x23ffffff,0xfffffffc,0xffffffff,0xffffffff,
    0xffffff92,0xffffffff,0xffffffff,0xffff105f,0x3ffe00bf,0x7d4007ff,
    0x2004ffff,0x26209999,0x44000999,0x0019aa99,0x2ea62000,0x00000aaa,
    0x0026aa60,0xaa980000,0x4c000009,0x0009aaaa,0xaa980000,0x98800009,
    0x0009aaaa,0x01999700,0x09aaaa98,0x332a0000,0x6654c40a,0x2000002b,
    0x00009aa9,0xaccba880,0x2a600000,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26660000,
    0x09999809,0x33331000,0x00333310,0x33333100,0x26200001,0x99988199,
    0x26600001,0x00001999,0x0026600c,0x00000000,0x4ccccc00,0x00000001,
    0x00666666,0x00000000,0x0cccccc0,0x00000000,0x33333300,0x00000000,
    0x99998800,0x00000009,0x09999988,0x4c018000,0x26666609,0x0cccc401,
    0x000cccc4,0x0ffffff8,0x1bfff200,0x000dfff9,0x745fffe8,0x40005fff,
    0x0efffff8,0xfff10000,0x7fff449f,0xff500004,0x00009fff,0x5077ffaa,
    0x200007ff,0x7d46ffff,0x00003fff,0x0ffffff2,0x2a000000,0x004fffff,
    0x3ffee000,0x540004ff,0x804fffff,0x7d46ffff,0x00003fff,0x1fffffe4,
    0xfff50000,0x400009ff,0x01fffffe,0x3ffffe20,0x3fe6000f,0x20006fff,
    0x541cffea,0x3fff22ff,0x3fa203ff,0x3ffa24ff,0xffb8004f,0xe8001fff,
    0xfff74fff,0xf980003f,0xfff92fff,0xfc80001f,0x0000efff,0x8ffffcc0,
    0x0006fffd,0x17ffffa0,0x7ffe4000,0xffcdffff,0xff00002f,0xfffa8dff,
    0x6400003f,0x0006ffff,0xfffe8000,0x2000005f,0xfffffff8,0x3ffa0002,
    0xfff005ff,0xffffa8df,0x3e200003,0x0003ffff,0x3ffffe20,0xa80002ff,
    0x001fffff,0x7fffffec,0x7ffcc005,0xfd8002ff,0xcdffffff,0x7fe41fff,
    0x7fcc06ff,0xdfffb1ff,0x3fffa000,0xff30001f,0x7ffff9ff,0x3fee0000,
    0x2ffffcff,0x7ffc4000,0x000000ff,0xff9ffff9,0x200003ff,0x005ffff9,
    0xfffff100,0xffffffff,0x3fe00001,0x7ffd46ff,0xd800003f,0x0002ffff,
    0x3ffea000,0x4000005f,0xfffffffe,0xffa8000f,0x3fe005ff,0x7ffd46ff,
    0x2e00003f,0x0004ffff,0x7fffff40,0x40000fff,0x001ffffe,0x7fffffdc,
    0x7d4002ff,0x44005fff,0xffffffff,0xd80fffff,0x6402ffff,0xfffcffff,
    0xffa8001f,0x5c0002ff,0x6fffffff,0x7fec0000,0x004fffff,0x1ffffb80,
    0x7f400000,0x03ffffff,0x3fff6000,0xf300000e,0xffd953bf,0x00007fff,
    0x2a37fffc,0x0003ffff,0x0dfffb00,0x7ec00000,0x000006ff,0x747fffe4,
    0xd8005fff,0x7c006fff,0x7fd46fff,0x200003ff,0x0005ffff,0x47fffdc0,
    0x0005fffe,0x00bfffe6,0x95ffff30,0x8001ffff,0x001ffffa,0x36a77fe6,
    0x03ffffff,0x201bfff6,0xfffffffe,0xfffd0003,0x3fa00005,0x000fffff,
    0x7fffc400,0xd00006ff,0x00003fff,0xfffff300,0x4c0000bf,0x0000efff,
    0x2607ba60,0x00000cec,0x26277774,0x0002eeee,0x07fffa00,0x3e600000,
    0x00000eff,0x47fffe60,0x002ffff9,0x003bffe6,0x98bdddb0,0x0002eeee,
    0x00bfff50,0xffff9800,0x05ffff31,0x0ffff600,0x97fffa00,0x8005fffd,
    0x2005fffb,0xeca81ffa,0x7ff4400c,0x7ffc401f,0x50006fff,0x00007fff,
    0x16666644,0xeea80000,0x80001eee,0x0002eee9,0x3bbaa000,0x200000ee,
    0x0000deeb,0x00000000,0x00000000,0x2776c400,0x75c00000,0x000000de,
    0x2a1f776c,0x7000deee,0x00001bdd,0xc8000000,0x800005ee,0x7543eeed,
    0x44000dee,0xa8003eee,0x3620deee,0xb8002eee,0x00000eee,0x3bb62000,
    0xeeeea803,0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd9510000,0x0359bdfd,0xd9510000,0x0359bdfd,0x00000000,0x00000000,
    0x00000000,0x55550000,0xaa980055,0x00000aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0x00035555,0x55555530,0x2aaaa000,
    0xaaa8002a,0x555550aa,0x55555555,0x80013555,0xaaaaaaaa,0xaaaaaaaa,
    0x0aaaaaaa,0x00555555,0x01555550,0xfffff910,0x9fffffff,0xff910000,
    0xffffffff,0x000009ff,0x05555553,0x55300000,0x00005555,0x55555300,
    0x2aa20005,0xfff02aaa,0xfb800dff,0x2aa3ffff,0x0002aaaa,0x15555553,
    0x55555554,0xaaaaaaaa,0x22aaaaaa,0x00199998,0x55554400,0x2aaaa02a,
    0xaaaaaaaa,0xaaaaaaaa,0x2aaa202a,0xaa8802aa,0x2aaa2aaa,0xaaaaaaaa,
    0x40009aaa,0x004fffff,0xfffffe80,0xfff8000f,0x22003fff,0xff3fffff,
    0xffffffff,0xffffffff,0xff88019d,0xffffffff,0xffffffff,0xff1fffff,
    0x4007ffff,0x03fffff8,0x7fffff4c,0xffffffff,0xd30001ef,0xffffffff,
    0x3dffffff,0x7ff40000,0x0000ffff,0x7ffff400,0x000000ff,0x7ffffff4,
    0xfff88000,0xffff05ff,0xffb800df,0x3fee3fff,0x8003ffff,0x46fffffe,
    0xffffffff,0xffffffff,0x3a6fffff,0x000fffff,0x3fffe200,0x3fffe05f,
    0xffffffff,0xffffffff,0x3ffe206f,0xff8805ff,0x3ffe5fff,0xffffffff,
    0x03efffff,0x09fffff0,0xffff9800,0xf8004fff,0x00ffffff,0x7fffff10,
    0x3ffffffe,0xffffffff,0x02ffffff,0x3fffffe2,0xffffffff,0xffffffff,
    0xffffff1f,0x3fe2001f,0x3f203fff,0xffffffff,0xffffffff,0x7fe4004f,
    0xffffffff,0xffffffff,0xff980004,0x004fffff,0x3ffe6000,0x0004ffff,
    0x3fffe600,0x88004fff,0xf05fffff,0x800dffff,0x43fffffb,0x0ffffffe,
    0x3fffee00,0x7fffc1ff,0xffffffff,0xffffffff,0x3ffffa6f,0x2200000f,
    0x205fffff,0xffffffff,0xffffffff,0x206fffff,0x05fffff8,0x5fffff88,
    0x3ffffffe,0xffffffff,0x7c02ffff,0x0004ffff,0x7fffffe4,0xfff8007f,
    0x1004ffff,0x3e7fffff,0xffffffff,0xffffffff,0x101fffff,0xffffffff,
    0xffffffff,0x3fffffff,0x3ffffffe,0xffff1004,0x3fff207f,0xffffffff,
    0xffffffff,0xfff9005f,0xffffffff,0xffffffff,0xfc8000bf,0x07ffffff,
    0x3ff20000,0x007fffff,0x3fff2000,0x8007ffff,0x05fffff8,0x00dfffff,
    0x3fffffb8,0x7fffffcc,0xffff1004,0xffff09ff,0xffffffff,0xffffffff,
    0x7ffff4df,0x2200000f,0x205fffff,0xffffffff,0xffffffff,0x206fffff,
    0x05fffff8,0x5fffff88,0x3ffffffe,0xffffffff,0x203fffff,0x004fffff,
    0x3ffffe20,0x4002ffff,0xffffffff,0xffff8801,0xffffff3f,0xffffffff,
    0xffffffff,0x3fffe20f,0xffffffff,0xffffffff,0xffff1fff,0x1003ffff,
    0x307fffff,0xdfffffff,0xfd953359,0x05ffffff,0xffffff98,0xca99acef,
    0xfffffffe,0xfff10002,0x05ffffff,0xfff10000,0x05ffffff,0xfff10000,
    0x05ffffff,0xfffff880,0xdfffff05,0xffffb800,0xffffc83f,0xffc801ff,
    0xff80ffff,0xffffffff,0xffffffff,0x3ffa6fff,0x00000fff,0x17ffffe2,
    0xfffffff8,0xffffffff,0x06ffffff,0x17ffffe2,0x3ffffe20,0x3fffffe5,
    0xffffffff,0x1fffffff,0x09fffff0,0x7fffdc00,0x005fffff,0x7ffffffc,
    0xfff8806f,0xfffff3ff,0x9999999f,0xfffffd99,0x333205ff,0xffdccccc,
    0xccccefff,0xfff0cccc,0x00dfffff,0x07fffff1,0xbffffffd,0xfffff700,
    0xfffe80df,0xfb805fff,0x006fffff,0xffffff70,0x0000bfff,0xffffff70,
    0x0000bfff,0xffffff70,0x8800bfff,0xf05fffff,0x800dffff,0x03fffffb,
    0x0dfffffd,0xffffff98,0xffffff02,0x99999999,0x79999999,0x07fffff4,
    0xfff10000,0x7ffc0bff,0xcccccfff,0xcccccccc,0x3fe203cc,0xf8805fff,
    0x3fe5ffff,0xccccffff,0xffffeccc,0xfff06fff,0x740009ff,0xffffffff,
    0x3fe000ff,0x3fffffff,0x7ffffc40,0x0ffffff3,0x7ffffd40,0xff50006f,
    0x7c009fff,0xffffffff,0x7fffc403,0x7fffe43f,0x3e6002ff,0x903fffff,
    0x05ffffff,0x7ffffcc0,0xffe8003f,0xffffffff,0x7f400000,0xffffffff,
    0x7400000f,0xffffffff,0x3e2000ff,0xff05ffff,0xb800dfff,0x303fffff,
    0x07ffffff,0x2ffffff4,0x0ffffff0,0x7fff4000,0x200000ff,0x05fffff8,
    0x01fffffe,0xfff88000,0xff8805ff,0x3ffe5fff,0xfe9807ff,0xf83fffff,
    0x0004ffff,0xfdfffff3,0x4009ffff,0xffffffff,0x3fe200ff,0xffff3fff,
    0xffc800ff,0x50007fff,0x009fffff,0x7ffffffc,0x3e200fff,0x7fc3ffff,
    0x8005ffff,0x0ffffffb,0x5ffffff8,0xffffb800,0x3e6000ff,0xfffeffff,
    0x200004ff,0xfefffff9,0x0004ffff,0x3ffffe60,0x04fffffe,0x3ffffe20,
    0xdfffff05,0xffffb800,0x3fff203f,0xffa80fff,0x3e00ffff,0x0007ffff,
    0x3fffffa0,0x3e200000,0x3e05ffff,0x0007ffff,0x3fffe200,0xfff8805f,
    0x3fffe5ff,0x3ff2007f,0x7fc0ffff,0x90004fff,0xff3fffff,0x7c00ffff,
    0xffffffff,0x3ffe205f,0xfffff3ff,0xfff9800f,0xa8000fff,0x004fffff,
    0x3ffffffe,0x3e205fff,0x3ea3ffff,0x000fffff,0x7ffffff0,0xffffffa8,
    0xffff0000,0x7e4007ff,0xfff9ffff,0x200007ff,0xf9fffffc,0x0007ffff,
    0x3fffff20,0x07fffff9,0x3ffffe20,0xdfffff05,0xffffb800,0x3ffe203f,
    0x7fc44fff,0x7c03ffff,0x0007ffff,0x3fffffa0,0x3e200000,0x3e05ffff,
    0x0007ffff,0x3fffe200,0xfff8805f,0x3fffe5ff,0x3fa2007f,0x7fc4ffff,
    0xf0004fff,0x3f2bffff,0xf002ffff,0xffffffff,0x3fe205ff,0xffff3fff,
    0xff8800ff,0x50007fff,0x009fffff,0x7ffffffc,0xf102ffff,0x7e47ffff,
    0x0004ffff,0x13ffffee,0x09fffff9,0x7fffdc00,0x3ffe004f,0xffff95ff,
    0x3e00005f,0xff95ffff,0x00005fff,0x657ffffe,0x002fffff,0x0bfffff1,
    0x01bffffe,0x7fffff70,0xfffffa80,0x3ffff21f,0xffff806f,0x3a00007f,
    0x000fffff,0x3fffe200,0x3fffe05f,0x2000007f,0x05fffff8,0x5fffff88,
    0x01fffffe,0xffffff50,0x04fffff8,0xfffffa80,0xbfffff32,0x3ffffe00,
    0x06ffffff,0x27fffff1,0x007fffff,0x37ffffd4,0xffffa800,0x3ffe004f,
    0xffffffff,0xfffff106,0x7fffff47,0x3fe60002,0x7ff45fff,0x20002fff,
    0x05fffff9,0x5fffff50,0x17ffffe6,0x3ffea000,0xffff32ff,0xf50000bf,
    0x3e65ffff,0x1005ffff,0x20bfffff,0x006fffff,0x1fffffdc,0x7ffffec0,
    0xffffff16,0xfffff003,0x7f40000f,0x0000ffff,0x3ffffe20,0x3ffffe05,
    0x22000007,0x805fffff,0x25fffff8,0x007fffff,0x0ffffff8,0x013ffffe,
    0x3fffff60,0x3fffffa0,0xfffff800,0x3fffffec,0x3fffff88,0x00ffffff,
    0x7ffffec4,0xfff50005,0x7fc009ff,0xfffecfff,0xfff883ff,0x3fffe3ff,
    0x220001ff,0x7c7fffff,0x001fffff,0x3ffffe20,0xffffb007,0x7ffff41f,
    0x7ec0000f,0x3fa0ffff,0x0000ffff,0x07ffffec,0x01fffffd,0xbfffff10,
    0x1bffffe0,0xfffff700,0xffff1007,0xffffb5ff,0x3ffe009f,0x200007ff,
    0x00fffffe,0x3ffe2000,0x3ffe05ff,0x000007ff,0x17ffffe2,0x3ffffe20,
    0x1fffffe5,0x3ffff600,0x3ffffe2f,0x7ffc4004,0x7ffdc5ff,0xfff804ff,
    0xffffacff,0x7ffc40ff,0xfffff3ff,0xffd5300f,0x0003ffff,0x13ffffea,
    0xcfffff80,0x0ffffffa,0x1fffffc4,0x01ffffff,0xfffff800,0x3ffffe0f,
    0x7fc0000f,0x4400ffff,0x5c5fffff,0x004fffff,0x3ffffe20,0x7ffffdc5,
    0x3fe20004,0x7fdc5fff,0xf8804fff,0xff05ffff,0xb800dfff,0x003fffff,
    0xfffffff7,0x400dffff,0xffffffff,0xffffffff,0x7f45ffff,0x0000ffff,
    0x3ffffe20,0x3ffffe05,0xffffffff,0x5fffffff,0x7ffffc40,0xffff8805,
    0x3ffffe5f,0xfffc8007,0x3fffe3ff,0x7fdc004f,0x7fc42fff,0xff807fff,
    0xfffb4fff,0xfff88bff,0xfffff3ff,0xffffffff,0xffffffff,0x7d40009f,
    0x2004ffff,0xfb4fffff,0xf88bffff,0xff13ffff,0x0000ffff,0x23fffffd,
    0x07fffff8,0xffffe800,0x7ffdc01f,0x7ffc42ff,0x2e0007ff,0x442fffff,
    0x007fffff,0x3ffffee0,0x7ffffc42,0xffff8807,0xfffff05f,0xfffb800d,
    0x3fa003ff,0xffffffff,0x3ffe002f,0xffffffff,0xffffffff,0x7ffff45f,
    0x2200000f,0x205fffff,0xffffffff,0xffffffff,0x4405ffff,0x805fffff,
    0x25fffff8,0x007fffff,0x3fffffb8,0x013ffffe,0x0fffffd0,0x0bfffffa,
    0x29fffff0,0x2ffffff8,0x4fffffe2,0xffffffff,0xffffffff,0x00dfffff,
    0x3fffea00,0x3ffe004f,0xffff14ff,0x7ffc45ff,0xffff13ff,0xfd0000ff,
    0x3e25ffff,0x0007ffff,0x2fffffe8,0x3fffff40,0x2fffffe8,0xffffd000,
    0x3ffffa0f,0xffd0002f,0x3ffa0fff,0x7c402fff,0xff05ffff,0xb800dfff,
    0x003fffff,0x3fffffe6,0x7c005fff,0xffffffff,0xffffffff,0x7ff45fff,
    0x00000fff,0x17ffffe2,0xfffffff8,0xffffffff,0x405fffff,0x05fffff8,
    0x5fffff88,0x01fffffe,0x3ffffee0,0x13ffffe4,0xfffff980,0xfffff704,
    0xfffff80b,0x3ffffee4,0xfffff10f,0x3fffffe7,0xffffffff,0x03ffffff,
    0xffffa800,0x3ffe004f,0x3ffee4ff,0xfff10fff,0x7fffc7ff,0x7c0000ff,
    0x3e1fffff,0x000fffff,0x7fffffc0,0x3fffe601,0xffff704f,0xff3000bf,
    0x3ee09fff,0x8005ffff,0x04fffff9,0x0bfffff7,0x5fffff88,0x0dfffff0,
    0xfffffb80,0x7ffe4003,0x000fffff,0x7ffffffc,0xffffffff,0x745fffff,
    0x000fffff,0x3fffe200,0x3fffe05f,0xffffffff,0xffffffff,0x7fffc405,
    0xfff8805f,0x3fffe5ff,0xffb8007f,0x3ffe4fff,0x3f2004ff,0xf101ffff,
    0x401fffff,0x744fffff,0xf14fffff,0x3fe7ffff,0xffffffff,0xdfffffff,
    0xf500000a,0x4009ffff,0x744fffff,0xf14fffff,0x7f47ffff,0x0001ffff,
    0x1fffffe2,0x03fffffd,0x7fffc400,0x7ffe407f,0xfff101ff,0xc8001fff,
    0x101fffff,0x01ffffff,0xfffffc80,0xfffff101,0x7ffc401f,0xffff05ff,
    0xffb800df,0x44002fff,0x3fffffff,0xfffff800,0xffffffff,0x5fffffff,
    0x07fffff4,0xfff10000,0x7ffc0bff,0xffffffff,0xffffffff,0x7ffc405f,
    0xff8805ff,0x3ffe5fff,0xfb8007ff,0x3fe3ffff,0xf1004fff,0xd80dffff,
    0x204fffff,0x4c4fffff,0x89ffffff,0xff3fffff,0xfdb9ffff,0x1dffffff,
    0xffa80000,0x3e004fff,0x7cc4ffff,0xf89fffff,0x3f63ffff,0x0002ffff,
    0x1bffffe6,0x05fffffb,0x7fffcc00,0x3ffe206f,0x7fec06ff,0x22004fff,
    0x406fffff,0x04fffffd,0x3ffffe20,0x7fffec06,0x3ffe204f,0xffff05ff,
    0xffb800ff,0xa8002fff,0x006fffff,0x0ffffff0,0x7fff4000,0x200000ff,
    0x05fffff8,0x01fffffe,0xfff88000,0xff8805ff,0x3ffe5fff,0xfc8007ff,
    0x3fe2ffff,0xf7004fff,0x999dffff,0xfffb9999,0x7ffc0fff,0xfffc84ff,
    0xffff8eff,0xffffff3f,0xfffffd30,0x5400005f,0x004fffff,0x213ffffe,
    0x8efffffc,0x323fffff,0x003fffff,0x3ffffea0,0x7ffffe45,0x3fea0003,
    0x3ee05fff,0xccceffff,0xfffdcccc,0x3ee007ff,0xccceffff,0xfffdcccc,
    0x3ee007ff,0xccceffff,0xfffdcccc,0x3fe207ff,0xfff05fff,0xfb800fff,
    0x8002ffff,0x04fffff9,0xffffff00,0x7ff40000,0x00000fff,0x17ffffe2,
    0x07fffff8,0x3fe20000,0xf8805fff,0x3fe5ffff,0xc8007fff,0x3e1fffff,
    0xd004ffff,0xffffffff,0xffffffff,0x3e05ffff,0xf884ffff,0xffbfffff,
    0xffff3fff,0x7fff40ff,0x00003fff,0x09fffff5,0x27ffffc0,0x7fffffc4,
    0x23fffffb,0x06fffffb,0x3ffff600,0x7fffdc4f,0x3f60006f,0x3a04ffff,
    0xffffffff,0xffffffff,0xd002ffff,0xffffffff,0xffffffff,0x2005ffff,
    0xfffffffe,0xffffffff,0x102fffff,0x20bfffff,0x007ffffe,0x17ffffe4,
    0x7fffcc00,0xfff0004f,0x40000fff,0x00fffffe,0x3ffe2000,0x3ffe05ff,
    0x000007ff,0x17ffffe2,0x3ffffe20,0x1fffffe5,0x3ffffa00,0x3ffffe0f,
    0xffff9804,0xffffffff,0xffffffff,0xfffff05f,0x3fffea09,0x3fffffff,
    0x40ffffff,0xfffffff8,0xffa80002,0x3e004fff,0xf504ffff,0xffffffff,
    0x7ffcc7ff,0xa8003fff,0x42ffffff,0x3ffffff9,0xffffa800,0xfff302ff,
    0xffffffff,0xffffffff,0xff300bff,0xffffffff,0xffffffff,0xf300bfff,
    0xffffffff,0xffffffff,0x220bffff,0xb05fffff,0x003fffff,0x0fffffec,
    0x7fffcc00,0xfff0004f,0x40000fff,0x00fffffe,0x3ffe2000,0x3ffe05ff,
    0x000007ff,0x17ffffe2,0x3ffffe20,0x1fffffe5,0x3ffffe00,0x27ffffc7,
    0x7ffffe40,0xffffffff,0xffffffff,0xfffff80f,0x3ffffa04,0xf3ffffff,
    0xa80fffff,0x0fffffff,0x7ffd4000,0x3fe004ff,0x3fa04fff,0xffffffff,
    0x7fffec3f,0x7f4000ff,0xfb06ffff,0x001fffff,0x6fffffe8,0x3fffff20,
    0xffffffff,0xffffffff,0x7ffe400f,0xffffffff,0xffffffff,0x7e400fff,
    0xffffffff,0xffffffff,0x880fffff,0x905fffff,0x00bfffff,0x3fffffe2,
    0xfff98000,0xff0004ff,0x0000ffff,0x07fffff4,0xfff10000,0x7ffc0bff,
    0x000007ff,0x17ffffe2,0x3ffffe20,0x1fffffe5,0xfffff700,0x4fffff8d,
    0xffffff80,0xffffffff,0xffffffff,0xfffff84f,0x3fffe604,0xf3ffffff,
    0x900fffff,0x0bffffff,0xffffa800,0x3ffe004f,0x3fe604ff,0xffffffff,
    0x7ffffc43,0xfd8801ef,0x101fffff,0x3dffffff,0xffffb100,0x7ffc03ff,
    0xffffffff,0xffffffff,0x7c04ffff,0xffffffff,0xffffffff,0x04ffffff,
    0x7ffffffc,0xffffffff,0xffffffff,0xfffff884,0xfffff705,0xfffb005f,
    0x26000fff,0x004fffff,0x0ffffff0,0x7fff4000,0x200000ff,0x05fffff8,
    0x01fffffe,0xfff88000,0xff8805ff,0x3ffe5fff,0x3e2007ff,0x7c3fffff,
    0x5404ffff,0xaadfffff,0xaaaaaaaa,0x7fffffca,0x04fffff8,0x7fffffe4,
    0xffff3fff,0xffd100ff,0x0005ffff,0x27ffffd4,0x9fffff00,0xfffffc80,
    0xfc83ffff,0x0bffffff,0xffffff50,0xfffc80bf,0x500bffff,0xbfffffff,
    0x7ffffd40,0xaaaaaaad,0xfffcaaaa,0x3fea07ff,0xaaaadfff,0xcaaaaaaa,
    0x207fffff,0xadfffffa,0xaaaaaaaa,0xfffffcaa,0xfffff887,0xfffff105,
    0x3f2205ff,0x003fffff,0x9fffff30,0x3fffe000,0x3a00007f,0x000fffff,
    0x3fffe200,0x3fffe05f,0x2000007f,0x05fffff8,0x5fffff88,0x01fffffe,
    0x7ffffec4,0x4fffff87,0x7ffffec0,0xffff8001,0x7fffc2ff,0xfffe804f,
    0xff3fffff,0x2600ffff,0x0fffffff,0xffff5000,0x7ffc009f,0xffe804ff,
    0x03ffffff,0xfffffffd,0xfffd9bdf,0x01ffffff,0xffffffd0,0xffd9bdff,
    0x1fffffff,0x7ffffec0,0xffff8001,0xfffb02ff,0xff0003ff,0x3605ffff,
    0x001fffff,0x2ffffff8,0x2fffffc4,0xffffff90,0xffd99bdf,0x00ffffff,
    0x7ffffcc0,0xffff0004,0x740000ff,0x000fffff,0x3fffe200,0x3fffe05f,
    0x2000007f,0x05fffff8,0x5fffff88,0x01fffffe,0xffffff73,0xfffff07f,
    0x7fffc409,0xff90007f,0xfff8bfff,0xffa804ff,0xf3ffffff,0x400fffff,
    0x5ffffffc,0xffff5000,0x7ffc009f,0xffa804ff,0x03ffffff,0xfffffff3,
    0xffffffff,0x005fffff,0x3fffffe6,0xffffffff,0x02ffffff,0x1fffffe2,
    0x7fffe400,0xffff885f,0xff90007f,0xff10bfff,0x2000ffff,0x45fffffc,
    0x05fffff8,0x3fffffe2,0xffffffff,0x003fffff,0x3ffffe60,0xffff0004,
    0xffffffff,0xffffffff,0x3fffa5ff,0xffffffff,0xffffffff,0xfffff886,
    0x3ffffe05,0xffffffff,0xffffffff,0xffff102f,0xfff100bf,0x7fffcbff,
    0xffffffff,0xffffffff,0xfffff06f,0x7fffdc09,0xff30004f,0x7fc1ffff,
    0xfb004fff,0x27ffffff,0x007fffff,0x7ffffff4,0xfffa8002,0x3fe004ff,
    0xfb004fff,0x07ffffff,0x7ffffec4,0xffffffff,0x4000efff,0xffffffd8,
    0xffffffff,0x7dc00eff,0x0004ffff,0x1ffffff3,0x4fffffb8,0xffff3000,
    0xfffb81ff,0xf30004ff,0x441fffff,0x405fffff,0xffffffe9,0xffffffff,
    0x4c0005ff,0x004fffff,0xfffffff0,0xffffffff,0x5fffffff,0x3ffffffa,
    0xffffffff,0x886fffff,0x205fffff,0xffffffff,0xffffffff,0x02ffffff,
    0x0bfffff1,0xbfffff10,0x7ffffffc,0xffffffff,0x00ffffff,0x409fffff,
    0x01fffffe,0x3ffffa00,0x3ffffe4f,0xffff1004,0x3ffe7fff,0x7cc007ff,
    0x006fffff,0x4fffffa8,0x3ffffe00,0xffff1004,0xf5007fff,0xffffffff,
    0x007fffff,0xfffffa80,0xffffffff,0xfffd003f,0x740003ff,0x744fffff,
    0x001fffff,0x3fffffa0,0x7fffff44,0x3ffa0001,0x3fe24fff,0xd8805fff,
    0xffffffff,0x02ffffff,0xffff9800,0xfff0004f,0xffffffff,0xffffffff,
    0x3ffa5fff,0xffffffff,0xffffffff,0xffff886f,0x3fffe05f,0xffffffff,
    0xffffffff,0xfff102ff,0xff100bff,0x7ffcbfff,0xffffffff,0xffffffff,
    0x3fffe00c,0xffff304f,0xfb8000df,0x3fe7ffff,0x2e004fff,0xf3ffffff,
    0x000fffff,0x9ffffff9,0xffffa800,0x3ffe004f,0x3ee004ff,0x003fffff,
    0xffffdb91,0x0019bfff,0x3fb72200,0xcdffffff,0xffff3000,0xfb8000df,
    0x3e67ffff,0x0006ffff,0x3fffffdc,0x0dfffff3,0xffffb800,0x3fffe27f,
    0x3f6a005f,0xffffffff,0x300000cf,0x009fffff,0x3fffffe0,0xffffffff,
    0xffffffff,0xffffffd2,0xffffffff,0x10dfffff,0x40bfffff,0xffffffff,
    0xffffffff,0x02ffffff,0x0bfffff1,0xbfffff10,0x7ffffffc,0xffffffff,
    0xff801dff,0xffb04fff,0x80007fff,0x2ffffff8,0x009fffff,0x3fffffe8,
    0x00ffffff,0x3fffffa0,0x3fea001f,0x3e004fff,0x4004ffff,0x03fffffe,
    0x026aa600,0xa9800000,0xfb00009a,0x0007ffff,0xffffff88,0x7fffffb2,
    0xfff88000,0xfffb2fff,0x880007ff,0x12ffffff,0x00bfffff,0x2aaaaa60,
    0x9800000a,0x004fffff,0xfffffff0,0xffffffff,0x5fffffff,0x3ffffffa,
    0xffffffff,0x886fffff,0x205fffff,0xffffffff,0xffffffff,0x02ffffff,
    0x0bfffff1,0xbfffff10,0x7ffffffc,0xdeffffff,0x0000001c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26666620,0x99998000,0x00999980,
    0x50000000,0x276c03dd,0x27fcc000,0x0001ffb0,0x03555550,0x00000000,
    0x44010000,0x66640019,0xdd5002cc,0xdddddddd,0xb80005dd,0xeeeeeeee,
    0x0001eeee,0x00000000,0x00b3332e,0x03ffa800,0x80001ffa,0x00004ee8,
    0x00988022,0x00000000,0x3bbbb200,0xeeeeeeee,0x3bbbb200,0xeeeeeeee,
    0x3ffa0000,0x7fc0002f,0x8000efff,0x7ec6fffd,0x2a0006ff,0x004fffff,
    0x2a0bff30,0xf00004ff,0xdff101ff,0x3ffe0000,0x300003ff,0xfc87ffff,
    0x00001fff,0x839fff91,0x3e000ffc,0x7004ffff,0xffffffff,0x0007ffff,
    0xffffffc8,0x02ffffff,0x1bfffe00,0x007ffff5,0x7ffff400,0x3e200005,
    0x0bff506f,0x2ffc4000,0x7fed4000,0x17fe20ad,0x4c7fffe8,0x3a04ffff,
    0x7fcc7fff,0x3ff604ff,0xffffffff,0x3ff600ff,0xffffffff,0xf10001ff,
    0x40001fff,0x00fffffb,0x9fffd100,0x007fffee,0x7ffffc40,0xff0002ff,
    0x3fae237f,0xf900002f,0xfd7117df,0x3e00009f,0x0003ffff,0x87ffff30,
    0x001ffffc,0xfffffd00,0x1fff99df,0x7ffffc00,0xffff7004,0xffffffff,
    0xffc80007,0xffffffff,0x3e0002ff,0x7fd46fff,0x200003ff,0x005ffffe,
    0x56fff400,0x02ffeb98,0xffdb9800,0xa8000acf,0xdfffffff,0x3a04ffec,
    0x7fcc7fff,0x3ffa04ff,0x7fffcc7f,0x3ffff604,0xffffffff,0x3ffff600,
    0xffffffff,0xfff50001,0xffe8000d,0x4c0001ff,0xfffbffff,0x3fa0003f,
    0x0fffffff,0xffffa800,0x005fffff,0x3fffe200,0x006fffff,0x3ffffe00,
    0xff300003,0xfffc87ff,0xfa80001f,0xffffffff,0x7c006fff,0x5004ffff,
    0xdddddddd,0x0005dddd,0xeeeeeeb8,0x01eeeeee,0x1bfffe00,0x007ffff5,
    0x7ffff400,0x7cc00005,0xffffffff,0x7f440005,0xffffffff,0x7fff4003,
    0xffffffff,0x3fffa01f,0x27fffcc7,0x98ffffd0,0x3204ffff,0xeeeeeeee,
    0x3200eeee,0xeeeeeeee,0x0000eeee,0x0009fff9,0x00ffffd4,0xffffc800,
    0x20005fff,0xfe9ffffb,0xf90005ff,0x1dffffff,0xfe980000,0x01efffff,
    0x3fffe000,0xf300003f,0xffc87fff,0xb80001ff,0xffdb9cff,0x4001ffff,
    0x004fffff,0x00000000,0x3e000000,0x7fd46fff,0x200003ff,0x005ffffe,
    0xffffa800,0x0000dfff,0x3fffffea,0x0effffff,0x953dff00,0x0bfffffd,
    0x4c7fffe8,0x3a04ffff,0x7fcc7fff,0x000004ff,0x00000000,0x0005fffd,
    0x0017fff4,0x3ffffa00,0xf30000ff,0x3fe65fff,0xb30003ff,0x0005bffd,
    0xdeedb800,0xee800003,0x00002eee,0xb85dddd3,0x0000eeee,0xda80eeb8,
    0xddb0003d,0x000007dd,0x00000000,0x7776c000,0x177774c5,0x99970000,
    0x20000059,0x02ceedb8,0x7fffcc00,0xffffffff,0xee8805ff,0x01cdb983,
    0x4c5eeed8,0x3603eeee,0x774c5eee,0x000003ee,0x80000000,0x000ffff8,
    0x007ddd10,0xdddd1000,0x76c0005d,0x777543ee,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77654400,0x001acdef,0x02aaaaa8,
    0x555554c0,0x00000000,0x00000000,0x20000000,0xfefffffe,0xffffffff,
    0x00000002,0x00000000,0x55554400,0x2aaaa02a,0xaaaaaaaa,0xaaaaaaaa,
    0xfff9802a,0x00000007,0x00000000,0x00000000,0x97100000,0x579bdfdd,
    0x00000000,0x2aaa6000,0x000002aa,0x2aaaaa98,0x55551000,0xff910055,
    0xffffffff,0x7fc009ff,0x5c006fff,0x2a3fffff,0x002aaaaa,0x55555530,
    0xaaaaaa81,0xaaaaaaaa,0x1aaaaaaa,0x55553000,0x7cc00055,0xff8bffff,
    0x5ffffe9d,0x01555554,0x05555540,0x15555544,0x55555550,0x55555555,
    0x05555555,0x17ffffe2,0xfffffff8,0xffffffff,0x06ffffff,0x405fffb8,
    0xaaaaaaaa,0xaaaaaaaa,0x542aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x5542aaaa,
    0x80001aaa,0xaaaaaaaa,0xaaaaaaaa,0x002aaaaa,0x3fffffae,0x3effffff,
    0xaaaaaa80,0xaaaaaaaa,0x2aaaaaaa,0xffffd000,0x000001ff,0xffffffe8,
    0xfff88000,0x7f4c05ff,0xffffffff,0x01efffff,0x06fffff8,0x7ffffdc0,
    0x3ffffee3,0xffe8003f,0xffe86fff,0xffffffff,0xffffffff,0xfd0005ff,
    0x001fffff,0x57fffee0,0xfff55ff8,0xfffff8ff,0x3fe2003f,0xff883fff,
    0x3fe05fff,0xffffffff,0xffffffff,0xff106fff,0x7fc0bfff,0xffffffff,
    0xffffffff,0xfd806fff,0x7ffc03ff,0xffffffff,0xffffffff,0x7fffc6ff,
    0xffffffff,0xffffffff,0x7ffffc6f,0xfff80004,0xffffffff,0xffffffff,
    0xfd8806ff,0xffffffff,0x2fffffff,0x3fffffe0,0xffffffff,0x6fffffff,
    0xffff9800,0x00004fff,0x3ffffe60,0xf88004ff,0x3205ffff,0xffffffff,
    0xffffffff,0x7ffc04ff,0x7dc006ff,0x7f43ffff,0x000fffff,0x3fffffee,
    0xfffffe81,0xffffffff,0x5fffffff,0xffff9800,0x90004fff,0x3e25ffff,
    0x06af365f,0x1fffffff,0x3fffe200,0xffff883f,0x3fffe05f,0xffffffff,
    0xffffffff,0xffff106f,0x7fffc0bf,0xffffffff,0xffffffff,0xffff806f,
    0x7ffffc01,0xffffffff,0xffffffff,0x7fffffc6,0xffffffff,0x6fffffff,
    0x027ffffc,0x7ffffc00,0xffffffff,0xffffffff,0x7fffd406,0xffffffff,
    0x1fffffff,0xfffffff0,0xffffffff,0x0dffffff,0xfffff900,0x00000fff,
    0x7fffffe4,0xff88007f,0xff905fff,0xffffffff,0xffffffff,0x7ffc0bff,
    0x7dc006ff,0x7cc3ffff,0x004fffff,0x9ffffff1,0x3fffffa0,0xffffffff,
    0x5fffffff,0xffffc800,0xb0007fff,0x3e25ffff,0x3ffe005f,0x1004ffff,
    0x107fffff,0x40bfffff,0xffffffff,0xffffffff,0x106fffff,0x40bfffff,
    0xffffffff,0xffffffff,0x406fffff,0xf807fff9,0xffffffff,0xffffffff,
    0x7fc6ffff,0xffffffff,0xffffffff,0x7ffc6fff,0xf80004ff,0xffffffff,
    0xffffffff,0x2606ffff,0xffffffff,0xffffffff,0xf81fffff,0xffffffff,
    0xffffffff,0x4006ffff,0xfffffff8,0x800002ff,0xfffffff8,0x7c4002ff,
    0xf985ffff,0xceffffff,0xffeca99a,0xf02fffff,0x800dffff,0x83fffffb,
    0x1ffffffc,0xfffffc80,0xffffd00f,0xffffffff,0xffffffff,0xfff8800b,
    0x02ffffff,0x5ffffc80,0x7c00bff1,0x1fffffff,0xfffff880,0xfffff883,
    0x3ffffe05,0xffffffff,0xffffffff,0xfffff106,0x7ffffc0b,0xcccccccf,
    0xcccccccc,0x2fffdc03,0x7fffffc0,0xffffffff,0x6fffffff,0x7ffffffc,
    0xffffffff,0x46ffffff,0x004fffff,0xffffff80,0xffffffff,0x6fffffff,
    0xfffffd10,0x533579ff,0xfffffffb,0xffffff0d,0xffffffff,0xdfffffff,
    0xffffb800,0x005fffff,0xffffb800,0x005fffff,0x2fffffc4,0x7ffffff4,
    0xffffb805,0xffff06ff,0xffb800df,0xffd03fff,0xf980dfff,0x202fffff,
    0xcccccccb,0xffdccccc,0x003fffff,0x7fffffdc,0xb8005fff,0xf8bfffff,
    0x3ffe005f,0x806fffff,0x83fffff8,0x05fffff8,0x33fffffe,0xcccccccc,
    0x03cccccc,0x0bfffff1,0x03fffffc,0x3ff60000,0xffff803f,0xccccccff,
    0xcccccccc,0x7ffffc3c,0xcccccccf,0xcccccccc,0x27ffffc3,0x7fffc000,
    0xccccccff,0xcccccccc,0xffffb03c,0xe9801dff,0x41ffffff,0xccffffff,
    0xcccccccc,0x003ccccc,0x7ffffff4,0x0000ffff,0x7fffff40,0x000fffff,
    0x17ffffe2,0x5ffffff9,0x7fffcc00,0xffff83ff,0x7fdc006f,0xff303fff,
    0x7407ffff,0x005fffff,0xffffe800,0xfe8004ff,0xffffffff,0x7fcc000f,
    0x5ffeffff,0x3ffffe00,0x4403ffff,0x883fffff,0x205fffff,0x007fffff,
    0xffff1000,0x7fffc0bf,0x4000007f,0xf801ffff,0x0007ffff,0x3fffffc0,
    0x3ffe0000,0xf80004ff,0x0007ffff,0xfffff980,0x3fa2004f,0x7fc4ffff,
    0x00007fff,0x3fffe600,0x4fffffef,0x3fe60000,0xffffefff,0x3fe2004f,
    0x7ffc5fff,0xb8005fff,0x40ffffff,0x006fffff,0x1fffffdc,0xffffff90,
    0xfffff501,0xd800001f,0x06ffffff,0xfffff980,0x04fffffe,0xfffffd80,
    0xf001efff,0xffffffff,0x7ffc401f,0xfff883ff,0x3ffe05ff,0x000007ff,
    0x0bfffff1,0x03fffffc,0xfff30000,0x3fffe00f,0x7c00007f,0x0007ffff,
    0x27ffffc0,0x7fffc000,0xc800007f,0x006fffff,0x5fffffa8,0x03fffffc,
    0xff900000,0xffff3fff,0x640000ff,0xff9fffff,0x22007fff,0x2a5fffff,
    0x00ffffff,0xffffff00,0x6fffff87,0x7fffdc00,0x3ffe203f,0x7fc44fff,
    0x0003ffff,0x7ffffdc0,0xfc8000ff,0xfff9ffff,0xf88007ff,0xffffffff,
    0x3fe00bef,0xffffffff,0x3fffe205,0xffff883f,0x3fffe05f,0x1000007f,
    0x40bfffff,0x007fffff,0x3ffee000,0xfffff005,0xff80000f,0x00007fff,
    0x227ffffc,0x00abddb9,0x01fffffe,0xffff1000,0x360005ff,0xffff01ac,
    0x000000ff,0xcafffffc,0x002fffff,0xbfffff00,0x0bfffff2,0x7ffffc40,
    0x3fffff25,0x3fee0004,0x7ffc4fff,0x7dc006ff,0x5403ffff,0x21ffffff,
    0x06fffffc,0x7ffcc000,0x0001ffff,0x32bfffff,0x002fffff,0xffffff98,
    0x03ffffff,0xffffffff,0x3e205fff,0xf883ffff,0x3e05ffff,0x0007ffff,
    0xfffff100,0x7ffffc0b,0x36000007,0xff003fff,0x0000ffff,0x07fffff8,
    0x7fffc000,0xffffd34f,0x3fe05fff,0x00007fff,0x2fffffd4,0x3fe00000,
    0x00007fff,0xfffff500,0x3ffffe65,0xffa80005,0xfff32fff,0x3e200bff,
    0x3fa5ffff,0x0002ffff,0x17ffffe6,0x00dfffff,0x3fffffb8,0xfffffd80,
    0xffffff16,0x7c400003,0x02ffffff,0xfffff500,0x3ffffe65,0xffd10005,
    0xffffffff,0xffff81bf,0x6fffffff,0x7fffff10,0xbfffff10,0x3fffffc0,
    0xff880000,0x3fe05fff,0x00007fff,0x007fffe0,0x03fffffc,0x3fffe000,
    0x7c00007f,0xffacffff,0xffffffff,0x7fffff84,0x7fe40000,0x00004fff,
    0x3fffffc0,0xfd800000,0x3fa0ffff,0x0000ffff,0x07ffffec,0x01fffffd,
    0xbfffff10,0x0ffffffc,0xffff1000,0xfffff8ff,0x7ffdc006,0xff8803ff,
    0xffdaffff,0x00004fff,0x7ffffff4,0x3ff60004,0x3ffa0fff,0x20000fff,
    0xffffffc9,0x7fc5ffff,0xfffecfff,0xfff883ff,0xfff883ff,0x3ffe05ff,
    0x000007ff,0x0bfffff1,0x7ffffffc,0xffffffff,0x205fffff,0x2007fff8,
    0x007fffff,0x7ffffc00,0x7fc00007,0xffffefff,0xffffffff,0x3fffffc2,
    0x3ff60000,0x00002fff,0x3fffffc0,0x7c400000,0x7dc5ffff,0x0004ffff,
    0x17ffffe2,0x09fffff7,0xbfffff10,0x07fffffc,0x3fffe000,0x3fffe0ff,
    0x7fdc006f,0xf7003fff,0xffffffff,0x80000dff,0x5ffffffd,0x3ffe2000,
    0x7ffdc5ff,0x980004ff,0xffffffff,0x3fffe1ff,0xfffffacf,0x7fffc40f,
    0xffff883f,0x3fffe05f,0xffffffff,0xffffffff,0x3fffe205,0x3fffe05f,
    0xffffffff,0xffffffff,0x1bffea05,0xffffff80,0xffffffff,0x85ffffff,
    0xffffffff,0xffffffff,0xff85ffff,0xdfffffff,0xffffffec,0x7fffffc5,
    0xffffffff,0x85ffffff,0x01fffffe,0x7ffc0000,0xffffffff,0xffffffff,
    0xfff7005f,0xfff885ff,0x2e0007ff,0x442fffff,0x807fffff,0x15fffff8,
    0x00ffffff,0xfffffd00,0x37ffffc3,0x3fffee00,0x3ffa003f,0xffffffff,
    0x3ee00002,0x00efffff,0x3fffee00,0x7fffc42f,0xf880007f,0xfffffbdf,
    0x3ffffe4f,0xbfffffb4,0x3fffff88,0x5fffff88,0x3fffffe0,0xffffffff,
    0x05ffffff,0x17ffffe2,0xfffffff8,0xffffffff,0x205fffff,0x2004fffc,
    0xffffffff,0xffffffff,0xff85ffff,0xffffffff,0xffffffff,0xffff85ff,
    0xffa83fff,0x3fe0ffff,0xffffffff,0xffffffff,0xffff85ff,0x774c00ff,
    0xeeeeeeee,0x3fffe2ee,0xffffffff,0xffffffff,0xffffd005,0x3ffffa0f,
    0xffd0002f,0x3ffa0fff,0x7c402fff,0xff15ffff,0x0000ffff,0x45fffffd,
    0x006fffff,0x1fffffdc,0xfffff300,0x000bffff,0x7ffffd40,0x740001ff,
    0xfd07ffff,0x0005ffff,0xfd15ff88,0x7ffcdfff,0xffff14ff,0x7ffc45ff,
    0xfff883ff,0x3ffe05ff,0xffffffff,0xffffffff,0x3ffe205f,0x3ffe05ff,
    0xffffffff,0xffffffff,0x3fffa05f,0x3fffe002,0xffffffff,0xffffffff,
    0xffffff85,0xffffffff,0x85ffffff,0x04ffffff,0x87fffff2,0xffffffff,
    0xffffffff,0xff85ffff,0x4c00ffff,0xffffffff,0x3fe3ffff,0xffffffff,
    0xffffffff,0xff9805ff,0xff704fff,0x3000bfff,0x209fffff,0x05fffffb,
    0x2fffffc4,0x01ffffff,0xfffff800,0x3ffffe1f,0x7ffdc006,0x7e4003ff,
    0x0fffffff,0xfff10000,0x0005ffff,0x4fffff98,0xbfffff70,0x5ff88000,
    0xf9ffffea,0x3ee4ffff,0xf10fffff,0xf107ffff,0x7c0bffff,0xffffffff,
    0xffffffff,0x3e205fff,0x3e05ffff,0xffffffff,0xffffffff,0xff105fff,
    0x7fc001ff,0xffffffff,0xffffffff,0xffff85ff,0xffffffff,0xffffffff,
    0x7fffff85,0x7ffffd40,0x3fffffe2,0xffffffff,0x85ffffff,0x01fffffe,
    0x7fffffcc,0x23ffffff,0xffffffff,0xffffffff,0xc805ffff,0x101fffff,
    0x01ffffff,0xfffffc80,0xfffff101,0x7ffc401f,0x3fffa5ff,0x220001ff,
    0x7c7fffff,0x4006ffff,0x02fffffb,0x7ffffc40,0x100003ff,0x9ffffffd,
    0xfff90000,0x3fe203ff,0x2200ffff,0x3e24dcba,0x3ffffc5f,0xe89fffff,
    0xf14fffff,0xf107ffff,0x7c0bffff,0xffffffff,0xffffffff,0x3e205fff,
    0x3e05ffff,0x0007ffff,0x06fffa80,0x7fffffc0,0xffffffff,0x85ffffff,
    0xffffffff,0xffffffff,0xff85ffff,0x7d406fff,0x3fe2ffff,0xffffffff,
    0xffffffff,0xfffd85ff,0x7fcc02ff,0xffffffff,0x3fffe3ff,0xffffffff,
    0xffffffff,0x7fffc405,0x7ffec06f,0x3e2004ff,0x6c06ffff,0x204fffff,
    0x25fffff8,0x02fffffd,0x3fffe600,0x7ffffc6f,0x7ffdc007,0xfa8002ff,
    0x0006ffff,0x3fffff60,0xf880005f,0x6c06ffff,0x204fffff,0x11fffffa,
    0x7ffc4bff,0x3ffffe6f,0x7ffffcc4,0xfffff89f,0xfffff883,0x3ffffe05,
    0xf1000007,0x7c0bffff,0x0007ffff,0x04fffc80,0x3fffffc0,0x3ffe0000,
    0x400007ff,0x405fffff,0x22fffff9,0x007fffff,0x7fffec00,0x7ffcc03f,
    0xffffffff,0x3ffffe3f,0x2e000007,0xccefffff,0xffdccccc,0x2e007fff,
    0xccefffff,0xffdccccc,0x3e207fff,0x3f25ffff,0x0003ffff,0x17ffffea,
    0x00ffffff,0x2fffffb8,0xffff9800,0xf700004f,0x01dfffff,0xffff7000,
    0x999999df,0xffffffb9,0x7ffffc40,0x7d4bff14,0x3ffe5fff,0xfffc84ff,
    0xffff8eff,0xffff883f,0x3fffe05f,0x1000007f,0x40bfffff,0x007fffff,
    0x2fffe800,0x7ffffc00,0x7fc00007,0x00007fff,0x027ffffc,0x8bffffe6,
    0x007fffff,0x7fffdc00,0x9999805f,0xfffffc99,0x1fffffe3,0xffe80000,
    0xffffffff,0xffffffff,0xffd002ff,0xffffffff,0xffffffff,0x3fe205ff,
    0x3fee5fff,0x20006fff,0x44fffffd,0x007ffffe,0x17ffffe4,0x7fffcc00,
    0xfa80004f,0x00ffffff,0xffffd000,0xffffffff,0xffffffff,0x7ffff405,
    0xd15ff8bf,0x7fc7ffff,0xff884fff,0xfffbffff,0xfff883ff,0x3ffe05ff,
    0x000007ff,0x0bfffff1,0x03fffffc,0x3ffe2000,0x7ffc000f,0x400007ff,
    0x007fffff,0x7ffffc00,0x7fffcc04,0x3ffffe2f,0x7c400007,0x001fffff,
    0x7fffff70,0x03fffffc,0xfff98000,0xffffffff,0xffffffff,0xff9805ff,
    0xffffffff,0xffffffff,0xff105fff,0x7fccbfff,0x8003ffff,0x2ffffffa,
    0x0fffffec,0xfffffb00,0xfff30003,0x980009ff,0x2fffffff,0xfff30000,
    0xffffffff,0xffffffff,0x7fd40bff,0xdffdffff,0x46fffffb,0x504fffff,
    0xffffffff,0xff107fff,0x7fc0bfff,0x00007fff,0xbfffff10,0x3fffffc0,
    0x3fea0000,0xfff8006f,0x400007ff,0x007fffff,0x7ffffc00,0x7fffcc04,
    0x3ffffe2f,0xfe800007,0x0005ffff,0x47fffff7,0x007fffff,0xffff9000,
    0xffffffff,0xffffffff,0xffc801ff,0xffffffff,0xffffffff,0xf880ffff,
    0x7ec5ffff,0x000fffff,0x37fffff4,0x2fffffe4,0xfffff880,0xff98000f,
    0x20004fff,0xffffffe8,0x3f200003,0xffffffff,0xffffffff,0x200fffff,
    0xfffffffd,0xffffffff,0x27ffffc2,0xffffffd0,0xf107ffff,0x7c0bffff,
    0x0007ffff,0xfffff100,0x7ffffc0b,0x7e400007,0xff8004ff,0x00007fff,
    0x03fffffc,0x3fffe000,0x7ffcc04f,0x3fffe2ff,0xb800007f,0x01ffffff,
    0xfffffb80,0x1fffffe3,0x7ffc0000,0xffffffff,0xffffffff,0x7c04ffff,
    0xffffffff,0xffffffff,0x84ffffff,0x45fffff8,0xeffffff8,0xfffd8801,
    0xffb81fff,0xd802ffff,0x007fffff,0x9fffff30,0x7ffec000,0x00005fff,
    0x7ffffffc,0xffffffff,0xffffffff,0x3fffe204,0xffffffff,0xffff84ff,
    0x3ffe604f,0x3fffffff,0x5fffff88,0x1fffffe0,0x7fc40000,0x3fe05fff,
    0x00007fff,0x0017fff4,0x03fffffc,0x3fffe000,0x7c00007f,0x4c04ffff,
    0x3e2fffff,0x0007ffff,0xffffe880,0x3ee002ff,0x3e3fffff,0x0007ffff,
    0xfffffa80,0xaaaaaaad,0xfffcaaaa,0x3fea07ff,0xaaaadfff,0xcaaaaaaa,
    0x887fffff,0xc85fffff,0xbfffffff,0xfffff500,0x3fe20bff,0x102fffff,
    0x7ffffff9,0x3ffe6000,0xf90004ff,0x00dfffff,0xffffa800,0xaaaaaadf,
    0xffcaaaaa,0x6c407fff,0xffffffff,0xfff02fff,0xffc809ff,0x3fffffff,
    0x5fffff88,0x1fffffe0,0x7fc40000,0x3fe05fff,0x00007fff,0x00066664,
    0x03fffffc,0x3fffe000,0x7c00007f,0x4c04ffff,0x3e2fffff,0x0007ffff,
    0xfffff300,0x2a201bff,0xffffffff,0x1fffffe3,0x3ff60000,0xf8001fff,
    0xb02fffff,0x003fffff,0x5ffffff0,0x5fffff88,0xffffffd0,0xffd9bdff,
    0x1fffffff,0x7ffffe40,0xfeccdeff,0x07ffffff,0x3fffe600,0xffa8004f,
    0x000fffff,0x7fffec00,0xfff8001f,0xeb802fff,0xbeffffff,0x3ffffe00,
    0xffffe804,0xf883ffff,0x3e05ffff,0x0007ffff,0xfffff100,0x7ffffc0b,
    0xffffffff,0xffffffff,0x7c00002f,0x0007ffff,0x3fffffc0,0x3ffe0000,
    0x7fcc04ff,0x3ffe2fff,0x000007ff,0x3ffffff2,0xffdcdfff,0xffffffff,
    0x3ffffe3f,0x7c400007,0x0007ffff,0x0bfffff9,0x0ffffff1,0x3ffff200,
    0x7fffc45f,0xffff305f,0xffffffff,0xffffffff,0xffff8805,0xffffffff,
    0x3fffffff,0x3ffe6000,0xfc8004ff,0xffffffff,0xffffffff,0x22ffffff,
    0x07fffff8,0xfffff900,0x7fdc400b,0xffff000e,0xfff5009f,0x107fffff,
    0x40bfffff,0xffffffff,0xffffffff,0x82ffffff,0x05fffff8,0x3ffffffe,
    0xffffffff,0x2fffffff,0x7ffc0000,0xffffffff,0xffffffff,0x3ffe2fff,
    0xffffffff,0xffffffff,0x3ffe2fff,0x7fcc04ff,0x3ffe2fff,0xffffffff,
    0xffffffff,0x3f602fff,0xffffffff,0xffffffff,0x3e0dffff,0xffffffff,
    0xffffffff,0x2e2fffff,0x004fffff,0xffffff30,0xfffffb81,0xfff30004,
    0x7fc41fff,0x36205fff,0xffffffff,0xffffffff,0xffd3000e,0xffffffff,
    0x0bffffff,0xffff9800,0xffc8004f,0xffffffff,0xffffffff,0x2e2fffff,
    0x004fffff,0xffffff30,0x2ffc4001,0x9fffff00,0x3ffff600,0xff883fff,
    0x3fe05fff,0xffffffff,0xffffffff,0xf882ffff,0x3e05ffff,0xffffffff,
    0xffffffff,0x002fffff,0x7ffffc00,0xffffffff,0xffffffff,0x3ffffe2f,
    0xffffffff,0xffffffff,0x3ffffe2f,0x7fffcc04,0x3ffffe2f,0xffffffff,
    0xffffffff,0x7ffdc02f,0xffffffff,0xffffffff,0xffffff83,0xffffffff,
    0xffffffff,0x3fffffa2,0x3ffa0001,0x7ff44fff,0x20001fff,0x24fffffe,
    0x05fffff8,0xffffffa8,0xffffffff,0xffd88003,0xffffffff,0x0002ffff,
    0x4fffff98,0xffffc800,0xffffffff,0xffffffff,0x3ffa2fff,0x20001fff,
    0x04fffffe,0x8017fe20,0x004fffff,0xfffffff1,0xfffff107,0x7ffffc0b,
    0xffffffff,0xffffffff,0xffff882f,0x3fffe05f,0xffffffff,0xffffffff,
    0x400002ff,0xffffffff,0xffffffff,0x22ffffff,0xffffffff,0xffffffff,
    0x22ffffff,0x404fffff,0x22fffff9,0xffffffff,0xffffffff,0x02ffffff,
    0xfffffe98,0xffffffff,0x3ffe03ff,0xffffffff,0xffffffff,0xfff32fff,
    0xb8000dff,0x267fffff,0x006fffff,0x7ffffdc0,0x3ffffe27,0xfdb91005,
    0x9bffffff,0xfda80001,0xffffffff,0x300000cf,0x009fffff,0xffffff90,
    0xffffffff,0xffffffff,0x3fffe65f,0x7dc0006f,0x2007ffff,0x3e005ff8,
    0x2004ffff,0x3ffffffb,0x5fffff88,0x3fffffe0,0xffffffff,0xffffffff,
    0xfffff882,0x3ffffe05,0xffffffff,0xffffffff,0x7c00002f,0xffffffff,
    0xffffffff,0x3e2fffff,0xffffffff,0xffffffff,0x3e2fffff,0x4c04ffff,
    0x3e2fffff,0xffffffff,0xffffffff,0x002fffff,0x3fffff26,0x01bcefff,
    0xfffffff8,0xffffffff,0x2fffffff,0x07fffffb,0xffff8800,0xffffb2ff,
    0xf880007f,0xf12fffff,0x000bffff,0x0004d54c,0x55553000,0x00000155,
    0x09fffff3,0xfffff900,0xffffffff,0xffffffff,0x3fff65ff,0x440003ff,
    0x02ffffff,0xf8002660,0x4004ffff,0x83fffffe,0x05fffff8,0x3ffffffe,
    0xffffffff,0x2fffffff,0x00000000,0x7c000000,0xffffffff,0xffffffff,
    0x3e2fffff,0xffffffff,0xffffffff,0x3e2fffff,0x4c04ffff,0x3e2fffff,
    0xffffffff,0xffffffff,0x002fffff,0x03555310,0x3ffffe00,0xffffffff,
    0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0c000000,0x76c00000,
    0xeeeeeeee,0x00000eee,0x01cc0000,0xfedba980,0x80001acd,0x00cdfeca,
    0x037ffc40,0x05f5c400,0x6f65c400,0x3aa0001c,0x0000004e,0xb8800000,
    0x2a0000be,0x360005ee,0x000001ee,0x5eea8000,0x07bb6000,0x00000000,
    0x00000000,0x7fffffc0,0x2aaaa201,0x2aa0002a,0x3fe02aaa,0x807ff206,
    0x222aaaaa,0x002aaaaa,0x00bffeb8,0xfffd0000,0xffffffff,0x9800001f,
    0xbceeedba,0x04ff980a,0x3ffffee0,0x4fffffff,0xfffd8800,0x2003ffff,
    0x0002fffc,0x17ffffd4,0xfffff500,0x3a0009ff,0x200001ff,0xefffedc9,
    0x5400002c,0x002fffff,0x007fff98,0x000bff70,0x8effffd8,0x02fffff8,
    0x003fffcc,0x0005ffb8,0x53ffffe2,0x00fffffb,0xffedc980,0x00002cef,
    0x3ffffea0,0x7fffc401,0x3f60005f,0xfb00ffff,0x0fff103f,0x26ffffe8,
    0x06fffff9,0x7ff7fdc0,0xfd000004,0xffffffff,0x00001fff,0x3fffffee,
    0x0bffffff,0x809fffd1,0xffffffe9,0xffffffff,0x3ff6001e,0x2fffffff,
    0x06fff880,0xcadfd800,0x3ffe006f,0x03ffffff,0x0027fdc0,0x7fff5c40,
    0xffffffff,0xfe80001c,0x4005fdac,0x007fffea,0x001fff88,0x3ffffe60,
    0x09ffff90,0x07fffea8,0x01fff880,0x3fffee00,0x07ffffa5,0xfffeb880,
    0xffffffff,0x7400001c,0x8802ffff,0x005fffff,0x3fffff60,0x37dff700,
    0x80bffd73,0x266ffffe,0x006fffff,0x0ff997f4,0xeed80000,0xeeeeeeee,
    0x440000ee,0xfffffffe,0xffffffff,0x00ffffeb,0x3fffffee,0xffffffff,
    0xa804ffff,0xfeacffff,0xffd806ff,0x7c40002f,0x5c00ff47,0xffa8bfff,
    0x3fe2006f,0x74c0000f,0xffffffff,0x4fffffff,0xf1be6000,0xffd5003f,
    0x9000ffff,0xc80009ff,0xff11ffff,0x7f540bff,0x8007ffff,0x40004ffc,
    0xf50effff,0x4c007fff,0xfffffffe,0xffffffff,0xff500004,0x3e2005ff,
    0x0005ffff,0x03fffff6,0xffffffd8,0x7f400fff,0x3fe66fff,0x26006fff,
    0x0017ec6f,0x00000000,0x7ffffdc0,0xffffffff,0xffffffff,0x3fff201f,
    0xffffffff,0xffffffff,0x7ffec05f,0x0bfffe24,0x006fff88,0x7f47f980,
    0x46edb801,0x32007ffe,0x5c0003ff,0x19cfffff,0x3fffae62,0xf98000ef,
    0x2200ff46,0x7fffffff,0x07ffc400,0xffff1000,0x077ffdc5,0xffffff88,
    0x7fc4007f,0x3ee0000f,0x3ffa0fff,0x3fee004f,0x221acfff,0xeffffeb9,
    0x7ff40000,0x3fe2003f,0x20005fff,0x00fffffd,0x3fffff62,0xffe801ef,
    0x3ffe66ff,0x7fc006ff,0x0001ff10,0x00000000,0xffffffc8,0xffffffff,
    0xffffffff,0x3fffe601,0x99acffff,0xfffffeca,0x3ffa02ff,0x1ffff42f,
    0x005fffb0,0x3273f600,0x2e60006f,0xf3005fff,0xfd8000df,0x26002eff,
    0x001ffffc,0x6fc9cfe8,0xeaeff880,0x7ec007ff,0x7e40003f,0x7fffc3ff,
    0x2bbfe200,0x6c007ffe,0x740003ff,0x3fea1fff,0x3ff6005f,0x366002ef,
    0x0001ffff,0x8007fff3,0x05fffff8,0x3ffff600,0xedca800f,0x3ffa003c,
    0x3ffe66ff,0x7e4006ff,0x0006ffdf,0xaaaa9800,0xf980002a,0xceffffff,
    0xffeba89a,0x404fffff,0xdffffffe,0x7fffe400,0xfff00eff,0x4fffd83f,
    0x00dfff30,0x7fffd400,0xff70002f,0x7ec00bff,0x3ee0002f,0x50000dff,
    0x8001dfff,0x02fffffa,0x3ffa1d88,0x1bfe6007,0x9fff1000,0x401fffb8,
    0x1fffa1d8,0x006ff980,0x217ffd40,0x7000effd,0x0001bfff,0x003bffea,
    0x3e200000,0x0005ffff,0x03fffff6,0x26200000,0x3fe60999,0x74006fff,
    0x00ffffff,0x7ff40000,0x0000ffff,0x7ffffff4,0xffffa804,0xff500fff,
    0x4005ffff,0x4ffffff9,0x41ffff88,0xfb05fffd,0x800005ff,0x0000ceb8,
    0x013ffff6,0x00037fd4,0x0009fff3,0x00bfff10,0x0017d910,0x003fff40,
    0x00005ffd,0xfd000000,0x7ff400ff,0x00000002,0x04fff980,0x7ffcc018,
    0x18000005,0x2fffffc4,0xffffb000,0x0000001f,0xfffff300,0x7ffcc00d,
    0x0004ffff,0x3fffe600,0x20004fff,0x2ffffffa,0xfffff500,0xfff107ff,
    0x9000bfff,0x81ffffff,0x6c1ffff8,0xff985fff,0x0000006f,0x7f66c000,
    0x7f400eff,0xff10001f,0x777764bf,0x301bdeee,0x00005fff,0x3fff4000,
    0x006ffa80,0x00000000,0x2a00fffd,0x000006ff,0xfff88000,0xfffb7105,
    0xfff3019f,0x654c4005,0x7ec1bcde,0x3ffffe22,0x3ff60005,0x54400fff,
    0x001acddb,0xff30b32a,0x6400bfff,0x7fffffff,0x3f200000,0x07ffffff,
    0xfffff100,0x3fe600bf,0x87ffffff,0x0ffffffa,0xffff8800,0xffff83ff,
    0x427fff41,0x8002fffd,0x01aaaaa8,0x05555544,0x03fffb80,0x80017fee,
    0x3f60effb,0xffffffff,0x6ffb80ef,0xddd99500,0xe8001599,0xffd007ff,
    0xa8800003,0x00abdedc,0x00fffd00,0x20007ffa,0x01aaaaa8,0x05555544,
    0x2603bfee,0xffffffff,0x06ffb80f,0xffffff70,0xff95bfff,0x3fffe21f,
    0x3f60005f,0x2e00ffff,0xffffffff,0x4ffd801e,0x27ffffc4,0xfffff880,
    0x0002ffff,0xfffff880,0x8002ffff,0x0ffffffa,0xfffff980,0x5c3fffff,
    0x004fffff,0x3ffffee0,0x43fffe84,0x7cc3ffff,0xf10006ff,0xa807ffff,
    0x221fffff,0x7ffc41a9,0x01fff105,0x217ff400,0xfeeefffd,0xfd06ffff,
    0x7ffe405f,0xffffffff,0x1fffa002,0x0017fee0,0xffffc880,0x00dfffff,
    0x403fff40,0x10005ffb,0x807fffff,0x41fffffa,0xff982ffe,0xffffdeff,
    0x02ffe80f,0x3fffffa2,0xffffffff,0x3ffe22ff,0x360005ff,0x880fffff,
    0xfffffffe,0x7403ffff,0xffff85ff,0xfff7003f,0x0bffffff,0xfff70000,
    0x0bffffff,0xfffff700,0xffff1009,0xbfffff9d,0x2fffffc8,0x3ffe6000,
    0xfffc85ff,0x3ffff50e,0x002fffd8,0x7fffff10,0xfffffa80,0xf51bffe1,
    0x3ff20bff,0x3fe60004,0x884ffd87,0xfb80fffd,0xffffb05f,0xffffffff,
    0x3ffa007f,0x07ffc407,0xfffa8000,0xffffffff,0x3fa002ff,0x7ffc407f,
    0xfff10000,0xffa807ff,0x3fe61fff,0x0effe887,0x5c27ffdc,0xfff305ff,
    0xffffffff,0x887fffff,0x005fffff,0x3fffff60,0x7ffffc40,0xffffffff,
    0x1bffa04f,0x00fffffa,0x7ffffff4,0x0000ffff,0x7fffff40,0x000fffff,
    0x17ffffe4,0x3bfffa20,0x6fffffa8,0x0fffffec,0xffff1000,0xffff10ff,
    0x8bffffdf,0x0006fff9,0x0fffffe2,0x3fffff50,0x5d6fffec,0xf882ffff,
    0x320000ff,0x4ffd83ff,0x105fff10,0xffc81fff,0xffffffff,0x803fffff,
    0x7e407ffe,0xf700004f,0xffffffff,0x09ffffff,0x901fffa0,0x440009ff,
    0x403fffff,0x21fffffa,0xffb83ffc,0x0dffb00f,0xfd01fff1,0xb9bfffff,
    0x7fffffff,0x5fffff88,0x3fff6000,0x7ffec0ff,0xfffcdfff,0xff01ffff,
    0xffffd0ff,0xffff3005,0x9fffffdf,0x7fcc0000,0xffffefff,0x7ff4004f,
    0x7ec01fff,0xfff31fff,0xffff8fff,0x7c0000ff,0xb80fffff,0xffffffff,
    0x17ffec0f,0xffff1000,0xfffa807f,0x3ffe21ff,0x05ffffff,0x80007ffb,
    0xffd81ffe,0x03fff104,0xff887ff6,0xccceffff,0x06ffffff,0x2607ffe8,
    0x80000fff,0xfffffff9,0xffffffef,0xffe802ff,0x03ffe607,0xffff8800,
    0x7ffd403f,0x07ffa1ff,0xa8813ff6,0x907ff600,0x81bfffff,0xffffffc8,
    0x3ffffe20,0x3ff60005,0x3fe60fff,0x7540dfff,0xf885ffff,0xfffd87ff,
    0xfffc801f,0xfffff9ff,0x3f200007,0xfff9ffff,0x7fc007ff,0x3600ffff,
    0x3e21ffff,0xf10fffff,0x000fffff,0x3fffffd0,0x3ffffea0,0x7ffcc0df,
    0x7fc40006,0x7d403fff,0x74c1ffff,0x04ffffff,0x0000dff3,0xffb01fff,
    0x81bff609,0x3ff22ffc,0xfff01fff,0xfe801fff,0x0fff607f,0x7fff4000,
    0x7ec42fff,0x400fffff,0x3f607ffe,0x7c40003f,0x5403ffff,0x3e1fffff,
    0x2ffe80ff,0x17fe4000,0x0bfffff3,0x3fffffa2,0x3fffe24f,0x3f60005f,
    0x3fa0ffff,0xf300ffff,0xf983ffff,0x7fe40fff,0xfff800ff,0xffff95ff,
    0x3e00005f,0xff95ffff,0x22005fff,0x207fffff,0xf82ffffc,0xf11fffff,
    0x000fffff,0x5fffffd0,0x0d65cc40,0x102fffd8,0x7fc40153,0x7d403fff,
    0x7301ffff,0x7f401579,0x2aa9802f,0xffb07ff8,0xfffddddf,0x1ffdc07f,
    0x409fdb73,0x00fffffc,0xf9815554,0x5553006f,0xdfffff30,0x7fffe401,
    0x1555404f,0x2206ff98,0xff1009a9,0xfa807fff,0x3fe1ffff,0x01fff887,
    0x91ffdc00,0x203fffff,0xfffffffd,0xfffff10f,0x7fec000b,0xfff10fff,
    0xffd807ff,0x7ffcc4ff,0x3fffdc1f,0x7ffffd40,0xbfffff32,0xfff50000,
    0x3ffe65ff,0xff1005ff,0x3ee0ffff,0xffd03fff,0x7ffc5fff,0x40000fff,
    0x01ffffff,0x6fff9800,0xfffffe98,0xfffff883,0x7fffd403,0xfa80001f,
    0xfff8805f,0xd837fc45,0xffffffff,0x7fd401df,0x3fe60004,0x80001fff,
    0xf8802ffe,0xfffb85ff,0x7fc402ff,0x80007fff,0xfd982ffe,0x441dffff,
    0x403fffff,0x11fffffa,0xfff30dff,0xffb80003,0x17ffff64,0x7fdfffec,
    0xfff11fff,0x6c000bff,0xf30fffff,0xb805ffff,0x7d45ffff,0x7fd42fff,
    0xfffd807f,0x3fffa0ff,0x6c0000ff,0x3a0fffff,0x000fffff,0x81ffffff,
    0x204ffffa,0x20ffffff,0x01fffffe,0x7ffffc00,0xfd80001f,0x7ffdc2ff,
    0x445fffff,0x403fffff,0x01fffffa,0x01ffe800,0xf85fffe8,0xdfffb07f,
    0x2009ffff,0x98003ffb,0x1fffffeb,0x2ffd4000,0x85fffe80,0x006ffffd,
    0x03fffff9,0x42ffd400,0xfffffff9,0x3ffe21ff,0x7fd403ff,0x1ffe1fff,
    0x000bffe2,0x7fc7ff90,0xffb84fff,0xfffff89f,0xbfffff13,0x7ffec000,
    0xffff50ff,0x999999bf,0x8dffffb9,0x543ffffb,0x7c406fff,0x7dc5ffff,
    0x0004ffff,0x17ffffe2,0x09fffff7,0x3fffffe0,0x17fffe61,0x8ffffff0,
    0x02fffffd,0x3fffe600,0x4c0000ff,0x7fc46fff,0xffffffff,0x3ffffe23,
    0x7fffd403,0x7dc0001f,0xfffd804f,0x80ffe85f,0xff714ffd,0x5ff9009f,
    0xfffd9500,0x03ffffff,0x01fff800,0x85ffffd8,0x005fffff,0x05fffff5,
    0x40fffc00,0xfecefffe,0x3ffe27ff,0x7fd403ff,0x3ffa1fff,0x403fff80,
    0x897fec01,0x543fffff,0x3ffe2fff,0xffff14ff,0x7ec000bf,0xff70ffff,
    0xffffffff,0xffffffff,0x4ffffc8f,0x202fffcc,0x42fffffb,0x07fffff8,
    0x3fffee00,0x7fffc42f,0xfffb007f,0x3ffe67ff,0x7ffcc05f,0x7ffe46ff,
    0x2a0003ff,0x007fffff,0x42fffd80,0xf90efffc,0x7ffc4fff,0x7fd403ff,
    0x20001fff,0x5c00fff8,0xd85fffff,0x4ffd81ff,0x201fffdc,0xdb881ffe,
    0xffffffff,0x001fffff,0x2013fee0,0x45fffffb,0x03fffff9,0x7fffff30,
    0x13fee000,0xfb17ffe6,0x3ffe21ff,0x7fd403ff,0x3ff61fff,0x205ffe81,
    0xffd03efb,0x3ffffe63,0xd13ffe62,0x3e2bffff,0x0005ffff,0x43fffff6,
    0xfffffffc,0xffffffff,0x3f60ffff,0x7fc44fff,0x7fff405f,0xffffd07f,
    0x3fa0005f,0xffd07fff,0xf9005fff,0xfd19ffff,0xfa801dff,0x7dc5ffff,
    0x7406ffff,0xfffffd03,0xff980009,0x2ffff86f,0x447fffe2,0x403fffff,
    0x01fffffb,0x00fff200,0xbffffff5,0xfb0bff90,0x1fffb09f,0x221ffe60,
    0xfffffffe,0xfffffeff,0xfff10001,0xefff9801,0x7ffcc5ff,0xff1003ff,
    0x10009fff,0x99301fff,0x0fffd85d,0x07fffff1,0x1fffffb8,0x3ee13ff2,
    0xfff881ff,0x7c7ff986,0xff34ffff,0xfffff0bf,0x3ffffe29,0x09975315,
    0x0fffffe8,0xfffffff9,0xffffffff,0x7ec1ffff,0xfff85fff,0x3fffe604,
    0xffff704f,0xff3000bf,0x3ee09fff,0xb805ffff,0xfeefffff,0xfd800eff,
    0x7cc4ffff,0x702fffff,0x7fd45dff,0x0002ffff,0x2217ffec,0x7fc1ffff,
    0xffff12ff,0xfffb807f,0xf30001ff,0xfff880ff,0xf885ffea,0x27fec0ff,
    0xc82fffcc,0x7ffcc4ff,0x8abeffff,0x01fffff9,0x807ff900,0xffdafff8,
    0x7ffffcc5,0xffff3004,0xff90007f,0xfff10007,0x7ffffc4f,0x7fffdc03,
    0x03ffe21f,0x222bfffa,0xc82fffea,0x7fff44ff,0x86ffe8df,0x12fffff8,
    0x32bfffff,0x7407ffff,0x3ee7ffff,0x0000ffff,0x86ffffe8,0x3f203fff,
    0xf101ffff,0x001fffff,0x1fffffc8,0xffffff10,0xffff8801,0x01ffffff,
    0xffffff98,0xfffffd82,0xdffffd06,0xdfffffd5,0x7fcc0001,0xffff986f,
    0x89ffff40,0x403fffff,0x01fffffb,0x405ffb00,0xffd3ffe8,0xb0fff60b,
    0x3ff209ff,0x07ffc41f,0x2ffffffa,0xfffff980,0x6ff98001,0xda7ff440,
    0x7ffc45ff,0xff5005ff,0x98003fff,0xe88006ff,0x3fe23fff,0x7dc03fff,
    0x7ec1ffff,0xffff983f,0x84ffffff,0x7ec0fff8,0xeffeefff,0xfffffa80,
    0xbfffff11,0x03ffffee,0x27fffff8,0x02fffff9,0xfffff800,0x100aaa87,
    0x80dfffff,0x04fffffd,0x3ffffe20,0x7fffec06,0xfffc804f,0x001fffff,
    0x0dfffffb,0x3fffffe2,0x3fff620d,0xffffffff,0x7ec0002f,0xfff983ff,
    0xa7fff40f,0x04fffff8,0x0fffffe4,0x037fd400,0xffe97ff6,0x43fff505,
    0xff104ffd,0x45ffd8df,0x05fffff8,0x07ffffea,0x00bff600,0x7fecbffb,
    0xffffff85,0xffffd800,0x7fec000f,0x7ffcc002,0x7fffc45f,0x7ffe404f,
    0x7ffd41ff,0xffffd881,0xffd04fff,0xfffff70b,0x3fa01fff,0x3fe27fff,
    0xfff55fff,0x3fea07ff,0x3fe25fff,0x66c04fff,0x7ffc409a,0xf70007ff,
    0x999dffff,0xfffb9999,0x7dc00fff,0xccceffff,0xfffdcccc,0xff8807ff,
    0x002fffff,0x3ffffff9,0x7ffffe40,0x7fecc1ef,0x5fffffff,0x7ffcc000,
    0x1ffff306,0xf13fffe8,0xe80bffff,0x001fffff,0x3201ffe8,0x3ffa0eff,
    0x43bff605,0x32e02ccb,0x3fff71cc,0x1fffffa8,0x3ffffee0,0x37fd4001,
    0xd83bfee0,0xfffc85ff,0x7fcc04ff,0x54006fff,0x7dc006ff,0x7c40dfff,
    0x7405ffff,0xd81fffff,0xb9500eff,0x3f2039dd,0xfffd01ff,0x3f203fff,
    0x3e23ffff,0xff35ffff,0xe885ffff,0x6c4fffff,0x701fffff,0x44bfffff,
    0x647fffff,0xfe82cccc,0xffffffff,0xffffffff,0xfd002fff,0xffffffff,
    0xffffffff,0xfb005fff,0x03dfffff,0x7fffff44,0x7ffc405f,0xbdffffff,
    0xffffffdc,0x40001fff,0xf103fffd,0xfff83fff,0x3ffffe2f,0xffff900f,
    0xfb8003ff,0x7fffc05f,0xffffffff,0x0efff887,0x7ffdc000,0xfffffb83,
    0xfffff103,0xffe8003f,0x7ffffc01,0x7fffffff,0x3fffffe6,0xffffd102,
    0xffe8005f,0x3fff2001,0x3fffe04f,0xfff900ff,0xff103fff,0xb80001df,
    0x3ea03fff,0x21cfffff,0x6fffffd9,0x2fffffc4,0xdffffffd,0xffffffb9,
    0xffff981f,0x7ffd42ff,0x3fe21fff,0x7ffc7fff,0x7ffcc4ff,0xffffffff,
    0xffffffff,0xff9805ff,0xffffffff,0xffffffff,0xfb805fff,0xdfffffff,
    0xfffecaac,0x800fffff,0xfffffffa,0xffffffff,0x02ffffff,0x1bffe600,
    0x4c7ffff0,0x3f61ffff,0x261effff,0xfffffffc,0x3ffe2001,0x7ffffc00,
    0x7fffffff,0x05ffff30,0xbfffb100,0x3ffffe60,0x7fff4c0e,0x2e001fff,
    0xfff805ff,0xffffffff,0x7fffec7f,0xfb99adff,0x005fffff,0x9002ffdc,
    0xd805ffff,0x21efffff,0xffffffc9,0xffff301f,0xffb10005,0xfffd00bf,
    0xffffffff,0x881fffff,0x265fffff,0xffffffff,0x4fffffff,0xffffffb0,
    0xffffffdf,0xffff88bf,0x7ffffc7f,0x7ffffe44,0xffffffff,0xffffffff,
    0x7ffe400f,0xffffffff,0xffffffff,0x3ea00fff,0xffffffff,0xffffffff,
    0x002fffff,0x3fffff62,0xffffffff,0xefffffff,0xfffd8001,0x7fffdc03,
    0x46fffe9a,0xfffffffb,0xffffffff,0x32001fff,0xfff804ff,0xffffffff,
    0x3ffea07f,0xfc8802df,0x3e205fff,0xcdffffff,0xffffffff,0xfff1002f,
    0xfffff001,0xffffffff,0xffffff88,0xffffffff,0x22000fff,0xf7000fff,
    0x5555bfff,0x7fffdc15,0xffffffff,0x01ffffff,0x0b7fffea,0x3ffff220,
    0xffff9805,0xffffffff,0xf882ffff,0x7e45ffff,0xffffffff,0x200effff,
    0xfffffffd,0x0effffff,0x3fffffc4,0xf13ffffe,0xffffffff,0xffffffff,
    0x09ffffff,0xfffffff8,0xffffffff,0xffffffff,0xfffff304,0xffffffff,
    0xffffffff,0x3ea0001d,0xffffffff,0xffffffff,0x000dffff,0x100dfff3,
    0xffffffff,0xfffb05ff,0xffffffff,0x03fffff3,0x003ffe20,0x00bffd00,
    0x3bffffa2,0xfdcaaabc,0xb803ffff,0xffffffff,0xffffffff,0x9ff9004f,
    0xbffb0000,0x7ffffcc0,0xffffffff,0x7e4001ff,0xfff1004f,0xffffffff,
    0xfffffd83,0xf9ffffff,0x4401ffff,0xccfffffe,0xfffdcbaa,0xff8803ff,
    0xffffffff,0x00dfffff,0x0bfffff1,0xfffffff9,0x001bffff,0xfffffff7,
    0x101dffff,0xf8ffffff,0x3ea4ffff,0xaaadffff,0xaaaaaaaa,0x07fffffc,
    0x37ffffea,0xaaaaaaaa,0xffffcaaa,0xffff987f,0xfffffb8e,0xffffffff,
    0xc880003f,0xffffffed,0xfffdacef,0xb000ffff,0x26007fff,0xffffffff,
    0xffffd104,0x3e1dffff,0xb001ffff,0xd00007ff,0xfc800bff,0xffffffff,
    0x01efffff,0x3fffff60,0xfc8effff,0xf8807fff,0xd80000ff,0x7ec405ff,
    0xffffffff,0x44000dff,0xf5000fff,0xffffffff,0xffe883ff,0x0effffff,
    0x003fffff,0x3ffffff2,0xffffffff,0xdffb001e,0xfffff931,0xf8805dff,
    0xd305ffff,0xbfffffff,0xfeda8005,0x02efffff,0x1fffffe2,0x6c9fffff,
    0x001fffff,0x2ffffff8,0x3fffffb0,0xfffff000,0xefffa85f,0x3fffae20,
    0x0cdfffff,0x2a600000,0xffb819aa,0xf3004fff,0xc8800dff,0x401dfffe,
    0xeffffec8,0x3ffffe0c,0x06ff9801,0x09dd9000,0xfffd7100,0x39ffffff,
    0x3ffaa000,0x3e63efff,0x6c02ffff,0x900003ff,0x2e6009dd,0xdffffffd,
    0x7ffb0002,0x77776400,0x1eeeeeee,0xffffec88,0x3fffe0ce,0x3ae2001f,
    0xffffffff,0x744001cf,0x0aaa980f,0x53000000,0x00001355,0x00135531,
    0x00666666,0x7fffff88,0xffff9000,0xffff10bf,0x3f2000ff,0xf985ffff,
    0x554cc01f,0x00000009,0xfffb1000,0x26662001,0x00040000,0x0000aa88,
    0x00000000,0x65d4c000,0x00009acd,0x00135530,0x00000000,0x15530000,
    0x00000000,0x55440000,0x98000000,0x09acdcba,0x00004000,0x00000000,
    0x00000000,0x7fffdc00,0xff30004f,0xfb81ffff,0x0004ffff,0x1ffffff3,
    0x00000310,0x00000000,0x00000f26,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ff40000,0x20001fff,0x44fffffe,0x01fffffe,
    0x3ffffa00,0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffe600,0x7dc0006f,0x3e67ffff,
    0x0006ffff,0x3fffffdc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07fffffb,0xffff8800,
    0xffffb2ff,0xf880007f,0x002fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8000000,0x7fdc4fff,0x988000ff,0x80aceedb,
    0xaaaaaaaa,0xaaaaaaaa,0x500000aa,0x90035555,0x3fe203ff,0xfff50005,
    0x000001ff,0x1aaaaa88,0x00355553,0x2fffffd8,0x15555530,0x2aaaa600,
    0x6dd4400a,0x88001acd,0x7ec2ffff,0xffd805ff,0x009ff300,0x983fffee,
    0x2002ffff,0xcceedca9,0xff30000b,0x51003fff,0x88035555,0x000aaaaa,
    0x2aaaa200,0x8804c401,0x7dc000aa,0x8002ffff,0xff101ffc,0x2600000b,
    0x006fffff,0x0acb9800,0xffff9800,0x05ffff32,0xfffff500,0x7c3dffff,
    0xffffffff,0xffffffff,0xf880002f,0xa803ffff,0x7ff905ff,0x3ffea000,
    0x000000ff,0x9fffffc4,0x004ffffb,0x0bffffe6,0x4fffffa8,0xdffffd00,
    0xfffffb80,0x4001efff,0xf90ffffb,0xf7001fff,0x0bff609f,0x15fffe80,
    0x200bfffd,0xffffffd9,0x000dffff,0x0fffffcc,0x7ffffc40,0x7fffd403,
    0x81c4001f,0x105ffffa,0x415bfff9,0x26001ffc,0x0fffffff,0x82ffd400,
    0x00003ffc,0x1dffffb0,0x3f620000,0x03ffffff,0x4ffffdc0,0x8004ffff,
    0xfffffffc,0xff2fffff,0xffffffff,0xffffffff,0x55544005,0xfffffbaa,
    0x3fe202ad,0xffca8adf,0xff50000f,0x00001fff,0xfffff880,0x09ffff73,
    0x1ffffe40,0x37ffffc0,0x7ffffcc0,0xffffd103,0x7fffffff,0xefffd800,
    0x002ffffa,0x5159fff3,0x4001fffb,0xfdbffff8,0xfa800fff,0xffffffff,
    0x001fffff,0x07ffffe6,0x3ffffe20,0x7fffd403,0x1bee001f,0x82ffffd4,
    0xfffffffe,0x000fffdd,0x3ffffffa,0x7fc4006f,0xffca8adf,0x8800000f,
    0x000effff,0xfffff300,0x00bfffff,0xffffffd8,0x7f44006f,0xffffffff,
    0xffcfffff,0xffffffff,0xffffffff,0x3ffe6002,0xffffffff,0x7fd405ff,
    0x3fffffff,0x3ffea000,0x000000ff,0x9fffffc4,0x004ffffb,0x009ffff1,
    0x07fffff2,0x3fffff70,0xffffff10,0xffffffff,0x7ffc4009,0x005fffff,
    0x7fffffdc,0xa8002fff,0xffffffff,0xffff9801,0xffffffff,0x3000ffff,
    0x003fffff,0x07fffff1,0x1fffffa8,0x06ffea80,0x30bffff5,0xffffffff,
    0x400dffff,0xff9efffc,0x7d4003ff,0xffffffff,0xf9000003,0x00001fff,
    0x3fffffea,0x06ffffff,0x3ffffe20,0x7dc001ff,0xffffffff,0xffffffff,
    0xffffffff,0xffffffff,0x3fe6002f,0xffffffff,0xfb805fff,0x03ffffff,
    0x7fffd400,0x4000000f,0x73fffff8,0x2009ffff,0x2004fffc,0x04fffff9,
    0x837ffff4,0xdffffffd,0xfffffffc,0x3ffea001,0x8000efff,0xfffffffc,
    0x3ff60003,0xb004ffff,0x357fffff,0xfffffd95,0x3ffe6009,0xff8801ff,
    0x7d403fff,0x6401ffff,0xf506ffff,0xff70bfff,0xfffd7319,0x3e6003df,
    0xfff51fff,0xffb8003f,0x003fffff,0xffff1000,0x7f400003,0xffffffff,
    0x2003ffff,0x04fffffa,0x7ffffc40,0xca99bdff,0xffffffff,0xcccccccf,
    0x01cccccc,0x3ffffe60,0xffffffff,0xbdb91005,0x51000019,0x00015555,
    0xffff8800,0x7ff9933f,0x0bfff100,0xdffffd00,0x7ffffcc0,0xfffff983,
    0x7fff540d,0x7fe4005f,0x20001fff,0x00cdedc9,0x7fff4400,0x3ffe006f,
    0xfff101ff,0x2a200dff,0x8800aaaa,0x403fffff,0x01fffffa,0x837fffec,
    0xa84ffcc9,0x2cb980ee,0x3fffe200,0x037ffe43,0x66f6e440,0x2e000000,
    0x00001fff,0x3bffffe6,0xfffffb9a,0x80000006,0x2ffffffc,0x3ffffe60,
    0x00000fff,0x55555440,0xadfffffb,0x00000002,0x00000000,0x0fffffe2,
    0x00005ff3,0x3fffee00,0xffff701f,0xffffd01f,0x3ffe601f,0x000001ff,
    0x00000000,0xfff10000,0x5ed403ff,0x0000000a,0x07fffff1,0x1fffffa8,
    0x37fffec0,0x000ffe20,0x00000000,0x00000000,0x20000000,0x40fffffd,
    0x02fffffb,0x3e200000,0x801fffff,0xfffffff8,0x00000000,0x07fffff1,
    0x00000000,0x10000000,0xc87fffff,0x000001ff,0x9fffff10,0x17ffffa0,
    0x0fffffe2,0x09ffffb0,0x00000000,0x00000000,0x3fffffe2,0x0000001c,
    0x3fffe200,0x7ffd403f,0x7fec01ff,0x7fd406ff,0x00000002,0x00000000,
    0x00000000,0x7fffcc00,0xfffff03f,0xdb95100b,0x3200157b,0x006fffff,
    0x3ffffff2,0xa8800000,0x3e21bcec,0x2003ffff,0xabdedca8,0x2ea20000,
    0x0001acdd,0x86b3b2a6,0x23fffff8,0x53004ffb,0x00599db9,0x437fffec,
    0x82fffff8,0x02fffff9,0x02ffffdc,0xccedca98,0xd9950002,0x001599dd,
    0x9ddb9530,0xffd00179,0x7bffffff,0xca980001,0x4402cced,0x403fffff,
    0x81fffffa,0xffffeaa8,0x3ea1aaaf,0x2aaaa26f,0x5554401a,0xca9800aa,
    0x4402cced,0x401aaaaa,0x00aaaaa8,0x677665c4,0xbdb7502b,0xff900179,
    0x3f201fff,0x9100ffff,0xffffffff,0xffe801bf,0x22002fff,0x00ffffff,
    0x7ffe4000,0xf88dffff,0x8803ffff,0xfffffffc,0x5c000dff,0xffffffff,
    0x3f62001e,0x15ffffff,0x367fffff,0x74c00fff,0xffffffff,0xfffa803f,
    0x7ffdc1ff,0xffff507f,0x999999bf,0x0dffffb9,0xfffffe98,0x9003ffff,
    0xffffffff,0x26005fff,0xfffffffd,0x2e00dfff,0xffffffff,0x001cefff,
    0x3fffffa6,0xf103ffff,0xa807ffff,0xa81fffff,0xffffffff,0xfff75fff,
    0x7ffffc43,0x7fffd403,0x3ffa601f,0x3fffffff,0x7fffff10,0xfffffa80,
    0xffffb301,0x27ffffff,0xffffffea,0x3f200cff,0x3ea07fff,0xfa81ffff,
    0xffffffff,0x3e02ffff,0x8007ffff,0x00fffffe,0xfffd3000,0x3dffffff,
    0x807fffff,0xfffffffa,0x02ffffff,0xfffffe88,0x03ffffff,0xfffffe98,
    0xff9effff,0x1bf53fff,0xfffffb80,0x6fffffff,0x4fffff80,0x827ffff4,
    0xfffffffb,0xffffffff,0x3ee07fff,0xffffffff,0x7ec06fff,0xffffffff,
    0x5403ffff,0xffffffff,0x01ffffff,0x3ffffff2,0xdfffffff,0x7fffdc01,
    0xffffffff,0xfffff886,0x7fffd403,0xffffa81f,0x5fffffff,0xff883df3,
    0x7d403fff,0xf701ffff,0xffffffff,0xff10dfff,0xfa807fff,0xfa81ffff,
    0xffffffff,0xffffffff,0xffffffff,0xffffb00e,0x7fffcc0d,0x7fffdc2f,
    0xffffffff,0xfff04fff,0xfb000dff,0x0001ffff,0xffffff10,0xffffffff,
    0x5c07ffff,0xffffffff,0x4fffffff,0x3ffffe20,0xffffffff,0x3ffe204f,
    0xffffffff,0x3fffffff,0x3fff6006,0xffffffff,0x7e405fff,0x3fe26fff,
    0xff901fff,0xffffffff,0xffffffff,0xffffb01f,0xffffffff,0x3ff20bff,
    0xffffffff,0x303fffff,0xffffffff,0xffffffff,0x7fffe401,0xffffffff,
    0xfffb02ff,0xffffffff,0xff88bfff,0x7d403fff,0xfa81ffff,0xffffffff,
    0x7c40a5ff,0x5403ffff,0xd81fffff,0xffffffff,0x45ffffff,0x03fffff8,
    0x0fffffd4,0x3fffffe6,0xffffffff,0xffffffff,0x80ffffff,0x205ffffe,
    0x23fffff8,0xfffffff9,0xffffffef,0x7ffc42ff,0xfc8005ff,0xffffffff,
    0xffffffff,0xfffffc81,0xfffdccef,0x303fffff,0xffffffff,0xfffffffd,
    0x3fff605f,0xfffcdfff,0xf901ffff,0x99dfffff,0xfffffffb,0x7fcc007f,
    0xfddfffff,0x03ffffff,0x47ffffe6,0x206ffffb,0xfffffffc,0xffffffff,
    0x7cc0ffff,0xddffffff,0x3fffffff,0x7fffffc4,0xffffccce,0xfffb06ff,
    0xd95357ff,0x809fffff,0xfffffeb8,0x0fffffff,0x7fffffcc,0xfffffddf,
    0x3ffe23ff,0x7fdc03ff,0xffa81fff,0xffffffff,0xfff8805f,0x7fd403ff,
    0x7fcc1fff,0xfddfffff,0x23ffffff,0x03fffff8,0x0fffffd4,0x3ffffffa,
    0xfffffecd,0xdcefffff,0x85ffffff,0x205fffff,0x24fffff8,0x2ffffffe,
    0x7ffffec4,0x3fffe60f,0xffb8005f,0xffffffff,0x1fffffff,0x7fffffc4,
    0xfffff983,0xfffd03ff,0xfd885fff,0x4c0fffff,0x40dfffff,0x85ffffea,
    0x3ffffff9,0xffffff98,0x3ffa003f,0x7dc43fff,0x7406ffff,0xffd4ffff,
    0x7fdc07ff,0x00000fff,0x87fffffd,0x6fffffb8,0x0fffffe4,0x0ffffff8,
    0x01fffff8,0x0dfffff1,0x7ff65440,0x44ffffff,0x43fffffe,0x6fffffb8,
    0x0fffffe2,0x3fffff70,0xfffd3310,0x001333df,0x07fffff1,0x1fffffa8,
    0x1ffffff4,0x3ffffee2,0x3ffffe26,0x7fffd403,0x3fffe61f,0xfffe884f,
    0xfc81ffff,0x7fc2ffff,0x3e205fff,0xff34ffff,0x6401dfff,0x2a4fffff,
    0x004fffff,0xffffffb8,0xffffffff,0x7fe41fff,0x3e604fff,0x983fffff,
    0x00efffff,0x13fffff2,0x01fffffd,0x07ffffe6,0x07fffffb,0x7fffffcc,
    0xffff7003,0x7ffec09f,0x3fee02ff,0xffff8eff,0x3ffe600f,0xb80002ff,
    0x204fffff,0x22fffffd,0x204fedb9,0x40fffffc,0x01fffff8,0x0002af6a,
    0xffffd710,0x7fffdcbf,0x3fff604f,0xffff12ff,0xfffc809f,0x7fec01ff,
    0xf88006ff,0x5403ffff,0x2e1fffff,0x204fffff,0x12fffffd,0x807fffff,
    0x21fffffa,0x206fdca8,0x2ffffffb,0x93ffff60,0x05fffff8,0x57ffffe2,
    0x02fffffb,0x3fffffc4,0x09fffff7,0xfffff700,0xffffffff,0xfe83ffff,
    0x6c00ffff,0xb83fffff,0x402fffff,0x27fffff8,0x03fffff8,0x227fffec,
    0x00fffffe,0x1ffffff4,0xfffffd80,0x2af7a600,0x7fffc400,0x05ffffdf,
    0x27ffffc4,0x2026b360,0x00fffffd,0x002af7a6,0xfffff300,0xfffff883,
    0x530001cf,0xff00dd97,0x7fecdfff,0x3a600fff,0x3fe20abd,0x3e205fff,
    0x401fffff,0x006ffffd,0x3fffff88,0x7ffffd40,0x3fffff61,0x2af7a600,
    0x3ffffe20,0x7fffd403,0xf100401f,0x980fffff,0x3e67ffff,0x7c04ffff,
    0xffb6ffff,0x3f200dff,0xff51ffff,0x7000bfff,0xffffffff,0xffffffff,
    0xfffff83f,0xffffa805,0xffffd83f,0xffff9006,0x3fffe63f,0x7ffdc02f,
    0x7ffffc5f,0xffffb805,0xfffd003f,0x200000bf,0xfffffffd,0xffd802ff,
    0xff701fff,0xffe8bfff,0x000005ff,0x3fffae60,0xfffe81ff,0x0bdfffff,
    0xfffffb00,0xfffff807,0x17ffffa4,0x3fffe000,0xfffb01ff,0xfd803fff,
    0x88006fff,0x403fffff,0x21fffffa,0x005ffffe,0x7ffffc40,0x7fffd403,
    0xdb98001f,0x405fffff,0x31fffff8,0x409fffff,0xf5fffff8,0x200bffff,
    0x32fffffa,0x00dfffff,0x1fffff90,0x7ffc4000,0xff9804ff,0xfff83fff,
    0xff5005ff,0x3fea5fff,0xccccdfff,0xffffdccc,0x3ffffe26,0xffffa804,
    0xffff003f,0x2000009f,0xfffffffa,0xff9800ff,0x7d42ffff,0x7c1fffff,
    0x0004ffff,0x3ffb2a00,0x1fffffff,0xffffffb8,0x1cefffff,0x3ffffea0,
    0x7fe440af,0x3ffe2fff,0xe80004ff,0x22efffff,0xffffffda,0x7ffec01f,
    0xff88006f,0x7d403fff,0x3fe1ffff,0x40004fff,0x03fffff8,0x0fffffd4,
    0x3ff72a20,0xefffffff,0xcccccccc,0xf12fffff,0x440bffff,0xf9cfffff,
    0x3003ffff,0x227fffff,0x007fffff,0x0fffffd8,0x3ffe6000,0xff8803ff,
    0x7fcc3fff,0xf3003fff,0x3ee7ffff,0xffffffff,0xffffffff,0x3fffe67f,
    0xfff9803f,0xff8803ff,0x00004fff,0x3fffffe0,0x3f6005ff,0xfeffffff,
    0x45ffffff,0x04fffff8,0x3f6e2000,0xffffffff,0xf901ffff,0xffffffff,
    0x203bffff,0xfffffffe,0xfffffedd,0xffff10ef,0xf700009f,0xffffffff,
    0xffffffff,0xfffd803f,0xff88006f,0x7d403fff,0xff11ffff,0x80009fff,
    0x03fffff8,0x0fffffd4,0xfffffda8,0xffffffff,0xffffffff,0x13ffffff,
    0x40bfffff,0x9cfffff8,0x003fffff,0x49fffff1,0x007fffff,0x0fffffe8,
    0x3ffe6000,0xff8803ff,0x7fcc3fff,0xf1003fff,0x3f29ffff,0xffffffff,
    0xffffffff,0xffff50ff,0xfff1007f,0xff3007ff,0x00009fff,0x7ffffe40,
    0x7ec002ff,0xffffffff,0x4c0effff,0x004fffff,0xffffd100,0xffdfffff,
    0x7e403fff,0xffffffff,0x882fffff,0xfffffffe,0xffffffff,0x3ffffe60,
    0xffb00004,0xffffffff,0x3fffff3f,0x6ffffd80,0xffff8800,0x7ffdc03f,
    0xffff31ff,0xf880009f,0x5c03ffff,0x441fffff,0xfffffffe,0xffffffff,
    0xffffffff,0x13ffffff,0x40bfffff,0x9bfffff8,0x004fffff,0x47fffff3,
    0x02fffffe,0x3ffffe20,0x3e20000f,0x9804ffff,0x4c3fffff,0x004fffff,
    0x27fffff3,0xfffffffc,0xffffffff,0xff30ffff,0xf3007fff,0x1007ffff,
    0x009fffff,0x7ffcc000,0x70007fff,0xffffffff,0xf101dfff,0x0009ffff,
    0xffffff30,0xff3157df,0xb8803fff,0xfffffffe,0x880fffff,0xfffffffd,
    0x41efffff,0x04fffff8,0xfffd1000,0x21dfffff,0x401fffff,0x006ffffd,
    0x3fffff88,0x7ffffdc0,0x9fffff11,0xfff88000,0x7fdc03ff,0x7ff41fff,
    0x8bdfffff,0xfffffff8,0xffffffff,0x3fe4ffff,0x3e606fff,0xff8affff,
    0xf5005fff,0x7ec3ffff,0x2005ffff,0x0ffffffb,0x7fffc000,0xfffa804f,
    0x7ffc43ff,0xff5005ff,0x3fee3fff,0x80000fff,0x804fffff,0x03fffffa,
    0x0bfffff0,0x7f400010,0x0004ffff,0x3ffffb6a,0x7fc02eff,0x00805fff,
    0x5ffffff4,0xfffff980,0x3b2a2001,0xffffffff,0x3fff6604,0x02efffff,
    0x017ffffe,0x7f644002,0x3e0cefff,0x6c01ffff,0x8006ffff,0x03fffff8,
    0x0fffffdc,0x00bfffff,0x7fffc401,0x7ffdc03f,0x3fff21ff,0xff882eff,
    0x80004fff,0x207ffffd,0xf1fffffa,0x001fffff,0x41fffffb,0x1ffffffa,
    0xfffffd00,0xfe80001f,0xfb807fff,0xff83ffff,0xd800ffff,0xf30fffff,
    0x0005ffff,0x0dfffff0,0x7fffff90,0x3ffffa00,0xbcefe807,0xffffd001,
    0x2200003f,0xd0009fff,0xd00fffff,0x3e2379df,0x2a05ffff,0x001fffff,
    0x3fffae20,0xd93005ff,0xfd007dff,0xfd00ffff,0xa880379d,0x00fff00a,
    0x037fffec,0x7ffffc40,0x7fffe404,0x3ffffa1f,0xbcefe807,0x9fffff11,
    0xfffffc80,0x1bffffa1,0x6fffff98,0xfffc8000,0xfff900ff,0x3fff21ff,
    0x7fcc04ff,0xffe86fff,0x6c00dfff,0x0fffffff,0x7ffec000,0x3fe201ff,
    0xfc83ffff,0x4c04ffff,0x226fffff,0x404fffff,0xfd809acd,0x2201ffff,
    0x03ffffff,0x5fffffb0,0x7ffffcc0,0xffff9804,0x2600006f,0x7ec006ff,
    0x2602ffff,0xf54fffff,0x5c03ffff,0x4c1fffff,0xf806ecba,0x5006ffff,
    0x1dffffff,0x7ffffec0,0x3fffe602,0x7cc0004f,0x3ff6006f,0xf88006ff,
    0x7405ffff,0x361fffff,0x202fffff,0x14fffff9,0x80bfffff,0x21fffffe,
    0x203fffff,0x0ffffffa,0x202af6a0,0x04fffffa,0x4cbfffff,0x02ffffff,
    0x5fffffd1,0xffffff50,0xfffb303d,0x001fffff,0xfffffa80,0xffff900f,
    0xfff307ff,0x3a205fff,0x6c2fffff,0x701fffff,0xa8bfffff,0x00efffff,
    0x7ffffffb,0x3fffe600,0xfffb00ef,0xffb003ff,0x00007fff,0x2002ffd4,
    0x0efffff9,0x3fffffb0,0x0fffffee,0x7fffffc4,0x7ffffec1,0x7ffffc03,
    0xd7597004,0x7cc09fff,0xb00effff,0x003fffff,0x006ffa80,0x01fffff6,
    0x7fffffc0,0xfffff900,0x7fffcc3f,0xfffb00ef,0x7fffc3ff,0xfff900ff,
    0x3fe23fff,0x3fa05fff,0x105fffff,0x81ffffff,0x40ffffff,0x42fffffb,
    0xdffffffd,0xffffb99a,0x3ffa05ff,0xeeffffff,0xffffffff,0xffffffff,
    0xffffffff,0x7fffff46,0xfffb30ae,0x3607ffff,0xadffffff,0xfffffb99,
    0xffff985f,0x7ffd42ff,0xffe81fff,0x988aefff,0xfffffffd,0x3fff6003,
    0xec99bfff,0x406fffff,0xffffffc8,0x3f200000,0xffd8007f,0xc99bffff,
    0x26fffffe,0x0efffff9,0x7fffff4c,0x7fffd41f,0x7e440aff,0x0002ffff,
    0xd803fffa,0x9bffffff,0xfffffec9,0xffb80006,0xfffb000f,0x007739ff,
    0x3bfffff6,0x3ffff261,0x7fec1fff,0xc99bffff,0x46fffffe,0x1efffffd,
    0x3fffff26,0x3fffe1ff,0x7fe442ff,0x2effffff,0x3fffff66,0xfffffc85,
    0xffffc9be,0xffff886f,0xffffffff,0x200fffff,0xfffffff9,0xffffffff,
    0xfffffffe,0xffffffff,0x7fcc6fff,0xffffffff,0xffffffff,0xfffff103,
    0xffffffff,0x3601ffff,0xefffffff,0x5fffffff,0xffffff50,0xffffffff,
    0x4007ffff,0xfffffff8,0xffffffff,0x7ff7cc1f,0x04ffffff,0x7ffe4000,
    0x7ffc4002,0xffffffff,0x221fffff,0xdfffffff,0xfffffffc,0xfffe82ff,
    0xfeddffff,0x00efffff,0x07fff600,0xffffff88,0xffffffff,0xb80001ff,
    0xf9002fff,0xdfffffff,0x3fffee00,0xffffffff,0x41ffffff,0xfffffff8,
    0xffffffff,0x7fffdc1f,0xffffffff,0x21ffffff,0xeffffffd,0xffffffec,
    0xffffffff,0x1fffffff,0xffffff88,0xffffffff,0xfffff303,0xffffffff,
    0xff5003ff,0xffffffff,0xfff1dfff,0xffffffff,0xdfffffff,0xffffff90,
    0xfb9fffff,0x7cc07fff,0xffffffff,0x01ffffff,0x7fffffec,0xefffffff,
    0x3ffff600,0xbfffffff,0x003ffffd,0x7fffffdc,0xffffffff,0xfffff882,
    0x000fffff,0x7fffd400,0x5c01ecbe,0xffffffff,0x82ffffff,0xfffffffb,
    0xffffffff,0xffe884ff,0xffffffff,0x800fffff,0xff951198,0xfff700ff,
    0xffffffff,0x00005fff,0x2fbfffe6,0xfff981dc,0x007fffff,0x3ffffff6,
    0xff9fffff,0xffb81fff,0xffffffff,0xfb02ffff,0xffffffff,0xfffff3ff,
    0x7ffffcc3,0xffffffff,0xffffffdf,0xffffffff,0x3fffe602,0xffffffff,
    0x7ffec406,0xffffffff,0x3fa2000d,0xffffffff,0xfffff0ef,0xffffffff,
    0x20dfffff,0xfffffffb,0xffffb3ff,0xfffd8807,0xffffffff,0xfff7000d,
    0xffffffff,0xfff7001d,0x25ffffff,0x003ffffd,0xfffffe98,0x03ffffff,
    0x3ffffffe,0x000001ff,0xfffffffd,0xfffd3003,0xffffffff,0x7fffec07,
    0xc8efffff,0xb107ffff,0xffffffff,0x003dffff,0x3ffffff2,0xd3001fff,
    0xffffffff,0x00007fff,0xffffffe8,0xffffd02f,0x4400ffff,0xfffffffe,
    0xfffff0ef,0x3fffa603,0xffffffff,0x3fffa203,0xf0efffff,0xfb83ffff,
    0xffffffff,0xffd30cff,0xffffffff,0xffd1005f,0x9fffffff,0x7fedcc00,
    0x002dffff,0x3ffffae0,0x3fe0ceff,0xffffffff,0xffffffff,0x3fff6606,
    0x3ff62dff,0xb73003ff,0x5bffffff,0xffdb5000,0x005dffff,0xfffffe98,
    0x3ffff61d,0x3fb20003,0x0cffffff,0x7fffffc0,0x000001df,0x3fffffa6,
    0x3fb2001f,0x0cffffff,0xffffea80,0x3ffe63ef,0x3f6602ff,0xefffffff,
    0x7ffe4002,0x000cffff,0xfffffec8,0x00000cff,0xfffffd88,0x3fff201f,
    0x2000dfff,0xeffffec8,0x3ffffe0c,0x7fff6401,0x800cffff,0xeffffec8,
    0x3ffffe0c,0xffffd981,0xd900ceff,0x7fffffff,0x7f644001,0x003effff,
    0x000554c0,0x00d54c00,0x30000000,0x00000035,0x00001553,0x004d54c4,
    0x000d4c00,0x554c0000,0x32ea0009,0x00001abc,0x06f2ea00,0x13553000,
    0x26aa6000,0x99800000,0x20001aaa,0x019aa998,0x26aa6000,0x10000000,
    0x22003795,0x80000aa9,0x00000aa8,0x00135530,0x00055440,0x01aa9880,
    0x019aa980,0x09aa8800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff300,0xff98000d,0x7ffe43ff,0x0130001f,0x98000d54,0x004fffff,
    0xffffc800,0x7fcc003f,0x00006fff,0x33bbb32a,0x540000ac,0x1882aaaa,
    0x2aee6000,0x2aaaa000,0x1bddb982,0x3b322000,0x0001cdef,0xb89fffd0,
    0x5c00ffff,0x7f42ffff,0xfc8007ff,0x0001ffff,0xffffff10,0x3ffee001,
    0x200004ff,0x2ccedca9,0x40000000,0x222aaaa8,0xf300acdb,0xffc89fff,
    0x262001ff,0x00155100,0x3fffffa8,0xaaaaa880,0xfffff502,0x7fcc0003,
    0x7ffe43ff,0x3ee2001f,0x3ea0beff,0xfe88003f,0x002fffff,0x3fffe200,
    0xff30004f,0x80005fff,0xfffffffc,0x0002ffff,0x57ffffa6,0x5c006fb8,
    0xfffffffe,0x7fffc403,0xfffff30f,0x44007fff,0xfffffffc,0x40000dff,
    0xf32ffff9,0xf7005fff,0xffe85fff,0x7fd4007f,0x000effff,0xfffffb80,
    0x7ffe4001,0x4c0000ff,0xfffffffe,0xffb003ff,0xffffffff,0xf305ffff,
    0x3feaffff,0xf982ffff,0x7fe44fff,0xfc8801ff,0x3ee0adff,0x3fe2002f,
    0x400fffff,0x05fffff8,0x017fffea,0x3ffff980,0x00ffffe4,0xffffff90,
    0x05fffbdf,0xfffffb00,0x00001fff,0x013fffee,0xdffff500,0x7ffec000,
    0xffffffff,0x220003ff,0xffeffffd,0xffb000ef,0xffffffff,0x3ffe201b,
    0xffffa8ff,0x02ffffff,0xffffffd0,0x01ffffff,0xffffb800,0x004ffff9,
    0xe85ffff7,0x22007fff,0xffffffff,0xffe80004,0xfb0001ff,0x40007fff,
    0xfffffffb,0x806fffff,0xfffffffe,0x2fffffff,0x9fffff98,0x0fffffff,
    0x44ffff98,0x801ffffc,0xfffffffe,0x001fffde,0x3ffffffa,0x7ffc406f,
    0x7fdc05ff,0xf30001ff,0xffc87fff,0xff1001ff,0xffffffff,0xa8001fff,
    0xffe9ffff,0xff00005f,0x20000bff,0x002ffffa,0xffffffc8,0xffffffff,
    0x7e40003f,0x002effff,0xffffffd1,0x1fffffff,0x9fffff10,0xffffffff,
    0xc803ffff,0xffffffff,0x006fffff,0xfffffd80,0x3ee006ff,0x7ff42fff,
    0x3ff6007f,0x2ffffaef,0x3ffea000,0x7ec0002f,0xfb0006ff,0xffffffff,
    0x40bfffff,0xfffffff8,0xffffffff,0xfffff982,0x5ffffffe,0x89ffff30,
    0x401ffffc,0xfffffff9,0x006fffff,0x3e7fffee,0x3e204fff,0xc805ffff,
    0x30005fff,0xeb85dddd,0xf3000eee,0xffb731bf,0x88007fff,0xff33ffff,
    0xb80005ff,0x00005fff,0x002fffdc,0x3fffffe2,0xffffccce,0x260006ff,
    0x0efffffc,0xfffff900,0xffffffff,0xffff10bf,0xf9bfffff,0x0bffffff,
    0x77ffffc4,0xffffc98b,0x7c40002f,0x01ffffff,0x07bbbaa0,0x200dddd9,
    0xf90ffffb,0x20001fff,0x0002fffe,0x005fffb0,0xffffff98,0xfffffddf,
    0xfff303ff,0xffffffff,0xf305ffff,0xffffffff,0x3a605fff,0x775c3eee,
    0x7fd401ee,0xfffeb98c,0xff3002ff,0x3ffea3ff,0xffff101f,0x3ff200bf,
    0x0000000f,0x82ee9800,0x8000bcb8,0x7dc5fffd,0x20000fff,0x0000effe,
    0x01fffb80,0x3fffff20,0xffffff01,0xffd98001,0x05ffffef,0x9ffffff0,
    0xfffff933,0xffff883f,0xffc83fff,0x3e607fff,0xfc82ffff,0x80004fff,
    0x04fffffa,0x30000000,0xfd85ffff,0xfa8005ff,0x200003ff,0x4006ffe8,
    0x43fffffe,0x6fffffb8,0xffffff70,0xffffffff,0xffff305f,0xfb57bfff,
    0x80000001,0xcb981eea,0x3ffa2002,0x77ffe44f,0xfffff880,0x00000005,
    0x00000000,0x00000000,0x00000000,0x6dcc0000,0x3ff204fe,0x22000fff,
    0xffb0cfff,0xffa809ff,0xffb81fff,0x7fc43fff,0x3a04ffff,0x500fffff,
    0x301fffff,0x000bffff,0x00000000,0x00000000,0x00000000,0xffff7000,
    0x7ffec09f,0xfffc82ff,0x999999df,0xf9809999,0x005fffff,0x00000000,
    0x00000000,0x17ffffe2,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf3000000,0x8003ffff,0x7ffc40cd,0x3ff603ff,0xfff106ff,0xfff88bff,
    0x3ee00fff,0xf301ffff,0xf509ffff,0x00009fff,0x00000000,0x00000000,
    0x00000000,0xfffffb00,0x55ef4c01,0x7ffffd00,0xfff98000,0x00001fff,
    0x00000000,0x22000000,0xa8dfffff,0x4401aaaa,0x800aaaaa,0xabdedca8,
    0x65440000,0x000abded,0x6f6e5440,0x440000ab,0x0abdedca,0x6e544000,
    0x0000abde,0x7fff5cc0,0x260001ff,0xfffff509,0x3b6ea601,0x3ffffe02,
    0x7ffffc44,0x7fffd405,0x3fffe01f,0x3ffe20ff,0x551002ff,0xa8803555,
    0x4400aaaa,0x01acddba,0x376ea200,0x220001ac,0x01acddba,0x376ea200,
    0xffd001ac,0x40000bff,0x001fffff,0x7ffffcc0,0x66540006,0x00acceee,
    0xeeecca80,0xa8000acc,0xacceeecc,0x3fffe200,0xfffff8df,0x7fffd403,
    0x3ff2201f,0xdfffffff,0x7fe44000,0xdfffffff,0x7fe44000,0xdfffffff,
    0x7fe44000,0xdfffffff,0x7fe44000,0xdfffffff,0xfd950000,0xffffffff,
    0xffeb8003,0xfffebeff,0xfa80005f,0x7c42ffff,0x5404ffff,0x202fffff,
    0x8efffffd,0x07ffffe9,0x3ffffe20,0x7fffd403,0x3ffee01f,0x01efffff,
    0x7ffffdc0,0x4001efff,0xfffffffb,0x7dc001ef,0xefffffff,0x7ffffc01,
    0xff100004,0x80001fff,0x04fffff9,0xfffff900,0x05ffffff,0x3fffff20,
    0x02ffffff,0xffffff90,0x205fffff,0x8dfffff8,0x403fffff,0x01fffffa,
    0xfffffff5,0x05ffffff,0x3ffffea0,0xffffffff,0xffff5002,0xffffffff,
    0x3fea005f,0xffffffff,0xf5002fff,0xffffffff,0x1005ffff,0xffffffb7,
    0x3fffffff,0x3fff6200,0xffffffff,0x40001fff,0x887ffffe,0x404fffff,
    0x02fffffa,0x3fffffe2,0x3ffffffe,0x3fffe200,0x7ffd403f,0xffe881ff,
    0xffffffff,0xffe8803f,0xffffffff,0xffe8803f,0xffffffff,0xffe8803f,
    0xffffffff,0xffff103f,0x2a00009f,0x9737ffff,0x3e600159,0x8003ffff,
    0xfffffffd,0x03ffffff,0x7fffffec,0x3fffffff,0x7ffffec0,0xffffffff,
    0xfffff883,0x3fffff8d,0x7ffffd40,0xfffffb81,0xffffffff,0x7fdc04ff,
    0xffffffff,0x404fffff,0xfffffffb,0xffffffff,0x7fffdc04,0xffffffff,
    0x7dc04fff,0xffffffff,0x04ffffff,0x3fffffa2,0xfffeffff,0xff9801ff,
    0xffffffff,0x06ffffff,0xffff9100,0xffff109f,0xfffa807f,0x7fd402ff,
    0xffffffff,0x7fc4003f,0x7d403fff,0x7c41ffff,0xffffffff,0x204fffff,
    0xfffffff8,0x4fffffff,0x3ffffe20,0xffffffff,0x3ffe204f,0xffffffff,
    0xff984fff,0x00004fff,0xfffffff9,0x01bfffff,0x3fffff98,0x7fffe400,
    0xffffffff,0xff903fff,0xffffffff,0x207fffff,0xfffffffc,0xffffffff,
    0x7ffffc43,0x3fffff8d,0x7ffffd40,0x7ffffcc1,0xffffefff,0xf302ffff,
    0xdfffffff,0xffffffff,0x3fffe605,0xfffeffff,0x302fffff,0xffffffff,
    0xfffffffd,0x3ffe605f,0xffefffff,0x82ffffff,0xfffffff9,0xfff98abe,
    0xffe801ff,0xffffffff,0x1fffffff,0x3ffff200,0xff103fff,0xfa807fff,
    0xd802ffff,0xffffffff,0xff88002f,0x7d403fff,0x7ec1ffff,0xfcdfffff,
    0x01ffffff,0xbffffffb,0xfffffff9,0x3ffff603,0xffffcdff,0xffb01fff,
    0xff9bffff,0x883fffff,0x004fffff,0xfffffb00,0xffffffff,0x7ffcc05f,
    0x3e2003ff,0xccefffff,0x6ffffffc,0xffffff88,0xffffccce,0xfff886ff,
    0xfcccefff,0x446fffff,0xf8dfffff,0x5403ffff,0x741fffff,0x42ffffff,
    0xffffffd8,0xfffffe80,0x7ffec42f,0xffe80fff,0x6c42ffff,0x80ffffff,
    0x2ffffffe,0x7ffffec4,0xffffe80f,0x7fec42ff,0x7f40ffff,0x980bffff,
    0x401fffff,0xcffffffc,0xffffc98a,0x36003fff,0x02ffffff,0x0fffffe2,
    0x5fffff50,0xfffffb80,0x0000efff,0x07fffff1,0x1fffffa8,0x37ffffe6,
    0x7ffff540,0xfffff985,0x7fff540d,0xffff985f,0x7ff540df,0xfff985ff,
    0x7f540dff,0xfff85fff,0x800805ff,0xffffffff,0xffffffff,0xfffff302,
    0x7ffe4005,0xffff01ff,0xfffc81ff,0xffff01ff,0xfffc81ff,0xffff01ff,
    0x7ffc41ff,0xffff8dff,0x7ffd403f,0x3ffe61ff,0x3f200eff,0x7cc4ffff,
    0x200effff,0x44fffffc,0x0efffff9,0x3fffff20,0x7ffffcc4,0x3fff200e,
    0x7ffcc4ff,0x3f200eff,0x3e24ffff,0x2a05ffff,0x201fffff,0x2ffffff9,
    0xffffff30,0x7fff400d,0xf100beff,0xa807ffff,0x302fffff,0xfffffffd,
    0x20001fff,0x03fffff8,0x0fffffd4,0x01fffffd,0x07ffffe6,0x01fffffd,
    0x07ffffe6,0x01fffffd,0x07ffffe6,0x01fffffd,0x07ffffe6,0x00fffffd,
    0x44379dfd,0xffffffff,0xfffffffe,0xfffff306,0x76dcc005,0x3fff204f,
    0x76dcc0ff,0x3fff204f,0x76dcc0ff,0x3fff204f,0x3ffe20ff,0xffff8dff,
    0x7ffd403f,0x3ffee1ff,0x7fc402ff,0x7fdc7fff,0x7c402fff,0x7dc7ffff,
    0x4402ffff,0x5c7fffff,0x402fffff,0x47fffff8,0x02fffffb,0x3fffffc4,
    0x03fffff5,0x0fffffdc,0x9fffff90,0xfffffa80,0xffff000f,0x105fffff,
    0x807fffff,0x82fffffa,0xfffffff9,0x005fffff,0x7fffff10,0xfffffa80,
    0x7fffff11,0x4ffffd80,0x0fffffe2,0x49ffffb0,0x03fffff8,0x127fffec,
    0x807fffff,0x6c4ffffd,0x202fffff,0x24fffff9,0x1efffff9,0x7fffffd4,
    0xfffff984,0x26000002,0x001fffff,0x7ffffcc0,0x7fcc0001,0x3fe21fff,
    0xfff8dfff,0x7fd403ff,0x3ff61fff,0xff9006ff,0x7fec3fff,0xff9006ff,
    0x7fec3fff,0xff9006ff,0x7fec3fff,0xff9006ff,0x7fec3fff,0xff9006ff,
    0x3fee3fff,0xff103fff,0x7403ffff,0x800fffff,0x02fffffe,0xffdaac88,
    0x7c43ffff,0x5403ffff,0x4c2fffff,0xdfffffff,0x24ffffff,0x880acefa,
    0x403fffff,0x31fffffa,0x805fffff,0x265ffffb,0x402fffff,0x265ffffb,
    0x402fffff,0x265ffffb,0x402fffff,0x4c5ffffb,0x00efffff,0x43fffffb,
    0x204edca8,0x87fffff9,0x02fffff9,0xfeb98000,0x0001ffff,0xfffffd73,
    0x3ae60003,0x221fffff,0xf8dfffff,0x5403ffff,0x3e1fffff,0x5005ffff,
    0x7c5fffff,0x5005ffff,0x7c5fffff,0x5005ffff,0x7c5fffff,0x5005ffff,
    0x7c5fffff,0x5005ffff,0x265fffff,0x40efffff,0xffffffe9,0x3ffffe01,
    0xffff7006,0x3a60007f,0x220fffff,0x403fffff,0x42fffffa,0x1ffffffe,
    0x5ffffffb,0x21bffff6,0x03fffff8,0x8fffffd4,0xcdfffffa,0xfdcccccc,
    0x3fea6fff,0xccccdfff,0xffffdccc,0x3ffffea6,0xcccccccd,0x2a6ffffd,
    0xccdfffff,0xffdccccc,0xfffd86ff,0xec99bfff,0x006fffff,0xfffffc80,
    0x7ffffcc1,0xeca80002,0xffffffff,0xfd95001f,0xffffffff,0x3fb2a003,
    0xffffffff,0x3ffffe21,0x3fffff8d,0x7ffffd40,0x7fffff31,0x3fffe600,
    0xfffff33f,0x3ffe6007,0xffff33ff,0x3fe6007f,0xfff33fff,0x3e6007ff,
    0xff33ffff,0x26007fff,0xf13fffff,0x9bffffff,0xffffffff,0x3ffe205f,
    0xff5004ff,0x40009fff,0x24fffff9,0x03fffff8,0x17ffffd4,0x1dfffff5,
    0xffffffe8,0x83fffff9,0x03fffff8,0x8fffffd4,0xfffffffb,0xffffffff,
    0x3fee7fff,0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0x2e7fffff,
    0xffffffff,0xffffffff,0xfff887ff,0xffffffff,0x001fffff,0xfffffa80,
    0x7ffffcc2,0xfdb88002,0xffffffff,0x7101ffff,0xfffffffb,0x03ffffff,
    0x3ffff6e2,0xffffffff,0x3fffe21f,0xfffff8df,0x7fffdc03,0xfffff31f,
    0x3ffe2007,0xffff34ff,0x3fe2007f,0xfff34fff,0x3e2007ff,0xff34ffff,
    0x22007fff,0xf34fffff,0x2007ffff,0x24fffff8,0xfffffffb,0xffffffff,
    0xfff304ff,0x3e6009ff,0x0003ffff,0x137ffff4,0x807fffff,0x22fffffa,
    0x82fffffd,0xfffffff8,0x880fffff,0x403fffff,0x91fffffb,0xffffffff,
    0xffffffff,0x3ff21fff,0xffffffff,0xffffffff,0xfffff90f,0xffffffff,
    0x21ffffff,0xfffffffc,0xffffffff,0xfb80ffff,0xffffffff,0x002fffff,
    0xfffff300,0xfffff987,0x7ff44002,0xefffffff,0x881fffff,0xfffffffe,
    0xfffffeff,0xffffe881,0xffefffff,0x3fe21fff,0xfff8dfff,0x7fdc03ff,
    0xfff31fff,0x3e6009ff,0xff33ffff,0x26009fff,0xf33fffff,0x2009ffff,
    0x33fffff9,0x009fffff,0x4fffffe6,0x04fffff9,0x7fffff30,0xffffffd8,
    0xffc8efff,0xfff107ff,0x3ea00bff,0x0002ffff,0x13ffffec,0x807fffff,
    0x22fffffa,0x207fffff,0xfffffff9,0xff106fff,0xfb807fff,0xff91ffff,
    0xffffffff,0xffffffff,0x3ffff21f,0xffffffff,0x0fffffff,0xfffffff9,
    0xffffffff,0x3f21ffff,0xffffffff,0xffffffff,0xffd300ff,0xffffffff,
    0x4c00007f,0x4c4fffff,0x002fffff,0x3fffffe6,0xff98abef,0x7fcc1fff,
    0xabefffff,0x1fffff98,0x7fffffcc,0xff98abef,0x3fe21fff,0xfff8dfff,
    0x7fdc03ff,0xfff11fff,0x3ea00bff,0xff11ffff,0x2a00bfff,0xf11fffff,
    0x200bffff,0x11fffffa,0x00bfffff,0x47ffffea,0x05fffff8,0x3fffff50,
    0xfffffd50,0x7fffcc7d,0xfffff02f,0x3ffee00d,0x029981ff,0x27ffffd8,
    0x03fffff8,0x8fffffd4,0x05fffff8,0x7fffffdc,0xff102fff,0xfb807fff,
    0xff71ffff,0x80001fff,0x00fffffb,0x7fffdc00,0x7dc0000f,0x0000ffff,
    0xffffd900,0x80019fff,0x7fffcc00,0x7fffcc3f,0x3ffa002f,0xf980bfff,
    0x7f41ffff,0x980bffff,0x741fffff,0x80bfffff,0x21fffff9,0x8dfffff8,
    0x404fffff,0x21fffffc,0x00ffffff,0x0fffffd8,0x03fffffe,0x3fffff60,
    0x3fffffe0,0xffffd800,0x3ffffe0f,0xfffd800f,0x3fffe0ff,0xffd800ff,
    0x2a600fff,0x0fff009a,0x1fffffb0,0xfffffd00,0x1fffffcc,0x1bffffa0,
    0x3ffee000,0xffff11ff,0xfffb00df,0x440bffff,0x404fffff,0x31fffffc,
    0x005fffff,0xfffff980,0x7fcc0002,0x40002fff,0x02fffff9,0x7ed40000,
    0xdd9004ef,0xffb80bff,0xcb881fff,0xff1002bc,0x7d40bfff,0x3e21ffff,
    0x2a05ffff,0x221fffff,0x205fffff,0x21fffffa,0x8dfffff8,0x405fffff,
    0x21fffffe,0x04fffffc,0x37ffffcc,0x13fffff2,0xdfffff30,0x4fffffc8,
    0x7ffffcc0,0x7ffffe46,0x7fffcc04,0x7fffe46f,0x7ffcc04f,0x980006ff,
    0xffc806ff,0x7d404fff,0x3e26ffff,0x2606ffff,0x004fffff,0xfffffc80,
    0x3fffffa1,0x7fffc401,0xf100efff,0xe80bffff,0xf11fffff,0xd809ffff,
    0x7fc409ac,0x66c04fff,0x7ffc409a,0x566c04ff,0x7fffc409,0x4d66c04f,
    0x3ffea000,0x7400efff,0x201fffff,0x80fffffe,0x3ffffff8,0x7ffffd40,
    0x3fffee01,0x3fffea1f,0x3ffee01f,0x3ffea1ff,0x3fee01ff,0x3fe21fff,
    0xffff5fff,0x3ff201ff,0x3e61ffff,0x102fffff,0x85fffffd,0x2ffffff9,
    0xfffffd10,0xfffff985,0xfffd102f,0xfff985ff,0xfd102fff,0xf985ffff,
    0x102fffff,0x05fffffd,0x0bff5000,0xffffff10,0x3fffa605,0x7ffec2ff,
    0xffe882ff,0x40003fff,0x1fffffe8,0x17fffff6,0xfffffe98,0xff01ffff,
    0x3201ffff,0x21ffffff,0x01fffffd,0x8bfffff7,0x01fffffd,0x8bfffff7,
    0x01fffffd,0x8bfffff7,0x01fffffd,0x0bfffff7,0x3faeb2e0,0x7fdc04ff,
    0xff705fff,0x3a209fff,0x02ffffff,0x0fffffee,0x7fffffc4,0x3ffffee1,
    0xfffff103,0x7fffdc3f,0xffff103f,0x7ffc43ff,0xffffb5ff,0x7fe4c3df,
    0x6c1fffff,0xadffffff,0xfffffb99,0xffffb05f,0xf7335bff,0x20bfffff,
    0xdffffffd,0xffffb99a,0xfffb05ff,0x7335bfff,0x0bffffff,0x3ffffff6,
    0xfffb99ad,0x00005fff,0x7001fff7,0x59ffffff,0xfffff733,0xffff70bf,
    0xff737dff,0x000dffff,0x3ffff3a2,0x3fe60fff,0x9adfffff,0xffffffdb,
    0x84ffffff,0x1efffffd,0x3fffff26,0x3ffe61ff,0x7fd42fff,0x7cc1ffff,
    0x542fffff,0x41ffffff,0x2ffffff9,0x7fffffd4,0x7ffffcc1,0x7fffd42f,
    0x3a0001ff,0x3e600fff,0x8befffff,0xffffffc9,0xfffc8800,0x3fffe604,
    0x7ff4c0ef,0x3e61ffff,0x4c0effff,0x1ffffffe,0x3bffffe6,0x7ffff4c0,
    0x3ffe21ff,0xffff75ff,0xffffffff,0x83ffffff,0xfffffff8,0xffffffff,
    0xfff100ff,0xffffffff,0x01ffffff,0x3fffffe2,0xffffffff,0xff100fff,
    0xffffffff,0x1fffffff,0x3ffffe20,0xffffffff,0x0000ffff,0x007fff70,
    0x3ffffffa,0xffffffff,0xfffb00ff,0xffffffff,0x0003ffff,0x3fffffea,
    0xfffc87ff,0xffffffff,0xffffffff,0x5c6fffff,0xffffffff,0xffffffff,
    0x7ffec1ff,0xfffeffff,0xfb05ffff,0xfdffffff,0x0bffffff,0x3ffffff6,
    0xffffffef,0xffffb05f,0xffffdfff,0x8000bfff,0x5c01fffd,0xffffffff,
    0x3fffffff,0x17ffea00,0xffffff88,0xfffffcdf,0x3e22ffff,0xcdffffff,
    0xffffffff,0x3fffe22f,0xfffcdfff,0x22ffffff,0x25fffff8,0xfffffffd,
    0xfff9ffff,0xfff981ff,0xffffffff,0x4c01ffff,0xffffffff,0x1fffffff,
    0x7ffffcc0,0xffffffff,0x7fcc01ff,0xffffffff,0x401fffff,0xfffffff9,
    0xffffffff,0x3ea00001,0x1dcbefff,0xfffffe88,0xffffffff,0x3ffa202f,
    0xffffffff,0x20003fff,0xfffffffb,0xfffd884f,0xffffffff,0xffecffff,
    0xfd81ffff,0xffffffff,0xfffff9ff,0xfffffd81,0xffffffff,0x3fff600e,
    0xffffffff,0x3f600eff,0xffffffff,0x200effff,0xfffffffd,0x0effffff,
    0x95119880,0x3600ffff,0xffffffff,0x303fffff,0xfff53113,0xfffb805f,
    0xffffffff,0x44ffffff,0xfffffffb,0xffffffff,0x7ffdc4ff,0xffffffff,
    0x24ffffff,0x25fffff8,0xffffffe8,0xffff0eff,0x3ff6203f,0xffffffff,
    0xfb1000df,0xffffffff,0x22001bff,0xfffffffd,0x000dffff,0xffffffb1,
    0x01bfffff,0x3ffff620,0xdfffffff,0xfe800000,0x02ffffff,0x3ffffff2,
    0x00dfffff,0xfffffd88,0x01efffff,0x7fffec00,0x2e00ffff,0xffffffff,
    0x2e1effff,0xd102ffff,0xffffffff,0x3ffffe1d,0xfffff701,0x1dffffff,
    0xfffff700,0x1dffffff,0xfffff700,0x1dffffff,0xfffff700,0x1dffffff,
    0x3ffff200,0x001fffff,0xffffff91,0x205fffff,0xfffffff8,0xffb004ff,
    0xdfffffff,0x0fffff91,0xfffffffb,0xfff91dff,0xffffb0ff,0x91dfffff,
    0x7c4fffff,0x6445ffff,0x0ceffffe,0x007ffffe,0xfffffb73,0x260005bf,
    0xffffffdb,0xb730002d,0x5bffffff,0x3f6e6000,0x02dfffff,0xfffb7300,
    0x0005bfff,0x7fff4c00,0x6cc01fff,0xefffffff,0xffe98002,0x004fffff,
    0xffffff00,0xfb1001df,0xdfffffff,0x013fa607,0xdffffd91,0x7ffffc19,
    0x3ffb6a01,0x002effff,0x7ffff6d4,0x54002eff,0xffffffed,0x76d4002e,
    0x2effffff,0x7fffe400,0x8000cfff,0xffffffd9,0x3fe201ce,0x02efffff,
    0x7ffff540,0x3ffe63ef,0xffea82ff,0x3e63efff,0xea82ffff,0x23efffff,
    0x12fffff9,0x40bfffff,0x00000aa8,0x0002aa60,0x002aa600,0x02aa6000,
    0x2aa60000,0xa9800000,0x0000000a,0x000de5d4,0x00055544,0x09aa9880,
    0x65440000,0x10001ccd,0x40015753,0x05544004,0x54c40000,0x8800009a,
    0x00009aa9,0x009aa988,0x9aa98800,0x53310000,0x40000335,0x20009aa9,
    0x009aaa99,0x04d54c00,0x9aa98000,0x55300000,0x00000013,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1fffffe8,0xfffff500,0xb710000b,
    0x0059bdfd,0x3fffee00,0x5555403f,0x3f6e602a,0xaaa803de,0x6edcc0aa,
    0x710000ac,0x359dfdb9,0x2a600000,0x1acdeedc,0x2aaaa980,0x87ffff10,
    0x9806fffc,0x7e44ffff,0x10001fff,0x00013795,0x1fffffd4,0xfffb0000,
    0x500005ff,0x20bfffff,0x002aaaaa,0x8555554c,0x00aaaaa9,0x40ffffa8,
    0x300ffffb,0xfe85ffff,0x4c0005ff,0xabdefdca,0xaaaa8800,0x1bcdb982,
    0xd9710000,0x0579bdfd,0x00ffffc0,0xffff3000,0xffa8005f,0x10001fff,
    0xfffffffb,0x40005dff,0xfffffff8,0x3ffffa00,0x7fffec47,0x102fffff,
    0x261fffff,0xffffffff,0x3ff22003,0xffffffff,0xb80000df,0xffffffff,
    0x2e04ffff,0x300fffff,0x3ee3ffff,0xf9801fff,0x7fe44fff,0x366001ff,
    0xcfffffff,0x7ffc4000,0x0001ffff,0x3fffff98,0xfffb0000,0x7fffc0df,
    0x7fdc006f,0xfff73fff,0xff9001ff,0xffffb0df,0x0ffffb80,0x001ffff9,
    0x3ffffee0,0x0cffffff,0x9ffffe60,0xfffffffb,0xfd70000e,0xffffffff,
    0xfb007dff,0x400007ff,0x003ffffd,0x0bffff70,0xffffd100,0xffffffff,
    0x3ffa0003,0x206fffff,0x267ffffe,0xfffffffe,0xf883ffff,0xffa8ffff,
    0xffffffff,0xffffb805,0xffffffff,0x30001fff,0xfffffffd,0xdfffffff,
    0xfffff703,0x77ffe401,0x003ffff9,0xc89ffff3,0x5001ffff,0xffffffff,
    0x6c003fff,0x6fffffff,0xfffc8000,0xf300003f,0x7c01dfff,0x4006ffff,
    0x73fffffb,0x001fffff,0xfd0bfffd,0xffb00bff,0x5ffff5bf,0xfffb1000,
    0xffffffff,0x3e605fff,0xfff97fff,0x5fffffff,0x7ffec400,0xffffffff,
    0x202fffff,0x0005fffb,0x07ffff30,0xffffc800,0x7fff4000,0xffffffff,
    0x64000fff,0xfff9ffff,0xffffd03f,0x3ffffeaf,0xffffffff,0x7fffc41f,
    0xffffffcf,0x02ffffff,0x3fffffee,0xffffffff,0x5c003fff,0xffffffff,
    0xffffffff,0x7ffdc4ff,0x7ff400ff,0x006fffff,0x913fffe6,0x9003ffff,
    0xffffffff,0x001fffff,0xff3ffff7,0x440009ff,0x0004ffff,0x03bfff60,
    0x0dfffff0,0xfffffb80,0x1fffff73,0x87ffff00,0x803ffff8,0xfffffff8,
    0xffa8004f,0xffffffff,0x5fffffff,0xcfffff98,0xffffffff,0xa801ffff,
    0xffffffff,0xffffffff,0xff301fff,0x320000ff,0x00004fff,0x4009fff9,
    0xdffffffa,0xffffffdb,0x3ffe6002,0x3ffff51f,0x9fffffd0,0xffffffff,
    0xdfffffff,0xffffff88,0xffecdfff,0xf706ffff,0xffffffff,0xffffffff,
    0x3ee00bff,0xffffffff,0xffffffff,0x3fee5fff,0x7cc00fff,0x00ffffff,
    0x0fbbba20,0x803dddd7,0xfffffffb,0x5fffffff,0x97fffcc0,0x002ffffa,
    0x00bfff90,0x7fffc400,0xfffff800,0x7ffdc006,0xffff73ff,0xfff9801f,
    0x7fffcc1f,0xffff5002,0xf7000dff,0xffffffff,0xffffffff,0xfff987ff,
    0xddffffff,0x6fffffff,0x7ffffcc0,0xffffffff,0xffffffff,0x01ffff01,
    0x5fff8800,0x7fec0000,0xfff9000f,0xfffb85ff,0xfd1004ff,0xfffc89ff,
    0xfffffe86,0xaabdffff,0xffffffec,0x3fffe22f,0xffb83fff,0x7c40ffff,
    0xbfffffff,0xfffdba9a,0x4402ffff,0xefffffff,0xfeca99ac,0x73ffffff,
    0x200fffff,0x02fffffb,0xf0000000,0x137fffff,0x1ffffff7,0x227fff40,
    0x000ffffb,0x002fffc4,0x07fff200,0x37ffffc0,0x3fffee00,0xfffff73f,
    0x1ffff500,0x00ffffb8,0x3fffff20,0x7ffc4001,0x99bdffff,0xfffffeb9,
    0x3ffe61ff,0xfa84ffff,0x102fffff,0xfffffffd,0xfb533579,0x0dffffff,
    0x000bfff6,0x00000000,0x7ffff400,0xfffff886,0x40000004,0xfffffffe,
    0x3fff601e,0x3fe25fff,0x3605ffff,0x5c0fffff,0x04ffffff,0x7fffffd4,
    0x7fffec06,0xffb804ff,0x989fffff,0x00006ff9,0x80000000,0x82fffffb,
    0x03fffffa,0x00000000,0x00000000,0x00dfffff,0x3fffffb8,0x00ffd331,
    0xf90dfff9,0x00000fff,0x3ffff200,0x7fdc02ff,0x3e64ffff,0x204fffff,
    0x06fffffa,0xdffffffb,0xfffe9801,0xffb81fff,0x0000004f,0xf0000000,
    0xf109ffff,0x0005ffff,0xfffe8000,0xe801ffff,0x227fffff,0x00ffffff,
    0x07ffffee,0x0bffffff,0x3ffffe60,0xffff502f,0x7cc005ff,0x225fffff,
    0x000005ff,0xe8000000,0x3a06ffff,0x0004efff,0x00000000,0xff000000,
    0xb800dfff,0x443fffff,0x266626ff,0x9dfffe99,0xdfffe999,0x00000099,
    0xffffff30,0x3fff2003,0xfff30fff,0xfe801fff,0x7cc0ffff,0x004fffff,
    0x3fffffa2,0x06fff984,0x3bb32a00,0x8000acce,0xcceeecca,0x3ffe200a,
    0xfffb83ff,0x54c000ff,0x0bcceedc,0x3fffffa0,0xfff7002f,0x3fe23fff,
    0x7d406fff,0x3a62ffff,0x000fffff,0x1bffffee,0x2ffffff4,0x7fffdc00,
    0x09ff70ff,0x9ddd9950,0x55440159,0x54401aaa,0x3ea0aaaa,0x2602ffff,
    0x55551009,0xaaa88035,0x555510aa,0xaaa88035,0x654c00aa,0x00bcceed,
    0x037ffffc,0x3ffffee0,0xf927fd43,0xffffffff,0xffffffff,0x8805ffff,
    0x01acddba,0x3fffffa0,0x7fffc004,0xffff31ef,0xfff700bf,0xfffc83ff,
    0xfa8006ff,0xff05ffff,0xfc8001ff,0xffffffff,0xff9002ff,0xffffffff,
    0x3ffe205f,0xffff83ff,0x3f66005f,0xffffffff,0xfffe80df,0x3e2004ff,
    0xf12fffff,0xa809ffff,0x882fffff,0xe8004eca,0x4c2fffff,0x01ffffff,
    0xffffff00,0x401fff77,0xfffffffc,0xf102ffff,0xa807ffff,0x321fffff,
    0x000fffff,0x3ffffe20,0x7fffd403,0xfffff11f,0xffffa807,0xfffb301f,
    0xbfffffff,0x3ffffe01,0x7ffdc006,0x3ffe63ff,0x3fffff20,0xffffffff,
    0xffffffff,0x3fffee02,0x401effff,0x0ffffff8,0x05676400,0x13ffffe6,
    0x3ffffea0,0x3ffffe22,0x59b0002f,0x2fffd803,0x3ffff600,0xffffffff,
    0x7ffec03f,0xffffffff,0xfff883ff,0x7ffdc3ff,0xff5002ff,0xffffffff,
    0xfe83ffff,0x4002ffff,0x14fffffe,0x809fffff,0x02fffff9,0xfff90000,
    0xfffb89ff,0x2e0005ff,0xffffffff,0x3fff602f,0xffffffff,0xfff883ff,
    0x7fd403ff,0x3ff61fff,0x200087ff,0x03fffff8,0x8fffffd4,0x03fffff8,
    0x0fffffd4,0x7fffffd4,0xffffffff,0x6fffff81,0x7fffdc00,0x3fffc9bf,
    0x7fffffe4,0xffffffff,0x2fffffff,0xfffffe88,0x03ffffff,0x13ffffea,
    0x3fe60000,0xf9803fff,0x3ea3ffff,0x0005ffff,0x9fff7000,0x3ffff200,
    0xffffffff,0xff903fff,0xffffffff,0x987fffff,0x743fffff,0x3005ffff,
    0xffffffff,0xffffffff,0x7fffff41,0x7ffec000,0xffff14ff,0xfff9809f,
    0x000002ff,0x8bfffff5,0x02fffffc,0x3fffe600,0x3202efff,0xffffffff,
    0x3fffffff,0x1fffffc4,0x3ffffea0,0x5bffffa1,0x1ceffec8,0x3ffffe20,
    0x7fffd403,0xfffff11f,0xffffa807,0x7fffcc1f,0xffffffff,0x7fc0ffff,
    0x5c006fff,0xffffffff,0xfffc82ff,0xffffffff,0xffffffff,0x7ffc42ff,
    0xffffffff,0xff704fff,0x00007fff,0x7fffff30,0xfffff100,0x7ffffe49,
    0x50000004,0xf100dfff,0x99dfffff,0xdffffff9,0xffffff10,0xffff999d,
    0xfff98dff,0x3ffe63ff,0xffb002ff,0x95357fff,0x49fffffd,0x00fffffe,
    0x7ffffe40,0x9fffff15,0xfffff980,0x26666662,0x99999999,0xffa99999,
    0x7fec6fff,0x20001fff,0x4ffffff8,0x7ffffc40,0xfffcccef,0x7fc46fff,
    0x7d403fff,0x3fa1ffff,0xfffadfff,0x103fffff,0x807fffff,0x11fffffa,
    0x807fffff,0x41fffffa,0xabfffffd,0xffffeca9,0x7ffffc4f,0x7ffdc006,
    0x00beffff,0xfff55553,0xff5555bf,0x81555bff,0xdffffffd,0xfffffffc,
    0xfffffc81,0xf9800002,0x9804ffff,0x363fffff,0x002fffff,0xfff10000,
    0xfffc801f,0xffff01ff,0xfffc81ff,0xffff01ff,0x7ffcc1ff,0x3fff23ff,
    0xfff002ff,0x3fe203ff,0x3ffa6fff,0x64000fff,0xf15fffff,0x9809ffff,
    0x3e2fffff,0xffffffff,0xffffffff,0xffffffff,0x7fffff47,0x7ffc0000,
    0x7e401fff,0xff01ffff,0x7c41ffff,0x5403ffff,0x3e1fffff,0xffffffff,
    0x5fffffff,0x3fffff88,0x7ffffd40,0x7fffff11,0xfffffa80,0x0fffffc1,
    0x6fffff88,0x037ffffc,0x3ffffee0,0xfff0000c,0xffff887f,0x3fffe603,
    0x7ff540df,0xfffd85ff,0x800001ff,0x04fffff9,0x1fffffa8,0x07fffffa,
    0xfe800000,0x6dcc02ff,0x3ff204fe,0x6dcc0fff,0x3ff204fe,0x3fe60fff,
    0x3ff23fff,0xf8806fff,0x2a01ffff,0x7ff40abd,0xfb8007ff,0xff15ffff,
    0xf9809fff,0xff12ffff,0xffffffff,0xffffffff,0xffffffff,0x3fffffc1,
    0x7fff4000,0x6dcc02ff,0x3ff204fe,0x3fe20fff,0x7d403fff,0xff11ffff,
    0xffffffff,0x7fffffff,0x3fffff88,0x7ffffd40,0x7fffff11,0xfffffa80,
    0x3ffffe21,0x02af6a01,0x01bffffe,0x7fffff70,0x3ffe6000,0x7fffcc1f,
    0x3ffffa01,0xffff300f,0xffffe83f,0x9800000f,0x806fffff,0x20fffffb,
    0x00ffffff,0x7777774c,0x02eeeeee,0x0009fff9,0xfffff980,0x7fcc0001,
    0x3fe61fff,0x3fe63fff,0x4404ffff,0x1cffffff,0xffffe800,0xfffa8007,
    0xffff16ff,0xfff9809f,0xffff12ff,0xffffffff,0xffffffff,0x23ffffff,
    0x07fffff8,0xffffe800,0x4c00002f,0x221fffff,0x403fffff,0x31fffffa,
    0xffffffff,0xffff513b,0x7ffc41ff,0x7fd403ff,0xfff11fff,0xffa807ff,
    0x3fe21fff,0x001cffff,0x0dfffff0,0xfffffb80,0xfff70003,0xffffb81f,
    0xfffff100,0xffffd807,0x7fffffc4,0xf9800000,0x402fffff,0x7c7fffff,
    0x400fffff,0xfffffff9,0x503fffff,0x0000dfff,0x3ffffae6,0xd730001f,
    0x4c3fffff,0x743fffff,0x04ffffff,0x7ffffff4,0xe800bdff,0x8007ffff,
    0x15fffffa,0x809fffff,0x12fffff9,0xffffffff,0xffffffff,0xffffffff,
    0x7fffc1ff,0x7c0000ff,0x001fffff,0xfffd7300,0x7ffc43ff,0x7fd403ff,
    0xfff11fff,0xf303ffff,0x7c4bffff,0x5403ffff,0xf11fffff,0xa807ffff,
    0x741fffff,0xffffffff,0xfff000bd,0xfb800dff,0x0003ffff,0xf90dfff9,
    0x7fcc0dff,0x7dc02fff,0x7ff45fff,0x00001fff,0xffffff98,0xffff901e,
    0xffffe89f,0x7ffcc01f,0xffffffff,0xffff103f,0x3fb2a000,0xffffffff,
    0xffd95001,0x3fffffff,0x1fffffcc,0x3fffffa2,0x3ffee04f,0xffffffff,
    0xfffd01ce,0xff5000ff,0x3fe2bfff,0x7cc04fff,0x3fe2ffff,0xeeeeffff,
    0xeeeeeeee,0x7fffffee,0x0ffffff4,0xffff1000,0x654000ff,0xfffffffe,
    0x3ffe21ff,0x7fd403ff,0x3ffe1fff,0x3f204fff,0x3fe27fff,0x7d403fff,
    0xff11ffff,0xfa807fff,0x7dc1ffff,0xffffffff,0x3e01ceff,0x4006ffff,
    0x02fffffb,0x0bfffd00,0x540bfffd,0xccdfffff,0xffdccccc,0x7ffec6ff,
    0x800002ff,0xfffffff9,0xfffb30bf,0xffd81fff,0x7cc02fff,0xffffffff,
    0x3fa03fff,0xdb8801ff,0xffffffff,0x101fffff,0xffffffb7,0x3fffffff,
    0x1fffffcc,0x7fffffc4,0x3fff203f,0xffffffff,0x7ff41dff,0xfb8007ff,
    0xff15ffff,0xf9809fff,0x3fe2ffff,0x8001ffff,0x47fffff9,0x02fffffd,
    0x3fffe600,0x36e2006f,0xffffffff,0x221fffff,0x403fffff,0x21fffffa,
    0x01ffffff,0x43ffffea,0x03fffff8,0x8fffffd4,0x03fffff8,0x0fffffd4,
    0x7fffffe4,0xdfffffff,0x7fffff81,0x7fffdc00,0xddd7002f,0xdddfffff,
    0xddfffffd,0x3ffee5dd,0xffffffff,0x7fffffff,0x1fffffe4,0x7fcc0000,
    0xffffffff,0xffffffff,0xfffffd84,0x7fffcc03,0xffffffff,0x0ffff203,
    0xfffffd10,0xfffdffff,0xffd103ff,0xdfffffff,0x4c3fffff,0x303fffff,
    0x3fffffff,0x7ffffe40,0xffffffff,0x3ffffa2f,0xfffb8007,0xffff15ff,
    0xfff9809f,0x3fff62ff,0xfb8003ff,0x7e46ffff,0x0003ffff,0x17ffffea,
    0x7ffff440,0xffefffff,0x3fe21fff,0x7dc03fff,0x3fa1ffff,0x2600ffff,
    0xf11fffff,0xb807ffff,0xf11fffff,0xb807ffff,0x901fffff,0xffffffff,
    0x85ffffff,0x007fffff,0x17ffffdc,0xfffffc80,0xffffffff,0xffffffff,
    0xffffff92,0xffffffff,0x5c1fffff,0x003fffff,0xff302c98,0xffffbfff,
    0xdfffffff,0xfffff701,0x3333300b,0x7fffff93,0x02fffd40,0xfffffff3,
    0xfff3157d,0xfff983ff,0x8abeffff,0x21fffff9,0x03fffff9,0x3fffffe6,
    0x7ff5c406,0xffffffff,0xffffd0ff,0xfff7000f,0x3ffe29ff,0x7fcc04ff,
    0x3fee2fff,0xd8005fff,0x5c4fffff,0x007fffff,0x3fffffa0,0xffff9804,
    0x98abefff,0x221fffff,0x403fffff,0x21fffffb,0x00fffffd,0x4bffffe2,
    0x03fffff8,0x8fffffdc,0x03fffff8,0x0fffffdc,0xffffd710,0xffffffff,
    0x3fffff41,0x3ffff200,0xfff9002f,0xffffffff,0xffffffff,0x3fff25ff,
    0xffffffff,0xffffffff,0x3ffffe60,0xfffc8006,0xffff30ad,0xffffd37f,
    0x440bffff,0x01ffffff,0xfffff700,0x3fffc407,0x7fffffd0,0xfffff301,
    0xfffffe83,0xffff980b,0x3fffe61f,0x7ffcc03f,0x51000fff,0xffffffd9,
    0x3fffa9ff,0xffc8007f,0xfff13fff,0xff9809ff,0x3fe62fff,0x2000ffff,
    0x1ffffff8,0x7fffffcc,0xfffa8003,0xfe802fff,0x980bffff,0x221fffff,
    0x403fffff,0x21fffffb,0x01fffffc,0x47ffffe6,0x03fffff8,0x8fffffdc,
    0x03fffff8,0x0fffffdc,0xffeca880,0x24ffffff,0x00fffffd,0x3fffff60,
    0xffff9001,0xffffffff,0xffffffff,0x3fffee5f,0xf880000f,0x002fffff,
    0x97fffffc,0x13fffff9,0x7dfffffb,0xfffffd00,0x3fee000b,0x7fc03fff,
    0xfff881ff,0x3fea05ff,0x3fe21fff,0x3ea05fff,0x3e61ffff,0xb803ffff,
    0x002fffff,0xffffd710,0x3ffffabf,0xfffe8007,0xcc9802ff,0x7f4001ac,
    0x2005ffff,0x07fffffd,0x1ffffffb,0xffffe800,0xfff8806f,0x3fea05ff,
    0x3fe21fff,0x7e404fff,0x3ee1ffff,0x2603ffff,0xf10fffff,0xc809ffff,
    0xf11fffff,0xc809ffff,0x001fffff,0xffffd710,0x7fffe4bf,0xfff1003f,
    0x2a001fff,0xceffffcc,0xeffffccc,0xf31ccccc,0x0005ffff,0x3fffff20,
    0x3ffee006,0x3ffe67ff,0x09a983ff,0x3fffee00,0xfb8001ff,0x6c03ffff,
    0xffa83fff,0x3ee01fff,0x3ea1ffff,0x2e01ffff,0x261fffff,0x803fffff,
    0x24fffff8,0x806ecba9,0xfd6fffff,0x8800ffff,0x01ffffff,0xefffffb8,
    0xffff5001,0xff5007ff,0x2209ffff,0x1effffff,0xffffd880,0xffa801ff,
    0x3ee01fff,0x3e21ffff,0x7405ffff,0x221fffff,0x206fffff,0x227ffffc,
    0x405fffff,0x11fffffe,0x80bfffff,0x21fffffe,0x806ecba9,0x2e6fffff,
    0x00ffffff,0x7fffffd8,0xffff8800,0x1ffffc43,0x3ffffe20,0x04d66c04,
    0xffffff88,0xffff9804,0x3ffe64ff,0x200003ff,0xffffffe8,0x3ffee002,
    0x7dc03fff,0xfffb85ff,0xfff103ff,0x7fdc3fff,0xff103fff,0x7cc3ffff,
    0x0a83ffff,0x8fffffe2,0x03fffffd,0xea7ffffc,0x0207ffff,0x1ffffff2,
    0x7ffff5c0,0xffb000ff,0x101bffff,0xdffffff9,0xfffffb80,0xff500bff,
    0x00bfffff,0x0fffffee,0x7fffffc4,0x7fffffc1,0xfffff900,0xffffc83f,
    0xffff984f,0x7ffffc5f,0xffff900f,0x7fffc3ff,0xfff900ff,0x7fec3fff,
    0x7fc03fff,0x3fe24fff,0x302effff,0x7ffffff9,0xffff3000,0x1ffff983,
    0xfffffd80,0xfffff701,0x3fffee0b,0xff701eff,0x4c1fffff,0x003fffff,
    0x7fffcc00,0x5100dfff,0xffffffff,0x7fff9807,0xefffff98,0x7ffff4c0,
    0x3ffe61ff,0x7f4c0eff,0x261fffff,0x223fffff,0xffd99efd,0x3fea2fff,
    0x440affff,0xd2fffffc,0x7c0fffff,0xffffecdf,0xf98004ff,0xf1001fff,
    0xdfffffff,0xfffffd99,0xfd003fff,0xdfffffff,0xfffffd9b,0x2001ffff,
    0x0efffff9,0x7fffff4c,0x7fffec1f,0x3ff261ef,0x441fffff,0xadffffff,
    0xffffffda,0x7ffffec1,0x3fff261e,0x3f61ffff,0x261effff,0xfffffffc,
    0x3ffffea1,0x7fe440af,0x7fe42fff,0xcdefffff,0xfffffffd,0xfb8000ff,
    0x7fdc0fff,0xfff3007f,0xffa85fff,0x3a01ffff,0xffffffff,0xfffffecd,
    0x7fcc4fff,0x00003fff,0xffffffc8,0xffdcdfff,0xffffffff,0xffff803f,
    0x7ffffc41,0xffffcdff,0x222fffff,0xdfffffff,0xfffffffc,0x3ffe62ff,
    0xffff73ff,0xffffffff,0xfffffe81,0xfffeddff,0xffd0efff,0x3fee0fff,
    0xffffffff,0xffb0001f,0x7fcc005f,0xffffffff,0xffffffff,0xffff3003,
    0xffffffff,0xffffffff,0x7ffc4005,0xffcdffff,0x2fffffff,0x7fffffdc,
    0xffffffff,0xfc81ffff,0xffffffff,0xb84fffff,0xffffffff,0xffffffff,
    0x3ffee1ff,0xffffffff,0x1fffffff,0x7ffffff4,0xffffeddf,0x7fc40eff,
    0xffffffff,0xffffffff,0xff90004f,0xdfff90df,0x7fffec00,0xffffefff,
    0x7cc05fff,0xffffffff,0xffffffff,0xffff985f,0xb000003f,0xffffffff,
    0xffffffff,0x01bfffff,0x707fffb0,0xffffffff,0xffffffff,0xffffb89f,
    0xffffffff,0x264fffff,0xf33fffff,0xffffffff,0xffd105ff,0xffffffff,
    0x741fffff,0xfd07ffff,0xffffffff,0x8998809f,0x07fffca9,0xfffffa80,
    0xffffffff,0x44002fff,0xfffffffd,0xffffffff,0xfb8000df,0xffffffff,
    0xffffffff,0xfffffd84,0xf9ffffff,0xd881ffff,0xffffffff,0x3606ffff,
    0xffffffff,0xffff9fff,0x7fffec1f,0x9fffffff,0x441fffff,0xfffffffe,
    0xffffffff,0xffffd300,0xffffffff,0x001bffff,0x213fffa0,0x4004fffe,
    0xfffffffd,0x0effffff,0xffffd880,0xffffffff,0xff305fff,0x00007fff,
    0x7ffffdc0,0xffffffff,0x03ffffff,0x413ffee0,0xfffffffd,0xfffc8eff,
    0xffffd87f,0xc8efffff,0x3e67ffff,0x3e63ffff,0xffffffff,0x3fff6204,
    0xffffffff,0x7fff41ef,0xffff987f,0x05ffffff,0xffffffb8,0x30002fff,
    0xfffffffb,0x03dfffff,0x7fffd400,0xffffffff,0x6c0003ff,0xffffffff,
    0xffffc8ef,0xffffe887,0xff0effff,0x7dc03fff,0xffffffff,0x7ff4404f,
    0x0effffff,0x883fffff,0xfffffffe,0xfffff0ef,0xffffb103,0xffffffff,
    0xfff7003d,0xffffffff,0x40005fff,0xf83ffff8,0xb8003fff,0xffffffff,
    0x4000efff,0xfffffffb,0x03ffffff,0x0fffffe6,0xfd300000,0xffffffff,
    0x07ffffff,0x0dfff300,0x7fffff54,0x3fffe63e,0xfffea82f,0x3fe63eff,
    0xfff32fff,0xfec987ff,0x3001efff,0xfffffffb,0x3ffa05df,0xfeb887ff,
    0x03ffffff,0xffffff70,0x3000039f,0xfffffffd,0x200003bf,0xffffedc8,
    0x000cdfff,0xffffd500,0x7ffcc7df,0xfec882ff,0x3e0cefff,0x5401ffff,
    0xeffffffd,0xffd91002,0x7fc19dff,0xec881fff,0x20ceffff,0x201fffff,
    0xffffffd9,0x4c002eff,0xffffffed,0x0000ceff,0x20ffffcc,0x001ffff9,
    0xffffdb50,0x40005dff,0xfffffdc8,0x4c00bfff,0x003fffff,0xff930000,
    0x9dffffff,0xff800037,0x554c00ff,0x53000009,0x00000135,0x0002aa20,
    0x01aaa998,0x75530000,0xa9880035,0x00009aaa,0x35555300,0x26000000,
    0x000009aa,0x004d54c0,0x01551000,0x2aa60000,0x55440001,0x2a200000,
    0x9800000a,0x0001aaa9,0x026aa620,0x99930000,0x09999309,0x2aa62000,
    0x88000009,0x40009aaa,0x00099999,0xa9880000,0x800001aa,0x0001cccb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x03cdeecb,0x33b2a200,
    0x5555540a,0x1bca9801,0x55000000,0x2aa23555,0x00000aaa,0x00555555,
    0x0aaaaa98,0xffedb980,0x0001acde,0x04d65d4c,0xeca88000,0x01acdefe,
    0xaa880000,0x55551aaa,0x55550055,0xdba88035,0x5554c1bd,0xaaa8801a,
    0x2aa000aa,0x98001aaa,0x000aaaaa,0x55555400,0x35555501,0x446aaaa2,
    0x00019999,0x15555540,0x2aaaa200,0xcccc801a,0xcccccccc,0xffffe803,
    0x3333311f,0x13333300,0xf8817fdc,0xffffd16f,0x3fea001f,0xefffffff,
    0x7ffe4002,0xfb0dffff,0x7e407fff,0x1dffffff,0xff100000,0x3fe67fff,
    0x00002fff,0x00dfffff,0x3fffffb8,0x3ffffaa0,0xcfffffff,0x7ffdc000,
    0x00dfffff,0xffff9100,0xffffffff,0x54000009,0xfb4fffff,0xff00dfff,
    0x7dc09fff,0x0effffff,0x009ffff9,0x05fffff3,0x27ffffc0,0x7fffe400,
    0x7c00001f,0xff04ffff,0x3fea9fff,0xffffd5ff,0x7c00001f,0x4007ffff,
    0x04fffffa,0xfffffff8,0x406fffff,0x21fffffa,0x00fffffe,0x8fffffe2,
    0xff706ff9,0x7ffffc49,0xffffa803,0xffffffff,0xfffe9804,0x8effffff,
    0x983ffffd,0xfffffffe,0x00002fff,0x3fffff88,0x05fffff3,0x3fffe000,
    0x7fdc006f,0xffb03fff,0xffffffff,0x009fffff,0xffffffd3,0x009fffff,
    0xfffffe98,0xffffffff,0x800001ef,0xb4fffffa,0xf00dffff,0xb109ffff,
    0xffffffff,0xffff91df,0xffff3009,0x7ffc005f,0xfc8004ff,0x0001ffff,
    0x27ffffc0,0x54fffff8,0x3fabffff,0x0000ffff,0x1fffffe0,0xfffff500,
    0xfffff009,0xdfffffff,0x2ffffe80,0x07fffff4,0x7fffff10,0xa8adffe8,
    0x7cc1fffc,0x7dc07fff,0xffffffff,0x202fffff,0xfffffff8,0xfeefffff,
    0x7fcc3fff,0xffffffff,0x00004fff,0x9fffffc4,0x02fffff9,0xfffff000,
    0xfffb800d,0xfffd83ff,0xffffffff,0x02ffffff,0x3fffffa2,0xffffffff,
    0xffff9003,0xffffffff,0x09ffffff,0xfffa8000,0xffffb4ff,0xfffff00d,
    0xfffffd09,0xbdffffff,0x3009ffff,0x005fffff,0x027ffffc,0x7ffffe40,
    0x7fc00001,0xfff04fff,0x3ffea9ff,0xfffffd5f,0x7fc00001,0x54007fff,
    0x804fffff,0xffffffff,0x2606ffff,0xfe83ffff,0x2200ffff,0x4c3fffff,
    0xffffffff,0xffff304f,0x3fffea07,0xfffddfff,0xf900ffff,0x99dfffff,
    0xfffffffb,0xffffe87f,0xffffffff,0x200002ff,0x33fffff8,0x005fffff,
    0x3ffffe00,0x7ffdc006,0x7ffd43ff,0xffffffff,0xffffffff,0xfffff901,
    0xffffffff,0xffc801ff,0xffffffff,0xffffffff,0x200005ff,0xb4fffffa,
    0xf00dffff,0xfa89ffff,0xcdffffff,0xfffffffe,0xfff9804f,0x3fe002ff,
    0xc8004fff,0x001fffff,0x7ffffc00,0x9fffff04,0x757fffea,0x000fffff,
    0x7ffe65c0,0xcccccfff,0xfdcccccc,0x1cceffff,0x33333330,0x40133333,
    0xfd03fffd,0x4401ffff,0xa83fffff,0x4fffffff,0x837ffd40,0x0bfffffc,
    0x3fffff62,0xfffff883,0xfffe983f,0x3fee3fff,0xea9cffff,0x006fffff,
    0x3fffe200,0xfffff33f,0x3fe00005,0x5c006fff,0x643fffff,0x1aefffff,
    0x3ffff662,0xfff886ff,0xfb51cfff,0x4c09ffff,0xefffffff,0xfeca99ac,
    0x02ffffff,0xffff5000,0x3ffff69f,0xfffff806,0x7fffff44,0x7fff4c0d,
    0xf9804fff,0x2002ffff,0x004fffff,0x1fffffc8,0xff000588,0x3fe09fff,
    0xf9934fff,0x3ffffa9f,0x7f40000f,0xffffffff,0xffffffff,0xffffffff,
    0x00003fff,0x027ffcc0,0x01fffffd,0x1fffffc4,0x1cdedb88,0x05fff500,
    0x20bffffd,0x85fffff9,0x04fffffc,0x3fffffe6,0x3bffffe3,0xfffffd80,
    0xff100002,0x3fe67fff,0x00002fff,0x00dfffff,0x3fffffb8,0x037ffff4,
    0x3fffffe4,0x1fffffcc,0x06ffffe8,0x3ffffffa,0xffffb805,0x500006ff,
    0x369fffff,0xf806ffff,0x3ee4ffff,0x2206ffff,0x04ffffff,0x01333330,
    0x27ffffc0,0x7fffe400,0x0037cc1f,0x04fffff8,0x889fffff,0xffffd3ff,
    0xfe80001f,0xffffffff,0xffffffff,0xffffffff,0x00003fff,0x3ffa0000,
    0x55400fff,0x00002ffd,0xffff1000,0x7ffec05f,0xffffe86f,0x7ffec00f,
    0xffff33ff,0x3ffe205f,0x100006ff,0x267fffff,0x002fffff,0xdfffff00,
    0xffffb800,0x3fffe63f,0xfffd002f,0xfffb83ff,0xfff700ff,0x3fff20ff,
    0x26002fff,0x03ffffff,0xffffa800,0xdffffb4f,0x9fffff00,0x17ffffe4,
    0x3fffff20,0xf0000004,0x0009ffff,0x43fffff9,0xf0006ffb,0x3e09ffff,
    0x7d44ffff,0xfffffd2f,0xffe80001,0xffffffff,0xffffffff,0xffffffff,
    0x665403ff,0x00acceee,0xffffd000,0x3ff6001f,0x00000001,0x01fffff5,
    0xff004dcc,0xf500bfff,0x3ea7ffff,0x7ec07fff,0x4401ffff,0x221bceca,
    0xf33fffff,0x5445ffff,0xf801bcec,0x4006ffff,0x23fffffb,0x04fffffa,
    0x7fffff90,0x06ffffb8,0x41ffffe6,0x05ffffff,0xfffffb80,0x7d40000f,
    0xffb4ffff,0xfff00dff,0x7fff49ff,0xfff9807f,0xdd9004ff,0x7fc003dd,
    0xc8004fff,0xf91fffff,0x3e000dff,0xf824ffff,0x3ea4ffff,0x3ffffa6f,
    0x4c40000f,0x9ffffff9,0x99999999,0xfffffb99,0xff90099c,0xffffffff,
    0x5555405f,0xffffe81a,0x1fff000f,0x0d555540,0x0d555540,0x07ffffe6,
    0x3fffe000,0xfff9804f,0xffff73ff,0xffffb80f,0x3fff202f,0xf88dffff,
    0xff33ffff,0x3fee5fff,0x00efffff,0x01bffffe,0x7fffff70,0x7fffffc4,
    0x40198801,0x00fffff8,0x509ffff9,0x01ffffff,0x3ffffe00,0x7d40003f,
    0xffb4ffff,0xfff00dff,0x7fffc9ff,0xfff8806f,0xffd004ff,0x7fc005ff,
    0xc8004fff,0xfdafffff,0xf0005fff,0x5d19ffff,0xba7ffffc,0x3ffa1fff,
    0x00000fff,0x01fffffe,0x9fffff50,0xfffffd80,0xffffffff,0x9fffff03,
    0x1fffffd0,0x04ffd880,0x027ffffc,0x427ffffc,0x002fffff,0x7ffffcc0,
    0xffff8803,0xdffff93f,0xfffffa80,0xffffe983,0xf9efffff,0xff33ffff,
    0xfffb7fff,0x5fffffff,0x1bffffe0,0xfffff700,0xffffff87,0xd00001cf,
    0x3e07ffff,0xfc82ffff,0x0004ffff,0x13ffffee,0xffff5000,0x3ffff69f,
    0xfffff806,0xbfffff14,0x3ffffe00,0xfffff004,0x7fffc003,0xffc8004f,
    0xffffffff,0x3ffe0005,0x3e2fedff,0xdf34ffff,0xfffffe83,0x3fe00000,
    0x54007fff,0x204fffff,0xfffffffc,0xffffffff,0x4fffff83,0x0fffffe8,
    0x01bffe60,0x013ffffe,0x213ffffe,0x004ffffe,0x7ffffcc0,0xffff8803,
    0xfffff73f,0xfffffa80,0x7ffffc44,0xffffffff,0xf33fffff,0xffffffff,
    0xffffffff,0xfffff03f,0xfffb800d,0x7ffec3ff,0xbdffffff,0xfff70000,
    0xfd7139ff,0xfd01ffff,0x0005ffff,0x2fffffcc,0x3ffea000,0xffffb4ff,
    0xffff880d,0xfffff14f,0x3fffe009,0xfff9804f,0x7ffc007f,0xfc8004ff,
    0xffffffff,0x7ffc0004,0x3e2fffff,0x40a4ffff,0x00fffffe,0x3fffe000,
    0x7fd4007f,0xff104fff,0x999dffff,0x0dffffff,0xd09fffff,0x401fffff,
    0xf801eff9,0xf804ffff,0xfd84ffff,0x40006fff,0x04fffff8,0x3fffff98,
    0x01fffff5,0x2fffffdc,0x3ffffff2,0xffffdcce,0xff33ffff,0x9dffffff,
    0xffffffd9,0xdfffff0d,0xffffb800,0x7fff443f,0xffffffff,0x7dc001ce,
    0xffffffff,0xff00efff,0x0003ffff,0x3fffffc4,0x3ffea000,0xffffb4ff,
    0xffff880f,0x3ffffe4f,0xffff8805,0x7ff4404f,0x7fc005ff,0x26624fff,
    0xfffc8099,0x002fffff,0xffffff80,0x3fffe0ef,0xfffe804f,0x333100ff,
    0xffff8033,0xeeeeeeff,0xffeeeeee,0xff904fff,0x3fe03fff,0x7fc0ffff,
    0xffe84fff,0x16400fff,0x9fffff00,0x9fffff00,0x3ffffff6,0xffffffff,
    0xfffff002,0xffff500b,0x3fffe67f,0x3fffa03f,0x3ffe25ff,0xff983fff,
    0xf33fffff,0x05ffffff,0x5ffffff5,0x06fffff8,0x7ffffdc0,0xfffff983,
    0xffffffff,0x3a6003ef,0xffffffff,0x7fffc05f,0x7c0000ff,0x000fffff,
    0x3ffffea0,0x0fffffb4,0x4fffff98,0x01bffffa,0x13ffffe6,0xfffffe88,
    0x7fffc003,0x3ffff64f,0xfffffc86,0xf00001ff,0x81bfffff,0x804fffff,
    0x00fffffe,0x03fffff5,0x7ffffffc,0xffffffff,0xffffffff,0x9fdb7304,
    0x7ffffe40,0x27ffffc0,0x07fffff4,0x3ffe0000,0xfff804ff,0xffffb4ff,
    0xffffffff,0x3fa005ff,0x6c00ffff,0x3a3fffff,0xb80effff,0x26ffffff,
    0x04fffffc,0x3fffffe6,0xffffff33,0x7fffd407,0x7ffffc6f,0x7ffdc006,
    0xffd303ff,0xffffffff,0x200bffff,0xffffffe9,0xf100cfff,0x000fffff,
    0x3fffffd0,0x7ffd4000,0xffffb4ff,0x7ffd403f,0x3fff64ff,0xfffb807f,
    0xffd104ff,0xf000dfff,0x7ec9ffff,0xffc86fff,0x0000efff,0x17ffffe0,
    0x027ffffc,0x07fffff4,0x1fffffa8,0x3fffffe0,0xffffffff,0xffffffff,
    0xf300004f,0xff83ffff,0xffe84fff,0x00000fff,0x027ffffc,0xda7ffffc,
    0xffffffff,0x02ffffff,0x9fffff90,0x7ffffcc0,0x3fffea3f,0xffea9aef,
    0x3a7fffff,0x400fffff,0x33fffffd,0x00dfffff,0xf8fffffd,0x4006ffff,
    0x03fffffb,0x7fffffdc,0xffffffff,0x3fff200e,0xffffffff,0xfff882ff,
    0xe80007ff,0x002fffff,0x3ffffea0,0x7fffffb4,0x7ffffec0,0x3fffff24,
    0x7ffffc03,0xffff984f,0xf8001fff,0x3f64ffff,0x7f446fff,0x0001ffff,
    0x3ffffe20,0x9fffff04,0xfffffd00,0x3fffea01,0x3fffe01f,0xffffffff,
    0xffffffff,0x40004fff,0xfffffeb9,0x27ffffc1,0x07fffff4,0x3ffe0000,
    0xfff804ff,0xffffb4ff,0xffffffff,0x3e6005ff,0xa84fffff,0x3fffffff,
    0x7fffffec,0xffffffff,0x3fffe6ff,0xfffa805f,0xffff33ff,0xfff7009f,
    0x7fffc3ff,0x7fdc006f,0x93003fff,0xffffffff,0x701dffff,0x9bdfffff,
    0x5ffffffb,0x1ffffff0,0xffff8000,0x2a0001ff,0xfb4fffff,0x701fffff,
    0x49ffffff,0x0efffff9,0xffffff90,0xfffff989,0xff0001ef,0x7fec9fff,
    0x3ffa66ff,0x0001ffff,0xffffff30,0x3ffffe09,0xffffe804,0xffff500f,
    0x7fffc03f,0xffffffff,0xffffffff,0x54004fff,0xffffffec,0x7ffc1fff,
    0xfffe84ff,0x400000ff,0x804fffff,0x974fffff,0xfffffd99,0x00399999,
    0x7fffffec,0xffffecde,0x7443ffff,0xffffffff,0x5fffffff,0x09fffff1,
    0x7fffff30,0x0fffffe6,0x3ffffea0,0x1bffffe2,0xfffff700,0xfb730005,
    0xffffffff,0xfffff989,0xffffe985,0xfffffe87,0x3fe20001,0x40007fff,
    0xb4fffffa,0x5dffffff,0xfffff931,0xfffc89ff,0xfb30afff,0x49ffffff,
    0xeffffff8,0x3ffe0000,0x3fff64ff,0xfffff56f,0x00003fff,0xfffffff5,
    0x3ffffe09,0xffffe804,0xffff500f,0x7fffc03f,0x999999ff,0xffb99999,
    0x5c404fff,0xfffffffd,0x41ffffff,0xe84fffff,0x000fffff,0x7ffffc00,
    0xfffff804,0xfffff704,0xfff30000,0xffffffff,0x7fffffdf,0x3fffff20,
    0xffff8eff,0xfffff34f,0xffff1007,0x3fffe67f,0xfffa802f,0x3fffe3ff,
    0x7fdc007f,0x80002fff,0xffffffea,0x7ffffdc7,0xfffff300,0xfffffd87,
    0x3fe60002,0x40006fff,0xb4fffffa,0xffffffff,0xffffffff,0xfff889ff,
    0xffffffff,0x4fffffff,0x37fffff6,0x7ffc0000,0x2aaaa4ff,0xfffffb2a,
    0x00003fff,0xfffffffb,0x3ffffe09,0xffffe804,0x5555100f,0x7fffc015,
    0x7fd4007f,0x3a204fff,0xffffffff,0x1fffffef,0x427ffffc,0x00fffffe,
    0x7fffc000,0xffff804f,0xffffb04f,0x3a60000d,0xffffffff,0xfffff8df,
    0x3bf72603,0xfffff13d,0x3ffffe67,0xffff8803,0xfffff33f,0xffff3005,
    0x7ffffc7f,0x7ffdc007,0x200002ff,0x1ffffffb,0x017ffff6,0xc8bffffd,
    0x003fffff,0x3ffffea0,0x7fd40005,0xfffb3fff,0xffffffff,0x9ffffdff,
    0xffffff70,0xffbfffff,0x3fea9fff,0x00005fff,0x009fffff,0x3ffffff6,
    0xd80001ff,0x4fffffdf,0x09fffff0,0x1fffffd0,0x7ffc0000,0x7d4007ff,
    0xf304ffff,0x7dffffff,0xfffff315,0x4fffff83,0x0fffffe8,0x7ffc0000,
    0xfff804ff,0xffff04ff,0x4400009f,0xfffffffe,0x7fffff15,0x7ffcc000,
    0xffff12ff,0xfff3009f,0x3ffe67ff,0xffa803ff,0x3ffa2fff,0x7e4007ff,
    0xdb32ffff,0xe8007ffd,0x3e2fffff,0x6402ffff,0x7dc7ffff,0x0006ffff,
    0x13fffff6,0x40399553,0xb3fffffa,0xff5dffff,0xff99ffff,0x3fee09ff,
    0xbfffffff,0x94fffff8,0x001fffff,0x3ffffe00,0xfbbfb004,0x0003ffff,
    0x3fffe9b0,0xfffff04f,0xffffd009,0x7c00001f,0x4007ffff,0x04fffffa,
    0x17fffffd,0x3fffff30,0x84fffff8,0x00fffffe,0x7fffc000,0xffff804f,
    0xffff984f,0x4400002f,0x21bdfdb9,0x03fffff8,0x3fffea00,0x3ffffe2f,
    0xffffa804,0xfffff33f,0xffff7009,0x7fffec3f,0x3ff6001f,0xfff31fff,
    0xfc800bff,0xff32ffff,0xfc803fff,0x7fcc7fff,0x8003ffff,0x2ffffffa,
    0x0fffffe6,0x3fffffb8,0x2edffffb,0xff94ffff,0x7f4c09ff,0xf12effff,
    0x3fa9ffff,0xd1005fff,0xfff83579,0x29b004ff,0x01fffffc,0x3ffe1800,
    0xffff04ff,0xfffd009f,0x400001ff,0x007fffff,0x27ffffd4,0x2fffffc4,
    0x3fffff50,0x84fffff8,0x00fffffe,0x7fffc000,0xffff804f,0xffffd84f,
    0x00000005,0x0bffffe6,0xfd802a62,0x3fa0ffff,0xfb807fff,0xff33ffff,
    0xf900dfff,0x7e41ffff,0x1005ffff,0x41ffffff,0x01ffffff,0x3fffff60,
    0x7fffff11,0x6ffffd80,0xffffffd8,0x7fff4000,0xffff86ff,0x3fff204f,
    0xffffb2ff,0x0000ba8d,0xff103530,0x3ffa9fff,0xff7005ff,0xffff8fff,
    0x7e43004f,0x0001ffff,0x27ffffc0,0x04fffff8,0x0fffffe8,0x3ffe0000,
    0x7d4007ff,0xfa84ffff,0x2e01ffff,0x7c1fffff,0xfe84ffff,0x0000ffff,
    0x27ffffc0,0x27ffffc0,0x03fffff6,0x26aea000,0xffff3000,0x7ffff43f,
    0xfffff105,0xfffffd89,0x3fffe201,0xffff33ff,0x7fc403ff,0x7fdc7fff,
    0xd802ffff,0x6c7fffff,0x006fffff,0x1ffffff5,0x02fffffc,0x09fffff1,
    0xdffffff1,0xfffb1003,0xfff03fff,0x7ff40fff,0xfffb0fff,0x000000df,
    0x7ffffc40,0x1fffff94,0x9ffffd00,0x04fffff8,0xfffffc80,0x7fc00001,
    0xfff04fff,0xffd009ff,0x00001fff,0x03fffffc,0x3ffffea0,0xfffffb84,
    0xfffff103,0xfffff83f,0xfffffe84,0x7fc00000,0xff804fff,0x3ff24fff,
    0xbccbbfff,0xf7017101,0x401dffff,0x20fffffc,0x80fffffd,0x40fffffd,
    0x0ffffffa,0xffffff90,0x3ffffe67,0xfff900ff,0xfff889ff,0x9102ffff,
    0x87ffffff,0xeffffffa,0x3fffee01,0x7ffec6ff,0xfff902ff,0x3ff207ff,
    0x00bfffff,0xfffffff5,0x3ffff60b,0xffffb85f,0x3ffff67f,0x00000006,
    0x53ffffe2,0x04fffffa,0x0fffffe4,0x013ffffe,0x3fffff20,0x7fc00001,
    0xfff04fff,0xffd009ff,0x00001fff,0x03fffffc,0x3ffffea0,0xfffff984,
    0x7fff4c0e,0x7ffc1fff,0xfffe84ff,0x400000ff,0x804fffff,0xf74fffff,
    0xffffffff,0xdb9dffff,0xfff309ff,0xf7109fff,0xfa8dffff,0xa9beffff,
    0x05fffffd,0x5dfffffd,0x3ffff661,0xfff33fff,0x217fffff,0xffffffd9,
    0xfffffc80,0xfeccdeff,0x07ffffff,0xfffffffb,0xfffb999d,0xb85fffff,
    0x9cffffff,0xfffffeb8,0x3fffa00f,0xcdefffff,0xfffffffe,0xfff500ff,
    0xfd9bffff,0x6c9fffff,0x0006ffff,0x3fe20000,0xffd14fff,0x64c3bfff,
    0x87fffffe,0x004fffff,0xffffffc8,0xffffffff,0xf07fffff,0x3e09ffff,
    0xe804ffff,0xffffffff,0xffffffff,0xfff86fff,0x7d4007ff,0xf884ffff,
    0xcdffffff,0xffffffff,0x7ffffc2f,0xfffffe84,0xffffffff,0x06ffffff,
    0x009fffff,0x2a9fffff,0xffffffff,0xffffffff,0xff80ffff,0xdeffffff,
    0xffffffff,0x7ffffc41,0xffffffff,0xfff301ff,0xffffffff,0x7fffffff,
    0x3fffffe6,0xffffffff,0xf103ffff,0xffffffff,0xffffffff,0x3fe207ff,
    0xffffffff,0xffffffff,0xffffb05f,0xffffffff,0xf9805fff,0xffffffff,
    0xffffffff,0x7f402fff,0xffffffff,0x20ffffff,0x006ffffd,0x3e200000,
    0x3e64ffff,0xffffffff,0xffffffff,0x4fffff82,0xffffc800,0xffffffff,
    0x7fffffff,0x09fffff0,0x013ffffe,0x3ffffffa,0xffffffff,0xf86fffff,
    0x4007ffff,0x04fffffa,0xfffffff7,0xffffffff,0xffff89ff,0xffffe84f,
    0xffffffff,0x6fffffff,0x09fffff0,0x49fffff0,0xfffffffe,0xffffffff,
    0xfa83ffff,0xffffffff,0x4fffffff,0xffffff30,0x5fffffff,0xfffffc80,
    0xdcffffff,0xff33ffff,0xffff5fff,0xdfffffff,0xffffe980,0xffffffff,
    0x4c05ffff,0xffffffff,0xffffffff,0x7fff406f,0xffffffff,0xfb1005ff,
    0xffffffff,0xdfffffff,0xffff3001,0xffffffff,0xfffd85ff,0x0000006f,
    0x3ffffe20,0x7ffffd44,0xffffffff,0xffff03ff,0xff90009f,0xffffffff,
    0xffffffff,0x3fffe0ff,0xfffff04f,0xffffd009,0xffffffff,0xdfffffff,
    0x0ffffff0,0xfffffa80,0x3ffff604,0xc8efffff,0x7fc7ffff,0xffe84fff,
    0xffffffff,0xffffffff,0xfffff06f,0xfffff009,0x7ffffdc9,0xffffffee,
    0x07ffffff,0xfffffff7,0xbfffffff,0x7fffdc01,0x0effffff,0xfffff700,
    0x3f67ffff,0xfff33fff,0x3fffe6ff,0x004fffff,0xffffffb1,0xffffffff,
    0x3ff62005,0xffffffff,0x400cffff,0xffffffd8,0x004fffff,0xffffffa8,
    0xffffffff,0x7ff54003,0xffffffff,0xffffd81f,0x00000006,0x13ffffe2,
    0x3fffffa6,0x2effffff,0x13ffffe0,0x3ffff200,0xffffffff,0x7fffffff,
    0x09fffff0,0x013ffffe,0x3ffffffa,0xffffffff,0xf86fffff,0x4007ffff,
    0x04fffffa,0x7fffff54,0x3fffe63e,0x3ffffe2f,0xfffffe84,0xffffffff,
    0x06ffffff,0x009fffff,0x449fffff,0xdb980aef,0xdfffffff,0x3fff2602,
    0xefffffff,0xfffb3001,0x0009dfff,0xbfffffb3,0x9ffffec5,0x227ffff9,
    0x2efffffd,0xfffda800,0xcfffffff,0xffd98000,0xefffffff,0x7f4c001c,
    0x1effffff,0x3b722000,0xdfffffff,0xf910000c,0x7fffffff,0x3ffff601,
    0x00000006,0x13ffffe2,0xfffffea8,0xff803cef,0xc8004fff,0xffffffff,
    0xffffffff,0xfff07fff,0x3ffe09ff,0xffe804ff,0xffffffff,0xffffffff,
    0xfffff86f,0x7ffd4007,0x553004ff,0x3fe00013,0xffe84fff,0xffffffff,
    0xffffffff,0xfffff06f,0xfffff009,0x54c00189,0x220009aa,0x9abccba9,
    0x75310000,0x54c00003,0x4c000001,0x3000009a,0x01555555,0x5d4c4000,
    0x80000aaa,0x001aba98,0x26aa6000,0x98800000,0x98801aaa,0x00000999,
    0x4cccc000,0x35310009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13000000,0x5540d540,0x00001aaa,0xccccccb8,0x004ccccc,0xaaaaa800,
    0xaaaaaaaa,0xaaaaaaaa,0x001aaaaa,0x1fffffe8,0x7ffff400,0x7fffc41f,
    0x037ffec3,0x33333332,0x203ccccc,0xaaaaaaaa,0xaaaaaaaa,0x0aaaaaaa,
    0x55555550,0x35555555,0x12200001,0xfffff880,0x99997005,0x99999999,
    0x7ff40000,0x20000fff,0x00aaaaaa,0x35555530,0x55401300,0x5fffe801,
    0x007fffdc,0x7ffffc40,0x5555000e,0x55555555,0x00001355,0x017ffff6,
    0x85ffff30,0x4405fffe,0x2bcefdca,0x10d55554,0x415dfff9,0xfff82ffb,
    0x800004ff,0xfffffffe,0x0007ffff,0x7ffffd40,0xffffffff,0xffffffff,
    0x004fffff,0x17ffffd4,0x3fffea00,0xffff502f,0x07fffee3,0xfffffff0,
    0x20dfffff,0xfffffff8,0xffffffff,0xffffffff,0xffffff01,0xffffffff,
    0x40007dff,0x3fa006fb,0x803fffff,0xfffffffe,0x0007ffff,0xffffff90,
    0x7fdc000b,0xff004fff,0x2203ffff,0x20befffb,0xf8803ffa,0xfff33fff,
    0x3ee0005f,0x2001ffff,0xffffffff,0xffffffff,0x7ec0003e,0xb8005fff,
    0xff90ffff,0x7f4401df,0x47ffffff,0x364fffff,0xefffffff,0x7532fffd,
    0x55bfffff,0x40003555,0xfffffffe,0x0007ffff,0x7fffff40,0xffffffff,
    0xffffffff,0x004fffff,0x017ffff4,0x17ffff40,0x2bbfff20,0xf803ffff,
    0xffffffff,0xff106fff,0xffffffff,0xffffffff,0x203fffff,0xffffffff,
    0xffffffff,0x2a002fff,0xf7006ffe,0x1fffffff,0xfffffe80,0x07ffffff,
    0xffff9800,0x0002ffff,0x03fffffe,0xbfffff70,0x7ffffe40,0x2fffdeff,
    0x3ffff500,0x000bffff,0x00fffffc,0x3fffffe0,0xffffffff,0x002fffff,
    0x0bffffb0,0x37fffa00,0x201ffffb,0xffffffe8,0x7fffc5ff,0xfffff14f,
    0xffffffff,0x7fffffdc,0x3fffffff,0x3fffa000,0xffffffff,0x3ea00007,
    0xffffffff,0xffffffff,0xffffffff,0x3e6004ff,0x98003fff,0xd003ffff,
    0xbfffffff,0x3ffffe00,0x6fffffff,0xffffff10,0xffffffff,0xffffffff,
    0x3fffe03f,0xffffffff,0xffffffff,0xffffc803,0xffff9806,0x406fffea,
    0xfffffffe,0x0007ffff,0x667fffc4,0x0000ffff,0x09fffff7,0x1fffffe8,
    0xffffff10,0x1fffffff,0x7fffec00,0x0000ffff,0x005ffff5,0xfffffff0,
    0xffffffff,0x007fffff,0x0bffffb0,0x3fffe200,0x6c04ffff,0xffffffff,
    0x7ffffc4f,0x731bff34,0x45fffffd,0xfffffffb,0x03ffffff,0x26666200,
    0x19999999,0x3ffa0000,0xffffffff,0xffffffff,0xffffffff,0x3ff6004f,
    0xffb0003f,0x7fcc007f,0x000fffff,0x33333333,0x22013333,0xffffffff,
    0xffffffff,0x1fffffff,0xfffffff0,0xffffffff,0x05ffffff,0x06ffffd8,
    0x8a7fff44,0x2203ffff,0x99999999,0x40001999,0x3fa6fffd,0xf10005ff,
    0x201fffff,0x05fffffa,0x2e637fe6,0x03fffffd,0x7ffff440,0x3a0002ff,
    0xf0002fff,0xffffffff,0xffffffff,0x8005ffff,0x005ffffd,0x3ffffea0,
    0xffff806f,0x41cbbdff,0xd34fffff,0x0797103d,0xfffffff7,0x07ffffff,
    0x00000000,0xfffff300,0x7fffff49,0xcccccccc,0x02cccccc,0x009fff30,
    0x013ffe60,0x3ffffee0,0x00000002,0x99999999,0x9dfffffb,0x19999999,
    0x3fffffe0,0xeccccccc,0x6fffffff,0x37fffec0,0x51bfff60,0x0003ffff,
    0xff500000,0x7ffc41ff,0xff90003f,0x3fa07fff,0x2601ffff,0xbcb882ee,
    0xfff30000,0x540009ff,0x20003fff,0xccffffff,0xffeccccc,0x006fffff,
    0x0155554c,0x3ffff600,0xffff801f,0xffff806f,0x5300004f,0x5bfffff7,
    0x00035555,0x00000000,0x41fffffb,0x007ffffe,0x00000000,0x00000000,
    0x40000000,0x04fffffa,0x3ffffe00,0xfffe9807,0x3f603fff,0x00006fff,
    0x00000000,0x80000000,0x87fffff8,0x05fffffa,0x00000000,0x00000000,
    0x0ffffff0,0xfffffd30,0x0000007f,0x3e200000,0xf804ffff,0x0004ffff,
    0x4fffff80,0x2a200000,0x00abdedc,0x3ffe6000,0x7fff45ff,0x0000007f,
    0x00000000,0x2a200000,0x001acddb,0xfffff500,0x7ffc0009,0x3f2007ff,
    0x220fffff,0xfffffeaa,0x00001aaa,0x06aaaaa2,0x15555510,0x00000000,
    0x7ffffe40,0x7fffff43,0x00000001,0x00000000,0xfffff000,0x7ffe400f,
    0x00000fff,0x88000000,0x803fffff,0x204fffff,0x801aaaaa,0x4c4fffff,
    0x4001bddb,0xffffffc8,0x0000dfff,0x1fffffc8,0x03fffff4,0x55555000,
    0xacddb981,0x55555100,0x20566dc4,0x222aaaa8,0x5c00acdb,0xffffffff,
    0x7d40001e,0x0004ffff,0x01fffffe,0x9fffffd0,0x7fffffd4,0x405fffff,
    0x101aaaaa,0x807fffff,0x31fffffa,0x98035555,0x4c02aaaa,0xf102aaaa,
    0x7ccdffff,0x2a05ffff,0x5cc0aaaa,0x2a00acdd,0x5cc0aaaa,0x2600acdd,
    0xaaaaaaaa,0xaaaaaaaa,0x3ffffe02,0x7fff4007,0x5554c4ff,0xaaaaaaaa,
    0x4c2aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x3ffffe22,0xfffff803,0x3ffffe04,
    0xfffff804,0xfffffd34,0xff5007ff,0xffffffff,0x40005fff,0x86fffff8,
    0x007ffffe,0xfffff100,0x3ffffe61,0xff983fff,0xffff57ff,0x7ffcc5ff,
    0xfffff57f,0xfffd105f,0xffffffff,0x7fd40007,0x20004fff,0x007fffff,
    0x3fffffd4,0xfffffff5,0xf80bffff,0xf104ffff,0xa807ffff,0xf71fffff,
    0xfe80dfff,0x7f407fff,0x3f205fff,0xffb2ffff,0x3e203fff,0xff30ffff,
    0x07ffffff,0x21fffff1,0xfffffff9,0xffff703f,0xffffffff,0x201fffff,
    0x007fffff,0x3fffffd4,0x3fffffee,0xffffffff,0x3fee0fff,0xffffffff,
    0x0fffffff,0x07fffff1,0x09fffff0,0x027ffffc,0x567ffffc,0xffffffff,
    0x3fee02ff,0xffffffff,0x004fffff,0x5fffff90,0x0fffffd0,0x3ffe2000,
    0xffffa8ff,0x45ffffff,0xf9fffff9,0x20ffffff,0xf9fffff9,0x40ffffff,
    0xfffffff8,0x4fffffff,0xffff5000,0x7fc0009f,0xf8007fff,0xf50fffff,
    0xffffffff,0xfff80bff,0xfff104ff,0xffa807ff,0xfff31fff,0x3fe201ff,
    0xf101ffff,0x4405ffff,0xf8dfffff,0x2205ffff,0xfa8fffff,0xffffffff,
    0x7fffc45f,0xfffffa8f,0xb85fffff,0xffffffff,0xffffffff,0xfffff00f,
    0xffff000f,0x7ffdc1ff,0xffffffff,0x20ffffff,0xfffffffb,0xffffffff,
    0xffff10ff,0xffff007f,0x7fffc09f,0xffff804f,0xffffffef,0x81ffffff,
    0xfffffff9,0xffffffef,0x7c4002ff,0xfd06ffff,0x0000ffff,0x33ffffe2,
    0xffffffff,0x3e62ffff,0xfffeffff,0x7fcc5fff,0xffffefff,0xfffd85ff,
    0xfffcdfff,0x8001ffff,0x04fffffa,0x3ffffe00,0xfffd8007,0xffff52ff,
    0xbfffffff,0x4fffff80,0x7fffff10,0xfffffa80,0x0fffffa1,0x7fffffd4,
    0xfffff503,0xffffc801,0x1fffffcf,0x3ffffe20,0xfffffffc,0x222fffff,
    0xffcfffff,0xffffffff,0x7ffdc2ff,0xffffffff,0x00ffffff,0x00ffffff,
    0x5fffffb0,0x7fffffdc,0xffffffff,0x3fee0fff,0xffffffff,0x0fffffff,
    0x07fffff1,0x09fffff0,0x027ffffc,0x7ffffffc,0xfffeccef,0xffe86fff,
    0x6c42ffff,0x00ffffff,0x3ffffee0,0xfffffd03,0xffffffff,0x887fffff,
    0xffffffff,0xffffecdf,0x3ffe66ff,0xffffffff,0x7fffcc2f,0xffffffff,
    0x7ffffcc2,0x7fff540d,0xffa8005f,0x20004fff,0x007fffff,0x3fffffc8,
    0xffffd331,0xf801333d,0xf104ffff,0xa807ffff,0x321fffff,0xf905ffff,
    0x20bfffff,0x805ffffc,0xfffffff8,0x7c405fff,0xffffffff,0xfffffecd,
    0x3fffe26f,0xecdfffff,0x46ffffff,0xfffffffb,0xffffffff,0xffff00ff,
    0xff9000ff,0x7fdc7fff,0xffffffff,0x0fffffff,0x3fffffee,0xffffffff,
    0xfff10fff,0xfff007ff,0x7ffc09ff,0xfff804ff,0xfa82ffff,0x7cc7ffff,
    0x200effff,0x04fffffc,0x3fffffe0,0xfffffd00,0xffffffff,0x887fffff,
    0x3fffffff,0xffffffb8,0xffffff30,0x81fb57bf,0xfffffff9,0x740fdabd,
    0x300fffff,0x003fffff,0x4fffffa8,0x7fe66400,0xccccffff,0xfff700cc,
    0xfffb09ff,0xfff800df,0xfff104ff,0xffa807ff,0x3fe61fff,0xfffd07ff,
    0x3fe0ffff,0xeed83fff,0xffffffee,0xeeeeffff,0x3fffe24e,0xffb83fff,
    0xff10ffff,0x707fffff,0x41ffffff,0x9aaaaaa9,0xfffffe99,0x7fe6642f,
    0xccccffff,0xfff700cc,0x5554c9ff,0xfe999aaa,0x4c2fffff,0x99aaaaaa,
    0xffffffe9,0x3ffffe22,0xfffff803,0x3ffffe04,0xfffff804,0x3fff603f,
    0x3ffee1ff,0x7fc402ff,0xf7007fff,0x7409ffff,0xffffffff,0xffffffff,
    0x7ffc43ff,0x3f605fff,0xff30ffff,0x200bffff,0x5ffffff9,0xfffff880,
    0x7fffec03,0x7ffd4004,0x7fc004ff,0xffffffff,0x701fffff,0xb09fffff,
    0x800dffff,0x104fffff,0x807fffff,0x41fffffa,0x442fffff,0xffffffff,
    0x7ffffcc1,0xffffff80,0xffffffff,0x25ffffff,0x5ffffff8,0x3fffff60,
    0xffffff10,0x7fffec0b,0x7fe4000f,0xff83ffff,0xffffffff,0x701fffff,
    0x009fffff,0xffffffc8,0xfff90003,0xff887fff,0xff803fff,0x3fe04fff,
    0xff804fff,0x2a00ffff,0x361fffff,0x9006ffff,0x003fffff,0x01fffffd,
    0x7ffffff4,0xffffffff,0x7c43ffff,0x200fffff,0x31fffffb,0x03ffffff,
    0x3ffffe60,0xfff9801f,0x7fdc02ff,0xddd705ff,0xfffffddd,0x0bdddddf,
    0x3ffffffe,0xffffffff,0xfffff701,0xdffffb09,0xfffff800,0xfffff104,
    0xffffa807,0x7fffe41f,0x7ffffd44,0x7fdc3fff,0xffff06ff,0xffffffff,
    0xffffffff,0x7ffffc4b,0x3ffee00f,0xffff11ff,0x7fdc01ff,0x2e001fff,
    0x04ffffff,0xffffffff,0x3fffffff,0x3ffffee0,0x3ffee004,0x70004fff,
    0x09ffffff,0x07fffff1,0x09fffff0,0x027ffffc,0x037ffffc,0x8bffffea,
    0x005fffff,0x05fffff5,0x5fffffa8,0x7fffff40,0xffffffff,0x443fffff,
    0x406fffff,0x32fffffa,0x00dfffff,0x37ffffcc,0xfffffa80,0xcccccccd,
    0x906ffffd,0xffffffff,0xffffffff,0x3fffe0df,0xffffffff,0xff701fff,
    0x26629fff,0x99effffe,0x7fffc009,0xffff104f,0xfffa807f,0x7ffd41ff,
    0x7fffec6f,0x7f45fffe,0xfff03fff,0xffffffff,0xffffffff,0x7fffc4bf,
    0x7ffd406f,0xffff12ff,0xfffa80df,0xff5002ff,0x7c0bffff,0xffffffff,
    0x01ffffff,0x09fffff7,0x3ffffea0,0xff50005f,0x220bffff,0x803fffff,
    0x204fffff,0x804fffff,0x405fffff,0x32fffff9,0x007fffff,0x0fffffe6,
    0x3fffffd0,0x7ffffe80,0xfff10000,0xffa809ff,0xfff32fff,0x7cc009ff,
    0x7004ffff,0xffffffff,0xffffffff,0x3ff20fff,0xffffffff,0x6fffffff,
    0xffff3330,0x333333ff,0x7ffffe40,0xffffff92,0x805fffff,0x104fffff,
    0x807fffff,0x41fffffa,0x20fffff8,0xffcdffff,0x3fffe27f,0x9999901f,
    0xfffffd99,0x59999999,0x27ffffc4,0x3ffffea0,0x9fffff12,0xfffffa80,
    0xffff9802,0x26600eff,0x9ffffff9,0x32019999,0x802fffff,0xeffffff9,
    0xfff98000,0xf100efff,0xf007ffff,0x7c09ffff,0xf804ffff,0x4c04ffff,
    0xf32fffff,0x2007ffff,0x04fffff8,0x3fffffea,0xffffffff,0x007fffff,
    0xfffff100,0xffff9809,0xfffff32f,0x7ffcc007,0xff9003ff,0xffffffff,
    0xffffffff,0xffff901f,0xffffffff,0x00dfffff,0x00ffffff,0x3fffff90,
    0x3ffffff2,0x402fffff,0x104fffff,0x807fffff,0x81fffffb,0xf33ffffd,
    0xfff57fff,0x3fffea3f,0xfff70006,0x3e2001ff,0x4c04ffff,0xf12fffff,
    0x9809ffff,0x402fffff,0xfffffff8,0x3fffe000,0xffc8007f,0x7c401fff,
    0x00ffffff,0xfffff880,0x3fe200ff,0xff803fff,0x3fe04fff,0xff804fff,
    0x7cc04fff,0xff32ffff,0x26009fff,0x203fffff,0xfffffffd,0xffffffff,
    0x0007ffff,0x9fffff10,0xfffff980,0x7fffff32,0x7fffcc00,0xfff9003f,
    0xffffffff,0xffffffff,0x7ffd4001,0x3e0004ff,0x8007ffff,0x90fffffd,
    0xffffffff,0xff805fff,0xff104fff,0xfb807fff,0xfa81ffff,0xfff75fff,
    0x7ffff13f,0x013ffff6,0x7ffffdc0,0xffff1000,0xfff9809f,0xffff12ff,
    0xfff9809f,0x3fa202ff,0x001fffff,0x03fffffc,0x7ffffec0,0x3fffa200,
    0x88001fff,0x1ffffffe,0x7ffffc40,0xfffff803,0x3ffffe04,0xfffff804,
    0x7fffcc04,0xfffff12f,0x3ffea00b,0xfff301ff,0xffffffff,0xffffffff,
    0x220000ff,0x404fffff,0x32fffff9,0x007fffff,0x1fffffcc,0xfffffb80,
    0xa8000000,0x004fffff,0x1fffffe0,0xfffff100,0x7ff554cf,0x00aaafff,
    0x827ffffc,0x03fffff8,0x0fffffdc,0xdbffffc4,0x3ffa7fff,0x3fffff6f,
    0x7fffffc0,0xffffffff,0x25ffffff,0x04fffff8,0x97ffffcc,0x04fffff8,
    0x17ffffcc,0xffffffd0,0xffff0005,0xff8800ff,0x7f407fff,0x002fffff,
    0xffffffd0,0xffff1005,0xffff007f,0x7fffc09f,0xffff804f,0x7ffcc04f,
    0x3fffe2ff,0xffd800ff,0xffb00fff,0xffffffff,0xffffffff,0x20000fff,
    0x04fffff8,0x97ffffcc,0x02fffff9,0x3ffffe60,0xffff3002,0x0000005f,
    0x09fffff5,0x7ffffc00,0x7ffd4007,0xfffb05ff,0xfff800df,0xfff104ff,
    0xffc809ff,0xffd01fff,0xbffff5ff,0x7d7fffe4,0x7fc06fff,0xffffffff,
    0xffffffff,0x3ffe25ff,0x7fcc04ff,0xfff12fff,0xff9809ff,0xffb02fff,
    0x0007ffff,0x01fffffe,0xbfffff50,0x7ffffec0,0xffb0003f,0x2007ffff,
    0x03fffff8,0x04fffff8,0x013ffffe,0x013ffffe,0x45fffff3,0x04fffffc,
    0x37ffffcc,0xffffff88,0xffffffff,0x7fffffff,0xfff10000,0xff9809ff,
    0xfff32fff,0x7cc005ff,0x1002ffff,0x809fffff,0x80009acd,0x04fffffa,
    0x3ffffe00,0x3ffa2007,0xffb03fff,0xff800dff,0xff104fff,0xfe80bfff,
    0xf701ffff,0xffffdfff,0x77fffcc5,0x7c04ffff,0xffffffff,0xffffffff,
    0x3fe25fff,0x7cc04fff,0xff12ffff,0xf9809fff,0xfc82ffff,0x003fffff,
    0x1fffffe0,0xffffe880,0xffff903f,0x320007ff,0x03ffffff,0x3ffffe20,
    0xfffff803,0x3ffffe04,0xfffff804,0x7fffcc04,0x3fffe62f,0xffd102ff,
    0x3f205fff,0x2005ffff,0x007ffffe,0xfffff100,0xffff9809,0xfffff32f,
    0x7ffcc005,0x3f6002ff,0xf701ffff,0x800bffff,0x04fffffa,0x3ffffe00,
    0xfffd3007,0x7fec0dff,0x7fc007ff,0x3fe04fff,0xf900ffff,0x203fffff,
    0xfffffff8,0x7fffc0ff,0x401fffff,0xffffffff,0xffffffff,0x3e25ffff,
    0x4c04ffff,0xf12fffff,0x9809ffff,0x5c2fffff,0x04ffffff,0x7ffffc00,
    0xfffd3007,0x3fee0dff,0x0004ffff,0x9ffffff7,0xffff8800,0xffff803f,
    0x3fffe04f,0xffff804f,0x7ffcc04f,0x7ffec2ff,0xb99adfff,0x05ffffff,
    0x3ffffff1,0x7ffff400,0xff100007,0xf9809fff,0xff32ffff,0x4c005fff,
    0x002fffff,0x3fffffe6,0x7ffffd42,0x7fd4001f,0x20004fff,0x407fffff,
    0xffffffb9,0x3fff201f,0x403b9cff,0x204fffff,0x1efffffd,0x3fffff26,
    0x3ffa01ff,0xd86fffff,0x7fffffff,0xcccccc80,0xcfffffec,0x22cccccc,
    0x04fffff8,0x97ffffcc,0x04fffff8,0x17ffffcc,0xbffffff5,0xffff0000,
    0xffb980ff,0xa81fffff,0x05ffffff,0xfffff500,0xff1000bf,0xff007fff,
    0x7fc09fff,0xff804fff,0x7cc04fff,0x7c42ffff,0xffffffff,0xffffffff,
    0xfffff900,0xfffe800d,0xffffffff,0xffffffff,0xfffff10f,0xffff9809,
    0xfffff32f,0x7ffcc005,0x7ec002ff,0xfeffffff,0x05ffffff,0xfffffa80,
    0x3ffe0004,0xffffffff,0xffffffff,0x7fdc04ff,0x06ffffff,0x027ffffc,
    0xfffffff7,0xffffffff,0x7dc03fff,0x84ffffff,0xfffffffb,0x7fdc0004,
    0xf1000fff,0x9809ffff,0xf12fffff,0x9809ffff,0xf12fffff,0xddffffff,
    0xffffffff,0x3fffe0bf,0xffffffff,0xffffffff,0xffff884f,0xfffeefff,
    0x15ffffff,0xdfffffff,0xfffffffd,0x3ffe2bff,0xfff803ff,0x3ffe04ff,
    0xfff804ff,0x7fcc04ff,0xff982fff,0xffffffff,0x101fffff,0x05ffffff,
    0xfffffe80,0xffffffff,0x0fffffff,0x09fffff1,0x2fffff98,0x05fffff3,
    0x7ffffcc0,0xfffd8002,0xffffffff,0xa8000eff,0x004fffff,0x3fffffe0,
    0xffffffff,0x0fffffff,0x7ffffcc0,0x7fc07fff,0x7ec04fff,0xffffffff,
    0xfffff9ff,0x3fffe601,0xff982fff,0x002fffff,0x7ffffdc0,0xffff1000,
    0xfff9809f,0xffff12ff,0xfff9809f,0xffff52ff,0xffffffff,0x0bffffff,
    0x3ffffffe,0xffffffff,0x80ffffff,0xfffffffa,0xffffffff,0xfff55fff,
    0xffffffff,0xbfffffff,0x0fffffe2,0x13ffffe0,0x04fffff8,0x04fffff8,
    0x17ffffcc,0xfffffd88,0x0dffffff,0x3ffffee0,0xfffe8007,0xffffffff,
    0xffffffff,0xfffff10f,0xffff9809,0xfffff32f,0x7ffcc005,0xf70002ff,
    0xffffffff,0x20001dff,0x04fffffa,0x3ffffe00,0xffffffff,0x0dffffff,
    0xfffff900,0xfff80fff,0x7f4404ff,0xefffffff,0x03fffff0,0xffffffe8,
    0xffffff00,0xff70000f,0x22001fff,0x404fffff,0x12fffff9,0x809fffff,
    0x52fffff9,0xffffffff,0xffffffff,0x3ffe0bff,0xffffffff,0xffffffff,
    0xffff500d,0xffffffff,0x2bffffff,0xfffffffa,0xffffffff,0xfff15fff,
    0xfff007ff,0x7ffc09ff,0xfff804ff,0x7fcc04ff,0x5cc02fff,0xdffffffd,
    0xffffe802,0xffe8003f,0xffffffff,0xffffffff,0xffff10ff,0xfff9809f,
    0xffff32ff,0x7fcc005f,0x20002fff,0xfffffeda,0x540002ef,0x004fffff,
    0x3fffffe0,0xffffffff,0x8001efff,0xdffffffc,0x3ffffe00,0xffec8804,
    0x3fe0ceff,0x7e401fff,0x3606ffff,0x005fffff,0xfffffb80,0xffff1000,
    0xfff9809f,0xffff12ff,0xfff9809f,0xffff52ff,0xffffffff,0x0bffffff,
    0x3ffffffe,0xffffffff,0x7d401eff,0xffffffff,0xffffffff,0xfffff55f,
    0xffffffff,0x22bfffff,0x803fffff,0x204fffff,0x804fffff,0x404fffff,
    0x02fffff9,0x000554c0,0x1ffffff5,0xffffd000,0xffffffff,0xffffffff,
    0x3ffffe21,0x7fffcc04,0xfffff32f,0x7ffcc005,0x100002ff,0x00013553,
    0x3ffffea0,0x3ffe0004,0xffffffff,0x002cdeff,0x000aa880,0x009fffff,
    0x0000aa88,0x3ffffe60,0x3fffee04,0xfb80002f,0x1000ffff,0x809fffff,
    0x12fffff9,0x809fffff,0x52fffff9,0xffffffff,0xffffffff,0x3ffe0bff,
    0xffffffff,0x002cdeff,0xfffffff5,0xffffffff,0x3feabfff,0xffffffff,
    0xffffffff,0x7fffff15,0x9fffff00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfa8dfffb,0x2aaa1fff,0x400002aa,0x002aaaa9,0x7fffc000,
    0x9ffffd46,0x00199998,0x2aaaaa80,0x55554400,0x53002aaa,0x00013597,
    0x55540244,0xaaaaaaaa,0xaaaaaaaa,0x555541aa,0x530002aa,0x00155555,
    0x55555530,0x2aaaa000,0xaaaaaaaa,0x2001aaaa,0xaaaaaaaa,0x09aaaaaa,
    0x2aaaa200,0x5540000a,0xa8002aaa,0x2aa0aaaa,0x2aaa1aaa,0xa80001aa,
    0xaaaaaaaa,0xaaaaaaaa,0x8802aaaa,0x1bcefeca,0x00555555,0x1aaaaa88,
    0x2aaaaaaa,0x2aa6002a,0x00aaaaaa,0x33332a00,0x3fffe200,0x87ffff33,
    0x007fffff,0x7fffe400,0x7c000007,0x7fd46fff,0xffffd3ff,0xff80001f,
    0x74007fff,0x0fffffff,0x7ffff540,0x4002efff,0xffe806fb,0xffffffff,
    0xffffffff,0x7ffdc5ff,0xe8003fff,0x006fffff,0xffffffd0,0xffff0001,
    0xffffffff,0x39ffffff,0xffffff80,0xffffffff,0xf9803eff,0x0002ffff,
    0x1ffffffc,0xfffff100,0x27ffffc7,0x009fffff,0xffffff00,0xffffffff,
    0xdfffffff,0xfffffa80,0xffff5fff,0xffa800ff,0xfff14fff,0x01ffffff,
    0x3fffff60,0x30002fff,0x803fffff,0xfeaffffa,0xffff85ff,0x6400007f,
    0x0007ffff,0x37fffc00,0x74ffffea,0x000fffff,0x3fffffc0,0xfffffb00,
    0x7f4c03ff,0xffffffff,0x75400dff,0xffe806ff,0xffffffff,0xffffffff,
    0xfffe85ff,0x2e000fff,0x01ffffff,0xfffff980,0xff8004ff,0xffffffff,
    0xffffffff,0x3ffe03ff,0xffffffff,0xffffffff,0x3fffe602,0x7fc0002f,
    0x000fffff,0x47fffff1,0x3e4fffff,0x0004ffff,0xfffffff8,0xffffffff,
    0x06ffffff,0x3fffffea,0xffff4fff,0xffa800ff,0xfff14fff,0x05ffffff,
    0x3fffffe0,0xd0002fff,0x003fffff,0xfffffff9,0xfffff01f,0xfc80000f,
    0x00007fff,0x237fffc0,0xfd3ffffa,0x0001ffff,0x07fffff8,0xffffff90,
    0x7ff4403f,0xffffffff,0x3f206fff,0xfe806fff,0xffffffff,0xffffffff,
    0xff985fff,0x1004ffff,0x09ffffff,0x3ffff200,0xf8007fff,0xffffffff,
    0xffffffff,0xff02ffff,0xffffffff,0xffffffff,0x3fe607ff,0x40002fff,
    0x4fffffff,0xfffff100,0x27ffffc7,0x009fffff,0xffffff00,0xffffffff,
    0xdfffffff,0x7fffffc0,0xfff2ffff,0xfa800fff,0xff14ffff,0x9fffffff,
    0xfffff300,0x0005ffff,0x3ffffff7,0x3ffffa00,0xffff02ff,0xc80000ff,
    0x0007ffff,0x2f776c00,0x74bbbba6,0x000fffff,0x3fffffc0,0x7ffffe40,
    0x7fec01ff,0xffffffff,0xb04fffff,0xd00dffff,0xffffffff,0xffffffff,
    0x320bffff,0x01ffffff,0xffffffc8,0xfff88000,0x02ffffff,0x7fffffc0,
    0xffffffff,0xffffffff,0xffffff81,0xffffffff,0x1fffffff,0x2fffff98,
    0x7fffc000,0x8801ffff,0x3e3fffff,0x3fe4ffff,0x80004fff,0xffffffff,
    0xffffffff,0x106fffff,0x7bffffff,0x3fffe197,0x7fd4007f,0xfff14fff,
    0x0dffffff,0xffffff90,0x98005fff,0x1fffffff,0xfffff300,0x7ffffc0b,
    0x7e400007,0x00006fff,0x3fa00000,0x0000ffff,0x03fffffc,0x3fffffee,
    0x7ffd401f,0xeb9adfff,0x80ffffff,0x806ffffd,0xcccccccb,0xffdccccc,
    0x203fffff,0x06fffffe,0x7fffffcc,0xfff70002,0x0bffffff,0xffffff80,
    0xbaaaaaaa,0xfffffffc,0xffffff84,0xeccccccc,0x6fffffff,0x2fffff98,
    0x7fffc000,0x8806ffff,0x3a3fffff,0x3fe3eeee,0x80004fff,0xccffffff,
    0xcccccccc,0x303ccccc,0x409fffff,0x007fffff,0xa7ffffd4,0xfffffff8,
    0x7f400fff,0xffffffff,0x7fff4002,0x0001ffff,0x3ffffe00,0xeeefffff,
    0x4400bcde,0x0005ff99,0x3a000000,0x000fffff,0x3fffffc0,0xffffff50,
    0xfff9005f,0x3ff605ff,0xffd82fff,0x000006ff,0x9ffffffd,0xfffff980,
    0x3fffa03f,0x3a0005ff,0xffffffff,0x3fe000ff,0x91007fff,0xf0dfffff,
    0x300fffff,0x7ffffffd,0x2fffff98,0x7fffc000,0x403fffff,0x03fffff8,
    0x13ffffe0,0x3fffe000,0x5000007f,0x405fffff,0x007fffff,0xa7ffffd4,
    0xfffffff8,0x3e202fff,0xffffffff,0x3ff2002f,0x01ffffff,0x3ffe0000,
    0xffffffff,0xcfffffff,0x027fd400,0x00000000,0x01fffffd,0xfffff800,
    0xfffff507,0x3fa005ff,0x3ea05fff,0x5514ffff,0x55fffffd,0xfb000035,
    0x00dfffff,0x3ffffff2,0xfffffa80,0xff30000f,0xffffdfff,0x7ffc009f,
    0x7fc007ff,0x7fc0ffff,0x32007fff,0x20ffffff,0x02fffff9,0x7ffffc00,
    0x200fffff,0x03fffff8,0x13ffffe0,0x3fffe000,0x5000007f,0x403fffff,
    0x007fffff,0xa7ffffd4,0xfefffff8,0x3ea04fff,0xffffefff,0xfff3002f,
    0x03ffffff,0x0d555540,0xfffffff0,0xffffffff,0x401dffff,0x55513ffc,
    0x7bb73055,0x2aaa0015,0xfffd01aa,0xf80001ff,0xf987ffff,0x02ffffff,
    0x7fffff10,0x5fffff80,0xfffffff5,0x000bffff,0xffffffb8,0xfff1000f,
    0xff889fff,0x0003ffff,0x27fffff2,0x007fffff,0x01fffffe,0x1fffff90,
    0x07fffff8,0x3ffffa20,0x3fffe64f,0x2aaaa02f,0x3fffe2aa,0x05ffffff,
    0x8fffffe2,0x3e1aaaaa,0x5cc4ffff,0x3e00abdd,0x0007ffff,0x3ff2aa60,
    0x1aaacfff,0x01fffffe,0x9fffff50,0x33ffffe2,0x3206ffff,0xfffcffff,
    0xffd002ff,0x3fffffff,0x7ffffc00,0x3ffffe04,0xffffffff,0x6fffffff,
    0x266ffc88,0x3ea7ffff,0x2fffffff,0x4fffff80,0x1fffffd0,0xffff8000,
    0x7fffcc7f,0x4c002fff,0x7c01cbaa,0xff54ffff,0xffffffff,0x7cc000bf,
    0x01ffffff,0x7ffffd40,0x3ffff21f,0x7fc0006f,0xfff95fff,0x3fe005ff,
    0x74007fff,0xff85ffff,0x54007fff,0x267fffff,0xb02fffff,0x43ffffff,
    0xffffffff,0xff102fff,0x7ffc7fff,0x3fffe4ff,0xffffd34f,0x3fe05fff,
    0x00007fff,0x3fffffee,0x23ffffff,0x007fffff,0xa7ffffd4,0xebfffff8,
    0xfd00ffff,0xffff5fff,0xfff9005f,0x3fffff9f,0x7ffffc00,0x3ffffe04,
    0xffffffff,0xffffffff,0x30ffff42,0x3eefffff,0xffffffff,0x7fffc04f,
    0xffffd04f,0xff80001f,0x3fe27fff,0x003fffff,0xfffa8000,0xffff53ff,
    0xbfffffff,0x3ffe2000,0x0002ffff,0x2dfffffb,0x1ffffff8,0x3ffea000,
    0xffff32ff,0x3ffe00bf,0x3e2007ff,0xff83ffff,0xf8007fff,0xf30fffff,
    0xf905ffff,0xf83fffff,0xffffffff,0xfff106ff,0x7fffc7ff,0x3ffffe4f,
    0xffffffac,0xff84ffff,0x00007fff,0x3fffffee,0x23ffffff,0x007fffff,
    0xa7ffffd4,0xcbfffff8,0xf883ffff,0xfff8ffff,0x7fcc02ff,0xffff8eff,
    0x3ffe001f,0x3ffe04ff,0xa99887ff,0x6ffffffd,0x3e60f7e4,0xfffdffff,
    0xffffffff,0x3fffe00f,0xffffd04f,0xff80001f,0xffd17fff,0x0007ffff,
    0x3fff6000,0xffff51ff,0xbfffffff,0x3fffa000,0x20004fff,0xaffffff8,
    0x04fffffd,0x7fffec00,0x3ffffa0f,0xffff800f,0xffd5007f,0xfff01fff,
    0xfb000fff,0x3e65ffff,0x7dc2ffff,0xf82fffff,0xffecffff,0xff883fff,
    0x3ffe3fff,0x3fffe4ff,0xffffffef,0x42ffffff,0x007fffff,0x3fffee00,
    0xffffffff,0x1fffffe3,0xfffff500,0x3ffffe29,0x85ffffab,0xf8dffffa,
    0x2202ffff,0xf89ffffe,0x2001ffff,0x204fffff,0x007fffff,0x3ffffff9,
    0xfff98144,0xccffffff,0x4ffffffe,0x13ffffe0,0x07fffff4,0x3fffe000,
    0xffffe8ff,0x00001fff,0xfffff880,0xffd3310f,0x01333dff,0xfffffb00,
    0xf70000bf,0xffffffff,0x88000dff,0x5c5fffff,0x804fffff,0xeeffffff,
    0xffeeeeee,0xf01fffff,0x000fffff,0x27fffff9,0x22fffff9,0x2ffffffa,
    0x59fffff0,0x81ffffff,0x23fffff8,0x3e4fffff,0xffffffff,0xfffffecd,
    0x7ffffc5f,0xffffffff,0x5fffffff,0x7fffffdc,0x23ffffff,0xeeffffff,
    0xeeeeeeee,0x4fffffee,0x17fffff1,0xf90fffff,0xfff17fff,0x7fe405ff,
    0xffff13ff,0x7ffc003f,0x3ffe04ff,0xff1007ff,0x2005ffff,0xfffffff9,
    0xfffffd82,0x3ffffe06,0xfffffd04,0xfff80001,0xffffefff,0x0006ffff,
    0xffffe800,0xffffb03f,0xffb8000d,0x000effff,0xfffffd00,0x005fffff,
    0xfffffb80,0x7ffffc42,0xfffff807,0xffffffff,0x1effffff,0x1fffffe0,
    0x3fffee00,0xfffff33f,0x3ffffe65,0x3fffe03f,0xfffffb4f,0xfffff88b,
    0x93ffffe3,0x3fffffff,0xffffffa8,0x3fffffe0,0xffffffff,0x05ffffff,
    0x07ffffea,0xfffffff8,0xffffffff,0xffffffff,0x7fffff14,0xd07ffffa,
    0xff11ffff,0x3ea05fff,0x3fe26fff,0x3e001fff,0x3e04ffff,0x2007ffff,
    0x03fffffd,0xffffff30,0x3fffe207,0x3fffe07f,0xffffd04f,0xff80001f,
    0xffffffff,0x04ffffff,0x3ff60000,0x3f606fff,0x20006fff,0xfffffffa,
    0x3e600001,0xffffffff,0xffe80005,0xfffd07ff,0xfff805ff,0xffffffff,
    0xffffffff,0x3fffe00c,0xffb8007f,0xfff34fff,0xffff15ff,0xfff807ff,
    0xffff14ff,0x7ffc45ff,0x3fffe3ff,0x3ffffe4f,0x3fff204f,0x3fffe1ff,
    0xffffffff,0xffffffff,0x3fffea05,0x3fffe01f,0xffffffff,0xffffffff,
    0xfff14fff,0x3fff27ff,0x3fffe23f,0x5fffff17,0x1fffff10,0x0fffffc4,
    0x9fffff00,0x3fffffc0,0xfffff900,0x3ffe6007,0x7fec06ff,0x3ffe07ff,
    0xfffd04ff,0xf80001ff,0xffffffff,0xffffffff,0xfd800001,0x201fffff,
    0x006ffffd,0xffffff10,0x9000005f,0xffffffff,0xff980001,0xff704fff,
    0xff80bfff,0xffffffff,0xffffffff,0xfff03fff,0xf7000fff,0x3e69ffff,
    0xffebffff,0xff804fff,0x3fee4fff,0xff10ffff,0x7ffc7fff,0x3fffe4ff,
    0x7ffd407f,0x3fffe2ff,0xffffffff,0xffffffff,0x3fffea05,0x3fffe01f,
    0xffffffff,0xffffffff,0xfff14fff,0x3ffea7ff,0x3fffea5f,0x5fffff15,
    0x87ffffb0,0x01fffff8,0x13ffffe0,0x07fffff8,0x3fffffe0,0xffff3001,
    0xfffc809f,0xffff00ff,0x3fffa09f,0x7c0000ff,0xffffffff,0xfffffebf,
    0x3a200006,0x03ffffff,0x037fffec,0x7ffff440,0x000004ff,0xfffffff1,
    0xff900007,0x3e203fff,0x200fffff,0xffffffff,0xffffffff,0x84ffffff,
    0x007fffff,0x3fffffb8,0xfffffff3,0x200dffff,0x744fffff,0xf14fffff,
    0x7fc7ffff,0x3ffe4fff,0x7fd406ff,0x3ffe2fff,0xffffffff,0xffffffff,
    0x3ffea05f,0x3ffe01ff,0xffffffff,0xffffffff,0xff14ffff,0x3fe27fff,
    0x3fff27ff,0xfffff13f,0x6ffffa85,0x1fffff88,0x3ffffe00,0x3ffffe04,
    0xffff3007,0x3e6001ff,0x5c03ffff,0xf00fffff,0x3a09ffff,0x000fffff,
    0x7fffffc0,0xfff54fff,0x00007fff,0xffffffd1,0xffffb009,0xfffb000d,
    0x0000bfff,0xfffffa80,0xff880006,0x7ec06fff,0x3e04ffff,0x999fffff,
    0xeba99999,0x43ffffff,0x007fffff,0x2fffffc8,0xfffffff3,0x003fffff,
    0x989fffff,0x89ffffff,0x3e3fffff,0x3fe4ffff,0x7cc05fff,0x3fe2ffff,
    0x00007fff,0x3fffff50,0x7fffffc0,0x99999999,0xffffb999,0xfffff14f,
    0x8fffff47,0xf10fffff,0x7c45ffff,0xf880ffff,0x2001ffff,0x204fffff,
    0x807fffff,0x6ffffffb,0x3fffe600,0x7ffdc02f,0xffff00ff,0x3fffa09f,
    0x7c0000ff,0x4fffffff,0x7fffffec,0x3fa20000,0x004fffff,0x00dffffb,
    0xffffffb8,0x4000000e,0x04fffff9,0xffffb800,0xccccccef,0x7fffffdc,
    0x1fffffe0,0xfffff900,0x7ffffc1f,0xfffc8007,0xffff31ff,0xffffffff,
    0xfffff00d,0xfffff909,0x7fffff1d,0xf27ffffc,0x9809ffff,0x3e2fffff,
    0x0007ffff,0xfffff500,0x7ffffc03,0x7ffd4007,0xffff14ff,0x7fffe47f,
    0x27ffff9c,0x22fffff8,0x103ffffd,0x003fffff,0x027ffffc,0x99ffffff,
    0xffd99999,0x009fffff,0x17ffffcc,0x3ffffee0,0x9fffff00,0x3fffffa0,
    0x7ffc0000,0xf984ffff,0x006fffff,0xfffffd10,0x7fec009f,0x3ea006ff,
    0x00ffffff,0xff980000,0x80004fff,0xfffffffe,0xffffffff,0xf02fffff,
    0x000fffff,0x45ffffff,0x007fffff,0x0fffffe8,0xfffffff3,0x05ffffff,
    0x84fffff8,0xbffffff8,0x3e3fffff,0x3fe4ffff,0x7cc04fff,0x3fe2ffff,
    0x00007fff,0x3fffff50,0x3fffffc0,0x3fffea00,0xfffff14f,0x77fffd47,
    0x225ffffb,0xf32fffff,0xddddffff,0xfffffddd,0xff80bddd,0x3fe04fff,
    0xffffffff,0xffffffff,0x7cc006ff,0x5c02ffff,0xf00fffff,0x3a09ffff,
    0x000fffff,0x7fffffc0,0x3ffff204,0x744003ff,0x03ffffff,0x37fffec0,
    0xfffff980,0x000002ff,0x9fffff30,0xfff98000,0xffffffff,0xffffffff,
    0xffff05ff,0xff9000ff,0x7ffc9fff,0xff8007ff,0x3fe67fff,0xfeefffff,
    0x3e00ffff,0xf504ffff,0xffffffff,0x7fffc7ff,0x3ffffe4f,0x7fffcc04,
    0x3ffffe2f,0xf5000007,0x7c03ffff,0x4007ffff,0x14fffffa,0x447fffff,
    0xffefffff,0x3ffe23ff,0xffff32ff,0xffffffff,0xffffffff,0xfffff80f,
    0x3ffffe04,0xffffffff,0x0effffff,0x7fffcc00,0x7ffdc02f,0xffff00ff,
    0x3fffa09f,0x7c0000ff,0x4407ffff,0x0fffffff,0x3ffff600,0xfd8003ff,
    0xe8806fff,0x03ffffff,0x3e600000,0x0004ffff,0x7fffffe4,0xffffffff,
    0xffffffff,0x7fffff80,0xffffc800,0x3ffffe4f,0x7ffdc007,0x3ffe66ff,
    0xffa8efff,0x3fe04fff,0x3fa04fff,0xffffffff,0x3ffffe3f,0x13ffffe4,
    0x5fffff30,0x03fffffc,0xfffa8000,0x3ffe01ff,0x7d4007ff,0xff14ffff,
    0xffe87fff,0x0fffffff,0x4bffffe2,0xfffffff9,0xffffffff,0x407fffff,
    0x204fffff,0xffffffff,0xffffffff,0x98001eff,0x402fffff,0x00fffffb,
    0x209fffff,0x00fffffe,0x7ffffc00,0xffffb807,0xff9005ff,0x0007ffff,
    0x01bffff6,0x3ffffff6,0x40000005,0x04fffff9,0x7ffffc00,0xffffffff,
    0xffffffff,0xffff84ff,0xffe8007f,0x3ffe3fff,0x3e2007ff,0x263fffff,
    0x20efffff,0x00fffffd,0x409fffff,0xfffffff9,0x3ffe3fff,0x3fffe4ff,
    0x7ffcc04f,0x3fffe2ff,0x5000007f,0x403fffff,0x007fffff,0xa7ffffd4,
    0x43fffff8,0xfffffffc,0x7fffc47f,0xfffff32f,0xffffffff,0xffffffff,
    0x4fffff80,0x3fffffe0,0xffffffff,0x20002dff,0x02fffff9,0x07ffffdc,
    0x04fffff8,0x01fffffd,0xfffff800,0xffffd007,0xffa805ff,0x0003ffff,
    0x01fffff6,0xdffffff9,0x30000000,0x009fffff,0x7ffffd40,0xaaaaaaad,
    0xfffcaaaa,0xffff87ff,0x7fcc007f,0x3fe1ffff,0xb1007fff,0x98ffffff,
    0x4c2fffff,0xf05fffff,0xc809ffff,0xffffffff,0x3ffffe3f,0x13ffffe4,
    0x5fffff30,0x03fffffc,0xfffa8000,0x3ffe01ff,0x7d4007ff,0xff14ffff,
    0xffa87fff,0x45ffffff,0x32fffff8,0xffffffff,0xffffffff,0xf80fffff,
    0x3e04ffff,0xaaafffff,0x001aaaaa,0xfffff300,0xffffb805,0xfffff00f,
    0x3ffffa09,0x7fc0000f,0xf3007fff,0x01ffffff,0x3fffffe2,0x9999999e,
    0xffd80999,0x23b9cfff,0xfffffffa,0x80000000,0x04fffff9,0x3ffff600,
    0xfff8001f,0x7ffc2fff,0xf93007ff,0xf8ffffff,0x4c07ffff,0xfffffffb,
    0x7ffffcc3,0xfffffd82,0x4fffff82,0xfffffe80,0x3ffe3fff,0x3fffe4ff,
    0x7ffcc04f,0x3fffe2ff,0x5000007f,0x403fffff,0x007fffff,0xa7ffffd4,
    0x43fffff8,0xfffffff8,0x7fffc43f,0xff10002f,0x7c003fff,0x3e04ffff,
    0x0007ffff,0x3ffe6000,0x7fdc02ff,0xfff00fff,0x3ffa09ff,0xffffffff,
    0xffffffff,0xffffff6f,0x7fffec00,0xfff505ff,0xffffffff,0x0dffffff,
    0xfffffff9,0x7fffe4df,0xffffffff,0xffffffff,0x98002fff,0x004fffff,
    0xffffff10,0x3fff2000,0x7fffc5ff,0xffffffff,0xffffffff,0x7ffc4fff,
    0xffffffff,0xffffffff,0xfff986ff,0xfff882ff,0xffff86ff,0xfffa804f,
    0x3e3fffff,0x3fe4ffff,0x7cc04fff,0x3fe2ffff,0xffffffff,0xffffffff,
    0xfa82ffff,0x3e01ffff,0x4007ffff,0x14fffffa,0xd07fffff,0x3fffffff,
    0x2fffff88,0xffff1000,0x7ffc003f,0x3ffe04ff,0x000007ff,0x3ffffe60,
    0x7fffdc02,0xfffff00f,0x3ffffa09,0xffffffff,0x6fffffff,0x00ffffff,
    0x7fffffc4,0xffffd82f,0xffffffff,0x986fffff,0xffffffff,0x3fffff27,
    0xffffffff,0xffffffff,0xf98002ff,0x0004ffff,0x09fffff7,0x3fffe600,
    0x3fffe0ff,0xffffffff,0xffffffff,0xffff85ff,0xffffffff,0xffffffff,
    0xffff980f,0xffff902f,0xfffff87f,0xffffb004,0x7ffc7fff,0x3fffe4ff,
    0x7ffcc04f,0x3fffe2ff,0xffffffff,0xffffffff,0xfffa82ff,0x3ffe01ff,
    0x7d4007ff,0xff14ffff,0xff907fff,0xf10fffff,0x0005ffff,0x07ffffe2,
    0x4fffff80,0x1fffffe0,0xf9800000,0x5c02ffff,0xf00fffff,0x3a09ffff,
    0xffffffff,0xffffffff,0xffff6fff,0xffc800ff,0x220fffff,0xffffffff,
    0xffffffff,0xfffd06ff,0x7e4fffff,0xffffffff,0xffffffff,0x02ffffff,
    0xfffff980,0xfffd0004,0x740003ff,0x3e4fffff,0xffffffff,0xffffffff,
    0xf80effff,0xffffffff,0xffffffff,0xff300cff,0x3e205fff,0x3e0fffff,
    0x1004ffff,0x7fffffff,0xf27ffffc,0x9809ffff,0x3e2fffff,0xffffffff,
    0xffffffff,0xa82fffff,0x201fffff,0x007fffff,0xa7ffffd4,0x83fffff8,
    0x5ffffffa,0x2fffff88,0xffff1000,0x7ffc003f,0x3ffe04ff,0x000007ff,
    0x3ffffe60,0x7fffdc02,0xfffff00f,0x3ffffa09,0xffffffff,0x6fffffff,
    0x00ffffff,0xfffffff0,0x7ffffdc9,0xffffffff,0x206fffff,0xdffffffc,
    0xffffff90,0xffffffff,0xffffffff,0xff30005f,0x30009fff,0x00dfffff,
    0xfffffb80,0x3fffffe7,0xffffffff,0x0cffffff,0xfffffff0,0xffffffff,
    0xf9803bff,0x2e02ffff,0x3e4fffff,0x2004ffff,0x3ffffffb,0xf93ffffe,
    0x4c04ffff,0x3e2fffff,0xffffffff,0xffffffff,0xa82fffff,0x201fffff,
    0x007fffff,0xa7ffffd4,0x83fffff8,0x3ffffff8,0x2fffff88,0xffff1000,
    0x7ffc003f,0x3ffe04ff,0x000007ff,0x3ffffe60,0x7fffdc02,0xfffff00f,
    0x3ffffa09,0xffffffff,0x6fffffff,0x00ffffff,0xffffff50,0x3ffff65f,
    0xffffffff,0x06ffffff,0x640554c4,0xffffffff,0xffffffff,0x2fffffff,
    0xffff9800,0xffd8004f,0x40003fff,0x2ffffff8,0xffffffff,0xdfffffff,
    0xfff005bd,0xffffffff,0x0039bdff,0x0bffffe6,0x3fffffd0,0x013ffffe,
    0x7fffffd0,0xf27ffffc,0x9809ffff,0x3e2fffff,0xffffffff,0xffffffff,
    0xa82fffff,0x201fffff,0x007fffff,0xa7ffffd4,0x03fffff8,0x03fffffd,
    0x05fffff1,0x3fffe200,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0aaaaaaa,0x55555300,0x55555415,0xaaaaaaaa,0x40009aaa,
    0x01aaaaaa,0x2aaaaa00,0x2aaaaa0a,0xaaaaaaaa,0xaaa8019a,0xaaaaaaaa,
    0xaaaaaaaa,0x5555550a,0x2aaaa001,0xa8800aaa,0x5001aaaa,0x88019999,
    0x1abcdcb9,0x55555500,0x55555555,0x55555555,0x55555415,0x99999971,
    0x01999999,0x0bdddd30,0x3bbbbb60,0xeeeeeeee,0x04eeeeee,0x80030000,
    0x002aaaa9,0xdedca880,0x2ea200ab,0x0001aced,0x33bb32e2,0xbdb7502b,
    0x2a000179,0xacceeecc,0x2aaaa200,0x5554401a,0x555510aa,0x0566dc45,
    0xffffff98,0xffffffff,0x7d47ffff,0x003fffff,0xdffffff1,0xfffffff8,
    0xffffffff,0x800cefff,0x05fffffc,0xfffff300,0x7ffffc1f,0xffffffff,
    0xf00cffff,0xffffffff,0xffffffff,0x3ff23fff,0xf9803fff,0x02ffffff,
    0x4fffffa8,0x3fffff00,0x3ffff220,0x01efffff,0x3fffffe2,0xffffffff,
    0xffffffff,0xfffff11f,0x3fffff67,0x0fffffff,0x6ffff980,0x80000900,
    0xeca98804,0x17ec1bcd,0xfffff700,0x3f220001,0xffffffff,0xfffffb84,
    0x2001efff,0xffffffd9,0xfd53ffff,0x9fffffff,0x3fff2001,0xffffffff,
    0xfffff102,0xffffa807,0xfffff31f,0x3fffffea,0xfffff982,0xffffffff,
    0xd87fffff,0x00ffffff,0xffffffc8,0x7fffffc1,0xffffffff,0x2fffffff,
    0x7ffffd40,0xffb8000f,0x7ffc5fff,0xffffffff,0xffffffff,0xffffff83,
    0xffffffff,0x51ffffff,0x009fffff,0xfffffff7,0xffff9009,0xfff7005f,
    0xfff503ff,0xffffffff,0xff101bff,0xffffffff,0xffffffff,0x223fffff,
    0xfb3fffff,0xffffffff,0xf3001fff,0x1200dfff,0xb8090000,0xffffffff,
    0x0fffcadf,0xfffff700,0xfff50001,0xffffffff,0xfffd13df,0xffffffff,
    0xffff5009,0xffffffff,0xffffffff,0x01dfffff,0xffffffd8,0x3fffffff,
    0x3fffff88,0x7ffffd40,0x3fffff31,0x1fffffff,0xffffff30,0xffffffff,
    0xf10fffff,0x80bfffff,0x4ffffff9,0xfffffff8,0xffffffff,0x1fffffff,
    0x7fffffc0,0xfffe8003,0x7fffc2ff,0xffffffff,0xffffffff,0x7fffffc3,
    0xffffffff,0x11ffffff,0x00dfffff,0xfffffffb,0xffffd00d,0xfffa801f,
    0x7fd41fff,0xffffffff,0x40efffff,0xfffffff8,0xffffffff,0xffffffff,
    0x7fffff11,0x3ffffff6,0x00ffffff,0x06ffff98,0x48000090,0xfffffd10,
    0xffffffff,0x7dc005ff,0x4000ffff,0xfffffffa,0xffffffff,0xffffffff,
    0x03ffffff,0x3fffffe6,0xffffffff,0xffffffff,0x00ffffff,0xfffffff9,
    0xffffffff,0xfffff887,0x7fffd403,0xfffff31f,0xbffffffd,0x3ffffe60,
    0xffffffff,0x707fffff,0x05ffffff,0x37fffff4,0xfffffff8,0xffffffff,
    0x7fffffff,0x7ffffe40,0x7ffcc005,0xffff87ff,0xffffffff,0xffffffff,
    0x3ffffe0f,0xffffffff,0x1fffffff,0x03fffffe,0xfffffff0,0xfff801ff,
    0x7fd406ff,0x261fffff,0xdfffffff,0xfffffdcc,0x7fffc45f,0xffffffff,
    0xffffffff,0xfff11fff,0x266627ff,0x99999999,0xffff3001,0x0001200d,
    0xffff3090,0xffffffff,0x8007ffff,0x00fffffb,0x3ffffe20,0xffffefff,
    0xffffffff,0xfffebabe,0xfffd01ff,0xffd9bfff,0xffffffff,0xfffffb9d,
    0xffff10bf,0xff999dff,0xf88dffff,0x5403ffff,0xf31fffff,0xffffffff,
    0x3e605fff,0xffffffff,0xffffffff,0x3fffa04f,0xffa80eff,0xff02ffff,
    0x9999ffff,0xffd99999,0x405fffff,0x0ffffff9,0x3fffee00,0xfffff84f,
    0xcccccccf,0xfffffffe,0x3fffffe5,0xcccccccc,0x20cccccc,0x01fffffd,
    0x3fffffe6,0x3e602fff,0x2e04ffff,0xffffffff,0x3fffffa1,0xfffd880c,
    0x666643ff,0xfffdcccc,0xccccceff,0xfff10ccc,0x000007ff,0x06ffff98,
    0x48000090,0xffffffe8,0xfffffdcd,0x7dc003ff,0x2000ffff,0xaffffffd,
    0x3ffffaa0,0xd884ffff,0xf986ffff,0xe884ffff,0x1fffffff,0x2fffffc8,
    0x0fffffe4,0x0ffffff8,0x0fffffe2,0x3fffff50,0x3fffffe6,0x00fdabdf,
    0x26666666,0xffd99999,0x7fcc06ff,0x7c44ffff,0x204fffff,0x007fffff,
    0x3fffffea,0x7ffff406,0x3ffa003f,0xfff81fff,0xffb807ff,0xff0fffff,
    0x0000ffff,0x0fffffee,0xffffffb8,0x3ee04fff,0xfa82ffff,0xffffffff,
    0xfffff31f,0xfffe880b,0x7fd4005f,0x4c004fff,0x00009999,0x7fffcc00,
    0x00009006,0x7fffe448,0x7fe440df,0x2000ffff,0x00199998,0x3fffffe2,
    0xffffd100,0x7fc40dff,0x65440fff,0x3fee06fd,0x3602ffff,0x5cc4ffff,
    0x3f204fed,0x3e20ffff,0x5403ffff,0xf31fffff,0x00bfffff,0xfff98000,
    0xffc800ef,0x3f21ffff,0x200fffff,0x007fffff,0x3fffffe4,0x3ffffee0,
    0xffff1006,0x3fffe0ff,0xfff5007f,0x3ffe3fff,0x300007ff,0x40bfffff,
    0xfffffffd,0x3ff206ff,0x3fa60fff,0xffffffff,0xffff71ff,0xfff7001f,
    0xffa800ff,0x00004fff,0x06aaaaa0,0x4ccccccc,0x99effffa,0x09099999,
    0x3e648000,0xd105ffff,0x09ffffff,0x7d400000,0x5403ffff,0x03ffffff,
    0x01ffffe4,0xffff1004,0xfff980ff,0x7cc0007f,0x3e21ffff,0x5403ffff,
    0xf31fffff,0x003fffff,0xfffe8000,0x3ffa001f,0xfff36fff,0xff805fff,
    0x4c007fff,0x00ffffff,0x3fffffe2,0xffffb800,0xfffff04f,0x7fffc00f,
    0xfffff2ff,0x7fc0000f,0x3fe07fff,0xffffdfff,0xffffd00f,0xfffffd8d,
    0x1fffffff,0x009ffffb,0x07ffffe6,0xfffffa80,0x3e000004,0xff04ffff,
    0xffffffff,0xffffffff,0x000129ff,0x7fffe490,0xffffb01f,0x4cc1ffff,
    0x99999999,0x99999999,0x3fff2099,0xfffd007f,0xffa805ff,0x730005ff,
    0x0bfffffb,0x1fffff88,0xffeb9800,0x3fe21fff,0x7d403fff,0xff31ffff,
    0x0000dfff,0x4ffffc80,0x7fffcc00,0xffffebff,0xffff805f,0x7fc4007f,
    0xfe807fff,0xe803ffff,0xf01fffff,0x400fffff,0xf3fffffc,0x000fffff,
    0x7ffffec0,0xfffff980,0x82fffff8,0x44fffff8,0xbbfffffd,0x441fffff,
    0xff9000a9,0xfa800fff,0x0004ffff,0x3ffffe00,0xffffff04,0xffffffff,
    0x29ffffff,0xb2400004,0x360bffff,0xffffbfff,0x3ffffe1f,0xffffffff,
    0x4fffffff,0x01bffff6,0x6fffffe4,0xdccccccc,0x8806ffff,0xfffffdca,
    0xccceffff,0xfffccccc,0xeca802ff,0xffffffff,0x3fffe21f,0x7ffd403f,
    0xffff31ff,0x4000009f,0x00fffff9,0xfffffc80,0x0fffffff,0x7fffff80,
    0x7fffd400,0xfffb806f,0x7fc406ff,0x3fe06fff,0x3a007fff,0xff2fffff,
    0x0000ffff,0x17ffffdc,0xeb7fffe4,0xf984ffff,0x7ec3ffff,0xfff71eff,
    0xd00003ff,0x800bffff,0x04fffffa,0x3ffe0000,0xffff04ff,0xffffffff,
    0xffffffff,0x90000129,0x427ffffc,0xff89fffb,0x3ffe3fff,0xffffffff,
    0xffffffff,0x3ffffe4f,0xffff7005,0xffffffff,0x0fffffff,0x7ffffed4,
    0xffffffff,0xffffffff,0x83ffffff,0xfffffdb8,0xffffffff,0x3ffffe21,
    0x7fffd403,0xfffff31f,0x74000007,0x0002ffff,0xffffffd1,0x2007ffff,
    0x007fffff,0x3fffff62,0xffff8805,0x3fee00ff,0x3fe03fff,0xf1007fff,
    0x3e1fffff,0x0007ffff,0x3ffffe60,0x3ffffe84,0x70dffff9,0xd83fffff,
    0x3fee0bff,0x40001fff,0x03fffffd,0x7ffffd40,0x3e000004,0xff04ffff,
    0xffffffff,0xffffffff,0x000129ff,0x3fffe290,0x17ffd43f,0x7c9fffff,
    0xffffffff,0xffffffff,0xfff14fff,0x3ee009ff,0xffffffff,0xffffffff,
    0xfffe887f,0xffffffff,0xffffffff,0xffffffff,0x7ff443ff,0xefffffff,
    0x221fffff,0x403fffff,0x31fffffb,0x007fffff,0x3ffee000,0x7d40006f,
    0xffffffff,0x3fffe006,0xfea9807f,0x001fffff,0x07fffffb,0x07fffff4,
    0x0ffffff0,0xfffffd10,0x7fffffcf,0xcccccccc,0x3e00cccc,0x7c46ffff,
    0xff51ffff,0xffd81fff,0x703c87ff,0x003fffff,0x3ffffa20,0x7d4000ef,
    0x0004ffff,0x3ffffe00,0xffffff04,0xffffffff,0x29ffffff,0x9a400004,
    0x262fffff,0x7ff44fff,0x3fffe5ff,0xffffffff,0xffffffff,0x1bffffe4,
    0x7ffffe40,0xffffffff,0x40ffffff,0xfffffffe,0xffff88bd,0xffffffff,
    0x4fffffff,0x3fffffe6,0xff98abef,0x3fe21fff,0x7dc03fff,0xff31ffff,
    0x00007fff,0x0fffffa0,0x3fff6000,0x001fffff,0x3ffffffe,0xffffffff,
    0x4fffffff,0x3fffea00,0xffff106f,0xffff80bf,0x999999ff,0xffffffba,
    0x3ffffe5f,0xffffffff,0x201fffff,0x547ffffe,0x7fc7ffff,0x7ffc2fff,
    0x7dc005ff,0x8001ffff,0xffffffe9,0xfffa8001,0x000004ff,0x413ffffe,
    0xa9999999,0x999effff,0x00909999,0x3ffe4800,0xbfff34ff,0x49fffff0,
    0xffffffff,0xffffffff,0x3fa4ffff,0xd800ffff,0x001fffff,0xfffffc80,
    0xffff882e,0xfe80004f,0x980bffff,0x221fffff,0x403fffff,0x31fffffb,
    0x005fffff,0xffff5000,0xf100001f,0x09ffffff,0xffffff80,0xffffffff,
    0xdfffffff,0x7fffc000,0xfffb81ff,0x7ffc03ff,0xffffffff,0xffffffff,
    0x3fffe1ff,0xffffffff,0x01ffffff,0x87fffff2,0x6c5ffffc,0x3e24ffff,
    0x4003ffff,0x01fffffb,0x7ffffcc0,0xf50001ff,0x0009ffff,0x7ffffc00,
    0xfff98004,0x0009006f,0x3fffa480,0x86ffe8df,0x02fffff8,0xffb00000,
    0xf8807fff,0x002fffff,0x6ffffe80,0x3ffffe60,0x7fc40006,0x3ea05fff,
    0x3e21ffff,0x6404ffff,0xf31fffff,0x0005ffff,0xbffffd00,0x3fee0000,
    0x005fffff,0x7ffffffc,0xffffffff,0x003fffff,0x7fffffb0,0x1fffffb0,
    0xffffff80,0xffffffff,0x42ffffff,0xffffffff,0xffffffff,0x3fea01ff,
    0x3ffa3fff,0x7ffdc3ff,0x3fffea6f,0x7fdc001f,0x26001fff,0x1effffff,
    0x3ffea000,0x000004ff,0x013ffffe,0x1bfffe60,0x20000240,0x3bffff64,
    0xfa80effe,0x0001ffff,0xffff7000,0xfffb80bf,0x6ec05fff,0xffff81ab,
    0x3ffea03f,0x36a00fff,0x7ffd40ab,0x3fee01ff,0x3fe21fff,0x7f405fff,
    0xff31ffff,0x00005fff,0x2fffff98,0xfff88000,0x02ffffff,0x3fffffe0,
    0xffffffff,0x000adfff,0x3ffffea0,0x7ffffc46,0xfffff805,0xffffffff,
    0x84ffffff,0xffffffff,0xffffffff,0x3fe201ff,0xfff14fff,0xfff983ff,
    0xffff90ff,0xfff7000f,0x7f4003ff,0x000effff,0x7ffffd40,0x33322004,
    0xffff02cc,0xff30009f,0x01200dff,0x7fdc9000,0x00ffffff,0x00fffffd,
    0x0155554c,0xffffff10,0x3fffea09,0xf701ffff,0x7c49ffff,0x3a05ffff,
    0x05ffffff,0x1ffffff1,0x0fffffee,0x7fffffc4,0x7fffffc1,0xfffff900,
    0x3fffe63f,0x6c00002f,0x0006ffff,0xffffffd0,0x2001ffff,0xdcffffff,
    0xfffffffe,0xff00000e,0x7dc3ffff,0xf802ffff,0xffffffff,0xffffffff,
    0xfffff02d,0x5555555f,0x80155555,0xf56ffffe,0x3fe0ffff,0xfffd2fff,
    0xff7000bf,0x2a003fff,0x00efffff,0xffffa800,0x3fe2004f,0xfff03fff,
    0xf30009ff,0x1200dfff,0xfe890000,0x901fffff,0x007fffff,0x07ffffdc,
    0xfffff500,0xffb537bf,0xffffffff,0x7fffd447,0x7fffc0ff,0x7fe442ff,
    0x2effffff,0x3fffff66,0x3ffffe65,0x7fff4c0e,0x7fec1fff,0x3261efff,
    0x1fffffff,0x05fffff3,0xffff8000,0xfb80003f,0xffffffff,0xfff005ff,
    0xffd30fff,0x0005ffff,0x9fffff90,0x03ffffec,0xeffffff8,0xceeeeeee,
    0x7fffc01b,0xc800007f,0xfc8fffff,0xffb05fff,0x3fffe9ff,0xffb8003f,
    0xf7001fff,0x0001dfff,0x3ffffea0,0x3ffe2004,0xffff03ff,0xff30009f,
    0x01200dff,0xffa89000,0x261cffff,0x06fffffd,0x7ffffdc0,0x7ffec000,
    0xffffffff,0xffffffff,0xffffefff,0xffd84fff,0xfeceffff,0xffffffff,
    0xffffffff,0x3e21ffff,0xcdffffff,0xffffffff,0x7fffdc2f,0xffffffff,
    0x31ffffff,0x005fffff,0x7fffd400,0x7c40000f,0xffffffff,0xf802ffff,
    0x3a07ffff,0x03ffffff,0x7fffcc00,0xfffff16f,0x3fffe009,0x3e00007f,
    0x0007ffff,0xfffffa80,0x03fffffa,0xf3dffff7,0x0003ffff,0x03fffff7,
    0x0bffff60,0xfffa8000,0x3e2004ff,0xff03ffff,0x30009fff,0x200dffff,
    0x42400004,0xfffffffe,0xffffffff,0x7fdc000f,0x44000fff,0xfffffffe,
    0xdeffffff,0xffffffff,0x305fffff,0xffffffff,0xfbffffff,0xffffffff,
    0x705fffff,0xffffffff,0xffffffff,0xffffb09f,0x3fffffff,0x263fffff,
    0x002fffff,0x3ffff200,0xffd80005,0xffe9ffff,0x7c00ffff,0x2207ffff,
    0x2fffffff,0x7fff4000,0xffffa9ff,0xffff001f,0x7c0000ff,0x0007ffff,
    0xfffff880,0x00fffffd,0xf9fffff3,0x2000ffff,0x01fffffb,0x03fffff0,
    0x7ffd4000,0x3e2004ff,0xff03ffff,0x30009fff,0x200bdddd,0x22400004,
    0xfffffff9,0xffffffff,0xffb8002f,0x70000fff,0xffffffff,0x7fd47fff,
    0xffffffff,0x7ffdc05f,0xffffffff,0xffffd30c,0x5fffffff,0x7ffffec0,
    0xfc8effff,0xfe887fff,0xefffffff,0x23fffff0,0x02fffff9,0x3fffa000,
    0x7d40002f,0xf34fffff,0x80bfffff,0x407fffff,0xfffffffa,0x3fee0000,
    0xfffdcfff,0x3ffe007f,0x200007ff,0x007fffff,0xfffff000,0x80dfffff,
    0xffffffff,0xf70006ff,0x2003ffff,0x000fffff,0x3fffea00,0x3fe2004f,
    0xfff02fff,0x000009ff,0x40000480,0x3ffffe24,0xffffffff,0x70000dff,
    0x001fffff,0x7fffec40,0xc880dfff,0xdfffffff,0xfffb3001,0x2019dfff,
    0xffffffec,0xfea800bf,0x263effff,0x882fffff,0xceffffec,0x47ffffe0,
    0x02fffff9,0xffff3000,0x7c40001f,0x646fffff,0x02ffffff,0x01fffffe,
    0x3ffffff2,0x3fe20005,0xffffffff,0x3ffe004f,0x200007ff,0x007fffff,
    0xffffb000,0x809fffff,0xfffffffd,0xf70004ff,0x2003ffff,0x0002aaaa,
    0x7ffffd40,0x3ff70004,0x13ffffe0,0x4ccccccc,0x99999999,0x09099999,
    0x3f648000,0xfffc98ef,0x002effff,0x0ccccc40,0x55310000,0x554c4001,
    0x53100009,0x55300035,0x2a600033,0x2000009a,0x00000aa8,0xffb80000,
    0x6c0007ff,0x82ffffff,0x0ffffffe,0x0ffffff0,0xfffffd10,0x7f40005f,
    0xffffffff,0x3ffe001f,0x200007ff,0x007fffff,0xffff7000,0x805fffff,
    0xfffffffa,0xf70002ff,0x0003ffff,0x3ea00000,0x0004ffff,0x3fe03ffd,
    0xfff04fff,0xffffffff,0xffffffff,0x0000129f,0x4c07f449,0x00000aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x005ffffc,
    0x3ffffea0,0xffff305f,0x3ffe0bff,0xff3007ff,0x001fffff,0x3ffffee0,
    0x4006ffff,0x007fffff,0x3ffffe00,0xf3000007,0xffffffff,0xffff8801,
    0x000fffff,0x3fffff70,0x33333200,0x3ea00002,0x8004ffff,0x3fe06ff8,
    0xfff04fff,0xffffffff,0xffffffff,0x0000129f,0x00000109,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07ffffb0,0x3fffe200,
    0x3f200fff,0xf82fffff,0x2007ffff,0x5ffffffc,0xffff1000,0x007fffff,
    0x07fffff8,0x3fffe000,0x2000007f,0xffffffff,0xffffd006,0x4000dfff,
    0x01fffffb,0x09fffff0,0x7ffd4000,0x7dc004ff,0x3ffe02ff,0xffff04ff,
    0xffffffff,0xffffffff,0x33333369,0xcccccccc,0x05cccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd000000,0x20005fff,
    0x2ffffffd,0x7ffffc40,0x7fffc0ff,0x7ff4007f,0x0002ffff,0xfffffffb,
    0xfff8001f,0x200007ff,0x007fffff,0x3fff6000,0x9004ffff,0x9fffffff,
    0x7ffdc000,0xfff001ff,0x400009ff,0x04fffffa,0x013ffea0,0x209fffff,
    0xffffffff,0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x17ffffc0,0x7fffd400,0xff5005ff,
    0xff8bffff,0x4c007fff,0x06ffffff,0xfffff500,0xff000dff,0x0000ffff,
    0x03fffffc,0xfff70000,0x2005ffff,0xfffffffa,0x3fee0002,0xff001fff,
    0x00009fff,0x27ffffd4,0x200bfe00,0xf04fffff,0xffffffff,0xffffffff,
    0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0fffffc4,0x3fffe200,0x36000fff,0x22ffffff,0x007fffff,
    0xffffffc8,0xfff88004,0x8003ffff,0x007fffff,0x3ffffe00,0x26000007,
    0x0fffffff,0xfffff100,0x5c0001ff,0x001fffff,0x009fffff,0x7fffd400,
    0x004c004f,0x04fffff8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff980,0x7ffe4001,0x44003fff,
    0x0fffffff,0x00ffffff,0x3fffffa0,0xffd8001f,0x8000ffff,0x007fffff,
    0x3ffffe00,0x22000007,0x06ffffff,0x7fffff40,0x7fdc0006,0xff001fff,
    0x00009fff,0x27ffffd4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcedca980,0x5554402c,0x554401aa,0x55550aaa,
    0xdba88055,0x40001acd,0xabdedca8,0x65440000,0x200abded,0x00aaaaa8,
    0x6776e54c,0x005c00bc,0x00000000,0x555442e2,0x55401aaa,0x0001aaaa,
    0x55553000,0x2aa60015,0x2aaa0aaa,0x6edcc0aa,0x2aa600ac,0xaaaaaaaa,
    0x22aaaaaa,0x441aaaa8,0x200acdca,0x301bddb9,0x98035555,0x4c02aaaa,
    0x2aa2aaaa,0x55511aaa,0x55540355,0x55542aaa,0x800081aa,0xeeeb8000,
    0xddd7003e,0x04eeec89,0x8bbbb600,0x202eeed8,0xe9805eea,0xffffffff,
    0xffff103f,0xfffa807f,0xffffd1ff,0x7fffdc0d,0x001effff,0x7ffffe44,
    0x000dffff,0x7ffffe44,0xa80dffff,0x301fffff,0xfffffffb,0xf101bfff,
    0x0000019f,0xffc98000,0x3fffffa0,0xffff500f,0x03aa03ff,0xfb81d300,
    0xb003ffff,0x221fffff,0xf30fffff,0x7fffffff,0x3ffffee0,0xffffffff,
    0xff70ffff,0x7ffecbff,0x74c2ffff,0x1fffffff,0x037fffdc,0x01fffffa,
    0x7cbffffd,0xff15ffff,0x3f207fff,0x7c1fffff,0x7444ffff,0x003b6005,
    0x09ffff90,0x8ffffe20,0x002ffff9,0x20ffffc8,0x2606fffd,0x7dc07fff,
    0xffffffff,0xff886fff,0x7d403fff,0xffd1ffff,0xffd10dff,0xffffffff,
    0x3fea007f,0xffffffff,0xf5002fff,0xffffffff,0xfa85ffff,0xfa81ffff,
    0xffffffff,0x441fffff,0x001dffff,0x6d400000,0x3e20ffff,0x884fffff,
    0x03ffffff,0x5541dff3,0x3bfe61ab,0x3ffffe20,0xffff8806,0x3fffe24f,
    0xfffffa8f,0xb85fffff,0xffffffff,0xffffffff,0xbffff70f,0xffffffd1,
    0x3fea5fff,0xffffffff,0x3ffffe60,0xfffff100,0x3ffe203f,0x3fffe2ff,
    0xfffff15f,0xfffff707,0xfffff05f,0x02fff449,0x00077fec,0x009ffff9,
    0xb07fffe4,0x4001ffff,0x2a2ffff9,0xf501ffff,0x7ec0ffff,0xffffffff,
    0x445fffff,0x403fffff,0xd1fffffa,0xf88dffff,0xffffffff,0x404fffff,
    0xfffffffb,0xffffffff,0x7fffd404,0xffffffff,0x3fea5fff,0x7fcc1fff,
    0xffffffff,0x20ffffff,0xeffffff8,0x20000002,0xfffffeb8,0x7fffd40f,
    0x7ffec1ff,0xfff306ff,0xfffff9bf,0xdffff7df,0x7ffffe41,0x7fffdc01,
    0x3fffe21f,0xffffffcf,0x42ffffff,0xfffffffb,0xffffffff,0xffff70ff,
    0xfffffffd,0xff9fffff,0xffffffff,0x7fff41df,0xffff503f,0x3fea07ff,
    0x3ffe0fff,0xffff15ff,0xffffa87f,0xffff02ff,0x3fffa29f,0x3fff605f,
    0xff9000ef,0x7c4009ff,0x3fe25fff,0xfd1005ff,0x7ffc4dff,0xfffea85f,
    0xfff307ff,0xffbbffff,0x447fffff,0x403fffff,0xd1fffffa,0xfd8dffff,
    0xfcdfffff,0x01ffffff,0xfffffff3,0xffffffdf,0x3fe605ff,0xfeffffff,
    0x2fffffff,0x83fffff5,0xabfffffd,0xffffeca9,0x3fffe24f,0x00cfffff,
    0xff910000,0x1fffffff,0xdfffffb0,0x7fffffd4,0xfffffd00,0xffffffff,
    0x47ffffff,0x04fffff9,0x237ffff4,0xfffffff8,0xfffecdff,0x7fdc6fff,
    0xffffffff,0x0fffffff,0xfffffff7,0xffffb9bf,0x9bffffff,0x7ffffffb,
    0x82ffffe4,0x5ffffffc,0x8bffff90,0xf15fffff,0x7cc7ffff,0x203fffff,
    0xf74fffff,0xb0bfffff,0x07ffffff,0x13ffff20,0x7ffff700,0x017fffe4,
    0xb0ffffec,0xf881ffff,0x07ffffff,0x87fffffd,0x6fffffb8,0x0fffffe2,
    0x3fffff50,0x997ffffa,0x40dfffff,0x05ffffea,0x5ffffffd,0xfffffd88,
    0xffffe80f,0x7fec42ff,0xffa8ffff,0x7ffc0fff,0xfff101ff,0x7ffc4dff,
    0xffffffff,0xb300001d,0xffffffff,0xfd101fff,0xff19ffff,0x4405ffff,
    0xfffffffe,0xffffffff,0xfffe84ff,0x3ffe606f,0x7ffc43ff,0xfb83ffff,
    0x260fffff,0x99aaaaaa,0xffffffe9,0x3ffffee2,0x7ffd40ef,0x5c0effff,
    0x265fffff,0xfd07ffff,0x20ffffff,0x7c3fffff,0xff15ffff,0x3fe67fff,
    0x7c03ffff,0x3f64ffff,0x365fffff,0x04ffffff,0x13ffff20,0x3ffffa00,
    0x1fffff10,0x2ffffd40,0x109ffff7,0xfffd5dff,0x9fffff70,0x7ffffec0,
    0x7fffff12,0xfffffa80,0x49ff5311,0x00fffffe,0x83fffff3,0x0efffff9,
    0x3fffff20,0x7ffffd44,0x3fff200e,0xfd998dff,0x7ffffc47,0x02af6a01,
    0x3fffff22,0x2effffff,0xfffd5000,0xffffffff,0x7ffcc039,0xffffefff,
    0xffe8805f,0xffffffff,0x704fffff,0x203fffff,0x40fffffc,0x5ffffff8,
    0x3fffff60,0x7ffe4000,0x7fdc3fff,0xfd00ffff,0x101fffff,0xf8dfffff,
    0x7c42ffff,0x1fffffff,0x07ffffcc,0x44266666,0xe8bfffff,0x804fffff,
    0x6c4fffff,0xcdffffff,0x04ffffff,0x27fffe40,0x7fffd400,0x17fffee6,
    0x87ffffc4,0x80fffff9,0x1fffa1d8,0x03fffff6,0x20abde98,0x03fffff8,
    0x0fffffd4,0x7fc4ffea,0x7ec03fff,0x7fdc4fff,0x7c402fff,0x7ec7ffff,
    0x4402ffff,0x7c7fffff,0x7fffc47f,0x80001cff,0xffffffda,0x00bfffff,
    0x7ffffe44,0x2dffffff,0x3ffff200,0x0effffff,0xfffff900,0xffffb79f,
    0x3fe205ff,0xfff04fff,0xfff10bff,0x7dc01fff,0x2001ffff,0x4ffffffb,
    0x4fffffb8,0x3fffff60,0x3ffffa03,0x27fffe46,0x3fffffea,0x7ffdc3ff,
    0x7fc4006f,0xfffebfff,0xfff004ff,0xfffb09ff,0xffffffff,0x2666609f,
    0xffffc999,0x9999999c,0x7ffffb00,0x417ffff4,0x3a3ffffd,0x2003ffff,
    0xffe87ffe,0x440005ff,0x403fffff,0x41fffffa,0xfff32ffc,0xffb805ff,
    0x7ffec5ff,0xfff9006f,0x7fffc3ff,0xfff9006f,0x1bfe63ff,0x3ffffffa,
    0x0000bdff,0x3ffffae2,0x1cffffff,0x7ffffecc,0x0befffff,0xffffd000,
    0x003fffff,0x067ffffc,0x17ffff62,0x87ffffc8,0x81fffffa,0x06fffff8,
    0x17ffffd4,0xfffffa80,0xffff705f,0x7ffe405f,0x3ff602ff,0x7ffd47ff,
    0x7fffec6f,0x7f45fffe,0x44003fff,0xffffffff,0x3e007fff,0xfb04ffff,
    0xffffffff,0x3ffe609f,0xffffffff,0xffffffff,0xffff302f,0x3fffea3f,
    0x3fffee0f,0x1bffff26,0xf0fffd00,0x0009ffff,0x3fffff88,0x7ffffd40,
    0xfa97fea1,0xcccdffff,0xfffdcccc,0x7ffffc6f,0xffff5005,0x3fffe25f,
    0xfff5005f,0x3fff37ff,0xffffff70,0x39dfffff,0x7fe4c000,0xffffffff,
    0xffffff10,0x0039ffff,0xfffff300,0x4c007fff,0x500fffff,0x4c0fffff,
    0x6c2fffff,0xf106ffff,0xa809ffff,0x802fffff,0xeffffff9,0xfffff700,
    0x7fffe403,0x3fff601f,0x7fffc47f,0x37fffe0f,0x3e27fffc,0x4001ffff,
    0xfffffff8,0x002fffff,0x409fffff,0xfffffffd,0x3ffe604f,0xffffffff,
    0xffffffff,0x3fff602f,0x3ffffa5f,0x93ffffa4,0x004fffff,0x3e23fff4,
    0x0004ffff,0x1fffffc4,0x3ffffea0,0x20fffc99,0xfffffffb,0xffffffff,
    0x3fe67fff,0xf3003fff,0x3e67ffff,0x3003ffff,0xffdfffff,0x7ffe409f,
    0xffffffff,0x20001dff,0xfffffeb8,0xffff10ff,0x0015dfff,0xffffb800,
    0x7d4006ff,0x7f404fff,0x3fa00fff,0x3fe25fff,0xff103fff,0xf9809fff,
    0x4402ffff,0x0fffffff,0x3ffffee0,0x3ffff201,0x3fff600f,0xffffd87f,
    0x57ffff33,0x3ea3ffff,0x88006fff,0xffffffff,0xf006ffff,0xe809ffff,
    0x06ffffff,0x7fffffcc,0xffffffff,0x02ffffff,0x23fffff3,0x20fffffa,
    0x50fffff9,0x001fffff,0x3e63fff4,0x0004ffff,0x1fffffc4,0x3ffffee0,
    0x641effff,0xffffffff,0xffffffff,0xfff30fff,0x3e2007ff,0xff34ffff,
    0x22007fff,0xffffffff,0xffffc803,0xffffffff,0xc80002ff,0x10ffffff,
    0x19ffffff,0x3ea00000,0x00ffffff,0x0bfffee0,0x03ffff90,0x87ffffdc,
    0x00fffffb,0x09fffff1,0x2fffff98,0x3ffffa20,0x7fdc01ff,0x3f201fff,
    0x3600ffff,0xfa87ffff,0xfff75fff,0x7ffff13f,0x013ffff6,0x3ffffe20,
    0xffffffff,0xfffff803,0x3ffff604,0x2605ffff,0xffffffff,0xffffffff,
    0xfb02ffff,0x7ff47fff,0xfffc82ff,0x3ffff65f,0x1fffa004,0x09fffff1,
    0xffff8800,0x7ffdc03f,0x903effff,0xffffffff,0xffffffff,0x3fe61fff,
    0xf3004fff,0x3e67ffff,0x3004ffff,0x19ffffff,0x7ff5c400,0xffffffff,
    0xc98000ff,0xffffffff,0xffffff10,0x000039ff,0x7fffffc4,0x3ea006ff,
    0x7fc05fff,0x7fc00fff,0xfffb3fff,0x7ffc40bf,0x7fcc04ff,0x3fa02fff,
    0x802fffff,0x00fffffb,0x03fffff2,0x87ffffd8,0xfb7ffff8,0x7fff4fff,
    0x03fffff6,0xfffff100,0xffffddff,0xffff801f,0xffffb04f,0x0bffffff,
    0x3fffffe6,0xffffffff,0x82ffffff,0x2e6ffffa,0x3a05ffff,0xff11ffff,
    0x3a001fff,0xffff87ff,0x2200805f,0x403fffff,0x0bfffffb,0x7ffffdc0,
    0x7fc40000,0xf5005fff,0x3e23ffff,0x5005ffff,0x007fffff,0xffeca880,
    0x04ffffff,0x3ffff6a0,0x10ffffff,0xffffffff,0x00017dff,0xffffffd8,
    0xf3003fff,0x2e03ffff,0xc807ffff,0xff8dffff,0x3e201fff,0x4c04ffff,
    0xb02fffff,0x07ffffff,0x3ffffee0,0x3ffff200,0x3fff600f,0xffffd07f,
    0x64bffff5,0xfffaffff,0xff10006f,0xf31fffff,0xf809ffff,0xfd84ffff,
    0xffffffff,0xc8005fff,0x8004ffff,0xf10ffffe,0x4c01ffff,0x3ea6ffff,
    0xfd005fff,0xffffd0ff,0x79dfd00f,0x3ffffe23,0x7fffe404,0xfff9801f,
    0xf80002ff,0x800fffff,0x20fffffd,0x00ffffff,0x0fffffd8,0x75c40000,
    0x405fffff,0xffffffc9,0x40cfffff,0xffffffc8,0x01cfffff,0xfffffb80,
    0x01ffffff,0x5dffffd0,0x7ffff5c4,0xffff9804,0x06ffffbf,0x27ffffc4,
    0x3ffffe60,0xfffffc82,0x3fee003f,0x3f200fff,0x3600ffff,0xf707ffff,
    0xffffdfff,0x77fffcc5,0x0004ffff,0x3ffffff1,0x0fffffec,0x89fffff0,
    0xcffffffd,0x5ffffffd,0x7fffe400,0x7ffdc004,0x3ffff23f,0xffffb802,
    0x07ffff22,0x361fffa0,0x202fffff,0x14fffff9,0x80bfffff,0x01fffffe,
    0x4fffff88,0x404d66c0,0x04fffffc,0x37ffffcc,0x13fffff2,0xdfffff30,
    0x3b2ea600,0xfffff806,0xfffeb886,0xefffffff,0xfffd5003,0xdfffffff,
    0xfff30017,0xffffbfff,0x3fee00df,0xffdfffff,0x001fffff,0xfffffffd,
    0xff8807ff,0x7cc04fff,0x7dc2ffff,0x004fffff,0x07ffffdc,0x1fffff90,
    0x3ffffec0,0xffffff88,0x7ffc0fff,0x01ffffff,0xfffff100,0xfffff887,
    0x3ffffe06,0x3fffff64,0x3ffff64f,0x3f2005ff,0x22004fff,0x3e65ffff,
    0x3a004fff,0x7ff47fff,0x2aaa806f,0xefffff98,0xfffffb00,0x7fffffc3,
    0xfffffb01,0x3ff6003f,0xff701fff,0xff98bfff,0xd102ffff,0x985fffff,
    0x02ffffff,0x7fffffd1,0x3ffff600,0x7fffc03f,0x3fff264f,0xffffffff,
    0xfb30002d,0xffffffff,0x7f403bff,0xff8bffff,0x4c04ffff,0xffffffff,
    0xffffffff,0xfffa800e,0x00ffffff,0x27ffffc4,0x3ffffe60,0x3ffffea2,
    0xffb8005f,0x3f200fff,0x3600ffff,0x3a07ffff,0x6fffffff,0xffffffd8,
    0x6666407f,0xfffff12c,0xfffff907,0x3ffffe05,0xffffff74,0xfffffb09,
    0x3ff2007f,0x3f2004ff,0x3ff60fff,0x7fc4006f,0x3ffe63ff,0xfd80002f,
    0x99bfffff,0x6fffffec,0x77ffffec,0x3ffff261,0xf3001fff,0xa85fffff,
    0x81ffffff,0xdffffffd,0xffffb99a,0xfffb05ff,0x73359fff,0x0dffffff,
    0x7ffffd40,0x7fe440af,0xfff12fff,0xffffffff,0x22000019,0xfffffffc,
    0xfc80ffff,0x3ea6ffff,0x102fffff,0xffffffff,0xffffffff,0xff001dff,
    0x0bffffff,0x9fffff10,0xfffff980,0xffffff12,0xfffffddf,0x3eebffff,
    0x3200ffff,0x200fffff,0x207ffffd,0xfffffffb,0xfffffb84,0x7ffc04ff,
    0xffff15ff,0xffff107f,0x3fffe0df,0x3ffff64f,0x3ffff604,0x3fff2005,
    0xfff3004f,0x7fffd45f,0xfffb8001,0x1bfff20f,0x3ffe2000,0xffffffff,
    0x5c1fffff,0xffffffff,0xffffffff,0x3f6001ff,0xfeffffff,0x05ffffff,
    0xfffffff1,0xffffffff,0x3fe201ff,0xffffffff,0x0fffffff,0x7ffff400,
    0xffeddfff,0xf10effff,0xdfffffff,0x20000017,0xfffffeb8,0x7fcc0fff,
    0x7ec1ffff,0xd80fffff,0xffffffff,0xffffffff,0xfc804fff,0x02ffffff,
    0x4fffff88,0x7ffffcc0,0xffffff52,0xffffffff,0x3eebffff,0x3200ffff,
    0x200fffff,0x207ffffd,0xfffffff9,0xfffff982,0x7ffc02ff,0xffff15ff,
    0x3ffee07f,0xffff83ff,0x027fec4f,0x2002ffec,0x004ffffc,0xcb879995,
    0x2e0002cc,0x66642ccc,0xfb80001c,0xffffffff,0xd02fffff,0xffffffff,
    0xffff3fff,0xffd8003f,0xffffffff,0x2600efff,0xffffffff,0x1fffffff,
    0x7ffffcc0,0xffffffff,0xe88001ff,0xffffffff,0x0fffffff,0x3fffffe2,
    0x0000002e,0x7ffffed4,0x3fffa20f,0xfff883ff,0xfe885fff,0xfffdacff,
    0xfffe9cff,0xffff3005,0x3e200dff,0x4c04ffff,0xf52fffff,0xffffffff,
    0xffffffff,0x3fffeebf,0x3fff200f,0x3ff600ff,0x7ff407ff,0xff00ffff,
    0xf00fffff,0x3e2bffff,0x3a03ffff,0x7c0fffff,0x4d84ffff,0x00037600,
    0x009ffff9,0x00000000,0x4c000000,0xfffffffe,0x2203ffff,0xfffffffe,
    0xfffff1ff,0xfff70003,0xffffffff,0xffb1001d,0xffffffff,0x362001bf,
    0xffffffff,0x0000dfff,0x3fffff62,0xefffffff,0x67fffc41,0x00000001,
    0x07fffe4c,0x0dfffffb,0x7fffffd4,0x985fe882,0x02ff4409,0x3fffffa0,
    0xffff1003,0xfff9809f,0xffff52ff,0xffffffff,0x2bffffff,0x00fffffb,
    0x03fffff2,0x07ffffd8,0x37ffffe4,0xbfffffb0,0xbfffff00,0x0fffffe2,
    0x5fffffa8,0x027ffffc,0xd7000000,0x00007ddd,0x00000000,0xfd900000,
    0x19ffffff,0xffffb100,0x7ffc1bdf,0xb50001ff,0xdffffffd,0xfb730005,
    0x05bfffff,0x3fff6600,0x002dffff,0x3fff6600,0x02efffff,0x00017ff1,
    0xb8800000,0xffff50ff,0xffd803ff,0x3880ffff,0x80048800,0x00fffffa,
    0x9fffff10,0xfffff980,0xffffff52,0xffffffff,0x3eebffff,0x3200ffff,
    0x200fffff,0x407ffffd,0x04fffff9,0x0bffffee,0x57ffffe0,0x03fffff8,
    0x0ffffff4,0x009fffff,0x00000000,0x00000000,0x00000000,0x0009aa98,
    0x0002aa20,0x55310000,0x4c000013,0x200000aa,0x000aaa98,0xaa998000,
    0x0005001a,0x20000000,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x13fffea0,0x3bfb2a00,
    0xecb8802c,0x75c403ce,0x401ceefe,0x81cdecb8,0xccccccc8,0xcccccccc,
    0x911ccccc,0x99999999,0x99999999,0xff803999,0x7654003f,0x999103de,
    0x55554399,0x2aaaa62a,0x2aaaa60a,0x026a601a,0x32a60600,0x3f200bcd,
    0x7752ffff,0x77777777,0x04ccccc3,0x05fffffb,0x26599999,0xbbbbbbbb,
    0xbbbbbbbb,0x23bbbbbb,0x7cc7fffe,0xddd54fff,0xdddddddd,0xdddddddd,
    0x0000dddd,0x00000000,0x00000000,0x00000000,0x00000000,0xd0000000,
    0x001fffff,0x3fffff62,0xff500dff,0x03dfffff,0xfffffff1,0x3fea05ff,
    0x4c4fffff,0xffffffff,0xffffffff,0xff32ffff,0xffffffff,0xffffffff,
    0xffe805ff,0xfffb1003,0xf883dfff,0xff13ffff,0x7fecffff,0x3ff22fff,
    0x7f4c3fff,0x00beffff,0xffff85c8,0xff882fff,0x3ff23fff,0xffffffff,
    0x13ffffe2,0xf0dffffb,0x3ea9ffff,0xffffffff,0xffffffff,0x3a7fffff,
    0x7fcc7fff,0xffff54ff,0xffffffff,0xffffffff,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9800000,0x003fffff,0xfffffffd,
    0xfff30dff,0x1fffffff,0xffffffd8,0xff81ffff,0x3fffffff,0x3fffffe6,
    0xffffffff,0x32ffffff,0xffffffff,0xffffffff,0xe805ffff,0xffb002ff,
    0x1fffffff,0x9fffffc4,0x27fffff8,0x22fffffd,0x23fffffc,0xfffffffb,
    0x4c0adfff,0x5de445fe,0xfc87fffd,0x7fe44fff,0xffffffff,0x13ffffe2,
    0xf07ffff6,0x3ea9ffff,0xffffffff,0xffffffff,0x3a7fffff,0x7fcc7fff,
    0xffff54ff,0xffffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x806fffff,0xfcfffffb,0x7ec3ffff,
    0xffd98cff,0x3bffea3f,0x3ffffb9a,0x545fffdc,0x3fe66fff,0xffffffff,
    0xffffffff,0xffff32ff,0xffffffff,0xffffffff,0xffb06545,0x3ee05c43,
    0xffebcfff,0x3fffe25f,0xfffff13f,0x7ffffecf,0x3fffff22,0xffffff93,
    0xffffffff,0x0bffffbd,0x447fff50,0xfc85ffff,0xffffffff,0x3ffffe2f,
    0x5fffe884,0xaa7ffffc,0xffffffff,0xffffffff,0x27ffffff,0x7cc7fffe,
    0xddd34fff,0xdddddddd,0xdddddddd,0x0000dddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0xffffffff,0x27fffc02,0xf8ffffb1,
    0x7ffcc7ff,0x9076e624,0xedb89fff,0xf33fff46,0xffffffff,0xffffffff,
    0x3fe65fff,0xffffffff,0xffffffff,0x33ff62ff,0xfd98ffc8,0x077ff43f,
    0x7c43fff2,0xff13ffff,0x7fecffff,0x3ff22fff,0xfff93fff,0xffffffff,
    0xffffffff,0xfff500bf,0x82fffdc9,0xfffffffc,0x3ffe2fff,0xffd104ff,
    0x7ffffc3f,0x22222224,0x88888888,0x88888888,0x31bbbb60,0x0007dddd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd800000,
    0x6fffffff,0x03fffe20,0x981ffff1,0x1fffdc19,0x7ffed440,0xfffb9804,
    0x33333225,0xcccccccc,0x1ccccccc,0x99999991,0x99999999,0x225fffff,
    0xffefffff,0x225ffffe,0xff883fff,0xfffff12f,0x3ffffe25,0x3fffff67,
    0x3fffff22,0xddffff93,0xffffffff,0x4bffffff,0xffd73099,0x037ff45f,
    0xfffffff9,0x7ffc5fff,0x3fe204ff,0x3ffffe4f,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc4000,
    0x1ffffeef,0x20dfff30,0x8801ffff,0xb881fffe,0xffffffed,0x7fffdc04,
    0x00000005,0x3fffa000,0xffffd32f,0xffffffff,0x807ffccf,0xffc83ffe,
    0x9bffffe1,0x21fffffc,0x91fffffb,0xfda815df,0xffffffff,0xffff30df,
    0x889fffff,0x44444008,0x40888888,0x801bbbbb,0x00000008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,
    0xffbbffff,0xfff505ff,0x0bfffa0b,0x09fffd30,0xfffffff7,0xfd809fff,
    0x00004fff,0x3a000000,0x5442ffff,0xcdffffec,0x1fffc40a,0x7417ffcc,
    0x3fff60ff,0x3fffea4f,0x3fffe60f,0x5100b90f,0x5dfffffd,0xffffff98,
    0x000001df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffc400,0xfffff88f,0x06fffa81,
    0x5405ffff,0xfc85ffff,0xfbacefff,0x766c04ff,0x0000efff,0xe8000000,
    0xd102ffff,0xe809ffff,0x3f620eff,0x37fcc0ff,0x88fffff2,0x7c46ffff,
    0x00067fff,0x98026aa2,0x0009aaa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf9000000,
    0x7fe4bfff,0xfff984ff,0x0ffff887,0x09ffff70,0xfb0ffffe,0x7dc009ff,
    0x999913ff,0x99999999,0x99999999,0x3fa00003,0xfe882fff,0x203fffef,
    0xfcdffffa,0x7fdc4fff,0x7fffd41f,0x42ffffc2,0x0006fffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff100000,0x7fcc5fff,0xfff80fff,0x3fffdc2f,
    0x03ffffd8,0xff0ffff1,0x1a9889ff,0xf9afffc4,0xffffffff,0xffffffff,
    0x00002fff,0x885ffffd,0xffc8fffe,0x3fff602f,0x20efffff,0xf984fffb,
    0x7fec0fff,0x4fffd84f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd0dffff7,0xf909ffff,0xffd5bfff,0xfff907ff,0x7ffc403f,0xfffd98cf,
    0x237ffc4f,0xff35fffa,0xffffffff,0xffffffff,0x200005ff,0x6c2ffffe,
    0xfff13fff,0x7ffe403f,0x7c40dfff,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07fffff0,0x01fffff7,0xfffffffd,0xfff70dff,
    0x9ddddddf,0x7ffffff4,0x6c5fffff,0xffbadfff,0xffff32ff,0xffffffff,
    0xffffffff,0x3fa00005,0x7f4c2fff,0x4027fd46,0x202cddb9,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03ffffee,0x0fffffe2,
    0x3fffffa6,0xffe80eff,0xffffffff,0x3ffffe65,0x46fffcff,0xfffffff8,
    0x3ffe65ff,0xffffffff,0xffffffff,0xfd00002f,0x3b105fff,0x000003b0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40bffffd,
    0x206ffffc,0x03dfffdb,0xfffffff1,0xd88bffff,0xdd71defe,0xfffe981d,
    0x66444fff,0xcccccccc,0xcccccccc,0x500001cc,0x00015555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff500000,0x7cc05fff,
    0x0002ffff,0x55555510,0x00355555,0x2f2e6000,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_46_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,1,2,2,3,1,3,2,0,3,
3,2,3,1,2,1,3,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,1,0,0,3,2,-1,2,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,3,2,0,0,-2,-2,-1,-1,-1,-1,2,2,2,2,2,2,0,-2,3,2,2,3,2,3,
-1,3,2,3,2,0,0,3,2,3,2,3,2,-2,3,2,1,1,1,1,1,1,1,1,3,2,3,0,3,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,2,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,-2,-2,1,
1,2,2,2,2,2,2,2,2,2,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-2,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_bold_46_latin_ext_y[560]={ 37,7,7,7,5,7,7,7,7,7,7,12,31,23,
31,7,7,7,7,7,7,7,7,7,7,7,15,15,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,41,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,15,15,15,15,15,15,7,7,7,18,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,15,7,7,11,7,
7,7,7,6,7,17,15,23,6,2,7,9,7,7,7,15,7,19,37,7,7,17,7,7,7,15,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,6,-1,-1,-1,0,-1,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,11,14,7,7,7,7,7,7,7,
1,8,0,7,7,15,-1,7,-2,7,-1,7,-1,7,-1,7,7,7,1,8,-1,7,-1,7,7,15,-1,7,-2,7,
0,7,-1,7,7,4,-2,-1,7,7,-1,7,1,8,-1,7,7,7,0,15,7,7,-2,7,7,7,15,-1,0,7,
7,7,7,7,7,7,7,-1,7,7,15,-1,7,7,7,15,1,8,-1,7,-1,6,7,15,-1,7,7,15,-1,7,
-1,7,-2,7,7,15,-1,7,7,8,-1,7,7,8,-1,7,1,8,-1,7,-1,6,-1,6,7,15,-2,7,-2,7,
0,-1,7,0,7,-1,7,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,7,11,11,7,11,11,11,
11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,7,-1,7,-1,
7,-1,7,-1,-1,-1,-1,-1,-1,-1,-1,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-5,-2,-2,7,-2,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_46_latin_ext_w[560]={ 0,7,16,23,21,34,29,8,11,11,16,22,7,12,
7,13,20,14,20,21,22,21,21,21,21,20,6,7,22,22,22,22,40,30,25,27,26,24,21,29,24,7,20,27,
21,30,24,30,24,31,27,25,25,25,29,39,28,29,25,11,13,11,20,25,10,21,22,21,22,21,15,22,21,7,
11,21,7,32,21,23,22,22,15,21,14,21,23,33,23,23,20,14,6,15,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,21,23,22,23,
6,21,14,32,15,20,22,12,32,25,14,21,13,13,10,20,24,7,12,9,15,19,33,33,34,22,30,30,30,30,
30,30,42,27,24,24,24,24,10,10,14,14,29,24,30,30,30,30,30,20,30,25,25,25,25,29,24,22,21,21,
21,21,21,21,34,21,21,21,21,21,10,10,15,14,23,21,23,23,23,23,23,22,23,21,21,21,21,23,22,23,
30,21,30,21,32,24,27,21,27,21,27,21,27,21,26,29,29,24,24,21,24,21,24,21,24,21,24,21,29,22,
29,22,29,22,29,22,24,21,30,23,15,15,14,14,13,13,10,10,7,7,28,18,24,15,27,21,21,21,10,21,
12,21,14,21,15,25,12,24,21,24,21,24,21,29,25,21,30,23,30,23,30,23,39,37,27,15,27,17,27,16,
25,21,25,21,25,21,25,21,25,14,25,20,25,14,25,21,25,21,25,21,25,21,25,21,25,24,39,33,29,23,
29,25,20,25,20,25,20,13,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,21,21,24,21,21,21,
21,21,21,21,21,21,21,21,21,21,35,29,21,21,21,21,21,21,21,21,21,21,21,21,21,33,28,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,30,21,15,15,30,
23,25,21,25,21,25,21,25,21,25,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,30,21,42,34,30,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_bold_46_latin_ext_h[560]={ 0,30,12,31,37,32,31,12,39,39,15,21,13,7,
6,31,31,30,30,31,30,31,31,30,31,31,22,29,23,15,23,30,39,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,33,30,31,30,31,30,30,30,30,30,39,31,39,17,5,7,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,39,39,39,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,31,39,31,22,30,
39,39,5,32,16,19,15,7,32,4,13,28,16,16,7,31,39,7,9,16,16,19,32,32,32,31,38,38,38,37,
37,36,30,39,38,38,38,37,38,38,38,37,30,37,39,39,39,38,38,21,33,39,39,39,38,38,30,31,31,31,
31,31,31,32,23,31,31,31,31,31,30,30,30,30,31,30,31,31,31,31,31,23,25,31,31,31,31,39,39,39,
36,30,37,31,39,31,39,31,40,31,39,31,39,31,38,31,30,31,36,30,38,31,38,31,39,31,38,31,40,39,
38,39,39,39,39,42,39,38,30,30,38,30,36,29,38,30,39,39,37,22,31,39,40,39,39,39,22,38,37,39,
39,30,30,30,30,30,30,38,30,39,31,38,30,30,31,31,37,30,39,31,39,32,31,23,38,30,39,31,38,30,
39,31,40,31,39,31,39,31,44,42,38,31,30,30,39,31,37,30,39,31,39,32,39,32,39,31,39,30,39,39,
37,38,30,37,30,38,30,30,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,31,26,26,39,26,26,26,
26,26,26,26,26,26,26,26,26,26,31,23,26,26,26,26,26,26,26,26,26,26,26,26,26,31,23,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,38,31,38,30,39,
31,39,31,39,39,39,39,39,39,39,39,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,42,40,39,31,41,32,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__arial_bold_46_latin_ext_s[560]={ 510,504,177,369,367,126,236,168,248,491,128,
435,160,241,273,494,491,197,137,192,487,398,247,1,167,48,377,261,173,82,150,
212,428,229,260,415,286,390,135,466,431,504,220,109,87,456,335,189,110,94,52,
141,235,115,80,157,23,199,173,390,496,494,1,281,262,448,92,1,69,52,415,
25,368,360,239,313,503,310,267,74,443,262,492,128,158,470,243,343,196,188,289,
476,503,200,194,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,510,495,275,
1,220,328,397,168,307,387,52,478,105,241,218,322,145,284,38,68,230,241,26,
254,217,499,22,458,273,331,183,285,198,229,260,184,153,1,65,51,420,1,358,
429,461,291,405,414,417,389,195,105,136,136,167,414,63,97,123,174,302,328,17,
45,23,1,482,460,438,251,413,376,354,332,310,288,500,453,256,72,168,352,119,
95,71,47,23,352,328,1,291,269,225,251,320,444,32,431,336,256,1,143,60,
166,179,412,114,322,190,234,472,136,211,65,469,163,73,473,128,114,218,212,26,
393,149,269,98,216,360,297,330,73,1,51,400,17,445,1,454,269,492,486,495,
288,215,406,444,346,207,299,260,75,384,383,499,226,292,464,363,378,308,324,350,
111,108,305,116,32,374,42,90,214,223,41,365,90,315,307,25,375,57,130,167,
420,412,146,79,313,232,68,469,300,402,278,1,27,85,369,185,241,243,390,254,
272,142,434,88,161,34,365,468,344,404,294,367,343,280,440,396,310,447,466,468,
489,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,138,306,306,149,
306,306,306,306,306,306,306,306,306,306,306,306,306,167,98,306,306,306,306,306,
306,306,306,306,306,306,306,306,335,23,306,306,306,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,1,203,
396,1,445,1,397,266,1,423,27,53,280,258,328,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,
306,306,306,42,127,354,456,96,420,306,306,306,306,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,306,306, };
static unsigned short stb__arial_bold_46_latin_ext_t[560]={ 1,244,526,345,205,244,313,526,126,1,526,
502,526,526,526,205,281,471,440,313,440,313,345,471,377,377,502,471,502,526,502,
471,86,440,440,345,440,440,471,345,440,313,377,440,440,440,440,377,471,244,471,
377,471,377,471,471,471,440,440,86,345,44,526,526,526,471,377,502,377,502,440,
377,440,440,44,440,409,502,502,502,345,377,471,502,440,471,502,502,502,281,502,
1,1,44,526,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,1,244,44,
377,502,409,44,86,526,244,526,502,526,526,244,526,526,471,526,526,526,377,126,
526,526,502,526,502,244,244,244,377,166,166,166,205,205,244,409,126,166,205,166,
205,166,166,166,205,409,205,126,126,126,166,166,502,244,44,44,44,166,166,440,
345,345,345,313,313,313,244,471,313,313,313,313,313,377,377,409,440,313,409,313,
313,313,313,313,471,471,313,345,345,345,44,44,44,244,377,205,281,86,313,86,
281,1,281,86,281,86,281,166,281,409,281,205,409,205,244,205,281,86,281,205,
345,1,86,205,44,86,44,86,1,126,205,377,409,166,409,205,471,126,377,86,
126,205,502,244,126,1,126,126,44,502,166,166,126,86,377,377,377,377,377,377,
166,409,86,345,166,409,440,345,313,205,409,126,281,126,244,281,471,166,409,126,
313,126,409,126,345,1,345,86,281,86,281,1,1,166,281,409,409,86,281,205,
409,86,281,86,244,86,244,44,281,44,409,44,44,205,126,409,205,409,126,409,
409,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,345,471,471,44,
471,471,471,471,471,471,471,471,471,471,471,471,471,345,502,471,471,471,471,471,
471,471,471,471,471,471,471,471,345,502,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,166,345,
126,440,1,281,1,313,46,1,44,44,1,1,1,1,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,1,1,1,281,1,244,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471, };
static unsigned short stb__arial_bold_46_latin_ext_a[560]={ 183,219,312,366,366,586,476,157,
219,219,256,385,183,219,183,183,366,366,366,366,366,366,366,366,
366,366,219,219,385,385,385,402,642,476,476,476,476,439,402,512,
476,183,366,476,402,549,476,512,439,512,476,439,402,476,439,622,
439,439,402,219,183,219,385,366,219,366,402,366,402,366,219,402,
402,183,183,366,183,586,402,402,402,402,256,366,219,402,366,512,
366,366,329,256,184,256,385,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,183,219,366,366,366,366,184,366,
219,485,244,366,385,219,485,364,263,362,219,219,219,380,366,183,
219,219,241,366,549,549,549,402,476,476,476,476,476,476,659,476,
439,439,439,439,183,183,183,183,476,476,512,512,512,512,512,385,
512,476,476,476,476,439,439,402,366,366,366,366,366,366,586,366,
366,366,366,366,183,183,183,183,402,402,402,402,402,402,402,362,
402,402,402,402,402,366,402,366,476,366,476,366,476,366,476,366,
476,366,476,366,476,366,476,474,476,402,439,366,439,366,439,366,
439,366,439,366,512,402,512,402,512,402,512,402,476,402,476,402,
183,183,183,183,183,183,183,183,183,183,517,366,366,183,476,366,
366,402,183,402,183,402,254,402,316,402,183,476,402,476,402,476,
402,467,476,402,512,402,512,402,512,402,659,622,476,256,476,256,
476,256,439,366,439,366,439,366,439,366,402,219,402,316,402,219,
476,402,476,402,476,402,476,402,476,402,476,402,622,512,439,366,
439,402,329,402,329,402,329,183,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,478,494,494,366,494,494,494,494,494,
494,494,494,494,494,494,494,494,562,468,494,494,494,494,494,494,
494,494,494,494,494,494,494,547,477,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,476,366,183,183,512,402,476,402,476,402,476,
402,476,402,476,402,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,476,366,659,586,512,402,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_46_latin_ext(stb_fontchar font[STB_FONT_arial_bold_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_46_latin_ext_s[i] + stb__arial_bold_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_46_latin_ext_t[i] + stb__arial_bold_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_46_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_46_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_46_latin_ext_x[i] + stb__arial_bold_46_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_46_latin_ext_y[i] + stb__arial_bold_46_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_46_latin_ext_s[i] + stb__arial_bold_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_46_latin_ext_t[i] + stb__arial_bold_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_46_latin_ext_x[i] + stb__arial_bold_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_46_latin_ext_y[i] + stb__arial_bold_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_46_latin_ext_LINE_SPACING
#endif

