// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT        242
#define STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_30_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_30_latin_ext_LINE_SPACING          20

static unsigned int stb__consolas_30_latin_ext_pixels[]={
    0x00ffe7ff,0xa9800188,0x11c4002a,0x99988003,0x5c000999,0xa98002cc,
    0x26666600,0x5401c419,0x1d40003c,0x5400064c,0x322000de,0x991001cc,
    0x00199305,0x00b32200,0x13333332,0x00b32200,0xdd9813ae,0x64479100,
    0x01dc8003,0x59d97100,0x77540001,0xaaa9800d,0x00d54001,0x13100666,
    0x00666662,0x4c401998,0x13551000,0x000cc000,0x01310031,0x36201998,
    0x1e64c02e,0x01ffcffe,0x003fff66,0x000effb8,0x7fe4bfa2,0xfffd803f,
    0x32003fff,0xff0003ff,0x7ffffc03,0x00ffa1ff,0x54000df9,0x1bfe24ff,
    0x09fff100,0x00bffa20,0x21ffff44,0x80001ffa,0x403fffe8,0x07ffffff,
    0x1ffff440,0x207fff30,0xff105fff,0x8009f915,0xa8007ffb,0x1fffffff,
    0x0eff9800,0x3ffffa60,0x74402fff,0xff303fff,0xbafe403f,0xdeffffff,
    0x05fff301,0xfb102fe4,0x05dfffff,0xd006f980,0x0dfb009f,0xf901ffe4,
    0x7fcc01ff,0x3ff9ffc5,0x3bfffea0,0x29ff5000,0xefe88019,0x0dffff70,
    0xffeeeec8,0x03df9003,0xf01fea00,0x43dddddf,0x3f203ffb,0x3fee0006,
    0x001ffe24,0x100bfff1,0x22003dfd,0x23ffadfe,0x40001ffa,0x3ffadfe8,
    0x3f6aaaa0,0x37fa2007,0xff503ffa,0xdfff109f,0x7ffffe40,0x7ffe4000,
    0x2ffee000,0x003ff730,0x32027fcc,0xffeeffff,0x457dc02f,0xdfff307d,
    0xffbafe40,0x4fffffff,0x206fff98,0xfff705fc,0x0bffffff,0xf004fb80,
    0x0dfb009f,0xfb013fea,0x7fcc01ff,0x3ff9ffc5,0x002bbfe0,0xdf32ee98,
    0x301ffb00,0xf8007ff9,0x0033003f,0x7c05fd80,0x2ffd803f,0x8000df90,
    0x00e540cb,0x400ffe40,0x76c004ec,0x7d4bb663,0x76c0001f,0x400bb663,
    0x3b6007fc,0x220bb663,0xff901ffe,0x0ceda805,0x03fe8800,0x5c07fea0,
    0x06aa006f,0x103bff50,0x2e7c8015,0xffff980f,0x3eebf902,0x3fff2a0f,
    0x17fffcc2,0xffc85fc8,0x172621bf,0x07fa6a60,0x6c027fc0,0x05ff986f,
    0x4c04ff98,0xf9ffc5ff,0x07ff303f,0x013ee000,0xff803ff7,0x01ffc005,
    0x0007bff2,0x7fc02ed8,0x01dfd003,0x00000df9,0x00020000,0xfa800000,
    0x0000001f,0x000ff900,0x30026000,0x00000001,0x017fc400,0x3aa007fa,
    0x3ffa00df,0x6fd40000,0xdff306fb,0x5d7f20df,0x5ffb80ff,0x837f7fcc,
    0x77fcc5fc,0xffb10000,0x2001ffff,0x6fd804ff,0x00077f44,0x89ff3001,
    0x207ff3ff,0x20000ffb,0x201fe9a9,0xfc804ff8,0x01ffc006,0x01fd79f9,
    0x3ff80000,0x909ff300,0x000000df,0x00000000,0x3ff50000,0x00000000,
    0x00001ff2,0x00000000,0xfc800000,0x404fb804,0x206fcefa,0x700005ff,
    0x3e601dff,0xfc82ffaf,0xf101ff75,0xfbff98df,0x745fc81f,0xf50000ff,
    0xffffffff,0xffdddd03,0x1ddddddf,0x1ffb1bf6,0xff300000,0x7ff3ff89,
    0x2001bee0,0xffffffd8,0x003ff200,0xff001fea,0x3f73f407,0xff800000,
    0x07ff2003,0x776dcdf9,0x805ed80c,0x3baa1eea,0x1eeeeeee,0x3aa017b6,
    0x7777541e,0xf51eeeee,0x13baa03f,0xdd500bdb,0x003fe403,0x3bbbfb6e,
    0x17ae1eee,0x2e00ee98,0xeeeeefed,0x3fb6e01e,0x21eeeeee,0xf9800ff8,
    0x3f736c06,0x2001bfe0,0x09880198,0x0dfb1ff3,0x03feebf9,0x3fe637f4,
    0x5fc85fe8,0x40013fea,0xfb0afff9,0xffff0dff,0xffffffff,0xfb9bf61f,
    0x7776c02f,0x7fc405ee,0x3ff9ffc4,0xa800df70,0xffffffff,0x03ff881f,
    0xf800ff50,0x2b3f203f,0x6dc000fe,0xeeeeeefe,0x44007ff1,0x477e44ff,
    0x0efffffd,0x36017fe4,0x7fffdc7f,0x321fffff,0x3fec02ff,0x7fffffdc,
    0x3ff51fff,0xc81dff50,0x3fec02ff,0x4401ff20,0xfffffffe,0x1bf21fff,
    0xe880ffa8,0xffffffff,0xffe881ff,0xffffffff,0x77117ee1,0xd01fe353,
    0xfd80fd4f,0x7fd4004f,0xf9b7ec01,0x643ff98f,0x101ff75f,0x8ff989ff,
    0x2fe41ffb,0x20001ff7,0x6ffc1ffd,0x555543ff,0xaaaaadff,0x3eadfb0a,
    0xffff803f,0x7fc407ff,0x3ff9ffc4,0x4c00df70,0xffb0afff,0x01ff70df,
    0xf001fea0,0x7fec407f,0x3fa2001e,0xffffffff,0x8007ff1f,0x777e47fc,
    0x6ffcabef,0xf102ffc4,0xaaaa989f,0x221ffcaa,0x3fe205ff,0xaaaaa984,
    0xff51ffca,0x80effa83,0x3e205ff8,0x03fe404f,0x3aa2ffe8,0x3f20abff,
    0x203fea06,0x3faa2ffe,0xffe80abf,0x2afffaa2,0xffb8bfa0,0x01ff2fff,
    0x037e77dc,0x005dfff3,0xfb007fea,0x7ec3fe6d,0xffbafe47,0x20fff440,
    0x8bff0ff9,0x01ff65fc,0x2a1ffcc0,0x406ff8ef,0xefd804ff,0x55004ff8,
    0x880ffb55,0xf9ffc3ff,0x00df703f,0x3fe0ffec,0x2ff43ffd,0x800ff500,
    0x4cc403ff,0x17ff4001,0x2157ffd5,0x7d4003ff,0x13fff22f,0xffb07ff2,
    0x007fee01,0x7ec1ff98,0x03ff700f,0xf51ff980,0x077fd43f,0x2e01ffb0,
    0x3fe401ff,0x4c17fd40,0x06fc83ff,0xff503fea,0x207ff305,0xff982ffa,
    0x3fea7f83,0x1fd1ffcb,0x00dffb80,0x67ffff4c,0x007fea00,0x43fe6dfb,
    0x57f23ff9,0xfecccffb,0x0ff982ff,0x2fe41ff7,0x99950dfd,0x07fe4799,
    0x03fe4ff2,0x3f6013fe,0x20005fef,0x7fc407fc,0x3ff9ffc3,0x26009f90,
    0x477d43ff,0x0ffe26ff,0x000ff880,0xffb00ffe,0x3fea003f,0x7c3ff982,
    0x4ff8003f,0x7c413ff2,0x81ffd44f,0x7cc006fe,0x81ffd41f,0xf98006fe,
    0x2a3ff51f,0x7d400eff,0x00dfd03f,0xff900ff9,0x7e42ff40,0x903fea06,
    0x82ff40ff,0x17fa07fc,0x89ff4df3,0x003fd0ff,0x3ffee000,0x3ff504ff,
    0xff36fd80,0xfc87fec1,0xffffff75,0x3fe6039f,0x7e49ff10,0x3f217fe5,
    0x3f66ffff,0xff51fe86,0x4027fc03,0x006ffffd,0xf101ff20,0xff2ed87f,
    0x005ff107,0x7f903ff2,0x1ffa9ff2,0x0027f400,0xfff807ff,0x0ff9004f,
    0x0ffe2ff4,0xfc9bfa00,0x7c2ff407,0x03ff986f,0x7c0ffcc0,0x03ff986f,
    0xf51ff980,0x01dff33f,0x3e61bfe0,0x07fc803f,0x3fa07fd8,0x2a06fc85,
    0x03fec0ff,0x1ff60bfd,0xa7dc5fe8,0xe9fea7f9,0xfecb881f,0x2a001def,
    0x540efffd,0xb7ec01ff,0x3fe20ff9,0x3feebf94,0x204ffdbb,0x3ff20ff9,
    0x37f4bf90,0x37f5554c,0x26f98bfd,0x3fe02ff9,0xfaefd804,0xff90004f,
    0xf807ff00,0x9ff9733f,0x7437ec00,0x2a3ff51f,0x7d4000ff,0x7fc02cef,
    0x3fbfea03,0x40ffb007,0x01ffc5fe,0xdf937ec0,0xfc86fd80,0x007fdc1f,
    0x3207fe60,0x07fdc1ff,0xa8ffcc00,0x00effbff,0xf707ff20,0x0ff9001f,
    0xf103ff70,0x40df907f,0x7fdc0ffa,0x703ff881,0x7ff103ff,0x4bf73fc8,
    0x203fa6fb,0xfffffffe,0x7f4c005f,0x00ffd46f,0x07fcdbf6,0x57f23ff2,
    0x3fe60ffb,0x441ff304,0x6cbf94ff,0x26fd806f,0x127dc4ff,0x27fc07ff,
    0xffcb7ec0,0x07fc8003,0x7fc03ff8,0x003fff93,0x37cc5fe8,0x3fee5ff3,
    0xfffb0000,0xb01ffc01,0x003ff5bf,0xff103ff7,0x8003ff87,0x01bf27fc,
    0x9ff10dfb,0x98005fe8,0x4ff881ff,0x98002ff4,0xf9ff51ff,0xff88009f,
    0xc802ff44,0xeff8807f,0x203ffa20,0x3fea06fc,0x1077fc40,0x3e201ffd,
    0x3ffa20ef,0x4fd97ec0,0x80fe93f2,0xfca9abee,0xfd8003ff,0x007fea1f,
    0x03fe6dfb,0x2bf99ff1,0x7fe40ffb,0x6c0ff981,0x7e4bf97f,0xf16fd807,
    0x7c2fe89f,0x013fe04f,0x1ffe9bf6,0x403fe400,0x9ffc02ff,0x004ffeca,
    0x49f713fe,0x0ff93ff8,0x9bdfb300,0xf01ffc01,0x009ff17f,0x7441dff1,
    0x01ffc0ff,0xdf93fdc0,0xfb05fe80,0x0017fccf,0xfd80ffcc,0x000bfe67,
    0xffa8ffcc,0x4004ffc9,0x0bfe67fd,0xd803fe40,0xfffeefff,0x540df902,
    0xfffd80ff,0x402fffee,0xffeefffd,0xfd2fd82f,0x0ff1fec7,0x06ff8802,
    0x2a3ff980,0xb7ec01ff,0xffc80ff9,0x81ff75fd,0xff985ff8,0x7e57fcc0,
    0xb00ffee5,0xf127fcdf,0x203ff88f,0x6fd804ff,0x8003bfe2,0x2ff807fc,
    0x7cc1ffc0,0x4ff8802f,0x53fe17f4,0x74000ffb,0x0ffe004f,0x6fd87fd4,
    0xddfffb00,0x7ff05fff,0x64ff9000,0x827fc06f,0x0ff92ffa,0x407fe600,
    0x0ff92ffa,0xa8ffcc00,0x07ffb1ff,0xfc97fd40,0x01ff2007,0x3fff3fea,
    0x1bf200df,0x7d40ffa8,0x0dffffcf,0x7fe7fd40,0x3fd00dff,0x32fe8ffa,
    0x3f6000bf,0x3ff98007,0xfb007fea,0x2203fe6d,0xff75ffff,0x983ff901,
    0xcefd80ff,0x01bfe25f,0x52ff4dfb,0x02ff98bf,0x3f6017fa,0x002ffd46,
    0x15500ff9,0xfb03ff80,0x893fe009,0xa9ffc47f,0x3e2001ff,0x0ffe000f,
    0x3ff737ec,0xffcffa80,0x7ff00dff,0x64dfb000,0x0bfe606f,0x09ff5ff8,
    0x807fe600,0x009ff5ff,0xfa8ffcc0,0x00bffa1f,0x09ff5ff8,0x6c03fe40,
    0x6400223f,0x03fea06f,0x000447fb,0x400447fb,0x227fb1fe,0x007f71ff,
    0x2001fee0,0x3fea1ffc,0xf9b7ec01,0xbfff900f,0x3e203fee,0x407fcc5f,
    0x5c5feff9,0xdfb00dff,0x85fb37ec,0x3f601ffa,0x437ec00f,0xf9004ffc,
    0x84cc000f,0x0df703ff,0x5fa97fa0,0xff997fcc,0x01fea002,0x3fe07ff0,
    0xb013fe23,0x7c00447f,0x5fe8003f,0x6fd81bf2,0x7fdffe40,0x3ff30001,
    0x7fdffe40,0x3fe60001,0x7443ff51,0xff9002ff,0x64003ff7,0x04ff807f,
    0x540df900,0x027fc0ff,0x0009ff00,0x6d7ee5fb,0x00fe8aff,0x6e66654c,
    0x266f6a7f,0x8bffb330,0x7ec01ffa,0x2201ff36,0x1ff75fff,0xf983ff60,
    0xbfffd00f,0x137dffd0,0xffb9bfa6,0xffd81ff0,0x2b7fee00,0x837ec260,
    0xfc802ffe,0x7c0ba807,0x2e07ff3f,0x4dfb006f,0x0ffd42fd,0x7d400bff,
    0x41ffc007,0x37f41ffa,0x20013fe0,0x7c4003ff,0x30bff22f,0xf9805ffb,
    0x20006fff,0x3e601ff9,0x40006fff,0x3ff51ff9,0x801fff88,0x206ffff9,
    0xffd99998,0xffe81999,0x09abccce,0x7d40df90,0x677ff40f,0x2009abcc,
    0xbccceffe,0x53fc809a,0xfff5fdff,0x7ff4c07f,0x27ffffff,0xfffffffa,
    0xffa86fff,0xf9b7ec01,0x57fee00f,0xff300ffb,0xa807fcc9,0xfd885fff,
    0xffffffff,0x3e73fea6,0x4027fc46,0xfffffffe,0x3e20dfb0,0x266620ff,
    0x1999ffd9,0x3fe37fdc,0x3ee07ff3,0x21ff7006,0x07fec0ff,0x7d400ff9,
    0x41ffc007,0x1ffb86fd,0x333bffa0,0xff809abc,0x07fdc003,0xfffffff9,
    0x3fa005ff,0x260002ff,0x7ff401ff,0x7cc0002f,0x303ff51f,0xfd003fff,
    0x7fdc05ff,0xffffffff,0x7fff4c1f,0x84ffffff,0x3fea06fc,0x7ffff4c0,
    0x304fffff,0xfffffffd,0x23fb89ff,0x9df92eea,0x567ffc40,0x267fdaaa,
    0xfffffffd,0x03ff502d,0x1ff36fd8,0xff75ff80,0x987fec01,0x3ffa00ff,
    0x3fff6a05,0x3e21ceff,0x7ec3fdff,0xffc8800f,0xdfb0ffff,0xf737fd40,
    0xffffffff,0x7ffe43ff,0x1ffcffe0,0xf5006fb8,0xf88df39f,0x017fcc4f,
    0x7c007fa8,0x984ff83f,0x3fa604ff,0xffffffff,0x2001ffc4,0x7ffe45fe,
    0x000cefff,0x0001bfea,0xfa803ff3,0xf980006f,0x203ff51f,0x5400fffa,
    0x7fdc06ff,0xffffffff,0x66ffcc1f,0x4ffffedc,0xff5037e4,0xccdff981,
    0x84ffffed,0xedccdff9,0x3ea4ffff,0xffb00005,0x441fee01,0xf9800999,
    0x02ffc01f,0x00027fc0,0x22000000,0x3fee0099,0xffda89ff,0x01330004,
    0x7ffdc000,0xffffffff,0xff13fe61,0x7dc0ffe7,0xbfff1006,0x80ffd87f,
    0xff5006fe,0x543ff800,0x0dfd01ff,0x6e66ffcc,0x3e4ffffe,0x3fea003f,
    0x018b7e41,0x00ffea00,0x801ff700,0x80003ffa,0x00000ffb,0x000ffea0,
    0x05ff8800,0x2001ffe6,0x2ffc47fc,0xf88fff30,0x9ffe605f,0x80000ff8,
    0x1fee05ff,0xf1006a60,0x27fcc07f,0x80ffe600,0x530001a9,0x06a60003,
    0x7ffffe40,0x4c003fff,0x0d4c001a,0x437d4000,0xff3ff818,0x801fee07,
    0xa89ffffb,0xff504ffd,0x00ff5007,0x7fec3ff8,0xfecccccc,0x05ff881f,
    0x3ff9ffe6,0x3217fa00,0xf880006f,0xfd80007f,0x03ffc407,0x407fd800,
    0xf88001a9,0x3530007f,0x401ffa80,0x74000ffc,0x00ffd46f,0xffa83ff2,
    0xb07fe401,0xff00007f,0x01ffea0b,0x3fe00ffa,0x007ff206,0x7403ff70,
    0x7fd0003f,0x00ffa000,0xdfffffc8,0x03fe8002,0x0001ff40,0xf8003fe6,
    0x2a07ff3f,0x3f2001ff,0x3fffffff,0x2007fec0,0x7fc006fc,0x7fffffc3,
    0x83ffffff,0x7e401ffa,0x2007ff0f,0x6fc80ffb,0x2ffd8000,0x37fc4000,
    0x000bff60,0xd01bfe20,0xffb0007f,0x0ffa0005,0xd805ff90,0x7fc4007f,
    0x2017fe45,0x17fe47fd,0xff51ff60,0xffe80003,0x1ffff262,0x7003ff10,
    0x7dc43bff,0x3f6a005f,0x07fe205f,0x007fe200,0x8007fe20,0x00009afe,
    0x88007fe2,0x640001ff,0x9ffc005f,0x7ff303ff,0xffffc800,0xff8802df,
    0x002ffc06,0xeffa8ffe,0xfeeeeeee,0x02ffc86f,0x07ff3fec,0x3207ff50,
    0xa998006f,0xb1004ffe,0x3fff2235,0x7ff54cc1,0x46b62004,0x201fffc8,
    0x99801ff8,0x0004ffea,0xfa803ff1,0x7ecc0aff,0x2226e03f,0x7d40fffb,
    0x7ecc0aff,0x57ffd43f,0x41ffecc0,0x2c881ffd,0x7ffffcc0,0x407fbeff,
    0x3f6007fa,0xefffffff,0xdfff1000,0x003fd401,0x50007fa8,0x3fc400ff,
    0x07fa8000,0x0003fd40,0x800cf7e4,0x407ff3ff,0xd001cffe,0x3000135f,
    0xfeb88bff,0x1ffc002f,0xff900ffb,0x0afffa83,0xff1ffecc,0x04ff9807,
    0xf1001bf2,0x4009ffff,0xfffffff8,0x7fffc43f,0x7fc4004f,0x03ffffff,
    0x7c403fd4,0x0004ffff,0x7e401fea,0xffffffff,0x7fffc04f,0xff903fff,
    0xffffffff,0x3ffff209,0x04ffffff,0x3fbbfff6,0xfea802ff,0x0ff34eff,
    0x54004fb8,0x03effffe,0x40277c40,0xf70004fb,0x13ee0009,0x0005fa80,
    0xb8009f70,0xf880004f,0xff800fff,0x7cc07ff3,0x2200ffff,0xfa80007f,
    0xbffff93f,0xfffffd80,0x2013fe3f,0xffc83ff9,0xffffffff,0x7fffffc4,
    0x9017fa1f,0xff8800df,0xec8001de,0x880defff,0x0001deff,0x1bdfffd9,
    0x1009f700,0x0003bdff,0x26004fb8,0xcefffffd,0xffffd800,0x7fecc01d,
    0x400cefff,0xefffffd9,0xfeca800c,0x44001cef,0x00000009,0x00000620,
    0x00000000,0x13100000,0x00000000,0xca880000,0x3e7ff004,0x7f64403f,
    0x017ea00f,0xdf92dc00,0xfffb005b,0x3fea7fff,0x20dff002,0xefffffd9,
    0xfffff80c,0x001aa1ff,0x00000000,0x00000001,0x00000004,0x00000000,
    0x04000088,0x00011000,0x00000088,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0x00007ff3,0x00000988,0x6c000000,
    0x3ff2007f,0x00008800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9ffc000,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x99999999,0x26219999,0x3aa00001,
    0x85551003,0x15300aaa,0x554402a8,0x4c00d540,0x0cc4081a,0xa8804c40,
    0x800d540a,0xd50001aa,0x55440009,0xaa88000a,0x1aa8800a,0x5502a600,
    0x15551000,0x000d5400,0x40220000,0x00d54001,0x0006aa00,0x5550aaa2,
    0x00555501,0x0aa054c0,0x0aaa8800,0x00199880,0x0000ba80,0x51000175,
    0x55550035,0x0c022000,0xfd83fd88,0xffffffff,0xff91ffff,0x1fe40000,
    0x9077f440,0x6fdc07ff,0xf700ff50,0x01dfb15f,0x8effff44,0x07fea1fb,
    0x7e40dfb0,0x00efd89f,0x017ffec4,0x80027dc0,0x8003ffe8,0x8802fff8,
    0x9001fffe,0x01bee19f,0x007ffd10,0x00bfff62,0x003bff20,0xbfd0bfe6,
    0x7fffd100,0xfffb1000,0x77f44005,0x440fff20,0x70003ffe,0x01fea1bf,
    0x01fff440,0x001fffd8,0x0017fee0,0x10017fee,0x8803fffd,0x4c003ffe,
    0x42ff42ff,0x7ec0fffb,0xffffffff,0xff91ffff,0x17ec0000,0xf9077ec0,
    0xfff8805f,0xf5003fff,0xe801dfff,0xfffffbcf,0x007fea0e,0xffb80dfb,
    0xfe8805ff,0x4003ffce,0xe88003fc,0xe88001ef,0xfe8800ef,0x9802ffcd,
    0x02ffffff,0x007bfa20,0x7fe77f44,0x3bff2003,0x7fd401ff,0x5c03ffc3,
    0x4007d8af,0x3ffcefe8,0x641dfb00,0xffc802ff,0xfff88003,0x88003fff,
    0x3e001efe,0x20004fff,0xc8007ffc,0x3a2007ff,0x802ffcdf,0x2a003ffc,
    0x43ffc3ff,0xf000fffb,0x07fc809f,0x007fa000,0x6f5c1bd7,0xbfd91001,
    0x5eea8005,0x75c47300,0x0ffd40cf,0x2e01bf60,0x9db004ee,0x7101774c,
    0x3bdffffb,0x0013b200,0xb1004ed8,0x00f7547d,0x016ffecc,0xb0013b20,
    0x01774c9d,0xffb877ec,0x2a06e401,0x2e7c802d,0x93b6000f,0x75c02ee9,
    0x0077ae0d,0x8001eea8,0x002dfec8,0xa8009d90,0x0007feff,0x2000ffe6,
    0xb1003ff9,0x00f7547d,0x9000f754,0xb02da81b,0x27fc005d,0x0001ff20,
    0x00000ff8,0x00000000,0xff500000,0x006fd803,0x5c000000,0xffffffff,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x7bf50000,0x000000df,
    0x00000000,0x00000000,0xff5bfb00,0x00000003,0x00000000,0x00000000,
    0x9013fe00,0x5c4000ff,0x20cefffd,0x09880198,0x98801988,0x1aaa9800,
    0x31003310,0xb007fea1,0x2a6200df,0x2aa60009,0x9dff501a,0x03733ff3,
    0x006aaa60,0x0026a620,0x00135510,0x0009aa88,0x980002a6,0x0795000a,
    0x10033100,0xeffb8013,0x80198800,0x0a980098,0x0054c000,0x10015300,
    0x01310033,0x27fc5ffc,0x13551000,0x09a98800,0x04d4c400,0x4c400cc4,
    0x000a9800,0x809ff000,0xf50007fc,0x3fffffff,0x3600ffd4,0x01ffa86f,
    0xfe9837ec,0x42ffffff,0x7ec01ffa,0xd803ff56,0x3fb6206f,0x302dffff,
    0xfffffffd,0xf10ffe85,0x7ff4c00f,0x402fffff,0xfffffed8,0x3ff6202d,
    0x202effff,0xffffffd8,0xfffb102e,0xb1001bff,0x01bfffff,0x540037e4,
    0x37ec01ff,0x40066620,0x7ec01ffa,0xffffb106,0x362001bf,0x00dfffff,
    0xfffffd88,0x03ff500d,0xff506fd8,0x1001bf61,0xdffffffb,0x7ff6c405,
    0x2202dfff,0xdfffffed,0xb007fea2,0x3ff620df,0xfd00dfff,0x027fc005,
    0x2e001ff2,0xadfcbfff,0x007fea1d,0x3ff50dfb,0xfc86fd80,0xfffeefff,
    0x200ffd42,0x03ff56fd,0xff306fd8,0x9fffffff,0xddffff90,0x7fc45fff,
    0x6401be64,0xffeeffff,0x3ffe602f,0x04ffffff,0xfffffff7,0x3fee0bff,
    0x5fffffff,0xffffffa8,0x3ea00eff,0xefffffff,0x000df900,0xfd803ff5,
    0x0fffec06,0x200ffd40,0xfffa86fd,0x00efffff,0x7fffffd4,0x3ea00eff,
    0xefffffff,0x401ffa80,0x4dfb06fd,0xf7001ffb,0xffffffff,0x3fffe60b,
    0x304fffff,0xffffffff,0x00ffd49f,0x3fea1bf6,0x0effffff,0x3e002fe8,
    0x03fe404f,0x643bfe20,0x03ff504f,0xffa86fd8,0x2a37ec01,0x0a881dff,
    0x3600ffd4,0x803ff56f,0xfffa86fd,0x5136621b,0x15103bff,0xbf737fc4,
    0x03bff500,0x3fea0151,0x136621bf,0x886ffff2,0xfffc85c9,0x3172621b,
    0x32615fff,0xfff307ff,0x1fff2615,0x540037e4,0x37ec01ff,0x013fffe0,
    0xfb007fea,0x0afff98d,0x4c0fff93,0xf930afff,0x3ffe60ff,0x0fff930a,
    0xfd803ff5,0x7c47ff06,0xfffc804f,0x2172621b,0x221bfffa,0xfffa84d9,
    0xa936621b,0x37ec01ff,0x4c2bffe6,0x3ff87ffc,0x9013fe00,0xffc800ff,
    0x7d40ff61,0x437ec01f,0x7ec01ffa,0x0007ff46,0xfb007fea,0xb007fead,
    0x03fff0df,0x000ffe80,0x4fc9fff4,0x000ffe80,0x8003fff0,0x4000eff9,
    0x4000eff9,0xff901ffd,0x203ffb07,0x6fc83ffc,0x01ffa800,0xff5037ec,
    0xff500ffd,0x6c6fd803,0x7ff901ff,0x6407ff60,0x1ffd83ff,0xfa87ff90,
    0x437ec01f,0x37f41ffa,0x003bfe60,0x0007ffe0,0xa8007ffe,0x37ec01ff,
    0x7e407ff6,0x001ffc3f,0x7fc809ff,0x3a2ff400,0x03ff502f,0xffa86fd8,
    0x3e37ec01,0xffa8005f,0xfab7ec01,0x237ec01f,0xf8002ffb,0xff98005f,
    0xf802feef,0xff70005f,0x1ffd0005,0x01ffd000,0x403ff980,0x1ffcc6ff,
    0x3f21bfe0,0x1ffa8006,0xfb037ec0,0xa803ff5b,0x37ec01ff,0xff807ff3,
    0x403ff986,0x1ffcc6ff,0xff51bfe0,0xd86fd803,0x01ffb86f,0x20003ffa,
    0xb8002ffb,0x7d4002ff,0x337ec01f,0x6ff807ff,0xff001ffc,0x007fc809,
    0x07fe27fc,0x3600ffd4,0x01ffa86f,0x1bfe37ec,0x007fea00,0x07feadfb,
    0x6ff8dfb0,0x00dff000,0x3ffffea0,0x037fc00c,0x8006ff80,0xa8004ffa,
    0xfc8004ff,0x0ffe400f,0xfc801ff9,0xd737e41f,0x3fea09df,0xf037ec01,
    0x809ff17f,0x7ec01ffa,0x9003ff26,0x0ffc83ff,0xf90ffe40,0x1ffc801f,
    0xfb007fea,0xf309ff0d,0x13fea09f,0x0037fc00,0xa8006ff8,0x37ec01ff,
    0xfc801ff9,0x800ffe1f,0x3fe404ff,0x449ff100,0x07fea07f,0xff50dfb0,
    0x6c6fd803,0x7d4004ff,0xab7ec01f,0x37ec01ff,0x20007ff3,0x10004ffd,
    0x19fffff7,0x0013ff60,0x70007ff3,0xf70001ff,0xdfb0001f,0x6c5ff300,
    0x2ff9806f,0x7ff477e4,0x7d40efff,0x837ec01f,0x0dfb0ffa,0x6c01ffa8,
    0x201bf66f,0x37ec2ff9,0xfb17fcc0,0x45ff300d,0x7ec01ffa,0xe80ffd46,
    0x01ff706f,0x007ff300,0x0007ff30,0xfd803ff5,0x2601bf66,0x013fe2ff,
    0x7e404ff8,0x32ffc007,0x0ffd40ff,0x3ea1bf60,0x237ec01f,0x002efff9,
    0xfd803ff5,0xd803ff56,0x00bfea6f,0x177ffcc0,0xffff8800,0xfff981ff,
    0x5ff5002e,0x00ffb000,0x4001ff60,0xff9805fe,0x26017fa3,0x7f7e43ff,
    0x4ffeaadf,0x3600ffd4,0x5cdfb06f,0x3fea01ff,0xfd37ec01,0x87ff300b,
    0xff9805fe,0x26017fa3,0x07fea3ff,0xffd8dfb0,0xfecccccc,0x007fd81f,
    0x0005ff50,0x50005ff5,0x6fd803ff,0x3e6017fa,0x8013fe3f,0x3fe404ff,
    0xfa9ffa00,0x007fea06,0x3ff50dfb,0xe986fd80,0x200cffff,0x7ec01ffa,
    0xf803ff36,0x007fee5f,0xffffe980,0x3be6000c,0x980effd8,0x00cffffe,
    0x20007fee,0xccca86fe,0x21bfa3cc,0x23ccccca,0xff8804ff,0x22013fe4,
    0x7ffe44ff,0x7d46fe83,0x837ec01f,0x13fe23ff,0x6c01ffa8,0x2013fe6f,
    0x27fc4ff8,0xff27fc40,0x49ff1009,0x7ec01ffa,0x7fffffc6,0x83ffffff,
    0xccca86fe,0x07fee3cc,0x007fee00,0xb007fea0,0x4027fcdf,0x9ff14ff8,
    0x2027fc00,0x7e4007fc,0x5409f73f,0x37ec01ff,0x3600ffd4,0x3ffee06f,
    0x3ff504ff,0xff16fd80,0x927fcc07,0x700001ff,0x009fffff,0x2ffb97ea,
    0x3ffffee0,0x001ff904,0xff90bff0,0x2ffcdfff,0xb7ffffe4,0xff004ff8,
    0x4013fe29,0x27fe44ff,0x7fd47fc8,0x5437ec01,0x037f41ff,0xfd803ff5,
    0x2009ff16,0x13fe24ff,0xff8a7fc0,0x549ff004,0x37ec01ff,0xdddddff5,
    0xf0dffddd,0xffff90bf,0x007fe4df,0x0007fe40,0x3600ffd4,0x009ff16f,
    0x27fc53fe,0xc809ff00,0x7fc4007f,0x8263fccf,0x7ec01ffa,0x401ffa86,
    0xfda806fd,0x7fd40eff,0xff37ec01,0x70ffe40d,0x400003ff,0x00efffda,
    0x9ff127dc,0xdfffb500,0x001ffb81,0xaa986fe8,0x1bfa6fea,0x9bfaaaa6,
    0xff8804ff,0x22013fe3,0x037e43ff,0x7fd41ff5,0x6c37ec01,0x01ffb86f,
    0xfd803ff5,0x22013fe6,0x027fc3ff,0x9ff1ffc4,0x547ff100,0x37ec01ff,
    0xff900ffb,0xa986fe83,0x3ee6feaa,0xffb8001f,0x1ffa8001,0x9ff37ec0,
    0x227ff100,0x3fe005ff,0x4cffe404,0x40999999,0xedfffffa,0x07fea1fe,
    0xff50dfb0,0x006fd803,0xf51bffa6,0x26fd803f,0x2e21dffb,0x17fd45ff,
    0x7f4c0000,0x51fe406f,0x74c007ff,0x17fd46ff,0x4037ec00,0x01bf66fd,
    0x05ff9bf6,0x3fe2ff98,0x42ff9805,0x3fea06fc,0xb007fea0,0x309ff0df,
    0x3fea09ff,0xff37ec01,0x85ff300b,0xff9805ff,0x26017fe2,0x07fea2ff,
    0x27fcdfb0,0x361ffcc0,0x26fd806f,0xa8002ffa,0xfa8002ff,0xf37ec01f,
    0x5ff300bf,0xf8017fe2,0x7ffe404f,0x2fffffff,0xfffffd98,0x07fea1ff,
    0xff50dfb0,0x006fd803,0x3ea1ffd8,0x237ec01f,0xfffffffd,0x1ffcc0ef,
    0xffb00000,0xfb17ec03,0xffb0003f,0x001ffcc3,0x7ec03fe4,0x3601ff26,
    0x201bfa6f,0x1bfa1ffa,0xf907fea0,0x507fd40d,0x6fd803ff,0xfe80ffd4,
    0x803ff506,0x01bfa6fd,0xdfd07fea,0x743ff500,0x1ffa806f,0xfb007fea,
    0x400bfead,0x03fe46ff,0x7ff337ec,0x07ff3000,0x803ff500,0x01bfa6fd,
    0x7fc47fea,0x013fe005,0xfffffff9,0x7c405fff,0xff9809bf,0x4c2ffc01,
    0x2ffc01ff,0x31ffcc00,0x5ff803ff,0xeffffea8,0x06ff880b,0x3fe60000,
    0xfd579d53,0x009fffb9,0xf88ffe60,0xffb8006f,0xf737ec03,0x26fd807f,
    0x7ec00ffd,0x003ff60f,0x6fc81ffb,0xf983fea0,0x22ffc01f,0xcccccffd,
    0xf981ffec,0xb2ffc01f,0xffd801ff,0x2007fec0,0x3ff60ffd,0x307fec00,
    0x5ff803ff,0x7e400ffb,0x00ffee0f,0x37fc4dfb,0x037fc400,0x200ffcc0,
    0x03ff65ff,0x3e61ffb0,0x0000005f,0x01fe2000,0x7cc07ff1,0x03ff884f,
    0x20013fe6,0x3fe23ff9,0x013fe603,0xffb00df9,0x26000005,0xffff53ff,
    0x09ffffff,0x21ffcc00,0x44002ffd,0x37ec06ff,0xfd80dff1,0x880ffea6,
    0x1ffd45ff,0xf90bff10,0x107fd40d,0x7fcc07ff,0x7fffffc4,0x83ffffff,
    0x3e603ff8,0x80ffea4f,0xffa85ff8,0x517fe203,0x7fc407ff,0x301ffc45,
    0x220009ff,0x37fc42fe,0xffb1bf60,0x5ffb0005,0x03ff8800,0xffa93fe6,
    0x997fe203,0x2a6006ff,0x00d4c001,0x3e01be60,0x07ff206f,0xff9037fc,
    0x3ff90003,0x3f206ff8,0x03fe601f,0x00bffe60,0x47ff2000,0xefffedb8,
    0x640000bd,0x7ffcc1ff,0x6ffdc002,0xfb8dfb00,0x8dfb00df,0xffb01ffe,
    0x203ffd01,0x6fc80ffd,0xff03fea0,0x50ffe40d,0xddddddff,0x3e0dffdd,
    0x07ff206f,0x3f603ffd,0x03ffd00f,0x3fa03ff6,0x01ffb01f,0x7fe40dff,
    0x09fb0001,0x6c037fee,0x17ffcc6f,0x0bffe600,0x640dff00,0x0fff41ff,
    0x0000ffd8,0x74003fe8,0x2fd4003f,0x10effdc0,0x7dc0bff7,0x3fee21df,
    0x84cded45,0xb85ffd99,0x3ee21dff,0x02fe405f,0x359fff90,0x6d49b731,
    0xfb33099b,0x037d40bf,0x3099bda8,0x320bffb3,0x989acfff,0xeffe84db,
    0x0dfd309b,0x2137dffd,0x7fd46fe9,0xffda89bf,0x37fff504,0x209ffb51,
    0x3fea06fc,0x10effdc0,0x7fd8bff7,0xb81ffc80,0x3ee21dff,0xbfffa85f,
    0x04ffda89,0x226fffea,0xf504ffda,0xfb5137ff,0x37fee09f,0x017fee21,
    0xd007fc40,0x26137dff,0xfffc86fe,0x4db989ac,0x9acfffc8,0x7dc4db98,
    0x3fee21df,0x9bfffa85,0x004ffda8,0x001ff880,0x90007fe2,0x3ff6009f,
    0x0effffff,0x7ffffec0,0x7d40efff,0xffffffff,0x3fff606f,0x00efffff,
    0x800cffe4,0xfffffffb,0x3ffea4ff,0x6fffffff,0xa802fdc0,0xffffffff,
    0x7fdc06ff,0x4fffffff,0xfffffd88,0xd886ffff,0xffffffff,0xffffa86f,
    0x5404ffff,0xffffffff,0xa81bf204,0xfffd80ff,0x40efffff,0xff9804ff,
    0xfffffb03,0x2a01dfff,0xffffffff,0xffffa804,0x5404ffff,0xffffffff,
    0x7fffec04,0x000effff,0x0139ff10,0xffffffb1,0x3ee0dfff,0xffffffff,
    0xfffff704,0xfb09ffff,0xdfffffff,0x3fffea01,0x0004ffff,0xa800ff50,
    0x3fd8007f,0x3fffaa00,0x3aa003ef,0x303effff,0xfffffffb,0xffd5005b,
    0x22007dff,0x3000ffff,0x7bdfffdb,0x7fffecc3,0xc802dfff,0xffb3003f,
    0x05bfffff,0x3fffb660,0x36a01bde,0x1cefffff,0x3ffff6a0,0xfb301cef,
    0x2005bfff,0x2dffffd9,0xf5037e40,0x3ffaa01f,0xffa83eff,0x40dff002,
    0x3effffea,0xffffd980,0x3f66002d,0x3002dfff,0x05bffffb,0x3ffffaa0,
    0xfd80003e,0x3f6a04ff,0x01ceffff,0x3bfffb66,0x3b6601bd,0x01bdefff,
    0x7dffffd5,0xffffb300,0x5c00005b,0x27dc004f,0x000e5c00,0x88000188,
    0x4ccc4001,0x00620000,0x00265440,0x26200130,0x54c00099,0x99988000,
    0x00980000,0x00133100,0x80013310,0x04400008,0x540df900,0x018800ff,
    0xf9003fec,0x0031001f,0x40000440,0x04400008,0x00062000,0x00b2e600,
    0x80004cc4,0x02600009,0x80006200,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x3530000a,0x1aa80010,0x99999988,0x80019999,0x4ccc1998,0x09999999,
    0x05554400,0x00206a60,0x20006011,0xa880aaa8,0x000d540a,0xaa800355,
    0x5554002a,0x55300002,0x20110035,0x03550001,0x15551000,0x00180440,
    0xa80aaa88,0x544002aa,0x000d540a,0x264c02ea,0x03550000,0x333332e0,
    0x0a9801cc,0x40220154,0x35310001,0x2aaa0001,0x10353002,0x0081a980,
    0xfffffb10,0xffd1001b,0x007ee3bf,0x70bfff62,0xffffffff,0xf9800fff,
    0x7fffc1ef,0x06ffffff,0x80fffa20,0x71dfffe8,0x0bfe603f,0x74400bfd,
    0x3fee03ff,0x800efd8a,0x002fffd8,0x800fffa2,0x0003ffe8,0xffffffd3,
    0x0bfe605f,0x6c400bfd,0x20002fff,0x2603ffe8,0x02ff42ff,0x207ffd10,
    0x4003ffe8,0xefd8affb,0x1bfea000,0x0000ffc4,0x00bfff62,0x3ffffffa,
    0x0dfb802f,0x7fcc0ff5,0x8802ff42,0xdfffffed,0x37fee002,0x7fff4400,
    0xd103f71d,0x3ee3bfff,0x7fffcc01,0x400effff,0xffffbcfe,0x7f4400ef,
    0x3ee3ffce,0xffffffff,0x3fe6007f,0xfffff80d,0x006fffff,0xe803dfd1,
    0xfffffbcf,0x87ff500e,0xfd1007ff,0xfff5003d,0xfd1001df,0x8007ff9d,
    0x64003ffc,0x7e4003ff,0xfffeefff,0xf87ff502,0xdfd1007f,0x10007ff9,
    0xfa803dfd,0x803ffc3f,0xc801efe8,0x7d4003ff,0x4000efff,0x3f607ffb,
    0x3fa20005,0x4403ffce,0x09999999,0xfffff880,0x0ffea03f,0xff300fff,
    0x9fffffff,0x00ffee00,0x7ffde7f4,0xcfe80eff,0x0efffffb,0x42bffe60,
    0x200fffc9,0x33fae239,0x264ed800,0x13fe02ee,0x01ffcc00,0x200009ff,
    0x473004ec,0x400cfeb8,0x016d40dc,0x54004ec8,0x3b6005ee,0x000bba64,
    0xa8003dd5,0xff5001ee,0x4015103b,0x016d40dc,0x3ba64ed8,0x02764002,
    0x2da81b90,0x8009d900,0x54001eea,0xd10005ee,0x07fcc07f,0x264ed800,
    0x000002ee,0x02dfec88,0x16d40dc8,0x86fffea0,0xea804d98,0x88e6001d,
    0x7300cfeb,0x0067f5c4,0x7e407ff6,0x0000003f,0x027fc000,0x13fe0000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x003ffa00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000ffa0,0x01530000,0x00000000,
    0x000fffc0,0x00000000,0xff980000,0x0037fc03,0x4cc00153,0x09999999,
    0x64013fe0,0x404ccccc,0x998004ff,0x2604c401,0x204c4019,0x99999998,
    0x4cc41999,0x99999999,0x2200ccc1,0x0ccc4009,0x33333100,0x80333333,
    0xff001998,0x0199800b,0x4c426620,0x30262001,0x33333333,0x33301333,
    0x13333333,0x33333330,0x33301333,0x13333333,0x4cccccc4,0x81999999,
    0x99999998,0x3fdc1999,0x4ccccc00,0x10099999,0x1bfffffb,0x4ccccc40,
    0x40199999,0xf7001998,0x2620005f,0x44001999,0x99999999,0x4cc40199,
    0x01ff9001,0x2201ffc8,0x0dfffffd,0x3ffffe20,0x3e06ffff,0xffff004f,
    0x4ff80fff,0x17ffcc00,0x7fccbf90,0x717f202f,0xffffffff,0xfffb8fff,
    0x7fffffff,0xc80bffe6,0x7ffec05f,0xffff7001,0x0fffffff,0x801fffd8,
    0x7e4006ff,0x1ffd003f,0x5c003fe6,0x3fffe25f,0xffffffff,0xffffff84,
    0xff86ffff,0xffffffff,0xffffff86,0x3f66ffff,0xffffffff,0x7dc1ffff,
    0xffffffff,0x017fc47f,0x3fffffe0,0xfa86ffff,0xefffffff,0xfffff700,
    0x80ffffff,0xf801fffd,0x3ee0006f,0x1defffff,0x7ffffdc0,0x407fffff,
    0xd801fffd,0x2ff9806f,0xffffff50,0x3e201dff,0xffffffff,0x4013fe06,
    0x07fdaaaa,0x260027fc,0x3f206fff,0x81bffe65,0x7ffdc5fc,0x7fffffff,
    0x7fffffdc,0x3e67ffff,0x17f206ff,0x009ffff0,0x3fffffee,0x7c07ffff,
    0xfd804fff,0x3fe2004f,0x27fd400f,0x32003ff3,0x3fffe25f,0xffffffff,
    0xffffff84,0xff86ffff,0xffffffff,0xffffff86,0x3f66ffff,0xffffffff,
    0x7dc1ffff,0xffffffff,0x005fc87f,0x7ffffffc,0x7fcc6fff,0xfff930af,
    0x3ffffee0,0x407fffff,0x4c04ffff,0x2e0003ff,0xffffffff,0x3ffee04f,
    0x7fffffff,0x027fffc0,0x7cc02ff4,0xafff983f,0x40fff930,0xe9999999,
    0x013fe06f,0x3e03fe40,0x7fcc004f,0x4bf902ff,0x902ffff9,0x09ff00bf,
    0x4c09ff00,0xf902ffff,0x7f7fd40b,0x13fe0007,0x7feffa80,0x2efff980,
    0x809ff700,0x3fe20ffe,0x989f9001,0x99999999,0x4ff81ffe,0x004ff800,
    0x80004ff8,0x3e0004ff,0x1ff9804f,0x0013fe00,0x3f203ffb,0x09ff003f,
    0x3ff7fd40,0x000bfea0,0x32a0ffb8,0x3e002fff,0x3fea004f,0x4ff807fe,
    0xd84ff880,0x7ff901ff,0x40dfd000,0xf90004ff,0xfffff80f,0x4c3fffff,
    0xf906feff,0x37f7fccb,0xff805fc8,0x04ff8004,0x41bfbfe6,0x37f605fc,
    0xf0001ffa,0x6fec009f,0xe9801ffa,0x400cffff,0xff500ffe,0x002ff887,
    0xfa8009fb,0x009ff04f,0xf0009ff0,0xff00009f,0x27fc0009,0x2004fd80,
    0x3e6004ff,0x037fc03f,0x36004ff8,0x201ffadf,0x20001ffb,0xffb80ffb,
    0x013fe005,0x1ffadfd8,0x4013fe20,0x1ffcc4ff,0x2001bfe0,0x13fe06fe,
    0x203fe400,0xffffffff,0x5ffcc3ff,0x25fc81ff,0x81ffbff9,0x4ff805fc,
    0x204ff800,0x81ffbff9,0x2ffe05fc,0xf0004ff8,0x5ffc009f,0x2e004ff8,
    0x204fffff,0xdfd04ffa,0x6c00bfe0,0x3fe2003f,0x0013fe06,0x3e0013fe,
    0xff80004f,0x13fe0004,0x8007fd40,0x3f2004ff,0x0ffe400f,0xf0027fc0,
    0x409ff17f,0x20000ffc,0xff880ffb,0x013fe006,0x4ff8bff8,0x2013fe20,
    0x7fe43ff8,0x00ffe400,0xff81bfa0,0x0ff90004,0x9999cff8,0x7fcc0999,
    0x5fc85fe8,0x17fa3fe6,0x3fe017f2,0x04ff8004,0x17fa3fe6,0x7fd417f2,
    0x2000dfb0,0xff5004ff,0x2001bf61,0x00efffda,0xffb83ffd,0x2005ff02,
    0x3f6003fd,0x013fe01f,0x20013fe0,0xf80004ff,0x3fe0004f,0x00ffe004,
    0xfb0027fc,0x05ff300d,0x2a009ff0,0x40dfb0ff,0x20001ffc,0xdfd00ffb,
    0x8027fc00,0x0dfb0ffa,0xf9805ff8,0x4037ec2f,0x74002ff9,0x013fe06f,
    0x3e03fe40,0x7fcc004f,0x7e41ffb8,0x3ee3fe65,0x402fe41f,0xff8004ff,
    0x2e3fe604,0x82fe41ff,0x07fee6fd,0x4013fe00,0x07fee6fd,0x37ff4c00,
    0x7fc5ff98,0x970ffa05,0x5002fe81,0x4ff809ff,0x004ff800,0x80004ff8,
    0x3e0004ff,0x1bee004f,0xd0027fc0,0x7ff300bf,0x2009ff00,0x07fee6fd,
    0x00017fdc,0xff101ff7,0x027fc009,0x3fee6fd8,0x201bfa01,0x2ff41ffa,
    0x001ffcc0,0x4ff81bfa,0x80ff9000,0x7cc004ff,0xfc8bff0f,0x7fc3fe65,
    0x7c02fe45,0x4ff8004f,0x7fc3fe60,0xff82fe45,0x0013fe23,0x7fc013fe,
    0x0013fe23,0x3603ffb0,0x03ff71ff,0x7ff11ff4,0xf8802fe8,0x04ff806f,
    0x8004ff80,0xf80004ff,0x3fe0004f,0x0bfe2004,0xf8013fe0,0x4ff8804f,
    0xf004ff80,0x827fc47f,0x20003ffa,0x7f440ffb,0x13fe001f,0xff11ffc0,
    0x007fec09,0x9ff03ff6,0x009ff100,0x3fe06fe8,0x0ff90004,0x4c004ff8,
    0x41ff70ff,0x43fe65fc,0x17f20ffb,0x20013fe0,0x3fe604ff,0x7e41ff70,
    0x741ffa85,0x4ff8006f,0x741ffa80,0x7cc0006f,0x1bff103f,0x4fd809ff,
    0x3ff1bfea,0x003ffb00,0xffffffff,0xffff07ff,0x07ffffff,0xffffffff,
    0x9ff007ff,0x027fc000,0x3e017f60,0xffffffff,0x009ff13f,0x3fe013fe,
    0x41ffa804,0xdff106fe,0x67fdc000,0x02fffecc,0x54027fc0,0x037f41ff,
    0x7c407ff5,0x027fc44f,0x74004ff8,0x013fe06f,0x3e03fe40,0x7fcc004f,
    0x7e49ff10,0x7c43fe65,0x2017f24f,0xff8004ff,0x443fe604,0x217f24ff,
    0x1ffb86fd,0x4027fc00,0x1ffb86fd,0x0ffe6000,0x0ffdffc8,0xffb27ec0,
    0x200ffc3f,0xff004ffa,0xffffffff,0xffffff07,0xff07ffff,0xffffffff,
    0x009ff007,0x20027fc0,0x7fc00ff9,0xffffffff,0x22013fe3,0x4ff803ff,
    0xfb86fd80,0x05ffb01f,0x3fffee00,0x8001cfff,0x6fd804ff,0x3e01ffb8,
    0x3ffb01ff,0xf1009ff0,0x6fe8007f,0x40013fe0,0x27fc07fc,0xc83fe600,
    0x4cbf90ff,0x43ff20ff,0x4ff805fc,0x204ff800,0x3ff20ff9,0x9ff0bf90,
    0x8009ff30,0x4ff804ff,0x0004ff98,0xf8807ff2,0xfc803fff,0xf93f7fe5,
    0x1bfe200f,0x999cff80,0xff809999,0x9999999c,0x999cff80,0xf8009999,
    0x3fe0004f,0x04fe8004,0x4ccce7fc,0x17fe0999,0x200bfe60,0x4ff804ff,
    0xf304ff98,0xf70005ff,0x09ffb77f,0x2013fe00,0x4ff984ff,0x26fffea0,
    0xf04ffda8,0x5ff300bf,0x316fe800,0x339ff333,0x1ff20033,0x33339ff0,
    0xff981333,0x7e53fe20,0xf883fe65,0xf00bf94f,0x9ff0009f,0xf107fcc0,
    0xf517f29f,0x01bfa03f,0xfa809ff0,0x50dfd01f,0x2661337b,0xfb805ffd,
    0x2bf7006f,0xf16fadfa,0x0ffe401f,0x0009ff00,0xff0009ff,0x9ff00009,
    0x027fc000,0x3e03fd40,0x1bfa004f,0x2007fea0,0x7fd404ff,0x640dfd01,
    0x989acfff,0x0ffb84db,0x20013fe6,0x7fd404ff,0xb80dfd01,0xffffffff,
    0x201bfa04,0x74001ffa,0xfffff76f,0x00ffffff,0xfff01ff2,0xdfffffff,
    0x7ec0ff98,0x7fccbf97,0x5fcbfec0,0x8004ff80,0x3fe604ff,0x5fcbfec0,
    0x66667fec,0x001ffecc,0xffb013fe,0xfd999999,0xffffa83f,0x05ffffff,
    0x2009ff10,0xf15f96fb,0x540ff13f,0x7fc004ff,0x04ff8004,0x0004ff80,
    0x20004ff8,0xff0004ff,0x0027fc05,0xfd801ffb,0x04ff800f,0x66667fec,
    0x201ffecc,0xfffffffc,0x0ffb84ff,0x2000ffe4,0x7fec04ff,0xfecccccc,
    0x7fecc01f,0x7ec02dff,0x07fec00f,0x7dd7fa00,0xffffffff,0x0ff9007f,
    0xfffffff8,0x7fcc6fff,0x7e57fcc0,0xf303fe65,0xf00bf95f,0x9ff0009f,
    0x2607fcc0,0x7c5fcaff,0xffffffff,0x3e003fff,0x7fffc04f,0xffffffff,
    0x7fffecc3,0x4001cfff,0xdf5004ff,0x4e7ec3fe,0x0dfd107f,0x0009ff00,
    0xff0009ff,0x9ff00009,0x027fc000,0x3e06fc80,0x3fea004f,0x017fe203,
    0x3fe027fc,0xffffffff,0x7e4c03ff,0x81bdefff,0x7fc40ffb,0x027fc005,
    0x3ffffffe,0x003fffff,0x2a007ff1,0x3fe203ff,0x27fcc005,0x2007fb00,
    0x220007fc,0x07fcc2fe,0x32fe77ec,0x9dfb01ff,0x09ff00bf,0x4c09ff00,
    0xcefd80ff,0x3bbfea5f,0xffeeeeee,0x813fe006,0xeeeeeffa,0x206ffeee,
    0x000ffb98,0x2a009ff0,0x3ea5faff,0xff906f9f,0x09ff0003,0x0009ff00,
    0xf00009ff,0x7fc0009f,0x3ff10004,0xd0013fe0,0x3ff603ff,0x409ff000,
    0xeeeeeffa,0x006ffeee,0xf7001df9,0x03ff901f,0xf5027fc0,0xdddddddf,
    0x7400dffd,0x3ffa006f,0x101ffb01,0x00bfee01,0xf9002fdc,0x27e4000f,
    0x7cc07fcc,0x3fe65fef,0x5feff980,0x8004ff80,0x3fe604ff,0x5feff980,
    0x3f201ff6,0x09ff001f,0x7e403fec,0x037e401f,0x2009ff00,0x222fcff9,
    0xf986fcff,0x9ff0004f,0x009ff000,0x00009ff0,0x7c0009ff,0x3f60004f,
    0x8009ff04,0xa89bfffa,0x3e004ffd,0x01ff604f,0x3a007ff2,0x1ff7003f,
    0x400bff10,0x1ff604ff,0x4007ff20,0x9712dffb,0x137fff50,0x2a09ffb5,
    0xffda89bf,0x00bfe006,0x10007fc8,0x1ff303ff,0x997fffa0,0xfffd00ff,
    0xf999988b,0x441999cf,0x9cff9999,0x03fe6199,0xff2ffff4,0x07ff3009,
    0x9ff33331,0x27fc3333,0x201ffcc0,0x3e0003fd,0xfff3004f,0x5fffd81f,
    0xaaabffe8,0xf82aaaaa,0x999999cf,0x99cff809,0xf8099999,0x999999cf,
    0x04ff8009,0xff333310,0x40033339,0xcff80ffa,0x09999999,0xffffffa8,
    0x266204ff,0x999cff99,0x26013fe1,0x7fc403ff,0x01ff7001,0x26203ff6,
    0x99cff999,0x2013fe19,0x3a003ff9,0x1fffffff,0xffffffa8,0x3fea04ff,
    0x01ffffff,0x10277fa0,0x3ffb3333,0x3e200333,0x3fe609cf,0x4bfff500,
    0xff500ff9,0xffffb8bf,0x47ffffff,0xfffffffb,0x3fe67fff,0x2bfff500,
    0xff002ffa,0xfffff70d,0x2affffff,0xdff002ff,0x0001ff80,0x7c4013fe,
    0xfffa85ff,0x7ffffd45,0x6fffffff,0xfffffff8,0xfff86fff,0x6fffffff,
    0xfffffff8,0xff806fff,0xffff7004,0x0fffffff,0xff83fe80,0xffffffff,
    0xffffb306,0xfffb805b,0x7fffffff,0x3e005ff5,0x03fd406f,0x2601ff70,
    0xfffb84ff,0x7fffffff,0x3e005ff5,0x7fdc006f,0x36602eff,0x402dffff,
    0xcefffec8,0x7ffdc000,0x7ffffdc5,0x01ffffff,0x4c9fff90,0x3ffa00ff,
    0xe803fe65,0x7ffdc5ff,0x7fffffff,0x7fffffdc,0x3e67ffff,0x57ffa00f,
    0x3f2007fd,0x7fffdc0f,0xb7ffffff,0x7fe400ff,0x00055100,0x3e004ff8,
    0x9fff02ff,0xffffffa8,0x86ffffff,0xffffffff,0xffff86ff,0x86ffffff,
    0xffffffff,0x4ff806ff,0xfffff700,0x00ffffff,0xfff80988,0x6fffffff,
    0x2e000880,0xffffffff,0x00ffb7ff,0x53007fe4,0x07fdc003,0xfb81ffb0,
    0xffffffff,0x400ffb7f,0x88000ffc,0x00440009,0x00009880,0x3ee1e5c4,
    0xffffffff,0x2e6001ff,0x0000002c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55510000,0x332a6001,0xa802cccc,0x1750001a,0x66665c00,
    0x2a201ccc,0x200d540a,0x055442aa,0x00993000,0x000aaa88,0x817bb2e0,
    0x03ceedc9,0x02aaa200,0x2aa05544,0xccc98001,0x55510000,0x006aa001,
    0x20002ea0,0xaa8001aa,0x40055442,0x201540a9,0x001540a9,0x99999997,
    0x66665c03,0x32e01ccc,0x01cccccc,0x45530000,0x000004e9,0x5400aa80,
    0x54000dfe,0xa8000dfe,0x23eb80cc,0x000ceedb,0x200fffa2,0xfffffffa,
    0x3f6204ff,0x7d4002ff,0x3ffa006f,0x402fffff,0xefd8affb,0x46ff4400,
    0x40003ffa,0x3a2004fd,0xd10003ff,0xb10fffff,0x0dffffff,0x0bffe200,
    0xfb15ff70,0xff88001d,0xfd10001f,0xffb1007f,0x7fd4005f,0x3ff62006,
    0x7f44002f,0x003ffa8d,0x1fea1bf7,0x3ea1bf70,0x3fffa007,0x3a02ffff,
    0x2fffffff,0x3fffffa0,0x880002ff,0x747fd1cc,0x000002ff,0xa803fea0,
    0x2006fcef,0x006fcefa,0x207fffd4,0xffffb5fc,0xfd1001df,0xfffb003d,
    0x9ff55bff,0x3f3bfa20,0x3fee003f,0x26662007,0xa8009999,0x000effff,
    0x05ffffd1,0x01ff8800,0x003dfd10,0x55f7ff40,0x9acffd83,0xe88003a9,
    0xff5000ef,0x88001dff,0x10000dff,0xd1003dfd,0x007ff9df,0x4401ffee,
    0x03ffcefe,0x7ffff440,0x3ffe2002,0x7c403fff,0x003fffff,0x26666662,
    0x26662009,0x22009999,0x09999999,0xaff98000,0x3ff20ff8,0x18800004,
    0x36c05fc8,0x9b6003f7,0xff5001fb,0x7e43ff95,0xfcabefee,0x04ec806f,
    0xffffff70,0xed827fc9,0x400bba64,0x00003fe8,0x05eea800,0x01eed880,
    0x006fc800,0x500013b2,0xff9807ff,0x3b600002,0x5eea8004,0x53ed8800,
    0x4ec8009d,0xe993b600,0x3fe8802e,0x74c9db00,0x76c4002e,0xec88001e,
    0xd91002df,0x000005bf,0x00000000,0x57fcc000,0x03ff85fb,0x427f4000,
    0x53f402fe,0xa9fa003f,0x1de9801f,0x7fe437ae,0x01ffc84f,0x7fffc000,
    0x13fe4fff,0x80000000,0x09880198,0x00000000,0x017fc400,0x7e400000,
    0x0ffd400f,0x00000000,0x5fb00000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x99999999,0x4cccc409,0x01999999,0x0000ccc4,0x3b2bfe60,
    0x0001fe82,0x3a227fc0,0xfcefb805,0x33bee006,0xc800006f,0x9ff104ff,
    0x4c400333,0xfffff309,0x127fc9ff,0x81310033,0x99999999,0x3ea09999,
    0x237ec01f,0x99999999,0x98809999,0x00001999,0x4c400ff7,0x7f400019,
    0x05ff9806,0x33331000,0x33301333,0x13333333,0x01ff1000,0x88001988,
    0x99999999,0x99998199,0x30999999,0x4cc40033,0x04cccc40,0x99999800,
    0x40099999,0x7c001998,0xffffffff,0x7fffdc6f,0x07ffffff,0x000fffec,
    0x205ff300,0x00005fd9,0x40004ff8,0x4000dffb,0x0000dffb,0x7407fc80,
    0x003ffcdf,0x3fea1ffd,0x3e4fffff,0x007fea4f,0x7ffc4dfb,0xffffffff,
    0x007fea4f,0x7ffc4dfb,0xffffffff,0xffffb84f,0x0001deff,0x7ec009fd,
    0x3e0001ff,0xdffb004f,0x7fc40003,0x85ffffff,0xffffffff,0xeca806ff,
    0xfc805fff,0xfffb8007,0x7fffffff,0xfffffff8,0x7ff96fff,0x503ffa00,
    0xbdffffff,0x3fffe007,0x06ffffff,0x000fffec,0xffffffff,0xfffb8dff,
    0x7fffffff,0x027fffc0,0x05ff3000,0x000037fe,0x00013fe0,0x00000000,
    0x39dddb73,0xdfb01bf2,0xa801fff1,0x3ffe64ff,0x3fe4ffff,0xb007fea4,
    0x7fffc4df,0xffffffff,0xb007fea4,0x7fffc4df,0xffffffff,0xfffffb84,
    0x4004ffff,0x3e000ff9,0x10004fff,0xfd3007ff,0x20009fff,0xfffffffb,
    0xfffff85f,0x206fffff,0xffffffd8,0x03fe403f,0x7ffffdc0,0xf87fffff,
    0xffffffff,0x01fff16f,0xfa84ffa8,0xffffffff,0x7fffc01e,0x06ffffff,
    0x0027fffc,0xf00009ff,0x7fd4009f,0x950007fe,0x05ffbbdb,0xe800002a,
    0xeefffeee,0xeb80eeee,0x203ba605,0xdeffecb8,0xffff7001,0x1bf2bfff,
    0x3feedfb0,0x207ff404,0x4fffffff,0x1ffa93fe,0x26637ec0,0xe9999999,
    0x07fea1ff,0x9998dfb0,0xfe999999,0x20ffb81f,0x002fffca,0xfa8017f6,
    0x30007fef,0xff8805ff,0x02effeae,0x03feff40,0x10004ff8,0xff337fff,
    0x3fe407ff,0x04ff8000,0x2e004ff8,0x7ff404ff,0x261ffa80,0x202fffca,
    0x2a0004ff,0x2007feff,0xf80004ff,0x37f6004f,0x26001ffa,0xfffffffe,
    0x52f4c02f,0xf803bdfb,0xffffffff,0xfc80ffff,0x203fea06,0xfffffffe,
    0x77fec05f,0xf95dbaab,0x3a5fe80d,0x7ff500ff,0xffffff90,0xff527fc9,
    0x006fd803,0x3ea27fd4,0x037ec01f,0x5c13fea0,0x5ffb80ff,0x003ff100,
    0x0ffd6fec,0x7e555540,0x642aaacf,0x3fff20ff,0xf7df5003,0x013fe00f,
    0xf50ffe40,0x3203ffbb,0xff00007f,0x009ff009,0xf500ffe8,0x07fea07f,
    0xff037fcc,0x6fec0009,0xff001ffa,0x9ff00009,0x7c5ffc00,0xdff5004f,
    0x5ffb7337,0xffb7fa80,0x5403ffff,0xaadffaaa,0xfc80aaaa,0x203fea06,
    0xfca9abee,0xbff503ff,0xf80df900,0x413fea4f,0x3ffa06fe,0x93fe4fff,
    0x7ec01ffa,0x1bfe2006,0xfb007fea,0x37fc400d,0xf101ff70,0x1bee00df,
    0xff17ff00,0xfffff009,0x8fffffff,0xffe984fe,0xfbcfd803,0x009ff007,
    0xfd89ff10,0xf903ff8a,0x3fe0000f,0x004ff804,0xfe827fd4,0x807fea06,
    0x9ff03ffb,0x45ffc000,0x9ff004ff,0x09ff0000,0x7ec3fea0,0x01bfd006,
    0xfa805ff3,0xfd9aefdf,0x13fe006f,0x540df900,0x220080ff,0x6ff886ff,
    0x4c0df900,0x0fff42ff,0xf700bfee,0x27fc9fff,0xfd803ff5,0x07ff6006,
    0xfb007fea,0x0ffec00d,0x3a01ff70,0x07ff006f,0xfd87fd40,0xecccc806,
    0x44ccccff,0xffd105fe,0x5c7fc401,0x09ff007f,0x441ff500,0x20bfb0ff,
    0xf00007fc,0x09ff009f,0xb83ffd00,0x3fea02ff,0xf83ff401,0xff50004f,
    0x7c01bf61,0xff80004f,0x5cdfb004,0x7fdc01ff,0x805ff300,0xfc85fffa,
    0x09ff001f,0x2a06fc80,0xfd8000ff,0x002ff987,0x37ec0df9,0x3fe2ffcc,
    0x8aea6005,0x07fea4ff,0x2a00dfb0,0x3ff504ff,0x5006fd80,0xffb809ff,
    0x804ff880,0x36000ffa,0x007fee6f,0xf900dfd0,0x0bfea01f,0x0ff75fb8,
    0x20013fe0,0x92fd47fb,0x01ff20df,0x4027fc00,0xf98004ff,0x202ffc5f,
    0x7e401ffa,0x0009ff07,0x1ffb9bf6,0x0004ff80,0xff004ff8,0x2027fc47,
    0x3fe605fd,0x82ffd402,0xff002ffa,0x06fc8009,0x20003fea,0x0ffb87fb,
    0x985ff900,0xffb01ffd,0x0007fee3,0xffa93fe0,0x4037ec01,0x3ea06ff8,
    0x037ec01f,0x5c037fc4,0x7ff440ff,0x004fe801,0x9ff11ffc,0x805ff800,
    0xff00eff8,0xfb97f407,0x009ff007,0x2fd8ff90,0x3f203fee,0x9ff00007,
    0x0009ff00,0x7fdc7ff6,0x00ffd401,0x3fe07fee,0x47ff0004,0xff804ff8,
    0xffffffff,0x804ff803,0x37f41ffa,0xf9813fa0,0x0ffd402f,0xf003ff88,
    0x6fc8009f,0x9803fea0,0x7fdcccca,0x32007fc8,0xffffffff,0x37fe203f,
    0x00004ff8,0x7ffd49ff,0xffffffff,0x1ffd806f,0xb007fea0,0x3ffb00df,
    0x999ff700,0x3005fffd,0x7d4003ff,0x0037f41f,0x7d4013fe,0x0ffcc3ff,
    0x3fee7fa8,0xff83ffff,0xffffffff,0x3e27fb83,0x641fee0f,0xff00007f,
    0xfffff009,0x207fffff,0x4ff8dff8,0x401ffa80,0xfff82ffa,0x3fffffff,
    0x7f41ffa8,0xfffff806,0x803fffff,0x6fd804ff,0x3e01ffb8,0x0bfe603f,
    0x2201ff50,0x9ff003ff,0x206fc800,0xfe980ffa,0x7fffffff,0x9000ffc8,
    0xbdffffff,0xfbff9001,0x3e00001f,0x3fffea4f,0xffffffff,0x027fd406,
    0xfb007fea,0x04ffa80d,0xffffff70,0x3f20039f,0x437ec005,0xf3001ffb,
    0x7fcc007f,0x06fe89ef,0xfffb93f6,0xfff83fff,0x3fffffff,0xbf50ff98,
    0xff906fc8,0x13fe0000,0x3fffffe0,0x3203ffff,0x800ffdff,0x7d401ffa,
    0xfffff82f,0xd83fffff,0x01ffb86f,0x4ccce7fc,0xff800999,0x984ff804,
    0x0ffe04ff,0x5402ff98,0x7ff100ff,0x0013fe00,0x7fd40df9,0x567ffc40,
    0xb87fdaaa,0xdf9001ff,0x3e200062,0x00003fff,0xaffa93fe,0xd9999999,
    0x1bfe206f,0xb007fea0,0x37fc40df,0xb77ff700,0x3e2009ff,0x27fc002f,
    0xa8027fcc,0x644002ff,0x01ffffff,0x7fdc3ff1,0xff809999,0x9999999c,
    0x3f65ff00,0xfc82ffc2,0x9ff00007,0x3339ff00,0x44013333,0x5003ffff,
    0xffb803ff,0x999cff82,0xff809999,0x404ff984,0xf80004ff,0x0ffd404f,
    0x3fe06fe8,0x00bfe604,0x3e201ff5,0x09ff003f,0x2a06fc80,0x07fec0ff,
    0xff987fb8,0x00df9004,0x00dff700,0x2a4ff800,0x37ec01ff,0x5003ff90,
    0x6fd803ff,0x8007ff20,0x3fe60ffb,0x006fb804,0xfe80ffd4,0x03ff7006,
    0x3fffa600,0xf71bf201,0x013fe00f,0x7fcfff40,0x6407fee0,0xff00007f,
    0x009ff009,0x006ffb80,0xf9007fea,0x009ff03f,0xfd01ffa8,0x004ff80d,
    0x6c04ff80,0xccccccff,0xdfd01ffe,0x00bffa20,0x3e201ff5,0x0bfd003f,
    0xb00ffc80,0x05ff81ff,0x7ff41fee,0x006fc801,0x004ff880,0xf51ffc00,
    0x06fd803f,0x26009ff5,0x2ffc01ff,0x4004ffa8,0x7fe40ffb,0x001ff401,
    0x33333ff6,0x801ffecc,0xc80007fc,0x33fe05ff,0x007fb999,0x260009ff,
    0xf715ffff,0x03fe40bf,0x804ff800,0x440004ff,0x3ea004ff,0x83fec01f,
    0x7ec004ff,0xeccccccf,0x13fe01ff,0x013fe000,0xffffffff,0x3207ffff,
    0xfffd80ff,0x807fd402,0xfb003ff8,0x7fdc001f,0x40fffc82,0xfff505ff,
    0x86fffe60,0x00df94b9,0x0013fe00,0x2a2ff880,0x37ec01ff,0x10037f44,
    0x7fcc07ff,0x006fe884,0x7c40ffb8,0x03fea05f,0xffffff00,0x07ffffff,
    0x0000dfd0,0x7fd41ff6,0x07ffffff,0x40009ff0,0xffeffff9,0x1ff200df,
    0x027fc000,0x400027fc,0x3ea004ff,0x17fe601f,0x3e0027fc,0xffffffff,
    0x3fe03fff,0x4ff80004,0x3bbbfea0,0x6ffeeeee,0x2a3dff10,0x402ffdfe,
    0xff100ffa,0x37fee007,0x3e60260a,0xfffb12ef,0x22ffe81f,0x207fffc9,
    0xfffffffb,0x000df95f,0x10013fe0,0xf50ffdc0,0x86fd803f,0x7c001ffc,
    0x07ff206f,0x20007ff2,0xffc80ffb,0x800bfb01,0xeeeeeffa,0x406ffeee,
    0x00004ff8,0x3bf60dfd,0x07feeeee,0x80009ff0,0x3efffff9,0x0007fc80,
    0xff009ff0,0x9ff00009,0x00ffd400,0x3fe05ffb,0x3bfea004,0xfeeeeeee,
    0x013fe06f,0xd813fe00,0x1ffc807f,0xffffff90,0xf500bfe9,0x0ffe201f,
    0xfffffe80,0xfffb00ff,0x1ff3dfff,0xffffff98,0x4407fbef,0x3effffed,
    0x20000df9,0x6f4004ff,0x517ff221,0x6fd803ff,0x40027fcc,0x2e21dffb,
    0x4ff985ff,0x01ff7000,0xff10bff1,0x07fd8003,0xb101ffc8,0x022003ff,
    0x2213fee2,0x07fb81ff,0x80009ff0,0x40019dfa,0xf00007fc,0x09ff009f,
    0x009ff000,0x6c40ffd4,0x13fe05ff,0xc807fd80,0x39ff01ff,0x81333333,
    0xcff99998,0x13fe1999,0xb80ffe60,0x3fe3effe,0x807fd402,0x22003ff8,
    0x0ffffffc,0x53ffff20,0xfea80ff8,0x0ff34eff,0x00000980,0x2004ff80,
    0xffeffffb,0x0ffd40ff,0xffd1bf60,0x55555557,0xffffb055,0xd01dffff,
    0x555557ff,0xff705555,0x903ff601,0x9ff000df,0x547ff300,0x006fffee,
    0x3fbbbfee,0x6fc80eff,0x3e00ff70,0x999999cf,0x017ec009,0x999ffc80,
    0x44099999,0x9cff9999,0x9cff8199,0x00999999,0x2a004ff8,0xfcba9aff,
    0x3fe00eff,0x9999999c,0x26013fe0,0xffff03ff,0x8dffffff,0xfffffffb,
    0x5ff57fff,0x201bfe00,0x3ea00008,0x07ff100f,0x0004cc00,0x26200033,
    0x00000000,0x027fc000,0x3ffffaa0,0x1ffa80cf,0xff537ec0,0xffffffff,
    0x3faa0dff,0xf503efff,0xffffffff,0xff70dfff,0xf13fe601,0xffa8005f,
    0x54dff002,0x000dffff,0x3fffffee,0x07ff00cf,0x3fffffee,0xffffff86,
    0x2206ffff,0x3f20007f,0xffffffff,0x7fffdc2f,0x87ffffff,0xffffffff,
    0x4ff806ff,0x3fffea00,0x804fffff,0xffffffff,0x05ff56ff,0x7fc1bfe0,
    0xffffffff,0x7ffffdc6,0xfb7fffff,0x07fe400f,0x00000000,0x00000000,
    0x00000000,0x7c000000,0x5310004f,0x01ffa803,0xfff537ec,0xffffffff,
    0x003100df,0xfffffff5,0x70dfffff,0x7fec01ff,0x36000660,0x3ff2007f,
    0x00135510,0x06aaa620,0x2e01ff50,0x86ffffff,0xffffffff,0x004c06ff,
    0xfffff900,0xb85fffff,0xffffffff,0xffff87ff,0x06ffffff,0x2a004ff8,
    0xbdefffff,0xfffff000,0x36dfffff,0x3ff2007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x11664400,0xca800399,0x0098804c,0x01e5c000,0x07911e44,
    0x66445970,0x04c98001,0x03c88f22,0x9500ee40,0x65c00159,0x50073222,
    0x20019307,0x40002cc8,0x9701ccc8,0x54000059,0x983a804e,0x3cb8800c,
    0x33220018,0xcc880002,0x0b32e01c,0x066cc000,0x40133220,0xeea805ed,
    0x75c0bd71,0x05991005,0x03260ea0,0x00166440,0x40733220,0x10002ccb,
    0xd97bdd97,0x3bffb260,0x80fb624e,0x4ff9bff9,0x077fd400,0x7ffffd50,
    0x17f60000,0x322bfe20,0xcff9804f,0x70004fe8,0x57fc40ff,0x2e004fc8,
    0x3ff207ff,0xf9800dff,0x404fe8cf,0x3fe24ffa,0xfffe8806,0xffd10003,
    0x1ffec405,0x02fd8000,0xff127fd4,0xffff980d,0x801fc9af,0x003fffe8,
    0x00bffa20,0x0007ffb1,0x7009fff0,0x5db73bff,0x6c02ffc8,0xc81bf27f,
    0xffe8807f,0x27fd403f,0xd100dff1,0x20007fff,0x2202ffe8,0x5c003ffd,
    0xffffffff,0xfffffd87,0x3fff67ff,0x3fffe601,0x27fd4003,0x3ffffea0,
    0xee8003ff,0x2eefffee,0x3fffff20,0xffff3000,0x3fdc0009,0x3fffff20,
    0x3fff2000,0xfffd9500,0xfff3005f,0x9ff7009f,0x2203ffc4,0x03ffadfe,
    0x00f7f440,0x0002ffb8,0x2e007fc4,0x1ffe24ff,0xffd57fd0,0xfd100dff,
    0x0007ff5b,0x4003dfd1,0x40002ffb,0x54c05fff,0x2fffffff,0xf102ffc4,
    0x9037e49f,0xdfe880ff,0x3ee03ffa,0x01ffe24f,0x7ff5bfd1,0x1efe8800,
    0x005ff700,0x266b7ff2,0x7fe47feb,0x24b9999c,0x4c03ffff,0x6cc003ee,
    0x77fc402e,0x001ffd30,0xfffffff8,0x76d403ff,0x76cc000c,0x3fdc0004,
    0x00676d40,0x400ffa20,0x801fffb8,0x2e004ed9,0x200e540c,0x0bb663ed,
    0x8004ec80,0x2a001ee9,0x005fffec,0x01ca8197,0x2f76a144,0x263ed800,
    0x764002ed,0x3dd30004,0x0ffdc000,0xffffff70,0x3ff6035b,0x643ff700,
    0x01ff206f,0x176cc7db,0x1ca81970,0xdb31f6c0,0x02764005,0x200f74c0,
    0xff703ff9,0xf9004ff8,0x000001ff,0x07fea000,0xa8003ff7,0xaaefeaaa,
    0x00000001,0x01fee000,0x00000000,0x0000dff3,0x00000000,0x00000000,
    0xfffffb10,0x000007ff,0x00000000,0x00000000,0x7dc00000,0x406ffabd,
    0xdfd03ffa,0x3f206fc8,0x00000007,0x00000000,0x7ec00000,0xf89fee06,
    0x02ea004f,0x80000000,0x7fcc0ffb,0x2fec0001,0x00000000,0x007fb800,
    0x80000000,0x00001ffc,0x00000000,0x00000000,0x266fffe2,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0xff00ffee,0xc87ff30d,0x01ff206f,
    0x00000000,0x00000000,0x407ff000,0x1fff47fb,0x36e60000,0x4c01ceee,
    0x81ceeedb,0x7fdc2ffa,0xbdb73000,0xb880bfd9,0x01deffec,0xddffd930,
    0x7765c409,0x64c07fdd,0x3001cdfd,0x0039bfb9,0x9301ffd4,0x5c039bfb,
    0x03ba605e,0x774c0bd7,0xd302f5c0,0x205eb81d,0x3ff20ee9,0x3ff77ea1,
    0x6ff65401,0x3b2a001c,0x2a001cdf,0x001cdfec,0x0737fb2a,0xcdfeca80,
    0x76dcc001,0xb7301cee,0x6403fffd,0x07fdc1ff,0x7fc81bf2,0xeffec980,
    0x7ee4c04e,0xb93001cd,0x260039bf,0x001cdfdc,0x039bfb93,0x7dc05ff3,
    0x67fffcc7,0x7fdc0001,0x205fffff,0xfffffffb,0x2a6ff885,0xff9004ff,
    0x0bffffff,0xffffffe8,0x7fec05ff,0x707fffff,0xffffffff,0x7fffdc0f,
    0x7dc03fff,0x03ffffff,0x2e05ff50,0x3fffffff,0x7d40df90,0x5037e40f,
    0x06fc81ff,0xdf903fea,0xf887fd40,0x7c57ec4f,0xfffb103f,0x8809ffff,
    0xfffffffd,0x7ffec404,0x4404ffff,0xfffffffd,0x7ffec404,0x7004ffff,
    0xbfffffff,0xffffff70,0x27fc40bf,0x1bf217fa,0x7ec07fc8,0x07ffffff,
    0x3fffffee,0x7ffdc03f,0x5c03ffff,0x3fffffff,0x7ffffdc0,0x0ffd43ff,
    0xfd30ff70,0x0007dfff,0x7557dffb,0x3bff60bb,0x905dbaab,0x0bff97ff,
    0x26b3ffa0,0x7405ffca,0xffca9abe,0x39ff903f,0xf9097333,0xfd7535bf,
    0x273ff20f,0x903ffda8,0xfb5139ff,0x3ff9007f,0x5139ff90,0xdf907ffb,
    0x3207fd40,0x03fea06f,0x7fd40df9,0xf5037e40,0x883fea1f,0x20bfb0ff,
    0xeb9acffe,0x3ffa04ff,0x4ffeb9ac,0x26b3ffa0,0x3a04ffeb,0xfeb9acff,
    0x33ffa04f,0x04ffeb9a,0x555f7fec,0x6ffe45db,0x01ffcaab,0x2ff99ff6,
    0x3f206fc8,0x273ff207,0xf904b999,0xffb5139f,0x273ff207,0x903ffda8,
    0xfb5139ff,0x33ff207f,0x23ffda89,0x3ee01ffa,0x3fff2607,0xff5000ef,
    0x5ffa800b,0xffff8800,0x5ff5004f,0x01017f60,0xff837fc4,0x0ffe6004,
    0x7fc43fdc,0x881ffb03,0x1ffb03ff,0x5ffca998,0xfb03ff88,0x206fc81f,
    0x37e40ffa,0xfc81ff50,0x903fea06,0x87fd40df,0x92fd47fb,0x05ff70df,
    0x3ee07ff6,0x03ffb02f,0x3f605ff7,0x02ffb81f,0xff703ffb,0x407ff605,
    0xf3005ffa,0x0bff109f,0x7fc97fd4,0x7e40df90,0x0013fe07,0x3f607ff1,
    0x81ffc40f,0x7fc40ffd,0x881ffb03,0x1ffb03ff,0xfb80bfe6,0x9ffb3007,
    0x00dff100,0x0006ff88,0x005fffd3,0xbfb02ffc,0x87fd8000,0x36004ff8,
    0x21fee06f,0x3fe606fd,0xf3037ec2,0x7fffc45f,0x06fd80ef,0xdf90bfe6,
    0x3207fd40,0x03fea06f,0x7fd40df9,0xf5037e40,0xfb1ff21f,0xf107fdc5,
    0x2ffc409f,0xf8813fe2,0x027fc45f,0xff88bff1,0x117fe204,0x7fc409ff,
    0x006ff885,0xffc81bfa,0x7fd7fe00,0x101ff904,0x3fe20ffd,0x037ec004,
    0x6fd85ff3,0xfb0bfe60,0x217fcc0d,0x3fe606fd,0x2607ff12,0x7f4007ff,
    0x3fe60226,0x17fcc002,0x7fffd400,0x223fe46f,0x17f602ff,0x20ff7000,
    0xff003ffe,0x7c3fdc07,0x21ffc04f,0x1ffc04ff,0x4059dff1,0x1ffc04ff,
    0xffa81bf2,0xf5037e40,0x206fc81f,0x37e40ffa,0x3ee1ff50,0xfb83fe27,
    0x200ffcc7,0x0ffcc6fd,0xff31bf60,0x4c6fd803,0x37ec01ff,0xfb007fe6,
    0x005ff30d,0xf980bfe2,0x2fff202f,0x5ff901ff,0x740fffb0,0x3fe003ff,
    0x3e1ffc04,0x21ffc04f,0x1ffc04ff,0x7ff013fe,0x7fc437f4,0xb7f4007f,
    0x7fdc5ffa,0x07fdc000,0x23bfe200,0x1bf64ffc,0x7ec01ff5,0x99953005,
    0x3e60ffb9,0xf101cfff,0x23fdc05f,0xaaaacff8,0x225ffaaa,0xaaaaacff,
    0x7fc5ffaa,0x567fc402,0xffaaaaaa,0xf5037e45,0x206fc81f,0x37e40ffa,
    0xfc81ff50,0x4c3fea06,0xc8bf50ff,0x007fdc6f,0x1ff71ff2,0x7dc7fc80,
    0x23fe400f,0x7e400ffb,0x2007fdc7,0x0ffb87fc,0x403ff300,0x3e604ff8,
    0x3f206fff,0xfdfb12ef,0x3ffe607f,0x3fe201cf,0xaaaaaaac,0x33fe25ff,
    0xfaaaaaaa,0x2b3fe25f,0xffaaaaaa,0x2ab3fe25,0x5ffaaaaa,0x2e233fee,
    0x2e67fdff,0xd4ffc981,0x3fe45fff,0x003fe400,0xffd07fec,0xff717fe7,
    0x202fec01,0xffffffe9,0x3fa607ff,0x7d43efff,0x31fee01f,0xffffffff,
    0x7ccbffff,0xffffffff,0x0ffc5fff,0x3ffffe60,0x5fffffff,0xff5037e4,
    0x2a06fc81,0x037e40ff,0x6fc81ff5,0xff83fea0,0x5ff85fb2,0x7dc03fe4,
    0x201ff20f,0x1ff20ffb,0xfc83fee0,0x20ffb807,0xffb807fc,0x7003fe40,
    0x5ff801ff,0x017fff40,0xfffffff9,0x4c17ffab,0x83effffe,0xfffffff9,
    0x265fffff,0xffffffff,0x3e65ffff,0xffffffff,0x3fe65fff,0xffffffff,
    0x7ffec5ff,0x27faafff,0xfffffffa,0xfffd0eff,0x0007fe45,0xf0003ff2,
    0xafff889f,0x07fdc4ff,0x7c40bfb0,0xdaaaacff,0xffc9807f,0x3ff50eff,
    0x3e23fdc0,0xaaaaaacf,0x3fe21aaa,0xaaaaaaac,0x00ffc1aa,0x2aab3fe2,
    0x41aaaaaa,0x3fea06fc,0xf5037e40,0x206fc81f,0x37e40ffa,0x7f41ff50,
    0x3ee0ff9f,0x403fdc1f,0x03fdc7fc,0x1fee3fe4,0xff71ff20,0xfb8ff900,
    0xc87fc807,0xff7000ff,0x404ff801,0x7e406ffa,0x264fffdd,0x7e4c05fe,
    0x3e20efff,0xaaaaaacf,0x3fe21aaa,0xaaaaaaac,0x33fe21aa,0xaaaaaaaa,
    0x2b3fe21a,0xaaaaaaaa,0x2dfffd81,0x7ff4cff7,0x543effff,0x0ffdc6ff,
    0x007fee00,0xf983ff88,0x7d41ffff,0x817fa00f,0xff700ffd,0x4ffd9800,
    0x7dc05ff3,0x0003ff87,0x2a0007ff,0x03ff800a,0x540df900,0x037e40ff,
    0x6fc81ff5,0xf903fea0,0x307fd40d,0x2e2bffff,0x0ffa85ff,0x3ea37ec0,
    0x237ec00f,0x7ec00ffa,0x2007fd46,0x07fd46fd,0x3ee1bf60,0x3ff5001f,
    0x201ffc40,0x7e403ffa,0x00440315,0xf89ffb30,0x7ff0003f,0x00ffe000,
    0x0001ffc0,0x983fdc0c,0x06200999,0x30013fe6,0xff8009ff,0x0dfff704,
    0x3ee05ff3,0x817fe05f,0xfd0007fb,0x4c0ffe2d,0x05ff87ff,0x000bff00,
    0x00bff000,0x6c03ff20,0x07fe40ff,0x7e40ffd8,0x81ffb00f,0xffb00ffc,
    0xeffff981,0xf980dfff,0x13fe203f,0x7c407ff3,0x01ffcc4f,0xff989ff1,
    0x313fe203,0x7fc407ff,0x004ff984,0x7d409ff1,0x1ffe202f,0x0001bf20,
    0xff8dfd00,0x0bff0005,0x0017fe00,0x00002ffc,0x54c07fb8,0x3ffd0001,
    0x01ffe800,0x7403ffa0,0x0bff05ff,0x7c0bfff5,0x0fff505f,0xfe9bfa00,
    0x87fff886,0xb8002ffb,0xbb8002ff,0x02ffb800,0xc82ffb80,0x7fdc0fff,
    0x40fffc82,0xffc82ffb,0x417fdc0f,0xf980fffc,0x403effff,0xff900ffe,
    0x201ffd03,0xffe81ffc,0xd03ff900,0x3ff201ff,0x900ffe81,0x3ffa03ff,
    0x01ffd001,0xffb01bfa,0x00df9005,0x46fe8000,0xb8002ffb,0xfb8002ff,
    0xffb8002f,0xfb800002,0xb01ff407,0x7fff30bf,0x7cc25cc3,0x12e61bff,
    0x2615dff7,0xc83ffffd,0xbff913ff,0x17ff40bf,0x30ffff93,0x9ff93037,
    0x5c467fdc,0xf887fcff,0x82880cff,0x880cfff8,0x4037fdc2,0x880cfff8,
    0x12eff982,0x981ffffb,0xffb12eff,0xeff981ff,0x1ffffb12,0xb12eff98,
    0xf501ffff,0x7d40033b,0x3ff221ef,0x43dff504,0xf504ffc8,0x7fe443df,
    0x43dff504,0xf504ffc8,0x7fe443df,0x2fffe604,0xff992e61,0x0bff662e,
    0x09ffd533,0x8001bf20,0xffc981b9,0x067ffc44,0x7ffc4144,0xf882880c,
    0x82880cff,0x880cfff8,0x07fb8002,0xff807fe2,0xfffff702,0x3ee0bfff,
    0x5fffffff,0xffffffd8,0x41fffcff,0xffffffe8,0x3e605fc9,0xbeffffff,
    0xffffa87f,0x40efffff,0xaffffffd,0xffd307f9,0x0fffddff,0x3bffffa6,
    0x7fec7ffe,0xfffd3007,0x20fffddf,0xeffffffd,0xffd80ff9,0xff9effff,
    0xfffffd80,0xd80ff9ef,0x9effffff,0x02fd80ff,0xfffff900,0xfc80bfff,
    0x5fffffff,0x7ffffe40,0x7e405fff,0x5fffffff,0x7ffffe40,0xfb805fff,
    0x5fffffff,0x7fffffdc,0x7ffc44ff,0x3f2004ff,0x3fea0006,0xefffffff,
    0xffffe980,0xd307ffee,0xffddffff,0x3fffa60f,0x307ffeef,0xfddffffd,
    0xff7000ff,0xf103fd40,0x7f6c401f,0x2203efff,0x3effffed,0xbffffd50,
    0x103ffe61,0x2e3bfffb,0x7ff5405f,0x30ff34ef,0xdffffffd,0x6fffec07,
    0x6440ff32,0x5efffffe,0x3fffb220,0x7fd45eff,0x3fb22004,0x205effff,
    0xf14ffffc,0x3fff201f,0x201ff14f,0xf14ffffc,0x3fff201f,0x881ff14f,
    0x6cc0007f,0x002effff,0x5dffffb3,0x3fff6600,0xfb3002ef,0x2005dfff,
    0x2effffd9,0x3ffb6200,0xfe983eff,0xf882efff,0x64001def,0x3a60006f,
    0x3effffff,0x7fff6440,0x32205eff,0x5efffffe,0x3fffb220,0x32205eff,
    0x5efffffe,0x207fb800,0x1bea04fb,0x20001300,0x004c0009,0x20000600,
    0x33000098,0x00c00133,0x00999800,0x20099980,0x4cc00008,0x00660009,
    0x20001980,0x06600019,0x00001300,0x220000c4,0x00c40001,0x00006200,
    0x26000031,0x00066000,0x00000000,0x00026666,0x40004ccc,0x98000999,
    0x99800099,0x00000009,0x0001a880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36600000,0x132602de,0x00c983a8,0x00c1e5c4,0x0002cc88,0xb80e6644,
    0xc98002cc,0x8800cded,0x200f223c,0xeeeefedb,0x3f6201ee,0x41e5c403,
    0x0001e541,0x32a0ccb8,0xb70f742c,0x220007bf,0x88001ccc,0x00001ccc,
    0x1e440553,0x00000791,0x997002aa,0xd7166541,0x33bfae27,0xeb89f5c0,
    0x32e00cef,0x9710002c,0x99990307,0x91000999,0x165c0059,0x10003991,
    0x75c03999,0x00eeeeee,0xeeeeeeb8,0x7ee4c00e,0x999901cd,0x7fd40999,
    0xff883fff,0x449ff502,0x3fe606ff,0x1fc9afff,0x1ffff440,0x2ffe8800,
    0x00fff620,0x7ffffec4,0x7fc402ff,0x2204fc8a,0xfffffffe,0x3ee01fff,
    0xfff300ff,0x43f935ff,0xc80006fc,0x17fea2ff,0x3ffa27fe,0x44005fff,
    0x88002ffe,0xcc802ffe,0x7ec4cccc,0x22bfe204,0x800004fc,0x3f200ff9,
    0x917fea2f,0xffffd39f,0x4e7e41df,0x0efffffe,0x007ffb10,0xafffff98,
    0x7ffc1fc9,0x44007fff,0x3003fffe,0x09fd19ff,0x05ffd100,0xffffffc8,
    0xfffc800f,0x2e00ffff,0x3fffffff,0x7ffffff8,0x3ee5ff10,0x702fe40f,
    0x3ffc49ff,0xffd57fd0,0xfe880dff,0x4003ffad,0x7001efe8,0xff9005ff,
    0x1ffd7339,0xfffffc80,0xa8bffa00,0x200abffe,0xfd00fffb,0xdffffd57,
    0x40006fc8,0x3fe62ffb,0xbfd7ff04,0x005ffd55,0x0007bfa2,0x4007bfa2,
    0x47ffffff,0x7fe401ff,0x88000fff,0x40bf7019,0x3fe62ffb,0xdffefc84,
    0x324ffeaa,0xeaadffef,0x7fdc04ff,0x2affa002,0xa86ffffe,0x007fdaaa,
    0x3feb7fa2,0xffff3003,0xdfd10009,0x00000003,0x9cffc800,0x543ffda8,
    0x307fdaaa,0x261ff8df,0x065c00ff,0x4288072a,0x6c00bdda,0x00bb663e,
    0x98004ec8,0x3fe601ee,0x803ffa83,0x2a00ceda,0x3ff982ff,0x4407d900,
    0x205eed42,0x260006fc,0x0fb622ee,0xf83ffff8,0x09d9005f,0x00276400,
    0x9ff6aaaa,0xdb5006f9,0x3f200019,0x2605fd07,0x0fb622ee,0x741fffe4,
    0x0ffff27f,0x3a601ffa,0xa851001e,0xfc800bdd,0x98fb6007,0xdb3002ed,
    0x13b20009,0x00000000,0x6c0ffe20,0x1ff200ff,0x8bfa2fd4,0x000003fe,
    0x00000000,0x80000000,0x13fe07fb,0x0ff90000,0x00002ff4,0x01bf2000,
    0xff800000,0x00dfd02f,0x00000000,0x1f5cff90,0x32000000,0x001dd07f,
    0x07ff9000,0x3ffc9ff2,0x0000ff90,0xfc800000,0x00000007,0x00000000,
    0xd8000000,0x0bfe606f,0xff507fc8,0x0df91fe8,0x00000000,0x00000000,
    0x1bf60000,0x00017fd4,0xfe81ff60,0x00000005,0x000037e4,0x409ff000,
    0x000007fc,0xfc800000,0x00000007,0x00007fc8,0x206fc800,0x0df90ffb,
    0x00007fdc,0xf9000000,0x0000000f,0x80000000,0x01cdfeca,0xeffecb88,
    0x809ff01d,0x1ff203ff,0x2e2ffe21,0x003ff36f,0xbdffd971,0xfecb8803,
    0x5c401def,0x01deffec,0x77ff65c4,0x765c401d,0xfe81deff,0x706ffa85,
    0x0774c0bd,0xff103ff7,0x40bfa007,0x3ba605eb,0x76dcdf90,0x0bd700ce,
    0x7fc0774c,0xfdb88003,0x7bdb31ce,0xdffd9300,0xff90009d,0x3fb2a000,
    0xfc8001cd,0x76540007,0x3f201cdf,0x643fea06,0x03fea06f,0x17bbbbb6,
    0x777776c0,0x03fe4005,0x5eeeeed8,0xd713eb80,0x76c019df,0x1005eeee,
    0xfffffffb,0xffffe809,0x7c45ffff,0xaaaaaacf,0x3f205ffa,0x3ee1f917,
    0x7fd2ffff,0x3ffffa00,0x3a05ffff,0xffffffff,0x3ffffa05,0x3a05ffff,
    0xffffffff,0x3ffffa05,0x7f45ffff,0x806ffdc5,0x3fea06fc,0x883bfe20,
    0xfd000ffe,0xa81bf207,0xb1df90ff,0x01dfffff,0x7fd40df9,0x8003ff80,
    0xbffffffd,0x204fffff,0xfffffffd,0x07fc8007,0x7fffec40,0x64004fff,
    0xfb10007f,0x09ffffff,0xffa81bf2,0x7d40df90,0xfffff80f,0xffff007f,
    0xfc800fff,0xfffff007,0x39f900ff,0x1dfffffd,0x3fffffe0,0x59ffd007,
    0x409ffd73,0xfca9abee,0x3ffe63ff,0xffffffff,0x33ff205f,0x3b6a0fff,
    0x400df71c,0xfca9abee,0x57dd03ff,0x07fff953,0x32a6afba,0x7dd03fff,
    0x7fff9535,0x2a6afba0,0x3fa3fffc,0x9013fe65,0x07fd40df,0x3fbbfff6,
    0x3fa002ff,0x540df903,0xfddf90ff,0x0dff957d,0x7fd40df9,0x8003ff80,
    0xffea9acd,0x80ffb8cf,0x9999cffc,0x7fc8004b,0x567ff400,0x004ffeb9,
    0x74001ff2,0xfeb9acff,0x206fc84f,0x0df90ffa,0x55407fd4,0x5007fdaa,
    0x00ffb555,0x55007fc8,0x900ffb55,0xd55bffdf,0x2aaa09ff,0xfb807fda,
    0x03ffb02f,0x26ff8802,0xaaaacff8,0x201aaaaa,0x01dffffc,0x2001ff98,
    0x41bfe200,0x41bfe200,0x41bfe200,0x41bfe200,0xe9bfe200,0x201ff25f,
    0x3fea06fc,0x3ff3fea0,0x51000dff,0x1bf207ff,0xff90ffa8,0x83ff909f,
    0x3fea06fc,0x0003ff80,0xfe8dff30,0x0004ff83,0x7003fe40,0x3ff605ff,
    0x00ff9001,0x3605ff70,0x037e41ff,0x1bf21ff5,0xc800ffa8,0xff90007f,
    0x007fc800,0xf900ff90,0x0ffd07ff,0xf101ff20,0x2ffc409f,0x7c7fd800,
    0x3220003f,0x2001dfff,0x400004fe,0xfb0007fd,0x1ff6000f,0x003fec00,
    0x97fa7fd8,0x6fc807fd,0xfd83fea0,0xe9800223,0xf903ffff,0xc87fd40d,
    0x9ff104ff,0x3ea06fc8,0x003ff80f,0xf913fe00,0x004ff88b,0x803fe400,
    0x3e204ff8,0x0ff9005f,0x204ff880,0x37e45ff8,0x3f21ff50,0x003fea06,
    0x64001ff2,0x3fe4007f,0x807fc800,0xff903ffc,0x301ff200,0x6fd803ff,
    0xf8ff7000,0xfc88005f,0x5c007fff,0xb800006f,0xff70007f,0x01fee000,
    0x8003fdc0,0xb97fa7fb,0x37e404ff,0x7fc1ff50,0xfff10004,0x3f20599b,
    0x643fea06,0x22ff407f,0x3fea06fc,0x0003ff80,0xdf70bfa0,0x0007ffd0,
    0x9803fe40,0x37ec01ff,0x4007fc80,0x7ec01ff9,0xf5037e46,0xa81bf21f,
    0x7fc800ff,0x00ff9000,0x90007fc8,0x0df900ff,0x64007fdc,0x07fdc07f,
    0x5301ff20,0x8ffb9999,0x74002ffb,0x007fddff,0x5dc47fe2,0x99953001,
    0xa980ffb9,0x07fdcccc,0x6e66654c,0x6654c07f,0x4c07fdcc,0x7fdcccca,
    0xbffd17fa,0xa81bf201,0x3bffa0ff,0x009abccc,0x32003ff9,0x43fea06f,
    0x37ec06fc,0xffa81bf2,0x0003ff80,0x37ff32ea,0x986fdccc,0x001cffff,
    0xb803fe40,0x3fe400ff,0x4007fc80,0x7e400ffb,0xf5037e47,0xa81bf21f,
    0x7fc800ff,0x00ff9000,0x90007fc8,0x0df900ff,0x64007fd4,0x03fe407f,
    0x74c07fdc,0xffffffff,0x067ffc47,0x6477a144,0x53f6007f,0x205ffffb,
    0xffffffe9,0xffd307ff,0x0fffffff,0x3fffffa6,0xfd307fff,0xffffffff,
    0x3ffffa60,0x3fa7ffff,0x0f7ff445,0xff5037e4,0x7ffff4c1,0xe84fffff,
    0x1bf2006f,0xdf90ffa8,0x7e46fd80,0x203fea06,0xe98003ff,0xffffffff,
    0xd306ffff,0x007dffff,0x6401ff20,0x0ffb807f,0x4007fc80,0xffb807fc,
    0xfa81bf20,0x540df90f,0x7fc800ff,0x00ff9000,0x90007fc8,0x0df900ff,
    0x64007fd4,0x03fdc07f,0x7fc43fe4,0xfdaaaacf,0xffffe987,0x20c7ffee,
    0xdf7007fc,0xff77ff31,0x59fff107,0x10ffb555,0x55559fff,0xfff10ffb,
    0xffb55559,0x559fff10,0xf10ffb55,0xb55559ff,0xc82ff4ff,0x37e40fff,
    0x7cc1ff50,0xffedccdf,0x02ffc4ff,0x7d40df90,0xe80df90f,0x5037e45f,
    0x07ff01ff,0x559ffd00,0x555559ff,0xfffc9805,0x7e4000ef,0x00ff7007,
    0x3f200ff9,0x03fdc007,0x1bf23fe4,0xdf90ffa8,0x4007fd40,0xf90007fc,
    0x07fc800f,0x900ff900,0x07fd40df,0x2a03fe40,0x37ec00ff,0xfb807fec,
    0xfffd9107,0xfc80bfff,0x92ff8807,0x6c2fdc7f,0x0ff700ff,0x3ee01ffb,
    0x700ffd87,0x01ffb0ff,0x3ff61fee,0x7f4ff700,0x913fee05,0x87fd40df,
    0x3e605ff8,0x003ff47f,0x7fd40df9,0xff80df90,0xf5037e44,0x5400001f,
    0x027f41ff,0x27fecc00,0x401ff200,0x7ec00ffa,0x00ff9006,0x6c00ffa8,
    0x0000006f,0x7e401ff2,0x0ff90007,0x0007fc80,0xdf900ff9,0x4007fd40,
    0x7fcc07fc,0x213fe203,0x1fee05ff,0x8027ecc0,0x5fd807fc,0x86f987fa,
    0x1fee05ff,0x7fb817fe,0x3ee05ff8,0x2e05ff87,0x205ff87f,0x017fa7fb,
    0x0ffc8dfd,0x3ea1ffb0,0x07fe401f,0x32007ff9,0x1ffb00ff,0xff981bf2,
    0xd807fe42,0x1a9800ff,0x7f43fdc0,0x3fa00005,0x03fe4006,0x2203ff98,
    0xff9004ff,0x03ff9800,0x26013fe2,0x7f40001a,0x00ff9006,0x9001ff20,
    0x3f2000ff,0x206fc807,0xfc800ffa,0x00ffe807,0xbff03ff9,0x401ffea0,
    0x3f2006fa,0xd07fd407,0x7c37cc5f,0x0fff505f,0x3fea0bff,0xf505ff87,
    0x20bff0ff,0x5ff87ffa,0x7f4fff50,0x2e37ec05,0xfffc82ff,0xd805ff90,
    0x1fffc47f,0x6417fdc0,0x0df90fff,0x7fdc37ec,0x00fffc82,0x7d403fe8,
    0x003ffd47,0x800dfd00,0x3fa007fc,0x03ff900f,0x2001ff20,0xff900ffe,
    0x007fd003,0x802ffc40,0xf90007fc,0x07fc800f,0x900ff900,0x07fd40df,
    0x5403fe40,0x3f221eff,0x45ffd04f,0x007fffc9,0x7e4009fb,0x90bfe207,
    0x7427e4bf,0x3ff262ff,0x22ffe87f,0xe87fffc9,0x3ff262ff,0x22ffe87f,
    0xe87fffc9,0x3ff262ff,0x4097fa7f,0x7fcc4ffb,0xffffb12e,0x02bffea1,
    0xf307ffb3,0x30359fff,0x3f625dff,0x5ff90fff,0x982ffd98,0xffb12eff,
    0xff8801ff,0xa97fc401,0x0444ffff,0x3f2606e6,0x3fe4004f,0x43dff500,
    0x2004ffc8,0xfa8007fc,0x3ff221ef,0x01ff8804,0x0fffc880,0xfd999988,
    0x9881999f,0x99ffd999,0x26666219,0x81999ffd,0xffd99998,0x6fc81999,
    0x3103fea0,0x33ffb333,0x3fff2033,0x205fffff,0xfffffff9,0xfb007fbe,
    0xff90033d,0x7cc2fec0,0x980ffdef,0xefffffff,0xfff987fb,0x7fbeffff,
    0xffffff98,0xf987fbef,0xbeffffff,0xffff987f,0x27fbefff,0x3fffa5fe,
    0xfffb06ff,0x1ff3dfff,0x7fffffe4,0x2204ffff,0xb07ffffe,0x3dffffff,
    0x3fff21ff,0x02ffffff,0x3ffffff6,0x5400ff9e,0xfffd007f,0xdfff71ff,
    0xfffa85ff,0x0effffff,0x36666620,0x401999ff,0xfffffffc,0x7fe4005f,
    0x99999999,0xfffffc80,0xf5005fff,0x3ff6000f,0xffff703f,0x3fffffff,
    0xffffffb8,0xf71fffff,0xffffffff,0xfffb83ff,0xffffffff,0xf5037e41,
    0xffffb81f,0x1fffffff,0xdffffb30,0xfffd5005,0x401fe69d,0x7dc7fffa,
    0xffffffff,0x00ffa9ff,0x403dfff5,0x34efffea,0x3ffaa0ff,0x20ff34ef,
    0x34efffea,0x3ffaa0ff,0x20ff34ef,0x34efffea,0xfd2ff4ff,0xfc807dff,
    0x1ff14fff,0xfffffd98,0xd93000ce,0x7ffe40fd,0x221ff14f,0xceffffdb,
    0xffffc800,0xb801ff14,0xff93004f,0x7fffe43b,0x7fff4c1e,0xb803efff,
    0xffffffff,0x6cc01fff,0x002effff,0xffffffc8,0xb302ffff,0x005dffff,
    0xd80027dc,0x3fee01df,0xffffffff,0x7fffdc1f,0x1fffffff,0xfffffff7,
    0xfb83ffff,0xffffffff,0x037e41ff,0xffb81ff5,0xffffffff,0x0018801f,
    0x00001310,0xffb87951,0xffffffff,0x0044001f,0x20001310,0x31000098,
    0x02620001,0x0004c400,0x33000330,0x00044000,0x00330000,0x19800060,
    0x88000000,0x20026200,0x20009999,0xfffffffb,0x2001ffff,0x7e400018,
    0xffffffff,0x0018802f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x800f223c,0x99999aa8,0x88b2e019,0xc88001cc,0x079501cc,0x222cb800,
    0xeeb801cc,0xa80eeeee,0x64c03dee,0x405ec884,0x5ec884c9,0x4c0264c0,
    0x5531000a,0x99998013,0x00199999,0x98801310,0x0750009a,0xcb880193,
    0x3b620183,0x666665c3,0x37200004,0x35310001,0x9aa88001,0x99999980,
    0xa9800999,0xcc880000,0xaaa9801c,0x88019881,0x00a98009,0x00b32200,
    0x77ff65c4,0x8019881d,0xecb88098,0x33264dee,0x22bfe203,0xffb804fc,
    0xffffffff,0x233fe607,0xe88004fe,0x1bf202ff,0x19ff3000,0x3f2009fd,
    0x80ffffff,0x102fffec,0x7fe445ff,0x8bfe206f,0x206fffc8,0xfb102ff8,
    0x7407ffff,0x2effffff,0xfffffff0,0xb7003fff,0x2a07fffd,0x2efffffe,
    0xf893fea0,0x3ffe606f,0x01fc9aff,0x7f43fffb,0x0007ffff,0x400fff70,
    0xfffffed8,0x3ff6202d,0xf12effff,0xffffffff,0x3fff620d,0x88000dff,
    0x3a602ffe,0x2fffffff,0xfb007fea,0x3fff660d,0x22000cef,0xe803fffe,
    0xffffffff,0x200ffd45,0x7ffd46fd,0xf50fffff,0xfffc80df,0x3f6200ff,
    0xffffeeff,0x7fcc07ff,0xe88004ff,0xffdd01ef,0x005ddddf,0x04ffff98,
    0x3fa00000,0xfa8bf904,0x3f206fdf,0x37effd45,0x3a20bf90,0x5fffefff,
    0xfeefff88,0xfff82fff,0x1fffffff,0x3ffffee0,0xfffc83ff,0x02ffffee,
    0x7fc49ff7,0x3aaffa07,0x3e06ffff,0x2aaa3fff,0x00007fda,0x3001fff9,
    0xffffffff,0x3ffee09f,0x15ffffff,0xffffffff,0xffff50df,0x001dffff,
    0x900f7f44,0xffddffff,0x00ffd45f,0x3fee1bf6,0x0effecdf,0xfadfe880,
    0x55f7403f,0x23fffca9,0x7ec01ffa,0x2afffea6,0x3fe63a99,0x0ceda806,
    0xa85ffec0,0xd98000ff,0x9d90004e,0xffffff80,0x98003fff,0x000004ed,
    0x81ffca88,0xf5380ff9,0x203fe60d,0x3e60df53,0x85fff00f,0x40a84ffc,
    0x7c0fffb8,0xff70002f,0x2a01357f,0x7fd40dff,0x95032e07,0x36a14403,
    0x3ff200bd,0x01fee00f,0x01ff4400,0x10dfffd4,0xfff909b3,0x32e4c437,
    0xfd333333,0x0afff98d,0x400fff93,0x7fd404ec,0x2a0a881d,0x37ec01ff,
    0x3a20bff2,0x1f6c00ff,0x00405db3,0x7fd4dff1,0xe8b7ec01,0xbff3006f,
    0xff880000,0x0007fd43,0x20000000,0xaaaffdaa,0x0000001a,0xfff98000,
    0x403fe82e,0x07fd06fa,0x7fd06fa8,0x6c07fee0,0x3f6000ff,0x0017fc1f,
    0x80067fd4,0xff900ffc,0x00000003,0x7002ea00,0x000000ff,0x0007ffe0,
    0x0001dff3,0xffb1bfa0,0x00fff203,0x01ffd000,0x200ffd40,0x07fe66fd,
    0x0000bfb0,0x53fec000,0x6fd803ff,0x22003ff5,0x400005ff,0x0ffa87fc,
    0x00000000,0x000df900,0x32600000,0x2601cdfd,0x37e47fd9,0x7e437d40,
    0xc86fa806,0x817fa06f,0x2a003ff9,0x017fc2ff,0x2002ff40,0x3fea06fd,
    0x00000001,0x3fdc0000,0x5c000000,0xfe8002ff,0x3a00000f,0x00ffe66f,
    0x80000dff,0x7d4005ff,0xb37ec01f,0x10aa989f,0x000003ff,0xfa9fee00,
    0xbb7ec01f,0x3fe2007f,0xdddddb04,0xa84ff80b,0xeea800ff,0xeeeeeeee,
    0x6dc3dd04,0x1bf203df,0x3dd00131,0x401efedc,0xfffffffb,0xf33fe403,
    0x8df5003f,0xfa801ff9,0x980ffcc6,0x3fee02ff,0x03fea005,0xfa8005ff,
    0x7fdc000f,0x360dfb00,0x805eeeee,0xdfd713eb,0x2e000019,0xdd50007f,
    0xdddddddd,0x8006ff89,0x00004ffa,0x1ff937f4,0x541ffc80,0xeeeeeeee,
    0x037fc4ee,0xb007fea0,0x443fe6df,0xf91ffffd,0x7003754b,0x332a60bd,
    0x3ea7fdcc,0xdb7ec01f,0x27fc006f,0x7ffffff8,0x2a0bfe20,0xffa800ff,
    0xffffffff,0xfd13ff05,0x320bffff,0xdfffd36f,0x744ffc03,0x205fffff,
    0xda89cffc,0x7ffec3ff,0x400ffa4f,0x01ff46fa,0x1ff46fa8,0xb101ff50,
    0x6c00dfff,0x002ff86f,0x440037e4,0x7fdc1eff,0xffffff03,0xd39f900f,
    0x01dfffff,0x00ff7000,0x3ffffea0,0x265fffff,0xfb8003ff,0x7400000f,
    0x201bf66f,0x7fd42ff9,0xffffffff,0x0027fec5,0xfd803ff5,0x7fecbf56,
    0x4df31dac,0xfb000ff9,0xffffe98b,0x3ea7ffff,0xdb7ec01f,0x04cc006f,
    0x7fdaaaa8,0x2a07fe60,0xaa8800ff,0xffdaaaaa,0xbfd7ff04,0x905ffd55,
    0xfffff5df,0x2ffe01ff,0xffeaadfe,0xb03ff882,0x6f75c1ff,0x9801bee2,
    0x801bee3c,0x01bee3c9,0xffd30ff7,0xfb100ffd,0x79bff03d,0x54fe8055,
    0x5c059bb9,0xffe9cfff,0x36aaaa04,0xfefc807f,0x4ffeaadf,0x07fb8000,
    0x55555100,0x549ffb55,0xfd8002ff,0xfe800007,0x26017fa6,0x555443ff,
    0x4ffdaaaa,0x0177ffcc,0x3600ffd4,0x3e69f76f,0x44ff101f,0x9fb001ff,
    0x5567ffc4,0x3ea7fdaa,0xdb7ec01f,0x4000006f,0x3fea07fc,0xfffffa80,
    0x7fc4005f,0x0ffffe06,0x3ff217fe,0xbff913ff,0x20ffffe0,0x06fd85ff,
    0x2600bfe6,0x260001ff,0x260001ff,0x3fe401ff,0x3eabffee,0x7fffcc0f,
    0xffff00df,0xf019ffff,0xffffffdf,0x3fa603df,0x4002ffff,0xffc807fc,
    0x007fe83f,0x2207fb80,0x6ff88001,0x4000ffdc,0xccca86fe,0xdfd003cc,
    0x7c4027fc,0x3fe2004f,0xffffd306,0x07fea019,0x4ff6dfb0,0x07fc06fb,
    0x3fa005ff,0x5c03ff63,0x007fea7f,0x01bf6dfb,0x90039910,0x07fdc0ff,
    0x7fffffd4,0x07ff4005,0x3a05fff0,0x1fffc86f,0xfff07fe8,0x3e1bfa05,
    0x01ffc04f,0x200027f4,0x740004fe,0x16fd804f,0x3ea1bffb,0x7fffcc0f,
    0xccc81dff,0x0effffec,0x2b3fffe2,0x206ffdaa,0x0cfffffc,0x201ff200,
    0xff903ffc,0x70073220,0x1bff20ff,0xc81ffd00,0xff8000ff,0xfffffc85,
    0x22dfd006,0x9ff004ff,0x007ff400,0x13ffffee,0xfb007fea,0x27e4bf6d,
    0x3fe87fa0,0x8bfe17f4,0x9fee05ff,0x7ec01ffa,0xd800dfb6,0x7e401fff,
    0x203fee07,0x0999affa,0x007ff200,0x3fe409ff,0xfc817fe4,0x204ff80f,
    0x67fc47fc,0xfaaaaaaa,0x037dc05f,0x001bee00,0x3200df70,0x44fff9ef,
    0x99980ffb,0x801fffca,0x225ffd98,0x3fee05ff,0x5e7ff443,0x9000efff,
    0x0df900ff,0x7e407fdc,0x1fee00ff,0x00ffffe2,0x7dc0ffe4,0x6fe8001f,
    0x6feaaa98,0x7fcdfd00,0x03ff8804,0x4003ff90,0x20efffda,0x7ec01ffa,
    0x1bee7fb6,0x27ec1ff0,0x7fc49ff3,0x7d417fe1,0x007fea7f,0x01bf6dfb,
    0x04ffff88,0xff503fe4,0x001ff503,0x200ffea0,0xf90003ff,0x407fd40d,
    0xf98003ff,0xffffffff,0x3e205fff,0x002aaa1f,0x5dc47fe2,0x43ff1002,
    0x7fdc0aaa,0x7fc81fff,0x01bfa200,0x7fc4ffd0,0xf32ff403,0x7fec43df,
    0x00ff9006,0x7fd40df9,0x03fffd80,0x3fe61fee,0xffa803ff,0x005ff503,
    0xfb00dfb0,0xf9bfa00d,0x2ff9805f,0x003ffa80,0x54dffd30,0xb7ec01ff,
    0x03ff54fb,0x4bf91fe2,0x3fe67ffb,0xc98bffa0,0x3fea7fff,0xfdb7ec01,
    0x7fffc006,0x303fe403,0x1ff505ff,0x0bff3000,0x4000ffe0,0x3fea06fc,
    0x8003ff80,0xaaaacff8,0x201aaaaa,0x3ffee4fd,0xf54fd803,0xfb00dfff,
    0x21fffdc9,0x900dfffa,0xffb800df,0x83ff2001,0x3fec04ff,0x3f601ff9,
    0x07fc802f,0x3ea06fc8,0x5fffa80f,0x7ec1fee0,0x7fcc00ff,0x00ffe605,
    0x3601ff20,0x4dfd006f,0xffa806fe,0x02ffcc01,0xa8ffec00,0xb7ec01ff,
    0x37ffa5fa,0xb8df31ec,0x4bfbfa6f,0x7ffcc7fa,0x7fbeffff,0xfb007fea,
    0x5001bf6d,0xff900bff,0x5427fc40,0x744000ff,0x7ff000ef,0x81bf2000,
    0x3ff80ffa,0x007ff000,0xf10efb80,0xfb807fdf,0xff55d10e,0x8877dc05,
    0x7cc3feff,0x02ffc04f,0x800bfea0,0x17fa0ffb,0x27f4dfb0,0x9009ff10,
    0x0df900ff,0xfd807fd4,0x81fee04f,0x7f4400ba,0x1bfe200e,0x00ffee00,
    0x3fa00dfb,0xb003ff65,0x7f4401ff,0xf980000e,0x803ff33f,0x23ff15ff,
    0x91ffffe8,0xf17f989f,0x1beebf7d,0x53bfffaa,0x07fea7f9,0x1bf6dfb0,
    0xfc800400,0x543fec07,0x7ec000ff,0x0ffe001f,0x5037e400,0x07ff01ff,
    0x0017fe00,0x3f62ff88,0x3e203fdb,0x40ffa02f,0x2ff62ff8,0x05fe83fd,
    0x7000bfe6,0x7ec001ff,0x3a03fec6,0x807ff15f,0x7fc805ff,0x2a06fc80,
    0x5ff700ff,0x0003fdc0,0x6c00ffec,0x7c4002ff,0x037ec06f,0xff527fcc,
    0x02ffc407,0x00007ff6,0xff89ffcc,0xc93fe603,0xf10cc44f,0xb8ff881f,
    0xfc8ff8bf,0xf9026204,0x200ffd49,0x00dfb5ff,0x07fc8000,0x3ea27fd4,
    0x3fee000f,0x01ffc002,0x2a06fc80,0x03ff80ff,0x005ff700,0x5fa97f60,
    0x2fec07fb,0x3601ff50,0x7ed7ea5f,0x882ffb83,0x7c4006fe,0x3fea006f,
    0xa817fd44,0x81bfe2ff,0xfc803ffa,0x206fc807,0xffb00ffa,0x003fdc01,
    0x400bfee0,0x4002fff9,0xfb00dffb,0x7fdc022d,0xd80fff42,0x3fee00ff,
    0x3f200002,0xc81bfe1f,0x0ffe21ff,0xff04fd88,0x2bfa1fd3,0x7d4003fd,
    0x300ffd46,0x01bf69ff,0x0ff90000,0x2a39ffd0,0x01999aff,0xf0009ff3,
    0x3f20007f,0x203fea06,0xf10003ff,0x051019ff,0x3fe21ff5,0xa82dfeac,
    0x5ff700ff,0x7c43fea0,0x42dfeacf,0x3662fff8,0x4c0442ff,0x0620fffb,
    0x20bffb31,0x7fd42ffe,0x20effec5,0xc800fffa,0x06fc807f,0xfb303fea,
    0x07fb805f,0x013fe600,0x359fff90,0xfd09b731,0x3a6137df,0x5137f56f,
    0xff50dffb,0xffb5137f,0x027fcc09,0x3099bda8,0xfb8bffb3,0x3fee21df,
    0x40bffb85,0xfd00efe9,0x76fdcdf7,0x1ff4002f,0x50a87fea,0x1bf63ffd,
    0x99988000,0x1999ffd9,0xfffffe88,0x87ffffff,0x9999fff8,0x7ff01999,
    0x81bf2000,0x3ff80ffa,0x3ffa6000,0x47ffeeff,0x3fe22ff8,0x445fffff,
    0xefd882ff,0x445ff101,0x5fffffff,0xfffffe98,0xfffc82ff,0x41efffff,
    0xfffffffa,0xffd300df,0x81dfffdf,0xffffffe8,0x99881fff,0x999ffd99,
    0x2a06fc81,0xffff50ff,0xc9999885,0x009999ff,0x999fff88,0xf7019999,
    0xffffffff,0xffffb109,0x2adfffff,0xffffffff,0xfffff501,0x7c409fff,
    0x999999ff,0x3fffea19,0x06ffffff,0xfffffffb,0x3fea01df,0x0dfffdef,
    0x88ffff60,0x4001ffff,0xff509dfe,0x7fffffc3,0x0001bf64,0xffffffb8,
    0x901fffff,0xfffffffd,0xfff90fff,0xffffffff,0x0007ff03,0xffa81bf2,
    0x0003ff80,0x7ffff644,0x22fec5ef,0xdfeaaaa8,0xfc82fec2,0x7ec4eeef,
    0x75555445,0xffb102df,0x3f203bff,0x02efffff,0xbffffff5,0xfffb1003,
    0xffb807df,0x700cffff,0xffffffff,0x6fc83fff,0x7543fea0,0xfffa80bd,
    0xffffffff,0xffffc803,0x1fffffff,0xdfffdb30,0x7ed4037b,0x11ceffff,
    0x19dfffd9,0xffffd980,0x7ffe402d,0xffffffff,0xfffffb31,0xea805bff,
    0x803effff,0x3dfffec9,0x40fffc80,0x4000fffd,0xff56fffa,0x177fff43,
    0x80001bf6,0xfffffffb,0x9801ffff,0x7ffe4000,0xffffffff,0x0003ff81,
    0x7fd40df9,0x0003ff80,0x5404ccc0,0x3fd800ff,0xfc807fd4,0x3ea6ffff,
    0x03fd800f,0x26200110,0x33100099,0x0c400013,0x80099800,0xfffffffb,
    0x7e41ffff,0x003fea06,0xffffffa8,0x803fffff,0xfffffffc,0x3001ffff,
    0x26620001,0x0004c400,0x3f200088,0xffffffff,0x999881ff,0x00310000,
    0x2e000440,0x7ffb86ff,0x07971000,0x06fd8020,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9817ae00,0x322000ee,0x3bae01cc,0x400eeeee,
    0x88002ed8,0x00cc9801,0x0001e540,0x88000188,0x11cdeecb,0x33333333,
    0x4c033333,0x02660009,0x26620000,0x4c099999,0x004cc009,0x9ddffd93,
    0x4cccccc4,0x81999999,0x20019999,0x4c000198,0x41ceeedb,0x00019999,
    0x70013530,0x1ddddddd,0x26001330,0x33333309,0x88013333,0x99880199,
    0x99880199,0x4cc00099,0x99999999,0x802a6200,0x09880198,0x33333331,
    0x4ccc3333,0x99999999,0x98013109,0x81bf2019,0xd1000ffa,0xffc805ff,
    0x400fffff,0x2000fffc,0xffa804fe,0x037e4001,0x0027f400,0x3ffffea0,
    0xffffb2ff,0xffffffff,0x05ff303f,0x000ffe20,0xfffff100,0x4ff8bfff,
    0x6c0bfe20,0x7fffffff,0x3ffffff6,0x1fffffff,0x77fffffc,0x01ff203d,
    0xfffffb80,0x7fffc5ff,0x4003deff,0x1efffffb,0x3fffff20,0x0ffe80ff,
    0xff97fdc0,0xffffffff,0x0fffec05,0x3fffff20,0x7d40beff,0x3defffff,
    0x7fffffc0,0xea86ffff,0xa82fffff,0xb7ec01ff,0xfffffffb,0xfff37fff,
    0xffffffff,0xc81bf69f,0x1bf203ff,0x8800ffa8,0x00001efe,0x00fffd80,
    0x2a013fe0,0x7e4001ff,0x4ff80006,0x3ffe2000,0xbb1caaad,0x33333333,
    0xf303f533,0x3fe2005f,0x7dc00003,0x5fffffff,0xff1027fc,0x339ff905,
    0x7fec9733,0xffffffff,0x7ffc1fff,0x2effffff,0xb0007fc8,0xb7557dff,
    0xffffff8b,0xd802efff,0xfffeefff,0x3e600003,0x97fe205f,0xffffffff,
    0x7ffc05ff,0x7ffe404f,0x0effffff,0x3fffffea,0xff01efff,0xffffffff,
    0xedfffc8d,0x7fd44fff,0xfbb7ec01,0xffffffff,0xfffff37f,0x9fffffff,
    0x7fd41bf6,0x5037e404,0x9d9001ff,0x4c000000,0x7fc004ff,0x01ffa804,
    0x00037e40,0x900027fc,0x24d803ff,0x03f101aa,0x22005ff3,0x400003ff,
    0xf807fdfe,0x0bfe204f,0xf00013fe,0x93fe009f,0x43fffca9,0x01999ffc,
    0x2005ffa8,0x3f2a64ff,0x3fee03ff,0x00006b84,0xf901ffc8,0x0027fc3f,
    0x0ffdff50,0x6ccc7fc8,0x87fea5ff,0x82fffca9,0x3ea004ff,0x21ffd84f,
    0x7ec01ffa,0x9813fe06,0x99999999,0x0dfb3ffa,0xf900bff3,0x007fd40d,
    0x00000000,0x13fe0002,0x0007fea0,0xf0000df9,0x7f40009f,0x3fa4d806,
    0x40fc43ff,0xf1002ff9,0x5400007f,0x2e07fbef,0xffffffff,0x27ffffff,
    0x40004ff8,0x9ff004ff,0xc83ffa60,0xefffffff,0x006ff883,0xfe9827fc,
    0x00dff00f,0xff880000,0x7c4ff886,0x3f60004f,0x3201ffad,0xa9ffa07f,
    0xdff301ff,0x7c009ff0,0xa97fa05f,0x37ec01ff,0x80009ff0,0x8dfb0ffc,
    0xc800efe8,0x03fea06f,0x0bd70000,0x0000774c,0x7fff7774,0x50eeeeee,
    0xfc8003ff,0xeeee8006,0xeeeeefff,0x027fc00e,0x3f66226c,0x3e607e25,
    0x2212e22f,0x200003ff,0x207fbcfd,0xfffffffb,0x7fffffff,0x0001fff4,
    0x3fe009ff,0xc93fea04,0xfffeeeff,0x0bfe60ef,0x5409ff00,0x3ff884ff,
    0xeeeed800,0x7ff7005e,0x7fc0ffd8,0x2ffe0004,0x3f204ff8,0x543ff207,
    0x3fee01ff,0x98027fc3,0x3fee02ff,0xd803ff50,0x013fe06f,0x364ff880,
    0x007fec6f,0x3ea06fc8,0xb89f5c0f,0xf900cefe,0xb07fd40d,0x80bddddd,
    0xffffffff,0xf50fffff,0x93baa03f,0x3bfae6fc,0xffffff04,0x1fffffff,
    0x401ffc40,0x44bf204d,0x8aff981f,0xff884ffb,0xff100003,0x4c40ff71,
    0x99999dff,0x4c1bffa9,0x001cffff,0xff8027fc,0xf93ff404,0x4dffb30f,
    0x7c000ffb,0x43ff404f,0xf8002ff9,0x007fffff,0x7fcc3ffa,0x0004ff82,
    0x1bf61ff5,0x3f207fc8,0xd007fea6,0x004ff8ff,0x7cc03ff7,0x803ff51f,
    0x13fe06fd,0x20ffc800,0x0bfee6fd,0x2a06fc80,0x4e7e40ff,0x0efffffe,
    0x3ea06fc8,0x3ffffe0f,0x5555407f,0xaaaaadff,0x503ff50a,0x77e41dff,
    0xefffffe8,0x7fd55540,0x0aaaaaad,0x200ffe20,0x453e604d,0xfdff981f,
    0xff881dff,0xbf700003,0x3fe01fee,0x40bfe204,0x3effffe9,0x2009ff00,
    0x3fe404ff,0x7fe40ff9,0xf000ff92,0x87fc809f,0xa8001ff9,0x007fdaaa,
    0x2ff4ffe6,0xb0004ff8,0x80ffdcdf,0x9fd107fc,0x3200ffd4,0x8027fc7f,
    0x3e201ffb,0x803ff52f,0x13fe06fd,0x227fc400,0x07ff56fd,0x2a06fc80,
    0x7f7e40ff,0x4ffeaadf,0x3ea06fc8,0x36aaaa0f,0x27fc007f,0x2a0ffd40,
    0x77e40eff,0xffeaadff,0x8027fc04,0xeffccccb,0x364ccccc,0x7c53ea04,
    0xdffff981,0x00ffe201,0x25fd0033,0x4ff807fb,0x300bfe20,0x01dffff9,
    0xff004ff8,0x91ffb809,0xa7fc40ff,0x7c000ffc,0x0ffdc04f,0x00007fe6,
    0xf9001ff2,0x3e03ff7f,0x7ff0004f,0xfc827fc4,0x20efea87,0x7dc01ffa,
    0x4013fe1f,0x7fc03ff9,0xd803ff53,0x013fe06f,0x3607fdc0,0x004ff8ef,
    0x3ea06fc8,0x1fffe40f,0x37e43ff4,0x6401ff50,0x27fc007f,0xf50ffd40,
    0xfff901df,0xf80dfd07,0xfffd004f,0xffffffff,0x26226cff,0x83f11fea,
    0x801efffb,0x3f603ff8,0xb9fea04f,0x43ffffff,0xccccceff,0x2002ffdc,
    0x76c4ffd9,0xeeeeffee,0x7fffffc2,0x92ffa87f,0x76fe80ff,0x3fe003ff,
    0xa87fffff,0xffb952ff,0x0599999b,0x2003fe40,0x204ffff8,0xeeeeefff,
    0x1ffa81ee,0xffc837f4,0x84ffffff,0x7d401ffa,0x3ffffe2f,0xf13fffff,
    0x3fea01df,0xffffff54,0x0dffffff,0x440027fc,0xeffd84ff,0xff90005f,
    0x903ff601,0x1ff207ff,0xffa81bf2,0x001ff200,0xff5009ff,0x403bfea3,
    0xff904ffc,0x7004ff80,0x9dff9999,0x26c99999,0xf887bffa,0x5fffff31,
    0x40ffe200,0xb01ffffa,0x7fffdc9f,0x7fffc3ff,0xffffffff,0x46fe8002,
    0xffffffff,0x7fffc3ff,0xffa87fff,0xff80ff92,0x2009ff55,0x7fffffff,
    0xff92ffa8,0xffffffff,0x03fe4009,0x0077fdc0,0xffffffff,0x0dfb05ff,
    0xff903ff7,0x9fffffff,0x5401ffa8,0x3fffe2ff,0x23ffffff,0xcbbcfffa,
    0xff53ffff,0xffffffff,0x27fc0dff,0x407fdc00,0x006ffffd,0xf905ff70,
    0x06fc81ff,0xdf903fee,0x9007fd40,0x4ff800ff,0xf99ffa80,0x1bf200ef,
    0x3aa0ffa8,0xeeefffee,0x7fc401ee,0x2f44d803,0x7df51f88,0x3e2005ff,
    0xffff503f,0x5c3ff103,0x409999ff,0xccccceff,0x8002ffdc,0x5d5546fe,
    0x41aaadff,0x199dff99,0xff92ffb8,0xfd1ffc40,0xff33003f,0xff70333b,
    0x37ff72a5,0x002ccccc,0x2a601ff2,0xaadffbaa,0x5577fc2a,0xf80aaaaa,
    0x84ff984f,0xba999ffc,0x3fea6ffe,0xf17fdc01,0x3333339f,0xffffa813,
    0x52ffcfff,0x333335ff,0x7c0dfb33,0x7fc4004f,0xff5dfb05,0xdff30009,
    0x3ffff625,0xf5037e40,0x206fc81f,0x3f200ffa,0x027fc007,0x77fdffd4,
    0x5037e400,0x7ffdc1ff,0xffffffff,0x01ffc401,0x4413a26c,0x3fe6531f,
    0x07ff1002,0x641bffa2,0x403fdc6f,0x3fe204ff,0x64c0dcc2,0x27fc04ff,
    0x6404ff80,0x40ff91ff,0x3fea0ffd,0xf12e61bf,0x1ffc809f,0x0000ffcc,
    0x7e403fe4,0xffffffff,0x0027fc7f,0x7f407fea,0x3607fc86,0x03ff53ff,
    0x3fe1ffc8,0xcba88004,0x51ff88ab,0x6fd803ff,0x70013fe0,0x5bf603ff,
    0xd8003ffc,0x9effffff,0x037e40ff,0x6fc81ff5,0xc803fea0,0x27fc007f,
    0x7fe7fd40,0x206fc804,0x2aa60ffa,0xaaaadffa,0x1ffc400a,0x406a26c0,
    0x2ff981f8,0x407ff100,0x33fe03b8,0x807fb999,0x3fe204ff,0x7ffffd42,
    0xf806ffff,0x09ff004f,0x1ff27fd8,0x707ffd31,0xffffffff,0x6c04ff8b,
    0x01ff987f,0x807fc800,0xeffcccca,0x27fc4ccc,0x333ff600,0x1ffecccc,
    0xff103fe4,0xb007feab,0x004ff8ff,0xa87fd400,0x37ec01ff,0xf8009ff0,
    0xe9bf605f,0xfc8001ff,0x1ff14fff,0x3ea06fc8,0x5037e40f,0x3fe401ff,
    0x2013fe00,0x4ffc9ffa,0xf5037e40,0x027fc01f,0x803ff880,0x3f10044d,
    0x2005ff30,0x20003ff8,0xfffffffa,0x04ff807f,0xfd30bfe2,0x07dfffff,
    0x7c013fe0,0x97fe204f,0xfffffffc,0x3f2603ff,0x7c3effff,0x17fe204f,
    0x00007fe6,0x7c001ff2,0x027fc04f,0x3fffffe0,0x43ffffff,0xb7fc07fc,
    0x3e601ffa,0x0027fc5f,0xfa97f600,0x037ec01f,0x7dc009ff,0x89bf601f,
    0x30000eff,0xfc85fc83,0x903fea06,0x3ff601ff,0x001ff200,0xff500bfd,
    0xc80fff63,0x03fea06f,0x10005fe8,0x49b007ff,0x03f106f8,0x22005ff3,
    0x360003ff,0xfeeeeeef,0x204ff807,0x26602ff8,0x7fc003ff,0x409ff004,
    0x3ff22ffc,0x01deffff,0x7c03df90,0x0bff204f,0x00007fe6,0x7c001ff2,
    0x027fc04f,0xddddff50,0x8dffdddd,0x3fe207fc,0x6c03ff54,0x027fc2ff,
    0x43ff5000,0x7ec01ffa,0x8013fe06,0x37ec05ff,0x00017fea,0x6fc837d4,
    0xf703fea0,0x1fff905f,0x2003fe40,0x7d400ffd,0x40bffa1f,0x3fea06fc,
    0x003ff600,0x200ffe20,0x203fe64d,0x2ff981f8,0x007ff100,0x2e07fe20,
    0x04ff807f,0xf300bfe2,0x4ff8001f,0x3209ff00,0x4ffe45ff,0xfe800099,
    0xc827fc03,0x3ff305ff,0x0ff90000,0xffffff90,0xff8fffff,0x01ff6004,
    0x7fc87ff2,0x7d4bff20,0x5ffd881f,0x00004ff8,0xffa89ff7,0xf037ec01,
    0x3fee009f,0x6437ec01,0xd80004ff,0x40df904f,0x7fcc0ffa,0xffffb12e,
    0x003fe401,0x982b7fee,0x7443ff50,0x06fc82ff,0xfb803fea,0x80260adf,
    0x4d803ff8,0x81f8804c,0x9999bff9,0x9ff10999,0x13333333,0x7dc1bf20,
    0x204ff807,0x7dc02ff8,0x04ff8006,0x9733bff0,0xfc81dffd,0x7fc40007,
    0x4ceffc01,0x40effecb,0x99bffb98,0x44099999,0x9ffd9999,0xfffc8199,
    0x7fffffff,0xff0027fc,0x47ff3009,0xb9999ffc,0x3fea4ffe,0xfffcba9a,
    0x99cff80e,0x22099999,0xfffcba99,0x00ffd40d,0x4ccc5bf6,0x1999cff9,
    0xfb00dff0,0x00bffa0d,0x833dfb00,0x3fea06fc,0xfffffd80,0x310ff9ef,
    0x33ffb333,0xfffd0033,0x3ea1ffff,0x0fffc41f,0xffa81bf2,0x7ffff400,
    0x3e200fff,0xaadd803f,0xaaaaaaaa,0xfff981fb,0x2fffffff,0xfffffff1,
    0x3fe0dfff,0xfffff703,0x204ff8df,0x7e402ff8,0x04ff8004,0xfffffff0,
    0xff901bff,0x07f98000,0xfffffff8,0xffc80dff,0xffffffff,0x7ffdc4ff,
    0xffffffff,0x404ff801,0xff5004ff,0xc9bfe005,0xffffffff,0x7fffd44f,
    0x204fffff,0xffffffff,0x3ffea6ff,0xf502efff,0x76fd803f,0xffffffff,
    0x5ff70fff,0x220dfb00,0x20000fff,0x7e47fff9,0x403fea06,0xf14ffffc,
    0x3fffee1f,0x1fffffff,0x7fffe440,0x03ff50ff,0x7e43fff3,0x003fea06,
    0xffffff91,0x01ffc401,0x7fffffec,0x1fffffff,0xffffff98,0xff12ffff,
    0xffffffff,0x201ff50d,0x6ffffffb,0xff1027fc,0x000aa805,0xff004ff8,
    0x017bdfff,0x20003fe4,0xfff801a8,0x200bdeff,0xfffffffc,0x5c4fffff,
    0xffffffff,0xff801fff,0x8027fc04,0x3f2007fd,0xfffff90f,0xff5017bd,
    0x017bdfff,0xfffffff8,0x3fea6fff,0x7d402cde,0xbb7ec01f,0xffffffff,
    0x06ff87ff,0x7d40dfb0,0x5440006f,0x5037e44c,0x019801ff,0xffffffb8,
    0x001fffff,0x3fea04cc,0x21fff501,0x3fea06fc,0x004cc000,0x0001ffc4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00331000,0x22009988,0x00ccc099,
    0x4ccc4262,0x26000019,0x99988099,0x03100019,0x15310033,0x99999980,
    0x30999999,0x4cc40033,0x22002660,0x00662099,0x99800988,0x40033300,
    0x33310998,0x33333333,0x06003033,0x00000000,0x000005db,0x1cefdb88,
    0x2007bdb3,0x971000cb,0x003bdffd,0x39dddb73,0x2219db70,0x64c03efc,
    0xeb81cdfd,0x403ba605,0x01cdfeca,0xeeffec98,0x5402f6c4,0x09dd51ee,
    0xdd50ded8,0xdddddddd,0x36e1ee89,0x07fc83df,0x903ffd40,0x7ffccdff,
    0x7dd7f202,0x1defffff,0x7fff9000,0xffffff90,0x3fa005bf,0xeb807fc1,
    0x882effff,0xffffffff,0xff94ffff,0x83ffa007,0x7ec01ffe,0x003fe61f,
    0xfd502fdc,0x07ff605f,0xfd8ffdc0,0xffffffff,0xfd31ffff,0x004fc801,
    0x03e88fa2,0x003ff800,0xfd803ff8,0xffbfffff,0x7dc04fff,0xfffd006f,
    0x40bfffff,0xfffffffb,0xaffffe45,0x704ffffe,0x7fffffff,0x3ea06fc8,
    0x7ffec40f,0x3604ffff,0x7fffffff,0x3a00ffe4,0x817fec7f,0x3fea3ffc,
    0xffffffff,0x7f44ffc5,0x7e45ffff,0x7ffd4007,0x4cffff02,0x3f206fff,
    0xffffff75,0x98009fff,0xfc83ffff,0xffffffff,0x107fc00e,0xfffd10ff,
    0x885ffffd,0xffffffff,0xff14ffff,0x4ffa801f,0xf5037fcc,0x01ff989f,
    0xfd50bf90,0x3ea05fff,0x4dfd003f,0xfffffffd,0x31ffffff,0x7fcc0bff,
    0x1fff3005,0x00013ff2,0xff0007ff,0x5359b007,0xf719fffd,0x7ffec01f,
    0x9abee800,0xd83fffca,0xdbaabeff,0x3a6bfea5,0xffbaffdf,0x44e7fe40,
    0x3f23ffda,0xd03fea06,0xfd7359ff,0x39ff909f,0xf8897333,0x13fe204f,
    0xf981fff1,0x5555445f,0x44ffdaaa,0xaadfebff,0x1ff22ffe,0x0bfff700,
    0x7ccffff5,0xbf902fff,0xfca83fee,0x3fa002ff,0x7fc83ffe,0x037ff64c,
    0x87f98ff1,0x3ea0bffb,0x4cccc0ff,0xffe99999,0xd013fee1,0x7ff901ff,
    0xf103bfa0,0x93f2003f,0xffefffe9,0x00dff102,0xff007ff1,0x77ff7009,
    0x1dfd57b9,0x83dff500,0x0000dffc,0xff0007ff,0x3fe60007,0xf301ff46,
    0x8802009f,0x2ffd46ff,0x3ea4fd80,0x88ffa1ff,0x1ffb03ff,0xffa81bf2,
    0x6c0bfee0,0x027fc1ff,0x5c03ff60,0x5ffa80ff,0x100077f4,0xffff0dff,
    0x7e4bff07,0x7e7dc007,0x3fe7ec0f,0x20dfdff3,0x01ff75fc,0x2e00bff7,
    0xc83ff9ff,0x0bff207f,0x1bea3fcc,0x3ffb805c,0x427fd400,0xff500ffe,
    0x207ff407,0xff882ffc,0x6c9fb002,0x2ffb9dff,0x7003ff60,0x9ff003ff,
    0x3ffff600,0x801fffff,0xf700effc,0xff0001df,0x07ff0007,0x3227fc00,
    0x0004405f,0x7c4ffb00,0x3ff1006f,0x3ee3ffc4,0xf981bf65,0x540df92f,
    0x09ff10ff,0xff12ffc4,0x2ffa8009,0x7e40bfd0,0x003ff92f,0xff80ffe8,
    0x64dfd02f,0x67e4007f,0x27fe22fe,0x3effe67f,0xf75fc81f,0x0dff101f,
    0xff15ff30,0x440ff907,0x32aa64ff,0xefcaaaef,0xff1002aa,0x37fc4009,
    0xfd04ffa8,0x25ffa80d,0x3fe05ff9,0x547fb002,0x80bfee1e,0x7f403ffa,
    0x009ff006,0x3f37ffe6,0xffd806ff,0x1fff9804,0xf3333310,0x0333339f,
    0x20003ff8,0x037dc2fe,0x3ee00000,0x400bfe67,0x37fc0ff9,0x04ff9bee,
    0x06fc9ffc,0x7fcc3fea,0x3a37ec01,0x7fc003ff,0x402ff985,0x03ffaffe,
    0xf80ffe40,0xc9ff204f,0x5fe4007f,0x273ee5fb,0xd1ff30ff,0x2ebf90bf,
    0x0dfd00ff,0x3fe2bfd0,0x7407fc83,0x3ffff26f,0xffffffff,0x17fe006f,
    0x201ffd80,0x7fdc1ffe,0xb1ffd802,0x17fc01ff,0x5c03fd80,0x3fe202ff,
    0x00ffe205,0xfc8027fc,0x07ff621f,0x001fff44,0xf707ffd1,0xffffffff,
    0xff80ffff,0x332ea003,0xfdcccdff,0x53000006,0x4ffb9999,0xf3000ffb,
    0x999dfd0f,0x33fe2ffb,0xfaaaaaaa,0x540df95f,0x01ff70ff,0x7fcc7fc8,
    0xfc801cff,0x403fe40f,0x005ffff8,0xff01ffd4,0x07fc8007,0x7fc5fe40,
    0x1ff13fd0,0x3fee3fe6,0xffbafe41,0x404ff880,0x7ff10ffb,0xff80ff90,
    0x3bfb32a5,0xccefeccc,0x07ff1003,0x3013fea0,0x05ff8bff,0xff5dff10,
    0x5c3fe807,0x2017f40c,0x7ec02ffb,0x03ff700f,0x7c013fe0,0x83ffa85f,
    0x8002fff9,0x7dc4ffd8,0xffffffff,0xfffb7fff,0xffffffff,0x7ff4c3ff,
    0xffffffff,0xffffb6ff,0xffffffff,0xfffe983f,0x327fffff,0x1fea007f,
    0x3ffffffa,0xfffff37f,0xbfffffff,0xffa81bf2,0xf700ff90,0xfffe981f,
    0x3fe603ef,0xb8027fc3,0x26000fff,0x1ffc05ff,0x001ff200,0x22ff67fb,
    0x261ff16f,0xc8bff0ff,0x881ff75f,0x3e201ffe,0x20ffe23f,0x3fe207fc,
    0xfd87f903,0x1ffb8003,0x006ff880,0x3fee3ffb,0x3ffee001,0x23fe805f,
    0x17f43ff8,0x500bfee0,0x1bf605ff,0x8804ff80,0x4ff883ff,0x00077fd4,
    0x0037ff20,0x7fec07ff,0xffffffff,0x3ffa1fff,0xaacffaac,0xfffb2aaa,
    0xffffffff,0x7ffc43ff,0x7fdaaaac,0x54003ff2,0x99efe87f,0x9ff11999,
    0x55555555,0xa81bf235,0x00ff70ff,0x7e4c0ff9,0xfd00efff,0x400ffd4d,
    0x003fffe8,0xf801dfd1,0x3fe4003f,0x7d4ff600,0x3ff13fbe,0x7fdc3fe6,
    0x7fdd7f20,0x2fffeccc,0x3e237ec0,0x207fc83f,0x7fb00ffd,0x44002fe8,
    0xffb006ff,0x37fe2003,0xe8004ff8,0xfd800fff,0xff1bfea4,0x02ffb803,
    0x7c42ffc4,0x13fe003f,0x740bfe60,0x0f7fd45f,0x3bfee000,0x101ffc00,
    0x9ff33333,0x7d433333,0x2027f41f,0x99999998,0x6c199999,0x4ff700ff,
    0xf3001ffb,0xf00fff0f,0x6fc8007f,0x7d43fea0,0x037ec00f,0x704ffd98,
    0x01bf63ff,0x0ffeffec,0x400ffec0,0x7e4003ff,0x89ff4007,0xff10feff,
    0x7c43fe63,0x7dd7f24f,0x1cffffff,0x220ffd40,0x27fc83ff,0x03ffeb98,
    0x03fd0bfa,0x801ffd80,0x64004ffa,0x000ffdff,0x800fffc8,0x3fff64fd,
    0xf7007fe1,0x1ffb005f,0x2000ffa8,0xff8804ff,0xf309ff05,0x320005ff,
    0x7ff004ff,0x807ff000,0x05fe87fb,0x5ff80000,0xff99fee0,0x81ff3004,
    0x7fc00fff,0x07fe4005,0xff30ffd8,0x027fc407,0x7c41bfa0,0x803ff8cf,
    0xffe8bffb,0x00bfee00,0x32001ffc,0x1ff4007f,0x2ff8dffb,0x7fe41ff3,
    0x3feebf90,0x404ffdbb,0xff883ff8,0xfffffc83,0x7c03ffff,0x0007fc1f,
    0xf1007ff9,0xff1000df,0xf30007ff,0xf900bfff,0xf27effcb,0x2ffb801f,
    0x6c2ffa80,0x27fc006f,0xfa87ff80,0x7ffd102f,0x1fff4400,0x0007ff00,
    0x7fa807ff,0x0003ffd4,0x417fe001,0x7ff47ffa,0x22ff8801,0x5c02fff9,
    0x3ee002ff,0x0fffc82f,0x7e403ffa,0x37f4001f,0x1ff7ff90,0x265ff980,
    0x9ff306ff,0x001ffc00,0xfd001ff2,0x3e17fcc5,0x441ff32f,0x2ebf94ff,
    0x13fe60ff,0xff106fc8,0xfffff907,0x331019bf,0xf3335ff3,0xfc80333f,
    0x3ff9004f,0x1bfee000,0x7efff400,0xaafdc02f,0xff16fadf,0x02ffb801,
    0x7fc5ff88,0x027fc003,0xf31cffc8,0xffd880df,0x2ffe9804,0x001ffc00,
    0x3e201ffc,0x9ffff52f,0x3fe60088,0x22ffe804,0x4c7fffc9,0x2e61bfff,
    0x7ec3bf64,0x88660eff,0x2880cfff,0x6c4bbfe6,0x3ea0ffff,0x3ff221ef,
    0x64c0dcc4,0x3fe604ff,0x7fc404ff,0x227fe40f,0x9999fff8,0x1ffc1999,
    0x001ff200,0x40ed85ff,0x81ff32ff,0x2ebf97fd,0x0ffe40ff,0x55567fcc,
    0xaadffbaa,0x0133ff91,0xffffff50,0xffffffff,0x013ff201,0x00027fd4,
    0x70009ff1,0x0dff17ff,0x15f96fb8,0x00ff13ff,0x36005ff7,0x003fea7f,
    0x2a009ff0,0xffffffff,0x1bff9005,0x007bfea0,0x20007320,0xffe803ff,
    0xfffb8fff,0x3f202ffe,0x7fcc00ff,0xfbefffff,0xfffffb87,0x3fe65fff,
    0xffe8dfff,0x7f4c3fff,0x7ffeefff,0x7fffffec,0x7e40ff9e,0x5fffffff,
    0xffffffa8,0x7400efff,0x7ec01fff,0x45ffd02f,0xfffffffc,0x3fe1ffff,
    0x03fe4003,0x7c00bfe0,0x981ff33f,0xf75fcaff,0x85ff881f,0xfffffffa,
    0x5fffffff,0xc9800ff9,0xdcccffdc,0xf904ccff,0x3fa2009f,0x4ff80006,
    0x737fc400,0xb7d409ff,0xf39fb0ff,0x05ff700f,0x7ecbfea0,0x04ff8006,
    0xfffffe88,0x7003ffef,0xffb83dff,0x0000000e,0xc9803ff8,0x3ff21dff,
    0x3ee01eff,0xffd5006f,0x41fe69df,0xeffffed8,0x86fffd43,0x81efffe9,
    0xfffffec8,0xffffc85e,0xb301ff14,0x205dffff,0xffffffe9,0xdff7003e,
    0x204ffc80,0xff91fff8,0xffffffff,0x001ffc3f,0xff001ff2,0x4cffe005,
    0xcefd80ff,0x901ff75f,0xeee983ff,0xffeeeeee,0x0ff94eee,0x2e37d400,
    0x27fe405f,0x003ff900,0x8009ff00,0x7ff41ffd,0xbf5ff501,0x037cffd4,
    0x88017fdc,0x007ff4ff,0xfb009ff0,0x7ec6a61f,0xfff3001f,0x8017ff21,
    0x99999999,0x4c009999,0x80220009,0x19700098,0x00098800,0x044004c0,
    0x26000988,0x01980099,0x30006200,0x00001333,0x00000000,0x7fc80000,
    0x00bfe200,0x0ff99ff4,0x75feff98,0xbff101ff,0x07ff1000,0x5c000ff9,
    0x9027dc5f,0x7cc009ff,0xff00004f,0x27fdc009,0xf9837fcc,0x3fe22fcf,
    0xffb806fc,0x2bff6002,0xff8000ff,0x01ffdc04,0x4400fff1,0x000fa24e,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99ffc800,0x10999999,0x3fa003ff,0x3a01ff34,
    0x1ff75fff,0x0003ff60,0xff907ff1,0x227dc000,0xdff903fc,0x55555555,
    0x555fff45,0x02aaaaaa,0xf1004ff8,0x3ff201ff,0x0ffff983,0x222fffec,
    0xcffdaaaa,0x3ea01aaa,0xf0006fef,0x00d7009f,0x000003d5,0x3ffffe00,
    0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7e400000,0xffffffff,0x003ff32f,0x07fcd3fa,0xf75fffa8,
    0x13fe601f,0x907ff100,0x7e4000ff,0xfe81fec3,0xffffffff,0xffff55ff,
    0xffffffff,0x009ff00d,0xf880fff6,0x7ffc40ff,0x45fffa85,0xfffffffa,
    0x2204ffff,0x0003ffff,0x000009ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffe4,
    0xff32ffff,0x4d3fa003,0x3ffa00ff,0x6c01ff75,0x3e2000ff,0x007fc83f,
    0x5fd0ff60,0x3fffffa0,0x55ffffff,0xffffffff,0xf00dffff,0xdff5009f,
    0xf0bff700,0x3ffe05ff,0x7ffffd44,0x04ffffff,0x0007ffec,0x00004ff8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33200000,0xcccccccc,0x499912cc,
    0x00002cc9,0x00b983a8,0x40e66440,0x00002ccc,0xddddd700,0x441770dd,
    0x88888888,0x08888888,0x26666666,0x00000009,0x00000000,0x00000000,
    0x00000000,0xfeb89f5c,0x037540ce,0x3330bd70,0x3227ae03,0x85db10ce,
    0xdd500ee9,0xb00d4c09,0x00bddddd,0x01676dcc,0x065c0000,0x37bfdb70,
    0x077bb6e0,0x5405ec88,0x1540c80b,0x0620024c,0x880cc880,0xff03dedb,
    0xffffffff,0x9ffe27ff,0xfff34ffb,0xffffffff,0x49ff503f,0x22006ff8,
    0xfb102ffe,0x3fb2205f,0x2013101d,0x7ffffffc,0xff87fff4,0xffffffff,
    0x13ffffff,0xffffffff,0x00000009,0x00000000,0x00000000,0x80000000,
    0xfffe9cfc,0x3fe60eff,0x5cbfb000,0x41efffff,0xcfffd9fc,0x2a4fffe8,
    0xeffa81ff,0xfffffb80,0xffffff82,0xbbff9007,0x07b03dfd,0x0fec01d8,
    0xffffffb0,0x7ffff445,0x7fe442ff,0x13fe207f,0x07fdcff9,0x26007ff1,
    0xffd004ff,0xfffff98d,0x666640ef,0xcccccccc,0x7d4dff12,0xfffff34f,
    0x3fffffff,0x7c49ff50,0xdfd1007f,0x85ff7003,0x2fffffe8,0x22203fe8,
    0x3e608888,0xffff3fff,0xffffffff,0x3e27ffff,0x4fffffff,0x00000000,
    0x00000000,0x00000000,0x64000000,0xeaadffef,0x07fe24ff,0x9d927ec0,
    0xfc8dfd97,0xfcefabfc,0x3fea5fca,0x4077fd41,0xfffdeffc,0x7ed55541,
    0x984fd807,0x0bff21fe,0xc8307fec,0x99a8220f,0x7646fe99,0x2a7ffbab,
    0x207fffff,0x3fe60ffc,0x3ee2ff42,0xfffe800f,0x2ffff801,0xf533bff1,
    0x7c0000bf,0x98ffea6f,0x99999999,0x19701ffa,0xd9001ca8,0x774c0019,
    0x3aaffee1,0x0bfe23ff,0xffff1000,0x33000005,0x01333333,0x00000000,
    0x00000000,0x00000000,0xfc800000,0x47fe83ff,0x7fd002ff,0x90ffcc04,
    0x9fffcbff,0x87fea7f9,0xf980effa,0x01bfa23f,0xbfb80ff9,0xe88deff8,
    0xb0bffa26,0x86fc45ff,0x809f50fc,0xffc806fc,0xff93bf30,0xe88bfe60,
    0x43ff884f,0x6fd405fe,0xffc805fc,0xf50df73f,0x3e00001f,0x00ffe65f,
    0x0003ff30,0x80000000,0x3ffa24fe,0x0007febd,0x000bff70,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0fff2000,0x0ffa3fe4,0x02ff85fd,
    0xfc87fe66,0xf89bfe0f,0x2a3ff50f,0xdf700eff,0xfc80ff70,0xbf8b7c07,
    0x447f54ea,0x5ffb2ffe,0xfbaffe98,0x5304ffd8,0xff9007ff,0x20ff9041,
    0x037e45fe,0x7fcc1ff5,0x3e27fa02,0x2ffe802f,0x3ff109fb,0x66666664,
    0x3a2ccccc,0x00bfe65f,0x0003ff30,0x80000000,0xfffd82ff,0x200002ff,
    0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,0xffb81bf2,
    0xff993f60,0xc887fe24,0x21ffffff,0x11ffc5fc,0x27fea1ff,0x3600eff9,
    0x01ff985f,0x3f881ff2,0x4f9763f1,0x7ff7ff44,0x3fffaa02,0xff980cff,
    0xff9804ff,0x2e1ff205,0x07fea0ff,0xffc8dfb0,0x3ea4fb80,0x8ffec00f,
    0x1ff883fe,0x3ffffffe,0x3a3fffff,0x00bfe24f,0x0003ff30,0x80000000,
    0x37baa008,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x37e40000,0x7e41ff50,0xf99ffee5,0x2afbf20f,0x13f21ffa,0x87fc45ff,
    0x0effbffa,0x7cc37e40,0x81ff200f,0xddbf11fa,0x7f443743,0xff9002ff,
    0x7f74c01f,0x3fea05ff,0x21ff200e,0x3fee0ffc,0x2e37e400,0x07fc40ff,
    0xff8813fa,0x3ee1bf26,0x3333320f,0x2ccccccc,0x01330262,0x000aa880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x3fea06fc,0xefe9bee0,0x7c4ff52f,0xf90ffc0f,0x3e22ff89,
    0xff9ff50f,0x81ff7009,0x3fe407fb,0x33e25f30,0xfd82f45e,0x7f4c02ff,
    0x800bffff,0xffc83ffb,0x43fe400e,0x37ec4fe8,0x7c43ff50,0x984fc83f,
    0x7f5441ff,0x233fe61f,0x0004ffb8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7d40df90,
    0x7c5fe60f,0x4df75fbe,0xffb11ff9,0x3fe27e43,0x7d43fe22,0x404ffc9f,
    0xfa8adff9,0x03fe403f,0x267e29f1,0xfb09f12f,0xd305ffdf,0xfb1f75ff,
    0x4ff9809f,0x4013ff62,0x3ff507fc,0x7c41ffc4,0x4c37ec4f,0x4bfb00ff,
    0xc81efffb,0x05ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x81bf2000,0x3fe20ffa,
    0x8ff8bfb8,0x77ff44fc,0x3f21feef,0xff117fc4,0x7ec7fea1,0x7ffdc03f,
    0xfc805fff,0x7c47f407,0xb0bf2db1,0x5ffd15ff,0x1f90df88,0x510993ea,
    0x3fe63ffd,0x22aaaadf,0xaaffdaaa,0x3ea37ec2,0x2e37ec1f,0x03fe81ff,
    0x675cbfe2,0x6f76cc03,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7e400000,0xf03fea06,
    0x3fa1fd3f,0x764c3fda,0x7e43d74e,0xff117fc4,0xfe87fea1,0x776cc02f,
    0x0ff9002d,0x30c8df98,0xffd89f79,0x30bffa22,0xf8220fc8,0x24ffffff,
    0xfffffffa,0xfffff17f,0xff88dfff,0xff537ec4,0x9827fc43,0x00098801,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x07fd40df,0xfb9beffa,0x20002fed,
    0x117fc4fc,0x87fea1ff,0x0002ffe8,0x700ff900,0x3f2615df,0x20bfee0e,
    0x3600ffe8,0x3fffa01f,0x777541de,0xd15eeeee,0xbddddddd,0x1d881b70,
    0x002d41dc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x037e4000,0xffd81ff5,
    0x3fffe23f,0x26666621,0x13f21999,0x87fc45ff,0x7fc41ffa,0x4cccc41f,
    0x26219999,0x99ffd999,0xfffd3019,0x80b607ff,0x0f6401e8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6fc80000,0xf903fea0,
    0xfffd81ff,0x3fffff60,0x9f91ffff,0x3fe22ff8,0xf303ff50,0x7ffec3ff,
    0x71ffffff,0xffffffff,0x54403fff,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9000000,0x207fd40d,0xffb86ffb,
    0x77777647,0x9f90eeee,0x3fe22ff8,0x2a03ff50,0xddd90fff,0x21dddddd,
    0xfffffffb,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_30_latin_ext_x[560]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,1,2,2,0,2,1,1,1,1,6,3,2,1,3,4,0,0,2,1,1,2,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,1,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
7,2,0,0,3,2,1,3,1,0,3,1,3,4,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_30_latin_ext_y[560]={ 22,1,1,2,0,1,1,1,0,0,1,6,17,12,
17,1,2,2,2,2,2,2,2,2,2,2,7,7,5,10,5,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,25,1,7,1,7,1,7,1,7,1,1,
1,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-2,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,22,7,0,2,3,2,
-2,1,1,2,2,8,12,12,1,2,1,4,1,1,1,7,1,11,22,1,2,8,1,1,1,7,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,0,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
-2,2,-3,1,2,7,-3,1,-3,1,-3,1,-3,1,-3,0,2,1,-2,2,-3,1,-3,1,2,7,-3,1,-3,1,
-3,1,-3,1,2,0,-3,-4,2,1,-3,1,-2,2,-3,1,2,1,-3,7,2,1,-3,1,2,1,7,-3,-4,2,
1,0,0,2,1,2,1,-3,1,2,7,-3,1,-1,2,7,-2,2,-3,1,-3,1,2,7,-3,1,2,7,-3,1,
-3,1,-3,1,2,7,-3,1,2,2,-3,0,2,2,-3,1,-2,2,-3,1,-4,0,-3,1,2,7,-3,1,-3,1,
-3,-3,1,-3,1,-3,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-7,-4,-3,1,-3,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,7,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_30_latin_ext_w[560]={ 0,5,10,16,14,17,17,4,9,10,13,15,8,10,
6,14,15,14,13,13,16,13,14,14,14,14,5,8,12,14,12,10,17,17,13,14,15,12,11,15,14,12,11,14,
12,16,14,16,13,17,14,14,15,14,17,16,17,17,14,8,13,8,14,17,10,14,13,12,14,14,16,15,13,13,
12,14,13,15,13,15,13,14,14,12,15,13,16,16,15,16,13,12,3,12,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,14,15,16,
3,13,14,17,11,13,14,10,14,13,11,14,10,9,14,14,14,6,4,10,11,13,17,17,17,11,17,17,17,17,
17,17,17,14,14,14,14,14,14,14,14,14,16,15,16,16,16,16,16,13,16,15,15,15,15,17,13,13,15,15,
15,15,15,15,16,12,15,15,15,15,15,15,15,15,14,15,16,16,16,16,16,15,15,15,15,15,15,16,13,16,
17,15,17,15,17,14,15,15,15,14,15,14,15,14,17,19,16,16,14,15,14,15,14,15,13,14,14,15,15,16,
15,16,15,16,15,16,15,15,17,15,14,15,14,15,14,15,13,14,14,13,14,14,13,13,14,14,14,15,15,12,
13,19,20,15,18,15,13,15,15,14,13,15,15,15,14,13,16,16,16,16,17,17,17,16,17,16,14,14,17,16,
15,14,15,14,14,12,15,14,15,15,16,19,15,15,15,15,15,15,15,15,15,15,17,17,14,13,16,16,17,16,
17,15,15,15,15,15,15,12,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,17,15,17,16,18,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,14,12,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_30_latin_ext_h[560]={ 0,22,8,20,26,22,22,8,29,29,13,16,11,4,
6,25,21,20,20,21,20,21,21,20,21,20,16,21,18,8,18,22,28,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,26,20,21,20,21,20,20,20,20,20,29,25,29,11,4,7,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,15,15,15,22,15,29,31,29,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,26,20,19,20,
31,25,7,21,15,12,8,4,14,6,10,18,12,12,7,22,25,6,5,12,15,12,21,21,21,22,25,25,25,25,
25,26,20,25,25,25,25,25,25,25,25,25,20,25,26,26,26,26,26,14,27,26,26,26,26,25,20,22,22,22,
22,22,22,23,16,20,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,22,22,22,22,22,28,28,28,
24,21,25,22,26,21,26,22,26,22,26,22,26,22,25,23,20,22,24,21,25,22,25,22,26,21,25,22,26,28,
26,28,26,28,27,29,25,26,20,21,25,21,24,20,25,21,26,27,25,15,21,28,26,28,27,28,15,25,26,27,
28,22,22,20,21,20,21,25,21,27,22,25,21,23,27,22,25,21,26,22,26,22,21,16,25,21,27,22,25,21,
26,22,26,22,25,20,26,22,27,27,25,23,20,21,26,22,25,21,26,22,27,23,26,22,26,21,25,21,25,28,
25,25,21,25,21,25,21,21,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,29,27,25,22,29,25,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,27,22,27,27,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__consolas_30_latin_ext_s[560]={ 510,504,255,92,157,1,32,505,41,117,130,
297,219,378,353,116,171,191,109,187,61,201,215,477,230,434,506,277,256,240,269,
145,315,373,391,321,405,421,361,336,449,464,352,492,1,14,31,364,78,1,46,
397,224,412,206,174,156,138,123,108,366,64,204,360,311,346,173,361,98,391,122,
129,92,47,159,77,388,44,1,420,498,478,496,436,61,406,449,15,466,367,482,
9,5,51,322,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,510,503,30,
313,240,344,1,166,281,427,32,176,266,378,101,339,228,282,154,144,296,384,19,
505,506,165,75,190,153,135,117,145,205,131,172,493,427,302,187,445,319,304,380,
289,190,141,248,126,252,110,354,236,253,19,486,116,441,470,388,320,286,1,269,
99,83,67,51,35,19,467,313,283,462,446,430,414,356,434,402,245,352,261,320,
303,286,269,252,330,236,220,204,188,172,172,128,142,377,467,329,67,404,462,188,
16,454,483,438,337,125,1,296,395,296,50,347,101,314,113,263,129,80,483,198,
156,204,249,220,281,422,298,425,91,34,270,205,68,478,372,362,328,412,1,50,
489,351,87,477,266,36,189,474,203,60,232,64,17,235,290,252,171,286,155,498,
94,15,410,328,156,418,415,380,342,395,450,371,273,336,310,17,374,460,51,395,
205,98,84,172,237,141,399,223,223,78,83,1,458,334,431,236,106,94,157,66,
31,62,113,364,451,44,187,110,1,256,445,278,218,238,273,381,50,305,82,35,
492,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,149,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,73,333,180,220,22,213,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,349,493,1,458,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139, };
static unsigned short stb__consolas_30_latin_ext_t[560]={ 1,1,224,204,33,137,114,160,1,1,225,
204,225,224,224,88,160,204,204,160,204,160,160,182,160,182,114,160,204,224,204,
114,1,182,182,160,182,182,182,160,182,182,160,182,204,204,204,160,204,61,204,
160,204,160,204,204,204,204,204,1,61,1,225,224,224,204,137,204,114,204,182,
137,182,182,1,182,137,225,225,204,88,114,204,204,182,204,204,225,204,114,204,
1,1,1,224,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,1,33,33,
182,204,182,1,88,224,160,225,225,224,224,225,224,225,204,225,225,224,114,88,
169,131,225,225,225,160,160,160,137,61,88,61,61,61,33,182,61,61,61,61,
61,61,61,88,61,182,61,33,33,33,61,33,225,1,33,33,33,33,88,182,
137,137,137,137,137,137,88,204,182,114,114,114,114,137,137,137,160,114,160,114,
114,114,114,114,204,114,114,114,114,114,1,1,1,88,137,88,114,33,160,33,
114,33,88,33,114,33,114,88,88,182,114,88,160,88,114,88,114,61,137,88,
114,33,1,33,1,33,1,1,1,88,33,182,160,61,137,88,182,61,160,61,
1,61,225,160,1,61,1,1,1,225,88,61,33,1,137,137,182,160,182,137,
61,182,1,137,61,137,88,1,137,61,137,33,137,33,137,160,204,61,160,1,
137,88,160,33,137,33,114,61,182,33,114,33,1,61,88,182,182,33,137,88,
182,33,137,1,88,33,137,33,182,61,160,88,1,61,61,160,88,160,88,160,
160,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,88,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,1,1,88,137,1,88,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,1,114,33,1,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182, };
static unsigned short stb__consolas_30_latin_ext_a[560]={ 264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_30_latin_ext(stb_fontchar font[STB_FONT_consolas_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_30_latin_ext_s[i] + stb__consolas_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_30_latin_ext_t[i] + stb__consolas_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_30_latin_ext_x[i];
            font[i].y0 = stb__consolas_30_latin_ext_y[i];
            font[i].x1 = stb__consolas_30_latin_ext_x[i] + stb__consolas_30_latin_ext_w[i];
            font[i].y1 = stb__consolas_30_latin_ext_y[i] + stb__consolas_30_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_30_latin_ext_s[i] + stb__consolas_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_30_latin_ext_t[i] + stb__consolas_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_30_latin_ext_x[i] + stb__consolas_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_30_latin_ext_y[i] + stb__consolas_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_30_latin_ext_LINE_SPACING
#endif

