// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT        290
#define STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_33_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_33_latin_ext_LINE_SPACING          22

static unsigned int stb__consolas_33_latin_ext_pixels[]={
    0x2aa21551,0x2aa98000,0x00009a88,0x04eed880,0x02c8b100,0xaaaaaa88,
    0x2a62001a,0x8072e000,0xaaaaaaa8,0x93059301,0x3eea8003,0x55510000,
    0x000f7545,0x3a62ed80,0x1dd98005,0x0fbaa000,0xdedb9800,0xdd70001b,
    0x00000003,0x002776c4,0x05dd3000,0xdddddd90,0x004ee80b,0x9807baa0,
    0xdd5003ed,0x00000007,0x00000000,0x53100000,0x4bfe6013,0x54002ff9,
    0xff981eff,0x100003ff,0x20009ffd,0x3ff75fe8,0xfffffa80,0xffa804ff,
    0xff1003ff,0x7fffdc03,0xfff03fff,0x007ffc43,0x03ffffa8,0x6fff4400,
    0x000bfea0,0x6c46fec0,0xffe8006f,0xfff50007,0xff90007f,0x007fffff,
    0x806fff88,0x000dffc8,0x027ff440,0x7c02fe40,0x7ec00fff,0x407fffff,
    0xf10005ff,0x7ff40fff,0x7ffd401f,0xff98003f,0x013fe602,0x4c00bfee,
    0x3ff602ff,0xffffffff,0x3ffaa01f,0x4c4fffff,0x05ff32ff,0x3027fdc0,
    0x00bfffff,0x92ffe880,0x3fa20039,0x03fff31f,0x7fffffd4,0x7ffe404f,
    0xff7003ff,0xfffffb80,0xfff883ff,0x007ffe62,0x3ff33fea,0x3ff60003,
    0x002ffa83,0xfffff300,0xfff0005f,0xffa8001f,0x1003ffcc,0x32a37ffd,
    0x3e6003ff,0xefd807ff,0x220006fd,0xb0002ffe,0xfff8809f,0x6665401f,
    0x7fc07ffc,0xfff30005,0x3fffe01f,0x333fea02,0x7f4003ff,0x13fe607f,
    0x400bfee0,0x3f607ffe,0xffffffff,0xffe881ff,0x5fffffff,0xff997fcc,
    0x05991002,0x0bffae60,0x10ded800,0x3fa001ff,0x07ffcc2f,0x409ff100,
    0x001cfff9,0x3ee02ff4,0x13ee001f,0x3ea013f2,0x00ffee3f,0x5407ff60,
    0x200002ff,0x002effe9,0x800bff90,0x3fee3ffa,0x01efd803,0x74003ff7,
    0x37c404ff,0xd10003f9,0x740001df,0x6ffd803f,0x80ffd000,0x3a0005ff,
    0x3ff606ff,0x47ff500f,0x3a003ffb,0x3fe607ff,0x02ffb804,0x6c0fffd0,
    0xaaaaabff,0xffe80aaa,0xca9999be,0xf997fcc4,0x2bb9802f,0x05ffa800,
    0x037dc000,0xf503ffc8,0x7fc400bf,0x00fff204,0x700bfe60,0x000003ff,
    0x31013300,0x80110003,0x00002ffa,0x0a600000,0x22026600,0x07fdc019,
    0x50013f60,0x64df1005,0x1988001f,0x02ff8000,0x74000550,0x02ffc07f,
    0x80177100,0x026600cb,0xf9800662,0x13fe602f,0x400bfee0,0x3f602ff9,
    0xffb8000f,0x2ff98006,0xfc805ff3,0xf8005fff,0xa980006f,0xf8804fe9,
    0x17fec06f,0x204ff880,0x88000ffd,0x1ffb8019,0x00000000,0xffd88000,
    0x05ff501e,0x00000000,0x00000000,0xf3005ff1,0x6c00000f,0x0006fddf,
    0x7fc40000,0xd0000001,0x05ff80ff,0x00000000,0x98000000,0xffb804ff,
    0x7ec00002,0xffd8000f,0x2ff98002,0x7cc05ff3,0x002fd88e,0x98003fec,
    0x2ffffffd,0x401ffd80,0xf1006ff8,0x037f409f,0x7fdc0000,0x000cc401,
    0xa9880333,0x0999999a,0x7fe6ff40,0x442ffa80,0x4c40009a,0x999999aa,
    0x4d54c400,0x22099999,0x06660019,0x7fc00bf9,0x26666662,0x88009999,
    0x4400effd,0x06660019,0xacffdb98,0x26666620,0xffd00019,0x4c05ff80,
    0x04cc4099,0x4cc02660,0x99999999,0x01998000,0xf7009ff3,0x9a98005f,
    0x000ffd80,0x8000ffe8,0x5ff32ff9,0x5f727d40,0x007fc800,0xffffffb8,
    0x3ea01fff,0x7ff9004f,0x409ff100,0x988005fe,0x999999aa,0xc803ff70,
    0xffa803ff,0xffff9105,0x0dffffff,0x05f727cc,0x3fee5ff5,0xc8804fff,
    0xffffffff,0xff9106ff,0xffffffff,0x401ffe4d,0x3fe25ffa,0x4cff6002,
    0xffffffff,0x000003ff,0xf5007ff9,0xfffd30bf,0x7ec9ffff,0x007fffff,
    0xff80ffd0,0x03bff205,0x7cc05ff5,0xffff984f,0x03ffffff,0xffffec98,
    0x13fe63df,0x300bfee0,0xdfffffdb,0x003ff617,0x000fff60,0x7fccbfe6,
    0x2f3fe202,0x7e4000ff,0x7ffec007,0xffffe9ac,0x001ffb00,0x2201bfe2,
    0x17fa04ff,0xffffc880,0x76ffffff,0xff9803ff,0x82ffd806,0xfddefff8,
    0x206fffff,0x20fea4fa,0xfffcaffa,0x2205ffff,0xffddefff,0xf886ffff,
    0xfffddeff,0x3fe66fff,0x22ffd806,0x76e447fb,0x269f94cc,0xffffffff,
    0x27fcc3ff,0xf317fdc0,0x5ffb00df,0xfeffffc8,0x3ff64fef,0x0007ffff,
    0x5ff80ffd,0x501dff90,0x7fcc05ff,0xfffff984,0x403fffff,0xfffffffb,
    0x13fe67ff,0xc80bfee0,0xffffffff,0x01ffb1ff,0x07fff700,0xf32ff980,
    0xffe9805f,0x7fc8001e,0x03ffe600,0x10bffdff,0xfd800dff,0x27fc401f,
    0x2200bfd0,0xffddefff,0xff76ffff,0x03ffd003,0xfd83ffc4,0x67fec43f,
    0x2ffe2009,0xffa81fea,0xfa88bffe,0x7ffb01ff,0x09cffd88,0x6c43ffd8,
    0x7f409cff,0x1ffe201f,0x7ff4c9fb,0x4bf74fff,0xb9999999,0x27fcc3ff,
    0x3a17fdc0,0x3fe201ff,0xc97ffd47,0x4cc4515f,0x0007ff99,0x5ff80ffd,
    0x500effc8,0x7fcc05ff,0x33333304,0x6c07ff73,0xa9abdfff,0x13fe67ec,
    0x220bfee0,0x9abdfffe,0xffb1feca,0x33333333,0x3bfff601,0x25ff3002,
    0x00002ff9,0x400ff900,0x7fcc1ffd,0x7d41fff9,0x7fd4003f,0x027fc404,
    0x3f600bfd,0x67fec43f,0x003ff709,0x7d409ff7,0x05ff884f,0x2a00dff1,
    0xf503ffff,0xff503dff,0x20bff10b,0xff106ff8,0x41bfe20b,0x3ea04ffb,
    0xfd17fc4f,0x2e7ff73d,0x7ff3005f,0xb804ff98,0x27fdc2ff,0x7c49ff50,
    0x013f61ff,0xd0007fe8,0x45ff80ff,0x2a00effc,0x3fe602ff,0x3ff98004,
    0x805fff50,0x2013fe61,0xffd82ffb,0xfd84c01f,0xffffffff,0x3fff206f,
    0x3e600cff,0x005ff32f,0x0003ffff,0xf3003ff5,0x32bf90df,0x07fec3ff,
    0x01bfe200,0x7fc09ff1,0x05ff8803,0xffb8dff1,0x07ff8801,0x3ea07ff6,
    0x03ff603f,0x50055440,0x7fc01fff,0x203ffa87,0xffa80ffd,0x203ff603,
    0x3f607ff8,0x543fe61f,0x25ff10ff,0xff3006fa,0x804ff987,0x7fc42ffb,
    0xb87ff607,0x01ff44ff,0x2000ffd0,0x2ffc07fe,0xa801dff9,0x3fe602ff,
    0x3ff98004,0x8003ffd0,0xfb804ff9,0x077fcc2f,0x3ffff600,0x06ffffff,
    0x7ffffecc,0x32ff980c,0xffa805ff,0xf88004ff,0x3ffb805f,0xdff33fe8,
    0xd0007fe8,0x4ff880ff,0x5001ff70,0x7fec07ff,0x4007fee0,0xff882ffd,
    0x405ff706,0xa9800ffd,0xff500aaa,0x40ffc807,0x3f602ffb,0x02ffb80f,
    0x7ec03ff6,0x46ff882f,0xa97f66fb,0x00df50ff,0xff30ffe6,0x05ff7009,
    0xff105ffb,0x7c1ffc8d,0x1ffa002f,0x203ff400,0x1dff95ff,0x405ff500,
    0x98004ff9,0x5ffb83ff,0x04ff9800,0x7f42ffb8,0xffd8002f,0x99999999,
    0xfff93000,0x2ff983ff,0xfd803991,0x70006fff,0x90359dff,0x0ff883ff,
    0x0dff1ffe,0x803ff600,0xb7514ff8,0x3ee009ff,0x83ff602f,0xf3001ffb,
    0x07ff70bf,0xff813fea,0x3fff6606,0x541effff,0x7fe402ff,0xf027fd41,
    0x13fea0df,0x3e606ff8,0x43ffb85f,0xb8ffe5fc,0x4017ee7f,0x7fcc3ff9,
    0x82ffb804,0xffb85ff9,0x3e23ff43,0x1ffa001f,0x203ff400,0x0effcdff,
    0x405ff500,0x98004ff9,0x1ffe83ff,0x04ff9800,0x3e62ffb8,0xffb0006f,
    0xb8800001,0x3e60ffff,0xdff8002f,0x10001ffd,0xfb07fffb,0x7c6fb81f,
    0x017fe0ff,0x100ffec0,0x3ffea9ff,0x3fea000d,0xf71bfe04,0x7ff4003f,
    0xd007ff40,0x9ff905ff,0x7ffffdc0,0x2a1fffff,0x7fdc02ff,0xc82ffe82,
    0x3ffa04ff,0x404ffc82,0x7ff40ffe,0xff9a7e40,0x5fb9bf21,0x987ff300,
    0xffb804ff,0xe81ffd02,0x23ffc0ff,0x3a000ff9,0xffd0007f,0xfffeff80,
    0x0bfea002,0x8004ff98,0x6ff83ff9,0x09ff3000,0x7dc5ff70,0xffb0003f,
    0x22000001,0x3fe64ffe,0x57fd4002,0x88004ffa,0xf82efffc,0x744fd87f,
    0x0bff10ff,0x807ff200,0xffd34ff8,0x7f4003bf,0x44ffc82f,0x2e001ffb,
    0x17fe24ff,0x97bfff50,0xdb80dffd,0xffb5109b,0x2017fd4f,0xffa81ffc,
    0x6ffecbdf,0x5efffd40,0xb806ffec,0x17fe24ff,0x07fd53f6,0x027e4bfb,
    0x7cc3ff98,0x2ffb804f,0x7c49ff70,0x21ffe85f,0x7f4007fa,0x0ffd0007,
    0xfff9dff8,0x05ff5001,0x40027fcc,0x7fcc3ff9,0xbff30005,0x643ff700,
    0xfb0002ff,0x4000001f,0x3fe66ff9,0x47fec002,0xe8006ff8,0x3ffc01ef,
    0xffb07fe2,0x80037fc1,0x3e200ffc,0x0ffe984f,0x7bfff500,0xf70dffd9,
    0x7fc4003f,0xb00bfee7,0xffffffff,0xff000019,0x00bfea3f,0xffb01ffb,
    0x19ffffff,0xfffffd80,0x8800cfff,0x0bfee7ff,0x07fdcff6,0x01fec9ff,
    0x7cc3ff98,0x2ffb804f,0x7dcfff10,0x23ffd82f,0x7f4006fc,0x0ffd0007,
    0xfff55ff8,0x05ff5003,0x40027fcc,0x7fd43ff9,0x17fe0004,0xfd83ff20,
    0xeeeec81f,0x01ffb1ee,0x7ff80000,0xf000bfe6,0x00ffecbf,0xf003ff10,
    0xe87fa8ff,0x003ffc7f,0x2200ffd8,0x5ff304ff,0x3ffff600,0xb80cffff,
    0x7ec001ff,0xa80ffd2f,0xaccc99ff,0x3f200001,0x805ff52f,0x9ffa87fe,
    0x801accc9,0xccc99ffa,0x7fec001a,0x3fa0ffd2,0x3e21ff73,0x4007fe3f,
    0x7fcc3ff9,0x02ffb804,0x3ff4bff6,0x3f65ffb8,0x03ff4005,0x7c07fe80,
    0x03ffee5f,0x4c05ff50,0xf98004ff,0x027fdc3f,0x801fff00,0x07ff47ff,
    0x7ffffff4,0x0001ffb1,0x32ffc400,0x7d4005ff,0x013fee3f,0xf800ffa8,
    0x213f20ff,0x03ff47ff,0x4407fe80,0x13fe04ff,0x3267fea0,0x3ee01acc,
    0x7fd4001f,0x6c04ff9c,0x0000006f,0x3fea7ff5,0x213fea02,0x6c0006fd,
    0x2a00006f,0x04ff9cff,0x47fea7fb,0x0df33ffb,0x261ffcc0,0xffb804ff,
    0x273fea02,0xfff104ff,0xd000ffab,0x3fa000ff,0x322ffc07,0x3ea00eff,
    0x13fe602f,0x50ffe600,0x640009ff,0x3ff204ff,0x5c07ff43,0xb1ffeccc,
    0x000001ff,0xff327fec,0x07fec005,0x6400dff1,0x3ffd007f,0x37fc17fc,
    0x10007ff6,0xff880bff,0x2017fa04,0xf70006fd,0xffd0003f,0xfe803ff9,
    0x2600002f,0xffdcccaa,0x2205ff53,0xffe80ffe,0x3ffa0002,0x3fa00002,
    0xf901ffcf,0x3eb3fe69,0x03fe9dfe,0xf30ffe60,0x5ff7009f,0xffcffe80,
    0x3bffee01,0x04da9bff,0xe8003ff4,0x42ffc07f,0xf500effd,0x27fcc05f,
    0x21ffcc00,0x20005ff9,0x99adfff8,0x6c0effda,0xffb801ff,0x5557ffb1,
    0x4c155555,0xa99aabdf,0x260efffb,0x05dd32ff,0x3ffa1bfe,0x00ff9001,
    0x7fccbff2,0x2a27fd40,0x7d4004ff,0x27fc403f,0xfd00bfd0,0xff70005f,
    0xfff70003,0xfff700df,0x579ddddf,0xffffd500,0x2a7fffff,0xb989beff,
    0xff703fff,0x79ddddff,0x7fffdc05,0x02bceeee,0x1bfffee0,0x3ffa5fc8,
    0x5ffff8ef,0x21ffcc00,0xfb804ff9,0x7ffdc02f,0xfffb806f,0x14ffffff,
    0xfff55555,0x54435555,0xafffaaaa,0x17fe1aaa,0xfa82fff4,0x13fe602f,
    0x10ffe600,0xa8000dff,0xffffffff,0x2ffb80ef,0xfb1ffb80,0xffffffff,
    0x7ffcc3ff,0xffffffff,0x997fcc0e,0x3ffa82ff,0x9003ffb8,0x3fea00ff,
    0xff90bf95,0x800dff05,0x7c400ffd,0x017fa04f,0x3bbfffee,0xfb82bcee,
    0xff88001f,0xffb002ff,0xffffffff,0x3fff203d,0xffdcccde,0xffffff53,
    0xd807ffff,0xffffffff,0xffb01eff,0xffffffff,0xfff1003d,0x22fdc05f,
    0x9db50deb,0x3ff98001,0x5c027fcc,0x7fc402ff,0xf93002ff,0x259dffff,
    0xfffffff9,0x265fffff,0xffffffff,0x3fe5ffff,0x0bffd105,0x7cc05ff5,
    0xff98004f,0x000fff83,0x7fff6c40,0xff500bff,0x23ff700b,0xfffffffd,
    0x3621ffff,0xffffffff,0x25ff302d,0xffd82ff9,0x006ff981,0x3e200ff9,
    0x443fe9ff,0x3ffb06ff,0x01bfe200,0xfe813fe2,0xffffb005,0x3dffffff,
    0x8000ffdc,0xd1006ffd,0xfb9999ff,0xfa81ffff,0x7ff501ef,0x3fffffea,
    0x74400cef,0xfdccccff,0x7440ffff,0xfdccccff,0xd800ffff,0x3fd406ff,
    0x7cc00000,0x02ffcc3f,0x6c00ffdc,0xfa8006ff,0xffff301f,0xffffffff,
    0x7ffffccb,0x5fffffff,0xff9817fe,0x017fd44f,0x30009ff3,0x9ffb07ff,
    0x7ec40000,0x7ffc400e,0x00ffdc00,0x9980bfb0,0xff980099,0xff05ff32,
    0x00fff40d,0xf9003fe4,0x7441ffdf,0xdff302ff,0x00bff200,0xfe813fe2,
    0xcffe8805,0xffffdccc,0x003ff70f,0x400bff60,0x3a201ffe,0x17fe43ff,
    0x3ea7ff50,0xe800332f,0x3fa201ff,0x00fff43f,0xb007ffd1,0xff8805ff,
    0x54000002,0x05ff82ff,0xd800ffc8,0xfb8002ff,0xff980006,0x00000001,
    0x7ff30000,0x05ff5000,0x0003fff3,0x4003fea0,0x7dc05ffc,0x1df7001f,
    0x2004cc00,0x5ff32ff9,0x999dffa8,0x03ffd999,0x22007fc8,0xca9fffff,
    0x7ec05ffe,0x2ffcc02f,0x204ff880,0xffe806fe,0x4fffa201,0x98001ffb,
    0xff3007ff,0x8bff5009,0x3ee00ffd,0x005ff53f,0x2013fe60,0x3fe65ffa,
    0x05ffa804,0xc803ffcc,0x4000005f,0xfff81ffb,0x403ffc00,0x90007ff9,
    0xf88000bf,0x0133003f,0x00013300,0x002ffa80,0xfb01ffb8,0x801805ff,
    0x3e2004fe,0xff700dff,0x07ff1003,0x2027fc40,0x5ff32ff9,0xffffffd8,
    0x06ffffff,0x44007fe8,0xfffffffe,0xfff8804f,0x003ffa00,0xfb027fc4,
    0x27fcc01f,0xfbaffd40,0x7f44001f,0x9ff5002f,0xd87ff700,0xffd881ff,
    0x005ff53f,0x2013fea0,0x3fea3ffb,0x03ffb804,0x400bffa2,0x00002ff9,
    0x3203ffa0,0x3ff204ff,0x17ff4403,0x004fd800,0x8803fdc0,0x7c4004ff,
    0x7400004f,0xfe8000ff,0xffff100f,0xff97559d,0x800bff00,0x9bcffffa,
    0x801ffea9,0x2a004ff8,0x7fcc01ff,0xff85ff32,0xffffffff,0x2600ffff,
    0xf88005ff,0x02dfffff,0x6417fee0,0x3e2004ff,0x0bff204f,0xb804ffa8,
    0x03ff73ff,0x027ff4c0,0x405fff30,0x7dc1fff9,0xfeb98aef,0x5ff53fff,
    0x3ffe6000,0x87ffe602,0x2602fff9,0xfd301fff,0xffe8009f,0x05c0a202,
    0x8827fec4,0xa99adfff,0x74c06ffd,0x3a0004ff,0x7e40003f,0x1ffa800f,
    0x00ffd400,0x7fe4c040,0xfb101704,0xffd8809f,0x7fffffff,0x0eeffc80,
    0xffffd300,0x03ffffff,0x03bbffa0,0xf300ff70,0xa8bfe65f,0xaaaaadff,
    0x03ffdaaa,0x0007ffb3,0x00133ff5,0x2a27fec0,0x7c4005ff,0x3bfea04f,
    0x05fff302,0xfb8fffcc,0x7ff7401f,0xfe8006ff,0xecbcdeff,0xffd02fff,
    0xf3dfffff,0x00bfea7f,0xdefffe80,0x2fffecbc,0xcdefffe8,0x42fffecb,
    0x06ffffee,0xbdffe880,0xd04fdcaa,0xfffb9bdf,0xffffa80d,0x81efffff,
    0x06ffffee,0x0017fc00,0x0fbffe60,0xb8007fb8,0xdf70007f,0x01ffffb9,
    0x3f737bfa,0x36a006ff,0x2bdefffe,0x1fffd880,0x7fff5c00,0x2002dfff,
    0x400fffd9,0xff9804fd,0x7e45ff32,0x6ff9801f,0x1bffff22,0x0027ec00,
    0x267ffb00,0x664c06ff,0x404ffccc,0x41cffffd,0xbcdefffe,0x2e2fffec,
    0x1ccccdff,0x00fffffe,0x7fffec40,0x02efffff,0x3bffff22,0x7fd4ffe3,
    0x3f620002,0xffffffff,0xfffb102e,0x5dffffff,0x07fffff0,0xffffd800,
    0xfd02efff,0x19ffffff,0xfffd9100,0x7ffc07df,0x440003ff,0xb80000ff,
    0x3f604ffe,0x04fd8004,0xfffff700,0x7ff401df,0x00cfffff,0x00002600,
    0x98800013,0x09800009,0x9801cc80,0x45ff32ff,0x3fe007ff,0xbffff30f,
    0x0bfe0001,0x3fe88000,0xfa801df5,0x04ffffff,0x1ffffe44,0x3fffff62,
    0x5c2effff,0x3fffffff,0x0002af32,0x37732a20,0x0c4001ac,0x001cc980,
    0xddcca880,0x951001ac,0x40359bb9,0x0000abcc,0x35997510,0xcdcca880,
    0x0660001b,0x0055e640,0x00000000,0x01cc8031,0x0001cc80,0x057bb971,
    0x79b99510,0x00000003,0x00000000,0x80000000,0x5ff32ff9,0xc8013fea,
    0x357913ff,0x01544000,0x2a1c4000,0xcccc9800,0x51002ccc,0x32a20397,
    0x301acddc,0x39999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e600000,0x325ff32f,0x3e6001ff,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cbfe600,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33223991,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00110000,0x00000000,0x004d4c00,
    0x00000000,0x00000000,0x000e6400,0x00000000,0x00000000,0x6c43dd70,
    0x7764004e,0x002776c3,0x00000133,0x3baa0000,0x0774402e,0x2e2007b6,
    0x001c0cee,0x10013bae,0x01ed81dd,0x6c3eec80,0x3ae204ee,0xa801c0ce,
    0x002c982c,0x017775c0,0x9dd70000,0x3ffff000,0x05fd3000,0x40bf7000,
    0xfffffff9,0x402fffff,0xfffffed9,0xffff90be,0xffffffff,0x3ffe2bff,
    0xb8ffdc05,0x3fea02ff,0x009ff30e,0x03fe2000,0x3fffffe6,0xff100cef,
    0x1ffb80df,0x06ffe440,0x05ff3000,0xf57ff900,0xffc800bf,0x4027fec4,
    0xceffffd9,0x3ffee000,0x004fffff,0x003fff50,0x3f26b7fe,0x7ff4400f,
    0x4fc9bfff,0xbffff900,0x9adff800,0x64000ffc,0x27fec4ff,0xfffffd10,
    0x8809f937,0x7ffc0fff,0xfff70001,0xffffb803,0x3204ffff,0x7d4005ff,
    0xb8004fff,0xc80002ff,0x3ffe604f,0xffffffff,0x3fff202f,0x1fffffff,
    0xfffffff9,0xbfffffff,0x807fffe2,0x5ff71ffb,0x987ffe20,0x000004ff,
    0x3fe60df7,0xffffffff,0x2ffff884,0xb007fee0,0x000dfbdf,0x8003fff4,
    0x005ffffc,0x3f627fdc,0xfffb803f,0x01efffff,0xffffff70,0xf50009ff,
    0x7d4001bf,0x803fffff,0xffea9dfb,0xfc800fff,0x00dffabf,0xffffff50,
    0x4ffb8007,0x2e01ffec,0xfffea9df,0xfff800ff,0x000fff40,0x4006ffd4,
    0xfffffffb,0x13ff204f,0xdffffb00,0x05ff7000,0x407fb000,0xffcaaaa8,
    0x880aaaad,0x9abdfffe,0x5531feca,0x5bff9555,0x3e235555,0x3ee05fff,
    0x205ff71f,0x7fcc2ffe,0x2a600004,0xff304fe9,0xfffb755b,0xffff885f,
    0x807fee06,0x007f26f8,0x003fff40,0x8009dd70,0x775c3ee9,0xcfffd801,
    0x1fffeb9a,0x99999880,0x4c000999,0xb30003ee,0x1c003bdd,0x4005f6dc,
    0x3b661deb,0x3bb66004,0x774c001d,0x800f75c3,0x00bedb83,0x59305930,
    0x07dd3000,0x4ccccc40,0x3f200999,0x6ffc004f,0x5c001ffd,0xb88002ff,
    0x2cefffed,0x003ffa80,0x9803fffb,0x01ffd400,0x0bffffe2,0xffb8ffdc,
    0x983ffd82,0x4c0004ff,0x2ffffffd,0x3209ff30,0x7ffc47ff,0x3ff701ff,
    0x3f937c40,0x0bfe6000,0x00000000,0x3fff3000,0x00bffd10,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x009ff900,
    0x7fd57fd4,0x64cccc04,0x99999bff,0x7ffe4409,0x05ffffff,0x9803ffa8,
    0x00000eff,0xf8807ff5,0xf706ffcf,0x70bfee3f,0x3fe60bff,0x3fee0004,
    0x1fffffff,0xf104ff98,0x67fc41ff,0x3ff705ff,0x6fddfd80,0x00000000,
    0x00013531,0x1ffd8000,0x003ffe20,0x4c400000,0x0000009a,0x10000000,
    0x20001353,0x98000099,0x33000009,0x00000001,0x00033300,0x7dc00266,
    0x3ff6004f,0x7c06ff88,0xffffffff,0x6c4fffff,0xbffcefff,0xffa805dc,
    0x02ffe803,0x0ffea000,0xff79ff10,0x2e3ff705,0x1bfe62ff,0x0004ff98,
    0xd359fffb,0xf981ffff,0x87ff604f,0x1ffccff8,0x4401ffb8,0x0000effd,
    0x3faa0000,0x84ffffff,0xfb804ff9,0x06ff982f,0xf984ffc8,0x2ffb804f,
    0x3ffffaa0,0xff984fff,0x22ffb804,0xfb804ff9,0x3ffaa02f,0x804fffff,
    0xceffffd9,0x3ff66000,0x4000ceff,0xceffffd9,0x013fe600,0x9300bfee,
    0x7bfffffd,0xffffd980,0x3fee00ce,0xd97fe004,0x3ffe01ff,0xffffffff,
    0x3fee4fff,0x000ff50e,0xf9807ff5,0x5400006f,0x7fc403ff,0xfb86ff8c,
    0x225ff71f,0x3e600fff,0xff98004f,0x7ff7fc0f,0xd027fcc5,0x67fc41ff,
    0xffb85ff9,0x3e000001,0xffffffff,0x880fffff,0xfffffffe,0x4ff985ff,
    0xb82ffb80,0xff9803ff,0x804ff986,0xfe882ffb,0xffffffff,0x804ff985,
    0x3fe62ffb,0x82ffb804,0xffffffe8,0x7dc05fff,0xefffffff,0xffffb800,
    0x000effff,0xfffffff7,0x3fe601df,0x02ffb804,0x3fffffee,0x3ee07fff,
    0xefffffff,0x007ff700,0xffb8ffea,0x32666604,0x99999bff,0xb8bffa09,
    0xffa8006f,0x01ffdc03,0x0ffea000,0x3f29ff10,0xb8ffdc2f,0x03ffd2ff,
    0x8004ff98,0x7fcc1ffd,0x3e61fff9,0x8dff304f,0x1ffd4ff8,0xf801ffb8,
    0xff001fff,0xffffffff,0xfd01ffff,0x533337df,0x09ff3099,0xf905ff70,
    0x1ffe001f,0x2e013fe6,0xeffe82ff,0x4ca9999b,0xb804ff98,0x13fe62ff,
    0x3a0bfee0,0x9999beff,0x3ff604ca,0xffeb9acf,0x3fff601f,0xfffeb9ac,
    0x67ffec01,0x1fffeb9a,0xb804ff98,0xfffb02ff,0xfd95357b,0x2b3fff60,
    0x81fffeb9,0xfb003ffb,0x037fc41f,0x2005ff70,0x17f20fff,0x00ffea00,
    0x00005ff9,0x4403ffa8,0x8dff14ff,0x5ff71ffb,0xf3005ff9,0xff98009f,
    0xff95fc86,0x4c27fcc7,0x7fc42ffe,0xfb89ff54,0x7ffd401f,0x9999004f,
    0xfd999999,0x0dff70df,0x013fe600,0x3f60bfee,0x21ffa007,0xfb804ff9,
    0x037fdc2f,0x804ff980,0x3fe62ffb,0x42ffb804,0x20006ffb,0xfd00fff9,
    0x3ffe60bf,0x40bffd00,0xfd00fff9,0x09ff30bf,0xf505ff70,0x981805ff,
    0xffd00fff,0x007ff70b,0x3ffa1bfe,0x05ff7001,0xfd8fffa0,0x3ffa8004,
    0x640ffec0,0x01eeeeee,0x2201ffd4,0x8ffee4ff,0xbff71ffb,0x3e6009ff,
    0x7fdc004f,0xff33fe83,0x6677fccd,0x883fffed,0x83ffa4ff,0x7ec01ffb,
    0x00006fff,0x3607ffe2,0xf30002ff,0x5ff7009f,0x7400ffd0,0x27fcc0ff,
    0x3617fdc0,0xf30002ff,0x5ff7009f,0x5c027fcc,0x17fec2ff,0x03ffb000,
    0x6c07ff44,0x3fa201ff,0x03ffb00f,0x2607ff44,0xffb804ff,0x001ffe82,
    0x4403ffb0,0x7fd40ffe,0x83ffa803,0xf7003ffb,0x3ff2005f,0x0007fd2f,
    0xfe807ff5,0xffffe80f,0x7fd401ff,0x227fc403,0x3ff70fff,0x13ffffee,
    0x0027fcc0,0xff107ff2,0xff33ffc1,0x3bffffff,0xfa93fe20,0x007fee4f,
    0x03ffbbff,0x13ff6000,0x80007ff4,0xfb804ff9,0x006ff82f,0xff307ff6,
    0x85ff7009,0x30000ffe,0xff7009ff,0x4027fcc5,0x7ff42ffb,0xdff30000,
    0x989ff900,0xffc806ff,0x806ff984,0x7fcc4ffc,0x42ffb804,0x30005ffb,
    0xff900dff,0x803ffa89,0xff981ffd,0x05ff7006,0x7f7fff40,0xffa8002f,
    0x407ff403,0x1ffecccb,0x201ffd40,0x7fdc4ff8,0x3ee3ff73,0x802ffebf,
    0x6c004ff9,0x237dc0ff,0xdff30fff,0x407fffb9,0x7ff44ff8,0x5403ff70,
    0x04ffaaff,0x06ffa800,0x4000fff6,0xfb804ff9,0x007ff82f,0xff303ffa,
    0x85ff7009,0x30003ffd,0xff7009ff,0x4027fcc5,0x7fec2ffb,0x7ff70003,
    0xb8dff300,0xff9803ff,0x803ffb86,0x7fcc6ff9,0x42ffb804,0x70001ffe,
    0xff3007ff,0x802ffa8d,0x3ffa06ff,0x02ffb801,0x3ffff620,0x7d4000cf,
    0x0ffec03f,0x200ffdc0,0x7c403ffa,0xb8ffe84f,0x35ff71ff,0xf9803fff,
    0x3ffc004f,0x3ffa27ec,0xfc89ff30,0x89ff104f,0x3ff73ffb,0x7c47fec0,
    0x7c40006f,0x3fee01ff,0xff98003f,0x82ffb804,0xfd000ffe,0x009ff30f,
    0xffb85ff7,0xff98003f,0x22ffb804,0xfb804ff9,0x1fffdc2f,0x00ffe400,
    0x7fe47ff8,0x90fff001,0x3fe003ff,0x4027fcc7,0x37fc2ffb,0x03ff9000,
    0xff51ffe0,0x9dffa805,0xffd99999,0x02ffb803,0xffffda80,0xff5000cf,
    0x02ffb807,0x5401ffb8,0x7fc403ff,0xfbbffa84,0x2e5ff71f,0x3e600eff,
    0x3ffc004f,0xffb07fe2,0x3a13fe61,0x4ff881ff,0xffbb7fc4,0xfd97fe01,
    0x3f20001f,0xfffd804f,0x3fe6002e,0x82ffb804,0xff000ffe,0x009ff30d,
    0xffb05ff7,0x7cc005df,0x2ffb804f,0x2e013fe6,0xfffd82ff,0x3ff6002e,
    0xd8ffd000,0xffd000ff,0x2001ffb0,0x27fcc7fe,0xf317fdc0,0x7ec000bf,
    0x8ffd000f,0x7ec02ffa,0xffffffff,0xfb806fff,0x3ee0002f,0x802fffff,
    0x7d403ffa,0x1ffb805f,0x201ffd40,0xffd04ff8,0x3fee3ff7,0x9817ff62,
    0x7fc004ff,0x7f43fd47,0x2a13fe67,0x4ff886ff,0xffbaffc8,0x5c7ff501,
    0xf50004ff,0x7fe400df,0x4c00cfff,0xffb804ff,0x802ffd82,0xff985ff9,
    0x02ffb804,0x19fffff9,0x804ff980,0x3fe62ffb,0x02ffb804,0x19fffff9,
    0x2007ff80,0x1ffe0ffe,0x7c0ffe80,0x3ffa007f,0x2013fe60,0x3fea2ffb,
    0x1ffe0004,0x260ffe80,0x7ffc02ff,0xffffffff,0x7dc00fff,0x3ee0002f,
    0x01fffeae,0x2201ffd4,0x7dc00fff,0x1ffd401f,0x5413fe20,0xf71ffeff,
    0x1fff445f,0x4004ff98,0x13f20fff,0x4ff99ffe,0xf883ffd0,0xbeff884f,
    0x1ffb01ff,0x40037fc4,0x4001ffe8,0xcfffffd9,0x009ff300,0xff505ff7,
    0x05ff900b,0xf7009ff3,0x7fecc05f,0xf300cfff,0x5ff7009f,0x5c027fcc,
    0x3f6602ff,0xf00cffff,0x7fec00ff,0xd801ffe1,0x03ffc1ff,0x7cc3ffb0,
    0x2ffb804f,0x80013fee,0x3f6007ff,0x807ba61f,0xaaaadffa,0x3ffdaaaa,
    0x002ffd40,0x7fec9f90,0x01ffd405,0x2e02ffe4,0x7fd401ff,0x027fc403,
    0x2e3ffffd,0x7ffcc2ff,0x004ff981,0x5ff0fff4,0x7fccdff0,0x88bff504,
    0xbff904ff,0x1bfe03ff,0x90007ffa,0x4c0009ff,0x81fffffc,0xfb804ff9,
    0x03fff02f,0xf9837fc4,0x2ffb804f,0xffffc980,0x04ff981f,0x3e62ffb8,
    0x2ffb804f,0xffffc980,0x007ff81f,0x7ff83ffa,0xf03ffa00,0x7ff400ff,
    0x2013fe60,0x3fea2ffb,0x1ffe0004,0x000ffe80,0x9801ffc8,0x7fc406ff,
    0x7fb0000f,0x7d407ff8,0xfff8803f,0x03ff700d,0x4403ffa8,0x3fea04ff,
    0x05ff71ff,0xf981fff5,0x7fe4004f,0xfa81ff32,0x813fe64f,0x3fe21ffe,
    0xfffff104,0x707ff503,0x7cc007ff,0x7100006f,0xf981ffff,0x2ffb804f,
    0x101fff90,0x3e607ffd,0x2ffb804f,0x3ffee200,0x027fcc0f,0xff317fdc,
    0x05ff7009,0x7fffdc40,0xd003ff40,0x007fe8ff,0x1ffa1ffa,0x7cc7fe80,
    0x2ffb804f,0x80017fe6,0x3fa007fe,0x0fff0007,0x2007ffc0,0x999cfffe,
    0x217f402a,0x55510fff,0x555bff95,0xffff5015,0xffd53379,0x03ffa803,
    0x3a027fc4,0x5ff71fff,0xf31bff20,0x555555df,0xaffd4555,0x2ffc85fc,
    0xfb813fe6,0x813fe25f,0xd81ffffd,0x6ff981ff,0x007ffa00,0x9ffd1000,
    0xb804ff98,0xffd102ff,0xfff9559f,0x027fcc0b,0x40017fdc,0x7cc4ffe8,
    0x2ffb804f,0x2e013fe6,0xe88002ff,0x07fec4ff,0x7ec6ff80,0x0dff000f,
    0x3e001ffb,0x027fcc6f,0xff117fdc,0x7fec000d,0x98dff000,0x9ff501ee,
    0x01ffe400,0x3fffffe6,0x0ffc04ff,0x7fccdff5,0xffffffff,0xffd302ff,
    0xffffffff,0x03ffa803,0x26027fc4,0x5ff71fff,0xf327ff40,0xffffffff,
    0x7ffc4dff,0x7fc43fe9,0x2027fcc6,0x9ff11fff,0x0ffffcc0,0xffd037fc,
    0x09ff9003,0x3fe60000,0x402ffcc6,0x3a201ffb,0xffffffff,0x02ffcc04,
    0x8000ffdc,0x7fcc6ff9,0x21ffb805,0xfb805ff9,0xff30001f,0x802ffc8d,
    0x7fe45ff9,0x85ff9802,0xf9802ffc,0x02ffcc5f,0x3fe0ffdc,0xff90000f,
    0x8bff3005,0xff907fff,0x37fcc003,0x7fffe440,0xf88313ff,0x49ffd30f,
    0xfffffff9,0x402fffff,0xffffffeb,0x3ffa802d,0x4027fc40,0x5ff71ffd,
    0x997ffc40,0xffffffff,0x7fe46fff,0x3fa20ffe,0x027fcc2f,0x7fc53fee,
    0x0fffec04,0x26677fea,0x03ffd999,0x00037fcc,0x3e1ffe00,0x0ffc805f,
    0x7fff5c40,0xbff002df,0x001ff900,0x7fc3ffc0,0x40ffc805,0xffc805ff,
    0x1ffe0000,0xf900bff5,0x05ffa85f,0xfa82ffc8,0x2ffc805f,0xfc805ff8,
    0x027fec0f,0x805ffa80,0x7ffc2ffc,0x3200000f,0x4c4000ef,0x677fcc09,
    0xffffdffd,0x1df90005,0x004cc400,0x90000000,0x000001ff,0x3ffe2000,
    0xffeca9ff,0x00000005,0x7fffec00,0xffffffff,0x00fff406,0xbff10000,
    0xf801fff0,0x7fdc007f,0x07ffc002,0x8001ffe0,0xfff85ff8,0x7c3ffc00,
    0x3ffc00ff,0x0bff1000,0x7c401fff,0x01fff06f,0xff037fc4,0x37fc401f,
    0x7c00fff8,0x1fff987f,0x01fff000,0x7e437fc4,0x2a00004f,0x266000ff,
    0x3fffe600,0xcfffffff,0x0ffa8000,0x00026600,0x00000998,0x4cc03fec,
    0x00998000,0xfffffd10,0x98009fff,0x26600009,0xfffff000,0xffffffff,
    0x13ff201f,0xffb00000,0x409ff909,0x44003ffc,0x7e4006ff,0x0fff204f,
    0x84ffd800,0x3f204ffc,0x04ffc83f,0x8000fff2,0xffb84ffd,0x2ffe880e,
    0x101dff70,0x7dc05ffd,0xffe880ef,0x409ff902,0xffb03ffc,0xfb81805f,
    0xffe880ef,0x00001102,0x22004fe8,0x765404ff,0x0bdefffe,0x013fa000,
    0x0004ff88,0x00009ff1,0x22037fc4,0x7c4004ff,0x3fe2004f,0x002dffff,
    0x80027fc4,0xfa804ff8,0xaaaaaadf,0x983ffdaa,0x98000eff,0xa99aabdf,
    0x880efffb,0xa99adfff,0xd0006ffd,0x064417ff,0x4d6fffc4,0x986ffda9,
    0xa99aabdf,0x880efffb,0xa99adfff,0xff106ffd,0xfb5335bf,0x57bf30df,
    0xfff75335,0xfffd101d,0xbffd9559,0x67fff440,0x05ffecaa,0x567fff44,
    0x205ffeca,0x99adfff8,0x2206ffda,0xaaceffff,0xfe887fcb,0xfecaacff,
    0x0000005f,0xf5002ffc,0x4fd8003f,0x17fe0000,0x001ffa80,0x0003ff50,
    0x00bffaa0,0xa8003ff5,0x3ea001ff,0x2000099f,0x50001ffa,0xff9003ff,
    0x0dff3003,0x9999dffd,0x43999999,0xfffffff9,0x200effff,0xfffffffa,
    0x30001eff,0xffdbffff,0x3fffea0b,0x81efffff,0xfffffff9,0x200effff,
    0xfffffffa,0x3ea01eff,0xffffffff,0xffff981e,0xefffffff,0x3fff6200,
    0x804fffff,0xffffffd8,0xfb1004ff,0x9fffffff,0xfffff500,0x803dffff,
    0xffffffd8,0xfb107fff,0x9fffffff,0x90000000,0xb801ddff,0x3fe8007f,
    0x3ff20000,0x3fdc01ee,0x00ff7000,0xbffff100,0x000ff700,0xfd800ff7,
    0xff700004,0x03fdc000,0x3e007ff8,0x3ffe60ff,0xffffffff,0x3f622fff,
    0xdfffffff,0xffd91002,0x00007dff,0xfffffff5,0x7ff64409,0x36203eff,
    0xffffffff,0xfd91002d,0x2007dfff,0xeffffec8,0x3fff6203,0x02dfffff,
    0x3ffffae0,0x7f5c002d,0x8002dfff,0x2dffffeb,0x3ffb2200,0x54003eff,
    0xbdefffed,0x7fff5c02,0x000002df,0x3fffb100,0x8004fd80,0x200002ff,
    0x401fffc8,0x360004fd,0xf980004f,0x9fb004ff,0x009fb000,0x00002ff8,
    0x6c0009fb,0x4ffa804f,0x98fff200,0xffffffff,0x02ffffff,0x00026666,
    0x00000660,0x02f3b2e2,0x20003300,0x00009999,0x98000198,0x33330001,
    0x01300001,0x00026000,0x00000980,0x4c000033,0x00260000,0x30000000,
    0x00399001,0x0000ee88,0x99001100,0x0e640003,0x0de4c000,0x00039900,
    0x54400399,0x33200002,0x07320001,0x8007ff20,0x00006ff9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xbd700000,
    0x00276c43,0x80009dd7,0x50004eeb,0x20000599,0x4000deec,0x2602eeea,
    0x00004eed,0x775c0000,0x9dd70004,0x88000000,0x00f6c0ee,0x0009ddb3,
    0x0bbbaa00,0x009dd700,0x59305950,0x33bae200,0x775c01c0,0x0013b621,
    0x002eeea8,0x54009dd7,0x002c982c,0x405ddd50,0x0004eed9,0x164c1654,
    0x3bbaa000,0x09ddb302,0x00ccc000,0x13bb6200,0x002b33a2,0xff57ff90,
    0x7ffe400b,0xff90005f,0xfa800bff,0x40004fff,0x4000dffd,0x9801fffa,
    0x80004ffe,0x90002ff9,0x800bffff,0x005ffffc,0x40017fcc,0xffd9adff,
    0x27ff4c00,0x3fea0000,0x7fe4001f,0x3e2005ff,0x0fffc0ff,0x3ffffa20,
    0x804fc9bf,0x5ffabffc,0x3ffea000,0xffff9001,0x1fff100b,0x4001fff8,
    0x9801fffa,0x10004ffe,0xfff81fff,0xfff50001,0x4ffe9803,0xffd93000,
    0x8007bfff,0xf104ffe8,0x0019ffff,0x02ffffe4,0xff57ff90,0x7fec001b,
    0x7005ffab,0x09ff99ff,0x00fff600,0x0037fea0,0x0009ff90,0x8007ffe8,
    0x5ffabffd,0xf57ff900,0x3fa001bf,0xffa8007f,0x2003ffff,0x00004ffc,
    0x8001bff5,0xdffabffc,0x81fff000,0x7dc01ffe,0xffffea9d,0xfff9000f,
    0x7d4000bf,0xff9000df,0x801bff57,0x7ff40fff,0x37fea001,0x27fe4000,
    0x40fff800,0xa8001ffe,0x32000dff,0x7dc004ff,0xffffffff,0x3ffa2007,
    0x3ffba201,0x2e002fff,0x3ae004ee,0x013b661d,0xdb30ef5c,0x22eea809,
    0x5c003eea,0xe98001de,0x3aa0003e,0x3fa0002e,0x6f5c007f,0x7013b661,
    0x276cc3bd,0x007ffe80,0x03bddb30,0x005dd500,0x003ee980,0x3661deb8,
    0x0593004e,0x20e00593,0x4000bedb,0x20004eeb,0x2e003ee9,0x13b661de,
    0x59305930,0x01f74c00,0x005dd500,0x59305930,0x07dd3000,0x00bbaa00,
    0x55efffec,0x2007eca9,0x54000ded,0x0002fffe,0x00000000,0x00000000,
    0x00000000,0xf9800000,0x0000002f,0x7cc00000,0x0000002f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0c02fffa,0x32000000,0x4cc007ff,0x00000001,0xea803330,
    0x3b20001e,0x005eeeee,0x00000000,0x30000000,0x00000135,0x98000000,
    0x9980009a,0x09980000,0x00998000,0x00099800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ff40000,0x00000001,0x407ffb00,
    0xfffffec9,0x027fcc3d,0x26017fdc,0xdfffffec,0x002ffa83,0x3fffff60,
    0x27fcc07f,0xf317fdc0,0x5ff7009f,0xb3000000,0x7dfffffd,0xfffffb01,
    0x001fffff,0xfdb30000,0x017dffff,0x77fffecc,0x3f66000c,0x000cefff,
    0x3bffff66,0x3f66000c,0x200cefff,0x5c06fff8,0x3ffe21ff,0x40ffdc06,
    0x98004ff9,0xffffffff,0x7cc2ffff,0xffffffff,0x3fe22fff,0x0ffdc06f,
    0x00ffffc0,0x03ffff00,0x3ffffe60,0x2fffffff,0xffffffd8,0x2e1fffff,
    0x4c0005ff,0xefffffff,0xffb8000c,0xfffff705,0xf98fffff,0x2ffb804f,
    0x3ffffee0,0xfa87ffff,0x32a0002f,0x407ffccc,0xfb804ff9,0x013fe62f,
    0x3f60bfee,0xffffffff,0x3ff201ff,0xffffffff,0xfffffd81,0x4c0fffff,
    0xffffffff,0x3202ffff,0xffffffff,0xfff701ff,0x01dfffff,0xffffff70,
    0xf7001dff,0xdfffffff,0xffff7001,0x201dffff,0x202ffff8,0x3fe21ffb,
    0x3fee02ff,0x004ff981,0xffffff98,0x42ffffff,0xfffffff9,0x222fffff,
    0x2e02ffff,0x7fd401ff,0xf50004ff,0x26009fff,0xffffffff,0xfd82ffff,
    0xffffffff,0x07ffa1ff,0xffff3000,0x09ffffff,0xd86ff980,0xa9abdfff,
    0x27fcc7ec,0xd817fdc0,0xa9abdfff,0x2ffa87ec,0x3ff40000,0x2013fe60,
    0x3fe62ffb,0x82ffb804,0xfffffffd,0xe881ffff,0xa9abdfff,0xaaa81fec,
    0xffeaaaaa,0x7ffffcc0,0x2fffffff,0xbdfffe88,0x81feca9a,0xb9acfffd,
    0x3601fffe,0xeb9acfff,0x3f601fff,0xfeb9acff,0x3ff601ff,0xffeb9acf,
    0xffff881f,0x887fee06,0x2e06ffff,0x4ff981ff,0xaaaa8800,0xaaaadffc,
    0x65555440,0x0aaaadff,0x81bfffe2,0x7ec01ffb,0xb0006fff,0x200dffff,
    0xffcaaaa8,0xd80aaaad,0xaaaaabff,0x1bfe0aaa,0x37fe6000,0xffffdbaa,
    0x17fe6002,0x1805fff5,0x5c027fcc,0xfffa82ff,0x7fd40c02,0x7f400002,
    0x027fcc07,0xff317fdc,0x05ff7009,0x55557ffb,0xfb015555,0x009803ff,
    0x440ffd80,0xdffcaaaa,0xfd80aaaa,0x204c01ff,0xfd00fff9,0x3ffe60bf,
    0x20bffd00,0xfd00fff9,0x3ffe60bf,0x10bffd00,0x203fffff,0x3fe21ffb,
    0xff701fff,0x009ff303,0x00ffea00,0x201ffd40,0x01fffff8,0xff803ff7,
    0x8001ffdd,0x01ffddff,0x007ff500,0x98003ff6,0x980005ff,0xfff904ff,
    0x21ffec00,0x98001ffe,0xffb804ff,0x001ffe82,0x0005ff50,0x4c07fe80,
    0xffb804ff,0x2013fe62,0xffd82ffb,0xeff98000,0x36000000,0xffa800ff,
    0x0eff9803,0x03ffb000,0x6c07ff44,0x3fa201ff,0x01ffd80f,0x3603ffa2,
    0x3fa201ff,0x7e7fc40f,0x43ff705f,0x05ffcff8,0xff303ff7,0x3ea00009,
    0xff50003f,0xfcff8807,0x03ff705f,0x7fd57fd4,0x57fd4004,0x50004ffa,
    0x3f6007ff,0x3fea000f,0xff980004,0x01fff104,0xdffd7553,0x0005ffb8,
    0xf7009ff3,0x05ffb85f,0x88bfea00,0xe80009aa,0x27fcc07f,0xf317fdc0,
    0x5ff7009f,0x0001ffb0,0x00005ffd,0x800ffd80,0xfe803ffa,0xff30002f,
    0x89ff900d,0xfc806ff9,0x037fcc4f,0x3e627fe4,0x4ffc806f,0x7fe67fc4,
    0x221ffb81,0x81ffccff,0xff981ffb,0xff500004,0x3fea0007,0x667fc403,
    0x1ffb81ff,0x3e23ff60,0x7fec006f,0x0006ff88,0x36007ff5,0x3ee000ff,
    0xf980004f,0x07ff604f,0x3bffffee,0x000fff41,0xb804ff98,0x0fff42ff,
    0x25ff5000,0x03fffffc,0x2603ff40,0xffb804ff,0x2013fe62,0xffd82ffb,
    0x37fcc000,0x7ec00000,0x3ffa800f,0x0037fcc0,0x3007ff70,0x3ffb8dff,
    0x5c6ff980,0xff9803ff,0x401ffdc6,0x7fc46ff9,0xfb85ff9c,0x273fe21f,
    0x1ffb85ff,0x0004ff98,0x0007ff50,0xf100ffea,0x70bff39f,0x2ffc03ff,
    0x7c003ffb,0x007ff65f,0x400ffea0,0x2a000ffd,0x980004ff,0x3ffa04ff,
    0x2ceffb80,0x4000dff0,0xfb804ff9,0x0037fc2f,0x3fabfea0,0x03ffffff,
    0xf301ffa0,0x5ff7009f,0x5c027fcc,0x0ffd82ff,0x01ffdc00,0x7fec0000,
    0x03ffa800,0x0001ffdc,0x3e003ff9,0x00ffe47f,0x7fe47ff8,0xc8fff001,
    0xfff001ff,0xffd4ff88,0x221ffb81,0x81ffd4ff,0xff981ffb,0xff500004,
    0x3fea0007,0xea7fc403,0x0ffdc0ff,0x3ee3ffa8,0x7ff5004f,0x40027fdc,
    0xfb003ffa,0x7fd4001f,0xff980005,0x20dff304,0x3e600ffb,0x3e60005f,
    0x2ffb804f,0x00017fe6,0x25fffff5,0x000fffc8,0xff980ffd,0x22ffb804,
    0xfb804ff9,0x00ffd82f,0x0017fe40,0x07fec000,0x201ffd40,0x20002ffc,
    0xfd000ffd,0x000ffd8f,0x0ffd8ffd,0xfd8ffd00,0x8ffd000f,0x9ff54ff8,
    0x3e21ffb8,0xb89ff54f,0x4ff981ff,0x7ff50000,0x0ffea000,0x3ea9ff10,
    0x80ffdc4f,0x3fe20ffd,0x41ffb006,0xa8006ff8,0xffb003ff,0x33333333,
    0x0037fcc1,0x4c27fcc0,0xff502ffe,0x027fd401,0x009ff300,0x7fd45ff7,
    0x7fd40004,0x2ffd80ef,0x980ffd00,0xffb804ff,0x2013fe62,0xffd82ffb,
    0x99999999,0x640ffec0,0x01eeeeee,0x800ffd80,0x7ec03ffa,0xeeeec81f,
    0x01ffe1ee,0x3fe0ffe8,0x83ffa007,0x3fa007ff,0x801ffe0f,0x3fe20ffe,
    0xfb83ffa4,0xe93fe21f,0x07fee0ff,0x00013fe6,0x8001ffd4,0x7c403ffa,
    0xb83ffa4f,0x0dff01ff,0xff003ffd,0x003ffd0d,0xb003ffa8,0xffffffff,
    0x7ffc4dff,0x7fcc0000,0xfffedcce,0x803fea03,0x20004ffb,0xfb804ff9,
    0x013fee2f,0x01fff500,0x7400ffee,0x27fcc07f,0xf317fdc0,0x5ff7009f,
    0xffffffb0,0xfe8dffff,0xffffe80f,0xfd8001ff,0x3ffa800f,0x7407ff40,
    0x21ffffff,0x3f6007ff,0x801ffe1f,0x1ffe1ffd,0x3e1ffd80,0x3ff6007f,
    0xfa93fe21,0x887fee4f,0x93fea4ff,0xff981ffb,0xff500004,0x3fea0007,
    0x527fc403,0x0ffdc9ff,0x7dc1ffd4,0x1ffd403f,0x2001ffdc,0xfb003ffa,
    0xffffffff,0x04ffd8df,0x7fffcc00,0x401dffff,0x3ea00ee9,0x3e60004f,
    0x2ffb804f,0x00013fea,0x7cc05ff5,0x0ffd004f,0xb804ff98,0x13fe62ff,
    0x360bfee0,0xffffffff,0x07ff46ff,0x7ff6665c,0x0ffd8001,0x403ffa80,
    0xccb80ffe,0x3fe1ffec,0x83ffa007,0x3fa007ff,0x801ffe0f,0x1ffe0ffe,
    0x220ffe80,0x87ff44ff,0x3fe21ffb,0xfb87ff44,0x04ff981f,0x07ff5000,
    0x00ffea00,0xffe89ff1,0xfb03ff70,0x0dff303f,0xf981ffd8,0x7fd4006f,
    0x33ffb003,0x81333333,0x0001fff9,0x3f73bfe6,0x200003ff,0x20005ff9,
    0xfb804ff9,0x017fe62f,0x405ff500,0xfd004ff9,0x04ff980f,0x3e62ffb8,
    0x2ffb804f,0x9999ffd8,0x7ec09999,0x1ffb801f,0x00ffd800,0x6c03ffa8,
    0xffb801ff,0xe801ffa1,0x003ff47f,0x07fe8ffd,0xffd1ffa0,0x223ff400,
    0x9ffdc4ff,0x3fe21ffb,0xfb9ffdc4,0x04ff981f,0x07ff5000,0x00ffea00,
    0xffb89ff1,0xff03ff73,0x00fff40d,0x7ff40dff,0x0ffea001,0x0007fec0,
    0x2017fff4,0xc89ff301,0x100004ff,0x4c000dff,0xffb804ff,0x001bfe22,
    0x4c05ff50,0xffd004ff,0x804ff980,0x3fe62ffb,0x82ffb804,0x5c000ffd,
    0xffb802ff,0x0ffd8001,0x403ffa80,0xfb802ffb,0x003ff61f,0x3ff637fc,
    0xd8dff000,0xdff000ff,0xf000ffd8,0x44ff88df,0x3ff76ff8,0x3e227fc4,
    0x303ff76f,0x200009ff,0x50003ffa,0xff8807ff,0xfbb7fc44,0x4effd41f,
    0xffd99999,0x33bff503,0x7ffb3333,0x01ffd400,0x8000ffd8,0xacefffe8,
    0xf307fcba,0x03ffd09f,0x3e00ef54,0xf30000ff,0x3ff700bf,0x0000fff8,
    0xf980bfea,0x0ffd004f,0xb805ff98,0x17fe61ff,0x3607fee0,0x7d4000ff,
    0x1ffb805f,0x00ffe800,0x5403ffa8,0xffb805ff,0x200bff21,0x7fe45ff9,
    0x45ff9802,0xf9802ffc,0x017fe45f,0x3e22ffcc,0xbaffc84f,0x13fe21ff,
    0x3feebff2,0x004ff981,0x007ff500,0x100ffea0,0x5ff909ff,0xffd83ff7,
    0xffffffff,0xfffb06ff,0xffffffff,0x7fd400df,0x01ffb003,0x3fffa200,
    0x07ffffff,0xff509ff3,0x1bffe20d,0x0009ffb0,0x7e402ffc,0x027fec0f,
    0x405ff500,0xfd004ff9,0x00bff00f,0x5ff81ff9,0xd80ffc80,0x7c4000ff,
    0x7fdc00ff,0x3ffc4001,0x403ffa80,0x5c00fff8,0x17fea1ff,0xf50bff20,
    0x5ff900bf,0xc805ffa8,0x2ffd42ff,0x2217fe40,0xeff884ff,0x3fe21ffb,
    0xfbeff884,0x04ff981f,0x07ff5000,0x00ffea00,0xff109ff1,0xff83ff7d,
    0xffffffff,0xff80ffff,0xffffffff,0x5000ffff,0x3f6007ff,0x6d40000f,
    0x2bdfffff,0x3a09ff30,0xfff981ff,0x0fffcc06,0x00fff800,0x7fcc3ffc,
    0xff50001f,0x027fcc05,0xff807fe8,0x43ffc00f,0x7fc00fff,0x001ffb07,
    0xb80bff90,0x7d4001ff,0x7ff5006f,0x80bff900,0x7ffc1ffb,0x41bfe200,
    0x3e200fff,0x01fff06f,0xff837fc4,0x1bfe200f,0x7e413fe2,0x3e21ffdf,
    0xfbff904f,0x09ff303f,0x0ffea000,0x01ffd400,0x7e413fe2,0x3ea1ffdf,
    0xaaaaaadf,0x543ffdaa,0xaaaaadff,0x03ffdaaa,0x2007ff50,0x00000ffd,
    0x26001dff,0xbff504ff,0x200bff60,0x0c02fffd,0xf9027fe4,0x3fff607f,
    0x7fd40c02,0x013fe602,0x7e403ff4,0x0fff204f,0xfc813ff2,0x01ffb03f,
    0x1bfff100,0x2e07fee0,0x03ffd880,0x1007ff50,0x2e01bfff,0x77fdc1ff,
    0x02ffe880,0xd101dff7,0x3fee05ff,0x2ffe880e,0x101dff70,0xff105ffd,
    0x3fffe209,0x413fe21f,0x81fffff8,0x00004ff9,0x20007ff5,0x7c403ffa,
    0xffff104f,0x00ffe43f,0x3f237fcc,0x6ff9801f,0x007ff500,0x00003ff6,
    0x9800ffe2,0x3ffa04ff,0x22001301,0xaaceffff,0xff887fcb,0xfda99adf,
    0x3ffe206f,0xfcbaacef,0x202ffa87,0xfd004ff9,0xbfff100f,0xdffb5335,
    0x2b7ffe20,0x06ffda99,0x40003ff6,0x9bcffffa,0xf81ffea9,0xfffcabcf,
    0x0ffea006,0x67fffd40,0x1ffea99b,0x567fff44,0x205ffeca,0xaacfffe8,
    0x2205ffec,0xcaacfffe,0x3a205ffe,0xecaacfff,0x9ff105ff,0x0ffffec0,
    0x7ec09ff1,0xff981fff,0xaaaaaaae,0x5555442a,0xaaaadffc,0x65555440,
    0x0aaaadff,0xfd813fe2,0x1ffe1fff,0x3e0fff80,0x3ffe007f,0x65555440,
    0x0aaaadff,0xaaabffd8,0x400aaaaa,0x26001ffa,0x3fee04ff,0xfb100005,
    0xffffffff,0x3fffea0f,0x01efffff,0x7ffffec4,0xfa87ffff,0x13fe602f,
    0xff555551,0x5035555f,0xffffffff,0x7fd403df,0xefffffff,0x2afff601,
    0x0aaaaaaa,0xfffffd30,0xf03fffff,0xdfffffff,0x2aaaa203,0xaaaadffc,
    0xffffd300,0x03ffffff,0xffffffb1,0xfb1009ff,0x9fffffff,0xffffb100,
    0x1009ffff,0xfffffffb,0x27fc409f,0x43ffff30,0x3e604ff8,0xff981fff,
    0xffffffff,0x7fffcc6f,0xffffffff,0x7ffffcc2,0x2fffffff,0xf9813fe2,
    0x9ff51fff,0xa9ffe400,0x3f2004ff,0x7fffcc3f,0xffffffff,0xfffffd82,
    0x01ffffff,0x26003fe4,0x7ffc04ff,0x36a00001,0x2bdefffe,0x3fffb220,
    0x6d4003ef,0x2bdefffe,0x2602ffa8,0x7ffcc4ff,0xffffffff,0xffd9105f,
    0x22007dff,0x3effffec,0xfffffd80,0x01ffffff,0x7fffff5c,0xffb502df,
    0xf9809dff,0xffffffff,0x75c02fff,0x2dffffff,0x7ffff5c0,0x7f5c002d,
    0x4002dfff,0x2dffffeb,0x7fff5c00,0x7fc402df,0x0fffec04,0xfd809ff1,
    0xfff981ff,0xffffffff,0x7ffffcc6,0x2fffffff,0x7fffffcc,0x22ffffff,
    0x7ec04ff8,0x03ff91ff,0xfcb7fcc0,0x3fe6001f,0x7ffffcc6,0x2fffffff,
    0xffffffd8,0x401fffff,0x7cc003ec,0x27fdc04f,0x01300000,0x0000cc00,
    0xff500130,0x227fcc05,0xfffffff9,0x005fffff,0x33000033,0xffffd800,
    0x1fffffff,0x00266200,0x7cc00330,0xffffffff,0x22002fff,0x13000099,
    0x00260000,0x00004c00,0x00000098,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcb800000,0x200ceefe,0x3b621eeb,0x2776cc04,0x40ee8800,
    0xd50001ed,0x000005dd,0x40ceeb88,0x9dd71003,0xd5000381,0x3ba605dd,
    0xed980002,0x0006f644,0x80013bae,0x40004eeb,0x50004eeb,0x00593059,
    0x05ddd500,0x3621eeb8,0x775c004e,0x74c00004,0x7754002e,0x6dc0002e,
    0xdd702eee,0x00276c43,0x00bbbae0,0x03eee980,0x22000000,0xd10009a9,
    0x001ed81d,0x1ed81dd1,0x3ea2f764,0x0fffffff,0x7d5ffe40,0xffd3005f,
    0x37fe0009,0x000ffc9a,0x401fffa8,0xfffffffb,0x3ffa204f,0x4fc9bfff,
    0x7ffff440,0x004fc9bf,0x200fffd4,0x500005fe,0x3ffd3bff,0xffffc800,
    0xfffc8005,0xff90005f,0xf8800bff,0x0fffc0ff,0x3fff5000,0x2afff200,
    0x7e4005ff,0x00005fff,0xa8003ff2,0x20001fff,0x3fffffe9,0x3eafff20,
    0x7dc0005f,0x260001ff,0xf7002fff,0x9fffffff,0x3fffaa00,0xf804ffff,
    0x0ffc9adf,0x26b7fe00,0x7fec0ffc,0x2b3ffe66,0xc800dbaa,0x8005ffff,
    0xa8004ffc,0x03ffffff,0x00dffa80,0xffffffb8,0x37ee04ff,0xfffffea9,
    0x54efdc00,0x00fffffe,0x0037fea0,0x00007fee,0x0f7fffcc,0x2afff200,
    0xf9000dff,0x01bff57f,0x7d5ffe40,0x3fe000df,0x00fff40f,0x00dffa80,
    0x2ffffe40,0x2afff200,0x40000dff,0x2a004ff8,0x40000dff,0x2ccdfffe,
    0x2ffffe40,0x37fea000,0x3fe60000,0x3fee001e,0x04ffffff,0x7fffff44,
    0xa805ffff,0x03ffffff,0x7ffffd40,0x25ffc83f,0x80001ffe,0x20004eeb,
    0x98002eea,0x8001deed,0x22003ee9,0x99999999,0x76dc1c00,0xb707000b,
    0x74c0017d,0x3fe2003e,0x36600004,0x75c000de,0x013b661d,0xed9877ae,
    0x43bd7004,0x26004ed9,0x002c982c,0x0007dd30,0x2002775c,0x3b661deb,
    0x7fdc0004,0x07dd3001,0x1bff7000,0x09dd7000,0x03ee9800,0x9affcc00,
    0x9998804c,0x40099999,0x999beffe,0xb3004ca9,0x20003bdd,0x901deed9,
    0x037fcbff,0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x05fe8000,
    0x36000000,0x000001ff,0x40000000,0x017f2198,0x3fee0000,0x00000006,
    0xffb80000,0x0003ffe4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffcc000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x005ff300,0x7fc00000,0x00000006,0xd0000000,0x0000005f,0x00005ffb,
    0x00000000,0x7fe49ff7,0xfff9000e,0xffffffff,0xff98bfff,0xffffffff,
    0x7ffcc2ff,0xffffffff,0xffffd82f,0x1fffffff,0x7fffffcc,0x02ffffff,
    0x001ffff8,0xfffffff3,0x365fffff,0x3ee005ff,0x00dfb06f,0x3ffffe60,
    0x2600ceff,0xffb804ff,0x4007ff32,0xbffb2ff8,0xb37fdc00,0x7dc00bff,
    0xfffff86f,0xffffffff,0x7ffffc0f,0xffffffff,0xffff800f,0x7fd80001,
    0x0ffffc00,0x0bff3000,0x7ffffec0,0x01ffffff,0xffffff50,0x44003fff,
    0x000ffbaa,0x400ffffc,0x00000ffe,0x000ffffc,0xfffffffb,0x3ea3ffff,
    0x3fffe23f,0xffffc803,0xffffffff,0x7ffcc5ff,0xffffffff,0x7fffcc2f,
    0xffffffff,0xfffffd82,0x41ffffff,0xfffffff9,0x402fffff,0x004ffffa,
    0xfffffff3,0x225fffff,0xfd001fff,0x07fea03f,0x3fffe600,0x04ffffff,
    0xf7009ff3,0x00ffe25f,0xff12ff98,0x3ffa003f,0x007ffe21,0x7fc0fff4,
    0xffffffff,0x7fc0ffff,0xffffffff,0x5400ffff,0x0004ffff,0x5001ffc4,
    0x0009ffff,0xb0027fd4,0xffffffff,0x36003fff,0xffffffff,0xfffb801f,
    0x2000ffff,0x804ffffa,0x00003ffd,0x013fffea,0xffffffd8,0xd31fffff,
    0x3fffa25d,0x2a601eff,0xdffcaaaa,0x441aaaaa,0xdffcaaaa,0x5440aaaa,
    0xadffcaaa,0xffd80aaa,0xaaaaaaab,0x5555440a,0xaaaadffc,0x7fffec00,
    0x55551006,0x5555bff9,0x4037fe41,0x7fc05ffb,0xdff98005,0xffffdbaa,
    0x804ff982,0x9ff12ffb,0x90ffcc00,0xff700dff,0x00dff90b,0x3320bff7,
    0xcccccccc,0xccc86ffe,0xeccccccc,0xffd806ff,0x640006ff,0x3f6000ff,
    0x20006fff,0x36003ffb,0xaaaaabff,0xf8800aaa,0x9999ffef,0x7fff4401,
    0x00efffff,0x0dffffb0,0x007fff70,0x3ffff600,0x2fff6006,0xaaaaaaaa,
    0x26bffa00,0x4004fffe,0x20003ffa,0x50003ffa,0x3f6007ff,0xf500000f,
    0xbff0007f,0x20003ffb,0x7c403ffa,0x3fe202ff,0x07fdc00f,0x413fe600,
    0xff987ffc,0x22ffb804,0x3ea004ff,0x0bffe21f,0x880fff88,0x3e202fff,
    0x220000ff,0x10001fff,0xff003fff,0x0003ffbb,0x3e002ffc,0x001ffddf,
    0x4003ff90,0x00000ffd,0x01ff9df9,0x31cffe80,0x001dffff,0x03ffbbff,
    0x05dfffb0,0xfddff800,0x1ffb001f,0xfadff800,0x77ffdc3f,0x07ff5000,
    0x01ffd400,0x003ffa80,0x00001ffb,0x5000ffea,0x09ff55ff,0x00ffea00,
    0xfb81bfee,0x4ff8804f,0x827fcc00,0x7cc0fff8,0x2ffb804f,0xfa8013fe,
    0x037fdc0f,0x7dc09ff7,0x13fee06f,0x09ffb000,0x027fec00,0x7fd57fd4,
    0x3ff50004,0x557fd400,0xccb804ff,0xccdffecc,0x1ffb01cc,0x2ffe0000,
    0x2a000ffc,0x66fe44ff,0x7fd406ff,0x9004ffaa,0x019fffff,0xfaaffa80,
    0x1ffb004f,0x657fcc00,0xffe980ff,0x07ff5006,0x01ffd400,0x003ffa80,
    0x00001ffb,0xb000ffea,0x0dff11ff,0x00ffea00,0x7c41fff4,0xffb000ff,
    0x04ff9800,0xff307ff6,0x45ff7009,0x3ee005fe,0x107ffd07,0xfe801fff,
    0x0fff883f,0x1bfea000,0x06ffa800,0xff11ffb0,0x1bfa000d,0xf11ffb00,
    0xfffb00df,0xffffffff,0x03ff607f,0x23fea000,0x3e000ffc,0xe97fc0ff,
    0x3ff600ff,0x2006ff88,0xcfffffd9,0x11ffb000,0x3f600dff,0x3fee000f,
    0xd101ffc8,0xff5007ff,0x7fd40007,0x7ff50003,0x003ff600,0x01ffd400,
    0xffd97fe0,0x3ffa8001,0x81fff500,0x26003ffc,0x3e6002ff,0x03ffa04f,
    0xf7009ff3,0x002ff45f,0x3fea0ff7,0x01ffe40f,0x3207ffd4,0x220003ff,
    0x10001fff,0x3e003fff,0x007ff65f,0x8005ff30,0x07ff65ff,0xffdddd90,
    0x05dddddf,0x00003ff6,0x07fe57f6,0x4c4ff880,0x07ff70ff,0x3ffb2ffc,
    0xfffc9800,0x5ff801ff,0x36007ff6,0x3f2000ff,0x4c09ff76,0xffa805ff,
    0x3fea0003,0x7ff50003,0x003ff600,0x01ffd400,0x7dc7ff50,0xffa8004f,
    0x93ff6003,0xe8006ff8,0x3fe6006f,0x30dff304,0xff7009ff,0x3e237ec5,
    0xb03fdc1f,0x37fc49ff,0x449ffb00,0x640006ff,0x320004ff,0xff5004ff,
    0x0027fdc7,0xf5001ff2,0x027fdc7f,0x0017fe20,0x80001ffb,0x1ff92ff8,
    0x90ffe600,0x81ffd4bf,0x3fee3ffa,0xff710004,0x7fd401ff,0x2013fee3,
    0x32000ffd,0x07fff13d,0x7d4037f4,0x3ea0003f,0xff50003f,0x27ff6007,
    0x09999999,0x007ff500,0xff107fec,0x7ff5000d,0x87ffcc00,0xa8002ffc,
    0xff3001ff,0x05ffd309,0x3333bff3,0x5ff93333,0x3fea37ec,0xf3037e43,
    0x0bff21ff,0x90fff980,0x540005ff,0x2a0006ff,0x3f6006ff,0x01bfe20f,
    0x4004ff88,0x3fe20ffd,0x27fcc006,0x267ff600,0x00999999,0x1ff93fe4,
    0xf0bfee00,0x827fcc5f,0x3fe20ffd,0x7f440006,0x83ff604f,0xfd806ff8,
    0x9999999f,0x7ffd4009,0x500dfd04,0x540007ff,0xf50003ff,0x3ff6007f,
    0xffffffff,0x07ff5006,0x7f437fc0,0x7fd4001f,0x67fe4003,0x20005ff8,
    0xff3004ff,0xfffdb99d,0x3fffe607,0xffffffff,0xb1ff22ff,0x06fc8dff,
    0x7fc67fe4,0xcffc8005,0x20005ff8,0x0001ffe8,0x4003ffd1,0x1ffe86ff,
    0x001ff700,0xffe86ff8,0x0ffea001,0xfffffb00,0x80dfffff,0x3fff24ff,
    0xff707fff,0xf307fcc5,0x21bfe07f,0x40001ffe,0x3fe06ff9,0x401ffe86,
    0xfffffffd,0xfa806fff,0x3fea2eff,0x03ffa803,0x00ffea00,0x801ffd40,
    0xfffffffd,0xf5006fff,0x3fea007f,0x003ffb83,0x2001ffd4,0x1ffdfff8,
    0x03ff2000,0x3ffffe60,0x2601dfff,0xffffffff,0x22ffffff,0x3ffe27fb,
    0x1017f61f,0x03ffbfff,0xfbfff100,0x7e40003f,0x3f20004f,0x3fea004f,
    0x003ffb83,0xfa800bfd,0x03ffb83f,0x000bff20,0xfffffffb,0x7d40dfff,
    0x3ffff21f,0x7ff507ff,0x3fea2fe4,0xb83ffa82,0xf80003ff,0x07ff507f,
    0xfd807ff7,0xffffffff,0xffb1006f,0x00dff7bf,0x8000ffea,0x50003ffa,
    0x3f6007ff,0x9999999f,0x7ff50009,0x207ff600,0x54006ff9,0xfb8003ff,
    0x40004fff,0xf9803ff8,0x3fffdcef,0x556ffcc0,0xfdaaaaaa,0xfa9fee2f,
    0x17f64ffe,0x13fffee0,0xffffb800,0x3fe60004,0x3fe60006,0x0ffec006,
    0x54037fcc,0x7ec002ff,0x06ff981f,0x0007ff60,0x33333ffb,0x7f401333,
    0x4ccffe46,0x4bff3019,0x0ffdc2ff,0x7cc0ffec,0x7c40006f,0x03ffb05f,
    0xfd80dff3,0x9999999f,0x7fd40009,0x5000efff,0x540007ff,0xf50003ff,
    0x3ff6007f,0xff500000,0x81bfe007,0x2a001ffe,0xfd0003ff,0xb00001ff,
    0x9ff300df,0x2604ffc8,0xffb804ff,0x7ec3fea2,0x13fa6fcb,0x007fff40,
    0x03fffa00,0x01ffe800,0x007ffa00,0x7f40dff0,0x037ec01f,0xfd037fc0,
    0x3ffa003f,0x07fec000,0x43ff9800,0x3e000ffc,0x40ff98ff,0x6ff80fff,
    0x0007ffa0,0xff04ffd8,0x00fff40d,0x00001ffb,0x07fff910,0x001ffd40,
    0x0007ff50,0x6c00ffea,0x500000ff,0xff5007ff,0xb333333b,0x7d4007ff,
    0xff70003f,0x3ea00009,0x27fcc02f,0xf980fff4,0x2ffb804f,0x4ffc3fea,
    0x09fd1ffa,0x0013fee0,0x0013fee0,0x0004ffc8,0x50013ff2,0x33333bff,
    0x4407ffb3,0x7d4003ff,0x999999df,0xff003ffd,0x1ffb000f,0x03ff2000,
    0x64001ff9,0x645fcdff,0xdffa83ff,0xfd999999,0x55efcc3f,0xfffba99a,
    0x9dffa80e,0xffd99999,0x003ff603,0xfffa8000,0x07ff5000,0x01ffd400,
    0x003ffa80,0x00001ffb,0x3600ffea,0xffffffff,0x2006ffff,0x50003ffa,
    0x400007ff,0x7fcc05fe,0x306ffa84,0xff7009ff,0x7d4ffcc5,0x1ffd3fe6,
    0x003ffa80,0x003ffa80,0x000dff30,0x40037fcc,0xfffffffd,0x206fffff,
    0x6c000ffc,0xffffffff,0x8806ffff,0xfd8005ff,0xfff0000f,0x1fffdddd,
    0xffffd800,0x06ffda8b,0xfffffffb,0x98dfffff,0xffffffff,0xfb00efff,
    0xffffffff,0x7ec0dfff,0x4000000f,0xf5002ffc,0x7d40007f,0xff50003f,
    0x03ff6007,0x1ffd4000,0x7fffffc0,0xffffffff,0x07ff5000,0x00ffea00,
    0x00ffb800,0x7f413fe6,0x04ff981f,0x3e62ffb8,0x3f24fdaf,0x2a005ff7,
    0xa80003ff,0xfd0003ff,0x7f40003f,0xfff8001f,0xffffffff,0x9ff00fff,
    0xfffff000,0xffffffff,0x4ffa801f,0x00ffd800,0xfffffa80,0x000fffff,
    0xffffffc8,0xfff00dff,0xffffffff,0x7ec41fff,0xcfffffff,0x7ffffc01,
    0xffffffff,0x01ffb00f,0xffe80000,0x07ff5000,0x01ffd400,0x003ffa80,
    0x00001ffb,0xf500ffea,0x555555bf,0x007ffb55,0x4000ffea,0x00003ffa,
    0xf9813fe2,0x0bff504f,0xf7009ff3,0x7d7fc45f,0x3ebfe61f,0x7ff5002f,
    0x7ff50000,0x09ff9000,0x027fe400,0x556ffd40,0xfdaaaaaa,0x01ffb83f,
    0x556ffd40,0xfdaaaaaa,0x17fec03f,0x007fec00,0x55577f40,0x000ffdaa,
    0xdfffffb0,0x56ffd407,0xdaaaaaaa,0x366603ff,0xbff5007f,0x55555555,
    0x3f607ffb,0x0220000f,0x2006ffb8,0x20003ffa,0x50003ffa,0x3f6007ff,
    0xf500000f,0x1ffc807f,0x006ff980,0x20007ff5,0x00003ffa,0xff303fe4,
    0x20fff409,0xfb804ff9,0x3f7fe22f,0x1ffdff87,0x007ff500,0x007ff500,
    0x000eff98,0x001dff30,0x3003ff90,0x0dfd0dff,0x003ff900,0x7d40dff3,
    0xfd8000ff,0x7fcc000f,0x001ff903,0x0066ffe0,0x4c00ffe4,0x5fe806ff,
    0x003ff900,0x3f60dff3,0x3e60000f,0xfffeccdf,0x3fea001f,0x55551003,
    0x5555bff9,0xcaaaa881,0x0aaaadff,0xaaabffd8,0x440aaaaa,0xdffcaaaa,
    0x3fe0aaaa,0x03ffe007,0xff955551,0x0015555b,0x00007ff5,0xf303ff98,
    0x2ffdc09f,0x2e013fe6,0x7fffc2ff,0x1ffffc84,0x007ff500,0x007ff500,
    0xccceffe8,0x1ccccccc,0x66677ff4,0x1ccccccc,0xff801ffe,0x00bfe60f,
    0xf801ffe0,0xfd9b30ff,0x360009ff,0xaaaaabff,0x3ff20aaa,0x557ff900,
    0xff980355,0x03ffc000,0x4401fff0,0xfff003ff,0x407ffc00,0xaaaabffd,
    0xf300aaaa,0xdfffffff,0x3ffa8003,0xfffff300,0x5fffffff,0xffffff98,
    0x82ffffff,0xfffffffd,0x7cc1ffff,0xffffffff,0x9ff52fff,0x21ffe400,
    0xfffffff9,0x802fffff,0x00003ffa,0xff306fe8,0x21fff809,0xfb804ff9,
    0x0ffffc2f,0x007fffcc,0x0003ffa8,0x2003ffa8,0xfffffff9,0x2fffffff,
    0x3fffffe6,0xffffffff,0x4009ff52,0x1ff63ffc,0x013fea00,0xff33ffc8,
    0x40009fff,0xfffffffd,0xff11ffff,0x7fffe40b,0x7e403fff,0x27fd4005,
    0x407ff900,0xfa800ffa,0x3ff2004f,0xfffffd83,0x01ffffff,0x2f3bb32a,
    0x7ff50001,0x3fffe600,0xffffffff,0x7ffffcc2,0x2fffffff,0xffffffd8,
    0x4c1fffff,0xffffffff,0xff92ffff,0x37fcc003,0x3fffffe6,0x02ffffff,
    0x0003ffa8,0xf302a980,0x4ffb809f,0x2e013fe6,0x3fff42ff,0x001fffd0,
    0x0000ffea,0x9800ffea,0xffffffff,0x22ffffff,0xfffffff9,0x2fffffff,
    0x4c003ff9,0x006aa6ff,0x8007ff20,0x9d916ff9,0xfd800037,0xffffffff,
    0x05ff71ff,0x7fffffe4,0x00d5403f,0x8007ff20,0x3aa06ff9,0x03ff9005,
    0x6c37fcc0,0xffffffff,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8800000,0x6eeeeecb,0x2e000000,0x32a004ee,0x4c02c982,0x06f644ed,
    0x88000000,0x00440000,0x1e5c0000,0x59910000,0x407bb200,0x4d544198,
    0x77540000,0xdd70002e,0x55553001,0xdb100001,0x8bb6009d,0x5db005e9,
    0x00002f4c,0xb3007970,0x2a20003b,0x6f5c001a,0x2213b621,0x009a8819,
    0x39305930,0x01f75400,0x2776c400,0x001deeb8,0x00264c00,0x910bba60,
    0xffffffff,0x7ffdc0ff,0x004fffff,0x00bffff9,0xff81fff1,0x6ffd401f,
    0x2a01ffe9,0x200001ff,0x001effd8,0x00f7fec4,0x3ff88000,0x29dd1000,
    0xfc801ffa,0xffa81fff,0x7fffff90,0x3ffea000,0x3ff20002,0xffffb300,
    0x0003dfff,0x8013ffa2,0x6fd88dfd,0xb11bfb00,0x200000df,0xfe803ff8,
    0x7f4c007f,0x000dffff,0xdfd35ffb,0x2e1ff501,0x804fffff,0x3fe21fff,
    0xfffa800f,0x3a20003f,0x7fdc04ff,0x3200001f,0x7d40005f,0x3fffea3f,
    0x7fecceff,0x3ffffee0,0xfc804fff,0x00dffabf,0x3fa07ffc,0xfff9801f,
    0x7fec01ef,0x3fa00006,0x2000ffcd,0x00ffcdfe,0x3ea02200,0xff10000f,
    0x3201bf2b,0x41ffeaff,0xfffe9ffa,0x4003ffff,0x2000effa,0xffecccc9,
    0x3fee0ccc,0xffffffff,0x7ff44001,0x7ffcc002,0xf3002fff,0x005fffff,
    0x03fea000,0x003fffe0,0x7f77ffdc,0xfb001fff,0x2a01dfff,0xffffc8ff,
    0x3e205fff,0x3ffe62ff,0x667fd401,0xe88003ff,0xff3002ff,0x3a00003f,
    0x7d40002f,0xfffff13f,0x03fec9ff,0x33333331,0x1deb8013,0x93013b66,
    0x40059305,0xa800ded9,0x300007ff,0x8017dc9f,0x00bee4f9,0x320bfa60,
    0x3e20006f,0xd807ff5f,0x87ff61ff,0x32efeffa,0x2001fff9,0xa8004ffa,
    0xffffffff,0x26f6e0ff,0x0fffb510,0x0077f440,0x2effe980,0x77ff4c00,
    0x9ff30002,0x6401bf20,0xff7005ff,0x06ffb81d,0x803bff60,0x8bffeffa,
    0x201fffa8,0x04fc84fb,0xff71ffd4,0x77f44007,0x7fec4000,0xbaa88001,
    0x540000ff,0xffffb3ff,0x3fec9fff,0x00000000,0x00000000,0x000ffd00,
    0x3fa93ea0,0x7d49f500,0x2ffb8003,0x20003ff8,0x0ff9dff8,0x4cc04cc0,
    0x03bffea0,0x4400bff6,0x99300009,0x999ffd99,0x1fff8001,0x00033100,
    0x00000000,0xf04ff980,0x014c007f,0x7dc0dff0,0x0066003f,0x207bffea,
    0x00005ffa,0x4c404cc0,0x00662001,0x40013300,0xfffffffb,0x7fd40000,
    0xfffffff3,0x003fec9f,0x00000000,0x00000000,0x20000bf9,0x1feabff8,
    0xd57ff100,0xff70003f,0x80003305,0x0198dff8,0xeffa8000,0x007ff700,
    0x7e400000,0x3f20000f,0x0000002f,0x00000000,0x9827fcc0,0x2e000001,
    0x37fc02ff,0x7fd40000,0x01ffe00f,0x00000000,0x00000000,0x3fffffa2,
    0x0000efff,0x3fe2ffea,0x24ffffff,0xfffb07fd,0xffffffff,0xfffffb03,
    0x03ffffff,0xfffffffb,0xf983ffff,0xcdefffff,0x00ffd402,0xffff5000,
    0xfffa8007,0xff70003f,0x22000005,0x4c0005ff,0x7fd409aa,0x013fe602,
    0x0009aa98,0x7fe44d4c,0x3fea0000,0x81355103,0x26000aa8,0x8000aaaa,
    0x20001aa8,0x00004ff9,0xfb003551,0x07fd801f,0xa8035510,0x7fe403ff,
    0x2004cc40,0x04cc4099,0x33102660,0x44099801,0x04cc0099,0x7cc73ffa,
    0x1000efff,0x17ff5355,0xffffffff,0xfd83fec9,0xffffffff,0xfffd81ff,
    0xffffffff,0xfffffd81,0x41ffffff,0xfffffff9,0xff80dfff,0x8800003f,
    0x510000aa,0x4ccc0015,0x999bffc9,0x22000999,0x05ff89a9,0xffffd980,
    0x5ff50eff,0x2027fcc0,0xffffffd9,0x3ffaa00e,0x00ffffff,0xdcccaa98,
    0x7ff543ff,0xfff92fff,0x7fecc07f,0x01efffff,0xfffffe98,0x7fcc000d,
    0x7f4c0004,0xd00dffff,0x555555ff,0x401ffd55,0xdfffffe9,0x402ffa80,
    0x7fd41ffc,0x513fe602,0x7fcc05ff,0x3017fd44,0x2ffa89ff,0xfa93fe60,
    0x7e6fe44f,0x3ff6606f,0xf3ffffff,0x9fffffff,0xffd83fec,0xaaaaaaab,
    0xabffd80a,0x0aaaaaaa,0xaaabffd8,0x4c0aaaaa,0xdcaaadff,0x6743ffff,
    0x99880001,0x2004cc00,0x000aaaa9,0xffffffff,0x09ffffff,0xfffffc88,
    0x5c005fff,0xffffffff,0x405ff50f,0x3ee04ff9,0xffffffff,0xffffd880,
    0x00ffffff,0x3fffffaa,0x7e43ffff,0xfdfffeff,0x702fffef,0xffffffff,
    0x7fdc03ff,0x1ffffeef,0x013fe600,0xeefffb80,0xff81ffff,0xffffffff,
    0xf701ffff,0xffffddff,0x402ffa83,0x7fd42ffb,0x513fe602,0x7fcc05ff,
    0x3017fd44,0x2ffa89ff,0xff93fe60,0xfe97fc0f,0xffffb80f,0xb3ffffff,
    0x9fffffff,0xffd83fec,0x1ffb0000,0x03ff6000,0x413fe600,0x300fffd8,
    0x01aaa813,0xf980bfea,0xfffd984f,0x401effff,0xffffffff,0x04ffffff,
    0x3fffffea,0x2005ffff,0x261cfffb,0x05ff50da,0xfb827fcc,0x36a61cff,
    0x09dffc80,0x201ffd51,0xccdefffc,0x5dc3ffdc,0x4bfffaa0,0x7b705fe8,
    0x3ff6a213,0x81dff707,0x26006ffb,0xf70004ff,0x6ffb81df,0xeeeefff8,
    0x0eeeeeee,0x5c0effb8,0x17fd46ff,0xf507fee0,0x27fcc05f,0xf980bfea,
    0x017fd44f,0xffa89ff3,0x453fe602,0x87fcc4ff,0x7fdc3ffb,0x3ff260ae,
    0xffffff33,0xd83fec9f,0xfb0000ff,0x3f60001f,0xff98000f,0x427fe404,
    0xfff52ff8,0xff501bff,0x427fcc05,0xfffffffb,0x26601fff,0x99bffc99,
    0xf3009999,0x7dcc17ff,0xfff1005f,0x0bfea003,0xf884ff98,0x7cc001ff,
    0x03ff205f,0x5407bfea,0xff9003ff,0x000ffb8d,0xff03fff0,0x01ffdc0d,
    0x0004ff98,0x7fdc0dff,0x0003ff43,0xff7037fc,0x2017fd47,0x7fd40ffc,
    0x513fe602,0x7fcc05ff,0x3017fd44,0x2ffa89ff,0x7cd3fe60,0xf52fe43f,
    0x077fc47f,0x3ee3ffa8,0x364fffff,0x01ffb07f,0x003ff600,0x0007fec0,
    0x22027fcc,0x7fc41fff,0xffffffcb,0x02ffa86f,0x36e13fe6,0xffb5109b,
    0x17fdc00f,0x807ff400,0xfb005ff8,0x7fd4007f,0x213fe602,0xd8003ffd,
    0x3ff200ff,0x202ffc80,0xf5003ffa,0x02ff987f,0xb85ff900,0x37fc02ff,
    0x004ff980,0x7c02ffb8,0x007fec6f,0x805ff700,0x0bfea6ff,0xff50ffd0,
    0x227fcc05,0x3e602ffa,0x017fd44f,0xffa89ff3,0x5d3fe602,0x317fc2ff,
    0x17fe49ff,0xe987ff50,0x3f64ffff,0x001ffb07,0x0003ff60,0x40007fec,
    0xfc804ff9,0x7f7fc43f,0xfffb88bf,0x3017fd42,0x3e0009ff,0xff7001ff,
    0x4ffa8005,0x4017fe20,0x7d4006ff,0x13fe602f,0x7c001bfe,0x07fe405f,
    0xf7007fec,0x3fe6007f,0x0017fc42,0x7ec3ffa8,0x03fec00f,0x8004ff98,
    0x7ec00ffd,0x001ffe47,0xd801ffb0,0x80bfea7f,0xffa85ff9,0x513fe602,
    0x7fcc05ff,0x3017fd44,0x2ffa89ff,0x7dd3fe60,0x983fe62f,0x01ffa3ff,
    0x2a607ff5,0x41ff63cc,0xb0000ffd,0x360001ff,0xf98000ff,0x4ffa804f,
    0x40ffffc4,0x7fd44ffb,0x013fe602,0x8017fe40,0x64002ffb,0x3fe200ff,
    0x05ff8805,0x3017fd40,0x5ff889ff,0x04ff8800,0x7ec07fe4,0xfffd881f,
    0xf7553103,0xff75559f,0xccaa9807,0x7f43ffdc,0xaaaaaaaf,0x9800ffea,
    0xfe8004ff,0xaaaaaaaf,0x3e20ffea,0xfd0001ff,0x5555555f,0x3ea1ffd5,
    0x1ffd102f,0x4c05ff50,0x17fd44ff,0xfa89ff30,0x13fe602f,0x7cc05ff5,
    0x647ff54f,0xf17fd45f,0x3ffa80df,0xb07fd800,0x333333ff,0x3ff60133,
    0x99999999,0x333ffb00,0x30133333,0xff3009ff,0x02fff88b,0xffa8bff3,
    0x013fe602,0x801ffd40,0x6c002ffb,0x2ffc407f,0x0027fd40,0xf980bfea,
    0x027fd44f,0x201ffcc0,0xffb80ffc,0xffeb98ae,0xfffb83ff,0xffffffff,
    0xfd503fff,0xffffffff,0xffffff87,0xffffffff,0x04ff9801,0xffffff80,
    0xffffffff,0x4e7ffe41,0xf0375310,0xffffffff,0x2a3fffff,0xb989aeff,
    0xff503fff,0x227fcc05,0x3e602ffa,0x017fd44f,0xffa89ff3,0x4d3fe602,
    0x70bfe5ff,0x17fe23ff,0x0007ff50,0x3ff60ffb,0xffffffff,0xfffffb06,
    0x20dfffff,0xfffffffd,0xff986fff,0x46ff8804,0x7fc05ff8,0x3017fd46,
    0xaa9809ff,0x03ffdccc,0x8005ff70,0x7fc406fe,0x03ffa805,0x3017fd40,
    0x3ffa89ff,0x03ffa800,0xfe807fe4,0x9effffff,0x7ffe43ff,0xccdffdcd,
    0xfc81cccc,0xdcccdeff,0x77ffc3ff,0xeeeeeeee,0xff9800ee,0xefff8004,
    0xeeeeeeee,0xfffc80ee,0x2fffffff,0xeeeefff8,0x0eeeeeee,0xfffffff5,
    0x7d407fff,0x13fe602f,0x7cc05ff5,0x017fd44f,0xffa89ff3,0xf93fe602,
    0x40ff98ff,0x9ff30fff,0x003ffa80,0xffb07fd8,0xffffffff,0x3ffff60d,
    0x06ffffff,0xfffffffb,0xff30dfff,0x8fff1009,0x7f405ff8,0x3017fd46,
    0x3faa09ff,0xffffffff,0x05ff7003,0x4406ff80,0xff9805ff,0x17fd4005,
    0xf989ff30,0xff98005f,0x807fe404,0x3effffc8,0xeff88ffe,0x800bfe20,
    0xf501effa,0x007fe87f,0x04ff9800,0x0007fe80,0xfffffb30,0xffd03bff,
    0x3ffea000,0x00ceffff,0xf3017fd4,0x02ffa89f,0xff513fe6,0x227fcc05,
    0x3e602ffa,0x337ff24f,0x11ffe45f,0xffa80bff,0x07fd8003,0x33333ffb,
    0x3f601333,0x9999999f,0x33ffb009,0x01333333,0xf1009ff3,0x05ff88df,
    0x3fea37f4,0x213fe602,0xccdefffc,0x7003ffdc,0xfe8005ff,0x02ffc407,
    0x00037fc4,0x37fc4000,0x027fc400,0x1001ffd1,0x541df703,0x1ffc43ff,
    0x405ff900,0x7fec3ffa,0x7cc00000,0xffd8004f,0x4c400000,0x7fec06fd,
    0x2ffa8000,0xffa80033,0x513fe603,0x7fcc07ff,0x301ffd44,0x3ffa89ff,
    0xfb13fe60,0xfb517fff,0x80dff0df,0xd8003ffc,0x01ffb07f,0x003ff600,
    0x0007fec0,0x4c027fcc,0x2ffc45ff,0xff51bfa0,0x227fcc05,0xf501effa,
    0x3fee007f,0x03fec002,0x74017fee,0x980002ff,0x5ffd0009,0x40dff000,
    0x0000fffe,0xffb83ff3,0x0027fcc1,0x7dc01ffb,0x01ffe43f,0x13fe6000,
    0x00fff200,0x03fea000,0x0007ff90,0x40005ff5,0xfd105ff9,0x05ff989f,
    0xf989ffd1,0x9ffd105f,0xd105ff98,0xfff909ff,0x01bfffff,0x3f201ffd,
    0xfd8003ff,0x001ffb07,0x0003ff60,0x40007fec,0xfa804ff9,0x02ffc44f,
    0x7ff51bfa,0x3227fcc0,0x3fea02ff,0x0bff5003,0x502ffc80,0x2a00bfff,
    0x20001fff,0xf5004ff8,0xfd8003ff,0xffffd82f,0x0bfb0000,0x7fc45ff5,
    0xffb000ff,0x7fffb103,0x001fff88,0x013fe600,0x007ffe20,0x009fd000,
    0x8003fff1,0x20002ffa,0xfe887ff8,0x3ffc44ff,0x227fff44,0xfe887ff8,
    0x3ffc44ff,0x827fff44,0x3efffffd,0x2e13fee0,0x8003ffff,0x1ffb07fe,
    0x03ff6000,0x007fec00,0x4027fcc0,0x7fc42ffd,0x2637f405,0xffd105ff,
    0x200ffd89,0xf1003ffb,0x7cc001ff,0xffff985f,0x3fff6005,0x0fca99ac,
    0x8007fea0,0x99acfffd,0x7fcc0fca,0xbefeb9af,0xfd0000ff,0x31bff30d,
    0x23dffbfd,0xeffb8398,0xfffeb98a,0xcfffc83f,0x03753109,0x0013fe60,
    0x84e7ffe4,0x2001ba98,0xff9005ff,0x2a62139f,0x00bfea1b,0x35dffd00,
    0x09ffdff5,0xf535dffd,0xfd09ffdf,0xdff535df,0xdffd09ff,0xffdff535,
    0x066ffe09,0x4e7ffc40,0x3ffaffda,0xb05ff800,0x360001ff,0xfb0000ff,
    0xff30001f,0x87ff9809,0x7f405ff8,0x443ffc46,0x7ec4fffe,0xfffd881f,
    0x3fffa003,0xd02a999c,0xffb33bff,0x4400bfd7,0xfffffffd,0x1fee00ff,
    0xffffb100,0x901fffff,0x1dffffff,0x20001ff5,0x3a1eeffb,0xf95fffff,
    0x20ffffff,0xfffffffe,0xf903ff9e,0xffffffff,0x3fe6005f,0xaaaaaaae,
    0xffff902a,0x05ffffff,0x0777fe40,0x3fffff20,0x2a2fffff,0x4c0002ff,
    0xdfffffff,0xff984ff8,0xf8dfffff,0xffff984f,0x4ff8dfff,0xffffff98,
    0x984ff8df,0xfa8000ff,0x8affffff,0x2a0083ff,0x1ffb04ff,0x03ff6000,
    0x007fec00,0x1027fcc0,0xff107ffd,0xe86fe80b,0xffa9aeff,0x7fdc4ffe,
    0xffeb98ae,0x3e6003ff,0x4fffffff,0xffffff30,0x0017fa7f,0x3fffff6a,
    0x027ec04e,0xffffda80,0x3fae04ef,0x1ff50cef,0x3fb22000,0x3fffa22f,
    0x7ffff644,0xffff9104,0x301ffc7d,0xfffffffb,0x3fe6003b,0xffffffff,
    0x3ff6606f,0x01dfffff,0x07fff620,0x3ffff660,0x3ea1dfff,0xe980002f,
    0x3fe3ffff,0xffffd304,0xe9827fc7,0x3fe3ffff,0xffffd304,0x7e427fc7,
    0x3faa0005,0x0ffe1dff,0xffb887f7,0x01ffb00f,0x003ff600,0x0007fec0,
    0xfa827fcc,0xbff106ff,0xf986fe80,0x8dffffff,0xfffe84ff,0xff9effff,
    0x7fe44003,0x2603ffff,0x3a2dfffd,0x1980005f,0x00073200,0x22000cc0,
    0x88000000,0x98803101,0x00062001,0x004ccc40,0x7ffffcc0,0x06ffffff,
    0x00133310,0x10001300,0x32601333,0x2200001c,0x26200019,0x06620001,
    0x00198800,0x40000d54,0x3fe20018,0xffffdeff,0x2afff603,0x0aaaaaaa,
    0xaaabffd8,0xd80aaaaa,0xaaaaabff,0x7fcc0aaa,0xfffdcaad,0xbff100ef,
    0xd306fe80,0x7fc7ffff,0xffffc884,0x000ffe3e,0x40009988,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xffffffe9,0x7ffec02f,
    0xffffffff,0xfffffd81,0x81ffffff,0xfffffffd,0x7cc1ffff,0xffffffff,
    0x2ffc404f,0x3101bfa0,0x00c40003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x00157b97,0xfffffffb,0xfb03ffff,
    0xffffffff,0xfffb03ff,0xffffffff,0xfffff983,0x00002cee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x01c982c9,0x05059b50,
    0x003eea80,0x09ddb100,0x000ef75c,0x2009dd70,0x4d544198,0x43bd7000,
    0x3ae04ed8,0x513b621d,0x300003dd,0x00393059,0x0003eea8,0x409ddb10,
    0x0001deeb,0x0cc15510,0x13555310,0x037bb620,0x9303ed88,0x50039305,
    0x4005059b,0x80003eea,0xd704eed8,0x2e0003bd,0x001cefed,0x05e98bb6,
    0x2f4c5db0,0x33553100,0x98013333,0x3ba60dee,0x0098801e,0x4166d400,
    0xff805502,0x03ffe21f,0x5dffffb0,0x2a009f71,0x0003ffff,0x4027ff44,
    0x0001fffb,0x9739ffd1,0x90ffa89d,0x007fffff,0x3fa6bff6,0x57fec00e,
    0x7d40efe9,0xff80002f,0x03ffe21f,0x1ffffd40,0x3ffa2000,0x1fffb804,
    0xfffb3000,0x507fffff,0xfffffffd,0xfffff985,0x01ff901f,0xff887ffe,
    0x3fff600f,0x04fb8aef,0x03ffffa8,0x13ffa200,0x003fff70,0x7fffffd4,
    0xbfb004ff,0x200dfb11,0x6fd88dfd,0xffffc880,0x06ffffff,0xf987ffa2,
    0x7fe402ff,0xd8002fff,0xb8aeffff,0x837fe44f,0x3e62fff8,0x3bee01ff,
    0xffffffcb,0xccffa801,0xd10003ff,0x7cc005ff,0xb88001ff,0x4fffffff,
    0x7ff4ffd4,0x003fffff,0x01dffffb,0x3bffff60,0x002ffa80,0x317ffc40,
    0xf5003fff,0x007ff99f,0x00bffa20,0x001fff98,0x7fffffdc,0x7ec3ffff,
    0xffffefff,0x7546ff42,0x02ffa85f,0x7cc5fff1,0x7df701ff,0x3ffffff9,
    0xfccffa80,0xfe88003f,0xfff3002f,0x9fff3003,0x05fffb75,0xffffff30,
    0x3ffe6005,0x7c402fff,0xfffddeff,0x3fa06fff,0x07ffa21f,0xfffffe88,
    0x3ee004ff,0xfffffcbe,0x07fffc1f,0x4fc84fb8,0x3f620d80,0xffa802df,
    0x000ffee3,0x0001dfd1,0x2003ffb1,0xfffffff8,0x7fd41bde,0xff932efe,
    0x3ff6001f,0x7fec000d,0x05ff500e,0x909f7000,0x7ff5009f,0x2001ffdc,
    0x8000efe8,0x7001ffd8,0x64c15dff,0x37fea3ff,0x3e20a881,0xd11fee1f,
    0x84fb80bf,0x106c04fc,0xa805bffb,0x0ffee3ff,0x00efe880,0x00ffec40,
    0x3ea07ffa,0xffd3005f,0xfe98005d,0xffd802ef,0x4e7fec43,0x443ffb00,
    0x7e400efe,0xfffb89df,0xd8836001,0xffd82dff,0x00000007,0x20266000,
    0x4c400198,0x09980001,0xbbfff100,0x7fd40bff,0x2ffd80ef,0x80006600,
    0x17fd4019,0x00000000,0x03310133,0x00019880,0xf8800998,0x7ff500ef,
    0x50007fec,0x20ff98ff,0x00000ffc,0x33000000,0x40033101,0x4c000198,
    0x13fe6009,0x00007ff8,0x7c400000,0x0dff105f,0x0cc40998,0xfc86ff80,
    0x8000003f,0x00001dc8,0x00000000,0x00000000,0x3a0d4000,0xdff502ff,
    0x00ffee01,0x50000000,0x000005ff,0x00000000,0x00000000,0xfa80bff2,
    0x003ff63f,0x3e60ffa8,0x005ff30f,0x00000000,0x00000000,0x3fea0000,
    0x001bfe02,0x50000000,0x7fec07ff,0x44000000,0x4ff985ff,0x00000000,
    0x00135510,0x0026aa20,0x004d5440,0x009aa880,0x01355100,0x3fff2600,
    0x202ffa80,0x26004ff9,0x220009aa,0x5409aaa9,0x04d442ff,0x00d54400,
    0x00355100,0x000d5440,0xd0035510,0x3ffa80ff,0x4007bff2,0x9fee2ff8,
    0x54c005fe,0x4c000aaa,0x4000aaaa,0x000aaaa9,0x0055554c,0x02aaaa60,
    0xfd80ffe4,0x0133103f,0xa8800998,0x7fdc009a,0x003ff602,0x8004d544,
    0xffa85ff8,0x00998802,0xb80004cc,0x0effffff,0xfffff700,0x3ee001df,
    0x00efffff,0xffffff70,0x3fee001d,0x800effff,0xffffffd9,0x202ffa85,
    0x6cc04ff9,0x0effffff,0x3ffffaa0,0x3fea2fff,0x9fffff72,0x3fffa600,
    0xd3000dff,0x01bfffff,0x3ffffa60,0xfd3000df,0x201bffff,0x7fd406ff,
    0x37fffa23,0x67fec00b,0x1ff93ffc,0xffffb300,0x4c03dfff,0xfffffffd,
    0x3ff6601e,0x01efffff,0x3fffff66,0x36601eff,0xefffffff,0x2207fe41,
    0x3ea05ffd,0x13fe602f,0xffffffb8,0x09ff500e,0x7dc037fc,0x00efffff,
    0x7f40fff8,0x2ffa800f,0xf893fe60,0xfffb102f,0x05ffffff,0x7ffffec4,
    0x2202ffff,0xfffffffd,0x3f6202ff,0xffffffff,0x3fff6202,0x02ffffff,
    0x3fffffee,0x7fd41fff,0x813fe602,0xfffffffb,0xfffb00ff,0x45ffffdf,
    0xfffcaffa,0x5c05ffff,0xfffeefff,0x7ffdc01f,0x01ffffee,0x7f77ffdc,
    0x7dc01fff,0xffffeeff,0x202ffc41,0x7ec43ffa,0x302dffff,0x269ffffd,
    0xff7003ff,0xffffffff,0x3fffee03,0x01ffffff,0xfffffff7,0x3ee03fff,
    0xffffffff,0xffff701f,0x43ffffff,0x3fa20ffc,0x17fd404f,0xb109ff30,
    0xffffffff,0x0bffa05f,0xd8813ff2,0xffffffff,0xa7fec02f,0x5003ffd8,
    0x7fcc05ff,0x6c0bfe24,0x3f261dff,0xbffb00ff,0x07ffe4c3,0x261dffd8,
    0xfb00fffc,0x7fe4c3bf,0x3bffb00f,0x407ffe4c,0x711beffb,0x2ffa8bff,
    0x5c13fe60,0x2a61cfff,0x1dffa80d,0x3fea0a88,0xfa88bffe,0xdff701ff,
    0x206ffb81,0x7dc0effb,0x3bfee06f,0x7037fdc0,0xffb81dff,0x2027fcc6,
    0xfb503ffa,0x201bffff,0x17fa1bca,0x109bdb80,0x2e0fffb5,0xfb5109bd,
    0x26f6e0ff,0x0fffb510,0x54426f6e,0x7b707ffd,0x3ff6a213,0xfd83ff27,
    0x2ffa803f,0x3613fe60,0x3f261dff,0xfffa80ff,0x06ffecbd,0x930effec,
    0x7c401fff,0x04fffcff,0x980bfea0,0x0bfe64ff,0xfb817fea,0x05ffa85f,
    0x3ea17fee,0x17fee05f,0xfb817fea,0x05ffa85f,0xff117fee,0x83ffa01d,
    0x3e602ffa,0x1fff884f,0x00ffd800,0x07bffea0,0x7fc17fea,0x40ffee06,
    0x3fee06ff,0x5c0dff03,0x0dff03ff,0xff11ffdc,0x03ffa80b,0x05fffda8,
    0x0003fee0,0x003fff00,0x0007ffe0,0x8000fffc,0xf0001fff,0x83ff23ff,
    0xff5006ff,0x227fcc05,0x3ee05ffa,0xffffd85f,0x200cffff,0x3ee05ffa,
    0x7ffdc05f,0x7d4002ff,0x93fe602f,0xffe82ff9,0x207ff400,0x7f400ffe,
    0x007ff40f,0xffd03ffa,0x40ffe801,0x7f400ffe,0x807ff20f,0x3fea3ffb,
    0x213fe602,0xb0003ffd,0x7d4001ff,0x1ffe00ff,0xff00bfee,0x805ff70d,
    0x2ffb86ff,0x7dc37fc0,0x237fc02f,0x7fe406ff,0x3ffe6003,0x03ff9801,
    0x2ffc8000,0x05ff9000,0x00bff200,0x0017fe40,0xff92ffc8,0xa803ffc1,
    0x3fe602ff,0x2007ff44,0x3fea0ffe,0x01accc99,0x7400ffe8,0xff9100ff,
    0xf50001ff,0x27fcc05f,0xff887ff3,0x22ffb805,0xfb805ff8,0x017fe22f,
    0xff88bfee,0x22ffb805,0xfb805ff8,0x101bfe2f,0x17fd4dff,0xff09ff30,
    0x7fe4000d,0x7ff5001e,0x6c0ffc80,0x3fec00ff,0x36007fec,0x00ffd87f,
    0x7fec3fec,0x3a3fec00,0xfff900ff,0x2ffc8007,0x0006fe80,0x007ff500,
    0x000ffea0,0x8001ffd4,0x50003ffa,0x83ff27ff,0xfa804ffd,0x93fe602f,
    0xfb805ff8,0x001bf62f,0xb805ff88,0xffe882ff,0x7fd45fff,0x405ff503,
    0x3fe64ff9,0x401ffcc3,0x3fe63ffa,0x23ffa803,0xfa803ff9,0x00ffe63f,
    0xff98ffea,0x13ffa803,0xfff009ff,0xf3017fd4,0x05ff889f,0x3fffa200,
    0x3fea00bd,0x20ffe402,0xaaaaaffe,0x40ffeaaa,0xaaaaaffe,0x40ffeaaa,
    0xaaaaaffe,0x40ffeaaa,0xaaaaaffe,0x20ffeaaa,0xffb84ffb,0x7f4003ff,
    0x0ffdc01f,0x54c00353,0x3ffdccca,0x666554c0,0x54c03ffd,0x3ffdccca,
    0x666554c0,0x54c03ffd,0x3ffdccca,0x7fcc1ff9,0x3fea00df,0x993fe602,
    0xffa803ff,0x000bffa3,0x5401ffcc,0xbffe83ff,0x3ee3fff9,0x05ff502f,
    0xff327fcc,0x802ffa87,0x3fea4ff9,0x24ff9802,0xf9802ffa,0x00bfea4f,
    0xffa93fe6,0x34ff9802,0xffb009ff,0x980bfea1,0x27fd44ff,0x3ff62000,
    0xfa82dfff,0x17fdc02f,0x3ffffffe,0x1fffffff,0x7ffffffc,0x1fffffff,
    0x7ffffffc,0x1fffffff,0x7ffffffc,0x1fffffff,0x2a73ffe2,0x23ffbffd,
    0xb9899acd,0x7c406ffd,0xbffff53f,0x7fff5401,0x03ffffff,0xffffffd5,
    0x3aa07fff,0xffffffff,0xfffd503f,0x07ffffff,0x3fffffaa,0xff93ffff,
    0x1efffa81,0x4c05ff50,0x0bfea4ff,0xfb93fe60,0xceeeefff,0x05ff502b,
    0xfa89ff30,0x4bffea4f,0xff501ffd,0x527fcc05,0x2ffb87ff,0x2e3ff980,
    0xff9802ff,0x200bfee3,0x3fee3ff9,0x23ff9802,0xf9802ffb,0x007ff53f,
    0x3fea1ffb,0x513fe602,0x200007ff,0xdfffffda,0x900bfea0,0xefff83ff,
    0xeeeeeeee,0x77ffc0ee,0xeeeeeeee,0x77ffc0ee,0xeeeeeeee,0x77ffc0ee,
    0xeeeeeeee,0x7ffd40ee,0xff9affff,0x3fffffe3,0x400effff,0xbdff36fd,
    0x3ff20bff,0xfdcccdef,0xefffc83f,0x3ffdcccd,0xcdefffc8,0xc83ffdcc,
    0xcccdefff,0xffc83ffd,0xfdcccdef,0x301ff93f,0xf503fffd,0x27fcc05f,
    0xf3005ff7,0xffffd87f,0x1effffff,0x4c017fdc,0x07ff43ff,0x3fa3fff2,
    0x05ff500f,0xff527fcc,0x803ff989,0x3fe62ffa,0x22ffa803,0xfa803ff9,
    0x00ffe62f,0xff98bfea,0x32ffa803,0xffd009ff,0x980bfea1,0x2ffcc4ff,
    0x7ed40000,0x0bfea5ff,0xfe81ffb0,0x3ff40007,0x01ffa000,0x000ffd00,
    0x3bfffd50,0xffd8ffe6,0x03efffff,0xbfb1ffa8,0x3ea0ffd4,0x7ff501ef,
    0x501effa8,0xeffa87ff,0xa87ff501,0xff501eff,0x01effa87,0x3ff27ff5,
    0x21bff600,0x3e602ffa,0x00ffe64f,0xfe88bfea,0xffdccccf,0x3fe60fff,
    0x42ffa803,0xdffb06ff,0x7fd40dff,0xa93fe602,0x2ffc44ff,0xf10ffe40,
    0x3ff900bf,0x6402ffc4,0x17fe21ff,0xf887ff20,0x1ffc805f,0xff00dff1,
    0x7ff3000d,0x0006ff88,0x47ffe600,0x7f402ffa,0x000ffd87,0x0003ff60,
    0x0000ffd8,0x00003ff6,0x1ffd40c4,0x004cccc4,0x3fe4ff88,0x3f21ffc2,
    0x0ffea02f,0x7d405ff9,0x017fe43f,0xffc87ff5,0x90ffea02,0x7fd405ff,
    0xe801ff93,0x1ffd41ff,0x7c49ff30,0x1ffc805f,0xe8807ffa,0x17fe23ff,
    0xff07ff20,0x3fffa20f,0x0ffea03f,0x3ea4ff98,0x00fff84f,0x3fe1ffe2,
    0x1ffe200f,0xf8803ffe,0x00fff87f,0x3fe1ffe2,0x1ffe200f,0x7d403ffd,
    0xffb8004f,0x002ffe82,0x4bff2000,0x3ea02ffa,0x03ffc84f,0x00fff200,
    0x003ffc80,0x000fff20,0x07ff5000,0xfb000998,0x7f42ff8d,0x7007fec3,
    0x0ffd87ff,0xfb0ffee0,0x1ffdc01f,0xfb803ff6,0x007fec3f,0x3ff27ff7,
    0x217fdc00,0xfd105ff9,0x00fff89f,0xff99ffe2,0x45ffa804,0x3e200fff,
    0x00ffe87f,0x401ffff3,0xfd105ff9,0x427fd49f,0x3f605ffb,0x05ffb82f,
    0x3ee0bff6,0x0bff605f,0xfd817fee,0x05ffb82f,0xff50bff6,0x1ffd101d,
    0x01ffd000,0x0003fff5,0x547ffa00,0xffd102ff,0x03fff101,0x07ffe200,
    0x0fffc400,0x1fff8800,0x3ea00000,0x13fe203f,0xff07fea0,0x7ec2ff87,
    0xfffd881f,0x440ffec3,0x7ec3fffd,0xfffd881f,0x440ffec3,0x7ec3fffd,
    0xfffd881f,0xc801ff93,0x3ffc41ff,0x227fff44,0x3f605ffb,0x013fea2f,
    0xff70ffee,0x417fec0b,0xfd105ffd,0x7fc405ff,0x4fffe887,0x7f417fee,
    0xfea89aef,0x3bffa06f,0x6ffea89a,0x26bbffa0,0x206ffea8,0xa89aeffe,
    0x3fa06ffe,0xfea89aef,0x5dffd06f,0x09fff731,0x04ffd980,0x26b3fff6,
    0xcd80fca9,0xfdb9899a,0x2fbfea6f,0x3fffb989,0x273fff20,0x20375310,
    0x109cfffc,0x3f203753,0x53109cff,0x3fff2037,0x3753109c,0x0ffea000,
    0x4401ffa8,0x0efd84ff,0xffb81ff7,0xffeb98ae,0x77fdc3ff,0xfffeb98a,
    0x577fdc3f,0xffffeb98,0x4577fdc3,0x3ffffeb9,0x4c577fdc,0x93ffffeb,
    0x4ccd41ff,0xffd06ffc,0xfdff535d,0x5dffd09f,0x8dffd513,0x2602fff9,
    0xffe81fff,0xffea89ae,0x5dfff106,0xfffff753,0x77ff401f,0xffeffa9a,
    0x4c17fee4,0xfffffffe,0x3fa600df,0xdfffffff,0x3fffa600,0x00dfffff,
    0x3fffffa6,0x2600dfff,0xfffffffe,0xffd100df,0x0bffffff,0x0ffffd80,
    0x3ffff620,0xf80fffff,0xffffffff,0x3ffea0ef,0x3fffffff,0xfffffc80,
    0x202fffff,0xfffffffc,0x3f202fff,0xffffffff,0x3fff202f,0x2fffffff,
    0x07ff5000,0x7e403fdc,0xefff980f,0xfffd03ff,0xff3dffff,0xfffffd07,
    0x07ff3dff,0xfffffffd,0xfd07ff3d,0x3dffffff,0xfffd07ff,0xff3dffff,
    0x7c43ff27,0x01ffffff,0xfffffff3,0xd309ff1b,0xffffffff,0xdfffd01b,
    0xfffd979b,0x3fffa605,0x00dfffff,0x3fffffea,0xeffdbfff,0xfffff300,
    0x49ff1bff,0x76405ffb,0x002effff,0x3bffffb2,0x3ffb2002,0x32002eff,
    0x02effffe,0x3ffffb20,0xffd9002e,0xd0005dff,0x2a001dff,0x4efffffd,
    0xffffffb0,0x3b2a07df,0x00ceffff,0x3ffff660,0x4c01dfff,0xfffffffd,
    0x7fecc01d,0x01dfffff,0x7ffffecc,0x50001dff,0x27ec07ff,0xa80bfea0,
    0x2203fffe,0x23effffc,0xffc883ff,0x0ffe3eff,0x3bffff22,0x3220ffe3,
    0x3e3effff,0xfffc883f,0x64ffe3ef,0xffff10ff,0xfe98019d,0x13fe3fff,
    0xeffffec8,0x3fff6202,0x2effffff,0xffffec80,0xffb1002e,0x3a219dff,
    0x3fa605ff,0x93fe3fff,0x26005ffb,0x01980001,0x00019800,0x98000198,
    0x06620001,0x00579000,0x22001980,0x40009999,0x31000018,0x22000133,
    0x10000999,0x20001333,0x00009998,0x3201cc98,0x4400001c,0x000c4000,
    0x10000620,0x01880003,0x0000c400,0x988000cc,0x01980001,0x6ee65440,
    0x330001ac,0x00188000,0x40066200,0x00003cca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeb800000,0x0133100d,0xa9800998,0xc8800000,0x3eea801c,
    0xeed88000,0x3000cc44,0x80266233,0x04c40998,0x30004d44,0x774c1bdd,
    0x76c4001e,0x7777644e,0x3a2005ee,0x1eeeeeee,0x0077bae0,0x0003dd50,
    0x2f4c5db0,0xeeeeeeb8,0xdeb80005,0x0013b621,0x202776c4,0xeeeeeee8,
    0x1deb801e,0x00013b62,0xddb10000,0x0fbaa009,0x039dfd50,0x6443ed88,
    0x76c403ff,0x01ffe443,0x2200fb62,0x2a620009,0x01540019,0x505fff98,
    0x7fcc05ff,0x077fdc04,0x77777640,0x00ffd45e,0x00ffffea,0x84ffe880,
    0xfa803ffc,0x405ff55f,0x37ec2ffb,0x07ffffd7,0x4c3ffd10,0x44002fff,
    0xffd84ffe,0x2007ffff,0xfffffff8,0x7ffdc01f,0x0bfea001,0x237f6000,
    0xff906fd8,0x000fffff,0x3a6bff60,0xe88000ef,0xff8804ff,0x01ffffff,
    0xfd35ffb0,0x09ff301d,0x4005ff70,0x5004ffe8,0x5c07ffff,0x6406ffff,
    0x3ffee0ff,0x07fe403f,0x807ffff7,0xfb300ffc,0x5c07dfff,0xdffffffe,
    0x037fec01,0xa837ffd4,0x3fe602ff,0x17ffec04,0x7ffffec0,0x2037ec7f,
    0x3ffccffa,0x2ffe8800,0xb00dff30,0x0bfea5ff,0x7ec2ffb8,0xffffff96,
    0x1ffe807f,0x0007ffa2,0x2a05ffd1,0x07ffcccc,0x4cccccc0,0xfff30019,
    0xffdcc803,0x001ccccd,0x7fffffcc,0xf9999502,0x6c0000ff,0x000effff,
    0x002ffe88,0x26666666,0x7ffec001,0x9ff300ef,0x005ff700,0x400bffa2,
    0x3ffccffa,0x80ffe410,0x3fea2ffa,0x3ea03ffe,0x3fbfea2f,0x0bfea03f,
    0x7fffffd4,0xfffb05ff,0x07ffffff,0x00ffffe6,0x2a05ffd1,0x3fe602ff,
    0x07ffe404,0x7e666540,0x501ffc7f,0x1ffdc7ff,0x01dfd100,0x2201ffe8,
    0x0bfea7ff,0x7ec2ffb8,0xf912ffde,0x0ffec0df,0x8001dfd1,0x4000efe8,
    0x000007fe,0x03ffb100,0x7ffffffc,0x98003fff,0x4002effe,0x400007fe,
    0x8000effd,0x0000efe8,0x7fec0000,0x13fe600e,0x200bfee0,0x5000efe8,
    0x1ffdc7ff,0x107fd998,0x3e5b0bfd,0x0bfd103f,0x440ffe5b,0xfff505fe,
    0xbffd5137,0x73135990,0xf303fffb,0x2a007fff,0x80bfea01,0x64404ff9,
    0x3fa0002d,0x9803fe67,0x00198809,0x7dc00662,0x93fea04f,0x3ee02ffa,
    0x77ffec2f,0x301ffe80,0x00198813,0x20003310,0x000007fe,0x9004cc00,
    0x999bffb9,0x00000039,0x0001ffa0,0x88000660,0x00000019,0x26006600,
    0xffb804ff,0x00198802,0x0cc404cc,0x903ffff8,0x3ff801ff,0xf801ff90,
    0x01ff903f,0x3a207ffe,0x7f4001ff,0x1dffd03f,0x3fea0000,0x013fe602,
    0x3ff40000,0x00000131,0xff880000,0xa87ff607,0x3fee02ff,0x8077fec2,
    0x00002ffc,0x74000000,0xaa98007f,0x000000aa,0x0002ffa8,0x3fa00000,
    0x00000007,0x22000000,0x000001aa,0x7009ff30,0x000005ff,0x3b320000,
    0x17fcc3ff,0x7cc1ffc0,0x83ff802f,0xff502ff9,0x02ffcc07,0xa817fee0,
    0x4d54c002,0x3017fd40,0x000009ff,0x0001ffa0,0x01355531,0x4d554c40,
    0x20bff600,0x7fd46ff8,0xb0bfee02,0x7fd403ff,0x2004cc43,0x83310099,
    0x20009aa8,0xfb3007fe,0x3dffffff,0x4ccccc40,0x2ffa8019,0x26662000,
    0xe8001999,0x4cc0007f,0x99999999,0x10131019,0x3a600135,0x00dfffff,
    0x4d4404c4,0x804ff980,0x99882ffb,0x10019999,0x03333333,0x3a37fc40,
    0x07ff005f,0x3fe00bfd,0x3a05fe83,0x7ffc00ff,0x13fe6000,0x3ff66000,
    0xf50effff,0x27fcc05f,0x0001ffc0,0x2a000ffd,0xfffffffe,0x7fff5402,
    0xf302ffff,0x87ff70bf,0x3ee02ffa,0x003fec2f,0x4c05ff50,0x1ff504ff,
    0x0ffffff2,0xb803ff40,0xffffffff,0xfffb01ff,0xf500ffff,0x15e64c5f,
    0x3fffff60,0x7fe8007f,0x3ffe2000,0xffffffff,0x2e6fd80f,0x403ffffe,
    0xffeefffb,0x9bf601ff,0x43ffffeb,0xfb804ff9,0xffffd82f,0xffb007ff,
    0x980fffff,0x324ffcaa,0x7ff000ff,0xf000ffc8,0x00ffc87f,0x6c40bff1,
    0x2a001fff,0x5c0002ff,0xffffffff,0x405ff50f,0xff804ff9,0x1ffa0003,
    0x3ffff600,0x202ffffe,0xffeffffd,0x3ffa02ff,0x2a07ff40,0x3fee02ff,
    0x0003fec2,0x7cc05ff5,0xd3ff504f,0x7fffffff,0x200ffd00,0xb5109bdb,
    0x3ff60fff,0xa807ffff,0xfffd8aff,0xffb00dff,0x000fffff,0x44000ffd,
    0xffffffff,0xfd80ffff,0xffffff96,0x3bfee07f,0xb037fdc0,0x3ffff2df,
    0x3fe63fff,0x82ffb804,0x7ffffffd,0xfffffb00,0xfffc80ff,0x07ff30ef,
    0xff31ffc0,0x31ffc007,0x7fcc07ff,0xffffd303,0x03ff4005,0x33ffee00,
    0x7d436a61,0x13fe602f,0x8000ffe0,0x7d4007fe,0x00a881df,0x5103bff5,
    0x127fdc01,0x5ff50bff,0x3617fdc0,0x3ea0007f,0x13fe602f,0x977f7fd4,
    0x400fffc9,0x200007fe,0x99881fff,0xa807ff99,0xfeffebff,0x33104fff,
    0x000fff33,0x98000ffd,0xc9999999,0xbdfb05ff,0x3ff225ff,0x5c0dff06,
    0xbdfb03ff,0x3ff225ff,0x2013fe66,0x99882ffb,0x1007ff99,0x0fff3333,
    0x742bcc98,0x0d54005f,0xaa800bfd,0xf5017fa1,0xbfff707f,0xea8807ff,
    0x220001ef,0xf5001fff,0x27fcc05f,0x00027fc0,0xfd800ffd,0xffb0000f,
    0x7fc40001,0x2a0bfee7,0x3fee02ff,0x0003fec2,0x7cc05ff5,0xdfff504f,
    0x805ffb01,0x200007fe,0xfd002ffc,0xffff500f,0x07ffd41d,0x8007fe80,
    0x0aa207fe,0x077fcc00,0x80efffd8,0x7fdc1ffe,0xd837fc02,0xfe80efff,
    0x009ff31f,0x3a005ff7,0x3fa0007f,0x3fee0007,0x7fdc0000,0x7fdc0000,
    0x117fdc00,0xff15fffb,0xfffffb09,0xfd80001b,0x3fea003f,0x413fe603,
    0x004fffdb,0xb001ffa0,0x360001ff,0x6c0000ff,0x20ffd2ff,0x3ee03ffa,
    0x003fec2f,0x4c05ff50,0xdff504ff,0x00ffee01,0x40000ffd,0xfd003ffa,
    0xbfff500f,0x400bff60,0xfe8007fe,0x0bfff307,0x01ffe880,0x6403bff6,
    0x07fec2ff,0x7ec1ff60,0x5ff900ef,0x2e013fe6,0xffd002ff,0x03ff4000,
    0x003ff980,0x001ffcc0,0x200ffe60,0xffd31ffb,0x217fe21d,0xdffffffd,
    0xff804401,0x2ffcc006,0x4c4ffe88,0x04ffffff,0x001ffa00,0x0003dff9,
    0x0003dff9,0x7fce7fd4,0x20bff504,0x7ec2fff9,0x3fea0007,0x413fe602,
    0x3e602ffa,0x03ff404f,0x666554c0,0xfd003ffd,0x0dff500f,0xe801ffdc,
    0x7fe8007f,0x03ffffb0,0x201ffec0,0x3ea01ffd,0x557ff43f,0xfeaaaaaa,
    0x01ffd80f,0x7fccffea,0x02ffb804,0x4000ffd0,0xfd0007fe,0xdfd0000d,
    0x0dfd0000,0x3ee7fee0,0x27fcc4ff,0x7f5d4cc4,0x9ff903ff,0x4005ff88,
    0xfe887ff8,0x6fff44ff,0x2000099a,0x744007fe,0x000bdfff,0x17bfffd1,
    0xf9ffd000,0x1ffea03f,0xb0ffffa2,0x7d4000ff,0x13fe602f,0xf3017fd4,
    0x07fe809f,0x3ffffaa0,0x003fffff,0xff500ffd,0x027fcc05,0xe8007fe8,
    0xffffd07f,0x17ff2005,0x8001ff60,0xffffffff,0x81ffffff,0xf98007fd,
    0x2ffb804f,0x000ffd00,0x5c003ff4,0x026621ff,0x530ffdc0,0x0ffdc003,
    0xffa81331,0xf982fffe,0x3fe6003f,0x7fffc41f,0x0013fea2,0x2a6bbffa,
    0x2a4ffeff,0x400005ff,0xd88007fe,0x02dfffff,0xfffffd88,0x3fee002d,
    0x3fea06ff,0xdffb9bef,0xffb0aeff,0x17fd4000,0x2a09ff30,0x3fe602ff,
    0x803ff404,0xccdefffc,0xd003ffdc,0x5ff500ff,0x8027fcc0,0xfe8007fe,
    0x1ffff707,0x00dff500,0xf8001ff6,0xeeeeeeff,0xd80eeeee,0xff98007f,
    0x02ffb804,0x4000ffd0,0x7c4007fe,0x1bffe63f,0x754ffe20,0x4401efff,
    0x3ffe63ff,0x77fffcc6,0x005ff500,0x7c44ffb8,0x3fea4fff,0xfff98003,
    0xff8dffff,0x000bff24,0x000ffd00,0x7ffffed4,0xffda800d,0x8800dfff,
    0x2a02ffff,0xffffffff,0x365fff95,0x3ea0007f,0x13fe602f,0xf3017fd4,
    0x07fe809f,0x501effa8,0x3fa007ff,0x02ffa807,0x74013fe6,0x7fe8007f,
    0x20077ae0,0xb000fff8,0x7f4000ff,0x7fd80007,0x04ff9800,0xd002ffb8,
    0x7f4000ff,0x237ec007,0xd806fffe,0x3f37ea6f,0x237ec06f,0x7c46fffe,
    0x7fe404ff,0x2ffc4001,0xf32fffe4,0x3a6000bf,0x3fe3ffff,0x000bff64,
    0x000ffd00,0x17fff6a0,0xbfffb500,0x01bff600,0xffff7ff5,0xd97fec47,
    0x3ea0007f,0x13fe602f,0xf3017fd4,0x07fe809f,0x2a02ffc8,0xffd003ff,
    0x405ff500,0xfd004ff9,0x0ffd000f,0x17ff4000,0x000ffb00,0x00007fec,
    0x26001ff6,0xffb804ff,0x00ffd002,0x5003ff40,0x677e43ff,0x0ffd406f,
    0x2a07fb86,0x33bf21ff,0x807ff86f,0xf98007ff,0x49fff04f,0x40006ff8,
    0x07fd4198,0x00009ff9,0x00007fe8,0x000fffcc,0x400fffcc,0x7d402ffd,
    0x0180311f,0x1ffd4000,0x2a09ff30,0x3fe602ff,0x403ff404,0x3ee00ffd,
    0x0ffd003f,0x4c05ff50,0xffd004ff,0x00ffd000,0x013ff200,0x4000ffb0,
    0x40003ffc,0xf98007fd,0x0ffc804f,0x000ffd00,0xf8803ff4,0x327fe64f,
    0x13fe206f,0x3e20dfb0,0x327fe64f,0x03ffb86f,0x20013fea,0xffb02ffb,
    0x002ffe87,0x217fcc00,0x0000eff9,0x0001ffa0,0x000bff20,0x26017fe4,
    0xffa807ff,0x26600002,0x0bff3000,0x5413ffa2,0x3fe602ff,0x403ff404,
    0xfd881ffd,0xffd003ff,0x405ff500,0xfd004ff9,0x0ffd000f,0x0dff5000,
    0x000ffb00,0x000fffc4,0x3000ffb0,0xff8809ff,0x01ffa007,0xb007fe80,
    0xf94fe8df,0x2037ec0d,0xdfb02ffc,0x0df94fe8,0xf101fff1,0xf98001ff,
    0x1fff00ff,0x001fffa8,0x741bf600,0x00000eff,0x00000ffd,0x20003ffd,
    0x3a201ffe,0xffa802ff,0xff100002,0x1ffe2009,0x413fffa2,0x3e602ffa,
    0x03ff404f,0x4c577fdc,0x03ffffeb,0xf500ffd0,0x27fcc05f,0x8007fe80,
    0x4c0007fe,0xd8000fff,0x7e40007f,0x53109cff,0x01ff6037,0xb993fe60,
    0x03fffc99,0x8001ffa0,0xffa807fe,0x3bbbfea1,0x7fd41eff,0x05ffb101,
    0xffa87fea,0x41effeee,0xb99bfffc,0x4d443fff,0xffda9999,0x3ffd881f,
    0x359fffb0,0x4001f953,0xfff106fe,0xe800039f,0x566c007f,0xffdb9899,
    0x13359b06,0x40dffb73,0x5004ffe9,0x200005ff,0x3a001ffa,0xffa9aeff,
    0xff504ffe,0x8a7fcc05,0xfffaaaaa,0xfe81aaaa,0x9effffff,0x555443ff,
    0xaaafffaa,0x017fd41a,0xaa889ff3,0xaafffaaa,0x555511aa,0x5555fff5,
    0x3ffa2005,0xaaaaaaac,0x007fd81a,0xfffffc80,0xb02fffff,0xff3000ff,
    0x7ffffd49,0x5555106f,0x5555fff5,0xaaaaa883,0x1aaaafff,0xff513fe2,
    0x45ffffff,0xfd304ff8,0x13fe201d,0xfffffff5,0xffff905f,0xf507ffff,
    0xffffffff,0xfffed85d,0x3fff6204,0x00ffffff,0x0bbffee0,0xffffffd1,
    0x55554403,0xaaaafffa,0x3ffffe01,0x00efffff,0xffffffff,0xfee81dff,
    0x2a006fff,0x700002ff,0xff9800ff,0xf8dfffff,0x05ff504f,0xff9a7fcc,
    0xffffffff,0xffc885ff,0x0ffe3eff,0xfffffff3,0xa8bfffff,0x3fe602ff,
    0x7ffffcc4,0x5fffffff,0xfffffff1,0x00bfffff,0x3fffffea,0x84ffffff,
    0x300007fd,0xfffffffb,0x01ff603b,0xe993fe60,0x2603efff,0xffffffff,
    0x7cc5ffff,0xffffffff,0x3ff25fff,0x64cccc40,0x3ff209ff,0xfffffb00,
    0x207fe45f,0xffc99998,0xfffd5009,0x3fea05bf,0x02dfffff,0x2003dfff,
    0xefffffda,0xffec8004,0xffffd703,0x7fffcc03,0xffffffff,0x3ffff605,
    0x6c03efff,0xefffffff,0x7fffff03,0x02ffa800,0x009fb000,0x7ffffd30,
    0xffa827fc,0x4d3fe602,0xffffffff,0x4405ffff,0x7ffcc001,0xffffffff,
    0x017fd45f,0xff989ff3,0xffffffff,0xffff15ff,0xffffffff,0x3ffea00b,
    0xffffffff,0x007fd84f,0x09998800,0x0007fd80,0x3e600300,0xffffffff,
    0x7fcc5fff,0xffffffff,0x05ff55ff,0xff51bf20,0x7fffec05,0x05ff52ff,
    0x9801bf20,0x33331000,0x00026a00,0x20000330,0xcba88018,0x3fffe600,
    0xffffffff,0x99998805,0x4ccc4000,0x55e64009,0x1cc98000,0x03990000,
    0x000cc400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x9b500035,
    0x4c400505,0xddd90009,0x2000bddd,0x40001dd9,0x26000199,0x0000009a,
    0x00002660,0x004eed88,0x00013531,0x00c40000,0x01f75400,0x64c164c0,
    0x82cda801,0x77774402,0x8801eeee,0x2deffedc,0x6c43bd70,0x7774404e,
    0x801eeeee,0x88002ee9,0x009dd000,0x0007baa0,0x80000440,0x4defedc8,
    0x00000000,0x3ffff600,0x04ffffff,0xdffdd950,0xfffffb80,0xffd801df,
    0x4fb8aeff,0x3fffb620,0x4fffffff,0x3ffffff6,0xfffd0007,0xffec9800,
    0x4c03dfff,0xefffffed,0x3ffff60b,0x00ffffff,0x3bffff66,0x3a20000c,
    0x7f5404ff,0x44ffffff,0xfb804ff9,0x3ff6e02f,0x4000bdff,0x003ffffa,
    0xff10fffc,0x7ffec01f,0x04fb8aef,0x3fffffe2,0x7fe401ff,0x04ffffff,
    0x3fa6bff6,0x7ffc400e,0x801fffff,0x3000ffff,0x3fe005fd,0x5ff50005,
    0x2fe98000,0xfffb8000,0xff97ffff,0xffffffff,0xfd8bffff,0x2cdeffff,
    0xffffd800,0x04ffffff,0x7fffffdc,0xffff106f,0x07ffffff,0x7fe5f7dc,
    0xf301ffff,0xffffffff,0x6549ffff,0x007ffccc,0x001ffff0,0x3fffffee,
    0x3f207fff,0xffffffff,0x3ffff61f,0x00ffffff,0xfffffff7,0xd10001df,
    0x7f4405ff,0xffffffff,0x4027fcc5,0xfd882ffb,0xefffefff,0x99ff5000,
    0x3e2007ff,0x3ffe62ff,0xf97df701,0x803fffff,0x19999999,0x5e7ffe40,
    0x6c03cbaa,0x000effff,0x33333333,0x3ffff100,0x00bfee00,0xa8002ffc,
    0x5c0002ff,0x540002ff,0xccacffff,0x55555f95,0xd5555555,0xfffffd8b,
    0x001effff,0x2aaabff6,0x3601aaaa,0xaaccefff,0x15bffd02,0x03fff951,
    0xbffb106c,0x33ffe605,0x99bffc89,0x3ff40099,0x05ffc800,0x57bfffb0,
    0xd10fd953,0x5357bfff,0x55543fd9,0xffeaaaaa,0xacfffd80,0x01fffeb9,
    0x003bfa20,0x3337dffd,0xff989953,0x42ffb804,0x220bffe8,0x5401fffa,
    0x0ffee3ff,0x7e427dc0,0xfb106c04,0x000005bf,0x0006ffd4,0x003bff60,
    0xffb00000,0x17fdc00d,0x0005ff80,0x80005ff5,0x40002ffb,0x36402ffe,
    0x3f62ec00,0xffdcaabf,0xdfb003ff,0x77fec000,0x1bfea001,0x0003ffd8,
    0xb85ffb00,0xfe8001ff,0x00a60007,0x2017ffd4,0x01fffd81,0xffb0004c,
    0x00fff981,0x4400bffd,0x6ffb8019,0x04ff9800,0x7ec2ffb8,0x1bfa201f,
    0x33101330,0x00000000,0x74000000,0x300000ff,0x00000003,0x3ee00154,
    0x0bff002f,0x00bfea00,0x005ff700,0x403ffcc0,0x0f7bea6c,0x03ff62ec,
    0x4007ffe4,0xf50006fd,0xff7000bf,0x02ffcc05,0x27fcc000,0x4000ffdc,
    0x000007fe,0x0003ffd0,0x0001dff3,0xd81ffb00,0x3fa201ff,0xd800000f,
    0xf98002ff,0x2ffb804f,0x22007fe6,0x000003ff,0x00000000,0x026aa200,
    0x0000bff0,0x02662000,0x00001330,0x7ff93333,0x41333333,0xf50005ff,
    0x9998005f,0x999bffc9,0x7d400999,0x266c804f,0x6c2fffdc,0x7007fec5,
    0xdfb00bff,0x03bfa000,0x80bfee00,0x33103ffa,0xd8033333,0x1ffb80ff,
    0x547fe800,0x99999983,0x5c199999,0xfd0005ff,0x2000005f,0x3fe60ffd,
    0x04ffc806,0x33333333,0xffe83333,0x4ff98000,0x3a2ffb80,0x66f6d45f,
    0x4cc4df90,0x404cc000,0x19999998,0x54419880,0xff70009a,0x101dffff,
    0x310009ff,0x009aa883,0xf980bfea,0x2666624f,0x3ffe0199,0xffffffff,
    0x17fe4fff,0x7d413330,0x026aa22f,0x3ffffffe,0x4fffffff,0x4017fdc0,
    0x87fea06c,0x007fec5d,0xfb007ffe,0x7ff3000d,0x1bfe2000,0xfb00ffd8,
    0x80ffffff,0x3ff706ff,0x2affd000,0x7ffc43fe,0xffffffff,0x007ffa0f,
    0x001bfe60,0x20ffd800,0xf9803ffb,0xffff886f,0xffffffff,0x000fff60,
    0x2e013fe6,0x43ff32ff,0x12fffffc,0x0bfe65ff,0xd83ff980,0x07ffffff,
    0xff90ffa8,0x6c407fff,0xffffffff,0x01ffcc2f,0xfc87fd40,0xf503ffff,
    0x27fcc05f,0xfffffffb,0x7fffffc0,0xffffffff,0xfc817fe4,0x4bfea0ef,
    0x43fffffc,0xffffffff,0x04ffffff,0x64017fdc,0xbb27dc06,0x5c00ffd8,
    0x37ec03ff,0x00ffdc00,0x43dffd00,0x3605ffd8,0x07ffffff,0x7dc13fe2,
    0xffe8001f,0x7c42fffe,0xffffffff,0x1bfe0fff,0x01ffdc00,0x1ffb0000,
    0xf800ffe4,0xffff887f,0xffffffff,0x00fffee0,0x7009ff30,0xa9fea5ff,
    0x21a9adff,0x07ff13fe,0x6c17fd40,0x07ffffff,0xffe9ffa8,0xb03fffff,
    0x7e4c3bff,0x0ffea0ff,0x3a7fea00,0x3fffffff,0x2602ffa8,0x3fff64ff,
    0x26607fff,0x99bffc99,0x3fe09999,0x81dff905,0xfffeaffa,0x2663ffff,
    0x99bffc99,0x5c009999,0x06c802ff,0xd8bb37cc,0x7fd400ff,0x667fec04,
    0x3f600acc,0x9bddd957,0x7ffec401,0x405fffac,0x7ff99998,0x5c0ffe60,
    0xff8001ff,0x3300cfff,0xf9333333,0x02ffccbf,0x002ffc80,0x83ff6000,
    0xfd000ffd,0x2666660f,0x85ffc999,0x002efffd,0xf7009ff3,0xfe9bee5f,
    0xff27ec06,0x07fdc009,0x7fccccc4,0xfeffa807,0x1fff932e,0x2e05ffa8,
    0x0ffea5ff,0x3fbfea00,0x1fff932e,0x2602ffa8,0x266624ff,0x2e007ff9,
    0xbff002ff,0x501dff90,0x225fffff,0xf700fffc,0x3bb2005f,0xeeeffeee,
    0x0d92eeee,0x4d765fb8,0x0999ffe9,0x6c05ff98,0xffffffff,0xfeffe81d,
    0x3fffffff,0x7ffffe40,0xffd0003f,0xb81ffd40,0x1fffffff,0x19fffd50,
    0x77fcc000,0x0013fea0,0x7640ffec,0x001eeeee,0x7ff83ff6,0x003ffa00,
    0x201dff30,0x0cfffffc,0x2013fe60,0x4bf92ffb,0x2fe404ff,0x90330bfd,
    0x3ff400ff,0x077ffd40,0x3fa17fec,0x87ff400f,0xa8003ffa,0xfd80efff,
    0x017fd42f,0xfe809ff3,0x0bfee007,0x3f22ffc0,0xfff500ef,0x05ffb01d,
    0x6c00bfee,0xffffffff,0x93ffffff,0x3fd7330d,0xfffffaec,0xff885fff,
    0x77776406,0x41fffffe,0xaacffffe,0x201fffdb,0xcffffff9,0x07fe8000,
    0x7dc0bfee,0x41ffffff,0x07ffffea,0x0fff4400,0x40013fee,0xffe80ffe,
    0x2001ffff,0x1ffe0ffd,0x001ffd80,0x3007ffa2,0x19fffffb,0x7009ff30,
    0x453f65ff,0x37dc02ff,0x1ff88dfb,0xfd0037ec,0x1dff500f,0xf88ffee0,
    0x2ffb805f,0x50007ff5,0x3ee01dff,0x017fd43f,0xfe809ff3,0x0bfee007,
    0xff92ffc0,0x7ffd401d,0x207ff700,0x95002ffb,0x9bffd999,0x32399999,
    0x177ffcc6,0x7ffffd76,0xff885fff,0x3fa60007,0x017ffc7f,0x3ea0dff7,
    0xffffdcff,0x03ff4001,0x3ee07ff5,0x5c1999bf,0x07ffcfff,0x41ffec00,
    0xd0004ffa,0x999701ff,0x6c003ffd,0x01ffe0ff,0x2000ffe8,0x26003ffd,
    0x41fffffc,0xfb804ff9,0x7fcbf92f,0xf92fe403,0x744ffb8f,0x1ffa005f,
    0x980bfea0,0x0ffe64ff,0x7d4ffea0,0xffa8003f,0x513fe602,0x7fcc05ff,
    0x003ff404,0x3e005ff7,0x01dff95f,0x2602ffa8,0xb99934ff,0x99999bff,
    0x05ff7005,0x0cf98d90,0x3fa66bb0,0xf880999f,0x7440006f,0x01ffe1ff,
    0xff907ffa,0x7fff4c3d,0x81ffa000,0xff703ff9,0xd0cfb803,0x7e4000ff,
    0x0bff305f,0x007ff600,0xd8007fee,0x01ffa0ff,0x32007fe8,0x710005ff,
    0x7cc1ffff,0x2ffb804f,0x037fcdf7,0x0ffb93f6,0x9ff1fffa,0x403ff400,
    0x3e602ffa,0x00bfea4f,0x7fd53fe6,0x2ffa8003,0xf513fe60,0x27fcc05f,
    0xb801ffa0,0xbff002ff,0x5001dff9,0x7fcc05ff,0xffffff54,0x09ffffff,
    0x9005ff70,0x3603f98d,0x2007fec5,0x80006ff9,0x1ffa3ffb,0xf98bff20,
    0xffe880ef,0x81ffa005,0xff704ff9,0x7f409803,0xdff50007,0x0037fc40,
    0xb802ffb8,0x3f6001ff,0x003ff60f,0xfa8037fc,0xe880006f,0x13fe64ff,
    0x7d4bfee0,0x26b7fee7,0xfa8ffa1b,0x5ffff11f,0xfd001ffc,0x05ff500f,
    0xff727fcc,0x27ff3005,0xa8003ffa,0x3fe602ff,0x3017fd44,0x7fe809ff,
    0x00bfee00,0x17fff7fc,0x202ffa80,0xddd34ff9,0xdddddffd,0x5ff7007d,
    0x2e88d900,0x1ffb1760,0x004ffa80,0x364ffa80,0x7fdc00ff,0x8807ff23,
    0x3fa007ff,0x41bfe207,0xe8001ffb,0xff88007f,0x07ffc00f,0x02ffd400,
    0xd000ffdc,0x17fe41ff,0x402ffcc0,0x0000fff8,0x7ccdff30,0x1ffb805f,
    0x3fa23ff3,0xff12ffff,0xfb97fc45,0x5ff14fdd,0x403ff400,0x3e602ffa,
    0x00ffe64f,0x7fd4bfea,0x2ffa8003,0xf513fe60,0x27fcc05f,0xb801ffa0,
    0xbff002ff,0x5003fff3,0x7fcc05ff,0x005ff704,0x4017fdc0,0x45d8006c,
    0x7ec00ffd,0xfb80002f,0x007ff22f,0x3ff43ff9,0x8007ff40,0x7ff407fe,
    0x001ffb80,0xe8007fe8,0xffd802ff,0xfff88004,0x00ffdc00,0x7d47ff88,
    0x2ffc805f,0x002ffe80,0x3e3ffc00,0x0ffc805f,0xbdb717fa,0x3e1bf217,
    0xff55fb3f,0xe8003fe6,0x2ffa807f,0xf893fe60,0x1ffc805f,0x50007ff5,
    0x7fcc05ff,0x301ffd44,0x7fe809ff,0x00bfee00,0xfffaaffc,0x017fd401,
    0x3ee09ff3,0x3ee0002f,0x4c6c802f,0xfb17601c,0x7ffcc01f,0xffe80000,
    0xd013fea0,0x07ffc1ff,0xe801ffe0,0x27fdc07f,0x4000ffdc,0x7e4007fe,
    0xfff3004f,0xbff90003,0x001ffb80,0xfff0dff5,0x037fc401,0x00027fe4,
    0xff17fe20,0x47ff801f,0xf8801ff9,0xf8cfe82f,0xfaaff88f,0x03ff4007,
    0xf3017fd4,0x00fff89f,0xffa9ffe2,0x2ffa8003,0xf313fe60,0x3ffa20bf,
    0x003ff404,0x3e00bff5,0x03ffee5f,0x2602ffa8,0xbff504ff,0x17fdc000,
    0x1bf63640,0x07fec5d8,0x004ffd88,0xe85ffc80,0x9ff701ff,0x2a03ffd8,
    0x3fa006ff,0x17ffc407,0x20007fee,0x3ea007fe,0x7fec006f,0x3e20c02f,
    0xff700dff,0x7ec405c3,0x0effb83f,0x402ffe88,0x00006ffa,0x7e44ffd8,
    0x0fff204f,0xe8807ffa,0xf7bfb06f,0x37defecb,0x201ffa00,0x3e602ffa,
    0x02ffdc4f,0x7fd45ffb,0x2ffa8003,0xf113fe60,0xfffd10ff,0x007fe809,
    0x2003ffe2,0x77fe45ff,0x405ff500,0xff104ff9,0x3ee0001f,0x5c6c802f,
    0xfb17604f,0xdffd301f,0x33337100,0x20dfff75,0x930afffa,0xffa81fff,
    0xfc9999df,0x3fa002ff,0xcfffb807,0xaacffc9a,0x3ff401aa,0x00fff980,
    0x77fffc40,0x87fcbaac,0x9bcffffa,0x3e1ffea9,0xfffcabcf,0x9fffd106,
    0x0bffd955,0x000fff98,0x33557bf3,0x81dfff75,0x99adfff8,0xd106ffda,
    0x7dc437ff,0xbdf901ff,0x7effd45f,0x03ff4005,0xf3017fd4,0x5dffd09f,
    0x8dffd513,0xa8003ffa,0x3fe602ff,0x9aeffe84,0x04ffeffa,0x3a003ff4,
    0xa999cfff,0x3f617fe2,0x2ffa80ef,0xe813fe60,0xa999cfff,0x017fdc02,
    0x2ec00364,0x372afff6,0x800efffe,0xfffffff8,0x3ee00dff,0xefffffff,
    0xfffff701,0x207fffff,0xffaaaaa8,0xb81aaaaf,0xffffffff,0x264fffff,
    0x9fff9999,0x7f440999,0xaaaaaacf,0xffd881aa,0x7fffffff,0xfffffd30,
    0x7c3fffff,0xefffffff,0x3fff6201,0x404fffff,0xaaacffe8,0xf31aaaaa,
    0xffffffff,0x3ea01dff,0xffffffff,0x3ff6201e,0x0dffffff,0x83fffee0,
    0x104ffff8,0xfff55555,0xfa835555,0x13fe602f,0x3fffffa6,0x7d40dfff,
    0xffa8003f,0x213fe602,0xfffffff9,0x5514ff8d,0x55fff555,0x7fcc0355,
    0x24ffffff,0xbffd05ff,0x4c05ff50,0x3fe604ff,0x04ffffff,0x64017fdc,
    0xaaaaaaaf,0x45eaaaaa,0xfffffffd,0xf1000cff,0x3bdfffff,0x3fffaa00,
    0xfd9803ef,0x00cfffff,0x3fffffe6,0x05ffffff,0xfffffdb5,0x269fffff,
    0xffffffff,0x7d45ffff,0xffffffff,0x36a04fff,0x2bdefffe,0x7ffff5c0,
    0x7ed42dff,0x2004efff,0x2dffffeb,0xfffffa80,0x4fffffff,0xffffffb1,
    0x91005bff,0x07dffffd,0x7fffedc0,0xfffa803d,0x03fffd85,0xfffffff3,
    0xa8bfffff,0x3fe602ff,0x3fffb204,0x7ff502ef,0x05ff5000,0xe9827fcc,
    0x3fe3ffff,0xffffff34,0x0bffffff,0xfffffc88,0x4417fe3f,0x7fd45ffe,
    0x013fe602,0xffffff91,0x02ffb807,0xffffffc8,0xffffffff,0x77fffec5,
    0x88000bce,0x80001999,0x26200019,0xfff30009,0xffffffff,0x033100bf,
    0x3ffffe60,0x5fffffff,0x7fffffd4,0x04ffffff,0x88000260,0x03300099,
    0x80013000,0xfffffffa,0x304fffff,0x80001333,0x08800019,0x17ffc400,
    0x9817ffd4,0xffffffff,0x7d45ffff,0x13fe602f,0x7d400cc0,0xffa8003f,
    0x013fe602,0xff300331,0xffffffff,0x4c400bff,0x205ff809,0x3ea4fff9,
    0x13fe602f,0x00099880,0x00005ff7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeee880,0x98801eee,0x00009aaa,
    0x00000000,0x35530000,0x00000001,0x00000cc4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x19880000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20001330,0x200007fe,0xfffffffa,0xfff101ff,
    0x403fffff,0xffffffea,0x3ffff22f,0xffffffff,0x7ffec5ff,0x202cdeff,
    0x80002ffb,0xffffffd9,0x007fec0e,0x7e401bfe,0x742effff,0x7ec0007f,
    0xfff8803f,0xffffffb0,0x361fffff,0x3e2003ff,0xffff006f,0xffffb803,
    0x102defff,0xfb80dfff,0xfffff31f,0x6c059bdf,0xffffffff,0x9ff31fff,
    0x265ff700,0xffffffff,0xd702ffff,0x203dffff,0x3ea02ffb,0x09ff30ef,
    0x02fff980,0x500bffea,0x907fd0ff,0xffffffff,0x2bffffff,0xfffffff8,
    0x0fffffff,0xfffffff3,0x7d40019d,0xfd0002ff,0x7ec0000f,0xffffffff,
    0x26666601,0x3ff60199,0x2ffffeff,0x3ffffff2,0xffffffff,0x7ffffec5,
    0xb81effff,0x5c0002ff,0xffffffff,0x007fec0f,0xfd101bfe,0xbfffffff,
    0x20003ff4,0x6c00fff9,0x3fff62ff,0xffffffff,0x400bff50,0xfa803ffb,
    0x7dc04fff,0xffffffff,0x7ffc40ef,0x47fee02f,0xfffffff9,0xfd80dfff,
    0xffffffff,0x09ff31ff,0x3e65ff70,0xffffffff,0x7f4c2fff,0x4fffffff,
    0xf102ffb8,0x27fcc3ff,0x17ffe600,0x402fffd8,0x82ff86fb,0xfffffffc,
    0x5fffffff,0xfffffff1,0x1fffffff,0x3fffffe6,0x5404ffff,0x002ffffe,
    0x0000ffd0,0x27ffbfe2,0x00001999,0x881dffa8,0x2aaaa60a,0xaaadffca,
    0x5ffec1aa,0xffffdcaa,0x0017fdc3,0x439fff70,0x7fec0da9,0x2037fc00,
    0x9889dffd,0x01ffa3fd,0x813ff200,0x7fec6ff9,0xaaaaaaab,0x01fff10a,
    0x2007ff60,0x406ffffd,0xbaaacffb,0x7c46fffc,0x3ee06fff,0x55bff31f,
    0x7ffffb95,0xaaabffd8,0xf30aaaaa,0x5ff7009f,0x3f2aaaa2,0x40aaaadf,
    0xf511cffe,0x2ffb85ff,0xf985ffd0,0x7fcc004f,0xfff880ff,0x22fe403f,
    0xaa981ff8,0xadffcaaa,0x3321aaaa,0xcccccccc,0xff30fffc,0xfffb755b,
    0xfffd505f,0x20005fff,0x900007fe,0x001ff9df,0x1ffb0000,0x7ff50000,
    0x403ff600,0x3ee0fffc,0xbcefffff,0x07ffe200,0x67ff64c0,0xfccccccc,
    0xffa82cff,0x0ffd0605,0x3fff1000,0xfb07ffa0,0xffd8003f,0x06ff8802,
    0x3ffbbff0,0x8817fdc0,0x3fe21fff,0xff701fff,0x4413fe63,0x3f60fffd,
    0x3fe6000f,0x02ffb804,0xf900ffea,0x1bfe207f,0xffb05ff7,0x009ff307,
    0x83feffa8,0x403ffdfb,0x07fcc4fd,0x007ff500,0x327fcc00,0x3ff209ff,
    0x57fffe47,0xd0002ffd,0xf000a0ff,0x001ff97f,0x26666662,0x007fec01,
    0x01ffd400,0x2e00ffd8,0x3ffee5ff,0x4fffffff,0x4007ffb0,0xfffffffb,
    0xffffffff,0x01ffc84f,0x0001ffa0,0x7d42ffd4,0x01ffd84f,0x402ffd40,
    0xfa803ffa,0x204ffaaf,0x3ee02ffb,0x3f3fe23f,0x23ff705f,0x7e404ff9,
    0x003ff64f,0xb804ff98,0x3fea02ff,0x2037fc03,0x3fee2ffc,0x982ffdc2,
    0x7d4004ff,0xafe86fce,0x27ec03ff,0xa8003fe6,0x200003ff,0x3fe61ffd,
    0x41fff104,0x3ff63ffa,0x8ffd0002,0x3ea006fb,0x000ffc8f,0xfffffffb,
    0x01effc80,0x01ffd400,0x7c00ffd8,0x59ff71ff,0xbfffd975,0xa800dff0,
    0xeeeefffe,0xefffeeee,0x4007fd83,0x200007fe,0x7ff42ffe,0x001ffd80,
    0x2007ffc4,0xfd801ffd,0x206ff88f,0x3ea02ffb,0x333fe23f,0x1ffb81ff,
    0xf8809ff3,0x01ffb1ff,0x4027fcc0,0x3ea02ffb,0x17fe203f,0x7dc9ff30,
    0x81bfe62f,0x5c004ff9,0x261ff9ef,0x544ff8ff,0xeeeffeee,0x2eeeffee,
    0x001ffd40,0x4c5ff880,0x3ff604ff,0x3ff605c1,0x2ffd0002,0x2006fffb,
    0x01ff95fd,0x3fffff60,0x7ff4407f,0xa8000bdf,0xffb003ff,0x73ffb801,
    0x3fea05ff,0x017fe23f,0x2007fec0,0x1ffa06ff,0x000ffd00,0xf737fcc0,
    0x07ff605f,0x80bff600,0xff006ff8,0xb80ffecb,0x3ff202ff,0x3e73fe21,
    0x31ffb85f,0xff9009ff,0x8003ff67,0xfb804ff9,0x0ffea02f,0xf804ffa8,
    0x44bfee5f,0x3e600fff,0xb7dc004f,0x757f24fe,0x7fffdc4f,0xffffffff,
    0x7d403fff,0xfb00003f,0x04ff983f,0x36003ffa,0xfd0002ff,0x019fffff,
    0x7e4bfe20,0x3331000f,0xb100fff3,0x05bfffff,0x801ffd40,0x7d400ffd,
    0x405ff74f,0x3fea6ff9,0x1ffb0004,0x3e06ff80,0x3ff4007f,0x3ff20000,
    0x3606ff8a,0xfa8001ff,0x0ffea05f,0xfb8ffea0,0x05ff704f,0xff11ffe2,
    0xf703ffa9,0x013fe63f,0x7fed3fea,0x13fe6000,0xa80bfee0,0x3fe603ff,
    0x2e6ff805,0x03ffd2ff,0x4004ff98,0x7cdf96fb,0xa989fd2f,0xaaabffba,
    0x00aaaefd,0x0001ffd4,0x7cc2ffc4,0x0dff304f,0x000bff60,0x067ffffc,
    0xfc9ff200,0x3fa0000f,0x3ff6a007,0xa800dfff,0x74cc03ff,0x980999ff,
    0x05ff75ff,0xff50ffe8,0x3ff60007,0xf037fc00,0x7fe800ff,0x8800a980,
    0x01ffceff,0x20007ff6,0x3f607ff8,0x0ffd801f,0x7dc1bfe2,0x3fee622f,
    0xaa7fc41e,0x8ffdc4ff,0xf9804ff9,0x333ffb5f,0x4c133333,0x99999dff,
    0x02ffc999,0xf880ffea,0x27fe806f,0x2ffcaffb,0x004ff980,0x9ff9b7e4,
    0x817fa7fa,0x27ec0ff9,0x00ffea00,0x207ff200,0xfe984ff9,0x5ffb002f,
    0xfffea800,0x9ff0000c,0x7fffffe4,0x01ffa007,0x2fffed40,0x7ff7775c,
    0x7fc4eeee,0x85ffffff,0x5ff76ff8,0xf31ffc80,0x3f6000bf,0xcccccccf,
    0x66546ffc,0xcccccfff,0x407fe84c,0xb802fffc,0x6c04ffff,0xeeeeeeff,
    0x5ffb04ee,0x7c01bfe0,0x81ffe86f,0xfffffffb,0x9ff104ff,0xff707ff4,
    0x2013fe63,0xfffb6ff8,0xdfffffff,0x7fffffcc,0xffffffff,0x00ffea02,
    0x7d409ffb,0xfbff70ff,0x3fe6009f,0xd37e4004,0x7f49f99f,0x361fe605,
    0x7fd4004f,0x7fc40003,0x99dff306,0x007fffdb,0x88017fec,0x007ffffe,
    0xfc87fea0,0x007fffff,0x30001ffa,0xffc83fff,0xffffffff,0x7fffffc6,
    0x7ff885ff,0xfd805ff7,0x00dff11f,0x3fffff60,0x6fffffff,0x7fffffdc,
    0xe87fffff,0x3ffe207f,0xfffd006f,0xffffd801,0x05ffffff,0xff509ff5,
    0x07ff5007,0xff707ff7,0xffffffff,0x24ff881b,0x3fee4ffa,0x1009ff31,
    0x3fff6fff,0x6fffffff,0x3fffffe6,0xffffffff,0x00ffea02,0x557dfff3,
    0x5cfffff9,0x004fffff,0xd8009ff3,0x3fffee6f,0xfa81bf61,0x4003fe87,
    0x40003ffa,0xff302ffc,0x3bffffff,0x02ffd800,0xfff9ff30,0x237f4000,
    0x19999ffc,0x001ffa00,0x950bff20,0x99dffb99,0xffe99879,0xff880999,
    0xe805ff76,0x017ff47f,0x7777fec0,0x6ffeeeee,0x67ffe654,0xe84ccccc,
    0x3ffe607f,0x9999887f,0x9999cffb,0x666ffec0,0x102ccccc,0x1ff90fff,
    0x303ffb00,0x9ff70dff,0xfff97555,0x227fc43f,0x3ff70ffe,0x22013fe6,
    0x33ffb6ff,0x41333333,0xaaaadff9,0x2ffdaaaa,0x200ffea0,0xffffffea,
    0x3ee6feef,0x802ffebf,0x6c004ff9,0x1bffe25f,0x37dc0dfb,0x2a0017fc,
    0x220003ff,0x3fe606ff,0x03fffdce,0x002ffd80,0x01ffa193,0x321ffcc0,
    0x3a0000ff,0xfe80007f,0x1ffd400f,0x400ffd80,0x5ff76ff9,0x2a2ffdc0,
    0x6c001fff,0x37fc00ff,0xe800fff0,0x7fff407f,0xfffffa84,0x3fffffff,
    0x0000ffec,0x6ff83ffb,0x740dff00,0x17fdc1ff,0x226ffd88,0x9ffdc4ff,
    0x9ff31ffb,0x36bff300,0x3e6000ff,0x2ffb804f,0x800ffea0,0xd1cdeecb,
    0x4d7fdcbf,0x7cc01fff,0x2fec004f,0xdfb0fff6,0x3e22fe40,0x7fd4001f,
    0x3ff20003,0x913fe602,0xfd8009ff,0xffd0002f,0x03ff2000,0x40001ff9,
    0x566c07fe,0xffdb9899,0x03ffa806,0xa801ffb0,0x05ff74ff,0x3a03ffee,
    0xa99acfff,0x07fec0fc,0xff81bfe0,0x03ff4007,0x7d413b62,0xffffffff,
    0x7fec3fff,0x3fea0001,0x200ffe64,0x9999dffa,0x5c3ffd99,0x7ffc02ff,
    0xf889ff10,0x263ff76f,0xffa804ff,0x4001ffb4,0xfb804ff9,0x0ffea02f,
    0x1ffc4000,0x3fee5ff7,0x13fe600e,0xfa8bfd00,0xf33fec0f,0xffffffff,
    0x09ffffff,0x0007ff50,0xf301bfe2,0x03ffd09f,0x0017fec0,0xf0007fe8,
    0xffddddff,0x7f40001f,0x7ffffc07,0x00efffff,0xb003ffa8,0xffd801ff,
    0x999bff72,0x405fffdb,0xfffffffd,0x07fec0ff,0xff81bfe0,0x03ff4007,
    0x3ffa8000,0x001ffd80,0xfc9ffe20,0xfffd800f,0xffffffff,0x017fdc6f,
    0x7fc47ff6,0xfbaffc84,0x009ff31f,0x3ff65ffb,0x13fe6000,0xa80bfee0,
    0x500003ff,0x17fdc5ff,0x7cc0bffb,0x2ff4004f,0x33fe404c,0xffffffff,
    0x9fffffff,0x007ff500,0x300bff20,0xdff509ff,0x017fec00,0x8007fe80,
    0xfffffffa,0x20000fff,0x7fec07fe,0x03efffff,0x400ffea0,0x3e600ffd,
    0xffff70ff,0x01dfffff,0xfffffb50,0x01ffb09d,0x3fe06ff8,0x03ff4007,
    0x3ffa8000,0x001ffd80,0xff8ffec0,0xfffff006,0xffffffff,0x017fdc1f,
    0x7fc47ff6,0xfbeff884,0x809ff31f,0x3ff67ff9,0x13fe6000,0xa80bfee0,
    0x880003ff,0x17fdc6fe,0x2607ffd1,0x7fc004ff,0x81ff2005,0x03fd43fe,
    0x001ffd40,0x4c037fc4,0x3ffd04ff,0x00bff600,0x4003ff40,0xaaaaaefe,
    0x20000ffd,0x731007fe,0xf50007ff,0x3ff6007f,0x49ffb100,0xcefffffb,
    0xefe8002b,0x007fec01,0x7ff81bfe,0x003ff400,0x65555440,0x1aaaadff,
    0x0000ffec,0x3fe73fee,0xadffa803,0xdaaaaaaa,0x0bfee3ff,0x3e27ff88,
    0xfbff904f,0x813fe63f,0x3f63ffe8,0x3fe6000f,0x02ffb804,0x0000ffea,
    0xff707ff6,0x81fff985,0x7c004ff9,0x1ff2004f,0x37dc2ff8,0x01ffd400,
    0x401ffe40,0xff504ff9,0x0bff600b,0x003ff400,0x7e40ffe6,0x3fa0000f,
    0x07fdc007,0x01ffd400,0xe980ffd8,0x17fdc6ff,0x3ff88000,0x400ffd80,
    0x1ffe06ff,0x000ffd00,0xffffff50,0x87ffffff,0x40001ffd,0x0ffceff8,
    0x801ffc80,0x3fee6ff9,0x49ffb102,0xff104ff8,0x3fe63fff,0x8dfff504,
    0x26000ffd,0xffb804ff,0x00ffea02,0x84ffea80,0xffa82ffb,0x027fcc0f,
    0xc8013fe0,0x1ff880ff,0x54002fe4,0x7c4003ff,0x9ff3007f,0x400fff40,
    0xd0002ffd,0x555555ff,0x07fe4555,0xaaabffc8,0x5555441a,0xaaaafffa,
    0x001bf601,0xd801ffd4,0xfedcabff,0x7fdc0eff,0xff500002,0x01ffb003,
    0x554c6ff8,0xaaaaafff,0x3ffa2aaa,0xaaaaaaaa,0x3bba600a,0xeeeeffee,
    0x00ffec2e,0x7fffec00,0x00fff006,0xffb87ffc,0xffccaaac,0x027fc46f,
    0x263ffffb,0xfdcaadff,0x7ec0efff,0xaaaaaabf,0x09ff30aa,0x2a25ff70,
    0xadffcaaa,0x5d540aaa,0x0cfffeec,0xf902ffb8,0xaeff98df,0x2aaaaaaa,
    0x64009ff1,0x0ff980ff,0x540027ec,0x7e4003ff,0x9ff3003f,0x912ffdc0,
    0xbffd9999,0x3a009999,0xffffffff,0x0bff16ff,0x7fffffe4,0x7fffcc3f,
    0xffffffff,0x0013fe05,0xd801ffd4,0xffffffff,0x2ffb80cf,0x0ff90000,
    0xf003ff60,0xffffb8df,0xffffffff,0x3ffffa7f,0x1fffffff,0x01ffd400,
    0x0000ffec,0x01ffffdc,0x90027fd4,0x3ffee7ff,0xcfffffff,0x3027fc40,
    0x3e63ffff,0xffffffff,0xffffb04f,0x3fffffff,0x2e013fe6,0xffff32ff,
    0xffffffff,0x7ffffc45,0x3ee01eff,0x93ffa02f,0xfffffff9,0xff16ffff,
    0x0ffdc009,0x27f43fcc,0x01ffd400,0x400fff10,0x7fc04ff9,0xfffff11f,
    0xffffffff,0x3ffffa00,0x76ffffff,0x7fe405ff,0x4c3fffff,0xffffffff,
    0xd105ffff,0x3ea0003d,0xfffb003f,0x40179ddf,0x00002ffb,0x3f6009d9,
    0x237fc00f,0xfffffffb,0x27ffffff,0xfffffffe,0x4001ffff,0xfd803ffa,
    0xf880001f,0xfc800fff,0x3fe6001f,0xffffff76,0x3e2017bd,0x7ffec04f,
    0xdfffff31,0xffd8059d,0xffffffff,0x009ff31f,0x3fe65ff7,0xffffffff,
    0x3bfe22ff,0xfb802bcd,0x3ffe202f,0xffffff32,0x22dfffff,0x3ee004ff,
    0xe87fa81f,0xffa8003f,0x0fff2003,0x404ff980,0xfff14ffb,0xffffffff,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x00000099,0x00800000,0x66440020,0x85500001,0x54400039,
    0x400aa881,0x54409aa8,0x0044000a,0x055554c0,0x006aa200,0x99801331,
    0x09aa9800,0x9aaa9880,0x13551000,0x99885500,0x40998801,0x99999999,
    0x06621999,0x33119980,0x8809aa88,0x809a8809,0x4c000998,0x01333009,
    0x882a8262,0x4009980a,0xc9800999,0x7ffc001c,0xffffffff,0xbffb0fff,
    0x237fdc00,0xfa804ffd,0x00ffe66f,0x6442ff88,0x01effffe,0xfffffff7,
    0x6c0003bd,0x3ee05fff,0x00cf8802,0x00017fcc,0xff997fdc,0xfffb0004,
    0x3fffea1d,0xffffea82,0x7ffff92f,0x00ffee00,0x3fffff66,0x74c01eff,
    0x80dfffff,0x3e602ffa,0xfffb304f,0xd501dfff,0x5fffffff,0x7ffffdc0,
    0xdffb00ef,0x101fffc4,0x7fc45fff,0xffffffff,0x07ff90ff,0x3eabff50,
    0xfffff90f,0x3ae6fd87,0x7cc3ffff,0x3fe6002f,0x3ffff623,0xda7e41df,
    0xfff71fff,0x3205ff87,0xfa800eff,0x7ffc003f,0xffffffff,0xfff10fff,
    0x07ffa003,0x4403fff1,0x3fe21fff,0x8bfe6003,0xfffffffa,0xfffb83ff,
    0xefffffff,0x7ffd4000,0x1fff505f,0x403ffd80,0x40002ff9,0xfd11effd,
    0x7ec001bf,0xff8dffff,0x7e41ffff,0xfdfffeff,0x802fffef,0xfb807fff,
    0xffffffff,0xdfff701f,0xa83ffffd,0x3fe602ff,0xfffffb84,0x7ec0ffff,
    0xffffefff,0xffffd882,0x4c2fffff,0x3ea3ffff,0x9ffb00ff,0xffffff88,
    0x30ffffff,0xffb00dff,0x3fa7fea3,0x23ffffff,0xffff96fd,0x7fc47fff,
    0x8bfea003,0xfffdeff9,0x3ef3f20e,0xfff9cfff,0x417fe0ff,0x5000effc,
    0xcc8007ff,0xcccccccc,0x7fe46ffe,0x05ffb806,0x7e40bff7,0x027fc44f,
    0x3e63ff30,0xfda9acff,0x67fdc0ff,0xfffcbaaa,0xffd1000e,0x7fe40bff,
    0x3ee13314,0x2ff9805f,0xdffd1000,0x03dffb01,0x3e67ff50,0xfe89efff,
    0xfd505dc5,0x17fa25ff,0x201fffe0,0xb5109bdb,0xdff70fff,0x546ffb81,
    0x3fe602ff,0x0e7ffdc4,0x7fd41b53,0xd80a881d,0x3f261dff,0x3ffe60ff,
    0x437fe43f,0x33306ffa,0xff933333,0x201ffe8b,0x3fea6ff8,0xff932efe,
    0x3f7bf61f,0x8dff912f,0x3ee004ff,0x3ee0a20f,0x57f7f22f,0xf88fdefb,
    0x3217fe2f,0x2a000eff,0x800003ff,0x7c41fff8,0x3fe202ff,0x0bffa00f,
    0x7fc1bfe6,0x87fea004,0xbffb00ec,0xd102ffb8,0x3f200bff,0x7405ffaf,
    0xeffffdff,0xf9800eff,0xfe98002f,0x7ffe404f,0x3637ec02,0x3fee1fff,
    0x46ffc800,0x7d400ffb,0xff00002f,0x206ff83f,0x3fea3ffb,0x893fe602,
    0x36001fff,0x7d4000ff,0x17fee05f,0xfd01dffd,0x07ffc47f,0x077fcc00,
    0xfb813fee,0x3bffea3f,0xfb2ffd80,0xffd01dff,0x0cc2ff43,0xff003fe4,
    0x987ffe47,0x8ffe3fff,0x77fe45ff,0x1ffd4000,0x7fec0000,0x40dff704,
    0x7cc04ffb,0x17ff40ff,0x2a004ff8,0x3e2000ff,0x017fdc6f,0xf300fff1,
    0x80bff19f,0xfffffff8,0xf3001fff,0xffa8005f,0xfff5003f,0x2a27fc07,
    0x17fcc7ff,0x261ffd40,0x000002ff,0x2e2ffc80,0x37fc02ff,0x7cc05ff5,
    0x00fff64f,0x8001ffb0,0x7f400ffe,0xf101540f,0x0bff63ff,0x07ffa200,
    0xfe81ffe2,0x03bfea0f,0xffd9ffdc,0x45ff900e,0x0ffc46fd,0x65cc1bf6,
    0x3f23ffcc,0xd1bfe64f,0xf92ffcbf,0xf50001df,0xa800007f,0x7ff406ff,
    0x00fff883,0x3ee4ffc8,0x017fa05f,0xf8007fb8,0x017fdc7f,0xfd003ff6,
    0x00bff11d,0xfb539ffd,0xaaa883ff,0xaacffcaa,0xffb80aaa,0x7fcc002f,
    0x42ff884f,0x7fc46ff9,0x42ff9802,0x00002ff8,0x23ffa800,0x7ec00ffd,
    0x980bfea7,0x01bfe4ff,0x007bff20,0x5c02ffc4,0xfa8002ff,0x004ffaef,
    0x6c07ffb0,0x5ff882ff,0xf3017fd4,0x807ff69f,0x1ff23ffa,0x5fe89ff7,
    0x7fffff44,0x83ff23ff,0x2ff43ff9,0x3bff2bff,0x7ff50000,0x7fc40000,
    0x7ffd401f,0x801ffe40,0xff89fff8,0x017fa00f,0xf8007fb8,0x017fdc7f,
    0xfb807ff2,0x80bff12f,0xffb85ffa,0x7ffffd45,0xffffffff,0x077fec3f,
    0xdffe8800,0xf30bfe60,0xff7555df,0xf7553107,0xff75559f,0x4c000007,
    0xffdcccaa,0x2aabffa3,0xffeaaaaa,0x4c05ff50,0x0bff14ff,0xbfffd100,
    0x1ffcc017,0x001ffd40,0x06ffffc8,0x80bff900,0xffb85ffa,0x3017fd42,
    0x01ff69ff,0xfd07fdc0,0x6c4ff8ff,0x8ffe0aff,0x17fcc7fc,0xcdff97fa,
    0xfc800eff,0xffffffff,0x005fffff,0xb004ffc8,0x37fc49ff,0x37bfea00,
    0x37ec02ff,0xff707fe2,0x46ff8800,0x7ec02ffb,0x49ff100f,0x7ec05ff8,
    0x46ff981f,0xfffffffa,0x3fffffff,0x001bffd1,0x21dffb00,0x7fc41ff9,
    0x4fffffff,0x7fffffdc,0xffffffff,0xffffff93,0xffffffff,0xffffea8b,
    0x3e3fffff,0xffffffff,0xf51fffff,0xa7fcc05f,0x10004ffa,0x5bfffffb,
    0x3005ff50,0x740009ff,0xa8001fff,0xffd006ff,0xfa87fe81,0x53fe602f,
    0xf50007fd,0x3fffe23f,0x9ff0ffe2,0x3f23ff88,0x3a17fcc7,0x3ffbfe5f,
    0xfff9002f,0xffffffff,0xa800bfff,0x3e6006ff,0x05ff90ff,0xbffffb00,
    0xfa8dfb00,0x0037e43f,0xff713fee,0x03ffc405,0x7fc41ffb,0xf03ff405,
    0x3fe600ff,0x17ffd402,0xfff98000,0xf883ff53,0xccccccef,0x337fff22,
    0xccccdffd,0xffff91cc,0xffffffff,0x7ffe4bff,0xffdcccde,0x3bbbffe3,
    0xeeeeeeee,0x4c05ff50,0x07ff54ff,0xfffda800,0x3fee0dff,0x03ff9802,
    0x3ffff100,0x0fff8800,0x4c5ff700,0x2ffa84ff,0x7ed3fe60,0x5ff10007,
    0x453f77ee,0x877ec2ff,0x3f23ffea,0x3a17fcc7,0x3e77fe5f,0xaa9801ff,
    0xadffcaaa,0x2002aaaa,0x4001ffe8,0x5ff8cffc,0xffff1000,0xd8ff9001,
    0x037e46ff,0xb81fff10,0x3ff602ff,0x885ff703,0x3ffc05ff,0x3001ffb0,
    0xff3005ff,0xfa80009f,0x0bfe62ff,0xf100bff3,0x17fc41df,0x555554c0,
    0xaaaaaaaa,0x03dff52a,0x7fe8ffea,0x05ff5000,0xff9a7fcc,0x36a00005,
    0x3fe65fff,0x02ffa803,0xfffffd00,0x17ff4001,0x64bff100,0x2ffa80ff,
    0x7ed3fe60,0x4ffe0007,0xf37faafd,0xffffa81f,0x3f23feef,0x3a17fcc7,
    0x7d57fe5f,0xf50001ff,0xf900007f,0xff10009f,0x0003ffbf,0x4007fff4,
    0x3ffe27fb,0x8017f61f,0xffb83ffd,0x37ff54c2,0xf885ff88,0x0fff405f,
    0xf3007fe8,0x3fa2005f,0xff90005f,0x42ff983f,0xfa806ff9,0x01ffc43f,
    0xffc80000,0xd8ffea02,0xfa8000ff,0x53fe603f,0x00006ff8,0xf11fff98,
    0x3ff900bf,0x79ff9000,0x3f200dff,0xffd8004f,0xf505ff88,0xa7fcc05f,
    0x3a0007fd,0xf88ff8cf,0xb707faaf,0xc8bae9df,0x217fcc7f,0xb97fe5fe,
    0xa8000fff,0x4c0003ff,0x2e0006ff,0x0004ffff,0x013fffee,0xfefa9fee,
    0x4017f64f,0xff705ffc,0xffffffff,0x03ff601b,0xfb017fe2,0x0dff307f,
    0x800bfe60,0x000effd8,0x2203bff6,0x7ffdc4ff,0x20ffdc00,0x00004ff9,
    0x401ffb00,0x3ff23ffb,0x5ff98003,0x749ffd10,0x800002ff,0x3ffe2ffc,
    0x11ffe200,0x3fea0197,0x5013ff66,0x2a000dff,0x02ffabff,0x7cc05ff5,
    0x000ffb4f,0xb2fdefec,0x000df7bf,0xff98ff90,0xbff2ff42,0x000effc8,
    0x0001ffd4,0x00007ffa,0x0001fffd,0x3fffffe2,0xd87fd401,0x3fa6fcbf,
    0x06ffc804,0x3fffffee,0x3ea02eff,0x0bff102f,0x6c0effb8,0xff3002ff,
    0xfff90005,0xdffe8803,0xfb1bfa00,0xffa807ff,0x03fffe22,0x005dc400,
    0x36207ff6,0x3fe23fff,0x7fc4001f,0x4fffe887,0x0007ffea,0x5c3ffd00,
    0x3ff605ff,0x207fff42,0x3e21fff9,0xfff302ff,0x77fc0001,0x3fea07fd,
    0x6d3fe602,0x3f20007f,0x3fea2fde,0xc80005fd,0x217fcc7f,0x217fe5fe,
    0x2000effd,0x20003ffa,0x80004ffc,0x20004ffb,0x6ffaaffe,0xff87fd40,
    0x9fd1ffa9,0x00effc80,0x2aab3fee,0x9eff8801,0xffa99999,0xfff0199d,
    0x0fffd7bf,0x0017fcc0,0x302fffb8,0xf7009fff,0xfdff719f,0x4c95337f,
    0xdfe98dff,0x07311eff,0xb80dffb0,0xeb98aeff,0x7e43ffff,0x53109cff,
    0xaeffe837,0x4ffeffa9,0x4d67ffec,0x3360fca9,0xfdb9899a,0xaeffe86f,
    0x46ffea89,0x223ffffa,0xffa83ffe,0x67ff441f,0xaaaaaaaa,0x3ffff201,
    0x80bfea04,0x0ffb4ff9,0x7fffdc00,0x13fffe20,0xfffffff5,0x1ff27fff,
    0x5fe85ff3,0x7ff417fe,0x0ffea005,0x037fcc00,0x03ffa800,0x6cbff700,
    0x3fe604ff,0x53fe6fa9,0x3ff203ff,0x17fdc00e,0x7fffcc00,0xffffffff,
    0x7cc1ffff,0xffffffff,0x0266003f,0x4fffa800,0x8017ffdc,0xbfffffe8,
    0x7fffffe8,0xaffffff4,0x7ffffffc,0x00ffff80,0x7ffffff4,0xc83ff9ef,
    0xffffffff,0x7ffcc2ff,0xff8dffff,0x7fffec44,0x3e0fffff,0xffffffff,
    0xffe980ef,0x0dffffff,0xb17fffcc,0x7fe40bff,0x3fffea0e,0xffffffff,
    0x3fffe604,0x80bfea01,0x0ffb4ff9,0x2fffd400,0x2a1fffec,0xffffffff,
    0x98ff93ff,0xf2ff42ff,0x3ffa20bf,0x07ff5005,0x007ffa00,0x01ffd400,
    0x30fffc40,0x3e603fff,0x3f24fdaf,0x3f205ff7,0xffb800ef,0xfff98002,
    0xffffffff,0x221fffff,0xeffdbfff,0x0001ffeb,0x7ff4c000,0x003fff53,
    0x24fffe88,0x45ffffd9,0x644fffe8,0x804ffffe,0xc8806ffe,0x3e3effff,
    0xfffb303f,0x303bffff,0x7c7ffffd,0xfffb504f,0xffd89dff,0x03efffff,
    0xeffffec8,0xb97ff202,0x7f400fff,0x3fffea5f,0xffffffff,0x037ff404,
    0xf980bfea,0x000ffb4f,0x5417ffc4,0x4cc42fff,0x99999999,0xff98ff90,
    0xbff2ff42,0x027ffcc0,0x7fe40000,0x3ea00004,0xffd8003f,0x106ffc84,
    0x4c3ff5ff,0xc82ffaff,0xf7000eff,0x5510005f,0x75555555,0x41555dff,
    0x3ea02ffd,0x2aaaa0ef,0xaaaaaaaa,0x2ec4002a,0x880003b2,0x2200cc01,
    0x000cc401,0x88001771,0x99880001,0x03310009,0x10033000,0x00013333,
    0x01880066,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x003bfe60,0x03ffa800,0x407ffd40,0xf883fff8,0xdff87fdf,0x6ffe41ff,
    0x0bfee000,0xff880000,0x00bff505,0x7ff47ffb,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9dffd000,0x99999999,
    0x7ff50039,0x17ffc400,0xf01fff50,0xff909fff,0x7ffdc3ff,0xcccccccc,
    0x05ff70cc,0x7fc40000,0x2003a605,0x7fff41e8,0xffffffff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff980,0xffffffff,
    0x3ffa802f,0x017ff600,0x3fe17ff6,0xfff981ff,0x3ffff20f,0xffffffff,
    0x005ff71f,0x2ffc4000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff98,0xffffffff,0x03ffa802,0x003fff50,
    0xfe85fff3,0x3fffa07f,0x3fffff20,0xffffffff,0x0005ff71,0x02ffc400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x331004c4,0x80033333,
    0x00bdeeca,0x00000000,0x01dd0002,0x00c00040,0xffd50044,0x08000000,
    0x1ef76540,0x776c0000,0xeeeeeeee,0x000206ee,0xdd727764,0xeed8800b,
    0x01bdd704,0x982c9800,0x00eecc1c,0xddddddd1,0x2222223d,0xbbb08888,
    0xbbbbbbbb,0x1bbbbbbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77fffe40,0xfffffd81,0xffd3007f,0x105dffbd,0x07bfffdb,
    0x0b7ffb22,0xf9103f22,0x007fc001,0x7441df88,0x8807f60c,0x7ff540ee,
    0x7fdc007f,0x17fec003,0x7fffffe4,0x3fffe21e,0xffffffff,0xfffffd4f,
    0xffffffff,0x019ffd90,0x4ffd8662,0x8801bfee,0x7dc04ffe,0x3ffc80ff,
    0xf887ffe0,0xffff10ff,0x3fffe203,0xffb1ffff,0x2dffffff,0xffffffff,
    0xffffffff,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffe88000,0x6c2fffff,0x07ffffff,0xfa83ffa8,0x7fffcc3f,0x7fdc2fff,
    0x443fffff,0x2ffc45ff,0x040fe808,0x7e41ffc8,0x03fff51f,0x3a25ffd1,
    0x007fffff,0x003fffe2,0x707fffd4,0xff7359ff,0x7ffffc4d,0xffffffff,
    0x99999974,0x89999999,0x1ffffffd,0x3ff67fc8,0x401bfee4,0x3002ffe8,
    0x7fd41fff,0xfff881ff,0x5c7ffe22,0x2604ffff,0x09999999,0xfffffffb,
    0x333332df,0xcccccccc,0x000ccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc8000000,0xdff713ff,0x7ccccc41,0x47fc407f,0xe88bdeeb,
    0x266ae60f,0x77d46ffb,0x40fffdbb,0x7fdc3ffa,0x9fa0dd83,0x4ff986d8,
    0x3ee27fd4,0x3ffa21ff,0x7f4eff43,0x3b7f2007,0xfff3004f,0x213fe27f,
    0x2aaa2ffb,0xbaaaaaaa,0x500004ff,0xfffb7dff,0x3f26fd83,0x017fea3f,
    0x0007bfa2,0x3f21ffb1,0x9f703fff,0x7fdc9f90,0xa80004ff,0xbbbbbbbb,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x1ffc84ff,0x3203ff40,0x7fb9f92f,0x3f6017e6,0x7fec0c0f,0x740ffd82,
    0x3ffe20ff,0x3ffeafb3,0xf1077f41,0x3ffee0df,0xa83ffe89,0x4c01ffa1,
    0x01ffa8ff,0x2a9fffd0,0x09ff00ff,0x009ff100,0xf71ff600,0x9ff737ff,
    0xff51ffe4,0x0002200b,0x3fee1110,0x100002ff,0x0001fffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x260bfe60,
    0x3ff403ff,0x367c9ba0,0xff101fa6,0x0bff200d,0xff11bfa2,0xedffb88b,
    0x640cffdf,0x07fec2ff,0xffdfff70,0x01ffa007,0x0dfb27ec,0x5cfffe60,
    0x09ff00ff,0x229ff100,0x99999999,0x3fa19999,0xfffffa86,0x8bfee0ff,
    0x00004ff9,0x2ffec000,0x2ee20000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ea00000,0x03ff881f,0xbf103ff4,
    0x927d4fe4,0xffeda83f,0xfff8800e,0xb87ff300,0xffb882ff,0xff980cff,
    0x4017fd44,0x003ffffb,0x3ea01ffa,0x00ffe60f,0xffa8fffc,0x003ff980,
    0xffd4ff88,0xffffffff,0x8165cfff,0x41ffffe9,0x3fe62ffb,0x00000004,
    0x00000098,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e600000,0x02ff983f,0x9f303ff4,0x2e27ffe4,0x7fffe42f,
    0x7ff4402e,0x2637f404,0xffd504ff,0x0bfee07d,0xd1001ffb,0x74003fff,
    0x83fe807f,0x7cc00ffc,0x213fe66f,0x88001ffc,0xffffd4ff,0xffffffff,
    0x0353000f,0xee887baa,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6ff88000,0x7400ffc8,
    0xc97e207f,0x3f20fd9f,0x7fe554c1,0xbffd302f,0x741ffc80,0x77f540ff,
    0xe83ffefe,0x17fe20ef,0xfffffd10,0x01ffa003,0x3fe20ff7,0x07ffa604,
    0xfd75bffb,0x4cc0009f,0x33333310,0x03333333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9adffd80,0xfe804ffc,0x2f93f407,0x201fa4f9,0xffb86ff9,
    0x1ffd403f,0xfe88bfee,0x3feefb3f,0x513fe61f,0x3fa207ff,0x01fffbbf,
    0x3e207fe8,0x87fee03f,0x83fffee8,0xffffffd8,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff88000,0x800effff,0x9fdc07fe,0x3ea3f67c,
    0x45ffa805,0x4401fffc,0x2ffc46ff,0x44fd0f74,0x41ffc86d,0x7f441ffd,
    0x07ffee3f,0x9fff9995,0x037e4199,0xfff137f4,0xddca801b,0x0000001c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x76400000,0x3a003dff,0xaafe807f,
    0x83fef264,0xffba9999,0x37fffa3f,0x360ccccc,0x07fec0ff,0x4043f404,
    0x7fc46ff8,0x20fffa26,0x3f61fffb,0xffffffff,0x22002660,0x0006a219,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf300ffd0,
    0x7fe4c39f,0x7ffffe41,0x7fffc5ff,0x31ffffff,0x3ff987ff,0x4003fe00,
    0x7fd42ffa,0x5c07ff32,0x3bbb22ff,0x00eeeeee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xfb1007fe,0x01bfffff,
    0x3bdffff7,0xddddddd0,0x81c41ddd,0x07740049,0x02e03900,0x00570073,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,
    0xffffffff,0x5555513f,0x35555fff,0x0de65cc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea00000,0xffffffff,0xfffff33f,0xbfffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999988,0xff309999,0xffffffff,0x00000bff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_33_latin_ext_x[560]={ 0,6,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,1,2,2,2,0,2,1,1,1,1,6,4,2,2,3,4,0,0,2,1,1,3,3,1,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,1,0,1,0,2,2,7,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,2,1,1,0,
7,2,0,0,3,2,1,4,1,0,3,1,3,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-3,3,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,1,0,-3,1,1,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_33_latin_ext_y[560]={ 24,1,1,2,-1,1,1,1,0,0,1,7,18,13,
18,1,2,2,2,2,2,2,2,2,2,2,7,7,6,11,6,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,28,1,7,1,7,1,7,1,7,1,1,
1,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24,7,-1,2,3,2,
-3,1,1,2,2,8,13,13,1,2,1,4,0,0,1,7,1,12,24,1,2,8,1,1,1,7,-3,-3,-3,-3,
-3,-5,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,8,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,-1,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
-3,2,-3,1,2,7,-3,1,-3,1,-4,1,-3,1,-3,0,2,1,-3,2,-3,1,-4,1,2,7,-3,1,-3,1,
-3,1,-4,1,2,0,-3,-4,2,1,-3,1,-3,2,-3,1,2,1,-4,7,2,1,-3,1,2,1,7,-3,-4,2,
1,0,0,2,1,2,1,-3,1,2,7,-3,1,-2,2,7,-3,2,-3,1,-3,1,2,7,-3,1,2,7,-3,1,
-3,1,-3,1,2,7,-3,1,2,2,-3,0,2,2,-3,1,-3,2,-3,1,-5,-1,-3,1,2,7,-3,1,-3,1,
-3,-3,1,-4,1,-3,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-8,-5,-3,1,-3,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,7,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_33_latin_ext_w[560]={ 0,6,10,18,16,18,19,4,10,10,14,16,9,10,
6,15,16,15,15,14,18,14,16,16,16,16,6,8,13,15,13,11,18,18,15,16,16,13,13,16,16,14,13,15,
13,18,16,18,15,19,15,16,16,16,19,18,18,19,16,9,15,9,16,19,11,14,15,14,15,16,17,16,14,14,
13,16,14,16,14,16,15,15,14,14,15,14,16,18,17,17,14,13,4,13,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,13,16,16,18,
4,14,15,18,12,14,15,10,16,14,12,16,12,10,16,16,16,6,4,12,12,14,18,18,18,11,18,18,18,18,
18,18,19,16,16,16,16,16,16,16,16,16,17,17,18,18,18,18,18,14,18,17,17,17,17,19,15,15,16,16,
16,16,16,16,18,14,17,17,17,17,16,16,16,16,16,16,17,17,17,17,17,16,16,16,16,16,16,17,15,17,
18,16,18,16,19,15,17,17,17,16,17,16,17,16,18,21,17,18,16,17,16,17,16,17,14,16,16,17,17,17,
17,17,17,17,16,17,17,16,18,16,16,16,16,16,16,16,15,15,16,14,16,16,15,15,15,16,16,16,16,13,
14,20,21,16,20,16,14,17,16,16,14,17,16,16,16,14,18,17,18,17,19,18,18,18,18,17,15,14,18,17,
17,16,17,16,16,14,17,16,16,15,17,20,16,15,17,16,17,16,17,16,17,16,19,18,16,15,18,18,19,17,
19,17,16,17,16,17,16,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,18,16,19,18,20,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,14,16,15,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_33_latin_ext_h[560]={ 0,24,8,22,29,24,24,8,31,31,14,17,12,4,
7,27,23,22,22,23,22,23,23,22,23,22,18,23,19,9,19,24,30,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,28,22,23,22,23,22,22,22,22,22,31,27,31,12,3,7,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,31,34,31,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,24,30,22,21,22,
34,27,7,23,17,14,9,4,15,6,11,20,14,15,7,24,27,6,5,13,17,14,23,23,23,24,27,27,27,27,
27,29,22,27,27,27,27,27,27,27,27,27,22,27,28,28,28,28,28,14,29,28,28,28,28,27,22,24,24,24,
24,24,24,26,18,22,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,18,24,24,24,24,24,30,30,30,
27,23,27,24,29,24,28,24,28,24,29,24,28,24,27,25,22,24,27,23,27,24,28,24,29,24,27,24,28,30,
28,30,29,30,29,31,27,28,22,23,27,23,27,22,27,23,29,30,28,17,23,30,28,30,29,30,17,27,28,29,
30,24,24,22,23,22,23,27,23,29,24,27,23,26,29,24,28,23,28,24,28,24,23,18,27,23,29,24,27,23,
28,24,28,24,27,22,28,24,29,29,27,25,22,23,28,24,28,23,28,24,30,26,28,24,29,24,27,23,27,30,
27,27,23,28,23,27,23,23,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,27,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,32,30,27,24,31,27,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,29,24,29,29,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_33_latin_ext_s[560]={ 511,501,233,423,37,276,467,507,65,76,85,
491,160,318,273,325,471,492,76,488,108,1,16,459,33,357,338,503,161,199,175,
500,262,242,261,118,294,311,208,135,325,342,152,374,390,404,277,166,92,278,476,
202,442,219,222,57,38,18,1,129,158,87,143,329,261,244,157,291,496,259,453,
431,422,374,281,405,188,457,395,321,395,245,410,306,389,276,378,425,345,102,363,
97,1,30,215,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,511,504,331,
155,127,189,6,1,280,236,444,100,183,318,29,303,170,144,57,46,244,120,1,
296,507,130,1,70,452,433,414,34,392,341,306,102,411,203,18,464,447,68,35,
52,34,430,340,357,87,287,211,230,249,427,268,115,151,107,89,19,446,138,105,
380,363,346,329,312,295,122,208,121,227,209,191,173,220,380,397,274,91,291,73,
55,37,19,1,227,479,462,445,428,411,313,192,139,435,203,471,286,1,251,464,
214,37,182,426,1,1,123,69,160,488,232,18,327,490,303,125,342,479,360,378,
377,142,157,193,208,461,226,70,111,193,55,136,237,121,50,85,38,51,254,54,
345,176,14,363,393,160,410,121,376,474,323,72,137,361,321,46,172,271,1,86,
374,171,186,199,305,340,88,104,108,482,308,388,413,407,448,67,189,481,309,170,
137,174,345,316,85,370,68,454,55,240,140,87,21,16,139,70,437,352,487,298,
357,334,396,295,105,258,152,444,18,211,255,230,244,250,270,185,222,101,288,292,
326,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,360,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,11,175,395,267,44,415,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,494,261,87,21,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,471,
471,471,471,471,471,471,471,471,471, };
static unsigned short stb__consolas_33_latin_ext_t[560]={ 1,36,271,225,36,151,151,95,1,1,271,
248,271,271,271,95,176,225,248,176,248,201,201,225,201,225,248,176,248,271,248,
66,1,225,225,201,225,225,225,201,225,225,201,225,225,225,225,201,248,36,225,
201,225,201,225,248,248,248,248,1,95,1,271,271,271,248,151,248,123,248,201,
151,201,201,1,201,176,248,248,248,123,151,248,248,201,248,248,248,248,176,248,
1,1,1,271,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,1,151,1,
225,248,225,1,95,271,201,248,271,271,271,271,271,271,248,271,271,271,176,123,
271,104,271,271,271,176,176,176,176,66,95,95,95,66,36,225,66,66,95,123,
123,95,66,66,66,225,66,66,66,66,36,66,271,36,66,66,66,36,95,225,
151,151,151,151,151,151,123,248,225,151,151,151,151,176,176,176,201,151,201,151,
151,151,151,151,248,123,123,123,123,123,1,1,1,95,176,95,123,36,123,36,
123,66,123,1,176,66,151,123,123,201,123,123,176,95,123,66,123,1,123,95,
123,66,1,66,1,1,1,36,1,95,66,225,176,95,201,95,225,95,176,36,
1,66,271,176,1,66,1,36,1,248,66,66,36,1,123,176,225,176,225,201,
66,176,36,123,66,201,123,36,151,36,201,36,151,36,151,201,248,66,176,36,
176,95,176,36,176,36,176,95,225,36,151,36,36,95,123,225,201,36,151,36,
201,36,151,1,123,36,176,1,176,95,201,95,1,95,95,201,36,201,95,176,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,95,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,1,1,95,123,1,95,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,1,151,36,36,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201, };
static unsigned short stb__consolas_33_latin_ext_a[560]={ 290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_33_latin_ext(stb_fontchar font[STB_FONT_consolas_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_33_latin_ext_s[i] + stb__consolas_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_33_latin_ext_t[i] + stb__consolas_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_33_latin_ext_x[i];
            font[i].y0 = stb__consolas_33_latin_ext_y[i];
            font[i].x1 = stb__consolas_33_latin_ext_x[i] + stb__consolas_33_latin_ext_w[i];
            font[i].y1 = stb__consolas_33_latin_ext_y[i] + stb__consolas_33_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_33_latin_ext_s[i] + stb__consolas_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_33_latin_ext_t[i] + stb__consolas_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_33_latin_ext_x[i] + stb__consolas_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_33_latin_ext_y[i] + stb__consolas_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_33_latin_ext_LINE_SPACING
#endif

