// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT        296
#define STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_34_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_34_latin_ext_LINE_SPACING          22

static unsigned int stb__consolas_34_latin_ext_pixels[]={
    0x00998266,0x01aaa880,0x2e000000,0x50001ccc,0x00001981,0x00000553,
    0x2a200000,0xa800001a,0x4c00002a,0x20000aaa,0x5c009998,0x0130001c,
    0x54400026,0xbb8801bc,0x00164c00,0x50000395,0x00aaa055,0x541a9800,
    0x5550000a,0x2aaaa600,0x40000aaa,0xdb5001cb,0x74c00019,0x4c40000e,
    0x1e654000,0x64473326,0x0799003c,0x77ff6e5c,0xf97fe0bc,0x7f44005f,
    0xbdff304f,0xfc800003,0xf50002ff,0x007fe61d,0x0017f600,0x26dfdb70,
    0x7fffffff,0xfffffff3,0x000ffead,0x07fffb00,0x3ffea000,0x3fea0003,
    0x7ffe403f,0x0ffec001,0x8800bfee,0x3ffffffd,0x403fffa0,0xb803fffa,
    0x20001fff,0xff83fffd,0x3f200006,0x0007fe26,0x200ffff6,0xfffffffc,
    0x3ff60001,0x77fd400f,0xf50000ff,0xfd80001f,0x3ffe6004,0x88fffe61,
    0xdff005ff,0xfffffd50,0x7fc1ffff,0x88017fe5,0x3e601ffe,0x0005ffff,
    0x311bff90,0x77fd4001,0x001fff30,0x0017fc40,0x6ffffe88,0xfffffff3,
    0x3ffffe6f,0x07ff56ff,0x6ffec000,0x540003ff,0x20001fff,0xe801fffa,
    0x7c004fff,0x2fff44ff,0xbdfffa80,0xf884ffec,0xffb02fff,0xfffd00df,
    0x3ff60007,0x37fc3ffd,0xdff30000,0xb000dff9,0x807ffbff,0xfffffffc,
    0x3ffe0001,0xb8ff402f,0xff70003f,0x05ff0000,0x983bfe60,0x7fc41fff,
    0xb8dff005,0xcccdffff,0x97fe0ffe,0xdb1005ff,0xfd730019,0xb80005ff,
    0x013f64ff,0x2e07ffcc,0x70000eff,0x360001ff,0x260adfff,0x37fe9999,
    0x133339ff,0x0000ffea,0xffc8ffec,0xbff50003,0x7fd40001,0xfffb000d,
    0x2ffd8005,0x5401ffe4,0xffb80dff,0x0ffffc43,0x805fffb8,0x8002fffc,
    0x7ff91ffd,0x000037fc,0x07ffffee,0x323ffb00,0x7e4003ff,0x3fa0001f,
    0x33fc01ff,0x3f20009f,0x7fd40006,0x0efe8800,0x2203bfe6,0xdff005ff,
    0x201fffcc,0xbff2ffc0,0x0006a600,0x0003ffd4,0x8802ff80,0xff901fff,
    0x1bfa000b,0x077fcc00,0x3e6ffd00,0x0ffea03f,0x0332a000,0x88003995,
    0xa80003cc,0x76c4002a,0x20350003,0x4ff8801a,0x7d43fe40,0x3bf6203f,
    0x02ec8800,0x540cca80,0x00dff1cc,0x05751000,0xa8199500,0x3f2001cc,
    0x3620001f,0xacfd802e,0xfb0002fd,0x7ee5400b,0x00005fee,0x00bff100,
    0x6ffc9bfe,0x3e5ff800,0x7ffcc05f,0xfe8000ef,0x5400000f,0xffc800ff,
    0x017fec02,0x000b3220,0x20027fdc,0x07ff37fe,0x0001ffd4,0x00000000,
    0x0deda800,0x00000000,0x006fe800,0x000005ff,0x00000000,0x000037fc,
    0x00000000,0x001ffc80,0x3fa20000,0xd10005ff,0xffb1009f,0x03ffffff,
    0xff100000,0xd9bfe00b,0xff8002ff,0xff017fe5,0x0009fb37,0x40003ff9,
    0x5feefdca,0x806ff980,0x0000fff9,0x0ffe4000,0x7cdffa00,0x0ffea03f,
    0x00000000,0x3ee00000,0x0000ffef,0x20000000,0xfb001ffa,0x0000000b,
    0x7c000000,0x0000006f,0x00000000,0x00003ff9,0x00355000,0xfffffda8,
    0xffff305f,0x3ffffd9d,0x20079910,0x2ffc43cc,0x3f66ff80,0x5ff8003f,
    0x6f8817fe,0x2a001be6,0xd88002ff,0xffffffff,0x00fff401,0x0004ffc8,
    0x03fe4000,0xff9bff40,0xa8ffea03,0x1002ceec,0x999dfdb7,0x665c3999,
    0x03997002,0x0bf50ff8,0x3333332a,0x2ccb800c,0xd8399700,0x1fea005f,
    0xcb805993,0x7f6dc404,0x1cccccce,0x66666644,0x3fe4cccc,0x01e65c06,
    0x33bfb6e2,0x2e1ccccc,0x997002cc,0x01ffc803,0x33333322,0x6444cccc,
    0x8799003c,0xffffffd8,0xbffd07ff,0x37fffdc1,0xf802ffc4,0x02ffc46f,
    0x3ff26ff8,0x2ffc000e,0xaff80bff,0xa8004fc9,0x7cc002ff,0xffecefff,
    0xbff501ff,0x07ffc400,0x3bfb6e20,0x01cccccc,0x3a001ff2,0x407ff37f,
    0xfffb3ffa,0xfa809fff,0xffffffff,0x3fee2fff,0x0fff8806,0x0df17e20,
    0x3ffffff2,0x6ffb801f,0x20fff880,0x09881ff9,0x541ff113,0x3ff403ff,
    0xffffff50,0x85ffffff,0xfffffff8,0x1bfe7fff,0x200effd8,0xfffffffa,
    0x2e2fffff,0xff8806ff,0x0ffe400f,0xffffff10,0xf88fffff,0x8dff005f,
    0xffbcfffe,0x5ffb87ca,0x3fffcfe8,0xf802ffc4,0x02ffc46f,0x3fe26ff8,
    0x3fe002ff,0xf5017fe5,0x0001dfff,0xe8005ff5,0x3fee0dff,0x3ffb06ff,
    0x02ffc800,0x3fffffea,0x02ffffff,0x3a001ff2,0x407ff37f,0xdffebffa,
    0x303fffec,0xf7359fff,0x44399dff,0x7dc01fff,0x50ff804f,0x3bbae0bf,
    0x8801fffe,0x7dc01fff,0x2637e44f,0x88ffffff,0x0ffea1ff,0x3e60ffd0,
    0xffb9acff,0x7441ccef,0xfeeeeeee,0x6c1bfe7f,0x3e600eff,0xffb9acff,
    0x3e21ccef,0x7fdc01ff,0x01ffc804,0x3bbbbba2,0x7c47ffee,0x4dff005f,
    0xff50effc,0x440fff80,0x46ffb9ff,0xff005ff8,0x005ff88d,0xfffa8dff,
    0x7fc00bef,0x22017fe5,0x2a0001aa,0x3ee002ff,0xffcfe85f,0x007ff83f,
    0xf305ff98,0xff7359ff,0x640399df,0x7fe8007f,0x7d407ff3,0x7dc1efff,
    0x05ffd06f,0x3201fff1,0x7ff404ff,0xfeffb801,0x3ff2001f,0x09ff9001,
    0x7f41ffe8,0x3fbffe64,0xfa87fe7f,0x83ff403f,0xff882ffe,0x3fe0000f,
    0x3f61bfe7,0x7ff400ef,0x00fff882,0xfe809ff9,0x1ffc801f,0x23ffc000,
    0xff005ff8,0xb83ffe6d,0x1bfea06f,0x0fff9fee,0x7c017fe2,0x02ffc46f,
    0xfe986ff8,0xf01cffff,0x402ffcbf,0x0002cccb,0x7c005ff3,0x4ffc40ff,
    0x7fd46ffb,0x1fff0004,0xf105ffd0,0xdfb001ff,0x26ffd000,0x3fea03ff,
    0x5ffb00ef,0x2e05ff88,0xfff303ff,0x0037fc40,0x8003bdb5,0xf3001ffc,
    0x37fc40ff,0x4dfd17fc,0xa8bfe6fe,0x3ff403ff,0xf702ffc4,0x7fc0007f,
    0xffb1bfe7,0x5ff8801d,0x4c0ffee0,0x3fe207ff,0x03ff9006,0x447ff800,
    0xdff005ff,0xbf913fee,0x6c1ffdc0,0x88fff64f,0xdff005ff,0xf005ff88,
    0x7ff540df,0x5ff84fff,0x3fe017fe,0x3e0006ff,0xdff5004f,0x7ffcff70,
    0x000bff20,0x3e20ffec,0x0ffee05f,0x20013fa0,0x07ff37fe,0x70077fd4,
    0x4ffa89ff,0xe813fea0,0x7ff702ff,0x64000000,0x3fa001ff,0x87ff702f,
    0x3ff50ff9,0x45fd2ff4,0x7f403ffa,0x204ffa87,0x20004ffa,0xc9bfe7ff,
    0xfa800eff,0x13fea04f,0xf702ffe8,0x3ff2007f,0x3ffc0001,0x7c017fe2,
    0xe85ff96f,0x07ff204f,0x3ffc8bfe,0x7c017fe2,0x02ffc46f,0xc9806ff8,
    0x3e0effff,0x5017fe5f,0x001fffff,0x200fff60,0x4fd83ffb,0xffd8fff6,
    0x5ff70001,0x2a04ffa8,0x7fe404ff,0x37fe8002,0x7fd407ff,0x22ffcc03,
    0x3ea04ffa,0x17fee03f,0x22007ff4,0x3deffecb,0x007ff200,0xfd05ffb8,
    0x366fb81f,0xff1ffc6f,0x201ffd45,0x4ffa87fe,0x000ffea0,0x5bfe7ff8,
    0x5000effc,0x7fd409ff,0x417fee03,0xf9000ffe,0xff80003f,0x802ffc47,
    0x81ffd6ff,0x3ffa03ff,0xf707fd40,0x02ffc49f,0x7fc46ff8,0x00dff005,
    0x32fffe44,0x202ffc13,0x03ffdffd,0xdfff9100,0x207ff20d,0x8fff22ff,
    0x70000ffe,0x4ffa87ff,0xd30ffea0,0x0005dffd,0x1ffcdffa,0x8807ff50,
    0x37fc45ff,0x4403ffb0,0x7fcc0fff,0x7fffd405,0x01ffffff,0x2001ffc8,
    0x7cc0fff8,0x3e5fc85f,0xf8bfe64f,0x00ffea1f,0xdff10ffd,0x000ffec0,
    0x77fcfff0,0x2000effc,0x3f606ff8,0x3ffe201f,0x002ffcc0,0x80003ff9,
    0x2ffc47ff,0xffd6ff80,0xf017fc43,0x45fc81ff,0x3fe25ffa,0x88dff005,
    0xdff005ff,0x1fff5000,0x3e02ffc0,0x005ff9ef,0x83fffd40,0x7fd40ffe,
    0xff93fee0,0x3fea0007,0xb037fc44,0xfff983ff,0x3fa0000e,0x5407ff37,
    0x7fc403ff,0x40dffd86,0xfc806ffc,0x017fe43f,0x3337bfea,0x400ffffe,
    0x64001ffc,0x17fe43ff,0x3ff8afe4,0x1ff87fea,0xfd00ffea,0x037ff60f,
    0x8000dff9,0x37ffe7ff,0xfd8005ff,0x37fe40df,0x321ffe40,0x3f2002ff,
    0x7fc0001f,0x802ffc47,0x47ffb6ff,0x3fe01ff9,0x7d43ff87,0x017fe25f,
    0x3fe237fc,0x05ff8806,0x405ffd00,0x3fea05ff,0x0001fff3,0x099dffb1,
    0xbf903ffe,0x3fe5ffa8,0x3fe60007,0x40dffd84,0xdc886ffc,0xd0004fff,
    0x80ffe6ff,0x7c403ffa,0xffff985f,0x00fffedd,0x7f46ff98,0x300a9807,
    0xfc809ffd,0x7fcc001f,0xfd83ff46,0x7dc5ff34,0x541ff10f,0x3ff403ff,
    0xddffff98,0x0000fffe,0x2dff3ffc,0x4c005ffe,0xfeddffff,0xff9800ff,
    0x2003ff46,0x40001ffc,0x2ffc47ff,0xff96ff80,0xf007fd4b,0x07fcc1ff,
    0xff88ffea,0xf0dff005,0x9ff300ff,0x0fff2000,0x3f605ff8,0x007ff91f,
    0xf003ff90,0xa87ff0ff,0x03ffa5ff,0x427fd400,0xeddffff9,0xfc800fff,
    0x7fe8002f,0x7d407ff3,0x27fd403f,0x7ffffff4,0x3a000dff,0x09ff31ff,
    0x17fee000,0x0003ff90,0x3fe63ffd,0x3e69fb04,0xfa9ff22f,0x201ffd47,
    0xfffd07fe,0x01bfffff,0x7cfff000,0x09ffd16f,0x7fffff40,0x2000dfff,
    0x9ff31ffe,0x01ffc800,0x223ffc00,0xdff005ff,0x7dc3ffea,0x70fff407,
    0x45ff70df,0xff005ff8,0x803ffd0d,0xd0002ffd,0x2ffc03ff,0x7fd4dff0,
    0x04ff8005,0x7cc1fff0,0xb1ffd40f,0x2e0003ff,0xfffe83ff,0x00dfffff,
    0x20013fa0,0x07ff37fe,0x2e01ffd4,0x4ffd42ff,0x0009baa8,0xff94ffb8,
    0x3e200003,0x0ffe407f,0xca7fdc00,0x27fd01ff,0x9bfa2ff9,0x1ffd44fb,
    0x3ea1ffa0,0x09baa89f,0x9ffe0000,0x3ffe26ff,0x89ffa804,0x80009baa,
    0x3ff94ffb,0x01ffc800,0x223ffc00,0xdff005ff,0x7e4ffff4,0x8bffa046,
    0x1ffc84fe,0x7c017fe2,0x0effb86f,0x008fff50,0xf80fff70,0x89ff505f,
    0x26000fff,0xffd002ff,0x7dc37dc3,0x007ff22f,0x2a17fe40,0x9baa89ff,
    0x07fd8000,0xff37fe80,0x01ffd407,0xfc81fff1,0x7c400007,0x006ff8ff,
    0x203ffc00,0x88001ffc,0x06ff8fff,0x9ffcd3f6,0x0bfa6ffa,0xfe807ff5,
    0x0007fc87,0x7cfff000,0x1fffcc6f,0x0001ff20,0xff1fff10,0x3ff9000d,
    0x47ff8000,0xff005ff8,0x77fffccd,0x647daadf,0x03ff13ff,0x7fc41fff,
    0x20dff005,0xa9abeffe,0x3e22fffc,0xbaaaabce,0x7c02fffe,0x83ffb05f,
    0x2a002ffd,0xffd002ff,0x7e427f45,0x00ffee1f,0x3207ff40,0x6400007f,
    0x7f4000ff,0x5407ff37,0x3ff203ff,0x00cffd83,0x33ff6000,0x544003ff,
    0xffeeeecc,0x00ffe407,0xffcffd80,0x7c57f203,0xaffee9ef,0x7fd40ffc,
    0x6c3ff403,0x00000cff,0xdff3ffc0,0x405fff50,0x0000cffd,0x3ff3ff60,
    0x1ffc8003,0x23ffc000,0xff005ff8,0xfffff98d,0x7cc7ffff,0xa87fa8ff,
    0x2ffc46ff,0xd306ff80,0xffffffff,0xffff887f,0xffffffff,0xbff2ffc2,
    0x3ea1ffe0,0x3fea005f,0x27ff9002,0xfff81ff8,0x001bfe20,0x3f61bfe2,
    0x900000cf,0xfe8001ff,0x5407ff37,0xa999beff,0xff506ffe,0x9dddffff,
    0x7fcc0017,0x32000fff,0xffffffff,0x2aaaa7ff,0xaaacffda,0xfff9800a,
    0x97ee00ff,0xfd9ffffc,0xffa81fff,0x543ff403,0xeeffffff,0x40000bce,
    0x41bfe7ff,0xf502fffb,0xdddfffff,0x7cc00179,0x5400ffff,0xcffdaaaa,
    0x2000aaaa,0x2ffc47ff,0xb886ff80,0x3ceffffe,0x5fdbfff8,0x7c41ffe8,
    0x5ff8806f,0x7ffff640,0xfed881cf,0xbeffffff,0x3fe5ff80,0x884ffa85,
    0xf5000fff,0x3fe6005f,0xfa87fa8f,0x01ffe86f,0x541ffdc0,0xeeffffff,
    0xf9000bce,0x7fe8001f,0x7d407ff3,0xffffffff,0x3ff200df,0xffffffff,
    0x3ffa005f,0x3ff2005f,0xfaaaabdf,0xfffff17f,0xffffffff,0x3fffa003,
    0x2a37dc05,0x39d931de,0xd00ffea0,0x3fff20ff,0xffffffff,0x9ffe0005,
    0x3ff206ff,0xffff901f,0xbfffffff,0x2ffff400,0x3ffffe20,0xffffffff,
    0x11ffe001,0xff100dff,0x017fc40b,0x17ffffdc,0x7fc17ff6,0x04ff9807,
    0x8007fee0,0xf8009999,0x3617fe5f,0x5ffb02ff,0x00bfea00,0x5fdbfff8,
    0xfb81ffe8,0x7ff4004f,0xfffff900,0x0bffffff,0x8001ff90,0x07ff37fe,
    0x7fffffd4,0xfd802def,0xfecccccf,0xf7004fff,0x3ea003ff,0x5ffe00ff,
    0xfffffff8,0x01ffffff,0x803fff70,0x00000ffa,0xfe807ff5,0x999ffb07,
    0x9ffffd99,0xf9ffe000,0x7ffec06f,0xcccffd81,0x4ffffecc,0x03fff700,
    0xffffff88,0x1fffffff,0x3e1ffe00,0x4ff9807f,0x4003fe60,0xcaaffffe,
    0xfd01fffe,0x2ffd803f,0x007ff100,0x4bff0000,0x07ff85ff,0x54017fee,
    0x3ee002ff,0x7ec2ffff,0x1fff105f,0x813fea00,0xcccccffd,0x404ffffe,
    0x74000ffc,0x407ff37f,0x00333ffa,0x2202ffd8,0xf7007ffc,0x7fe400bf,
    0x003ffc03,0xf7002fec,0x0ffe00bf,0x3a000000,0x02ffd87f,0x001fff22,
    0x000037fc,0x91017fec,0x3ee00fff,0x0000005f,0xfd0dff00,0x2ffd803f,
    0x8801fea0,0xfffffffd,0x3fee00ef,0x0dff500e,0x0003fe40,0xbff01bfa,
    0x3fea2ffc,0xbaaaaaae,0xfa800fff,0x7ff4002f,0xffecaaff,0x17fee01f,
    0x403ffe20,0x32202ffd,0x7fe407ff,0x9bff4000,0x3fea03ff,0xdff10003,
    0x007ffe00,0x4003fff1,0x3e601ffd,0x37e4007f,0x03fff100,0x0001bf20,
    0x117fe000,0x3fe00dff,0x7fcc001f,0x7c400004,0x3fff006f,0x01fff880,
    0x98000000,0xeffb84ff,0x80dff500,0xff8006fb,0x004effff,0x5357dffd,
    0x4003fff9,0x220007fe,0x2ffc04ff,0xfffc8bff,0xffffffff,0xffc802ff,
    0x7fec4001,0x0effffff,0x401ffe80,0xff103ffc,0x07ffe00d,0x4002ffb8,
    0x07ff37fe,0x8001ffd4,0xff005ffa,0x0bffb00f,0x703ffc80,0x4400ffff,
    0x3f6003ff,0x3fe6005f,0x20000002,0x7fd44ffa,0x00fff005,0xe807ff90,
    0xbff5006f,0x201ffe00,0x40005ffd,0x640006fe,0xdffd03ff,0xfff95357,
    0x005fc803,0x00ccffcc,0x7ffff4c0,0x003fffff,0x01677fdc,0xf00bfe60,
    0x3e2ffcbf,0xffffffff,0x805fffff,0xf0000fff,0x09dfffff,0x807ffcc0,
    0x3ea06ff9,0x0fff005f,0x4005ffa8,0x07ff37fe,0x8001ffd4,0x6402fff9,
    0x3f6205ff,0x7d4000ef,0xfeb99bff,0x2a007fff,0xfd8803ff,0x7f4000ef,
    0x1000c02f,0x307ffa60,0xfc805fff,0xf500a85f,0x7fc401ff,0x5fff3004,
    0x205ffc80,0x000effd8,0x5013fe20,0x03ffea01,0x7fffff4c,0xe803ffff,
    0x37dc004f,0xffec8000,0x8000dfff,0x004fffd8,0x7fc03fdc,0xffa97fe5,
    0x9999999d,0x100fff99,0x2000dff7,0x00199ff9,0x303bfee0,0x7cc01fff,
    0x7fe402ff,0x17ffc405,0x3e6ffd00,0x0ffea03f,0xdfffe800,0xfffcbabc,
    0x7ff66c0e,0xfb0001ff,0x5fffffff,0xff800ffb,0x7f66c4df,0x88001fff,
    0xa99bdffe,0x3ea007eb,0x4fffdccd,0x79bfffd0,0x1dfff975,0xd979dfd0,
    0xf9805fff,0x3ffa002f,0xfcbabcdf,0x766c0eff,0x0001ffff,0x3a017fcc,
    0xffecbcef,0xffec802f,0xf000dfff,0x4fe8007f,0x09980000,0x02aa0000,
    0xf009d900,0xf92ffcbf,0x3ffa005f,0x3fff7222,0xdf70002f,0x7fe40000,
    0x007ffa25,0x2f37fffa,0x0efffcba,0xdffffc80,0xf9999913,0x337fe6ff,
    0x7ff53ccc,0x7ff44000,0xffffffff,0xfffff80d,0x7dc0000d,0xf90cefff,
    0xffea800f,0x3ffffe0f,0x3620000d,0xffffffff,0x3ffea006,0x2204ffff,
    0xfffffffe,0xfd00dfff,0x5fffffff,0x800ff700,0xffffffe8,0xf80dffff,
    0x000dffff,0xe807fb80,0xffffffff,0x00998002,0x40009980,0x000001cc,
    0x00000000,0xf97fe000,0x801ffe5f,0x3fe65ffb,0x20003fff,0x400004fe,
    0x5ff50ffd,0x3fffa200,0xdfffffff,0xfff91000,0x3fffe6df,0xfff37fff,
    0x3a6dffff,0xc980002e,0x0cceffed,0x00b37ba0,0x00131000,0xe8551000,
    0x00002cde,0x2f7bb6e6,0x775c4001,0x93001cdf,0x199dffdb,0xefedb980,
    0x9d9000bd,0x3b726000,0x200cceff,0x0002cdee,0x26013b20,0x0bdefedb,
    0x00000000,0x00000000,0x00000000,0xf2ffc000,0x017feabf,0x3a27ff88,
    0x40000bcd,0x800001cc,0x40015c0d,0xceffedc9,0x9730000c,0x3bbba2bd,
    0xddd35eee,0x000bdddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xbff2ffc0,0xd000bff2,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf2ffc000,0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x013ba4ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07320000,0x32600595,0x000440bc,0xcc803ba2,0x03cc803c,
    0x1102f326,0x007b7100,0x3333332a,0xcccccccc,0x0133320c,0x66540f32,
    0x000e6541,0xa8005551,0x0e6541cc,0x77f65cc0,0x991001ce,0x3ec80009,
    0xccc88000,0x541cc803,0x3322002c,0x33220004,0x33332204,0x2002bccc,
    0x0003ccc8,0x03ccc880,0x02a80dc4,0x00676d40,0x01332200,0x261e6540,
    0xc8801ccc,0x0732004c,0x33220595,0xcccccccc,0x3332a3cc,0xcccccccc,
    0x986ff402,0xffc803ff,0x1dd32fff,0x203fd400,0x7c01ffff,0xffff905f,
    0x003ba65f,0x32009ff3,0xffffffff,0x1fffffff,0xf00bfffe,0x9ffec0bf,
    0x22003ffd,0x4005fffe,0x7ffb3ffd,0xffffd880,0x405fffff,0x00dffff9,
    0x01fffb80,0x37ffa200,0x30dfe800,0x3e6007ff,0x4000dfff,0x80effff9,
    0xfffffff8,0xf3003fff,0x400009ff,0x400dffe8,0x7fe41ffe,0xfdff5003,
    0x3e60001f,0x2000efff,0x3e61fff9,0xff9803ff,0xfe800dff,0x207ff30d,
    0xfffffff8,0x326fffff,0xffffffff,0x7d404fff,0x00ffffff,0x7fe67fd4,
    0x4005ffff,0x7ffc07fb,0x42ffc05f,0xfffccffa,0xf9805fff,0xddd7004f,
    0xddfffddd,0x7fc3dddd,0x2ffc06ff,0x3fffff20,0x3ffa2002,0x64005ffc,
    0x402fffff,0xdefffffa,0x2605fffe,0x0effbeff,0x17ffec00,0x3ffe8800,
    0x3fffea00,0xf9800fff,0x00effbef,0xff7dff30,0xefff881d,0x3fffffee,
    0x09ffb100,0x7ffd1000,0x90bffe00,0x3fa00bff,0x30007f71,0x1dff7dff,
    0x41dff300,0x9801fff9,0x0effbeff,0x7ffffd40,0xddd100ff,0xdddfffdd,
    0x777fe49d,0x3eeeeeee,0xdfffea80,0x6443b001,0x31004fff,0x0157ffd7,
    0x403fffff,0x443b05ff,0x3004fffc,0x880009ff,0xfff006ff,0x2ffc03ff,
    0x017ffe40,0x2a1dff30,0x32000eff,0x7d402fff,0x97101eff,0xe997fea0,
    0x3e6000ef,0xe88000ef,0xea8001ff,0xa801dfff,0x3bfa65ff,0x32ffd400,
    0x7fc41dfd,0x7ffed445,0x13fee001,0x1ffe8800,0x2617aa00,0x4ff001ee,
    0x7d4004f9,0x03bfa65f,0x260efe88,0xfa800eff,0x03bfa65f,0x3bfffd50,
    0x06ff8800,0x0000ffe4,0x00000620,0x3ff62001,0x0fffffff,0x037ff7fc,
    0x01000bff,0x004ff980,0x8037fc40,0x205ffeff,0x000005ff,0x4cc40cc4,
    0x3a000000,0x000005ff,0x00310000,0x22000000,0x00000001,0x17fe2000,
    0x0003ffd8,0x00000000,0x67ec0000,0x00002fda,0x00000000,0x01880000,
    0x01bfe200,0x00003ff9,0x00000000,0x3fffffea,0x7c0fffff,0xf02ffcdf,
    0x900000bf,0x9dffb999,0x00999999,0x3e00dff1,0xf01ffddf,0x200000bf,
    0x00001aa8,0x1bfee000,0x00000000,0x00000000,0x00000000,0x7fc40000,
    0x017fea05,0x00000000,0xd1000000,0x0000bfff,0x00000000,0x00000000,
    0x901bfe20,0x910003ff,0x8f320079,0x99003cc8,0x967ffc47,0xf81512ff,
    0xf06ff8df,0xfdca80bf,0x3ffe02cd,0xffffffff,0x4400ffff,0xbff006ff,
    0x3fe0bff3,0x7f6e5c05,0xfa80bcef,0x2600003f,0x1beefeca,0x0007ffe2,
    0xffedcb80,0xb9800bce,0x01ceefec,0xeffedcb8,0xcb9800bc,0x441ceefe,
    0x799003cc,0xefecb980,0x17fe21ce,0xc885ffa8,0x4799003c,0x99003cc8,
    0x801e6447,0x355003cc,0xeca98000,0xa801beef,0x002cdfdc,0x3333332a,
    0x5402cccc,0x002cdfdc,0x32037fc4,0xf88001ff,0x4dff005f,0xff005ff8,
    0xf12ffe4d,0x95ff803f,0x0bff05ff,0x3fffff62,0xeed80eff,0xeeefffee,
    0x4400eeee,0xbff006ff,0x3fe03ffa,0xffffd505,0x501fffff,0x200007ff,
    0xfffffffc,0x0bff33ff,0x3ffaa000,0x0fffffff,0x3ffff620,0x505fffff,
    0xfffffffd,0x7ec401ff,0xffffffff,0x4017fe25,0xffb106ff,0xbfffffff,
    0xfb817fe2,0x05ff884f,0x7fc4dff0,0x44dff005,0xdff005ff,0x05999700,
    0x3ffff200,0x103fffff,0xfffffffb,0xfffb001d,0x9fffffff,0x3ffff620,
    0x1000efff,0xffc80dff,0x5ff88001,0x7c4dff00,0x4dff005f,0x3fe61ffe,
    0xf8affc00,0x985ff86f,0xfeceffff,0x7cc01fff,0x7c40004f,0x2bff006f,
    0x5ff84ffa,0xcdffffb8,0xa80ffecc,0x440003ff,0xedeffffe,0x7ff73fff,
    0xfff70000,0xffd999bf,0x3fffea01,0x5fffedef,0xcdffffb8,0x500ffecc,
    0xdbdfffff,0x7fc4bfff,0x50dff005,0xdbdfffff,0x3fe2bfff,0x03fff105,
    0x3e00bff1,0x017fe26f,0xbff137fc,0x201bfe00,0x4006ffff,0xdeffffe8,
    0xf983fffe,0xffecefff,0x776401ff,0xffeeeeee,0xeffff984,0x01ffffec,
    0x6406ff88,0xf88001ff,0x4dff005f,0xff005ff8,0xf517ff4d,0x64bff00f,
    0x42ffc3ff,0x7440dffe,0x7fcc07ff,0x7fc40004,0x7cbff006,0x22ffc0ff,
    0x0403fff9,0x0003ffa8,0x40bfffe2,0x05ff93c8,0x13333331,0x403fff98,
    0x3dfff500,0xff312e20,0xf500807f,0x2e203dff,0x4017fe24,0x7ffd46ff,
    0x2297101e,0x3ee625ff,0xbff104ff,0xf89bfe00,0x4dff005f,0xff005ff8,
    0xffffa80d,0xfff1000f,0x20f2205f,0x7440dffe,0x5c0007ff,0xdffe84ff,
    0x03fff440,0x32037fc4,0xaaaaacff,0x7fc40aaa,0x44dff005,0xdff005ff,
    0xdf737fe4,0x7c4bff00,0x2e2ffc7f,0x3fa205ff,0x13fe602f,0x0dff1000,
    0xffb97fe0,0x3f22ffc4,0x3ea0006f,0x3f20003f,0x3f6000ef,0xffffc81f,
    0x37fe45ff,0x0bffd000,0x01bff200,0x005ffe80,0xf005ff88,0x05ffe8df,
    0x7ffffc40,0x203fffff,0xff005ff8,0x802ffc4d,0x17fe26ff,0x36037fc0,
    0x003ffdff,0x0001dff9,0x7440bff7,0x2e0002ff,0x2ffdc4ff,0x805ffd10,
    0x7e406ff8,0xffffffff,0x2ffc41ff,0x3e26ff80,0x4dff005f,0xfcaefff9,
    0x645ff805,0xf17fe3ff,0xffa801ff,0x013fe606,0x00dff100,0xfff897fe,
    0xffb17fe0,0x7fd40005,0xfff10003,0x1ffe8001,0xffffffc8,0x0017fec5,
    0x0006ffb8,0x4000bff6,0x10006ffb,0x3fe00bff,0x001bfee6,0x3fffffe2,
    0x7c400cff,0x4dff005f,0xff005ff8,0x802ffc4d,0x77fc06ff,0xf8805ff9,
    0xff0000ff,0x6ffa801f,0x13fee000,0xfa801fff,0x37fc406f,0x3fffff20,
    0x41ffffff,0xff005ff8,0x802ffc4d,0x7ffdc6ff,0xff804fff,0xf87ffc45,
    0x01bfea5f,0xf980fffc,0x7c40004f,0x8bff006f,0x17fe3ffc,0x40007ffb,
    0x3f6e3ffa,0x9ff901de,0x05ffb000,0xbff75553,0x8003ffd8,0x0001fff8,
    0x2000fff6,0x0001fff8,0x3e00bff1,0x03fff16f,0x55dff100,0x8805fff9,
    0xdff005ff,0xf802ffc4,0x017fe26f,0xff5037fc,0x9003ffe7,0x2a0009ff,
    0xfff006ff,0x3fee0003,0x401bfea4,0x3e201fff,0x0ffe406f,0x02ffc400,
    0x3fe26ff8,0x30dff005,0x39fffffd,0x7dc2ffc0,0x7dcbff4f,0x5ffb003f,
    0x0013fe60,0x200dff10,0x3ffc45ff,0xeffc8bff,0x7ff50000,0xffffffd1,
    0x003ffd07,0x1005ff90,0xeffc8bff,0x2ffcc000,0x3bff2000,0x2ffcc000,
    0x0bff1000,0x7fcdbfe0,0xbff10005,0x200fff98,0xff005ff8,0x802ffc4d,
    0x17fe26ff,0xfb037fc0,0x00fff23f,0x20003ffd,0xfb003ffb,0x3ee0005f,
    0x00ffee4f,0xf1017fec,0x1ffc80df,0x05ff8800,0x7fc4dff0,0x40dff005,
    0xcfffffda,0xf885ff80,0x325ff8ff,0xff7001ff,0x013fe607,0x00dff100,
    0x3ff217fe,0xff88bff2,0xfa8002ff,0xfccfffcf,0x3ffc1fff,0x03ffb800,
    0x7c45ff88,0x2e002fff,0x440003ff,0x2002ffff,0x20003ffb,0xff005ff8,
    0x000ffeed,0x7dc2ffc4,0x17fe205f,0xff137fc0,0x89bfe00b,0xdff005ff,
    0xff537fc0,0x007ff80b,0x4007ff20,0x70003ffb,0x0ffe49ff,0x203ffb80,
    0x7e406ff8,0xff88001f,0x44dff005,0xdff005ff,0xfffff980,0x82ffc0ef,
    0x25ffbffb,0xf7000ffe,0x13fe609f,0x0dff1000,0x3e217fe0,0xf50bff6f,
    0x0017dfff,0x83bfffea,0x3e24ffd8,0xff50006f,0x0bff100d,0x17dffff5,
    0x882ffc80,0x80999999,0x0beffffa,0x4417fe40,0x20999999,0xff005ff8,
    0x220bff2d,0x10999999,0x3ffa0bff,0x00bff102,0x5ff89bfe,0x7c4dff00,
    0x0dff005f,0xfff13fea,0x01bfe201,0x000ffe80,0x20009ff7,0x3ffa4ffb,
    0x09ff7000,0x32037fc4,0xf88001ff,0x4dff005f,0xff005ff8,0xb8ffa80d,
    0x2ffc6fff,0x4bfffff0,0xf5000fff,0x17fe60bf,0x0dff1000,0x7ec17fe0,
    0xd305ff9f,0x039fffff,0x306fffa8,0x2ffd4dff,0x2fff8800,0x982ffc40,
    0x1cfffffe,0xf903ffb0,0x20bfffff,0xcfffffe9,0x903ffb01,0x4bffffff,
    0xff005ff8,0x3207ff6d,0x15ffffff,0x3fee0bff,0x00bff105,0x5ff89bfe,
    0x7c4dff00,0x0dff005f,0xffb07ff6,0x017fea05,0x000fff80,0x2000bff5,
    0x3ffe4ffb,0x0bff5000,0x32037fc4,0xf88001ff,0x4dff005f,0xff005ff8,
    0x226fb80d,0x17fe1fff,0x25ffffb8,0x3ea007ff,0x1fff105f,0x37fc4000,
    0xf305ff80,0xa80bffbf,0x04fffffe,0xf803bfea,0x017fea7f,0x00effb80,
    0xd5017fe2,0xd09fffff,0xfff903ff,0xea80bfff,0xe84fffff,0xfffc81ff,
    0x3fe25fff,0x3adff005,0xfffc81ff,0xbff15fff,0x440fffc0,0xdff005ff,
    0xf802ffc4,0x017fe26f,0x7ff837fc,0xf505ffa8,0x7fc000bf,0x17fea007,
    0xf27fdc00,0x7fd400ff,0x01bfe205,0x10003ff9,0x3fe00bff,0x4017fe26,
    0x2fe406ff,0x5ff8fff2,0xd2ffff40,0x3ea001ff,0x0bffe04f,0x06ff8800,
    0x7ec0bff0,0x93005fff,0x501dffff,0x7fe807ff,0x0001bfea,0x2203fffd,
    0xf93005ff,0x7ec1dfff,0xbaaa982f,0xf93005ff,0x7ec1dfff,0xbaaa982f,
    0x17fe25ff,0xffdb7fc0,0xfbaaa982,0x40bff15f,0xff885ffb,0x44dff005,
    0xdff005ff,0xf802ffc4,0x84ffa86f,0xfa80fff8,0x3fa0006f,0x9ff5000f,
    0x93fee000,0xf5000ffe,0x37fc409f,0x0007ff20,0x7c017fe2,0x017fe26f,
    0x3f6037fc,0xff1ffe44,0x5fffa80b,0x5c007ffa,0x3ff203ff,0x0ca99bdf,
    0x8037fc40,0x3fea05ff,0x644005ff,0xffa85fff,0xf33ff403,0xf98000ff,
    0xaaacefff,0x44005ffd,0x3f25fffc,0x5ff8802f,0x7ffe4400,0x200bff25,
    0x3fe25ff8,0x32dff005,0xff8802ff,0x440bff15,0x7fc41fff,0x44dff005,
    0xdff005ff,0xf802ffc4,0x02ffd86f,0xff305ffb,0x7ff4000f,0x07ff7001,
    0xe93fee00,0xff7001ff,0x33333227,0x3ccccfff,0x33337ff2,0x442ccccc,
    0xdff005ff,0xf802ffc4,0x11ff406f,0x2ffc5fff,0xfb2fff40,0x3ff2005f,
    0x7ffff401,0x4400ffff,0xbff006ff,0x05fffe80,0x81fff500,0x7f403ffa,
    0x001ffe27,0x3ffff620,0x05ffffff,0x21fff500,0xf8803ffb,0xff50005f,
    0x00ffee1f,0xff897fe2,0x2edff005,0xff8803ff,0xc80bff15,0x2ffc45ff,
    0x3e26ff80,0x4dff005f,0xff005ff8,0x5c0fff0d,0x7ff885ff,0x0bff6000,
    0x000ffe40,0x3f64ffb8,0x3ff9002f,0x3fffffe2,0x26ffffff,0xfffffffc,
    0x7c44ffff,0x5ff8806f,0x2201bfe2,0xf81515ff,0x1fffb32f,0x7d402ffc,
    0x013ff25f,0x5c007ffc,0x0effffff,0x8037fc40,0x7fd405ff,0x3fa0005f,
    0x01ffd42f,0x5fff1ffa,0x3b6a0000,0x0bdfffff,0x4bffa000,0xf8806ffa,
    0x3fa0005f,0x00dff52f,0x7fc4bff1,0x55ff8806,0xff100dff,0x1017fe2b,
    0x7fc41fff,0x25ff8806,0xf8806ff8,0x01bfe25f,0xff517fe2,0x7555555d,
    0xfff01fff,0x3ff20005,0x01fff004,0xc8ffee00,0xfff004ff,0x3ffffe21,
    0x6fffffff,0x3ffffff2,0xf84fffff,0x4ff9807f,0x7cc03ffc,0x9bdff14f,
    0xfffffdff,0x7fcc0003,0x201ffe64,0x98006ffa,0x00000019,0xc8000000,
    0x1ffd43ff,0xff91ffa0,0x3100000d,0x64000033,0x5fff13ff,0x005ff880,
    0x7c4fff20,0x7fc402ff,0x4c03ffc5,0x5fff14ff,0x005ff880,0x807ff800,
    0x3ffc4ff9,0x3e27fcc0,0x4ff9807f,0x7fffffe4,0x2fffffff,0x0006ffc8,
    0xf500fff3,0x7ec000df,0x01ffe62f,0x2001bfea,0x54002ff9,0x1ffe81ff,
    0x3a17fec0,0x7fec01ff,0xffffff12,0x03bfffff,0x43ffa800,0x7f402ffe,
    0x0000002f,0x00000000,0x20fff400,0x7f403ffa,0x01fffc47,0x00000000,
    0x3ee1ffe8,0x3fe200ef,0x3ffa0005,0x803bfee1,0x7ff45ff8,0x717fec01,
    0x7c401dff,0xe800005f,0x7fec01ff,0x200fff42,0x7ff42ffd,0x217fec01,
    0xffffffff,0x85ffffff,0x0003fff8,0xfe805ffd,0xff10002f,0x02ffe83f,
    0x20017ff4,0x44004ff8,0xdff702ff,0x21bfea01,0xf500effb,0xfedca8df,
    0x001cdeff,0xa83ffb00,0xffb02fff,0x037f400b,0x000dfd00,0x01006fe8,
    0x2a1ffee0,0x3ff403ff,0x2027ffe4,0x06fe8019,0x3fee0010,0x01fffe87,
    0x0008bff1,0xffd0fff7,0x17fe203f,0x2a01dff7,0xfffe86ff,0x80bff101,
    0x3ee006fe,0xdff500ef,0x201dff70,0xffb86ffa,0x8dff500e,0x9999dffa,
    0xfff99999,0x04fffc80,0x3ffea0cc,0x80bffb02,0x0dff701d,0x3605fff5,
    0xfb8005ff,0x3fec000f,0x2afbffa0,0x01fffca9,0x5357dffd,0xb803fff9,
    0xb800006f,0xfffb06ff,0xfffd957b,0x13fe2003,0x027fc400,0x009ff100,
    0x55579df1,0x05fffd75,0xfe807ff5,0xefffe887,0x3fecbabd,0x4027fc40,
    0xaaabcef8,0x82fffeba,0xaceffff9,0x225ffdaa,0xaaaabcef,0x982fffeb,
    0xaaceffff,0xfe85ffda,0xfca9abef,0xfff981ff,0xfdaaacef,0x13fe205f,
    0x57dffd00,0x03fff953,0x26afbffa,0xd01fffca,0x95357dff,0xffc83fff,
    0x05ffd002,0x7bdfffd1,0xb07fd975,0xd957bfff,0xff803fff,0xffffcacd,
    0x7bfffb01,0x03fffd95,0x001ffb00,0x74c07fe8,0xffffffff,0x3ffa603f,
    0x3fffffff,0x0005fd80,0x07fffb20,0xffffffd8,0x26000eff,0xf30002ff,
    0x7cc0005f,0xfff8802f,0xffffffff,0x07ff502f,0x3f207fe8,0xffffffff,
    0x17fcc03f,0x7ffffc40,0x2fffffff,0x3ffff620,0x25ffffff,0xfffffff8,
    0x202fffff,0xffffffd8,0xe985ffff,0xffffffff,0x3ff6203f,0xffffffff,
    0x00bfe605,0xfffffd30,0x4c07ffff,0xfffffffe,0x3fa603ff,0xffffffff,
    0x2007ff83,0x3f205ffb,0xffffffff,0xffffb03f,0x001dffff,0xffffffff,
    0xfffd807f,0x00efffff,0x79dff500,0x33bfee00,0x3fffb202,0xd9000dff,
    0x01bfffff,0x00013fa0,0x802ffff8,0x4effffdb,0x007fb800,0x0001fee0,
    0x36200ff7,0xfffffffe,0x3fea00be,0x203ff403,0xdffffec9,0x3fdc00ac,
    0xfffed880,0x00beffff,0xffffdb50,0x76c417bf,0xefffffff,0xfdb5000b,
    0x017bffff,0x7fffff64,0xfdb5000d,0x017bffff,0x90003fdc,0x1bfffffd,
    0x3fffb200,0xd9000dff,0x01bfffff,0x4400bff5,0x764c07ff,0x0acdffff,
    0x3ffff6e0,0x3f66004e,0x000dffff,0x9dffffb7,0xfffb0000,0x3ff6200b,
    0x0133004f,0x00099800,0x00003ff8,0x2000337a,0x76400018,0x13b20004,
    0x009d9000,0x00266660,0x7403ffa8,0x004c007f,0x80027640,0x00009999,
    0x20019988,0x00009999,0x00019988,0x88000133,0x3b200199,0x13300004,
    0x00998000,0x2004cc00,0x74002ffc,0x026002ff,0x00018800,0x40000988,
    0x30000018,0xaa880035,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a80dc40,0xccc98000,0x00fb2002,0x0f332200,0x016665c0,0x01332200,
    0x9700b326,0x01e64459,0xccc88000,0x1e664403,0x406e2000,0x9991002a,
    0x99100007,0x332a0009,0x200e6541,0xeeeeeee9,0xcc88006e,0x406e2004,
    0x9910002a,0x99100079,0x66644079,0x39950003,0x0001cca8,0x000e665c,
    0x20013322,0xeeeeeee9,0x6644006e,0x2e620004,0x4400abcc,0x0005501b,
    0x3a001f64,0x1ffe41ff,0x9fff3000,0x0fffdc00,0xbffd1000,0x3fffe001,
    0x3fe60006,0x3ea00dff,0x3bfee03f,0x001bfe20,0x37ffa200,0x4fff9800,
    0x07ffa000,0x26007ff9,0x20004fff,0x00dffff9,0xfb3ffd80,0xfff5007f,
    0x00ffffff,0x0dffff98,0x641ffe80,0x744003ff,0x44000dff,0x4c00dffe,
    0xb0004fff,0x0fff67ff,0x5fff9000,0xffff9800,0x3fea000d,0x07ffffff,
    0x37fffe60,0x7ffdc000,0x7404ffff,0x1ffe41ff,0x0fffe400,0xc85fff00,
    0xf30005ff,0xfd8003ff,0xd10002ff,0x7d4009ff,0x8000ffff,0xeffbeff9,
    0x207ff500,0x7c41fff9,0x4400006f,0x44003ffe,0xf0004ffd,0x5ffc85ff,
    0x13ff6200,0x2fbfe600,0xc8000eff,0x002fffff,0x55555551,0x7fcc0055,
    0x400effbe,0x7fe42fff,0x3ffa2005,0xffe88003,0x3ff62003,0xfff90004,
    0xb80005ff,0x4c000dff,0x0effbeff,0x55555100,0x26005555,0x0effbeff,
    0xddfffd00,0xff809fdd,0x02ffe42f,0x017ffec0,0xdd30bd50,0xbff30003,
    0xdff30001,0xffd10001,0xdffd8003,0x7d4003ff,0x03bfa65f,0x3a20ffea,
    0x6ff882ff,0x3fa20000,0x3ee0001f,0x5ea8004f,0x8001ee98,0x2a004ffb,
    0x3bfa65ff,0xfffc8000,0x00000002,0x7f4cbff5,0x217aa00e,0xd1001ee9,
    0xd10003ff,0x2e0003ff,0xf90004ff,0xb80005ff,0xfa8004ff,0x03bfa65f,
    0xfa800000,0x03bfa65f,0x201bff70,0x4c2f5400,0xf98001ee,0x000000ef,
    0x40000000,0x00000018,0x3fe7bfe0,0x20000005,0xffd83ffa,0x00dff103,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00000ffe,0x06200000,
    0x98000000,0x0aaaaaaa,0x00000000,0x27ff5000,0x00000fff,0xc87ff500,
    0x3fe205ff,0x00000006,0x00000000,0x00000000,0x00000000,0x337f72a0,
    0x00000002,0x00000000,0x00000000,0x00000000,0x44000000,0x799003cc,
    0xff800000,0x0000000f,0x20000000,0x02cdfdca,0xffffff90,0x9530003f,
    0x0037ddfd,0x7ddfd953,0x91ffd803,0x950007ff,0x54059bfb,0x1bfea3ff,
    0x000dff10,0x337f72a0,0xfdca8002,0x970002cd,0x64400599,0xcccccccc,
    0xcb803ccc,0x332002cc,0x03cc804c,0xffffffb1,0xcca801df,0xcccccccc,
    0xcccca82c,0x2ccccccc,0xcccccca8,0x882ccccc,0x2a0003cc,0xcccccccc,
    0x332a2ccc,0xcccccccc,0x880ccccc,0xbccccccc,0x01664402,0xff88f2a0,
    0x2edff005,0x65c003cc,0x02ffec1c,0x80079970,0x66441ccb,0xcccccccc,
    0x3f6203cc,0x0effffff,0x7ffffe40,0x7e4001ff,0xffffffff,0x3ffff203,
    0x203fffff,0x17fea6ff,0xffffd880,0xfa80efff,0x01dff33f,0x0006ff88,
    0x7ffffec4,0xd8800eff,0xefffffff,0x7fffc000,0x3ffe2006,0xffffffff,
    0xffff806f,0x3fffe006,0x4c2ffc02,0xfeceffff,0x3f201fff,0xffffffff,
    0xfffc84ff,0xffffffff,0xfffffc84,0x84ffffff,0x20006ff8,0xfffffffc,
    0x3f24ffff,0xffffffff,0x81ffffff,0xfffffff8,0xff103fff,0x26fd8009,
    0xff005ff8,0x007ffead,0x2607ffd4,0xa800efff,0xf5001fff,0xfff881ff,
    0xffffffff,0xffff306f,0x3ffffd9d,0x01ffc800,0xdffffd10,0x107fffdb,
    0xdbdffffd,0x3ea07fff,0x007ffc4f,0x677fffcc,0x541ffffe,0x1ffe8bff,
    0x006ff880,0x3bfffe60,0x01ffffec,0x33bfffe6,0x001ffffe,0x01fffff5,
    0x3bbbba20,0x4eeeefff,0x7ffffd40,0xdffff000,0xfe85ff80,0x7ff440df,
    0x3bbff207,0x3eeeeeee,0xeeeeffc8,0xc83eeeee,0xeeeeeeff,0xff883eee,
    0x3ff20006,0xeeeeeeee,0x3bbbae3e,0xeeefffee,0xff881eee,0xffffeeef,
    0x04ff883f,0xff137f40,0xd9bfe00b,0xffd005ff,0xfffff507,0x0bffb007,
    0x220fffa0,0xfffeeeee,0xfd04eeee,0xffe881bf,0x0ffe4007,0x17fffc40,
    0x7fc43c88,0x079102ff,0xffb07ff6,0x1bffd005,0x547ffe88,0x02ffdbff,
    0x000dff10,0x2206fff4,0x3fa07ffe,0x7ff440df,0xfbffb007,0x7c40007f,
    0xffd8006f,0xff003ffd,0x7fc03fff,0x102ffdc5,0x3f205ffd,0xff90001f,
    0x3ff20003,0xdff10001,0x0ffe4000,0x6ff88000,0x22ffc400,0x81fffda8,
    0x7f4005ff,0x4017fe25,0x3ffe66ff,0x437fd401,0xfffdfffa,0x3ffe601e,
    0x037fd401,0x200dff10,0x3a205ffb,0x3f2002ff,0xeffc801f,0xeffc8000,
    0x1ffe0000,0xf7017fea,0x7ff440bf,0x3ffffea2,0x1bfe2004,0x02ffdc00,
    0xf705ffd1,0x7ff440bf,0xf9eff802,0x3e20005f,0xeff8006f,0xff005ff9,
    0x7fc0bffd,0x2007ffc5,0xff906ffa,0x3ff20003,0x3ff90001,0x1bfe2000,
    0x01ffc800,0x0dff1000,0x205ff880,0x5ff83ffd,0xf127f400,0x1bfe00bf,
    0xfe80dff9,0x87ffc42f,0x204ffffa,0x7f406ffc,0x3fe2002f,0x01fff006,
    0x2006ffa8,0x7c401ffc,0xf88000ff,0x2a0000ff,0xfff884ff,0x003ffe00,
    0x7fd4dff5,0x1000fffe,0x3e000dff,0x7fd400ff,0x400fff86,0x7d406ffa,
    0x001fff3f,0x001bfe20,0x3ffe7ff5,0xfddff800,0x54bff01f,0xfff006ff,
    0x003ff903,0x0007ff20,0x8000ffe4,0x20006ff8,0x00001ffc,0x8800dff1,
    0x3fea05ff,0x4006fe85,0x17fe24ff,0x3e237fc0,0xbff502ff,0xc885ff70,
    0xff105fff,0x17fea05f,0x00dff100,0x3e00dff5,0xff9001ff,0x04ffc803,
    0x009ff900,0xb02ffd80,0x3fea05ff,0x23fff006,0x6ffcbffa,0x00dff100,
    0x200dff50,0x3fea1fff,0x03fff006,0xffc8ffec,0xdff10003,0x91ffd800,
    0xbff007ff,0x3fe0bff3,0x400ffee5,0xffc82ffd,0x3ff90001,0x07ff2000,
    0x037fc400,0x003ff900,0x01bfe200,0x540bff10,0x06fe85ff,0xff11ffc0,
    0x21bfe00b,0xffd06ffb,0x203ff903,0xf703fff9,0x07ffa0df,0x00dff100,
    0x36007ff7,0xff9002ff,0x01ffe803,0x003ffd00,0x2e07ff80,0x7ff705ff,
    0x54bff600,0x0bffd3ff,0x000dff10,0x36007ff7,0x0ffee2ff,0xf017fec0,
    0x02ffd4df,0x006ff880,0xbff537fc,0x3fabff00,0x325ff80f,0xff7001ff,
    0x003ff907,0x0007ff20,0x8000ffe4,0x20006ff8,0x00001ffc,0x8800dff1,
    0x3fee05ff,0xa987fd84,0xf11ffc40,0x1bfe00bf,0x3ee1fff4,0x07ff704f,
    0xe807ffcc,0x27fdc3ff,0x037fc400,0xb800ffe4,0xff9003ff,0x007ff803,
    0x0001ffe0,0x5555dff5,0x01fff755,0x2e003ff9,0x27ff53ff,0x4403fff8,
    0xfc8006ff,0x7ff7001f,0xb800ffe4,0x9ff503ff,0x8000fff8,0x2a006ff8,
    0x07ffc4ff,0x7fd57fe0,0x3fa5ff84,0x9ff7000f,0x0003ff90,0x40007ff2,
    0x10001ffc,0x64000dff,0x100001ff,0xf8800dff,0x3fff105f,0x9ff0ffb0,
    0x3e22ff88,0x0dff005f,0x7c43ffea,0xdff300ff,0x80ffec01,0xff10fffa,
    0xff10001f,0x01ffd00d,0x4013fee0,0x3e201ffc,0xff10006f,0xffc8000d,
    0xffffffff,0xffe82fff,0x29ff7000,0x3fe63ffa,0x1bfe201f,0x003ffa00,
    0xffd27fdc,0x13fee001,0x3f60ffec,0xff88002f,0x07ff6006,0xff805ffb,
    0xff03ffe5,0x8007ffcb,0xffc85ffa,0xaaaaaaac,0xacffc80a,0x0aaaaaaa,
    0xaaacffc8,0x880aaaaa,0x320006ff,0xaaaaacff,0xf8800aaa,0x7fc4006f,
    0x3ffee625,0xf98ff904,0x117fc47f,0x3fe00bff,0x5cfffa06,0x7fec03ff,
    0x05ff700e,0xffb9fff4,0xdff10003,0x001fff00,0x64017fea,0x3fea01ff,
    0xbff50005,0xffff8000,0xffffffff,0x0fff85ff,0x2abff500,0x7ffdc3ff,
    0x00dff100,0x2001fff0,0x3ffe5ffa,0x0bff5000,0x3fea1ffe,0x6ff88005,
    0x2a1ffe00,0x2ffc05ff,0x5ff89ff7,0xfa801ffe,0xffffc85f,0x1fffffff,
    0xffffffc8,0xc81fffff,0xffffffff,0xff881fff,0x3ff20006,0xffffffff,
    0x6ff8801f,0x7fffc400,0x03ffffff,0xffc83fee,0x887fe62f,0xdff005ff,
    0x7c7ffcc0,0xffe8806f,0x01ffc82e,0x3fe3ffe6,0x3fe20006,0x007ff806,
    0x64017fea,0x3fea01ff,0xbff50005,0x6ffd4000,0x99999999,0x7fc0fff9,
    0x57fea007,0xffd83ffa,0x00dff105,0x5400fff0,0x01ffe5ff,0xfa85ffa8,
    0x0fff884f,0x037fc400,0xf884ffa8,0x97fe00ff,0x3fe0fff8,0x4003ffa5,
    0xffc84ffa,0xffffffff,0xffffc81f,0x1fffffff,0xffffffc8,0x881fffff,
    0x320006ff,0xffffffff,0xf8801fff,0x7fc4006f,0x0cffffff,0xff07fdc0,
    0x0ffccbff,0x3e00bff1,0x77fec06f,0xfd1002ff,0x3fe61bff,0xfeffd806,
    0x3e20002f,0x0ffe806f,0x009ff500,0xfa807ff2,0xff50006f,0x7fe4000d,
    0x85ffd002,0xf5000ffe,0x20ffea9f,0xf884fff8,0xffe8006f,0x49ff5000,
    0xf5000ffe,0x05ffb09f,0x1000bff6,0x3f600dff,0x05ffb02f,0x3ff22ffc,
    0xffe97fe3,0x07ff7001,0x20003ff9,0x90001ffc,0x220003ff,0x320006ff,
    0x100001ff,0xf8800dff,0xfffcaaef,0x987fd402,0x3ea7fcff,0x017fe20f,
    0x3e2037fc,0xb8006fff,0xfffcffff,0xffff8801,0x7fc40006,0x01ffe806,
    0x2007ff70,0x3e601ffc,0xff30007f,0x3ffc000f,0xe8bff700,0xff7001ff,
    0x4c0ffea7,0x7fc42fff,0xcccccccf,0x07ffa1cc,0xfd1ffdc0,0x3fee003f,
    0x2e07ff83,0x7c4005ff,0x0fff006f,0xff02ffdc,0x3e7ff88b,0x00bff65f,
    0x7e40ffe4,0xff90001f,0x3ff20003,0xdff10001,0x0ffe4000,0x6ff88000,
    0x22ffc400,0x2a00fff9,0xf3bf91ff,0x883fea5f,0xdff005ff,0x03fff900,
    0x3fff6200,0x3f2001ff,0x440001ff,0xffd806ff,0x03ff9002,0x8807ff20,
    0xf10007ff,0x3ea000ff,0x3fe2005f,0x8017fec7,0x7ff51ffc,0x10fffdc0,
    0xffffffff,0x7ec5ffff,0x3ff9002f,0xc8017fec,0x77fd41ff,0xfbaaaaaa,
    0x3e2000ff,0xeffa806f,0xfbaaaaaa,0x0bff00ff,0x97fe5ff9,0xff004ffc,
    0x03ff901f,0x007ff200,0x000ffe40,0x0006ff88,0x00007ff2,0x20037fc4,
    0xffb85ff8,0x747fe605,0x3eebff2f,0x4037fc47,0xf8805ff8,0xea80006f,
    0x7c4006ff,0xf880006f,0x4ffc806f,0x001fff00,0xff007ff2,0x3fe0005f,
    0xffc8002f,0x17ff4002,0x3e009ff9,0x07ff50ff,0xf10effd8,0xffffffff,
    0x7fe45fff,0x41fff004,0xff004ffc,0xffffc81f,0xffffffff,0x3fe2002f,
    0xffffc806,0xffffffff,0x10bff02f,0x997fedff,0xffa807ff,0x003ff906,
    0x0007ff20,0x8000ffe4,0x20006ff8,0x00001ffc,0x8800dff1,0x5ffd05ff,
    0x3e6bfe60,0xf71ff90f,0x300fff0f,0xff1009ff,0x3a20000d,0x3e2003ff,
    0xf880006f,0x7ff9806f,0x006ffa80,0xf9007ff2,0x3f2000df,0x0000006f,
    0xff30ffe6,0x0dff500f,0x80000000,0xfa807ff9,0x03ffcc6f,0x7fc37fd4,
    0xffffffff,0x2005ffff,0xff806ff8,0xffffffff,0xff05ffff,0x3e7ff60b,
    0x017ff45f,0x7e40bffa,0xff90001f,0x3ff20003,0xdff10001,0x0ffe4000,
    0x6ff88000,0x82ffc400,0xff105ffb,0x7fccbf97,0xffe86fcb,0x017fec01,
    0x00037fc4,0x400bff50,0x80006ff8,0xfd006ff8,0x2ffe805f,0x007ff200,
    0x0007fff1,0x0007fff1,0x413fa000,0x7f402ffe,0x0000002f,0x02ffe800,
    0x7f417ff4,0x17ff402f,0x26677fea,0xff999999,0xdff1000f,0x99dffa80,
    0xf9999999,0x05ff80ff,0x8bffbff3,0xfb02fffa,0x0ffe40bf,0x01ffc800,
    0x003ff900,0x001bfe20,0x0001ffc8,0x800dff10,0x3fe05ff8,0xebff881f,
    0x7e77f43f,0x00effb86,0x2200dff5,0x200006ff,0x22004ffb,0x880006ff,
    0xff5006ff,0x17ff605f,0x003ff900,0x9809fff9,0x027ffe41,0xfb800066,
    0x5fff500f,0x4017ff60,0xfd0006fe,0x3ffea00d,0x20bffb02,0xfb02fffa,
    0x05ff90bf,0x400bffa0,0x7e406ff8,0x5ffd002f,0x7ec0bff0,0xffd85fff,
    0xffecabdf,0x07ff201f,0x00ffe400,0x001ffc80,0x000dff10,0x0000ffe4,
    0x4006ff88,0x3ee05ff8,0xffbff05f,0x5fdffc81,0x357dffd0,0x003fff95,
    0x0801bfe2,0x00bffe60,0x0006ff88,0x2006ff88,0xcabdfffd,0x4001fffe,
    0xe8801ffc,0xbabdefff,0x7f443fec,0xcbabdeff,0x320003fe,0x3ff600ff,
    0xffecabdf,0x4ff8801f,0x04ff8800,0x2f7fff60,0x01fffeca,0x2af7fff6,
    0xf81fffec,0x3fee007f,0xccccc885,0x3ccccfff,0xfb801ffe,0x205ff85f,
    0xb05ffffa,0xffffffff,0xdffc801d,0xcccccccc,0xccdffc82,0x82cccccc,
    0xccccdffc,0xf882cccc,0xccccccff,0xffc81ccc,0xcccccccd,0x6ff8802c,
    0x02ffc400,0xff03fff1,0xfff30bff,0x3ffa60bf,0x3fffffff,0x01bfe200,
    0x6e66f7c4,0x4004ffff,0x44006ff8,0xfffccccc,0x3603cccc,0xffffffff,
    0x5555400e,0xaaacffda,0xffff900a,0x07ffffff,0x3ffffff2,0x0003ffff,
    0x40f3bfea,0xfffffffd,0xff3000ef,0x5ff30005,0xffffd800,0x800effff,
    0xfffffffd,0x5ffa80ef,0x21ffe200,0xfffffff8,0xf56fffff,0x7fc400bf,
    0x7405ff87,0x36e05fff,0x004effff,0xfffffff9,0xf909ffff,0xffffffff,
    0xfff909ff,0xffffffff,0xfffff109,0x5fffffff,0xffffff90,0x009fffff,
    0x8800dff1,0x7fe405ff,0x03fffe85,0xc809fffd,0x0dfffffe,0x037fc400,
    0xffffff88,0x88004fff,0x7c4006ff,0xffffffff,0x6dc06fff,0x804effff,
    0xfffffff8,0x01ffffff,0x3ffffb26,0x32600acd,0xacdffffe,0x7fe40000,
    0x3ff6e05f,0x5c004eff,0xff70007f,0x3ff6e000,0x5c004eff,0x04effffd,
    0xd000bff2,0xfff885ff,0xffffffff,0x005ff96f,0x7fc2ffe8,0x2fffd405,
    0xc8001880,0xffffffff,0xffc84fff,0xffffffff,0xffffc84f,0x4fffffff,
    0xffffff88,0x82ffffff,0xfffffffc,0x8804ffff,0x7c4006ff,0x7ffc405f,
    0x807fff40,0x2004fffb,0x22000099,0x32e006ff,0x00bceeee,0x00dff100,
    0xffffff88,0x06ffffff,0xf1000620,0xffffffff,0x4003ffff,0x04c00009,
    0x35300000,0x80006200,0xd90004ec,0x03100009,0x00062000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99910000,0x17993007,0x98800088,0x01aaaaaa,0x05950732,
    0x64c3cc88,0x6440002c,0xcc8803cc,0x9300003c,0x40088179,0x0440bcc9,
    0x3ccc8800,0x66644000,0x09991003,0x37f72a00,0x9100002c,0xec800799,
    0x33220003,0x0732a004,0xb8803995,0x80005501,0x06aa22aa,0x75100000,
    0x66540599,0x000e6541,0x00799910,0x05950732,0x261e6440,0x500002cc,
    0x32000555,0x8aaa203e,0x44004fd8,0x6400dffe,0xd32fffff,0xffb3001d,
    0x9fffffff,0xf986ff40,0xdffa803f,0x0005ffa8,0x006fff44,0x004fff98,
    0x7ffffe40,0x3201dd32,0xd32fffff,0xfe88001d,0x220000df,0x9800dffe,
    0x000dffff,0xffffffb1,0x440001df,0x2000dffe,0x8001fffc,0x00dffff9,
    0x3f67ffb0,0x1ffe803f,0x8001ffe4,0x37f44ff8,0xff500000,0xfd80ffff,
    0x007ffb3f,0x06fff440,0xf30dfe80,0xffa8007f,0x005ffa8d,0x03fff900,
    0x03fff900,0xffc9ffea,0xffd1002f,0x99ff5007,0x0bffffff,0xfffffd88,
    0x04ffffff,0x3fffffea,0xfff5000f,0x88000bff,0x88003ffe,0x50004ffd,
    0xffff99ff,0x3fea0bff,0xffffffcc,0x7ff44005,0x7f440003,0xdff3003f,
    0x9801dff7,0xffdeffff,0x88001fff,0xd8003ffe,0x4c002fff,0x0effbeff,
    0xfffff900,0x0bffe005,0x2000bff9,0x7fdc1ffb,0xfa800001,0x807fefff,
    0x02fffffc,0x13ffa200,0xfffff500,0xf50001ff,0x000bffff,0x0037ff20,
    0x817ffec0,0x3ff67ffa,0xffe8803f,0xc8876001,0xfd804fff,0x2a6fffff,
    0x7f5404ff,0x4c001dff,0x40004fff,0x0001ffe8,0x80027fdc,0x3fff221d,
    0xf910ec04,0xe88009ff,0x440001ff,0xf5001ffe,0x077f4cbf,0x981bffd0,
    0x44007ffe,0x30001ffe,0x54001dff,0x3bfa65ff,0x5fff9000,0x4c2f5400,
    0xfd0001ee,0x009ff10d,0xcfff8800,0x7fe40021,0x3a20002f,0xd50001ff,
    0x0003bfff,0x0027ffcc,0x314ffc80,0xeff98001,0x54fff500,0x00000fff,
    0x5c002000,0x6fffffff,0x44013fea,0x00000001,0x00000000,0x00020000,
    0x00000020,0x00000000,0x40bff500,0x0002ffe8,0x00310000,0x00000000,
    0x40000000,0xffb02ffa,0x7d400001,0x0000006f,0x10000000,0x00000003,
    0x89664c00,0x188001ff,0x223ffd40,0x0000000a,0xfffb0000,0x7d4dffff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffa0000,
    0x037fd400,0x00000000,0x00000000,0x80000000,0x3fe607fd,0x3f200003,
    0x0000003f,0x00000000,0x00000000,0x001fea00,0x07ffa800,0x333332e0,
    0xcccccccc,0x2cccb802,0xffffff00,0x27fd4dff,0x33333322,0x83cccccc,
    0xccccccc8,0x32e0002b,0x5c0002cc,0x22002ccc,0xcccccccc,0x6643cccc,
    0x73cc804c,0xcb800799,0x6666441c,0xcccccccc,0x400f3223,0x17fea3cc,
    0x640fffc0,0x3cc804cc,0x6666665c,0x2ccccccc,0x66666644,0x43cccccc,
    0xcccccccb,0x42cccccc,0xccccccc8,0x003ccccc,0xfd00ffe6,0x7fc0000d,
    0x332a000f,0xcccccccc,0x3332002c,0x03cccccc,0x00599970,0x66666644,
    0x000009ab,0xca804fd8,0xcccccccc,0x8dff32cc,0xfffe81aa,0xffffffff,
    0xfff804ff,0xfff8806f,0x2a6fffff,0x7ffc44ff,0xffffffff,0xffff886f,
    0x03ffffff,0x06ffff80,0x37fffc00,0xfffff100,0xdfffffff,0x402ffff8,
    0x3fff55ff,0x03ffea00,0xfffffff1,0x44dfffff,0xff8805ff,0x400ffee6,
    0xfff82ffd,0x22ffc02f,0xfffffffe,0x44ffffff,0xfffffff8,0x746fffff,
    0xffffffff,0x444fffff,0xffffffff,0x2006ffff,0x7d400ffc,0xf880002f,
    0x7fe4007f,0xffffffff,0xfff5004f,0x0bffffff,0x01bfffe0,0xffffff88,
    0x000cffff,0xffdfb950,0xffff9005,0x9fffffff,0x9ff1bfe6,0xffffffd0,
    0x9fffffff,0xfffffa80,0xfffff800,0x3fea6fff,0x77777444,0x4eeeefff,
    0xeeefff88,0x003fffff,0x03ffffea,0x7fffd400,0xddd1000f,0xdddfffdd,
    0x6ffff89d,0xffb2ffc0,0x0fffa00b,0x3fbbbba2,0x24eeeeff,0xf8805ff8,
    0x007ff26f,0x7fc1ffdc,0x2ffc06ff,0x3ffffffa,0x4fffffff,0x7f777744,
    0x44eeeeff,0xfffffffe,0x44ffffff,0xffeeeee8,0x004eeeef,0x3e00bff1,
    0xf980005f,0x7fe4006f,0xeeeeeeee,0xfffb003e,0x079999bf,0x1fffff50,
    0x3bffe200,0xffffffee,0x3ffa6002,0x00efffff,0x77777fe4,0xf33eeeee,
    0x005ff8df,0x003ffea0,0x07ffbffb,0xffffffd0,0x027fd4df,0x88037fc4,
    0x7ed445ff,0xffb001ff,0x20007ffb,0x03ffdffd,0x01bfe200,0x807ffffe,
    0x3ffe65ff,0x037fd401,0x880dff10,0xff8805ff,0x4003ff66,0xfff84ffb,
    0x17fe01ff,0x07ffd400,0x0037fc40,0x01fff500,0x000dff10,0xc800ffdc,
    0x540000ff,0x7e4005ff,0xf100001f,0x0007ff9f,0x0fff7ff6,0x442ffc40,
    0x801fffea,0xfacefffa,0x3200efff,0x3e6001ff,0x002ffc6f,0x802fff88,
    0x05ff9eff,0xffffffb8,0x013fea6f,0x4401bfe2,0x3ff605ff,0xf3dff003,
    0x3fe000bf,0x0005ff9e,0x3e01bfe2,0x3e05ffef,0x037fe45f,0x8800bffa,
    0x7fc406ff,0x26ff8805,0x3ea007ff,0xffeff85f,0x0017fe05,0x400bffe2,
    0x00006ff8,0x2005fff1,0x20006ff8,0x3e2006fe,0x7dc0004f,0x7fe4004f,
    0xff900001,0x20007ff5,0x05ff9eff,0xc80bff10,0x7fc406ff,0x3fbfe22f,
    0x3ff900ef,0x237fcc00,0xf90005ff,0x7ff500bf,0x3a003ffe,0x26ffffff,
    0xf8804ffa,0xbff1006f,0x402ffd40,0x1fff3ffa,0xf3ffa800,0x220001ff,
    0xdff806ff,0xbff01ffd,0x502fff88,0xf8800bff,0x2ffc406f,0xff37fc40,
    0x2ffd400f,0x0ffeeffc,0xc8005ff8,0x3e2005ff,0xf900006f,0x7fc400bf,
    0x7ff30006,0x007fd800,0x3ffffff6,0x07ffffff,0x00007ff2,0x1ffce7fc,
    0xf9ffd400,0xff8800ff,0x02ffe805,0xff70fff2,0x3205ffd1,0x3e2001ff,
    0x002ffc5f,0x4007ffd4,0x7ff91ffd,0xffffd300,0x027fd4df,0x88037fc4,
    0x3fea05ff,0x91ffd805,0xfd8007ff,0x007ff91f,0x201bfe20,0x05ff9dff,
    0xdff70bff,0x0007ffa0,0xf880dff1,0x6ff8805f,0x54003ffe,0x9dff84ff,
    0x0bff05ff,0x00fffa80,0x001bfe20,0x003ffea0,0x0006ff88,0xa8001ffb,
    0xffb002ff,0xffffffff,0x7fe40fff,0xffa80001,0x8003ff99,0x7ff91ffd,
    0x00bff100,0x7fc0dff5,0xf9a7ec0f,0x03ff905f,0x3e2ffc40,0x7f44006f,
    0x4dff002f,0x2a005ffa,0x3ea6fffe,0x6ff8804f,0x40bff100,0xff804ffb,
    0x0017fea6,0x2ffd4dff,0x06ff8800,0x1ffd5ff8,0x3fa0bff0,0x027fdc3f,
    0x2037fc40,0xf8805ff8,0x007ffa6f,0x7fc1ffdc,0xff01ffd5,0x7ff4400b,
    0x37fc4002,0x3ffa2000,0x37fc4002,0x027fc400,0x3006fe80,0x7fff5555,
    0x64055555,0xd80001ff,0x007ff36f,0x7fd4dff0,0x05ff8805,0x3e20fff0,
    0x88ffc44f,0x3ff907ff,0x12ffc400,0xfc800dff,0x9ff5005f,0x4000fff8,
    0x3fea2a98,0x06ff8804,0x220bff10,0x7d401fff,0x007ffc4f,0x7fc4ffa8,
    0xff88000f,0xf55ff806,0x20bff09f,0xff10fffa,0xff10001f,0x05ff880d,
    0x3f66ff88,0x5ff9002f,0x3feabff0,0x2005ff84,0x88005ffc,0x640006ff,
    0xf88005ff,0xffc8006f,0x3ff70001,0x01ffe000,0x0007ff20,0x3e65ff30,
    0x7fd4003f,0x2007ffc4,0xfd005ff8,0x87ff301f,0x83ff47fb,0x22001ffc,
    0x1bfe25ff,0x00fff980,0xfd83ffb0,0xf500002f,0xdff1009f,0x897fe200,
    0x804fffb9,0x7fec1ffd,0x83ffb002,0x88002ffd,0x5ff806ff,0xbff03ffe,
    0xfb9fff40,0xff10003f,0xcfff880d,0xcccccccc,0x13ff26ff,0x7c0fffc0,
    0xf03ffe5f,0x3fe600bf,0xff88000f,0x3fe60006,0xff88000f,0x05ff8006,
    0x017fe200,0x001bfe20,0x2aab3ff2,0x200aaaaa,0xbff30ffc,0x6c035555,
    0x17fec1ff,0x4017fe20,0xffa81ffe,0x3f627ec3,0xacffc80f,0x0aaaaaaa,
    0x7fc4bff1,0x5ffd1006,0x543ffc00,0x500005ff,0xff1009ff,0x3ffe200d,
    0x3fffffff,0xf50fff00,0x1ffe00bf,0x20017fea,0xff806ff8,0xff13fee5,
    0x47ffcc0b,0x220006ff,0x7fc406ff,0xffffffff,0x3e66ffff,0x5ffa807f,
    0x7fdcbff0,0x4402ffc4,0x10002ffe,0x22000dff,0x10002ffe,0xfa800dff,
    0x7e40002f,0x7fcc000f,0xfffc8005,0xffffffff,0xf993fe01,0x03ffffff,
    0x3fea1ffe,0x02ffc405,0xfa82ffd8,0xd07fe23f,0x3fff20ff,0xffffffff,
    0xff893fe1,0x0bff9007,0x4427fd40,0x80000fff,0xf8804ffa,0xfff1006f,
    0x019fffff,0x2213fea0,0x7d400fff,0x0fff884f,0x037fc400,0xfff12ffc,
    0x3602ffc1,0x002ffeff,0x101bfe20,0xffffffff,0x8dffffff,0x7f403ffe,
    0x44bff02f,0x17fe0fff,0x0017ff20,0x0006ff88,0x4000bff9,0x74006ff8,
    0xf980006f,0x7fd4003f,0xfffc8004,0xffffffff,0x4c3ff501,0x3fffffff,
    0xf109ff50,0x7fc401ff,0x05ff9005,0x3fdcbff3,0xffc837fc,0xffffffff,
    0xf88b321f,0xfff9807f,0x0bff6000,0x00017fec,0x44027fd4,0xff1006ff,
    0x5fff955d,0x40bff600,0x7ec02ffd,0x05ffb02f,0x806ff880,0x1ffe45ff,
    0xff880bff,0x440006ff,0x7fc406ff,0x46ff8805,0xfb02fffb,0x22ffc0df,
    0x17fe3ffc,0x001fff30,0x0037fc40,0x0007ffcc,0x400dff10,0x00003ff9,
    0xfb800ffd,0xffc8003f,0x1bfa0001,0x6c007ff3,0x5ffb02ff,0x802ffc40,
    0xff882ffd,0xff313f66,0x007ff20b,0x01ffe600,0xf000bffa,0x2ffdc0ff,
    0x27fd4000,0x8037fc40,0x7fcc5ff8,0x07ff800f,0xff017fee,0x02ffdc0f,
    0x201bfe20,0x3ffc45ff,0xff900bff,0xf880003f,0x2ffc406f,0x6c37fc40,
    0xecabdfff,0x3fe01fff,0xff3ffc45,0x02ffe80b,0x037fc400,0x0017ff40,
    0x801bfe20,0x00000ffc,0x64005ff5,0xfc8002ff,0xff30001f,0x003ff987,
    0xffb81ffe,0x017fe205,0xfe80fffc,0x642ff8af,0x3ff903ff,0xfff30000,
    0x005ffc80,0x55577fd4,0x0fffbaaa,0x1ffd4000,0x8037fc40,0xffb85ff8,
    0x577fd405,0xffbaaaaa,0x5dff500f,0xff755555,0x7fc4001f,0xc85ff806,
    0x00bff2ff,0x0000dff1,0xf880dff1,0x6ff8805f,0xffffffb0,0xff801dff,
    0xff2ffc85,0x02ffe40b,0x037fc400,0x0017ff20,0x401bfe20,0x00004ff8,
    0xfb002ffc,0xff90003f,0x3ff20003,0x801ffcc0,0xaaaaeffa,0x00fffbaa,
    0x3e00bff1,0xfff700ff,0x6ffa8ff9,0x8007ff20,0x3fe64fe9,0x03ffe607,
    0xfffff900,0xffffffff,0xffb80005,0x06ff8802,0x3a0bff10,0x3ff202ff,
    0xffffffff,0xff902fff,0xffffffff,0x44005fff,0x5ff806ff,0xbff6ff88,
    0x00dff100,0x80dff100,0xf8805ff8,0x3ff6a06f,0xf800beff,0xf6ff885f,
    0x3ffe60bf,0xff880000,0x3ffe6006,0xff880000,0x03ff7006,0x1ffb8000,
    0x000fff00,0x20007ff2,0xfffffff8,0xf9003fff,0xffffffff,0x2205ffff,
    0xffb805ff,0x7fffe405,0x2fffca9d,0x8007ff20,0xff32fffd,0x0bffa01f,
    0x3ffffe00,0xffffffff,0x7e40005f,0x6ff8801f,0x20bff100,0x3fe05ffb,
    0xffffffff,0xff05ffff,0xffffffff,0x400bffff,0xff806ff8,0xff3ffb05,
    0x0dff100b,0x0dff1000,0x8805ff88,0xff9806ff,0x82ffc005,0x05ff9ffd,
    0x00005ffd,0xe801bfe2,0x100002ff,0x3fa00dff,0xf8800006,0x6ff9804f,
    0x03ff9000,0xfffff700,0x007fffff,0x3ffffffe,0x5fffffff,0x880bff10,
    0xfb803fff,0xffffffff,0x00ffe402,0x265fffd0,0xffc80fff,0xdffa8005,
    0x99999999,0x0200fff9,0x800fff88,0xf1006ff8,0x0fffc0bf,0x4cceffd4,
    0xff999999,0x4effd40f,0x99999999,0xf1000fff,0x0bff00df,0x17ff7fe6,
    0x001bfe20,0x101bfe20,0xff100bff,0x03ffe00d,0xf305ff80,0xf90bffbf,
    0x440000bf,0xff9006ff,0x7c40000b,0x2ffa806f,0xffb00000,0x04ffc801,
    0x003ff900,0x5555ffd0,0x5007ff95,0x33333bff,0x1fff3333,0xd80bff10,
    0x3f2006ff,0x00deffff,0x2001ffc8,0x3ba66ffa,0x07ffcc0e,0x017fe400,
    0xf502ffe8,0x09ffb107,0x401bfe20,0x3ee05ff8,0x02ffc85f,0xfc85ffd0,
    0x5ffd002f,0x01bfe200,0xffd817fe,0xff8805ff,0xff880006,0x02ffc406,
    0xd8037fc4,0x414c0dff,0x3ff605ff,0x7ffcc5ff,0x3e200000,0xfff9806f,
    0x3e200000,0x07fd806f,0x3fe60000,0x07ffa603,0x00ffe400,0x4c13fe60,
    0xffc803ff,0x05ffd002,0x3a60bff1,0x36001fff,0xc80019cf,0x0c4001ff,
    0x3bfffa00,0xeeeeeeee,0x801ffe4e,0xff885ffb,0xfffdceff,0x99999106,
    0x79999fff,0x440bff10,0x3ffc1fff,0xf8bff700,0x3fee007f,0xccccc885,
    0x3ccccfff,0xff502ffc,0xff100bff,0xccc8800d,0xcccfffcc,0x017fe23c,
    0x4401bfe2,0xfeceffff,0x502ffc0f,0xfe8bffff,0xeeeeeeff,0x6444eeee,
    0xcfffcccc,0x7ff43ccc,0xeeeeeeef,0x66444eee,0xccfffccc,0x13fe23cc,
    0xdfd00000,0x7fff66cc,0x3ff20006,0xcccccccd,0x403ff22c,0xaaaadff9,
    0x7003ffc2,0xdff10bff,0xffffd999,0x7fc4003f,0x3ff20001,0xcccccccd,
    0x3e20002c,0xffffffff,0xf56fffff,0x7fc400bf,0xffffd307,0x2201bfff,
    0xffffffff,0xf886ffff,0x2ffe405f,0x4400bff5,0x17fea7ff,0x887ff880,
    0xffffffff,0x7fc6ffff,0x2ffff405,0x0037fc40,0x3fffffe2,0x26ffffff,
    0xf8805ff8,0x3fe6006f,0x42ffffff,0x7ff405ff,0x3fffe25f,0xffffffff,
    0x7ffc46ff,0xffffffff,0x3fffe26f,0xffffffff,0x7ffc46ff,0xffffffff,
    0x003ff26f,0x3ff70000,0x3bffffe6,0x3ff20000,0xffffffff,0x40bff14f,
    0xfffffff9,0x8017fea7,0xff887ff8,0xffffffff,0x3fdc000d,0x3fff2000,
    0xffffffff,0x3fe20004,0xffffffff,0xff96ffff,0x2ffe8005,0x2f7b6ea0,
    0x7fffc401,0xffffffff,0x405ff886,0xff90fff8,0x2ffe8005,0xe8005ff9,
    0x7ffc42ff,0xffffffff,0x202ffc6f,0x8805fffa,0x7c4006ff,0xffffffff,
    0x3fe26fff,0x06ff8805,0x6f76dc40,0xa80bff03,0x3fe25fff,0xffffffff,
    0x7c46ffff,0xffffffff,0x3fe26fff,0xffffffff,0x7c46ffff,0xffffffff,
    0x0f326fff,0x66400000,0x079ddb12,0xffff9000,0x9fffffff,0xf980bfee,
    0x27ffffff,0x74002ffc,0x7ffc42ff,0x00bdeeff,0x00059500,0xffffffc8,
    0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6541cc80,
    0x77774c02,0x2006eeee,0xeeeeeee9,0xedcb806e,0x200bceff,0xeeeeeee9,
    0xd953006e,0xd8837ddf,0x0000001d,0x00055440,0x002aa600,0x00037b6a,
    0x0006f6d4,0x3001aa88,0x0aa98155,0x05555000,0x05541a98,0x002aaaa0,
    0x0d544000,0x5541a980,0x02f32a00,0x4c015530,0x53001300,0x8000aa83,
    0x530001ca,0x15530001,0x9800aa98,0x50001300,0x4c000055,0x55500aaa,
    0x74000015,0x07ff30df,0xffffffa8,0x3ea007ff,0x7fffffff,0x3ffffaa0,
    0x200fffff,0xfffffffa,0xfffc807f,0x23ffffff,0x00006ffc,0x07fe4000,
    0x6c553000,0xeffb807f,0x7dc000ff,0x4000ffef,0x801ffff9,0xff51ffe8,
    0x3ff20009,0x137e401f,0xfd8803ff,0x800000ef,0xf9004ff9,0x440ffc4d,
    0x01effffd,0x7ec0bff1,0x017fdc1f,0x1ff89bf2,0x0fffdc00,0xbffff500,
    0xfd102ec1,0x013fea3f,0xff707ff6,0x7ffec005,0xffa80003,0x3ff6203f,
    0xf500000e,0x01ffffff,0xaaaaaa88,0x2a2002aa,0x2aaaaaaa,0x9bffff70,
    0x401ffd99,0xaaaaaaa8,0x3ffa202a,0xfffedeff,0x003ffee3,0xfe800000,
    0x7fec0006,0xf804ff88,0x800bf50f,0x00bf50ff,0x7ff77fcc,0xcffe8801,
    0xf90004ff,0xff3001bf,0x400dff9d,0x0000effb,0x7fd4cccc,0x3e60099d,
    0x906ffcef,0x0dff99ff,0xff803ff2,0x02fff44f,0x3ff3bfe6,0xfffe8006,
    0xddff3003,0x1dffbfff,0x7e7ff440,0x9fff004f,0xb005ffe8,0x007ffbff,
    0x00fffd40,0x000effb8,0xbfffd500,0x00000003,0x7ffcc000,0x00000403,
    0x05ffff10,0x1ffd0f22,0x2e200000,0x03ff883d,0x547fec00,0x2fc401ff,
    0x5f8801be,0xff98037c,0x01ffe88d,0x04fffe88,0x009ff900,0x1fffffb8,
    0x077fcc00,0xffff8800,0x05ffffff,0x0fffffdc,0xff51ffc4,0x403ffa83,
    0x7fe42ffd,0xffffb803,0xffc8001f,0x47f1002f,0x01fffffa,0x04fffe88,
    0xf90bff60,0x3ffb007f,0x2000fff2,0x4000dffa,0x0000eff9,0x00000620,
    0x64000000,0x000006ff,0x077fe400,0x003fe400,0x09ff3000,0x80001ff5,
    0x06fc8ffd,0x17ea1ff0,0x3ea1ff00,0x70797005,0x33220099,0x59930003,
    0x0aea2000,0x03cc8800,0xfffff100,0x00bfffff,0x7cc05751,0xd0bfe20f,
    0x406a00bf,0x2ea2001a,0x3b220002,0xba804002,0x1e644002,0x1a80d400,
    0x540cca80,0x322001cc,0x3220003c,0x0000003c,0x0b332e00,0xccccc880,
    0x3ccccccc,0x0000bff6,0x99999995,0x7c459999,0xfd0000ff,0x4c00000b,
    0x03ca84ff,0xb8ffd800,0xdff7002c,0xfb8003ff,0x0001ffef,0x00000000,
    0x00000000,0x26600000,0x99dffa99,0x3ea00000,0xf91ffc0f,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66540000,0xcccccccc,
    0xffff802c,0x3ffe2006,0xffffffff,0x00fff66f,0xfffff900,0x49ffffff,
    0xc8004ffc,0x00000ffe,0x0013fe60,0x01ffb000,0x077b6a00,0x0ef6d400,
    0x00000000,0x00000000,0x00000000,0x0013fe60,0x117fcc00,0x0ffe63ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff900,
    0x09ffffff,0x0fffffa8,0xddddd100,0x9ddddfff,0x00077fe4,0xddddff90,
    0x747ddddd,0xff8001ff,0x4000000d,0x00004ff9,0x0007fec0,0x00000000,
    0x77765440,0x654400bd,0x800bdeee,0xbdeeeca8,0x402cc980,0xdb9804cb,
    0x26002cef,0xffccdecb,0xfecb8804,0xbff03def,0x7f43ff21,0x3b2e2006,
    0x2003deff,0x02cefdb9,0x677edcc0,0xfd971002,0x4c007bdf,0x402cefdb,
    0x65c02cc9,0x402cc984,0x2cc984cb,0x64c265c0,0x0265c02c,0x77777fe4,
    0x403eeeee,0x03ffdffd,0x01bfe200,0x005ffff1,0x0007ff20,0x26000fff,
    0x99000000,0x99dffb99,0x20099999,0xeceedca8,0xcc9800ff,0x10265c02,
    0x7bdffd97,0x7fffdc00,0x2e04ffff,0xffffffff,0x7fffdc04,0xfa84ffff,
    0x03ff403f,0x3ffffff2,0x3f6200df,0xffffffff,0x7fffd404,0x41ffffff,
    0x3ffffffb,0x2a003ff9,0xffffffff,0x7fe401ff,0x00dfffff,0xffffffc8,
    0x3fea00df,0xffffffff,0x7fffe401,0xf500dfff,0x87fe807f,0x7f403ffa,
    0x403ffa87,0x3ffa87fe,0x6403ff40,0xf80001ff,0x005ff9ef,0x201bfe20,
    0x0beffffa,0x007ff200,0x0006ff88,0x3b6a2cc8,0xfff003de,0xffffffff,
    0xa801ffff,0xffffffff,0xffa800ff,0xa83ff403,0xffffffff,0x3fa201ff,
    0xfedcdeff,0xefffe884,0x104fedcd,0xb9bdfffd,0x7ff509fd,0xd107fe80,
    0xfd957dff,0xfff301ff,0xfffd99bd,0xdeffa809,0x0ffffecc,0x997fffdc,
    0x3ea003ff,0xffeccdef,0xffe880ff,0xfffecabe,0x7dffd100,0x01fffd95,
    0x3337bfea,0x880ffffe,0xecabeffe,0xffa80fff,0x543ff403,0x3ff403ff,
    0x3a01ffd4,0x03ffa87f,0x7e403ff4,0x7d40001f,0x001fff3f,0x401bfe20,
    0xcfffffe9,0x01ffc801,0x0017fea0,0x7fed3fe0,0x400effff,0xfffeeeed,
    0x0eeeeeee,0x33bfff60,0x00ffffdc,0x7403ffa8,0xbdff507f,0x1ffffd99,
    0x40bfff20,0x2fffc829,0x3ff20530,0xf505302f,0x07fe807f,0x3f209ff7,
    0x04ffd84f,0xa9809ff5,0x09ffd300,0x00dfd022,0xfd300a98,0x09ff709f,
    0x7dc13ff2,0x09ff904f,0x7f4c02a6,0x04ffb84f,0xff509ff9,0xa87fe807,
    0x3ff403ff,0x3a01ffd4,0x03ffa87f,0x7e403ff4,0x7ec0001f,0x007ff91f,
    0x001bfe20,0x9fffffd5,0x001ffc80,0x00017fee,0x37ff77fe,0x003fffec,
    0x80027fcc,0xfd00effa,0x7ff5001f,0x5307fe80,0x13ffa601,0x0003ffe6,
    0x0001fff3,0x0001fff3,0xfe807ff5,0x406ff887,0x3fea0ffe,0x013fe604,
    0x017fee00,0x0000ffdc,0x222ffdc0,0x7ff406ff,0x2037fc40,0x70000ffe,
    0x6ff88bff,0x2a07ff40,0x3ff403ff,0x3a01ffd4,0x03ffa87f,0x7fd43ff4,
    0x403ff403,0x40001ffc,0x17fea6ff,0x037fc400,0xffffc980,0x03ff900e,
    0x0037fd40,0x0fffffc0,0x3001ffea,0x3a0009ff,0x3ff600ff,0x03ffa800,
    0x70003ff4,0x7ffb0bff,0x07ffb000,0x00fff600,0x201ffd40,0x2ffb87fe,
    0xfd17fdc0,0x27fcc01f,0x3ffc4000,0x0027fc40,0x47ff8800,0x7dc02ffb,
    0x017fdc2f,0x4000bfee,0x7fdc7ff8,0x217fdc02,0x7f403ffa,0x403ffa87,
    0x3ffa87fe,0x7d43ff40,0x03ff403f,0x0000ffe4,0xfff89ff5,0x6ff88000,
    0x7fe44000,0x03ff905f,0x003ffcc0,0x807fffc0,0x26000fff,0xfb8004ff,
    0x07fec03f,0x201ffd40,0x220007fe,0x07ff87ff,0x000fff00,0x50003ffc,
    0x7fe807ff,0x5400ffd8,0x01bfe3ff,0x00009ff3,0x3f601ffe,0x7c000006,
    0x007fec7f,0xffb0ffea,0x03ffa801,0xfb1ffe00,0x3ffa801f,0x3a01ffd4,
    0x03ffa87f,0x7fd43ff4,0x543ff403,0x3ff403ff,0x000ffe40,0xfd83ffb0,
    0xff88002f,0xff500006,0x59ff901f,0x15555555,0x0001ffe2,0xfd807ffe,
    0x3fe6001f,0x1ffc8004,0x4007fec0,0x7f403ffa,0x3ffc0007,0x2001bfe2,
    0x10006ff8,0x54000dff,0x3ff403ff,0x66667ff4,0x5ffdcccc,0xf980bff1,
    0x9951004f,0x0fffdddd,0x9711ffb8,0x32a20059,0x7ffeeeec,0x66667ff4,
    0x5ffdcccc,0x66667ff4,0x5ffdcccc,0x3bb32a20,0x7f47ffee,0xcccccccf,
    0x7d45ffdc,0x43ff403f,0x7f403ffa,0x403ffa87,0x3ffa87fe,0x6403ff40,
    0xaaaaacff,0xfff00aaa,0x000bff50,0x0000dff1,0x7e417ff4,0xffffffff,
    0x0bffe1ff,0x80dff000,0x26002ffb,0xfd8004ff,0x07fec00f,0x201ffd40,
    0x654407fe,0x7ffeeeec,0x4002ffd4,0x50005ffa,0x54000bff,0x3ff403ff,
    0x7ffffffc,0x5fffffff,0xf9809ff3,0xfffc804f,0x7fffffff,0x7cd3fe20,
    0x6405ffff,0xffffffff,0x7fffc7ff,0xffffffff,0x7fffc5ff,0xffffffff,
    0xfff905ff,0xffffffff,0xfffffff8,0x5fffffff,0x3a01ffd4,0x03ffa87f,
    0x7fd43ff4,0x543ff403,0x3ff403ff,0x7ffffe40,0x81ffffff,0xff884ffa,
    0x7fc4000f,0x3f200006,0xffffc83f,0x1fffffff,0x0001bff2,0xffb80dff,
    0x13fe6002,0x201ffa00,0xfa800ffd,0x03ff403f,0xfffffff9,0xff98ffff,
    0x5ff98005,0x0bff3000,0x01ffd400,0x3ffe1ffa,0xcccccccc,0x9ff52ccc,
    0x404ff980,0xaabdfffc,0x3607ffaa,0xbeff88ff,0xff902ffe,0xf55557bf,
    0xccfff8ff,0xcccccccc,0x667ffc2c,0xcccccccc,0xdfffc82c,0x7ffaaaab,
    0x66667ffc,0x2ccccccc,0x3a01ffd4,0x03ffa87f,0x7fd43ff4,0x543ff403,
    0x3ff403ff,0x7ffffe40,0x81ffffff,0xffb02ffd,0x6ff88005,0x3ffa0000,
    0x001ffc81,0x001fffc4,0xfb80dff0,0x3fe6002f,0x07ff8004,0xa800ffd8,
    0x3ff403ff,0xabdfffc8,0x447ffaaa,0xf88006ff,0xff10006f,0x7fd4000d,
    0x743ff403,0xf98000ff,0x27fcc05f,0x401fff50,0x5ff507ff,0x6fe83fee,
    0x200fffa8,0x07ff47ff,0x01ffd000,0x07ffd400,0xffe8fff0,0x3fea0000,
    0x543ff403,0x3ff403ff,0x3a01ffd4,0x03ffa87f,0x7e403ff4,0xfff0001f,
    0x002ffdc0,0x0101bfe2,0x641ffee0,0xfd8001ff,0x40cc04ff,0x7fdc06ff,
    0x13fe6002,0x003ffa00,0xf5001ffb,0x87fe807f,0x3e00fffa,0x00fff87f,
    0x000fff80,0x0001fff0,0xf8813fe6,0x01ffd87f,0x406ff880,0x3f204ffd,
    0x43ffc03f,0x17f65ff8,0x7ff90ff7,0x7ec7ff80,0x3f60001f,0x3f20001f,
    0x23ffc03f,0x20001ffd,0x3e204ff9,0x04ff987f,0x3e61ffe2,0x1ffe204f,
    0xf8813fe6,0x1ffc807f,0xaeffa800,0xffbaaaaa,0x3fe2000f,0x2f3be206,
    0xffebaaaa,0x03ff901f,0x3bfff600,0x3fecbabd,0x7dc06ff8,0x3fe6002f,
    0x1ffd8005,0x003ffe60,0xf8813fe6,0x03ffc87f,0x7fec3ffc,0x4ffd8004,
    0x09ffb000,0x81bfe200,0xffb87ffd,0x1fff0005,0x813fff20,0x3e601ffd,
    0x20ffd87f,0x43fd45fd,0x3e601ffd,0x02ffdc7f,0x00bff700,0x300ffec0,
    0x5ffb8fff,0x1bfe2000,0xf887ffd8,0x1fff606f,0xfd81bfe2,0x06ff887f,
    0x3201fff6,0xfc8001ff,0xffffffff,0x2002ffff,0x3e206ff8,0xffffffff,
    0x3f202fff,0x3f60001f,0xffffffff,0x406ff83f,0x22002ffb,0x64000fff,
    0xfff303ff,0xdff1001f,0x6c3ffec0,0x3fe601ff,0x03fff987,0x0fffe604,
    0x7fff3010,0x1fff0080,0x20ffffb0,0xc8003ffe,0xfffc84ff,0x0fff204f,
    0x2a3fffdc,0x237e42ff,0x3ffc86fb,0xd0ffff70,0x740007ff,0xf90003ff,
    0x3ffee07f,0x003ffe87,0x3603ffe0,0xfff07fff,0x0ffffb01,0x3f603ffe,
    0x1fff07ff,0x00ffffb0,0xf0003ff9,0xffffffff,0x00bfffff,0xb1037fc4,
    0xfffffffd,0xffc8015b,0x7e4c0001,0x0aceffff,0x7dc06ff8,0x7ffc002f,
    0x77fc4002,0x7ffff440,0x01fff000,0xf90ffffb,0x3ffee07f,0x7dfff907,
    0x909d7535,0x5357dfff,0x3ff209d7,0xeba9abef,0x39fffb04,0x0ffdffd5,
    0x26bbffea,0x444ba999,0xfeb9cfff,0x2a04ffaf,0xeb99bfff,0x3e27ffff,
    0x13ffb85f,0xfff509ff,0xfffd7337,0xdfff50ff,0x97533335,0x2bbffea0,
    0x84ba9999,0xb99bfffa,0xa87ffffe,0x999aefff,0xffb04ba9,0xdffd539f,
    0x3fff60ff,0xfeffea9c,0x39fffb07,0x0ffdffd5,0x2a73fff6,0x807feffe,
    0x54001ffc,0x99999dff,0x0fff9999,0x00dff100,0x017fe4cc,0x0003ff90,
    0x4007ff20,0x7fdc06ff,0x7ffe4002,0x00ca99bd,0xf935dffb,0x001ff9bf,
    0x2a73fff6,0xa87feffe,0xeb99bfff,0x3207ffff,0xffffffff,0xffff904f,
    0x409fffff,0xfffffffc,0xfff104ff,0xf93fffff,0x7fffdc0f,0x86ffffff,
    0xfffffffb,0xfd809ff1,0xafffffff,0x03ff27fd,0x7ffffff4,0xfffffb00,
    0x0ffb5fff,0x3fffffee,0x2e06ffff,0xffffffff,0xfffb06ff,0xfb5fffff,
    0x3fffee0f,0x06ffffff,0xfffffff1,0x220ff93f,0xffffffff,0xff107fc9,
    0x93ffffff,0x3ffe20ff,0xfc9fffff,0x01ffc807,0x8017fe40,0xf1002ffe,
    0xffb000df,0x0ffe4001,0x06fe8000,0xf701bfe0,0xffd0005f,0x01ffffff,
    0x3fffffa2,0x001ff75f,0x3fffffe2,0xb07fc9ff,0xffffffff,0xd880ffb5,
    0x1dfffffe,0x3fffb620,0x6c401dff,0x1dfffffe,0x3ffffa20,0x880ff90d,
    0xffffffed,0xfffd503e,0x4027fc3b,0x0ceffffb,0x0ffe6ff9,0x0dfffd88,
    0x77fffdc0,0x440ff90c,0xffffffed,0x7f6c403e,0x03efffff,0x33bfffee,
    0x6c40ff90,0xeffffffe,0x3fffa203,0x40ff90df,0x0dffffe8,0x7f440ff9,
    0xff90dfff,0x7ffff440,0x900ff90d,0xff8003ff,0x17fee007,0x3f333322,
    0x03ccccff,0x32002ff4,0xcccccdff,0x7c402ccc,0x1bfe004f,0x0005ff70,
    0x3fffffee,0x3ff6200e,0x03fee3ef,0xffffe880,0x5c0ff90d,0x90ceffff,
    0x099800ff,0x00133000,0x20004cc0,0x00000998,0x44003333,0x26200001,
    0x03000000,0x00013100,0x00066660,0x40019998,0x30000098,0x98800333,
    0x26200009,0x26200009,0x26200009,0x3f200009,0xccccccdf,0x0bff52cc,
    0x443ffc40,0xffffffff,0x2206ffff,0x7e4003ff,0xffffffff,0x7fd404ff,
    0x01bfe001,0x00005ff7,0x13000333,0x33100000,0x04c40001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc8000000,0xffffffff,0x5ff94fff,0x42ffe800,
    0xfffffff8,0x206fffff,0x64000ee9,0xffffffff,0x75404fff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffc8,0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x004c4000,0x00130098,0x00000a98,
    0x00000aaa,0x54015553,0x00000aaa,0x53001554,0x55000055,0x02aaa835,
    0x02af2ea2,0x0000d544,0x20015540,0x00013009,0x40000555,0x0000aaa9,
    0x00015553,0x554c0aaa,0x200554c0,0x005541a9,0x0aa60000,0x2aa20000,
    0x00054c00,0x05554c00,0x00055554,0x000bb880,0x5541aaa8,0x0026aa2a,
    0x15553000,0x7fc40000,0x41ffd801,0xfa802ffb,0x1760dfff,0x07fffb00,
    0x3ffea000,0x77fec403,0xffb00000,0x3fe2007f,0x0032a64f,0xff517fee,
    0x3fff203f,0xfa84ffff,0x6c00003f,0xfb003fff,0x02ffb83f,0x00ffff60,
    0x0fffea00,0x1fffd400,0x20fff000,0xff51ffe8,0x44df9009,0x54c001ff,
    0x40aaaaaa,0x800006fe,0xff500ffc,0x02ec1bff,0x03fffa80,0x001dffb1,
    0x00dffd00,0x7d45ffb8,0x3fffe1ff,0xfa80003e,0x400003ff,0xfff007fa,
    0x405ffe89,0xfffeeff9,0xb000effd,0x007ffbff,0x01fffa80,0x003bfee0,
    0xffbffb00,0x3ffe6007,0x400ffffe,0x7fd45ffa,0xdfffd00e,0xa89ffffb,
    0x200003ff,0x03ffdffd,0x7f44fff8,0xbffb005f,0x540007ff,0x50001fff,
    0x80003fff,0x3fa207ff,0x3004ffcf,0x0dff9dff,0xfffff900,0x1ffc43ff,
    0x2ff40000,0xffeeff98,0x000effdf,0x400fffd4,0x0000effb,0x003fffe2,
    0x3ea2ffd4,0x7fffc0ef,0x50001eff,0x00003fff,0x36009fb0,0x1ffe42ff,
    0xffa8fe20,0xfb001fff,0x00fff23f,0x006ffd40,0x0077fcc0,0xf91ffd80,
    0x7fedc07f,0x05ffffff,0x3e62ffcc,0xbff900df,0x20fffa81,0x00003ffa,
    0x3ff23ffb,0x217fec03,0xfd803ffc,0x007ff91f,0x001bff50,0x0037fea0,
    0x101ffe00,0x8009fffd,0x01fffffb,0xfffffc80,0x03fee1ff,0x103cc880,
    0x8fe205ff,0x01fffffa,0x006ffd40,0x001dff30,0x803fffc0,0x7fcc5ff9,
    0xfca9980d,0x54002fff,0x80000dff,0x2ffefdca,0x0d406a00,0x05750080,
    0x2a066540,0x644001cc,0x6440003c,0xcca8003c,0xf80e6540,0x1fffffff,
    0x99099700,0x037fc407,0x7fd45ffd,0xcca80003,0x200e6540,0x5003501a,
    0x1cca8199,0x00f32200,0x003cc880,0x201ffe00,0x10003cc8,0x80000575,
    0x17f61ffc,0x20dff100,0x40200ffb,0xc88002ba,0x9910003c,0x6ecc0007,
    0x90997001,0x7ec40079,0x991001ff,0xfd300007,0x1dffffff,0x00000000,
    0x00000000,0x00000000,0xde800000,0x03ffe89b,0xff300000,0x517fe409,
    0x000007ff,0x00000000,0x00000000,0xf0000000,0x000000ff,0xf9000000,
    0x000e643f,0x6541bfe2,0x00000003,0x00000000,0x00000000,0x0017ff60,
    0x3fea0000,0xffffacef,0x0000000e,0x00000000,0x00000000,0x00000000,
    0x0007ffcc,0x17fd4000,0x2a0ffe88,0x000003ff,0x00000000,0x00000000,
    0xf8000000,0x0000007f,0xfc800000,0xf880001f,0x0000006f,0x00000000,
    0x00000000,0x3fe60000,0x0000000f,0xf88bffe2,0x800effef,0x02cefdca,
    0xcefdca80,0xfdca8002,0xca8002ce,0x8002cefd,0x02cefdca,0x3ffb2e20,
    0x951003de,0x400bfffd,0x02cefdca,0x6c417fdc,0x1ffd44ff,0x0059dd95,
    0x777f6e54,0xfdb9803c,0x5cc002ce,0x4002cefd,0x02cefdb9,0x77f6e540,
    0x654403ce,0x07ffcdee,0x777f6e54,0xfdca803c,0x900002ce,0x100003ff,
    0x26000dff,0x265c02cc,0xdffd9710,0xd971007b,0x8007bdff,0xbdeeeca8,
    0x201664c0,0x7fc004cb,0x77f6541f,0x0b7b6e0c,0x2e1ffe40,0x02ffe8ff,
    0x3fffffa2,0xe8801eff,0xefffffff,0xfffe8801,0x801effff,0xffffffe8,
    0xfe8801ef,0x1effffff,0x7ffffd40,0x201fffff,0xfffffffc,0x7ff4402f,
    0x01efffff,0xff985ff9,0xb3ffa84f,0x09ffffff,0xfffffd88,0x7e405fff,
    0x0dffffff,0xfffffc80,0xfc800dff,0x0dffffff,0x7fffec40,0x2e05ffff,
    0xffffffff,0xfffb107f,0x40bfffff,0xffffffe8,0x640001ef,0x880001ff,
    0xf50006ff,0x07fe807f,0xfffffff5,0x3ea03fff,0xffffffff,0xfffb801f,
    0x544fffff,0x3ff403ff,0xc87ffa00,0x9fffffff,0x02fffffd,0x7ec0fff8,
    0x260bff34,0xfdcdffff,0x3e601fff,0xffdcdfff,0x3fe601ff,0xfffdcdff,
    0x3ffe601f,0xffffdcdf,0x3fffe601,0x1ffffdcd,0x337bfea0,0x40ffffec,
    0xccefffd8,0x3e606ffe,0xffdcdfff,0x2ffc81ff,0x540fffe2,0xcdffebff,
    0x3a03fffe,0xccbbceff,0xdffd105e,0x1fffd957,0x2fbffa20,0x00fffeca,
    0x957dffd1,0x7401fffd,0xccbbceff,0xfffe885e,0x7fffdccd,0x779dffd0,
    0x3e60bd99,0xffdcdfff,0x320001ff,0x880001ff,0xf50006ff,0x07fe807f,
    0xd99bdff5,0xf501ffff,0xffd99bdf,0x3fa201ff,0xfedcdeff,0x201ffd44,
    0x3e2007fe,0x5e6fe47f,0xbcfffffe,0x3e200ffe,0x88ffc44f,0x9ffd07ff,
    0x40dffb10,0xfd884ffe,0x13ffa06f,0xe81bff62,0xffd884ff,0x213ffa06,
    0x2606ffd8,0x9ffd300a,0xe80dffc8,0x9ffd02ff,0x90dffb10,0x1ffe45ff,
    0x3dffff50,0xf706ffb8,0x3ee0009f,0x09ff904f,0x7e413fee,0x09ff704f,
    0x7dc13ff2,0xffc8004f,0x70fff00d,0x3a0009ff,0xffd884ff,0x3ff20006,
    0xff880001,0x7ff50006,0x5307fe80,0x13ffa601,0x7f4c02a6,0x5fff904f,
    0x7ff50a60,0x1007fe80,0x8098bffb,0x3e63fffb,0x0ffe603f,0x87fe8ff7,
    0x7f404ffb,0x04ffb82f,0x7dc17ff4,0x17ff404f,0x3a027fdc,0x4ffb82ff,
    0x0017ff40,0x7ccbff70,0x17fea05f,0xfd013fee,0x22ffc85f,0x3ea00ffd,
    0xffb00eff,0x003ffb05,0xe80dff10,0x37fc40ff,0xf103ffa0,0x0ffe80df,
    0x4001ffd8,0x7fc06ff8,0x001ffd87,0x7404ffb8,0xf90002ff,0xf100003f,
    0x3ea000df,0x03ff403f,0x00bff700,0x2617fee0,0x54000fff,0x3ff403ff,
    0xfffeee98,0xfff3000f,0x7d40bff0,0x3627ec3f,0x07ffc0ff,0x3e17fea0,
    0x7fd400ff,0x400fff85,0xfff85ffa,0x42ffd400,0x7d400fff,0x3e20005f,
    0x00bff67f,0xfff81ffd,0x22ffd400,0x3ff22ffc,0x03bfea03,0xfc84ffb8,
    0xffb8003f,0x217fdc02,0x7dc02ffb,0x017fdc2f,0x3f20bfee,0x7fe4003f,
    0x643ffc02,0xff8003ff,0x2ffd400f,0x01ffc800,0x06ff8800,0x807ff500,
    0x220007fe,0xf10007ff,0x07ffb0ff,0x807ff500,0xfff307fe,0xf8003bff,
    0x206fd85f,0x3fe23ffa,0x3e23ff41,0x6ff8805f,0x4402ffc4,0x2ffc46ff,
    0x2237fc40,0xff8805ff,0x402ffc46,0x40006ff8,0x01ffe7ff,0xff88bff2,
    0x46ff8805,0x3fea2ffc,0x07ff502f,0xfa85ff98,0x36000cff,0x7fd400ff,
    0x2007fec3,0x7fec3ffa,0x41ffd400,0x000cfffa,0xfff00ffb,0x019fff50,
    0x2017fe20,0x90006ff8,0x100003ff,0x2a000dff,0x3ff403ff,0x01ffe000,
    0xff87ff80,0x7ff50007,0xf307fe80,0x200015bf,0x07fd84ff,0x7fb97fe6,
    0x7fcc6ff8,0x98fff004,0xfff004ff,0xf004ff98,0x04ff98ff,0xff98fff0,
    0x80fff004,0xeeeecca8,0x0bff17ff,0x7cc7ff70,0x8fff004f,0x7fec2ffc,
    0x03ffa84f,0xfc82ffc4,0x400befff,0xcccccffe,0x45ffdccc,0xcccccffe,
    0x45ffdccc,0xcccccffe,0x05ffdccc,0x17dffff9,0x7c03ffc0,0xffff907f,
    0x7fcc017d,0x00fff004,0x0007ff20,0x001bfe20,0x3a01ffd4,0x6654407f,
    0x07ffeeee,0x3bbb32a2,0x7fc47ffe,0x7ff50006,0xf307fe80,0x65cc007f,
    0xeeefffee,0x3e207ffe,0xf313f66f,0x03ffa8bf,0x7d41ffd0,0x1ffd003f,
    0xe801ffd4,0x0ffea0ff,0xf507ff40,0x3ffa007f,0xfffff900,0x26ffffff,
    0xffa805ff,0x400ffea4,0x3ff20ffe,0x0dfffc82,0xf100ffea,0x7ffdc0df,
    0xff01dfff,0xffffffff,0xff8bffff,0xffffffff,0x7fc5ffff,0xffffffff,
    0x2e05ffff,0x1dffffff,0x7c037fc4,0x3ffee07f,0xfa81dfff,0x1ffd003f,
    0x03ff9000,0x0dff1000,0x00ffea00,0x7fe40ffd,0xffffffff,0xfffff907,
    0xa8ffffff,0xf50005ff,0x07fe807f,0xb1005ff3,0xffffffff,0x0fffffff,
    0xff8affe8,0x2a1ffe42,0xffd004ff,0xd004ffa8,0x04ffa8ff,0xffa8ffd0,
    0xa8ffd004,0xffd004ff,0x2f7fff20,0x37ffaaaa,0xff500bff,0x8027fd49,
    0x17fe47fe,0x2a5fffb8,0x7fc403ff,0xfffda805,0xcfff84ff,0xcccccccc,
    0x67ffc2cc,0xcccccccc,0x67ffc2cc,0xcccccccc,0xfda802cc,0x3e24ffff,
    0x07ff806f,0xfffffda8,0x8027fd44,0xf90007fe,0xf100003f,0x3ea000df,
    0x83ff403f,0xaabdfffc,0xfc87ffaa,0xaaaabdff,0x2ffcc7ff,0x03ffa800,
    0xff983ff4,0xcfffc802,0xaaadffaa,0x7dc02aaa,0x7d47fcff,0x05ff986f,
    0xff98dff0,0x98dff005,0xdff005ff,0xf005ff98,0x05ff98df,0xff50dff0,
    0x8bffc01f,0xffb806ff,0x4017fe63,0x17fe46ff,0x2a7fff30,0x7fd403ff,
    0x3faa2004,0x07ff42ff,0x01ffd000,0x007ff400,0xfea88000,0x01bfe2ff,
    0xa8801ffe,0x3e62fffe,0x0dff005f,0x007ff200,0x01bfe200,0x201ffd40,
    0xfffa87fe,0xf51ffe00,0x3ffc01ff,0x4001bfe2,0x7f403ffa,0x80399107,
    0x5ff86ff8,0x7ffe4000,0xfffca9df,0x806ff882,0x7fc45ff9,0x45ff9806,
    0xf9806ff8,0x037fc45f,0x3e22ffcc,0x5ff9806f,0x7c03ffc8,0x201ffe7f,
    0x3fe22ffc,0x45ff9806,0x7d402ffc,0x807ff55f,0x90002ffb,0x1ffd8bff,
    0x07ff6000,0x01ffd800,0xffc80000,0xf701ffe5,0x3f2000ff,0x01bfe25f,
    0x40017fe6,0x80001ffc,0x30006ff8,0x7fc409ff,0x403ffc87,0x1ffe47ff,
    0x3fe1ffe0,0xff98000f,0x01ffe204,0x20ffea00,0xb80005ff,0xffffffff,
    0x0bffa02f,0xfd05ffb0,0x2ffd805f,0x6c02ffe8,0x2ffe82ff,0x7417fec0,
    0x7fec02ff,0x201ffd82,0x3ff67ff9,0x03ffe203,0xfd805ffd,0x017fe42f,
    0x7fd5bfe2,0x03ffe203,0x237fcc00,0x20005ffb,0x20005ffb,0x00005ffb,
    0x366ff980,0xfff502ff,0x3fe6000f,0x2017ff46,0x90002ffd,0x100003ff,
    0x22000dff,0x3ff606ff,0x201ffd87,0x7fec7ff9,0x21ffe601,0x88004ffd,
    0x3ff606ff,0xffb80007,0x003ffc41,0xfffffc80,0x7fd400de,0x0dff700e,
    0x5c03bfea,0xdff506ff,0x41bfee01,0xf700effa,0x3bfea0df,0x20dff700,
    0xff703ffc,0x0fffccff,0xfa84ffd8,0xdff700ef,0x9805ff90,0x07ff55ff,
    0x0001ffe4,0xffd09ff9,0x7ff40007,0x3ffa0003,0x64000003,0x17fea4ff,
    0x01ffffe6,0x2a27fe40,0xff700eff,0x7fe4000d,0xff880001,0x3ffe0006,
    0x87fffd80,0xff703ffc,0x03ffc8ff,0xf30ffff7,0xf80807ff,0xfffd80ff,
    0x807ff507,0x3fa23ffa,0xd80003ff,0xd80019cf,0xda99bfff,0x3f601fff,
    0xfda99bff,0x3ff601ff,0xffda99bf,0x3fff601f,0xfffda99b,0x2ffff601,
    0x1fffda99,0x337fff50,0x8fffffd7,0xb99bfffd,0xfb00effe,0xfb5337ff,
    0x5ff903ff,0x7fdcccd4,0x37dff52f,0x0dffd533,0x4ccd5e74,0xa81fffcb,
    0x999aefff,0xff504ba9,0x533335df,0x3ffea097,0xba9999ae,0x33579d04,
    0x83fff973,0xfdaadfff,0xce87fdcf,0xfcb999ab,0xfffd81ff,0xfffda99b,
    0x3ff20001,0xff880001,0x3ff60006,0xeffea9cf,0xbfffa87f,0xffffeb99,
    0x4dfffd47,0x7ffffeb9,0x57dfff90,0xfb09d753,0xffd539ff,0x3ffe0ffd,
    0x3bfe600f,0xfffdfe99,0x001b988b,0x40003ff1,0xffffffd8,0x6c401eff,
    0xffffffff,0x7fec401e,0x1effffff,0x7fffec40,0x401effff,0xffffffd8,
    0x7ec01eff,0xafffffff,0x7fec47fd,0x0effffff,0x3ffff620,0x901effff,
    0x7fff45ff,0x3fea4fff,0xffffffff,0x3fffe00d,0x3fffffff,0x3ffffee0,
    0x206fffff,0xfffffffb,0x3ee06fff,0xffffffff,0xfffff06f,0x07ffffff,
    0xfffffff3,0x3fe1ff69,0xffffffff,0xfffb103f,0x03dfffff,0x6d555540,
    0x0aaaacff,0x67ffc400,0xcccccccc,0xfffff881,0x07fc9fff,0xfffffffb,
    0xfb0ffb5f,0x5fffffff,0x7fe40ffb,0x4fffffff,0xffffff88,0xf07fc9ff,
    0xfd801fff,0xff36ffff,0x007fffff,0x40001fee,0xceffffeb,0x3ffae000,
    0x2000ceff,0xceffffeb,0x3ffae000,0x2000ceff,0xceffffeb,0xffff7000,
    0x41ff219d,0x3fffffeb,0x3fffae00,0x3f200cef,0x3ffffa2f,0xffeb981d,
    0xd802deff,0xffffffff,0xfed8801c,0x03efffff,0x7ffff6c4,0x6c403eff,
    0xeffffffe,0xfffffb03,0x4c039fff,0x323dfffe,0xffffd87f,0x801cffff,
    0xceffffeb,0x3ffe2000,0xffffffff,0x7c4001ff,0xffffffff,0xfd102fff,
    0x3f21bfff,0x3fffee07,0x20ff90ce,0x0ceffffb,0xed880ff9,0x01dfffff,
    0x1bffffd1,0x7fdc1ff2,0xfffd8805,0x3fffaa0d,0x595001ef,0x03300000,
    0x00066000,0x80000cc0,0x33000019,0x00988000,0x0004cc00,0x40000660,
    0x0c400099,0x33331000,0x99980001,0x26660001,0x26660001,0x26662001,
    0x00180009,0x02666620,0x00019800,0x3fffffe2,0x1fffffff,0x7fffc400,
    0xffffffff,0x004cc402,0x00013100,0x000004c4,0x4c400133,0x01880009,
    0x26200c40,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55550000,
    0xccc80001,0x802ccccc,0x02cefdb9,0x15506a60,0x3bfb2200,0x9990001c,
    0x00599999,0x2f332ea2,0xffecb882,0xdca803de,0x403ceefe,0x26013009,
    0x0aaaaaaa,0x54c00000,0x2aa000aa,0xaaaa9802,0x54c00aaa,0x00aaaaaa,
    0xfdb83326,0xaa9801de,0x260554c0,0x3bf6e0cc,0x9999001d,0x80059999,
    0x544000a9,0x2600001a,0x9800000a,0x2a600aaa,0x00554c0a,0x81555300,
    0x776544ca,0x0aa9801c,0x5540554c,0x7e400002,0x027ec40d,0x001dffb1,
    0x7fffffc0,0x7fe405ff,0x00dfffff,0x3fe26fc8,0xffffb801,0xf8004fff,
    0x5fffffff,0x7fffe440,0x3ea0ffff,0xffffffff,0xfffd881f,0x205fffff,
    0x7fdc1ffd,0xfffffc82,0x000001ff,0x800fffea,0x6403fffd,0x1fffffff,
    0x7ffffe40,0x3fea01ff,0xfffffe99,0x7ff4403f,0xf509ff51,0xffffd33f,
    0xfff007ff,0x00bfffff,0x837fffea,0x07ff505d,0xffff5000,0x8002ec1b,
    0x4403fffa,0x9ff51ffe,0x7ffd4000,0x3f67fc83,0x403fffff,0xff51ffe8,
    0x001bfe09,0x44fffa80,0x5c04fffe,0x90000eff,0x59999999,0x2fbffa20,
    0x00fffeca,0x7fe77fcc,0xdfff9806,0x002fffeb,0x66666664,0x3ffe602c,
    0x0feeeeef,0x3337bfea,0x740ffffe,0xccbbceff,0x13ffe05e,0xff90bffd,
    0x003fffff,0x3ffea000,0x37ff6001,0x3bae03ff,0x401fffee,0xfffffffc,
    0x3effea01,0xffffccff,0x67ff4401,0x7ff504ff,0xfff99fff,0xcccc803f,
    0x9802cccc,0xdfffeeff,0x2e660eff,0x09999cff,0x3bbfe600,0x0effdfff,
    0x0fffd400,0xfcffe880,0x3ea0004f,0x1ff901ff,0xfff9bffd,0xffe8801f,
    0x3fe04ffc,0x3ee00006,0x3ffe25ff,0xeff9806f,0x20000000,0xff904ffb,
    0xffff7009,0x5ffb003f,0x0005ffb8,0x33ffa000,0x20153000,0x3ee4ffe9,
    0x3f60004f,0x01ffe42f,0x0001ffc8,0x00dffa80,0x7e47ff60,0x3ff2003f,
    0x1ffc8001,0x37fffea0,0x017ff620,0x813fffa2,0x20dffffa,0x0005ffd8,
    0x2a3f8800,0x7c1fffff,0xffffffff,0x8fe2005f,0x01fffffa,0x006ffd40,
    0x13fffa20,0x0dffa800,0x3bfbff20,0x013ff620,0x013fffa2,0x40000dff,
    0x7fc1fff8,0x991004ff,0x20000007,0x7f406ff8,0x2ba8800f,0x221ffe00,
    0x000007ff,0x0009ff70,0x6cbff700,0x540001ff,0x64003501,0x400001ff,
    0x54003cc8,0x0e6540cc,0x001ffc80,0x2a01ffc8,0xff305fff,0x0f32200d,
    0x20bfff50,0x00006ff9,0x0aea0100,0x7ffffffc,0x04005fff,0x88002ba8,
    0x220003cc,0x220003cc,0xffc803cc,0x6ff880df,0x00799100,0x80000dff,
    0xeff980a8,0x00000000,0x00bfee00,0x00005ff7,0x7c1bfe20,0x0000006f,
    0x00001ffb,0x7e4fff10,0x0000003f,0x007ff200,0x00000000,0x1ffc8000,
    0x01ffc800,0x4403bfea,0x800007ff,0xf100effa,0x000000ff,0x3fea0000,
    0x00000003,0x00000000,0xf9000000,0x3ffc01df,0x6ff80000,0x00000000,
    0x5c400000,0x03deffec,0xfa801ffb,0x2000003f,0x5ff987ff,0xefdb9800,
    0x01ffe02c,0x27ff8000,0x000cfffa,0xfc800000,0x0000001f,0x20000000,
    0x400c1ffc,0x3ea01ffc,0x03ff403f,0x1ffd4000,0x2a01ffa0,0x002cefdc,
    0x3fea0000,0x00000003,0x00000000,0xf9000000,0x04cc803f,0x0dff0000,
    0x02a98000,0x33332a00,0xf5000ccc,0xffffffff,0xccffe83f,0xfdcccccc,
    0xcccca85f,0xfd000ccc,0x0fff447f,0x3ffff200,0x7c40dfff,0x2a20005f,
    0xffeeeecc,0x77fffe47,0xccca800b,0x8000cccc,0x40001ffc,0xccccccca,
    0x99995000,0x90001999,0x01f663ff,0xfa807ff2,0x43ff403f,0x3f6e0cc9,
    0x3ffa81de,0xd103ff40,0xdfffffff,0x70664c03,0x5403bdfb,0x200083ff,
    0xccccccca,0x20cc9800,0x401defdb,0xcccccccc,0x9502cccc,0x1ceeca89,
    0x0001ffc8,0x3b2a2654,0x06ff81ce,0x6c01e65c,0x3f20006f,0x01ffffff,
    0x99bdff50,0x7c1ffffd,0xffffffff,0xc85fffff,0x1fffffff,0x31fff500,
    0x44009ffd,0xecabeffe,0x3fe60fff,0xfff90005,0xffffffff,0xffffff70,
    0x7ffe403b,0x8001ffff,0x40001ffc,0xfffffffc,0xffff9001,0x90003fff,
    0x0fffb7ff,0x5403ff90,0x3ff403ff,0x7f4cffd4,0x543fffff,0x3ff403ff,
    0xcdffff98,0x501ffffd,0xfffd33ff,0x3ea07fff,0xdfff913f,0xffffc807,
    0xfa801fff,0xffffe99f,0x3ffe03ff,0xffffffff,0x6cff904f,0x43ffffff,
    0x40001ffc,0x3fff67fc,0x37fc3fff,0x001dffb0,0x5c000dfb,0x1fffeeee,
    0x26015300,0x3ffe4ffe,0xcccccccc,0xeeb82ccc,0x001fffee,0x3ffffff6,
    0x27fdc003,0x3e64ffc8,0xffc8005f,0xfaaaabdf,0x3ff6a07f,0xdd704fff,
    0x003fffdd,0x0003ff90,0xffeeeeb8,0xddd7001f,0x0003fffd,0x5dfffff9,
    0x403ff900,0x7f403ffa,0xffbffa87,0x1ffffccf,0xfd00ffea,0x213ffa0f,
    0xf506ffd8,0xf99fff7f,0xff503fff,0xffffff57,0x7775c0bf,0xa801fffe,
    0xccfffbff,0xdd01ffff,0xfddddddd,0x3ff207ff,0xffcdffe8,0x07ff20ff,
    0xd1ff9000,0xffff9bff,0xfd837fc1,0xdfb000ef,0xffc80000,0x3ee00001,
    0x003ffa5f,0x07ff2000,0xeffff980,0x37fc4001,0x7cc3ffa0,0x7fd4005f,
    0x01ffe00f,0x0bfffaa2,0x000ffe40,0x0000ffe4,0x000ffe40,0x8003ff90,
    0x02efffe8,0xa807ff20,0x3ff403ff,0x06ffffd4,0x7d4bffb1,0x43ff403f,
    0x7f404ffb,0xffffa82f,0x17ff620d,0x3bff7fea,0x01fffebb,0x2007ff20,
    0x20dffffa,0x0005ffd8,0x7e40dff7,0x3620efef,0x07ff24ff,0xfdff9000,
    0x27fec41d,0xdffb0dff,0x1bfa2001,0x3ff90000,0x7fc40000,0x0007ff67,
    0x007ff200,0x1fffff4c,0xffb81554,0x997fdc02,0x7e4005ff,0x03ffc03f,
    0x4017ff20,0xc8001ffc,0x7d9101ff,0x01ffc800,0x007ff200,0x1ffffe44,
    0x00ffe400,0xfe807ff5,0x05fffa87,0x7fd4dff3,0x7c3ff403,0x7fd400ff,
    0x05fffa85,0xff50dff3,0xbff90bff,0x00ffe400,0x982fffd4,0xf98006ff,
    0x3ff200ff,0x6ff880df,0x00007ff2,0x101bfff9,0x237fcdff,0x4400effd,
    0x007fffec,0x00ffe400,0xb9ffe000,0x800005ff,0xf9801ffc,0x41fffeff,
    0x1ffb06ff,0xf33ffa80,0xffd800bf,0x01ffe601,0x200dff30,0xc8001ffc,
    0xfff881ff,0x3ff2004f,0x3ff20001,0x7ffe4401,0xc8001fff,0x3fea01ff,
    0x543ff403,0xff100eff,0x201ffd4f,0x2ffc47fe,0x5437fc40,0xff100eff,
    0x09fff50f,0xc801bfe6,0xffa801ff,0x0fff100e,0x02ffe880,0xf0077fe4,
    0x00ffe4ff,0x03bff200,0x9bfe7ff8,0x4c00effc,0x87ffffff,0x64003dc8,
    0x544001ff,0xffeeeecc,0x001fff47,0x007ff200,0x7fecbffe,0x20dff10f,
    0xcccccffe,0x35ffdccc,0xfc800bff,0xffff703f,0x04ffc800,0x0003ff90,
    0xff503ff9,0x7e400fff,0x3f20001f,0x77fd401f,0x8001ffda,0x3ea01ffc,
    0x43ff403f,0x7f403ffa,0xd00ffea7,0x04ff98ff,0xff50fff0,0xa87fe807,
    0x3ffc05ff,0x003ff900,0xfe807ff5,0x27fec007,0x200ffe40,0x07ff24cc,
    0x03ff9000,0x5bfe4cc8,0xe800effc,0x36009dff,0x32003fff,0x3f2001ff,
    0xffffffff,0x77ffd47f,0x4ba9999a,0x007ff200,0x7f449ff7,0x20bff56f,
    0xffffffff,0x35ffffff,0xfa800bff,0xfeb99bff,0x2f3a7fff,0xffcb999a,
    0x3ff9001f,0x03ff9000,0x00fffff5,0x0000ffe4,0xfa803ff9,0x0007ff23,
    0xfa807ff2,0x43ff403f,0x7f403ffa,0xd00ffea7,0x03ffa8ff,0xfa81ffd0,
    0x43ff403f,0x7f403ffa,0x07ff2007,0xd00ffea0,0x7fdc00ff,0x03ff9005,
    0x003ff900,0x001ffc80,0xeffceff8,0x06ffa800,0x06ffff88,0x4007ff20,
    0xaabdfffc,0xfb87ffaa,0xffffffff,0x3ff2006f,0x207ff401,0xffbcfff8,
    0x999fff04,0x99999999,0x0017fe65,0x3ffffff6,0x3e7fdaff,0xffffffff,
    0x3f2003ff,0xffc8001f,0x07fffd01,0x000ffe40,0x0803ff90,0x8001ffc8,
    0x3ea01ffc,0x43ff403f,0x7f403ffa,0xd00ffea7,0x04ffa8ff,0xff50ffd0,
    0xa87fe807,0x3ff403ff,0x003ff900,0xfe807ff5,0x1fff3007,0x007ff200,
    0x0007ff20,0x0003ff90,0x0bffbfff,0x4013fee0,0x2005ffff,0xfa801ffc,
    0x1ffe00ff,0x7ffff6c4,0x32003eff,0x3ffc01ff,0xffefffa8,0x001ffd01,
    0x000bff30,0x33bfffee,0x7fecff90,0x1cffffff,0x00ffe400,0x880ffe40,
    0x7e4002cb,0x3f20001f,0xffc8001f,0x1ffc8001,0xd00ffea0,0x07ff50ff,
    0x3fea7fe8,0x263ff403,0xdff005ff,0xe807ff50,0x03ffa87f,0xf9003ff4,
    0x7ff5003f,0x8807fe80,0x32001fff,0xfc8001ff,0x7e40001f,0x6ff8001f,
    0xf900bffd,0x3fea009f,0x3ff2000e,0x03ffc801,0xb9803ffc,0xfc8002ff,
    0x07ffc01f,0x06ffffb8,0x20007ff6,0x40005ff9,0x1ffc4098,0x004cccc4,
    0x003ff900,0x0003ff90,0x003ff900,0x000ffe40,0x4000ffe4,0x00001ffc,
    0x403ffa80,0xfd0007fe,0x806ff88f,0xffa85ff9,0x543ff403,0x3ff403ff,
    0x003ff900,0xfe807ff5,0x03ffe807,0x000ffe40,0x3f200000,0x6ff8001f,
    0xb809ffd1,0x262006ff,0x0ffe4000,0x300ffec0,0x3e200fff,0xff90003f,
    0x02ffe803,0xb80ffff6,0xf98005ff,0xd000005f,0x000000bf,0x20007ff2,
    0x00001ffc,0x0001ffc8,0x20007ff2,0xc8001ffc,0x000001ff,0x7403ffa8,
    0xbff0007f,0xd805ffd0,0x3ffa82ff,0x7d43ff40,0x03ff403f,0x5003ff90,
    0x7fe807ff,0x002ffe40,0x0000ffe4,0x3ff20000,0x26ff8001,0x2604fff8,
    0x00001fff,0x400ffe40,0xff703ffc,0x1ff200ff,0x01ffc800,0xc8077fe4,
    0x7f406fff,0x7fcc003f,0xfa800005,0x06fe801f,0x007ff200,0x0007ff20,
    0x007ff200,0x001ffc80,0x8001ffc8,0xe8001ffc,0x7ff5006f,0x8007fe80,
    0xffa84ffa,0x0dff700e,0xfd00ffea,0x807ff50f,0x3f2007fe,0x3ffa801f,
    0xf503ff40,0xf90001df,0x3a00003f,0x7fe4006f,0x46ff8001,0x3603fff9,
    0x7ec00eff,0x1ffc8007,0x9bfffa80,0x7ffffeb9,0x000ffb00,0x2200ffe4,
    0xbaabffff,0x05fffffe,0x26bbffea,0x264ba999,0x800005ff,0x7c401ffc,
    0x3f20004f,0xffc8001f,0xfc800001,0x3f20001f,0xffc8001f,0x1ffc8001,
    0x027fc400,0x7403ffa8,0x7f4c007f,0x7fffb01f,0x3fffb533,0xd00ffea0,
    0x07ff50ff,0x32007fe8,0xffa801ff,0x883ff403,0x90001fff,0x100003ff,
    0xfc8009ff,0x6ff8001f,0x102fffa8,0x2019fffd,0x555405ff,0xaacffdaa,
    0xfffd80aa,0xfdafffff,0x9dff5007,0x55555405,0xaaaacffd,0x7ffffcc0,
    0xffbdffff,0x3ffee03f,0x6fffffff,0x00017fe6,0x0f3bfe60,0xa8017fcc,
    0xcffdaaaa,0x2aa0aaaa,0xacffdaaa,0x2a000aaa,0xcffdaaaa,0xaa80aaaa,
    0xacffdaaa,0x2aaa0aaa,0xaacffdaa,0x2aaaa0aa,0xaaacffda,0x0bfe600a,
    0x201ffd40,0xfb5007fe,0x7ec409ff,0xefffffff,0x00ffea01,0x7ff50ffd,
    0x5507fe80,0x59ffb555,0xffa81555,0xe83ff403,0xaaaaadff,0xff902aaa,
    0xff300003,0x1ffc8005,0x706ff800,0x3a205fff,0x33efffff,0x7fc407ff,
    0xffffffff,0xff701fff,0x3f219dff,0x3fff6007,0xfffff104,0xffffffff,
    0xfffd9103,0x7ffdc3bf,0x3ffb6201,0x263effff,0x000005ff,0x2e0dfff9,
    0xfff1007f,0xffffffff,0x3ffe23ff,0xffffffff,0xff1001ff,0xffffffff,
    0xff883fff,0xffffffff,0xfff11fff,0xffffffff,0x3ffe23ff,0xffffffff,
    0x1fee01ff,0x403ffa80,0xff9007fe,0x3fae009f,0x400cefff,0x7f403ffa,
    0x403ffa87,0xfff887fe,0xffffffff,0x1ffd41ff,0x3e61ffa0,0xffffffff,
    0xfc80ffff,0xfb80001f,0x1ffc8007,0x206ff800,0x2e01fffc,0xf54fffff,
    0x7ffc403f,0xffffffff,0x04c401ff,0x02a60000,0x7fffffc4,0x1fffffff,
    0x00000980,0xf3019998,0x800000bf,0x09d901a9,0x3ffffe20,0xffffffff,
    0xffffff11,0x3fffffff,0x3fffe200,0xffffffff,0x7fffc41f,0xffffffff,
    0xfffff11f,0xffffffff,0x3ffffe23,0xffffffff,0x8013b201,0x7f403ffa,
    0x039b9007,0x50006600,0x7fe807ff,0x7403ffa8,0xffff887f,0xffffffff,
    0x01ffd41f,0x3fe61ffa,0xffffffff,0xffc80fff,0x4ec80001,0x01ffc800,
    0x6c06ff80,0x64c01fff,0x00dd73dc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x30015997,0x59930155,0x30155300,0x55300599,0x76e54401,
    0x4006cabd,0x0aaccba8,0x9dfdb710,0x80399999,0x664c01cb,0x0b3bb2a0,
    0x9900b326,0x02aa8007,0x400b32e0,0x95001ccb,0x99990003,0x93059999,
    0x04cb8059,0x41555300,0x80001aa8,0xbdefedb8,0x027ec400,0x77ff6e5c,
    0x0f3220bc,0x7301e640,0x999dddfb,0xb9801999,0x41ceefec,0xdeffedb8,
    0x0799100b,0x2600f320,0x540cccba,0xcccccccc,0x666544cc,0x2ccccccc,
    0x337f6e60,0xfdca8002,0x0cc002cd,0x037fffd4,0xf9117fe2,0xff880bff,
    0x2fffe445,0xc817fe20,0xffffffff,0xff91007f,0x507fffff,0xffffffff,
    0x6405ffff,0x3ea01fff,0xfffffb1f,0x03ffa89f,0xfb0037fc,0x3ee007ff,
    0xfff8806f,0x1fffb800,0x7ffffc00,0xffa85fff,0x003ff403,0x2a1fffd4,
    0x5c0003ff,0xffffffff,0x3fffa03f,0xffffd504,0x441fffff,0xdff005ff,
    0x3ffffee0,0xffffffff,0xffffb100,0x6cbfffff,0xffffffff,0x05ff883f,
    0x2e06ff88,0x1ffffffe,0x7fffffe4,0x7ec7ffff,0xffffffff,0xffffb04f,
    0x22009fff,0xfffffffd,0x5ffd800e,0x17fed54c,0x7d41ff90,0x6405ffff,
    0x3ffea0ff,0x7fe405ff,0xdfffd880,0x07fffdcc,0xdddfffd0,0xfff987ff,
    0xefffb9ac,0x3ffa01cc,0x2ffea04f,0xffecdffe,0x00ffea3f,0x3f600dff,
    0x8803ffdf,0x7dc01fff,0xfffd004f,0xcccc8007,0xfa82cccc,0x03ff403f,
    0x207ffea0,0x20003ffa,0xdbcefffb,0xf882ffff,0xffb86fff,0xfecccdff,
    0x017fe20f,0x7fec37fc,0xefffccef,0xfa80eeee,0xfedeffff,0x33bf65ff,
    0x2ffffecc,0x4402ffc4,0xfff986ff,0x41eeefff,0xeeeeeffc,0x77646eee,
    0xffeeeeee,0x6fffec44,0x00dfffdc,0x33bfffe6,0x201ffffe,0x503ffff8,
    0x3fea05ff,0x7f4efc43,0x10ffea05,0x40bfd3bf,0xff903ffa,0x01ffe01b,
    0x2207bfee,0x4417ff40,0xfd800fff,0x3fea02ff,0x7fdc1eff,0xf00ffea6,
    0x3ffb00df,0x3200fff2,0x7ff404ff,0x5fff9001,0xf5000000,0x07fe807f,
    0x4037fea0,0x10003ffa,0x3f203fff,0x9ffff07f,0x403fff98,0x802ffc40,
    0x77fdc6ff,0x4013fe20,0x101efffa,0xd8804c97,0x2ffc46ff,0x2637fc40,
    0x801aefff,0x800007fc,0x7fec4ffb,0x03ffe885,0xd1037ffa,0x7fc40fff,
    0x7ff6c6ff,0x0c17fa04,0x2ff40bfd,0xe817fa18,0x0dff105f,0xff807ff8,
    0xbff1001f,0x401ffdc0,0x7d403ed8,0xffb00eff,0xf00ffea5,0x0cca80df,
    0x2600e654,0x3fe207ff,0x0bb22006,0x7d400000,0x03ff403f,0x5403cc88,
    0xf50003ff,0x7ffc40bf,0x40eff980,0x88006ffc,0xdff005ff,0x7c40fff8,
    0xbffd004f,0x3fe00000,0x017fe20f,0xffd1bfe2,0x07fc8007,0x4ffb8000,
    0x4c03bfe2,0xbff706ff,0x017ff440,0xff8ffff9,0xffc82fff,0x905fe800,
    0xbfd001ff,0x6403ff20,0x3ffc02ff,0x801bfe20,0x3ea04ffa,0x5400004f,
    0x3ee00eff,0x807ff54f,0x000006ff,0x5c0bffa0,0x000003ff,0x7fd40000,
    0x003ff403,0x01ffd400,0x403ffb80,0xd8000ffe,0xf88002ff,0x4dff005f,
    0xff883ffb,0x06ffb804,0x3ffa0000,0x2017fe21,0x3fee6ff8,0x07fc8004,
    0x4ffb8000,0xfb00bfee,0x01fff05f,0x7c06ffa8,0xff9886ff,0x801ffcc7,
    0x3ff985fe,0xf30bfd00,0x03ff407f,0x3e603ffc,0x3fea005f,0x00ffea04,
    0x07ff5000,0xff55ff98,0x006ff807,0x3fee0000,0x001ffd05,0x2cc98000,
    0xff5265c0,0x007fe807,0x03ffa800,0x40bff300,0xb0005ff8,0xf10007ff,
    0x9bfe00bf,0xff880ffe,0x0fffc404,0xffd00000,0x8805ff88,0x01bfe6ff,
    0x0003fe40,0xff27fdc0,0x5ffd801f,0xf8037fd4,0x3ff601ff,0xfd1ffe04,
    0x42ff400d,0x3fa006fe,0x7c06fe85,0x07ff807f,0x10027fcc,0x7fec0dff,
    0xccccca81,0x3fea00cc,0xaaffc403,0x37fc03ff,0x70007326,0x3ffe2099,
    0x202ffcc0,0xcccccccc,0xfa82cccc,0x53ff403f,0x7fe807ff,0x99999990,
    0x54599999,0x3bf6e3ff,0x0fffa01d,0x8001ffe4,0x4000effc,0xff005ff8,
    0xf8837fcd,0x2ffcc04f,0xff100000,0x805ff889,0x7ff36ff8,0x01ff2000,
    0x53fee000,0x3a205ff8,0x7fdc6fff,0x05ffb003,0xdd70fffc,0x7fe49fff,
    0x917fa001,0x7f4003ff,0x100ffe45,0xfff00dff,0x004ff980,0x3206ffec,
    0xfff906ff,0x5403ffff,0x7fc403ff,0xf807ff56,0x027fcc6f,0xfc81ffa0,
    0x017fe43f,0x3ffffffe,0xa84fffff,0x3ff403ff,0xfe807ff5,0xffffff07,
    0x49ffffff,0xffe8bffa,0xf703ffff,0x3fa61bff,0xf10000ef,0x44005fff,
    0xdff005ff,0x7c417fe2,0x1ffdc04f,0xfe880000,0x02ffc41f,0xffbb7fc4,
    0x9006a621,0x700000ff,0x13fe69ff,0x3fffffd4,0x5c007ff2,0xffd883ff,
    0x1ffffe44,0xe8007ff3,0x00ffe65f,0x7fccbfd0,0x037fc403,0x33313ffc,
    0x333bff73,0xff303333,0xfffdbbff,0x3bbbae01,0x3ea01fff,0xaffc403f,
    0x7fc03ffa,0x002ffc46,0xff9817fe,0x7403ff46,0xeeeeeeee,0xffa83fff,
    0xf53ff403,0x07fe807f,0xdddddddd,0x7d47fffd,0xfccfffcf,0xff501fff,
    0x09fffbff,0xffff5000,0xff88017d,0x26dff005,0xdff104ff,0x7e455555,
    0x9999882f,0xbaa98099,0xf880effc,0x6ff8805f,0xfff93ffb,0xf901bfff,
    0x39dfffff,0x53fee000,0xffc83ffa,0x7f47febf,0x9ff7000f,0x077ffee4,
    0x37f404cc,0x06fe8000,0x00dfd000,0x3fe01bfe,0x3fffff27,0xffffffff,
    0xffffe87f,0x000dffff,0xf500ffe4,0x3ff9807f,0xff807ff5,0x2006ff86,
    0x7f404ff8,0x009ff31f,0x20dff700,0x7f403ffa,0xd00ffea7,0x3ee000ff,
    0x7fffd46f,0x13ff620e,0xfffffe88,0x3a600004,0x01cfffff,0x3e00bff1,
    0x207ff56f,0xfffffff8,0x3207ff66,0x85ffffff,0x1ffffffc,0x100bff10,
    0x3fffadff,0xffffffff,0x7fffe41f,0x00efffff,0xfba7fdc0,0x3fffa23f,
    0x7fc1ffb1,0xbff5000f,0x001ffffc,0x0000ffdc,0x0000ffdc,0xf800ffdc,
    0x3ffdc07f,0xfffffff9,0xffffffff,0xaa89ffa8,0xf900009b,0x1ffd403f,
    0x7d4bfee0,0x1bfe605f,0x072e1ff6,0xfb807ff3,0x003ff94f,0x00fff980,
    0xfe807ff5,0x8813fe67,0xf98007ff,0x7ffd40ff,0x40dff306,0xfffffffa,
    0x50018804,0x09fffffd,0x3e00bff1,0x207ff76f,0xfffffff8,0x3207ffa6,
    0x85ffffff,0xfffffffc,0x02ffc40e,0xffeb7fc4,0xfd310adf,0xaaaa98df,
    0x0efffecb,0x5d3fee00,0xbfff52ff,0xff07fec1,0x2ffd400f,0x10001359,
    0x100009ff,0x100009ff,0x7ec009ff,0xffff502f,0x7dccccc4,0x999999df,
    0x0003fe41,0x500ffe40,0xfff807ff,0x220fff50,0x7fc86ffe,0x3ea2ffc4,
    0x7ffc402f,0x40006ff8,0x2a02ffe8,0x3ff403ff,0x7ec0dff1,0x7f44007f,
    0x0effa82f,0x7e41ffe0,0xfffeabff,0x1dff700d,0x3fff2600,0x17fe20ef,
    0xffab7fc0,0x809ff104,0xaa982ffd,0x9805ffba,0x220fffea,0xff8805ff,
    0xe803fff6,0x3ea003ff,0x3ee004ff,0xfb7ff54f,0x1ffd07ff,0xa8007ff4,
    0x200004ff,0xb00006fd,0x360000df,0x7fd4006f,0x7ffff986,0x0027fcc0,
    0x00019ffb,0x500ffe40,0x7fe407ff,0x107ffea3,0xf70ffffb,0x07ffd41f,
    0xfb003ff7,0x0007ff9f,0x5404ffd8,0x3ff403ff,0x3f603ffe,0x7ec007ff,
    0x07ff504f,0xffd87fe8,0x2fffdc0e,0x005ffff8,0x12fffe44,0x3fe00bff,
    0x2209ff36,0x7fe404ff,0x05ff8802,0xf137fe40,0xdff100bf,0xf5003ffa,
    0xffa800bf,0x53fee006,0x1ffffff9,0xffe8ffd0,0x27ff7001,0x4000aaa9,
    0x2aa61ffb,0x3ff7000a,0x800b32e2,0x2aa61ffb,0x5bfff00a,0xffd9ffb5,
    0x004ff980,0x3fffffea,0x000bceee,0xfa807ff2,0xeb999bef,0x7ffd46ff,
    0xdefeb9cf,0x3fea1cff,0xc8bfff61,0xff9800ff,0x20000fff,0xfa805ffb,
    0x23ff403f,0xea9cfffd,0x2007feff,0x3ea05ffb,0x23ff403f,0x3ea06ff9,
    0xfffe81ff,0xfff50007,0x4017fe21,0x0bff16ff,0xf7013fe2,0xbff1007f,
    0x21fff000,0xf8805ff8,0x803ffb6f,0x44006ff8,0x3ee007ff,0xbffff14f,
    0x3637fc01,0xff9002ff,0x007ffee3,0x3e24ff88,0xf8802fff,0xfffff34f,
    0x49ff100d,0x302ffff8,0x9fffffff,0xff301ffa,0xfffc8009,0xffffffff,
    0x03ff9005,0x7fffffd4,0x540dffff,0xffffffff,0x26fff98e,0x3bfe2ff9,
    0x801ff25f,0x0005fffe,0x2003ffe6,0x7f403ffa,0x7ffffc47,0x07fc9fff,
    0x401fff30,0x7f403ffa,0x2017fdc7,0xffa83ffd,0xfd0000ff,0x01bfe25f,
    0x7ff97fe2,0xa809ff10,0xff8806ff,0x1ffd8005,0xf100bff1,0x007ff2df,
    0x3e001ffe,0xff7000ff,0x201fffc7,0x7fe45ff9,0x21fff004,0x2000fffa,
    0x3bf60ffd,0xffd802ff,0x3ff2b7a0,0xb07fec02,0x4c05ffdf,0x3a3dfffe,
    0x27fcc07f,0x333ff600,0xffffeccc,0x01ffc804,0x3fffffea,0xff502def,
    0x419fffd7,0x3fe26ffa,0x1ff5ff53,0xfb8017f6,0xf10001ff,0x3ea003ff,
    0x43ff403f,0x0dffffe8,0xff100ff9,0x3ffa803f,0x3fa3ff40,0x2ffdc00f,
    0x0007ffd8,0x7ff8fff2,0x364ff980,0x4ff882ff,0x017ffc40,0x20017fe2,
    0xbff10ffe,0x2edff100,0x7fcc03ff,0x37fc4005,0x745ffb00,0x7fe401ff,
    0x403ffcc2,0x3fea6ffa,0x5ff5000f,0x17fcffd4,0x810bfea0,0x3fea04ff,
    0x3fe7fea2,0x3fe03002,0x027fcc07,0x4405ffb0,0xfc807ffc,0x4ffea01f,
    0xffa80099,0x04401312,0x467e57fe,0x009fd3ff,0x0002ffdc,0x4c007ffd,
    0x3fe204ff,0x88266207,0xffe804fe,0x03ffa803,0x3ffa3ff4,0x81ffe401,
    0x20006ffb,0x3ffa1ffe,0x517fec01,0x9ff10bff,0x01dff700,0x2002ffc4,
    0x3fe26ff9,0x34ff9805,0xffb80dff,0x27fe4003,0x21fff880,0x3e205ffa,
    0x05ffd07f,0x3ea2ffe8,0xbff1007f,0x7fc5ffc4,0x017fe202,0x3e205ff5,
    0x22ffe25f,0x7c0002ff,0x27fcc07f,0x006ff880,0xfc803fff,0x0ffea01f,
    0x00ffea00,0x3fedfd00,0x0ffedfb1,0x00fffc40,0x005ffc80,0xfb037fc4,
    0xbfb000ff,0x00bff900,0xfd00ffea,0x205ffd8f,0xfb01fff8,0xf700087f,
    0x0effb8ff,0xff0dff50,0x04ff889f,0x203fffd0,0x22005ff8,0x3fe22ffe,
    0x23ffd805,0xff103ffd,0x7fdc001f,0x7dc0760f,0x02ffe86f,0x3ea07ffb,
    0xbffb02ff,0xb007ff98,0x8b7e41ff,0x3ff602ff,0x817fea00,0x5bf20ffd,
    0x40002ff8,0x7fcc07ff,0x0bff5004,0x3201ffe0,0x3fea01ff,0x3ffa8003,
    0x57fe4000,0x3e7fea7f,0xbffb002f,0x3bfea000,0x0fff8000,0x007fffd8,
    0x2a00ffd4,0xf5000eff,0x47fe807f,0x99befff9,0x905fffc9,0xcef88dff,
    0xfebaaaab,0xeffe82ff,0xfffca9ab,0xbdfffa81,0xaaaeffa9,0x7ffcc0aa,
    0xfdaaacef,0x3335715f,0x89fffb55,0x2b625ff8,0x4c6ffeb9,0xb989cfff,
    0x4d642fff,0xfffeba99,0x6566ffc1,0xfb81ffff,0xfeb9acff,0x3ff600ef,
    0xffecabdf,0x037fcc1f,0xff117fd4,0x0bdffddd,0x7e405ff5,0x8bfea04f,
    0xffeeeff8,0x3fe0005e,0x027fcc07,0x402fff98,0xfc805ffc,0x0ffea01f,
    0x00ffea00,0x9fbff700,0x0ffeffc4,0x03bff620,0x07ffe200,0x67ffec00,
    0x7feffea9,0x00ffdc00,0x4003fff1,0x7f403ffa,0xfffffa87,0x5c5fffff,
    0x440efffd,0xffffffff,0xd302ffff,0xffffffff,0x7ffd407f,0xffffffff,
    0xfd880fff,0xffffffff,0xfffff35f,0x107fffff,0x7ffc4bff,0xfa82ffff,
    0xffffffff,0xffffff83,0xff81efff,0x3fffffff,0x3ffffea0,0xfb005fff,
    0xdfffffff,0x80dff101,0x7fc45ff8,0x46ffffff,0xfb105ff8,0x2ffc405f,
    0x3fffffe2,0x3e0006ff,0x27fcc07f,0x9bfffd00,0xdfff9757,0xdaaaaa81,
    0x0aaaacff,0x50007ff5,0xa80007ff,0x7ec1ffff,0xecd80fff,0x0001ffff,
    0x5555bffd,0x22055555,0xffffffff,0x44007fc9,0xfe84cfff,0xaaaaaadf,
    0x0ffea2aa,0x3220ffd0,0x2dffffff,0x104fffe8,0xffffffdb,0xd90017df,
    0x01bfffff,0xffffd930,0x1fffffff,0x7fff6d40,0xff30bdff,0x19dfffff,
    0xe897fe20,0x200dffff,0xdfffffd9,0xffffff00,0x7ecc05bf,0x800dffff,
    0x3dffffd9,0x7ffedc00,0x155404ef,0x2603ff20,0x0bffa999,0xfa807fe4,
    0x646fffff,0x999980ff,0x0000bffa,0xff301ffe,0x7ff44009,0xffffffff,
    0x7fffc40d,0xffffffff,0x007ff51f,0x0007ff50,0xa87fff98,0xfff07fff,
    0x20001bff,0xfffffff9,0x00ffffff,0x1bffffd1,0x2e001ff2,0x7fcc7fff,
    0xffffffff,0x7ff50fff,0x8807fe80,0x4ddc0099,0x26666000,0x04cc0000,
    0x00066000,0x20199880,0x00099998,0x20002200,0x33300098,0x13100013,
    0x000c4000,0x00001880,0x8801ffcc,0x1ffcc2ff,0xffffff50,0x801ffccd,
    0x40002ff8,0x7fcc05ed,0xedc98004,0x100cceff,0xffffffff,0x263fffff,
    0xe98002ee,0x7c40002e,0xdfff04ff,0x00b37ba0,0xfffff300,0xffffffff,
    0x00998801,0x41a98000,0xfffffff9,0x50ffffff,0x7fe807ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xccccccc8,0x3db8802c,
    0x7654c000,0x4401beef,0x01bdfdba,0x801edc40,0xccccccca,0xcccccccc,
    0x3bb2a200,0x99950bde,0x99999999,0x88019999,0x41bdfedc,0x30000ccb,
    0xa8000599,0x3ceefedc,0xcccccca8,0x9950009a,0x01359999,0x000ccb80,
    0x66666400,0xca83cccc,0x0e65400c,0xa801665c,0x999952cc,0x59999999,
    0x5000b32e,0x99700399,0x99930059,0x01579999,0x64026664,0x9999913c,
    0xa8013579,0xcccccccc,0x79912ccc,0x644f3200,0xcccccccc,0xb7103ccc,
    0x26039bfd,0x665c02cc,0xffff8002,0x9805ffff,0x320004ff,0xffffffff,
    0xffff303f,0x001dffff,0x5c013fe6,0xeeeeeeef,0x1feeeeee,0xffffff70,
    0x3fff29ff,0xffffffff,0x2a01ffff,0xffffffff,0x0007ff64,0x80027fd4,
    0xffffffd8,0xfffd85ff,0x0dffffff,0x7ffffec0,0x000dffff,0x00003ffb,
    0x7fffffd4,0xffc85fff,0x417fe401,0x4400fffa,0xfff90fff,0xffffffff,
    0x0017fee9,0xff003ffd,0xff500dff,0xffffffff,0x5ffff01b,0xff15ff80,
    0xffffffff,0x3fff2019,0xffffffff,0x100bff14,0x3ffe2dff,0xffffffff,
    0xffffa86f,0xfa83ffff,0x3bfee03f,0xcccc8000,0x9802cccc,0xe88004ff,
    0xfedeffff,0xeffb83ff,0xfffdb9ac,0x04ff9801,0xf5000f70,0xefffe883,
    0xd74fedcd,0xfffddddd,0x03dddddd,0x2f37ffea,0xffb2fffc,0x3fea0003,
    0xdffd0004,0x0bd99779,0xffdddffb,0x6c05ffff,0xfffeeeff,0xfd802fff,
    0x3600001f,0xcccdffff,0x01ffc83c,0xfd817fe4,0x27fe404f,0xdddddff9,
    0x3e67dddd,0xff3000ff,0xffff500d,0xfffa801f,0xffffeeee,0x37fffc0e,
    0x7fc57fe0,0xffffeeef,0xeffc82ff,0xeeeeeeee,0x100bff13,0x3bba2dff,
    0xeeefffee,0x67ffdc4e,0x44fffcbb,0xff303ffa,0x0000003f,0x0027fcc0,
    0x40bfffe2,0x6ffdc3c8,0x03fff300,0x7004ff98,0x8055e44f,0x7ffe41fa,
    0xf8805302,0x7f44006f,0x7ec7902f,0xff50001f,0x0135555b,0x40027fdc,
    0x74c41ffd,0xffb02fff,0xfffe9883,0x00ffec02,0xfcff8800,0x3ff9003f,
    0x302ffc80,0x3e201fff,0x017fe46f,0x400bffa0,0xfd803ffb,0x5403ffdf,
    0xfff504ff,0x1fffff89,0x7fc57fe0,0xfffea885,0x000ffe41,0xf100bff1,
    0x37fc40df,0x207ffe60,0x3ea0fff9,0x2ffe883f,0x40000000,0x64004ff9,
    0xf8000eff,0x5ff9805f,0x8027fcc0,0x3fffe27b,0xf30fd40c,0x880001ff,
    0x7d4006ff,0x3ff6004f,0xfff50001,0x3bffffff,0x0003ffb0,0x7dc03ffb,
    0x03ffb06f,0x36037fdc,0x900001ff,0x807ff5ff,0xfffffffb,0xffffffff,
    0x5ffc80ff,0xfc85ffb0,0x7fdc002f,0x03ffd005,0xbff3dff0,0x204ffa80,
    0x77fc6ffa,0x57fe05ff,0x7e405ff8,0x00ffe46f,0x100bff10,0x7fc40dff,
    0x017fec06,0x7fd49ff5,0x003ffd83,0xccc80000,0xccceffdc,0x7fc44ccc,
    0xffb8000f,0xf704cc40,0x6e66643f,0xccccceff,0x2a61ee4c,0x87ea0ffd,
    0x80003ffd,0x64006ff8,0x3f6002ff,0xff50001f,0xffffffff,0x03ffc8bf,
    0x401ffd80,0xffd83ffe,0x01fff401,0x1d983ffb,0x7ce7fc00,0x7ffdc03f,
    0xffffffff,0x80ffffff,0x7cc1fff8,0x02ffc85f,0x007ffcc0,0x2a01bfe2,
    0x01fff3ff,0x3e027fd4,0x7eeffc7f,0x22bff01f,0xffe805ff,0x8007ff22,
    0xf8805ff8,0x1bfe206f,0xff00fff0,0x321ffd4f,0x2a0005ff,0x0ccccccc,
    0x3fffffe0,0xffffffff,0x013ff20f,0xd893fe20,0x3fe5ffff,0x3fffffe5,
    0xffffffff,0xfc80f70f,0x7ff87ea6,0xdff10000,0x00ffd800,0x0007ff60,
    0x26227fd4,0x3ea4fffd,0x36000cff,0x7fd401ff,0x401ffd86,0x3f606ffa,
    0x03ffb31f,0x7ccffd40,0x7ed4c03f,0xaaaaaacf,0x00acffda,0xffe8dff5,
    0x002ffc80,0x5c02ffe8,0xffd803ff,0x5407ff91,0x3fe204ff,0x7fceffc6,
    0x3e2bff05,0x6ffa805f,0x88007ff2,0xff8805ff,0x81bfe206,0xfd805ff9,
    0x547ff51f,0x640006ff,0x1fffffff,0x3fbbbb60,0xeeeeeeff,0x007ffa0e,
    0xfe83fe60,0x3ee5eeff,0x3fbbbb67,0xeeeeeeff,0xff00f70e,0x7fc47ea1,
    0xff100006,0x0ffe800d,0x007ff600,0x5027fd40,0x7fe43fff,0x6c00beff,
    0x7ff801ff,0xf801ffd8,0x2fff607f,0x000efffd,0x1ffcdbf6,0x401ffc80,
    0xfe802ffc,0x209ff52f,0xb8002ffc,0x7ff405ff,0x2a6ff801,0x3fea05ff,
    0xf0ffea04,0x203ffabf,0x0bff15ff,0xffc9ffe0,0x17fe2001,0x881bfe20,
    0x3fe606ff,0x52ffc805,0x3bfe67ff,0x775c0000,0x001fffee,0xf8013fe6,
    0xff50007f,0x41067fd4,0xff300ffa,0x201ee009,0x2a3f51fe,0x100005ff,
    0xfe800dff,0x3ff6000f,0x9ff50001,0x5c3ffc80,0x1dffffff,0xd003ffb0,
    0x1ffd81ff,0xb00ffe80,0x05dfffff,0xf32ff980,0x3ff2007f,0x017fe401,
    0x7fc77fcc,0x00bff206,0x881ffe60,0xffa806ff,0xa807ffc4,0xfff304ff,
    0xff55ff83,0x3e2bff09,0x1ffd005f,0x88007ff2,0xff8805ff,0x81bfe206,
    0xfb806ff8,0xd17ff53f,0x000003ff,0x98007ff2,0xff1004ff,0x9bee000d,
    0x7fc407fd,0x009ff301,0x4ff301ee,0x0bff31fa,0x2a666200,0x01999eff,
    0xb0007ff4,0xddb803ff,0x5013fea1,0x3f6a09ff,0x2aa4ffff,0x02aacffe,
    0x3aaa3ffd,0xd02aacff,0xffd303ff,0x320005df,0x5bff30ff,0xff903555,
    0x02ffc803,0x5ffdff90,0x4cdffe40,0xd0199999,0x3fee05ff,0x41ffd803,
    0xff502ffd,0xffb9555b,0x7cbff01b,0x8affc0ff,0xffd005ff,0x2ab3ff23,
    0x10aaaaaa,0x99999fff,0x0dff9999,0x3e037fc4,0x7fd401ff,0xffb7ff54,
    0x64000005,0x3e6001ff,0xbff5004f,0xe97f6000,0x02ff805f,0x2e009ff3,
    0x2ffdcc87,0x37fc47ea,0xffffc800,0x1fffffff,0x7fffffdc,0x42ffffff,
    0x3ee01ffd,0x9ff50fff,0x406ff980,0xf2fffea8,0xffffffff,0x7fcbff60,
    0x07ffffff,0x7ecc5ffb,0x40003fff,0x3ffe64ff,0xfc83ffff,0xffffffff,
    0x1002ffff,0xc80bffff,0xffffffff,0xffb80fff,0x001ffb04,0xbff50fff,
    0x3ffffea0,0xf01effff,0x227fdcbf,0x0bff15ff,0x7e4bff60,0xffffffff,
    0xffff11ff,0xffffffff,0x7fc40dff,0x0f7fdc06,0xa9fffdc4,0x004fffff,
    0x0ffe4000,0x009ff300,0x40017fea,0x013fe5fd,0x7fcc0ffe,0xf88f7004,
    0x0fd41def,0x90001fff,0xffffffff,0xffb83fff,0xffffffff,0x0ffec2ff,
    0x27ffffd0,0x7d404ffa,0x3ff2004f,0xfffffff5,0x4fff20ff,0xffffffff,
    0x267ff907,0x01ffffff,0x987fea00,0x3fffffff,0xffffffc8,0x2fffffff,
    0x03ffee00,0xffffff90,0x301fffff,0xdff10fff,0x109ff500,0xff501fff,
    0xffffffff,0x25ff81bf,0x3fe0fff8,0x200bff15,0xfff92ffc,0xffffffff,
    0x3ffffe23,0xffffffff,0x1bfe206f,0x37bfffa0,0x2fffffed,0x1fffdff5,
    0x7e400000,0x3bba601f,0xeeeefffe,0x037fd46e,0x3fa6fc80,0x80ffc406,
    0xf7004ff9,0x0fd40bf0,0x30009ffb,0x5dff7555,0xaa981555,0xaaaabffe,
    0x0ffec0aa,0x27ffffd0,0x7e404ffa,0x3fe6003f,0x400ffec5,0x7fec2ffd,
    0x32ffd801,0x03ffb5df,0x2637f400,0xff9003ff,0x9999999b,0x32205ffd,
    0xcfffcccc,0x7fe44ccc,0xaaaaaaac,0x83ffd00a,0xfd803ffa,0x05ffb02f,
    0xc9889ff5,0x2ffc6fff,0x5ff8fff2,0x3600bff1,0x03ff92ff,0x402ffc40,
    0x3e206ff8,0xfff9006f,0xff9bffff,0x3f2ffea3,0x2000006f,0x3e601ffc,
    0xffffffff,0x7fcc7fff,0x4ff70007,0x3e600ffd,0x09ff300f,0x817e1ee0,
    0x3ffe61fa,0x3e200403,0x7ff4006f,0x07ff6000,0x50ffffa8,0x7fcc09ff,
    0x3ff2000f,0x400ffec4,0x7fec1ffe,0x11ffe801,0x000ffec5,0x7cc3ff98,
    0x3ff9003f,0x302ffc80,0xffffffff,0xfc8fffff,0x3ee0002f,0x007fec4f,
    0xff703ffc,0x409ff50b,0x3fe2fff9,0xff3ffc45,0x4017fe2b,0x3ff91fff,
    0x02ffc400,0xf1037fc4,0x5d4400df,0x1ff91abc,0x7ff4ffea,0xf9000005,
    0x6664403f,0xcccceffd,0x03ffc44c,0xf30ffa80,0x54bb7bff,0x13fe607f,
    0x01643dc0,0xfffc83f5,0x4eba9abe,0x0037fc40,0xd8003ffa,0x664c01ff,
    0x5c13fea0,0x2f3a2fff,0xffcb999a,0x00ffec1f,0x3f607ffc,0x0fff801f,
    0x0003ffb0,0xff303ff2,0x07ff2007,0x2605ff90,0xfffeeeee,0x7e45eeee,
    0x3e60002f,0x4037fc6f,0xaaaaeffa,0x40fffbaa,0x7dc04ffa,0x3217fe5f,
    0x22bff2ff,0xfff005ff,0x8007ff21,0xf8805ff8,0x1bfe206f,0x27fe8000,
    0xfff13ffa,0xf9000007,0x7fcc003f,0x0bffe004,0xb8ffe200,0x365fffff,
    0x13fe606f,0x54003dc0,0xffffc81f,0x404fffff,0x74006ff8,0x3f6000ff,
    0xff50001f,0xfffddddf,0xfffff89f,0x82ffffff,0x7dc01ffd,0x01ffd86f,
    0xfb037fdc,0xff10003f,0xffffffff,0x07ff2007,0x4005ff90,0xfc806ff8,
    0x7f40002f,0x007ff51f,0xfffffff9,0x85ffffff,0x7d404ffa,0x2217fe6f,
    0x22bff6ff,0xffb805ff,0x8007ff25,0xf8805ff8,0x1bfe206f,0x2ffc4000,
    0x7fcc7ff5,0x6400001f,0x3e6001ff,0x3ff2005f,0x8ffb0006,0xf30accb9,
    0x2ffcc05f,0x26c47b80,0x32603f50,0x1dffffff,0x0037fc40,0xd8003ffa,
    0xf50001ff,0xffffffff,0xffffb03d,0x2019ffff,0x7f401ffd,0x01ffd83f,
    0xfb01fff4,0xff70003f,0xffffffff,0x07ff2007,0x4005ff90,0xfc806ff8,
    0x7dc0002f,0x001ffb4f,0xffffffff,0x8bffffff,0x7d404ffa,0x6c17fe4f,
    0xf15ff9ff,0xfff880bf,0x8007ff23,0xf8805ff8,0x1bfe206f,0x0ffec000,
    0xffb87ff5,0x3200000f,0x3e2001ff,0xff1000ff,0xff30007f,0x01bf6007,
    0x7001fff1,0x500ffb8f,0x9ffc803f,0x1bfe2000,0x001ffd00,0x8000ffec,
    0xcdeefffa,0xf998801a,0x1ffd805f,0x6c1bff20,0x3ff201ff,0x00ffec06,
    0x5557ff40,0x003ffcaa,0xfc803ff9,0x9999102f,0x9999fff9,0x002ffc89,
    0xffb7fcc0,0x9dffa806,0x99999999,0x3fea0fff,0xf17fec04,0x37fe60bf,
    0x0bff15ff,0x7e46ffd8,0x3fe2001f,0x06ff8805,0x0001bfe2,0xff513fee,
    0x00bffb07,0x00ffe400,0x800bffe0,0x4c04fffc,0x201ffec1,0xff802ffd,
    0x4c7b802f,0x007ea05f,0xf1000dfd,0xffe800df,0x07ff6000,0x027fd400,
    0x01ffcc00,0x74c0ffec,0xffb02fff,0x5fffd303,0x001ffd80,0xf9827fcc,
    0x3ff9003f,0x302ffc80,0xffffffff,0xfc8fffff,0xfe80002f,0xc803ffbf,
    0xffd002ff,0x7027fd45,0x2ffc1fff,0x2bffffb0,0xfd305ff8,0x1ffc83ff,
    0x017fe200,0xf881bfe2,0x3aa0006f,0x7fd40fff,0x04fff883,0x03ff9000,
    0xbdfffc80,0x7440ca99,0xbabdefff,0x7ec43fec,0xfd510adf,0x3ff2007f,
    0x0ca99bdf,0x3f5000f7,0x0027fc40,0x4c037fc4,0xaabffeaa,0xb1aaaaaa,
    0x99999bff,0xff505999,0xff700009,0x9bffb001,0x5fffffd9,0x666ffec0,
    0x02fffffe,0xcccdffd8,0x321ccccc,0xbff300ff,0xf9055555,0x2ffc803f,
    0xf9999910,0x899999ff,0x80002ffc,0x00fffffc,0x2e007ff8,0x37fea5ff,
    0xfffccbaa,0x502ffc1f,0x3e2bffff,0xffecccef,0xffc81fff,0xcccccccd,
    0x00bff12c,0x3322dff1,0xccfffccc,0x6e6643cc,0x81dffffe,0xff303ffa,
    0xaaa8005f,0xaacffdaa,0x7ff400aa,0x00ffffff,0xfffffff9,0x3f207fff,
    0xffffffff,0x7fff4002,0xf70fffff,0x99999999,0x03fb9999,0x4000ffd4,
    0xfb806ff8,0xffffffff,0xfb4fffff,0xffffffff,0x9ff50bff,0x0dfb0000,
    0x3fffff60,0x401dffff,0xfffffffd,0xfb001dff,0xffffffff,0x17fe25ff,
    0xffffff98,0x01ffc87f,0x10017fe4,0xff900dff,0xff300005,0xff500dff,
    0x3ffc400b,0xfffffff5,0xff03bfff,0x5fffe80b,0xfffffff1,0x3201bfff,
    0xffffffff,0xbff14fff,0x22dff100,0xffffffff,0x7fc6ffff,0x02efffff,
    0xfb80ffea,0xff1001ff,0xffffffff,0xf7003fff,0x01dfffff,0x7ffff64c,
    0x32a00acd,0x00cdfffe,0xfffff700,0x3ffee1df,0xffffffff,0x2a01ffff,
    0xff10005e,0xffff700d,0xffffffff,0x3fff69ff,0xffffffff,0x004ffa85,
    0xb003ed80,0x7bdfffff,0x3fff6001,0x000bdeff,0x7fffffec,0xf72fffff,
    0x7ffcc05f,0xfc87ffff,0x17fe401f,0x00dff100,0x00005ff9,0x200ffffa,
    0x74002ffc,0xffff52ff,0x4039bdff,0x7fd405ff,0xfffff15f,0xc8017bdd,
    0xffffffff,0xbff14fff,0x22dff100,0xffffffff,0x7fc6ffff,0xa802bcee,
    0x7fec03ff,0xfff8800e,0xffffffff,0x4cc001ff,0x00130001,0x00000c40,
    0x00000ccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33320000,0xcccccccc,
    0x75c02ccc,0x6665c04e,0xcccccccc,0x079972cc,0x2e1ccb80,0x997002cc,
    0x00166443,0x32e60f2a,0x9500cdfe,0x99999999,0x21999999,0xccccccc9,
    0x998000ab,0x20200000,0x077001c8,0xd9300002,0x2dfea87b,0x33bfb2a0,
    0x00b7b6e0,0x44003970,0x3deffecb,0x9dfb7300,0x00b32605,0xca880997,
    0xa80bdeee,0x3ceefedc,0x677ee540,0x07332202,0x64199930,0xcccccccc,
    0x00882ccc,0x2000f322,0x5c02ccc8,0x664403cc,0x800264c0,0x9104ccc8,
    0x57999999,0xffffff00,0xffffffff,0x3fffaa09,0x7ffff405,0xffffffff,
    0x03fff54f,0xa83ffea0,0x7d400fff,0x13fe20ef,0xfc8dfb00,0x3fffffff,
    0xffffffc8,0xffffffff,0xfffff51f,0x019fffff,0x0002ffc0,0x3fe61fc8,
    0x0eff8806,0x4c000bf2,0xf74fffff,0xf905ffff,0xb3ffffff,0x005fffff,
    0x2007fff2,0xfffffffa,0x3f201fff,0x0dffffff,0x3a01ffd4,0x3ffee07f,
    0x224fffff,0xfffffffd,0xfffd105f,0x203dffff,0x7f406ffd,0x7ffffc3f,
    0x4fffffff,0x44077fdc,0xf88006ff,0x3fe606ff,0x07fcc06f,0x6c001bf2,
    0xf880ffff,0xffffffff,0x3fffe03f,0xffffffff,0x7ff544ff,0x7f405fff,
    0xffffffff,0x3f64ffff,0x7ffd005f,0x440bffb0,0x7fc42fff,0x8b7f4004,
    0xedcefffe,0x775c1fff,0xefffeeee,0xf51eeeee,0xffddddff,0x3e001dff,
    0xfd80005f,0x01fff46f,0xff98fff6,0x7fc4003f,0xffbffdbf,0xfc87ffbf,
    0xffffebcd,0x00ffebcf,0x803fffe8,0xeccdeffa,0x7440ffff,0xfecabeff,
    0x0ffea0ff,0xfd10ffd0,0xfdb9bdff,0x5e77ff49,0xf985eccb,0xffdcdfff,
    0xffe881ff,0xd0bff904,0xdddddddd,0x7fcc7fff,0x6ff885ff,0xffff9800,
    0x0ffff900,0x5fd87fa8,0xffffb800,0xefff880f,0x3fffffee,0x2ffc8000,
    0xfdffffd3,0x2a0000bf,0x3fe60fff,0x37fd401f,0x902fff88,0x17fe0bff,
    0x3a2bfd00,0x6ffd80df,0x00dff100,0x3aa09ff5,0xbff006ff,0x7ff44000,
    0x57ffc40e,0xffbbceeb,0x04fffa85,0xfd87fea0,0x5ff30eff,0xfffb8098,
    0x200ffe63,0x9800fffc,0x9ffd300a,0xf904ffb8,0x01ffd49f,0x3ff21ffa,
    0x3ee5302f,0xffe8004f,0x06ffd884,0xf985fff3,0xfb8000ff,0x7fffdc6f,
    0x006ff886,0x03feff98,0xb80ffdff,0x004fd87f,0x7ff77fc4,0x445ff880,
    0x001fffda,0xfb9bfe20,0x5ffb8cff,0xfff88000,0x406ffc82,0x3ee02ffe,
    0x0fff986f,0xe800bff0,0xf880e24f,0xff8801ff,0x04ffa806,0x200bffe2,
    0xf30005ff,0x7fd40bff,0xffffffff,0xbffd300f,0xa8dfb001,0x2ff43fff,
    0xf87ff980,0x0397005f,0x2ffdc000,0xfe80dff1,0x807ff50f,0x7ffcc7fe,
    0x03ffb000,0x404ffb80,0xff702ffe,0x00fff41f,0x207ffcc0,0x885ffff9,
    0xfa8006ff,0xffa86fcf,0x37e407fc,0x360027f4,0x80ffe9ff,0x3f605ff8,
    0x3f20003f,0xb833e22f,0xc80005ff,0xfff105ff,0x017fea05,0xffd0fffa,
    0x0037f407,0xfb0013fe,0xdff1005f,0x809ff500,0xff803ffb,0xfffa8005,
    0xefffd804,0x403ffffd,0x401effe8,0x7ffc44ff,0xf0037ec1,0x00dfb0bf,
    0x7c400000,0x00bfee7f,0x3fea5ff7,0x363ff403,0x3f2003ff,0x7ffc003f,
    0x02ffd400,0x3ff2bffb,0xffe88003,0x01dff902,0x5000dff1,0xd83ff3ff,
    0x4c47fbcf,0x999efd99,0x0199cff9,0xffea7fd4,0x205ff880,0x10005ffa,
    0xf7010dff,0xfa8000bf,0x3fee00ff,0x003ffd06,0x3ee1fff3,0x037f405f,
    0x9000ffe0,0xff1007ff,0x09ff500d,0xf805ff98,0x7fe4005f,0x5fff002f,
    0x8037fecc,0xf102fffc,0x81fff07f,0x3fe007fc,0x0007fd84,0x3ffc0000,
    0xfa801ffb,0x807ff53f,0x03ffc7fe,0x033ffea0,0x2017fe20,0x3a206ff8,
    0x005ffcff,0x8809ffb0,0x01bfe201,0x27fdfea0,0x1ff73ff1,0x7fffffdc,
    0xffffffff,0x9bfe207f,0xff880ffe,0x017fea05,0x801ffe40,0x20005ffb,
    0xe802ffe8,0x27fdc3ff,0xf1bff900,0x7fd803ff,0x7fc40a98,0x17fe4003,
    0x4037fc40,0x7cc04ffa,0xddddd35f,0xddddfffd,0x3dffb0bd,0x413fee00,
    0xf7001ffe,0x7ff307ff,0xddddfff0,0x32e60fff,0xeeefffee,0x2aa67ffe,
    0xaaaaaaaa,0x880aaaaa,0xfeeeecca,0x333ffa7f,0xfdcccccc,0x807ff55f,
    0x1bfe27fe,0x3ffff200,0x9ff300be,0x301ffe00,0x001fffff,0x000bff70,
    0x000dff10,0xb9ff2ff7,0x5c1ff76f,0xffffffff,0x7fffffff,0xfe87ff20,
    0x05ff880f,0x20013fee,0x2e007ff8,0x320005ff,0xff5005ff,0x03ffe21f,
    0xfefff880,0x87fd803f,0x17fc44ff,0x007ffa00,0x2a01bfe2,0x7fdc04ff,
    0xffffff34,0xffffffff,0x077ff44f,0x203ffb00,0x2a002ffc,0x7fd44fff,
    0xfffffe82,0x3620ffff,0xffffffff,0x27ffffff,0xfffffffc,0xffffffff,
    0x7ffffe41,0x3e7fffff,0xffffffff,0xf55fffff,0x27fe807f,0x70005ffa,
    0x3bffffff,0xd003ffa8,0xffc801ff,0xff98002f,0x4401000f,0xfb8006ff,
    0x3fa3ff37,0x7c03ff73,0x007fcc3f,0x3fa27fcc,0x05ff880f,0x0003fff1,
    0x5c007ff7,0xf30005ff,0x7f4001ff,0x007ff73f,0x0dffff50,0xff31ff20,
    0x002ff88f,0x4401bfe6,0xffa806ff,0x897ff404,0xffcccccc,0x34ccccce,
    0xd0009fff,0x3fee01ff,0x7ff4c003,0xf05ff30d,0x555555ff,0xacfffc85,
    0xaaaadffa,0x3fff22aa,0xffffffff,0x3f21ffff,0xaaaabdff,0x33ffe7ff,
    0xcccccccc,0x07ff52cc,0x3fe67fe8,0x7ed40005,0x3ea4ffff,0x0ffd004f,
    0x05ffff88,0x00fffc40,0x44077fd4,0xfc8006ff,0x3fe33fa7,0x2203ff50,
    0x03fd42ff,0x7f40ffe8,0x25ff880f,0x04fffb98,0x00fff880,0x0017fee0,
    0x000bffa2,0xdff1fff3,0x7ffec000,0x41ff7001,0x3e62fffc,0xffd1001f,
    0x1bfe2005,0x4413fea0,0xff005ffc,0xdffe880b,0x0fff4000,0x4003ffb8,
    0x3e65ffe9,0x00fff83f,0xff86ff88,0x33331005,0x33333333,0x7ffd4333,
    0xfe9ffe00,0xffa8000f,0xf13ff403,0x220000df,0xf32fffea,0x1bfe00bf,
    0x9ffdffb0,0x01fff400,0x42ffffc4,0xc8006ff8,0x3effee7f,0x4c07fea6,
    0x03fdc1ff,0x7f417fe4,0xffff880f,0x03ffffff,0x007ff700,0x8005ffb8,
    0xb0005ffc,0x005ffdff,0x01ffff40,0x3fe0ffb8,0x07fe65ff,0x0027fec0,
    0xf500dff1,0xf95555bf,0x3e001fff,0xffd8805f,0x3ff6001e,0x005ff903,
    0x2227ffd4,0x1fff83ff,0xf83ffa80,0x0000005f,0x3e01ffe4,0x007ff67f,
    0x8813fe60,0x07ffc7ff,0x3ff20000,0x300dff15,0x7fe40bff,0x802fff8d,
    0xf5005ffc,0xff10ffff,0x4df9000d,0x2a2ffff8,0x1ff302ff,0x7cc06fc8,
    0x01ffd05f,0xfffffff1,0x2200019f,0x5c000fff,0x7cc005ff,0xf10000ff,
    0x4000dfff,0x01fffffb,0xff30ffa8,0x07fd4ff9,0x0037fe40,0x2a01bfe2,
    0xffffffff,0x3e000dff,0x3ff2005f,0xbff9002f,0x4003ffe0,0xff02fffb,
    0x03fff98b,0x7c41ffb8,0x0000007f,0xf300ffec,0x02ffdcff,0xb037fc40,
    0x4ffd8fff,0x7fcc0000,0xb00bffa6,0x3fea05ff,0x01fff50f,0x80077fd4,
    0x886ffff9,0xfd8006ff,0x507ffec6,0x1fea05ff,0xffd017f6,0x203ffa01,
    0xfcaaeff8,0xf70002ff,0xff70009f,0x2ffe800b,0x7ffe4000,0xfff10001,
    0xf500dff9,0x3e77f23f,0x801ff52f,0x4000effc,0xfa806ff8,0xdeffffff,
    0x05ff8002,0x01fffdc0,0x321fffcc,0xffb005ff,0x07fec03f,0x500dfff9,
    0x7ff447ff,0x6dc0003f,0x03ffc802,0xfe8ffff7,0xfff8003f,0x47fffd80,
    0x0403fff9,0x549ff900,0xff700eff,0x0bffe20d,0x3e20dff9,0x7e4001ff,
    0x6ff881ff,0x546fd800,0x17fcc5ff,0x33ff9333,0x333bfd33,0x3a02ffb8,
    0x5ff880ff,0x0007ffcc,0x40007ffc,0x32005ffb,0x880005ff,0x3a0006ff,
    0x07ffd3ff,0x5fd1ff98,0x03fdd7fe,0x0003bff2,0x2a01bfe2,0x00199cff,
    0x8005ff80,0xe804fffa,0xfffdffff,0x7ff4402f,0x6ffd400e,0xdffdffa9,
    0x3e62ba9a,0xfdfe99ef,0x1b988bff,0x01fffc80,0x4cdfffd4,0x47ffffeb,
    0x99aefffa,0x7ec4ba99,0xffea9cff,0xfffc87fe,0x4eba9abe,0x7333579d,
    0xfd83fff9,0xfda99bff,0x9ffd01ff,0x3a17ffa0,0xaaaaadff,0x0a882aaa,
    0x000dff10,0x2ff88dfd,0xff99ffcc,0xffffffff,0x10ffffff,0x55555fff,
    0x557ffd55,0x2e17fe25,0x7dc005ff,0xff70004f,0x3ffe600b,0xff880000,
    0xdff70006,0x3007ffd4,0x21ff35ff,0x07fb8ffc,0x0003bff2,0x54037fc4,
    0x400004ff,0xd30005ff,0x3e601bff,0xffffffff,0xfff300ff,0x7fff400b,
    0xffff95ff,0xfffd87ff,0xffff36ff,0xfd007fff,0xffb007ff,0xb5ffffff,
    0xffff70ff,0x8dffffff,0xfffffff8,0xf907fc9f,0xffffffff,0x3fffffe9,
    0x883fffff,0xfffffffd,0xdff901ef,0x31fffcc0,0xffffffff,0x001fffff,
    0x8006ff88,0x3e6006fe,0xfffff33f,0xffffffff,0x3fe61fff,0xffffffff,
    0x16ffffff,0x3ffa0bff,0x03ffe002,0x02ffdc00,0x0002ffe8,0x000dff10,
    0xfd85fff1,0x2ffe205f,0x2ffe65fc,0xdff906fc,0x7fc40001,0x04ffa806,
    0x004cc000,0x3dffb100,0xdcafff88,0x85ffcbde,0x4004fffa,0x20dfffd8,
    0x42effffc,0x20dfffd8,0x1effffea,0x00fffc80,0x9dffff70,0x6c41ff21,
    0xeffffffe,0xffffe883,0x440ff90d,0xdfffffed,0xffffffb1,0xeb8039ff,
    0x00ceffff,0xb803fff7,0xfff31fff,0xffffffff,0xf88001ff,0x5fe8006f,
    0x40ffe600,0x17fc44fe,0xffffff98,0xffffffff,0x0bff16ff,0x5c017fee,
    0x2e0004ff,0xffc805ff,0x3e200005,0xffd8006f,0x02fff885,0x87fd7ff1,
    0xc86fcefe,0x40000eff,0xfa806ff8,0x0000004f,0x1fff2000,0xfe807ffb,
    0x0bffe63f,0x98803000,0x2200c400,0x65400099,0x00988001,0x01999800,
    0x00013310,0x4c401330,0x30000999,0x00000003,0x22000000,0xff8006ff,
    0x13fe2005,0x3fe627f4,0x26666601,0xffe99999,0xbff10999,0x400fffc0,
    0x20001fff,0x7cc05ffb,0x200000ff,0x54006ff8,0xff900fff,0x3f7fe01f,
    0x7effe40f,0x0077fe45,0x037fc400,0x80027fd4,0xaaaaaaaa,0x01aaaaaa,
    0xff30fdc0,0x1dff300d,0x00000fdc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xf8006ff8,0x3fe2005f,0xf987ff04,
    0xfe80000f,0x05ff880f,0xf7017fee,0x666400bf,0xcceffecc,0x3fffa2cc,
    0xeeeeeeee,0xff8804ee,0x3ffe2006,0x827ff403,0xf985ffff,0x3fee5fff,
    0xeeeeeeef,0x7c404eee,0x4ffa806f,0xffffb000,0xffffffff,0x1010007f,
    0x40f2003b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff100000,0x9999999f,0x02ffc399,0xf10bff10,0x007fa85f,
    0x101ffd00,0x7fc40bff,0x07ffe01f,0xffffff80,0x4fffffff,0xfffffff1,
    0xdfffffff,0x00dff100,0x54037fec,0xffe81fff,0x9fffd03f,0x7fffffe4,
    0x5fffffff,0x4037fc40,0xb0004ffa,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffc4000,0xffffffff,0x00bff12f,0x7cc2ffc4,0x003fdc1f,0x880ffe80,
    0x7fe405ff,0x00bff705,0xfffffff8,0x14ffffff,0xffffffff,0x0dffffff,
    0x200dff10,0xb002fffa,0xfffd0dff,0x93ffee01,0xfffffffc,0x05ffffff,
    0x54037fc4,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xfffffff8,0xf12fffff,
    0x5ff8009f,0x7e40ff98,0xffd00006,0x80bff101,0x0000fff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x665c0000,0x23997002,0x3f6e0cc9,0x44ca81de,
    0x981ceeca,0x65c001cc,0xeeeeca84,0xd8964c0b,0x0fbae0be,0x0ceedc88,
    0x65c03cc8,0x6666543c,0x00000ccc,0x59731000,0x03550003,0x02980d40,
    0x50005407,0x332a0199,0x0b101cce,0x32e60910,0xcb9800bc,0x3322002b,
    0x4cccc402,0x99999999,0x44555309,0x2aaa0aaa,0xaaaaaaaa,0x804c02aa,
    0x55300009,0x01573015,0x05555400,0x00000000,0x00000000,0x70000000,
    0xff100dff,0x74cffd4f,0x43ffffff,0x3fff67fc,0x7fcc3fff,0x43ff4004,
    0xffffffff,0x3fa37ee0,0xffff75ff,0xfffff507,0x06ff85ff,0xf903bff6,
    0x03ffffff,0x00bff100,0xffffff70,0x1fec003d,0xe84ff880,0x213fa25f,
    0xfea805fe,0xfff881ff,0x7444ffff,0x97fa205f,0xffffffd8,0xffffd304,
    0xff9003df,0x7ffec01f,0xffffffff,0x4dff93ff,0x3fe2fff9,0xffffffff,
    0xfb00ffff,0x02ffb83f,0x21fffd40,0x04ffffe8,0x3f620b32,0x000000ef,
    0x00000000,0x00000000,0x01fff100,0x3ea4ffb8,0xfccfffbf,0x3ff21fff,
    0xffcdffe8,0x17fe20ff,0x7d0bff00,0x49ff9333,0xfdcfcdfb,0x6ffbef8f,
    0x6ddfffcc,0x1bfe0fff,0x5c077fec,0x1fffeeee,0x05ff8800,0x26bbf620,
    0x003ffb98,0x3f6005fb,0x21ffe41f,0x7fdc1ffd,0xffffd503,0x99bf103f,
    0x7441fffb,0xffe885ff,0x3fbffee4,0x7fc42fff,0x0fffecdf,0x17fbfe20,
    0xffffffd8,0x3fffffff,0x7fc4dff9,0x3ffffe1f,0xffffffff,0x89fff00f,
    0x2a005ffe,0xffe81fff,0xf985ffff,0x3bfee03f,0x00000000,0x00000000,
    0x00000000,0xfe807ff9,0x3fffea1f,0x97ff620d,0x20efeffc,0x7fc4ffd8,
    0x13fe2006,0x3ee6fe80,0xfdff14ff,0xffd1ff21,0x3e4ffa81,0x0effd86f,
    0x007ff200,0x8017fe20,0x0aaa9cfc,0x43a85fd1,0x503622fc,0x5ff989ff,
    0xfe86ff88,0xeefff80f,0x3ee001ff,0x2fff443f,0x5909ffd1,0x7f45ffd8,
    0x027fd41f,0x05ff59fb,0x26666662,0x09999999,0x7fc4bff7,0x2666661f,
    0xfd999999,0x85ffb00f,0xf5003ffc,0xbff501bf,0x41bffd53,0x7cc02ffa,
    0x000000ef,0x00000000,0x00000000,0x206ff980,0x7fd46ff9,0x4dff305f,
    0x880dfffc,0x43fec6ff,0x1ffcc1cb,0x9ff66620,0x3fe0fffb,0x443fee4f,
    0x6ff884ff,0xdffb1bfe,0x1ffc8001,0x05ff8800,0x3feadf50,0x41ff14ff,
    0x23f90efe,0x3fe24ffa,0x500ffe86,0x5ff989ff,0x3ff91dc8,0x417fdc00,
    0xfe8dffe8,0x3fe6004f,0x6c0ffe26,0x21ff507f,0x000006fd,0xfff8bff7,
    0x1ffb0000,0x01a80d40,0x6c079910,0x3ffa20ff,0x007ffcbe,0x00007991,
    0x00000000,0x00000000,0x07ffa000,0x3ea1ffe4,0xfff100ef,0xf0077fe4,
    0x447fc8ff,0x17fd45ff,0x7ffffe4c,0xf0ffee7f,0x8ffdc1ff,0xffd03ff9,
    0xdff937fc,0x3ff90001,0x0bff1000,0x4fd47f60,0x47f70fd8,0x9fbbffea,
    0x3f22effd,0x00ffe41f,0xff907ff2,0x01ffc805,0x1bfee662,0xfffffe88,
    0x2ffdc004,0x3f203ff5,0x224fe80f,0x800004ff,0x7ffc4ffa,0x1ffb0000,
    0x00000000,0x7f4437f4,0x003fffff,0x00000000,0x00000000,0x00000000,
    0x7fc13fee,0x01ffd40f,0x1ffc9ffa,0x3ee26640,0x83ffea0f,0x7fcc1ffb,
    0x27feccdf,0x27fc0ffb,0x7fcc7fee,0x7fcdfb04,0x001dff96,0x0007ff20,
    0x7c017fe2,0x87dc7ea7,0xffea84f9,0x7cc2efff,0x027fd44f,0x7f40efe8,
    0x07ff200f,0x0effffb8,0x27fff440,0x87ffe600,0xffb01ffa,0xfc81ff70,
    0x5555540f,0xaaaaaaaa,0xe89ff51a,0x3f60007f,0x0000000f,0xb80aaa00,
    0x0002ffff,0x00000000,0x00000000,0x40000000,0xffa87ff8,0x403ffa84,
    0x07ff27fe,0xb0ffd400,0x7fe45fff,0x3207fec0,0xf03fee7f,0x11ffb89f,
    0x97fe0dff,0x0effceff,0x07ff2000,0xbaaaaa98,0xaaaaaeff,0x7d4bf10a,
    0x1be24fdd,0x302fffc8,0x4ff989ff,0xe81dfd00,0x3ff200ff,0x3fffee01,
    0x3fa202ff,0x3e6005ff,0x1ffcc4ff,0x3e237fc4,0x45ff883f,0xfffffffd,
    0x33ffffff,0x07fe87ff,0x003ff600,0x00000000,0x000004c0,0x00000000,
    0x00000000,0xb0000000,0x1ffd85ff,0x7403ffa8,0x007ff27f,0xff17fcc0,
    0x43fe4bfd,0x3ff446fe,0x4ff81ff7,0xffd0ffdc,0x3e2ffb83,0x005ffdff,
    0x900ffe40,0xffffffff,0x3fffffff,0xfdfa97e2,0x261be20e,0x0cfffffd,
    0x7e41ffc8,0x0ffe402f,0xf900bff2,0x3ee2003f,0xffe880ff,0xfb805fff,
    0x5ffd03ff,0x3217fe4c,0x8bfee06f,0xfffffffd,0x13ffffff,0x02aa8355,
    0x00066200,0x00000000,0x00000000,0x00000000,0x00000000,0xffa80000,
    0x541bfe25,0x3ff403ff,0x20003ff9,0x5ff53ff8,0x217f61ff,0xffcacffb,
    0xf03fee7f,0x21ffb89f,0xfdcefffa,0xfeb7fc6f,0x3f20005f,0x3fff201f,
    0xffffffff,0x9fe1ffff,0x264f99fa,0x33ff664f,0x0cffeafc,0x3fa1bfe2,
    0x89ff500f,0xfc805ff9,0x7ff4001f,0x467ff441,0xfb105ffe,0x7fcc05ff,
    0x45fffeef,0x7f402ff8,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0ffe8000,0x3ea07ff5,0x93ff403f,0x7c0003ff,
    0xff19f95f,0x3e213fa7,0x7fbdffff,0x9ff03fee,0x7dc1ffb8,0x40dfffff,
    0x9ffd16ff,0x07ff2000,0x99999988,0x99999eff,0x1fa8fec1,0x44bf21fb,
    0x23f91eff,0x7fd45ffb,0x442ffcc4,0x0ffe86ff,0x001ffc80,0xe883ffe6,
    0x3ffa24ff,0x06fff4c5,0x7ffff4c0,0x806fd83f,0x00004ff9,0x2eeeeee0,
    0x555532bb,0x32155555,0xcccccccc,0xcccccccc,0x0000002c,0x00000000,
    0x00000000,0x00000000,0xffb80000,0x2a01ffb3,0x3ff403ff,0x40003ff9,
    0x363ff6fe,0x2207ff6f,0x49912cda,0x27fc0ffb,0x2e207fee,0xdff02bdc,
    0x0027ffc4,0x4000ffe4,0xf3005ff8,0x67cc7ead,0x321dc6f9,0x3603622f,
    0x1ffe41ff,0xff707ff6,0x3fbbae07,0x953eeeff,0x9fffd999,0x4427ff44,
    0x3ffa5ffe,0x4fffffff,0x00135530,0x00000000,0x7ffffffc,0xfffff94f,
    0x3fe3ffff,0xffffffff,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0xeff88000,0x3ea05ff8,0x93ff403f,0x640003ff,0x3ea7faff,
    0x0002ff9f,0x7fc0ffb8,0x000ffdc4,0xff31bfe0,0xffc8007f,0x5ff88001,
    0x0677ee00,0xb003ff73,0x3fe2005f,0x3a25fe84,0x206fe84f,0xfffffffc,
    0xffff74ff,0xfe889fff,0xe93fa204,0xffffffff,0x0000004f,0xc8000000,
    0x3ccccccc,0xfffffff9,0x3bbba3ff,0xeeeeeeee,0x03eeeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff9ffb00,0x01ffd405,0x1ffc9ffa,
    0x37fee000,0x3f7fe24f,0x9999981f,0xf7199999,0x5c4ff81f,0x266661ff,
    0x21999999,0xfffa86ff,0x07ff2002,0x017fe200,0x7359ff90,0x36005ffb,
    0x406a003f,0x0dc05029,0x99999950,0x3b265999,0x7100bcde,0xccb89100,
    0x2ccccccc,0x00000000,0x20000000,0xaaaaaaa9,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff5000,0x03ffa80f,0x3ff93ff4,
    0x7ffd4000,0x7fffec1f,0x7ffffcc0,0xf77fffff,0x5c4ff81f,0xffff31ff,
    0x4fffffff,0xfff706ff,0xb5555505,0x155559ff,0x005ff880,0xfffffe98,
    0x072e000d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2027fffc,
    0x7f403ffa,0x0007ff27,0xa87fff98,0xff987fff,0xffffffff,0xff81ff77,
    0xf98ffdc4,0xffffffff,0xc81bfe7f,0x3fe21fff,0xffffffff,0x7c401fff,
    0x2a20005f,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,
    0xfa801fff,0x93ff403f,0x440003ff,0xfff04fff,0x3ee0000d,0x2e27fc0f,
    0x7c0001ff,0x7ffec06f,0xffffff11,0x3fffffff,0x005ff880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_34_latin_ext_x[560]={ 0,7,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,1,2,2,2,0,2,2,1,1,1,6,4,2,2,3,5,0,0,2,1,1,3,3,1,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,2,0,0,2,2,2,1,1,0,1,2,2,
2,3,2,1,2,1,2,1,3,3,1,2,1,0,1,0,2,2,7,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
7,2,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,3,1,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,3,3,0,0,3,
2,-5,-3,3,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_34_latin_ext_y[560]={ 25,1,1,3,0,1,2,1,0,0,1,7,19,14,
19,1,3,3,3,3,3,3,3,3,3,3,8,8,6,11,6,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,29,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,25,8,0,3,4,3,
-3,1,1,3,3,9,14,14,1,2,1,4,1,1,1,8,1,12,25,1,3,9,1,1,1,8,-3,-3,-3,-3,
-3,-4,3,3,-3,-3,-3,-3,-3,-3,-3,-3,3,-3,-3,-3,-3,-3,-3,9,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,0,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
-2,2,-3,1,3,8,-3,1,-3,1,-3,1,-3,1,-3,0,3,1,-2,2,-3,1,-3,1,3,8,-3,1,-3,1,
-3,1,-3,1,3,0,-3,-4,3,1,-3,1,-2,2,-3,1,3,1,-3,8,3,1,-3,1,3,1,8,-3,-4,3,
1,0,0,3,1,3,1,-3,1,3,8,-3,1,-1,3,8,-2,2,-3,1,-3,1,3,8,-3,1,3,8,-3,1,
-3,1,-3,1,3,8,-3,1,3,3,-3,0,3,3,-3,1,-2,2,-3,1,-4,0,-3,1,3,8,-3,1,-3,1,
-3,-3,1,-3,1,-3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-8,-5,-3,1,-3,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_34_latin_ext_w[560]={ 0,5,11,18,16,19,19,5,11,10,14,17,9,11,
6,16,17,15,15,15,18,15,15,16,16,16,6,9,14,15,14,11,19,19,15,16,17,13,13,16,16,14,12,16,
14,18,16,18,15,19,16,16,17,16,19,18,19,19,16,9,15,9,15,19,12,14,15,14,15,16,18,17,15,15,
13,15,15,17,15,17,15,15,15,13,16,15,17,19,17,18,15,13,4,14,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,14,16,17,18,
4,15,15,19,12,15,16,11,16,14,13,16,11,11,16,16,16,7,5,12,13,15,19,19,19,11,19,19,19,19,
19,19,20,16,16,16,16,16,16,16,16,16,18,17,18,18,18,18,18,15,18,17,17,17,17,19,15,15,16,16,
16,16,16,16,19,14,17,17,17,17,17,17,17,17,16,17,18,18,18,18,18,17,17,17,17,17,17,18,15,18,
19,16,19,16,19,15,16,17,16,16,16,16,16,15,19,22,18,18,16,17,16,17,16,17,14,16,16,17,16,18,
16,18,16,18,16,18,17,17,19,17,16,17,16,17,16,17,15,16,16,15,16,16,15,15,16,15,15,17,17,14,
15,22,22,16,21,17,15,17,17,16,15,17,17,17,16,15,18,18,18,18,19,19,19,19,19,18,16,15,19,18,
17,16,17,16,16,13,17,16,17,16,18,22,17,16,17,17,17,17,17,17,17,17,19,19,16,15,18,19,19,18,
19,17,17,17,17,17,17,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,19,16,20,19,20,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,16,13,17,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__consolas_34_latin_ext_h[560]={ 0,25,9,22,29,25,24,9,32,32,15,17,12,4,
7,28,23,22,22,23,22,23,23,22,23,22,18,23,20,10,20,25,31,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,28,22,23,22,23,22,22,22,22,22,32,28,32,11,3,8,18,25,18,25,18,24,24,24,24,
31,24,24,17,17,18,24,24,17,18,23,18,17,17,17,24,17,32,35,32,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,24,30,22,20,22,
35,28,8,23,17,14,9,4,16,7,12,21,14,14,8,24,28,7,5,14,17,14,24,24,24,24,28,28,28,28,
28,29,22,27,28,28,28,28,28,28,28,28,22,28,29,29,29,29,29,14,30,29,29,29,29,28,22,25,25,25,
25,25,25,26,18,22,25,25,25,25,24,24,24,24,25,24,25,25,25,25,25,18,25,25,25,25,25,31,31,31,
27,24,28,25,29,24,29,25,29,25,29,25,29,25,28,26,22,25,27,24,28,25,28,25,29,24,28,25,29,31,
29,31,29,31,29,32,28,29,22,24,28,24,27,23,28,24,29,31,28,17,23,31,29,31,29,31,17,28,29,29,
31,25,25,22,24,22,24,28,24,29,24,28,24,26,29,24,28,24,29,25,29,25,23,18,28,24,29,24,28,24,
29,25,29,25,27,22,29,25,29,29,28,26,22,23,29,25,28,24,29,25,30,26,29,25,29,24,28,24,28,31,
28,28,24,28,24,28,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,33,31,28,25,32,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,29,24,29,29,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_34_latin_ext_s[560]={ 458,499,418,35,37,328,71,501,67,79,272,
237,501,433,501,331,464,107,199,386,54,435,419,90,288,472,503,305,266,402,299,
475,250,355,375,36,408,426,321,369,440,457,451,489,1,16,391,482,233,223,73,
315,215,332,335,180,160,140,123,133,348,123,386,445,498,372,184,420,288,387,77,
96,272,114,392,475,246,173,108,449,130,61,124,435,73,404,90,140,467,183,485,
109,6,31,480,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,458,505,424,
141,281,302,1,457,447,53,160,287,430,433,255,418,372,249,360,332,463,146,39,
501,503,319,191,303,41,21,1,491,113,93,218,19,181,388,261,89,344,309,275,
292,201,188,279,314,224,150,162,143,92,71,1,344,439,334,352,282,370,168,175,
168,421,404,114,401,348,188,334,108,274,253,235,217,1,194,212,154,131,331,95,
76,57,38,19,354,1,490,472,454,436,178,143,231,18,19,421,311,72,124,55,
238,408,205,38,438,178,222,441,147,205,292,72,91,1,365,482,383,496,36,383,
418,300,159,265,338,230,287,195,90,205,160,282,349,133,367,38,1,56,53,480,
214,493,221,402,270,445,306,111,322,205,326,20,128,376,363,340,158,172,243,230,
243,385,125,262,238,278,106,54,296,256,312,461,321,425,148,349,314,380,421,317,
440,73,456,247,271,212,200,55,191,142,304,107,90,361,124,123,19,19,386,419,
220,1,256,406,170,458,455,478,238,400,163,437,357,473,1,254,261,202,296,403,
109,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,364,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,11,197,400,487,46,461,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,495,140,107,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90, };
static unsigned short stb__consolas_34_latin_ext_t[560]={ 31,97,277,255,37,126,181,219,1,1,277,
277,206,287,254,97,206,254,254,206,255,206,206,254,206,231,181,206,254,277,254,
155,1,231,231,231,231,231,231,206,231,231,206,231,255,255,231,206,254,97,255,
206,254,206,231,254,254,254,254,1,97,1,277,287,277,254,155,254,155,254,206,
206,206,206,1,181,181,277,277,254,206,206,277,254,231,254,277,277,254,206,254,
1,1,1,277,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,31,97,1,
231,254,231,1,67,277,231,277,277,277,287,277,287,277,254,277,277,277,206,97,
262,200,277,277,277,206,206,206,181,97,97,67,97,67,37,231,126,67,67,67,
67,67,97,97,97,231,97,67,67,67,37,67,277,1,37,37,37,37,97,231,
155,155,155,155,126,126,126,254,231,126,155,155,155,181,181,181,181,155,181,155,
155,155,155,155,254,155,126,126,126,126,1,1,1,126,181,97,126,67,181,67,
126,37,126,67,155,37,126,97,126,231,126,126,181,126,126,97,126,37,181,97,
126,37,1,37,1,37,1,37,1,97,37,231,181,97,181,126,231,97,181,37,
1,67,277,206,1,37,1,67,1,277,67,67,67,1,155,155,231,181,231,181,
97,181,37,181,67,181,126,37,181,67,181,37,155,37,155,206,254,67,181,37,
181,97,181,37,155,37,155,126,231,37,155,37,37,67,126,231,231,37,155,67,
206,37,126,1,126,1,155,1,206,67,206,67,1,67,97,206,97,206,97,181,
181,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,97,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,1,1,97,155,1,97,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,1,181,37,37,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231, };
static unsigned short stb__consolas_34_latin_ext_a[560]={ 299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_34_latin_ext(stb_fontchar font[STB_FONT_consolas_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_34_latin_ext_s[i] + stb__consolas_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_34_latin_ext_t[i] + stb__consolas_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_34_latin_ext_x[i];
            font[i].y0 = stb__consolas_34_latin_ext_y[i];
            font[i].x1 = stb__consolas_34_latin_ext_x[i] + stb__consolas_34_latin_ext_w[i];
            font[i].y1 = stb__consolas_34_latin_ext_y[i] + stb__consolas_34_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_34_latin_ext_s[i] + stb__consolas_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_34_latin_ext_t[i] + stb__consolas_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_34_latin_ext_x[i] + stb__consolas_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_34_latin_ext_y[i] + stb__consolas_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_34_latin_ext_LINE_SPACING
#endif

