// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT        332
#define STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_36_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_36_latin_ext_LINE_SPACING          24

static unsigned int stb__consolas_36_latin_ext_pixels[]={
    0x3baa3dd5,0x33310001,0x00000001,0x13333000,0xaa800000,0x51aaaaaa,
    0x35555555,0x000066aa,0x000aaa60,0x02ed8000,0x30000000,0x0774c1dd,
    0x01eeb800,0x776c4000,0x7764000d,0x00000003,0x2207dd90,0x000005ee,
    0xd9007dd9,0x5c00003d,0x503c980c,0xbddddddd,0x00004000,0x8000ccc0,
    0x80001bb9,0x2e000198,0x2000dfff,0x3fee0198,0x0005ff72,0x4c09fff3,
    0x74c0000e,0xfff90000,0x04fe9807,0xff86fec4,0xf5ffffff,0xbfffffff,
    0x00bbfffe,0x3fffee00,0x0bfee005,0x003ff500,0xbdfeca80,0x9ffcc002,
    0x30007fd8,0x0000ffff,0x0077ff44,0x0fffff60,0x00bfee00,0x7ffffb00,
    0x000dff10,0x7ffffb00,0x001ffd80,0x88dff900,0xffa82fff,0x006fffff,
    0x0000fec8,0x7ffff654,0xfc800bef,0x40003fff,0xf70007fc,0xfb0007ff,
    0xb97fdc0d,0x7cc002ff,0x3fe202ff,0xff10000e,0xfff9000d,0x9fffd003,
    0xfafffec0,0x5fffffff,0xffffffff,0x3fffffeb,0x3ffa0004,0xf3005fff,
    0x6c001fff,0x3a20007f,0x5fffffff,0x7fffec00,0xf50004ff,0x00001fff,
    0x0009ffd1,0x7ffb9ffb,0x7fffcc00,0x9ffb0000,0xff887ffb,0x7ec00006,
    0x203ffdcf,0x00001ffd,0xff98fffb,0xcccc984f,0xf8006ffc,0xb10000ff,
    0xffffffff,0xefa809ff,0x0000ffba,0x2e001bf6,0xd0001eff,0x97fdc0bf,
    0x2a002ffb,0xfd800dff,0xfe88006f,0x7fe4003f,0xf107db0d,0x7fc0bfff,
    0x00fff6ff,0xc98bff30,0xa8001fff,0x4001bfff,0x001ffffb,0x2000bff1,
    0xb9acfffa,0x22005ffd,0x004ffffd,0x01bffe20,0x0bffa200,0xd8fff600,
    0xff7003ff,0xfb0003ff,0x11ffec7f,0x40000dff,0x3ff63ffd,0x003ffb03,
    0x213fea00,0xf1001ffd,0xfff000df,0xfff50001,0xfdb99dff,0x23fc809f,
    0x3a0002fc,0x774c004f,0x3fe0000c,0x5cbfee04,0x000002ff,0x4005ffe8,
    0x4c004ffe,0x0bfe23cc,0xb01ffff4,0x1ffe9fff,0x417fe600,0xe8004ffc,
    0xf10002ff,0x2e001fff,0xf98002ff,0x9ff700ef,0x00aa8800,0x00cc9800,
    0x00aa9800,0xa81aa880,0xff9800aa,0xaa88006f,0xf10aaa81,0x220000df,
    0x0aaa81aa,0x0001ffd8,0x00980220,0x001bfe20,0x30003ffe,0x4407ffff,
    0xb27dc04b,0x7fc0003f,0x04d44003,0x3fb2e600,0x7dc2cdef,0x005ff72f,
    0x003bffd5,0x801fff44,0x00005ffc,0x6c403fee,0x676c404e,0x3000fff0,
    0x3fe20bff,0x06ff8006,0x0066cc00,0x80015530,0x6400efe8,0x0000007f,
    0x00000000,0x80000000,0x00000cd9,0x00dff100,0x36000000,0x000001ff,
    0x3fe20000,0x0fff8006,0x0f7fec00,0xeff88000,0x220006fe,0x3ee002ff,
    0xd8802fff,0xffffffff,0xb97fdc7f,0x7fd402ff,0x2000ffdd,0x4c00fff9,
    0x40000fff,0x005fd898,0x03ffc000,0xf02ffcc0,0xff8800ff,0x00000005,
    0x1ffd8000,0x002ff880,0x00000000,0x00000000,0x00000000,0x06ff8800,
    0xb0000000,0x000003ff,0x7fc40000,0x66665c06,0xcccccfff,0x7ffd44cc,
    0x74c00000,0x10000dff,0x2a007ff9,0x00ffccff,0x3bffffe6,0x5c7ffeff,
    0x05ff72ff,0x0ff62fd8,0x80bff900,0x70002ffe,0x7ffffffb,0xff800000,
    0x5ff98007,0x3001ffa0,0x000009ff,0xf8800000,0x17f6003f,0x37ffb2a0,
    0x01cccccc,0x66fff654,0x2a1ccccc,0x332003cc,0x00f32a1c,0x0001ccc8,
    0x99999900,0x44799999,0x3b6e26ff,0x32a001bd,0xccccdffe,0x03ffb1cc,
    0x2a1e6644,0x332003cc,0x1bfe201c,0xffffffd0,0xffffffff,0x004ffe8f,
    0x98000000,0xfffffffd,0xf917ec05,0x37ffa207,0x0627fb8a,0x3fee5ff7,
    0xf917ec02,0xfff88007,0x00dff502,0xfffffb10,0x2203ffff,0x4cc803cc,
    0x26001ffe,0x1ffa05ff,0x809ff300,0xcccccccc,0xca803ccc,0xccccdffe,
    0x03fe41cc,0x4403fee0,0xfffffffd,0x102fffff,0xfffffffb,0x545fffff,
    0xf9800fff,0x3ffea0ff,0x0fff9800,0x99999993,0xffff8007,0x5fffffff,
    0x7fcdbfe2,0x402fffff,0xffffffd8,0xb2ffffff,0x3fa203ff,0x7ffd40ef,
    0x0fff9800,0xd01bfe20,0xffffffff,0x4fffffff,0x0000fff8,0x4c01ffe2,
    0xfffb86ff,0x07ffffff,0x09f50ff4,0xfc83ffee,0xb97fdc07,0x7fdc02ff,
    0x8000ffdc,0xfff05ffb,0xffe98003,0xfffebbef,0x06ff882f,0x1ffe7ff8,
    0x817fe600,0x7cc007fe,0x7fffc04f,0x5fffffff,0x3ffff620,0xffffffff,
    0x4413fe22,0x807fcc20,0xebacfffe,0x01eeefff,0xd759fffd,0x83dddfff,
    0xfc803fff,0x03fff85f,0x3ea5ffc8,0x06ffffff,0x777776c0,0x225ffeee,
    0xefffadff,0x201ffffe,0xebacfffe,0xb1eeefff,0xffd103ff,0x0fffe01d,
    0x1017ff20,0xff000dff,0x3fea001f,0x7fc40006,0x8dff3007,0xfdbdfffd,
    0x7e407dae,0xb02fe88d,0x06fd89ff,0xffb97fdc,0xefffb802,0xfff10001,
    0x006ff981,0x7c0effd8,0xf886ffff,0x27ff806f,0xf98007ff,0x01ffa05f,
    0xd809ff30,0xeeeeeeee,0x3ffa05ff,0xfffebacf,0x3fee1eee,0x7f7ffdc1,
    0xf903ff17,0xdff901df,0x80effc80,0x3f206ffc,0x2fff806f,0xf806ffc8,
    0x3bbaa2ff,0x0006ffee,0xf12ffd40,0x441bffff,0xff905ffe,0x0dff901d,
    0xfe883ffb,0x3ff200ef,0x02fff806,0x40037fc4,0xf7000fff,0xf88000bf,
    0xdff3007f,0xfd1fffd4,0x3fa2004b,0x3f605fff,0x2027f44f,0x5ff72ffb,
    0x80000400,0x7fe43ffd,0x7ffd4003,0x7fdffcc1,0x037fc43f,0x0fff3ffc,
    0x40bff300,0x26000ffd,0x540003ff,0xdff905ff,0x20dff901,0x7ffec6fd,
    0x5ff16fff,0x7403fff0,0x3ffe01ff,0x407ffa01,0x2601fff9,0xfff307ff,
    0x03ffcc03,0x00037fc4,0xf897fea0,0xff104fff,0x03fff03f,0x3f60fff4,
    0x3bffa21f,0x0fffcc00,0x100fff30,0xff000dff,0x3ff2001f,0xdddddb04,
    0x03ffc49d,0x3fa6ff98,0x0027fc4f,0x900f7b22,0x1ffc1fff,0x7dcbfee0,
    0xfffa802f,0x3ee0001f,0x007ffc6f,0x320fffa0,0x88dffb7f,0x7ff806ff,
    0x26001ffe,0x3fee05ff,0x07fea001,0x0bff5000,0xfe807ffe,0x2a4fe81f,
    0x5ffa8cff,0xfff10bfe,0x103ffc80,0xffc80fff,0x813ffa03,0x3fa04ffc,
    0x13ff204f,0x001bfe20,0x44bff500,0x7ec04fff,0x03ffc43f,0xffb0fff2,
    0x03bffa23,0x9027ff40,0xff1009ff,0x1fff000d,0x40fff600,0x5fffffff,
    0x4c01ffe2,0x8fff36ff,0x00003ff8,0x57fffcc0,0x7dc02ff8,0x005ff72f,
    0x009ffffb,0xf33ffc40,0xff9800df,0xf35fe80f,0x37fc41ff,0xfff3ffc0,
    0x0bff3000,0xd002ffcc,0xf50000ff,0x0fff10bf,0x7c43ffc8,0xf99bfa2f,
    0xf30ffe3f,0x3ffc80df,0xc80dff30,0x3fea03ff,0x807ffe07,0x3fe07ffa,
    0x6ff8801f,0x7fd40000,0x201bfe25,0x7fcc4ffb,0x21ffe406,0xdffb1ffd,
    0x3ffd4001,0x1003fff0,0xff000dff,0x3ff6001f,0xfddddb03,0x03ffc4bf,
    0xff76ff98,0x802ff989,0xeefedca8,0x3ffee01c,0x5c01ffff,0x015532ff,
    0x0dfffff0,0x50fff800,0xfa800bff,0x22ff885f,0x3fe22ffe,0x3e7ff806,
    0xff98007f,0x677fec05,0x3ff2aa2a,0xfa80003f,0x06ff985f,0x3ea1ffe4,
    0x547ff30f,0x10ffe2ff,0x7f401fff,0x1fff101f,0x200fff40,0xffa82fff,
    0x82fff806,0xf1006ffa,0xa80000df,0x1bfe25ff,0xf117fea0,0x7ff401ff,
    0x7ecffec1,0xff8000ef,0x06ffa82f,0x000dff10,0x32001fff,0xff3004ff,
    0x803ffc4b,0x7ff96ff9,0x4401ffa8,0xffffffff,0xff700eff,0x4019ffff,
    0xa8002ffb,0x01fffcff,0x5c7ffa00,0x7e4004ff,0x20ffb83f,0x3fe24ffd,
    0x3e7ff806,0xff98007f,0xfffd9805,0x19ffff17,0x3fea0000,0x00fff885,
    0xff707ffa,0xff70ffdc,0x7ec17fc3,0x0fff504f,0xf504ffd8,0xbff900ff,
    0x9007ffb0,0x7ffb0bff,0x01bfe200,0x4bff5000,0xf9806ff8,0x04ffd86f,
    0xffb0fff5,0x0003fffd,0x3f617ff2,0xdff1003f,0x01fff000,0x4017fee0,
    0x3fe25ff9,0x2dff3007,0x7fdc3ffd,0x77ffc400,0x6fffedce,0x3ffff220,
    0xffb80dff,0xaffd8002,0x20004ffc,0x7ff92ffd,0x83ffd800,0x27fe46fd,
    0xff00dff1,0x4003ffcf,0xea805ff9,0xfff17fff,0x200005df,0xffb05ffa,
    0x21ffea09,0x91ff66fc,0x0bfe21ff,0x2677ffe6,0x402fffc9,0x999dfff9,
    0x9802fffc,0x3fe20fff,0xfff9800f,0x003ffe20,0x00037fc4,0xf897fea0,
    0x5ff9806f,0x99dfff98,0xd82fffc9,0x06ffeaff,0x41fff300,0x1000fff8,
    0xff000dff,0x3fea001f,0x4bff3006,0xf3007ff8,0x917ff2df,0x15b100ff,
    0x00fffee0,0x3ffffffa,0x0017fdc3,0x6ffabffc,0x4fff2000,0x74003ffd,
    0x43ff82ff,0x3fe25ffc,0x3e7ff806,0xff98007f,0x4e7ff405,0x3faa6619,
    0xfa80005f,0xbfff305f,0x5fff9333,0x37f4df90,0x1ff89ffa,0xffffff98,
    0x9803ffff,0xffffffff,0x3fa003ff,0x017fea3f,0x3ea3ffe8,0x3fe2005f,
    0x7d400006,0x01bfe25f,0x3e613fea,0xffffffff,0x13ffb03f,0x2000bffd,
    0x3fea3ffe,0x1bfe2005,0x003ffe00,0x4017ffc4,0x3fe25ff9,0x2dff3007,
    0x37ec6ffb,0x9ffd0000,0xff9dfd00,0x17fdc5ff,0xf97fea00,0xfb0001ff,
    0x00fff25f,0xfa83fff0,0x12ffdc1f,0xfff00dff,0x4c003ffc,0x3fe605ff,
    0x03ffa003,0x0bff5000,0x3fffffe6,0xfb03ffff,0x3fe2ffcb,0x3a03fe65,
    0xeffffbef,0x7dfd000d,0x01bdffff,0x366ffa80,0x3ea002ff,0x00bff66f,
    0x0006ff88,0xf12ffd40,0x7ff900df,0xfff7dfd0,0x7ec01bdf,0x0bfff31f,
    0x6cdff500,0x3e2002ff,0xffe8006f,0x1bff6002,0xf897fe60,0xdff3007f,
    0xfe83ffea,0x3ea00005,0x14ff806f,0x3ee1fffd,0x7fe4002f,0x000fff62,
    0xffb97ff4,0x17ffc004,0x3fee1bf2,0x201bfe24,0x01ffe7ff,0xb817fe60,
    0x3ea000ff,0x7d40002f,0xf7dfd05f,0x401bdfff,0x897fe5fd,0x21bee4ff,
    0x000c3ffa,0x0061ffd4,0x227ffe00,0xff8007ff,0x007ff89f,0x00037fc4,
    0xf897fea0,0x2ffe806f,0x0061ffd4,0x3ea1ffd8,0xff8004ff,0x007ff89f,
    0x40037fc4,0x22004ffd,0x7cc04fff,0x01ffe25f,0xfff37fcc,0x0013fe1b,
    0x406ff880,0x3fe23ff8,0x005ff72f,0x3ea0fff8,0xffd0006f,0x0017fea3,
    0x4ff87ffd,0x3e23ffc8,0x27ff806f,0xf98007ff,0x01ff605f,0x0009ff30,
    0xfa85ffa8,0xfb000c3f,0xff537fcb,0x7e427ec9,0xfc80002f,0xc800002f,
    0x04ffbcff,0xfbcffc80,0x7fc4004f,0x7d400006,0x01bfe25f,0xff90dff5,
    0x7fec0005,0x01fffdc1,0x3ef3ff20,0x7fc4004f,0xfffc8006,0x3fff2000,
    0x4bff300d,0xf3007ff8,0x77ffdcdf,0x00e22ffa,0x7dd554cc,0x17fcc06f,
    0x7fdd3ff6,0x2a015532,0x7ffc45ff,0x0fff8001,0xd800dff3,0x0bfe64ff,
    0xff88bff6,0x3e7ff806,0xff98007f,0x001ffa05,0x8000bff3,0xffc85ffa,
    0x9bf20002,0x53ffa6fe,0xffc82ff8,0x900009be,0x00137dff,0x3bbfe600,
    0xf98000ff,0x000ffeef,0x00037fc4,0xf897fea0,0x3ffa606f,0x9beffc81,
    0x0ffec000,0x001fffe4,0x1ffddff3,0x06ff8800,0xeffff880,0xd885caab,
    0xbbdeffff,0x3e25ffec,0xdff3007f,0xffffffd8,0x2a07fedd,0xfffffffe,
    0x7fd406ff,0xfb9fff41,0x205ff72f,0xffe83ffc,0x37fcc003,0x4001fff1,
    0x1fee4ffc,0xff10fff4,0x7cfff00d,0xff98007f,0x001ffa05,0x8000bff3,
    0xffc85ffa,0x640009be,0x373ff26f,0x6febffdf,0xffffff30,0x039dffff,
    0x7fffffcc,0x01ceffff,0x37ffff40,0xffffd000,0xdff1000d,0xffa80000,
    0x2fbffe25,0x4fffda9a,0xffffff30,0x039dffff,0x3f603ffb,0x3fa002ff,
    0x66406fff,0xcfffcccc,0x5c00cccc,0xffffffff,0x3fffee07,0x5fffffff,
    0x4c01ffe2,0xfffc86ff,0x87ffffff,0xffffffe8,0x406fffff,0x7ffd47fb,
    0x3ee5ff71,0x01fff02f,0xc800dff7,0x1ffec3ff,0x74fff500,0x0fff985f,
    0x3e01bfe2,0x001ffe7f,0xfe817fe6,0x2ffcc007,0x17fea000,0x3fffffe6,
    0x81ceffff,0x3ffe67fb,0x1fffff4f,0x7ffffd40,0x5fffffff,0x3ffffea0,
    0x5fffffff,0x3fffee00,0x3fee0002,0x666402ff,0xccfffccc,0x50000ccc,
    0x7ffc4bff,0xffffffff,0x7fffd403,0xffffffff,0xb00ffec5,0x2e005fff,
    0x7c02ffff,0xffffffff,0x800fffff,0xffffffd9,0x7ff64406,0x40bdffff,
    0xf9800fff,0xffd7106f,0xfb0359bf,0xff1015df,0x9ff20e4d,0x3ee6fffa,
    0x505ff72f,0x3fe20dff,0x3ffe000f,0x0037fd40,0xff17fff1,0x889ff905,
    0x7ff806ff,0x26001ffe,0x1ffa05ff,0x00bff300,0x505ffa80,0xffffffff,
    0xfa8bffff,0x931eed47,0xffd8017b,0xffdcccce,0xffb04fff,0xffb9999d,
    0x22009fff,0x40006fff,0xf806fff8,0xffffffff,0x000fffff,0x7c4bff50,
    0xefffffff,0xeffd800c,0xfffdcccc,0x07ff64ff,0x01fffe88,0x806fff88,
    0xffffffff,0x00ffffff,0x000ccc40,0x7c009988,0xffa800ff,0x4037ec04,
    0x2200fff9,0x3fffe6ff,0xfffefffe,0x4bfee0ef,0xffc82ffb,0x00fffa03,
    0x7c437fd4,0x3f6001ff,0x540ffbff,0x7fc40fff,0x3e7ff806,0xff98007f,
    0x001ffa05,0x8000bff3,0xffb05ffa,0xffb9999d,0x7fcc9fff,0x7e400002,
    0x7fec405f,0x405ffc87,0x1007ffd8,0x80005fff,0xf802fff8,0xffffffff,
    0x000fffff,0x7c49ff50,0x8001316f,0x6c405ffc,0x000007ff,0x00bffe20,
    0x00000000,0xfe800000,0x3ffc802f,0x5c02ff40,0x7fc405ff,0x3fffffe6,
    0x0cffffff,0xffb97fdc,0x201fff82,0xfd006ffb,0x17ff205f,0xfffff980,
    0x027ffcc6,0xf9bfe200,0xff98007f,0x001ffa05,0x8000bff3,0xffc84ffa,
    0x3ffec405,0x000017fe,0xf3001fff,0x0fff83ff,0x01fff980,0x0006ffc8,
    0x0006ffc8,0x002ff440,0x7c47ff70,0x7fc0006f,0xfff9800f,0x90000001,
    0x00000dff,0x09ff5000,0x027fd400,0x4405ffc8,0x7fc01fff,0x04ffc804,
    0xba9bff62,0xceffffed,0x25ff700b,0x7fd42ffb,0xeeeeeeef,0x5c00fffe,
    0x3fe205ff,0x3ff2002f,0xffecaeff,0x4c0000ef,0x01ffe5ff,0xf817fe60,
    0x7fc4007f,0x7fdc0005,0x800fff83,0x3f21fff9,0xf300000f,0x3fe200ff,
    0x01ffe60f,0x2007ffc4,0x0002fff9,0x0017ffcc,0x001bfa00,0x7c45ffd0,
    0x3e60006f,0xfff1007f,0x027fd401,0x05fff300,0x027fd400,0x003ff900,
    0x800ffe40,0xb103fff9,0xff880bff,0x06ffb803,0x40dfffd3,0xf7002ff8,
    0x90bfee5f,0xffffffff,0x07ffffff,0x2007ffc4,0x5c006ffb,0xffffffff,
    0xf900004f,0x003ffc9f,0xf882ffcc,0x7ff8006f,0x17ff4000,0x4401ffe6,
    0x3fe60fff,0xff100003,0xdffb003f,0x801fff88,0x7cc06ffd,0x4c0004ff,
    0x00004fff,0x03017fd4,0x7c46ffc8,0x3e20006f,0xffd801ff,0x00ffe406,
    0x04fff980,0x00ffe400,0x000ffb00,0x64007fd8,0xcaabdfff,0x4c00fffe,
    0xff9802ff,0xffdb9aef,0x3e606fff,0x5ff7001f,0xfff0bfee,0xffffffff,
    0x6c0dffff,0xffd004ff,0xfffd8009,0x0002dfff,0x7c3fff30,0xff98007f,
    0x009ffb05,0x0609ffd0,0xf10dff90,0xffb003ff,0x007ffd0d,0x9fffd001,
    0xfd731135,0xfffd03ff,0xd7311359,0xbab83fff,0x8006fffd,0x6fffdbab,
    0xffc80000,0x26b3b601,0x41fffda9,0x40006ff8,0x89acfffe,0x1fffeb98,
    0x7003fec0,0x0dfffb75,0x00ffb000,0x0005ff80,0x22002ffc,0xfffffffd,
    0xfa801eff,0xfff9001f,0xd1bfffff,0x07fdc0df,0xf72ffb80,0x037fd45f,
    0xc80fff98,0x3e6005ff,0x3fe003ff,0x20000a9c,0xffca9abe,0x4cfffc4f,
    0x33330999,0x2a6bff53,0x000fffeb,0x9adfff98,0x53359db0,0x3a03fffb,
    0x889acfff,0x81fffeb9,0x441cffe8,0xff8806da,0xffffffff,0xff101fff,
    0xffffffff,0xfff03fff,0x0001bfff,0x1bffffff,0xff500000,0xfffb057d,
    0x07ffffff,0x8000dff1,0xfffffff8,0x01ffffff,0x3e005ff8,0x00dfffff,
    0x005ff800,0x000bfe60,0x0002ff98,0xdfffffb5,0x03fdc009,0x3ffffaa0,
    0xc81bfa2e,0x3fee007f,0x7e45ff72,0x3ffa004f,0x0077fdc3,0x00bffe60,
    0x00007fe6,0x7ffffffc,0x7fffc0df,0xfff5ffff,0x3ebfffff,0x002fffff,
    0x3fffff20,0xffffffb5,0x7c407fff,0xffffffff,0x2201ffff,0xffeffffe,
    0xd71006ff,0xdfffffff,0xffd71007,0x07dfffff,0x0177fffc,0x5dffff00,
    0xfe800000,0x7f540fff,0x00dfffff,0x0000dff1,0xfffffd71,0x26007dff,
    0x3fe002ff,0x00002eff,0x40005ff3,0x44000198,0x31000019,0x0aa60003,
    0x000cc400,0x5c001310,0x45ff72ff,0x32001fff,0x3bfe65ff,0xfff50000,
    0x000ff700,0x7fffff40,0xfffff03f,0x3ffebfff,0xff5fffff,0x00001bdf,
    0x2abfffb3,0xdffffffe,0xffeb8800,0x03efffff,0xffffb910,0x100017df,
    0x00033533,0x00cd4cc4,0x00001a98,0x00000353,0x204ec980,0x3000aa98,
    0x88000013,0x80019a99,0x54c00198,0x98800001,0x00000001,0x00000000,
    0x00000000,0x7dc00000,0x2a5ff72f,0x7cc006ff,0x007ee0ff,0x9003f700,
    0x8800009d,0x4cc009a9,0x30999999,0x13333333,0x00000066,0xaa988131,
    0x26620000,0x9800019a,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf72ffb80,0x013ff25f,0x010fffe0,0x00002000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x05ff72ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26620000,0x00013310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x19988000,0x00154000,0x00001a88,0x26200000,0x06200009,
    0x10131000,0xffff7013,0xffffffff,0x0003ffff,0x404cc400,0x44000998,
    0x4ccc4099,0x33330000,0x00ddcc00,0x00998800,0x00035100,0x01999800,
    0x00066662,0x06666000,0x00266200,0x7ffffffc,0x00000bce,0x00802000,
    0x00133100,0x2004cc40,0x4c02fffe,0x331005ff,0xd0999881,0x700003ff,
    0xfffffffd,0x5ffe800b,0x3fff6200,0x0001ec2e,0x01bffb6e,0x00ffffcc,
    0xbffffb70,0x7fc80019,0x7dc17fc4,0xffffffff,0x1fffffff,0x3ffb7260,
    0x7f4401de,0x017fee3f,0x443fff70,0x8000effe,0x9002fffd,0x0007ffff,
    0x00efffa8,0x3bfff620,0x10001ec2,0xb805fffd,0x00004fff,0x05fffd10,
    0x0efffa80,0xffffff80,0x003fffff,0x00efff98,0xf905ff50,0x7fcc001f,
    0xfa8001ff,0x3fa00eff,0x7fcc06ff,0x1fffb805,0x743bffa2,0x2a0001ff,
    0xffffffff,0x3e6007ff,0xfd000fff,0xd9bfffff,0xd30001df,0x00ffffff,
    0x3ffffff5,0xffffd880,0x001effff,0x3b33bfea,0xccc980ff,0xcdffeccc,
    0x880ccccc,0xfffffffc,0xbffb003f,0xa8009ffb,0x3fa21fff,0xffb0005f,
    0x3bea003d,0x0000ffba,0x3ffffff5,0x3ffffa00,0x0efecdff,0xeffe8800,
    0x9ffd3000,0xfe880000,0x7d4000ef,0x401fffff,0xfdcccfff,0x2003ffff,
    0x0efffff9,0xf86ffd80,0xff5004ff,0x4003ffff,0x1ffffffa,0x03ffffd0,
    0x2a02ffcc,0x3fa21fff,0x00fff45f,0xcffffa80,0x07eccbac,0x01fffe20,
    0xfe98f7c4,0x8001ffff,0xdcefffe8,0x477fd406,0xd302ffe9,0xfd99dfff,
    0x64003fff,0x02ffffff,0x003ffc80,0x566fffec,0x36003ecc,0x4003ffff,
    0x3a20eff9,0xfb0003ff,0x3fc8009f,0x2e000bf2,0xfff98dff,0x98f7c401,
    0x01fffffe,0x009ffb00,0x009ffb10,0x027fec00,0x4c6ffdc0,0x3fe01fff,
    0x7ff5440f,0xeffa800f,0x401fffa9,0xffe85ffb,0x8effa802,0xb802ffe9,
    0xfff98dff,0x5ffffe81,0x9817fe60,0x3fa20eff,0x01ffe83f,0x04fff880,
    0x77540008,0x2a022001,0x90000bdc,0x44003dff,0x666443cc,0x81fffd80,
    0x4007fff9,0x000cddc9,0x4007ff90,0x0000fffa,0x000b32e0,0x9950332e,
    0x332a0005,0x24fb8002,0x64c001fd,0x0666443c,0x372a0220,0x9950000b,
    0xccb80005,0xcca80001,0x3cc98002,0xf8066644,0xfff100ff,0x43cc8807,
    0x3a804cc8,0x91005710,0x0ccc8879,0x910f3260,0xeffe8199,0xbff301ff,
    0x2a0665c0,0x3ffd02cc,0x0dff7000,0x00000000,0xff800000,0x0000003f,
    0x9807ffe6,0x00002fff,0x07ff9000,0x001ffe40,0x00000000,0x00000000,
    0x1bfbbfe2,0x00000000,0x00000000,0x00000000,0xf0000000,0x7fec01ff,
    0x00000004,0x00000000,0x5ffd0000,0x3fe60bff,0x3a000005,0xfc8001ff,
    0x4000004f,0x00000098,0x0fff9800,0x01310000,0x6401fff4,0x000006ff,
    0x007ff900,0x00027fe4,0x000ccc40,0x88000000,0xfe980009,0x100000df,
    0x88000333,0x26200001,0x0c400019,0x00310000,0xf000c400,0x7fe401ff,
    0x00bdd104,0x00000000,0x00000666,0x7ffdffa0,0x005ff980,0xffe80062,
    0x5ffc8001,0x6e4c0000,0x0bdfffff,0x4c01ffe2,0xff7006ff,0x6e4c000b,
    0x0bdfffff,0x3001fff3,0xff883fff,0x0dff3007,0x4007ff90,0x0001fffb,
    0xfffffeb8,0x7ff885ff,0x00dff300,0x3ffff726,0x00000bdf,0xfffeb800,
    0x7005ffff,0x19bffffb,0xfffeb800,0x7005ffff,0x19bffffb,0xfffdb800,
    0x5c000cdf,0x0cdffffd,0xd803ffe0,0xdff103ff,0x1ffe2000,0x2037fcc0,
    0xfffffeca,0x1ffe20be,0xfeb7fcc0,0xf309ff97,0xffdb80bf,0x3a00cdff,
    0xfb8001ff,0x900001ff,0xffffffff,0x3ffc47ff,0x006ff980,0x20009ff9,
    0xfffffffc,0xbff53fff,0x217ff400,0xf3007ff8,0x7ff900df,0x7fff4400,
    0xfff50003,0xffffffff,0x200fff10,0xfc806ff9,0xffffffff,0xfffa803f,
    0xffa8001f,0xffffffff,0x7ffec407,0x01efffff,0xffffffa8,0x4407ffff,
    0xfffffffd,0xfd8801ef,0xefffffff,0xfffd8801,0x01efffff,0x3e601fff,
    0xdff101ff,0x1ffe2000,0x8837fcc0,0xfffffffd,0x3fe24fff,0x2dff3007,
    0x1fff17fe,0xb105ff98,0xffffffff,0x07ffa03d,0x3fffe200,0x3fa20003,
    0xedccefff,0x1ffe23ff,0x8037fcc0,0x44003ffd,0xcceffffe,0xff93ffed,
    0x1ffec007,0x4c01ffe2,0xffc806ff,0x3ffa2003,0x2a001eff,0xbaccffff,
    0xff887ecc,0x0dff3007,0x77ffff44,0x03ffedcc,0x04ffffd8,0x67fffd40,
    0x07eccbac,0x2fbfffa6,0x01ffffec,0x333fffea,0x207eccba,0xcbefffe9,
    0x201ffffe,0xcbefffe9,0x201ffffe,0xcbefffe9,0xf81ffffe,0xfffa80ff,
    0x01bfe204,0x803ffc40,0xffa86ff9,0xedccefff,0x1ffe24ff,0xfeb7fcc0,
    0xf313ff27,0xfffd30bf,0xffffd97d,0x003ffd03,0x3bfffea0,0x7ff4000b,
    0x88ae204f,0xff3007ff,0x0bffa00d,0x09fffd00,0x3ffd95c4,0x113ff200,
    0x3e600fff,0x3ffc806f,0xfdfff100,0x88019fff,0x80804fff,0xf3007ff8,
    0x7fff40df,0x200ae204,0x006fffff,0x2013ffe2,0x03bff600,0x441fffe6,
    0x00804fff,0x2603bff6,0x3f607fff,0xfff980ef,0x03bff607,0x3e1fffe6,
    0xffeeeeff,0x7fc405ff,0xfff10006,0x31bfe600,0x4407ffff,0x01ffe24b,
    0x7feb7fcc,0xf983ffe6,0x0effd85f,0xe87fff98,0x2a0001ff,0x1cffffff,
    0x02fffa80,0x007ff880,0x3e00dff3,0x3ea001ff,0x7f4002ff,0x3fee002f,
    0x803ffc45,0xfc806ff9,0x9ffb003f,0x07bfffa6,0x0006ffb8,0x4c01ffe2,
    0xfff506ff,0x3ea00005,0x001fffcf,0x8000dff7,0x2601fffa,0xffb82fff,
    0x7fd40006,0x3ffe601f,0x01fffa82,0x2a0bffe6,0x3e601fff,0x7fffc2ff,
    0x02dfffff,0x0006ff88,0x2600fff1,0x77fec6ff,0x7ff88001,0x3adff300,
    0x31ffec7f,0xfffa8bff,0x0bffe601,0x80003ffd,0xffffffc8,0x0fffa00d,
    0x03ffc400,0x6546ff98,0xcfffcccc,0xfd03cccc,0xfff0007f,0x2ffdc003,
    0x4c01ffe2,0xffc806ff,0x86ff9803,0x902ffffb,0x440009ff,0xff3007ff,
    0x00fffa0d,0xcaffd800,0xff9004ff,0xffe80009,0x86ffc803,0x40004ffc,
    0xfc803ffe,0x03ffe86f,0xfe86ffc8,0x6ffc803f,0x7f777ffc,0xff1003ff,
    0x3fe2000d,0x4dff3007,0x0000fffa,0x2600fff1,0x98ffd6ff,0x17fe67ff,
    0xf9007ffd,0x01ffe8df,0xffd71000,0xff705fff,0x3e20001f,0xdff3007f,
    0xffffffc8,0x6fffffff,0x000fffb8,0x2002fff8,0x7fc45ffb,0x0dff3007,
    0x5007ff90,0x3fa207ff,0x5ffc81ff,0x1ffe2000,0x5c37fcc0,0x00000fff,
    0x37fd5ffe,0x005ffc80,0x003ffe60,0xf907ffe6,0x7cc000bf,0xff9800ff,
    0x03ffe61f,0x987ffe60,0xf9800fff,0x83ffe1ff,0x8804ffe9,0x3fb266ff,
    0x7ff880ce,0x74dff300,0x220004ff,0xff3007ff,0x3fa1ffad,0x4cbff33f,
    0xf9800fff,0x07ffa1ff,0x3f660000,0x7fec1fff,0x3fe20003,0x8dff3007,
    0xffeeeeeb,0x85eeeeef,0xd0003ffd,0x7e4005ff,0x03ffc44f,0xc806ff98,
    0xffb803ff,0x1bffa204,0x0007ffee,0x9803ffc4,0x3ffd86ff,0x3fea0000,
    0x2007ffe5,0x0001fffb,0x7400bff5,0x7ffdc2ff,0xbff50001,0x517ff400,
    0x7f400bff,0x017fea2f,0x3fe2ffe8,0x0fffc40f,0x7ddbfe20,0x42ffffff,
    0xf3007ff8,0x03ffe2df,0x07ff8800,0x3fadff30,0xf36ffa87,0x02ffd4bf,
    0x7f45ffd0,0x2000001f,0x7f47fffa,0x3e20002f,0xdff3007f,0x009ff700,
    0x80017ff4,0x36003ffd,0x3ffc43ff,0x806ff980,0xf9803ffc,0x7ffc407f,
    0x1ffffc40,0x03ffc400,0xfe86ff98,0x3200002f,0x0fff62ff,0x0ffffe20,
    0x00fff200,0x7c43ffd8,0xc8003fff,0x3f6003ff,0x00fff23f,0x3f23ffd8,
    0x3ff6003f,0x3203ffe3,0x7fc406ff,0xfedfffcd,0x3fe20fff,0x2dff3007,
    0x40006ffa,0xf3007ff8,0x741ffadf,0x25ff9aff,0x36003ffc,0x07ffa3ff,
    0xff300000,0x00fffc3f,0x00fff100,0x3201bfe6,0x3fe003ff,0xff90001f,
    0x17ff400b,0x4c01ffe2,0xffc806ff,0x0bffd003,0xfa82ffd8,0x000befff,
    0x2600fff1,0x1fff86ff,0x3ffe0000,0x401bfea0,0x0beffffa,0x007ffb00,
    0x7d427fe4,0x000befff,0x64007ffb,0x0fff64ff,0x364ffc80,0x3f2003ff,
    0x203ffe4f,0x2202fff8,0x20cfffff,0x3e23fffa,0xdff3007f,0x00017fee,
    0x2600fff1,0x20ffd6ff,0x5ff9dffa,0xc800fff6,0x07ffa4ff,0x3fa00000,
    0x01fff13f,0x03ffc400,0xd806ff98,0xff1002ff,0x3ee0001f,0xfff3007f,
    0x007ff881,0xf900dff3,0x3fe6007f,0x5ff900df,0x3ffffea0,0x7fc401cf,
    0x8dff3007,0x0000fff8,0xf88bff50,0xff5001ff,0x8039ffff,0x2e002ffe,
    0xfff505ff,0xe8039fff,0x3ee002ff,0x00bffa5f,0x3fa5ffb8,0x3fee002f,
    0x6403ffe5,0x3fe206ff,0xbff903ff,0x9803ffc4,0x09ff96ff,0x3bbbbbb6,
    0x401ffe24,0x0ffd6ff9,0x2ffd7ffc,0x5c005ffd,0x07ffa5ff,0x3fa00000,
    0x00fff52f,0x007ff880,0xff00dff3,0x3fea003f,0x3fe20007,0x4ffc802f,
    0x3007ff88,0xff900dff,0x7ffd4007,0x07ffc43f,0xfffff910,0x3fe201bf,
    0x8dff3007,0x00007ffa,0x3fa0fff2,0x3f22003f,0x00dfffff,0x5c003fff,
    0x3f2205ff,0x00dfffff,0x5c003fff,0x07ffe5ff,0x3e5ffb80,0x3ee001ff,
    0x403ffe5f,0xf101fff8,0x7fd409ff,0x401ffe26,0x7ffb6ff9,0x3fffffe0,
    0x01ffe25f,0x7feb7fcc,0x3ffbfee0,0x8007ffe5,0x3ffa5ffb,0x44000001,
    0xfff30fff,0x7ff88000,0x00dff300,0x26001fff,0x6c0007ff,0x3ea00eff,
    0x7ff880ff,0x00dff300,0x98007ff9,0xfb1efffe,0x3ae2009f,0x882fffff,
    0xff3007ff,0x007ff98d,0x203ffe00,0x88006ffb,0x2fffffeb,0x2002ffe8,
    0xb8804ffb,0x82fffffe,0x2e002ffe,0x0bffa4ff,0x3a4ffb80,0x3ee002ff,
    0x803ffe4f,0xff105ffd,0x27ff880d,0xf3007ff8,0x40fff6df,0x5ffeeeed,
    0x4c01ffe2,0x40ffd6ff,0x25fffff8,0x2e002ffe,0x07ffa4ff,0x26002a00,
    0x3fe26ffe,0x3e20000f,0xdff3007f,0x007ff880,0x0003ffe2,0x80efff98,
    0xf105fff9,0x3fe600ff,0x03ffc806,0xdffff900,0x26000dff,0x441ffffd,
    0xff3007ff,0x00fff88d,0x06ffa800,0x0001fff1,0x0ffffecc,0xc800bff6,
    0x6cc003ff,0x7ec1ffff,0x3ff2002f,0x800bff63,0x3ff63ffc,0x8fff2002,
    0x3e600fff,0x6ff881ff,0x3e27ff80,0xdff3007f,0x4c013ff2,0x1ffe25ff,
    0xfeb7fcc0,0x7fffe407,0x800bff65,0x3ffa3ffc,0xcccccccd,0x33bfe1cc,
    0xffdcbacc,0x0fffc0ff,0x0fff1000,0x501bfe60,0xff800dff,0x7dc0001f,
    0xfecbdfff,0x3fe205ff,0x0dff3007,0x0007ff90,0x2ffffecc,0x7ffd4000,
    0x803ffc47,0xfff86ff9,0xffc80001,0x00fffa03,0x1fffea00,0x6c007ffb,
    0xf50002ff,0x3ffd8fff,0xd8bff600,0x3f6003ff,0x00fff62f,0x3fe2ffd8,
    0x2ffec00f,0x7c037fc4,0x01ffe27f,0xffbb7fcc,0x4bff3005,0xf3007ff8,
    0x101ffadf,0x7ecbffff,0x3ff6003f,0x3fffffa2,0x2fffffff,0x3ffffffe,
    0x81efffff,0x40003ffe,0xf9800fff,0x2ffdc06f,0x00fffa00,0x3fffee00,
    0x805fffff,0xf9800fff,0x3ffc806f,0xfffa8000,0xff300006,0x00fff83f,
    0xfe86ff98,0xff80003f,0x1bfee01f,0x7ffcc000,0x8017ff21,0x20001ffe,
    0x3f21fff9,0x3ffa005f,0x8017ff21,0x3ff21ffe,0x87ffa005,0x7cc00fff,
    0x37fc41ff,0x3fe3ffc0,0x6ff9800f,0x2600dff5,0x07ffc5ff,0xfeb7fcc0,
    0x5fffc807,0xe8017ff2,0x3fffa1ff,0xffffffff,0x3fffb22f,0x02dfffff,
    0x0001bff6,0xf5001fff,0x3ffc809f,0x037fec00,0xfffc9800,0xff002dff,
    0x9ff5001f,0x20000000,0x0002fff9,0xff87ffd0,0x4ffa800f,0x0006ffd8,
    0x7777ffd4,0xfffeeeee,0xffd00000,0x803ffdc7,0x0000fff9,0xff71fff4,
    0x3ffe600f,0x401ffee0,0x3ee0fff9,0xfff3007f,0x22000001,0x7ff806ff,
    0x54007ffc,0x5fff14ff,0xf8bff300,0xffa800ff,0x7dc00004,0xfff3007f,
    0x22000001,0x50009a99,0x40005fff,0xfc802ffe,0x17ff403f,0x0bffea00,
    0x5ffb0000,0x02ffe800,0x0003ffc8,0x3ff20000,0xffd00004,0x802ffe85,
    0xffa83ffc,0x3f20002f,0xffffffff,0x003fffff,0x445ffd00,0xfc802fff,
    0xfe80004f,0x0bffe22f,0xf113ff20,0xff9005ff,0x02fff889,0x0004ffc8,
    0x01bfe200,0x5ffd1ffe,0x6c7ff900,0xff9806ff,0x4017ff45,0x00003ffc,
    0x4017ffc4,0x00004ffc,0x3f600000,0xf90001ef,0xfff880bf,0x03ffe601,
    0x07bff600,0x5ffb8000,0x02ffe400,0x2007ffe2,0x00004ffa,0x0000fffa,
    0xf903ffe2,0xfff880bf,0x03dffb01,0x3ffffe00,0xffffffff,0x880006ff,
    0x7fe40fff,0x3ffe600e,0x7fc40000,0x077fe40f,0x901fff30,0x7cc01dff,
    0xeffc80ff,0x03ffe600,0x8013fea0,0xff806ff8,0x202ffe47,0x3e21fff8,
    0x7fcc04ff,0x202ffe45,0x5401fff8,0xff9004ff,0x7ffcc01d,0x027fd400,
    0x009ff500,0x80ffffe6,0x7ffcc2b8,0x0bffb103,0x0037fec4,0x03ffff98,
    0x3e600ae2,0x981882ff,0xfb103fff,0x3ff200bf,0xfb801001,0x001500ff,
    0xf30dffd3,0x3f6207ff,0x3ffe605f,0xa8ae203f,0xff3006ff,0x3001501f,
    0xff10dffd,0xfff301df,0x26002a09,0xff886ffe,0xfff980ef,0x1dfff104,
    0x209fff30,0x980efff8,0xf9004fff,0x7fc4003f,0x4c7ff806,0xfb103fff,
    0xbfff90bf,0x317fe601,0x36207fff,0xffc805ff,0xdfff1001,0x09fff301,
    0x0003ff90,0x7000ffe4,0x99dfffff,0xf907ffdb,0xd9557bff,0x66441fff,
    0x002ffffd,0x3ffffee0,0x3ffedcce,0x9dfffb00,0xf901ff95,0xd9557bff,
    0x36001fff,0x37be007f,0xffffdbbc,0x333bfe04,0xfffdcbac,0xbfff900f,
    0xfffd9557,0xffffb801,0xffedccef,0x8013ff23,0xeff83ffe,0xfdcbaccc,
    0xff700fff,0xffd97bff,0x3bfe01df,0xfdcbaccc,0xff700fff,0xffd97bff,
    0x7fdc01df,0xffecbdff,0x3fee00ef,0xffecbdff,0xffb000ef,0x06ff8800,
    0xffc87ff8,0xfecaabdf,0xffd880ff,0xecbbdeff,0xfffc85ff,0xffecaabd,
    0x07fd800f,0x6ffffdc0,0x0efffecb,0x0007fd80,0x4c003fec,0xfffffffe,
    0xfd883fff,0xffffffff,0x7fffcc1e,0x980004ff,0xfffffffe,0xd1003fff,
    0xffffffff,0xffffb107,0x03dfffff,0xf002ffc0,0xffffffff,0xffff807f,
    0xffffffff,0x3ff6201e,0xefffffff,0xfffd3001,0x7fffffff,0x9000fffc,
    0xffff0bff,0xffffffff,0xfffa803d,0x04ffffff,0x7ffffffc,0x01efffff,
    0x7fffffd4,0xf5004fff,0xffffffff,0x3ffea009,0x04ffffff,0x2002ffc0,
    0xff806ff8,0xffffd887,0x01efffff,0x7fffffdc,0x885fffff,0xfffffffd,
    0xff001eff,0xfff5000b,0x09ffffff,0x0002ffc0,0xb80017fe,0xbdffffed,
    0x3ff6a00a,0xf304efff,0x0005bdff,0xfffedb80,0x4000abdf,0x1efffffb,
    0x7fffed40,0x7cc004ef,0x3fb2002f,0x00beffff,0xfffffec8,0x2002dfff,
    0xefffffda,0xfdb70004,0x2157bfff,0x4c006ffa,0x7f640fff,0xdfffffff,
    0x3fb26002,0xc802dfff,0xfffffffe,0x326002df,0x02dffffe,0x7fff64c0,
    0x64c002df,0x02dffffe,0x0017fcc0,0x3e01bfe2,0x3ff6a07f,0x2004efff,
    0xfffffec8,0x36a00bdf,0x04efffff,0x000bfe60,0x7ffff64c,0x3fe6002d,
    0x3fe60002,0x13100002,0x00cc4000,0x80000000,0x20000098,0x31000198,
    0x0cc40003,0x40000000,0x0009a998,0x00019880,0xf9004c40,0xfff0009f,
    0x4d4cc407,0x09880000,0x2a662000,0x98800009,0x13100000,0x02620000,
    0x00198800,0xf806ff88,0x0331007f,0x02662000,0x000cc400,0x00001988,
    0x22000131,0x4c400019,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80988000,0x31000098,0x36000013,0x0998803e,0x3fa09988,0x7fcc01ff,
    0x33310005,0x88098801,0x4cc00009,0x26662019,0x40100001,0x01540000,
    0x06666000,0x98809988,0x26662009,0x98800001,0x00d44000,0x06666200,
    0x372a6000,0x02eeeeee,0x2aaaaaaa,0x300002aa,0x4c000333,0x4c400199,
    0x55540009,0x02aaaaaa,0x20099880,0xf3007ff8,0x266000df,0x84eed819,
    0x7c406ff9,0x3fe404ff,0x2000bfe2,0x000efffa,0x4017fc40,0x3ee3ffd8,
    0x2ffff45f,0x0017fe60,0x003bffe6,0x7fc41ff9,0xffd10003,0xfffb805f,
    0x3fea0004,0x000ffc82,0x0005ffe8,0x02fffe88,0xfb8fffa2,0xfffb805f,
    0x6e4c0004,0x0bdfffff,0x5dfffb10,0xff7003d8,0x3aa0009f,0xffffffff,
    0x3ffe03ff,0x06ffffff,0x7fff4400,0xffe88002,0x3fea002f,0x3fe000ef,
    0x6fffffff,0x77ffd400,0x00fff100,0x1001bfe6,0xff05fffd,0x0dff309f,
    0xa805ffe8,0xffecceff,0x7ffd4000,0x20001fff,0x36000ffb,0x85ffddff,
    0x201ffffe,0x4c005ff9,0xf3004fff,0x3ffd99df,0xdffd1000,0x3ffa6001,
    0xdffb0004,0x8009fff0,0x000ffff9,0x03bffa20,0x7eeffec0,0x3fa6004f,
    0xff90004f,0xffffffff,0x3ffffa07,0x0efecdff,0x09ffd300,0xfffffe80,
    0x3ffeccef,0x3fffffe0,0x20006fff,0x000effe8,0x00effe88,0x3ffffea0,
    0xffff001f,0x00dfffff,0x7fffffd4,0x007ff881,0x4400dff3,0xff00effe,
    0x0dff309f,0x80077fe4,0x2ffffffc,0x46ffdc00,0x2001fff9,0x005fd898,
    0x04ffffc8,0x40bffffd,0x26005ff9,0x5c002fff,0x03ffffff,0x009ffb00,
    0x009ffb10,0xfd0bff70,0xff88005f,0x7ec0007f,0xffd8004f,0xd88003ff,
    0x3a2004ff,0xdcceffff,0xef883ffe,0xfffffd31,0xffd88003,0xffff9004,
    0x7fdc7fff,0x00000003,0x80013ff6,0x5c004ffd,0xfff98dff,0x40000001,
    0xff98dffb,0x03ffc41f,0x2006ff98,0x7f404ffd,0x06ff984f,0x8001fff7,
    0x000cddc9,0x3221e64c,0x3f6e00cc,0x003fffff,0x74079970,0x301ffdff,
    0x66400bff,0xb930000c,0x2a00039b,0x5c0002cc,0x3a8001cc,0x20005710,
    0x20001eea,0x20002cca,0x40002ccb,0xfd001ccb,0x15c409ff,0xbdca8088,
    0x332e0000,0x7fffd401,0x3ee3ffff,0x0000003f,0x00059950,0x20016654,
    0x66443cc9,0x0000000c,0xcc887993,0x01ffe20c,0xa8037fcc,0xffe802cc,
    0x986ff984,0x00001fff,0x10000000,0xfffffffb,0x000003ff,0x37fcfff4,
    0x0005ff98,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x0002fffa,0x00000000,0x7ffffec0,0x3fee3fff,0x00062003,0x00000000,
    0x00000000,0x44000000,0xff3007ff,0x3a00000d,0x6ff984ff,0x001fff44,
    0x00000620,0x3fffa600,0xffffebbe,0x01310002,0x17ff5ffa,0x7542ffcc,
    0x05eeeeee,0x00333000,0x00000000,0x00031000,0x00019980,0x00000000,
    0x3ffa0000,0x00000003,0xfe800000,0x3fffffff,0xb700ffee,0x019bffff,
    0x00000000,0x22000000,0xff3007ff,0xf880000d,0xdff3007f,0x3fa00000,
    0x46ff983f,0x70004ffd,0x19bffffb,0xfffff700,0x85ffffff,0x7fc0effd,
    0x93006fff,0x7bfffffb,0x7fd5ffa1,0xa85ff986,0x6fffffff,0xffd95000,
    0x4417dfff,0xff3007ff,0x803ffc4d,0x6dc06ff9,0x00cdffff,0x7fff6540,
    0xff80beff,0xffffffff,0x7ff45fff,0x2ffcc02f,0x7fffffdc,0x24ffffff,
    0x0000fffb,0x0ffffd40,0x3ffffe00,0xffffffff,0x3fffffe5,0x3fee3fff,
    0xffffb103,0x803dffff,0xfffffffb,0xd04fffff,0x5c0003ff,0xffffffff,
    0x3e24ffff,0xdff3007f,0xfffffff0,0x2bffffff,0xf3007ff8,0x2fffe8df,
    0xfd2ffcc0,0x4dff307f,0x88005ffc,0xfffffffd,0x7fdc01ef,0xffffffff,
    0x07ffea2f,0x7fff7ff3,0xfffffc80,0xfd3fffff,0x2617ff4f,0xccc985ff,
    0x4006ffcc,0xffffffd8,0x3e24ffff,0xdff3007f,0x9803ffc4,0xffb106ff,
    0x3dffffff,0xffffb100,0x09ffffff,0xffffffff,0xe8bfffff,0x7cc06fff,
    0xffffb85f,0xffffffff,0x000fff64,0x3ffff600,0x7fffc004,0xffffffff,
    0x3ffffe5f,0x3ee3ffff,0xfffe983f,0xffffecbe,0x3fffee01,0xffffffff,
    0x003ffd04,0x7ffffdc0,0x4fffffff,0x4c01ffe2,0xffff86ff,0xffffffff,
    0x00fff15f,0xffd1bfe6,0x5ff980df,0x3e60fff6,0x01dff56f,0xefffe980,
    0x1ffffecb,0x3bbbbaa0,0x22fffeee,0x7fc83ffe,0x3a20dffb,0xdcceffff,
    0x4ffd3ffe,0x7fcc6ffa,0x0dff1005,0x7ffffd40,0x4ffedcce,0x4c01ffe2,
    0x1ffe26ff,0x4c37fcc0,0xecbefffe,0x2a01ffff,0xccefffff,0xcc84ffed,
    0xcdffeccc,0x7ff43ccc,0x3fe601ff,0xcceffb85,0x2ccccccc,0x0000bffa,
    0x1bffffe0,0xd9999900,0x79999bff,0x7fffffec,0x0ffee3ff,0x2603bff6,
    0x3ee07fff,0xccccccef,0xffd02ccc,0x7fdc0003,0xccccccce,0x1ffe22cc,
    0x6437fcc0,0xdffecccc,0xff13cccc,0x1bfe600f,0x403ffffd,0x3ff65ff9,
    0xf9eff983,0xfd8000ff,0xfff980ef,0x7fec0007,0xd01fff32,0x03ffe6bf,
    0x8813fffa,0xfe8ffd2b,0x017fe63f,0x98037fc4,0x2203ffff,0x01ffe24b,
    0xff137fcc,0x1bfe600f,0x2603bff6,0xff307fff,0x25c407ff,0x803ffc80,
    0x205ffffe,0xffb85ff9,0x1fff8004,0x7fd40000,0x0001fffc,0x2e01ffe4,
    0xffffffff,0xf50ffee3,0x7fcc03ff,0x09ff702f,0x01ffe800,0x013fee00,
    0x401ffe20,0xf9006ff9,0x3ffc407f,0x746ff980,0x2605ffff,0x0fff65ff,
    0x3ffbffe6,0xfffa8002,0x0bffe601,0x52ffd800,0x5ff10bff,0x3ea17ff4,
    0x7f4002ff,0xf33ffcc7,0x3fe200bf,0x3dffb006,0x0fff1000,0xf89bfe60,
    0xdff3007f,0x201fffa8,0xfd82fff9,0x400001ef,0xfe803ffc,0xf301ffef,
    0x09ff70bf,0x00fff880,0x57fec000,0x40004ffc,0xfe803ffc,0x23ffffff,
    0x7ff43ffb,0x06ffc803,0x80009ff7,0x20001ffe,0x88004ffb,0xff3007ff,
    0x0fff200d,0x3007ff88,0xeffe8dff,0xbff301ff,0x7cc17fec,0x002fffff,
    0xc803ffe8,0x360006ff,0x07ff92ff,0x7fec1ff7,0x001fff44,0x7fec3ff4,
    0x200bff33,0xfa806ff8,0xf10000ff,0x3fe600ff,0x401ffe26,0x7ff46ff9,
    0x46ffc803,0x0000fffa,0x803ffc80,0x05ffaffe,0xff70bff3,0x7ffa8009,
    0x7ff80000,0x8000dff5,0xf9803ffc,0x23ffffff,0x3fe63ffb,0xfff9800f,
    0x004ffb81,0x000fff40,0x0009ff70,0x2600fff1,0xff9006ff,0x03ffc407,
    0x7f46ff98,0xf305ffaf,0x417fecbf,0xfffbeff9,0x3ffe6000,0x1fff9800,
    0x25ffb000,0x6fd83ffd,0xff727fe4,0xffd0001f,0xf31fff30,0x3fe200bf,
    0x04ffe806,0x01ffe200,0xff137fcc,0x9bfe600f,0x9800fff9,0x3ffa1fff,
    0xf9000004,0x2ffd007f,0xff980fff,0x004ffb85,0x0003ffcc,0xff97fea0,
    0x3f20001f,0xff91003f,0x7fdc7fff,0x8017fea3,0xffb82ffe,0x7ff40004,
    0x3fee0001,0x7ff88004,0x00dff300,0xf880fff2,0xdff3007f,0x1fff7fe8,
    0x7e4bff30,0xb6ff982f,0x2a001dff,0x3fa005ff,0xffb0002f,0x3e0bffa5,
    0xb2ffe43f,0x3a0007ff,0x37ffb07f,0x3e200bff,0x7ffc406f,0x3fe20000,
    0x4dff3007,0xf3007ff8,0x02ffd4df,0x3e25ffd0,0x000000ff,0xfd007ff9,
    0x2613ff2f,0x4ffb85ff,0x07ffcc00,0x5ff90000,0x0001ffec,0x88007ff9,
    0x3ee3edca,0x00fff23f,0xfb83ffd8,0x7f40004f,0x3ee0001f,0xff88004f,
    0x0dff3007,0x880fff20,0xff3007ff,0xff97fe8d,0x64bff309,0x6ff982ff,
    0x200bfff1,0x36003ffc,0xfb0003ff,0x507ffe5f,0x5ffb83ff,0x4000bffa,
    0xfff307fe,0x2200bff3,0x7fd406ff,0x7fc40006,0x4dff3007,0xf3007ff8,
    0x01ffe4df,0x3ea7ffb0,0x2000006f,0xfe803ffc,0x981fff17,0x4ffb85ff,
    0x0fffc400,0x1fff0000,0x00037fd4,0x00007ff9,0x3f63ffb8,0x3ff2003f,
    0x004ffb84,0x000fff40,0x0009ff70,0x2600fff1,0xff9006ff,0x00fff807,
    0x7f46ff98,0x981fff17,0x0bff25ff,0xff99bfe6,0x3ffd803f,0x013ff200,
    0xff97fec0,0x5c37e42f,0x07ffe4ff,0xb03ff400,0x00bffbff,0xf701bfe2,
    0xf88000bf,0xdff3007f,0x9803ffc4,0x0fff66ff,0xf74ffc80,0x400000bf,
    0xfe803ffc,0xf313ff27,0x3bff70bf,0x33333333,0x0003fff8,0xf88bff50,
    0xf90001ff,0xb800007f,0x0bffa3ff,0xb85ffb80,0x99999dff,0x3fa01999,
    0x3ee0001f,0x999999df,0x3ffc4199,0x006ff980,0xff807ff9,0x5ffa800f,
    0x9ff93ff4,0x3f25ff98,0x46ff981f,0x7401fffb,0x3ee002ff,0xffb0005f,
    0xff0fffa5,0x227ff909,0xd0000fff,0x7ffc40ff,0xff1005ff,0x04ffc80d,
    0x9ddddddb,0x9803ffc4,0x1ffe26ff,0xfd37fcc0,0x7fdc005f,0x3609ff95,
    0x04eeeeee,0xd007ff90,0x07ffccff,0xff70bff3,0xffffffff,0x37fec3ff,
    0x3ffc8000,0x0003ffe8,0x00007ff9,0x3fe3ffb8,0x3fee001f,0xfffffb85,
    0x1fffffff,0x0003ffd0,0x7fffffdc,0x21ffffff,0xf3007ff8,0x3ff200df,
    0x017ff403,0x3fa27fe4,0x983ffe67,0x07ff25ff,0x3f61bfe6,0x3ffe00ff,
    0x17fee001,0xd97fec00,0x0bfe64ff,0x7fd4bff6,0x1ffa0007,0x0bffff90,
    0xb01bfe20,0x3ffe07ff,0x3e25ffff,0xdff3007f,0x9803ffc4,0x07ffe6ff,
    0xfb5ffb80,0x3fffe07f,0xf9005fff,0x8ffd007f,0x3fe63ffd,0xfffffb85,
    0x1fffffff,0x000bffe6,0x2e03ffe0,0xf90006ff,0xb800007f,0x0bffa3ff,
    0xb84ffb80,0xffffffff,0xfd01ffff,0x7dc0003f,0xffffffff,0x3fe21fff,
    0x0dff3007,0x900fff20,0xff880bff,0x363ff41f,0x97fe63ff,0xdff30198,
    0x40dffd10,0x2e002ffe,0xfb0004ff,0xb93ff25f,0x23ffd07f,0x20007ff9,
    0x7fc407fe,0xff1005ff,0x03ffd80d,0xbffddddb,0x9803ffc4,0x1ffe26ff,
    0xfd37fcc0,0x7fdc005f,0x3607ffb4,0x05ffeeee,0xd007ff90,0x27ff98ff,
    0xffb85ff9,0xaaaaaaad,0x77ff40aa,0x3fea0001,0x01fff106,0x007ff900,
    0x23ffb800,0x32002ffd,0xdffb83ff,0xaaaaaaaa,0x03ffd00a,0x56ffdc00,
    0xaaaaaaaa,0x401ffe20,0xf9006ff9,0xfff9807f,0x0bffb103,0x7ff98ffd,
    0x98017fe6,0xfff306ff,0x00bff609,0x0003ffc8,0x3fea5ffb,0x3e617fa7,
    0x1fff10ff,0x01ffa000,0x4017fff2,0x7e406ff8,0xbff3004f,0x9803ffc4,
    0x1ffe26ff,0xfb37fcc0,0x7fe4005f,0x2009ff93,0xf9005ff9,0x0ffd007f,
    0x3fe67ffd,0x004ffb85,0x07ffff50,0x7fe415c4,0x00fffa03,0x000fff20,
    0x6c7ff700,0x3f6003ff,0x04ffb82f,0x00fff400,0x009ff700,0x200fff10,
    0xf9006ff9,0xfffb007f,0xffd9557b,0xd0ffd03f,0x17fe67ff,0x1bfe6013,
    0xd82fffb8,0x3f6003ff,0xffb0002f,0x22fffe25,0x4ffc82ff,0x8000fffc,
    0xff8807fe,0xdff1005f,0x005ffb80,0x7fc4bff3,0x4dff3007,0xf3007ff8,
    0x01ffecdf,0x3ee5ffb0,0xbff3005f,0x00fff200,0x3fea1ffa,0xf70bff36,
    0x7d40009f,0xdcceffff,0xfff83ffe,0x01bfee01,0x000fff20,0x647ff700,
    0x3fa005ff,0x04ffb81f,0x00fff400,0x009ff700,0x2003ffe0,0xf9006ff9,
    0xffb1007f,0xffffffff,0x2a1ffa03,0x4bff36ff,0xff983ffe,0x0fffec06,
    0xe8017ff2,0xfb0001ff,0x5fffec5f,0x7ffd40ff,0x001fff40,0xf7007fe8,
    0x3fe200bf,0x037fd406,0x7fc5ff98,0x6ff9800f,0x4c007ffc,0x17ff26ff,
    0xf51ffe80,0x3fe600df,0x07ff9005,0x3fa0ffd0,0xb85ff9af,0x540004ff,
    0xffffffff,0x7fd43fff,0xeeeeeeef,0x4000fffe,0x00003ffc,0xff717fe4,
    0x3ffe600f,0x004ffb80,0x000fff40,0x0009ff70,0x2a003ffe,0xff9004ff,
    0x7fed4007,0x200bffff,0x5ffd07fe,0x3feabff3,0x06ff987f,0x2e0effe8,
    0xff3007ff,0x3fa0001f,0x3fffe62f,0x27ffcc6f,0x00037fec,0x04ffa800,
    0x880dff10,0xf9802fff,0x007ffc5f,0x3fe27fd4,0x4ffa800f,0x4c01ffee,
    0xfff10fff,0x0bff3005,0x200fff20,0xbff507fe,0xff70bff3,0xd5100009,
    0x57bfffff,0xfffffc81,0xffffffff,0x7fe4003f,0x7f400003,0x0bffe21f,
    0x5c13ff20,0x740004ff,0x2e0001ff,0xfd0004ff,0x7ff9005f,0x00fff200,
    0x0077f440,0xffa83ff4,0xff55ff9d,0x800000ff,0xc802fff8,0x3e0004ff,
    0x7ffe40ff,0xfffecaef,0x2fffa80e,0xfb800000,0xdff1003f,0x00dffb00,
    0xffe8bff3,0x43ffc802,0xfc802ffe,0x0bffe23f,0xfb13ff20,0xbff300df,
    0x00fff200,0xfff81ffa,0xffb85ffa,0x3e200004,0xfff800ef,0xffffffff,
    0x4006ffff,0x02003ffc,0xf90fff30,0x7fcc01df,0x09ff700f,0x01ffe800,
    0x013fee00,0x202ffe40,0x9001fff8,0x320007ff,0xffd000ff,0x7fd7ffc0,
    0x000fffa5,0x3bff2000,0x03ffe600,0x83ffd400,0xfffffffb,0x7fec04ff,
    0x4000001e,0xf1001ffe,0xfff100df,0x45ff9809,0x7c405ffc,0x2ffe41ff,
    0x907ffe20,0x7cc01dff,0x7ffc40ff,0x02ffcc04,0xe803ffc8,0x3bfee07f,
    0x4ffb85ff,0x3fea0000,0x06ffa803,0x001fff30,0x8801ffe4,0xffe980df,
    0x0efff883,0x204fff98,0x40004ffb,0x20001ffe,0x30004ffb,0x36207fff,
    0x3f2005ff,0xff88003f,0x81ffa004,0x45ffeffb,0x7fd40009,0x3ffe2004,
    0x4fff980e,0x7f440f60,0x3fff604f,0x9802dfff,0x2203ffff,0xffb8002b,
    0x1bfe2006,0x06fffe40,0x7cc5ff98,0xffb103ff,0x07fff30b,0x2217ff62,
    0xf980efff,0xfff904ff,0x17fe601b,0x401ffe40,0x3fe207fe,0xffb85fff,
    0x3f200004,0x4ffc801f,0x00fffa00,0xb003ffc8,0xfb99dfff,0x7fdc0dff,
    0xffecbdff,0x3fee00ef,0x7ff40004,0x3fee0001,0x3ff20004,0xfecaabdf,
    0x3f2000ff,0xffb8003f,0x81ffa003,0x05fffff8,0x01ffc800,0x6ffffdc0,
    0x0efffecb,0x333bff60,0x200ffffd,0x000a9cff,0xefffffb8,0x03ffedcc,
    0x5fffb510,0x037fc400,0xeffffd88,0x5ffecbbd,0xabdfffc8,0x00fffeca,
    0x557bfff9,0x201fffd9,0xcbdffffb,0x100efffe,0x7bdffffb,0x90bffd97,
    0xbffd9999,0xfe879999,0x7fffe407,0xcceffb85,0x2ccccccc,0xf007fe80,
    0x7e4003ff,0x9999905f,0x9999bffd,0xffffd307,0x801bffff,0xfffffffa,
    0xffb804ff,0xccccccce,0xbffd02cc,0x99999999,0x9dff7039,0x99999999,
    0xffffb105,0x03dfffff,0x7f666664,0x03ccccdf,0x055f7fcc,0xf901ffa0,
    0x0000bfff,0x2a000ffb,0xffffffff,0xfffd804f,0x01efffff,0x00007fe6,
    0x3fffffa6,0x003fffff,0x409ffff5,0xffcccccc,0x00cccccf,0xfffffff7,
    0xb10bffff,0xffffffff,0x7ec403df,0xffffffff,0x7ffd401e,0x04ffffff,
    0xffffff70,0xf0bfffff,0xffffffff,0xfe8bffff,0x7fffc407,0xfffffb85,
    0x4fffffff,0xa804ff80,0x7cc006ff,0xffff80ff,0xffffffff,0x3fb2a05f,
    0x26002def,0x2dffffec,0xfffff700,0x9fffffff,0x3fffffa0,0x2fffffff,
    0xffffffb8,0x04ffffff,0x3fffff6a,0xffff804e,0xffffffff,0xfffd805f,
    0x03ff402f,0x017fffe2,0x0017fe00,0xffffec98,0xfd91002d,0x7007dfff,
    0xb80000ff,0xbdffffed,0xdff5000a,0xfffff803,0xffffffff,0x3fb2200f,
    0x0bdfffff,0x3ffff6a0,0x36a004ef,0x04efffff,0x3fffb260,0x644002df,
    0xdffffffe,0xfffff80b,0xffffffff,0x6403ff45,0xffb85fff,0xffffffff,
    0x099804ff,0x004ffc80,0xff83fff8,0xffffffff,0x00005fff,0x0004c400,
    0x7fffffdc,0x04ffffff,0xfffffffd,0x705fffff,0xffffffff,0x2009ffff,
    0x7fc00198,0xffffffff,0x73005fff,0x7fe803bb,0x05fffc80,0x017fcc00,
    0x00098800,0x2000cc40,0x000004ec,0x88000262,0x3fffe001,0xffffffff,
    0x262000ff,0x33100009,0x03310000,0x00131000,0x004cc400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00003310,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01331000,0x00200800,
    0x00001a88,0x10000aa2,0x3fe00133,0xffffffff,0x22005fff,0x4c400199,
    0x00009880,0x0004cccc,0x20000401,0x40000998,0x000001a8,0x08003333,
    0x26600020,0x00099881,0x00013310,0x00199980,0x44001544,0x09988099,
    0x00666620,0x33300000,0x33300003,0x02662003,0x08002662,0x04c40020,
    0xf50004c4,0x80003fff,0x000efffa,0xfc82ffa8,0x3ff6200f,0x001ec2ef,
    0x40017ffa,0x800efffa,0xffffffff,0x405fffff,0xffffffeb,0x47fc805f,
    0x20002ff8,0x5004fffc,0x1ff905ff,0xdfff5000,0xffb10001,0x003d85df,
    0x02fffe88,0xf905ff50,0x7fe4001f,0x003bfe65,0x03bffea0,0x3ffa2000,
    0x7ff4002f,0x7ff44005,0x2017fee3,0x0004fffb,0x5fffb000,0x7ff44000,
    0xffd1002f,0x802ffdc7,0xffc82ffa,0x223fe400,0x3f6002ff,0x20004fff,
    0x1ffffffa,0x437fec00,0x3fa04fff,0xecdfffff,0xff3000ef,0xfa8001ff,
    0x401fffff,0xffeccccc,0x503ccccd,0xffffffff,0xff500fff,0x01ffd99d,
    0x0bffee00,0xf86ffd80,0x7d4004ff,0x001fffff,0x7ffffff4,0x000efecd,
    0x003bffa2,0xff86ffd8,0x7fdc004f,0x000effce,0xffffffa8,0x3fa20001,
    0x7cc000ef,0xd8000fff,0x04ffddff,0x013ffa60,0xdffb0000,0x7f440003,
    0xfd8000ef,0x004ffddf,0x3fe1bff6,0x77fd404f,0x000ffecc,0x01bffffe,
    0x4c6ffdc0,0x2e001fff,0x2ffe85ff,0x3a63df10,0x001fffff,0x001bffe2,
    0xff31bff7,0xffc8003f,0xffff5003,0xfd997599,0x3ffff200,0xf70002ff,
    0xfb8001df,0x02ffe85f,0x2637fee0,0xf1001fff,0x3fffa63d,0x7ec001ff,
    0xffb8004f,0x002ffe85,0x0dffffb8,0x8dffb800,0x0001fff9,0x20009ffb,
    0x0006fff8,0x00fffff6,0x013ff620,0x27fec000,0x27fec000,0x3fff6000,
    0x7fdc003f,0x802ffe85,0x2ffffffc,0x3f3fea00,0x64c001ff,0x0666443c,
    0x2e207500,0x65404402,0xea8000bd,0x3326001e,0x00666443,0x1007ff90,
    0x01009fff,0x066ee4c0,0x03cc9800,0x5c40ea00,0x0f326002,0x20019991,
    0x0bdca808,0x01665400,0x2e207500,0x332a0002,0x79930004,0x000ccc88,
    0x00016654,0x00007baa,0x80005997,0x00001ccb,0x00016654,0x00016654,
    0x0002ccb8,0x00ae2075,0x00cddc98,0x7e57fec0,0x0000004f,0x00000000,
    0x00000000,0xff900000,0x0dff7007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe00000,0x000dff57,0x00000000,0x00000000,
    0x00000000,0x3200fff2,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe5ffa8,0x17fe201f,0x7c1ffa00,0xffffffff,
    0x7f45ffff,0x7fcc02ff,0xffffff85,0x5fffffff,0x4001fffb,0x3203fff8,
    0xffc803ff,0xfff80005,0xffffffff,0xffff05ff,0x0179dfff,0x3fffea00,
    0x7fd40001,0x7fc001ff,0xffffffff,0xfffb5fff,0x7ffc4001,0x001fffb3,
    0xf81fffc4,0xceffffff,0x0fff800b,0x6c6ff980,0xffffffff,0x44ffffff,
    0xfffffffd,0x4fffffff,0x7fffffec,0xffffffff,0xffffa804,0xff900001,
    0xdfffffff,0x3fffea00,0xffff7001,0xffffffff,0xf703ffff,0xffffffff,
    0xff709fff,0xffffffff,0x7fe409ff,0x880fff62,0xfe8006ff,0xffffff06,
    0xbfffffff,0x406fffe8,0xfff85ff9,0xffffffff,0x9fff15ff,0x037fe400,
    0x2e00fff2,0x40001fff,0xffffffff,0xf05fffff,0xffffffff,0xfb0007ff,
    0x80009fff,0x004ffffd,0x7ffffffc,0x15ffffff,0x64009fff,0x3ffe26ff,
    0x1bff2004,0xfffffff8,0x7c03ffff,0xff9800ff,0x7ffffec6,0xffffffff,
    0x7fffec4f,0xffffffff,0x7ffec4ff,0xffffffff,0xfd804fff,0x00004fff,
    0xffffffff,0x3f600dff,0xf7004fff,0xffffffff,0x3fffffff,0xffffff70,
    0x09ffffff,0xfffffff7,0x409fffff,0x3fea0fff,0x0037fc06,0xccc837fc,
    0xccdffecc,0x7fff43cc,0x17fe601f,0x3fb33332,0x23ccccdf,0x8800fffc,
    0x7e402fff,0xfff8803f,0x3320003f,0xcdffeccc,0xfff03ccc,0xffffb999,
    0xfff8007f,0x7c0006ff,0x4006ffff,0xffeccccc,0x323ccccd,0xf8800fff,
    0x7ffe42ff,0x2fff8800,0x3333ffe0,0x03fffffd,0x26003ffe,0x777646ff,
    0xeeeeeeee,0x77643fff,0xeeeeeeee,0x7643fffe,0xeeeeeeee,0x803fffee,
    0x006fffff,0xfffffa80,0x003ccccd,0x00dfffff,0x33333326,0xccccdffe,
    0xeffb80cc,0xcccccccc,0xceffb82c,0xcccccccc,0x88bff502,0x3fe01fff,
    0x05ff8007,0x200fff20,0x205ffffe,0xf9005ff9,0xfff8807f,0x06ffc804,
    0x5003ffc8,0x017dffff,0x07ff9000,0x2207ffc0,0x000fffea,0x3fff9ff5,
    0x33fea000,0x40001fff,0x7c403ffc,0xffc804ff,0x04fff886,0x7c06ffc8,
    0x7f5440ff,0x1fff00ff,0x00dff300,0x0037fe40,0x001bff20,0x500dff90,
    0x03fff9ff,0xfdefe800,0xff50000f,0x0003fff9,0x4003ffc8,0x20004ffb,
    0x40004ffb,0xffe83ffc,0x001ffa03,0xfc8017fe,0xeffe803f,0xbff301ff,
    0x00fff200,0x8807ffee,0xfc801fff,0x3fea003f,0x001cffff,0x800fff20,
    0xff100fff,0x3ff6007f,0x0004ffca,0x9ff95ffb,0x3ffc8000,0x01fffb80,
    0x5c07ffe2,0x3e201fff,0x7ffc01ff,0x07fff100,0x26003ffe,0xf50006ff,
    0x540003ff,0x20001fff,0xd801fffa,0x04ffcaff,0x36ffe600,0xfb0000ff,
    0x009ff95f,0x003ffc80,0x00027fdc,0x80009ff7,0xffb80fff,0x001ffa06,
    0x64009ff1,0xffe803ff,0xff305ffa,0x0fff200b,0xb02fff40,0x3f200bff,
    0x7e44003f,0x00dfffff,0x003ffc80,0xfd803ffe,0x2fff004f,0xf0006ffa,
    0x01bfeaff,0x007ff900,0xfd817ffa,0x2fff405f,0xf00bffb0,0x7fec01ff,
    0x001fff04,0x1000dff3,0x40009ffd,0x0004ffe8,0x4013ffa2,0x0dff57ff,
    0x6c7fe400,0xff0000ff,0x001bfeaf,0x8007ff90,0x20004ffb,0x20004ffb,
    0xff106ffa,0x03ff601f,0x004ff880,0x3a00fff2,0x301fff7f,0x3f200bff,
    0xfff5003f,0x01fff303,0x000fff20,0x7ffff5c4,0x7fe4002f,0x03ffe003,
    0xa804ffc8,0x07ffe5ff,0x7cbff500,0x320001ff,0xff5003ff,0x1fff303f,
    0x81fffa80,0xf800fff9,0x3ff200ff,0x001fff04,0x9000dff3,0xc8000dff,
    0x640006ff,0xff5006ff,0x000fffcb,0x1ffb5ff8,0x4bff5000,0x20001fff,
    0x5c003ffc,0x2e0004ff,0x320004ff,0x3ffa03ff,0x301ffb03,0x007ff303,
    0x7401ffe4,0x309ff97f,0x3f200bff,0x3ff6003f,0x004ffd86,0x0000fff2,
    0x07ffff66,0x003ffc80,0xfd803ffe,0x2ffc803f,0x9000fff6,0x1ffec5ff,
    0x07ff9000,0x6c37fec0,0xffb004ff,0x009ffb0d,0xfd803ffe,0x01fff03f,
    0x800dff30,0x0001fff9,0x0007ffe6,0x001fff98,0x7fec5ff9,0x2ffb8003,
    0x90001ffb,0x1ffec5ff,0x07ff9000,0x004ffb80,0x0013fee0,0x2e01fff8,
    0x3ff906ff,0x7cc1ffb8,0x3ff2003f,0xf17fe803,0x5ff981ff,0x007ff900,
    0xf317ffcc,0x7e4001ff,0x2a00003f,0x32007fff,0x3fe003ff,0x3fff300f,
    0x541fff00,0x7fc006ff,0x01bfea0f,0x003ffc80,0xf98bffe6,0xff3000ff,
    0x07ffcc5f,0x300fff80,0x3fe03fff,0x6ff9800f,0x027ff400,0x013ffa00,
    0x009ffd00,0xff507ffc,0x4ffd000d,0xf8000ffd,0x1bfea0ff,0x03ffc800,
    0x0027fdc0,0x0009ff70,0x3bbbffea,0xfffeeeee,0x6c1ffc80,0x17fcc3ff,
    0x007ff900,0x27fe4ffd,0x64017fe6,0x7ec003ff,0x00fff66f,0x0007ff90,
    0x01fff980,0x4007ff90,0xffa80fff,0x5ffa804f,0x800fffc4,0x7fc45ffa,
    0xff90001f,0x6ffd8007,0xb000fff6,0x1ffecdff,0x501fff00,0x7fc09fff,
    0x9999999f,0x006ffa99,0x0001bff2,0x8000dff9,0x2a006ffc,0x7ffc45ff,
    0x93fe6001,0x9999affd,0x117fea00,0x20003fff,0x5c003ffc,0x99999dff,
    0xff701999,0x3333333b,0xffff9033,0xffffffff,0x3ff707ff,0x2a37ffc4,
    0x3f2002ff,0x27fe803f,0x3e60fff9,0x7ff9005f,0xafff8800,0xc8006ff9,
    0x800003ff,0xf9003ffe,0x7ffc007f,0xffffeeee,0x07ff9005,0x32007ffd,
    0x3ffe83ff,0x07ff9000,0x9afff880,0xf88006ff,0x06ff9aff,0x7777ffc0,
    0x405ffffe,0xffffffff,0x6fffffff,0x03fff300,0x0fffcc00,0x3fff3000,
    0x41ffe400,0x32003ffe,0x3fff60ff,0x3204ffff,0x3ffe83ff,0x07ff9000,
    0xfffffb80,0x1fffffff,0xffffffb8,0x41ffffff,0xffffffff,0x6fffffff,
    0x3ea2ffa8,0x3fea1fff,0x0fff2001,0xffb1ffa0,0x802ffcc7,0xb8003ffc,
    0x02ffeeff,0x003ffc80,0x02ffe800,0x4007ff90,0xffffffff,0x3fe002df,
    0x06ffb80f,0xf701fff0,0x3f2000df,0xffb8003f,0x0002ffee,0x5ffddff7,
    0xfffff800,0x802dffff,0xffffffff,0x6fffffff,0x009ffd00,0x004ffe80,
    0x0027ff40,0x3ee03ffe,0xbff1006f,0xffffffd8,0x03ffe04f,0x4001bfee,
    0x5c003ffc,0xffffffff,0xfb81ffff,0xffffffff,0x3fea1fff,0x1fff3006,
    0x3f62ffa8,0x3fee4ffe,0x0fff2001,0xff31ffa0,0x802ffccf,0x88003ffc,
    0x005fffff,0x0007ff90,0x00fff880,0x4007ff90,0xffeeefff,0x3fea003f,
    0x01fff106,0xf106ffa8,0xf90001ff,0xff10007f,0x4000bfff,0x05fffff8,
    0xeeefff80,0xff003fff,0x5555557f,0x00dff955,0x8000dff9,0x40006ffc,
    0x54006ffc,0xfff106ff,0x85ff7001,0xaaaabffd,0x20dff501,0x8000fff8,
    0x5c003ffc,0xaaaaadff,0xfb80aaaa,0xaaaaaadf,0x3ff20aaa,0x0fffa004,
    0x3fe27ff3,0x3fee7fea,0x0fff2000,0x3fa1ffa0,0x00bff33f,0x4000fff2,
    0x801ffffa,0xffeccccc,0x543ccccd,0x6ffe9800,0x00fff200,0x3a60fff8,
    0xff9004ff,0x01fff407,0xfe80fff2,0xffc8003f,0xfff50003,0xfa80003f,
    0xf8001fff,0x3ffa60ff,0x00fff804,0x4c06ff98,0x20001fff,0x0001fff9,
    0x0007ffe6,0x7f407ff9,0x87fe803f,0x32000ffd,0x3ffa03ff,0x3ffc8003,
    0x027fdc00,0x009ff700,0x4003fff0,0x7fcc5ffc,0xff71ff53,0x8003ff23,
    0xfe803ffc,0xf36ffa87,0x3ff200bf,0x3ffa0003,0xfffff004,0xffffffff,
    0xccceff8b,0xefffdcba,0x0fff2000,0x440fff80,0xff801fff,0x1bfee01f,
    0x5c03fff0,0xfc8006ff,0x3fa0003f,0xfd00004f,0x3fe0009f,0x0fffc40f,
    0x2003ffe0,0x7f406ff9,0x7f40004f,0x7f40004f,0xfff8004f,0x01bfee01,
    0xffb09ff3,0x0fffc001,0x000dff70,0xb8007ff9,0x2e0004ff,0x7d4004ff,
    0x7fcc006f,0x6d3fe20f,0x329ff35f,0x7fe4007f,0xd07fe803,0x0bff35ff,
    0x000fff20,0xf003ffc8,0xffffffff,0xff8bffff,0xffffffff,0x64000eff,
    0x3fe003ff,0x06ffc80f,0x7777ffd4,0xfffeeeee,0xddfff500,0xffdddddd,
    0xffc8001f,0x3ff20003,0xff900003,0x3ffe0007,0x406ffc80,0xf9800fff,
    0x1bff206f,0x0dff9000,0x06ffc800,0xeefffa80,0xffeeeeee,0x33ff200f,
    0x0ffeaaaa,0xddfff500,0xffdddddd,0xffc8001f,0x27fdc003,0x09ff7000,
    0x004ffc80,0x3e23fff8,0x7f47ff5f,0xc800ffb7,0x7fe803ff,0xff3bff50,
    0x0fff200b,0x03ffc800,0x17fd4000,0x3fffffb2,0x0001cfff,0x7c007ff9,
    0xfff880ff,0x3ffff202,0xffffffff,0xfff903ff,0xffffffff,0xc8007fff,
    0x320003ff,0x900003ff,0x3e0007ff,0xfff880ff,0x003ffe02,0x7cc1bfe6,
    0x260001ff,0x20001fff,0x8001fff9,0xfffffffc,0x3fffffff,0xffffff10,
    0x001fffff,0x3ffffff2,0xffffffff,0x1ffe4003,0x013fee00,0x004ffb80,
    0x3fe60000,0xffadff83,0x3f6bfee0,0x1ffe4006,0xff03ff40,0x200bff5f,
    0x20003ffc,0x00003ffc,0x3100ffe6,0x0000fff3,0x7c007ff9,0xdff900ff,
    0x7fffffc0,0xffffffff,0xfffff06f,0xffffffff,0xfc800dff,0x3f20003f,
    0xf900003f,0x3fe0007f,0x0dff900f,0x4c007ffc,0x9ffd06ff,0x4ffe8000,
    0x27ff4000,0xfffff800,0xffffffff,0xfff706ff,0xffffffff,0x3fffe001,
    0xffffffff,0x64006fff,0x7dc003ff,0x3ee0004f,0x0000004f,0x3fe09ff1,
    0x7fc45fce,0x64006fdd,0x7fe803ff,0x3ffbfee0,0x07ff9005,0x01ffe400,
    0x00ffb000,0x0002ffcc,0xf001ffe4,0x3fe201ff,0x06ffa81f,0xa81fff30,
    0xff3006ff,0x7fe4001f,0x3ff20003,0xff900003,0x3ffe0007,0x03fff100,
    0x26003ffe,0x6ffb86ff,0x37fdc000,0x1bfee000,0x037fd400,0xe80fff98,
    0x1ffb00ff,0x00dff500,0x8003ffe6,0x5c003ffc,0x2e0004ff,0x000004ff,
    0x3a01ff90,0xfe83ffef,0x64005fef,0x7fe803ff,0x3ffffe20,0x07ff9005,
    0x01ffe400,0x00dff000,0x00017fdc,0xf001ffe4,0x7fec01ff,0x004ffc85,
    0xff90fffa,0x1fff4009,0x007ff900,0x001ffe40,0x003ffc80,0x6c01fff0,
    0x1fff05ff,0x98dff300,0x20001fff,0x0001fff9,0x0007ffe6,0xd0027fe4,
    0x5ff987ff,0x2003ff60,0x3a004ffc,0x3f2003ff,0x7fdc003f,0x3fee0004,
    0xd0000004,0x7fff40ff,0xffffb80f,0x33333205,0xccccdffe,0x3203ff43,
    0xcc85ffff,0xcdffeccc,0xf9003ccc,0x6c00007f,0x6401acff,0x664000ff,
    0xcdffeccc,0xfff03ccc,0x0fffcc01,0xc8007ffe,0x0fffc5ff,0x20bff900,
    0xffeccccc,0x003ccccd,0x00007ff9,0x4000fff2,0x3e600fff,0x0fff81ff,
    0x746ff980,0xffffffff,0x46ffffff,0xfffffffe,0x6fffffff,0x7ffffff4,
    0xffffffff,0x8007ffe6,0x7fec5ffc,0x337ff601,0x7ffc4ccc,0x17ff2001,
    0x003ffc80,0x66677fdc,0x82cccccc,0xcccceffb,0x002ccccc,0x156ffe40,
    0x441bfff6,0x3e04ffff,0xffffffff,0x7f45ffff,0x7fffc407,0xffffff85,
    0x5fffffff,0x007ff900,0x7fffd400,0x0037f405,0x7ffffffc,0x05ffffff,
    0xfd801fff,0x01bfea5f,0x2a1fff30,0x7cc006ff,0xffff80ff,0xffffffff,
    0x7ff9005f,0x3ff20000,0x1fff0003,0xf85ffd80,0xff9800ff,0x7fffffc6,
    0xffffffff,0x7ffffc6f,0xffffffff,0x7fffc6ff,0xffffffff,0xdff56fff,
    0x0fff9800,0xfd80dff1,0x27ffffff,0x4c006ffa,0xf9000fff,0xffb8007f,
    0xffffffff,0xfffb84ff,0xffffffff,0x7c40004f,0x7fe46fff,0x3fff603f,
    0x3ffffe04,0xffffffff,0x6403ff45,0xfff85fff,0xffffffff,0xff9005ff,
    0xa8800007,0x04cc02ed,0x7ffffc00,0xffffffff,0x801fff05,0xff91fff9,
    0x7fff0009,0x20013ff2,0xfff83fff,0xffffffff,0xff9005ff,0x3f200007,
    0xfff0003f,0x1fff9801,0x4c007ffc,0x7fffc6ff,0xffffffff,0x7ffc6fff,
    0xffffffff,0x7fc6ffff,0xffffffff,0xf96fffff,0xfff0009f,0xb00ffee7,
    0xffffffff,0x40027fe4,0xf9003fff,0xffb8007f,0xffffffff,0xfffb84ff,
    0xffffffff,0xa880004f,0x000003ec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04cc4000,0x26004cc4,0x00998819,0xfffffff7,0x809fffff,0x00988098,
    0x000aa200,0x2aaaaaaa,0x554002aa,0x2aaaaaaa,0x77754000,0x2aaaa004,
    0xd82aaaaa,0x8000005e,0x014c4ee8,0x26a20000,0x26a20000,0x70000000,
    0x000003dd,0x3ae00000,0x0000001e,0x0007bb62,0x02777540,0x005dd500,
    0xee983ba6,0x20ee9800,0xe9800ee9,0x003ba60e,0x6f765cc4,0xd7005cab,
    0x0000003d,0xf71fff44,0xbff900bf,0xb8077fcc,0xffffffff,0x6404ffff,
    0x017fc47f,0x00bffd00,0xfffffff8,0x7fc006ff,0x6fffffff,0x3ffea000,
    0x7fffc003,0xc86fffff,0x000001ff,0xff517fdc,0x2e00000d,0x8002ffff,
    0x002ffffb,0x0ffe8000,0x0277f644,0x00007764,0x07fe9bba,0x37bffb26,
    0xffe88001,0x540001ff,0x40004fff,0xf3003ffb,0x01ff627f,0xfd89ffcc,
    0x27ff3007,0xd3007fd8,0xffffffff,0xfff300df,0x5ff7000f,0xbbffb000,
    0x7dc009ff,0x00effcef,0x3333bfee,0x02cccccc,0x76677fd4,0xf30000ff,
    0x7c001fff,0xffffffff,0x7fffc006,0x006fffff,0x005fff50,0xfffffff0,
    0xbff30dff,0xfe800000,0x017ffe47,0x33fea000,0x2a000ffc,0x00ffccff,
    0xff100800,0xffffe88b,0x13fea06f,0x45ffe000,0xffd884ff,0x05ffffff,
    0x3efffa20,0xf50001ff,0xca8005ff,0xceffeccc,0x7ffec03c,0x36004fff,
    0x04ffffff,0x3fffff60,0xfffb804f,0xffffecef,0xffffa806,0x3ffe6000,
    0xffd8000f,0xfb8003ff,0x5c00dfff,0x200004ff,0x2ffffffc,0x3ffe2000,
    0x00000006,0x2a000000,0x0aa88eff,0xfd800000,0x5000000f,0xfff989ff,
    0x7ec00003,0xd800ff22,0x000ff22f,0xfa80fec8,0x4dffe41f,0xff883ffd,
    0xfff00006,0x3f607fee,0xffecbcff,0xffe8804f,0x003ffd11,0x001eff98,
    0xffffffc8,0x4405ffff,0x004ffffd,0x27fffec4,0x3fff6200,0xfffa804f,
    0x00dff503,0x800dfff1,0x001ffffb,0x00059970,0xb8026654,0x400004ff,
    0x000cddc9,0x001eea80,0x00000000,0xb8aaa000,0x000000ff,0x0003ffa8,
    0x901ffb00,0x800007ff,0x013ea1fe,0x13ea1fe8,0x80fff800,0x27fc47fd,
    0x3ff21bfe,0xfff00001,0x3fee1bf6,0x07ffb80e,0x5440aa98,0x1554002a,
    0xffff9000,0x0bffffff,0x0002aa20,0x0000aa88,0x74002aa2,0x3fe202ff,
    0x01993006,0x06fff980,0x00000000,0x009ff700,0x00000000,0x00000000,
    0x00000000,0x00000bfb,0x0003ff40,0xa82ffc40,0x400001ff,0x2fe88dfc,
    0x2237f200,0x3e0002fe,0x41aa80ff,0x3fec1ff9,0x00013fe6,0x03557ff8,
    0x3e203fff,0x000001ff,0x40000000,0x00003ffb,0x00000000,0x06ffa800,
    0x00037fc4,0x00cd9800,0x00000000,0x009ff700,0x00000000,0x7fd40000,
    0x7fc001ff,0xffffffff,0x20005fff,0xfb803ff8,0xffffffff,0xffb84fff,
    0x7e400002,0x06fe882f,0xffe88000,0x744005ff,0x0005ffff,0x30007ffc,
    0x47fc85ff,0x00000efe,0xff101ffe,0x01ffe80d,0x00000000,0x1ffdc000,
    0x00000000,0x64000000,0x7fc402ff,0x00000006,0x3fffee00,0xffffffff,
    0x7ffffc44,0x401acdef,0x00004ffb,0x00ffffd4,0x3ffffee0,0x4fffffff,
    0x4ffffd80,0x7ffffc00,0xffffffff,0xfdb73005,0xf7001ffd,0xffffffff,
    0xff109fff,0xff80000d,0x00fffd86,0xbd910000,0x3b220007,0xff80003d,
    0x3fe2000f,0xff937ec3,0xff800005,0x02ffcc07,0xa800fff3,0x0aceeedb,
    0xdddb7500,0xca880159,0x3ffdcded,0x200f3220,0xb95104cc,0x0039ddfd,
    0x5ef76544,0x007ffa01,0xa880dff1,0x001bdeec,0x7ffdc000,0xffffffff,
    0x7fffc44f,0xdfffffff,0x009ff700,0xffffd800,0x7ffdc004,0xffffffff,
    0xffff804f,0x6664006f,0xccdffecc,0xffc803cc,0x0dffffff,0x6677fdc0,
    0x2ccccccc,0x0003ffb0,0x3e0ffea0,0x000000df,0x00000000,0xffccccb8,
    0xcccccccf,0xf31eff84,0x013fe69f,0x6f765cc0,0x7d407ffb,0x7fff304f,
    0x3fffa600,0x403fffff,0xffffffe9,0x3fea03ff,0xffffffff,0x01bfe203,
    0x3fe21ffe,0xffffffff,0x7ffcc00e,0xf04fffff,0xff8801ff,0x3fffe606,
    0xc984ffff,0x03cccccc,0x999dff70,0x85999999,0xecccfff8,0x82ffffff,
    0x9999dffb,0x20019999,0x006fffff,0x66677fdc,0x02cccccc,0x7ffe7fd4,
    0x7fe40001,0x7ff44003,0xffffdcef,0x13fee00f,0x09ff3000,0x03ffa000,
    0x22000006,0x4cc803cc,0xdfdb9510,0x3fa0039d,0xffffffff,0xb87fffff,
    0x0fffefff,0x88001ffd,0xfffffffd,0x7fd407ff,0x04fffb84,0xdfffff70,
    0x5c07fffd,0xfeefffff,0xfffb03ff,0xffffdbbf,0x037fc407,0x7fc43ffc,
    0xffedceef,0x3ffee06f,0x6fffdccd,0x4400fff8,0xfff706ff,0xdfffb99b,
    0xffffffa8,0x9ff7006f,0x1ffe2000,0x41ffffb8,0xfffffffb,0x801fffff,
    0x1fffcffa,0x013fee00,0x657fec00,0x640004ff,0x7ec003ff,0x3ffee0ef,
    0x3fee05ff,0xffe80004,0x7fcc0000,0x223cb804,0x202defeb,0xff806ff8,
    0xfffff887,0x00efffff,0x7ffffff4,0xffffffff,0xdffff707,0x000bfee1,
    0xdbdffff5,0xa80fffff,0x7ffdc4ff,0xdfff3002,0x26057103,0xb881efff,
    0x81fffb82,0x2203ffd8,0x7ff806ff,0xf700ad88,0xfff307ff,0x87fff305,
    0x7c400fff,0x2fff986f,0x2a3fff98,0x6ffeeeee,0x009ff700,0x101ffe20,
    0xffb8dffb,0xffffffff,0xffd801ff,0x2004ffca,0x00004ffb,0x1bfeafff,
    0x07ff9000,0x2077fcc0,0x1fffadfe,0x0009ff70,0x0007ff50,0xe801ffd8,
    0xfffff37f,0x3fe209ff,0x887ff806,0xedceefff,0xf8006fff,0x310000ff,
    0x02ffcc15,0x413ffe20,0x7d407ff9,0x00fffc4f,0x000bffd0,0x4002fff4,
    0x2e00fff8,0x3fe203ff,0x007ff806,0x3613ffa0,0x3fe602ff,0x007ffa0f,
    0xffb0dff3,0x07ffcc05,0x200dff10,0x10004ffb,0xff100fff,0x56ffdc5f,
    0xaaaaaaaa,0xf57ff800,0x7fdc00df,0xffa80004,0x0007ffe5,0x2003ffc8,
    0x7fc43ffd,0x2e09ff92,0xf00004ff,0x7c4000df,0x5ffd006f,0xfffddfff,
    0x0dff105f,0x5b10fff0,0x0fffee01,0x001fff00,0x00ffe800,0x201ffec0,
    0x7fd407ff,0x801bfe64,0x0000fffb,0x0001fff7,0xfb809ff9,0x1bfe203f,
    0x8001ffe0,0x7fcc6ffa,0x21ffe806,0x3a202ffd,0x37fcc6ff,0x100fff40,
    0x3ee00dff,0xff10004f,0x9bff200f,0x00004ffb,0x7ffcbff5,0x09ff7001,
    0x45ff9000,0x20003ffd,0x3e003ffc,0x87fdc0ff,0xff707ffa,0x3f200009,
    0xff70002f,0x3fffa005,0x3ff660ef,0x806ff886,0x3a0007ff,0x7fc004ff,
    0x2e00000f,0x7cc002ff,0x07ff807f,0xff327fd4,0x1ffec00f,0x07ffb000,
    0x007ffa00,0x7c407ff7,0x07ff806f,0x71bfe200,0xff9007ff,0xd02ffe47,
    0xffb8dfff,0x03ffc803,0x5c01bfe2,0xf10004ff,0x3fe600ff,0x0013fee7,
    0xfb17fe40,0x3fee007f,0xfff80004,0x001bfea0,0x1003ffc8,0x4bfd0dff,
    0xff707ff8,0x3e200009,0xffd0005f,0x2ffff400,0x440fff98,0x7ff806ff,
    0x1bfea000,0x001fff00,0x017fe200,0x200ffee0,0x7fd407ff,0x8027ffc4,
    0x20001ffe,0xf0001ffe,0x7ff700ff,0x4037fc40,0x533007ff,0xd8dff755,
    0x99999bff,0x24ffc999,0x6c42fff8,0x7ec6ffff,0x999999bf,0x204ffc99,
    0xf7006ff8,0x3e20009f,0xfff1007f,0x0013fee1,0xf507ffc0,0x3fee00df,
    0x7fd40004,0x00fffc45,0x003ffc80,0xff88bff3,0x5c07ffc2,0x99999dff,
    0xfb001999,0xffa8001f,0x1bffa003,0xf883fff0,0x07ff806f,0x01bfe200,
    0x0001fff0,0x1303ff60,0x802ffc80,0x7fd407ff,0x06fffdc4,0x001fff10,
    0x003ffe20,0x201ffe20,0x3e203ffb,0x07ff806f,0x3fffffaa,0x7f46ffff,
    0xffffffff,0x6c5fffff,0xffcacfff,0x7f46ff9f,0xffffffff,0x205fffff,
    0xf7006ff8,0x333333bf,0xfff10333,0xb8fffc00,0xa80004ff,0x7ffc45ff,
    0x9dffb801,0x19999999,0x3a0fff20,0xf90003ff,0x3fea007f,0x3e07fdc5,
    0xfffb80ff,0xffffffff,0x4ffa801f,0x007fec00,0xd803ffd0,0x37fc42ff,
    0x9803ffc0,0x6ffbaaa9,0x007ffc00,0x89ffdc00,0xb01efffd,0xfff003ff,
    0xc84ffa80,0xf101efff,0x7c4000ff,0xff30007f,0x07ff700d,0x7c037fc4,
    0xfffe887f,0xffffffff,0x7fffff46,0xffffffff,0x7fff445f,0xff89ffff,
    0x7fffff46,0xffffffff,0x1bfe205f,0x7ffffdc0,0x1fffffff,0xd003ffc4,
    0x13fee5ff,0x0fff2000,0x2e00fffa,0xffffffff,0xff01ffff,0x0dff701f,
    0x00fff200,0x3fa37fcc,0xf707ff85,0xffffffff,0x3a003fff,0x3fe6007f,
    0x0fff4005,0xf10bff60,0x0fff00df,0x7fffff54,0x4006ffff,0x40000fff,
    0xfff16ff8,0xfd01ffff,0x0fff003f,0xf704ffa8,0x3fe03fff,0x3fe0000f,
    0xff88000f,0x03ffb807,0x3e01bfe2,0xaeffd87f,0x6c6ff880,0x99999bff,
    0x80999999,0x1cefffd8,0xffd8dff1,0x9999999b,0x22009999,0xff7006ff,
    0xffffffff,0x7ff883ff,0x5cfffa00,0xf80004ff,0x6ffb80ff,0xfffffb80,
    0x1fffffff,0xf106ffa8,0xf90001ff,0x3fe2007f,0xf10ffe27,0x37fee0df,
    0xaaaaaaaa,0x5ff7000a,0x007ff200,0xd803ffd0,0x37fc42ff,0x7443ffc0,
    0xffffffff,0x7c006fff,0x6c0000ff,0x23ffb1ff,0xffe85ffb,0x407ff801,
    0x3e604ffa,0xffe80fff,0x3ffa0001,0x7ff88001,0x203ffc80,0xff806ff8,
    0x007ffcc7,0xffc8dff1,0x04400003,0x3f237fc4,0x2200003f,0xff7006ff,
    0x5555555b,0x7ff88155,0x5cbffa00,0x540004ff,0xfff106ff,0xadffb801,
    0xaaaaaaaa,0x203ffc80,0xc8003ffe,0x3fe003ff,0xb81ff71f,0x9ff704ff,
    0xff880000,0x06ff8806,0x401ffe80,0x7fc42ffd,0xd87ff806,0xf880aeff,
    0x7ffc006f,0x3fea0000,0xffd13fe3,0x8805ffb0,0x7fd407ff,0x27ffc404,
    0x00027fec,0x20009ffb,0x3ea00fff,0x3fe203ff,0x1ffee00f,0xf880bff7,
    0x027fdc6f,0xff880000,0x0027fdc6,0x00dff100,0x40013fee,0x3e007ff8,
    0x9dff72ff,0x99999999,0x80fff205,0x7dc03ffe,0x3fe0004f,0x1bfee01f,
    0x00fff200,0xbfd6ffc8,0x2e03ffd0,0x800004ff,0x7dc01ffc,0xffe8003f,
    0x217fec01,0xff806ff8,0x007ffcc7,0xe800dff1,0xf10002ff,0x217fc4df,
    0x7fe40ffb,0x03fff403,0x2e013fea,0xfffb86ff,0xfff70001,0x7ffb0003,
    0x0ffffe60,0x2a05fff0,0x7fe47fff,0x1bff6204,0x0003fff3,0x8dff1000,
    0x0001fff9,0x200dff10,0x10004ffb,0x3e200fff,0xffff71ff,0xffffffff,
    0x807ffe09,0x7dc06ffb,0xff50004f,0xdddddddf,0x8001fffd,0x26003ffc,
    0x23ffcfff,0x2e05ffd8,0x800004ff,0x7f405ff9,0xffe8000f,0x217fec01,
    0x2e00fff8,0x2ffdc7ff,0x001bfe20,0x20009ffb,0x3fe61ffd,0x7d43fdc2,
    0x3fff606f,0x027fd407,0xfe837fcc,0x406202ef,0x2202effe,0x207ffd41,
    0x03fffff9,0x7d427ff4,0x7fdc7fff,0xdfffd306,0x003dffb0,0x6ff88000,
    0x001effd8,0x006ff880,0x20009ff7,0xf5007ff8,0x7fffdcff,0xffffffff,
    0xeefffa84,0xffeeeeee,0x13fee00f,0x7fffe400,0xffffffff,0x7e4003ff,
    0x7fcc003f,0xfecaafff,0x3fee00ff,0xfd000004,0x13fe601f,0x00fff400,
    0x3fe0bff6,0xffff502f,0x2204ffc8,0x64006ffd,0x54000fff,0x27fc44ff,
    0x7ffc1bf6,0x7fffe443,0x027fd407,0xf982ffe4,0xcaacefff,0xfff303fd,
    0xfb9559df,0x77dfff07,0x7ff5bffd,0xbffffa80,0x7fedffda,0x4d77ffcc,
    0x6fffffdb,0xbdffff88,0x05dba99a,0x21bfe200,0xabdffff8,0x405dba99,
    0xf7006ff8,0x3e20009f,0x9ffd007f,0x03ff9000,0xfffffff9,0x7fffffff,
    0x0027fdc0,0xfffffff8,0xffffffff,0x1ffe4006,0x7fffcc00,0x00efffff,
    0x00027fdc,0xb03ffa80,0x3a0003ff,0x7fec01ff,0xa84ffe82,0x7dc7ffff,
    0xfffd306f,0xfff8800d,0x85caabef,0xffd06fe8,0x640ffea5,0xffcacfff,
    0x5407fdaf,0x2aae64ff,0x201fffdb,0xffffffe9,0x3a603fff,0xffffffff,
    0xffff983f,0x7ff35fff,0xfffffd00,0x21ffabff,0xfffffffc,0x306fe8df,
    0xfffffffd,0x4000bfff,0xfd306ff8,0xffffffff,0x666664bf,0xccccfffc,
    0x027fdc0c,0x807ff880,0x4001fffa,0xfff02ffa,0xffffffff,0x5c0dffff,
    0xfa8004ff,0xfff3006f,0x1ffe4001,0xffff9800,0xf7003eff,0x4000009f,
    0x5ff887ff,0x07ffa000,0xf505ffb0,0xffb57fff,0xff98ffdb,0xffdb9aef,
    0xb8006fff,0xffffffff,0x301ffc87,0x0dffffff,0xffffffd8,0xa80ffb2f,
    0x3ffea4ff,0x7003ffff,0x9dfffffd,0xfffd7003,0x26039dff,0x263efffd,
    0xff9003ff,0x3fec7dff,0xeffffea8,0xd701bfa2,0xbfffffff,0x7fc40007,
    0x7fff5c06,0x3e3dffff,0xffffffff,0x5c0fffff,0xf10004ff,0xfffa80ff,
    0x06ff8004,0x2600dff5,0xff700fff,0x9ff90009,0x01fff400,0x0007ff90,
    0x00667fee,0x0013fee0,0x42ffb800,0x20002ffc,0x7ec01ffe,0xffffd02f,
    0x1ffabfff,0x3ffffff2,0x06fe8dff,0xffffb300,0x4ff98dff,0x67fff4c0,
    0xffffc800,0x501ff61d,0x7ffd49ff,0x10000def,0x98800033,0x00098001,
    0x000ccc00,0x00003310,0x000cccc4,0x40013300,0xff019998,0xffffffff,
    0xfb81ffff,0xff10004f,0x3fff660f,0x7fcc000e,0x009ff905,0xfb81fff4,
    0xfff8004f,0x17ff2001,0x7f666664,0x03ccccdf,0x40005fd8,0xcccceffb,
    0x002ccccc,0x7fc5ff88,0x7ff40006,0x017fec01,0x47dffff9,0xffd507fd,
    0x37f45dff,0x0ccc4000,0x00310000,0x00000620,0x00001988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x99999dff,0xf8859999,
    0xffeeeeff,0x0000dfff,0x7c357fff,0x3f2001ff,0x9dff705f,0x99999999,
    0x001bfea5,0xff01fff3,0xffffffff,0xf880bfff,0x7dc0002f,0xffffffff,
    0xb0004fff,0x0ffea3ff,0x03ffd000,0x9802ffd8,0x26200019,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff700,0x9fffffff,0xffffff88,0x003effff,0x9ffffdc0,
    0x4c006ffa,0xffb80fff,0xffffffff,0x09ff94ff,0xf07fff00,0xffffffff,
    0xa80bffff,0x5c0000ee,0xffffffff,0x0004ffff,0x3bb27dd3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffdc,0x44ffffff,0xeffffff8,
    0x200001cd,0xff92ddb8,0x7fff0009,0xffffff70,0x09ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x100004cc,0x76c41bdb,
    0x80cb800d,0x764003c9,0xb100003e,0xdd301bdd,0x200000bd,0x97000aa8,
    0x40079301,0x0982cec9,0x03eec800,0x776c4000,0x3bba600d,0x00000005,
    0x03eed880,0x000bdd10,0x41bdd700,0x2204eed8,0x3b620ded,0x00f3220d,
    0x97007991,0x00079301,0x00007dd9,0x806f76c4,0x4005eee9,0x36e22cc8,
    0x5c401bde,0x2cdeffec,0x8837b620,0x32e00ded,0x9803c980,0x40982cec,
    0x3a601eea,0x002fffff,0xf31dff50,0xff9001ff,0x02fff88d,0x07ffffb0,
    0xeffe8800,0x17ffa600,0x3fee0000,0x46ffc800,0xa802fff8,0x51efffff,
    0x7ec001df,0x00003fff,0x001dffd1,0x000bffd3,0x3ffb2600,0x3ee01def,
    0x7dca8aff,0x00037fc4,0x883bfee0,0x5400dffe,0xfff98eff,0x2037fc40,
    0x7e405ff9,0x17ffc46f,0x7ffffb00,0xffd10000,0xffe9801d,0x53fe2005,
    0xfffffff9,0xfffff702,0x9809ffff,0xffe88eff,0x11bff201,0x7d405fff,
    0xf51effff,0x3fffe21d,0xfffffb80,0x50004fff,0x01ffffff,0xf31fff60,
    0xffb009ff,0x0007ffb9,0x4013ffa2,0x0005ffd8,0xd802fec0,0x7ffcc7ff,
    0x677fcc04,0x5ffffffe,0x373ff600,0x440003ff,0x44004ffe,0x00005ffd,
    0x7fffffe4,0x3f6203ff,0x47ffffff,0x00006ff8,0xfb03bfe6,0x7fd4009f,
    0xf880ffff,0x2ffcc06f,0xf31fff60,0x3f6009ff,0x003ffdcf,0x013ffa20,
    0x005ffd88,0xfff59ff1,0x83ffffdd,0xccdefffc,0xf9804fed,0x401fffff,
    0x7fcc7ffd,0x9dff304f,0xbffffffd,0x20ffffd4,0xebadfff8,0x30001fff,
    0x4001ffff,0xffd84ffa,0xb1ffec01,0xe88007ff,0xfb8002ff,0xf100005f,
    0x3fea007f,0x801ffd84,0x7fffdc4c,0x8fff6005,0x10003ffd,0x40005ffd,
    0x00005ffb,0x999dfff9,0xffd707dd,0x7bffffff,0x0006ff88,0xd81dff30,
    0xf98003ff,0xff100fff,0x05ff980d,0x7ec27fd4,0x3ffd801f,0x2000fff6,
    0x0002ffe8,0xf100bff7,0x441bffff,0x3fe65ffe,0x9800401f,0xa801ffff,
    0x1ffd84ff,0xfff71320,0x6fff88bf,0xfd84ffc8,0x2a60004f,0x0088000a,
    0x35510026,0x40015550,0x20000aa9,0x4c001aa9,0x0ffefedb,0x09802200,
    0x054c4000,0x50355100,0x53000155,0x53000015,0xf9800035,0x7ec003ff,
    0x05ffffff,0x0001bfe2,0x2a20554c,0x2a60001a,0x1bfe200a,0x100bff30,
    0x44004c01,0x0aaa81aa,0x00554c00,0x006aa600,0x209ffff1,0xff71fff8,
    0xa9800009,0x8022000a,0x53100009,0x20332201,0xffa81ffe,0x00000006,
    0x00000000,0x00000000,0xfffff900,0x0001bfff,0x00000000,0x00000000,
    0x00000000,0x8005ffb8,0xfff51bdc,0x01bfe203,0x00000000,0x1bfe2000,
    0x000bff30,0x00000000,0x00000000,0x404fff88,0xbff73ffd,0x00000000,
    0x00000000,0x207ffe00,0x00005ff9,0x00000000,0x00000000,0x7f440000,
    0xfffdceff,0x000000ff,0x00000000,0x00000000,0x36000000,0x200002ff,
    0xff106ffd,0x0000000d,0xf1000000,0x5ff980df,0x00000000,0x00000000,
    0x37fc4000,0xf9a7fdc0,0x000003ff,0x00000000,0xffe80000,0x003ffc82,
    0xbdeeca88,0x01e64401,0x33222664,0x444cc803,0x4cc803cc,0x6401e644,
    0x077fec4c,0x0bfffff7,0x37bb2e60,0xcb98001b,0x8001bdee,0x1bdeecb9,
    0xeecb9800,0xb98001bd,0x001bdeec,0x0003ffd0,0x7ff6dcc4,0x26ff884f,
    0x01bdedb8,0x3200f322,0x32e2004c,0x22cdeffe,0x7cc06ff8,0xd951005f,
    0x880037bd,0x01bdeeca,0x6f765440,0x6544001b,0xf101bdee,0xbff500df,
    0x0e7fffec,0xddb75000,0x2a20159d,0x1ceefedc,0xfedca880,0xff701cee,
    0x98bff903,0x4c000fff,0xffffffff,0x01bfe204,0xdff11ffe,0xf88fff00,
    0x47ff806f,0xff806ff8,0xd03bfe67,0x03fff5bf,0xffffffb8,0xf7000cff,
    0x9fffffff,0x3ffee001,0x00cfffff,0xffffff70,0x2e0019ff,0xffffffff,
    0x7ff4000c,0xfff30000,0x81ffffff,0xfff36ff8,0x2205ffff,0x7ff806ff,
    0xfffff700,0x7c49ffff,0x2ffcc06f,0x7ffffcc0,0xf3004fff,0x9fffffff,
    0x3fffe600,0x3004ffff,0xffffffff,0x00dff109,0x7ec4dff3,0x00beffff,
    0xfffffd30,0xff107fff,0xffffffff,0x3ffe201d,0xefffffff,0x4c0ffdc0,
    0xfff72fff,0xfffb8007,0x6fffdccd,0xf00dff10,0x06ff88ff,0x7fc47ff8,
    0x447ff806,0x7ff806ff,0xff10fff6,0x4413ff25,0xfddffffe,0x2200efff,
    0xfddffffe,0x2200efff,0xfddffffe,0x2200efff,0xfddffffe,0x2200efff,
    0xfddffffe,0x2000efff,0xb8000ffe,0xfeeeffff,0x6ffc45ff,0xffeefffa,
    0x6ff881ff,0xc807ff80,0xdccdefff,0x1bfe24fe,0xb80bff30,0xfdccdfff,
    0x7fdc06ff,0xfffdccdf,0x6fffdc06,0x06fffdcc,0x666fffdc,0x7c46fffd,
    0x5ff9806f,0xfffffda8,0x3fee00cf,0xfffeefff,0xeefff883,0x06fffedc,
    0xb9ddfff1,0xfb8dfffd,0xdfff902f,0x98007fff,0xff982fff,0x06ff883f,
    0x7fc47ff8,0x447ff806,0x7ff806ff,0x7c037fc4,0x703ffe7f,0x1ffea1ff,
    0x540fffe4,0x3f204fff,0xfffa81ff,0x07fff204,0xc813ffea,0xffa81fff,
    0x3fff204f,0x04fffa81,0x0003ffa0,0x8817fff5,0x3fe21fff,0x3a20dfff,
    0x6ff885ff,0x4c07ff80,0x10401fff,0xff980dff,0x0bffe605,0x4c0fffe6,
    0xff982fff,0x5fff303f,0x207fff30,0xf982fff9,0x1bfe23ff,0x8813fea0,
    0x06ffffeb,0x103dfff3,0x015b1057,0x220fffee,0xfff700ad,0x8817fdc7,
    0x01efffff,0x202ffd80,0x7c40fff9,0x47ff806f,0xff806ff8,0x4037fc47,
    0x37fc47ff,0xff8bffc0,0x3e25fe86,0x0fff987f,0x207ffe60,0x2600fff9,
    0xff981fff,0x3ffe600f,0x00fff981,0x2607ffe6,0x3e600fff,0x7ffe41ff,
    0xffffffff,0xfe87ffff,0x93ff602f,0x104ffff8,0xff883fff,0x407ff806,
    0x44004ffb,0x7fcc06ff,0x80bff605,0xfd80fff9,0x3ffe602f,0x202ffd80,
    0xfd80fff9,0x3ffe602f,0x700dff10,0x362007ff,0xffe83fff,0x74000005,
    0x3a0004ff,0x0bfee4ff,0x037fffdc,0x806ff980,0x7fc41ffe,0x447ff806,
    0x7ff806ff,0x7c037fc4,0x037fc47f,0x5ff9bffc,0x3fe17fc4,0x01ffec0f,
    0x7ec27fec,0x4ffd803f,0xd803ffd8,0x3ffd84ff,0xd84ffd80,0xffd803ff,
    0x7ffffe44,0xffffffff,0x2ffd47ff,0xf89ffe60,0x7fec04ff,0x4037fc43,
    0x7fdc07ff,0x7ffc4005,0x417ff200,0xfe806ff9,0x037fcc1f,0x3e60fff4,
    0x1ffe806f,0x74037fcc,0x0dff11ff,0x8003ffd0,0x7fdc4ffc,0x4000000f,
    0x20006ffa,0x3ff26ffa,0xfffffc82,0x83ffc44f,0xfc803ffb,0x037fc43f,
    0x3fe23ffc,0x447ff806,0x7ff806ff,0x7c037fc4,0xb8bff57f,0x07ffc0ff,
    0x2a003ffe,0x0fff86ff,0xf86ffa80,0xffa800ff,0x800fff86,0xfff86ffa,
    0x46ffa800,0xffaaaaa9,0xaaaaaabf,0x4017fec2,0xdff11ffe,0x889ff700,
    0x7ff806ff,0x01fffcc0,0x205fff10,0xf706fffa,0x7ff9007f,0xc803ffb8,
    0x1ffdc3ff,0x2e1ffe40,0xffc803ff,0xa80dff13,0xfb8006ff,0x01ffec5f,
    0x7fc40000,0x3fe20006,0xf90fff26,0x5fff93ff,0xfd837fcc,0x999999bf,
    0x444ffc99,0x7ff806ff,0x7c037fc4,0x037fc47f,0x3fe23ffc,0xf37ff806,
    0xf85fe8df,0x03ffc47f,0x7c47ff88,0xfff1007f,0x1007ff88,0x7ff88fff,
    0x88fff100,0xff1007ff,0x03ffa00f,0x800ffe80,0xdff13ffd,0x88bff500,
    0x7ff806ff,0xcffffd80,0x2fffc401,0x83ffffd4,0x9999bffd,0x4ffc9999,
    0x4ccdffec,0xffc99999,0x4cdffec4,0xfc999999,0x4dffec4f,0xc9999999,
    0x0dff14ff,0x000fffcc,0xfd0fffe2,0x9800003f,0x6ffbaaa9,0x75553300,
    0x1ffe4dff,0x7f43fff1,0x0bff71ff,0x3ffffffa,0xffffffff,0x4037fc45,
    0x37fc47ff,0x3e23ffc0,0x47ff806f,0xff806ff8,0x7c4fff17,0x237fc43f,
    0x3e006ff9,0x1bfe60ff,0x260fff80,0x3fe006ff,0x01bfe60f,0x3e60fff8,
    0x3ffe006f,0x00ffe800,0x6401ffe0,0x0dff14ff,0xf88dff30,0x07ff806f,
    0xfffffd88,0xfff880be,0xcffdabff,0x7f42dffd,0xffffffff,0x745fffff,
    0xffffffff,0x45ffffff,0xfffffffe,0x5fffffff,0x7ffffff4,0xffffffff,
    0x57dfff15,0x89fff973,0xb9aabced,0x220fffec,0x80000fff,0xffffffea,
    0x3aa06fff,0xffffffff,0xc8fff26f,0x7ffc44ff,0xd04ffc8e,0xffffffff,
    0x8bffffff,0xff806ff8,0x4037fc47,0x37fc47ff,0x3e23ffc0,0x27ff806f,
    0x1ff71fff,0x7d44ffb8,0x3ffe005f,0x8017fea0,0x3fea0fff,0x83ffe005,
    0x3e005ffa,0x17fea0ff,0x800fff80,0xf3000ffe,0x3fee00ff,0x300dff14,
    0x6ff88bff,0x2007ff80,0xffffffda,0x3fffe20c,0xf55fffff,0xfffe8fff,
    0xffffffff,0x7ff45fff,0xffffffff,0x7f45ffff,0xffffffff,0x745fffff,
    0xffffffff,0x15ffffff,0xffffffff,0xffb07fff,0xffffffff,0x07ff883d,
    0x7fff4400,0xffffffff,0xffffe886,0x6fffffff,0xffd8fff2,0xddfff981,
    0x7ffb02ff,0x33333333,0xff881333,0x447ff806,0x7ff806ff,0x7c037fc4,
    0x037fc47f,0xdff93ffc,0x3ffa17fa,0x8037fcc1,0x7fcc7ff8,0x8fff1006,
    0xf1006ff9,0x06ff98ff,0xf98fff10,0xfff1006f,0x003ffa00,0xc803ffc4,
    0x0dff14ff,0xf889ff50,0x07ff806f,0xfffeb880,0x337fe26f,0x7dc2efff,
    0x4dffec7f,0x99999999,0x5ffec099,0x99999999,0x7fec0999,0x9999999b,
    0x7ec09999,0x999999bf,0xf1099999,0xdfffffff,0x3ffb2019,0x0befffff,
    0x0001fff0,0x40577fec,0xffd86ff8,0x6ff880ae,0xfff93ff6,0xfffff701,
    0x0fff201f,0x0dff1000,0xff88fff0,0x447ff806,0x7ff806ff,0x7c037fc4,
    0x33ffe67f,0x3ff623ff,0x007ff885,0xff88bff3,0x8bff3007,0xf3007ff8,
    0x07ff88bf,0xf88bff30,0xbff3007f,0x003ffa00,0xd800fff8,0x0dff13ff,
    0xf887ff90,0x07ff806f,0x7ffec400,0x0ccbff13,0x7ff90220,0x3ffc8000,
    0x1ffe4000,0x0fff2000,0x8b7fc400,0x99980009,0xffe8009a,0xfff30001,
    0x237fc401,0x2200fff9,0x93ff66ff,0x3f202ffe,0x3ee04fff,0x7c40004f,
    0x3fee00ff,0x007ffc47,0xff88fff7,0x1ffee00f,0x5c01fff1,0x7ffcc7ff,
    0xffecaaff,0x05fff00f,0xff09ff90,0x9ff9005f,0x9005fff0,0x5fff09ff,
    0xf09ff900,0xff9005ff,0x03ffa009,0x803ffe80,0xdff11fff,0x885ffd00,
    0x3ee00fff,0xf900007f,0x01bfe29f,0x013fee00,0x009ff700,0x004ffb80,
    0x0027fdc0,0x0006ff88,0x3ff60000,0xbff70004,0x5c6ff880,0x7fc405ff,
    0xfd93ff66,0x7fff405f,0x07ffe602,0x05fff000,0x3e1fffea,0xfff502ff,
    0x205fff0f,0xff87fffa,0xffff502f,0xffffff30,0x6401dfff,0x7fc406ff,
    0x06ffc81f,0x640fffc4,0x7fc406ff,0x06ffc81f,0x640fffc4,0x7fc406ff,
    0x1ffd001f,0x037fe400,0xff89bfee,0x837fd406,0xff502fff,0x2e0000ff,
    0x0dff15ff,0x3fff3000,0x7ffcc000,0x3fe60001,0x3e60001f,0xf88001ff,
    0x2a00006f,0xffb804ff,0xffc8001f,0x1bff6204,0x6c409ff9,0x93ff66ff,
    0xf503fffb,0x6c01dfff,0x20001eff,0xffa84ffe,0x4ffe87ff,0x87ffffa8,
    0xffa84ffe,0x4ffe87ff,0x07ffffa8,0xdffffff3,0x9fff1007,0x413ffa20,
    0xd104fff8,0x3fe209ff,0x9ffd104f,0x413ffe20,0xf104ffe8,0x3fa209ff,
    0x3ffa004f,0x3ffe2000,0x45fff305,0x3a606ff8,0x9ffd01ff,0x0fffff50,
    0x7fff1000,0x0001bfe2,0x000f7fec,0x003dffb0,0x00f7fec0,0x03dffb00,
    0x006ff880,0x007ff200,0x10177ff4,0x306ffb83,0xfb8dfffd,0xfffd306f,
    0x362ffecd,0xecabdfff,0x05ffffff,0x2f7fffe2,0x05dba99a,0xb57ffff5,
    0x50ffdbff,0xfb57ffff,0xf50ffdbf,0xffb57fff,0xff50ffdb,0xbffb57ff,
    0x3fee0ffd,0xfb800199,0xfcaabeff,0x3ee00fff,0xfcaabeff,0x3ee00fff,
    0xfcaabeff,0x3ee00fff,0xfcaabeff,0x3ee00fff,0xfcaabeff,0x3a000fff,
    0x7dc000ff,0xfcbabeff,0x7ffc45ff,0xffda9abe,0x3ffea04f,0xedffdabf,
    0x5e76c07f,0xffecb9aa,0x00dff10f,0x3fffe200,0xdba99abd,0xbffff105,
    0xbb753357,0x37fffe20,0x5dba99ab,0x7bffff10,0x4bb75335,0x00006ff8,
    0xf9801ff6,0xcaacefff,0x7ffcc3fd,0xfffdb9ae,0x7ffcc6ff,0xfffdb9ae,
    0x17ffa6ff,0xffffffd1,0xfff77fff,0x7fff4c09,0x5fffffff,0x3fffffa0,
    0x20ffd5ff,0xfffffffe,0x3fa0ffd5,0xd5ffffff,0x3fffa0ff,0xffd5ffff,
    0x00017f60,0x3fffffee,0xb800dfff,0xffffffff,0xffb800df,0xdfffffff,
    0xffffb800,0x00dfffff,0xffffffb8,0x4000dfff,0xb8000ffe,0xffffffff,
    0xffff885f,0x3fffffff,0xfffffe80,0x80ffd5ff,0xfffffffd,0x3e21efff,
    0x2600006f,0xfffffffe,0x3a605fff,0xffffffff,0x3fa605ff,0xffffffff,
    0x3ffa605f,0xffffffff,0x001bfe25,0x4005ff80,0xffffffe9,0xffc83fff,
    0x8dffffff,0xfffc86fe,0xe8dfffff,0x417ffa6f,0xceffffeb,0x00bfff20,
    0xffffffd7,0xffc807bf,0x1ff63eff,0x3effffc8,0xffc81ff6,0x1ff63eff,
    0x3effffc8,0x3fe21ff6,0xfb300002,0x007dffff,0xfffffd98,0x7ecc003e,
    0x003effff,0x7ffffecc,0x7ecc003e,0x003effff,0x0001ffd0,0x3fffff66,
    0x3f6e202e,0x00ceffff,0x3bffff20,0xd901ff63,0xdfffffff,0x06ff8817,
    0xffeb8000,0x03dfffff,0xfffffeb8,0xeb803dff,0xdfffffff,0xfffeb803,
    0x223dffff,0x300006ff,0x2e0005ff,0xcefffffe,0xffffd501,0xa837f45d,
    0x22effffe,0x17ffa6fe,0x00000620,0x000cccc4,0x20000ccc,0x4c000199,
    0x4cc00019,0x07754001,0x04c40000,0x00988000,0x00131000,0x00026200,
    0x00004c40,0x00007ff4,0x30000cc4,0x33300001,0x26660000,0x04cc009a,
    0x26200000,0x22000199,0x20001999,0x00019998,0x98066662,0x31000009,
    0x26200003,0x00cc4001,0x80066200,0x00000998,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xec800000,0xb100003e,0xdd301bdd,0x675c00bd,0x2cc8802c,
    0x033bfb26,0x54000000,0xcccdffec,0x00001ccc,0x00000000,0x40007db3,
    0x000deed8,0x20000000,0x00001eeb,0x0000eed8,0x3200bdd1,0x640003ee,
    0x880000df,0x2600deed,0x20982cec,0x3b262cc8,0x2e000cef,0x3b620dee,
    0x8873264e,0xa80cefda,0x332003cc,0x83ba601c,0x32000ee9,0xeeeeeeee,
    0xddddd502,0x30000bdd,0xd000bddd,0xffd80bdd,0x440003ff,0x2600effe,
    0xf9005ffe,0x2019ffff,0xfff74ff8,0x2a05ffff,0xec800fff,0xfffd880e,
    0xffffffff,0x0fffa82f,0x260eec80,0x800beffe,0x7f400eec,0xe88001ff,
    0x93000eff,0x0bdffffd,0x1ffe0000,0x3bbbbaa0,0x2ffc45ee,0x0dff1000,
    0x07ffffb0,0x17ffee00,0xdffd1000,0x7fffd401,0x21df51ef,0xfff74ff8,
    0x7005ffff,0x7f441dff,0x4bfee0df,0xfffffff9,0x007ffd42,0x3007ffcc,
    0x1ff627ff,0xfffffb00,0x3ee07fff,0x06ffffff,0xbffd3000,0x06fff800,
    0x3ff73ff6,0xffd10003,0x3ff62009,0xffffc805,0xff882fff,0xffdfffcc,
    0x3faa0fff,0x7d400fff,0x9fffd04f,0xddfffd75,0x7fff543d,0x27fd400f,
    0x0fffffe6,0xf009ff50,0x88007fff,0xb1004ffe,0xffffffff,0x9800001f,
    0xffa804ff,0x546fffff,0x220002ff,0x7fec06ff,0x8003ffdc,0x0006fffc,
    0x3013ffa2,0xfffd9dff,0x7fc4bfff,0xffdfffcc,0x3e600fff,0x27fec0ef,
    0x7fd57fdc,0x0ffffeef,0x6401fffc,0xffd805ff,0x4004ffff,0xaaaaaaa9,
    0x9999301a,0x0000dffb,0x002ffec4,0x3f60bfff,0x00fff63f,0x005ffd10,
    0x200bff70,0x2ffffc98,0x27ffffc4,0x7d4fffea,0x200fffff,0xff906ff8,
    0x0dff901d,0x1ffffff5,0x0837fc40,0x7c40dff3,0xfffb006f,0x7ff44001,
    0xfffd1002,0x1d99779b,0x80fff400,0xc9801ffb,0x46ffcccc,0x440007fd,
    0x3ff606ff,0x000fff63,0x0009fff5,0x400bffa2,0x7fffdc4c,0x7ffffc45,
    0x81fffd44,0x7ec0eff9,0xfbff703f,0x7ff541bf,0x4037fe43,0xd8802fff,
    0x0004ffff,0xff980000,0xfb800006,0xbffd005f,0x55035510,0x554c0015,
    0x2aa60000,0x7ff44001,0x3fffe20f,0x74bff903,0x200ffc8c,0xfff01ffc,
    0x40fff403,0x00ffc8ce,0xf3007ff2,0x0ffe40bf,0x80039700,0x32000aa9,
    0x00001eff,0x7ec07ffa,0x3fe20006,0x00027fc6,0x5441bfe2,0x00aaa81a,
    0x0001e540,0x00001553,0xff101531,0x3ff207ff,0x88155305,0x3fee01aa,
    0xbff704ff,0x201fff98,0x44007ff9,0x000000aa,0x0dff3000,0x2aa60000,
    0x04ffe801,0x00000000,0xf8800000,0x3ffe24ff,0x09bfea03,0x7cc03ff2,
    0x0fff104f,0x2083ffc8,0xff300ffc,0x77fff409,0x009ff300,0x40000000,
    0x0000fff9,0xa80fff40,0x3e20001a,0x002aa26f,0x00dff100,0x00000000,
    0x00000000,0xa80fffe2,0x000006ff,0x8813ffee,0x4ffe86ff,0x0013ff20,
    0x00000000,0x001bfe60,0x7ec00000,0x0000004f,0x00000000,0x7c4fff70,
    0x3ffc406f,0xfd00ffc8,0x1bfe601d,0xc807ff90,0x1dfd00ff,0x77ffff40,
    0x000efe80,0x20000000,0x00004ffb,0x0001ffe8,0x01bfe200,0x37fc4000,
    0x00000000,0x00000000,0x406ff880,0x00007ff8,0x1017fee0,0xfff50fff,
    0x000fffc0,0xca880000,0x4001bdee,0x00006ff9,0x7ffb0000,0xdfdb9510,
    0x9510039d,0x039ddfdb,0xdfdb9510,0xf980039d,0x0dff10ff,0x3f20fff0,
    0x02ffc80f,0xe803ffe2,0x7fe401ff,0x002ffc80,0xfc85ffb1,0x7fc4002f,
    0x9dfd9303,0x0e776445,0x00017fe4,0x000fff40,0x0dff1000,0xeecba800,
    0x4406ffcd,0xcdeffecb,0x3b6ea002,0x4400acee,0xcdeffecb,0x803cc882,
    0x0dff14cc,0xb980fff0,0x401bdeec,0x80004ffb,0xffa82fff,0x3b2e6006,
    0x4c001bde,0xffffffff,0x1bfe6004,0x33326000,0xc803cccc,0x7ffc43ff,
    0xefffffff,0xfffff100,0x01dfffff,0x3fffffe2,0x000effff,0x3e21fff1,
    0x07ff806f,0xff981ff9,0x04ffd804,0xf900fff5,0x04ff981f,0xf31ffe40,
    0xff10009f,0xfffff707,0xffff39ff,0x1ffe83ff,0xffe80000,0x22000001,
    0xd30006ff,0xffffffff,0x7ffdc0df,0x04ffffff,0xfffffe98,0x3ee03fff,
    0xffffffff,0x806ff884,0x0dff17ff,0x7dc0fff0,0xcfffffff,0x009ff700,
    0xb0bff900,0x3ee007ff,0xcfffffff,0xdfffb800,0x06fffdcc,0x000dff30,
    0xffffff50,0x155300df,0xceefff88,0x106fffed,0xdb9ddfff,0x3e20dfff,
    0xfedceeff,0xff5006ff,0x4037fc4f,0x1ff907ff,0x9800ffe8,0xc999dfff,
    0xfc802fff,0x007ff40f,0x3fffbbaa,0x0003ffa0,0x3ee13fe6,0xffffecdf,
    0x0fffdcff,0x00007ffa,0x0007ffa0,0x06ff8800,0xeffffb80,0x06ffffed,
    0x99bdfff9,0xfb809fdb,0xffeeffff,0xdfff903f,0x09fdb99b,0xff00dff1,
    0x201bfe2f,0xffe887ff,0xffffddff,0x04ffb80e,0x0fff9800,0x1003ffe2,
    0xfbbffffd,0x4c01dfff,0xff982fff,0x6ff9803f,0xeeea8000,0x0006ffee,
    0xfb8056c4,0x0ad883ff,0x107fff70,0x3fee015b,0x7ff4403f,0x201bfe25,
    0x1ff907ff,0x98017fdc,0xffffffff,0xff9003ff,0x4017fdc1,0x21effffb,
    0x30002ffb,0x305509ff,0x7e43ffff,0x007ffa2f,0x07ffa000,0xff880000,
    0x7ffcc006,0x30dff503,0x00803fff,0x207bffe6,0xfff982b8,0x7fc40401,
    0xf17ff806,0x0fff00df,0xf503fff9,0x9ff709ff,0x3ffa0000,0x2017fea3,
    0xfa81fffc,0x3ff604ff,0x03ffe602,0x000dff30,0x01bfe200,0x40017fe6,
    0x20004ffe,0x20004ffe,0x5d544ffe,0x220ffffc,0x7ff806ff,0x7fcc3310,
    0x2fbfa005,0x00deffff,0xff986620,0x35551005,0x8005ff98,0x004ffca8,
    0x3e22fff4,0x007ffa5f,0x07ffa000,0xff880000,0x17ff4006,0xf70dff10,
    0xfe80009f,0xff70005f,0x3fe20009,0xf17ff806,0x8fff00df,0x2600fff9,
    0x7fdc1fff,0xff500004,0x2017fecd,0x2600fff9,0xff981fff,0x01ffe806,
    0x2a037fcc,0x7fc4001c,0x02ffb806,0x00dff500,0x0037fd40,0xff8dff50,
    0x442effff,0x7ff806ff,0x003ffa00,0x0061ffd4,0x01ffd000,0x03ffa000,
    0xffffd880,0x7fe4004f,0x3fa6fe83,0xe800001f,0x000001ff,0xa801bfe2,
    0x7fc406ff,0x005ffb86,0x003ffee0,0x002ffdc0,0xf806ff88,0x00dff17f,
    0x3ffd8fff,0x5c4ffd80,0x200004ff,0x7ff89fff,0x803ffd80,0xffb84ffd,
    0x03ffc803,0xfd037fcc,0x7c4007ff,0x0ffd806f,0x0dff1000,0x037fc400,
    0xe8dff100,0xf103ceff,0x0fff00df,0x800bfee0,0x00002ffc,0x000bfee0,
    0x0017fdc0,0xddfffff1,0x2ffb8007,0x3ffa7fe8,0xfe800001,0x2000001f,
    0x32006ff8,0x7fc402ff,0x03fff986,0x007ffb00,0x01fffcc0,0x4037fc40,
    0x0dff17ff,0xfff8fff0,0x46ffa800,0x00004ffb,0x3fef3ff2,0x00fff804,
    0xfd86ffa8,0x999999bf,0x404ffc99,0xff506ff9,0x22001fff,0x6ff806ff,
    0x75553300,0x26600dff,0x06ffbaaa,0xf7555330,0x807fe8df,0xff806ff8,
    0x05ff8807,0x4df7fe40,0x3e200000,0xf100005f,0xffd800bf,0xaa98001e,
    0xaaaacffd,0x3ffd0ffe,0xffd00000,0x44000003,0x3f6006ff,0x37fc401f,
    0x1cffffd8,0x007ffa00,0x9ffffb00,0x1bfe2003,0x7fc5ffe0,0x227ff806,
    0xff1007ff,0x004ffb8f,0x3bbfe600,0x7fc400ff,0x0fff1007,0xfffffffd,
    0xbfffffff,0x706ff980,0x003fffff,0xf101bfe2,0x7ff5409f,0x6fffffff,
    0x3ffffaa0,0x206fffff,0xffffffea,0x3ff46fff,0x4037fc40,0xffd807ff,
    0x7ffcc000,0xefffffff,0x7fec001c,0x20006620,0x22000ffd,0x22001fff,
    0xfffffffd,0xffffffff,0x0003ffd0,0x003ffd00,0x37fc4000,0x801ffd00,
    0xfb106ff8,0x017dffff,0x0007ffc4,0x3ffff620,0x3e200bef,0x17ff806f,
    0xfff00dff,0xf0037fcc,0x27fdc1ff,0x3ffa0000,0xff9806ff,0x03ffe006,
    0xfffffffd,0xbfffffff,0x306ff980,0x400fffff,0x99806ff8,0xffffe880,
    0x6fffffff,0xfffffe88,0x86ffffff,0xffffffe8,0x746fffff,0x6ff8807f,
    0x5c07ff80,0x3ffe23ff,0xffff502f,0xffffffff,0x4ffee00b,0x02efffd8,
    0x7c47ff70,0x7fcc2fff,0x3ffe6007,0xffffffff,0x3a7fffff,0x800001ff,
    0x00001ffe,0x801bfe20,0x7c400fff,0x7fed406f,0x880cffff,0x200007ff,
    0xffffffda,0x06ff880c,0xdff17ff8,0x7d4fff00,0x3ffe005f,0x0013fee0,
    0x5ffff700,0x00bff500,0x3f607ffc,0x999999bf,0x40099999,0x3ee06ff9,
    0x3e2001ff,0x7ec0006f,0xff880aef,0x0aeffd86,0xfd86ff88,0xff880aef,
    0x4403fec6,0x7ff806ff,0xfb1bfe20,0x3f605fff,0xfdccccef,0x4404ffff,
    0x3fff26ff,0x7c401fff,0x7fffec6f,0x003ffd42,0x7dc3bffd,0x3ffd001f,
    0xffd00000,0x44000003,0x3fe006ff,0x37fc400f,0xfffeb880,0x01fff06f,
    0xfeb88000,0xff886fff,0xf17ff806,0x4fff00df,0xf1006ff9,0x04ffb8ff,
    0x7ffc4000,0x0dff3006,0x321ffe20,0x400003ff,0x0c406ff9,0x037fc400,
    0x01fff300,0x3e637fc4,0x3fe200ff,0x007ffcc6,0x0988dff1,0xb0000000,
    0x67fd43ff,0x5ffc82ff,0x03ffec40,0x0d887ff6,0xfd807ff5,0x3f3fea1f,
    0x0fffcc2f,0x5c37fcc0,0xffd002ff,0xfd000003,0x4000003f,0x3a006ff8,
    0x7fcc01ff,0xffd88006,0x01ffe83f,0x3f620000,0x37fc43ff,0x4003ffc0,
    0x3fe26ff8,0x0bff3007,0x7c400000,0xff1002ff,0x17fe600f,0x00013fee,
    0x000dff30,0x01bfe200,0x405ffb80,0x7fdc6ff8,0x237fc405,0x7c405ffb,
    0x0000006f,0x88ffea00,0x82ffacff,0xf9800fff,0x7ff501ff,0x204ff980,
    0x3fe23ffa,0x7c42ffac,0xffa803ff,0x003ffb84,0x00003ffd,0x0003ffd0,
    0x037fc400,0x4405ffb0,0x20006ffe,0xffd84ffc,0xc8000004,0x7ffc44ff,
    0x01ffee00,0xff17fe60,0x9ff9005f,0x64000000,0x7fc006ff,0x4ffc802f,
    0x001fff98,0x01bfe600,0x37fc4000,0x09ff9000,0x3237fec4,0x3f6204ff,
    0x027fe46f,0x988dffb1,0x3fea0000,0x8dff1004,0x2ffa8ffc,0x8803ffcc,
    0xff880fff,0x01ffd806,0xffc8dff1,0xfb82ffa8,0x7fd402ff,0x005ffe83,
    0x00003ffd,0x0003ffd0,0x037fc400,0x740bff70,0x20006fff,0xffb85ffb,
    0x4000001f,0xfff85ffb,0x0ffff502,0xc89ff900,0x7fc406ff,0x4ffa801f,
    0x5fff3000,0x06ffc800,0xd80fffc4,0x00001eff,0x0000dff3,0x001bfe20,
    0xd306ffb8,0xffb8dfff,0xdfffd306,0xd306ffb8,0x7fc4dfff,0xff90001f,
    0x87ff6003,0x5ff52ff9,0x801fff88,0xffb06ffd,0x1ffec403,0x7cc3ffb0,
    0x205ff52f,0x301cfffe,0xfffc8bff,0x1ffe801f,0xffe80000,0x22000001,
    0x3e2006ff,0x7fec42ff,0xf10006ff,0x3ffa07ff,0x0006202e,0x741fffc4,
    0xfffa84ff,0x7fcc007f,0x27ffc41f,0x004ffe88,0x30003ff9,0x10009fff,
    0x3a209fff,0x3fe204ff,0xa99abdff,0xff9805db,0xf1000006,0x7cc000df,
    0xfdb9aeff,0x7cc6ffff,0xfdb9aeff,0x7cc6ffff,0xfdb9aeff,0x3f26ffff,
    0xfb0005ff,0x13fea00f,0xfffffff9,0xcfffe8ff,0xfeb9889a,0x4ffa81ff,
    0x80bffa60,0x7fe44ffa,0x87ffffff,0xdeffffe8,0x57fff11c,0x7fff9ffb,
    0x7f459533,0xe800001f,0x000001ff,0xb001bfe2,0xff959fff,0xdb0dff3f,
    0xd9735579,0x3e601fff,0xcaacefff,0xbced83fd,0xffecb9aa,0xffffa80f,
    0xfedffdab,0xfff95007,0x3bffee09,0xffffcaab,0x00ffb000,0x3fff6eae,
    0x3fee0006,0xffcaabef,0x7f4c00ff,0xffffffff,0x6666645f,0xccccfffd,
    0x3332000c,0xccfffccc,0xf9000ccc,0xbfffffff,0xff90dfd1,0x1bffffff,
    0xfff90dfd,0xd1bfffff,0x2fffe4df,0x805ff800,0xffc86fe8,0x47ffffff,
    0xfffffff8,0x81ffffff,0x3ea06fe8,0x44199aff,0xfffc86fe,0x207fffff,
    0x3ffffffc,0x3ffffff2,0xffffff91,0x00fff47f,0x6fff4000,0xcccccccc,
    0x6666401c,0xcccfffcc,0xffd100cc,0x3a3fffff,0xffffd86f,0x1effffff,
    0x7ffff4c0,0xd83fffff,0xffffffff,0x3fa01eff,0xd5ffffff,0xfff100ff,
    0x7fdc01bf,0xdfffffff,0x017fe000,0x6ffffffc,0x7fdc0000,0xdfffffff,
    0x3ffae000,0x43dfffff,0xffffffff,0x00ffffff,0x3fffffe0,0xffffffff,
    0x3ffaa000,0x1bfa2eff,0x77ffff54,0x7541bfa2,0x3a2effff,0x07ffe26f,
    0x00bfe600,0x54007ff2,0xfd7102ff,0x7dffffff,0xb00ffe40,0x8fffffff,
    0xf5001ffc,0xfb71005f,0xfffc87ff,0x7fff642d,0x07ffa1ef,0x3ffa0000,
    0xffffffff,0x7ffc02ff,0xffffffff,0x7ec00fff,0x3fa1ceff,0xffffec86,
    0x000befff,0x3fffffae,0xffec81ce,0x0befffff,0xeffffc80,0x2201ff63,
    0xb3003fff,0x07dfffff,0x002ff980,0x005dffff,0x7ffecc00,0x40003eff,
    0x3e019998,0xffffffff,0x000fffff,0x3ffffffe,0x0fffffff,0x00198800,
    0x0000cc40,0x31000662,0x06620001,0x8013fe60,0x98802ffa,0xf98019a9,
    0x7ffec04f,0x3fe67fff,0x0bfea004,0x4c404c00,0x404cc400,0x00001ffe,
    0xffffffe8,0x02ffffff,0x7ffffffc,0x0fffffff,0x80001100,0x0009a999,
    0x40019880,0x0009a999,0x00003330,0x4c400013,0x06620000,0x0001a980,
    0x00098800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00033100,0xb106f6c4,0x440001bd,0xc800deed,0xeeeeeeee,
    0x1bdb1002,0x4006f6c4,0x1bdeeca8,0x3bbbb200,0x9802eeee,0x03ba60ee,
    0x416764c0,0x0bdd1009,0x76e54400,0x0001ceef,0x3bb20031,0xddd50001,
    0x800bdddd,0x00001998,0x00deed88,0x0deed880,0x00fbb200,0x20b3b260,
    0x01330009,0x93019700,0x05dd7007,0xb106f6c4,0x75c001bd,0x3100001e,
    0x19980001,0x03331000,0x0000c400,0xffffeda8,0x1fffffff,0x263bfea0,
    0x20000fff,0x000effe8,0xfffffffb,0x7fd4007f,0x00fff98e,0xffffff98,
    0xffb004ff,0x07ffffff,0x3627ff30,0xfff5007f,0x3bea3dff,0x006ff880,
    0xffffff10,0x001dffff,0x7bffffb5,0x000ffec0,0xffffffa8,0xffd9806f,
    0x00cfffff,0x77ff4400,0xffe88000,0x3ff6000e,0x3ea003ff,0xf51effff,
    0xfff9101d,0x9003bfff,0xfff88dff,0x3fffea02,0x23bfea01,0x2000fff9,
    0x0007fff9,0xfffffb93,0xeca8017b,0x0befffff,0x3ffffae0,0xdb805fff,
    0x00cdffff,0xfffffb80,0xffffffff,0x7ffd401f,0x20000fff,0x4004ffe8,
    0xaaaaaaa9,0x7fd4001a,0xb800ffff,0xfdccdfff,0xaa9806ff,0x01aaaaaa,
    0xffffffb0,0x9dff3009,0xbffffffd,0xcfffdcc8,0x4401cccc,0xedceefff,
    0x7e406fff,0x5fffffff,0x0003ffb0,0x3f333326,0xfffb806f,0x3fffffff,
    0x9ffd1000,0x3ffa2000,0x67fec004,0xf9803ffd,0xffffecef,0xfffb85ff,
    0x4fffffff,0x263ffec0,0x3f604fff,0x7d403fff,0x000fffff,0x007fffd4,
    0x3fffff20,0x103fffff,0xfffffffb,0xff509fff,0xffffffff,0x7ffec40f,
    0x01efffff,0x2fbfff60,0xcccdffda,0xff9800cc,0x220000ff,0x00002ffe,
    0x3fe60000,0xff9800ff,0x3fff982f,0x22000000,0x004ffffd,0xffff7132,
    0xffffff0b,0x805fffff,0xff700ad8,0x3fff607f,0x6fffdbbd,0x0001ffd8,
    0x201bfe20,0xecaacdfb,0x4001ffff,0x0002ffe8,0x8005ffd1,0x3ff63ffd,
    0x7dc4c803,0xffa85fff,0xfecaacef,0x3fea03ff,0x201ffd84,0x802ffffc,
    0x000ffff9,0x006fff88,0x3bffffa2,0x83ffedcc,0xcefffffa,0x544ffedc,
    0xbaccffff,0xfd307ecc,0xffd97dff,0xff5003ff,0x02ffc83f,0x00554c00,
    0x002aa600,0x20000000,0xfb000aa9,0x7ffcc05f,0x40000000,0x00000aa8,
    0x3fe01531,0xffffffff,0xfd00002f,0x3fff709f,0xd87fff30,0x200001ff,
    0x00806ff8,0x002fff44,0x80002aa6,0x44000aa9,0x0aaa81aa,0x01531000,
    0xfe813ffe,0x3004406f,0x6ffe8801,0x002aa600,0x000cc980,0x8813fffa,
    0x7fffcc2b,0xf892e203,0xb00804ff,0xff301dff,0x5ffd00ff,0x0005ff90,
    0x00000000,0x00000000,0x037fcc00,0x0000fff4,0x00000000,0x1bfe2000,
    0xff500000,0x403fff0d,0x7fec6ffa,0x3e200001,0xf500006f,0x000000ff,
    0x00000000,0x3e600000,0x3fea00ff,0x8000000f,0x000002a8,0x3ea00000,
    0xfb0002ff,0xf70003df,0x7d4000df,0x3fe601ff,0x17fea02f,0x00017fe4,
    0x00000000,0x6f765cc0,0x0000001b,0x3200ffee,0xb95103ff,0x0039ddfd,
    0x00000000,0x000dff10,0x46ff8800,0xfe805ffa,0x007ff62f,0x86ff8800,
    0xfff88001,0x00000000,0x00000000,0x5ffa8000,0x000fff80,0x00000000,
    0xd0000000,0x2a0007ff,0x90000fff,0x740009ff,0xffc803ff,0x40fff606,
    0x2e002ffc,0xcccccccc,0x9302cccc,0x77ed4439,0xfff7000c,0x019fffff,
    0x2a21cc98,0xfd80cefd,0x999999bf,0x884ffc99,0xffffffff,0x99300eff,
    0x00799999,0x6666664c,0xdff1003c,0x54cc0000,0x746ffbaa,0xffe802ff,
    0x8807ff65,0x7c403ccc,0x001f666f,0x6441bfe2,0x3bfb262c,0x3332600c,
    0x2003cccc,0xccccccc9,0x45991003,0x40cefec9,0x2a00fff8,0x999305ff,
    0x00079999,0x262cc880,0x200cefec,0xcccccccb,0x5c2ccccc,0xd0000fff,
    0x640009ff,0xf30005ff,0xff3001ff,0x03ffe03f,0xd0017fe4,0xffffffff,
    0x2e07ffff,0xffff32ff,0x74405fff,0xffddffff,0x3ee00eff,0xfffff32f,
    0xfffe85ff,0xffffffff,0xff885fff,0xffedceef,0xffff506f,0x5400dfff,
    0x6fffffff,0x54dff100,0x201dfffd,0xffffffea,0x3ffc6fff,0x97fffa60,
    0xfd101ffd,0xff8801df,0x007ffd9e,0xf103ffa8,0x3fffee9f,0xff502fff,
    0x00dfffff,0x7fffffd4,0x9ff1006f,0x3fffffee,0x02ffec2f,0x3ea05ffd,
    0x06ffffff,0xa7fc4000,0xfffffffb,0xfffffd02,0x7fffffff,0x0003ffd8,
    0x0001fff1,0x000fffdc,0xd002ffd4,0x1ffe05ff,0x2002ffc8,0xfffffffe,
    0x703fffff,0xdfff55ff,0x201ffffd,0xfa81fffc,0x3fee04ff,0xfeefffaa,
    0x3ffa0fff,0xffffffff,0xd885ffff,0x7fff700a,0xfddddd50,0x775400df,
    0x006ffeee,0x3ff6dff1,0x443fffff,0xfffffffe,0x3e26ffff,0x3ffee06f,
    0x07ff66ff,0x003bffa2,0x3fffffe2,0x7fc4003f,0x99ff101f,0xffffbfff,
    0xdddd501f,0x5400dffd,0x6ffeeeee,0xf99ff100,0xfffffbff,0x0f7ffd41,
    0x201dffd3,0xffeeeeea,0x7c400006,0xfdfffccf,0xfe80ffff,0xffffffff,
    0x7ff43fff,0xdff50002,0xfff88000,0x7fe4003f,0x0fff6003,0xfc81bfe2,
    0x009999bf,0x03bff200,0x6ffeffdc,0x20fffaa0,0x2600fff9,0xff701fff,
    0x7541bffb,0x2fff63ff,0x99999999,0x20000999,0xf1004ffe,0xf88000df,
    0xdff1006f,0xffb9dffb,0x77fec1ff,0x26ff880a,0xfd886ff9,0x367ffcff,
    0x7ff441ff,0xfff5000e,0x220017ff,0x201effb9,0x44fffff8,0x1003fffa,
    0x88000dff,0xff1006ff,0xffa89fff,0x7fffd43f,0x00dfffcd,0x0037fc40,
    0x3fffe200,0x1fffd44f,0x0effc800,0x8000fffc,0x80005ffb,0x0beffffa,
    0x003ffd80,0x3e613ff2,0x3fff205f,0x0006ffff,0x5c03fff5,0xf704ffff,
    0x07ffb0bf,0x2e09ffb0,0xf704ffff,0x01ffe4bf,0xff500000,0x1bfe200d,
    0x0dff1000,0x3ffffe20,0x9a7ff4c3,0x3e200fff,0x317fea6f,0x3fa5fffd,
    0x443ffb0f,0x9800effe,0x00bffffd,0xffffff98,0x7ffc400e,0x0bff903f,
    0x001bfe20,0x200dff10,0x903ffff8,0xffd10bff,0x0007ffff,0x0001bfe2,
    0x07ffff10,0x20017ff2,0x7c41fffa,0xf90000ff,0x3bbb609f,0xffa84eee,
    0x201cffff,0x2e002ffe,0x5ffa85ff,0x3fffff20,0xf88006ff,0x7fdc02ff,
    0x1bfe204f,0x2a003ffe,0xfff706ff,0x737fc409,0x000009ff,0x8037fc40,
    0x40006ff8,0xf1006ff8,0x3f205fff,0x80bff75f,0x3fea6ff8,0x83bffee4,
    0x3ffb1ffe,0x003bffa2,0xdfffffb3,0x7fffcc00,0x2202efff,0x3ea03fff,
    0xdff1006f,0x6ff88000,0x07fff100,0xfb837fd4,0x00dfffff,0x006ff880,
    0x7c405e4c,0x3fea03ff,0x7ffc4006,0x007ffa82,0x7c0fff60,0x05ffffff,
    0xffffff91,0x03fff01b,0x542ffdc0,0x3ff205ff,0x002aaaac,0xb804ffe8,
    0x7fc405ff,0x803ffc47,0xff707ff8,0x27ff880b,0x0001fff9,0xbaaa9980,
    0xff1006ff,0xff88000d,0x7fff1006,0xfcb7fd40,0x3ff6204f,0x3633fea6,
    0xfff84fff,0x3f63ffb0,0x7fcc00ef,0x006ffcff,0x3f32aaa2,0xff104fff,
    0x07ff880d,0x000dff10,0x1006ff88,0xff880dff,0xfdfffd87,0x4001ffff,
    0x26006ff8,0xff886fff,0x03ffc406,0x4c13ffa0,0x360007ff,0xdddb03ff,
    0xb880bffd,0x42fffffe,0x2e002ffe,0x6ff984ff,0x000bff20,0x401bff60,
    0x20004ffb,0x3e006ff9,0x4ffb80ff,0x3bff6000,0xfea80001,0xffffffff,
    0x0dff1006,0x06ff8800,0x880dff10,0x0dff77ff,0x99bfffa6,0x2fffeeff,
    0x7fecfff0,0x800effd9,0xff88cff9,0xff700006,0x0dff107f,0x2200fff0,
    0x440006ff,0xff1006ff,0x4cfff00d,0xf711effe,0x44005fff,0x3f2006ff,
    0x7fc43fff,0x007ff806,0xf881bff6,0xf90000ff,0x3fe6009f,0x3ff66005,
    0x0bff61ff,0x883ffc80,0x3ff206ff,0x7fdc0002,0x9ff7000f,0x2ffd4000,
    0x701fff00,0x440009ff,0x9abdffff,0xd105dba9,0xffffffff,0x2200dfff,
    0x440006ff,0xff1006ff,0x26fff00d,0xdb9aefff,0x226fffff,0x00efffff,
    0x7fecfff1,0x3001fffe,0x037fc419,0x0fff7000,0xff00dff1,0x1bfe200f,
    0x0dff1000,0x201bfe20,0x17ffa7ff,0x0037ffcc,0x5400dff1,0x7c45ffff,
    0x07ff806f,0x801fff70,0x70001fff,0x3e600bff,0xffa8005f,0x00fff67f,
    0xff02ffd8,0x017fe40f,0x03fff300,0x0027fdc0,0x200dff30,0xff707ff8,
    0xfe980009,0xffffffff,0x5dffb05f,0x00dff101,0x0001bfe2,0x2200dff1,
    0x7ff806ff,0x3ffffff2,0x46fe8dff,0x4c04ffff,0x2bff66ff,0x20006ffe,
    0x00006ff8,0xf103ffe2,0x0fff00df,0x001bfe20,0x200dff10,0xff806ff8,
    0x980dff37,0xf1002fff,0xffe800df,0x037fc46f,0x7cc03ffc,0xffe801ff,
    0xdff50003,0x017fe600,0xc8fffcc0,0x3fa005ff,0x05fff01f,0x4000bff2,
    0x4003ffe8,0x20004ffb,0xf3007ff8,0x13fee0bf,0x7ff5c000,0x83efffff,
    0x2200fff9,0xff1006ff,0xff88000d,0x0dff1006,0xfea8fff0,0x3fa2efff,
    0x401fff46,0x3ff64ffc,0x005ffe89,0x000dff10,0x440fff80,0x7ff806ff,
    0x00dff100,0x006ff880,0xff00dff1,0x200ffeef,0xf1004ffd,0xff9800df,
    0x037fc45f,0x3a203ffc,0xffb003ff,0x3fe2000d,0x5ff9802f,0x4fffa000,
    0xf3007ffb,0x3ff201ff,0x005ff905,0x0017ff60,0x00013fee,0xf9005fff,
    0x13fee09f,0x3a620000,0x3fee00ff,0x037fc405,0x0006ff88,0x88037fc4,
    0x7ff806ff,0xff503310,0x804ffc87,0x3ff61ffe,0x00bfff31,0x000dff10,
    0x443ffc40,0x7ff806ff,0x00dff100,0x006ff880,0xff00dff1,0x200fffaf,
    0xf1004ffc,0xfff000df,0x806ff887,0x7fec07ff,0x3ffea005,0xdffb0002,
    0x00bff300,0xf897ff40,0xffc802ff,0x07ffe204,0x2000bff2,0x8000effb,
    0x40004ffb,0x7c406ffc,0x9ff701ff,0x3ee00000,0x27fe401f,0x00dffb10,
    0x0001bfe2,0x2200dff1,0x7ff806ff,0x427fc400,0x2a01fff8,0x0ffec6ff,
    0x8009fff5,0x00006ff8,0x3e217ff2,0x07ff806f,0x000dff10,0x1006ff88,
    0xfff00dff,0x3a013ff6,0xff1002ff,0xfff9800d,0x4037fc41,0x3fee07ff,
    0x7fec000e,0xff88001e,0x2ffcc04f,0x0fff8800,0x9803bff2,0x7ec00fff,
    0x17fe41ff,0x07ffea00,0x027fdc00,0x13ffe200,0x7027ff44,0x000009ff,
    0x3ee017fe,0xfffd306f,0x1bfe200d,0x0dff1000,0x201bfe20,0x7ec007ff,
    0x1dff900f,0xd85fff50,0x7ffdc1ff,0x1bfe2003,0x3fee2000,0x06ff881f,
    0xf1007ff8,0xf88000df,0xdff1006f,0x3eefff00,0x3fee02ff,0xdff1000f,
    0x27ff4400,0x7c037fc4,0x3fff507f,0xffff3000,0x3215c407,0xf300dfff,
    0x4c0054bf,0x7fc46ffe,0xfff980ef,0xffff9804,0xcdffdabd,0xf880cccc,
    0x2e0003ff,0xb80004ff,0xcaabefff,0x2e00ffff,0x800004ff,0xf9805ff9,
    0xfdb9aeff,0x1006ffff,0x88000dff,0xff1006ff,0x00fff00d,0x3e207ff8,
    0xfdbacfff,0x1ffd84ff,0x003fffc8,0xc880dff1,0xfcbaaaac,0xff102fff,
    0x00fff00d,0x0001bfe2,0x2200dff1,0x7ff806ff,0x57bfffd1,0x07fffd75,
    0x2037fc40,0x06fffdb9,0xff00dff1,0x07fff10f,0x7fffdc00,0xffedccef,
    0x7fffec43,0xffecbbde,0x3333bfe5,0xffffdcba,0xdffffb80,0x0efffecb,
    0xffffd100,0xffffffff,0xfffd03ff,0x99999999,0x13fee099,0x7ffdc000,
    0x0dffffff,0x0027fdc0,0xabfff800,0x3ffff201,0xfe8dffff,0xcccccc86,
    0xcccccfff,0xcccccc80,0xcccccfff,0x4037fc40,0x7ec007ff,0xfe882adf,
    0x3fffffff,0x3603ffb0,0x55542fff,0xaafffbaa,0xfff10aaa,0xdfffffff,
    0x037fc405,0x66643ffc,0xccfffccc,0xccc80ccc,0xccfffccc,0x7fc40ccc,
    0x227ff806,0xfffffffe,0x33204fff,0xcfffcccc,0xff90cccc,0x7fc407ff,
    0xe87ff806,0xcccccfff,0x2604cccc,0xfffffffe,0xff703fff,0xffffffff,
    0x7ffffcbf,0xefffffff,0x3fffea01,0x004fffff,0xffffdc88,0xffffffff,
    0x7ffffc41,0xffffffff,0x04ffb80f,0x3ff66000,0x7003efff,0x000009ff,
    0x00ffffee,0x5dffffd5,0x7ffc37f4,0xffffffff,0xfff80fff,0xffffffff,
    0x7fc40fff,0x007ff806,0x837fffcc,0xdefffec8,0x807ff602,0x3fe2fffd,
    0xffffffff,0xff10ffff,0x5bffffff,0x00dff100,0xffff0fff,0xffffffff,
    0xffff01ff,0xffffffff,0x6ff881ff,0xea87ff80,0x0cffffff,0x7fffffc0,
    0xffffffff,0x80179d90,0xff806ff8,0x7ffffc47,0xffffffff,0x7f6dc00f,
    0x00abdfff,0x3ffffb22,0x3b20bdff,0xffffffff,0xfd93002d,0x0005bfff,
    0x20006620,0xfffffff8,0x0fffffff,0x0004ffb8,0x00013100,0x00009ff7,
    0x016edc40,0xf8001988,0xffffffff,0xf80fffff,0xffffffff,0x440fffff,
    0x7ff806ff,0x3eda8800,0xb0009880,0x7f4403ff,0xfffff1ff,0xffffffff,
    0x1999981f,0x06ff8800,0xfff87ff8,0xffffffff,0xfff80fff,0xffffffff,
    0x7fc40fff,0x407ff806,0x3e000999,0xffffffff,0x000fffff,0xf00dff10,
    0xffff88ff,0xffffffff,0x262000ff,0x4cc40000,0x35331000,0x09880001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00440000,0xeed88000,
    0x3bbbaa0d,0x74405eee,0x0400005e,0x00799100,0x76400999,0x3b20003e,
    0x2eeeeeee,0x00000200,0x7fdc0131,0xffffffff,0x3b2e206f,0x002cdeff,
    0x98800013,0xffffb800,0x2fffffff,0xffedca80,0x01ffe21f,0x00037fcc,
    0x776dd400,0x3b200ace,0x2eeeeeee,0x3001fff0,0x3fee0dff,0xfc800004,
    0xffffffff,0x0013ff26,0x3fffff20,0x5c01bcde,0xffffffff,0xffffffff,
    0x4027fdc1,0xff902ffe,0x379bdfff,0xfb710000,0x0017bdff,0x1dffd100,
    0xffffffa8,0x37fc406f,0x0fec8000,0x00dff100,0x3f600fff,0xb0003fff,
    0xffffffff,0x01fd9007,0xffec8800,0x7fdc2dff,0xffffffff,0xffff706f,
    0x209fffff,0xdffffeca,0xffd91000,0x3ee03bff,0xffffffff,0x3fae02ff,
    0x21ffffff,0xf3007ff8,0xfffb80df,0x3ffa6002,0x03ffffff,0x3ffffff6,
    0x1fff03ff,0x20dff300,0x00004ffb,0xfffffff8,0x3ff26fff,0xffc80004,
    0xffffffff,0x999f700d,0x99999999,0xfb83fb99,0x2ffe804f,0xffffff90,
    0x001bffff,0x3ffffa60,0x000effff,0x413ffa20,0xffccccc9,0x037fc406,
    0x00fff800,0xf00dff10,0x9ffb00ff,0x30007ffb,0x55555555,0x01fff003,
    0x7fffd400,0x70dfffff,0x99999bff,0xff907999,0xfdb99bdf,0xfffff909,
    0xa807ffff,0xffffffff,0xeeeea83f,0x2fffeeee,0xfffffe88,0x3e20ccde,
    0xdff3007f,0x3ffffaa0,0xffff7002,0x07fffddf,0x5555554c,0x1fff01aa,
    0x20dff300,0x00004ffb,0x6fffffd4,0x3f23cccc,0xfc80004f,0xffedccef,
    0x0fb83fff,0x5c1fa800,0xffe804ff,0x99dff902,0x7fffffdb,0xcfffb800,
    0xfffdb98a,0xffe88001,0x37fc4002,0x001bfe20,0x8007ffc0,0xff806ff8,
    0xb1ffec07,0x000007ff,0x003ffe00,0x5f7ffc40,0x71fffbaa,0xf30005ff,
    0x220803ff,0xcbcefffe,0xf501ffff,0xf9535bff,0xfb0007ff,0xfffe885f,
    0x7ff8800c,0xa8dff300,0x2ffffffe,0x1efff980,0x00002b88,0x3001fff0,
    0x3fee0dff,0x7f400004,0x6400ffde,0xc80004ff,0xfff504ff,0x360fb85f,
    0x3f500abc,0x277ff262,0xe9999999,0xffc81bff,0x5ffff504,0x07bfea00,
    0x000fffa8,0x4000554c,0x7c406ff8,0xff00006f,0x3fe2001f,0x207ff806,
    0xaaa81aa8,0x80000000,0xb0000fff,0x71640bff,0xf70005ff,0xdfb0009f,
    0x0dffd101,0x2a05fff1,0x6c000fff,0x6ffec2ff,0x1ffe2000,0xe9b7fcc0,
    0xfffcffff,0x05ffe802,0x3e000000,0xff9800ff,0x009ff706,0x6dffcc00,
    0x7fe400ff,0xffc80004,0x1bff6204,0x7fff41f7,0xf71fa83f,0xffffffff,
    0xffffffff,0x04ffc83f,0x401bff62,0xf9800efe,0x0000005f,0x22037fc4,
    0xf00006ff,0x3e2001ff,0x07ff806f,0x00000000,0x003ffe00,0x003ffe20,
    0x8002ffb8,0x70005ffb,0x40fffa80,0x7e404ffc,0x7fec004f,0x003bfe62,
    0x200fff10,0xfff36ff9,0x00bffe3b,0x0001fff7,0x7ffc0000,0x06ff9800,
    0x0d509ff7,0xfb1ff900,0x4ffc801f,0x4ffc8000,0x717ffc40,0xffc9881f,
    0xffb8fd45,0xffffffff,0xffffffff,0x2027fe41,0x5402fff8,0x419882ff,
    0x00001ffc,0x01bfe200,0x7000dff1,0x9fff9999,0x49999999,0xff806ff8,
    0x10000007,0x99900799,0x3ff3332e,0xcccccccf,0x00bff304,0x8002ffb8,
    0x0003fff9,0xe85fff00,0x7fcc01ff,0x17fec007,0x10003ffb,0x3e600fff,
    0xff07ba6f,0x3ffd805f,0x33326000,0xf803cccc,0xff9800ff,0x549ff706,
    0xff8007fe,0xc801ffb5,0xc80004ff,0xffc804ff,0xe8803ee6,0x5447ea3f,
    0xaaaadffd,0xcffeaaaa,0x027fe40a,0x3a037fe4,0x7fffcc6f,0x20bff12f,
    0xcccccccb,0x402ccccc,0x7c406ff8,0x3bfb266f,0x7ffff40c,0xffffffff,
    0x1bfe27ff,0xcc89ffe0,0x0ccb8002,0x7c037fc4,0xfffffd7f,0xffffffff,
    0x13fee0ff,0x005ff700,0x33ffff60,0x3fa00001,0x03ffe23f,0x8003ffa0,
    0xdff12ffd,0x1ffe2000,0x0137fcc0,0xfd00bffe,0x7d40003f,0x06ffffff,
    0x9800fff8,0x9ff706ff,0x00dfffd5,0xffb2ffb8,0x04ffc801,0x04ffc800,
    0x3ee7ff98,0xf537d400,0x804ffb83,0xff902ffe,0x0fff3009,0xff517fcc,
    0x7e47ffff,0xfffffd07,0x7fffffff,0x406ff880,0xfff76ff8,0x7f45ffff,
    0xffffffff,0x227fffff,0x7ff806ff,0x20017fe2,0x6ff887ff,0xffd7ff80,
    0xffffffff,0x320fffff,0x7dc004ff,0xfb10002f,0x017dffff,0x22ffe800,
    0xfd007ff9,0x7fec003f,0x1109ff32,0x007ff880,0xff00dff3,0x7ffc405f,
    0x3baa0000,0x806ffeee,0xf9800fff,0xffff706f,0xd0005dff,0x007fecff,
    0x00013ff2,0x22013ff2,0x01f70fff,0x07ea7f98,0xfd009ff7,0x13ff205f,
    0x403ffe20,0xfff11ffa,0xffa86217,0xfffffe80,0x3fffffff,0x2037fc40,
    0xfffcdff8,0x00ffffed,0x44003ffe,0x7ff806ff,0x220037fc,0x6ff886ff,
    0x3e07ff80,0xfc8000ff,0x7fdc004f,0x01cceeee,0xfffffb50,0xf100019f,
    0x0fff81ff,0x002ffd80,0x7fdcbff6,0xefffec9a,0x07ff882d,0xf00dff30,
    0x7fc405ff,0xf8800007,0x0fff806f,0x906ff980,0x005dffff,0xfd93fe60,
    0x209999af,0xc9804ffc,0x67fe4cc3,0xfff00999,0xf7003ee3,0x3ee0fd4d,
    0x2ffe804f,0x4e7fe4cc,0x3fff0099,0x7d43fee0,0x0ffcc03f,0x0effc800,
    0x2037fc40,0x0cfffff8,0xf80fffea,0xff1000ff,0xe8fff00d,0x7fcc007f,
    0x806ff885,0x3ffe07ff,0x4ffc8000,0x7fffdc00,0x02efffff,0xffffd710,
    0xdff7000d,0x9007ffd0,0x7ec007ff,0xffdff92f,0xbfffffff,0x803ffc41,
    0xff806ff9,0x3ffe202f,0x7c400000,0x0fff806f,0x546ff980,0x002efffe,
    0xfb07fe40,0x49ffffff,0x7dc04ffc,0x3fffe6ff,0xd03fffff,0x103ee5ff,
    0x545ff933,0x677fdc1f,0xfccccccc,0x7fffc2ff,0xd03fffff,0x9ff205ff,
    0x7c401ffc,0xffa8002f,0x6ff8801f,0x1ffffc40,0x3e05ffc8,0xff1000ff,
    0xd8fff00d,0xa81980ff,0x6ff884ff,0x3e07ff80,0x993000ff,0x9999dffd,
    0xeea81999,0xfffffeee,0x7ec4002f,0x3e2003ff,0xfffb82ff,0x0fffaa01,
    0xfb2ffd80,0x7559dfff,0x7c49fffb,0xdff3007f,0x805fff00,0x00001fff,
    0x7c037fc4,0xff9800ff,0xfffffd16,0xff880009,0x7ffffec5,0x13ff24ff,
    0x27fffff0,0xffffffff,0x27ffd03f,0x7ffe40fb,0x2e0fd42f,0xffffffff,
    0x42ffffff,0xffffffff,0x07ffd03f,0x07fd9bf6,0x88007ff0,0xf1002fff,
    0xfff880df,0x81bfea04,0xf1000fff,0x7fdc01ff,0x2e0ffe47,0x17fdc1ff,
    0x7c037fc4,0x03ffe07f,0x7ffffd40,0xffffffff,0x3fae2001,0xfc8001ff,
    0x3ffa004f,0x33fffa05,0xfffecaab,0x3ff6002f,0x403dffb2,0xff11fffb,
    0x1bfe600f,0xd00bffe0,0x800009ff,0xff806ff8,0x6ff9800f,0x9ffbdff3,
    0x2ffb8000,0x5555ffec,0x813ff21a,0x54fffff8,0x555bffb5,0x5cbffa03,
    0x80dfe40f,0x7ffdc1fa,0xffffffff,0x6d542fff,0x01aaadff,0x3f205ffd,
    0x1003ff27,0xfe8007ff,0x3fe2004f,0x037fc406,0xff81ffe2,0x3ffe000f,
    0x8ffff502,0x7ff42ffb,0x440ffdc4,0x7ff806ff,0xfff55551,0x85555557,
    0xeefffee9,0x00eeeeee,0x04ffe880,0x005ffb80,0x4c01dffb,0xfffffffe,
    0x001fffff,0x7fecbff6,0x14ffd802,0x3e600fff,0x2fff806f,0x00fffd40,
    0x0dff1000,0x3001fff0,0x5cba6dff,0x740004ff,0x00ffd87f,0x3a027fe4,
    0x7e42ffff,0x5fff004f,0x03f903ee,0x3fee0fd4,0x02ffe804,0x3e009ff9,
    0x4ff702ff,0x7cc03ffb,0x3ff6001f,0x37fc4006,0x201bfe20,0x3ffe07ff,
    0x13ffa000,0x51ffffea,0x7ffc47ff,0x4407fe46,0x7ff806ff,0xfffffff1,
    0x0fffffff,0x00027fe4,0x006ffb80,0x401fffc4,0x7001fffc,0x17dffffd,
    0x6c001ff9,0x07ffb2ff,0x3e2dff50,0xdff3007f,0x005fff00,0x4405dfff,
    0x0dff1001,0x3001fff0,0x3fee0dff,0x3fe60004,0x400ffd84,0x74c04ffc,
    0x4ffc84ff,0x71fff880,0x201fc81f,0x27fdc1fa,0xc817ff40,0xff8804ff,
    0x23ff501f,0x8662eff9,0xf7000ffa,0xf88001ff,0x37fc406f,0xff03ffc0,
    0x7fd4001f,0xdffdabff,0x27fcc7fe,0x6c3ffff7,0x0dff107f,0x3fe2fff0,
    0xffffffff,0x3f207fff,0x3000004f,0x33b61fff,0xfecb9aab,0x7fe400ff,
    0x0110001f,0xfd800ffd,0x007ff92f,0x7ffcfff3,0x06ff9800,0x9802fff8,
    0xaaceffff,0xf1003fdc,0x1fff00df,0x20dff300,0x20004ffb,0xaaaacffc,
    0x7e400ffe,0x2013004f,0xfa804ffc,0x3103ee7f,0x7dc1fa80,0x2ffe804f,
    0x5009ff90,0x7fcc0fff,0x3fffff62,0x401ff23f,0x8001fff9,0x7c406ff8,
    0x07ff806f,0xd0003ffe,0xbfffffff,0x97fe1ffa,0x3a4ffcfd,0x0dff106f,
    0x4cccfff0,0x9999fff9,0x3ff20199,0xf3000004,0x7fffecff,0x1fffffff,
    0x00fffe40,0x1bfe2000,0x2e5ffd00,0xff9804ff,0x2003ffe6,0xff804ffa,
    0xfff3002f,0x7fffffff,0x01bfe200,0x26003ffe,0x9ff706ff,0x3ffe2000,
    0xffffffff,0x027fe400,0x027fe400,0x1f72fff4,0x0fd40088,0x3a013fee,
    0x9ff902ff,0x80bffd00,0x7ffe46ff,0x0bff13ff,0x007ffd10,0x101bfe20,
    0xfff00dff,0x0007ffc0,0x1f7fffe4,0x2dfd0ffb,0x27fdaff8,0xdff105ff,
    0x7c0fff00,0xfc8000ff,0x7000004f,0x7ff64bff,0x03efffff,0x001fffc8,
    0x03ffb800,0xfa87ffc0,0x4ffb807f,0x3200bffa,0xfff803ff,0x3fae2002,
    0x01ceffff,0xf00dff10,0xff5001ff,0x013fee0b,0x7ffffdc0,0x00ffffff,
    0x00027fe4,0x2a027fe4,0x03ee2fff,0x0fd405fd,0x3a013fee,0x9ff902ff,
    0x02fffa80,0x26217fdc,0x00ffdc1a,0x0002ffec,0xf880dff1,0x07ff806f,
    0x8000bffa,0x1ffcc199,0x57fabfec,0x09ff15ff,0xb803ffe2,0x3ffa07ff,
    0x4ffc8002,0xff880000,0xfd99883f,0xfff9002f,0xf3000003,0xffa800df,
    0x2017ff47,0x3ff23ffe,0x0fffc405,0x0017ffc0,0x004f7fc4,0x4037fc40,
    0xfc800fff,0x09ff704f,0x403ffa00,0x7e400ffd,0xfc80004f,0x3ffea04f,
    0xff107dc5,0x2e0fd40b,0xffe804ff,0x409ff902,0xd005fffa,0xff1001df,
    0x1dff700b,0x37fc4000,0x201bfe20,0x3ff607ff,0x7c400004,0xb1ff905f,
    0x7ce7fc9f,0x0bffe03f,0xb03fffd4,0xf90009ff,0x9800009f,0xfe805ffe,
    0xfffc800f,0xe9800001,0x881ec1ff,0x7fdc4ffe,0x8dff900e,0xb103fff9,
    0x3fe00bff,0xffa8002f,0x3fe20003,0x00fff806,0xb817ffcc,0xf98004ff,
    0x03ff605f,0x0009ff90,0x9309ff90,0xfb81ffff,0xf500ee40,0x804ffb83,
    0xff902ffe,0xffff9309,0x3bfee001,0x03ffe601,0x003fff50,0x406ff880,
    0xff806ff8,0x03fff207,0x0ffc8000,0x5ff5ff70,0x0ffd7fec,0xf509ffd0,
    0x7e40ffff,0x7e4000ff,0x5664004f,0xfffdcaaa,0x06ff800e,0x001fffc8,
    0x7ffecc00,0xcceffd85,0xf80ffffd,0xea9abfff,0xffc81fff,0xfecaabdf,
    0xfff000ff,0x3ff90005,0x37fc4000,0xb907ffc0,0x0dfffd77,0x66677fdc,
    0x21cccccc,0x3f601ffd,0x24ccccdf,0xcccceffc,0x202ccccc,0xfeeefffc,
    0xb80effff,0x1fa8000f,0x74027fdc,0xfff902ff,0xfffffddd,0xffb8001d,
    0xfca88acf,0x7fc402ff,0xf880003f,0x37fc406f,0xf103ffc0,0x9557dfff,
    0x1ffd000b,0x1ff7fea0,0x01ffbff5,0x55ffffd4,0x07fedffd,0x2fbfffe2,
    0x33265caa,0xcccceffe,0xfd2ccccc,0xffffffff,0x7ff30019,0xfffffa80,
    0xffffffff,0x7f6e5c5f,0xb03fffff,0xffffffff,0x3ffa203d,0x1effffff,
    0xfffffb10,0xb03dffff,0xfffddddd,0x805ddddd,0x332007fe,0xcfffcccc,
    0x3fe0cccc,0x3ffff20f,0x3ee01eff,0xffffffff,0xdff12fff,0xfffffd80,
    0x3fff27ff,0xffffffff,0x3fff204f,0xcfffffff,0x9999f700,0x99999999,
    0xffb83fb9,0x02ffe804,0xfffffff9,0x00019fff,0x3fffffea,0xe800efff,
    0xcccccfff,0x3324cccc,0xcfffcccc,0xff10cccc,0x80fff00d,0xfffffffb,
    0xffc8007f,0x7ffcc2ad,0x7ffff84f,0xfffffe80,0x80ffd5ff,0xfffffffb,
    0x3fffea7f,0xffffffff,0xfffd3fff,0x0019dfff,0x2a00ffdc,0xffffffff,
    0x45ffffff,0xfffffffe,0x3fb2200c,0x9003efff,0x09dffffd,0x3ffff6a0,
    0x3ffa04ef,0xffffffff,0x7fc03fff,0x3fffe004,0xffffffff,0x83ffe0ff,
    0x04efffeb,0xffffffb8,0x72ffffff,0xffd807ff,0x327fffff,0xffffffff,
    0x3204ffff,0xcdefffff,0xffffb802,0xffffffff,0x7dc1ffff,0x2ffe804f,
    0xdfffff90,0x2000059b,0xdffffdb8,0xffff1003,0xffffffff,0x3fffe1ff,
    0xffffffff,0x0dff10ff,0xb300fff0,0x0dffffff,0xfffff100,0x905ffff0,
    0x3200dfff,0x363effff,0xffd9807f,0x3ea6ffff,0xffffffff,0x23ffffff,
    0x0001a999,0x3ea00662,0xffffffff,0x745fffff,0x01abceff,0x0000cc40,
    0x31000066,0x3fffa003,0xffffffff,0x04cc03ff,0xffffff00,0xffffffff,
    0x00018001,0x00000000,0x00000000,0x00000000,0x00000000,0x004c0000,
    0x7ffffc40,0xffffffff,0xffffff0f,0xffffffff,0x201bfe21,0x4c4007ff,
    0x54400019,0x7fff84ec,0x00bfff30,0x00001998,0x00006662,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffee000,0xffffffff,0xf31fffff,0x7ec000df,0x3ff6006f,
    0xffffff74,0x29ffffff,0xeffffff8,0x20001acd,0x801ffffa,0xfffffff9,
    0xff501cee,0xffffffff,0x07ffc9ff,0xffb7fcc0,0xffffffff,0xffff5fff,
    0xffffffff,0x3fe69fff,0x27ffc406,0x00003ffd,0x1bf617fa,0x7fffffdc,
    0xffffffff,0x5fffd1ff,0xf35ff980,0xbdffffff,0xfd800017,0x3ff607ff,
    0xffffffff,0xffb4ffff,0x7fc4001f,0x01bff63f,0xf11fffc4,0xffd000bf,
    0x4002ffec,0x3ffe4ffd,0x0bceffff,0x406fff80,0x0006fff8,0x0aa98000,
    0x802eeb80,0xfffffffb,0xffffffff,0x00dff31f,0x017ffc40,0xfb87ffd4,
    0xffffffff,0xfff14fff,0xffffffff,0xffb0001b,0xff3009ff,0xffffffff,
    0xfffa83df,0xffffffff,0x003ffe4f,0x7ffdbfe6,0xffffffff,0xfffff5ff,
    0xffffffff,0x1bfe69ff,0xfe8bffd0,0xff00001f,0x2e0bfd09,0xffffffff,
    0xffffffff,0x80dfffd1,0xfff35ff9,0xffffffff,0xff50001b,0x7fec0fff,
    0xffffffff,0xff14ffff,0x7fe4009f,0x01fffc46,0x3e237fec,0x6fe8006f,
    0x8003ffee,0x3fe1fff8,0xffffffff,0x3ffe203f,0x3ffee01f,0xb0026c46,
    0x3ff20019,0x7fffd402,0x66664c01,0xccdffecc,0xff30cccc,0xffc8000d,
    0x23ffe806,0xcccceffb,0xf12ccccc,0xffd999ff,0x8005ffff,0x806fffff,
    0xdcccfff9,0x20effffe,0xccccfffa,0x3e2ccccc,0xff9800ff,0xfd999996,
    0x279999bf,0xeeeeeeed,0x4ffeeeee,0x7e40dff3,0x0fff40ef,0x83ff8000,
    0x999304ff,0x9bffd999,0x3a199999,0x2601ffff,0x9fff35ff,0xffffd999,
    0x7fc4001d,0x3b207fff,0xeeeeeeee,0x323fffee,0xf8800fff,0xfffb82ff,
    0x07ffea00,0x3e001bfe,0x0bffe26f,0x7c6ffa80,0xffdcccff,0xff103fff,
    0x7ff409ff,0x07ffe67f,0x003ffea0,0xfb00bff2,0x40007fff,0xf9803ffc,
    0x9abcccff,0x3ffe8800,0xf71bfee0,0xff88009f,0x3fffee07,0xf9ff5001,
    0xff9803ff,0x93ffee06,0xf8005ffa,0xff9800ff,0x00fff206,0x31ffe800,
    0x3fee0dff,0x01ffe80f,0x42ff8800,0xc8003ff8,0xffe803ff,0x3fe605ff,
    0x5c0dff35,0x32006fff,0x007ffcff,0x88dff900,0xfc804fff,0x17ffa06f,
    0xff04ffe8,0x8bff000f,0x36005ffd,0x07ffc3ff,0x03fffaa2,0x41bfbfe2,
    0x647feff9,0x7fc406ff,0x5ff9003f,0x2ffffc80,0x0fff2000,0x3ffffe60,
    0x01dfffff,0x4407ffd4,0x7fdc1fff,0x3ffc4004,0x01bff620,0x7fe57fec,
    0x037fcc04,0xffa9bff2,0x0fff8005,0x206ff980,0x00003ffc,0x7fccdff5,
    0x01fff986,0x00003ffd,0xff885ff3,0x3ffc8002,0xffeffe80,0x26bff301,
    0x7fd406ff,0xeffa801f,0x80007ff9,0xfb81fffa,0x3fe201ff,0x3ffe601f,
    0x206ffb82,0xff8007fe,0x003ffdc5,0xfff83fff,0x07fff100,0x03ff9ff3,
    0xd0ffbbf9,0x9ddb59ff,0x400bffb5,0x74402ffc,0x640006ff,0xff9803ff,
    0xffffffff,0x7fec03ff,0xb84ffc84,0x7c4004ff,0xfff8807f,0xf57ff802,
    0x6ff980df,0xf53ffcc0,0xfff000bf,0x0dff3001,0x0001ffe4,0x3e62ffe8,
    0x1fff446f,0x0003ffd0,0x5ff73331,0x37ff5333,0x3ff20033,0xfaffe803,
    0x2bff305f,0xfd806ff9,0x9ffe803f,0x40007ff8,0x3a04ffe8,0x3ff605ff,
    0x46ffc805,0x3a02fff8,0x7fc4007f,0x017ffc44,0x7fc37fd4,0x13ff600f,
    0x13fe7fe6,0x0ffb7ff1,0xfffffff3,0x001dffff,0x44017fe4,0xfc80002a,
    0x6ff9803f,0x7fffdcc4,0x87ffe602,0xfb80fff8,0x7fc4004f,0x0dff9007,
    0x3fe5ffa8,0x1bfe601f,0x7d4bff50,0xfff8005f,0x06ff9800,0x0000fff2,
    0xff31bfea,0x404ffd8d,0xa8001ffe,0xffffffff,0xffffffff,0x07ff9007,
    0x3ffeffd0,0xf35ff980,0xbff700df,0xf13ffc80,0xfc8000ff,0x7ffd406f,
    0x00fff981,0x364fff88,0x7fec05ff,0x13fe2000,0x32013ff6,0x0fff83ff,
    0x2a13ff20,0x547fd9ff,0x80ffc8ff,0xffeffffb,0x64002fff,0x000002ff,
    0x401ffe40,0x7ec06ff9,0x3ff200ff,0x5c0fff65,0x7c4004ff,0xfff3007f,
    0x362ffc80,0x3fe603ff,0x51ffdc06,0xff000bff,0xdff3001f,0x001ffe40,
    0x2617ff40,0x17ff26ff,0x0007ffa0,0x3fffffea,0xffffffff,0xff9007ff,
    0x32ffd007,0x5ff984ff,0xf700dff3,0x37fcc0bf,0x4000fff1,0xd801fff9,
    0x4ffd86ff,0x23ffea00,0x6c00fffa,0x981980ff,0x7ffb83ff,0xf81fff80,
    0x3ff600ff,0xfa9ffa83,0x7e57fa2f,0x0effc80f,0x10bfff71,0xfd999999,
    0x999999bf,0x3f200000,0x6ff9803f,0x017ffc40,0xff33fff1,0x027fdc0d,
    0x401ffe20,0x3e00fff8,0x1bfea0ff,0x2606ff98,0x3fea1fff,0x0fff8005,
    0x206ff980,0x40003ffc,0xff986ff9,0x001dff56,0x10003ffd,0x33ffb333,
    0x333ffb33,0x0fff2003,0x7fc5ffa0,0x9affcc0f,0xffc806ff,0x887ffa04,
    0x3a0007ff,0xff3004ff,0x07ffcc5f,0x3f7ff600,0xffc802ff,0x260ffdc1,
    0xfff883ff,0x41bfe601,0xff300fff,0x23ff503f,0x25ff15ff,0x7fc41ffc,
    0x0fff980f,0x7fffffc4,0xffffffff,0x9000007f,0xff3007ff,0x09ff900d,
    0xffeeffb8,0x277fee01,0x19999999,0xf801ffe2,0xbff501ff,0x301fff88,
    0x53333fff,0xfa83dff9,0xfff8005f,0x99999999,0x3206ffa9,0x6c0003ff,
    0xeff982ff,0xd000fff9,0xb00003ff,0x00dfb0df,0x200fff20,0x13ff27fe,
    0x3fe6bff3,0x02ffe806,0xff889ff7,0xdff90007,0x26ffd800,0x88003ffd,
    0x005fffff,0xffd83ff9,0xd817fcc3,0x3ff204ff,0x501fff03,0x3ee09fff,
    0xf71ff91f,0x2e0ffe4f,0x3ffa05ff,0x7ffffc41,0xffffffff,0x980007ff,
    0xefffeeee,0x7cc0eeee,0x5ffb806f,0x4ffffe80,0x7ffffdc0,0x1fffffff,
    0x7400fff1,0x7ff902ff,0x2607ffd0,0xffffffff,0xfff505ff,0xdddddddd,
    0xffffff8d,0xffffffff,0x0fff206f,0x06ff9800,0x5ffdfff3,0x00fff400,
    0x6c2ff400,0xff90005f,0x4cffd007,0x3fe60fff,0xc80dff35,0xdff106ff,
    0x000fff10,0x8003fff3,0xff9afff8,0x3fee0006,0xff7000ff,0x237ffc43,
    0xff702ffa,0x807ffc0d,0xfeeeefff,0x3ee05fff,0xfd5ff30f,0x320ffdc9,
    0x3ff603ff,0x0bff2002,0xffa80000,0xffffffff,0x37fcc0ff,0x402ffdc0,
    0x400ffff9,0xfffffffb,0xf11fffff,0x7ff400ff,0x701fff03,0x3fe60dff,
    0xffffffff,0x7ffd41df,0xffffffff,0x7fffffc7,0xffffffff,0x0fff206f,
    0x03ffd800,0x5ffffff3,0x00fff400,0x7427fc00,0xff90005f,0xd8ffd007,
    0x57fe63ff,0xea886ff9,0xffb01fff,0x00fff103,0x0009ffd0,0x3ffbbfee,
    0x3fe60002,0xff5000ff,0x0ffffd45,0x3e203ff5,0x6ff981ff,0x3fffffe0,
    0x6402dfff,0x3fbfa0ff,0xb0bfee1f,0x7fe407ff,0x0bff2003,0xee980000,
    0xeeefffee,0x37fcc0ee,0x801ffec0,0xfb803ffd,0xaaaaaadf,0xfff10aaa,
    0x417ff400,0xff106ffa,0x5fff301f,0xfffd9755,0x77ffd45f,0x6eeeeeee,
    0x5555fffc,0xffcaaaaa,0x00fff206,0x303ffcc0,0x1fff7dff,0x007ffa00,
    0xf07ff100,0x3f20009f,0x47fe803f,0x3fe67ff9,0xffffff35,0x05ffffff,
    0x7c413fee,0x7fe4007f,0x3fe20006,0x40005fff,0x004ffffe,0x77ec5ff5,
    0x07fee4ff,0xfc84ffd8,0x3bffe03f,0x803fffee,0x3fee0ffc,0x217fdc6f,
    0x3f604ffc,0x3ff2002f,0x40000002,0xf9803ffc,0x7ffc406f,0x7ffffc41,
    0xffffffff,0x0027fdc6,0xf801ffe2,0x3ffc82ff,0x260fffa0,0x3fa606ff,
    0x0bff50ff,0x001fff00,0x7e40dff3,0xffb0003f,0xdb7fcc07,0xfe800eff,
    0x7c40001f,0x01ffc42f,0x803ffc80,0x3ffe87fe,0x3fe6bff3,0xffffffff,
    0x1dff100d,0x801ffe20,0x0001fff9,0x00ffffd4,0xfffff700,0x7ff3003f,
    0x9ffabfe2,0x3ee00ffb,0x00ffe86f,0xfe983ffe,0x07fe404f,0xfb87fff1,
    0x82ffdc2f,0x2001fff8,0xfc802ffc,0x7e40003f,0x6ff9803f,0x213ffa20,
    0xfffffff8,0x46ffffff,0x44004ffb,0xff1007ff,0x03fff03f,0x7cc37fdc,
    0x7ff4406f,0x000bff54,0xf3001fff,0x1ffe40df,0x07ffcc00,0x3e2dff30,
    0xffe805ff,0x7774c001,0xeeeeeffe,0x00eeeeff,0xd007ff90,0x2dff50ff,
    0xfff35ff9,0x01579ddd,0x2202ffd8,0x3fa007ff,0xfd00004f,0x7c40009f,
    0x06ffdaff,0xff53ff98,0x3f23ff71,0x3ffe200f,0xf01bfe61,0xfff881ff,
    0xb03ff601,0x3ffa81ff,0x5c0fffcc,0x7e4006ff,0x7ffdc02f,0x3f20001f,
    0xfff9803f,0xffca9999,0x555500ff,0x555bffd5,0x04ffb855,0x803ffc40,
    0xffa87ffa,0xeeeeeeef,0x7cc0fffe,0x5ffc806f,0xf000bff5,0xff3001ff,
    0x01ffe40d,0x201ffec0,0x3fe66ff9,0x0fff403f,0x3fffe600,0xffffffff,
    0x000fffff,0xfd007ff9,0x26bffa0f,0x0dff35ff,0x3bffe600,0xfeeeeeee,
    0x905eeeff,0x40000dff,0x20003ffc,0xfff15ffd,0xb4ff8807,0x653fe6bf,
    0x3ffd807f,0xff00ffee,0x0dff901f,0x1e4c3fec,0x7f41ffd4,0xffc89cff,
    0x7fe4002f,0x7fffec02,0x3ff20003,0xffff9803,0xdfffffff,0x1ffe4000,
    0x0027fdc0,0x7401ffe2,0xfffc84ff,0xffffffff,0x7fcc3fff,0x55ffb806,
    0xff000bff,0xdff3001f,0x001ffe40,0x3003ffe6,0xfffb8dff,0x007ffa01,
    0xffd99910,0x9ffb9999,0x7e400999,0x07fe803f,0xbff3bff5,0x4001bfe6,
    0xfffffff9,0xffffffff,0xfff986ff,0x3f200001,0xff70003f,0x0fffdc1f,
    0x3febff10,0x3fedffa3,0xfd37fdc0,0x0fff801f,0xd02fff88,0xffa800ff,
    0xfffffc83,0x002fffff,0x3200f75c,0x0002ffff,0x2600fff2,0xffffffff,
    0xf90002ef,0x9ff7007f,0x07ff8800,0xf81fffa8,0xffffffff,0x46ffffff,
    0xfd806ff9,0x00bff53f,0x3001fff0,0x7fe40dff,0x27fec003,0x6c37fcc0,
    0xffd00fff,0x7fc80003,0x0000ffb8,0xfd007ff9,0x7d7ffc0f,0x00dff35f,
    0x3ffffe60,0xffffffff,0xfe86ffff,0x6400004f,0xf88003ff,0x6ffe83ff,
    0x7fd6ffc0,0x3f6bfee0,0x8fff8806,0xff806ff9,0x0dff900f,0xf5001ffa,
    0xffffa89f,0xffffffff,0xd1000000,0xc8000bff,0xff9803ff,0x001acccf,
    0x3fbbbba2,0x5eeeeeff,0x20027fdc,0x7d407ff8,0x6ffa84ff,0x41fff300,
    0x7c406ff9,0x0bff52ff,0x001fff00,0x7e40dff3,0x3fe6003f,0x6ff9800f,
    0xd06ffe88,0xd80003ff,0x007fc86f,0x200fff20,0x3fee07fe,0xdff35ffe,
    0xf1000000,0x6ffb80ff,0xffc80000,0x6ffd8003,0x407fff30,0x445fceff,
    0x006fddff,0x7ff77ffb,0x201fff00,0xfe81fff8,0x27fcc007,0x9535fff1,
    0x0dff9179,0x01980000,0x03ffc800,0x0006ff98,0x7fffffc4,0x6fffffff,
    0x20027fdc,0xfb307ff8,0xff901dff,0x1fff4009,0x7540dff3,0x17fea6ff,
    0x003ffe00,0xfc81bfe6,0x3ff6003f,0x0dff3004,0x3a13ffe6,0x6c0001ff,
    0x006fd86f,0x200fff20,0x3fe207fe,0xdff35fff,0xf1000000,0x7ffcc0ff,
    0xfc800001,0x7fd4003f,0x3fff602f,0x7ffdfd00,0x0bfdffd0,0x3fb7fee0,
    0x0fff800f,0x3e17ff60,0x7fcc007f,0x1017ffa5,0xcca89ffd,0xcccccccc,
    0x0001cccc,0x007ff900,0x0000dff3,0xffd99999,0xb879999b,0xccccceff,
    0xff12cccc,0xfffddddf,0x3fe01bff,0x3ff2001f,0x333ffe65,0xefffeecc,
    0x0017fea0,0x26003ffe,0x999996ff,0x9999bffd,0x01fff307,0xb81bfe60,
    0x7ff42fff,0xcccccccd,0x0bfd01cc,0x64000bfb,0x7fe803ff,0xaffffe40,
    0x00006ff9,0x207ff880,0xfffffffe,0x6fffffff,0x007ff900,0x202fffc4,
    0xfd05fff8,0xff701fff,0x3e200bff,0xf006ffff,0x7fcc01ff,0x003ffc1f,
    0x7f4d7fe6,0xdffa800f,0x3fffff20,0xffffffff,0x9000003f,0xff3007ff,
    0x3200000d,0xffb803ff,0xffffffff,0xffff14ff,0x7dffffff,0x0037fd40,
    0x7cc3ffe6,0xffffffff,0x7fd40cff,0x0fff8005,0xff6ff980,0xffffffff,
    0xffb0bfff,0x37fcc00b,0xe87fff60,0xffffffff,0xff02ffff,0x000bfd09,
    0x7401ffe4,0x7ffc407f,0x00dff35f,0xfff10000,0x7fffffc0,0xffffffff,
    0x7ff9006f,0x07ffec00,0x417ffdc0,0xf106fffd,0x74009fff,0xf003ffff,
    0xffd801ff,0x20037fc5,0x015c5ff9,0xfff90590,0xffffffff,0x00007fff,
    0x200fff20,0x00006ff9,0x7007ff90,0xffffffff,0x3e29ffff,0xcdefffff,
    0x04ffc801,0xf33fff80,0x9dffffff,0x17fea017,0x003ffe00,0x7ffdbfe6,
    0xffffffff,0x7ffcc5ff,0x1bfe6001,0x743bffa0,0xffffffff,0xf882ffff,
    0x004ff83f,0x200fff20,0xffc807fe,0x00dff35f,0xfff10000,0x7fffffc0,
    0xffffffff,0x7ff9006f,0x0fffea00,0x40fffe80,0x3603fffc,0x2e004fff,
    0xf000ffff,0xff9801ff,0x00dff11f,0x0006ff88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01900000,0x80260710,0x980a2003,0x00000180,0x76dc4010,
    0x0e77641c,0xdddb7500,0xfec98159,0x3bb222ce,0x66cc001c,0x372a2000,
    0x801ceefe,0x1bdeeca8,0x3bb2e600,0x971001bd,0x459bdffd,0xcc803cc8,
    0x00059914,0x93261997,0x77641deb,0x20098803,0xa802ccc8,0x39930ccc,
    0x0677ed44,0xccccccb8,0x22cccccc,0x32003cca,0x459911cc,0x40cefec9,
    0xccccccc9,0x00665c03,0x00079991,0x00088000,0x3a600000,0x0022000e,
    0x3bf60020,0x893fa200,0x3ffa85fd,0x883df900,0x013ea4fe,0x1fe88000,
    0xfffffe88,0x3fffffb0,0xffffe980,0x3ee3ffff,0x9cffffff,0x01ffffff,
    0x00dfff10,0x3fffffe2,0x300effff,0xffffffff,0xffff7009,0x4019ffff,
    0xfffffffb,0x1bfe24ff,0x7fc5ffe0,0x27ff8005,0xffff97fa,0x0bffff63,
    0x3fffffae,0x1fffc80d,0xb93ffe20,0xffff32ff,0xffd05fff,0xffffffff,
    0x7ffd47ff,0x0fff9800,0x3fee9ff1,0x2a2fffff,0x6fffffff,0x880ffec0,
    0x9000effe,0xd88005ff,0x801dffff,0x0bdffdc9,0x403fcc00,0x3fffffec,
    0x3bfff6e0,0x0effe882,0x6c5ffe88,0x7ffc43ff,0x437fcc00,0xfff13ffd,
    0x9800001b,0xffe86ffe,0xffbeffde,0x2e07ffdd,0xfeefffff,0x37fee3ff,
    0xffffffec,0x800fffdc,0x800ffffa,0xdceefff8,0xfb86fffe,0xffdccdff,
    0xfffd106f,0xdffffbbf,0xbdfff901,0x449fdb99,0x7ff806ff,0xf1001bfe,
    0x7d7fd4df,0xefbbffcf,0xffd86ffc,0x80ffffff,0x3f606ffe,0x557fdc6f,
    0xfffeefff,0x7ffff40f,0xffffffff,0x4017ffc3,0x3fe24ffc,0xffdfffcc,
    0xddd50fff,0xd80dffdd,0xffe881ff,0x3ff2000e,0x3ffea002,0x202fffff,
    0xffeefffb,0x1fe6002f,0x3fffffa0,0x7ff443ff,0x884fffff,0x3a20effe,
    0xffe885ff,0x202ffd40,0x7fd41ffe,0x0f7ff4c5,0xfffa8000,0x727fcc0e,
    0x7dc9ffff,0xefff982f,0x0aa2b881,0xc87fffe6,0xff9802ff,0x15b1006f,
    0x98fffee0,0xff982fff,0x1fffc83f,0x4c4fffa8,0x10401fff,0xfff00dff,
    0x26003ff4,0x3bfea5ff,0x1fddfb0f,0x86f21ff6,0xf883ffd9,0xfffb84ff,
    0x7feffdc0,0x0fffaa0d,0x03bff200,0xff00bff9,0x7fffc43f,0x1fffd44f,
    0xd80dff10,0x7ff441ff,0x7fe4000e,0x7fff1002,0x01fffd53,0xfa885dfd,
    0x221e984f,0x9b07547f,0x1fffb555,0x7e677fc4,0xfe881fff,0x5ffe88ef,
    0x361bfe60,0x9ff902ff,0x880fff88,0x0002fffe,0xc827ffdc,0x7fffc0ff,
    0x3a17fe21,0x200005ff,0x7fc45ffe,0x01bd5005,0x4ffe8000,0xf980bff6,
    0x3ffe60ff,0x87ffe600,0x44004ffb,0x7ff806ff,0x06603ff6,0xffa93fea,
    0x8bfff23f,0xf3000ffc,0x3ffea0bf,0x20bffe21,0x704ffffb,0xfa800bff,
    0xfff981ff,0x11bfea00,0x3207ffff,0x3fe205ff,0x10ffec06,0x0001dffd,
    0x32005ff9,0x3ffc83ff,0x66646fe4,0xe85fd11b,0x6c5be3ff,0xffe804ff,
    0x7ff414c2,0xddffd103,0xff900bff,0x40fff887,0xffd86ff9,0x1fffec02,
    0x3fffc800,0x3f61bfe0,0x5c6fe87f,0x00000fff,0x3fa0fff2,0x00000006,
    0xff36ffa8,0x43ffd00d,0xfd803ffd,0x017fee4f,0xf00dff10,0x20ffe4ff,
    0x7fdc1ffb,0xf71ffea2,0x01ffc8df,0x02ffcccc,0x3f61dff9,0x9fff704f,
    0x0037fc40,0x7405fff1,0x3ff603ff,0x01fffc43,0x7c40dff5,0x8ffec06f,
    0x000effe8,0x2005ff90,0xbff507fe,0xeff87fcc,0x41ff32ff,0xdf9effd9,
    0x801dfffa,0xf9000ffe,0x7ff4409f,0x3fa005ff,0x227fdc1f,0x7fdc1ffe,
    0x9fff7004,0x7ffec400,0x642ffc02,0x47fd86ff,0x00003ffd,0x7f417fdc,
    0x00000007,0xff76ff88,0x47ff9007,0xfa800fff,0x0fffe66f,0x806ff880,
    0x0bfee7ff,0xffb89ffd,0xf70ffea1,0x41ffc85f,0xfffffeb8,0x67ff405f,
    0x3ee06ffb,0x3ffc405f,0x809ffd00,0xff106ffb,0x06ff881f,0xf103ffc4,
    0x1ffd80df,0x0001dffb,0xf8017fe4,0x4dff106f,0x7c57e2fc,0x3660bf26,
    0x0cffffff,0x3ffaeaa0,0x0fffa004,0x01ffff30,0x7c2ffd40,0x0dff50ff,
    0x54001ffd,0x4c00dfff,0x4400effe,0xeffb84ff,0x0ffeaaaa,0x00007ffa,
    0x33ff6aa6,0x0ffeaaaa,0x26000000,0x6ffbaaa9,0x33337ffb,0x9ff93333,
    0x4401ffe2,0x7ffec7ff,0x7fc401cf,0x2a7ff806,0x3ffe23ff,0xf507fe46,
    0x41ffb85f,0x7ff41ffc,0x05ffccde,0x7fffffcc,0x013fee00,0x1bff6000,
    0x207ffe20,0xff885ffb,0x207ff806,0x7ec06ff8,0x00effd9f,0x017fe400,
    0x3fe07ff8,0x25f83fa6,0x9813ea6e,0x4400efff,0x004fffff,0x8803fff2,
    0x00effffe,0xfb83ffd0,0x217ff44f,0x4c005ffa,0xf500effe,0xf3001bff,
    0xffff709f,0x21ffffff,0x0000fff8,0xffffffb1,0xffffffff,0x3fffee1f,
    0xffffffff,0xea82ffff,0xffffffff,0xfffffd6f,0xffffffff,0x01bfe6bf,
    0x3620fff8,0x0befffff,0xf806ff88,0xb93fe67f,0x3f61ffff,0x2e17fd47,
    0x0ffe41ff,0xbff09ff7,0x5ffff700,0x004ffb80,0x07ffdc00,0xe84ffc80,
    0x6ff882ff,0x2207ff80,0x7fec06ff,0x7001fffe,0xffffffff,0xffffffff,
    0x4c0fff45,0xdf1fe4ff,0x37c45fd9,0x7ffffdc4,0x3ffe202e,0x6401efff,
    0x3a202fff,0x0effedff,0x221ffe40,0x7fcc0eff,0x002ffd86,0x20ffff44,
    0x2004fffb,0xffa84ff9,0xffffffff,0x000fff10,0x3fffffe6,0xffffffff,
    0x3ffee7ff,0xffffffff,0x222fffff,0xfffffffe,0xffd6ffff,0xffffffff,
    0x3eabffff,0x3ffe005f,0xffffda80,0x3fe20cff,0x7c7ff806,0x3ff3f65f,
    0xff51bfa4,0x641ffb85,0x07ff21ff,0xf300bff3,0xfb801fff,0x2600004f,
    0x26001fff,0x37fcc7ff,0xf806ff88,0x1bfe207f,0xffd5ffb0,0x3ffee00d,
    0xffffffff,0x362fffff,0x2ffd83ff,0x7fdff1fe,0x3ee26f88,0xffbefaff,
    0xffd9802e,0x5fffd106,0x8afff440,0xf500effe,0x05ffd0bf,0xff113fee,
    0xff88001f,0xdfff30ff,0x84ff9800,0x3e005ffb,0xfe8000ff,0x07fee1df,
    0x77777540,0xeeeeeeee,0x3ff61eee,0x6ff880ae,0x33337ffb,0x13333333,
    0x4401bfe6,0x75c407ff,0x3e26ffff,0x47ff806f,0xb5ff16fe,0x2a2ffcff,
    0x0ffdc2ff,0xffa87ff2,0x5fffb88c,0x7ffff440,0x027fdc05,0x3ffe8800,
    0x22ffe800,0xff103ffc,0x40fff00d,0x7ec06ff8,0x05ffe89f,0xeeeeeea8,
    0xeeeeefff,0x3ffe61ee,0x45ffdaae,0x7ed7e0fe,0xffe93ea1,0x3fa6df0d,
    0xfff8804f,0x0f7ffcc0,0x88bffd10,0x7c40effe,0x2ffdc0ff,0xf507ffa0,
    0x7f4400df,0x7ffd41ef,0x9ff1000d,0x400bff70,0x4c001ffe,0x2ffb86ff,
    0x98000000,0x3e200fff,0x007ff96f,0x401ffe20,0x22005ff9,0xff13fffd,
    0xd8fff00d,0x3eaff57f,0x544ff8af,0x0ffdc2ff,0xfff07ff2,0x0bfddfff,
    0xffedffd8,0x013fee04,0x02ffec00,0x3a5ffb80,0xdff100ff,0x440fff00,
    0x7fec06ff,0x00bfff31,0x0017fe40,0xfffffff9,0x3e3fc81d,0x17e4bf35,
    0x237c45f7,0xffb800fb,0x027ffdc7,0x4417ffa2,0x7fec6ffe,0x007ffc43,
    0x3f21bfe6,0xfff9803f,0xdffd300d,0x0bff1003,0x6c00dff9,0x7d4004ff,
    0x03ffb84f,0xfb800000,0xb7fc405f,0x20004ffb,0xfc802fff,0xffc8004f,
    0x401fff14,0x7fe47ffb,0x33fe4fd8,0x7fd43ff9,0x320ffdc2,0x7fecc1ff,
    0x5c0bf94e,0xfff98fff,0x009ff702,0x01dff700,0x23ffe200,0x3e205ffa,
    0x07ff806f,0xfb01bfe2,0x27ffd43f,0x02ffc800,0x77ffecc0,0x3e1ff304,
    0x3fe67f65,0x21fe2040,0x2e6aae20,0x3f24fffd,0xeeeeefff,0x1017f22e,
    0x85fc85fd,0xf9003ff9,0x03fe881d,0x4027ffdc,0x802fffe8,0xfffe87ff,
    0x3fff7001,0x41ffd400,0x00005ffe,0x04ffc800,0x7cdbff62,0xf90001ff,
    0xfff880df,0x5ffb8001,0x7d40bffe,0x57fdc7ff,0x2bff62ff,0x17fd41ff,
    0xff907fee,0x26000403,0x3fee2fff,0x04ffb81f,0x0fffd400,0x2fff6000,
    0x3e202ffc,0x07ff806f,0xfb01bfe2,0x3fffb83f,0x02ffc800,0x7e400200,
    0x2f263c8d,0x7f9802fe,0x7ffffc40,0x7fe45fff,0xffffffff,0x02880143,
    0x10014011,0x32004c05,0x64003fff,0x7e403fff,0x3fffe62f,0x3bffa005,
    0x7fcc6202,0x0ffffe45,0x07bee000,0x4c1bfee0,0x3f66fffe,0xf88001ef,
    0xffd104ff,0xfff10009,0x5427ff47,0x7d47ffff,0x7fd47fdf,0x7fd40ffd,
    0x320ffdc2,0x100001ff,0xffd09fff,0x04ffb81d,0x0fffe200,0x37fe6000,
    0x7fc407ff,0x207ff806,0x7ec06ff8,0x3fffc81f,0x017fe400,0xffe80000,
    0x13fee20a,0x1007fcc0,0x5bffffff,0xffffff90,0x0007ffff,0x00000000,
    0x7ffec400,0xfff70002,0x5fffcc09,0xdffdefea,0xf983dbab,0xcaacefff,
    0x7fff13fd,0xfff9ffb5,0x00595337,0x300ffff3,0xb735dfff,0x44dfffff,
    0x9abdffff,0xfb85dba9,0xfcaabeff,0x676c0fff,0xfecb9aab,0x3ffea0ff,
    0xedffdabf,0x7fffcc7f,0x87ffff84,0x7fdc2ffa,0x990ffe41,0x99999999,
    0x06ffe879,0xfb8bfff1,0x3fa0004f,0xccccccff,0xfe804ccc,0x7c404fff,
    0x97ff806f,0xfff99999,0x36199999,0xfffb01ff,0x17fe4005,0xcccccc80,
    0x703ccccc,0xffffdfff,0x44000005,0x00000019,0x00000000,0xffd10000,
    0xfa80003d,0xff900dff,0xfd11ffff,0x207fffff,0xffffffe9,0x3ff23fff,
    0xff91ffff,0x007fffff,0x001ffff5,0xfffffff9,0x98dfd1bf,0xfffffffe,
    0xff705fff,0xbfffffff,0xfffffb01,0x03dfffff,0xfffffffd,0x3fe1ffab,
    0xfffc82ff,0x5c2ffa86,0x0ffe41ff,0xffffffff,0x7fe4dfff,0x3ffea01f,
    0x0013fee3,0x7fffffc4,0xffffffff,0x7fffdc00,0x037fc401,0xffffbffc,
    0xffffffff,0x03ffb0ff,0x8017ffec,0xff002ffc,0xffffffff,0x7edcc0df,
    0x00000bde,0x00000000,0x00000000,0x3fea0000,0x300000ef,0x3203dffd,
    0x3662efff,0x402effff,0xefffffeb,0x6fffe41c,0x7ffff642,0xfff8801e,
    0x3ffaa005,0x1bfa2eff,0x7fffff5c,0x36603dff,0x03efffff,0x3fffffb2,
    0x3200beff,0x363effff,0x07fff87f,0xf50bfff3,0x41ffb85f,0x3bba1ffc,
    0xeeeeeeee,0x007fff54,0x3ee3fffb,0xff10004f,0xffffffff,0x8801ffff,
    0xf8806fff,0xf7ff806f,0xffffffff,0x361fffff,0x3fa201ff,0xffc801ff,
    0xddddd002,0x09dddddd,0x00000000,0x00000000,0x00000000,0x5fff8800,
    0xfe880000,0x2004c06f,0x98800099,0x40098801,0x44000998,0x3310003b,
    0x33310000,0x01310003,0x13533300,0x00199800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x000003f9,0x0000076c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00010000,0x71002000,0x00000dff,0x36005950,0x7fe402ff,0xffffffff,
    0xdd53ffff,0x07775c5d,0x79301970,0x3bb62000,0xffffff0d,0xffffffff,
    0x0000440f,0x202f774c,0xeec802b9,0x42eeeeee,0x40001deb,0xaaaaaaaa,
    0xaaaaaaaa,0x00001aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1bfffee0,0x677fedc0,
    0x2fffdc00,0x01bffe60,0xfffffff9,0x7fffffff,0xfb8bffea,0xdff900ff,
    0x002fff88,0xf077ff44,0xffffffff,0x50ffffff,0x9809fffd,0xbffd3009,
    0x01bffea0,0xfffffffb,0x7fffdc7f,0xffffff51,0x3fe1ffff,0xffffffff,
    0xffffffff,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0x06ffffff,0x7fffff4c,
    0x3ff602ff,0x3bfa01ff,0x332a03ff,0xcccccccc,0xff51cccc,0x07ffdc3f,
    0x7cc7ffd8,0x3a2004ff,0xeeed84ff,0xeeeeeeee,0x7ffdc7ff,0xf980efff,
    0x3ff6204f,0x3fffff85,0x2eeeeea0,0x3ffa1bbb,0xffff54ff,0x21ffffff,
    0xffffffff,0xffffffff,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffbeffd8,
    0x33ffe206,0x00fffdaa,0x207ffff9,0x0ffd8ffa,0x3e600000,0x1ffea1ff,
    0xfd84ffa8,0xffd1001f,0x3fa00005,0x37bffe27,0x7dc0efff,0x5ffb803f,
    0x13ffffe2,0xfffe8000,0xddddd55f,0x261ddddd,0x99999999,0x99999999,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x0dff12e9,0x7dc17fec,0xffff104f,
    0x229ff109,0x000005ff,0xfa83ffe6,0x3004407f,0x0554c001,0x4ffd0000,
    0x3fa23ffb,0x3ffd31ff,0xe86aa600,0x0002ffff,0x0bffff20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf8800000,0x81bfe06f,0x3fee06ff,0x20ffc83f,
    0x00002ffc,0x541fff10,0x000007ff,0xd0000000,0x20ffe4ff,0xffffffe8,
    0xf980005f,0x800004ff,0x00002eec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x837fc400,0x3fa04ff8,0x07ffe607,0xdff07ff1,0xdddddd70,0xdddddddd,
    0xf31ffe25,0x000000df,0x3a000000,0x203ff67f,0xefffffd8,0x02600000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe20000,0x409ff106,
    0x3fea06ff,0xa837ec0f,0x7ffe43ff,0xffffffff,0x1ffe3fff,0x0000dff3,
    0x00000000,0x2a001ffa,0x0000cded,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x37fc0dff,0xf305ffa8,0x2ff985ff,0xeb83ffa0,
    0xeeeeeeee,0x2a2eeeee,0x002aa82a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb037fc40,0xffe989ff,
    0x3fff6ea2,0x4c06fe84,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0x7ffc40df,
    0x44fffede,0xa82ffffe,0xffc802ff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccc9800,
    0x41cccfff,0xffffffe9,0x00bced83,0x26200331,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffa8000,0x3fffffff,0x0179b750,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffa8,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_36_latin_ext_x[560]={ 0,7,4,0,1,0,1,7,5,4,2,1,4,4,
6,2,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,1,3,3,2,
4,0,2,1,2,1,2,1,1,1,0,0,0,0,1,6,2,5,2,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
8,2,0,0,3,2,2,4,1,0,3,1,4,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,3,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,1,1,0,0,2,3,3,0,0,4,
3,-5,-3,3,1,0,3,0,0,2,2,0,0,0,2,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_36_latin_ext_y[560]={ 26,1,1,3,-1,0,1,1,-1,-1,1,7,20,14,
20,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,30,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,26,8,-1,2,3,3,
-3,0,1,2,2,9,15,14,0,2,0,4,0,0,1,8,1,13,26,1,2,9,0,0,0,8,-4,-4,-4,-4,
-4,-5,3,2,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,0,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
-3,2,-4,1,3,8,-4,1,-4,1,-4,1,-4,1,-4,0,3,1,-3,2,-4,1,-4,1,3,8,-4,1,-4,1,
-4,1,-4,1,2,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,0,-4,8,3,0,-4,1,3,1,8,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,8,-4,1,-2,3,8,-3,2,-4,1,-4,1,2,8,-4,1,3,8,-4,1,
-4,1,-4,1,2,8,-4,1,3,2,-4,0,3,2,-4,1,-3,2,-4,1,-5,-1,-4,1,3,8,-4,1,-4,1,
-4,-4,1,-4,1,-4,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-9,-5,-4,1,-4,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,8,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_36_latin_ext_w[560]={ 0,6,12,20,17,20,19,5,11,11,15,18,9,12,
7,15,18,16,16,16,19,15,16,16,16,17,6,9,15,16,15,12,20,20,16,17,18,14,14,17,17,14,13,17,
14,19,16,18,16,19,17,17,18,17,20,20,20,20,17,9,16,9,16,20,12,15,16,15,16,16,19,18,15,15,
14,16,15,18,15,18,16,16,16,14,17,15,18,20,18,18,16,14,4,13,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,14,17,18,19,
4,16,16,20,13,16,16,12,17,15,14,17,12,12,17,17,17,7,5,13,13,16,20,20,20,12,20,20,20,20,
20,20,21,17,17,17,17,17,17,17,17,17,19,18,19,19,19,19,19,16,18,18,18,18,18,20,16,16,17,17,
17,17,17,17,20,15,18,18,18,18,18,18,18,18,17,17,19,19,19,19,19,18,18,17,17,17,17,19,16,19,
20,17,20,17,20,16,17,18,17,17,17,17,17,16,20,23,19,19,17,18,17,18,17,18,15,16,17,18,17,19,
17,19,17,19,17,19,18,17,20,17,17,18,17,18,17,18,15,16,17,15,17,17,16,16,17,16,16,18,18,14,
15,23,23,17,22,18,15,18,17,16,15,18,17,18,16,15,19,19,19,19,20,20,20,20,20,19,17,16,20,19,
18,17,18,17,17,14,18,17,18,17,19,23,18,17,18,17,18,17,18,17,18,17,20,20,17,16,20,20,20,19,
20,18,18,18,18,18,18,14,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,20,17,21,20,21,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,17,14,18,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_36_latin_ext_h[560]={ 0,26,9,23,32,27,26,9,35,35,16,18,13,4,
7,29,25,24,24,25,23,24,24,23,25,24,19,25,21,9,21,26,34,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,31,23,25,23,24,23,23,23,23,23,34,29,34,12,4,8,19,26,19,26,19,26,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,19,18,18,18,26,18,34,37,34,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,32,24,22,23,
37,31,8,25,18,15,8,4,17,7,13,22,15,16,8,26,30,6,6,14,18,15,26,26,26,26,30,30,30,30,
30,31,23,30,30,30,30,30,30,30,30,30,23,30,31,31,31,31,31,15,31,31,31,31,31,30,23,27,26,26,
26,26,26,28,19,24,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,19,26,26,26,26,26,33,33,33,
29,25,30,26,30,25,31,26,31,26,31,26,31,26,30,27,23,26,29,25,30,26,30,26,30,25,30,26,31,33,
31,33,31,33,32,34,30,31,23,25,30,25,29,24,30,25,30,33,30,18,24,34,31,33,31,33,18,30,31,31,
33,26,26,23,25,23,25,30,25,31,26,30,25,28,31,26,30,25,31,26,31,26,25,19,30,25,31,26,30,25,
31,26,31,26,30,24,31,26,31,32,30,27,23,25,31,26,30,25,31,26,32,28,31,26,30,25,30,25,30,33,
30,30,25,30,25,30,25,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,35,32,30,26,34,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,32,26,31,32,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_36_latin_ext_s[560]={ 511,502,106,227,493,286,1,506,44,32,419,
368,62,235,203,191,209,298,214,261,301,183,263,177,352,231,498,388,17,89,1,
55,180,91,112,435,72,57,129,453,144,162,249,194,212,441,267,489,284,94,423,
471,248,280,402,381,360,339,321,96,174,106,72,248,190,110,269,54,263,126,231,
105,57,496,145,228,41,214,319,143,419,460,266,162,73,177,300,193,247,406,283,
130,1,116,171,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,511,504,460,
165,461,37,6,152,119,1,233,495,154,235,401,211,47,480,448,435,136,325,335,
227,506,33,387,478,84,124,145,166,370,413,192,296,171,227,387,278,260,373,410,
454,317,223,447,22,427,40,306,326,346,267,185,461,56,166,147,439,402,231,20,
331,37,19,1,486,468,244,70,315,400,381,362,343,487,296,315,369,251,334,211,
191,171,151,131,91,112,94,76,58,40,241,315,369,95,118,56,423,490,192,209,
366,76,348,19,298,75,451,19,307,487,385,156,445,472,441,77,477,40,101,1,
21,421,332,129,201,205,221,423,160,294,384,466,174,213,155,116,331,132,136,98,
281,59,335,350,78,39,298,1,352,351,391,110,496,389,215,239,409,464,368,245,
483,278,458,68,241,398,207,93,352,353,61,19,425,475,368,1,33,150,41,366,
389,273,81,287,316,248,280,114,199,169,307,133,405,434,262,1,147,37,334,428,
129,114,405,441,226,188,286,465,91,1,108,77,261,252,313,22,332,416,351,22,
200,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,56,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,11,475,391,179,56,134,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,1,436,133,405,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447, };
static unsigned short stb__consolas_36_latin_ext_t[560]={ 1,71,316,272,1,135,166,193,1,1,296,
296,316,316,316,135,220,246,246,220,272,246,246,272,220,246,272,220,296,316,296,
193,1,272,272,220,272,272,272,220,272,272,246,272,272,272,272,220,272,39,272,
220,272,246,272,272,272,272,272,1,135,1,316,316,316,296,166,296,193,296,166,
193,246,135,1,220,246,296,296,296,166,135,296,296,246,296,296,296,296,193,296,
1,1,1,316,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,1,166,1,
246,272,272,1,39,316,246,296,295,316,316,296,316,316,272,296,296,316,166,71,
316,203,316,296,295,193,193,193,193,104,104,104,71,104,39,246,71,71,71,71,
104,71,71,71,104,246,104,39,39,39,39,71,295,71,71,71,39,39,104,272,
135,193,193,193,166,166,135,296,246,166,166,166,166,193,220,220,220,166,220,166,
166,166,166,166,296,166,166,166,166,166,1,1,1,135,220,135,135,104,220,39,
135,39,135,39,193,71,166,135,135,246,135,135,193,104,135,135,135,135,220,135,
166,39,1,71,1,71,1,1,1,104,39,246,220,104,220,135,246,104,220,104,
1,104,296,246,1,71,1,72,1,296,71,71,39,1,193,193,246,193,246,220,
71,220,39,193,71,220,135,71,193,71,220,71,193,39,193,220,296,104,220,39,
193,104,220,39,193,39,193,104,246,39,166,39,1,104,135,272,246,39,193,71,
246,39,135,1,135,39,166,71,246,104,246,104,1,104,104,246,104,220,104,220,
193,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,39,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,1,1,104,193,1,135,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,39,166,39,1,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246, };
static unsigned short stb__consolas_36_latin_ext_a[560]={ 317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_36_latin_ext(stb_fontchar font[STB_FONT_consolas_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_36_latin_ext_s[i] + stb__consolas_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_36_latin_ext_t[i] + stb__consolas_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_36_latin_ext_x[i];
            font[i].y0 = stb__consolas_36_latin_ext_y[i];
            font[i].x1 = stb__consolas_36_latin_ext_x[i] + stb__consolas_36_latin_ext_w[i];
            font[i].y1 = stb__consolas_36_latin_ext_y[i] + stb__consolas_36_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_36_latin_ext_s[i] + stb__consolas_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_36_latin_ext_t[i] + stb__consolas_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_36_latin_ext_x[i] + stb__consolas_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_36_latin_ext_y[i] + stb__consolas_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_36_latin_ext_LINE_SPACING
#endif

