// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT        434
#define STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_42_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_42_latin_ext_LINE_SPACING          28

static unsigned int stb__consolas_42_latin_ext_pixels[]={
    0x32219991,0x6c0000cc,0x0000dfff,0x00000000,0x0c060000,0x35799100,
    0x00022000,0x00400011,0x66666640,0x33324ccc,0x0ccccccc,0x665d4400,
    0x00020001,0x70008800,0x3ffa85ff,0x80000000,0xbb301dd8,0x7fd40001,
    0x2000003f,0x40dffff9,0x00006ffd,0x03fffa80,0x3ffea000,0x00060003,
    0x3ffffff6,0xff9806ff,0x8000001f,0x8801bcb8,0xfff11fff,0x7fec0003,
    0xf700003f,0x4000009f,0x001efffd,0x5f717e60,0x3fffe600,0x3f6000df,
    0xffd800df,0x3fa6000d,0xfff1001f,0x4fffffff,0xffffffff,0xfb1000ff,
    0x4005ffff,0xbdfffec9,0xffb00000,0xdff9801b,0x000bff60,0x5ffff900,
    0x40fffe80,0x0007fff8,0x07fffff5,0xfff10000,0x1bff609f,0xff500000,
    0x00007fff,0x07fffff5,0x02fff980,0x3fffff60,0xf9806fff,0x000001ff,
    0x1fffffd4,0x447ffe20,0x88001fff,0x0001effe,0x0007ffa0,0x6fffec00,
    0x3fe60000,0x05fff53f,0xffffff30,0xfff7003f,0xfffb809f,0x3ffa004f,
    0xfff1007f,0x4fffffff,0xffffffff,0xff9800ff,0x002fffff,0xfffffff9,
    0xb80003ff,0xe804ffff,0xffffdfff,0x3f200000,0x7c400eff,0x7fcc2fff,
    0x7d4001ff,0x03fffdff,0x3ffe2000,0x1bff602f,0xffa80000,0x003fffdf,
    0x3f7ffea0,0x3fe003ff,0xfb000fff,0xdfffffff,0x03fff300,0x7fc40000,
    0x201ffdbd,0xff11fff8,0xfe88003f,0x4400004f,0x000007ff,0x2627fffb,
    0x3fe20009,0xfffd10ef,0xfb533003,0xffb00dff,0xffd80dff,0xff1006ff,
    0x26003fff,0xffb99999,0x2673ffe7,0xfd001999,0x01335dff,0xbdfffe98,
    0x02ffffca,0x3ffff600,0xffff9806,0x00001fff,0x8013fff2,0x7c40fffe,
    0x7d4007ff,0x7fff52ff,0xfff10000,0x6ffd801d,0xff500000,0x0fffea5f,
    0x4bffea00,0x9803fffa,0x001fffff,0x4037fec0,0x0001fff9,0xfd1fee00,
    0x8fffc407,0x0001fff8,0x7dc00000,0xd800005f,0x3ff61eff,0xfffd1000,
    0x1ffff881,0x1fffdc00,0x17ffff20,0x0bffffb0,0x07ffffc0,0x9ffea000,
    0x20003fff,0x4004fffa,0x500dfff8,0x20005fff,0x004ffffb,0x019dfd91,
    0x7ffe4000,0x0ee44002,0x2000dd98,0x7cc1fffa,0x220003ff,0xfb004fff,
    0x500000df,0xff983fff,0x3fea003f,0x1fffcc1f,0x3ffffe20,0x7fec0000,
    0x1fff9806,0x3ee00000,0xf1027ec6,0x3ffe23ff,0xfff91001,0xe800003b,
    0x400003ff,0x3e20aaa9,0x3ffa006f,0xdfff301f,0x0bffd000,0x01ffff98,
    0x00ffffcc,0x005fff50,0x7cfff500,0x320003ff,0xfe8006ff,0x6ffc804f,
    0xdffd1000,0x00000001,0x0004ccc0,0x00000000,0x00000000,0x00037fec,
    0x00000000,0x7fdc0000,0xfd80003f,0xfff9806f,0x26000001,0x05ff52ff,
    0xf88fffc4,0xff8801ff,0x000fffff,0x01fff300,0x7d400000,0xfff7004f,
    0x4fffa805,0x037fe400,0x88005dc4,0x988000bb,0xff500000,0x001fffcf,
    0x8009ffb0,0x36005ffc,0x260001ff,0x00000002,0x00e6e4c0,0x00000000,
    0x00000000,0x0037fec0,0x00000000,0xa8800000,0xffb00000,0x3fff300d,
    0xfd800000,0x4406ffff,0xfff11fff,0x21ff9003,0x00004ff8,0x10000000,
    0x2007ff61,0xb005fff8,0x54003fff,0x000007ff,0x00000000,0x7fcfff50,
    0x3fa0003f,0x3fe6003f,0x3fea000f,0x00000004,0x3ee00000,0x0004ffff,
    0x00000000,0x40000000,0x00006ffd,0x00000000,0x00000000,0x300dffb0,
    0x00003fff,0x19fff900,0x11fff880,0xfd003fff,0x0006fc89,0x30000000,
    0xffffffb7,0x3fff200f,0xdfff1001,0x03ffd400,0x00000000,0xffa80000,
    0x000fffe7,0x2002fff8,0x44002ffd,0x000006ff,0x3bfb2e20,0xcccccccd,
    0xadff9801,0x32a02ffd,0x64c002cc,0x3332a1cc,0x6664c002,0x00b332a1,
    0x36399930,0x76dcc6ff,0xb88001bd,0xcccdefec,0xc981cccc,0xcccccccc,
    0x0000cccc,0xdffb0000,0x03fff300,0x00799970,0xff880020,0x03fff11f,
    0x3a21ff90,0x0000005f,0xfffb8000,0x2fffffff,0x027ffcc0,0x00bfff20,
    0x5403ffd4,0x997003cc,0x3b2e2007,0xcccccdef,0xffa801cc,0x000fffe7,
    0x1002fff8,0x36000dff,0x333261ff,0xcccccccc,0x3f2200cc,0xffffffff,
    0x802fffff,0x02fec5fc,0x800dfff3,0x3e60fffd,0x7ec006ff,0x3ffe60ff,
    0x7ffec006,0x7ecbffb0,0x04ffffff,0xfffff910,0xffffffff,0xffff705f,
    0xffffffff,0xccccb83f,0x0003cccc,0x9806ffd8,0x7dc01fff,0xeec81fff,
    0xaf764005,0xff11fff8,0xfff3003f,0x0003fffd,0xdefecb88,0x1ccccccc,
    0xffffd880,0xffffffff,0x03fff603,0x01bffa00,0x6c03ffd4,0xffb006ff,
    0xfffc880d,0xffffffff,0xfa802fff,0x00fffe7f,0x002fff80,0x20007ff9,
    0x3fee2ffb,0xffffffff,0x3fa01fff,0xfffeefff,0x02ffffff,0x37dc4fe8,
    0x007fffa0,0x7437ffc4,0xf1001fff,0xfffd0dff,0x3ffe2003,0x3637ff66,
    0xffffffff,0xfffe804f,0xfffffeef,0xfb82ffff,0xffffffff,0x7ec1ffff,
    0x6fffffff,0x6ffd8000,0x01fff980,0x407fffee,0x6c006ffd,0x3fff16ff,
    0x4007ffe2,0x01dfffd9,0x3fff2200,0xffffffff,0xfe802fff,0xff12ceff,
    0xf105ffff,0x2e0009ff,0xfa801fff,0x6ffd807f,0x80dffb00,0xfeeffffe,
    0xffffffff,0x27ffa802,0x20003fff,0xf8802fff,0xefdb80ff,0x5ff53dbc,
    0x7fffffdc,0x1fffffff,0x81bfff90,0xaacfffea,0x6c6fc800,0x7ffd405f,
    0x5fff5004,0x009fff50,0x2a0bffea,0xf5004fff,0x77fec5ff,0xc99bfffe,
    0x3202ffff,0x7540dfff,0x80aacfff,0xaaaaaaa9,0x41fffcaa,0xfffffffd,
    0xfd80006f,0xfff9806f,0x3ffff701,0x0037fec0,0x7fc5bff6,0x03fff11f,
    0x20000300,0xfeeffffe,0xffffffff,0x77ffd402,0x7ffffc40,0x1fffa86f,
    0x7fff3000,0x00fff500,0x3600dffb,0x3ff206ff,0x7ff540df,0xa800aacf,
    0x0fffe7ff,0x02fff800,0x6c44ffa8,0x2fffffff,0x554c7ff5,0xcaaaaaaa,
    0xff981fff,0x3ffe205f,0x77fcc005,0xf802ffdc,0xffb007ff,0x1fffe01f,
    0x807ffec0,0xfb007fff,0x7ffec1ff,0xfff505ff,0x17ffe60b,0x005fff88,
    0x83fff500,0xfeaaaaaa,0xfd80006f,0xfff9806f,0x1ffffb81,0x0037fec0,
    0x7fc5bff6,0x03fff11f,0x0f7776c0,0xdfffc800,0x67fff540,0x7ff400aa,
    0xebffb80f,0x7fec3fff,0x7ff40006,0x0fff9806,0x8037fec0,0xff306ffd,
    0x7ffc40bf,0x3ffd4005,0x40007fff,0xfc802fff,0x77fff42f,0xff31ffff,
    0xfff50009,0x01fff703,0x8007ffc8,0x03fffffb,0x805fff90,0x3204fff8,
    0x7c402fff,0x3ff204ff,0x7ffc402f,0x27fffec4,0x203fff20,0x6400fffb,
    0x500007ff,0x36003fff,0xd80006ff,0xff9806ff,0x7fffdc1f,0x06ffd800,
    0xf8b7fec0,0x3fff11ff,0x3fffea00,0xff98003f,0x3ffe205f,0x5fff5005,
    0x3ea3ff60,0x3ffe26ff,0x7fdc0004,0x7ffc401f,0x037fec02,0xf706ffd8,
    0xffc801ff,0x3ffd4007,0x20007fff,0xd801fff9,0x3bfea0ff,0x221fff30,
    0xfa8005ff,0x6ffc81ff,0x01fffa80,0x01bcb880,0x017ffe60,0x4c03fff7,
    0x7dc05fff,0x3fe601ff,0x7ffdc05f,0x02fffec1,0x641fffd4,0xffa806ff,
    0xfa80001f,0xffb001ff,0xffb0000d,0x3fff300d,0x0077ffd4,0x4006ffd8,
    0xfff16ffd,0x007ffe23,0x37ffffe4,0x07ffdc00,0x401fff20,0xf880fffe,
    0x43fffa6f,0x0001fffa,0x401fffcc,0x3600effd,0xffb006ff,0x01bff20d,
    0x8007ffea,0x3ffe7ffa,0xdffb0003,0xfd1ffe00,0x13ffcc5f,0xf5000bff,
    0xdffb03ff,0x03fff500,0xfd000000,0x7ff401ff,0x0fffe806,0x201bffa0,
    0x3a00fffe,0x6ffd86ff,0x213ffe00,0xfa806ffd,0xa80001ff,0xfb001fff,
    0xfb0000df,0xfff300df,0x03bffea3,0x006ffd80,0xff8b7fec,0x03fff11f,
    0x3fffffe0,0x7fe4000f,0x1fffa806,0x82fffc40,0x3fee4ffa,0x01fff72f,
    0x3fff8800,0xcffff980,0x1bff609a,0xd837fec0,0xffa806ff,0x3fea001f,
    0x200fffe7,0xfffeba98,0x25ff9801,0x7fd46ff9,0x0017fe25,0x3607ffea,
    0xffb807ff,0x3b2e6007,0x002cdefe,0x2207fff7,0xfb803fff,0xfff103ff,
    0x7fff7007,0x20fffe20,0x3e006ffd,0x7ffd84ff,0x007ffb80,0x03fff500,
    0x001bff60,0x201bff60,0xffa9fff9,0x7ec000ef,0x7fec006f,0x003fff16,
    0x7d7ffd40,0x7ec003ff,0xfffa806f,0x17ffcc01,0x3e61ffc8,0x0fff94ff,
    0x13ffe000,0x7ffff4c0,0x01bff65f,0xfd837fec,0x7ffb807f,0xf3ffd400,
    0xff9007ff,0x2003bfff,0x3ff23ffa,0xf127fe44,0xff50009f,0x7fff503f,
    0x037ffc40,0x7fffffd4,0x01efffff,0xb837ffc4,0xf8800fff,0xfff706ff,
    0xdfff1001,0x203ffee0,0x3a006ffd,0xfffa85ff,0x1bffe203,0x7ffd4000,
    0x0dffb001,0x0dffb000,0xff9fff30,0xfb0001df,0xffd800df,0x003fff16,
    0xffb7fe40,0x7fec006f,0x07ffb807,0xf01fffa8,0x5fff98ff,0x0000fff9,
    0xa8017ffa,0x365ffffd,0xffb006ff,0x0fffea0d,0x006fff88,0xfff3ffd4,
    0xffff9007,0x7fdc005b,0xfb0bffa2,0x027fcc7f,0x80fffd40,0xd882fffe,
    0xfc802fff,0xffffffff,0x6400ffff,0xffe81fff,0x3fff2005,0x005ffe81,
    0x3a07fff2,0xdffb05ff,0x837ff400,0xd882fffe,0x00002fff,0x2003fff5,
    0x80006ffd,0xf9806ffd,0x1ffffbff,0x06ffd800,0xf8b7fec0,0x3e0001ff,
    0x1fff93ff,0x1fffd400,0x00dfff10,0xf301fff7,0x5fff88bf,0x0000dffb,
    0x6c01bffa,0x23ceefff,0xfb006ffd,0x7fff40df,0x2fffd882,0xf3ffd400,
    0xd95007ff,0x001dfffd,0x7ffc5ff7,0xf317ff41,0xff50007f,0x3ffea03f,
    0xfffdbcef,0x9ff9004f,0xfd731335,0xff980dff,0x17ffcc4f,0x89fff300,
    0x2002fff9,0x7cc4fff9,0xdffb02ff,0x82fff400,0xbceffffa,0x004ffffd,
    0x07ffea00,0x0037fec0,0x4037fec0,0xffa9fff9,0x7ec000ff,0x7fec006f,
    0x003fff16,0x4c7ffea0,0x74003fff,0xfd882fff,0xffc802ff,0xf05ff907,
    0x1bffadff,0x37fec000,0x017ffdc0,0x3600dffb,0x3fea06ff,0xffdbceff,
    0xfa8004ff,0x00fffe7f,0x017ffee0,0x7fc47ff2,0x507ffc0f,0xf50005ff,
    0x3ff603ff,0xffffffff,0x0066004f,0x200ffff4,0x7fe47ffe,0x7ff4000f,
    0x007ffe47,0xf91fffa0,0x3ff601ff,0x0fffe006,0x7fffffec,0x004fffff,
    0x0fffd400,0x006ffd80,0x806ffd80,0xff71fff9,0x7ec001df,0x7fec006f,
    0x003fff16,0xff1bff20,0xffa800df,0xffdbceff,0xffb004ff,0x203ffa0f,
    0xfffb6ffe,0x3ffa0000,0x03fff805,0xd8037fec,0x3ff606ff,0xffffffff,
    0xff50004f,0x001fffcf,0x400fffb8,0xfff11ffd,0x7e47ff88,0xffa8002f,
    0xbeffb81f,0x0deffffe,0x3ee00000,0x7fdc03ff,0x013ffa2f,0xe8bffee0,
    0xfb8004ff,0x13ffa2ff,0x1006ffd8,0xff705fff,0xdffffd7d,0x5000001b,
    0x36003fff,0xd80006ff,0xff9806ff,0x3bfff21f,0x0dffb000,0xf16ffd80,
    0x3e0003ff,0x7ffec4ff,0x3fff6000,0xffffffff,0x1fff6004,0x7fc1bfe2,
    0x00fff95f,0x017ffe00,0xd801fff1,0xffb006ff,0x2fbfee0d,0x0deffffe,
    0x9ffea000,0x10003fff,0xfd803fff,0x98fff30f,0x03fec6ff,0x81fffa80,
    0x00cc2ffe,0xff100000,0xfff8809f,0x003fff55,0x2abfff10,0x88001fff,
    0xfff55fff,0x037fec03,0xe81fffa8,0x000cc2ff,0x7ffd4000,0x0dffb001,
    0x0dffb000,0xd83fff30,0xfb005fff,0xffd800df,0x003fff16,0xa83fff50,
    0xf7003fff,0xffffd7df,0xfd8001bd,0x1ffdc0ff,0xff74fff8,0xff00001f,
    0x7ff9809f,0x006ffd80,0x3fa0dffb,0x0000cc2f,0x7fcfff50,0x3fe0003f,
    0x87fec02f,0x3ee0fff8,0x002ffc6f,0x441fffa8,0x00001fff,0x5ffe8000,
    0xd8fffc80,0x320006ff,0x6ffd8fff,0x3fff2000,0x6c06ffd8,0xfff006ff,
    0x03fff10d,0x2a000000,0xfb001fff,0xfb0000df,0xfff300df,0x0bfffd03,
    0x800dffb0,0xfff16ffd,0xfff90003,0x00dfff10,0x0330bffa,0x1fffc800,
    0x7c40ffec,0x3fff53ff,0xfff88000,0x03ffd403,0xd8037fec,0xfff886ff,
    0x54000001,0x0fffe7ff,0x03fff800,0xff88ffe4,0x4dfff11f,0x50003ffa,
    0xff983fff,0x0000005f,0x805ffe80,0xfffbfff9,0x3fe60003,0x003fffbf,
    0x3efffe60,0x7fec03ff,0x1fffc806,0x005fff98,0xff500000,0x3ff6003f,
    0xffd80006,0x1fff9806,0x04fffe88,0x20037fec,0xfff16ffd,0x803bba23,
    0xffb04fff,0xfff8801f,0xfb800001,0x1bfe22ff,0xf997ffcc,0x5c0004ff,
    0x7d400fff,0x6ffd807f,0x30dffb00,0x0000bfff,0x3e7ffa80,0x3e0003ff,
    0x7fe403ff,0x7ed3ffe2,0xffe98fff,0xfff50000,0xbfffff03,0x13559999,
    0xfdb71000,0xffffffff,0x3fffa00b,0x40000fff,0x0ffffffe,0x7fff4000,
    0x7ec00fff,0xffb102ff,0x7fffc09f,0xaaccccdf,0x54000009,0xfb001fff,
    0xfb0000df,0xfff300df,0x3fffe603,0x01bff604,0x3e2dffb0,0x3fff11ff,
    0x40bffe60,0x4c03fffa,0x00005fff,0x2a3fffa8,0xfff704ff,0x0037ff43,
    0x201bff60,0xfd807ffa,0xdffb006f,0x37ffffe0,0x09aacccc,0x4fff5000,
    0x20003fff,0x7dc03fff,0x3ffff22f,0xfffff9ef,0x3ea0002f,0xfffa81ff,
    0xffffffff,0xf9002eff,0xffffffff,0x200bffff,0x05fffffb,0xffffb800,
    0xfb80005f,0xd805ffff,0xddefffff,0x00dffffe,0x3fffffea,0xefffffff,
    0xff500002,0x3ff6003f,0xffff7006,0xffffffff,0x7fccffff,0x3ffe601f,
    0x0dffb03f,0xf16ffd80,0x3ffe23ff,0x40fff901,0xf805fff8,0xcccdffff,
    0x20009aac,0x3f26fff8,0x1fffd02f,0x000fffdc,0x804fff88,0xfd807ffa,
    0xdffb006f,0x3ffffea0,0xffffffff,0x7fd4002e,0x000fffe7,0x5403fff8,
    0x3ffa23ff,0xffffd0ff,0xffa80007,0xffff701f,0xffffffff,0xffc80bff,
    0xcccceeff,0x1005fffc,0x003fffff,0xfffff100,0xff100003,0xfb003fff,
    0xffffffff,0x2e007fff,0xffffffff,0x05ffffff,0x1fffa800,0x3fffffee,
    0xffffffff,0x7fffdc7f,0xffffffff,0x3fe67fff,0x7ffd401f,0x07ffd82f,
    0xf8afff40,0x3fff11ff,0xd017ffe0,0xfa801fff,0xffffffff,0x002effff,
    0x3fe5fffd,0x89fff307,0x0004fff8,0x5003fff7,0xffb00fff,0x1bff600d,
    0xffffffb8,0xffffffff,0x9ffea005,0x20003fff,0x7cc03fff,0x0565c44f,
    0x00002f2a,0x2607ffea,0xccbadfff,0xfffffecc,0x3dfff704,0x005ffe80,
    0x001bfff6,0x06fffd80,0x3fff6000,0xdfffb006,0x19bfffff,0x37ffe600,
    0xfeccccba,0x0004ffff,0xf70fffd4,0xffffffff,0x8fffffff,0xfffffffb,
    0xffffffff,0x007ffe67,0x90bfffee,0xff800fff,0x23fff14f,0xf981fff8,
    0x7fdc02ff,0xfffb803f,0xffffffff,0xfb805fff,0x05ff9eff,0xfd01fffb,
    0xfd0001ff,0x3fea00df,0x06ffd807,0x260dffb0,0xccbadfff,0xfffffecc,
    0x4fff5004,0x20003fff,0x7c403fff,0x0000006f,0x20fffd40,0x8805fff9,
    0xfd07fffb,0xffd001ff,0x7ffec00b,0x3f600002,0x200002ff,0xb002fffd,
    0x02662dff,0x17ffe600,0x1fffee20,0x1fff7000,0x7fffffdc,0xffffffff,
    0x0000007f,0xffb80000,0xfff1000f,0x447ffe25,0xffc81fff,0x9999999f,
    0x405fffa9,0xcbadfff9,0xffffeccc,0x7ffc404f,0xfd82ffef,0xfff504ff,
    0xfffb8009,0x0fff5002,0x3ffa0000,0x05fff985,0x07fffb88,0x7fcfff50,
    0x3fe0003f,0x1ffe803f,0x20000000,0x7e40fffb,0x3fa000ff,0x4fff81ff,
    0x00bffd00,0x001bffe6,0x06fff980,0x3ffe6000,0x1bff6006,0x7ffe4000,
    0x3fffa000,0x3ff20001,0xffc80007,0x00000004,0xfffa8000,0x3fff9004,
    0x7c47ffe2,0xffff81ff,0xffffffff,0x300fffff,0x7100bfff,0xf500ffff,
    0x221fffff,0x00ffffda,0x4007fff6,0x2005fff8,0x00007ffa,0xf907fff0,
    0x7f4001ff,0xffa801ff,0x000fffe7,0xb804ffe8,0x000004ff,0x21fff200,
    0x64005ffe,0x7fcc0fff,0xfff9803f,0x5fffd005,0x7ff40000,0x3a00002f,
    0x36002fff,0xd00006ff,0xfc800bff,0x3a0000ff,0x5c0005ff,0x65c005ff,
    0x65c0002c,0xfff8002c,0x7ffc400f,0x447ffe25,0x7fcc1fff,0xffffffff,
    0x2fffffff,0x001fff90,0x400ffff4,0xeefffffc,0x01efffff,0x802fffc4,
    0x2000fffc,0x00006ffc,0xe82fff88,0x7e4005ff,0xffa800ff,0x000fffe7,
    0x8805ffd8,0x000007ff,0x217ffa00,0x74006fff,0xfff887ff,0x7fffe405,
    0x5fffc805,0x3ff20000,0x3200005f,0x6c005fff,0xf00006ff,0xfe800dff,
    0x3ea0007f,0x220003ff,0x7c000fff,0x7c0002ff,0xfa8002ff,0xff502fff,
    0x7ffc41ff,0xc83fff11,0xffffffff,0xffffffff,0x0bffd05f,0x00fffc80,
    0xffffff70,0x001bffff,0x300bffee,0x44009fff,0x00005ffe,0xf81fffc8,
    0x7f4006ff,0xfff5007f,0x0001fffc,0xb001fff9,0x00000bff,0x07fff500,
    0x1007fffb,0x3e09fffb,0xfe982fff,0x2205ffff,0x000efffd,0xefffd880,
    0xfd880000,0x6c000eff,0xb00006ff,0xb1007fff,0x17309fff,0x037ffd40,
    0x017fee00,0x001fff30,0x007ffcc0,0xfffffe80,0xfffffede,0x88fffc43,
    0x7ffc1fff,0x9999999d,0xfffe9999,0x006fff80,0x2003fff4,0xfffffffe,
    0xffe8003d,0xdfff101f,0x3ff62001,0x2008002f,0xfb04fffb,0xfb1007ff,
    0x3ea009ff,0x00fffe7f,0x0dfff980,0x02fffcc0,0x02e601a8,0x506fffa8,
    0x59bdffff,0xffff9553,0x7fffdc0b,0xeffffdce,0x33325ffd,0x01fffffe,
    0xffd99900,0x20003fff,0xffffeccc,0xffd8001f,0xff500006,0x5359bdff,
    0x0bffff95,0x2af3bfe6,0x02ffffdc,0x037fe400,0x0017fee0,0x000bff70,
    0x7ffffe44,0x82ffffff,0xff11fff8,0x1fffcc3f,0x0bffee00,0x200ffff6,
    0x004fffd8,0x2aa7bfe2,0x7fcc0000,0x7ff440ff,0x372a200f,0x0005ffff,
    0xfd9599df,0x3ea01fff,0x9acdefff,0x5ffffcaa,0xcaaaaaa8,0x37ffe7ff,
    0x00aaaaaa,0xcdffffc8,0xefffa80a,0xff95311b,0x677fcc05,0xffffdcab,
    0x3fffee02,0xffffffff,0x7ec00dff,0xffffffff,0x7ecbff74,0x01efffff,
    0x3ffff600,0x20001eff,0xeffffffd,0xdffb0001,0x7fdc0000,0xffffffff,
    0x300dffff,0xffffffff,0x00007fff,0x199dfff3,0x003ffd80,0x001ffec0,
    0x7fffecc0,0xf100ceff,0x3ffe23ff,0x003fff21,0x50bfff30,0x59bdffff,
    0xffff9553,0x4ffa800b,0xff980000,0x3fff60ef,0x7fffcc01,0xf0000eff,
    0xffffffff,0xfffb803f,0xffffffff,0x7c40dfff,0xffffffff,0x3fffffe7,
    0x8800ffff,0x2ffffffe,0xffffff30,0x05ffffff,0x7fffffcc,0x803fffff,
    0xffffffc9,0x001dffff,0x3fffffea,0xd97fee1d,0x003fffff,0xfffffd80,
    0xffd80003,0x40003fff,0x00006ffd,0x7ffffe4c,0x01dfffff,0x7fffff44,
    0x0000dfff,0x3fffff60,0x007ff400,0x003ffa00,0x03531000,0x447ffe20,
    0x3ffe1fff,0xfffd0006,0xfffff701,0xffffffff,0xfc8001bf,0x5000001f,
    0x3fee7fff,0xfff9802f,0x7c0003ff,0xdfffffff,0xfff93000,0xbfffffff,
    0x3fffe203,0x3e7fffff,0xffffffff,0x3fea000f,0x36602fff,0xfffffffe,
    0x7ff4401c,0x0dffffff,0x6554c400,0x00009abc,0x50002a62,0x00001379,
    0x0004de54,0x01379500,0x0aaa6000,0x54c40000,0x009abcca,0x56655440,
    0x70000009,0xa801dddb,0xaa80002a,0x00000002,0x223fff10,0xfff31fff,
    0x3ff20007,0xfff9302f,0xbfffffff,0x1ffe0003,0xbf500000,0x51002fd8,
    0x40000135,0x009bcba9,0x99553100,0x55001357,0x55555555,0x55555554,
    0x88000aaa,0x51000aa9,0x10003557,0x01359955,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf11fff88,0x3fff23ff,0xfff30000,0xcaa9880b,0x00009abc,0x0000aaa2,
    0x00140a00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff88000,0x003fff11,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1fff8800,0x0003fff1,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54155500,
    0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x40000998,0x40001cca,0x33000008,
    0x804c4000,0x11000198,0x00400000,0x00000000,0x20265c00,0x000eeeeb,
    0x3ba67dd9,0xeeeeeeee,0xeeeeeeee,0x0000001e,0xeeb80000,0xdd9001ee,
    0x00000007,0x00000000,0x00000000,0x88000000,0x0000001a,0x88000000,
    0x00002eee,0x00027654,0x007fec00,0x007ff600,0xfffdb750,0xc98037bf,
    0xefffffed,0x1ffb001c,0x4006ff88,0x983ffffc,0x3f6e6005,0x000aceff,
    0x2fffe880,0x01ffffcc,0x3203ffc0,0xb004ffff,0x3ffe69ff,0xffffffff,
    0xffffffff,0x3ffee002,0x7fd4000e,0x1fffd43f,0x02ffffe4,0x2004ffd8,
    0x000efffd,0x7fffdc00,0x7ffec003,0xffb00005,0x200000bf,0x001ffffd,
    0x005fff88,0xffffd800,0x02fe9801,0xff305fd5,0xf800007f,0x000004ff,
    0x00037fc4,0x98007ffc,0xfffffffe,0xd884ffff,0xffffffff,0xf9005fff,
    0xffb315bf,0x7ffec009,0xfa8aefff,0xfffb805f,0x1effffff,0x7fff4000,
    0x0ffffcc1,0x037fc400,0x03fffff2,0x7cd3ff60,0xffffffff,0xffffffff,
    0xff9002ff,0x8003ffff,0xfc8dfff9,0xfff902ff,0xffb003ff,0xfffb1009,
    0x00001dff,0x007bffee,0xdfffffb0,0x7fec0001,0x0000efff,0x037fff60,
    0x7fffe400,0x3f600001,0xff000dff,0xffff01ff,0x03fff981,0x27ffc000,
    0x3ea00000,0xff80004f,0xffff9007,0xffffffff,0xffff989f,0xffffffff,
    0xfff1005f,0x01ffffff,0x32f7ff20,0xffffffff,0x7fffec01,0xffffffff,
    0xfffb0002,0x0efff983,0x0bff3000,0x4fffffc8,0x514ffd80,0xf9555555,
    0x555559ff,0xff900155,0x03fffb7f,0xfffff980,0x3ff202ff,0xfd805fff,
    0x7ff4404f,0x00effeae,0x6fffdc00,0x3ffa2000,0x00effebe,0x5f7ff440,
    0x0000effe,0x003fffd8,0x17fffec0,0xfffd8000,0x7fffc003,0x40ffff80,
    0x0003fff9,0x0027ffc0,0xffd84400,0x7fc40001,0x7fff4406,0xa999bcef,
    0x3fe24ffc,0x2609adff,0x26004cb9,0x1efffffe,0xb113a200,0x805fffff,
    0x8acefffe,0x2ffffeca,0x0fffe400,0x0037ffe6,0xdffd9510,0xfff90359,
    0xfd803fff,0xfff3004f,0xffd80005,0x0bfff21e,0xffffd100,0xffffc803,
    0x7fec00ff,0x37ffa204,0x03fffb10,0x0fffee00,0x1bffd100,0x007bff62,
    0x886fff44,0x0001effd,0x0007fff6,0x01bffea0,0x0fffec00,0x82ffdc00,
    0xff985ffb,0x7c00003f,0x980004ff,0xffffffdb,0xff980007,0x7fffec05,
    0x7ec55003,0x000003ff,0x0015e5d4,0x072a6008,0x03bffea0,0x006fffd8,
    0x2a02aaa2,0x7d4002aa,0xffffffff,0x77fe45ff,0x7ec05ffe,0xfff3004f,
    0x554c0005,0x02aa980a,0x00aaa880,0xffeeffc8,0x027fec04,0x26603331,
    0xaa880009,0xaa98001a,0x00555502,0x5540aaa6,0x5510002a,0x54000015,
    0x880000cd,0x20000aaa,0x980c4018,0x00003fff,0x00027ffc,0x3fffffee,
    0x0002ffff,0xf3027fd4,0x40003fff,0x00005fff,0x00000000,0x1fffd000,
    0x05fffd00,0x88000000,0xfffffffe,0x645fffff,0x1fffaeff,0x4013ff60,
    0x0002fff9,0x00000000,0xfbeffc80,0x3ff600ff,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe60000,0x9950003f,0x9dfff999,
    0x79999999,0xfffffb10,0x7fffffff,0xfecb9800,0xffe81bdf,0x3e60001f,
    0x000003ff,0x00000000,0x02fffa80,0x00bfff10,0x74400000,0xfebcffff,
    0x645edbbf,0x0bffd6ff,0x98027fec,0x00002fff,0x26000000,0x8effc801,
    0x3f604fff,0x06ffd84f,0x00000000,0x0000cc00,0x30000000,0x11000003,
    0x00000000,0xff980000,0xffb0003f,0xffffffff,0xdfffffff,0x59dfffd0,
    0x3fffffe2,0xffffa802,0x24ffffff,0x0005fffa,0x0027ffd4,0x005eec80,
    0x3b22f764,0x7764005e,0x003fffa5,0x901fffe8,0xec800bdd,0x9fffb05e,
    0xfc807ff8,0x03fff76f,0x4c013ff6,0x00002fff,0xdfffd973,0x3260017b,
    0xefffffed,0xcb7fe41c,0xffb00fff,0x00dffb09,0x765cc000,0x00bdefff,
    0xfffdb930,0x32039dff,0x764005ee,0xedc9805e,0x1cefffff,0x7f6dd400,
    0xc81bdfff,0x764005ee,0x02f7645e,0x7cd7bb20,0xfb0003ff,0xffffffff,
    0xffffffff,0x0efffa8d,0x7fffffc4,0x3fff6206,0xffffffff,0x007fffa4,
    0x0ffff100,0x1bff6000,0xd8dffb00,0x7ec006ff,0x0bfff16f,0x02fffb80,
    0xd800dffb,0xfff886ff,0xc806ff87,0x1bffe6ff,0x98027fec,0x40002fff,
    0xffffffe8,0x202fffff,0xffffffd8,0x645fffff,0x7fff36ff,0x3613ff60,
    0x800006ff,0xffffffe8,0x202fffff,0xffffffd8,0xb05fffff,0xfd800dff,
    0x3ff6206f,0xffffffff,0xffd3005f,0xffffffff,0x06ffd89f,0x3637fec0,
    0x7ec006ff,0x07fff36f,0x2aaaa600,0xaaadfffa,0x742aaaaa,0xffb80fff,
    0xd03fffeb,0xff5bffff,0x7fc9f95f,0xfd00005f,0x80001dff,0x6c006ffd,
    0x37fec6ff,0x4dbff600,0x4c002fff,0xffb03fff,0x6ffd800d,0x4c3fffa8,
    0xffc805ff,0x20bffee6,0xf3004ffd,0x540005ff,0xffffffff,0x302fffff,
    0xffffffff,0xc8bfffff,0x1fffa6ff,0x7ec27fec,0x5400006f,0xffffffff,
    0x302fffff,0xffffffff,0x20bfffff,0x6c006ffd,0xfff306ff,0xffffffff,
    0xff900bff,0xffffffff,0xffd89fff,0x37fec006,0xb001bff6,0x3ffe6dff,
    0x7fc00003,0x7fd4004f,0x51ffb02f,0xff70dfff,0x1bfe21df,0x013ffe23,
    0x7fffd400,0x3f60003f,0x7fec006f,0x0037fec6,0x7fd5bff6,0x7fc4001f,
    0x0dffb04f,0xb86ffd80,0x7fd43fff,0x46ffc804,0xffd86ffe,0x5fff3004,
    0x3fff2000,0xa999acef,0xff882ffc,0x2609adff,0x7fe44cb9,0x20bffea6,
    0xffd84ffd,0x3f200006,0x99acefff,0x882ffca9,0x09adffff,0x6c132e66,
    0x7ec006ff,0xffff886f,0x2e6609ad,0x3ffa204c,0x999bceff,0x7ec4ffca,
    0x7fec006f,0x0037fec6,0x7fcdbff6,0x7c00003f,0x7f4004ff,0x6ff880ff,
    0xf883fffa,0x3fe60eff,0x07fff305,0x7ffe4000,0x4000bfff,0x6c006ffd,
    0x37fec6ff,0x5dbff600,0xf8000fff,0xdffb05ff,0x86ffd800,0x7dc6fff9,
    0x6ffc803f,0x3617ffd4,0xff3004ff,0xff50005f,0x06a009ff,0x000ffff6,
    0x7f46ffc8,0x84ffd86f,0x00006ffd,0x009ffff5,0x3fff606a,0xffd80003,
    0x37fec006,0x001fffec,0x3ffffd80,0xffd85500,0x37fec006,0xb001bff6,
    0x3ffe6dff,0x7fc00003,0x3fe2004f,0x49ff505f,0x3f62fffb,0x27fd42ff,
    0x502fffa8,0xffffffff,0xfffff50b,0x36003bff,0x7ec006ff,0x037fec6f,
    0x7e5bff60,0xfff0007f,0x01bff60d,0x3e0dffb0,0x3ff24fff,0x86ffc802,
    0x7fec6ffe,0x5fff3004,0x7fffd000,0xbfff0000,0x6ffc8000,0x3617ffd4,
    0x6ffd84ff,0xfffd0000,0xfff00007,0x3f60000b,0x7fec006f,0x005fff86,
    0x3ffff300,0x6ffd8000,0x237fec00,0x6c006ffd,0x7fff36ff,0xfff80000,
    0x3ffe6004,0x4c3ff902,0x3ffa4fff,0x903ffb85,0x3ea03fff,0x5fffffff,
    0xfffff910,0xfd803dff,0x7fec006f,0x0037fec6,0x7fedbff6,0xfffd0007,
    0x001bff60,0x3ee0dffb,0xffdaefff,0x86ffc801,0x3f63fffa,0xfff3004f,
    0xfffa8005,0xff980004,0x7e40003f,0x46ffe86f,0xffd84ffd,0xffa80006,
    0xf980004f,0xb00003ff,0xfd800dff,0x1fffcc6f,0xfffe8000,0xffd80001,
    0x37fec006,0xb001bff6,0x3ffe6dff,0x7fc00003,0x3fea004f,0x98fff01f,
    0xfff15fff,0x205ff909,0xf501fffc,0xbfffffff,0xffffb880,0x3f604fff,
    0x7fec006f,0x0037fec6,0x7fedbff6,0xdffd0007,0x001bff60,0x7ec0dffb,
    0x0fffffff,0xd06ffc80,0x27fecfff,0x02fff980,0x007fff40,0x27ffd400,
    0x1bff2000,0xfd87ffee,0x46ffd84f,0x01cdfeda,0x0003fffa,0x013ffea0,
    0x037fec00,0xf51bff60,0x500009ff,0x0000bfff,0xb001bff6,0x6ffd8dff,
    0x9b7fec00,0x00003fff,0x70027ffc,0xff301fff,0x35fff88b,0xffb05fff,
    0x0bffea03,0x00bffd00,0x7ffffed4,0x00dffb05,0x7ec6ffd8,0x7fec006f,
    0x001fff96,0x360bfff0,0x7ec006ff,0x7ffdc06f,0x401cffff,0xff506ffc,
    0x013ff67f,0x0017ffcc,0x0009fff5,0x01fffe20,0x20dff900,0x3ff65fff,
    0xd16ffd84,0x7fffffff,0x009fff50,0x1fffe200,0x37fec000,0x11bff600,
    0x0000ffff,0x0003fffd,0x001bff60,0xffd8dffb,0xb7fec006,0x0003fff9,
    0x0027ffc0,0x3f20fff9,0x56fff82f,0xffd05fff,0x0fffe601,0x00bffd00,
    0x7ffffd30,0x800dffb0,0x7fec6ffd,0xb7fec006,0x4001fffc,0xfb04fff8,
    0xffd800df,0xfffc8806,0x901effff,0x7ff40dff,0x2009ffb7,0x2002fff9,
    0x0001fffb,0x03bfffa0,0x837fe400,0xffb1fffb,0xf3bffb09,0xffffffff,
    0x1fffb87f,0x3ffa0000,0x6c0000ef,0x7ec006ff,0xefffe86f,0x3ffe0000,
    0x3f600005,0x7fec006f,0x0037fec6,0x7fcdbff6,0x7c00003f,0x3f6004ff,
    0x01ffd07f,0x3feadffd,0x207ff82f,0x4004fff8,0x20005ffe,0xfd87fffc,
    0x7fec006f,0x0037fec6,0x7fddbff6,0x7fcc001f,0x0dffb03f,0x006ffd80,
    0x3fffff22,0x6ffc84ff,0x36fffe60,0xff3004ff,0x7fe4005f,0x2a00000f,
    0x003fffff,0xf106ffc8,0x13ff69ff,0x3fffbff6,0xfffc99ae,0x007ffe47,
    0xffff5000,0x7ec0007f,0x7fec006f,0xfffffa86,0xfff88003,0x3f600004,
    0x7fec006f,0x0037fec6,0x7fcdbff6,0x7c00003f,0x3f6004ff,0x06ff887f,
    0x3fe6bfff,0x037fc43f,0xd001bffe,0xe8000bff,0x7fec0fff,0x37fec006,
    0xb001bff6,0x3ffeadff,0x7ffdc004,0x00dffb02,0x4006ffd8,0xffffeffa,
    0x037fe45f,0x3ff7fff6,0x5fff3004,0x03ffec00,0x7ffe4000,0x9000bfff,
    0x7fe40dff,0xd84ffd8f,0x904fffff,0x7fec5fff,0xfc800007,0x00bfffff,
    0x0037fec0,0x7e41bff6,0x00bfffff,0x007fff30,0x037fec00,0xfb1bff60,
    0xffd800df,0x007fff36,0x04fff800,0x703fff60,0x3ffe07ff,0x98dfff14,
    0x7ff405ff,0x3ffa002f,0x7fdc0005,0x037fec2f,0xfb1bff60,0xffd800df,
    0x00dfff16,0xb00fffe8,0xfd800dff,0x7fdc006f,0x4ffffc8a,0xf301bff2,
    0x009fffff,0x800bffe6,0x00006ffe,0xffffff50,0xffc803bf,0x2fffe206,
    0xffd84ffd,0x3fe203ff,0x01bffa4f,0x7ffd4000,0x001dffff,0xd800dffb,
    0x3fea06ff,0x01dfffff,0xa817ffd4,0xffffffff,0x0037fec5,0xffb1bff6,
    0x6ffd800d,0x0007fff3,0x005ffe80,0xfb07fff2,0x7fff103f,0xf50ffff4,
    0xfffa809f,0x17ffa005,0x3fff7000,0x4006ffd8,0x7fec6ffd,0x37fec006,
    0x2003fffb,0x3604fff9,0x7ec006ff,0x7fe4006f,0x43fffea1,0xfd806ffc,
    0x3004ffff,0x7c005fff,0x000006ff,0x3fffff22,0xff901eff,0xdfffd80d,
    0xfffd84ff,0x25ffe804,0x00006fff,0x3ffff220,0x6c01efff,0x7ec006ff,
    0x7fe4406f,0x01efffff,0x2a03fff9,0xffffffff,0x0037fec5,0xffb1bff6,
    0x6ffd800d,0x0007fff3,0x006ffd80,0xf88bffee,0x5fff306f,0xc97fffd4,
    0xffe803ff,0xbffd002f,0x7ffd8000,0x4006ffd8,0x7fec6ffd,0x37fec006,
    0x200bfff5,0x3600fffd,0x7ec006ff,0x7ff4006f,0xc97ffe40,0xff9806ff,
    0xf3004fff,0x7fc005ff,0x8000006f,0xffffffb8,0x06ffc84f,0x7fffffcc,
    0x006ffd84,0x7ffcdffb,0x88000006,0xfffffffb,0x01bff604,0x200dffb0,
    0xffffffb8,0x1fffc84f,0xffffff50,0x6ffd8bff,0x237fec00,0x6c006ffd,
    0x7fff36ff,0xffc80000,0xfff5002f,0xb827fd47,0x7ff41fff,0x42ffdbff,
    0x7fffcc2a,0x05ffe804,0x1bffea00,0xb001bff6,0x6ffd8dff,0x237fec00,
    0x6c05ffff,0x7ec05fff,0x7fec006f,0x43ffc006,0xff93fff9,0x3fff200d,
    0xfff3004f,0x3fff4005,0x2a000000,0x45fffffd,0xfd806ffc,0xfd84ffff,
    0xdffb006f,0x0003fff4,0x3ff6a000,0xffb05fff,0x6ffd800d,0xfffda800,
    0x7ffd45ff,0x2fff4002,0xb001bff6,0x6ffd8dff,0x9b7fec00,0x9999cfff,
    0x01999999,0x02ffffa8,0x9bffe231,0xffd02ffc,0xffff981f,0xfdcdffff,
    0xffffd84f,0x7f4c09be,0x0137bb5f,0x0ffffecc,0x20037fec,0x7fec6ffd,
    0x37fec006,0x2b7fffea,0xdfffb510,0x06ffd801,0x0037fec0,0x3fea1bfe,
    0x00dff92f,0x013fffe2,0x0017ffcc,0x0001fffb,0xffd30000,0x37fe47ff,
    0x7ffffcc0,0x006ffd84,0x7fecdffb,0x0000000f,0x3ffffe98,0x4006ffd8,
    0x20006ffd,0x23ffffe9,0x4003fff9,0x7fec5ffe,0x37fec006,0xb001bff6,
    0x3ffe6dff,0xffffffff,0xd801ffff,0xeeefffff,0x3fffa6fe,0x3e60fff2,
    0xffd104ff,0xffffffff,0x3fff209f,0xffeeffff,0xfffb5fff,0xfffddfff,
    0x3605ffff,0x7ec006ff,0x037fec6f,0x2e1bff60,0xffffffff,0x800effff,
    0x6c006ffd,0x3e2006ff,0x0fffd85f,0x6400dff9,0xf3004fff,0x7e4005ff,
    0x000001ff,0x9ffff200,0xfd006ffc,0xffb09fff,0x9bff600d,0x0001fffc,
    0x3ff20000,0x06ffd87f,0x0037fec0,0x13fffe40,0xe8009fff,0x37fec5ff,
    0xb1bff600,0xfd800dff,0xfffff36f,0xffffffff,0xfd1003ff,0xffffffff,
    0x4f7ffdcd,0xfffb05ff,0x7fed4401,0x2defffff,0x3ffffa60,0xffffffff,
    0xffffffb4,0xdfffffff,0x03ffec05,0xfb17ffa0,0xffe800ff,0xfffff705,
    0x01dfffff,0x001fff60,0x2010bffd,0x7fdc4ff9,0x01bff26f,0x004fff88,
    0x4005fff3,0x0003fffb,0x7ff40000,0x00dff90f,0x213fffea,0xfb006ffd,
    0x1fffdcdf,0x20000000,0x7ec0fffe,0x7ff4007f,0xffd00005,0x037ffc1f,
    0xfb17ffa0,0xffe800ff,0x003ffec5,0x7fcd7ffa,0xffffffff,0x001fffff,
    0x3fffffaa,0x3ffe25ff,0xfd82ffef,0x3ea004ff,0xb8001aef,0xffffffed,
    0x3fb6a1ce,0xffffffff,0x7ffc802d,0x227ffc00,0x7c007ffc,0x3ae204ff,
    0x02dfffff,0x003ffe40,0x3f613ffe,0xcffbaacd,0x1ffffeca,0x7fff0000,
    0xf5000000,0x00000dff,0x2fffb800,0xfd800000,0xdffb006f,0x0037ffd4,
    0x3ee00000,0x3ffe42ff,0x013ffe00,0x17ffdc00,0x4005fffd,0x7fe45ffe,
    0x27ffc007,0xf001fff2,0x000009ff,0x09998800,0xffffff50,0x3fff6a21,
    0x3fea000f,0x2a600004,0x2a660019,0xfb80019a,0xff1000ff,0x0fffb85f,
    0x05fff100,0x007ffee0,0x007ffdc0,0xd82fff88,0xffffffff,0x1fffffff,
    0xfff10000,0x20000005,0x0002fffe,0x3fee0000,0x8000001f,0xfb006ffd,
    0x2fffe8df,0x20000000,0x7dc1fffb,0xff1000ff,0x2e00005f,0x3fea1fff,
    0x3ffa005f,0x007ffdc5,0x5c2fff88,0xf1000fff,0x000005ff,0x7e400000,
    0xffeeffff,0x4001efff,0x00003ffb,0x00000000,0x4013ffea,0x7d41fffc,
    0xff9004ff,0x3fe2003f,0xff50004f,0x3ff2009f,0xffffd81f,0xffffffff,
    0x200000cf,0x2001fffa,0x54002ccb,0x0000efff,0xfffb0000,0x01665c00,
    0x401bff60,0x7fd46ffd,0x000000ef,0x50fffb00,0x32009fff,0x00001fff,
    0xffd0fffb,0x3ffa005f,0x027ffd45,0x541fffc8,0xf9004fff,0xccb803ff,
    0x99700002,0xfffb8005,0xdfffffff,0x2ffc8000,0x2ccb8000,0x2ccb8000,
    0x07fffc00,0x417ffe20,0x4400ffff,0x74005fff,0xf0000fff,0xf8801fff,
    0x975105ff,0x9bdfffdd,0xd0000015,0x7c001fff,0xfe8002ff,0x11002fff,
    0xfff50000,0x17ffc00d,0x01bff600,0x7f437fec,0x11002fff,0xfff50000,
    0x03fffe0d,0x00bfff10,0x1bffea00,0x013fffe6,0x3fe17ffa,0x7fc400ff,
    0x1ffff05f,0x05fff880,0x0002fff8,0x0005fff0,0xfffffffd,0x7ec0007b,
    0xff80001f,0xff80002f,0x7fd4002f,0xfff502ff,0x3ffea01f,0xffff502f,
    0xfffc8001,0x5036441e,0x2a05ffff,0x4000ffff,0x000007ff,0x003fffc8,
    0x0003ffe6,0x37ffffea,0x3f6a621a,0x004deec2,0x03ffffb3,0x003ffe60,
    0x200dffb0,0xffa86ffd,0x221adfff,0x6ec2fda9,0x3f66009b,0xff501fff,
    0x3fea05ff,0x9bdd80ff,0x3fff6600,0xffffb01f,0xfe98137d,0xffffa85f,
    0x1ffff502,0x0bfffea0,0x007fffd4,0x0003ffe6,0x003ffe60,0x553dff10,
    0x3fa00001,0x7cc0000f,0x4c0000ff,0xe8000fff,0xedefffff,0x403fffff,
    0xdefffffe,0x03fffffe,0xfffffd00,0x407fffdd,0xdefffffe,0x03fffffe,
    0x0037fc40,0xffec9800,0x7fdc006f,0x3fea0005,0xffffffff,0x7ec2ffff,
    0xfeefffff,0x02ffffff,0x0017fee0,0x6c01bff6,0xfff506ff,0xffffffff,
    0xffd85fff,0xffeeffff,0x402fffff,0xdefffffe,0x03fffffe,0xdffffffb,
    0xfffffffd,0xffffc805,0xfffeefff,0xfffd05ff,0xfffdbdff,0xffe807ff,
    0xffedefff,0xfb803fff,0xf700005f,0xff5000bf,0x3e000009,0xfb80007f,
    0xfb80005f,0xf910005f,0xffffffff,0xf91005ff,0xffffffff,0x440005ff,
    0xfffffffe,0x3f2204ff,0xffffffff,0xf98002ff,0x9000005f,0x003dffff,
    0x0003ffd8,0x7ffffec4,0x2fffffff,0x7fffffec,0xefffffff,0x1ffec002,
    0x037fec00,0x2206ffd8,0xfffffffd,0x6c2fffff,0xffffffff,0x02efffff,
    0xfffffc88,0x02ffffff,0x3ffffff6,0xefffffff,0xfffd3002,0xffffffff,
    0x3ff2209f,0xffffffff,0xffc8802f,0xffffffff,0x7ffb002f,0x3ff60000,
    0x1ffc8003,0xff880000,0xffd80006,0xffd80003,0x7ecc0003,0x0cefffff,
    0x7ffecc00,0x000cefff,0xfffff700,0x366003df,0xceffffff,0x9ff50000,
    0x3f200000,0xfd0004ff,0x2a00001f,0xdfffffec,0xfeda80ac,0xffffffff,
    0xffd0002d,0xdffb0001,0x01bff600,0x3ffffb2a,0xda80acdf,0xfffffffe,
    0x98002dff,0xeffffffd,0x7f6d400c,0xffffffff,0xdb70002d,0x9dffffff,
    0xfffb3003,0x0019dfff,0xfffffd98,0x3a000cef,0xd00000ff,0xff0001ff,
    0x2600000f,0xe80005ff,0xe80000ff,0x200000ff,0x00001a98,0x00006a62,
    0x00353100,0x001a9880,0x005dd700,0x026aa000,0x002aa800,0x00262000,
    0x0cd54cc0,0x02aa8000,0x00dffb00,0x2001bff6,0x33000098,0x00003355,
    0x0001a988,0x00cd54cc,0x19a98000,0x0d4c4000,0x35310000,0x01554000,
    0x00555000,0x00055510,0x00266200,0x000aaa00,0x00015540,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeea80000,0xacdeeeee,0x00000002,
    0x31019880,0x00000003,0x006f2e20,0x00000000,0xeec80000,0x7ddd7005,
    0x22013100,0x00000019,0x33310000,0x00440013,0x06a20000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00000008,
    0xffff7000,0xdfffffff,0x7ff4c005,0x700000ef,0x1ffd05ff,0xbfffb000,
    0x7ffd4000,0x260003ff,0x5fd502fe,0x3ffa2000,0x7fffcc2f,0x201bff63,
    0x800efffa,0x7fc40ffd,0x7ff4c006,0x02fff4c5,0x7fffcc00,0xffff9004,
    0x4000b307,0x0005fff8,0x00efffb8,0x2fffec00,0xfffe9800,0x0000000e,
    0x003ffffb,0xf50fffea,0xfd3007ff,0x80001dff,0x74c4fff9,0x74c004ff,
    0x05fd502f,0x0fffff20,0x7f4c0166,0x805fd502,0xfffffffb,0x04ffffff,
    0x3bfff620,0xffa80000,0x6ffc98ae,0xffffd800,0x7c4000ef,0x01ffdbdf,
    0x01ffff00,0x0001ffff,0xf983fffd,0x7fec1fff,0x7fffc406,0x5bff9000,
    0x009ffb31,0x53dffd10,0x00009fff,0x005ffff3,0x3ffffff6,0x05ffa8ae,
    0x3ffff900,0x7ffe4000,0xb0001fff,0x01dfffff,0xdfffb100,0xd8000001,
    0x4000dfff,0xfc8dfff9,0x362002ff,0x0000efff,0x5c77ff44,0xf8004fff,
    0xfff80fff,0x7ffec00f,0xfa8aefff,0xffff805f,0x00ffff80,0x2667ffee,
    0xffffeba9,0x7ffdc002,0xffb00005,0x05ffffff,0x5f7ff440,0x2000effe,
    0x01ff47fb,0x80ffff80,0x4000ffff,0x7cc1fffd,0xffd80eff,0x3fffa206,
    0x3ffe2001,0x00ffffff,0xffffd100,0x300007ff,0x2001dfff,0xffcbdffc,
    0x01ffffff,0x5ffffb00,0x3fff2000,0x001fffdb,0x3afbffa2,0x70000eff,
    0x0000bfff,0x01fffec0,0xfffff300,0x2e0005ff,0x80005fff,0xffffffe8,
    0xffff0003,0x01ffff01,0x7e5effe4,0x1fffffff,0x80ffff80,0x2e00ffff,
    0x3f200fff,0xe98007ff,0x880005ff,0x3ffffffd,0x37ffa200,0x03dffb10,
    0x9fb1bee0,0x17fee000,0x2002ffdc,0x7cc1fffc,0xffb00dff,0x17ffec0d,
    0x7fff4c00,0x40001eff,0x03ffffd8,0x4fff9800,0x22274400,0x02fffffd,
    0x1bffea00,0x0f7fec00,0x1005fff9,0x3621bffd,0x30001eff,0x0000bffd,
    0x003fffb0,0xffffd100,0xfe980003,0xe880005f,0x0002ffff,0x7dc17fee,
    0x2274405f,0x2fffffd8,0x20bff700,0x7dc05ffb,0x7fec00ff,0xaa88001f,
    0x5300001a,0x98001579,0x555502aa,0x54bfe600,0x220002ff,0x2000c401,
    0xaa80aaa8,0x37fec02a,0x004fffb8,0x015e5d40,0x06aaa000,0x80000000,
    0x0072a600,0x0066d400,0x405554c0,0xa9802aa9,0x0555502a,0x0d554400,
    0x55510000,0x54400001,0x100000aa,0x00003555,0x00006aaa,0x00310062,
    0x01ca9802,0x0c401880,0x007ffdc0,0x000bffee,0x00000000,0x80000000,
    0x06fffffd,0x00000000,0xffb00000,0x0bfff30d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0x7ffd400f,0x00000003,0x00001100,
    0xff900000,0x0000019f,0x04000001,0x46ffd800,0x000efff8,0x00000200,
    0x3ff60000,0x06ffffff,0x00004000,0x40000000,0x02000008,0x00080000,
    0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x400fffb8,
    0xd902fffb,0xeec800bd,0xfdb75005,0x4037bfff,0xeeeeeeed,0x005eeeee,
    0x98000010,0xacefffdb,0xfb730000,0x00159dff,0xffe8dffb,0x5cc0000f,
    0x0acefffd,0x3b2e6000,0x00bdefff,0x3ffffff6,0x4c0006ff,0xacefffdb,
    0x32e60000,0x0bdefffe,0x3fb6ea00,0x001bdfff,0x9dfffb73,0x2e600015,
    0x0acefffd,0xffb73000,0x700159df,0x2003dddd,0xeea83eec,0xeeeeeeee,
    0x503eeeee,0xbddddddd,0xea800559,0xeeeeeeee,0x43eeeeee,0x001eeeeb,
    0x3b607dd9,0xeeeeeeee,0x701eeeee,0xfd801fff,0xdffb00ff,0x06ffd800,
    0x7fffff4c,0x04ffffff,0xfffffffd,0x00ffffff,0x01eeeed8,0x7fffdc00,
    0x01efffff,0x7ffffdc0,0x401effff,0x3ff26ffd,0x7dc0001f,0xffffffff,
    0x7f44001e,0xffffffff,0xfffb02ff,0x00dfffff,0x7ffffdc0,0x001effff,
    0x7fffff44,0x02ffffff,0x7fffff4c,0x04ffffff,0x7fffffdc,0x4001efff,
    0xfffffffb,0x5c001eff,0xffffffff,0x7fe401ef,0xffb005ff,0xfffff709,
    0xffffffff,0x3fee09ff,0xffffffff,0xff7002ef,0xffffffff,0xc89fffff,
    0xb005ffff,0x3ffa09ff,0xffffffff,0xf702ffff,0x7fdc01ff,0x1bff605f,
    0x40dffb00,0xfffffffc,0x04ffffff,0xfffffffd,0x00ffffff,0x1fffffd4,
    0xfffd8800,0xffffffff,0xffd8802f,0xffffffff,0x3ff602ff,0x007fff56,
    0x7fffec40,0xffffffff,0xffff5002,0xffffffff,0xffd8005f,0xffd88006,
    0xffffffff,0xff5002ff,0xffffffff,0x7e405fff,0xffffffff,0xb104ffff,
    0xffffffff,0x1005ffff,0xfffffffb,0x005fffff,0xffffffb1,0x05ffffff,
    0x0fffffe4,0x5c27fec0,0xffffffff,0x4fffffff,0xffffff70,0x9fffffff,
    0xfffff700,0xffffffff,0xfffc89ff,0xffd801ff,0xfffffd04,0xffffffff,
    0x3ffee05f,0xffffd980,0x01bff600,0xd10dffb0,0x379dffff,0x09ff9533,
    0x2aaaaaaa,0x07ffeaaa,0x3fffff20,0xfffd0006,0xfd73159d,0xfe805fff,
    0xb98aceff,0xb02ffffe,0x9fff3dff,0xfffe8000,0xfeb98ace,0x7e402fff,
    0x99acefff,0x002ffca9,0x40037fec,0x8acefffe,0x2ffffeb9,0x77fffe40,
    0xfca999ac,0xfffe882f,0xa999bcef,0xffd04ffc,0xd73159df,0xe805ffff,
    0x98acefff,0x02ffffeb,0x5677fff4,0xffffeb98,0xfffff902,0x09ffb00b,
    0xf7333331,0x333337ff,0x27ffee01,0xffeba999,0x4cc402ff,0xbfffb999,
    0x64099999,0x805fffff,0xffd04ffd,0x3333333d,0x2e013333,0xffeeefff,
    0x401effff,0x6c006ffd,0xfffd86ff,0x0055003f,0x007ffd80,0x3ffffffe,
    0x7ffd4000,0x3fff600e,0x3bffea06,0x1bfff600,0x7ff77fec,0x7fd40005,
    0x3ff600ef,0x3ffea06f,0x0035004f,0x4006ffd8,0x200efffa,0x2a06fffd,
    0x5004ffff,0x7ffffb03,0x3ea0aa00,0x3f600eff,0x3fea06ff,0x3ff600ef,
    0x3ffea06f,0x3fff600e,0xfffff906,0x4ffd801f,0x0bffe600,0x01fff700,
    0x003fffe4,0x002fff98,0x1ffffff9,0xd04ffd80,0x20000bff,0xfffffffb,
    0x800bffff,0x6c006ffd,0x7ffcc6ff,0x0000001f,0xa803ffec,0x3fffafff,
    0x07fff400,0x817ffec0,0xd800fffe,0xffd82fff,0x0006ffff,0x4007fff4,
    0xfd02fffd,0x000007ff,0x4006ffd8,0xd800fffe,0xffd02fff,0xf980007f,
    0x80001fff,0xd800fffe,0xffd02fff,0xfffb001f,0x03fffa05,0x20bfff60,
    0x4ffeeffc,0x0027fec0,0x8005fff3,0x6c00fffb,0x98001fff,0xf9002fff,
    0x809ffddf,0xffd04ffd,0x3ee0000b,0xffffffff,0x3ff6001f,0x37fec006,
    0x0007fffa,0x3ff60000,0x2dff9007,0x2a006fff,0xf1002fff,0xfff50bff,
    0x3ffe2005,0xfceffd85,0xf50004ff,0x3e2005ff,0xfffa85ff,0xd8000004,
    0x3ea006ff,0xff1002ff,0x9fff50bf,0xfffd0000,0xff500003,0x3fe2005f,
    0x2fffa85f,0x0bfff100,0x2005fff5,0xfc85fff8,0x00fffbef,0x98013ff6,
    0x5c002fff,0x7dc00fff,0xf98002ff,0xff9002ff,0x401fff7d,0xffd04ffd,
    0x3ee0000b,0xffd510ff,0x3ff6007f,0x37fec006,0x000bfff5,0x3ff60000,
    0x27fff007,0xd000fffc,0x74001fff,0x7ff41fff,0x3ffa000f,0xeb7fec1f,
    0xe8002fff,0x3a000fff,0x7ff41fff,0x8000000f,0x3a006ffd,0x3a000fff,
    0x7ff41fff,0x7d40000f,0xd00005ff,0x74001fff,0x7ff41fff,0x3ffa000f,
    0x07fff41f,0x83fffd00,0xfff8effc,0x013ff604,0x002fff98,0x2007ffdc,
    0x8003fffa,0x9002fff9,0x9fff1dff,0xe827fec0,0x700005ff,0xffb01fff,
    0xdffb003f,0x26ffd800,0x0001fffe,0xfffb0000,0x23fff500,0x8803fff9,
    0x5c005fff,0x3fe22fff,0x7fdc005f,0x8b7fec2f,0x2001ffff,0x4005fff8,
    0x3ea2fffb,0x000004ff,0x200dffb0,0x4005fff8,0x3ea2fffb,0xe80004ff,
    0x80001fff,0x4005fff8,0x3e22fffb,0x7dc005ff,0x3ffe22ff,0x7ffdc005,
    0xfcb7fe42,0x9ffb00ff,0x17ffcc00,0x03ffee00,0x005fff70,0x005fff30,
    0x7fe5bff2,0x09ffb00f,0x00017ffa,0x4407ffdc,0xfd806fff,0x7fec006f,
    0x0017ffe6,0xffd80000,0x46ffc807,0xf9806fff,0x7cc002ff,0x3ffe63ff,
    0x7ffcc002,0xf537fec3,0x26001dff,0x4c002fff,0x3fee3fff,0x0000001f,
    0x2600dffb,0x4c002fff,0x3fee3fff,0xff80001f,0xf300005f,0xf98005ff,
    0x3ffe63ff,0x7ffcc002,0x00bffe63,0xc87fff30,0x7fff36ff,0x8013ff60,
    0x4002fff9,0x6c00fffb,0x98000fff,0xf9002fff,0x0fffe6df,0xfe827fec,
    0xf700005f,0x3fee01ff,0x37fec03f,0x45bff600,0x00004fff,0x1fff6000,
    0xfb13ffe0,0xffa801ff,0x7fc4001f,0x07ffea4f,0x89fff100,0x7fe46ffd,
    0xfff5005f,0xfff88003,0x003fff24,0x7fec0000,0x3fff5006,0x4fff8800,
    0x0003fff2,0x009fff10,0x07ffea00,0x49fff100,0x4001fffa,0x3ea4fff8,
    0x7c4001ff,0x37fe44ff,0x3f60fffd,0x3fe6004f,0x7fdc002f,0x3ffee00f,
    0xfff30005,0x9bff2005,0xffb07ffe,0x017ffa09,0x07ffdc00,0x406fff88,
    0x6c006ffd,0x7fff36ff,0x40000000,0x7d407ffd,0x7ffd41ff,0x07ffdc03,
    0x72fffc00,0xf0001fff,0x6ffd8bff,0x803fffe8,0x8000fffb,0x3ff65fff,
    0x20000007,0xf7006ffd,0xff0001ff,0x03ffecbf,0x1fffcc00,0xfffb8000,
    0x5fff8000,0x0003ffee,0xffb97ffe,0xfff8000f,0xf537fe45,0x9ffb05ff,
    0x17ffcc00,0x03ffee00,0x03ffff66,0x17ffcc00,0x2a6ffc80,0xffd82fff,
    0x55dffd04,0x55555555,0x07ffdc05,0x405fff90,0x6c006ffd,0x5fff56ff,
    0x3ffffea0,0x40005fff,0x7e407ffd,0x6fff887f,0x003ffe40,0x3f26fff8,
    0xfff0007f,0x886ffd8d,0x6402ffff,0xff0007ff,0x037ff4df,0xffb00000,
    0x1fff200d,0xd37ffc00,0x50000dff,0x3ea05fff,0x5fffffff,0x4001fff2,
    0x3ff26fff,0xdfff0007,0x8003ffe4,0x7fe46fff,0x6c37ff46,0x3e6004ff,
    0x7dc002ff,0xfffeeeff,0x0001efff,0x400bffe6,0x7ff46ffc,0xd04ffd86,
    0xffffffff,0x40dfffff,0x2200fffb,0x3f606fff,0x7fec006f,0x203fff96,
    0xfffffffa,0x7ec0005f,0x27ffc07f,0x200fffd8,0xd0007ffd,0x3ffecfff,
    0x47ffe800,0xff506ffd,0x7fec01ff,0xfffd0007,0x00037ffc,0x0dffb000,
    0x001fff60,0xfff3fff4,0xff90000d,0x3ffea03f,0x365fffff,0xfd0007ff,
    0x03ffecff,0x367ffe80,0xfd0007ff,0x46ffc8ff,0x7ec2fffa,0x3fe6004f,
    0x7fdc002f,0xffffffff,0x4c0000bf,0xf9002fff,0x2fffa8df,0xfe827fec,
    0xffffffff,0x2e06ffff,0x7ec00fff,0xdffb02ff,0x96ffd800,0x3ea03fff,
    0x5fffffff,0x3ffec000,0x205fff30,0x3603fffa,0xfd0007ff,0x03ffecdf,
    0x6c6ffe80,0x3ff206ff,0x1fff606f,0xf37ff400,0x00000dff,0x8037fec0,
    0xd0007ffd,0x37ffcdff,0x7ffe4000,0xfffff501,0x7fecbfff,0xdffd0007,
    0x8003ffec,0x3ff66ffe,0xdffd0007,0xfe86ffc8,0x027fec6f,0x005fff30,
    0xffffffb8,0x0001ffff,0x005fff30,0x3fa1bff2,0x827fec6f,0xcccceffe,
    0x03cccccc,0x3003ffee,0x3f60dfff,0x7fec006f,0x005fff56,0x0005ffe8,
    0xf903ffec,0x7ffc40ff,0x03fff205,0xc97ffe00,0xf8000fff,0x37fec5ff,
    0x413fff60,0x8000fffc,0x3ffa5fff,0x20000007,0xf9006ffd,0xff0001ff,
    0x03fff4bf,0x17ffd400,0xc97ffa00,0xf8000fff,0x3fff25ff,0x5fff8000,
    0x0003fff2,0xff917ffe,0x43fff70d,0x26004ffd,0x5c002fff,0xfd510fff,
    0x300007ff,0x32005fff,0xfffb86ff,0x7413ff61,0x700005ff,0xfb001fff,
    0xdffb05ff,0x36ffd800,0xe8007fff,0x6c0005ff,0x3ffe07ff,0x07fff405,
    0x001fffb8,0xf71fffc4,0xf88003ff,0x37fec3ff,0x0ffffe20,0x0007ffee,
    0x7ec7fff1,0x000000ff,0x200dffb0,0x4001fffb,0x3f63fff8,0x4c0000ff,
    0x74003fff,0x3ffee5ff,0x7ffc4001,0x007ffee3,0x5c7fff10,0x44001fff,
    0x7fe43fff,0x6cbfff06,0x3e6004ff,0x7dc002ff,0xfffd80ff,0x7fcc0001,
    0xdff9002f,0xfd97ffe0,0x0bffd04f,0x3ffee000,0x6fff9800,0x4006ffd8,
    0xfff16ffd,0x5ffe8009,0x3ffec000,0x402fff98,0xf503fffb,0xf98003ff,
    0x3ffea2ff,0x7ffcc001,0x4037fec2,0x541ffff9,0x4c001fff,0x3ff22fff,
    0x0000001f,0x2a00dffb,0x4c001fff,0x3ff22fff,0x7c40001f,0x7f4004ff,
    0x07ffea5f,0x45fff300,0x4001fffa,0x3ea2fff9,0x7cc001ff,0x37fe42ff,
    0xfb1fffb8,0x7fcc009f,0x7fdc002f,0x6fff880f,0x7ffcc000,0x0dff9002,
    0x7ec7ffee,0x0bffd04f,0x3ffee000,0x3fffd000,0x4007ffd8,0x3ffe5ffe,
    0x2fff4006,0x1fff6000,0x4ccfffe4,0xffa99999,0x7fff505f,0x1fffb800,
    0x000fffea,0xfd83fff7,0xfff7006f,0x1fffd41d,0x87ffee00,0x0003fffb,
    0x0dffb000,0x00fffea0,0x5c3fff70,0x80003fff,0x74006fff,0x3ffea5ff,
    0x7ffdc003,0x00fffea1,0x543fff70,0x5c003fff,0x7fe41fff,0x29fff106,
    0x26004ffd,0x5c002fff,0xff700fff,0x7cc0007f,0xff9002ff,0x53ffe20d,
    0xffd04ffd,0x0000000b,0x07ffc800,0xfd27ffc0,0x7f4005ff,0x7f40005f,
    0xfffff06f,0xffffffff,0xf101ffff,0xfe800dff,0x3ffe20ff,0x7fff4006,
    0x88000000,0x74006fff,0x3fea0fff,0x0000006f,0x2200dffb,0x74006fff,
    0x3fea0fff,0xfe80006f,0x3fa002ff,0x1bffe25f,0x41fffd00,0x4006fff8,
    0x3e20fffe,0x7f4006ff,0x37fe40ff,0xfb1fff90,0x7fcc009f,0x7fdc002f,
    0xdfff100f,0x7ffcc000,0x0dff9002,0x7ec7ffe4,0x0bffd04f,0x00000000,
    0x000fffb8,0x7d45fff1,0x3fa005ff,0x7fc0005f,0xffff985f,0xffffffff,
    0xb02fffff,0x26003fff,0xffd84fff,0xfff3001f,0x40000009,0x3001fffd,
    0xffd09fff,0x0000005f,0x6c00dffb,0xf3001fff,0xfffd09ff,0xffa80005,
    0x3ffa005f,0x00fffec5,0xd84fff98,0xf3001fff,0xfffb09ff,0x3ffe6003,
    0x206ffc84,0xffdbfff8,0x3ffe6004,0x7ffdc002,0x0bfff200,0x17ffcc00,
    0x206ffc80,0xffdbfff8,0x00bffd04,0x59970000,0x4fffa800,0x83fff900,
    0xd002fffe,0x4c000bff,0xffc84fff,0xffffffff,0x5fffffff,0x00bfff50,
    0x2a03fff6,0xfb005fff,0xcb8001ff,0x7fd4002c,0xfffb005f,0x1dfff501,
    0xfd800000,0x3fea006f,0xfffb005f,0x1dfff501,0xfffe8000,0x8bffd002,
    0xb005fffa,0xff501fff,0x3ff600bf,0x5fffa80f,0x01fffb00,0xfd80dff9,
    0x004ffdff,0x000bffe6,0x4401fff7,0x30006fff,0x32005fff,0x7fec06ff,
    0xfd04ffdf,0x000000bf,0xf0005fff,0xf8801fff,0xfff985ff,0x5ffe804f,
    0xffd80398,0x9dfff81f,0x99999999,0x00fffe99,0xd809fffd,0x3fa04fff,
    0x7fec04ff,0xfff8004f,0xfffe8002,0x27ffec04,0x05ffffd0,0xfb000220,
    0xffe800df,0x7ffec04f,0x3ffffa04,0xf9811002,0xfe804fff,0x4fffe85f,
    0x027ffec0,0xd809fffd,0x3fa04fff,0x7fec04ff,0x0dff904f,0xffffff98,
    0x3ffe6004,0x7ffdc002,0x17ffec00,0x17ffcc00,0x406ffc80,0x4ffffff9,
    0x000bffd0,0x0fff9800,0xffffa800,0x1ffff502,0x3bffff60,0x7ff4c09b,
    0x09bff985,0x213fffa6,0x4003fff9,0xf502fffb,0x2215bfff,0x00ffffda,
    0x2b7fffea,0xffffb510,0xfff98001,0xfffa8000,0xfb510adf,0x7d401fff,
    0x21adffff,0x002fda98,0x20037fec,0x0adffffa,0x1ffffb51,0x7ffffd40,
    0x36a621ad,0xffffd82f,0x7f4c09be,0xffffa85f,0xffb510ad,0x7fd401ff,
    0xb510adff,0x5401ffff,0x10adffff,0x01ffffb5,0x3601bff2,0x884fffff,
    0xffb99999,0x099999bf,0x801fff70,0x2206fff9,0xffb99999,0x099999bf,
    0x6c037fe4,0xd04fffff,0x33333dff,0x01333333,0x005ffb80,0x3fffffa0,
    0xfffffede,0x7fffe403,0xfffeefff,0xfff985ff,0xffffffff,0x0fffc80f,
    0x2fffcc00,0xffffff70,0x3dfffffd,0xfffff700,0xdfffffdf,0xbff70003,
    0x7ffdc000,0xffffefff,0xffa801ef,0xffffffff,0x4002ffff,0xb8006ffd,
    0xfeffffff,0x801effff,0xfffffffa,0x2fffffff,0xffffff90,0xfffffddf,
    0x3fffee0b,0xfffffeff,0xfffb801e,0xffffefff,0xffb801ef,0xfffeffff,
    0x3f201eff,0xfff9806f,0xfffb84ff,0xffffffff,0xf704ffff,0xffb001ff,
    0x3ffee05f,0xffffffff,0x7e44ffff,0xfff9806f,0xfffd04ff,0xffffffff,
    0xd8005fff,0x220003ff,0xfffffffc,0x3002ffff,0xfffffffd,0x309fffff,
    0xffffffff,0x3fe01bff,0xffd0006f,0x7ffd401f,0xdfffffff,0x3ffea000,
    0xdfffffff,0x7ffb0000,0xfffa8000,0xdfffffff,0x3ff62000,0xffffffff,
    0xfffb82ff,0xffffffff,0x5407ffff,0xffffffff,0x22000dff,0xfffffffd,
    0x202fffff,0xffffffe9,0x04ffffff,0x3fffffea,0x000dffff,0x3fffffea,
    0x000dffff,0x3fffffea,0x400dffff,0xfd006ffc,0xff709fff,0xffffffff,
    0x209fffff,0x9800fffb,0xff706fff,0xffffffff,0xc89fffff,0xffd006ff,
    0x3ffa09ff,0xffffffff,0x4002ffff,0x80000ffe,0xffffffd9,0xdb8000ce,
    0xeffffffe,0x3fb2601c,0x203dffff,0x0003fff9,0x8805fff9,0xdfffffdc,
    0xfb910003,0x007bffff,0x000ffe80,0xfffdc880,0x20003dff,0xfffffeca,
    0xff700acd,0xffffffff,0x00ffffff,0xfffffb91,0x6540007b,0xcdfffffe,
    0xfdb7000a,0x39dfffff,0xfffb9100,0x20007bff,0xfffffdc8,0xb910003d,
    0x07bfffff,0x401bff20,0xb84ffffa,0xffffffff,0x4fffffff,0x001fff70,
    0x2e07fffa,0xffffffff,0x4fffffff,0xa8037fe4,0xfd04ffff,0xffffffff,
    0x005fffff,0x00002aa8,0x0001a988,0x0019a980,0x20013310,0x0000fffc,
    0x800bfff3,0x800000a9,0x200000a9,0x000002aa,0x00000153,0xfb800262,
    0xffffffff,0x07ffffff,0x0000a980,0x00013100,0x000cd4c0,0x000054c0,
    0x000054c0,0x000054c0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26660000,
    0x99999999,0x26666000,0x09999999,0x00000000,0x00000000,0x00000000,
    0xdd900000,0x5eec800b,0x00001100,0x00000000,0x00000000,0x03510000,
    0x20000000,0xeeeeeeea,0xeeeeeeee,0x00000003,0x33100988,0x000cc000,
    0x20000000,0x44000098,0x6c000000,0x00005fff,0x01ffffd8,0x7fffffcc,
    0x002fffff,0xfffffff3,0x0005ffff,0x3fffb2e6,0x40000bde,0x401ffffd,
    0x00efffe9,0x817f4c00,0x00002fea,0x81ffffe4,0x6c006ffd,0x7fe406ff,
    0x005983ff,0x02fffec0,0x3ff60000,0x360001ff,0x00005fff,0x001fffd4,
    0x02fffec0,0x3ffffee0,0xffffffff,0x3fa604ff,0x00000eff,0x3e207fec,
    0xdb93006f,0x39dfffff,0xbfffb000,0x3fb22000,0x006effff,0x20fffff2,
    0x3f600059,0x000effff,0x1bfffb00,0xfffff300,0x05ffffff,0x3ffffe60,
    0x02ffffff,0x7ffff440,0x2fffffff,0xbfffb000,0x3ff62001,0x3e0000ef,
    0xfff80fff,0xf900000f,0x7ec03dff,0x7fec006f,0x3ffff606,0xffa8aeff,
    0xfffb0005,0x00001dff,0x01bfffb0,0x7fffec00,0xd00000ef,0x8000ffff,
    0x0efffffd,0xfffff700,0xffffffff,0xfd8809ff,0x00000eff,0x262b7ff2,
    0x6c404ffd,0xffffffff,0x6c005fff,0x00efffff,0x3ffffee0,0xb007ffff,
    0x5dffffff,0x800bff51,0xfebeffe8,0x6c0000ef,0x22003fff,0xcccccccc,
    0x91001ccc,0x99999999,0x7d400399,0xffffffff,0x8002ffff,0x0003fffd,
    0x000bfff7,0x7c07fffc,0x80000fff,0xd805fffb,0x7ec006ff,0x7bff906f,
    0xfffffff9,0xfe88003f,0x0effebef,0x3ff60000,0x3a20003f,0xeffebeff,
    0xfff80000,0xe88000ff,0xeffebeff,0x99998800,0x99bfffb9,0xf7000999,
    0x40000bff,0xfffffff8,0x3fe600ff,0xffffffff,0xd1005fff,0xdffd7dff,
    0xffff9001,0x0ffddddd,0xf97bff90,0x3fffffff,0x6fff4400,0x03dffb10,
    0x07fff600,0x00000000,0xff900000,0x33359dff,0x8005ff95,0x0001fffd,
    0x002fff4c,0xf705ffb8,0xf70000bf,0x3f6005ff,0x7fec006f,0xd889d106,
    0x002fffff,0x886fff44,0x0001effd,0x001fffd8,0x437ffa20,0x001effd8,
    0x02fffe40,0x86fff440,0x001effd8,0x005fff30,0x0bffd300,0x7ff4c000,
    0x2201efff,0x09adffff,0x20132e66,0xb10dffe8,0x7d403dff,0x00601dff,
    0xffb113a2,0x98005fff,0x555502aa,0x15551000,0x00000000,0xfa800000,
    0x35004fff,0x05554400,0xaaa88000,0x80310001,0xa8800018,0x3f6000aa,
    0x7fec006f,0xca980206,0x55530001,0x000aaaa0,0x00155510,0x502aa980,
    0x70000555,0x2a60007b,0x0555502a,0x0bffe600,0x55544000,0x5d400001,
    0xffd802bc,0x4c00003f,0x555502aa,0x0037fec0,0x654c0100,0x00000001,
    0x00000000,0x00400000,0x07fffd00,0x00000000,0x00000000,0x00000000,
    0x800dffb0,0x00006ffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x005fff30,0x00000000,0x2fffc000,0x00000000,0x0017ffe0,0x00000000,
    0x00000000,0x002f7640,0x26017bb2,0xacefffdb,0x4fffa800,0x00000000,
    0x00000000,0x00000000,0x00dffb00,0x0006ffd8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05fff300,0x00000000,0x3fe60000,0x0000003f,
    0x3fffc000,0x00000000,0xeeeeed80,0xeeeeeeee,0xddddb01e,0xdddddddd,
    0x6ffd83dd,0x037fec00,0x3fffffee,0x7401efff,0x00000fff,0x000bbba2,
    0x777776c0,0xeeeeeeee,0x3bb6001e,0xd50001ee,0x9bdddddd,0xdffb0055,
    0x06ffd800,0x07bbbb60,0xeeed8000,0x3600001e,0x2001eeee,0x10002eee,
    0xdd501ddd,0xdddddddd,0x327ddddd,0x30003eee,0xf300bddd,0x200005ff,
    0x001eeeed,0xeeeeeea8,0xeeeeeeee,0x09fff53e,0x77754000,0xeeeeeeee,
    0xfd83eeee,0x540004ff,0xeeeeeeee,0x3eeeeeee,0xfffffe80,0xffffffff,
    0xffffd02f,0xffffffff,0x6ffd85ff,0x837fec00,0xffffffd8,0x02ffffff,
    0x0009fff5,0x03fff980,0xffffd000,0xffffffff,0x3ea005ff,0x0003ffff,
    0xfffffff7,0x405dffff,0x6c006ffd,0xff5006ff,0x00007fff,0x0fffffea,
    0x7ffd4000,0x3fe003ff,0xff10003f,0xffff701f,0xffffffff,0x3fe69fff,
    0xfd8000ff,0xff9802ff,0xfa80002f,0x8003ffff,0xfffffffb,0xffffffff,
    0x00ffff14,0x7fffdc00,0xffffffff,0xff884fff,0x70000dff,0xffffffff,
    0x9fffffff,0xfffffd00,0xffffffff,0x3fffa05f,0xffffffff,0x7fec2fff,
    0x37fec006,0xacefffe8,0xffffeb98,0x01fffb82,0x7ffcc000,0xffd00003,
    0xffffffff,0x2005ffff,0x06fffffc,0xfffff700,0xffffffff,0x01bff609,
    0x200dffb0,0x06fffffc,0xffff9000,0x320000df,0x006fffff,0x4000fffa,
    0xff707ff9,0xffffffff,0x6c9fffff,0x4c004fff,0xf3005fff,0x900005ff,
    0x00dfffff,0xffffff70,0xffffffff,0x77fff49f,0xffb80000,0xffffffff,
    0xb04fffff,0x007fffff,0xffffff70,0xffffffff,0xdffd009f,0x33333333,
    0x3fa01333,0x999999ef,0x6c099999,0x7ec006ff,0xefffa86f,0x1bfff600,
    0x0003fff2,0x07fff300,0x3bffa000,0x99999999,0xff000999,0x001fffff,
    0x333fff70,0xffffd753,0x00dffb05,0xf006ffd8,0x01ffffff,0xfffff000,
    0xf00001ff,0x01ffffff,0x000fffa0,0x9883ffcc,0xfffb9999,0x2099999b,
    0x001ffff8,0x4007fffa,0x0002fff9,0xfffffff8,0x4ccc4000,0x9bfffb99,
    0x3ea09999,0x0003ffff,0x5cccccc4,0x9999bfff,0x7fff4409,0x001effff,
    0x2e666662,0x9999bfff,0x5ffe8009,0xbffd0000,0x6ffd8000,0x437fec00,
    0xd800fffe,0x7fec2fff,0xf9800007,0xd00003ff,0x00000bff,0xfff5fff5,
    0xfff70007,0x3fffe401,0x20037fec,0xfa806ffd,0x03fffaff,0x57ffd400,
    0x40003fff,0xfffafffa,0x09ffb003,0x01bfea00,0x005fff30,0x4017fff2,
    0x2004fffa,0x0002fff9,0x7fd7ffd4,0xf300003f,0x3f2005ff,0x00bfffff,
    0x3ffe6000,0x7fffd002,0x19fffff7,0x7ffcc000,0x3ffa0002,0xffd00005,
    0xffd8000b,0x37fec006,0x400bffea,0x7f45fff8,0x9800006f,0x00003fff,
    0x0000bffd,0x3fedff90,0xffb8006f,0x7ffec00f,0x0037fec1,0x3201bff6,
    0x0dfff6ff,0xf6ffc800,0xc8000dff,0x0dfff6ff,0x0013ff60,0x20037fd4,
    0x1002fff9,0xd003ffff,0x4c001fff,0x40002fff,0xdfff6ffc,0x3fe60000,
    0x3fea002f,0x01dfffff,0x2fff9800,0x22fffa80,0x0effffd8,0x5fff3000,
    0x2fff4000,0x5ffe8000,0x37fec000,0xd1bff600,0x74001fff,0x3ffe1fff,
    0xf9800006,0xd00003ff,0x00000bff,0x3ff27fff,0x7fdc000f,0x7ffdc00f,
    0x0037fec2,0x3e01bff6,0x1fff93ff,0x9fffc000,0x0000fffc,0x7fe4fffe,
    0x5ffc800f,0x0bff5000,0x02fff980,0x01bffee0,0x8007fff5,0x0002fff9,
    0xffc9fffc,0xf980000f,0x644002ff,0xefffffff,0x3fe60001,0x5ffe802f,
    0x3fffff50,0x5fff3000,0x2fff4000,0x5ffe8000,0x37fec000,0x89bff600,
    0x5c005fff,0x3ffe2fff,0xf9800006,0xd00003ff,0x80000bff,0xff31fffa,
    0xffb8007f,0x7ffd400f,0x0037fec3,0xf501bff6,0x3ffe63ff,0xfff50003,
    0x00fffe63,0x98fffd40,0xfc803fff,0xff70005f,0xfff9800b,0x7fff4002,
    0x01fffa02,0x00bffe60,0x31fffa80,0x00007fff,0x0005fff3,0x3ffffee2,
    0xf30004ff,0xfff005ff,0x7ffec407,0xfff98006,0x3ffa0002,0xffd00005,
    0xffd8000b,0x37fec006,0x8005fff3,0x3fe3fff9,0x9800007f,0x00003fff,
    0x0000bffd,0x7fc6ffc8,0x7fdc006f,0x7ffdc00f,0x0037fec2,0xf901bff6,
    0x06fff8df,0xf8dff900,0xf90006ff,0x06fff8df,0x0006ffb8,0x98009ff7,
    0x54002fff,0xff706fff,0xff30005f,0x7e40005f,0x037ffc6f,0x17ffcc00,
    0x7fed4000,0x98005fff,0xff802fff,0xfffd804f,0x7ffcc004,0x3ffa0002,
    0xffd00005,0xffd8000b,0x37fec006,0x8003fff5,0x3fa4fff8,0x400000ff,
    0x0003fff9,0x000bffd0,0x6c4fff80,0x2e000fff,0x7ec00fff,0x37fec0ff,
    0x01bff600,0xffd89fff,0xfff8000f,0x007ffec4,0x3627ffc0,0x7dc00fff,
    0x20bdb06f,0x4c004ffc,0xd8002fff,0xfff83fff,0xfff30006,0x7ffc0005,
    0x007ffec4,0x0bffe600,0xffe98000,0x7cc003ff,0xffe802ff,0x0fffd006,
    0x02fff980,0x017ffa00,0x02fff400,0x01bff600,0x7dcdffb0,0xff8000ff,
    0x07fff65f,0xfff30000,0x3fa00007,0x2a00005f,0x7fd41fff,0x3fee003f,
    0x3ffee00f,0x007ffd85,0xf502fff4,0xfffa83ff,0x7ffd4003,0x01fffd41,
    0x507ffea0,0xfa807fff,0x1fff887f,0x4003ffc8,0x8002fff9,0x7dc7fff9,
    0xf30001ff,0x2a0005ff,0x7fd41fff,0x7cc0003f,0x800002ff,0x4007fffc,
    0xc802fff9,0xfb803fff,0x3e6000ff,0x3a0002ff,0xaaaaaeff,0x202aaaaa,
    0xaaaaeffe,0x82aaaaaa,0x6c006ffd,0x1fff26ff,0x937ffc00,0x00007fff,
    0x003fff98,0x55dffd00,0x55555555,0x87ffc805,0x2006fff8,0xd980fffb,
    0xfc80ffff,0x7ffc007f,0x21fff204,0x4006fff8,0xff887ffc,0x7fe4006f,
    0x06fff887,0x7dc3ffcc,0x3ffd84ff,0x17ffcc00,0x3fffc800,0x000bfff1,
    0x0017ffcc,0xf887ffc8,0x4c0006ff,0x00002fff,0x001fffd0,0x4017ffcc,
    0x403ffff8,0x2001fff9,0x0002fff9,0x3ffffffa,0x6fffffff,0x3fffffa0,
    0xffffffff,0x006ffd86,0xffb37fec,0x3ffa000f,0x01bffea7,0x7fff3000,
    0x3ffa0000,0xffffffff,0x7fc06fff,0x1fffb04f,0x3bffee00,0xffffffee,
    0x1fff701e,0x0fffe200,0xfb04fff8,0x7fc001ff,0x1fffb04f,0x827ffc00,
    0x2600fffd,0xfffd87ff,0x002ffd86,0x0017ffcc,0xf97fff88,0x4c0003ff,
    0xf0002fff,0x3ff609ff,0x3e60000f,0x000002ff,0x4005fff7,0x5002fff9,
    0x201bffff,0x2000fffa,0x0002fff9,0x3ffffffa,0x6fffffff,0x3fffffa0,
    0xffffffff,0x006ffd86,0xffb37fec,0x3ffa000f,0x01ffff46,0x7fff3000,
    0x3ffa0000,0xffffffff,0x3e606fff,0xfff502ff,0x3ffee007,0xffffffff,
    0x3ffea00b,0x3fff9004,0x40bffe60,0x3003fffa,0x3ea05fff,0xff3003ff,
    0x3ffea05f,0x83ffe203,0x41fffff8,0x4c002ffe,0x20002fff,0xfffcfffb,
    0x7fcc0004,0xff98002f,0x7fff502f,0x7ffcc000,0xf7000002,0x7cc003ff,
    0x3e6002ff,0xfe82ffff,0x7fcc006f,0x3fa0002f,0xccccccef,0x3a03cccc,
    0xccccceff,0xd83ccccc,0x7ec006ff,0x03fff26f,0x717ffe00,0x0001dfff,
    0x00fffe60,0x677ff400,0xcccccccc,0x1fff203c,0x005fff88,0xfffffff7,
    0x3e003fff,0x7c400fff,0x3ff205ff,0x17ffe207,0x103ffe40,0x3200bfff,
    0x3fe207ff,0x3ffe205f,0x3ffbfee0,0x000fff44,0x000bffe6,0xffffffd0,
    0xff980001,0xffc8002f,0x17ffe207,0x2fff9800,0xffb00000,0xfff9800f,
    0x7ff4c002,0xfff91eff,0xfff98005,0x3ffa0002,0xffd00005,0xffd8000b,
    0x37fec006,0x8003fff7,0x7c43fff8,0x1002ffff,0x0fffe601,0x2fff4000,
    0x5fff8000,0x007fff40,0xa887ffdc,0xb803fffe,0xf502ffff,0x7fc05fff,
    0x7fff405f,0x05fff800,0x4007fff4,0x7f405fff,0x3ffe00ff,0x3febff60,
    0x000fff47,0x000bffe6,0x7fffff50,0x4cccc400,0x99bfffb9,0x3fe00999,
    0x7fff405f,0xfff30000,0xf5000005,0xf9800dff,0xf70002ff,0xfffdffff,
    0xfff30009,0x7ff40005,0xffd00005,0xffd8000b,0x37fec006,0x8003fff5,
    0xf982fff9,0x21adffff,0x302fda98,0x00007fff,0x00017ffa,0x700bffe6,
    0xf7007fff,0xfffb01ff,0xffffd003,0xffffdbdf,0x7ffcc07f,0x1fffdc02,
    0x00bffe60,0x9807fff7,0x7dc02fff,0x3ffe03ff,0x3febff11,0x003ffe1f,
    0x005fff30,0x0dfffd00,0xfffffb80,0xffffffff,0xfff304ff,0x3fffb805,
    0x5fff3000,0x009bdd80,0x07ffff66,0x05fff300,0x7ffec400,0x30003fff,
    0x40005fff,0x00005ffe,0x8000bffd,0x74007ffd,0x3ffea5ff,0x7ffdc003,
    0xfffff301,0xffffffff,0x3ffe605f,0xffd00003,0xff90000b,0x3333333f,
    0x00bfff53,0xf101fff7,0x3f200dff,0xffffffff,0x7fe403ff,0x9999999f,
    0x405fffa9,0x9999fffc,0xfffa9999,0x4fffe405,0xa9999999,0x3fa05fff,
    0x367ff51f,0x01ffe4ff,0x00bffe60,0x0fffea00,0xfffff700,0xffffffff,
    0x3ff209ff,0x9999999f,0x005fffa9,0x805fff30,0xeffffffd,0xfffffffe,
    0xfff98002,0xfea80002,0x30000fff,0x40005fff,0x00005ffe,0x8000bffd,
    0x7c007ffc,0x3ffe24ff,0x7fff4006,0x3fffa600,0xffffffff,0x7fff302f,
    0x3ffa0000,0xfff80005,0xffffffff,0x00ffffff,0xb807ffdc,0xb5003fff,
    0x7ffffffd,0xfffff001,0xffffffff,0x7c01ffff,0xffffffff,0xffffffff,
    0x3ffffe00,0xffffffff,0xfd00ffff,0x543ff65f,0x0fff17ff,0x05fff300,
    0x5fff3000,0xffffb800,0xffffffff,0xfff04fff,0xffffffff,0x01ffffff,
    0x05fff300,0xffffffd8,0xefffffff,0xfff30002,0x7ec00005,0xf30005ff,
    0x740005ff,0xd00005ff,0xb8000bff,0xf1000fff,0xfffd85ff,0x9fff3001,
    0x3fff2600,0x00acdfff,0x000fffe6,0x002fff40,0x3ffffe60,0xffffffff,
    0x5c02ffff,0xff100fff,0xf71000df,0x3e6001df,0xffffffff,0xffffffff,
    0xfffff302,0xffffffff,0x2605ffff,0xffffffff,0xffffffff,0x17ffb02f,
    0xafff8dff,0x98007ff8,0x80002fff,0x0002fff9,0x07ffc400,0x7fffffcc,
    0xffffffff,0x98002fff,0x6d402fff,0xfffffffe,0x40001cff,0x0002fff9,
    0x007fff40,0x017ffcc0,0x00bffd00,0x017ffa00,0x09fff500,0x507fff20,
    0x3600bfff,0x6c000fff,0x4c001eff,0x00003fff,0x8000bffd,0xfffffffc,
    0xffffffff,0x7fdc05ff,0x3fff200f,0x7ffc4002,0x3fff2000,0xffffffff,
    0x05ffffff,0xfffffff9,0xffffffff,0x3ff20bff,0xffffffff,0x5fffffff,
    0xff57ffb0,0xf8dffc87,0xff98006f,0xf980002f,0x000002ff,0xfc80fff4,
    0xffffffff,0xffffffff,0xfff98005,0x754cc002,0x200006ff,0x0002fff9,
    0x00fffdc0,0x017ffcc0,0x00bffd00,0x017ffa00,0x03fffe00,0x20bfff10,
    0x6c04fffe,0xe8004fff,0xf98003ff,0xd00003ff,0xf8000bff,0x99999dff,
    0xfe999999,0x3fee00ff,0x3ffe200f,0x1ffec006,0x277ffe00,0x99999999,
    0x80fffe99,0x9999dfff,0xe9999999,0xfff80fff,0x9999999d,0xfffe9999,
    0xfdcffc80,0x4fffcc0f,0xf98006ff,0x980002ff,0x00002fff,0xf813ff20,
    0x99999dff,0xfe999999,0x7cc000ff,0x3a0002ff,0x200003ff,0x0002fff9,
    0x003ffe40,0x002fff98,0x0017ffa0,0x002fff40,0x17fffd40,0x00ffffa8,
    0x15bffff5,0x3ffff6a2,0x7ffc4000,0xfff98001,0xffd00003,0x7fcc000b,
    0x7fdc003f,0x3ffee02f,0x17ffec00,0x01fff880,0x00fffe60,0x985fff70,
    0x5c003fff,0x7fcc2fff,0x7fdc003f,0xfdffb82f,0xf9fff06f,0xff3000bf,
    0xf300005f,0x000005ff,0xf9817ffc,0x7dc003ff,0x7cc002ff,0xf10002ff,
    0x400003ff,0x0802fff9,0x0bfff300,0x0bffe600,0x9effe800,0x99999999,
    0xdffd0099,0x33333333,0x3fa01333,0xfedeffff,0x5c03ffff,0xfeffffff,
    0x001effff,0x0007ffa8,0x3339fff3,0x33333333,0x4cf7ff40,0x99999999,
    0x03fff209,0x0bfff300,0x2007ffdc,0x1006fff9,0x64005fff,0x4c000fff,
    0x7fe45fff,0x7fcc000f,0x07ffe45f,0x17ffe600,0x0fffffee,0x2fffffe4,
    0x73333310,0x33337fff,0x7fcc0013,0x2000002f,0xff903fff,0xff98001f,
    0x3333105f,0x337fff73,0xfa801333,0x3310007f,0x7fff7333,0x5c133333,
    0xaa99abcf,0x401ffffd,0xfb999998,0x99999bff,0xffffe800,0xffffffff,
    0xfffd02ff,0xffffffff,0x32205fff,0xffffffff,0xf5002fff,0xffffffff,
    0x320001bf,0xf30004ff,0xffffffff,0x03ffffff,0x3ffffffa,0xffffffff,
    0x001bffe2,0xb807fff4,0xfd800fff,0xffb002ff,0xff8059bf,0xffd0006f,
    0x037ffc1f,0x20fffe80,0xd0006fff,0xffa81fff,0xff301fff,0x7dc09fff,
    0xffffffff,0x04ffffff,0x00bffe60,0xfffc8000,0x1bffe2cd,0x07fff400,
    0x7fffffdc,0xffffffff,0x27fdc04f,0xffffb800,0xffffffff,0x3fee4fff,
    0xffffffff,0xffb801ff,0xffffffff,0x804fffff,0xfffffffe,0x2fffffff,
    0xffffffd0,0xffffffff,0xfffd9805,0x000cefff,0x7fffee44,0x6c0003df,
    0xf30002ff,0xffffffff,0x03ffffff,0x3ffffffa,0xffffffff,0x007fff32,
    0x40bfff20,0x9800fffb,0xf3006fff,0x4c07ffff,0x90003fff,0x3fe65fff,
    0xff90003f,0x0fffe65f,0x17ffe400,0x01bfffea,0x409ffffd,0xfffffffb,
    0xffffffff,0x3ffe6004,0x22000002,0xf34fffff,0x320007ff,0xffb82fff,
    0xffffffff,0x404fffff,0x70002ffd,0xffffffff,0x9fffffff,0x7fffffdc,
    0x001cffff,0xfffffff7,0xffffffff,0xffffd009,0xffffffff,0x3ffa05ff,
    0xffffffff,0x2002ffff,0x00001a98,0x0000054c,0x3fe60000,0xffffffff,
    0xd01fffff,0xffffffff,0x25ffffff,0x0000fffc,0x2e0bfff3,0xfd000fff,
    0x326003ff,0x3f202eee,0xf30000ff,0x3fff2bff,0xfff30000,0x003fff2b,
    0x22fffcc0,0x403ffff9,0x203ffffc,0xfffffffb,0xffffffff,0x3ffe6004,
    0x4c000002,0xff93eeec,0x3e60001f,0xfffb85ff,0xffffffff,0x0004ffff,
    0xffffb800,0xffffffff,0x2e624fff,0x0acceedc,0x7fffdc00,0xffffffff,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00003510,0x00000000,0x03510000,
    0xddddddb0,0xdddddddd,0x00000003,0x00188000,0x00000000,0x00988000,
    0x22000331,0x00331009,0x07bbbb60,0x3f600000,0x00dff74f,0x26666000,
    0x09999999,0x33333300,0x00133333,0x3ffff600,0xffb00001,0xb00003ff,
    0x0003ffff,0x1ffffd80,0x2fffec00,0x02fe9800,0x00005fd5,0x03ffffb0,
    0x07fff500,0x0fffea00,0x4007fff5,0x7d43fffa,0xf50003ff,0xffe807ff,
    0xffffffff,0x4c02ffff,0x7f4c4fff,0x4400004f,0x07ffffec,0x2a1fffd4,
    0x00003fff,0x00ffffee,0x7c40ffd8,0xffb0006f,0x006ff881,0x3fffffa8,
    0x7cc00000,0x3fff11ff,0xff980000,0xffffffff,0xfff9802f,0xffffffff,
    0xffd80002,0xb00000ef,0x0001bfff,0x01bfffb0,0xfffd8000,0x7fec000d,
    0x4000efff,0xff80ffff,0x200000ff,0x000dfffd,0x00ffffd0,0x46fffcc0,
    0x8002fffc,0xfc8dfff9,0x3a0002ff,0x7f407fff,0xffffffff,0x802fffff,
    0xfb8effe8,0x400004ff,0xfffffffa,0xdfff9807,0x002fffc8,0x3bffee00,
    0x6ffe4001,0x04ffd98a,0x15bff900,0x0009ffb3,0x0dfffff9,0xffc80000,
    0x002ffec5,0x3fffe600,0x2fffffff,0xfffff980,0x02ffffff,0x27ffec00,
    0xfffb0000,0x3f600007,0x800003ff,0x4003fffd,0xfebeffe8,0x3fe000ef,
    0xffff80ff,0xffb00000,0xff80007f,0x20000fff,0xfffffff9,0x3fe60002,
    0x002fffff,0x07ffffc0,0x333dffd0,0x33333333,0x3ffa2001,0x0003ffff,
    0x7ffffc40,0xf3007fff,0x05ffffff,0x7ffdc000,0xff88000d,0x0fffffff,
    0xffff1000,0x001fffff,0xfffffff0,0x22000001,0x7fcc2fff,0x2200000f,
    0xcccccccc,0xc8801ccc,0xcccccccc,0x360001cc,0x00002fff,0x0007fff6,
    0x00fffec0,0x7ffec000,0x7ff44001,0x3dffb10d,0x417fee00,0x00005ffb,
    0x0003fffb,0x00bfff90,0xffffd100,0xfd100003,0x00003fff,0xe80bfff9,
    0x000005ff,0x0bffffa2,0x3ff60000,0x1000c2df,0x003ffffd,0x1fffdc00,
    0x3ffa6000,0x0001efff,0x7fffff4c,0xffa8001e,0x003fffaf,0x0fff7000,
    0x00013ffa,0x00000000,0x7fec0000,0x00dff10e,0x002aaa20,0x05554400,
    0x55440000,0xaa98000a,0x00555502,0x006200c4,0x05554400,0x07b70000,
    0x55544000,0x2a200000,0x200000aa,0xffe803db,0xa8000005,0x800001aa,
    0x0005fff9,0x00155510,0x0d554400,0x79750000,0xba800005,0x320002bc,
    0x0dfff6ff,0x3ffa0000,0x00fff503,0x00000000,0x80000000,0x00003ffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd00000,0x0000000b,0xff700000,0x0000005f,0x00000000,0x00000000,
    0x7ffc0000,0x001fff93,0x0fff9800,0x000bffe0,0x00000000,0xe8000000,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xbffd0000,0x00000000,0xfffd0000,0x00000000,0x00000000,
    0x00000000,0x8fffd400,0x0003fff9,0x202ffec0,0x40006ffc,0xeeeeeeea,
    0xeeeeeeee,0xdddddb03,0xdddddddd,0xf100003d,0xeeeb80df,0x7dd9001e,
    0x000fbbb2,0xa82f774c,0xeeeeeeee,0x3eeeeeee,0x2002f764,0xddd94eec,
    0x3ba60007,0xeeee985e,0xeeeeeeee,0x4c2eeeee,0xeeeeeeee,0xeeeeeeee,
    0x3bbba62e,0xeeeeeeee,0x1eeeeeee,0x7777774c,0xeeeeeeee,0xddb02eee,
    0xdddddddd,0x3fa3dddd,0xd900005f,0x79bddddd,0xf8000015,0xdb0005ff,
    0xdddddddd,0x003ddddd,0xeeeeee88,0x005eeeee,0x00f7776c,0xeeeeed80,
    0xeeeeeeee,0x37fe401e,0x0001bffe,0x401fff88,0x0001fff8,0x3fffffee,
    0xffffffff,0xffffd04f,0xffffffff,0x544005ff,0x3ffeffdc,0x2ffffe40,
    0xf34ffd80,0xb0001fff,0x3ee05fff,0xffffffff,0x44ffffff,0x74007ffd,
    0xffff36ff,0xfffb0001,0xfffff505,0xffffffff,0xfa87ffff,0xffffffff,
    0xffffffff,0x3ffffe63,0xffffffff,0x42ffffff,0xfffffffa,0xffffffff,
    0xfffd03ff,0xffffffff,0x3ffa5fff,0xffb00005,0xffffffff,0x300007ff,
    0x20009fff,0xfffffffe,0x2fffffff,0x7fffdc00,0x7fffffff,0x3fffea00,
    0xffd0003f,0xffffffff,0xf805ffff,0x7ffec4ff,0xff700000,0x13ff600d,
    0xffffb800,0xffffffff,0xffd04fff,0xffffffff,0x2005ffff,0xfffffffb,
    0x3f200eff,0xd801ffff,0x3fff64ff,0x7ffcc004,0x3fffee05,0xffffffff,
    0x7fec4fff,0x37ff4007,0x8009fffb,0xf505fff9,0xffffffff,0xffffffff,
    0xfffffa87,0xffffffff,0x3e63ffff,0xffffffff,0xffffffff,0x7ffd42ff,
    0xffffffff,0x03ffffff,0xfffffffd,0x5fffffff,0x00017ffa,0x7fffffec,
    0xefffffff,0x3fea0001,0xffd0002f,0xffffffff,0x8005ffff,0xfffffffe,
    0x2007ffff,0x06fffffc,0xfffffd00,0xffffffff,0x7ffd405f,0x01fffd41,
    0x02fff800,0x001fff50,0x26666620,0x999bfffb,0xdffd0099,0x33333333,
    0xd8801333,0xffffffff,0xf902ffff,0xb00bffff,0x7ffc49ff,0x3ffa001f,
    0x2666201f,0x9bfffb99,0x7ec09999,0x7ff4007f,0x07fffe26,0x01fffe80,
    0x99999993,0xff999999,0xccc983ff,0xcccccccc,0x21ffffcc,0xaaaaaaa8,
    0xaaacfffc,0x64c0aaaa,0xcccccccc,0xffffcccc,0x33dffd01,0x33333333,
    0x2bbffa13,0xaaaaaaaa,0x3bff602a,0xfecba999,0x0003ffff,0x0003fff7,
    0x2667bffa,0x99999999,0x3bfe6000,0x9999bfff,0x3ffe0019,0x8000ffff,
    0x9999effe,0x09999999,0x221fff20,0x80006fff,0x74007ffa,0x400003ff,
    0x4002fff9,0x00005ffe,0x8df7fff4,0x0ffffffc,0xffffffc8,0x227fec00,
    0x5005fffc,0x20009fff,0xb002fff9,0xfe800fff,0x2fffe46f,0x04fffa80,
    0x7ffe4000,0xff900004,0xff98009f,0x8000002f,0x3a04fffc,0xfd0005ff,
    0xffffffff,0x6c0dffff,0x7f4c06ff,0xc8000fff,0xd0000fff,0x00000bff,
    0x7ffdffec,0x7fd40002,0x003fffaf,0x0005ffe8,0x6c13ffe0,0x40000fff,
    0x5c004ffe,0x400006ff,0x4002fff9,0x00005ffe,0x3a17ffea,0x86fffcff,
    0x4ffeeffc,0x2227fec0,0xe801ffff,0x30000fff,0x36005fff,0x7f4007ff,
    0x7fffc46f,0x0fffe801,0x3fe60000,0xf300006f,0xf3000dff,0x000005ff,
    0x406fff98,0xd0005ffe,0xffffffff,0x40dfffff,0xf9006ffd,0xfb0009ff,
    0x7f4000ff,0x1000005f,0x5fff1fff,0x6ffc8000,0xd000dfff,0x20000bff,
    0xf502fff9,0x4c0007ff,0x44000fff,0x00002fff,0x000bffe6,0x0000bffd,
    0x7cc2fff4,0x83fffd6f,0xfffbeffc,0x213ff600,0x5406fffb,0x20003fff,
    0xb002fff9,0xfe800fff,0x6fffb86f,0x01fffd40,0x3fffa000,0xffd00001,
    0xff30003f,0x8000005f,0x7401fffe,0xfd0005ff,0x999999df,0x6c079999,
    0x3fa006ff,0xfff881ff,0xffffffff,0x405fffff,0x00005ffe,0x3fe9ff70,
    0x7fc0002f,0x01fff93f,0x005ffe80,0x40fff900,0x0005fff8,0x40017ff2,
    0x00005ffc,0x000bffe6,0x0000bffd,0x2e0bffee,0x9fff33ff,0xff8effc8,
    0x13ff604f,0xd017fff4,0x98000fff,0xfb002fff,0xffe800ff,0x05fffd06,
    0x0003fff4,0x013fff20,0x27ffe400,0x2fff9800,0x3f200000,0xffe804ff,
    0xbffd0005,0x3ff60000,0x3ffea006,0xfffff885,0xffffffff,0x7f405fff,
    0xd000005f,0x0bffe3ff,0x1fffa800,0x8007fff3,0x00005ffe,0xfe80bfff,
    0xf88000ff,0xf30002ff,0x200001ff,0x4002fff9,0x00005ffe,0x3fa0dff9,
    0x91bffa0f,0x3fff2dff,0x209ffb00,0xf706fffa,0x980005ff,0xfb002fff,
    0xffe800ff,0x0dfff506,0x000bffee,0x06fff980,0xdfff3000,0x7ffcc000,
    0xf3000002,0x3fa00dff,0xffd0005f,0x3f60000b,0x7ff4006f,0xfffff887,
    0xffffffff,0x7f405fff,0xa800005f,0x0bffe6ff,0x46ffc800,0x74006fff,
    0x980005ff,0x7dc02fff,0xfb8003ff,0x7f40006f,0xf300004f,0xfe8005ff,
    0xfb00005f,0x8dff30bf,0x7fe47ffd,0x207fff36,0x3f604ffd,0x6fff83ff,
    0xfff98000,0x0fffb002,0x206ffe80,0xff83fffd,0x7400006f,0x00001fff,
    0x0003fffd,0x0017ffcc,0x1fffe800,0x00bffd00,0x0017ffa0,0x0037fec0,
    0x4003fff6,0x0003fff9,0x00017ffa,0xff8fff60,0x3fe0002f,0x07ffec4f,
    0x00bffd00,0x33fff900,0xf5333333,0xfd000bff,0xfa80007f,0xf300007f,
    0xfe8005ff,0xfd00005f,0x87ff709f,0x3f20fffc,0x41fffa6f,0x3e604ffd,
    0x7ffdc7ff,0xff980001,0xfffb002f,0x06ffe800,0xf71fffe6,0x400003ff,
    0x0004fffc,0x009fff90,0x02fff980,0xfffc8000,0x17ffa004,0x02fff400,
    0x06ffd800,0x00fffe40,0x002fffa8,0x0017ffa0,0x41fff100,0x50002fff,
    0xffa83fff,0x3ffa003f,0xfff80005,0xffffffff,0x00ffffff,0x003ffea0,
    0x00fffe00,0x0bffe600,0x55dffd00,0x55555555,0x41fffc05,0x7fd40ffe,
    0xa9bff20f,0xffd82fff,0x9fffe404,0x0005fff8,0x005fff30,0x2aabfff6,
    0xaaaaaaaa,0x7e406ffe,0xbfff13ff,0x7fcc0000,0xf300006f,0x30000dff,
    0x00005fff,0x006fff98,0x55577ff4,0x2aaaaaaa,0x00017ffa,0x20037fec,
    0x7002fffb,0x40003fff,0xaaaaeffe,0x02aaaaaa,0x7fc5ffb8,0x1aaaaacf,
    0x443ffe40,0x3a006fff,0xaaaaaeff,0x982aaaaa,0xffffffff,0xffffffff,
    0x3ff6002f,0xff700004,0xff30000d,0xffe8005f,0xffffffff,0x3fe06fff,
    0x437fcc4f,0x7fe47ffb,0x6c37ff46,0x7fc404ff,0x03fff97f,0x3ffe6000,
    0xffffb002,0xffffffff,0x80dfffff,0xff97fff8,0x7400003f,0x00001fff,
    0x0003fffd,0x005fff30,0x1fffe800,0x7ffff400,0xffffffff,0x017ffa6f,
    0x037fec00,0x00fffea0,0x0007ffe4,0xffffffd0,0xdfffffff,0xf85fff00,
    0xffffffff,0x827ffc04,0xd000fffd,0xffffffff,0x90dfffff,0xffffffff,
    0xffffffff,0x3fe200bf,0xf100001f,0x980003ff,0x74002fff,0xffffffff,
    0x206fffff,0x7fdc5fff,0x646ffc83,0x7ffd46ff,0x4027fec2,0xfffcfffb,
    0x3e600004,0xffb002ff,0xffffffff,0xdfffffff,0xf9fff700,0x400009ff,
    0x0004fffb,0x009fff70,0x0bffe600,0xfffb8000,0xfffe8004,0xffffffff,
    0x17ffa6ff,0x37fec000,0x13ffe600,0x003ffec0,0x3fffffa0,0xffffffff,
    0x43ffd406,0xffffffff,0x3ffe604f,0x07fff502,0x3fffffa0,0xffffffff,
    0x99dfff86,0x99999999,0x800fffe9,0x00006ffc,0x0002ffec,0x000bffe6,
    0x9999dffd,0x07999999,0x3fa37ff4,0x45ffd80f,0xffe86ffc,0x8027fec6,
    0x0ffffffe,0x3fe60000,0xfffb002f,0x99999999,0x0dfff999,0x3fffffa0,
    0xf300000f,0x20000dff,0x0006fff9,0x00bffe60,0x37ffcc00,0xceffe800,
    0xcccccccc,0x017ffa3c,0x037fec00,0x00fffea0,0x00037ff4,0x3333bffa,
    0x3ccccccc,0x7c27fec0,0xcccccdff,0x81fff202,0xd005fff8,0x99999dff,
    0x98799999,0x5c003fff,0xff802fff,0x4c00002f,0x20000fff,0x4002fff9,
    0x00005ffe,0x3e21fff9,0x4fff886f,0x7dc37fe4,0x13ff61ff,0x7ffffd40,
    0x7cc00003,0xffb002ff,0x6ffe800f,0xfffff500,0x7f400007,0xd00001ff,
    0x00003fff,0x0017ffcc,0x01fffe80,0x00bffd00,0x267bffa0,0x99999999,
    0x0dffb009,0x02fffb80,0x000bfff0,0x0005ffe8,0xf01fff10,0xff0005ff,
    0xfffe80bf,0x05ffe800,0x03fff200,0x0bfff300,0x0007ffa8,0x007ffd00,
    0x017ffcc0,0x0017ffa0,0xba7ffcc0,0xfffb83ff,0xf837fe41,0x13ff65ff,
    0x06fffe80,0xfff98000,0x0fffb002,0x006ffe80,0x001bfffa,0x04fffb80,
    0x9fff7000,0xff980000,0xfb80002f,0x3a0004ff,0xfd0005ff,0xffffffff,
    0x205fffff,0x64006ffd,0xf8802fff,0x740004ff,0x900005ff,0x3ffe0bff,
    0x7ffcc002,0x1fffdc02,0x002fff40,0x000dfff0,0xe803fffa,0x000003ff,
    0x4000fff7,0x4002fff9,0x00005ffe,0x3fabfffe,0x2fffcc0f,0xfb837fe4,
    0x09ffb1ff,0x01fffd40,0x7ffcc000,0x0fffb002,0x006ffe80,0x000fffea,
    0x037ffcc0,0x6fff9800,0xff980000,0x7cc0002f,0x740006ff,0xfd0005ff,
    0xffffffff,0x205fffff,0x6c006ffd,0xf9800fff,0x740002ff,0xf00005ff,
    0x3ffe05ff,0x7ffe4002,0x99999999,0xe805fffa,0xf30005ff,0x320007ff,
    0xff302fff,0x4000001f,0x30002fff,0xe8005fff,0x200005ff,0x6ffffffa,
    0x407fffd4,0xff106ffc,0x013ff69f,0x002fff98,0x2fff9800,0x00fffb00,
    0x2006ffe8,0x0002fff9,0x003fffd0,0x07fffa00,0x3fe60000,0x7f40002f,
    0x740001ff,0xfd0005ff,0xffffffff,0x205fffff,0x22006ffd,0xf7006fff,
    0xe80003ff,0xa80005ff,0xcccccfff,0x4002fffc,0xffffffff,0xffffffff,
    0x2fff400f,0x0fffc800,0xbfff3000,0x0017ff60,0x0dff9000,0x0bffe600,
    0x00bffd00,0xffffc800,0xffffdcef,0x0dff903f,0x7ec7ffe4,0x3fe6004f,
    0x9800002f,0xfb002fff,0xffe800ff,0x3ffe6006,0xffb80002,0xf700004f,
    0x000009ff,0x000bffe6,0x004fffb8,0x005ffe80,0xeff98000,0x00dffb00,
    0x8027ffe4,0x80007ffc,0x80005ffe,0xfffffffd,0x002fffff,0x3fffffe6,
    0xffffffff,0x7f402fff,0x0000005f,0x8827fdc0,0x00001fff,0x00fffc40,
    0x017ffcc0,0x0017ffa0,0x3fffee00,0x1effffff,0x881bff20,0x4ffdbfff,
    0x0bffe600,0x3fe60000,0xfffb002f,0x06ffe800,0x00bffe60,0x0dfff100,
    0x3ffe2000,0x26000006,0x10002fff,0x0000dfff,0x00017ffa,0x01fff100,
    0x88037fec,0xf001ffff,0xd0000dff,0x98000bff,0xffffffff,0x002fffff,
    0x3ffffff2,0xffffffff,0x7f405fff,0x0000005f,0xb817fea0,0x000006ff,
    0x0009ffb0,0x8005fff3,0x00005ffe,0xffffff50,0xff9009df,0xdfffd80d,
    0x3e6004ff,0x800002ff,0xb002fff9,0xfe800fff,0x3fe6006f,0x7f40002f,
    0xd00001ff,0x00003fff,0x017ffcc0,0x01fffe80,0x0bffd000,0xffd80000,
    0x037fec02,0x027ffec4,0x004fffa8,0x005ffe80,0x4cf7fe40,0xfff99999,
    0x37ffe002,0x99999999,0x0fffe999,0x0017ffa0,0x7fc40000,0x0fffe00f,
    0x7d400000,0x7cc000ff,0x7f4002ff,0x7000005f,0x001557ff,0x4c06ffc8,
    0x04ffffff,0x00bffe60,0x3ffe6000,0x0fffb002,0x006ffe80,0x000bffe6,
    0x004fffb8,0x09fff700,0xff980000,0xffb8002f,0x3a00004f,0x000005ff,
    0xb003ffe2,0xffa80dff,0xd8800eff,0x80002fff,0x40005ffe,0x7fc03fff,
    0xfff3002f,0xfffb8007,0x017ffa02,0x7d400000,0x3ffea06f,0x20000000,
    0x33103ffe,0x7fff7333,0x20133333,0x9999effe,0x09999999,0x001ffd00,
    0x4037fe40,0x04fffffd,0x00bffe60,0x99999880,0x999bfffb,0x3ffec099,
    0x01bffa00,0x002fff98,0x57ffff10,0x55555555,0xff885555,0xaaaaabff,
    0x2aaaaaaa,0x0bffe600,0x7ffff100,0x55555555,0x3a055555,0x99999eff,
    0x00999999,0x007ffe60,0x3333dffb,0xdffffd97,0x3f2aaa03,0x00006fff,
    0x3333dffd,0x13333333,0x2007ffd4,0xf9002fff,0xf98001ff,0x3ffa05ff,
    0x9999999e,0x00009999,0x6c0fff70,0x000004ff,0xb837fdc0,0xffffffff,
    0x4fffffff,0xffffffd0,0xffffffff,0x0bff1005,0x06ffc800,0x4fffff98,
    0x0bffe600,0xffffb800,0xffffffff,0x7fec4fff,0x37ff4007,0x05fff300,
    0x3ffff600,0xffffffff,0x6c5fffff,0xffffffff,0xffffffff,0x3fe6005f,
    0x7fec002f,0xffffffff,0x5fffffff,0xffffffd0,0xffffffff,0xfffe8005,
    0xfffd81cd,0xffffffff,0xff100dff,0x03ffffff,0x3fffa000,0xffffffff,
    0x3ffa2fff,0xfffff805,0x3e1fffff,0xfd0006ff,0x3ffa01ff,0xffffffff,
    0x0002ffff,0x99dfff10,0x007ffe61,0xff100000,0xffff705f,0xffffffff,
    0x3fa09fff,0xffffffff,0x802fffff,0x40003ffb,0xfd006ffc,0x4c009fff,
    0x20002fff,0xfffffffb,0xffffffff,0x003ffec4,0x9801bffa,0xb0002fff,
    0xffffffff,0xffffffff,0xffffd8bf,0xffffffff,0x005fffff,0x000bffe6,
    0xfffffffb,0xffffffff,0x3ffa0bff,0xffffffff,0x4002ffff,0x83fffffa,
    0xfffffffd,0x402dffff,0xeffffff8,0x3fa00001,0xffffffff,0xf32fffff,
    0xfff005ff,0x3fffffff,0x000fffe6,0xe817ffe4,0xffffffff,0x02ffffff,
    0x3fff2000,0x055530ff,0x2a000000,0xfffb81aa,0xffffffff,0xfd04ffff,
    0xffffffff,0x005fffff,0x80001553,0xf5006ffc,0x4c009fff,0x20002fff,
    0xfffffffb,0xffffffff,0x003ffec4,0x9801bffa,0xb0002fff,0xffffffff,
    0xffffffff,0xffffd8bf,0xffffffff,0x005fffff,0x000bffe6,0xfffffffb,
    0xffffffff,0x3ffa0bff,0xffffffff,0x8002ffff,0xd82eeed9,0xdeffffff,
    0x372000bc,0x00002bce,0xffffffe8,0xffffffff,0x200dff92,0xffffffff,
    0x1fff91ff,0x3ffe6000,0xfffffd05,0xffffffff,0xa800005f,0x0000eeed,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffdb975,0x9807ffff,0x99999999,0x00000099,0x1dfc8000,
    0x00000000,0xdc980000,0xc980001c,0x188001cd,0x08000000,0x00260000,
    0x00000000,0x00000400,0x80000000,0x405ffff9,0x6c43fff9,0xfb8005ff,
    0xfb8002ff,0x01ffd42f,0xf50bfee0,0x2600007f,0x2a001fff,0x7f441fff,
    0x3bb1003f,0x00037660,0x200fffea,0x3f64fffc,0xffe986ff,0xffffffff,
    0x3fe603ff,0xffffffff,0x0000002f,0x7cc6ffc8,0x000006ff,0x3ffe0000,
    0xffff7002,0x7dc0009f,0x5004ffff,0x003dfffd,0x4005fff1,0x8001ffe9,
    0xeffffed9,0x80000003,0x4000fffa,0x0001effa,0x7ffcc000,0x3fe60001,
    0xff3003ff,0x17ffa29f,0x3fffee00,0x7fcc002f,0x00bff60d,0x6c1bff30,
    0x300002ff,0xa8003fff,0xfff32fff,0x7fff4007,0x03fffc40,0x3ffffea0,
    0x27ffe403,0x6c4dfffb,0xffffffff,0x03ffffff,0x3fffffe6,0x002fffff,
    0x97ffa000,0x7fd43ffe,0x000002ff,0x7ffa8000,0xb5bff300,0xf30005ff,
    0x05ffb5bf,0xffffffc8,0x2ffec02f,0x1ffffa00,0xffffd880,0x01ffffff,
    0x3f200000,0x7fc4005f,0xfb0006ff,0xdfffffff,0x000dff70,0x00f7ffcc,
    0x3f7ffe60,0xfc8005ff,0x02fffdff,0x7effff40,0xe8000fff,0xffffdfff,
    0x99998000,0x99afffa9,0xbfff5001,0x44007fff,0x7cc2ffff,0xf5001fff,
    0x07fffbff,0xf927ffe4,0x7ffecbff,0x223fffff,0x32203fff,0xcccccccc,
    0x000001cc,0x7fc57ffa,0x3fffe80f,0x00000000,0x9004ffc8,0x005fd8bf,
    0x2fec5fc8,0xd77fff30,0x7fd40dff,0x3fe2000f,0xfd001fff,0xfffbdfff,
    0x00001fff,0x00bffa00,0x0fffff30,0x3ffff600,0xfd86ffff,0xff30003f,
    0x260001bf,0x005fffff,0xf71fffc8,0x7cc005ff,0x01ffffff,0xfffff300,
    0xf30003ff,0xffffffff,0x2001ffff,0x03fffffa,0x40fffe80,0x5007fff8,
    0x3fea5fff,0x9fff903f,0xfbafffe4,0xffffffff,0x00fffe23,0x00000000,
    0xffbafff4,0x05fff305,0x65400000,0x07ffa04e,0x3ee27f40,0x44fe8006,
    0x3ffa06fb,0x4417ff42,0xf8002ffe,0xc800ffff,0xfd984fff,0xd10004ff,
    0x7fc405dd,0xfff88007,0xffb0006f,0x8dffffff,0x8000fff8,0x0003fff9,
    0x005fff98,0x540effc8,0x22002fff,0x000cefec,0x677f6440,0xfff30000,
    0xffffffff,0x7d4001ff,0x910003ff,0x0376603b,0x307ffea0,0xff907fff,
    0x67ffdc7f,0xfffffff8,0x3fe23fff,0x0000003f,0xbffd0000,0xff80bff6,
    0x0000000f,0x7c413ffe,0x1bf2006f,0xf9000bfb,0x3e05fd8d,0x83ffc87f,
    0x50005ffc,0xf3005fff,0x7fc409ff,0xff30006f,0x27fdc07f,0x1fffb800,
    0x7fec0000,0x002ffd46,0x00000000,0x00000000,0x00000000,0x66664400,
    0xccdfffdc,0x00000004,0x00000000,0x71fffdc0,0xfff59fff,0x7fffffff,
    0x001fffc4,0x80000000,0x0fff5ffe,0x00037fcc,0x13ffe000,0x3001ffdc,
    0x5ffb9dff,0x9dff3000,0x3e205ffb,0x45ffa86f,0x0000fff9,0x7dc00262,
    0x7fec00ff,0xfff30007,0x00ffec07,0x00013100,0xc8dffb00,0x000002ff,
    0x00000000,0x00000000,0x00000000,0x007ffe60,0x00000000,0x80000000,
    0x3ea3fffb,0xffffbbff,0x23ffffff,0x2003fff8,0x001eeeed,0xbffd0000,
    0x3ffd5300,0xf8000000,0x800004ff,0x03fffffb,0x3fffee00,0x1ffe203f,
    0xffd13fea,0x80000007,0xfd806ffc,0xff30006f,0x0000007f,0xfd800000,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x03fff300,0x00000000,
    0x00000000,0xf51fffdc,0xffffb7ff,0x47ffffff,0x5003fff8,0x007fffff,
    0x3ffa0000,0x3ffff805,0xf8000000,0x000004ff,0x00037971,0x00379710,
    0xffb81fff,0x001bff23,0x3ffa0000,0x27ffcc05,0x3fff9800,0x00000000,
    0x37fec000,0x2e620000,0x00aceeec,0x7765cc40,0x44000ace,0xaceeecb9,
    0x3b6e6000,0x98001bce,0xcdefeecb,0x6e54c002,0x1fffcbcd,0xddb73000,
    0x32a00379,0x7997003c,0x20079950,0x3fee3ccb,0x2bffe63f,0xfffffffc,
    0x3fe23fff,0xfff9003f,0x00000dff,0x2017ffa0,0x00000dff,0x09fff000,
    0x00000000,0xffe80000,0x4c7ffe24,0x20001fff,0x1bceedb9,0x9813ffe0,
    0x0000ffff,0x0007fff3,0x765cc400,0x0000acee,0x00037fec,0xffffff70,
    0x2003ffff,0xfffffffb,0xf7001fff,0xffffffff,0xffe8803f,0x04ffffff,
    0xffffff50,0x03dfffff,0xfffffe98,0x01ffffff,0x7ffff440,0xd804ffff,
    0xffb006ff,0x00dffb0d,0xffb9bff6,0x2733222f,0xfffffffb,0x3fe23fff,
    0xffff003f,0x00001fff,0x79ddb751,0x0100bfff,0x65400000,0xefffcccc,
    0xcccccccc,0x00f32a03,0x2601e65c,0xcdefeecb,0x3fffea02,0x3fa4fffd,
    0xfd10003f,0x9fffffff,0x5413ffe0,0x0002ffff,0x000fffe6,0x7fffdc00,
    0x01ffffff,0x01bff600,0x3fffa200,0xffffffff,0x7fff4401,0xffffffff,
    0x7fff4401,0xffffffff,0x3fffe601,0xefffffff,0x7fffe401,0xffffffff,
    0xffff700f,0xffffffff,0x7fcc003f,0xffffffff,0x3ff601ef,0x0dffb006,
    0x3600dffb,0x3ffea6ff,0x7fffcc02,0x23ffffff,0xa803fff8,0x3fffafff,
    0x3ff22000,0xffffffff,0x6644005f,0x677f64c3,0x3fff6003,0xffffffff,
    0x06ffffff,0x6c01bff6,0xfff506ff,0xffffffff,0x3fff203d,0xff70dfff,
    0x3fe6000d,0xffffffff,0x27ffc1ef,0x00f7ffdc,0x0fffe600,0xffd10000,
    0xffffffff,0x7ec0003f,0x7c40006f,0x99acffff,0x2201feba,0x9acfffff,
    0x201feba9,0xacfffff8,0x01feba99,0x215ffff3,0x06fffd98,0x4cd67fe4,
    0x6fffeb98,0xabffffc8,0xfffeca99,0xffff3001,0x3ff66215,0x1bff606f,
    0x6c37fec0,0xffb006ff,0x017ffd4d,0x7ffffff4,0x3fe23fff,0x6ffc803f,
    0x2000dfff,0xffffffea,0x05ffffff,0xf737fcc0,0x1dffffff,0xfffffb00,
    0xffffffff,0x6c0dffff,0xffb006ff,0x3ffff20d,0xffffffff,0xbfdb500f,
    0x00fffcc7,0x57fffcc0,0xdfffb310,0x7cc4fff8,0x80000eff,0x0003fff9,
    0x3ffffe20,0xfeba99ac,0x3ff60001,0x7fec0006,0x004c00ef,0x801dfffb,
    0x3fff6009,0xe804c00e,0x3f200eff,0x006602ff,0xf10ffff4,0x7cc01bff,
    0xffd001ff,0x7ffe401d,0x00dffb02,0x3f61bff6,0xdffb006f,0x4017ffd4,
    0xfffffff9,0x3ffe23ff,0x93fff803,0x98001fff,0x99acffff,0x05fffdb9,
    0xfdbffcc0,0xffffffff,0xaaaa9806,0xaaadfffa,0x202aaaaa,0xfb006ffd,
    0x33ff20df,0xfeb9899a,0xfd0006ff,0x3fa0009f,0x3ff200ef,0x913ffe2f,
    0x00001fff,0x000fffe6,0x0efffd80,0xb00004c0,0x54000dff,0x80005fff,
    0x0005fffa,0x005fffa8,0x00fffd40,0x0003fff4,0x363fffb8,0xff9807ff,
    0xfffa801f,0x07ffe801,0x3600dffb,0x6ffd86ff,0x54dffb00,0xf7002fff,
    0x7fffffff,0x201fffc4,0xff31fffa,0xffe8007f,0x2fff401e,0x37ffe600,
    0xfb99bfff,0xf0002fff,0xd80009ff,0xffb006ff,0x7400660d,0x5c001fff,
    0xf50006ff,0xffd003ff,0x3a27ffcf,0x200005ff,0x0003fff9,0x00bfff50,
    0x3ff60000,0x3ffe0006,0xff80000f,0xf80000ff,0x40000fff,0xf5005ffe,
    0x100003ff,0x3fe69fff,0xfff9803f,0x05ffe801,0xb03fff50,0x3f600dff,
    0x06ffd86f,0x7d4dffb0,0x366001ff,0x23ffffff,0x6403fff8,0x37ffc6ff,
    0x03fff700,0x800bffd0,0x0efffff9,0x006fff88,0x0009fff0,0xb006ffd8,
    0x70000dff,0x44007fff,0xd0001fff,0x3ea00bff,0x89fff1ff,0x00007ffd,
    0x000fffe6,0x007fffc0,0xffd80000,0xfff10006,0xff100009,0xf100009f,
    0x880009ff,0xf3003fff,0x200005ff,0xfff75ffe,0x3fff3001,0x03fff880,
    0xb05fff30,0x3f600dff,0x06ffd86f,0x7ccdffb0,0xc98001ff,0x3e23fffe,
    0x7ffc03ff,0x007ffec4,0xd005fff8,0xf9800bff,0x7ec06fff,0xfff0007f,
    0xffd80009,0x0dffb006,0x9fff1000,0x027fec00,0x03fff880,0x3e5fff30,
    0x7ffdc4ff,0xff300004,0xf100007f,0x000009ff,0x0037fec0,0x002fffa8,
    0x02fffa80,0x2fffa800,0x7ffcc000,0x7fff1001,0x3ffa0000,0x200fff95,
    0x4c01fff9,0xf1001fff,0xdffb07ff,0x21bff600,0xfb006ffd,0x0fffccdf,
    0x22098000,0x3ea03fff,0x7ffd41ff,0x2fff9803,0x00bffd00,0x00efff98,
    0x0007ffdc,0x00027ffc,0x6c01bff6,0xd00006ff,0x3ea00bff,0xf30000ef,
    0x3e2003ff,0x89fff3ff,0x00dffff8,0x1fffcc00,0x7ffd4000,0x20000002,
    0x70006ffd,0x00001fff,0x0001fff7,0x001fff70,0xeefffa80,0xeeeeeeee,
    0x4404fffe,0xfffffedb,0xffb5ffff,0x3ffe600d,0x77ffd401,0xeeeeeeee,
    0xd84fffee,0xffb006ff,0x00dffb0d,0xff99bff6,0x1000001f,0x7e407fff,
    0x6fff887f,0x00fffa80,0x800bffd0,0xa801fff9,0xf8001fff,0x6c0004ff,
    0xffb006ff,0x3fa0000d,0xfff8805f,0x0b7bb6a2,0xeeefffa8,0xeeeeeeee,
    0x9fff4fff,0x3dffff50,0x7ffcc000,0xffb80003,0x0000000f,0x4001bff6,
    0x00007ffd,0x0000fffb,0x0001fff6,0x3fffffee,0xffffffff,0x3f204fff,
    0xffffffff,0xffd5ffff,0x3ffe600b,0x7fffdc01,0xffffffff,0xd84fffff,
    0xffb006ff,0x00dffb0d,0xff99bff6,0x1000001f,0x7fc07fff,0x1fffb04f,
    0x007ffb80,0x30017ffa,0xf5003fff,0xff0003ff,0xfd80009f,0xdffb006f,
    0xffedb880,0x5fffffff,0x365ffd80,0x04ffffff,0xfffffff7,0xffffffff,
    0x13ffe9ff,0x17ffffd4,0x3fff9800,0x7ffd8000,0x6c000000,0xf90006ff,
    0x320000ff,0x900007ff,0x70000fff,0xdddddfff,0xdddddddd,0x3fff207d,
    0xccccceef,0xbfff5fff,0x07ffe600,0xdddfff70,0xdddddddd,0xffb07ddd,
    0x1bff600d,0x6c01bff6,0x3ffe66ff,0xf1000000,0x3fe607ff,0x7fff502f,
    0x007ffc80,0x30017ffa,0xf5003fff,0xff0003ff,0xfd80009f,0xdffb006f,
    0x7ffffe40,0xffffffff,0x87ffd405,0xfffdfffb,0xefffb82f,0xeeeeeeee,
    0xff3eeeee,0x7ff4409f,0xf98002ff,0xc80003ff,0x000007ff,0x0037fec0,
    0x001fffb8,0x01fffb80,0x1fffb800,0x7ffd4000,0x3ee00001,0x7f401eff,
    0x00bffd5f,0x5007ffe6,0x00003fff,0xd8037fec,0x6ffd86ff,0x44dffb00,
    0x00000fff,0x207fff10,0x3e207ffc,0x7fec05ff,0x17ffa007,0x03fff300,
    0x003fff50,0x0009fff0,0xb006ffd8,0x3ff20dff,0xcccceeff,0x2205fffc,
    0xfff12fff,0x5437fdc3,0x40001fff,0xfd804fff,0x4c000fff,0x80003fff,
    0x0001fffb,0x1bff6000,0x17ffd400,0x7ffd4000,0xffa80002,0x7cc0002f,
    0x200002ff,0xe800fffe,0x0dffb5ff,0x007ffea0,0x0005fff3,0x8037fec0,
    0xffd86ffd,0x8dffb006,0x00000199,0x7c0fffe2,0x7ff405ff,0x1fff200f,
    0x005ffe80,0x400fffcc,0x8001fffa,0x40004fff,0xfb006ffd,0xdfff70df,
    0x05ffe803,0xffa97ff2,0x207ffc44,0x0002fff9,0xd8027ffc,0x4c003fff,
    0x80003fff,0x0002fffa,0x1bff6000,0x27ffcc00,0x7ffcc000,0xff980004,
    0x7c40004f,0x200004ff,0xfd004fff,0x01fff2bf,0x007fffe6,0x0009fff1,
    0x403ffe40,0xfc86fff8,0xfff8807f,0x80000006,0xf983fff8,0x7fdc02ff,
    0x3ffee03f,0x0bfff000,0x01fff980,0x001fffa8,0x0004fff8,0xd8037fec,
    0xfffe86ff,0x05ffe800,0x7dc1fff5,0x41ffe82f,0x0004fff8,0x88027ffc,
    0x4c005fff,0x80003fff,0x0004fff9,0x1bff6000,0x1ffff800,0xffff8000,
    0xfff80001,0x7f40001f,0x980000ff,0xf9803fff,0x5fff75ff,0x7ffff440,
    0x0fffe801,0xfff70000,0x7fff4401,0x00fffb86,0x01bfffa2,0x3e200000,
    0xfffc83ff,0x99999999,0x2a05fffa,0xfd801fff,0x7cc005ff,0xffa801ff,
    0xffe8001f,0x7fe40005,0x6fff8807,0xd004fff8,0xffd10bff,0xd83ffc85,
    0xfffe81ff,0x3ffe0000,0x1bff6004,0x07fff300,0x3fffe000,0xb0000001,
    0x5c000dff,0x0000efff,0x0077ffdc,0x3bffee00,0x3fea0000,0xf880005f,
    0x7fe405ff,0xbfff15ff,0x3ffffa20,0xfffa801f,0xff500005,0x3ffa207f,
    0xfffa86ff,0xffffd103,0x006fec4d,0xfff98000,0xffffff82,0xffffffff,
    0xff300fff,0xfffc809f,0x7fcc005f,0xfffa801f,0x6ffd8001,0x7ffdc000,
    0x3fffa200,0x01fffcc6,0x642fffcc,0x5ffb85ff,0xfa80ffe8,0x3e0005ff,
    0x3fa004ff,0x7fcc005f,0xf700003f,0x00001dff,0x00dffb00,0xbffffe80,
    0x201da880,0x80bffffe,0x3fa01da8,0xa880bfff,0xdfffd01d,0x3e033005,
    0xfe982fff,0x3f65ffff,0x3fae24ff,0x001fffcf,0x005dfffd,0x3ffe2033,
    0x7fff4c1f,0xfff886ff,0x7fff4c1f,0x3fffa6ff,0xf5000006,0xfff981ff,
    0xffffffff,0x02ffffff,0x5c03fffa,0x005fffff,0x400fffcc,0x8001fffa,
    0x0002fffc,0x440fffea,0x446ffffe,0x7e405fff,0x7fcc5fff,0x47ffa80f,
    0x3fa06ff9,0x19802eff,0x22013ffe,0x4003fffd,0x0003fff9,0x2fffffa0,
    0x001da880,0x001bff60,0xffffff30,0x3ffffddf,0x7ffffcc0,0xffffeeff,
    0x3fffe601,0xfffeefff,0xffff301f,0xdb999dff,0x3fee09ff,0xfffdceff,
    0x265ffdef,0xffdfffff,0x03fff4ff,0x3ffffe60,0xfedcccef,0x3fff204f,
    0xdfffedef,0xff906ffb,0xfffdbdff,0x3e2dff7b,0x0000ffff,0xc87ffb80,
    0xffffffff,0xffffffff,0x3ffea05f,0x3bff660e,0x4c005ffd,0xfa801fff,
    0xfa8001ff,0x03102fff,0x20ffffc4,0x6fffffe9,0x982ffff8,0x45fffffe,
    0x3fa03ffe,0x2fffbbff,0x3ffffe60,0xfedcccef,0xf13ffe4f,0xffffdddd,
    0xfff3000b,0x33333339,0xf9803333,0xeeffffff,0x0001ffff,0x0001bff6,
    0x3fffff22,0x01ffffff,0x7ffffe44,0x01ffffff,0x7ffffe44,0x01ffffff,
    0x3fffff62,0x4fffffff,0x3fffff60,0xff74ffff,0xfffff98b,0x3ffe4fff,
    0x3ff62001,0xffffffff,0x3fa204ff,0x4fffffff,0x3a20dff5,0xffffffff,
    0x3e2dff54,0x0c007fff,0x437ffc40,0x9999dfff,0xe9999999,0x3fa00fff,
    0xfffeefff,0x005ffc8e,0x400fffcc,0x0001fffa,0xddfffffb,0xfc80dfdd,
    0xffedefff,0xb86ffbdf,0xfdceffff,0x5ffdefff,0xf501bff2,0x0bffffff,
    0xfffffb10,0x9fffffff,0x3fe27ffc,0x0dffffff,0xffff9800,0xffffffff,
    0x64401fff,0xffffffff,0x7dc01fff,0xffffffff,0x07ffffff,0xfffed980,
    0x000bdfff,0xfffffdb3,0x260017bf,0xffffffed,0xeda800bd,0xefffffff,
    0x7ffd401c,0x3ee1dfff,0xfffd985f,0x0fffc2df,0x7ff6d400,0x1cefffff,
    0xfffffc80,0x01bfea2e,0x5dfffff9,0xff537fd4,0x6fc4005f,0x3fffb100,
    0x003fff98,0x1017ffdc,0xfffffffd,0x017fee1d,0x003fff30,0x0003fff5,
    0x3fffffa2,0x4406ffff,0xfffffffe,0x20dff54f,0xfffffffd,0x2bff74ff,
    0x9801fff9,0x003ffffe,0x7ffff6d4,0x3e1cefff,0x7fffc4ff,0x20002dff,
    0xfffffff9,0xffffffff,0xffdb3001,0x017bffff,0xffffffb8,0xffffffff,
    0x9880007f,0x31000009,0x22000013,0x98000099,0x800099aa,0x80000a98,
    0x00000019,0x00266aa6,0x0004d440,0x0009a880,0x3a000544,0xcaacdfff,
    0xfc85ffff,0x7cc000ff,0x7e4405ff,0x2e0bdfff,0x7cc005ff,0xffa801ff,
    0x7540001f,0x5fffffff,0xfffff900,0x037fd45d,0xbffffff5,0x002ffdc3,
    0x00004c40,0x0099aa98,0x00033300,0x7ffffcc0,0xffffffff,0x310001ff,
    0xffb80013,0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffd8800,0xffffffff,0x06fff80e,
    0x01fffd00,0x00002a20,0x007ffe60,0x0007ffea,0x00999880,0x00135100,
    0x00153100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffaa,0xff303fff,0x3f20007f,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x579b9530,0x07ffe401,0x5fff9800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x80dffff9,0x01ffffd8,
    0xff880000,0x07762006,0x20006ecc,0x881cefca,0x3fea0003,0x2000003f,
    0x00dffff9,0x07ffff62,0x20e65400,0x01cdfeda,0x01ffff98,0x07dd5000,
    0x000004c4,0x0000dffb,0x10000400,0x376603bb,0xfff50000,0x26000007,
    0x100dffff,0x003ffffb,0x217fdc00,0x75003ffa,0x79bdffd9,0x0e6f76c1,
    0x01dd8800,0x2a001bb3,0x3881cefc,0x3fffa800,0x00dec880,0xffff1000,
    0xffff7009,0xb8000003,0x3fa003ff,0x7ffc40ff,0x3ffee007,0xfd10cfff,
    0xfff50007,0x000007ff,0x009ffff1,0x00ffffdc,0xe89ffec0,0x3fffffff,
    0x0ffffa80,0x2009d973,0xf82ffff9,0x001dffff,0x3f65fff1,0x8000006f,
    0x8001ffe9,0x7c40fffe,0xfa8007ff,0x0003ffff,0x27fffc40,0x1ffffb80,
    0xbff30000,0x2017fec1,0xffffffea,0x3f61ffff,0x003effff,0x2207fff4,
    0xfb807fff,0x10cfffff,0x7d4007fd,0x6c03ffff,0x80006fff,0x002ffff8,
    0x007fffa6,0x0ffe8000,0x5ffff100,0x01ffff98,0xffefffa8,0x3fffefff,
    0x6fffd400,0x00003fff,0x00bfffe2,0x07fffa60,0xf37ffb00,0xffffffff,
    0xfff9007f,0x09ffffff,0x17ffff20,0x17fffffe,0xfb2ffec0,0x000000df,
    0x800ffffd,0x4c2ffff8,0x2001ffff,0xfffdfffa,0xff100003,0xe98005ff,
    0x00001fff,0xfffbfffd,0x7ffdc01f,0xffffffff,0x3ffff61f,0x8801efff,
    0x7cc2ffff,0x3ea01fff,0xfffffeff,0x5003fffe,0x7fffbfff,0x0fffffc0,
    0xdfff1000,0xffb10001,0x1000003f,0xfe800dff,0x7ffc40ff,0x41df5007,
    0x4ffffffc,0x97ffd400,0x0003fffa,0x00efff88,0x3fff6200,0x37ff6001,
    0xc99adfff,0xba80ffff,0xfffffffd,0xf7004fff,0x33509fff,0xa803fff9,
    0x3ff60fff,0x44000006,0x001fffff,0x2207fff4,0x2a007fff,0xfff52fff,
    0xff880007,0xb10000ef,0x00003fff,0xfffffff3,0x77ffcc03,0xb753109b,
    0x7f655441,0xe802ffff,0x7fc40fff,0x077d407f,0x9ffffff9,0x4bffea00,
    0xff03fffa,0x20001fff,0x0004fff8,0x001fffb8,0xdffb9510,0xc88007ff,
    0x01bb301d,0x76440540,0x7d4002df,0x7ffcc1ff,0x3fe20003,0x2e00004f,
    0xfb001fff,0x3207ffff,0xfff82fff,0xbeffffff,0x7ff4000a,0x7ffc400e,
    0x0bffa200,0x0000dffb,0x1fffff00,0x01dc8800,0x2a001bb3,0x7fcc1fff,
    0xff10003f,0x2e00009f,0x80001fff,0x00cefec8,0x0007ffec,0xffffd980,
    0x80ee4401,0x0a800dd9,0x02dfec88,0x983fff50,0xffa83fff,0x0000004f,
    0xb8000000,0xffffffff,0x000000ef,0x00000000,0x00000000,0x00000000,
    0x03ffffd8,0x3e13ffe2,0xfffcefff,0x2aa0000e,0xffd75300,0x85ffc80b,
    0x00006ffd,0x02fffa80,0x00000000,0x00000000,0x00000000,0xbffd0000,
    0xffb00000,0x000000df,0x00000000,0x001a8800,0x00000000,0x7ffec400,
    0xffffffff,0x0000002f,0x00000000,0x00000000,0x40000000,0xe804fffd,
    0x41bd85ff,0x0004fffc,0x3fffee00,0x3ffe601f,0x006ffd80,0x01310000,
    0x00000000,0x00000000,0x00000000,0x7ff40000,0xfd000006,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x37dfffd0,0x3ffffff2,0x00000000,
    0x00000000,0x00000000,0x36000000,0xffb006ff,0xfffe800d,0xd5000001,
    0x207ffffd,0xffb03ffe,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x7e400000,0x00000cff,0x0027ffd4,0x00000000,0x00000000,0x20079950,
    0xcca83ccb,0x87997003,0xfe85fffa,0x006fffcf,0x33bb6ea2,0x2a20001b,
    0x01bceedb,0x3b6ea200,0x20001bce,0xbceedba8,0x2ea20001,0x401bceed,
    0xfb006ffd,0xdba880df,0x000efffe,0x4401f754,0xffc86ffe,0x31bff606,
    0x0037bdb7,0x4c000000,0x01bceedb,0x3bb6e600,0x260001bc,0x01bceedb,
    0x3bb6e600,0x995001bc,0x8f32e007,0x1cfffff9,0xfff30000,0xeecb980d,
    0x4002cdef,0xdefeecb9,0x65cc002c,0x02cdefee,0x6c007774,0xffb006ff,
    0x00dffb0d,0xffd1bff6,0x3adff30b,0xfa801fff,0xffffffff,0x7fd4000d,
    0xdfffffff,0x7ffd4000,0x0dffffff,0x7fffd400,0x00dfffff,0x7ffffd40,
    0xb00dffff,0x3f600dff,0xfffd106f,0x07ffffff,0x004ffb80,0xff98fffb,
    0x97ff601f,0xfffffffd,0x66664c04,0xcccccccc,0x74400ccc,0xffffffff,
    0x7ff44004,0x04ffffff,0x7ffff440,0x4004ffff,0xffffffe8,0xffd804ff,
    0x8dffb006,0xeffffffa,0x7fc0000b,0xffff506f,0xdfffffff,0xffffa803,
    0xefffffff,0x7fffd401,0xefffffff,0x001fff01,0x3600dffb,0x6ffd86ff,
    0x5cdffb00,0xffb82fff,0x809fff33,0xfffffffc,0x002fffff,0xfffffff9,
    0x005fffff,0x3ffffff2,0x02ffffff,0xffffff90,0x05ffffff,0x3fffff20,
    0x2fffffff,0xb006ffd8,0xfff30dff,0xffffffff,0x7fe4001f,0xfdcbc884,
    0x1fff44ff,0x3637ff60,0xffffffff,0x3ffea04f,0xffffffff,0x2601ffff,
    0xffffffff,0x9801efff,0xffffffff,0x9801efff,0xffffffff,0x9801efff,
    0xffffffff,0x3601efff,0xffb006ff,0xffffd30d,0x0005dfff,0x320bfff1,
    0xffffffff,0x200fffff,0xfffffffc,0x00ffffff,0x3ffffff2,0x0fffffff,
    0xd801fff8,0xffb006ff,0x00dffb0d,0xffc9bff6,0x741ffd06,0x3ff606ff,
    0xeb98abef,0x6c00ffff,0x98abefff,0x00ffffeb,0x55f7ffec,0xffffeb98,
    0x77ffec00,0xffeb98ab,0x7fec00ff,0xeb98abef,0x7ec0ffff,0xdffb006f,
    0xbdffffa8,0x4fffca99,0x213ff200,0x6ffffff9,0x6c037fdc,0xbfffeeff,
    0x2ffffc99,0xffffff50,0xffffffff,0x3ffe603f,0xffb310af,0xfff980df,
    0xffb310af,0xfff980df,0xffb310af,0xfff980df,0xffb310af,0x37fec0df,
    0x206ffd80,0xffffffda,0x3ee000df,0x9ff903ff,0xfd731335,0x7fe40dff,
    0xeb9899ac,0x3f206fff,0xb9899acf,0x7c46fffe,0xffd801ff,0x0dffb006,
    0x3600dffb,0x17ff66ff,0xffb1bfe6,0x3bffe60f,0x13fff600,0x00efff98,
    0x9813fff6,0x3600efff,0x3e604fff,0x3f600eff,0x3fe604ff,0x3ff600ef,
    0x037fec4f,0x7fc6ffd8,0x3ffa02ff,0xbff9000f,0x5bdffd30,0x801fff98,
    0x05fffffd,0x220bfff5,0xaaaaaaaa,0x0ffffbaa,0x401dffd0,0x3a02fffc,
    0x3f200eff,0x3ffa02ff,0x3fff200e,0x03bffa02,0xb02fffc8,0x3f600dff,
    0xffb5006f,0x2a009fff,0x3300ffff,0x07fffa00,0xffe800cc,0x2003301f,
    0x3e21fffe,0xffd801ff,0x0dffb006,0x3600dffb,0x13ffa6ff,0xff90ffee,
    0x0dffd01f,0x407fffa0,0xfd006ffe,0x3ffa03ff,0x3fffd006,0x401bffa0,
    0xfd01fffe,0x3ffa00df,0x01bff61f,0xff737fec,0xfffa803f,0x3faea203,
    0x3fa0005f,0xfffb004f,0xfffc809f,0x7ff40000,0x3fff501f,0x20fffd00,
    0xe801fffa,0xfff507ff,0x0fffd003,0x2007ffea,0xffb07ffe,0x1bff600d,
    0xffff9100,0xffeeec83,0x00003fff,0x0007fff7,0x007fff70,0x47fff700,
    0xd801fff8,0xffb006ff,0x00dffb0d,0xfff9bff6,0x540ffe83,0x7fd40fff,
    0xfff5003f,0x07fff509,0x213ffea0,0x5003fffa,0xff509fff,0x3fea007f,
    0x3fffa84f,0x49fff500,0xfb006ffd,0x17ffe2df,0x4437ffc0,0x5ffffffc,
    0x0dff7000,0x02fffec0,0x001fffd4,0x407fff90,0xf5005ffe,0xbffd03ff,
    0x07ffea00,0x54017ffa,0xffe81fff,0x3fff5005,0x200dffb0,0x70006ffd,
    0xffd85fff,0x003fffff,0x13ffe200,0x3ffe2000,0xff880004,0x0bffe24f,
    0x401bff60,0xffd86ffd,0x4dffb006,0x7fcc4fff,0xc87ffb86,0x7f4007ff,
    0x07ffc85f,0x642fff40,0x7f4007ff,0x07ffc85f,0x642fff40,0x7f4007ff,
    0x01bff65f,0xffab7fec,0xfff9001f,0x7ffffc41,0x88005fff,0x36001fff,
    0x3fe006ff,0xff50004f,0x7ffc40bf,0x5fff3003,0x003fff88,0xf885fff3,
    0xff3003ff,0x3fff885f,0x05fff300,0x3600dffb,0xf10006ff,0xfffd87ff,
    0x00000cdf,0x0005ffe8,0x000bffd0,0xf897ffa0,0xffd802ff,0x0dffb006,
    0x3600dffb,0x17ffe6ff,0xff907ff7,0x00bffb0d,0xfd86ffd8,0x7fec005f,
    0x005ffd86,0x7ec37fec,0x7fec005f,0x005ffd86,0xffb37fec,0x5bff600d,
    0x2a007ffb,0x3ff62fff,0x00999aef,0x004ffd80,0xf0037fec,0xf30009ff,
    0x7cc01dff,0xff1001ff,0x1fff987f,0x87fff100,0x1001fff9,0xff987fff,
    0xfff1001f,0x00dffb07,0x4001bff6,0x7ec2fffc,0x8000005f,0x00005ffe,
    0x0000bffd,0xff997ffa,0x6ffd802f,0xb0dffb00,0x3f600dff,0xd1bffa6f,
    0xbffb01ff,0x8009ffd0,0xffe87ffc,0x3ffe4004,0x20027ff4,0xffe87ffc,
    0x3ffe4004,0x20027ff4,0x3ff67ffc,0x2dffb006,0x26006ffd,0xfff53fff,
    0x3ea0000b,0x7ec000ef,0x3ffa006f,0x7ff44005,0x7ffd401f,0xeeeeeeee,
    0x44fffeee,0xeeeefffa,0xfeeeeeee,0x7ffd44ff,0xeeeeeeee,0x44fffeee,
    0xeeeefffa,0xfeeeeeee,0x6ffd84ff,0x22dffb00,0x7fd400ab,0x27fe40ff,
    0xfdb71000,0xffffffff,0xfedb880b,0xffffffff,0x7f6dc405,0xffffffff,
    0x00bffe65,0x6c01bff6,0x6ffd86ff,0x64dffb00,0xdff10fff,0xf09fff10,
    0xfb8009ff,0x27ffc0ff,0x03ffee00,0xb8009fff,0x7ffc0fff,0x7ffdc004,
    0x0027ffc0,0x7ec3ffee,0xdffb006f,0x88017ffa,0xfff74fff,0xff100003,
    0xccccb85f,0x0037fec0,0xd800dffd,0xfb802fff,0xffffffff,0xffffffff,
    0x7ffffdc4,0xffffffff,0x7dc4ffff,0xffffffff,0xffffffff,0x7ffffdc4,
    0xffffffff,0xfd84ffff,0xdffb006f,0x3bbbffe6,0xfffffedc,0x004ffc83,
    0xffffff90,0xbfffffff,0x7ffffe40,0xffffffff,0x3ffff205,0xffffffff,
    0x0fffe65f,0x401bff60,0xffd86ffd,0x4dffb006,0xff74fff9,0x03fff707,
    0xb8009fff,0x4fff87ff,0x43ffdc00,0x5c004fff,0x4fff87ff,0x43ffdc00,
    0x5c004fff,0x1bff67ff,0xfeb7fec0,0x3fe2005f,0x01fffb4f,0x8bffb000,
    0x41fffff9,0x3a006ffd,0x3ee005ff,0xff7004ff,0xdddddddf,0x7ddddddd,
    0xeeefffb8,0xeeeeeeee,0x7fdc3eee,0xeeeeeeef,0x3eeeeeee,0x7777ffdc,
    0xeeeeeeee,0xffd83eee,0x2dffb006,0xfffffff9,0x02ffffff,0x90009ff9,
    0x99ddffff,0x0bfff999,0x3bbffff2,0xfffccccc,0xdffff905,0xff99999d,
    0x1fffccbf,0x8037fec0,0xffd86ffd,0x8dffb006,0xffeaffff,0x82fffcc0,
    0x64005ffe,0x5ffe86ff,0x437fe400,0x64005ffe,0x5ffe86ff,0x437fe400,
    0x64005ffe,0x1bff66ff,0xfdb7fec0,0x3fe6006f,0x01fffb3f,0x0fffa800,
    0x0ffffff4,0xf801bff6,0xff3003ff,0x7fd400df,0xf500001f,0x200003ff,
    0x0001fffa,0x003fff50,0x037fec00,0xdb16ffd8,0xffffffff,0x7fe4017d,
    0x7ffdc004,0x2fff401e,0x00f7ffdc,0x3ee17ffa,0x7f401eff,0x0fffe65f,
    0x401bff60,0xffd86ffd,0x8dffb006,0x6ffffffa,0x807fffd4,0x6c006ffd,
    0x6ffd85ff,0x42ffec00,0x6c006ffd,0x6ffd85ff,0x42ffec00,0x6c006ffd,
    0x800005ff,0x2a007ffc,0xfff92fff,0x7fc40005,0x75ffe42f,0x37fec1ff,
    0x02fff880,0x00ffff88,0x00bffe60,0x17ffcc00,0xfff98000,0xff300002,
    0x6c00005f,0xffb006ff,0x5533310d,0x26620013,0x7fff4000,0x85ffe800,
    0xe800fffe,0xfffe85ff,0x25ffe800,0xc803fffa,0xff8807ff,0x07ffc86f,
    0xc86fff88,0xdcefffff,0x203fffff,0x1000fffc,0xff909fff,0x3fe2001f,
    0x0fffc84f,0x09fff100,0x2001fff9,0xfc84fff8,0xff1000ff,0x7000009f,
    0x32003fff,0xfff70fff,0x7fe40009,0xfeb7fcc5,0x037fec1f,0x801fffa8,
    0x4002fffd,0x0004fff8,0x009fff10,0x13ffe200,0x7ffc4000,0x3f200004,
    0xfff8807f,0x00000006,0x004fff80,0xfff0bffd,0x17ffa009,0x74013ffe,
    0x3ffea5ff,0x0fffb804,0x1bfffa20,0x8803ffee,0xf706fffe,0xffffffff,
    0xffa803df,0xfff9004f,0x09fff503,0x207fff20,0x9004fffa,0xff503fff,
    0x3ff2009f,0x4fffa81f,0x03fff900,0x300b32e0,0xf100bfff,0xffff8dff,
    0xfffa8002,0xfe8fff40,0x037fec1f,0xc806fff8,0xd0004fff,0x00001fff,
    0x0003fffa,0x007fff40,0x0fffe800,0xfff70000,0x7fff4401,0x02ccb806,
    0x7fcc0000,0xfff9803f,0x01fffcc5,0x262fffcc,0xf9803fff,0x3ffea5ff,
    0x3fffa804,0xdffffd10,0x207fff50,0x06ffffe8,0x3fffffea,0x3fa004ef,
    0x7fd401ff,0x3fffa04f,0x27ffd401,0x803fffd0,0x3a04fffa,0x7d401fff,
    0x3ffa04ff,0x7ffd401f,0x0bffe004,0x00bfff60,0xfb85fff9,0x22002fff,
    0x7fdc2ffe,0xfb07ffa4,0xfff900df,0x5fffa803,0x3ffea000,0xff500005,
    0x2a0000bf,0x00005fff,0x000bfff5,0x40fffea0,0x06ffffe8,0x7002fff8,
    0x7c4007ff,0x7fe405ff,0x7ffc45ff,0x7fffe405,0x02fffc45,0xa97ffff2,
    0xf8804fff,0x7f4c1fff,0xf886ffff,0x7f4c1fff,0x2e06ffff,0x000aabff,
    0x07ffff30,0x01ffff71,0x41ffffcc,0x00ffffb8,0x20ffffe6,0x00ffffb8,
    0x20ffffe6,0x00ffffb8,0x20ffffe6,0x00ffffb8,0x001fff30,0x109ffff3,
    0x320dfffb,0x00beffff,0x7fc2ffe4,0xefffeeef,0x05fffb0e,0x013fff62,
    0x001dfff1,0x2efffe80,0x3fa01980,0x19802eff,0x0bbfffa0,0xffe80660,
    0x019802ef,0x983ffff1,0x06fffffe,0x4007ffcc,0x002ffffa,0x260bfffe,
    0x85fffffe,0xe982ffff,0xf85fffff,0xfe982fff,0x3ea5ffff,0xff9004ff,
    0xfffdbdff,0x320dff7b,0xfedeffff,0x06ffbdff,0x00003ffa,0x77ffffe4,
    0x2fffffed,0xfffffc80,0xfffffede,0xffffc802,0xffffedef,0xfffc802f,
    0xfffedeff,0xffc802ff,0xffedefff,0x2e002fff,0x3f2005ff,0xfedeffff,
    0x3200efff,0xefffffff,0x407ffcc4,0xffffffff,0xfffb0fff,0xffdbbdff,
    0xfe801bff,0x980001ff,0xceffffff,0x04ffedcc,0x3fffffe6,0xffedccce,
    0x3fffe604,0xedccceff,0x3fe604ff,0xccceffff,0x3204ffed,0xfedeffff,
    0x06ffbdff,0xc802ffdc,0x2004ffff,0xdceffffb,0xffdeffff,0xeffffb85,
    0xdeffffdc,0xfffb85ff,0xffffdcef,0x3ee5ffde,0xfd1005ff,0x9fffffff,
    0x7441bfea,0xffffffff,0x220dff54,0x400005ff,0xfffffffa,0x2000efff,
    0xfffffffa,0x2000efff,0xfffffffa,0x2000efff,0xfffffffa,0x2000efff,
    0xfffffffa,0x4000efff,0x54003ffd,0xffffffff,0xfa800eff,0x46ffffff,
    0xddd03ffe,0xddfffddd,0x3fffff21,0x3fffffff,0xfffffb80,0xffffffff,
    0x3f6207ff,0xffffffff,0x6c404fff,0xffffffff,0x4404ffff,0xfffffffd,
    0x404fffff,0xffffffd8,0x04ffffff,0x3fffffa2,0xdff54fff,0x003ffd80,
    0x007ffff7,0xffffffd8,0xbff74fff,0x3fffff60,0xff74ffff,0x3ffff60b,
    0xf74fffff,0x2fffdcbf,0x3ffff200,0x1bfea2ef,0xdfffff90,0xb837fd45,
    0x800003ff,0xfffffed8,0xdb10003d,0x07bfffff,0x3ffb6200,0x0003dfff,
    0xfffffdb1,0x3620007b,0x3dfffffe,0x01ffd000,0xfffdb100,0x50005dff,
    0x64dffffb,0xfe8006ff,0xffdb881f,0x00cdffff,0xffffff90,0xffffffff,
    0xfdb500ff,0x9dffffff,0x3fb6a003,0xceffffff,0xffdb5001,0x39dfffff,
    0x3ffb6a00,0x1cefffff,0xfffffc80,0x01bfea2e,0x22001ffd,0x50006ffe,
    0x3bffffff,0xf502ffdc,0x43bfffff,0x3ea05ffb,0x21dfffff,0x3fee5ffb,
    0x3510005f,0x2a200001,0x55300009,0x30000001,0x30000015,0x30000015,
    0x30000015,0x30000015,0x55000015,0x53100005,0x4c400003,0x03fff32a,
    0x003ffd00,0x64000262,0xffffffff,0x7fffffff,0x99aa9800,0xaa980000,
    0x98000099,0x000099aa,0x0099aa98,0x00135100,0x8002aa80,0x98800019,
    0x3100000a,0x22000015,0x54c000a9,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x880dffff,0x001ffffd,0xc801e654,0x018002cc,
    0x730732a0,0x2a037bdb,0x7f6d41cc,0x331001cd,0x4c400000,0xa9aceedb,
    0x0066204c,0x26a60000,0x30000000,0x001bffff,0x6f7f65c4,0x1ccccccc,
    0x02666200,0x000b332a,0xb8039993,0x1ffd42ff,0x03300000,0x5ffe8000,
    0x107ffea0,0x00007ffd,0x01bffff3,0x217ffea0,0x000efffc,0x000fffea,
    0x90bfff50,0x32e1dfff,0x7765441c,0xd973002c,0x0059bdfd,0x3fffe200,
    0xffffb804,0x1bff6001,0x0027ffc0,0xb005fff3,0x7ffe47ff,0xfd84ffff,
    0xffffd13f,0x6cc07fff,0xf1001fff,0x3f6205ff,0xffffffff,0xffd985ff,
    0xfff1001f,0x7ffec405,0x00002eff,0x13fffe20,0xffffc880,0xffffffff,
    0x3b2202ff,0xefffffff,0x00dfff30,0x400fffd8,0x3f60dff9,0x2a00002f,
    0xefffffed,0x7ff40003,0x97ffd405,0x0003fff9,0x04ffff88,0x217ffe60,
    0x000efffb,0x0fffffea,0x2fffcc00,0xd077ffdc,0x7ffdc5ff,0x2a04ffff,
    0xffffffff,0x0001efff,0x00bfffe2,0x01fffe98,0x200dffb0,0x3e004fff,
    0x6c00ffff,0xffffb4ff,0xd89fffff,0xffff9bff,0x43ffffff,0x1fffffc8,
    0x20bffb00,0xffffffe9,0x25ffffff,0x1fffffc8,0x40bffb00,0xfffffffb,
    0x800004ff,0x002ffff8,0x777ffff4,0xffffffff,0xffff502f,0x1fffffff,
    0x800ffff4,0xd006fff8,0xffffbfff,0xfd300001,0xffffffff,0xffe80009,
    0xdfffa805,0x80003fff,0x002ffff8,0x2a17ffe2,0x54005fff,0x3fffdfff,
    0x2fffc400,0x742fffd4,0xffff92ff,0x20bfffff,0xfffffffc,0x00ffffff,
    0x0efff880,0xfffd8800,0x06ffd801,0x2009fff0,0x01fffff9,0x7ff6ffec,
    0xfffc99bf,0x3f7ff62f,0xfc99adff,0xfff30fff,0x5003ffff,0xff501fff,
    0x731359ff,0x3e6bfffb,0x01ffffff,0x300fffa8,0xffbdffff,0x00005fff,
    0x0077ffc4,0x037fff20,0x559fffd5,0xfffff901,0x1ffddddd,0x8027ffd4,
    0x3002fffa,0x3fffffff,0xfff10000,0xfffddfff,0xffe80009,0xffff5005,
    0xf100007f,0x44001dff,0xffa85ffe,0x7fd4004f,0x07fff52f,0x217ffa20,
    0xfd04fffa,0x37fffb7f,0x01ffff73,0x13359ff9,0x0dfffd73,0x04fff880,
    0x1fffb800,0x8037fec0,0xf1004fff,0xd801ffff,0x505fffff,0x7fecbfff,
    0xff903fff,0x7cf7fc5f,0x7f4401ff,0x3fffd02f,0x3e5ffe80,0x01fff9ef,
    0xd017ff44,0xffa83fff,0xf100007f,0xf30009ff,0x7fc40bff,0x3ffea05f,
    0x7fc0402f,0xfffb007f,0x7f644001,0x900000ce,0x3101bfff,0xffe80001,
    0x3ffea005,0xff880003,0xffe8004f,0x03fff985,0x20fffd40,0xe803fff9,
    0xfff985ff,0x3ffffa03,0xfffa80df,0xfd001984,0x000003ff,0xfd800000,
    0x9fff006f,0x1fffdc00,0x27fffec0,0x6c3fff20,0x2203ffff,0xf8aa4fff,
    0x7fe401ff,0x03fff705,0x154bffd0,0xfc803fff,0x3ffe205f,0x01fffb03,
    0x20000000,0x6400fffb,0xffd107ff,0x3f20001d,0x7fc402ff,0x0000004f,
    0x1bffe200,0x3fa00000,0x0000005f,0x00000000,0x00000000,0xfe800000,
    0x7f405fff,0x7dc0005f,0x000003ff,0x7ec00000,0x9fff006f,0x000a8800,
    0x500bfffb,0x3ff67fff,0x5ffe804f,0x9807ffe0,0xfff00fff,0x17ffa00b,
    0x2601fff8,0x3ea00fff,0xfff501ff,0x00000003,0x201bff20,0xfb81fffa,
    0x260002ff,0x7dc05fff,0x000001ff,0x3ffea000,0xe8000001,0x000005ff,
    0x00000000,0x00000000,0xe8000000,0xfd805fff,0x7c40006f,0x000004ff,
    0x7ec00000,0x9fff006f,0xfd800000,0x3ffe006f,0x200dffb4,0x3fe06ffd,
    0x0fffa01f,0x8017ffcc,0x3fe05ffe,0x0fffa01f,0x203fff70,0x0000fffa,
    0xffb00000,0x3fff500d,0x000dff90,0x401fffd0,0x00006ffe,0x7fdc0000,
    0x8000000f,0x00005ffe,0x00000000,0x00000000,0x80000000,0xc800effe,
    0xe80007ff,0x65cc05ff,0x02cdefee,0x7f765cc0,0xffb02cde,0x13ffe00d,
    0xffb00000,0xa7ffc00d,0xfb006ffd,0x0fffc0df,0x2a06ffc8,0xfd000fff,
    0x0fffc0bf,0x9806ffc8,0xff903fff,0xfeca800f,0x36e20bce,0x3f600bde,
    0x7ffb807f,0x000bffb0,0x207fff70,0x4003fff8,0xbceedba8,0x7fe40001,
    0x75100007,0xfff79ddb,0x3b2ea00b,0x00bcdeff,0x3ffb2ea0,0x9500bcde,
    0x332e0079,0xecba8003,0x00bcdeff,0x9ddb7510,0xbffd0037,0x00666200,
    0x417ffa00,0xfffffffa,0x401effff,0xfffffffa,0x6c1effff,0xfff006ff,
    0x33332e09,0xd803cccc,0x3fa006ff,0x00dffb5f,0xff81bff6,0x1fff981f,
    0x801ffee0,0x3fe05ffe,0x1fff981f,0x85fff880,0x1004fff9,0xffffffff,
    0xffffd11d,0x3fea01df,0x3ffe203f,0x009fff06,0x0dfff100,0x8003ffee,
    0xfffffffa,0xb0000dff,0x88000dff,0xfffffffc,0x5405ffff,0xfffffffe,
    0xea801fff,0xffffffff,0xdffb01ff,0x01bff600,0xfffffea8,0x801fffff,
    0xfffffffa,0x3fa00dff,0x4400005f,0xfffffedb,0xf905ffff,0xffffffff,
    0x6401ffff,0xffffffff,0x360fffff,0xfff006ff,0x3ffff609,0xd806ffff,
    0x3f6006ff,0x00dffb6f,0xff81bff6,0x03ffe81f,0xd003ffe4,0x7ffc0bff,
    0x003ffe81,0xf98bfffa,0xf3000eff,0xffffffff,0xffffffdd,0x7fff40df,
    0x2fffd882,0x0009fff0,0x207fff20,0x32005ffe,0xffffffff,0x8002ffff,
    0x20006ffd,0xffffffea,0x05ffffff,0x3fffffee,0x01ffffff,0x7fffffdc,
    0x01ffffff,0x3600dffb,0xff7006ff,0xffffffff,0xffc803ff,0xffffffff,
    0xbffd02ff,0x7fe40000,0xffffffff,0xff905fff,0xd7313359,0x7e40dfff,
    0xb9899acf,0x3f66fffe,0x9fff006f,0x3fffff60,0xfd806fff,0x3ffa006f,
    0x200dffb5,0x3fe06ffd,0x037fdc1f,0xd003ffec,0x7ffc0bff,0x0037fdc1,
    0x327fffe6,0x2001ffff,0xf710adf9,0x2e1bffff,0xff501fff,0xffb79dff,
    0x7ffc09ff,0xff300004,0x2fff989f,0x7dfffb00,0xfffd7315,0xffd8001f,
    0xfff30006,0xb733359f,0x3e60bfff,0x3109beff,0x7cc01b75,0x3109beff,
    0x3f601b75,0xdffb006f,0x7dfff300,0x36ea6213,0x3bfff600,0xffeb98ab,
    0x5ffe80ff,0xfff90000,0x99999ddf,0x0660bfff,0x80ffff40,0xfffd0019,
    0x401bff63,0x55504fff,0x0dffd555,0x400dffb0,0xdffb3fff,0x81bff600,
    0x3fe60ccc,0x7ffc801f,0x817ffa00,0x3fe60ccc,0xffc8001f,0x00efffff,
    0xff900440,0x4ffd81ff,0xffffffb0,0x809fffff,0x00004fff,0xff91fffa,
    0xfff3001f,0x7ffec01d,0xccccc984,0xcccfffec,0xe83ccccc,0x7f401fff,
    0x1fffb05f,0xfffb0000,0xffd80001,0x0dffb006,0x001fffb0,0x0efff980,
    0x213fff60,0x80005ffe,0x401efffb,0x80005ffe,0x0003fffb,0xfb3fffb8,
    0x3ffe00df,0x37fec004,0x8037fec0,0xffb2fff8,0x1bff600d,0x013ffa00,
    0x8007ffdc,0xe8005fff,0xf10004ff,0x007fffff,0x3ffee000,0xb87ffa84,
    0xfffebeff,0xff800def,0x2e00004f,0x3ffa2fff,0x0dffd004,0x507fffa0,
    0xffffffff,0xffffffff,0xfffb8dff,0x05ffe801,0x0000bffd,0x00017ffa,
    0x6c01bff6,0xffe806ff,0xffe80005,0x3fffd006,0x0005ffe8,0x800fffe8,
    0x80005ffe,0x0004fff8,0xfb4fff88,0xfff500ff,0x6ffd8009,0x006ffd80,
    0x3f63fff7,0xdffb006f,0x06ffb800,0x007ffea0,0x0017fff6,0x2000dff7,
    0x3fffffd8,0x3e600000,0x7ff982ff,0x0cc2ffe8,0x027ffc00,0xbfff1000,
    0x2007ffea,0x5003fffa,0xffa89fff,0xffffffff,0xffffffff,0x802fffc6,
    0xffd05ffe,0x3fa0000d,0xfd80006f,0xdffb006f,0x00dffd00,0x03fffa80,
    0xe89fff50,0xf80005ff,0xffd004ff,0x3fa0000b,0xfd00005f,0x03fff6bf,
    0x04ffff88,0x4037fec0,0xfd006ffd,0x037fecdf,0x2006ffd8,0x2001fff8,
    0x6404fff9,0x2005ffff,0x8001fff8,0xffffffe8,0x07ffd81f,0x207ffe00,
    0x3e20fff8,0xf00001ff,0x800009ff,0xffd8fffc,0x0fff9006,0x445ffe80,
    0xfeaaaaaa,0xaaaaaaff,0x3ffe62aa,0x0bffd002,0x0033fff2,0x19fff900,
    0x37fec000,0x806ffd80,0x000cfffc,0x800fff90,0x7ff45ffe,0x7fcc0005,
    0xfff9803f,0xffd00005,0x3fa0000b,0x07fffb5f,0x17ffffa2,0x00dffb00,
    0xf900dffb,0x37fec3ff,0x006ffd80,0x20013ff6,0xf700fffe,0x400bffff,
    0x88004ffd,0xffcbfffe,0x37ff40ff,0x01fff000,0x7cc3fff1,0xf00005ff,
    0x800009ff,0xfffbfff9,0x0bffb003,0x006ffd80,0x5001bff6,0x3a001fff,
    0xfff305ff,0x200039ff,0x1cfffff9,0x06ffd800,0x300dffb0,0x039fffff,
    0x005ffd80,0x3fa37fec,0x7c40005f,0x7fe405ff,0x6dc405ff,0xfffffffe,
    0x6dc405ff,0xfffffffe,0xffffb5ff,0xfeffea83,0x3f6001ff,0xfffd806f,
    0x9fffb102,0xb006ffd8,0x3ea00dff,0xfa8000ef,0x3f660eff,0x005ffeef,
    0x0001dff5,0x7f45fff9,0x2fffc6ff,0x3ffb6e20,0xffffffff,0x7c1fffff,
    0xcccdffff,0x7c009aac,0x800004ff,0x0ffffffe,0x009ffd00,0x2007ffc8,
    0x5c006ffd,0x3fa007ff,0x3ffea05f,0x000befff,0x7fffffd4,0xffb000be,
    0x1bff600d,0x7ffffd40,0xfe800bef,0x7fe4004f,0x002fff47,0x417fffc0,
    0x5fffffe9,0x3fffff20,0xffffffff,0x3ffff205,0xffffffff,0xfffffb5f,
    0x37fffddd,0x001dffff,0xfb00dffb,0xfbbdffff,0xd81dffff,0xffb006ff,
    0x5fff100d,0x00ccccb8,0xfddffffd,0xbffb1dff,0x45fff100,0x883efeda,
    0x7fc44fff,0x9fff14ff,0x7ffffd40,0xffffffff,0x41ffffff,0xfffffffa,
    0x2effffff,0x0009fff0,0xfffff700,0x27ffc00b,0x03ffee00,0x0037fec0,
    0xe801fff2,0x7f4c05ff,0x2effffff,0x3fffa600,0x402effff,0xfb006ffd,
    0x7f4c00df,0x2effffff,0x0013ffe0,0x7f41fff7,0xfb80005f,0xffdcefff,
    0x05ffdeff,0x9ddffff9,0xbfff9999,0x3bffff20,0xffccccce,0xfffffb5f,
    0x6c7fffff,0xd800ffff,0xffd806ff,0xffffffff,0xdffb03ff,0x01bff600,
    0xff317ff6,0x3a203fff,0xefffffff,0xb00bffb0,0x7ffe4bff,0x7fdc5fff,
    0xffff981f,0x303fff9b,0x999bffff,0x99999fff,0xf7019999,0xffffffff,
    0xf0bfffff,0x000009ff,0x03fffff1,0x0027ffc0,0xd801ffee,0x7ec006ff,
    0x3ffa007f,0xfffb5005,0x001bffff,0x7ffffed4,0xffb00dff,0x1bff600d,
    0x3fff6a00,0xf80dffff,0x7dc004ff,0x02fff47f,0xffffd800,0xf74fffff,
    0xdfff70bf,0x85ffe803,0x401efffb,0x9ffb5ffe,0x83dffff7,0x800fffd8,
    0xfd806ffd,0xfffffeff,0x3ff600ce,0x0dffb006,0x740fffa8,0x201fffff,
    0xbdffffd8,0x5017ffa0,0x7fdc1fff,0x323fffcc,0x3fee07ff,0x01fffcff,
    0xff01dffd,0xff30001f,0x999975bf,0x89fffffd,0x00004fff,0x00dfffb0,
    0x4005ffe8,0x36006ffc,0x7e4006ff,0x3ffa007f,0xffda8005,0x50004fff,
    0x09fffffb,0x6c01bff6,0x540006ff,0x84fffffd,0x64005ffe,0x2fff46ff,
    0xfff50000,0x7dc3bfff,0x0fffe85f,0xe85ffe80,0xfe800fff,0x4cbffb5f,
    0x00098009,0xfb00dffb,0x002662df,0xbffd0000,0x217ffc40,0x1ffebffc,
    0x3a015100,0x3fe205ff,0x3f20b82f,0x01fff64f,0xdffffff9,0x413ffe20,
    0x4c001fff,0xb8805fff,0x7ffc7fff,0xfb000004,0xfd8005ff,0x7fec006f,
    0x1bff6005,0x01fff700,0x0017ffe0,0x1ffffc88,0x3ff22000,0x6ffd81ff,
    0x00dffb00,0x3fff2200,0x037fec1f,0x0017ff60,0x15310000,0xf03ffd10,
    0x3fa009ff,0x04fff85f,0x3f6bffd0,0x8000005f,0xfd806ffd,0x0000006f,
    0x3203fff8,0xb7fcc5ff,0x00001ffe,0x7e40bffd,0x9ff9005f,0x2007ffec,
    0x03fffffe,0x3e03fff3,0x7e4002ff,0x3fa000ff,0x13ffe1ff,0x3fe60000,
    0xffc8006f,0xfff1000f,0x37fec009,0x07ffea00,0x017fff60,0x0bffee00,
    0x3ffee000,0x807ffc82,0x0006fff8,0x217ffdc0,0x1000fffc,0x00009fff,
    0xffd80000,0x03fff982,0x4c5fff98,0xf9803fff,0x0dffb5ff,0xffb00000,
    0x0dffb00d,0xf8800000,0xfff502ff,0xfd1ffe81,0x3a00003f,0xfff505ff,
    0x5fff3001,0x2017ffdc,0x00fffff8,0x3e60fff5,0x7f4004ff,0x7fe4005f,
    0x013ffe0f,0x3fffa000,0xfffa8002,0x3fff9004,0x037fec00,0x013ffe60,
    0x00bffff9,0x07fff100,0x7fff1000,0x401fff70,0x006fffe8,0x1fffc400,
    0x4013ffea,0x7001fffc,0x00000599,0x7c417fee,0x7fe405ff,0x7ffc45ff,
    0x7fffe405,0x000dffb5,0x0dffb000,0x000dffb0,0xfffc8000,0x42ffe881,
    0x3ffa4ffb,0xffd00001,0x05ffd10b,0xa89fff30,0x6c406fff,0xf303ffff,
    0xfff883ff,0x7ffc007f,0x3fff4006,0x00013ffe,0x00bfff90,0x00ffff40,
    0x0013ffea,0xd000dffb,0x3ee01fff,0x0005ffff,0x002fffc8,0x82fffc80,
    0xd103fffa,0x000dffff,0x82fffc80,0x5401fffe,0x3e004fff,0x000002ff,
    0x7fc07ffd,0xffe982ff,0xfff85fff,0xfffe982f,0x0dffb5ff,0xffb00000,
    0x0dffb00d,0x7dc00000,0xbff904ff,0xfdddfff0,0x0001ddff,0xfc85ffe8,
    0xfffb805f,0x5dfffd04,0xfffffa88,0xfff881ff,0x3ffffa24,0xfd81105f,
    0xfd8803ff,0x27ffc4ff,0xffd88000,0x260000ef,0xb883ffff,0x4000ffff,
    0xa8006ffd,0x3660efff,0x85ffdeff,0x7d400ab8,0xab880fff,0x7fffd400,
    0x1ffff880,0x7fffff4c,0x0055c406,0x203fffea,0x883ffff9,0x000ffffb,
    0x0001fff3,0x813ffa00,0xdceffffb,0xffdeffff,0xeffffb85,0xdeffffdc,
    0x0dffb5ff,0xffb00000,0x0dffb00d,0xec980000,0xf980ffff,0xffff80ff,
    0x0fffffff,0x2fff4000,0x9003ffe6,0x7c405fff,0xfeefffff,0xffffffff,
    0xefffe80f,0xffbafffd,0x4fedcdff,0x6f7fffd4,0xffcaa9ac,0x4fff85ff,
    0xfd999000,0x0003ffff,0xdfffff90,0x5fffffdb,0x0dffb000,0x3ffffa00,
    0xc8efffee,0xfff985ff,0xffedceee,0xff303fff,0xfdb9dddf,0x6407ffff,
    0xfedeffff,0x06ffbdff,0x7777ffcc,0xfffffedc,0x3ffff203,0xffffedef,
    0x3fee002f,0x2e000005,0xd83cdfff,0xffffffff,0x20bff74f,0xfffffffd,
    0x2bff74ff,0x00006ffd,0xfffffff7,0xffffffff,0x0037fecf,0x3ffea000,
    0x7ffd01ff,0x3bbbbba0,0x000eefff,0x3a2fff40,0x7fec03ff,0x40ccccdf,
    0xffffffe9,0xffd2efff,0xffff30df,0x7fe45fff,0x84ffffff,0xfffffffb,
    0xdfffffff,0x004fff80,0xffffffb0,0x5400003d,0xffffffff,0xb0000eff,
    0x22000dff,0xfffffffe,0x30bff70e,0xffffffff,0x405fffff,0xfffffff9,
    0x02ffffff,0x7fffff44,0xdff54fff,0xfffff980,0xffffffff,0xffffa802,
    0x0effffff,0x01ffec00,0xfff10000,0x3fea0bff,0x2e1dffff,0x3fea05ff,
    0x2e1dffff,0x0dffb5ff,0x3ffee000,0xffffffff,0x3f67ffff,0x4000006f,
    0x900dfffb,0xfd000dff,0x3a00003f,0x1bff25ff,0x3fffffa0,0xfd700fff,
    0x887dffff,0xf985ffff,0xec82dfff,0x01efffff,0xffffff93,0x403bffff,
    0xb0004fff,0x007fffff,0x3fb62000,0x003dffff,0x0037fec0,0xbffff910,
    0x42ffdc17,0xfffffed8,0x400befff,0xfffffed8,0x000befff,0x3bfffff2,
    0x101bfea2,0xffffffdb,0x40017dff,0xfffffed8,0xffd0003d,0x88000001,
    0x4404eeec,0x100000a9,0x54c00153,0xf700002a,0xffffffff,0x4fffffff,
    0x00002aa9,0x3004dcc0,0xd0003fff,0x200003ff,0xfff31aaa,0xffffd003,
    0x1001ffff,0x44000013,0x1aa8800a,0x32aa6200,0xf8009abc,0x950004ff,
    0x00000137,0x0000a980,0x001bff60,0x00005440,0x4d54ccc4,0x33310000,
    0x80001355,0x000009a8,0x26aa6662,0x15300000,0x05550000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x881cefca,0x9df95003,
    0xd8807103,0x0001ffff,0xf50bfee0,0x0000007f,0x0fffd400,0x000fffa2,
    0x37fffe60,0xffffff80,0x00004fff,0x441fffa8,0x54003ffe,0x3881cefc,
    0x3fffa800,0x3bbb2000,0x05eeeeee,0x6776dcc0,0x0080001b,0x1fffa800,
    0x801fff44,0xd9000009,0xdddddddd,0x06ffd80b,0xeeec8000,0x05eeeeee,
    0x7ffcc000,0x002000df,0xffffffb0,0xb1000dff,0x300003bd,0x801bffff,
    0xcffffffb,0xb807fd10,0x0cffffff,0xf7007fd1,0x00003fff,0xfd837fe6,
    0x65c4002f,0xeeeefffe,0x402eeeee,0xff32fffa,0xf100007f,0x7fc09fff,
    0x4fffffff,0xff500000,0x0fffe65f,0xfffff700,0x0ffa219f,0xfffffa80,
    0xfffd0003,0x0dffffff,0x3ffffa20,0x4004ffff,0xceffecb8,0xfff50002,
    0x40fffe65,0xfffffdb9,0xfd0003ee,0xffffffff,0x06ffd80d,0xfffe8000,
    0x06ffffff,0x3ffe2000,0xfeda804f,0x200cefff,0xfffffffd,0x7fc4006f,
    0x20000fff,0x804ffff8,0xfffefffa,0x03fffeff,0x3ffbffea,0x3fffefff,
    0x3fffd300,0x3ffa0000,0x00ffffdf,0x3ffffea0,0xffffffff,0xfa803fff,
    0x03fffdff,0xffff8800,0x7ffffc02,0x0004ffff,0x37ffea00,0x54003fff,
    0xffffefff,0x003fffef,0xfffbfff5,0xddd90007,0x0bdddddd,0xffffff30,
    0x03dfffff,0xffffff50,0x20009fff,0xfffdfffa,0x3ffffa03,0x2fffffff,
    0x77776400,0x985eeeee,0x99effd99,0x20001999,0xeeeeeeec,0x100005ee,
    0x9805ffff,0xfffffffe,0xfd80cfff,0x6fffffff,0x7fffdc00,0xff10003f,
    0x3ea005ff,0x3ffff20e,0x77d404ff,0x3fffff20,0x7ec4004f,0x980001ff,
    0x1fffffff,0x3fffee00,0xffffffff,0x003fffff,0x07fffff5,0xdfff1000,
    0x7ffc0001,0x54000004,0x003fffff,0x3f20efa8,0x004fffff,0x3ea5fff5,
    0x000003ff,0x5ffff300,0x3fff6621,0x7fffdc06,0xdfffffff,0xfffa8000,
    0x7ff403ff,0xffffffff,0x000002ff,0xfffffff0,0x03ffffff,0x00000000,
    0x01dfff10,0xffffff98,0x5ffffffe,0x01bff600,0x9fffff70,0xdfff1000,
    0x880a8001,0x5002dfec,0x5bfd9101,0x7ffdc000,0xec880001,0x2e000cef,
    0x3a1befff,0x99999dff,0x3fea0009,0xf880003f,0xf80004ff,0x000004ff,
    0x003fffa8,0x3b2202a0,0xff5002df,0x3fff983f,0xe8000000,0x3f200eff,
    0xfff702ff,0x7ff5417d,0xff50006f,0x359b007f,0xffffda88,0xf8000000,
    0xffffffff,0x0001ffff,0x44000000,0xf8804fff,0x2609bfff,0x003fffeb,
    0x9800dffb,0x002fffff,0x0027ffc4,0x00000000,0x00000000,0xf8800000,
    0xffe80eff,0x00000004,0x40000000,0x00004fff,0x00000000,0x00000000,
    0xfa800000,0xffe801ff,0x0ffff887,0x007fffa0,0xb0000000,0x00007fff,
    0xffd99900,0x1999999f,0x00000000,0xff700000,0xfff9803f,0x0dffb005,
    0x09fff700,0x00000000,0x00000000,0x00000000,0x7ffe4000,0x009ffd01,
    0x00000000,0xfff80000,0x00000004,0x00000000,0x00000000,0x05ffe800,
    0xb83fff50,0x7c401fff,0x000005ff,0x7ffc4000,0x40000004,0x00006ffd,
    0x00000000,0x037fec00,0xb007ffd8,0x22000dff,0x00000009,0x00000000,
    0x00000000,0x22000000,0x3fa04fff,0x0000004f,0x00000000,0x00027ffc,
    0x00000000,0x00000000,0xeedb9800,0x3fe201bc,0xfff3003f,0x005ffe85,
    0x0001fff9,0xff800000,0xd973005f,0x0059bdfd,0x0000dffb,0x3bb6ea20,
    0x000001bc,0x00bffd00,0x6c01fff2,0x000006ff,0x95000000,0x332e0079,
    0x99999703,0x70007999,0x99999999,0x99970007,0x00799999,0xe807ffee,
    0x64c004ff,0xcccccccc,0x00cccccc,0xca883997,0xf8002cee,0x400004ff,
    0x65441ccb,0xca802cee,0x6ff6d41c,0xcccb801c,0x003ccccc,0x3ffffa20,
    0xf304ffff,0x3e2003ff,0x3ffea3ff,0x9fff5002,0xb50732a0,0x00039bfd,
    0xa807fff0,0xffffffff,0x3601efff,0x800006ff,0xfffffffa,0xca800dff,
    0x6ff6d41c,0x0fffb01c,0x401bffe0,0x00006ffd,0xcccccb80,0x6c003ccc,
    0xffb006ff,0x3ffff60d,0x8006ffff,0xfffffffd,0xffd8006f,0x06ffffff,
    0xe80fffb0,0x7d4004ff,0xffffffff,0x01ffffff,0x7fdc5ffd,0x004fffff,
    0x00027ffc,0xfb8bffa0,0x04ffffff,0xfe89ffec,0x03ffffff,0x7fffffec,
    0xf30006ff,0xffffffff,0xffa83dff,0xeeeeeeef,0x4fffeeee,0x5401fff2,
    0xfb05ffff,0x3fffa27f,0x0003ffff,0x9007ffe2,0xffffffff,0x201fffff,
    0x76d46ffd,0xf9001cdf,0xffffffff,0xfd805fff,0xffffd13f,0xff507fff,
    0xfffa807f,0x0dffb004,0xffb00000,0x0dffffff,0x006ffd80,0x3f60dffb,
    0x6fffffff,0xffffd800,0x8006ffff,0xfffffffd,0x9ffd006f,0x004ffe80,
    0x7fffffd4,0xffffffff,0x25ffd01f,0xfffffffc,0x3fe005ff,0x7400004f,
    0xffff92ff,0x40bfffff,0xfff9bffd,0x3fffffff,0x3fffff60,0x98006fff,
    0x310affff,0xfb8dfffb,0xffffffff,0xffffffff,0x2017ff64,0x06fffffc,
    0xfff37ffb,0x7fffffff,0x1fff2000,0x26b3ff20,0xfffeb989,0x22dffb06,
    0xfffffffe,0x77ffec03,0xffeb98ab,0x3ff600ff,0xffffff9b,0xff83ffff,
    0xfff503ff,0x3ff6001f,0xd8000006,0xffffffff,0x37fec006,0x506ffd80,
    0xffd55555,0x5555000d,0x00dffd55,0xd5555550,0x3fe00dff,0x27ff403f,
    0x2aaaa200,0xfbaaaaaa,0xffd00fff,0x337fffb7,0x001ffff7,0x00013ffe,
    0xffb7ffd0,0xfff7337f,0x37ff601f,0xc99adfff,0x5500ffff,0xdffd5555,
    0x1dffd000,0x717ffe40,0xdddddfff,0xdddddddd,0x02fff47d,0xffffffd3,
    0x3f7ff60f,0xfc99adff,0x5c000fff,0x19802fff,0x03fffd00,0xfff3bffb,
    0x7fffffff,0x03bffe60,0x204fffd8,0xdfffdffd,0xffffc99a,0x77fffdc0,
    0x3ffff911,0x037fec00,0x55540000,0x06ffeaaa,0x8037fec0,0x6c006ffd,
    0x200006ff,0x00006ffd,0x7c01bff6,0x7ff403ff,0x02aaaaae,0x1fffe800,
    0x3fffffa0,0x4fffa80d,0x009fff00,0xffffe800,0xfffa80df,0xfffffb04,
    0x0bfff207,0x00dffb00,0x801fffa8,0x3fea7ffe,0xff80001f,0xffff704f,
    0x360fff7b,0x903fffff,0x33105fff,0x3dffd753,0xff700000,0xfdffb07f,
    0xf9335dff,0x3ffa0fff,0x3fffd006,0x3fffff60,0x05fff903,0xfbfffff9,
    0x8001dfff,0x00006ffd,0x1bff6000,0x00dffb00,0xb001bff6,0x40000dff,
    0x00006ffd,0x2201bff6,0x7f402fff,0x7fffffff,0x7ffe4000,0x7ffff403,
    0x02fff405,0x4404fff8,0x7f401dec,0x7f405fff,0xffffb05f,0x27ffc407,
    0x01bff600,0x200bffd0,0xff31fffa,0xff00005f,0xfffd887f,0x01fff53f,
    0x407ffffb,0xfa84fff8,0x0effffff,0xff100000,0xffffb09f,0x3fff209f,
    0x01fffd42,0xb04fffa8,0x4407ffff,0xfd304fff,0x09ffffff,0x01bff600,
    0xfd800000,0x7fec006f,0x0dffb006,0x006ffd80,0x01bff600,0x06ffd800,
    0x401fff98,0xfffffffe,0x3ea0007f,0xffe805ff,0x6ffd805f,0x409fff00,
    0x01fffff8,0x2017fffa,0xffb06ffd,0xbffd009f,0x06ffd800,0x00fffe20,
    0xf897ffcc,0x440004ff,0x3fa62fff,0x3fea1eff,0x4fffd81f,0xa85ffe80,
    0xffffffff,0xd000003e,0xfffb0bff,0x7ffc407f,0x003ffe44,0x7ec17ffa,
    0xffe804ff,0x3fffea05,0x8001dfff,0x50006ffd,0x7ec00059,0x7fec006f,
    0x0dffb006,0x006ffd80,0x01bff600,0x06ffd800,0x402fff98,0xcccceffe,
    0xff30004c,0xffd001df,0xfff9001d,0x813ffe00,0x05fffffc,0x2003bffa,
    0xffb07ffc,0x1bff600d,0x00dffb00,0x800fffcc,0x3fa3fff8,0x220000ff,
    0xfff72fff,0xfffa81bf,0x006ffd80,0x9930dffb,0xfffffdb9,0xe800001d,
    0xfffd85ff,0x45ffe804,0x6c005ffd,0xdffb06ff,0x21bff600,0xffffffd8,
    0x4003ffff,0xe8006ffd,0xb0005fff,0xfd800dff,0xdffb006f,0x06ffd800,
    0x1bff6000,0x6ffd8000,0x03fff880,0x00027ff4,0x03fffd10,0x4017ffa0,
    0xff001998,0x7ffec09f,0x3ffa07ff,0x03331005,0x6c01bff6,0x7ec006ff,
    0x3fea006f,0xeeeeeeef,0x4fffeeee,0x0017ffea,0xffb7fff0,0x3fee07ff,
    0x06ffd80f,0x800dffb0,0x006fffda,0xffffdb71,0xb0bfffff,0x3f600dff,
    0x027ff46f,0x6c1fff20,0xffb006ff,0xeffff98d,0x9fffff71,0x037fec00,
    0x3ffffe60,0x6ffd8002,0x037fec00,0x4006ffd8,0x00006ffd,0x0001bff6,
    0x8806ffd8,0x7f403fff,0x3600004f,0x3a002fff,0x000005ff,0xfc813ffe,
    0x3a06ffff,0x200005ff,0xfb006ffd,0xffd800df,0x3ffee006,0xffffffff,
    0x44ffffff,0x802efffe,0x7ffff419,0x3f201eff,0x0dffb07f,0x001bff60,
    0x2027ffec,0xfffffffc,0x85ffffff,0xfb006ffd,0x04fff8df,0x407ffdc0,
    0xfb006ffd,0x7fffc4df,0xffffd883,0x0dffb003,0xfffff980,0x6ffd8005,
    0x037fec00,0x4006ffd8,0x00006ffd,0x0001bff6,0xf006ffd8,0xffe809ff,
    0xff700004,0xffe8009f,0x3e000005,0x3fe204ff,0x3fa02fff,0x3600005f,
    0xffb006ff,0x6ffd800d,0x3bffee00,0xeeeeeeee,0x4c3eeeee,0xceffffff,
    0x44ffedcc,0x0dfffffd,0xd837fe40,0xffb006ff,0x7ffc000d,0x3ffff206,
    0xfcccccee,0x6ffd85ff,0xf8dffb00,0x7dc004ff,0x0dffb07f,0xfd9bff60,
    0x7fdc03ff,0xffd800ff,0x7ffc4006,0xfd8006ff,0x7fec006f,0x0dffb006,
    0x006ffd80,0x01bff600,0x06ffd800,0xe80bffd0,0x980004ff,0xe8006fff,
    0x000005ff,0xb3013ffe,0xffe805bf,0x3f600005,0xdffb006f,0x06ffd800,
    0x007ffea0,0xfffd8800,0xffffffff,0x7fffe44f,0x0bffd003,0x6c01bff6,
    0x360006ff,0xffb80fff,0x7ff401ef,0x006ffd85,0xffe8dffb,0x37fe4005,
    0xb006ffd8,0x3ffe2dff,0x5fffb005,0x00dffb00,0x0fffff50,0x00dffb00,
    0xb006ffd8,0xfd800dff,0x3600006f,0x200006ff,0xfb006ffd,0x7ff401ff,
    0x7fc40004,0xfe8000ff,0x2000005f,0x00004fff,0x0002fff4,0x200dffb0,
    0x6c006ffd,0x3e6006ff,0x800002ff,0xfffffeda,0x7dc1deff,0xff1002ff,
    0x1bff607f,0x0037fec0,0x3a0fff90,0xfe800fff,0x06ffd85f,0xfd8dffb0,
    0x7fec006f,0x00dffb05,0x7fd5bff6,0xfff5003f,0x0dffb007,0x1bfff600,
    0x01bff600,0x200dffb0,0x6c006ffd,0x200006ff,0x00006ffd,0x5401bff6,
    0x3fa03fff,0x7ec0004f,0xfd0002ff,0x400000bf,0x00004fff,0x0002fff4,
    0x200dffb0,0x6c006ffd,0x3e2006ff,0x000004ff,0x03ffea98,0x4013ffe6,
    0xfb00fffc,0x3ff600df,0x3ffa0006,0x009fff06,0x3f617ffa,0xdffb006f,
    0x000fffc8,0x3609fff1,0xffb006ff,0x00bffeed,0x4027ffcc,0x70006ffd,
    0xb0009fff,0xfc800dff,0xfff8807f,0x37fec006,0xdffb0000,0x7fec0000,
    0x1bffe006,0x0004ffe8,0x0013fff2,0x0005ffe8,0x013ffe00,0x0bffd000,
    0x37fec000,0x006ffd80,0x20037fec,0x0000fffe,0x05ffb800,0x800fffd8,
    0x3f605ffe,0xdffb006f,0x3ffe6000,0x03fff984,0xd85fff98,0xffb006ff,
    0x04fffa8d,0x203fff90,0xfb006ffd,0x0fffeadf,0x017ffdc0,0x80037fec,
    0x8002fffc,0x5c006ffd,0x3a200fff,0x6c006fff,0x200006ff,0x00006ffd,
    0xb801bff6,0xffd05fff,0x3fea0009,0x7f40005f,0x2000005f,0x00004fff,
    0x0002fff4,0x200dffb0,0x6c006ffd,0x7d4006ff,0x000005ff,0x4007ffc4,
    0x6c05fff9,0x3f601fff,0xdffb006f,0xfffd1000,0x0bfff103,0x85ffffc8,
    0xfb006ffd,0x3fffd0df,0x04fffa80,0x6c01bff6,0xdfff16ff,0x1fffd001,
    0x00dffb00,0x00bfff30,0x001bff60,0x2207fff5,0x006ffffe,0x00037fec,
    0x000dffb0,0x0037fec0,0x83bffff1,0x88004ffe,0x0000efff,0x0002fff4,
    0x009fff00,0x05ffe800,0x1bff6000,0x0037fec0,0x2001bff6,0x802efffe,
    0x7fdc0019,0x3fffa005,0x7ffecc0d,0x037fec05,0x0016ffd8,0x05ffff91,
    0x4c17fffc,0x85fffffe,0xfb006ffd,0xffff30df,0xffff7107,0x037fec01,
    0x3fa6ffd8,0xfd302eff,0x3f600bff,0x3ee2006f,0xb0000fff,0xf8800dff,
    0x7f4c1fff,0x4006ffff,0x00006ffd,0x0001bff6,0x4006ffd8,0xeffffff9,
    0xfffffffe,0xffd03fff,0xfd00003f,0x400000bf,0x00004fff,0x0002fff4,
    0x200dffb0,0x6c006ffd,0xf98006ff,0xccefffff,0x004ffedc,0x10037fe4,
    0xfbdffffd,0xb00bffff,0x3f600dff,0xdddff96f,0xffffffdd,0xffffb809,
    0xeffffdce,0xffd85ffd,0x0dffb006,0x3bfffff2,0x2fffffed,0x8037fec0,
    0x3fe26ffd,0xeedeffff,0x000effff,0xfb00dffb,0x005fffff,0x0037fec0,
    0x6f7fffe4,0xffbdfffe,0xfffffb86,0xffffffff,0xfff707ff,0xffffffff,
    0x2e0fffff,0xffffffff,0x7fffffff,0x3ffffa20,0xffffffff,0xfb83ffff,
    0xffffffff,0x07ffffff,0x8000bffd,0xfffffffd,0xffffffff,0xbffd0006,
    0x7fec0000,0x0dffb006,0xfffffff7,0xffffffff,0xfffd880f,0xffffffff,
    0x7fcc004f,0xd8804cef,0xffffffff,0xdffb004f,0x65bff600,0xffffffff,
    0xb001dfff,0xffffffff,0x217fee9f,0xfb006ffd,0x7ffd40df,0xefffffff,
    0x06ffd800,0xe98dffb0,0xffffffff,0x7dc0dfff,0xffffffff,0x27ffffff,
    0x00cffffe,0xffffffb8,0xffffffff,0x3ffa207f,0x54ffffff,0xfff70dff,
    0xffffffff,0x2e0fffff,0xffffffff,0x7fffffff,0xffffff70,0xffffffff,
    0xedb880ff,0xffffffff,0xc83fffff,0xffffffff,0x7fffffff,0x000bffd0,
    0xffffffd8,0xffffffff,0xffd0006f,0x7ec0000b,0xdffb006f,0xffffff70,
    0xffffffff,0x3b6a00ff,0xefffffff,0xffd8001c,0xb7000fff,0x059dffff,
    0x8037fec0,0xfff96ffd,0x3bdfffff,0xffff5000,0x7fdc3bff,0x006ffd85,
    0xd880dffb,0x3dfffffe,0x01bff600,0xea837fec,0xdfffffff,0xfffff701,
    0xffffffff,0x5e774fff,0x3ffee001,0xffffffff,0xc807ffff,0x22efffff,
    0xffb86ffa,0xffffffff,0x707fffff,0xffffffff,0xffffffff,0x3ffffee0,
    0xffffffff,0x4c4007ff,0x3f200019,0xffffffff,0x07ffffff,0x8000bffd,
    0xfffffffd,0xffffffff,0xbffd0006,0x7fec0000,0x0dffb006,0xfffffff7,
    0xffffffff,0x2aa6000f,0xb8000099,0x8000eeed,0xfb0000a9,0x3ff600df,
    0x26aa6626,0x26200000,0xffb0000a,0x1bff600d,0x00015300,0x6c01bff6,
    0xa98806ff,0xfffb8009,0xffffffff,0x0007ffff,0xffffff70,0xffffffff,
    0x4d4400ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb00000,0x0dffffff,0x00000000,0x22000220,
    0x1bb301dd,0x00004000,0x7fffcc00,0x0000000d,0x0000cc00,0xddddddd9,
    0xdffb0bdd,0xfa800000,0x3e6003ff,0x000001ff,0x1e654000,0x003ccb80,
    0x00400000,0x90010000,0xec800bdd,0x3bbbb65e,0xeeeeeeee,0x77776c3e,
    0xeeeeeeee,0x32ea2005,0xba805eed,0xbcdeffec,0xc8002000,0x764005ee,
    0x7776404e,0x05eeeeee,0x3fffff60,0x80006fff,0xefffecb9,0x2ea000bd,
    0xbdffffed,0x07fff401,0x801fffe2,0xcefffdb9,0x2200000a,0x2004ffff,
    0xbdffedb9,0xdb930001,0x39dfffff,0x3ffffa00,0xd86fffff,0x000006ff,
    0x0fffffea,0x00fffcc0,0x4eca8000,0x01bff600,0x54037fec,0x540004ec,
    0x0cdfffec,0x3fb22000,0xfd82ceff,0x7fec006f,0x3fffffa6,0xffffffff,
    0x7fffff44,0x7fffffff,0xffffea80,0x3aa06fff,0xffffffff,0xd95101ff,
    0x4019dfff,0x74007ffd,0x7ff406ff,0x6fffffff,0x3ffff600,0x0006ffff,
    0x3fffffa2,0x02ffffff,0x7fffff4c,0x04ffffff,0x985ffff1,0xb801ffff,
    0xffffffff,0x880001ef,0x1002ffff,0xfffffffb,0x22001dff,0xfffffffd,
    0x9005ffff,0xdddddddd,0x0dffb0bd,0x3fea0000,0x803fffdf,0x0001fff9,
    0x009fff00,0xd8037fec,0xfff806ff,0xffb10004,0x5fffffff,0xffff7000,
    0x43dfffff,0x6c006ffd,0x3fffa6ff,0xffffffff,0x7fff44ff,0xffffffff,
    0x3ffea07f,0x6fffffff,0xffffff70,0x03ffffff,0xfffffff5,0x3f605fff,
    0x7ff4007f,0x77776406,0x005eeeee,0x006ffd80,0xffffff50,0x5fffffff,
    0x7ffffe40,0xffffffff,0x03fffa04,0x880ffff1,0xfffffffd,0x002fffff,
    0x03bffe20,0x7ffff4c0,0xfffffdce,0x7fffcc01,0xffffffff,0x8000005f,
    0x00006ffd,0xf52fffa8,0xff9807ff,0xf000001f,0x7ec009ff,0xdffb006f,
    0x009fff00,0xdfffff50,0x09fffffd,0x7ffffec0,0x2ffffffe,0xd800dffb,
    0x37ffa6ff,0xaaaaaaaa,0x555541aa,0xfeaaaaaa,0xffff507f,0x555579df,
    0x37dfff30,0x036ea621,0xfffffff9,0xb05fffff,0xfe800fff,0x0000006f,
    0x01bff600,0x3bffff20,0xfca999ac,0xfffe882f,0xa999bcef,0x32204ffc,
    0x01bb301d,0xacefffe8,0xffffeb98,0xfff88002,0x3ffea004,0xfffd301e,
    0x3fffe205,0x2e6609ad,0x8000004c,0x00006ffd,0x260fffd4,0x3e603fff,
    0x000001ff,0x6c009fff,0xffb006ff,0x09fff00d,0x3ffff880,0x02ffff98,
    0x0affffa8,0xfd97faa2,0x7fec006f,0x000fffa6,0x1fff6000,0x033fffea,
    0x01fffb00,0x7dfff900,0x3fffaa23,0x03ffec0f,0x001bffa0,0xfd800000,
    0x7fd4006f,0x035004ff,0x007ffffb,0x000000aa,0x0077ffd4,0x000dfffb,
    0x7ffc4000,0xfffd800d,0x03fffd80,0x40000000,0x00006ffd,0x3e600000,
    0x000001ff,0x6c009fff,0xffb006ff,0x09fff00d,0x01fffd80,0x101bffa2,
    0x3801ffff,0x20037fec,0x3ffa6ffd,0xd8000003,0x7ffc47ff,0xffd0001e,
    0x3fa2000b,0x27ffec04,0xd001fff6,0x00000dff,0x37fec000,0x0ffffa00,
    0xffff3000,0x00000003,0x03fffa00,0x00bfff60,0x7fe40000,0x2ffec005,
    0x0002fffc,0x7ec00000,0x0000006f,0x3ffe6000,0xff000001,0x7fec009f,
    0x0dffb006,0x4009fff0,0xa803fff9,0x3ea02fff,0xfd8002ff,0x7fec006f,
    0x000fffa6,0x1fff6000,0x0003fff9,0x00037ff4,0xfff10051,0x007ffd8d,
    0x00037ff4,0xffb00000,0x3fea0a0d,0xfe80004f,0x000001ff,0xfff50000,
    0x3ffe2005,0x88000005,0x03100fff,0x7cc1fff1,0x200003ff,0x97003cca,
    0x01bff679,0x80000000,0x0001fff9,0x7e666654,0xccccceff,0xdffb3ccc,
    0xa9bff600,0xfffccccc,0xccccccce,0x01fff73c,0xb81bffe0,0xd8000fff,
    0x7ec006ff,0x00fffa6f,0x3ff60000,0x00fffe27,0x19fff900,0xfe800000,
    0x03ffec7f,0x5c1bffa0,0xcccccccc,0x7ec00003,0x742f546f,0x40000fff,
    0x0005fffa,0x666665c0,0xfd003ccc,0x7f4001ff,0xccc981ff,0xcccccccc,
    0x3f20cccc,0xfffeb84f,0xa97ff23e,0x00004fff,0x6c01bff6,0x8dffb6ff,
    0x81cdfeda,0x0000ccc8,0x3e619991,0xccb801ff,0x3ffff63c,0xffffffff,
    0xfb6fffff,0x3ff600df,0x3fffff66,0xffffffff,0xffb6ffff,0x3ffe400f,
    0x000fff90,0xb001bff6,0x1fff4dff,0x7ec00000,0x01ffee7f,0x3fffe600,
    0x000001cf,0x7ec1fff9,0x7ff4007f,0xfffffb06,0x0000dfff,0xfd56ffd8,
    0x4fffa8bf,0xfffe8000,0x7ec00001,0x6fffffff,0x05fff880,0x417ffdc0,
    0xfffffffa,0xffffffff,0xe883ffe1,0x25ffffff,0xff10fff8,0x6c0000ff,
    0xffb006ff,0x745bff6d,0x3fffffff,0x0017ffc4,0xf31fff98,0xffb803ff,
    0x3fff61ff,0xffffffff,0xb6ffffff,0x3f600dff,0x3ffff66f,0xffffffff,
    0xfd6fffff,0x7fdc00df,0x0dffd00f,0x01bff600,0x7f4dffb0,0x8000003f,
    0x3ff67ffd,0xff500005,0x017dffff,0x7ffe4000,0x001fff60,0x3f60dffd,
    0x6fffffff,0x7fec0000,0x44ffffef,0x0001fffb,0x0005fff8,0xfffffd80,
    0xf9806fff,0x7cc002ff,0xfffa83ff,0xffffffff,0xff11ffff,0xbefffc8d,
    0x0ffec5ca,0x001dfffd,0x00dffb00,0x7fedbff6,0xffffff9d,0x7fc3ffff,
    0xff50003f,0x00fffccf,0x983ffff7,0xfffaaaaa,0xaaaaaaad,0x00dffb2a,
    0xaa99bff6,0xadfffaaa,0x2aaaaaaa,0x5400fffd,0xffd01fff,0x3ff6000d,
    0x37fec006,0x01339ffd,0x3ff60000,0x988fffe7,0x26001aaa,0xfffffffe,
    0xfd80002e,0x03ffec7f,0x541bffa0,0xffeaaaaa,0x7ec00006,0x81efffff,
    0x0000fffc,0x0027ffc4,0x55555400,0xa806ffea,0x44001fff,0xaa884fff,
    0xaaaaaaaa,0xf30ffffb,0x17ffccbf,0xf517fe40,0x0007ffff,0xb006ffd8,
    0x3bff6dff,0xc99aefff,0x7ff47fff,0xdff70004,0xb80fffcc,0x2001ffff,
    0x36004fff,0xffb006ff,0x09fff00d,0x007ffe40,0xd02fff98,0x36000dff,
    0x7ec006ff,0x3ffffa6f,0x00bdffff,0x17ffd800,0xffb53fff,0x03dfffff,
    0x3ffff6a0,0x0000dfff,0xfd8bfff1,0x7ff4007f,0x37fec006,0xfff50000,
    0x7ec05dff,0xf980007f,0x000003ff,0x201bff60,0x8000fffb,0x40005fff,
    0x3ee1fffe,0x01bfee4f,0x3f21ffdc,0x00bfffff,0x006ffd80,0x3ff6dffb,
    0xff904fff,0x02ffe45f,0x265ffc80,0xffb81fff,0x7fc001ff,0x3ff6004f,
    0x0dffb006,0x4009fff0,0x3003fffb,0x3fa07fff,0xffb0006f,0x6ffd800d,
    0x3ffffffa,0x00dfffff,0x4dfff600,0xffffffff,0x3fffffff,0x7ffed400,
    0xf70004ff,0x7ffd85ff,0x037ff400,0x001bff60,0x3ffffaa0,0x6ffe802f,
    0xfffa8000,0xfffff502,0xd800bfff,0xffc806ff,0xdfff0007,0x7ffe4000,
    0xfb1ffe43,0x3fea009f,0xfffffa84,0x36001dff,0xffb006ff,0x0fffff6d,
    0x2e4fff88,0x055506ff,0xff993ff6,0x7fffdc1f,0x4fff8000,0x01bff600,
    0x7c037fec,0x3e2004ff,0x74c01fff,0xddd13fff,0xddddffff,0xfb09dddd,
    0xffd800df,0x3fbbbb66,0xefffffff,0xfffb0000,0x3fffffea,0xffecbacd,
    0xc88002ff,0x4001ffff,0xfd86fff9,0x7ff4007f,0x37fec006,0xfffd5000,
    0x3e00dfff,0xc80006ff,0xff501fff,0x0bffffff,0x806ffd80,0xd0007ffd,
    0x2a000fff,0xffd85fff,0x400bffa2,0xf9105ff9,0x3dffffff,0x00dffb00,
    0x7fedbff6,0x5ffe804f,0x3e21ffea,0x3ffe80ff,0xfa87ffe6,0xf0000eff,
    0x7e4009ff,0xfff8807f,0x04fff806,0x6ffffdc0,0xffeca99a,0xfff13fff,
    0xffffffff,0xfb0bffff,0xffd800df,0xffb51006,0x36000bff,0xffff57ff,
    0x7ffdc017,0xff70000f,0xffe8005f,0x07ffd81f,0x0037ff40,0x4001bff6,
    0xfeeffffc,0xdfff006f,0xfff90000,0x3fffea03,0x4005ffff,0xfd806ffd,
    0xffd0007f,0xfff3000d,0x45ff901d,0xf3002ffd,0xffb880bf,0x404fffff,
    0xfb006ffd,0x01bff6df,0xff337fec,0x3fffa81f,0x3e62fff8,0xdfff51ff,
    0x7ffc0001,0x3ffee004,0x3fffa200,0x7ccccc46,0x99999dff,0xfffd8099,
    0xffffffff,0xff12ffff,0xffffffff,0xb0bfffff,0xfd800dff,0xff98006f,
    0xfd8001ff,0x03fff77f,0x00ffff20,0x01fffc40,0x207fffb0,0x74007ffd,
    0x7ec006ff,0xff90006f,0x01bff65d,0x0003fff4,0x0017ffd4,0xb0017ffa,
    0xff900dff,0xfff0001f,0xffe8800b,0x47ff701f,0xf5003ffc,0x7ed4009f,
    0x3605ffff,0xffb006ff,0x401bff6d,0x3fe26ffd,0x37ffec1f,0xf987ffe2,
    0xefffa9ff,0x7ffc0000,0x3ffea004,0xffffd103,0xfffffe8d,0xffffffff,
    0xfff504ff,0x59ffffff,0x4ccc3fff,0x9999effe,0xfd809999,0x7fec006f,
    0xfff50006,0xfffb0007,0x400bffea,0x0005fff8,0x2005fff9,0x3605fffd,
    0x7f4007ff,0x7fec006f,0x85d90006,0xfb006ffd,0x980001ff,0x74003fff,
    0x7ec005ff,0xfffb806f,0x7ffc4001,0x7ffec003,0xb93fea02,0xff9006ff,
    0xffd30005,0x3ff607ff,0x2dffb006,0xfb006ffd,0x22fff8df,0x20fffff8,
    0x7fcc7ff9,0x00efffcf,0x04fff800,0x07fffe20,0xdfffffd3,0xffffffe8,
    0xffffffff,0x32a6204f,0x3fea1acc,0x0dffd00f,0x01bff600,0x000dffb0,
    0x0017ffe2,0x7fcdfff6,0x3ffa002f,0xa8015716,0xc800ffff,0x7ec05fff,
    0x7ff4007f,0x37fec006,0xffb00800,0x3fff200d,0x7fc40001,0x7ff4004f,
    0x37fec005,0x00fffd40,0x00bffe60,0x404fffb8,0x3fe25ff9,0x44b99cff,
    0x20001ffd,0xfb07fffc,0x3ff600df,0x200dffb6,0x7ff46ffd,0x3ffbfea3,
    0xf31ffe63,0x3ffff7ff,0x9fff0000,0xffffc800,0xbdfffede,0x7776c6ff,
    0xeeeffffe,0x0003eeee,0x3a06ffc8,0xfb0006ff,0xffe800ff,0x3ffa0005,
    0x7ffd8007,0x4007fff1,0xfff37ffd,0xffdb9ddd,0xf9005fff,0xffb00bff,
    0x6ffe800f,0x037fec00,0x1bff6000,0x01fffdc0,0x037ffc00,0x0017ffa0,
    0xf500dffb,0xfb8007ff,0xff3001ff,0xfff100df,0x7ffffdc1,0x07ff45ff,
    0x3fffa000,0x006ffd80,0x3ff6dffb,0x8dffb006,0x3ff64ffc,0x3fea6ff9,
    0x54fffcc5,0x0000ffff,0x20027ffc,0xffffffe8,0x0dff54ff,0x0009fff0,
    0x09ffd000,0x80037ff4,0x7c007ffc,0x3e0004ff,0xfe8005ff,0x013ffe6f,
    0xff36ffe8,0xffffffff,0xf9007fff,0x3f600dff,0x7ff4007f,0x37fec006,
    0x3ff60000,0xdfff5006,0xfffd0000,0x2fff4005,0x01bff600,0x001bffe2,
    0x1001fffd,0x2001ffff,0x7fd44ffd,0x3ea4ffff,0xfb80006f,0x6ffd82ff,
    0x36dffb00,0xffb006ff,0x3e5ffb8d,0x2e3ffd5f,0x7ffcc4ff,0x01dfff71,
    0x027ffc00,0xfffffc80,0x01bfea2e,0x00013ffe,0x03fff300,0x80037ff4,
    0x1000fffb,0x20005fff,0x8003fff9,0x3ffa5fff,0x53ffe006,0xffffffd8,
    0x800cefff,0x2005fffc,0x7c007ffd,0x7ec005ff,0x6c00006f,0x3fa006ff,
    0x540002ff,0x3a005fff,0x7ec005ff,0xfffb006f,0x3ffe6003,0x5fffb004,
    0x07ffcc00,0x7f40d54c,0xfb80002f,0x7ffc81ff,0xb6fff880,0x3f600dff,
    0xab7fd46f,0x29ff93ff,0x7fcc3ffc,0x3bfff21f,0xbffd0000,0x09a88000,
    0xe802ffd8,0x000005ff,0xd013ffe2,0x2a000dff,0xf9004fff,0x360003ff,
    0x4c001fff,0x3fee4fff,0xfffa801f,0xffb99882,0x3ff2002f,0x7fec005f,
    0x3ffe2007,0x37fec004,0x3ff60000,0x3ffea006,0x7f40000e,0xffd002ff,
    0x6ffd800b,0x0bfff500,0x003fff60,0x0013fff2,0x50013ff6,0x20000bff,
    0xff707ffd,0x7ff4401f,0x00dffb6f,0xff31bff6,0x7cc3ff2f,0x985ffb6f,
    0x7fec1fff,0xffb0005f,0x6c00000d,0xffb003ff,0x6c00000d,0x7f400fff,
    0x3fe0006f,0x7fc400ff,0xff70005f,0x6c01ccbf,0x3fe21fff,0x7ff4405f,
    0x3ffd400e,0x0bfff900,0x00fffb00,0x0017ffdc,0x0001bff6,0x800dffb0,
    0x002ffffe,0xffff9811,0x05ffe804,0x0037fec0,0xd809fffd,0xfa804fff,
    0xf30005ff,0x3ee009ff,0xa80001ff,0xff506fff,0x3ffa207f,0x0dffb6ff,
    0xf11bff60,0xe8bff1ff,0x41ffe9ff,0xfe81fff9,0xfc8005ff,0x800002ff,
    0x32006ffa,0x00002fff,0x0bfffee2,0x001bffa0,0x02ffffa8,0x441ffff5,
    0x7fff5400,0x26ffe60e,0x13fffa60,0x2037fff2,0x801fffe9,0xf9005ffc,
    0x36000bff,0x5c0c47ff,0xd8006fff,0x400006ff,0x54006ffd,0x1adfffff,
    0x20bf6a62,0x9beffffd,0x02fff4c0,0x801bff60,0x0adffffa,0x1ffffb51,
    0x0efff880,0x3fff2000,0x3fff200d,0x009bdd84,0x07ffff66,0x20ffffc4,
    0x6fffffe9,0x3600dffb,0xbfff86ff,0x67fdc3ff,0x7fcc0fff,0xfffe881f,
    0x7ffd4004,0x0003102f,0x54009ffb,0x3102ffff,0xcba99998,0x004fffff,
    0x8000dffd,0xdefffffe,0x43fffffe,0xfeeeeffa,0x40ffffff,0xfffffff9,
    0x880fffff,0xcceffffe,0x004ffffe,0xf9007ffd,0x55557fff,0x35555555,
    0xff31fff6,0x5fffffdd,0x0dffb000,0x6ffd8000,0xffffa800,0xffffffff,
    0xfff902ff,0xffddffff,0xd800bfff,0x7dc006ff,0xffefffff,0xe801efff,
    0x80001fff,0xaceffffa,0x03ffffec,0xdffffffb,0xfffffffd,0xffffc805,
    0xbdfffede,0x0dffb6ff,0x3a1bff60,0x440fffff,0x987fffff,0xff301fff,
    0xfd8009ff,0xeeeeffff,0xffd8006f,0x7ffec005,0x6feeeeff,0x3fffffe6,
    0x201effff,0xfffffff8,0xffffffff,0x7e443fff,0xffffffff,0xfffa82ff,
    0xffffffff,0xffff980b,0x0dffffff,0x3ffff620,0x02ffffff,0x2003ffe0,
    0xffffffff,0xffffffff,0x98fffb4f,0xffffffff,0x3fffee03,0xffffffff,
    0x3aa07fff,0xfffeeeee,0x06eeeeef,0x7ffffec4,0x2fffffff,0x3ffffa60,
    0xffffffff,0xfffffb84,0xffffffff,0x3fea07ff,0xffffffff,0xfffb800d,
    0xffffffff,0x2607ffff,0xffffffff,0x3f601fff,0xffffffff,0x802effff,
    0xffffffe8,0x2dff54ff,0xfb006ffd,0xffffb0df,0x3ffffa0b,0x01fff985,
    0x00ffffe6,0xfffffe88,0x8006ffff,0x03cefffa,0xfffffe88,0x3e66ffff,
    0xffffffff,0xffff8802,0xffffffff,0x03ffffff,0xffffffb3,0x3fea019d,
    0xceffffff,0x7ff64c00,0x2003dfff,0xefffffeb,0x3fe6000c,0xfffff006,
    0xffffffff,0x3f69ffff,0x7fff447f,0x7dc00def,0xffffffff,0x07ffffff,
    0x3fffffee,0xffffffff,0xfd95007f,0x159bffff,0x3ffb6e00,0x01ceffff,
    0xfffffff7,0xffffffff,0xffdc880f,0x2003dfff,0xfffffffc,0xffffffff,
    0x7f65c407,0x400bdeff,0xfffffeda,0x002dffff,0xefffffc8,0x7edbfea2,
    0xdffb006f,0x07ffff70,0x213fffee,0x5401fff9,0x4002ffff,0xffffffea,
    0xffd0005f,0x75400dff,0x5fffffff,0x2f3bffe6,0x3fe2001a,0xffffffff,
    0xffffffff,0x01a98803,0x26aa6620,0x26620000,0x1a880000,0x7c000000,
    0xffffffff,0xffffffff,0x004c4004,0xffffff70,0xffffffff,0x7ffdc0ff,
    0xffffffff,0x0007ffff,0x40000131,0xf70019a9,0xffffffff,0x0fffffff,
    0x0000a980,0xfffffff9,0xffffffff,0x0098800f,0x4d54cc00,0x2a200001,
    0xdffb0009,0x21bff600,0x100ffffa,0xf307ffff,0xff7003ff,0x220005ff,
    0x40000999,0x005eeeb8,0x00133310,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bb2e620,0xee880ace,0xabceeeee,0xdddd1001,0xdddddddd,
    0x3ddddddd,0x00027774,0x005eec80,0x01777440,0x640eeea8,0x000005ee,
    0xdddddd10,0x10bddddd,0x9ddddddd,0x3a600357,0xeeeeeeee,0xeeeeeeee,
    0x7ddd71ee,0x4eee8800,0x3bbbbbb6,0xeeeeeeee,0xdddddd31,0xdddddddd,
    0x003ddddd,0x00f7776c,0xeeeeeec8,0x200accde,0xdeeeeeec,0xd9000abc,
    0xdddddddd,0x323ddddd,0x764005ee,0xddddd54e,0xdddddddd,0x3bbae7dd,
    0xeeeeeeee,0x92eeeeee,0x3ae00bdd,0x3bba23ee,0xec800002,0x02eeb80e,
    0x07fff700,0x803bdb10,0xfffffffb,0x7fc41fff,0xffffffff,0x7fc403ff,
    0xffffffff,0xffffffff,0x017ffe1f,0x37fec000,0x3ffe2000,0x3fff7003,
    0x0006ffd8,0xffff7000,0xffffffff,0xffffff10,0x07ffffff,0xffffff98,
    0xffffffff,0xf12fffff,0x64001fff,0x3ffa1fff,0xffffffff,0xff32ffff,
    0xffffffff,0xffffffff,0x3fea005f,0xfb003fff,0xffffffff,0xfb039fff,
    0xffffffff,0xfd807fff,0xffffffff,0xfb2fffff,0xffe800ff,0xffffff76,
    0xffffffff,0x3ffff29f,0xffffffff,0xfb3fffff,0xfff500df,0x1fffcc1d,
    0x7ff40000,0x002ffc80,0x1fffffdc,0x3ffffe20,0xffffe880,0x1fffffff,
    0x7fffffc4,0xefffffff,0x333bf101,0x33333333,0x43fb3333,0x00005fff,
    0x000dffb0,0x003fff88,0xfd83fff7,0x0000006f,0xfffffffd,0xf10fffff,
    0xffffffff,0x203dffff,0xfffffff9,0xffffffff,0x3ee2ffff,0xff3004ff,
    0xffffe8bf,0xffffffff,0xffff32ff,0xffffffff,0x5fffffff,0x3ffff200,
    0xfffb006f,0xffffffff,0xffd83fff,0xffffffff,0xfb01efff,0xffffffff,
    0x365fffff,0x7f4007ff,0xfffff76f,0xffffffff,0x3fff29ff,0xffffffff,
    0xb3ffffff,0xff880dff,0x7ffcc0ff,0xff800003,0x003ffb07,0x3fffffaa,
    0x7ffdc03f,0x7ffc43ff,0xba99acff,0x7ffc41fe,0xfdcba99c,0xf883ffff,
    0x0fe40005,0x0000bfff,0x001bff60,0x007fff10,0xfb07ffee,0x000000df,
    0x7fffdff3,0x10333333,0x75339fff,0x7fffffb9,0x55555510,0x559fff95,
    0xe8155555,0xfd801fff,0x77ff40ff,0x99999999,0x55510999,0xfff95555,
    0x55555559,0x3fffe001,0xfd800fff,0xba9999ef,0x20effffd,0xa999effd,
    0xfffffecb,0xaafffd83,0xaaaaaaaa,0x00fffb0a,0x3316ffe8,0x7fff7333,
    0x2a133333,0xcccccccc,0xffdccccc,0x40dffb3f,0x981fffe8,0x00003fff,
    0xfe837fc4,0x7ff5400f,0x03ffffff,0x27ffffdc,0x003bfff6,0x3fff8813,
    0x3ffff620,0x3fa2fc40,0x3f200bce,0x0017ffe1,0x037fec00,0xfffba880,
    0xaaaaaaad,0xabfffcaa,0xdddfffb1,0x000579bd,0xfff7ffb0,0x7ffc4005,
    0x3fff6203,0x7fcc000f,0x7fd4002f,0x7ffd405f,0x005ffe83,0x5fff3000,
    0xfff50000,0xb007fff5,0xfe880dff,0x1bff63ff,0x1ffffd30,0x0007ffd8,
    0xe800fffb,0x7fcc06ff,0x9000002f,0x3ff61fff,0x0bfff606,0x001fffcc,
    0x417fe600,0x3fa207ff,0xffccffff,0x7ffcc03f,0x3ffea2ff,0x3fe20005,
    0xfffb803f,0x3fa2fc45,0xc80cffff,0x017ffe1f,0x37fec000,0xffffa800,
    0xffffffff,0xffffffff,0xfffffb3f,0x7dffffff,0x3ffe2000,0x2002fff8,
    0xb803fff8,0x4c005fff,0xd8002fff,0x3fa02fff,0x0bffd06f,0x3fe60000,
    0xfc80002f,0x00dfff6f,0xf300dffb,0x37fec9ff,0x44fffc80,0xb0007ffd,
    0xfe800fff,0x7ffcc06f,0xf8800002,0x1bff64ff,0x3027ffdc,0x00007fff,
    0xff05ffa8,0xdfffe80f,0x007fff71,0xff89fff7,0x220000ff,0xfd003fff,
    0x42fc43ff,0x86ffeb98,0x17ffe1fc,0x7fec0000,0x2a03b306,0xffffffff,
    0xffffffff,0xfb3fffff,0xffffffff,0x001dffff,0xfff4ffb8,0x7ffc4005,
    0x3fffd003,0x17ffcc00,0x37ffc400,0xd01fffb8,0x00000bff,0x000bffe6,
    0x7e4fffe0,0x7fec00ff,0x4dfff006,0x3a006ffd,0x3ff61fff,0xfffb0007,
    0x06ffe800,0x0017ffcc,0x07ffe400,0xff30dffb,0xfff980bf,0x7d400003,
    0x06ff884f,0x3ee0f7d4,0x131003ff,0x004fff88,0x01fffc40,0x225fffa8,
    0x4ffb805f,0xbfff0fe4,0x3f600000,0x0ffecc6f,0xefffee98,0xeeeeeeee,
    0x2eefffee,0x3333dffb,0xdffffb75,0x8fff4001,0x22002fff,0xf5003fff,
    0x7cc00bff,0xf90002ff,0xfff887ff,0x017ffa05,0x7ffcc000,0x7fd40002,
    0x07fff31f,0xf006ffd8,0x37fec9ff,0x4bfff500,0xb0007ffd,0xfe800fff,
    0x7ffcc06f,0x7c400002,0x37fec4ff,0x003bffe2,0x0007fff3,0xfffffff8,
    0xffffffff,0x141fffff,0x003fffb8,0x017ffd40,0x0fffe200,0x227ffe80,
    0x8ff9005f,0x17ffe1fc,0x7fec0000,0x3ffffb36,0x03fff880,0xd83fff70,
    0x7f4c06ff,0xff5005ff,0x0017ffcd,0x4007fff1,0x26007ffe,0x20002fff,
    0x3f20fffe,0x3ffa00ff,0xf3000005,0xc80005ff,0x37ffc6ff,0x201bff60,
    0x3f62fff8,0x7ff4006f,0x001fff67,0x2003ffec,0x7cc06ffe,0x400002ff,
    0x7ec0fffc,0x07fff46f,0x01fffcc0,0x3ffffe00,0xffffffff,0x1fffffff,
    0x07fff700,0x0fffb800,0x7ffc4000,0x3fff2003,0x2a00bf10,0xf87f21ff,
    0x000005ff,0xfffbfffb,0xff1007ff,0x3fee007f,0x037fec1f,0x007fffc4,
    0xfff1ffec,0x7ffc4005,0x3fff2003,0x5fff3000,0x7ffd4000,0x807fff13,
    0x00005ffe,0x005fff30,0x6c4fff80,0x3f600fff,0xfffc806f,0x001bff60,
    0x3f61fffb,0xffb0007f,0x6ffe800f,0x017ffcc0,0x9fff1000,0x7e4dffb0,
    0xff3001ff,0xcc80007f,0xccdffecc,0xcceffecc,0xff7000cc,0xfd80007f,
    0xf880007f,0x3f2003ff,0x00bf11ff,0x1fc87fea,0x00017ffe,0x7ffffec0,
    0x3e2003ff,0xff7003ff,0x06ffd83f,0x805fff50,0x3fe0fff8,0x3fe2002f,
    0x3ff2003f,0xfff3001f,0xffd80005,0x806ffd8f,0x00005ffe,0x005fff30,
    0x20fffd40,0x3603fffa,0x7fdc06ff,0x037fec5f,0x6c7fff20,0xfb0007ff,
    0xffe800ff,0x17ffcc06,0xfff90000,0x2adffb01,0x26003fff,0x00003fff,
    0x7e407ff4,0x3ee0003f,0x6c0003ff,0x2a0007ff,0xaadfffba,0x3ffee02a,
    0x3600bf12,0xf87f20ff,0xd91005ff,0x7ff4c019,0x88003fff,0xf7003fff,
    0x6ffd83ff,0x09fff300,0x7fc5ffb8,0x1aaaaacf,0x37ffeeaa,0x3ee02aaa,
    0xff3002ff,0xf980005f,0x01fffeff,0xaaaeffe8,0x2aaaaaaa,0x0bffe600,
    0x87ffc800,0x3606fff8,0xaaaaafff,0xd85ffffc,0x7dc006ff,0x0fffb2ff,
    0x2bfff600,0xaaaaaaaa,0x406ffeaa,0x0002fff9,0x20bfff10,0xfff9effd,
    0x7ffcc004,0x7fc00003,0x02ffc80f,0x0fffee00,0x3fff9000,0x3fffe000,
    0x0fffffff,0x227fff50,0xdb99885f,0xf0fe43ff,0xff100bff,0xfd981fff,
    0x0003ffff,0x3bbbffe2,0xeeeeeeee,0x7fec1fff,0x17ffe006,0xff85fff0,
    0x4fffffff,0x3ffffffe,0xf500ffff,0xfffb07ff,0xffffffff,0xfc800dff,
    0xd005ffff,0xffffffff,0x00dfffff,0x0017ffcc,0x3609fff0,0xffb00fff,
    0xffffffff,0x3ff603df,0x7ffd4006,0xffffffb3,0xbfffffff,0x7fffffec,
    0xffffffff,0x7cc06fff,0x900002ff,0x3f603fff,0x005ffeef,0x003fff98,
    0xd83ffc00,0x2e0001ff,0x40003fff,0x0002fffb,0xffffffff,0x3e601fff,
    0x70bf14ff,0x907fffff,0x02fffc3f,0x2fffffe4,0xdffffffb,0xfff88000,
    0xffffffff,0x41ffffff,0xf1006ffd,0x7fd409ff,0xffffff87,0x3ffe4fff,
    0xffffffff,0x09fff300,0xfffffffb,0x0dffffff,0xfffff880,0xffffd000,
    0xffffffff,0x7fcc00df,0xff30002f,0x3ffea05f,0xfffffb03,0xdfffffff,
    0x00dffb07,0xfb4fff98,0xffffffff,0x7ecbffff,0xffffffff,0xffffffff,
    0x17ffcc06,0x7ffc4000,0x3ffff605,0xf98006ff,0x200003ff,0xffd06ff8,
    0x7fdc0001,0x7d40003f,0x990004ff,0x999dfff9,0x3ffea019,0xdf50bf13,
    0x87f20159,0xfe805fff,0x3fe6ffff,0x006fffff,0x7ffffc40,0xffffffff,
    0x7ec1ffff,0xfff3006f,0x427fec07,0xccccdfff,0x3ff3322c,0x00ccccef,
    0xfb07fff5,0xffffffff,0x000dffff,0x4007fff7,0xcccceffe,0x03cccccc,
    0x00bffe60,0x103ffe40,0x3f60bfff,0xfeccccff,0x20dfffff,0x54006ffd,
    0xfffb3fff,0xffffffff,0x7ffecbff,0xcccccccc,0x06fffccc,0x0017ffcc,
    0x00fffdc0,0xfff9dffb,0xfff98009,0x3e600003,0x00fff05f,0x03fffb80,
    0x1fffe800,0x3ffe2000,0x3ffee003,0xbf50bf12,0x7fc3f900,0xfffd805f,
    0x22ffe5ff,0x40006ffd,0x999cfff8,0xfb999999,0x37fec1ff,0x01fffc80,
    0xff01fff1,0x7fc4005f,0x3fee003f,0xfff3002f,0xeeeb8005,0xeefffeee,
    0xfe84eeee,0x3000005f,0x20005fff,0x7f405fff,0x6ffd80ff,0x3fffee20,
    0x001bff65,0x3f65fff7,0xffb0007f,0x6ffe800f,0x017ffcc0,0x17ffe200,
    0x3fadffb0,0x3e6002ff,0x200003ff,0xfff05ffa,0xfffb8000,0x0ded8803,
    0x0077ffdc,0x03fff880,0x44bfff20,0x805fa85f,0x17ffe1fc,0x3ffffe60,
    0x6ffd82e1,0x7ffc4000,0x3fff7003,0x9806ffd8,0x3f206fff,0x05fff05f,
    0x01fffc40,0x005fff90,0x000bffe6,0xfffffff9,0xffffffff,0x00bffd0b,
    0x3ffe6000,0xfff98002,0x1fffdc02,0x4c037fec,0xffb1ffff,0xfffc800d,
    0x000fffb2,0xd001fff6,0xff980dff,0x7dc0002f,0x7fec02ff,0x03ffff16,
    0x00fffe60,0xfb999980,0xf99999df,0x001999ef,0x201fffdc,0x20ffffe8,
    0x0bfffff8,0x7c41da88,0x3f6003ff,0x30bf10ff,0x43f9009d,0xb3005fff,
    0xffd803bf,0x7fc40006,0xfff7003f,0x406ffd83,0x201ffffa,0xfff02fff,
    0x7ffc4005,0x3fff6003,0x5fff3000,0xffffc800,0xffffffff,0xffe85fff,
    0xf3000005,0xf90005ff,0x333333ff,0x0bfff533,0x2e00dffb,0xdffb4fff,
    0x0fffd800,0x2000fffb,0x74007ffd,0x7fcc06ff,0x3e20002f,0xffd806ff,
    0x03bffea6,0x00fffe60,0x7ffffc40,0xffffffff,0x0fffffff,0x0fffee00,
    0x7fffff70,0xfffffe88,0x1ffffeef,0x801fffc4,0x3e26fff8,0x0fe40005,
    0x0000bfff,0x001bff60,0x007fff10,0xfb07ffee,0x975555ff,0x407ffffd,
    0xccccfffa,0x002fffcc,0x400fffe2,0x2006fff8,0x0002fff9,0x005fff30,
    0x0002fff4,0x02fff980,0xffffff80,0xffffffff,0x7fec0fff,0xbfff1006,
    0x8801bff6,0x3ff66fff,0xfffb0007,0x06ffe800,0x0017ffcc,0x005fff70,
    0xffc8dffb,0xfff9805f,0xfff10003,0xffffffff,0xffffffff,0x7fdc001f,
    0x7ffdc03f,0xffe884ff,0xffffffff,0x1fffc41f,0x24fffb80,0x200305f8,
    0x17ffe1fc,0x7fec0000,0x7fc40006,0xfff7003f,0xfffffd83,0xffffffff,
    0x7fffec02,0xffffffff,0x3ffe2002,0x9fff7003,0x17ffcc00,0xfff98000,
    0x17ffa002,0x7fcc0000,0x7fcc002f,0xffffffff,0x2fffffff,0x88037fec,
    0xdffb5fff,0x27ffe400,0x2000fffb,0x74007ffd,0x7fcc06ff,0x3fe0002f,
    0xdffb006f,0x807fffd0,0x0003fff9,0x3ffaaaaa,0xffdaaaac,0x4002aaad,
    0x4c03fffb,0x202fffff,0xffffffc9,0x7fc40bdf,0xfff8803f,0x3617e21f,
    0x21fc806f,0x00005fff,0x000dffb0,0x003fff88,0xfd83fff7,0xffffffff,
    0x7cc00cff,0xffffffff,0x2002ffff,0x8803fff8,0x2001ffff,0x0002fff9,
    0x005fff30,0x0002fff4,0x02fff980,0x7ffffe40,0xffffffff,0x7ec5ffff,
    0xfff3006f,0x401bff67,0x361ffff8,0xfb0007ff,0xffe800ff,0x17ffcc06,
    0x2fffb800,0x10dffb00,0x4c05ffff,0x00003fff,0x3f203ffa,0x7dc0003f,
    0xffb803ff,0xdff9004f,0xfff88013,0x7ffec403,0x7fc2fc44,0xf0fe402f,
    0x00000bff,0x0001bff6,0x2007fff1,0x7ec1fffb,0xacdeeeff,0x3bff2001,
    0xf9999999,0x3e2002ff,0x7ec403ff,0x7cc004ff,0x654002ff,0xfffdcccc,
    0x82cccccd,0x00005ffe,0x005fff30,0x999dfff8,0x99999999,0x3f60fffe,
    0xfff9006f,0x201bff63,0x6c4fffd8,0xfb0007ff,0xffe800ff,0x17ffcc06,
    0x06fff800,0x541bff60,0xf300ffff,0x400007ff,0xffc80fff,0x7fdc0002,
    0x0151003f,0x801fff40,0x2603fff8,0x440ffffe,0x00ffd85f,0xbfff0fe4,
    0x3f600000,0x7c40006f,0xff7003ff,0x06ffd83f,0x07fff000,0x2002fff8,
    0x2603fff8,0x000ffffe,0x0017ffcc,0x3ffffff2,0xffffffff,0x05ffe85f,
    0xfff30000,0x7ffcc005,0x7ffdc003,0x201bff62,0x3f66fffa,0x7ffd406f,
    0x3ffec0ef,0x07ffd800,0x2037ff40,0x8002fff9,0x2003fffb,0x3f206ffd,
    0xfff306ff,0x7fc00007,0x003ffb07,0x03fffb80,0xfff10000,0x3ffe2003,
    0xfdca999c,0xf881ffff,0xf9001305,0x4cefffc3,0x99999999,0xdffb0009,
    0x33333333,0xfff10333,0x3ffee007,0x0037fec1,0x007ffd40,0x8800bffe,
    0xa999cfff,0x1fffffdc,0x2fff9800,0x7fffe400,0xffffffff,0xffe85fff,
    0x9999999e,0x30009999,0x64005fff,0x4c000fff,0x3ff65fff,0xffeb9986,
    0x3bff61ff,0xfecb9999,0xfd81efff,0xffb0007f,0x6ffe800f,0xf7333331,
    0x333337ff,0x03fffc01,0xb01bff60,0xff309fff,0x3333339f,0x44033333,
    0x1ffd06ff,0x55555100,0x55bfffb5,0x80001555,0x22007ffa,0xffffffff,
    0x00efffff,0xc8000bf1,0x3ffffe1f,0xffffffff,0xffb002ff,0xffffffff,
    0xf883ffff,0xff7003ff,0x06ffd83f,0x05ffe800,0xfffffff8,0x7fc41fff,
    0xffffffff,0x0000efff,0x8005fff3,0xfb999998,0x99999bff,0xfffffe80,
    0xffffffff,0xfff3002f,0x37ffc005,0x0fffe800,0xfffffffb,0x3fffffff,
    0xffffffd8,0xdfffffff,0x00fffb00,0x001fff60,0x3feedffd,0xffffffff,
    0x704fffff,0xd8007fff,0x7fc406ff,0x7ffcc3ff,0xffffffff,0xf301ffff,
    0x01ffe0bf,0x7fffffd4,0xffffffff,0x5c0003ff,0x3e2004ff,0xffffffff,
    0x7c403eff,0xeeeeeeef,0xeeeeeeee,0x3fffe1ff,0xffffffff,0xfb002fff,
    0xffffffff,0x883fffff,0xf7003fff,0x6ffd83ff,0x7ffcc000,0xfffff802,
    0x441fffff,0xffffffff,0x0003efff,0x0017ffcc,0x02fff980,0x3fffffa0,
    0xffffffff,0xfff3002f,0x3ffe6005,0xfff90003,0x3fffff65,0xcfffffff,
    0xfffffd80,0x2dffffff,0x003ffec0,0x4007ffd8,0xfff76ffe,0xffffffff,
    0x3e09ffff,0xfd8007ff,0xfff9806f,0x3fffe61f,0xffffffff,0xff501fff,
    0x401ffe0b,0xfffffffa,0xffffffff,0x7ec0003f,0x3fe2002f,0xcceeffff,
    0xffff1001,0xffffffff,0x3fffffff,0x7ffffffc,0xffffffff,0xffffb002,
    0xffffffff,0xfff883ff,0x3fff7003,0x0006ffd8,0xf8037fe4,0xffffffff,
    0x7fffc41f,0x01cceeff,0x5fff3000,0x3fe60000,0x3ffa002f,0xffffffff,
    0x3002ffff,0x32005fff,0x30000fff,0x3ff6bfff,0xcdefffff,0x3fff600b,
    0x0bcdefff,0x00fffb00,0x001fff60,0x3feedffd,0xffffffff,0xb84fffff,
    0xd8003fff,0xff7006ff,0x3ffe61df,0xffffffff,0xf701ffff,0x0dff109f,
    0x3ffffea0,0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdd700000,0x3b2003dd,
    0xddb0003e,0x776405dd,0xbcdeeeee,0x77774c02,0xeeeeeeee,0xd92eeeee,
    0x260007dd,0x775c5eee,0x7754003e,0x0177743e,0x90eee880,0x40003ddd,
    0x77645eed,0xddd9004e,0xeeeeea89,0x002acdee,0x32000322,0x3ffe2000,
    0x0000e001,0x2201c000,0xea81cedb,0x22000bdf,0xaceeecb9,0x9dfd9500,
    0x6f6dc417,0xec88000b,0x9730000c,0x059bdfdd,0x7ff65d40,0x32a0bcde,
    0x7997003c,0xeedba880,0x730001bc,0x40379ddb,0xccccccc9,0xcccccccc,
    0x3ffff200,0x09ffb005,0xfffff700,0x7fffec07,0xffffffff,0xffffa80b,
    0xffffffff,0xf33fffff,0xb0001fff,0xff885fff,0xff1001ff,0x3fff81ff,
    0x1fff1000,0x0013ffee,0x3627ffcc,0x4400ffff,0x7dc6ffff,0xffffffff,
    0x7dc02eff,0x7fe4005f,0x3fff1003,0x003bf200,0x7ec40000,0xfffff305,
    0x7fffec7f,0xfff7005f,0x3fffffff,0x7fffffc4,0xffe88eff,0x4000efff,
    0x4005fffe,0xfffffffa,0x201effff,0xffffffea,0x3f61ffff,0xdffb006f,
    0x7ffffd40,0x000dffff,0xffffffd1,0x3fea09ff,0xffffffff,0x201fffff,
    0x01fffffc,0x4004ffd8,0x3ffffff8,0x3fffff60,0xffffffff,0x7fffd41f,
    0xffffffff,0x363fffff,0x4c004fff,0xff705fff,0x3ff600df,0x03ffe83f,
    0x44fff300,0x90007fff,0xffd83fff,0x7fdc03ff,0x7ffdc6ff,0xffffffff,
    0x3ffa04ff,0xfff3003f,0xfff1001d,0xdfff7003,0x88000003,0x7cc3fffe,
    0x9fffffff,0xfffffffa,0x3fffa205,0xffffffff,0x3ffffe61,0xffeeffff,
    0x006fffff,0x03ffffe2,0xfffffc80,0xffffffff,0xfffffb80,0x1fffffff,
    0x6c01bff6,0xfff906ff,0xffffffff,0xfff9805f,0xffffffff,0x7fffd41e,
    0xffffffff,0x3f201fff,0xd805ffff,0x7ec004ff,0x203fffff,0x9999effd,
    0xeffffdba,0x33333260,0xcccccccc,0x3e21ffff,0x3a001fff,0x3fa01fff,
    0x7fcc02ff,0x07ffd06f,0xd1ffe600,0xf0003fff,0xfffd0dff,0xfffe80df,
    0x4fffdc7f,0xffeba999,0xfff102ff,0xfffd001f,0x3ffe2003,0xffff9001,
    0x26000005,0xfd85ffff,0xeffd89ef,0xffb8affe,0xffff880f,0xeba99acf,
    0x42b7e61f,0xdfffffb8,0x003fff70,0x01ffffe2,0x3359ff90,0xdfffd731,
    0x9befff98,0x41b75310,0xfb006ffd,0xdfffb0df,0xffd73157,0x3fe601ff,
    0xfb310aff,0xaaa88dff,0xbaaaaaaa,0x3200ffff,0x00ffffff,0x70027fec,
    0x7fff7fff,0x2037fec0,0x006fffd8,0x427ffe40,0x5005fffc,0xf9809fff,
    0x3fa00fff,0x9ffb01ff,0x1bfea000,0x8009fff7,0xfe84fff9,0xf300ffef,
    0xfb8fffbf,0x3ff200ff,0x3ffea07f,0xbdfffdad,0x2002fffc,0x2001fff8,
    0x003ffffb,0x7fffd400,0x41fff883,0x6c2ffffe,0xfffd84ff,0x1104c00e,
    0x07fffe40,0xb8013ff6,0x4c003fff,0x3fffd001,0x0007ffec,0xd8037fec,
    0x7ffcc6ff,0x3fff600e,0x01dffd04,0x0017ffe4,0x401fffe8,0x4ffeeffc,
    0x8027fec0,0xff9cfff8,0x1bff603f,0x07fffa20,0x37ffcc00,0x01ffff88,
    0x800fffe8,0xf704fffc,0x7fec07ff,0xdff50004,0x006fff88,0x7c0fffe4,
    0x903ffbff,0xb8fff5ff,0x7ec00fff,0x3ff201ff,0xffffffff,0x44004fff,
    0x4c001fff,0x0004ffff,0x05ffff90,0x3f217fee,0x7fd40fff,0x02fffd46,
    0xfffb8000,0x007ffa84,0x00000dcc,0xe8fffee0,0xfb0005ff,0x3ff600df,
    0x8037ff46,0x7d41fffe,0xffe801ff,0xfffc8007,0xbeffc803,0x3f600fff,
    0xdffb004f,0xd80fffe6,0xff5006ff,0x3fa0005f,0x3fee01ff,0x7ffd406f,
    0xfffd1003,0x06fff883,0x8002ffe4,0xffe85ffa,0x3ffa001f,0xff3fff06,
    0x3e3bfe0d,0x3ffee0ff,0x17ffdc00,0x3fffffa0,0x06ffffff,0x01fff880,
    0xdfffe880,0xffb10000,0x7fec03df,0x86fffa83,0x7ffc7ff8,0x3000000f,
    0xff305fff,0x0000000f,0x93ffe200,0xb0006ffe,0x3f600dff,0x0fffea6f,
    0x227ffd40,0xf5005ffe,0x7d4003ff,0xff9005ff,0x409fff1d,0xfa804ffd,
    0x7fff31ff,0x8037fec0,0x8004fff8,0xe804fffc,0x3fa02fff,0x7fd4007f,
    0x0fffec6f,0x0017ff20,0x7dc2ffdc,0xff3003ff,0x75ffe07f,0x5ffd41ff,
    0x3ee0fff8,0x7fd400ff,0x7ffec03f,0xfffc98ad,0x7fc4000f,0xfb10001f,
    0x88003dff,0x400dfffe,0xff882ffe,0x0fff885f,0x0009fff1,0x81fff800,
    0x0000fff8,0xfd000000,0x67ffe4bf,0x37fec000,0x326ffd80,0x7f4007ff,
    0x0fffe25f,0x017ffcc0,0x00efff98,0x3f2dff90,0x9ffb00ff,0x24fff880,
    0x3603fff9,0x3fe006ff,0x7fcc005f,0xfff5006f,0x0bffee0d,0x4ffff600,
    0xb804fffa,0xf70006ff,0xdfff109f,0x07ffee00,0x7fe5ffe2,0x7c47fec4,
    0x3ffee0ff,0x17ffdc00,0x20bfff30,0xfe84fffb,0xffffffff,0xffffffff,
    0xffffc807,0xffff3002,0x07ffe009,0x7c13ffe2,0x5fff51ff,0xff800000,
    0x1fff880f,0x00000000,0x7ccbffd0,0x001cffff,0x3600dffb,0x17ff66ff,
    0x4cdffb00,0xf1001fff,0xfd1007ff,0x7e4003ff,0x07fff36f,0xf9013ff6,
    0x7ffcc1df,0x01bff603,0x0027ffc4,0x8007fffa,0xff83fffd,0xff10006f,
    0x1fffd1ff,0x20dff700,0x9ff905ed,0x003fffa0,0x7c41bffa,0x44fff37f,
    0x87ffe6ff,0x6c00fffb,0x3f600fff,0x3ffe00ff,0xfffffe86,0xffffffff,
    0x5007ffff,0xa807ffff,0x2003ffff,0xfff01fff,0xffffffff,0x03ffee5f,
    0x3b6e2000,0xffffffff,0x1fffffff,0xddddddd3,0xdddddddd,0x2203dddd,
    0xfffffedb,0x7d45ffff,0x0befffff,0x401bff60,0x3ffa6ffd,0x3ffe4004,
    0xddddfff5,0xfddddddd,0xffb009ff,0xffc8005f,0x6c1fffa6,0x3fe604ff,
    0x1fffcc2f,0x200dffb0,0x2003fff9,0x4004fffc,0x7dc7fff9,0x2e0001ff,
    0x2fffffff,0x10fff500,0xff903fff,0x0fffee07,0x207fff10,0x3ffa7ff8,
    0x7fc5ff72,0x03ffee1f,0x405fffb8,0x7e405ffe,0xffffe87f,0xffffffff,
    0x007fffff,0x413fffe6,0x001ffffc,0x7c03ffe2,0xffffffff,0xfffb2fff,
    0xfff50000,0xffffffff,0xffffffff,0x3ffffe63,0xffffffff,0x82ffffff,
    0xfffffffc,0x85ffffff,0xffffffe9,0x6ffd82ef,0x7cdffb00,0x7dc004ff,
    0xffff70ff,0xffffffff,0x809fffff,0x8004fffb,0x3fea6ffc,0x04ffd82f,
    0x3e613ffa,0x3ff603ff,0x3fffb006,0x1bffe600,0x9fffe400,0x0005fff8,
    0x5fffffe8,0x21ffe600,0xfd84fffb,0xbfff103f,0x01fffb80,0x7fdcdff3,
    0x7fc1ffd4,0x03ffee1f,0x03ffff66,0xb809fff0,0x22000fff,0x00001fff,
    0xb17fffa2,0x8001dfff,0xff01fff8,0x999999df,0x1fff2199,0xffff3000,
    0x9fff999b,0x99999999,0x3ffffe61,0xffffffff,0x42ffffff,0xceeffffc,
    0x5fffcccc,0x3ffff6a0,0x3f60dfff,0xdffb006f,0x20027ffc,0x3fee7ffb,
    0xeeeeeeef,0x3eeeeeee,0x01bffe60,0x3a37fe40,0x4ffd86ff,0x301fff90,
    0x7ec07fff,0xfffb806f,0x3fffa004,0xfff10001,0x007fff2f,0x3fffe600,
    0x3fe6000f,0x86fffd87,0x3fa02ffd,0x3ff600ff,0x89bfe606,0x45ff9fff,
    0x3fee2fff,0xffffeeef,0x7c401eff,0x7fdc03ff,0x3fe2001f,0x2a00001f,
    0x7d43ffff,0x44003fff,0xfff01fff,0x7ffdc00b,0x3ffa0001,0x00fff80e,
    0x2aaaaa20,0xaaaaaaaa,0x20aaaaaa,0x401efffb,0xb5005ffe,0x6c9fffff,
    0xffb006ff,0x002fff4d,0xffa9bff2,0x4400001f,0x0000ffff,0xffa8dff9,
    0x427fec2f,0xf302fff9,0x7fec07ff,0x3fff6606,0xfff7000f,0xffb80009,
    0x004fffcf,0x1bfffa00,0x41fff100,0x41fffff8,0x3ee02ffe,0xfff102ff,
    0x237fd407,0x42ffeffd,0x3fee2ffe,0xffffffff,0xff8800bf,0x7ffdc04f,
    0x3ffe2000,0xff700001,0x3fe605ff,0x7fc004ff,0x5fff881f,0x0bffea00,
    0x27ffc400,0x0001fff8,0xffd00000,0xbffd001f,0xfffc8800,0x00dffb1f,
    0xffd9bff6,0x2ffec006,0x0005fff3,0x02fffd80,0x21bff200,0x7fec6ffe,
    0x205ffe84,0x3603fff9,0xeeeeefff,0x01ffffff,0x00dfff30,0x3ffffa00,
    0x700000ff,0x009fffff,0xf707ffc4,0xfe89ffdf,0x3ffe201f,0x01fff505,
    0x3ea37fd4,0xffe87fff,0x3ffffee2,0x001fffff,0x3602fffc,0x7c4007ff,
    0xd80001ff,0x4401efff,0x000efffe,0xff305fff,0x7fcc00df,0xff30004f,
    0x0bffe03f,0x40000000,0xfd004fff,0x3ee000bf,0x0fff92ff,0x64dfff10,
    0xf1000fff,0x7ffc49ff,0x3f200004,0x640004ff,0xfffb86ff,0xf713ff61,
    0x7fcc01ff,0x3fff603f,0xffffffff,0x3fa000cf,0x500001ff,0x007fffff,
    0x3fffe200,0x3e001fff,0x2bff60ff,0x0fff47ff,0x203fffa0,0x7d406ffd,
    0x4ffff86f,0x3ee3ffe8,0xffd510ff,0x7ff4007f,0xbfff100f,0x1fff8800,
    0x3ffa2000,0x3f6000df,0xfe801eff,0xffffb84f,0x3fffe000,0x7ffa8001,
    0x009fff30,0xf3000000,0xff3007ff,0x3e2000bf,0x1fff73ff,0x37fff440,
    0x2009fff5,0x7f41fffc,0xa80000ff,0x80005fff,0xfff06ffc,0xf127fecb,
    0xff9805ff,0x3fff603f,0xdeffffff,0x7ffdc001,0x7f400004,0x200006ff,
    0xfffcfffd,0x47ffe006,0x3fff5ff8,0x2e007ffc,0x7fc42fff,0x2ffdc03f,
    0x740fffe4,0x3ffee3ff,0x01fffd80,0x20bfff70,0x4001fffd,0x0001fff8,
    0x009ffff3,0x0bffff20,0xfb0dff70,0x5c009fff,0x4000efff,0x7c41fff9,
    0x00007fff,0x40033b22,0x6405fff8,0x0005ffff,0x3ea5fff9,0xffd103ff,
    0xfffe8dff,0x27ffd401,0x002fffd4,0x03bffe20,0x1bff2000,0xfd8fffdc,
    0x017ff64f,0xd80fffe6,0x1aaaafff,0x3ffe6000,0xfa800006,0x700003ff,
    0x3ff69fff,0x3ffd003f,0x7fecffea,0x2201ffe4,0x7fd45fff,0x2ffdc00f,
    0xfe837fcc,0x03ffee3f,0x801bffe2,0xb9aeffff,0x8005fffe,0x8001fff8,
    0x003ffffa,0x1ffffd40,0x547fff10,0x82ffffff,0xffffe818,0x11da880b,
    0x7f449fff,0x1105ffff,0x2fffec00,0x05ffff00,0xbfffffd3,0xf5002ae2,
    0x3fe21fff,0x7ff4c1ff,0x7fcc6fff,0xffb883ff,0xfffd00ff,0xe833005d,
    0x00001fff,0x3e20dff9,0x29ffb4ff,0xfffffff8,0xffffffff,0x367fffff,
    0x400006ff,0x0001fffe,0x02fff980,0xffff8800,0x01ffff10,0x3f65ffd0,
    0x22fff50f,0xffd007ff,0x037fec1f,0x9982ffe4,0x5c9ffb00,0xff700fff,
    0x3ffa007f,0xffffffff,0x7c4000ff,0x7e4001ff,0x00002fff,0x40bffff3,
    0xffdefffe,0xdffffd9f,0xff984ffe,0xfeefffff,0x3ffa1fff,0xbafffdef,
    0xedcdffff,0xfff1004f,0x3ee001ff,0xffdcefff,0x35ffdeff,0xb9dddfff,
    0x87fffffd,0xedeffffc,0x6ffbdfff,0xefffffc8,0x2fffffed,0x3ffffe60,
    0xfedcccef,0x3fffee4f,0xffffffff,0x3f207fff,0x3fff206f,0xff14ffd8,
    0xffffffff,0xffffffff,0x37fecfff,0xfff70000,0x26000009,0x80002fff,
    0x7dc3fffd,0xffd805ff,0x7fc6ff8b,0x007ff8af,0x3e25fff7,0xffc803ff,
    0x9ffb0005,0x8807ffdc,0xfc806fff,0xffffffff,0x0005ffff,0x3fff6000,
    0x4400001e,0x880efffe,0x3ffffffe,0xffffffd1,0x3ff2209f,0xffffffff,
    0x3fffe61f,0x3ff22fff,0x04ffffff,0x0fffff10,0xfffffd80,0xff74ffff,
    0x3ffffe6b,0xffffffff,0xffffe882,0xff54ffff,0x3fffea0d,0x0effffff,
    0xffffd880,0xffffffff,0x3fffff24,0xffffffff,0x3ff207ff,0x2fffe206,
    0xfff14ffd,0xffffffff,0xffffffff,0x037fecff,0x6fff8800,0x3e600000,
    0x540002ff,0xffd06fff,0xbffd805f,0x7fe43ffa,0x1006ff8d,0x3fea9fff,
    0x5ffc800f,0x4bffb000,0x3200fffb,0x3ea02fff,0xefdcacff,0x03fffb9d,
    0x7f440000,0x00000dff,0x3dfffb10,0x7dfffb10,0xfffffd98,0x7f6cc02e,
    0x0bdfffff,0x16ffffcc,0x7fffff64,0x3ff2001e,0xffa8003f,0x2e1dffff,
    0xffdb15ff,0x7dffffff,0xffffc801,0x1bfea2ef,0xffffed88,0xda8003df,
    0xfffffffe,0x3fff21ce,0xffffffff,0x3207ffff,0x7fec06ff,0x0004ffdf,
    0xd80fffe6,0xd00006ff,0x00003fff,0x017ffcc0,0x3ffff100,0x03fffea0,
    0xffdcffc8,0x7cfffcc0,0x3ffa006f,0x200dffb7,0xb0004ffd,0x7ffdcbff,
    0x1bffe200,0x8037ffcc,0x0001fffe,0x13ffea00,0x7e400000,0x00cc02ff,
    0x80004d4c,0x51000998,0x03551001,0x000dcc00,0x0002a620,0x4d54ccc4,
    0x09a88000,0x02a60000,0x35530000,0x00000013,0x980dff90,0x04ffffff,
    0x0fffe600,0x0006ffd8,0x004fffb8,0x7ffcc000,0x3ff60002,0x7ffec04f,
    0x3f7fee05,0xf9fff06f,0x7fdc00bf,0x003fffaf,0x20009ffb,0x3fee5ffc,
    0x7ffec00f,0x01fffe82,0x21ffff30,0xfffffff9,0xffffffff,0x00fea2ff,
    0x5f500000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fe40000,0xffffd806,0x3e60004f,0x3ff603ff,0x7fc40006,
    0xaaaaabff,0x2aaaaaaa,0x0bffe600,0x7fffd400,0x7fffc400,0xfffff702,
    0x3ffff207,0x3fe2005f,0x000fffef,0x20009ffd,0x3fee6ffc,0x7ffcc00f,
    0x004fea86,0xff3177e4,0xffffffff,0x5fffffff,0x00000008,0xeeeeb810,
    0x4eeeeeee,0x77777777,0x77777777,0x07777777,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x806ffc80,0x04fffff9,0x0fffe600,
    0x0006ffd8,0x7fffffec,0xffffffff,0x26005fff,0x88002fff,0x7003fffe,
    0x3ea0dfff,0xf301ffff,0x8009ffff,0x06fffffe,0x0013ffa0,0xff737fe4,
    0xfffb001f,0x10002e05,0xfffff307,0xffffffff,0x0005ffff,0x2e000000,
    0xffffffff,0xffff4fff,0xffffffff,0xffffffff,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc800000,0xfffd006f,0x7cc0009f,
    0x3ff603ff,0x7fec0006,0xffffffff,0x5fffffff,0x0bffe600,0x1bfff200,
    0x09fffd00,0x80dffff5,0x004ffffe,0x1fffffdc,0x007ffd00,0xfb9bff20,
    0xff9800ff,0x0000006f,0x00000000,0xfb800000,0xffffffff,0xfffff4ff,
    0xffffffff,0xffffffff,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffc80000,0xffff5006,0x7fcc0009,0x1bff603f,0xffffb000,
    0xffffffff,0x00bfffff,0x0017ffcc,0x007fffe6,0x83ffff50,0x403ffff9,
    0x003ffffc,0x07ffffc4,0x007fff00,0xfb9ffee0,0xffd000ff,0x0000003f,
    0x00000000,0xb9800000,0xbbbbbbbb,0x555552bb,0x55555555,0x55555555,
    0x00000055,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33220000,0x9910000c,0x16666419,
    0x01999900,0x0732e000,0x059dd951,0xdb50732a,0x995039bf,0xcc980059,
    0x5459911c,0xdeda83ee,0xcccccb81,0x00003ccc,0x20000000,0xb800ccc8,
    0x0c003ccc,0x00266000,0x0019a998,0x01001330,0x7f400030,0x20060007,
    0x09800700,0x20002600,0x26001bb8,0x33000eee,0x33333333,0x13333333,
    0x3bbbbbae,0xeeeeeeee,0xbfffb5ee,0x205fffd8,0xbb301dd8,0xff980001,
    0x1a980dff,0x000bffe2,0xf50fffcc,0xf9001fff,0xfd930bff,0x3a07dfff,
    0x3ffee2ff,0xfd84ffff,0xffffd13f,0xff987fff,0x7fec006f,0x329ff10f,
    0x3ee7ffff,0x7ec1ffff,0x6fffffff,0xfff98000,0xfdb50001,0xff3019df,
    0xfffb803f,0x7f64c01f,0xb801ceff,0x03fffffe,0x3ffffffa,0xfea800cf,
    0x0fee206f,0x8001fecc,0xf50006fe,0x833ea03b,0xdf5004fd,0x7fff5c01,
    0xff8801df,0xffb003ff,0xfff300bf,0xffffffff,0x25ffffff,0xfffffffc,
    0xffffffff,0x8bfff96f,0x3a05fffc,0x7fc40fff,0x3e20007f,0xfe884fff,
    0x0fffe4ff,0x43ffd400,0x4c05fffc,0xfe80efff,0xffffffff,0xfc97ff40,
    0xffffffff,0x7cdffec5,0xffffffff,0x07fff43f,0x25fff880,0xfff9cff8,
    0xfff9afff,0x7fec4fff,0x06ffffff,0x1fff9800,0x7ffec400,0x4c2fffff,
    0x3ee01fff,0x7dc01fff,0xffffffff,0xffffd304,0x3e0dffff,0xffffffff,
    0xfffd500e,0x7ffdc0df,0x00fffc80,0x8006fd80,0xf885fff8,0x9fffb4ff,
    0x85fffa80,0xffffffe9,0x7fdc04ff,0x7d400fff,0x4c01ffff,0xffffffff,
    0xffffffff,0xfffff92f,0xffffffff,0x3ff2dfff,0x27ffe44f,0x42ffff88,
    0x001ffff9,0x02ffff88,0x25fffff9,0x70004ffe,0x3ffa0dff,0x3fffa03f,
    0x979bfd01,0xfe8bfffd,0x9bfffdbf,0x20ffffb9,0xdfffdffd,0xffffc99a,
    0x00fffee0,0xf117ffdc,0xf919fdbf,0xf71bfd9f,0xaaaaa8ff,0x0006ffea,
    0x001fff98,0x7f7ffff4,0x3e61ffff,0xfff701ff,0x7ff4403f,0xff93109c,
    0xffffa81d,0x84fffffe,0xffcccdef,0x7ff544ff,0x7406ffff,0xffe886ff,
    0x3f20aa05,0x3f203a85,0xeffd80ff,0x09ffff30,0x103bffea,0xfb9bffff,
    0x7dc05fff,0x7403ffff,0x406ffbff,0xeeeeeee9,0xeeeeeeee,0x555531ee,
    0x55555555,0x3eedffb5,0x7ffdc4ff,0x03fffa04,0x000ffff1,0x401dfff1,
    0x94ffffff,0x32000bff,0xfff305ff,0x7fff901f,0xffb80540,0x7fffff47,
    0x4fffa80d,0x0ffffff6,0xf117ffe4,0x3fa00dff,0x7fffc47f,0x9bfffe66,
    0xd800fff8,0x980006ff,0x2e001fff,0x3ee22fff,0x3ffe66ff,0x1ffffb81,
    0x4c57fec0,0x437f4c09,0x7ffd41ec,0xfff10086,0x77fffc4b,0x7c406ffe,
    0xfffa83ff,0x20dff882,0x3ff225fc,0x83fff980,0x7cc1fffb,0x7fcc4fff,
    0xeffd80ef,0x07ffec40,0x4fffff98,0x7f4ffee0,0x0000003f,0x6ffc8000,
    0xfb89fff7,0x372203ff,0x001bb301,0x804fff88,0x74fffffe,0x0aaa0dff,
    0xf7027fec,0xfff98dff,0x3fe20005,0x3ffffa0f,0xb2fff405,0x4407ffff,
    0x7fe44fff,0x7ffc401f,0x0ffffc44,0x445ffff1,0xfd801fff,0xf980006f,
    0x3fe001ff,0x1fff504f,0xf707ffe6,0xfa801fff,0xbffffd1f,0x800ffe23,
    0x2000fffe,0x77ec4ffe,0x500dff92,0xff903fff,0xffffa81f,0x3fa69f72,
    0x5ffe83ff,0x303fff88,0x3e67ffff,0xff880eff,0x5fff101f,0x2ffffe40,
    0x3e66ff88,0x000000ff,0x7fe40000,0xa87fff56,0x00003fff,0x64000000,
    0xf52fffff,0x1fff10ff,0xd807ffd0,0xffd13fff,0x9988001d,0x3fa1fff9,
    0xffd805ff,0x013fff66,0xff317ffa,0xfffb809f,0x22fffc41,0xff86fff8,
    0x6ffd801f,0xfff98000,0x1fff1001,0xf997ffc0,0x3ffea1ff,0x27fc400e,
    0x4ffd97fd,0xfb000ffb,0x7fd400ff,0x3f214c2f,0xdffb006f,0x109fff10,
    0x9f7bfff9,0x703bfff9,0xffb01fff,0xffff980b,0x500efffd,0xffd80dff,
    0x27fffc03,0x7ec2ffc8,0x0000005f,0xb7fe4000,0x7d43fffa,0x000002ff,
    0xfd800000,0x3ffe63ff,0x41fffd40,0x74402fff,0xfffc9fff,0xfffd5001,
    0x743fffff,0xfc800eff,0x01bff67f,0x7f437fec,0x37ff407f,0x220fffc4,
    0xfff82fff,0x06ffd801,0x1fff9800,0x80fff500,0xfff33ffe,0x03bffea3,
    0x3fd1fe60,0x2ff87fe2,0x06fff880,0x3fff7332,0x0dff9003,0x213ffe20,
    0x9101fffa,0xbfffffff,0x0fffe603,0x2003ffee,0xeffffff9,0x017ff200,
    0xfd809ff9,0x6ff982ff,0x301fff88,0x33333333,0x33333333,0xffc80001,
    0x985fff36,0x00002fff,0x30000000,0x1fff8815,0x2237ffec,0xf9801fff,
    0x03ffffff,0xffffffb0,0x7f43ffff,0x3331005f,0xd8037fec,0xfffb86ff,
    0x07fff302,0xf881fff1,0x1fff80ff,0x006ffd80,0x01fff980,0xe80fff50,
    0x3fff33ff,0x001dfff5,0x23fd1bee,0x027ec7f8,0x807fffa2,0x0dffffff,
    0x00dff900,0x6c0fffd4,0x7ec406ff,0x7f401eff,0x2fff986f,0x3fffe600,
    0x2ffdc00f,0xf00fffa0,0xffb01fff,0x21bfee05,0xfffffff9,0xffffffff,
    0x640002ff,0x5fff36ff,0x001fff98,0x00000000,0x22fff800,0x20fffff8,
    0x2e007ff9,0x005fffff,0xf815fff7,0x17ffa1ff,0x0dffb000,0x221bff60,
    0xff905fff,0x1fff101f,0xf80fff88,0xffd801ff,0xeeee9806,0xefffeeee,
    0x1eeeeeee,0xff80fff3,0xf9fff31f,0x6c001dff,0x766ff44f,0x102fe43f,
    0xf809fffd,0x2fffffff,0x006ffc80,0x3a03ffee,0x3f6605ff,0x201dffff,
    0x7c40fffc,0x3ea004ff,0x5404ffff,0xff300fff,0x7ffdc05f,0x405ffa83,
    0x7fcc3ffe,0xffffffff,0x2fffffff,0x9554c000,0x6440ccc8,0x000000cc,
    0x80000000,0x3fea3ffe,0x3fe63ffe,0x7fff4007,0x7ffd000f,0xfe87ffe0,
    0x7ec0005f,0xdffb006f,0x203fff60,0xff104fff,0x0fff881f,0xd801fff8,
    0xff9806ff,0xffffffff,0xffffffff,0x05fff12f,0x7cc3ffea,0x1ffffbff,
    0xfd13f600,0xdf705fff,0x13fffea0,0x3ee66660,0x7e401fff,0xfff3006f,
    0x01fff705,0xdfbfffb3,0xf103bfff,0xfff509ff,0xffff5003,0x7c409fff,
    0xfff904ff,0xdfff9301,0x5007ffa0,0x774c1fff,0xeeeeeeee,0x1eeeeeee,
    0x00000000,0x00000000,0xff900000,0x7fcffec9,0x8017fea6,0x02fffff9,
    0xf909fff0,0x2fff43ff,0x1bff6000,0xa837fec0,0x7fd43fff,0x1fff101f,
    0xf80fff88,0xffd801ff,0xffff9806,0xffffffff,0x2fffffff,0xd107bffa,
    0x7ffccbff,0x00ffffa9,0x9fe8bf90,0x27ec0ffa,0x01ffffdc,0x07fff500,
    0xd006ffc8,0xfff30bff,0xdfffd987,0xffd8cfb8,0x7ffd41ef,0x00effc81,
    0x3ebbffea,0x3f204fff,0xfda9adff,0x3ffa22ff,0xfb80efff,0xbffd005f,
    0x44000000,0x100001aa,0x003ffffb,0xeeeeeec8,0x6c005eee,0x5c0004ff,
    0x757fe5ff,0x09ff71ff,0x3ffffa20,0xffd800ff,0xfffeb9bf,0x017ffa1f,
    0x00dffb00,0xfe81bff6,0x037fec6f,0xf881fff1,0x1fff80ff,0x806ffd80,
    0xaaaaaaa8,0xaaacfffb,0x3e60aaaa,0xffcbefff,0x3ffe60ff,0x01dfff71,
    0x1fe8ff50,0x23fe89fb,0x01efffd8,0x27ffcc00,0x201bff20,0xfe80fffc,
    0x2fff986f,0xfffa97f2,0x886ffd81,0xff505ffe,0x3ffe61df,0x3fffa04f,
    0x44ffffff,0x03fffff8,0x2001fff1,0x0001fff9,0x7fff4400,0x4cc401ef,
    0x3fffee00,0x3fffa001,0x26ffffff,0xff82efd9,0x7d40002f,0x327ff56f,
    0x07ff94ff,0x3effff60,0x7d400eff,0xddffffff,0x17ffa1ff,0x0dffb000,
    0xb81bff60,0xfff11fff,0x07ffc407,0x3e03ffe2,0xffd801ff,0xff980006,
    0x7fe4001f,0x2fffffff,0xf90fffcc,0xf8801dff,0x7cc7fa2f,0x263ff50f,
    0x000dfffe,0x02fffe80,0x26037fe4,0xffb82fff,0xc819b01f,0x882ec45f,
    0xff984fff,0x77ffcc2f,0x27fffcc0,0xffffff70,0x59bd103d,0x01554401,
    0x0006aaa0,0xfffe8800,0x3203ffff,0x7f4c04ff,0xdd9001ff,0xbddddddd,
    0x87ffffe6,0x0000fff9,0xffcbffcc,0x3f6dff30,0xfffb802f,0x00bfff74,
    0x27ffffb5,0x3ffa1ffc,0x7fec0005,0x0dffb006,0xfba7ffc4,0x3fe200ff,
    0x07ffc40f,0x6c00fffc,0x980006ff,0x98001fff,0x0dfffffe,0x6c1fff98,
    0xfc805fff,0x7f43fd0f,0x3fe5fe8b,0xffffffff,0x99b30fff,0xdffffd97,
    0x7ffffdc1,0x27ffffff,0xf885fff8,0xfd8004ff,0xfffb8006,0x30fffc81,
    0x2601dfff,0x4c04ffff,0x00000aba,0x00000000,0x7fffe400,0xd04fffff,
    0xfb1009ff,0x000003ff,0x4bfffff9,0x80006ffb,0x5ff8fff8,0x7ff4fff4,
    0x37ffd401,0x400ffff6,0xffd00098,0xffd8000b,0x0dffb006,0xffd7ffd8,
    0x0fff880b,0x7c07ffc4,0xffd801ff,0xff980006,0x54c0001f,0x0fffcc00,
    0x402ffff4,0x20aa8dfe,0x20ffdba9,0xffffffff,0xf50fffff,0xffffffff,
    0xffffb81d,0x7fffffff,0x3603ffee,0xfb0006ff,0x3ffa000d,0x2e9ffd05,
    0x7cc00eff,0x000003ff,0x00000000,0x3fe20000,0xffff50cf,0x02fff889,
    0x007ffee0,0xffffd000,0x01ffecdf,0xfbfff800,0x7e7fdc3f,0x3fe200ff,
    0x7ffc41ff,0xe800001f,0x6c0005ff,0xffb006ff,0xafffa80d,0x7c401fff,
    0x7ffc40ff,0x801fff80,0x80006ffd,0x0001fff9,0x3fff3000,0x09fffd10,
    0x502fff98,0xfff85fff,0xffffffff,0xffff50ff,0x2e07dfff,0xffffffff,
    0x174c7fff,0x20003f70,0xf30007fe,0x70ba6017,0x0fe6001d,0x00000000,
    0x00000000,0x881fff50,0xfbbefffe,0x000007ff,0x7ffe4000,0x07ffa5ff,
    0x7fff4000,0x7ffc40ff,0x7ff407ff,0xffff503f,0x99999881,0x99999999,
    0x000bffd0,0xb006ffd8,0xfff00dff,0xf100dfff,0xfff881ff,0x801fff80,
    0x80006ffd,0x1001fff9,0x33333333,0x26133333,0xff301fff,0xfe8809ff,
    0xfffdceff,0x9800001e,0x00099aaa,0x00000000,0x0002aa80,0x80010000,
    0x00000000,0x00000000,0x06ffb800,0xffffffd1,0x000007ff,0xfff88000,
    0x002220ff,0xffffd800,0xbffffd05,0x02fffe40,0xf51bfff6,0xffffffff,
    0x3fa7ffff,0x7ec0005f,0xdffb006f,0xfffff900,0x1fff1007,0xf80fff88,
    0xffff71ff,0xffffffff,0x4c00ffff,0xf5001fff,0xffffffff,0x3e67ffff,
    0x3fe601ff,0xfeb803ff,0x003effff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e000000,0x3f6204ee,0x004fffff,0x10000000,
    0x000019d9,0x7ffff700,0x13fffee0,0x007fffd4,0xa93fffa2,0xffffffff,
    0xfd3fffff,0xfd8000bf,0xdffb006f,0xfffff100,0x1fff1001,0xf80fff88,
    0xffff71ff,0xffffffff,0x4c00ffff,0xf5001fff,0xffffffff,0x3e67ffff,
    0x7fd401ff,0x531002ff,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb5000000,0x000059dd,0x00000000,0xffa80000,
    0xfff100ff,0xffff307f,0x3ffe6005,0x9999932f,0x99999999,0x0017ffa3,
    0x200dffb0,0xfb006ffd,0x3e200bff,0x7ffc40ff,0xf71fff80,0xffffffff,
    0x0fffffff,0x00f77440,0xcccccc98,0x1ccccccc,0x7003fff3,0x0005ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_42_latin_ext_x[560]={ 0,8,5,0,2,0,1,9,6,5,3,1,4,5,
7,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,2,5,5,0,3,2,8,8,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,4,
3,-6,-3,3,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_42_latin_ext_y[560]={ 31,2,2,4,0,1,2,2,0,0,2,9,24,18,
24,2,3,4,3,3,4,4,4,4,3,3,10,10,8,14,8,2,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,2,1,4,36,2,10,2,10,2,10,1,10,2,1,
1,2,2,10,10,10,10,10,10,10,3,10,10,10,10,10,10,1,-3,1,15,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,31,10,0,3,5,4,
-3,1,2,3,3,11,18,18,1,3,1,6,1,1,2,10,2,15,31,1,3,11,1,1,1,10,-4,-4,-4,-4,
-4,-5,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,11,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,2,2,0,10,10,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,9,6,2,2,2,2,2,2,2,
-3,3,-4,2,4,10,-4,2,-4,2,-4,1,-4,2,-4,0,4,2,-3,3,-4,2,-4,1,4,10,-4,2,-4,2,
-4,2,-4,1,3,0,-4,-5,4,2,-4,2,-3,3,-4,2,4,1,-4,10,4,1,-4,2,4,2,10,-4,-5,4,
2,0,0,4,2,4,2,-4,2,4,10,-4,2,-1,4,10,-3,3,-4,2,-4,2,3,10,-4,2,4,10,-4,2,
-4,2,-4,2,3,10,-4,2,4,3,-4,0,4,3,-4,2,-3,3,-4,2,-5,0,-4,2,4,10,-4,2,-4,2,
-4,-4,2,-4,1,-4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-9,-6,-4,2,-4,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,10,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_42_latin_ext_w[560]={ 0,7,13,23,19,23,23,5,12,12,17,21,11,13,
8,18,21,19,18,18,23,17,19,19,19,19,7,11,17,19,17,13,23,23,18,20,20,16,16,20,19,17,15,19,
17,22,19,21,18,23,19,19,21,19,24,23,23,24,19,11,18,12,19,24,14,18,18,17,18,19,22,21,17,18,
16,19,18,21,17,21,18,18,18,17,19,17,21,23,21,21,17,16,5,16,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,20,21,22,
5,19,19,23,15,18,18,13,19,17,15,19,14,13,20,20,19,7,6,15,15,18,23,23,23,13,23,23,23,23,
23,23,24,20,20,20,20,20,20,20,20,20,22,21,22,22,22,22,22,18,21,21,21,21,21,24,18,18,20,20,
20,20,20,20,23,17,21,21,21,21,21,21,21,21,19,20,22,22,22,22,22,21,21,20,20,20,20,22,18,22,
23,20,23,20,24,19,20,21,20,20,20,20,20,19,23,27,22,22,20,21,20,21,20,21,17,19,20,21,20,22,
20,22,20,22,20,22,21,20,23,20,20,21,20,21,20,21,18,19,20,18,19,19,19,19,19,19,19,21,21,17,
18,27,26,20,25,21,18,21,20,19,17,21,20,21,19,17,22,22,22,22,24,23,23,23,23,22,19,18,23,22,
21,20,21,20,19,17,21,20,21,19,22,26,21,19,21,20,21,20,21,20,21,20,24,23,19,18,23,23,24,22,
24,21,20,21,20,21,20,17,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,23,20,24,23,25,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,19,17,21,19,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__consolas_42_latin_ext_h[560]={ 0,30,10,27,36,31,30,10,40,40,18,21,15,4,
8,34,29,27,28,29,27,28,28,27,29,28,22,29,24,11,24,30,39,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,36,27,29,27,28,27,27,27,27,27,39,34,39,14,4,9,22,30,22,30,22,30,30,29,30,
39,29,29,21,21,22,30,30,21,22,29,22,21,21,21,30,21,39,43,39,9,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,30,37,28,25,27,
43,35,9,29,21,18,10,4,20,8,15,25,18,18,9,30,34,8,7,18,21,18,30,30,30,30,35,35,35,35,
35,36,27,35,35,35,35,35,35,35,35,35,27,35,36,36,36,36,36,18,37,36,36,36,36,35,27,31,30,30,
30,30,30,32,22,28,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,30,30,30,30,30,38,38,38,
34,29,35,30,35,29,36,30,36,30,36,31,36,30,35,32,27,30,34,29,35,30,35,31,35,29,35,30,36,38,
36,38,36,39,37,40,35,36,27,29,35,29,34,28,35,29,35,38,35,21,28,39,36,38,36,38,21,35,36,36,
38,31,31,27,29,27,29,35,29,36,30,35,29,32,36,30,35,29,36,30,36,30,29,22,35,29,36,30,35,29,
36,30,36,30,35,28,36,30,36,37,35,32,27,29,36,30,35,29,36,30,37,32,36,30,35,29,35,29,35,38,
35,35,29,35,30,35,29,30,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,35,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,40,38,35,30,40,34,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,37,30,36,37,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__consolas_42_latin_ext_s[560]={ 511,498,448,459,195,164,187,506,86,99,305,
163,377,303,503,407,290,483,446,333,21,374,408,401,438,313,503,477,285,409,267,
423,214,282,306,20,325,243,346,41,363,383,392,421,441,182,1,84,45,146,205,
151,260,354,157,133,109,84,64,185,426,172,389,317,451,391,256,327,343,468,320,
235,192,64,238,234,458,122,82,446,83,144,63,410,254,428,100,1,25,275,488,
197,1,112,429,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,511,500,43,
333,225,220,7,467,462,127,47,323,429,303,221,466,361,247,241,256,482,43,1,
484,492,270,185,286,120,163,232,218,381,268,244,220,152,84,150,88,131,22,1,
486,398,48,446,443,19,464,330,353,307,242,108,342,21,21,449,384,471,23,131,
210,22,1,479,458,437,143,345,1,362,340,318,296,44,489,226,62,198,205,157,
134,111,88,65,369,43,22,1,477,456,345,368,299,21,352,337,390,382,492,341,
305,257,347,265,257,199,327,244,45,175,411,466,248,361,368,205,188,226,270,291,
434,286,387,43,255,428,149,61,37,69,320,107,373,487,22,445,485,405,66,362,
430,316,144,465,129,64,410,156,469,201,109,220,493,450,229,278,64,156,85,1,
1,417,300,180,376,312,73,215,102,65,394,176,297,131,449,88,303,176,133,1,
473,419,182,406,383,362,428,426,428,278,362,235,1,160,95,198,293,124,1,43,
171,102,384,489,122,170,404,200,274,292,210,337,322,91,116,106,138,275,183,112,
257,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,268,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,13,278,312,211,60,487,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,82,405,235,1,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42, };
static unsigned short stb__consolas_42_latin_ext_t[560]={ 1,192,407,350,45,192,258,192,1,1,407,
407,407,402,407,156,289,350,320,289,379,320,320,350,289,320,350,289,379,407,379,
227,1,350,350,320,350,350,350,320,350,350,320,350,350,379,379,320,379,45,379,
320,350,320,379,379,379,379,379,1,156,1,407,402,418,379,227,379,258,379,258,
258,320,258,1,320,289,407,407,379,258,258,407,379,320,379,407,407,407,258,379,
1,1,1,418,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,1,227,45,
320,379,350,1,120,407,320,407,407,407,402,407,418,407,379,407,407,407,258,192,
418,418,407,407,407,258,258,227,227,120,120,120,120,120,83,350,120,120,120,120,
83,83,156,120,83,350,83,83,83,83,83,83,407,45,83,45,45,45,156,350,
192,258,258,227,227,227,192,379,350,227,227,227,227,289,289,289,320,227,289,227,
227,227,227,227,379,227,227,227,192,192,1,1,1,192,289,156,192,156,258,45,
192,45,192,83,192,83,192,156,192,350,192,156,289,156,192,156,192,156,289,156,
192,83,1,83,1,45,1,45,1,156,45,350,289,120,289,156,320,120,289,120,
1,120,407,320,1,83,1,83,1,407,120,83,45,1,192,192,350,289,350,320,
156,289,45,227,83,289,192,45,258,120,289,83,258,83,258,289,379,120,289,83,
258,83,289,45,258,45,258,120,320,45,258,45,45,156,192,350,320,45,289,120,
320,45,227,1,192,45,258,120,320,120,320,120,1,156,156,320,156,227,156,289,
258,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,156,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,1,1,156,258,1,156,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,45,227,45,45,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350, };
static unsigned short stb__consolas_42_latin_ext_a[560]={ 369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_42_latin_ext(stb_fontchar font[STB_FONT_consolas_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_42_latin_ext_s[i] + stb__consolas_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_42_latin_ext_t[i] + stb__consolas_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_42_latin_ext_x[i];
            font[i].y0 = stb__consolas_42_latin_ext_y[i];
            font[i].x1 = stb__consolas_42_latin_ext_x[i] + stb__consolas_42_latin_ext_w[i];
            font[i].y1 = stb__consolas_42_latin_ext_y[i] + stb__consolas_42_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_42_latin_ext_s[i] + stb__consolas_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_42_latin_ext_t[i] + stb__consolas_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_42_latin_ext_x[i] + stb__consolas_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_42_latin_ext_y[i] + stb__consolas_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_42_latin_ext_LINE_SPACING
#endif

