// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT        519
#define STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_46_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_46_latin_ext_LINE_SPACING          30

static unsigned int stb__consolas_46_latin_ext_pixels[]={
    0x3a25ddd1,0x980002ee,0x800ceeee,0x02000000,0x00000000,0x00ccccc4,
    0x000cd65c,0x7ff98000,0x99999500,0x00599999,0x432ea620,0xccccccc8,
    0x00003ccc,0x3bb60000,0x400eed81,0x1001dfd9,0x00005dfb,0x033bbbae,
    0x0ef64400,0x774c0000,0x3baa003e,0xed80002e,0x4000005e,0x0dcc02b8,
    0x7774c000,0x77754003,0x0eeeeeee,0x00000000,0x01f774c0,0xf99fffcc,
    0x4c0003ff,0xb004ffff,0x9000001d,0x6cc0001f,0x880001df,0x803ffffe,
    0x03fffffe,0x7fe40000,0xffff7005,0x07ffffff,0xffffea80,0xfffff30f,
    0x00dfffff,0xbdfdca88,0x3f60000a,0x03ffcc3f,0x03ffffe2,0x0bffffa0,
    0xffff7000,0xffe8000b,0x200000ff,0x03fffff9,0x007fff50,0x00fffd00,
    0x7ffc4000,0x07fff705,0x7fffcc00,0x3fea003f,0xffffffff,0x3f620001,
    0x4c00002e,0x403fffff,0xff33fff9,0x7d40007f,0xfb001fff,0x400001df,
    0x8000fffc,0x00fffff8,0x3fffa200,0xfffd001e,0x0003dfff,0x00fffe00,
    0x7fffffdc,0x1003ffff,0xfffffffb,0x3ffffe61,0x006fffff,0x3fffffea,
    0x70004fff,0xfd739fff,0xfffb80bf,0x7fcc03ff,0x20005fff,0x003ffffb,
    0x7ffffcc0,0xff300003,0x007fffff,0x0007fff5,0x000fffd0,0x7fffe400,
    0x06ffff81,0xfffff300,0x3ea007ff,0xffffffff,0x3fa0001f,0x00001fff,
    0xfffffff3,0x9fffcc07,0x0003fff9,0x001bfff5,0x0077ffec,0x77ffdc00,
    0xfffb8000,0xd10003ff,0x2661bfff,0x3fb72e01,0x00006fff,0x000fffa8,
    0xb9999995,0x32007fff,0xccefffff,0x99bfff30,0x10079999,0xfdfffffb,
    0x0009ffff,0x3ffffffa,0x7fe401ff,0x7d404fff,0x0006ffff,0x003dfff7,
    0xfffff300,0xff300007,0x7fffb3df,0x03fffa80,0x07ffe800,0x3ff20000,
    0xffff81ff,0xfff98006,0x03fffd9e,0xaaaaaa88,0x0001fffe,0x09fffff5,
    0xdfff3000,0x207fffb3,0xff33fff9,0x2aa0007f,0xffd0002a,0xfa8000bf,
    0x70000eff,0x007fffff,0x47fffd10,0x2a007ffa,0x0003ffff,0x0037fec0,
    0x03fff980,0x03ffff88,0x000fffe6,0x1cffff88,0x027ffe4c,0x7ffff440,
    0xff9802ef,0x7c402fff,0x8004ffff,0x000dfffb,0x3ffffa00,0x7fcc0001,
    0x3fff20df,0x0fffea03,0x1fffa000,0xff880000,0x5fff705f,0xdfff9800,
    0x00ffff20,0x01fffd80,0xfffff500,0xff980009,0x3fff20df,0x33fff983,
    0x88007fff,0x20000aa9,0x005fffe8,0x03ffff50,0x7fffcc00,0xcca8000f,
    0x027fe41c,0x01bffe60,0x4fff8800,0xfff30000,0x7fff9007,0x03fff980,
    0x0bfffa00,0x007fff70,0x00b32ea0,0x009fff90,0x0037ffea,0x00799910,
    0x5dfb1000,0x79990000,0x407332a0,0x0003fffa,0x0007ffe8,0x20154400,
    0xcc8001a9,0x3999503c,0x3fff6000,0xfff10001,0xc80003ff,0x999503cc,
    0x33fff983,0x5c007fff,0x00cfffff,0x5ffff100,0xffff8800,0xffa80002,
    0xd000002f,0xfb0005ff,0x4c0000ff,0x00001ccc,0xb007fff3,0xff300fff,
    0x3f20007f,0xff9000ef,0x0000000d,0x22000544,0x0000001a,0x00000000,
    0x3ea00000,0xe80003ff,0x000007ff,0x00000000,0x7ec00000,0x260001ff,
    0x00003ffe,0xfff30000,0x00fffe67,0x7ff7ffdc,0x3e60005f,0x32000eff,
    0x00003fff,0x30000004,0x2e000fff,0x00000fff,0x7cc00000,0xffe803ff,
    0x3fff9805,0x1fffa800,0x00fff400,0x00000000,0x00000000,0x00000000,
    0x7d400000,0xe80003ff,0x000007ff,0x00000000,0x7ec00000,0x080001ff,
    0x00000000,0xf99fffcc,0xdff003ff,0x0007fec1,0x009fffb0,0x001bffe6,
    0x44000000,0xffdcddb9,0xfff50005,0x00000005,0x3fff9800,0x804fff80,
    0x8003fff9,0xb8004fff,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x03fffa80,0x07ffe800,0x00000000,0x00000000,0x00fffec0,0x00000000,
    0x7ffcc000,0x007fff33,0xffa89ff1,0x3fe20002,0xffe801ff,0x0000002f,
    0x7fff4c00,0x04ffffff,0x05fff500,0x00000000,0x803fff98,0xf9804fff,
    0x7dc003ff,0xf98000ef,0x973000ff,0x9999bdfd,0x64c39999,0x991001cc,
    0x4ccc9859,0x59997000,0x3fb2e600,0xccccccde,0x333261cc,0x99970004,
    0x10fffea5,0x0159dd95,0x4401fffa,0x64c4cccc,0x970004cc,0x2e600599,
    0xcccdefec,0x001ccccc,0x0003fffb,0x99100000,0x99999999,0xf3079999,
    0x3ffe67ff,0xd8dff003,0x5c0001ff,0x7d406fff,0xcc8805ff,0xcccccccc,
    0x4003cccc,0xfffffffa,0x003fffff,0x002fffa8,0x77f65cc0,0xcccccccd,
    0xfff9801c,0x04fff803,0x003fff98,0x0001fff4,0xd8805fff,0xffffffff,
    0x3fffffff,0x400fffea,0x7c45fff8,0xf8002fff,0x6c401fff,0xffffffff,
    0x3fffffff,0x00bfffe2,0x547fffe0,0x3ff23fff,0x81ffffff,0xe8807ffe,
    0x7c41ffff,0xf8002fff,0x6c401fff,0xffffffff,0x3fffffff,0x03fffb00,
    0x99999930,0x00019999,0xfffffff1,0xdfffffff,0x267fff30,0xf9003fff,
    0x0bffdbff,0x3fffa000,0x07fffe01,0x3ffffe20,0xffffffff,0x3ff2006f,
    0xffeeffff,0x4004ffff,0x0002fffa,0xffffffb1,0xffffffff,0xfff3007f,
    0x09fff007,0x007fff30,0x0007ffd4,0x4c07ff90,0xffffffff,0xffffffff,
    0x0fffea3f,0x42fffc40,0x4005fffd,0x4c06fffa,0xffffffff,0xffffffff,
    0x2fffec3f,0x9bffea00,0xffb2fffa,0xffffffff,0x407ffe83,0x01ffffe8,
    0x800bfffb,0x4c06fffa,0xffffffff,0xffffffff,0xfffb003f,0xffff5003,
    0x03ffffff,0xfffff100,0xffffffff,0x7fff30df,0x800fffe6,0x0dfffffc,
    0xfff70000,0x17ffe609,0x7ffffc40,0xffffffff,0xfff9006f,0x7fec15bf,
    0x2002ffff,0x8002fffa,0xfffffff9,0xffffffff,0xff9803ff,0x4fff803f,
    0x03fff980,0x4c13ff60,0x1ca9bcdb,0x3a207ff7,0x730aefff,0x999fffff,
    0x01fffd43,0x985fff88,0x2000ffff,0x2203fffd,0x30aefffe,0x99fffff7,
    0xffff9839,0x3fff6000,0x3afffea3,0xfebcefff,0x3fa0ffff,0x3ffa207f,
    0x3fe601ff,0x3f6000ff,0x3fa203ff,0xf730aeff,0x3999ffff,0x07fff600,
    0x3ffffea0,0x001fffff,0xcccccc88,0xfffccccc,0x33fff986,0x88007fff,
    0x00000aba,0xc83fffc4,0x91002fff,0x99999999,0x00dfff99,0x209ffff1,
    0x6fffffff,0x0bffea00,0xdfffd100,0x3ffee615,0x801cccff,0xf803fff9,
    0xff9804ff,0xfff1003f,0xfffff903,0x3fee1fff,0x0bfffb04,0x80ffffc4,
    0x1003fffa,0x3fa0bfff,0xff1003ff,0x7fec01ff,0x3ffe205f,0x7fff401f,
    0xffff1003,0x7ffffd41,0xfff982ff,0x81fffa3f,0x801ffffd,0x1003fffe,
    0x6c01ffff,0x3e205fff,0xd8001fff,0xc9801fff,0xffeccccc,0x4000001f,
    0xf986fff8,0x7fff33ff,0xaaaaa800,0x7f400001,0xffff81ff,0xf8800000,
    0xffc806ff,0x5fff305f,0x2007ffff,0x4003fff9,0x2205fffd,0x4001ffff,
    0x4403fff9,0xf9803fff,0xff5003ff,0xfffffb0d,0x7fd4ffff,0x01ffff05,
    0x505fffa8,0x22007fff,0xff705fff,0x3fea00df,0x7fffc05f,0x2fffd400,
    0x01bffee0,0x2a2fffd4,0x00efffff,0xfe9bffea,0xffffb07f,0x3ffee003,
    0xbfff5006,0x00ffff80,0x002fffd4,0x000fffec,0x007fff60,0xfff10000,
    0x27fff30d,0x2003fff9,0x05fffff9,0x7ffdc000,0x02fffcc4,0xfff88000,
    0x7fffc406,0x3a9ff900,0xf1006fff,0xff8009ff,0x7fd400ff,0x7fcc005f,
    0x7ffcc03f,0x3fff9802,0xa89ff900,0xffa9cfff,0x21bfea6f,0xf005fff9,
    0x3fea0fff,0xfff1003f,0x3fffe20b,0x2fffd801,0x017ffe60,0x2203fffc,
    0xd801ffff,0x7fd42fff,0xff800eff,0x0fffd1ff,0x003ffffb,0x00ffffc4,
    0x3017ffec,0x3e00bfff,0xfd8007ff,0x6c0001ff,0x00001fff,0x437ffc40,
    0xff33fff9,0x7fe4007f,0x0000ffff,0x91fffe20,0x00005fff,0x01bffe20,
    0x740bfff9,0xffff52ff,0x3fffe001,0xbfff3000,0x01fffe00,0x807fff30,
    0x9801fffc,0xfb003fff,0x45ffe87f,0x3fe64ffe,0x03fffa86,0x501fffd0,
    0x22007fff,0x3f605fff,0x7fc404ff,0x7ffd407f,0x1fffd003,0x04fffd80,
    0x543fffc4,0x9000ffff,0x3ffa7fff,0x0ffffec7,0x27ffec00,0x01fffe20,
    0x2007fff5,0x4000fffe,0x0001fffd,0x000fffec,0x3ffe2000,0x33fff986,
    0x7c007fff,0x02ffffff,0x3fffc000,0x0007fff6,0x37ffc400,0x40bfffa0,
    0x7ff47ff9,0xfff7002f,0xfff5001b,0x3fffa007,0x3ffe6000,0x17ffea03,
    0x01fffcc0,0x3ea1fff8,0x1fffc0ff,0xff70fff3,0x3ffa009f,0x07fff507,
    0x817ffe20,0x5c07fffa,0x7dc04fff,0xffd004ff,0xffff500f,0x84fffb80,
    0x2003fffa,0xffd4fffa,0x0ffffecf,0x7fffa800,0x027ffdc0,0x4013ffee,
    0xd8007ffe,0x40001fff,0x0001fffd,0x37ffc400,0xf98d5544,0xff3003ff,
    0x00bfffdf,0x0fffe800,0x0003fffa,0x37ffc400,0xb81fffe0,0x7ffe45ff,
    0xfffd1004,0xf70379df,0x3fa009ff,0x7fcc007f,0xfd99713f,0x26001dff,
    0xf9803fff,0x22ffec7f,0x3e62fff8,0x5fffa86f,0x05fff880,0x2007fff5,
    0x7405fff8,0x3fa02fff,0x7fd401ff,0xfff8805f,0x5fffd005,0x40ffff40,
    0x2003fffa,0xffd4fff9,0x03ffff6f,0x5fffd000,0x00ffff40,0x2017ffea,
    0x8005fff8,0x0001fffd,0x000fffec,0x3ffe2000,0x3ffe6006,0x3fff9003,
    0x0000ffff,0x3e1fffd8,0x000007ff,0x881bffe2,0x3f605fff,0x2fffdc3f,
    0x3fffae00,0xfffa84ff,0x5fff8805,0x9fffcc00,0xcefffffa,0x3ffe6000,
    0x46ffa803,0x7fcc3fff,0x217fe61f,0x401ffff8,0xf504fffc,0x3e2007ff,
    0x7fdc05ff,0xdfff105f,0x3ffff100,0x04fffc80,0x20bfff70,0xf506fff8,
    0x7cc007ff,0xbfffd5ff,0x0001ffff,0x20bfff70,0x8806fff8,0x6401ffff,
    0xd8004fff,0x40001fff,0x0001fffd,0x37ffc400,0x07fff300,0x7edbffe0,
    0x200002ff,0xff12fffc,0x400000df,0x2606fff8,0xff105fff,0x6fffb81f,
    0x7ffe4c00,0xfff884ff,0x7ffe401f,0x7ffcc004,0xbfffff53,0xfff98007,
    0x25ffb803,0x7dc1fff9,0x82ffd47f,0x701efffc,0x2a01ffff,0xf1003fff,
    0xff880bff,0xfffb80ff,0xdfff9003,0x3fffee03,0xffff1000,0x07fff701,
    0x800fffea,0xffd6fff8,0x05ffff7f,0xffff1000,0x07fff701,0x07bfff20,
    0x007fffdc,0x00fffec0,0x07fff600,0xff100000,0x7fcc00df,0xfff9803f,
    0x00bfff74,0x9fffdc00,0x0005fff8,0x1bffe200,0x504fffa8,0xfff50dff,
    0x7ffe400d,0xf902ceef,0x3ee03dff,0x4c000fff,0xdb933fff,0x001dffff,
    0x200fffe6,0x3fea4ffb,0x237fe40f,0x3fa04ffa,0xecabdfff,0x2a02ffff,
    0xf1003fff,0xffb00bff,0x1fffd07f,0x7ffff400,0xfffecabd,0x7fec002f,
    0x0fffe83f,0x007fff50,0xfeafffcc,0x3ffff97f,0xfffb0000,0x01fffd07,
    0x6fffff40,0xffffecab,0xfffb0002,0xffd80003,0x4000001f,0x2006fff8,
    0xc803fff9,0xfff11fff,0x7dc0000f,0xbfff33ff,0x7c400000,0x3ff206ff,
    0x09ffb03f,0x200ffff3,0x000dfffa,0x2f7ffffa,0x2ffffeca,0x3fff9800,
    0x0bfffb10,0x00fffe60,0xffb93ff2,0x5c5ffd87,0xfff304ff,0xffffffff,
    0xffa807ff,0xfff1003f,0xdfff500b,0x005fff98,0x3fffffe6,0x3fffffff,
    0x6fffa800,0x502fffcc,0x54007fff,0xfffd3fff,0x00ffffec,0x1bffea00,
    0x400bfff3,0xfffffff9,0x03ffffff,0x07fff600,0x3fffb000,0xf8800000,
    0x3e6006ff,0xfff803ff,0x017fff47,0x2fffc800,0x000dfff1,0x37ffc400,
    0x207fffb0,0xff881fff,0xdffd007f,0xffff9800,0xffffffff,0xff30003f,
    0xfffe807f,0x3fff9801,0x323ffc80,0x4ffe87ff,0x7441ffe4,0xffffeeff,
    0xa800dfff,0xf1003fff,0x3fe00bff,0x3fff21ff,0xdffd1002,0xfffffffd,
    0x7fc0001b,0x3fff21ff,0x0fffea02,0xd2fffb80,0xfffe8fff,0x7fc0000e,
    0x3fff21ff,0xdffd1002,0xfffffffd,0xfd80001b,0x6c0001ff,0x00001fff,
    0x037ffc40,0x807fff30,0x7dc4fff9,0xb00004ff,0x7ffc3fff,0x22000007,
    0x3f206fff,0x7ff984ff,0x00ffff30,0x4007fff1,0xffeeffe8,0x00dfffff,
    0x0fffe600,0x007fff50,0xb007fff3,0x37fe47ff,0x3fa1fffc,0x0fffb81f,
    0x01359753,0x01fffd40,0x005fff88,0x7fc9fff9,0x3fee007f,0x3597530f,
    0xff900001,0x03fffc9f,0x800fffea,0xffd1fffd,0xefffe88f,0x3ff20000,
    0x01fffe4f,0x530fffb8,0x00013597,0x007fff60,0x03fffb00,0xff880000,
    0x3fe6006f,0x7ffe403f,0x03fffcc1,0x1fffe800,0x0003fffa,0x37ffc400,
    0x909fff90,0x3fea09ff,0xfff9806f,0x3ffee003,0x13597530,0xfff30000,
    0x4fff8807,0x03fff980,0x3f23ffd8,0x17ffcc7f,0x7fec1bfe,0x7d400006,
    0xff1003ff,0x3fe200bf,0x09fff57f,0x0037fec0,0xfff88000,0x809fff57,
    0x3003fffa,0x7ff4ffff,0xeffff987,0xfff10000,0x013ffeaf,0x0006ffd8,
    0x3fff6000,0x7fec0001,0x4000001f,0x2006fff8,0x7c03fff9,0xfffd07ff,
    0xffd00005,0x0fffec1f,0xff880000,0x3ffee06f,0x502ffe85,0xf500dfff,
    0x7ec005ff,0x0000006f,0x8807fff3,0xf9804fff,0xffc803ff,0xf91fff23,
    0x27fd45ff,0x000ffff8,0x0fffea00,0x02fffc40,0xfb5fffb0,0x7fc003ff,
    0x000000ff,0xfb5fffb0,0xffa803ff,0xfffb003f,0x983fff45,0x0005ffff,
    0x3f6bfff6,0x3fe001ff,0x000000ff,0x003fffb0,0x01fffd80,0x7fc40000,
    0x1ccc886f,0x4c07fff3,0xff905fff,0xf880009f,0x7ffe46ff,0xf1000003,
    0x7fd40dff,0x07ffc46f,0x804fffb8,0x2002fffa,0x0000ffff,0x3fff9800,
    0x804fff80,0xc803fff9,0x3ffee4ff,0x45ffff30,0xffd02ffe,0x000015bf,
    0x2007fff5,0x2005fff8,0xfffdfffa,0x7fff4006,0x000000ad,0x7fefffd4,
    0xfffa806f,0x6fffb803,0xf503fff4,0x2000bfff,0xfffdfffa,0x7fff4006,
    0x000000ad,0x000fffec,0x007fff60,0xfff10000,0x27fff30d,0x3203fff9,
    0xff302fff,0xfa8000ff,0x7ffd44ff,0xf1000005,0x7fcc0dff,0x02ffdc7f,
    0x5005fffb,0x74005fff,0x000adfff,0x3ffe6000,0x04fff803,0x803fff98,
    0x3fe65ffb,0xffdffbef,0x206ffeae,0xfffffffc,0x2bceeeef,0x01fffd40,
    0x005fff88,0x7ffffffc,0x7ffe4003,0xeeefffff,0x40002bce,0x3fffffff,
    0xbefffa80,0x7fff5441,0x03fff41f,0x013fffee,0x7fffffc0,0x7fe4003f,
    0xeeffffff,0x4c02bcee,0xfd999999,0x99999aff,0x3fffb001,0xf8800000,
    0xfff986ff,0x407fff33,0x3e00ffff,0x20001fff,0x7c41fffd,0x00000fff,
    0x406fff88,0x3f61ffff,0xffff103f,0x5fff5003,0x7fffe400,0xeeeeffff,
    0xf30002bc,0xfff007ff,0x7fff3009,0xe8bff500,0xfd6fffff,0x801dffff,
    0xfffffffe,0xffffffff,0x3fffa80c,0x0bfff100,0xfffffc80,0xffe8000f,
    0xffffffff,0x00cfffff,0xfffffc80,0xfffa800f,0xffffffff,0xfe82ffff,
    0xfffc807f,0xffc8004f,0x8000ffff,0xfffffffe,0xffffffff,0x7fffc40c,
    0xffffffff,0x267fffff,0xfd999999,0x99999aff,0xff100001,0x7fff30df,
    0x4c0fffe6,0x7e405fff,0xf10004ff,0x3ff60fff,0x8800002f,0x7ec06fff,
    0x1fff15ff,0x01bffee0,0x0017ffd4,0x3ffffffa,0xffffffff,0x3e6000cf,
    0xfff803ff,0x3fff9804,0x446ff980,0xf50ffffe,0x1003dfff,0xffffffff,
    0xffffffff,0x07fff50d,0x017ffe20,0x9fffff10,0x3ffe2000,0xffffffff,
    0x006fffff,0x4fffff88,0xfffff500,0xffffffff,0x1fffa01b,0x1ffffec0,
    0x3fffe200,0xff10004f,0xffffffff,0x8dffffff,0xfffffff8,0xffffffff,
    0xffff17ff,0xffffffff,0x00ffffff,0x1bffe200,0x7ccfffe6,0xfff903ff,
    0x7fffa807,0x9fff5000,0x017ffea0,0x3ffe2000,0x7fffdc06,0x3a06ffa9,
    0xf5001fff,0xf88005ff,0xffffffff,0x6fffffff,0x0fffe600,0x2013ffe0,
    0x9803fff9,0x1ba887ff,0x22003750,0xbaacfffe,0xffffdccc,0x7ffd44ff,
    0xbfff1003,0xffffb000,0xffd10001,0x9997559f,0x9ffffffb,0xffffb000,
    0x3ffea001,0xeffffffe,0x3fff402c,0xffffe880,0x7ffec002,0xfe88000f,
    0xccbaacff,0xffffffdc,0x3ffffe24,0xffffffff,0xff17ffff,0xffffffff,
    0xffffffff,0x3fe20000,0x3fff986f,0x3e07fff3,0xff800fff,0xfe8001ff,
    0x3ffe01ff,0x4400001f,0x7c406fff,0x4ffcdfff,0x00bfffb0,0x0017ffd4,
    0x559fffd1,0xfffb9997,0x26009fff,0xff803fff,0xfff9804f,0x1fff8803,
    0xfe800000,0xfd3002ff,0x20000fff,0x8004fff9,0x0004fffd,0x2005fffd,
    0x007fffe9,0x004fffd8,0x4c4fffea,0x00000009,0x3ff60000,0xffd0004f,
    0x3fa6005f,0x000007ff,0x3fffffe2,0xffffffff,0x00007fff,0xf30bfff1,
    0x3ffe67ff,0x06fff983,0x009fffb0,0x404fffb8,0x0006fffc,0x02fffc40,
    0x7fffffdc,0xffffc81f,0x3ffea001,0x3fffa002,0xfffd3002,0x3ffe600f,
    0x04fff803,0x003fff98,0x00009ffb,0x05fffa80,0x0ffffcc0,0x7ffd4000,
    0x7ffd4003,0xffa8000f,0x7fcc005f,0x3ea001ff,0x2a000fff,0x00003fff,
    0x20000000,0x000ffffa,0x005fffa8,0x00ffffcc,0x20000000,0x0003ffe8,
    0x309fff50,0x3fe67fff,0xffffc83f,0xffffffff,0x007fffff,0x003fffe2,
    0x000bfffa,0x04fffa80,0xffffffd0,0x3fffb2a1,0x7fd4004f,0xfff5001f,
    0xfff9800b,0xfff9801f,0x05fff803,0x003fff98,0x0000fff5,0x02fffc80,
    0x01fffe80,0x1fffc800,0x2ffff400,0x2fffc800,0x1fffe800,0x17fffa00,
    0x07fff500,0xaaa80000,0x7f400002,0xf90005ff,0xfd0005ff,0x2aa003ff,
    0x2000002a,0x00004ffe,0x260bffee,0xfff33fff,0xffffff07,0xffffffff,
    0x003fffff,0x400ffff2,0x000ffffa,0x05fff700,0x3ffffa20,0xffffffff,
    0xffb8003f,0xfff9000f,0xfffd0005,0x7fff3003,0x00dffd00,0x4007fff3,
    0x00002fff,0x00bfffa0,0x00ffff10,0x1ffff100,0x7fffe400,0xfffd0000,
    0xfff88005,0x3fff2007,0x7fd4000f,0x4000003f,0x00005fff,0x003ffff2,
    0x017fff40,0x01fffe20,0x0005fff8,0x00dff900,0x7fffc400,0x33fff981,
    0xff987fff,0xffffffff,0xffffffff,0xfff9804f,0x7ffec006,0xff880004,
    0x7ec001ff,0xffffffff,0xfd0001ff,0x7ff400ff,0x7fc4002f,0xfff3007f,
    0x3fffb007,0x03fff980,0x003bff20,0x7ffe4000,0x7ffec005,0xffc80005,
    0x3ff2004f,0x320001ff,0x6c005fff,0xf9005fff,0x50003fff,0x00007fff,
    0x01fffcc0,0xffffc800,0x3ff20001,0x7fec005f,0xfff3005f,0x3e000007,
    0x001803ff,0x260bfff9,0xfff33fff,0xcdfffc87,0xcccccccc,0x06fffdcc,
    0x017fff44,0x0bfffe20,0xfffc800c,0xfff98005,0x0cdfffff,0xdfff7000,
    0x2fffe400,0x17fff600,0x01fffcc0,0x202fffdc,0x2003fff9,0x000efff9,
    0x7ffdc002,0x7f5401df,0x64c00fff,0x3ff6620a,0x999880ff,0x04ffffeb,
    0x7fffdc00,0x7ff5401d,0x4ccc40ff,0x04ffffeb,0x07fff500,0x7fdc0000,
    0x4cc4000f,0x4ffffeb9,0x7ffdc000,0x7f5401df,0xf7000fff,0x000001ff,
    0xf007fff3,0xfe98837b,0xff300fff,0x0fffe67f,0x0001ffff,0x7403ffff,
    0x50003fff,0xbf03ffff,0xffe98837,0xfb8000ff,0x001aa9df,0x3fff6620,
    0x3fee001f,0x75401dff,0x3000ffff,0xf1007fff,0x3015dfff,0xb8007fff,
    0x4c01efff,0x3ff6007c,0xedeeffff,0x1ffffffe,0xfffffa80,0x03ffffff,
    0xfffffff9,0x360000bf,0xeeffffff,0xfffffeed,0xffffc81f,0x0005ffff,
    0x000fffea,0x06ffc800,0xfffffc80,0x00005fff,0xdffffffb,0xffffddbd,
    0x7e4003ff,0x1000006f,0xf805dfff,0xffffffff,0x2603ffff,0xfff33fff,
    0x037ffcc7,0x04fffd80,0x0009fffb,0x40ffffb8,0xffffffff,0x003fffff,
    0x0007ffd0,0xffffffd0,0xffb000bf,0xdbddffff,0x3ffffffd,0xffffffb8,
    0x5003ffff,0xffffffff,0x3ffffe61,0x506fffff,0x77bfffff,0x00fffdb9,
    0xffffffd8,0xffffffff,0xfff5001d,0x5fffffff,0x7ffffe40,0x400002ff,
    0xfffffffd,0xdfffffff,0xfffff901,0xa80005ff,0x00003fff,0x000fffa0,
    0x3ffffff2,0x6c00002f,0xffffffff,0x1dffffff,0x01fff400,0xfff90000,
    0xfff01fff,0xffffffff,0xfff9805d,0x647fff33,0x50003fff,0xff90dfff,
    0x320000bf,0x3fe0efff,0xffffffff,0xf10002ef,0xd00001ff,0x09ffffff,
    0x7fffec00,0xffffffff,0xffb81dff,0xffffffff,0x3ffee003,0xff30ffff,
    0xffffffff,0x7fffd40d,0xffffffff,0xffc98006,0xffffffff,0x7ecc001d,
    0x0dffffff,0x77fffe40,0x3000000c,0xfffffff9,0xc803bfff,0x00ceffff,
    0x3fffa800,0xff100000,0xff90003f,0x00019dff,0x3fff2600,0xdfffffff,
    0xfff88001,0x22000001,0x80fffffe,0xffffffdb,0xff3004ef,0x8fffe67f,
    0x0000ffff,0xd83ffff1,0x400006ff,0x36e0effd,0xefffffff,0x7fd40004,
    0xffd00006,0x00003bdf,0xffffff93,0x403bffff,0xfffffffb,0x44003fff,
    0x30ffffec,0xffffffff,0xdb980dff,0xbefffffe,0x99880000,0x000019aa,
    0x00135531,0x00005544,0x54cc4000,0x5440019a,0x8800000a,0x00000999,
    0x40006660,0x00000aa8,0xaa998800,0x33000019,0x20000003,0x4403ccba,
    0x8001aa99,0xff33fff9,0x1bffe67f,0x9fffb000,0x00001db0,0x26201db0,
    0x00001aa9,0x0000fbae,0x000004c4,0x26aa6620,0x26662001,0x09999999,
    0x20cc4000,0x99999999,0x54400099,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9fffcc00,0xff93fff9,0xfb80007f,0x000106ff,0x00000400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9fffcc00,0x0003fff9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99fffcc0,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26609998,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2ccccb80,0x00000000,0x99db9531,0xb8000135,0x000002cc,
    0x53000000,0x203599b9,0xaaaaaaaa,0xaaaaaaaa,0x510aaaaa,0x35555555,
    0xaaa88001,0x5554001a,0x79930001,0x00155550,0x00d554c0,0x00555550,
    0x000ccc00,0x88005730,0x4002aaaa,0x55531aaa,0x55550001,0x002ae600,
    0x99988000,0x43333301,0xaaaaaaa9,0xaaaaaaaa,0x9988000a,0x54000009,
    0x0001aaaa,0x26666000,0xd8000009,0x0004ffff,0x001bffd7,0x3ffffaa0,
    0x3fffffff,0x0bffa000,0x7ff5c000,0x5c00000d,0xfffffffe,0x3fe1cfff,
    0xffffffff,0xffffffff,0xfff12fff,0xffffffff,0xffa8019d,0xf1000fff,
    0x2e0009ff,0xfffd86ff,0x3fee0001,0xfff5003f,0x2a00003f,0xf98007ff,
    0x7d4004ff,0x1001ffff,0x3ff29fff,0x7fc4003f,0x7ffdc06f,0x05d80dff,
    0x5ffff300,0x45ffff90,0xfffffffb,0xffffffff,0x7f44001f,0x00002fff,
    0x0bfffff3,0x3f600000,0x00004fff,0x01ffffd8,0xfffffd00,0x7f4c001f,
    0xffffffff,0x0003ffff,0x00007ffe,0x3ffffffa,0xfe880000,0xffffffff,
    0x3fe4ffff,0xffffffff,0xffffffff,0xfff12fff,0xffffffff,0x7d407fff,
    0x1004ffff,0x20009fff,0xffd84ffc,0x3ee0001f,0xff9803ff,0x200003ff,
    0x98004ffc,0x54004fff,0x005fffff,0x3f29fff1,0x7c4003ff,0x3fea06ff,
    0x9cffffff,0x4003ffd9,0xc82ffff9,0x7dc1efff,0xffffffff,0x1fffffff,
    0x3fffe600,0x80003fff,0x0ffffffc,0x7ec00000,0x00002fff,0x00dfffd8,
    0x739ff700,0x3e200bff,0xdeffffff,0x03ffffee,0x01fff100,0x9cffb800,
    0x40005ffb,0xfffffffb,0xffffffef,0x3fffffe4,0xffffffff,0x2fffffff,
    0xfffffff1,0xffffffff,0x3fffea09,0xff8800ff,0xffb0004f,0x03fffb07,
    0x1fffdc00,0x13fffa20,0x5ffd0000,0x9fff3000,0xffffa800,0xff8800ff,
    0x07fff94f,0x06fff880,0xfb7bfff3,0xdfffffff,0x7ffc4001,0xefffc82f,
    0xfffffb80,0xffffffff,0xf3001fff,0xfffd5fff,0xfff80007,0x0002ffff,
    0x3bfff200,0xfc800000,0x6c0003ff,0x803fe46f,0x00bffffe,0x20006e62,
    0x000fffa8,0x3f237ec0,0x3ff60007,0x441acfff,0x2004feb9,0x2004fffa,
    0x9886fff8,0x81fffffc,0x4ffffffa,0x04fff880,0xb05ffd00,0x40003fff,
    0x6c03fffb,0x00005fff,0x8003ffcc,0x4004fff9,0x4ffffffa,0x94fff880,
    0x88007fff,0x3f206fff,0x7ffff4c2,0x3a2000ef,0xffc81fff,0x3ffee04f,
    0xf5000003,0x7fe41bff,0xff30004f,0x00bfffdf,0x3fff2000,0x26000004,
    0xe8000099,0x007fdc5f,0x003bffee,0x3b6e2000,0xefffffff,0x2ff4001d,
    0x20003fee,0x01fffffa,0xfa800a60,0x3e2004ff,0x7fc406ff,0xfffa86ff,
    0x4400ffff,0xf0004fff,0xfffb03ff,0x7fdc0003,0x3fff203f,0x7310000e,
    0x0bffb9bb,0x13ffe600,0xfffff500,0xff8801ff,0x07fff94f,0x06fff880,
    0x39b9500c,0x39995000,0x80799930,0x0003fffb,0x03ccc880,0x00039995,
    0xfff3fff9,0x9300000f,0x00000599,0x001665cc,0xe88ffe40,0xfffd806f,
    0xfb800002,0xffffffff,0x4003ffff,0xdfd11ffc,0x3fffa000,0x4000000d,
    0x2004fffa,0x9806fff8,0xffa87fff,0x405fffcf,0x8004fff8,0xfd80fff8,
    0x2e0001ff,0xff503fff,0xd30001ff,0xffffffff,0x3e60009f,0x7d4004ff,
    0x04fffdff,0xfca7ffc4,0x7c4003ff,0x000006ff,0x80000000,0x0003fffb,
    0x00000000,0xffdb7ffc,0x0000002f,0xff700000,0x0001bfff,0x7ff7ffc4,
    0xffff802f,0x3a200000,0xffffffff,0x03ffffff,0x7f7ffc40,0xfb8002ff,
    0x000007ff,0x009fff50,0x8037ffc4,0x7d41ffff,0x1fffdaff,0x013ffe20,
    0x6c1ffe60,0x20001fff,0xf883fffb,0xa8002fff,0xffffffff,0x2a03ffff,
    0xffdccccc,0xccccccef,0xfff53ccc,0x401fffd5,0xff94fff8,0xff88007f,
    0x0000006f,0xb8000000,0x00003fff,0x20000000,0xff74fff9,0x000000bf,
    0xff500000,0x009ffdbf,0xffffe980,0xffff8803,0x3f600001,0xfd9adfff,
    0x03dba9cf,0xffffe980,0xfff88003,0x0000003f,0x4009fff5,0xd006fff8,
    0xffa85fff,0x05fff9af,0x2013ffe2,0xffffecb9,0xfffb0ace,0x7fdc0003,
    0x3fffe83f,0xffffc800,0xffffeeff,0xfff904ff,0xffffffff,0xffffffff,
    0x2ebffeab,0x3e203fff,0x7fff94ff,0x6fff8800,0x0005554c,0x2a615554,
    0xaa8000aa,0x3fffb82a,0x98800000,0x9accedca,0x7ffe4000,0x00ffff11,
    0x6e54c400,0x0009acce,0xfb077f40,0x5300001f,0x7ff40015,0xf700003f,
    0xffe83fff,0x54c00002,0xff70000a,0x000000df,0x0027ffd4,0x200dfff1,
    0x7d41ffff,0x3fffd2ff,0x813ffe20,0xffffffd8,0xfb2fffff,0x5c0003ff,
    0x7fec3fff,0xffc8004f,0x3f60adff,0xc82fffff,0xffffffff,0xffffffff,
    0xfff55fff,0x40ffff15,0xff94fff8,0xff88007f,0x1fffe46f,0x1bffe200,
    0x8007fff9,0xfb86fff8,0x000003ff,0x3fffffaa,0x03ffffff,0xfd1fffe0,
    0xa80005ff,0xfffffffe,0x0003ffff,0xff987ff1,0x05554c02,0xb1555400,
    0x0005ffff,0xf05fffd0,0x400003ff,0x001aaaaa,0x002fffd8,0x3fea0000,
    0x3fe2004f,0xfff8806f,0x52fffa87,0x3e20bfff,0xfff504ff,0xffffffff,
    0x3fff65ff,0x3fee0001,0x17ffee3f,0x3fffe200,0xffffff04,0xdddd70df,
    0xddffffdd,0x9ddddddd,0x7e4bffea,0xfff103ff,0x00ffff29,0xc8dfff10,
    0x44003fff,0x7fe46fff,0x7fc4003f,0x3fffb86f,0xfe980000,0xffffffff,
    0x3003ffff,0xffb89fff,0xfd30004f,0xffffffff,0x0007ffff,0xff313fe2,
    0x3fffc805,0x37ffc400,0x07fffff5,0x87fff800,0x0000fff8,0xbfffff30,
    0x3fffd000,0x54000000,0x22004fff,0xfd806fff,0xfffa85ff,0x20bfffa2,
    0xfa84fff8,0xfebdffff,0xfb2feccf,0x5c0003ff,0xfff33fff,0xff90001d,
    0x3ffe60bf,0x003ffffa,0x8009fff3,0xff32fffa,0x3ffe20df,0x007fff94,
    0x646fff88,0x44003fff,0x7fe46fff,0x7fc4003f,0x3fffb86f,0x7fc40000,
    0xedefffff,0x003ffffe,0xf983fff9,0xf88007ff,0xdeffffff,0x03ffffee,
    0x447ffa00,0x7e400ffd,0x7c4003ff,0x7ffdc6ff,0x4000bfff,0x4c0ffff9,
    0x200007ff,0x0ffffffc,0x03fffc00,0x3ea00000,0x3e2004ff,0x3f2206ff,
    0xffa80fff,0x1bffea2f,0xf113ffe2,0x7fc3dfff,0x7fec262f,0x3ee0001f,
    0xffff8bff,0xfff88001,0x29ff900f,0x3006fffe,0xa8009fff,0x3ff62fff,
    0x4fff882f,0x8007fff9,0x7e46fff8,0x7c4003ff,0x7ffe46ff,0x7ffc4003,
    0x03fffb86,0x7fff4000,0x2e6200bf,0x0ffff001,0x000bfffa,0x017ffffd,
    0x0000dcc4,0xfffdfff3,0x7fff9009,0x6fff8800,0xffffffc8,0x3fe001cf,
    0x37fd43ff,0xffff0000,0x44005fff,0x2a207fff,0xaaaaaaaa,0x3ffea001,
    0x3ffe2004,0xfcba999e,0xf502ffff,0xfffe85ff,0x227ffc42,0x220efffc,
    0xffb01fff,0x7dc0003f,0x2fffebff,0xbfff9000,0xfa97ff40,0xf9800fff,
    0x7d4004ff,0x3ffe62ff,0x94fff886,0x88007fff,0x7fe46fff,0x7fc4003f,
    0x1fffe46f,0x1bffe200,0x3bbbffee,0xeeeeeeee,0x3ffee04e,0x9800000e,
    0xff905fff,0x7fdc009f,0x000000ef,0x7ffffd40,0x7fff9004,0x6fff8800,
    0xffffff50,0xfd005bff,0x7fe41dff,0xff300005,0x00bfffdf,0x302fffd4,
    0xffffffff,0x7fd400bf,0x3fe2004f,0xffffffff,0x2a02ffff,0x7fcc2fff,
    0x27ffc46f,0x983ffff3,0xffb00fff,0x7dc0003f,0x04ffffff,0x0bfffa00,
    0x3fa3ffcc,0xff9802ff,0x7fd4004f,0x0ffff42f,0x7e53ffe2,0x7c4003ff,
    0x7ffe46ff,0x7ffc4003,0x01fffe46,0x21bffe20,0xfffffffb,0xffffffff,
    0x0bfff605,0x7fe40000,0xffff302f,0x17ffec00,0x88000000,0x32000aba,
    0x44003fff,0x2e206fff,0xfffffffe,0x3ffee01e,0x09ffb3ff,0x3fff2000,
    0x2007fff9,0x2605fffb,0xffffffff,0x3fea005f,0x3fe2004f,0xffffffff,
    0x7d400bef,0xfffd82ff,0xb93ffe22,0xffa84fff,0x07fff607,0xffffb800,
    0x0000ffff,0x7dc0ffff,0x27ffe45f,0x027ffcc0,0x50bffea0,0xff88bfff,
    0x07fff94f,0x46fff880,0x4003fffc,0x7e46fff8,0x7c4003ff,0xfffb86ff,
    0xffffffff,0x3e05ffff,0x00000fff,0x401ffff0,0xf001ffff,0x00001fff,
    0x90000000,0x88007fff,0xb5006fff,0x7fffffff,0x7ffffec0,0x0002ffee,
    0x3f6dfff0,0xff5002ff,0x7ffcc0bf,0x05ffffff,0x013ffea0,0xffffff88,
    0x00dfffff,0x982fffa8,0x3fe26fff,0x07fff64f,0xfd81bfee,0x2e0001ff,
    0xfffdbfff,0xfff88006,0x70fff605,0xf300bfff,0xfa8009ff,0xfffe82ff,
    0x653ffe21,0x44003fff,0x7fe46fff,0x7fc4003f,0x1fffe46f,0x1bffe200,
    0x2ab7ffee,0xaaaaaaaa,0xffff101a,0xf3000003,0xffc80bff,0xfff8804f,
    0x0000001f,0x3bfbb2e6,0xffc803cd,0x7fc4003f,0x7e4c006f,0x203fffff,
    0xfffffffd,0xf980002f,0xbfff74ff,0x1bffe600,0x17ffe600,0x04fffa80,
    0x31bffe20,0x801dfffb,0xfb02fffa,0x3ffe27ff,0x203fffa4,0x3f605ffc,
    0x2e0001ff,0xfff8bfff,0x7fcc004f,0x1fff105f,0x806fffb8,0x4004fff9,
    0xfa82fffa,0x3ffe25ff,0x007fff94,0x646fff88,0x44003fff,0x7fe46fff,
    0x7fc4003f,0x3fffb86f,0x3ffa0000,0xc800003f,0x7d403fff,0xffd007ff,
    0x8000007f,0xffffffd8,0x03ffffff,0x000ffff2,0x000dfff1,0x3fffff22,
    0x3fffea02,0x002dffff,0x447fff20,0xf1007fff,0xf3000fff,0x7d400bff,
    0x3e2004ff,0xfff906ff,0x2fffa80b,0x22ffff30,0x3ffe4fff,0x409ffb07,
    0x0001fffd,0x7ccfffee,0x2a003fff,0xff504fff,0x0dfff50d,0x009fff30,
    0xf02fffa8,0x3fe23fff,0x07fff94f,0x46fff880,0x4003fffc,0x7e46fff8,
    0x7c4003ff,0xfffb86ff,0x3f600003,0x00002fff,0x4007fffc,0xd801ffff,
    0x0002ffff,0x3fffe200,0xffffffff,0xfff905ff,0xfff88007,0x7fd40006,
    0x75c406ff,0xefffffff,0x7fff8001,0x8017fff4,0x4000ffff,0x2005fff9,
    0x2004fffa,0x3a06fff8,0x3ea02fff,0x3ff602ff,0x14fff8bf,0x3fa0ffff,
    0x3fff602f,0x3fee0001,0x3fffee3f,0x7fff9001,0x2613ff60,0xf9807fff,
    0x7d4004ff,0xfff702ff,0x653ffe29,0x44003fff,0x7fe46fff,0x7fc4003f,
    0x1fffe46f,0x1bffe200,0x000fffee,0xfffffa80,0xff300003,0x3ff600df,
    0xfffa804f,0x000003ff,0x79bdfff1,0xfffff975,0x07fff907,0x06fff880,
    0x7fffa800,0x3ffff200,0x2004ffff,0x7dc4fff9,0xffd004ff,0xff98005f,
    0x3fea005f,0x3fe2004f,0x3ffea06f,0x5fff500f,0x477ffc40,0x3ffe4fff,
    0x403fff07,0x0001fffd,0xfb0fffee,0xfb001fff,0x3ffe07ff,0x07fff881,
    0x004fff98,0x8817ffd4,0xff88ffff,0x07fff74f,0x45fff980,0x4003fffc,
    0x7e46fff8,0x7c4003ff,0xfffb86ff,0x7dc00003,0x00bfffff,0x3ffff200,
    0xffffffff,0x007fffff,0x7ffffff7,0x74400001,0x7fec400b,0x3fffc87f,
    0x37ffc400,0x7ffc4000,0xdff7001f,0x09ffffff,0x307fff20,0x3600ffff,
    0x4c006fff,0x2a005fff,0x22004fff,0x7f406fff,0xfff503ff,0xbfffc805,
    0x3ffa4fff,0x07ffc40f,0x003fffb0,0x21fffdc0,0x805fffe8,0xf984fffc,
    0xffff307f,0x09fff300,0x02fffa80,0x3e2ffff2,0x9fff54ff,0x4fffa800,
    0x001fffe4,0xf91bffe2,0xf88007ff,0xfffb86ff,0xfc800003,0x1cffffff,
    0xfffff800,0xffffffff,0x01ffffff,0xffffff90,0x0000039f,0x3fffd100,
    0x003fffc8,0x0037ffc4,0x01fffe80,0x3ea9ff90,0xf803ffff,0xfffd07ff,
    0xffff5005,0x7ffcc003,0x3ffea005,0x3ffe2004,0x3fffd406,0x402fffa8,
    0xfffffff8,0x30ffff64,0xffd80fff,0x3ee0001f,0xfff983ff,0x7ffe404f,
    0x504ffc84,0xf300dfff,0xfa800bff,0x3fe202ff,0x34fff8ef,0xb800bfff,
    0x7fe43fff,0x7fc4003f,0x1fffe46f,0x1bffe200,0x000fffee,0x7fffd400,
    0x002dffff,0xfffffff3,0xffffffff,0x4009ffff,0xfffffffa,0x000002df,
    0x217ffe40,0x4003fffc,0x0006fff8,0x400ffff0,0x3f623ffd,0x7fcc07ff,
    0x9fff905f,0x17fffa00,0x05fff980,0x013ffea0,0x806fff88,0xfa83fffe,
    0xffc802ff,0x3f24ffff,0x37fd46ff,0x007fff60,0x03fffb80,0x405ffff7,
    0xfe85fffb,0xdfff502f,0x0dfff100,0x02fffa80,0x7fdfffe4,0x0dfff14f,
    0x42fffd80,0x4003fffc,0x7e46fff8,0x7c4003ff,0xfffb86ff,0x22000003,
    0xffffffeb,0x7fe401ef,0xccccccdf,0xffdccccc,0x75c4006f,0xefffffff,
    0x50000001,0xffc87fff,0x7fc4003f,0xfb80006f,0x3fa006ff,0x7fffc42f,
    0x0bfff201,0x803fffcc,0x005ffff9,0x400bfff3,0x2004fffa,0xb806fff8,
    0xffa86fff,0xfff8802f,0x3fe24fff,0x17fee4ff,0x003fffb0,0x01fffdc0,
    0x201ffffb,0x7c46fffa,0xfff700ff,0x3fffe009,0x3ffea000,0x77ffc402,
    0x3ffe4fff,0xfff3003f,0x07fff90d,0x46fff880,0x4003fffc,0xfb86fff8,
    0x000003ff,0xfffffb50,0x7ffc07ff,0xfff8000f,0xfb50001f,0x07ffffff,
    0xff500000,0x3fffc89f,0xb7ffc400,0xffa80019,0x3fe004ff,0x3fffd81f,
    0x803fffe0,0xb001ffff,0x801dffff,0x2005fff9,0x2004fffa,0x8806fff8,
    0x7d42ffff,0xff7002ff,0xffc89fff,0x09ff94ff,0x07fff611,0x3fffb800,
    0x3bfffa20,0x47fff980,0x3f605ffb,0xffd002ff,0x7fd400bf,0xfffd802f,
    0x3fee4fff,0x7f4c01ff,0xfffc83ff,0x7ffc4003,0x01fffe46,0x21bffe20,
    0x0003fffb,0x7fe4c000,0xf983ffff,0xfb0006ff,0x980009ff,0x3ffffffc,
    0x33310000,0x89fff733,0x4003fffc,0xff76fff8,0x3333557b,0xbffffd75,
    0x07ffc400,0x9817ffec,0x7e405fff,0xff1004ff,0x359bffff,0xbfffb533,
    0x27ffd400,0x0dfff100,0x51bffee0,0x22005fff,0x444fffff,0xfefffffe,
    0x2feba9cf,0x5559fffb,0x55555555,0x01fffdc5,0x417fffe6,0x3f61ffff,
    0xffff103f,0x3ffea003,0x2e620aef,0x005fff53,0x9ffffff3,0x9cffffe8,
    0xffff7310,0x7fff901d,0x6fff8800,0x001fffe4,0x2e1bffe2,0xaaaadfff,
    0xaaaaaaaa,0xfc880000,0x7e42ffff,0xf50003ff,0x20000dff,0x2fffffc8,
    0xffed9800,0xffffffff,0x1fffe44f,0x5bffe200,0xfffffffb,0xffffffff,
    0x3e6000ef,0x1ffff07f,0x00ffff20,0x400ffff5,0xffffffd8,0xffffffff,
    0x3fea005f,0x3fe2004f,0xfff1006f,0x17ffd45f,0x9ffff700,0xfffffd10,
    0xffffffff,0x3fffff65,0xffffffff,0xfff70fff,0xffff5007,0x2bfffb07,
    0xf700fff8,0xfd800dff,0xffffffff,0x5fff55ff,0x3ffff600,0x7fffd44f,
    0xffffffff,0xff900eff,0xff88007f,0x1fffe46f,0x1bffe200,0x3fffffee,
    0xffffffff,0x200001ff,0x7c6ffffa,0x10000fff,0x0003ffff,0x37fffd40,
    0xffffb300,0xffffffff,0xfffc89ff,0x7ffc4003,0xffffff76,0xffffffff,
    0xfa80019f,0x7fffb86f,0x003fffe0,0x0007fffe,0xfffffff5,0x9fffffff,
    0x27ffd400,0x0dfff100,0x537ffe40,0xf8005fff,0xfb104fff,0xffffffff,
    0x3ff65fff,0xffffffff,0x70ffffff,0x32007fff,0x7dc1ffff,0x6ffa9fff,
    0x007fffa0,0xfffffb10,0x2abfffff,0xf5002fff,0xd109ffff,0xffffffff,
    0x5c01dfff,0x4c003fff,0x7fdc5fff,0x7fcc003f,0xffffb85f,0xffffffff,
    0x0001ffff,0x33fffd40,0x8000dfff,0x0004fffd,0x03fffd40,0xffffff98,
    0xfeeeeeee,0x7ffe44ff,0x7ffc4003,0xffffd936,0x7dffffff,0x5c0dd401,
    0x3ff225ff,0xfff303ff,0x3fff600d,0xedb88004,0xdfffffff,0x7fd4000b,
    0x3fe2004f,0x3fe2006f,0x5fff52ff,0x4fffb800,0x7fff5c40,0x361acdff,
    0xffffffff,0xffffffff,0x007fff70,0x107ffff4,0xff9bffff,0x17fff609,
    0xfffda800,0xf54fffff,0x7f4005ff,0x36e04fff,0xdfffffff,0x4fffa801,
    0x27ffd400,0x0013ffea,0xf709fff5,0xffffffff,0x3fffffff,0xff880000,
    0x7fff91ff,0xfffb8000,0x7c400006,0x74401fff,0x5402efff,0x7fdc4fff,
    0x7fcc003f,0x5553105f,0x7dc00135,0xffecdeff,0xfffffece,0x3ffff205,
    0xffffffff,0x007fffff,0x01355300,0x00000000,0x00000000,0x2007fff5,
    0x0000fffa,0x00000000,0x3ffffee0,0xfffc81ff,0x3100001f,0x00001333,
    0x3ee20000,0x3e6002ff,0x7dc005ff,0x7ffcc3ff,0x7ffdc005,0xffb00003,
    0x3a00000b,0x00001fff,0x000bffb0,0x07fffa00,0x01dfff70,0xa89fff50,
    0x54004fff,0x00004fff,0x7ffffdc0,0xffffffff,0x7fc05fff,0xffffffff,
    0xffffffff,0x0000001f,0x00000000,0x00000000,0x2005fff7,0x00006ffb,
    0x00000000,0xffffffe8,0xffffd950,0x00000009,0x20000000,0x4003ffe8,
    0x4006fff8,0x7c41fffd,0x7ec006ff,0xc80001ff,0x000006ff,0x0001fffe,
    0x0037fe40,0x0ffff000,0x005fffb0,0xf313ffea,0xfb800bff,0x2aa003ff,
    0xfff7002a,0xffffffff,0x9803bfff,0xffffffff,0xffffffff,0x20004fff,
    0x00002aaa,0x00015554,0x00055550,0x7ffe4000,0x09ff9001,0x01555400,
    0x02aaa800,0xffffd100,0xffffffff,0x5500007f,0x2a000055,0x900002aa,
    0x3e000dff,0xf3003fff,0x3ffe0dff,0xfff3003f,0xff30000d,0x2000003f,
    0x0006fffb,0x01fff980,0xfff70000,0x1fffd00d,0x13ffea00,0x800dfff1,
    0x2001fffd,0x26005fff,0xffffedca,0x9001acde,0x9999bfff,0xb9999999,
    0x4000dfff,0x00005fff,0x0002fffc,0x000bfff0,0x3ffe2000,0x0fff6007,
    0x05fff800,0x0bfff000,0xffffd800,0x1fffffff,0xbfff0000,0x3ffe0000,
    0xff880005,0xff70002f,0xfe9803ff,0xfff702ff,0xffe9803f,0xfd80002f,
    0x000cc06f,0x027fffd4,0x2ffec000,0x2a000660,0xf804ffff,0xfb801fff,
    0xfff84fff,0xfff3003f,0x7ffcc00d,0x7fcc0003,0x3ffe0007,0xfff8000f,
    0xff98001f,0x2600003f,0x00003fff,0x0007fff3,0x3fff6000,0x0bffa004,
    0x1fffcc00,0x7ffcc000,0x7fcc0003,0xcdffffff,0xff300000,0xf300007f,
    0x500007ff,0x40005fff,0x09cffffe,0xbffff731,0xcffffe80,0xfff73109,
    0x3e0000bf,0x7fdc05ff,0x9999aabd,0x5ffffeba,0xfff00000,0xbdffb80b,
    0xba9999aa,0x005ffffe,0x4409fffb,0x84fffffd,0x401ffffb,0x002fffe9,
    0x0003ffee,0x000dff50,0x001bffe6,0x0027ffec,0x0007ffdc,0x01fff700,
    0x3ffee000,0x22000000,0x00ffffe9,0x0007ffe0,0x0007ffdc,0x007ffdc0,
    0x277fee00,0x000001aa,0x0001fff7,0x001fff70,0x3dfff100,0x3ffea000,
    0xffffffff,0x5400efff,0xffffffff,0x0effffff,0xfffb0000,0x3ffee015,
    0xffffffff,0x00efffff,0xfffb0000,0x3ffee015,0xffffffff,0x00efffff,
    0x87ffff90,0xffffffb9,0xffffd04f,0x3ee62139,0x64005fff,0xb80006ff,
    0xf90005ff,0x2a0007ff,0xc8006fff,0x400006ff,0x00006ffc,0x0001bff2,
    0xfffffa80,0x3fe2002f,0xff90000f,0x3f20000d,0xfe80006f,0x0000003f,
    0x0000dff9,0x0001bff2,0x7fffffc8,0xfffe8800,0xffffffff,0x3ffa2004,
    0xffffffff,0x4c00004f,0x42ffffff,0xfffffffb,0xffffffff,0x2000000c,
    0x2ffffff9,0x7fffffdc,0xffffffff,0x3a2000cf,0xffffffff,0xfff9ffff,
    0xfffff504,0xffffffff,0xfe8001df,0xfc80003f,0xfff0004f,0x3e20001f,
    0x74001fff,0x400003ff,0x00003ffe,0x0000fffa,0xfffffa80,0x3ffcc002,
    0x07ffd000,0x0fffa000,0x1fff1000,0x3a000000,0xd00003ff,0x400007ff,
    0x07ffffe8,0x3fffae00,0x001defff,0xfffffd70,0x00003bdf,0x3fffff60,
    0x7fff64c2,0xefffffff,0x0000000b,0x85fffffb,0xfffffec9,0x0befffff,
    0xffff3000,0x1bffffff,0xe8813ffe,0xffffffff,0x88004fff,0x80001fff,
    0x98003ffd,0x40006fff,0x2004fffd,0x0001fff8,0x007ffe20,0x0fffc400,
    0xff500000,0xf500019f,0x3e2000df,0x880001ff,0x40001fff,0x00006ffa,
    0x03fff100,0x3fff1000,0x97500000,0x22000079,0x000009a9,0x0004d4c4,
    0xccb98000,0x554c400c,0x000009aa,0x332e6000,0x554c400c,0x000009aa,
    0x3fffff22,0x27ffc2df,0x7ffff5c0,0x0001deff,0x40000666,0xc8000aaa,
    0x40003fff,0x4006fffb,0x80000199,0x40000199,0x00000199,0x200004c4,
    0x20003cca,0x20000199,0xb8000199,0x000003ee,0x00006660,0x00001998,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02a62000,
    0x54c40000,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x31009998,0x00000133,0x02aa8800,0x00003553,
    0x19999930,0x002ae600,0x2aa60000,0x4000001a,0x00099998,0x00099988,
    0x06666000,0x99988000,0x03333301,0x02600260,0x20555100,0x00001aa9,
    0x00006666,0x13333300,0x80666200,0xaaa81999,0xaaaaaaaa,0x00aaaaaa,
    0x33333000,0x99880001,0x26600009,0x00000999,0x01333100,0x26002600,
    0x77776c00,0x13fff200,0x001dfff5,0xeffecba8,0x3e2002cd,0x3ffe80ff,
    0x7fcc0000,0xfb801eff,0xd80dffff,0x7fcc0005,0x00003fff,0x3dffff50,
    0xfffe8800,0xc800002f,0x0005ffff,0x82ffff98,0x402ffffc,0xd102ffe8,
    0x7c4003ff,0x3ffe80ff,0xfff90000,0x200000bf,0x004ffffd,0x883bffe6,
    0x7c42fffd,0xffffffff,0xffffffff,0xffd80002,0x440004ff,0x002ffffe,
    0x1dffff50,0xe8800000,0x2002ffff,0xd102ffe8,0x7ff403ff,0x7fdc00ff,
    0x5fffc8ef,0x7fff5400,0x05ffffff,0x4d6fffc0,0x001fffca,0x3fffe600,
    0xfffa800d,0x99cfffff,0x50003ffd,0x9fffffff,0xffa80000,0xf98004ff,
    0x03ffffff,0x3fff6000,0x20005fff,0xc82ffff9,0xb801efff,0xffb07fff,
    0xfff800df,0xfffca9ad,0xffd80001,0x0005ffff,0x17fffec0,0x7fffcc00,
    0x81ffff9a,0xfffffff8,0xffffffff,0x6c0002ff,0x0002ffff,0x7fffffcc,
    0xfd10003f,0x00001dff,0x3ffffe60,0xff7003ff,0x3fff60ff,0x3ffff606,
    0xffffb800,0x64005fff,0xffffffff,0x54005fff,0xffffffff,0x2600005f,
    0x3003ffff,0xffb7bfff,0x1dffffff,0xdfff5000,0x009fffb3,0x3fffea00,
    0xfff98002,0x03fffeaf,0x7ffec400,0x00efffcc,0x17fffc40,0x0077ffe4,
    0x907fffb8,0xa800dfff,0xffffffff,0x6c40005f,0xfffccfff,0xfc80000e,
    0x20000eff,0xffffffe8,0xffff101e,0xffffffff,0x005fffff,0x077ffe40,
    0x3ffe6000,0x03fffeaf,0x3bfff200,0x7cc00000,0xfffeafff,0x7fffb803,
    0x40dfff90,0x2007fffd,0x04fffffa,0x6ffffd40,0x4cba99aa,0xffffb800,
    0x00005fff,0x007bffe2,0xfe985f90,0x000effff,0x5c5fffb8,0x40005fff,
    0x000efffa,0x20dfffa8,0x0004fffc,0x545fffd1,0x1000efff,0xf903fffd,
    0xf88009ff,0xfff304ff,0xfff70007,0x000bffff,0x22fffe88,0x000efffa,
    0x013fff20,0x7fff4400,0xf50000ef,0x000009ff,0x0009fff9,0x41bfff50,
    0x0004fffc,0x003bffea,0x6fffd400,0x013fff20,0x2609fff1,0x3f203fff,
    0x64c007ff,0x7c4003cc,0x00002fff,0x333b2e20,0x4c400001,0x80600019,
    0x0001cdca,0x26055551,0x10001aaa,0x20007999,0x9503ccc8,0x97000399,
    0x99910199,0x3332a007,0x03ccc981,0x88055100,0x2e20001b,0x0001ccec,
    0x880cccb8,0x30003ccc,0x00005999,0x00cccc88,0x13ffea00,0x99930000,
    0x99100005,0x3332a079,0x33220001,0xc880003c,0x999503cc,0x402a8803,
    0x7fe401b8,0x0000006f,0x0027ffcc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x027ffd40,0x00000000,0x00000000,0x00000000,0x40000000,
    0x0006fffb,0x7ffdc000,0x00000003,0x3bbaa000,0x0eeeeeee,0x00000000,
    0x002eeea8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09fff500,0x00000000,0x00000000,0x00000000,
    0x00000000,0x400dfff7,0xccedca98,0x3fea009a,0xa980006f,0xaa8000aa,
    0xffff502a,0x03ffffff,0x9b731000,0x3ea00035,0x000003ff,0x2f332a20,
    0x7310001a,0x0000359b,0x2f332a20,0x7310001a,0x2000359b,0x8000aaa9,
    0x22002aaa,0x001acdb9,0x9b953000,0x554c0359,0xaaa8000a,0xcca88002,
    0x54001abc,0x00004fff,0x06b36e62,0x02aaa600,0x00aaaa00,0x1acdb988,
    0x2aaa6000,0xaaaaaaaa,0x22001aaa,0x001acdb9,0x2017ffea,0xffffffea,
    0x103fffff,0x0009ffff,0x003fffc8,0xa837ffc4,0xffffffff,0x260001ff,
    0xfffffffe,0x3ea000df,0x000003ff,0x7ffffed4,0x00ceffff,0xfffffe98,
    0x0000dfff,0x7ffffed4,0x00ceffff,0xfffffe98,0x2000dfff,0x4003fffc,
    0x9806fff8,0xfffffffe,0x5c0000df,0xfffffffe,0x7e41cfff,0x7c4003ff,
    0xfb5006ff,0xffffffff,0xff50019d,0xd300009f,0xffffffff,0x3ff2001b,
    0x7fc4003f,0xffe9806f,0x0dffffff,0x7fffdc00,0xffffffff,0xfe9805ff,
    0xdfffffff,0x2fffd400,0xfffffd30,0xffffffff,0x7fffe407,0xff90000d,
    0xff88007f,0x5555106f,0x03fffd55,0x3fffea00,0xffffffff,0x7fff5001,
    0x36200000,0xffffffff,0x402fffff,0xfffffffa,0x001fffff,0xfffffd88,
    0xffffffff,0x7fffd402,0xffffffff,0x7fff9001,0x6fff8800,0x7ffffd40,
    0x1fffffff,0xfffe8800,0xffffffff,0x7ffe44ff,0x7ffc4003,0x7ffec406,
    0xffffffff,0xffa802ff,0x7d40004f,0xffffffff,0xfc801fff,0x7c4003ff,
    0x7fd406ff,0xffffffff,0x3ee001ff,0xffffffff,0x405fffff,0xfffffffa,
    0x201fffff,0xf103eee9,0xbdffffff,0x07ffffdd,0x7fffffc4,0xfffc8003,
    0x7ffc4003,0xfffd8006,0xfffc8001,0xffffefff,0xfa802fff,0x800003ff,
    0xffffffe9,0xffffffef,0x3ffff202,0xfffffeff,0x3a6002ff,0xefffffff,
    0x02ffffff,0x3ffffff2,0xfffffffe,0x3fffc802,0x37ffc400,0xffffff90,
    0xfffffffd,0x7ffdc005,0xffefffff,0x7e44ffff,0x7c4003ff,0x3fa606ff,
    0xfeffffff,0x802fffff,0x0004fffa,0x3ffffff2,0xfffffffe,0x1fffe402,
    0x1bffe200,0xffffffc8,0xfffffffe,0xffff7002,0xffffffff,0x7fe40bff,
    0xfffeffff,0x0002ffff,0x05fffff4,0x26037310,0xffffffff,0x3ff2001e,
    0x7fc4003f,0xffd8006f,0x7fe4001f,0x2e60adff,0x402fffff,0x0003fffa,
    0x7ffffd40,0x75cc41ad,0xffff902f,0x7fdcc15b,0xfa802fff,0x41adffff,
    0x902feb98,0x415bffff,0x2fffffb9,0x01fffe40,0x41bffe20,0x0adffffc,
    0x3ffffee6,0xffffd802,0x5cc41acf,0x7ffe44fe,0x7ffc4003,0xfffff506,
    0xeb98835b,0xfffa802f,0xfff90004,0x7dcc15bf,0x3202ffff,0x44003fff,
    0xff906fff,0x5cc15bff,0x802fffff,0x99999998,0x5fffb999,0x5bffff90,
    0x7fffdcc1,0xff70002f,0x300001df,0xffdbffff,0x32009fff,0x44003fff,
    0xd8006fff,0x22001fff,0x4c04ffff,0x5406ffff,0x00003fff,0x01fffff4,
    0xfff10330,0xfff9809f,0xfffe806f,0x2066003f,0x404ffff8,0x406ffff9,
    0x4003fffc,0xf886fff8,0x7cc04fff,0x7d406fff,0x2001ffff,0x1fffe429,
    0x1bffe200,0x01fffff4,0xff500330,0xff10009f,0xff9809ff,0x3ff206ff,
    0x7fc4003f,0xffff886f,0x7fffcc04,0x7d400006,0xfff885ff,0x7ffcc04f,
    0xffb0006f,0x3a00005f,0x3fee2fff,0x6401efff,0x44003fff,0xd8006fff,
    0x32001fff,0xf3005fff,0x7d403fff,0x200003ff,0x001ffffb,0x0bfff900,
    0x07fffe60,0x01ffffb8,0xbfff9000,0x3fffe600,0x0ffff201,0x0dfff100,
    0x200bfff9,0x201ffff9,0x000dfffe,0x03fffc80,0x437ffc40,0x001ffffb,
    0x9fff5000,0xbfff9000,0x3fffe600,0x07fff901,0x86fff880,0x3005fffc,
    0x0003ffff,0x42fffd40,0x3005fffc,0x0003ffff,0x0001ffff,0x109fff50,
    0x05fffffd,0x001fffe4,0x001bffe2,0x4007fff6,0x000ffff8,0xa817fff2,
    0x00003fff,0x005ffff1,0x3fffe200,0x3fff2000,0x5ffff105,0x3fe20000,
    0x3f2000ff,0x3ff205ff,0x7fc4003f,0x7fffc46f,0x3fff2000,0x0ffff705,
    0x7ffe4000,0x7ffc4003,0x17fffc46,0xff500000,0xff88009f,0x3f2000ff,
    0xfff905ff,0xfff88007,0x07fffc46,0x0bfff900,0x7ffd4000,0x07fffc45,
    0x0bfff900,0x1ffff880,0xfffc8000,0x3fffee01,0x7fff902f,0x6fff8800,
    0x1fffd800,0x0bfff900,0x0ffff980,0x987fff50,0x403cefec,0x0006fffc,
    0x017fff20,0x01ffff30,0x000dfff9,0x02fffe40,0x03fffe60,0x001fffe4,
    0xf91bffe2,0xf9800bff,0x7fc40fff,0x200003ff,0x4003fffc,0x7e46fff8,
    0x000006ff,0x0027ffd4,0x0017fff2,0x901ffff3,0x88007fff,0x7fe46fff,
    0x7fcc005f,0x500000ff,0xffc8bfff,0x7fcc005f,0x7f4000ff,0xd80003ff,
    0xfe8807ff,0xffc80fff,0x7fc4003f,0xffd8006f,0xfffd001f,0xfffd0005,
    0x4fffea05,0xffffffd8,0xffff00ef,0x7f400005,0xfe8002ff,0xffff82ff,
    0x3fa00002,0xfe8002ff,0xfff902ff,0xfff88007,0x017fff46,0x217fff40,
    0x0006fffb,0x01fffe40,0xf1bffe20,0x00005fff,0x04fffa80,0x017fff40,
    0x417fff40,0x4003fffc,0x7f46fff8,0xfe8002ff,0x500002ff,0xffe8bfff,
    0xffe8002f,0x7fec002f,0x6c0002ff,0xe8801fff,0xffc84fff,0x7fc4003f,
    0xffd8006f,0xffff001f,0x3fff2000,0x35fff503,0xffffffff,0xff881fff,
    0x7c00007f,0xf90007ff,0xfff887ff,0x7fc00007,0xff90007f,0x3fff207f,
    0x7ffc4003,0x003fffc6,0x6c3fffc8,0x00002fff,0x001fffe4,0xf89bffe2,
    0x000007ff,0x004fffa8,0x8003fffc,0xfc83fffc,0x7c4003ff,0x3fffc6ff,
    0x3fffc800,0xfff50000,0x007fff8b,0x007fff90,0x3fffffa8,0x3ffee000,
    0xdfff3004,0x007fff90,0x006fff88,0x801fffd8,0x0005fff8,0x2a09fff7,
    0xffffcfff,0xffffdbbd,0x037ffd44,0xbfff1000,0x3ffee000,0x037ffd44,
    0xbfff1000,0x3ffee000,0x07fff904,0x26fff880,0x0005fff8,0xfe89fff7,
    0x400001ff,0x4003fffc,0x3ea6fff8,0x000006ff,0x004fffa8,0x0017ffe2,
    0x6427ffdc,0x44003fff,0x3fe26fff,0xff70005f,0x2a00009f,0x3fe25fff,
    0xff70005f,0xff70009f,0x0017ffff,0x02ffff98,0xc81fffd0,0x44003fff,
    0xd8006fff,0xf9801fff,0xf50005ff,0x3fea0bff,0xb81effff,0x3ee0ffff,
    0x200005ff,0x0005fff9,0xfb8bfff5,0x200005ff,0x0005fff9,0x320bfff5,
    0x44003fff,0x3fe66fff,0xff50005f,0x07fff8bf,0xfffc8000,0x7ffc4003,
    0x017ffee6,0x3fea0000,0x3fe6004f,0xff50005f,0x7fff90bf,0x6fff8800,
    0x0017ffe6,0x002fffd4,0x25fffa80,0x0005fff9,0x000bfff5,0x3ffffff2,
    0x3f2001cf,0xfc802fff,0x7ffe41ff,0x7ffc4003,0xfffd8006,0x4fffa801,
    0xdfff3000,0x3ffffea0,0x3fffa00d,0x00ffff22,0x4fffa800,0xdfff3000,
    0x003fffc8,0x13ffea00,0x37ffcc00,0x003fffc8,0xf537ffc4,0x260009ff,
    0x3fe26fff,0x2aaa207f,0x41aaaaaa,0x4003fffc,0x3f26fff8,0x000003ff,
    0x004fffa8,0x0013ffea,0x6437ffcc,0x44003fff,0x3fea6fff,0xff30004f,
    0x2a0000df,0x3fea5fff,0xff30004f,0x7d4000df,0xdfffffff,0xfffe8802,
    0x7ffec04f,0x01fffe40,0x01bffe20,0x007fff60,0x000ffff2,0xa83fffc4,
    0xb806ffff,0x3ff63fff,0x3200002f,0x10003fff,0xffd8ffff,0x3200002f,
    0x10003fff,0x3f20ffff,0x7c4003ff,0x3fff26ff,0xfff10003,0x02fffd4f,
    0xfffffff3,0xfffc8bff,0x7ffc4003,0x00bfff66,0x3fea0000,0x3ff2004f,
    0xff10003f,0x7fff90ff,0x6fff8800,0x000ffff2,0x003fffc4,0x25fffa80,
    0x0003fffc,0x000ffff1,0xffffeb88,0x4401efff,0x81effffe,0xfc85fff8,
    0x7c4003ff,0xfd8006ff,0xffd801ff,0xff10003f,0x3ffea0ff,0xfff9800e,
    0x00bfffa4,0x3fffd800,0xffff1000,0x002fffe8,0x0ffff600,0x3fffc400,
    0x003fffc8,0xfb37ffc4,0x220007ff,0x3fee7fff,0x3ffe605f,0x45ffffff,
    0x4003fffc,0x3fa6fff8,0x000002ff,0x004fffa8,0x000ffff6,0x643fffc4,
    0x44003fff,0x3ff66fff,0xff10003f,0x2a0000ff,0x3ff65fff,0xff10003f,
    0x540000ff,0xfffffffd,0xffffd803,0xfffd10cf,0x07fff905,0x06fff880,
    0x01fffd80,0x003fffc8,0x20ffff30,0x3003fffa,0x7ff4bfff,0x3200003f,
    0x30003fff,0xffe8ffff,0x3200003f,0x30003fff,0x3f20ffff,0x7c4003ff,
    0x3fff26ff,0xfff30003,0x02fffd4f,0xfffffff3,0xfffc8bff,0x7ffc4003,
    0x00ffffa6,0x3fea0000,0x3ff2004f,0xff30003f,0x7fff90ff,0x6fff8800,
    0x000ffff2,0x003fffcc,0x25fffa80,0x0003fffc,0x000ffff3,0xffff9300,
    0xff5007ff,0xffd7ffff,0x3fff209f,0x7ffc4003,0xfffd8006,0x4fffb801,
    0xdfff3000,0x00fffea0,0xfb2fffc4,0x400009ff,0x0004fffb,0xfd8dfff3,
    0x200004ff,0x0004fffb,0x320dfff3,0x44003fff,0x3fee6fff,0xff30004f,
    0x37ffccdf,0x2fffcc00,0x000ffff2,0x7ecdfff1,0x000004ff,0x004fffa8,
    0x0013ffee,0x6437ffcc,0x44003fff,0x3fee6fff,0xff30004f,0x2a0000df,
    0x3fee5fff,0xff30004f,0x400000df,0x2fffffc8,0xffffc880,0x3205ffff,
    0x44003fff,0xd8006fff,0xfa801fff,0xf50005ff,0x3fea0dff,0xfff1003f,
    0x027ffe4b,0xbfff5000,0x3ffea000,0x027ffe46,0xbfff5000,0x3ffea000,
    0x07fff906,0x26fff880,0x0005fffa,0x7c4dfff5,0xf98007ff,0x7ffe45ff,
    0x7ffc4003,0x013fff26,0xaaaaa800,0xaaefffca,0x7d40aaaa,0xf50005ff,
    0xfff90dff,0xfff88007,0x017ffea6,0x037ffd40,0x5fffa800,0x0017ffea,
    0x0037ffd4,0x7ffd4000,0x3fa6006f,0x6404ffff,0x44003fff,0xd8006fff,
    0xf9801fff,0xf70005ff,0x3fea09ff,0xfff1003f,0x02fffdcb,0xbfff3000,
    0x3ffee000,0x02fffdc4,0xbfff3000,0x3ffee000,0x07fff904,0x26fff880,
    0x0005fff9,0xff89fff7,0x7cc000ff,0x7ffe45ff,0x7ffc4003,0x017ffee6,
    0x7fffc400,0xffffffff,0x4c2fffff,0x70005fff,0xff909fff,0xff88007f,
    0x17ffe66f,0x27ffdc00,0xfffa8000,0x017ffe65,0x027ffdc0,0xffa80000,
    0xffb8007f,0x3ee00eff,0x7cc003ff,0xfd8005ff,0xff8801ff,0xffb0007f,
    0x3ffea07f,0xbfff1003,0x003fffd4,0x0ffff100,0x0ffff600,0x000ffff5,
    0x03fffc40,0x03fffd80,0x8007fff7,0x3e25fff9,0xfb0007ff,0xfffe87ff,
    0x7ffcc002,0x01fffdc5,0xa97ffe60,0x00007fff,0xfffffff1,0xffffffff,
    0xfff885ff,0xfffb0007,0x07fff707,0x25fff980,0x0007fff8,0x0007fffb,
    0x897ffea0,0xb0007fff,0x00007fff,0x3fffe200,0xfff98001,0x3ffea04f,
    0x7ffd4004,0xfffd8004,0x5ffff001,0xffff8800,0x07fff501,0x997ffe20,
    0x0003ffff,0x00bfffe0,0x83ffff10,0x003ffff9,0x0bfffe00,0x3ffff100,
    0x013ffea0,0xf89fff50,0x44002fff,0x7ec1ffff,0x7cc006ff,0x7ffd45ff,
    0x7ffd4004,0x0ffffe64,0x3ffe2000,0xffffffff,0x82ffffff,0x4002ffff,
    0xa81ffff8,0x54004fff,0x7ffc4fff,0x7fc4002f,0x500001ff,0xfff89fff,
    0x7fc4002f,0x000001ff,0x007fffa0,0x037ffd40,0x800bfff3,0x8003fffb,
    0xb001fffd,0xb800bfff,0x3ea06fff,0xff1003ff,0x6fffe8bf,0x3ff60000,
    0x7fdc005f,0xdfffd06f,0x7fec0000,0x7fdc005f,0x3ffe606f,0x7ffdc005,
    0x02fffec3,0x21bffee0,0x001ffffa,0xf317ffe6,0xfb800bff,0x7fff43ff,
    0x00000006,0x3603bfee,0x5c005fff,0xff306fff,0xffb800bf,0x2fffec3f,
    0x1bffee00,0xfffc8000,0x02fffec3,0x01bffee0,0xfff00000,0xfff8000f,
    0x1bffe207,0x03fffb00,0x03fffb00,0x03fffe60,0x01fffe80,0x400fffea,
    0x7d45fff8,0x00002fff,0x001ffff3,0xa80ffff4,0x0002ffff,0x01ffff30,
    0x00ffff40,0x800dfff1,0x7cc1fffd,0x3a000fff,0xffd01fff,0x7fcc00bf,
    0x37ffc45f,0x07fff600,0x005ffff5,0xff500000,0x3ffe601f,0x3ffa000f,
    0xdfff101f,0x1fffd800,0x007fffcc,0x003fffd0,0x0fffec00,0x003fffe6,
    0x001fffe8,0x3fee0000,0x3e60006f,0x7ffc05ff,0xfff3003f,0x3ff6000d,
    0x3ffa001f,0xfffb006f,0x3fffa80b,0x0bfff100,0x007ffffb,0x1bfffa00,
    0x02fffec0,0x00fffff6,0x37fff400,0x05fffd80,0x003ffff8,0x3a0dfff3,
    0xfb006fff,0x7fcc0bff,0xff3005ff,0x7ffff0bf,0x1bffe600,0x01ffffec,
    0xff100000,0xfffe807f,0xbfffb006,0x03ffff80,0x20dfff30,0xb006fffe,
    0x0100bfff,0x03fffe60,0x401bfffa,0x8005fffd,0xffa80019,0x3a0004ff,
    0x7dc02fff,0x74c01fff,0xb0002fff,0x54003fff,0x6405ffff,0x5401ffff,
    0xf1003fff,0xfff30bff,0x32600bff,0x5ffffa81,0x0ffffe40,0x3ffffe60,
    0x50393005,0xc80bffff,0xb801ffff,0x4c01ffff,0xf502fffe,0xfc80bfff,
    0x7ec01fff,0x4c00efff,0xffb85fff,0x7f4c01ff,0xfff302ff,0x32600bff,
    0xfff70001,0xbffff500,0x1ffffc80,0x0ffffdc0,0x0bfffa60,0x02ffffd4,
    0x007ffff2,0xfe88033a,0xfff504ff,0xfffc80bf,0xffb8001f,0x9999aabd,
    0x5ffffeba,0x30cde7c4,0x1dffff73,0x9ffffd00,0x3fee6213,0x360005ff,
    0x74001fff,0x8aceffff,0x5ffffeca,0x03fffa80,0x20bfff10,0xdffffffc,
    0xfecba9ac,0xffffd02f,0xfd95159d,0x3200bfff,0xcdffffff,0xffecba9a,
    0xdffffd02,0xffd95159,0x7f400bff,0x3109cfff,0x80bffff7,0xaceffffe,
    0xffffeca8,0xffff8805,0x999acdff,0xd05fffda,0x2139ffff,0x5ffffb98,
    0x7ffffe40,0xcba9acdf,0xb0002ffe,0x3fa00fff,0xa8acefff,0x05ffffec,
    0x39ffffd0,0x3ffee621,0x7fff405f,0xeca8acef,0xd005ffff,0x75357bff,
    0x401fffff,0xaceffffe,0xffffeca8,0xfff70005,0xffffffff,0x81dfffff,
    0xfffffff8,0x0effffff,0xfffff500,0xffffffff,0x999801df,0xfffd9999,
    0x0199999a,0x3ffffff6,0x3fffffff,0x07fff500,0x817ffe20,0xfffffffa,
    0xffffffff,0x3ffff602,0xffffffff,0x7fd4003f,0xffffffff,0x202fffff,
    0xfffffffd,0x03ffffff,0x7ffffd40,0xffffffff,0xffd800ef,0xffffffff,
    0x22003fff,0xfffffffd,0xffffffff,0xfffff505,0xffffffff,0xff5001df,
    0xffffffff,0x005fffff,0x033ffee0,0x3fffff60,0xffffffff,0x3ffea003,
    0xffffffff,0xd800efff,0xffffffff,0x003fffff,0x3ffffffa,0x02ffffff,
    0xffffffd8,0x3fffffff,0x3ffee000,0xffffffff,0x880cffff,0xffffffff,
    0x000dffff,0x7fffff44,0x04ffffff,0xffffff88,0xffffffff,0x7e407fff,
    0xffffffff,0x3ea001ff,0xff1003ff,0xffd880bf,0xffffffff,0x7e402fff,
    0xffffffff,0xb10001ff,0xffffffff,0x805fffff,0xfffffffc,0x0001ffff,
    0xffffffd1,0x009fffff,0xffffffc8,0x001fffff,0xffffff50,0xffffffff,
    0x7fff4409,0xffffffff,0x7fec4004,0xffffffff,0x10002fff,0x09ffffff,
    0xffffffc8,0x001fffff,0xfffffe88,0x04ffffff,0x7ffffe40,0x01ffffff,
    0x7fffff40,0x01efffff,0x3fffff20,0x01ffffff,0x7ff64c00,0xffffffff,
    0x7f6400be,0xceffffff,0x7f5c0000,0x1defffff,0xfffff100,0xffffffff,
    0x300fffff,0xbfffffd9,0xffa80019,0xfff1003f,0x3f72a00b,0xbdffffff,
    0xffd93000,0x0019bfff,0xfffb9500,0x017bffff,0x3fffb260,0x0000cdff,
    0xfffffeb8,0x30001def,0xbfffffd9,0xb8800019,0xffffffed,0xd7000bdf,
    0xbdffffff,0x6e540003,0xdfffffff,0x7dc0000b,0x9804ffff,0xdfffffec,
    0x75c0000c,0xdeffffff,0xfd930001,0x019bffff,0x3fff6a00,0x0003dfff,
    0xfffffd93,0x0000019b,0x13555531,0x4ccc4000,0x22000000,0x880009a9,
    0xffffffff,0xffffffff,0x1a98007f,0x7ffd4000,0xbfff1003,0x26a62000,
    0x35300000,0x31000000,0x20000135,0x000001a9,0x0004d4c4,0x000d4c00,
    0x4d54c000,0xa9880000,0x10000009,0x00001353,0x03999510,0x00035300,
    0x04d4c400,0x0d4c0000,0x4cc40000,0xa9800000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0x2aa880aa,0x0e64c000,0x99999800,
    0x31000000,0x000359b7,0x00e64c00,0x26660000,0x20000099,0x00099999,
    0x0002ae60,0x13001300,0x4ccc4000,0x40000000,0x00099999,0x13333300,
    0x40266600,0x00009998,0x04ccccc0,0x372aa600,0x2eeeeeee,0x02666660,
    0x99880000,0x40000009,0x40000bcb,0x33100999,0x99880013,0x99999999,
    0x2e000019,0xd80000bc,0x6ffb83ff,0x3ffe6000,0xffa8001f,0x00000eff,
    0x3fffffa2,0x0000dfff,0x07fffe60,0x7fec0000,0x200004ff,0x004ffffd,
    0xbfffff70,0x2200bb01,0xfd102ffe,0xfd10003f,0x00005fff,0x3ffff600,
    0xffb00004,0x7e4009ff,0x7ffd44ff,0x3600000e,0x1004ffff,0xfffffff9,
    0x05ffffff,0x077fffd4,0x7f440000,0x00002fff,0x00dfff90,0x44fffc80,
    0x000efffa,0x7fffffec,0x007fffff,0x0dfff900,0x7fff9000,0x09fff733,
    0x7fffec00,0xffd10005,0x500001df,0xffffffff,0x0003ffff,0x17ffff60,
    0x3ff60000,0x200002ff,0x002ffffd,0xffffff50,0xffb339ff,0xffff7007,
    0x01bfff60,0xffffff30,0x8000007f,0x002ffffd,0x5ffffb00,0xdfff7000,
    0x00bfff91,0xffffd800,0xfffc8802,0xffffffff,0x4402ffff,0x000efffe,
    0x3fffe600,0x00003fff,0x17ffffc4,0x3ffee000,0x05fffc8e,0xfffffb00,
    0x0fffffff,0xffff1000,0xf880005f,0xffffffff,0x3f60000f,0x40005fff,
    0x000efffc,0x3fffff20,0xffffffef,0xfd80003f,0x00005fff,0x0077ffe4,
    0xdfff9000,0x3fe60001,0xffffdbdf,0x800effff,0xf907fffb,0x7cc00dff,
    0xfffeafff,0xf9000003,0x00001dff,0x003bfff2,0xfffffb80,0x400005ff,
    0x800efffc,0xffffffe8,0xfdaaaeff,0xff9002ff,0x300001df,0xffd5ffff,
    0x4400007f,0x002fffff,0xfffffb80,0x2a0005ff,0xcccccccc,0x80004ccc,
    0x02fffff8,0xfffe9800,0x0001efff,0x01ffffd4,0x77ffd400,0xfffc8000,
    0x3ee60adf,0x0002ffff,0x01ffffd4,0x9fff9000,0xffc80000,0xfc80004f,
    0x7ffff4c2,0xff1000ef,0x3ffe609f,0xbfff5003,0x027ffe41,0x3fff2000,
    0x3f200004,0x500004ff,0x009fffff,0x4fffc800,0x3ffff600,0x5c5fffff,
    0x2a002fff,0x0000efff,0xc837ffea,0x00004fff,0x003ffffa,0x7fffd400,
    0x0000004f,0xffd00000,0x400001ff,0x002cddca,0x00fbae00,0x3ccc8800,
    0x7fffc400,0x7fffcc04,0xeeb80006,0x32600003,0x400002cc,0x0002ccc9,
    0xcdca8060,0x02a88001,0xc8800dc4,0x999503cc,0x32600003,0x200002cc,
    0x0002ccc9,0x01e664c0,0x33326000,0x3ffee002,0x5fffffff,0x0017ffdc,
    0x000f3322,0xa81e6644,0x00001ccc,0x0003dfb1,0x03ccc980,0x00000000,
    0x07bf6200,0x00000000,0x00000000,0x7ffe4000,0xffff3005,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf0000000,0xffffffff,0xfffb8bff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001ffff1,0x002fffe4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe2000,0xffffffff,0x017ffdc5,0x00000000,0x00000000,
    0x00000000,0xacdb9880,0x00000001,0xb9530000,0x80003599,0x1abccca8,
    0x002aaa60,0xfc8aaaa0,0x7cc004ff,0x20001fff,0x1accdca9,0x0aaaaa20,
    0x00355500,0x01aaaaa8,0x55555100,0x01aaa800,0x55555555,0x55555555,
    0xaaa80015,0x540001aa,0xaaaaaaaa,0xaaaaaaaa,0x02aaaa00,0x2aaa2000,
    0x5554002a,0xaaaaaa81,0xaaaaaaaa,0xf51aaaaa,0xffffffff,0xfffb8bff,
    0x55555502,0x55555555,0x2aaa1555,0x5440002a,0xaaa80aaa,0xaaaaaaaa,
    0xaaaaaaaa,0x55555541,0xaaaaaaaa,0x0aaaaaaa,0xffffe980,0x000dffff,
    0x55555554,0xaaaaaaaa,0x3ae000aa,0xffffffff,0xb5001cff,0xffffffff,
    0xffc819df,0x7fc4003f,0x07fffe6f,0x0bfffe00,0xffffd700,0x39ffffff,
    0x1fffffa8,0x09fff100,0x7ffffcc0,0xfff50005,0x3e2003ff,0xfff884ff,
    0xffffffff,0x02ffffff,0x3ffffe60,0x3fe20005,0xffffffff,0x2fffffff,
    0x007fff60,0x3fffea00,0xfff1001f,0xfffff889,0xffffffff,0x73ffffff,
    0xffffffff,0xffb8bfff,0xffff882f,0xffffffff,0xf72fffff,0x40003fff,
    0xf886fffd,0xffffffff,0xffffffff,0x7fffc3ff,0xffffffff,0xffffffff,
    0x7ffd402f,0xffffffff,0xfff1001f,0xffffffff,0x05ffffff,0xfffffd10,
    0xffffffff,0xfffd8809,0xffffffff,0x7ffe42ff,0x7ffc4003,0x00ffff16,
    0x00ffff20,0x7fffff44,0xffffffff,0x7ffffd44,0x9fff1005,0x7fffe400,
    0xfa8000ff,0x1005ffff,0xff109fff,0xffffffff,0x5fffffff,0x7fffe400,
    0xf10000ff,0xffffffff,0xffffffff,0x0fffec05,0x7ffd4000,0xff1005ff,
    0xffff889f,0xffffffff,0x3fffffff,0xfffffff5,0xfb8bffff,0xfff882ff,
    0xffffffff,0x22ffffff,0x0006fffe,0x103ffff3,0xffffffff,0xffffffff,
    0xfff87fff,0xffffffff,0xffffffff,0x3ff202ff,0xfffeffff,0x8802ffff,
    0xffffffff,0xffffffff,0x7ffdc02f,0xffefffff,0x2604ffff,0xfffffffe,
    0x2ffffffe,0x001fffe4,0x7d5bffe2,0xf70005ff,0xff7009ff,0xfdffffff,
    0xa89fffff,0x00ffffff,0x004fff88,0x3ffffffe,0xfffa8002,0xf8800fff,
    0xfff884ff,0xffffffff,0x02ffffff,0x3fffffe0,0xff10002f,0xffffffff,
    0x5fffffff,0x00fffec0,0x7fffd400,0xff8800ff,0x7fffc44f,0xffffffff,
    0x3fffffff,0xfffffff3,0xfb8bffff,0xfff882ff,0xffffffff,0x22ffffff,
    0x002ffffa,0x105fffd8,0xffffffff,0xffffffff,0xfff87fff,0xffffffff,
    0xffffffff,0xfff902ff,0x7dcc15bf,0x4402ffff,0xffffffff,0xffffffff,
    0x3fff602f,0x4c41acff,0xff504feb,0x8835bfff,0x7e42feb9,0x7c4003ff,
    0xbfff76ff,0x3ffea000,0x7fffec05,0x5cc41acf,0x7ffd44fe,0xf8804fff,
    0xff3004ff,0x00bfffdf,0xffffff50,0x9fff1009,0x4fffa800,0xfff98000,
    0x0005fffe,0x04fffa80,0x03fffb00,0xffff5000,0xff1009ff,0x3333309f,
    0x33333333,0x21ffffb3,0xfffffff8,0x7dc5ffff,0x7d4002ff,0x3fa004ff,
    0x7d4006ff,0x26600fff,0x99999999,0xfffd9999,0x7fd4000f,0xff10004f,
    0xff9809ff,0x2a0006ff,0xa8004fff,0x001fffff,0x7fff40a6,0x9066003f,
    0x88007fff,0xfff96fff,0x3fe60009,0x3ffea06f,0x0a6001ff,0xfffffff5,
    0x4fff8801,0xf3fff900,0xf5000fff,0x01ffffff,0x004fff88,0x0027ffd4,
    0x7cfffe40,0x800007ff,0x0004fffa,0x0003fffb,0xffffff50,0xfff8801f,
    0xff300004,0xfffe85ff,0x5fffffff,0x0017ffdc,0x8013ffea,0x003ffff9,
    0x0013fffa,0x3fffe600,0xfffa8002,0xfff90004,0x3ffe600b,0xff50001f,
    0xffd0009f,0x200001bf,0x001ffffb,0x03fffc80,0xcb7ffc40,0x10003fff,
    0x7f40ffff,0x80000dff,0xfffdfffa,0x27ffc404,0xfb6fff80,0xfa8005ff,
    0x04fffdff,0x0027ffc4,0x0013ffea,0x7edbffe0,0x400002ff,0x0004fffa,
    0x0003fffb,0xffbfff50,0xfff8809f,0xffd00004,0xffff30bf,0x8bffffff,
    0x4002fffb,0x4004fffa,0x800ffffd,0x000ffffa,0x5fffe800,0x9fff5000,
    0xffff1000,0x7ffe4001,0xfff50005,0xfffb8009,0x3e200007,0x00002fff,
    0x8007fff9,0xffb6fff8,0x3e20007f,0xfff707ff,0x7d40000f,0x0fffeaff,
    0x013ffe20,0x7dd3ffe6,0x7d4005ff,0x0fffeaff,0x013ffe20,0x009fff50,
    0x74fff980,0x0000bfff,0x004fffa8,0x003fffb0,0xd5fff500,0x7c401fff,
    0xb80004ff,0xf700ffff,0xffffffff,0x02fffb8b,0x027ffd40,0x0ffffe20,
    0x00ffffa0,0x3ffee000,0xff50000f,0xff90009f,0xff9800bf,0xfa8000ff,
    0x3e2004ff,0x00003fff,0x001bfff2,0x03fffc80,0xcb7ffc40,0x30003fff,
    0xff10dfff,0x400007ff,0xffbafffa,0x3ffe203f,0x1fffc804,0x800ffff1,
    0xffbafffa,0x3ffe203f,0x7ffd4004,0x7fe40004,0x0ffff11f,0xfffa8000,
    0xfffb0004,0xff500003,0x07fff75f,0x0027ffc4,0x0bfffe60,0xffffff90,
    0xfffb8bff,0x7ffd4002,0xfffc8004,0x3ffea00f,0xf9800006,0x20002fff,
    0x8004fffa,0x8002fffe,0x8002fffe,0x2004fffa,0x0006fffb,0x017fffc0,
    0x7fff9000,0x6fff8800,0x0009fff7,0x2e17ffe6,0x00006fff,0x7c57ffd4,
    0x3fe207ff,0x7fff804f,0x0017fff4,0xff15fff5,0x7ffc40ff,0x7ffd4004,
    0x7ffc0004,0x017fff47,0x9fff5000,0x3fff6000,0xffa80001,0x07fff8af,
    0x0013ffe2,0x00bfffd0,0x3fffff62,0x17ffdc5f,0x13ffea00,0x3fffe200,
    0x0bfffa04,0x3ffa0000,0x7d40005f,0xff8004ff,0xff90007f,0xff50007f,
    0x7fec009f,0x2200002f,0x00007fff,0x001fffe4,0x7ddbffe2,0xf50005ff,
    0xfffb09ff,0xfa800005,0x7fff92ff,0x013ffe20,0xfb89fff3,0x3ea004ff,
    0x7fff92ff,0x013ffe20,0x009fff50,0x227ffcc0,0x0004fffb,0x013ffea0,
    0x00fffec0,0x97ffd400,0xf103fffc,0x5c0009ff,0x4000ffff,0x45feecb9,
    0x4002fffb,0x0004fffa,0x701ffff7,0x0000bfff,0x01ffff70,0x4fffa800,
    0x2fffc400,0x4fffb800,0x4fffa800,0x07fffa00,0xfffa8000,0x7e400006,
    0x7c4003ff,0xdfff56ff,0x3ffee000,0x01fffe83,0x7ffd4000,0x20dfff32,
    0x6404fff8,0x7fcc1fff,0x3fea007f,0x0dfff32f,0x0013ffe2,0x0009fff5,
    0x260fffe4,0x00007fff,0x0013ffea,0x000fffec,0x997ffd40,0xff106fff,
    0x3e60009f,0x00002fff,0x05fff702,0x04fffa80,0x17fffa00,0x003ffff1,
    0xffff9800,0xffa80002,0x7fcc004f,0xff50005f,0xff5000bf,0x7ffc009f,
    0x7dc00007,0x400005ff,0x4003fffc,0xff36fff8,0x3f6000ff,0x7fff82ff,
    0xffa80000,0x0bfff62f,0xf013ffe2,0x3ffa0fff,0xfff5002f,0x417ffec5,
    0x4004fff8,0x0004fffa,0x7f41fffe,0x500002ff,0x20009fff,0x0001fffd,
    0x362fffa8,0xff882fff,0xffd0004f,0x800000bf,0x4002fffb,0x0004fffa,
    0xc87fffea,0x00004fff,0x005fffe8,0x09fff500,0x04fffa80,0x0dfff300,
    0x09fff500,0x81fffe20,0xaaaaaaa8,0x3fff21aa,0x7e400003,0x7c4003ff,
    0xffff16ff,0xfff88005,0x3fffc41f,0x55555510,0xffa83555,0x1bffe62f,
    0x9813ffe2,0xff905fff,0x3fea009f,0x1bffe62f,0x0013ffe2,0x0009fff5,
    0x6417ffe6,0x00004fff,0x0009fff5,0x0007fff6,0x98bffea0,0xff886fff,
    0xffb8004f,0x000000ff,0x0017ffdc,0x0013ffea,0x22bfffb0,0x0000ffff,
    0x07fffdc0,0xfffa8000,0x7ffe4004,0xfff10003,0xfff5000f,0x3ffea009,
    0x3fffe605,0x365fffff,0x00002fff,0x001fffe4,0xfd9bffe2,0x7dc005ff,
    0xfffa85ff,0x3fffe605,0x545fffff,0x7ff42fff,0x27ffc41f,0x205fff90,
    0x5007fff9,0xffe85fff,0x27ffc41f,0x13ffea00,0x17ffe400,0x007fff98,
    0x09fff500,0x07fff600,0x3ffea000,0x20ffff42,0x4004fff8,0x002ffff9,
    0xfffb8000,0x7ffd4002,0x7fcc0004,0x3fffc9ff,0x7fcc0000,0x200002ff,
    0x4004fffa,0x0003fffd,0x000ffff1,0x2009fff5,0x2605fffb,0xffffffff,
    0x0bfffa5f,0xfff90000,0xfff88007,0x03fffea6,0x81fffe80,0x2605fffb,
    0xffffffff,0x17ffd45f,0xf117ffea,0x7ffc09ff,0x3fffe00f,0x2fffa801,
    0x222fffd4,0x54004fff,0xf0004fff,0x7fc01fff,0xa80001ff,0xb0004fff,
    0x00003fff,0xfa85fff5,0x7ffc45ff,0x7fff4004,0x70000005,0xa8005fff,
    0x80004fff,0xfffdfffc,0xfe800006,0x400005ff,0x4004fffa,0x0003fffc,
    0x000ffff3,0x2009fff5,0x2605fffa,0xffffffff,0x0ffffa5f,0xfff90000,
    0xfff88007,0x077fffc6,0x837ffec0,0x2605fffa,0xffffffff,0x17ffd45f,
    0xf10ffff4,0x3fe609ff,0x7ffe405f,0x2fffa804,0x221fffe8,0x54004fff,
    0x98004fff,0x7e405fff,0xa80004ff,0xb0004fff,0x00003fff,0xfd05fff5,
    0x7ffc43ff,0x3ffee004,0x0000000f,0x8005fff7,0x0004fffa,0xffffff88,
    0x5c00002f,0x0000ffff,0x027ffd40,0x013ffee0,0x037ffcc0,0x027ffd40,
    0x006fff98,0x365fff98,0x00004fff,0x001fffe4,0xf71bffe2,0xfc80bfff,
    0xff302fff,0xff3000df,0x2fffa8bf,0x225fffa8,0xff904fff,0xfffa807f,
    0x2fffa807,0x225fffa8,0x54004fff,0xc8004fff,0x7d403fff,0xa80007ff,
    0xb0004fff,0x00003fff,0xf505fff5,0x7ffc4bff,0xffff1004,0x40000005,
    0x4002fffb,0x0004fffa,0xdfffff70,0xff880000,0x800002ff,0x4004fffa,
    0x0005fffa,0x000dfff5,0x2009fff5,0x8007fff8,0x3f25fff9,0x400004ff,
    0x4003fffc,0xfd86fff8,0xa9acefff,0x04ffffec,0x001fffe2,0xf517ffe6,
    0x3ffe05ff,0x09fff11f,0x2003fffe,0x5401ffff,0xfff02fff,0x13ffe23f,
    0x09fff500,0x01ffff00,0x003ffff0,0x04fffa80,0x03fffb00,0x5fff5000,
    0x447fffe0,0xfb004fff,0x00000bff,0x02fffb80,0x027ffd40,0xffffd000,
    0xfd800003,0x000005ff,0x8009fff5,0x0005fff9,0x0009fff7,0x4009fff5,
    0x4000ffff,0x3ee5fff9,0x400005ff,0x4003fffc,0xfb06fff8,0xffffffff,
    0xf007ffff,0x98001fff,0x7fd45fff,0x9fff702f,0x2613ffe2,0xfb006fff,
    0xffa809ff,0x9fff702f,0x0013ffe2,0x8009fff5,0xb006fff9,0x80009fff,
    0x0004fffa,0x0003fffb,0x205fff50,0xff14fffb,0xfff7009f,0x0000001f,
    0x002fffb8,0x0027ffd4,0x0bfff700,0xfffb8000,0x5000000f,0x88009fff,
    0xb0007fff,0x50007fff,0x74009fff,0x4c002fff,0x3fea5fff,0x5c00007f,
    0x4c003fff,0x3f605fff,0xffffffff,0xffd003ff,0xff98005f,0x17ffd45f,
    0x88ffff88,0xffc84fff,0xffffffff,0x7fffffff,0x817ffd40,0xf88ffff8,
    0x7d4004ff,0x7e4004ff,0xffffffff,0xffffffff,0x7fd40007,0xffb0004f,
    0xf500003f,0x3fe205ff,0x4fff88ff,0x17fffc40,0x64000000,0x54001fff,
    0x00004fff,0x0013ffea,0x2ffff880,0x3ea00000,0xff8004ff,0x7c4002ff,
    0xa8001fff,0x36004fff,0x4c006fff,0x3fe65fff,0x200003ff,0x4004fffa,
    0x4404fffa,0xefffffeb,0x3ff6000b,0x7fcc006f,0x17ffd45f,0xf17fff90,
    0xffff09ff,0xffffffff,0x3fffffff,0x017ffd40,0xff17fff9,0xffa8009f,
    0x7ffc004f,0xffffffff,0xffffffff,0x3fea0001,0xffb0004f,0xf500003f,
    0x7fe405ff,0x04fff8bf,0x002fffec,0xffd80000,0xfffa8007,0x3ea00004,
    0x200004ff,0x0005fffd,0x27ffd400,0x2fffec00,0x1bffee00,0x27ffd400,
    0x3ffff500,0x2fffcc00,0x001bfffa,0x05fff980,0x01fffdc0,0x005fff70,
    0x07fffea0,0x45fff980,0x2202fffa,0xfff8efff,0x7ffffcc4,0xffffffff,
    0x04ffffff,0x880bffea,0xfff8efff,0x7ffd4004,0x3ffe6004,0xffffffff,
    0xffffffff,0x3fea0004,0xffb0004f,0xf500003f,0x7fc405ff,0x04fff8ef,
    0x003fffee,0x3e200000,0xfa8006ff,0x200004ff,0x0004fffa,0x01ffff70,
    0xffa80000,0xff98004f,0x3fa000ff,0xf50001ff,0xfe8009ff,0x3e6005ff,
    0x7ffd45ff,0xf100002f,0xfd800dff,0x3e6001ff,0x3a0006ff,0x26005fff,
    0x7fd45fff,0x7ffe402f,0x7e44fffb,0xcccccdff,0xfdcccccc,0x3fea06ff,
    0x7ffe402f,0x4004fffb,0x2004fffa,0xcccdfffc,0xcccccccc,0x0006fffd,
    0x0013ffea,0x000fffec,0x017ffd40,0x3feffff2,0xffff104f,0x01800005,
    0x00bfff70,0x009fff50,0x27ffd400,0x7ffc4000,0x8000002f,0x0004fffa,
    0x200dfffd,0x0005fffd,0x0013ffea,0x00bffff3,0x3617ffe6,0x0003ffff,
    0x007ffff0,0x001bffe6,0x0007fffe,0x02ffffcc,0x545fff98,0x7c402fff,
    0x44fffeff,0x8000ffff,0xf501ffff,0xff8805ff,0x004fffef,0x0027ffd4,
    0x0001ffff,0x0003ffff,0x0013ffea,0x000fffec,0x017ffd40,0x3ffbffe2,
    0xbfffb04f,0x4fc80000,0x07fffd40,0x27ffd400,0xfff50000,0xffb00009,
    0x000000bf,0x0013ffea,0x02ffffd4,0x007ffff2,0x04fffa80,0xeffffd80,
    0x2fffcc00,0x2fffffcc,0xfb81c980,0x74c01fff,0xd8002fff,0x9500efff,
    0x77fffec0,0x2fffcc00,0x200bffea,0x4ffffffd,0x001bffe6,0xa827ffec,
    0xfd802fff,0x004fffff,0x8027ffd4,0x0006fff9,0x0009fffb,0x0013ffea,
    0x000fffec,0x017ffd40,0x7fffffec,0x0ffffa84,0x3fe60000,0xda99acff,
    0x0003ffff,0x0009fff5,0x027ffd40,0x3fffea00,0x50000000,0x40009fff,
    0xaceffffe,0xffffeca8,0x7fd40005,0xff88004f,0x9acdffff,0x5fffda99,
    0xffffff90,0xd975359b,0x3ffa05ff,0x73109cff,0x000bffff,0x33ffffe2,
    0x02ffdcab,0xbffffff1,0xfb533359,0xfffa8bff,0xffff9802,0x3fff24ff,
    0xfff50003,0x0bffea0d,0x3ffffe60,0x5555504f,0x55dfff95,0x7e415555,
    0xf50003ff,0xaaa80dff,0xefffcaaa,0x00aaaaaa,0x2ab3fff6,0xaaaaaaaa,
    0x2fffa82a,0xfffff980,0x7fffc44f,0xeeeeeeef,0x4eeeeeee,0xffffffc8,
    0x6fffffff,0xaaaaaa80,0xaaaefffc,0x54000aaa,0x20004fff,0xeefffff8,
    0xeeeeeeee,0x4004eeee,0x0004fffa,0x7fffffec,0x3fffffff,0x2aaaaa00,
    0xaaefffca,0x2200aaaa,0xfffffffd,0xffffffff,0x3fffea05,0xffffffff,
    0xff502fff,0xffffffff,0x001dffff,0x7ffffd40,0x0fffffff,0xfffffb10,
    0xffffffff,0xfffa8bff,0xffffb002,0x07fffc9f,0xffff8800,0x02fffa81,
    0x9fffffb0,0xffffff10,0xffffffff,0x7ffc5fff,0xff10000f,0x3fe203ff,
    0xffffffff,0x2fffffff,0x3fffff60,0xffffffff,0x7fd40fff,0xfffb002f,
    0xfffb89ff,0xffffffff,0xffffffff,0xffffd505,0x07ffffff,0xffffff10,
    0xffffffff,0xa8005fff,0x20004fff,0xfffffffb,0xffffffff,0x4005ffff,
    0x0004fffa,0xffffffc8,0x001fffff,0x3fffffe2,0xffffffff,0xfa802fff,
    0xffffffff,0x404fffff,0xffffffd8,0x2fffffff,0x3ffffa20,0x4fffffff,
    0xffd50000,0x3dffffff,0xfffff500,0xffffffff,0x2fffa89f,0xfffff500,
    0x01bffe69,0x09fffb00,0x2005fff5,0x84fffffa,0xfffffff8,0xffffffff,
    0xdfff32ff,0xfffd8000,0xfffff104,0xffffffff,0x6c05ffff,0xffffffff,
    0xffffffff,0x017ffd40,0x4fffffa8,0x7fffffdc,0xffffffff,0x405fffff,
    0xeffffecb,0xfff1000c,0xffffffff,0x05ffffff,0x04fffa80,0x3fffee00,
    0xffffffff,0x5fffffff,0x27ffd400,0xfec98000,0x00cdffff,0x7ffffc40,
    0xffffffff,0x1002ffff,0xfffffdb7,0x40017bff,0xfffffdca,0x7000bdff,
    0xdffffffd,0x7000003b,0x05bdffdb,0xffedb880,0x0bdfffff,0x002fffa8,
    0x653ffffa,0x40003fff,0xfa86fffb,0x3fa002ff,0xff884fff,0xffffffff,
    0x2fffffff,0x0007fff9,0x106fffb8,0xffffffff,0xffffffff,0x7ffec05f,
    0xffffffff,0x540fffff,0x3a002fff,0x7dc4ffff,0xffffffff,0xffffffff,
    0x04c005ff,0xffff8800,0xffffffff,0x002fffff,0x0027ffd4,0xffffff70,
    0xffffffff,0x00bfffff,0x004fffa8,0x00353000,0xfffff880,0xffffffff,
    0x0002ffff,0x00026aa6,0x009a9880,0x09a98800,0x00000000,0x4d54c000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33333000,0x44000001,
    0x00000999,0x000055cc,0x33333000,0x00260001,0x13000026,0x00001300,
    0x0004ccc4,0x765c4000,0x98805eef,0x99999999,0x00000199,0x00266662,
    0x004ccccc,0x33330000,0x00266620,0x000ab980,0x33310000,0x00980001,
    0xddd90098,0x1333000b,0x00266620,0x00999880,0x4ccc0000,0xaa880099,
    0x00355302,0x99999800,0x3ffea000,0x800000ef,0x02ffffe8,0xffffb800,
    0x005d80df,0x9ffffb00,0x5ffd1000,0x007ffa20,0x40bffa20,0x0001ffe8,
    0x2ffffe88,0x3ee00000,0x07ffffff,0xffffffd8,0x007fffff,0xffff5000,
    0x3fea003d,0x00000eff,0x41bfff70,0x000effe9,0xdfffffb8,0x80005d80,
    0x02ffffe8,0x02ffe880,0xfb03ffd1,0xf9000fff,0xfffa89ff,0xfd10000e,
    0x00005fff,0x13ffff60,0x407ffc40,0x00003ffe,0x037ffff2,0xdfffd100,
    0x7cc00001,0x03ffffff,0x3fffea00,0xd99cffff,0x6c0003ff,0x0002ffff,
    0x360ffff7,0xb8006fff,0xffb07fff,0xf98000df,0x03ffffff,0xfffd8000,
    0x807fffff,0xfffffffd,0x0007ffff,0x4ffffa80,0xfffe8800,0x5000000e,
    0xff73dfff,0xf50001df,0x9fffffff,0x007ffb33,0x7ffffcc0,0x7dc003ff,
    0xfffb07ff,0x0dfffb0d,0x3bffee00,0x005fffc8,0x3ffffe60,0x400003ff,
    0x002ffffd,0x54d6fffc,0x0001fffc,0x07ffff90,0xefffc800,0xff980000,
    0x3fffeaff,0xdfff9800,0xffffffdb,0x20000eff,0x000efffc,0x41fffee0,
    0x8006fffc,0xf907fffb,0x4c000dff,0xffeaffff,0x2a00003f,0xbaceffff,
    0xccca805c,0xcccccccc,0x7d400004,0x40002fff,0x000efffc,0xffff5000,
    0x0001bfff,0xfb7bfff3,0xdfffffff,0x3fe60001,0x3fffeaff,0x1fffee00,
    0x6c37ffe4,0x20006fff,0xfffffffb,0x3fe60005,0x3fffeaff,0xfff90000,
    0xff50001d,0xbfffffff,0x3ff20000,0x500001ef,0x0001dfff,0x906fffd4,
    0x90009fff,0xfffe985f,0x20000eff,0x0004fffc,0x304fff88,0x10007fff,
    0x3e609fff,0xf50003ff,0x7fe41bff,0xf880004f,0x00004fff,0x50000000,
    0x0001dfff,0x03bffea0,0x7fcc0000,0x40005fff,0x7ff4c2fc,0x0000efff,
    0x641bfff5,0xf1004fff,0x3fe609ff,0x6fffd83f,0x7ffd4000,0x2a0004ff,
    0x3f20dfff,0x640004ff,0x40004fff,0xfffffffb,0xff700005,0x800001bf,
    0x0003ccc8,0x2a079991,0x18001ccc,0x007372a0,0x05999300,0x01544000,
    0x880006e2,0x00dc402a,0x03ccc880,0x00039995,0x007fffa8,0x00000000,
    0x00799910,0x79991000,0x64c00000,0x300003cc,0x00e6e540,0x07999100,
    0x4007332a,0x0dc402a8,0x006fffc8,0x03ccc980,0x0f332200,0x000e6654,
    0x002ccc98,0x99d97100,0x32600003,0x000003cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0037ffe4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffe8000,0x5554c001,0x2aaa8000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64000000,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x55530000,0x55555555,0x54155555,0x440002aa,
    0x55500aaa,0x55555555,0x21555555,0x0002aaaa,0x00555544,0x06aaaaa0,
    0x05555500,0xaaaa8800,0x00d554c0,0x00aaaa20,0x00ffff10,0x007fff90,
    0x006fff88,0x55555550,0x00555555,0x03555550,0xaaaa8800,0x0009aaaa,
    0x55555000,0xaaa80003,0xaaaaaaaa,0x00aaaaaa,0x55555553,0x55555555,
    0x2fffe415,0xaaaaaa80,0xaaaaaaaa,0x301aaaaa,0x55555555,0x55555555,
    0x2aaaa601,0xaaaaaaaa,0x5500aaaa,0x55555555,0x15555555,0x2aaaaa20,
    0x00009aaa,0x7fffffdc,0xffffffff,0x1bffe1ff,0x3fff5000,0xffffff10,
    0xffffffff,0x3fee5fff,0x360001ff,0x4c006fff,0x005fffff,0x00ffffdc,
    0x0dfffb00,0x8007fff7,0x4006fff8,0x8006fff9,0x4003fffc,0x8006fff8,
    0xfffffffa,0x007fffff,0x2fffffcc,0x3ffe2000,0xffffffff,0x980000ce,
    0x005fffff,0x3ffffe20,0xffffffff,0xf702ffff,0xffffffff,0x3fffffff,
    0x402fffdc,0xfffffff8,0xffffffff,0xf703ffff,0xffffffff,0x3fffffff,
    0x3ffffee0,0xffffffff,0xff881fff,0xffffffff,0x2fffffff,0xffffff10,
    0x19dfffff,0xffffb800,0xffffffff,0x3fa1ffff,0x7d40006f,0xfff880ff,
    0xffffffff,0x22ffffff,0x0006fffe,0x003ffff3,0xffffffc8,0x7fff4000,
    0xfff30006,0x7fff703f,0x6fff8800,0x2fffd400,0x1fffe400,0x1bffe200,
    0x3ffff600,0xffffffff,0x7ffe4007,0x20000fff,0xfffffff8,0x3fffffff,
    0x7ffe4000,0x10000fff,0xffffffff,0xffffffff,0x3ffee05f,0xffffffff,
    0x2e1fffff,0xf8805fff,0xffffffff,0xffffffff,0xfff703ff,0xffffffff,
    0x203fffff,0xfffffffb,0xffffffff,0xffff881f,0xffffffff,0x102fffff,
    0xffffffff,0x07ffffff,0x7ffffdc0,0xffffffff,0x3ff61fff,0x7fdc0007,
    0xffff880f,0xffffffff,0x2a2fffff,0x8002ffff,0x8005fffd,0x2fffffff,
    0x7fffd400,0xfffd8002,0x07fff705,0x06fff880,0x027ffdc0,0x01fffe40,
    0x01bffe20,0xffffff10,0xdddddddf,0xfffff800,0x220002ff,0xffffffff,
    0x4fffffff,0x3fffe000,0x10002fff,0xffffffff,0xffffffff,0x3ffee05f,
    0xffffffff,0x2e1fffff,0xf8805fff,0xffffffff,0xffffffff,0xfff703ff,
    0xffffffff,0x203fffff,0xfffffffb,0xffffffff,0xffff881f,0xffffffff,
    0x102fffff,0xffffffff,0x9fffffff,0x0fffee00,0x0fffb000,0x07ffb800,
    0x04fffa80,0x01bfffa0,0x01ffff50,0xfefff980,0xfe8005ff,0x7d4006ff,
    0xff700fff,0xff88007f,0x7fe4006f,0xffc8003f,0x7fc4003f,0x7fe4006f,
    0x0006ffee,0xffdfff30,0x7c4000bf,0xfc9886ff,0x8001ffff,0xfffefff9,
    0xfa800005,0xfb8004ff,0x5c0003ff,0x33004fff,0x33333333,0xfffb3333,
    0x3ffee01f,0x3ee00003,0x000003ff,0x004fffa8,0x886fff88,0x1fffffc9,
    0x03fffb80,0x03ffe400,0x01ffee00,0x013ffea0,0x03ffff98,0x013fffa0,
    0x3e7fff20,0xf98007ff,0x3a003fff,0x3ee04fff,0x7c4003ff,0x7ec006ff,
    0xfc8002ff,0x7c4003ff,0x7fc006ff,0x006ffebf,0xf3fff900,0x44000fff,
    0x7c406fff,0xc8006fff,0x7fff9fff,0xffa80000,0xffb8004f,0x7dc0003f,
    0x000004ff,0x80bfffe6,0x0003fffb,0x00fffee0,0x3fea0000,0xff88004f,
    0x7ffc406f,0xfffb806f,0x7fe40003,0x3f20000f,0xffa8006f,0x7fec004f,
    0xffa800ff,0xff8000ff,0x05fffb6f,0x1ffffb00,0x1ffff500,0x01fffdc0,
    0x21bffe20,0xfaaaaaaa,0xaaaabfff,0xfff901aa,0xfff88007,0x3ffea006,
    0x0006ffe8,0x3f6dfff0,0xf10002ff,0xff300dff,0xfff000ff,0x00bfff6d,
    0x9fff5000,0x7fff7000,0xfffa8000,0x3a000004,0x7dc05fff,0x200003ff,
    0x0003fffb,0x4fffa800,0x6fff8800,0x07fff980,0x003fffb8,0x007ffdc0,
    0x00dff900,0x009fff50,0x03ffff88,0x003fffe8,0xf74fff98,0xf1000bff,
    0xfd007fff,0xffb807ff,0x7fc4003f,0xffffe86f,0xffffffff,0x904fffff,
    0x88007fff,0x36006fff,0x0dffd5ff,0x9fff3000,0x0017ffee,0x8037ffc4,
    0x2001ffff,0xff74fff9,0xa80000bf,0xb8004fff,0x40003fff,0x0004fffa,
    0x1ffff700,0x03fffb80,0x3ffee000,0xa8000003,0x88004fff,0xff006fff,
    0xffb803ff,0x7dc0003f,0x360001ff,0xfa8005ff,0xfc8004ff,0x3ea00fff,
    0xf90006ff,0x3ffe23ff,0xfff90007,0x7ffd401f,0x3fffb806,0x37ffc400,
    0x7ffffff4,0xffffffff,0xff904fff,0xff88007f,0xfff3006f,0x001bffa3,
    0x447fff20,0x10007fff,0x3a00dfff,0x32002fff,0xfff11fff,0xfa80000f,
    0xfb8004ff,0x540003ff,0x00004fff,0x02ffff98,0x003fffb8,0x0fffee00,
    0x3ea00000,0xf88004ff,0xffd006ff,0xfffb805f,0x7fd40003,0x3f60001f,
    0xffa8005f,0xff88004f,0x3ffa04ff,0xfff0002f,0x02fffe8f,0x4ffff880,
    0x00bfffa0,0x000fffee,0xdb0dfff1,0xfffddddd,0xdddddddf,0x0ffff207,
    0x0dfff100,0xfe9bff20,0xff80006f,0x17fff47f,0x37ffc400,0x01ffff80,
    0xfd1fffe0,0x400005ff,0x8004fffa,0x0003fffb,0x001fffd4,0x2ffff400,
    0x03fffb80,0x3ffee000,0xa8000003,0x88004fff,0xff006fff,0xffb803ff,
    0x7d40003f,0x055501ff,0x40027ff4,0x0004fffa,0x701ffff7,0x2000bfff,
    0x7dc4fff9,0xf70004ff,0xff701fff,0x3fee00bf,0x7fc4003f,0x3fee006f,
    0xff90004f,0xff88007f,0x7fff006f,0x00037ff4,0xf713ffe6,0xf10009ff,
    0xff100dff,0x7fcc00ff,0x27ffdc4f,0xfff50000,0xfff70009,0xffa80007,
    0x5c00003f,0x7000ffff,0x00007fff,0x001fffdc,0x7ffd4000,0xfff88004,
    0x7fff8806,0x03fffb80,0x17ffcc00,0xe817ffc4,0xfa8004ff,0x3a0004ff,
    0x7fc45fff,0xf90001ff,0xfff983ff,0x3ffa0007,0x7fffc45f,0x7fff7001,
    0x6fff8800,0x0ffff200,0x1fffe400,0x1bffe200,0xe83ffea0,0x640006ff,
    0x7fcc1fff,0xff88007f,0xfffd806f,0x3fff2005,0x03fffcc1,0x9fff5000,
    0x7fff7000,0xfff98000,0x3e600003,0x2e002fff,0x00003fff,0x000fffee,
    0x3ffea000,0xfff88004,0x5fffd806,0x03fffb80,0x17ffc400,0xf827ffd4,
    0xfa8003ff,0x2a0004ff,0x3f21ffff,0x3e0004ff,0xfffd07ff,0x3fea0005,
    0x3fff21ff,0x3ffee004,0x7ffc4003,0x3fff6006,0xfff90002,0xfff88007,
    0x45ffe806,0x40006ffe,0xffd07fff,0xff88005f,0x3ff2206f,0x3fe000ff,
    0x5fffd07f,0x3fea0000,0xffb8004f,0x7cc0003f,0x200003ff,0x4005fffe,
    0x0003fffb,0x00fffee0,0x3fea0000,0xff88004f,0x3ff2206f,0xffb800ff,
    0xeeeeeeef,0x444eeeee,0xffd83fff,0x07fff07f,0x09fff500,0x5fffd800,
    0x001ffff1,0x417ffe60,0x0004fffc,0x7c57fff6,0x2e000fff,0xffffffff,
    0xffffffff,0x3a006fff,0x90001fff,0x88007fff,0x7cc06fff,0x7fff42ff,
    0x04eeeeee,0xc82fffcc,0x44004fff,0xa999efff,0x2fffffcb,0x17ffe600,
    0x0027ffe4,0x04fffa80,0xeefffb80,0xeeeeeeee,0x7ffcc4ee,0xff700003,
    0xfb8001ff,0xeeeeeeff,0x04eeeeee,0x3bbbffee,0xeeeeeeee,0xffa8004e,
    0xff88004f,0xcba999ef,0x002fffff,0xfffffff7,0xffffffff,0xf07fff0b,
    0xff05ffff,0xff50005f,0xf980009f,0xfffc9fff,0x3ff20003,0xffff302f,
    0x7ffcc000,0x03fffc9f,0x7ffffdc0,0xffffffff,0x06ffffff,0x003fffe0,
    0x01fffe40,0x01bffe20,0xffd0fff9,0xbfffffff,0x02fffc80,0x800ffff3,
    0xfffffff8,0x2fffffff,0x17ffe400,0x007fff98,0x09fff500,0xfffff700,
    0xffffffff,0xfff98bff,0xff980002,0xfb8002ff,0xffffffff,0x05ffffff,
    0x3fffffee,0xffffffff,0xffa8005f,0xff88004f,0xffffffff,0x2002ffff,
    0xfffffffb,0xffffffff,0x544fff85,0x445fffff,0xa8002fff,0x80004fff,
    0xfffdfffc,0x7ffc0006,0x3fffe00f,0x3ff20001,0x006fffdf,0xffffffb8,
    0xffffffff,0x006fffff,0x000ffff1,0x001fffe4,0x881bffe2,0xffe84fff,
    0x5fffffff,0x007fffc0,0x4003ffff,0xfffffff8,0x00beffff,0x00ffff80,
    0x0007fffe,0x013ffea0,0x3ffffee0,0xffffffff,0x555445ff,0xffe80000,
    0xff70005f,0xffffffff,0x40bfffff,0xfffffffb,0xffffffff,0xfffa8005,
    0xfff88004,0xffffffff,0x7dc000be,0xaaaaadff,0x81aaaaaa,0x7fec4ffe,
    0x3e20fffe,0xfa8001ff,0x880004ff,0x2fffffff,0x3ffe6000,0x27ffe405,
    0xffff1000,0x70005fff,0x9999dfff,0xb9999999,0x2600dfff,0x20006fff,
    0x4003fffc,0x2e06fff8,0xffe81fff,0x1aaaaaae,0x017ffe60,0x4009fff9,
    0xfffffff8,0x000dffff,0x405fff98,0x0004fffc,0x004fffa8,0xaadfffb8,
    0xaaaaaaaa,0x4000001a,0x000ffffb,0x55bfff70,0x55555555,0x7ffdc035,
    0xaaaaaaad,0x8001aaaa,0x8004fffa,0xfffffff8,0x000dffff,0x003fffb8,
    0x7c5ffe80,0x22fff9ff,0x8001fff9,0x0004fffa,0xdfffff70,0xfffc8000,
    0x3fffd403,0x3ffee000,0xf70006ff,0xf88007ff,0xff5006ff,0x7e4000bf,
    0x7c4003ff,0x3ffa06ff,0x00dffd06,0x00ffff20,0x400ffff5,0x6cc6fff8,
    0x4000efff,0x5403fffc,0x80007fff,0x8004fffa,0x0003fffb,0x3e200000,
    0x20002fff,0x0003fffb,0x00fffee0,0x3fea0000,0xff88004f,0x7ffecc6f,
    0x7fdc000e,0xfd80003f,0x75bfea5f,0x3ffe65ff,0xfffa8000,0x3fa00004,
    0x40001fff,0xf800ffff,0x40001fff,0x001ffffe,0x007fff70,0x006fff88,
    0x0009fff7,0x001fffe4,0x4c1bffe2,0xffd03fff,0x3ffe000d,0xffff800f,
    0xdfff1001,0x017fff20,0x001ffff0,0x0003ffff,0x004fffa8,0x003fffb8,
    0x0002b980,0x002fffec,0x00fffee0,0x3fffb800,0xfa800000,0xf88004ff,
    0xfff906ff,0xfffb800b,0xffd80003,0x7dcfff25,0x1fff30ff,0x9fff5000,
    0x7fdc0000,0x7cc0005f,0xffb006ff,0xfb80009f,0x2e0005ff,0x44003fff,
    0xf9006fff,0x5c0007ff,0x4c003fff,0xff905fff,0x1bffa01f,0x1bffe600,
    0x027ffec0,0x206fff88,0x3002fffe,0x3600dfff,0x40004fff,0x8004fffa,
    0x0003fffb,0x002fffe4,0x00ffffb8,0x1fffdc00,0xfff70000,0x50000007,
    0x10009fff,0x7f40dfff,0x3ee002ff,0xc80003ff,0x43ffe6ff,0xff53fff9,
    0x3fea000f,0x2a00004f,0x40004fff,0xfffffffc,0xffffffff,0x540007ff,
    0x20004fff,0x4003fffb,0xb006fff8,0x40003fff,0x4004fffa,0xf884fffa,
    0xcccccfff,0x8006fffc,0xfffffffc,0xffffffff,0xff1007ff,0x7ffd40df,
    0xfffc800f,0xffffffff,0x07ffffff,0x27ffd400,0x1fffdc00,0xffff1000,
    0xff88005f,0xb80002ff,0x00003fff,0x000fffee,0x3ffea000,0xfff88004,
    0x3fffea06,0x7fff7000,0xfff90000,0xffd1bfea,0x001ffeab,0x0027ffd4,
    0x09fff500,0xfffff800,0xffffffff,0x01ffffff,0x13ffea00,0x3fffb800,
    0x37ffc400,0x007fff80,0x02fffcc0,0x20fffee0,0xfffffffb,0x06ffffff,
    0xffffff80,0xffffffff,0x801fffff,0x7406fff8,0xff803fff,0xffffffff,
    0xffffffff,0x3ea0001f,0xfb8004ff,0x2a0003ff,0x003fffff,0x002fffec,
    0x03fffb80,0x3ffee000,0xa8000003,0x88004fff,0x7f406fff,0xff7003ff,
    0xf700007f,0x70fff2ff,0xdff71fff,0x3ffea000,0x3ea00004,0x260004ff,
    0xffffffff,0xffffffff,0x20004fff,0x0004fffa,0x000fffee,0x500dfff1,
    0x8000dfff,0x4006fff8,0xfe81fffd,0xffffffff,0x4006ffff,0xfffffff9,
    0xffffffff,0x8804ffff,0x7d406fff,0x7fcc07ff,0xffffffff,0xffffffff,
    0x3ea0004f,0xfb8004ff,0x220003ff,0x001fffff,0x003fffee,0x1fffdc00,
    0xfff70000,0x50000007,0x10009fff,0xfa80dfff,0xff7007ff,0xf500007f,
    0x83fff1ff,0xffbbfff8,0xfff50006,0x7d400009,0x320004ff,0xccccdfff,
    0xdccccccc,0x20006fff,0x0004fffa,0x000fffee,0xb00dfff1,0x00009fff,
    0x2007ffff,0xf986fff9,0xcccccdff,0x006fffcc,0x666fffe4,0xcccccccc,
    0x806fffdc,0xe806fff8,0x3f203fff,0xcccccdff,0xfdcccccc,0x2a0006ff,
    0xb8004fff,0x40003fff,0x2004fffb,0x002ffff8,0x0fffee00,0xfffb8000,
    0xa8000003,0x88004fff,0xfe806fff,0xffb803ff,0xfa80003f,0xd06ffaff,
    0x0bff7dff,0x13ffea00,0xfffa8000,0x3ffe0004,0xfff8000f,0xff50001f,
    0x7dc0009f,0x7c4003ff,0x7fc406ff,0xb80002ff,0x4c01ffff,0xfd82fffe,
    0x7ff400ff,0x7fffc006,0xffff8000,0x37ffc401,0x037ffdc0,0x0001ffff,
    0x0003ffff,0x0013ffea,0x000fffee,0xb0006a20,0x0000bfff,0x003fffb8,
    0x0fffee00,0x3ea00000,0xf88004ff,0xffb806ff,0xfffb806f,0xff980003,
    0xf703ffdf,0x00bffbff,0x013ffea0,0x4fffa800,0xdfff3000,0x3fff6000,
    0xfff50004,0x7fdc0009,0x7fc4003f,0x2e66666f,0x0006ffff,0x33ffffa0,
    0xfff73109,0xbfff10bf,0x00dffd00,0x0037ffcc,0x404fffd8,0x8806fff8,
    0xf982ffff,0xfb0006ff,0x2a0009ff,0xb8004fff,0x00003fff,0xffff5000,
    0xfb800001,0x200003ff,0x0003fffb,0x4fffa800,0x6fff8800,0x2ffff880,
    0x56fffdc0,0xaaaaaaaa,0x7fcc0aaa,0xf101ffff,0x809fffff,0xfcaaaaaa,
    0xaaaaaeff,0x7fd4000a,0xff90004f,0x3ea0007f,0xf50006ff,0x5c0009ff,
    0x44003fff,0x3ffe6fff,0x02ffffff,0x3ffea000,0xffffffff,0xfb80efff,
    0xffe802ff,0x9999999e,0x00ffff20,0x037ffd40,0x401bffe2,0xfc86fffb,
    0xf50003ff,0xaaa80dff,0xefffcaaa,0x00aaaaaa,0x555bfff7,0x55555555,
    0xf8800015,0xeeeeffff,0xeeeeeeee,0xfff704ee,0x5555555b,0x20155555,
    0xaaadfffb,0xaaaaaaaa,0x5555500a,0x55dfff95,0x22015555,0xf7006fff,
    0xffb80dff,0xffffffff,0x41ffffff,0x06fffff8,0x27ffffec,0xffffff10,
    0xffffffff,0xa8005fff,0xf0004fff,0x20001fff,0x001ffff8,0x004fffa8,
    0x00fffee0,0x7cdfff10,0x2fffffff,0xfe880000,0xffffffff,0x3ffa04ff,
    0xffffd007,0x45ffffff,0x0000ffff,0x403ffff1,0x1006fff8,0xff85ffff,
    0xf10000ff,0x3e203fff,0xffffffff,0xffffffff,0xfffff702,0xffffffff,
    0x80003fff,0xfffffffb,0xffffffff,0xf705ffff,0xffffffff,0x3fffffff,
    0x3ffffee0,0xffffffff,0xff881fff,0xffffffff,0x2fffffff,0x00dfff10,
    0x80bfffe2,0xfffffffb,0xffffffff,0x7fffc41f,0x7ffd404f,0x3fe203ff,
    0xffffffff,0x2fffffff,0x27ffd400,0x37ffcc00,0x3fff6000,0xfffa8004,
    0x3fee0004,0x7fc4003f,0x3ffffe6f,0x000000ce,0x7fffff5c,0x3e601def,
    0xffd004ff,0xffffffff,0x01bffe65,0x09fffb00,0x0037ffc4,0x7ccdfff9,
    0x6c0006ff,0xff104fff,0xffffffff,0x5fffffff,0x3ffffee0,0xffffffff,
    0x40001fff,0xfffffffb,0xffffffff,0xf705ffff,0xffffffff,0x3fffffff,
    0x3ffffee0,0xffffffff,0xff881fff,0xffffffff,0x2fffffff,0x00dfff10,
    0x7037ffe4,0xffffffff,0xffffffff,0x3fffff03,0xfffff880,0x3fffe203,
    0xffffffff,0x002fffff,0x0027ffd4,0x001fffe4,0x01bffee0,0x013ffea0,
    0x03fffb80,0x237ffc40,0x00000098,0x026a6200,0x007ffec0,0xffffffe8,
    0xff92ffff,0xfb80007f,0x3fe206ff,0x3fe2006f,0x7fff92ff,0xfffb8000,
    0xfffff106,0xffffffff,0x2e05ffff,0xffffffff,0xffffffff,0x7fdc0001,
    0xffffffff,0xffffffff,0xffff705f,0xffffffff,0x2e03ffff,0xffffffff,
    0xffffffff,0xfffff881,0xffffffff,0xf102ffff,0x7c400dff,0x00002fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x355302aa,0x80cccc00,
    0x80009998,0x33100999,0x2aa20013,0x00355302,0x00bcb800,0x332a2000,
    0x22001abc,0x99999999,0x40001999,0xccedca98,0x2620009a,0x99999999,
    0x40000199,0x00deeeea,0x4ccccc40,0x81999999,0x0002eee9,0x77440000,
    0x0000003e,0x1665cc00,0x99730000,0x00000005,0x007fff30,0x00000000,
    0x1fffb800,0x00000000,0x0005ddd3,0xe80fff88,0x3ee003ff,0x3fa60dff,
    0xfc8000ef,0x7ffd44ff,0xfff1000e,0x007ffd01,0x37ffe400,0x3ff6a000,
    0xefffffff,0x7ffec00c,0xffffffff,0xffd50007,0xffffffff,0x3ff6007f,
    0xffffffff,0x2a00007f,0x000effff,0xffffffd8,0xd07fffff,0x00000dff,
    0x1fffb800,0x0001ff54,0x3ffee000,0x40000dff,0x0dfffffb,0x20000000,
    0xb700fffc,0x44007bff,0x00003eed,0xfd8bbbaa,0x765c406f,0x0003ceff,
    0x5fffff30,0xdfff8000,0x1fffca9a,0x77ffd400,0x00efffb9,0x3bffee00,
    0x005fffc8,0xa9adfff8,0x0001fffc,0x5fffff10,0xfffb1000,0xffffffff,
    0xffd805ff,0xffffffff,0x7f4c007f,0xffffffff,0xb003ffff,0xffffffff,
    0x0000ffff,0x013fffea,0xfffffd80,0x07ffffff,0x0003fff7,0x7ffc0000,
    0x1ffffc45,0xfa800000,0x04ffedff,0x37ffea00,0x00004ffe,0x17ffa000,
    0x3fffffa2,0xffd800ef,0x2e00000f,0xfff13fff,0x7fffe407,0x02efffff,
    0x3fffe600,0x20002fff,0xfffffffa,0xf50005ff,0x1bffffff,0xfff70000,
    0x000bffff,0x3fffffea,0x00005fff,0x0bffffe2,0xffffd300,0xffffdfff,
    0xcca805ff,0xcccccccc,0x3fe2004c,0xedefffff,0x003ffffe,0x99999995,
    0x00099999,0x05ffff30,0xcccca800,0x4ccccccc,0x00bfff10,0x3ea00000,
    0x7ffcc2ff,0x0000006f,0x7fec1dfd,0x1dfd0000,0x00007fec,0xf880ae60,
    0xfffe82ff,0x405ffffe,0x0002fffa,0xa9fffdc0,0xff880fff,0xffffffff,
    0x98002fff,0xffd9efff,0x3ee0003f,0x05ffffff,0x7fffcc00,0x5400005f,
    0x004fffff,0x7ffffdc0,0x800005ff,0x000ffffe,0x37ffffea,0x7f5cc41a,
    0x00000002,0x02fffffa,0x0001b988,0xf3000000,0x2aa61dff,0x00000001,
    0x0003fff2,0x3ff60000,0x0ffffd06,0xff100000,0x002ff987,0x7cc3ff88,
    0xf300002f,0x7fd409ff,0x11fffa87,0x2203fff9,0x00005ffe,0xf93fffb8,
    0x3fff60df,0xffda9abf,0x2a000fff,0x7fec5fff,0x2e20003f,0x0001ccec,
    0x00799930,0x33326000,0x97100003,0x0000399d,0x007bf620,0x07ffffd0,
    0x00000cc0,0xefffb800,0x00000000,0xcc880000,0x017ff43c,0xf3000000,
    0x000007ff,0x03fff980,0x000ffff3,0x89ff1000,0x88002ff9,0x17fcc4ff,
    0xfff98000,0x213ff604,0xfff84ffe,0x01fff904,0xfff70000,0x2e0bffe7,
    0x3600dfff,0x91003fff,0x332e0799,0x0000000c,0x00000000,0x00000000,
    0x00000000,0x1ffffb80,0x00000000,0x0bfff600,0x00000000,0x3e600000,
    0x000000ff,0x037fec00,0x3f200000,0x3ff600ff,0xd0000006,0x3ff623ff,
    0x3ffd0000,0x0003ff62,0x027ffcc0,0xfff03999,0x30bffb03,0x00007fff,
    0x22fffee0,0xfff80ccc,0x7ffcc00f,0x00000005,0x00000000,0x00000000,
    0x00000000,0x44000000,0x0002ffff,0x55555000,0xffff0003,0x55000001,
    0x55555555,0x15555555,0x7fdc0000,0x2aaa6005,0xaaaaaaaa,0xa80aaaaa,
    0x00002fff,0x0bfff100,0x0004ffd8,0xdfff3000,0x40009fff,0xfffefff9,
    0x3e600004,0xf10004ff,0xdff701ff,0x000bffd0,0x1fffdc00,0x027ffcc0,
    0x0037ffc4,0x54c00000,0xaaaaaaaa,0x0aaaaaaa,0xaaaaaa98,0x3000009a,
    0x55555555,0x55555555,0xaaaa8001,0x54c0001a,0xaaaaaaaa,0x0aaaaaaa,
    0x001bfff2,0x7ffcc000,0x7c4005ff,0x00001fff,0x7fffffc4,0xffffffff,
    0x00002fff,0xb800bffa,0xffffffff,0xffffffff,0x00bfff01,0x3fee0000,
    0x3ffe601f,0x20000001,0x04fffffa,0xffffa800,0x4c00004f,0x20004fff,
    0xffb82fff,0x007ffe45,0xfff70000,0x7fff5007,0x09fff300,0x70000000,
    0xffffffff,0xffffffff,0xfffff903,0x9bdfffff,0xfff70001,0xffffffff,
    0x003fffff,0x2fffffcc,0x3ffee000,0xffffffff,0x3e1fffff,0x00002fff,
    0xfffff900,0xffe8001f,0x4400003f,0xffffffff,0xffffffff,0x5d44002f,
    0x0fffefed,0x3fffee00,0xffffffff,0xf701ffff,0x000003ff,0x2e0dffd0,
    0x0003fffd,0xaba88000,0x2a200000,0x800000ab,0x0004fff9,0x3f613ffe,
    0x0fffe64f,0xff700000,0xfff7007f,0x7fffb005,0x7654c000,0x7001bcee,
    0xffffffff,0xffffffff,0xfffff903,0xffffffff,0xffb8007f,0xffffffff,
    0x01ffffff,0x3fffff20,0x3ee0000f,0xffffffff,0x1fffffff,0x000ffff1,
    0x7fffc000,0x6c002fff,0x0002ffff,0x3ffffe20,0xffffffff,0x2002ffff,
    0xfffffffb,0x2e003fff,0xffffffff,0xffffffff,0x09fff101,0xff980000,
    0x9ffff02f,0x00000000,0x00000000,0xccccca80,0xcccefffd,0x83cccccc,
    0x3e60effd,0x1bffa1ff,0x32ea2000,0xfffcbcee,0x1fffd803,0x037ffec0,
    0xfffffb80,0x00ffffff,0x7fffffdc,0xffffffff,0xfffc81ff,0xffffffff,
    0x001effff,0xfffffff7,0xffffffff,0x7ffc003f,0x0002ffff,0x3fffffee,
    0xffffffff,0xdfff51ff,0x26000000,0x5fffefff,0x7fffd400,0x8000003f,
    0x0004fffa,0x7fffff44,0xdfffffff,0x3fffb800,0x7fec0000,0x2000000f,
    0x3be07ffd,0x4000001d,0x1001ccc9,0x73005999,0x79bdfdd9,0xffff9000,
    0xffffffff,0xbfffffff,0x99ffff30,0x7fdcbfff,0x3620001f,0xffffffff,
    0xd803ffff,0xfd101fff,0x88003fff,0xfffffffe,0x400fffff,0x0003fffb,
    0x887fff90,0xffffeba9,0xfffb802f,0x26000003,0x5fffefff,0x3ffee000,
    0x3fee0003,0x0000005f,0xfff3fff9,0xfff7000f,0x00017fff,0x13ffea00,
    0xffff9800,0xfffcabdf,0xfb805fff,0x400003ff,0x0003fff9,0x09fff100,
    0x00000004,0x2007fff5,0xb105fff8,0xffffffff,0x4007ffff,0xfffffffc,
    0xffffffff,0xf905ffff,0x1dffffff,0x000fffe6,0xffffffb8,0xffffffff,
    0x1fffd803,0x0effff98,0x7fffd400,0xfdcbcdff,0x7fdc00ff,0xf900003f,
    0xff7007ff,0xfb801fff,0x000003ff,0x3fe7fff2,0x3ee0007f,0x320003ff,
    0x00003fff,0x36dfff00,0xc8002fff,0xcfffffff,0x7d400001,0x3a0004ff,
    0x7e40efff,0x03ffffff,0x001fffdc,0x037ff400,0xfffc8000,0x0b332000,
    0x39bddb71,0x07fff500,0x417ffe20,0xfffffff8,0x5fffffff,0xddddd700,
    0xdddffffd,0x09dddddd,0x67ffffd4,0x001bffa0,0xdeffffd8,0xffffdcab,
    0xfffd803f,0x27fff441,0x7fffc400,0x006d403f,0x000fffee,0x01fffe40,
    0x04fffe88,0x001fffdc,0x2dfff000,0x0002fffd,0x0007fff7,0x0017ffec,
    0x7ffcc000,0x00bfff74,0x3ffffea0,0x0002dfff,0x009fff50,0x037ffea0,
    0x3ff6bffa,0x7ffdc07f,0xfa800003,0x800001ff,0x7c005fff,0x3ffee4ff,
    0x403fffff,0x1003fffa,0x3e20bfff,0xbabcdeff,0x03fffffc,0x13ffe600,
    0x81a88000,0x0001fffb,0x807ffff5,0xd803fffc,0x7fe41fff,0xff90005f,
    0x400003df,0x0003fffb,0x007fff90,0x007fffd4,0x0007fff7,0x53ffe600,
    0x0005fffb,0x0007fff7,0x0017fff4,0x7ffe4000,0x00ffff11,0x7fff5c40,
    0x001effff,0x027ffd40,0x81fffe80,0xff88fff9,0x3fee02ff,0xf000003f,
    0x80000bff,0x4002fffa,0xfffb4fff,0x9fffffff,0x01fffd40,0x105fff88,
    0xfd88017d,0x260007ff,0x00004fff,0x04fff880,0x07fffa00,0x00fffee0,
    0xfb07fff6,0xf30003ff,0x00005fff,0x003fffb8,0x07fff900,0x05fffe80,
    0x000fffee,0x8fffe400,0x0007fff8,0x0007fff7,0x001ffff4,0x3fffc000,
    0x000bfffa,0x3ffff6a0,0x20003fff,0x8004fffa,0xf905fff9,0x2fffd4bf,
    0x007fff70,0x3fff2000,0x3fa00000,0xfff8006f,0xbcefffdc,0x00fffffc,
    0x2007fff5,0x0005fff8,0x03fffd10,0x13ffe600,0x3f600000,0x3ee0006f,
    0xff7004ff,0xfffb007f,0x00fffe83,0x05fffd80,0xfffb8000,0xff900003,
    0xffa8007f,0x3ffee06f,0xff000003,0x2fffe8ff,0x3fffb800,0x3fff6000,
    0x4c000004,0x7fdc4fff,0x2600004f,0x3ffffffc,0x9fff5000,0x5fff7000,
    0xf98bffa0,0x3fee07ff,0x1000003f,0x00009fff,0x000fffe6,0x3ffffffe,
    0x4fffe882,0x007fff50,0x0017ffe2,0x02fffc80,0x09fff300,0xffa80000,
    0x3fe0001f,0xff7000ff,0xfffb007f,0x03fffd83,0x01fffe80,0xfffb8000,
    0xff900003,0xff88007f,0x3ffee07f,0xf9800003,0x7ffdc4ff,0xfffb8004,
    0x3ff20003,0x4000004f,0x7cc1fffc,0x800007ff,0x2fffffc8,0x4fffa800,
    0x1fffc800,0x7c0fff98,0x3fee07ff,0x2000003f,0x00007ffd,0x0001fff9,
    0x03ffffff,0xa837ffd4,0xf1003fff,0x40000bff,0x0003fffa,0x0009fff3,
    0x27ffc400,0xbfff1000,0x1fffdc00,0x20fffec0,0x002ffffb,0x0003fffc,
    0x03fffb80,0x7fff9000,0x1ffff000,0x00fffee0,0x3fff2000,0x03fffcc1,
    0x01fffdc0,0x0bfff700,0xfff80000,0x05fffd07,0x3fea0000,0xfa8006ff,
    0xfd8004ff,0x5ffc80ff,0x700fffe8,0x00007fff,0x017ffd40,0x13ffe200,
    0x7ffffc00,0x07fff801,0x2007fff5,0x0005fff8,0x013ffea0,0x027ffcc0,
    0xfffb0000,0x7fcc0001,0x3fee004f,0xfffd803f,0x3ffffe81,0x0dfff300,
    0x3fee0000,0xf900003f,0xfd0007ff,0x3fee03ff,0xf800003f,0xfffd07ff,
    0xfffb8005,0x3fea0003,0x2000007f,0xf905fff9,0x000009ff,0x003fffd4,
    0x0027ffd4,0xfe83fff4,0x0fffd82f,0xdddfff70,0xdddddddd,0xffe8009d,
    0x7fdc0006,0xfff0001f,0x3ffa005f,0x07fff507,0x017ffe20,0x26666620,
    0x0004fffb,0x0009fff3,0x8bffea00,0x02dffed9,0x800fffea,0xd803fffb,
    0xff881fff,0x5400dfff,0x00005fff,0xdddfff70,0xdddddddd,0x3fff209d,
    0xfffd8003,0xddfff703,0xdddddddd,0xff9809dd,0x9fff905f,0xefffb800,
    0xeeeeeeee,0x3fe24eee,0x000003ff,0x2605fff9,0x00007fff,0x07fffe20,
    0x09fff500,0x81fffd00,0xfd80fff9,0xfff700ff,0xffffffff,0x800bffff,
    0x0001fffb,0x8001bffa,0x36007fff,0xffa80fff,0xfff1003f,0xffdb300b,
    0xffffffff,0x3e60009f,0x800004ff,0x3ee5fff8,0x04ffffff,0x4005fff7,
    0xd803fffb,0xfd301fff,0x5403dfff,0x00005fff,0xffffff70,0xffffffff,
    0x3fff20bf,0xfffc8003,0xfffff704,0xffffffff,0xffc80bff,0xffff302f,
    0xffffb800,0xffffffff,0x7fec5fff,0xf000007f,0x7fc01fff,0x000001ff,
    0x0007fffa,0x0009fff5,0xfc83fffb,0x0fffd05f,0x7fffffdc,0xffffffff,
    0x7fc4005f,0xff50004f,0x7fc0005f,0x3ff6007f,0x3fffa80f,0x0bfff100,
    0x7ffffecc,0xffffffff,0xff30004f,0x9000009f,0x3fe61fff,0x2ffffeff,
    0x002fffc8,0x200fffee,0x2201fffd,0x00fffffd,0x000dfff3,0x3fffee00,
    0xffffffff,0xff905fff,0xff90007f,0x3ffee09f,0xffffffff,0x7c05ffff,
    0x3fe00fff,0x3ee001ff,0xffffffff,0x45ffffff,0x003ffffa,0x2fffcc00,
    0x013fff20,0x7fff8000,0x4fffa800,0x2fffc800,0xff817ff4,0x3ffee05f,
    0xaaaaaaad,0x8001aaaa,0x8000fffc,0x40007ffd,0x36007fff,0xffa80fff,
    0xfff1003f,0x3fffe60b,0xeeeeeeff,0x0004fffe,0x0009fff3,0x22fffa80,
    0x3fa65ffe,0x3fffb86f,0x0fffee00,0x007fff60,0x41bfffee,0x0007fff8,
    0x5bfff700,0x55555555,0x3ff20355,0xffd8003f,0xbfff703f,0x55555555,
    0x7cc03555,0x7fe405ff,0x3fee004f,0xaaaaaadf,0xe81aaaaa,0x0003ffff,
    0x00ffff20,0x000ffff5,0x1bffee00,0x13ffea00,0x8fffee00,0xf980fff9,
    0x3fee04ff,0x8000003f,0x4003fff9,0x0003fff8,0xb003fffc,0xff501fff,
    0x3fe2007f,0xfffe885f,0x7ffd402e,0xfff30004,0x74400009,0x3ffe65ff,
    0x207ffd40,0x2004fffa,0xd803fffb,0xf5001fff,0x3fe05fff,0x800001ff,
    0x0003fffb,0x007fff90,0x207fffd0,0x0003fffb,0x00ffff20,0x400ffff5,
    0x0003fffb,0x5fffffa8,0x3e039300,0xff800fff,0x003301ff,0x09ffff50,
    0x09fff500,0x1dfff300,0x7ec17fee,0x3fee02ff,0x0000003f,0xc800dffd,
    0x40000fff,0x36007fff,0xffa80fff,0xfff1003f,0x1dfff70b,0x09fff500,
    0x17ffe600,0xfffc8000,0x221bfea0,0x7fcc2fff,0xfff1004f,0xfffb007f,
    0x7ffe4003,0x0bfffb04,0xfff70000,0x3f200007,0xff8003ff,0xfff702ff,
    0x7fc00007,0xfff800ff,0xfff7001f,0x3ee00007,0xacdfffff,0x2ffecba9,
    0x006fff98,0x2e09fffb,0x99aabdff,0xfffeba99,0xff50005f,0x3fa0009f,
    0x05ffd4ff,0xb80dfff3,0x00003fff,0x05fff500,0x002fffc0,0x003fffc0,
    0xf501fffb,0x3ea009ff,0xfffd85ff,0x9fff5002,0x3ffe2000,0xff300006,
    0x05ffb87f,0xff887ffd,0xffe8807f,0xffd803ff,0x3fe6001f,0xffff506f,
    0xfb800005,0x900003ff,0x88007fff,0xf700ffff,0x200007ff,0xb006fff9,
    0x2e009fff,0x00003fff,0x3fffffee,0xffffffff,0xffffc82f,0xffffffff,
    0x707fffff,0xffffffff,0xffffffff,0x7fd4000d,0xff70004f,0x81fff9ff,
    0x402ffff9,0x0003fffb,0x17ffe000,0x00fffdc0,0x03fffc00,0x301fffb0,
    0xf1009fff,0xffd0bfff,0x3fea001f,0x3fe0004f,0xe80000ff,0x7ffb85ff,
    0xfd05fff0,0xffd805ff,0xfd803fff,0x3e2001ff,0x3ff606ff,0x003003ff,
    0x0007fff7,0x00ffff20,0x40dfff50,0x0003fffb,0xffffff90,0xffffffff,
    0x2e00ffff,0x00003fff,0x7fffff54,0xffffffff,0xffffff82,0xffffffff,
    0xb81fffff,0xffffffff,0xdfffffff,0x3fea0000,0x3f60004f,0x265fffff,
    0x805ffffb,0x0003fffb,0x3ffee000,0x06ffe800,0x0ffff000,0x407ffec0,
    0x4406fff8,0xf85ffffe,0xfb801fff,0x20004fff,0x0005fffe,0x5407ffe4,
    0x7fc40fff,0xefffb80f,0xffffd880,0xffd803ff,0x3fee001f,0x3ffe204f,
    0x5309beff,0xfb801fd7,0x900003ff,0xe8007fff,0x3ee04fff,0xf00003ff,
    0xffffffff,0xffffffff,0xff7003ff,0x2000007f,0xffffffc9,0xf980bdff,
    0xffffffff,0xffffffff,0xfec984ff,0xffffffff,0x80000cef,0x0004fffa,
    0x3fffffa2,0xffffffef,0xfffb800e,0x20000003,0x4c04fff8,0x00003fff,
    0x6c00ffff,0xfff00fff,0x3ffa205f,0xffd85fff,0x3ff6204f,0x20004fff,
    0x0aeffffa,0x7cc0ee62,0xfff103ff,0x106ffd89,0x115dffff,0xff3dfff9,
    0xfffb007f,0x36620a83,0x5401ffff,0xffffffff,0x00ffffff,0x001fffdc,
    0x03fffc80,0x07fffea0,0x003fffb8,0xfffff980,0xffffffff,0x04ffffff,
    0x003fffb8,0x7ffec000,0xffc8009a,0xccccccdf,0xffdccccc,0xaa98806f,
    0x0000fffe,0x027ffd40,0x7fffe400,0x3fffffff,0x0fffee00,0xfb000000,
    0x7ffd80ff,0x3ffe0000,0x3fff6007,0x7ffff900,0x3bffee21,0xffc85fff,
    0x7fdcc3ff,0x004fffff,0x7ffffec0,0x05ffffff,0xfc80dffd,0xfffecfff,
    0x3fffee01,0x8effffff,0xd803fff8,0x7ffc1fff,0x3fffffff,0xffffb100,
    0xffffffff,0x3fffb801,0xfff90000,0x3ffa2007,0x7ffdc05f,0xffc80003,
    0xccccccdf,0xffdccccc,0xfffb806f,0x74000003,0x7fc006ff,0xff8000ff,
    0x7fc001ff,0xa800005f,0x00004fff,0xfffffff9,0xfb8003bd,0x000003ff,
    0x81fffcc0,0x0004fff8,0x801fffe0,0xf100fffd,0xffffffff,0xbffd1dff,
    0xfffffd10,0x3fffffff,0x80009fff,0xffffffd8,0xfb85ffff,0x7f4401ff,
    0x04ffffff,0xffffffb8,0xfff10eff,0x3fffb007,0xfffffff8,0xca8003ff,
    0xeffffffe,0xfffb802c,0xff900003,0xffd3007f,0xffb801ff,0xff80003f,
    0xff8000ff,0x7fdc01ff,0x2000003f,0x2004fff8,0x0006fff9,0x4009fffb,
    0x0003fff9,0x04fffa80,0x57ffd000,0xfb800035,0x000003ff,0x706ffe80,
    0x00001fff,0xb003fffc,0x7d401fff,0xffffffff,0x20bffd0d,0xfffffff9,
    0xfff0dfff,0x36a00009,0xffffffff,0x01fffcc4,0x5dffff90,0x7ffed400,
    0x7ffc0bdf,0x1fffd803,0x77fffffc,0x3100000c,0xff700033,0x3200007f,
    0x32203fff,0x803fffff,0x0003fffb,0x0037ffcc,0x404fffd8,0x0003fffb,
    0x07ffea00,0x03fffc80,0x0dfff500,0x00fffd40,0x55555500,0x555dfff9,
    0x26001555,0x400007ff,0xaaadfffb,0xaaaaaaaa,0x7dc0000a,0x5fff81ff,
    0x7ffc0000,0x3fff6007,0x7fff4400,0x7ff42eff,0x3fff2205,0x7fc2dfff,
    0x8800004f,0x00009999,0x00026200,0x00000530,0x00133300,0x20000000,
    0xaaadfffb,0xaaaaaaaa,0xcfffc80a,0xfffecbaa,0x7002ffff,0x5555bfff,
    0x55555555,0x01fffe41,0x06fffa80,0x556fffdc,0xaaaaaaaa,0xff9000aa,
    0xffff800f,0xfff10000,0x3ff2003f,0x3fe20006,0xffffffff,0x2fffffff,
    0x00bff700,0xffffb800,0xffffffff,0x0001ffff,0x2a2fffc4,0x00002fff,
    0xb003fffc,0x4c001fff,0x200000aa,0x00000a98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffffdc,0xffffffff,0xfffc81ff,0xffffffff,
    0x2001ffff,0xfffffffb,0xffffffff,0x03fffe1f,0x7fffc400,0x3fffee01,
    0xffffffff,0xb001ffff,0x7cc009ff,0x6c0006ff,0xfd004fff,0x7c40009f,
    0xffffffff,0xffffffff,0x05ffd002,0xfffb8000,0xffffffff,0x001fffff,
    0x20fffc80,0x00006ffe,0x2007fff8,0x0000fffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffdc00,0xffffffff,0xfc81ffff,
    0xffffffff,0x8002efff,0xfffffffb,0xffffffff,0x0dfff31f,0x4fffd800,
    0x3ffffee0,0xffffffff,0x99001fff,0x7fe40039,0x7dc0003f,0x999006ff,
    0x7fc40003,0xffffffff,0x2fffffff,0x006ee880,0xffffb800,0xffffffff,
    0x0001ffff,0xd12eee88,0x000007dd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffdc00,0xffffffff,0xfc81ffff,
    0xdeffffff,0x2e0001bc,0xffffffff,0xffffffff,0x007fff91,0x06fffb80,
    0x3fffffee,0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x004eeeec,0x01ddd900,0x32613326,0x8003cefe,0xeed81eed,
    0x0f76c000,0xc980776c,0x993001cc,0x64400039,0x9b1001de,0x88000557,
    0xdd504eed,0x0999305d,0x159dd951,0x402b8800,0x260001b9,0x00003eee,
    0x677775c0,0xbdddd700,0x98000000,0x5c4001aa,0x000dcc02,0x202ccb88,
    0x74c00008,0x000003ee,0x19dddd70,0x5eeeeb80,0xed880000,0x5ddd504e,
    0x1bddd900,0xc8000000,0x0004ffff,0x403fff60,0xfb10fffa,0x3dffffff,
    0x21ffec00,0xd8007ff9,0x3ffcc3ff,0x007fff50,0x000bffee,0x00ffffe8,
    0xffffff88,0xff30001c,0x7ffe41df,0x21fff503,0xffffffd8,0xff1001ff,
    0x3ffee0bf,0xfff98003,0x000003ff,0x00bffff7,0x00bffff7,0x7ff40000,
    0x3ffe2002,0x07fff705,0xfffffc80,0x0077442e,0xfffff980,0x5c000003,
    0x2005ffff,0x005ffffb,0xefff9800,0x00ffff20,0x437fff44,0x00002ca8,
    0x00bffff2,0x1fffb000,0x263ffea0,0xffffffff,0xf7000fff,0xffd739ff,
    0xfff7000b,0x0bffd739,0x801fffd4,0x0002fffb,0x07fffff3,0xffffff10,
    0x30001bff,0xffb3dfff,0x7ffd407f,0xffffff99,0x801fffff,0xf81ffffc,
    0x4c006fff,0x3fffffff,0x7fdc0000,0x3a6003ff,0x00005fff,0x00fff980,
    0x07ffff20,0x801bfffe,0xfffffffc,0x4ffebbdf,0xffff9800,0x00003fff,
    0x07ffff70,0xbfffd300,0xff300000,0x7fffb3df,0xffff9800,0x2ffffdcd,
    0xfff90000,0x3a60001d,0xfffeeeee,0xf51eeeef,0x9ffff5ff,0x9ffffb77,
    0x7ffff400,0x0001ffff,0xfffffffd,0x7ffd403f,0x5fff7003,0x3ffe6000,
    0xee8803ff,0xffffffff,0xfff98002,0x5403ffff,0xfffeafff,0xffffebce,
    0x7ffe400f,0x6ffff81f,0x3bffe600,0x003fffd9,0x3dfff700,0xfffb1000,
    0xb800000b,0x7e4005ff,0xfff81fff,0xfff3006f,0xfffff959,0x3000bfff,
    0xffb3dfff,0xb800007f,0x0001efff,0x017fff62,0x3ffe6000,0x8003ffff,
    0xffffffd9,0x0002ffff,0x005fffc8,0x7ffffcc0,0xffffffff,0xfffff51f,
    0xfff701df,0x3fa2001f,0x002effff,0x3ffffa20,0x7fd402ef,0xfff7003f,
    0x7ff40005,0xb98001ff,0x01fffffe,0xfffff980,0xffffa803,0xff982fff,
    0x7fc403ff,0x5fff705f,0x37ffe600,0x00ffff20,0x1bfff700,0xfffb8000,
    0x3a000005,0x7c4002ff,0xfff705ff,0x20fdc005,0xefffffd8,0x7ffcc000,
    0x0ffff20d,0x7ffdc000,0xf700000d,0x00000bff,0x07fffff3,0x7ffff540,
    0xefffffff,0x64c0001c,0x980002cc,0xffffffff,0x51ffffff,0x80bfffff,
    0x4002fffe,0x0002ccba,0x00b32ea0,0x801fffd4,0x0002fffb,0x000bbf62,
    0x3ffffea0,0xccc98000,0xffff5002,0x7fd401df,0x02a8806f,0x99000d4c,
    0x3332a079,0x99910001,0x64c00007,0x220002cc,0xffefedba,0x2a88000f,
    0x4000d4c0,0x02f2e601,0x81e66400,0x0001ccca,0x001e6644,0x16664c00,
    0x664c0000,0x7fe4002c,0xffffffff,0x0000000a,0x55544000,0xbfffeaaa,
    0xfff50aaa,0xfff700bf,0x00000007,0xff500000,0x3fee007f,0x0000002f,
    0xffff9800,0x20000004,0x00effffa,0x001ffff8,0x00000000,0x00000000,
    0x2e000000,0xffffffff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9dfff900,0x009ffff7,0x00000000,0x00fffd80,0x001dfff5,
    0x0009fff3,0x00000000,0x007fff50,0x000bffee,0x54000000,0x0000ffff,
    0xffff5000,0x3fff2001,0x00000003,0x00000000,0x00000000,0xfffffe88,
    0xdfffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffb81ba,0x0000001f,0x3f600000,0xfff500ff,0x3ffe6007,0x00000005,
    0xffa80000,0xfff7003f,0x00000005,0x1ffffc00,0xfa800000,0x3ea003ff,
    0x000004ff,0x00000000,0x00000000,0x7fffcc00,0xfffcabdf,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fec0000,0x2600006f,
    0x1bceeeca,0x6edd4c00,0x0fffeabc,0x007fff50,0x2017ffe2,0xdefeecb9,
    0x5cc0003c,0x402bceec,0x7003fffa,0x20005fff,0x2bceecb9,0xfffb0000,
    0x765cc009,0x7d402bce,0x3e6003ff,0xccc984ff,0x59991001,0x00399930,
    0x260b3322,0x91001ccc,0x99930599,0x33322003,0x077fff42,0x3ffffff2,
    0x5cc4003f,0x00abceed,0x76dcc400,0x0000abce,0x6776dcc4,0x440000ab,
    0xabceedb9,0x5cc40000,0x00abceed,0xfecba800,0x002bceef,0x3ffb6e62,
    0x5c0003ff,0xffffffff,0x74c00fff,0xffffffff,0xf500ffff,0x3e2007ff,
    0xffb105ff,0xffffffff,0xe98007ff,0xffffffff,0x7fff501e,0x0bffee00,
    0xffffd300,0x003dffff,0x04fffc80,0xfffffe98,0xf501efff,0x7cc007ff,
    0xfffa85ff,0xbfff1003,0x007fff50,0x2a17ffe2,0xf1003fff,0xfff50bff,
    0x3ffe2007,0x037ffea5,0x3ff6bffa,0x3fee007f,0xefffffff,0xfff70002,
    0x5dffffff,0x3ffee000,0x2effffff,0xffff7000,0x05dfffff,0x3fffee00,
    0x02efffff,0xffffd500,0x0fffffff,0xfffffd30,0x001fffff,0xfffffd10,
    0x1fffffff,0x7ffffe40,0xffffffff,0x7fff500f,0x17ffe200,0x7fffffc4,
    0xffffffff,0xffff5005,0xffffffff,0x07fff507,0x00bffee0,0xffffffa8,
    0x03ffffff,0x0ffff200,0xffffff50,0x07ffffff,0x4007fff5,0xfa86fff8,
    0xff1003ff,0x7fff50bf,0x17ffe200,0x400fffea,0xfa85fff8,0xff1003ff,
    0x0ffff4bf,0x7c47ffcc,0x6c402fff,0xffffffff,0x2004ffff,0xffffffd8,
    0x04ffffff,0x3ffff620,0xffffffff,0x3ff62004,0xffffffff,0x362004ff,
    0xffffffff,0x4004ffff,0xfffffffd,0x407fffff,0xfffffffa,0x004fffff,
    0x7fffffd4,0xfffdcbcd,0xdffffd00,0xfffd9779,0x3fea01ff,0xfff1003f,
    0x3bffe20b,0xffcbabcd,0x7e403fff,0xba9acfff,0x543ffffe,0xf7003fff,
    0x3f2005ff,0xba9acfff,0x003ffffe,0x405fffd0,0x9acffffc,0x3ffffeba,
    0x001fffd4,0xf509fff3,0x3e2007ff,0xfffa85ff,0xbfff1003,0x007fff50,
    0x2a17ffe2,0xf1003fff,0x3ffe6bff,0x54bff905,0x3e205fff,0xbaceffff,
    0x05fffffd,0xefffff88,0xffffdbac,0xfff8805f,0xfdbaceff,0x8805ffff,
    0xacefffff,0x5fffffdb,0xfffff880,0xfffdbace,0xff9005ff,0x55557bff,
    0x7e40fdb9,0xccceffff,0x001ffffd,0x07fffff1,0xffb80da8,0x3fa201ff,
    0xfff500ff,0x3ffe2007,0x8017d105,0x207fffd8,0x202ffff9,0x2a0ffffc,
    0xf7003fff,0xff3005ff,0x7fe405ff,0x7dc000ff,0xff300fff,0x7fe405ff,
    0x3ffea0ff,0x3ffea003,0x03fffa83,0x50bfff10,0x22007fff,0xffa85fff,
    0xfff1003f,0x07fff50b,0x5d7ffe20,0xffd02fff,0x03fffcc5,0x203ffffb,
    0x01ffffd8,0x80ffffec,0x01ffffd8,0x80ffffec,0x01ffffd8,0x80ffffec,
    0x01ffffd8,0x80ffffec,0x01ffffd8,0x00ffffc4,0xffff5008,0x3fff2017,
    0xdfff9005,0x7fc40003,0xffd800ef,0x7fff500f,0x17ffe200,0x7ff44000,
    0x3fffb01f,0x49fff900,0x7003fffa,0xfb005fff,0xff9003ff,0x2a66609f,
    0x03ffffea,0x2007fff6,0x3ea4fffc,0x3ee003ff,0xfffa82ff,0xbfff1003,
    0x007fff50,0x2a17ffe2,0xf1003fff,0xfff50bff,0x3ffe2007,0x303fff95,
    0xfff81fff,0x1dfff307,0x0dfff900,0x0077ffcc,0x3037ffe4,0x9001dfff,
    0x7cc0dfff,0xfc800eff,0x3fe606ff,0xffc800ef,0x7ffd406f,0xffe80003,
    0x7ffc402f,0x7ffcc00f,0x7ec0002f,0xffb002ff,0x3ffea01f,0xbfff1003,
    0x7fe40000,0x5fff982f,0x4ffff100,0x9004fffa,0xf9805fff,0xff1005ff,
    0x3fffe0ff,0x206fffff,0x1005fff9,0x7fd4ffff,0x3ff6003f,0x3fffa81f,
    0x0bfff100,0x2007fff5,0xfa85fff8,0xff1003ff,0x7fff50bf,0x57ffe200,
    0xfc80fffd,0x0fffe85f,0x002fffe8,0x205ffff1,0x1002fffe,0x3a05ffff,
    0xf1002fff,0x3fa05fff,0xff1002ff,0x3ffa05ff,0xfff1002f,0x7ffe405f,
    0x7fd40003,0xfffb004f,0x5fffd807,0x7ffc4000,0x3fff6006,0x07fff500,
    0x017ffe20,0x3fffa800,0x001fffd8,0x7d43fff6,0xffa804ff,0x7fec03ff,
    0x3ff6001f,0xfffff80f,0x7ec03fff,0x3f6001ff,0x7fff50ff,0x1fffe600,
    0x801fffd4,0xfa85fff8,0xff1003ff,0x7fff50bf,0x17ffe200,0x400fffea,
    0xffd5fff8,0x20bffa0f,0x7cc0fffd,0x7dc006ff,0xfff984ff,0x7ffdc006,
    0x06fff984,0x427ffdc0,0x4006fff9,0xf984fffb,0x7dc006ff,0x3fea04ff,
    0x7f40005f,0xff3000ff,0xfffe80df,0x7fcc0001,0x3ff6004f,0x7fff500f,
    0x17ffe200,0xfffa8000,0x007ffe84,0xfa97ffe4,0x7fcc06ff,0x7f403fff,
    0x7fe4007f,0xdfffe82f,0xffe800ac,0x7ffe4007,0x007fff52,0x540ffff6,
    0xf1003fff,0xfff50bff,0x3ffe2007,0x03fffa85,0x50bfff10,0x22007fff,
    0xfffd5fff,0x80fff981,0x7d40fffd,0x7cc003ff,0xfffa85ff,0x7ffcc003,
    0x03fffa85,0x42fffcc0,0x4003fffa,0xfa85fff9,0x7cc003ff,0x3fe205ff,
    0x88001dff,0x7c005fff,0x3fe00fff,0xfa80007f,0x3f6003ff,0xfff500ff,
    0x3ffe2007,0x99988005,0x84fffb99,0x5c006fff,0xfff53fff,0x3ffe605f,
    0x7fc05fff,0x7fdc006f,0x06ffe83f,0x006fff80,0xfa9fffdc,0xffc803ff,
    0x3ffea06f,0xbfff1003,0x007fff50,0x2a17ffe2,0xf1003fff,0xfff50bff,
    0x3ffe2007,0xc83fffb5,0xfffd05ff,0x005fff90,0xf90dfff0,0xff0005ff,
    0x5fff90df,0x0dfff000,0x0005fff9,0xff90dfff,0xfff0005f,0xffffc80d,
    0xf5000adf,0xfe8007ff,0xfff301ff,0xff70000d,0x7fec005f,0x7fff500f,
    0x17ffe200,0x3fffb660,0xffffffff,0x7ffffc44,0xffffffff,0x54ffffff,
    0x217fffff,0xfecfffc8,0xff880bff,0xffffffff,0xffffffff,0x05ffe84f,
    0x7ffffc40,0xffffffff,0x54ffffff,0x8837dfff,0x01ffffea,0x400fffea,
    0xfa85fff8,0xff1003ff,0x7fff50bf,0x17ffe200,0x400fffea,0xff95fff8,
    0x02ffe85f,0xffb0bfff,0xfff0003f,0x03fffb0f,0xb0ffff00,0xf0003fff,
    0xfffb0fff,0xffff0003,0x003fffb0,0xb00ffff0,0xbfffffff,0x3fffb805,
    0x17ffe400,0x005fffa8,0x01fffd80,0x403fff60,0x1003fffa,0x6cc0bfff,
    0xffffffff,0x44ffffff,0xfffffffa,0xffffffff,0xff54ffff,0xffffffff,
    0x3fff2bff,0x7ffd40ff,0xffffffff,0xffffffff,0x005ffe84,0x7fffffd4,
    0xffffffff,0xf54fffff,0xffffffff,0x05ffffff,0x003fffa8,0xf50bfff1,
    0x3e2007ff,0xfffa85ff,0xbfff1003,0x007fff50,0x7dd7ffe2,0x3ffe63ff,
    0x84fff980,0x8000fffe,0x7f40fffe,0xfe8000ff,0x7fff40ff,0xfffe8000,
    0x007fff40,0x207fff40,0x8000fffe,0xb800fffe,0xffffffff,0xfffc80cf,
    0x7ffdc002,0x0bfff503,0x3fffb000,0x07ffec00,0x003fffa8,0x260bfff1,
    0xeeffffff,0xfffeeeee,0x7ffffcc4,0xffffffff,0x54ffffff,0xffffffff,
    0x7fc4bfff,0x7fcc0fff,0xffffffff,0xffffffff,0x05ffd84f,0x7ffffcc0,
    0xffffffff,0x54ffffff,0xffffffff,0x01bfffff,0x007fff50,0x2a17ffe2,
    0xf1003fff,0xfff50bff,0x3ffe2007,0x03fffa85,0x26bfff10,0xff70efff,
    0x0bfff60b,0x0003fffa,0xfd03fffa,0xfd0001ff,0xfffe81ff,0xfffe8000,
    0x007fff40,0x207fff40,0x8000fffe,0x1000fffe,0xffffffd7,0xfffd85ff,
    0x7ffdc002,0x0dfff303,0x5fff9000,0x07ffec00,0x003fffa8,0xd10bfff1,
    0xa805dfff,0x7fc44fff,0xf500005f,0xffff93ff,0xfffd305d,0x05fff881,
    0x5ffd8000,0x2fffc400,0xfffa8000,0xeffffffe,0x3fea002c,0xfff1003f,
    0x07fff50b,0x217ffe20,0x1003fffa,0xff50bfff,0x3fe2007f,0x53fffa5f,
    0xff982ffe,0x3fffb06f,0x0ffff000,0x0003fffb,0xffb0ffff,0xfff0003f,
    0x03fffb0f,0xb0ffff00,0xf0003fff,0x22000fff,0xffffffeb,0x00ffff21,
    0x207fff90,0x0007fff8,0x002fffc8,0x0003fffa,0x3fee0000,0xffa800ef,
    0x07fff84f,0x5fff5000,0x0980054c,0x000ffff0,0x00355300,0x000ffff0,
    0x44fffea0,0x2a000099,0xf1003fff,0xfff50bff,0x3ffe2007,0x03fffa85,
    0x50bfff10,0x22007fff,0x3fee5fff,0x40fffcff,0x902ffff9,0x88005fff,
    0xffc85fff,0x7fc4002f,0x2fffc85f,0x2fffc400,0x0017ffe4,0x3217ffe2,
    0x44002fff,0x80005fff,0x26ffffd9,0x4004fffb,0x3e02fffd,0x40001fff,
    0x5003fffb,0x0001ffff,0xfffb0000,0x3ffea005,0x00fffe84,0x2fffa800,
    0xffd00000,0x0000001f,0x0fffe800,0xfffa8000,0x7d400003,0xff5004ff,
    0x9fff50bf,0x17ffea00,0x4013ffea,0xfa85fffa,0xff5004ff,0xffffd8bf,
    0x3fee65ff,0x3fee05ff,0x7fd4004f,0x4fffb84f,0x27ffd400,0x0027ffdc,
    0x2e13ffea,0x54004fff,0xffb84fff,0x7fd4004f,0x2a00004f,0xff31ffff,
    0xffe800bf,0x3fff600f,0x7fd40005,0xfffa806f,0x550000ff,0xffe80055,
    0xfff5000f,0x07fffb09,0x7fff5000,0x3f600000,0x000003ff,0x7ffec000,
    0xffa80003,0x4c00003f,0xf8804fff,0xff985fff,0xfff8804f,0x4fff985f,
    0x5ffff880,0x804fff98,0x445ffff8,0xeffffffe,0x0effffff,0x03fffe60,
    0x82fffe80,0x000ffff9,0x260bfffa,0x2000ffff,0xf982fffe,0x3a000fff,
    0xff982fff,0x3fa000ff,0x400002ff,0xff12fffd,0x3ea003ff,0x7fd406ff,
    0x220002ff,0x2600ffff,0x00ffffff,0x00bfff00,0x801ffff8,0x984ffffb,
    0x0000ffff,0x001fffd4,0xffff9800,0x2e200000,0xff98000a,0x540000ff,
    0x00003fff,0x2037ffc4,0x85ffffe8,0x4406fff8,0x885ffffe,0x74406fff,
    0xf885ffff,0x7f4406ff,0xff905fff,0xffffffff,0x3ffa007f,0xfff5004f,
    0x27fff40d,0x06fffa80,0x4013fffa,0x3a06fffa,0xf5004fff,0x7ff40dff,
    0xfff5004f,0xfb00000d,0x7ffec5ff,0x7fffb005,0x7ffffb00,0x3ff20600,
    0xffff305f,0x30001fff,0xd8007fff,0x36204fff,0xb04fffff,0x0003dfff,
    0x001fffd4,0xdfffb000,0xff300003,0xfb0001ff,0x40003dff,0x0003fffa,
    0x02ffff80,0xbfffffd1,0x40bfffe0,0x5fffffe8,0x205ffff0,0x5fffffe8,
    0x205ffff0,0x5fffffe8,0x3fffff20,0x2001deff,0x403ffff9,0x201ffffa,
    0x403ffff9,0x201ffffa,0x403ffff9,0x201ffffa,0x403ffff9,0x201ffffa,
    0x403ffff9,0x001ffffa,0x7fffc400,0x0ffffe60,0x00ffff90,0x3bffffe2,
    0xfd75309b,0xdffff981,0x7bfffb51,0x70001fff,0xc8001fff,0x5cc3ffff,
    0x4fffffff,0x9fffff30,0x8b2a6013,0x0003fffa,0x3fffe600,0x953009cf,
    0x9ffffb05,0xffff3000,0x2a60139f,0x0fffea2c,0x3ff20000,0xff710bff,
    0x20bfffdf,0x10bffffc,0xfffdfff7,0x3ffff20b,0xdfff710b,0x3f20bfff,
    0xf710bfff,0x0bfffdff,0x0d55fff4,0x3fff6000,0xf95109df,0xfb00bfff,
    0x2213bfff,0x05ffffca,0x9dffffd8,0xffff9510,0xffffb00b,0x3f2a213b,
    0xfd805fff,0x5109dfff,0x00bffff9,0x220337bd,0xd85fffeb,0x109dffff,
    0x05ffffb5,0x7ffffd40,0xffffffff,0xffffd80f,0x75ffffff,0x90001fff,
    0xd1000dff,0xffffffff,0xfff3ffff,0x7fffdc09,0xffeeffff,0x3fea2fff,
    0x4000003f,0xfffffffb,0xfffffeef,0x6fffff82,0xffff7000,0xffddffff,
    0x7fd45fff,0x8800003f,0xffffffff,0xffe8efff,0xfffff105,0x1dffffff,
    0x3e20bffd,0xffffffff,0x5ffe8eff,0xffffff10,0xd1dfffff,0x3fe60bff,
    0x74400007,0xffffffff,0x00dfffff,0xfffffe88,0xffffffff,0xffe8800d,
    0xffffffff,0x8800dfff,0xfffffffe,0x0dffffff,0xffffe880,0xffffffff,
    0xffe800df,0xffffffff,0x880effff,0xfffffffe,0x03ffffff,0xffffd880,
    0xffffffff,0xfffff900,0x7fdcbfff,0xffe8000f,0xfff30003,0xbfffffff,
    0x3013ffe1,0xfffffffd,0x45ffffff,0x0003fffa,0xfffe9800,0xffffffff,
    0xfffd82ff,0x3a60004f,0xffffffff,0x2a2fffff,0x00003fff,0xffffff50,
    0x3fa1bfff,0x3ffea05f,0x0dffffff,0x7d40bffd,0xffffffff,0x40bffd0d,
    0xfffffffa,0xbffd0dff,0x0017fee0,0x7fffe400,0x3fffffff,0xffffc800,
    0x3fffffff,0xffffc800,0x3fffffff,0xffffc800,0x3fffffff,0xffffc800,
    0x3fffffff,0x3ffffa00,0xffffffff,0x7fe400df,0xffffffff,0x6540003f,
    0xeffffffe,0x7ff5c02c,0x7fd42dff,0x7fc4000f,0x3220001f,0x2dffffff,
    0xb8027ffc,0xffffffed,0x3ea0cdff,0x000003ff,0x3fffb6e0,0x0cdfffff,
    0x00effe98,0xffedb800,0xcdffffff,0x00fffea0,0xffe88000,0x7f42efff,
    0x7ff4405f,0x7f42efff,0x7ff4405f,0x7f42efff,0x7ff4405f,0x7f42efff,
    0x05ffd05f,0x76cc0000,0x0cefffff,0x3fb66000,0x00ceffff,0x3ffb6600,
    0x000cefff,0x3fffb660,0x0000ceff,0x3ffffb66,0x64000cef,0xfffffffe,
    0x2001dfff,0xffffffda,0x800000bf,0x10001998,0x80000035,0x20000199,
    0x00000a98,0x0ccd54c0,0x00133310,0x54c00000,0x5100199a,0x4c000003,
    0x220199aa,0x00000999,0x00155300,0x00aa9800,0x0554c000,0x2aa60000,
    0xddd10000,0x44000000,0x000001a9,0x00003531,0x0006a620,0x00d4c400,
    0x1a988000,0x26620000,0x00009aaa,0x0001a988,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff900000,0x0000001f,0x000bffea,0x88fbba60,
    0xb8801dec,0x000dcc02,0x00fbba60,0x3bae0000,0x3ae00cee,0x00005eee,
    0x33bb2e60,0x203db89b,0xeeffecba,0x000002bc,0x015c4000,0x710006e6,
    0x00440599,0x03eee980,0x775c0000,0xdd700cee,0x00000bdd,0xddb03ddb,
    0x00000001,0x440ef764,0x3baa4eed,0x2000002e,0xcdefecb9,0x1ccccccc,
    0x88000000,0x00001ded,0x02fffc00,0xdddddd50,0xf901dddd,0x500001ff,
    0x7fec9fff,0x3fe201ff,0x7fff705f,0x3ffe6000,0x000003ff,0x017fffee,
    0x02ffffdc,0xfffb1000,0xffffffff,0xfffd509f,0xffffffff,0x07ffd980,
    0x01f76c40,0x2e0bfff1,0xf9003fff,0x885dffff,0x7cc000ee,0x0003ffff,
    0xbffff700,0xbffff700,0xffd80000,0x003ffcc3,0x00177ec4,0x98bfff60,
    0x3ea0efff,0x800003ff,0xffffffd8,0xffffffff,0x77ff643f,0x76c4002c,
    0xfffff13e,0x20000005,0x2002fff9,0xfffffffa,0xfff81fff,0xff500005,
    0x3fffe29f,0x3fff204f,0x6ffff81f,0xffff9800,0x00003fff,0x03ffffb8,
    0x2ffff4c0,0x7ffd4000,0xffffffff,0x7fec4fff,0xffffffff,0xffb107ff,
    0xfd800fff,0x3ff200ff,0xffff81ff,0xffffc806,0xebbdffff,0x3e6004ff,
    0x03ffffff,0x7ffdc000,0x3fa6003f,0x200005ff,0xeb9cfffb,0xfe8005ff,
    0x40001fff,0xffabfffd,0x7ffd40df,0x7cc00003,0xffffffff,0xffffffff,
    0x7fffff43,0x3ff6002f,0xfffff90f,0x2aaa000d,0x3ffdc00a,0x3fffea00,
    0x41ffffff,0x0002fff9,0x229fff50,0x204fffff,0xf81ffffc,0x4c006fff,
    0xffd9efff,0x2e00003f,0x0001efff,0x00bfffb1,0x77fffe40,0xfffcbabd,
    0x3fff24ff,0xcaaaabdf,0x7fe447ed,0x2007ffff,0x6402fffa,0xff81ffff,
    0x7fcc06ff,0xffffcacf,0x2005ffff,0xfd9efff9,0x700003ff,0x0003dfff,
    0x00bfffb1,0x7ffff400,0x4001ffff,0x04fffffa,0xffffd800,0xfff505ff,
    0x74400007,0x730aefff,0x999fffff,0xffecdd83,0xfff5006f,0x7ffffec5,
    0xfffb0007,0x04ffe803,0x55555440,0x5c1fffea,0x200007ff,0x3f64fffa,
    0x3e201fff,0xfff705ff,0x7ffcc005,0x0ffff20d,0x3ffee000,0xfb80000d,
    0xfa8005ff,0x7dc03fff,0xffff14ff,0xff102003,0x00fffdff,0x2017ffa2,
    0xf705fff8,0x3f7005ff,0xfffffd88,0xfff3000e,0x1fffe41b,0x3ffee000,
    0x7dc0000d,0x100005ff,0x5dfffffd,0xffff5000,0x3600009f,0x2a05ffff,
    0x00003fff,0x8817fff6,0x2001ffff,0x4400fffd,0x7fe45ffe,0xb0006fff,
    0x7c403fff,0x200001ff,0x7ec1fffd,0x2a00004f,0x3f224fff,0x02a8801e,
    0x32000d4c,0x999503cc,0x66440003,0x4c00003c,0x74002ccc,0xfa802fff,
    0x7fff54ff,0x8cfc8000,0xf9007ffb,0x2a2001ff,0x000d4c02,0x05e5cc03,
    0x40f33200,0x0001ccca,0x00079991,0x016664c0,0x59975000,0x7ffc4000,
    0x200001ff,0x7d404ccc,0x200003ff,0x5400ffff,0x36005fff,0xffc806ff,
    0x7fffc40f,0xffb0002f,0x2664c03f,0x3ff60000,0x0066641f,0x9fff5000,
    0x00000000,0x00000000,0x00000000,0x2fffd400,0x94fffa80,0x80007fff,
    0x01ffee08,0x000fffe6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1fff4c00,0x50000000,0x00007fff,0x4017ffe6,0x3a607fff,0x401ffffe,
    0xb103fff9,0x6c0005bd,0x00001fff,0x3fffb000,0x2a000000,0x00004fff,
    0x00000000,0x00000000,0x3a000000,0xf5001fff,0x3ffea9ff,0x7dc00005,
    0x5ffe807f,0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,
    0xa8000000,0x00003fff,0x2007fff5,0xf300fffe,0x805dffff,0x00005ffe,
    0x03fffb00,0x36000000,0x00001fff,0x09fff500,0x00000000,0x00000000,
    0x00000000,0x0037ffc0,0x3e29fff5,0x0001dfff,0xc80fff70,0x00000fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07fff500,
    0x3ffee000,0x0fffd004,0x7fff774c,0x1fff903f,0x36000000,0x00001fff,
    0x3fffb000,0x2e620000,0xffcbdeec,0x0bffe24f,0x9dd97300,0x73000057,
    0x00579dd9,0x9dd97300,0x73000057,0x80579dd9,0x2005fff8,0x3f24fffa,
    0x00adffff,0x81ffee00,0x0003fff9,0xbdfdd973,0x2e600079,0x3cdefeec,
    0xdd973000,0x00079bdf,0x3bfbb2e6,0x730003cd,0x79bdfdd9,0x07332600,
    0x01666440,0x26000000,0x1bceeeca,0x221fffd4,0x00aceeca,0x2017ffea,
    0x2005fff8,0xf986fff9,0x000003ff,0x007fff60,0x7ec00000,0x440001ff,
    0xfffffffd,0x224fffff,0xd3003fff,0xffffffff,0xfd30003d,0xdfffffff,
    0xffd30003,0x3dffffff,0xfffd3000,0x03dfffff,0x8013ffe6,0x7ec4fffa,
    0x2dffffff,0x07ffb800,0x1001bffa,0xfffffffb,0x007fffff,0xffffffb1,
    0x07ffffff,0xfffffb10,0x7fffffff,0xffffb100,0xffffffff,0xfffb1007,
    0xffffffff,0xfffa807f,0xbfff1003,0x6666664c,0x0000cccc,0x7fffffdc,
    0xf50fffff,0x7ffe47ff,0x101fffff,0xc803ffff,0x22004fff,0xffe86fff,
    0x40000006,0x0001fffd,0xfffb0000,0x7fd40003,0xffffffff,0x3e24ffff,
    0xffa803ff,0xffffffff,0x3ea003ff,0xffffffff,0x2a003fff,0xffffffff,
    0x2003ffff,0xfffffffa,0xb83fffff,0x2a003fff,0xffb84fff,0xcfffffff,
    0x0fff7000,0x0007ffee,0xfffffff1,0xbfffffff,0xfffff880,0xffffffff,
    0x7ffc405f,0xffffffff,0x7c405fff,0xffffffff,0x405fffff,0xfffffff8,
    0x5fffffff,0x00fffea0,0xf52fffc4,0xffffffff,0x3a20003f,0xffffffff,
    0xff50ffff,0x3ffff65f,0x01ffffff,0x203dfff9,0x200ffffb,0xfffebaab,
    0x00fffdc4,0x3f600000,0x000001ff,0x03fffb00,0x3ffff200,0xffdcabde,
    0x3fe24fff,0x7ffe403f,0xfeba9acf,0xfc803fff,0xba9acfff,0x803ffffe,
    0x9acffffc,0x3ffffeba,0xcffffc80,0xfffeba9a,0x1fffdc3f,0x09fff500,
    0x3ffffae2,0xb802ffff,0xfff987ff,0xfff88003,0xfcbabcde,0x2203ffff,
    0xabcdefff,0x3fffffcb,0x37bffe20,0xfffcbabc,0x3fe203ff,0xcbabcdef,
    0x203fffff,0xbcdefff8,0xfffffcba,0x07fff503,0xa97ffe20,0xffffffff,
    0xfa8001ff,0xbcdfffff,0xf50fffdc,0xdfffd7ff,0xfffffd79,0x3ffffa01,
    0xfffecabd,0x7fffc02f,0x3e60efff,0x000003ff,0x01fffd80,0xfb000000,
    0xf30003ff,0xfb807fff,0x3ffe24ff,0x3fffe603,0x3ffff202,0x3fffe600,
    0x3ffff202,0x3fffe600,0x3ffff202,0x3fffe600,0x3ffff202,0x013ffea0,
    0x804fffa8,0xfffffeb8,0x3ffdc01f,0x80037ff4,0x6c400be8,0x3a207fff,
    0x7fec400b,0x02fa207f,0x0ffffb10,0x22005f44,0x2207fffd,0x7ec400be,
    0xfff507ff,0x3ffe2007,0x33333265,0x001fffec,0x1fffffc4,0x7fd436a0,
    0x982fffff,0xf983ffff,0xffffffff,0xf803ffff,0x40cfffff,0x00006ffe,
    0x3fffb000,0x20000000,0x8001fffd,0xa801fffe,0x3fe64fff,0x3fff603f,
    0x4fffc801,0x007fff60,0xd813fff2,0xfc801fff,0x3ff604ff,0xfffc801f,
    0x013ffea4,0x004fffa8,0x37fffecc,0x3fff7000,0x22000000,0x0001fffe,
    0x03fffd10,0x3ffa2000,0xd100001f,0x00003fff,0x207fffa2,0x1003fffa,
    0x3600bfff,0x64001fff,0x8001efff,0x0efffffa,0x11bffea0,0xfffddffd,
    0x001bffff,0x5c066aa6,0x00001fff,0x3fffb000,0x20000000,0x4001fffd,
    0x5005fffa,0x7fcc9fff,0xbfff304f,0x1fffe200,0x802fffcc,0xf307fff8,
    0x3e200bff,0xfff307ff,0x3ffe200b,0x017ffe67,0x027fff44,0x1ffffa80,
    0x4fff8800,0x64000000,0x00002fff,0x000bfff2,0x02fffc80,0x3fff2000,
    0x3f200002,0xfffa82ff,0xbfff1003,0x07fff600,0x2ffff980,0xffff5000,
    0xffff001d,0x987ffdc3,0x0009acba,0x4fff8800,0x20000000,0x0001fffd,
    0xfffb0000,0xfffe8003,0x9fff5001,0xd827ffcc,0x36001fff,0xffd80fff,
    0x3ff6001f,0x1fffd80f,0x03fff600,0x8007fff6,0xff10fffd,0xffd001ff,
    0x6c0009ff,0xd8002fff,0x000006ff,0x03fffa80,0x3ffea000,0x3ea00003,
    0x200003ff,0x0003fffa,0x20fffea0,0x1003fffa,0x3600bfff,0x36001fff,
    0x20005fff,0x000ffffa,0x7ec7fff9,0x0000006f,0x000dffb0,0xb00006a6,
    0x00003fff,0x3fff6000,0x37ffc001,0x49fff500,0xfd04fff9,0xffc800ff,
    0x07ffe82f,0x417ffe40,0x64007ffe,0xffe82fff,0x7ffe4007,0x00bfff62,
    0x09fffffb,0x17ffec00,0x07ffea00,0x2a000000,0x00004fff,0x0013ffea,
    0x04fffa80,0x3ffea000,0x3ea00004,0xfffa84ff,0xbfff1003,0x07fff600,
    0x01fffe80,0x0fffea00,0x24fffa80,0x0000ffff,0x7ffd4000,0xfffc8001,
    0xffb0000e,0x0000003f,0x007fff60,0x005fff88,0xf993ffea,0xdfff04ff,
    0x3fffb800,0x4006fff8,0xff83fffb,0x7fdc006f,0x06fff83f,0x51fffdc0,
    0x3201ffff,0x04ffffff,0x1ffff100,0x27ffc400,0x26200000,0xfffb9999,
    0x99988004,0x04fffb99,0x99999880,0x8004fffb,0xfb999998,0x988004ff,
    0xfffb9999,0x03fffa84,0x00bfff10,0x8007fff6,0x40007fff,0x2003fffa,
    0x3fa4fff9,0x0000adff,0x4fff8800,0xffffa800,0xffb0005f,0x0000003f,
    0x007fff60,0x004fff98,0xfa93ffea,0xfff885ff,0xffffffff,0xffffffff,
    0x7ffffc44,0xffffffff,0x44ffffff,0xfffffff8,0xffffffff,0x7c44ffff,
    0xffffffff,0xffffffff,0x7fffc4ff,0xfffc88ae,0xbd4fffaf,0x3ae20337,
    0x6c005fff,0x00000fff,0x7ffff6cc,0x4fffffff,0xfffed980,0xffffffff,
    0xffed9804,0xffffffff,0xfed9804f,0xffffffff,0xed9804ff,0xffffffff,
    0xffa84fff,0xfff1003f,0x3fff600b,0xdfff3001,0xfffa8000,0x3ffe6003,
    0x3fffff25,0xceeeefff,0x7ec0002b,0xfd8000ff,0x0007ffff,0x0003fffb,
    0x3ff60000,0x3fea001f,0x3fea003f,0x17ffea4f,0x3fffffea,0xffffffff,
    0x544fffff,0xffffffff,0xffffffff,0x7fd44fff,0xffffffff,0xffffffff,
    0x7fffd44f,0xffffffff,0x4fffffff,0x7fffffd4,0xf99fffff,0xffffd4ff,
    0xffffffff,0x54001dff,0x774c2fff,0xd9800eee,0xffffffff,0x04ffffff,
    0x3fffff66,0xffffffff,0x3ff6604f,0xffffffff,0x2604ffff,0xfffffffd,
    0x4fffffff,0x3ffff660,0xffffffff,0xfffa84ff,0xbfff1003,0x07fff600,
    0x02fffd40,0x0fffea00,0x46fff880,0xfffffffe,0xffffffff,0x7fd4000c,
    0x77774c2f,0x7fffec0e,0xffb0007f,0x0000003f,0x007fff60,0x003fffb8,
    0xfa93ffea,0xfff985ff,0xffffffff,0xffffffff,0x7ffffcc4,0xffffffff,
    0x44ffffff,0xfffffff9,0xffffffff,0x7cc4ffff,0xffffffff,0xffffffff,
    0xfffa84ff,0x31ffffff,0x3ffa9fff,0xffffffff,0x2000dfff,0xfe85fff8,
    0x4c00ffff,0xeeffffff,0xfffeeeee,0xfffff304,0xdddddddf,0x3e609fff,
    0xeeefffff,0x4fffeeee,0xffffff30,0xfddddddd,0x3fe609ff,0xeeeeffff,
    0x84fffeee,0x1003fffa,0x3600bfff,0xf5001fff,0xa8000bff,0x26003fff,
    0x7fc45fff,0xffffffff,0x06ffffff,0x217ffe20,0x40fffffe,0x04fffffa,
    0x03fffb00,0x36000000,0x2a001fff,0x2a004fff,0x3fea4fff,0x5fff885f,
    0x7fc40000,0x4400005f,0x00005fff,0x002fffc4,0xfffd9800,0x3fe60bdf,
    0xffffd94f,0x3bffffff,0x1fff9000,0xffffffb8,0x3fffa200,0x7ffd402e,
    0xefffe884,0x27ffd402,0x177fff44,0x213ffea0,0x02efffe8,0x4427ffd4,
    0x402efffe,0xfa84fffa,0xff1003ff,0x3ff600bf,0xfff3001f,0xffa8000d,
    0x3fea003f,0x3fffa23f,0xdcccbaac,0x04ffffff,0xb81fff90,0x80ffffff,
    0x000dfffc,0x003fffb0,0x3f600000,0x3e6001ff,0x3ea004ff,0x3ffea4ff,
    0x00ffff06,0x0ffff000,0xffff0000,0xfff00000,0x3000000f,0x3ffea015,
    0xaaa99884,0x3ea00009,0x7ffcc2ff,0x2e00fffb,0xa800efff,0xffb84fff,
    0xffa800ef,0xefffb84f,0x4fffa800,0x00efffb8,0xb84fffa8,0xa800efff,
    0xffa84fff,0xfff1003f,0x3fff600b,0xffff1001,0xfffa8000,0x3ffee003,
    0x00bfffa2,0x03ffff4c,0x2617ffd4,0x0fffbfff,0x80003510,0x0001fffd,
    0xfffb0000,0x7ffcc003,0xfffd1005,0x837ffdc9,0x0000fffe,0x007fff40,
    0x3fffa000,0x7f400000,0x000000ff,0x27ffd400,0xe8800000,0xcffe85ff,
    0x3600fff9,0xf5002fff,0xfffb09ff,0x3ffea005,0x02fffd84,0xb09fff50,
    0x2a005fff,0xffd84fff,0xfff5002f,0x09fff509,0x017ffea0,0x000fffec,
    0x0003ffff,0x001fffd4,0x3ea3fffb,0x7cc005ff,0x3a201fff,0xcffe85ff,
    0x0000fff9,0x0fffec00,0xd8000000,0x22001fff,0xe800ffff,0x3ee4ffff,
    0xfffb06ff,0xfd800007,0x400003ff,0x0003fffd,0x01fffec0,0x2a000000,
    0xaa804fff,0xff90002a,0x36ffb81f,0x7f401fff,0xff5000ff,0x1fffd09f,
    0x13ffea00,0x4003fffa,0xfe84fffa,0xff5000ff,0x1fffd09f,0x13ffea00,
    0x2013ffe6,0x005ffff8,0x4003fffb,0x0005fffd,0x400fffea,0x3f27fff9,
    0xfe8002ff,0x3ff201ff,0x9b7fdc0f,0xffd00fff,0x7fec000f,0x0000001f,
    0x003fffb0,0x403fffd8,0x24fffffd,0xf306fffb,0x00001fff,0x007fffcc,
    0xffff3000,0x7cc00001,0x00000fff,0x3ffea000,0x05fff804,0x43fff980,
    0xff31fff8,0x7fffc01f,0xffffb801,0x01ffff84,0x84ffffb8,0xb801ffff,
    0xff84ffff,0xffb801ff,0xffff84ff,0xffffb801,0x06fff884,0x2fffff44,
    0x01fffd80,0x0bfffea0,0x1fffd400,0x22fffd80,0x4002fffe,0x2607fff8,
    0x7fc43fff,0x01fff31f,0x80017ffe,0x0001fffd,0xfffb0000,0xfffa8003,
    0xffff900e,0x7ffdc9ff,0x3bfff607,0x3f600001,0x00001eff,0x007bfff6,
    0xefffd800,0x00000001,0x9809fff5,0xe8003fff,0xdffd85ff,0x1afffa99,
    0x409fffb0,0x4fffffd8,0x204fffd8,0x4fffffd8,0x204fffd8,0x4fffffd8,
    0x204fffd8,0x4fffffd8,0x204fffd8,0x4fffffd8,0x205ffff0,0x5fffffe8,
    0x03fffb00,0x3ffffd80,0x7ffd4300,0x6fffb803,0x002fffe4,0xe817fff6,
    0xdffd85ff,0x1afffa99,0x0017ffcc,0x003fffb0,0x3f600000,0xfe8001ff,
    0xfc88aeff,0x4fff9fff,0x981fffee,0x09cfffff,0x4c059530,0x09cfffff,
    0x4c059530,0x09cfffff,0x4c059530,0x09cfffff,0x00059530,0x013ffea0,
    0x8001fff7,0xff80fffc,0xffffffff,0xfffc80ff,0x7ffdcc3f,0xfc84ffff,
    0x7dcc3fff,0x84ffffff,0x4c3ffffc,0xfffffffb,0x3ffffc84,0x7ffffdcc,
    0xfffc84ff,0x7ffdcc3f,0xf904ffff,0x2e217fff,0x5fffefff,0x03fffb00,
    0xfffff880,0xd75309be,0x3bffea1f,0x7ff5441b,0x7ffdc1ff,0x7f5401df,
    0xff900fff,0xfffff01f,0x1fffffff,0x0007ffdc,0x559fffb0,0x55555555,
    0x4ccc0055,0xfffd9999,0x0199999a,0x3fffffea,0xff1fffff,0x3fffe49f,
    0x3ffffee0,0xfffeefff,0x7fdc02ff,0xeeffffff,0x402fffff,0xfffffffb,
    0xfffffeef,0x7fffdc02,0xffeeffff,0x00002fff,0xc809fff5,0x7cc006ff,
    0xffff03ff,0xffffffff,0xffffd101,0xffffffff,0xd109fff3,0xffffffff,
    0xfff3ffff,0xffffd109,0xffffffff,0xd109fff3,0xffffffff,0xfff3ffff,
    0xffffd109,0xffffffff,0x2209fff3,0xffffffff,0xffe8efff,0x26666665,
    0x99afffd9,0x3ea01999,0xffffffff,0xf50fffff,0xffffffff,0x05ffffff,
    0x3ffffff6,0xfffeedee,0xff301fff,0x3fffe07f,0xffffffff,0x001bff60,
    0xffffffb0,0xffffffff,0xff1001ff,0xffffffff,0xffffffff,0xfffffa80,
    0x3fe1ffff,0x1ffff24f,0x3ffffa60,0xffffffff,0xffe9802f,0xffffffff,
    0xe9802fff,0xffffffff,0x802fffff,0xffffffe9,0x2fffffff,0xfff50000,
    0x03ffe809,0x9037ff40,0xffb99999,0x3e60199f,0xffffffff,0x09fff0df,
    0x3fffffe6,0xff0dffff,0x3ffe609f,0xdfffffff,0x2609fff0,0xffffffff,
    0x9fff0dff,0x3ffffe60,0xf0dfffff,0x7fd409ff,0xdfffffff,0x3e2bffd0,
    0xffffffff,0xffffffff,0x7ffec407,0xffffffff,0xfffff30f,0xffffffff,
    0xfffd801b,0xffffffff,0x3a01dfff,0x333206ff,0xcfffdccc,0x013ffa0c,
    0xfffffb00,0xffffffff,0xf1001fff,0xffffffff,0xffffffff,0xfffb300f,
    0xfff817bf,0x01ffff24,0xffffedb8,0x00cdffff,0x3fffb6e0,0x0cdfffff,
    0x3ffb6e00,0xcdffffff,0x3fb6e000,0xdfffffff,0xf500000c,0x7fc409ff,
    0x3fee001f,0xff98001f,0xffc8800f,0x7c2dffff,0x3f2204ff,0x42dfffff,
    0x32204fff,0x2dffffff,0x91027ffc,0x5bffffff,0x2204fff8,0xdffffffc,
    0x2027ffc2,0xefffffe8,0xf8afff42,0xffffffff,0xffffffff,0xffd95007,
    0x059dffff,0xfffffd73,0x4c0059df,0xfffffffc,0x5c01dfff,0x98001fff,
    0xccc80fff,0x7fec0001,0xffffffff,0x00ffffff,0xffffff88,0xffffffff,
    0x4c007fff,0x9988000a,0x2a600019,0x0000199a,0x00666aa6,0x99aa9800,
    0x2a600001,0x0000199a,0x80133310,0x3e600199,0xf30003ff,0x988001ff,
    0x4400000a,0x400000a9,0x00000a98,0x000054c4,0x0002a620,0x002aa600,
    0xffffff88,0xffffffff,0x10007fff,0x26000333,0x31000009,0x40033553,
    0x0003fff9,0x0001fff3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x019dddd7,0x00000000,0x13326000,0x0f3bfb26,
    0x37b22000,0xdd300000,0x9993007d,0x332e0009,0x1eed802c,0x0000eed8,
    0x40ef7754,0x801eeeec,0x2202ccb8,0x982664c0,0x000bdeeb,0x0019db30,
    0x03bddd50,0x003dddd9,0x9dddd700,0xdd700001,0xdb0019dd,0x01ddb03d,
    0x3bbbbbaa,0x4000eeee,0x005eeeeb,0x13bb6200,0x00177754,0x9dddd700,
    0x76dc4001,0x0000ceff,0xfdb97000,0x00039bdd,0x05ffffb8,0xffecb980,
    0x2604deff,0x44007ffd,0xfff53eed,0x3ffff621,0x0001efff,0x003ffffa,
    0xfffff300,0xffff8807,0xffff8002,0x43ffd801,0x40007ff9,0xc82ffff9,
    0xc802ffff,0x42efffff,0x3fee0ee8,0x3fffea0f,0x4002ffff,0x005ffff9,
    0x417fffcc,0x002ffffc,0x5ffffb80,0xfff70000,0x7fec00bf,0x503ffcc3,
    0xffffffff,0xf70003ff,0x0000bfff,0x9077ffcc,0x00007fff,0x02ffffdc,
    0x3ffffea0,0x0004ffff,0x3fffaa00,0x04ffffff,0x3fffee00,0x7fe44003,
    0xffffffff,0x7ffec40f,0x7fec007f,0x31fff50f,0xffffffff,0x30001fff,
    0x007fffff,0x7ffffcc0,0x7fec03ff,0x7fd4005f,0xfff7006f,0x0bffd739,
    0x7fffc400,0x1ffffb82,0xfffffc80,0xfebbdfff,0x43ffee4f,0xfffffffa,
    0x2e002fff,0x000fffff,0x705ffff1,0x0003ffff,0x07ffff70,0x3ffee000,
    0x7fdc003f,0x5ffeb9cf,0x3ffffea0,0x001fffff,0x0bfffd30,0x7ffcc000,
    0x03fffd9e,0x3ffee000,0x7fdc003f,0xffffffff,0xd800004f,0xffffffff,
    0x70004fff,0x8003dfff,0xfffffffa,0x10ffffff,0xfffffff9,0x17ffd400,
    0xfff5fff5,0xfffb779f,0xff50009f,0x20007fff,0xfd9efff9,0x3fe603ff,
    0x3f6000ff,0x3fa003ff,0x1fffffff,0xfffd1000,0x1dfff505,0x59fff300,
    0xfffffff9,0x8fffb8bf,0xcacefffb,0x2006ffff,0x00fffffb,0x82fffe88,
    0x000efffa,0x1efffb80,0xfff70000,0x3fa0003d,0x1fffffff,0x2aaaaa20,
    0x001fffea,0x17fff620,0xfff98000,0x0003ffff,0x07bffee0,0xdffff100,
    0xfffff935,0x7d400003,0xa9abefff,0xb8003ecb,0x4000dfff,0xbcfffff9,
    0x0dbaa99a,0xffdffff1,0x3ffa200f,0x7ffffd45,0xfffb80ef,0x7fc4000f,
    0x98000fff,0x3f20dfff,0x3ffa03ff,0xfff1003f,0x7f44001f,0x002effff,
    0x20bfff60,0x000dfffa,0xffb107ee,0xfb81dfff,0x83fffdff,0x002ffff8,
    0x00bffff3,0x2a0bfff6,0x0000dfff,0x00dfffb8,0xbfff7000,0x7f440001,
    0x002effff,0x007fff60,0x17ffee00,0xfff98000,0x200003ff,0x000dfffb,
    0xb05fffc8,0x00009fff,0x013fffe2,0x33322000,0xfffd0003,0x9f90001b,
    0x200fff71,0x7d40fffc,0x7405ffff,0x98002fff,0x90001efe,0x332a0799,
    0xdfff701c,0x17ffea00,0x1665d400,0x33326000,0x00799902,0xbcb98060,
    0xfffff700,0x7ffdc03f,0x37fa6005,0x2ccc9800,0x00079990,0x00f33220,
    0x3ccc8800,0x32ea0000,0xfd80002c,0x300001ff,0x00005999,0x0016664c,
    0x07999100,0x07fff400,0x006fffa8,0x0dfff500,0x00000000,0x002fffdc,
    0x3ffdc110,0x41fffcc0,0x805ffffa,0x0003fffb,0x00000000,0x03ffff10,
    0x005fffb0,0x00000000,0x00000000,0x3ffffee0,0x37ffc401,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x000001ff,0x00000000,0x20000000,
    0x3e207fff,0x900007ff,0x00005fff,0x7f400000,0x200001ff,0xfe807ffb,
    0xdfff505f,0x9fff3001,0x00000000,0x7fec0000,0x7ffc404f,0x00000007,
    0x00000000,0x3fee0000,0xfff002ff,0x0000000d,0x00000000,0x00000000,
    0x20000000,0x0001fffd,0x00000000,0x00000000,0x40ffff10,0x0005fff8,
    0x003fffb0,0x40000000,0x00006fff,0x3203ffdc,0xff500fff,0x3fe6007f,
    0x0000005f,0x2a000000,0x7dc07fff,0x000004ff,0x00000000,0x2e000000,
    0x3e004fff,0x000007ff,0x00000000,0x00000000,0x00000000,0x103fffb0,
    0x00000005,0x00000000,0xffff0000,0x13ffea01,0x7fff4000,0x36e20000,
    0xca82cdfe,0xff102cee,0xb80000bf,0x3fe607ff,0x3ffea03f,0xbfff1003,
    0xdd953000,0x5000379d,0x9ddffd97,0xfffe8057,0x07fffa02,0x3b6e6200,
    0x0000abce,0x6776dcc4,0x64c000ab,0x991001cc,0x0fffee59,0x3ea00000,
    0x6664c07f,0x59991001,0x3b2ea000,0x02bceeff,0x32613326,0x3003cefe,
    0x99999999,0xd8000199,0x3ee21fff,0x99999304,0x00199999,0xccccccc8,
    0xcccccccc,0x1332604c,0x05ef75cc,0x03fffd80,0x0003fffd,0x001fffe0,
    0xffffffd8,0x3fff25ff,0xffa84fff,0x5c00004f,0x3ffa07ff,0x1fffd406,
    0x05fff880,0x3ffffee0,0x00ffffff,0xfffffea8,0x407fffff,0xf105fffb,
    0xf7000dff,0xffffffff,0x3ee0005d,0xffffffff,0x3fea002e,0xfff1003f,
    0x00fffeeb,0x3fee0000,0x1fffd407,0x05fff880,0x7ffff540,0x07ffffff,
    0x6c43ffea,0xefffffff,0x7fffd401,0x01ffffff,0x4fffec00,0x504fffb8,
    0xffffffff,0xff8003ff,0xffffffff,0x0fffffff,0x541fff70,0xffffffff,
    0xffffb802,0x13fff620,0x7fff8000,0x3fffe000,0xddffffff,0xffffffff,
    0x01fffdc4,0x1ffee000,0x200fffdc,0x1003fffa,0xd100bfff,0xffffffff,
    0xd801ffff,0xffffffff,0x4407ffff,0xfb80ffff,0x362003ff,0xffffffff,
    0x2004ffff,0xffffffd8,0x04ffffff,0x007fff50,0x7dd7ffe2,0x000003ff,
    0x5407ffb8,0xf1003fff,0x7ec00bff,0xffffffff,0x3ea07fff,0xffff98ff,
    0x0fffffff,0x3ffffea0,0x001fffff,0x7e7ffec0,0xf504ffff,0xffffffff,
    0xfff8003f,0xffffffff,0x00ffffff,0x3ea1fff7,0xffffffff,0x7ffc402f,
    0xdfffd35f,0x7fc00001,0x3fe0007f,0xffea9abd,0xea9cffff,0x3fee0fff,
    0x5c00003f,0xfff987ff,0x3fffa803,0x0bfff100,0xffffffa8,0xfffdcbcd,
    0x3ffff200,0xdcaaaabd,0xfffd807e,0x00fffe83,0xdfffff10,0xffffb759,
    0xfff100bf,0xfb759dff,0x500bffff,0x22007fff,0xfff75fff,0x70000007,
    0xffa80fff,0xfff1003f,0x3fff200b,0xcaaaabdf,0x3fea07ed,0xbcffffaf,
    0x04ffffdb,0x33333326,0x0001fffe,0x7fffffec,0x332603ff,0xfffecccc,
    0x77774001,0xeeeeeeee,0x2e07ffff,0xfffb8fff,0xffffcace,0xffffa806,
    0x00dffffe,0x99999980,0x999ffff9,0x80999999,0xfffd101c,0x3fff989f,
    0x000fffee,0xd0fff700,0x3ea00dff,0xff1003ff,0x7ffc40bf,0x06d403ff,
    0x01ffff88,0xfff50010,0x05fff98d,0x07ffff60,0x0ffffec4,0x07ffff60,
    0x0ffffec4,0x00fffea0,0xfbafffc4,0x000003ff,0x200fffb8,0x1003fffa,
    0xf100bfff,0x02003fff,0xffffffa8,0xffffb80e,0xfffd8000,0x7ff40001,
    0x0003ffff,0x000fffec,0xffff3000,0x6fffdc05,0xff883fff,0xffd802ff,
    0x003fffff,0xffffff30,0xffffffff,0x0dffffff,0x1ffff900,0x7dcdffb0,
    0x000003ff,0x007ffee0,0x801fffd4,0x3205fff8,0x0001efff,0x003fffa8,
    0x1ffff800,0x400bfff2,0x800efff9,0x2606fffc,0xc800efff,0x7d406fff,
    0xff1003ff,0x0fffeebf,0xfb300000,0x7fd401ff,0xfff1003f,0x7fff500b,
    0x3fea0000,0x7f405fff,0xfd8002ff,0xf70001ff,0x017fffff,0x3fffb000,
    0x3a200000,0x7dc04fff,0x201fffff,0xb805fffb,0x00dfffff,0x3fffe600,
    0xffffffff,0xffffffff,0xfffb8006,0x21fff705,0x0003fffb,0x9fff1000,
    0x1fffd400,0x05fff880,0x005ffff3,0x0ffff200,0x3ff20000,0x01fffe4f,
    0x002fffe8,0x205ffff1,0x1002fffe,0x5405ffff,0xf1003fff,0x3ffeebff,
    0xea800003,0x00ffffff,0x400fffea,0xc805fff8,0x00003fff,0x00bffff5,
    0x0007fff7,0x8003fffb,0xfffffffb,0x3f600001,0x000001ff,0x700bfffb,
    0x803fffff,0x2206fff8,0x6ffffffd,0x4c0aaaa0,0xffffffff,0xffffffff,
    0x8006ffff,0xf503fff9,0x3ffee1ff,0xb0000003,0xfa800dff,0xff1003ff,
    0x3fff60bf,0x3ea00005,0x800005ff,0xff57fff8,0x3fe6009f,0x7fdc006f,
    0x6fff984f,0x27ffdc00,0x007fff50,0x7dd7ffe2,0x200003ff,0xffffffe9,
    0x3fea00ff,0xfff1003f,0xbfff500b,0x3fea0000,0xff9800ef,0xffd8004f,
    0xfff7001f,0x03ffffff,0x7ffec000,0xfb800001,0xfb800fff,0xff002fff,
    0x3ffa20df,0x04ffffff,0x2000dfff,0x00007fff,0x40fffe20,0xff71fffa,
    0x0000007f,0x8003fff5,0x1003fffa,0x3fa0bfff,0x200001ff,0x01dffff8,
    0x7ffec000,0x001fffda,0x8007fff5,0xfa85fff9,0x7cc003ff,0x3fea05ff,
    0xfff1003f,0x00fffeeb,0xffffe800,0x200cccef,0x1003fffa,0xf100bfff,
    0x0003bfff,0x003fffa8,0x000bfff3,0x1003fffb,0xfb7fffff,0x400003ff,
    0x0001fffd,0x0ffffcc0,0x04fffb80,0x741fffe0,0xffc8efff,0x6fff83ff,
    0x0ffff000,0xf3330000,0x333337ff,0x3ee5fff5,0x000003ff,0x0027ffc4,
    0x801fffd4,0xff05fff8,0x900000ff,0x15bfffff,0xfff50000,0x400dfffb,
    0x8002fffc,0xffc86fff,0xfff8002f,0x0fffea06,0xbafffc40,0x00003fff,
    0x005ffff9,0x007fff50,0x4017ffe2,0xadfffffc,0xfffa8000,0xbfff1003,
    0x3fffb000,0x17fff100,0x0007fff6,0x01fffd80,0x3ffe2000,0x3fee003f,
    0x2e00003f,0x3fa0efff,0x3fe21fff,0xfff0005f,0xfd70000f,0xffffffff,
    0xffffffff,0x0fffee5f,0xffb00000,0xff50001f,0x3fe2007f,0x6fff985f,
    0xffb00000,0x05bfffff,0xfffff800,0x3f6003ff,0xff8001ff,0x1fffd87f,
    0x07fff800,0x400fffea,0xff75fff8,0x3e00007f,0x50002fff,0x22007fff,
    0x36005fff,0xdfffffff,0x3ffea002,0xbfff1003,0x3fffb000,0xd819f100,
    0x00001fff,0x0007fff6,0x05fffd80,0x01fffdc0,0x3ffff000,0x0fffff88,
    0x0009fff3,0x8001fffe,0xffffffe9,0xffffffff,0x72ffffff,0x00007fff,
    0x317ffd40,0x507dfff9,0x22007fff,0xffa85fff,0x2000005f,0xfffffffb,
    0xc8000cff,0x00ffffff,0x003fffa0,0xd03fffa0,0xd0001fff,0x3ea01fff,
    0xff1003ff,0x0fffeebf,0x3ffe2000,0x3fea0007,0xfff1003f,0xfffb800b,
    0x0cffffff,0x01fffd40,0x005fff88,0x801fffd8,0x3fffb008,0x7fec0000,
    0xf900001f,0xb8001dff,0x00003fff,0x260bfff5,0xff76ffff,0x3fe0007f,
    0xff10007f,0xfddddfff,0xddddddff,0x3ee3dddd,0x000003ff,0x7d4bfff1,
    0x45ffffff,0x1003fffa,0xff50bfff,0x800000bf,0xfffffeb8,0x44002fff,
    0x004fffff,0x0007fff4,0x3a07fff4,0xe8000fff,0xff500fff,0x3fe2007f,
    0x07fff75f,0xdfff5000,0x7ffd4000,0xbfff1003,0xffd71000,0x05ffffff,
    0x801fffd4,0x8005fff8,0x0001fffd,0x000fffec,0x03fffb00,0xffff5000,
    0xfff70003,0x3ee00007,0x3fee03ff,0x1fffdcff,0x0ffff000,0x17fff200,
    0x000bffe2,0x0007fff7,0x83fff200,0xffedeff9,0x0fffea3f,0x42fffc40,
    0x0006fff9,0x3fae2000,0x001fffff,0x007fffec,0x007fff60,0x361fffe0,
    0xf8001fff,0x3fea07ff,0xfff1003f,0x00fffeeb,0x1fffea00,0x3fffa800,
    0x0bfff100,0xffeb8800,0xf501ffff,0x3e2007ff,0xfd8005ff,0x6c0001ff,
    0x00001fff,0x0007fff6,0x05ffff10,0x0fffee00,0x7ffe4000,0x7fffec02,
    0x20006fff,0xf0007fff,0xff101fff,0xffb8007f,0xa800003f,0x43c82fff,
    0x80005ffe,0xf884fff9,0x000007ff,0xffffb300,0xfffd800d,0xfffc8004,
    0x7ffc4002,0x02fffc85,0x02fffc40,0x2007fff5,0x0005fff8,0x3fffe600,
    0xfff50000,0x3ffe2007,0x36600005,0xf506ffff,0x3e2007ff,0xfd8005ff,
    0x6c0001ff,0x00001fff,0x0007fff6,0x009fffd0,0x01fffdc0,0x3fffc800,
    0xfffffe80,0x3fe0003f,0xff88007f,0x9fff105f,0x3fffb800,0x7f440000,
    0x3ff6005f,0xffa80005,0x3ffff03f,0x40000000,0x001ffffa,0x001ffff5,
    0x009fff70,0xb84fffa8,0x54004fff,0x3ea04fff,0xff5004ff,0x400000bf,
    0x002ffff8,0x009fff50,0x0017ffea,0x3fffea00,0x03fffa81,0x00bfff10,
    0x003fffb0,0x01fffd80,0x3fff6000,0x3ff20001,0x7dc0006f,0x700003ff,
    0xf1009fff,0x001fffff,0x003fffc0,0x881fffcc,0x5c005fff,0x00003fff,
    0x8007ffe4,0x0003fff8,0xb01fffc8,0x0000bfff,0xfffd8000,0xbfffd002,
    0x3ffe6000,0x3ffa000f,0xffff982f,0x3fffa000,0x13ffe602,0x17fffe20,
    0x000aaaa0,0x001ffff9,0x009fff30,0x00bffff1,0x3fff6000,0x03fffa82,
    0x00bfff10,0x003fffb0,0x01fffd80,0x3fff6000,0xfff70001,0xfb80001f,
    0x300003ff,0x5001ffff,0x000dffff,0x8007fff8,0xfb03fff9,0x5c001fff,
    0x00003fff,0x400fffe6,0x000effe8,0x07fffc40,0x02ffffa8,0x36000000,
    0xfc802fff,0x20000fff,0x5004fffe,0x7f40dfff,0xff5004ff,0xfff880df,
    0x7fff4406,0x5fff805f,0x7fffc400,0x7fc4000e,0x7ff4406f,0x000005ff,
    0xf505fffb,0x3e2007ff,0xfd8005ff,0x6c0001ff,0x00001fff,0x0007fff6,
    0x00bfffe6,0x0fffee00,0x7ffc4000,0x3fa600ef,0x0005ffff,0x2001fffe,
    0xfc85fff8,0x2004ffff,0x0003fffb,0x4017ffa0,0x000efff9,0x04fffc80,
    0x01ffffec,0x22000018,0x6400ffff,0x0001ffff,0x01ffffcc,0x807fffea,
    0x403ffff9,0x801ffffa,0xd102ffff,0x80bfffff,0x8003fff9,0x0cfffffb,
    0x0bfffe00,0x7fffff44,0xf8800005,0xffa80fff,0xfff1003f,0xfffb000b,
    0xffd80003,0x3600001f,0x44001fff,0x0003fffe,0x007fff70,0x7fffd400,
    0xfca889bf,0x3fffffff,0x0ffff000,0x4bfffe00,0xffeeffc8,0x715440cf,
    0x00007fff,0x2003fff2,0x000dfffb,0x3fff6620,0x7ffc400f,0x5309beff,
    0x37a01fd7,0xfd71019b,0x4ccc4bff,0x04ffffeb,0xffffb000,0x3f2a213b,
    0xfd805fff,0x5109dfff,0x00bffff9,0x42fffff2,0xffefffb8,0x7ffdc05f,
    0xfff90000,0x1579bfff,0x2fffff20,0xfdfff710,0x7bd00bff,0x3fae2033,
    0xfff505ff,0x3ffe2007,0x33333305,0x335fffb3,0x4ccc3333,0xfffd9999,
    0x0199999a,0xb3333333,0x33335fff,0x3fff6033,0xaaaaaaaf,0x702aaaaa,
    0x00007fff,0xffffffd8,0xefffffff,0x001ffffe,0x0007fff8,0xffdffff9,
    0xffff31ff,0x49fffddf,0x0003fffb,0x803fff98,0x0003fffd,0x7fffffd4,
    0xffff5003,0xffffffff,0x3ffa01ff,0xffffffff,0x320effff,0xffffffff,
    0x3a200005,0xffffffff,0x00dfffff,0xfffffe88,0xffffffff,0xfff1000d,
    0xffffffff,0x80bffd1d,0x40006ffc,0xfffffffa,0xfff103ff,0xffffffff,
    0x00bffd1d,0xfffffffd,0xdfffffff,0x0fffea01,0x42fffc40,0xfffffff8,
    0xffffffff,0xffff17ff,0xffffffff,0x10ffffff,0xffffffff,0xffffffff,
    0xffff30ff,0xffffffff,0x20dfffff,0x0003fffb,0xfffffb80,0x13ffffff,
    0x001fffff,0x0007fff8,0xfffffff1,0x7fffd43f,0x2e4fffff,0x80003fff,
    0xfc806ffe,0xeeeeefff,0x3ffea001,0x6c4002ff,0xffffffff,0xfd00ffff,
    0xffffffff,0xc81bffff,0x2fffffff,0xff900000,0xffffffff,0xff90007f,
    0xffffffff,0xff50007f,0xbfffffff,0xd017ffa1,0x100007ff,0xfffffff9,
    0x7fffd407,0xd0dfffff,0xffd00bff,0xffffffff,0x5401bfff,0xf1003fff,
    0xfff10bff,0xffffffff,0x2fffffff,0xfffffff8,0xffffffff,0xfff887ff,
    0xffffffff,0x87ffffff,0xfffffffa,0xffffffff,0xfff706ff,0x22000007,
    0xefffffed,0x7fffcc0c,0x3fffc006,0xfffb1000,0xffb503bf,0x5c3bffff,
    0x40003fff,0xc801fffb,0xffffffff,0x3fea001f,0x2a0000df,0xffffffec,
    0x3fb202ce,0xffffffff,0xfff901df,0x000019df,0xfffed980,0x0000ceff,
    0x3ffffb66,0x20000cef,0xefffffe8,0x102fff42,0x00003fff,0x3fffeda8,
    0x7ffff440,0x2fff42ef,0x7ffff640,0x1dffffff,0x03fffa80,0x10bfff10,
    0xffffffff,0xffffffff,0x3fffe2ff,0xffffffff,0x887fffff,0xffffffff,
    0xffffffff,0xffffa87f,0xffffffff,0x706fffff,0x00007fff,0x00026600,
    0x1fffe000,0x00662000,0xf701aa98,0x4c0007ff,0xf9003fff,0xffffffff,
    0x004c4003,0x19988000,0x55331000,0x55100135,0x00000001,0x0000d4c4,
    0x001a9880,0x01553000,0x00333000,0x00260000,0x0000aa98,0xaaa99880,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd9000000,0xdddddddd,0x2200000b,0xdd504eed,
    0x65cc005d,0x03cdefee,0x0b32e200,0x99100088,0x99999999,0x77754059,
    0x0eeeeeee,0x3b2e6000,0x88002bce,0xdd504eed,0x0ae2005d,0x00003730,
    0x0ceeeeb8,0x1f774c00,0x99991000,0x59999999,0x2ccb8800,0xeea80220,
    0x1000002e,0x99999999,0x75405999,0x6c0002ee,0x000005ee,0x00ef6440,
    0x99999100,0x05999999,0x1f774c00,0x07332600,0x01666440,0xeeeeb800,
    0xffffb00c,0x00dfffff,0x7ffcc000,0x0ffff20e,0x3ffff620,0xffffffff,
    0x7ffe4003,0x77442eff,0xffff9800,0x3fffffff,0x3ffffea0,0x001fffff,
    0xfffffe98,0x4001efff,0x320efff9,0xf1003fff,0x3fee0bff,0xf700003f,
    0x3000bfff,0x007fffff,0x3ffffe60,0x03ffffff,0x3fffff20,0x8077442e,
    0x0003fffa,0xfffff300,0x07ffffff,0x001fffd4,0x001fffa0,0xfffd0000,
    0x3e60001f,0xffffffff,0xf30003ff,0x4007ffff,0x1003fffa,0x0000bfff,
    0x80bffff7,0xfffffffd,0x000006ff,0x6cf7ffcc,0xf1003fff,0xffffffff,
    0x00bfffff,0x3ffffff2,0xffebbdff,0xffff9804,0x3fffffff,0x3ffffea0,
    0x001fffff,0x7fffffd4,0x03ffffff,0x4f7ffcc0,0x2003fffd,0xf81ffffc,
    0x80006fff,0x003ffffb,0xffffff98,0xff98003f,0xffffffff,0xfff9003f,
    0x77bfffff,0x3ea09ffd,0x000003ff,0xfffffff3,0x5407ffff,0x40003fff,
    0x00007ffe,0x3fffe600,0xff30003f,0xffffffff,0xff30007f,0x007fffff,
    0x400fffea,0x0005fff8,0x01ffffdc,0x5d55554c,0x00006fff,0xfffff980,
    0x3e2003ff,0xbabcdeff,0x03fffffc,0x6567ffcc,0xffffffff,0x55551005,
    0x35555555,0x55555440,0x001fffea,0x2b3ffff2,0xffffeba9,0x7ffcc003,
    0x4003ffff,0xf81ffffc,0x40006fff,0x001efffb,0xd9efff98,0x44003fff,
    0xaaaaaaaa,0xf9801aaa,0xfffcacff,0x745fffff,0xeefffeee,0x003eeeee,
    0x2aaaaa20,0x01aaaaaa,0x000fffea,0x000fffd0,0x7ffcc000,0x510003ff,
    0x55555555,0xf9800355,0xfffd9eff,0x3fffa803,0x0bfff100,0x77ffdc00,
    0xfff80001,0x30000006,0x007fffff,0x4400be88,0xb807fffd,0x7ffec41f,
    0x00000eff,0x7fec0000,0xfff3001f,0x7ffe405f,0x7fcc000f,0x88003fff,
    0xff705fff,0x7dc0005f,0x98000dff,0x3f20dfff,0x000003ff,0x441fb800,
    0x0efffffd,0x7ffffffc,0x4fffffff,0x00000000,0x0007fff5,0x0007ffe8,
    0x7fff4000,0x0000001f,0xdfff9800,0x00ffff20,0x2007fff5,0x0005fff8,
    0x001bfff7,0x01bffe00,0xcc980000,0x8000002c,0x801fffe8,0x02f2e601,
    0x00000000,0x800fffec,0xc801fffd,0x98004fff,0x20002ccc,0x0d4c02a8,
    0x79991000,0x1e664000,0x001ccca8,0x01800000,0x7c02f2e6,0xffffffff,
    0x004fffff,0xf5000000,0xe80007ff,0x000007ff,0x0177ec40,0x80000000,
    0x99503ccc,0x7ffd4039,0xbfff1003,0x79991000,0xfff80000,0x00000006,
    0xc8000000,0x00002fff,0x00000000,0x03fffb00,0x00bfff30,0x001fffe2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2aaa,0x1aaaaaad,
    0x00000000,0x0007fff5,0x0007ffe8,0x00000000,0x00000000,0x7fff5000,
    0x17ffe200,0x00000000,0x0001bffe,0x00000000,0x0fffea00,0x00000000,
    0x7ec00000,0xffd801ff,0x3ff6001f,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x3ea00000,0x000003ff,0xffa80000,0x7f40003f,0x0000007f,
    0x00000000,0x00000000,0x2007fff5,0x0005fff8,0xff800000,0x0000006f,
    0x80000000,0x0004fffa,0x2e600000,0x002bceec,0x00fffec0,0x2003fff4,
    0x0002fffc,0x00000000,0x00000000,0xb9800000,0x3cdefeec,0x80000000,
    0x0003fffa,0x76dcc400,0x5400abce,0x40003fff,0x00007ffe,0x4c000000,
    0x91001ccc,0x00000599,0x03fffa80,0x00bfff10,0xf0000000,0x00000dff,
    0x2e609993,0x0000bdee,0x2e666662,0x99304fff,0x9dfd9309,0xffd30007,
    0x3dffffff,0x3fff6000,0x06fff801,0x41fffdc0,0xec984cc9,0x93003cef,
    0x99999999,0xcc980019,0xcccccccc,0x6664c000,0x0ccccccc,0x7ffec400,
    0xffffffff,0xccc9803f,0x0ccccccc,0x0fffea00,0xffb80000,0xefffffff,
    0x0fffea02,0x079dfd93,0x4401fffa,0x3204cccc,0xcccccccc,0x4ccccccc,
    0x007fff50,0x6457ffe2,0x4c0002cc,0xfff51ccc,0x3ffe2007,0x33333205,
    0xcccccccc,0xf0004ccc,0x00000dff,0x7d41fff7,0x2fffffff,0xfffdb300,
    0xffffffff,0x43ffea09,0xffffffd8,0xff5001ef,0xffffffff,0xfb0007ff,
    0xff8803ff,0xffffffff,0xffffffff,0x0fffa84f,0xffffffb1,0xffa803df,
    0xffffffff,0x7ffd4001,0x1fffffff,0x7fffd400,0x01ffffff,0x7ffffc40,
    0xffffffff,0x7ffd405f,0x1fffffff,0x0fffea00,0x057bdb71,0x7fffec40,
    0xffffffff,0x27fff504,0xffffffd8,0x3fff40ef,0x7ffff440,0x3ffffe01,
    0xffffffff,0xfa80ffff,0xff1003ff,0x02fffcbf,0x4bffee00,0x1003fffa,
    0x7fc0bfff,0xffffffff,0x0fffffff,0x06fff800,0xfffb8000,0xffffff50,
    0x4c05ffff,0xfffffffd,0x4fffffff,0xf31fff50,0xffffffff,0xffc801ff,
    0xeba9acff,0x4003ffff,0x5401fffd,0xffffffff,0xffffffff,0xffa84fff,
    0xfffff98f,0x00ffffff,0x3fffffea,0x4001ffff,0xfffffffa,0x54001fff,
    0xffffffff,0x7c4001ff,0xbabcdeff,0x03fffffc,0x3fffffea,0x2001ffff,
    0xfb13fffa,0x1bffffff,0xfffff880,0xfffdbace,0xfffa85ff,0xffffff9a,
    0x3a0fffff,0x7f4407ff,0x7fc01fff,0xffffffff,0x0fffffff,0x003fffa8,
    0x7f4bfff1,0x7e40006f,0x7fff50ff,0x17ffe200,0xfffffff8,0xffffffff,
    0xff8000ff,0xb800006f,0xfffb8fff,0xffffcace,0xfffff306,0xdddddddf,
    0x3ea09fff,0xcffffaff,0x4ffffdbb,0x0bfffe60,0x00ffffc8,0x007fff60,
    0xfffffff3,0xffffffff,0xf509ffff,0x9ffff5ff,0x9ffffb77,0x666664c0,
    0x001fffec,0x6666664c,0x4001fffe,0xecccccc9,0x44001fff,0x7ec400be,
    0x332607ff,0xfffecccc,0x3ffea001,0xfffffe8a,0x200fffff,0x101ffffd,
    0xa83ffffb,0xffffcfff,0xffffdbbd,0x881fffa4,0x801ffffe,0xeeeeeeee,
    0xffffeeee,0x07fff507,0xd97ffe20,0x6c0007ff,0x3ffea7ff,0xbfff1003,
    0x77777740,0xffeeeeee,0xff0007ff,0x700000df,0x7fffbfff,0x85ffff10,
    0x02efffe8,0xa827ffd4,0x0effffff,0x00ffffb8,0x9003fffb,0x6c009fff,
    0x7c401fff,0x800005ff,0xeffffffa,0x0ffffb80,0x1fffd800,0x3ff60000,
    0x3600001f,0x00001fff,0x0ffff440,0x0fffec00,0xd7fff500,0xfd99dfff,
    0x3e609fff,0xfc800eff,0x7ffd46ff,0xfb81efff,0xfffd0fff,0x0ffffec0,
    0x7fcc0000,0xfff502ff,0x3ffe2007,0x003fff25,0x2a6ffe80,0xf1003fff,
    0x20000bff,0x002ffff9,0x200dfff0,0xffb801a8,0x2e01ffff,0x7fdc5fff,
    0xffa800ef,0xffff504f,0xfffe80bf,0x05fff982,0x00ffff10,0x400fffec,
    0x00007fff,0x5fffffa8,0x017fff40,0x00fffec0,0x3fffb000,0x7fec0000,
    0x8000001f,0x8002fffc,0x2001fffd,0xeffffffa,0x0ffffc81,0x002fffe8,
    0x545ffff1,0x00dfffff,0x7f4bfffa,0xffffb07f,0xd1000003,0x7d409fff,
    0xff1003ff,0x0fffdcbf,0x4bfff000,0x1003fffa,0x0000bfff,0x009fffd1,
    0x4037ffc0,0x200efffb,0x01fffffb,0x3637ffc4,0xf5002fff,0x3fea09ff,
    0xffb805ff,0x1fffd83f,0x03fff600,0x00fffec0,0x0007fff4,0x3fffea00,
    0x3fffb805,0x1fffd800,0x3ff60000,0x3600001f,0x00001fff,0x03fffa80,
    0x01fffd80,0x3ffffea0,0x3fffa00e,0x037ffcc2,0xa93ffee0,0xb806ffff,
    0xfffd3fff,0x03ffffb0,0x3ff60000,0x7ffd405f,0xbfff1003,0xf817ffcc,
    0x9fff00ff,0x8027ffd4,0x0005fffa,0x005fffd8,0x2037ffc0,0x06fffffa,
    0x00bfffee,0x3fa37ffc,0xff5000ff,0x3ffea09f,0xfff9800e,0x007ffe84,
    0x8017ffe4,0xd801fffd,0x00003fff,0x0077ffd4,0x0027ffcc,0x000fffec,
    0x03fffb00,0x7ffec000,0xa8000001,0xd8004fff,0x2a001fff,0x400effff,
    0x7d43fffb,0x7cc003ff,0x3ffea5ff,0xfff9800e,0xfd8fffd4,0x00001fff,
    0x01ffff70,0x003fffa8,0x7c4bfff1,0xfff983ff,0x23fff883,0x8804fff9,
    0x0005ffff,0x007fffdc,0x01bffe00,0x3ffffffb,0x013ffee0,0x7fc7fff8,
    0xffb801ff,0xfff504ff,0x3ffe6007,0x006fff85,0x801fffdc,0x9801fffd,
    0x0000ffff,0x00fffea0,0x002fffcc,0x000fffec,0x03fffb00,0x7ffec000,
    0x26200001,0xfffb9999,0xfffd8004,0x3ffea001,0xfffa800f,0x017ffe44,
    0xf537ffc0,0x3e6007ff,0x4fffd5ff,0x001ffffd,0xffff3000,0x7fff5003,
    0x17ffe200,0xff909fff,0x5fff30df,0x2037ffc4,0x05ffffe8,0x3fffe600,
    0xfff80001,0x7ffff406,0xfff702ff,0x3f600007,0x3f6204ff,0xf504ffff,
    0x3e2007ff,0x7ffc45ff,0xffffffff,0xffffffff,0x3fffb004,0x3bfff600,
    0xff500001,0x3fe2007f,0xffd8005f,0x3600001f,0x00001fff,0x0007fff6,
    0xffffed98,0x4fffffff,0x1fffd800,0x0fffea00,0x22fffcc0,0x8001fffd,
    0x3fea7fff,0xfff1003f,0x7edfffab,0x00000fff,0x07ffff10,0x00fffea0,
    0x3a2fffc4,0xfffe85ff,0x0fffd41f,0x440bfffe,0x05fffffe,0x7ffff100,
    0x3ffe0000,0x7fffec06,0xfff701ff,0x3f200007,0x7dcc3fff,0x04ffffff,
    0x2007fff5,0x7d45fff8,0xffffffff,0xffffffff,0xffb004ff,0x3fe6003f,
    0x3009cfff,0x3fea0595,0xfff1003f,0xfffb000b,0x7ec00003,0x200001ff,
    0x8001fffd,0xffffffd9,0xffffffff,0xfffd8004,0x3ffea001,0xbfff1003,
    0x000fffe8,0xf50fffe8,0x3e2007ff,0xbfffd5ff,0x0001ffff,0x2fffec00,
    0x07fff500,0xb17ffe20,0xfff98dff,0x3ffdc3ff,0x85ffffe4,0xffefffb8,
    0xffb0005f,0x7c0000bf,0x7fcc06ff,0x3ee05fff,0x100003ff,0xfffffffd,
    0xff3fffff,0x3ffea09f,0xbfff1003,0xffffff98,0xffffffff,0x004fffff,
    0x4003fffb,0xfffffffb,0xfffffeef,0x07fff502,0x017ffe20,0x007fff60,
    0x1fffd800,0x3ff60000,0x7fcc001f,0xeeeeffff,0x04fffeee,0x01fffd80,
    0x00fffea0,0x3a2fffc4,0xe8000fff,0xfff50fff,0x3ffe2007,0xff7fffd5,
    0x000005ff,0x003bfff2,0x003fffa8,0xfc8bfff1,0x7f7fe47f,0x437fe46f,
    0xfffffff8,0xfe8effff,0xffc8005f,0x200000ef,0xe9806fff,0x7fdc04ff,
    0x2600003f,0xffffffff,0x9fff0dff,0x00fffea0,0x222fffc4,0x00005fff,
    0x03fffb00,0xffffe980,0xffffffff,0x7fff502f,0x17ffe200,0x07fff600,
    0xfffd8000,0x3f600001,0x3a2001ff,0x5402efff,0xd8004fff,0x2a001fff,
    0xf1003fff,0xfffd8bff,0x7fff8001,0x400fffea,0xffd5fff8,0x07ffff2f,
    0xfff50000,0xffa8003f,0xfff1003f,0x20fffb8b,0x1fff9ffe,0x7d417ff6,
    0xffffffff,0x00bffd0d,0x01ffffa8,0x37ffc000,0x7fdc0000,0x4400003f,
    0xdffffffc,0xa827ffc2,0xf1003fff,0xffff0bff,0x36000000,0x70001fff,
    0xffffffdb,0x2a019dff,0xf1003fff,0xfb000bff,0x400003ff,0x0001fffd,
    0x007fff60,0x00efffb8,0x004fffa8,0x001fffd8,0x400fffea,0x7e45fff8,
    0x7c4002ff,0x3ffea5ff,0xbfff1003,0xffd9fffa,0x100001ff,0x0005ffff,
    0x2007fff5,0x7d45fff8,0x2dff31ff,0x3ffa4ffe,0x3fffa204,0x7ff42eff,
    0x3ffe2005,0xf800002f,0x800006ff,0x0003fffb,0x402a6200,0xf500fffa,
    0x3e2007ff,0xfffe85ff,0xd8000000,0x00001fff,0x03fffb53,0x007fff50,
    0x0017ffe2,0x0007fff6,0x01fffd80,0x3fff6000,0x3fff6001,0x9fff5002,
    0x3fffb000,0x1fffd400,0x45fff880,0x4004fffb,0x3ea4fffa,0xff1003ff,
    0xd1fffabf,0x0001dfff,0x009fffd0,0x013ffea0,0x222fffd4,0x7ff72fff,
    0xfff9ffee,0x01553003,0x4003fff3,0x0004fffe,0x00dfff00,0x7fff7000,
    0x40000000,0x2a01fff9,0xf1003fff,0xfffb0bff,0xb0000007,0x00003fff,
    0x800fffcc,0x1003fffa,0xb000bfff,0x00003fff,0x000fffec,0x03fffb00,
    0x007fff40,0x004fffa8,0x001fffd8,0x400fffea,0x7cc5fff8,0x3a000fff,
    0x3fea2fff,0xfff1003f,0xd11fffab,0x0001dfff,0x0037ffe4,0x009fff30,
    0xf0bffff1,0x47ffa7ff,0xff89fff8,0xf880002f,0x3f2002ff,0x000006ff,
    0x0001bffe,0x00fffee0,0xfe800000,0x7ffd404f,0xbfff1003,0x01ffff30,
    0xffd80000,0x3a00001f,0x3ea004ff,0xff1003ff,0xffb000bf,0x6c00003f,
    0x00001fff,0x8007fff6,0xb801ffff,0x8004ffff,0x2001fffd,0x1003fffa,
    0xffd0bfff,0x3fea009f,0x1fffd46f,0xd5fff880,0xfff30fff,0xf70001df,
    0x40001fff,0x4406fff8,0xe85ffffe,0x46ff8cff,0xfff9cffd,0xffd80001,
    0x3ffee005,0x2000000f,0x00006fff,0x003fffb8,0xff500000,0xfffa801f,
    0xbfff1003,0x07bfff60,0xffd80000,0xf500001f,0x7d4003ff,0xff1003ff,
    0xffb000bf,0x6c00003f,0x00001fff,0x8007fff6,0x2204fffd,0x04fffffd,
    0x01fffd80,0x00fffea0,0x4c2fffc4,0x5403ffff,0x7d41ffff,0xff1003ff,
    0x41fffabf,0x005ffff9,0x017fffcc,0x17fffc00,0xfffffe88,0xfbdffd85,
    0x57ffdc3f,0x980007ff,0xf3001fff,0x00005fff,0x006fff80,0x3fffb800,
    0x90000000,0xfa801fff,0xff1003ff,0x3ffe60bf,0x53009cff,0x7fec0059,
    0xf700001f,0x7d4003ff,0xff1003ff,0xffb000bf,0x6c00003f,0x00001fff,
    0x8007fff6,0x4c3ffffc,0xfffffffb,0xfffd8004,0x3ffea001,0xbfff1003,
    0x37ffff60,0xfff95109,0x7fff50bf,0x57ffe200,0x3ea07ffe,0xd1005fff,
    0x00007fff,0x42fffff2,0xffefffb8,0xeeffc85f,0x7ffc41ff,0x80007ffd,
    0x8801fffb,0x0003fffe,0x99999988,0x999efff9,0x70000999,0x00007fff,
    0x3ffea000,0x3ffea01c,0xbfff1003,0x7ffffdc0,0xfffeefff,0x4cccc2ff,
    0xafffd999,0x00199999,0x00efffd4,0x003fffa8,0x260bfff1,0xfd999999,
    0x99999aff,0x33333301,0x335fffb3,0x26603333,0xffd99999,0x199999af,
    0xfffffe88,0x9fffffff,0x33304fff,0xfffb3333,0x03333335,0x2007fff5,
    0xd105fff8,0xffffffff,0x01bfffff,0x2007fff5,0xffd5fff8,0xffffb80f,
    0xffffd804,0xaaaaaaaa,0xf102aaaa,0xffffffff,0xbffd1dff,0xdfffff70,
    0x3fffff60,0xff980005,0x7fec01df,0xaaaaaaff,0x82aaaaaa,0xfffffffb,
    0xffffffff,0xf70004ff,0x000007ff,0x7ffff400,0x3fffa85f,0x0bfff100,
    0xfffffe98,0xffffffff,0x3ffffe22,0xffffffff,0x8007ffff,0x06fffffe,
    0x801fffd4,0xf885fff8,0xffffffff,0xffffffff,0xfffff887,0xffffffff,
    0xf887ffff,0xffffffff,0xffffffff,0xfffff307,0x21bfffff,0xff884fff,
    0xffffffff,0x7fffffff,0x003fffa8,0xc80bfff1,0xffffffff,0x3ea03fff,
    0xff1003ff,0x01fffabf,0x813ffff2,0xfffffff9,0xffffffff,0x3fea06ff,
    0xdfffffff,0xf50bffd0,0x2a07ffff,0x004fffff,0xfffffb00,0xfffff30d,
    0xffffffff,0xf70dffff,0xffffffff,0xffffffff,0x3fee0009,0x0000003f,
    0x3ffffea0,0x03fffa85,0x00bfff10,0x3ffffb6e,0x20cdffff,0xfffffff8,
    0xffffffff,0xfa8007ff,0x5406ffff,0xf1003fff,0xfff10bff,0xffffffff,
    0x0fffffff,0xfffffff1,0xffffffff,0xfff10fff,0xffffffff,0x0fffffff,
    0x7ffffe44,0x27ffc2df,0x7fffffc4,0xffffffff,0xffa87fff,0xfff1003f,
    0xffdb300b,0x8019dfff,0x1003fffa,0x3ffabfff,0xffffb007,0x3fffea07,
    0xffffffff,0x406fffff,0xefffffe8,0x442fff42,0x101fffff,0x007fffff,
    0x3fffe600,0xffffa86f,0xffffffff,0xb86fffff,0xffffffff,0xffffffff,
    0xff70004f,0x0000007f,0x2ccca880,0x003fffa8,0x000bfff1,0x80666aa6,
    0xfffffff8,0xffffffff,0x510007ff,0xfa805999,0xff1003ff,0xffff10bf,
    0xffffffff,0x10ffffff,0xffffffff,0xffffffff,0xffff10ff,0xffffffff,
    0x00ffffff,0x80002a62,0xfffffff8,0xffffffff,0xfffa87ff,0xbfff1003,
    0x01a98800,0x01fffd40,0xfd5fff88,0x3fa200ff,0xffa82fff,0xffffffff,
    0x6fffffff,0x002aa600,0x06ffff80,0x017fffec,0x3332a000,0xfffffa83,
    0xffffffff,0x0006ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3599b953,0x9b731000,0xd8800035,0x5554c1de,0xaaaaaaaa,0x44001aaa,
    0x01abccca,0x55531000,0x55555303,0x55555555,0x32a20155,0x00abcddc,
    0x372a6200,0x00001acc,0x00157973,0x6e54c400,0x9809acce,0xa8000aaa,
    0x2e6002aa,0x40001acd,0xccccccc8,0xa982cccc,0x544001aa,0x573002aa,
    0x97300000,0x55555799,0x20035555,0xa80002b9,0xceeffecb,0x2aaaa02b,
    0x0001aaaa,0x00015553,0x55540000,0xaaaaaaaa,0x06aaa22a,0x3ae00000,
    0xffffffff,0x74c01cff,0xffffffff,0x7fc4000d,0x3fee2fff,0xffffffff,
    0xa805ffff,0xfffffffd,0x2000ceff,0xfffffed9,0xffffb85f,0xffffffff,
    0x7f542fff,0xffffffff,0x7dc000cf,0xffffffff,0xfdb8003e,0xceffffff,
    0xffd50000,0xffffffff,0x3fffc87f,0x37ffc400,0x3ffff620,0x0004ffff,
    0xfffffff3,0xf707ffff,0xf88007ff,0x7fcc06ff,0xb100004f,0xffffffff,
    0xffffffff,0x4fff9809,0x3ffaa000,0xffffffff,0x3ffffa07,0xcdefffff,
    0x2fffc801,0x50000000,0xffffffff,0x7dcfffff,0x000003ff,0x3fffffa2,
    0xffffffff,0x3fffea04,0xffffffff,0x3fff2001,0x3ffee6ff,0xffffffff,
    0x36205fff,0xffffffff,0x802fffff,0xffffffea,0xffb85fff,0xffffffff,
    0x5c2fffff,0xffffffff,0x803fffff,0xfffffff9,0x0effffff,0xfffffb00,
    0x3dffffff,0x7fff4c00,0xffffffff,0x7ffe43ff,0x7ffc4003,0x3fffe606,
    0x5fffffff,0xffff9800,0x3fffffff,0x003fffb8,0x2037ffc4,0x0004fff9,
    0xffffffa8,0xffffffff,0x4c04ffff,0xb0004fff,0xffffffff,0x740fffff,
    0xffffffff,0x00cfffff,0x000bfff2,0x7fec0000,0xffffffff,0x3ffee7ff,
    0xf7000003,0xdfffffff,0x09ffffff,0x3ffffff2,0xfffffffe,0xffffb002,
    0x7fffdcff,0xffffffff,0xffd305ff,0xffdfffff,0x4405ffff,0xfffffffe,
    0xfb85ffff,0xffffffff,0x42ffffff,0xdceefffb,0x1ffffffe,0x3ffffe20,
    0xfffdcccd,0x7f4405ff,0xdb9bdfff,0x802fffff,0xfffffff8,0xffffeede,
    0x01fffe43,0x41bffe20,0xcefffffa,0x0efffffd,0x2aaaa200,0x1aaaaaaa,
    0x003fffb8,0x2037ffc4,0x0004fff9,0x77ffffdc,0xffffffdc,0x404fffff,
    0x8004fff9,0xabdffffc,0x07edcaaa,0x3ffffffa,0xffffffff,0x5fff902f,
    0x10000000,0xdfffffff,0x5cdddddd,0x00003fff,0xcfffffd8,0x7f5cc41a,
    0xdffffc84,0x3ffee60a,0xffc802ff,0x26626fff,0x99999999,0xfa85fffb,
    0x41adffff,0x102feb98,0x79fffffd,0xfff70035,0x1ba80003,0x3ffffd40,
    0x01bfffd0,0x817fffdc,0x403ffff9,0x403ffffa,0x00bffffe,0xff906e62,
    0xff88007f,0xffff986f,0xffffb80d,0x40000005,0x4003fffb,0x4c06fff8,
    0x20004fff,0x41cffffa,0x0000fffd,0x0013ffe6,0x003ffff1,0x0fffe802,
    0x7ffedd4c,0xfffc83ff,0x80000002,0x6ffeeffc,0x07fff700,0xfffa8000,
    0x0a6001ff,0x809ffff1,0x806ffff9,0x02fffff8,0x0bfff500,0x007ffffd,
    0x7ff440cc,0xf70003ff,0x000003ff,0x0ffffcc0,0x8037ffcc,0xfd04fffc,
    0x3a6005ff,0xff700fff,0xc80001df,0x44003fff,0xffd86fff,0x7ffcc05f,
    0x0000000f,0x000fffee,0x980dfff1,0x20004fff,0xfb04fffe,0x4c0001ff,
    0x54004fff,0x00003fff,0xa801fffd,0x640fffff,0x00002fff,0xebfff800,
    0xff7006ff,0xddffffff,0x7f400379,0x80000dff,0x3005fffc,0x1003ffff,
    0x40005bdb,0x7dc5fffa,0x00001fff,0x001bfff9,0x00fffdc0,0x3f600000,
    0xfffb83ff,0xdfff3003,0x003fff50,0xb04ffe88,0x00005fff,0x8007fff9,
    0x7cc6fff8,0xff9006ff,0x0000009f,0x001fffdc,0x301bffe2,0x20009fff,
    0x3605fffa,0x20000fff,0x4004fff9,0x0003fffc,0x001fffd0,0xc89fffd1,
    0x00002fff,0x47ffd400,0xf7006ffe,0xffffffff,0x803bffff,0x0007fffb,
    0x01ffff10,0x02fffe40,0x3ea00000,0x3ffe25ff,0xf100002f,0x80001fff,
    0x0001fffb,0x7ffe4000,0x02fffc84,0xd0ffff10,0x500809ff,0xfff01fff,
    0xf900001f,0xf88007ff,0x7ffe46ff,0xffff1002,0x20000001,0x4003fffb,
    0x9956fff8,0xdfffb999,0x99999999,0x0fffe879,0x003fff60,0x3733332a,
    0xccccefff,0xf53ccccc,0x20000bff,0x5000fffe,0x7e41ffff,0x000002ff,
    0xfeaffec0,0xfff7006f,0xffffffff,0x220bffff,0x0003ffff,0x00bfff90,
    0x00ffff98,0x3ea00000,0x3fff25ff,0x3f200006,0xb80001ff,0x00001fff,
    0x1fffdc00,0x8027ffe4,0x7dc5fffb,0xffdb80ff,0x3ffa0cef,0x0ffffc45,
    0x7ffe4000,0x7ffc4003,0x01fffe26,0x407fffb0,0xccccccc9,0x7dc00ccc,
    0x7c4003ff,0xffff96ff,0xffffffff,0xbfffffff,0x2037ffd4,0xc800fffd,
    0xffffffff,0xffffffff,0xfff15fff,0xe80003bf,0x3a000fff,0x3ff25fff,
    0x0000002f,0x7f47ffe6,0xfff7006f,0xb975555b,0x709fffff,0x0000dfff,
    0x0017fff4,0x0017fff4,0xfff50000,0x017fffcb,0x5fff8800,0xfff70000,
    0x80000003,0xfa82fffd,0xfe800fff,0x27ff44ff,0x3fffff62,0x3ffee1ff,
    0x01ffff40,0x1fffe400,0x9bffe200,0x2004fffa,0x204ffffb,0xfffffffa,
    0x7dc01fff,0x7c4003ff,0xffff96ff,0xffffffff,0xbfffffff,0x201fffdc,
    0xc800fffd,0xffffffff,0xffffffff,0x3ff25fff,0x000adfff,0x000fffe8,
    0xfc9fffea,0x000002ff,0xfe9bff20,0xfff7006f,0xfffe9807,0x17ffec3f,
    0xffff0000,0x3fff2000,0x20000003,0xff15fffa,0x540000ff,0x00003fff,
    0x0003fff7,0x7ffc4000,0x3bfffe07,0x3fffea00,0x360fffc0,0xfeddffff,
    0x3617ffc1,0x0002ffff,0x001fffe4,0xfb9bffe2,0xfd8802ff,0x2a05ffff,
    0xffffffff,0x7fdc01ff,0x7fc4003f,0xddddd76f,0xdddffffd,0x49dddddd,
    0x6c00fffc,0xeb800fff,0xfffeeeee,0xeeeeeeef,0x7ffec4ee,0x002dffff,
    0x0003fffa,0x7fe4ffff,0x0000002f,0xffe8fffe,0x7fff7006,0x1ffff600,
    0x0003fffd,0x017ffe20,0x027ffdc0,0xff500000,0x1bffeabf,0xfffc8000,
    0xff700001,0x0000003f,0x701fffec,0x885fffff,0x443ffffd,0x3fea0fff,
    0x7f40984f,0x7fffd43f,0x3f20003f,0x7c4003ff,0x3fff26ff,0x7fffd401,
    0x32606fff,0xffeccccc,0x7ffdc01f,0x7ffc4003,0x27ffcc06,0x03ffec00,
    0x0007ffec,0x009fff30,0x7ffffdc0,0x400cffff,0x4000fffe,0xff91ffff,
    0x0000005f,0xfe83ffea,0xfff7006f,0x3ffe2007,0x01fffe1f,0x5fff9800,
    0xbfff5000,0x54000000,0xfff75fff,0x7f40000b,0x3fb72a7f,0x2e00bdef,
    0xccccdfff,0x300000aa,0x9005fffd,0x55dfffff,0x505fffff,0x6ffe8fff,
    0x213ff200,0xbffffffb,0x7ffe4000,0x7ffc4003,0x803fff66,0xfeeffffc,
    0xffb0007f,0xfffb803f,0x7ffc4003,0x27ffcc06,0x03fff400,0x0007ffec,
    0x009fff30,0xfffeb880,0x202fffff,0x4000fffe,0xff92fffe,0x0a98005f,
    0x22fff400,0xf7006ffe,0x7ec007ff,0xffff13ff,0x55555440,0xff51aaaa,
    0x3e60009f,0x000006ff,0x657ffea0,0x00003fff,0x3fefbffe,0xffffffff,
    0xffff703f,0xbfffffff,0x3bbb2005,0x01effffe,0x3ffffee0,0x00efffff,
    0xfff8dff7,0x17fee002,0x7fffffe4,0xff9001cf,0xff88007f,0x03fffa6f,
    0x37ffffa2,0x000fffd8,0x401fffd8,0x4003fffb,0x4c06fff8,0xf8004fff,
    0xffd806ff,0xeeeeeeef,0x27ffcc00,0xfd710000,0x743fffff,0xeeffffee,
    0x3f600eee,0x5fff93ff,0x3fff6200,0x5fff3004,0xeeefffe8,0x3fee4eee,
    0x3fee003f,0x0bfff54f,0x7fffffcc,0xfff95fff,0x3fe20007,0x0000007f,
    0x7ed7ffea,0x200002ff,0xffffffff,0xffffffff,0xffffb85f,0xffffffff,
    0x7fec00ef,0x02ffffff,0xffffd880,0x7e406fff,0x07ffe25f,0x206ffa80,
    0xfffffffa,0x7fe402df,0x7fc4003f,0x21fffe6f,0x23fffffa,0x8001fffd,
    0x5c01fffd,0x44003fff,0x7cc06fff,0x7c4004ff,0xffd805ff,0xffffffff,
    0x27ffcc00,0xfd980000,0x3ffe6fff,0xffffffff,0x3fff201f,0x005fff94,
    0x0ffffff6,0x3a1fff20,0xffffffff,0x0fffee5f,0x75fffa80,0x7cc0bfff,
    0xffffffff,0x007fffb5,0x01fffe20,0x7d40000c,0x5fffd5ff,0x3fe20000,
    0x99beffff,0xffffeb98,0x666664c2,0xfffffeed,0x7ffec05f,0x3fffffff,
    0x3fffa600,0x01dfffff,0x7fcc9ffb,0x3fea000f,0x7ff5c407,0x01efffff,
    0x8007fff9,0x3fe6fff8,0x7fffe47f,0x0fffe41e,0x0fffec00,0x00fffee0,
    0x80dfff10,0x4004fff9,0xd805fff9,0xffffffff,0x7fcc00ff,0x4000004f,
    0xff1ffffa,0xffffffff,0x7fe403ff,0x05fff94f,0xffffff10,0x4fff880f,
    0xffffffe8,0x3fee5fff,0x3fee003f,0x0bfff54f,0x7fffffcc,0xfff95fff,
    0x3fe60007,0x7ffdc07f,0x3fea0003,0x07fffd5f,0x3ffe2000,0x7ec401df,
    0x44000fff,0x05ffffea,0x3b32eaa6,0x00efffff,0x77ffffe4,0x82ffffff,
    0x3fe25ffc,0x3fee001f,0x3ff6a006,0xc83fffff,0x44003fff,0x3ffa6fff,
    0xbffffd17,0x01fffb01,0x03fffb00,0x003fffb8,0x5337ffc4,0xbfff9555,
    0x55555555,0x02fffcc1,0x555fffec,0xf9802aaa,0x000004ff,0x552fffd8,
    0x557ffff5,0x7fec0155,0x05fff93f,0xffffff30,0x1fffb80f,0xaaaeffe8,
    0x3fee1aaa,0x3ff6003f,0x0dfff32f,0x2bfff300,0x0004fffb,0x4c0dfff3,
    0x003fffff,0x36bfff50,0x00004fff,0x800dfff3,0x0003ffff,0x003ffff6,
    0x3fffee20,0x3ffff605,0xffffd30d,0x46ffa87f,0x32002fff,0xc98005ff,
    0x43ffffff,0x4003fffc,0x3f66fff8,0xfffffaff,0x03fffa03,0x07fff600,
    0x007fff70,0x326fff88,0xffffffff,0xffffffff,0x1bffe22f,0x003fff60,
    0x04fff980,0xffd80000,0x0fffe81f,0x9ffff400,0x8802fffc,0x06ffffff,
    0xfe837ff4,0xfff7006f,0x3ffe2007,0x0ffff11f,0x2bfff300,0x0005fffa,
    0x5c0dfff5,0x007fffff,0x32bfff50,0x00004fff,0x800ffff1,0x0004fffb,
    0x0017fff4,0x05ffff30,0x205ffffb,0x21fffffa,0x7ff47ff9,0x0fff6006,
    0xfffc8800,0x3fff22ff,0x7ffc4003,0x3fffff66,0x7f401eff,0xffb0007f,
    0xfffb803f,0x7ffc4003,0x3fffff26,0xffffffff,0x7fc2ffff,0xfffd807f,
    0x3fe60000,0x4000004f,0xe80ffff8,0x7c000fff,0xfff92fff,0x3fff2005,
    0x3fe602ff,0x0dffd03f,0x00fffee0,0x3e2fffec,0x4c000fff,0xfff35fff,
    0x3fee000b,0x3ffea04f,0xa8001fff,0xfff75fff,0x7fc0000b,0x7fcc007f,
    0x7e40006f,0x5c0004ff,0x7fd45fff,0x7fcc01ff,0x3ffe26ff,0x27bffea0,
    0x7f41ca88,0xfa80002f,0x3ff26fff,0x7fc4003f,0x3ffff26f,0xfff005ff,
    0x3ff6000d,0x7ffdc01f,0x7ffc4003,0x3fffff26,0xffffffff,0x7f42ffff,
    0xfffd807f,0x3fe60000,0x5ef4004f,0xffd71019,0x3fffa0bf,0x7fffc000,
    0x005fff91,0x20177fdc,0xfd00fffc,0x3fee00df,0x7fec403f,0x7fff40ff,
    0x7ffcc002,0x00ffff15,0x80ffff60,0x2ffffff8,0x5fffa800,0x000ffff5,
    0x007fff40,0x00ffff10,0x06fffa80,0x3fffcc00,0x4013fffa,0x3e1ffffa,
    0x7fff42ff,0x221fffff,0x00001fff,0x7dcffff5,0x7cc003ff,0x3ffee5ff,
    0xff1003ff,0x3f6000bf,0x7fdc01ff,0x7fc4003f,0x7ffcc06f,0xfffe8004,
    0x07ffec01,0x9fff3000,0xffffe800,0xffffffff,0xffd00eff,0x7fcc001f,
    0x0bfff27f,0x7fc40000,0xccccccff,0xf7006fff,0x333339ff,0x5fffff95,
    0x00dfffb0,0x3e5fff98,0x44002fff,0x5401ffff,0x002fffff,0xf34fffa8,
    0x00007fff,0x8003fff6,0x0006fff8,0x002fffd4,0xf13fffc0,0x74001fff,
    0x3ff63fff,0x7fffec46,0x3fee1fff,0xf100000f,0x3fea3fff,0x7fd4004f,
    0x3fffea4f,0x3ffee001,0xfffb0004,0x3fffb803,0x37ffc400,0x013ffe60,
    0x00ffff60,0x0001fffb,0x0027ffcc,0x3ffffffa,0xdfffffff,0x03fffa00,
    0x24fffe80,0x0002fffc,0xfffff700,0xffffffff,0x3ffee00d,0xffffffff,
    0xf502ffff,0x4c003fff,0x3ff65fff,0x7fdc005f,0xfffb006f,0xff90003f,
    0x37fff47f,0xfffc8000,0x3ffea002,0x7fe40004,0x7cc0003f,0x3ffe65ff,
    0x7ffe4007,0x20bffe64,0x41bcedba,0x00003fff,0xf98ffff4,0x7dc005ff,
    0x3ffe23ff,0x3ffa000f,0xffb0001f,0xfffb803f,0x7ffcc003,0x2fffcc05,
    0x37ffd400,0x003fff60,0x05fff980,0x7ffff640,0x1dffffff,0x00fffe80,
    0x45ffff50,0x0002fffc,0xfffffd00,0xffffffff,0x3ffee00d,0xffffffff,
    0x7f400dff,0x3e6005ff,0x3ffe65ff,0x3ffa000f,0xfff7001f,0x3ff6000f,
    0x3fffea1f,0xffb80002,0x3fee006f,0x7f40003f,0x5c0001ff,0x3fe64fff,
    0x7fec007f,0x037fec3f,0x00fffb80,0x3fffc000,0x800dfff1,0x7e41fffd,
    0xff3003ff,0x7ec000bf,0x7fdc01ff,0x7fd4003f,0x7ffc404f,0xffff0006,
    0x07ffec03,0xdfff1000,0x64cc4000,0x74004fff,0xfd000fff,0xfffc8dff,
    0xf9800002,0xcccccdff,0x006fffcc,0xfffffff7,0x0039bdff,0x017fffe6,
    0x3a2fffcc,0xfb006fff,0x7e400bff,0x4c0026ff,0x7ec0ffff,0x80003fff,
    0x8800ffff,0x0001ffff,0x001bfff6,0x85ffff10,0x2001ffff,0x7cc1ffff,
    0x7cc004ff,0x400003ff,0x7fc6fffb,0xff3003ff,0xffff30df,0x5fffb001,
    0x7ffec000,0x1fffdc01,0x0ffff200,0x003fffe0,0x03bffee0,0x0007ffec,
    0x003fffe0,0x0bffee00,0x01fffd00,0x1ffffe98,0x0017ffe4,0x07ffec00,
    0x401bffa0,0x999cfffb,0x3f600009,0x4c00efff,0x7fd45fff,0x7fe405ff,
    0xff1001ff,0x006743ff,0x309fffd1,0x00bfffff,0xfff70726,0xfffd801d,
    0xff910004,0x4c0003ff,0xfe84fffe,0xfd800fff,0xfffb07ff,0x3ffea00b,
    0x50003307,0xfb89ffff,0x74c01fff,0xffb02fff,0x7fec01bf,0x7ec0006f,
    0x7fdc01ff,0x3fe6003f,0xffe801ff,0xff88005f,0xfffb06ff,0xffe80001,
    0xfc80005f,0xffe8007f,0xfff7100f,0xfff909ff,0xf8800005,0xffe805ff,
    0x7fff7006,0xff880000,0x9acdffff,0x5fffda99,0xceffffe8,0xfffeca8a,
    0xffd3005f,0xbdffe89f,0xffffba9a,0xffff900f,0x75359bff,0xf885ffd9,
    0x5409efff,0xab86fffe,0xfffca981,0x0cd442ff,0x7fff5ccc,0xffff506f,
    0xfeb9839f,0xfb102fff,0x93015dff,0x2e03ffff,0x99aabdff,0xfffeba99,
    0xffffd05f,0x3ee62139,0x3e605fff,0x710affff,0x005ffffb,0x01fffd80,
    0x261fffdc,0xfff730ac,0x3fea009f,0x2620aeff,0xffffc83b,0x3fff61be,
    0x1aaaaaab,0xeffffa80,0x00ee620a,0xd000bffd,0xb9557fff,0x7fffffff,
    0x2b3fff20,0xaaaaaaaa,0x3ee00aaa,0xffe802ff,0x9999999e,0x007fff70,
    0xfffb1000,0xffffffff,0x360bffff,0xffffffff,0x203fffff,0xffffecb8,
    0xfffffe86,0x2fffffff,0x7ffffd40,0xffffffff,0xfffa82ff,0xfffeefff,
    0xfff81fff,0xffffffff,0xffa83fff,0xffffffff,0x200effff,0xfffffffb,
    0xffffffff,0xffffc803,0xffffdcef,0x3fee00ef,0xffffffff,0x0effffff,
    0xffffff50,0xffffffff,0xfffa801d,0xffffffff,0x333001ff,0xfffb3333,
    0x23333335,0x7d43fffb,0xffffffff,0x3ff6000f,0xffffffff,0xffff705f,
    0xffffffff,0x9fffffff,0x3ffff600,0x5fffffff,0x00fffe20,0x3fffffa0,
    0xffffffff,0x3fff202f,0xffffffff,0x201fffff,0xfd007ffe,0xffffffff,
    0x0fffee5f,0xffa80000,0xffffffff,0x3204ffff,0xffffffff,0x7d401fff,
    0xd03fffff,0xffffffff,0x22003dff,0xfffffffd,0x02ffffff,0xffffffd3,
    0x201bffff,0xffffffff,0x500cffff,0xffffffff,0x005dffff,0x3fffffee,
    0x3fffffff,0x3fffee00,0x4fffffff,0xfffffb80,0xffffffff,0x74400cff,
    0xffffffff,0x26004fff,0xfffffffe,0xf1001eff,0xffffffff,0xffffffff,
    0x50fffeef,0xffffffff,0xfd88003d,0xffffffff,0x3ffea05f,0xffffffff,
    0x4fffffff,0xffffb100,0x0bffffff,0x0007ffcc,0x7ffffff4,0x0befffff,
    0x7ffffe40,0xffffffff,0xff301fff,0x3ffa009f,0xffffffff,0x007fff72,
    0xedb88000,0xdfffffff,0xfec9800b,0x00cdffff,0x0dffffa8,0x7fffed40,
    0x50003dff,0xffffffb9,0xd90017bf,0x5bffffff,0xffffff80,0x400cefff,
    0xfffffffa,0x8002deff,0xfffffeb8,0x30002eff,0xbffffdb7,0x3b260037,
    0xffffffff,0x4000beff,0xffffffeb,0xc88001de,0xbdfffffe,0x3ffe2000,
    0xffffffff,0x77ffffff,0xfd987fff,0x003effff,0x7fffed40,0x4c04ffff,
    0xffffffdb,0xffffffff,0x7ed4004f,0x4fffffff,0x00133260,0x7ffffff4,
    0x2001ccde,0xfffffffc,0xffffffff,0x1fffb01f,0x3ffffa00,0x72ffffff,
    0x00007fff,0x13553000,0x03530000,0x00357300,0x00026620,0x026a6200,
    0x01353000,0x9aaa9980,0xa9988000,0x000009aa,0x0009a998,0x000a8800,
    0x55553100,0x44000013,0x000009a9,0x1000054c,0xffffffff,0xffffffff,
    0x131000ff,0x26200000,0x10000999,0x00001333,0x13333100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa00000,0xaaaaaaaa,0xaaaaaaaa,0x55100aaa,0x2a000035,0x1aaaaaaa,
    0x95300000,0x40379ddd,0x2000aaaa,0x10002aaa,0x0137b975,0x55555554,
    0xaaaaaaaa,0x30aaaaaa,0x20005555,0x2a22aaa8,0xaaaaaaaa,0x0aaaaaaa,
    0x00035555,0x10055550,0x00359b95,0x000aaaa6,0x5315554c,0xa8800355,
    0x554002aa,0x44001aaa,0xaaaaaaaa,0x2aa00099,0xaaaaaaaa,0x0aaaaaaa,
    0xacdca980,0x1aaa9801,0x8aaaaa00,0xaaaaaaa9,0x55500009,0xa9800015,
    0x2a000aaa,0x54002aaa,0x155500aa,0xffffff80,0xffffffff,0x2fffffff,
    0x00bfff30,0x3ffffa00,0xcdefffff,0x3fee0001,0xffffffff,0x0fffe80f,
    0x03fffa00,0xffffd880,0xf80effff,0xffffffff,0xffffffff,0xff32ffff,
    0xfb0005ff,0x7ffd49ff,0xffffffff,0xf90fffff,0xa8000dff,0xfb306fff,
    0xbfffffff,0xffff9801,0x7ffc4003,0x0fffee3f,0x0dfff100,0x7ffffcc0,
    0x7ffdc005,0xffffffff,0x3fe202ef,0xffffffff,0x2fffffff,0x3ffffee0,
    0x2e01efff,0xf5003fff,0x7fe43fff,0xffffffff,0xfd800cde,0x5c0001ff,
    0x5004ffff,0x400dffff,0xf880fff8,0x7ffc00ff,0xffffffff,0xffffffff,
    0xfff302ff,0x3fa0000b,0xffffffff,0x000cffff,0x3fffffa2,0x0fffffff,
    0x000fffe8,0x4003fffa,0xfffffffb,0x7c3fffff,0xeeeeeeef,0xeeeeeeee,
    0x3f22ffee,0x7cc006ff,0x3fea0fff,0xffffffff,0x30ffffff,0x0003ffff,
    0x5427ffe4,0xffffffff,0x6403ffff,0x2000ffff,0x7dc6fffd,0x7c4003ff,
    0x3f2006ff,0x000fffff,0x3fffffee,0xffffffff,0xffff882e,0xffffffff,
    0x982fffff,0xfffffffe,0xf703ffff,0xff3007ff,0xfffc87ff,0xffffffff,
    0x7ec03fff,0x5c0001ff,0xb007ffff,0x400dffff,0xff307ff9,0xffff801f,
    0xffffffff,0xffffffff,0xbfff302f,0x3ffa0000,0xffffffff,0x802fffff,
    0xdffffffa,0x0fffdcbc,0x000fffe8,0x2003fffa,0xcefffff9,0x1fffffcc,
    0x6c0001fe,0x3fffe22f,0x3fffa003,0x7ffffd43,0xffffffff,0x3ffe0fff,
    0x3fe0003f,0x3ff621ff,0xffeeffff,0x2201ffff,0x5004ffff,0xfb83ffff,
    0x7c4003ff,0x3fe006ff,0x002fffff,0x3fffffee,0xffffffff,0x7ffc41ff,
    0xffffffff,0x42ffffff,0xcdfffff9,0x5ffffedb,0x403fffb8,0xc84fffe8,
    0xffffffff,0xefffffff,0x03fffb01,0xffffc800,0x7ffc401f,0x3ea006ff,
    0x0fff506f,0x9fff5000,0x7ffcc000,0xffd00005,0xfdba981f,0x2203ffff,
    0x403fffff,0xfffe80da,0x3fffa000,0xefffe800,0xf85fd500,0x6c000987,
    0x7fffdc2f,0x6fffa800,0x005fffa8,0x037ffe40,0x46fff980,0x81bffff9,
    0x406ffffb,0x801ffffa,0xfb84fffe,0x7c4003ff,0xff3006ff,0x00bfffdf,
    0x441fffdc,0xeffffea9,0x9fff5000,0x6ffff400,0x3ffff700,0x403fffb8,
    0xf905fffd,0xba9887ff,0x82fffffe,0x0001fffd,0x27ffffe4,0x3ffffee0,
    0x1bfee007,0x00037fdc,0x0027ffd4,0x00bfff30,0x03fffa00,0x1fffff50,
    0x07bfff20,0x3faaa200,0xaaaaabff,0xfffaaaaa,0xff701abf,0xf05100df,
    0xcefff88f,0x7417ec01,0xfe804fff,0xfffa81ff,0x7fcc0005,0xfc8000ff,
    0x1efa84ff,0x1ffffcc0,0x01bfff60,0x2e0dfff9,0x44003fff,0xf9006fff,
    0x0ffff3ff,0x01fffdc0,0x017fffdc,0x004fffa8,0x500bfff9,0xffb8bfff,
    0x3fff203f,0x7fff900e,0xfffff700,0x01fffd81,0x7effec00,0x6fff407f,
    0x3f2007ff,0x0bff705f,0x9fff5000,0x7ffcc000,0xffd00005,0xffd1001f,
    0xffff309f,0x3fe60005,0xffffffff,0xffffffff,0xd04fffff,0x40003fff,
    0x7fffc47f,0x5fb01dff,0x01ffff30,0xa827ffdc,0x80005fff,0x8003ffff,
    0x1501fffe,0x13fff600,0x07ffff10,0x407fffe2,0x4003fffb,0xf006fff8,
    0x3fff6dff,0x7fff7002,0x0ffff600,0x027ffd40,0x007fffc4,0x2e1fffe8,
    0xff503fff,0x7fe401ff,0xffd1003f,0x1fffd89f,0x5ffec000,0xff302fff,
    0x400fff7d,0xff904ffd,0xff500009,0x7cc0009f,0x016e05ff,0x8007fff4,
    0x6c0ffffa,0x20005fff,0xfffffff9,0xffffffff,0xffffffff,0x00ffff04,
    0x73107f80,0xfb03fffd,0x17fff605,0x807fffc4,0x0005fffa,0x005fffc8,
    0x0037ffcc,0x06fffa80,0x80ffffb8,0x2e04fffd,0x44003fff,0xf9806fff,
    0xbfff74ff,0x0fffee00,0x02fffdc0,0x804fffa8,0x2005fff9,0x3ee5fffb,
    0xfff883ff,0x7ffe402f,0x3ffea003,0x07fff60f,0x97ffb000,0x3ff20bff,
    0x000fffbb,0x3f607ffb,0xfa80004f,0x260004ff,0xffb85fff,0x1fffd006,
    0x2ffff400,0x0007fffa,0xffffee98,0xeeeeeeee,0xeffffeee,0x5fff883e,
    0x803fc000,0x7ec0effb,0x3ffff102,0x407fff90,0x0005fffa,0x00ffff98,
    0x00ffff20,0x3fffcc00,0x45fffe80,0x200ffffa,0x4003fffb,0xc806fff8,
    0xfff11fff,0x3ffee00f,0x9fff7003,0x13ffea00,0x013ffee0,0x2e6fff88,
    0xffe83fff,0xfffc803f,0x7fff4003,0x007fff65,0xf57ffd00,0xfff881ff,
    0xe80fffa8,0xffffffff,0xffffffff,0x002fffff,0x0027ffd4,0x5cbfff30,
    0xd006ffff,0x54001fff,0x7ffc7fff,0x3fa00007,0x3fa000ff,0x3fe600ff,
    0x3fc0004f,0xd87ff700,0x3ffee02f,0x037ffcc6,0x0017ffea,0x017fffc0,
    0x003fffd0,0x1fffe600,0x8ffffcc0,0x402ffff8,0x4003fffb,0xf806fff8,
    0x7fff47ff,0x3fffb802,0x03fff900,0x013ffea0,0x000bfff2,0x7fdcfffd,
    0x27ffec3f,0x03fffc80,0xb37ffd40,0x80003fff,0xfff8affe,0xfab7fd42,
    0xfffe80ff,0xffffffff,0xffffffff,0x7d4002ff,0x260004ff,0xfffbdfff,
    0xfd003fff,0xff8001ff,0x1bffe67f,0xfffe8000,0x3fffa000,0x13ffea00,
    0x400ff000,0x17ec5ff8,0xd8bfffa0,0x7d401fff,0x900005ff,0x2600bfff,
    0x00006fff,0x801bffe6,0xff96fffc,0xfff700bf,0xfff88007,0x27ffcc06,
    0x2013ffee,0xd003fffb,0x7d400fff,0xffc804ff,0x7ff4003f,0x47fff70f,
    0x2005fffb,0x4003fffc,0x3f67fff8,0x7c0001ff,0x8bff92ff,0xfff52ffe,
    0xfffffd03,0xffffffff,0xffffffff,0xfffa8005,0x3fe60004,0xcfffffff,
    0x3fffa000,0x7fffc000,0x00bfff51,0x07fff400,0x01fffd00,0x0027ffd4,
    0xff001fe0,0x5402fd8d,0xfff56fff,0xbfff5009,0x3fe60000,0xffb800ff,
    0x2e00003f,0x22005fff,0xfffdffff,0xfffb800f,0x7ffc4003,0x0fffe406,
    0x201fffe6,0xc803fffb,0x2a005fff,0xfb804fff,0x7ec004ff,0x7fff71ff,
    0x003bffe6,0x003fffc8,0xfb0ffff8,0xf80003ff,0x1fff32ff,0x7d43ffe2,
    0xff9801ff,0x0fff880f,0xfffa8000,0x3fe60004,0x00cfffff,0x00fffe80,
    0xa97fff40,0x00005fff,0x8003fffa,0x2a00fffe,0x40004fff,0x3fe6007f,
    0x6c017ec5,0xfffebfff,0x5fffa800,0x3ffe0000,0xfffe802f,0x3fa00001,
    0x7d4002ff,0x03ffffff,0x007fff70,0x406fff88,0xffd07fff,0xfffb805f,
    0x3fff6a03,0x3fea000e,0xfffa804f,0x7ffe4006,0xf17fff72,0xc8003fff,
    0xe8003fff,0xfffb1fff,0xfff80003,0x7dcfffe2,0x07ffe65f,0x4c1ffe60,
    0x544007ff,0xfffcaaaa,0x01aaaaae,0x7fffffdc,0x7774000c,0xeeeeffff,
    0x3fff600e,0x00dfff33,0x57fff400,0x99999999,0x40fffe99,0xdfffb999,
    0x99999999,0x200ff009,0x7ec2ffd8,0xffff8802,0xf5003fff,0x55555dff,
    0x03555555,0x202fffe4,0x0006fff8,0x01bffea0,0x7ffffec0,0x3ffee006,
    0xffffffff,0xffffffff,0x17ffe606,0x2027ffe4,0xeeeefffb,0xcffffffe,
    0x7ffd4000,0xffff8804,0x3fff6002,0xfd7fff73,0xf90005ff,0xfb0007ff,
    0x3fff67ff,0x3fe20001,0x75bff22f,0x3ffe62ff,0x06ffa802,0xa800fff5,
    0xffffffff,0x4fffffff,0xfffffd50,0x3fe0001d,0xffffffff,0x3ff201ff,
    0x0ffff14f,0x7fff4000,0xffffffff,0x0fffffff,0x7ffffffc,0xffffffff,
    0x20ff03ff,0x5fffecca,0xf9002fd8,0x400dffff,0xfffffffa,0xffffffff,
    0x1fffe603,0x007fff70,0x3fffe200,0xfff10002,0x7dc003ff,0xffffffff,
    0xffffffff,0x3ff206ff,0xffff302f,0xfffffb80,0xffffffff,0xffa8000b,
    0xfff9004f,0x7f5c407f,0xfff72fff,0x0009ffff,0x000ffff2,0x7ed3fff2,
    0x220001ff,0x3fe62fff,0x7cc7ffaf,0xffb802ff,0x00dff706,0xffffffa8,
    0xffffffff,0xffffe84f,0x20005fff,0xffffffff,0x3201ffff,0x3ffe4fff,
    0xfd00001f,0xffffffff,0xffffffff,0xfffff81f,0xffffffff,0xff03ffff,
    0x3fffff20,0x2005fb03,0x01fffff8,0x3ffffea0,0xffffffff,0x7ffc03ff,
    0x3fff602f,0xffd00001,0x7c4000bf,0x2003ffff,0xfffffffb,0xffffffff,
    0x3e06ffff,0x3fe00fff,0x3fee01ff,0xffffffff,0x004fffff,0x8027ffd4,
    0xdefffff8,0xffffdcbb,0xfff72fff,0x001fffff,0x007fff90,0x369fff90,
    0x20001fff,0x7f41fff8,0x7cc4ffff,0xffc802ff,0x00bff705,0xffffffa8,
    0xffffffff,0xdffff84f,0x20005fff,0xbffffaaa,0x3600aaaa,0x3ff63fff,
    0xfd00005f,0xffffffff,0xffffffff,0xfffff81f,0xffffffff,0xff03ffff,
    0x006bbf20,0x7dc005fb,0x7d4005ff,0xffffffff,0x03ffffff,0x8827ffe4,
    0x00006fff,0x000dfffb,0xffffffd8,0xdfff7000,0x99999999,0xdfffb999,
    0x017ffe60,0x5c09fff9,0xccccefff,0xfffffedc,0xfff5000e,0x7ff4c009,
    0xffffffff,0x71ffffff,0xfffb7fff,0xfff9000d,0xfffb0007,0x007fff67,
    0x41fff980,0x41fffffb,0xd803fff8,0x9ff904ff,0x3fea0000,0x33fe004f,
    0x005fff98,0x01fffd00,0x23fffe80,0x002ffff9,0x9afffe80,0x99999999,
    0x200fffe9,0x0004fffa,0x05fc83fc,0xee985fb0,0xfffeeeee,0x3eeeeeef,
    0x005fffa8,0x3fffcc00,0x003fffa8,0x0ffffd80,0x3ffee000,0x7005ffff,
    0x88007fff,0xff906fff,0xfffa807f,0x0fffee07,0x9ffffb30,0x13ffea00,
    0x3ffff200,0xc9dfffff,0xfff71fff,0x09ffff17,0x03fffc80,0xb3fffe80,
    0x40003fff,0x7c41fff9,0xff886fff,0x3ffe803f,0x0009ffb0,0x013ffea0,
    0x3ffe60c8,0xffd00005,0xfff8001f,0x7ffff42f,0x3fa03003,0x3fa000ff,
    0x3fea00ff,0x3fc0004f,0xfb005fc8,0xfffffa85,0xffffffff,0xfa84ffff,
    0x800005ff,0xfd81ffff,0x640000ff,0x0001ffff,0x3f3fffe2,0xfb802fff,
    0x7c4003ff,0xffff06ff,0x3ffff001,0x00fffee0,0x00ffffe4,0x0027ffd4,
    0xacccb988,0xb9fffa0a,0xfff33fff,0x7fe4007f,0xfff8003f,0x03fffb2f,
    0x0fffd400,0x441fffec,0x4ccc4fff,0x99bfff99,0x9cffe999,0xf5000199,
    0x4c0009ff,0x00005fff,0x8001fffd,0x7cc1ffff,0x09beffff,0xd01fd753,
    0x74001fff,0x3ea00fff,0x7c0004ff,0x200bf707,0x7ffd42fd,0xffffffff,
    0x84ffffff,0x0005fffa,0x44fffc80,0x0006fff8,0x00ffffe4,0x57fff600,
    0x400ffffc,0x4003fffb,0xf986fff8,0xffb006ff,0x3ffee09f,0x3fffa003,
    0x4fffa803,0x7c400000,0x3ffee6ff,0x07fffee3,0x01fffe40,0x43fffe20,
    0x0001fffd,0x2a07ffea,0xff880fff,0x7ffffc4f,0xffffffff,0xffffffff,
    0xffa8000f,0x3e60004f,0xd00005ff,0x4c001fff,0xff307fff,0xffffffff,
    0xfd01ffff,0x7f4001ff,0x3fea00ff,0x3fc0004f,0x42fd8000,0xb9999998,
    0x9999dfff,0xfffa8099,0xfa800005,0x7ffd46ff,0x3ff20003,0x540001ff,
    0xff10ffff,0xffb809ff,0x7fc4003f,0xffffc86f,0xffffffff,0x707fffff,
    0x64007fff,0xfa805fff,0x000004ff,0xf727ffcc,0xfffd87ff,0xfffc800f,
    0x7ffd4003,0x007fff66,0x00fffb80,0x7ffc0555,0x7fffffc4,0xffffffff,
    0xffffffff,0xfffa8000,0x3fe60004,0xfd00005f,0x7f4001ff,0x3fa604ff,
    0xffffffff,0xffe80fff,0x3ffa000f,0x3ffea00f,0x03fc0004,0x002fd800,
    0x0013ffea,0x000bfff5,0x87fffe00,0x0000fffd,0x003ffff9,0x3ffff880,
    0x00ffffd4,0x8007fff7,0xff86fff8,0xffffffff,0xffffffff,0x3fffb81f,
    0x17ffee00,0x013ffea0,0xfff90000,0x21fffdc3,0x805fffe8,0x4003fffc,
    0x3f64fffe,0x2e0001ff,0x20000fff,0x77745fff,0xeeefffee,0xeefffeee,
    0xa8000eee,0x20004fff,0x0005fff9,0x001fffd0,0x00bfffea,0x3fffff26,
    0xfd02ceff,0x7f4001ff,0x3fea00ff,0x3fc0004f,0xfb004eb8,0x7ffd4005,
    0x7ffd4004,0xf9000005,0x3ffe29ff,0xfff90006,0xfb00003f,0x3ffa0dff,
    0x3ffee06f,0x7ffc4003,0x7ffffcc6,0xffffffff,0x84ffffff,0x2003fffb,
    0xa803fffc,0x00004fff,0x717ffea0,0xff307fff,0xffc809ff,0x3fea003f,
    0x3fff61ff,0x3fee0001,0x3fe0000f,0x3ffd405f,0x0007ff98,0x013ffea0,
    0x05fff980,0x1fffd000,0x1bfffa00,0x35fffb00,0x1fffd001,0x07fff400,
    0x009fff50,0xff987f80,0x82fd801f,0xfb999999,0x99999dff,0x5fffa809,
    0xff500000,0x0fffeadf,0x3ffff200,0xffa80001,0xfff302ff,0x3ffee07f,
    0x7ffc4003,0x66fffe46,0xcccccccc,0x86fffdcc,0x2003fffb,0xa802fffe,
    0x00004fff,0x85ffff10,0xf703fffb,0x7e405fff,0xfd1003ff,0xfffd8bff,
    0x3ff20001,0x3fe0000f,0x37fd405f,0x0007ffa8,0x013ffea0,0x05fff980,
    0x1fffd000,0xffffe980,0x37ff4001,0x03fffa00,0x00fffe80,0x0013ffea,
    0xfff30ff0,0x985fb005,0xffffffff,0xffffffff,0x5fffa84f,0x3fe00000,
    0x0fffd8ff,0x7fffe400,0xff880001,0x7fe405ff,0xfffb81ff,0x7ffc4003,
    0x007fffc6,0x20ffffc0,0x7003fffb,0x5001ffff,0x00009fff,0x09fffd50,
    0x6c07fff7,0xf900ffff,0xfd3007ff,0xffd81fff,0x3f20001f,0x3e0000ff,
    0x7fdc06ff,0x00dff706,0x27ffd400,0xbfff3000,0x3ffa0000,0xfff7100f,
    0xf88009ff,0x7f4004ff,0x3fa000ff,0x3fea00ff,0x3fc0004f,0xfb004ec8,
    0xfffff985,0xffffffff,0xfa84ffff,0x000005ff,0x3feffff2,0x7fe4006f,
    0x900001ff,0x8801ffff,0xfb86ffff,0x7c4003ff,0x3ffe66ff,0xfffb0006,
    0x03fffb89,0x1ffffdc4,0x04fffa80,0x3ffaa000,0xfff706ff,0x7fff4407,
    0x3fffc80e,0x3ffff220,0x1fffd83f,0x1fff2000,0x0dffd000,0xf905ffc8,
    0x540000bf,0x20004fff,0xaaaefff9,0xaaaaaaaa,0x57fffd02,0xfffffb95,
    0xf50007ff,0xfe8003ff,0x3fa000ff,0x655540ff,0xaaaadfff,0xaaaaaaaa,
    0x40001fe0,0x7774c2fd,0xffffeeee,0x83eeeeee,0x0005fffa,0x3fffea00,
    0x32003fff,0xeeeeffff,0xeeeeeeee,0x7ffcc3ee,0xfff5003f,0x3fffb87f,
    0x37ffc400,0x0007fff9,0xf71bffea,0x55555bff,0xbfffff99,0x95555550,
    0x5555dfff,0xbaaa8155,0xfffffedc,0xfff700df,0xffff9807,0xacfffc85,
    0xffffecba,0xffb02fff,0x5555559f,0x6c555555,0x740007ff,0x7fec06ff,
    0x009ff904,0x27ffd400,0xffff3000,0xffffffff,0xfd01ffff,0xffffffff,
    0x005fffff,0x001ffee0,0x8003fffa,0x7fc0fffe,0xffffffff,0xffffffff,
    0x001fe2ff,0x50017ec0,0xa8009fff,0x00005fff,0x7fffffc0,0x3ff6000f,
    0xffffffff,0xffffffff,0x037fff44,0x83ffffa0,0x4003fffb,0x3fe6fff8,
    0xf10000ff,0x7fdc3fff,0xffffffff,0x885fffff,0xffffffff,0xffffffff,
    0x7ffffc2f,0x4fffffff,0x01fffdc0,0x21ffffd4,0xfffffffc,0xffffffff,
    0x3ffff601,0xffffffff,0xffb0ffff,0xffe8000f,0x81fff407,0x00004ffd,
    0x0013ffea,0xffffff98,0xffffffff,0xfffe80ff,0xffffffff,0x360000be,
    0xfe8005ff,0x3fa000ff,0x7fffc0ff,0xffffffff,0xffffffff,0x3fffffe2,
    0xffffffff,0x2fffffff,0x13ffea00,0x0bfff500,0xffc80000,0x6c006fff,
    0xffffffff,0xffffffff,0x3fff24ff,0x7fcc002f,0x3ffee5ff,0x7ffc4003,
    0x00dfff36,0x24fffd80,0xfffffffb,0x1dffffff,0xffffff10,0xffffffff,
    0xfff85fff,0xcfffffff,0x3fffb800,0x3ffff900,0x7fffffe4,0x2effffff,
    0xfffffd80,0xffffffff,0xfffd0fff,0x7ffe8000,0xe817ff40,0x200003ff,
    0x0004fffa,0x3fffffe6,0xffffffff,0xfffe80ff,0x1ccdefff,0x39990000,
    0x1fffd000,0x07fff400,0x3ffffffe,0xffffffff,0x3e2fffff,0xffffffff,
    0xffffffff,0x2002ffff,0x4004fffa,0x0005fffa,0x7fffd400,0x7fec003f,
    0xffffffff,0xffffffff,0x0bffff34,0x3ffff200,0x007fff72,0xf96fff88,
    0xb80007ff,0x3fee6fff,0xdeffffff,0x7fc400bc,0xffffffff,0x2fffffff,
    0x5e6f7ffc,0x7fdc001a,0x3ffa003f,0xffff90ff,0x379bdfff,0x7fffec00,
    0xffffffff,0xffd0ffff,0xffd8000f,0x817ffc07,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54400000,0x54002aaa,0x555511aa,0x55555555,
    0x35555555,0x55555554,0xaaaaaaaa,0x1001aaaa,0x55005555,0xa8800055,
    0x260000aa,0x5402aaaa,0x40002aaa,0x510aaaa8,0x35555555,0x55544003,
    0x009aaaaa,0xaaaaaa80,0xaaaaaaaa,0x0aaaaaaa,0x55555553,0x55555555,
    0x2aa20015,0x0010001a,0x00730040,0x1cc00000,0x05f75cc0,0x01677644,
    0x66ff6dc4,0x2ceeca82,0x37f62000,0x65cc0001,0x03cdefee,0x7ff65d40,
    0x2002bcee,0x2bceecb9,0x00e664c0,0x882ccc88,0x01acccba,0x03fffff5,
    0x553ffe20,0xffffffff,0xffffffff,0xfff13fff,0xffffffff,0xffffffff,
    0xffff7007,0x0dfff00d,0x1fffa800,0xffff1000,0x7fdc01ff,0x360001ff,
    0x3fee6fff,0xffffffff,0x3e201cff,0xffffffff,0xf800ceff,0xffffffff,
    0xffffffff,0xff72ffff,0xffffffff,0x03ffffff,0x00fffe60,0x2000dd30,
    0x5ff983fb,0xb8000000,0x3ff603ff,0x3e62ffff,0x204fffff,0xfffffffd,
    0x3ffff25f,0xfd0004ff,0x88001fff,0xfffffffd,0x403fffff,0xffffffea,
    0x9807ffff,0xfffffffe,0xfff501ef,0x3ffe2007,0x3ffffe65,0x540dffff,
    0x005fffff,0x3ea9fff1,0xffffffff,0xffffffff,0xffff13ff,0xffffffff,
    0x7fffffff,0x7ffffdc0,0x6ffe806f,0x7ffd4000,0xfffb0000,0xfe801fff,
    0xf30006ff,0x7fdc3fff,0xffffffff,0x881dffff,0xffffffff,0x03ffffff,
    0x7ffffffc,0xffffffff,0x72ffffff,0xffffffff,0xffffffff,0x3ffe6003,
    0x3fff2003,0x7ffc4004,0xdffff10e,0x20000001,0xc82ffffc,0xffffffff,
    0xffffff88,0xffff03ff,0xbbffffff,0xffffffff,0xfff98009,0x7c4003ff,
    0xffffffff,0xb05fffff,0xffffffff,0xa80fffff,0xffffffff,0xfa83ffff,
    0xff1003ff,0x7fffd4bf,0x46ffffff,0x0ffffffa,0x54fff880,0xffffffff,
    0xffffffff,0x3fe27fff,0xffffffff,0xffffffff,0xfffea83f,0xd806ffff,
    0x5c0007ff,0xa8000fff,0x0fffffff,0x17fffd40,0x2fffec00,0x3fffffee,
    0xffffffff,0x7ffc41ff,0xffffffff,0x3e04ffff,0xffffffff,0xffffffff,
    0xff72ffff,0xffffffff,0x03ffffff,0x00fffe60,0x01ffffb8,0x517fff60,
    0x003dffff,0x7fec4000,0xfffa84ff,0xcdfffbbe,0xffebbeff,0xabdff80f,
    0xfffffea9,0xfffea9cf,0x3ffe6000,0x7c4002ff,0xbabcdeff,0x43fffffc,
    0xabdffffc,0x07edcaaa,0x2b3ffff2,0xffffeba9,0x01fffd43,0x2a5fff88,
    0xeb989bdf,0x3fea3fff,0x8804ffff,0x33314fff,0x33333333,0xfffb3333,
    0x4cccccc5,0x99999999,0x2a0ffffd,0xfffffffe,0xffd806ff,0x7fdc0007,
    0xfff88007,0x800fffff,0x4006fffe,0x5c0ffffa,0xa9883fff,0x20fffffe,
    0x9886fff8,0x01fffffc,0x09fff500,0x01fffdc0,0xfff30000,0xfffd8007,
    0xfffa8186,0xfffe980e,0x8800002f,0xb02ffffe,0x7fd41dff,0x3e60ffff,
    0x101c83ff,0x989ffffd,0x74003fff,0x4000ffff,0x6c400be8,0x3fe27fff,
    0x201001ff,0x202ffff9,0x2a0ffffc,0xf1003fff,0x22004bff,0x3fea5fff,
    0x400fffff,0x0004fff8,0x006fff88,0x2ffff980,0x3ffffff6,0x806fffbb,
    0x40007ffc,0xc8007ffb,0xfffeafff,0xffff9800,0x3fffa003,0x03fffb84,
    0x26ffffa8,0x4406fff8,0x0006ffff,0x4009fff5,0x0003fffb,0x0fffe600,
    0x7fffd100,0x79dfffd7,0x4403ffff,0x003ffffd,0x3fffe600,0x5fff101f,
    0x09ffffd0,0x9000dffb,0xfb01ffff,0xfd8800df,0x8000001d,0xf51fffe8,
    0xb00007ff,0xf9003fff,0x7ffd49ff,0xbfff1003,0x26ffd800,0xfffdfffa,
    0x27ffc404,0x7ffe4000,0xffe80002,0x7fffdc5f,0x0dfff70c,0x001fff90,
    0x0037fe40,0x7f57ffe6,0xffb000ff,0xff5001ff,0xfff701ff,0x3ffea007,
    0x0dfff10f,0x00ffff30,0x013ffea0,0x003fffb8,0x3ffe6000,0xfff98003,
    0xffffffff,0x9003ffff,0x0009ffff,0x1dffff50,0x407ffdc0,0xb81ffffc,
    0x5c000fff,0xff705fff,0x0000001f,0xfff90000,0x00ffff25,0x0bfff300,
    0xa9fffe20,0xf1003fff,0x99880bff,0x3ea6ffd9,0x0fffeaff,0x013ffe20,
    0x0dfff100,0xffff7000,0x40cff881,0xb806fffb,0x20000fff,0x74006ffc,
    0xfffd0fff,0x3ffe2001,0xfffe803f,0x07fff703,0x897ffec0,0xff006fff,
    0xf50003ff,0x7dc009ff,0x000003ff,0x000fffe6,0x7fffffdc,0x5fffffff,
    0x7fffdc00,0xff90000e,0xffb00bff,0x3fffea0d,0x00fffa80,0x81fffcc0,
    0x0000fffa,0xa8000000,0xfff53fff,0xffd8000b,0x3ff6001f,0x07fff50f,
    0x217ffe20,0xffffffeb,0x3ffea6ff,0x203fffba,0x0004fff8,0x001fffe4,
    0x0bfffe60,0xfffb80dc,0x1fffb806,0x17ff6000,0x23fffb80,0x2000fffe,
    0x200ffffc,0x2e06fffa,0x32003fff,0xfff14fff,0x3fffa00d,0xfffa8002,
    0x3ffee004,0x26000003,0x10003fff,0x537dffff,0x00bffffb,0x3dffff50,
    0x7ffec400,0xbffd003f,0x41fffe60,0x4001fff9,0xf503fff8,0x000003ff,
    0xff500000,0x3fffe29f,0xffd0001d,0xfffc800f,0x007fff52,0xe897ffe2,
    0xffffffff,0x3ffea6ff,0x207fff8a,0x0004fff8,0x001fffe2,0x017fffa0,
    0x037ffdc0,0x000fffd4,0x200bffb0,0x7f45fff9,0x3e2000ff,0x3fa04fff,
    0x3fee02ff,0x3fea003f,0x0dfff15f,0x007fffe0,0x013ffea0,0x003fffb8,
    0x333332a0,0xcefffdcc,0x04cccccc,0x501dfff9,0x0003ffff,0x05ffffd3,
    0x5ffffd10,0x82fff400,0x999ffff8,0x02fffa99,0x7fff3330,0xff533333,
    0x0000005f,0x4cccc400,0x324fffb9,0x0adfffff,0x01bffe00,0x2a7fff70,
    0xf1003fff,0x7fff4bff,0xffd9999c,0x64bffea6,0xff103fff,0x7e40009f,
    0x5c0003ff,0x0000ffff,0x500dfff7,0x2aa03fff,0x013ffa02,0x3a07fff4,
    0x5c000fff,0xfb80ffff,0x7fdc05ff,0x3fee003f,0x0dfff14f,0x00ffff10,
    0x013ffea0,0x003fffb8,0x3fffff20,0xffffffff,0x87ffffff,0x200ffff8,
    0x0004fffd,0x07ffffb1,0x0f7fffcc,0x413ffe00,0xfffffff8,0x03ffffff,
    0xffffffd7,0xffffffff,0x3e25ffff,0xffffffff,0xffffffff,0x2602ffff,
    0xffffffed,0x6c4fffff,0xdfffffff,0x7fffc402,0xffffffff,0x4fffffff,
    0x2007fff5,0xff35fff8,0x9bff207f,0xff32fffa,0x3ffe20df,0xfff10004,
    0x7cc0001f,0x20002fff,0x9806fffb,0xff882fff,0x09ffd02f,0xd07fff70,
    0xd0001fff,0xff88bfff,0x7fdc01ff,0x3ff2003f,0x0dfff13f,0x00bfffb0,
    0x013ffea0,0x003fffb8,0x3fffff20,0xffffffff,0x87ffffff,0x4c05fffa,
    0x40005fff,0xa84ffffc,0x000dffff,0x3e04fff8,0xffffffff,0x74c3ffff,
    0xffffffff,0xffffffff,0xff12ffff,0xffffffff,0xffffffff,0xfb305fff,
    0xffffffff,0x709fffff,0xffffffff,0xfff5019f,0xffffffff,0xffffffff,
    0x00fffea9,0xfbafffc4,0xffe881ff,0xd8bffea6,0xff882fff,0xff90004f,
    0xfe80007f,0x5c0005ff,0xf8806fff,0xfffa82ff,0x807fff04,0xfd06fff8,
    0xf50001ff,0x7fe43fff,0xfffb804f,0x3fffa003,0x40dfff11,0x00ffffc8,
    0x09fff500,0x01fffdc0,0x99999500,0x9dfffb99,0x09999999,0x8805fff9,
    0x80006fff,0x2e5ffffb,0x0005ffff,0x7c09fff1,0xcccccfff,0x3e21cccc,
    0xeeeeffff,0xeeeeefff,0xf11eeeee,0xffffffff,0xffffffff,0xf985ffff,
    0xeeefffff,0x4fffeeee,0xffffd710,0xf985ffff,0xffffffff,0xffffffff,
    0x7fff54ff,0x57ffe200,0x74c4fffa,0x3fea6fff,0x1bffe62f,0x0013ffe2,
    0x003fffe2,0x0ffffb80,0x7ffdc000,0x3fff8806,0xf07fffd8,0xffd807ff,
    0x1fffd01f,0x3fff6000,0x01ffff15,0x007fff70,0xf89bffee,0xba999eff,
    0x02fffffc,0x13ffea00,0xeefffb80,0xeeeeeeee,0x3e6004ee,0xfd8003ff,
    0xfff801ff,0x7f440007,0x3fa22fff,0xf0002fff,0x3fe209ff,0xffc8007f,
    0x2fff885f,0xaaaaa800,0xaaaaaaaa,0xaaaaaaaa,0x3bfffa20,0x27ffd402,
    0x7fff5c40,0x3fe21fff,0xf500005f,0x3e2007ff,0xffff15ff,0xfffffd9d,
    0x217ffd4d,0x7c41fffe,0xfc8004ff,0x260004ff,0x0002ffff,0x006fffb8,
    0xfff07fff,0x5fff05ff,0x01fffd40,0x0001fffd,0x327fffe6,0xf7003fff,
    0xff5007ff,0x7ffc43ff,0xffffffff,0x40002fff,0x2004fffa,0xfffffffb,
    0xffffffff,0x3ffe6005,0xfffd8003,0x07fff801,0x3fffa600,0xfffd881e,
    0xfff8003f,0x0ffff105,0x01ffff00,0x0007fff1,0xf7000000,0xf5001dff,
    0xd98009ff,0x7fc6ffff,0xf500007f,0x3e2007ff,0x3fff25ff,0xffacffff,
    0x50bffea6,0xff88bfff,0x7fc4004f,0x3a0000ff,0x00005fff,0x200dfff7,
    0x7fd44fff,0x7fc45fff,0xdfff102f,0x00fffe80,0x37fff200,0x2e006fff,
    0xa9883fff,0x444ffffe,0xffffffff,0x000befff,0x04fffa80,0x3ffffee0,
    0xffffffff,0x3e6005ff,0xfc8003ff,0x7fc402ff,0xff50006f,0xfc801dff,
    0x74005fff,0xfff305ff,0x7fc4001f,0x9fff105f,0x00000000,0x005fffb0,
    0x0013ffea,0xd0ffffd4,0x00001fff,0x2009fff5,0x7545fffa,0xdd12deff,
    0x417ffd4b,0x3e21fffe,0x7dc004ff,0x2e0004ff,0x0000ffff,0x00dfff70,
    0xffb13ffa,0x7c41fffd,0xfff901ff,0x0fffe803,0x3ffe2000,0x2002ffff,
    0xfffffffb,0xffffffff,0xfffff885,0x0dffffff,0xfff50000,0x7ffdc009,
    0xaaaaaaad,0x2001aaaa,0x8003fff9,0x4c03fffb,0xb8005fff,0x2005ffff,
    0x00effffb,0x2e0fffb0,0x2002ffff,0xf103fff9,0x00000bff,0xfffd0000,
    0x3ffea001,0x3ff60004,0x0ffff62f,0x3ffe6000,0xffff8804,0xfa800205,
    0xfffa82ff,0x013ffe25,0x00ffff88,0x5ffff100,0x7fdc0000,0xbffd006f,
    0xfff9fff8,0x207ffe62,0xe804fff9,0x40000fff,0x06fffffb,0x7ffffdc0,
    0xffffffff,0xdfff102e,0x0efffd98,0xfffa8000,0x3ffee004,0x26000003,
    0xa8003fff,0x7ec06fff,0x7ec003ff,0x98003fff,0x801effff,0xfc80fffc,
    0x26005fff,0xffb03fff,0x000001ff,0xff000351,0xff7003ff,0x6c0009ff,
    0x3fe62fff,0x440000ff,0x74406fff,0x0005ffff,0x205fff50,0xff11ffff,
    0x7fdc009f,0x3f60004f,0x400005ff,0xb006fffb,0xb7fd4bff,0x3fe65ffe,
    0x06ffe80f,0x001fffd0,0x3ffffd00,0xffffb800,0xdfffffff,0x37ffc403,
    0x005fffc8,0x04fffa80,0x00fffee0,0xfff98000,0xfff88003,0xffff503f,
    0x3ffa2001,0x220002ff,0x402ffffe,0x7c43fff9,0x001fffff,0xf90bfff1,
    0x0009ffff,0x04fffb80,0x027ffec0,0x9fffffb1,0x3ffe2000,0x77ffec0f,
    0x7ffc0001,0xfffd102f,0x20000bff,0xf702fffa,0x3ffe29ff,0xffff1004,
    0x3fee0003,0x400000ff,0xb006fffb,0x9ffe4bff,0xff30fffb,0x1fffc81f,
    0x01fffd00,0xbfff7000,0xbfff7000,0x00135555,0xd037ffc4,0x80005fff,
    0x2004fffa,0x0003fffb,0x0fffe600,0x7fffe400,0xffff731c,0x3ffe6009,
    0x880001ff,0x403ffffd,0xfb12fffe,0x15ffffdf,0xfff0ee62,0x3bff225f,
    0x440cfffe,0x3fe2002a,0x32001fff,0x5cc3ffff,0x4fffffff,0x220337bd,
    0x985fffeb,0x09cfffff,0xfc859530,0xf710bfff,0x2bfffdff,0xffffffff,
    0x9fffffff,0xf102fffa,0xfff11fff,0x3ffee009,0xfff10005,0x7000005f,
    0x3200dfff,0x43ffe6ff,0xff53fff9,0xffffff0f,0xffffffff,0xffffffff,
    0xffa8001f,0xffb8004f,0xf880003f,0x3fea06ff,0x2a0000ff,0x2e004fff,
    0x00003fff,0x00fffe60,0x7ffffd40,0xffffffff,0xffffa804,0x6400000e,
    0x2e05ffff,0xffffffff,0xfffffa8f,0x7e45ffff,0xffffefff,0xefffff98,
    0x2004fffe,0x03fffffa,0x3ffffa20,0xffffffff,0xffd4fff9,0xffffffff,
    0x201dffff,0xfffffffb,0xfffffeef,0x7ffffc42,0x8effffff,0xffff5ffe,
    0xffffffff,0xfff53fff,0x5fffe405,0xf004fff8,0x20003fff,0x0005fffd,
    0x0dfff700,0x7d5fff20,0xaafff46f,0xffff87ff,0xffffffff,0xffffffff,
    0x54000fff,0xb8004fff,0x80003fff,0x7406fff8,0x20003fff,0x2004fffa,
    0x0003fffb,0x06aaa200,0x3fffa200,0xffffffff,0x3f201fff,0x00005fff,
    0x3bfffee0,0xfffff900,0x7ffe45ff,0x445fffff,0xffffffff,0x3ffffea1,
    0x2004ffff,0x02fffff8,0x7ffffcc0,0xf0dfffff,0x3fffa9ff,0xffffffff,
    0x74c00dff,0xffffffff,0xa82fffff,0xffffffff,0x2bffd0df,0xffffffff,
    0x9fffffff,0x2202fffa,0xfff8efff,0x5fffb804,0xffff7000,0x2e000001,
    0xf7006fff,0x70fff2ff,0xdff71fff,0xfffffff0,0xffffffff,0xffffffff,
    0xfffa8001,0xfffb8004,0xff880003,0x7ffd406f,0x3fea0007,0x3fee004f,
    0x0000003f,0x7ffec000,0xefffffee,0x440ffffc,0x003ffffd,0xfff98000,
    0xfff701ef,0xffd707df,0xb105bfff,0x503bffff,0xbffffffb,0xfffb8003,
    0xff910005,0xf85bffff,0xfffd94ff,0xbfffffff,0xfedb8003,0xdfffffff,
    0xfffd100c,0xffe85dff,0xff500005,0xfffc805f,0xf804fffb,0x88001fff,
    0x0002ffff,0x1bffee00,0x7c7ffd40,0x7ffc41ff,0xcc86ffbb,0xcccccccc,
    0xffffcccc,0x8004cccc,0x8004fffa,0x0003fffb,0x806fff88,0x0003fffe,
    0x4009fff5,0x0003fffb,0x2e000000,0x2a626fff,0x17fff61a,0x000bfff6,
    0xffe88000,0x0054400e,0x4004d544,0x2a600198,0x54c0001a,0x53100001,
    0x4cc40001,0x00009aaa,0x0666aa60,0x002aa600,0xffa80000,0x7ffc402f,
    0x5c04fffe,0xb0006fff,0x0000bfff,0x06fffb80,0xff5fff50,0x2fbffa0d,
    0x200005ff,0x0000fffe,0x004fffa8,0x003fffb8,0x06fff880,0x006fffb8,
    0x009fff50,0x001fffdc,0x26666660,0x99999999,0x7cc19999,0xf1001fff,
    0x3fb07fff,0x10000000,0x000001db,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0xfb005fff,0x809fffff,0x8002ffff,0x000ffffa,
    0x7ffdc000,0xbfff3006,0x3fee07ff,0x0005ffdf,0x003fffa0,0x13ffea00,
    0x0fffee00,0x3ffe2000,0xffff8806,0xfffa8002,0x3ffee004,0x7ffc0003,
    0xffffffff,0xffffffff,0x013fff61,0x01ffff70,0x00000001,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf5000000,0xff3005ff,
    0x5c09ffff,0x88006fff,0xeeefffff,0xeeeeeeee,0x33324eee,0xfffecccc,
    0x1ccccccf,0x3fffffe6,0xfffff101,0x7400009f,0x80000fff,0x8004fffa,
    0x0003fffb,0x006fff88,0x000dfff7,0x4009fff5,0xaaadfffb,0xaaaaaaaa,
    0x3ffffe0a,0xffffffff,0x41ffffff,0xe8000ffb,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x8017ffd4,
    0x04fffffd,0x000bfffe,0x3fffffee,0xffffffff,0x3e5fffff,0xffffffff,
    0xffffffff,0x3fffe22f,0x7ffec06f,0x200004ff,0x0000fffe,0x004fffa8,
    0x003fffb8,0x06fff880,0x05ffff10,0x04fffa80,0x3ffffee0,0xffffffff,
    0x3ffe1fff,0xffffffff,0xffffffff,0x10001881,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x5002fffa,
    0x209fffff,0x0006fffb,0xfffffff7,0xffffffff,0x7fcbffff,0xffffffff,
    0xffffffff,0x3ffffe22,0x7fffd404,0x3a00003f,0x80000fff,0x8004fffa,
    0x0003fffb,0x006fff88,0x001bfff2,0x4009fff5,0xfffffffb,0xffffffff,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2fffa800,0x3ffffa00,0x05fffd04,0x3fffee00,
    0xffffffff,0x5fffffff,0x3ffffffe,0xffffffff,0x7ffc2fff,0x7fc401ff,
    0x00003fff,0x0003fffa,0x013ffea0,0x00fffee0,0x1bffe200,0x2ffff880,
    0x13ffea00,0xfffffb80,0xffffffff,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x1bceeeca,0xddb73100,
    0xc9801579,0xefec984c,0x0999303c,0x02f7bae6,0xccccccc8,0xcccccccc,
    0x66665c4c,0x33326000,0x0599911c,0x1ccc9800,0x00099993,0x664b332e,
    0x206f75c4,0x5c0ceec8,0x991004cc,0xccc98999,0x0ccccccc,0x00000000,
    0x03599530,0x4c000000,0x40018000,0x10001eed,0x00000000,0x04000000,
    0x7ffe4400,0x00000001,0x55400011,0x3bba000a,0xeeeeeeee,0xeeeeeeee,
    0xffffb801,0x0fffffff,0x3ffffee0,0x202effff,0xfb10fffa,0x3dffffff,
    0x2a0fffb8,0xffffffff,0xffffff02,0xffffffff,0x7fcc1fff,0xfd1005ff,
    0x5fff8bff,0x7ffdc000,0x05ffff12,0x23ffff00,0x3fffa7ff,0xfffd10ff,
    0x3fff41df,0x7ffff440,0x7ffffd41,0x001fffff,0x04fff980,0x3fffea00,
    0x2001efff,0xacefdca8,0x00ef9800,0xe800fee0,0xec9800ff,0x0befffff,
    0x7fff6540,0x0fee002d,0x6c883d90,0x1002f540,0x03fffff9,0x6f7ee540,
    0x3ff6001c,0x7fdc001f,0x3ffe004f,0xffffffff,0xffffffff,0x3fffa201,
    0xffffffff,0xfffd880f,0xffffffff,0x1fff504f,0xfffffff3,0x7dc1ffff,
    0xffff50ff,0x05ffffff,0xffffffff,0xffffffff,0xffffb81f,0xffffc802,
    0x0037ff40,0xd83fff20,0x54005fff,0x3ffe6fff,0xffffffc8,0xffffffb3,
    0x203fff47,0x81ffffe8,0xfffffffa,0x80001fff,0x0004fff9,0xfffffffb,
    0xf5005fff,0xffffffff,0x77ffcc09,0x3fffb800,0x001ffb00,0xfffffff7,
    0xfb103fff,0xdfffffff,0x6fff8801,0x267fff50,0xff704fff,0xffc8805f,
    0x801fffff,0xffffffd8,0xffb804ff,0xf1001fff,0x2003ffff,0xffffffff,
    0xffffffff,0xff501fff,0x979bffff,0xf881fffb,0xbaceffff,0x85fffffd,
    0xfffafffa,0xfffdbbcf,0x23ffee4f,0xcacefffb,0xee86ffff,0xeeeeeeee,
    0x07ffffee,0x401ffffb,0xd81ffff9,0x6c0007ff,0x7ffd47ff,0x3ff6000f,
    0x3e7ffe3f,0xadffeadf,0x6fffacff,0xe881fffa,0x9301ffff,0xffd99999,
    0xf300003f,0xf70009ff,0xfb759fff,0x36201fff,0xdbabdfff,0xf981effe,
    0x2e00efff,0x8042ffff,0xff7007fd,0xffffffff,0xfffff88f,0x06ffffff,
    0x4417ffec,0x3f60ffff,0xfff881ff,0xffff700f,0x803fffff,0xfffffff9,
    0x6c05ffff,0x005fffff,0x0dfffffb,0x2aaaaaa0,0xaaaaaaaa,0x880aaaaa,
    0x403fffff,0x7ffec0da,0xfffb101f,0xffffa83f,0xffb80eff,0xbfff70ff,
    0xff107fff,0x4c0005ff,0xf102ffff,0x3a20bfff,0xff903fff,0x7f40001f,
    0x2fffe86f,0x1ffff100,0x52ff7ffc,0x5c9fddff,0x1fffa7ff,0x01ffffd8,
    0x03fffb00,0x9fff3000,0xefff8800,0x04fffc80,0x5c01bffd,0xff981fff,
    0xffb80eff,0x41fcc2ff,0x23e987fc,0xf73099ba,0xffb83fff,0xfffebabd,
    0x9fff502f,0x10bfff60,0xf501dfff,0x3fee0bff,0x1fffdbff,0x8e7fff40,
    0x02ffffa9,0x1ffffff2,0x3e7bfe60,0x000003ff,0xefffc800,0xfff30001,
    0xfff9001d,0xfffffa8d,0x97fff405,0x1ffffffb,0x017ffee0,0x27fff440,
    0x0ffffe60,0xb817fff2,0x20001fff,0xffb85fff,0xfff7005f,0x0fffff89,
    0x83ffffe6,0xffd0fffa,0x3ffff60f,0x3ff60001,0xf980001f,0x7dc004ff,
    0x3ffa01ff,0x992ffc87,0x7fcc1599,0xdffff306,0x17fffdc1,0xf906fff4,
    0x00fffc8d,0x705fffb0,0x13fffa03,0x203fffe2,0xf504fffa,0x3ff609ff,
    0x23ff882f,0x2e01fffc,0xff102fff,0x7ffcc0ff,0x7f400fff,0x01fff92f,
    0x4c000000,0x0002ffff,0x400bfffa,0x2a2ffff8,0xb805ffff,0xfff73fff,
    0xff8803ff,0xffb0006f,0x3ff200bf,0x3ffea0ff,0x3ffe600f,0x201fff02,
    0xff884fff,0xffe800ff,0x27fffc1f,0x50ffffe2,0x3ffa3fff,0x1ffffd87,
    0x7ffec000,0xff980001,0x7fec004f,0x07ffe406,0x3fe29ff3,0xf50effff,
    0x3ffe609f,0xffffb8ef,0xffffd882,0x3fa6df73,0xfb001fff,0xfb8001ff,
    0xfffc85ff,0x06fff882,0x4417ffe4,0x90306fff,0x7ec03fff,0x7ffdc06f,
    0x3ffff200,0x9bfea00f,0x0004fff8,0x3ff60000,0x3e60005f,0x7dc006ff,
    0x3ffea4ff,0xfff9800e,0x05ffff74,0x001bffe0,0x003fffee,0xd15fffe8,
    0xf8803fff,0xfff983ff,0x03fff883,0x9807fffb,0xfff86fff,0x37ffc40f,
    0xfe8fffd4,0x7fffec7f,0xffd80001,0xf980001f,0x7f4004ff,0x7ffdc05f,
    0x7c43bfa1,0x23ffcaaf,0xff300ffd,0x5ffffdff,0xdfffd980,0xffffcefc,
    0x3ffea003,0xfffb8005,0x82fffcc4,0xe801fffd,0xffa80fff,0xfff9004f,
    0x027ffc03,0xf00bffe6,0xff80ffff,0x0fffdc2f,0xe8000000,0x20001fff,
    0x4003fffa,0x3ea5fff9,0xff3003ff,0x13ffeebf,0x007fff80,0x00ffffcc,
    0x2ffffe20,0xf003fffc,0xfff909ff,0x05fff30d,0x901bffea,0xfff07fff,
    0x07fff10b,0x3fa3fff5,0x3ffff67f,0xffb00001,0xf300003f,0xff8009ff,
    0x7ffd405f,0xff88ffe1,0xff993f60,0x3fffe602,0x26002fff,0xfffffffd,
    0x7664403f,0x000dfffe,0x217fffc4,0xfb80fffe,0xff3003ff,0x3fff60bf,
    0x1fffc801,0x807fff10,0x7403fff8,0x3ee05fff,0x0dffd05f,0x7ffffffc,
    0xffffffff,0x7fc1ffff,0x7e40007f,0xff8002ff,0x0fffea6f,0xbafffc40,
    0x00003fff,0x3ffff880,0xffff5000,0x7400bfff,0xfffe85ff,0x0fffd41f,
    0x403ffff0,0xff80ffff,0x2fff884f,0xfd1fffa8,0x3ffff6ff,0x3f600000,
    0x980001ff,0x74004fff,0x7fdc06ff,0x443ff30f,0xf0bfa0ff,0xfff9807f,
    0xd30002ff,0x2007ffff,0xfffffff8,0x7ff44001,0x1fffe46f,0x002fffc4,
    0x220bffee,0xfc806fff,0xfff101ff,0x1fffb807,0x81ffffc0,0xf301fff8,
    0x3ffe07ff,0xffffffff,0xffffffff,0x01bffe61,0x03fffb00,0x54ffff00,
    0xf1003fff,0x3ffeebff,0xd8000003,0x40005fff,0x0ffffffc,0x31bff600,
    0xb87fffff,0x7fe407ff,0xbfff504f,0x2213ffe0,0xffa82fff,0xfbfffd1f,
    0x00001fff,0x401fffd8,0xfffffff8,0xffffffff,0x22ffffff,0x7ec07ffd,
    0x883fee7f,0x0efecbff,0x3ee02ff4,0x000effff,0x7ffffecc,0xfff8802d,
    0x00dfffff,0x1ffffe88,0xe827ffd4,0x36000fff,0xffa80fff,0xfffc804f,
    0x017ffe01,0x5401fffb,0xfb00efff,0xfffd80bf,0xffffff80,0xffffffff,
    0x2a1fffff,0x40005fff,0x8000fffe,0xff50fffe,0x3fe2007f,0x07fff75f,
    0xffc80000,0xe80000ef,0x4002ffff,0x7fe47ffc,0x7fe46ffe,0x3fffcc06,
    0xf02fffd8,0xfff109ff,0x23fff505,0xfffbfffe,0x6c00002f,0x7c401fff,
    0xffffffff,0xffffffff,0x3f22ffff,0xfff303ff,0x3e23fdc9,0xfb04ffff,
    0x7fffdc0d,0x9800efff,0xfffefffd,0x4cc02eff,0x5ffffcaa,0x7ffffcc0,
    0x03fffb01,0x200bfff3,0xf883fffb,0xfc800fff,0x3ff601ff,0xdfff101f,
    0x17fffd40,0x400fff98,0xaa84fff8,0xaaaaaaaa,0xaaaaaaaa,0x17ffea0a,
    0x1fffd000,0x1fffd000,0x400fffea,0xff75fff8,0x4000007f,0x001ffffa,
    0xfffffa80,0x7ffdc004,0x3fe7ffa0,0x017ff61f,0xf10bfffa,0x7ffc0fff,
    0x82fff884,0xffd1fffa,0x07ffff2f,0xfffd8000,0x7fffc401,0xffffffff,
    0xffffffff,0x3fffe22f,0xffff510b,0xf10ffd41,0xd03ff95f,0x3ffee09f,
    0x0effffbf,0x3dfffb30,0xfffb1df7,0x7fcc005d,0xfff700ff,0x7fc401df,
    0x7fff706f,0x05fff980,0x2005fff9,0x2601fffc,0x510bffff,0x5cc3ffff,
    0x04fffffc,0x64013ffa,0x00001fff,0x0dfff300,0x1fffd800,0x27fff800,
    0x1003fffa,0x3feebfff,0x1000003f,0x0005ffff,0xffffff10,0x7fd4007f,
    0x3adff31f,0x13ffa4ff,0x517ffea0,0x7fc09fff,0x2fff884f,0xfd1fffa8,
    0x7fffecff,0xffb00001,0x5555003f,0xfff95555,0x5555555b,0xffffb815,
    0x3fffffff,0xff117fc4,0xff11bf21,0x5ffff707,0x03bfffe6,0x649ffff1,
    0x3fffee6f,0x3fffa002,0x5ffffd81,0x09fff700,0xe807fffa,0xff980fff,
    0x3ff2005f,0x7ffe401f,0xffffffff,0x7ffffe43,0x3ffea02f,0xdfff1000,
    0x22000000,0x40007fff,0x4002fffc,0x3ea5fff8,0xff1003ff,0x0fffeebf,
    0x7ff40000,0xfd00004f,0x3ffffbff,0x4bffe200,0xfff73ffb,0xf801fffc,
    0x3ff60fff,0x13ffe00f,0x2a0bffe2,0xfffd1fff,0x00efffe8,0x1fffd800,
    0xfff98000,0xfff70004,0x05ffffff,0x0ff893fe,0x7fd43ff3,0x17fffdc1,
    0x03bfffe6,0x7fc83df9,0x5002fec4,0x7441ffff,0x4002ffff,0xf881fffd,
    0xfff906ff,0x03fffa07,0x7f555554,0x81aaabff,0xfffffffb,0xfffc82ff,
    0x7ffc00cf,0x7ffd4003,0xf0000003,0x40003fff,0x4004fffb,0x3ea4fffa,
    0xff1003ff,0x0fffeebf,0x3ff20000,0xf900006f,0x3fff2dff,0x7fff000e,
    0x7fc47ffa,0x02fff89f,0x227fff90,0x7fc05fff,0x2fff884f,0xfd1fffa8,
    0xfffe88ff,0x7ec0000e,0x980001ff,0x20004fff,0xcdfffed8,0x447ff200,
    0x457f60ff,0x7ffdc6ff,0xffff302f,0xfd81c41d,0x204c3707,0x6ffffb98,
    0x37ffffe6,0x3ccccccc,0x706fff88,0xff989fff,0x7fff905f,0x7fffffc0,
    0x5fffffff,0xbdfdb910,0x02aea017,0x00000000,0xffb00000,0x7cc000bf,
    0x3a000fff,0x3fea2fff,0xfff1003f,0x00fffeeb,0xffff7000,0xff500001,
    0x7fff43ff,0x19ffd005,0xcffd8dff,0x3001fff9,0x3feedfff,0x27ffc02f,
    0x5417ffc4,0xfffd1fff,0x1dffff30,0x7ffec000,0xff980001,0x0200004f,
    0x3e2dfd00,0x327fea0f,0x3ffe61ff,0x7ffcc02f,0x0ffb005f,0x3fffffa0,
    0x21ffffff,0xfffffffb,0x06ffffff,0x3607fff7,0xfff12fff,0xdfff301f,
    0xffffff80,0x5fffffff,0x00000000,0x00000000,0x3ffea000,0x3fa0002f,
    0xff5004ff,0x3fffa8df,0x2bfff100,0x0003fffb,0x0bfffe60,0x3ffe6000,
    0x7fffcc3f,0xbdffd804,0x7ffdc3ff,0x74007ffa,0x7ffe8fff,0x884fff80,
    0xffa82fff,0x20fffd1f,0x005ffff9,0x007fff60,0x13ffe600,0x98000000,
    0x6c401eff,0x2ffd84ff,0x01dff300,0x2003ffa0,0xfffffffe,0x7fdc1eff,
    0xffffffff,0x3fa06fff,0x3dff104f,0x540bff62,0x77401fff,0xeeeeeeee,
    0x00004eee,0x00000000,0x40000000,0x003ffffd,0x3ffff983,0x0ffffd40,
    0x400fffea,0xff75fff8,0x2200007f,0x0003fffe,0x05fffe88,0x805ffff7,
    0x1ffeeffc,0x7fefffc4,0x7ffdc007,0xf804fffc,0xfff884ff,0xd1fffa82,
    0x7fd40fff,0xfb0005ff,0x300003ff,0x00009fff,0xfffb8000,0x7ffd441b,
    0x3000b605,0x7ff4001d,0xffffd800,0xd502deff,0xdddddddd,0x4c09dddd,
    0x9815400c,0x001dc403,0x00000000,0x00000000,0x88000000,0x9befffff,
    0x81fd7530,0x09dffffd,0xbffff951,0x007fff50,0x7dd7ffe2,0xb00003ff,
    0x5555ffff,0x55555555,0x1ffffb05,0x07fffec0,0xdfffff70,0x3fffff60,
    0x7ffc4005,0xf801ffff,0xfff884ff,0xd1fffa82,0xffb80fff,0x333304ff,
    0x5fffb333,0x00333333,0x0027ffcc,0x3ffffffe,0xffffffff,0xffffd301,
    0x07fffffd,0x20000000,0x22000aaa,0x00000099,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff5000,0xffffffff,0xffe881ff,0xffffffff,
    0xfa80dfff,0xff1003ff,0x0fffeebf,0x3ffe6000,0xffffffff,0x46ffffff,
    0x402ffffb,0x206ffff8,0x03fffffa,0x09fffff5,0xfffff900,0x13ffe00d,
    0x2a0bffe2,0xfffd1fff,0x9ffff900,0xffffff88,0xffffffff,0x26007fff,
    0x7c004fff,0xffffffff,0x01ffffff,0x7fffff64,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffff62,
    0x0fffffff,0xffffff90,0x407fffff,0x1003fffa,0x3feebfff,0xfa80003f,
    0xffffffff,0xffffffff,0x17fffe66,0x2ffffd40,0x1fffff88,0x7fffff10,
    0xffff3000,0x3ffe005f,0x82fff884,0xffd1fffa,0x3fff600f,0x3fffe23f,
    0xffffffff,0x007fffff,0x0013ffe6,0xffffffff,0x3fffffff,0x02aa6200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x95000000,0xdffffffd,0xfed98059,0x00ceffff,0x801fffd4,0xff75fff8,
    0xf500007f,0xffffffff,0xffffffff,0x3bfffe2d,0x3fff2000,0xdffff03f,
    0x2ffffd80,0xffffd000,0x427ffc00,0xfa82fff8,0x0fffd1ff,0x3ffffa20,
    0xffffff12,0xffffffff,0x4400ffff,0x00002ccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0x26200019,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffa8,0xffffffff,0xdd16ffff,0xeeea89dd,
    0xeb80002e,0x4400ceee,0x00dcc02b,0x0073bb2e,0xeeeeb800,0x44000005,
    0xcccccccc,0x1a982ccc,0x11111110,0x00111111,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffea0,0xffffffff,0xf16fffff,0xffa8bfff,
    0x5c0002ff,0x8805ffff,0xff705fff,0xfffd107f,0xb801bfff,0x3fee03cc,
    0xfeb805ff,0xfff3002e,0xffffffff,0x0efffd87,0x7ffffffc,0xf2ffffff,
    0xffffffff,0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea00000,0xffffffff,0xffffffff,0x9ffff16f,0x02ffffa8,0x3fffee00,
    0xffff9003,0x8dffff03,0xfffffff8,0x3fe00eff,0x7ff4c05f,0x3ffee05f,
    0xff9802ff,0xffffffff,0x3fffee3f,0x7ffffc6f,0xffffffff,0xfffffff2,
    0xffffffff,0xffffffff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xaaaaaaa8,0xaaaaaaaa,0x3ffe6fff,0x7fffcc4f,0xfff70001,0x7fe4003d,
    0xffff81ff,0x6ffffdc6,0x80effffe,0x8804fff8,0xff05fffd,0x100fffff,
    0x55555555,0x7ff43555,0x3fe1ffff,0xffffffff,0xffff2fff,0xffffffff,
    0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e000000,
    0x3fffe6ff,0x0ffffcc3,0x6fffdc00,0x7ffc4000,0x85fff705,0x3ea1efff,
    0x7d41efff,0x3ee003ff,0x7ffcc5ff,0x0000ffff,0x3ffffe00,0x333322ff,
    0xcccccccc,0x3333331c,0x33333333,0x33333333,0x00000333,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x37ffc000,0xf887fffd,0x44000fff,0x20003ccc,
    0x0d4c02a8,0x220fffe6,0xdacfffff,0x98007fff,0x3fe22ccc,0x0007ffff,
    0x7ffff400,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff800000,0x0bfffa6f,0x001ffff1,0x00000000,0x817ffd40,0xffffffe8,
    0x00003fff,0x4fffffd8,0x7cc00000,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fecdfff,0x0ffff82f,0x00000000,
    0x3ffee000,0x3fffa200,0x0004ffff,0xbfffb100,0x30000001,0x00007dfb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x3ff66fff,
    0x07fff81f,0x00000000,0xfb800000,0x0003efff,0x001a9800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7e4dfff0,
    0x7fff81ff,0x00000000,0x20000000,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd7000000,0xbddb01dd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_46_latin_ext_x[560]={ 0,9,5,0,2,0,1,10,6,5,3,1,5,5,
8,2,1,3,3,3,0,3,2,2,2,2,9,5,3,2,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
5,1,2,1,3,1,3,2,1,2,0,1,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,4,3,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,2,1,1,
10,3,0,0,5,3,2,5,2,0,4,2,5,6,0,3,2,8,9,5,4,3,0,0,0,4,0,0,0,0,
0,0,-1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,4,4,0,0,5,
3,-6,-4,4,2,1,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,4,0,0,1,1,0,-5,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_46_latin_ext_y[560]={ 34,2,2,4,0,1,2,2,0,0,2,10,26,19,
26,2,4,4,4,4,4,4,4,4,4,4,11,11,9,16,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,39,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,11,11,11,11,11,11,1,-3,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,11,0,4,5,4,
-3,1,2,4,4,12,20,19,1,3,1,6,1,1,2,11,2,17,34,2,4,12,1,1,1,11,-4,-4,-4,-4,
-4,-6,4,4,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,12,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,2,2,0,11,11,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,6,2,2,2,2,2,2,2,
-3,3,-4,2,4,11,-4,2,-4,2,-4,2,-4,2,-4,1,4,2,-3,3,-4,2,-4,2,4,11,-4,2,-4,2,
-4,2,-4,2,4,1,-4,-5,4,2,-4,2,-3,3,-4,2,4,1,-4,11,4,2,-4,2,4,2,11,-4,-5,4,
2,1,1,4,2,4,2,-4,2,4,11,-4,2,-2,4,11,-3,3,-4,2,-4,2,4,11,-4,2,4,11,-4,2,
-4,2,-4,2,4,11,-4,2,4,4,-4,1,4,4,-4,2,-3,3,-4,2,-6,0,-4,2,4,11,-4,2,-4,2,
-4,-4,2,-4,2,-4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-10,-6,-4,2,-4,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_46_latin_ext_w[560]={ 0,7,15,25,21,25,25,6,14,14,19,23,12,15,
9,20,23,20,20,20,25,19,21,21,21,21,8,12,18,21,19,15,25,26,20,21,22,18,18,22,21,19,16,21,
18,24,21,24,20,25,21,21,23,21,26,24,25,26,21,12,20,12,21,26,16,20,20,19,20,21,24,22,19,19,
18,20,19,22,19,22,20,20,20,18,21,19,23,25,23,23,19,18,5,17,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,19,21,23,24,
5,20,21,26,16,19,20,15,21,19,17,21,15,14,22,22,21,9,7,15,17,20,25,25,25,15,26,26,26,26,
26,26,26,21,22,22,22,22,22,22,22,22,24,23,25,25,25,25,25,19,24,23,23,23,23,26,20,20,22,22,
22,22,22,22,25,19,23,23,23,23,22,22,22,22,21,22,24,24,24,24,24,23,22,22,22,22,22,24,20,24,
26,22,26,22,26,21,22,23,22,22,22,22,22,21,25,29,24,24,22,23,22,23,22,23,19,21,22,23,22,24,
22,24,22,24,22,24,23,22,25,22,22,22,22,22,22,22,20,21,22,19,21,21,20,20,21,20,20,23,22,18,
19,29,29,22,27,22,19,23,22,21,19,23,22,23,21,19,25,24,25,24,26,25,25,25,25,24,21,20,25,24,
23,22,23,22,21,18,23,22,23,21,24,29,23,21,23,22,23,22,23,22,23,22,26,25,21,20,25,25,26,24,
26,23,22,23,22,23,22,18,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,26,22,26,25,28,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,21,18,23,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_46_latin_ext_h[560]={ 0,33,11,30,40,34,33,11,44,44,20,23,16,5,
9,37,31,30,30,31,30,31,31,30,31,30,24,31,26,12,26,33,43,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,39,30,31,30,31,30,30,30,30,30,43,37,43,15,5,10,24,33,24,33,24,33,33,32,33,
43,32,32,23,23,24,33,33,23,24,31,24,23,23,23,33,23,43,47,43,10,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,33,40,30,28,30,
47,39,10,31,22,19,11,5,22,9,17,28,19,20,10,33,38,9,7,18,22,19,33,33,33,33,38,38,38,38,
38,40,30,37,38,38,38,38,38,38,38,38,30,38,39,39,39,39,39,20,40,39,39,39,39,38,30,34,33,33,
33,33,33,35,24,30,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,24,33,33,33,33,33,42,42,42,
37,32,38,33,39,32,39,33,39,33,39,33,39,33,38,34,30,33,37,32,38,33,38,33,39,32,38,33,39,42,
39,42,39,42,40,43,38,39,30,32,38,32,37,31,38,32,39,42,38,23,31,42,39,42,40,42,23,38,39,40,
42,33,33,30,32,30,32,38,32,40,33,38,32,36,40,33,38,32,39,33,39,33,31,24,38,32,40,33,38,32,
39,33,39,33,37,30,39,33,40,40,38,34,30,31,39,33,38,32,39,33,41,35,39,33,39,32,38,32,38,42,
38,38,32,38,32,38,32,33,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,38,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,44,41,38,33,43,37,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,40,33,40,40,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30, };
static unsigned short stb__consolas_46_latin_ext_s[560]={ 509,499,22,484,70,409,1,505,55,40,327,
243,453,164,124,288,257,67,236,143,113,123,101,23,164,373,502,49,318,488,298,
164,206,305,332,79,417,233,190,1,283,353,62,395,440,459,1,24,166,71,187,
213,209,235,209,88,257,139,45,193,267,161,466,180,107,413,432,1,61,453,27,
453,351,390,70,371,123,179,44,21,204,186,64,434,374,475,155,129,105,189,85,
174,7,118,83,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,509,82,210,
119,274,165,1,25,61,186,495,378,1,164,285,134,435,252,362,347,38,117,340,
154,502,419,267,398,226,97,476,308,373,144,218,426,219,92,463,123,120,48,25,
476,362,245,453,195,415,171,432,382,165,93,479,307,271,47,314,408,241,192,490,
465,344,321,298,275,252,356,363,73,162,138,114,90,439,211,234,188,488,76,440,
415,390,365,340,389,317,294,271,248,225,279,354,396,145,257,73,70,457,54,142,
1,191,486,24,143,338,410,24,435,48,25,244,99,1,93,100,140,413,143,50,
180,291,421,1,232,97,304,119,136,273,119,93,303,169,280,194,281,71,396,361,
466,487,223,304,257,458,488,249,375,202,268,70,230,446,1,31,440,1,25,419,
120,373,318,50,292,165,309,188,123,461,326,265,213,214,238,348,337,94,485,166,
287,400,29,484,350,433,166,172,396,1,465,142,296,436,379,1,326,362,264,322,
415,46,367,24,333,386,324,340,464,143,438,385,329,246,316,485,412,392,1,462,
78,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,297,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,13,1,346,52,89,217,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,48,207,142,296,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141, };
static unsigned short stb__consolas_46_latin_ext_t[560]={ 1,170,503,416,49,210,317,91,1,1,478,
478,478,503,503,210,384,447,416,384,447,384,384,447,384,416,283,384,447,478,447,
249,1,416,416,384,416,447,416,384,416,416,384,416,416,416,447,384,447,131,447,
384,447,384,416,447,416,447,447,1,210,1,478,503,503,447,283,478,283,447,317,
283,351,283,1,351,351,478,478,478,249,283,478,447,384,447,478,478,478,317,478,
1,1,1,503,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,1,283,49,
416,447,416,1,91,503,384,447,478,503,503,478,503,478,447,478,478,503,249,131,
503,308,478,478,478,283,317,283,317,170,131,131,170,170,49,384,210,170,171,171,
170,131,131,170,131,384,131,91,91,91,91,91,478,49,131,91,91,91,170,384,
210,283,283,283,283,283,210,447,416,283,283,283,283,317,351,351,351,249,351,249,
249,249,249,249,447,249,249,249,249,249,1,1,1,210,351,210,249,49,351,91,
249,91,210,131,317,91,283,210,210,416,249,210,351,210,249,210,249,49,351,210,
249,91,1,131,1,131,1,49,1,170,91,416,351,170,351,210,384,171,317,91,
1,131,478,384,1,91,1,49,1,478,131,91,49,1,283,283,384,351,416,317,
131,317,49,249,131,351,210,49,317,131,351,91,317,91,317,384,447,171,317,49,
317,170,351,49,317,49,317,210,384,91,249,49,49,131,210,416,384,49,317,170,
351,91,283,49,210,49,317,49,351,170,351,131,1,170,131,351,131,351,171,317,
317,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,170,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,1,49,170,317,1,210,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,49,283,49,49,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416, };
static unsigned short stb__consolas_46_latin_ext_a[560]={ 405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_46_latin_ext(stb_fontchar font[STB_FONT_consolas_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_46_latin_ext_s[i] + stb__consolas_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_46_latin_ext_t[i] + stb__consolas_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_46_latin_ext_x[i];
            font[i].y0 = stb__consolas_46_latin_ext_y[i];
            font[i].x1 = stb__consolas_46_latin_ext_x[i] + stb__consolas_46_latin_ext_w[i];
            font[i].y1 = stb__consolas_46_latin_ext_y[i] + stb__consolas_46_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_46_latin_ext_s[i] + stb__consolas_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_46_latin_ext_t[i] + stb__consolas_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_46_latin_ext_x[i] + stb__consolas_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_46_latin_ext_y[i] + stb__consolas_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_46_latin_ext_LINE_SPACING
#endif

