// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT        559
#define STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_48_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_48_latin_ext_LINE_SPACING          32

static unsigned int stb__consolas_48_latin_ext_pixels[]={
    0x554c5553,0x3aa00002,0x0000deee,0x000aaa60,0x3bb62000,0x200003ee,
    0x0001902a,0x00001333,0x01331000,0x00a98000,0x02662000,0x00000ccc,
    0x00000062,0x4c000a98,0xffffffff,0xbdf91fff,0x44000179,0x09880019,
    0x4cc40000,0x44000199,0x4c400099,0x00000099,0x40099880,0xfffffffe,
    0x20004fff,0x540000a9,0x4cc7fecb,0x99999999,0x99998800,0xb0fffd80,
    0x00001fff,0x009ffff5,0x09ffd000,0xfe880000,0x00003fff,0xbfb0bfea,
    0x6fff9800,0x44000000,0x0003ffff,0x02fffe88,0x0bff7000,0x0000dff5,
    0x000fffec,0x7ff64400,0x9802ceff,0xffffffff,0xfff91fff,0x50009fff,
    0x2001dfff,0x0005fffb,0x7fffff30,0x7ffc4000,0x3ff6003f,0x0000002f,
    0x01ffffc4,0xfffffffd,0x10009fff,0x0005fffd,0xffffffd5,0x7fffffc4,
    0xa806ffff,0xfd84ffff,0x1fffb0ff,0xfffb8000,0x9800002f,0x00002fff,
    0x3bfffa20,0x3e600001,0xfff90fff,0x7ffcc00b,0x20000006,0x3ffffff8,
    0x7ffec000,0xa80000ff,0x7fec0fff,0xff900005,0x80000fff,0xfffffffb,
    0x7cc05fff,0xffffffff,0xffff91ff,0x2001dfff,0x04fffff8,0x3fffff98,
    0x7ffcc000,0x220001ff,0x03ffffff,0x005fffb0,0x7fc40000,0xfd03ffff,
    0xffffffff,0xff90009f,0x64001fff,0x7fffffff,0x3fffffe2,0x9806ffff,
    0xfd84ffff,0x1fffb0ff,0x7ffdc000,0x9000000d,0x00000fff,0x32ffff44,
    0x26000799,0x3e23ffff,0xf3004fff,0x00000dff,0x3ffffe20,0x20003fff,
    0x02ffffff,0xffff8800,0x02ffffcd,0xffffd000,0xb100003f,0xd99dffff,
    0x440bffff,0xdaaaaaaa,0x95531fff,0x009ffffd,0x1fffffea,0x3fffff20,
    0x3fe60006,0x20000dff,0xfffffff8,0xfffd803f,0x10000002,0xffffffff,
    0x55fffd07,0x00355555,0x5ffffff0,0x3fffe600,0x3e22abcf,0xffffffff,
    0xfff9806f,0x0fffd83f,0x0001fffb,0x000fbbaa,0x0bfff000,0x3fa20000,
    0x27fec2ff,0x7fffc400,0x4ffff984,0x06fff980,0xff880000,0xfffe89ff,
    0xfffd0003,0x200003ff,0xfffffffa,0x3600005f,0x000fffff,0x67fff440,
    0xefffb880,0xfffc8000,0x3fffee01,0xffffa801,0xfffc807f,0xf30005ff,
    0x80007fff,0xe89ffff8,0x7ec03fff,0x000002ff,0x89ffff88,0x7f43fffe,
    0xe800007f,0x001fffff,0x801bfffd,0xfa999999,0xff9806ff,0xfffd83ff,
    0x001fffb0,0x00000000,0x0007fff5,0x02666200,0x1000bffe,0x540bfffd,
    0x4c02ffff,0x00006fff,0x077ffcc0,0x000ffff6,0x01bfffee,0xfffd5000,
    0x800009ff,0x005ffffa,0x03fffd80,0x004fffb8,0x401fffc8,0x8804fffd,
    0x804fffff,0x03fffff9,0x1ffff980,0x7ffcc000,0x1fffec0e,0x005fffb0,
    0xfff98000,0x1fffec0e,0x0000fffd,0x0dffff70,0x03fffe60,0x6fff9800,
    0x3ffff980,0xfb0fffd8,0xea8001ff,0x0000cfff,0x03fff600,0x54000000,
    0x64000fff,0xfc806fff,0x3e600fff,0x000006ff,0xb806665c,0xb8001ccc,
    0x00000dfe,0x00157730,0x13baa000,0x3ffee000,0x1fff2002,0x07fff200,
    0x00bfff30,0x0037ffea,0x0027ffdc,0x000cccb8,0x00cccb80,0x36039997,
    0x00002fff,0x806665c0,0xffd1cccb,0x2e00000f,0xf5000dfe,0x980007ff,
    0xf9806fff,0xffd83fff,0x01fffb0f,0x7ffffec0,0x000000ff,0x00009999,
    0x2ffe4000,0x3fffe600,0x9fffb000,0x037ffcc0,0x00000000,0x00000000,
    0x00000000,0xff980000,0xfff8004f,0x7ffe4002,0x06fff801,0x980004c0,
    0x00000000,0x6c000000,0x00002fff,0x7f400000,0x0000007f,0x17ffdc00,
    0x3ffe6000,0xffff8806,0xb0fffd83,0x2e001fff,0xffc9adff,0x00000006,
    0xcb980000,0x3fffeffe,0x1ffff400,0x3ffff300,0x01bffe60,0x00000000,
    0x00000000,0x00000000,0x7ff40000,0xbff90006,0x1fffc800,0x007ffe80,
    0x00000000,0x00000000,0x17ffec00,0x00000000,0x001fffa0,0xf9000000,
    0x980003ff,0xf8806fff,0xffd82fff,0x01fffb0f,0xfd03ff60,0x0000000f,
    0x7f440000,0xffffffff,0x3fea003f,0xffc8006f,0xdfff306f,0x00000000,
    0x00000000,0x00000000,0xf3000000,0x2a0003ff,0x32000fff,0xfe801fff,
    0x0000007f,0x00000000,0x6c000000,0x00002fff,0x7f400000,0x0000007f,
    0x0fffe400,0x3ffe6000,0xffff8806,0xb0fffd82,0x36001fff,0x03ff40ff,
    0x00000000,0xfffffa80,0xffffffff,0xffff8803,0xfff88002,0x6fff983f,
    0x1bdedb98,0x372a2000,0xcccccefe,0x9911cccc,0x99999999,0x54400007,
    0xcccefedc,0x01cccccc,0xdfdb9510,0x99999999,0x0bffb039,0x02fff800,
    0x007fff20,0x4401fffa,0x26003ccc,0x664c2ccc,0x970000cc,0x6664c599,
    0x9970000c,0x0bfff659,0x66666440,0x99999900,0x99999999,0x03fff459,
    0x99999990,0x99999999,0x3fff2005,0x7fcc0001,0xfff8806f,0x0fffd82f,
    0x2001fffb,0xfb89dffb,0x2200006f,0xccefedca,0x1ccccccc,0xfffff900,
    0xffffb9df,0xffc809ff,0x3ee0005f,0xfff987ff,0x3ffffea5,0x4000efff,
    0xfffffffa,0xffffffff,0xfffff13f,0x00dfffff,0x3fffea00,0xffffffff,
    0xa803ffff,0xffffffff,0xffffffff,0x017ffc43,0x00fff600,0x801fffc8,
    0xf3007ffe,0x7d400dff,0x7ffc44ff,0xff88004f,0x3ffe21ff,0xff88004f,
    0x5fffb1ff,0xfffff100,0x7ffffc03,0xffffffff,0x1fffa5ff,0xffffff80,
    0xffffffff,0xfff9005f,0xff980003,0xfff8806f,0x0fffd82f,0x4001fffb,
    0xfffffffe,0xff500001,0xffffffff,0x07ffffff,0x5dffff70,0x7ffffc41,
    0x3ffa01ff,0x7fc0001f,0x7ffcc1ff,0xffffff95,0x001dffff,0x3ffffffa,
    0xffffffff,0xfff13fff,0xdfffffff,0xfffd0000,0xffffffff,0x07ffffff,
    0xffffffe8,0xffffffff,0x7fe43fff,0x26f2e607,0x9ff90ca8,0x0fffe400,
    0x803fff40,0x2006fff9,0xfc84fffa,0xfb8007ff,0xfffc86ff,0xfffb8007,
    0x00bfff66,0x03fffff1,0xfffffff8,0xffffffff,0x801fffa5,0xffffffff,
    0x5fffffff,0x03fff900,0x6fff9800,0x05ffff00,0x3f61fffb,0x322000ff,
    0x000dffff,0xfffffd00,0xffffffff,0xf007ffff,0xf501dfff,0x0dffffff,
    0x001fffe6,0x313fff20,0xfff9bfff,0xffffb9df,0xfff900df,0xfd5335bf,
    0x5dddffff,0x3bbbbba2,0x0006fffe,0x56ffffe4,0xffffea99,0x3202eeef,
    0x99adffff,0xefffffea,0x27ffc2ee,0x7fffff44,0x17fee7ff,0x01fffc80,
    0x3007ffe8,0x5400dfff,0xff984fff,0x7f4002ff,0xfff983ff,0x7ff4002f,
    0x0bfff63f,0x1ffffe88,0xeeeeed80,0xffeeeeee,0x01fffa5f,0xeeeeeed8,
    0xfffeeeee,0x3fff9005,0xfff98000,0x3ffff006,0x361fffb0,0x10000fff,
    0xfc800001,0xa99adfff,0xeefffffe,0x7ffdc02e,0x99ffb00e,0xf707ffff,
    0x300009ff,0xff98ffff,0x41efffff,0x01ffffd8,0x80bfffea,0x000ffffc,
    0x0037ffcc,0x05ffff50,0x007fffe4,0x017fffd4,0x201ffff9,0x7cc0fff9,
    0xffffffff,0x8017fee6,0xe801fffc,0xf9800fff,0x3ea006ff,0xfffd04ff,
    0x7ffcc00b,0xbfffd00f,0x7fffcc00,0x40bfff60,0x01ffffe8,0xfffb8000,
    0x001fffa5,0x2fffdc00,0x00fffc80,0x37ffcc00,0x81ffff80,0xffb0fffd,
    0xcca8001f,0x40000ccc,0x202ffffa,0x000ffffc,0x405ffff1,0xfff8afff,
    0x1fffe86f,0xffff0000,0x7ffffcc5,0x7ffec04f,0x13fff605,0x013fffa0,
    0x00dfff30,0x027ffec0,0x4027fff4,0xe804fffd,0xff704fff,0x79fffd0d,
    0x7d49fffd,0x3ff2006f,0xfffd801f,0x6fff9801,0x13ffea00,0x007fffdc,
    0x205fffc8,0x000ffffb,0xfd8bfff9,0xffe882ff,0x000001ff,0x7f4bfff7,
    0x7000007f,0x3600bfff,0x980007ff,0xff006fff,0xfffb03ff,0x003fff61,
    0x7ffffff0,0xfffd8000,0x4fffe804,0x0ffff700,0xfc87ffd4,0x3fe60fff,
    0x3200007f,0x3fe64fff,0xf9804fff,0xfff00fff,0xfff5001f,0xfff9800d,
    0x3ffe0006,0xfffa800f,0x0ffff806,0x06fffa80,0xffb8bff9,0x8fffe22f,
    0x32007ffa,0xfb801fff,0xff9803ff,0x3fea006f,0xffff104f,0x3fffa007,
    0x3fffe202,0x5fffd003,0x442fffd8,0x001ffffe,0x3ffee000,0x001fffa5,
    0x2fffdc00,0x037ffc40,0x37ffcc00,0x81ffff80,0xffb0fffd,0x7fcc001f,
    0x0006ffff,0x4007fffc,0xd006fffa,0x7e409fff,0x3fffe25f,0x017ffee2,
    0x6fffa800,0x017fffe6,0x882ffff8,0xf1006fff,0xf9800fff,0xf10006ff,
    0x3e200dff,0x7fc407ff,0xfff1006f,0xf0fffa0f,0xfffa8bff,0x801ffe62,
    0x8801fffc,0x4c01ffff,0x2a006fff,0x3f204fff,0xff9806ff,0xfffc807f,
    0x7fff9806,0x222fffd8,0x001ffffe,0x7ffdc000,0x001fffa5,0x2fffdc00,
    0x01fffe40,0x37ffcc00,0x81ffff80,0xffb0fffd,0x7fe4001f,0x000fffff,
    0x00dfff10,0x201fffe2,0x201ffff8,0x7ff43ffe,0x13ffee4f,0xfff98000,
    0x01bffe67,0x507fff90,0x2200dfff,0x4c007fff,0x50006fff,0x2200dfff,
    0x7d407fff,0xff1006ff,0x3fff10ff,0x2e17ffcc,0x3fe61fff,0x3fff2007,
    0xffff9001,0x7cc13359,0x3ea006ff,0x3fe604ff,0x7fe401ff,0xfff9804f,
    0x7ffe401f,0x12fffd84,0x003ffffd,0xfff70000,0x003fff4b,0x5fffb800,
    0x7ff5cccc,0xf300006f,0x3fa00dff,0xfffd80ff,0x80099970,0xfffeffff,
    0xfff50003,0x3ffe200d,0x7fff9807,0xb03ffe60,0x7fe4bfff,0x2200003f,
    0x3fe67fff,0x7fdc006f,0x7fff984f,0x0bfff300,0x06fff980,0x0ffff300,
    0x017ffe60,0x200ffff3,0xfa85fff9,0x43ffe47f,0x7fd47ffc,0x3fff2006,
    0x3ffee001,0x3e64ffff,0x3ea006ff,0x7ff404ff,0x7fffc04f,0x9fffd001,
    0x81ffff80,0xfe8afffd,0x00001fff,0x4bfff700,0x00007ffe,0x4cbfff70,
    0xdfffffff,0xff300000,0x3ffa00df,0x0fffd80f,0x7ffcc000,0x006fffbd,
    0x00ffff30,0x2017ffe6,0x2e07fffb,0xfffc86ff,0x00bfff66,0x1ffff000,
    0x001bffe6,0x3e0bfff7,0xfc802fff,0x7cc004ff,0x3e0006ff,0xfc802fff,
    0xfff804ff,0xfffc802f,0x747ffa84,0x6ffd86ff,0x90037fd4,0x88003fff,
    0x24fffffc,0x2006fff9,0x5c04fffa,0x3ea07fff,0x3ee006ff,0x3fea07ff,
    0x5fffb06f,0x003ffffd,0x7fdc0000,0x01fffa5f,0x7ffdc000,0x3ffffe65,
    0x4c00001e,0xfd006fff,0xfffb01ff,0xffc80001,0x0ffff8af,0x5ffff000,
    0x09fff900,0x40dfff70,0xffb84ffe,0x0bfffa6f,0xffff0000,0x01bffe63,
    0x20dfff50,0x200ffffc,0x001ffffa,0x0037ffcc,0x01ffff90,0x00ffffd4,
    0x007fffe4,0x703ffff5,0x4fff8dff,0x7dc5ffe8,0x3ff2005f,0x3fea001f,
    0x264fffff,0x2a006fff,0x7c404fff,0xff902fff,0x7fc4007f,0xfff902ff,
    0x3bfff607,0x0003ffff,0x7ffdc000,0x001fffa5,0x2fffdc00,0xfffffff3,
    0x2600001d,0xfd006fff,0xfffb01ff,0xfff80001,0x07fffd0f,0x3ffff200,
    0x3fffea00,0x5fffc801,0x503fff10,0x7ffcffff,0x7400001f,0xfff32fff,
    0xfffa800d,0xfffff105,0xffffb885,0xfff98004,0x3fe20006,0x7dc42fff,
    0xf1004fff,0xb885ffff,0xf704ffff,0x1fffccbf,0x3ee27ffc,0x3ff2005f,
    0xfff7001f,0x4c13359f,0x2a006fff,0xfd804fff,0xffff05ff,0xfffd8001,
    0x01ffff05,0x3f6bfff6,0x00002fff,0x97ffee00,0x00007ffe,0x98bfff70,
    0xeffffba9,0xff980000,0xfffd006f,0x01fffb01,0x2fffcc00,0x000bfff9,
    0x0bffffe2,0x09ffff71,0x417fff20,0xff307ffa,0x17fff4ff,0x3ffe0000,
    0x0dfff31f,0x04fffb80,0x3ffffff2,0x6ffffffe,0xdfff3000,0xfffc8000,
    0xffffefff,0x7e4006ff,0xffefffff,0x3206ffff,0x3ffe65ff,0x21fffc42,
    0x32004ffc,0xf8801fff,0x7cc00fff,0x3ea006ff,0xff9804ff,0x7ffd40ff,
    0xfff98005,0x2fffd40f,0x365fffb0,0x0001ffff,0xbfff7000,0x0003fff4,
    0x05fffb80,0x01fffec4,0x37ffcc00,0xb07ffd80,0x40001fff,0x3e63fffc,
    0x90000fff,0xfdffffff,0x00dfffff,0xd82fffe4,0xfff505ff,0x017ffecf,
    0x3fffe000,0x00dfff30,0x503fffc8,0xffffffff,0x019fffff,0x1bffe600,
    0xffffa800,0xffffffff,0x3ea000cf,0xffffffff,0x200cffff,0x3fea4ffc,
    0x0fffd42f,0xc800fffa,0xfb801fff,0xff9802ff,0x3fea006f,0xfffd004f,
    0x02fffd87,0x87fffd00,0x3602fffd,0xffd12fff,0x000003ff,0x74bfff70,
    0x000007ff,0x100bfff7,0x0000ffff,0x200dfff3,0xffb07ffd,0x7fc0001f,
    0x7fffc0ff,0xfffa8003,0xffffffff,0x2e000cff,0xfff06fff,0x9fffea05,
    0x0003fffc,0x99fffe20,0x6c006fff,0xff881fff,0xffffdaef,0x40000def,
    0x0006fff9,0xfb5dfff1,0x01bdffff,0xaefff880,0xdefffffd,0x24ffd800,
    0x7dc2fffa,0x07ffc0ff,0x03fff900,0x001fff90,0x400dfff3,0x7004fffa,
    0x7fc4dfff,0x3ee0007f,0x3ffe26ff,0x17ffec07,0x01fffff1,0xffb80000,
    0x01fffa5f,0x7ffdc000,0x1fffd005,0xfff98000,0x3f600006,0xf30000ff,
    0xfff90dff,0xfff8800b,0xfffffdae,0xfb8000de,0xfff987ff,0x4dfff700,
    0x0004fffb,0x99fffe60,0x22006fff,0xfa80ffff,0x004c42ff,0x3ffe6000,
    0xfff50006,0x00009885,0x2217ffd4,0xffd80009,0xb0bffea4,0x7fcc1fff,
    0x7ffe4006,0x0fffd801,0x06fff980,0x013ffea0,0xb8ffffc4,0x20004fff,
    0xf71ffff8,0xffd809ff,0x7fffcc2f,0x2000000e,0x3fa5fffb,0x7000007f,
    0x3600bfff,0x40001fff,0x0006fff9,0x003fff60,0x41fffe40,0x000ffff9,
    0x310bffea,0xff500001,0x0dff90ff,0xf52fffe4,0x40000bff,0x3e66fffa,
    0x3f2006ff,0xfff905ff,0x20000001,0x0006fff9,0x0001fff9,0x03fff200,
    0x5ffc8000,0xf98fffe6,0x3ff20fff,0x7ffe4004,0x07ffe801,0x00dfff30,
    0x0027ffd4,0x3fa9fffb,0x6c0001ff,0xfffd4fff,0x2fffd803,0x0effffa8,
    0xff700000,0x03fff4bf,0xfffb8000,0x3fff9005,0xfff98000,0x3f600006,
    0xff0000ff,0x3ffe03ff,0x3ff2002f,0x2000000f,0x740ffff9,0x3ff603ff,
    0x1fffe64f,0xfffc8000,0x01bffe64,0x80ffffc4,0x0003fffe,0xdfff3000,
    0x3fffa000,0xfd000003,0x400007ff,0x3fe25ffb,0x3ffffa5f,0x003fff11,
    0x801fffc8,0xf3007ffe,0x7d400dff,0x3ea004ff,0x6fff9fff,0xfffa8000,
    0x806fff9f,0xf702fffd,0x0000dfff,0xe97ffee0,0x000007ff,0x200bfff7,
    0x0001fffc,0x8037ffcc,0xffb02dc9,0x03fff61f,0x206fff98,0x2005fffd,
    0x0003fffe,0x3fffe200,0x407ffe21,0x7c2ffff8,0x00002fff,0x7cc3fffd,
    0xfe9806ff,0x3ff604ff,0x0019acff,0xdfff3000,0x3fff6000,0x00019acf,
    0x59ffffb0,0x7dc00033,0x6ffff46f,0xceffcffe,0xc8005fff,0xfe801fff,
    0xfff3007f,0x7ffd400d,0x7fff4004,0x0003fffe,0xffdfffd0,0xfffb007f,
    0x7fffe405,0xfb800005,0x1fffa5ff,0x7fdc0000,0xfff9005f,0xff980003,
    0xfff9806f,0x0fffd83f,0x6401fffb,0x3ea04fff,0xfb000fff,0x03359fff,
    0xfffe8000,0xb81bfee5,0x7e40ffff,0x980005ff,0x7fcc7fff,0x5119beff,
    0x01fffff9,0x7fffffd4,0xefffffff,0x555500bc,0xffff7555,0x05555555,
    0x7fffffd4,0xefffffff,0xffa800bc,0xffffffff,0x00bcefff,0xffb8fff5,
    0xff8affff,0x0006ffff,0xd003fff9,0x3e600fff,0x3ea006ff,0x7dc004ff,
    0x00ffffff,0xffff7000,0xfb001fff,0xffd805ff,0x400005ff,0x3fa5fffb,
    0x7000007f,0x3200bfff,0xaa801fff,0xffbaaaaa,0xaaaaaaff,0x0fffffb2,
    0x3f61fffb,0x3ffe00ff,0x3ffe201f,0xfff5002f,0xffffffff,0x00179dff,
    0xd8ffffdc,0x3ffa04ff,0x7fff984f,0xfffc8000,0x7ffffcc4,0xffffffff,
    0xfc800eff,0xffffffff,0xcfffffff,0x7fffffc0,0xffffffff,0x6406ffff,
    0xffffffff,0xffffffff,0x7ffe400c,0xffffffff,0x40cfffff,0xffc87ff9,
    0x3fff24ff,0xf90000df,0xffd003ff,0x3ffe600f,0x3ffea006,0x7ffc4004,
    0x00005fff,0x3fffffe2,0x5fffb005,0x9ffffd00,0x7fdc0000,0x01fffa5f,
    0x7ffdc000,0x3fff9005,0xffffff00,0xffffffff,0x3fadffff,0x7ec0ffff,
    0x1fffb0ff,0x01fffe60,0x8017fff6,0xfffffffc,0xffffffff,0xff9800cf,
    0x2fff8dff,0x01ffff30,0x000bfffa,0x985fffd0,0xffffffff,0x03ffffff,
    0x7fffff40,0xffffffff,0x7ffc6fff,0xffffffff,0x6fffffff,0xfffffe80,
    0xffffffff,0xfe806fff,0xffffffff,0x6fffffff,0x4c07ffc4,0x002aa02a,
    0x03fff900,0x200fffd0,0x2006fff9,0x8004fffa,0x01fffffd,0x7ffec000,
    0xffb001ff,0xffd1005f,0x200007ff,0x3fa5fffb,0x7000007f,0x3200bfff,
    0xff801fff,0xffffffff,0xffffffff,0x0dffffb6,0x3f61fffb,0xfff900ff,
    0xffff5009,0x7fff4001,0xffffffff,0x006fffff,0xff9ffffb,0x3fffe60f,
    0x1bfff204,0x6fffa800,0xfeffff98,0x1cdeffff,0x77ffec00,0xecccaaaa,
    0x25ffffff,0xffffffff,0xffffffff,0x7fec06ff,0xccaaaaef,0xffffffec,
    0x3bfff605,0xecccaaaa,0x45ffffff,0x00003fff,0x7ffe4000,0x07ffe801,
    0x00dfff30,0x0027ffd4,0x02ffffd4,0x7ffd4000,0x3ff6005f,0xfff1002f,
    0x700007ff,0x7ff4bfff,0xf7000007,0x3f200bff,0xfff801ff,0xffffffff,
    0x6fffffff,0xb03fffd1,0x3ff61fff,0x5ffff00f,0x5ffff100,0x3bfff600,
    0xecccaaaa,0x05ffffff,0xffffff98,0xffff985f,0x3ffe200f,0xffd0003f,
    0xdfff305f,0x00004ccc,0x200bfffb,0x07ffffa8,0x3fff9800,0x017fff60,
    0x3ffffd44,0x005fffd8,0x8fffff51,0x00006ffd,0x7ffe4000,0x07ffe801,
    0xffb80000,0xffa8003f,0x800001ff,0x001ffffa,0x00000000,0xd1fffdc0,
    0x00000fff,0x400fffee,0x0001fffc,0x02a60000,0xfd87ffec,0xfff980ff,
    0xaaaaaabf,0x5ffffaaa,0x05fffd80,0xfffff510,0x3ffff200,0xfec99cff,
    0xb803ffff,0x4000ffff,0xf305fffc,0x80000dff,0x000ffff9,0x00ffffdc,
    0x09fff100,0x007fffcc,0x07fffee0,0x001ffff3,0x21ffffb8,0x0001fffa,
    0x3ff20000,0x7ffe801f,0xfc800000,0xfe8002ff,0x000006ff,0x000dfffd,
    0x00000000,0x745fff90,0x000007ff,0x2005fff9,0x0002fffc,0x36000000,
    0xfffb0fff,0xfffff901,0xffffffff,0x80ffffff,0x000ffff9,0x00ffffdc,
    0xffffffc8,0xffffffff,0x3fffa001,0x3ffe2004,0xdfff300f,0xffb80000,
    0xff88004f,0x360001ff,0x7fdc06ff,0xff88004f,0x7ffdc1ff,0xfff88004,
    0x027ff41f,0xf9000000,0xfff003ff,0xb000000d,0xa8003fff,0x0002ffff,
    0x2ffffa80,0x2aa20000,0x0000001a,0x7f43fffd,0xd000007f,0x2e003fff,
    0x40003fff,0x5001aaa8,0xffb09fff,0x03fff61f,0x3ffffffe,0xffffffff,
    0x202fffff,0x8004fffb,0x001ffff8,0x3fffffee,0x00efffff,0x0ffffcc0,
    0x04fffd80,0x001bffe6,0x09fffb00,0x0ffff300,0x17ffcc00,0x013fff60,
    0x21fffe60,0x8004fffd,0xfb87fff9,0x000001ff,0x03fff900,0x005fff98,
    0x7ffcc000,0x3fe6000f,0x800005ff,0x005ffff9,0x17ffdc00,0x7cc00000,
    0x3ffa0fff,0xf9800007,0xf3000fff,0xb8000bff,0xf7002fff,0xfffb05ff,
    0x303fff61,0xffffffff,0xffffffff,0x6c0bffff,0x98004fff,0xf8007fff,
    0xefffffff,0x3f20003d,0x7dc00eff,0x3e600fff,0x400006ff,0x8006fffc,
    0x0006fffd,0x9007ffee,0xb000dfff,0xff90dfff,0xffb000df,0xffff10df,
    0x00000003,0xe803fff9,0x00003fff,0x02fffec0,0x1dfffd10,0xfe880000,
    0x00000eff,0x0007ffec,0x3ffa0008,0x03fff44f,0x3ffa0008,0x3fe2004f,
    0x360001ff,0xfb000fff,0xfffb01ff,0x903fff61,0x5555bfff,0x55555555,
    0x640ffff9,0xd8006fff,0x4c006fff,0x0aaa9fff,0xfff10000,0x7ffd40df,
    0x7ffcc01f,0x7d400006,0x9800dfff,0x001ffffd,0x017ffee0,0x01bffff5,
    0x3ffffb30,0x1bffff50,0xffffb300,0x3ffff203,0x005b8801,0x01fffc80,
    0x01ffffd3,0xd8805c00,0x8800ffff,0x01fffffb,0x3fee2000,0x00001fff,
    0x0006fff8,0xfe98073a,0x7ff40fff,0x4039d007,0x00ffffe9,0x1ffffe40,
    0x06fff800,0x6c1bffe0,0xfffb0fff,0x02ffff81,0x2ffff880,0x1bffff50,
    0xffffb300,0x6ffb8003,0x7cc00000,0xff985fff,0xff9802ff,0x4400006f,
    0xcefffffe,0xffeccaac,0x40003fff,0xeefffff9,0x7ffff440,0xccaaccef,
    0x03fffffe,0xdfffffd1,0xfd995599,0xb807ffff,0x9aceffff,0x06ffdba9,
    0xcccccc88,0x951fffec,0x7ffffffd,0xefff8000,0xfffffedd,0xfffdf903,
    0x0007ffff,0xffffefc8,0x00003fff,0x003fff88,0x37bfffe0,0xffffffdc,
    0xccfffe82,0xff2ccccc,0xffb9bdff,0x0005ffff,0xdffffff1,0xfff1009b,
    0x3ffe6007,0x21fffb03,0x3e60fffd,0x3a0007ff,0xfd104fff,0x599dffff,
    0xffffd995,0xffd0007f,0x30000009,0x7c49ffff,0xf3003fff,0x00000dff,
    0xffffffd1,0xffffffff,0x200007ff,0x0ffffffc,0xfffffe88,0xffffffff,
    0x74403fff,0xffffffff,0xffffffff,0xffff7003,0xffffffff,0xfff300df,
    0xffffffff,0x3fffff23,0xf80004ff,0xffffffff,0x3ff204ff,0x02efffff,
    0xffffc800,0x0002efff,0x03fff500,0x7ffffc00,0xffffffff,0xfffffd03,
    0x3e9fffff,0xffffffff,0x0003ffff,0x3fffffea,0xfffa807f,0x3fff5001,
    0x6c3fff60,0x3ff20fff,0x3ee0005f,0x3fa207ff,0xffffffff,0x3fffffff,
    0x1fff8800,0xf5000000,0x3ff21fff,0x3fe6004f,0x1000006f,0xffffffd7,
    0x17ffffff,0xeda80000,0xd7100eff,0xffffffff,0x0017ffff,0x3ffffae2,
    0xffffffff,0x7ed4000b,0xffffffff,0xff9800be,0xffffffff,0xfffff91f,
    0x3e00003d,0xffffffff,0x7ffe401e,0x00004fff,0x3ffffff2,0x64000004,
    0x6c0007ff,0xffffffff,0x3fa00dff,0xffffffff,0xfffffb4f,0x01bfffff,
    0xfff91000,0xff900fff,0x37fe400f,0x361fffb0,0x3ffe0fff,0x3e60002f,
    0x2e202fff,0xfffffffe,0x00bfffff,0x00fff500,0xffa80000,0x20027f41,
    0x0003ccc8,0xdcca9800,0x001abcee,0x30000000,0x79ddb995,0xa9800035,
    0xabceedcc,0x97300001,0x8001579b,0xccccccc8,0x9950cccc,0x80000135,
    0xbceecca8,0x59bb5001,0xa8000013,0x0009acdd,0x2ccb8000,0xcca88000,
    0x800abcee,0xcccccccb,0x32a22ccc,0x00abceec,0xba988000,0x2ccb804c,
    0xffd80000,0x21fffb0f,0x000ffff9,0x027fff40,0xeedcca98,0x00001abc,
    0x80000000,0x0004881b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xffb0fffd,0x17fff21f,0x3fff2000,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd8000000,0xfffb0fff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd800000,0x1fffb0ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccb80000,
    0x001332e4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0fb66000,0x0003ed98,0x26666600,0x00000000,
    0x01cdcb80,0x99300000,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32600004,0xc88003cc,0x310003cc,0x33332001,0xcccccccc,
    0xcccccccc,0x000001cc,0xa8800000,0x3320aaaa,0xbccccccc,0x4000009a,
    0x00ccccca,0x66666440,0xcccccccc,0x3220cccc,0x44004ccc,0x7c402ccc,
    0xff882fff,0x800003ff,0x00dffffd,0x001d9510,0xfffd3000,0x000007ff,
    0x0009ffb0,0xfffb9530,0x400037bd,0x0001fff9,0x004ffe80,0x7fff65d4,
    0x000abdef,0x7fc0bffe,0x9730002f,0x00359dfd,0x3bff6e00,0xf703900c,
    0xf3000bff,0xf5000dff,0xfff009ff,0xffffffff,0xffffffff,0xff005fff,
    0x0bffe05f,0xff980000,0x7ffc3fff,0xffffffff,0x00000cff,0x07ffffff,
    0xfffff980,0xffffffff,0x3e60ffff,0x2003ffff,0x5404fff9,0xfa85ffff,
    0x00006fff,0x01ffffec,0x003fffe0,0x3bffa000,0x0001fffd,0x017ffc00,
    0xfffff700,0xdfffffff,0xfff50005,0x3fe00000,0xffd5003f,0xffffffff,
    0x7ec005ff,0x7ffdc0ef,0x7ff44000,0xefffffff,0x3ff60001,0x5c3fffff,
    0x7ffdc1ff,0xfff98005,0x7ffc4006,0x7ffc02ff,0xffffffff,0xffffffff,
    0xfd802fff,0x7ffdc0ef,0xf3000000,0xff03dfff,0xffffffff,0x009fffff,
    0xfffff980,0x7fcc006f,0xffffffff,0x0fffffff,0x3fffffe6,0x9fff3000,
    0x4ffff980,0x05ffff98,0x3fff6000,0xfff8001f,0x4c00000f,0x13fe24ff,
    0xffa80000,0xfe88000f,0xffffffff,0x004fffff,0x0007ffb8,0x805fff00,
    0xffffffe9,0xffffffff,0x3ffee002,0x6ffffdef,0x7fffd400,0xffffffff,
    0xffc8002f,0xffffffff,0x5c1ffffd,0x98005fff,0x4c006fff,0x403fffff,
    0xffffffff,0xffffffff,0x02ffffff,0xdeffffb8,0x0006ffff,0xbffff100,
    0x3bfffe01,0xfffffeee,0x20004fff,0xfffffffc,0x3ffe6000,0xeeeeeeef,
    0x20eeeeee,0x4ffffff9,0x09fff300,0x201dff90,0x0000effc,0x01bfffb0,
    0x03fffe00,0x1ff70000,0x00006fd8,0x0017ff20,0x3fffffee,0xfffedeff,
    0xfc8004ff,0x9800006f,0x3a201fff,0xcdefffff,0x2fffedcc,0x7fffe400,
    0x000fffff,0x3ffffff2,0xffffffde,0x3fa2003f,0xffff712f,0xf705ffff,
    0xf3000bff,0xf8800dff,0x0002ffff,0x001fffe8,0x3ffff200,0x000fffff,
    0xffff8800,0x07fffc03,0xfffffc98,0xffff0001,0x4007fffd,0x0006fff9,
    0xffffff98,0xfff9800f,0x10033004,0x75c00003,0x7c0003ee,0x00000fff,
    0x3fe17fd4,0x65cc0005,0x3fffeffe,0x7fffe400,0xb5101adf,0x75cc009f,
    0x0009aeff,0x01fff500,0x067fffec,0x4000d4c0,0xcfffffea,0x3ffee000,
    0x7dcc0aef,0x2002ffff,0xffc881e8,0xff702eff,0xff3000bf,0xff9000df,
    0x3a0000df,0x00001fff,0x7fffff54,0x7000000c,0xff003999,0xff9801ff,
    0xf98005ff,0x6fffbdff,0x1bffe600,0x3ffe6000,0x9804ffff,0x00004fff,
    0x01000000,0x3fffe000,0x7c400000,0x3ffdabff,0xfffd1000,0x7fffffff,
    0x7fffcc00,0x00c4003f,0xfffffd91,0x05dfffff,0x07ffb800,0x00bfffea,
    0x53300000,0xffd00013,0xffa801df,0x800006ff,0x7fdc00a9,0xff98005f,
    0x5950006f,0x7ff40000,0x3000001f,0x00001353,0xfff00000,0xfff9001f,
    0xfff9000f,0x01ffff15,0x01bffe60,0x37ffe600,0x4c00ffff,0x00004fff,
    0x3aa00000,0x40004fff,0x0000ffff,0xfffffb80,0xff50006f,0xffffffff,
    0x36007fff,0x0002ffff,0x7ffffdc0,0xffffffff,0x7e40002f,0x3fff206f,
    0x00000005,0xfffb8000,0xfff7000e,0x0000003f,0x017ffee0,0x01bffe60,
    0xe8000000,0x00001fff,0x26000000,0x99999999,0xffff0009,0xffff3001,
    0xffff8001,0x007fffd0,0x001bffe6,0x2f3ffe60,0x7cc05fff,0x000004ff,
    0xfff70000,0xca80dfff,0xfffccccc,0xcccccccf,0x54002ccc,0x0004fffe,
    0xdffffff9,0xffffffb9,0xffffa809,0x7f400002,0xffffffff,0x02ffffff,
    0x17ff6200,0x003fffe8,0x00000000,0x002ffff8,0x002ffff4,0xffb80000,
    0xff98005f,0x0000006f,0x07fffa00,0x00000000,0x7ffffc40,0x006fffff,
    0x1001ffff,0x4003ffff,0x3f25fff9,0xff3005ff,0xf30000df,0x3fffe9ff,
    0x13ffe601,0x00199993,0x00b332e0,0x6d5fffcc,0x3fee04ff,0xffffffff,
    0xffffffff,0x020005ff,0xffffb800,0x3ffe20ae,0x3a01ffff,0x00006fff,
    0x577fffe4,0x988fff98,0x2e2002db,0xefffffec,0x1ffffc3d,0x33260000,
    0xcc88003c,0x1fffee3c,0x3fffee00,0x07999300,0x27999100,0x8005fffb,
    0x4006fff9,0xeeffdba8,0xfe8000ac,0x400001ff,0xacefecb9,0xfff10001,
    0xdfffffff,0x03fffe00,0x03fffe60,0x23fffc80,0x800ffff9,0x0006fff9,
    0xf74fff98,0x7fcc0bff,0x7fffc44f,0xfff88004,0x3ff9001f,0x3ee07fe8,
    0xffffffff,0xffffffff,0x664c5fff,0xcc88003c,0xeffff83c,0xfffffa80,
    0xfff506ff,0x5400003f,0x7d42ffff,0x7dc0007f,0xffffffff,0x3ff61fff,
    0x5c00006f,0x98005fff,0x3ffa6fff,0xff88004f,0xfff703ff,0xfff3000b,
    0x017ffeed,0x01bffe60,0x7fffffd4,0x1dffffff,0x07fffa00,0x7ff44000,
    0xefffffff,0x7ffc4001,0x6fffffff,0x01ffff00,0x00ffff50,0x7c0ffff8,
    0xf9803fff,0x980006ff,0xfff14fff,0x3ffe603f,0x07fffc84,0x06fffb80,
    0x3ee1bf60,0xdddd500f,0xddffffdd,0xdddddddd,0x05fffb89,0x46fff980,
    0xb00efffb,0xffff99ff,0x0bfff907,0xfffd8000,0x006ffb84,0xfffffd10,
    0xffffffff,0x1ffffe43,0xfff70000,0xfff3000b,0x00ffffcd,0x03fffe80,
    0x000bfff7,0x3eedfff3,0xf98005ff,0xffc806ff,0xffffffff,0x2002ffff,
    0x0001fffe,0xffffffa8,0x2fffffff,0x4ccccc00,0x006fffa9,0xd001ffff,
    0x4c00bfff,0xffc86fff,0xfff9805f,0xff980006,0x17fff24f,0x4c27ffcc,
    0x4002ffff,0x2003fffe,0x7fe40ffc,0xffff8000,0xfff70000,0xfff3000b,
    0x17fffc4d,0xff15fff0,0xfffb0dff,0xff800007,0x5ffc82ff,0xffff8800,
    0xbfffbcff,0x3fe61ffc,0x00004fff,0x000bfff7,0x3e6dfff3,0x320007ff,
    0xff704fff,0xff3000bf,0x17ffeedf,0x1bffe600,0xfffffe88,0xfffeeeff,
    0x3fa002ff,0x640001ff,0xdeffffff,0x3fffffff,0xfff98000,0x1ffff006,
    0x0ffffc80,0x0ffff200,0x003fffe6,0x000dfff3,0x449fff30,0xf982ffff,
    0xfffd04ff,0x7ffcc00b,0x3fea000f,0x00dff71d,0x003fffe0,0x02fffdc0,
    0x737ffcc0,0x7d40ffff,0xffff90ff,0x02fffe81,0x3ffe2000,0x04ffd82f,
    0x4ffffd80,0x8151ffea,0x3ffffffb,0x7ffdc000,0xfff98005,0x00ffff76,
    0x82fffdc0,0x8005fffb,0xff76fff9,0xff3000bf,0x3ffe60df,0x7101beff,
    0x7f4005fd,0x2e0001ff,0x40aeffff,0x2fffffb9,0x7ffcc000,0x1ffff006,
    0xffffb988,0x7ffc003f,0x5ffff01f,0xcffff980,0xcccccccc,0x7fcc2ccc,
    0x37ffdc4f,0xb827ffcc,0x9000ffff,0xb000bfff,0x3fffffff,0x3fffe000,
    0xfff70000,0xfff3000b,0x027fff4d,0x7fc4bff9,0x7fffc2ff,0x7fc00001,
    0x3ffe85ff,0x7fffd400,0x803ffdc2,0xfffffffd,0xffb8001c,0xff98005f,
    0x0dfff76f,0x37ffdc00,0x005fffb8,0xf76fff98,0xf3000bff,0x3ff60dff,
    0x26000dff,0x3fffa000,0x3ffe0001,0x7fd400ef,0x4c0006ff,0xff006fff,
    0xffffffff,0x007fffff,0x206fff98,0x4c05fffd,0xffffffff,0xffffffff,
    0x427ffcc4,0x7cc2ffff,0xfff104ff,0x3ffa007f,0xfc88002f,0x0001efff,
    0x0003fffe,0x002fffdc,0xf8b7ffcc,0x3fa01fff,0x27fff43f,0x401ffff3,
    0xfffffffc,0x3fff65ff,0x017ffc0f,0x09ffff10,0x5c00dff9,0xffffffff,
    0x3fee002d,0xff98005f,0x0bfff96f,0x3fffd400,0x005fffb8,0xf76fff98,
    0xf3000bff,0xfff50dff,0x0000009f,0x0003fffd,0x003bffee,0x00ffffdc,
    0x0dfff300,0x3fffffe0,0xdfffffff,0xfffc8001,0x3fffea04,0x3fffe600,
    0xffffffff,0x7cc4ffff,0xfffb84ff,0x027ffcc6,0x300dfff9,0x8000ffff,
    0x80001aa8,0x0000ffff,0x000bfff7,0x3e6dfff3,0x3fe607ff,0x2fffec0f,
    0xc80ffff5,0xffffffff,0x3fffee5f,0x03fff13f,0x07fffd40,0x20027fec,
    0xffffffd8,0xfb802eff,0xf98005ff,0xbfff96ff,0x7ffcc000,0x0bfff707,
    0x2dfff300,0x8005fffb,0xfe86fff9,0x000005ff,0x003fffd0,0x05ffff10,
    0x05fffd80,0x1bffe600,0x7fffffc0,0x01ffffff,0x07fffe00,0x02ffff88,
    0x3bbfffe6,0xeeeeeeee,0x7ffcc3ee,0x45fffd04,0x2604fff9,0x6401ffff,
    0x00004fff,0x7ffc0000,0xff70000f,0xff3000bf,0x1fffeedf,0xfc86ffb8,
    0x3ffea6ff,0x7fffe407,0x6c5fffff,0xfcefffff,0x3ee000ff,0x7ffd04ff,
    0x3ff22000,0x0dffffff,0x017ffee0,0x65bffe60,0x20005fff,0xf707fff9,
    0xf3000bff,0x3ffeedff,0xfff98005,0x0ffffd46,0xfe800000,0xfb8001ff,
    0xfb8007ff,0x30000fff,0x3e00dfff,0xebaabfff,0x8002ffff,0xd807fff9,
    0x3e605fff,0x980006ff,0xff504fff,0x27ffccdf,0x013fffa0,0x8003ffff,
    0xefeedca8,0xff0002cd,0x2e0001ff,0x98005fff,0xfff76fff,0x427ff40d,
    0x3e66fffb,0x2a600fff,0xfffcaaaa,0x7ffff445,0x4007ffff,0xff03fffd,
    0xd500005f,0x1fffffff,0x017ffee0,0x5dbffe60,0x20006fff,0xf706fffa,
    0xf3000bff,0x3ffeedff,0xfff98005,0x02ffff46,0xffd00000,0xffd0003f,
    0xff10009f,0x260005ff,0xff006fff,0xfff901ff,0xffc8003f,0xfffa804f,
    0xdfff300f,0xfff30000,0x9ffff409,0x5c04fff9,0x3ea07fff,0x3ae006ff,
    0xffffffff,0x4002efff,0x0000ffff,0x000bfff7,0x3f2dfff3,0xfff105ff,
    0x4ffff503,0x001ffff8,0x905fffa8,0xffffffff,0x3ffa003b,0x1fff882f,
    0x3f660000,0xf706ffff,0xf3000bff,0x3ffeadff,0x3fee0007,0xbfff705f,
    0xdfff3000,0x0017ffee,0xff1bffe6,0x000005ff,0x00ffff40,0x07fffe20,
    0x1fffec00,0x6fff9800,0x01ffff00,0x001bfff2,0x1005ffff,0x2605ffff,
    0x80006fff,0x2a04fff9,0xfff37fff,0xffff8809,0x07fff902,0x7fffff40,
    0xffffffff,0x3ffe003f,0xff70000f,0xff3000bf,0x17fff2df,0xf983ffd4,
    0x7fffc7ff,0xfffa8001,0x3fff6205,0x02efffff,0x4c0ffffc,0x00000fff,
    0x4fffff98,0x005fffb8,0xf56fff98,0x64000fff,0xff704fff,0xff3000bf,
    0x17ffeedf,0x9bffea00,0x000ffff8,0x3ffa0000,0x7fcc001f,0x3f20007f,
    0xf30004ff,0x3fe00dff,0xfff100ff,0x3fe6007f,0xaaaaabff,0xffffaaaa,
    0x0dfff305,0x9fff3000,0x9bfffe80,0xfd804fff,0xffff05ff,0x7fff4001,
    0xfedccdef,0xf001ffff,0x20001fff,0x8005fffb,0xff96fff9,0x17ff60bf,
    0x3a3fffd4,0xa8002fff,0xc8805fff,0xffffffff,0x3ffff00d,0x000fff70,
    0x7fff4400,0x05fffb86,0x36fff980,0x0001ffff,0x5c0ffff6,0x98005fff,
    0xfff56fff,0xfff5000d,0x03fffd4b,0x3fa00000,0x7dc001ff,0x2e0007ff,
    0x30005fff,0x3e00dfff,0x3ee00fff,0xfc800fff,0xffffffff,0xffffffff,
    0xdfff307f,0xfff30000,0xefffa809,0x9804fff9,0x7d40ffff,0x6f4005ff,
    0x7ffdc00b,0xffff006f,0x3fee0001,0xff98005f,0x0dfff76f,0x7d40bffe,
    0x7ffec7ff,0xfffa8006,0x3fffe005,0x81ffffff,0xfc82fffe,0x4000006f,
    0x5c0ffffb,0x98005fff,0xfff16fff,0xff10005f,0x3fee05ff,0xff98005f,
    0x0dfff36f,0x49fff700,0x0006fffb,0x7fff4000,0x7ffdc001,0x3fee0006,
    0xff30006f,0x3ffe00df,0x3ffe200f,0xffff803f,0xffffffff,0xffffffff,
    0x06fff982,0x4fff9800,0xfcfffe80,0xffd004ff,0x2fffd87f,0x2a000400,
    0xf800ffff,0x70000fff,0x3000bfff,0x3feedfff,0x0fff987f,0xb8dfff70,
    0x4001ffff,0x1005fffa,0xfff95fff,0xffd81dff,0x05ffd84f,0x7fc40000,
    0x7ffdc1ff,0xfff98005,0x017fffa6,0x03fffea0,0x002fffdc,0xf8b7ffcc,
    0xfd8007ff,0x3fff23ff,0x40000005,0x4001fffe,0x0005fffc,0x001fffea,
    0x8037ffcc,0x6400ffff,0x7cc07fff,0xffffffff,0xffffffff,0xff985fff,
    0xf980006f,0xff9804ff,0x004fffff,0x7c4dfff7,0x000007ff,0x003fffd0,
    0x0003fffd,0x0017ffee,0x7d5bffe6,0x6ffc87ff,0x117fff20,0x800bffff,
    0x3005fffa,0x3f621fff,0x7fe45fff,0x04ffe87f,0x7fc40000,0x7ffdc0ff,
    0xfff98005,0x03fffee6,0x09fffb00,0x002fffdc,0xff37ffcc,0x7c4005ff,
    0x3ff61fff,0x0000004f,0x000ffff4,0x0017fff2,0x007fff98,0x00dfff30,
    0x1003fffe,0x6407ffff,0xaaaadfff,0xaaaaaaaa,0xf987fffc,0x980006ff,
    0xfb004fff,0x009fffff,0x5c7fffe2,0x00004fff,0x07fffb00,0x005fffb0,
    0x017ffee0,0x4dbffe60,0x7f40ffff,0x3fff603f,0x1ffffb84,0x17ffea00,
    0x6c3ffd40,0x7fcc7fff,0x1fffc3ff,0x3e600000,0xfffb87ff,0xfff98005,
    0x13fffe26,0x0ffff980,0x017ffee0,0xd9bffe60,0x32006fff,0x7fec5fff,
    0x0000005f,0x000ffff4,0x0017fff2,0x007fff98,0x00dfff30,0x2003fffe,
    0x3e07fffc,0x88002fff,0x7cc2ffff,0x980006ff,0xf3004fff,0x009fffff,
    0xfea7ffec,0x000001ff,0x007fff90,0x000bfff9,0x0017ffee,0x7c5bffe6,
    0x3fe21fff,0xffff101f,0x3ffffa05,0xbfff5003,0x21bfee00,0x6c1ffff8,
    0xff12ffff,0x8000005f,0xfb85fffe,0xf98005ff,0x7ffec6ff,0xfff9803f,
    0x7ffdc05f,0xfff98005,0x37fffe66,0x7fffe400,0x02fffe42,0x3fa00000,
    0x7dc001ff,0x2a0006ff,0x30007fff,0x3e00dfff,0xf9800fff,0xff983fff,
    0x3fa0007f,0x7ffcc4ff,0xff980006,0x3ff6004f,0x2a004fff,0xfff9ffff,
    0x20000006,0xa803fffc,0x8003ffff,0x8005fffb,0x3fa6fff9,0x1bfee5ff,
    0x00ffffb8,0x09fffff5,0x00bfff50,0x7f417ff2,0x7ffcc3ff,0x1fff9cff,
    0x00b98e4c,0x7fffecc0,0x05fffb82,0x46fff980,0x02fffff9,0x07ffffe6,
    0x00bfff70,0xc8dfff30,0x9abfffff,0xffffeb98,0x06fffb85,0x7f400000,
    0x7d4001ff,0x2e0006ff,0x30006fff,0x3e00dfff,0xfb000fff,0xfff90dff,
    0x7fdc000b,0x7fffcc7f,0xcccccccc,0x260ccccc,0x26004fff,0x004fffff,
    0x7ff7fff4,0xa880003f,0xeeeeedcb,0xd003ffff,0x335bffff,0xfb899533,
    0xf98005ff,0x3ffee6ff,0x409ffb1f,0x6c04fffe,0xceffffff,0xffeca99b,
    0x9ffb005f,0x207fffe0,0xfffffffb,0xffeccbff,0x799dff51,0xfb955355,
    0x2e09ffff,0x98005fff,0xffa86fff,0xcabdffff,0x02fffffe,0x005fffb8,
    0x446fff98,0xfffffffe,0x5fffffff,0x00ffff50,0xffe80000,0x7fcc001f,
    0x3f20007f,0xf30006ff,0x3fe00dff,0xff3000ff,0xffff85ff,0x3fe60002,
    0x3ffe62ff,0xffffffff,0x20ffffff,0x4004fff9,0x004ffffd,0x7fffffdc,
    0x3220000f,0xffffffff,0x03ffffff,0xffffff30,0x8bffffff,0x8005fffb,
    0x3e66fff9,0xfff8dfff,0x1ffff302,0xfffff500,0xffffffff,0x3a00bfff,
    0xfff983ff,0xffff500f,0xffffffff,0x3ffea3ff,0xffffffff,0x05ffffff,
    0x0017ffee,0x5c1bffea,0xffffffff,0x01ffffff,0x00bfff70,0x20dfff50,
    0xfffffffc,0x204fffff,0x000ffff9,0x3ffa0000,0x7fc4001f,0xfb0000ff,
    0x260009ff,0xff006fff,0x7f4001ff,0x3ffe66ff,0x7f40000f,0x3ffe64ff,
    0xffffffff,0x20ffffff,0x4004fff9,0x004ffff8,0x7fffffc4,0x3fee0005,
    0xffffffff,0x03ffffff,0x3ffffee0,0x45ffffff,0x8005fffb,0x7ec6fffa,
    0x07ffcfff,0x009ffff3,0x7ffffec4,0xffffffff,0x5fff003f,0x06fffe88,
    0x7ffffecc,0x1fffffff,0xfffffff5,0xffffffff,0xfffa807d,0xfffa8006,
    0x3fffee04,0xffffffff,0x3ffea001,0xfffa8006,0x3ffb2604,0x00cfffff,
    0x01ffffc4,0xffd00000,0xfff0003f,0xff10005f,0x260005ff,0xff006fff,
    0x7d4001ff,0xfff92fff,0xff90000b,0x7fffccff,0xffffffff,0x260fffff,
    0xc8004fff,0xd8004fff,0x001fffff,0xbfffff50,0x93333357,0x88007fff,
    0xffffffec,0x7ffd43ef,0xfffa8006,0x7ffffcc4,0xfff985ff,0xca8000ff,
    0xfffffffe,0x2f6a0adf,0x88fffc40,0x02fffffb,0xdffff710,0xdc88157b,
    0xffffffff,0x3002dfff,0x7000dfff,0xb5007fff,0x3bffffff,0xdfff3000,
    0x7fff7000,0x7fff4c00,0x3fffe000,0x00000007,0x7fff4000,0xfffa8005,
    0xff30000f,0x000000df,0xd0000000,0x10000bff,0x0000bffd,0x007fff70,
    0x0bffff50,0x3fffe200,0xfffc800d,0x4cc40003,0xfff30099,0xfff7000d,
    0xfffff907,0xffd9339f,0x00007fff,0x8026aaa2,0xdefffffa,0xfffedfff,
    0xf8003fff,0x988003ff,0x0019aaa9,0x00ffff10,0x005fffb0,0x007fffc4,
    0x0ffff100,0x05fffb00,0x00fffdc0,0x0ffffee0,0x00000000,0x0ffffb80,
    0x27ffec00,0xdfff3000,0x00000000,0xffd80000,0xfe80000e,0x9000005f,
    0x50005fff,0x0003ffff,0x003fffea,0x001fffe4,0xfff10000,0xfffb000f,
    0x3ffff205,0xffffffff,0x000001ff,0x3fffea00,0xffffffff,0x003fffff,
    0x0005fff0,0x7fc00000,0x3e2002ff,0x6c001fff,0x40002fff,0x2002ffff,
    0x001ffff8,0x0007fff1,0x01dffff1,0x55100000,0xff100035,0x7cc007ff,
    0x20000fff,0x0006fff9,0x001aaa88,0xff500000,0xf700003f,0x000001ff,
    0x0007fffa,0x001bfffa,0x004fffc8,0x000ffff2,0x80035551,0x2002ffff,
    0x201ffff8,0xfffffffb,0x000effff,0x03555100,0x3ffffea0,0xffffffff,
    0x10000cff,0x00003fff,0x0006aaa2,0x801bfff6,0x8005fffc,0x0006fffb,
    0x0037ffec,0x400bfff9,0x20007ffc,0x01effffb,0x7fdc0000,0xff90002f,
    0xff3005ff,0x980009ff,0x80006fff,0x0002fffb,0xbffd0000,0x3ffe0000,
    0xf3000004,0xf5000fff,0x40005fff,0x2003fffe,0x4003fffd,0x4002fffb,
    0x2006fffd,0xf805fffc,0xefffffff,0x5c00003d,0x22002fff,0xfffeecba,
    0x000abcef,0x007ffd40,0x2fffb800,0xffff9800,0x7ffe400d,0xff98001f,
    0x80e603ff,0x00dffff9,0x00ffffe4,0x000fffd0,0x3fffffe8,0x002da880,
    0x0003fff6,0x17ffffc4,0x1fffff10,0xfff98000,0xffd80006,0x0000000f,
    0x004fff88,0x04fff980,0xfffb0000,0xfff98009,0x7ec0005f,0xfe9804ff,
    0x6c003fff,0x4c000fff,0x400dffff,0x401ffffc,0xaaa9fff9,0x36000000,
    0x80000fff,0x00004ffe,0x0007ffb8,0x003fff60,0x7ffffe40,0xfeb989ab,
    0x20004fff,0x9adffffd,0x202ffca9,0xabfffffc,0xfffeb989,0x7ff4004f,
    0x3ea0002f,0xceffffff,0xfffecbab,0x1bffe002,0xffff7000,0xfd9359df,
    0x0007ffff,0x00dfff30,0x00dfff00,0x3e200000,0x40000fff,0x000efff9,
    0x3fffa200,0x3fa2000f,0x40000eff,0x200ffffc,0x3ffffffb,0x037ffc00,
    0xfffffc80,0xfeb989ab,0xfb804fff,0x0000006f,0x00037ffc,0x0002fff8,
    0x006ffc80,0x01bffe00,0xffffe880,0xffffffff,0x20000dff,0xfffffff8,
    0x00ffffff,0xffffffd1,0xffffffff,0xffc8001b,0x8004efff,0xffffffd8,
    0xffffffff,0xfff1002f,0xff500007,0xffffffff,0x4005ffff,0xbaaaaaaa,
    0xaaaaffff,0xff8802aa,0x0000003f,0x3bffffe0,0xff88002e,0x001eefff,
    0xfffffd90,0x3fee2007,0x80001fff,0x0aeffffa,0xfffffd73,0x7c4007ff,
    0xd10003ff,0xffffffff,0x1bffffff,0x009ffd00,0x7fc40000,0xf880003f,
    0x800001ff,0x00005ffd,0x0007fff1,0xffffff90,0x07ffffff,0x3ffa6000,
    0xffffffff,0x7ffe400c,0xffffffff,0xff10003f,0x000bffff,0x7fffffdc,
    0xffffffff,0x3fff5001,0x3fe60000,0xffffffff,0x7fc000ef,0xffffffff,
    0xffffffff,0x1fffa806,0x20000000,0x3ffffff9,0xffff5000,0x3a0005ff,
    0x203fffff,0xfffffefc,0x200003ff,0xfffffffd,0xf9dfffff,0x3ea003ff,
    0x640001ff,0xffffffff,0x1003ffff,0x00003fff,0x0fffd400,0x7ffcc000,
    0xfe800000,0xf500004f,0x200003ff,0xfffffed9,0x00000cef,0xffffffa8,
    0x366000df,0xeffffffe,0x5c40000c,0x0004fffe,0x7fff6dc4,0x00adffff,
    0x001fff20,0xfffb7100,0x0007bdff,0x3ffffffe,0xffffffff,0xfc806fff,
    0x0000007f,0xfffec880,0x3b660002,0xd0001fff,0xc803dfff,0xefffffff,
    0x74400002,0xffffffff,0x7fff12ff,0x03ffe400,0xffed9800,0x00ceffff,
    0x001ffea0,0xfff90000,0x3fea0000,0xff000007,0x3200007f,0x000007ff,
    0x00006aa6,0x1aa98800,0x35530000,0x00000000,0x4cd4c000,0x332e0000,
    0x44000002,0xf80000aa,0xffffffff,0xffffffff,0x2ccb806f,0x00000000,
    0x00000000,0x00379900,0x3ffffff2,0x5c000004,0xceffffff,0x00fffe20,
    0x0002ccb8,0x00355300,0x00000000,0x000b32e0,0x001e6540,0x0f774400,
    0x2ccb8000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6ed40000,0x000009ac,
    0x006a6200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03ccc980,0x0f333220,0x00098800,0x00000000,
    0x001cdcb8,0x002ccca8,0x66666640,0xcccccccc,0x4001cccc,0x99100000,
    0x44001999,0x4c002ccc,0x0003eeee,0x00000020,0x33333100,0xeb800133,
    0xeea81eee,0x900004ee,0x001bdddd,0x20000000,0x00019a98,0x901bddb3,
    0x80005ddd,0x80000099,0x000deeec,0x0deeeeb8,0x33000000,0xff700001,
    0x217ff20d,0x2006fffa,0x000ffffe,0x009fff50,0x7fffd400,0xfd300005,
    0x8007ffff,0x0005fffb,0x7ffffffc,0xffffffff,0xb7002fff,0x32019dff,
    0x3fffe601,0x3fe6005f,0x3fe6004f,0x0004ffff,0x0677fedc,0x260001c8,
    0xffffedcb,0x002fffff,0x20bfffea,0x004ffffa,0xbffff900,0x05fff000,
    0x8800bffe,0xffffffec,0x7cc003ff,0xffd12fff,0xfd80007f,0x100001ff,
    0x3dfffffb,0xffff5000,0x8000001d,0x0001fffd,0x2217ffcc,0xffa83fff,
    0xfff9006f,0x3e20003f,0x0002ffff,0xffffffb8,0x7f40000d,0x01fffdef,
    0x017ffee0,0xffffff00,0xffffffff,0xb005ffff,0x7fffffff,0xf301ffb8,
    0x001fffff,0x4013ffe6,0xfffffffa,0xffb0005f,0xb87fffff,0x6cc001ff,
    0xffffffff,0x02ffffff,0x05ffff30,0x007ffff5,0x3ffff200,0xdffb0003,
    0x00fffb81,0xffffff50,0x009fffff,0xfbffff30,0x80007fff,0x006ffffb,
    0xefffe880,0x8001ffff,0x00efffe8,0xfff70000,0xf88000df,0xffedffff,
    0xfffa81ff,0xffffa806,0x3fe60002,0x40003fff,0xffeefffc,0xf30000ef,
    0x027fc49f,0x00bfff70,0xeeeeed80,0xeeeffffe,0x6401eeee,0xffffffff,
    0x1ffffdff,0xffffff30,0x3ffe6009,0xefffb804,0x0dfffd89,0x3ffff200,
    0xfdffffff,0xb1001fff,0xffffffff,0xffffffff,0xffff3005,0x5ffff505,
    0x3ff20000,0x2e0001ef,0xffdeffff,0xff9006ff,0xffffffff,0x220009ff,
    0x2ffffffe,0xfffd8000,0x220000ff,0xff53fffe,0x320003ff,0x0000efff,
    0xfffffd80,0x7fcc0000,0x3fffffff,0x80dfff50,0x004ffff9,0x7ffffc40,
    0x3ff20002,0xdfff70df,0x1ff70001,0x2e006fd8,0x00005fff,0x007fffa0,
    0x897ff440,0xfffffffb,0x3ffe602f,0x9800ffff,0x7dc04fff,0x7fdc0dff,
    0xfe8800ef,0xffff712f,0x2005ffff,0xffffffe8,0xd999bfff,0x7c402fff,
    0xffa81fff,0x900000ef,0x0000bfff,0x3ffffff2,0xf9800fff,0x440adfff,
    0x220002b9,0x001ffffe,0xfffff900,0x7ff44000,0x7fff4c1f,0xfff50002,
    0xc800001d,0x0007ffff,0xfffffb30,0x7ffd405d,0x3fffa206,0xff900005,
    0x7ec000df,0xfff983ff,0x7fd4001f,0x7002ffc2,0x0000bfff,0x00ffff40,
    0x9103d100,0x805dffff,0xfffffff9,0x4fff9804,0x100cccc0,0x22001333,
    0xfffc881e,0x3f6002ef,0xffffffff,0x17ffec2f,0x40266620,0x00009999,
    0x00066660,0xffffd500,0x3fa0019f,0x000004ff,0x00133310,0x7fffc400,
    0x26620002,0x06666009,0x09998800,0x7fc40000,0x400002ff,0xa8009a98,
    0x3f606fff,0x400006ff,0x000002ca,0xff100000,0x07ffb57f,0x02fffdc0,
    0xfffd0000,0x30000003,0x3fe60015,0x00ffffdf,0x0027ffcc,0x80000000,
    0x7d4000a9,0xffffffff,0x7ffec2ff,0x00000002,0x00000000,0x00135330,
    0x003fffc4,0x00000000,0x00377100,0x00000000,0x20000000,0x00001bb8,
    0xfff50000,0x3ffff20d,0x00000000,0x0004ccc0,0xfffb8000,0x5c006fff,
    0x00005fff,0x007fffa0,0x20000000,0xffccfff9,0x7ffcc03f,0x00000004,
    0x74000000,0xffffffff,0x7fec2fff,0x0000002f,0x00000000,0xf9800000,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x6fffa800,
    0x01ffffa8,0x40000000,0x0006fff9,0x3ffaa000,0xffb8004f,0x2000005f,
    0x0001fffe,0xf9800000,0x7fff8cff,0x027ffcc0,0xfffd9750,0x00157bdf,
    0xff000000,0xffffffff,0xfffd85ff,0x3b2e6002,0x0001acef,0x7ff65d40,
    0x00abdeff,0xf1000000,0x00003fff,0xffb75100,0x000159dd,0x22000000,
    0xceeffdba,0x7999300a,0x79991000,0x00000000,0xfffdca98,0x7fd41bde,
    0x7fffc46f,0x54c00002,0xbdefffdc,0x1bffe601,0x04000000,0xbfff7000,
    0x7f400000,0x200001ff,0xacefecb9,0x9fff3001,0x980ffff6,0xea804fff,
    0xffffffff,0x0002ffff,0x01999995,0xfffff980,0x2fffffff,0x4017ffec,
    0xffffffe8,0x0001efff,0x7fffff54,0x2fffffff,0x66666440,0xcccccccc,
    0xfe80cccc,0x00001eff,0xffffff50,0x3bffffff,0x33333320,0xcccccccc,
    0x5001cccc,0xffffffff,0xb83bffff,0x98005fff,0x99106fff,0x99999999,
    0x19999999,0x3fffee00,0xffffffff,0x8dfff52e,0x0004fffe,0x3ffffee0,
    0xefffffff,0x06fff982,0x32a00000,0x4000cccc,0x0005fffb,0x07fffa00,
    0x3ffa2000,0xefffffff,0xa7ffcc01,0x2606fffa,0x3a604fff,0xffffffff,
    0x02ffffff,0xffffff00,0xfffa8007,0xffffffff,0x17ffec2f,0x3ffffea0,
    0xffffffff,0xffe98002,0xffffffff,0x4c02ffff,0xffffffff,0xffffffff,
    0xffffa80f,0x6400002f,0xffffffff,0x02ffffff,0xffffffff,0xffffffff,
    0xff9005ff,0xffffffff,0xfb85ffff,0xf98005ff,0xfff306ff,0xffffffff,
    0x01ffffff,0xfffffe88,0xffffffff,0x4dfff54f,0x0005fffd,0xfffffd10,
    0xffffffff,0xdfff309f,0x7c000000,0x003fffff,0x002fffdc,0x3fffd000,
    0xfffa8000,0xffffffff,0x3fe602ff,0x0bfffa4f,0x8827ffcc,0xdefffffe,
    0xfffedccc,0xfff98002,0x4c006fff,0xffffffff,0x7ec2ffff,0x3ff202ff,
    0xffdeffff,0x003fffff,0x3fffffa2,0xfedcccde,0x7fcc02ff,0xffffffff,
    0x0fffffff,0xbfffffd0,0xfe880001,0xeeffffff,0x02fffffe,0xffffffff,
    0xffffffff,0x7f4405ff,0xeeffffff,0x42fffffe,0x8005fffb,0xf306fff9,
    0xffffffff,0xffffffff,0x7fffdc01,0xfedeffff,0xff54ffff,0x3bffeedf,
    0xffb80000,0xdeffffff,0x84fffffe,0x0006fff9,0xffff3000,0xfb800dff,
    0x000005ff,0x0007fffa,0xffffffc8,0xffffffde,0x9fff303f,0x9837ffdc,
    0xffb04fff,0x530019ff,0xfff90003,0x4001ffff,0xfffffff8,0x6c2fffff,
    0xff702fff,0xb9815dff,0x002fffff,0x019ffffb,0xf9803530,0xeeeeefff,
    0xeeeeeeee,0x7fffec40,0x0003ffff,0x7dfffff3,0x0bfae203,0x7777776c,
    0xeeeeffff,0xff301eee,0x2037dfff,0x7dc2feb8,0xf98005ff,0xfff306ff,
    0xdddddddf,0x01dddddd,0x37fffff2,0x9fb5101a,0x3e7bffea,0x80000fff,
    0xadfffffc,0x09fb5101,0x000dfff3,0x3fff2000,0x2000ffff,0x0005fffb,
    0x07fffa00,0x7fffdc00,0x7fdcc0ae,0xff982fff,0x0ffffc4f,0x5427ffcc,
    0x0002ffff,0xdffff000,0xf8007fff,0xffffffff,0x7fec2fff,0xdffff02f,
    0xffffa801,0xffffa806,0xf9800002,0xd00006ff,0xfffdffff,0xd8003dff,
    0x000dffff,0x3fa00026,0xfd8001ff,0x2000dfff,0x2fffdc09,0x37ffcc00,
    0x006fff98,0x3fffe600,0xa8c4003f,0xffffefff,0xff980001,0x44003fff,
    0x06fff981,0xfff00000,0x007fffdf,0x002fffdc,0x3fffd000,0x3fffe000,
    0x7ffd400e,0x4fff986f,0x4c2fffdc,0xffc84fff,0x0000005f,0xff7bfff3,
    0xffd800df,0xffffffff,0x17ffec2f,0x0077ffdc,0x01ffffb8,0x002fffe4,
    0x6fff9800,0xfffc8000,0xfffff70e,0x3fea009f,0x000004ff,0x007fffa0,
    0x09ffff50,0x3ffee000,0xfff98005,0x0dfff306,0x7ffec000,0x7d40002f,
    0x2fffffff,0xfffd8000,0x2600002f,0x00006fff,0xbdfff980,0x2e006fff,
    0x00005fff,0x007fffa0,0x03bffee0,0x0ffffdc0,0xf113ffe6,0xff983fff,
    0x3fffe84f,0xf9000000,0xffff15ff,0x7ffc4001,0xffffffff,0x217ffec2,
    0x002ffff8,0x202fffec,0x0003fffe,0x0dfff300,0xffff8800,0x7fffec40,
    0x7ff400ef,0x0000005f,0x000ffff4,0x0017fffa,0x05fffb80,0x06fff980,
    0x000dfff3,0x0bfffea0,0x3ffea000,0x00ffffde,0x3fffea00,0x7cc00002,
    0x000006ff,0xf8afffc8,0xf7000fff,0x00000bff,0x000ffff4,0x00bfffe2,
    0x98bfffb0,0xffc84fff,0x27ffcc5f,0x001ffffc,0xffff8000,0x007fffd0,
    0xffffffb8,0x7ec2ffff,0x7ffdc2ff,0xfffb8007,0x3fffe00f,0xf3000003,
    0xb8000dff,0x3aa04fff,0x500effff,0x0003ffff,0xfffe8000,0x3ffea001,
    0x2e00001f,0x98005fff,0xff306fff,0x3a0000df,0x00006fff,0xfd1dfff5,
    0x74000dff,0x00006fff,0x446fff98,0x01cdfedb,0x21ffff00,0x7003fffe,
    0x0000bfff,0x00ffff40,0x01fffee0,0x83fffee0,0xf884fff9,0x3fe60fff,
    0x6fffd84f,0xf9800000,0x3fff25ff,0xfffd8005,0x42ffffff,0x7f42fffd,
    0xf88004ff,0x3f602fff,0x000006ff,0x000dfff3,0x802fffc8,0xd05ffffd,
    0x0000bfff,0x3fffd000,0x2ffff400,0x3fee0000,0xff98005f,0xdfff306f,
    0xfff50000,0x2a00003f,0xfff36fff,0xff5000bf,0x000003ff,0x7d4bfff3,
    0x4fffffff,0x2fffcc00,0x200bfff9,0x0005fffb,0x07fffa00,0x09fffd00,
    0x5ffff100,0xd827ffcc,0x3fe64fff,0xffffc84f,0x64000003,0x3fe63fff,
    0xea8000ff,0x2fffffff,0xf117ffec,0x20003fff,0x3203fffd,0x0003ffff,
    0x06fff980,0x1fffe400,0x2ffffc80,0x002ffff8,0xffe80000,0x3ffe001f,
    0x5c00002f,0x98005fff,0xff306fff,0xf90000df,0x40000bff,0x3ee6fffa,
    0x64003fff,0x00005fff,0x32bfff30,0xffffffff,0x3f2006ff,0x3ffe63ff,
    0xfffb800f,0x3a000005,0x22001fff,0x0001ffff,0x7cc7fffb,0xfff304ff,
    0x13ffe61f,0x13ffffe6,0xfff80000,0x1ffffc0f,0xfffd5000,0xfffd85ff,
    0x01fffe62,0x04fffc80,0x13ffffe6,0xfff30000,0xffb8000d,0x3ff6006f,
    0x7fffc45f,0x80000000,0x1001fffe,0x0001ffff,0x05fffb80,0x06fff980,
    0x000dfff3,0x007fffb0,0x37ffd400,0x007ffff6,0x003fffd8,0xbfff3000,
    0xb9bffff9,0x007fffff,0xff03fffe,0xff7007ff,0x400000bf,0x2001fffe,
    0x0007fff9,0xf993fff2,0x3ff604ff,0x09fff33f,0x3fffffee,0x7cc00003,
    0xfffc86ff,0xaa880005,0x7ffec1cb,0x01fffee2,0x05fffb80,0x7fffffdc,
    0xff300003,0xf98000df,0xf3001fff,0xfffa8fff,0x00000007,0x2003fffd,
    0x0007fffa,0x05fffb80,0x06fff980,0x000dfff3,0x005fffd0,0x37ffd400,
    0x03ffffa2,0x017fff40,0xfff98000,0x440dffff,0x9807fffe,0xffc86fff,
    0xfffb805f,0x3a000005,0x2e001fff,0x20007fff,0x3e65fffb,0x3fe604ff,
    0x09fff37f,0x7fffffec,0xc80001cf,0xff983fff,0x000000ff,0x2e2fffd8,
    0x20006fff,0xd806fffb,0xcfffffff,0x3fe60001,0xfd80006f,0xff001fff,
    0x7ffdc1ff,0x00000006,0x2003fffd,0x0006fffb,0x05fffb80,0x06fff980,
    0x000dfff3,0x003ffff0,0x37ffd400,0x037fffcc,0x001ffff8,0xffff3000,
    0x7fc409ff,0x7fe401ff,0xffff983f,0x2fffdc00,0xffd00000,0x7fdc003f,
    0x3ee0006f,0x3ffe66ff,0x57fff404,0x5c04fff9,0xffffffff,0x3fe0002d,
    0xffff01ff,0xb0000005,0x7fe45fff,0x3ea0005f,0xff7007ff,0x5bffffff,
    0xffff3000,0x99999999,0xf8859999,0xe802ffff,0x3ff20fff,0x0000005f,
    0x003fffd0,0x0017fff2,0x17ffee00,0x1bffe600,0x667fffcc,0xcccccccc,
    0x3ffe62cc,0x3fff200f,0x55ffffff,0x3ee0dfff,0x7cc04fff,0x3f200fff,
    0xffffffff,0xfffff985,0x2fffd803,0x80ffffc0,0x5c02ffff,0x00005fff,
    0x007fffa0,0x005fffc8,0x99fffea0,0x7d404fff,0x4fff9eff,0xffffd880,
    0x002effff,0xb037ffcc,0x0000bfff,0x45fffb00,0x0005fffc,0x801fffe6,
    0xffffffd8,0x26002eff,0xffffffff,0xffffffff,0xfffffa84,0xffff100d,
    0x004fffd8,0xffd00000,0x3ff6003f,0xb800004f,0x98005fff,0xff306fff,
    0xffffffff,0x49ffffff,0x6407fffa,0xffffffff,0x0dfff55f,0x017fffec,
    0xc80ffff5,0xffffffff,0xffff985f,0x7fff9004,0x037ffcc0,0xb80bfffb,
    0x00005fff,0x007fffa0,0x005fffc8,0x99fffe60,0xfe804fff,0x04fffbff,
    0x3ffff220,0x000dffff,0x5409fff9,0x0000ffff,0x17ffec00,0x000bfff9,
    0x003fffcc,0x7ffffe44,0x9800dfff,0xffffffff,0xffffffff,0xfffff304,
    0x7fff905f,0x005fffd8,0xffd00000,0x3ff6003f,0xb800005f,0x98005fff,
    0xff306fff,0xffffffff,0x49ffffff,0x6407fffa,0xffffffff,0x0dfff55f,
    0x01ffffe8,0xc80ffff5,0xffffffff,0x6fff985f,0x13ffee00,0x204fffc8,
    0x200ffffa,0x0005fffb,0x07fffa00,0x05fffc80,0x9fffe600,0xa804fff9,
    0x4fffffff,0xfffd5000,0xf001ffff,0x7c403fff,0x00002fff,0x717ffec0,
    0x4000dfff,0x0007fffa,0x7fffff54,0x7fcc00ff,0xeeeeeeff,0x03eeeeee,
    0x3fffff62,0x1ffff70d,0x005fffc8,0xffd00000,0x3ff2003f,0xb800005f,
    0x98005fff,0xff306fff,0xddddddff,0x47dddddd,0x200ffff9,0xfcaaaaa9,
    0xdfff55ff,0xeffff880,0x0ffff980,0x2aaaaa60,0xf985fffc,0x3ea006ff,
    0x3ffe04ff,0x3ffe201f,0x3ffee02f,0x3a000005,0x2e001fff,0x20006fff,
    0x3e67fffa,0xfff004ff,0x0009ffff,0xfffffd98,0x3fffcc06,0x02fffec0,
    0x3ff60000,0x1bffea2f,0x6fffb800,0xffb30000,0xf980dfff,0x000006ff,
    0xdffffff7,0xf703ffff,0x00000dff,0x07fffa00,0x037ffdc0,0x7ffdc000,
    0xfff98005,0x0dfff306,0xffff8800,0xfffa8001,0x00dfff55,0x10bffff5,
    0x0003ffff,0xf30bfff5,0x7d400dff,0xfff304ff,0xbfffb00f,0x677ffdc0,
    0xcccccccc,0x33324ccc,0xffffcccc,0x1ccccccd,0x0037ffd4,0x4cdfff70,
    0xf7004fff,0x009fffff,0x3fffe600,0x3fff204f,0xffffa804,0x36000000,
    0x3fe62fff,0x3f20007f,0x400006ff,0x04fffff9,0x001bffe6,0xfffc8800,
    0x502fffff,0x0000ffff,0x3fffa000,0xffff5001,0xff700000,0xff3000bf,
    0x3ffe60df,0xfff80006,0xffa8001f,0x0dfff55f,0x0fffff20,0x0007fffe,
    0x2617ffea,0x2a006fff,0xff904fff,0xfff5009f,0x3ffee01f,0xffffffff,
    0xf0ffffff,0xffffffff,0xffffffff,0x7fff985f,0x3fff2000,0x013ffe66,
    0x7fffffc4,0x3a200004,0x3fe06fff,0xff8802ff,0x000002ff,0xf88bfff6,
    0xb0000fff,0x00009fff,0x0dfffd10,0x0037ffcc,0x7ff4c000,0x3e602fff,
    0x00000fff,0x1fffe800,0x1ffff300,0xffb80000,0xffa8005f,0xdfff306f,
    0xfffd0000,0xfff50005,0x01bffeab,0x41ffffe8,0x8002fffe,0xf985fffa,
    0x3ea006ff,0xffff04ff,0xffff1005,0x3fffee05,0xffffffff,0xff0fffff,
    0xffffffff,0xffffffff,0x0ffff885,0x9fffb000,0x0027ffcc,0x09fffff9,
    0xfffb8000,0xffff980f,0xaaaaaaab,0x05ffffaa,0x3ff60000,0x17fffc2f,
    0x7fffc400,0xf7000002,0x3e601fff,0x000006ff,0x3bfffee0,0x7ffff100,
    0xd0000000,0x22003fff,0x0003ffff,0x037ffd40,0x827ffd40,0x0006fff9,
    0x006fffd8,0xf55fffa8,0x7c400dff,0x3f60ffff,0xfa8006ff,0xfff985ff,
    0x3ffea006,0xbffff984,0xaaaaaaaa,0x705ffffa,0xffffffff,0xffffffff,
    0x3ffffe1f,0xffffffff,0xf82fffff,0x88002fff,0x3e62ffff,0x3e2004ff,
    0x0004ffff,0x0ffffc40,0x7fffffe4,0xffffffff,0x0007ffff,0x03fffa00,
    0x000bfffd,0x001ffff5,0x3ffe2000,0xdfff301f,0xa8000000,0x3e03ffff,
    0x00007fff,0x1fffe800,0x1ffffe00,0xfff30000,0xfff7000d,0x1bffe607,
    0x3ffee000,0x7fd4001f,0x0000005f,0x003ffff7,0x985fffa8,0x2a006fff,
    0xffc84fff,0xffffffff,0xffffffff,0x00000007,0x077fec00,0x002ffff4,
    0x007fffd4,0x00000000,0x03fffe20,0x3ffffffe,0xffffffff,0x002fffff,
    0x0ffff000,0x001ffff7,0x004fffd8,0x3ffe2000,0xdfff300f,0x90000000,
    0x7dc0bfff,0x00003fff,0x0ffff400,0x7ffff700,0x7fc40000,0xffd8007f,
    0xdfff302f,0xfff10000,0xffa800bf,0x0000005f,0x00bffff1,0x985fffa8,
    0x2a006fff,0xfff84fff,0xffffffff,0xffffffff,0x0000002f,0x1fff9000,
    0x03fffee0,0x09fffb00,0x00000000,0x0ffff300,0xfffffff3,0xffffffff,
    0x00bfffff,0xdfff3000,0x07ffff10,0x07fffcc0,0xff300000,0x7ffcc0ff,
    0x80000006,0x2206fffa,0x000effff,0x3ffa0000,0x3fe2001f,0x00000eff,
    0x800bfffe,0x301ffff8,0x0000dfff,0x007fffee,0x005fffa8,0x00035551,
    0x003ffff7,0x4c2fffd4,0x2a006fff,0x7fcc4fff,0xffffffff,0xffffffff,
    0x2a2005ff,0x000001aa,0x4405fff3,0x2003ffff,0x000ffff9,0x001aaa88,
    0x7ff40000,0xdfffc85f,0xaaaaaaaa,0xfffcaaaa,0x74003007,0xff904fff,
    0xff3005ff,0x000009ff,0x205fffe8,0x0006fff9,0xfffb8000,0x7fffdc03,
    0x0000001e,0x8003fffd,0x01effffb,0xdfffb000,0x2fffe400,0x00dfff30,
    0x7ffff400,0xbfff5003,0x0bffee00,0x7ffff400,0xbfff5003,0x00dfff30,
    0x3227ffd4,0xaaaadfff,0xaaaaaaaa,0x2007fffc,0x0002fffb,0x00dffb00,
    0x005ffff9,0x009ffff3,0x00bffee0,0x98001730,0xf82ffffd,0x88002fff,
    0x4c02ffff,0x7fdc00df,0xfff100ff,0x7fc405ff,0x5cc00fff,0x7fecc000,
    0x3fe602ff,0x0000006f,0x00ffffcc,0x1ffffff4,0x0016d440,0x000ffff4,
    0x1ffffff4,0x4c16d440,0x400dffff,0x201ffffc,0x0006fff9,0x3ffffea0,
    0x5fffa804,0x01fffb00,0x3fffea00,0xfffa804f,0x06fff985,0xf13ffea0,
    0x10005fff,0x2005ffff,0x0000fffd,0x00bfff00,0x05fffff1,0x07ffffc4,
    0x0fffd800,0x677fd400,0xcaa9aabc,0x84fffffd,0x0007fff9,0x8813fffa,
    0x31bcfffe,0x07ffffd5,0xefffffb8,0xfffec9ac,0xffa803ff,0xa9aabcce,
    0xfffffdca,0x37ffcc04,0x4def4000,0x7ffe4c40,0xfff5006f,0x579dffff,
    0x05fffd97,0x03fffd00,0xfffff500,0x97579dff,0x3205fffd,0x9abfffff,
    0xffffeb98,0x37ffcc04,0x3ff60000,0x9bceffff,0x5fffeca9,0x00dfff00,
    0xfffffd80,0xca99bcef,0xf985fffe,0x3ea006ff,0x3ffe64ff,0x3ffa0007,
    0xdfff004f,0x7fc00000,0xffb801ff,0xc9acefff,0x03fffffe,0x01bffe00,
    0x3ffffea0,0xffffffff,0xf905ffff,0x5c000bff,0x3ee07fff,0xffffffff,
    0x006fffff,0xfffffff5,0x5fffffff,0x3fffea00,0xffffffff,0x805fffff,
    0xcccffff9,0xcccccccc,0x3fffe0cc,0xffffffff,0x22000eff,0xfffffffd,
    0xffffffff,0x99999902,0x99bffff9,0x44039999,0xfffffffd,0xffffffff,
    0xffffd102,0xffffffff,0xf9801bff,0xcccccfff,0xcccccccc,0x3fffea00,
    0xffffffff,0x8805ffff,0x80003fff,0xfffffffa,0xffffffff,0x6fff985f,
    0x93ffea00,0x0005fffc,0x201fffee,0x0003fff8,0x3ffffa00,0x3fea03ee,
    0xffffffff,0x0002ffff,0x000fffe2,0x3fffffea,0xffffffff,0x3ffe03ef,
    0x3e60002f,0x3a602fff,0xffffffff,0x4c003fff,0xffffffff,0x2000efff,
    0xfffffffa,0xffffffff,0xfff3003e,0xffffffff,0x41ffffff,0xffffffff,
    0x00dfffff,0xfffff700,0xffffffff,0x3fffe03f,0xffffffff,0x02ffffff,
    0xffffffb8,0xffffffff,0x7fffe401,0xffffffff,0xffff3003,0xffffffff,
    0x801fffff,0xffffffd8,0xffffffff,0x1fffa803,0xffb10000,0xffffffff,
    0xf307ffff,0x7d400dff,0x3fffe4ff,0x3fe60002,0x7fd402ff,0x2000001f,
    0x4ffffff9,0x7ffffcc0,0x0effffff,0x7ffd4000,0xfdc88001,0xffffffff,
    0x7cc02dff,0x40000fff,0xa804fffe,0xfffffffe,0xb710000d,0x7bdfffff,
    0xffb91000,0xffffffff,0xf98005bf,0xffffffff,0xffffffff,0x3fffff60,
    0x01cfffff,0xfedb8800,0xadffffff,0x3ffffe00,0xffffffff,0x002fffff,
    0xffffdb71,0x0015bfff,0x3ffffb66,0x2000ceff,0xfffffff9,0xffffffff,
    0xd95000ff,0xffffffff,0x3f20015b,0xa800007f,0xffffffec,0xf300adff,
    0x7d400dff,0xffff34ff,0xffe80001,0x3ffe404f,0x64400000,0x8803fffe,
    0xefffffdb,0xf900003d,0x220000ff,0x019aaa99,0x02fffe40,0x3fffe400,
    0x026aa200,0x2aa20000,0x4c400000,0x0019aaa9,0x7ffffcc0,0xffffffff,
    0x9980ffff,0x0019aaaa,0x99a98000,0x3fffe000,0xffffffff,0x02ffffff,
    0x0266a600,0x0d54c000,0xffff3000,0xffffffff,0x001fffff,0x026aaa20,
    0x01665c00,0x55440000,0xff30009a,0x7fd400df,0x0bfff94f,0xffff9000,
    0x002ccb80,0x00000000,0x00005544,0x001665c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0x00009999,0x00deeec8,0x00009998,0x01330000,0x99800000,0x00020009,
    0x3bbbae00,0x0000000d,0x37bbbb20,0x774c0000,0x000003ee,0x503dddd7,
    0x3009dddd,0x76c405bb,0xe9800003,0xb802eeee,0xed983eee,0x260000de,
    0x0003eeee,0xb1016ecc,0x0000007d,0x00000000,0x53100000,0x00800133,
    0xee980000,0x266203ee,0x44000099,0x004ffffe,0x7fffec40,0x7ffc01ef,
    0x80000006,0x0001fffd,0x5fff7000,0x9dffb700,0xa8007201,0x000effff,
    0xffc80000,0x980005ff,0x04ffffff,0x7ffd4000,0xffffa82f,0xffff8804,
    0x07fffd01,0x7ffcc000,0x3f2001ef,0xfff50dff,0x7cc0001d,0x004fffff,
    0x03ffff10,0x000ffffa,0xff817ffc,0x7ffc002f,0x005fff02,0x7fe44000,
    0x7007ffff,0x2019dffb,0xff98001c,0xf704ffff,0x4000dfff,0x02ffffe8,
    0x7fff4400,0x201ffffe,0x0002fffc,0x3ffee000,0x0000006f,0xfb00fffd,
    0x87ffffff,0x22001ffb,0x000efffe,0x3ff20000,0xa80003ff,0xffffffff,
    0xff300005,0xfff505ff,0x3fea007f,0xfff883ff,0xf300005f,0x0001bfff,
    0xffbffff9,0x540001df,0xffffffff,0xfffa8005,0xffff883f,0xdffb0005,
    0x00fffb81,0x2077fec0,0x0000fffb,0xfffff500,0xfb00ffff,0x87ffffff,
    0x2a001ffb,0xffffffff,0x5ffffa85,0xfffd1000,0xe880001d,0xfff53fff,
    0x3ffe203f,0x20000005,0x00fffffd,0x7fd40000,0x7ffe404f,0xdfffffff,
    0x8001ffff,0x000efffc,0xfffc8000,0xfb80001e,0xffd89eff,0x260000df,
    0xfa82ffff,0x22002fff,0xfd02ffff,0x300009ff,0x0007ffff,0xffffffb8,
    0x3ee0000e,0xffd89eff,0x3e2000df,0xffd02fff,0x3ee0009f,0xfffdefff,
    0xffb8006f,0xffffdeff,0xf5000006,0xffffffff,0xffffc80f,0xfdffffff,
    0xf7001fff,0xffb13dff,0x7ffd41bf,0xfe88005f,0x880004ff,0x74c1fffe,
    0xffb02fff,0x0000001f,0x01fffff2,0x3ff60000,0x3ffa200f,0xfffff712,
    0x40005fff,0x000efffa,0x3fff2000,0xff700005,0xfffb81bf,0xff88000e,
    0xfffa81ff,0xfea8000e,0x037f6604,0xdfff3000,0x3ee00003,0x40005fff,
    0x5c0dfffb,0x2000efff,0x36604fea,0x320000df,0xffffffff,0xff90000f,
    0x1fffffff,0x3fa00000,0xa999bfff,0x4bffa203,0xffffffb8,0xff7002ff,
    0xfffb81bf,0x9ffff30e,0xfffe8800,0x00073322,0x4c013331,0xfff30199,
    0x20000009,0x002ffff8,0x7ffc4000,0x881e8805,0x02effffc,0x09998800,
    0x26600000,0x26000019,0x26620199,0x99880009,0x13333009,0x00000000,
    0x09998800,0x4cc40000,0x99980001,0x02666201,0x00000000,0x3ffffaa0,
    0x540000cf,0x0cfffffe,0xff900000,0x220001ff,0xfffc881e,0x266002ef,
    0x26662019,0x09ffff30,0x21cccb80,0x0001fff9,0xffe80000,0x20000007,
    0x00001bb8,0x01fffc80,0x002a6000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc00000,0x4000009a,
    0x00009a99,0x1ffff400,0x54c00000,0x80000000,0x004ffff8,0x01bfee00,
    0x5c000000,0x00002fff,0x00000000,0x000dfff0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x0000ffff,0x00000000,0x7fffc400,0x3fa00003,
    0xa980003f,0xbdefffdc,0x1bffe201,0x00000000,0x3fea0000,0x0000003f,
    0x3b2e6000,0x0001acef,0x3bfb2e60,0x200001ac,0xacefecb9,0x6664c001,
    0xccc88003,0x0f332603,0x0f332200,0xffb75100,0x000159dd,0xffffd975,
    0x260157bd,0x88003ccc,0x26003ccc,0x1acefecb,0x00000000,0x00000000,
    0x037ffd40,0x00000000,0x99999993,0x99999999,0x01ffffc5,0x1fff9800,
    0x3ffee000,0xffffffff,0xfff902ef,0x99900003,0x99999999,0x99999999,
    0x7f400039,0x332200ff,0x22000ccc,0xe8802ccc,0xffffffff,0x220001ef,
    0xfffffffe,0x20001eff,0xffffffe8,0x7001efff,0x3000bfff,0x7dc0dfff,
    0xf98005ff,0xff5006ff,0xffffffff,0xd5003bff,0xffffffff,0x2e05ffff,
    0x98005fff,0xe8806fff,0xffffffff,0x664001ef,0xcccccccc,0xcccccccc,
    0x66654001,0x000000cc,0x0009fff9,0x66666664,0xcccccccc,0xff501ccc,
    0xffffffff,0x7c9fffff,0x4c002fff,0xffeefdca,0xffd10006,0xffffffff,
    0x2609ffff,0x80005fff,0xffffffff,0xffffffff,0x0003ffff,0x9809fff3,
    0x005fffff,0x5013ffe6,0xffffffff,0x005fffff,0xffffff50,0x5fffffff,
    0xffff5000,0xffffffff,0xfff7005f,0xfff3000b,0x2fffdc0d,0x37ffcc00,
    0x7ffffe40,0xffffffff,0x3ffa602f,0xffffffff,0xf702ffff,0xf3000bff,
    0xffa80dff,0xffffffff,0x3e002fff,0xffffffff,0xffffffff,0x7ffc002f,
    0x00003fff,0x007fffb0,0x7fffffc0,0xffffffff,0xf502ffff,0xffffffff,
    0x49ffffff,0x3002fffe,0xfffffffd,0xb8003dff,0xffffffff,0xfffffede,
    0x03fff604,0xfffff000,0xffffffff,0x7fffffff,0x3fff6000,0x7fffcc01,
    0xff3000ff,0x7ffe409f,0xfffdefff,0x2003ffff,0xeffffffc,0xfffffffd,
    0x3fff2003,0xfffdefff,0x5c03ffff,0x98005fff,0x3ee06fff,0xf98005ff,
    0x3fa206ff,0xeeffffff,0x02fffffe,0xdfffffd1,0xffdb999b,0x3ffee05f,
    0xfff98005,0x3ffff206,0xffffdeff,0xff003fff,0xffffffff,0xffffffff,
    0x7ffcc005,0x00006fff,0x005fffd0,0x7fffffc0,0xffffffff,0xf502ffff,
    0xffffffff,0x49ffffff,0xc801eeed,0xffffffff,0x003fffff,0x5bfffff9,
    0x13f6a203,0x003fffa8,0x7fffffc0,0xffffffff,0x02ffffff,0x05fff880,
    0xffffff98,0x9fff3004,0x3bfffee0,0x7ffdcc0a,0xffb802ff,0x5cc0aeff,
    0x802fffff,0x0aeffffb,0x7ffffdcc,0x17ffee02,0x1bffe600,0x005fffb8,
    0x306fff98,0x37dfffff,0x40bfae20,0x00cffffd,0xff701a98,0xff3000bf,
    0x3ffee0df,0x7dcc0aef,0xd802ffff,0xffeeeeee,0xeeeeeeff,0x3ff2001e,
    0x000fffff,0x1ffff800,0x3bbb6000,0xeffffeee,0x01eeeeee,0x9fffb000,
    0x7fff4000,0xffebceff,0x4c03ffff,0x003fffff,0x3ffe00c4,0x4ccc0006,
    0x99999999,0xffff9999,0xfff70006,0xffff3005,0xf3001fff,0x3ffe09ff,
    0x7fd400ef,0xfff806ff,0x7fd400ef,0xfff806ff,0x7fd400ef,0x3fee06ff,
    0xff98005f,0x3ffee06f,0xfff98005,0xbffffb06,0x5404c001,0x0002ffff,
    0x017ffee0,0x41bffe60,0x400effff,0x006ffffa,0x00ffff40,0xeffff800,
    0x00003fff,0x007fffc4,0xfffe8000,0xd8000001,0x70004fff,0xfd07ffff,
    0x03ffffff,0x017fffec,0xfffb8000,0x80000002,0x001ffffb,0x200dffd0,
    0xfffffff9,0x4fff9804,0x00efffb8,0x03ffff70,0x0077ffdc,0x01ffffb8,
    0x003bffee,0x80ffffdc,0x8005fffb,0x2e06fff9,0x98005fff,0xffa86fff,
    0x200004ff,0x0005fffc,0x02fffdc0,0x437ffcc0,0x000efffb,0x003ffff7,
    0x00ffff40,0x6fffcc00,0x0006fffb,0x03fffcc0,0xfffd0000,0xb0000003,
    0x10009fff,0xf307ffff,0xdffff5ff,0x0bfffea0,0xff880000,0x0000005f,
    0x027fffcc,0x03fffa80,0xffbfff30,0xff9801ff,0x7fffc44f,0x7ffec002,
    0x5ffff105,0x5fffd800,0x05ffff10,0x05fffd80,0x000bfff7,0x5c0dfff3,
    0x98005fff,0xffe86fff,0x7400005f,0x00003fff,0x002fffdc,0x2237ffcc,
    0x4002ffff,0x0005fffd,0x0007fffa,0x22bfff20,0x4000ffff,0xb9999998,
    0x9999efff,0x20000999,0x0001fffe,0x4fffd800,0x4fffc800,0x3eadff90,
    0xffe81fff,0x8000006f,0x0001fffd,0x3fffa000,0x3ff60006,0xfff3000f,
    0x807fff99,0x7dc4fff9,0xfb8007ff,0xffb80fff,0xffb8007f,0xfffb80ff,
    0xfffb8007,0x5fffb80f,0x6fff9800,0x017ffee0,0x51bffe60,0x0003ffff,
    0x03ffff80,0x7ffdc000,0xfff98005,0x03fffdc6,0x07fffdc0,0x1fffe800,
    0xffff8000,0x007fffd0,0xffffffd8,0xffffffff,0x0003ffff,0x0007fffa,
    0x3fff6000,0x7ffc4004,0x47ffd01f,0x7d44fffd,0x00001fff,0x04fff980,
    0xff700000,0x260003ff,0x26005fff,0xfff8cfff,0x27ffcc07,0x0013fffa,
    0x20bfffe2,0x8004fffe,0xe82ffff8,0x88004fff,0xfb82ffff,0xf98005ff,
    0x3fee06ff,0xff98005f,0x2ffff46f,0x7fec0000,0x5c00006f,0x98005fff,
    0x7ff46fff,0xff88004f,0xfd0002ff,0x980003ff,0x3ff25fff,0x7fec005f,
    0xffffffff,0xffffffff,0x3ffa0003,0x8000001f,0x4004fffd,0xf305fff9,
    0x7ffdc1ff,0x02fffe46,0xffd00000,0x8000001f,0x004ffff9,0x007fff20,
    0xfb4fff98,0x7fcc07ff,0x3fffe24f,0xfffb0001,0x1ffff887,0x7fffb000,
    0x01ffff88,0x07fffb00,0x000bfff7,0x5c0dfff3,0x98005fff,0x7ffc6fff,
    0xc800002f,0x0003ffff,0x017ffee0,0x89bffe60,0x0001ffff,0x0007fffb,
    0x0007fffa,0x4c7fff90,0x2000ffff,0xfffffffd,0xffffffff,0x20003fff,
    0x0001fffe,0x4fffd800,0x1fffd400,0x7cc6ffc8,0x7ffec7ff,0x20000003,
    0x0003fffa,0x37fff400,0xdfff1000,0x4fff9800,0x4c0dfff5,0x3fe64fff,
    0x3f20007f,0x7ffcc4ff,0x3ff20007,0x3fffcc4f,0x9fff9000,0x00bfff70,
    0x40dfff30,0x8005fffb,0x3e26fff9,0x00000fff,0x4fffff98,0xfff70000,
    0xfff3000b,0x03fffccd,0x09fff900,0x07fffa00,0x1ffff000,0x003ffff8,
    0x26666662,0x999affff,0x00009999,0x0007fffa,0x3fff6000,0x7ffe4004,
    0x887ffd02,0x7ff47fff,0x0000002f,0x00037ffc,0x3ffff700,0x7ffdc000,
    0x7ffcc002,0x40bfffa4,0x3ee4fff9,0x2e0007ff,0x7fdc5fff,0x3ee0007f,
    0x7ffdc5ff,0x3fee0007,0x5fffb85f,0x6fff9800,0x017ffee0,0xa9bffe60,
    0x00007fff,0x3ffffee0,0x7dc0003f,0xf98005ff,0x3ffee6ff,0x3fee0007,
    0xffd0005f,0x7cc0003f,0xfffc86ff,0xff880005,0x000000ff,0x0007fffa,
    0x3fff6000,0x7ffec004,0x80fff982,0x3fe0ffff,0x000001ff,0x00fffe40,
    0x7ffc4000,0x7f40004f,0xff98007f,0x1bffee4f,0xf727ffcc,0x5c000dff,
    0x7fdc6fff,0x3ee0006f,0x7ffdc6ff,0x3fee0006,0x5fffb86f,0x6fff9800,
    0x017ffee0,0xb9bffe60,0x00006fff,0x7ffffec0,0xb8001cff,0x98005fff,
    0x3fee6fff,0x3ee0006f,0xfd0006ff,0x640003ff,0xff983fff,0x4c0000ff,
    0x00007fff,0x00ffff40,0x7fec0000,0x7ff4004f,0x06ffc81f,0x3e61fffd,
    0x3f200fff,0xffffffff,0x3ffe2005,0xfe800005,0x4c0006ff,0x98004fff,
    0x7ffc4fff,0x4fff981f,0x0017fff2,0x647fffa8,0x20005fff,0x7e47fffa,
    0x2a0005ff,0xffb87fff,0xff98005f,0x3ffee06f,0xfff98005,0x017fff26,
    0x3fee0000,0x2dffffff,0x17ffee00,0x9bffe600,0x0005fffc,0x001fffea,
    0x000ffff4,0x203ffff0,0x0002ffff,0x0037ffd4,0x3fffa000,0xd8000001,
    0x6c004fff,0xffe82fff,0x54ffff03,0x7e407fff,0xffffffff,0x7ffec005,
    0x3ee00000,0x40001fff,0x8000fffd,0x7dc4fff9,0xfff985ff,0x017fff24,
    0x47fff980,0x0005fffc,0xf91fffe6,0x4c000bff,0xffb87fff,0xff98005f,
    0x3ffee06f,0xfff98005,0x013fff66,0x7ec40000,0xefffffff,0x5fffb802,
    0x6fff9800,0x0017fff2,0x007fff98,0x003fffd0,0x81bffe60,0x0005fffd,
    0x002fffdc,0x3fffa000,0xd8000001,0x64004fff,0x7fcc4fff,0x6fff881f,
    0x901fffea,0xffffffff,0xffa800bf,0xf100004f,0x80009fff,0x0005fff8,
    0xf889fff3,0x7fcc1fff,0x17fff24f,0x7fff9800,0x002fffe4,0xc8ffff30,
    0x20005fff,0xfb87fff9,0xf98005ff,0x3fee06ff,0xff98005f,0x17fff66f,
    0x91000000,0xffffffff,0x7ffdc01b,0xfff98005,0x017fff26,0x07fff980,
    0x03fffd00,0x13fff200,0x00ffffa8,0x13fff200,0xffd00000,0x0000003f,
    0x8009fffb,0x7e45fffb,0xbfff306f,0x007fffcc,0xf9555553,0xfd000bff,
    0x360000ff,0x80006fff,0x0002fffc,0xf909fff3,0xfff98bff,0x01bffee4,
    0x47fffa80,0x0006fffb,0xf71fffea,0x54000dff,0xffb87fff,0xff98005f,
    0x3ffee06f,0xfff98005,0x017fff26,0xea800000,0x0fffffff,0x00bfff70,
    0x5cdfff30,0x20006fff,0x0007fffa,0x0003fffd,0x8807fffe,0x0002ffff,
    0x000ffff6,0x3fffd000,0xfb000000,0xfa8009ff,0x1fff46ff,0x224fffc8,
    0x8001ffff,0x8005fffa,0x0002fffb,0x00ffffdc,0x037ffc00,0x09fff300,
    0x4c1ffff1,0x3fea4fff,0x3ee0006f,0x7ffd46ff,0x3fee0006,0x37ffd46f,
    0xdfff7000,0x00bfff70,0x40dfff30,0x8005fffb,0x3ee6fff9,0x000006ff,
    0xfffd9800,0xfff706ff,0xfff3000b,0x037ffd4d,0x0dfff700,0x07fffa00,
    0x1fffe600,0x017fff60,0x02fffe80,0x7ff40000,0x8000001f,0x8004fffd,
    0xff33ffff,0xffff103f,0x01ffff83,0x05fffa80,0x06fff880,0x3fffe200,
    0xffa80004,0x3e60003f,0xfffb04ff,0x327ffcc9,0x4000ffff,0x7cc6fffc,
    0x320007ff,0x7fcc6fff,0x3f20007f,0xfffb86ff,0xfff98005,0x17ffee06,
    0x9bffe600,0x0007fffa,0x3e600000,0xfb84ffff,0xf98005ff,0x3ffe66ff,
    0x3ff20007,0xffd0006f,0xff90003f,0xfff5009f,0x3fe0001f,0x000001ff,
    0x000ffff4,0x7ffec000,0xfffc8004,0x906ffc9f,0xffd0bfff,0xff50005f,
    0x3f2000bf,0xfb0001ff,0x20000dff,0x0000fffe,0x4c13ffe6,0xff30ffff,
    0x7fffc49f,0xfffb0000,0x0ffff889,0x9fffb000,0x00ffff88,0x09fffb00,
    0x000bfff7,0x5c0dfff5,0xa8005fff,0x3fe66fff,0x000000ff,0x3ffa2000,
    0x5fffb86f,0x6fffa800,0x003fffe2,0x027ffec0,0x01fffe80,0x02ffff80,
    0x02ffff88,0x0ffff880,0x7f400000,0x000001ff,0x004fffd8,0xeeffff98,
    0xfffc83ff,0x6fffd80f,0x5fffa800,0x9fff3000,0xffff7000,0xff300003,
    0xf980009f,0x3ff604ff,0x89fff33f,0x8002ffff,0xf82ffff8,0x88002fff,
    0xff82ffff,0xf88002ff,0xffa82fff,0xffa8006f,0x3ffea04f,0xfffa8006,
    0x0ffffe24,0x00000000,0xa81ffff7,0xa8006fff,0x7ffc4fff,0xff88002f,
    0xfd0002ff,0xf98003ff,0xaaaabfff,0xfffaaaaa,0xff98005f,0x8000007f,
    0x0001fffe,0x3fffd800,0xffff7000,0x36e63fff,0xf704ffff,0xa8003fff,
    0x20005fff,0x2000fffe,0x004ffff8,0x03fff900,0x4fff9800,0x4dfffe60,
    0x7ff44fff,0xffa8005f,0xfffe80ff,0xfffa8005,0x5fffe80f,0xffffa800,
    0x06fff980,0x03fffb80,0x001bffe6,0xff0fffee,0x00000fff,0xfff88000,
    0x37ffcc1f,0x1fffdc00,0x0017fffa,0x003fffea,0x00ffff40,0x3fffff20,
    0xffffffff,0x007fffff,0x005fffa8,0xfffe8000,0xe8000001,0x20002fff,
    0xfffffffc,0x4fffffff,0x17fffe20,0x0bfff500,0x1fffd400,0x0dfffb00,
    0x3ffe2000,0xff980006,0x7fff404f,0x5c4fff9a,0x4000ffff,0xf704fffd,
    0xd8001fff,0xff704fff,0xfd8001ff,0xfff104ff,0xfffb000f,0x3fffc405,
    0x17ffec00,0x00ffffee,0x88000000,0x7c40ffff,0xfd8007ff,0x7ffdc2ff,
    0x7fec000f,0x3fa0004f,0x7fc001ff,0xffffffff,0xffffffff,0x7e4002ff,
    0x000004ff,0x001fffe8,0xffff8000,0x7fd40001,0xffffffff,0xffb802ff,
    0x3ea001ff,0x7c0005ff,0xff5006ff,0x200003ff,0x0002fffb,0x404fff98,
    0xff9efffa,0x7fffc44f,0x3ffe6003,0xffff100f,0x7ffcc007,0xffff100f,
    0x7ffcc007,0x3fffe00f,0x3ffe2002,0x7fffc01f,0x3ffe2002,0x7fffc41f,
    0x0000000e,0x0ffff300,0x800bfffe,0x441ffff8,0x2003ffff,0x000ffff9,
    0x007fffa0,0xffffff98,0xffffffff,0x05ffffff,0x017fffc0,0x7ff40000,
    0x4000001f,0x000ffff8,0xfffffa80,0x000cefff,0x00fffffa,0x002fffd4,
    0x00bffee0,0x009ffff1,0x03fff400,0x4fff9800,0xfbfffe80,0xfffc84ff,
    0xfff9802f,0x7ffe404f,0xfff9802f,0x7ffe404f,0xfff9802f,0x7ffec04f,
    0x3fff2006,0x6fffd805,0x17fff200,0x0f7fffdc,0x40000000,0xfb05fffe,
    0x7e400dff,0xfff905ff,0xfff3005f,0xfe80009f,0x3f2001ff,0xaaaaadff,
    0xcaaaaaaa,0x2a007fff,0x0000ffff,0x1fffe800,0x36001800,0x00006fff,
    0x1555dff9,0x7ffd4000,0xffa804ff,0x7c40005f,0x7fec05ff,0x2a00006f,
    0x00003fff,0x5009fff3,0x9fffffff,0x5fffff10,0x7ffffc40,0x7fffc400,
    0x3ffe202f,0x7fc400ff,0x3e202fff,0x4c00ffff,0x400dffff,0x801ffffc,
    0x00dffff9,0x00ffffe4,0x07fffffd,0xb985b510,0x7fecc000,0xfff302ff,
    0xffc801bf,0xfff101ff,0x7fc405ff,0x40000fff,0x2001fffe,0x8002ffff,
    0x002ffff8,0x000dfffb,0x3fffa000,0x02ed8001,0x017fffe4,0x03ffe800,
    0x7ffec000,0x99bcefff,0x05fffeca,0x0fffd800,0x03ffff50,0x7ffec000,
    0xff300000,0x3ffe009f,0xf704ffff,0x359dffff,0x7fffffd9,0x3fffee00,
    0xfec9acef,0x7003ffff,0x59dfffff,0xfffffd93,0x3fff2007,0xb989abff,
    0x004ffffe,0x2ffffff2,0xffeb989a,0x7fd404ff,0xbcefffff,0x2fffecba,
    0x5e677fd4,0xfdcaa9aa,0x6404ffff,0x9abfffff,0xffffeb98,0x7fffdc04,
    0xfec9acef,0x0003ffff,0x001fffe8,0x000ffff3,0x2627fff4,0xffffb310,
    0x20000005,0x8001fffe,0xaacdeffd,0x05ffffec,0x1fff3000,0xff500000,
    0xffffffff,0x0bffffff,0x9fff3000,0xdfffff10,0xdddddddd,0x49dddddd,
    0x0005fff8,0x013ffe60,0x7fffffdc,0x3fffea04,0xffffffff,0x7d4002ff,
    0xffffffff,0x002fffff,0x7fffffd4,0xffffffff,0x3ffa2002,0xffffffff,
    0x000dffff,0x3fffffa2,0xffffffff,0xfd8800df,0xffffffff,0x42ffffff,
    0xfffffffa,0xffffffff,0xfe8805ff,0xffffffff,0x00dfffff,0xffffffa8,
    0xffffffff,0x33332002,0xdffffccc,0x21cccccc,0x0005fffc,0xff1fffee,
    0xdfffffff,0xccc80000,0xffffcccc,0x1ccccccd,0xffffffb0,0x1dffffff,
    0x3ff20000,0x22000006,0xfffffffd,0x3fffffff,0xfffd0000,0xffffff50,
    0xffffffff,0x4bffffff,0x0001fffc,0x013ffe60,0x7fffffc4,0x7fffcc04,
    0xefffffff,0xfff30000,0xffffffff,0x3e60001d,0xffffffff,0x90000eff,
    0xffffffff,0x0007ffff,0x7fffffe4,0x03ffffff,0xfffffb80,0xffffffff,
    0x7fffd41f,0xffffffff,0x4003efff,0xfffffffc,0x003fffff,0x7fffffcc,
    0x00efffff,0x7fffffc0,0xffffffff,0x3fe2ffff,0x260002ff,0x3fe2ffff,
    0x0dffffff,0x7ffc0000,0xffffffff,0x2fffffff,0xffffff90,0x009fffff,
    0x03ffe800,0xeca80000,0xffffffff,0x200000ad,0x7d42fffb,0xffffffff,
    0xffffffff,0x3ffe5fff,0x7cc00006,0x3f2004ff,0x8804ffff,0xefffffdb,
    0xb880003d,0xdefffffd,0xdb880003,0x3defffff,0xfed98000,0x0cefffff,
    0xfed98000,0x0cefffff,0x3b6e2000,0xdfffffff,0xffdc880a,0xffffffff,
    0x260002df,0xffffffed,0x710000ce,0xbdfffffb,0x3ffe0007,0xffffffff,
    0x2fffffff,0x001ffff3,0x24fffe80,0x3fffffff,0xfff00000,0xffffffff,
    0x5fffffff,0x7fff64c0,0x0002deff,0x00000000,0x09aaa880,0x20000000,
    0xfffffffa,0xffffffff,0x005fffff,0xfff30000,0x7ffc4009,0xa88004ff,
    0x4000000a,0x00000aa8,0x00055440,0x06aa6000,0x2a600000,0x4000001a,
    0x800099a9,0x19aaa998,0x2a600000,0x1000001a,0xf0000155,0xffffffff,
    0xffffffff,0x17fff25f,0x3fff2000,0x026aaa27,0xfff00000,0xffffffff,
    0x5fffffff,0x00666200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x76400000,0x0000deee,0x37bbbb20,0x77754000,0xeeeeeeee,0xc800004e,
    0x800deeee,0x36202dd9,0x4000003e,0x00deeeec,0xb8000000,0xed983eee,
    0x3ae000de,0x0000deee,0x3bbba600,0x37660003,0x00fb6202,0xdddd9000,
    0xbb30001b,0x01f6c405,0x09ddd700,0x001bddb1,0x7dddd300,0xd9000000,
    0x0001bddd,0x6f777640,0x7ddd7000,0x01bddb30,0x77774c00,0x40000003,
    0x00deeeec,0xffffc800,0x7e400005,0x8000dfff,0xfffffffa,0x006fffff,
    0x7fffe400,0xffff1005,0x0ffffa03,0x7fe40000,0x220005ff,0xceeffdba,
    0x3ff2000a,0xdfff50df,0xfff50001,0x000001df,0x9ffffff3,0xffff1000,
    0x0ffffa03,0x7ffe4000,0xff10005f,0x3ffa03ff,0x3f20003f,0xfff50eff,
    0xf300003f,0x009fffff,0x7ffe4000,0x6400005f,0x8005ffff,0xf50dfffc,
    0x40001dff,0x4ffffff9,0xf9000000,0x0000bfff,0x00fffff2,0xffff9000,
    0x7fd40007,0xffffffff,0x200006ff,0x003ffffc,0x20ffffea,0x005ffff8,
    0xffffc800,0xfff50003,0xffffffff,0x3f2003bf,0xefffdfff,0x3fa20000,
    0x00000eff,0x3fffffea,0x7d4005ff,0xff883fff,0xc80005ff,0x0003ffff,
    0x20ffffea,0x005ffff8,0x6ffffdc0,0x0000efff,0xffffffa8,0x800005ff,
    0x003ffffc,0x7fffe400,0x3ff20003,0x0efffdff,0x3ffea000,0x005fffff,
    0x7ffe4000,0xf900003f,0x00003dff,0x01efffb8,0x4cccc400,0x99999999,
    0xff900000,0xf88003df,0xffd02fff,0xc800009f,0x0001efff,0xfffffff9,
    0x5fffffff,0x7fffdc00,0x00000eff,0x001dfff9,0x3dfff700,0x01bfffb1,
    0x0bfffe20,0x0027fff4,0x07bfff20,0xffff1000,0x13fffa05,0x3ffee000,
    0x0000efff,0x89efffb8,0x000dfffd,0x3dfff900,0xffc80000,0xb80001ef,
    0x0effffff,0x3ffee000,0xdfffd89e,0xfc800000,0x00001eff,0x000bfff9,
    0x1bfff700,0x00000000,0x7ffe4000,0x3faa0005,0x037f6604,0xfffc8000,
    0xffd10005,0xdddfffff,0x005fffff,0x05ffffb8,0xfffa8000,0x3ee0000e,
    0x7fdc0dff,0xfd5000ef,0x06fecc09,0xbfff9000,0x7f540000,0x037f6604,
    0x7ffd4000,0xb80000ef,0x7dc0dfff,0x40000eff,0x0005fffc,0x05fffc80,
    0x7ffdc000,0x7dc0005f,0x7fdc0dff,0x200000ef,0x0005fffc,0x000cccc0,
    0x01999800,0x00000000,0x01999800,0x00000000,0x01999800,0xfffff300,
    0x3ae2037d,0x9988002f,0x22000001,0x20000999,0x26201999,0x00000099,
    0x26660000,0x00000001,0x98800000,0x26000019,0x26620199,0x4cc00009,
    0x30000019,0x00000333,0x00006662,0x98806666,0x20000099,0x00001999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3f600000,0x2000dfff,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ccc9800,0x3ccc8800,0x00000000,0x00000000,0xfffa8000,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00f33260,0x80f33220,
    0xcccccccc,0x40009abc,0x8005fffb,0x9106fff9,0x99999999,0x99999999,
    0xccca8001,0xa80000cc,0x00002ccc,0x000bfffd,0x66666640,0xcccccccc,
    0xcccccccc,0x99999101,0x99999999,0x32019999,0xcccccccc,0xcccccccc,
    0x9999901c,0x99999999,0x2e399999,0x0000cccc,0xb8666654,0x0000cccc,
    0x00666654,0x99999999,0x80013579,0x8003ccc9,0xcc83ccc9,0xcccccccc,
    0xcccccccc,0x666441cc,0x322000cc,0xcccc82cc,0xcccccccc,0xcccccccc,
    0x66654001,0x640000cc,0xcccccccc,0xcccccccc,0x2fffdc1c,0x37ffcc00,
    0xfffffff0,0x19ffffff,0x17ffee00,0x1bffe600,0x7fffffcc,0xffffffff,
    0x7c000fff,0x003fffff,0x05fffb80,0xffffa800,0x3fe00001,0xffffffff,
    0xffffffff,0xf302ffff,0xffffffff,0xffffffff,0x3ffffe01,0xffffffff,
    0xf02fffff,0xffffffff,0xffffffff,0x3fffea5f,0x7ffc0004,0x3fffea5f,
    0x7ffc0004,0x7fffc05f,0xffffffff,0xff5000cf,0xff5000bf,0xfffff0df,
    0xffffffff,0x7fffffff,0x5fffff98,0x13ffe600,0x3ffffffe,0xffffffff,
    0x003fffff,0x1ffffffc,0x3fffe000,0xffffffff,0x42ffffff,0x8005fffb,
    0x3e06fff9,0xffffffff,0x04ffffff,0x005fffb8,0x306fff98,0xffffffff,
    0xffffffff,0x7fcc001f,0x0006ffff,0x005fffb8,0x05fffe80,0x7fffc000,
    0xffffffff,0xffffffff,0xfff302ff,0xffffffff,0x01ffffff,0x3ffffffe,
    0xffffffff,0xfff02fff,0xffffffff,0x5fffffff,0x00ffffec,0x1ffffb80,
    0x00ffffec,0x1ffffb80,0x7fffffc0,0xffffffff,0xfffa804f,0xfffa8005,
    0xffffff86,0xffffffff,0x43ffffff,0x0ffffff9,0x09fff300,0xffffffff,
    0xffffffff,0x4007ffff,0x6ffffff9,0x7fffc000,0xffffffff,0x42ffffff,
    0x8005fffb,0x3e06fff9,0xfeeeefff,0x4fffffff,0x02fffdc0,0x837ffcc0,
    0xeeeffff9,0xeeeeeeee,0x3f2000ee,0x00ffffff,0x2fffdc00,0x7fffc000,
    0x7fc00002,0xffffffff,0xffffffff,0xf302ffff,0xdddddfff,0xdddddddd,
    0x3bbbb601,0xeeffffee,0xb01eeeee,0xffdddddd,0xddddddff,0x7fffcc3d,
    0xfff88005,0xffff984f,0xfff88005,0xffff804f,0xffffeeee,0x5404ffff,
    0xa8005fff,0xfff86fff,0xffffffff,0xffffffff,0x7fffcc2f,0xff3004ff,
    0xfffff09f,0xffffffff,0x5fffffff,0x7fffe400,0x20000fff,0xfeeeeeed,
    0xeeeeefff,0x7ffdc1ee,0xfff98005,0x03fffe06,0x7ffffe4c,0x17ffee01,
    0x1bffe600,0x0037ffcc,0x7fffc000,0x0003fffe,0x002fffdc,0x03fffe20,
    0x3a000000,0x20001fff,0x0006fff9,0x3fffa000,0x7f400001,0x3f6001ff,
    0x64001fff,0xfb00ffff,0xc8003fff,0xf800ffff,0xf9300fff,0x5403ffff,
    0xa8005fff,0x99986fff,0x99999999,0xffff9999,0xfffff986,0xff9800ff,
    0x9999984f,0x99999999,0x06ffff99,0x7f7fffc0,0x000003ff,0x4003fffd,
    0x8005fffb,0x3e06fff9,0x7cc00fff,0x3ee05fff,0xf98005ff,0xfff306ff,
    0x9800000d,0xfffbdfff,0x7fdc0006,0x7d40005f,0x000007ff,0x03fffd00,
    0x37ffcc00,0xfd000000,0x800003ff,0x2001fffe,0x006ffff8,0x80ffffe2,
    0x006ffff8,0x00ffffe2,0x2007fffc,0x205ffff9,0x8005fffa,0x0006fffa,
    0x07fffee0,0x3fffffe6,0xfff9804f,0x3ee00004,0x26001fff,0xfffbdfff,
    0xfd000006,0x7dc003ff,0xf98005ff,0x3ffe06ff,0xfffc800f,0x17ffee07,
    0x1bffe600,0x0037ffcc,0x3fff2000,0x00ffff8a,0x17ffee00,0xdfff7000,
    0x20000000,0x0001fffe,0x001bffe6,0xfffe8000,0x7f400001,0x7dc001ff,
    0xf9002fff,0xff700dff,0x3f2005ff,0x3fe006ff,0xffc800ff,0x3ffea07f,
    0xfffa8005,0xff300006,0x3fe609ff,0x00ffffdf,0x0027ffcc,0x4ffff980,
    0x57ffe400,0x000ffff8,0x1fffe800,0x17ffee00,0x1bffe600,0x800ffff8,
    0x700ffff9,0x3000bfff,0x3e60dfff,0x000006ff,0xfe87fffc,0x2e0003ff,
    0x40005fff,0x0005fffc,0xfffd0000,0x7fcc0003,0x0000006f,0x0007fffa,
    0x03fffd00,0x6ffff880,0x2ffff880,0x6ffff880,0x2ffff880,0x03fffe00,
    0x03fffe60,0x002fffd4,0x0037ffd4,0x06fffe80,0x3f33ffe6,0x7fcc03ff,
    0xfd00004f,0xff000dff,0x3fffa1ff,0xfe800003,0x3ee001ff,0xf98005ff,
    0x3ffe06ff,0xfff8800f,0xbfff701f,0xdfff3000,0x01bffe60,0xfff98000,
    0x017fff25,0x05fffb80,0x27ffec00,0xe8000000,0x20001fff,0x0006fff9,
    0x3fffa000,0x7f400001,0xfa8001ff,0x7ec03fff,0x3ea006ff,0x7ec03fff,
    0x7fc006ff,0xff8800ff,0xfff501ff,0xfff5000b,0xff70000d,0x7fcc03ff,
    0x07fff8cf,0x0027ffcc,0x0ffffdc0,0x97ffe600,0x0005fffc,0x01fffe80,
    0x017ffee0,0x81bffe60,0x9800ffff,0xf700ffff,0xf3000bff,0x3fe60dff,
    0x2000006f,0x3e63fffc,0x70000fff,0x8000bfff,0x0005fffd,0xfffd0000,
    0x7fcc0003,0x0000006f,0x0007fffa,0x03fffd00,0x1ffffa00,0x01ffff98,
    0x03ffff40,0x003ffff3,0x800ffff8,0x500ffff9,0x5000bfff,0x8000dfff,
    0x404ffff9,0xffb4fff9,0x7ffcc07f,0x7fcc0004,0xfc8004ff,0x3ffe63ff,
    0x7400000f,0x2e001fff,0x98005fff,0x3fe06fff,0xffa800ff,0x3ffee07f,
    0xfff98005,0x0dfff306,0x7ffc0000,0x1ffffc0f,0x5fffb800,0x7ffec000,
    0x00000005,0x0003fffd,0x0037ffcc,0xfffd0000,0xfe800003,0xf30001ff,
    0x3f607fff,0xf98005ff,0xffb03fff,0xfff000bf,0xfff5001f,0x2fffd40f,
    0x37ffd400,0x3fffa000,0x4fff9806,0x4c0dfff5,0x40004fff,0x0006fffe,
    0xff81ffff,0x400003ff,0x2001fffe,0x8005fffb,0x3e06fff9,0xfe800fff,
    0x3fee05ff,0xff98005f,0xdfff306f,0x3e600000,0xfffc86ff,0xfff70005,
    0xffc8000b,0x0000006f,0x003fffd0,0x037ffcc0,0xffd00000,0xe800003f,
    0x20001fff,0x4c0ffffd,0x0000ffff,0x981ffffb,0x8000ffff,0xe800ffff,
    0x3ea05fff,0xfa8005ff,0x2e0006ff,0x9801ffff,0x3ffa4fff,0x9fff302f,
    0x7ffdc000,0xff98001f,0x5fffc86f,0x7ff40000,0x3fee001f,0xff98005f,
    0x3fffe06f,0x7fffe400,0x17ffee00,0x1bffe600,0x0037ffcc,0x3fffc800,
    0x00ffff98,0x05fffb80,0x3fffdc00,0xe8000000,0x20001fff,0x0006fff9,
    0x3fffa000,0x7f400001,0x260001ff,0x7f44ffff,0x260004ff,0x7f44ffff,
    0xff0004ff,0xffc801ff,0x3fea00ff,0xffa8005f,0xff10006f,0x3e6009ff,
    0x3ffee4ff,0x09fff306,0x3fffe200,0xfff90004,0x1ffff307,0x7ff40000,
    0x3fee001f,0xff98005f,0x3fffe06f,0x7ffdcc40,0x7fdc03ff,0xff98005f,
    0xffff306f,0x99999999,0xf0059999,0x3fe03fff,0xfb8002ff,0x540005ff,
    0x0000ffff,0xfffe8000,0x3fe60001,0xccccccff,0x02cccccc,0x03fffd00,
    0xfffe8000,0x7fe40001,0xffff30ff,0xffc80001,0xffff30ff,0x3ffe0001,
    0x7fdcc40f,0x7d403fff,0xccccceff,0xdccccccc,0xd0006fff,0x4c00dfff,
    0x7ffc4fff,0x4fff981f,0xdfffd000,0x7fffc000,0x05ffff01,0x7fff4000,
    0x3ffee001,0xfff98005,0x3ffffe06,0xffffffff,0xffb803ff,0xff98005f,
    0xffff306f,0xffffffff,0x9809ffff,0x3f606fff,0xfb8005ff,0x4c0005ff,
    0x0003ffff,0xfffe8000,0x3fe60001,0xffffffff,0x04ffffff,0x03fffd00,
    0xfffe8000,0x7fc40001,0x7fffd4ff,0xfff10000,0x0ffffa9f,0xfffff800,
    0xffffffff,0xffa803ff,0xffffffff,0xffffffff,0xfb8006ff,0x26001fff,
    0x7fdc4fff,0x4fff985f,0xffffb800,0xfff30001,0x2fffec0d,0xfffd0000,
    0x7ffdc003,0xfff98005,0x3ffffe06,0xffffffff,0xfff7001d,0xfff3000b,
    0x3fffe60d,0xffffffff,0x6404ffff,0x3ea04fff,0x5c000fff,0x80005fff,
    0x0007fffe,0xfffe8000,0x3fe60001,0xffffffff,0x04ffffff,0x03fffd00,
    0xfffe8000,0xffb80001,0x06fffaff,0x3ffee000,0x006fffaf,0x7fffffc0,
    0xdfffffff,0xffff5001,0xffffffff,0xffffffff,0xfff8800d,0x7fcc004f,
    0x7fffc44f,0x027ffcc1,0x13fffe20,0x4fffc800,0x03fffea0,0x7fff4000,
    0x3ffee001,0xfff98005,0x3ffffe06,0x1fffffff,0x2fffdc00,0x37ffcc00,
    0xeeffff98,0xeeeeeeee,0x7ffc03ee,0x3ffe201f,0x7fdc002f,0xfb80005f,
    0x00003fff,0x0ffff400,0xffff3000,0xdddddddd,0x0007dddd,0x0007fffa,
    0x03fffd00,0x3fffa000,0x0002ffff,0x7fffff40,0x7c0002ff,0xffffffff,
    0x54001fff,0xffffffff,0xffffffff,0x4006ffff,0x8006fffd,0xfc84fff9,
    0x7ffcc5ff,0x7ffec004,0x7ffc0006,0x3ffe201f,0xfd00002f,0x7dc003ff,
    0xf98005ff,0x3ffe06ff,0xffebaabf,0x3ee002ff,0xf98005ff,0xfff306ff,
    0xf980000d,0xffd807ff,0x7fdc005f,0xf880005f,0x0000efff,0x3fffa000,
    0x3fe60001,0x0000006f,0x0007fffa,0x03fffd00,0x3ffea000,0x00005fff,
    0xffffffa8,0xfff80005,0xffebaabf,0x3ea002ff,0xfa8005ff,0x3ee006ff,
    0x98001fff,0xff884fff,0x3ffe60ff,0x3ffee004,0x3e60001f,0xffd807ff,
    0xfd00005f,0x7dc003ff,0xf98005ff,0x3ffe06ff,0xffffc80f,0xbfff7001,
    0xdfff3000,0x01bffe60,0x9fff9000,0x1ffff500,0x2fffdc00,0xfffc8000,
    0x000001ef,0x003fffd0,0x037ffcc0,0xffd00000,0xe800003f,0x00001fff,
    0x07fffffa,0x7ff40000,0x80001fff,0xfc80ffff,0xf5001fff,0xf5000bff,
    0x3e200dff,0x30004fff,0x3f609fff,0x3ffe64ff,0xffff1004,0xffc80009,
    0xfffa804f,0xfe80000f,0x3ee001ff,0xf98005ff,0x3ffe06ff,0xdfff900f,
    0x17ffee00,0x1bffea00,0x0037ffcc,0x0bfffe00,0x0bfffe20,0x05fffb80,
    0xfffd1000,0xb51007ff,0xfffd0005,0x7fcc0003,0x0000006f,0x0007fffa,
    0x03fffd00,0x7ffcc000,0x2000004f,0x004ffff9,0x01ffff00,0x401bfff2,
    0x8005fffa,0xb006fffa,0x4000dfff,0xf304fff9,0x3fe61fff,0xfffb004f,
    0xfff0000d,0xfff1005f,0xfd00005f,0x7dc003ff,0xfa8005ff,0x3ffe06ff,
    0xffff100f,0xdfff5007,0x9fff5000,0x01bffe60,0xffff9800,0xaaaaaaab,
    0x05ffffaa,0x017ffee0,0xfffe8800,0xbabcefff,0x002fffec,0x001fffe8,
    0x01bffe60,0xffe80000,0x7400001f,0x00001fff,0x000ffff4,0x3fffa000,
    0xfff00001,0x3ffe201f,0xfffa803f,0xfffa8005,0xffffb806,0x3fe60001,
    0x3fff604f,0x009fff33,0x003ffff7,0xbffff980,0xaaaaaaaa,0x005ffffa,
    0x01fffe80,0x01bffea0,0x813ffea0,0x2e00ffff,0x4c00ffff,0xb8006fff,
    0xff303fff,0x640000df,0xffffffff,0xffffffff,0x3ee007ff,0x400005ff,
    0xfffffff8,0xffffffff,0xffe8002f,0x3e60001f,0x000006ff,0x007fffa0,
    0x3fffd000,0xffe80000,0x4000001f,0x0001fffe,0x401ffff0,0x400ffffb,
    0x8005fffa,0x4406fffa,0x0004ffff,0x3027ffcc,0x3fe6ffff,0x7ffc404f,
    0xfc80004f,0xffffffff,0xffffffff,0xfe80007f,0x3e6001ff,0xfb8006ff,
    0x3ffe03ff,0x3ffe200f,0x7ffc403f,0xfffd8007,0x0dfff302,0x7fffc000,
    0xffffffff,0xffffffff,0xbfff7002,0xf9100000,0xffffffff,0x003fffff,
    0x003fffd0,0x037ffcc0,0xffd00000,0xe800003f,0x00001fff,0x000ffff4,
    0x3fffa000,0xfff00001,0x7ffc401f,0x7ffd403f,0xfffa8005,0x37ffec06,
    0x7ffcc000,0x57fff404,0x6c04fff9,0x00006fff,0xffffffff,0xffffffff,
    0x0005ffff,0x001fffe8,0x001fffe2,0xf80bfff6,0x7e400fff,0xfff807ff,
    0x3fe2002f,0xfff301ff,0x3e60000d,0xffffffff,0xffffffff,0xf7005fff,
    0x00000bff,0x7ffff5c4,0x00adffff,0x03fffd00,0x37ffcc00,0xfd000000,
    0x800003ff,0x0001fffe,0x00ffff40,0x3ffa0000,0xff00001f,0xffc801ff,
    0x7ffd407f,0xfffa8005,0x3fffea06,0xff980001,0x7ffd404f,0x204fff9e,
    0x001ffffa,0xfffff980,0xffffffff,0x5fffffff,0x7fff4000,0x7fffc001,
    0x3ffe2002,0x3fffe01f,0x7fffc400,0x37ffec03,0x0bfff900,0x0037ffcc,
    0xadfffc80,0xaaaaaaaa,0x7fffcaaa,0x0bfff700,0xff300000,0x000135df,
    0x007fffa0,0x06fff980,0x3fa00000,0x400001ff,0x0001fffe,0x00ffff40,
    0x3ffa0000,0xff00001f,0xff8801ff,0x3fea03ff,0xffa8005f,0xffff106f,
    0x3e600009,0xffe804ff,0x104fffbf,0x0009ffff,0x2b7fff20,0xaaaaaaaa,
    0x7fffcaaa,0x7fff4000,0x7ffec001,0x3fff2006,0x07fffc05,0x03fffe40,
    0x037fffe6,0x03ffff90,0x0037ffcc,0x02ffff80,0x2ffff880,0x05fffb80,
    0xffa80000,0xe800003f,0x20001fff,0x0006fff9,0x3fffa000,0x7f400001,
    0x400001ff,0x0001fffe,0x0ffff400,0xffff8000,0x7fffc800,0x017ffea0,
    0x41bffea0,0x0006fffd,0x013ffe60,0x3fffffea,0xdfffb04f,0x7ffc0000,
    0xff88002f,0x3a0002ff,0x4c001fff,0x400dffff,0x401ffffc,0x9800ffff,
    0x6403ffff,0x9abfffff,0xffffeb98,0x37ffcc04,0x7ffcc000,0x3ffa0007,
    0xfffb804f,0xc8000005,0x00001fff,0x001fffe8,0x01bffe60,0xffe80000,
    0x7400001f,0x00001fff,0x000ffff4,0x3fffa000,0xfff00001,0xfff3001f,
    0x3ffea07f,0xfffa8005,0x1ffffa86,0x3fe60000,0xffff004f,0xff509fff,
    0x200003ff,0x0007fff9,0x0013fffa,0x001fffe8,0xbfffffc8,0xffeb989a,
    0xfff804ff,0xfffb000f,0xfffe880d,0xffffffff,0x4c00dfff,0xccccffff,
    0xcccccccc,0x17fff20c,0x7fffb800,0xcefffb80,0xcccccccc,0x74004ccc,
    0x000007ff,0x0003fffd,0x667fffcc,0xcccccccc,0x99900ccc,0xffff9999,
    0x3999999b,0x33333320,0xccdffffc,0x8001cccc,0x0001fffe,0x0ffff400,
    0xffff8000,0xdfffb000,0x017ffea0,0x11bffea0,0xdddfffff,0xdddddddd,
    0xf989dddd,0xff7004ff,0xf889ffff,0xeeeeffff,0xeeeeeeee,0x3ff24eee,
    0x3ee0005f,0x666407ff,0xffffcccc,0x1ccccccd,0xfffffd10,0xffffffff,
    0xfff001bf,0x3fe6001f,0xffc802ff,0xffffffff,0xff3003ff,0xffffffff,
    0x1fffffff,0x0017fffc,0x05ffff30,0xffffffb8,0xffffffff,0xf1000fff,
    0x000009ff,0x0007fffa,0xffffff98,0xffffffff,0xfff00fff,0xffffffff,
    0x5fffffff,0x3fffffe0,0xffffffff,0x8002ffff,0x0001fffe,0x0ffff400,
    0xffff8000,0xffff3000,0x0bfff505,0x8dfff500,0xfffffffa,0xffffffff,
    0x4c5fffff,0xf1004fff,0xa89fffff,0xffffffff,0xffffffff,0x3fe5ffff,
    0x260002ff,0x3e02ffff,0xffffffff,0xffffffff,0x7ffe402f,0xffffffff,
    0x3ffe003f,0x3ffa000f,0xfdb3006f,0x19dfffff,0x7fffcc00,0xffffffff,
    0xf30fffff,0x80001fff,0x5c04fffe,0xffffffff,0xffffffff,0xfff3000f,
    0x3a000005,0x20001fff,0xfffffff9,0xffffffff,0xffff00ff,0xffffffff,
    0x05ffffff,0x3ffffffe,0xffffffff,0xe8002fff,0x00001fff,0x00ffff40,
    0x0ffff800,0x1bfffa00,0x0017ffea,0xf51bffea,0xffffffff,0xffffffff,
    0xff98bfff,0x3ff2004f,0x7fd44fff,0xffffffff,0xffffffff,0xffff35ff,
    0xffe80001,0x3fffe04f,0xffffffff,0x02ffffff,0xffffed98,0x4000ceff,
    0x2000ffff,0x002ffffa,0x0001aa98,0x3fffffe6,0xffffffff,0xfff90fff,
    0xff90000b,0xfffb80ff,0xffffffff,0x00ffffff,0x000fff70,0x0ffff400,
    0xffff3000,0xffffffff,0x201fffff,0xffffffff,0xffffffff,0xffff02ff,
    0xffffffff,0x05ffffff,0x03fffd00,0xffe80000,0xff00001f,0x7d4001ff,
    0x7fd42fff,0xffa8005f,0x7fffd46f,0xffffffff,0xffffffff,0x027ffcc5,
    0x9fffff10,0xffffffa8,0xffffffff,0x95ffffff,0x0000bfff,0x7c0ffff9,
    0xffffffff,0xffffffff,0xaa98002f,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x0003eeee,
    0x3bbb2000,0xeb8000de,0xeed983ee,0x2000000d,0x02eeeee9,0x20fbbae0,
    0x800deed9,0x00deeeeb,0xdddd7000,0x0000001b,0x3aa00000,0xeeeeeeee,
    0x00004eee,0x007dddd3,0x77774c00,0x36600003,0x0fb6202d,0x84eeeb80,
    0x000deed8,0xeeeeeea8,0x04eeeeee,0x3bbbaa00,0xeeeeeeee,0x3bbaa004,
    0xeeeeeeee,0x00dd404e,0x04000000,0x00200000,0x09988000,0xfff98000,
    0x00004fff,0x5ffffc80,0x7ffe4000,0x1dfff50d,0x7cc00000,0x8001efff,
    0xf50dfffc,0x54001dff,0x000effff,0xdffff500,0x54000001,0xeffffecb,
    0xf5000abd,0xffffffff,0x0000dfff,0x9ffffff3,0xfff30000,0x00009fff,
    0x203ffff1,0x2003fffe,0xf50efffc,0x20003fff,0xfffffffa,0x006fffff,
    0x3ffffea0,0x6fffffff,0x3fffea00,0xffffffff,0x0bfff606,0x2a000000,
    0x0004fffe,0x13fffaa0,0xfff30000,0x7d40007f,0x5fffffff,0x3f200000,
    0x00003fff,0xffbffff9,0x000001df,0x06ffffcc,0xffff9000,0x001dfffb,
    0x1dfffd10,0x3fa20000,0x00000eff,0x7fffff54,0x2fffffff,0xfffff500,
    0xdfffffff,0xfffa8000,0x005fffff,0x3ffffea0,0x40005fff,0x883ffffa,
    0x4005ffff,0xffdffffb,0x2a0000ef,0xffffffff,0x0006ffff,0x3fffffea,
    0x06ffffff,0x3ffffea0,0x6fffffff,0x0fffff10,0xfb800000,0x006fffff,
    0xfffffb80,0xf300006f,0x007fffff,0x13dfff70,0x001bfffb,0xefffc800,
    0x7dc00001,0x00efffff,0x3fe60000,0x700003ff,0x1dffffff,0xfffc8000,
    0x3200000e,0x0000efff,0xfffffe98,0xffffffff,0x3331002f,0x33333333,
    0x7dc00013,0xffd89eff,0x7dc000df,0xffd89eff,0xf10000df,0x3fa05fff,
    0xfb8004ff,0x00efffff,0x4cccc400,0x99999999,0x26620000,0x99999999,
    0x26200099,0x99999999,0xff100999,0x00003fff,0x2fffe600,0x0004ffda,
    0x36afffe6,0x4c0004ff,0xffffffff,0x3ffee003,0x77ffdc0d,0xff900000,
    0x400000bf,0x005ffffb,0x7ffcc000,0x5c00001e,0x0005ffff,0x03bffea0,
    0xfffa8000,0x3a20000e,0xcdefffff,0x2fffedcc,0x00000000,0x40dfffb8,
    0x000efffb,0xb81bfff7,0x0000efff,0x6cc09fd5,0xf50000df,0x0001dfff,
    0x00000000,0x00000000,0xffff9000,0x20000005,0x3ff41ffc,0x83ff9000,
    0x260007fe,0xfe89ffff,0x333003ff,0x04ccc403,0x19998000,0x98800000,
    0x80000019,0x00009998,0x00333100,0x13331000,0x99880000,0x3f600009,
    0x9800cfff,0x0000001a,0x01999800,0x40026662,0x26201999,0x00000099,
    0x26200000,0x00000019,0x00000000,0x00000000,0x000ffff4,0x86fd8000,
    0xb0000ffb,0x01ff70df,0x1dfff300,0x01fffec4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7d400000,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff90000,
    0x20000001,0x7fe40ffc,0x1ff90000,0x8000ffc8,0x9700cccb,0x00000199,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05fffc80,
    0x2e600000,0x01acefec,0x00000000,0x00000000,0x00000000,0x32a00000,
    0x0000cccc,0x66666664,0xcccccccc,0x99101ccc,0x99999999,0x19999999,
    0x000dff90,0x6ffd4000,0x000dff71,0xfb8effd4,0x0000006f,0x00133320,
    0x00333260,0x19999950,0x33322000,0x322000cc,0x2a0002cc,0xcccccccc,
    0x2204cccc,0xcccccccc,0xcccccccc,0x9999900c,0x99999999,0x00399999,
    0x0ccccca8,0x3fffe800,0xe8800000,0xffffffff,0x644001ef,0xcccccccc,
    0xcccccccc,0x01999970,0xcccca800,0x99999100,0x99999999,0x93019999,
    0x79999999,0x40000035,0x03ffffff,0x7ffffc00,0xffffffff,0x302fffff,
    0xffffffff,0xffffffff,0x2fffa81f,0x6c000000,0x1fffffff,0x7ffec000,
    0x0001ffff,0x3ffa0000,0xffb80007,0x7ffc001f,0x30003fff,0x00bfffff,
    0x0027ffcc,0xfffffff0,0x1fffffff,0x3ffffe60,0xffffffff,0xff00ffff,
    0xffffffff,0xffffffff,0xffff8005,0xff8003ff,0x000003ff,0x7fffffd4,
    0x2fffffff,0x3fffe600,0xffffffff,0xf50fffff,0x80009fff,0x2605ffff,
    0xffffffff,0xffffffff,0xffffb80f,0xffffffff,0x300001de,0x0dffffff,
    0xfffff800,0xffffffff,0x302fffff,0xffffffff,0xffffffff,0x3fffb21f,
    0x80000004,0x1effffc8,0xffc88000,0x00001eff,0x7fff4000,0x7fdc0000,
    0x3fe6001f,0x0006ffff,0x1ffffff3,0x13ffe600,0x7fffd400,0xffffffff,
    0xfff300ff,0xffffffff,0x01ffffff,0x3ffffffe,0xffffffff,0x26002fff,
    0x06ffffff,0x06fffd80,0x3ff20000,0xffdeffff,0x003fffff,0xfffffff3,
    0xffffffff,0x7ffec1ff,0xff70001f,0x7fcc03ff,0xffffffff,0x0fffffff,
    0xffffffb8,0xffffffff,0xfc80004f,0x00ffffff,0x3bbbb600,0xeeffffee,
    0x301eeeee,0xddddffff,0xdddddddd,0x13fffe1d,0x10000000,0x00000355,
    0x00003551,0xbdd97310,0xfffd8179,0x7fe40000,0x3ff2000f,0x000fffff,
    0xffffff98,0x9fff3004,0x3fffa000,0xccccefff,0x3fe604cc,0xeeeeeeff,
    0x0eeeeeee,0xddddddb0,0xddddffff,0x64003ddd,0x0fffffff,0x7fffe400,
    0xfb800003,0x4c0aefff,0x02fffffb,0xeeffff98,0xeeeeeeee,0x3fe60eee,
    0xf88005ff,0x7cc04fff,0xeeeeefff,0xeeeeeeee,0xeffffb80,0xfffffeee,
    0x0002efff,0x3ffbfffe,0xd000003f,0x30003fff,0x8000dfff,0x00001cef,
    0x00000000,0x20000000,0xffffffd8,0x3f26ffff,0x640001ff,0x3e000fff,
    0x3fffefff,0xffff9800,0xf9800fff,0xf98004ff,0x04fffcff,0x0dfff300,
    0x7f400000,0xf00001ff,0x7fffdfff,0xffff9800,0x7c00004f,0x5400efff,
    0x9806ffff,0x00006fff,0x003ffffb,0x00ffffc8,0x0037ffcc,0x0bfff700,
    0x3fffeea6,0xf98002ff,0x6fffbdff,0xffd00000,0xff30003f,0x000000df,
    0xcc880000,0x3326003c,0xdca8802c,0x02cdefee,0x3fffee00,0xffffffff,
    0x007fff27,0x00fff900,0x7defffcc,0xf98006ff,0x04ffffff,0x004fff98,
    0xffafffc8,0xff30004f,0x000000df,0x000ffff4,0x5efffcc0,0xb8006fff,
    0x03ffffff,0xefffb800,0xffff7000,0x6fff9803,0xfff10000,0x7fc400df,
    0xff9803ff,0x2e00006f,0xc8805fff,0x8006ffff,0xff8afffc,0x800000ff,
    0x8001fffe,0x0006fff9,0x4c1e65c0,0x00bcefec,0x006fff98,0xb813ffea,
    0xfffffffe,0x002effff,0x3fffffa2,0xfffedcef,0x00bffee7,0x00fffb00,
    0x7c57ffe4,0x4c000fff,0xffffdfff,0x27ffcc00,0x4e7ffc00,0x30004fff,
    0x0000dfff,0x0ffff400,0x7ffe4000,0x00ffff8a,0xfffffd80,0x88001cff,
    0x4002ffff,0x4c05fffd,0x00006fff,0x00bfffee,0x8037ffe4,0x0006fff9,
    0x017ffee0,0x03ffffa8,0xe87fffc0,0x00003fff,0x001fffe8,0x006fff98,
    0x137fec00,0xfffffffb,0xfff9805f,0x3ffea006,0x3ffffa04,0xffffffff,
    0xff9003ff,0x64c05fff,0x00bffee7,0x00dffb00,0xfe87fffc,0x7cc003ff,
    0x3fffccff,0x027ffcc0,0x267ffea0,0x30004fff,0x0000dfff,0x0ffff400,
    0x7fffc000,0x007fffd0,0x3ffffee0,0x2002dfff,0x8007fffb,0x200ffffb,
    0x0006fff9,0x1bfffe20,0x0bfffe20,0x037ffcc0,0xbfff7000,0xffffc800,
    0xbfff3000,0x002fffe4,0x0ffff400,0x37ffcc00,0x3ff60000,0xffffff37,
    0x405fffff,0x2006fff9,0x3a04fffa,0xccdeffff,0x1fffffed,0x6ffffcc0,
    0xfffa8000,0x7ff40002,0xbfff3006,0x002fffe4,0x3e33ffe6,0x7fcc07ff,
    0x7ff4004f,0x009fff36,0x01bffe60,0xffe80000,0x7cc0001f,0x3fff25ff,
    0x3f620005,0xefffffff,0x4fffe802,0xffff8800,0x1bffe602,0xfff50000,
    0xfffd807f,0x3ffe6006,0x3ee00006,0x7c4005ff,0xf9004fff,0x7ffcc7ff,
    0x7400000f,0x98001fff,0x00006fff,0x7fcfffec,0xffecceff,0x3fe606ff,
    0x3fea006f,0x02f7a04f,0x0dffff70,0x006fffe8,0x00fffea0,0x00bffd00,
    0xf98ffff2,0x26000fff,0xfffb4fff,0x27ffcc07,0x25fff300,0x0004fff9,
    0x000dfff3,0x7fff4000,0x7fe40001,0x3fffe63f,0x7e440000,0xdfffffff,
    0x3ffff100,0x3fff6000,0x1bffe603,0x3ffa0000,0x3ffe607f,0x3fe6001f,
    0x2e00006f,0xc8005fff,0xff006fff,0xffff81ff,0x7f400003,0xf98001ff,
    0x400006ff,0xeffffffd,0x3ffffb81,0x00dfff30,0x1027ffd4,0xffffa800,
    0x3ffff500,0x7ffcc000,0x40133103,0xff005fff,0xffff81ff,0x3ffe6003,
    0x40dfff54,0x2004fff9,0xff30fffc,0x3e60009f,0x000006ff,0x007fffa0,
    0x81ffff00,0x0003ffff,0x3ffffaa0,0xff980fff,0x3f20007f,0x3fe604ff,
    0x9800006f,0xfb03ffff,0xf9800bff,0x200006ff,0x8005fffb,0x9807fff9,
    0xffc86fff,0x7400005f,0x98001fff,0x00006fff,0x77ffffec,0x17fff600,
    0x0037ffcc,0x0009fff5,0x01fffe80,0x000bfff9,0x704fff88,0x7ffc0dff,
    0x6fff9804,0x005fffc8,0xfe93ffe6,0xfff302ff,0x3ffe2009,0x013ffe64,
    0x037ffcc0,0xffd00000,0x7cc0003f,0xfffc86ff,0xd9800005,0xb86fffff,
    0x20007fff,0x2605fffb,0x00006fff,0x81ffffb0,0x000ffff9,0x0037ffcc,
    0x0bfff700,0x1ffff100,0x83fffc80,0x000ffff9,0x07fffa00,0x1bffe600,
    0xfffb0000,0xff9801df,0xdfff306f,0x27ffd400,0x3ff60000,0x7fffb03f,
    0xfff88000,0x03fffd04,0x32013ffe,0xff983fff,0xff3000ff,0x37ffdc9f,
    0x004fff98,0x7cc3fff7,0xf30004ff,0x00000dff,0x00ffff40,0x07fff900,
    0x001ffff3,0x3ffe6000,0x7ffdc4ff,0x3fee0006,0x3ffe606f,0xf3000006,
    0xffe89fff,0xff98004f,0x2e00006f,0xf0005fff,0xff803fff,0xffff01ff,
    0x7f400005,0xf98001ff,0xcccccfff,0x2ccccccc,0x03ffff60,0x41fffe20,
    0x2006fff9,0x0004fffa,0x81fffe40,0x0001ffff,0xf885fff8,0xff884fff,
    0xffff803f,0x05ffff01,0xf13ffe60,0xff303fff,0x3ffa009f,0x677ffcc6,
    0x203ccccc,0xcccffff9,0xcccccccc,0xffd0002c,0x7fc0003f,0xffff01ff,
    0x44000005,0x7e46fffe,0x2a0005ff,0x3e607fff,0xcccccfff,0x2ccccccc,
    0x1ffff900,0x003fffe6,0x33fffe60,0xcccccccc,0xff702ccc,0x3fe000bf,
    0x3fe602ff,0x3fff606f,0x3fa00005,0xf98001ff,0xffffffff,0x4fffffff,
    0x00bfff60,0x980ffff8,0x2a006fff,0x00004fff,0x441fffe4,0x0000ffff,
    0xfb85fff8,0xff886fff,0x7ffcc03f,0x17fff606,0x227ffcc0,0xf985fffb,
    0xff9804ff,0x7fffcc3f,0x05ffffff,0x3fffffe6,0xffffffff,0xfd0004ff,
    0x260003ff,0x3f606fff,0x000005ff,0x907fffdc,0x4000bfff,0x2607fff9,
    0xffffffff,0xffffffff,0xffff1004,0x00ffffa9,0x7ffffcc0,0xffffffff,
    0xff704fff,0x3fa000bf,0x3ff203ff,0x3ffea04f,0xfd00000f,0xf30003ff,
    0xffffffff,0x9fffffff,0x00fffec0,0x301ffff0,0x5400dfff,0x51004fff,
    0xdddddb97,0xf307ffff,0x20000fff,0xffe86ffe,0x7fcc1fff,0x7ffe402f,
    0x3fffea04,0x4fff9800,0x20ffffc4,0xc804fff9,0x7fcc0fff,0xffffffff,
    0x3fffe605,0xffffffff,0x0004ffff,0x0003fffd,0xa813fff2,0x0000ffff,
    0x3fffe200,0x017fff21,0x07fff980,0x3fffffe6,0xffffffff,0x3ee004ff,
    0x6fffafff,0x3ffe6000,0xffffffff,0x704fffff,0x2000bfff,0x3e04fffd,
    0x3e201fff,0x00002fff,0x0003fffd,0xdddffff3,0xdddddddd,0x7ffec07d,
    0x3fffe001,0x06fff980,0x013ffea0,0xffffff91,0xffffffff,0x1ffff107,
    0xdffd0000,0xffffff88,0x00fffcc4,0x8807fffe,0x9802ffff,0xffc84fff,
    0x27ffcc5f,0x217ffe20,0xeeeffff9,0x3e604eee,0xeeeeefff,0x3eeeeeee,
    0x3fffd000,0x3fffe000,0x3fffe201,0x22000002,0x3ee0ffff,0x2a0006ff,
    0x3e607fff,0xeeeeefff,0x3eeeeeee,0x7ffff400,0x20002fff,0xeeeffff9,
    0xeeeeeeee,0xbfff703e,0x3fffa000,0x0ffff304,0x00bfffb0,0x07fffa00,
    0x1bffe600,0xfffb0000,0x7fffc003,0x06fff980,0x813ffea0,0xfffffffb,
    0xffffffff,0x3ffff03f,0xdffb0000,0xffddffb8,0x00fffcc7,0xb00ffff3,
    0xf300bfff,0xfff109ff,0x27ffcc1f,0x20bffee0,0x0004fff9,0x000dfff3,
    0x7fff4000,0xfff98001,0x5fffd807,0x3e600000,0x7ffd47ff,0x3fee0006,
    0x3ffe606f,0xa8000006,0x05ffffff,0x37ffcc00,0xfff70000,0x3ffe000b,
    0x9fff903f,0x1ffff500,0xfffd0000,0xfff30003,0xfd80000d,0x3fe001ff,
    0xfff980ff,0x3ffea006,0xfffff504,0x3333357b,0x3a07fff9,0x80002fff,
    0x7fec7ffd,0x2a1fffab,0x3f200fff,0xffa804ff,0x7fcc00ff,0x9fffb04f,
    0x2027ffcc,0xff307ffe,0x3e60009f,0x000006ff,0x007fffa0,0x013fff20,
    0x003fffea,0x7fff4000,0x03fffcc5,0x0dfff900,0x0037ffcc,0xfffe8000,
    0x4c0001ff,0x00006fff,0x0017ffee,0xf817fffc,0xf8802fff,0x80002fff,
    0x8001fffe,0x0006fff9,0x00fffec0,0x301ffff0,0x5400dfff,0xff884fff,
    0xfc800dff,0xfffb03ff,0xff90000b,0x447ffc4f,0x3fea4fff,0x3fffe00f,
    0xffff8802,0x27ffcc02,0x30ffff98,0x7cc09fff,0xfff304ff,0x3fe60009,
    0x0000006f,0x0007fffa,0x200bfffe,0x302ffff8,0xfd980017,0x7fc42fff,
    0xfb0000ff,0x7fcc09ff,0x0000006f,0x009ffff3,0x0dfff300,0x7ffdc000,
    0xfff98005,0xffff981f,0xaaaaaaab,0x05ffffaa,0x1fffe800,0x6fff9800,
    0x7fec0000,0x3ffe001f,0x6fff980f,0x13ffea00,0x003fffea,0xb81fffe4,
    0x0001ffff,0xfb87ffe4,0xb9fffa6f,0x3fe607ff,0xaaaaabff,0xffffaaaa,
    0x27ffcc05,0x267fffb0,0x3f604fff,0xfff300ff,0x3fe60009,0x0000006f,
    0x0007fffa,0x557ffff3,0xf5555555,0x3ea0bfff,0x9aabccef,0xffffdcaa,
    0x5ffff03f,0xffff1000,0x37ffcc05,0xfd000000,0x300003ff,0x0000dfff,
    0x002fffdc,0x407fffd4,0xfffffffc,0xffffffff,0x80007fff,0x8001fffe,
    0x0006fff9,0x00fffec0,0x101ffff0,0x6c00ffff,0xffc84fff,0x3ff2004f,
    0xffff103f,0xffb8000d,0x5c7ffb0f,0xfff72fff,0x7ffffe40,0xffffffff,
    0x407fffff,0x2604fff9,0xfff37fff,0x3fffe209,0xffffffff,0xf30004ff,
    0x00000dff,0x00ffff40,0x3fffff20,0xffffffff,0x507fffff,0xffffffff,
    0xffffffff,0x7fff409f,0xfffa8005,0x3ffe600f,0x20000006,0x0001fffe,
    0x006fff98,0x17ffee00,0x17fff600,0x7ffffffc,0xffffffff,0x002fffff,
    0x00ffff40,0x037ffcc0,0x3fff6000,0x3fffe001,0x00ffff00,0x213ffff2,
    0x2003fffe,0x2a03fffd,0x802effff,0x4fffd438,0x3e21fff8,0x0fff95ff,
    0x7ffffffc,0xffffffff,0x202fffff,0x7404fff9,0xfff9afff,0xfffff704,
    0xffffffff,0x3e60009f,0x000006ff,0x007fffa0,0xfffffff0,0xffffffff,
    0x505fffff,0xffffffff,0xffffffff,0xffffb807,0x7ffec000,0x37ffcc04,
    0xfd000000,0x300003ff,0x0000dfff,0x002fffdc,0x20ffffe6,0xfffffff9,
    0xffffffff,0x005fffff,0x00ffff40,0x037ffcc0,0x3fff6000,0x3fffe001,
    0x05ffff00,0x4fffffb8,0x804fffd8,0x03ffffe9,0x6fffffec,0xfdba99ab,
    0x557ffd47,0xfffd86ff,0xf306ffc8,0xffffffff,0xffffffff,0x7cc0bfff,
    0x7fd404ff,0x04fff9ef,0xfffffffd,0x9fffffff,0x3ffe6000,0x20000006,
    0x2001fffe,0xfffffff9,0xffffffff,0x885fffff,0xffffffdc,0x0bdfffff,
    0x3ffff880,0x3fffe600,0x37ffcc00,0xfd000000,0x300003ff,0x0000dfff,
    0x002fffdc,0x203ffffa,0xaaadfffc,0xaaaaaaaa,0x007fffca,0x00ffff40,
    0x037ffcc0,0x3fff6000,0x3fffe001,0x0dfffb00,0x7fffffe4,0x0ffffc84,
    0x3ffffee0,0x7ff4403f,0xffffffff,0x7fcc7fff,0xa84ffdaf,0x6ffcafff,
    0x55bfff90,0x55555555,0x0ffff955,0x4027ffcc,0xfffbfffe,0xadfffa84,
    0xfcaaaaaa,0xf30004ff,0x00000dff,0x00ffff40,0x55bfff90,0x55555555,
    0x0ffff955,0xff955310,0x3f2000bf,0xf9802fff,0xf9804fff,0x000006ff,
    0x007fffa0,0x1bffe600,0xfffb8000,0x3ffee005,0x5ffff03f,0xffff1000,
    0x7ff40005,0xff98001f,0x6c00006f,0x3e001fff,0xff500fff,0xd5115dff,
    0x9fff9fff,0x5dffff50,0x3fffae61,0x5003ffff,0xffffffff,0xf98fffff,
    0x81fffbff,0xffcdfff8,0x05ffff05,0x5ffff100,0x013ffe60,0x3fffffea,
    0x1fffd84f,0x027ffcc0,0x06fff980,0x3fa00000,0x3fe001ff,0xf88002ff,
    0x5c002fff,0x10002fff,0x405fffff,0x00fffff8,0x006fff98,0x3ffa0000,
    0xf980001f,0x200006ff,0x8805fffb,0x306ffffd,0x4000ffff,0x0004fffe,
    0x0007fffa,0x001bffe6,0x03fffb00,0x007fffc0,0xfffffffd,0xff19ffff,
    0x3fff609f,0xffffffff,0x03fff9df,0x3ffb7220,0x41beffff,0x6ffefff8,
    0x3fbfff60,0x7fff984f,0x3fffa000,0x09fff304,0x3fffffe0,0x37ffc44f,
    0x027ffcc0,0x06fff980,0x3fa00000,0xff3001ff,0x7f4000ff,0x7ec004ff,
    0x2e0000ff,0xacefffff,0xfffffec9,0xdfff3003,0x74000000,0x80001fff,
    0x0006fff9,0x817ffee0,0xffffffb9,0x0bfff901,0x3fffdc00,0x33333320,
    0xccdffffc,0xf301cccc,0x99999fff,0x99999999,0x07fff601,0x00ffff80,
    0x3fffffa6,0x3fe3ffff,0xfffd104f,0x5fffffff,0x000fffe2,0x88033530,
    0x04ffffff,0x3fffffea,0x05fffc84,0x1fffee00,0x8027ffcc,0x4ffffffb,
    0x401fffdc,0xaaadfff9,0xf300aaaa,0x99999fff,0x99999999,0x33333201,
    0xcdffffcc,0x321ccccc,0x20005fff,0x4007fffb,0x80006fff,0xfffffffa,
    0x2fffffff,0x3fffe600,0xcccccccc,0x000ccccc,0x001fffe8,0xcffff980,
    0xcccccccc,0xfb80cccc,0xedccceff,0xefffffff,0x0bfffe00,0xffff9800,
    0x3ffffe02,0xffffffff,0x302fffff,0xffffffff,0xffffffff,0x3fff601f,
    0x3fffe001,0xffffc800,0x7ffc1dff,0x7fffdc04,0x3e20ceff,0x000003ff,
    0x7fffffc0,0x7ffffc01,0x2ffff83f,0x3ffe6000,0x4fff982f,0xfffff100,
    0x0fffe89f,0xfffff980,0x02ffffff,0xfffffff3,0xffffffff,0x3ffe01ff,
    0xffffffff,0x2fffffff,0x000bfffe,0x02ffff98,0x007fff10,0x3fffe600,
    0xefffffff,0x7ffcc000,0xffffffff,0x00ffffff,0x01fffe80,0xffff9800,
    0xffffffff,0xb80fffff,0xffffffff,0xdfffffff,0x3fffe600,0x7ff40000,
    0x3fffe04f,0xffffffff,0x02ffffff,0xfffffff3,0xffffffff,0x3ff601ff,
    0x3ffe001f,0x2aa2000f,0x22000009,0x000001a9,0x3ffe0000,0xffd806ff,
    0x7fcc3fff,0x740000ff,0xff984fff,0x3ff2004f,0x3fea4fff,0xfff3005f,
    0xffffffff,0x3fffe605,0xffffffff,0xf00fffff,0xffffffff,0xffffffff,
    0x3fffe65f,0x7ff40000,0xfff5004f,0x5c400003,0xdefffffd,0xfff30003,
    0xffffffff,0x01ffffff,0x03fffd00,0xffff3000,0xffffffff,0x701fffff,
    0xffffffff,0x039fffff,0x00bfff90,0x0ffff900,0x7ffffffc,0xffffffff,
    0xff302fff,0xffffffff,0x1fffffff,0x00000000,0x00000000,0x00000000,
    0x09ffffd0,0x5fffff50,0x005fffc8,0x87fffc80,0x2004fff9,0x24fffff8,
    0x3002fffd,0xffffffff,0x3e605fff,0xffffffff,0xffffffff,0xffffff00,
    0xffffffff,0x3f25ffff,0xc80005ff,0xf9007fff,0x800000ff,0x80000aa8,
    0xfffffff9,0xffffffff,0xfe8000ff,0x980001ff,0xffffffff,0xffffffff,
    0xffffb80f,0x2cceefff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa2000,0x20000001,0x8801aaa8,0x03330099,0x4cc40000,0x20000199,
    0x00001999,0x00001331,0x04ccc400,0x9804cc40,0x99880019,0x98033300,
    0x00000099,0x00003100,0x80003100,0x26201999,0x22000099,0x33101999,
    0x26620133,0x00000199,0x00026620,0x4ccc4000,0x26662019,0x00000019,
    0x00039990,0x10199988,0x00013333,0xff700000,0x8800005f,0x3ff20999,
    0x5ffb801f,0x0006ffa8,0xfffff300,0x7fc00007,0xf880007f,0x00003fff,
    0x07fff900,0xf50bff70,0xff7000df,0x40dff50b,0x0006fff9,0xfffd8000,
    0xd8800001,0x90001eff,0xff309fff,0x260001df,0xf984ffff,0xd301efff,
    0x0009ffff,0xffff1000,0x98000007,0x203fffff,0x04ffffe9,0x7cc00000,
    0x260001ff,0xf984ffff,0x0001efff,0xffe80000,0xfd800007,0x1bffa2ff,
    0x207ffd40,0x00005ffd,0x1effff98,0x7ffc0000,0x7fc40007,0x0003ffff,
    0x3fffc800,0x40fffa80,0xa8005ffd,0x7fec0fff,0x1bffe605,0xf9000000,
    0x0000ffff,0x0dffff90,0x6fffe400,0x01dfff50,0x3fffe200,0xeffff884,
    0x7ffec400,0x2000004f,0x3ffffff8,0xff300000,0xb1003fff,0x0009ffff,
    0x37fdc000,0xffff1000,0xdffff109,0x00000001,0x009fff10,0x5fffb000,
    0x4013ffe2,0xfcdffff8,0x00002fff,0x06ffffcc,0x7ffc0000,0x3fe20007,
    0x03ffffff,0x7fe40000,0xfff8803f,0x2ffffcdf,0xffff8800,0x02ffffcd,
    0x001bffe6,0xfffd0000,0x800003ff,0x01fffffe,0x3bffee00,0x000efffb,
    0x09fffd10,0x00bfffd1,0x04ffffb8,0xfff88000,0x003fffff,0x7fffcc00,
    0x7fdc000d,0x000004ff,0x0007ffd0,0x213fffa2,0x005fffe8,0x76544000,
    0x07ffea00,0x3ff60000,0x03fff72f,0x7ffffd40,0x00005fff,0x01ffffcc,
    0x3ffffa00,0xffffffff,0xff8802ff,0xfffe89ff,0x32000003,0xf5003fff,
    0xbfffffff,0x7ffd4000,0x405fffff,0x0006fff9,0x7ffec000,0x400000ff,
    0x00fffffe,0x7fffdc00,0x20000eff,0xe884fffd,0x30004fff,0x0009fffd,
    0x4ffffc40,0x003fffe8,0x7ffff300,0x7ff4c000,0x4000004f,0x0001fff9,
    0xd109fffb,0x00009fff,0x01ffff00,0x00037fe4,0xb2fffd80,0xd5000dff,
    0x009fffff,0xffff9800,0xffe80001,0xffffffff,0x4c02ffff,0x7ec0efff,
    0x000003ff,0x4007fff9,0x4fffffea,0xffea8000,0xf9804fff,0x000006ff,
    0x2ffffd40,0x7fd40000,0x700005ff,0x001dffff,0x827ffe40,0x0003fffd,
    0x027ffec4,0x77ffcc00,0x01fffec0,0x3fffe600,0xfd880001,0x980004ff,
    0xffeefdca,0xfff90006,0x0ffff609,0x7fc00000,0x3ffe00ff,0xfb000003,
    0x0fffe5ff,0x0abb9800,0xccc80000,0xfd00000c,0xffffffff,0x805fffff,
    0x9700cccb,0x00000399,0x0007fff9,0x00015773,0x00abb980,0x00dfff30,
    0xdd500000,0x54000009,0x400004ee,0x0000cccb,0x540f3326,0x00002ccc,
    0x0007332e,0x20199970,0x0001cccb,0x0003332e,0x03999700,0x3fffa600,
    0x1effffff,0x1e664c00,0x002ccca8,0x3ffe0000,0x1999100f,0x3f600000,
    0x0ccc8aff,0x00000000,0x50000000,0xff555555,0x015555ff,0x00000000,
    0x01fffe40,0x00000000,0xdfff3000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0xffffffff,0x003fffff,
    0x00000000,0x07fffc00,0x20000000,0x0002fffd,0x00000000,0xf0000000,
    0x00000fff,0xc8000000,0x00003fff,0x00000000,0x001bffe6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffe8000,
    0xffebceff,0x0003ffff,0x00000000,0x003fffe0,0xfb000000,0x000005ff,
    0x00000000,0x3fe00000,0x0000007f,0x7e400000,0x000003ff,0x20000000,
    0x0006fff9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff7000,0xfffffd07,0x000003ff,0x20000000,0x0000ffff,
    0x7fec0000,0x6644002f,0x3326003c,0xb988002c,0x00bcdeec,0x6f654c40,
    0x07fffaac,0x76dd4400,0x40001acd,0xacdedba9,0x8803fffc,0xdefeedca,
    0x5440002c,0x01acdedb,0x4c37ffcc,0x001bdedb,0x6f6dd440,0x200001ac,
    0xcdeecb98,0xba88000b,0x001acded,0x800f3322,0x0002ccc9,0x59bdb751,
    0x66644003,0x33326003,0x03ccc882,0x20b33260,0x2003ccc8,0x3e22ccc9,
    0xff983fff,0x06ffffaf,0xdfdca980,0x000001ac,0xf9999995,0x99999fff,
    0x00599999,0x37b72a60,0x02fffdac,0x037ffcc0,0x009fff50,0x7ffffec4,
    0x806fffff,0xffffffd8,0x07ffffff,0x3ffff200,0x00dfffff,0x7ffffd40,
    0xffffffff,0x3fffae03,0xffffffff,0xffc8002e,0xdfffffff,0x4bfff300,
    0xfffffffa,0xfc8000ef,0xffffffff,0x3620000d,0xffffffff,0x3f2006ff,
    0xffffffff,0xfff9800d,0x3ffea006,0xfffc8004,0x0dffffff,0x06fff980,
    0x213ffea0,0x2006fff9,0xf984fffa,0x3ea006ff,0x3fff24ff,0x2adff904,
    0x3001ffff,0xfffffffd,0x00001bff,0xffffffb8,0xffffffff,0x05ffffff,
    0x7ffffdc0,0xffffffff,0x7ffcc002,0x3ffea006,0xffff7004,0xffffffff,
    0xfffe980f,0xffffffff,0xe88007ff,0xffffffff,0x8801efff,0xfffffffd,
    0x3fffffff,0x3fffffa0,0xffffffff,0xffd1003f,0xffffffff,0xfff303df,
    0x3fffff2b,0x00efffff,0xfffffd10,0x3dffffff,0xffff7000,0xffffffff,
    0xfffd100f,0xffffffff,0xfff9803d,0x3ffea006,0x3ffa2004,0xffffffff,
    0x7fcc01ef,0x3fea006f,0x6fff984f,0x13ffea00,0x801bffe6,0xff14fffa,
    0x3ffa03ff,0x013fff63,0x3fffffee,0x3fffffff,0x3fee0000,0xffffffff,
    0xffffffff,0xfd1005ff,0xffffffff,0x005fffff,0x006fff98,0x1013ffea,
    0xdffffffd,0x0ffffdb9,0x77ffffdc,0xffffedcd,0x7fcc007f,0xdcabdfff,
    0x201fffff,0xeffffff9,0xffffedcc,0x3fffa03f,0xfedccdef,0x4c01ffff,
    0xabdfffff,0x1fffffdc,0x7e6fffcc,0xffdcefff,0xf9806fff,0xcabdffff,
    0x01fffffd,0xfffffd10,0xfffdb9df,0xffff980f,0xffdcabdf,0x3e601fff,
    0x3ea006ff,0xff3004ff,0xb957bfff,0x403fffff,0x2006fff9,0xf984fffa,
    0x3ea006ff,0xfff984ff,0x3ffea006,0x20bfff34,0x3ee0fff9,0x7fec06ff,
    0xfdcdefff,0x003fffff,0xddddd500,0xdddffffd,0x9ddddddd,0xfffff500,
    0xfffd99bf,0x98005fff,0x2a006fff,0x7e404fff,0x2602ffff,0xffff307c,
    0x3fea201b,0x7ff4007f,0xffd300df,0x7fff40df,0x3ff6602f,0x02f7a03f,
    0x0dffff70,0x00dfffe8,0x98dfffd3,0xefffffff,0x7fffec41,0x6ffff401,
    0xdfffd300,0x3ffff200,0x01f2602f,0x201bfffd,0x206fffe9,0x2006fff9,
    0xd004fffa,0x2601bfff,0x2606fffe,0x2a006fff,0xff984fff,0x3fea006f,
    0x6fff984f,0x53ffea00,0xf903fffa,0x7fff98df,0x37fffea0,0xfffff500,
    0xf8000001,0x00000fff,0x03dffff1,0x017fff4c,0x01bffe60,0x204fffa8,
    0x00dffff9,0x27ffec00,0x007fff80,0x2017ffea,0xb82ffff8,0xc800dfff,
    0x00203fff,0x01ffff50,0x2017ffea,0x262ffff8,0x04ffffff,0x502fffec,
    0xf100bfff,0xf9805fff,0x0000dfff,0x805fffa8,0x302ffff8,0x5400dfff,
    0xfa804fff,0xff8805ff,0xfff302ff,0x7ffd400d,0x06fff984,0x213ffea0,
    0x2006fff9,0xff94fffa,0x0fffa05f,0x220ffff1,0x9804ffff,0x0005fffe,
    0x07fffc00,0xfffc8000,0x5fffb005,0x6fff9800,0x13ffea00,0x006fffe8,
    0x06fffa80,0x801fffe0,0x7001fffe,0xff88dfff,0xff9000ff,0xe800007f,
    0xffd01fff,0x3fee003f,0x3fffe66f,0xfff9804f,0x3fffd00f,0x1bffee00,
    0x00dfffd0,0x0ffff400,0x06fffb80,0x400dfff3,0xe804fffa,0xf7001fff,
    0x3fe60dff,0x3fea006f,0x6fff984f,0x13ffea00,0x801bffe6,0xffb4fffa,
    0x1fff305f,0x901ffff0,0x5400bfff,0x0001ffff,0x03fffe00,0x3ffe6000,
    0xfffb000f,0xfff98005,0x3ffea006,0x3ffff504,0xfffd0000,0x3fffc005,
    0x04fffb80,0x907fffc0,0x6400bfff,0x00003fff,0x5c1fffec,0x7c004fff,
    0xfff30fff,0x7ffc00bf,0x4fffb82f,0x07fffc00,0x01ffffa8,0x9fff7000,
    0x0ffff800,0x006fff98,0x7013ffea,0xf8009fff,0xff980fff,0x3fea006f,
    0x6fff984f,0x13ffea00,0x801bffe6,0xffd4fffa,0x0dff903f,0xf103fffa,
    0xe8005fff,0x00004fff,0x003fffe0,0x0ffff600,0x02fffd80,0x037ffcc0,
    0x209fff50,0x0005fffc,0x800ffff0,0xfb007fff,0xfe8005ff,0x3fff61ff,
    0x3fff2001,0x7e400003,0xfffd83ff,0x7fff4002,0x00dfff31,0xd83fffc8,
    0x74002fff,0xff901fff,0x6c0000bf,0x74002fff,0xff981fff,0x3fea006f,
    0x7ffec04f,0x7fff4002,0x06fff981,0x213ffea0,0x2006fff9,0xf984fffa,
    0x3ea006ff,0x5fffb4ff,0x3e07ffd0,0xfff987ff,0xfffb8006,0x3e000005,
    0x80000fff,0x2000ffff,0x4002fffd,0x2006fff9,0xfb04fffa,0x300007ff,
    0xf800dfff,0xffd007ff,0xffd8003f,0x03fffe2f,0x03fffc80,0x7ffe4000,
    0x01fffe83,0x997ffec0,0x5c006fff,0xffe84fff,0x7fec001f,0x7fffb02f,
    0x7ff40000,0x7fec001f,0x6fff982f,0x13ffea00,0x003fffd0,0x982fffd8,
    0x2a006fff,0xff984fff,0x3fea006f,0x6fff984f,0x53ffea00,0x7cc4fffc,
    0xfff881ff,0x04fffa86,0x06fff980,0x3ffe0000,0x7c40000f,0x7ec007ff,
    0x7cc002ff,0x3ea006ff,0xffff04ff,0xff500003,0xfff800bf,0x9ffff007,
    0x99999999,0x7fffd999,0x001fffe2,0x2007fff9,0xeeedcba8,0x83ffffee,
    0xccccffff,0xcccccccc,0xff33fffe,0xffb800df,0xcffff85f,0xcccccccc,
    0x3fffeccc,0x003ffff0,0x67fffc00,0xcccccccc,0x3fffeccc,0x006fff98,
    0xf013ffea,0x99999fff,0xd9999999,0xff307fff,0x7fd400df,0x6fff984f,
    0x13ffea00,0x801bffe6,0xff74fffa,0x06ffc8bf,0xf70bfff3,0xf10007ff,
    0x00000fff,0x0007fffc,0x01bffe60,0x005fffb0,0x006fff98,0x2213ffea,
    0x0000ffff,0x004fffb8,0x4403fffc,0xffffffff,0xffffffff,0xff34ffff,
    0xffc800df,0x7fe4403f,0xffffffff,0x7c43ffff,0xffffffff,0xffffffff,
    0xfff34fff,0xfffa800d,0x7ffffc46,0xffffffff,0x4fffffff,0x00ffff88,
    0xffff1000,0xffffffff,0xffffffff,0x0dfff309,0x027ffd40,0xfffffff1,
    0xffffffff,0x309fffff,0x5400dfff,0xff984fff,0x3fea006f,0x6fff984f,
    0x53ffea00,0x7f46fffa,0x9fff903f,0x005fffb0,0x003fffe0,0x7fffc000,
    0x7fd40000,0x7fec005f,0x7fcc002f,0x3fea006f,0x7fff984f,0xfff90000,
    0x7fff8007,0xfffff980,0xffffffff,0x4fffffff,0x800bfff5,0x2e03fffc,
    0xffffffff,0xffffffff,0x7ffffcc3,0xffffffff,0x4fffffff,0x800dfff3,
    0x7cc5fffa,0xffffffff,0xffffffff,0xff984fff,0x2600007f,0xffffffff,
    0xffffffff,0xf984ffff,0x3ea006ff,0x3fe604ff,0xffffffff,0xffffffff,
    0xfff984ff,0x3ffea006,0x06fff984,0x213ffea0,0x2006fff9,0x3fe4fffa,
    0x3fff33ff,0x03ffff10,0x0005fffd,0x0003fffe,0x07fffc00,0x3ffee000,
    0x7ffec004,0x7ffcc002,0x3ffea006,0x0ffff884,0xfffc8000,0x3fffc003,
    0x67fffc40,0xcccccccc,0x2ccccccc,0x800dfff5,0xf503fffc,0x357bffff,
    0xfff93333,0xcffff887,0xcccccccc,0x2ccccccc,0x800dfff3,0x7c44fffb,
    0xcccccfff,0xcccccccc,0xff882ccc,0x100000ff,0x9999ffff,0x99999999,
    0xf3059999,0x7d400dff,0x3fe204ff,0xccccccff,0xcccccccc,0xfff982cc,
    0x3ffea006,0x06fff984,0x213ffea0,0x2006fff9,0x3f24fffa,0x6ffc9fff,
    0x20bfff90,0x8003fffd,0x0007fff8,0x03fffe00,0x9fff7000,0x2fffd800,
    0x37ffcc00,0x09fff500,0x0007fffe,0x013ffee0,0x200ffff0,0x0000ffff,
    0x00dfff30,0x883fffc8,0x800dffff,0xff83fffc,0x300000ff,0xc800dfff,
    0xfff83fff,0xf000000f,0x00003fff,0x0007fffc,0x37ffcc00,0x09fff500,
    0x000ffff8,0x6fff9800,0x13ffea00,0x801bffe6,0xf984fffa,0x3ea006ff,
    0x3ffe64ff,0xc83ffeef,0xf700ffff,0xf30009ff,0x00000dff,0x0007fffc,
    0x017ffea0,0x005fffb0,0x006fff98,0x7413ffea,0x80002fff,0x2005fffa,
    0xd007fff8,0x00003fff,0x001fffe2,0xf507fffb,0x32001fff,0xffe83fff,
    0xf300001f,0xfd800dff,0xfffe81ff,0xfd000001,0x400005ff,0x0001fffe,
    0x06fff980,0x013ffea0,0x0003fffd,0x0dfff300,0x427ffd40,0x2006fff9,
    0xf984fffa,0x3ea006ff,0x7ffdc4ff,0xb731ffff,0x5409ffff,0xa8005fff,
    0x00005fff,0x003fffe0,0x0dfff300,0x02fffe80,0x03fffc40,0x209fffb0,
    0x0005fffd,0x006fffa8,0x00ffffd1,0x000ffff6,0x00ffff80,0x07ffff70,
    0x4009fff9,0xfd83fffc,0x300003ff,0x4400dfff,0xfd80ffff,0x000003ff,
    0x000bfffb,0x01fffec0,0x7ffc4000,0x3fff6007,0x1fffec04,0x7fc40000,
    0x3ff6007f,0x7fff884f,0x13fff600,0x801fffe2,0xfc84fffd,0xffffffff,
    0x404fffff,0x000ffff9,0x0027ffec,0x3fffd000,0xfff88000,0x3fff2007,
    0xfff8002f,0xffff9007,0x3fffee09,0x7fc40001,0xffe800ff,0xff7007ff,
    0x200001ff,0xa803fffe,0xe83fffff,0x36003fff,0xffb83fff,0x980000ff,
    0x32006fff,0xff705fff,0x000001ff,0x003ffff7,0x3fffee00,0xff800000,
    0xfff9007f,0xfffb809f,0xf800000f,0xff9007ff,0x3ffe09ff,0xffff9007,
    0x01fffe09,0x827fffe4,0xfffffffa,0x802fffff,0x003ffff8,0x007fffe2,
    0xfffd8000,0xfff80002,0xfffb802f,0xff8002ff,0x7fdc02ff,0xff104fff,
    0xd0000dff,0xfd807fff,0x1007ffff,0x0009ffff,0x01bffee0,0x7ffffff3,
    0x009fffb0,0x07ffffd3,0x009ffff1,0x0dfff300,0x07fffe20,0x027fffc4,
    0x7ffc4000,0xf100006f,0x00009fff,0x805ffff0,0x04fffffb,0x027fffc4,
    0x7fffc000,0x7fffdc02,0x5ffff04f,0xfffffb80,0x05ffff04,0x4fffffb8,
    0x3ffffea0,0x000cefff,0x003ffff2,0x0027ffec,0x3fff2000,0xffc80005,
    0x7ffd405f,0xd8002fff,0x3f206fff,0x204fffff,0x02effffa,0xfffa8388,
    0xfffd881f,0x2e007fff,0x000cffff,0x27fffc40,0xffefffa8,0xffffc83f,
    0x3fffee00,0xfff703ff,0x4c00019f,0xe9806fff,0x7dc04fff,0x0000cfff,
    0x77fffd40,0x2e038802,0x000cffff,0x1bfff600,0xffffffc8,0xffffb804,
    0x3600000c,0x3f206fff,0xb04fffff,0x7e40dfff,0xb04fffff,0x7e40dfff,
    0x204fffff,0x0aaaeffc,0x3ffe2000,0x7fec01ef,0x000000ff,0x01ffffd4,
    0x3fffe600,0xfdfff503,0xf50005ff,0x5115dfff,0xfff9fffd,0xffffd809,
    0xba99abdf,0xffff07fd,0xfff9337f,0x00fffb3f,0xbfffffe8,0x6e54c41a,
    0xdffffd82,0xdfffeb8a,0xfa83fff9,0x730aefff,0xfffffffd,0x7ffff407,
    0x54c41abf,0x3ffe62dc,0x95119bef,0x001fffff,0x57fffffd,0x2dca9883,
    0xfffffd80,0xdba99abd,0x7fff407f,0x4c41abff,0x3ea02dca,0xa88aefff,
    0xfffcfffe,0xffffd004,0xa988357f,0x3fea02dc,0xea88aeff,0x4fffcfff,
    0x5dffff50,0x9fffd511,0x3ea09fff,0xa88aefff,0xfffcfffe,0x00fffa04,
    0xffff7000,0xd751159f,0x0007ffff,0x3fffa000,0xa9999adf,0x7fff404c,
    0xfffb89cf,0x02fffacf,0xfffffd00,0x19ffffff,0xe8809fff,0xffffffff,
    0x507fffff,0xffffffff,0x3ff63fff,0x7ff4c007,0xffffffff,0x882fffff,
    0xfffffffe,0xfff35fff,0x3ffff607,0xffffffff,0x203fff9d,0xffffffe9,
    0xffffffff,0x3fffe62f,0xffffffff,0x3000efff,0xfffffffd,0xffffffff,
    0xfffd1005,0xffffffff,0xfe980fff,0xffffffff,0x02ffffff,0x7ffffff4,
    0xf8cfffff,0xfd3004ff,0xffffffff,0x05ffffff,0xffffffe8,0xf8cfffff,
    0x3ffa04ff,0xffffffff,0x04fff8cf,0x3ffffffa,0xf8cfffff,0xfff304ff,
    0xf9000001,0xffffffff,0x007fffff,0x7fcc0000,0xffffffff,0x7fcc05ff,
    0xffffffff,0x05fff54f,0x3fffa600,0x23ffffff,0xf5004fff,0xffffffff,
    0x7d40ffff,0xffffffff,0x001fff62,0x7fffffe4,0xffffffff,0xffffd102,
    0x7c4bffff,0xffd103ff,0xffffffff,0x00fffe25,0x3ffffff2,0xffffffff,
    0x3ffffa22,0xffffffff,0xff90003f,0xffffffff,0x4005ffff,0xfffffffa,
    0x007fffff,0xfffffff9,0x5fffffff,0xffffe980,0x3e3fffff,0x7e4004ff,
    0xffffffff,0x402fffff,0xffffffe9,0x3ffe3fff,0x3fffa604,0x23ffffff,
    0x3a604fff,0xffffffff,0x413ffe3f,0x00006ffc,0x3ffffea0,0x1effffff,
    0xb8000000,0xffffffff,0xf9805fff,0xffffffff,0x00bffea4,0xfffff900,
    0x4fff83bf,0x3fb72200,0x1befffff,0x7fffed40,0x3ffe41be,0xffd93000,
    0xbfffffff,0x7f644017,0x7c42cfff,0x7fdc03ff,0x20ceffff,0x3003fff8,
    0xffffffd9,0x1017bfff,0xffffffb7,0x800039bd,0xfffffec9,0x00bdffff,
    0x7ff6e440,0x01beffff,0x3fffb260,0xbdffffff,0xffff9000,0xfff83bff,
    0xfec98004,0xffffffff,0xff9000bd,0xf83bffff,0xffc804ff,0x7c1dffff,
    0xffc804ff,0x7c1dffff,0x7ffd04ff,0xc8800000,0xdffffffe,0x0000000b,
    0x3fffb220,0x003effff,0x9dffffb1,0x02fff985,0x13551000,0x53000000,
    0x54c00033,0x80000000,0x0099aa98,0x00035100,0x00353100,0x55310000,
    0x22000133,0x00000099,0x04cd54c4,0x4d4c0000,0x26200001,0x000099aa,
    0x0004d544,0xaa988000,0x44000099,0x000009aa,0x0004d544,0x026aa200,
    0x00000000,0x00554c00,0x00000000,0x00133331,0x00005440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00133100,0x99880000,0x99880199,0x00000199,0x20003531,0x26200999,
    0x00000999,0x40000000,0x00000998,0x33333100,0x0ccccc40,0x00000000,
    0x00998800,0x00000333,0x01999988,0x4ccc4000,0x33100019,0x99980001,
    0x02666201,0x22000000,0x00001aaa,0x02aaaa00,0x004d4c40,0x02666200,
    0x00019998,0x0677fed4,0x440000b8,0x0003ffff,0xffff3000,0xffd3007f,
    0x400009ff,0x3fffffe8,0x0fffea00,0x06ffff98,0x7fed4000,0x001700ce,
    0x0ffffe20,0xff300000,0x74c07fff,0x0004ffff,0xceffda80,0x5c001700,
    0x6ffa85ff,0x3e600000,0x0003ffff,0x3ffffe60,0xfff88003,0x3f20003f,
    0xfff984ff,0x9998000e,0x09999999,0x005fff90,0x7ffc0000,0x7ffecc06,
    0x000cffff,0x81efff98,0x0002fffd,0x3ffffff6,0x0077dc3f,0xfffff880,
    0x4000003f,0x01fffff9,0x3ffff620,0xff980004,0x05ffffff,0x806fff88,
    0x225ffffa,0xb001fdba,0x7fffffff,0x4000efb8,0x3ffffff8,0xff300000,
    0xb1003fff,0x0009ffff,0x7ffffec0,0x077dc3ff,0x40fffa80,0x00005ffd,
    0x3fffff30,0x7fcc0000,0x88001fff,0x03ffffff,0x37fff200,0x01dfff50,
    0xfffff100,0x20dfffff,0x00007ffe,0x0fffe600,0x7ffffec4,0x04ffffff,
    0x1ffff980,0x005fffb1,0x7ffffe40,0xfeceffff,0xf88002ff,0x3fffffff,
    0xff300000,0x20001bff,0x004ffffb,0x6effff40,0x6402ffff,0xf9001fff,
    0xffffdfff,0xff9003ff,0xdfffffff,0x005fffd9,0x7fffffc4,0x400003ff,
    0x00dffff9,0x27fffdc0,0x7ffe4000,0xceffffff,0x1002fffe,0xff9bffff,
    0x000005ff,0x01bffff3,0x7ffcc000,0xf88000df,0x3fffffff,0x3ffee000,
    0x00efffbe,0xfffff100,0x10dfffff,0x00009fff,0x07ffe400,0x7fffffc4,
    0xffffffff,0xfff98003,0x02fffebf,0x2fffa200,0xfffffc98,0x88003fff,
    0xfe89ffff,0x400003ff,0x003ffff9,0x4fffe980,0x3fff7000,0x503fff44,
    0x51009fff,0xfffffff9,0x8803ffff,0xfc98bffe,0x3fffffff,0x3fffe200,
    0x03fffe89,0xffff3000,0x7f4c0007,0x220004ff,0xfc98bffe,0x3fffffff,
    0x7fffd400,0x0005ffff,0x3ffff980,0x7fcc0000,0xf10003ff,0xffd13fff,
    0x7dc0007f,0x00efffff,0x3fffe200,0x86ffffff,0x0001fffb,0xd0059995,
    0x3ff60dff,0x3ae60bff,0x8000ffff,0xfffffff9,0x2e880002,0xfffffd98,
    0xfff98003,0x1fffec0e,0xfff98000,0x2200001f,0x8004fffd,0xffb85ffd,
    0x0dffd00f,0xffffff98,0xceffffff,0x82e8800b,0x3fffffd9,0x3bffe600,
    0x01fffec0,0x3fffe600,0xfd880001,0x220004ff,0xfffd982e,0xd50003ff,
    0x009fffff,0xffff3000,0xf9800003,0x30001fff,0xfd81dfff,0x2e0003ff,
    0x000effff,0x99999980,0xfd86fffa,0x3ee0006f,0x7fc405ff,0xffffb83f,
    0x3fffa200,0xfff30003,0x400005ff,0x00dd4400,0x01999700,0x0007332e,
    0x003332e0,0x6665c000,0x1fffc001,0x640fffcc,0x7d401fff,0xffffffff,
    0x0020006f,0x70003751,0x32e01999,0x2e0001cc,0x00000ccc,0x000e665c,
    0x1ba88010,0x57730000,0x2e000001,0x00000ccc,0x000cccb8,0x403332e0,
    0x0001cccb,0x0003332e,0xdfff3000,0x0007fff0,0x202fffdc,0xfe80fffa,
    0xffb802ff,0x3220004f,0x000002cc,0x00000000,0x00000000,0x00000000,
    0x3e05fff1,0x7ffcc2ff,0xefffa804,0x2ffffcac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8dfff300,0x0000ccc8,0x5017ffee,0x3ffe0799,0xbfff5006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20fffe00,0x7f41fff8,0x1b9800ef,
    0x01ffffd0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00dfff30,0x7ffdc000,0x7fcc0005,
    0xfff9005f,0x00000009,0x00000000,0x00000000,0x00000000,0x17ffa000,
    0xfc83ffea,0x100002ff,0x000bffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x0000dfff,
    0x02fffdc0,0x13ffea00,0x0bfffe20,0x00000000,0x6fee54c0,0x300001ac,
    0x359bfb95,0x32a60000,0x001acdfd,0xbfb95300,0x3f600359,0x37ff41ff,
    0x0009fff3,0xffedca88,0xcc8802ff,0x3326003c,0xdca8802c,0x02cdefee,
    0xddb95100,0x00059bdf,0x3fbb72a2,0x10002cde,0xbdfddb95,0xa9800059,
    0x01acdfdc,0xdb751000,0x0000359b,0xddfdb953,0x3000379b,0xbddfdb95,
    0x53000379,0x9bddfdb9,0x4c000037,0x00006fff,0x017ffee0,0x07fff700,
    0x05fffe98,0x3b2e6200,0x0000bcde,0xfffffe98,0x000dffff,0xfffffd30,
    0x001bffff,0x3ffffa60,0x00dfffff,0xffffd300,0x01bfffff,0xbdffff98,
    0x3fa1fffe,0xf90000ff,0xffffffff,0xfff300df,0x7ffd400d,0x3fffae04,
    0xffffffff,0xffd7002e,0xffffffff,0x3ae005df,0xffffffff,0x7002efff,
    0xfffffffd,0x005dffff,0xfffffe98,0x000dffff,0x3fffff20,0x000dffff,
    0xfffffd88,0x06ffffff,0x3ffff620,0x6fffffff,0x3fff6200,0xffffffff,
    0x3e600006,0x000006ff,0x0017ffee,0x407fff90,0x00effffa,0xffffd880,
    0x06ffffff,0x3fffee00,0xffffffff,0x7fdc003f,0xffffffff,0x5c003fff,
    0xffffffff,0x003fffff,0x7fffffdc,0x3fffffff,0x7ffffe40,0x3fee4fff,
    0xfe88002f,0xffffffff,0x7cc03fff,0x3ea006ff,0x3ffa04ff,0xffffffff,
    0xe803ffff,0xffffffff,0x03ffffff,0xffffffe8,0xffffffff,0xffffe803,
    0xffffffff,0xff7003ff,0xffffffff,0x88007fff,0xfffffffe,0x001effff,
    0x3fffffea,0x6fffffff,0xfffff500,0xffffffff,0x3ffea00d,0xffffffff,
    0x200006ff,0x0006fff9,0x17ffee00,0x7fff9000,0x37fffee0,0xfffb8000,
    0xffffffff,0xffb0007f,0xfb9bdfff,0x007fffff,0x3bfffff6,0xfffffdcd,
    0xfffb003f,0xffb9bdff,0x2007ffff,0xdefffffd,0xffffffdc,0x7fffdc03,
    0x3ffe22ff,0xfff98005,0xfeddefff,0x2600ffff,0x2a006fff,0x3fa04fff,
    0xdccdefff,0x01fffffe,0x6f7ffff4,0xffffedcc,0x7fff401f,0xfedccdef,
    0x7401ffff,0xccdeffff,0x1fffffed,0x7ffffec0,0xffffdcde,0xff3003ff,
    0xb957bfff,0x003fffff,0x9bfffff3,0xdffb9957,0xfffff300,0xfb99579b,
    0xfff300df,0x99579bff,0x0000dffb,0x0037ffcc,0xbfff7000,0xfffc8000,
    0x4ffffa83,0xfffe8800,0xfedcefff,0xfa8007ff,0xf500dfff,0xa801ffff,
    0x500dffff,0x801fffff,0x00dffffa,0x01fffff5,0x0dffffa8,0x1fffff50,
    0x09bb9880,0x0007fff4,0x2bffffe2,0x07ffff00,0x0037ffcc,0x7409fff5,
    0x7fdc00bd,0x5ef406ff,0x7fffdc00,0x005ef406,0x01bfffee,0xfb8017bd,
    0x3ea06fff,0xf500dfff,0xd001ffff,0x2601bfff,0xe806fffe,0x8800dfff,
    0xdfffe801,0xe8018800,0x8800dfff,0x3e600001,0x000006ff,0x0017ffee,
    0xf07fff90,0x20007fff,0x02fffffc,0xf1001f26,0xd3009fff,0x7c40bfff,
    0xe9804fff,0x3e205fff,0xe9804fff,0x3e205fff,0xe9804fff,0x40005fff,
    0x8002fffb,0x400efffc,0x2607fffb,0x2a006fff,0x00204fff,0x01ffff50,
    0x3fea0004,0x000200ff,0x401ffff5,0x7ffd4000,0xffff880f,0xfffe9804,
    0x2fffd405,0x17fffc40,0x00ffff10,0x7fff8800,0x7fc40000,0x0000007f,
    0x01bffe60,0xfffb8000,0x7fe40005,0x3fffcc3f,0xffff9800,0x9000000d,
    0x5400bfff,0xf901ffff,0x7d400bff,0xff901fff,0x7fd400bf,0xfff901ff,
    0x7ffd400b,0xff10001f,0xff1000bf,0xff1001ff,0x3fe605ff,0x3fea006f,
    0x7400004f,0x00001fff,0x000ffff4,0x07fffa00,0xfffd0000,0x0bfff903,
    0x0ffffd40,0x003fffd0,0xa81bffee,0x00005fff,0x002fffd4,0x17ffea00,
    0x98000000,0x00006fff,0x017ffee0,0x87fff900,0x0005fffa,0x000dfffd,
    0x7fffc400,0x7fff4002,0x2ffff884,0x27fff400,0x017fffc4,0x213fffa0,
    0x002ffff8,0x0027fff4,0x000fffd8,0x004fffc8,0x4c17fff2,0x2a006fff,
    0x00004fff,0x001fffec,0x0ffff600,0xfffb0000,0xfd800007,0x7ffc43ff,
    0x7ff4002f,0x9fff704f,0x0ffff800,0x00ffff30,0x7fff9800,0x7fcc0000,
    0x0000007f,0x01bffe60,0xfffb8000,0x7fe40005,0x7fffcc3f,0x7ffd4000,
    0x2000001f,0x8006fff9,0xf985fffb,0xfb8006ff,0xfff985ff,0xfffb8006,
    0x06fff985,0x05fffb80,0x03fffa80,0x03ffff00,0x83fffcc0,0x2006fff9,
    0x0004fffa,0x01fffe40,0x3fff2000,0x7e400003,0x400003ff,0x7cc3fffc,
    0xfb8006ff,0xfffb05ff,0xfffe8005,0x37fffe01,0x3fe00000,0x00000dff,
    0x0037fffe,0x3e600000,0x000006ff,0x0017ffee,0xf07fff90,0xc8009fff,
    0x00005fff,0x027ffd40,0x437ffcc0,0x8004fffa,0xfa86fff9,0xf98004ff,
    0xfffa86ff,0xfff98004,0x7ffc4006,0xfff10006,0xfff8800d,0x6fff981f,
    0x13ffea00,0xfff90000,0xfc800007,0x400003ff,0x0003fffc,0x21fffe40,
    0x8004fffa,0xfd06fff9,0xfd8003ff,0x3ff602ff,0x0000cfff,0xcfffffd8,
    0xffd80000,0x0000cfff,0x3ffe6000,0x2e000006,0x40005fff,0xfd83fffc,
    0x36005fff,0x00003fff,0x01fffdc0,0x43fffc40,0x8003fffb,0xfb87fff8,
    0xf88003ff,0xfffb87ff,0xfff88003,0x7ffec007,0x0af2ea21,0x002fffcc,
    0x4c17fffc,0x2a006fff,0x51004fff,0xdddddb97,0x2007ffff,0xeeedcba8,
    0x03ffffee,0xddb97510,0x7ffffddd,0x372ea200,0xfffeeeee,0x1fffdc3f,
    0x3fffc400,0xcccffff8,0xcccccccc,0x203fffec,0xffffffe8,0xd10000be,
    0x7dffffff,0x3fa20001,0x0befffff,0x7cc00000,0x000006ff,0x0017ffee,
    0x107fff90,0x03dffffd,0x003ffff0,0xfffd8000,0xffff0002,0x02fffd81,
    0x81ffff00,0x0002fffd,0xfd81ffff,0xff0002ff,0x3ea001ff,0x3ffa63ff,
    0x7dc0efff,0xfd8004ff,0xfff983ff,0x3ffea006,0x7ffe4404,0xffffffff,
    0x64403fff,0xffffffff,0x03ffffff,0x7ffffe44,0xffffffff,0x7fe4403f,
    0xffffffff,0x7ec3ffff,0xff0002ff,0xfff881ff,0xffffffff,0xffffffff,
    0x7fec404f,0xadffffff,0x7fec4000,0xadffffff,0x7fec4000,0xadffffff,
    0xf9800000,0x000006ff,0x0017ffee,0x207fff90,0x2fffffe8,0x03fffe20,
    0xffd00000,0x3fe0005f,0x7fff40ff,0xffff0002,0x02fffe81,0x81ffff00,
    0x0002fffe,0x1001ffff,0x7fd4dfff,0x0fffffff,0x0013fff2,0x260ffff2,
    0x2a006fff,0x3ee04fff,0xffffffff,0x3fffffff,0x3ffffee0,0xffffffff,
    0x3ee03fff,0xffffffff,0x3fffffff,0x3ffffee0,0xffffffff,0x7ff43fff,
    0xfff0002f,0xffff981f,0xffffffff,0xffffffff,0xfffd5004,0x05ffffff,
    0xffffd500,0x005fffff,0xfffffd50,0x0005ffff,0x06fff980,0x3fee0000,
    0x7e40005f,0x3f6203ff,0xf303ffff,0x00000fff,0x007fffb0,0xb0ffff10,
    0x10007fff,0xffb0ffff,0xff10007f,0x7fffb0ff,0xffff1000,0x87fff200,
    0xfebbfffe,0x3fff24ff,0xfffd8004,0x06fff983,0x413ffea0,0xbdfffffa,
    0xfc99999a,0xfff503ff,0x33357bff,0x07fff933,0x37ffffea,0xc99999ab,
    0xff503fff,0x3357bfff,0x7fff9333,0x003fffd8,0x887fff88,0xccccffff,
    0xcccccccc,0x4002cccc,0xfffffec9,0x930005ff,0xfffffffd,0x3b26000b,
    0x5fffffff,0x3fe60000,0x2000006f,0x0005fffb,0x401fffe4,0x82fffffb,
    0x000ffff8,0x7ffdc000,0xfff98004,0x04fffb86,0x86fff980,0x8004fffb,
    0xfb86fff9,0xf98004ff,0xff9806ff,0x03ffee4f,0x3ea1fff9,0xfe8005ff,
    0xfff982ff,0x3ffea006,0xdffff884,0x3fffc800,0x0dffff88,0x83fffc80,
    0x00dffff8,0x883fffc8,0x800dffff,0x7dc3fffc,0xf98004ff,0xffff06ff,
    0x00000001,0x7ffffe4c,0x64c0003f,0x03ffffff,0x7ffe4c00,0x00003fff,
    0x000dfff3,0x2fffdc00,0x3fff2000,0xffff5003,0x3ffff01f,0xfa800000,
    0xfa8005ff,0xfffa85ff,0xfffa8005,0x05fffa85,0x85fffa80,0x8005fffa,
    0xe805fffa,0x2ffec6ff,0xf98fffd4,0xff8006ff,0xfff981ff,0x3ffea006,
    0x0ffffa84,0x07fff900,0x001ffff5,0x2a0ffff2,0x9000ffff,0xff507fff,
    0x3f2001ff,0x7ffd43ff,0xfffa8005,0x03fffd05,0x20000000,0x007ffffb,
    0x3fffee00,0x3ee00007,0x00007fff,0x000dfff3,0x2fffdc00,0x3fff2000,
    0x3ffea003,0x2fffe83f,0x7cc00000,0x6c000fff,0xff984fff,0x7ec000ff,
    0xfff984ff,0x7fec000f,0xffff984f,0x7ffec000,0x0fffe404,0x3e20fffa,
    0xffff12ff,0x7ffcc001,0x0ffff107,0x427ffec0,0x2004fffc,0xfc83fffc,
    0x3f2004ff,0xfffc83ff,0x3fff2004,0x04fffc83,0x30ffff20,0x8001ffff,
    0xfb04fffd,0x000007ff,0x7ffd4000,0x2a00001f,0x0001ffff,0x07fffea0,
    0x3ffe6000,0x2e000006,0x40005fff,0x4003fffc,0xfd85fffc,0x000005ff,
    0x01ffffc4,0x03ffff10,0x007ffff1,0x40ffffc4,0x003ffff8,0x207fffe2,
    0x003ffff8,0x807fffe2,0xff84fff9,0x47fff03f,0x2004ffff,0x3e05fffd,
    0xff9007ff,0xfffd09ff,0x7ffec007,0x03fffe83,0x20ffff60,0x2003fffe,
    0xfe83fffd,0x3f6003ff,0x7ffc43ff,0x3fe2003f,0xfff701ff,0x0000001f,
    0x17fffc00,0x3ffe0000,0x7c00002f,0x80002fff,0x0006fff9,0x17ffee00,
    0x7fff9000,0x6fffa800,0x01ffffb8,0x7fe40000,0xffb000ff,0x7ffe409f,
    0xfffb000f,0x7fffe409,0x9fffb000,0x07fffe40,0x04fffd80,0x74077ff4,
    0x5fff05ff,0x007fffdc,0x00ffffcc,0xb805ffff,0xd84fffff,0xe9804fff,
    0xfd83ffff,0xfe9804ff,0xffd83fff,0xffe9804f,0xfffd83ff,0xfffe9804,
    0xffffc83f,0x9fffb000,0x27fffc40,0x00000000,0x0003ffff,0x01ffff80,
    0x7fffc000,0xff980001,0x2000006f,0x0005fffb,0x001fffe4,0x2217ffea,
    0x0006ffff,0x7fffc400,0x7ffec01e,0x3ffe200f,0x7fec01ef,0x3fe200ff,
    0x7ec01eff,0x3e200fff,0x6c01efff,0x2e00ffff,0xffb02fff,0x81fff50f,
    0x201ffffe,0x405ffff9,0x3206fffd,0x84ffffff,0x200ffffc,0x3ffffffb,
    0x00ffffc8,0x3fffffee,0x0ffffc83,0x3ffffee0,0xffffc83f,0x3fffee00,
    0xfff883ff,0x7fec01ef,0x7fdc00ff,0x00000cff,0x3fee0002,0x2000207f,
    0x0207fffb,0x1fffee00,0x7ffcc000,0x2e000006,0x40005fff,0x2003fffc,
    0x504fffe8,0x005dffff,0xff700071,0x51159fff,0x07ffffd7,0x9fffff70,
    0xffd75115,0xff7007ff,0x51159fff,0x07ffffd7,0x9fffff70,0xffd75115,
    0x7fcc07ff,0x3ffee05f,0x21bffa23,0xacfffffa,0xffffca88,0x7ffd401f,
    0xfea88aef,0x84fffcff,0x0aeffffa,0xfffffd73,0xfff507ff,0x3ae615df,
    0x3fffffff,0xaeffffa8,0xffffd730,0xff507fff,0x2e615dff,0xfffffffe,
    0xfffff703,0xfd751159,0x3a007fff,0x1abfffff,0x016e54c4,0x13357bfb,
    0x3fff6a62,0x2f7f603f,0xb531099a,0x6c07ffff,0x1099abdf,0x7ffffb53,
    0x3fe60000,0x2000006f,0x0005fffb,0x261fffe4,0xfeb9999a,0x3f600fff,
    0x9abdffff,0x007fdba9,0xffffff90,0xffffffff,0x7ffe4007,0xffffffff,
    0x32003fff,0xffffffff,0x03ffffff,0x3fffff20,0xffffffff,0x7fff403f,
    0x3fffe200,0x01ffffdf,0xfffffff9,0x3fffffff,0x3ffffa00,0xcfffffff,
    0xfb04fff8,0xffffffff,0xfff3bfff,0x3ffff607,0xffffffff,0xb03fff9d,
    0xffffffff,0xff3bffff,0x3fff607f,0xffffffff,0x03fff9df,0x3ffffff2,
    0xffffffff,0x3ffa6003,0xffffffff,0x202fffff,0xfffffffd,0xffffffff,
    0x7fffec05,0xffffffff,0x7ec05fff,0xffffffff,0x05ffffff,0x55555540,
    0xaaffffba,0x0002aaaa,0x6677ffdc,0xcccccccc,0x3fff24cc,0x7ffffdc3,
    0x402fffff,0xffffffe8,0x7fffffff,0x3ffea000,0xffffffff,0xffa8001e,
    0xffffffff,0xfa8001ef,0xffffffff,0xa8001eff,0xffffffff,0x5c01efff,
    0xfa802fff,0x3fffffff,0x7ffffd40,0x1effffff,0x3fffa600,0x23ffffff,
    0xfd104fff,0xffffffff,0x0fffe25f,0x7fffff44,0xf12fffff,0x3fa207ff,
    0xffffffff,0x07fff12f,0x3fffffa2,0xf12fffff,0xffa807ff,0xffffffff,
    0xf90001ef,0xffffffff,0x405fffff,0xfffffffd,0x3fffffff,0xfffffd80,
    0xffffffff,0xfffd803f,0xffffffff,0xf8003fff,0xffffffff,0xffffffff,
    0x7dc0006f,0xffffffff,0xffffffff,0xb87fff90,0xffffffff,0x3fea002e,
    0xffffffff,0x440007ff,0xffffffec,0x220000bd,0xffffffec,0x220000bd,
    0xffffffec,0x220000bd,0xffffffec,0x7fc400bd,0x3fa2005f,0x1001efff,
    0xffffffd9,0x7e40005d,0x41dfffff,0x7dc04fff,0x0cefffff,0x700fffe2,
    0x9dffffff,0x01fffc41,0x3fffffee,0x3ffe20ce,0x7fffdc03,0x3e20ceff,
    0xec8803ff,0xbdffffff,0x764c0000,0xffffffff,0x36e00bdf,0xffffffff,
    0x7000ceff,0xfffffffb,0x0019dfff,0x3fffff6e,0x0cefffff,0xfffff000,
    0xffffffff,0x00dfffff,0xfffffb80,0xffffffff,0xff90ffff,0xffffb87f,
    0x10003eff,0xfffffdb9,0x000037df,0x0000aa98,0x002aa600,0x0aa98000,
    0x2a600000,0x0000000a,0x30000330,0x80000335,0x00009aa8,0x0006a620,
    0x006a6200,0x06a62000,0x2a620000,0x4c000001,0x000000aa,0x04cd54c4,
    0xaa998800,0x400009aa,0x9aaaa998,0x4cc40000,0x0009aaaa,0xffffff80,
    0xffffffff,0x0006ffff,0x7fffffdc,0xffffffff,0x22000fff,0x00000999,
    0x00033530,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00000000,
    0x00ccccc4,0x980fb660,0x6cc003ed,0x0fb6603e,0x80fb6600,0x99803ed9,
    0x00000009,0x4c400000,0x00333009,0x000d5440,0x00000000,0x00099880,
    0x2aaa6200,0x9998801a,0x00000019,0x06666620,0x6f6dd440,0x998801ac,
    0x99999999,0x53000000,0x9bddfdb9,0xdca88037,0x02cdefee,0x99999998,
    0x00000999,0x19999880,0x71073322,0x0059bfdb,0xe81f75c0,0x000bdeff,
    0xfff98000,0x3e2003ff,0xff882fff,0xff1003ff,0xfff105ff,0x7fc4007f,
    0xfff882ff,0x3ffe603f,0x54000006,0x700ceffd,0x2ffdc001,0x20037fd4,
    0xffffffd8,0x2a00001e,0x700ceffd,0x3fe20001,0x260003ff,0xfffffffd,
    0xfd300fff,0x00009fff,0xffff3000,0xfff9007f,0x1bffffff,0x7ffffe40,
    0x003fffff,0x7ffec400,0xffffffff,0xffffd706,0xdfffffff,0x3fffe205,
    0x06ffffff,0x7fcc0000,0x3fe63fff,0x3fffea2f,0x000dffff,0x41ffffe4,
    0xeffffffe,0xf3000003,0x8003ffff,0xa85ffffa,0x5006ffff,0xf50bffff,
    0x5400dfff,0xfa85ffff,0x3e606fff,0x000006ff,0x3ffffff6,0x0077dc3f,
    0x6c0fffa8,0x3ee005ff,0xffffffff,0xfd80004f,0x43ffffff,0x44000efb,
    0x03ffffff,0x7fffec40,0xffffffff,0x3fff6200,0x0000004f,0x07ffffe6,
    0xfffffd10,0x3dffffff,0x3fffff20,0x003fffff,0x3fffea00,0xffffffff,
    0xffffd06f,0xffffffff,0xfff107ff,0xdfffffff,0x7cc00000,0x7cc1ffff,
    0xffffb3ff,0x0dffffff,0x6fffff80,0xffffffe8,0x00000eff,0x037fffe6,
    0x3fffe600,0x5ffff984,0x9ffff300,0x0bffff30,0x27fffcc0,0x02ffffcc,
    0x000dfff3,0x3ffff200,0xecefffff,0xf1002fff,0xfff9bfff,0x3fea005f,
    0xffffffff,0x320003ff,0xffffffff,0x2fffecef,0x3fffe200,0x5003ffff,
    0xffffffff,0x01ffffff,0x09ffff70,0xff300000,0xf9801bff,0xcabdffff,
    0x81fffffd,0xfffffffc,0x00003fff,0x9bfffff3,0xdffb9957,0x3bffffa0,
    0xfffedccd,0x7ffc41ff,0x6fffffff,0xff300000,0xff301bff,0xbffffb7f,
    0x7fffffb9,0x7ffffc00,0xffeecb87,0x002fffff,0x3ffff980,0x77fe4000,
    0x01dff900,0x8077fe40,0x4000effc,0xf900effc,0xffff81df,0xffffffff,
    0x88001fff,0xfc98bffe,0x3fffffff,0x7fffd400,0x1005ffff,0x115dffff,
    0x01fffff9,0x17ffd100,0xffffff93,0x7c4007ff,0xffe89fff,0x7ff4403f,
    0x9981acff,0xffd3000b,0x4000009f,0x003ffff9,0x201bfffd,0x886fffe9,
    0xfd999999,0xd00003ff,0x1001bfff,0x002f7a03,0x30dffff7,0xff533333,
    0x300000df,0x4c07ffff,0xcfffffff,0x3ffff440,0x9ffffb00,0xfffd7100,
    0x4c0003ff,0x0001ffff,0x03100330,0x22006600,0x00660001,0x7fffc062,
    0xffffffff,0x10001fff,0xfffb305d,0x2a0007ff,0x04fffffe,0x03fffee0,
    0x00ffffe2,0x6cc17440,0x003fffff,0xb03bffe6,0x7e407fff,0x00001eff,
    0x09fffb10,0xfff30000,0x3fea003f,0xfff8805f,0x3ff2002f,0xf880003f,
    0x100007ff,0xffffa800,0xdfff3000,0xff980000,0x7fcc01ff,0x2203ffff,
    0x1001ffff,0x8001bffd,0x00fffffb,0x01999700,0x00000000,0x00000000,
    0x7ffc0000,0xffffffff,0x0001ffff,0x03751002,0x2aee6000,0x7ffec000,
    0x13fff603,0x54400800,0xccb8001b,0x3999700c,0x03ffff30,0x99700000,
    0xb8000039,0x3a000ccc,0xf7001fff,0x7e400dff,0xa80003ff,0x00005fff,
    0x3fffa000,0xdfff3001,0xccb80000,0xfff9800c,0xffd803ff,0x0044002f,
    0x9ffff700,0x00000000,0x00000000,0x00000000,0xff755500,0x555555df,
    0x00000015,0x00000000,0x201fffe8,0x0005fffa,0x00000000,0x9fff9000,
    0x00000000,0x80000000,0x4004fffb,0x9000ffff,0x00007fff,0x000ffff3,
    0x7fec0000,0xfff3003f,0x0000000d,0x09ffff30,0x00ffff20,0x3f600000,
    0x00000fff,0x00000000,0x00000000,0x26000000,0x00006fff,0x00000000,
    0x7ffc0000,0x3ffee01f,0x00000004,0xb0000000,0x00003fff,0x00000000,
    0xfffd8000,0x7fff4002,0x7fff9001,0x3ffe0000,0x000000df,0x03fffc80,
    0x00dfff30,0xf3000000,0x7dc00dff,0x000004ff,0x2ffffa80,0x00000000,
    0x9bdb7510,0x53000035,0x0359bfb9,0x03ccc880,0x20b33260,0x0006fff9,
    0x00000000,0x7ec00000,0x3ff603ff,0x0000002f,0x00000000,0x0001fffd,
    0x00000000,0xffe80000,0x7fec001f,0xfff9002f,0x3f600007,0x000cffff,
    0x3ff20000,0xfff3003f,0x0000a20d,0x37ffcc00,0x09fff500,0x001665c0,
    0x07ffff10,0x79dfd951,0xbdeca883,0xfff90001,0x1bffffff,0xfffd3000,
    0x1bffffff,0x1bffe600,0x84fffa80,0x0006fff9,0xccccc880,0x003ccccc,
    0xcccccc88,0x4003cccc,0xf305fffc,0x88001fff,0x6dc41ccc,0x1002cdfe,
    0x99999999,0x3fe00799,0x4400007f,0xcccccccc,0xc88003cc,0xcccccccc,
    0xffff003c,0x99999999,0xfffd9999,0x3fff2007,0xfd100003,0x17dfffff,
    0x32ea2000,0xffeeeeed,0xff3003ff,0x84fc88df,0x5c41ccc8,0x302cdfed,
    0x5400dfff,0x3a004fff,0x740005ff,0x7fe44fff,0x1fffffff,0xffffffd1,
    0x7ff44007,0xffffffff,0x3ee001ef,0xffffffff,0x9803ffff,0x2a006fff,
    0xff984fff,0xcddc986f,0xfff1000a,0xdfffffff,0xffff1000,0x0dffffff,
    0x2ffffa80,0x01ffffcc,0x517ffcc0,0xffffffff,0xfff8801b,0x6fffffff,
    0x07fff980,0x7ffc4000,0x6fffffff,0xffff8800,0x06ffffff,0xffffff88,
    0xffffffff,0x04ffffff,0x007fff90,0x7ffec400,0x0adfffff,0xffffc880,
    0xffffffff,0xff3003ff,0x3fff22df,0x22fff984,0xfffffffa,0x7ffcc0df,
    0x3ffea006,0x17ffa004,0x5ffff000,0xfffffff8,0xffeaffff,0x03ffffff,
    0xdfffff98,0xffffdcab,0xfffd801f,0xffdcdeff,0x4c03ffff,0x2a006fff,
    0xff984fff,0x3fffa65f,0x8803ffff,0xffffffff,0xf88006ff,0xffffffff,
    0xffe8006f,0xffff70ff,0x3fe6000d,0xfffffb3f,0x80dfffff,0xfffffff8,
    0xf9806fff,0x400007ff,0xfffffff8,0x88006fff,0xffffffff,0xff9806ff,
    0xffffffff,0xffffffff,0xff9004ff,0x5000007f,0xfffffffd,0x7fdc05ff,
    0xffffffff,0x03ffffff,0xf9dfff30,0xf309ffff,0x3fff67ff,0x6fffffff,
    0x0037ffcc,0x4009fff5,0x20005fff,0x7c1ffff8,0xfdbacdff,0xadffffff,
    0x400ffffc,0x300dfffe,0xa80dfffd,0x500dffff,0x401fffff,0x2006fff9,
    0xf984fffa,0xffff75ff,0x0bffffff,0xeeeeee88,0x8006fffe,0xeeeeeee8,
    0x98006fff,0xffedffff,0x260005ff,0xfffdbfff,0xffffdcdf,0x3bba203f,
    0x6fffeeee,0x07fff980,0x77744000,0x6fffeeee,0xeeee8800,0x06fffeee,
    0xccffff88,0xcccccccc,0x02cccccc,0x007fff90,0x7f64c000,0x85ffffff,
    0xbdfffffa,0xfc99999a,0xff3003ff,0x9fffffff,0xb7fff301,0xfb9bffff,
    0x7cc7ffff,0x3ea006ff,0x3fe004ff,0x3f60005f,0x01f40fff,0x87fffff9,
    0x2a03fffb,0xf8805fff,0xff102fff,0xfd3009ff,0x7fcc0bff,0x3fea006f,
    0xdfff984f,0xeeeffffb,0x002fffff,0x00dfff30,0x6fff9800,0xffff9000,
    0x0007ffff,0xffffff98,0x7ff440cf,0xff30007f,0xfff300df,0x4000000f,
    0x0006fff9,0x037ffcc0,0x000ffff8,0xfff90000,0x20000007,0xffffffc9,
    0x37fffe23,0x3fffc800,0xfffff300,0x7cc019ff,0x0cffffff,0x33ffff44,
    0x5400dfff,0x3e004fff,0x4c4006ff,0x003ffffe,0x06ffff98,0x7f40dfff,
    0xff7001ff,0x3fff20df,0x3ffea005,0xdfff301f,0x27ffd400,0x7fffffcc,
    0x7ff4c1ef,0xff30006f,0x980000df,0x10006fff,0x1bffffff,0xfff30000,
    0x7c407fff,0x98001fff,0xf9806fff,0x000007ff,0x01bffe60,0xdfff3000,
    0x07fffa00,0x7e400000,0x002003ff,0x7fffdc00,0x03fffea7,0x01fffe40,
    0x3fffff22,0xff9800cf,0x2203ffff,0xff31ffff,0x7fd400df,0x36ea204f,
    0x7e406fff,0xffffffff,0x3ffe0006,0x1fffb03f,0x009fff70,0x440ffff8,
    0x4002ffff,0xf304fffe,0x7d400dff,0xfff984ff,0x3e605fff,0x98001fff,
    0x00006fff,0x0037ffcc,0x7fffff4c,0xf300000f,0xb007ffff,0x30005fff,
    0xf300dfff,0x00000fff,0x037ffcc0,0x3ffe6000,0x7fffb006,0x32000000,
    0xe9803fff,0x40000cff,0xf91ffffa,0x7e4009ff,0xff7103ff,0x001fffff,
    0x1fffffcc,0x997ffec0,0x2a006fff,0xff704fff,0x80dfffff,0xfffffffc,
    0x3a0000cf,0xff701fff,0x5fffb03f,0x1fffe800,0x0037ffcc,0x982fffdc,
    0x2a006fff,0xff984fff,0xfe804fff,0xf98002ff,0x400006ff,0x4006fff9,
    0xfffffffa,0xfff880ef,0x7fffcc07,0x7fff9004,0xdfff3000,0x0ffff300,
    0x7cc00000,0x400006ff,0x7006fff9,0x0001ffff,0x7fff9000,0xfffff980,
    0xfff80006,0x07fffd2f,0x21fffec0,0xffffffb8,0x7cc006ff,0xf9004fff,
    0x3ffe67ff,0x3ffea006,0x7ffff444,0x5c06ffff,0x1cefffff,0xfffc8000,
    0x03fff700,0x8003fffd,0x7d42fffd,0xf98004ff,0xfff306ff,0x7ffd400d,
    0x5ffff984,0x07fff900,0x0dfff300,0xfff98000,0x3ffea006,0x5ffffcdf,
    0x406fff98,0x2006fff9,0x8004fffb,0x9806fff9,0x00007fff,0x1bffe600,
    0xfff30000,0x3ffe200d,0x8000004f,0x6c03fffc,0x03ffffff,0x8ffffc00,
    0x9804fffd,0x7c3ffffe,0xffdfffff,0x7fcc006f,0x3fee006f,0x0dfff34f,
    0x227ffd40,0xbceffffe,0x7fdc02aa,0xc800003f,0x3fea07ff,0xcffff82f,
    0xcccccccc,0x3fffeccc,0x001fffdc,0x983fffc4,0x2a006fff,0xff984fff,
    0x3fee006f,0xff98004f,0x4c00006f,0xf1006fff,0x7fec9fff,0x7ffcc3ff,
    0x37ffcc05,0x09fff500,0x0dfff300,0x00ffff30,0x7fcc0000,0x4c00006f,
    0x2e006fff,0x000cffff,0x3fff2000,0x7ffffc03,0x700014ff,0x7fe4ffff,
    0x3fee00ff,0x7fc3ffff,0xfff98cff,0x7ffcc006,0x3ffea006,0x00dfff34,
    0xf727ffd4,0x20007fff,0x0002fffb,0x3fbb72a6,0xeeeeefff,0x443fffee,
    0xffffffff,0xffffffff,0x7ec4ffff,0xff0002ff,0xfff301ff,0x7ffd400d,
    0x06fff984,0x013ffea0,0x01bffe60,0xdfff3000,0x17fff200,0x45ffffd1,
    0x4c04fffa,0x2a006fff,0x98004fff,0xf9806fff,0x000007ff,0x01bffe60,
    0xdfff3000,0xffffe800,0x54c41abf,0x3f2002dc,0x7ffc03ff,0xbfb4ffff,
    0x26213357,0x23ffffda,0x0aeffffa,0xfffffd73,0x0cff87ff,0x001bffe6,
    0x400dfff3,0xff34fffa,0x7fd400df,0x17fffa4f,0x2fffb800,0xfffea800,
    0xffffffff,0xffffffff,0x7fffcc3f,0xffffffff,0xffffffff,0x017fff44,
    0x80ffff80,0x2006fff9,0xf984fffa,0x3ea006ff,0xf98004ff,0x400006ff,
    0x8806fff9,0xf981ffff,0xff70ffff,0xfff9807f,0x3ffea006,0xfff98004,
    0x7fff9806,0x26000000,0x00006fff,0x0037ffcc,0x3fffffa6,0xffffffff,
    0x3f2002ff,0x7fe403ff,0xffb1ffff,0xffffffff,0xb0bfffff,0xffffffff,
    0xff3bffff,0xf980c87f,0x7cc006ff,0x3ea006ff,0xdfff34ff,0x27ffd400,
    0x0005ffff,0x000fffd4,0x3fffffee,0xffffffff,0xffffffff,0x67fffc43,
    0xcccccccc,0x2ccccccc,0x001fffec,0x983fffc4,0x2a006fff,0xff984fff,
    0x3fea006f,0xff98004f,0x4c00006f,0xfa806fff,0x3fea06ff,0xfffd8eff,
    0x37ffcc02,0x09fff500,0x0dfff300,0x00ffff30,0x7fcc0000,0x4c00006f,
    0x90006fff,0xffffffff,0x05ffffff,0x01fffe40,0xb1fffff4,0xffffffff,
    0x07ffffff,0x3fffffa2,0xf12fffff,0x3e6007ff,0x7cc006ff,0x3ea006ff,
    0xdfff34ff,0xa7ffd400,0x001ffff8,0x007ffea0,0xbdffff98,0x9fffd999,
    0x99999999,0x0ffff809,0x7fdc0000,0xff98004f,0xdfff306f,0x27ffd400,
    0x0037ffcc,0x0009fff5,0x000dfff3,0x06fff980,0x405fffb8,0xffdffffc,
    0x7fcc00ff,0x3fea006f,0xff98004f,0xfff9806f,0x20000007,0x0006fff9,
    0x037ffcc0,0xfffd9300,0x7bffffff,0x7ffe4001,0x83995003,0xffffffdb,
    0x00ceffff,0xffffffb8,0x3ffe20ce,0xdfff3003,0x6fff9800,0x53ffea00,
    0x2006fff9,0xff34fffa,0x540005ff,0x36001fff,0xff904fff,0xffe8000f,
    0x5400001f,0xa8005fff,0xff305fff,0x7fd400df,0x6fff984f,0x13ffea00,
    0x1bffe600,0xfff30000,0x9fff900d,0xfffffb00,0xff3009ff,0x7fd400df,
    0xff98004f,0xfff9806f,0x20000007,0x0006fff9,0x037ffcc0,0xfd531000,
    0x320001df,0x00003fff,0x55554cc4,0x53100009,0x07ffe403,0x06fff980,
    0x037ffcc0,0x009fff50,0xffff8000,0x00000003,0x3201ffff,0x20000fff,
    0x0003fffd,0x07fffcc0,0x13fff600,0x003fffc4,0xf309fffb,0x7d400dff,
    0xf98004ff,0x400006ff,0xb806fff9,0xf8805fff,0x01ffffff,0x006fff98,
    0x0013ffea,0x201bffe6,0x0007fff9,0x3ffe6000,0x7cc00006,0x800006ff,
    0x0000fffb,0x000ffff2,0x00000000,0x01fffb80,0x01bffe60,0x00dfff30,
    0x0027ffd4,0x3fffa000,0x80000005,0x3206fff8,0x20001fff,0x000ffffb,
    0x3fffe200,0x3ffe2003,0x1fffe01f,0x27fffe40,0x0037ffcc,0x0009fff5,
    0x000dfff3,0x06fff980,0x007fffa8,0x0dfffff3,0x01bffe60,0x004fffa8,
    0x806fff98,0x0007fff9,0x3ffe6000,0x7cc00006,0x400006ff,0x0002fff9,
    0x001fffe4,0x2aaa2000,0xf1000001,0xf98007ff,0x7cc006ff,0x3ea006ff,
    0x551004ff,0x3fee0035,0x000003ff,0x027ffcc0,0x0007fffb,0x027fffc4,
    0x3fff2000,0xfffb000f,0x2ffff809,0x7ffffdc0,0x06fff984,0x013ffea0,
    0x01bffe60,0xdfff3000,0x9ffff300,0x3ffff200,0xfff9800e,0x3ffea006,
    0xfff98004,0x7fff9806,0x26000000,0x00006fff,0x0037ffcc,0x01fff600,
    0x0ffff200,0xff700000,0x2000005f,0x98007ffc,0x4c006fff,0x2a006fff,
    0xf7004fff,0x7fc005ff,0x88002fff,0x3e2003dc,0xfff705ff,0xfb8000df,
    0x0000cfff,0x3dffff10,0x0ffffd80,0x037ffec0,0x9ffffff9,0x00dfff30,
    0x0027ffd4,0x0037ffcc,0x1bffe600,0x1fffff40,0x3fffff20,0xfff9805f,
    0x3ffea006,0xfff98004,0x7fff9806,0x26000000,0x00006fff,0x0037ffcc,
    0x01bffe00,0x0ffff200,0xffb00000,0x2000001f,0x98007ffe,0x4c006fff,
    0x2a006fff,0xfb004fff,0x7d4001ff,0x000cffff,0x00bfffd1,0x7d43fffc,
    0x003fffff,0x7fffff40,0x654c41ab,0x3ffee02d,0xba88acff,0x803ffffe,
    0x8aeffffa,0xfcfffea8,0xfff984ff,0x3ffea006,0xfff98004,0x7cc00006,
    0xff3006ff,0x5337dfff,0xffffffd9,0xff9809ff,0x3fea006f,0xff98004f,
    0xfff9806f,0x20000007,0x0006fff9,0x037ffcc0,0x3fffe000,0x7fe40001,
    0x4000003f,0x00006fff,0x00bfffa0,0x00dfff30,0x006fff98,0x4013ffea,
    0xb8006fff,0xadffffff,0xffff701a,0x3ffa005f,0xfffb88cf,0x21bffffc,
    0x74c03b98,0xffffffff,0x2fffffff,0x7ffffe40,0xffffffff,0x3ffa003f,
    0xffffffff,0x84fff8cf,0x2006fff9,0x5504fffa,0xff755555,0x555555ff,
    0x2aaaaa05,0xaffffbaa,0x5c2aaaaa,0xffffffff,0xfdffffff,0x2602ffff,
    0x2a006fff,0x55504fff,0xfff75555,0x5555555f,0x001fffe6,0x55555500,
    0x55ffff75,0x2a055555,0xfbaaaaaa,0xaaaaafff,0xffd8002a,0xa884eeff,
    0xfdaaaaaa,0xaaaaadff,0x7c40001a,0x000003ff,0x3bfffff2,0x55555554,
    0x555ffff7,0xff305555,0x7fd400df,0xfff8804f,0xfff50003,0x3fffffff,
    0x3fffffc8,0xfffff700,0x3ee7ffff,0xffffffff,0xfff9004f,0xffffffff,
    0xf5005fff,0xffffffff,0x98003dff,0xfffffffe,0x13ffe3ff,0x801bffe6,
    0xff04fffa,0xffffffff,0xffffffff,0x3ffffe0d,0xffffffff,0xa86fffff,
    0xfffffffe,0xff31efff,0x3e603fff,0x3ea006ff,0xffff04ff,0xffffffff,
    0x2dffffff,0x0007fff9,0x7fffffc0,0xffffffff,0xff06ffff,0xffffffff,
    0xffffffff,0xfff1000d,0xff50bfff,0xffffffff,0xffffffff,0xffa80007,
    0x2000001f,0x5ffffff8,0xffffffff,0xffffffff,0xfff30dff,0x7ffd400d,
    0x1fffa804,0x3ff62000,0x41ffffff,0x01fffffa,0x3fffffa0,0x7ffec4ff,
    0x04ffffff,0x3fffb260,0xbdffffff,0xffd91000,0x017bffff,0x7fffe400,
    0x7ffc1dff,0x06fff984,0x413ffea0,0xffffffff,0xffffffff,0xffff06ff,
    0xffffffff,0x0dffffff,0x7fffff64,0xfffa82de,0xfff980ef,0x3ffea006,
    0xffffff04,0xffffffff,0x3e6dffff,0x400007ff,0xffffffff,0xffffffff,
    0xffff06ff,0xffffffff,0x0dffffff,0x3ffb2200,0xffffa84f,0xffffffff,
    0x03ffffff,0x03ffe400,0x75c40000,0xffff4fff,0xffffffff,0x0dffffff,
    0x400dfff3,0xc804fffa,0x300007ff,0x3fffffd7,0x007fffb0,0x7bffff90,
    0xffffd710,0x40003bff,0x0099aa98,0x01553000,0x35510000,0x3fe60001,
    0x3fea006f,0xfffff04f,0xffffffff,0x20dfffff,0xffffffff,0xffffffff,
    0x331006ff,0xff980000,0x3fea006f,0xfffff04f,0xffffffff,0x26dfffff,
    0x00007fff,0x7ffffffc,0xffffffff,0xfff06fff,0xffffffff,0xdfffffff,
    0xf5000000,0xffffffff,0xffffffff,0xcb80007f,0x0000002c,0xffffff80,
    0xffffffff,0xf986ffff,0x3ea006ff,0xccb804ff,0x98800002,0x15300cba,
    0x054c4000,0x01aaa880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc0000,0x09999999,0x41ccc880,0x2cdfedb8,
    0x01f6cc00,0x4c007db3,0x26620199,0x44000009,0x26219999,0x00000099,
    0x80001530,0x26201999,0x40000099,0x88199998,0xca881ccc,0x4000bcee,
    0x26201999,0x99910099,0x7bdb7303,0x5d440003,0xb88acded,0x1aaa983d,
    0x02666000,0x000aaa88,0x22009998,0x98000aaa,0x02666099,0x676d4000,
    0x00f33220,0x001ccca8,0x0004cc40,0xfdb95100,0x9999999d,0x40000399,
    0x22019a99,0xffffffff,0xff9806ff,0x3fffea2f,0x800dffff,0x882ffff8,
    0x9003ffff,0xff309fff,0x400001df,0x23fffff9,0x0002fffd,0x7fff4400,
    0x3ff20002,0xefff984f,0x3e600000,0xf983ffff,0x7ffe43ff,0x001effff,
    0x2613fff2,0xf300efff,0x7ffd47ff,0x00efffff,0x3ffffee0,0xffffffff,
    0x7ffffec3,0x7fd4002f,0xffff703f,0xfffa8007,0x7ffff703,0x3fffa800,
    0x000dfff3,0x4bffff30,0x2006fff9,0x0002fffd,0x00ffffe2,0x3fffea00,
    0xffffffff,0x0003ffff,0x7fffff5c,0x7fc43fff,0xffffffff,0x3fff9806,
    0xfffffffb,0xf500dfff,0xff50bfff,0x7e400dff,0xfff50dff,0x4c00001d,
    0x6c1fffff,0x00002fff,0x7ffffec0,0x3ff20000,0xdfff50df,0x7cc00001,
    0xf301ffff,0x3ff627ff,0xffffffff,0x3fff2001,0x1dfff50d,0xc9fffcc0,
    0xffffffff,0x6c400eff,0xffffffff,0x43ffffff,0x6ffffffd,0x1bffe200,
    0x3fffffaa,0x3ffe2003,0xffffea86,0x3fe2003f,0x1bffe66f,0x3fff6000,
    0xdfff31ff,0x17ffec00,0xffff8800,0x3a0003ff,0xffffffff,0xffffffff,
    0xff50003f,0xffffffff,0xffff889f,0x06ffffff,0xfdbfff98,0xffdcdfff,
    0x7cc03fff,0xff984fff,0x7dc005ff,0xefffbeff,0x3e600000,0xfd80dfff,
    0x000002ff,0x17fffffc,0x3ffee000,0x00efffbe,0x3ffe6000,0x3fe600df,
    0xefffe8bf,0x5ffffecd,0x77ffdc00,0x400efffb,0xffccfff9,0xfffdceff,
    0x3fa606ff,0xdccdffff,0x43fffffe,0xfffebabb,0x3fff9003,0x7fffff44,
    0x3f2003ff,0x3ffa21ff,0x003fffff,0xf987fff2,0xd80006ff,0xf31fffff,
    0x7ec00dff,0xf88002ff,0x3fffffff,0xffffc800,0xffea99ad,0x02eeefff,
    0xfffffb80,0x4fffffff,0xa9999998,0xf9806fff,0x0cffffff,0x03ffff44,
    0xc8077fe4,0xb8000eff,0x0effffff,0x3fe60000,0x3ff603ff,0x4000002f,
    0x01fffffe,0xffffb800,0x00000eff,0x00ffffe6,0x3fb7ffe6,0xfffb82ff,
    0x7fdc001f,0x800effff,0xfffefff9,0x7ffec41e,0xffff881f,0x3ff6601f,
    0x7ffd403f,0x4fffa803,0xffcefff8,0xfff5003f,0xf9dfff09,0x3ea007ff,
    0x7ffcc4ff,0xffb80006,0x3ffe66ff,0x3fff6006,0x7ffc4002,0x3fffe89f,
    0x3fffea00,0x3ffff202,0x3fe20000,0x3309bfff,0x7cc00595,0xff9806ff,
    0x2203ffff,0x9801ffff,0x00018801,0x077fffdc,0xfff30000,0xfffd803f,
    0x5c000002,0x0006ffff,0x3bfffee0,0x3e600000,0xf3001fff,0x01dfffff,
    0x0027ffec,0x077fffdc,0xfffff980,0x7ffec04f,0x0efffb85,0x03fffc80,
    0x007fff22,0x7dc1bffa,0x007fff33,0x7dc1bffa,0x007fff33,0x3e61bffa,
    0x900006ff,0x7fcc3dff,0x3ff6006f,0x3fe6002f,0x7ffec0ef,0x9fffb003,
    0x09fffd00,0x77ffec00,0x7cc00000,0xff9806ff,0xfd803fff,0x000002ff,
    0xcccb8000,0x65c00000,0xffd800cc,0x8000002f,0x0000dfeb,0x006665c0,
    0x3332e000,0x3ffe6000,0x7d400eff,0x970005ff,0x7cc00199,0x9804ffff,
    0x3e20ffff,0xf9000fff,0xfff887ff,0xfc802fff,0x4c1101ff,0xfc803fff,
    0x4c1101ff,0xfc803fff,0xfff981ff,0x06200006,0x801bffe6,0x2002fffd,
    0x9700cccb,0xfff00399,0xfff5001f,0x7ffc000d,0x9800002f,0xf9806fff,
    0xf9004fff,0x000007ff,0x00000000,0x3f600000,0x000002ff,0x00000000,
    0x00000000,0x077fffcc,0x037ffcc0,0x7cc00000,0x3e005fff,0x3ff22fff,
    0x3ff2005f,0x7fffc43f,0x3e600cff,0x3e6004ff,0x7fcc03ff,0x3fe6004f,
    0x7ffcc03f,0x0dfff304,0xff300000,0x7fec00df,0x0000002f,0x06fff880,
    0x00ffff10,0x01bffe20,0x7ffcc000,0x6fff9806,0x13ffee00,0x00000000,
    0x00000000,0x017ffec0,0x00000000,0x00000000,0x3fe60000,0xff1001ff,
    0x000000ff,0x00dfff30,0x3a3fffc8,0x32001fff,0x77443fff,0x207ffffe,
    0x2000effe,0x7403fff9,0x26000eff,0x7f403fff,0xfff300ef,0x3000000d,
    0x6c00dfff,0x00002fff,0xfffa8000,0xffff1006,0x3ffea000,0xf3000005,
    0xff300dff,0x7fd400df,0xdca8804f,0x02cdefee,0x00000000,0x3ff60000,
    0x0000002f,0x00000000,0x40000000,0x4006fff9,0x00002aaa,0x6fff9800,
    0x27ffdc00,0x4001ffff,0xe803fffc,0xffc81fff,0x7fcc002f,0x3fff203f,
    0x7ffcc002,0x0bfff203,0x006fff98,0x98999500,0x36006fff,0x00002fff,
    0xfff98000,0xbfff3007,0x3ffee000,0xf3000004,0xff300dff,0x7fd400df,
    0x3ffae04f,0xffffffff,0x664402ef,0x7f6dc41c,0x997002cd,0x99999999,
    0x49999999,0x1002fffd,0x22199999,0xcccccccc,0xcb8003cc,0xcccccccc,
    0x4ccccccc,0x20733220,0x0bceeca8,0x00dfff30,0x33322000,0xceeca881,
    0xdfff300b,0x5fffb800,0x800ffff1,0xe803fffc,0x7fcc2fff,0xff98004f,
    0x9fff303f,0x7fff3000,0x013ffe60,0xb88dfff3,0x201cdfed,0x7fcc7ffc,
    0x3ff6006f,0x0799902f,0x39993000,0x802ffff8,0x0004fffc,0x0009fff9,
    0x1bffe600,0x01bffe60,0x204fffa8,0xfffffffe,0x3fffffff,0xa8bffe60,
    0xffffffff,0x7fff400d,0xffffffff,0x367fffff,0xf8802fff,0x3e21ffff,
    0xffffffff,0xffe8006f,0xffffffff,0x07ffffff,0xf90fffe6,0x3dffffff,
    0x00dfff30,0x3ffe6000,0x7ffffe43,0xff981eff,0x7fd4006f,0x0dfff36f,
    0x43fffc80,0xfffdb9aa,0x07fff40f,0x1fffcc00,0x000fffe8,0xd03fff98,
    0xf9801fff,0x3ffea5ff,0x904fffff,0x7fcc1fff,0x3ff6006f,0x0ffff02f,
    0x5fff9000,0x00ffffc8,0x007fffea,0x027ffe40,0xfff98000,0x6fff9806,
    0x13ffea00,0xdeffffe8,0xffffedcc,0x7fff301f,0x3ffffff6,0x7406ffff,
    0xffffffff,0xffffffff,0x00bfff67,0x83fffff1,0xfffffff8,0xe8006fff,
    0xffffffff,0xffffffff,0x4fffe607,0xffffffd8,0x7cc1ffff,0x000006ff,
    0x3627fff3,0xffffffff,0x7ffcc1ff,0x7ffd4006,0x00bfff55,0x7c3fffc8,
    0x3fffffff,0x0017ffdc,0xb83fff98,0x30002fff,0xff707fff,0xfff3005f,
    0x3fffff2b,0xc86fffff,0x3fe60fff,0x3ff6006f,0x1fffd02f,0xfffd8000,
    0x7ffffc41,0x7fffdc42,0x3ff20004,0x3000004f,0xf300dfff,0x7d400dff,
    0x2f7a04ff,0x7fffdc00,0xb7fff306,0xfb9bffff,0x6407ffff,0xeeeeeeee,
    0xffffeeee,0x80bfff67,0x81ffffe8,0xeeeeeee8,0xc8006fff,0xeeeeeeee,
    0xffffeeee,0x2fffe607,0xcdefffe8,0x4c5ffffe,0x00006fff,0xd17fff30,
    0xfd9bdfff,0xff98bfff,0x7fdc006f,0x0dfff54f,0x43fffc80,0x2effffff,
    0x002fffc4,0x887fff30,0x20005fff,0x7c43fff9,0xff3005ff,0xbffff9bf,
    0x7fffffb9,0x260fffd8,0x36006fff,0xffb02fff,0xfe80003f,0xfffc80ff,
    0xffffefff,0x999806ff,0xfffc9999,0x9999999d,0x7cc00099,0xff9806ff,
    0x3fea006f,0x5000204f,0xf301ffff,0x19ffffff,0x07fffe88,0x3ffea000,
    0x0bfff62f,0x0fffff44,0x37ffcc00,0x7d400000,0x3e602fff,0x2fffedff,
    0x21ffffb8,0x0006fff9,0xdbfff300,0xff705fff,0x7ffcc3ff,0x7ffe4006,
    0x00dfff32,0x543fffc8,0xfd01abcb,0x980001ff,0x7fff4099,0x4ccc0000,
    0x007fff40,0xffffff98,0x7ff440df,0x07ffec7f,0x400dfff3,0xf902fffd,
    0xf80005ff,0xfffa87ff,0xffffffff,0x7c400cff,0xffffffff,0xffffffff,
    0x4006ffff,0x9806fff9,0x2a006fff,0x00004fff,0x4c0ffff4,0x03ffffff,
    0x007fffe2,0x3fffe200,0x417ffec4,0x01ffffe8,0x0dfff300,0xff880000,
    0x7fcc04ff,0x200effff,0x3e64fffd,0x000006ff,0xdffffff3,0x27ffec01,
    0x800dfff3,0xff11fffd,0xffd800ff,0xff70003f,0x4000005f,0x0002fffb,
    0x0bffee00,0xfffff980,0x3ffe204f,0x87fff61f,0x2006fff9,0xf502fffd,
    0xf80007ff,0x7ffc46ff,0xfffffdae,0xff1000de,0xffffffff,0xffffffff,
    0x9800dfff,0xf9806fff,0x3ea006ff,0x400004ff,0xf983fffd,0xd803ffff,
    0x80002fff,0xfd86fffe,0x7ff442ff,0x260001ff,0x00006fff,0x037fff40,
    0x77ffffcc,0x2fffd400,0x000dfff3,0x3fffe600,0x7fd400ef,0x1bffe65f,
    0x0ffff880,0x4003fffe,0x003ffffb,0x005fff88,0x3ffe2000,0x22000005,
    0x4c005fff,0x803fffff,0x3f62fffd,0x3ffe61ff,0xffff1007,0x13ffe605,
    0xf881e64c,0x7ffd45ff,0x80004c42,0xfffffff8,0xffffffff,0x06ffffff,
    0x037ffcc0,0x0037ffcc,0x0009fff5,0x83fffc80,0x004ffff9,0x0007fff9,
    0x80ffffc8,0x3a22fffd,0x0001ffff,0x0037ffcc,0xffff9000,0xffff3001,
    0xfff3001d,0x037ffccd,0xfff98000,0xff9800ef,0x1bffe66f,0x46fffc80,
    0xa803fffe,0x003fffff,0x000fffd8,0x3fff6000,0x36000000,0x4c000fff,
    0x9004ffff,0x7fec7fff,0x1fffe61f,0x17ffff40,0xb05fff88,0x3fe60fff,
    0x07ffe43f,0x4ccc0000,0xfffc9999,0x9999999d,0x7cc00099,0xff9806ff,
    0x3fea006f,0x6400004f,0xff983fff,0x3fee006f,0x3ea0004f,0xffb01fff,
    0x3fffa25f,0xf980001f,0x000006ff,0x003ffff5,0x007fffe6,0xf33fffc4,
    0x00000dff,0x007fffe6,0xf33fffc4,0x3e200dff,0x7fdc1fff,0x7ffcc06f,
    0x54003fff,0x00003fff,0x00fffea0,0xfffa8000,0xfff98003,0x3ffee006,
    0x987fffa4,0x6402ffff,0x203fffff,0xfff06fff,0x5fff505f,0x003fffe8,
    0x7fe40000,0x3000004f,0xf300dfff,0x7d400dff,0x751004ff,0xfdddddb9,
    0xff307fff,0x7fd400df,0xff30004f,0x7fec07ff,0xffffe8af,0xff300001,
    0x300000df,0x4007ffff,0x4006fff9,0x3fe62aaa,0x3000006f,0xa800dfff,
    0x3ffe62aa,0xffff9806,0x4ffff884,0xffffff50,0x7fc4007f,0x2000006f,
    0x0006fff8,0x1bffe200,0x37ffcc00,0x49fff500,0x3e62fffe,0xfb00efff,
    0x40bfffff,0xffa87ffe,0xfffb85ff,0x67fffec1,0x0000019a,0x0027ffe4,
    0x6fff9800,0x06fff980,0x013ffea0,0xffffff91,0xffffffff,0x0dfff307,
    0x027ffd40,0x2ffff440,0x3abfff60,0x0001ffff,0x01bffe60,0xfffd1000,
    0xfff9800b,0xff300006,0x200000df,0x0006fff9,0x7dffff30,0x3ff2a613,
    0xffb00eff,0xfd715bff,0x7fff7bff,0x0fffec00,0x00aaaaa2,0x20fffec0,
    0x0002ccca,0x5107fff6,0xff305555,0x7fd400df,0x8bfffa4f,0xaefffff9,
    0xafffeb99,0xd81cffff,0x7fe40fff,0x7fe40fff,0x7fffd40f,0xffffffff,
    0x0000bcef,0x0013fff2,0x37ffcc00,0x037ffcc0,0x409fff50,0xfffffffb,
    0xffffffff,0x6fff983f,0x13ffea00,0x3bfff600,0x77ffec00,0x0003ffff,
    0x037ffcc0,0x3fff6000,0x7fcc000e,0xf300006f,0x00000dff,0x001bffe6,
    0x7ffffcc0,0xffffffff,0x3a201eff,0xffffffff,0x7fff75ff,0x0fffea00,
    0x03fffffa,0x47fff500,0xffffffe9,0x7ffd4002,0xfffffe83,0x037ffcc0,
    0x749fff50,0x3fe62fff,0xffffffff,0xfffb2fff,0xfffc83ff,0x7fffffc1,
    0xc83ffec2,0xffffffff,0xffffffff,0xffc8000c,0x3000004f,0xf300dfff,
    0x7d400dff,0xfff504ff,0x33357bff,0x07fff933,0x400dfff3,0x4004fffa,
    0x801ffffb,0xffdafffd,0x200002ff,0x0006fff9,0x07fffee0,0x1bffe600,
    0x7ffcc000,0xf3000006,0x20000dff,0xfffffff9,0x3fffffff,0xffffd100,
    0x7dcbffff,0xff8803ff,0xffffb86f,0x3e2000ff,0x7fff46ff,0x001fffff,
    0xf70dfff1,0x981fffff,0x2a006fff,0x3ffa4fff,0x3bffe62f,0xffffffff,
    0x3ffffe62,0x517ffd41,0x8bffbdff,0x3fa06ffe,0xffffffff,0x6fffffff,
    0x4fffc800,0xff300000,0xfff300df,0x7ffd400d,0xdffff884,0x3fffc800,
    0x006fff98,0x8013ffea,0x003ffff9,0x3f65fffb,0x00001fff,0x000dfff3,
    0x0ffffe60,0x37ffcc00,0xfff98000,0xf3000006,0x20000dff,0xffeffff9,
    0x00cdffff,0x7fff6440,0x7ffdc2cf,0x1fffc803,0x7ff7ffc4,0x3ff2000f,
    0x4d77d41f,0x9004fffb,0xff883fff,0x4c0fffef,0x2a006fff,0x3ffe4fff,
    0x33ffe62f,0x0dfffffa,0x41fffe98,0x3f23fff9,0x20fffacf,0xffb05fff,
    0x995555df,0xffffffd9,0xfffc800b,0xf3000004,0x00000dff,0xa83fffb8,
    0x9000ffff,0xff307fff,0x7fd400df,0xfff1004f,0x7fec009f,0xffffd12f,
    0xff300003,0xf10000df,0x40009fff,0x0006fff9,0x40000000,0x0006fff9,
    0x4cdfff30,0x20000099,0x3fee01a8,0x7ffcc03f,0xfbdffd84,0xff3000ff,
    0x3fa0a09f,0xfff9805f,0xfbdffd84,0x7ffcc0ff,0x3ffea006,0x98ffffe4,
    0x26a24fff,0x88198800,0x3ffe4fff,0x3e3fff89,0xfffd84ff,0xfff51005,
    0xffc800ff,0x3000004f,0x0000dfff,0x82fffc80,0x2004fffc,0xf983fffc,
    0x3ea006ff,0xffd004ff,0xffd800df,0x3fffe22f,0x7cc0000f,0xe80006ff,
    0x40006fff,0x0006fff9,0x40000000,0x0006fff9,0x00dfff30,0x32000000,
    0x7f403fff,0x8fffb86f,0xd000fffb,0xff800dff,0x6ffe805f,0xfb8fffb8,
    0x7ffcc0ff,0x3ffea006,0x98ffffe4,0x00005fff,0x7cd7ffe0,0x45bff66f,
    0x7fcc2fff,0x7dc000ff,0x32001fff,0x00004fff,0x00dfff30,0xfffd8000,
    0x03fffe81,0x20ffff60,0x2006fff9,0xc804fffa,0x4000ffff,0x7cc2fffd,
    0x0000efff,0x001bffe6,0x01ffff90,0x6fff9800,0xa8800000,0x260001aa,
    0x00006fff,0x000dfff3,0x3f200000,0x3ff203ff,0x9fffc41f,0xc800fffb,
    0x2e001fff,0x7e402fff,0x7ffc41ff,0x981fff73,0x2a006fff,0x3ffe4fff,
    0x1bffe63f,0xffe80000,0x7d49ff96,0x1fff98ff,0x0027ffdc,0x00ffffc4,
    0x009fff90,0x3ffe6000,0x26000006,0xfd80ffff,0xfe9804ff,0xff983fff,
    0x3fea006f,0x7ffd404f,0xffd8002f,0xffffa82f,0xff30000e,0x7d4000df,
    0x80002fff,0x0006fff9,0x2fffb800,0x3ffe6000,0xff300006,0x000000df,
    0x0ffff200,0x6c27ffcc,0x3ffee6ff,0x27ffcc00,0x0bfff700,0xd84fff98,
    0x3ffee6ff,0x037ffcc0,0x7c9fff50,0x3fe63fff,0x2000006f,0x3fff7ffd,
    0x7d5fffc4,0x7ffec0ff,0xfff98004,0x7ffe4007,0xf3000004,0x00000dff,
    0xc82fffec,0x2e00ffff,0x83ffffff,0x2006fff9,0x2204fffa,0x0004ffff,
    0x2e05fffb,0x0006ffff,0x000dfff3,0x013fffe2,0x37ffcc00,0x7ec00000,
    0x260000ff,0x00006fff,0x000dfff3,0x3f200000,0xdffd03ff,0xacfffa81,
    0x0abfffda,0x001dffd0,0x2017fff6,0x7d40effe,0xffdaacff,0xfff30abf,
    0x7ffd400d,0x993fffe4,0x00006fff,0x3ebfff20,0xbeffd86f,0xfffc87ff,
    0xfffd8006,0x7ffe4006,0xf3000004,0x00000dff,0x01ffffd1,0x2bbfffea,
    0xffffd730,0xff307fff,0x7fd400df,0x3fffa04f,0x3ff60005,0x3fff202f,
    0xff98005f,0xffd0006f,0x4c0000bf,0x00006fff,0x006fff80,0x037ffcc0,
    0x6fff9800,0x00000000,0xf707fff9,0xfff705ff,0xffffffff,0x5fff703f,
    0x7fffd100,0x05fff700,0xfffffff7,0x263fffff,0x2a006fff,0xfff14fff,
    0x37ffcc9f,0xff700000,0xf509ffbf,0x50dffdff,0x001bffff,0x03ffffb3,
    0x04fffc80,0x2aaaaa00,0xaffffbaa,0x002aaaaa,0x7fffff64,0x7fffec03,
    0xffffffff,0x983fff9d,0x2a006fff,0xffb04fff,0x555557ff,0x55555555,
    0xb00bfff6,0x550bffff,0xff755555,0x555555ff,0x3ffff605,0xaaaaaaab,
    0x302aaaaa,0x0000dfff,0x03fff880,0x37ffcc00,0xfff98000,0x00000006,
    0x987fff90,0xff705fff,0xffffffff,0xfff983ff,0xefffa805,0x5fff9801,
    0xffffff70,0x23ffffff,0x2006fff9,0xff14fffa,0x7ffcc9ff,0x26000006,
    0x81ffffff,0x5ffffff8,0xfffffe88,0xeccaacce,0x003fffff,0x004fffc8,
    0x3fffffe0,0xffffffff,0x4006ffff,0x04fffffd,0xfffffe88,0xf12fffff,
    0xfff307ff,0x7ffd400d,0xfffff884,0xffffffff,0xfb6fffff,0xffd005ff,
    0xffff89ff,0xffffffff,0x86ffffff,0xfffffff8,0xffffffff,0xff306fff,
    0x800000df,0x0001fffa,0x0037ffcc,0x06fff980,0x90000000,0xffe87fff,
    0x5555100f,0x57fffb55,0x00fffe81,0xfffffff8,0x7ff41fff,0x5555100f,
    0x57fffb55,0x01bffe61,0xf14fffa8,0x7fcc9fff,0x2000006f,0x07fffff8,
    0x13fffff6,0x7fffff44,0xffffffff,0x90003fff,0x40009fff,0xffffffff,
    0xffffffff,0x7ec006ff,0x5c001eff,0xceffffff,0x20fffe20,0x2006fff9,
    0xf884fffa,0xffffffff,0xffffffff,0x05fffb6f,0x7ffffd10,0x7ffffffc,
    0xffffffff,0xff886fff,0xffffffff,0xffffffff,0x0dfff306,0xffc80000,
    0xff980007,0xf300006f,0x00000dff,0x3fff2000,0x00bffee3,0x407ffdc0,
    0xf002fffb,0xffffffff,0x17ffdc3f,0x0fffb800,0x0037ffcc,0x3e29fff5,
    0x3fe65fff,0x4000006f,0x204fffff,0x02fffffa,0x3ffffae2,0xffffffff,
    0x3f20000b,0x3e0004ff,0xffffffff,0xffffffff,0x5e64006f,0x54c40001,
    0x7fcc0001,0x3fea006f,0xffff884f,0xffffffff,0xb6ffffff,0x22005fff,
    0xff3fffff,0xffffffff,0xffffffff,0xfffff10d,0xffffffff,0x20dfffff,
    0x0006fff9,0x01665c00,0x37ffcc00,0xccc88000,0x00000003,0x22599950,
    0x20005fff,0x7c40fffb,0x3fe005ff,0xffffffff,0x00bfff11,0x207ffdc0,
    0x2006fff9,0x9914fffa,0x66644799,0x74000003,0x7c01ffff,0x3001ffff,
    0x79ddb995,0x32000035,0x00004fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x0000cccc,0x00059997,0xcc880062,0x3326003c,0x0000002c,
    0x0033baa0,0x00000000,0x00000000,0x00000000,0xd8000000,0xeeeeeeee,
    0x00001eee,0x00000000,0xeeed8000,0xeeeeeeee,0xeeed8001,0xeeeeeeee,
    0x00000001,0x3bbbbb60,0x01eeeeee,0x30000000,0x76cc07db,0x7776c003,
    0xeeeeeeee,0xccccc981,0xcccccccc,0x999912cc,0x99999999,0xf8819999,
    0x88004fff,0x8001ffff,0x9801fffd,0x2a006fff,0xca884fff,0xcdefffee,
    0xfff90001,0x2a2001df,0x01acefec,0xfb751000,0x00159ddf,0x3ff72a60,
    0x1001bdef,0x9dfffd97,0x5cc00017,0x01acefec,0xfffff800,0x2fffffff,
    0x76544000,0x00001bdf,0x3fffb2ea,0x000abdef,0x3ffffffe,0x002fffff,
    0xfffffff8,0x002fffff,0x00076544,0xffffff00,0x05ffffff,0x00eca880,
    0xffff8800,0x3ffff882,0x3ffffe00,0x2fffffff,0xffffffa8,0xffffffff,
    0xfffff34f,0xffffffff,0xff903fff,0xff7000ff,0xff9000df,0xff300fff,
    0x7fd400df,0x7fffd44f,0xffffffff,0x3fe2001d,0x4403ffff,0xfffffffe,
    0x2a0004ff,0xffffffff,0x001dffff,0xfffffff7,0x05dfffff,0x3fffff22,
    0x0cffffff,0x3fffa200,0x1effffff,0x3fffe000,0xffffffff,0xfff70002,
    0xbfffffff,0x3faa0001,0xffffffff,0x3e002fff,0xffffffff,0xf8002fff,
    0xffffffff,0x7c002fff,0x00000fff,0x3ffffffe,0x002fffff,0x0007fffc,
    0x2ffffd40,0x037fffd4,0xfffffff0,0x505fffff,0xffffffff,0x9fffffff,
    0x3fffffe6,0xffffffff,0xfff981ff,0x7ff4002f,0xffe8003f,0x7cc01fff,
    0x3ea006ff,0x7ffd44ff,0xffffffff,0xf5003fff,0x40bfffff,0xffffffe9,
    0x00dfffff,0x7ffffe40,0xffffffff,0x7ff4402f,0xffffffff,0xf984ffff,
    0xffffffff,0x00efffff,0xffffffa8,0x2fffffff,0x33333000,0x13333333,
    0xffffb000,0xffffffff,0x7f4c003f,0xffffffff,0x002fffff,0x26666666,
    0x00099999,0x99999998,0x00099999,0x0007fffc,0x33333300,0x01333333,
    0x00ffff80,0xffff9800,0x5ffff984,0x26666600,0x09999999,0xffffffa8,
    0xffffffff,0xfffff34f,0xffffffff,0x3fa03fff,0x3e6005ff,0xd8000fff,
    0x400fffff,0x2006fff9,0x7d44fffa,0xdcbcceff,0x01ffffff,0xffffff98,
    0xfffff304,0xfffdb79d,0xfd1001df,0xddffffff,0x05fffffd,0x7fffffdc,
    0xfffedeff,0x7ff444ff,0xcbaacdff,0x405fffff,0xeffffffc,0xfffffffd,
    0x00000003,0x7ffff440,0xfeca89bd,0xe8803fff,0xcdefffff,0x2fffedcc,
    0x00000000,0x7c000000,0x00000fff,0x3e000000,0x00000fff,0x3201dff9,
    0x00000eff,0x7ec00000,0x9fff34ff,0x7fdc0000,0xff9000ff,0x3ea000bf,
    0xf9805fff,0x3ea006ff,0x00dcc4ff,0x1bfffee2,0x7ffffec0,0xeffff881,
    0xbffff900,0xfffff980,0xfd7101be,0x3ffff205,0xb5101adf,0xefffd89f,
    0x3fff2200,0xffff702f,0xffb9815d,0x00002fff,0xfff30000,0xfff500bf,
    0xfffd809f,0x1a9800cf,0x00000000,0x7c000000,0x00000fff,0x3e000000,
    0x00000fff,0x00620066,0x00000000,0xf9a7ffec,0x200004ff,0x003ffff8,
    0x0005fffd,0x98027754,0x2a006fff,0x40004fff,0x800ffffb,0x902fffd8,
    0xb801dfff,0x3600ffff,0x000dffff,0x3ffe6026,0x0c4003ff,0x001ffff1,
    0x7c13fff6,0x5400efff,0x0006ffff,0xffb00000,0x7fcc007f,0xfff500ff,
    0x0000005f,0x00000000,0xffff0000,0x00000001,0x7fffc000,0x00000000,
    0x00000000,0xa7ffec00,0x0004fff9,0x037ffe40,0x003fffcc,0x7fcc0000,
    0x3fea006f,0xff80004f,0x022002ff,0x01ffff88,0x209fffb0,0x004ffffa,
    0x3ffff600,0xff980002,0x3fea006f,0xefffb86f,0xffff7000,0x00000003,
    0x003fff98,0x904fff98,0x0000bfff,0x00000000,0x3e000000,0x00000fff,
    0x3e000000,0x00000fff,0x00000000,0x7ec00000,0x9fff34ff,0xff980000,
    0x7fe401ff,0x0000004f,0x006fff98,0x0013ffea,0x00ffffa0,0x5fffb800,
    0x3fffe600,0x05fffe80,0x3ffea000,0xf700002f,0x7cc00bff,0x7ffc46ff,
    0x7fec002f,0xca98005f,0x001acdfd,0x8001bffa,0xfe80fffb,0x000003ff,
    0x37b6ea20,0x220001ac,0xdefeedca,0x3332a02c,0xcffffccc,0xcccccccc,
    0x3ccc882c,0x4b332600,0xfcccccca,0xcccccfff,0x002ccccc,0x99100000,
    0x99999999,0xfb000007,0x3ffe69ff,0xfe800004,0x7ffc04ff,0x0000001f,
    0x006fff98,0x0013ffea,0x00bfffa0,0x2fffe800,0x1ffff400,0x007fffea,
    0x6fffe800,0x3fea0000,0x3ff2006f,0x3fffdc5f,0x7fffdc00,0xfffd3000,
    0x1bffffff,0x82fffa80,0x3deffec8,0x3e13ffe2,0x00003fff,0xfffff900,
    0x001bffff,0x7fffff5c,0x2effffff,0xffffffb8,0xffffffff,0x85ffffff,
    0x2006fff9,0xff74fffa,0xffffffff,0xffffffff,0x33220bff,0xcccccccc,
    0xfff88003,0x6fffffff,0xffd80000,0x09fff34f,0xfff70000,0x37ffd40f,
    0xcccccb80,0xcccccccc,0x3fe64ccc,0x3fea006f,0xff80004f,0x300001ff,
    0xc800ffff,0x7f44ffff,0x200005ff,0x001ffffa,0x3fffe600,0xffff8802,
    0x027fff44,0x17fffc40,0x7ffffdc0,0xffffffff,0x21bffa03,0xfffffffa,
    0x207ffe47,0x0006fffd,0x7fff4400,0xffffffff,0xfffd001e,0xffffffff,
    0xffb87fff,0xffffffff,0xffffffff,0xfff985ff,0x3ffea006,0xffffff74,
    0xffffffff,0x0bffffff,0x3fffffe2,0x8006ffff,0xfffffff8,0x00006fff,
    0xf34fffd8,0x000009ff,0x205ffff1,0xd003fffc,0xffffffff,0xffffffff,
    0x037ffccf,0x009fff50,0x06fff980,0x3ffea000,0xfffd1004,0xffff8bff,
    0x3f200002,0x800005ff,0x401ffffe,0x220ffffb,0x0001ffff,0xd807fffb,
    0xcdefffff,0x3ffffffd,0xfa87fff0,0x7ffeffff,0x3217ffc4,0x0003ffff,
    0xfffff300,0xfffb957b,0xffd003ff,0xdb99bdff,0x543fffff,0xffeeeeee,
    0xeeeeeeff,0xf984eeee,0x3ea006ff,0xdddd54ff,0xddffffdd,0xdddddddd,
    0x3fffe209,0x06ffffff,0xeeeee880,0x006fffee,0x4fffd800,0x0009fff3,
    0x17fff600,0x8007fffc,0xfffffffe,0xffffffff,0x1bffe67f,0x04fffa80,
    0x1ffff400,0xfff70000,0xffff5009,0x7fc4dfff,0x200000ff,0x0003fffd,
    0xfffffa80,0xffffd883,0x03fffcc3,0x09fff900,0x06ffffd4,0x0fffffa8,
    0x3a0fffc4,0x41c43fff,0x7fcc3ffe,0x00004fff,0x00dfffe8,0x00dfffd3,
    0xfb8017bd,0xff006fff,0x4c0001ff,0x2a006fff,0xff804fff,0x440000ff,
    0xfeeeeeee,0x400006ff,0x0006fff9,0x34fffd80,0x5555bfff,0xf9800033,
    0x7fd40fff,0x3bb2005f,0xeeeeeeee,0x27ffffee,0x2006fff9,0x0004fffa,
    0x007fffd3,0x3fffc800,0x7ffffe40,0x3fea7fff,0x7400007f,0x00002fff,
    0xdfffff90,0x3ffffee5,0x07fffb82,0x17ffee00,0x027fffc4,0x22ffff4c,
    0x3ea0fff9,0x3f6002ff,0xffffb84f,0x500003ff,0xf100bfff,0x00805fff,
    0x07fffd40,0x007fffc0,0x0dfff300,0x027ffd40,0x0007fffc,0xdfff3000,
    0xff980000,0xd800006f,0xfff34fff,0xffffffff,0x3fa0005b,0x7ffec3ff,
    0x2a000002,0x3e62ffff,0x3ea006ff,0x2aa204ff,0xffffecba,0xfd800001,
    0xffd302ff,0xffff1dff,0x01bffee1,0x3ffff000,0x7dc00000,0xffffffff,
    0xff701eff,0x7dc000df,0xfff906ff,0x7ffd400b,0x91ffea1f,0xfc800dff,
    0xffffb05f,0x00039fff,0x800ffff4,0x0006fffb,0x01fffe80,0x000ffff8,
    0x01bffe60,0x804fffa8,0x0000ffff,0x1bffe600,0xfff30000,0xfb00000d,
    0x3ffe69ff,0xffffffff,0x5c002fff,0x3fe26fff,0x2000007f,0x4c4ffff8,
    0x2a006fff,0x3ea04fff,0xefffffff,0xfb000000,0xfff503ff,0x7fff49ff,
    0x00bfff90,0x7fffcc00,0x3ffff200,0x205fffff,0xffffffe9,0x3f200dff,
    0x2a0005ff,0xff887fff,0x7f4002ff,0x1ffee4ff,0xb800bffb,0x3fee07ff,
    0x2dffffff,0x27ffdc00,0x03fffe00,0xfffb0000,0x1ffff007,0x7ffcc000,
    0x3ffea006,0x0ffff804,0x3e600000,0x400006ff,0x0006fff9,0x34fffd80,
    0xffffffff,0x5fffffff,0x7fffc400,0x009fff71,0x7fff4000,0x07fff886,
    0x813fff60,0xfffffffa,0x4000ceff,0xffe80bb8,0x7fffec1f,0x8ffff42f,
    0x0004fffd,0x01fffea0,0xfffffff9,0xff980bff,0x1effffff,0x017fff20,
    0x87fff980,0x8006fff9,0x3f25fffb,0x027ffc5f,0x101ffea0,0xfffffffb,
    0x3f6005df,0x7f4002ff,0x400001ff,0xf803fffc,0x20000fff,0x2006fff9,
    0xf804fffa,0x00000fff,0x01bffe60,0xdfff3000,0xffb00000,0x9531009f,
    0x05ffffff,0xea7ffec0,0x00001fff,0x01ffff90,0x6401fffe,0x2a04ffff,
    0xfffffeee,0x5002ffff,0xfe87ffff,0xfffd30ff,0xfffd01df,0x017fff63,
    0x7fffa800,0x7ffffe40,0x9105ffff,0xffffffff,0x3f20bfff,0x260005ff,
    0xffa87fff,0xff98004f,0xd1bff26f,0xfb8009ff,0xff91007f,0x1bffffff,
    0x01fffe80,0x017ffec0,0x3fff2000,0x0ffff803,0x3ffe6000,0x3ffea006,
    0x0ffff804,0x3e600000,0x400006ff,0x0006fff9,0x04fffd80,0xfffff700,
    0x7fffd400,0x0006fff9,0x3ffff500,0x017fffc0,0x13ffffee,0x3ff6a600,
    0xff802fff,0x3f61ffff,0xffffb9ff,0x3fffe04f,0x00bfff90,0x7fffcc00,
    0x2aaaa600,0x885fffca,0xa9efffff,0x0efffffe,0x0037ffdc,0x70ffff50,
    0x10007fff,0x7fdcffff,0x002ffec7,0x2001bff2,0xffffffea,0x3fffe00f,
    0xcccccccc,0xfffecccc,0xb9751003,0xfffddddd,0xffff007f,0x7fcc0001,
    0x3fea006f,0x3ffff24f,0xffffffff,0x01ffffff,0x0dfff300,0xfff98000,
    0xfd800006,0x2e0004ff,0x2001ffff,0xfffefffe,0xf9800003,0x7ec03fff,
    0x3ff206ff,0x0004ffff,0x07ffff44,0xffffff10,0x7f7ffe4b,0x7c02ffff,
    0x3ffee7ff,0x3e200006,0xa8001fff,0x7fcc5fff,0xffb83fff,0x7fd46fff,
    0x3ee0006f,0xfffd86ff,0xffff0002,0xc83ffea1,0x36000fff,0x260005ff,
    0x06fffffd,0xfffffff1,0xffffffff,0x809fffff,0xffffffc8,0xffffffff,
    0x0ffff803,0x3ffe6000,0x3ffea006,0x3fffff24,0xffffffff,0x001fffff,
    0x00dfff30,0x6fff9800,0xffd80000,0x7fc0004f,0x3ee003ff,0x00ffffff,
    0x7ff44000,0xfffa805f,0xfea88aef,0x04fffcff,0xfffe8800,0x7ffffc03,
    0x3fffee7f,0x4400dfff,0x3fea6fff,0x7c00007f,0xa8001fff,0x7ff45fff,
    0x3fa601ff,0x3fe63fff,0x3f20007f,0xfffe86ff,0xffff0002,0xa87ffe61,
    0x8080dfff,0x80003ffe,0x84fffff9,0xfffffff9,0xffffffff,0x204fffff,
    0xfffffffb,0xffffffff,0xffff803f,0x3fe60000,0x3fea006f,0x3ffff24f,
    0xffffffff,0x01ffffff,0x0dfff300,0xfff98000,0xfd800006,0x6c0004ff,
    0x22005fff,0x05ffffff,0xfffd8000,0xfffd000e,0xffffffff,0x009fff19,
    0x17fff200,0xffffff70,0x3ffffea1,0xfff3003f,0x07fffccd,0xfffd0000,
    0xfff50005,0x0ffffd4b,0x7ffff440,0x01ffff10,0x13fff600,0x000ffff6,
    0xff1fffe2,0xffffe85f,0xff87ecbc,0xd100002f,0xff10dfff,0x999999ff,
    0x99999999,0x3fea0599,0x99abdfff,0x3fffc999,0x00ffff80,0x1bffe600,
    0x24fffa80,0xffaaaaa9,0xaaaaabff,0x30000aaa,0x0000dfff,0x006fff98,
    0x3fffd800,0x7ffe4000,0x7ffec005,0x400001ff,0x001ffffb,0x3fffffa6,
    0x3fe3ffff,0xf500004f,0xffd00fff,0x3fea1fff,0x2e001fff,0x3fe25fff,
    0x200003ff,0x8006fffd,0x3fa5fffa,0x3ea004ff,0x3ffe1fff,0xff88002f,
    0xfffb82ff,0xfff98004,0x262fffc6,0xffffffff,0x00fffd47,0xffff7000,
    0x01ffff01,0xfff10000,0xff9001bf,0xffff007f,0x7fcc0001,0x3fea006f,
    0xffff804f,0x26000000,0x00006fff,0x0037ffcc,0x17fff400,0x3fff6000,
    0x7ffd4003,0x4c00005f,0x0003ffff,0xbffffff9,0x004fff83,0x0dfff500,
    0x4dffff30,0x001ffff8,0x3e1ffff4,0x00007fff,0x007fffee,0x7cbfff50,
    0x7c002fff,0x3ffa3fff,0xffa8005f,0xfffa80ff,0xfffa8005,0x20fffdc5,
    0xffffffd8,0x0037ff46,0x3fffe200,0x01fffe81,0xfffa8000,0xfff9000f,
    0x1ffff007,0x7ffcc000,0x3ffea006,0x0ffff804,0x3e600000,0x400006ff,
    0x0006fff9,0x01ffff80,0x0ffffc00,0x3fffea00,0x3e200001,0x80004fff,
    0xfb809aa8,0x700001ff,0x3e009fff,0x7ff45fff,0x3fe2003f,0x7ffdc0ff,
    0xf100003f,0xa800bfff,0xfff15fff,0xffe8003f,0x3fffee4f,0x7ffec000,
    0x1ffff304,0x4fffd800,0x882fffc4,0xff981ab9,0x4400002f,0xfd80ffff,
    0x800003ff,0x2004fffc,0xe803fffc,0x20001fff,0x2007fff8,0xe804fffd,
    0x00001fff,0x01bffe60,0xdfff3000,0xff880000,0x2a0000ff,0x4000ffff,
    0x0006fffe,0x037fff40,0xffa80000,0x3a00002f,0xf8803fff,0x7fd43fff,
    0x3ff2006f,0xffff884f,0xf700000e,0x54003fff,0xfff15fff,0xfff8005f,
    0x3fffe22f,0x3ffe6003,0xffff100f,0x7ffc4007,0x1fffb81f,0x0dffb000,
    0xfff30000,0x3fffee0f,0x7f400000,0x3f6003ff,0xffd803ff,0x7fc0002f,
    0xfff9007f,0xfffb009f,0x4c000005,0x00006fff,0x4037ffcc,0x3fff6001,
    0x3fe60006,0x7d4005ff,0x00002fff,0x003ffff2,0x3fe20000,0x3200004f,
    0xb800ffff,0xfe80ffff,0xffa804ff,0xfff700ff,0x200003df,0x003ffffe,
    0x7f4bfff5,0x3ea005ff,0x7fe40fff,0xff9802ff,0x7fe404ff,0xffb000ff,
    0x3ffe209f,0x7fe4001f,0xe800002f,0xff105fff,0x800009ff,0x9804fffd,
    0x803ffffe,0x0005fffc,0x2017fffc,0x04fffffb,0x005fffc8,0x3ffe6000,
    0x7cc00006,0x2ed806ff,0x17fffe40,0xffffb800,0x7ffcc006,0x2a00005f,
    0x0002ffff,0x1fff7000,0xff910000,0xff7005ff,0x3fee05ff,0x3fe603ff,
    0x7ff405ff,0xa8803fff,0xffffa82d,0xfffa804f,0x13ffff25,0x1bfffe60,
    0x0bffffe2,0x0fffff88,0x77fffc40,0x7fffec01,0x3fffee00,0xfffd8802,
    0x80017306,0x02ffffd9,0x033fffee,0x7ffe4000,0x3ffee00f,0xfa803fff,
    0x20003fff,0x3206fffd,0x04ffffff,0x03ffffa8,0xfff30000,0xf980000d,
    0xffd806ff,0xfecaacde,0x55dc5fff,0xeba99999,0x000fffff,0x03bfffa2,
    0x7ffc4000,0x0000004f,0x2203fff6,0x99999aac,0xfffffdaa,0xffd75304,
    0x7f4409ff,0xb89adfff,0x00effffd,0x7fffffd4,0xecbabcef,0xffb02fff,
    0x379dffff,0xbfffd953,0x7fffffc4,0xfda9899b,0xf701ffff,0x359dffff,
    0x7fffffd9,0x3fffee00,0xeba88acf,0xb803ffff,0x40acffff,0x0efffeb9,
    0x799dff50,0xfb955355,0xd009ffff,0x357fffff,0x02dca988,0x15dffff5,
    0x3ffffae6,0xfd003fff,0x3335bfff,0x3ea09953,0xa88aefff,0xfffcfffe,
    0xffffd004,0x9533335b,0xfff30009,0x5555000d,0xffff7555,0x25555555,
    0xfffffffd,0x40efffff,0xfffffffe,0x1effffff,0xffff7100,0x7400003f,
    0x00005fff,0x1fffec00,0x7fffffc4,0xffffffff,0xffff105f,0xd1007fff,
    0xffffffff,0x001dffff,0x3fffff62,0xffffffff,0x3fea02ff,0xffffffff,
    0x45ffffff,0xfffffff9,0xffffffff,0x7ffd402f,0xffffffff,0x64002fff,
    0xffffffff,0x03ffffff,0x3ffffea0,0xfffffdef,0x7ffd404f,0xffffffff,
    0x05ffffff,0xfffffd30,0xffffffff,0x7fec05ff,0xffffffff,0x3fff9dff,
    0xfffff300,0xbfffffff,0x7fffff40,0x8cffffff,0xf3004fff,0xffffffff,
    0x2aa0bfff,0xffbaaaaa,0xaaaaaaff,0xffffff02,0xffffffff,0x3f2dffff,
    0xffffffff,0xfffd04ff,0xffffffff,0xfefc805f,0x03ffffff,0x3fff6000,
    0xaaaaaabf,0x02aaaaaa,0x3fffee00,0xffff15ef,0xffffffff,0x7fc403bf,
    0x4000dfff,0xfffffffd,0x70005fff,0xffffffff,0x03ffffff,0xfffffd88,
    0xffffffff,0xfffe983f,0xffffffff,0xff3002ef,0xffffffff,0x2a0001df,
    0xffffffff,0x8001efff,0xffffffe9,0x802fffff,0xfffffffa,0xffffffff,
    0xffc8003e,0xffffffff,0x2202ffff,0xfffffffe,0xfff12fff,0x7ffdc007,
    0xffffffff,0x3fffa605,0x23ffffff,0x2e004fff,0xffffffff,0xfff05fff,
    0xffffffff,0xdfffffff,0x3fffffe0,0xffffffff,0x3266ffff,0xdefffffe,
    0x3ffffa02,0x03deffff,0xffffff90,0x400005df,0xfffffff8,0xffffffff,
    0x40006fff,0x16fffffe,0xffffffff,0x1003bdff,0x000359bd,0x7ffffedc,
    0x440002ce,0xfffffedb,0x2000adff,0xfffffeca,0x400adfff,0xffffffda,
    0x88001dff,0xefffffdb,0xc880003d,0xdffffffe,0x2a20000b,0xceffffdc,
    0xfb91000b,0xffffffff,0x80005bff,0xfffffec9,0x00bdffff,0xffffffb8,
    0x3ffe20ce,0x7f644003,0x3effffff,0xfffffc80,0x27ffc1df,0x3ffb2200,
    0x03efffff,0xffffffff,0xffffffff,0x3ffe0dff,0xffffffff,0x6fffffff,
    0x80033310,0x01aaaa99,0xfffff900,0x1000009f,0xffffffff,0xffffffff,
    0x70000dff,0x998bfffd,0x0009aaaa,0x44000000,0x0000009a,0x0004cd4c,
    0x13555100,0x554c4000,0x44000009,0x000000aa,0x0000554c,0x00026600,
    0x5554cc40,0x40000019,0x0099aa98,0x006a6200,0x99880000,0xa8800099,
    0x0000009a,0x00999988,0x7ffffffc,0xffffffff,0x00006fff,0x00000000,
    0xcdda8000,0x0000009a,0xfffffff1,0xffffffff,0x0000dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x30007999,
    0x33267999,0xcc88003c,0x0000003c,0x00000000,0x97300000,0x999bddfd,
    0x05999999,0x32ea6200,0xca9802cc,0xbcdeefed,0x65cc4001,0x640bcdee,
    0xcccccccc,0xcccccccc,0x911ccccc,0x00000799,0x80039995,0xcc984ccc,
    0x8000003c,0x0000cccc,0x66654000,0xcccccccc,0x9999704c,0x00357999,
    0xcccccb80,0x8001abcc,0xcccccccc,0xcccccccc,0x51cccccc,0x00019999,
    0xc893332a,0xcccccccc,0xcccccccc,0x66654000,0xa80000cc,0xa8005fff,
    0xfff76fff,0xfff3000b,0x76dcc00d,0x4001bdef,0xcdffeca8,0xca88000a,
    0x002ceffd,0x3ffffa20,0xffffffff,0x004fffff,0x3fffff66,0x36204fff,
    0xffffffff,0xb1006fff,0xffffffff,0x7fffcdff,0xffffffff,0xffffffff,
    0xdfff32ff,0xffb00000,0x7fc4007f,0x7ffdc0ff,0xf8000005,0x00000fff,
    0x7ffffc00,0xffffffff,0xffffd80f,0xffffffff,0x7fec002d,0xffffffff,
    0xff802dff,0xffffffff,0xffffffff,0xff12ffff,0x3e000bff,0x3fe64fff,
    0xffffffff,0x0fffffff,0x7ffffc00,0xfa80003f,0xfa8005ff,0xbfff76ff,
    0xdfff3000,0xffff9100,0x05dfffff,0xffffff70,0x2003ffff,0xffffffe9,
    0x4001efff,0xfffffff9,0xffffffff,0xa804ffff,0xfffffffe,0xff504fff,
    0xffffffff,0xf700dfff,0xffffffff,0x7ffcffff,0xffffffff,0xffffffff,
    0xfff32fff,0xfb00000d,0x7c4007ff,0x7fdc0fff,0x8000005f,0x0000ffff,
    0x3ffea000,0xffffffff,0xffd80fff,0xffffffff,0x000dffff,0xfffffffb,
    0xbfffffff,0x666ffc01,0xcccccccc,0xfccccccc,0x3fffee2f,0x7ffdc001,
    0x7ffffcc6,0xffffffff,0x2000ffff,0x6ffffff9,0xfffa8000,0xfffa8005,
    0x00bfff76,0x80dfff30,0xfffffffa,0x0dffffff,0xfffffe98,0x3fffffff,
    0x7ffffdc0,0xffffffff,0xffff7003,0xfff999df,0xdddddddf,0xffffd807,
    0xffffffff,0xfffff984,0xfdccabcd,0x3ffa206f,0xedceffff,0x3ffe7fff,
    0xffffffff,0xffffffff,0xfff32fff,0xfb00000d,0x7c4007ff,0x7fdc0fff,
    0x8000005f,0x0000ffff,0x3fffa000,0xccccefff,0xfffb04cc,0xffffdddd,
    0x005fffff,0xddddfffb,0xffffffff,0x007fe05f,0x3a17f400,0x22006fff,
    0x7cc2ffff,0xeeeeefff,0xeeeeeeee,0x3fff2000,0x0000ffff,0x002fffd4,
    0xfbb7ffd4,0xf98005ff,0x3fe206ff,0xcbbcefff,0x440ffffe,0xabdfffff,
    0x4ffffecb,0xfffffd88,0xffffdcdf,0x7fcc01ff,0x7fc41dff,0x3f60006f,
    0x1abdffff,0x1bfffd00,0x7e403100,0x2602ffff,0x7ff4007c,0x3fe6001f,
    0xd800006f,0x22003fff,0x7dc0ffff,0x000005ff,0x000ffff8,0xfff30000,
    0x0009fff9,0x5305fffb,0x7fffffd7,0x82fffd80,0xffffeba9,0x441ff83f,
    0x17f40009,0x00bfffe6,0x4c2fffe4,0x00006fff,0xfeffff80,0x540003ff,
    0xa8005fff,0xfff76fff,0xfff3000b,0x7fffe40d,0x207faa02,0x201efffd,
    0x440ffffd,0x901cfffe,0xd80dffff,0xff106fff,0x3f6000df,0x8000dfff,
    0x0007fff8,0x1bffff30,0x3fa00000,0x3e6001ff,0xffffffff,0x4400bcef,
    0xcdfffecc,0xcccccccc,0xccffffcc,0x00bfff72,0xffff0000,0x20000001,
    0xfffafffc,0xfffd8004,0xffffc802,0x3fff600f,0xffffc802,0x360ffc0f,
    0x400cefff,0xfffc82fe,0x7ffcc00f,0x6fff980f,0x7cc00000,0x6fffbdff,
    0x7ffd4000,0xfffa8005,0x00bfff76,0x20dfff30,0x801ffff9,0xffffb828,
    0x4fffc800,0xb802ff98,0xf302ffff,0x3e201dff,0xfa8006ff,0x20001fff,
    0x0005fffa,0x00dfffd0,0xfffe8000,0x3ffe6001,0xffffffff,0xf301cfff,
    0xffffffff,0xffffffff,0xbfffffff,0x0017ffee,0x3fffe000,0xf0000000,
    0x9fff39ff,0x5fffb000,0x3fffe600,0x0bfff604,0x27fffcc0,0xfffb07fe,
    0x3a019fff,0xffff882f,0x27ffec04,0x006fff98,0x7ffe4000,0x00ffff8a,
    0x17ffea00,0x5bffea00,0x8005fffb,0xf706fff9,0xf8000bff,0xf1003fff,
    0x01301fff,0x81ffffc0,0x2202fffd,0xe8006fff,0x40002fff,0x0007fff9,
    0x01ffffa8,0x7ff40000,0x3fe6001f,0xffffffff,0x84ffffff,0xfffffff9,
    0xffffffff,0xffffffff,0x0bfff75f,0xfff00000,0x0132201f,0x27ffea00,
    0x8004fff9,0x2002fffd,0xb00ffffc,0x64005fff,0x3fe0ffff,0xffda9881,
    0x205fd06f,0x500ffffb,0x7cc0dfff,0x000006ff,0xfe87fffc,0x2a0003ff,
    0xa8005fff,0xfff76fff,0xfff3000b,0x0bfff60d,0x7fff8800,0x27ffec00,
    0x7ffe4000,0x0ffff985,0x01bffe20,0x00bfff70,0x37fffe00,0x3ff20000,
    0x8000005f,0x2001fffe,0xaaaffff9,0xffffdcaa,0x7ffcc3ff,0xffffffff,
    0xffffffff,0xf75fffff,0x00000bff,0x881ffff0,0x80004ffc,0xfff36ffe,
    0xfffb0009,0x7ffc4005,0x5fffb04f,0x7fffc400,0x22007fe4,0x2fe85ffe,
    0x417fffa0,0x2602fffe,0x00006fff,0xc97ffe60,0x20005fff,0x8005fffa,
    0xff76fffa,0xff3000bf,0x3fffa0df,0x3fea0001,0x7fd4006f,0xfb80005f,
    0xfffb86ff,0x37ffc405,0x03fffa00,0x7ffec000,0xd8000cff,0x00003fff,
    0x01fffe80,0x01bffe60,0x0bffffee,0x001fffec,0xb81ffff1,0x00005fff,
    0x10ffff80,0x009ffff9,0x32fff980,0xb0009fff,0xc8005fff,0xffb07fff,
    0xffc8005f,0x4007fe7f,0x7f41ffe8,0x3fffea02,0x02fffdc1,0x001bffe6,
    0x3fffc800,0x003fffe6,0x02fffd40,0xbb7ffd40,0x98005fff,0xfff06fff,
    0x7dc0001f,0x7c4005ff,0xb80006ff,0xffd86fff,0x7ffc403f,0x3ffe2006,
    0x3a200006,0xbeffffff,0x3ffff000,0xfd000000,0x7cc003ff,0xff3006ff,
    0x3ff60fff,0x3fe2003f,0x7ffdc0ff,0xf8000005,0xfffc9fff,0x40003fff,
    0xff30fffc,0xffb0009f,0xff98005f,0x5fffb07f,0x7fff9800,0xfb8007fe,
    0x2017f43f,0x3e26fffd,0x7cc00fff,0x000006ff,0xff03fffe,0x2a0007ff,
    0xa8005fff,0xfff76fff,0xfff3000b,0x0ffff10d,0x5fffc800,0x07fff800,
    0x5fffc800,0x401ffff8,0x2006fff8,0x0004fffa,0x7fffec40,0x00adffff,
    0x001ffff1,0xfffd0000,0x7ffcc003,0x3ffee006,0x3fffd80f,0x3fffe200,
    0x02fffdc0,0x7ffc0000,0xcfffffff,0x7fc40000,0x13ffe64f,0x0bfff600,
    0x1ffff100,0x005fffb0,0xf0ffff88,0x7fcc003f,0x22017f44,0xff92ffff,
    0xfff3009f,0x2600000d,0xffc86fff,0xff50005f,0xff5000bf,0x17ffeedf,
    0x1bffe600,0x001fffe2,0x00dfff70,0x001ffff0,0x44fffd80,0x400ffff8,
    0x2006fff8,0x2ea2fffc,0x01acdedc,0x3ffffaa0,0x982fffff,0x00007fff,
    0x03fffd00,0x037ffcc0,0x20bfffe0,0x2003fffd,0x5c0ffff8,0x10005fff,
    0x7ffffc00,0x0000cfff,0x4c3fff70,0xd8004fff,0xf8002fff,0xffd81fff,
    0xfff8002f,0x4003ff1f,0x17f43ffb,0x4f7ffdc0,0xf3006fff,0x00000dff,
    0x260ffff2,0x8000ffff,0x8005fffa,0xff76fffa,0xff3000bf,0xffff10df,
    0xfff98000,0x7ff4000f,0x3e20001f,0x7fc42fff,0x7fc400ff,0xccccccff,
    0x27fffa0c,0xffffffeb,0x2000dfff,0xfffffec9,0x7ffc45ff,0x2600000f,
    0xfff99999,0x099999bf,0x006fff98,0x6c27ffec,0x22003fff,0x7dc0ffff,
    0x7e4005ff,0x3f2202ef,0x00cfffff,0x37ff4000,0x333bffe6,0x3323cccc,
    0xccdfffec,0x7ffc03cc,0xffd9992f,0x079999bf,0xff2ffff8,0x0fff4003,
    0x7f400bfa,0x02fffeff,0x99ffff30,0x99999999,0xfff00599,0x3fffe03f,
    0xfffa8002,0xfffa8005,0x00bfff76,0x10dfff30,0x8000ffff,0x004ffff8,
    0x0017fff4,0x10dfff70,0xf100ffff,0xffffffff,0x7fff41ff,0xffffffff,
    0x02ffffff,0xffffc980,0x7fffc3ff,0xff100001,0xffffffff,0x09ffffff,
    0x800dfff3,0xfd85fffc,0xeeeeeeff,0xffeeeeee,0x7ffdc0ff,0x3fff6005,
    0x7fe442ff,0x000cffff,0x3fff9800,0x7fffffcc,0x3fe5ffff,0xffffffff,
    0x7ff405ff,0xffffff3f,0x0bffffff,0xff3fffe8,0xf9555103,0x05fd0bff,
    0x3ffffea0,0x3fe6005f,0xffffffff,0x04ffffff,0xb037ffcc,0x5000bfff,
    0x5000bfff,0x3feedfff,0xff98005f,0xfffffd6f,0xffffffff,0x3203ffff,
    0x9802ffff,0x002ffffd,0x05ffff30,0x100dfff3,0xffffffff,0x7ffc1fff,
    0xbcdfffff,0xfffffedc,0x3fee0000,0x7fffc7ff,0xff100002,0xffffffff,
    0x09ffffff,0x800dfff3,0xfd84fffc,0xffffffff,0xffffffff,0x7ffdc0ff,
    0xffff3005,0x7ffdcfff,0x000fffff,0x1fff9000,0xffffff98,0x3fe5ffff,
    0xffffffff,0x7fec05ff,0xffffff4f,0x0bffffff,0xff4fffd8,0xfffff303,
    0x05fd019f,0x7ffffec0,0x3ffe6000,0xffffffff,0x404fffff,0x2a04fffc,
    0x4000ffff,0x8005fffa,0xff76fffa,0xff3000bf,0x3ffffadf,0xffffffff,
    0x101fffff,0x35bfffff,0xfffd7331,0x10005fff,0x260bfffd,0xf8807fff,
    0xeeeeefff,0x3fffe0ee,0x7fdc02df,0x540005ff,0x3fa1ffff,0x100005ff,
    0xffffffff,0xffffffff,0x0dfff309,0x83fffe80,0xfffffffd,0xffffffff,
    0x7dc0ffff,0xff7005ff,0x3e1fffff,0xffffffff,0xf8800000,0xfff985ff,
    0x4eeeeeef,0x3ffffbba,0x404eeeee,0xddd4fffe,0xddddffff,0xfffe809d,
    0xff303ff4,0x7f4039bd,0x3ffe6002,0x7fcc003f,0xeeeeeeff,0x03eeeeee,
    0x100ffffc,0x8005ffff,0x8005fffa,0xff76fffa,0xff3000bf,0x3ffffadf,
    0xffffffff,0x201fffff,0xfffffffa,0xffffffff,0xd8001fff,0xf100ffff,
    0xff100fff,0x3fe200df,0x3ee002ff,0x40001fff,0x3ee2ffff,0x00001fff,
    0xff555555,0x555559ff,0x0dfff303,0x81ffff80,0xcccdfffd,0xcccccccc,
    0x7dc0ffff,0xff7005ff,0x3e1fffff,0xffff8cff,0xfb800000,0xfff982ff,
    0xfffd8004,0xffff8002,0x02fffd83,0xf3ffff80,0x03ff303f,0x2aa0bfa0,
    0xfffaaaaa,0xaaaaaacf,0x06fff981,0x7ffcc000,0x5fffd807,0x2fffd400,
    0xb7ffd400,0x8005fffb,0x5556fff9,0x557ffff7,0x15555555,0xffffe980,
    0xcfffffff,0x4001fffe,0x401ffffd,0x4400ffff,0x3e006fff,0x74000fff,
    0x40003fff,0x7fc0ffff,0x000006ff,0x000ffff4,0x400dfff3,0xfb06fffc,
    0x7c4007ff,0x7fdc0fff,0xfff1005f,0x067cbfff,0x0001ffff,0x20fffd00,
    0x8004fff9,0x8002fffd,0xfd83ffff,0xff8002ff,0x103ff3ff,0x3fa003ff,
    0x7ffffc42,0xffffffff,0x983fffff,0x00006fff,0x4027ffe4,0x000ffffa,
    0x0017ffea,0x7ddbffea,0xf98005ff,0xfff886ff,0xdb800007,0xbdeffffe,
    0x001fffd0,0x017fffec,0x200ffff4,0x2006fff8,0x4001ffff,0x0015fffb,
    0x70ffff70,0x005dffff,0xffe80071,0x3fe6001f,0xfff5006f,0x3fff605f,
    0x3ffe2003,0x2fffdc0f,0xdffff500,0x7fffc041,0x7cc00000,0xfff304ff,
    0xfffb0009,0xfff88005,0x2fffd82f,0x7fffc400,0xff103ff2,0x10bfa003,
    0xffffffff,0xffffffff,0xfff307ff,0xff80000d,0xff8802ff,0x3ea002ff,
    0xfa8005ff,0xbfff76ff,0xdfff5000,0x00ffff10,0x20130000,0x2006fff8,
    0x003ffffc,0x8803fffd,0x3a006fff,0x54002fff,0x7bfb6fff,0x2a621335,
    0x883ffffd,0xbdfffffe,0x7fdba99a,0x0ffff400,0x0dfff300,0x5ffffd98,
    0x00ffff60,0x40ffff88,0x4005fffb,0xff003cb9,0x800001ff,0xf300fffd,
    0xfb0009ff,0xf98005ff,0xffd80fff,0x7fcc002f,0x103ff0ff,0x3fa00199,
    0x77777442,0xeeffffee,0x982eeeee,0x00006fff,0x2affffe6,0xaaaaaaaa,
    0x2005ffff,0x8005fffa,0xff56fffa,0xff5000df,0xffff109f,0x80000000,
    0x9004fffa,0x4007ffff,0x4403fffd,0x36006fff,0x4c002fff,0xfffb7fff,
    0xffffffff,0xd80bffff,0xffffffff,0x007fffff,0x000ffff4,0x999ffff3,
    0xffffdb99,0x7fec01df,0x3fe2003f,0x7ffdc0ff,0xf8000005,0x00000fff,
    0x3fffffe2,0xffffffff,0xfffd8004,0x7ffec002,0x05fffb06,0x26fffd80,
    0xd00001ff,0xffe8005f,0x7fcc001f,0x3200006f,0xffffffff,0xffffffff,
    0x3ea007ff,0xfa8005ff,0xdfff36ff,0x7fff7000,0x00ffff10,0xfc800000,
    0xffc802ff,0x7e4003ff,0x7fc406ff,0x3ff2006f,0x7fd4003f,0xfffffb5f,
    0xffffffff,0x3ff2007f,0xffffffff,0x7f4007ff,0x3e6001ff,0xffffffff,
    0x04ffffff,0x003fffd8,0x703fffe2,0x0000bfff,0x01ffff00,0x7ffdc000,
    0xffffffff,0xd8004fff,0x26002fff,0xfb03ffff,0x7cc005ff,0x07fe3fff,
    0x5fd00044,0x1fffe800,0x37ffcc00,0xffff0000,0xffffffff,0xffffffff,
    0x3ffea005,0xfffb8005,0x00ffff15,0x105fffb0,0x0000ffff,0x7ffc4000,
    0xffffc807,0xfff88003,0x3ffe201f,0x3ffee006,0x7ffe4006,0xfffffb74,
    0x19dfffff,0xffeb8800,0x1befffff,0x0ffff400,0xfffff300,0xffffffff,
    0x3ff6003d,0x3fe2003f,0x7ffdc0ff,0xf8000005,0x00000fff,0x3ffffffa,
    0xffffffff,0xfffd8004,0x3fff6002,0x5fffb01f,0x7fffec00,0x3ee07fe1,
    0x05fd003f,0x01fffe80,0x037ffcc0,0xffff9800,0xffffffff,0xffffffff,
    0xbfff5005,0x7fff9000,0x0017fffc,0x103ffff1,0x0000ffff,0x7fff4000,
    0x7fffe403,0x3ff60003,0x3ffe204f,0x3ffe2006,0x3ffa001f,0xea99882f,
    0x80001fff,0x019efff8,0x0ffff400,0xfffff300,0x359bdfff,0x3fffd800,
    0x3fffe200,0x02fffdc0,0x7ffc0000,0xf500000f,0x55555bff,0x09fff955,
    0x05fffb00,0x13fffea0,0x002fffd8,0xf89ffff5,0x07ffe81f,0x55505fd0,
    0xffff5555,0x35555559,0x00dfff30,0x37fff200,0xaaaaaaaa,0xfffcaaaa,
    0xbfff5007,0x5ffff000,0x0037ffec,0x220bfff9,0x00007fff,0xffff9000,
    0x7fffe401,0x7fd40002,0xfff102ff,0xfffd800d,0xffff7004,0x0ffff001,
    0x3ffea000,0xffd00003,0x7fcc003f,0xd800006f,0x22003fff,0x7dc0ffff,
    0x000005ff,0x000ffff8,0x03fffb00,0x004fff98,0x802fffd8,0x00fffffc,
    0x200bfff6,0x40fffffc,0x6ffd81ff,0xf885fd00,0xffffffff,0xffffffff,
    0x6fff983f,0xffff0000,0xfff10005,0xfff5005f,0xfffc800b,0x3fffe60f,
    0x7ffe400d,0xffff101f,0x98000000,0x202ffffd,0x002ffffd,0x5ffffd00,
    0x00dfff10,0x04ffff98,0x017fffcc,0x0027ffc4,0x01fffc80,0x3fffd000,
    0x37ffcc00,0x7fec0000,0x3fe2003f,0x7ffdc0ff,0xf8000005,0x80000fff,
    0x9806fff8,0xd8004fff,0xd5102fff,0x805fffff,0x5102fffd,0x05fffffd,
    0x1b9103ff,0xf10bfa00,0xffffffff,0xffffffff,0xdfff307f,0xfff30000,
    0x7ff4000f,0xfffa804f,0xa99ace85,0xc83ffffd,0x9abfffff,0xffffeb98,
    0x1fffe204,0x26200000,0x04fffffd,0x00bffff6,0xffffa800,0xffa99bdf,
    0xaaaaaaff,0xffffd81a,0xff9310ad,0x3ea00bff,0xd00002ff,0x40000fff,
    0x2001fffe,0x0006fff9,0x03fffd80,0x03fffe20,0x999ffff7,0x99999999,
    0x7fc00199,0xccccccff,0x84cccccc,0x9803fffb,0xaaaadfff,0xffd80aaa,
    0xffedccdf,0x01ffffff,0xccdfffd8,0xffffffed,0x03ff01ff,0x20bfa000,
    0xfccccccc,0xccccdfff,0xfff982cc,0xcccccccf,0x20cccccc,0x0005fffc,
    0x201fffee,0xfe85fffa,0xffffffff,0xffffd106,0xffffffff,0xaaa81bff,
    0xaabffffb,0xaaaaaaaa,0x6665c0aa,0xffffffed,0x3fee03ff,0xeeeeefff,
    0xeeeeeeee,0xffff303e,0xffffffff,0xffffffff,0xffffd109,0xffffffff,
    0x3f2001df,0xf00000ff,0x400009ff,0x2001fffe,0x0006fff9,0x03fffd80,
    0x03fffe20,0xfffffff7,0xffffffff,0x7fc001ff,0xffffffff,0x0fffffff,
    0x4007fff4,0xfffffff9,0xfd82ffff,0xffffffff,0x00efffff,0xffffffb0,
    0xffffffff,0x4d7fc01d,0x99999999,0x99999999,0x7f4002fe,0x7cc001ff,
    0xffffffff,0xffffffff,0x00bfffe0,0x2ffff980,0x42fffd40,0xfffffffe,
    0x7fe400df,0xffffffff,0xfffd03ff,0xffffffff,0xffffffff,0xffffd85f,
    0xefffffff,0x7fffe401,0xffffffff,0x4fffffff,0x3ffffa20,0xffffffff,
    0x04ffffff,0x3ffffff2,0x003fffff,0x00037ff4,0x002fff98,0x07fffa00,
    0x06fff980,0xfffd8000,0x3ffe2003,0x7fffdc0f,0xffffffff,0x000fffff,
    0x3ffffffe,0xffffffff,0x3ffea0ff,0xffff3005,0x5fffffff,0xffffffb0,
    0x3bffffff,0xffffd800,0xffffffff,0xffff801d,0xffffffff,0xffffffff,
    0x7f4002ff,0x7cc001ff,0xffffffff,0xffffffff,0x01ffff30,0x4fffe800,
    0x42fffd40,0xdfffffec,0x3fb66002,0x0cefffff,0x3fffffa0,0xffffffff,
    0x2fffffff,0x7fffffec,0x9002dfff,0xffffffff,0xffffffff,0xb8809fff,
    0xffffffec,0xffffffff,0x7fed404f,0x00ceffff,0x003fff80,0x01fff700,
    0x7fff4000,0x3ffe6001,0xfd800006,0x3e2003ff,0x7fdc0fff,0xffffffff,
    0x0fffffff,0x3ffffe00,0xffffffff,0x3f60ffff,0xff3002ff,0xffffffff,
    0xffffb05f,0x1799ddff,0x3fff6000,0xbcceefff,0x3fffe000,0xffffffff,
    0xffffffff,0x7f4002ff,0x7cc001ff,0xffffffff,0xffffffff,0x00bfff90,
    0x0ffff900,0x00988000,0x03553000,0x7fffff40,0xffffffff,0x2fffffff,
    0x5e777fec,0x7e40009a,0xffffffff,0xffffffff,0x998004ff,0x10000019,
    0x00000353,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66644000,0xaccccccc,0xccc9801a,
    0x1abccccc,0xcccc8800,0xcccccccc,0x3264cccc,0xc98003cc,0x999993cc,
    0x99999999,0x26399999,0x22003ccc,0x32a3cccc,0x980002cc,0x2002cccc,
    0x443cccc9,0x000ccccc,0x200b3322,0x99302ccb,0x32200019,0xc8802eee,
    0xcccccccc,0x000009ab,0x4ccccc88,0xcccccc80,0x009abccc,0x33333320,
    0xcccccccc,0x71cccccc,0x00019999,0x20cccca8,0x001cccca,0x64799990,
    0x980004cc,0x99970ccc,0x99100007,0x33322199,0xcccccccc,0xcccccccc,
    0x9999991c,0x99999999,0x99999999,0x80ceea83,0xfffffff9,0xbeffffff,
    0xfffff700,0xdfffffff,0xfff1003b,0xffffffff,0x54ffffff,0xa8005fff,
    0xffff6fff,0xffffffff,0x25ffffff,0x2006fffa,0x2e0ffffe,0x80005fff,
    0x007ffffa,0x31bffff6,0x00bfffff,0x4027ffcc,0xff504ffe,0x3fee000f,
    0xf9803fff,0xffffffff,0x002dffff,0x3ffff200,0xffff807f,0xffffffff,
    0xfff800cf,0xffffffff,0xffffffff,0x9ffff53f,0xffff8000,0x37fffc45,
    0x7fffdc00,0x001fffa2,0x5c7ffee0,0x0000ffff,0xf337ffdc,0xffffffff,
    0xffffffff,0x3ffe7fff,0xffffffff,0xffffffff,0x3ff22fff,0x7fcc0eff,
    0xffffffff,0x82ffffff,0xfffffffb,0xffffffff,0x7fffc404,0xffffffff,
    0x3ea7ffff,0xfa8005ff,0xfffff6ff,0xffffffff,0x2a5fffff,0xf9006fff,
    0xffb83fff,0xfb80005f,0x8802ffff,0x4c6fffff,0x00ffffff,0x009fff30,
    0x3ee07fff,0x7fdc007f,0x803fffff,0xfffffff9,0xffffffff,0x7cc0002e,
    0x807fffff,0xffffffff,0x4fffffff,0x7fffffc0,0xffffffff,0x23ffffff,
    0x001ffffd,0x03ffff70,0x007ffff5,0x22ffffc4,0x0000fffe,0xf98fffdc,
    0x40003fff,0x3e64fffe,0xffffffff,0xffffffff,0xffff3fff,0xffffffff,
    0xffffffff,0x3ffe25ff,0x7fcc3fff,0xffeeeeff,0x1fffffff,0x777fffdc,
    0xffffffee,0xff102eff,0xffffffff,0x4fffffff,0x8005fffa,0xddb6fffa,
    0xffffdddd,0x3ddddddd,0x201bffea,0xb82ffffa,0x80005fff,0x05fffffb,
    0x6fffffb8,0x7fffffcc,0x9fff3004,0x205fff00,0xd5006ffc,0xffffffff,
    0xffff3007,0xfffddddd,0x003fffff,0x7fffff40,0xffff807f,0xffffeeee,
    0x3e04ffff,0xffffffff,0xffffffff,0x3fe62fff,0xf88005ff,0x3f604fff,
    0xf9000fff,0xffd81fff,0x7e40000f,0x3fffa0ff,0x3fe20005,0x3ffe61ff,
    0xffffffff,0xffffffff,0xffffff3f,0xffffffff,0xffffffff,0x3ffffea5,
    0x37ffcc5f,0xffffd530,0x05fffb8d,0xfffff753,0xffff105f,0xfffa8000,
    0xfffa8005,0x1fffe806,0x06fffa80,0x827fffcc,0x0005fffb,0xffffffb8,
    0x7ffff400,0x7fffcc7f,0xf9800fff,0x7fc404ff,0x0bffb01f,0xfffffea8,
    0x803fffff,0x2206fff9,0x0fffffea,0xefffc800,0xff807fff,0xff9300ff,
    0x26603fff,0x99999999,0xfff99999,0xffffd86f,0x7ffe4001,0x3ffe200f,
    0xfff9805f,0x1fffc82f,0x7ffe4000,0x03fffee0,0x37ffdc00,0x4ccccccc,
    0x99999999,0x001ffff9,0x8007fffa,0x4ffffff9,0x8037ffcc,0x2e1ffffd,
    0xc8805fff,0xf886ffff,0x540007ff,0xa8005fff,0xfe806fff,0xffa801ff,
    0x3ffa206f,0x3ffee05f,0xffc80005,0x2602fffd,0x47ffdfff,0xfffffff9,
    0x4fff9804,0x807ffcc0,0x3f204ffe,0xf8cfffff,0xf9803fff,0xff7006ff,
    0xf9800dff,0x7fff9eff,0x00ffff80,0x02ffffcc,0x3ffee000,0xffff881f,
    0x3ffe2006,0xfffb803f,0x7fff401f,0x03fff905,0x47ffc800,0x002ffff9,
    0x009fffb0,0x6fffa800,0x0ffff400,0x3ffff600,0x37ffcc1f,0x3ffff880,
    0x8017ffee,0x443ffffa,0x40007fff,0x8005fffa,0xe806fffa,0xfa801fff,
    0x3ff606ff,0x7ffdc06f,0xffc80005,0x3205ffdd,0x47ffccff,0xfffdfff9,
    0x7ffcc00f,0x03ffd404,0x7d407fff,0x3fe1dfff,0xff9803ff,0x3ff2006f,
    0x3fa000ff,0x7fff9aff,0x00ffff80,0x007fffc8,0x3fffe600,0x3fffee04,
    0xdfff9002,0x37fff400,0x01ffff70,0x000bffee,0xfd0fffb0,0xf1000bff,
    0x00003fff,0x002fffe8,0x000ffff4,0x20bfff62,0x2006fff9,0x3ee4fffd,
    0x7e4005ff,0x3fe20fff,0x7d40007f,0xfa8005ff,0xffe806ff,0xfffa801f,
    0x1ffff906,0x05fffb80,0xadffd800,0xfff00fff,0x4c1fff95,0xfffccfff,
    0x27ffcc03,0xf81ffee0,0x77f402ff,0x03ffff81,0x006fff98,0x8017fffc,
    0xff34fffb,0xffff00ff,0xffff3001,0x3fa00001,0x7fc406ff,0xff8806ff,
    0x3e6002ff,0xff883fff,0x3fee03ff,0x7ec0002f,0xffffb86f,0x7ffd4000,
    0x7d400006,0xfe8006ff,0x110001ff,0x037ffcc0,0x5c7fffb0,0x44005fff,
    0x3e24ffff,0x540007ff,0xa8005fff,0xfe806fff,0xffa801ff,0xffffa86f,
    0x5fffb801,0xcffd8000,0xfa83fff8,0x41fff97f,0xff8cfff9,0x7ffcc07f,
    0x3bbbbb24,0xeeeeefff,0xeeeefffe,0xff80aa1e,0xff9803ff,0x7fec006f,
    0xfff8803f,0x0ffff30f,0x001ffff0,0x003ffff1,0x3ffff700,0x7ffff500,
    0x06fffd80,0x0ffffc80,0x2037ffec,0x0002fffa,0x7cc37ff4,0x6c002fff,
    0x00003fff,0x0017fff4,0x000ffff4,0x6fff9800,0x87fffa00,0x8005fffb,
    0x3e26fffc,0x540007ff,0xa8005fff,0xfe806fff,0xffa801ff,0x7fffc46f,
    0xbfff7002,0x9ffb0000,0x3f61bff6,0x41fff74f,0xffb4fff9,0x7ffcc07f,
    0x3fffff64,0xffffffff,0xffffffff,0x3ffe002f,0xfff9803f,0x7ffe4006,
    0x2fffd805,0x201fffe6,0x9800ffff,0x0000ffff,0x027fffcc,0x40ffffd0,
    0x001ffff9,0x25ffff88,0x401ffffa,0x0003fffa,0xfe82fff4,0x3e2005ff,
    0x00001fff,0x001bffea,0x000ffff4,0x6fff9800,0x8ffff100,0x8005fffb,
    0x3e27fff9,0x540007ff,0xa8005fff,0xfe806fff,0xffa801ff,0x27fff46f,
    0x0bfff700,0x29ffd000,0x3e21fffa,0x3fff71ff,0xfaa7ffcc,0x3fe606ff,
    0x3ffff64f,0xffffffff,0xffffffff,0x3fe002ff,0xff9803ff,0x7fe4006f,
    0x7ffd404f,0x03fffcc5,0x4007fffc,0x0007fffa,0x006fffe8,0x81ffffcc,
    0x0005fffd,0x74bfffea,0xf9804fff,0x133103ff,0xb82fffc0,0x2a007fff,
    0x00006fff,0x0017fff4,0x001fffe8,0xdfff3000,0x17fff600,0x000bfff7,
    0x221ffff1,0x40007fff,0x8005fffa,0xe806fffa,0xfa801fff,0x3fff66ff,
    0x7ffdc005,0xffe80005,0x5c9fff14,0x3ffee6ff,0xe93ffe61,0xff302fff,
    0x4cccc49f,0x9999cfff,0x999fffc9,0x3fe00099,0xff9803ff,0x7fec006f,
    0x3ffe203f,0x3fffcc0f,0x007fffc0,0x002ffff4,0x07fffee0,0x3ffff600,
    0x07fffcc0,0x3fff6000,0x00efffce,0x704fff88,0x7ffc0dff,0x5ffff304,
    0x0ffff600,0xfffa8000,0x3ffa0006,0x3000001f,0xd980dfff,0x7dc0ffff,
    0xff0005ff,0x3ffe23ff,0x7fd40007,0xffa8005f,0xfffe806f,0x6fffa801,
    0x001dfff7,0x005fffb8,0x364fff80,0x8fffa6ff,0x3e61fffa,0x3ffee4ff,
    0x09fff306,0xf703fff8,0xff0000df,0xff3007ff,0xfff800df,0x3fff601f,
    0x07fff982,0x400ffff8,0x000ffffc,0x13fffe20,0x7fffcc00,0x027fff44,
    0x7fffc400,0x1002ffff,0x3fa09fff,0x9fff01ff,0x027fff40,0x001ffff8,
    0x0ffffa00,0x1fffe800,0xff300000,0xb99999ff,0x01dffffd,0x000bfff7,
    0x7c4bfffe,0x99999fff,0x09999999,0x333bffea,0xcccccccc,0x06fffdcc,
    0x801fffe8,0xff9efffa,0xfb8000ff,0xf80005ff,0x3ffe64ff,0x2a0fff89,
    0x3fe62fff,0x0ffffc4f,0x1027ffcc,0x3f205fff,0xff80006f,0xff9803ff,
    0x3fee006f,0xfff500ff,0x1fffe60b,0x103fffe0,0x7fffff73,0xfffe8000,
    0x7fe40006,0xffff30ff,0x3ee00001,0x005fffff,0x7c42fffc,0xff884fff,
    0x3ffee03f,0x6fffa807,0x3fea0000,0x7f40007f,0x000001ff,0xfffffff3,
    0x5fffffff,0x02fffdc0,0x13fffe80,0xffffffff,0xffffffff,0x7ffffd45,
    0xffffffff,0x6fffffff,0x01fffe80,0xffefffa8,0xf70001ff,0xf0000bff,
    0xcfff89ff,0x7fd45ffb,0x13ffe62f,0xf30bfff7,0x7fcc09ff,0x0bffb01f,
    0x7ffff000,0x0dfff300,0x0bfffe60,0x807fff44,0xf807fff9,0xffffffff,
    0x03ffffff,0x7fffdc00,0x7fc40001,0x7fffd4ff,0xffe80000,0x7c000fff,
    0xfffb85ff,0x3fff886f,0x07fffe60,0x007fff90,0x1ffff400,0x3fffa000,
    0xf3000001,0xffffffff,0x19ffffff,0x00bfff70,0x453fff60,0xffffffff,
    0xffffffff,0x3ffffea2,0xffffffff,0x6fffffff,0x01fffe80,0xffffffa8,
    0xf70002ff,0x88000bff,0x7fe43fff,0x7d42ffef,0x3ffe62ff,0x0ffffc44,
    0x9813ffe6,0xffd00fff,0xfff00009,0xfff3007f,0xfffd980d,0x3fff205f,
    0x1fffe603,0x3fffffe0,0xdfffffff,0x7fc40001,0x700004ff,0xfff5ffff,
    0xf900000d,0xd000dfff,0xfffd0dff,0xfff983ff,0x27fff402,0x007fffe0,
    0x7fffcc00,0x7ff40000,0x3000001f,0xffffffff,0xffffffff,0x5fffb85f,
    0x9fffd000,0x3fffffe2,0xffffffff,0x3ffea2ff,0xffffffff,0xffffffff,
    0xfffe806f,0xefffa801,0x000ffffd,0x005fffb8,0x21fffc40,0x87fffff9,
    0x3e63fff9,0xfffc84ff,0x027ffcc5,0x7fc0fff5,0xff80003f,0xff9803ff,
    0xecccccff,0x0ffffffe,0x80dfff30,0xf807fff9,0xffffffff,0x00001fff,
    0x000dfffb,0xfffffe80,0x400002ff,0x3ffffff8,0x237ff400,0x4ffffff8,
    0x200fffcc,0x2606fffb,0x00006fff,0x0013fff6,0x007fffa0,0x7ffcc000,
    0xffd73106,0x7fdc3fff,0xfff0005f,0x3fffe27f,0xaaaaaaab,0x3ea0aaaa,
    0xfa8005ff,0xffe806ff,0xfffa801f,0x06fffe8e,0x05fffb80,0x1fffc400,
    0x427ffff4,0x3e63fff9,0xfff884ff,0x13ffe60f,0x3e07ffb8,0xf80002ff,
    0xf9803fff,0xffffffff,0x0cffffff,0x007fffa0,0xf00ffff3,0xd7557fff,
    0x0005ffff,0x01ffffb8,0x7ffd4000,0x00005fff,0xffffffd8,0x3ff6000f,
    0x7eeffdc6,0x0fffcc7f,0x07fffe60,0x001fffe4,0x0ffff980,0xfffe8000,
    0x3dc98001,0x00dfff30,0xb9bfffea,0xf0005fff,0x3fe25fff,0x7d40007f,
    0xfa8005ff,0xffe806ff,0xfffa801f,0x0bffff36,0x05fffb80,0x1fffcc00,
    0x40ffffdc,0x3e64fff9,0xfffb04ff,0x027ffcc9,0x3e20dff9,0xf80002ff,
    0xf9803fff,0xffffffff,0x401effff,0x9803fffb,0xff807fff,0xfffc80ff,
    0xff10001f,0x000009ff,0x07fffffa,0xfff50000,0x00bfffff,0x3f63ffec,
    0x21fffabf,0xe800fffa,0xffd04fff,0x3600001f,0x00004fff,0x8003fffd,
    0x985ffffa,0x2e006fff,0xff72ffff,0xff3000bf,0x3ffe23ff,0x7fd40007,
    0xffa8005f,0xfffe806f,0x6fffa801,0x00ffffee,0x005fffb8,0x41fffcc0,
    0xf306fff8,0x7ffcc9ff,0x1ffff304,0x6653ffe6,0xcfffeccc,0xfffdcccc,
    0x000ccccd,0x401ffffc,0xfffffff9,0x801acdef,0x3006fff9,0xff00ffff,
    0x3ff201ff,0xffb0006f,0x400000df,0x004ffff9,0x7fffc400,0x03ffffac,
    0x7c4fff90,0x4fff88ff,0x2003ffea,0xf986fffb,0x300006ff,0x0001ffff,
    0x007fffa0,0xffffff88,0x037ffcc3,0x5d3fffe0,0xa8005fff,0xff10ffff,
    0xfa8000ff,0xfa8005ff,0xffe806ff,0xfffa801f,0x0ffffec6,0x05fffb80,
    0x17ffd400,0xf303ffd8,0x7ffcc9ff,0x4ffff604,0xfff4fff9,0xffffffff,
    0xffffffff,0x8001ffff,0x9803ffff,0x00006fff,0x5559fffd,0xf7555555,
    0x55555fff,0x100ffff8,0x8007ffff,0x001ffffb,0x7fff4000,0x7ec00001,
    0x3fff66ff,0xfffc800f,0x7f4dff70,0x01ffee7f,0x20ffffcc,0x0003fffb,
    0x009fffb0,0x0ffff400,0xfffff500,0x6fff98bf,0xafffec00,0x8005fffb,
    0x3e25fffd,0x540007ff,0xa8005fff,0xfe806fff,0xffa801ff,0x7fff446f,
    0xfffb800f,0x7fd40005,0x3e20002f,0x3ffe65ff,0x5fffe604,0xfff4fff9,
    0xffffffff,0xffffffff,0x8001ffff,0x9803ffff,0x00006fff,0xffffffff,
    0xffffffff,0xffffffff,0x007fffc1,0x001ffff7,0x013fffe2,0x3ffa0000,
    0x2a00001f,0x3e22ffff,0xfb805fff,0x47ffb0ff,0xff72fffb,0x7fff400f,
    0x007fffc4,0x7fffcc00,0x3fa00000,0x3e6001ff,0x4c4fffff,0x6c006fff,
    0xfff74fff,0xfff9800b,0x1fffe23f,0xbfff5000,0xdfff5000,0x03fffd00,
    0x30dfff50,0x700dffff,0x8000bfff,0x0002fffb,0xf997ffe2,0x7ff404ff,
    0x54fff9af,0x9fff5555,0xffb55555,0x0055555f,0x007ffff0,0x000dfff3,
    0x3fffffe0,0xffffffff,0xffffffff,0x3fffe0ff,0x3fffe200,0xdfffb003,
    0x3a000000,0x00001fff,0x90bffff1,0xa805ffff,0xfff89fff,0x657ffe21,
    0x3f2007ff,0x3ffe66ff,0xffb00006,0xe80000bf,0x74001fff,0x4c1fffff,
    0x74006fff,0xfff73fff,0xfffe800b,0x1fffe20f,0xbfff5000,0xdfff5000,
    0x03fffd00,0x20dfff50,0x404ffffb,0x0005fffb,0x0017ffdc,0x4cbfff10,
    0x7d404fff,0x4fff9eff,0x205fff10,0x00006ffc,0x3007ffff,0x0000dfff,
    0x3ffffffe,0xffffffff,0xffffffff,0x03fffe0f,0x00ffff90,0x003ffff5,
    0x3ffa0000,0xfb00001f,0x3fa01fff,0x3ea00fff,0x86ffaaff,0xffc8fffd,
    0x3ffe6006,0x07fff90f,0xffff3000,0xfe800003,0x74c001ff,0xff983fff,
    0x3fe2006f,0xbfff71ff,0x7fffdc00,0x03fffc43,0x17ffea00,0x1bffea00,
    0x007fffa0,0xd81bffea,0x2e02ffff,0x40005fff,0x0002fffb,0xf99bffe2,
    0xffe804ff,0x304fffbf,0x3f603fff,0xff00005f,0xff3007ff,0x260000df,
    0x99999999,0xffa99999,0x419999ff,0x4400ffff,0x2203ffff,0x0004ffff,
    0x3fffa000,0xffa80001,0x3fea04ff,0x3fe604ff,0xa84ffdaf,0x6ffcafff,
    0x9ffff400,0x0000fffe,0x005fffd8,0x1fffe800,0x20153000,0x2006fff9,
    0x3ee7fffe,0xfd8805ff,0xff886fff,0x7d40007f,0xfa8005ff,0xffe806ff,
    0xfffa801f,0x7ffff406,0x0bfff701,0x1fffc800,0x37ffc000,0x5009fff3,
    0x9fffffff,0x403ffe60,0x00004ffe,0x3007ffff,0x0000dfff,0xfff98000,
    0x0ffff807,0x07fffc80,0x001bfff6,0xfffd0000,0xfe880003,0xffd806ff,
    0xfff301ff,0xf103fff7,0x0bff9bff,0x9dfffc80,0x80006fff,0x001ffff9,
    0x1fffe800,0xff300000,0xffd500df,0x7ffdc5ff,0x3ffee605,0xff881fff,
    0x7d40007f,0xfa8005ff,0xffe806ff,0xfffa801f,0x7fffc406,0x5fffb80e,
    0x7ffe4000,0x7ffc0001,0x013ffe66,0x7ffffffc,0x40fff504,0x00003fff,
    0x3007ffff,0x0000dfff,0xfff98000,0x0ffff807,0x3ffff980,0x01ffffa8,
    0x7f400000,0x640001ff,0x8802ffff,0xf106ffff,0x40dffdff,0x4ffefffd,
    0x7fffcc00,0x0003fffc,0x005fffd8,0x3fffd000,0x3e600000,0xcccccfff,
    0xfffffeec,0x677ffdc3,0xffffedcc,0xf100efff,0xa8000fff,0xa8005fff,
    0x99996fff,0xbffff999,0x23999999,0xa806fffa,0xfb85ffff,0xccccceff,
    0x4ccccccc,0x0007fff6,0x7ccffff0,0xff7004ff,0x2e09ffff,0x3ffe07ff,
    0xddddb002,0xdffffddd,0x23dddddd,0x0006fff9,0x7fcc0000,0xffff807f,
    0xdfffb000,0xefffff88,0xeeeeeeee,0x04eeeeee,0x01fffe80,0x3fffe600,
    0x3fff2005,0xffff883f,0x3fea04ff,0x8004ffff,0xfffffffe,0x7fcc0000,
    0x000001ff,0x0003fffd,0x3fffe600,0xffffffff,0xfb83ffff,0xffffffff,
    0x0dffffff,0x01fffe20,0x0bfff500,0x2dfff500,0xffffffff,0xffffffff,
    0xdfff52ff,0x3ffff200,0x7ffffdc3,0xffffffff,0xffb0ffff,0xff80003f,
    0x13ffe67f,0x7ffffc40,0x0dff904f,0x400bffe2,0xfffffffe,0xffffffff,
    0xfff32fff,0x0000000d,0x807fff98,0x3000ffff,0x7d45ffff,0xffffffff,
    0xffffffff,0xe8005fff,0x20001fff,0x000ffffe,0x40fffff4,0x01ffffff,
    0x1ffffffc,0x7fffe400,0xd80006ff,0x00006fff,0x007fffa0,0x7ffcc000,
    0xffffffff,0xf700cfff,0xffffffff,0x0039ffff,0x000ffff1,0x005fffa8,
    0xff6fffa8,0xffffffff,0xffffffff,0x01bffea5,0x21ffffe8,0xfffffffb,
    0xffffffff,0x3fffb0ff,0x7fff8000,0x8013ffe6,0x04fffffc,0x3e60bffb,
    0xffd001ff,0xffffffff,0xffffffff,0x01bffe65,0xf3000000,0xfff00fff,
    0x7ff4001f,0x3fffea6f,0xffffffff,0xffffffff,0xfffe8005,0xfff90001,
    0xff50009f,0xffff0dff,0xfffb00df,0xf30007ff,0x007fffff,0x2ffff980,
    0x3fa00000,0x000001ff,0xfffffff3,0x00599ddf,0xfffffff7,0x800599dd,
    0x0007fff8,0x002fffd4,0xffb7ffd4,0xffffffff,0xffffffff,0x00dfff52,
    0x87ffffc4,0xfffffffb,0xffffffff,0x1fffd0ff,0xfffe8000,0x009fff30,
    0x27ffffc4,0xf504ffd8,0x3fa001ff,0xffffffff,0xffffffff,0x0dfff32f,
    0x98000000,0xff807fff,0x3ea000ff,0xfff52fff,0xffffffff,0xffffffff,
    0xffd000bf,0xff30003f,0x6c000dff,0x7f43ffff,0xfa804fff,0x0002ffff,
    0x01fffffd,0x6fffd800,0x7f400000,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00cccb80,0x22000280,0x15c00001,0x00000d88,
    0x88000000,0x1bcefeca,0x0def6544,0xeedca880,0x4002cdef,0x301cedb8,
    0x00037ddb,0x37bb2e62,0x2a6000bc,0x01acdfdc,0x76dd4400,0x64401acd,
    0x326003cc,0x32a602cc,0xbcdeefed,0x1ccccb81,0x66665400,0x88399911,
    0x02cdfedb,0x0000f332,0xcb873326,0xcccccccc,0x4ccccccc,0x22073322,
    0x00bceeca,0x00199993,0x5cb332e0,0x3bf660cc,0x84eed883,0x1001cccb,
    0x00199999,0xb0000000,0x54001fff,0xfb0001fe,0x3f600009,0x0f7f442f,
    0xeb800000,0xff90004f,0x3fffffff,0x3fffffa2,0x3ffae03f,0xffffffff,
    0xffb802ef,0x7e45ffff,0x003fffff,0x3fffff62,0x406fffff,0xffffffe9,
    0x8000dfff,0xfffffffc,0xff300dff,0x7fd400df,0xfffd884f,0xffffffff,
    0xeffff986,0xffff1000,0x517ffccb,0xffffffff,0x0ffff01b,0x5fff9000,
    0x7ffffff4,0xffffffff,0x3ffe67ff,0x7ffffe43,0xff881eff,0xf88004ff,
    0x3ffd1fff,0x93ffffee,0x0efffffa,0x200bfff6,0x01fffff8,0x01fffe80,
    0xfffd8000,0xdfff9000,0xdfff7000,0x3fa20001,0x3ffa1fff,0x000002ff,
    0x02ffffdc,0x7fffffc0,0xfeafffff,0x3fffffff,0xffffffd0,0xffffffff,
    0x7fffd407,0xff53ffff,0x05ffffff,0xffffff70,0x0fffffff,0x7fffffdc,
    0x3fffffff,0xffffd100,0xdfffffff,0x0dfff303,0x227ffd40,0xfffffffa,
    0x06ffffff,0x009ffff7,0x983ffff6,0xfffb3fff,0xdfffffff,0x001fffd0,
    0x21fffd80,0xfffffffe,0xffffffff,0x4fffe67f,0xffffffd8,0xfc81ffff,
    0xfb8006ff,0x27ffa6ff,0xfffffff9,0xffffff88,0x0bfff63f,0x3fffff10,
    0x3fffa000,0xfd800001,0xff3000ff,0x7c4009ff,0x30004fff,0x987ffffd,
    0x003ffffe,0x3fffa000,0x7fc000ff,0xffdbacdf,0xcadfffff,0xfe80ffff,
    0xdccdefff,0x81fffffe,0xecdffff9,0xefff9fff,0x207fffdb,0xffffffe8,
    0x7fffedce,0xdfffffb0,0xfffffb9b,0xfff9807f,0xfdcabdff,0x7cc1ffff,
    0x3ea006ff,0x3ffe64ff,0xccabcdff,0x3f606ffd,0x7dc02fff,0x7fcc2fff,
    0xdffffdbf,0x3fffffdc,0x000fffec,0xc83fffa0,0xeeeeeeee,0xffffeeee,
    0x22fffe67,0xecdefffe,0xf985ffff,0x74001fff,0x3ffa3fff,0xffdbffea,
    0xfccffd9f,0x3fff66ff,0x3fffa202,0x3fa0001f,0x800001ff,0x2000fffd,
    0x441ffffb,0x06fffd81,0xfffff500,0x3fffa205,0xd000005f,0x001fffff,
    0x3ff203e8,0x7fdc3fff,0x00bde83f,0x437fffdc,0x3e22fffc,0x5c6fffff,
    0xff902fff,0x64c05fff,0xdffffa87,0xfffff500,0x6ffff401,0xdfffd300,
    0x006fff98,0xfe93ffea,0x18800dff,0x3ffffa20,0x9ffff100,0xffffff30,
    0xffe8819f,0x17ffe47f,0x1fffe000,0xffff5000,0x76fffcc5,0xffb82fff,
    0xfffe81ff,0x3ffe6004,0x3f7ffa0f,0x3f3ffe1f,0xd9fff63f,0xfd102fff,
    0x80003fff,0x0001fffe,0x00fffd80,0x577ffec0,0xbceffffd,0x8000ffff,
    0x01effffb,0x0effffc8,0x7fe40000,0x800006ff,0xf06ffff9,0x80010dff,
    0x7c0ffffa,0xfffb85ff,0x5fff82ff,0x0dffff98,0xffff1000,0xfffd3009,
    0x17ffea0b,0x8bfffe20,0x2006fff9,0xff14fffa,0x980000ff,0xfd05ffff,
    0x3fe60dff,0x2203ffff,0x3ea1ffff,0x7c0003ff,0x220006ff,0x7cc4ffff,
    0x00efffff,0x2e13fff6,0x32007fff,0x7ff45fff,0x7ffec4ff,0x87ffe46f,
    0xe882fffd,0x0001ffff,0x001fffe8,0x0fffd800,0x7fffc400,0xffffffff,
    0x8002ffff,0x00dffffd,0x3bfffee0,0x7e400001,0x000000ef,0x3607ffff,
    0x80000fff,0x3ea1fffe,0xfff882ff,0x1fff907f,0x006fffe8,0x02fffe40,
    0x03ffff50,0x2003fffd,0x3e66fffb,0x3ea006ff,0xbfff54ff,0xff700000,
    0xfffb85ff,0xffff300f,0xfffb007f,0x827ffcc5,0xff103cc9,0x7f4000bf,
    0xfff986ff,0x7d400eff,0xfff885ff,0xffff002f,0x0ffffe85,0x20ffffec,
    0xffb1fffb,0xfffe885f,0xfd00001f,0x000003ff,0x0001fffb,0xfffffff3,
    0x9fffffff,0xfffe8800,0xff50004f,0x00005fff,0x80000010,0xf701fffe,
    0xb00003ff,0x7fe47fff,0xbffff00f,0xa87ffea0,0x0001ffff,0x00bfffe2,
    0xb89fffd0,0x7c004fff,0xfff30fff,0x7ffd400d,0x00ffff34,0x3fff6000,
    0x5ffff10f,0x27fffcc0,0x23fffc80,0xfb05fff8,0x3ffe60ff,0xfff90003,
    0xffff301f,0xfff3001d,0x17fff60d,0x21bffea0,0xfd83fffe,0xfffb85ff,
    0x445fffb1,0x001ffffe,0x07fffa00,0x3ff60000,0xffd0000f,0xff957dff,
    0x4c007fff,0x003ffffe,0x7ffff4c0,0x00000003,0x7ffe4000,0x03fff700,
    0x7fff9000,0xfb03ffec,0x3fea0bff,0x17fff21f,0xdfff3000,0xbfff7000,
    0x002fffd8,0xf98ffff4,0x3ea006ff,0x3fffe4ff,0x4400000d,0xffd5ffff,
    0xfff9809f,0x3ffee006,0xf837ffc4,0xffa82fff,0xffa8002f,0xfff301ff,
    0x3fe2003f,0xffff507f,0x3fffd801,0xc80fffe8,0xffb81fff,0x25fffb1f,
    0x01ffffe8,0x7fff4000,0x5554c001,0xffeaaaaa,0xaaaaaabf,0xffffa82a,
    0x7fffe883,0xfffff500,0x3a200003,0x0004ffff,0x20000000,0x3ea07ffc,
    0xc80002ff,0x3ffa3fff,0x13fff606,0xfb17ffcc,0xa80007ff,0x98004fff,
    0x7ff46fff,0x7fec001f,0x0dfff32f,0xb27ffd40,0x019fffff,0x7ffcc000,
    0x806fffef,0x2006fff9,0x7f44fffa,0xffffa87f,0x01fffb85,0x1ffffcc0,
    0x00dfff30,0x3a02aaa8,0x3e203fff,0xffe80fff,0x20fff906,0xffb1fffb,
    0xffffd15f,0xfd000003,0xfc8003ff,0xffffffff,0xffffffff,0xffe87fff,
    0x3ffe204f,0x7ffdc03f,0x800000ef,0x00dffffc,0x20000000,0xffeedca9,
    0xeeeeeeff,0x2203fffe,0xeeeedcba,0x3a3ffffe,0x3ff206ff,0xeeeeeeff,
    0x3ffe3fff,0x7dc0001f,0xf88003ff,0x7fffc7ff,0xcccccccc,0xfffecccc,
    0x00dfff33,0xd127ffd4,0x7dffffff,0xff700001,0x001fffff,0x400dfff3,
    0x7ec4fffa,0x7ffe40ff,0x7ffe40ff,0x3ffa2000,0x7ffcc05f,0xf7000006,
    0x7fdc0dff,0x0dffd05f,0x7dc1fff2,0x5fffb1ff,0x003ffffd,0x99999990,
    0x9bffff99,0x39999999,0x7fffffe4,0xffffffff,0x47ffffff,0x400ffff8,
    0x3204fffc,0x0005ffff,0x7fffdc00,0xccccc81e,0xcccccccc,0xcccccccc,
    0xfffea81c,0xffffffff,0xffffffff,0xfffc883f,0xffffffff,0x3ffe3fff,
    0x3ffff206,0xffffffff,0x1ffff13f,0xfffd8000,0xffff0002,0x3ffffe21,
    0xffffffff,0x4fffffff,0x400dfff3,0x6c44fffa,0xffffffff,0x360000ad,
    0x002fffff,0x400dfff3,0x7e44fffa,0x7fffc1ff,0x3ffec2ff,0x3bfff600,
    0x37ffcc00,0xff880000,0xfffd01ff,0x41bffa05,0xff707ffc,0x3bfff63f,
    0x0003ffff,0xffffffff,0xffffffff,0x45ffffff,0xfffffffc,0xffffffff,
    0x547fffff,0xfa806fff,0xffd885ff,0x000004ff,0x5fffff50,0xfffffff8,
    0xffffffff,0x2fffffff,0x7fffffdc,0xffffffff,0xffffffff,0x7ffffdc3,
    0xffffffff,0x3ffe3fff,0x3ffff205,0xffffffff,0x0ffff33f,0x5fffd000,
    0x3fffe000,0xffffff30,0xffffffff,0x29ffffff,0x2006fff9,0xd504fffa,
    0xffffffff,0x3ee0005f,0x26006fff,0x2a006fff,0x7fd44fff,0x37bfea2f,
    0x37ff45ff,0x3ffff700,0x0dfff300,0x7fec0000,0x7fff984f,0x641bffa0,
    0xfff707ff,0x36bfff63,0x8002ffff,0xffffffff,0xffffffff,0x02ffffff,
    0x007ffec0,0x017ffee0,0x2a1bffe6,0x001fffff,0x3ff60000,0x7fffc5ff,
    0xffffffff,0xffffffff,0x3ffe62ff,0xfd999bdf,0x999999ff,0x3ea09999,
    0x9abdffff,0xfffc9999,0xc81bffe3,0x9999cfff,0xf1099999,0x80001fff,
    0x8003fffd,0x3e27fff8,0xcccccfff,0xcccccccc,0xfff32ccc,0x7ffd400d,
    0x7ff64c04,0x005fffff,0x7fffffcc,0xdfff3005,0x27ffd400,0xfc8fffe6,
    0x20fffacf,0xf3005fff,0x26007fff,0x00006fff,0x21fffea0,0x3a04fffc,
    0xfff906ff,0x6c7ffee0,0xfffb2fff,0xfff8003f,0xffffffff,0xffffffff,
    0x6c002fff,0x64000fff,0xf9804fff,0xfff307ff,0x000005ff,0x4ffffd88,
    0xfffffff8,0xffffffff,0x2fffffff,0x6413fff6,0xf88007ff,0xc800dfff,
    0x3ffe3fff,0x13fff206,0x07fffe00,0x9fff7000,0xdfff3000,0x000ffff8,
    0x0dfff300,0x027ffd40,0xfffff930,0x3fe2007f,0x03ffffff,0x006fff98,
    0xf113ffea,0x4fffc9ff,0x3fe3fff8,0xfff8804f,0x3fe6004f,0x4000006f,
    0x7f42ffff,0x3ffa01ff,0x20fff906,0xffb1fffb,0x3fffa25f,0x7400001f,
    0x00001fff,0x000fffd8,0x402fffdc,0x2206fff9,0x003ffffe,0xfffd1000,
    0x0000007f,0x807fffc0,0x4000fffc,0x000ffffa,0x7f47fff9,0x3fff606f,
    0xfffe8005,0x7fd40002,0xffa8005f,0x0ffff45f,0xfff98000,0x3ffea006,
    0xfff70004,0x3ff600ff,0x1ffffbef,0x037ffcc0,0xf09fff50,0x9bfe6bff,
    0xfff16ffd,0xdfffd005,0x6fff9800,0x7e400000,0x3ffe65ff,0x837ff406,
    0xff707ffc,0x8bfff63f,0x00fffff8,0x3fffa000,0xfd800001,0x7d4000ff,
    0xffb806ff,0x7fec405f,0x400005ff,0x01fffff9,0x22000000,0x3f206fff,
    0x7e4001ff,0x3f2004ff,0x1fff63ff,0x006fffe8,0x005fffd8,0x07fffcc0,
    0x13fff600,0x0007fffb,0x01fffe20,0x004fffd8,0x07fffea0,0x21ffff90,
    0x200ffffd,0x2006fff9,0xfe84fffa,0x549ff96f,0xfff98fff,0x7fffe401,
    0x7ffcc000,0x44000006,0xffb0ffff,0x6ffe805f,0x2e0fff90,0xfffb1fff,
    0xeffff985,0xffd00000,0xb000003f,0x98001fff,0x6c00ffff,0xf9004fff,
    0x0001dfff,0x1dffff70,0x80000000,0x3604fff9,0x74003fff,0x36003fff,
    0x3ff63fff,0xfffff01f,0xfffb8001,0x3e20001f,0x22003fff,0x7dc1ffff,
    0x00000fff,0x3200ffff,0x0004ffff,0x5017fffc,0x7c47ffff,0x3e606fff,
    0x3ea006ff,0x7ffd84ff,0x7fc43fff,0x00fffabf,0x00bfffea,0x01bffe60,
    0x3ff60000,0x00ffff2f,0x3f20dffd,0x3fff707f,0x2a0bfff6,0x000effff,
    0x01fffe80,0xfffd8000,0x7ffc4000,0x3ffe603f,0x3fee001f,0x20001eff,
    0x00dffffc,0x88000000,0xff705fff,0xfd800dff,0xfe9804ff,0x3fee3fff,
    0xffff983f,0x7fc4003f,0x640006ff,0xb000ffff,0xff109fff,0x200009ff,
    0x5c02ffff,0x004fffff,0x80ffffc0,0xa85ffff8,0xf304ffff,0x7d400dff,
    0xfffc84ff,0xffd86ffa,0x2207ffbe,0x0004ffff,0x000dfff3,0xbfff5000,
    0xd009fff5,0x3ff20dff,0x23fff707,0xf702fffd,0x0000dfff,0x0003fffd,
    0x01fffb00,0x5ffff900,0x0bffff30,0xfffff500,0xffd88005,0x400004ff,
    0xf8002cc9,0xfffa87ff,0x32003fff,0x2e00ffff,0x23ffffff,0xfd86fff8,
    0x000fffff,0x177fffd4,0x3fe21c40,0x7ec01eff,0xff700fff,0x800019ff,
    0x3206fffd,0x14ffffff,0xffff7000,0x07ffff40,0x82ffffc8,0x2006fff9,
    0xfb84fffa,0xa84ffdff,0x06ffefff,0x0017fffa,0x006fff98,0xffff0000,
    0xd003fffb,0x3ff20dff,0x23fff707,0x3202fffd,0x0005ffff,0x000ffff4,
    0x07ffec00,0x7fffc400,0xfffdbbdf,0xd30001ff,0x2007ffff,0x03ffffe9,
    0x7ffcc000,0x7ff4003f,0xfffb88cf,0x21bffffc,0x3fea3b98,0xd730aeff,
    0x7fffffff,0x88dfffd8,0xfffcfffc,0x4da988be,0xbfffffb0,0xfb753357,
    0xfffff70f,0xfd751159,0xfe807fff,0x41abffff,0x542dca98,0x88aeffff,
    0xffcfffea,0x357bfb4f,0x3f6a6213,0xff903fff,0x7f4405ff,0x7fcc1fff,
    0x3fea006f,0xffff984f,0xfff881ff,0xffb05fff,0x555557ff,0x55555555,
    0x001bffe6,0x7ffe4000,0xfd006fff,0x1fff20df,0xfd8fffdc,0x7fec02ff,
    0x3a0005ff,0x00001fff,0x000fffd8,0xffffff98,0xffffffff,0x3f620004,
    0x7d405fff,0x0002ffff,0x7ffffd80,0x7fffdc00,0xf73fffff,0xffffffff,
    0xffffd89f,0xffffffff,0x543fff9d,0xffffffff,0xfffffb3f,0x220bffff,
    0xfffffffe,0x07ffffff,0xfffffff9,0x7fffffff,0xffffd300,0xffffffff,
    0xffd05fff,0xffffffff,0x29fff19f,0xfffffffd,0xffffffff,0x9ffff505,
    0xdffff300,0x037ffcc1,0x109fff50,0x40ffffff,0x84fffffd,0xfffffff8,
    0xffffffff,0xfff36fff,0x2000000d,0x3ffffff9,0x20dffd00,0xff707ffc,
    0x0bfff63f,0x13ffffa0,0x0ffff400,0x00000000,0x7fffff44,0xffffffff,
    0x640002ff,0xb80effff,0x001effff,0xffffd000,0xffe8001f,0x6c4fffff,
    0xffffffff,0x7fff444f,0x2fffffff,0xf507fff1,0x4dffffff,0xffffffe8,
    0x7fd405ff,0xffffffff,0x3fea07ff,0xffffffff,0x7e4001ef,0xffffffff,
    0x982fffff,0xfffffffe,0x53ffe3ff,0xfffffffd,0x3fffffff,0x1dffff30,
    0x3fffee00,0x01bffe65,0xf04fffa8,0x5409ffff,0x882fffff,0xffffffff,
    0xffffffff,0xdfff36ff,0x74000000,0x000fffff,0x3f20dffd,0x3fff707f,
    0x200bfff6,0x03ffffe8,0x01fffe80,0x80000000,0xfdbdfffd,0xffbbefff,
    0x5c0001ff,0x321effff,0x000dffff,0x3fff6000,0xff90007f,0xd7107bff,
    0x3bffffff,0x3ffffee0,0x3fe20cef,0xfffd503f,0xfec8819f,0x802dffff,
    0xffffedc8,0x4401beff,0xffffffec,0x930000bd,0xfffffffd,0x64017bff,
    0x1dffffff,0xfdba7ffc,0xffffffff,0xfd100cef,0xe8003fff,0xff33ffff,
    0x7fd400df,0xffffd04f,0xfffff803,0xfffff881,0xffffffff,0xf36fffff,
    0x00000dff,0x27fffdc0,0x20dffd00,0xff707ffc,0x0bfff63f,0x7ffffc40,
    0x6665c003,0x00000000,0x07fffdc0,0x3fffa062,0xffa80006,0x27ffd45f,
    0x74400000,0x20002fff,0x51000a98,0x4c400355,0x2200001a,0x35510019,
    0x9a980001,0x554c0001,0x31000000,0x00013355,0x00013551,0x2aaaa662,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaaaaa0,0xaaaaaaaa,0x30aaaaaa,0x4007ffff,0x004ffff9,
    0xf505e980,0x80000007,0x000000aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffd0,0xffffffff,0x323fffff,
    0xb8006fff,0x0000efff,0x00004008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffff400,0xffffffff,
    0x1fffffff,0x40007faa,0x000004fe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffe,
    0xffffffff,0x0281ffff,0x00002600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66666644,0x8003cccc,0x3cefeca8,
    0xfeeca880,0x80002cee,0x200000a9,0x44000998,0x009abaaa,0x88000000,
    0x00009ab9,0x00005553,0x00018000,0x02ae6001,0x00035300,0x801332e0,
    0xcccccccb,0xcccccccc,0x3330cccc,0x33331033,0x33333221,0xcccccccc,
    0x03cccccc,0x33331000,0x4cccc403,0x7db30001,0x101f6cc0,0x00015975,
    0x77776c00,0x1eeeeeee,0x02004cc4,0x6666665c,0x0ccccccc,0xbbbbbbbb,
    0xbbbbbbbb,0xbbbbbbbb,0x7c4003bb,0xffffffff,0x7fd4006f,0x1effffff,
    0x3fffffe0,0x000effff,0x3ffffb26,0x540002df,0xff1006ff,0xbfffffff,
    0x033e2003,0x3ee019b0,0x0cffffff,0xdfffb300,0xa801d500,0x03fb002e,
    0x6401fc80,0x5c01ffff,0x2efffffe,0xffff3000,0x3fffa005,0xffffffff,
    0xffffffff,0x81ffffd1,0xf31ffffd,0xffffffff,0xffffffff,0x30000bff,
    0x407fffff,0x04ffffe9,0x17fffc40,0x41ffffc4,0xcffffffb,0x02aaa800,
    0xfffffff8,0x2a2fffff,0x6c42ffff,0x7fec1eff,0xffffffff,0xffff0fff,
    0xffffffff,0xffffffff,0x05ffffff,0x7ffffc40,0x006fffff,0x3ffffff2,
    0xf02fffff,0xffffffff,0x3ee00bff,0xffffffff,0xf50000df,0x3fe200bf,
    0xffffffff,0xfffc801f,0x45fff702,0xffffffe9,0x2600ffff,0x06fffffd,
    0xe81bffa2,0x7ec00fff,0xff9001ff,0x3ffe603f,0xffd307ff,0xbfffffff,
    0xfffe8001,0xffe800ff,0xffffffff,0xffffffff,0x1ffffd1f,0x31ffffd8,
    0xffffffff,0xffffffff,0x8000bfff,0x01fffff9,0x4ffffd88,0x3fffea00,
    0x6ffffa85,0x7fffffe4,0x7fc01eff,0xffff805f,0xffffffff,0xffffff32,
    0x7fffff43,0x3fffff61,0xffffffff,0xfffffff0,0xffffffff,0xffffffff,
    0x44005fff,0xfeeeeeee,0xff3006ff,0xfd7359ff,0x5bf01dff,0x7fff5cc3,
    0x3fffa202,0xffb730ac,0xff30005f,0x3ffe200b,0xfffffeee,0x37ffcc06,
    0x20ffff88,0xfffffffd,0xd986ffff,0x6fffffff,0x81fffec0,0x2605fffb,
    0x401fffff,0x502ffffb,0x87ffffff,0xeefffff8,0x005fffff,0x3fffffea,
    0xeeeed804,0xeeeeeeee,0x1eeeeeee,0xd81ffffb,0xff30ffff,0xffffffff,
    0xffffffff,0x7cc000bf,0x4000dfff,0x004ffffb,0x309ffff3,0x7ccbffff,
    0xffffffff,0x3ffe01ff,0x99999804,0x09999999,0x9ffffff9,0x3fffffea,
    0x3fffff66,0xffffffff,0x99999990,0x99999999,0x99999999,0x00003999,
    0x401bffe6,0xfb02fffe,0xf70009ff,0x7ff407ff,0x7ffdc00d,0x3fe60301,
    0x00a88304,0x401ffff9,0xfd01fffe,0xcfe885ff,0xfffea88a,0x3fffee1f,
    0x406fffff,0xd01ffff8,0x7cc05fff,0xf701ffff,0x7cc07fff,0x6c4fffff,
    0x7d40dfff,0xfd002fff,0x03fff95f,0x36000000,0xffc87fff,0x300000ff,
    0x2000bfff,0x003ffff9,0x13fffa60,0x8077fe40,0x3f60effc,0xffb8aeff,
    0xff981fff,0x2000003f,0x6ffffffe,0xfffffff9,0x44444444,0x00888888,
    0x00000000,0x1bffe600,0x817ffea0,0x8006fff8,0xf905fff8,0x37bbb27f,
    0x21bfe61b,0x7fc40ef8,0x4003fc84,0xf900ffff,0x3fee09ff,0x2203305f,
    0x3e22ffff,0xfff9bfff,0x6fff9806,0x01dfff30,0x0fffffcc,0x00ffffee,
    0x9bfffff6,0x2604fffa,0xfb806fff,0x0dfff16f,0x36000000,0xffc87fff,
    0x300000ff,0x3000bfff,0x0003ffff,0x09fffb10,0x06200660,0xf30dfff1,
    0x7547ffff,0x00001fff,0x3fffff60,0xfffff75f,0x000000ff,0x00000000,
    0x037ffcc0,0x200fffdc,0x33007ffe,0x30bfff33,0x7ffecbff,0x3fee5fff,
    0x11fffec4,0x7ff4c7ff,0xfff1000f,0x3fffe60d,0x0efff980,0x7fffd000,
    0x3fe23fd8,0xfff9006f,0x13fff209,0x3fffff30,0x00ffffee,0x37ffffc4,
    0xd801fff9,0x3e200fff,0x3ffea2ff,0x80000002,0xfb86fffc,0x200007ff,
    0x8005fff9,0x0000cccb,0x00e665c0,0x3fe60000,0xffff303f,0xbffffdff,
    0xf9800000,0xf31fffff,0x009fffff,0x00000000,0x7cc00000,0xffc806ff,
    0x7ffec00f,0xffffc980,0xd85fffff,0x277f60ff,0x3f61ffd9,0x3fffee0f,
    0x3f25ff0e,0x8801efff,0xfd03fffd,0x3ffa05ff,0x3fa0001f,0x7c4042ff,
    0x3fa006ff,0xfffd01ff,0xffff9803,0x03ffffcf,0x27fffdc0,0xf700fffb,
    0x7fe403ff,0x00fffe85,0x7e400000,0xfffb86ff,0x3e600007,0x000005ff,
    0x00000000,0x2fffa800,0x3ffffa20,0x001fffff,0xfffb8000,0x7fffdc3f,
    0x00000005,0x00000000,0x4037ffcc,0xfc807ffd,0x7ffec0ff,0xffffffff,
    0x7ec5ff85,0xfa8bfe24,0x7ffe442f,0xffecffbf,0x3bb202ef,0x703ffffe,
    0x3f20bfff,0x2a0003ff,0x8800ffff,0x26006fff,0xff306fff,0xfff300df,
    0x007fffff,0x47ffff50,0xfb806fff,0xfff302ff,0x09fff303,0x2aaaaaaa,
    0xaaaaaaaa,0xf70aaaaa,0xfff50bff,0x7cc0000d,0x000005ff,0x00000000,
    0x1ccc9800,0x7fffec40,0x00001eff,0x402aa200,0x00002cb9,0x00000000,
    0xfff98000,0x0fffc806,0x323ffec0,0x99abffff,0x7c45fff9,0xf527ec3f,
    0x81ffc41f,0xffffffc8,0xfd802eff,0x80dfffff,0x980ffff8,0x20006fff,
    0x004ffffa,0x800dfff1,0xf904fffb,0xff3007ff,0x0007ffff,0xe87fffea,
    0xffb806ff,0x0bffb00f,0x740fffec,0xffffffff,0xffffffff,0xfff71fff,
    0x0dfff50b,0x7ffcc000,0x00000005,0x00000000,0x3b260000,0x00000bde,
    0x00000000,0x00000000,0xf9800000,0xffb806ff,0x37ffc02f,0x7c03fffe,
    0x17fd45ff,0x3ff6fbf6,0x4405ff84,0x01effffc,0x3fffff60,0x7fdc4fff,
    0x7fff905f,0x3ffea000,0xff1000ef,0xff8800df,0xdfff507f,0x3ffff200,
    0xffb0001f,0x0fffd8bf,0xa83ffec0,0x3e200fff,0xfffe86ff,0xffffffff,
    0xffffffff,0x309fff51,0x0000bfff,0x002fffcc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff980000,0xfffa806f,0x93ffee06,
    0xf104fff9,0x1ffb8bff,0x0fffffec,0x75406fe8,0x00cfffff,0xfd755310,
    0xffe89fff,0xfffe881f,0x7ffe4000,0x3e2000ef,0x7ec006ff,0xfffd02ff,
    0xffff9003,0xd8003fff,0x7dc0ffff,0x3fea04ff,0x09ffd05f,0xe85fff70,
    0xffffffff,0xffffffff,0xddd31fff,0x09ddd107,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,0x3fffa00d,
    0x0ffffa84,0x2a1bffe2,0x7cc5ffff,0x75f7ec2f,0x209ff06f,0xffffffeb,
    0x0000cfff,0xf98ffff9,0xfff306ff,0x3ff6200d,0x44000dff,0x2e006fff,
    0xff904fff,0xfff9009f,0x03ffffff,0x3fff2a62,0xfff882ff,0x7ffdc0df,
    0x0fffb80f,0x01fffd00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0xff5006ff,0xffdbbfff,
    0xffff05ff,0xffffb77b,0x44ff88bf,0x87ff34fd,0x7fdc3ff9,0xbaff8dff,
    0x000cffff,0x207fffcc,0xf904fffc,0xff9809ff,0x10003fff,0x2600dfff,
    0xf980efff,0x7dc00fff,0xfff9afff,0xfffa81ff,0x2a02efff,0xfeffffff,
    0xf882ffff,0x3ea003ff,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01bffe60,0xffffffc8,
    0xf703ffff,0x9fffffff,0xdfd0bffb,0x1bf64fd8,0x7ff43ff7,0x44ffe2ff,
    0x001ffffe,0x741ffff2,0xffd01fff,0x3ffee03f,0x220001ff,0xfd006fff,
    0x3ffa03ff,0x7ffdc02f,0x3fffe63f,0x7fffd41f,0xfff7004f,0x5fffffff,
    0x003fff20,0x003fffd0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe60000,0x7f4c006f,0x01efffff,
    0x7fffffe4,0xf90bff72,0xf327ec5f,0x71ffe25f,0x7fc41bff,0x8037fdc3,
    0x05ffffa8,0x260dfff5,0x7ec0efff,0xaaabffff,0x2621aaaa,0xefffa999,
    0x7e409999,0xfff704ff,0xffffb80b,0xfffff983,0x02af7aa1,0xfffd9100,
    0x554019df,0xaa88001a,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000dfff3,0x0026eea2,
    0x440aba88,0xffe88099,0x6fe89fb0,0x2e885ffb,0xe884ff98,0x37bbbf21,
    0x1fffffff,0x40ffff60,0x3e65fffb,0xffffffff,0x365fffff,0xffffffff,
    0x264fffff,0xff106fff,0x7fdc01ff,0x3fe603ff,0x00001fff,0x00013310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6fff9800,0x00000000,0x3bfe6000,0x5d4c1a98,
    0x4c005ffc,0xff9004ff,0xffffffff,0xfff8803f,0x5fffd01f,0x3fffffe6,
    0xffffffff,0x3fffff65,0xffffffff,0x03fffd14,0x880ffff6,0x9803ffff,
    0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x006fff98,0x00000000,
    0x01fffe40,0x001dffd1,0x9005ffa8,0xffffffff,0x3ea0017f,0x9ff300df,
    0x3ffffe61,0xffffffff,0x3ffff65f,0xffffffff,0x813fea4f,0xfa806ffb,
    0x3fe6003f,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff300000,0x999700df,
    0x99999999,0x665c9999,0xcccccccc,0x2e04cccc,0xcbbdffff,0x000dfffe,
    0x1005ffa8,0x35599975,0x20072000,0x9999981a,0x99999999,0x26666209,
    0x99999999,0xb8803809,0x00075001,0x00000093,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa80000,0xfffbaaaa,0x2aaaaaaf,0xfffffffb,0xffffffff,0x3fffff61,
    0xffffffff,0x3f6200ff,0xffffffff,0x3baa0002,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffc0,
    0xffffffff,0xffb6ffff,0xffffffff,0x361fffff,0xffffffff,0x0fffffff,
    0xdfecb980,0x000000ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffffe,0xffffffff,0x99976fff,
    0x99999999,0x665c9999,0xcccccccc,0x0004cccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,
    0xffffffff,0xffffffff,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_48_latin_ext_x[560]={ 0,10,6,1,2,0,1,10,7,6,3,1,5,6,
9,2,2,3,3,3,1,4,2,2,2,2,9,5,3,3,4,7,0,0,3,2,2,4,4,1,2,4,4,3,
5,1,2,1,3,1,3,2,2,2,0,1,0,0,2,8,3,6,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,10,2,2,2,1,
11,3,0,0,5,3,2,6,2,0,4,2,5,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
0,0,0,0,0,3,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,4,4,0,4,2,2,0,0,3,4,4,0,0,5,
4,-6,-4,4,2,1,4,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,4,0,0,2,1,0,-5,2,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-2,0,-3,-2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__consolas_48_latin_ext_y[560]={ 35,1,1,4,-1,1,2,1,0,0,1,10,27,20,
27,1,3,4,3,3,4,4,4,4,3,3,11,11,9,16,9,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,1,1,4,41,1,11,1,11,1,11,1,11,1,1,
1,1,1,11,11,11,11,11,11,11,3,11,11,11,11,11,11,1,-4,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,35,11,-1,3,5,4,
-4,1,2,3,4,12,20,20,1,3,1,6,1,1,1,11,1,17,35,1,4,12,1,1,1,11,-4,-4,-4,-5,
-4,-6,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-5,-4,-4,-4,-5,-4,12,-1,-4,-4,-4,-4,-4,4,1,1,1,
1,1,2,-1,11,11,1,1,1,2,1,1,1,2,1,1,1,1,1,1,2,9,6,1,1,1,2,1,1,2,
-3,3,-5,1,4,11,-4,1,-4,1,-5,1,-4,1,-4,0,4,1,-3,3,-5,1,-5,1,4,11,-4,1,-4,1,
-5,1,-5,1,3,0,-4,-6,4,1,-5,1,-3,3,-5,1,4,1,-5,11,4,1,-4,1,4,1,11,-4,-6,4,
1,0,0,4,1,4,1,-4,1,4,11,-4,1,-2,4,11,-3,3,-5,1,-4,1,4,11,-4,1,4,11,-4,1,
-4,1,-4,1,3,11,-4,1,4,3,-4,0,4,3,-5,1,-3,3,-5,1,-6,-1,-4,1,4,11,-4,1,-4,1,
-4,-4,1,-5,1,-4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-11,-7,-4,1,-4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,11,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_48_latin_ext_w[560]={ 0,7,15,25,22,26,26,6,14,14,20,24,12,15,
8,21,23,21,21,21,25,19,22,22,22,22,8,13,19,21,20,15,27,27,21,22,23,19,19,23,22,19,17,22,
19,25,22,25,21,26,22,22,23,22,27,25,26,27,22,12,21,13,22,27,16,20,21,20,21,22,25,23,20,19,
18,21,19,23,20,23,21,21,21,19,22,20,24,26,24,24,20,19,5,18,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,20,22,23,25,
5,21,21,27,17,20,21,15,22,20,18,22,16,15,23,23,22,9,6,16,17,21,26,26,26,16,27,27,27,27,
27,27,28,22,23,23,23,23,23,23,23,23,25,24,26,26,26,26,26,20,25,24,24,24,24,27,21,21,23,23,
23,23,23,23,26,20,24,24,24,24,23,23,23,23,22,23,25,25,25,25,25,24,23,23,23,23,23,25,21,25,
27,23,27,23,27,21,23,24,23,23,23,23,23,22,26,30,25,25,23,24,23,24,23,24,20,22,23,24,23,25,
23,25,23,25,23,25,24,23,26,23,23,23,23,23,23,23,20,21,23,19,22,22,21,21,22,21,21,24,23,19,
19,30,30,23,28,23,19,24,23,22,20,24,23,24,22,20,26,25,26,25,27,26,26,26,26,25,22,21,26,25,
24,23,24,23,22,19,24,23,23,22,25,30,23,22,24,23,24,23,24,23,24,23,27,26,22,21,26,26,27,25,
27,24,23,24,23,24,23,19,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,27,23,28,26,29,27,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,22,19,23,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_48_latin_ext_h[560]={ 0,35,12,31,42,35,34,12,45,45,21,24,17,5,
9,40,33,31,32,33,31,32,32,31,33,32,25,33,27,13,27,35,44,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,41,31,33,31,32,31,31,31,31,31,44,40,44,16,4,11,25,35,25,35,25,34,34,34,34,
44,34,34,24,24,25,34,34,24,25,33,25,24,24,24,34,24,44,49,44,10,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,0,34,42,32,29,31,
49,40,10,33,23,20,11,5,22,9,17,29,20,20,11,34,40,9,7,20,23,20,34,34,34,34,39,39,39,40,
39,41,31,39,39,39,39,39,39,39,39,39,31,40,40,40,40,41,40,20,42,40,40,40,40,39,31,35,35,35,
35,35,34,37,25,31,35,35,35,34,34,34,34,33,35,34,35,35,35,35,34,26,35,35,35,35,34,44,44,43,
38,33,40,35,41,34,40,35,40,35,41,35,40,35,39,36,31,35,38,33,40,35,40,35,41,34,39,35,40,44,
41,44,41,44,42,45,39,41,31,34,40,34,38,32,40,34,41,44,40,24,32,44,40,44,41,44,24,39,41,41,
44,35,35,31,34,31,34,39,34,41,34,39,34,37,41,34,39,33,41,35,40,35,32,25,39,34,41,34,39,34,
40,35,40,35,39,31,40,35,41,42,39,36,31,33,41,35,39,33,41,35,42,37,40,35,41,34,39,34,39,44,
39,39,34,40,34,39,34,34,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,40,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,46,43,39,35,45,40,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,42,34,41,42,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31, };
static unsigned short stb__consolas_48_latin_ext_s[560]={ 509,501,292,202,149,105,191,505,97,112,80,
485,215,458,439,100,108,228,93,72,272,490,142,453,179,70,500,94,48,270,68,
1,249,478,1,132,23,458,47,155,67,90,472,110,133,153,179,202,250,241,298,
282,476,24,425,399,372,344,321,429,53,277,247,474,354,141,234,189,163,234,483,
459,379,136,442,114,1,439,323,210,254,276,392,278,354,257,414,344,298,1,371,
461,1,291,393,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,509,400,172,
47,24,432,7,368,371,254,39,117,308,458,57,418,228,1,138,101,330,408,268,
448,501,155,21,172,352,325,298,493,158,28,459,240,102,96,327,155,204,78,236,
288,134,487,228,252,382,122,147,174,201,165,355,194,99,462,1,330,256,276,230,
460,227,203,179,251,42,464,114,185,357,301,138,44,286,310,242,424,132,218,79,
53,27,1,69,89,454,430,406,382,95,333,127,1,339,330,406,185,438,406,281,
87,438,488,316,281,390,482,312,32,356,112,391,305,344,209,487,256,466,334,110,
305,29,149,1,197,48,223,125,41,359,72,252,119,459,143,367,448,382,167,144,
175,414,1,1,310,483,407,25,385,463,130,391,124,481,429,398,279,357,303,428,
409,448,192,472,56,66,415,487,21,209,228,364,275,291,478,115,162,26,180,415,
206,332,228,319,326,215,350,186,165,305,374,340,51,178,1,206,401,268,155,53,
377,216,63,74,440,228,330,293,50,1,432,260,359,304,384,90,75,26,434,156,
266,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,434,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,13,27,81,17,67,1,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,193,386,340,51,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408, };
static unsigned short stb__consolas_48_latin_ext_t[560]={ 1,1,533,471,51,296,332,137,1,1,533,
503,533,533,533,137,403,471,438,403,471,403,438,471,403,438,471,403,503,533,503,
332,1,438,471,403,471,438,471,403,471,471,403,471,471,471,471,403,471,51,471,
403,471,438,471,471,471,471,471,1,137,1,533,533,533,503,259,503,259,503,368,
368,368,368,1,368,368,503,503,503,368,368,503,503,403,503,503,503,503,403,503,
1,1,1,533,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,1,368,51,
438,503,438,1,95,533,403,533,533,533,533,533,533,533,503,533,533,533,368,95,
533,37,533,533,533,368,368,368,332,219,219,178,95,178,95,438,178,178,178,219,
219,219,178,178,178,438,137,137,137,137,95,137,533,51,95,178,137,137,178,438,
296,296,296,296,296,368,219,503,438,259,296,259,332,332,332,332,403,296,332,296,
296,296,296,332,503,259,259,259,259,332,1,1,51,219,403,137,259,51,332,137,
259,95,219,51,259,95,296,219,259,438,259,219,403,95,259,95,259,51,332,219,
259,137,1,95,1,95,1,51,1,178,95,438,332,137,332,219,403,137,332,95,
1,95,533,438,1,137,1,95,1,503,178,51,95,1,296,296,438,332,438,332,
178,332,95,332,219,368,219,51,368,219,403,51,296,95,259,438,503,178,368,51,
368,178,368,95,296,95,296,219,438,137,296,51,51,178,259,438,403,51,296,178,
403,51,259,51,219,137,259,51,403,219,368,219,1,178,178,368,137,403,178,368,
332,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,137,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,1,51,219,332,1,137,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,51,332,51,51,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438, };
static unsigned short stb__consolas_48_latin_ext_a[560]={ 422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_48_latin_ext(stb_fontchar font[STB_FONT_consolas_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_48_latin_ext_s[i] + stb__consolas_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_48_latin_ext_t[i] + stb__consolas_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_48_latin_ext_x[i];
            font[i].y0 = stb__consolas_48_latin_ext_y[i];
            font[i].x1 = stb__consolas_48_latin_ext_x[i] + stb__consolas_48_latin_ext_w[i];
            font[i].y1 = stb__consolas_48_latin_ext_y[i] + stb__consolas_48_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_48_latin_ext_s[i] + stb__consolas_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_48_latin_ext_t[i] + stb__consolas_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_48_latin_ext_x[i] + stb__consolas_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_48_latin_ext_y[i] + stb__consolas_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_48_latin_ext_LINE_SPACING
#endif

