// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT        194
#define STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_26_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_26_latin_ext_LINE_SPACING          17

static unsigned int stb__consolas_bold_26_latin_ext_pixels[]={
    0x3ba67dd3,0x00035913,0x00026660,0x00530039,0x00999880,0x8819ddb0,
    0x42cccccc,0x0110001c,0x015d4c00,0x80800e64,0x0054c000,0x09999995,
    0x15102a60,0xdff30660,0x7fdc0000,0x5ffa803f,0x7d400000,0x88017f26,
    0x3fea0009,0xeff98005,0x3e200000,0x7fec007f,0xcb80ffff,0x0199900c,
    0x00266620,0x99984ccc,0x204fc800,0x260042b9,0x01cdeedc,0x01544353,
    0x82a886a6,0xcccccccc,0xff98cccc,0x3e69ff34,0x20002fff,0x2001effd,
    0x3ee00ffd,0xff30005f,0xffd1009f,0x3fffe207,0x07ff24ff,0xdfffea80,
    0xfffd1000,0x01ffa807,0x3bee5fd8,0x0fffa800,0xffffff90,0x21fff300,
    0xffc86ff9,0x001bfe64,0x00fffdc0,0x027fffd4,0x1002db98,0x07ffbbff,
    0xa8027e40,0x2004ffff,0x00effff9,0x88077fe4,0x7ec007ff,0xe80fffff,
    0x1fff01ff,0x1dffd100,0x329ffb00,0xfd800eff,0x5dfffd03,0xffb107f5,
    0x20bfffff,0x5fd99efb,0x6ccf7dc0,0xfffff85f,0x9fffffff,0x9ff34ff9,
    0x07ffffa6,0x4d3ff600,0x77fec02a,0x03fff600,0x05fff300,0x88077b20,
    0x24ffffff,0xd801fffc,0x0effffff,0x2ffffe80,0x4c03fec0,0x7ffd0fff,
    0x03fff900,0x1ffffff2,0x64bffee0,0x7ff41fff,0x001bfe67,0x0037fee0,
    0x3fe6ffe6,0x02ffd804,0x17fffee0,0x3007fd00,0x09ff37ff,0xfd19fd10,
    0x7defdc0b,0x00fff105,0xfffbaa98,0xf01ffe80,0xfe8801ff,0x5ffb003f,
    0xe800fff6,0xfdffa82f,0xfd83ffff,0x5ffeefff,0xfffffd10,0xfffe8803,
    0xffff81ff,0xffffffff,0xff34ff99,0x00bff909,0x3fa2cca8,0x07ffee04,
    0x000dff70,0x2a001997,0x7fc403dd,0x037ff405,0x2a233ff2,0x7fd406ff,
    0x5ff8800e,0x7e4dfd00,0xfffa801f,0x00ffd000,0x3ea3fff3,0x2ffec0ff,
    0x8000dff3,0x2a002aa8,0x002aa62a,0x98005ffb,0x731002bb,0x540139ff,
    0x002aa62a,0x0d544553,0x20fd0fc8,0x40007ff8,0xffe80fff,0x801fff01,
    0x93001ccb,0x00732a39,0x42e03ff0,0xfa83eec8,0x201882ff,0x001deec8,
    0x003bdd91,0x7cc17fee,0x209ff34f,0x880006ff,0xfff301ff,0x002ea005,
    0x20059930,0x205fdefc,0x7c405ff8,0x7ff504ff,0x6401ff50,0x266001ff,
    0x98131000,0x0072a000,0x93007fe8,0x7700ba83,0x0046ff98,0x04400000,
    0x00bff600,0x32200220,0x6fffffff,0x00000000,0x05fcdfb8,0x8000fff1,
    0xffe80fff,0x001fff01,0x00001cc8,0x6ffee540,0xffb80002,0x00000006,
    0x2ffdc000,0xff34ff98,0x001ff609,0x1ffbb6e6,0x2004ffe8,0x7fcc0008,
    0x27e804ff,0x17fe207e,0x207ffea0,0x13fe05ff,0x2000ffd8,0x00000008,
    0x0ffd0000,0xf3000000,0x37ffb2bf,0x502f7540,0x3f220bdd,0x2eeeefff,
    0xdfffddd3,0x9105dddd,0xddddffff,0x7fffff45,0x77546fff,0x217baa05,
    0xeeeeeeee,0x37fee00e,0xb0fff100,0xfff80bdd,0xf01ffe80,0x7d4001ff,
    0x00ccb80f,0xfd301999,0x5c9fffff,0x199900cc,0x4007ffee,0x99900ccb,
    0x33b6e601,0x5ffb800b,0x3e69ff30,0x00ffb04f,0xffffffc8,0x06ff980f,
    0xeffffc88,0x5fb02eee,0x9fb00fd1,0x7fc40df9,0x89ff9005,0x3f201ffa,
    0x201ff606,0xeeffffc8,0x0bdd52ee,0x3b22f754,0x000eeeee,0xeeee8ffd,
    0xd30eeeee,0x47dd50bd,0xfffeeff9,0x3fe20eff,0x07ffb01f,0xfffffff1,
    0x3fe67fff,0xffffffff,0x7fffc42f,0x73ffffff,0x1df77fff,0x1fff8875,
    0xff07ffb0,0x3fffffff,0xcc80665c,0xc8fff10c,0x7fc00fff,0x01ffe80f,
    0x26001fff,0x3ffd06fd,0xf103ffe0,0x9fffffff,0xff80fff4,0x9ffff30f,
    0x01ffe801,0xff901fff,0x803dffff,0xff305ffb,0x6c13fe69,0x3ff6007f,
    0x86fffeff,0x7c403ffc,0xffffffff,0x361fd03f,0x7764400f,0x17fe200c,
    0x3a3ffcc0,0xdddfd36f,0x3fec0ff7,0x3ffffe20,0xf13fffff,0x3ff603ff,
    0x7ffffec3,0x8ffd000f,0xffffffff,0x70dff31f,0x7ffcc9ff,0x3fffccff,
    0x7c427fec,0xbffd80ff,0x0adffd98,0xbfff9991,0xfd839999,0xdffd98bf,
    0x2e9ffb0a,0x27fec05f,0x6407ffc4,0xfffccccc,0x7c07ffa1,0x4fff10ff,
    0xf801fffb,0x1ffe80ff,0x6401fff0,0xd04ffffe,0x3ffe03ff,0x5d77fec0,
    0x3ffa18df,0x6c1fff01,0x02efffff,0x3fe03ffd,0x7fffec0f,0x201fffff,
    0xff305ffb,0x6413fe69,0xff9801ff,0xbffff72f,0x6c02fff8,0xffd98bff,
    0xbdf700ad,0x999100df,0x2ffc4039,0x225fff00,0xffff9bff,0x3a07fadf,
    0x5ffec07f,0x0adffd98,0x3e213ff6,0x666540ff,0xfd000fff,0xcccccc8f,
    0xdff31fff,0x7cc9ff70,0x3fee0eff,0x5c3ffd47,0x8dff05ff,0x7ec07ff8,
    0x46ff802f,0x7fec7ff8,0xfa807fb5,0x05ffb87f,0xfd0fffc0,0x43ffe03f,
    0xfff57ff8,0x03ffe005,0x7fc07ffa,0xfffe980f,0xfe82ffff,0x41fff01f,
    0x9f91fff9,0x3e03ffd0,0x7ffe40ff,0x7f41efff,0x41fff01f,0xf30bfff9,
    0x7fdc0bff,0x269ff305,0x7ff504ff,0x6c7ffb00,0xf30fffef,0x6ff801ff,
    0x6403ffc4,0xfa800dff,0x3e204fff,0x3ff6005f,0xffb3ff34,0x1ff59ff5,
    0xf80dff10,0x43ffc46f,0xffb87ffa,0x00fff805,0x3e00ffd0,0x0dff31ff,
    0x7fcc9ff7,0x07ffc41f,0xffd0bffe,0xd0bff105,0x2ffd80ff,0x742ffc40,
    0x77ffdc7f,0xfff802ff,0x0017ff42,0xffe87ffe,0x221fff01,0x3fff8fff,
    0x203ffe00,0xfff01ffe,0xd7dffd01,0xfe85ffff,0x41fff01f,0x0ff67ffa,
    0x7fc07ffa,0xfffc980f,0x3ffa0fff,0x6c1fff01,0xfff984ff,0x20bff700,
    0x9ff33ee9,0x2fbffe20,0x10fff880,0x25ffb5ff,0x7c406ffa,0x007fe85f,
    0x7fe40011,0x3fe207ff,0x57fee005,0xf4ff8ffb,0x541ff39f,0x2203fffc,
    0x07fe85ff,0xffe85fff,0x00fff802,0x3e00ffd0,0x0dff31ff,0x7fcc9ff7,
    0xc83fff06,0x1bfe65ff,0x3e20fff8,0x17fec06f,0xf107ffc0,0xfffe88df,
    0x7e402dff,0x01bfe65f,0xfe87ffe0,0x21fff01f,0x4ffefff8,0x407ffc00,
    0xfff01ffe,0xf16ffb81,0xfe8bffdf,0x41fff01f,0x07fa5ffb,0x7fc07ffa,
    0x7ff5400f,0x407ffa4f,0xfff10fff,0x40fffa03,0x26005ffb,0x7fe404ff,
    0x26ff982f,0x3ffb8ffa,0xff009ff7,0x837fc41f,0xefffffc9,0x7ffffc02,
    0x0bff101f,0xfcb7fcc0,0xff8aff9e,0x3fe0ffab,0xfff802ef,0x641bfe20,
    0x1bfe65ff,0x8007ffc0,0xfff007fe,0x2e1bfe63,0x1bfe64ff,0x3e217ff4,
    0x07ff90ff,0x75df7fe4,0x7fec03ff,0xbeffc802,0xd883ffeb,0x1effffff,
    0x321fff10,0xff8003ff,0x407ffa1f,0xfff10fff,0xf8007fff,0x1ffe80ff,
    0xffb0fff0,0x3fe3fea5,0xf80fff47,0x9bfee0ff,0x1ffe80ff,0x1001fff0,
    0x7ff4dffd,0x261fff01,0x3ff207ff,0x00bff704,0xfb027fcc,0xff505fff,
    0xffbafecb,0x9009ff74,0xffd77dff,0x3ffff207,0xf304ffff,0x207ffbbf,
    0x22005ff8,0xf5bfb6ff,0xf55ff33f,0x0dffff8f,0x5df7fe40,0xff103ffe,
    0x00fff21f,0xe8007ffc,0x3fff007f,0x3ee1bfe6,0x41bfe64f,0xffd80fff,
    0x5401fff3,0x4fffffff,0x802ffd80,0xfffffffa,0x7ffecc04,0xffb01fff,
    0x0003ffe7,0xffe87ffe,0x221fff01,0x2fff9fff,0x203ffe00,0xff882ffd,
    0xfb0ffe85,0xfe83ff6b,0x41fff01f,0x7f88fffa,0x3e03ffd0,0xff7000ff,
    0xf80fff4d,0x0dff50ff,0xfb82ffe4,0x3fe6005f,0x01bff504,0x7ff2ffdc,
    0x7fd57fea,0xffffa806,0x37204fff,0xfffc99ab,0xfabffb81,0x0bff106f,
    0xfeaffd40,0xff98ffac,0xfc887fb9,0x7ffd404f,0x6c04ffff,0x01fff3ff,
    0x4003ffe0,0xfff007fe,0x2e1bfe63,0x1bfe64ff,0x7d41ffe6,0x205ffadf,
    0xbccbdff8,0x05ffb000,0xccbdff88,0xbdf7000b,0x3ea0bfff,0x005ffadf,
    0x7f43fff0,0x21fff01f,0xfff97ff8,0x03ffe003,0x3ee17ff2,0xf17ff83f,
    0xe8bff65f,0x1fff01ff,0x7df7ffc4,0x0fff4316,0x0130fff8,0xffd27ff4,
    0x5c3ffe03,0x3fee05ff,0x00bff705,0xfc827fcc,0xaffd400f,0xbff50ffa,
    0xf101ffe6,0x017997bf,0x417fec00,0xfff88ffe,0x005ff880,0x67f53ff2,
    0x9ffa8ffa,0x1bfe05fc,0xccbdff88,0xdffa800b,0x3e005ffa,0xffd000ff,
    0x4c7ffe00,0x4ffb86ff,0x3f61bfe6,0x37ffe05f,0x3fea02ff,0x3ff60002,
    0x017fd404,0x3f29f900,0x37ffe07f,0xff0002ff,0x80fff43f,0xfff10fff,
    0x40077ff4,0xff980fff,0xfffbaadf,0xff57fe81,0xfe87ff61,0x81fff01f,
    0xeffffffb,0x407ffa5f,0x9dfb0fff,0x3ffff979,0xff80fff4,0x40dff70f,
    0xff705ffb,0x4cb3220b,0x0ffb04ff,0x3f2bff30,0x7c53fee6,0x3fea01ff,
    0x7e400002,0xd37fc43f,0xbff105ff,0xd9fff400,0xfe9ffadf,0x3603ff9f,
    0x0bfea07f,0xfdfff800,0x3ffe002f,0x00ffd000,0x7fcc7ffe,0x264ffb86,
    0xfda9afff,0x3ff200ff,0x7fd407ff,0x00aaabcf,0x99bfffb8,0x33ffea1a,
    0xd800aaab,0x40fff53f,0x007ffffc,0xfe87ffe0,0x21fff01f,0x3fe27ff8,
    0x5d55445f,0x22aabfff,0xfffffffc,0xb3ffb04f,0xd07ffcbf,0x3ffe03ff,
    0xfffffc80,0x07ffa5ff,0xffd87ffc,0x3fffffff,0xff80fff4,0x40dff50f,
    0xff704ffc,0x4d3fe60b,0x0ffb04ff,0x3fefff10,0xfe8bff23,0x3ffea03f,
    0x800aaabc,0xffffeeca,0xf927fd43,0x0bff10bf,0xfd87ffc0,0xffffff8d,
    0x3f600fff,0x33ffea07,0xc800aaab,0x2207ffff,0xbfffbaaa,0x1ffa02aa,
    0xf98fffc0,0x24ffb86f,0xfffffff9,0x7fcc02ff,0xffd804ff,0x0dffffff,
    0x3ffffe20,0x7ffec2ff,0x20dfffff,0x7ecbfa1a,0x3ffe605f,0x3fe0004f,
    0x407ffa1f,0xfff10fff,0x224fffa8,0xffffffff,0x7ff5c6ff,0x3ee02eff,
    0xff72ffdf,0xf01ffe8d,0x3f2601ff,0x3fa1ceff,0x21fff01f,0xffffffeb,
    0x01ffe81d,0x3fe61fff,0x05ffb00f,0x7cc17fee,0x209ff34f,0xfff007fd,
    0x7ffc3ff7,0xb017fee1,0xffffffff,0xffff301b,0xd87fffff,0x1ffe62ff,
    0x4c017fe2,0x65bf25ff,0x1fffadff,0x3603fec0,0xffffffff,0x3ffe600d,
    0x3ffe204f,0x6fffffff,0x7c01ffa0,0x0dff31ff,0x7fcc9ff7,0x00dfffff,
    0x001fffd0,0xffdddff9,0xfe980dff,0x7e42ffff,0xffffeeef,0x3ffbffa6,
    0x401ffffe,0x0000fffe,0xffe87ffe,0x221fff01,0xfffc87ff,0xffffff12,
    0x220dffff,0xff8805ff,0xfffcafff,0x4417fec1,0x2fe807ff,0xf105ffb0,
    0x133310ff,0x882ffd80,0x3ffe27ff,0x01fff882,0x4d3fe600,0x0ffb04ff,
    0x9bffff60,0x7fc45ffc,0x3bff202f,0x46ffffee,0x99adfff8,0x3ffc3ffd,
    0x3e20fffc,0xffe8805f,0x0cc3fee2,0x1ff60053,0xfdddff90,0xfe80dfff,
    0x3fe200ff,0xffffffff,0x401ffa06,0xdff31fff,0x7cc7ff70,0x800098ef,
    0xfc804ffe,0x1fff984f,0xc8199880,0xfff984ff,0xffffffd1,0xfd005fff,
    0x7c40009f,0x417fec7f,0x00007ff8,0x1ff90000,0x3fffe600,0xfc83ffff,
    0x05ffb85f,0xff901ff8,0x40bff70b,0x3f202cc8,0x45ffb85f,0x7ec0effc,
    0x0b32205f,0xff9a7fcc,0x200ffd04,0xdbdfffe8,0xffb81fff,0x84ffc81f,
    0x3ea1fff9,0x23ffc86f,0xeeeefff9,0x7fc44fff,0x45ffd805,0x80003ff9,
    0xff900ffc,0x03fff309,0x00027ff4,0xfe80bfea,0x07ff8807,0xf98fff20,
    0x3ee0006f,0xfff800ff,0x403ffd00,0x3fe02cc8,0x23ffd00f,0xdefffdca,
    0x1fff7003,0x37fdc000,0x3ee17ff2,0x0b32205f,0x20099700,0x7d4006ff,
    0x301effff,0xf755bfff,0xff8803ff,0x5bfff300,0x403fff75,0x3e602ffa,
    0xffbaadff,0x7fffc41f,0x01fffecd,0x7cc0bfea,0x109ff34f,0x7cc00dff,
    0x3fffffff,0xf03bffa0,0x3ffa01ff,0xf317ff21,0x7ffe47ff,0x6fffffff,
    0x2e02ffc4,0xefe80fff,0x7fdc0000,0x201fff03,0xff701ffe,0x7c40001f,
    0x03ff404f,0xd0037fdc,0x37fcc5ff,0xff955100,0x3ffa005f,0x03ffdc0d,
    0xfe80bfea,0x3ffdc0df,0xa8805fb8,0x002fffca,0xff9335b7,0xdfff987f,
    0x01fffbaa,0xd000bfea,0x3ffa00df,0x3ff7005f,0x3fff2003,0x804fffff,
    0x7fe407f9,0x04ffffff,0x7e403fe4,0x4fffffff,0xffffff50,0x7fc807ff,
    0x7cd3fe60,0xffd7514f,0xfffc8007,0x7c401dff,0x6fff45ff,0x2a3ffdc0,
    0xffb9bfff,0x3bffa3ff,0xfffeeeee,0x2abbfe20,0x0fffe61a,0x710f7fd4,
    0x3ffe600d,0x37ffa1ac,0x513ffdc0,0x005fff95,0x4c3ffa80,0x2e7feaaa,
    0xfffc99ad,0xf9335103,0x37fcc1ff,0xfffff300,0x7ffdc009,0x1ffffeff,
    0x2e03fe40,0xffefffff,0x09f901ff,0x9fffff30,0x7fffdc00,0xff906fff,
    0x09ffffff,0x44007fc8,0xfd3003ff,0x13fa00bf,0x3fffea00,0xdf5002ef,
    0xfffff500,0x0bfd005d,0x3ffffea0,0x7fecc02e,0xfe801dff,0x4d3fe605,
    0xffff34ff,0x39fd000d,0xfff98003,0x3ffffee1,0x441ffffe,0xdfffffff,
    0x0dff13ff,0xff11fff4,0x7f49ffff,0x7ffe403f,0x2007ffff,0x2e3ffffc,
    0xffefffff,0x3ffe61ff,0x980004ff,0xff92efff,0x7fdcffff,0x206fffff,
    0x3ffffff8,0x30037fcc,0x0003dfff,0xffffffd5,0x0bfd0019,0xfffffd50,
    0x1fec019f,0x0f7ffcc0,0x3fffea00,0x7fd403ff,0xe802efff,0x7fcc005f,
    0x80044001,0x40001ee8,0x09880019,0x2000cc00,0x19800099,0x80033000,
    0x3fe60099,0x3e69ff34,0xf98003ef,0x3e60001f,0xffffea83,0xfd300cff,
    0x7ff15dff,0xfc813fee,0x3fffe25f,0x00fe64ff,0x77ffff5c,0x7f6d4003,
    0x7ffff543,0x7fcc0cff,0x200001ef,0xff91fffc,0x7fd4ffff,0x4403ffff,
    0x003fffff,0x0004d400,0x004ccc40,0x88002660,0x31000999,0x0026a001,
    0x00133300,0x99800330,0x00cc4000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fcd3fe6,0x3aa00004,0x40080005,0x20009998,0x7fec0198,
    0x01ffea01,0x4c400040,0x40000009,0x54009998,0x20000009,0x26660000,
    0x06a62000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff34ff98,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x00026609,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00cccc00,
    0x00266200,0x04cc4133,0x01333100,0x033104cc,0x30001330,0x81530013,
    0x9988002a,0x00000009,0x5c400aa6,0x33332603,0x2a000abc,0x01bdeecb,
    0x500cccc0,0x800d4c15,0x99800099,0x42666000,0x99950999,0x23999999,
    0xcc983cc9,0x540a981c,0x99988002,0x70059930,0x332a0999,0x004cc400,
    0x00006666,0x66640771,0x1ccccccc,0x41333100,0xca80cccb,0x9999100c,
    0x01330003,0x8010ae60,0x02662099,0x7fd4bff7,0xfd10004f,0x7fd401df,
    0x2005ff9b,0x6404fff9,0x03ffbaff,0x007fffa2,0x00ffff44,0x7fdcdff1,
    0x3ffe6003,0x077fe404,0x013fa000,0xfa827fec,0xdfffffff,0x3fff6200,
    0x2007ffff,0x3201effd,0x03fe99df,0x00ffff44,0x01fffe88,0xff94ffd8,
    0x3ffff21d,0xf52fffff,0x0bffd0df,0x7fdcdff1,0x3ffe6003,0x009ff70d,
    0xf905fffd,0x7ff4403f,0x3ffea00e,0x3ff60004,0xfffff884,0x802fffff,
    0x7f44fff9,0x1ffc83ff,0x09ffff50,0x01fffd80,0x5577fff4,0x2ffea03f,
    0xffb85ff9,0x027ff445,0x3fb7fe60,0x3ffea00e,0x3fe6004f,0xfff9002f,
    0x77f4407f,0x74401ffd,0x501ffdef,0x27fecfff,0x02fff980,0x02fdefdc,
    0x003ff100,0x7d41bffe,0xffffffff,0xfffff305,0x200fffff,0x4c00dffd,
    0x00ffffff,0x3ff7bfa2,0x6f7f4401,0x3ff601ff,0xfc87ffb2,0xffffffff,
    0xfc8dff52,0x7ffa80ff,0x4c013ff6,0x7fdc2fff,0x6fffe804,0xf301ffc8,
    0x401dfdbf,0x0004ffe8,0xff10dfff,0xffffffff,0x2fff9805,0xc87fffe8,
    0xfff901ff,0x7fec00ff,0xff501ffe,0x07fffffb,0x04ffffa8,0x32e0bff5,
    0x8f32001c,0x665403cb,0x33322003,0x1665c000,0x65c332e0,0x4332e00c,
    0x7fb00ccb,0x4400f7cc,0xfc800ccc,0x5cc00fd0,0x2007feed,0xff502ffb,
    0x3fff6a2b,0x0bfffe81,0x32a016a2,0x3b66002c,0x665c00ce,0x5c019970,
    0x019970cc,0x332a3993,0x803ffc81,0x3fe66ffa,0x98ff602f,0xed8801ef,
    0x04ffb80d,0x42ffffe8,0x79901ffc,0x65c01e5c,0xffb8001c,0x05ffb802,
    0x40333220,0x642ffffe,0xffff01ff,0xbd9003ff,0x5c037b21,0x007dd910,
    0xfa80f32a,0x0000004f,0x00000000,0x00000000,0x00000000,0x337ee000,
    0xfff9005f,0x4001ffff,0x17fea008,0xfb85fff1,0x000001ff,0x00000000,
    0x40000000,0xfa803ffc,0x013ffa6f,0x5c000000,0xffe804ff,0x0ffe46ff,
    0x00000000,0x3ee00110,0xe800005f,0x7e46ffff,0xddff981f,0x000003ff,
    0x30000000,0x0332e9ff,0x51006664,0x2039bdd9,0x1cdeedc9,0xcc80665c,
    0x3b2a200c,0x332e1cde,0x20199900,0x1cdeedc9,0x2f3b6e60,0xeedc9800,
    0x7fdc01cd,0xfffd800d,0x806fffef,0x1bdeecba,0x3fa17fea,0x027ff42f,
    0x3bb2a200,0x65d401cd,0x2601bdee,0x200bcedb,0xccccccca,0x9db7301c,
    0x0fff2017,0x7e5bfea0,0x0332e06f,0x3f606664,0xb80fffff,0xffe804ff,
    0x3ff23ffd,0x3bb2ea01,0x36e601bd,0x51000bce,0x2039bdd9,0x73005ffb,
    0xfd0179db,0x7e45ffbf,0xabffb81f,0x3fe606ff,0xdb730006,0x332e0179,
    0x30cca80c,0x07ffa7ff,0xfb807ffc,0x45ffffff,0xffffffd8,0x80fff45f,
    0xff700fff,0x74bfffff,0x1fff01ff,0xfffffd88,0xfff905ff,0x2203dfff,
    0xfffffffd,0x33332205,0x97ffcc01,0x105ffffb,0xfffffffb,0x262ffd4f,
    0x7ffc1fff,0x3fee0001,0x105fffff,0xfffffffb,0x3ffff20f,0xffb01eff,
    0x07ffffff,0xdffffff9,0x007ff903,0xfff3dff5,0x80fff403,0x7fec0fff,
    0xfb80ffff,0x9ffe804f,0x07ff26ff,0x3fffff62,0xfff907ff,0xb803dfff,
    0x5fffffff,0x900bff70,0x3dffffff,0x5ffaffe8,0x3fa07ff2,0x00fff88f,
    0x9000dff3,0x3dffffff,0x907fffd0,0x46aa23ff,0xfff01ffe,0xfffffb01,
    0xffd8bfff,0x45ffeeff,0xfff01ffe,0xfffffb01,0x7ff4bfff,0xd81fff01,
    0xffeeffff,0xfffffd85,0xfd81ffff,0x5ffeefff,0x13fffea0,0x7ec7ffb0,
    0x7cc0fffe,0xffffffff,0x2abbfea7,0x7c45fffb,0x3332e0ff,0xfffd80cc,
    0x985fffff,0xffffffff,0xffffd87f,0xd81fffff,0xffffffff,0x7ffffec3,
    0x7e41ffff,0x6eeeeeef,0x3ffbbfea,0x80fff403,0x554c0fff,0xfb80fffb,
    0xb7fe804f,0x07ff27ff,0xfffffff3,0xfffb0fff,0x03ffffff,0x3ffffff6,
    0xbff705ff,0xfffffd80,0x3fa1ffff,0x3f23ffd7,0xd37fc41f,0x3fe605ff,
    0x7ffec006,0x41ffffff,0xfc87fffe,0x07ffa01f,0x3ee07ffc,0x8ee21dff,
    0x1882fffa,0xff80fff4,0x6fffdc0f,0xffe8ee21,0x541fff01,0x41882fff,
    0xf30bfff9,0xfffa8bff,0x3f201882,0x3e207fff,0xb5ff10ff,0xfffe85ff,
    0xfa96a20b,0x3fffffff,0x7ec7ffa8,0x7dc0ffff,0x0ee21dff,0x882ffffa,
    0x5fffcc5a,0x00bfff30,0xff31ffe4,0x3ffe617f,0x7ffffe45,0x3fea7fff,
    0x7400ffff,0x1fff01ff,0xb80fff80,0x7fe804ff,0x3ff2dff3,0x05ffff41,
    0xfff98b51,0x0bfff30b,0x443bfff7,0x0bff703b,0x985fffcc,0x5ffa5fff,
    0x3ff95ffa,0x3f24ffa8,0x0dff305f,0x85fffcc0,0x7f45fff9,0x7fe42fff,
    0x407ffa01,0x3fe20fff,0xdff7004f,0x80fff400,0x3fe20fff,0x3ffd004f,
    0xfb83ffe0,0x3ff6006f,0x20fff984,0xf0006ffb,0x203fffff,0x3fea6ff9,
    0x3ee3ffb8,0xff5001ff,0x207fffff,0x7fec7ffa,0x3fe20fff,0x3fee004f,
    0x3ff6001f,0x00fff984,0x7ec7ff90,0x0fff984f,0x3bbbbff2,0x3bfea6ee,
    0x7f405ffe,0x01fff01f,0xfb80fff8,0x27fe804f,0x1ffcbffd,0x8007ffee,
    0xff984ffd,0x13ffe20f,0x817fee00,0xff984ffd,0x7fcffd0f,0x6c1ffc8f,
    0x1ffe62ff,0x80637fcc,0xff984ffd,0x3ffffa0f,0xd00ffe46,0x3ffe03ff,
    0x003ffee0,0x800fffdc,0xfff01ffe,0x007ffdc1,0xff01ffe8,0x0fffdc1f,
    0x80fffc40,0x3fee3ffe,0x7fcc001f,0xf503ffdd,0xfbafecbf,0x013ffa4f,
    0xfb9effa8,0xfff882ff,0x5c1fff00,0x3a000fff,0x3e2004ff,0x7ffd01ff,
    0x44fff200,0xffd01fff,0x401ffe47,0xfff9effa,0x407ffa02,0x7fc00fff,
    0x04ffb80f,0x3fe67fe8,0x3fa1ffdf,0x3fe2004f,0x47ffd01f,0x8000fffb,
    0xff105ffb,0x4fffa03f,0x33fee7fe,0x3ffc1ffc,0x7cc0fffc,0xdfffc8df,
    0x407ffe20,0x3ffa3ffe,0x3ff22ffd,0x407ffa01,0x3ff20fff,0x3ffe6005,
    0x7ff400cf,0x641fff01,0x3fa005ff,0x41fff01f,0x00cffff9,0xfc81ffe6,
    0x3fffe64f,0x7ff7000c,0x3ee0dff5,0x7d4ffe5f,0x007ffe5f,0x3ee5ffa8,
    0x1fff80ff,0x7e41fff0,0x7ffc005f,0x1ffe6001,0x9004ffc8,0x1ffe67ff,
    0x3f24ffc8,0x6ffa803f,0x3a01fff9,0x1fff01ff,0xb80fff80,0x7fe804ff,
    0x0fffffec,0x4c003fff,0x3ff207ff,0x0017ff24,0xf982ffdc,0x53ff207f,
    0x3ffe27fe,0x3fe61ffd,0xfffeeeef,0xfeeff984,0x3e65ffff,0x93ff207f,
    0x25ffaffe,0x3fa01ffc,0x41fff01f,0x6c004ffd,0x02efffff,0x3fe03ffd,
    0x013ff60f,0xff01ffe8,0xffffd81f,0x6ffa82ef,0xfb17ff20,0x805dffff,
    0xfff88ffe,0xf55ffa80,0x457fea1f,0x332e0fff,0xbff50ccc,0xfe83fff8,
    0x41fff05f,0x22004ffd,0x332e0fff,0xdff50ccc,0x802ffe40,0xdff53ffc,
    0xf92ffe40,0xdff5007f,0x7417ffe2,0x1fff01ff,0xb80fff80,0x7fe804ff,
    0x8fffffcc,0x32e0fff8,0xff50cccc,0xb2ffe40d,0x2e0009ff,0xdff505ff,
    0xfeaffe40,0x7ffffe47,0x3fffff21,0x986fffff,0xfdcfffff,0x0dff51ff,
    0xffd2ffe4,0x7fe47ffa,0x407ffa01,0x3ffa0fff,0xfffc8003,0x7f41efff,
    0x41fff01f,0x3a003ffe,0x1fff01ff,0xffffff90,0x02ffdc3d,0xff90bff7,
    0x103dffff,0x17ff4dff,0x6fcaffcc,0x7fd53fee,0x7ffffec7,0xfb8bff50,
    0x4fffa87f,0x3fa0fff8,0x3fea003f,0x7ffffec7,0x5c0bff70,0xff9005ff,
    0xb817fee7,0x0fff25ff,0xfa9bfea0,0x1ffe82ff,0xf801fff0,0x4ffb80ff,
    0xfd87fe80,0xfff51fff,0x0fffffd8,0x7dc0bff7,0x00fffa5f,0xb82ffdc0,
    0x3fee05ff,0xff98ffd5,0x3ffa1fff,0xffeeeeee,0x77ffcc0f,0x7dcfffa0,
    0x97fee05f,0x2bff57fe,0x3fa01ffc,0x41fff01f,0x30003ffe,0x1ffffff9,
    0xff80fff4,0x00fffa0f,0xff01ffe8,0x3ff2601f,0xff70ffff,0x82ffdc0d,
    0xffffffc9,0xf927fd40,0x2fff10bf,0x4bff23ff,0x7fec7ffa,0xbff50fff,
    0xd83fff88,0xfccdefff,0x0fffa0ff,0x6c7ffa80,0xf70fffff,0x2ffdc0df,
    0xf73ffc80,0x2ffdc0df,0x9999dff9,0x1bfea399,0xfe81fffb,0x01fff01f,
    0xfb80fff8,0xccccccef,0xff30ffd2,0x1ffea3ff,0x21fffffb,0x3ee06ffb,
    0x00fffa5f,0xeffdccc8,0xdff71ccc,0xfeaffdc0,0x1ffffd87,0x7f40dff1,
    0x0fffcc3f,0x7fdcfff2,0xe97fee06,0x323ffe7f,0x3ffa01ff,0x6c1fff01,
    0xa80004ff,0x3fa4fffe,0x41fff01f,0x3a004ffd,0x1fff01ff,0x9fffd500,
    0xfc81bfea,0xffea804f,0x317fec4f,0x3ffe0fff,0x3ffe1ffb,0x201fff11,
    0xbff50fff,0xb10dff90,0xffffffff,0x027fec1f,0x201fff10,0xdff50fff,
    0x8027fe40,0xdff53ffc,0xf927fe40,0xffffffff,0xf11bfea5,0x1ffe8bff,
    0xf801fff0,0xfffb80ff,0xd4ffffff,0x3fff60ff,0x201fff11,0xdff50fff,
    0xfb27fe40,0x3fe2009f,0xffffffff,0x640dff52,0x50ffd4ff,0x3ee3ffff,
    0x17ff204f,0xff70dff3,0xc81bfea9,0xb9ffa4ff,0x01ffccff,0x7fc07ffa,
    0x01bff20f,0x37ff4400,0x3fe03ffd,0x01bff20f,0xff01ffe8,0x3fa2001f,
    0x01fff36f,0x4400bff6,0x3ffc6ffe,0x7ec0fffc,0x3ff26fff,0xf80fffc5,
    0x0bff50ff,0x2e05fff3,0x3dfffffe,0x20037fe4,0xfff01fff,0x403ffe61,
    0xfb002ffd,0x03ffe67f,0xff917fec,0x5fffffff,0x3ee1bfea,0x07ffa3ff,
    0x3e007ffc,0xfffb80ff,0xd4ffffff,0x3ffe60ff,0x7c07ffe1,0x1fff30ff,
    0xfc8bff60,0xfff1006f,0x5fffffff,0x6c03ffe6,0x20ffd2ff,0xffb1fffe,
    0x23ffd403,0xffb86ff9,0x201fff34,0x9ffa2ffd,0x1ffdfff8,0x220bff60,
    0x7ffdc7ff,0xff700002,0x4417fecd,0x7ffdc7ff,0x05ffb002,0xb800fff1,
    0x5fff16ff,0x003fff10,0xff337fdc,0xfffddddf,0xbfffd109,0xe83fffb7,
    0x1fff05ff,0x4cc00000,0x0bffee01,0xf05ffe80,0x3ffe21ff,0x01fff882,
    0x3e25ffd0,0xfff882ff,0x00dfb001,0x20bff600,0xff807ff8,0x8000000f,
    0x3fa0fff8,0x21fff05f,0xf882fff8,0x3ffee1ff,0xefd80002,0x105fff10,
    0x00003fff,0x303bf600,0x9ff70dff,0x220bffe2,0x1ffa1fff,0x03fffff9,
    0x7dc2ffe4,0x1fffe85f,0xe8026288,0x17ff24ff,0x3fa17fee,0x322881ff,
    0x5ffb85ff,0x9ffd004c,0x36077fe4,0xd004c5ff,0x7ffe49ff,0x6fffffff,
    0xffffff30,0xfff507ff,0x201fff09,0x44002cc8,0xffe802cc,0x7d42881f,
    0x0fff84ff,0xfb03bff2,0xff3030bf,0x077fe43f,0x5c017ff6,0x332200ff,
    0x42ffe402,0xff805ffb,0x04cb800f,0xa8fff500,0xfff84fff,0xb03bff20,
    0xfffd0bff,0xf7005103,0x0effc83f,0x9102ffec,0xfa800059,0x86ff981f,
    0x3ff24ffb,0x22ffec0e,0x7ffcc7fe,0x3fe601ff,0xfffbaadf,0xeffffa81,
    0x3f65fecc,0xfffcbcce,0x37ffe61f,0x81fffbaa,0xcceffffa,0x3ffe65fe,
    0x1fffbaad,0x65e677ec,0x3e21ffff,0xffecdfff,0x6677ec1f,0x21ffffcb,
    0xeeeeeffe,0xf900fffe,0x403bffff,0xccdefffd,0xff500fff,0x2ffa8005,
    0xeffffa80,0xfd85fecc,0xffccdeff,0x3fffe20f,0x81fffecd,0xfffbabee,
    0x6ffffc46,0x001fffec,0xffa80ffd,0x6fffcc02,0x01fffbaa,0xe800fff8,
    0x75cc006f,0xfffd85ff,0x0fffccde,0x337fffe2,0xfa81fffe,0xfeccefff,
    0x887fd805,0xfecdffff,0x3fea01ff,0x7fec0002,0xb86ff980,0x3ffe24ff,
    0x1fffecdf,0x7fec3ff4,0x7fe401ff,0x04ffffff,0x3fffffee,0x3fff65ff,
    0x83ffffff,0xfffffffc,0x3ffee04f,0x645fffff,0xffffffff,0xfffffd84,
    0xfa83ffff,0x3fffffff,0xffffffd8,0x3fe23fff,0x40fffa06,0x10019cfe,
    0xfffffffb,0x1ff201ff,0x801ff200,0xfffffffb,0xfffd885f,0x40ffffff,
    0xfffffffa,0xffffd03f,0xff503fff,0x07ffffff,0x82fffec0,0xff9007fc,
    0x09ffffff,0xfff75551,0xff105557,0xfffd8007,0xfffd880f,0x40ffffff,
    0xfffffffa,0x3ffee03f,0x805fffff,0x7d46fffd,0x3fffffff,0x0003fe40,
    0x2637ffe4,0x4ffb86ff,0x7fffffd4,0x87fe83ff,0x801ffffa,0x2efffffa,
    0xfffed980,0x3ffae2df,0x201dffff,0x2efffffa,0xfffed980,0xfffa82df,
    0xfd702eff,0x03bfffff,0x6ffffecc,0xffffd701,0xffb83bff,0x217ff204,
    0x70001ff9,0x7bfffffd,0x4002ff40,0x6cc005fe,0x02dffffe,0x3fffffae,
    0xfffb303d,0x7f5c03bf,0x2600dfff,0x01dffffd,0x837ff4c0,0x3ea005fe,
    0x102effff,0xffffffff,0x3ff30dff,0x0cffd800,0x7ffff5c0,0xffb303df,
    0xb3003bff,0x05bffffd,0x30dffd30,0x03bffffb,0x0000bfd0,0xf98fffd1,
    0x84ffb86f,0x1dffffd9,0x3fa0ffd0,0x0cc001ff,0x80131000,0x80009998,
    0x26200019,0x80066000,0x80009998,0x26620019,0x07ff6009,0xea87ffa8,
    0x33300005,0x00026600,0x88000266,0x19980009,0x2000cc00,0x19800098,
    0x20088000,0x33000099,0xfffff100,0x10dfffff,0x03300033,0x00066600,
    0x4c400033,0x00110000,0x09980033,0x4c040000,0x4ffb86ff,0x00000cc0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0215cc00,0x02a81530,
    0xd5001330,0x009ddddd,0x54c004cc,0x1000aa21,0x22001333,0xeea80999,
    0x2604eeee,0x54c00199,0x22001540,0x99800999,0x26620000,0x01330009,
    0x2002ee00,0x401540a9,0x001540a9,0x98099988,0x400aa21a,0x310000bb,
    0x43530133,0x573002a8,0x99980008,0x00333301,0x04c41988,0x40013300,
    0x00bcedb9,0x8000cccc,0x02662099,0x00999880,0x26003100,0x3a010009,
    0x3faaefff,0x7dcdff10,0x3ffa203f,0x7ffdc01f,0xe8806fff,0x7dc01fff,
    0x005fd99e,0x4013ffe6,0xf704fff9,0x40dfffff,0x1004fffa,0x1ffdcdff,
    0x04fff980,0x00ffff44,0x027ffcc0,0x00ffff44,0x101bfee0,0x1ffdcdff,
    0x7dcdff10,0x7fcc003f,0x33df704f,0xff700bfb,0xfff3000d,0x267bee09,
    0xffe805fd,0x003faaef,0x5407bff6,0x22004fff,0x1ffc9efe,0x1fffe880,
    0xfffffb80,0x3fea01ff,0xffa8004f,0x2005ff9b,0x4004fff9,0x00ffffc8,
    0x403fffd1,0x7fd43ff9,0x03fffffd,0x7fecfff5,0xfbdfd104,0x5554c03f,
    0x74402aaa,0x201ffdef,0x1fffffe8,0x05fff300,0x80bffe60,0x2aaaaaa9,
    0x027ff440,0xffb3ffd4,0x5fff3009,0xfdefe880,0x3fe6001f,0xefe8802f,
    0x36001ffd,0x7fd407ff,0xa813ff67,0x13ff67ff,0x02fff980,0x3fffffa2,
    0x07ffd801,0x017ffcc0,0x3fffffd1,0xffdffa80,0xfb003fff,0xfe8801bf,
    0x3f62004f,0xe8801fff,0x201ffdef,0xfffffffc,0x3fa201ff,0xffa8004f,
    0x3e6004ff,0x7c4002ff,0x880fffff,0x01ffdefe,0x2170fffb,0x6c03eec8,
    0x407be63f,0x19970ccb,0x99700000,0x880332e1,0x1001deec,0x22001999,
    0x00000ccc,0x801ccb80,0x07be63fd,0x00199910,0x332e1997,0x0ccc8800,
    0x2e199700,0xff3000cc,0x4c7fb009,0x1fec01ef,0x22003df3,0xc8800ccc,
    0xf3001dee,0x6644009f,0xeec8800c,0x2217001d,0x95003eec,0xccb80059,
    0x0e664001,0x970ccb80,0x7fff3019,0x017ffe61,0x2000732e,0x22003cca,
    0xd8000ccc,0x80aaceff,0x19970ccb,0x000fff90,0x00000000,0x179db730,
    0x00000000,0x20000000,0x99900ccb,0x00000001,0x00000000,0x00000000,
    0x00000220,0x00000000,0x02200000,0x00000000,0x00000000,0x00000000,
    0x13ff6000,0x0007ffe6,0x00000000,0x01fff800,0x3b910000,0x5406665c,
    0x666640cc,0x41cccccc,0xccccccca,0xfffc81cc,0x9901efff,0x99999999,
    0xccccca83,0x64c1cccc,0x3332002c,0x1ccccccc,0x7fc07ffa,0x6666640f,
    0x541ccccc,0xcccccccc,0x03332e1c,0x6654332a,0xcb9e5c00,0x9332603c,
    0x32603ccb,0xccccc84c,0x971ccccc,0x2664c079,0x03999910,0xcccccc98,
    0x6643cccc,0xcccccccc,0x33333261,0x543ccccc,0xcccccccc,0x9999101c,
    0x99999003,0x98399999,0x0abccccc,0x66666540,0x64c1cccc,0x00abcccc,
    0x6640732e,0x407ffe24,0x32203ffe,0x64c01ccc,0xcccccccc,0x9999103c,
    0x6ff98003,0x33332200,0xfffe8001,0x221ffc83,0xffffffff,0x7ffe42ff,
    0x42ffffff,0xfffffffd,0x7ffc41ff,0x2fffffff,0x7fffffe4,0x7fdc2fff,
    0xffff1004,0x45ffffff,0xfff01ffe,0x7ffffc41,0x642fffff,0xffffffff,
    0x0ffffa2f,0x7fdc7ff2,0xfab7f401,0x9ffb00ff,0xd807ffd4,0x7ffc44ff,
    0x2fffffff,0x3601fff5,0x3fea04ff,0x7fdc04ff,0xffffffff,0x3ffffe26,
    0x2e2fffff,0xffffffff,0x7ffe46ff,0x02ffffff,0x809ffff5,0xfffffff8,
    0x7fd42fff,0x0dffffff,0xffffff90,0xffa85fff,0x0dffffff,0xff02ffd8,
    0x81ffe61f,0x3ea04ffc,0x7dc04fff,0xffffffff,0xffff506f,0x5ffa8009,
    0x3fffea00,0xe8bba204,0xffc87fff,0x3ffffe21,0x642fffff,0xffffffff,
    0x2fffe62f,0x88bfff30,0xffffffff,0x7ffe42ff,0x42ffffff,0xf1004ffb,
    0xffffffff,0x80fff45f,0x3fe20fff,0xffffffff,0x7ffffe42,0x3fa2ffff,
    0x1ffc87ff,0xfe803ff7,0x2613ffa5,0x7ff40fff,0x40fff984,0xfffffff8,
    0x3ffa2fff,0x00fff984,0x01fffff2,0xfffffff7,0x7fc4dfff,0xffffffff,
    0x3ffffee2,0x646fffff,0xffffffff,0xffff902f,0xffff880f,0x42ffffff,
    0xfffffffa,0xfff905ff,0x85ffffff,0xfffffffa,0x2ffd85ff,0x3ea1fff0,
    0x17ff206f,0x07ffffc8,0x7fffffdc,0xf906ffff,0xb800ffff,0x3f2004ff,
    0x3e607fff,0x3ffffa3f,0x700ffe42,0xffc80bff,0x09ffb003,0x5c01fff3,
    0x7fe405ff,0x13fee003,0x02ffdc00,0x3fe03ffd,0x17fee00f,0x2007ff90,
    0x642ffffe,0x03ff51ff,0x3fea5fe8,0x427fec0f,0x7ec0fffa,0x5ffb804f,
    0xb03ffea0,0xfff809ff,0x26201fff,0xffb99999,0x17fee03f,0x99999988,
    0x7e43fffb,0xfff8003f,0x2e001fff,0x7fd405ff,0x3fffb515,0x4007ff90,
    0xfb515ffa,0x2ffd83ff,0x3ee1fff0,0x17fee05f,0x1ffffff8,0x26666620,
    0xf03fffb9,0x403fffff,0xcffd9998,0x3fe00999,0xf301ffff,0x7ffff49f,
    0x700ffe46,0xffc80bff,0x1fff8803,0x5c07ffd0,0x7fe405ff,0x13fee003,
    0x02ffdc00,0x3fe03ffd,0x17fee00f,0x2007ff90,0x646ffffe,0x03ff51ff,
    0x7ff44fe8,0x403ffe63,0x3fe63ffe,0x5ffb800f,0xf31fff40,0x7fcc01ff,
    0x0003ffdd,0xfb80bffd,0xffd0005f,0x007ff90b,0xffddff98,0x17fee003,
    0xf88bff50,0x3ffc82ff,0x117fea00,0xffd85fff,0x2e1fff02,0x3fee06ff,
    0xfbbff305,0x3fa0007f,0xbbff305f,0x7fd407ff,0xffffffff,0xfbbff303,
    0x93fe607f,0x22ffdffe,0x3ee01ffc,0x1ffe405f,0x903ffcc0,0x7fdc09ff,
    0x01ffe405,0x0009ff70,0xfe817fee,0x01fff01f,0x3202ffdc,0xffd003ff,
    0x7fe45ffb,0x65c5ff31,0xff513fe0,0x501ffecf,0x1ffecfff,0x405ffb80,
    0x3ff67ffa,0x55ffdc03,0xfc8006ff,0x7fdc00ff,0xfffc8005,0x003ffc80,
    0x7fd5ffdc,0x17fee006,0xfd0bff50,0x07ff905f,0x742ffd40,0x17fec2ff,
    0xff50fff8,0x827fe40d,0x6ffabffb,0x0fffc800,0xff57ff70,0x7fffd40d,
    0x03ffffff,0xdff57ff7,0xfe93fea0,0x3f25ffaf,0x17fee01f,0x5007ff90,
    0x7fe40dff,0x017fee05,0x5c007ff9,0xf70004ff,0x0fff40bf,0x2e00fff8,
    0x7fe405ff,0xf5ffd003,0x98ffe4bf,0x47ff12ff,0xbffe84ff,0x7400fff8,
    0x0fff8bff,0x00bff700,0xfff17ffd,0x88ffe801,0x26000fff,0xfb803fff,
    0x7fcc005f,0x07ff903f,0xf88ffe80,0xff7000ff,0x45ffa80b,0xfc81fff9,
    0x3fea003f,0x20fffcc5,0xfff02ffd,0x403ffe61,0xffd03ffd,0x001fff11,
    0xd01fffcc,0x1fff11ff,0x3fe66620,0xd009999f,0x1fff11ff,0x7f49ff50,
    0x3f23ffd7,0x17fee01f,0xddddff90,0x2ffdcddd,0x5c0bff70,0x7fe405ff,
    0x86eeeeee,0x70004ffb,0x7ff40bff,0x401fff01,0x7e405ffb,0x6eeeeeef,
    0x1ffebff4,0x3fe63ff9,0x7fcdff52,0xfceffa83,0xeffa803f,0x2e003ffc,
    0xffa805ff,0x4403ffce,0x0bffa6ff,0x005ffe80,0xe800bff7,0x3ff205ff,
    0x86eeeeee,0x3ffa6ff8,0x0bff7002,0xbaaeffa8,0xff905fff,0x0ddddddd,
    0xf755dff5,0xfffb0bff,0xffffffff,0x20bffe21,0xf881fff8,0x00bffa6f,
    0x2205ffe8,0x0bffa6ff,0x401ffe20,0x3ffa6ff8,0x3a5ffa82,0x32bff57f,
    0x3fee01ff,0x7fffe405,0x3ee7ffff,0x17fee06f,0x6405ffb8,0xffffffff,
    0x004ffb87,0x740bff70,0x1fff01ff,0x202ffdc0,0xfffffffc,0xfabff47f,
    0x223ff95f,0x1fffb3ff,0x7ff40ffe,0xfd000fff,0x4001ffff,0xfd005ffb,
    0xa801ffff,0x17ff24ff,0x007ffe40,0x2005ffb8,0x3200fffc,0xffffffff,
    0x324ffa87,0xff7005ff,0xffffa80b,0x3203ffff,0xffffffff,0xfffffa87,
    0xffb03fff,0xffffffff,0x077fec1f,0x7d417ff6,0x017ff24f,0x5007ffe4,
    0x2ffe49ff,0x8037fcc0,0x3ff24ffa,0x3a5ffa85,0x323ffe7f,0x3fee01ff,
    0x777fe405,0x3ea6eeee,0x13ff206f,0x6405ffb8,0xeeeeeeff,0x004ffb86,
    0x740bff70,0x1fff01ff,0x202ffdc0,0xeeeeeffc,0xff3ff46e,0x223ff91f,
    0x7ffff3ff,0x3ea05ff1,0x2a003fff,0x4003ffff,0xf5005ffb,0xfb007fff,
    0x03ffcc5f,0x0017ffcc,0x2600bff7,0x7e402fff,0x6eeeeeef,0x3e62ffd8,
    0xbff7007f,0xfffffa80,0x7fe403ff,0x86eeeeee,0xfffffffa,0x3bbff603,
    0x0fffeeee,0x337fffe6,0xfb01fffe,0x03ffcc5f,0x2017ffcc,0x3fe62ffd,
    0x05ffa807,0x7cc5ffb0,0x25ffb87f,0x33fee7fe,0x3ee01ffc,0x1ffe405f,
    0x807ffcc0,0x3ee02ffd,0x1ffe405f,0x009ff700,0xe817fee0,0x1fff01ff,
    0x202ffdc0,0xfd003ffc,0x7e67fdcf,0x3e6ffe1f,0x2ff8dfde,0x003fffa0,
    0x001fffd0,0x2005ffb8,0xf800fffe,0x01fff87f,0x2002fff4,0xfd005ffb,
    0x7ff900bf,0x7c3ffc00,0xffb801ff,0x4f7fd405,0x3202fffb,0x3ea003ff,
    0x2fffb9ef,0x3e05ffb0,0x7ffd40ff,0x202fffff,0x1fff87ff,0x402fff40,
    0x1fff87ff,0x8027fdc0,0x1fff87ff,0xffd2ffdc,0x7fefffc4,0x017fee01,
    0xf1007ff9,0xfff105ff,0x02ffdc03,0xb800fff2,0xf70004ff,0x17fec0bf,
    0x2e03ffc4,0x7fe405ff,0x44ffd003,0x21ffdfff,0xfbcfccff,0x2e01ff9f,
    0xfb8005ff,0xffb8005f,0x17fee005,0x3bbffe60,0x204fffee,0x4000fffc,
    0xfc805ffb,0xffc800ff,0xdfff3003,0x09fffddd,0xa80bff70,0x3ffee5ff,
    0x007ff900,0xff72ffd4,0x05ffb01f,0x36603ffe,0x201dffff,0xeeeefff9,
    0x3f204fff,0x7fcc00ff,0xfffeeeef,0x01ffe404,0x7777ffcc,0x7dc4fffe,
    0xf91ffa6f,0x5c03ffff,0x7fe405ff,0x1dff9003,0x5c05ffd8,0x7fe405ff,
    0x13fee003,0x02ffdc00,0xff70bff9,0x05ffb80b,0xe801ffe4,0x7fffe47f,
    0x3fb3fe1f,0x1ffcff89,0x0017fee0,0x20017fee,0x2e005ffb,0xffc805ff,
    0xffffffff,0x05fff306,0x80bff700,0x9002fff9,0x3f2007ff,0xffffffff,
    0x5ffb806f,0x3e2ffd40,0x7ff903ff,0x22ffd400,0xffd83fff,0x401fff02,
    0xfc804ffa,0xffffffff,0x5fff306f,0xfffff900,0x80dfffff,0xfc802ffe,
    0xffffffff,0xd37fe46f,0xffff98ff,0x17fee01f,0x2007ff90,0xecdffff8,
    0x7dc01fff,0x1ffe405f,0x009ff700,0x9817fee0,0xfbaadfff,0x7fdc01ff,
    0x01ffe405,0x7fcc7fe8,0x3bfa1fff,0x3ffbfa7f,0x017fee00,0x0017fee0,
    0xb8017fee,0xffe805ff,0xffeeeeee,0x05ffe80f,0x80bff700,0x32005ffe,
    0xffd003ff,0xffdddddd,0x5ffb801f,0x2e2ffd40,0x7ff907ff,0x22ffd400,
    0xffd87ffb,0x401fff02,0x02a1fff9,0xdddddffd,0xfd01fffd,0x3ffa00bf,
    0xffeeeeee,0x1fff300f,0xdddffd00,0x41fffddd,0x1ffa6ffc,0x907ffff6,
    0x99dffb99,0xceffc839,0x541ccccc,0xffffffff,0xffb99903,0xfc83999d,
    0xccccccef,0x6677fdc1,0x6642cccc,0xccceffdc,0x7ffffe41,0x99904fff,
    0x3999dffb,0xccceffc8,0x1ffa1ccc,0xe87ffff6,0x3fee4fff,0x3fee00ff,
    0x5ffb8005,0xffb99900,0x5c03999d,0x7fc405ff,0x70fffa06,0xdddddfff,
    0xdccc8bdd,0x21ccceff,0xeeeefffb,0x7fe45eee,0x1cccccce,0x7f40dff1,
    0xfdccc83f,0x541cccef,0x7ffc45ff,0xcceffc83,0x7d41cccc,0x1fffc45f,
    0x7fc0bff6,0x7fff400f,0x3fe25ffe,0x70fffa06,0xdddddfff,0x1bfe2bdd,
    0x32e3ffe8,0x8805fffd,0x3ffa06ff,0xa87fe803,0x3e21ffff,0xffffffff,
    0x7fffe42f,0x982fffff,0x01dffffd,0xfffffff1,0xffc85fff,0x2fffffff,
    0x7fffffdc,0x3fe24fff,0xffffffff,0xfffffa82,0xffff102e,0x85ffffff,
    0xfffffffc,0x21ffa2ff,0x361ffffa,0x3fe62fff,0x3fee00ff,0x5ffb8005,
    0xfffff880,0x202fffff,0x7dc05ffb,0x17ff204f,0xfffffff9,0x7fc4ffff,
    0xffffffff,0x3fffff22,0x647fffff,0xffffffff,0x409ff72f,0x7fc45ffc,
    0xffffffff,0x642ffd42,0xfffc86ff,0x42ffffff,0xffc85ffa,0xf817fec6,
    0x7fc400ff,0xf70effff,0x2ffe409f,0x3ffffff2,0xff77ffff,0xd2ffe409,
    0x001dffff,0x7e409ff7,0x07fe805f,0x7c43fffd,0xffffffff,0x7fffe42f,
    0x402fffff,0xfff88019,0x2fffffff,0x7fffffe4,0x7fdc2fff,0x4fffffff,
    0x3fffffe2,0x4c02ffff,0xffff8801,0x42ffffff,0xfffffffc,0x41ffa2ff,
    0x3f61fffe,0x07ffe87f,0x4002ffdc,0xf8805ffb,0xffffffff,0x17fee02f,
    0x5403ffb0,0x7ffe47ff,0x7fffffff,0x3fffffe2,0x3f22ffff,0xffffffff,
    0x7fffe47f,0xfb2fffff,0x3ffd403f,0x3fffffe2,0x7d42ffff,0x2fff985f,
    0x7fffffe4,0x7fd42fff,0x22fff985,0xfff02ffd,0x33b2e001,0x500ffec3,
    0xfffc8fff,0x7fffffff,0x7d403ffb,0x13bff67f,0x201ffd80,0x00007ffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x2e601999,0x04cc0042,
    0x4cc01331,0x40026620,0x41988009,0x2ee00098,0xeeeea800,0x372604ee,
    0x4c01cdee,0x326002cc,0xeeea802c,0x64c04eee,0x1fffffed,0x9bdd9510,
    0x0017fe63,0x509ff500,0x09dddddd,0x07fec000,0x54000a60,0x40004000,
    0x00060000,0x00880066,0x11000040,0x80080800,0x0fae0080,0x08004000,
    0x00808000,0x20200010,0x007ffc80,0xe80f7fec,0x3faaefff,0x7cdffd40,
    0x5ffd405f,0x32205ff9,0x00efffff,0xff93dfd1,0x1bfee003,0x3ffffee0,
    0xfffd886f,0x2605ffff,0x9804ffff,0x5c04ffff,0x06ffffff,0xffffffb1,
    0xff703fff,0x74bfffff,0x200000ff,0xffb80ffe,0x0006ffff,0x1bfedff1,
    0x800bff70,0x75401ffe,0x2e01dfff,0x982effff,0xfffc8aee,0xfff9100d,
    0xfc985fff,0x202effff,0x0323fffb,0x77fffe44,0x5fd82eee,0x7ec03bee,
    0xf103bee5,0x2e0003ff,0x4fdefffd,0x2033ffa6,0x5fd80ffb,0x7dc03bee,
    0xd80323ff,0xc83bee5f,0x3f6006ff,0xbff500df,0x007fffff,0x009ffff5,
    0x813fffea,0xfffffff9,0x3ff6200f,0x3f6001ff,0xaaa9807f,0xffd82aaa,
    0x05ffeeff,0x01fa2bf6,0x01fa2bf6,0x55555553,0x3fffffa0,0x6c1ffead,
    0xffffffff,0x000ffee5,0x982ffcc0,0x02aaaaaa,0xf3dff100,0xfffd807f,
    0x9fff3000,0x7ffffe40,0xfffe83ff,0x7cc3ffff,0xfffffecf,0x7fffc40e,
    0x7e43ffff,0x4fffffff,0xffffffa8,0xfff885ff,0x3fffffff,0xfe87ffcc,
    0x0fff983f,0xffd07ffd,0xffd88005,0x24ffffff,0x444ffffe,0xfff982ff,
    0xf507ffd0,0xbfffffff,0x743ffe60,0x1bff23ff,0x40166540,0x07dd910b,
    0x001e6540,0xfd00f32a,0x197335bf,0x00399900,0x0004ff98,0x417ffd40,
    0x6c3fa018,0xd87f400f,0x2e00000f,0xb4ffffff,0x7ffdc3ff,0xf88ee21d,
    0xfb00007f,0x0000005f,0x7fdf7fc4,0x037fdc00,0x205fff10,0xfb9beffb,
    0x3bff21ff,0x20fffc9b,0xccfffff9,0x7fec3fff,0x41b999ae,0xfc99abdc,
    0x457441ff,0xd80ffffc,0xffd98bff,0x26fe80ad,0xdfd01ffc,0x7cc0ffe4,
    0x7fec001f,0x4ffeaabf,0xd1fe6ff5,0x937f40bf,0x15d103ff,0x401ffff9,
    0x87ff26fe,0x00006ffb,0x00000000,0xfff88000,0x00000001,0x33320022,
    0x1ccccccc,0x2000dff7,0x806fdefb,0x206fdefb,0xccccccca,0x3fff61cc,
    0x3ffb4fff,0x8013ffe2,0x40002ffc,0x64406ff8,0x20001ccc,0x02a9eff8,
    0x88001750,0x1fff101b,0x3fe4ffb8,0x30fff41f,0x7dc1dfff,0x017ffc7f,
    0x017fec00,0xdff00d44,0x2207ff88,0x31004c09,0xfd980981,0x7ffd4006,
    0xfba7fdc0,0x7fdc7fe5,0x13026200,0x400d4400,0x2e04c098,0xcc8805ff,
    0x102ccccc,0xc8039999,0xcccccccc,0x66540ccc,0x1ccccccc,0x7002fffc,
    0x13579999,0xccccca80,0x3e21cccc,0xffffffff,0x03fff72f,0x037ff200,
    0x006ffe40,0xfffffff9,0x7fffc5ff,0x3ffb4fff,0x8003ffee,0x40006ff8,
    0x7d403ffb,0x10004fff,0x2000dff1,0xfa800000,0x16ff985f,0xfff88fff,
    0x107ffe60,0x7ff41fff,0x7e40002e,0xf880003f,0x007fe85f,0x20040002,
    0x6c001eff,0x4ffb84ff,0x27fe2df5,0x00002ff8,0x22000100,0x017fee00,
    0x3ffffff2,0xffff504f,0xfffff809,0x1fffffff,0x7fffffe4,0x7fec2fff,
    0xffe802ef,0x02ffffff,0x3ffffff2,0x3fe22fff,0xffffffff,0x19ffff32,
    0x44000000,0xffffc800,0x3e2fffff,0xb4ffffff,0x17ff23ff,0x007ff600,
    0x400fff80,0x007ffffc,0xfffffdb3,0x7ff5400d,0xfdb801df,0xff70dfff,
    0xffdddddd,0xfb1bfe6f,0x06ff98bf,0x7fdc3fff,0x5401cfff,0x3ffffeec,
    0x3ae13ba6,0x107ffc2e,0xfea80dff,0x76401dff,0x1a82dfff,0x2ffe8020,
    0x3fe4ffb8,0x0bfb6fdc,0x75c2774c,0xfffd902e,0x7fe4c05b,0x7d42efff,
    0xffff805f,0xf904ffff,0xff80ffff,0xffffffff,0x7ffe41ff,0x22ffffff,
    0xdffffffb,0x3ffffa00,0x905fffff,0xffffffff,0x2ffdc05f,0xdfffffb0,
    0x213ba605,0x7e4c2eeb,0x902effff,0x3f6007ff,0xfb4fffff,0x013ff63f,
    0x0013fea0,0x7c027fd4,0x401fffff,0xfffffffc,0xfff9006f,0x2607ffff,
    0xfffffffe,0xffffff90,0x3e6fffff,0x03bff66f,0x3fa0dff3,0x7fffdc2f,
    0x7fcc0eff,0x3fffffff,0x3f21bfe6,0x5f7fe43f,0x3203ffeb,0x3fffffff,
    0xfffffe98,0x29db04ff,0x7c1efffb,0x4ffb81ff,0x2abffff2,0x3fe600ff,
    0x4c3ffc86,0xfffffffe,0xfffff904,0x7fd49fff,0x7effd405,0xffff801f,
    0x3ee001ff,0x3ffc805f,0xfcfff980,0xfd02ffff,0x3ffaa23f,0x03ffc82f,
    0x80bff700,0xeffffffc,0x6437fcc1,0x7ffe43ff,0xc84fffff,0xff5003ff,
    0x3f69ffff,0x007ffd1f,0x0003ffa0,0xf3007ffa,0x407ffbbf,0xcaadfffa,
    0xffb806ff,0x1fffb9be,0xccdfffe8,0x5bff90fe,0x25555555,0xdff56ff9,
    0x20dff301,0xdb880fff,0x3e26ffff,0xfd99adff,0x21bfe63f,0x7fd43ffc,
    0x204fffff,0xfb9beffb,0x7fff41ff,0x82ffffdc,0xffffddff,0x07ffe0ff,
    0x77113fee,0x9805ff11,0x3ffc86ff,0x7ee7fff4,0xbdc82fff,0x1fffc99a,
    0xfd809ff5,0x4c01ffbe,0x03ffddff,0x2017fee0,0xfd803ffc,0xffffb14f,
    0xb03ffd03,0x7ff90dff,0x17fee000,0x3ffff260,0x1bfe60ff,0x7b90fff2,
    0x3fff9335,0x2003ffc8,0xb4fffffc,0x0fffa3ff,0x01ffdc00,0x2017fe60,
    0x6ffabffb,0x887fff10,0x7fc406ff,0x227fdc0f,0x2081fffc,0xf3004ffb,
    0x413feedf,0xff986ff9,0xfffc8807,0xf90dff51,0x437fcc7f,0x3fe23ffc,
    0x200bccbd,0x7dc0fff8,0x83ffee4f,0xff86ffd8,0xfffcdfff,0x360bffa3,
    0x2fec04ff,0x6437fcc0,0x3ffee3ff,0x01bff620,0x3ea5ffb0,0x2ffe204f,
    0x7dc01ffb,0x006ffabf,0x32017fee,0xffe803ff,0x437ffd44,0xff981ffe,
    0x01ffe41f,0x005ffb80,0x327fff54,0x7ff90dff,0x217fec00,0x54003ffc,
    0xffb4fffe,0x0013ff63,0x2003ffc4,0xfe802ffc,0x80fff88f,0xff887ff9,
    0x42ffd406,0x7ffc6ff9,0x0fff9803,0xf76ff980,0xdff301ff,0x200bffb0,
    0xff92fff8,0x23fff98b,0xffc86ff9,0x000bfea3,0xff30bff5,0x541ffecd,
    0x7ffc0fff,0xc97ff21f,0x7ffe45ff,0x003fea04,0x3f21bfe6,0x20fff63f,
    0x2000fffa,0x9ff33ffc,0x7dc7fdc0,0x47ff401f,0x7000fff8,0xff900bff,
    0x1fff9007,0x740fffa8,0x5fff01ff,0x0003ffc8,0x1000bff7,0x7fccdffd,
    0x003ffc86,0xff90fff2,0x0ddddddd,0xffb2aa98,0x001bff23,0x1002ffc8,
    0xff100dff,0x5c17ff4d,0x6ff885ff,0x7777fdc0,0x227ffeee,0xfb000fff,
    0x953337ff,0x7c5bfe63,0x7fcc2fff,0xfffda9af,0x4c4cdf40,0xff50fffc,
    0xffff737f,0x6437fcc7,0x3ffea3ff,0x700aaabc,0xddddddff,0x0fff4fff,
    0x3e0fffc4,0x37fd42ff,0xfd79fff3,0x3e209fff,0x2601753f,0x3ffc86ff,
    0x3e207ffa,0xdd9501ff,0x3e67ffff,0x5dbfa04f,0x442eeeff,0x0bffa6ff,
    0x402ffdc0,0xeeeeeffc,0x3fffe66e,0xd07ffe22,0x3ffa03ff,0x7777fe43,
    0x7dc06eee,0xff70005f,0x6437fccd,0xdd9503ff,0xfc87ffff,0x7fffffff,
    0x51ffd800,0x20005fff,0xf7006ff9,0x9ff5007f,0x7e42ffe4,0x06ff884f,
    0x7fffffe4,0x3e67ffff,0x3fa2007f,0x1fffffff,0x7fd4dff3,0x3ffe63ff,
    0x82ffffff,0xffffffff,0x3fffe23f,0x23ffdfff,0xffc86ff9,0x7ffffec3,
    0x7e40dfff,0xffffffff,0x403ffe7f,0x7ffc2ffe,0x3637fcc0,0xfdffffff,
    0xd1bfb04f,0xff30bfff,0x7c7ff90d,0x5ffd00ff,0xffffff98,0x5dd13fff,
    0x7dcffe60,0x7d43ffff,0x017ff24f,0x6402ffdc,0xffffffff,0x6ffffe47,
    0x740fffa8,0x9ffb01ff,0xffffffc8,0x7fdc07ff,0x7f401305,0x21bfe65f,
    0x7fcc3ffc,0x3fffffff,0x77777fe4,0xfd8006ee,0x07fffa1f,0x3ffb00a2,
    0x001ffd00,0x7fcc5ffb,0x884ffc87,0x7fe406ff,0xaaaaaaad,0x003ffe22,
    0xffffff90,0x31bfe63d,0x3e61fffd,0x0dffffff,0xffffffd0,0xfffd305d,
    0x4c7ff15d,0x3ffc86ff,0x7f777fe4,0x7fe46fff,0xaaaaaaad,0x7c0bffe2,
    0x07ffc1ff,0x3f21bfe6,0x4ffbaeff,0xefc8ffa8,0x7fcc2ffb,0x3e3ffc86,
    0x3fff02ff,0x4d6fffc4,0x2003ffd9,0xdff70ffc,0x2ffd85dd,0x5c01ffe6,
    0xffc805ff,0x86eeeeee,0xfffffffb,0x01ffe84f,0xffc87ffd,0x06eeeeee,
    0xfd82ffdc,0xfffcbcce,0x21bfe61f,0x3fe23ffc,0xffd99adf,0x001ffe43,
    0x5c3ffb00,0xecceffff,0x27fd405f,0x4013fea0,0x1fff87ff,0x7d42ffdc,
    0x27fdc06f,0x00fffe00,0x20ffe440,0xff886ff9,0x31dff33f,0x4cccc001,
    0x32198800,0x1bfe60ef,0xffc8fff6,0x21fff984,0x3a004ffb,0x7ff884ff,
    0x7cc0fff8,0xfb86606f,0xe9ffc44f,0xf989f72f,0x23ffd86f,0xff884ffe,
    0x6437fd47,0x4032e3ff,0x07fee5ff,0xfff87ff8,0x05ffb801,0x4003ffc8,
    0x5fffffd8,0x3e03ffd0,0x1ffe42ff,0x05ffb800,0xfffffffb,0x6ff987ff,
    0x3ea3ffd8,0x43ffc86f,0x00003ffc,0xff707ffa,0x0bffffff,0x6c01ffd0,
    0xff9801ff,0xfffeeeef,0x307ffd44,0xf980dfff,0x3fa000ff,0xf88001ff,
    0x06ff983f,0x3fe69ffb,0x33220006,0x2ffa8002,0xf907ffc4,0x07ffc7ff,
    0x3e61ffe8,0xff9000ff,0x85ffc81f,0x7fcc0fff,0x13fee006,0xa8ffcdf9,
    0x07ffc46f,0x7e47fff9,0x2ffe40ff,0xff317ff2,0x21bff27f,0xfeeeeffa,
    0xdfff301f,0x09fffddd,0x900bff70,0x260007ff,0xfd01fffe,0x3fff103f,
    0x0003ffc8,0x3ae0bff7,0x1dffffff,0x320fff88,0x3ff23fff,0x21fffcc5,
    0x00003ffc,0x3660fff1,0x02dfffff,0xf303ffb8,0x3ff200df,0xffffffff,
    0xcbeffe86,0xd806ffff,0xa999bfff,0x7fffcc1c,0x201fdcbd,0xff982ffb,
    0xfff53336,0x001bfe65,0x8002ffa8,0xfff80ffd,0x3ffffebd,0xf7037ffa,
    0x7fffb0ff,0x44395333,0xfdbdffff,0x0fff81ff,0x70037fcc,0x0ffd49ff,
    0x217f27fb,0xffebdfff,0x3ffe23ff,0x1fffdbdf,0x5cdfffd4,0xffb3ffff,
    0xffffd81f,0xf901ffff,0xffffffff,0xbff700df,0x007ff900,0x81fffc40,
    0xffc81ffe,0x003ffc86,0x880bff70,0x7c01ffc9,0xfffebdff,0x2fffea3f,
    0x43ffffb9,0x38003ffc,0x6c06ffb8,0x7c4001ff,0x05ff906f,0x3bbbffa0,
    0x40fffeee,0xdffffffa,0xfe8806fe,0x1fffffff,0xffffffb8,0x3fea01ff,
    0x5bfe61ef,0x25fffffc,0x20006ff9,0xf90007fc,0xfffc8dff,0x23ffcfff,
    0xfefffffb,0xfe881fff,0x1fffffff,0x7fffffdc,0x1fff03ff,0x2006ff98,
    0x7fd14ffb,0x1ffeffa8,0xffffffc8,0x7fdc3ffc,0x83ffffff,0xfffffff8,
    0x9ff53ffd,0xccceff88,0xffd01ffe,0xffdddddd,0x5ffb801f,0x803ffc80,
    0x40fffa00,0x7fe41ffe,0x03ffc81f,0x3ff73320,0xfb01ccce,0xffff900d,
    0x447ff9ff,0xdfffffff,0x77fe43ff,0x81cccccc,0xffeccefb,0x027fc02f,
    0x442ffc80,0xff1007ff,0x41fff40d,0xfb4ffffa,0x7ffe400d,0xb301efff,
    0x01bfffff,0x261fffd8,0xffff96ff,0x037fcc19,0x000bfd00,0x321fffa2,
    0xff8aefff,0x7ffff543,0x7e400cff,0x81efffff,0x1effffe9,0xf303ffe0,
    0x7fdc00df,0x3ae0df94,0x3ff203ff,0x83ff8aef,0x1effffe9,0x3bfffa60,
    0x0623ff8a,0xff707fee,0x3fe2799b,0x00fffa06,0xf900bff7,0x999999df,
    0x2eaf3b23,0xfd01fffd,0xffffb9bf,0x33bff20b,0x221ccccc,0xffffffff,
    0x07ff02ff,0x2bbfff20,0x7f4c3ff8,0x3ff8aeff,0x7fffffe4,0xffd82fff,
    0x404fffff,0x30001ff8,0x3ffb8bff,0x409ff700,0x26205ffc,0x33100000,
    0x00988003,0x26200180,0x4c000000,0x00800009,0x31000662,0x31000133,
    0x00cc0033,0x7cc0fff8,0x0000006f,0x00662003,0x22000cc0,0x3fa00019,
    0xfffffb86,0x6409ff75,0x7fdc05ff,0xffffc805,0xf92fffff,0x5fffffff,
    0x7fffff40,0x3f203fff,0xffffffff,0x3ffffe22,0x882fffff,0x262000ee,
    0x00cc4001,0xffffffc8,0xdb502fff,0xd3003bdf,0xeed8000b,0x4003bb60,
    0x3ea01ffd,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe60000,0xfffffb83,0x5403ffb5,
    0x7fdc07ff,0xffffc805,0xb52fffff,0x039dfffd,0xceffffe8,0x7ffe400b,
    0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00100000,
    0x01800180,0x00880040,0x41bfe000,0x1aaaaaa8,0x401cc800,0x8003cecb,
    0x7ffcc000,0x8805ba8d,0xf5001ffe,0x7ffcc0bf,0xffb80005,0x2ffd403f,
    0x3fffb800,0x002fffcc,0x0005ffa8,0x200fffee,0x7dc00099,0x7ffcc3ff,
    0x3fea0005,0xfff70005,0x05fff987,0x55555440,0x53fe601a,0x40203ff9,
    0x10000000,0x1dfb0dff,0xefb83bf6,0xd10000bc,0x29801dff,0x7e4df500,
    0x7fff7005,0x15dd3064,0x4c1bfff9,0xfffc8aee,0x8ffea00d,0xffea8eec,
    0x7cc0002f,0xffff504f,0xfa800bff,0xfffd100f,0xf7001dff,0x900647ff,
    0x0fffffff,0x03ffffb0,0x04ffffa8,0x0017ff62,0x401fffb8,0x004ffffa,
    0x880fffdc,0x54005ffd,0x8004ffff,0x2e01fffb,0x01fffffe,0x101fffb8,
    0x5000bffb,0x8009ffff,0xb101fffb,0x7d400bff,0x405fffff,0x04ffcff9,
    0x7fcc3bee,0x007fd302,0xb03ffa80,0xb81ffbdf,0x00cfffff,0x013ffa20,
    0x22017fee,0x03ffddff,0xffffffa8,0x33fe65ff,0x25fffffe,0xfffecff9,
    0x3ffa05ff,0xff9ffb0f,0x3005ffff,0x0ffdc5b7,0xeeeeeea8,0x1bf66004,
    0xfeceffd8,0x7ffd405f,0xa85fffff,0xdfffffff,0x6477ec03,0x7ff301ff,
    0xfc809ff3,0xffb8005f,0x5ffcc00d,0xf7004ff9,0xff9001bf,0x2ffe600b,
    0x2e004ff9,0xfd100dff,0x03ffffff,0x800dffb8,0x26005ffc,0x04ff9bff,
    0x001bff70,0x2a00bff9,0x04eeeeee,0x404fffa8,0xbff92fff,0x007fffe0,
    0xffc85993,0x07fffa00,0x3fffffee,0x5ffd1006,0x03fff600,0x17fffee0,
    0x7e457440,0x3fe60fff,0xfffdcfff,0x9fffff31,0x3a03fffb,0x3fff67ff,
    0x06ffebef,0x3f62ffd8,0xd9000006,0x2209ffff,0x1ffe26ff,0xff915d10,
    0xdff501ff,0x8801fffd,0x40aaa0aa,0x02aa62aa,0x40035530,0x55002aa8,
    0x200554c5,0x4c002aa8,0x2aa801aa,0x22002aa6,0x7fec02aa,0x01ca9abf,
    0x3000aaa2,0x2aa00355,0x1002aa62,0xa9800555,0x0000001a,0xff900553,
    0x220ffea3,0x5c02ffff,0x02ff44ff,0x26006aa2,0x9804fffd,0x3ee000aa,
    0x2ee6006f,0x0d440002,0xd077ffcc,0x3ffe67ff,0x40fffa0e,0x3ff61dd8,
    0x01ffe24f,0x1aa8bff6,0xd3001100,0x5fffffff,0xfe89ff50,0x01a88007,
    0x7ffc4262,0x00000005,0x00000000,0x01000080,0x08000400,0x40402200,
    0x0000fff9,0x00080002,0x11000110,0x00022000,0x40000004,0xfb00c409,
    0xffb801ff,0x0800d544,0x03ffe400,0x02ea0000,0x10000200,0x0fffcc01,
    0x7fccfff2,0x01ffe41f,0x3e17ff60,0x7fec00ff,0x3ff26002,0xfd02efff,
    0xffffd7df,0x265ff985,0x030006ff,0x3ffffae0,0xffdb802f,0x3ba60dff,
    0x262eeb84,0x2eeb84ee,0x3ae13ba6,0x3ffaa02e,0x7f5401df,0xea801dff,
    0x6401dfff,0x702dfffe,0xfb19ffff,0x27fdc3df,0x7fff6400,0xffec802d,
    0x3f2602df,0x302effff,0x5dfffff9,0x7fffe4c0,0x7f5402ef,0xdb801dff,
    0x000dffff,0x4005d400,0xa8004ffb,0x801dfffe,0x2e00fff9,0x00dffffd,
    0xffea8000,0xfc9801df,0x4c2effff,0x4ffb86ff,0xff70dff3,0xd8bba209,
    0x819983ff,0xefffeee9,0xf902eeee,0x9fffffff,0xff16ffb8,0xfff0bffd,
    0x403fff35,0xffc8aee9,0xffe880df,0x206fffff,0xffffffe9,0x21bfe60f,
    0x3fe63ffc,0x263ffc86,0x3ffc86ff,0xffffff90,0x3fff207f,0x3203ffff,
    0x3fffffff,0xfffffe98,0xffff84ff,0xffffffff,0x4007ff90,0xffffffe9,
    0xfffd304f,0x3209ffff,0xffffffff,0xfffffc84,0xff904fff,0x09ffffff,
    0x3ffffff2,0xfffd303f,0xec81ffff,0x000eeeee,0x027fdc00,0x3fffff20,
    0x7fcc03ff,0xfffe980f,0xed80ffff,0xeeeeeeee,0xfffffc81,0x7fe403ff,
    0x24ffffff,0xffb86ff9,0xf70dff34,0x8ffe609f,0x4c003ffd,0xffffffff,
    0x7b902fff,0x3fff9335,0xffa97fec,0xffa87ff8,0x4c02ffff,0xffffecff,
    0xbfffd85f,0xd02fffba,0xfd99bfff,0x6437fcc1,0x1bfe63ff,0xff98fff2,
    0xb83ffc86,0xffb9beff,0x5f7fdc1f,0xb81fffb9,0xffb9beff,0x67fff41f,
    0x742ffffd,0xafffd88a,0x7ff93ffa,0x67fff400,0xe82ffffd,0xfffdcfff,
    0x9abdc82f,0x641fffc9,0xffc99abd,0x9abdc81f,0x5c1fffc9,0xffb9beff,
    0xdfffe81f,0x7ec0fecc,0x000fffff,0x027fdc00,0x737dff70,0x3a203fff,
    0xfffd06ff,0xf01fd99b,0xffffffff,0xbeffb83f,0x201fffb9,0xfc99abdc,
    0x0dff31ff,0x3fe69ff7,0x704ffb86,0x1ffec7ff,0x3f332200,0x1ccccdff,
    0x22ffd800,0x2bfb0ffe,0xffe80ffd,0xff9801ef,0xfffdcfff,0xd03ffea1,
    0xfff909ff,0x6ff98103,0x3e63ffc8,0x23ffc86f,0xffc86ff9,0x207ffc43,
    0x3fe24ffb,0x227fdc0f,0x7dc0fff8,0x83ffee4f,0x4c06ffd8,0x65bf65ff,
    0xff7003ff,0x37fec41f,0xd883ffee,0x7ec006ff,0x3ff6002f,0x17fec002,
    0xfb81fff1,0x0fffe44f,0x7e665404,0x400000ff,0xf1004ffb,0x4ffb81ff,
    0x3fffffea,0x81fffc81,0xdddddb00,0x7c41ffff,0x27fdc0ff,0x32ffd800,
    0x9ff70dff,0x3ee1bfe6,0x3fff224f,0x00fff64f,0x005ffb00,0xf8fff200,
    0x365ff17f,0x7ffec2ff,0x30332a5f,0x7f41dfff,0x213ff23f,0xfff86ffb,
    0x0dff3003,0x7fcc7ff9,0x263ffc86,0x3ffc86ff,0x7cc2ffd4,0x217fea6f,
    0x7fd46ff9,0x366ff985,0xfffa83ff,0xc8ffe200,0x007ff96f,0x3ea0fff6,
    0x0fff60ff,0x8003ffea,0x32003ffc,0x7e4003ff,0x217fea3f,0x7ffc6ff9,
    0x3ffe0003,0x00664400,0xa8027fdc,0x6ff985ff,0x07bfffe6,0x0001fffc,
    0x2a17ffd4,0x6ff985ff,0x27ff9000,0xffb86ff9,0xf70dff34,0x7ffff49f,
    0x00fff64f,0x005ffb00,0xfffdd950,0xfabff47f,0x643ffb0f,0x93fffeff,
    0xfff981ff,0xfd1ffe41,0x8fff505f,0x3000fff8,0x7ff90dff,0x7e437fcc,
    0x21bfe63f,0x7fdc3ffc,0xffeeeeee,0x3bbbfee7,0x5c7ffeee,0xeeeeeeff,
    0x07ffa7ff,0x7307ffe2,0xddddffd9,0x00fff2ff,0x7c40fff4,0x07ffa1ff,
    0x5407ffe2,0x3ffffeec,0xfffdd950,0x7765407f,0x3ee3ffff,0xfeeeeeef,
    0x03ffe27f,0x00fff800,0x2007ffec,0xf7004ffb,0xfddddddf,0x0effccff,
    0x001fff10,0x84fff880,0xeeeeeffb,0xca807ffe,0x33ffffee,0x9ff70dff,
    0x3ee1bfe6,0x15fff74f,0x0007ffb0,0x2002ffd8,0xfffffff9,0x27ff63ff,
    0x43ffe5fd,0xffa8fff8,0xf987fdaf,0x24ffb86f,0xff981fff,0x003ffcc7,
    0xff90dff3,0x6437fcc7,0x1bfe63ff,0xff90fff2,0xffffffff,0x7ffffe4f,
    0x647fffff,0xffffffff,0x03ffe7ff,0xff917ff4,0xffffffff,0x00fff2ff,
    0xfe807ffc,0x403ffe2f,0x7fcc2ffe,0x3fffffff,0x7fffffcc,0xff983fff,
    0x3fffffff,0x3ffffff2,0x3e67ffff,0x7fc0007f,0x7fffc00f,0x027fdc03,
    0xffffffc8,0x3e67ffff,0x3ffcc04f,0x2fff4000,0xffffffc8,0x2607ffff,
    0xffffffff,0x70dff33f,0x1bfe69ff,0x7fed3fee,0x00fff604,0x005ffb00,
    0x26b7ffe2,0x3ee3ffd9,0xff72ffdf,0xf727fdcd,0xf30dffff,0x49ff70df,
    0xff982fff,0x007ffc47,0xfc86ff98,0x21bfe63f,0x3fe63ffc,0x643ffc86,
    0xaaaaadff,0x37ff22aa,0x2aaaaaaa,0x5556ffe4,0x3fe2aaaa,0x23fff02f,
    0xff99dffa,0xf919999b,0x3ffe007f,0x7c3fff02,0x3fff02ff,0x4d6fffc4,
    0x3e23ffd9,0xfd99adff,0x6fffc43f,0x23ffd99a,0xaaaadffc,0x3fe22aaa,
    0x3fe0000f,0x7ffe400f,0x027fdc04,0xaaadffc8,0x3a22aaaa,0x7ffc403e,
    0x3ff60000,0x5bff900f,0x05555555,0x26b7ffe2,0xff33ffd9,0x267ff90d,
    0x4ffb86ff,0x7ec07ffd,0x7ec0003f,0xdff5002f,0x7c47ff90,0xffcaffff,
    0xb0fff21f,0xf307ffff,0x49ff70df,0xffb84ffe,0x003fff86,0xffb0dff3,
    0x6c37fcc7,0x1bfe63ff,0xff70fff6,0x27fdc009,0x013fee00,0xf884ffe8,
    0xf89ff27f,0x0fff202f,0x4427ff40,0x27ff47ff,0x3ea3ffc4,0x23ffc86f,
    0xffc86ffa,0x6437fd43,0x13fee3ff,0x007fff00,0x4007ffc0,0x7dc04ffe,
    0x9ff7004f,0x7fc00000,0xff70003f,0x27fdc03f,0x86ffa800,0xfb003ffc,
    0x7ec0005f,0x0000006f,0x32005ffb,0x7ffcc5ff,0x7ffffcc3,0x7fd43fff,
    0x80fffe85,0xffb86ff9,0x883bff24,0xffe84ffe,0xfff8801f,0x88ffff20,
    0x3ff20fff,0x83ffe23f,0x7cc3fffc,0xff3000ff,0x7fcc001f,0xfff9000f,
    0x365ffc81,0x817fe67f,0xf9003ffc,0x5ffc81ff,0x3207ffe4,0x2ffe45ff,
    0xfc8fffe6,0x1fffcc5f,0xff317ff2,0x07ffcc7f,0x03fffd00,0x003ffe00,
    0xf700bff2,0x3fe6009f,0x3b91000f,0x03fffd00,0x03fff980,0x0007ffcc,
    0x3e62ffe4,0xff8803ff,0x0599101f,0x0077ffea,0xb0005991,0x3ea009ff,
    0xfffb9bff,0xffffa83f,0xfff881ef,0xffffb9ad,0xb86ff984,0x3ffe64ff,
    0x0fffebcf,0xbdffff98,0x7ffc1fdc,0x3ffffebd,0x7f5efffc,0x7ffc3fff,
    0x3ffffebd,0x99bfffd8,0x7fec1ca9,0x1ca999bf,0x99bfffd8,0x3fe21ca9,
    0xfffdbdff,0x3a6bfee1,0x23513fff,0xf1003ffc,0xffb7bfff,0xffff883f,
    0x41fffdbd,0xfb9bfffa,0x3fea3fff,0xffffb9bf,0x4dfffd43,0x6c3ffffb,
    0xa999bfff,0x7fffcc1c,0x401fdcbd,0x74400fff,0x4ffb806f,0x2ffff600,
    0x321ca999,0x7cc00fff,0xfdcbdfff,0x05fff881,0x337fffb0,0x3ea03953,
    0xfffb9bff,0x3fae203f,0x0bfea06f,0xefffffd8,0x002ffa84,0x99bfffb8,
    0xffff881a,0x83ffdfff,0xb8019ffb,0xffffffff,0x7fcc2fff,0x644ffb86,
    0xffffffff,0x3fffee02,0x7e41ffff,0xffcfffff,0x7ffffe43,0x7e43ffcf,
    0xffcfffff,0xffffe883,0x7441ffff,0xffffffff,0xffffe881,0x7dc1ffff,
    0x3fffffff,0x67ffffc4,0x93ffffff,0x7dc007ff,0x3fffffff,0xffffff70,
    0xfff107ff,0x7ffbffff,0x7fffffc4,0x7c43ffdf,0xfdffffff,0x7fff443f,
    0xb81fffff,0xffffffff,0x3eeaaa21,0x912aabff,0x7003fffb,0x99999dff,
    0xfffe8859,0x3a1fffff,0xfb801fff,0x1fffffff,0xeeefffd8,0x7f442eee,
    0x1fffffff,0xffffff10,0x5407ffbf,0x3201ffff,0xfffc807f,0x07fc85ff,
    0xfffff100,0x3fa605ff,0x3ff8aeff,0x54004fe8,0xa9dffffe,0x3fe61fff,
    0xa84ffb86,0x01dfffff,0xfffffd98,0xefffc80d,0xfc83ff8a,0x3ff8aeff,
    0x8aefffc8,0x3ff203ff,0x901effff,0x3dffffff,0x7ffffe40,0xffe981ef,
    0xfd701eff,0x3fffe67f,0x007ff92f,0xeffffe98,0x7fff4c01,0x3fa601ef,
    0x3ff8aeff,0x577fff4c,0xfe983ff8,0x3ff8aeff,0xffffff90,0x3ff6603d,
    0x3e20dfff,0xffffffff,0x19fff16f,0x3fffee00,0x904fffff,0x3dffffff,
    0x3002ffd4,0x1bfffffb,0xffffff88,0xf902ffff,0x03dfffff,0x577fff4c,
    0x3ea03ff8,0x2ff401df,0x5fedb880,0x20005fe8,0x2fffffe9,0x8800cc40,
    0x310001ee,0x37fcc003,0x31027fdc,0x26200013,0x00198800,0x22000cc4,
    0x26200019,0x26620019,0x0ccc4001,0x0c003300,0x7fe41998,0x00660003,
    0x22000cc0,0x0cc40019,0x000cc400,0x40019988,0xfff10098,0xdfffffff,
    0x700026a2,0xffffffff,0x1998809f,0x88000620,0x3ffe2009,0x2fffffff,
    0x000ccc40,0x22000662,0x00266001,0x00133000,0x00333100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50002000,0x002fe4df,
    0x6c0ffec0,0x01dfb0ef,0x2aaaaaa2,0x0037fcc1,0x2aa20000,0x5401aaaa,
    0x4017f26f,0xfff35ffc,0xfc9bea07,0x4ffb8005,0x0000004c,0x00130000,
    0x3fee0000,0x2ffd403f,0x2a05eea8,0x200005ee,0xeeb84ee9,0x9affe402,
    0x54c03fff,0x909dd300,0xfc8003dd,0x7fffdc3f,0xfd8002ff,0x201dfb0e,
    0x1dfb0efd,0x00bff500,0x1fea1ff1,0x98000cc0,0x9500dfff,0x999999dd,
    0x6640732e,0x7ff4c004,0x3e20370c,0x403ffddf,0x0ffffffd,0x77ec0dff,
    0x3ea00ffd,0x4c5fffff,0x260006ff,0xff5002db,0x880bffff,0x03ffddff,
    0xff15ffa8,0x6ffc403f,0xb8003ffd,0xdfff14ff,0x883fee07,0xff701ffc,
    0xfffc8801,0x5b7301ff,0x3ffee000,0x7fffd401,0x01fff884,0xfc887ffb,
    0x21ff701f,0xffc86ff9,0x457fea03,0x7d401fff,0x6ff980ff,0xc802ffd8,
    0x24dffecc,0x2ffffffb,0xfbdfb000,0xdefd801f,0xffa800ff,0xefe804ff,
    0xf9105ffc,0x005fffff,0x440fffe6,0xfffffffe,0x05ffb7ff,0xfe983ffe,
    0x7ffffc43,0x3ee07fef,0xfd805fff,0xf88fffff,0x7fff403f,0x77775401,
    0x37fcc4ee,0x05ffb000,0x3bbbbaa0,0xfffb804e,0x5ff9805f,0x7001dfd1,
    0x000bffff,0x66c53fee,0x7fc40ffd,0x07fffe62,0xf100bfe2,0x05ffffff,
    0x2000bff6,0x4c00dffb,0x84ff9bff,0xff884ffd,0x3fffe60f,0x262ff881,
    0x3ffc86ff,0x3a2bff30,0xffc800ef,0x86ff981f,0x7c402ffd,0x0fffffff,
    0x5ffd5553,0x7fff4000,0x3fffd001,0xf37ff300,0xfff9809f,0xfff880ef,
    0x803fffff,0xf101eff9,0xffffdfff,0x0bff6fff,0xfff07ffc,0xfa8cc83f,
    0x5cc02fff,0x7553002b,0x1ff51fff,0x001aa880,0x037fcc00,0x005ffb00,
    0x5dcc0000,0x4c553002,0x2e6000aa,0x3ee0002b,0x1fee624f,0x3ef617fa,
    0x805fe81f,0xba9beffd,0x005ffb01,0x5002aa88,0x20554c55,0xffb87ffa,
    0x81ffbd85,0x37fcc5fe,0xa981ffe4,0x4002aa62,0xf980fffa,0x02ffd86f,
    0xdffeccc8,0x00bffa04,0x001aa880,0x54006aa2,0x002aa62a,0x7ec05751,
    0x1b999aef,0x200aaa80,0xff90effb,0x205ffb03,0xfff10fff,0x0155005f,
    0xf8000220,0x002a98ff,0x30000066,0x20008dff,0x10002ffd,0x00004000,
    0x00000001,0x2e4ffb84,0x7fdc3fff,0xb83ff100,0xfff800ff,0x0bff6001,
    0x8000cc00,0x17ffc019,0x7c40bffa,0x207fdc1f,0xffc86ff9,0xa8000003,
    0x0dff301c,0x42005ffb,0x7f403ffc,0x0300002f,0x00002200,0xfff80000,
    0xf8000002,0x07ff21ff,0x7fc0bff6,0x03fff60f,0x3ff26000,0x4002efff,
    0x91000fff,0x85ffffff,0xeeb84ee9,0x3b2bff32,0x774c0dff,0xeeeefffe,
    0xfffd902e,0xffd9005b,0xfd9005bf,0xe9805bff,0x02eeb84e,0xffffffd5,
    0x9ffe64c9,0x3e202ff8,0x00bfe21f,0xd301ffe2,0xdddfffdd,0xff9105dd,
    0x4405ffff,0x2ffffffc,0x3e65ffc8,0x87fe206f,0xff982ff8,0x4c3ffc86,
    0x2eeb84ee,0xdff30000,0x5c05ffb0,0x3ffffffe,0x0017ff40,0xff915dd3,
    0x1dd901bf,0x205fffd5,0x0eeeeeec,0x3bbbbb20,0x5dffd00e,0x3bbbb200,
    0xdff300ee,0xfd81ffc8,0x81fff02f,0x777640ba,0x3f200eee,0x4fffffff,
    0x003ffe00,0x3fffffe2,0x37fcc3ff,0xff99ffe4,0xefffffee,0x3ffffe60,
    0x42ffffff,0xffffffe9,0xfffd304f,0x2609ffff,0xfffffffe,0x21bfe604,
    0x7f443ffc,0x4fffffff,0x27ff3331,0x7fc405fd,0x4c017f61,0x7fcc06ff,
    0xffffffff,0x7fffc42f,0xf103ffff,0x7fffffff,0x321fff10,0x3fe203ff,
    0x7cc17f61,0x43ffc86f,0xffc86ff9,0xddddd903,0x0dff301d,0xfd105ffb,
    0x7fffffff,0x002ffe80,0x3ffb3fe6,0xffd85fff,0x2ffffffc,0xffffffd8,
    0x3ffff600,0xfff700ff,0x7ec039ff,0x500fffff,0x1ffc89ff,0xff02ffd8,
    0x3ff6001f,0x3200ffff,0xffc99abd,0x1fff001f,0x35dffb00,0xff983733,
    0xf33ffc86,0xff99ffff,0x7e66447f,0x1ccccdff,0x7ee7fff4,0xffe82fff,
    0x2ffffdcf,0xfdcfffe8,0xff302fff,0xd87ff90d,0xfeaabfff,0xdffff74f,
    0xf1003fea,0x003fea3f,0x22037fcc,0xcdfffccc,0x7fec1ccc,0x01b999ae,
    0x3335dffb,0x4fff6037,0x3e200fff,0x201ff51f,0xffc86ff9,0x6437fcc3,
    0xfffb03ff,0xff301fff,0xb05ffb0d,0xfd757fff,0x2ffe807f,0xfff981a8,
    0x1fffdcff,0x5f7fffec,0xcca86ffe,0x2a00fffc,0x00fffccc,0x3fffffee,
    0xfccca80e,0x9ff700ff,0x3eeeffc8,0x3fe05ffb,0x9995000f,0x20001fff,
    0xff002ffd,0x5fff001f,0x21bfe600,0xfff33ffc,0x03ffdc1d,0xfb805ffb,
    0x3ff620ff,0x107ffdc6,0xffb8dffb,0x1bff620f,0x7e437fcc,0x03ffea3f,
    0x33229ff7,0x005ff10a,0x5ff11551,0xffffff80,0x207fffff,0xff802ffd,
    0x7ffc002f,0x6ffd4002,0x54405ffa,0x202ff88a,0xffd86ff9,0x6437fcc3,
    0x999503ff,0xff301fff,0x42ffe88d,0x7e40fffa,0x17ff403f,0xff317ffa,
    0x1fff41df,0xf893fff6,0x0fff807f,0x003ffe00,0xdffffb71,0x201fff00,
    0x7fe43ffc,0x5ffb4fff,0x0003ffe0,0x80007ffc,0xff003ffc,0xdffd001f,
    0x0dff3005,0x3fe67ff9,0x07ffc41f,0x6c02ffd8,0xfffa83ff,0x2a0fff60,
    0x3ff60fff,0x80fffa83,0xffc86ff9,0x2e13ff23,0x2fec04ff,0x805fd800,
    0xffffffff,0x3f607fff,0xeffe802f,0x3bffa002,0x6fffc002,0x7ec002ff,
    0x07ffc405,0xf987fff9,0x03ffc86f,0xf301fff0,0x2fffe8ff,0x7e427fe4,
    0x17ff403f,0x4c3ffff5,0x7fe41fff,0x7c2ffec3,0x7ffc00ff,0x03ffe000,
    0x1fffc880,0xc807ffc0,0x6ffe43ff,0x05ffb2cc,0x03103ffe,0x5001fff0,
    0x7ffffdd9,0x003ffe00,0x33ffffee,0x90dff301,0x1bfe67ff,0xdd90fffc,
    0x7ddddfff,0xf881ffe8,0x07ffa1ff,0xfe87ffe2,0x1fff881f,0xfc86ff98,
    0x20bffa3f,0x3ea04ffb,0xffa8000f,0xfbaaa800,0x02aaaaff,0x2e00bff6,
    0x01cfffff,0x67ffffdc,0xffffc801,0x07fd4007,0x75efffc0,0x7cc3ffff,
    0x03ffc86f,0xf301fff0,0xfffd7bff,0x17ff43df,0x3a01ffe4,0x3ffee2ff,
    0x21bfe61f,0x7fec4ffb,0xf8019983,0x3fe000ff,0x7fc4000f,0x07ffc02f,
    0x7e44ffb8,0x02ffd81f,0x7fdc1fff,0x007ffc05,0xfffffff3,0x3fe007ff,
    0xfff7000f,0xf981dfff,0x33ffc86f,0x3ffa0dff,0x3fffff62,0x7fc4ffff,
    0x45ffd00f,0xffd00fff,0xe807ffc5,0x6ff982ff,0x3fe3ffc8,0x04ffb81f,
    0x26627ff1,0xa9ffc400,0x6ff9801b,0x017fec00,0xffffffb8,0x3ffee00e,
    0x2600efff,0x2004ffff,0x13313ff8,0xffffff90,0xff987ff9,0x003ffc86,
    0xff301fff,0xff7fffff,0x40fffcbf,0x7f403ffc,0x1bffe22f,0xff70dff3,
    0x003ffd89,0x0007ffc0,0x2fa01fff,0xfffc9899,0x807ffc00,0x7fe45ffa,
    0xf02ffd81,0x7fffc1ff,0x403ffe02,0x99adfff8,0xff003ffd,0x6dc4001f,
    0x7cc6ffff,0x33ffc86f,0x3ffe0dff,0x3fff32e0,0x7fc2cccd,0x43fff02f,
    0xfff02fff,0xf817ffc3,0x6ff981ff,0x3fe3ffc8,0x04ffb81f,0x3ffe2bfb,
    0x746fec04,0x2600ffff,0x7ec006ff,0x36e2002f,0x4406ffff,0x06ffffdb,
    0x0007fff4,0x3ffe2bfb,0x5dfff904,0xff987ff1,0x003ffc86,0xff301fff,
    0x3f63dfff,0x20bffe5f,0x7f403ffc,0x4c1dc42f,0x4ffb86ff,0x0001ffec,
    0xf8003ffe,0xffff00ff,0x007fffff,0x3e601fff,0x40ffe47f,0xfff02ffd,
    0x017fffc1,0x3ea01fff,0x03ffc86f,0x0001fff0,0x987fff22,0x3ffd86ff,
    0xff30dff3,0x017fec0f,0x3e213ffa,0x427ff47f,0x7ff47ff8,0x307ff884,
    0x7ffb0dff,0x7ec17ff4,0x90ffa84f,0x7d409fdf,0x7ff5790f,0x0037fcc0,
    0x4000bff6,0x001fffc8,0x403fff91,0x2a004ffe,0x9fdf90ff,0xff90cc40,
    0xd86ff981,0xfff003ff,0x119ff301,0x3ffe8330,0x7403ffe8,0x3e6002ff,
    0x44ffb86f,0x40003ffd,0x3e000fff,0xfffd00ff,0x2005dfff,0x3fa00fff,
    0x207ff23f,0xff882ffd,0x202ffdc7,0xff900fff,0x03fff98b,0x0001fff0,
    0xf117ffc4,0x7ffe41ff,0xfb0dff33,0x27fec0bf,0x903fff20,0xfffc8bff,
    0x322ffe40,0x7fe40fff,0x41fff105,0x3f23fffc,0x27ffe45f,0x6fccffe2,
    0x7ff104fb,0x4c05ff10,0x7ec006ff,0x3e20004f,0x3e2002ff,0xfff702ff,
    0x4ffe2001,0x004fbdf9,0x3e20bfea,0x3fff20ff,0x01fff003,0xd800bff3,
    0x7ffe45ff,0x017ff403,0xf70dff30,0x03ffd89f,0x007ffc00,0x9801fff0,
    0x7c004ffa,0x3fee00ff,0xcdffebdf,0x365ffb4c,0x885ffebc,0x00fff801,
    0xf737fff5,0x3e007fff,0x9be800ff,0x0fffc989,0x7f5efffc,0xfff33fff,
    0x1fffb535,0x4dfffdc0,0x3ffe21a9,0x1fffdbdf,0x5effffc4,0x7c41fffd,
    0xffdbdfff,0x37ffe01f,0x23ffffeb,0xfebcfff9,0x37e44fff,0x209f71fd,
    0xefe886fc,0x01bfe600,0x337fff70,0x899be835,0xe80fffc9,0xffc9899b,
    0xff95510f,0x37e4005f,0x009f71fd,0xff807fe4,0xffffebdf,0x01fff003,
    0x9800dff3,0xffdbefff,0x555543ff,0x02aacffe,0x7dc37fcc,0x01ffec4f,
    0xff755510,0x5445557f,0xabfffbaa,0x03ff502a,0x7fdd5544,0xfd82aabf,
    0xffffffff,0x3a5ffb7f,0x001fffff,0xfff75551,0x7fc45557,0xffdfffff,
    0xfbaaa883,0xf02aabff,0xffffffff,0xfffff907,0x3e67ff9f,0xffffffff,
    0x7fffc402,0x7fdc2fff,0x03ffffff,0xfffffff7,0x3ffee07f,0x403fffff,
    0xcffffffc,0x7ffec3ff,0x24ffcfff,0xfff31ffa,0xffa8bfff,0x006ff4c1,
    0x1001bfe6,0x5fffffff,0xfffffff8,0xffff03ff,0x4c7fffff,0x004fffff,
    0x7fcc7fea,0x9005ffff,0xff90dfff,0x7ff9ffff,0xff755510,0x3e65557f,
    0xffd8006f,0x3ffcffff,0x7ffffff4,0x7cc07fff,0x44ffb86f,0x22003ffd,
    0xffffffff,0x3ffe26ff,0x6fffffff,0xf880df90,0xffffffff,0xfffd706f,
    0x36ffffff,0xdfffd2ff,0x7ffc4003,0x6fffffff,0x577fff4c,0xff883ff8,
    0xffffffff,0xfffffd06,0x7fe405df,0x13ff8aef,0xbfffffd9,0x3ffa6001,
    0xfe982fff,0x4c01efff,0x01effffe,0x77ffff4c,0xdfff9001,0xf907ff15,
    0x9ff15dff,0xee98ffa2,0x3a24ffee,0x77ffc43f,0x1bfe604e,0x3fffa600,
    0x7fff42ff,0x3a02efff,0x2effffff,0x00f7ffcc,0x74c7fd10,0x004ffeee,
    0x320fffd1,0xff8aefff,0xfffff883,0xf36fffff,0x3f2000df,0x3ff99eff,
    0x7ffffff4,0x7cc07fff,0x44ffb86f,0x22003ffd,0xffffffff,0x3ffe26ff,
    0x6fffffff,0xf8805d90,0xffffffff,0x0019806f,0x22000310,0xffffffff,
    0x033106ff,0x7ffffc40,0x406fffff,0x10009999,0x09980033,0x06662000,
    0x98000cc0,0x00330001,0x20006620,0x037e4019,0x0df913ee,0x0dfffff1,
    0x00037fcc,0x99803331,0x26600099,0x026a0099,0x701bf200,0x0020009f,
    0x7c400331,0xffffffff,0x9800006f,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x7fec3fff,0x8000ffff,0x2a03fffb,0x882aaaaa,0x000007ff,0x0077ff44,
    0x0af76e60,0x3cedb980,0x37bb6e60,0x877ec01c,0x66540efd,0x03cccccc,
    0x5ef765d4,0x333332a1,0xdff31ccc,0x65544000,0x3bb2a04c,0xffa800bd,
    0xffffd805,0xca8800ff,0x7301cdee,0x000179db,0x7c47fff7,0x332e007f,
    0x30199900,0x039bddb9,0x0bdedc88,0xccccccc8,0x991ccccc,0x99999999,
    0x40088199,0x806664c1,0x99992cca,0x99999999,0x66666641,0x9971cccc,
    0xc9933203,0x00abcccc,0x80399710,0x102cedca,0x3ee00399,0xfffd81ff,
    0x5c000fff,0x3e201fff,0x647fffff,0x1cccfffc,0xffffb700,0x1dff901b,
    0x3fffee00,0x7dc00dff,0x80efffff,0xfffffffd,0x7ef7ec05,0xffffd80f,
    0xb106ffff,0xffffffff,0x7fffffec,0x0dff33ff,0xffffb300,0xfffd10ff,
    0x5407ffff,0x6c04ffff,0x00ffffff,0x7fffffdc,0xffffc85f,0x2e001eff,
    0x7fc41fff,0x07ffa007,0xfb107ffc,0x0bffffff,0x7fffffd4,0x7ffffc2f,
    0x2fffffff,0xffffffff,0x7dc3ffff,0xe877ee05,0xfff884ff,0xfffffff1,
    0x223fffff,0xffffffff,0x05ffb2ff,0x7fd43ffe,0x0dffffff,0x0bfffee0,
    0x7fffff4c,0x0fffe85f,0x806ffdc0,0x0fffbaa9,0x037fee00,0xdddddd10,
    0xffffff8b,0x7f4c02ff,0x00ffffff,0xd801dff5,0xfeb99bff,0xdfff700e,
    0xd81ffffb,0xffffeeef,0x0ffff404,0xffffffd8,0xfff986ff,0x27ffffff,
    0xfffffffd,0x00dff33f,0xffffffa8,0xdeffd87f,0x981fffec,0x04ff9bff,
    0x3ffeeaa6,0x3ffff600,0x7ec5ffff,0xffffffff,0x0dffb801,0x2007ff88,
    0xfff01ffe,0x77fffec1,0xff305ffe,0x89ffbbff,0x3ee0316f,0xfffffff2,
    0x223fffff,0xff883fff,0x03ffe62f,0x7ffc9ff9,0xffffffff,0xfffff11f,
    0x365fffff,0x1fff02ff,0x3fffffea,0xffb85fff,0xf882ffff,0xffffffff,
    0x0ffffe64,0x4002aa88,0x51000fff,0xd0000055,0x3dddfffd,0xcdfffe80,
    0x2a200fec,0x07fea01a,0x3e213fa2,0x3ffa22ff,0x3f6204c3,0x0d54406f,
    0x5557ffb0,0xfffd0555,0x402d4417,0xdff33ffc,0x77ffcc00,0x3ffe201a,
    0x541ffec0,0x002aa62a,0xfb807ffc,0x8ee21dff,0xf30bfff9,0xaa880bff,
    0x01ffe202,0xff01ffe8,0x0bffea1f,0x6ffec062,0x6dbe1260,0x0bee2eff,
    0x2a02ffdc,0xedeecfff,0x4ffd84ff,0xb803ffe2,0x3ee005ff,0x05ffb05f,
    0x7fd43ffe,0x3fffb515,0x7ff7ffd4,0x217f702f,0x3e67ffd8,0x11002fff,
    0x887ffc00,0x00003001,0x801ffe20,0x0081fffc,0x545fd000,0x40ff8acc,
    0xffa84ffc,0x0fff3007,0x03ff6000,0x00fffdc0,0x4cfff200,0xfb00c6ff,
    0x3fea009f,0x004ffa85,0x03ffe000,0x4013ffe2,0xff984ffd,0xf880000f,
    0x3ffa007f,0x2e1fff01,0xfe8006ff,0x2edf002f,0x5f74ffed,0x2017fee0,
    0xfffffffc,0x3fff106f,0xf700fff6,0x7fdc00bf,0x205ffb05,0xbff50fff,
    0x7c2fff88,0x405ffd3f,0x21fff881,0xeec85ffc,0x02fffea8,0x3fc9fff8,
    0x3f22bba6,0xdd900dff,0x2201dddd,0x159517ff,0x4007fff0,0x0eeeeeec,
    0x3ff67f98,0xff89f94f,0x1fffb81f,0xd85ff980,0xeeeeeeee,0x003ff61e,
    0x00027ff4,0xff99ffe4,0x0dfffc8d,0x4003ffe2,0x7ec1fff9,0x801dd92f,
    0x3fe00eeb,0x0fffb80f,0x01fff880,0xeed87ffd,0x1eeeeeee,0x3b61ffe2,
    0x407ffa5e,0xfff70fff,0x07ff8003,0x3fea1be0,0xff702fb9,0xbfff100b,
    0x6407fffb,0x06ff9dff,0x2005ffb8,0xffb05ffb,0x543ffe05,0x2ffe85ff,
    0x05ffd054,0x41fff880,0xf9ffb018,0x805fffff,0x23ffffff,0xfffecff9,
    0xfffb05ff,0x3e201fff,0xfffff9ef,0x003ffe21,0xffffffd8,0xff54fb80,
    0xf17ea57b,0xfffd88ff,0x7ff4402f,0xffffff82,0x3f61ffff,0x3e0099af,
    0xc80001ff,0xddff33ff,0x54bfffff,0x013335ff,0x6c5ffff4,0x07ff66ff,
    0xff80ffb0,0x05ffc80f,0x640fff30,0x7fffc4ff,0x21ffffff,0x7fe47ff8,
    0x407ffa0f,0xfff30fff,0x3fe0019f,0x741be007,0xf702fbaf,0x7ff500bf,
    0xf103ffcc,0x005ffdff,0x5c00bff7,0x5ffb05ff,0x7d43ffe0,0x0fffcc5f,
    0x000bffa0,0x4001fff3,0xebeffffd,0x3fe206ff,0x3e60cfff,0xffdcffff,
    0xfccca81f,0xfff100ff,0x4dffffff,0x54007ff9,0x80fffccc,0x30dfb3fc,
    0x537fc4df,0x87ffffff,0x2fffeee8,0xfdddddb0,0x7fec1fff,0x442dffff,
    0x332e0fff,0x7e400ccc,0xfffff33f,0x323fffb9,0xfffffeff,0xfffe881e,
    0x3f20dfff,0x037f402f,0x3f603ffe,0xdff5004f,0x362ffe40,0xfffeeeee,
    0xb9ffe20f,0x7ff41fff,0x6c1fff01,0x02efffff,0x555fff55,0x50df0155,
    0x445f73ff,0xaaeffdaa,0xfd0ff902,0x7ffd401f,0xbff7005f,0x82ffdc00,
    0xfffffffd,0xff50ffff,0xbfff755d,0x005ffd00,0xbb85ffd8,0x24fffd80,
    0xfc887ff8,0xf980cfff,0x3ffa0eff,0x00fff803,0x519ffff1,0x3fe63fff,
    0x3fe0000f,0xfd2fd80f,0x7ccff10b,0x79fff96f,0xfff989ff,0x2a003eff,
    0x7fec2fff,0x23ffffff,0x7fec7ffa,0x7e400fff,0x1dfff33f,0xffc9fff4,
    0xffffffff,0xffffe881,0x51ffd42f,0x202ffc15,0xffe80fff,0x0bff7003,
    0x5402ffdc,0x7fc42fff,0xd05fff57,0x3ffe03ff,0x7ffffe40,0x7fffc1ef,
    0x80ffffff,0x9ffff16f,0xfffb8bee,0xd05fffff,0x01ff90ff,0x000fffe8,
    0x5c00bff7,0xfffb05ff,0xffffffff,0x3ffffea1,0xfd003fff,0x7fd4005f,
    0x07ffec1f,0x3fe17ff6,0x3fffea0f,0xfff300ff,0x803ffc83,0xff100fff,
    0x12ffe89f,0x40007fff,0x3fd80fff,0x4ff10dfd,0xfffeeff9,0xc887ff91,
    0x0efffedc,0x427ffc40,0xfecb9998,0x8fff51ff,0x00fffffd,0xff99ffe4,
    0xd9ffe41f,0xfb9acfff,0x7fec46ff,0x264fffff,0x29ff34ff,0x7fc04ff8,
    0x03ffe80f,0x5c0dff70,0x7fc405ff,0x8fff884f,0xffd03fff,0x203ffe03,
    0xffffffc9,0x3fffffe0,0x6f80ffff,0x2fb86ffe,0x3fffffee,0x1ffb05ff,
    0x55507fd8,0x1555dff9,0x002ffdc0,0x3f60bff7,0xfeeeeeef,0xffff50ff,
    0x74007fff,0xff3002ff,0xffff987f,0x4c1ffec3,0x7effd419,0xdff300ff,
    0xf009ff70,0x3fe201ff,0x3a2ffd87,0xf0001fff,0x29f901ff,0xf308affd,
    0x7ffffc4d,0x00bff20d,0xd013ffe6,0xf8800bff,0x1fff13ff,0x9003ffe0,
    0x1bfe67ff,0x7fed3fee,0x20fff984,0xfd98dffe,0x2bff12ff,0x5ff17ffc,
    0xd80fff80,0xff5004ff,0x027fe40d,0x7c417ffa,0x204ffeff,0xfff01ffe,
    0xfffea801,0x2007ff84,0x3ee1be6f,0x3ff26622,0xff70099e,0x442ffc45,
    0xffffffff,0x3fee02ff,0x17fee005,0xff817fec,0x73dff50f,0x3a005fff,
    0xff9802ff,0xffff884f,0x001ffec3,0x03ffe195,0x7dc37fcc,0x0fff804f,
    0xf90fff10,0x7fffd45f,0x401fdcbd,0x5fa80fff,0x2e9ffff3,0x1ffffc5f,
    0xb800fff4,0x3ff606ff,0xffd8000f,0x7c07ffe5,0x7fec00ff,0xf70dff33,
    0x413ff29f,0xdff51fff,0x7fcbffb0,0xf35fffd6,0x0fff803f,0x3006ffc8,
    0x3f601fff,0x3fff602f,0xfffff100,0x0fff407f,0x8800fff8,0x7ff86ffe,
    0x8099be00,0xbff702fb,0x7bfff300,0x33207ffd,0xccceffdc,0x017fee01,
    0xfb05ffb8,0x43ffe05f,0x3fee5ffa,0x2ffe800f,0x027ffcc0,0xfd81dff9,
    0x3fe0003f,0x0dff300f,0xff009ff7,0x1ffe201f,0xff70bff2,0x03ffffff,
    0xf880fff8,0x29ffd51f,0x1fff42fe,0x8007ffc4,0xff706ffa,0x3fa0003f,
    0x417ffa4f,0x7f400fff,0x70dff32f,0x1bfee9ff,0xffc87ffc,0x3a7ff983,
    0xdffff9ff,0x7fc00ffa,0x2fffb80f,0x82fff880,0xf701fff8,0x7fc403ff,
    0xb02fff9f,0xfff105ff,0x437fdc00,0x5be007ff,0x02fb85e8,0xf500bff7,
    0xbfffffff,0x009ff500,0x7002ffdc,0x3ff60bff,0x2a1fff02,0x1fffc5ff,
    0x3017ff40,0x33009fff,0x000fff60,0xf300fff8,0x09ff70df,0x2201fff0,
    0x2ffc87ff,0xfffffd98,0x07ffc00d,0xf7085fd8,0x81fff70d,0x3a004ffc,
    0xfff984ff,0xfff50003,0x427ffd45,0xf3030fff,0x1bfe63ff,0x7fcd3fee,
    0x93ffd41f,0xdff30bff,0x677e7fec,0xf807fcff,0xfffd00ff,0x7fe45103,
    0x82ffec0e,0x4403fff9,0x3fff97ff,0xf70bff90,0xfd004cbf,0x00fff09f,
    0x41ffab7c,0xbff702fb,0xfefff880,0xc83fffef,0xcceffdcc,0x17fee01c,
    0xb05ffb80,0x3ffe05ff,0xfb8bff50,0x2ffe807f,0x009fff30,0x007ffb00,
    0x9807ffc0,0x4ffb86ff,0x100fff80,0x5ff90fff,0x00077f40,0x3e201fff,
    0x17fdc0df,0xdabeffe8,0x2b220fff,0xffffcaaa,0x02fffc41,0x7f6555e4,
    0xfffd85ff,0x0fffccde,0xfff757dd,0x5c37fccd,0x3fff64ff,0x23fffcab,
    0xa9acfffa,0x3ff23ffe,0xffff9bff,0x00fff806,0x99dffff5,0x7ffc4bfd,
    0x1fffecdf,0x805fff88,0x3ffa7ff8,0x6fffcc0e,0x21fffbaa,0xfcbccefd,
    0x3f321fff,0xccccccff,0x707937c3,0x17fee05f,0xf509ffd0,0x7ffc43ff,
    0x2fffffff,0x9017fee0,0x99dffb99,0x40bff639,0xbff50fff,0x743fff88,
    0xeefffeee,0xdffff15e,0x00bddddd,0x8801ffec,0xbfffbaaa,0x1bfe62aa,
    0x55113fee,0x557fff75,0x643ffc45,0x7ff102ff,0x7dd55440,0x4c2aabff,
    0xfffdefff,0x3fffe602,0x7cc2ffff,0xffffffff,0xeefffd82,0x3fe2eeee,
    0x0effffff,0xfffffd88,0xffd0ffff,0x4c3fffff,0x4ffb86ff,0x3fffffa2,
    0xfffd85ff,0x545fffff,0xffd1ffff,0xbaaa88bf,0x42aabfff,0xfffffffb,
    0x7fffd45f,0xfb03ffff,0xddddddff,0xf13ffc45,0xfff90bff,0xd89fffff,
    0xffffffff,0x7ffffc3f,0x46ffffff,0xccccccff,0xf702fecc,0x37f440bf,
    0x9985df90,0x999dffb9,0x817fee00,0xfffffff8,0x5ffb2fff,0x7d43ffe0,
    0x46ffc85f,0xffffffff,0xffff57ff,0x0dffffff,0x801ffec0,0xfffffff8,
    0x3fe66fff,0x444ffb86,0xffffffff,0x1ffe26ff,0x7d40bff2,0x3ffe200f,
    0x6fffffff,0xdffffd88,0xfffd8801,0xfff980df,0x880bffff,0xffffffff,
    0x3fffe2ff,0xeb802dff,0x23dfffff,0x0dffffeb,0x7dc37fcc,0x7ffe444f,
    0x3fee02ff,0xf983ffff,0x3fff26ff,0x7ffffc44,0x986fffff,0x2dffffed,
    0xdffffd98,0xfffff101,0x445fffff,0x7ffd47ff,0xfffffa84,0xfffeb82e,
    0xff81dfff,0xffffffff,0x7ffffc6f,0x2fffffff,0x500bff70,0x5401c403,
    0x3ee004ff,0x3ffe205f,0x2fffffff,0x3fe05ffb,0x30bff50f,0x7ffc5fff,
    0x7fffffff,0xfffffff5,0x6c00dfff,0xff1003ff,0xffffffff,0x5c37fccd,
    0x7ffc44ff,0x6fffffff,0x3f21ffe2,0x809d502f,0xfffffff8,0x0c406fff,
    0x10013000,0xf1001333,0xffffffff,0x0099985f,0x10066600,0x37fcc013,
    0x31027fdc,0x04cc4001,0x4c9fff10,0x7fc43fff,0xffffffff,0x0004c406,
    0xfff10033,0x5fffffff,0x7e43ffc4,0x006602ff,0x0004ccc4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x99101999,0x66665c39,0x440009ab,0x6540cccc,
    0xcccccccc,0x8019953c,0xdd9503cb,0x66440059,0x972ccccc,0x0ccc8059,
    0x99999995,0x3332a399,0x20cccccc,0x9abcccca,0x99999300,0x32200559,
    0x65401ccc,0x009abccc,0x3220b32a,0x41e64c3c,0x9991ccc9,0x66644001,
    0x9300abcc,0x99999999,0x80f32e79,0x33264cc9,0x09995002,0x665c7997,
    0x10cca80c,0x64000799,0x440f2a1c,0x000003cc,0x2cc88000,0x10000800,
    0x00402200,0x04400330,0x00020100,0x213ffe00,0x3fa0fffb,0x2fffffff,
    0x3ffff600,0x7ffffe41,0xf76fffff,0x46fe803f,0xffffffe9,0xfffc800d,
    0xff94ffff,0x93ffd40d,0xffffffff,0x3ffff25f,0x320fffff,0xffffffff,
    0xfffffa82,0x5401efff,0x6404ffff,0xffffffff,0x309ff702,0x6ffa8dff,
    0x3fe5ffe8,0x3fe6000f,0x1dffffff,0x7fffffdc,0xff56ffff,0x93ff601f,
    0xf9004ffb,0x7fff83ff,0x320ffffa,0x0dff31ff,0xd8bfe200,0x0dff305f,
    0x4c3d8800,0xff98001e,0xfffd9004,0xffea805b,0xfffb81df,0x1effd8cf,
    0xfffffc88,0x7ffe4c2f,0xff702eff,0x07bfee5d,0xdffffdb8,0x20fffa80,
    0x7f43fff8,0xffffffff,0xffff9805,0x7fffe41f,0x76ffffff,0x5fe803ff,
    0x3bbfffa2,0xff804fff,0x54ffffff,0x3f201fff,0x3ffff24f,0xf92fffff,
    0xffffffff,0x7ffffe41,0x7d45ffff,0xffffeeff,0x3fff200f,0x7ffe407f,
    0x45ffffff,0x999dffc8,0x2a1effa9,0x7ffe46ff,0x8003ffe0,0xfffffff9,
    0x3fee0fff,0xffffffff,0x2613ffa6,0x3fee0fff,0x9fffb004,0xfd3fffd4,
    0x3ff90fff,0x06abbfe6,0x361ff980,0x0dff305f,0x9fff4400,0x4002fff9,
    0x74c04ff9,0x4fffffff,0xffffff90,0xfffff87f,0x0fffffff,0x3fffffe2,
    0x7ffe43ff,0x544fffff,0xffbfffff,0x7f4c0fff,0x00ffffff,0x7fdcbffd,
    0x511ffe87,0xe805fffd,0x4c1ffeff,0xeaaaaaaa,0x03ff55ff,0x3ff25fe8,
    0x07ffea0e,0x1ffdffa8,0xd02fff88,0x1ffe45ff,0x801ffe40,0xfd513ffc,
    0x2ffd45ff,0xf80fffea,0x201fffff,0xfd513ffc,0x7ffec5ff,0xffffffff,
    0x99bfea7f,0x7ffc2fff,0x9bfe6000,0x225fffb8,0xfb999999,0x3ffea3ff,
    0x2e27fec0,0xffb004ff,0x3fffe4df,0xc85ffffd,0xffff31ff,0xa805dfff,
    0x413fa0ff,0x00c46ff9,0xb0f7ffcc,0x4c007fff,0x7ff404ff,0x2ffffdcf,
    0x5cdf7fdc,0x22ba1fff,0xfaafffd8,0x2bbff63f,0x6e41b999,0xfffc99ab,
    0x3f633fa1,0x43ff9bff,0xeccdfffe,0x3fff500f,0xfd05fff1,0x0dffb03f,
    0x7fee7fdc,0x3ffe6001,0xe803ff51,0x20bffa4f,0x3f604ffd,0xfb01ffbe,
    0x8fff10bf,0xfc803ffc,0x7ff9003f,0x7d4dffb0,0x04ffc85f,0x7ffbbff3,
    0x6c1ffe40,0x3fff66ff,0xffffffff,0xe9bfea7f,0x0fff84ff,0x21bfe600,
    0xfd007ffa,0x47ffd0bf,0x7dc0fff9,0xfdfd004f,0x3ff7fe1f,0x8dffffd0,
    0xfff31ffc,0x0dffffff,0x999ffb97,0xf9879dff,0x805f916f,0xc80dfffb,
    0xf3005fff,0x7ffdc09f,0x89bff620,0x7fdc0fff,0xd97fe604,0x00bffe6f,
    0x4cbff600,0x4dff50ff,0x3fff25fd,0x7fec0081,0xfd06ffcd,0x3fff303f,
    0x3f6dff10,0x3ff6001f,0xcb8bfe65,0xfff93fe0,0x105ffb81,0x03ff77ff,
    0x3ee1ffee,0x01ffe45f,0xc801ffe4,0xfff983ff,0xfb0bff51,0x2ffee07f,
    0x3f206ffa,0x1fff983f,0x555bffb3,0x545dff95,0x0dff96ff,0x98003ffe,
    0xfff886ff,0x07ffe400,0xffb3ffd4,0x009ff707,0x26fff3fa,0xfd0ffbff,
    0x7e45ffbf,0x33dff31f,0xe89fffd9,0xffffffff,0x7fcc5fff,0x202fffcf,
    0x5404fffc,0x7e40efff,0xffffffff,0x20fff67f,0xff50fffa,0x40dff30b,
    0x9bf23ff8,0x0002effe,0x7fb9ffe4,0x6fc93fe6,0x4000fffe,0x2ffffff9,
    0x3e03ffd0,0x1ffd82ff,0x22003ffb,0x3fe61fff,0x7fc7ff12,0x2a0fffe4,
    0x1ff706ff,0x3e203ff7,0x1ffec1ff,0x3200fff2,0xff9003ff,0x54bffe07,
    0x7ffcc5ff,0xf11ffd00,0x3ff201ff,0x5c5fff03,0x6ff984ff,0x7fcf7fd4,
    0x01fff01f,0x0dff306a,0x4c01fff1,0x3fa03fff,0x80fff8bf,0xfd004ffb,
    0x5bf9bf97,0x2bffa1ff,0x47ff25ff,0xffd86ff9,0x77fff647,0x44eeffee,
    0xbffffff9,0x3fffd880,0x3dfff300,0x7fffffe4,0x3fa7ffff,0x1fff881f,
    0xdddddff7,0xcb98fffd,0xfeeeeffe,0x3ffffee7,0x7765401c,0xdf73ffff,
    0x77777fc4,0x01fff16f,0x7fffe400,0x407ffa05,0x7fd43ffe,0x4007ff64,
    0x7fcc5ffc,0x7fcdff52,0x887bff63,0xdfd07ffc,0x0bbbbfee,0xfff87ffd,
    0x7777fe40,0x3ff26eee,0x22aaaaad,0x2eeefffe,0x7fd4fffa,0x2fffeeef,
    0x7f4dff10,0xefffe82f,0x8fffa2ee,0xaaaadffb,0x7fd46ffc,0x3e03ffee,
    0x7ff440ff,0x2e1bfe64,0x7ff406ff,0x677fd405,0x9ff703ff,0x3eaffe00,
    0x1ffaafef,0x47ffaffd,0xdff31ffc,0xb01fff30,0x407fccbf,0x0cffffc8,
    0x03fffd10,0x2fffe880,0xbff75553,0x7ffc5555,0x325ffd00,0xffffffff,
    0x3fff27ff,0xffffffff,0x7ffffdc7,0x7ffcc0ef,0x93ffffff,0x7fffc4df,
    0xfff36fff,0xfff98000,0x07ffa02f,0x3fa27fec,0x007ff60f,0xf107ffe2,
    0x43fff67f,0x3ffea3ff,0x6ffffeef,0xff73ff98,0xffb87fff,0x321bfea5,
    0xffffffff,0x3fffff27,0x3ffe5fff,0x3f62ffff,0xfffff54f,0x2a05bfff,
    0x17ff24ff,0x3ffffffe,0xfb93ff62,0xffffffff,0x7fffd46f,0x3ffe00ff,
    0x87fffdc0,0x7fd46ff9,0x3fff203f,0xffffe800,0x09ff700f,0x3fe2ffe0,
    0xd1ff98ff,0x657feaff,0x0dff31ff,0xfd01fff1,0x2a07fd49,0x400fffff,
    0x000efff9,0x303fffd8,0x7ffc09ff,0x323fff02,0xaaaaadff,0x3bff52aa,
    0x33337ff3,0xfffb7103,0x6fffc4df,0x93ffd99a,0x4e7fc4df,0xfff10999,
    0x7fec0001,0x3ffa06ff,0x647ffd01,0x0ffec2ff,0x4437fe40,0x7ffff3ff,
    0xffb85ff1,0x6fffffff,0xff70ffc8,0xff985ddd,0x907ff90f,0xddddddff,
    0x7ffffe4d,0x3ffa5fff,0x3fa2eeef,0x99dff53f,0xb07ffffd,0x3ffcc5ff,
    0x7777fff4,0xfb8fffa2,0xffffffff,0x777fd46f,0x3ffe05ff,0x8ffffdc0,
    0xfffffff9,0x3fe606ff,0xfff5002f,0x27fdc07f,0xffd3ff80,0x7f4bfe6b,
    0x3f23ffe7,0x50dff31f,0x93fa0fff,0xfffc87fb,0xffd1006f,0x3fa2003f,
    0x3fe602ff,0x213ffa04,0x3fee7ff8,0x44ff9004,0xc88002ff,0xdff51fff,
    0x3ee7ff90,0xf013fe67,0x260007ff,0x02ffffff,0x3fe03ffd,0x33dff32f,
    0x135ffd33,0x40bffe20,0xfdef9bff,0xb882ff8d,0x5ffbacdc,0x3fee5ff8,
    0xe97ffc01,0x3ffc81ff,0x99cffc80,0x7fe40999,0x2a5fff03,0x7fec45ff,
    0xff87ff87,0x03ffc81f,0x7fdc5fff,0x546ff984,0x2fff9eff,0xf881fff0,
    0x3ffe65ff,0x404fffff,0x74005ffe,0x3ee00fff,0x2ff8804f,0x3fe65ff7,
    0x7fdcffd2,0xff31ffcc,0x25ffe88d,0xcceffcc9,0x32e4cffe,0x22006ffa,
    0x4c03fffd,0x4c01effe,0x3ff204ff,0x32ffe40f,0xfb001fff,0x002ffccf,
    0xf92fff88,0x3fff98bf,0x3fea1ff5,0x0ffff406,0x66ffec00,0x3ffd06ff,
    0x2e3fff10,0xffffffff,0xf905ffff,0x667fc0df,0xff9ffbcf,0x0fff6001,
    0xfddddff5,0xcffc803f,0xff907ff8,0x07ff9007,0x220fff20,0xbff51fff,
    0x4c3fff30,0xfeeeefff,0x3ffc84ff,0x2e1fff88,0x6ff984ff,0xffcb7fd4,
    0x80fff80f,0x7ffcc2b8,0x6400abcc,0x5c000fff,0x7fdc05ff,0x32ff8804,
    0x4ffe61ff,0x3ffe27fe,0xfff31ffd,0x1ffffd99,0x7fffffdc,0x987fffff,
    0xfc8006ff,0xfff504ff,0x7dd3001d,0x6ffffc40,0x6c1fffdb,0xa999bfff,
    0xd35ff71c,0x86a27fff,0xfc9899be,0x7fff50ff,0x27ffff73,0xfffb3ff8,
    0xfff30447,0x03fb97bf,0x3e27ffea,0x1ffe84ff,0x3ee6ffc8,0xffffffff,
    0xff885fff,0x3b3fe02f,0xffcff89f,0x1fff1001,0xffffffd8,0x7fd401ff,
    0xf904ffae,0x7ff9007f,0x20fff200,0x3fea6ffc,0x21fff885,0xfffffffc,
    0xffc86fff,0x5c6ffc83,0x6ff984ff,0xff8b7fd4,0x00fff85f,0x001bfe60,
    0x0005fff3,0xfb80bff7,0x2ff9804f,0x7f4ffe60,0x7ffffe47,0xffffff31,
    0xdc983dff,0xeffccdff,0x06ff984c,0x1bfff700,0x002fffdc,0xffffb800,
    0xe883ffff,0xffffffff,0x9fffff11,0x47ffffff,0xffffffff,0x3fffe23f,
    0x23ffdfff,0xfdfffffd,0x7dc3ffff,0x1fffffff,0x7e4bffd0,0x0fff40ff,
    0xc987fff2,0xffcccccc,0xffc83cdf,0x3ff7f406,0x001ffdfd,0xf88bffd5,
    0xffecccef,0xfefff801,0x07ff902f,0x2007ff90,0x7fe43ffc,0x217fea1f,
    0x7ff47ffc,0xffeeeeee,0x21ffe40f,0x7dc1fffc,0x46ff984f,0x3fea6ffa,
    0x007ffc2f,0x800dff30,0x70005ffe,0xffb80bff,0x02ff9804,0x3ff4ffe2,
    0x47ffffe6,0xcefffff9,0xd07fd403,0x37fcc09f,0x7fff5000,0x1013ffe6,
    0x55555555,0xffd30355,0xfc803dff,0x21efffff,0xff33ffeb,0x7ff45fff,
    0x982effff,0xf8aefffe,0x3fffa23f,0x2ffffd89,0xfffffd98,0x0fffb80d,
    0xfd17ffe2,0xffffb9bf,0x1ffd800b,0x805fff10,0x3ee4fffe,0x6e640fff,
    0x40efffee,0x7fdc1ffb,0xffb03ccd,0x7fe40fff,0x1cccccce,0x32007ff9,
    0xfffdcdff,0x677fd45f,0x24fffecc,0x3fa06ff8,0x66ffe43f,0xb85ffffd,
    0x6ff984ff,0x3f637fd4,0x37ffe0ff,0x40cccccc,0x2e006ff9,0xeeeeefff,
    0x3fee05ee,0x677fdc05,0xf32ccccc,0xa7fc403f,0xfffd87fe,0x00dff31f,
    0x3ff8ff50,0x333ffe60,0x9804cccc,0x4017d44e,0xfffffff9,0x0cc04fff,
    0x00ccc400,0x300ccc06,0x31001333,0x440c4003,0x01310019,0x6427ffc4,
    0x3ffa1fff,0x03ffffff,0x701ffd80,0xffb00dff,0x7fffcc5f,0x3ffffe20,
    0x6fe80dff,0x5fffffb8,0x0bffff50,0x7fffffe4,0x7ff92fff,0x3ffff200,
    0xfa83ffff,0xffffffff,0x9027fdc5,0xfffc8bff,0x703fffff,0xdff309ff,
    0x7c46ffa8,0x3fffe5ff,0x40ffffff,0x32006ff9,0xffffffff,0x3fee07ff,
    0x7fffdc05,0xf54fffff,0xa7fc403f,0xfffa87fe,0x00dff31f,0x7fc4ff70,
    0x3fffe602,0x007fffff,0x7cc00201,0xffffffff,0x0000004f,0x00000000,
    0x00000000,0x0fffc800,0x3a6fff88,0x0bceffff,0x03ffb000,0xb007fff1,
    0xfffd0fff,0xbdefff88,0x707ff301,0x20bfffff,0x202ffff8,0xfffffffc,
    0x07ff92ff,0x3bffff20,0xfff500bc,0xb039dfff,0x7fd403ff,0x77fffe47,
    0x3fee00bc,0x546ff984,0xfffb86ff,0xfffffff3,0xff981fff,0x3fff2006,
    0x7fffffff,0x7017fee0,0xffffffff,0x807fea9f,0x0ffd5ff8,0x7cc7fffa,
    0x6fc8006f,0xf9807fe6,0xffffffff,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80808000,
    0xeeb84ee9,0x00332202,0x33000220,0x00060001,0xddd90011,0x3b601ddd,
    0xeeeeeeee,0x33bbb261,0x884eed81,0x1dd91eed,0xd10eeb80,0x0bddb0bd,
    0xa859db91,0x3baa05ee,0x00ffe205,0x98000000,0x13014009,0x00220000,
    0x664c00c4,0x80732200,0xccccccc8,0x10102ccc,0x3fa1fff0,0x1111112f,
    0xa8111111,0x44001ded,0x21bbbbbb,0x8005ffe9,0x2662fffb,0x99999999,
    0x33309999,0xff833333,0x00000005,0x74c00000,0xd89efd8e,0x1bfe62ef,
    0xfc80fff2,0x23bb206f,0x802fffea,0x3a604ff9,0xdfffc8ae,0x3fffb200,
    0xffffb00d,0x3ffe01ff,0x1fffffff,0x3fffffee,0x217ffd41,0x3ff65ffd,
    0xf13fec01,0x0fffc8ff,0x7fffffcc,0x407ffe25,0x7fc03ffd,0x2175c022,
    0xb317543e,0x3ffff20d,0x983fc82e,0x7fe440ef,0xffff9107,0x3fffee09,
    0x0dffd00d,0xf3037fec,0xffffffff,0x5cbfb09f,0x43ffe0ef,0xfff91ffe,
    0x7fffffff,0x1fffffd4,0x3fea13fe,0x6c44ffff,0x3ee005ff,0x7fffc1ef,
    0xffffffff,0xffffb1ff,0x17fc4fff,0x00000000,0x3fe60000,0xffcefffd,
    0x21bfe67f,0x3f603ffc,0x33ff607f,0x02ffffff,0xf3027fcc,0xfffffd9f,
    0x79dfd10b,0x99505ffb,0x3601fff9,0xfffeeeee,0x7442660f,0x0fffc84f,
    0x7e41fff5,0x137f402f,0x7ffdcfff,0xebbffe81,0x13ff61ff,0xd703ffe2,
    0x17627fe3,0xffc9bfe6,0x2e1fff12,0xfffd84ff,0x3fe61fff,0x8fffe63f,
    0xd07ffffc,0x89ffffff,0xfffffffc,0x17fffc40,0x81ffffd4,0xeeeeeee9,
    0x7fc43eee,0x7c7ffd0f,0x647ff67f,0xffffffff,0x3bffa3ff,0x7ff13fff,
    0xbbbbbb30,0x017ff207,0x3e037fee,0xffffffff,0xfb1fffff,0x54ffffff,
    0x000000ff,0x40000000,0xffcdfff9,0xf31ffcdf,0x07ff90df,0xfb017fcc,
    0xffd7dfff,0x04ff980d,0x33ffffe6,0x7f41fffd,0xfe9acccb,0x007ffc01,
    0x405fff50,0xfd05fd99,0x85fff1bf,0x82aa3ffa,0x5ffe25ff,0xf982fffa,
    0xa93fe22f,0x5ffb87ff,0x7f5fffc4,0x7f42ffeb,0xa8bff31f,0x07ffa4ff,
    0x21ffec13,0xff8bfffa,0x7ff7ec4f,0xfb37d307,0x46ffccdf,0xfd84ffc8,
    0xbbfe83ff,0x800000ff,0x87ff26fe,0x43ff67fe,0xaaaaaaa9,0x7ff33ffa,
    0x3ffbffe6,0x2600001f,0x2aa200aa,0x26666602,0x99999999,0x2eeeeea1,
    0x000f6a3b,0x00000000,0x4dffe600,0x3ff88fff,0xff90dff3,0xffb00007,
    0x03ffc49f,0xf9813fe6,0x3ffa0eff,0x3be2fee3,0x406f8bfe,0xf1000fff,
    0xffb109ff,0x3e60bfff,0x984ffeff,0x29ff34ff,0x3fe24ff8,0x503fff9f,
    0x45fe81ff,0x7ff42fff,0xffffd982,0x7fdc2eff,0xb01ffd13,0x1bfe65ff,
    0xa81ffe98,0x84ffffff,0x200fff29,0x3fee6ffb,0x7c42ffc0,0xd3fdc2ff,
    0x200000bf,0x3ff40981,0x22001ff9,0x43ff53ff,0x05fffff9,0x00000000,
    0x00000000,0x00000000,0xff980000,0x3e29ff13,0x90dff33f,0x4cccc7ff,
    0x99999999,0xff0bffb0,0x54cccc1f,0x09999cff,0xfc83fff3,0x57c5fa3f,
    0x401f95f8,0xfd000fff,0x2fbfa0bf,0x3ee05fd9,0xff106fff,0x7c5fff2b,
    0x3bffe22f,0x3fea03ff,0xf913fe22,0x037fccbf,0x213fffe6,0x3ff26ff8,
    0x21ffd101,0x7fe43ffb,0x3fea02ff,0x7ff804ff,0x22fff980,0x37f40ffb,
    0x3e21ffd8,0x10bfea2f,0x99999999,0xd8000599,0x003ff26f,0x4401ffc4,
    0x00003dec,0x00000000,0x00000000,0x00000000,0x225ff300,0x27ff13ff,
    0xffc86ff9,0x3fffffe3,0xb2ffffff,0x833307ff,0xffffffff,0xff32ffff,
    0x7c9ff70d,0x25fbbf15,0x3ffe02fb,0x0fffd800,0xfd13ff88,0x2fffe80b,
    0x7ff5bfe0,0x221ff9af,0x03ffffff,0x32277fe2,0x7ffc42ff,0x2207ff90,
    0xdffffffc,0xfe97fe62,0x43ffa00f,0x7f5c4ffb,0xff303fff,0xfff007ff,
    0x44fff980,0x3fe23ffa,0x6c5ff984,0x4c6fe86f,0xffffffff,0x4c0004ff,
    0x800aa62a,0x00003ee8,0x00000000,0x00000000,0x00000000,0x3e600000,
    0x227ff12f,0x0dff33ff,0x7ffc7ff9,0xffffffff,0x007ffb2f,0x7ffffffc,
    0xf32fffff,0x49ff70df,0x49fdf15f,0x3ffe02fa,0x0fffdc00,0xfffbfff0,
    0x7fffdc0b,0xf3ffd00e,0x1ff5bfff,0x7fd7ffc4,0x3fff202f,0xffb05fff,
    0x2203ffe7,0xfbfecfff,0x4bff22ff,0xff906ff9,0x301bfe25,0xff981fff,
    0x7c03ffff,0x3ffea07f,0xcdfff883,0xfb931fff,0x0ffcc1df,0xdd327fcc,
    0xdddddddd,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ff98000,0x3fe27ff1,0xfb0dff33,0x5555547f,0x0aaaaaaa,0x54007ffb,
    0xadffcaaa,0xdff30aaa,0xb749ff70,0xf91fbaf8,0x007ffc01,0xa807fff3,
    0x05fbdfff,0xbffffff3,0x3bf3ff60,0x447fcffc,0x1fff97ff,0x27fffe40,
    0xff5bff50,0xff97dc0b,0x7fc46e89,0x987ff70f,0x07ff65ff,0x20fffa83,
    0xffacfff9,0x7fd54c3f,0x3fee0aaf,0x2a0aaacf,0x23ffffff,0xcb84fffa,
    0x00132e03,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x97fcc000,0x7ff13ff8,0xfc83ffe2,0xd80003ff,0x260003ff,0x3fe604ff,
    0x324ffb86,0xdf8af8af,0x7ffc06f8,0x0bfff100,0xfe8800c0,0x82fff9bf,
    0xf9bffffc,0x7fc46fff,0x003bffa7,0x3ffe0011,0xf0402ffd,0x7fd4045f,
    0x7c47ffa5,0x09ff70ff,0x9fffffff,0xf527ffc4,0x7ffec7ff,0x3fe1ffff,
    0x41ffffff,0x440bccb8,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fcc0000,0x3e27ff12,0x2f7ffe3f,0x203ffffe,
    0x3f601dd8,0x3e60003f,0x1bfe604f,0xfe893fee,0x3fd750aa,0x7fdd5544,
    0x3f62aabf,0xeeeeeeff,0x55555512,0x6ffd8355,0xf503fff2,0x3ffa3fff,
    0x13ffc45f,0xaa88bfff,0x01aaaaaa,0x00fffff9,0x6c017fc4,0xb833e23f,
    0x7c1baa2f,0x443effff,0x0efa84fe,0x3ffffff6,0x3ffffe1f,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44bfe600,0x47ff13ff,0xcffffffc,0x3ff603ff,0x00fff607,0x204ff980,
    0xffb86ff9,0x55e7fcc4,0x7fc43ffc,0xffffffff,0xffffff16,0x3e65ffff,
    0x3fffffff,0xfd07ffee,0x6fff98df,0xf113fff2,0x4fffa8ff,0x3fffffe6,
    0xfff303ff,0x4000009f,0x04000808,0x38801330,0x000002a0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x7ff12ff9,0xff90ffe2,0x07ff15df,0xfb03ffec,0x7cc0007f,0x1bfe604f,
    0x36213fee,0x881effff,0xffffffff,0xffff16ff,0x25ffffff,0xeeeeeee9,
    0x07fff32e,0x7c47fff3,0x3ffe64ff,0x643ffc43,0xddd32fff,0x405ddddd,
    0x0001fffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf12ff980,0x20ffe27f,
    0xd8800198,0x0fff602e,0x01aa8800,0x3ee1bfe6,0x004cc04f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_26_latin_ext_x[560]={ 0,5,2,0,1,0,0,5,3,2,1,0,2,3,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,3,1,3,1,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,1,0,0,0,
5,1,0,0,2,1,1,3,0,0,2,1,2,2,0,1,0,4,5,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-4,-2,2,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,1,0,0,1,0,0,-2,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-3,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_26_latin_ext_y[560]={ 19,1,1,2,-1,0,1,1,0,0,1,5,14,10,
14,1,2,2,2,2,2,2,2,2,2,2,5,5,4,8,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,21,1,5,1,5,1,5,0,5,1,0,
0,1,1,5,5,5,5,5,5,5,1,6,6,6,6,6,6,0,-2,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,5,0,2,2,2,
-2,0,0,2,2,6,10,10,0,1,0,3,0,0,1,6,1,9,19,0,2,6,0,0,0,5,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,1,1,
1,0,0,-1,5,5,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,5,3,1,1,1,0,1,1,0,
-2,1,-3,1,2,5,-3,1,-3,1,-3,0,-3,1,-3,0,2,1,-2,1,-3,1,-3,0,2,5,-3,1,-3,1,
-3,1,-3,0,2,0,-3,-4,2,1,-3,0,-2,1,-3,1,2,0,-3,6,2,0,-3,1,2,1,6,-3,-4,2,
1,0,0,2,1,2,1,-3,1,2,5,-3,1,-1,2,5,-2,1,-3,1,-3,1,2,5,-3,1,2,5,-3,1,
-3,1,-3,1,2,5,-3,1,2,1,-3,0,2,1,-3,0,-2,1,-3,1,-4,-1,-3,1,2,6,-3,1,-3,1,
-3,-3,1,-3,0,-3,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-6,-5,-3,1,-3,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,5,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_26_latin_ext_w[560]={ 0,5,10,14,13,15,15,4,9,9,12,14,8,9,
6,13,14,12,12,12,14,12,13,12,12,13,6,8,11,12,11,10,15,15,13,12,13,11,11,14,13,12,10,13,
11,14,13,14,13,15,13,12,13,13,15,14,15,15,12,8,13,8,13,15,9,12,13,12,13,12,14,14,12,12,
11,13,12,14,12,14,13,13,12,12,13,12,15,15,14,15,12,11,4,11,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,14,14,14,
4,13,12,15,10,12,12,9,14,11,10,12,10,10,14,13,14,6,5,10,10,12,15,15,15,9,15,15,15,15,
15,15,15,12,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,12,14,14,14,14,14,15,13,13,13,14,
13,13,13,13,14,12,13,14,13,13,13,14,13,13,14,13,14,14,14,14,14,14,14,13,14,13,13,15,13,15,
15,13,15,13,15,12,14,14,13,13,13,13,13,13,15,17,14,15,13,13,13,13,13,13,11,12,13,13,14,14,
14,14,14,14,14,14,14,13,15,13,13,13,13,13,13,13,12,13,13,12,13,13,12,12,13,13,13,13,13,11,
12,17,17,13,16,13,12,14,14,13,12,14,13,13,13,12,14,14,14,14,15,16,14,14,15,14,13,12,15,14,
13,14,13,13,12,12,13,13,13,13,14,17,13,13,14,13,14,13,14,13,14,13,15,16,13,13,14,15,15,15,
15,13,14,13,13,13,13,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,15,13,15,14,17,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,12,12,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__consolas_bold_26_latin_ext_h[560]={ 0,19,7,17,24,20,19,7,25,25,12,14,10,4,
6,21,18,17,17,18,17,18,18,17,18,17,15,19,16,8,16,19,25,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,22,17,18,17,18,17,17,17,17,17,25,21,25,9,4,6,15,19,15,19,15,19,20,18,19,
25,18,18,14,14,15,20,20,14,15,19,14,13,13,13,19,13,25,27,25,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,23,17,17,17,
27,22,7,18,13,12,7,4,14,6,10,16,11,12,6,19,21,6,4,11,13,12,19,19,19,20,22,22,22,22,
22,23,17,21,22,22,22,22,22,22,22,22,17,22,23,23,23,23,23,12,23,23,23,23,23,22,17,20,19,19,
19,20,20,21,15,18,19,19,19,20,18,18,18,19,19,19,19,19,19,20,20,14,19,19,19,19,20,24,24,25,
21,19,22,19,23,20,23,19,23,19,23,20,23,19,22,20,17,19,21,19,22,19,22,20,23,20,22,19,23,24,
23,24,23,25,23,25,22,23,17,18,22,19,21,18,22,18,23,25,22,13,18,25,23,24,23,24,13,22,23,23,
24,19,19,17,18,17,18,22,18,23,20,22,18,20,23,20,22,19,23,19,23,19,18,15,22,18,23,20,22,18,
23,19,23,19,21,18,23,19,23,24,22,20,17,19,23,20,22,19,23,19,24,21,23,19,23,19,22,18,22,24,
22,22,18,22,19,22,18,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,25,25,22,19,25,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,23,20,23,24,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__consolas_bold_26_latin_ext_s[560]={ 382,505,354,346,297,446,111,507,41,105,209,
57,305,446,504,217,115,478,491,130,31,157,209,46,223,74,505,413,375,328,387,
454,115,173,159,265,17,120,132,170,450,437,185,220,291,303,318,278,248,413,464,
336,423,322,104,59,1,275,262,96,203,188,314,430,405,468,75,496,164,427,210,
374,196,331,197,308,252,1,72,412,320,432,44,455,225,16,193,152,137,268,113,
131,6,11,378,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,382,506,428,
349,393,408,1,62,341,99,126,222,365,446,85,393,294,399,283,248,415,344,175,
504,456,272,182,235,284,194,178,41,429,459,490,17,250,131,88,190,368,308,30,
144,130,101,59,16,144,1,376,418,236,477,102,259,147,1,44,73,306,188,332,
306,357,342,328,1,491,147,440,72,242,227,213,389,85,461,420,399,141,127,313,
298,256,476,403,29,96,184,198,170,462,237,223,158,231,82,322,15,447,347,206,
465,16,156,391,279,59,385,76,247,189,358,161,371,73,494,92,265,280,293,48,
440,361,253,221,282,162,51,191,143,398,463,204,58,338,1,106,44,280,434,405,
174,220,100,491,209,251,327,292,355,168,87,321,335,369,422,29,234,374,361,16,
158,29,433,28,492,391,418,347,15,44,103,483,118,264,133,476,481,352,1,177,
51,382,405,117,239,88,254,120,448,30,47,498,268,33,64,379,89,440,360,115,
61,468,150,340,133,412,314,382,300,173,236,204,311,234,266,293,294,480,445,143,
286,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,475,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,80,66,1,271,23,396,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,455,334,498,268,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364, };
static unsigned short stb__consolas_bold_26_latin_ext_t[560]={ 25,76,177,159,1,76,99,29,1,1,177,
177,177,177,140,76,140,140,140,140,159,140,140,159,140,159,120,99,159,177,159,
99,1,159,159,140,159,159,159,140,140,140,140,159,159,159,159,140,159,53,140,
140,140,140,159,159,159,159,159,1,76,1,177,177,177,159,120,159,120,159,120,
76,140,120,1,140,140,177,177,159,76,76,177,159,120,177,177,177,177,120,177,
1,1,1,177,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,25,53,1,
140,140,140,1,76,177,140,177,177,177,177,177,177,177,159,177,177,177,120,76,
147,177,177,177,177,120,120,120,99,53,53,53,76,53,29,159,76,53,53,53,
53,53,53,53,53,159,53,29,29,29,29,29,177,29,29,29,29,29,53,159,
76,99,99,99,99,76,76,159,140,99,99,99,76,140,120,120,99,99,99,99,
99,99,76,76,177,99,99,99,99,76,1,1,1,76,99,53,120,29,76,29,
99,29,99,29,76,29,99,76,76,159,120,76,99,53,99,76,76,29,76,76,
99,29,1,29,1,29,1,29,1,53,29,159,140,53,120,76,140,53,120,29,
1,53,177,120,1,29,1,29,1,177,53,29,29,1,99,120,159,120,159,140,
53,140,29,99,29,120,76,29,99,53,120,1,120,29,120,120,159,53,140,29,
99,53,120,29,120,29,120,76,120,29,120,1,1,76,99,140,120,1,76,53,
120,1,120,1,76,1,120,1,120,53,140,53,1,53,53,140,53,99,53,140,
99,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,53,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,1,1,76,99,1,1,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,1,76,1,1,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140, };
static unsigned short stb__consolas_bold_26_latin_ext_a[560]={ 229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_26_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_26_latin_ext_s[i] + stb__consolas_bold_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_26_latin_ext_t[i] + stb__consolas_bold_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_26_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_26_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_26_latin_ext_x[i] + stb__consolas_bold_26_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_26_latin_ext_y[i] + stb__consolas_bold_26_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_26_latin_ext_s[i] + stb__consolas_bold_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_26_latin_ext_t[i] + stb__consolas_bold_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_26_latin_ext_x[i] + stb__consolas_bold_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_26_latin_ext_y[i] + stb__consolas_bold_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_26_latin_ext_LINE_SPACING
#endif

