// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT        222
#define STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_28_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_28_latin_ext_LINE_SPACING          18

static unsigned int stb__consolas_bold_28_latin_ext_pixels[]={
    0x2aaa1555,0x79991000,0x00000000,0x00080400,0x0ef76c40,0x002aa200,
    0x015554c0,0x401bca88,0x2aaaaaa9,0x0002aaa0,0xfd0136a0,0x105fffff,
    0x40d54155,0x80000aaa,0x260002a9,0x03eb802a,0xea801bb3,0xdb10000d,
    0x730ae205,0xfeca8003,0x00337be2,0xbffffff5,0x00e6dc40,0x20000980,
    0x00000001,0x2aa00001,0x80000401,0x018001cc,0xfe804c00,0x003ffd1f,
    0x0009fff3,0x20001ff9,0x400efffa,0x0076c2fb,0x0effe880,0x77ff4400,
    0x7ffcc000,0xfffb800e,0xff701fff,0x220bffff,0x40001fff,0x3a04fff9,
    0x82ffffff,0x7ff33ff8,0x0005fff0,0x005fffa8,0x205fffa8,0x7c43fffa,
    0x3fe205ff,0xffd0006f,0x27ffb01f,0x8800fff8,0x3e2ffffe,0x2a02ffff,
    0x05ffffff,0x007ffffa,0x3fffff6a,0x7f6d402e,0xf903dfff,0x0077dc1d,
    0x33bffb66,0x05ff0000,0x4477ffa6,0x3ff1000d,0x01ff6600,0x407ff440,
    0x3ffd1ffe,0x01eff980,0x000dff00,0x2013ffea,0xff90fffb,0xfe88001d,
    0x100fb63f,0x01dffdfd,0x013ffe60,0x7ff7ffec,0xfffb81ff,0xff105fff,
    0xfa80003f,0x3ffa05ff,0xfb01cccd,0xf01fffdf,0x4c0005ff,0x004ffeff,
    0x13ffbfe6,0x2627ffdc,0x3e607fff,0xff0007ff,0x9fff03ff,0x200bffe6,
    0x21cefffc,0x00ffffdc,0xbffb9993,0x27d57e60,0xfffffd10,0x36209fff,
    0xffffffff,0x9fffc40f,0x2e03fff8,0xffffffff,0x0ffc4002,0x7fffffc4,
    0xf3004ffe,0x3fee001f,0xfff70007,0x3a3ffd09,0x154c01ff,0x09ff5000,
    0x05fff500,0x449fff50,0x2000effe,0x3fe60998,0x23bfa202,0xf9806ff9,
    0xff7002ff,0x437fd41b,0x5ffd9998,0x003fff10,0x02ffe880,0x44007ffa,
    0xf02ffffe,0x260005ff,0x09ff55ff,0x3eabff30,0x1fff984f,0x7404ffe8,
    0xf90004ff,0x87fee0df,0xff800efe,0x7ff4402f,0x0bff3002,0x027d57e6,
    0xdddffffb,0xfff109ff,0xffffdfff,0x7c5fff01,0xfff902ff,0x3fffffff,
    0x407fcc00,0xfffa9de8,0x32e600ef,0x401bcffe,0x50007ffb,0xffd07fff,
    0x4407ffa3,0x001ffffe,0x0002ffc8,0x3fe20013,0x4fff885f,0x3f222000,
    0x8266200f,0x4c400998,0xbff30009,0x9007fee0,0x3fe20bff,0xa880001f,
    0x00fff401,0xf802aa60,0x310002ff,0x88019883,0x880cc419,0x400aa01a,
    0x5540002a,0x00602200,0xb8037fc4,0xff3004ff,0x7ffff40b,0x19fff101,
    0xfffb0310,0x80da883b,0x81e4c2c9,0x2a0efff8,0x2a005fff,0x7502207f,
    0x7ffe4405,0x405fffff,0x20007ffb,0x3ffd03eb,0x7dc07ffa,0x0005fb8d,
    0x7ffd4000,0x0fffd804,0x005fff30,0x7ffffecc,0x00000005,0x201ffd00,
    0x7e404ff8,0x3fff105f,0x01300008,0x8001ffe8,0x17ffc009,0x00000000,
    0x00000013,0x00000000,0x2ffcc000,0x005ff980,0xcb80bff3,0x3ffea01c,
    0x3ffe6001,0x40000004,0xfb80effc,0x3b2a01ff,0x0002dfff,0x3fffff60,
    0x7445ffff,0xeefffeee,0x02001eee,0xffe8fff4,0x3ea9f901,0x00130005,
    0x4ffdff98,0x007ffee0,0x3200dff9,0xffffffff,0xdddddb00,0x7754dddd,
    0x17bae00e,0xfe807ff3,0x82ffe406,0xfd98fff8,0xfea804ef,0x2eeeefff,
    0x2a003ffd,0xeeeffffe,0x885fff2e,0x3baa5eed,0x17bae00e,0xeffffea8,
    0xddd12eee,0xa85dd903,0x04eeeeee,0x7777776c,0x3bbaa6ee,0x417bae00,
    0xf3004ffa,0x3fe600bf,0x440fbb25,0xfff50eee,0x7ffec007,0x1f764000,
    0x3e0eee88,0xfff104ff,0xffffb107,0x77649fff,0x21ddd103,0xfe9cfffa,
    0x7fc42a8b,0xffffffff,0x372202ff,0xfd2dffff,0x407ffa3f,0x02fffff8,
    0x3ffffaa0,0xf702eeee,0xfe81be29,0xfff8803f,0x7fffe402,0x80effffe,
    0xffffffff,0x0fffe27f,0x7e44fff8,0xbdbfd70f,0xffc80ff9,0xf7fff105,
    0x40bfffff,0xfffffffd,0x3ffd3fff,0xfffffb00,0x3e7fffff,0x3ffa22ff,
    0x0fffe21f,0xfb04fff8,0xffffffff,0x07ffe27f,0xff70fffa,0xf80bffff,
    0xffffffff,0x80fffe27,0xff504fff,0x17fe6009,0xfd2ffcc0,0x3ffe209f,
    0x39ffff31,0x009fff00,0x2209ffd0,0xfff11fff,0x427ff403,0xfffffffe,
    0x413ffa4f,0xff91fff8,0xd1017fcf,0xddfffddd,0x3ee03ddd,0x5fffffff,
    0x3ffa3ffd,0x02f2e201,0xfffffd80,0x703fffff,0x4c1be6bf,0xfb000fff,
    0x7ffc40bf,0xbffffd0d,0xddddddb0,0x6ffd8fff,0xf81fff50,0xfffffb5f,
    0x6401ff79,0xfff105ff,0xfffdbfff,0x35fff705,0x239bfff7,0x7dc01ffe,
    0xfffb9aff,0x45fff1cd,0xfd81fffd,0x1fff506f,0x735fff70,0x2239bfff,
    0xffe81fff,0x7ff77543,0x7776c05f,0x6c7ffeee,0xfff506ff,0x013fea01,
    0x98037fc4,0x13ffa5ff,0xfb0fffc4,0x205bffff,0x2a22fff8,0x7f42aaaa,
    0x3fff104f,0xd803ffe6,0x7ffdc5ff,0x229bfe9d,0xff104ffe,0x23fff23f,
    0x2e001ff9,0x3f2007ff,0xfffeffff,0x3fa3ffd5,0x3bbb201f,0xfffb800e,
    0xcdfffb9a,0xffdff101,0x01fff207,0x900fffb8,0x77fccdff,0xf5000fff,
    0x1fffa8ff,0x7c45ffd8,0xfdeff9bf,0x200ffbbf,0xff105ffc,0x3fa21bff,
    0x41ffe86f,0x7ff45ffb,0x20fff401,0x7ffc5ffb,0x205fff92,0xfd81fffa,
    0x83ffd05f,0x7fc45ffb,0x03ffe81f,0x8002ffe4,0x7fd47ffa,0x05ffd81f,
    0xf800fff2,0xff9800ff,0x4413ffa5,0x3f621fff,0x43ffffff,0x3e61fff9,
    0x3a0fffff,0xfff104ff,0x803ffea3,0x7ffc6ffd,0x3fa0bfe5,0x3fff104f,
    0x3f3fffee,0x3fee000f,0xffff3007,0xfe9dc415,0x403ffd1f,0x803fffff,
    0x7fdc1ffe,0x3efd9805,0x8017ffa0,0xff02fff9,0x7cffdc7f,0xff5002ff,
    0x889fff0f,0x7fd42fff,0xffa9ffc9,0x3201ffaa,0xfff105ff,0x81fff70d,
    0x7fc40fff,0x200fff47,0x7fc40fff,0x7d57ffc7,0x7ffc03ff,0x817ffc44,
    0x7fc40fff,0x40fffc47,0x7e403ffe,0xff50005f,0x889fff0f,0x5ccc2fff,
    0x36001fff,0x3009beff,0x27ff4bff,0xb81fff88,0x4ffffffe,0xf987ffea,
    0x3a0fffff,0xfff104ff,0x803ffee3,0x3fe26ffd,0xd03ff13f,0x3fe209ff,
    0xffffd11f,0x7dc005ff,0xfffd007f,0x23ffd001,0xff501ffe,0xff00bfff,
    0x07ff881f,0xff801310,0x7ffc003f,0x20fff883,0x07ffb6fe,0x321ffea0,
    0x3ffd47ff,0xbff47fe4,0x0ffaaffb,0x4417ff20,0xff981fff,0x20fffc1f,
    0x7ff46ff9,0x20fffc01,0x7ffc6ff9,0xc804fffc,0x3ffd47ff,0xf983fff0,
    0x0fffc46f,0x3201fff4,0xf50005ff,0x8fff90ff,0xfff87ffa,0x644003ff,
    0xf302ffff,0x827ff4bf,0x2601fff8,0x32fffffd,0x55445fff,0x3fa0fffb,
    0x3fff104f,0xd803ffea,0x3ffea5ff,0x3fa0ff30,0x3fff104f,0x7fffff4c,
    0xffb802ef,0x3fff9807,0x003ffd00,0x3fff7fe4,0x260fffc0,0xfd7106ff,
    0x883bffff,0x74001fff,0xfff984ff,0x3f67ff10,0xfff5004f,0x6c5fff10,
    0xf7fc84ff,0x2e7feebf,0x3ff200ff,0x03fff105,0xfd85fff1,0x9ffd11df,
    0x6c01ffe8,0xffd11dff,0xffffff89,0x5fff1007,0xfb027fec,0x3ffa23bf,
    0x40fffc44,0x7e403ffe,0xff50005f,0x45fff10f,0xfff84ffd,0xfd70003f,
    0x3fe605ff,0x4413ffa5,0xd8801fff,0x3ffe5fff,0x41fff103,0xff104ffe,
    0x07ffe63f,0x3ea4ffe8,0x20ff70ff,0xff104ffe,0xfffd703f,0xfb80bfff,
    0xfffb807f,0x03ffd000,0x7fd7ffc0,0x6ffec02f,0x209ffd11,0xfffffffa,
    0x1ffe62ff,0x217ff200,0x3fee7ffa,0x200dff91,0xffb07ffa,0x207ffe2b,
    0x94ff8efd,0x80ff71ff,0xff105ffc,0x3fff103f,0xffffff88,0x7ff40eff,
    0x7fffc401,0x7c0effff,0x04fffcff,0x3e2bffb0,0x3fe201ff,0x0effffff,
    0x740fffc4,0x7fe403ff,0xfff50005,0x7c57ff60,0xffca81ff,0x7fe4006f,
    0xff300acf,0x8827ff4b,0x3e001fff,0x1bffe6ff,0xfd07ffc4,0x3ffe209f,
    0x207fff11,0x3e63fff8,0x20bf92ff,0xff104ffe,0x7fffc03f,0x3ee03fff,
    0x7ffc807f,0x007ffa00,0xffebffcc,0x7fffc404,0x500effff,0xff7559bf,
    0x3ffe61ff,0x27fe4001,0xdfb3ffdc,0xa8037fe4,0xfff507ff,0x3a0dff71,
    0xfb4ff8ef,0xf901ff2f,0x3ffe20bf,0x40fff981,0xfffffffb,0x01ffe80c,
    0x7fffffdc,0xafff80cf,0xa802fffc,0x6ffb8fff,0x7ffffdc0,0xff880cff,
    0x03ffe81f,0x8002ffe4,0xff507ffa,0x00dff71f,0x22003ffd,0xf9800fff,
    0x413ffa5f,0x2001fff8,0x3ff25ffe,0x0fff881f,0x7c413ffa,0x1bffa1ff,
    0xf107ffdc,0x09fb1bff,0x7c413ffa,0x5ff101ff,0x5c0dfff7,0xffd807ff,
    0x07ffa006,0xfcaffdc0,0x7ffdc06f,0x200cffff,0x3fff1008,0x000bffe2,
    0xff307ffd,0xfc93fe2f,0xfff5004f,0x7f57ffc0,0xf1dfd03f,0x7f5ffa9f,
    0x82ffe405,0xfc81fff8,0x9b7fc47f,0x3ffa009a,0x4dbfe201,0x3ffe009a,
    0x003fffd2,0x7ffd5fff,0xa9b7fc40,0x3ffe2009,0x403ffe81,0x50005ffc,
    0x7ffc0fff,0xc803ffea,0xff3003ff,0x97fe600d,0xff104ffe,0x5402aa3f,
    0x3fe23fff,0x7ffc42ff,0x4413ffa0,0x3fee1fff,0x27ffd44f,0x7f77ffec,
    0x3ffa3b9c,0x03fff104,0x7fec3fe6,0x0bffea07,0x400dffd0,0xfd001ffe,
    0x07ffe65f,0x9a9b7fc4,0xffe80000,0x8013ffe3,0xf882fff8,0x21ffa8ff,
    0xf5003ffd,0x77fe40ff,0xdfb00fff,0x3ffefbfe,0x7e402ffa,0x3fff105f,
    0x4c4fff98,0x7f4006ff,0x1bfe601f,0x225fff00,0x6400ffff,0x00fffeff,
    0x1001bfe6,0xffd03fff,0x05ffc807,0x40fff500,0x0fffeffc,0x004ffa80,
    0x2600bff3,0x13ffa5ff,0xfc8fffc4,0xffedceef,0x7ffdc0ff,0xfffedeff,
    0x4413ffa0,0x3fa21fff,0xfffeefff,0xffff880f,0x3a4fffff,0xfff104ff,
    0xfc9fea03,0x3ffe206f,0x361caacf,0x3fa007ff,0x883ffd1f,0x3ffe0fff,
    0x00dff303,0xf9955100,0x37ff47ff,0x03fff500,0x1ff6bffe,0x2a005fff,
    0x3fe207ff,0x3f204fff,0xffffffb7,0xccc81dff,0xcccfffec,0x55bfff13,
    0xf10dfff9,0x7999bdff,0x403ffd05,0xccdefff8,0x2fff82bc,0x101bffea,
    0x809fffff,0xccdefff8,0xfff882bc,0x643ffe81,0xcfffeccc,0xff5003cc,
    0x7fffc40f,0x9ff5004f,0x017fe600,0xffd2ffcc,0x43ffe209,0xfffffffc,
    0xff701fff,0xffffffff,0x8827ff41,0x7fc40fff,0x0fffffff,0x3ffffa20,
    0x3ffa4fff,0x21fff104,0x2adf71bc,0x7e404fff,0x22ffffff,0xd000fffc,
    0x07ffa3ff,0xffd8dff5,0xbdfff105,0xa8057999,0xfffffffe,0x03ffee3f,
    0xd037fe40,0x549ffbff,0xf5000fff,0xfffd80ff,0x23ff201f,0xffc9fff9,
    0xfffff80f,0x16ffffff,0xffffffff,0x3fee03df,0xefffffff,0x7007ffa1,
    0xffffffff,0x17ffc3df,0xb013fff2,0x7003ffff,0xffffffff,0x7ffc43df,
    0x7c3ffe81,0xffffffff,0xff5006ff,0xffffd80f,0x09ff5001,0x4017fe60,
    0x3ff65ff9,0x5cfff304,0xfffffffe,0x7fecc00c,0x6c2dffff,0xfff304ff,
    0x3ffff220,0xf93000cf,0x7ec159bf,0x4fff304f,0xfffffffd,0xb800efff,
    0x22ffffff,0xd003fffb,0x07ffa3ff,0xffb89ffb,0xffff700f,0x03dfffff,
    0xddfffff7,0x7fc47fff,0x7ffd002f,0x7ffffdc0,0x009fff12,0x2a03ffd4,
    0x7dc05fff,0x0cc1312f,0xfffffff0,0x3e2dffff,0x4effffff,0x777ffe40,
    0x3a6ffffe,0x7fe401ff,0xffffeeef,0x3a0bffe6,0x3ea03fff,0xff9005ff,
    0xffffdddf,0x40fffc4d,0x7ffc3ffe,0xffffffff,0x0fff5006,0x005fffa8,
    0x4c017fea,0xff3005ff,0xa82ffe4b,0x333306ff,0x26620001,0x417ff201,
    0xff806ffa,0x7fa8001f,0x5417ff20,0x3fff66ff,0x1effffff,0x40cccc00,
    0x800efff9,0x3ffd1ffe,0x999bfff8,0xf902fffa,0xfffdddff,0xdfff88df,
    0x361fff40,0xffb806ff,0x7ffe400f,0x0ffffdcf,0x01fff200,0x8803fff5,
    0x000005ff,0x4cfffc40,0x1dff7001,0x3a3fff70,0x3fee01ff,0x1fffb80e,
    0xffa80000,0xeffb801f,0x01fffb80,0x000bffe0,0x32005ff7,0x7fd407ff,
    0x3fe6001f,0x09ff5005,0xfb97fe60,0x4ffe81ff,0x00055540,0xf7002aaa,
    0x9ffd03ff,0xa8bffb00,0x7037dc00,0xffd03fff,0x7ff6dd49,0x54001cef,
    0x7fe400aa,0xfd3a81ef,0x987ffa3f,0xffffffff,0xffb84fff,0x1fffb80e,
    0x3a03ffea,0x7ffc43ff,0x0fffe604,0x7fffff40,0x74001eff,0x3fe205ff,
    0x3ffb006f,0x2aa20000,0x03fff102,0x103ffe80,0x3ffa5fff,0x40fffa01,
    0x5502fff8,0x7fc40015,0x7ffd006f,0x00bffe20,0x000fffc4,0x74009ff3,
    0x3fe205ff,0x7fc4006f,0x3ffc800f,0xf8bff300,0xfecbcfff,0x3ffc00ff,
    0x803ffc00,0xecbcffff,0xfb800fff,0x05fedfff,0x3fe02fe4,0xffecbcff,
    0x03ff100f,0x403ffc00,0xeffffff8,0x3ffd5ffe,0xffc87ffa,0xffffffff,
    0x03ffe87f,0x7dc5fff1,0x7ffec1ff,0x81fffa83,0x2006fff8,0xdffffffa,
    0x64c39500,0x4c443fff,0x5000fffe,0x0b503fff,0x8827fd40,0x74001fff,
    0xfff906ff,0x266bffa1,0x41bffa09,0xff00fffc,0xfd31100f,0x3fa001ff,
    0x1fff906f,0xfffd8860,0x0bff2000,0x7fe4c395,0x7f4c443f,0xfe8000ff,
    0x266099ef,0x3101fffc,0xa8bff733,0xffffffff,0x2ffc402f,0x017fe200,
    0x7fffffd4,0x36002fff,0x1fffffff,0xf5013f60,0xffffffff,0x007fcc05,
    0x005ff880,0xffffffd3,0x47ffabff,0x3ffa1ffe,0xfcaaaaac,0x37ff41ff,
    0x260fffc8,0xfebbefff,0xffb03fff,0x0fffd83f,0x267ff200,0xffffa800,
    0x7cc5ffff,0x002fffff,0x7677ffe4,0x3f2006ff,0x3fff101f,0xffffb800,
    0x3fffedcd,0x3ffffffa,0x37fffee2,0x03fffedc,0xf980bff1,0x002fffff,
    0x337fffee,0x203fffed,0x3ffffffd,0x677fec00,0xffffff51,0xfff98bff,
    0x30002fff,0x7c5fffff,0x2a05ffff,0x85ffffff,0xdfffffd8,0x02ffa800,
    0x0017fd40,0xbfffffb1,0xfff70001,0x3fe803bf,0xffffd880,0x3fd400df,
    0x05ff5000,0xffffeb80,0x23ffd2df,0xfff11ffe,0x13ffe201,0xb9bffff7,
    0xfb07fffd,0xf9ffffff,0x3ffa207f,0x05fff90f,0x4005ff80,0xfffffffa,
    0x7fffcc0d,0xff90001e,0x009fffff,0xff103fec,0xff90003f,0x5dffffff,
    0xffffffe8,0x7ffffe42,0x2a02efff,0x7fcc02ff,0xc8001eff,0xffffffff,
    0x7ffec02e,0xf98005ff,0xfff52fff,0x981bffff,0x001effff,0x17fff540,
    0xa809ffff,0x05ffffff,0x26000cc4,0x64c000cc,0x3310000c,0x000c0000,
    0x98800155,0x00aa6001,0x000cc980,0x3fa02620,0x2e3ffd1f,0x7fec06ff,
    0xfffffc86,0xb102efff,0xf51bffff,0x27f4407f,0x98005ff3,0xc98003ff,
    0xb101bcdc,0x1000057b,0x00179b95,0x55403cc8,0x9710000a,0x2a0579b9,
    0x80aaaaaa,0x2bcdccb8,0x400cc980,0x0002bdd8,0x5e6e65c4,0x79b95002,
    0x65440003,0x3373260a,0x57bb101b,0xaa980000,0x20026aa0,0x2aaaaaa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a000000,0x23ffd1ff,
    0x7dc03ffd,0xccb880ff,0x31002bcd,0x0e200013,0x000000a6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x3ffd1ffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32e00000,0x0019970c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00980000,0x00000040,0x2207dd90,0x2a600eee,0x1001abcb,
    0x01555553,0x55555551,0xb0098003,0xdddddddd,0x2003dddd,0xddd30000,
    0x43ff301b,0x000004fe,0xeee98000,0x001cdeee,0x6c400098,0x5ddd74ee,
    0x009ddd70,0x37bba600,0x1f76c400,0x53bb6200,0x4402eeeb,0x26001cdb,
    0x013fa1ff,0x401f76c4,0xaaaaaaa8,0x0fb60001,0x3605ddd9,0x7775c0ee,
    0xdd300004,0x000001bd,0x901f76c4,0x3b607ddd,0x0355510e,0x003ffa20,
    0x4477ffa6,0x83bf200d,0x7ff40efb,0x03fff104,0xffffffd3,0x7fff540f,
    0x981fffff,0x4fffffff,0x7fffed40,0x3fffa2ef,0xffffffff,0xffb9102f,
    0xf3005bff,0xffe80bff,0x6402ffed,0x03bee0ef,0x7dc1df90,0x3fffe60e,
    0x00efffff,0x2003ffd0,0xff74ffe8,0x7ffd403f,0x7fcc0004,0xffe8805f,
    0xfd1003ff,0x07ffee9f,0x07ffffa0,0xfedffe80,0xffe8802f,0x7fcc03ff,
    0x004fffff,0xfd85ff30,0x3ffd06ff,0x009fff50,0x05fff980,0xdf7077e4,
    0x7fff4401,0xffffb03f,0x263ffd01,0xf7004fff,0xff8809ff,0x4ffeffff,
    0x227fff10,0x7ff43fff,0x83fff104,0xfffffff9,0xfffe887f,0x1fffffff,
    0xffffff98,0xfffd104f,0x749fffff,0xffffffff,0xfb82ffff,0x5fffffff,
    0x017ffcc0,0x27ffffcc,0x44fffe20,0x3e203fff,0x7fff13ff,0x7fffffcc,
    0x9805ffff,0xe8805fff,0x1bff72ff,0x09ffd100,0x0bffe600,0x323bfe60,
    0x7f4404ff,0x01bff72f,0x13eabf30,0xfffff980,0x8eff9804,0x3e604ffc,
    0x04ffffff,0x07fe4440,0x20bffff6,0xfd101ffe,0x3e60009f,0x7fc402ff,
    0x07fff13f,0x3f23bfe6,0xffffd84f,0xf11ffe83,0x3ea009ff,0x6f4403ff,
    0x0effffa9,0xff8bffe0,0x827ff42f,0x7ec1fff8,0x20e621ff,0xaffffffe,
    0x0001fff9,0x3bffff60,0x7c04ffee,0xffc802ff,0x5fffefff,0x0004cc40,
    0x20015751,0x3ffe2fff,0xf17ffc02,0x7ffcc5ff,0x1fffd510,0x04fff880,
    0x26609988,0x01998001,0x00133100,0x03310662,0x26609988,0x557e6001,
    0x5d44004f,0x8331000a,0x00000198,0x7ffffecc,0x6ffffd85,0x4c01ffe8,
    0x33100019,0x8bffe001,0x33102fff,0xffd81988,0x1ffe86ff,0x4007fff1,
    0x811003eb,0x2c9802ba,0x7ff41e4c,0x83fff104,0xf7005ffe,0x23ffffff,
    0x00001fff,0x1019fff1,0x02fff803,0x057fffcc,0x02600771,0x32600000,
    0x4c01e4c2,0x261e4c2c,0x7fdc0fff,0x0cda802f,0x20000000,0x00040000,
    0x01000020,0xffffe800,0x00010001,0x01000130,0xfffffc80,0x7fec0fff,
    0x7ff43fff,0x00000001,0x64c2c980,0x7ec00003,0x7f42ffff,0x07fff11f,
    0x02000300,0xfd001000,0x3ffe209f,0x017fff41,0x7fffffec,0x643fff1f,
    0xddd103ee,0x007ffea1,0x402fff80,0x8000fffe,0xefffffda,0x881f7642,
    0x00000eee,0xfff30000,0x02fff881,0x0fbb2000,0x20077744,0x0cefffd9,
    0xefffd980,0xffd9800c,0xd9800cef,0x000cefff,0x4001ccb8,0x0cefffd9,
    0xffffda80,0x3f6602ef,0x3200ceff,0xfffeffff,0x37ff60ef,0x0fff46ff,
    0x3a207dd9,0x0fbb20ee,0x00077744,0x103eec80,0x3ff61ddd,0x7ff46ffd,
    0x200fffe1,0xdffffeda,0x3fff6603,0xfd9800ce,0xfe80ceff,0x3fff104f,
    0x0cffffb8,0x3fffffa0,0x43fff1ff,0xff104ffe,0x0fffea3f,0x02fff800,
    0x000fffe6,0xffffffd1,0x4ffe89ff,0x2e3fff10,0x3ae00dee,0xeeeed85e,
    0x31eeeeee,0xffa81fff,0x77774c1f,0x5eeeeeee,0x7c413ffa,0x3ff201ff,
    0x02ffffff,0x3ffffff2,0x3ff202ff,0x02ffffff,0x3ffffff2,0x3b2002ff,
    0xf9000eee,0x5fffffff,0x3ffffa20,0xf904ffff,0x5fffffff,0x21bfff10,
    0x365ffffe,0x23ffeaff,0x3ffa1ffe,0x43fff104,0xff104ffe,0xeeeea83f,
    0x21eeeeee,0xff104ffe,0x3ebff63f,0x87ffa1ff,0x36203fff,0xffffffff,
    0xffffc80f,0x3202ffff,0xffffffff,0x8827ff42,0x3fe61fff,0xd03fffff,
    0x3fffffff,0xffe87ffe,0x23fff104,0x01cffff9,0x202fff80,0x4000fffb,
    0xeeeffffd,0x27ff44ff,0xf11fff88,0x3fe207ff,0xfffff83f,0x32ffffff,
    0x3ee21fff,0xfffa85ff,0xffffffff,0x4413ffa6,0xff901fff,0xffffffff,
    0xfffff903,0x903fffff,0xffffffff,0xfff903ff,0x3fffffff,0x3ffffe00,
    0xffffc803,0x81ffffff,0xeeeffffd,0xfffc84ff,0x1fffffff,0xff337fe4,
    0x3f61fffd,0x3a7ffaaf,0x13ffa1ff,0xfd0fffc4,0x3ffe209f,0x7ffffdc1,
    0x3a1fffff,0xfff104ff,0x3f2bff63,0xf87ffa5f,0xfff102ff,0xffffdfff,
    0xfffffc81,0xc81fffff,0xffffffff,0x13ffa1ff,0xf88fffc4,0xfffffeff,
    0x7fffec0e,0x3fff1fff,0xf8827ff4,0x3fff61ff,0x3e002dff,0x3ff202ff,
    0x7ffc4007,0x7f41880c,0x3fff104f,0xfb83ffe4,0xeeed80ff,0x1eeeefff,
    0xfffffff3,0xff501bff,0xffffffff,0x827ff4df,0xf881fff8,0x3fee0dff,
    0x6fffc45f,0x117ffee0,0x7dc1bfff,0x7ffc45ff,0x17ffee0d,0x3ffffea0,
    0x6fffc405,0x117ffee0,0x31019fff,0x20dfff88,0x7fc5fffb,0x3e7fee3f,
    0x25ffb2ff,0x3ffd3ffe,0xf8827ff4,0x13ffa1ff,0x2e0fffc4,0xffffffff,
    0x13ffa1ff,0xfd8fffc4,0xd1fff8af,0x17ffc3ff,0x41dfffd8,0x3fe20da8,
    0x3ffee0df,0x06fffc45,0x7f4bfff7,0x3fff104f,0x3623ffee,0x2a0effff,
    0x1fffffff,0x7ff43fff,0x43fff104,0xffffffd8,0x2fff803f,0x001bff60,
    0x4003fff5,0xff104ffe,0x1fffc43f,0x400fffe2,0xff302fff,0x03dfffff,
    0x4cccccc4,0x3a2fffd9,0xfff104ff,0x20dffb03,0x3f60fffb,0x1fff706f,
    0xfb837fec,0x1bff60ff,0x2007ffdc,0x07ffeffc,0xfb837fec,0x3ffea0ff,
    0x1bff6001,0xf887ffdc,0x6dbfa0ff,0x25ffb3ff,0x3ffd7ffa,0xf8827ff4,
    0x13ffa1ff,0x2e0fffc4,0x3fa007ff,0x3fff104f,0x7fecbff6,0x7fc3ffd4,
    0x4fff982f,0x837fec00,0x3f60fffb,0x1fff706f,0x7c413ffa,0x8dffb1ff,
    0x6c5fffe9,0xf1ffffff,0x27ff43ff,0xb81fff88,0x4ffffffe,0xd017ffc0,
    0xfa800dff,0x3fa003ff,0x3fff104f,0x7dc6ffd8,0x3ffe007f,0xd9fff302,
    0x2000dfff,0x7f45fff9,0x3fff104f,0x2209fff0,0x3ffe3fff,0x47fff104,
    0xff104fff,0x827ffc7f,0x7c03fff8,0x02fffaff,0x7c413ffe,0x3ffea3ff,
    0x13ffe003,0xf99fffc4,0x27ff10ff,0x5ffb4ffd,0x7ff5fff4,0x4413ffa1,
    0x3ffa1fff,0x83fff104,0x3a007ffb,0xfff104ff,0x7ccbff63,0x21ffe8ff,
    0xffd81ffe,0x7ffc000f,0x47fff104,0xff104fff,0x413ffa7f,0xff90fff8,
    0xfffe881f,0x3ffff220,0x743fff1f,0xfff104ff,0x7ffecc03,0x3ffe02ff,
    0x01fff602,0x39ffff30,0x209ffd00,0x7c41fff8,0x7fff12ff,0x817ffc00,
    0xff50fff9,0xffd0007f,0x04ffe81f,0xf883fff1,0x3ffa01ff,0x403fff14,
    0xfff14ffe,0x8a7ff403,0x3fa01fff,0x5ffe604f,0xff104ffe,0x27ff403f,
    0x039ffff3,0x201fff88,0xfff54ffe,0xffc8ffdc,0x7dc5ffb6,0x3a1ffeff,
    0xfff104ff,0x8827ff43,0x7fdc1fff,0x13ffa007,0xfd8fffc4,0x3afffa2f,
    0x07ffa1ff,0x10013ffe,0x7f403fff,0x03fff14f,0xffda7ff4,0x54fff304,
    0x7d41efff,0xedb881ff,0x743fff1f,0xfff104ff,0xfffb1003,0x017ffc0b,
    0x8001fff9,0x2dfffffd,0x4413ffa0,0xffd81fff,0x800fff76,0xff302fff,
    0x07ffe41f,0x05fff900,0x3e209ffd,0x7ffcc1ff,0x4d7ff600,0x3f600fff,
    0x01fff35f,0xff9affec,0x17ff600f,0xff95ffb8,0x03ffe60d,0x7ec5ffd8,
    0x302dffff,0x7ec01fff,0x6cfff75f,0x6dbff26f,0x7fff42ff,0x13ffa1ff,
    0xfd0fffc4,0x3ffe209f,0x003ffdc1,0x3e209ffd,0x45ffb1ff,0x1ffefffa,
    0xff107ffa,0x5555445f,0x03ffe62a,0xff35ffd8,0xaffec01f,0xff505ffc,
    0x4ffffe8b,0x0007ffea,0x7ff43fff,0x03fff104,0xf037ffc0,0x7fdc05ff,
    0x7ec4003f,0x83ffffff,0xff104ffe,0x5fff103f,0xf8007ffd,0xfff302ff,
    0x027ffcc1,0xd05fff98,0x3fe209ff,0x07ffd41f,0x3eadffb0,0x3ff600ff,
    0x401fff56,0xfff56ffd,0x037fec01,0x3fe65ffd,0x0fffa81f,0xb11bff60,
    0x7fffffff,0x200fffa8,0xfff36ffd,0xffc93fe2,0xfb85ffb4,0x3fa1ffff,
    0x3fff104f,0xf8827ff4,0x7ffdc1ff,0x44cccccc,0xff104ffe,0xd0bff63f,
    0x6c3fffff,0x7ffcc1ff,0x3ffffe61,0x01fff50f,0xffab7fec,0x5bff600f,
    0xfe81fffb,0x7fff443f,0x06ffeaef,0x3a1fff80,0xfff104ff,0x2fff4003,
    0x4405fff0,0x8000efff,0xffffffeb,0x8827ff44,0xffb01fff,0xf000ffff,
    0x3fe605ff,0x07ffec0f,0x807fff40,0xff104ffe,0x0fffb83f,0x7ddbff60,
    0x3ff600ff,0x401fff76,0xfff76ffd,0x837fec01,0x3fe0fff8,0x0fffb83f,
    0x5c1bff60,0x4ffffffe,0xd803ffee,0x1fff16ff,0x7fec3ff5,0xfd05ffb3,
    0x7ff43fff,0x43fff104,0xff104ffe,0xffffb83f,0x747fffff,0xfff104ff,
    0xf70bff63,0x5543ffff,0x0fffd40a,0x1ffffff3,0xd803ffee,0x1fff76ff,
    0xff37fec0,0xffd979ff,0x3fff201f,0x002fffff,0x3fa1fff8,0x3fff104f,
    0x7fd402aa,0x0bffe04f,0x03dfff90,0xffd98075,0x3ffa2fff,0x03fff104,
    0x0fffffe6,0x40bffe00,0x7d40fff9,0x7fe403ff,0x13ffa02f,0x2a0fffc4,
    0x3f600fff,0x01fff55f,0xffaaffec,0x57ff600f,0x3600fffa,0xdff505ff,
    0xfa85ffd8,0x3ff600ff,0x7ffecc05,0x1fff52ff,0xff2ffec0,0xff8ffb5f,
    0x705ffb2f,0x7f43ffff,0x3fff104f,0xf8827ff4,0x7ffdc1ff,0x47ffffff,
    0xff104ffe,0x10bff63f,0x003fffff,0xa88bffe6,0xf50fffba,0x7fec01ff,
    0x401fff55,0x3fea5ffd,0x2fffffff,0x7ffff4c0,0xfff0002f,0x8827ff43,
    0xdff90fff,0xffffdb9d,0x017ffc01,0x3fffffe2,0x1005ffee,0x7f4bfffb,
    0x1fff104f,0x037ffec0,0x302fff80,0xffd01fff,0x27ffcc0f,0x4413ffa0,
    0x7fcc0fff,0x4fffa01f,0x3a01fff9,0x3fff33ff,0xf99fff40,0x3ffa01ff,
    0xb89ffb03,0x7fcc0fff,0x0fffa01f,0xafffec40,0x3a01fff9,0x37ffa3ff,
    0x3ffea4ff,0x3a05ffb0,0x3ffa1fff,0x41fff104,0xff104ffe,0x9fffb81f,
    0x74199999,0xfff104ff,0x320bff61,0x3ae1ffff,0x03fff80d,0x3e61fff1,
    0x3ffa01ff,0x403fff33,0x7ecc3ffe,0x001dffff,0x007fffea,0xd87ffe20,
    0xfff304ff,0x7fffffe4,0x7c02ffff,0xfe9802ff,0x5fffffff,0xb37ffc00,
    0x3fe609ff,0x1fffcc07,0x02fff800,0xf701fff3,0x3ffa07ff,0x27fec00f,
    0xf887ff98,0xfff103ff,0x40fffe25,0xff12fff8,0x3ffe207f,0x207fff12,
    0xff02fff8,0xff53337f,0x3fff885f,0x005fff10,0xff16fff8,0x3ffe207f,
    0x3ffffee2,0x6c9fff12,0xfff702ff,0x9827fec3,0x27fec7ff,0xfb87ff98,
    0x3ff6007f,0x6cfff304,0xfff882ff,0x09fff31f,0x3e20dfff,0x7fff10ff,
    0x44bffe20,0xff103fff,0x1ffe405f,0x3fffa800,0x47ffa800,0xff505ffc,
    0x7ffff5cd,0x0000cfff,0xfffd7100,0xe8005bff,0x17ff25ff,0x7c037fd4,
    0xff0002ff,0x8000005f,0xc802fffc,0xdff505ff,0x5c1bffa0,0x3ffa0fff,
    0x41fff706,0xff706ffe,0x837ff41f,0xf980fffb,0xffffffff,0x6ffe84ff,
    0x001fff70,0x3fa5ffe8,0x1fff706f,0xdcffffc8,0x4000ffff,0x3f20fff9,
    0x8dff505f,0xff505ffc,0x00fff70d,0xfa82ffe4,0xf500006f,0xfff90bff,
    0x41fff103,0xff706ffe,0x837ff41f,0xf100fffb,0x260080bf,0x06e02fff,
    0xfb8dffb1,0x4ffe81ff,0x06ff9988,0x00055540,0x54037fe6,0x7fff500a,
    0x740fffdc,0xfff804ff,0x5fff0002,0x00555400,0x8027ffcc,0xfe81fffb,
    0x9fff504f,0x544fffa8,0x7fd44fff,0x27ffd44f,0xf513ffea,0xfffa89ff,
    0xfffff904,0x0fffffff,0xfa89fff5,0x805544ff,0x3ea3fffa,0x7ffd44ff,
    0xfffffd04,0x90003dff,0xfffb8fff,0x5c4ffe81,0xffe81fff,0x007ffb84,
    0x3a07ffee,0x555404ff,0x417ff400,0x442ffff8,0x3fea0fff,0x27ffd44f,
    0xf513ffea,0x7fdc09ff,0x55efdc03,0x00fffeca,0xff97bff3,0xffff05ff,
    0x1fffd979,0x0027fcc0,0x2e001ffe,0x3ff202ff,0xfffedcee,0x67fffc0f,
    0x00fffecb,0x0002fff8,0x7c005fff,0xdffd007f,0x7fffc001,0x0fffecbc,
    0x3bffffa0,0xe80ffffe,0xffeeffff,0xfffe80ff,0x0ffffeef,0xeeffffe8,
    0xfd00ffff,0x9555559f,0xffd03fff,0xffffddff,0xceeffc81,0x40ffffed,
    0xfeeffffe,0xff500fff,0x001bffff,0x85fffb88,0xecbcffff,0xfff80fff,
    0xfffecbcf,0x007ffb80,0x65e7fffc,0x7c00fffe,0x4013007f,0xdefffffb,
    0x7f40fffe,0xfffeefff,0xffffe80f,0x00ffffee,0x40b3ffee,0xfffffffb,
    0x3ff202ff,0x04ffffff,0xfffffff5,0xffb805ff,0x17fe2001,0x901ff600,
    0xffffffff,0xfff503ff,0x05ffffff,0x400bffe0,0xefffeeed,0xff101eee,
    0xffff700b,0xffffffff,0xffffffa8,0x74402fff,0xefffffff,0xffffd101,
    0x2203dfff,0xfffffffe,0xfffd101e,0x203dffff,0xf100fff8,0xffd109ff,
    0x03dfffff,0xfffffff9,0xfd103fff,0x3dffffff,0x04cffe40,0xffff9800,
    0xffffa80f,0x502fffff,0xffffffff,0x3ffee05f,0x1eeeeeee,0x7fffffd4,
    0x7c402fff,0x2e00005f,0xffffffff,0x7ff440ff,0x01efffff,0xffffffd1,
    0xff8803df,0xffd503ff,0x0039ffff,0x3bffffd5,0xffffd880,0x6fd800df,
    0x017fd400,0x2e027f40,0xfffffffe,0x3ff6200c,0x2000dfff,0xff002fff,
    0xffffffff,0x0bfea05f,0x3fffff20,0x87ffffff,0xdfffffd8,0xfff91000,
    0xc88019ff,0x00cfffff,0x7ffffe44,0x7fe4400c,0x2e00cfff,0x7fec06ff,
    0xffff9106,0x3fae019f,0x0cffffff,0x3ffff220,0x2ffc00cf,0x7ffcc000,
    0x3ff6202e,0x4400dfff,0x0dfffffd,0x3ffffee0,0x881fffff,0x0dfffffd,
    0x002ffa80,0x7ffecc00,0x9102dfff,0x019fffff,0xfffffc88,0x7951000c,
    0x01333001,0x80004400,0x00000198,0x00019930,0x26666000,0x01988000,
    0x005fff00,0x3ffffffe,0x9302ffff,0xfff90019,0xffffffff,0x0019880f,
    0x80004c40,0x31000098,0x02620001,0x201ffec0,0x4400fffb,0x4ccc0009,
    0x09880009,0x007ff300,0x00599100,0x10001988,0x3fee0033,0xffffffff,
    0x000cc401,0x00003326,0x00199880,0x880004c4,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x001cccc8,
    0x00010000,0x15995100,0x3627dd50,0xeeec804e,0x7640000e,0xee9802ee,
    0x4001002e,0x0000eee9,0xb0deee98,0xdddddddd,0x3bbaa3dd,0x1eeeeeee,
    0x3a600980,0xeeec80ee,0x221ff501,0xed8803ff,0xddb1003e,0xeee98007,
    0x25dd7002,0x13004ed9,0x88000800,0x3dd70ded,0xb13eea80,0x0098009d,
    0x3627dd50,0x5554404e,0x8801aaaa,0x40003eed,0x200deee9,0x0003eed8,
    0x0037bba6,0x006f774c,0x000fbb62,0x401fffd8,0x3bee0efc,0x6fff4c00,
    0x88001b11,0x00fffffc,0x1dffbff7,0x7fffff00,0x7ffec000,0xffff9802,
    0x3ffa602f,0xf981b11d,0x4c0000ff,0x3fe0dfff,0xffffffff,0xfffff72f,
    0x803fffff,0xff301ffe,0x4fffa81f,0x3f7ffe20,0x7f4401ff,0x74403fff,
    0x3003ffff,0x005fffff,0x17ff7ff2,0x400fff40,0xb11dffe9,0x77ff4401,
    0xff7002ff,0x2001dffb,0x7004fffa,0x01dffbff,0xffffff98,0x7ff4404f,
    0xf30003ff,0xfe880bff,0x98003fff,0x26005fff,0xe8805fff,0x8003ffff,
    0x4400dffd,0xfff13fff,0x7fffc407,0x004ffeff,0x7fffffec,0x3bffee00,
    0xffffa800,0xff90005f,0xbff5001b,0xf105ffb1,0xffdfffff,0x00fff989,
    0x0fffe600,0x3fffbbb6,0xff71eeee,0xffffffff,0x2fffcc03,0x220fff98,
    0xfa806fff,0x4c02ffff,0x4ffc8eff,0xf93dfd10,0xdffa807f,0x9002ffd8,
    0x2600bfff,0x7c405fff,0xffefffff,0x7fff4404,0x7ffdc002,0xbff3000e,
    0x3ee009ff,0xf9800eff,0x04ffffff,0x3f23bfe6,0x7fcc004f,0x77fcc02f,
    0x2004ffc8,0x2002fff9,0x9802fff9,0x4ffc8eff,0x00aaa600,0x3fe2fff8,
    0x277a202f,0x00effffa,0x277ffe60,0x0cc40099,0xffdff900,0x0666000f,
    0x4cc19980,0xfa9de881,0x7cc0efff,0x220000ff,0xfff00099,0x01ffee05,
    0x04fff880,0x7e41fff3,0x751001ff,0x83310015,0x83310198,0x0ccc0198,
    0x99800666,0x3ffe2001,0x54ef4404,0x800effff,0x10000998,0x4fb80033,
    0x4c400df1,0x10000001,0x00198833,0x44004cc4,0x000cc419,0x88001331,
    0x33100099,0x20001988,0x32601ee9,0x4401e4c2,0x40015d40,0x20007ffc,
    0x5fff0009,0x40005fff,0x40040000,0x9815d408,0x26000fff,0x02aaaaaa,
    0x2e05fff0,0x540007ff,0xfff300cd,0x00fffea1,0x000000c0,0x00001555,
    0x0020000c,0x10019b50,0x0002ba81,0x70000000,0x001be6bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00001ff6,0x3a000000,0x36a004ff,
    0x02efffff,0x3ffafff3,0x3f722004,0x4402dfff,0x2dffffdc,0xfff30000,
    0x7ffdc001,0xff005fff,0x1ffee05f,0x3e600000,0x5ffe88ff,0x3ffb6a00,
    0xeea83dff,0x1eeeeeee,0x0007ffe2,0xffffeda8,0x7ee4403d,0x0002dfff,
    0xdd300000,0x039bdddd,0x7777776c,0x01eeeeee,0x07ffdff1,0x6c0fbbb2,
    0x7776c0ee,0x1eeeeeee,0x5c01bdd7,0xeee985ee,0x02eea800,0x3ba65ed8,
    0xeeeeeeee,0x0fbbb25e,0xdd90776c,0x03bba607,0x027fcc40,0x00eeeec8,
    0x07777640,0x017ffc00,0x7fffff44,0xff704fff,0x401bff2b,0xfffffffb,
    0x3ffee05f,0x325fffff,0xddb03eee,0x003ffe61,0xffffffb8,0x05fff005,
    0xb001ffee,0xdddddddd,0x3ffe63dd,0x800fffc8,0xffffffd8,0x7fdc0fff,
    0x2fffffff,0x0007ffe2,0x3fffff62,0xf700ffff,0xbfffffff,0xeeeeeea8,
    0x76c1eeee,0xeeeeeeee,0x7fffcc1e,0x80efffff,0xfffffffe,0x202fffff,
    0x3603efd9,0xfe80ffff,0x7ffffc1f,0x12ffffff,0x3e207fff,0xfff983ff,
    0x03ffb800,0x3fea6ff8,0xffffffff,0x3ffff66f,0x361ffe80,0xfff304ff,
    0x7ffed401,0xfff002ff,0xff8007ff,0x44003fff,0xfd801fff,0xffeeefff,
    0x265ffd04,0x7e401fff,0xfffeffff,0xfffff905,0x7ecbfffd,0xffe80fff,
    0x001fff31,0x7fecccc4,0x05fff005,0x3333ffee,0xfff84ccc,0xffffffff,
    0xff7fff32,0xfff1005f,0xffffdfff,0xfffffb81,0x3e22ffff,0x7c4001ff,
    0xffefffff,0xfffc80ff,0x45fffeff,0xfffffffb,0x7ffc1fff,0xffffffff,
    0x7ffffcc2,0xe85fffff,0xffffffff,0x0002ffff,0x07ffffb0,0xeed83ffd,
    0xeeeefffe,0x5c1fff21,0xff980fff,0x3ffa800f,0x3ea6ff80,0xffffffff,
    0x3fff66ff,0x21ffe83f,0xff304ffd,0x3fff601f,0x401fffff,0x05fffffa,
    0x3ffffea0,0x7ffcc005,0x67ffc400,0xff881880,0x80fffe0f,0x20affff9,
    0xfff983b8,0xd8ee20af,0xfe83ffff,0x01fff31f,0x02ffe400,0xf702fff8,
    0xffffffff,0xffdddb0f,0x263ddddf,0x05ffffff,0x83bfffb0,0x3e000da8,
    0x3ffe22ff,0x7ffec001,0x206d441d,0x20affff9,0x7ffdc3b8,0x1fffffff,
    0x7fff776c,0x7cc1eeee,0xffd510ff,0x5fff001f,0x80eee880,0x3ff62eec,
    0x1ffe86ff,0x1017ffc0,0xff887fff,0x1fff303f,0x007ff500,0x4ccc4bff,
    0xfffd9999,0x1bffff62,0xffd87ffa,0x01fff304,0xffbdfff9,0x7e401fff,
    0x2007ffef,0x07ffeffc,0x7fffffcc,0x543fffff,0x54001fff,0x2ffec6ff,
    0x001fffd0,0x000fffe8,0xd0dffffb,0x3ffe63ff,0x3ff20000,0x05fff005,
    0x3fffffee,0xff807fff,0xdfff302f,0xf9801fff,0x400004ff,0x3fe22fff,
    0xf980221f,0xfe8004ff,0x3ee000ff,0x7fc0007f,0x7ffcc02f,0x017ffdc0,
    0x22017ffc,0xffe81fff,0x3fffff63,0x200fff42,0x7ec02fff,0x03ffdc6f,
    0x5001fff3,0xbff009ff,0x17ffe600,0x85fffffb,0x3ff61ffe,0x81fff304,
    0xff53fff8,0x7fc0bfff,0x002fffaf,0x5fff5fff,0x7ffffcc0,0x43ffffff,
    0x4003fffa,0x7fdc4ffd,0x3fff980f,0x1fffcc00,0xfffffb00,0xf31ffe85,
    0x640001ff,0xfff005ff,0x27ffee05,0x80199999,0xff302fff,0x80bfff5f,
    0x0000fffd,0xf117ffc0,0xfffd51ff,0x01fffb07,0x03fff980,0x003ffdc0,
    0x300bffe0,0xff881fff,0x2fff802f,0x40fffc40,0x3ff63ffe,0x7ff46ffd,
    0x017ffc01,0x7c4bffe2,0x3fe603ff,0x4ff9800f,0x4ff88aa2,0x81fffd00,
    0x46ffdffd,0x3ff61ffe,0x81fff304,0x3bf66ffc,0xff306ffa,0x2013ffaf,
    0x9ffd7ff9,0x7f666440,0x41ccccef,0x01cffff9,0x3337fff0,0xf705fff5,
    0xfb8001ff,0x3f6000ff,0x7f46ffdf,0x01fff31f,0x02ffe400,0xf702fff8,
    0xff8000ff,0x1fff302f,0x7c07fff7,0x800004ff,0x3fe22fff,0xffffffcf,
    0x0027ffc4,0x0007ffdc,0x0001ffee,0xf9805fff,0x7ffd40ff,0x02fff801,
    0x740fffc4,0x2bff63ff,0x3ffa1fff,0x017ffc01,0xffbb7fec,0x07ffcc07,
    0xf927fcc0,0x013fe21f,0x360bfff2,0x21fffaff,0x3ff61ffe,0x81fff304,
    0x9ff13ffd,0x3ee03ffe,0x00dff95f,0x3ff2bff7,0x17ff6006,0x7ffffec0,
    0x3ffe602d,0xffffffff,0x007ffc84,0x4007ffc8,0x1fffaffd,0x7fcc7ffa,
    0x3f20000f,0x5fff005f,0x001ffee0,0x2605fff0,0xfffd0fff,0x45fff101,
    0x02aaaaa8,0xf117ffc0,0xffbfffff,0x3ffe21ff,0x2aaaaa22,0x003ffe42,
    0x0003ffdc,0xf300bffe,0x3fee21ff,0x5fff005f,0x81fff880,0x3ff63ffe,
    0x3fa5ffca,0x17ffc01f,0x757ffc40,0x7fcc03ff,0x4ff8800f,0x7fc4fffa,
    0x2fffcc04,0xffcaffd8,0xfd87ffa5,0xdcccccef,0x7ff40fff,0x3fe3ff72,
    0x32ffe82f,0xfe803fff,0x03fff32f,0x4013ff60,0xffffffd8,0xffffc83f,
    0x7fffffff,0x8006ffd8,0x6c006ffd,0x25ffcaff,0xfff31ffe,0x7fe40001,
    0x05fff005,0x0001ffee,0x3e605fff,0xbfff30ff,0x4c3fff30,0x00ffffff,
    0xf88bffe0,0xff30dfff,0x87ffe65f,0x0ffffff9,0x2001bff6,0xccccfffb,
    0xfff804cc,0x7fffcc02,0x00dfffff,0x8805fff0,0xffe81fff,0x3e2bff63,
    0x03ffd1ff,0xb002fff8,0x00ffffff,0x1001fff3,0x3ffe2bff,0xe807ff15,
    0xffb00fff,0x3a3fff15,0x3fff61ff,0xffffffff,0xd97ffc0f,0x10bffe6f,
    0x7ffc1fff,0x83ffe203,0xfd003fff,0xfeb8007f,0x744fffff,0xaaaaacff,
    0x7f41fffc,0xffe8006f,0x57fec006,0xffd1fff8,0x003ffe63,0x005ffc80,
    0x3ee05fff,0x7fc0007f,0x1fff302f,0x2a1fffe4,0x3fe61fff,0x2000ffff,
    0x3fe22fff,0x53fff86f,0x7fcc3fff,0x3fa0ffff,0xffb8006f,0x7fffffff,
    0x402fff80,0xfffffff9,0x7ffc001e,0x0fffc402,0xffb1fff4,0x7f53ff65,
    0x17ffc01f,0xfffff980,0x0fff9803,0x3eebff00,0x3ff98fff,0x80bfff20,
    0x9ffb2ffd,0xffd87ffa,0xffffffff,0x57fec0ff,0x3ffe3ff8,0x3637fd41,
    0x3fea05ff,0x802ffec6,0x30002fff,0x25fffffb,0xf100fff8,0x7ffd89ff,
    0x07ffd800,0xfd97fec0,0x263ffd4f,0xeeeeefff,0x7fe403ee,0xffdddb05,
    0x2e3ddddf,0xeeeeefff,0x7ffc01ee,0x41fff302,0x260ffff8,0x2aa22fff,
    0x2000fffb,0x3fe22fff,0x33ffe81f,0x55445fff,0x3f60fffb,0xffb8007f,
    0x7fffffff,0x402fff80,0xffecfff9,0x7ffc006f,0x0fffc402,0xffb1fff4,
    0x3a3ffe65,0x7ffc01ff,0x3fff6002,0x1fff3006,0x7ed7fe00,0x2ff9affe,
    0x809fff30,0xfff32ffd,0x7ec3ffd1,0xa99999df,0x7fdc0fff,0xff51ffbd,
    0xb89ffb0f,0xffb00fff,0x00fffb89,0x000fffc4,0x57fff620,0x7ec06ffb,
    0x07ffe46f,0x03fff200,0xf32ffd80,0x23ffd1ff,0xfffffff9,0x7e404fff,
    0xfffff05f,0x25ffffff,0xfffffffb,0x7fc01fff,0x1fff302f,0x7c6fffa8,
    0xfff103ff,0x17ffc001,0xfd03fff1,0x81fffc7f,0x3f20fff8,0x7dc000ff,
    0x999999ff,0x02fff801,0xfa87ffcc,0x3fe003ff,0x7ffc402f,0x363ffe81,
    0x2fffa2ff,0x7fc01ffe,0x3fe6002f,0xfff3003f,0x23bfe001,0xf9cffaff,
    0x1fffd02f,0x3a2ffd80,0x21ffebff,0xff304ffd,0xefffa81f,0x09ffd16f,
    0x53337fff,0x3fe05fff,0xffa999bf,0x7ffcc02f,0xfff00000,0x700fff6d,
    0x7fdc1fff,0x7fdc003f,0x3ff6003f,0x3fafffa2,0xfffff31f,0x809fffff,
    0xfff05ffc,0xffffffff,0x3ffffee5,0x401fffff,0xff302fff,0x7fffb01f,
    0xf8837ffc,0xff1000ff,0x0fffc45f,0xfff1fff4,0x83ffe20d,0x4003fffb,
    0x40007ffb,0x7cc02fff,0x3fff20ff,0x05fff000,0x541fff88,0x3ff63fff,
    0x3fbffea2,0x17ffc01f,0x00bffe00,0x8007ffcc,0xfb7faefe,0xf903ff5f,
    0xffb005ff,0x7f7ffd45,0x413ff61f,0xfe80fff9,0xfffcdfff,0x7fffcc0f,
    0x4fffffff,0xffffff98,0x404fffff,0x00006ffc,0x20017ffa,0x7fcc0efe,
    0x3e6000ef,0xfb000eff,0x77ffd45f,0x800001ff,0x88005ffc,0xf8800efe,
    0x2fff805f,0xff900000,0x1fff103f,0x87ffe600,0xfe81fff8,0x07fff23f,
    0xf983ffe2,0x2e000eff,0x7c0007ff,0x7fcc02ff,0x13ffe60f,0x4017ffc0,
    0x3fe63fff,0x0bff63ff,0x03fffffd,0x4002fff8,0xf3002fff,0x3fa001ff,
    0x9ff74fde,0xfff983ff,0x85ffb004,0x21fffffe,0xff304ffd,0xfffd101f,
    0x905fffff,0xffffffff,0xff90ffff,0xffffffff,0x4fff80ff,0x2a015500,
    0x64003fff,0xfff901ff,0xf907503d,0x47503dff,0x7ff42ffd,0x55101fff,
    0x5ffc8005,0x00ffd800,0xf001ffd0,0x554005ff,0x7ffc400a,0x07ffc42f,
    0x1fff606e,0xfd03fff1,0x7fffc47f,0x207ffc42,0xa81efffc,0x003ffdc3,
    0x300bffe0,0xffd81fff,0x2fff800f,0xddfffe80,0x363fffff,0x7ffdc2ff,
    0x7ffc01ff,0x17ffc002,0x00fff980,0x25ffffb0,0x40fffff8,0xb000effe,
    0xfffb85ff,0x13ff61ff,0x8807ffcc,0x0dffffff,0x5559ffd0,0x83fff955,
    0xaaaacffe,0x2e1fffca,0x01ffffcb,0xb9ddff90,0x001ffffd,0x3e207ff8,
    0xfeefffff,0xffff885f,0x25ffeeff,0x7fdc2ffd,0xff501fff,0x5ffc8009,
    0x037fc400,0xf005ff98,0x7fc005ff,0xffff7007,0x1fffdbdf,0xfeccefc8,
    0x7ffc44ff,0x5c3ffe81,0xedefffff,0x7fc40fff,0xffeeffff,0x003ffdc5,
    0x300bffe0,0xffa81fff,0x2fff803f,0xfffffa80,0x363ffcef,0x7ffc42ff,
    0x7776c1ff,0x1eeeefff,0x8017ffc0,0xeeeefff9,0x3ff63eee,0x7ffff47f,
    0x3ffffee0,0x27ffffff,0x7fc42ffd,0x3ff61fff,0x01fff304,0x002affe6,
    0x2201fff1,0x3fe24fff,0x9fff100f,0x27fffff4,0xfffff900,0x003fffff,
    0x209bfff0,0xffffffe9,0xffd305ff,0x4bffffff,0x7fc42ffd,0xff901fff,
    0xecccc803,0x03cccfff,0x026fffc4,0xb0f7ffe6,0xddfffddd,0x3fe203dd,
    0x3ffee005,0x0fffffff,0x7fffffe4,0x7ffc40ef,0xb83ffe81,0xffffffff,
    0xffe980ff,0x45ffffff,0xeeeefffb,0x776c1eee,0xeeeefffe,0x407ffcc1,
    0xff807ffe,0xfff5002f,0x47ff51bf,0xffc82ffd,0x7fffc1ff,0x2fffffff,
    0x8017ffc0,0xfffffff9,0x3ff24fff,0x7fffdc5f,0x3fffff20,0x27ffffff,
    0xffc82ffd,0x13ff61ff,0xc807ffcc,0xff7000ff,0x26ffd80d,0x7ec06ffb,
    0x3bfffa6f,0x7ff5c002,0x00cfffff,0x0ffff900,0xfffffeb8,0x7ff5c02d,
    0x3f62dfff,0xffffc82f,0xf00ffb01,0xffffffff,0xffb00dff,0xfffb00df,
    0xffffff8d,0x502fffff,0xd98005ff,0x2dffffff,0xfffffda8,0x03fff103,
    0x36607ffd,0x2dffffff,0x7ffff5c0,0x7ffdc2df,0x1fffffff,0x7ffffffc,
    0x7cc2ffff,0xfffb80ff,0x017ffc03,0x36002660,0xfff882ff,0x7ffffc1f,
    0x02ffffff,0x98017ffc,0xffffffff,0x3fff24ff,0x23fffc42,0xfffffffc,
    0x3f67ffff,0xffff882f,0x4c13ff61,0xbfd00fff,0x01ffec00,0x7ec3ffee,
    0x7ffdc03f,0x40000660,0x00009999,0x40057730,0x31000098,0x20bff601,
    0x901ffff8,0xffff0079,0xdfffffff,0x00aeea00,0x3fe0ddd4,0xffffffff,
    0x0199302f,0x00ccc400,0xf8801330,0x3ffe81ff,0x00199880,0x7dc01310,
    0xffffffff,0x7ffffc1f,0x02ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13eea800,0x320009db,0xff302eee,0x40027f43,0x2002eeed,0x3a600009,
    0xdd700dee,0x5544009d,0x74c00002,0x3aa00dee,0x009db13e,0x00deee98,
    0x400fbb62,0x0004eeeb,0x8806aa60,0xf9803eed,0x2013fa1f,0x8803eed8,
    0x1aaaaaaa,0x6f774c00,0x3a1ff980,0xaaa8804f,0x5c01aaaa,0x44004eee,
    0x3dd70ded,0x2aa80000,0x1aa98000,0x800002a2,0x400001aa,0x54002aa8,
    0x40001aaa,0x64400aaa,0x7000402d,0x01dffbff,0x05fffb00,0xffedffe8,
    0x7ffec002,0x9fff5001,0xbfff3000,0x09fff500,0x000fffc0,0x05fff980,
    0xdffbff70,0x7ffcc001,0x7fff4405,0xfff5003f,0x3fa00009,0xfffd102f,
    0xbffd007f,0xe8805ffd,0x4c03ffff,0x4fffffff,0x17ffe600,0xffdbffd0,
    0xffff3005,0xf5009fff,0xe88009ff,0x002ffeff,0x037fcc00,0x7f4aaa60,
    0x007ffa1f,0x0bfff600,0x4ffb8000,0x13fff200,0xaaaaaa98,0x9003ffe2,
    0x3f603fff,0xfff7001f,0xff90001d,0xfff3001b,0xfd8009ff,0xff3000df,
    0x4c009ffb,0x22002fff,0xf9004ffe,0xf300009f,0xfb8005ff,0x26000eff,
    0x7cc02fff,0x04ffc8ef,0x009ffd10,0x307ff980,0x9ff91dff,0xfffff980,
    0x477fcc04,0x3e604ffc,0x04ffffff,0x005fff30,0x09fffff3,0x3ffffe60,
    0xfd1004ff,0xfe88009f,0x180002ff,0x2001ffdc,0x6ff8effb,0x0002fffc,
    0x07ffbff2,0x0ffec000,0x02fffc80,0x7fffffdc,0xd00dff15,0xff505fff,
    0x0cc400bf,0x00333000,0x000aba88,0x2000ccc4,0x00df14fb,0x80004cc4,
    0xff100199,0x9880001f,0x33100009,0x01331000,0x19883310,0x000ccc00,
    0x4413ff20,0x400cc419,0x8800aba8,0x000cc419,0x04cc4000,0x01575100,
    0x4c000000,0x99880019,0x3f660000,0x0007fec7,0x3fe7bfee,0x002ffdc3,
    0x3f65ff90,0xeee9801f,0xc803ff40,0xfb800eff,0xf55fffff,0xdff5007f,
    0x0bfff301,0x00000000,0x00000000,0x1be6bf70,0x00000000,0x000fff60,
    0x00000000,0x00000000,0x3e200000,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbff1ffee,0x7dff7000,0x4ff883ff,0x30266000,
    0xfff30013,0x8027fc41,0x26200199,0xf95ffd99,0x02a6001f,0xd300efc8,
    0xdddddddd,0xddb00bdd,0xd89ddddd,0xeeeeeeee,0x7774c1ee,0x001cdeee,
    0x07ffdff1,0x03bbbb20,0x1dddd900,0x00dff500,0xb8037bae,0xeeea85ee,
    0x1eeeeeee,0x7777776c,0x3201eeee,0xd800eeee,0xeeeeeeee,0xff7001ee,
    0x3bbbaa0b,0x41eeeeee,0xeeeeeeea,0x776c1eee,0xeeeeeeee,0x77777541,
    0x541eeeee,0xeeeeeeee,0x3bb201ee,0x764000ee,0xea800eee,0xeeeeeeee,
    0x7777641e,0x8000acde,0x04cc7ffb,0x477fdc00,0x07fed419,0x20000000,
    0x4cc0fff9,0x20000000,0x01315ffc,0xf5000000,0xffffffff,0xff980dff,
    0x45ffffff,0xffffffff,0x7fcc2fff,0xefffffff,0x3efd9800,0x3ffffe00,
    0x7fffc003,0x5ffd003f,0x07fff100,0x2e0fffe2,0xffffffff,0x7fffc1ff,
    0x2fffffff,0x0fffffe0,0x3fffffe0,0x002fffff,0x3ee03ffd,0xffffffff,
    0x7fffdc1f,0x41ffffff,0xffffffff,0x7fdc2fff,0xffffffff,0x7ffffdc1,
    0x201fffff,0x003fffff,0x01fffffc,0x7fffffdc,0x7f41ffff,0xffffffff,
    0x3ffdc003,0xffb84000,0x007bfe06,0x3ffb2600,0xff9805ff,0xd930000f,
    0x800bffff,0x98005ffc,0x45ffffec,0x3fea02a9,0xffffffff,0x7ffe406f,
    0x6c4eeeff,0xeefffeee,0x7ffcc1ee,0x5fffffff,0x40013100,0x05fffffa,
    0x3ffffea0,0x0bff7005,0x5c1fff20,0xffb80fff,0xffffffff,0x7ff776c1,
    0x501eeeef,0x00bfffff,0xdfffdddb,0xf5003ddd,0x7ffdc0df,0x1fffffff,
    0x7fffffdc,0x76c1ffff,0xeeefffee,0x7fffdc1e,0x41ffffff,0xfffffffb,
    0xff501fff,0x5400bfff,0x805fffff,0xfffffffb,0x7ff41fff,0xffffffff,
    0x3bbba205,0xeeeeefff,0x3ffb2201,0x2a06ffff,0xfb800c01,0x07ffffff,
    0x000fff98,0xffffffb8,0x7fe4007f,0x7ffdc005,0x7ec7ffff,0x3333100f,
    0x5fffb333,0x7ffeff80,0x017ffc00,0x5443ffe6,0xb880fffe,0x1dfffffe,
    0x7ff7fe40,0x3bff2007,0xff1007ff,0xfff1001f,0x03fff887,0x8000fff7,
    0xf9002fff,0x000fffdf,0xb0005fff,0x7fdc07ff,0x3ffdc007,0x0bffe000,
    0x800fff70,0x90007ffb,0x00fffdff,0x3fff7fe4,0x003ffdc0,0xfa88fffa,
    0xff102fff,0xffffffff,0x3fea05ff,0x6fffffff,0xfb36ec80,0x3f201bff,
    0x7feeefff,0x00fff980,0x77fffe40,0x64007fee,0x3f2005ff,0x7feeefff,
    0x4000ffec,0x5405fff9,0x007ffbff,0x26017ffc,0x7fdc0fff,0xffffa82f,
    0x202fffff,0x2fffafff,0xff5fff00,0x3ff2005f,0x8dffb004,0x3ee07ffb,
    0x7fc0007f,0x5fff002f,0xf8005fff,0x7cc002ff,0x3fee00ff,0x3ffdc007,
    0x0bffe000,0x800fff70,0xf0007ffb,0x05fff5ff,0x3febffe0,0x3ffdc02f,
    0x20fffa00,0xd106fff8,0xddfffddd,0xff103ddd,0xffd99bff,0xf5ffd00d,
    0x30dfffff,0x3883dfff,0x00fff980,0x07bffe60,0xffc80071,0xdfff3005,
    0x7ff43883,0xfffe8001,0x7c7fec00,0x7ffc007f,0x07ffcc02,0x2a0bffe2,
    0xffbaacdf,0x7ff980ff,0xf3009ffd,0x013ffaff,0x4007ffcc,0xff12fff8,
    0x3ffdc07f,0x0bffe000,0x7f5ffe60,0x7ffc004f,0x27fe4002,0x001ffee0,
    0x8000fff7,0x7dc02fff,0x7fdc007f,0x7ff98007,0xf3009ffd,0x013ffaff,
    0xe800fff7,0xfff903ff,0x0fff7003,0x20f7fec0,0xfe806ffb,0xfffeffff,
    0x07ffec2f,0x1fff3000,0x07ffec00,0x5ffc8000,0x01fffb00,0x0007ffa0,
    0x8805fff9,0x00fff5ff,0x4c02fff8,0x7fd40fff,0xf100881f,0xbff703ff,
    0x2e01bff2,0x0dff95ff,0x801ffec0,0xfff76ffd,0x007ffb80,0x4017ffc0,
    0xdff95ffb,0x02fff800,0x003ffe20,0xb800fff7,0x7c0007ff,0x7fdc02ff,
    0x3ffdc007,0xcaffdc00,0xffb806ff,0xb80dff95,0x7f4007ff,0x5fff303f,
    0x00fff700,0x2e0bffe6,0xffe806ff,0x13ffa1ef,0x80009ffd,0x2000fff9,
    0x00004ffe,0x74017ff2,0x3fa004ff,0x3fe6001f,0x2ffb805f,0x03999fff,
    0x4c02fff8,0xff710fff,0x3fa000bf,0x32ffe83f,0xfe803fff,0x03fff32f,
    0x401bfea0,0xffeafff8,0x67ffdc03,0x804ccccc,0xfe802fff,0x03fff32f,
    0x0017ffc0,0xf700bff7,0x999999ff,0x99fff709,0xf0099999,0xffb805ff,
    0x4ccccccf,0xcccfffb8,0xffd04ccc,0x007ffe65,0x3fe65ffd,0x3ffee01f,
    0x84cccccc,0xff103ffe,0xfff7007f,0x41ffea00,0xfe806ffb,0x2ffe40ff,
    0x0000fffe,0x4001fff3,0x00003fff,0x7c017ff2,0x3fe003ff,0x3ffa002f,
    0x27fe800f,0x03ffffff,0x26017ffc,0xffffffff,0xaa8800df,0x443fffcc,
    0x3ffe0fff,0x83ffe203,0x3a003fff,0xffb001ff,0xf700ffff,0xffffffff,
    0x05fff00f,0x3e0fff88,0x3fe003ff,0x3ffa002f,0xffffb802,0xb87fffff,
    0xffffffff,0x2fff807f,0x7ffffdc0,0xfb87ffff,0xffffffff,0x20fff887,
    0x3e203fff,0x0fffe0ff,0xffffffb8,0xffe87fff,0x013ffe03,0x5c01ffee,
    0xdff707ff,0x707ffd00,0x7ffc4bff,0x7fcc0003,0xfff1000f,0x7e400007,
    0xfff8805f,0x0bffe003,0x017ffe40,0xfff27fcc,0xff807fff,0x7ffcc02f,
    0x801effff,0xffffffea,0x37fd43ff,0xfa817ff6,0x02ffec6f,0x200bff70,
    0x03fffff9,0xffffffb8,0xff807fff,0x37fd402f,0xf8017ff6,0xff5002ff,
    0x3ffee00d,0x87ffffff,0xfffffffb,0xfff807ff,0x7fffdc02,0xb87fffff,
    0xffffffff,0x46ffa87f,0x3ea05ffd,0x02ffec6f,0xfffffff7,0x7ffd0fff,
    0x4027ffc0,0xf9007ffb,0x1bfee0df,0x2e0fffa0,0x27ffc5ff,0x3ffe6000,
    0x13ffe000,0x5ffc8000,0x009fff00,0x4c017ffc,0xf9004fff,0x4cfffc3f,
    0x17ffc009,0x3b3ffe60,0x7dc06fff,0xffeeffff,0x227fec3f,0xfb00fffb,
    0x0fffb89f,0x01fff100,0x01bfff60,0x4ccfffdc,0xff801999,0x27fec02f,
    0x4003ffee,0xfb002fff,0x3fee007f,0x1999999f,0x999fffb8,0xff801999,
    0x7ffdc02f,0x81999999,0x9999fffb,0x4ffd8199,0xd807ffdc,0x7ffdc4ff,
    0x33fff700,0xfd033333,0x3ffe207f,0x07ffb803,0x2e0fff70,0xffe806ff,
    0x745ffb83,0x20000fff,0x2000fff9,0x0000fffe,0x200bff90,0xf000fffe,
    0xffd005ff,0xfff1001f,0x00fff333,0x4c02fff8,0xfff50fff,0x37ffe207,
    0x3e1fff40,0xfa999bff,0x7fff02ff,0x5fff5333,0x027fe400,0x003fff98,
    0x8000fff7,0x7fc02fff,0xffa999bf,0x5fff002f,0x01fff300,0x001ffee0,
    0x8000fff7,0x7dc02fff,0x7fdc007f,0x5fffc007,0x2fffa999,0x3337fff0,
    0x2e05fff5,0x7f4007ff,0x3fff303f,0x00fff700,0xd103ffea,0xffd00dff,
    0xb8bff707,0x0180efff,0x000fff98,0x203bffee,0x2ffe4001,0x0efffb80,
    0x01fffc18,0x400bfff2,0xfffffffb,0x7ffc007f,0x07ffcc02,0xf501fff9,
    0x7ffd01ff,0x7fffffcc,0x984fffff,0xffffffff,0x26004fff,0x3fe007ff,
    0xfff7002f,0x2fff8000,0x3ffffe60,0x04ffffff,0x9005fff0,0x7dc009ff,
    0x7fdc007f,0x7ffc0007,0x03ffdc02,0x801ffee0,0xfffffff9,0xf984ffff,
    0xffffffff,0xfff704ff,0x03ffe800,0x5001fff9,0xf1005fff,0x7ff449ff,
    0x3ffe806f,0xfe85ffb8,0xffecefff,0x07ffcc00,0x3ffffa00,0x000ffece,
    0xe8017ff2,0xfeceffff,0x07fff10f,0x0027ffcc,0xfffffffd,0xfff800ff,
    0x07ffcc02,0xf709fff3,0xfffd83ff,0x3fffff23,0x87ffffff,0xfffffffc,
    0x4007ffff,0xff002ffe,0x3fee005f,0x7ffc0007,0x3ffff202,0x7fffffff,
    0x805fff00,0x2001fff8,0x5c007ffb,0x7c0007ff,0x7fdc02ff,0x3ffdc007,
    0xfffff900,0x0fffffff,0xfffffff9,0x2e0fffff,0x7f4007ff,0x4fff883f,
    0x9ffff100,0xffb03955,0xfffffbbf,0x07ffd00d,0xfd30bff7,0x1fffffff,
    0xeefff980,0x983eeeee,0xfffffffe,0x3333200f,0x3cccfffe,0x3ffffa60,
    0xff10ffff,0x77ff407f,0x5dff3000,0x00fff555,0x4c02fff8,0x7fec0fff,
    0x77ffcc0f,0x3ffffebb,0x2aab3ffa,0x41fffcaa,0xaaaacffe,0x001fffca,
    0x7c01bfea,0xff7002ff,0xfff8000f,0x2b3ffa02,0xfffcaaaa,0x02fff801,
    0x2002ffdc,0x5c007ffb,0x7c0007ff,0x7fdc02ff,0x3ffdc007,0x559ffd00,
    0x3fff9555,0xaaacffe8,0x81fffcaa,0x74007ffb,0x7ffd43ff,0x3ff2000f,
    0x982fffff,0xbfffffff,0xffe806ff,0x205ffb83,0x4fffffeb,0xfffff980,
    0x204fffff,0x4fffffeb,0x7fffffc0,0x806fffff,0x4fffffeb,0x5c13ffe2,
    0xffffffff,0x3ff27fff,0xeeefff83,0x7ff776c4,0x4c1eeeef,0x7fd40fff,
    0xffffd83f,0x13ffcfff,0x3e201fff,0x3ffe24ff,0x09fff100,0x801fff80,
    0xf7002fff,0xddddddff,0xfeeed83d,0x11eeeeff,0x3e201fff,0xeeed84ff,
    0x1eeeefff,0x20017ff4,0xeeeefffb,0x7fdc1eee,0xeeeeeeef,0x7ff776c1,
    0x5c1eeeef,0xeeeeefff,0x7ffdc1ee,0x1eeeeeee,0x2201fff1,0x3fe24fff,
    0x9fff100f,0xdddfff70,0xfe83dddd,0xffffeeef,0xffb8003f,0xd302ffff,
    0xff13dfff,0x07ffd00d,0x2600bff7,0x3fe60009,0xffffffff,0x00133004,
    0x3ffffffe,0x4006ffff,0xaaa88099,0xfffff901,0x4fffffff,0xfff80fff,
    0x7ffc6fff,0xffffffff,0x407ffcc2,0xfd887ffe,0xffa8dfff,0xd80dff73,
    0x1bfee6ff,0x800dffb0,0xff805ffb,0xfff7002f,0x3fffffff,0xfffffff8,
    0xff72ffff,0x86ffd80d,0xffffffff,0x3fea2fff,0xfffb8006,0x1fffffff,
    0x7fffffdc,0x7fc1ffff,0xffffffff,0x7fffdc2f,0x41ffffff,0xfffffffb,
    0xdff71fff,0x2e6ffd80,0x7fec06ff,0xfffffb86,0x741fffff,0xffffffff,
    0x4cc0001e,0x03310019,0x41fff400,0x00005ffb,0x00000000,0x00000000,
    0x7ffe4000,0xffffffff,0x3e0bff57,0x7c6fffff,0xffffffff,0x7ffcc2ff,
    0x03fffb80,0xfd801331,0x7ffdc03f,0xb807ffb0,0x22000fff,0x7fc00fff,
    0xfff7002f,0x3fffffff,0xfffffff8,0xffb2ffff,0x0fffb807,0x7ffffffc,
    0x3f62ffff,0xffb8003f,0xffffffff,0x7ffffdc1,0x7c1fffff,0xffffffff,
    0x7ffdc2ff,0x1fffffff,0x7fffffdc,0xffb1ffff,0x0fffb807,0xfb807ffb,
    0x7ffdc0ff,0x1fffffff,0x6f7ffff4,0x0000002c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa982aaa,0x54155100,0xaaa8001a,0x541aa881,0x0055541a,0x02aaa000,
    0x55100080,0x9800d541,0x05530000,0x2aaa9800,0x0015554c,0xa88136a0,
    0x15c40009,0x2e6006e6,0x5300040b,0x55300005,0x2aaa9855,0x80088000,
    0x0082aaa8,0x03730ae2,0x22000440,0x85710009,0x098801b9,0x00154c00,
    0x30aaaa60,0x20005555,0x80040bb9,0x2aaa2aaa,0xb9857102,0x205dcc01,
    0x30022000,0x0ffeabff,0xff33ff88,0x7ffd0007,0x7ecbff20,0x07ffe20f,
    0x5fff0000,0x7fff64c0,0xff883fde,0x5407ff33,0xeeeffffe,0x3ffea02e,
    0xfff30005,0x9fff901d,0x3ffe6000,0xbffff104,0x27ffb003,0x3200fff8,
    0xfa8cffff,0x5fffa801,0x3ffe6000,0x4fffc80e,0xffed8800,0x3ff200de,
    0x206fdbdf,0xfff13ffd,0xeaa77441,0xd7104eff,0x03bfffff,0xff89ffec,
    0xfffda80f,0x7d401eff,0xf30005ff,0xff901dff,0xffc8009f,0x01fa8cff,
    0xfd8fffdc,0x7ffb01ff,0x6403ffe2,0xfa8cffff,0x7e4bbaa1,0x3e601eff,
    0xd804ffef,0x00fffeff,0x203ffe80,0x41ffeffc,0x0001fff8,0x7fff775c,
    0x7ffdc0ee,0x03ffffff,0x1fffdffb,0x3fffff60,0x303fffff,0x009ffdff,
    0x404fff98,0x8004fffa,0xf105fffa,0x01bfffff,0xff9a7ffc,0xfdff302f,
    0x807fffff,0x04ffeff9,0x04fff980,0x0027ffd4,0xfffffff5,0xfff7305f,
    0x7c0dffff,0x5fff34ff,0x7fdf7fc4,0xfa85ffff,0xffffffff,0x269fff02,
    0x7fec2fff,0x02ffffff,0x13ffbfe6,0x09fff300,0x004fffa8,0xffffdff3,
    0x7fcc07ff,0x01dff91f,0xff9a7ffc,0xfeff982f,0x2e3fffff,0xffffecff,
    0x3fe601ff,0xffd1004f,0x3a0005ff,0x7fec03ff,0x1fff881f,0x7ffe4000,
    0x2e1fffff,0xfcccefff,0xffd103ff,0x3fee05ff,0xdfffb9af,0x55ff981c,
    0x3e6009ff,0xfd1002ff,0xfe88009f,0xffdd102f,0x7dc0dfff,0x803bfa1f,
    0xbfff913b,0xf55ff980,0x7fcc009f,0xffd1002f,0xdfff1009,0x41fffd57,
    0xfffffff8,0x3fee02ce,0xf883bfa1,0xfedfffff,0x66fd42ff,0x0ffffbaa,
    0x3fa1ffb8,0x37ffee0e,0x302dbaaa,0x13feabff,0x017ffcc0,0x004ffe88,
    0x3fff2277,0x47ffe205,0xfb805ffb,0x403bfa1f,0xbfff913b,0xefffffb8,
    0x4405fffd,0xaa980019,0x3ffa0000,0x10099803,0x80003fff,0xdfffccca,
    0x0bfff10c,0xa9807ffd,0x07ffa00a,0x4c40bff7,0x8800cc41,0x99800099,
    0x01a88001,0x13fffaa0,0x00018088,0x33100131,0x22001988,0x99800099,
    0x84ffd801,0x3fe23ffe,0x006fffce,0xff103011,0x3fa21bff,0xf880446f,
    0x301101ff,0x000dffb0,0x01988331,0x00013310,0x44000333,0x04cc4009,
    0x04400333,0x04c4000c,0x717fffdc,0x01100fff,0x00013100,0x001fff42,
    0x20fffc40,0x3fe10000,0x07ffdc2f,0x4401fff4,0x207ffc00,0x00007ff8,
    0x00000000,0x44000880,0x11007ffe,0x00044000,0x44000110,0x00220000,
    0xf703fff1,0x3ee098bf,0x400004ff,0xfb86fff8,0x3fa000ff,0x2008803f,
    0x0001fffd,0x08800044,0x00022000,0x00000000,0x440004c4,0x3ffee009,
    0x407ffcc3,0x0deffed8,0xffffd710,0x76c403bf,0x03ffffff,0x3ffffb26,
    0x263ffe25,0x4c04effd,0xffffffed,0xe82ffec2,0xfdb103ff,0xfff01bdf,
    0x886ff983,0xeec80eee,0x203bba22,0x77442eec,0x02eec80e,0x1bdffdb1,
    0x03fff200,0x6ffffed4,0xfffda800,0xfda800df,0xa800dfff,0x00dffffd,
    0xdffffda8,0xaafffa80,0x86ffcaaa,0xffffffd9,0x80eee881,0xfff12eec,
    0x03fff303,0x3ff32aa2,0xffdb103f,0xfffc81bd,0xb1000bdf,0x801bdffd,
    0x0deffed8,0xeffed880,0x0eee880d,0x3a22eec8,0x2eec80ee,0x3fffae20,
    0xd7101dff,0x83bfffff,0xcc886ffb,0x7fffd40c,0xfa82ffff,0xffffffff,
    0xfffffc82,0xf703ffff,0x4fffffff,0xfffbfff8,0xff905fff,0x5fffffff,
    0xfd04ffe8,0xffff507f,0xfd85ffff,0x9ffd11df,0xd03fff10,0x7ffc47ff,
    0x443ffe81,0xffe81fff,0xfffffa83,0xfc802fff,0xffff907f,0x6407ffff,
    0xffffffff,0x3ffff203,0x3203ffff,0xffffffff,0x3ffff203,0x7dc3ffff,
    0xffffffff,0x7ffe47ff,0x885fffff,0xffe81fff,0x103fff13,0xfea85fff,
    0x3fffffff,0xffffffa8,0x7fff42ff,0x2a01dfff,0xffffffff,0xfffff502,
    0x7d405fff,0x2fffffff,0x740fffc4,0x3ffe23ff,0x203ffe81,0xfffffffa,
    0xfffa82ff,0x22ffffff,0x44006ffb,0xfeabefff,0x66fd40ff,0x0ffffbaa,
    0x333bffee,0xfc83fffc,0x7feeefff,0x3fffffe2,0x5c2fffed,0xfdccefff,
    0x27ffc2ff,0x7c43ffe8,0xffeabeff,0x3fffe20f,0x880effff,0xffe81fff,
    0x207ffe23,0x7fc43ffe,0x43ffe81f,0xeabefff8,0x3e200fff,0xfffc86ff,
    0x0fffffdf,0xfdffffc8,0xfc80ffff,0xffffdfff,0xffffc80f,0x80fffffd,
    0xffdffffc,0x3ff20fff,0xffffffff,0x3bffee7f,0x41fffdcc,0xfe81fff8,
    0x03fff13f,0x7dc3fff1,0xffeeffff,0x77ffc43f,0x40fffeab,0xffffffeb,
    0xbefff883,0x440fffea,0xfeabefff,0xfff880ff,0x0fffeabe,0x3a07ffe2,
    0x3ffe23ff,0x203ffe81,0xfbaacdfa,0x6fd40fff,0xffffbaac,0x800dff70,
    0xffe84ffd,0xff880443,0x0bfff11f,0xff987ffd,0xf11c41ef,0x3a21bfff,
    0x3ffe26ff,0x742fff85,0x7ffd04ff,0xfe84ffd8,0x3fffee3f,0xf100cfff,
    0x7ffd03ff,0x740fffc4,0x7ffc43ff,0x6c3ffe81,0x3ffe84ff,0x7ffff664,
    0x12fffc42,0xf88bfff7,0x3fee25ff,0x2fffc45f,0x88bfff71,0x3ee25fff,
    0x7ffc45ff,0x97ffee25,0x22006ffa,0x7fcc5fff,0x0fffc43f,0xff89fff4,
    0x0fff981f,0xe81bfff1,0x27fec3ff,0xb981fff4,0x6c0ffffe,0x3ffe84ff,
    0x7f427fec,0x84ffd83f,0x3fe23ffe,0x23ffe81f,0xfe81fff8,0x4402203f,
    0x80441fff,0xff71fff8,0x7ffc400d,0x005ffb81,0xffb9fff4,0x43ffe80f,
    0x8800fffd,0xffb86fff,0x01fff70f,0xffd85fff,0x23fffa86,0xfb81fff8,
    0x26dff15f,0x7fc4009a,0x23ffe81f,0xfe81fff8,0x0fffc43f,0xff11fff4,
    0x8bff703f,0x83ffffff,0xffb07ffc,0xb07ffc8f,0x7ffc8fff,0xfc8fffb0,
    0x8fffb07f,0xffb07ffc,0x007ffccf,0xe80fffb8,0x7ffc45ff,0xf13ffe81,
    0xfff903ff,0x7407ffd4,0x3ffe23ff,0x805ffb81,0x3e21fffc,0x5ffb81ff,
    0x2e07ffe2,0x7ffc45ff,0x225ffb81,0xffe81fff,0x207ffe23,0x20003ffe,
    0x74003ffe,0x0dff73ff,0x557ffd40,0x06ffcaaa,0x3ff32aa2,0x20bff93f,
    0x7ff43ffe,0x3fff1004,0x323fff30,0x5fff05ff,0x261fffb8,0x3ea3ffff,
    0xcaaaaaff,0x0dff36ff,0x03fff100,0x7fc47ffd,0x43ffe81f,0xfe81fff8,
    0x2bffea3f,0x6ffcaaaa,0x805f7ff4,0xff704ffd,0x827fec3f,0x3f61fffb,
    0x3fff704f,0xfb827fec,0x13ff61ff,0xf88fffdc,0xff9005ff,0x11fff20b,
    0xffd03fff,0x307ffe27,0x7fdc9fff,0x1fffec1f,0x5555fff5,0x802dff95,
    0x3ea1fffb,0xcaaaaaff,0x3ffea6ff,0xffcaaaaa,0x557ffd46,0x26ffcaaa,
    0xfe81fff8,0x07ffe23f,0x4400fffa,0x3fffccaa,0x3f32aa20,0x0dff73ff,
    0x7ffffdc0,0x87ffffff,0xffffffea,0x09ffd3ff,0xfff0fffa,0x3ffe2007,
    0xd2fff881,0x3ffe09ff,0x67fffc42,0x23fffffd,0xfffffffb,0xff17ffff,
    0x57999bdf,0x207ffe20,0x3fe23ffe,0x43ffe81f,0xfe81fff8,0x3fffee3f,
    0x7fffffff,0x3a00fff4,0xfff303ff,0x981fff45,0x3ffa2fff,0x45fff303,
    0xff303ffe,0x81fff45f,0x3ee2fff9,0xcbaabeff,0x209ffd1e,0x7fc47ffb,
    0x13ffe81f,0xf955bfff,0xfff98dff,0xffffebbe,0x3ffffee3,0xd7ffffff,
    0xff75357d,0xffffb8ff,0x7fffffff,0x3fffffee,0x5c7fffff,0xffffffff,
    0x3fe27fff,0x23ffe81f,0xfe81fff8,0x7ff5403f,0x83ffffff,0xffffffea,
    0x0dff73ff,0x7ffffe40,0x47ffffff,0xeefffffb,0x9fff3fff,0xf88fffa0,
    0xff1003ff,0x3fff103f,0x7fc13ffe,0xffffb82f,0x23ffdeff,0xfffffffc,
    0x3ee7ffff,0xffffffff,0x0fffc41e,0xff11fff4,0x87ffd03f,0xfe81fff8,
    0x3ffff23f,0x7fffffff,0x3e007ff4,0xfff104ff,0x8827ffc5,0x3ffe2fff,
    0x45fff104,0xff104fff,0x827ffc5f,0x7ec2fff8,0xffffffff,0x2e09ffd1,
    0x7ffc47ff,0xf13ffe81,0xffffffff,0xffffb03d,0x47ff9fff,0xfffffffc,
    0xffd7ffff,0x3fffffff,0xffffffc8,0x327fffff,0xffffffff,0x7fe47fff,
    0xffffffff,0x07ffe27f,0xff88fffa,0x03ffe81f,0x3bffffee,0x7dc3fffe,
    0xffeeffff,0x00dff73f,0x20037fd4,0x740dfff8,0x09ffd3ff,0xfff0fffa,
    0x3ffe2009,0xd0fff981,0x3ffe09ff,0xbffff502,0x7d47ffb1,0x7fe4006f,
    0xffffeeef,0x40fffc46,0x3fe23ffe,0x43ffe81f,0xfe81fff8,0x01bfea3f,
    0x3a00aaa0,0xfff306ff,0x9837ff41,0x3ffa0fff,0x41fff306,0xff306ffe,
    0x837ff41f,0xea80fff9,0x0dffffff,0x3f209ffd,0x0fffc47f,0xff89fff4,
    0x04efffff,0x37ffff62,0x3ea3ffa8,0x3ff6006f,0x81dfffff,0x54006ffa,
    0xfa8006ff,0x7fc4006f,0x23ffe81f,0xfe81fff8,0xbfff103f,0x223ffe81,
    0x7f40dfff,0x00dff73f,0x0007ffcc,0xfd01fff5,0x21bff67f,0x7f43fffa,
    0xff8800ff,0x27ffc81f,0xffa86ffd,0xb04c402f,0x7ffcc7ff,0x1dff7000,
    0x443fff70,0x7fd41fff,0x07ffe23f,0xf887fff5,0x7ffd41ff,0x003ffe63,
    0xfffd8000,0x6c7ffb80,0xffb80fff,0x407ffec7,0x7fec7ffb,0x47ffb80f,
    0xfb80fffd,0xfff9807f,0xe837fec0,0x7ffc45ff,0x89fffd41,0x00199fff,
    0xfe884cc4,0x03ffe60e,0x03333300,0x000fff98,0x0003ffe6,0x4001fff3,
    0x7d41fff8,0x3ffe23ff,0x81fffd41,0xfe80fffa,0x03ffea3f,0x0000fffa,
    0x400bfff1,0x7ec1fffb,0x3fff73ff,0x21ffffcc,0x180efffb,0xf307ffe2,
    0x7ffdc9ff,0x0bfffe62,0x88fffa00,0xfd005fff,0x3ffe207f,0xf31fffc2,
    0xfff87fff,0x0ffffe63,0xff98fffe,0x3ffe23ff,0x0f7e4005,0x833ffea0,
    0x7d44fff9,0x3fe60cff,0x67ffd44f,0x513ffe60,0x7cc19fff,0x7ffd44ff,
    0x13ffe60c,0x2e0bff20,0x7fdc3fff,0x23fff83f,0xf13ffff9,0x400003ff,
    0x7fc41ffc,0x5550005f,0x2fffc401,0x0bfff100,0x05fff880,0xf31fffc0,
    0xfff87fff,0x0ffffe63,0x360fffdc,0x3fee3fff,0x1fffec1f,0x5c00aaa8,
    0xbaabefff,0x3ffe61ec,0xffffebbe,0xb9ffff13,0xd07fffff,0xfd9dffff,
    0x37ffe21f,0x46fffcaa,0xfddffff8,0x8002ffff,0x7fdc3ffe,0xecbaabef,
    0x320dffd1,0x7ff40fff,0xfffffddf,0x6effff43,0xe83fffff,0xfffddfff,
    0x7ffdc3ff,0x1ecbaabe,0x2017ffea,0xfddffffe,0xffe80fff,0xffffddff,
    0xdffffe80,0xe80ffffd,0xffddffff,0xfffe80ff,0x0ffffddf,0xf00fff80,
    0xffb9ffff,0x3fffa0df,0x3fffffdd,0x0003fff1,0xfb83ffc0,0xcbaabeff,
    0x00fff01e,0x557dfff7,0xffb83d97,0xecbaabef,0xbefffb81,0x741ecbaa,
    0xfffddfff,0x7fff43ff,0x3fffffdd,0x77dfff30,0x4c7ffffd,0xfebbefff,
    0xfff03fff,0x3ffff600,0x6c1fffff,0xcfffffff,0x3ffee3ff,0x3ffcefff,
    0xfffffe98,0xfff10fff,0x3dffffff,0xffffff70,0x0005ff9d,0xffb07ffd,
    0x3fffffff,0x337fffee,0xa83fffed,0xceffffff,0x7ffd43ff,0x3ffcefff,
    0xffffffa8,0xfd83ffce,0xffffffff,0x01bffee1,0x3fffffe6,0xff302fff,
    0x5fffffff,0x3ffffe60,0xf302ffff,0xffffffff,0x3fffe605,0x002fffff,
    0xa819dfff,0xffffffff,0xffff501f,0x27ff9dff,0x0001fff8,0x2137ffe0,
    0xfffffffd,0x5ff881ff,0xfffffb00,0xfb03ffff,0xffffffff,0x3ffff603,
    0x541fffff,0xceffffff,0x7ffd43ff,0x3ffcefff,0x3fffff60,0x6c3ffcff,
    0xcfffffff,0x5ff883ff,0x3fffaa00,0x6c40efff,0xfa8dffff,0x7fffd43f,
    0x203ffa8d,0x4fffffeb,0x7fffff5c,0x7ffdc04e,0x02ffb8cf,0x503ffe80,
    0xdffffffd,0x7ffffe41,0x2a02efff,0xfa8dffff,0xffffa83f,0x503ffa8d,
    0xf51bffff,0x3ffaa07f,0x220effff,0x91002ffe,0x01bfffff,0xfffffc88,
    0x7fe4400d,0x4400dfff,0x0dfffffc,0x7fffe440,0x3ee000df,0xfd880fff,
    0x400cffff,0xa8dffffa,0x3fff13ff,0x7fe40000,0xfffd507f,0xf501dfff,
    0x7f54005f,0x00efffff,0xffffffd5,0x7ff5401d,0xa80effff,0xfa8dffff,
    0xffffa83f,0x203ffa8d,0x8dffffd8,0x7ec43ffa,0xffa8dfff,0x002ffa83,
    0x10033530,0x98800133,0x04cc0000,0x4000cc40,0x20000098,0xa9801aaa,
    0x332e2019,0x26002bcd,0x09980009,0x00133000,0x200cd4c0,0x13100009,
    0x00262000,0x80004c40,0x31000098,0x5dcc0001,0x00199802,0xaa800998,
    0x4c00000a,0x9a9802bb,0x00664c01,0x0019a980,0x4000cd4c,0x330019a9,
    0x01330001,0x004cc400,0x80026620,0x00000cc9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x54c0002a,0x5554c2aa,0x77510002,0x15510015,
    0x4c000d54,0x22002aaa,0x71004000,0x05544017,0x26000440,0x1551002a,
    0x55000d54,0x81555455,0x2aa60aaa,0x5554c000,0x20008802,0x000aaaa8,
    0x2a980000,0x5554c000,0x00001002,0x30555544,0x05555555,0x2aaaaaa2,
    0xddd10002,0x4405dddd,0x2eeeeeee,0x03dd3000,0x55305554,0x00098801,
    0x40aaaa60,0xeeeeeee8,0x205dcc02,0x20ddc400,0x7ffd4000,0xfff30005,
    0x9fff901d,0x7ffec400,0x7c404fff,0x007ff33f,0x40efff98,0xffd54ee8,
    0x3ffb007f,0x05ffffa8,0xa7744dfd,0x803fffea,0x8805fffa,0x07ff33ff,
    0x6c7ffee0,0xff301fff,0x000ffeab,0x201dfff3,0x0cffffc8,0x05fffa80,
    0xfffec980,0x7ffd405f,0xfff30005,0x7ff6401d,0x06eeeeef,0x0bfffa20,
    0xbffffff7,0x3ffffea0,0xff10007f,0x407fffff,0xfffffff8,0x0ffb0003,
    0xff55ff98,0x3fff6a07,0x26001eff,0xf100efff,0x07ffffff,0x467fffe4,
    0xfff501fa,0x007f33bf,0x13ffbfe6,0x09fff300,0x004fffa8,0xfffffffd,
    0xeffd809f,0x26000fff,0xff104fff,0xffffff7d,0x37ffd409,0x7ffbdff1,
    0x3e21ffb8,0xfffffbef,0x3bfe604f,0xffd804ff,0x9800fffe,0xdff91fff,
    0xfeff9801,0x7fcc004f,0x3ffa204f,0x800effff,0x2005ffe9,0xfffffffb,
    0x3fbfe607,0x7fcc004f,0x3ffa204f,0xffffffff,0xdffd1007,0xfffff701,
    0x3ffea0bf,0x20007fff,0x2ccccccc,0x66666640,0x7cc4002c,0xeff9804f,
    0xfffb04ff,0x005fffff,0x2013ffe6,0x2ccccccc,0xfffdff30,0x3fe07fff,
    0x6fffffff,0xf55ff980,0x3fe6009f,0xffd1002f,0xbfffc809,0x407ffc88,
    0x02ffffe8,0x80bffe60,0xdffffff8,0xf500ffff,0x87fd4dff,0x0ffe25fd,
    0xbffffff1,0xf301ffff,0x013feabf,0x05ffffd1,0x2e3fff10,0x3e6005ff,
    0x7cc004ff,0x7fec02ff,0x04fffbbe,0x2017ff20,0xeeeffffc,0x2bff307f,
    0xf3004ffa,0xffe805ff,0xeefffeef,0xffe8806e,0x36666204,0x333105ff,
    0x0000fff7,0x20000000,0x2fffffda,0x09fff300,0x2ab7ffee,0xf9802dba,
    0x000002ff,0xfffc89dc,0xffb96605,0x198800ef,0x98800cc4,0x19980009,
    0x2227ff40,0xa9801fff,0x4cc4000a,0x7fffc400,0x05fff30d,0xff70ffec,
    0x0dfd37e4,0x21bffff1,0x9882fff9,0x9800cc41,0x331000aa,0x4000ccc1,
    0x98800198,0x0fff8009,0x3001bfea,0x7fcc0133,0x881c41ef,0x800cc419,
    0x7d400998,0x03ffe2ff,0x00133100,0x7005ffc8,0x10000fff,0x02200013,
    0xfffffd80,0x31001fff,0x037fec03,0x00266200,0x10000440,0x13100013,
    0x00262000,0x40002620,0x7ffc0098,0x007ffd42,0x11018000,0x21bffe20,
    0x40403fff,0x2bfb0ff9,0xff881ffb,0x03fff86f,0x88000988,0x00220000,
    0x00026200,0xff300262,0x006ff98f,0x1fffb000,0x00000000,0x27ff4011,
    0x00003ffe,0x25ffc800,0x0fff7019,0xfffd7100,0xda803bff,0x200dffff,
    0xffdefffc,0x22000fff,0x03fffb00,0x40011000,0x0deffed8,0x00004400,
    0xffeb8800,0x7101dfff,0x3bfffffd,0x7fff5c40,0x7fc41dff,0x13ffe21f,
    0x3203bba2,0x3ffae2ee,0xeffe99ef,0x40fffc41,0x2a603ffe,0x7deffc0a,
    0x104ff8bf,0xffd03fff,0x3fff6a07,0x36a01eff,0x800dffff,0x0dffffda,
    0x3fff6a00,0x36a01eff,0x81efffff,0x3f20fff8,0x7775404f,0x3fa04eee,
    0x7754004f,0x5404eeee,0xdfff92ee,0x41fff983,0x75400fff,0x004eeeee,
    0x7eceffe4,0x00fff702,0xffffff50,0x3f205fff,0x3fffffff,0xf53fff88,
    0xe88bffff,0x7fffd54e,0xbdffffc8,0x553ba200,0x5403fffe,0xffffffff,
    0xeaa77442,0xdd503fff,0x4009dddd,0xfffffffa,0xfffa82ff,0x02ffffff,
    0xfffffff5,0x7ffc45ff,0x20bffd11,0xfe81fff8,0x3ffffa3f,0xffffffff,
    0x207ffe20,0x3f603ffe,0x7fffe41f,0x7c40dfb6,0x3ffe81ff,0xffffffd8,
    0xfff902ff,0x407fffff,0xfffffffc,0xfffd803f,0xb02fffff,0xffffffff,
    0x5d3ffa05,0x7dc00fff,0x205fffff,0x5c003fff,0x05ffffff,0x7ff67fdc,
    0x3ea1ffff,0x00fff87f,0x7fffffdc,0x7ffe4005,0xff702fff,0x9bf5000f,
    0x1ffff755,0xfdffffc8,0x7e40ffff,0x3ebbf66f,0x5f7fc46f,0x44ffffff,
    0xdffffffe,0xfbeff881,0x104fffff,0xfd57dfff,0x77fc41ff,0x4ffffffb,
    0xffffffb8,0x337ea005,0x0ffffbaa,0x5d566fd4,0xfa80ffff,0xfffbaacd,
    0x23fff10f,0x3e206ffd,0x3ffe81ff,0x3ff26b3a,0x23ffdbff,0xfe81fff8,
    0x07ff603f,0x7fd4f6e2,0x07ffe201,0xff70fffa,0x5b7555bf,0xfbffff90,
    0xf901ffff,0xffffbfff,0x7ffdc01f,0x82dbaaad,0xaaadfffb,0xfff502db,
    0x5005fffd,0x0bfffddd,0x000fffe2,0xbfffddd5,0xfffffb80,0x2e5fffde,
    0xcfff86ff,0xeeea82cc,0x64005fff,0x00dfffff,0x0220fff7,0xfff88044,
    0x897ffe21,0x7ec5fffb,0x3e9ff13f,0x3ffe20ff,0xffffdfff,0x7ffff5c0,
    0x7ffc43ff,0xffffdfff,0xe84ffd80,0x3ffe23ff,0xffffdfff,0x7ff77540,
    0x4022005f,0x0441fff8,0x881fff88,0x23fff100,0xfff1fff8,0x0fffc405,
    0xd011fff4,0x137fc5ff,0xffd03fff,0x3fff9507,0x809ff100,0xfe81fff8,
    0x037fec3f,0x44bfff10,0x7c45fffb,0x3fee25ff,0x1bff605f,0x00dffb00,
    0x3bffff60,0xbff90001,0x0027ffc0,0x7017ff20,0x7dc5ffff,0x21bfee7f,
    0x05ffffff,0x3005ffc8,0x03bffffb,0xfd87ffb8,0xffe8004f,0x6c1fff23,
    0x97ff47ff,0x5fff1ffb,0x86ffffc4,0x7302fff9,0x441ffffd,0xf30dffff,
    0xfff885ff,0x225ffb81,0xf30dffff,0xffc805ff,0x3fa00005,0x7ff4003f,
    0x3ffe8003,0x3fe3fff1,0x3ffe204f,0x403ffe81,0x9ffa1ffc,0xfe81fff8,
    0x3fff623f,0xefd802ff,0x0fffc400,0x3f61fff4,0xff9001ff,0x91fff60f,
    0x3ff60fff,0x07fff607,0x01fffd80,0x7ffff4c0,0x2002aaa0,0x3fa05ffc,
    0x320000ff,0x7fdc05ff,0x87ffcc3f,0xfff85ffc,0xfc805fff,0x7fec405f,
    0xf7006fff,0xffffa8ff,0x332aa202,0x3ff63fff,0x43fff704,0x4dfb2fff,
    0x3fe22fff,0x03fff86f,0x221fffc8,0xfff86fff,0x557ffd43,0x26ffcaaa,
    0xff86fff8,0x2ffe403f,0xccaa8800,0x2a203fff,0x03fffcca,0x7fe65544,
    0x23fff13f,0xf104fffd,0x7ffd03ff,0x2bff6a60,0x3e27feaa,0x3ffe81ff,
    0x3bbffffa,0x017fd402,0x740fffc4,0x7ffe43ff,0x3f600bdf,0x3fff704f,
    0xfb827fec,0xfff901ff,0xfc8017bf,0x400bdfff,0x5ffffff9,0x32003ffa,
    0x3fee05ff,0xc80180ef,0x7fdc05ff,0x70ccc886,0x1fff0dff,0x05ffc800,
    0x7fffffcc,0x8fff7005,0xa84ffffc,0xfffffffe,0x40fffa3f,0x3f62fff9,
    0x3e3ff8af,0x3ffe21ff,0x013ffe81,0xf10fffdc,0x7ffd03ff,0xffffffb8,
    0x227fffff,0xffe81fff,0x02ffe403,0x3ffffaa0,0xea83ffff,0xffffffff,
    0xffffd503,0x3e27ffff,0xffff31ff,0x1fff881b,0x3623ffe8,0xffffffff,
    0x3fe27fff,0x53ffe81f,0x44009fff,0x39ff94ff,0xe81fff88,0xfffe83ff,
    0xfe81dfff,0x5fff303f,0xf981fff4,0x3ffa02ff,0x201dffff,0xdffffffe,
    0xf3bffd01,0x03ffe9ff,0x8817ff20,0xecefffff,0x7fe400ff,0x037fdc05,
    0xff0fff50,0xffc8001f,0x64f7cc05,0xff7005ff,0x2ffffa8f,0x77ffffdc,
    0x3fe3fffe,0x5fff104f,0x7fdeffdc,0xf88fff51,0x3ffe81ff,0xf75357dd,
    0xfff88fff,0x643ffe81,0xffffffff,0x3fe27fff,0x03ffe81f,0x7002ffe4,
    0xfddfffff,0xfffb87ff,0x3fffeeff,0xefffffb8,0xff13fffe,0x7fffcc3f,
    0x40fffc46,0x3ffa3ffe,0xeeefffee,0x3ffe26ee,0xf93ffe81,0xffd800ff,
    0x1fffffd8,0x3a07ffe2,0xffd703ff,0xff87ffff,0x5fff104f,0xf8827ffc,
    0x7f5c02ff,0x203fffff,0xffffffeb,0xb87ffcc3,0x07ffbfff,0x980bff90,
    0xfffffffe,0x2ffe400f,0x801bfee0,0x7fc0fffa,0x7fe4000f,0xff90c405,
    0x1ffee00b,0xff113ff2,0x3ffe81bf,0x7cc1bffa,0x3ffea0ff,0x9ffd16fe,
    0xe81fff88,0xffffd3ff,0x885fffff,0xffe81fff,0x0037fd43,0x3a07ffe2,
    0x7fe403ff,0xbfff1005,0x223ffe81,0x7f40dfff,0x6fffc43f,0xf89fff40,
    0x7ff441ff,0x07ffe22f,0x7fdcfffa,0x2201ff24,0xffe81fff,0x400fffb3,
    0xbff9affa,0x3fe25fe8,0x03ffe81f,0x7ffff5cc,0x4c1bffa0,0x3ffa0fff,
    0x01fff306,0x3fffae60,0x7f5cc00f,0x3fee0fff,0x7ffffe46,0x0bff9004,
    0xfffff710,0xbff900bf,0x006ffb80,0xff0fffe2,0xffc8001f,0x2ffe4005,
    0x007ffb80,0x7407ffd4,0x3fff63ff,0xe87ffb80,0xffcdffff,0x7ffc40ff,
    0xfb3ffe81,0x3bffffff,0xd03fff10,0xfff987ff,0x3ffe2000,0x403ffe81,
    0xf5005ffc,0x7ffd01ff,0x7407ffd4,0x7ffd43ff,0xf13ffe80,0xfff103ff,
    0x20fffc49,0xff93fffa,0x0007fe43,0x1fffb800,0xf55ff880,0x10037e4f,
    0x64005fff,0x3ff61fff,0x47ffb80f,0xfb80fffd,0xff90007f,0x7fe4003f,
    0x21bfee1f,0x001ffffe,0x5c00bff9,0x32000cff,0x7fdc05ff,0x7ffe4006,
    0x0003ffe0,0xc800bff9,0xff7005ff,0xfffb800f,0x51fffec1,0x7cc19fff,
    0xffe884ff,0x82ffffff,0xfe81fff8,0x7ff4cc3f,0x07ffe201,0xff10fffa,
    0x7fc400bf,0x03ffe81f,0xb802ffe4,0x7fec1fff,0x07ffee3f,0xfb87fffb,
    0x7ffec1ff,0x203fff13,0x7ffc3ffe,0x4ffffe63,0xffd11ffd,0x15550007,
    0x0bfffe60,0x3ea1ff90,0xa801bf27,0x70041fff,0x7fd43fff,0x3ffe60cf,
    0x067ffd44,0x0409fff3,0x083fff70,0xa87ffee0,0x7fc41fff,0x3ff2007f,
    0x07ff2005,0x80bff900,0x4c006ffb,0xffcdffff,0xc804cccf,0x7e4005ff,
    0xfff7005f,0xefff9800,0x3ffffebb,0x6efffff4,0xf100ffff,0x01bfffff,
    0x3a07ffe2,0x0dff03ff,0xe81fff88,0xfffb83ff,0x1ecbaabe,0x3a07ffe2,
    0x7fe403ff,0xdfff3005,0x7ffffd77,0x5df7ffcc,0x4c3ffffe,0xfebbefff,
    0xfff13fff,0xff955913,0xdfffe85f,0x93fffffd,0xfffd3bff,0x8057337f,
    0x7fe407ff,0x2a2defff,0x4bfe22ff,0xeb8805fe,0xabee86ff,0x87fffba9,
    0xfddffffe,0xffe80fff,0xffffddff,0x26afba00,0xe87fffba,0xffba9abe,
    0x7fffc47f,0xffffebac,0xfd999905,0x407999ff,0xccc806fe,0xcccfffec,
    0x0037fdc3,0x7fffffdc,0xc87fffff,0xcfffeccc,0x666643cc,0x3cccfffe,
    0xfffb9997,0xfb009999,0xf9ffffff,0xffff987f,0x202fffff,0x800abff9,
    0xfe81fff8,0x03ff883f,0x740fffc4,0xfffb03ff,0x43ffffff,0xfe81fff8,
    0x7666643f,0x03cccfff,0x3ffffff6,0x7ec3ffcf,0xfcffffff,0xffffd83f,
    0x13ffcfff,0xfff13fff,0xff50bfff,0xff9dffff,0x3ffffe67,0xffffffbe,
    0x017fe203,0x3ffffff6,0xfb0bfd14,0xd003ffff,0xfd03ffff,0xffffffff,
    0xfffff303,0x2605ffff,0xffffffff,0x7fff402f,0x81ffffff,0xfffffffe,
    0xfffa81ff,0xffffffff,0xfffff83f,0x06ffffff,0x3fe00ffe,0xffffffff,
    0x037fdc6f,0xffffd980,0xf87fffff,0xffffffff,0x7fffc6ff,0x6fffffff,
    0xfffffffd,0xb100ffff,0xf51bffff,0xfff9107f,0xfc801bff,0x3fe2000f,
    0x83ffe81f,0x7c400ffa,0x3ffe81ff,0x3ffffaa0,0x3fe20eff,0x43ffe81f,
    0xffffffff,0x36206fff,0xfa8dffff,0x7ffec43f,0x83ffa8df,0x8dffffd8,
    0xfff13ffa,0x7fffff13,0x6ffffd40,0x3aa3ffa8,0xfff90eff,0x7fd405ff,
    0xfffb3002,0x203ff29f,0x002fffc8,0x3605fffd,0xdfffffff,0x3fff2201,
    0x64400dff,0x00dfffff,0xffffffd8,0xfffb01df,0x403bffff,0xcfffffd9,
    0x7c2fffc8,0xffffffff,0xf00006ff,0xffffffff,0x6ffb8dff,0x00988000,
    0x3fffffe0,0x7c6fffff,0xffffffff,0xffffd6ff,0x0fffffff,0x0004cc40,
    0x3a000988,0x7fc4005f,0x03ffe81f,0x0fffc400,0x9801fff4,0xfff1019a,
    0xf87ffd03,0xffffffff,0x998806ff,0x04cc4000,0x004cc400,0x00099880,
    0x08800266,0x98019988,0x988000cc,0x0008001a,0x99801664,0x98800199,
    0x01310000,0x06666600,0x01999980,0x00009980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ae21d40,0x8802b32a,
    0x01aa80aa,0x2aa02aa2,0x402aa201,0x00aa61aa,0x55400131,0x402aa60a,
    0x55000aaa,0xb5000015,0x07774409,0x2aa0f774,0x0440000a,0xeeeee880,
    0x804002ee,0xec80eee8,0x55554c2e,0x060002aa,0xbcba8800,0x0300000a,
    0x88000400,0x00abccb9,0x04c00008,0x200aa600,0x2e00eeea,0x6f5405ee,
    0x00008000,0x54c0000c,0x155502aa,0x2200554c,0x545eedcb,0xeeeeeeee,
    0x4bff701e,0x3fe23ffd,0xdfd00fff,0x204ffea8,0x7ff546fe,0xe81bfa04,
    0x50bfd15f,0x5dfffffb,0xf55ff980,0x17ffc07f,0x002fff80,0x827ffcc0,
    0xff80fff8,0x07ffe22f,0x3fffae00,0x3fe201df,0x403fffff,0xdffffdc8,
    0xd03fff12,0xfffb87ff,0x2a005fff,0x3dffffed,0xffffc880,0x1efc82ff,
    0x001ff660,0x07bffd93,0x3ffffee0,0xfdb302ff,0xda8019df,0x02efffff,
    0x202fffd4,0x3e03fff8,0x3fe204ff,0xffb3006f,0xb30019df,0xf98000ff,
    0xff300eff,0x880ffeab,0x6ffffffd,0x7fffffdc,0xffb02fff,0x7127ffcf,
    0xf709ff55,0x7fffcc3f,0x4c3ff704,0xf704ffff,0x7ffdc03f,0xffc82fff,
    0x05ffffff,0x27ff7fcc,0xeefffee8,0x0bffe06e,0xbfff5000,0x203ffe20,
    0x3fe22fff,0x3fa2001f,0x4fffffff,0x33333320,0x3ffee02c,0xf15fffff,
    0x7ffd03ff,0xffffffb8,0xfffd8805,0x00ffffff,0x7fffffec,0x37ffdc2f,
    0x400fff70,0xfffffffb,0x3fffa00e,0xa82fffff,0xefffffff,0xffffe881,
    0x2604ffff,0x404ffeff,0xff506ffd,0x7ffcc01f,0xffffc807,0x5c02ffff,
    0x260007ff,0xf9804fff,0x2604ffef,0xffffffff,0x7ffffdc6,0xf302ffff,
    0x20ffe47f,0x442ffba8,0xff9c83ff,0xc83ff884,0xff884ff9,0xffffc803,
    0xd9bdf904,0x9807ffff,0x3fe04fff,0x07ffffff,0x0000bffe,0x2205ffd1,
    0xfff80fff,0x007ffe22,0xcbdfffd8,0x0001fffe,0x3fffff20,0xff15fffe,
    0x87ffd03f,0x5ffd9998,0x7ffffc40,0x00ffffef,0x4c73ffea,0x7fffec0a,
    0x00fff700,0x5c473ff2,0xffb80eff,0x1a9889cf,0x7677ffdc,0xffd87fff,
    0x4ffeeeff,0x3eabff30,0x3ffea04f,0x805ffd81,0x7e404ffe,0xffffffff,
    0x1ffee01f,0x17ffcc00,0x09fff300,0x4dffffc4,0x5fff0000,0x40440440,
    0x741dfffa,0x427fc06f,0x27fc06fe,0x510037f4,0x4404c015,0x98806fff,
    0x7fff7401,0x3fe06eee,0xa880002f,0x03ffe201,0xff88bffe,0x3ffe001f,
    0x003fff82,0x5ffff300,0xff89dc41,0x03ffe81f,0x3602ffe4,0x5441dfff,
    0x17ff200d,0x037ffdc0,0xf300fff7,0x13fa207f,0xf8013ffe,0x7ffd45ff,
    0x033ffe23,0x20cc4062,0x7ffc0198,0x017ffc44,0x7fc402a8,0x3ffee0df,
    0x01ffee05,0x0004cc40,0x3f200cc4,0xf80000ff,0x200002ff,0x2e7feba8,
    0x27fc01ff,0xff007fee,0x001ffb89,0x7fe40000,0x20044006,0xff002fff,
    0x0000005f,0x3e03ffe2,0x3ffe22ff,0x7fc40221,0x23ffc80f,0xec80eee8,
    0x03fffa2e,0x207ffe20,0x7e403ffe,0x3ffe605f,0x7fec0004,0x837ae003,
    0xfffeeee8,0x361eeeee,0x2732e24f,0x3fe60ff9,0xfff7000f,0xfa9fff20,
    0x000001ff,0x547ffc80,0x400007ff,0xff706ffd,0x3bbba21f,0xeeeeefff,
    0x00000001,0x0007fff0,0x2a0bffe0,0x04eeeeee,0x23ff6231,0xff804ff8,
    0x2013fe24,0x13fe24ff,0xdddddd50,0x3ff20009,0xf92eea84,0x3fe03dff,
    0xf057512f,0xeed885ff,0xeeeeec85,0xf11eeeee,0x5fff01ff,0x7547ffc4,
    0x7fc43fff,0x17ffc43f,0xfd03fff1,0x0fffe67f,0x40fffc40,0x7e403ffe,
    0x3fff605f,0x7ff40000,0xff880003,0xffffffff,0x23ff32ff,0xfd2ffff9,
    0x003ffd49,0x3f209ffd,0x7fff51ff,0x007bb200,0xff103bb2,0x827fec5f,
    0x4eeeeeea,0x4413ffe0,0xfff13fff,0xffffffff,0xeeeec85f,0x81eeeeee,
    0xeeeeeeec,0xfff31eee,0xff000043,0xffff705f,0x3fea0bff,0x0dfb3fff,
    0x6fd93fe0,0x7ec9ff00,0xffffb806,0xf88005ff,0xcffb82ff,0x1ffffffe,
    0xffc9fff8,0x3ffe0eff,0x07fffa22,0x3ffffff6,0xff11ffff,0x45fff01f,
    0xfffcfff8,0x7fec4fff,0x6ffd88cf,0x740fffc4,0x1fff73ff,0x07ffe200,
    0xf900fffa,0x27ffc0bf,0x1fff4000,0x77744000,0xeeeefffe,0x7fcdf51e,
    0x4bf71ddf,0x3e007ffa,0x7ff442ff,0xffff32ff,0x3ffd8039,0xfb07fe80,
    0x07ffe2bf,0x7fffffdc,0x03fff105,0xee8a7ff4,0xeeefffee,0x7ffec1ee,
    0x1fffffff,0xffffffd8,0xff71ffff,0x7dfffd7f,0x82fff800,0x5fffeeea,
    0x2359db30,0x99001ffa,0x4007fea5,0x03ff52cc,0xfffddd50,0xfb99900b,
    0x3fee07ff,0xfffdefff,0xffefff85,0x3fe5ffff,0x07fff62f,0x7fffffec,
    0xff10ffff,0x45fff01f,0xdffffff8,0x3a20ffff,0xefffffff,0x40fffc40,
    0xfff93ffe,0x0fffc400,0x3201fff4,0xfff105ff,0x55555445,0x7ff776c2,
    0x05eeeeef,0x03ffdc00,0x1ffd57ee,0xfff53fd4,0x50fffc00,0x47ffffff,
    0x2dfffffd,0xf009ff70,0x3ffea0ff,0x2a06ffb8,0x05fffeee,0x6c01fff3,
    0xfff705ff,0x3ffff600,0x80ffffff,0xfffffffd,0xfff70fff,0xdfffffff,
    0x0bffe001,0x0017ff20,0x20009ff1,0x10004ff8,0x320009ff,0xfff805ff,
    0xf700cfff,0x7fdc5fff,0xcfffff87,0xff0fffd9,0x0bfff25f,0x8ffff200,
    0x7e41fff8,0x3ffe22ff,0x5fff30df,0xfffffd88,0x1fff880f,0xffb3ffe8,
    0x7ffc400d,0x01fffd41,0x7cc17ff2,0x3ffe61ff,0x3ffa0fff,0xffffffff,
    0x7dc0007f,0xba7ec07f,0x0ff981ff,0x2200fff5,0xfffb0fff,0x6c49ffbb,
    0x3fffffff,0x2202ffd4,0x3ffe05ff,0x2003ffea,0xff505ffc,0x37fec01f,
    0x0007ffb8,0x001fffe4,0xfc8ffff2,0xffdcefff,0xfff004ff,0x0bff9005,
    0x000efd80,0x0001dfb0,0x40003bf6,0xff805ffc,0x83ffffff,0x7cc3fffb,
    0x7fffc0ff,0x7c7ffe22,0x3fffaaff,0x4fffa800,0xf71fffc4,0x7fc45fff,
    0x43fff86f,0xffffffe9,0x0fffc40e,0xffe9fff4,0x1fffc006,0x807ffff3,
    0xff505ffc,0x7fffcc3f,0x3bbb60ff,0xeeeeefff,0x41efd885,0xafffdaa9,
    0x53f61aaa,0xff981ffc,0x200fff50,0xffeafff9,0x709ffb3f,0x9ffffffd,
    0xffb37fcc,0xc813fe63,0x00fffeff,0x5c17ff20,0x3f600fff,0x0fff706f,
    0x27ffd400,0x13ffea00,0xe883fff9,0xfff007ff,0x0bff9005,0x0017fd40,
    0x0002ffa8,0x40005ff5,0x22005ffc,0x42fffea9,0xcc886ffb,0x427ffc0c,
    0x9fff2fff,0x10009fff,0xff10dfff,0xffffdbff,0x3ffe27df,0x263ffe81,
    0xffeadfff,0x3ffe20ff,0xfb3ffe81,0xffe800ff,0xfffffddf,0x82ffe403,
    0x2a22fff9,0x200fffba,0xf7003ffe,0xfffc8dff,0x3fffffff,0x1ffdd7f2,
    0xfff53fcc,0x3fffe200,0x3ffa1eff,0x3fff6603,0x4fff12ff,0x7ff53fff,
    0x7ffffc40,0x2ffe4004,0x200fffa8,0xff705ffd,0x3fe2000f,0x7fc4006f,
    0x07ffb86f,0xf003fff3,0xff9005ff,0x53fe200b,0x4403eed8,0xeffc8cff,
    0x8a7fc403,0xf9003eed,0x3a2000bf,0x37fdc5ff,0x417ffc00,0xffff2fff,
    0x3a000fff,0xff880fff,0xfcdfffff,0x3fff16ff,0x7f47ffd0,0x27ffe44f,
    0xfd03fff1,0x03fff27f,0xfffffa80,0x403ffcef,0x3fe05ffc,0x1fff103f,
    0x801fff40,0x321ffffc,0xffffffff,0x4dbee3ff,0xf51cdfff,0x003ffd4d,
    0xd09fffff,0xfb1005ff,0x47ffcbff,0xff56fffa,0xffffd805,0x2ffe4001,
    0x201fff98,0xff703ffe,0x3ffa000f,0x7ff4000f,0x07ffa80f,0x8803fff1,
    0xfc802fff,0x1ffb005f,0xb013fff2,0xffff51ff,0x87fec03f,0x9004fffc,
    0x64000bff,0x37fdc6ff,0x417ffc00,0x9fff2fff,0xc8009fff,0xff102fff,
    0x3a2bffff,0x3fff16ff,0x3ea7ffd0,0x4dffb07f,0xfe81fff8,0x07fff73f,
    0xdffffa80,0x6403ffa8,0x3ffe05ff,0x01fff106,0x8801fff4,0x2622ffff,
    0x999fffc9,0x643fea09,0x9fb2ffff,0xd003ffd4,0xff105fff,0x7ffc003f,
    0x3f67ffa6,0x1ffb9fff,0x02fffd40,0x882ffe40,0xff103fff,0x1ffee05f,
    0x0bfff200,0x05fff900,0x260bffe6,0x7cc00fff,0xffc801ff,0x32ffa805,
    0x5409fbdf,0x4ff8a2ff,0x3e65ff50,0xf9004fde,0x7ec000bf,0x037fdc5f,
    0x7c17ffc0,0x95fff2ff,0x2e005fff,0x3e204fff,0x998098ff,0xd03fff10,
    0x1bfee7ff,0xff13ffd4,0x3fffa83f,0x001dfff3,0x77f41330,0x02ffe400,
    0xf103fff9,0x7ff401ff,0x3ffea003,0x00fff701,0x6f6549fd,0x3ea1ff99,
    0x3ff2007f,0x00dff706,0x3f65ffe8,0xcffdffaf,0x7d400ffc,0xfc8001ff,
    0x1bffa05f,0xb807ffdc,0x7dc007ff,0x7dc004ff,0x7ff404ff,0x2e6ffe86,
    0x007ffd81,0xf880bff9,0x3f2bfa5f,0x20bff104,0xff882ffa,0x13f2bfa5,
    0x002ffe40,0x5c3fffb8,0xff8006ff,0xf2fff82f,0x3fffa5ff,0x2fffcc01,
    0x003ffe20,0xe81fff88,0x3fff73ff,0xff8bff90,0x3fffe63f,0x07bfff23,
    0x7fe400ea,0x05ffc801,0x10bfffe2,0x7f401fff,0x3fe2003f,0x5fff500f,
    0x101ffb80,0x7ffa8bfd,0x13ffe200,0x5547fff3,0x47fff500,0xe9ffdffc,
    0x4407fdff,0x90006fff,0x7fd40bff,0x27ffd44f,0x005fff50,0x0017ffe6,
    0x500bfff3,0xfd99dfff,0x677e45ff,0x004fffec,0xfc80bff9,0xfb3df70f,
    0x01ff901b,0x3f209ff7,0xfb3df70f,0xbff9001b,0x33333a20,0x40efffec,
    0xf8006ffb,0x2fff82ff,0x3fe25fff,0xffd100ff,0xfff8801f,0x3ffe2000,
    0xf33ffe81,0xfb559dff,0xfffe85ff,0x3fffffdd,0x3fffffe2,0xf005ffee,
    0x3ff200ff,0x7fffdc05,0x0fffedef,0x800fffa0,0x3e205ffb,0x1caacfff,
    0xd305fff4,0x7ffa83ff,0x77ffec00,0x646fffcb,0xfedceeff,0x3fea0fff,
    0xffff97ff,0xffd3110d,0x3f20001f,0x7fff405f,0x0ffffeef,0x33fffe20,
    0x7f441caa,0x3a2000ff,0xfb000fff,0x9fffffff,0xffffffc8,0x999900ef,
    0x7999fffd,0xffb17fd4,0xfa8bffff,0x03ffc82f,0x7fec5ff5,0xcc85ffff,
    0xccfffecc,0xfffff13c,0x701dffff,0xff000dff,0x25fff05f,0x3fea2fff,
    0xffffb06f,0x25ffffff,0x2000fff8,0xfe81fff8,0x3fffee3f,0xa84fffff,
    0xceffffff,0x7ff4c3ff,0x05ffffff,0xc89bfff0,0xcfffeccc,0xfffb83cc,
    0x0fffffff,0x500fffa0,0x801dffb7,0xfffffffc,0x77ffec42,0xfa81efff,
    0x7f44007f,0x0effffff,0x7fffffe4,0x7cc1ffff,0xfff34fff,0xffff98bf,
    0x332002ff,0xccfffecc,0x7fff443c,0x801effff,0xfffffffc,0x7ffffec2,
    0xd82fffff,0xffffffff,0xffeb82ff,0xfda81eff,0x7c03ffff,0xffffffff,
    0x8bfd16ff,0x3efecccb,0x3f217fa2,0x3a26ffff,0x76665c5f,0xffff83ef,
    0x6fffffff,0xfffffff1,0x37fdc05b,0x417ffc00,0x5fff2fff,0xf84fffc8,
    0xffffffff,0x1fff12ff,0x0fffc400,0x3aa1fff4,0x02efffff,0x237fffea,
    0xfd703ffa,0x005bffff,0xff1ffff2,0xffffffff,0x3ff660df,0x402dffff,
    0x7fc03ffe,0xf7000cff,0x205fffff,0x0cefffec,0x000fff50,0x13bffff2,
    0x7fffff5c,0xff880cff,0x3fffa1ff,0x77fffcc4,0x7fffc001,0x6fffffff,
    0xfffffc88,0x3fee000c,0x7fc2ffff,0xffffffff,0xfffff82f,0x02ffffff,
    0x99800662,0xfffff000,0x2dffffff,0x7e400ffc,0x6407fe44,0x326fffff,
    0x27e400ff,0xfffffff8,0x2626ffff,0xf7000999,0xfff000df,0x3e5fff05,
    0xfffe82ff,0x7fffffc3,0x2a2fffff,0x3e2000aa,0x3ffe81ff,0x30006660,
    0x4c400013,0x57730000,0xfffffff8,0x8806ffff,0x3fa00199,0x0de6c03f,
    0x01999800,0x3ea00260,0x4c40007f,0x26666000,0x47fff800,0x6c42fffc,
    0xff0002bd,0xffffffff,0x009880df,0x80cccc00,0xffffffff,0xfff82fff,
    0xffffffff,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04000220,0x75400800,0xeeeeeeee,0x440fbb24,0x7dd90eee,0x403bba60,
    0x4eeeeeed,0x0eeeec80,0x3bbbbb60,0x1eeeeeee,0xddddddd7,0x220bdddd,
    0xdd907ffc,0x00a60007,0xdddd7071,0x220159bd,0x3b602eee,0xeeed803e,
    0xddb4eeee,0xdddddddd,0x2f7543dd,0x3a04eea8,0xee8801ee,0x3b20001e,
    0x3b6276c5,0xeeeeeeee,0xddd31eee,0x8bbbaa07,0xed802eea,0xddddddb5,
    0x75c3dddd,0x0acdeeee,0x901ddd30,0x3ba63ddd,0x0bceeeee,0x77776400,
    0x202f76c0,0x3aa1eee9,0x777442ee,0x3bbbbb25,0xdd500acd,0xdddddddd,
    0xffc88003,0x75c01dff,0x2203efff,0x83efffdb,0xfffffffb,0x13ffa5ff,
    0xfd8fffc4,0x1fff304f,0x3fffffa0,0xffff805f,0x3fffe03f,0xffffffff,
    0xfffff92f,0x0dffffff,0x20fffff7,0x44004ffe,0x3f601ffc,0x3ffff22e,
    0x903fffff,0xff701fff,0xfff9801f,0xfd5fffff,0xffffffff,0x7fd45fff,
    0x40dff707,0xf8802fff,0x3a0001ff,0x3a27fc6f,0xffffffff,0x3f62ffff,
    0x7ffe80ff,0x7c01ffdc,0xffffff6f,0x645fffff,0xffffffff,0x0fff983f,
    0xf327ffd4,0xffffffff,0x3fea005f,0x7fe40fff,0x1fff201f,0xfa8bfff9,
    0x3fffa7ff,0x83ffffff,0xfffffffb,0x3bf21fff,0xfffff981,0xfe984fff,
    0x0effffff,0x7fffff54,0x7ffdc6ff,0x25ffffff,0xff104ffe,0x413ff63f,
    0x9700fff9,0x80799999,0x05fffffa,0xc80d45fe,0xfffff92f,0x4dffffff,
    0x7ffffffb,0x8009ffd0,0xf706ffe8,0x7ffe43ff,0x5fffffff,0xf84fff88,
    0xffc803ff,0xd4eeefff,0xffffffff,0x2e25ffff,0x99999fff,0xff01effc,
    0xfff1005f,0x40013557,0x13fe25ff,0xfffffffd,0x4c5fffff,0x7fd44fff,
    0x01ffd42f,0xeeedb7fc,0x1eeeefff,0x3ffffff2,0x7cc5ffff,0x3ffe20ff,
    0x777ffcc6,0x00fffffe,0x0fffffe8,0xd01fffcc,0xfffc89ff,0xd3fffec7,
    0xffffffff,0xfffb8bff,0x1fffffff,0xfd0dfff7,0x7ffb9dff,0xdbdfffd0,
    0x7fc49fff,0xffffefff,0x2673fee4,0x3fa09999,0x3fff104f,0x7cc13ff6,
    0x800000ff,0x07ffeffc,0x6fffddfe,0x554cbf21,0xffbaaaaa,0xdffff34f,
    0x3ffa0fff,0xfff98004,0xfffdefdd,0x5137fe43,0xf705ffff,0x37fdc1ff,
    0x7ffeff80,0x80bffe00,0xfffffffd,0x0fffffff,0x0542fff8,0x3fffffe2,
    0xff802eff,0x200ffe64,0xfd802fff,0x1bffa0ff,0x3e00ffea,0x05fff05f,
    0xf5137fe4,0x7fcc5fff,0x07fff20f,0xfc81fff3,0x7fdc03ff,0xff80fffe,
    0x5fff105f,0x22ffffc8,0x3fa7ffff,0x3ffea23f,0x01ffee2f,0x707fffec,
    0x83983fff,0x7e42fffb,0x877ea0ff,0x3ee7fff9,0x9ffd004f,0x6c7ffe20,
    0xfff304ff,0xff000001,0x205fff5f,0xfffdd57f,0x5c00bf25,0x37fa0fff,
    0xfd07ffa8,0x3ee0009f,0xffffffff,0x886ffc85,0xffd06fff,0x00bffe29,
    0x1ffeffea,0x202fff80,0xfffffffd,0x0fffffff,0xfd32fff8,0xfffff883,
    0xa85fffff,0xdcceffcc,0x3e03cdff,0xff8802ff,0x05fff54f,0xff009ff5,
    0x80bffe0b,0xff886ffc,0x43ffe66f,0xf983fffa,0x4fff80ff,0x3e7ffe20,
    0x7ffc80ff,0xd81fff50,0xff54ffef,0x3ffa1ffb,0x26fff883,0xf7007ffb,
    0x6ffc8dff,0x217ff600,0x80c3fff8,0xff70fffb,0x13ffa009,0xfd8fffc4,
    0x1fff304f,0xeeeeeea8,0xd7ff9804,0x21fe09ff,0x05f97fd8,0x3517ffe0,
    0xfe83ffd4,0x3fa0004f,0x2ffffeff,0xf906ffc8,0xfff503ff,0x200dff71,
    0x07ff8ffd,0x980bffe0,0xaaaafffc,0xf02effda,0x3fffb9ff,0xbabfff88,
    0x6c3ffffe,0xffffffff,0x3e06ffff,0xff9002ff,0x20bffd3f,0x8aa24ff9,
    0xfff04ff8,0x837fe405,0xff31fffc,0x0bffd11f,0x3e03ffe6,0x3ff603ff,
    0xa80fff8b,0xffd81fff,0x7fdefd85,0x21ff9df9,0xff903ffe,0x01ffee3f,
    0x7ec0deb8,0x3ffe003f,0x009ffb03,0x7dc3ffea,0x9ffd004f,0x6c7ffe20,
    0xfff304ff,0xfffffb81,0x5ffb805f,0x1fe0dff9,0x17e47fcc,0x00fffdc0,
    0x7f41ffea,0xf880204f,0xbff910ff,0x260dff90,0xffb02fff,0x1003fffb,
    0x01ffebff,0x5402fff8,0xdff707ff,0x7fffffc0,0x1fff884f,0x3637ffc4,
    0xffffffff,0x3e06ffff,0xff1002ff,0x203fffff,0x3ff24ff9,0x3e09ff10,
    0x3ff202ff,0x25fff306,0xffc8fff9,0x1fff300f,0x500fffa8,0x3ffe2dff,
    0x84fff880,0xefe83fff,0xcbff9ffa,0x07ffd1ff,0x7dcbffe6,0xfd00007f,
    0x7ff4007f,0x00bff905,0xffb9ffee,0x40bdffff,0xff104ffe,0x413ff63f,
    0x7540fff9,0x805fffee,0xfff32ffe,0x3ee0ff03,0xf802fc8f,0xffa805ff,
    0x109ffd07,0xff507ffd,0x647ff987,0x24ccfffe,0xf303fff8,0x2009ffff,
    0x9fff2ffb,0x7ffc0399,0x4fffd402,0x6ffc9999,0x9fffff30,0x07ffe201,
    0x2e03fff2,0x01ff21ff,0x70017ffc,0x40bfffff,0x3ffa4ff8,0x3e09ff13,
    0xffd902ff,0x7fc4999f,0xf7fff33f,0x7fcc05ff,0xfffdbabf,0x23fff103,
    0xfb00fff8,0x0fff98df,0xcff8dfe8,0xd1ffb9ff,0x3fe207ff,0x99fff73f,
    0x40099999,0x36003ffe,0xffd80fff,0x4bffd006,0xfffffffb,0x13ffa0ff,
    0xfd8fffc4,0x1fff304f,0x405ffc80,0x3fe0fff8,0x32e7f83f,0x05f94ffe,
    0x801fffb8,0xffd07ffa,0x1ffff909,0xff82ffc8,0x3ffffe0f,0x27ffc7ff,
    0x01ffff90,0xfff9ffa0,0x3fe63fff,0x4fffffff,0xffffffa8,0x446fffff,
    0x00dffffd,0x540fffc4,0xffb80fff,0x7c01ff60,0x7f4002ff,0x3e200fff,
    0x2bfff15f,0xfff03ff8,0x3ffffe05,0xa7ffc7ff,0x5ffffff9,0x7ffffcc0,
    0x3203ffff,0x3ffe24ff,0x41fff700,0xbfd06ffc,0x7ddbfffa,0x407ffd1f,
    0xfff74fff,0x0fffffff,0xfffffff0,0x3ee0ffff,0xffccdfff,0xffc807ff,
    0x33332a1f,0xd0effffe,0x3fe209ff,0x209ffb1f,0x6400fff9,0x7fd405ff,
    0x7c2ffec6,0xc8fbff67,0x2fff402f,0xd07ffa80,0xfffd09ff,0x82ffc85f,
    0x7fffc7ff,0x7ffc7fff,0x0fffe204,0xff27fcc0,0x7cc7ffff,0xffffffff,
    0xfffffa84,0x46ffffff,0x02fffffb,0xb81fff88,0x8ff907ff,0xfff006fe,
    0x7ffc4005,0xaffc02ff,0xf98ffffb,0x05fff03f,0x3ffffffe,0xf9a7ffc7,
    0x00fffeff,0x3fffffe6,0x4c0effff,0x3fe20fff,0x5fff100f,0xff827ff4,
    0x2e9fff75,0x07ffd2ff,0xffba7ffc,0x7fffffff,0xffffff80,0x3607ffff,
    0xffffffff,0x7fd406ff,0xffb1004f,0x413ffa5f,0xffb1fff8,0x03ffe609,
    0xd80bff90,0x7ffdc4ff,0x05f93fc0,0x7fd405f9,0xfff5001f,0x3213ffa0,
    0x7d40ffff,0x22ffc45f,0x199effc9,0xff0fffe2,0xffffffff,0x87ff205f,
    0x20999fff,0xdfffccc8,0xfffa82cc,0xffeccccc,0x7ffefdc6,0x1fff8802,
    0x2626ffe8,0xf999ffd9,0x7fc019ef,0x3ff2002f,0x7fc06fff,0x35ffdfb5,
    0x3ffe05ff,0x3dff9302,0x9fffc433,0xfffafff9,0x43ffe605,0x45fffdb8,
    0x7fc42ffe,0x57ffa00f,0xff01fff8,0x5c7ffe6b,0x07ffd2ff,0x7dcfffe2,
    0x999999ff,0xd55164c1,0x55555bff,0xfffffb80,0x2605ffed,0x4c006fff,
    0x9ffd4fff,0x6c3ffe20,0xfff304ff,0x05ffc801,0x4ccdfffc,0x3fc2fffa,
    0x05f903d7,0x50037ff4,0x3ffa0fff,0x82ffe884,0x3f62fff8,0x06ffc83f,
    0xff83fff3,0xffffffff,0x9fff882f,0x2007ff99,0x7d402fff,0x8dff707f,
    0x005fff19,0x2623fff1,0x3ee2fffe,0xffffffff,0x3e00ffff,0xff3002ff,
    0x407fffdf,0xfaff8eff,0xf02ff9cf,0x7fe405ff,0x23fff306,0xffb8fff9,
    0x1fff303f,0x2a1fffb0,0xcccccfff,0xc83ccfff,0x0fff57ff,0x4dff27fc,
    0x7ffd3ffa,0x5c7ffe60,0xff5007ff,0x03ffe8bf,0xfe866200,0xdfff304f,
    0xbfff0001,0x7cc13ff6,0x413ff67f,0x6400fff9,0x3fe605ff,0xffffffff,
    0x0313fc4f,0x7fd40bf2,0x3fea002f,0x409ffd07,0x77fffc00,0xfc81ffff,
    0x1fff906f,0xfff99998,0xfb80999b,0x7fffffff,0x00bffe00,0x3ee0fff5,
    0x0bffe06f,0x3ffffe20,0x5c4fffff,0xffffffff,0x200fffff,0xfb002fff,
    0x1fffd1ff,0x5febbfa0,0x01ffaffd,0x7e405fff,0x1fff906f,0x7f43ffe6,
    0xfff980ff,0x71fffa80,0xffffffff,0x30dfffff,0x9ff93fff,0xca93fe20,
    0x7f4ffea2,0x1fff903f,0x6c01ffee,0x3fa0ffff,0x2200003f,0xff981fff,
    0xf98000ef,0x0bff93ff,0xffd9bfea,0x01fff304,0x3205ffc8,0xffffffff,
    0xd3fc7fff,0x205f909f,0x54006ffe,0x9ffd07ff,0x3ffea000,0x86ffffff,
    0xff886ffc,0x2fff804f,0xfffffe80,0x3e007fff,0x7fd402ff,0x40dff707,
    0xf8802fff,0xffffffff,0xdffba882,0x2acffbaa,0x4017ffc0,0xff53fffa,
    0x37bfa09f,0xff9ff74f,0x80bffe03,0xff886ffc,0x43ffe64f,0xf985fff9,
    0xfffb80ff,0xffffff70,0xdfffffff,0x3fefffe0,0x09ff102f,0xffd3ffa8,
    0x49fff107,0xf9007ffb,0x3ffe8fff,0x3ff60000,0x0dfff986,0xfffe8800,
    0xd03fff71,0xa7fec9ff,0x403ffdc0,0x3fa05ffc,0xcaaaaacf,0xf9fe1fff,
    0xa82fc85f,0x54002fff,0x9ffd07ff,0xbfff3000,0x9fff9ddb,0x7d46ffc8,
    0xfff80fff,0xffffffff,0x5577fcc2,0x2007ffaa,0x7d402fff,0x0dff707f,
    0x44017ffc,0xabceefff,0x31ffc400,0x3fe005ff,0x7ffe802f,0x6c0ffff4,
    0xff12ffff,0x3fe01fff,0x1bff202f,0x4c1ffff5,0x3ff20fff,0x07ffcc3f,
    0xa89fffe6,0xfbaaaaaa,0xf902abff,0x4c0fffff,0x7fd404ff,0xfa87ffd4,
    0x3fee0fff,0x7ffd1007,0x0003ffe8,0x43fffda8,0xd805fff9,0xffffdccd,
    0x67fffc4f,0x20fffecb,0xb9d74ffd,0xf900bfff,0x3ffe20bf,0x49fff100,
    0x3202e67f,0x06ffe82f,0xfffffff8,0xffd7ffff,0xdddddddf,0x05ffe881,
    0x7e45fff7,0xffffeeff,0xfffff03f,0x85ffffff,0xfff83ffc,0x3fe04eee,
    0x3ffd402f,0x3e06ffb8,0xeeeeeeff,0x03fff15e,0x545ff300,0xfff001ff,
    0x3fffb805,0x6c37ffcc,0x7ff47fff,0xfdddb0ff,0x43ddddff,0xffeefffc,
    0x7fcc3fff,0x3fffe20f,0x3bbffe60,0x02ffffee,0x003ffe20,0x0bfffff5,
    0x2601ffcc,0xddffd4ff,0x87fffffd,0xeeeefffb,0xb04c1eee,0xddddfffd,
    0xddb09ddd,0x89ffffff,0xfffffff8,0xffd6ffff,0x09ffffff,0xfffffff5,
    0x4ffd85ff,0x1ffffff7,0xffd99990,0x3ee7999f,0x37fec06f,0xddddddff,
    0xa85ffddd,0xff802fff,0xffffffff,0xfffffd7f,0x881fffff,0x3f600ffc,
    0x3ffff21e,0x201effff,0xbfff9999,0x7ffc0999,0xffffff80,0x00bffe06,
    0x3ee0fff5,0x3fffe06f,0x17ffffff,0x50003fff,0x07fdc5ff,0x202fff80,
    0xfb06fff8,0xfffc85ff,0x87fffdc5,0xffffffff,0x3ff22fff,0x1effffff,
    0x540fff98,0x3fe66fff,0xffffffff,0x7ffc4003,0xfffff800,0x00ffe603,
    0x3ffabff3,0x1effffff,0xffffffb8,0x7c01ffff,0xffffffff,0xfff86fff,
    0x983fffff,0xffffffff,0xfffd6fff,0x44019fff,0x0dfffffd,0xff54ffd8,
    0x3fe01bff,0xffffffff,0x807ffb6f,0xfff0fffb,0xffffffff,0x6ffe85ff,
    0xffffff00,0x3affffff,0xffffffff,0x805300ff,0xffffc828,0xf8002cde,
    0x3fea02ff,0xffffff05,0x017ffc0d,0x7dc1ffea,0x3fffe06f,0x17ffffff,
    0x70003fff,0x03fe43ff,0x6405fff0,0xff303fff,0x2fffc8df,0xff3fffc4,
    0xffffffff,0x7fffe45f,0x3e602cde,0xfffd80ff,0xffffff33,0x100017bd,
    0xfb001fff,0x7d401fff,0xaffcc03f,0xcdeffffe,0x3fffee02,0x01ffffff,
    0x7ffffffc,0xf86fffff,0x00bcefff,0xfffffff3,0x4c4dffff,0x33100019,
    0x400cc000,0xffffffff,0x00006fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x777774c0,0x75eeeeee,0x75c01bdd,0x3bbba65e,0xd901cdee,
    0x3bb607dd,0xdddddd10,0x3ba6039b,0x3eec800e,0x2a1ddd30,0xeeeeeeee,
    0x0776406e,0x00000000,0x010004c4,0x00000022,0x22000262,0x00110000,
    0x1000880c,0x00220001,0x2a001010,0x7774404d,0x802eec80,0x06620008,
    0xeec80200,0x20eec801,0xe980deed,0xdddd91ee,0x03dddddd,0x804de54c,
    0x76c41eed,0x03bbaa5e,0x7545eeb8,0x004eeeee,0x00000aa6,0x7fffffd4,
    0xf16fffff,0x3fe207ff,0x3fffe63f,0x40efffff,0xe80ffffd,0xffff11ff,
    0x83dfffff,0xd800fff9,0xfff304ff,0x3ffffee1,0x7407ffff,0xf30001ff,
    0x2004e885,0xfffffeb8,0x9ffd301d,0x0037ff62,0xbffffd93,0xfffffb50,
    0x7fed403d,0x6c400dff,0xb80deffe,0xe99efffe,0xfd881eff,0x7441efff,
    0x7fffd54e,0xffb9ee88,0x403bfd35,0x2204fff9,0xffe81fff,0x3f25dd53,
    0xfe801eff,0xffc8801f,0x1ffec3ef,0x3e63ff40,0x5ffe85ff,0x3ffffff6,
    0xd881ffff,0x82efffff,0x7ff42fff,0x0fffe20f,0x7dc4fff8,0x005fffff,
    0x74401ff2,0x3ea0ec43,0xffffffff,0x1fff26ff,0xf307ffdc,0xffffffff,
    0xffffd8bf,0xf11ffe83,0xffffffff,0x7ffcc1ff,0x04ffd800,0x3ee1fff3,
    0xffffffff,0x00fff407,0x88fffd40,0xa800dffe,0xffffffff,0x7fffcc2f,
    0xeffffdcf,0xfffff700,0xfffd8fff,0x902fffff,0xffffffff,0x3fffea07,
    0x7f42ffff,0xffffffff,0x7fcc0fff,0x221fffee,0xffffbeff,0x33fe24ff,
    0xffebffff,0x3ffea07f,0x07ffe205,0x7fdcfffa,0xffffffec,0x00fff401,
    0x3fffffe2,0x013fee4f,0x3ff21ffe,0x83fff22f,0xfffffffd,0x7fcc0fff,
    0x3ffca9ad,0xffb17ffc,0x0dffb03f,0xd503ffea,0x80bfffdd,0x0089ff21,
    0x7fec7ffb,0x26666622,0x22fffd99,0x7c43fff8,0x7ffcc3ff,0x1fffd510,
    0x437fffec,0xfff11ffe,0x2fffe443,0xb001fff3,0x3fe609ff,0x00fff70f,
    0x000fff40,0xc87bfff2,0x5400efff,0xffbaacdf,0x27ff60ff,0xfcbffffc,
    0xffffc82f,0x3ee7feee,0xdbaaadff,0xdffffc82,0x440fffff,0xfeabefff,
    0x26b3a0ff,0xfdbffffc,0x3e60c43f,0x3fffe23f,0x0ffffdff,0xff9ffff1,
    0x03ffdbff,0x8807ffa2,0xffe81fff,0xdfffff73,0xe80bfffb,0x7fec01ff,
    0x51fffb9c,0xff880bff,0x31fffd05,0x32005fff,0xbfe83fff,0xfe8adeec,
    0x7e4bffe1,0xfff502ff,0x00bffb03,0x7d40bff9,0x17eadf74,0xffb9bfea,
    0x3ffe6005,0x5c6ffd85,0xfff987ff,0xb17ffdc0,0xe85fffff,0x3fff11ff,
    0x7ccfffb0,0xffd800ff,0x21fff304,0x20007ffb,0x36001ffe,0xfb80dfff,
    0x02201fff,0xf88fffc4,0xf93ffe3f,0x77ffcc5f,0xdffb1c41,0x2fffc400,
    0xd8bfff71,0x3ffe84ff,0xf8bffa02,0x3e66206f,0x3fffe24f,0x25fff30d,
    0xffb3fff8,0x300ffead,0x1fff8801,0xff73ffe8,0x3ffdc5ff,0xf007ffa0,
    0x33ffb8bf,0x8ffecdff,0xff104ff9,0x009ffdbf,0x2e13ffea,0x3ff9fd4f,
    0x57ffcdf3,0x7c03fffa,0x7ffc44ff,0x05ffc802,0x3bf3bffa,0x3e22fffc,
    0x1fff11ff,0x07fff400,0xf897ffc4,0xfff983ff,0xb17ffc40,0xe8dffbff,
    0x3fff11ff,0x261fff50,0xfd800fff,0x1fff304f,0x6401ffee,0xffffffff,
    0xfe887fff,0x7fd404ff,0xfd0002ff,0xd87fea7f,0xb1bfa2ff,0xfb001fff,
    0x3f2003ff,0x4fffb07f,0xfb81fff8,0x0ffe405f,0xfff70ffd,0x7fc49fff,
    0x13fff86f,0x97fecdff,0x80004ff9,0xfe81fff8,0x87fff73f,0x3a00fff9,
    0x3fe601ff,0xf8a7fcc3,0x54fffe7f,0x3fea03ff,0x8800efff,0x1fb06fff,
    0xfd9fddba,0xfff9fff0,0x8fff9009,0xf9007ffa,0x7fe440bf,0x42dfffff,
    0x3ffa3ffd,0x3fff2002,0x5dbff602,0xfff307ff,0x21fffa81,0x1fffaffd,
    0x7fc47ffa,0x0fffa81f,0xb001fff3,0x3fe609ff,0x00fff70f,0x3ffffff2,
    0x4c7fffff,0x3003ffff,0x8807fffd,0x3fffccaa,0x7fec1ff7,0x747feaab,
    0xff9004ff,0x6c017bff,0xfff704ff,0x2abffea3,0x06ffcaaa,0x555ffb53,
    0xdffc8ffd,0x3e24ffba,0x3ffe81ff,0x7fecbff1,0x3b69ff30,0xeeeeeeee,
    0xfff11eee,0x2e7ffd03,0xccc886ff,0xffddddb0,0x23dddddf,0x7fd45ff8,
    0x3ea3ffe3,0x05ff56ff,0x01ffffd8,0x201fffd0,0x3bf3fa7f,0x3ffe5f90,
    0xf1007fff,0x27fec5ff,0x805ffc80,0x81ffffd8,0x3fea7ff9,0x3ffe6006,
    0x57ffc405,0xff303ffe,0x3ffee21f,0x7e57fec5,0x447ffa5f,0xffc81fff,
    0x003ffe67,0x3333bff6,0x70fffdcc,0x32a00fff,0xcdfffccc,0x3ffea4cc,
    0x7ec4001f,0xffea85ff,0x73ffffff,0x7ffe41ff,0x7fc7ffff,0x3ffa003f,
    0xe81dffff,0xfff303ff,0x3ffffee5,0x27ffffff,0xffffffd8,0x7c7fffff,
    0x893fe26f,0xffe81fff,0x7ecbff13,0x3e9ff30f,0xffffffff,0xff12ffff,
    0x27ffd03f,0x3e006ffb,0xffffffff,0x3fe2ffff,0x43ffb11f,0xfffd9ffe,
    0x401ffb9f,0x802ffffd,0x3e02fffc,0xb87fbfa6,0xff9fff2f,0x3ff6009f,
    0x003fff15,0xd5017ff2,0x19ffffff,0x3fa2ffe8,0xfffd001f,0xffffb001,
    0x7ffcc0ff,0x0dffffff,0x7fc57fec,0x223ffd1f,0x7fd41fff,0x03ffe65f,
    0x3fffff60,0x0fffffff,0xfffffff7,0xffe80bff,0x3ffff301,0x7fff4000,
    0x3ffffee5,0xf93fffee,0x777fe41f,0x3fe25eee,0x7f5c003f,0x7c3fffff,
    0xfff104ff,0x3fffff25,0x27ffffff,0xfffeeffe,0x746eeeee,0x4fffcbff,
    0x3a07ffe2,0x4bff13ff,0x9ff30ffd,0x3ffffffe,0x12ffffff,0xffd03fff,
    0x801bfee7,0xffffffff,0x322fffff,0x5fffefff,0x6ffd7fec,0x00ffccff,
    0x3fffffee,0x13ffee00,0x7dba1fb0,0x7ffc7f26,0x802fffca,0xffb8fffa,
    0x17ff2006,0xefdfffe8,0x3e61fffe,0x1dff30ff,0x02fffc80,0x7fffff30,
    0x7ffffcc0,0xffb01eff,0x7f53ff65,0x9bfff11f,0x41ffffb9,0xd800fff9,
    0xffffffff,0xff70ffff,0xbfffffff,0x201ffe80,0x001efffb,0x10dfffc8,
    0xfe81bfff,0x6c1ff73f,0xfff801ff,0xfd730004,0x7ff41fff,0x21fff306,
    0x2e006ffa,0x01ff24ff,0x777fffd4,0x07ffe24f,0x7fc4fffa,0x7cc3ff65,
    0xf880004f,0x7ffd41ff,0x000dff73,0xd801ffe8,0x40dfffff,0xe9ffdffc,
    0x2607fdff,0x5fffdfff,0x00bfff30,0x7e5ba7f9,0x3ffe7f8a,0x003fffd2,
    0x7ffd5fff,0x02ffe400,0x2df71df7,0x5ffc86fb,0xf9813ff2,0x7ec004ff,
    0x7fcc06ff,0x06fffecf,0x3fe65ffb,0xf11ffe8f,0xffffffff,0x0fff983d,
    0x99dffd80,0x0fffa999,0x9999fff7,0xffe80599,0x7fffd401,0xfffb1002,
    0x80fffa89,0x3ff53ffe,0x74017fec,0x40000fff,0x3f61fffc,0x7ffb80ff,
    0x4003ffe6,0x3ff21ffc,0x25773000,0x3ffe21a9,0xf13ffe81,0x987fecbf,
    0x800404ff,0x3fe63fff,0x0dff73ff,0x01ffe800,0x20379730,0xf97ffffa,
    0x3a20dfff,0x7fff76ff,0x00fffe88,0x13b8ff88,0x7fc7fb79,0x1dfff12f,
    0xffeffc80,0x3ff2000f,0x4ff71c05,0x45ffd019,0xffd02ffe,0xff98001f,
    0x7ffcc03f,0xb07fff50,0x5fff45ff,0xfff11ffe,0x209dffff,0xd800fff9,
    0xfff304ff,0x001ffee1,0x9801ffe8,0x4c03fffe,0xfb83fffe,0x7ffec1ff,
    0x7fc5ff53,0xfffb805f,0xb802180e,0x3fea1fff,0x3ffe60cf,0x017ffe24,
    0xfe88ffec,0x4400003f,0xffe81fff,0x7ecbff13,0x409ff30f,0x7f401ffd,
    0xffffddff,0x00dff73f,0x001ffe80,0x7fffcc00,0x0bffff34,0xfe87fff6,
    0x3fff61ff,0x2fffffff,0xd305ffd4,0x22fff8bf,0x4405fffa,0x404fffff,
    0xfffecccc,0x3f203ccc,0x419f3007,0xfff902e9,0x3ffe0005,0x07ffcc02,
    0xfd81fff9,0x3bffea2f,0x5fff11ff,0xfff30033,0x09ffb001,0x7dc3ffe6,
    0x2aa0007f,0xffd1000a,0x3ffea0bf,0xdfff302f,0x7ffffd77,0x7fdc77fc,
    0x81a88bff,0xeceffffe,0x357dd0ff,0xd0ffff75,0xffbbffff,0xfffb81ff,
    0x1ecbaabe,0xffd3bff9,0x857337ff,0xffffffff,0x03fff12f,0x3fe27ffd,
    0x7cc3ff65,0xbfff504f,0xfffffa80,0xf73ffcef,0xfe8000df,0x7fffc01f,
    0x222fffff,0x3fa1ffff,0xfffa84ff,0xf37ffcc3,0xffffffff,0xfff505ff,
    0xff09ffff,0x4fffc85f,0x0ffffec0,0x3fffffe0,0x206fffff,0x002002a9,
    0x009fff30,0x2017ffc0,0x3e60fff9,0x17fec4ff,0x47fffffa,0x2001fff8,
    0xd800fff9,0xfff304ff,0x001ffee1,0x7fec0000,0x3ffee0ef,0x7ffec01e,
    0x3ffcffff,0x33fffff2,0x83ffffff,0xffffffe9,0xffffd0ff,0x303fffff,
    0xffffffff,0x3fff605f,0x31ffffff,0xf7dfffff,0xf87fffff,0xffffffff,
    0xd03fff12,0x97fe27ff,0x9ff30ffd,0x013ffe60,0x237fffea,0xdff73ffa,
    0x1ffe8000,0x7fffffc0,0x7ffc2fff,0x217ffe47,0xf706fff8,0x3fffe9ff,
    0x2fffffff,0x39bdb710,0x3a0bffe0,0x3ea02fff,0xfff806ff,0xffffffff,
    0x00000006,0x00077ff4,0x9805fff0,0x7fec0fff,0x70bff60f,0x223fffff,
    0x26001fff,0xfd800fff,0x1fff304f,0x4401ffee,0xcccccccc,0xfb802ccc,
    0xdffd12ff,0xfffb1001,0x87ff51bf,0xff34fffd,0x75c05fff,0x364fffff,
    0xdfffffff,0x3fff2201,0x75400dff,0x0effffff,0x643bffaa,0x542fffff,
    0xaaaaaaaa,0xd03fff10,0x97fe27ff,0x9ff30ffd,0x0006f640,0xffb80133,
    0x0cc40006,0x55555540,0x00000aaa,0x00000000,0x00000000,0x00000000,
    0xf7000000,0xffffffff,0xfff80fff,0x07ffcc02,0xfd8fffea,0x7fffc42f,
    0x03fff11f,0x777ffcc0,0xfb3eeeee,0x3ffe609f,0x200fff70,0xfffffff8,
    0x5004ffff,0x005e885f,0x20009988,0x01998098,0x33004cc0,0x31000333,
    0x26a60001,0x4c404401,0x00000019,0x00000000,0x00000000,0xa8000000,
    0x155511aa,0x8006aaa2,0x4401aaa8,0x88001bca,0xd70dc42b,0xdddddddd,
    0x544005dd,0x004c41aa,0x3bbbbbba,0x7dcffee2,0x06ffffff,0xfffffff9,
    0xf80fffff,0x7fcc02ff,0x27ffe80f,0xffc82ffd,0x3fff11ff,0x7fffcc00,
    0xb4ffffff,0x3fe609ff,0x00fff70f,0x3fffffe2,0x004fffff,0x00000402,
    0x00000000,0x00000000,0x00000000,0x30060000,0x56665441,0x06f2a600,
    0x98035530,0x00002bca,0x5100776c,0x55555555,0x53ffa355,0xff11fff9,
    0x0f7ec47f,0x8827ffe4,0xc84ffffe,0x12ffd83c,0x3ff21fff,0xffffffff,
    0xfff3003f,0x27ffcc1d,0xfffffff0,0xfb87fec7,0x07ffffff,0xfffffff9,
    0xf80fffff,0x7fcc02ff,0x3fffb80f,0xff105ffb,0x3ffe23ff,0x3ffe6001,
    0x4fffffff,0x3e609ffb,0x0fff70ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc8800000,0xfa826cc4,0x2e1df305,0x43ffffff,0x5fffffe9,
    0x04fffd98,0x3bfffff2,0x01bfd101,0x102fffdc,0xffffffff,0x3ff69fff,
    0x7c1fff14,0x3fff63ff,0x09fff507,0xbffffff9,0x7fc27fcc,0x25fff34f,
    0xfffffffc,0x9803ffff,0xffd84fff,0x777700ff,0x2ff43777,0xfffffff7,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fff0000,0xf107ffe2,0xfff98bff,0xffdddf73,
    0x7fffdc1f,0x3ff23fff,0xff704fff,0x01ffffdf,0x220bfff9,0x102ffeff,
    0xffffffff,0x3ff69fff,0x7c1fff13,0x3fffe2ff,0x9ffd101f,0xffbaeff8,
    0x82ffdadf,0x3bf61ffb,0x0ffea000,0x205fff30,0x002ffffe,0x110bfe20,
    0x00111111,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7dcdff50,0x5fffb86f,0x204bfff3,
    0x5641fff8,0x2a5ffe88,0x884ffeef,0xffb10eff,0x1ffffb07,0xdfd1ff90,
    0x4cccccc0,0xf9099999,0x3e3ffc7f,0x3fffa2ff,0x30ccc00f,0x7ffcc9ff,
    0x1100ffff,0xff500010,0x00999807,0x003ffff2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f64ffc8,0xdfffb83f,0x99885fff,0xfe807ffb,0x4ffc944f,
    0x7cc4ff98,0xffff985f,0xfa9ffcc1,0x3200003f,0xd1ffe2ff,0x7ffcc3ff,
    0x39910003,0x2fffff98,0xf5000000,0x6400007f,0x000001ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74400000,0x1fff11ff,0xbfffff70,0x3bfffea0,0x0fffe400,
    0xfa84ffc8,0x82ffc43f,0x7f40fffb,0x0007fec6,0x3e2ffb80,0x20fff46f,
    0x00000098,0x00005654,0x05bb3000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x3ff26ffa,0x0ffff904,0x77ffffd4,0x05fffb02,0x7cc27fe4,
    0x81ffdc6f,0x7fd47ff9,0x222ffcc2,0xffffffff,0x15534fff,0x0aa61554,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfff11ffe,0xfffff303,0xdffb100b,0x01fffd88,0xfe827fe4,0x1fffdbef,
    0x7c47ff90,0x45ff905f,0xfffffff8,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ec9ff90,0xefff983f,
    0xfb805fff,0x3fffa27f,0x2662199a,0x4c19dffc,0x3fffffff,0x22fff5d4,
    0xdd101eea,0x6666644b,0x02cccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26ffa800,0xff986ffa,0x4bfff75f,
    0xfffeeeed,0x3fffff64,0xfff70fff,0x881fffff,0x441defec,0x0003ffff,
    0xfff00000,0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff80000,0x883fff11,0x7fdc5fff,0xfffffb3f,
    0xffffd89f,0xff70ffff,0x01ffffff,0x02b36200,0x80000000,0xffffffff,
    0x2fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x827544d8,0x4bf705fb,0x80aaccca,0xaaaaaaa9,0x2aaaaa62,
    0x000002aa,0x00000000,0x99999999,0x39999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0a014000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_28_latin_ext_x[560]={ 0,5,3,0,1,0,0,5,3,3,1,1,2,3,
4,0,0,1,1,1,0,2,1,1,1,0,5,3,1,1,2,3,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,1,
1,2,1,0,1,0,1,1,2,2,0,1,0,0,0,0,2,2,6,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
6,1,0,0,2,1,1,3,0,0,2,1,3,3,0,1,1,5,5,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,1,1,1,0,0,1,2,2,0,0,2,
1,-4,-2,2,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_28_latin_ext_y[560]={ 20,0,0,2,-1,0,0,0,-1,-1,0,5,14,11,
14,0,1,2,1,1,2,2,2,2,1,1,5,5,4,8,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,22,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,6,6,6,6,6,6,0,-3,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,5,-1,1,2,2,
-3,0,0,1,1,6,11,11,0,1,0,3,0,0,0,6,0,9,20,0,1,6,0,0,0,5,-3,-3,-3,-4,
-4,-4,2,1,-3,-3,-3,-4,-3,-3,-3,-4,2,-4,-3,-3,-3,-4,-4,6,-1,-3,-3,-3,-4,-3,2,0,0,0,
0,0,0,-2,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,3,0,0,0,0,0,0,0,
-3,1,-3,0,2,5,-3,0,-3,0,-4,0,-3,0,-3,-1,2,0,-3,1,-3,0,-4,0,2,5,-3,0,-3,0,
-3,0,-4,0,1,-1,-3,-4,2,0,-4,0,-3,1,-3,0,2,0,-4,6,2,0,-3,0,2,0,6,-3,-4,2,
0,-1,-1,2,0,2,0,-3,0,2,5,-3,0,-2,2,5,-3,1,-3,0,-3,0,1,5,-3,0,2,5,-3,0,
-3,0,-3,0,1,5,-3,0,2,1,-3,-1,2,1,-4,0,-3,1,-3,0,-4,-2,-3,0,2,6,-3,0,-3,0,
-4,-3,0,-4,0,-3,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-7,-6,-3,0,-3,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,5,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_28_latin_ext_w[560]={ 0,5,10,15,14,16,16,5,10,9,13,14,9,9,
7,14,15,13,13,13,15,12,14,13,13,14,6,8,12,13,12,11,16,16,14,13,14,12,12,15,14,12,11,14,
12,15,14,15,14,16,14,13,14,14,16,15,16,16,13,8,14,8,14,16,10,13,14,13,13,13,15,14,13,13,
12,13,13,15,13,15,14,13,13,12,14,13,16,16,15,16,12,11,4,12,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,12,14,15,15,
4,14,13,16,11,13,13,9,15,12,11,13,10,10,15,14,14,6,5,10,11,13,16,16,16,10,16,16,16,16,
16,16,16,13,14,14,14,14,14,14,14,14,15,15,15,15,15,15,15,13,15,15,15,15,15,16,14,14,14,15,
14,14,14,14,16,13,14,15,14,14,14,15,14,14,14,14,15,15,15,15,15,14,15,14,15,14,14,16,14,16,
16,14,16,14,16,13,15,15,14,14,14,14,14,14,16,18,15,15,14,14,14,14,14,14,12,13,14,14,15,15,
15,15,15,15,15,15,15,14,16,14,14,14,14,14,14,14,12,14,14,13,14,14,13,13,14,13,13,14,14,12,
13,18,18,14,17,14,13,15,15,14,13,15,14,14,14,13,15,15,15,15,17,17,16,16,16,15,14,13,16,15,
14,15,14,14,13,12,14,14,14,14,15,19,14,14,15,14,15,14,15,14,15,14,17,17,14,14,15,16,16,16,
16,14,15,14,14,14,14,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,16,14,16,16,18,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,13,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__consolas_bold_28_latin_ext_h[560]={ 0,21,8,18,25,21,21,8,27,27,13,15,11,4,
7,23,20,18,19,20,18,19,19,18,20,19,16,20,17,9,17,21,26,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,25,18,20,18,19,18,18,18,18,18,26,23,26,9,4,7,16,21,16,21,16,20,21,20,20,
26,20,20,15,15,16,21,21,15,16,20,15,14,14,14,20,14,26,29,26,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,25,19,18,18,
29,24,7,20,15,13,7,4,14,6,11,17,12,12,7,20,24,6,5,12,15,13,20,20,20,21,23,23,23,24,
24,24,18,24,23,23,23,24,23,23,23,24,18,24,24,24,24,25,25,13,24,24,24,24,25,23,18,21,21,21,
21,21,21,23,16,20,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,15,20,21,21,21,21,26,26,26,
23,20,23,21,24,21,24,21,24,21,25,21,24,21,23,22,18,21,23,20,23,21,24,21,24,21,23,21,24,26,
24,26,25,26,25,27,23,24,18,20,24,20,23,19,23,20,24,26,24,14,19,26,24,26,24,26,14,23,24,24,
26,21,21,18,20,18,20,23,20,24,21,23,20,22,24,21,24,20,24,21,24,21,20,16,23,20,24,21,23,20,
24,21,24,21,24,20,24,21,24,25,23,22,18,20,25,21,24,20,24,21,25,23,24,21,24,20,23,20,23,26,
24,23,20,24,20,23,20,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,27,27,23,21,26,24,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,25,21,24,25,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_bold_28_latin_ext_s[560]={ 511,503,375,305,466,119,230,386,59,70,482,
348,336,497,392,208,343,149,31,82,428,45,483,135,185,16,505,289,132,361,145,
196,130,103,413,214,477,492,105,257,90,369,498,398,77,461,47,421,62,420,32,
359,321,58,444,353,336,15,1,192,114,349,346,375,400,158,60,189,31,232,273,
120,171,407,294,127,243,289,275,216,332,91,334,203,437,320,451,375,392,390,408,
324,1,336,411,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,511,502,437,
1,178,210,6,64,427,313,263,496,441,497,421,478,324,118,302,291,455,156,79,
471,491,313,363,263,50,33,16,108,97,80,176,35,18,330,226,139,332,283,223,
457,193,161,253,201,194,131,264,280,296,17,33,277,394,425,441,472,404,129,290,
47,32,16,1,483,468,65,246,262,420,404,389,361,247,324,276,1,302,478,272,
256,240,224,208,305,403,166,150,135,317,113,161,307,315,372,298,16,83,347,100,
452,116,418,496,487,292,45,347,384,382,75,268,463,238,105,307,181,188,288,146,
1,276,248,231,201,1,176,388,28,495,261,258,112,322,493,401,88,33,67,175,
279,201,468,73,264,247,99,216,217,437,433,160,147,147,433,468,163,354,275,340,
479,447,488,94,385,419,403,410,136,378,387,347,165,312,181,307,172,48,291,216,
498,337,96,153,214,363,150,110,434,68,199,124,481,354,364,243,298,450,435,94,
199,168,62,358,370,246,450,49,228,448,373,416,231,184,464,452,231,141,1,468,
330,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,52,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,11,44,16,77,80,1,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,374,376,124,481,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120, };
static unsigned short stb__consolas_bold_28_latin_ext_t[560]={ 1,31,206,171,1,128,128,206,1,1,191,
191,207,206,206,82,150,171,171,150,171,171,150,171,150,171,171,150,191,207,191,
106,1,171,171,150,171,171,191,150,191,171,150,171,191,171,191,150,191,1,191,
150,171,171,171,171,171,191,191,1,82,1,207,215,206,191,106,191,106,191,150,
106,150,150,1,150,150,191,191,191,106,106,191,191,150,191,191,191,191,150,191,
1,1,1,206,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,1,82,1,
171,171,171,1,31,206,150,191,191,206,206,191,206,207,191,207,207,206,150,31,
206,206,207,191,207,150,150,150,128,82,82,82,57,57,31,171,31,82,82,82,
31,82,82,82,31,171,57,31,31,31,31,31,207,31,31,31,31,1,82,171,
128,128,128,128,106,106,82,191,128,106,106,106,106,128,128,128,150,106,128,106,
106,106,106,106,191,128,106,106,106,106,1,1,1,82,128,82,106,57,106,57,
82,57,82,1,82,57,106,82,82,171,106,82,128,82,106,57,106,57,106,82,
106,57,1,57,1,31,1,1,1,57,57,171,150,57,128,57,171,82,150,57,
1,57,191,171,1,57,1,57,1,191,57,57,57,1,82,82,171,128,171,128,
57,128,31,128,57,128,82,31,128,31,128,31,128,31,128,128,191,82,128,31,
106,57,150,31,128,31,128,31,128,57,128,31,1,57,82,171,150,1,106,31,
150,31,128,1,57,31,106,31,150,57,150,57,1,31,57,150,31,150,82,150,
150,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,57,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,1,1,82,128,1,57,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,1,106,31,1,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171, };
static unsigned short stb__consolas_bold_28_latin_ext_a[560]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_28_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_28_latin_ext_s[i] + stb__consolas_bold_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_28_latin_ext_t[i] + stb__consolas_bold_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_28_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_28_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_28_latin_ext_x[i] + stb__consolas_bold_28_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_28_latin_ext_y[i] + stb__consolas_bold_28_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_28_latin_ext_s[i] + stb__consolas_bold_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_28_latin_ext_t[i] + stb__consolas_bold_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_28_latin_ext_x[i] + stb__consolas_bold_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_28_latin_ext_y[i] + stb__consolas_bold_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_28_latin_ext_LINE_SPACING
#endif

