// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT        236
#define STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_29_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_29_latin_ext_LINE_SPACING          19

static unsigned int stb__consolas_bold_29_latin_ext_pixels[]={
    0x26621331,0x3332e000,0x5c000001,0x00002ccc,0x74400000,0x00004fff,
    0x00110110,0x00000000,0x2b880188,0x54002ea0,0x000003cb,0x00000000,
    0x99950000,0xd3007999,0x0ba8005d,0x00055000,0x66443930,0x990ccccc,
    0xa9800057,0x00000001,0x2aa60000,0x3993002a,0x19950000,0x00000000,
    0x90131000,0x13ff29ff,0x80f7fec0,0x640000ea,0x20004fff,0x3fffee2d,
    0x88000fff,0x7f42fffe,0x3ea0004f,0x00bfee3f,0xf00effb8,0x880005ff,
    0x81dffffc,0xfb83fff8,0x3fa600ff,0x3f2006ff,0xfd800eff,0xffb0005f,
    0x24ff800b,0xfff907fd,0xf900bfff,0x7fec003f,0x7ff4000f,0x3fea0005,
    0xfffff32f,0x3fffe1ff,0x9fd0001e,0x03ff9000,0x003ff900,0x03bffea0,
    0x0fffff20,0x80dfd000,0x2e1dfec8,0x6ff64401,0xf90006e1,0x329ff90d,
    0xffd804ff,0x1dff500c,0x3fff2000,0x20019951,0xfff72ffd,0x8001ffff,
    0xe80dffd8,0x3a0004ff,0x1bffe6ff,0x77fffdc0,0x002fff80,0x3ffffa60,
    0x7fdc1fff,0x3fffe86f,0xdfffff10,0x13fff200,0x2ffffec0,0x3ffff600,
    0x33ff6005,0xff905ffd,0xf00bffff,0xfff800ff,0x3fe2002f,0xfb0000ff,
    0x3ffe6bff,0xfff0ffff,0xf0001fff,0xff88007f,0x7fc4006f,0xff98006f,
    0x3ff1004f,0x44000ff3,0x7fec04ff,0x0ffddfff,0x3fffff60,0x2000ffdd,
    0x4ffc85fd,0xa8809ff9,0x7ffcc01a,0x664c000e,0x401bfa0c,0x9931fffd,
    0x001fffb9,0x3a019988,0x360004ff,0x13ff65ff,0x3e73fea0,0x17ffc0ef,
    0xcfff8800,0x21fffc9a,0xfd85fffa,0xdffb01ff,0x3ff20015,0x5ff9002f,
    0x32009ff7,0x04ffbaff,0xffffff30,0x00fff201,0x800dff30,0x4001fffe,
    0x20007fff,0x3e04fffb,0x3fea20ff,0x3ee6004f,0x3e6001cf,0x7cc006ff,
    0x6c4006ff,0x3e2002ee,0x54003fe6,0x01ffeedb,0x3ff33fa2,0x3a204fff,
    0xfffffccf,0x427f4004,0x9ff94ffc,0x17fffdc0,0x017ffea0,0x027fc400,
    0x500fffe4,0x44001fff,0xfd00ceec,0x5c40009f,0x200f220b,0x3ba64ee9,
    0x0017ffc4,0xfb83ffe8,0x406f5c4f,0x3fa03ed8,0x3baa002f,0x5dd5000d,
    0x2a01775c,0x0bbae2ee,0x06776440,0x8007ff90,0x4c001aa9,0xd98003ed,
    0x7640001d,0x03ffe00c,0xb101bfea,0xffffffff,0x0bff2003,0x00bff200,
    0x200aaa00,0x805feefe,0xffffffd8,0x910c401f,0x431007bd,0x8003dec8,
    0x4ffc83ff,0x3e609ff9,0x400ffbbf,0x8002fffa,0x1ffeedba,0x017ffcc0,
    0x8003ffea,0xd05ffffe,0x000009ff,0xff000000,0xff70005f,0x003ff409,
    0x00fff800,0x00000000,0x00000000,0x0003ffc8,0x00000000,0x7c000000,
    0x7ff880ff,0x3ffffea0,0x001fffff,0x00100002,0x013fe600,0x0037ff62,
    0xfffffff3,0x00001fff,0x22000000,0x641cffba,0x09ff94ff,0x01ff97ee,
    0x000fffd8,0xffffffb1,0x7ff4403f,0x0fffa805,0xf11ff300,0x09ffd03f,
    0x54c35553,0x555400aa,0x55555541,0x7fc1aaaa,0x0379712f,0xf7007ffc,
    0x4055545f,0xff102aa8,0x02aaa60f,0x54035550,0xaaaabccb,0x002aaa62,
    0x5d403555,0x2aaaabcc,0xa800fff2,0xaaaabccb,0x2aaaaa22,0x65d4002a,
    0x42aaaabc,0xaaaaaaaa,0x3ffe01aa,0x101fff00,0xffdbffff,0x51003fb9,
    0x00379db7,0x379dd973,0x03ff7000,0x65c05997,0x67fff42c,0x06ffffca,
    0x0acddba8,0xb80b32e0,0xffd882cc,0x7e47ffff,0x209ff94f,0x06fddff8,
    0x009fff10,0xfffffff3,0x3ee01fff,0xffa800ff,0x4bf5000f,0x4ffe81fe,
    0x507fffc4,0x7d407fff,0x7fff42ff,0x43ffffff,0xfffcafff,0x3ffa84ff,
    0x3eaa26a6,0x20bffe3f,0xff107ffb,0x0fffea0f,0x982fffa8,0xfffffffe,
    0x3ffea7ff,0x0bffea03,0x3fffffa6,0x3f27ffff,0xffe9803f,0x7fffffff,
    0x3fffffee,0xffe9800f,0x7fffffff,0x7ffffff4,0x3fe03fff,0x01fff00f,
    0x3f65fff7,0x7ffe4005,0x301fffff,0xfffffffd,0xcca9809f,0xbffb06ff,
    0xf52ffec0,0x7ffec5ff,0xffb103ff,0x203fffff,0x3f605ffd,0x7fffd45f,
    0x7e47ffff,0x409ff94f,0x000cffd9,0x3a01fff2,0xffcacfff,0x7ffd06ff,
    0x03ffea00,0x7e67fc40,0x24ffe80f,0xe81fffe8,0x3ff606ff,0xfffffe86,
    0x7fc3ffff,0xffffffef,0x447fec4f,0xf9fffffe,0x20bffe4f,0xff107ffb,
    0x037ff40f,0xff10dffb,0xfffffdff,0x06ffe8ff,0x3e21bff6,0xffffefff,
    0x0fff27ff,0xfdffff10,0x5cffffff,0x0fffffff,0x77fffc40,0x47ffffff,
    0xfffffffe,0x3ffe03ff,0x901fff00,0x13fa1fff,0x7ffff4c0,0xb81fffff,
    0xffffffff,0xffb104ff,0xb01dffff,0x7fec0bff,0xf89bffa5,0x985ffedf,
    0xffffffff,0x5ffd82ff,0xf897ff60,0xdffdefff,0xfca7fe47,0x3332a04f,
    0x3fe6001c,0x3ffea02f,0x3fffff62,0x007ffcc3,0x000fffa8,0x40bfffea,
    0x3ff64ffe,0x3fff702f,0x507fff10,0xff555555,0xfffff87f,0x0ffffbae,
    0x7ffed7fe,0x7c9ff7ff,0x7ffb82ff,0x5c0dff30,0xff881fff,0x0effc83f,
    0x7067ffee,0xff103fff,0x1dff907f,0x90cfffdc,0xffc807ff,0x27ffee0e,
    0x3f2aaa21,0x7fe400ff,0x27ffee0e,0x55555541,0x3e03fffa,0x5ffd00ff,
    0xf19fff70,0x3ffa007f,0xfdbaacef,0x6ffffd41,0x84fdbaab,0xfffffff9,
    0x7fec0eff,0xf97ff605,0x2bfea3ff,0xffe86ffb,0xfffdbbdf,0x205ffd87,
    0x3ff65ffd,0x902bfb2f,0x13ff29ff,0x05ffffd8,0xd027ff40,0x6ffc4dff,
    0x7fe45ffe,0x3ffea006,0x05544000,0x3f29ffd0,0x3fe203ff,0x0fffb84f,
    0x21fffc00,0x7d44ffff,0x39ff33ff,0x2dff3dff,0x0bffe5ff,0x7e41ffee,
    0x3ffe205f,0x80fffb84,0xfff82ffe,0x84fff882,0xfe80fffb,0x42fff82f,
    0x7f403ffc,0x02fff82f,0x2007ffd4,0xfff82ffe,0x1fffc002,0x3201fff0,
    0xfff985ff,0xb802ffff,0x1100dfff,0x203fffe8,0xbfffd818,0x46fffff9,
    0x3f605ffd,0x43fff15f,0x7ffa8ffd,0x641fffd4,0x7fec3fff,0xf97ff605,
    0x413fa6ff,0x9ff94ffc,0x3fffffc0,0x81bff200,0x3fea3fff,0x7ec6ffba,
    0x3fea004f,0x9973000f,0x3ffa0579,0x804fffbc,0xffe87ffd,0x3fff8005,
    0xff82fffc,0xf95ff74f,0x3ebff15f,0x20bffe5f,0x36ea7ffb,0x7ec02fff,
    0x05ffe87f,0xffb03fff,0x21fff605,0xfff05ffe,0xc85ffb03,0x7ffc03ff,
    0x402ffd81,0x7c00fffa,0x2ffd81ff,0x01fffc00,0x3e601fff,0x3f22cfff,
    0x03efffff,0x001fffe2,0x0007fff7,0x3e65fff5,0x361fffdf,0x3ff605ff,
    0x7c1fff35,0x43fff35f,0x3fe06ffe,0x02ffec6f,0x3fe2bffb,0x540ffe3f,
    0x09ff92cc,0x3fffffea,0x1ffee001,0xfb0fffc4,0xe8fff51f,0x3ea003ff,
    0x7fcc00ff,0x2fffffff,0x7fff7ff4,0x5fff5004,0x0017ffc4,0x3fe1fffc,
    0x2bffd02f,0x8ffd8ffc,0x4bff5ff8,0xffb82fff,0x0b7fffa7,0x88bffea0,
    0xffb02fff,0x01fff889,0x7c45fff5,0x9ffb02ff,0x641fff88,0x7fec03ff,
    0x00fffc44,0xb003ffea,0xfff889ff,0x1fffc001,0x4401fff0,0x7dc6fffc,
    0x2fffffff,0x003fffa8,0x8003fff4,0x3ff26ffc,0x3f63ffe8,0x57ff605f,
    0xff50fffa,0xf8bffe27,0x3ff204ff,0xb02ffec7,0x3ffeabff,0x4005ff11,
    0xff904ffc,0x4009fffb,0xff307ffa,0xf9affc1f,0x0bffe1ff,0x00fffa80,
    0x7fffffd4,0x3fa1ffff,0x002fffff,0xffb97ffe,0x7fff0007,0xfb02fff8,
    0x7f5ff6df,0x3fe9ff37,0x2e0bffe4,0x3fffa7ff,0xbfff002e,0xf703ffdc,
    0xffb339ff,0x25fff80d,0x3ee07ffb,0xffd99cff,0x403ffc86,0xd99cfffb,
    0xffa806ff,0x7ffdc00f,0x06ffd99c,0x203fff80,0x3f200fff,0xfb886fff,
    0x43ffffff,0x4001fffb,0xb0004fff,0xcb7fc9ff,0x17ff65ff,0xff55ffd8,
    0x4c3ff21f,0xfff11fff,0x07ffdc05,0x7ec0bffb,0x25fff35f,0x32001ff9,
    0x5fff04ff,0x4c00dffb,0xffa80fff,0x227ff50f,0xfff12fff,0x7ffd4003,
    0x20d6d400,0x3fa4fffa,0x00fffecf,0x3a1fff90,0xff0004ff,0x02fff87f,
    0x5ff6bffd,0x17ff56ff,0x17ffc9ff,0xb513ffdc,0xf9005fff,0x13ffa1ff,
    0xfffffff0,0xffc803ff,0x809ffd0f,0xffffffff,0x03ffc81f,0xfffffff8,
    0xffa801ff,0xffff800f,0x001fffff,0x3e03fff8,0xfff700ff,0x7fec0137,
    0x320fffff,0x22000fff,0x776c3fff,0x7ff43eee,0x3ee7ff33,0x817ff66f,
    0xfff35ffd,0xff99bfe3,0x03fff30f,0xfb0fffd4,0xaffec0bf,0xff54fff8,
    0x27fe4001,0x7dc7ffcc,0xff3000ff,0x43ffea0f,0xfff30ffc,0x0017ffc3,
    0x0001fff5,0x3fa6ffc8,0x0efff9cf,0x9afff880,0xf0000fff,0x2fff87ff,
    0x3fa9fff0,0x3feedff7,0x3fe3ff9a,0x07ffb82f,0xf1009ff9,0x1fff35ff,
    0x7ff7fdc0,0xf8800cff,0x0fff9aff,0x3ffbfee0,0xff900cff,0xfeffb807,
    0x5000cfff,0xfb801fff,0x0cffffef,0x07fff000,0xfe807ffc,0x19fd002f,
    0x7ec5fffb,0x7fcc007f,0x7ffffc2f,0xc9fff44f,0x4dff90ff,0x3f605ffd,
    0x267ffe5f,0x9ffea3ff,0x2601fffa,0x3ff62fff,0xf97ff605,0x07fbafff,
    0x5c27fe40,0x7fff16ff,0x41bfea00,0xdff1fff9,0xff07ffcc,0x7fd4007f,
    0x7dc0000f,0x5d3ffa7f,0xfb005fff,0x00bff9bf,0x3e1fffc0,0xfffa82ff,
    0x5bfeffd2,0x0ffbaffc,0x3ee0bffe,0x0dff507f,0x3f37ff60,0x5bfe205f,
    0xfd800098,0x205ffcdf,0x01316ff8,0x4407ff90,0x001316ff,0x401fff50,
    0x01316ff8,0x07fff000,0xff807ffc,0x25ff000f,0x3f63fff9,0x7fcc007f,
    0x7ffffc3f,0xfa7fe44f,0xd97ff65f,0x3ff605ff,0x3f33ffa5,0xa9bff21f,
    0x3e601fff,0x17ff61ff,0x3ee5ffd8,0xcaefefff,0xfc8d54c6,0x23ffe84f,
    0xf7005ffe,0x4fffc0bf,0x3fea3ff9,0x0027ff47,0x2001fff5,0xfeeedca8,
    0xd93ffa7f,0xfa804fff,0x002fffff,0xff0fffe0,0xfffe885f,0x3ffaffb0,
    0x6fecfffb,0x7dc17ffc,0x0fff107f,0x3ffffea0,0x3ffe602f,0x7fd40000,
    0x2602ffff,0x64000fff,0x3fe603ff,0x7d40000f,0x3fe600ff,0x7c00000f,
    0x3ffe03ff,0x001fff00,0x3fe63ff3,0x03fff22f,0x43fff880,0x44ffe999,
    0x3ffaeffb,0x7ec7fff1,0x97ff605f,0x26fefffd,0x3e63fff8,0x3fea02ff,
    0x817ff60f,0x7ff45ffd,0x47ffffff,0x9ff94ffc,0x321fff88,0xffd007ff,
    0x667ff409,0x1bff21ff,0x6640fff9,0xccfffdcc,0xfffc80cc,0x27ffffff,
    0x3fa24ffe,0xfff802ff,0x7c0007ff,0x77ffc3ff,0x2ffffcbc,0x3ff23ff2,
    0x2fffffff,0x7dc17ffc,0x0fff107f,0x3fffffc0,0x777fffc0,0xf000bcde,
    0xf00fffff,0x9bdddfff,0x07ff9017,0xeeeffff8,0xccc80bcd,0xcccfffdc,
    0x77fffc0c,0x000bcdee,0x3e03fff8,0x1fff00ff,0xff535990,0x41fffd53,
    0x4002fffb,0x3f605fff,0x7fffcc4f,0x1fffb0ff,0xfb02ffec,0x7fffd49f,
    0x1fffd14f,0x701fffc4,0x5ffd8fff,0x3213ff60,0x7fffffff,0xffca7fe4,
    0x2a3ffd44,0x7cc02fff,0x3ff601ff,0x3fe26fef,0x0fffcc3f,0xfffffff8,
    0x641fffff,0xeccdffff,0x13ffa7ff,0x803ffff3,0x004ffffc,0x3e1fffc0,
    0xffffffff,0x44ffdc3f,0xfff9bffe,0xb82fff83,0xfff107ff,0x7fffe400,
    0xffffa804,0x04ffffff,0x04ffffc8,0xffffffa8,0x7e44ffff,0x7ffd403f,
    0x4fffffff,0x7ffffffc,0x541fffff,0xffffffff,0x7fc004ff,0x03ffe03f,
    0x7ec07ffc,0xffffffff,0x7ffd42ff,0x7fff4005,0xb09ffb00,0xfd9dffff,
    0x5ffc87ff,0xf70fffa0,0xfffddfff,0x0bfff07f,0x3f237fec,0x0fffa05f,
    0x566ffdc4,0xfca7fe40,0x42ffec4f,0x7e404fff,0x7ffd406f,0xfffd14ff,
    0x20bffd01,0xffffffff,0x3e21ffff,0x7ffb85ff,0x3ee13ffa,0x3e200eff,
    0x40000fff,0x7ffc3fff,0x80dfffff,0x41313ffa,0x0bffe018,0x7c41ffee,
    0x3fe2007f,0xffb800ff,0xffffeeef,0x7ffc403f,0xfffb800f,0xfffffeee,
    0x700fff23,0xffdddfff,0x7ffc7fff,0xffffffff,0x77ffdc1f,0x3fffffee,
    0x80fffe00,0xfff00fff,0xfffffb01,0x105fffff,0x4005ffff,0xfb04fffb,
    0x3fff609f,0xb84fffff,0xfff107ff,0xfffffb05,0x3f607fff,0xfff880ff,
    0x883ffdc4,0x3e202fff,0x53ff202f,0x7ffc4ffc,0xffeaaaad,0x0bffe207,
    0x3bfffee0,0x703ffffe,0x00003fff,0xc81fffa8,0x000007ff,0x0013ffe6,
    0xf85fff30,0x40099aff,0x00006ff8,0xf81bff20,0xff3000ff,0xfff5009f,
    0x0dfff303,0x804fff98,0xf981fffa,0x0fff26ff,0x981fffa8,0x26006fff,
    0x7ffd46ff,0x06fff981,0x405fff30,0xff880fff,0xffd97307,0xfb8079df,
    0x2a20bfff,0x6ffff41d,0xd027fec0,0x05dfffff,0x3213ffea,0xff980fff,
    0x201effff,0x261efff9,0x7d40fffe,0xfffc84ff,0x803fe600,0x9ff94ffc,
    0x7fffffcc,0x01ffffff,0x6c00dffb,0xffffffff,0x037ff403,0x2a00aaa8,
    0x7fe43fff,0x06aa607f,0x03fff600,0x1fff9000,0x4002fff8,0x00002ffd,
    0x740bffd0,0xffb002ff,0x9ffd001f,0x2037fec0,0xe800fffd,0x3ff604ff,
    0xe80fff26,0x3ff604ff,0x03ffa006,0x7ec09ffd,0xfff9006f,0x407ffc01,
    0xff006ffa,0xfffe8007,0x1fffffff,0x7fffffd4,0x104fffee,0x20035bff,
    0xeccefffe,0xff703fff,0x7f400355,0xffffffff,0xdfffd03f,0x07fffd99,
    0x7e407fa8,0x649ff94f,0xffffffff,0xfb83ffff,0x3e6001ff,0x01efffff,
    0x404fff98,0x7c407ff8,0xffebcfff,0x3ff607ff,0x3ff62002,0x4393003f,
    0xf86ffeb8,0x7d4002ff,0x01b881ff,0x27ffd408,0x015dffb0,0x00ffff62,
    0x4407fff4,0xfb104fff,0x3fa007ff,0xfff880ff,0xe80fff24,0xff880fff,
    0xbff5004f,0x101fffd0,0x0e4c9fff,0x80dffd71,0x3ea20fff,0xff8804ff,
    0x7fec4002,0x1fffffff,0xffffffa8,0xf504ffff,0xff98005f,0x5fffffff,
    0x4001ffa0,0xffffffd8,0x3fe603ff,0x5fffffff,0x6407fb80,0x49ff94ff,
    0xaaaadffe,0x546fffaa,0x5c003fff,0x8001aaff,0x2a03fffc,0xffc804ff,
    0xffcfffff,0x003ffe07,0xbffffff3,0x77ffd400,0xf81fffff,0xfd8002ff,
    0xffdcceff,0xfeefc801,0x3e200fff,0xff36ffff,0x400bffff,0xcbdefffc,
    0x260efffd,0x05ffffff,0x37bfff20,0x0efffdcb,0x3ffffff2,0x37bfff25,
    0x0efffdcb,0x79fff500,0x5ef7ffe4,0x20efffdc,0xfffefffa,0x3ffe61ff,
    0xfff0ffff,0xf3001fff,0x36a0003f,0x0befffff,0xffffdb10,0x3f6017df,
    0xff910007,0x4405dfff,0x640004ff,0x01dffffe,0xfffffc88,0x0bf9002e,
    0xff94ffc8,0x807ffe29,0xff50fffc,0xffd000bf,0xfffb0000,0x00bfee07,
    0x8f7fffe4,0xbff107ff,0xfffff300,0xfffa8009,0xf03fffff,0x320005ff,
    0xffffffff,0xffffc801,0xfe9802ff,0xffff36ff,0xffb0009f,0xdfffffff,
    0xfffff983,0xfffd8004,0x1effffff,0x7fffffe4,0x7ffffec5,0x001effff,
    0xb1bfffe2,0xffffffff,0xfffa83df,0x4c3fffff,0x0fffffff,0x003dffff,
    0x00003326,0x22000662,0x00000999,0x000cc400,0x33100000,0x00cc4000,
    0x320165c0,0x29ff94ff,0x7d407ffb,0x0bff32ff,0x009ff100,0x407ff600,
    0x998006ec,0x1774c000,0x0e6ff440,0x7f6dc400,0x33200bde,0x2ea0001c,
    0x000bdefd,0x019dfdd5,0xd13cba80,0x400039bf,0xcdefeec9,0x39bfd101,
    0x7764c000,0x9501cdef,0x30799999,0x39bdfdd9,0x37722000,0xefeec983,
    0xdb7101cd,0x91017bdf,0x21999999,0x00002acc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x329ff900,0x09ffb4ff,0x264fff88,0x00000004,
    0x00000e40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x653ff200,0x000004ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bae7dd7,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x33321999,0x4059970c,
    0x2e602ccb,0x3332e01e,0xcccccccc,0x376e603c,0x000000ac,0x40099980,
    0x1baa1ee8,0x65c00000,0x0000003c,0x016665c0,0x4cc00000,0x5c799301,
    0x666441cc,0x0009abcc,0x65d40000,0x4c02ccee,0x01999999,0x50073260,
    0x32605999,0x6665c03c,0x2e199990,0xcccccccc,0x3dd103cc,0x32a03754,
    0x330003cc,0x00333333,0x76c41bd5,0x54000001,0x0332e2cc,0x000f32e0,
    0x32605997,0xcccccccc,0x3fee003c,0x1effe89f,0xfd817ff6,0x3fff305f,
    0x7fffff40,0x6fffffff,0xfffffd88,0xfff101ff,0x7f540003,0x202fffff,
    0x6ffcbffe,0xfffecb80,0x3f205fff,0x5c004fff,0x360002ff,0x98003fff,
    0xb1000fff,0x320bffff,0x84ffddff,0xfffffff8,0x64400cff,0x806e1dfe,
    0xffffffea,0xfff100ff,0x001fffff,0x407ffff9,0xf706fffc,0x7ffdc0bf,
    0x21effe89,0xfffffffe,0x3fa06fff,0x806ffcbf,0x4005fffb,0xfffffff8,
    0x27ffc00f,0x5c00dffb,0x3f6002ff,0x802ffdcf,0x004ffffc,0x507ffffb,
    0xffffffff,0x3ee00bff,0x4ffe88ef,0x3605ffd8,0xfff305ff,0x7ffff403,
    0xffffffff,0x7ffffcc6,0x902fffff,0x36000bff,0xffffffff,0x3fffea03,
    0x3fee01ff,0xffffffff,0xf97ffb05,0x7ffc00bf,0xdffb0007,0x3ff60003,
    0xffff3004,0x7fe40bff,0xfff103ff,0xdfffffff,0xfffffd80,0xf980ffdd,
    0xffffffff,0xffff100f,0x8801ffff,0x207f99ff,0xb82ffffc,0xdff705ff,
    0xd09ffd11,0xffffffff,0x7fd40dff,0x3001ffff,0x44009ffd,0xffffffff,
    0xb27ffc00,0x7fc00fff,0x7fe4007f,0xffd802ff,0x2205ffcb,0x4ffdbffd,
    0x7fffffd4,0x8805ffff,0x0732e3cc,0xfb02ffec,0x3ffe60bf,0x2aaaaa01,
    0xaaaaeffe,0x5efffec2,0x307fffdb,0xb8001fff,0xcaabdfff,0x6ee4403e,
    0x3ffee00c,0xffecefff,0x2a2cca85,0xff8802cc,0xcca8007f,0x3fe20003,
    0xfffd001f,0xca80799d,0x3ffe202c,0xffffdbac,0xf99fd103,0x3e09ffff,
    0xa999cfff,0x266600db,0x88019999,0x6403fe6f,0xfb86ffff,0x23cc885f,
    0x55501ccb,0x555dffd5,0xcddc8805,0x66644000,0x26666001,0xea801999,
    0x007ba20d,0x003fffc4,0x5401665c,0x0b32a2cc,0x9970e654,0x55fffd43,
    0x001aaaaa,0x2ffec000,0x2a2bffb0,0xabfffcaa,0x3fa02aaa,0x7ffd405f,
    0x03fffb84,0xd8007ffd,0x000007ff,0xffffff30,0x017ff27f,0x7ff70000,
    0x40000000,0xf3005ffc,0x000007ff,0xf507ffe2,0x10c40bff,0x3e607bd9,
    0x000003ff,0x7f77f400,0x3ffff205,0x02ffdc3f,0x3ff60000,0x00000005,
    0x00000000,0x7fdc0000,0x00000003,0x7d400000,0x970000ff,0x1665c059,
    0xfd817ff6,0xfffff15f,0xdfffffff,0x202fff40,0x3fe06ffe,0x0fff506f,
    0x00fffd80,0x5c059970,0xffff92cc,0x3ff27fff,0x3bb2ea05,0x000002cc,
    0xcceecba8,0x17ffc002,0x00fffb80,0x33bb2ea0,0x0fffc42c,0x00037ff4,
    0x01fffd40,0xb80b32e0,0x3f6202cc,0x3ff200df,0x7fdc6fff,0x3376ea05,
    0x3ff6000a,0x6edd4005,0x332e00ac,0x80b32e02,0x00acddba,0x2b376ea0,
    0x20000000,0x1bcedba8,0xcccccc98,0x5cc03ccc,0x2a1bceec,0xb0000fff,
    0x7fec0bff,0xb02ffec5,0x3ffe2bff,0xffffffff,0x17ffa06f,0x6409fff0,
    0x3ffe07ff,0x3ffee002,0x5ffd802f,0x7ed7ff60,0x93ffffff,0xffd50bff,
    0x81ffffff,0xccccccc8,0xa81ccccc,0xfffffffe,0xdff5000f,0x02ffec00,
    0xfffffea8,0x3fe20fff,0x06ffe81f,0x01cccca8,0x007bffe6,0x3605ffd8,
    0x332a05ff,0x3ff201cc,0x3ee3fffc,0xfffd885f,0xb001ffff,0x36200bff,
    0x1fffffff,0x6c0bffb0,0xffd885ff,0x401fffff,0xffffffd8,0x3332601f,
    0x3ccccccc,0x3fffff20,0x7fd41fff,0x6fffffff,0xfffffd30,0x3fea9fff,
    0xffb0000f,0x22ffec0b,0x3f605ffd,0xf955515f,0x555557ff,0x102fff40,
    0x7dc05fff,0xdff700ff,0x7fffdc00,0x3ff600df,0x757ff605,0x3fffffff,
    0xff98bff9,0xffffffff,0x7ffffcc0,0x2fffffff,0x7fffffcc,0xd000ffff,
    0x7f4007ff,0xfff9804f,0x0fffffff,0xf507ffe2,0xffb009ff,0xfff80bff,
    0xfd801dff,0x17ff605f,0x05ffffd8,0x3feefff2,0xf317fee7,0xffffffff,
    0xbffb005f,0xfffff300,0xb05fffff,0x7fec0bff,0x7ffffcc5,0x302fffff,
    0xffffffff,0x3fea05ff,0xffffffff,0xffffe985,0x541fffff,0xffffffff,
    0xffffb86f,0x54ffffff,0x20001fff,0x3f605ffd,0x02ffec5f,0x3e60bffb,
    0x7f4001ff,0x3ffe605f,0x07ffea01,0x400fffc4,0xfffffffc,0x0bffb03f,
    0xffdaffec,0xf93fffff,0xcffff8bf,0x40dba999,0xfffffff9,0x7c2fffff,
    0xa999cfff,0xff9800db,0x3ffe000f,0xcffff803,0x20dba999,0xdbacfff8,
    0xf800efff,0x5407ffff,0xbeffffff,0x40bffb00,0x3fe05ffd,0x3f207fff,
    0x73fff8bf,0xfffe8bff,0x7fffdbbd,0x805ffd80,0xdbbdfffe,0xffd87fff,
    0xd17ff605,0xfb77bfff,0x3ffa0fff,0xfffdbbdf,0xfffff507,0xd0bfffff,
    0x7559dfff,0xaaa883fb,0x46ffeaaa,0xabdffffa,0xff54fdba,0xffffffff,
    0x02ffec05,0xffd8bffb,0x417ff605,0x4001fff9,0x3ea05ffe,0x3fe601ff,
    0x13ff602f,0xf7bfff30,0xd81bffff,0x3ff605ff,0xffffff95,0x997ff27f,
    0x44003fff,0xcccccccc,0x3e61ffff,0xd80003ff,0x2aa204ff,0xaacfffaa,
    0x1fffcc2a,0xfffff100,0x0019ffff,0x3ffffff5,0xfffffa80,0xffd82fff,
    0x417ff605,0x1ffffffa,0x3ee7ff90,0x54bff77f,0xffc83fff,0x2ffec03f,
    0x20fffea0,0x7ec3fffc,0x97ff605f,0xfc83fffa,0x7ffd43ff,0x83fffc83,
    0xaaabfffa,0x7fdc1aaa,0x001100df,0x3fa37fec,0x546203ff,0xffffffff,
    0x3ff602ff,0xb17ff605,0x7fec0bff,0x03fff305,0x205ffe80,0x2601fffa,
    0x3e601fff,0x3ff200ff,0xffffb10f,0x205ffd8b,0xfff15ffd,0x3f27ffff,
    0x0fffea5f,0xfff90000,0x03fffa89,0x0fffc400,0xffffff10,0xa8ffffff,
    0x22003fff,0xffffffff,0x37ff2003,0xb8804fff,0x2fffffff,0xfb02ffec,
    0x37ff20bf,0xff904fff,0x2efffe27,0x1bffa5ff,0x6c06fff8,0x7ff405ff,
    0xb1bffe06,0x7fec0bff,0xf81bffa5,0x37ff46ff,0xf50dfff0,0x3e2001ff,
    0x400007ff,0x3fee6ffd,0x3fea003f,0xffffffff,0x817ff602,0x7fec5ffd,
    0x417ff605,0x4001fff9,0x3ea05ffe,0x3fea02ff,0x1fff401f,0xb81fffb0,
    0x3f62ffff,0x97ff605f,0x3ffffffa,0x7fccbff9,0x300001ef,0xff30dfff,
    0x640003df,0x7fc406ff,0xffffffff,0x77ffcc7f,0x9fff1001,0x007fffd7,
    0x3ff6bffe,0x7fecc006,0x2ffec7ff,0x3e0bffb0,0x06ffdaff,0x7fdc7ff9,
    0x3fe5ffbf,0x1fff204f,0xf80bffb0,0x3ff204ff,0xb02ffec7,0x27ffcbff,
    0xff8fff90,0x1fff204f,0x4003ffea,0x0003fffa,0xfd37fec0,0xffa800ff,
    0xffb0000f,0x22ffec0b,0x3f605ffd,0x3fff304f,0x05ffe800,0xb80fffe6,
    0x7d400fff,0x3ffee06f,0x24fffa84,0x3f605ffd,0x7ffecc5f,0xf8bff93f,
    0x001dffff,0x80ffff40,0x01dfffff,0x802fff80,0x9fffb999,0xfff81999,
    0x7c401dff,0x3fffa1ff,0x47ffcc00,0x8000fffb,0x361ffff9,0x3ff605ff,
    0xb8fff985,0xffc80fff,0x3fbffe23,0x05fff15f,0xb007ffdc,0x7fc40bff,
    0x3ffee02f,0xd817ff60,0x5fff15ff,0x887ffdc0,0x3ee02fff,0x7ffd40ff,
    0x3fff7000,0xffd80000,0x0013ffe6,0x0001fff5,0xfd817ff6,0x02ffec5f,
    0x3e605ffd,0x7f4001ff,0x3ffe205f,0x01bff605,0xf9817ffc,0xfff84fff,
    0xd817ff66,0xb95305ff,0xf517ff25,0x17dfffff,0x3fffc800,0x3ffffea0,
    0xfa800bef,0xffb8007f,0xffff5007,0xf1017dff,0x7ffcc3ff,0x8b7fdc04,
    0x70003fff,0x7fec5fff,0x217ff605,0xfff16ffb,0xb87ff907,0xf35fffff,
    0x7fd403ff,0x17ff601f,0x201fff98,0x3f61fffa,0x57ff605f,0x2a01fff9,
    0xfff31fff,0x0fffd403,0x4003ffea,0x0000fffc,0xf8b7fec0,0x7776c3ff,
    0x1fff53ee,0x17ff6000,0x7e45ffd8,0x1fff107f,0x00bffe60,0xd80bffd0,
    0xff880fff,0xbff9003f,0x77fffe40,0xfd97ffe2,0x17ff605f,0x50bff900,
    0xffffffff,0x3ffe6005,0xffffa806,0x7402ffff,0xfc8003ff,0x3fea006f,
    0x42ffffff,0x7f41fff8,0x3ffa00ff,0x0017ffa3,0xfb0fffdc,0x2ffec0bf,
    0xffd1fff4,0x887ff90b,0xf55fffff,0x7fcc03ff,0x17ff602f,0x201fffa8,
    0x3f62fff9,0x57ff605f,0x2601fffa,0xfff52fff,0x17ffcc03,0x3fffffea,
    0x3f62ffff,0xd800007f,0x5fff36ff,0x4ffffff8,0x0001fff5,0xfd817ff6,
    0x27ffd45f,0xf1037fe4,0xfe8009ff,0x7ffd405f,0x3fffa61e,0x3fff1000,
    0x7ffffe40,0x362fffdd,0x3ff605ff,0x2ffe4005,0xfffffb88,0xffe802ff,
    0xff71000f,0x205fffff,0x8000fff9,0x44005ffd,0xfffffffb,0x507ffe22,
    0x3e209fff,0x1fff21ff,0x7fcc06ee,0x02ffec7f,0xff88bffb,0x21fff21f,
    0xffc83ffc,0x3fff55ff,0x00fffcc0,0x7d40bffb,0x3fe601ff,0x817ff61f,
    0xfff55ffd,0x8fffcc03,0x2601fffa,0x7fd41fff,0xffffffff,0x001fff62,
    0x4dbff600,0x7ffc3fff,0xfff54fff,0x3ff60001,0x217ff605,0xeccefffe,
    0x7fc04fff,0x04cbbeff,0x3a017ffa,0xffffffff,0x7ec003ff,0x7ffd404f,
    0x6c5fffff,0x3ff605ff,0x2ffe4005,0x7fffecc0,0x1fffe407,0xfffd9800,
    0x0bffb07f,0x013ffa00,0xffffd980,0x207ffe27,0xfa80fffe,0x17ffd47f,
    0x3bbbfff2,0x6c3fffff,0x3ff605ff,0x2a3ffd45,0x7fe42fff,0x5ffff883,
    0x5405fff3,0x3bb60fff,0xeeeffffe,0x80bffe64,0x3f60fffa,0x57ff605f,
    0x2a02fff9,0xfff30fff,0x07ffd405,0x3fffffea,0x3f22ffff,0x400000ff,
    0xfff16ffd,0xffe99987,0xffffff54,0x6c0bffff,0x3ff605ff,0xfffff984,
    0xa805ffff,0x6fffffff,0x2017ffa0,0xffffffe8,0xf98003ff,0xffc800ff,
    0xffd85fff,0x013ff605,0x400bff90,0x301ffff9,0x0000bfff,0x883ffff3,
    0xf0001fff,0x300007ff,0x3e23ffff,0xfffb81ff,0xf85ffd83,0x7ffe44ff,
    0x4fffffff,0x3605ffd8,0x2ffec4ff,0x3f227ffc,0xbfff903f,0xb80fffe2,
    0x7fff47ff,0x6fffffff,0xb80fffe2,0x2ffec7ff,0x3e29ffb0,0x3fee03ff,
    0x80fffe27,0xffa87ffb,0xfff7000f,0xfd800005,0x817ffe6f,0xfff54ffd,
    0xbfffffff,0xd02ffe40,0x3f6207ff,0x002effff,0x3fffffaa,0x017ffa05,
    0x7ffff5c4,0x3fa0001d,0xffd1003f,0x0bff90bf,0x2001fff4,0x5c005ffd,
    0xffd02fff,0x2e00001f,0x7fdc2fff,0xfff10006,0x3ee00005,0x3fff12ff,
    0xf0ffff10,0xd5555bff,0xffea8fff,0x01dfffff,0x7f40bff9,0x56fffc3f,
    0x47ffeaaa,0xff103ffc,0x02fffcbf,0xffe8dffb,0xffffffff,0xb02fffc6,
    0x5ffc8dff,0xff8fffa0,0x1bff605f,0x7ec0bfff,0x0fffa86f,0x0bfff500,
    0x5ffe8000,0x6c03fffa,0xffff54ff,0x0bffffff,0xf883ffdc,0xffa802ff,
    0x26620006,0x40000009,0x80004ffd,0x22006ffb,0xffb86fff,0x05fff107,
    0x003fff80,0x640fffdc,0x00003fff,0xff07ffee,0x3ea0005f,0x700000ff,
    0x00003fff,0x7fffffcc,0x01ffffff,0x70013533,0x3fe20fff,0x3fffe62f,
    0xffffffff,0x4ffe8001,0x2203fff6,0x64004fff,0x7ffec2ff,0x44fff880,
    0xff107ffb,0x07ffec5f,0x3627ffc4,0xff880fff,0x0fffa84f,0x5ffff100,
    0x7ffc0000,0x413ffee4,0xfb004ffd,0x7ffd403f,0x00fffc84,0x8000ffe8,
    0x26001aa9,0xfc8001aa,0x2000c0ff,0x0022fff8,0xff50bffd,0x1fff909f,
    0xfff70550,0xf980ddc5,0xfff987ff,0x406ee005,0x7d47fff9,0x3fa0007f,
    0x0377006f,0x301fffe6,0xff900355,0xffffffff,0xaa9807ff,0x27ffd401,
    0xf907ffe4,0xffffffff,0x98007fff,0x3fe63fff,0x3ffa61ef,0x3fea000f,
    0x1efff984,0x503fffa6,0xff909fff,0x77ffcc1f,0x03fffa61,0x4c3dfff3,
    0xfa80fffe,0x3ee000ff,0x2a20bfff,0x7e415c1d,0x7fff43ff,0x027fec0d,
    0x7401ffdc,0xfeccefff,0xffa803ff,0x5ffb0005,0x017fec00,0x67fffcc0,
    0x64000fec,0x2f7ea5ff,0x3fffdbaa,0x99dfffd0,0xf107fffd,0xfffd79df,
    0xeefffc8d,0x83fffffe,0x999afffe,0x3f209999,0xfffeeeff,0x27ff43ff,
    0xffd97700,0x3ff2007f,0xffffeeef,0x17fec03f,0x556fff40,0x6fffaaaa,
    0x4017fec0,0xeccefffe,0x7ff43fff,0xfaaaaaad,0x366006ff,0x7ff41fff,
    0xffffffff,0x0fff4003,0xffffffe8,0xfd03ffff,0xffd99dff,0xffffd07f,
    0x07ffffff,0x3ffffffa,0xf503ffff,0xfe8001ff,0xffffffff,0x66ffe41f,
    0x540efffe,0xeeffffff,0xfe804fff,0xfff9801f,0x05ffffff,0x079fff50,
    0x000fff80,0x40003ffe,0xfffffffc,0x7ffc4005,0xffffff50,0x7cc0bfff,
    0xffffffff,0xfffff905,0xfc83ffff,0xffffffff,0xffffb84f,0xffffffff,
    0x3fffff23,0x4c4fffff,0x3a000fff,0x006fffff,0x3ffffff2,0xf804ffff,
    0x7fc400ff,0x3fff201f,0x003ffe00,0x3fffffe6,0x7fc45fff,0x3fff201f,
    0xffffe800,0xffffd885,0x8003ffff,0x441ceffe,0xfffffffd,0x3ffe603f,
    0x05ffffff,0xffffffb1,0x7ec407ff,0x3fffffff,0x3ffffea0,0x885fffff,
    0xfffffffd,0x7ffe41ff,0x501fffff,0xffffffff,0xfff009ff,0xfc88019b,
    0x002effff,0x01bfffe2,0x2005ff88,0x40005ff8,0x0dfffffb,0x54ffd800,
    0xdfffffff,0xfff91007,0xea805dff,0x80cfffff,0xffffffea,0xfff701df,
    0xffffffff,0x7fff547f,0xc81dffff,0x7f4005ff,0x2000cfff,0xffffffea,
    0xff8801df,0x07ffb805,0x8817ffd4,0x322005ff,0x82efffff,0x7d407ffb,
    0xfff802ff,0x3fb200df,0x0001dfff,0x205ffff7,0x1dffffec,0xffffc880,
    0xfec802ef,0x9001dfff,0x03bffffd,0xffffffa8,0x2a05ffff,0xbefffffd,
    0x7fffecc0,0x76c400df,0x0befffff,0x1ffffc80,0x00066200,0x003ddc88,
    0x9800bba6,0x300002ee,0x00000135,0x0066a662,0x4000cc40,0x26000998,
    0xfb8009a9,0xffffffff,0x53303fff,0x40000013,0x80001a98,0x40009a99,
    0xfd802ee9,0x7ffc404f,0x005dd304,0xfb006620,0xfff8809f,0x01cee804,
    0x00006620,0x20066e54,0x22000198,0x33100019,0x00cc4000,0xffffff50,
    0x200bffff,0x26600198,0x33310000,0x9b950001,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x81666540,0xdd303cc9,0x4002f5c3,0x400cccc9,
    0x1bceecb9,0x00599700,0xccca8000,0x65c00003,0x997002cc,0x332e0007,
    0x07332203,0xcccb8000,0x5c000002,0x000003cc,0x8b332e00,0xc881ccc8,
    0x665404cc,0xbd5001cc,0x200f6c41,0x79910ccc,0x6665c000,0x07997002,
    0xb106f540,0xdba8803d,0xcca81bce,0x9700003c,0xcb800599,0x266602cc,
    0x80019999,0x0003ccc9,0x2a059997,0x07b620de,0x3fff2000,0x05ffb80f,
    0xff97dff1,0xfff9800b,0x3ffa601e,0x04ffffff,0x01ffffec,0xb877fb22,
    0x17ffee01,0x7ffec000,0xffff9003,0xfffc8009,0x5fff304f,0x3ff60000,
    0x3fb2203f,0xf9006e1d,0xb8009fff,0xfb0002ff,0xfff887ff,0x02fffd82,
    0x02ffffec,0x3f64fff8,0x7ffcc06f,0x0000effb,0x2007fffb,0x004ffffc,
    0x7fec9fff,0x3ffff206,0xfb81ffff,0x6c0005ff,0x6c003fff,0x3e203fff,
    0x0fffffff,0x37ffea00,0xfffd8000,0xd93ffe03,0xffff06ff,0xffcb7ffc,
    0x5ffb83ff,0x3ffffee0,0x3fe6000f,0x7ffdc04f,0x4fffffff,0xfb7ffb10,
    0x7ffec09f,0x00ffddff,0x0013ffa6,0x003dffb0,0x3ff2fff6,0x99ffb005,
    0xfff30bff,0xffb00005,0xfffd803d,0x00ffddff,0xbff97ffb,0x03fffc00,
    0x40f7fec0,0x7d42fff8,0xfff805ff,0xfff007ff,0x403ffec9,0x00effff9,
    0x03dffb00,0x3f2fff60,0x4fff805f,0x3a61fff6,0xffffffff,0x9ffd301f,
    0x3bff6000,0x77fec001,0x7fffc401,0x5000ffff,0x20007fff,0x7c01effd,
    0x1fff64ff,0xffd3fffc,0x1fffff2d,0x93017fee,0xb80017bd,0x7fd402cc,
    0xdbaabdff,0x4399504f,0xfe881ccb,0x4fffffcc,0x01ccc880,0x00799500,
    0x99516654,0x22cca805,0x7fcc2cca,0x6540002f,0xcfe8803c,0x04fffffc,
    0x66545995,0x7fff8802,0x01e65400,0x7c45fff1,0x7d400eff,0x801fffff,
    0x3ba20dea,0x19991001,0x0f32a000,0x2a2cca80,0x6f5402cc,0x3a07ba20,
    0xbaacefff,0x332201fd,0x6654001c,0x3cca8003,0x26666600,0x99100199,
    0x32a00039,0x1bd5003c,0xff80f744,0x657ffa6f,0x5c2fffff,0x000005ff,
    0x7fff4000,0x00006203,0xdec88620,0x00000003,0x00000000,0x17ffcc00,
    0x44000000,0x00f7b221,0x7fdc0000,0xf1000003,0x7ffec5ff,0xfdffc801,
    0x000004ff,0x00000000,0x00000000,0x01bfff70,0x00000022,0x00000000,
    0x00000000,0xd0000000,0xaffecdff,0x46fffffc,0x5cc05ffb,0x801bceec,
    0x1bcedba8,0x001fffdc,0x676dd440,0x4000001b,0x00acddba,0x2b376ea0,
    0x376ea000,0x7ffc00ac,0x3ffe6002,0x7ffdc002,0x0000ffff,0x40599700,
    0x00002ccb,0x65c05997,0x25fff12c,0xf004fffa,0x0dffb5ff,0x9701665c,
    0xcccc8859,0x40009abc,0x001cccca,0x00e66654,0x6666665c,0xff13cccc,
    0x993000ff,0x99999999,0xccccc987,0x883ccccc,0x5c001ccc,0xcccccccc,
    0x666443cc,0x4009abcc,0x9302ccca,0x66654079,0x37ff401c,0x3ff29ffb,
    0x3ee2fffc,0xfffd305f,0x409fffff,0xfffffffc,0x01fffa1f,0x3ffff200,
    0x32a1ffff,0x799302cc,0xfffffb10,0xfd8803ff,0x01ffffff,0x7ffffec4,
    0x3ffe01ff,0x3ffe6002,0x7ffdc002,0x5c00ffff,0xcccccccc,0x17ff63cc,
    0x65c5ffd8,0xcccccccc,0x817ff63c,0xfff15ffd,0x00dfff15,0x3ee3ffe6,
    0xbffb00ff,0x222ffec0,0xffffffff,0xffb000cf,0xfd800bff,0xfe805fff,
    0xffffffff,0x07fff56f,0xfffff500,0xa8bfffff,0xffffffff,0xfff985ff,
    0x7fff4002,0x6fffffff,0x7fffffc4,0xf900cfff,0xff701fff,0x7fffec0b,
    0x92fff405,0x2fff29ff,0x3fee5ffc,0xfffffb85,0x984fffff,0xfffffffe,
    0x13ffe1ff,0xfffe9800,0x21ffffff,0xb80ffffc,0x7ffcc5ff,0x2fffffff,
    0xffffff30,0x2605ffff,0xffffffff,0x5fff02ff,0x17ffcc00,0x37332600,
    0x7f400fff,0xffffffff,0x817ff66f,0x7ff45ffd,0xffffffff,0xd817ff66,
    0x5fff15ff,0x2001fffb,0xfff16ffb,0x817ff607,0x7fc45ffd,0xffffffff,
    0xfffff006,0xffff800f,0xfffe807f,0x6fffffff,0x0003fff7,0xfffffff5,
    0xffa8bfff,0xffffffff,0x02fff985,0x7fffff40,0x446fffff,0xffffffff,
    0xfff906ff,0x0bff707f,0x03fffffc,0xffb97ffa,0xff37ff93,0x517fee3f,
    0x557bffff,0xffd09fb7,0xfb7559df,0xb0fffe23,0xd07ddddd,0x7559dfff,
    0x7ffe43fb,0x45ffb83f,0xdbbdfffe,0xffd07fff,0xfffb77bf,0x37fffa0f,
    0x07fffdbb,0x4c005fff,0x40002fff,0x7400fffa,0xffffffff,0x17ff66ff,
    0x7f45ffd8,0xffffffff,0x817ff66f,0xfff15ffd,0x4007fffb,0x3ffa3ffe,
    0x40bffb05,0x7fc45ffd,0xfffdbacf,0x7ffd403f,0xf5001fff,0x803fffff,
    0xeffeaaaa,0xfff92aaa,0xfff50001,0x35555557,0xaabfffa8,0xf981aaaa,
    0x554002ff,0xaaeffeaa,0x67ffc42a,0x3ffffdba,0x87ffffc8,0xff505ffb,
    0x6c03ffff,0x7fe405ff,0x3eebffb3,0x1ffff45f,0xfffb8310,0x3e61100d,
    0x7fffc2ff,0x7ffdc4ff,0x7e41100d,0xffb87fff,0x20fffea5,0x7d43fffc,
    0xfffc83ff,0x41fffd43,0xff83fffc,0x3fe6002f,0x7d40002f,0x555400ff,
    0xaaaeffea,0xd817ff62,0x555545ff,0x2aaaeffe,0xfd817ff6,0xfffff15f,
    0x7fc400ff,0x41fff21f,0x3f605ffd,0x0fffc45f,0x9017ffea,0x09fffbff,
    0x3ff7ff20,0x7fec004f,0x00fffb05,0x003ffea0,0x000fffa8,0x0017ffcc,
    0x1017ff60,0xffa83fff,0xffffc85f,0x82ffdc2f,0x4fffdffc,0x9017ff60,
    0x3ffea7ff,0x3ee5ffb8,0x7c4003ff,0x3e6007ff,0x7fffc3ff,0x3ffe24ff,
    0x7ffe4007,0x2ffdc2ff,0x7fc0dffd,0x037ff46f,0xffe8dfff,0x21bffe06,
    0x79932fff,0x05fff303,0x0fffa800,0x02ffec00,0x7ec0bffb,0x2ffec05f,
    0x6c0bffb0,0xbfff15ff,0x2a009fff,0x7ffd47ff,0x205ffd82,0x7fc45ffd,
    0x06ffe81f,0x7fed7ffc,0xb5fff006,0xfd800dff,0x0fffb05f,0x03ffea00,
    0x00fffa80,0x017ffcc0,0x017ff600,0xfd03fff1,0xffff90df,0x05ffb8df,
    0xdffb5fff,0x2027fec0,0x3ffa3ffc,0x3fa5ffbc,0xffa8007f,0x3fe2003f,
    0x7f4ccc3f,0x0fffea4f,0xfffff900,0x3e5ffb8d,0x3ff204ff,0x9027ffc7,
    0x4fff8fff,0x3e1fff20,0xffffcaff,0x17ffcc4f,0x3ffea000,0x2ffec000,
    0x6c0bffb0,0x7fec05ff,0x817ff605,0xfff15ffd,0x003fffb5,0xfff0bffb,
    0x40bffb09,0x7fc45ffd,0x06ffe81f,0x3ee3ffe6,0x7fcc00ff,0x00fffb8f,
    0x6417ff60,0xa8000fff,0x2a000fff,0x4c000fff,0x40002fff,0x7c405ffd,
    0x6ffe81ff,0xfffcffc8,0x2617fee2,0xfffb8fff,0x809ff900,0x3fee3ffc,
    0x3fe5ffbf,0xffb8004f,0x7ffc001f,0xb93ff605,0x64001fff,0x22fffcff,
    0xfff15ffb,0x87ffdc05,0x2e02fff8,0xfff10fff,0x07ffdc05,0x3fffbffe,
    0x3e62ffff,0x540002ff,0x6c000fff,0x3ff605ff,0x017ff605,0x7ec0bffb,
    0x57ff605f,0xff8afff8,0x7ffc00ef,0xffeaaaad,0x205ffd87,0x7fc45ffd,
    0x27ffd41f,0x3e2dff70,0x7fdc03ff,0x007fff16,0xfb82ffec,0xfa8002ff,
    0x3ea000ff,0x7cc000ff,0x6c0002ff,0x7fc405ff,0x27ffd41f,0x7fe5ffe4,
    0x2e17fee5,0x7fff16ff,0x9013ff20,0xefff87ff,0x7fff15ff,0x3eeeeed8,
    0x0003fff2,0x3601fffd,0x3fff24ff,0x5ffe4000,0x3fee5ffc,0x403fff35,
    0xff31fffa,0x7ffd403f,0x403fff31,0x7fc1fffa,0xffcaefff,0x0bffe65f,
    0x1fff5000,0x05ffd800,0xfd817ff6,0x2ffec05f,0x6c0bffb0,0x5fff15ff,
    0x9813ffee,0xffffffff,0x7ec1ffff,0x17ff605f,0xb759fff1,0x7401dfff,
    0x17ffa3ff,0x7f47ffd0,0x3ff6005f,0x0bfff505,0xfffff500,0xa85fffff,
    0xffffffff,0xfff982ff,0x7fec0002,0x67ffc405,0x0efffdba,0xff9bffc8,
    0xd0bff71f,0x2fff47ff,0x6403ffc8,0x7ffe43ff,0x5fff35ff,0x4ffffff8,
    0x2001fff6,0xfb04fffb,0x03ffec9f,0x7cdffe40,0x2bff71ff,0x2601fffa,
    0xfff52fff,0x97ffcc03,0x2601fffa,0x7ffc2fff,0x337fec4f,0x80005fff,
    0x4000fffa,0x3f605ffd,0x17ff605f,0x6c0bffb0,0x3ff605ff,0x745fff15,
    0xff902fff,0xffffffff,0x5ffd87ff,0xf117ff60,0xffffffff,0x7ffc4019,
    0x881fff21,0x3ff21fff,0x17ff6007,0x017fffc4,0x3ffffea0,0x542fffff,
    0xffffffff,0xfff982ff,0x7fec0002,0x7fffc405,0x00cfffff,0x3ff67ff9,
    0xf88bff75,0x1fff21ff,0x3201ffe4,0x7ffc43ff,0x7fff35ff,0x4ffffff8,
    0x4001fff6,0x6c0dfffe,0x1fff64ff,0x6cfff200,0x2bff75ff,0x2601fffa,
    0xfff51fff,0x8fffcc03,0x2601fffa,0x7ffc1fff,0x267ffb85,0x40002fff,
    0x4000fffa,0x3f605ffd,0x17ff605f,0x6c0bffb0,0x3ff605ff,0x4c5fff15,
    0xfe80ffff,0xaaaaaadf,0x7fec6fff,0x117ff605,0xffffffff,0x8fff5007,
    0xf502fffa,0x2fffa8ff,0x40bffb00,0x20bffffb,0x7fd41da8,0xffffffff,
    0x7ffffd42,0x982fffff,0x40002fff,0x7c405ffd,0x3fffffff,0xfa9ffe40,
    0x45ffb8ff,0x7fd47ffa,0x0099882f,0x7ec1ffe4,0xfff15fff,0xffe99987,
    0x003fff24,0x3ffffea0,0x24fffeef,0x4000fffc,0xfff53ffc,0x3e6bff71,
    0x3fea02ff,0x05fff30f,0xf987ffd4,0x3fea02ff,0x417ffc0f,0x3fe67ffb,
    0xffffffff,0x7ffd400f,0x2ffec000,0x6c0bffb0,0x7fec05ff,0x817ff605,
    0xfff15ffd,0x45fffc85,0x3201fff8,0x3ff60fff,0x117ff605,0xffd79fff,
    0x5ffd807f,0xfb04fff8,0x09fff0bf,0xd017ff60,0xffffffff,0xfffa83ff,
    0x3ffea000,0x7ffcc000,0x7fec0002,0x67ffc405,0x203fffeb,0x3ffa3ffc,
    0x7ec5ffbc,0x04fff85f,0x41ffe400,0x3e5ffff9,0x3ff605ff,0x00bffee4,
    0x7ffffd40,0x2e4fffff,0x64002fff,0x33ffa3ff,0xfff15ffb,0x13ffdc07,
    0x7dc07fff,0x0fffe27f,0xff87ffb8,0x27ffb82f,0xfffffff9,0x5400ffff,
    0x6c000fff,0x3ff605ff,0x013ff605,0x7ec0bffb,0x53ff605f,0x7c42fff8,
    0x3fee2fff,0x17ffd407,0x7ec0bffb,0x0fffc44f,0x7c01fffd,0xeaaaadff,
    0xbfff07ff,0xfffd5555,0x017ff600,0xffffffb1,0xffa83fff,0x3fea000f,
    0x7fcc000f,0x7ec0002f,0x7ffc405f,0x403fffa1,0x3fee3ffc,0x7fc5ffbf,
    0xfeaaaadf,0x02ffb87f,0xfd81ffe4,0x3fffa5ff,0x549ffb00,0x20005fff,
    0xfffffed8,0x3ffea0be,0x1ffe4005,0xbff7fff7,0xfb02fffc,0x05fff8df,
    0xfff1bff6,0x437fec0b,0xffb82fff,0x3ffffe67,0x00ffffff,0x0007ffd4,
    0xfc817ff6,0x0fffa05f,0x640bffb0,0x3ffa05ff,0x505fff13,0x3f61ffff,
    0x7ffc404f,0xe817ff24,0x7ffc43ff,0x413ffe61,0xfffffff9,0x4c1fffff,
    0xffffffff,0xd801ffff,0xfd7005ff,0x817dffff,0x2000fffa,0x4000fffa,
    0x0002fff9,0x2202ffec,0x3fe61fff,0x87ff904f,0x25ffefff,0xfffffff9,
    0x221fffff,0x00007fff,0x827ffdc0,0x3fe24ffd,0x880002ff,0xff100999,
    0x7e4005ff,0x7f7ffc3f,0x03fff65f,0xfb13ffe2,0xfff101ff,0x80fffd89,
    0xff84fff8,0x07ffb82f,0x3fea0000,0x7fec000f,0x41ffee05,0x6c02fff8,
    0x3fee05ff,0x05fff107,0xf7000000,0x07ffb89f,0xf885fff1,0x7fff41ff,
    0xfffffc80,0x3fffffff,0x7fffffe4,0x03ffffff,0x4005ffd8,0x7d401fff,
    0x3ea000ff,0x7cc000ff,0x6c0002ff,0x7fc405ff,0x07fff41f,0x3f21ffe4,
    0x3f25ffff,0xffffffff,0x3fe23fff,0x54c000ff,0xfffe801a,0x227fec0d,
    0x20bffffb,0x54c01da8,0xfffb801a,0x876a20bf,0x7fe43ffc,0x3fe65fff,
    0x3ffa61ef,0x77ffcc0f,0x03fffa61,0x4c3dfff3,0xff80fffe,0x07ffb82f,
    0x20005554,0x4000fffa,0x3ea05ffd,0xfffc84ff,0x02ffec00,0xf909fff5,
    0x554c01ff,0xff300001,0x09fff50b,0xf881fff9,0x7ffd41ff,0xaadffe84,
    0x6fffaaaa,0x5556fff4,0x06fffaaa,0x2005ffd8,0xfa805ff9,0x3ea000ff,
    0x7cc000ff,0x6c0002ff,0x7fc405ff,0x27ffd41f,0x3e21ffe4,0x3fa5ffff,
    0xaaaaaadf,0x7fe46fff,0x2ffd8004,0xfffffa80,0x84fffeef,0xfffffffe,
    0x7ec01fff,0xfffd002f,0x3fffffff,0x3e21ffe4,0x7f45ffff,0xffffffff,
    0xffffd03f,0x07ffffff,0x3ffffffa,0xff03ffff,0x0fff705f,0x4003ffc4,
    0x4000fffa,0x7f405ffd,0xffecceff,0x5ffd803f,0x677fff40,0x403fffec,
    0x00002ffd,0x3fa07ff9,0xffecceff,0x1fff883f,0x220fffe8,0x3f201fff,
    0x3fff10ff,0x207ffe40,0xffffeeed,0x3ee04eee,0xfffa802f,0x5fffffff,
    0x7fffffd4,0xf985ffff,0xffffffff,0x7776c0ff,0x4eeeffff,0x740fffc4,
    0x7fe40fff,0x5ffffd83,0x6403fff1,0x00cc0fff,0x000fff80,0xfffffff5,
    0xfb109fff,0xffffffff,0x00fff803,0xfffffb10,0x7e43ffff,0xffffd83f,
    0x7fffec45,0x2203ffff,0xfffffffd,0x3ff6203f,0x03ffffff,0x3ee0bffe,
    0x13fea07f,0x3f733320,0x40ccccff,0xffffeeed,0x7fcc4eee,0x5fffffff,
    0xfffdddb0,0xf989dddf,0xffffffff,0x00fff805,0x9dff9000,0xfffff985,
    0xf105ffff,0xfff703ff,0x203ffdc7,0xff72fffa,0x2fffa80f,0x7ffffff4,
    0x3206ffff,0xfff5007f,0xbfffffff,0xffffffa8,0xf985ffff,0xffffffff,
    0x7fff40ff,0x6fffffff,0x5c0fffc4,0x7fe43fff,0x5ffff983,0xfa80fff7,
    0x100002ff,0xd8800bff,0xbefffffe,0x3fff6a00,0x2200beff,0xda8005ff,
    0x0befffff,0x3e60fff2,0xfd905fff,0x2003bfff,0x1dffffec,0xffffd900,
    0x2fff803b,0x2e07ffb8,0xfff802ff,0xffffffff,0x7ffff41f,0x86ffffff,
    0xefffffc8,0x3ffffa02,0x86ffffff,0xefffffc8,0x05ff8802,0x3ffea000,
    0xfffc884f,0x3e202eff,0xfff881ff,0x1013ff67,0x3ff69fff,0x27ffc404,
    0x3ffffffa,0x2206ffff,0xfff50009,0xbfffffff,0xffffffa8,0xf985ffff,
    0xffffffff,0x7fff40ff,0x6fffffff,0x440fffc4,0x7fe47fff,0x2bfffb03,
    0x7c404ffd,0x300004ff,0x440005dd,0x88000999,0x3ba60019,0x0cc40002,
    0x3607ff90,0x4c405fff,0x06620001,0x00198800,0x3ee0bffe,0x01bb207f,
    0x7ffffffc,0x741fffff,0xffffffff,0x0cc406ff,0xfffffe80,0x406fffff,
    0x74c00198,0x4c00002e,0x4c401cdc,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20059997,0x5c003ccb,0x5c0003cc,0xcca82ccc,
    0x6f54003c,0x2007b620,0x70003ccb,0x64c00799,0x80732e3c,0x3b620dea,
    0x0f332a01,0x99970000,0xb8f32605,0x799301cc,0xb800e65c,0x4c0003cc,
    0x2a00cccc,0x02cceecb,0x4ccccccc,0x21ee8801,0x3ba206ea,0x4c01baa1,
    0x01999999,0xccb8f326,0xa87ba201,0x8666406e,0x22003cc8,0x0000ceec,
    0x00000000,0xc8800002,0x00000cee,0x66440000,0x7ffec000,0xffff9003,
    0x3fff2009,0xffb0004f,0x7ffdc07f,0x93ffe005,0x7e406ffd,0x64004fff,
    0x2004ffff,0x4ffddffc,0xfb27ffc0,0xfffb80df,0xffb00005,0xdffc807f,
    0x7e404ffd,0x004ffddf,0x009ffff9,0x07bffe60,0x7fffff54,0xff100fff,
    0x01ffffff,0xff97ffd0,0xcbffe80d,0xff8806ff,0x00ffffff,0x3ff77ff2,
    0xcbffe804,0x7fcc06ff,0x000effbf,0x017ffffa,0x07ff9800,0x47ffb000,
    0x80001ffc,0x005ffffe,0x200bffe6,0xdff32ffd,0x2006ffe8,0xb001effd,
    0x0bff97ff,0xffcbffd8,0x77fec005,0x4ffe9801,0x6c9fff00,0x3ff607ff,
    0xb005ffcb,0x0bff97ff,0x1ffffe40,0xfb27ffc0,0xffd300ff,0xffd80009,
    0xfff9001e,0x3ff2007f,0xffb003ff,0x800bff97,0x2604fff9,0xffffffff,
    0xfff100ff,0x001fffff,0x3ffffff5,0xfffffa80,0xfff8801f,0x400fffff,
    0x003ffffc,0x3ffffff5,0xdffff300,0x47fcc001,0x88001ff8,0x4ffb9fff,
    0x1fff0000,0x0002fffc,0x3fe23fe6,0xffff9801,0xbffd802f,0x3fe20eff,
    0xcca800ff,0x8b32a003,0x99502cca,0x80166545,0x44003cca,0xea801ccc,
    0x407ba20d,0x332a2cca,0x51665402,0x65400599,0x1bd5002c,0x8800f744,
    0x50001ccc,0x95000799,0xcca80059,0x45995002,0x2e002cca,0x7ffc02cc,
    0xdba999cf,0x26666600,0x32200199,0x91000cdd,0x4c0019bb,0x01999999,
    0x80059950,0x000cddc8,0x00033322,0x00ff4bf5,0x6cfffc40,0x2e6001ff,
    0xb17fe61e,0xa8000dff,0x1007fa5f,0x3ffd3dff,0xefffe880,0x006ffe80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x00007fff,0x00000000,0x00000000,0x00000000,
    0xcff88000,0x88000ffc,0x06ff9fff,0xb87ffe60,0x2ffc42ff,0x33fe2000,
    0x76c00ffc,0x01bdb10d,0x100ded88,0x4ccb8199,0x5c2ccc80,0xcccccccc,
    0x0f32a3cc,0x65c2ccb8,0xcccccccc,0xccccb83c,0x43cccccc,0xccccccc9,
    0x59953ccc,0x2e399300,0xccc804cc,0x40b332a2,0x99973cc9,0x40599900,
    0x401cccca,0xccccccc8,0x4c1ccccc,0xcccccccc,0x333223cc,0xcccccccc,
    0x66664c1c,0x03cccccc,0xcccccca8,0x7fff50cc,0xccca8000,0xccc9801c,
    0x3ccccccc,0x073332a0,0x33333260,0x2e3ccccc,0xcccccccc,0x65c3cccc,
    0xcccccccc,0x66665c3c,0xa80009ac,0x0002ffff,0x7dd5fff1,0x0fffcc00,
    0xffa81dd7,0xffa80003,0x000002ff,0x3ea00000,0x3fee03ff,0x7ffff41f,
    0x26ffffff,0x3fa06ffc,0x7ffff44f,0x86ffffff,0xfffffffe,0x7fd46fff,
    0xffffffff,0x7009ff75,0x3ffea7ff,0x87ffee03,0xb80ffffc,0x7fff55ff,
    0x00fffdc0,0x80bffffb,0xfffffff9,0x542fffff,0xffffffff,0x3ffe65ff,
    0xffffffff,0x7fffd42f,0x05ffffff,0xffffffe8,0xdfff31ff,0x7fec0003,
    0xffa805ff,0xffffffff,0x3ffff605,0xffffa805,0x25ffffff,0xfffffffe,
    0x746fffff,0xffffffff,0x7ffec6ff,0x01efffff,0x00055440,0x003fff10,
    0x007ffe60,0x00017ffe,0x4000aa88,0x0abccb98,0x5e65cc40,0x2073260a,
    0x3fa07ffe,0xffffe85f,0x26ffffff,0x3fa06ffc,0x7ffff44f,0x86ffffff,
    0xfffffffe,0x7fd46fff,0xffffffff,0x7009ff55,0x3fff45ff,0xfc8bffd0,
    0xffb83fff,0xe81fffa5,0x7ffc05ff,0x7fcc07ff,0xffffffff,0x7ffd42ff,
    0x5fffffff,0x3fffffe6,0x42ffffff,0xfffffffa,0x7cc05fff,0xffffffff,
    0x37ffffe1,0xffff8001,0xfffa807f,0x5fffffff,0x1fffffe0,0x3ffffea0,
    0x3a5fffff,0xffffffff,0x7f46ffff,0xffffffff,0x7fffec6f,0x05ffffff,
    0x2a602aaa,0x332a602a,0x1001fffb,0x7fff9555,0xce855555,0x97300002,
    0x2e005799,0x3fffffff,0x3ffffee0,0x0ffee3ff,0x2e0bffea,0xaaa81fff,
    0xaaaeffea,0xe81bff22,0x555544ff,0x2aaaeffe,0xffeaaaa8,0x7d42aaae,
    0xaaaaabff,0x009ff51a,0x7fd45ff9,0x1fffb82f,0x43ffffe4,0x3fea5ffb,
    0x1fffb82f,0x3ffffea0,0x3332201f,0xfffccccc,0x5fffd41f,0x21aaaaaa,
    0xccccccc8,0x541ffffc,0xaaaabfff,0x7fe401aa,0x0aaacffe,0x3fffffea,
    0xffa800be,0x5401ffff,0xaaaabfff,0xfff501aa,0xfa803fff,0xaaaaabff,
    0x2aaaaa1a,0xaaaaeffe,0x7f555542,0x6c2aaaef,0xfdcaaeff,0xfff03fff,
    0x50fff705,0xffffffff,0x3fe2003f,0xffffffff,0x155306ff,0x980b32e2,
    0xffffffff,0xfffd102f,0x107fffff,0xfffffffd,0x81ffe47f,0xffe86ffe,
    0x0bffb005,0xfd037fe4,0x5ffd809f,0x05ffd800,0x4007ffd4,0xfc804ffa,
    0x437ff41f,0xffc85ffe,0x7fdc2fff,0x7437ff45,0x7fe405ff,0x0004fffd,
    0x2a13fff2,0x00000fff,0xf509fff9,0x7c0001ff,0x402ffdef,0xfffffffa,
    0x6ffe402f,0x7d404fff,0xfc8000ff,0x404fffdf,0x0000fffa,0x20017ffa,
    0x7ec05ffd,0xffffa85f,0xb82fff80,0x7ffe47ff,0x1fffffff,0xfffff100,
    0xdfffffff,0x3ee7ff60,0xa80dffff,0xffffffff,0xfffd81ff,0x83ecaace,
    0xaacefffd,0x13ff23ec,0xf717ffd4,0x3f6003ff,0x1bff205f,0x6c04ffe8,
    0xfd8005ff,0x7ffd405f,0x05ff9800,0x7d41ffc8,0x3ffee2ff,0xfffffc81,
    0x2a2ffdc6,0x3fee2fff,0x57ffc01f,0x30006ffd,0x3ea0dfff,0x980000ff,
    0xff506fff,0x3ea0001f,0x802ffcbf,0xffffffb8,0x2bffe02f,0x7d406ffd,
    0xff8000ff,0x406ffdaf,0x0000fffa,0x20017ffa,0x7ec05ffd,0x9fff505f,
    0xf705fff0,0x77ffd4ff,0x1fffb98a,0xf9555100,0x555557ff,0x3ff7ff60,
    0xa84fffff,0x7ffd41ad,0x06fffd44,0x6fffd408,0x27fe4100,0x7f4dffd0,
    0x3ff6005f,0x81bff205,0x7ec04ffe,0xffd8005f,0x07ffd405,0xd12ffcc0,
    0x407fe43d,0x3ffa6ffe,0xff9ff905,0x42ffdc5f,0x3ffa6ffe,0x47ffcc05,
    0x8000fffb,0xf501fffe,0xd00001ff,0x3ea03fff,0xfb0000ff,0x005ff91f,
    0x7ffffd98,0xf71fff30,0x7fd401ff,0x7fcc000f,0x00fffb8f,0x0003ffea,
    0x8005ffe8,0x7ec05ffd,0x17ffe05f,0x3ee0bffe,0x03bffe7f,0x0003fff1,
    0x8007ffe6,0xbbeffffd,0xc8007ffe,0x7ffec6ff,0x3fff6000,0x09ff9000,
    0x7d4fffd4,0x3f6001ff,0x1bff205f,0x6c04ffe8,0xfd8005ff,0x7ffd405f,
    0x25ff8800,0x3ff64ffb,0xa9fffa80,0xff901fff,0x7dcbff97,0x9fffa85f,
    0x5c01fffa,0x7fff16ff,0x3fffc800,0x003ffea0,0x07fff900,0x0007ffd4,
    0xffcb7fc4,0xfff30002,0x2dff703f,0x2a03fff8,0x5c000fff,0x7fff16ff,
    0x007ffd40,0x00bffd00,0xd80bffb0,0x3ff605ff,0xb82fff87,0x5fff37ff,
    0x003fff10,0x007ffe60,0x20efffd8,0x4000fffb,0x7ff47ffb,0x2fff4005,
    0x809ffb00,0x5ffedffe,0x02ffec00,0xfffffff9,0x809fffff,0xd8005ffd,
    0x7fd405ff,0xffffffff,0x7ecdff12,0xe81ff66f,0x05ffedff,0x3fe6fff2,
    0x20bff71f,0x5ffedffe,0x3a3ffe80,0x3e6005ff,0x7fd406ff,0xffffffff,
    0x37ffcc02,0x3ffffea0,0x702fffff,0x3fff27ff,0x7dc007ff,0x3ffe82ff,
    0xfa817ffa,0xffffffff,0x23ffe82f,0x3ea05ffe,0xffffffff,0x2fff402f,
    0x02ffec00,0xfc817ff6,0x82fff87f,0xfff57ffb,0x03fff101,0x07ffe600,
    0x40fffd80,0x5101fff9,0xfffdddb9,0x4004fff8,0x36004fff,0x7fd405ff,
    0x4001ffff,0x3f205ffd,0xffffffff,0x7ec04fff,0xffd8005f,0x7fffd405,
    0x22ffffff,0xffff16ff,0xfa81ff63,0x201fffff,0xbffb3ffc,0x7d417fee,
    0x401fffff,0x3f21fff8,0x3ffa007f,0x7ffd400f,0x2fffffff,0x007fff40,
    0x3fffffea,0xfd02ffff,0x3ffff21f,0x7fdc007f,0x0fffc41f,0x7d40fff9,
    0xffffffff,0x0fffc42f,0x7d40fff9,0xffffffff,0x2fff402f,0x02ffec00,
    0xfc817ff6,0x17ffc0ff,0xffbbffdc,0x03fff107,0x07ffe600,0x885ffd80,
    0xffc81fff,0x7fffffff,0x2002fffc,0x36005fff,0xffe805ff,0xfd8005ff,
    0x3fff205f,0xffffffff,0x2ffec04f,0x02ffec00,0x3fffffea,0x3fe2ffff,
    0x27ffff56,0x7ff407fe,0x7fe405ff,0xf71fff53,0x7fff40bf,0x7ffa805f,
    0x4017ffd4,0xa803fffc,0xffffffff,0x3ff202ff,0xfffa803f,0x2fffffff,
    0x3f25ff98,0x2ee5eeef,0x1ffff301,0x7d47ffa8,0xfff502ff,0x5fffffff,
    0x7d47ffa8,0xfff502ff,0x5fffffff,0x005ffe80,0x6c05ffd8,0x3ff205ff,
    0xb82fff87,0x0fff97ff,0x0007ffe2,0x000fffcc,0xff10bffb,0xffffc83f,
    0x47ffeccd,0x74006ffe,0x3fa006ff,0xfffa805f,0xffd8000f,0x81bff205,
    0x7ec04ffe,0xffd8005f,0x07ffd405,0xbfb6ff80,0x01bfadff,0x801ffff5,
    0x3ffa3ffc,0x2a05ffbc,0xd800ffff,0x4fff85ff,0x02fffcc0,0x000fffa8,
    0x005fff98,0x8001fff5,0x3ff22ffd,0xddfff902,0x07fffffd,0xfff0bffb,
    0x03ffea09,0xf85ffd80,0xfff504ff,0x7ff40001,0x5ffd8005,0xb02ffec0,
    0x5fff0fff,0x3eefff70,0xfff980ff,0xfff30001,0x2ffec003,0xf10fffc4,
    0xfff70bff,0x002fffd8,0x400bfff6,0xfd006ffe,0x3f6000bf,0x1bff205f,
    0x6c04ffe8,0xfd8005ff,0x7ffd405f,0x3effd000,0xfe8ffdbf,0x05ffe806,
    0x3ee3ffc8,0x405ffbff,0xff005ffe,0xfd5555bf,0xfffe80ff,0x1fff5000,
    0x1fffd000,0x03ffea00,0xabfff880,0xf902ffea,0xffffffff,0x37ffe09f,
    0x7ffeaaaa,0x001fff50,0x5556fffc,0xf507ffea,0x740001ff,0xfd8005ff,
    0x2ffec05f,0xff0bffd0,0x7fff987f,0xfd05fff5,0x260003ff,0x36002fff,
    0xfff885ff,0x207ffea1,0x7fd47ffc,0x541982ff,0x1982ffff,0x7401bffa,
    0xfb0005ff,0x37fe40bf,0xd809ffd0,0xfd8005ff,0x7ffd405f,0xf3ffd000,
    0xff5ff51f,0x0bffd00b,0xff87ff90,0x7405ffef,0xff9805ff,0xffffffff,
    0xfff901ff,0x7ffd4007,0x7ffe4000,0x3ffea003,0x3ffee000,0x02ffffff,
    0xffffffd5,0x3fe605bf,0xffffffff,0xfffa81ff,0xffff3000,0xffffffff,
    0x01fff503,0x02fff400,0x202ffec0,0xff505ffd,0x4bffd09f,0xf17fffe9,
    0x7fec4bff,0xf10001ff,0x7ec009ff,0x1fff885f,0xf90fffea,0xfffb0fff,
    0x09ffddff,0xddfffffb,0x37ff49ff,0x005ffe80,0x640bffb0,0x3ffa06ff,
    0x02ffec04,0x202ffec0,0xb000fffa,0x3e2df9ff,0xe805ffdf,0xffc805ff,
    0x7ffffe43,0x02fff405,0x7fffffe4,0x83ffffff,0x4005fff9,0x2000fffa,
    0x4005fff9,0x2000fffa,0xfffffffe,0x4cc402ff,0x7e401fff,0xffffffff,
    0xffa83fff,0xfff9000f,0xffffffff,0x1fff507f,0x2fff4000,0x02ffec00,
    0x3a217ff6,0xffd80fff,0xfffffdef,0x37bfff27,0x01ffffff,0x3bfffe00,
    0xffb04cbb,0x43fff10b,0xebcffff8,0xd887ffff,0xffffffff,0xffffd884,
    0x3fe4ffff,0xbffd006f,0x17ff6000,0x3a06ffc8,0x7fec04ff,0x5ffd8005,
    0x007ffd40,0x23ffffd8,0x805ffffd,0xfc805ffe,0x7fffc43f,0x2fff405f,
    0x556fff40,0x6fffaaaa,0x99afffe8,0x54099999,0x3a000fff,0x9999afff,
    0x7fd40999,0xdff3000f,0x5ffb3333,0x01bfe200,0x2aab7ffa,0x86fffaaa,
    0xd000fffa,0x55555bff,0xf50dfff5,0x740001ff,0xfd8005ff,0x2ffec05f,
    0x07ffff51,0x3fffffe6,0x3a27ffaf,0xdcffffff,0x2a0001ff,0x6fffffff,
    0xf10bffb0,0xfffc83ff,0x7ffcffff,0x3ffffaa0,0x3faa02df,0x322dffff,
    0xffd004cc,0x3bbb600b,0x4eeeffff,0xfe81bff2,0x7f776c4f,0x84eeefff,
    0xffffeeed,0x7fd44eee,0xffffffff,0x87ffff25,0x804ffffb,0xfc805ffe,
    0xffffd83f,0x02fff405,0xc807ffe2,0x3fee0fff,0xffffffff,0x7ffd43ff,
    0x5fffffff,0x3fffffee,0x43ffffff,0xfffffffa,0x3ff25fff,0xeeeffc83,
    0x07ff301e,0x201fff88,0x7d40fffc,0xffffffff,0x03fff15f,0x2a07ffe4,
    0xffffffff,0x7ff405ff,0xfeeed805,0x44eeefff,0xfffffffd,0x7cc05fff,
    0xfff1efff,0x3ffffd88,0x80003ffb,0x5fffffea,0xf10bffb0,0xfff903ff,
    0x01ffe3df,0x44000cc4,0x3a000019,0xffd005ff,0xffffffff,0xd037fe4d,
    0xfffe89ff,0x6fffffff,0xffffffe8,0x7d46ffff,0xffffffff,0x1bfff25f,
    0x009ffff1,0xf900bffd,0xffff307f,0x05ffe80b,0x2a03ffdc,0x3fee2fff,
    0xffffffff,0x7ffd43ff,0x5fffffff,0x3fffffee,0x43ffffff,0xfffffffa,
    0x3ffe5fff,0xfffffc80,0x01ff702f,0x5407ffb8,0x7fd42fff,0xffffffff,
    0xa80fff75,0x7fd42fff,0xffffffff,0x02fff405,0x7ffffff4,0x7ec6ffff,
    0xffffffff,0x00262002,0x00003310,0x01333100,0x7c42ffec,0x026601ff,
    0x00000000,0xbffd0000,0x3ffffa00,0x26ffffff,0x3fa06ffc,0x7ffff44f,
    0x86ffffff,0xfffffffe,0x7fd46fff,0xffffffff,0x213fff25,0xe803fffe,
    0xffc805ff,0x0bfffb03,0x6c05ffe8,0x7fc404ff,0x3fffee4f,0xffffffff,
    0x7ffffd43,0x2e5fffff,0xffffffff,0x7d43ffff,0xffffffff,0x20dff55f,
    0x2ffffffc,0xfb003310,0xfff8809f,0x7ffffd44,0xfb5fffff,0xfff8809f,
    0x7ffffd44,0x405fffff,0xfe805ffe,0xffffffff,0x7fffec6f,0x0000acde,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000220,0x00008808,
    0x000aa000,0x00000062,0x00220220,0x00000000,0x2aa80000,0x00440440,
    0x00000188,0x00000000,0x00000000,0x4c000000,0x00000009,0x10110000,
    0x00000001,0x00000000,0x00157100,0x03fffe88,0x87fd93fe,0x003fffe8,
    0x01bff200,0x43fec9ff,0x303effd8,0x7ff509ff,0xff017fdc,0xd003fec9,
    0x3a600bff,0x40723fff,0x3ff65ffa,0xb8ffea01,0xffd802ff,0x3ff20005,
    0x3ffa20ef,0xf980003f,0x8ffea04f,0x3a602ffb,0x00723fff,0x0002ffec,
    0x883bfff2,0x0003fffe,0x6c02ffec,0xdba8dfff,0xafffc401,0x981effe8,
    0x03fffffe,0x0000bffe,0x2a017ff6,0x0bfee3ff,0x002ffec0,0x03bfff20,
    0x0efffc80,0x89ffee00,0x1000effe,0xd803fffd,0x05ffdcff,0x000ffff2,
    0x7ff6664c,0x9ffb03cf,0xffb0bffb,0xdfd09fff,0xff9bffa0,0x33ff606f,
    0xf1005ffd,0xe8801fff,0xfeefffff,0xbbff500f,0xffe805ff,0xb01bffe6,
    0x000bffff,0x6409fff9,0x40003fff,0x3fa01ffb,0x41bffe6f,0xefffffe8,
    0x7ec00ffe,0x90005fff,0x7e409fff,0xfb0003ff,0xf880bfff,0x2fffffff,
    0xe8affec0,0xffb80eff,0x05ffffff,0x80005fff,0x405ffffd,0x3ffe6ffe,
    0xffffd806,0xfff90005,0xfffc8009,0x7ffb8004,0x00bfffee,0x0037ffa2,
    0x3fffffe6,0x1fffd400,0x7fffd400,0xf305ffff,0x981fffff,0xb8ffb3ff,
    0xbffb01ff,0xf3027fec,0x001fffff,0xd803fffc,0xffffeaae,0x7fffdc03,
    0x25ffd802,0x3f204ffd,0x004ffbaf,0x200bfff2,0x2003fffa,0x06ffcca9,
    0xffb2ffec,0x75576c09,0x6403ffff,0x04ffbaff,0x017ffe40,0x001fffd4,
    0x3feebff2,0xfffffd04,0x6403dfff,0x13ff65ff,0x55ffffcc,0xff82fffe,
    0x3f20002f,0x204ffbaf,0x3ff65ffd,0x5d7fe404,0x7e4004ff,0x7e4002ff,
    0xf70002ff,0x7fffdcff,0x03eec802,0x06776440,0x01eed880,0x7ffffd40,
    0x32205fff,0xffb80cee,0x3e21ff70,0x82ee204f,0xec8803c8,0x6cc000ce,
    0xb702001d,0x3bae0059,0x41771003,0x3baa03c8,0x200bbae2,0x2000deea,
    0x4401eed8,0xeffffffd,0x882ee200,0x6dc0803c,0x1775402c,0x2a005dd7,
    0x22000dee,0xd5001eed,0x41775c5d,0xffffffff,0x72f74c00,0x7fe407dd,
    0xf84ffe87,0xd50002ff,0x81775c5d,0x0f220bb8,0x75c5dd50,0xbdd5002e,
    0xdeea8001,0x3fee0000,0x03bffe27,0x00000000,0xfc800000,0x2e00006f,
    0x21ff50ff,0x00000ffd,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffffff9,0x00000eff,0x00000000,0x00000000,0x566c0000,0x005fffb8,
    0x2fff4000,0x7fc27ff4,0x0000002f,0x00000000,0x00000000,0x11ffee00,
    0x73100177,0x2a015799,0x2aa980aa,0x06f32a20,0x6e65d440,0x65cc06ff,
    0xffa82bcc,0x3feeffb2,0xcccb9802,0x9951002b,0x65440037,0x973001bc,
    0x22005799,0x5401bcca,0x2aa980aa,0x54c05554,0x4055542a,0xaaa82aa9,
    0x362aa980,0xfff9bfff,0x654c06ff,0x2a6001bc,0x26001bcc,0x2001bcca,
    0x001bcca9,0x006f32a6,0x15e665cc,0x7ffe5440,0xcca9802f,0x3fff801b,
    0x7c17ffd4,0x379712ff,0x3332a600,0x654401bc,0x2a2001bc,0x22001bcc,
    0x2001bcca,0x1bcccca9,0x6e65d440,0x2e0007ff,0x3fffffff,0xf705fff0,
    0x3ffee0ff,0x3200efff,0xffffffff,0xfffff306,0xff85ffff,0xff8bffef,
    0x7fffcc05,0x202fffff,0xeffffffb,0x7fffdc00,0xff300eff,0x5fffffff,
    0x7ffffdc0,0x5fff00ef,0xff8fff70,0x47ffb82f,0xffb82fff,0xb82fff87,
    0x5fff57ff,0x3fff7fe6,0xffffd881,0x36201eff,0x1effffff,0x3ffff620,
    0x36201eff,0x1effffff,0x3ffff620,0xff301eff,0x5fffffff,0xfffff910,
    0x7ec40dff,0x01efffff,0xff98bffe,0x95fff05f,0x409fffff,0xffffffd8,
    0x3ffee05f,0x5c00efff,0x0effffff,0x7ffffdc0,0x3f6200ef,0x05ffffff,
    0x3fffffee,0xe88007ff,0xffffffff,0x705fff03,0xfff90fff,0x81ffffff,
    0xffffffe8,0xff506fff,0xffffffff,0xa7ffecc3,0x7d400ffd,0xffffffff,
    0xffffc81f,0x900fffff,0xffffffff,0xffff501f,0x03ffffff,0xfffffff9,
    0x5fff01ff,0xff8fff70,0x47ffb82f,0xffb82fff,0xb82fff87,0x4dff97ff,
    0x3ffe8ffc,0x7fffffc4,0xf881ffff,0xffffffff,0xffff881f,0x81ffffff,
    0xfffffff8,0xff881fff,0xffffffff,0xfffffa81,0x221fffff,0xfffffffe,
    0xfff882ff,0x1fffffff,0x3e25fff0,0x3ffe05ff,0xfffffffe,0xffffe884,
    0xf905fffe,0xffffffff,0x3ffff201,0x900fffff,0xffffffff,0xfffd101f,
    0x10bfffdf,0xfffffffd,0xfb000fff,0xd9559dff,0x20bffe07,0x7fcc7ffb,
    0xbffd30cf,0x89cfffc8,0xb506ffd9,0x4fffa835,0x5ff50a88,0xa835b500,
    0x7fcc4fff,0xbffd30cf,0x219fff30,0xda85ffe9,0x27ffd41a,0x4c33ffe6,
    0xfff85ffe,0x7c7ffb82,0x7ffb82ff,0x7dc17ffc,0x82fff87f,0x9ffb7ffb,
    0x5ffcb7fc,0x5d6fffec,0xfd86ffff,0xfffbadff,0xdfffd86f,0x86ffffba,
    0xfbadfffd,0xffd86fff,0xffffbadf,0x541ada86,0x3ff24fff,0xfff989df,
    0xadfffd86,0xf06ffffb,0x1bff25ff,0x5dfffff0,0xb81ffff7,0x82983fff,
    0xd30cfff9,0xfff30bff,0x17ffa619,0x4c33ffe6,0xffb85ffe,0xfc82983f,
    0xfc989dff,0x7fd4007f,0x3e0100df,0x7ffb82ff,0x7d42fff4,0x9fff30ff,
    0x000dff90,0xf101bff2,0x320000bf,0x2fff46ff,0x3a07ffd4,0xfffa85ff,
    0x37fe4000,0x3ea17ffa,0x17ffc0ff,0x3fe3ffdc,0x47ffb82f,0xffb82fff,
    0xb82fff87,0x27ffd7ff,0xdff73ff9,0x6427ffd4,0x3fea2fff,0x2fffc84f,
    0x3213ffea,0x3fea2fff,0x2fffc84f,0x3213ffea,0x64002fff,0xbfff36ff,
    0x541fffb0,0xffc84fff,0xd2fff82f,0xfff80bff,0x1fffd44f,0xd001fff6,
    0xfff50bff,0xa85ffe81,0x7ff40fff,0x40fffa85,0x26007ffd,0xffb84fff,
    0x6c0e6cc7,0xf8000fff,0x7ffb82ff,0x2207ffe2,0xfff71fff,0x00dff901,
    0xb01ffee0,0x200001ff,0x3fe27ffb,0x1fff881f,0x2207ffe2,0x5c001fff,
    0x3ffe27ff,0x41fff881,0xffb82fff,0x5c17ffc7,0x17ffc7ff,0x7fc3ffdc,
    0xd7ffb82f,0x43ff27ff,0x3ff26ffc,0x4fff880f,0x2203fff2,0x3ff24fff,
    0x4fff880f,0x2203fff2,0x3ff24fff,0x4fff880f,0xbbffdc00,0xffa80fff,
    0x03fff22f,0x3e13ffe2,0x3fffb2ff,0xf82fffc0,0x7ffe44ff,0xfff8800d,
    0x21fff881,0xf881fff8,0x3ffe21ff,0x41fff881,0x800dfffc,0xfb80fffb,
    0x3fffe67f,0x002fff40,0xfb82fff8,0x3bffe67f,0xfffeeeee,0x320dff93,
    0x654406ff,0x07ffeeed,0x0544bfea,0x776e5440,0x3fe67ffe,0xfeeeeeef,
    0x3ffe63ff,0xffeeeeee,0xdb95103f,0x7ccfffdd,0xeeeeeeff,0x7ffc3fff,
    0x7c7ffb82,0x7ffb82ff,0x7dc17ffc,0x82fff87f,0x9ff97ffb,0x5ffd97fe,
    0xfe817ff6,0x817ff65f,0x3ff65ffe,0xd97ffa05,0x3ffa05ff,0xe817ff65,
    0xb95105ff,0x32fffddd,0xfff306ff,0xd02ffec7,0x5fff0bff,0x40ffffea,
    0xffd02fff,0xfffffa8b,0xfff300be,0xffdddddd,0x77ffcc7f,0xfffeeeee,
    0x3bbffe63,0x3fffeeee,0x77ffffd4,0x0dff900b,0xffb9ffee,0x27ffc3ff,
    0x82fff800,0x3fee7ffb,0xffffffff,0x0bffd3ff,0xfc81bff2,0xffffffff,
    0x36bff107,0xf901dfff,0xffffffff,0x7ffffdcf,0x3fffffff,0x3fffffee,
    0x83ffffff,0xfffffffc,0x3ffee7ff,0xffffffff,0x417ffc3f,0x7ffc7ffb,
    0x7c7ffb82,0x7ffb82ff,0xfb82fff8,0xf5dff77f,0x8fffe27f,0x3f604ffe,
    0x813ffa6f,0x3ffa6ffd,0xe9bff604,0x3ff604ff,0xd813ffa6,0xfffc86ff,
    0xd7ffffff,0x3fe20bff,0x813ffa3f,0xfff86ffd,0x13ffff22,0x7ec0bffe,
    0xffffb86f,0x7dc0dfff,0xffffffff,0x3fee3fff,0xffffffff,0x3ffee3ff,
    0xffffffff,0xffffb83f,0x7f40dfff,0x4fff705f,0x7c2ffffa,0xff0005ff,
    0x4fff705f,0xccccfffb,0xfd1ccccc,0x1bff20bf,0x66ffffe4,0xfb07ffec,
    0xffdff91f,0xbffff90d,0x5cfffd99,0xcccccfff,0x3ee1cccc,0xccccccff,
    0x7fe41ccc,0xffeccdff,0x333ffee7,0x1ccccccc,0x7dc17ffc,0x417ffc7f,
    0x7ffc7ffb,0xf87ffb82,0x7ffb82ff,0x1ffffff3,0xfe83fff6,0x97ff605f,
    0x3f605ffe,0x817ffa5f,0x3ffa5ffd,0xe97ff605,0x3ff605ff,0x6ffffe45,
    0xfd7ffecc,0x3ffe20bf,0xd817ffa3,0x2fff85ff,0x21ffffe4,0xffd02fff,
    0x3fff220b,0x3ee0ffff,0xccccccff,0x3fee1ccc,0xcccccccf,0x3ffee1cc,
    0xcccccccc,0xfff9101c,0x7f41ffff,0x8fff705f,0xffe85ffd,0x5fff0006,
    0x7d4fff70,0x3f6000ff,0x0dff906f,0xf70bfff1,0x27ff50ff,0x43ff54ff,
    0xfb85fff8,0x03ffea7f,0x01fff500,0x85fff880,0x3fea7ffb,0xfff8000f,
    0x7c7ffb82,0x7ffb82ff,0x7dc17ffc,0x82fff87f,0x3ff67ffb,0xfffeceff,
    0xd037fec3,0x37fec9ff,0x7ec9ffd0,0x93ffa06f,0x3fa06ffd,0x81bff64f,
    0x3fe24ffe,0xb7ffb85f,0x3fe60dff,0x81bff62f,0xfff84ffe,0x47fffa82,
    0xfff02fff,0xfff93009,0x07ffd49f,0x03ffea00,0x01fff500,0x3ff26000,
    0x1bff64ff,0x0cc3ffdc,0x002fffd8,0x7cc3fff8,0x3ffe27ff,0x1fff2002,
    0x2a1bffe6,0xffc81fff,0xf8affc47,0x545ff12f,0xffc81fff,0x00bffe27,
    0x005fff10,0xc81fffa8,0x3ffe27ff,0x3fff8002,0x3e3fffcc,0x7ffcc3ff,
    0x261fffc7,0xfff87fff,0x23fffcc3,0xfffffffd,0x0fffc84f,0x323fff98,
    0xff980fff,0x03fff23f,0xfc8fffe6,0xfff980ff,0x203fff23,0x3ea3fff9,
    0x7ffc81ff,0xf901fff9,0x7ffe41ff,0x83fff980,0xff902fff,0x417ffc1f,
    0x2002fffa,0x3e25fff9,0x7c4002ff,0x7c4002ff,0x400002ff,0x3f25fff9,
    0x7ffc40ff,0x7ffd4007,0xfd01982f,0x7fff4cbf,0x007fff47,0x264fffa8,
    0xfa86fffe,0x7ffe43ff,0xf887fe47,0x545ff12f,0x7fe43fff,0x07fff47f,
    0x03fffa00,0x43fffa80,0x7f47fffc,0x7f4000ff,0x3fffa65f,0xd32fff47,
    0xffe8ffff,0x1ffffa65,0xfe997ffa,0xfffe87ff,0xff302eff,0x7ff445df,
    0x3bffe60f,0x83fffa22,0x222efff9,0x3e60fffe,0x3fa22eff,0x3ffe60ff,
    0x3fffa22e,0x90fffea0,0x3feaffff,0x3ffe61df,0x177ffcc6,0xf01fffd1,
    0x3fee05ff,0x2217ffc7,0x00c0fffe,0xfe89fff1,0x7f4000ff,0x7f4000ff,
    0x00c000ff,0x7d49fff1,0x3ffa63ff,0x837fcc7f,0xeefffffd,0xfffb04ff,
    0xffffffbd,0xbcffff98,0x7fc5ecca,0xffffdfff,0xffff886f,0x7ffffebc,
    0xbff0ffea,0xff887fee,0xfffebcff,0x7fffcc7f,0x85eccabc,0xabcffff9,
    0x7fc45ecc,0xfffebcff,0x7fffcc7f,0x85eccabc,0xffdefffd,0x7fec7fff,
    0xfffffdef,0x6f7ffec7,0xd87fffff,0xfffdefff,0x6ffc47ff,0xfffb001a,
    0x7ffffbdf,0xbdffffb0,0xfb07ffff,0xfffbdfff,0xffffb07f,0x07ffffbd,
    0xfbdffffb,0xff887fff,0xfffebcff,0x3ffffa7f,0x82ffffdd,0xfdeffffd,
    0xfff03fff,0x3ff2f325,0x677ffc6f,0x82ffffcb,0xecaabdfd,0x7fcc2fff,
    0xeccabcff,0xcffff985,0x985eccab,0xcabcffff,0xbdfd85ec,0x2fffecaa,
    0x7ef7fff4,0x7dc7ffff,0xfffb103f,0x209fffff,0xfffffff9,0xffb87ffa,
    0x5fffffff,0x7fffffd4,0xf906ffaf,0xf9ffffff,0x21bfa2ff,0x85fffffc,
    0xfffffffc,0xffb87ffc,0x5fffffff,0xffffff70,0xff90bfff,0xff9fffff,
    0xfffff70f,0xf30bffff,0xf5ffffff,0xffff98ff,0x47ffafff,0xfffffff9,
    0xff987ffa,0xffafffff,0x0017fd47,0x3fffffa2,0xfd104fff,0x9fffffff,
    0x3ffffa20,0xd104ffff,0xffffffff,0x3fffa209,0x904fffff,0x9fffffff,
    0x7ffccfff,0x03ffffff,0xffffffd1,0x7ffc09ff,0xffffffd2,0xffffff81,
    0xfb03ffff,0xffffffff,0x3fffee09,0x705fffff,0xffffffff,0x3ffee0bf,
    0x85ffffff,0xfffffffd,0xfffa84ff,0x7ffaffff,0x2a007fec,0x2dfffffe,
    0x3bfffe60,0x3660fff1,0x3effffff,0x9efffea8,0x3f206ff8,0xfff1efff,
    0x75c07ff2,0xff900dff,0x1ffe3dff,0x7ffffecc,0x3f6603ef,0x03efffff,
    0x23dffff9,0xffb307ff,0x207dffff,0xf1effff9,0xffff30ff,0x261ffe3d,
    0xff1effff,0x3fffe60f,0xfd8fff1e,0x3fee0007,0xb801efff,0x01efffff,
    0xefffffb8,0xffffb801,0xffb801ef,0x6401efff,0xff1effff,0xffffd88f,
    0xffb802ef,0x7c01efff,0xffffd2ff,0xfffb7019,0x6401bfff,0xefffffff,
    0x7ffecc02,0x2603efff,0xeffffffd,0x3fff6603,0xfc83efff,0x2effffff,
    0x3bfffa60,0x5fe8fff1,0x000cc400,0x98000262,0x9880099a,0x02660000,
    0x00088000,0x4c000133,0x4c00099a,0x3300099a,0x4d4c0001,0x01310009,
    0x00013100,0x22000131,0x00000009,0x10001988,0x26200033,0x03310001,
    0x00066200,0x22000266,0x98800099,0x09980001,0x00266200,0x01353310,
    0x01335300,0x0099a980,0x004cd4c0,0x004d4cc4,0x26001310,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2001a980,0x00000018,0x00000000,0x99999999,0x1bcca880,
    0x93000000,0x90007bdb,0x09999999,0x804ccc40,0x02bcccb9,0xbcccca98,
    0x06206201,0x00000000,0x00000000,0x00000000,0x8aaa0000,0xc801bcc9,
    0x04cccccc,0x00000310,0x4bff5000,0x3fe01ffd,0x0001ff64,0x0006ffa8,
    0x4403fff0,0xffd15fff,0x7fe4003d,0x3ffa20ef,0x3e60003f,0x7f4c02ff,
    0xff0723ff,0x4000179d,0xd80efffc,0xf0005fff,0x0fffffff,0x7fffffdc,
    0x537ec00e,0x7fdc03ff,0x000effff,0x3ffffffe,0x7ffe4407,0x3fe66fff,
    0x2fffffff,0xfffffd88,0xbff305ff,0x3e627fcc,0x01ffffff,0x7ffcc000,
    0x2ffec01f,0xffffff70,0x7e40001f,0xfff70eff,0x5001ffff,0x0ffecbff,
    0xfffdbffc,0x7ffc04ff,0x4c07ffff,0x0723fffe,0x00027ff4,0xffbbff50,
    0xdcffd805,0xffb805ff,0xf90fffff,0xf300007f,0x5ffd80df,0x001dffd1,
    0x9027ffe4,0x20007fff,0x2205fffc,0xeefffffe,0x3fffe0ff,0x64000cff,
    0x7dc04fff,0xff8005ff,0x907fffff,0xffffffff,0x6ffdc01f,0x3ea07ffc,
    0x6fffeeff,0x3ffffe00,0x3fea07ff,0x26ffffff,0xfffffffa,0x3fa21fff,
    0x5fffefff,0x321fff90,0x3fe60fff,0x001fffff,0x37ffe600,0x7fffec00,
    0xfffff705,0x320001ff,0x7fdc4fff,0x000fffff,0x5ffbbff5,0x3ff7ffe0,
    0x202fffff,0x7fffffff,0x3ffffa20,0x2a0ffeef,0xaaadfffa,0x7fdc0000,
    0xff9802ff,0xb800ffff,0x0fffffff,0x91001ffd,0x3ffb8399,0xfd97ff20,
    0x7fe4004f,0xfffa802f,0xfffa8003,0x75576c04,0x7fc3ffff,0x00efffff,
    0x005fff90,0x0017ffa6,0x9fff3000,0x017ffa61,0x05fffffd,0xff527ff4,
    0x4000001f,0xacdffff8,0x06b6a5dc,0x7dc9fff5,0x502983ff,0x37fdcfff,
    0x3ff73322,0xf300001f,0xff9007ff,0x9309ff75,0x01fffb99,0x05fff900,
    0xfffb9993,0x7ffdc001,0x3fffe02f,0x5fffcaef,0x5db00000,0x87ffffd5,
    0xffffffff,0xeb80002f,0x3b22003e,0x993000ce,0xf11fffb9,0x3fe600bf,
    0x807fec2f,0x3bae5ee9,0x6f754003,0x3bb62000,0x04eb8001,0x82cdb810,
    0xffffca99,0x0deea805,0x03eec800,0x3ffa0000,0x00fffa85,0x100ef6dc,
    0xfff81fff,0x32000002,0x80001fff,0x3ff66ffc,0x83950007,0x7fcc00cb,
    0xd880001f,0xeea801ee,0x500bbae2,0xa8001fff,0xf5000dee,0xeb8001ff,
    0x7fffc03e,0x0037fec4,0xcdb81000,0xffffff82,0x00002fff,0x00000000,
    0xdd31fff5,0x3ffe6005,0x0002f6c2,0x00000000,0x00000000,0x3fffe200,
    0x00000001,0x3332e600,0x1fff882b,0x001fff88,0x87ffe200,0x2000fff8,
    0x201bcca8,0x00004fff,0x7fe4fff7,0x000000df,0x00fffcc0,0x00000000,
    0x01fff500,0x3ea00000,0x000000ff,0x3ee17ffe,0x6654c07f,0x3000001b,
    0x3339ffd3,0xca980001,0x4c01bccc,0x0001bcca,0x0001fff5,0x000bffe6,
    0x55301555,0x99973005,0x32e60057,0x22002bcc,0x40abccb9,0xaa980aaa,
    0x1fffd402,0xb98b332a,0x555100bc,0xf3005555,0xffffffff,0x777ffcc5,
    0x3fffeeee,0x55555544,0x23fff802,0x2e006ffc,0x0effffff,0x0017ffc4,
    0x3bbb72a2,0x3ffea7ff,0x2200beff,0x02aaaaaa,0x007ffe60,0x2aaaaa20,
    0xaaa8802a,0x2a002aaa,0x50d70fff,0x0de64c55,0x007ffd40,0xbcc98aaa,
    0x705fff01,0x3f620fff,0x01efffff,0x5e64c555,0x00fffa01,0x7ffec400,
    0xb105ffff,0x3dffffff,0x0fffa800,0x5fff3000,0x82fff800,0x3e607ffb,
    0xffffffff,0xfffff302,0xb805ffff,0x3fffffff,0x7dc17ffc,0x7ffcc07f,
    0x3fffffa4,0x0effffbe,0xffffffb8,0x7ffd400f,0x1fffffff,0xfffffff7,
    0xb87fffff,0x0fffffff,0x6d7ffe40,0xf9001fff,0xffffffff,0x00fffcc1,
    0xffffff90,0xffb8ffff,0x80dfffff,0xfffffffb,0x3fff3000,0xffff7000,
    0xfb801fff,0x00ffffff,0xff9fff50,0x3f6fff0d,0x5404ffff,0x7fc00fff,
    0x9fffffb7,0xf705fff0,0xffff10ff,0x03ffffff,0x3fff6fff,0x7ffd04ff,
    0x009dfd91,0x77ffff44,0xff885fff,0xffffffff,0x3ffea001,0xfff30000,
    0x2fff8005,0x2a07ffb8,0xffffffff,0xfffa81ff,0x1fffffff,0xfffffe88,
    0x7ffc3fff,0x407ffb82,0x3fa2fffa,0xffffffef,0xffb85fff,0x400fffff,
    0x7fd41ada,0x99fff74f,0x39999999,0xffffffb8,0xfffe800f,0xf3001fff,
    0x3fa619ff,0x07ffe65f,0x6ffffe40,0x887ffecc,0xfffffffc,0x7ffffdc0,
    0xff3000ff,0xff70003f,0x801fffff,0xfffffffb,0xffff5000,0xbfff0dff,
    0x5fffffff,0x007ffd40,0x3fff7ffe,0x7fc2ffff,0x87ffb82f,0xfbadfffd,
    0xfff86fff,0xfffffffd,0xfebffe82,0x7006ffff,0x05307fff,0xf75bfffb,
    0x5400dfff,0x30000fff,0xf8005fff,0x7ffb82ff,0xf506b6a0,0x35b509ff,
    0xd84fffa8,0xcaacefff,0x417ffc3e,0xf5107ffb,0x10e41fff,0xfd13fffd,
    0xcaaa881f,0x40000fff,0xfff56ffc,0x55510001,0x7001fff9,0x0019ffff,
    0x7d42fff4,0x3fff30ff,0x0bfff100,0xc980fff7,0x5444ffff,0x00fffcaa,
    0x503fff30,0x2aaa2059,0x4400fffc,0x0fffcaaa,0xfffff900,0xfffff019,
    0x0bfff95d,0x2007ffd4,0xcaefffff,0x7ffc5fff,0x547ffb82,0xffc84fff,
    0x7ffffc2f,0x85fffcae,0xfffffffe,0xfd802fff,0x3fea007f,0x2fffc84f,
    0x01fff500,0x0bffe600,0x705fff00,0x64000fff,0xfc8006ff,0x6fffd46f,
    0x2fff8100,0x7f47ffb8,0x803fffff,0x3fee4ffb,0x07ffd402,0x5ffee000,
    0x0002fff8,0x400fffa8,0x24fffffb,0xff883cc9,0x1fff881f,0x5003fff3,
    0xff903fff,0x3ffe600f,0x07ffd405,0x41fff980,0xa804fffc,0x54000fff,
    0x7dc00fff,0x200cffff,0x7ec4ffff,0x3ffea06f,0x27fffc00,0xfff1bff6,
    0xc8fff705,0xff880fff,0x27fffc4f,0x3fa1bff6,0xfff32fff,0xbfff900b,
    0x1fff9001,0x009fff10,0x0003ffea,0x0017ffcc,0x3ee0bffe,0x3ee0007f,
    0xffb8007f,0x007ffec7,0xf705fff0,0xffffd8ff,0x7ff5002f,0x2a01ffcc,
    0x51000fff,0xfffdddb9,0x0007fff4,0x803ffea0,0xfffefffa,0xf309ff72,
    0xddddddff,0x3fe67fff,0xfffa801f,0x33fffe43,0x027ffc40,0x4003ffea,
    0x3e21fff9,0x5400ffff,0x54000fff,0xff100fff,0x801fffff,0xffb85fff,
    0x03ffea07,0xf70bfff0,0x82fff8ff,0x7fec7ffb,0xf17ffa05,0xfff70bff,
    0xd85fffd0,0xffa806ff,0xb00befff,0x7ff40bff,0x1fff5005,0x3ffe6000,
    0x17ffc002,0x4403ffdc,0xffeeedca,0x3b72a207,0x7f47ffee,0x7ffc005f,
    0x6c7ffb82,0xba802dff,0xdccdffdc,0x7fd404ff,0xfffc800f,0x27ffffff,
    0xabcffff9,0xfa805ecc,0x3ffa00ff,0xf93fffd4,0xffff707f,0xffffffff,
    0x007ffe67,0x2f3fffe2,0x367ffffe,0xfecaabdf,0x7fd402ff,0xfff3000f,
    0x7ffffc43,0x07ffd401,0x03ffea00,0x7ff7ffc4,0x17ffc00f,0xf503ffdc,
    0xfff801ff,0x7c7ffb82,0x7ffb82ff,0xfb027ff4,0x82fff8df,0xffe87ffb,
    0x006ffc84,0xfffffff7,0x04ffe81b,0x5401bff6,0x30000fff,0xf8005fff,
    0x7ffb82ff,0x7ffffe40,0xf907ffff,0xffffffff,0x004fff8f,0x7dc17ffc,
    0x01ffe47f,0x3fffffa6,0x4fffffff,0x007ffd40,0x337ffff2,0x7dc7ffec,
    0xffffffff,0x0fffa805,0x221fff50,0x2ffeefff,0xcccfffb8,0x31cccccc,
    0x32003fff,0xcfffffff,0x3fff67ff,0x04ffffff,0x000fffa8,0xfe83fff3,
    0xffa806ff,0x7fd4000f,0x519f100f,0xff801fff,0x07ffb82f,0xf003ffea,
    0xfff705ff,0xfb82fff8,0x02fff47f,0xfff8bffb,0xe87ffb82,0x6ffc84ff,
    0x3fff2200,0x3fa0ffff,0x17ff605f,0x007ffd40,0x02fff980,0x5c17ffc0,
    0x3ff207ff,0xffeccdff,0xdffffc87,0x7c7ffecc,0x7fc005ff,0x47ffb82f,
    0x3e202ffc,0xdffdcdff,0x402ccccc,0x2200fffa,0xffb85fff,0xffffd987,
    0xfa803eff,0xfff700ff,0xffffff98,0x00fffa80,0x007ffe60,0x1effffc8,
    0x7ffe4fff,0x002effff,0x2001fff5,0x6c41fff9,0xffa800de,0x7fd4000f,
    0xffa8200f,0x17ffc00f,0xf503ffdc,0xfff801ff,0x7c7ffb82,0x7ffb82ff,
    0xfd037fec,0x82fff89f,0xffe87ffb,0x006ffc84,0x9ffff930,0xfd037fec,
    0x3fea009f,0xff30000f,0xfff8005f,0x107ffb82,0xff70bfff,0x85fff88f,
    0x7ff47ffb,0x17ffc006,0x2623ffdc,0x93fee009,0x50002ffa,0x7d401fff,
    0x7ffc81ff,0x01ffecc0,0x201fff50,0xffa87ffb,0xfff104ff,0x7ffcc005,
    0x20998001,0x99883ffb,0x7d40009a,0xff3000ff,0xf500003f,0xfa8001ff,
    0xff5000ff,0x2fff801f,0x2a07ffb8,0x7fc00fff,0x07ffb82f,0x3237fec0,
    0xff980fff,0x417ffc3f,0xffe87ffb,0x006ffc84,0x92fffcc0,0xff301fff,
    0x3fea007f,0xff30000f,0xfff8005f,0x83fffcc3,0xfc81fffa,0x0fffd47f,
    0x3f63ffe4,0x3fe002ff,0x3fffcc3f,0x3ff20044,0x000ffea1,0x5007ffd4,
    0xffc87fff,0x2ffcc07f,0x03ffea00,0x741fffcc,0x3fa03fff,0xff3000ff,
    0xf300003f,0x1aa980bf,0x07ffd400,0x01fff980,0x0fffa800,0x07ffd400,
    0x00fffa80,0x7dc17ffc,0x3ffea07f,0x417ffc00,0x7c007ffb,0x7ffcc5ff,
    0x3fffa22e,0x5c17ffc0,0x4ffe87ff,0x1806ffc8,0x993ffe20,0x3a22efff,
    0xf5000fff,0x260001ff,0x74002fff,0x3ffa65ff,0x7fff507f,0x547fffc8,
    0x7fe43fff,0x7fffd47f,0x7ff41982,0x1ffffa65,0x7ec07ff9,0x01bffa2f,
    0x007ffd40,0xd79ffff1,0xc80fffff,0x7d4002ff,0x3ffa00ff,0xfffecbdf,
    0xfff301ff,0xbd99579f,0x000fffcc,0x2017fec0,0x54002ffd,0xf3000fff,
    0x500003ff,0xa8001fff,0xf5000fff,0xfff801ff,0x207ffb82,0x7c00fffa,
    0x7ffb82ff,0x7fff9300,0xbdffffb0,0xff07ffff,0x0fff705f,0xff909ffd,
    0x57bfb00d,0x85fffd95,0xfdeffffd,0x2a003fff,0x30000fff,0xd8005fff,
    0xfffdefff,0xfff107ff,0xffffd79f,0xcffff88f,0x87ffffeb,0xeefffffd,
    0x7ffec4ff,0x7fffffde,0x403fffe6,0xffdaeffc,0x86b9adff,0xfffdcccc,
    0x7e40cccc,0xfcffffff,0x77fec07f,0xb999902c,0x19999fff,0x7fffffcc,
    0x0fffffff,0xffffff70,0x7fccbfff,0xfd80001f,0xfff01cef,0xdcccc801,
    0x0ccccfff,0xfffb9997,0x9003999b,0x9fffb999,0xccc81999,0xcccfffdc,
    0xfb99990c,0x819999ff,0xffb82fff,0x3f733327,0x40ccccff,0xffb82fff,
    0xffffc807,0xffffd105,0x3e09ffff,0x7ffb82ff,0xfc84ffe8,0xfffd806f,
    0x84ffffff,0xffffffe8,0x666404ff,0xcccfffdc,0xfff3000c,0xffffffff,
    0xfffff981,0x207ffaff,0xfffffffc,0xffc87ffc,0xffcfffff,0xffffd887,
    0x7cc4ffff,0xfaffffff,0x3fffe67f,0xfffff300,0xffffff5f,0xffffff0f,
    0x03ffffff,0x23dffff9,0x7fd407ff,0xffff03ff,0xffffffff,0xffffd883,
    0xefff99df,0xffffb300,0x7fcc7dff,0xfa80001f,0xff883fff,0xfffff805,
    0x1fffffff,0xfffffffb,0xf007ffff,0xffffffff,0xfff83fff,0xffffffff,
    0xffffff1f,0x83ffffff,0xffb82fff,0x3fffffe7,0x41ffffff,0xffb82fff,
    0xefffc807,0x7fffdc00,0x3ffe01ef,0xe87ffb82,0x6ffc84ff,0xfffffc80,
    0x7dc02eff,0x801effff,0xffffffff,0x3001ffff,0xffffffff,0xff301fff,
    0x1ffe3dff,0x3dffff90,0x7fe41ffe,0x0fff1eff,0x7fffff54,0xffff982d,
    0xfd8fff1e,0x7fed404f,0xfffff31e,0xffffff0d,0x03ffffff,0x300004cc,
    0x3fe039b9,0xffffffff,0x066601ff,0x4cd4c000,0x01fff980,0x39b95000,
    0xf005dd30,0xffffffff,0x3ff63fff,0xffffffff,0xffff803f,0xffffffff,
    0x7fffffc1,0xf1ffffff,0xffffffff,0xfff83fff,0x3e7ffb82,0xffffffff,
    0x7ffc1fff,0x807ffb82,0x44002cec,0x5fff0019,0xfd0fff70,0x0dff909f,
    0x04d4cc40,0x00066200,0xffffffff,0x2003ffff,0xfffffff9,0x2200ffff,
    0x4cc00009,0x01330000,0x00198800,0x0cc00131,0x26601100,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x31000000,0x93155400,0x00000379,0x1aa88000,0x0002f32a,
    0x10000000,0x01330199,0x00000000,0x00aa0000,0x22000000,0x2aaa6099,
    0x50d55400,0x0de64c55,0xa980aaa8,0x80aaa82a,0x00002aa9,0x35997310,
    0x665d4095,0x202aaaab,0x4ccccccc,0x75000000,0x02ae2001,0xcceecba8,
    0x701665c2,0x32a20599,0xccccccde,0x7765cc02,0x995301bc,0x664c3799,
    0x3ccccccc,0x65c07995,0x9999932c,0x80199999,0x0abccb98,0x50cfffd8,
    0x3f6fff09,0x2a04ffff,0x07ff65ff,0x1dfff900,0x3fa77fee,0xf501ffff,
    0x20ffecbf,0x80004ffe,0xff10fffe,0x3e603dff,0x1bff224f,0x3224ff98,
    0x3fe606ff,0x02fff404,0x1dfff900,0xffffb100,0x0fffeadf,0x3e2fffa8,
    0xfffffb7f,0x82fff889,0xfff86ffc,0x7c7ffb82,0xf90002ff,0xffffffff,
    0xfffffd30,0x7c0fffff,0x07ffffff,0x800bffb0,0x4400fffd,0x7540effe,
    0xffffffff,0xd817ff60,0xfffa85ff,0xffffffff,0xffffd304,0x6c49ffff,
    0x5fffffff,0x3fffffea,0xdff96fff,0xfba7ff40,0xffffffff,0x3ffee01f,
    0x7ec3ffff,0xffefffff,0x7fefffc2,0x202fffff,0x2ffddffa,0x27ffe400,
    0x3fffbfee,0x2a06ffff,0x82ffddff,0x40004ffe,0xd11ffff9,0x3a0bffbb,
    0x3fffe66f,0xf99bfa06,0x3fa06fff,0x7fffc406,0xfffc8000,0xffff3004,
    0x7ff4dfff,0xf1bff606,0xfffffbff,0x7ffc49ff,0xf86ffc82,0x7ffb82ff,
    0x20017ffc,0xffffffe8,0x7fc47fff,0xfffffeff,0x3fffe07f,0xfd807fff,
    0x3e005fff,0x7dc02fff,0x3fe62fff,0xffffffff,0xd817ff60,0x7ffdc5ff,
    0xffffffff,0xffffb84f,0x14ffffff,0xffdffffd,0x7fffd4bf,0xf96fffff,
    0xa7ff40df,0xfffffffb,0xfe881fff,0x3fffffff,0x7fecdfdc,0xffff85ff,
    0x5fffcaef,0x17fffdc0,0x0bfff200,0x33ffffee,0x202fffc9,0xd02ffffb,
    0x880009ff,0xe880ffff,0x41ffb85f,0xf706fecf,0x6fecf83f,0xf003ff70,
    0xf9000fff,0x3a2005ff,0x5ccbdfff,0x2207ffee,0x7ffc3fff,0xfffbaeff,
    0x05fff10f,0xfff0dff9,0xf8fff705,0x7e4002ff,0xfc989dff,0x077fe47f,
    0x0033fff7,0x2bff2000,0xfd004ffb,0xffb803ff,0x3fffe2ff,0x0dba999c,
    0xfd817ff6,0x3bffe25f,0x99cffe9a,0x7fffd409,0x4fdbaabd,0x5307fff7,
    0x55555544,0xdff96ffe,0xfba7ff40,0xeeeeeeff,0xefffd80e,0x183ecaac,
    0xff816e54,0x37fec4ff,0x001f75c0,0x5c037baa,0x7fc1ffff,0x1f75c03f,
    0x0009ffd0,0xf983bb30,0x7fc40eff,0x10dfd084,0x3fa109ff,0x004ff886,
    0xa8003bb3,0x2a000dee,0x7c402fff,0xfffb84ff,0x227fffc0,0xff13fffa,
    0x0dff905f,0xff705fff,0x002fff8f,0x2e13ffe6,0x17ff47ff,0x00017ffc,
    0x2e2eea80,0xed9802ee,0xefff8803,0x007fff30,0xfb02ffec,0x07ffe4bf,
    0xfe807ffb,0x6c6203ff,0xd80007ff,0x0dff96ff,0xffba7ff4,0x7ffd4005,
    0x0000100d,0x3ee17ffe,0x0000007f,0x05fff700,0x00009ffd,0x00013ffa,
    0xdffff300,0xd007fec1,0x01ffb0df,0x7fec37f4,0x00000000,0x03ffdc00,
    0xfe87ffd8,0x05fff85f,0x3fe29fff,0x86ffc82f,0xffb82fff,0x0017ffc7,
    0xf701fff7,0x81fff8ff,0x55502ffd,0x00555301,0x88000000,0x3ffea0bb,
    0x17ff6003,0xff15ffd8,0x03ffd87f,0x800fffee,0x000dfffc,0x7e5bff60,
    0x53ffa06f,0x6c005ffb,0x51000fff,0x80555555,0xffb82fff,0xaaaaa987,
    0x441aaaaa,0x2f32a1aa,0x407ffdc0,0x55440998,0xd02f32a1,0x555309ff,
    0x02cc9803,0x7fdcbfee,0x2e37f402,0x37f402ff,0xa980bfee,0xaaaaaaaa,
    0x55554c1a,0x01aaaaaa,0xa8037fe4,0x3fe22fff,0x02fff82f,0x3fe2bffd,
    0x86ffc82f,0xffb82fff,0xc997ffc7,0x6ffd81bc,0xfd8fff70,0x0fffc44f,
    0xfb82fff8,0x0015557f,0x2aa25551,0x0002aaaa,0x00f7ffcc,0x3605ffd8,
    0x3fff35ff,0x3a03ffd8,0x7d4007ff,0x00beffff,0xfcb7fec0,0x53ffa06f,
    0x74005ffb,0x3ee005ff,0x00ffffff,0x3ee0bffe,0xffffd87f,0x45ffffff,
    0xffe9dffb,0x3fee1fff,0x7fdc000f,0xfffffe9d,0xf113ffa1,0xfb801fff,
    0x3b33264f,0x05ff88ff,0x3fe26fe8,0x226fe805,0x7fec05ff,0xffffffff,
    0x7ffffec5,0x405fffff,0x3e005ffd,0x1ffee5ff,0xfd817ffc,0x05fff16f,
    0xfff0dff9,0xf8fff705,0xffffcaff,0x82fff44f,0x7fdc7ffb,0x6ffd99cf,
    0x2e0bffe0,0x07ffb7ff,0x3eebff50,0x00ffffff,0x7ffffc00,0x2ffec01d,
    0x3eabffb0,0x03ffd87f,0x20013ffe,0xfffffffb,0xdffb000d,0xfe81bff2,
    0x55dff74f,0x4fff8035,0x3fffee00,0x3fe00fff,0x87ffb82f,0xfffffffd,
    0x7fdc5fff,0xfffffffe,0x003ffee6,0xfffdff70,0x7f4dffff,0x3fffa24f,
    0x24ffb801,0xb2fffffa,0xdfd001ff,0x74007fec,0x003ff66f,0xfffffffb,
    0xffd8bfff,0xffffffff,0x7f555545,0x0aaaaaef,0xfd0fffc8,0x0bffe09f,
    0xff8afff4,0x86ffc82f,0xffb82fff,0x7ff7ffc7,0x3a2fffff,0xfff705ff,
    0xfffffff0,0x7ffc03ff,0xf97ffb82,0x7ff7009f,0x3fffffee,0x7d40000f,
    0x0befffff,0x3605ffd8,0x0fff75ff,0x3ffffffb,0xdb0fffe2,0xc887dddd,
    0x0fffffff,0xf96ffd80,0xa7ff40df,0xfffffffb,0x5fff80cf,0x32aaa200,
    0x3fe00fff,0x87ffb82f,0xfcccccca,0x7fdc2fff,0xffc9cfff,0x01fff72f,
    0xfffffb80,0xd2fffc9c,0x7ffec9ff,0x7ffedc02,0xa86aaa24,0x131002ff,
    0x4400bfea,0x005ff509,0xf9999995,0xcca85fff,0xffffcccc,0x7fffff42,
    0x3fffffff,0xf9afff88,0x5fff00ff,0x7c53ffe0,0x6ffd82ff,0xfb82fff8,
    0x7ffffc7f,0x25fffcae,0xff706ffd,0xffeffb8f,0x7fc00cff,0x77ffb82f,
    0xff900bff,0x3f2aaa25,0x013000ff,0x3fffffea,0x2ffec2ff,0x3f2bffb0,
    0xffffd87f,0x5fff31ff,0x4ffffff8,0x3ffff260,0x96ffd804,0x7ff40dff,
    0xffffff74,0xfff0dfff,0x7fd4000d,0x0bffe00f,0xc801ffee,0xffb84fff,
    0x9fffc1ff,0x4000fffb,0x7c1ffffb,0x29ffd3ff,0x2203fffc,0x05fffffe,
    0x0005ff88,0x2000bff1,0x40005ff8,0x2004fffc,0xfe84fffc,0xffffffff,
    0xffb03fff,0x7c0bff9b,0xfffa82ff,0xa87fff12,0xfff86fff,0x23fffcc3,
    0x7ec4ffff,0x03fff26f,0x7c4ffff1,0x4001316f,0xffb82fff,0x544dff57,
    0x407ff60a,0xd800fffa,0xff7104ff,0x6c5fffff,0x3ff605ff,0xfb0fff95,
    0x263ddddf,0x7ffc3fff,0xf9804fff,0xffd805ff,0x740dff96,0x555514ff,
    0x89ffffb5,0x0002fffd,0x7c01fff5,0x7ffb82ff,0x0dfff500,0x3a0bffee,
    0x1fff74ff,0x2fffb800,0xffd4ffe8,0x809fff79,0x4eeefffd,0x000ffd80,
    0x0001ffb0,0x80003ff6,0x2006fffa,0x5506fffa,0x55dffd55,0x3ea01555,
    0x202fffff,0x7f442fff,0xbfff10ff,0x437fffd4,0x3fa65ffe,0x2fffc7ff,
    0xff53ffdc,0x7fff4c7f,0x003ffe67,0x5c17ffc0,0x4fff37ff,0x3ffa4ffc,
    0x01fff500,0x02ffffa8,0x3ffffecc,0x7ec0bffb,0xb0fff75f,0x3fe207ff,
    0x7f4ccc3f,0x7fc4034f,0x6ffd805f,0x7f40dff9,0xfff9804f,0x17fffd46,
    0xfff500cc,0x417ffc01,0xf8807ffb,0xff700fff,0x2133101f,0x4000fffb,
    0x9880fffb,0xffdffd09,0xfffa809f,0x97fd4005,0xfa801998,0x2003512f,
    0x33312ffa,0x3fffe200,0xffff1000,0x17ff6001,0x3ffffe00,0x677ffc07,
    0x22ffffcb,0xfeeffff8,0x21dfffff,0xffdefffd,0x7ffc7fff,0x747ffb82,
    0xfffdefff,0x7fffc7ff,0x00bcdeee,0x3ee0bffe,0x743ffe7f,0x81ffe7ff,
    0x5400fffa,0x3005ffff,0x3f63ffff,0x53ff605f,0x7ec0fffa,0x17ffe03f,
    0xbfb4ffd8,0xfffd9557,0x2dffb005,0x3fa06ffc,0xfffd004f,0xfffffe81,
    0x2a04ffee,0x3fe00fff,0x07ffb82f,0x201fffe8,0x7000fffb,0xb8001fff,
    0xfd000fff,0x805fffff,0x2001fffb,0x3ff65ff8,0x37fe200f,0x02ffffd8,
    0xffd97fe2,0xfffe800f,0x3fffa001,0x17ff6001,0x3ffff200,0x7ffffc04,
    0x443fffff,0xffffffff,0x262ffffa,0xafffffff,0x17ffc7ff,0x3ea3ffdc,
    0xfcffffff,0x7fffd47f,0x04ffffff,0xff705fff,0x7ccfff4f,0x0dff2fff,
    0x4007ffd4,0x2006fffe,0xff92fffb,0x99fff40b,0x7fec2fff,0x03fffa03,
    0xffda7fec,0x5fffffff,0x32bffd00,0x3ffa06ff,0x1fff9004,0xfffffe88,
    0x3ea04fff,0x3ffe00ff,0x407ffb82,0x5c03fffc,0xf7000fff,0xfb8001ff,
    0xffd000ff,0x401fffd9,0x2000fffc,0xfff70ffd,0x87fec01f,0x206ffcee,
    0xfff70ffd,0xfffc801f,0x3fff2003,0x2ffec003,0x7fffc400,0x7ffffc00,
    0xf880dfff,0x91efffff,0xff985fff,0x8fff1eff,0xffb82fff,0xefffe987,
    0x7dc7ffa9,0xfffeeeff,0x2fff83ff,0x3f67ffb8,0xdffffcaf,0x3ea05ff8,
    0xff8800ff,0x3fee004f,0x20fff71f,0x3fe2fff8,0x01ffec4f,0x3609fff7,
    0xffff94ff,0x4007dfff,0xdff94fff,0x4027ff40,0x2e06fff8,0x2dfffffe,
    0x003ffea0,0x3fee0000,0xfffb805f,0x70000000,0x3a001fff,0xefff9cff,
    0x07fff700,0x7c4ffea0,0xf500ffbf,0x1ff9047f,0x3e27ff50,0x2e00ffbf,
    0x2e005fff,0xd8005fff,0xf98005ff,0xfff804ff,0x7c40099a,0x988099ff,
    0xfb826200,0x417ffc3f,0x26207ffb,0xfa9ffea0,0xfff981ff,0x4c3fff86,
    0x3ff27fff,0xaffedfeb,0x3fea04ff,0x7ffd000f,0x7fcc06ee,0x13ffea7f,
    0xfc83fff2,0x0fff62ff,0x81bfffd0,0x64cc4ffd,0x905704ff,0x3ff27fff,
    0x7ffcc116,0x7ffe4c02,0x0f7fcc04,0x00fffa80,0x4006aa60,0x800efff9,
    0x0000fffb,0xf7003553,0x3fa001ff,0x0bfff74f,0x00ffffe6,0x67ecbff1,
    0xff880ff9,0x10bff305,0x4e7ecbff,0xfff300ff,0x3fe6001d,0xfd8000ef,
    0xffd8005f,0x2fff800f,0x07ffe200,0xbff30000,0xf705fff0,0xffb800ff,
    0xd813ffa7,0x5ffe86ff,0xb9ffffa6,0xfcbffdff,0x2a03ffdf,0xf9800fff,
    0xdfff90ff,0x7fffffdd,0xccefffe8,0x7c43fffe,0xfffeffff,0x7d43eeee,
    0xfeefffff,0x3ffb04ff,0x3b37ff20,0xff90efff,0x3ffbbe6d,0xb9bdb0ff,
    0x01dfffff,0x2004ffa8,0x2000fffa,0xe8802ffd,0xf7001fff,0x360001ff,
    0xffb802ff,0x9ffd000f,0xc827ffec,0x4cefffff,0xffa87fe4,0x640bffcb,
    0xeff980ff,0xf50ffc80,0x817ff97f,0x001fffe8,0x003fffd1,0x8017ff60,
    0x003fffd8,0x44005fff,0x00002fff,0x7fc17fe4,0x07ffb82f,0xfd3ffdc0,
    0xfff101ff,0xbdfffb09,0x54ffffff,0xf98fffff,0x2a01ffff,0x95300fff,
    0x7fe45fff,0xffffffff,0xfffff984,0xf505ffff,0xffffffff,0xff509fff,
    0xffffffff,0xc81bfe09,0xffffffff,0x7cdbff21,0x363fffff,0xffffffff,
    0x0ffc800e,0x3f733320,0x00ccccff,0x36003ffe,0xffffffff,0x7ffdc6ff,
    0x1fff0000,0x01fff700,0xe893ffa0,0xffb02fff,0x7d4fffff,0x3fffee3f,
    0x3fea1fff,0x80dffb83,0x3fee3ffa,0x6c1fffff,0xffffffff,0x7ffec6ff,
    0x6fffffff,0x202ffec0,0x5ffffff9,0x00bffe00,0x002fff88,0x677fec00,
    0x2e0bffe2,0x7dc007ff,0x3bfff27f,0xefffdcbd,0xfffff980,0x267ffaff,
    0x3fa6ffff,0x33320fff,0xcccfffdc,0x5dfffd0c,0xfffffea8,0x32201dff,
    0x02efffff,0x7ffffecc,0x104fffff,0xdfffffdb,0x07ff1017,0x7ffffecc,
    0x8b7fe40d,0x6c2effff,0x2dffffff,0xf01bfa00,0xffffffff,0x3e203fff,
    0xfffd005f,0xdfffffff,0x000fffb8,0x7005ff88,0x3a001fff,0x7ffcc4ff,
    0xfffb301f,0x51bfa2ff,0x19ffb999,0x3e61bfa2,0xd13fffff,0xdccca8df,
    0x7ff40cff,0xffffffff,0x7fffff46,0x406fffff,0x7cc05ffd,0x4004ffff,
    0x22002fff,0x00002fff,0xf1ffffd4,0xfff705ff,0x47ffb800,0xfffffffd,
    0x3e601eff,0xfff1efff,0x323ffff8,0x7ffc7fff,0xffffffff,0x0079db1f,
    0x00013533,0x22000331,0x4c400019,0x01980099,0x40002660,0x26620098,
    0x13300009,0xffffff80,0x01ffffff,0x3a005dd3,0xffffffff,0x7ffdc6ff,
    0x2ee98000,0x01fff700,0x2e13ffa0,0x2200efff,0x3ff94ca9,0x320ff980,
    0xfff981ff,0x3ff93fff,0xe80ff980,0xffffffff,0x7fff46ff,0x6fffffff,
    0x202ffec0,0x001cdfe8,0x4001ccc8,0x00001ccc,0x3e1cdc98,0x7ffb82ff,
    0x42664c00,0xcdefeec9,0x00262001,0xf307fff4,0xffff8dff,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x372e0000,0x22000bce,0x400ccaa9,0x00acddba,
    0x33bb72a2,0x36e6001c,0x5cc002cd,0x332a001e,0x800ccccc,0x1bcedba8,
    0x0deedcc0,0x807ae600,0xcccccccb,0x323ccccc,0x32e001cc,0xcccccccc,
    0x2e603ccc,0xc981bcec,0xccc880cc,0x000f32e1,0x2b333326,0x33320009,
    0x33326002,0x00009acc,0x3333332a,0x080080cc,0x202ccc98,0x9931ccc9,
    0x99999999,0x33333265,0x973ccccc,0x99999999,0x95107999,0x326039bb,
    0x333202cc,0x3332a00c,0x3332e01c,0x3ccccccc,0x59999991,0x0b32a015,
    0x66473260,0x3ccb804c,0xfffa8044,0x404fffff,0xffffffc9,0xffffb101,
    0x3ee03fff,0x5fffffff,0xfffffd80,0xff9800ef,0x3ff6001f,0x401fffff,
    0xfffffffc,0xfffe881f,0x9800dfff,0x3fa01fff,0xffffffff,0xfff16fff,
    0x7fff4005,0xffffffff,0xffff906f,0xffa87fff,0x2fff880f,0x20017ff6,
    0xfffffffb,0xfff801ef,0x3ffee004,0x01efffff,0xfffffe80,0x3fa61fff,
    0xd07be200,0x7ff40fff,0x3ffffea6,0xf53fffff,0xffffffff,0x3ffffabf,
    0xffffffff,0x7ffffdc6,0xfff80dff,0x5fffa80f,0x2ffffec0,0xffffffd0,
    0x3e2dffff,0xffffffff,0x027fdc2e,0xffd9ffdc,0x27ffc01f,0xff989ffb,
    0xffffffff,0xfffff703,0xff303fff,0xffffffff,0xfffff705,0x220bffff,
    0xfffffffe,0x7fcc01ff,0x3ff6001f,0x301fffff,0xfffffffd,0xffe983ff,
    0x0effdbbd,0x00fffcc0,0x555557fd,0x22df7555,0x3a002fff,0xffffffff,
    0xfb86ffff,0xffffffff,0x203ffea1,0x3f62fff8,0xffb8005f,0xffffffff,
    0x027ffc05,0xffffff70,0x400bffff,0xfffffff9,0xbfff11ff,0x307ffec0,
    0xff507fff,0x7fffd43f,0x53ffffff,0xffffffff,0x3fffabff,0xffffffff,
    0x3ffffa6f,0xa85fffff,0xffe84fff,0x7fffc00f,0x3fffa07f,0x6fffffff,
    0xfffffff1,0x7d43ffff,0x2ffb804f,0x5407fff5,0xfff72fff,0x0f7ff45f,
    0xf90dffd3,0x5579bfff,0x7bfffd01,0x50ffffb7,0xff731359,0xfff901ff,
    0xbfff7117,0x01fff980,0xffe80000,0xfdbaacef,0x4c0fff41,0x7fcc06ff,
    0x263fa01f,0xb7cc2cee,0xeffffff8,0xaaaa80bd,0xaaaeffea,0x77ffc42a,
    0x7647f712,0xeeeeefff,0xfb3efffe,0xff7000bf,0xfffb955f,0x27ffc07f,
    0x55fff700,0x07ffffb9,0x3ffbff20,0x3ee0aaac,0xbaaa9bff,0xffd82fff,
    0x22fff40f,0xaaabfffa,0xfff51aaa,0x35555557,0x3faaaaaa,0x22aaaaef,
    0xfbabdffc,0xffe81fff,0x13ffea0f,0xffffff50,0x3aaaaa03,0x12aaaeff,
    0xb5335fff,0x7fd4dfff,0x12ffc804,0x7e40bfff,0x3ffff67f,0x2a0bffe4,
    0x7ffcc7ff,0xfff5000d,0x07fff907,0x217ffdc0,0xfc83fff8,0x2aaa21ff,
    0xaaabfffc,0x2e00002a,0x1100dfff,0x98c07fdc,0x2aaa22ff,0xaaabfffc,
    0xff31fd2a,0x5be63fff,0xfffffff8,0xfe804fff,0xfffa805f,0x7ffec081,
    0xffffffff,0xbffb4fff,0x0fff7000,0x201ffff5,0x13224fff,0x7d43ffdc,
    0xff800fff,0x6c02ffde,0xffffffff,0xfff104ff,0x207ffd49,0xa800fffa,
    0xd0000fff,0x05b00bff,0xf507fff5,0x7fff49ff,0x7effe400,0xffb004ff,
    0x07ffe20b,0xffa9fff6,0x21ffc804,0xfd00fffd,0x7fffe4bf,0x505fff13,
    0xeffd8fff,0x1bffa000,0x2006fff8,0x7e41fff8,0x93ffe07f,0xfffffff8,
    0x446fffff,0x02aaaaaa,0x001fffe2,0x7ff549fd,0x7fc4df95,0xffffffff,
    0x261fd6ff,0xf98fffca,0xffffff16,0x807fffff,0xfc805ffe,0xfffb006f,
    0xffffffff,0x3ff69fff,0x7ffb8005,0x209fff50,0xffc8cfff,0x20fff704,
    0x5404fffa,0x02ffcbff,0x7fffff44,0x7e406fff,0x09fff0ff,0x5001fff5,
    0x20001fff,0x20005ffe,0xfb04fff8,0x7fff51ff,0xfb5fff00,0x3ff600df,
    0x03fff105,0x7fccfff7,0x21ffc805,0xf882fffb,0x3ffa22ff,0x1077ff45,
    0xfff89ffd,0x27ffc003,0x400fff90,0xffe87ffa,0x6fffd884,0x3fffffe2,
    0x46ffffff,0xfffffffb,0x07fff500,0xfb87fcc0,0x3ff35fff,0x3fffffe2,
    0xd6ffffff,0x37ff101f,0x8bffe2df,0x01ffffc9,0x36017ffa,0x3ea005ff,
    0xfff880ff,0x0017ff62,0xff81ffee,0xfdfff05f,0x3ee09fff,0x17ffe07f,
    0xff91ffb0,0x5dffd005,0x880ffff7,0x6ffbcfff,0x001fff50,0x0001fff5,
    0x80017ffa,0xf304fff8,0x0dffdbff,0xf71fff30,0xffb001ff,0x07ffe20b,
    0xff99bff6,0xfc87ba25,0x13ffe20f,0x2603ffee,0xcffffa81,0x260effe9,
    0xaba99fff,0x2fff8809,0x003ffee0,0x3e13ffea,0x7ffcc3ff,0x2aaa27ff,
    0xaaabfffc,0x7fffdc2a,0xff700fff,0x37dc003f,0x7c337fff,0xf955512f,
    0x555557ff,0x67fc03fa,0x5fff16f9,0x407fff90,0xfd805ffe,0x3fea005f,
    0x2fff880f,0xbb817ff6,0xb03ffdc1,0x3ffe0fff,0x2e02efff,0x3ff607ff,
    0x65bfe207,0x7fc402ff,0x402fff87,0x2ffffffa,0x001fff50,0x0001fff5,
    0x80017ffa,0x3202fffa,0x02ffffff,0xff16ffb8,0xbffb007f,0x707ffe20,
    0x7fc45fff,0xfd93fee5,0x437ff40f,0xc8006ffd,0xefffffff,0x7f7ffdc0,
    0x4c3fffff,0x3ea01fff,0xffec81ff,0xff882fff,0x3ffff22f,0x3fe607ff,
    0xaaa8801f,0xf900fffc,0x7e4001ff,0x3a09ff35,0x3fff303f,0x2e207f40,
    0xf16f9aff,0xfff105ff,0x7f555449,0x5542aaef,0xaaaaeffe,0xcfffa80a,
    0xfffccccc,0x7417ff62,0xffff2fff,0x7e43ffff,0x7ffdc47f,0x7ffc02ef,
    0x321fffff,0x3fee07ff,0xffffff93,0xfd09ff50,0xfffd007f,0x7ffd40df,
    0x22aaaaab,0xfffffffa,0x3fa02fff,0x3f60005f,0x3fe200ff,0xfd006fff,
    0x02fff47f,0xf882ffec,0xfffeeeff,0xb37fc43f,0x43fecdff,0x7fc0fffc,
    0x01cc983f,0x7ffffff7,0xffffff70,0x549fffff,0x3e601fff,0xfffd82ff,
    0x7cc0bfff,0xfffe89ff,0x300fffad,0x50003fff,0x3f601fff,0xa7ec007f,
    0x9fb03ffb,0x807ffe60,0xffff70fe,0x7fc5be6b,0x49fff02f,0xfffffff8,
    0x3ffe0fff,0xffffffff,0xfffffa83,0x2fffffff,0x3ea17ff6,0xffff6fff,
    0x7e43ffff,0xffff50ff,0x3ffe00bf,0x321fffff,0xffd00fff,0x3fffff21,
    0xc83ffc87,0xff9804ff,0x3fea01ff,0xffffffff,0xffffff50,0x7405ffff,
    0xf70005ff,0xffb007ff,0xff1007ff,0x03ffe43f,0xf882ffec,0xffffffff,
    0xf16ff83e,0x1ff63fff,0xfa8fffe6,0x7ffcc1ff,0x7fffd41f,0x7e45ffff,
    0xfcaacfff,0xfff51fff,0x0fffcc03,0x7fff7764,0x3ffe21ff,0xf52ffffc,
    0x7775c1ff,0x5eeeefff,0x00fffa80,0xc800fffb,0x209ff55f,0xfff304fd,
    0xfb87f403,0x45be62cf,0xff882fff,0x3fffe23f,0x20ffffff,0xffffffff,
    0xffa83fff,0xffffffff,0x17ff62ff,0x7dbfffee,0x1fffffff,0xffb9fff2,
    0xff004fff,0x43ffffff,0xff307ffc,0x7777fe4b,0xc85ffb85,0x333102ff,
    0x1333bffd,0xffffffa8,0xff50ffff,0xffffffff,0x02fff405,0x02fffd40,
    0x37ffffc4,0x2a3ffd40,0x7ec02fff,0xdfff105f,0xbfffffdd,0xfff56ff8,
    0x7c1ffa7f,0x1bff25ff,0xa93ffff2,0xffb8dfff,0x3fff24ff,0x34fff980,
    0x7d405fff,0xfb8800ff,0x7fffc6ff,0x3fee0eff,0x7ffffe47,0x807fffff,
    0xf900fffa,0x7dc001ff,0xd01dff36,0x3ffe607f,0x7dc3fa01,0xff16f984,
    0x3fffb05f,0x7ff55544,0x6ccc2aae,0x99999dff,0x9afffa80,0x2fffa999,
    0x3e217ff6,0x3fee4fff,0xb9fff607,0x004fffbf,0xfd81ffee,0x45ffb07f,
    0x7cc02ffc,0x00ffe87f,0xfffffffd,0xffa8dfff,0x2aaaaabf,0x0003ffea,
    0x2002fff4,0x800efff9,0x3ffffffc,0x7c2ffec0,0x7fec04ff,0x43fff105,
    0x22fffea8,0xffbfb6ff,0x7e41bfad,0x213ffa7f,0xf14ffffc,0xffe889ff,
    0x01fff70f,0x7fc57ffa,0x1ffee03f,0x43fff700,0xb84fffff,0x7775c6ff,
    0x5eeeefff,0x00fffa80,0x4005fff7,0x3fffa7fa,0x4c0bfe5e,0x3fa01fff,
    0xdf305930,0x2a6fffe2,0x404fffeb,0xfd805ffe,0x3fea005f,0x2fff880f,
    0x6cc17ff6,0x03ffdc4e,0xff04bffd,0x7fdc009f,0x217ffa07,0xeaabfff8,
    0xfff802ff,0x06ffc89d,0x3ffffffa,0x7d46ffff,0xffa800ff,0xffd0000f,
    0x7ffcc00b,0xfff9800e,0x200ffffd,0xaaaadfff,0x7ec07ffe,0x3fff105f,
    0x74bfff50,0xffb7ff7f,0x3ea0dfd1,0x1fff8aff,0x51ffff98,0xff301fff,
    0x07ffea5f,0xfff2ffec,0x037fec0b,0xe8bffe60,0xffd01fff,0x0fffcc0b,
    0x07ffd400,0x005fffa8,0x7fccbfe6,0x01ff55ff,0xe807ffe6,0xf303710f,
    0x3ffffe2d,0x00efffff,0x6c02fff4,0x3ea005ff,0xfff880ff,0x0017ff62,
    0x7d41ffee,0x9fff04ff,0x83ffdc00,0xfb84fffa,0xffffffff,0xffffe802,
    0x2005ffff,0x7d404ffd,0xffa800ff,0xffd0000f,0x3ffe600b,0xfffb000e,
    0x209fff71,0xfffffff9,0x201fffff,0xff105ffd,0x97ffe03f,0xa8ff9ffe,
    0x105ffaff,0xfff59fff,0xf70eecc0,0x97ffc0ff,0xff04fff9,0x07ffec9f,
    0x0027ffc4,0xfc87ffee,0xfff981ff,0x0bffe602,0x03ffea00,0x017fffc4,
    0x65c4bfd0,0x4c09fd2c,0x3fa02fff,0xdf30ffb0,0x3fffffe2,0xfd003fff,
    0xbffb00bf,0x07ffd400,0xfb17ffc4,0xff7000bf,0x1fffd10f,0x8013ffe0,
    0xfe887ffb,0xfffe80ff,0x02ffffff,0x7fffffdc,0xb003ffff,0xffa809ff,
    0xfffa800f,0xbffd0000,0x1dfff300,0x93ffea00,0xfc81fffe,0xffffffff,
    0x3f603fff,0x3fff105f,0x6c9fff30,0xff16fcff,0x7ec0bffb,0x005ffdef,
    0xa83fffa8,0x3ff61fff,0x17ffe41f,0x4c3dfff3,0x2000fffe,0x7c47fffa,
    0x7ff446ff,0x27ffc406,0x07ffd400,0x17ffff70,0xff50ed44,0x007fe409,
    0x7409fff1,0xf30ffb0f,0x337ffe2d,0x3a0009ac,0xffd805ff,0x3ffea005,
    0x22fff880,0xb8005ffd,0x3fea27ff,0x3ffe03ff,0x9ffee004,0x83ffffa8,
    0x9999eff9,0x3e602ffd,0xdbddcdff,0xffe81fff,0xffffffff,0x007ffd46,
    0x0007ffd4,0x4c05ffe8,0x9999ffff,0x7ff40999,0x17ffee0f,0x2aab7ffa,
    0x06fffaaa,0x7c417ff6,0x7ff4c1ff,0x3ffff62f,0x17ffff63,0xffffffb8,
    0xfff88002,0xfffdbbdf,0x6ffffcc6,0xe85fffec,0xffffffff,0xcdef83ff,
    0x2ffffedc,0xccffffc8,0xf802fffe,0x4cbbefff,0x007ffd40,0x3ffffffa,
    0x7ec1ffff,0x3ff661cf,0xeffff804,0x21fd4cbb,0x16f980a8,0x80005fff,
    0x3fe05ffe,0xffffffff,0x3fea2fff,0x2fff880f,0x3ffffff6,0xfb84ffff,
    0xffffffff,0x7fffc05f,0x3fffffff,0x3fffffee,0xf905ffff,0xddff907f,
    0x3ffa23dd,0x1dfff106,0xffffffe8,0x7d46ffff,0xffa800ff,0xffffffff,
    0x817ffa05,0xfffffff8,0x2e2fffff,0xffe84fff,0x07ffe22f,0xdb0fffc8,
    0xddffffdd,0x3bffe29d,0x5fffffee,0x70ffffe4,0x4409ffff,0x00ffffff,
    0xfffff500,0x901dffff,0xffffffff,0xfffb101d,0x207fffff,0xffffffff,
    0x3ff603ff,0x02ffffff,0xffffff50,0xdcccc8df,0x0ccccfff,0x7ffffec4,
    0xfd81ffff,0x3fffffff,0xfffff500,0x3bbfadff,0xeeeeeeee,0x05fff16f,
    0x05ffe800,0x3ffffffe,0x22ffffff,0xf880fffa,0x3fff62ff,0x4fffffff,
    0xffffffb8,0xff802fff,0xffffffff,0x3fffee3f,0x202fffff,0xffc80fff,
    0xf912ffff,0x1ffd403f,0x2027fec0,0xa800fffa,0xffffffff,0x3ffa05ff,
    0x3fffe205,0xffffffff,0x01ffff12,0x7dcdfff5,0x7ffd407f,0xffffffd2,
    0x3e2dffff,0xffffffff,0x7ffe40df,0x27fffc46,0x17ffffa0,0xfffb3000,
    0x54017fff,0x03fffffe,0xdffffec8,0x3ffffe01,0xb800beff,0x01dffffe,
    0x7ffff540,0x7ffffc5f,0x1fffffff,0xfffffb50,0x3fae017d,0x4002dfff,
    0x5fffffea,0xfffffffd,0x22dfffff,0x40002fff,0x3fe05ffe,0xffffffff,
    0x3fea2fff,0x2fff880f,0x3ffffff6,0xfb84ffff,0x0acdefff,0xffffff00,
    0x5c7fffff,0xacdeffff,0x41bfea00,0x2ffffffc,0x00540144,0x5404ffd8,
    0xfa800fff,0xffffffff,0x17ffa05f,0xffffff88,0x92ffffff,0x7f409fff,
    0x09ffb3ff,0xfd4fff88,0xffffffff,0x3fffe2df,0x901ceeff,0xffd09fff,
    0xfffb807f,0x2600003f,0x99800099,0x01988000,0x01333310,0x0004c400,
    0x404ccc40,0xffffffff,0x8801ffff,0x01980019,0x09998800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1cddcb88,0x99999930,0x03999999,0xcca8332a,
    0x40e66440,0x32e4ccc8,0x009acccc,0x000e6644,0x20399710,0xabccccc8,
    0x1332e009,0xc98b3320,0xccca82cc,0x40b332a1,0x79953cc9,0x991665c0,
    0x01357999,0x59999300,0x99999910,0x03999999,0x0000d54c,0x000cc06a,
    0x2bcccb98,0x79973100,0x332a2015,0x1bc9801b,0x5402b2e2,0x32e62ccc,
    0x0033000b,0x55301555,0x99995305,0x6654c037,0x3b72a01b,0x855440cd,
    0x20f261cb,0xaaaaaaa9,0x19801aaa,0x40055540,0x55532aa8,0x01aaa801,
    0x3ffffee0,0x7fdc0dff,0xffffffff,0x1ff902ff,0x3e207fe4,0xfffd82ff,
    0x3fffff62,0xf301efff,0x910005ff,0x2205ffff,0xffffffff,0xfffa80cf,
    0x87ffee03,0xff85fffb,0x3fff23ff,0x95ffb80f,0x7ff40dff,0xffffff14,
    0x40019fff,0x983ffffe,0xffffffff,0x3202ffff,0x2e0003ff,0x1ffcc1ff,
    0xfffff300,0x5c05ffff,0x3fffffff,0xffffffb8,0xffff900e,0x1dfffd15,
    0xefffffe8,0x00effffb,0x3e027fec,0x7ffb82ff,0x3fffff62,0xffd885ff,
    0x441effff,0x1fffffff,0x3ff6bfe2,0x1ffff9bf,0x3ffffff6,0xd305ffff,
    0xb03bffff,0xff5007ff,0x80fffeab,0x7002fffa,0xffffffff,0xffffb8df,
    0xffffffff,0xfd8ffb02,0x42fff887,0x7ec5fffa,0xffffffff,0x2fff985f,
    0x7fffdc00,0xfff102ff,0xdfffffff,0xe81fffa0,0x7ffdc5ff,0x3fffe60f,
    0x0fffff23,0x7fe57fee,0x453ffa06,0xffffffff,0xfb801fff,0xf983ffff,
    0xffffffff,0x3f202fff,0xff90003f,0x4ffff8df,0xfffff500,0x883fffff,
    0xfffffffe,0x7fffe43f,0x5c0fffff,0xfefffeff,0x7f45ffef,0xffffffef,
    0x3e205fff,0x7ffc07ff,0xd17ffb82,0xfffdffff,0xfffff88b,0x221fffff,
    0x6ffb99bd,0x3fffbfe2,0x4ffffeef,0x3ffffff6,0xfc85ffff,0x4ffeccef,
    0x5c027fe4,0x1bffa3ff,0x3006ffd8,0xb313dfff,0x77545fff,0xffeeeeee,
    0x8ffd01ff,0xfff887fd,0x03bffe22,0xb955dffb,0xf987ffff,0xff1002ff,
    0x05ffffff,0x2eb3ffe2,0xa83ffffd,0xffb82fff,0x7fffe41f,0x8fffff22,
    0xb87ffffc,0x0dff95ff,0xff8a7ff4,0xffecaacf,0x3fe200ef,0xc883ffff,
    0xfccccccc,0x3f201fff,0x7ec4003f,0x7f440eff,0x6d400dff,0x27ffd41a,
    0x2b3bfff6,0x3fe63eca,0xbffd30cf,0xfff16fe8,0xc83ff65f,0x27fffa21,
    0xf100ffe8,0xfff80fff,0xf77ffb82,0xd85307ff,0xffbadfff,0x7fd806ff,
    0x367bffe2,0x6ff9cfff,0x3333332a,0x7dc2ffff,0xe98aaabe,0x017fee3f,
    0xffb8bff2,0x3fff881f,0x01fff900,0xe800dffd,0x1bfe06ff,0xfff10dfd,
    0x40fffec5,0xffa85ffd,0x3ffe60ff,0x37ffe002,0xf102fffa,0xfffa83ff,
    0xd0dffd05,0xfff90bff,0x7ffff4bf,0x3fffff24,0xfcaffdc2,0x53ffa06f,
    0xfd82fff8,0x3ff202ff,0x8003ffdd,0x6404fffc,0x3a2003ff,0x36205fff,
    0x0000efff,0xffa9bff2,0x7f4100df,0x0fffa85f,0x7fec7ff3,0x700bfee6,
    0x17fdc9ff,0xf803bd50,0x7ffb82ff,0x2a00fffb,0xffc84fff,0x7f6e542f,
    0x4bffe27f,0x1ffa7ffb,0x313fff20,0xffff91ff,0x3ea1ff15,0xd82aa26f,
    0x3ffe21ff,0x00fffb84,0x320bffd0,0xf5000fff,0xfffc85ff,0xffffffff,
    0x5fff12ff,0x6c13ffea,0xfff505ff,0x017ffcc9,0x3fe25d90,0x3fff102f,
    0x2a0dffd0,0x3fee2fff,0xfdffd81f,0x9ff9ff17,0x37ffffe4,0x7fe57fee,
    0x453ffa06,0xff882fff,0x1fff304f,0x98007ffb,0x554c6fff,0xaadffdaa,
    0xfff981aa,0xfff9003f,0x3ee0003f,0x03fff67f,0x207ffe20,0xff51fff8,
    0xf527fdc5,0x3ffa805f,0x0000ffe6,0x7dc17ffc,0x1bfff97f,0x80fffc80,
    0xfd14fff8,0x44ffffff,0x93fee6ff,0x3ea00ffe,0x93fc86ff,0x3eedf53f,
    0x7e4fff34,0xb03ffa4f,0xbffd0fff,0x82fffc00,0xd001fffa,0xfff90dff,
    0xffffffff,0x3ffe25ff,0x206fff8a,0x3fe05ffd,0x0bffe65f,0x7ffc4080,
    0x03fff102,0x7f40dffd,0x417ffa6f,0xb9ffaffd,0x325ff9ff,0x22fffcff,
    0xdff95ffb,0xf8a7ff40,0xbfff02ff,0x7ecfffa0,0x7ff4003f,0x7fffdc1f,
    0xffffffff,0x17fffd43,0x3fffee00,0x3b72a202,0x3fa7ffee,0xfff3005f,
    0xffdddddd,0xb87fee7f,0xffdcceff,0xffdcba83,0x14ffdccd,0x33333333,
    0x7fc13333,0x57ffb82f,0x17dfffff,0x740bffb0,0x47ffb5ff,0x9bfe27fd,
    0x3ffa3ffb,0x1ffff100,0x23f21fb0,0x7cbf35fa,0x4fffd0ff,0xfffa87ff,
    0x00bffe22,0x980fffd8,0xfa802fff,0xfdca83ff,0xeffdccef,0x5fff11cc,
    0x6c01fffb,0x3ff605ff,0x00bffe67,0x02fff880,0xfa83fff1,0x3fea04ff,
    0x01fffa9f,0xb9ff1ffb,0x64bff1bf,0x25ffcbff,0xdff95ffb,0xf8a7ff40,
    0x9fff02ff,0x7ecdff70,0x3ff2003f,0xffffb83f,0xffffffff,0x07bfff23,
    0x7fffcc00,0xfffffc83,0x3fe7ffff,0xfff7004f,0xffffffff,0xa87fee7f,
    0xffffffff,0x3ffffa63,0xffffffff,0xffffffd4,0x4dffffff,0xffb82fff,
    0x3ffffee7,0x3ffa0dff,0x75bff604,0x4ffd30ff,0x3fee6ff8,0x7403ffa3,
    0x4ff01fff,0x3e0cfffc,0x3e67ffa7,0x0dff2fff,0xffb97ffe,0x7ffe4007,
    0x3fff221c,0x07ffe802,0xff317fd4,0xfbfff107,0xffd807ff,0x99fff205,
    0x20002fff,0xf102fff8,0xffb759ff,0xffe801df,0x3a05ffed,0x7ffdfd6f,
    0x7fe4bff1,0xf71fff9b,0x3ffff2bf,0xffffffff,0x505fff14,0xff885fff,
    0x00fff61f,0x9837ffcc,0xdffdaaaa,0xff31aaaa,0xc80007ff,0x3f21ffff,
    0xfeccdfff,0x017ffe7f,0x6667ffdc,0x71cccccc,0x77fdc3ff,0xf11ccccc,
    0xbffb9bff,0x3a599999,0xffffffff,0x3fe6ffff,0x47ffb82f,0xffffffc8,
    0x40bffd0f,0xfff95ffd,0x7c4ffffd,0xe8ffee6f,0xfffc80ff,0x7e43fa03,
    0xd9be26fb,0xffffcaff,0xf905ff8d,0x13ffa1ff,0xfffff300,0x5ffffffd,
    0x03fffa80,0xff517fdc,0xfffff105,0xbffb00ff,0x987ffe40,0x20002fff,
    0xf102fff8,0xffffffff,0xfff50019,0x7f403fff,0x11ffff76,0x9ffe4dff,
    0xbff75ffd,0x3ffffff2,0x14ffffff,0xffa85fff,0x27fec0ef,0x7400fff6,
    0x32000fff,0x7f4c03ff,0xf90004ff,0x7fc41dff,0x27ffb85f,0xf5006ffe,
    0x7dc001ff,0x013fee1f,0x7fd49ff7,0x77776c02,0xeeeeeeee,0x2e0bffe5,
    0x3f2607ff,0xdffb4fff,0xe8a7ff40,0x27fbdfff,0x3fee6ff8,0xf703ffa3,
    0x1fc80bff,0x2a7f71f9,0x3afff24f,0xffaffedf,0x35fff104,0x70001fff,
    0xffffffff,0xfe803fff,0x1ffc807f,0x3e207fee,0x04fffdff,0xf902ffec,
    0x17ffccff,0x5fff1000,0x3ffffe20,0x74003fff,0x7c05ffff,0x4dfff36f,
    0x4fff26ff,0xffb8fffa,0xffffff95,0x29ffffff,0xfeeefff8,0x7d41ffff,
    0x1ffec0ff,0x01fffe40,0x200fff20,0x00dfffe8,0x1bfffb10,0xc81fffa8,
    0x3fff67ff,0x2fff8802,0xc8bfea00,0x7fe405ff,0x000ffea1,0x87fff000,
    0x9807fff9,0xfff95fff,0x87fff301,0x37fc4019,0x7ff47ff7,0x03bffe60,
    0x23f2df50,0x5c5fd6f8,0xfcbffdff,0x3603ffdf,0x05ffcdff,0x3ffb2200,
    0x01fffcce,0x440fffea,0xaabffdaa,0x221abffd,0xfffdafff,0x817ff601,
    0x3fe67ffd,0x3e20002f,0xfff102ff,0x07fffd79,0x07fffd40,0xfff9bfe0,
    0xffc9ffe3,0x3ef3ffa3,0x40dff95f,0xfff14ffe,0x5dffffff,0xfb05ffd0,
    0xfff9807f,0x3ffc8005,0x3bfff600,0x7fff4c00,0x87fff504,0x3ea7fffc,
    0x21982fff,0x3000fffe,0x7fff47ff,0xe8bff600,0x130006ff,0x4cbffd00,
    0x4037fffe,0xff34fff8,0x7ff445df,0x3333330f,0x3fe21333,0xfe8ffee6,
    0x3fffd10f,0x2a73f600,0xa8bfb750,0xf98fffff,0x2a01ffff,0x02ffffff,
    0xfff70000,0x07fff401,0xffffffa8,0x4fffffff,0x3e2bffe2,0xffb00eff,
    0x32fff40b,0x40005fff,0xf102fff8,0x7fff43ff,0x17ffa000,0xffc97fe0,
    0xffc9ffe0,0x3efffee3,0x40dff95f,0xfff14ffe,0x207bdfff,0xeeeefffa,
    0x1eeefffe,0x000fffe8,0x4003ffc8,0x502ffffb,0x4407ffff,0xfebcffff,
    0x7fec7fff,0x4ffeefff,0x2f3fffe6,0x7fc5ecca,0xeffffb9f,0x3ff24999,
    0xdffffdae,0x7ec06b9a,0x7ffec04f,0x7fffffde,0xd9557bfb,0x7fec5fff,
    0xffffdeff,0x3fffffe3,0xdff16fff,0xffd1ffdc,0x3fffff61,0x446fffff,
    0xeb99befe,0x7ffcc0ef,0x3ffffa6f,0x7ffffc00,0x3a000007,0x3fe605ff,
    0x3ffea04f,0xffffffff,0x3ffe24ff,0x209fff72,0xff505ffd,0x17ffcc9f,
    0x5fff1000,0x987ffe20,0x3a004fff,0x7fc405ff,0xfff0aa25,0x3fe1ffe4,
    0xff95ffef,0x8a7ff40d,0x2e002fff,0xffffffff,0x42ffffff,0x0003fffc,
    0x50001331,0xfb87ffff,0xfc802fff,0xfcffffff,0x7ffec47f,0x5c4fffff,
    0xffffffff,0x7fffe45f,0xfffffddf,0x3ffffe67,0xffffffaf,0x1fffe607,
    0xffffff30,0x3f6fff5f,0xffffffff,0x7ffff444,0x7fc4ffff,0x6fffffff,
    0x7fdcdff1,0x7f43ffa3,0xffffffff,0xfffc886f,0x3fe04fff,0x3fff23ff,
    0xffffc807,0xf7000004,0x7fec05ff,0x3e66200f,0xeff999ef,0x3ffe2099,
    0x20bfffa2,0xfe885ffd,0x3ffe60ff,0x3fe20002,0x3fff102f,0x000fffe8,
    0xf880bffd,0x0fff805f,0xffc87ff9,0xdff95fff,0xf8a7ff40,0x3ee002ff,
    0xffffffff,0x262fffff,0x00005fff,0x7ffcc000,0x00f7fec5,0x3dffff90,
    0x7f541ffe,0x982dffff,0xeffffffd,0x8dfffc83,0x46ffffd8,0xf31effda,
    0x440dffff,0xf9807fff,0xfff1efff,0x3ffffff2,0x3fee02ef,0x9981efff,
    0x09999999,0x7fdcdff1,0x7f43ffa3,0xffffffff,0x332a206f,0x7fff400a,
    0x01bffe60,0x007fffe2,0xffd99800,0x3ffe605f,0xf17fe004,0x3ffe20bf,
    0x03fffe62,0x7d44bffb,0x7fcc3fff,0x3e20002f,0xfff102ff,0x04fffa83,
    0x880bffd0,0xffe805ff,0xf887ff90,0xff95ffff,0x8a7ff40d,0x22002fff,
    0x99999999,0x2099cffe,0x999afffe,0xdd109999,0xdddddddd,0x2f4400dd,
    0x30000ed8,0x4c400013,0x266a6001,0x4404c400,0x40220099,0xea800999,
    0x0262001d,0x04d4cc40,0x00033100,0x00000000,0x00000000,0x40000000,
    0xfffffffe,0x3ff600ef,0x9ff1000f,0xf8827fc4,0x7ffe42ff,0x7ffffec5,
    0x985fffff,0xffffffff,0x3ffa0fff,0xffffffff,0x03fff13f,0xd001fffd,
    0xff980bff,0x90ffe804,0xfffb07ff,0x81bff2bf,0xfff14ffe,0xfe800005,
    0xffffb83f,0xffffffff,0xffffff13,0x00ffffff,0x00002008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffa0,0x3e600cff,0x3e6004ff,0x413fe63f,0x7c42fff8,0x3ff62fff,
    0x2fffffff,0xffffff30,0x741fffff,0xffffffff,0xfff13fff,0x07fff703,
    0x980bffd0,0xffe804ff,0xf307ff91,0x3ff2bfff,0x453ffa06,0x00002fff,
    0x7dc1fff4,0xffffffff,0xfff13fff,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xefffe800,0xffd800bd,0x3fea000f,0x440ffea2,0xffa82fff,0xffffb0ff,
    0x4c0159bd,0xffffffff,0x3ffa0fff,0xffffffff,0x03fff13f,0xd00ffff1,
    0xffa80bff,0x91ffe804,0x3ff607ff,0x40dff95f,0xfff14ffe,0xfe800005,
    0xffffb83f,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55400000,0x8aaa602a,0x332a1aa8,0x262aa80b,
    0x95001bcc,0x55544059,0x2aa02aaa,0x1aaa981a,0x039bb930,0x00000000,
    0x26003333,0x01988009,0x0c008098,0x01300144,0x20009988,0x3a201cca,
    0xeeeeeeee,0x310006ee,0x33333333,0x00000333,0x00088088,0x77000000,
    0x22777777,0x99999999,0xfffffff0,0xffffffff,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x7ffe4000,0x24fff984,0xffe9dffb,0xbffc1fff,
    0x04fffffd,0x2e04ffc8,0x0fffffff,0xf887ffd0,0xffb80fff,0x5905ffff,
    0x7dc02d40,0x3ffe602f,0xfea83fff,0xda80cfff,0x7fcc07ff,0xf70bba23,
    0x00ffe41f,0x220fffa2,0x01effffd,0x1037ffc4,0xffffffff,0x7fecffff,
    0x7e57ffe6,0xffffffff,0xffd987ff,0xffa8000d,0x800bfee2,0x220efffb,
    0xf803fffe,0x56ffffff,0xffffffff,0x3fffffe5,0xffffffff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x7ff40000,0x237ff41f,0xffffeffb,
    0x7ffc6fff,0xfffffffd,0x027fe402,0xfffffff7,0x88fffa01,0xfa81fffe,
    0x3fffedff,0x7d417fe4,0x17fd405f,0xffffff50,0x7fffdc5f,0x3fa65fff,
    0x7f407fff,0xb17ff23f,0x37fdcbff,0x83fffee0,0xfffffff8,0x3fff201f,
    0xdddd102f,0xdddddddd,0xffd37fec,0x3fffff29,0x47ffffff,0x2ffffff9,
    0x7f40ffec,0x017ffe6f,0x9027ffdc,0xfe807fff,0xf56fffff,0x5fffffff,
    0x3bbbbbba,0xeeeeeeee,0x00000005,0x00000000,0x00000000,0x00000000,
    0x7ffcc000,0x707fff26,0x939fffff,0x7ffc5fff,0xfffcaeff,0x027fe405,
    0xfff95551,0xd8fffa01,0xffd02fff,0xd137fd43,0x7fd45fff,0xf997445f,
    0x54c1d51f,0x44fff989,0xfffebbee,0xffffff50,0xf537fdc0,0xfff881df,
    0xb813ffa2,0x3fa3ffff,0x6ffda9cf,0xffd9ff30,0xfc800001,0x553ffa5f,
    0xcccccccc,0x7fec7ffc,0x3a2fffff,0x5ffc80ff,0x2e013ff6,0xfa802fff,
    0x540003ff,0xeeeeeeee,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff39fff7,0xffff709f,0x3e3fff83,0x7fec4fff,0x027fe406,
    0x201fff50,0xfff93ffe,0x7c37fc05,0x7fff447f,0xc85fffaa,0xc8ff9cff,
    0x7ff404ff,0x3ffee043,0x1ffeafa0,0xf88fffc4,0xfff301ff,0x407ffe61,
    0xf14ffff8,0x07ff88df,0x13feaffb,0xbff90000,0x2001ffec,0x3ffe27ff,
    0xddfffe88,0x177106ff,0x6cc01dc4,0x366000dd,0x000001dd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffbfff6,0x05fff706,
    0x7ffc9ffd,0x227ffb85,0xcffd9999,0xf5009999,0x3ffa01ff,0x203fffbb,
    0x7fe86ff8,0xfffffe88,0xdfff905f,0x87fffdff,0x0dffedc8,0x41bffa20,
    0xffd07ffa,0x2027fec7,0x3fee5ffc,0x4fffe606,0xffd85ff9,0xfb17fd41,
    0x5555503f,0x45555555,0x3ff64ffb,0x33ffc003,0xfffd8bff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff88000,0xff700fff,0x4133101f,0xffb82fff,0x3fffffa7,0x6fffffff,
    0x201fff50,0x4fffdffe,0x220fff80,0xffd106ff,0xfd700bff,0x2207dfff,
    0x00cfffff,0x203fffd1,0xff887ffa,0x03fff10f,0xf30fff98,0x7ffc01ff,
    0xff0dff12,0x4c6fe81f,0x7ffc46ff,0xffffffff,0xfc93fea7,0x3ffc002f,
    0xff903551,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffd4000,0x3ffee03f,0x0bffe000,0xffe9ffee,
    0xffffffff,0xfff506ff,0x3ffffa01,0xffd802ff,0x03ffda9d,0x00ffffea,
    0x37ffff66,0xff995101,0xffe881ff,0x1ffea01f,0xff72ffe4,0x22ffe80d,
    0x3ea03ffe,0x897ffc6f,0x7fe46ffb,0x223ffc81,0xffffffff,0x3fea7fff,
    0x000bff23,0xa8800999,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffec00,0x03ffee06,0xb82fff80,
    0x3bbb67ff,0xeeeffffe,0x1fff505e,0x3fb3ffa0,0x7fcc00ff,0x206fffff,
    0x2ffffffa,0xfffffb50,0x8805bfff,0x3fe62fff,0x7fd400ef,0x45ffd107,
    0xff903ffe,0x4c37fdcb,0x5c1fffca,0xffffffff,0x4417fe22,0x2aaa0fff,
    0xaaaaaaaa,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffdc000,0xff704fff,0x7ffc001f,
    0x407ffb82,0x2a004ffc,0xffd00fff,0x01dfff37,0xcffffe98,0xdbfff500,
    0xffb05fff,0xffd3ff5d,0x64cccccb,0xfff31fff,0x2659999f,0xccfffdcc,
    0x987ffd42,0x7fd41fff,0x03fff30f,0x203dffff,0x3ffffffc,0x95006654,
    0x00000059,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffdbfff3,0x1fff703f,0x417ffc00,
    0x7e407ffb,0x3fea004f,0x27ffd00f,0x1005fffb,0xfffa8033,0x85fffd15,
    0x23ff34f9,0x3fff20fc,0x3f25ffff,0x4fffffff,0xfffffff5,0x4bffb09f,
    0x7ff46ffb,0x740fffa2,0xca9802cd,0x000000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fa00000,0xefff88ff,0x007ffdc0,0xf705fff0,0x4ffc80ff,0x03ffea00,
    0xffb1fff4,0x2666607f,0x22099999,0x7f445fff,0xff5040ff,0x3fff2043,
    0x7fe43eff,0x54ffffff,0xffffffff,0xd819f109,0x2225c40c,0x0000006c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x45fff900,0x7dc5fffb,0x3fe000ff,
    0x07ffb82f,0x99027fe4,0x99fffb99,0x8fffa199,0xf82fffe8,0xffffffff,
    0xe882fd46,0x17fd401f,0x01333310,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff50000,0x47fffb09,0x2000fffb,0xffb82fff,
    0x027fe407,0xffffffff,0x3fa3ffff,0x7fffcc3f,0x7fffffc0,0x40186fff,
    0x09988018,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x880efff8,0xff70ffff,0x7ffc001f,0x407ffb82,0x3fe00998,
    0xffffffff,0x07ffd1ff,0x4c1dfff7,0x99999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_29_latin_ext_x[560]={ 0,5,3,0,1,0,0,6,3,3,1,1,2,3,
5,1,0,1,1,1,0,2,1,1,1,1,5,3,1,1,2,3,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,2,
1,2,2,0,1,1,1,1,2,2,0,1,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
6,1,0,0,3,1,1,3,0,0,2,1,3,3,0,1,1,5,5,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,1,2,2,0,0,2,
2,-4,-2,2,1,0,2,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_29_latin_ext_y[560]={ 21,0,0,2,-1,0,1,0,-1,-1,0,6,15,11,
15,0,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,24,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-3,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,21,6,-1,2,2,2,
-3,0,0,2,2,7,11,11,0,1,0,3,0,0,0,6,0,10,21,0,2,7,0,0,0,6,-3,-3,-3,-4,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-4,-3,-3,-3,-4,-3,6,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,6,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,3,0,0,0,0,0,0,0,
-3,1,-3,0,2,6,-3,0,-3,0,-4,0,-3,0,-3,-1,2,0,-3,1,-3,0,-4,0,2,6,-3,0,-3,0,
-3,0,-4,0,2,0,-3,-4,2,0,-4,0,-3,1,-3,0,2,0,-4,6,2,0,-3,0,2,0,6,-3,-4,2,
0,-1,-1,2,0,2,0,-3,0,2,6,-3,0,-2,2,6,-3,1,-3,0,-3,0,2,6,-3,0,2,6,-3,0,
-3,0,-3,0,2,6,-3,0,2,2,-3,-1,2,2,-4,0,-3,1,-3,0,-4,-1,-3,0,2,6,-3,0,-3,0,
-3,-3,0,-4,0,-3,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-7,-5,-3,0,-3,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_29_latin_ext_w[560]={ 0,6,10,16,14,16,17,4,10,10,14,14,9,10,
6,14,16,14,14,14,16,13,14,14,14,14,6,8,13,14,13,11,16,16,14,14,15,12,12,15,14,12,11,15,
13,16,14,16,14,17,15,14,14,14,16,16,16,16,14,8,14,9,14,16,10,13,14,13,14,14,15,15,14,13,
12,14,13,16,14,14,14,14,13,12,14,13,16,16,16,16,12,11,4,11,16,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,6,13,14,16,16,
4,14,13,16,10,14,14,10,15,12,12,14,10,10,15,15,14,6,6,10,12,14,16,16,16,10,16,16,16,16,
16,16,17,14,14,15,14,14,14,15,14,14,16,15,16,16,16,16,16,14,16,15,15,15,15,16,14,15,14,15,
14,14,14,14,16,13,15,15,15,15,15,15,15,15,14,15,15,15,15,15,15,14,14,14,15,14,14,16,14,16,
16,14,16,14,16,14,15,16,15,14,15,14,15,14,17,19,16,15,14,15,14,15,14,15,13,14,14,15,15,16,
15,16,15,16,15,16,15,15,16,14,14,15,14,15,14,15,13,13,14,13,14,14,13,14,15,14,14,15,15,13,
13,19,19,14,18,15,13,15,15,14,14,15,15,15,14,14,16,15,16,15,17,17,16,16,17,15,15,13,17,15,
15,15,15,14,14,12,15,14,14,14,15,19,14,14,15,14,15,14,15,14,15,14,17,17,14,14,16,16,16,16,
16,15,15,15,14,15,14,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,16,15,17,16,19,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__consolas_bold_29_latin_ext_h[560]={ 0,22,9,19,26,22,21,9,28,28,14,15,11,4,
7,25,20,19,19,20,19,20,20,19,20,19,16,20,17,9,17,22,27,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,25,19,20,19,20,19,19,19,19,19,27,25,27,10,3,7,16,22,16,22,16,21,21,21,21,
27,21,21,15,15,16,21,21,15,16,20,16,15,15,15,21,15,27,30,27,8,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,26,19,19,19,
30,25,7,20,15,13,8,4,15,6,11,18,13,13,7,21,25,6,5,13,15,13,21,21,21,21,24,24,24,25,
24,25,19,24,24,24,24,24,24,24,24,24,19,25,25,25,25,26,25,14,26,25,25,25,25,24,19,22,22,22,
22,22,22,23,16,20,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,22,22,22,22,22,27,27,27,
24,21,24,22,25,21,25,22,25,22,26,22,25,22,24,23,19,22,24,21,24,22,25,22,25,21,24,22,25,27,
25,27,26,27,25,27,24,25,19,21,25,21,24,20,24,21,25,27,25,15,20,27,25,27,25,27,15,24,25,25,
27,22,22,19,21,19,21,24,21,25,21,24,21,23,25,21,25,21,25,22,25,22,20,16,24,21,25,21,24,21,
25,22,25,22,24,20,25,22,25,25,24,23,19,20,26,22,25,21,25,22,26,23,25,22,25,21,24,21,24,27,
24,24,21,25,21,24,21,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,25,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,28,27,24,22,28,26,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,25,21,25,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__consolas_bold_29_latin_ext_s[560]={ 510,499,250,31,366,80,242,506,59,28,119,
47,197,347,504,191,63,94,393,48,204,484,16,16,1,1,504,372,251,235,265,
151,162,425,455,111,64,365,352,428,174,442,457,48,80,142,159,31,189,64,109,
381,378,396,487,470,408,125,221,274,82,344,220,358,323,279,395,293,489,307,201,
310,280,358,331,93,414,424,32,398,234,295,18,385,143,371,487,470,1,217,441,
194,6,354,276,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,510,503,496,
203,318,335,1,97,293,126,413,167,261,347,454,334,207,236,145,134,307,249,128,
504,504,156,91,182,153,136,119,108,162,322,339,254,482,302,300,371,386,401,226,
80,65,49,18,356,250,80,96,113,130,463,416,104,446,383,239,208,288,1,173,
379,106,90,331,144,97,458,339,498,33,457,441,425,180,352,368,317,346,475,315,
299,283,267,251,356,236,221,205,190,175,206,147,115,274,196,306,65,271,289,32,
1,64,473,381,121,448,488,369,402,283,49,323,260,291,112,433,128,494,211,195,
159,478,223,16,257,397,314,48,283,33,147,218,491,193,1,433,95,354,226,352,
300,224,62,469,179,464,132,255,100,76,417,177,163,70,52,32,235,333,267,384,
466,398,1,17,129,428,442,319,444,399,459,366,16,334,361,411,322,448,47,238,
63,304,77,175,473,143,410,259,444,222,1,49,34,338,422,188,80,480,136,286,
326,112,18,430,387,1,72,19,265,95,341,112,240,145,179,185,159,170,210,32,
276,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,206,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,11,84,241,163,39,413,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,271,304,49,34,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158, };
static unsigned short stb__consolas_bold_29_latin_ext_t[560]={ 1,58,218,198,1,109,132,58,1,1,218,
218,218,218,177,32,177,198,177,177,198,155,177,198,177,198,109,155,198,218,198,
132,1,177,177,177,198,177,177,155,198,177,155,198,198,198,198,177,198,32,198,
155,177,155,177,177,177,198,198,1,32,1,218,218,218,198,109,198,109,198,155,
155,155,155,1,155,132,198,218,198,155,155,218,198,177,198,198,198,218,155,198,
1,1,1,218,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,1,84,1,
177,177,177,1,32,218,177,198,218,218,218,198,218,218,198,218,218,218,155,32,
185,126,218,218,218,155,155,155,155,84,58,58,32,58,32,177,58,58,58,84,
84,84,84,84,58,177,58,58,58,58,1,32,218,1,32,58,58,58,84,177,
109,132,132,109,109,109,84,198,155,109,109,109,109,132,132,132,132,109,132,109,
109,109,109,109,198,109,109,109,109,109,1,1,1,84,132,84,109,58,132,58,
109,58,84,1,132,32,84,84,84,177,109,84,132,84,109,32,109,32,132,84,
109,32,1,58,1,1,1,58,1,84,58,177,132,58,155,58,177,84,132,32,
1,58,218,155,1,32,1,58,1,218,58,58,58,1,132,132,177,132,177,132,
58,132,58,155,84,132,84,32,132,32,132,32,132,32,109,155,198,58,155,32,
155,58,155,32,109,32,109,84,155,32,132,32,32,84,84,177,177,1,132,32,
155,32,109,1,84,32,132,32,155,84,155,84,1,84,84,155,32,155,84,155,
132,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,32,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,1,1,84,132,1,1,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,32,132,32,32,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177, };
static unsigned short stb__consolas_bold_29_latin_ext_a[560]={ 255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_29_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_29_latin_ext_s[i] + stb__consolas_bold_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_29_latin_ext_t[i] + stb__consolas_bold_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_29_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_29_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_29_latin_ext_x[i] + stb__consolas_bold_29_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_29_latin_ext_y[i] + stb__consolas_bold_29_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_29_latin_ext_s[i] + stb__consolas_bold_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_29_latin_ext_t[i] + stb__consolas_bold_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_29_latin_ext_x[i] + stb__consolas_bold_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_29_latin_ext_y[i] + stb__consolas_bold_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_29_latin_ext_LINE_SPACING
#endif

