// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT        286
#define STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_32_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_32_latin_ext_LINE_SPACING          21

static unsigned int stb__consolas_bold_32_latin_ext_pixels[]={
    0x33325999,0x55554002,0x00000202,0x00266662,0x00000000,0x0ccccb80,
    0x00000000,0x00793000,0x009ff700,0x00054c40,0x00660262,0x00000000,
    0x001cc880,0x0cb88000,0xdd10b2a0,0x00bddddd,0x0af3ae00,0x777776c0,
    0x32a001ee,0x372a2003,0x8000000e,0x2e000008,0x4400cccc,0xabcdecba,
    0x31066200,0x99880013,0x13333109,0x200f2e00,0x9fff4fff,0x6fffe400,
    0x0009d100,0x1ffffd40,0x005e8800,0x000bfff3,0x03dfff90,0xffb0ffe4,
    0x7ffcc001,0x3fe60005,0x7f40006f,0xfe98002f,0x8803efff,0x3ff21fff,
    0x00fffd04,0x7ffe4000,0x7ffc402f,0x3fff200f,0xfffe8000,0x24fffb80,
    0xfffffff9,0x7fff4407,0xeffffc80,0x7ffff401,0xf7001fff,0xff700bff,
    0x3fe23fff,0x01ffffff,0x077ffdc0,0x3fff2000,0x7ffdc01e,0x03ffffff,
    0xffd87ff2,0x3ffea001,0x3fffe88e,0x2017fe00,0x9fff4fff,0x0bfff200,
    0x004ffe88,0x1efffa80,0xbffd1000,0xfffff880,0x3ff20005,0x7fd400df,
    0x007ffcbe,0x17ffffe2,0x7fffdc00,0xfff10001,0xfffb8001,0x403fffff,
    0x3fe4fffb,0x7ffe80ff,0xff900000,0xff5001df,0x7fe407ff,0x7fcc000f,
    0xfffe83ff,0x3ffffe67,0x7fec07ff,0x7fe40eff,0x7f406fff,0x01ffffff,
    0x80ffffd0,0x1ffffffa,0xfffffff1,0x7fd4003f,0x20006fee,0xd805fffc,
    0xffffffff,0x3fea03ff,0x006fffef,0x7457ffe6,0x22001eff,0xfff804ff,
    0x5009fff4,0xe8801999,0x20004fff,0xd70dfffa,0xffd1005d,0x7ff4407f,
    0x8004ffda,0x2002fffb,0x2ffffffe,0xb5ffd100,0xf70009ff,0x20001fff,
    0x64006ffb,0xfdbbdfff,0x3fee03ff,0x41fffa3f,0x00007ffe,0x004fffc8,
    0x80bfffe6,0x4000fffc,0xd82ffff9,0x3fe66fff,0x201999af,0xeffbcffd,
    0x3ff66620,0x2666203f,0xb001fffa,0xfe80ffff,0x3a219cff,0x1ffffeee,
    0x7c53f200,0xffc8001f,0xfffb802f,0xfedcccef,0x7fffe403,0xff3001ff,
    0x13ffe67f,0x19ff7300,0xff4fff80,0xcdc9809f,0xfffd1002,0x2aaa0007,
    0x400fff42,0x2204fffd,0x3ff62ffe,0x00098004,0x2ffffc88,0x45ffd100,
    0xd8004ffd,0x360003ff,0x3ea003ee,0x7ffb83ff,0x3a627640,0x0fffd02e,
    0xfffc8000,0x5ffd8002,0x007ffe40,0x982ffe40,0x3fe61ffe,0x9ffb001f,
    0xe8077fdc,0x3e6006ff,0xff3001ff,0x7ffcc05f,0x3fff6003,0x457f2001,
    0x100001ff,0x3fffe033,0x26002203,0x2000bcdb,0x2aaa1aaa,0xfffb3001,
    0x207fffff,0x9fff4fff,0x7ffffd40,0xfffd1005,0x7c400001,0xfffa806f,
    0x80000004,0x000efffb,0x00000130,0x00008000,0xfff10000,0x017fec07,
    0x7ffe8000,0x00000000,0xff900110,0x0220001f,0x3ffe6060,0x70000001,
    0x7cc00fff,0x04c001ff,0x003ffea0,0x001fffd8,0x1bffbfe6,0x3ffc4000,
    0x003fffc4,0x00000000,0x3ffff600,0x04ffffff,0x3ffe9fff,0x7cd3fa04,
    0xfff5001f,0x2e62000b,0x404ffddd,0x0006fff8,0x3ea00033,0x000effff,
    0x00000198,0x000cc000,0xf7000cc0,0x5ffa80df,0xffd00000,0x0000010f,
    0x7e400000,0x000000ff,0x01fff980,0xff500000,0x3fe6001f,0xb800001f,
    0x7ec007ff,0x754001ff,0x00000dff,0xff309ff7,0xa98001ff,0x2aa600aa,
    0x02aaa60a,0xc80aaa98,0xffffffff,0xfff04fff,0xf813ffe9,0x005ff13f,
    0x001fffec,0x3fffffe6,0x7fec03ff,0xfd71002f,0xdddddfff,0xf8afec07,
    0xfeb8802f,0xeeeeefff,0x009ddd53,0x2201dddb,0xeeffffeb,0xd7103eee,
    0xddddffff,0x01fff87d,0xdd53ffc4,0xdddb009d,0x6cdbffa1,0xea81dfff,
    0xeed804ee,0xddddd10e,0x7e401ddd,0xeeec80ff,0x417bb20d,0x3e62eee9,
    0x775c01ff,0xeeeeeeee,0x03ffe604,0x70fffcc0,0xdddddddd,0x7fdc09dd,
    0x7ffec007,0x02aaa601,0x000aaa98,0x407ffa62,0x001effff,0xc807fff2,
    0x3ff21fff,0x3fff201f,0x57fffc41,0x05516fe8,0x7ffd3ffe,0x3fbff204,
    0x3e2000ef,0x3ee006ff,0xffffffff,0xbfff103f,0x3fffe600,0xffffffff,
    0xfe8ffa04,0x7fffcc03,0xffffffff,0x01ffff14,0x982fffcc,0xffffffff,
    0xf984ffff,0xffffffff,0x3fea4fff,0x36f3b2a6,0xff10ffea,0x7fcc01ff,
    0x2bbffa5f,0x2fffffff,0x007fffc4,0x7c4bfff3,0x1fffffff,0x703fff20,
    0xfe83ffff,0x7fff507f,0x200fffcc,0xfffffffc,0x3e605fff,0xff3000ff,
    0x7fffe43f,0x05ffffff,0xb001ffee,0x7e403fff,0x3ff201ff,0x7fedc01f,
    0x3f607fff,0x00aeffff,0x900fffe4,0x7fe43fff,0x3fff201f,0xf2fffd41,
    0x3ffe00bf,0xb809fff4,0x8000cffe,0xa801fffc,0xfeceffff,0xfb81ffff,
    0xfe8801ff,0xfffebcff,0x3f604fff,0x201ffbae,0xebcfffe8,0x24ffffff,
    0x3203fffd,0xfe882fff,0xfffebcff,0x7f444fff,0xfffebcff,0x3ff64fff,
    0xffffff93,0x7ec3ffb3,0x3ff203ff,0x3ffffa2f,0xffffffff,0x01fffec0,
    0x7c45fff9,0x1fffffff,0x983fff20,0xfe82ffff,0x7fff507f,0x200fffcc,
    0xfffffffc,0x3e605fff,0xff3001ff,0x7fffe43f,0x05ffffff,0xb001bfee,
    0x7e403fff,0x3ff201ff,0xfffd101f,0x209fffff,0xfffffff8,0xfff900cf,
    0x0fffe403,0x6403fff9,0x7fdc1fff,0x009ff15f,0x7ffd3ffe,0x55555404,
    0xfff98001,0x3fffe804,0x1bfffff6,0x5401bffa,0x7fd42fff,0xfff8802f,
    0x7fd404ff,0x17ffd42f,0xf037ffcc,0x3fea0fff,0x17ffd42f,0x542fffa8,
    0xfff82fff,0xffffffa8,0x261ffd9f,0x3fe06fff,0x7ffff47f,0xfffe98cf,
    0x037ffcc4,0xfb00ffff,0x7fe403ff,0x7ffff10f,0x541fffa0,0x3fe63fff,
    0x7fc0001f,0x3ffe205f,0x3fff3003,0x02fffc00,0xd800dff9,0x3f201fff,
    0x3ff201ff,0xffff881f,0x4fffffff,0xfffffd10,0xff907fff,0x7ffe403f,
    0x807fff21,0x7cc1fffc,0x2ffacfff,0x3e9fff00,0x3fe204ff,0xf0005fff,
    0xffa80fff,0x3bffe24f,0x3fe60fff,0xdff9004f,0x4017ffe0,0xc802dec8,
    0xbfff06ff,0x207fffa0,0xf904fffa,0x17ffe0df,0xff837fe4,0xdb7fc45f,
    0x8fff9cff,0x7ff42ffc,0x4fffa81f,0x20fffff4,0xfe87fff8,0xfffa81ff,
    0x1fffd804,0x223fff20,0x3a04fffe,0xfff507ff,0x00fffcc7,0x017ffe00,
    0x2600bfff,0x3e001fff,0xfff105ff,0xfffd8009,0x07fff201,0xc81fffc8,
    0xff88dfff,0x2a03ffff,0xfffffffe,0x00fffe44,0x7e43fff9,0x3ff201ff,
    0x7fffc41f,0xf001ffff,0x13ffe9ff,0x7fffffb8,0x0fff9000,0x2a0fffe8,
    0x2fffbdff,0x400bffea,0xffb06ffd,0x004c400d,0xfb06ffd8,0x3ffee0df,
    0x00fffd84,0x3f60dffb,0x0dffb06f,0xff51bff6,0xf11fff1b,0x70bff2ff,
    0xffb09fff,0x2fffe81f,0xb81fffd0,0xffd84fff,0xfffd800f,0x23fff201,
    0x7404fffd,0xfff507ff,0x00fffcc7,0x017ffe00,0x15bffff9,0x007ffe60,
    0x2a65fff8,0x001ffffc,0x900fffec,0x7e403fff,0x7ffcc1ff,0x3ff7fee6,
    0xffc9805f,0x3f22ffff,0x3ff201ff,0x07fff21f,0xa81fffc8,0xffffffff,
    0x8d55400b,0x3f604fff,0x002fffff,0x200fffb8,0x7fec6fff,0x2e3fff9a,
    0xf9001fff,0x9ffd01ff,0x7fff6540,0x3f203eff,0x4ffe80ff,0x88ffff10,
    0x3f205fff,0x4ffe80ff,0xd01fff90,0xbffc89ff,0xfff36ffa,0xff10bff2,
    0x5fff88ff,0x3207ffe8,0x7fc41fff,0x2fffc47f,0x01fffd80,0x3ff7fff2,
    0x7ffe805f,0x4c7fff50,0x40001fff,0xe9805fff,0xf301ffff,0x7fc003ff,
    0x3ffff25f,0xffd8001d,0x3fff201f,0x07fff201,0x7f45fff7,0x007ffc9f,
    0x93ffff22,0x3201fffc,0x3ff21fff,0x3fff201f,0xffffd501,0x8007ffff,
    0x3fe04fff,0x004fffef,0x101fffb8,0xfff8bfff,0x324fff88,0xf5000fff,
    0x7fe43bff,0x3fffe02f,0x0fffffff,0x21dfffa8,0x3602fffc,0x3fee1fff,
    0x3ffea02f,0x0bfff21d,0x90efffd4,0xffc85fff,0xff55ffba,0x3607ff2d,
    0x3fee1fff,0x07ffe82f,0x360bfff2,0x3fee1fff,0xfffb002f,0x7fffe403,
    0xfe801fff,0x7fff507f,0x000fffcc,0x2017ffe0,0x01ffffeb,0x4003fff3,
    0x3ff25fff,0xfb0003ff,0x7fe403ff,0x3fff201f,0xf33ffe41,0x03ffeedf,
    0x4dfff900,0x3201fffc,0x3ff21fff,0x3fff201f,0x7fff5c01,0x2005ffff,
    0xff504fff,0x00ffff5f,0x205fff50,0x3ea4fff9,0xd9bffe5f,0x7ec007ff,
    0xffffffff,0x777ffc05,0x05ffffec,0xfffffffb,0xffa80bff,0x01fffa4f,
    0x3ffffff6,0x7ec05fff,0xffffffff,0xfbaffd85,0x36bff74f,0xfffa81ff,
    0x741fffa4,0x3ff207ff,0x4fffa82f,0xd801fffa,0x3f201fff,0x0efffcff,
    0xa83fff40,0x3fe63fff,0x7fc0001f,0x7ffe405f,0xff300cce,0x7ffc003f,
    0x3fffb2a5,0x7fec000f,0x3fff201f,0x07fff201,0x7fdcfffb,0x005fff53,
    0x325fffa8,0x3f201fff,0x3fff21ff,0x07fff201,0x3ffffe20,0xff003fff,
    0x5fff209f,0x4001fffd,0xf501fffa,0x1ffe47ff,0x7fe4ffff,0xffd1000f,
    0x19ffffff,0xff302d80,0xffe881ff,0x0cffffff,0xf37ffe80,0xfe8809ff,
    0xcfffffff,0x3fffa200,0x80cfffff,0x4ffc9ffd,0x3ffa9ff7,0x26fffd00,
    0xffd04fff,0x07ffec0f,0xff37ffe8,0x7fec009f,0x3fff201f,0x405fffd8,
    0xff507ffe,0x0fffcc7f,0x17ffe000,0x200bfff0,0x2001fff9,0xff505fff,
    0xffd8009f,0x3fff201f,0x07fff201,0x7ff4fffd,0x025fff50,0x927ffe40,
    0x7e403fff,0x3fff21ff,0x07fff201,0x3aaffe60,0xff006fff,0x57ffa09f,
    0x4003fffb,0xf500fffb,0x07ffc9ff,0x7fdcdfff,0xbff9001f,0x00179995,
    0x07fff200,0x9995bff9,0x7fdc0017,0x01fffcaf,0x6656ffe4,0xffc800bc,
    0x00bcccad,0x3ff27ffa,0x3fe7ff94,0x2bffee06,0xfd01fffc,0x3fffc0ff,
    0xf95fff70,0x7ec003ff,0x3ff201ff,0x3ffff88f,0x541fffa0,0x3fe63fff,
    0x7fc0001f,0x3ffe605f,0x3fff3001,0x02fffc00,0xd800bffd,0x3f201fff,
    0x3ff201ff,0x9bffe41f,0x3ffee6ff,0x2137bf71,0x2ffffc98,0xc807fff2,
    0x3ff21fff,0x3fff201f,0x52ffa801,0x3e00ffff,0xfff984ff,0x00dfff33,
    0x2607ffc8,0xdff34fff,0x3ee5fff8,0xfff002ff,0xa8000005,0x7ffc2fff,
    0xff880002,0x806ffedf,0x20002fff,0xd8002fff,0x8cffb9ff,0x4ffabfff,
    0x3b7ffe20,0x3ffa06ff,0x0dfff707,0x7f6fffc4,0x7fec006f,0x3fff201f,
    0x05ffff50,0x7d41fffa,0x3ffe63ff,0x7ffc0001,0x03ffe605,0x00fffcc0,
    0x640bfff0,0x7ec006ff,0x3ff201ff,0x3fff201f,0x64fffd41,0x3fff63ff,
    0xffffff70,0x89ffffff,0x3201fffc,0x3ff21fff,0x3fff201f,0x11ffb801,
    0xfff0ffff,0x2e13ffe9,0x3ffa1fff,0x3ff6000f,0x57ffe607,0x3fe23ffc,
    0x13ffea4f,0x04f7ffc0,0x32ea2000,0x42fffeed,0x0009efff,0x7ffffec0,
    0xefff803f,0xfff80009,0x3f20009e,0xfefffaaf,0x02fffeff,0x7fffffec,
    0x21fffa03,0x401ffffa,0x3ffffffd,0x0fffec00,0x641fff90,0xfe81ffff,
    0x7fff507f,0x000fffcc,0x9817ffe0,0xf3000fff,0x7fc003ff,0x1ffee05f,
    0x03fffb00,0x900fffe4,0xff983fff,0xf10ffecf,0x7ffdcdff,0xffffffff,
    0x01fffc85,0xfc87fff2,0x3ff201ff,0x3f204c1f,0x217ffee7,0x9fff4fff,
    0xfc8dffb0,0xff1002ff,0x7ffc409f,0x7d41ffd7,0x37ffc3ff,0xfffffd80,
    0x00bdefff,0x3fffff22,0x6c2fffff,0xffffffff,0xfa800bde,0x800fffff,
    0xfffffffd,0xfb00bdef,0xdfffffff,0x3ffc817b,0xffdfffff,0xff5009ff,
    0x7401ffff,0xffeeffff,0xfa804fff,0x200fffff,0xfffffffd,0x325fffff,
    0x7ff40fff,0x3fff40ef,0x263fffa8,0x40001fff,0x3e605fff,0xff3000ff,
    0x7ffc003f,0x81ffee05,0xfffffffd,0x325fffff,0x3f201fff,0xffff81ff,
    0xfffd36ff,0x7fffecc5,0x901dffff,0x7ec03fff,0x3fff20ff,0x03fff601,
    0xffd79df9,0x05ffffb7,0x3ffe9fff,0x227ffc44,0x7004fffa,0xfe803fff,
    0x6c6ffbff,0x7fe41fff,0xffe8801f,0xffffffff,0xfffe881f,0xffffffff,
    0x7ffff442,0x1fffffff,0x4fffff80,0xffffd100,0x3fffffff,0xfffffd10,
    0x43ffffff,0xfff54ffb,0x00bfff33,0x027ffffc,0x3ffffffa,0x2004ffff,
    0x404fffff,0xfffffffd,0x325fffff,0x7fc40fff,0x3fff45ff,0x263fffa8,
    0x40001fff,0x3e605fff,0xff3000ff,0x7ffc003f,0x81ffee05,0xfffffffd,
    0x325fffff,0x3f601fff,0xfff980ff,0xffffefff,0x26a66205,0x2fffb800,
    0xf71fffa0,0x7ff405ff,0xfffffc87,0x4fffffff,0x3fe9fff0,0x17ffd44f,
    0x401fffe2,0xfb806ffe,0x264fffff,0xff985fff,0xfffa804f,0xffffeeee,
    0x7fff40ff,0x17ffd41d,0x3bbbffea,0x0ffffffe,0x07fffe40,0xeefffa80,
    0xffffffee,0x777ffd40,0xffffffee,0x0c4dff50,0x7fe4000c,0x7ff400ff,
    0x1dffffff,0x7fffe400,0x7fffec00,0xffffffff,0x203fff25,0x3a4ffffa,
    0xfff507ff,0x00fffcc7,0x0bfff100,0x8007ffcc,0x1001fff9,0x7dc0bfff,
    0x3fff607f,0xffffffff,0x0bffee5f,0x2607ffe8,0xffffffff,0x331000df,
    0x5fffa801,0xa8bfff10,0xff105fff,0xffff90bf,0x7fffffff,0xffa7ffc0,
    0x4fffe44f,0xfffe9999,0x1fffdc01,0x7ffffc40,0xffffa89f,0x03fffd01,
    0x982fffcc,0x3e22fffe,0xfff506ff,0x82fffcc5,0x402fffe9,0x3004fffc,
    0x3a60bfff,0x3fe62fff,0xfffd305f,0x007ffe25,0x3fff2000,0x8fffe804,
    0x32000099,0x00004fff,0x0005ffd1,0xfff70000,0x00fffcc5,0x09fff500,
    0x3003ffd4,0x2a003fff,0x3ea04fff,0x2000007f,0xf105fffa,0xffb80bff,
    0x002effff,0x2201fffc,0x7443ffff,0x7fc42fff,0x7ff443ff,0xfdca882f,
    0x802cefff,0x9fff4fff,0xfffffff8,0x04ffffff,0x801bffe2,0xfffffffb,
    0x2605ffff,0x3f206fff,0x3fee00ff,0x1bffe62f,0xc8bfff62,0x3ee00fff,
    0x3fe202ff,0xff9000ff,0x7ffdc01f,0x803fff22,0x3f22fffb,0x4400005f,
    0xe800ffff,0x100007ff,0x0001ffff,0x200fff60,0x00000998,0x7cc3fffb,
    0x320001ff,0x3f203fff,0x3fe6006f,0xfff9001f,0x0fffcc07,0x10066600,
    0xe887ffff,0x7e402fff,0x30001acf,0xf7001fff,0xfffdffff,0x3fee0bff,
    0xffffefff,0x5ff5005f,0xf4fff800,0x7ffcc9ff,0xffffffff,0x3ff606ff,
    0x7fdc001f,0x4fffffff,0x03fffc80,0x6c05fffb,0x3fe20fff,0x3ffa21ff,
    0x3fff62ff,0x03fff602,0x01ffff4c,0x405fffb0,0x3f60fffd,0x3ff602ff,
    0x13ffe60f,0xfd300298,0x3fa007ff,0xe980007f,0x00003fff,0xf001fff3,
    0x100007ff,0xff98ffff,0x202a201f,0x501ffff9,0x4c00bfff,0x01511fff,
    0x403ffff3,0x000efff8,0xb801fff5,0xffefffff,0xff805fff,0x7d40000f,
    0x3ff6006f,0xefffffff,0x3ffff600,0x00efffff,0x8003ff90,0x9fff4fff,
    0x7fffffe4,0xffffffff,0x04fffc80,0xfffffd00,0x3a2005df,0xffb83fff,
    0xda989bff,0xffe85fff,0xffffeeff,0x3ffee2ff,0xfda989bf,0x373625ff,
    0x4005ffff,0x89bffffb,0x45fffda9,0x89bffffb,0x85fffda9,0x99bdfffe,
    0x9b104fdb,0x00bffffb,0x4003fff4,0xffffdcd8,0x3ea00005,0xf3009aff,
    0x9d0001ff,0x89ffff97,0xeeeefff9,0x3337fe25,0x5c5ffffe,0x01ffffee,
    0x3ffbbbb6,0x99bff11f,0x00bffffd,0x1ddffff9,0x802ffe40,0xfffffffd,
    0x7d400eff,0xfc80005f,0x7f54003f,0x003fffff,0xffffffd5,0x07fd8007,
    0xff4fff80,0x037ff49f,0xf90ffff6,0x22000dff,0x001a9fff,0x85ffff30,
    0xffffffe8,0x80efffff,0xfffffffa,0x222fffaf,0xfffffffe,0x220effff,
    0x0effffff,0x7fff4400,0xffffffff,0x7fff440e,0xffffffff,0xffffb00e,
    0x209fffff,0xeffffff8,0x1fffa000,0x3fffe200,0x00000eff,0x0bffffe6,
    0x80037fd4,0xffffffff,0x7ffffcc0,0x3ffe27ff,0x0effffff,0x27ffffe4,
    0x3fffffa0,0xffff11ff,0x01dfffff,0xfffffd10,0x01ffec03,0xfffffd50,
    0x2aa6007f,0xaa980001,0x06a60000,0x00353000,0x4002f640,0x9fff4fff,
    0x5013ffe2,0x7fc4bfff,0xf70000ef,0x2600009f,0xfc886fff,0xefffffff,
    0x7fffd403,0x85ffd1df,0xffffffc8,0xff883eff,0x20003fff,0xffffffc8,
    0x32203eff,0xffffffff,0xfffc803e,0x101cffff,0x007fffff,0x000fffd0,
    0x07fffff1,0x3fee0000,0x7ff902ff,0x3fffe000,0xff980dff,0x227fffff,
    0xffffffff,0x3bfff903,0xfffffd00,0x3ffe23ff,0x003fffff,0x01fffeb8,
    0x40003ffe,0x000001a9,0x00000000,0x00000000,0x4fff8000,0x3fee9fff,
    0x7ffc401f,0x0002fd47,0x0000bff6,0x4c00ef98,0x001aacba,0x80004d44,
    0x01aacba9,0x0000d65c,0x2ab2ea60,0x65d4c001,0xa98001aa,0xcb8009ab,
    0x2620001a,0x59700019,0x10000003,0x554c0353,0x79530000,0x99998035,
    0xba981999,0x262009ac,0x4ccc4000,0xba981999,0x800009ac,0x01554018,
    0x00000000,0x00000000,0x00000000,0x4fff8000,0x3ff69fff,0x5fffd007,
    0xaa800018,0x09800002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff00000,0x0013ffe9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8d55400,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0000aa88,
    0x33301331,0x4c2a9800,0x2a600aaa,0x998800aa,0x13333109,0x400eb980,
    0xaaaaaaaa,0x0aaaaaaa,0x02eeb800,0x4cc04cc4,0x4c054401,0x0ae60002,
    0x2aaaaa00,0x26620001,0x55555400,0x0aaaaaaa,0x4cccc400,0x00055550,
    0x13333100,0x80266200,0x9aaaaaaa,0x26620001,0xb9530000,0x8800379b,
    0x57300000,0x88131000,0x26000099,0x54401999,0x2620000a,0x0004cc41,
    0x40004cc4,0x002980a8,0x42fffffa,0xffe8805c,0x005ffd34,0x7fe47fc8,
    0x3fff201f,0x77ffd401,0x03fffe88,0x2007fff4,0xfffffffd,0x2fffffff,
    0x01ffe800,0xe8a7ff44,0x3fea03ff,0x01bfea0e,0x017ffe60,0x5fffff88,
    0xdfff5000,0x3fffe201,0xffffffff,0x3ffe6000,0x01fffe4f,0xffff5000,
    0x3ffee007,0xfffff00e,0x017fffff,0x0ffffdc0,0xfffff500,0x801fffff,
    0x000efffb,0x017ffe60,0x7ec3ffb0,0xff90001f,0x7ff405ff,0x00b90bff,
    0xffd87ff2,0x7ffd4001,0x3fea000e,0x01bfea0e,0x3ffffff6,0x8803ffff,
    0x2fffeffd,0x646fe800,0x3f201fff,0x3fe601ff,0x3dffd15f,0x01fffd00,
    0xffffffd8,0xffffffff,0x37fc4002,0xffdffb00,0xfffd805f,0x00bfffa2,
    0x01ffff70,0x3ffffee0,0xfffb8007,0xff881fff,0xffffffff,0xff3000ff,
    0x7fff85ff,0x3fea0000,0xff7001ef,0xff01dfff,0xffffffff,0xff9001df,
    0x8803ffff,0xfffffffd,0x2a00ffff,0x006feeff,0x03fffee0,0xfefffa80,
    0xf90006ff,0x7ec01dff,0xffffffff,0xfffa803f,0x4006fffe,0x1ffffffb,
    0x45fffb00,0x5c02fffe,0xffffb9cf,0x7fec005f,0xff0002ff,0x01fffc8b,
    0x4c07fff2,0xfff33fff,0x7fff4009,0x77776400,0xeeeffffe,0x2e6201ee,
    0x004ffddd,0x017fffec,0xfb0fffe4,0xfa8003ff,0x3f6007ff,0x002fffff,
    0x3ee7bfee,0x7ffc41ff,0xeeeeeeef,0xfff9800e,0x07fff80d,0xbfff5000,
    0x3bff2001,0x7c1fffb8,0xfffeefff,0x7e405fff,0x1fffa8ef,0x3fffffa0,
    0x0fffeede,0x7fc53f20,0xfff50001,0xfff9000f,0x90003dff,0xf7007fff,
    0xfffff739,0x7ffe400b,0x2e001fff,0xfffb9eff,0x1fffc801,0x2007fff6,
    0x016edc42,0x001aaa80,0xfc89ff10,0x3ff201ff,0x4355501f,0x74001aaa,
    0x88000fff,0x4c005fff,0xffffffff,0x1aaa8003,0x887d9100,0xfb0002ed,
    0x7ffc003f,0x1004fffe,0x2aa98555,0x002fffc4,0x202aaa80,0x00007fff,
    0x44005555,0x1554c2aa,0xfb31bffe,0x55440fff,0xb8155442,0x500dffff,
    0x8afe401b,0x360001ff,0x930001ff,0x2200059b,0x0a001aaa,0x0005bb71,
    0x00179b73,0x2a615544,0x3ec8802a,0x000176c4,0x00000000,0x3f227fd4,
    0x3ff201ff,0x2000001f,0xffffeeee,0x01eeeeee,0x8017ffe2,0xfffffffb,
    0x00003fff,0x00000000,0x5fff5000,0x0000ffff,0x05fff880,0x7fc00000,
    0x0000007f,0xfff00000,0x3ffff10d,0xff100000,0x300007ff,0x00dffdff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3005554c,0x31001555,
    0x40379997,0xfffffec8,0x03fff91f,0x100fffe4,0x01379b73,0xfffffff0,
    0x3fffffff,0x02fffc40,0xceffffa8,0x01fffffe,0xcdecba88,0x5cc400ab,
    0x00009bcd,0x37999731,0xfdbffe40,0x2a2001ff,0x0abcdecb,0x0017ffe2,
    0x9bd97510,0x3fffc157,0x7fffc400,0x8001ffff,0x1bcddca9,0xfd837ffc,
    0x7ffe82ff,0x6fffb800,0x3faa0000,0x260000df,0x01bcddca,0x33772a60,
    0x2e62001b,0x8801bccc,0x009bcdb9,0x5e6dcc40,0x5cc40009,0x4c009bcd,
    0x2a600aaa,0x7ffe40aa,0x07fff201,0xfffffd88,0xffa85fff,0x2fffffff,
    0x6403fff9,0xff301fff,0x03ffffff,0xfffffff8,0x1fffffff,0x017ffe20,
    0xfb1ffff4,0xb80dffff,0xffffffff,0x3ffe603f,0x001fffff,0x3fffff62,
    0xffd05fff,0x00fffeeb,0x7fffffdc,0x3fe23fff,0x3ee0005f,0xffffffff,
    0x001fffe3,0x3fffffe2,0x3ea001ff,0xffffffff,0x20dfff0f,0xfe80fffe,
    0xffd8007f,0x2a00002f,0x8001aaaa,0xfffffffa,0x3ea00fff,0xffffffff,
    0x3ff6200f,0x05ffffff,0x3fffffe6,0xff3001ff,0x03ffffff,0x3ffffe60,
    0x3f201fff,0x3ff201ff,0x0fffe41f,0x203fff90,0xfffffffa,0x7fd45fff,
    0xffffffff,0x403fff92,0xfc81fffc,0xffffffff,0x3ffa003f,0xff88000f,
    0xfffa805f,0x3fbffe24,0xfffb00ff,0x7fffffff,0x3fffff20,0x803fffff,
    0xfffffffa,0xff985fff,0x0dfff33f,0xffffffb0,0x7c47ffff,0xfb0005ff,
    0xffffffff,0x03fffc7f,0x7f777440,0xd8801fff,0xffffffff,0xdfff0fff,
    0x20dfff70,0xe8007ffe,0x00000fff,0x0bfffff1,0x7fffec40,0x0fffffff,
    0xfffffd88,0x00ffffff,0xfffffff5,0x3f20bfff,0xffffffff,0x7ffe403f,
    0x3fffffff,0x7ffffe40,0x903fffff,0x7e403fff,0x7ffe41ff,0x07fff201,
    0x3fffffea,0x225ffedd,0xfdaeffff,0xfff91c9f,0x0fffe403,0x3bffffea,
    0x01fffffe,0x001fffd0,0x00bfff10,0x7d41fffd,0x82fffbdf,0xcceffffb,
    0xfa83fedc,0xffeeffff,0x3ea01fff,0xeddfffff,0xfffb85ff,0x803fffa1,
    0xcceffffb,0x3e23fedc,0xffffffff,0xfffb85ff,0xfedcccef,0x001fffe3,
    0x00fffec0,0x77fffff4,0xf0fffeed,0xfd975dff,0x3fa03fff,0xfff8007f,
    0x77777447,0x3fee00ee,0x3a007fff,0xedefffff,0xfe80fffe,0xeedeffff,
    0xffa80fff,0xfeddffff,0xffffa85f,0xfffffeef,0xfffff501,0x3fffffdd,
    0x3ffffea0,0x1fffffee,0x201fffc8,0x7e41fffc,0x3ff201ff,0xffffe81f,
    0x3f23a882,0x21bfa5ff,0x3201fffc,0x7ff41fff,0x7fff444f,0x1fffd005,
    0xbfff1000,0xd8dfff00,0x3fff9aff,0x203ffff8,0x4fffe808,0x02ffff44,
    0x105ffffd,0x8dffb075,0x3e02fffc,0x82203fff,0xfffffff8,0xff85ffff,
    0xf82203ff,0xb00007ff,0xfb803fff,0xb500dfff,0x3fffffe1,0x201effff,
    0x44007ffe,0x7fc46fff,0x200fffff,0x2ffffffd,0xdffffb80,0xfb81b500,
    0xb500dfff,0x5ffffd01,0xffd07510,0xfffe889f,0x89fffd05,0xd05fffe8,
    0xfe889fff,0xfffc85ff,0x07fff201,0x6403fff9,0x7fdc1fff,0x3fa000ef,
    0x217fe2ff,0x3201fffc,0x3fee1fff,0xffff105f,0x1fffd001,0xbfff1000,
    0x45fff880,0xfff88fff,0x03fffc44,0x82fffdc0,0xb80ffff8,0x4000efff,
    0x7d44fff8,0xfff104ff,0xfff8800f,0xffffffff,0x03fffc45,0x001fffe0,
    0x00fffec0,0x007ffff1,0xfffffff8,0xffe803ff,0xff300c47,0xffff88df,
    0x3fe00fff,0x404fffef,0x003ffff8,0x03ffff88,0x1dfff700,0x5fffb800,
    0x81ffff10,0xf105fffb,0xffb81fff,0xffff105f,0x01fffc81,0xf907fff2,
    0x7fe403ff,0x17fffc1f,0x43fffe00,0xffc84ff8,0x3fff201f,0x807fffa1,
    0xe803fffd,0x88000fff,0x7cc05fff,0x97fea4ff,0x7fcc6fff,0x7f4000ff,
    0x3ff601ff,0x2ffff83f,0x2fffa800,0x983fffc4,0x2000ffff,0x4005fff8,
    0x000ffff9,0x0001fffe,0x700fffec,0xf000dfff,0xfffd9fff,0x6ffe807f,
    0x83dfffd5,0xaa87fff8,0x500fffda,0xffff5fff,0x06fffb80,0x0dfff700,
    0x17fffc00,0x0ffff400,0xe87fffb0,0x3f601fff,0x7fff43ff,0x0ffff601,
    0x6403fff9,0x7fe41fff,0x3fff201f,0x01fffe61,0x4cdfff10,0xfffc83ff,
    0x87fff201,0x7d407fff,0xffe804ff,0xff88000f,0x7ffd405f,0xff8fff23,
    0xeffff87f,0x1fffe001,0x989fff50,0x90007fff,0x33333fff,0x3e03fffd,
    0x1001efff,0xf000bfff,0x2003dfff,0x00007fff,0x6c03fffb,0xf8002fff,
    0x3ffea6ff,0x3bffa00f,0xfffffffb,0x007fffc1,0x3201fff9,0x3fffb7ff,
    0x017ffec0,0x02fffd80,0x0ffff300,0x01fffe00,0xff89fff5,0x7ffd407f,
    0x203fffc4,0x7e44fffa,0x3ff201ff,0x0fffe41f,0x543fff90,0x44005fff,
    0x3fea7fff,0x01fffc82,0x7c43fff6,0x7fcc06ff,0xfffe805f,0xfff88000,
    0x27ffd405,0x7ffc1fff,0xfffffd86,0x3fe200ae,0x7ffcc06f,0x02fffd45,
    0xffffff80,0x4fffffff,0xdfffffb0,0x7ffc4015,0xfffd8005,0x3e00aeff,
    0xb00007ff,0x7f403fff,0xff8000ff,0x2fffe46f,0xffffffd0,0xd8dfffff,
    0x3f202fff,0xbffd00ff,0xe80fffee,0xd0000fff,0x20001fff,0x8005fffa,
    0x4c06fff8,0x3fe25fff,0x7ffcc06f,0x01bffe25,0xfc8bfff3,0x3ff201ff,
    0x0fffe41f,0x5c3fff90,0xf8004fff,0x1ff70fff,0x405fff70,0x3fe67ffe,
    0x7ffc405f,0x0fffe806,0x5fff8800,0x9a7ffcc0,0x2fffc6ff,0x7fffffc4,
    0xff980cff,0x7ffc405f,0x027ffdc6,0x7ffffcc0,0xffffffff,0xfffff106,
    0xf1019fff,0xf1000bff,0x9fffffff,0x00ffff01,0x07fff600,0x7447fff8,
    0xf0eeeeee,0xfff88dff,0xffffd01f,0xffff519f,0x037ffe43,0xf301fff9,
    0x3ffe67ff,0x11fffe06,0x1ddddddd,0x3a23fffc,0x20eeeeee,0x8004fffb,
    0x4405fff9,0x3fe66fff,0x7ffc405f,0x017ffe66,0xfc8dfff1,0x3ff201ff,
    0x0fffe41f,0x643fff90,0xe8003fff,0x0ff94fff,0x4417ffea,0x3fea5fff,
    0x7ffc404f,0x2fffd807,0x5fff8800,0xcafffcc0,0x3ffe23ff,0xffffd104,
    0xfa87ffff,0x7fc404ff,0x1fffe47f,0x7fffe400,0xffffffff,0xffd100ff,
    0x87ffffff,0x0005fff8,0xffffffd1,0x7fff87ff,0xfffb0000,0x1bffe203,
    0xfffffff1,0x321bffe1,0xffd04fff,0xfffc83ff,0x13fffe22,0x5c07ffe4,
    0x3ffa1fff,0x6fff880f,0x7fffffc4,0x8dfff10f,0xfffffff8,0x00ffff20,
    0x013ffea0,0x7d4ffff1,0x7fc404ff,0x13ffea7f,0xc8ffff10,0x3f201fff,
    0x7ffe41ff,0x87fff201,0x8004fffc,0xfedffffb,0x3fe23516,0x7ff443ff,
    0x17ffea2f,0x00dfff10,0x001bfff9,0x405fff88,0xffd7fff8,0x01fffd41,
    0x3fffffaa,0x3ffea4ff,0x37ffc405,0x0013fff2,0xfb01bffa,0xfea807ff,
    0x24ffffff,0x999efff8,0x54019999,0xfffffffe,0x267fffe4,0x00999999,
    0x301fffd8,0xff88dfff,0xff0fffff,0xffff30df,0x05fffd01,0xfb87fff5,
    0xb31aefff,0xffb01fff,0x82fffc8d,0x7c46fff9,0x30ffffff,0xff88dfff,
    0x320fffff,0xa8004fff,0x7c405fff,0x3ffea6ff,0x37ffc405,0x880bfff5,
    0x7fe46fff,0x3fff201f,0x00fffe41,0x7dc3fff9,0xfd0004ff,0xffffffff,
    0x7fffdc5f,0x6fffffef,0x202fffcc,0xa805fff8,0xeeefffff,0x3ffe201f,
    0xbfffe805,0x7ffec6ff,0xfff93001,0x3fe65fff,0x7ffc405f,0x027ffdc5,
    0x013ffe20,0x200bfff5,0xffffffc9,0xffffff12,0x01ffffff,0xfffff930,
    0x3ffffe5f,0x4fffffff,0x01fffd80,0x550ffff1,0x3e1fffb5,0xfffb06ff,
    0x20fffd09,0xfe83fffa,0xffffffff,0x7fc40fff,0x27ffd44f,0x543fffc4,
    0x10fffdaa,0x5550ffff,0x7dc1fffb,0xf98004ff,0x7fc405ff,0x17ffe65f,
    0x4cbfff10,0x7c405fff,0x7ffe45ff,0x07fff201,0x6403fff9,0x3fea1fff,
    0xfd10005f,0xffffffff,0xfffffd85,0x440effff,0x7cc06fff,0xffb004ff,
    0x03ffffff,0x402fffc4,0x4ffffffb,0x0017ffe6,0x53ffff22,0x4c06fff8,
    0x7fd44fff,0x7fdc005f,0x7ffc401f,0x7fe44007,0xffff14ff,0xffffffff,
    0x7fe44001,0xfffff4ff,0x9fffffff,0x03fffb00,0x9007fffc,0x3ffe1fff,
    0x1ffff506,0xf507ffe8,0x3ff207ff,0xffffffff,0x17ffd40f,0x7c1fffe2,
    0x3f200fff,0x3fffe0ff,0x83fff200,0x8005fffa,0x4c06fff8,0x3fe24fff,
    0x7ffcc06f,0x01bffe24,0xfc89fff3,0x3ff201ff,0x0fffe41f,0x4c1fffb0,
    0x0000ffff,0xffffff91,0xffd703df,0x7c07dfff,0x3ee00fff,0x3ee003ff,
    0x01ffffff,0x2017ffe2,0x9ffffff8,0x01ffffa8,0x9bfff200,0x2e00ffff,
    0x7fcc3fff,0x3f6000ff,0xfffd007f,0xfff90005,0x3ffffe2d,0x0fffffff,
    0x6fffc800,0xffffffff,0xb009ffff,0x7ec03fff,0x3ff202ff,0x40dfff0f,
    0x7f44fffe,0x7fff507f,0x7fffed40,0xfc81cfff,0xe99999ff,0xffd81fff,
    0x3fff202f,0x80bfff60,0x3e60fffc,0xf8000fff,0x3ee00fff,0x7fffc3ff,
    0x0fffee00,0x5c01ffff,0x7fe43fff,0x3fff601f,0x017ffdc0,0xff88fffd,
    0xb80004ff,0x9000acff,0xfe801dff,0x3ffa02ff,0xa998001f,0x20000009,
    0xfffffffb,0x0005ffff,0xfd2fffd4,0x7ff405ff,0x7fffc41f,0x26000004,
    0x50000fff,0x6400bfff,0xf50005ff,0x00000bff,0x900fffec,0x7e40dfff,
    0x400000ff,0xff507ffe,0x2662007f,0x7fffc009,0xffffffff,0x6fffc84f,
    0xc83fff20,0x3f206fff,0x3ffe20ff,0xffe8004f,0x3fffa02f,0x017fff41,
    0xfe83fffd,0x3ffa02ff,0x17ffdc1f,0xf50fffd0,0x3fe20bff,0xffffc85f,
    0x3ee00403,0x3fe6001f,0xfffa800f,0x6fffa80e,0x004cc400,0x0004cc40,
    0xfffffff7,0x800409ff,0x3ea4fffc,0xffa80eff,0xffff906f,0x88000807,
    0x00081fff,0x2009fff9,0x00086ffa,0x4c09fff9,0xffb00019,0x7ffc403f,
    0x1fff904f,0x8004cc40,0xff507ffe,0x1331007f,0xfffff300,0xffffffff,
    0x9ffff10d,0x883fff20,0xf904ffff,0xfffc81ff,0x3ea0403f,0xffa80eff,
    0xefffa86f,0x86fffa80,0xa80efffa,0xffa86fff,0xbfff105f,0x87ffff10,
    0x882fffe8,0x9bdfffff,0x6405eca9,0x3f2000ff,0x3ffa005f,0xffc99aef,
    0x7fc001ff,0xfff8003f,0x7fff4003,0x5c02efff,0x93109bdf,0xfe85ffff,
    0xfc99aeff,0xff101fff,0x5337bfff,0xf7000bd9,0x2f7ee0df,0xfff93109,
    0x3ffa005f,0x09bdfb83,0x5ffff931,0x003ffea0,0x007fff60,0x35dffff7,
    0x803fff66,0xfd003fff,0x3ffea0ff,0x03fff803,0xffffffc8,0xffffffff,
    0xeffffb80,0x1fffb31a,0xaeffffb8,0x81fffb31,0xbdfffff8,0xe85eca99,
    0xc99aefff,0xfd01ffff,0xf9335dff,0x3fa03fff,0xfc99aeff,0xff881fff,
    0x7ff443ff,0xffff702f,0xbfffffdf,0x7ffffdc0,0x05ffffff,0x36003fec,
    0xb8019eff,0xffffffff,0x4c005fff,0x4c000fff,0x22000fff,0x001a9fff,
    0x3fffffee,0x84ffffff,0xfffffffb,0x5c05ffff,0xffffffff,0xc8005fff,
    0x7dc19fff,0xffffffff,0x3e004fff,0x3ee09dff,0xffffffff,0x3f204fff,
    0xffb0005f,0xfffd003f,0xffffffff,0x3ffe601f,0x0fffd000,0x300fffea,
    0xfd001fff,0xfffd80df,0xfffffd03,0x1fffffff,0xffffffd0,0x01ffffff,
    0xfffffff7,0xf70bffff,0xffffffff,0x7fdc0bff,0xffffffff,0x3ffee05f,
    0xffffffff,0x3fffee05,0x5fffffef,0x7ffffec0,0x400effff,0xffffffe9,
    0x7f405fff,0x7ffe4006,0xfff5007f,0x09ffffff,0x00dff500,0x800dff50,
    0x70004ffb,0xffffffff,0x7d40bfff,0xffffffff,0xfffd3004,0x0bffffff,
    0xfffff700,0x7ffffdc1,0x05ffffff,0x2fffff40,0xfffffff7,0xd80bffff,
    0xffd803ff,0xffffffff,0xfff905ff,0xffffffff,0x01bfea01,0xf507ffe8,
    0xffa807ff,0x4fff8806,0x02fffd40,0xfffffff9,0x3201ffff,0xffffffff,
    0xfd300fff,0xffffffff,0x3fffea0b,0x804fffff,0xfffffffa,0xffa804ff,
    0x4fffffff,0xfffffd80,0x800effff,0xffffffea,0x7ff64003,0x401cefff,
    0x744005ff,0x26007fff,0x2efffffd,0x07ff9000,0x007ff900,0x0002ffd8,
    0xffffffb3,0xb3003bff,0x05dfffff,0xffffd900,0x200039df,0x260ffffd,
    0xfffffffd,0xe98001df,0x3f665fff,0xdfffffff,0x00fff801,0xffffffd8,
    0x05ffffff,0x3fffff6a,0x3f201cff,0x3ffa003f,0x07fff507,0xb803ffc8,
    0x7c401fff,0x7ed407ff,0x1cffffff,0x7fffed40,0xc801cfff,0xcefffffe,
    0x3fff6601,0x26002eff,0x2efffffd,0x3fff6600,0x2a002eff,0x3ffffffe,
    0x00353000,0x80066200,0x30004ff8,0x22000135,0xa980001a,0xaa98000a,
    0x01554000,0x9a998800,0x06a20000,0x01988000,0x02662000,0x009a9988,
    0x01353000,0x0026a662,0x36005550,0xffffffff,0x1005ffff,0x26001333,
    0x3fa000aa,0x7fff507f,0x800aa980,0xfd007ffd,0x262005ff,0x31000099,
    0x44000133,0x35100019,0x03510000,0x00351000,0x00035300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0xaaaaaaaa,0x5530aaaa,0x55544055,
    0x00998800,0x40266200,0x2aa02aaa,0x999881aa,0xaaa98001,0x1555100a,
    0x99998800,0x33310000,0x33331013,0x99880000,0x02aa2000,0x4c054400,
    0x404cc402,0x22000199,0x00009999,0x00013333,0x40266662,0x09988199,
    0x26662000,0x09988009,0x00000000,0x00133331,0x10001331,0x80053015,
    0x22000998,0x20001999,0x09988199,0x001dc400,0x64013310,0xffffffff,
    0xff71ffff,0x3fe607ff,0x7ffd401f,0xffa8000e,0x7fff80ef,0x01ffff90,
    0x00bfffd3,0x04ffffb8,0x4003fff3,0x004ffff9,0x09ffff30,0x017fffa6,
    0x77ffdc00,0xffffe800,0xfa80b90b,0x1bfea0ef,0xd14ffe88,0x260007ff,
    0x0004ffff,0x003dfffb,0x09ffff30,0xfc8f7fdc,0xf30000df,0xf5009fff,
    0x7f401dff,0x3000006f,0x5009ffff,0x4001dfff,0x3ea0effa,0xfff5006f,
    0x3fa6001d,0xf70005ff,0x37ff23df,0x3ffe2000,0xfffa8005,0xffff900e,
    0xffffffff,0x1bfffee3,0x700fffcc,0x03ffffff,0x7ffffdc0,0x43fffc1f,
    0x401ffff9,0x2005fffc,0x80fffffb,0x3001fff9,0x0005ffff,0x00bfffe6,
    0x0017fff2,0xdfffff70,0x7fffec01,0x03ffffff,0xfe8bfff6,0x7fec02ff,
    0x0002fffe,0x005ffff3,0x013fff60,0x17fffcc0,0x7f7ffd40,0x3e60005f,
    0xfb802fff,0x701fffff,0x00003fff,0x02ffff98,0xffffffb8,0x5fffb001,
    0x2017fff4,0x1ffffffb,0x17fff200,0x77ffd400,0xfb8005ff,0x2e000fff,
    0x81ffffff,0xfffeeeeb,0xf71eeeef,0xf307ffff,0x3fee03ff,0x01fffb9e,
    0xfb9effb8,0x1fffe1ff,0x4013fffa,0x7005fffa,0x307fffff,0xf3003fff,
    0x20001bff,0x000dfff9,0x0017ffea,0x7dc77fe4,0x39f701ff,0x0bfffff7,
    0x361fffc8,0xfd801fff,0x30002fff,0x0001bfff,0x000bfff6,0x006fffcc,
    0x0bffff50,0x6fffcc00,0x9effb800,0xf881fffb,0x200004ff,0x800dfff9,
    0xffb9effb,0xfffc801f,0x807fff61,0xffb9effb,0x3fea001f,0xff50005f,
    0x2a000bff,0x2e007fff,0xfffb9eff,0x2fffc401,0xdfffff70,0x103fff30,
    0x2aa98555,0x26155440,0x1fffe2aa,0x800dfff7,0xb801aaa8,0x987fffff,
    0xaa801fff,0x5540002a,0x5510002a,0xaa880035,0x501554c2,0x802ddb88,
    0x76c43ec8,0x06aaa002,0x02aaa800,0x02aaa600,0x02aaa800,0x00555300,
    0x002aaa80,0xaa985551,0x01fff902,0x0aaaa000,0x26155440,0xec8802aa,
    0x10176c43,0x2aa98555,0x0d554400,0x02aa9800,0x017fe400,0x54c2aa88,
    0x7ffc402a,0x3fffee05,0x7ffcc3ff,0x00000001,0xf33fffc0,0x00003fff,
    0xfffff700,0x1fff985f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1fffcc00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x3ee05fff,0x4c7ffeff,0x2aa61fff,
    0x2aaa600a,0xaaaaaa80,0x3fe2aaaa,0x0ffffa7f,0x79b73100,0x7ffdc013,
    0x7fcc6ffe,0x36e6201f,0x54c009bc,0x2aa600aa,0x02aaa60a,0x800aaa98,
    0x1bcccb98,0x8055554c,0x54c0aaa8,0xaaaaaaaa,0x2aa60aaa,0x555100aa,
    0x055554c1,0xa80aaa88,0x19aaaaaa,0x2aaaaa00,0x0aaaaaaa,0xaaaaaaa8,
    0x2aaa0019,0xaaa98002,0xaaaaaaaa,0x06ffd80a,0xaaaaa980,0x0aaaaaaa,
    0x22005553,0x555502aa,0x55555555,0x006aaa61,0x5302aaaa,0x55555555,
    0xaa981555,0x0009aaaa,0x2aaaaaa6,0x80aaaaaa,0xaaaaaaaa,0xf100aaaa,
    0x7fdc0bff,0x263fffaf,0x3ff21fff,0x3fff201f,0x7ffffc41,0xf0ffffff,
    0x3ffeefff,0x7ffcc005,0x701fffff,0x5fff7fff,0x980fffcc,0xffffffff,
    0x07fff201,0x321fffc8,0x3f201fff,0x3f6201ff,0x5fffffff,0x413fffee,
    0x7e41fff9,0xffffffff,0x3fee1fff,0xfff304ff,0x27fffdc3,0xf81fff98,
    0xffffffff,0x3fe200bf,0xffffffff,0xffff80ff,0x0bffffff,0x003fffc0,
    0x7fffffe4,0x81ffffff,0x4002fffa,0xfffffffc,0xf71fffff,0x3fe600ff,
    0xfffff887,0x0fffffff,0x880dfff5,0xffc86fff,0xffffffff,0x7ffe41ff,
    0x1dffffff,0x7ffffe40,0x1fffffff,0x7fffffc4,0x00ffffff,0x5c0bfff1,
    0x4fffd7ff,0x3f21fff9,0x3ff201ff,0x7fffc41f,0x0fffffff,0xfff1ffff,
    0x7fe4001f,0xffffffff,0xf8fffb83,0x3ffe65ff,0xfffffc81,0x903fffff,
    0x7e403fff,0x3fff21ff,0x07fff201,0x7fffffd4,0x3ee5ffff,0xf980ffff,
    0x7ffe41ff,0xffffffff,0x3fffee1f,0x1fff980f,0x03ffffee,0x3e07ffe6,
    0xffffffff,0xff100eff,0xffffffff,0xffff01ff,0xdfffffff,0x03fffc01,
    0x7ffffe40,0x1fffffff,0x800bffd0,0xfffffffc,0xf51fffff,0x3fe600ff,
    0xfffff887,0x0fffffff,0xc80bfffa,0xffc82fff,0xffffffff,0x7ffe41ff,
    0xffffffff,0x3ffff204,0xffffffff,0x7ffffc41,0x0fffffff,0x40bfff10,
    0xfff57ffb,0xc87ffe67,0x3f201fff,0x777441ff,0xffffeeee,0xffbffff0,
    0x7fd4005f,0xfffeefff,0xbffdc1ff,0xff31fffc,0xffffa83f,0xfffffeef,
    0x01fffc81,0xfc87fff2,0x3ff201ff,0xffffa81f,0x5ffeddff,0x0fffffee,
    0xd707ffe6,0xdffffddd,0x7fdc3ddd,0xff983fff,0x3fffee1f,0x1fff983f,
    0xfeeffff8,0x105fffff,0xddddffff,0xff01dddd,0xffffddff,0x7ffc0bff,
    0xeeeb8007,0xeeeffffe,0x3fff701e,0x77775c00,0xeeeeffff,0x200fff51,
    0xff887ff9,0xeeeeeeff,0x3ffea0ee,0x0dfff106,0x3ffbbbae,0x41eeeeff,
    0xfeeefffc,0x705fffff,0xffffdddd,0xf883dddd,0xeeeeefff,0xff100eee,
    0x3ffdc0bf,0x3fe6fffd,0x07fff21f,0x001fffc8,0xff87ffec,0x006fffff,
    0x2227fff4,0x7dc5fffe,0x2bfff17f,0x7f41fff9,0x7ff444ff,0x1fffc85f,
    0xc87fff20,0x3f201fff,0xfffe81ff,0x2e3a882f,0x987fffff,0x7c401fff,
    0x7fdc05ff,0xff987fff,0x3fffee1f,0x1fff987f,0x6cc6fff8,0xff107fff,
    0x3fe000bf,0x7ffecc6f,0x01fffe07,0x17ffe200,0x04fff880,0x17ffe200,
    0x3007ff98,0xfff10dff,0xfffd000b,0x05fff903,0x017ffe20,0xd303fff2,
    0x1003ffff,0xf100bfff,0x44000bff,0x3ee05fff,0x2fffea7f,0x3f21fff9,
    0x3ff201ff,0x7fec001f,0xfdffff0f,0x3ee007ff,0xfff105ff,0xb3ffdc1f,
    0xfff31fff,0x82fffdc3,0x640ffff8,0x3f201fff,0x3fff21ff,0x07fff201,
    0x001dfff7,0x7fffffdc,0x00fffcc2,0x7017ffe2,0x85ffffff,0x3ee1fff9,
    0x4c2fffff,0xfff81fff,0x1ffff886,0x005fff88,0xf10dfff0,0x3fe03fff,
    0xf880007f,0x7e4005ff,0xf10000ff,0x7fcc0bff,0x6ffa800f,0x005fff88,
    0x445fffa8,0x22006fff,0xfc805fff,0xfffb00ff,0xbfff100d,0x0bfff100,
    0x2fffc400,0xfe8fff70,0x21fffaff,0x3201fffc,0x6c001fff,0xffff0fff,
    0x003ffff3,0x6c03fffd,0x3fee3fff,0x273ffe67,0x3ffa1fff,0x3fff601f,
    0x00fffe43,0x7e43fff9,0x3ff201ff,0x17fffc1f,0x3bffee00,0x7ffcc6ff,
    0x2fffc401,0x3fbffee0,0x0fffcc6f,0xdffdfff7,0xf81fff98,0xfffb06ff,
    0x0bfff105,0x41bffe00,0xff02fffd,0xf10000ff,0xf9800bff,0xf10003ff,
    0x7fc40bff,0xf506620f,0xbfff10bf,0x3fffa000,0x00bfff21,0x805fff88,
    0xf100fffc,0xf8803fff,0xff8805ff,0x3e20005f,0x3fee05ff,0x7efffd47,
    0x3fff21ff,0x07fff201,0x21fffb00,0xfff97fff,0x0ffff00d,0x2e4fffa8,
    0x7fff47ff,0x3fe1fff9,0x7ffd407f,0x00fffe44,0x7e43fff9,0x3ff201ff,
    0x1fffe61f,0x2fffee00,0x3fe62fff,0x7ffc401f,0x5fffdc05,0x3fe62fff,
    0x2fffee1f,0x3fe62fff,0x06fff81f,0xf101fffd,0x3e000bff,0xfffd06ff,
    0x01fffe01,0x17ffe200,0x01bff600,0x02fffc40,0x7dc1fff1,0x217fea2f,
    0x0005fff8,0x3e2bfff5,0x7c4006ff,0xffc805ff,0x3fff600f,0x2fffc402,
    0x02fffc40,0x0bfff100,0x7f43ffdc,0x321fffff,0x3f201fff,0x7ec001ff,
    0x2ffff0ff,0x204fffe8,0x4c06fff8,0x3fee5fff,0x7efffd47,0xdfff11ff,
    0x45fff980,0x3201fffc,0x3ff21fff,0x3fff201f,0x017ffea1,0x3e3ffee0,
    0x3ffe65ff,0x2fffc401,0x3e3ffee0,0x3ffe65ff,0x3e3ffee1,0x3ffe65ff,
    0xb86fff81,0xff106fff,0x3fe000bf,0x6fffb86f,0x001fffe0,0x017ffe20,
    0x00bffea0,0x017ffe20,0x7ff41fff,0x2213fee4,0x20005fff,0xffc8fffe,
    0x7fc4002f,0xfffc805f,0x0ffff200,0x00bfff10,0x000bfff1,0x702fffc4,
    0xfff50fff,0x7fe43fff,0x3fff201f,0x7ffec001,0x7d4ffff0,0xff301fff,
    0xfff880bf,0x3a1ffee6,0x31ffffff,0xf880bfff,0x7ffe46ff,0x87fff201,
    0x3201fffc,0x3fee1fff,0xffb8004f,0x263fff97,0x7c401fff,0x7fdc05ff,
    0x263fff97,0x3fee1fff,0x263fff97,0xfff81fff,0xfffecbae,0xffff101f,
    0xbfffffff,0x2ebbffe0,0x01ffffec,0x0001fffe,0x0017ffe2,0x4002fff4,
    0x7c05fff8,0xffff11ff,0x7c427fdc,0xffffffff,0x3fea05ff,0x006fffcf,
    0x805fff88,0x2e00fffc,0x7c404fff,0xff8805ff,0xffffffff,0x3ffe205f,
    0x41ffee05,0x21fffffe,0x3201fffc,0x6c001fff,0xffff0fff,0x506fffd8,
    0xf8809fff,0x1ffee7ff,0x3fffffee,0x809fff51,0x7e47fff8,0x3ff201ff,
    0x07fff21f,0x321fffc8,0xb8003fff,0xbfff17ff,0x1007ffe6,0xfb80bfff,
    0x2bfff17f,0x3ee1fff9,0x2bfff17f,0xff81fff9,0xffffffff,0x3ffe201e,
    0xffffffff,0xffffff05,0x803dffff,0x80007fff,0x0005fff8,0x8001fff7,
    0x7c05fff8,0xffff71ff,0x2213fee3,0xffffffff,0x7f405fff,0x002fffff,
    0x805fff88,0x2a00fffc,0x7c405fff,0xff8805ff,0xffffffff,0x2a66625f,
    0x1999efff,0x7d41ffee,0x3f21ffff,0x3ff201ff,0x7fec001f,0x88ffff0f,
    0xfa84ffff,0x7fc405ff,0x21ffee6f,0x1ffffff8,0x880bfff5,0x7fe46fff,
    0x3fff201f,0x807fff21,0x3f21fffc,0xfb8004ff,0x23fff67f,0x4401fff9,
    0x7dc05fff,0x23fff67f,0x3ee1fff9,0x23fff67f,0xff81fff9,0x3fffffff,
    0xfffff880,0x05ffffff,0xffffffff,0x3ffe007f,0xff880007,0xff10005f,
    0xff88009f,0x8fff405f,0xf74ffffd,0xffff107f,0xbfffffff,0xfffffa80,
    0xfff10006,0x1fff900b,0x027ffdc0,0x2017ffe2,0xfffffff8,0x3f25ffff,
    0xffffffff,0xfff71fff,0x0fffff40,0x6403fff9,0x6c001fff,0xffff0fff,
    0x83ffff70,0x4405fff9,0x3fee5fff,0xfffff907,0x017ffe63,0xfc8bfff1,
    0x3ff201ff,0x07fff21f,0x2e1fffc8,0xb8004fff,0x3ffe67ff,0x401fff9c,
    0x5c05fff8,0x3ffe67ff,0x2e1fff9c,0x3ffe67ff,0xf81fff9c,0xfffecfff,
    0x7ffc403f,0xffff0005,0x07ffffd9,0x000ffff0,0x00bfff10,0x007ffe40,
    0x80bfff10,0xdff89ffe,0x07ff96ff,0x000bfff1,0x05ffffd0,0x17ffe200,
    0x803fff20,0x4403fffb,0xf8805fff,0x3f2005ff,0xffffffff,0xfff71fff,
    0x0ffffd40,0x6403fff9,0x6c001fff,0xffff0fff,0x83bfffa0,0x4c06fff8,
    0x3fee4fff,0xfffff107,0x01bffe23,0xfc89fff3,0x3ff201ff,0x07fff21f,
    0x2a1fffc8,0xb8005fff,0x7fff47ff,0x4401fff9,0x7dc05fff,0x4ffff47f,
    0x3fee1fff,0x7cffff47,0x6fff81ff,0x803fffea,0x0005fff8,0x7fd4dfff,
    0x7ffc00ff,0xff880007,0x3e60005f,0x3e2003ff,0x7fec05ff,0xfffaffaa,
    0xf882ffc8,0xa80005ff,0x20006fff,0xc805fff8,0x3f200fff,0x7fc402ff,
    0xfff8805f,0x3fff2005,0xffffffff,0x80fff71f,0x3f21fffe,0x3ff601ff,
    0x7ff4000f,0x20ffff0f,0x7c4ffff9,0x3ee00fff,0x1ffee3ff,0x21ffffd8,
    0x2e00ffff,0x7fe43fff,0x3fff601f,0x807fff20,0x3e60fffd,0x5c000fff,
    0x7ffd47ff,0x4401fffd,0x7dc05fff,0x6fffd47f,0x3fee1fff,0x7efffd47,
    0x6fff81ff,0x102fffe4,0x2000bfff,0x7fe46fff,0x3fffc05f,0x7ffc4000,
    0x7ff40005,0x3ffe2006,0x6d7fec05,0xfb7ff97f,0xbfff105f,0xfff30000,
    0x7fc4000b,0xfffc805f,0x3ffff100,0x05fff880,0x005fff88,0x02ffdc00,
    0x20fffc80,0x3a02fffb,0xff8007ff,0xe800007f,0x3fa02fff,0x800001ff,
    0x3a02fffe,0x7fdc1fff,0x1fffa02f,0x7405fff7,0x7ffc47ff,0x7fdc004f,
    0xfffffe87,0x7ffc401f,0x43ffdc05,0x1ffffffe,0x3fa1ffee,0xf81fffff,
    0x7ffc46ff,0xbfff101f,0x1bffe000,0x403ffff1,0x80007fff,0x0005fff8,
    0x800fffd4,0x6c05fff8,0xf55ffbff,0x103ffbbf,0x0000bfff,0x000bfff3,
    0x402fffc4,0xf700fffc,0xff100dff,0xfff100bf,0x7d40000b,0xfd0000ff,
    0x5fffa8ff,0x10bfff10,0x037ffcc0,0x54002662,0xfa80efff,0x331006ff,
    0xdfff5001,0x0dfff501,0x220bfff5,0x7fd45fff,0xbfff105f,0x07ffff90,
    0x21ffee08,0x1ffffffb,0x02fffc40,0x3ee1ffee,0x2e1fffff,0xfffb87ff,
    0xfff81fff,0x04fffc86,0x000bfff1,0x3f21bffe,0x3ffe04ff,0xff880007,
    0xff80005f,0xfff1005f,0xfdffc80b,0x3f7ffe2f,0x5fff881f,0xfff98000,
    0x3fe20005,0xfffc805f,0x1ffffb80,0x05fff880,0x005fff88,0x013ff600,
    0x237ffdc0,0x443ffff8,0xe982fffe,0x3fffa60b,0x01fffc04,0x35dfffd0,
    0x03ffff93,0x400fffe0,0x99aefffe,0x881ffffc,0x7443ffff,0x7fc42fff,
    0x7ff443ff,0xffff882f,0xeca99bdf,0x221ffee5,0x41ffffff,0xfffa9998,
    0x7dc1999e,0xffff887f,0x1ffee1ff,0x3fffffe2,0x986fff81,0xf880ffff,
    0x99999eff,0xdfff0199,0x01ffff30,0x2667fffe,0x44099999,0xefffa999,
    0xb8001999,0x99880fff,0x99efffa9,0x7fffe419,0x3ffff60f,0xefff880f,
    0x19999999,0x05fff980,0x3ea66620,0x81999eff,0xba9afffc,0x105ffffd,
    0xdfff5333,0xff103333,0x333333df,0x7ffc0033,0xffb0009d,0xff705fff,
    0xffffdfff,0x3ffe60bf,0x0fffffff,0x003ffe60,0xffffffb8,0x005fffff,
    0x2001fff3,0xfffffffb,0x2e05ffff,0xffefffff,0xff705fff,0xffffdfff,
    0x7ffdc0bf,0xffffffff,0x641ffee5,0x641fffff,0xffffffff,0x3ee1ffff,
    0xffff907f,0x83ffdc3f,0x81fffffc,0xffb06fff,0xffff109f,0xffffffff,
    0x20dfff01,0xff04fffd,0xffffffff,0xfffc89ff,0xffffffff,0x7fc4001f,
    0xffffc84f,0xffffffff,0x17fffee1,0x01fffff5,0xfffffff1,0x801fffff,
    0x2005fff9,0xfffffffc,0x641fffff,0xffffffff,0xf900dfff,0xffffffff,
    0xff883fff,0xffffffff,0xffb000ff,0xff100dff,0x7ec09fff,0xffffffff,
    0xffff300e,0x805fffff,0xa8006ffa,0xffffffff,0x3fea004f,0x7ffd4006,
    0x04ffffff,0xffffffd8,0x3600efff,0xffffffff,0x7f4c00ef,0xffffffff,
    0x441ffee5,0x641fffff,0xffffffff,0x3ee1ffff,0xffff107f,0x83ffdc3f,
    0x81fffff8,0xff506fff,0xfff881ff,0xffffffff,0x06fff80f,0xf01ffff5,
    0xffffffff,0xffc89fff,0xffffffff,0xfd8001ff,0xffffc87f,0xffffffff,
    0x0ffffee1,0x01fffff1,0xfffffff1,0x801fffff,0x2005fff9,0xfffffffc,
    0x641fffff,0xffffffff,0x7fe402ff,0xffffffff,0x7ffc41ff,0xffffffff,
    0xffd3000f,0xfff100df,0xffd5005d,0x8807ffff,0xcffffffc,0x03ffc800,
    0xffffb300,0xfc8005df,0xfd98003f,0x002effff,0x3fffffaa,0xffd5003f,
    0x8007ffff,0xefffffec,0x81ffee1c,0x641ffffd,0xffffffff,0x3ee1ffff,
    0x3fff607f,0x81ffee1f,0xf81ffffd,0x3ffa06ff,0x7fffc44f,0xffffffff,
    0x206fff80,0xff84fffe,0xffffffff,0x7ffe44ff,0xffffffff,0xaa88001f,
    0x7fffe40a,0xffffffff,0x03fffea1,0x441ffff6,0xffffffff,0x4c00ffff,
    0x32005fff,0xffffffff,0x7e41ffff,0xabdeffff,0xffffc800,0xffffffff,
    0x7ffffc41,0x0fffffff,0x004d4c00,0x8000d5c4,0x310001a9,0xaa980013,
    0x1a880000,0x02aa6000,0x00351000,0x00035300,0x00001a98,0x00000331,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05440000,0x2a20014c,0x2620000a,0x0004cc41,0x00999988,
    0x014c0544,0x4cccc400,0x002aa200,0x5e6dcc40,0x77100009,0x06666200,
    0x04cc4000,0x30133100,0x00000033,0x4ccc4000,0x44000001,0x88001aa9,
    0x00009999,0x800ccccc,0x88000998,0x004cc419,0x4cc04cc4,0x20266201,
    0x4c400199,0xcb80099a,0x1ccccccc,0x001dc400,0x3333332e,0x331001cc,
    0x5c009988,0xcccccccc,0x7fd40001,0x01bfea0e,0x85fffff4,0x3ff9005c,
    0x4000ffec,0x404ffff9,0x3ea0effa,0x3e60006f,0x3fa04fff,0x0b90bfff,
    0xfffffe98,0x7c4001ff,0xfe9805ff,0x540005ff,0x1000efff,0x3fa29ffd,
    0x76e4403f,0x1fffffff,0x1fffcc00,0x017fffa6,0x3ff66000,0x26001fff,
    0x0004ffff,0x017fffe4,0x0077ffd4,0xfd87ff20,0xffe8801f,0x407ffd14,
    0xfd14ffe8,0xff91007f,0x80dfffff,0xfffffffd,0x3fe2002f,0x3ff6005f,
    0x02ffffff,0x7ec3ff90,0x7ffec01f,0x542fffff,0x7ec07fff,0x3fffa2ff,
    0x7fffec02,0x03ffffff,0xffefffa8,0xff98006f,0xffd802ff,0x0bfffa2f,
    0x3fffe600,0x3ffff602,0x03ffffff,0xfffffff7,0x5c007fff,0x9000ffff,
    0x2000bfff,0x1ffffffb,0x3fbff600,0x3f2202ff,0xffffffff,0x7e4001ff,
    0xfff900ff,0x7cc0000b,0x01ffffff,0x05ffff30,0xefffc800,0xffffb800,
    0x3ea001ff,0x06fffeff,0x7ff7fec0,0xdffb002f,0xf3005fff,0xffffffff,
    0xffffd80d,0x2002ffff,0x000ffffb,0xfffffffb,0x3fea005f,0x806fffef,
    0xfffffffd,0x3fffd42f,0xd87fff20,0x7dc01fff,0xfffffb9c,0x3fff2005,
    0x4c001fff,0x9000dfff,0x7fec3fff,0x7fcc001f,0x67dc00df,0x5fffffb9,
    0xdfffff50,0x03fffffd,0x01fffea0,0x00bfff50,0xfb9effb8,0x3f6001ff,
    0x3e202fff,0xeeffffff,0x2001fffe,0x5404fff8,0x80005fff,0xeefffff8,
    0xfff9801e,0x7e40000d,0xff7003ff,0x03fff73d,0x7ffffe40,0xffd8001f,
    0x7ec002ff,0xf8802fff,0xdcccefff,0x4ccc406f,0x00099999,0x801fffea,
    0x99999998,0x3ff20009,0x8801ffff,0x99999999,0x03fffd40,0xdb10fb22,
    0xb710a005,0xb730005b,0x55000179,0xec880055,0x00176c43,0x50015554,
    0x202ddb88,0x7444fffe,0x32005fff,0xa88002ff,0x551001aa,0x002aa985,
    0x3600d554,0x3fffffff,0x4003fff5,0x8801fffb,0x40001aaa,0x000dfffb,
    0x0002aaa8,0x001aaa88,0xaa985551,0x66dcc002,0x2aa0000b,0x5550001a,
    0x3ffe6003,0x00000206,0x00bff200,0x73000000,0x0000179b,0x037ffcc0,
    0x00000000,0x00000000,0x00000000,0x40000000,0xf105fffa,0x00003fff,
    0x00000000,0xfa800000,0x3fffffff,0x4003fff5,0x00006ffe,0x3fffb000,
    0x00000000,0x00000000,0x00000000,0xfb800000,0x54c004ff,0x2aa600aa,
    0x4000000a,0x09bcdb98,0x53000000,0x55555555,0x3fe61555,0x1aaa986f,
    0x00aaaa80,0x00d55554,0xaaaaaa98,0x30aaaaaa,0x55003555,0xaaa80155,
    0x555001aa,0x55555555,0xaaa98555,0xaaaaaaaa,0x07fffa0a,0xa83fffd8,
    0xaaaaaaaa,0xaa82aaaa,0xaaaaaaaa,0x2aaa60aa,0x20aaa600,0xaaaaaaaa,
    0xf72aaaaa,0x7fffffff,0x4007ffea,0x5002fffa,0x00035555,0x80037ffc,
    0x001aaaaa,0x55555540,0x55402aaa,0x50001aaa,0x40035555,0xaaaaaaaa,
    0x2aa0aaaa,0xaaaaaaaa,0x540aaaaa,0x2003ffff,0x3201fffc,0xaaa81fff,
    0xaaaaaaaa,0xffff300a,0x5003ffff,0x55555555,0xffc81555,0xffffffff,
    0xdfff31ff,0x80dfff50,0x4406fff8,0x005fffff,0xfffffff9,0x2a3fffff,
    0x7c406fff,0x7fc406ff,0xff005fff,0xffffffff,0xffc8dfff,0xffffffff,
    0x1fffe1ff,0xf09fff50,0xffffffff,0xf88dffff,0xffffffff,0x3fee0fff,
    0x3fff602f,0x7fffffc0,0x6fffffff,0xfffffffb,0x07ffea7f,0x803ffec0,
    0x05fffff8,0x0bfff100,0xfffff100,0x7fc4000b,0x5fffffff,0x3ffffe20,
    0xfff88005,0xff1005ff,0xffffffff,0x7ffec1ff,0xffffffff,0xfff82fff,
    0xfc800dff,0x3ff201ff,0x7fffc41f,0xffffffff,0xfffffc80,0x203fffff,
    0xfffffff8,0x640fffff,0xffffffff,0xff11ffff,0x3fffa0bf,0x0bfff202,
    0xffffff70,0x3ffff200,0xffffffff,0x80bfffa1,0x5c02fffc,0x007fffff,
    0xffffffff,0xc8dfffff,0xffffffff,0xff11ffff,0xfff980df,0xffffff85,
    0x6fffffff,0x7fffffc4,0x20ffffff,0x3602fffb,0x7ffc0fff,0xffffffff,
    0xffffb6ff,0x3ea7ffff,0xff8801ff,0xfff7003f,0x26000fff,0xb8004fff,
    0x007fffff,0x3fffff20,0x2e05ffff,0x007fffff,0x7fffffb8,0xfffff100,
    0x1fffffff,0x7fffffec,0xffffffff,0x7ffffe42,0x7fe404ff,0x3fff201f,
    0x7ffffc41,0x0fffffff,0x77ffffd4,0x01fffffe,0xfffffff1,0xb81fffff,
    0xffffeeee,0xff11eeee,0x3ffea0bf,0x0dfff106,0xffffffb0,0xdddd7005,
    0xddddffff,0x837ffd43,0xd806fff8,0x02ffffff,0xfffffff8,0x46ffffff,
    0xfffeeeeb,0xf31eeeef,0xff880bff,0xfffff86f,0xffffffff,0x77fffc46,
    0x0eeeeeee,0xd80bffee,0x7ffc0fff,0xffffffff,0xffff96ff,0x3ea7ffff,
    0xffc801ff,0xfffb000f,0x50005fff,0xb0007fff,0x05ffffff,0x3ffffe00,
    0x203cccef,0x2ffffffd,0x7fffec00,0xff8802ff,0xeeeeeeff,0x3bbb20ee,
    0xeeffffee,0x3fee1eee,0xefffffff,0x03fff901,0x220fffe4,0xeeeeffff,
    0x7f40eeee,0x7ff444ff,0xffff105f,0xdddddddd,0x5fff8801,0x817ffe20,
    0xfc81fffe,0xfff802ff,0x8004fffe,0xe805fff8,0xffc81fff,0xefff802f,
    0x80004fff,0x401ffffa,0x2a05fff8,0x7c404fff,0xfa8007ff,0x7fc41fff,
    0x7fdc005f,0x3fff602f,0x7ffd4000,0xfffff51f,0x3fea7fff,0x7ffc401f,
    0x3bffe004,0xcc804fff,0xcdfffdcc,0x7fc01ccc,0x004fffef,0xffeeffa8,
    0x3bffe004,0x7c004fff,0x04fffeff,0x005fff88,0x05fff880,0x5cffffc4,
    0x82ffffff,0x3201fffc,0x7fc41fff,0x7fdc005f,0xffff105f,0x0bfff101,
    0xbfff1000,0x02fffc40,0xf88bfff5,0xffa806ff,0x007fffaf,0x805fff88,
    0x7c45fffa,0xffa806ff,0x007fffaf,0x27fff440,0x02fffc40,0x880bfff5,
    0x44006fff,0xf884fffe,0x7dc005ff,0x3ff602ff,0x3fa2000f,0x7fff44ff,
    0xff53ffff,0xfffb803f,0x5fff5001,0xff00ffff,0xffffffff,0x7d405fff,
    0x07fffaff,0xfebffd80,0xfff5004f,0x400ffff5,0xfffafffa,0x5fff8807,
    0xfff88000,0x27ffdc05,0x3fffffb1,0x201fffc8,0x7c41fffc,0x7f4005ff,
    0x3ff601ff,0x5fff883f,0xfff88000,0x027ffc05,0xfc87fffa,0xffc802ff,
    0x003fffb7,0x005fff88,0x7e43fffd,0xffc802ff,0x003fffb7,0x037ffe40,
    0x205fff88,0x4405fff9,0x64005fff,0xff106fff,0xffb800bf,0x3fff602f,
    0x3fff2000,0xfffff886,0x3fff53ff,0x006ffe80,0x7fedfff2,0x7fffc01f,
    0xffffffff,0x5fff202f,0x2001fffd,0xffe8fff8,0x2fff9004,0x9001fffd,
    0x3fff6fff,0x2fffc401,0x7ffc4000,0x27ffdc05,0x237fffdc,0x3201fffc,
    0x7fc41fff,0x7ffc005f,0x27ffd407,0x002fffc4,0x02fffc40,0xf5013ffe,
    0x3ffe2bff,0x2bffd006,0x4003fffb,0x5005fff8,0x3fe2bfff,0xbffd006f,
    0x000fffee,0x00ffffd4,0x205fff88,0x4c06fff8,0x2a005fff,0xf101ffff,
    0xfb800bff,0x3ff602ff,0xfff5000f,0x3ff6603f,0xfff53fff,0x17ffcc03,
    0x2ebffd00,0x55403fff,0xaafffeaa,0x3fa00aaa,0x07fff75f,0xfeb7fdc0,
    0xbffd004f,0x400fffee,0xfff75ffe,0x5fff8807,0xfff88000,0x7fffd405,
    0x0ffffa80,0xc807fff2,0x7fc41fff,0x3fe2005f,0x7ffcc06f,0x05fff885,
    0x5fff8800,0x4027ffc0,0xffc8fffe,0xfff9802f,0x00dfff33,0x005fff88,
    0x3f23fffa,0xff9802ff,0x0dfff33f,0x9fffd100,0x2fffc400,0x01ffff10,
    0x8027ffdc,0x204fffe8,0x4005fff8,0x999bfffb,0x0fffd999,0x4fffe880,
    0x3fedc880,0x6c03fff5,0x3e6007ff,0xdfff33ff,0x06fff800,0x99fffcc0,
    0x3a006fff,0x09ffd3ff,0x267fff30,0xf9806fff,0xdfff33ff,0x05fff880,
    0x5fff8800,0x77fffc40,0x22fffe81,0x3201fffc,0x7fc41fff,0x3fe6005f,
    0x7ffc405f,0x05fff886,0x5fff8800,0x401fffc0,0xfffcfffa,0x3fff7006,
    0x0007fff4,0x400bfff1,0xfffcfffa,0x3fff7006,0x0007fff4,0x001bfff2,
    0xe80bfff1,0x3fa02fff,0xff9001ff,0xfff880df,0xffffffff,0x7ffffdc5,
    0xffffffff,0xfffc800f,0xffa80006,0x9fff101f,0x0fffdc00,0x4001fffd,
    0x5c005fff,0x3ffa1fff,0xfff9800f,0xffffffd0,0x43fff707,0x5c00fffe,
    0x3ffa1fff,0x3ffe200f,0xffffffff,0x5fff8805,0xfffffc80,0x90ffff44,
    0x7e403fff,0x7ffc41ff,0xffffffff,0x013ffea5,0xf10ffff1,0xffffffff,
    0xff100bff,0x3ffe80bf,0xfffffd00,0x3ff6005f,0x017ffe46,0x00bfff10,
    0xffffffe8,0x8dffb002,0x2002fffc,0x001ffff9,0x202fffc4,0xa80efffb,
    0xf3005fff,0xf8803fff,0xffffffff,0x7ffdc5ff,0xffffffff,0x7cc00fff,
    0x80001fff,0xf901fffa,0x7ec001ff,0x17ffe46f,0x05fff880,0x3237fec0,
    0xfc802fff,0x3ffffa5f,0x6ffd83ff,0x2017ffe4,0x7fe46ffd,0x3ffe202f,
    0xffffffff,0x5fff8805,0xfffffb00,0x8ffff35d,0x3201fffc,0x7fc41fff,
    0xffffffff,0x17ffea5f,0x10dfff10,0xffffffff,0xf100bfff,0xccb80bff,
    0xffff5001,0x3fe200df,0x27ffd44f,0x0bfff100,0xfffffa80,0x9fff1006,
    0x004fffa8,0x007fffd1,0x80bfff10,0x9aeffff8,0x02ffffc9,0x03fffe88,
    0xffffff88,0x5c5fffff,0xffffffff,0x00ffffff,0x00ffffa2,0x0fffd400,
    0x2005fff8,0x7d44fff8,0xff3004ff,0x7fc4009f,0x27ffd44f,0xfd17ffc0,
    0x887fffff,0x7fd44fff,0x3ffe204f,0x027ffd44,0xfffffff1,0x100bffff,
    0x5c00bfff,0xffffffff,0x7ffe43ff,0x07fff201,0xfffffff1,0x7ccbffff,
    0x7fc405ff,0xffff885f,0x5fffffff,0x05fff880,0xfffd0000,0x3fea005f,
    0x3fffc42f,0x0bfff100,0x5ffffd00,0x0bffea00,0x200ffff1,0x0006fffc,
    0x500bfff1,0xffffffff,0x32009fff,0xf1006fff,0xfb800bff,0x99999bff,
    0x200fffd9,0x0006fffc,0x207ffea0,0x2001fffa,0x7c42fffa,0xff5007ff,
    0x7fd4007f,0x3fffc42f,0xfd1ffea0,0xfffa809f,0x03fffc42,0xf885fff5,
    0x3fe207ff,0xf880005f,0x74c005ff,0x5fffffff,0x201fffc8,0x7c41fffc,
    0x3e2005ff,0x7fcc06ff,0x5fff884f,0xfff88000,0x0015c405,0x801bffea,
    0x9999fffc,0x001fffe9,0x000bfff1,0x400dfff5,0x9999fffc,0x401fffe9,
    0x001ffff9,0x00bfff10,0x3fffffee,0xf3004fff,0x22003fff,0x5c005fff,
    0x3f602fff,0xfff300ff,0x5400003f,0xffe81fff,0x7ffe4006,0xffe99999,
    0xfffb801f,0x3fff2002,0xffe99999,0x13ff601f,0xfc809ffd,0xe99999ff,
    0xff901fff,0xfd33333f,0x3fe203ff,0xf880005f,0xf50005ff,0x320dffff,
    0x3f601fff,0x7ffc40ff,0x7fffc005,0x0fffee00,0x0017ffe2,0x817ffe20,
    0x2005fff8,0x2005fff9,0xffffffff,0x004fffff,0x000bfff1,0x400bfff3,
    0xffffffff,0x404fffff,0x0003fffe,0x8017ffe2,0xdfffffc9,0x3fffa001,
    0x3ffe2003,0x7ffdc005,0x03fff602,0x001ffff4,0x03fff200,0x8005fff3,
    0xffffffff,0x804fffff,0x2000fffc,0xffffffff,0x104fffff,0xffffffff,
    0xfff809ff,0xffffffff,0xffff04ff,0xffffffff,0x3ffe209f,0xff880005,
    0x3620005f,0xfb80ffff,0x3ffa02ff,0x05fff887,0x017fff40,0xf103fffd,
    0x10000bff,0x7dc0bfff,0xf3000fff,0x3e600bff,0xffffffff,0x1006ffff,
    0x3000bfff,0x2600bfff,0xffffffff,0x206fffff,0x0006fffc,0x002fffc4,
    0x0027ffc4,0x001bfff2,0x800bfff1,0x3602fffb,0xffc80fff,0xf800006f,
    0x7ffd87ff,0x7fffcc00,0xffffffff,0x7fff806f,0x3fffe600,0xffffffff,
    0xffff706f,0x09ffffff,0x7fffffcc,0x6fffffff,0xffffff98,0x6fffffff,
    0x00bfff10,0x0bfff100,0x3ffff000,0x20bfff50,0xf885fff8,0x7d4005ff,
    0xffa80eff,0xbfff106f,0xfff10000,0x7fffdc0b,0xbfff3000,0x3ffff200,
    0xffffffff,0xff8800ff,0xff98005f,0xfff9005f,0xffffffff,0xff301fff,
    0x880001ff,0xf0005fff,0x30081dff,0x8001ffff,0x4005fff8,0x3602fffb,
    0x7fcc0fff,0xc88000ff,0x46fffa80,0x4004fff8,0xfffffffc,0x0fffffff,
    0x017ffea0,0xffffffc8,0xffffffff,0xfffffe80,0x204fffff,0xfffffffc,
    0x0fffffff,0x7fffffe4,0xffffffff,0x05fff880,0x5fff8800,0x3fe20080,
    0xfff880ff,0x7fff443f,0x05fff882,0xaefffe80,0x1ffffc99,0x00bfff10,
    0xff533310,0x443333df,0x26004ffe,0xfd005fff,0xfffd80df,0xfa999883,
    0x01999eff,0x005fff98,0xfd80dffd,0xfffe83ff,0xaaaaaaad,0x54ccc42a,
    0x1999efff,0x7dfffb00,0xffd07f95,0x555555bf,0xfff88555,0x9999999e,
    0x017ffdc1,0xfe81fffb,0xaaaaadff,0xffc82aaa,0xffffebbd,0x007ffe42,
    0xb01bffa0,0x5d5c7fff,0x002ffffd,0xfb01bffa,0xfff987ff,0x99dffe80,
    0x01bffa19,0xfe87fffb,0x7ffec06f,0x9efff883,0x01999999,0x405fff88,
    0xb9aabdf9,0x2e06fffd,0xffefffff,0xff105fff,0x333333df,0xffff7033,
    0xbfffffff,0x4f7ffc40,0x81999999,0xfffffffc,0x4c1fffff,0x7ffcc001,
    0x4fff8805,0x42fffd40,0xfffffffc,0x401fffff,0x8805fff9,0x7d404fff,
    0x7ffd45ff,0xffffffff,0x7ffe47ff,0xffffffff,0xfff8801f,0x21ffffff,
    0xfffffffa,0x47ffffff,0xfffffff8,0x2e0fffff,0x3f602fff,0x3ffea0ff,
    0xffffffff,0x7ffcc7ff,0x4fffffff,0x4005fff8,0x5404fff8,0x3ffa5fff,
    0x2004ffff,0x5404fff8,0x7fe45fff,0xfffffd06,0x13ffe2ff,0x44bfff50,
    0x7d404fff,0xfff885ff,0xffffffff,0x7ffc400f,0x7fffcc05,0x1fffffff,
    0x7ffffec0,0x100effff,0xffffffff,0xf501ffff,0xffffffff,0xffff8809,
    0xffffffff,0x7ffffe40,0x1fffffff,0xfff98000,0x1fffb805,0x43fffc40,
    0xfffffffc,0x401fffff,0xb805fff9,0x7c401fff,0x7ffd47ff,0xffffffff,
    0x7ffe47ff,0xffffffff,0xfff5001f,0x543dffff,0xffffffff,0x447fffff,
    0xffffffff,0x3ee0ffff,0x3ff602ff,0x3fffea0f,0xffffffff,0xfffea87f,
    0xfa82ffff,0x7dc001ff,0x7fc401ff,0x3ffffa7f,0x7fdc004f,0x7ffc401f,
    0xe81fffc7,0x77ffffff,0xf8803fff,0x3ffee7ff,0x3fffc401,0x7fffffc4,
    0x00ffffff,0x202fffc4,0xfffffff9,0xd5001dff,0x07ffffff,0xffffff88,
    0x00ffffff,0xdfffffb3,0xffff1005,0xffffffff,0xfffffc81,0x1fffffff,
    0xfff98000,0x07ffd805,0xc85fffd0,0xffffffff,0x4c01ffff,0xfd805fff,
    0xfffd007f,0x7ffffd45,0xffffffff,0x7ffffe47,0x1fffffff,0x3bb6e200,
    0xffffa83d,0xffffffff,0x7fffc47f,0xffffffff,0x80bffee0,0x3ea0fffd,
    0xffffffff,0x2607ffff,0x2602bccb,0xfd8002aa,0xfffd007f,0x02b332a5,
    0x01fff600,0xfa97fff4,0xfffd00ff,0x3ff6ffff,0x5fffd007,0x7401fff6,
    0x7fc42fff,0xffffffff,0x7fc400ff,0xcca9805f,0x0001bccc,0xf88006a6,
    0xffffffff,0xa8800fff,0x7ffc4001,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9bd97510,0x665c0157,0x01cccccc,
    0x200004c0,0x665c0009,0x01cccccc,0x6665cc40,0x2200001b,0x002a8199,
    0x33100000,0x00000003,0x00000000,0x50000f26,0x02200059,0x00000000,
    0x20000000,0x00000098,0x10000000,0x80988003,0x00000019,0x00000000,
    0x00066200,0x01310011,0x00088033,0xfffffff7,0x7fec07ff,0x02ffffff,
    0x01dfff70,0x0efffb80,0xfffffb00,0x22005fff,0xfffffffd,0xf700005f,
    0x37fe41ff,0x6c000000,0xff7005ff,0x3ff2007f,0x0003ff61,0x8017ffdc,
    0x0006fff9,0x2007fff9,0x2efffed9,0x361ffc80,0x3fa200ff,0x00fff63f,
    0x3e63fff5,0xfeca81ff,0x003effff,0x3bfffa20,0x23ffe880,0x77643ffd,
    0x3bfffd52,0x21fff880,0xf3004ffc,0x90000bff,0xd885ffff,0x0001ffff,
    0x801ffe20,0x3e204ffd,0x13ff21ff,0x3601ffec,0xffffffff,0x3ff603ff,
    0x02ffffff,0xefffffa8,0xffff5000,0xffb001df,0x05ffffff,0xffffff50,
    0x000bffff,0xfd17ff60,0x000003ff,0x7fd3ffe2,0xfffb803f,0xffa802ff,
    0x007ffcbe,0x3ff6aaa6,0x7dc00acf,0xf8001fff,0xfb806fff,0xdfffffff,
    0x2fbfea00,0xe8807ffc,0x04ffdbff,0xff5fff50,0x3fffe03f,0x0fffffff,
    0x7fff4400,0x5fff4404,0xffe84ffd,0xffffffbb,0x3ffee02f,0x003fffe4,
    0x0bfffff1,0x77ffe400,0x3fffee00,0xff700001,0x3ffea009,0x9fff702f,
    0x2e07fffc,0xf700ffff,0xb999dfff,0x4cc407fd,0x00999999,0x5ff15fd8,
    0x7c57f600,0x9998802f,0x40099999,0xdffffffa,0x2005ffed,0x7ffc0eb9,
    0x017ffe42,0xfff88000,0x400fff9c,0xfffaeffa,0xffffe802,0x3f6002ff,
    0xffffffff,0x7fffdc02,0xfffe8000,0x7fffdc05,0x04ffffde,0x7ffffff4,
    0xfffd1002,0xffa8009f,0x3fe02fff,0xfffeceef,0x3fa2005f,0xfd1002ff,
    0x3fa09fff,0xffffffef,0xff700fff,0x03fff47f,0x3f6bffa2,0xffc8004f,
    0xffd3004f,0x4c40003f,0xf7001ffe,0x3ee07fff,0x1fffa3ff,0x403ffff2,
    0x2203ffff,0xe8000000,0x400ffa3f,0x00ffa3fe,0x7ff40000,0x03a882ff,
    0x4c1fffd0,0x3ffd07ff,0x3e200000,0x05ffbcff,0xf9877fd4,0x7e4401ff,
    0x6c002fff,0xffffffff,0x3ffd802f,0x1dfd3000,0x0efffc40,0x403fffd1,
    0x02ffffc8,0x02fffcc0,0x02fffb80,0xfff9816c,0xffe8800f,0x7fcc000e,
    0x3fffa05f,0xffe98cff,0x313b204f,0x7f4405dd,0x013ff62f,0x002fffc8,
    0x00fffec4,0xfffffb70,0x7ffcc00f,0x313b200f,0xfff305dd,0x1fffe20b,
    0xaaaaa800,0x0aaaaaaa,0x3eebbf60,0x5dfb001f,0x54003ff7,0xb801aaaa,
    0x0000efff,0x5c1fffd0,0xfff884ff,0xf1000000,0x05ffb9ff,0x13000000,
    0x2aaa6000,0x00acfffd,0x02000010,0x207fff20,0x3004fff9,0x00000001,
    0xfc800000,0x000001ff,0xfffe8000,0x3fffc41f,0x00000000,0x00000000,
    0xffffe880,0x2004ffff,0x00001cd9,0xf980f260,0x88000fff,0xffffffff,
    0x2200ffff,0x004fffff,0x13ffffe2,0xfffff880,0x2ffff805,0x3ffa0000,
    0xffdb000f,0x44000007,0x00004fff,0x00440001,0x7ffdc600,0x00044002,
    0x7ffc0080,0x017ffe06,0x10000262,0x00200001,0x0bffea00,0x88000100,
    0xfffd0099,0x03fffa05,0x00000000,0x00000000,0xffffff10,0x009fffff,
    0x00110000,0xeffff800,0x7ffc4001,0xffffffff,0x6f64400f,0xdec88002,
    0x7ffdc002,0x7fcc07ff,0x7400007f,0xff000fff,0x2000005d,0x04fff888,
    0xfffd9300,0xed9809df,0x9802efff,0xffffffed,0xfed9802f,0x26002eff,
    0x4effffec,0x3bbfffe2,0x7fffeeee,0xffffeca8,0xdb3003ef,0x4005dfff,
    0xeffffec9,0x372ea204,0x402fffee,0xeffffec9,0xfffeb804,0x7ff46fff,
    0x07fff207,0x3a60bddb,0x2f76c2ee,0x6c2eee98,0xddd305ee,0x20bddb05,
    0x3f22eee9,0xfff88dff,0xca803fff,0xffdb802c,0x32e03eff,0x3fff601c,
    0x8800aeff,0xeeeeffff,0x0000eeee,0x00131000,0xffffffb0,0x2fffd405,
    0x3bbba000,0xeeeeffff,0x4004c1ee,0xfd910009,0x09ffffff,0xfffff900,
    0x7dc0ffff,0xdfffffff,0xffffd880,0x02ffffff,0x7fffffdc,0x7e400dff,
    0x7fffffff,0x3fffffe6,0x7fffffff,0xfffffff8,0x2e00ffff,0xffffffff,
    0x7ffe400d,0x887fffff,0xfffffffc,0x3f202fff,0x7fffffff,0x3ffffa20,
    0x7f47ffff,0x3fff207f,0xa83fff42,0x7ff42fff,0x85fff507,0xff507ffe,
    0x0fffd05f,0x7ccbffea,0x37fee6ff,0xfd805fff,0x3ff6204f,0x0dffffff,
    0x2203ffe8,0xffffffff,0x3ffe200c,0x5eed8005,0x505ddd30,0xdfffffd9,
    0x3bffe007,0x3ee04fff,0x7c0004ff,0xffffffff,0x501fffff,0x3ff629dd,
    0x3fee03ff,0xffffffff,0x7fff4004,0x07ffffff,0xfbdffff7,0xffd09fff,
    0xffffdfff,0x7ffdc05f,0x4ffffdef,0x3fffffa0,0x3ea7ffff,0xffffffff,
    0xff87ffff,0xfffeceef,0xffff705f,0x09ffffbd,0x7ffffff4,0x7f447fff,
    0xffffffff,0xfffd02ff,0x0fffffff,0x66fffff4,0x7ff47fed,0x0bfff207,
    0x3ea0fffd,0x3fff42ff,0x742fffa8,0xfff507ff,0x20fffd05,0xff72fffa,
    0x64fff45f,0xffd807ff,0xfffff105,0x0dffffff,0xe8807ffd,0xffffffff,
    0x0bfff103,0x20fffd00,0xff82fffa,0xffffffff,0x3ffea00f,0x3207fffa,
    0x40003fff,0xffffffff,0x01ffffff,0xfff3dff7,0xf909ffff,0xfffdffff,
    0x7dc009ff,0xa99adfff,0xdfff886c,0x87fffa21,0x641ffffb,0xff102fff,
    0x7ff443bf,0xffffb81f,0x26ca99ad,0x0003fff9,0x7ffcc0b6,0x6fffc40f,
    0x07fffa21,0x2b7fffee,0x7f46ca99,0x7fd41dff,0xffffb82f,0x06ca99ad,
    0x0c0dfff5,0xfd81fffa,0x3fff40ff,0x742fffa8,0xfff507ff,0x507ffe85,
    0xffd05fff,0x4bffea0f,0x3fe67ffc,0x201fff76,0x905ffea8,0x7315dfff,
    0xff85ffff,0xffd5003f,0x109fffff,0xd000bfff,0x3fea0fff,0xeefff82f,
    0x05ffffec,0x7fedfff2,0x9fff901f,0xffe80000,0x7fdc000f,0xffffffff,
    0x3ffe60ff,0x27ffcc3f,0x3ffff880,0x0fffe400,0xf8a7ffcc,0xffb80fff,
    0x3fff902f,0x889fff30,0x1003ffff,0x0000bfff,0x20fffe40,0xf981fffc,
    0x7ffc44ff,0xfff1003f,0x0bffea0d,0x007ffff1,0x009fff70,0xff03fff4,
    0x0fffd0ff,0xfd0bffea,0x3ffea0ff,0xa83fff42,0xffe82fff,0x25fff507,
    0x3fee7ffd,0x885fff53,0x86fffffd,0xa80ffff9,0x7ffc6fff,0x7fe4c004,
    0x7c42ffff,0xfe8005ff,0x5fff507f,0x3fe605b0,0xbffd00ff,0x5c0fffee,
    0x00004fff,0x0007fff4,0x37ffffee,0x23fffe99,0xf882fffe,0xff7004ff,
    0xfff000bf,0xaafffc0d,0xff704fff,0x1bffe05f,0x7dc5fff8,0x7fc005ff,
    0x000001ff,0xff85fff5,0x17ffe06f,0x400bfff7,0xd886fff9,0x7fdc2fff,
    0xff50005f,0xfd0017ff,0x3ffee0ff,0x507ffe86,0xffe85fff,0x85fff507,
    0xff507ffe,0x0fffd05f,0x7f4bffea,0x543ffa7f,0x3fe22fff,0xb86fffff,
    0x3fa04fff,0x13ffe0ff,0x7ffe4400,0x2fffc44f,0x83fff400,0x8002fffa,
    0xf981fffc,0xdfff33ff,0x017ffea0,0x1fffd000,0xffffb800,0x8a7ffd44,
    0xff106fff,0x3ff2009f,0x7fc4002f,0xeeeeeeff,0xfff77fff,0x0bffee05,
    0x3bbfffe2,0x7fffeeee,0x0017ffe4,0x40bbffee,0x65d44028,0x22fffeed,
    0xeeeffff8,0x47fffeee,0x2002fffc,0x221ffff8,0x642ffffe,0x10002fff,
    0x5bffffff,0x543fff40,0xfe81ffff,0x5fff507f,0xf507ffe8,0x7ffe85ff,
    0xd05fff50,0x3fea0fff,0x26fff92f,0x3ffee6ff,0x33ffff61,0xfffc82aa,
    0x87fff201,0x40004fff,0x7c46fffc,0xffffffff,0x7ffe85ff,0x005fff50,
    0x705fff50,0x7ff43fff,0xffff980f,0x3fa00000,0x7dc000ff,0xfff885ff,
    0x209fff35,0xb004fff8,0x98003fff,0xffffffff,0xf97fffff,0x3fee03ff,
    0xffff982f,0xffffffff,0x0fffec7f,0x7ffff400,0x0ffeedde,0xfffffc88,
    0x262fffff,0xffffffff,0x6c7fffff,0x74001fff,0xffeeffff,0x7ec2ffff,
    0x2a0001ff,0xffffffff,0x7ffff40c,0x4fffffee,0x2a0fffd0,0x7ff42fff,
    0x85fff507,0xff507ffe,0x0fffd05f,0x7d4bffea,0x23ffc9ff,0xff10fffd,
    0xffb003ff,0x7ffe401f,0x0013ffe2,0x88dfff50,0xffffffff,0xffe85fff,
    0x05fff507,0x776e5d44,0xffd82fff,0x417ffe46,0x004ffff8,0x03fffa00,
    0x03fff700,0x7fdd7ffe,0x9fff103f,0x07fffa00,0xfffff500,0xffffffff,
    0x407fff6f,0xfa82fffb,0xffffffff,0x7f47ffff,0xe88001ff,0xffffffff,
    0x7ff440ff,0xffffffff,0x3fffea2f,0xffffffff,0x0ffff47f,0x3fffea00,
    0xfffaffff,0x00ffff42,0x3fff6600,0x3a1fffff,0xffffffff,0x3ffa04ff,
    0x85fff507,0xff507ffe,0x07ffe85f,0xfd05fff5,0x3ffea0ff,0xfd9fff32,
    0x9bffe21f,0xd006fffa,0x7dc01fff,0xbfff12ff,0x7fe40020,0x7fffc44f,
    0x5fffffff,0xf507ffe8,0xff9105ff,0xffffffff,0x44fff885,0xf904fffa,
    0x00807fff,0x001fffd0,0xf01fffb8,0x3fff2bff,0x09fff102,0x00bfff60,
    0x007fff30,0x701fffd8,0xff305fff,0x3f60007f,0x2e0002ff,0xfffffffe,
    0x6ffff40d,0x317ffd41,0x20007fff,0x8002fffd,0x1dfffffa,0xffd85ffd,
    0x5100002f,0x4dfffffb,0xfffffffe,0x7ff401df,0x85fff507,0xff507ffe,
    0x07ffe85f,0xfd05fff5,0x3ffea0ff,0x3fffffe2,0x45fffd36,0xb006fffa,
    0x7e403fff,0xbfff11ff,0x426f7ee0,0x2ffffc98,0x002fffc4,0xfa83fff4,
    0x7ff442ff,0xffffffff,0x17ffd42f,0x441fffe2,0x9bdfffff,0xd005eca9,
    0xb8001fff,0xfff01fff,0x40fffeeb,0x9004fff8,0x8800bfff,0x64005fff,
    0xffb02fff,0xbfff105f,0x3fff2000,0xfd300005,0x3ffe20bf,0x45fff506,
    0x0005fff8,0x000bfff9,0xff504d44,0x5fffc81d,0xfc880000,0xfffd0fff,
    0x74001331,0xfffb07ff,0xb07ffe85,0xffe85fff,0x05fffb07,0x3f60fffd,
    0x3ffe62ff,0xffffefff,0x07fffcc5,0x01fffdc0,0x3e21fffd,0xfff705ff,
    0xffffffff,0xbfff10bf,0x0fffd000,0xfd0bffea,0xffa83bff,0x4fffe42f,
    0xfffe9999,0xfffff501,0x0bffffff,0x003fffa0,0x203fff70,0xfff55fff,
    0x13ffee09,0x17fffd40,0x07fffe00,0x85fffb80,0xf02ffffb,0x50003fff,
    0x0005ffff,0x4c0dff50,0xfd886fff,0x7fffc2ff,0xfffa8001,0x2600002f,
    0xffa80fff,0x000002ff,0x3fa3ffff,0x3f60007f,0x7ffdc1ff,0x0fffec2f,
    0xb0bfffee,0xffb83fff,0xfffd82ff,0x17fffdc1,0x3fffffe6,0xff80dfff,
    0x7d401eff,0xfff506ff,0x837ffccd,0xfffffffb,0x880dffff,0xe8005fff,
    0xfffb07ff,0x837ffc45,0x7fc2fffa,0xffffffff,0x3ea04fff,0xffffffff,
    0xfffb005f,0xfffb8005,0x26bfff01,0xffa86fff,0x3fa004ff,0x9889cfff,
    0xefffb86b,0x7fc45102,0xfff90dff,0x3fee05ff,0x205102ef,0x89cffffe,
    0xfd006b98,0x7ffc407f,0x3fffa21f,0x77ffdc2f,0x3fa05102,0x9889cfff,
    0x7fe4006b,0x3ffffa05,0x06b9889c,0x3fea0155,0x01fffa7f,0x8cfffc80,
    0x2fffffc8,0x4467ffe4,0x42fffffc,0xc88cfffc,0xc82fffff,0xfc88cfff,
    0xfb82ffff,0x02efffff,0x37ffffea,0x7ff40aac,0xfff511ef,0x37ffcc3f,
    0xfffffd98,0x2202dfff,0xd8005fff,0x7fdc1fff,0x3ffe62ff,0x2fffd886,
    0x3fffffe6,0x6fffffff,0x7fff5c40,0x9001ceff,0x4001bfff,0xff01fffb,
    0xa7fff4bf,0x4fffffb8,0x3fffe600,0x07ffffff,0xbbdffffd,0x7e41ffdd,
    0xffffffff,0x3fa02fff,0xeeddefff,0xfff980ff,0x7fffffff,0x13bfff00,
    0x3bffffa0,0x2ffffffe,0xdeffffe8,0x980ffeed,0xffffffff,0x7ec007ff,
    0xff9819ef,0xffffffff,0x9bdff907,0x49ffffd9,0x20007ffe,0xfffffffa,
    0x542fffff,0xffffffff,0x7d42ffff,0xffffffff,0xffa82fff,0xffffffff,
    0xcffc82ff,0x3ff2001a,0x41ffffff,0xfffffffa,0x7cc5ffff,0xb99806ff,
    0xf8801fff,0xfc8005ff,0xffc88cff,0x3fe22fff,0x3ffa21ff,0x3fff22ff,
    0xffffffff,0xf9800fff,0xa80009ff,0xeeefffff,0x3fff701f,0xfa97ffe0,
    0xffffffff,0x54004fff,0xffffffff,0xfffd107f,0x1fffffff,0x7fffff44,
    0x02fff9ff,0x3fffffa2,0x500fffff,0xffffffff,0x3ffa00ff,0xfff506ff,
    0xff5fffff,0xfffd105f,0x1fffffff,0x3ffffea0,0x4007ffff,0x507ffffc,
    0xffffffff,0x3fff20ff,0x5fffffff,0x0003fff4,0x3ffffffa,0xe82fff9f,
    0x9fffffff,0xffe82fff,0xff9fffff,0xffffd02f,0x5fff3fff,0x0001fff0,
    0x3fffffaa,0xffffb81f,0x40cfffff,0x2006fff9,0xf1006ffb,0x33333dff,
    0xfff50333,0xffffffff,0xffffe85f,0xffffffee,0xb01bffa2,0xf7007fff,
    0xfd8000bf,0x1fffffff,0x203fff70,0x7fec5fff,0xfdbfffff,0xec88004f,
    0x03efffff,0x7fffff5c,0x7ec40dff,0xfff0dfff,0xfffd7005,0x401bffff,
    0xfffffec8,0xffd3003e,0x7ffd40df,0x5ffd1dff,0x7ffff5c0,0x2200dfff,
    0xefffffec,0x7ff44003,0x3fb2207f,0x703effff,0xffffffff,0x0fffd07d,
    0xffffb000,0x40bffa3b,0xd1dffffd,0x3ff605ff,0x5ffd1dff,0x6ffffec0,
    0xfa85ffd1,0xda80005f,0xb301fffe,0x05dfffff,0x801fffea,0xf1003ffc,
    0xffffffff,0xffd01fff,0xff3fffff,0xffffa85f,0xfffaffff,0x809fff12,
    0xd805fffa,0xb80002ff,0x1fffffff,0x203fff70,0xffc85fff,0x9ff92eff,
    0x03330000,0x026aa600,0x00004cc0,0x00135530,0x80006660,0xa88009a9,
    0xa9800009,0x3300009a,0x35300003,0x00ccc001,0x13553310,0x000ccc40,
    0x00099880,0x00013310,0x80002662,0x26000998,0x800001aa,0x03530018,
    0x00333310,0x88007ff4,0xffffffff,0xfb00ffff,0x3fa3bfff,0xffffa82f,
    0x25ffd1df,0x4401fffb,0xff807fff,0x2600000f,0x7dc009a9,0xbfff01ff,
    0x0000d440,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c400799,0xffffffff,0x26200fff,0x35100009,0x0fffb001,0x00bfffa0,
    0x00000799,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26620000,
    0x98000000,0x80988001,0x00000019,0x00000000,0x00000000,0x19809880,
    0x00035100,0x00000000,0x54c00000,0x0c40001a,0x00203000,0x00000000,
    0x00001351,0x00004cc4,0x44000000,0x0000001a,0x00000000,0x00000000,
    0xfffa8000,0xffd00003,0x001fffa9,0xffffd710,0x107ddddd,0x7fe43fff,
    0xbfff3004,0xfff90000,0xfffd885f,0xff90001f,0x0007fec3,0x02ffffc8,
    0xfc87ffe2,0x7ffec04f,0x4c012e2e,0x80005fff,0x442ffffc,0x001ffffd,
    0x7ffffe44,0xeee880cf,0x1bffff71,0xfffeca80,0x4003fddf,0x802ffffc,
    0xc805fff9,0x3a03ffff,0xffeb81ff,0x6406ffff,0x03ff61ff,0x005df910,
    0x5c5dfffb,0x3ffe6004,0xff900005,0xffd885ff,0x3f2001ff,0x5000bcef,
    0x7319ffff,0x3ea0009b,0x880003ff,0xfffd2fff,0x7ffcc000,0xffffffff,
    0x4fffb84f,0x1003fffe,0x00bfffff,0x077ffe40,0x03ffff70,0x97dff500,
    0x32000fff,0x5c00efff,0x3ffe4fff,0xffff900f,0x05ffddff,0x5fffff88,
    0x3fff2000,0x3ffee00e,0xfff1001f,0x1dffffff,0xfdafff88,0x80efffff,
    0xffffffc8,0x2003ffff,0x800efffc,0x05fffff8,0x3ffffff2,0x444ffb81,
    0xfffffffe,0x77fd407f,0xc807ffcb,0x3201ffff,0xeeffffff,0xff8802ff,
    0x40005fff,0x200efffc,0x001ffffb,0x9ffffff9,0xffff7001,0x000bffff,
    0x200fffea,0xffa82aaa,0x001fffa7,0x5e7fff44,0x4ffffffe,0x3a3fffb8,
    0x7f4407ff,0x004ffdaf,0x004fffc8,0x003fffd3,0xffffffd0,0xfff90005,
    0x3ffee009,0xc81fffa3,0xffffdadf,0x3fa200ef,0x004ffdaf,0x004fffc8,
    0x003fffd3,0xf9bffffb,0xff88bfff,0xffffffef,0xfffe83ff,0xfffffeff,
    0x9fff9003,0x2bffa200,0xff884ffd,0x4c5ffa8e,0xfffe86ff,0x07fedcdf,
    0xffffffe8,0xfffff802,0x36b7f203,0x00efffff,0x7ed7ff44,0xff90004f,
    0x3fa6009f,0xffc801ff,0x00ffffff,0xffffffd7,0x2000bfff,0xf803fffa,
    0x4ffc87ff,0x4001fffa,0x7d42fffa,0x276402ff,0xe880bba6,0x13ff62ff,
    0x02fffc80,0x0fffec40,0x3fff2200,0xffc8002f,0x2764002f,0x8700bba6,
    0x200dffd9,0x3f62ffe8,0x3ff2004f,0x7ec4002f,0x3fea01ff,0x3ffe20df,
    0x7ffffc47,0x8dfff52e,0x5c2ffffb,0xfc803fff,0xfd1002ff,0x227fec5f,
    0x1bfe3ffa,0xffa83ffd,0x2200606f,0x002ffffc,0x807ffffd,0x06ffecc3,
    0xd8bffa20,0x7e4004ff,0x6c4002ff,0x5cc01fff,0x6fffffdc,0xffffffb0,
    0x400015ff,0xf803fffa,0x1ffe87ff,0x4001fffa,0xfff06ffc,0x0000000b,
    0x00000000,0x01300000,0x00000000,0x00000000,0x00000000,0x5fff7000,
    0x441fffb0,0x740effff,0x3ffe27ff,0x3fffa81f,0x00000000,0x3fa2ffb8,
    0x2e13fee7,0x00004fff,0xff500026,0x000001df,0x00000000,0x88000000,
    0xd83ffffc,0xfffebcef,0x3ea30004,0xfff803ff,0x1fffa007,0x1bff6002,
    0x20037fec,0x04400008,0x00022000,0x00000220,0x01806200,0x00013100,
    0x100004c4,0x4c400013,0x04c40000,0x203fff60,0x7fc47fff,0xfffc80ff,
    0x20bfff50,0x1003fffa,0x44000133,0x7ff50099,0x6ff8b7fc,0x17ffff50,
    0x00110000,0x00017730,0x11000011,0x00110000,0x40001100,0x0885fffc,
    0x00ffffd4,0x7ffff6cc,0xff803fff,0x3ffa007f,0x3bfffb36,0x203fff20,
    0xd9804ffe,0x002efffe,0x5dfffdb3,0x3ffb6600,0x366002ef,0x202efffe,
    0xdd305eed,0x7ffecc5d,0xbfff91df,0x7ff65401,0x5403efff,0xefffffec,
    0x7ff65403,0x5403efff,0xefffffec,0xffeca803,0xfe83efff,0x3fffd87f,
    0x882fffc4,0x3ffee199,0x07fff502,0x7fffff5c,0xffd7006f,0xf88dffff,
    0xb4ffcaef,0x3fe203ff,0x002dffff,0x77fffedc,0x2e000003,0x03effffd,
    0x3ffff6e0,0x3f6e003e,0x2003efff,0x3effffdb,0x3fffcc00,0xfffffb50,
    0x7fe440df,0xffffffff,0x07fff803,0x3ebbffa0,0x82ffffff,0x321dfffa,
    0x7dc02fff,0xdfffffff,0x3fffee00,0x200dffff,0xfffffffb,0x7fdc00df,
    0x0dffffff,0xf507ffe8,0x7ffec5ff,0xfffeffff,0xfff00eff,0xffffffff,
    0x3ffffe01,0x00ffffff,0xffffffff,0x3fe01fff,0xffffffff,0x3fffe00f,
    0x0fffffff,0xffb1fffa,0xbfff10bf,0x1fffd800,0x107fff50,0xfffffffd,
    0xffe880ff,0x87ffffff,0x8ffffffc,0x7d404ffb,0xcfffffff,0x3fff6200,
    0x00dfffff,0x3ff62000,0x0dffffff,0x3ffff620,0x200dffff,0xffffffd8,
    0x36200dff,0xffffffff,0xfff3000d,0xffffb10f,0x207fffff,0xfefffffe,
    0xf803ffff,0x3fa007ff,0xffffffff,0xffd80fff,0x5fffffff,0x77fffdc0,
    0x704ffffd,0xffbdffff,0x3fee09ff,0xffffdeff,0x3fffee04,0x84ffffde,
    0xff507ffe,0x6677ec5f,0xfdffffff,0xdfff02ff,0xbffffd9d,0x33bbffe0,
    0xf05ffffe,0xffd9ddff,0x3ffe0bff,0xffffecee,0x3bbffe05,0x25ffffec,
    0x3fee7ffe,0xbfff105f,0x1fffd800,0xd07fff50,0xdb9bffff,0xfffe80ff,
    0x07fedcdf,0xf11bfff9,0xfb3001df,0x3fffffff,0xffffff10,0x00dfffff,
    0x3fffe200,0x6fffffff,0xffffff10,0x20dfffff,0xfffffff8,0xf106ffff,
    0xffffffff,0x3ee00dff,0xfffe85ff,0x6ffffeff,0x42ffffb8,0xf803fffb,
    0x3fa007ff,0xe98cffff,0x7f444fff,0xcfffffff,0x37ffe200,0x07fffa21,
    0x443bfff1,0x7c41fffe,0x3fa21dff,0xfff881ff,0x3fffa21d,0xa83fff41,
    0x306e2fff,0x3ee1dfff,0x2605b05f,0x2d80ffff,0x01ffff30,0x3ffe605b,
    0xf302d80f,0x0b601fff,0xe87fffcc,0x1fffe7ff,0x005fff88,0xa80fffec,
    0x7fd43fff,0xfa80606f,0x100606ff,0x4002ffd8,0xfffffda8,0xaefffc86,
    0x2ffffb98,0xfffc8000,0xfffb98ae,0xefffc82f,0xffffb98a,0xaefffc82,
    0x2ffffb98,0x8aefffc8,0x82ffffb9,0xffffca99,0x17fffdc2,0xf887fffe,
    0xffa81fff,0x7fff803f,0x3ffffa00,0x23fffc41,0xcccadffc,0xfffc800b,
    0x44fff981,0xf981fffc,0x7ffe44ff,0x84fff981,0xf981fffc,0x3fff44ff,
    0x802fffa8,0x3fe24ffe,0xfff90007,0xfff90003,0xfff90003,0xfff90003,
    0x3ff20003,0x22fffd1f,0x3e206fff,0x7e4005ff,0xfff902ff,0x04fffb87,
    0x09fff700,0x13fea000,0xfff91000,0x7fffcc1f,0x06fffa80,0x7cc0336e,
    0xffa80fff,0x7fffcc6f,0x46fffa80,0xa80ffff9,0x7fcc6fff,0xfffa80ff,
    0x7ffffcc6,0x7ffc45ff,0x4fffc81f,0x5417ffea,0xff803fff,0x3ffa007f,
    0x1fffd02f,0x00017ffc,0x7fc0dfff,0x037ffc5f,0xfff8bfff,0x217ffe06,
    0x3fe06fff,0x83fff45f,0xd802fffa,0x07ffc3ff,0x17ffd400,0x17ffd400,
    0x17ffd400,0x17ffd400,0x2fffa800,0x7ffcfffd,0xbfff102f,0x5fffa800,
    0x43ffffb8,0x00bffffa,0x5ffffd40,0x3fe20000,0xff00000f,0x7ffdc3ff,
    0x03fffa04,0x203fffee,0x3a04fffb,0x3fee0fff,0x3fffa04f,0x813ffee0,
    0x3ee0fffe,0x3ffa04ff,0x3fffe60f,0xfffa84ff,0x4dfff305,0xf502fffb,
    0xfff007ff,0x3fff400f,0x7c3fff90,0x40009eff,0xeeeffff8,0x27fffeee,
    0xeeeffff8,0x27fffeee,0xeeeffff8,0x47fffeee,0xeeeffff8,0x47fffeee,
    0xff507ffe,0xd953105f,0xff999bff,0x65d4401f,0x02fffeed,0x3bb72ea2,
    0x2a202fff,0xfffeedcb,0x372ea202,0x402fffee,0xfeedcba8,0x4fffd2ff,
    0x883ffffc,0x44005fff,0xf913ffff,0xf887ffff,0x02dfffff,0xffffff10,
    0xffb0005b,0x0aa80445,0xc8ffff50,0x3f201fff,0xfffe81ff,0x1fffc84f,
    0xc87fff20,0x3f201fff,0x3fff21ff,0x87fff201,0x3201fffc,0x3fe21fff,
    0xff700adf,0x3ffe205f,0x407fff27,0xf803fffa,0x3fa007ff,0x3fff207f,
    0x3fffff62,0x80bdefff,0xfffffff9,0x27ffffff,0xfffffff9,0x27ffffff,
    0xfffffff9,0x47ffffff,0xfffffff9,0x47ffffff,0xff507ffe,0x7ffe445f,
    0xffffffff,0xfc881fff,0xffffffff,0xfffc882f,0x2fffffff,0xfffffc88,
    0x882fffff,0xfffffffc,0xf9102fff,0xffffffff,0x89fffa5f,0x445ffffe,
    0xc8005fff,0xffffffff,0xfa83ffff,0xcfffffff,0x7fffd400,0x800cffff,
    0xfff75ffa,0xdeffc85f,0x4ffffecc,0x9007ffec,0xffb05fff,0xfffb0dff,
    0x17ffe401,0x6401fffb,0x3ff62fff,0x3fff200f,0x803fff62,0x3e22fffc,
    0x7fe402ff,0x9fffe01f,0xf501fffd,0xfff007ff,0x3fff400f,0x445fff90,
    0xfffffffe,0x7d41ffff,0xffffffff,0x3ea7ffff,0xffffffff,0x3ea7ffff,
    0xffffffff,0x7d47ffff,0xffffffff,0x7f47ffff,0x5fff507f,0x7f7fffec,
    0xeeeeeeff,0x7fff440e,0xffffffff,0x7ffff442,0x2fffffff,0x7fffff44,
    0x42ffffff,0xffffffe8,0x882fffff,0xfffffffe,0xffd2ffff,0xffffe88f,
    0x017ffe25,0x3ffffa20,0x3fffbfff,0xfffffb30,0xd9803fff,0xffffffff,
    0x23ffe201,0x1ffffffb,0x3ffffff2,0xfe85ffff,0x3fee00ff,0xffff982f,
    0x00fffe87,0xfe8bffee,0x3fee00ff,0x03fffa2f,0x3a2fffb8,0x3ee00fff,
    0x3ffe22ff,0x0fffec02,0x7ecffff0,0xfff501ff,0x0ffff007,0xb03fff40,
    0x7fd41fff,0xfffeeeef,0x3fe60fff,0xff98003f,0xff98003f,0xff30003f,
    0x3fa0007f,0x5fff507f,0xfd8bffea,0x3ffa001f,0x7ffd41df,0x0effff42,
    0xfd0bffea,0xffa83bff,0x6ffff42f,0x417ffd41,0x541dfffe,0xfffd2fff,
    0x4bffff60,0x0005fff8,0x23bffff6,0x4403fff9,0x6fffffda,0xfffb5100,
    0x7fec0dff,0xfbaeff8a,0x3fffee5f,0xb03effff,0x7e403fff,0xfff501ff,
    0x03fffb0b,0xfb0fffe4,0x7fe403ff,0x07fff61f,0x361fffc8,0x3f201fff,
    0x066641ff,0x407fff60,0x3f27fff8,0xfff902ff,0x0ffff007,0xf03fff40,
    0x7ffccfff,0x5fffd305,0x002fffc4,0x002fffc4,0x002fffc4,0x005fff88,
    0x360fffd0,0xbff72fff,0x1002ffd8,0x3ea0dfff,0x3ffe22ff,0x45fff506,
    0xf506fff8,0x7ffc45ff,0x85fff506,0xf506fff8,0x1fffa5ff,0x004fffd8,
    0xa82a6000,0x22003fff,0x000ffffc,0x07fffe44,0xff9affd4,0x2621ffa4,
    0x5c009aa9,0x3fa03fff,0xfff100ff,0x07fff709,0xf707fff4,0x7ff407ff,
    0x0fffee0f,0x2e0fffe8,0x3fa03fff,0x320000ff,0xff303fff,0x2fffd4bf,
    0x01ffffdc,0xd003fffc,0x3fee0fff,0x03fff26f,0x7c2fffb8,0xf8001fff,
    0xf8001fff,0xf0001fff,0xb0003fff,0xffb83fff,0x89ffb2ff,0xf3004ffe,
    0xffb10dff,0x37ffcc5f,0x317ffec4,0xfb10dfff,0x7ffcc5ff,0x2fffd886,
    0x4437ffcc,0xffd2fffd,0x2fffd40f,0x00013310,0x00fffea0,0x007fffe0,
    0x20ffffc0,0xff50fff8,0x2203fec5,0x7fd40099,0xdfff506f,0x40fffd40,
    0xf506fffa,0xfffa8dff,0x8dfff506,0xf506fffa,0xfffa8dff,0x0dfff506,
    0xff500793,0x3fff60df,0x4ffffe23,0x3fffffc8,0x007fff80,0x3ea1fffa,
    0x3ff61fff,0x3fff602f,0x177ffdc0,0xfffb8288,0xf705102e,0x0a205dff,
    0x8177ffdc,0xcfffc828,0xfffffc88,0x7dcdff92,0x44081fff,0x3a21ffff,
    0x3e22ffff,0x3fa21fff,0x3fe22fff,0x3ffa21ff,0x3ffe22ff,0x3fffa21f,
    0x7fffc42f,0x3ffffa21,0x5c0fffd2,0x3fe03fff,0xf500003f,0x00aa87ff,
    0x2a0ffff5,0xffff500a,0x7cc5ff90,0xf01ffa4f,0xffd007ff,0x3fea23df,
    0xffb881ff,0x3fffa03f,0xffff511e,0x3dfffd03,0x07fffea2,0x447bfffa,
    0xe81ffffa,0xf511efff,0xffb83fff,0x7ffc405f,0xfff910df,0xffffc81f,
    0xffffffff,0x9ffff803,0x09999999,0xfddffffd,0xfb89ffff,0xa989bfff,
    0xfd05fffd,0xddbbdfff,0xfffd01ff,0xffddbbdf,0xdffffd01,0x01ffddbb,
    0x37bffffa,0x540ffeed,0xffffffff,0xff72ffff,0xfffffbbf,0xd09d979f,
    0xffddffff,0xfe85ffff,0xfffeefff,0x7ff42fff,0xffffeeff,0x7fff42ff,
    0xfffffeef,0xffffe82f,0xffffffee,0x3e2fffd2,0x1ffffeee,0x001fff30,
    0x0fffea00,0xd99bdff9,0x3209ffff,0xfeccdeff,0x7fcc4fff,0x5cf7fc45,
    0x3fe605ff,0xfffa800f,0xffffffff,0x7ffffdc5,0x7fffd404,0x5fffffff,
    0xffffff50,0x20bfffff,0xfffffffa,0xf505ffff,0xffffffff,0xfffd0bff,
    0xfffb801f,0xffffffff,0xffffe884,0x3ffe9fff,0xffffff80,0xd4ffffff,
    0xffffffff,0xffd109ff,0xffffffff,0x3fa201df,0xffffffff,0xfffe880f,
    0x0fffffff,0xfffffe88,0x100fffff,0xfffffffd,0xffd01fff,0xff3fffff,
    0x3fffe25f,0xffff9dff,0xffa84fff,0xfaffffff,0x7ffd42ff,0xffafffff,
    0x7fffd42f,0xfffaffff,0x7ffffd42,0x2fffafff,0xffffffa8,0xd2fffaff,
    0x3ffe2fff,0x2a03ffff,0x200006ff,0x7e43fffa,0xffffffff,0x3fff205f,
    0x5fffffff,0xfc80ffe8,0x200fffff,0x2e006ffa,0xffffffff,0x7ffdc0cf,
    0xfff7001d,0x19ffffff,0x7ffffdc0,0x200cffff,0xfffffffb,0x3ee00cff,
    0xffffffff,0xffffd80c,0xffffd800,0x404fffff,0xd1dffffd,0xfff007ff,
    0xffffffff,0x3ffb2a9f,0x201dffff,0xffffffc8,0xd7003eff,0xbfffffff,
    0x7fff5c01,0x200dffff,0xffffffeb,0x7f5c00df,0x0dffffff,0x3bffffb0,
    0xfe98bffa,0x3ffea4ff,0xff502fff,0x3fa3bfff,0xffffa82f,0x05ffd1df,
    0x3bfffff5,0x3ea0bffa,0xfd1dffff,0x3ffea05f,0x5ffd1dff,0x7fc5fffa,
    0x6401dfff,0x200003ff,0x7dc3fffa,0xefffffff,0x7fffdc03,0xc83effff,
    0xff9103ff,0xffc803df,0x7fecc003,0x5302efff,0x3f660003,0x002effff,
    0xdfffffb3,0x3ff66005,0x3002efff,0x5dfffffb,0x01fffcc0,0xfffffd50,
    0x054c005d,0x3fffe000,0xffffffff,0x00133304,0x35597530,0x4d54c000,
    0x9aa98000,0x9aa98000,0x35530000,0x02662001,0x54c05300,0x13510009,
    0x026a2000,0x004d4400,0x0009a880,0x00026a20,0x20009988,0x00000aa9,
    0x44026662,0x0009aa99,0x04d54cc4,0x00988000,0x00015530,0x00000d4c,
    0x0006a600,0x80003530,0x4c0001a9,0x02a2001a,0x009a9800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x18800999,
    0x00000000,0x1a880031,0x004cc000,0x00000000,0x00000000,0x33332a00,
    0x0000cccc,0x3b6e0000,0x000003de,0x66665400,0x0000cccc,0x001a8800,
    0x09800000,0x00000188,0x53000000,0x00001355,0x00035310,0x00004cc0,
    0x000004cc,0x00000000,0x7ecbfff5,0x200005ff,0xdd92fff8,0x3bfffaa5,
    0xbfff5001,0xd92fffec,0x3fffaa5d,0x7ffec01e,0xf7012e2e,0x06cc9fff,
    0x7fffe400,0x3ffffe22,0xe8801fff,0x0fff63ff,0x01ffffdc,0xfffffc80,
    0xff880fff,0x01ffffff,0x3fffa600,0x0001efff,0x09ffff50,0x7fffffe4,
    0x7ffe40ff,0x7fec0000,0x0012e2ef,0x017fffe4,0x7fcc7ffb,0x7ffd100e,
    0x3001ffec,0x2600bfff,0xfffffffd,0x23ffe882,0xfff83ffd,0x7ff405ff,
    0x01fffdc1,0xff707ffa,0x1ffe807f,0x7dc9ff30,0x7fffc43f,0x2001ffff,
    0x3f25fff9,0xff8803ff,0x51ffffff,0x3ffa1fff,0xffffffbb,0x7ffcc01f,
    0xd0ffff25,0xffff77ff,0x3f203fff,0xfeefffff,0xffff502f,0x0bffbfff,
    0x0efffc80,0x7fffffc4,0xfd1001ff,0x809ffb7f,0x003fffe9,0xffffffc8,
    0xfff880ff,0x001fffff,0x3fffffa0,0x80006fff,0x402ffffa,0xfffffffc,
    0x07ffe40f,0xffff9000,0x05ffddff,0x0efffc80,0xd9bffe60,0x3a203fff,
    0x04ffdbff,0x3ffffe20,0x7fffe405,0x102fffff,0x9ffb7ffd,0x3fffbbe0,
    0x449ff702,0x203fffff,0x3fe24ffb,0x3ee03fff,0x3ffe204f,0x441fffbb,
    0xffffffff,0xbffd1001,0x8017ffe4,0xfffffff8,0x74bff91f,0xfffffeff,
    0x3a206fff,0x3fff25ff,0xffeffe82,0x06ffffff,0xfffb5bf9,0x3ea01dff,
    0xfffffcbe,0x3ff2001f,0xdddd104f,0x4003ffff,0x04ffffe8,0x07fffb10,
    0x99999880,0xddd10199,0x003ffffd,0x44fffee0,0x0002fffd,0x003bffe6,
    0x26666662,0x0fffc819,0x2b7f2000,0x0efffffd,0x13fff200,0xc9bffe20,
    0x74402fff,0x2004ffff,0xffdaffe8,0xfffff704,0x405fdb9d,0x04ffffe8,
    0xf307ff50,0xffdff0df,0x21bfe607,0x303ffeff,0xff700dff,0xd10bffff,
    0x3ffffddd,0xb97ff600,0x22001eff,0xffffeeee,0x7f45ffd1,0xfa8cffff,
    0xffb01fff,0x80f7fdcb,0x8cfffffe,0x701ffffa,0x00dffd98,0xbff91054,
    0x7ffe4005,0x7ffec002,0x7ffcc001,0xfffb8005,0x00000003,0x0003fff9,
    0xff117ffa,0x3e60009f,0x000004ff,0x0007ffe4,0xbffb30e0,0x7ffe4001,
    0x877aa002,0xf3004ed8,0x74400bff,0x13ff62ff,0x407ffff1,0x2fffcc00,
    0x3bffba20,0x181ffe80,0x3fa07ff7,0x7ff7181f,0x4007ffa0,0x004ffffb,
    0x0007fff6,0xfb000000,0x8fff13ff,0x641ffffe,0x00002fff,0x83ffffd0,
    0x0002fffc,0x00000000,0x3fff6000,0x00000001,0x00440000,0x01fffc80,
    0xf09fff00,0x000007ff,0x40098800,0x0000fffc,0x00000000,0x00000000,
    0x3ee00000,0x000004ff,0x6ffffc40,0x2027fdc1,0xffb83ffb,0x41ffdc04,
    0x88004ffb,0xfffd8000,0x00110001,0x3fffb000,0x82fffe80,0x0003fffa,
    0x05fffd00,0x0007fff5,0x00000000,0xffb00031,0x1000d43f,0x00000003,
    0x7dffffb7,0x0fffe400,0x46ffe800,0x0002fffa,0x7f654000,0xc83effff,
    0x00000fff,0x88000188,0x00000001,0x00000310,0x000fffc8,0xcaa80000,
    0x1bfe27ff,0xf10ffee0,0x7ff700df,0x0006ff88,0x7ffec000,0x3ff6e001,
    0x00003eff,0xe803fffb,0xfff507ff,0x305eed87,0xffd05ddd,0x0fffea0f,
    0x3a60bddb,0x777442ee,0x400eeeee,0xffd52eec,0x3f6003df,0x42fea9ff,
    0xffd52eec,0x3ba203df,0x00eeeeee,0xfffffd88,0xc800dfff,0x90001fff,
    0x3fe65fff,0xddd1006f,0x001ddddd,0x3ffffffe,0x3f20ffff,0xeeec80ff,
    0xa977640d,0x101efffe,0x3fee3ddd,0xdd100dff,0x01dddddd,0xf71eee88,
    0x2201bfff,0xeeeeeeee,0x00fffd00,0xdddddd50,0x21dddddd,0xd87ffc40,
    0xffb801ff,0x400ffec3,0x7fec3ffb,0x77774401,0x2000eeee,0x8801fffd,
    0xfffffffd,0x6c0000df,0x7f401fff,0x7fff507f,0xf507ffe8,0xfffd05ff,
    0xd0fffea0,0x3fea0fff,0x7fffc42f,0x7401ffff,0xffffbbff,0xfd801fff,
    0x42fffeff,0xfffbbffe,0xf881ffff,0x1fffffff,0x7ffffc40,0x06ffffff,
    0x001fffc8,0xf9ffff10,0x22003fff,0xffffffff,0xddfff001,0x4bffffd9,
    0x7dc0fffc,0xffe81fff,0xffffffbb,0xafff881f,0xeffffffd,0xfffff880,
    0x7c401fff,0xffffdaff,0xff880eff,0x01ffffff,0x7000fffd,0xffffffff,
    0x3ea1ffff,0xf73fffff,0x3fee009f,0x4013fee3,0x3fee3ffb,0xffff8804,
    0x2001ffff,0x4401fffd,0xffffffff,0x40006fff,0x7401fffd,0xfff507ff,
    0x507ffe87,0xffd05fff,0x0fffea0f,0x3ea0fffd,0x7ffc42ff,0x401fffff,
    0xffffeffe,0xd806ffff,0x1fffffff,0x7fff7ff4,0x886fffff,0xffffffff,
    0x77ffe401,0xffffb98a,0x0fffe402,0xffff7000,0x44001dff,0xffffffff,
    0x2605b001,0xff90ffff,0x7fffcc1f,0xffdffd02,0x0dffffff,0xfffdfff1,
    0x107fffff,0xffffffff,0xefff8803,0xffffffff,0xfffff883,0xffd01fff,
    0xfff7000f,0xffffffff,0x3fffea1f,0x01dff14f,0x7c4bbaa0,0xdd5000ef,
    0x003bfe25,0x3fffffe2,0x3f6001ff,0x7fe401ff,0xffb98aef,0x360002ff,
    0x7f401fff,0x7fff507f,0xf507ffe8,0xfffd05ff,0xd0fffea0,0x3fea0fff,
    0xfffd802f,0x7ffff401,0xffffa8cf,0x3fffaa01,0xffe80cff,0xffa8cfff,
    0xffd801ff,0x3ffe601f,0x6fffa80f,0x40fffe40,0x3e202dd9,0x0003ffff,
    0x003fffb0,0x47fff200,0xff10fffc,0x7ff407ff,0xffa8cfff,0x7ffc41ff,
    0xfff52eff,0x3fff600d,0x7fffc401,0xdfff52ef,0x07fff600,0x4003fff4,
    0xbaaaaaa8,0x4c44ffff,0x002ffd81,0x0017fec0,0x000bff60,0x001fffd8,
    0x9807fff6,0xfa80ffff,0x360006ff,0x7f401fff,0x7fff507f,0xf507ffe8,
    0xfffd05ff,0xd0fffea0,0x3fea0fff,0xfffd802f,0x7ffff401,0x417ffe41,
    0xcfffffea,0x3ffffa00,0x017ffe41,0x700fffec,0x7f409fff,0x3ff200ff,
    0x7fffcc1f,0xfffff983,0x0333223f,0x01fffd80,0x5fff5000,0x3a23fff2,
    0x7f404fff,0x7fe41fff,0x7fffc42f,0x03fff40e,0x401fffd8,0x40effff8,
    0xfb007ffe,0x3ffa03ff,0x7ec00007,0x3ea006ff,0x7d40004f,0x7d40004f,
    0x7ec0004f,0x3f6001ff,0x3fee01ff,0x3fffa04f,0xfffb0000,0x07ffe803,
    0xfe87fff5,0x5fff507f,0x2a0fffd0,0x7ff43fff,0x05fff507,0x803fffb0,
    0xfa82fffe,0x7ffec3ff,0x7401ffff,0xffa82fff,0xfffd803f,0x07fff201,
    0x201fffc8,0x7ec1fffc,0x7fc47fff,0x31ffffff,0x6c001fff,0x44001fff,
    0xffeedcba,0xb1fff92f,0xfd009fff,0xfff505ff,0x0ffff887,0x800fffc8,
    0x4401fffd,0xfc80ffff,0xffd800ff,0x0fffd01f,0x7ffdc000,0xfff1000f,
    0x7fc40001,0x3e20000f,0x6c0000ff,0x36001fff,0x3f201fff,0x3ff201ff,
    0xffb0001f,0x7ffe803f,0xe87fff50,0xfff507ff,0x20fffd05,0x7f43fffa,
    0x5fff507f,0x03fffb00,0xf507ffe8,0xfffe87ff,0x7401ffff,0xfff507ff,
    0x3fffb007,0x007ffec0,0x6405fff9,0x7ff41fff,0x3ff60fff,0x8ffffaaf,
    0x2000fffa,0x1001fffd,0xfffffff9,0x3ff25fff,0x005fffdf,0x3ea0fffd,
    0x7ffc43ff,0x00333105,0x1007fff6,0x2620bfff,0xfffb0019,0x01fffa03,
    0x7fffcc00,0x0bff6001,0x45ffb000,0x7fec0008,0xffd80002,0x3ff6001f,
    0x3fff601f,0x0bfff200,0x0fffec00,0x541fffa0,0x7ff43fff,0x05fff507,
    0x3ea0fffd,0x3fff43ff,0x802fffa8,0x7401fffd,0xfff507ff,0xfd8cfe87,
    0x7ff401ff,0x07fff507,0x403fffb0,0x2e00fffe,0x3f202fff,0x7ffe41ff,
    0x93ffe26f,0xffcefffc,0x7ffec007,0xfffe8801,0xffffffff,0xffffff92,
    0x3ffa003f,0x87fff507,0x0005fff8,0x007fff60,0x000bfff1,0x80fffec0,
    0x80007ffe,0x003ffff8,0xffc97fea,0xdffa804f,0x04efffc8,0x3f25ffa8,
    0x3f6004ff,0x3f6001ff,0x3ffa01ff,0x3ffee00f,0xfffb0002,0x07ffe803,
    0xfe87fff5,0x5fff507f,0x2a0fffd0,0x7ff43fff,0x05fff507,0x803fffb0,
    0xff507ffe,0x3f60b87f,0x7ff401ff,0x07fff507,0x403fffb0,0x3201fffd,
    0x3f201fff,0x7fec41ff,0x0bffea1e,0xbffffffb,0x1fffd800,0x1dfffe80,
    0xfc97ffd4,0x0efffcff,0x507ffe80,0xff887fff,0x3600005f,0x7c401fff,
    0x200005ff,0xfd01fffd,0xfd0000ff,0x7c400bff,0xffff30ff,0x8fff8809,
    0x1ffffff8,0x4c3ffe20,0x2004ffff,0x2001fffd,0x3601fffd,0x3f201fff,
    0xfb0001ff,0xffe803ff,0x87fff507,0xff507ffe,0x0fffd05f,0xfd0fffea,
    0x3ffea0ff,0x1fffd802,0xa83fff40,0x7ec03fff,0x7ff401ff,0x07fff507,
    0x403fffb0,0x3a03fffb,0x3f200fff,0x703301ff,0xfe883fff,0x4001ffff,
    0x4401fffd,0xff506fff,0x23fff25f,0xe805fffd,0xfff507ff,0x05fff887,
    0x3fff6000,0x2fffc401,0xfffb0000,0x01fffa03,0x1dfff900,0xd17fec00,
    0xd809ffbf,0x7d4aa2ff,0x8bff604f,0x004ffdfe,0x8007fff6,0x2e01fffd,
    0x3fa03fff,0xfb0000ff,0x900003ff,0xffe83fff,0x05fffb07,0x3ffa0000,
    0x05fffb07,0x803fffb0,0xff507ffe,0xfffd807f,0x83fff401,0xd803fffa,
    0x3ea01fff,0xfff506ff,0x1fffc80d,0x27ffd400,0x037fffcc,0x00fffec0,
    0x221bffe6,0xff92fffd,0x7ffff11f,0x507ffe80,0xff887fff,0x3600005f,
    0x7c401fff,0x200005ff,0xfd01fffd,0x7d4000ff,0x2a001fff,0x23fee5ff,
    0x3fea04ff,0x40ffee05,0x3fee5ffa,0x36004ff8,0x36001fff,0x3ea01fff,
    0xfff506ff,0x7fec000d,0xff80001f,0x7ffec0ff,0x17fffdc1,0x80099880,
    0x7dc1fffd,0xfd802fff,0x7ff401ff,0x07fff507,0x401fffd8,0xff507ffe,
    0xfffb007f,0xefffe803,0x3ffff511,0x01fffc80,0x17fffc40,0x07ffffa6,
    0x03fffb00,0x21ffff88,0x92ffffe8,0x3fea1fff,0x3ffa02ff,0x87fff507,
    0x0005fff8,0x007fff60,0x000bfff1,0x80fffec0,0x30007ffe,0x4007ffff,
    0xff30fff8,0x7c413fe5,0xfff500ff,0x21fff101,0x09ff2ff9,0x00fffec0,
    0x803fffb0,0x511efffe,0x0003ffff,0x000fffec,0x21fffee0,0xc88cfffc,
    0x002fffff,0xf9007fff,0xff9119ff,0xfb005fff,0xffe803ff,0x07fff507,
    0x401fffd8,0xff507ffe,0xfffb007f,0xffffa803,0x5fffffff,0x01fffc80,
    0xeffffc80,0xffffffee,0x3ff6000e,0xfffe801f,0xfffffeef,0x41fff92f,
    0xd01ffffc,0x3fea0fff,0x2fffc43f,0xfffb0000,0x5fff8803,0x3ff60000,
    0x0fffd01f,0xdfffd100,0x15555555,0x3f62ffc8,0x85fffeef,0xff902ffc,
    0x8bff201d,0xfffeeffd,0x3fffb005,0x0fffec00,0x3ffffea0,0x05ffffff,
    0x0fffec00,0xffffc800,0xffffa82f,0xffffffff,0x0fff9802,0xfffffa80,
    0x2fffffff,0x7fffffec,0x45ffffff,0xff507ffe,0x7fffec7f,0xffffffff,
    0xa83fff45,0x7fec3fff,0xffffffff,0xfffb85ff,0x0cffffff,0x7fffffe4,
    0x06ffffff,0xffffffd0,0xbfffdfff,0x3fffff60,0x5fffffff,0xffffffa8,
    0x92fffaff,0xffe81fff,0x7ffe80ef,0x887fff50,0xb0005fff,0xffffffff,
    0xf88bffff,0xfb0005ff,0xffffffff,0x3ffabfff,0xfffc8007,0xffffffff,
    0xb17fe61f,0xdfffffff,0xd885ff98,0x4c199eff,0x7ffec5ff,0xfd86ffff,
    0xffffffff,0xfffb5fff,0xffffffff,0xffff70bf,0x019fffff,0x7ffffec0,
    0x5fffffff,0xbffffd00,0x7fffff40,0x02fff9ff,0x2006ffa8,0xfffffffe,
    0x7ec2fff9,0xffffffff,0x7ff45fff,0x47fff507,0xfffffffd,0x745fffff,
    0xfff507ff,0xfffffd87,0x5fffffff,0xfffffb30,0x3fff205d,0xffffffff,
    0x3fee006f,0xfd0dffff,0xfffb09ff,0xffffffff,0x3ffea0bf,0x5ffd1dff,
    0xf103fff2,0xffd0bfff,0x0fffea0f,0x000bfff1,0x3ffffff6,0x45ffffff,
    0x0005fff8,0xfffffffb,0x3abfffff,0xfc8007ff,0xffffffff,0x3ffa1fff,
    0x7d5554c0,0x07ff42df,0x7fffffd4,0x2607ff47,0x2dffaaaa,0xffffffd8,
    0xb5ffffff,0xffffffff,0x260bffff,0x2efffffd,0xffffd800,0xffffffff,
    0x5dffd005,0xbffffb00,0x200bffa3,0x6c003ffc,0xfd1dffff,0xffffd85f,
    0xffffffff,0xa83fff45,0x3ff63fff,0xffffffff,0x3fff45ff,0x6c3fffa8,
    0xffffffff,0x9805ffff,0xfffc801a,0xffffffff,0xa988006f,0xfffb0001,
    0xffffffff,0x09a880bf,0x80fffc80,0x744ffffa,0xfff507ff,0x05fff887,
    0xfffffb00,0xbfffffff,0x005fff88,0xffffffb0,0x2bffffff,0xc8007ffe,
    0xffffffff,0xff91ffff,0x913fe007,0x3fea07ff,0x3f27ffff,0x09ff003f,
    0x3ffffff6,0xb5ffffff,0xffffffff,0x300bffff,0xfd800035,0xffffffff,
    0x57005fff,0x09988003,0x0554c000,0x004cc400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00399100,0x5eed8000,0x001ddd70,
    0x95000f26,0x19999999,0x65400000,0x0ccccccc,0x35531000,0x982f76c1,
    0x00002eee,0x009ddd50,0x4401dddb,0x009bcdb9,0x55555554,0x53002aaa,
    0x00379bb9,0x002b36e6,0x55555551,0x10035555,0x98800133,0x261bcccb,
    0x2a600aaa,0xb95100aa,0x1000159b,0x88035553,0xabcdecba,0x66654c00,
    0x0aaaaaab,0x0dee5cc0,0x0075cc00,0x66f6e544,0x4010000b,0x2600aaa9,
    0xeb9802aa,0x64000000,0x2202ffff,0x6400ffff,0x3a000fff,0xfff907ff,
    0xdfff3003,0x7fffe400,0x7f40ffff,0x7e40007f,0x0fffffff,0x7fff4c00,
    0xfffd2fff,0x00bffea0,0x2017ffe6,0x200ffff8,0x2605fff9,0xffffffff,
    0xfffff101,0x01ffffff,0x7fffffd4,0xf300ffff,0x1bffffff,0x3ffffe20,
    0x04ffffff,0xffffffd7,0xfffd880d,0xf95fffff,0x7fe403ff,0x7ffe441f,
    0x804fffff,0xffffffc9,0x3fffee05,0x203fffff,0xfffffffd,0x300fffff,
    0xdffffffd,0x3fffa001,0x7fffcc00,0x00cfffff,0x7ffff64c,0x0bffee4e,
    0x200fffd8,0x4c00fffe,0x32006fff,0x5400efff,0x5503ffff,0x5557fffb,
    0x83fff401,0xb801fffc,0x9001ffff,0xffffffff,0x007ffe81,0x7ffffe40,
    0x2e000fff,0xffffffff,0x2a0fffd2,0x7c402fff,0xd805ffff,0x3f203fff,
    0xfff902ff,0x7fffffff,0xffffff10,0x101fffff,0xfffffffb,0xf701ffff,
    0xfffdbfff,0xffff101d,0x9fffffff,0xfffffe88,0x3ea07fff,0xffffffff,
    0x03fff95f,0x360fffe4,0xffffffff,0x3ff604ff,0x05ffffff,0xfffffffb,
    0xfd107fff,0xffffffff,0xf501ffff,0xffffffff,0xfffd005f,0xffff9801,
    0x05ffffff,0x3ffffff2,0x3ffee7ff,0x03fff602,0x400fffe8,0x9006fff9,
    0x26009fff,0xff02ffff,0xffffffff,0x83fff403,0xb801fffc,0x1000ffff,
    0x33333333,0x000fffd0,0x99999988,0x3fe60019,0x2feddeff,0x3ea0fffd,
    0x3fa202ff,0x404ffdaf,0x3e06fff9,0xfff507ff,0xffffddff,0xeeee883f,
    0x0ffffeee,0xefffffe8,0x40fffeed,0x5c41effb,0x7fc40fff,0xffffffff,
    0x7ffff44f,0x507fedcd,0xbbffffff,0x3ff2bffd,0x3fff201f,0x2fbffee1,
    0x1ffffca9,0x7ffffec4,0xfb84eeef,0xdcccefff,0xfffd83fe,0xcefffcdf,
    0x7fcc0ccc,0xfffcbdff,0xfffe807f,0x6677cc00,0x3fffffdb,0xffffffe8,
    0x3fee7fff,0x3fff602f,0x03fffa00,0x00bfff10,0x8005fff9,0x3fe05ffd,
    0xffffffff,0x41fffa01,0xb001fffc,0x000007ff,0x0007ffe8,0x3f600000,
    0x7ff404ff,0x05fff507,0xfd8bffa2,0x7fff404f,0x04fffa81,0xe889fffd,
    0x6c005fff,0x7fdc0fff,0x1b500dff,0x70077fc4,0xfff889ff,0x9999999b,
    0x81bffea0,0x5ffffd01,0x3ff27510,0x3fff201f,0x203fff61,0x7e43fffb,
    0xf000bfff,0x04407fff,0xe83bffe6,0xffd804ff,0x3fffe83f,0x007fff40,
    0x9fffb004,0xadffffb8,0x3ee6ca99,0x3ff602ff,0x3fffa00f,0x2fffc400,
    0x08800000,0x7fff6640,0x3a00cccc,0xfff907ff,0x00004003,0x07ffe800,
    0x00044000,0xe807ffe8,0xfff507ff,0xb8000005,0xffd84fff,0x5fffb80f,
    0x01ffff10,0x107ffec0,0x0007ffff,0x5d443ff7,0x441ff93c,0x2e002fff,
    0x5c004fff,0x9000efff,0x7e403fff,0x1bffe1ff,0xf31fffc4,0x44001fff,
    0xd8007fff,0x7ff41fff,0x2fffc404,0x747fff98,0xeffffeee,0x001eeeee,
    0x7c4bfff3,0xf7003fff,0x7fec05ff,0x3fbbba0f,0xeeeeefff,0x013ffe1e,
    0x20000000,0x2000fffc,0xff907ffe,0x2000003f,0xdd305eed,0x11fffa5d,
    0xfed98003,0x3e002eff,0xffe805ff,0x05fff507,0xff880000,0x2fffc47f,
    0x201fffe8,0x2003fffd,0x3ee0fffd,0xf88006ff,0x3fffa65f,0x7c49ff36,
    0x3ea002ff,0xf000bfff,0x64005fff,0x3f201fff,0x3fffa1ff,0x22fffb80,
    0x4002fffc,0x000ffff9,0x7f437ffc,0x7ffe404f,0x3fffd102,0x7ffffffc,
    0x1fffffff,0x47fff100,0x2005fffb,0x3602fffb,0x3ffe0fff,0xffffffff,
    0x3ffe1fff,0x77777544,0x0eeeeeee,0x3bbbbba2,0x7fe400ee,0x202ae60f,
    0xff907ffe,0xdddd503f,0xdddddddd,0x507ffe81,0x3ffa5fff,0x3dfffd56,
    0xfffffb80,0x4400dfff,0xfe805fff,0x5fff507f,0xd0027764,0xfffb03dd,
    0x817ffdc3,0x7d407fff,0x3f6004ff,0x3fff60ff,0x2ff98002,0x4dfffff1,
    0x3ffe26fd,0x3ffe2002,0x2602dfff,0x64007fff,0x3f201fff,0x3fff21ff,
    0x1bffe61e,0x2000fffd,0x001effff,0xfd09fff1,0x7ffd809f,0x5ffffd30,
    0x7ffffffc,0x1fffffff,0x43fff700,0x2002fffc,0x3602fffb,0x3ffe0fff,
    0xffffffff,0x3ffe1fff,0x7ffffdc3,0x0fffffff,0x3fffffe2,0x7fe401ff,
    0x7fffff77,0xf907ffe8,0xfff703ff,0xffffffff,0x07ffe81f,0x3fa5fff5,
    0xfffffbef,0xfff701ff,0x9ffffbdf,0x05fff880,0xf507ffe8,0x3ffec5ff,
    0x81fff880,0x3fa4fffa,0xdfff107f,0x05fff980,0xe83fff60,0xa8000fff,
    0x1dff90ff,0x3e27fc82,0x0abccdff,0x3ffffea0,0x7d40cfff,0x7e4005ff,
    0x3ff201ff,0x3fffe21f,0x1ffffbcf,0x2e3bffe2,0x3602bcdc,0x0aefffff,
    0x20fffe60,0x7f404ffe,0xffffb86f,0x3ffa03ff,0xc988000f,0x7fec5fff,
    0x3fee001f,0x3fff602f,0x03fffa00,0xf70bbb60,0xffffffff,0x7fc41fff,
    0x01ffffff,0x7fe7ffe4,0x3a2fffff,0xfff907ff,0xfffff703,0x1fffffff,
    0xf507ffe8,0x3fffa5ff,0xffffffff,0x1dfff886,0xb87fffa2,0xefffcccc,
    0x3a4ccccc,0xfff507ff,0x803ffdc5,0xfd00fff9,0x13ffe6ff,0x202fffcc,
    0x2006fff8,0x3fe0fffd,0x7777447f,0x4ff70eee,0xff702ffe,0x3ffffe21,
    0x301dffff,0xfffffffb,0x27ffdc3f,0x07fff200,0x4c1fffc8,0xffffffff,
    0x7fffcc1e,0xdfffffff,0xfffff881,0xfa80cfff,0xfffe82ff,0x7ffc6fff,
    0x3ffffa25,0x3fa04fff,0xff5000ff,0xd07fffff,0x5c003fff,0x3f602fff,
    0x3ffa00ff,0x5440000f,0xffbaaaaa,0xffd804ff,0x7ffe401f,0xffffdfff,
    0x221fffa6,0xa881fffe,0xffbaaaaa,0x7ffe84ff,0x3a5fff50,0xa8cfffff,
    0x7e41ffff,0xfff981ff,0x3fffff64,0xffffffff,0x6c1fffa7,0x3fea2fff,
    0x7ffa800f,0x32bffee0,0xff501fff,0xfff8809f,0x3fff6007,0x88dfff10,
    0x0fffffff,0x0fffcffb,0xff11ffa8,0xffffffff,0x7ed4403f,0x3f26ffff,
    0x7e4003ff,0x3ff201ff,0xfffe881f,0xffa84fff,0xffffffff,0xfe880fff,
    0x3fffffff,0x7417ffdc,0x26ffffff,0xff55fff8,0xbfff3bff,0x007fff40,
    0xffffffa8,0x7ffec1cf,0x3ffee002,0x03fff602,0x800fffe8,0x36006ffc,
    0xfb006fff,0xffc803ff,0xffd10eff,0x03fffa1f,0x003ffffb,0xd06fffd8,
    0x3fea0fff,0x3ffffd2f,0x7c2fffc8,0x3ffe06ff,0x3fffff65,0xffffffff,
    0x707fff67,0x7cc5ffff,0x82aa61ff,0x3e206ffb,0x06ffedff,0x1017ffea,
    0x6c00dfff,0xfff30fff,0xfffff88d,0x7cff90ff,0x3ff502ff,0x32eaaaa2,
    0x007ffffe,0x21ffff91,0x4004fffc,0x3201fffc,0x7ec41fff,0xefffffff,
    0x3ffffea0,0xffffdbbd,0x3fffaa05,0x3ee4ffff,0xfffe82ff,0x3fe26fff,
    0x3ffffcdf,0x7549fff1,0xeeffffee,0xffa81eee,0x3fffffff,0x8017fff2,
    0x3602fffb,0x3fa00fff,0xffd800ff,0xffff7003,0x3fff6001,0x77ffe401,
    0xe8fffec0,0xfd98cfff,0x2003ffff,0xd00ffffb,0x3fea0fff,0x05fffd2f,
    0x7c47fff5,0xeeeeefff,0x2a67fffe,0xaefffbaa,0x3f22aaaa,0xffc88cff,
    0x3fe22fff,0xc93ffa2f,0x7fec05ff,0x2603ffff,0x7c405fff,0x3f6005ff,
    0xffff10ff,0xfffb5550,0x7f43fee1,0x01ff704f,0x07fffea0,0x71ffff80,
    0xc8009fff,0x3f201fff,0x3ffa21ff,0xffffdadf,0x417ffea6,0x9807fffa,
    0x2ffffffc,0xfd05fff5,0xffff809f,0x3e61efff,0x3ffee3ff,0xffffffff,
    0xff93001f,0x3ffea3ff,0xfff7002f,0x07ffec05,0x001fffd0,0xf3001fff,
    0x6c003fff,0x7e401fff,0xfffb81ff,0xffffffd1,0xffffffff,0x3ffff300,
    0xa83fff40,0xfffd2fff,0x98fffea0,0xffffffff,0x207fffff,0xa805fff8,
    0xffffffff,0x7fc2ffff,0x4ffff34f,0x7d404ffc,0x200fffff,0x4c06fff8,
    0x36004fff,0x3ffe0fff,0x3fff200f,0x3ee3ff50,0x3f24bdff,0x7ffe4007,
    0x3ea01553,0x3ffea7ff,0x7ffe4005,0x87fff201,0x7d43fffc,0xfff53fff,
    0x0fffec09,0xffffc880,0xd07fff54,0xffe809ff,0xffa85fff,0x3fffee3f,
    0xffffffff,0x7ffe4001,0x33ffffa5,0x2e6b9889,0x3f602fff,0x3ffa00ff,
    0x2ffc400f,0x1ffffc40,0x07fff600,0x701fff90,0x3ffa3fff,0xf8efffff,
    0x7c407fff,0x7f403fff,0x5fff507f,0x7d41fffa,0x3ffea3ff,0xffffffff,
    0x3fe207ff,0xfffd005f,0xfff3ffff,0xf95ffe85,0x3ff65fff,0xfffff802,
    0x0ffff804,0x00fffee0,0x360fffe8,0x3f202fff,0x27ff30ff,0x26fffff8,
    0x7d4006fe,0xbdff94ff,0x9ffffd99,0x007fffcc,0x403fff90,0xff10fffd,
    0x3ffea0df,0x40bfff36,0x4002fffc,0xff36fffc,0x09ffd09f,0x02ffffd8,
    0x4c45fff7,0x99fffe99,0xf8800199,0x3ffea6ff,0x7fffffff,0xd80bffee,
    0x3fa00fff,0x664c00ff,0x5fffe801,0x1fffd800,0x407ffe40,0xffd1fffb,
    0x2a1dffff,0x7f407fff,0xffe805ff,0x25fff507,0xff507ffe,0x1fffcc7f,
    0x7ffc4000,0x3fff6005,0x85ffd1df,0xfffd6ffd,0x007ffabf,0x003ffff2,
    0xe80bfffa,0x3e001fff,0x7ffe47ff,0x83fff206,0x3ff627ff,0x007ff56f,
    0xf93fffb8,0xffffffff,0x7ffc41df,0x3fee004f,0x9fffa02f,0x3e03fff9,
    0xffff17ff,0x00fffec0,0x457ffea0,0xffe87fff,0x1fffe404,0x401fffd0,
    0x0000fffe,0x545fff98,0xffffffff,0x0bffee7f,0x200fffd8,0x0000fffe,
    0x03bfff20,0x07fff600,0x701fff90,0x3ffa3fff,0x99880a8d,0x3bfff200,
    0x07ffe800,0x3fa5fffb,0x7fff507f,0x002fffc4,0x02fffc40,0xfa826620,
    0x7ffdc0ef,0x8fffeff9,0xfc800fff,0xff5004ff,0xfff501df,0x3fe6008d,
    0x7fffc46f,0x41fff904,0x21983ffb,0x744006fe,0xfff71fff,0x07dfffff,
    0x00fffff2,0x417ffea1,0x3ea5fff8,0x3ffe05ff,0x20bfffa6,0x0027fff8,
    0xfb27ffe4,0x4ffe87ff,0x07fffc40,0x2027ffd4,0x0002fffd,0x884fffc8,
    0xeffffffb,0x80bffee3,0x7ec07ffe,0x500002ff,0x0003ffff,0x9007fff6,
    0xff701fff,0x01bffa3f,0x3fffea00,0x3fffb001,0xd2ffffb8,0x3fea0fff,
    0x0ffffc3f,0x3ffe2000,0xff880005,0xcfffa80f,0xfbffeaff,0xfff8807f,
    0x3ffa000f,0xffc99aef,0x05f4c1ff,0x709fffd3,0x235dffff,0x7c0fffd9,
    0x3ff602ff,0x75440cc3,0x99886fff,0x7c404fff,0x99bdffff,0xfff15eca,
    0xfffe887f,0x0bfffe22,0xfa93fff2,0x3f621fff,0x2f7ee5ff,0xfff93109,
    0x7fffcc5f,0x009fff0b,0x543bfffb,0x6400ffff,0x2200dfff,0xffff9300,
    0x0fffdc03,0x332fffb8,0x01bffee1,0x001bfff9,0x3ffff980,0x3fff6000,
    0x07ffe401,0xfe8fffdc,0x7cc0006f,0x32003fff,0xfc88cfff,0xffd2ffff,
    0x0fffea0f,0x205dfff7,0x7ffc4028,0xffc80005,0xfffff305,0xffdff71f,
    0xfffe980d,0x7ffdc003,0xffffffff,0xfffff985,0xd00fffff,0xffffffff,
    0xfa81ffff,0xeb98acff,0xfffc85ff,0xefffffff,0x00fffc00,0x7fffffdc,
    0x2e5fffff,0xffefffff,0xffd85fff,0xfffddfff,0x7fff40ff,0xefffffff,
    0x3ffffee0,0x4fffffff,0xffffffe8,0xffffffff,0x7ffffcc0,0x04fffffe,
    0xefffffa8,0xfffd1fee,0xffffffff,0x04ffd807,0x7dcbffee,0x03ffffff,
    0x77ffffd4,0xd1001fee,0x5555dfff,0xfd801555,0x7fe401ff,0x1fffb80f,
    0x4000fffd,0xaaefffe8,0x540aaaaa,0xffffffff,0xffd2ffff,0x0fffea0f,
    0x37bffffa,0x200ffeed,0x0005fff8,0x419effd8,0x35fffff8,0x88bfffff,
    0x5ffffdcd,0xffff5000,0x209fffff,0xfffffff9,0x7fe402ff,0xffffffff,
    0xffff980f,0x904fffff,0xffffffff,0xff9803df,0x3ffa6006,0x5fffffff,
    0x7fffffec,0xe880efff,0xffffffff,0xffe981ff,0x1effffff,0x7fffffdc,
    0x105fffff,0xfffffffb,0x01ffffff,0xfffffff3,0x7ec007ff,0x1fffffff,
    0xfffffffd,0xfd009fff,0x7ffdc03f,0xffffff72,0x3fff600b,0x001fffff,
    0xfffffff9,0x6c3fffff,0xffffffff,0x7e45ffff,0xfffb80ff,0x000fffd1,
    0x7fffffe4,0x81ffffff,0xfffffffe,0xffd2fff9,0x0fffea0f,0x3fffffa2,
    0x200fffff,0x0005fff8,0x87ffffc8,0x3a3fffff,0x7c44ffff,0x00efffff,
    0x3fff6600,0x32202eff,0x0cffffff,0xffffb500,0x44039fff,0x2dffffec,
    0x3fffff20,0xf7001dff,0xfd90007f,0x039dffff,0xffffffd5,0xffff7007,
    0xc8019fff,0x03ffffff,0xffffffb3,0xd7003bff,0xffffffff,0x36201fff,
    0x01dfffff,0xfffffb80,0xffffd1ff,0x0017dfff,0xfb80dff1,0xffff52ff,
    0xffb8007f,0x001fffff,0xfffffff9,0x6c3fffff,0xffffffff,0x7e45ffff,
    0xfffb80ff,0x000fffd1,0x7fffffe4,0x01ffffff,0x23bffffb,0xfffd2ffe,
    0x80fffea0,0xffffffeb,0x3fe200df,0xe880005f,0xffe87fff,0x3ffee0ff,
    0x7fffc43f,0x4400003f,0x9988001a,0x4cc40000,0x19880009,0x26666200,
    0x0cca8000,0x00cc4000,0x40006a60,0x80009a98,0x22000998,0x00009a99,
    0x20000666,0x300000a8,0x33301353,0x91000135,0x99800059,0x54cc0000,
    0x7fe40009,0xffffffff,0x3fff61ff,0xffffffff,0x07ffe45f,0x988fffdc,
    0x3f200019,0xffffffff,0x26201fff,0x7ffe8009,0x007fff50,0x40026aa6,
    0x0005fff8,0x36026a60,0x7fcc6fff,0x1acb82ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33333322,0x2aa601cc,0x5553000a,0x55550001,0x55555555,0x55441555,
    0x0aaaa01a,0x54400008,0x009aaaaa,0x55555510,0x55550013,0x0aaa0000,
    0xaaa83551,0xaaaaaaaa,0x5510aaaa,0xaaa88055,0x2aaaa002,0x402aaaaa,
    0x80acdcb9,0xaaaaaaa9,0x530aaaaa,0x2aa20055,0x002aaaa2,0x5446aaa6,
    0x555402aa,0x5555541a,0x0aaaaaaa,0x4c015553,0x2aaa62aa,0x50009aaa,
    0x55555555,0xcc880555,0x0555501c,0x100d5554,0x00379b95,0x0aaaaa60,
    0x98155544,0x2aa22aaa,0xaaaaaaaa,0x95102aaa,0x0000379b,0xffffff30,
    0x7fe407ff,0xfff7001f,0xfffb0005,0xffffffff,0x7fc45fff,0x1bffe04f,
    0x76c017dc,0x7ffffd41,0x201dffff,0xfffffffa,0xffd01dff,0xff10000f,
    0x6c4ffb8d,0xffffffff,0x22ffffff,0x3202fffe,0xf1003fff,0xffffffff,
    0x3fff220b,0x7e44ffff,0xffffffff,0xfff71fff,0xd9ffe600,0xfd804fff,
    0x3fffe1ff,0x5ffff103,0x7fffffc4,0x70ffffff,0x7ec05fff,0xffff90ff,
    0x03bfffff,0x3fffffe2,0x107fffff,0x207ffff9,0xff907fff,0xffb101ff,
    0x01bfffff,0x7ffffc40,0x5ffff506,0x54dfffd0,0xffffffff,0x446fffff,
    0xfffffffc,0x2efc880c,0xfffff300,0x7e407fff,0xff7001ff,0xffb0005f,
    0xffffffff,0x7c45ffff,0x3ffe04ff,0x07fff446,0x549fff50,0xffffffff,
    0xff504fff,0xffffffff,0x0fffd09f,0x8bff3000,0x6fec3ffc,0xcccccccc,
    0x3e62ffcc,0xfff106ff,0x7ffe400d,0x05ffffff,0xfffffffd,0x7ffe4bff,
    0xffffffff,0x00fff51f,0xffa9ffe6,0x7fff806f,0x407fffd4,0x7c45fffc,
    0xffffffff,0xfff70fff,0x87ffec05,0xfffffffc,0xf884ffff,0xffffffff,
    0x7fe447ff,0xff03ffff,0xffff30ff,0xfffff503,0x00dfffff,0x37ffffe4,
    0x44ffffa8,0x2a7ffff8,0xffffffff,0x226fffff,0xffffffff,0x7fe40eff,
    0x333001ff,0x40133333,0x7001fffc,0x90005fff,0xfffddddd,0x23dddddf,
    0xaaefffb9,0xefffaaaa,0x17fff20a,0x50ffffc4,0xffdddfff,0xf50bffff,
    0xfffdddff,0xffe8bfff,0x00aacccf,0xfb13fea0,0x773fd85f,0xb0bfa035,
    0xff907fff,0x7ffc005f,0x3cccefff,0xadffffb8,0x3ae1ffdb,0xeffffeee,
    0xfff51eee,0x89ffe600,0x2a00ffff,0xffe85fff,0x7fffc43f,0x77fffc41,
    0x0eeeeeee,0x6c05fff7,0xfff90fff,0xfffffddd,0xffff88bf,0x5eeeeeee,
    0x3fffffee,0xffff03ff,0x209fffd0,0xeddffffc,0x9803ffff,0x06ffffff,
    0xb8fffff7,0x3ea7ffff,0xffffffff,0x3f66ffff,0xffdbcfff,0x7fffc3ff,
    0x8000003f,0x1c41fffc,0x0017ffdc,0x05fff880,0x7fffffec,0xffffffff,
    0x7fff41ff,0xffeefffd,0x1fffd43f,0x07ffffa6,0xe987fff5,0x3fa1ffff,
    0xffffffff,0x4ffb801d,0x3f60fff4,0x87ffffb3,0x7ffc42fe,0x17ffe20f,
    0xfeeffa80,0xffff804f,0x7c402a80,0x3fe605ff,0x8dff3007,0x3203fffe,
    0xffa82fff,0x3fff20ff,0x05fff885,0x80bffee0,0xff90fffd,0xfffe981f,
    0x17ffe21f,0xdfffff80,0xfff03fff,0x06fffb8f,0x7fec1ff4,0xfffe806f,
    0xff706ffe,0x7fec3fff,0x266627ff,0xfd999999,0xdfff54ff,0x0ffff981,
    0x00fffffa,0x3ff20000,0x70bf911f,0x00005fff,0xb017ffe2,0xffffffff,
    0xffffffff,0xfffff883,0x85ffffff,0xfb03fffa,0xfffa8dff,0x4dfffb03,
    0xfffffffe,0xca83ffff,0xccceffec,0xfb4cdfff,0x3ffffb27,0x3f20bfa5,
    0x3fff64ff,0x2fff6001,0x7c404ffe,0x220006ff,0x3e605fff,0xffa800ff,
    0x02fffdc6,0x3601fffd,0xfff14fff,0xbfff101f,0x17ffdc00,0x321fffb0,
    0xffb00fff,0x2fffc4df,0x519ff900,0x3fe07fff,0x3fffe67f,0xf8804401,
    0x7fd407ff,0x706ffeaf,0x229ffbff,0x00fffdff,0x43fffe20,0xfb02fffc,
    0x7ffd47ff,0x3bba200e,0x800eeeee,0xffcafffc,0x2fffb85f,0xfff10000,
    0xfffec80b,0xfeeeeeef,0xfb81efff,0xffffffff,0x3fffa80f,0x43ffff10,
    0xf103fffa,0x3ffa3fff,0xfffecccf,0x7ffdc1ff,0xffffffff,0x07fb7fff,
    0x3fa7ffd3,0x31ffff02,0x44009fff,0x4ffe8fff,0x01fffcc0,0x0bfff100,
    0x3107ffc4,0x4c5ffa83,0xff107fff,0x7ffcc0bf,0x04fffc8f,0x400bfff1,
    0x3602fffb,0xfff90fff,0x3fffe201,0x00bfff11,0xfff50ec4,0xe9fffe07,
    0x80003fff,0xf100ffff,0x1bffabff,0xb7fdffe4,0x0fffbffa,0x93fff200,
    0xf500fffd,0x0bb989ff,0x7ffffc40,0xfc801fff,0x4fffffff,0x002fffb8,
    0x0bfff100,0x409fff10,0x3f206fff,0xfffb32ff,0x07fff507,0xf517ffec,
    0x7fec07ff,0x10fffd2f,0xfb8dfffd,0xffffffff,0xfb7fffff,0x757fe207,
    0x9fff502f,0x4001fffb,0x9ffd6ffb,0x02fffa80,0x17ffe200,0x2e0fff88,
    0x17fea2ff,0x2e07fffa,0x7e403fff,0x0ffffdff,0x00bfff10,0xb017ffdc,
    0x3ff21fff,0x3fff600f,0x00bfff12,0x03fffa80,0x3feeffff,0xf880005f,
    0x3ff207ff,0x20dffd0f,0x8ffeaffc,0x1fff8ffd,0x1ffff100,0x980ffff4,
    0x20005fff,0xfffffff8,0xfffc801f,0xf701dfff,0x66dc05ff,0x2fffc400,
    0x027ffc40,0x7f40dfff,0x86fff83f,0x3203fffa,0x3fea3fff,0x3fff203f,
    0x2a0fffd3,0x554c7fff,0xfbaabfff,0x7fb2aaef,0x2feaffc0,0x3fffffa0,
    0x7ff4003f,0xa809ffd3,0x20002fff,0x7c05fff8,0x93ffa0ff,0xffc84ffb,
    0x0fffd84f,0x7ffffc40,0x3fe203ff,0x3fee005f,0x999999bf,0xff90fffd,
    0x7ffe401f,0x00bfff13,0x03fffa80,0xfff1ffff,0xf500001f,0x3fe60bff,
    0x41bffa3f,0xaffcaffd,0x03ffd6ff,0x913fff20,0x3e209fff,0x400006ff,
    0x5c01fffd,0x01dfffff,0xe817ffdc,0x65c0efff,0xccefffcc,0xefff881c,
    0xffcccccc,0x1fff106f,0xff8fffb0,0x0fffffff,0x7fd3ffee,0x0fffffff,
    0x7f53ffee,0x3fffe07f,0xfa8fff01,0x983fd85f,0x05fd3ffc,0x37ffffcc,
    0x43ffe600,0x3ffffffe,0x9bfffb97,0x10079999,0xff80bfff,0x4ffff11f,
    0xff984ffb,0x06fff86f,0xdfffff90,0xfffff880,0x25ffffff,0xfffffffb,
    0x0fffffff,0x5c01fff9,0xfff14fff,0x9999999d,0x3fffa803,0xffbffff0,
    0x3a00005f,0xffd02fff,0xb06ffe8d,0xfdff35ff,0x007ffa7f,0x703fffe2,
    0x4c17ffff,0x0007fffc,0x80fffec0,0x2ffffff9,0x05fff700,0x87fffff5,
    0xfffffffe,0xff883fff,0xffffffff,0xff506fff,0x8fff701f,0xffffffff,
    0x57ffea0f,0xffffffff,0x57ffea0f,0x3fa07ffe,0x7ff880ff,0x7ec27fd4,
    0x9bffffe3,0x7fe402fe,0x7e4001ff,0x3ffffa5f,0xffffd3ff,0xbfffffff,
    0x0bfff100,0xff71fff8,0x13fee3ff,0xf307fffc,0x3e2009ff,0x4403ffff,
    0xffffffff,0x3fee5fff,0xffffffff,0xff90ffff,0x7ffd401f,0xffffff15,
    0x807fffff,0xff03fffa,0x00dfffff,0x1bfff200,0x3a0fffdc,0x3ffb06ff,
    0x743ffffe,0xffc802ff,0xfffe885f,0xfffffeff,0x6c00006f,0xff701fff,
    0x2003ffff,0xfa82fffb,0x7f43ffff,0xffffffff,0xffff883f,0xffffffff,
    0x3fff506f,0xff8dff70,0x0fffffff,0x7fd3ffee,0x0fffffff,0x7f53ffee,
    0x1fffe07f,0x3ee37fc4,0x3a3fd84f,0x17f43def,0x017ffe20,0xfe8bffe0,
    0xfd3fffff,0xffffffff,0xff100bff,0x1ffe80bf,0x2e9ffffb,0xfffb03ff,
    0x00fffe45,0x6fffffb8,0x7ffffc40,0x25ffffff,0xfffffffb,0x0fffffff,
    0x5c01fff9,0xfff14fff,0xffffffff,0x3fffa807,0xffdffff0,0xfa80007f,
    0xff880fff,0x06ffe84f,0x3ff23ffd,0x00bffa6f,0x203ffff1,0xfffffff9,
    0x985fffff,0xfffb0000,0x3fbbee03,0xff7001ff,0xffff105f,0xfcccb83f,
    0x81ccceff,0xaaaefff8,0x06fffaaa,0xfb07fff3,0x7fff507f,0x51fffdc0,
    0x7dc07fff,0x0fffd3ff,0x989bffee,0x999effa9,0x3619cffd,0x740bfa3f,
    0x7fffe42f,0xffffffff,0xd1ffea01,0x32aa09ff,0xaaaacfff,0xfff8801a,
    0x44fff405,0xf96ffdff,0x3ffea07f,0x401fffa5,0xfffffff8,0x17ffe203,
    0x9bfffb80,0xffd99999,0x01fff90f,0xf89fffdc,0xccccceff,0x7fd401cc,
    0x3ffff03f,0x0003ffff,0x40bfffea,0xffd06ffd,0x547ffa0d,0x3ff63fff,
    0x2fffdc03,0x3ffff220,0x25fffcef,0x8004ffe8,0x5501fffd,0x4007fff2,
    0xf502fffb,0xff8807ff,0xfff8805f,0x81bffe04,0x3ea1efff,0xfffa81ff,
    0x8bfff203,0x3203fffa,0xfffd2fff,0x1ffffc88,0x3fffffea,0xffffffff,
    0x7f47fb0f,0xfc85fd02,0xffffffff,0x3f601fff,0x027ff44f,0x000bffea,
    0x405fff88,0xaffaaffd,0x2ffc8fff,0x22ffff10,0xf9004fff,0x1ffffdff,
    0x017ffe20,0x202fffb8,0xff90fffd,0x7ffe401f,0x00bfff12,0x03fffa80,
    0x3ff2ffff,0xffa8006f,0xfff302ff,0xff99999d,0x7fc999ff,0x43fff11f,
    0x7fc03ffd,0x262001ff,0x49fff509,0x002ffffd,0x400fffec,0x7001fffc,
    0x4c405fff,0x5fff8800,0x04fff880,0xfc81bffe,0xfffddfff,0x07fff507,
    0xa87fffe2,0xff103fff,0x3fffa3ff,0xffffffff,0x7ffffd44,0xffffffff,
    0x007fb0ff,0x2aa617f4,0xaaefffba,0xfff100aa,0x9fffffff,0x02fffa80,
    0x17ffe200,0xffb5ffb0,0x3ff6fff2,0x27fff602,0x9802fffa,0xffe8ffff,
    0xbfff104f,0x17ffdc00,0x321fffb0,0xff100fff,0x3ffe23ff,0x7fd40005,
    0x2ffff03f,0x004fffe8,0x80bfffea,0xfffffffa,0xffffffff,0xfe83ffe7,
    0x701ffec6,0x0000bfff,0x7fc3fff9,0x6c004fff,0xfc801fff,0xff7001ff,
    0x2200005f,0xf8805fff,0x3ffe04ff,0x3ffff606,0x82ffffff,0xf703fffa,
    0xfffa8dff,0x4dfff703,0xfffffffe,0xcc984fff,0xfcccdffe,0x3f64ccff,
    0x3a07fd13,0x7ffc402f,0x3ffee005,0x4fffffff,0x017ffd40,0x0bfff100,
    0x5ffbffd8,0x3ffbbff5,0x6dfffdc0,0xfd800fff,0xffff34ff,0x0bfff103,
    0x017ffdc0,0x3f21fffb,0xfff700ff,0x02fffc4d,0x0fffea00,0xff53fffc,
    0xff3003ff,0xffa805ff,0xffffffff,0x3e7fffff,0xffd800ff,0x07fffe04,
    0xdfff1000,0x02ffffe8,0x00fffec0,0x800fffe4,0x0002fffb,0x00bfff10,
    0x7c09fff1,0xfff706ff,0xffffffff,0x3fffa83f,0x41ffffb8,0xfb83fffa,
    0x3ffa1fff,0x0defffff,0x7c2ffd80,0x2a7fb07f,0x85fd07ff,0xfffcccca,
    0xd00cccce,0xffffffff,0xffa809ff,0x3e20002f,0x7fe405ff,0x3ffe2ffd,
    0x3e201ffd,0x05fffeff,0x20ffffa8,0xf886fffd,0x3ee005ff,0x3ff602ff,
    0x01fff90f,0x443ffff7,0x40005fff,0xff03fffa,0x6fffd8ff,0x17fffcc0,
    0x777774c0,0xffffeeee,0x1fff15ee,0x209ff900,0x0006fffb,0x21ffff4c,
    0x8005fff9,0xc801fffd,0x9999afff,0xfff71999,0x33333337,0x3ffe2003,
    0x4fff8805,0x261bffe0,0xaaa8efff,0x20efffa8,0xba9cfffa,0xa85ffffd,
    0xdba9cfff,0x7f45ffff,0x800199ff,0x3fe21ffd,0x3a27fb07,0xc85fd04f,
    0xffffffff,0xf981ffff,0xdffe80ff,0xf7311999,0x333337ff,0x4ccc4133,
    0x999efffa,0x7ffffe41,0x3fffff60,0x7ffff400,0xffe803ff,0x7fffcc4f,
    0x4f7ffc42,0x21999999,0x3602fffb,0xfff90fff,0xfffb7535,0x5fff88bf,
    0x2aaaa600,0xaaadfffc,0xf88ffff2,0xff304fff,0x99999dff,0xfe800799,
    0x0fff886f,0xd05ffc80,0x31005fff,0xfffb7553,0x006620df,0x00fffec0,
    0x7fffffe4,0xf77fffff,0xffffffff,0x3e200fff,0xff8805ff,0x1bffe04f,
    0x403ffff1,0x3ea4fffd,0xffffffff,0xffa80dff,0xffffffff,0x3fff40df,
    0x83ffa000,0x7fb06ff9,0x70bfa008,0xffffdddd,0xf901dddd,0x3fffa0df,
    0xfffd7fff,0xffffffff,0x7ffe4dff,0xffffffff,0x3fffee1f,0x7ffffd45,
    0x7fffe400,0x7fdc00ff,0xfffd80ff,0x3fffe20f,0xffffffff,0x405fff70,
    0xff90fffd,0xffffffff,0xfff881bf,0x3fff2005,0xffffffff,0x70ffff7f,
    0xff03ffff,0xffffffff,0xe800dfff,0x7ff886ff,0x50bff900,0x3200dfff,
    0xffffffff,0xd80000ef,0xffffffff,0xfc85ffff,0xffffffff,0xffff77ff,
    0xffffffff,0x17ffe200,0x813ffe20,0xfea86fff,0x067fc404,0xfffffff5,
    0x7d405fff,0xffffffff,0x0fffd02f,0x547ff800,0xfffb05ff,0xffffffff,
    0xf8805fff,0xfff005ff,0x3ffffa07,0xffffd7ff,0xffffffff,0x7fffe4df,
    0xffffffff,0x0ffffee1,0x01fffff1,0x6fffff98,0x1ffffc40,0x24ffff98,
    0xfffffff8,0xf70fffff,0x7fec05ff,0xfffff90f,0x205fffff,0x2005fff8,
    0xfffffffc,0xff7fffff,0x3fffa0ff,0x7ffffc0e,0xffffffff,0x37ff4006,
    0xc803ffcc,0xfffe85ff,0xffff9002,0x0007ffff,0x7ffffec0,0x5fffffff,
    0xffffffc8,0xf77fffff,0xffffffff,0x3e200fff,0xff8805ff,0x1bffe04f,
    0x50330028,0x7bdfffff,0xfffa8015,0x00abdeff,0x8001fffa,0x7fd47ff8,
    0xfffffb04,0xffffffff,0xfff8805f,0x0fffa805,0xffffffd0,0x3fffffaf,
    0xffffffff,0x3fffff26,0x1fffffff,0x203fffea,0xf007fffd,0xc809ffff,
    0x3600ffff,0xff10ffff,0xffffffff,0x3ffee1ff,0x43fff602,0xdefffffc,
    0x3fe200ab,0x3ff2005f,0xffffffff,0x0ffff7ff,0xf13fffe6,0xffffffff,
    0x800dffff,0xff986ffe,0x8dff7007,0x2006fffa,0xaceefffc,0x7ec00000,
    0xffffffff,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55554000,
    0x4c019aaa,0xaa801aaa,0x555400aa,0x555401aa,0x2aaaa002,0x54009aaa,
    0x9aaaaaaa,0x2aaaaa00,0xaaaaaaaa,0x2aaaa0aa,0xaaaaaaaa,0x04ccc02a,
    0x00000040,0x00262001,0x0004cc40,0x88000401,0x00040000,0x8000c031,
    0x0c400008,0x004d4400,0xed806200,0x5ddd305e,0x00880880,0x00077ae0,
    0x44004ccc,0x00bcddca,0x40de6dcc,0xeeeeeee8,0x3bbb200e,0x8bbbb204,
    0xdd706eeb,0x1ddb81bd,0x20155553,0xfff0aaa8,0x7fffffff,0x0dfff501,
    0x406fff88,0x05fffff8,0xd003fffc,0xffffffff,0xffff017f,0x5bffffff,
    0xffffffb0,0xffffffff,0x7fffffc5,0x6fffffff,0x201fffc0,0x400003fa,
    0xeca80ee8,0x03efffff,0x7fffff5c,0x3fff206f,0x017ffae4,0x3bfffb66,
    0xffec9802,0x7ecc4eff,0xff91dfff,0xfdb801bf,0xd903efff,0x3fffaa5d,
    0x7ffe401e,0xdd102eff,0x3fffee3d,0x83fff40d,0x3ba2fffa,0x321bffb4,
    0x7d401fff,0xff0006ff,0xfffb009f,0xb105ffff,0x89ffffff,0xfffffff8,
    0x3ffe601f,0x6fffa82f,0x7d43ffe4,0x7fe41fff,0xffffb9ff,0x23fff304,
    0xffffffff,0xfe80efff,0x3ff202ff,0x7ffdc02f,0x7ffc07ff,0x3fffa007,
    0xffffffff,0x7fffffc2,0x42ffffff,0xfffffffd,0x2fffffff,0x3ffffffe,
    0x06ffffff,0xf501fffc,0x200009ff,0x7c0effe9,0xffffffff,0x7ff440ff,
    0x07ffffff,0x57fffffb,0x40bfffff,0xfffffffb,0xfff900df,0xd8ffffff,
    0xefffffff,0x80efffff,0xffffffd8,0x7ff40dff,0xffffffbb,0xeffe981f,
    0x40dfffdc,0xffdafff8,0x3a0effff,0xfff507ff,0x7fe6ffc5,0xffffbbff,
    0x3fff200f,0xfff8000f,0xccced804,0xffd87ffe,0x23ffffff,0xfffffff8,
    0x7ffdc01f,0x3fffe20f,0x263ffe41,0xff82ffff,0xfffbdfff,0xfff980ff,
    0xfddffff1,0x50bfffff,0x3e20dfff,0xffd806ff,0x3e02ffff,0x3fa007ff,
    0xfffeeeff,0x3ffe0fff,0xfffecccf,0x3bbb20ff,0xeeffffee,0x3ffe1eee,
    0xffffffff,0x7ffc06ff,0x3fffee03,0x3ea0000d,0x7fc0efff,0xfffeceef,
    0x7ffff45f,0xb87fedcd,0xffffceff,0x82fffcff,0xfdeffffb,0xffe84fff,
    0x7fffffff,0x7fe677ec,0xfffdffff,0x7ffffc42,0x46ffffff,0xffffeffe,
    0x7c46ffff,0xf5199aef,0xefff88bf,0xffffffff,0x541fffa3,0x3ffe2fff,
    0xffffffff,0x2a02ffff,0xf0006fff,0x201009ff,0x3fea0ffe,0x1fff912f,
    0x00fffec0,0xfb2fffec,0xfff907ff,0x417fffc4,0xbdfffff8,0x983fffff,
    0xdfff1fff,0x07fffd98,0xf903fffd,0xfff005ff,0x7c09fffd,0x3fa007ff,
    0xfffea87f,0x261bffe5,0x4402ffff,0x80005fff,0x401ffffa,0x7cc03fff,
    0x8000efff,0x80dffffb,0xffff302d,0x81bffea1,0xf51ffe81,0x3fea3fff,
    0x0efffc45,0x5c3fffd1,0x99adffff,0x260dc6ca,0xff70efff,0xaefffc8b,
    0x2ffffb98,0x33fffffa,0x21ffffa8,0xffff8dfd,0x222ff89e,0x52efffff,
    0x7ff4dfff,0x45fff507,0xfff2ffff,0x013ffa9f,0x200019b5,0x44004fff,
    0x321ffea9,0x7ffc43ff,0x07fff601,0x2ffffe20,0xf905fffa,0x3fffa2ff,
    0x3ffffa03,0x7fffffbb,0xff1fff98,0xffff10df,0x8bfff503,0xa806fff8,
    0x7fffafff,0x801fffe0,0xff307ffe,0x837ffcff,0x4403fffb,0x40005fff,
    0x804fffe8,0xe8803fff,0x2001ffff,0x004ffffc,0x5c7fff20,0x22004fff,
    0x37ffc6ff,0xffc8fff1,0x4fff981f,0x007ffff1,0x449ffd00,0x3ffe67ff,
    0x6fffa80f,0x907ffffa,0x3fea5fff,0x2dfb7ff0,0x3ffe27fb,0x3fff40ef,
    0x3ea0fffd,0x9bffe2ff,0x3ff27ffe,0xf8000004,0xfc8804ff,0x21ffffff,
    0xffe82ffd,0x07fff602,0x7ffffd40,0xff900fff,0x09fffb1f,0xf75ffe98,
    0x985fffff,0xdfff1fff,0x40bfff60,0x3f21fffe,0xffc802ff,0x203fffb7,
    0x3a007fff,0x3ffa07ff,0x20dfff0f,0x4403fffb,0x40005fff,0x64c6fffc,
    0xefffcccc,0xd884cccc,0x4403ffff,0x003ffffd,0xa97ffd40,0x800bffff,
    0x7ff44ff9,0x3fe3ffc4,0x57ffe06f,0x0005fffb,0xff87ffb0,0x09fff70f,
    0xfe87fff4,0xfffa82ff,0x9b7c9f93,0x7c43fe7f,0xffc80fff,0x20fffd0f,
    0x3fe2fffa,0xc93ffa2f,0x000004ff,0x4404fff8,0xffcceffe,0x20fff61f,
    0x3f602ffe,0x3f2001ff,0x202fffff,0xfffcfffc,0xfb826005,0x4c6ffeff,
    0xdfff1fff,0x403fffa0,0xff15fffa,0x3ffa00df,0x207fff75,0x3a007fff,
    0x3ff607ff,0x20dfff1f,0x4400fffd,0x20005fff,0x541ffffa,0xffffffff,
    0x207fffff,0x104ffffc,0x003ffffd,0x776e5d44,0xfff12fff,0x5405bfff,
    0x77ff44ff,0x10fffccc,0xddddffff,0x32ffffdd,0x10002fff,0x9bffd953,
    0x321fff99,0x3f201fff,0x0fffd1ff,0x7ecfffea,0x93faffe2,0xbfff12fd,
    0xfe866620,0x5fff507f,0xffd0fffc,0xfda7fe47,0xffffffff,0xfb2fffff,
    0xffffffff,0x2a5fffff,0x0ffec6ff,0xff98bff9,0x3fff600f,0x7fff4001,
    0x7ffe405f,0x0001ffff,0x3fefffee,0x47ffe62f,0xffb86fff,0x7fff406f,
    0x802fffc8,0xff33fff9,0x1fffe0df,0x207ffe80,0x3ffe7fff,0x27ffe4c6,
    0x02fffc40,0x4fffe880,0xffffffa8,0x7fffffff,0x6ffffdc0,0x3bfffe60,
    0xfff91000,0x5fffffff,0x7fffffd4,0x7fdc0cff,0x7ffffec3,0xff30ffff,
    0xffffffff,0x3ff6ffff,0x7e44001f,0xffffffff,0xfb1fffff,0x7fe401ff,
    0x20fffd2f,0x3fd3fffa,0x361ffffc,0x0bfff13f,0x507ffe80,0x7ffc5fff,
    0xfc8fffa1,0xfffffb4f,0xffffffff,0x3ffff65f,0xffffffff,0x2dff72ff,
    0x2a1fffb8,0xffbadfff,0x7ffec05f,0x7fff4001,0x7ffe405f,0x7006fffc,
    0x3ffee19b,0x3e65fff8,0x5dfff1ff,0x3ffffd97,0xfcfffa80,0xff7006ff,
    0x07fff43f,0xd003fffc,0x3fea0fff,0x3ffffe6f,0x04ffffff,0x00bfff10,
    0x41bfff20,0xffaaaaa8,0x02aaaadf,0x15ffffb8,0x001fffff,0x3fffffa2,
    0x42ffffff,0xffffffd9,0x0ffee1ff,0xfffffffb,0x3ffea1ff,0xffffffff,
    0x3fffd7ff,0xffffd800,0xeeeefffe,0xfffd0eee,0x97ffdc01,0xff507ffe,
    0xef8ff67f,0x47fa0ff8,0x4005fff8,0xff507ffe,0xd0fffc5f,0xa7fe47ff,
    0xfffffffd,0x2fffffff,0xfffffffb,0x5fffffff,0x3fffffe6,0x7fec1fff,
    0x00ffffff,0x000fffec,0x7ffffff9,0x747ffe40,0x7e405fff,0x7ffb8fff,
    0x3e63fff9,0xfffff1ff,0x03dfffff,0x3fffffa0,0xdffb002f,0xf82fffc8,
    0x3fa007ff,0xffffa87f,0x3fffffe2,0x00cfffff,0x005fff88,0x01ffff98,
    0x001fffc0,0x22ffffd4,0x00effff9,0x41dfffe8,0x5102fffa,0x4dfffffb,
    0x7fec4ffb,0x3fff9803,0x17ffec00,0x45fff500,0xfd801ffd,0x3ff201ff,
    0x20fffd1f,0xbf73fffa,0xf14fcb7c,0x17ffe21f,0x20fffd00,0x3fe2fffd,
    0xc8fffa1f,0x000004ff,0xc804fff8,0xffbdffff,0x7fffe441,0xffd800df,
    0xfff5001f,0x203fffff,0xfff17ffc,0x3ffe207f,0x17ffbcff,0x3fe6bfff,
    0xffffff1f,0xa8007fff,0x006fffff,0xfa89fff1,0x7fff84ff,0x3bfffa00,
    0x5fffffee,0x7ffffffc,0x00efffff,0x002fffc4,0x00ffffa2,0x000fffe0,
    0x209ffff9,0x02ffffe8,0x541bffe2,0xc8802fff,0xff50ffff,0x804ffe89,
    0x4005fff8,0x2005fffc,0x7fec5ffb,0x3fffb802,0x743fffa0,0xfff507ff,
    0xb7c7fe67,0x26fc8ff8,0x4005fff8,0x7dc1fffd,0x3ffe2fff,0xfc8fffa1,
    0x8000004f,0x51004fff,0x3100cc13,0x7ec00135,0xff8801ff,0x6fffc9ff,
    0x7d4fff90,0xff982fff,0x7ffbdfff,0x3e63fff6,0x9ffff1ff,0x007ffffd,
    0x02ffffe8,0x885fff50,0xfff87fff,0x3fffa007,0xdfffffff,0x2637ffc0,
    0x405fffeb,0x4005fff8,0x0006fffc,0x22007fff,0x402ffffd,0x03ffffd8,
    0xb10dfff3,0x7c005fff,0xbff31fff,0xf006fff8,0x54003fff,0xb002ffff,
    0x4ffe89ff,0x06fffa80,0x7f4dfff5,0x7fff507f,0x5154f7dc,0x7c41ff95,
    0x7e4005ff,0xffc88cff,0x3ffe2fff,0xfc8fffa1,0x066d404f,0x04fff800,
    0x00000000,0x2007fff6,0xfd13fffe,0xfff909ff,0x80ffffc8,0xfbbfffff,
    0x33ffe67f,0xfff1fff9,0x07fffd4d,0x0dfff500,0x4cfffe40,0x1fffe999,
    0xd003fffc,0xffffffff,0x1bffe05d,0x007fffd4,0x400bfff1,0x001ffff9,
    0x1007fff0,0x003ffffd,0x427fffe4,0x221ffff8,0x552ffffe,0x9fffea01,
    0xff50fff8,0xff7005ff,0xd0a205df,0x1139ffff,0x37fe4d73,0x103ffff7,
    0x11efffe8,0x743ffff5,0xfff507ff,0x11bffe87,0xf887ffb5,0x7d4005ff,
    0xffffffff,0x3ffe2fff,0xfc8fffa1,0x3ffea04f,0x9fff0006,0xfffffc80,
    0xf91fffff,0xffffffff,0x3ffff63f,0xffffffff,0x237ffe45,0x642ffffa,
    0xfffe87ff,0xafffd40e,0x7ff47ffb,0xff1fff9f,0x5fffc8df,0x17ffe600,
    0xffffff80,0x4fffffff,0xd003fffc,0x03555fff,0x740dfff0,0x3e202fff,
    0x3fa005ff,0x360003ff,0x7fcc02ee,0xb8000eff,0x740dffff,0xffeeffff,
    0xff92ffff,0xfffd99bd,0xbdffd89f,0xabfffffe,0xfffe84db,0xffeeddef,
    0x3ffffe60,0x2e7fffff,0xfffddfff,0x4ecbcfff,0x7fffffd4,0x745fffff,
    0xfff507ff,0xfffff907,0xff105dff,0xffd000bf,0xff3fffff,0xd0fffc5f,
    0x27fe47ff,0x01ffff90,0x809fff00,0xfffffffc,0xfff91fff,0x3fffffff,
    0x3ffffff6,0x25ffffff,0xc80ffffa,0x3f20ffff,0xffff887f,0x3ee19885,
    0x6fffd47f,0xdfff1fff,0x01ffff88,0x00bfff30,0x3fffffe6,0x6fffffff,
    0xd003fffc,0xff000fff,0x7fff40df,0x17ffe201,0x037ffe40,0xffb80000,
    0x20000dff,0x21effff9,0xfffffffa,0xf92fffaf,0xffffffff,0xffff50bf,
    0xffffd7ff,0xffd109ff,0xffffffff,0xfffffa81,0x3e27ffff,0xf9dfffff,
    0x84ffffff,0xfffffffb,0x7ff40cff,0x07fff507,0x2f7ffb26,0x0bfff100,
    0x3ffff600,0x7c5ffd1d,0x8fffa1ff,0x3ea04ffc,0xff0006ff,0xeeeb809f,
    0x0eeeeeee,0xddddddd7,0x3ff61ddd,0xffffffff,0xffff15ff,0x3fffa207,
    0x541fff25,0xb803ffff,0xfffe87ff,0xdfff1fff,0x009fff90,0x4017ffe6,
    0xfffffffc,0x0fffffff,0xe801fffe,0xff8007ff,0xffff506f,0x05fff880,
    0x00ffff98,0xff500000,0x2600009f,0x7d40effe,0xfd1dffff,0x3fffee5f,
    0x203effff,0xb13ffffa,0x405fffff,0xffffffeb,0xfec880df,0x4c3effff,
    0x3ea4fffe,0x302fffff,0x5dfffffb,0x541fffa0,0x00003fff,0x0017ffe2,
    0xf0009988,0x1fff43ff,0xeb809ff9,0x3330001d,0x00000001,0x00000000,
    0x40000000,0xffb87ffb,0xfff1ffff,0x1ffff30d,0x0bfff300,0xb01bffa0,
    0x7ffc7fff,0x9999999f,0x00fffd09,0x333dfff0,0x0bffff93,0x805fff88,
    0xaaadfffe,0x3e2aaaaa,0xffffffff,0x3ea3ffff,0x6c400003,0x026a200e,
    0x9aa99880,0x202a6000,0x4c0019a8,0x4c0009aa,0x20298019,0x260009a9,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee00000,0xffff887f,0x0dfff1ff,0x2013fff6,0x8805fff9,0x7d404fff,
    0x3fffe5ff,0xffffffff,0x000fffd4,0xffffffff,0x801fffff,0x5405fff8,
    0xffffffff,0x3e7fffff,0xffffffff,0x0043ffff,0x00010000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0xfffff907,0x541bffe3,0x4c00ffff,
    0xfb805fff,0x7fc401ff,0x3ffffe7f,0x4fffffff,0xf000fffd,0xffffffff,
    0xf1003dff,0xffa80bff,0xffffffff,0x3ffe7fff,0xffffffff,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x220fff70,0xff1fffff,
    0x7fff40df,0x2fffcc04,0x803ffec0,0xfff2fffe,0xffffffff,0x01fffa9f,
    0x3fffffe0,0x2001cdef,0x5405fff8,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ec0fff7,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0xeeeeeeee,0xdd50eeee,0xdddb009d,0x8013bb21,0x00001eee,
    0x4c00c00c,0x30000019,0x26003555,0x1d98009a,0xaa9802a8,0x419d9001,
    0x99999999,0x40099999,0x00000aaa,0x00000000,0x01980988,0x00200000,
    0x2eeee600,0x2660bbbb,0x09999999,0x99999999,0x99999999,0x00000059,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffee000,0xffffffff,
    0x1ffff10f,0xb2fffcc0,0x3e200fff,0x3ff601ff,0x201fd802,0xffb883fb,
    0x5019107f,0x3fffe01d,0xfd984fff,0x200dffff,0x3fe23ffe,0xffffb81e,
    0x3ff602ef,0x3ffffe6f,0xffffffff,0x17ffe603,0x7c9fff50,0x3ffea7ff,
    0xffffffff,0x3ff623ff,0x7fc401ff,0x013ff21f,0x0bffff20,0x033fff62,
    0x7fffdc00,0x3fe0ffff,0x4fffffff,0xffffffff,0xffffffff,0x0000009f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffee000,0xffffffff,
    0x0ffff60f,0x2e2fffc8,0xff3007ff,0x0ffec01f,0x207fff60,0xf913fffb,
    0xf90fffff,0x04ffe8bf,0xffffffff,0x7ffffc47,0xff906fff,0x077fec3f,
    0x3ffffff6,0xffff02ff,0x3ffffe5f,0xffffffff,0x3ffffa03,0x8fffea02,
    0x3fea7fff,0xffffffff,0xffb83fff,0x3fee01ff,0x03fffe4f,0x0efffc80,
    0xfffffe88,0x82ffdc1f,0xfffffffb,0x3ffffe0f,0xfff4ffff,0xffffffff,
    0x09ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaaaaa2,0x4c4ffffb,0x3fe06fff,0x07ffd47f,0x323ffd40,0x6c47ff23,
    0x0ffffe41,0x221dfff7,0x87ffffff,0x3ee3fffa,0x9abc81ff,0x7e46fffb,
    0x1ffffdce,0xf51fffcc,0xfffa83ff,0x0ffffcac,0xf4ffffe8,0xffffffff,
    0x2e07ffff,0x206ffdff,0x3fa3fff9,0x3fffea6f,0xffffffff,0xfffd303f,
    0x8fffee03,0x32007ffe,0x3f204fff,0x1fffffff,0x4c417ff2,0x41999999,
    0xffffffff,0x5555554f,0x55555555,0x00003555,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0000000,0x3fa0dfff,0xfffa81ff,0x30fffcc4,
    0x37fdc155,0xff71bff3,0xf90dff51,0xfff73fff,0xfdbfd81d,0x1fff907f,
    0xe8037ff4,0x7e4285ff,0x37ff42ff,0xfb09fff1,0x2fff889f,0x05ffffa8,
    0xbffc4000,0xff303ffd,0x037ff45f,0x203ffe80,0x901fffd8,0x02ee989d,
    0x805fff90,0xffc9cfff,0x3fffbcff,0x33330000,0x00133333,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7dc00000,0xff700fff,
    0x1fffb09f,0x3a2fff88,0x97ff24ff,0xffdffffc,0xc81ffffc,0xefffffff,
    0x1fff2080,0x3e65ffe8,0xda9883ff,0xfe802fff,0x3ffee1ff,0x741bff60,
    0x3ffe82ff,0x009fff90,0x12ffc800,0xff101fff,0x02ffec5f,0x003ffe80,
    0x00000000,0x507ffc40,0xffffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x4403ffff,0x7fc47fff,
    0x29fff05f,0x3f27fff9,0x7ffecc4f,0x00cfffff,0x3bfffff2,0x07ffc800,
    0xfb8fffe6,0x7ffec1ff,0xffc802ff,0x527ffc5f,0x3fe05fff,0x03ffd82f,
    0x0005fff3,0x3237fcc0,0xfff885ff,0x0017ff61,0x0001fff4,0x00000000,
    0x3ea1bba2,0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff88000,0xfffd803f,0x40bffee1,0xfff95ffe,
    0x40bff65f,0x0cffffe9,0x5ffffd00,0x01fff200,0x7fc4fffb,0x7fffec4f,
    0xffb00dff,0xfffc81df,0x741bffa0,0x7ffc44ff,0x21fff902,0xffffffff,
    0x743fffff,0x7ffc41ff,0x321fff82,0xfd0004ff,0x0000007f,0x00000000,
    0x005bddb1,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffa0000,0xfff5005f,0xb03fff49,0x3fffadff,0x503ffd5f,
    0xbffffffd,0xffffb803,0xffc801ff,0x8bffe607,0x3300fffc,0xd887fffb,
    0xfd00dfff,0x1fffccbf,0x54e7ffdc,0x64c0fffe,0x3ffe2fff,0xffffffff,
    0x17fea3ff,0x3607ffdc,0x0fbae0ee,0x00555400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff90000,0x7ff4001d,0x409fff37,0xeff9fffb,0x0fff8fff,0x3fbfffee,
    0x80dfffef,0xfffffffb,0x3ffe401f,0x265ffe88,0xf9803fff,0x3ffa25ff,
    0x7ffcc03f,0x207ffee3,0xfffffffe,0x3ffff62f,0x7ffffc3f,0xffffffff,
    0x403fff13,0x00004ffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00ffffd4,
    0x32bffee0,0x3ea01fff,0xfeaffcff,0x7d47ffbf,0xd8ffbaff,0x7fdc0fff,
    0xffffc8ef,0x7fff7741,0x3ff65eef,0x11bffa0f,0xffd53355,0x3fffa27f,
    0xc85eeeef,0x3ffa0fff,0xffffd886,0x7ffec2ff,0x4c00000c,0x664c03cc,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e600000,0x88003fff,0x6ffedfff,
    0x7ffffcc0,0xffeffb8f,0xff90ee86,0xff70fea1,0x7ffe41df,0x3ffffe1f,
    0xff56ffff,0x07ffe45f,0x3fffffe6,0xfff30eff,0x0dffffff,0x7cc7fff1,
    0x795301ef,0x00353013,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff44000,0xaaaaaaef,0x3fff600a,0x7c403fff,0xff35ffff,0xc810bfff,
    0x3f6021ff,0xfffc80ef,0x3fffffe1,0x9ff76fff,0x4c1fff44,0xceffffff,
    0x3ffffe60,0xb506ffff,0x00007703,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0xffffffff,0x2a01ffff,0x00ffffff,0x23fffff8,
    0x804ffffe,0xed802ffd,0x3307f200,0x13333333,0x02d40644,0x40335553,
    0x99999999,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xfffffffc,0x401fffff,0x004fffff,0x5c1ffffd,0xa803ffff,
    0x001000aa,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff20000,0xffffffff,0x7fe401ff,0xffb001ff,
    0xffff98df,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_32_latin_ext_x[560]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,0,1,1,2,0,2,1,1,1,1,5,3,1,2,3,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,3,1,0,2,1,3,3,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_32_latin_ext_y[560]={ 23,0,0,2,-1,0,1,0,-1,-1,0,6,17,12,
17,0,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,26,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,2,7,7,7,7,7,7,0,-3,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,23,6,-1,2,2,2,
-3,0,0,2,2,8,12,12,0,1,0,3,0,0,0,7,0,11,23,0,2,7,0,0,0,6,-4,-4,-4,-4,
-4,-5,2,2,-4,-4,-4,-4,-4,-4,-4,-4,2,-4,-4,-4,-4,-4,-4,7,-1,-4,-4,-4,-4,-4,2,0,0,0,
0,0,0,-2,6,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,3,0,0,0,0,0,0,0,
-3,1,-4,0,2,6,-4,0,-4,0,-4,0,-4,0,-4,-1,2,0,-3,1,-4,0,-4,0,2,6,-4,0,-4,0,
-4,0,-4,0,2,0,-4,-5,2,0,-4,0,-3,1,-4,0,2,0,-4,7,2,0,-4,0,2,0,7,-4,-5,2,
0,-1,-1,2,0,2,0,-4,0,2,6,-4,0,-2,2,6,-3,1,-4,0,-4,0,2,6,-4,0,2,6,-4,0,
-4,0,-4,0,2,6,-4,0,2,2,-4,-1,2,2,-4,0,-3,1,-4,0,-5,-2,-4,0,2,7,-4,0,-4,0,
-4,-4,0,-4,0,-4,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-8,-6,-4,0,-4,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_32_latin_ext_w[560]={ 0,6,12,17,16,18,19,5,11,11,14,16,9,11,
7,15,17,15,15,14,17,14,16,15,15,15,7,9,14,14,13,12,18,18,15,15,16,14,13,17,16,14,13,16,
13,17,16,18,15,18,15,15,16,16,18,18,18,18,15,9,16,9,16,18,11,15,15,14,15,15,17,16,14,14,
14,15,14,17,14,16,15,15,15,14,16,14,18,18,18,18,14,13,4,13,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,14,16,17,18,
4,16,15,18,12,15,15,11,16,14,13,15,11,11,17,15,16,7,6,11,12,14,18,18,18,12,18,18,18,18,
18,18,18,15,16,16,16,16,16,16,16,16,17,17,18,18,18,18,18,15,18,17,17,17,17,18,15,15,16,17,
16,16,16,16,18,14,16,17,16,16,16,17,16,16,16,16,17,17,17,17,17,16,16,16,17,16,16,18,15,18,
18,16,18,16,18,15,17,17,16,16,16,16,16,16,18,21,17,17,16,16,16,16,16,16,14,15,16,16,17,17,
17,17,17,17,17,17,17,16,18,16,16,16,16,16,16,16,14,15,16,14,16,16,15,15,16,15,15,16,16,13,
14,20,21,16,20,16,14,17,17,16,14,17,16,16,16,14,18,17,18,17,19,19,18,18,18,17,15,15,18,17,
16,17,16,16,15,14,16,16,16,16,17,21,16,16,17,16,17,16,17,16,17,16,19,19,16,15,18,18,18,18,
18,16,17,16,16,16,16,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,18,16,18,18,22,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,15,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_bold_32_latin_ext_h[560]={ 0,24,9,21,28,24,23,9,31,31,15,17,12,5,
7,27,22,21,21,22,21,22,22,21,22,21,18,23,19,11,19,24,30,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,27,21,22,21,22,21,21,21,21,21,30,27,30,11,4,8,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,22,17,16,16,16,23,16,30,33,30,8,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,28,21,21,21,
33,27,8,22,16,13,9,5,17,7,12,20,14,14,8,23,27,7,5,14,16,14,23,23,23,24,27,27,27,27,
27,28,21,26,27,27,27,27,27,27,27,27,21,27,28,28,28,28,28,15,28,28,28,28,28,27,21,24,24,24,
24,24,24,26,18,22,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,17,24,24,24,24,24,30,30,30,
26,23,27,24,28,24,28,24,28,24,28,24,28,24,27,25,21,24,26,23,27,24,27,24,28,24,27,24,28,30,
28,30,28,30,28,30,27,28,21,23,27,23,26,22,27,23,28,30,27,16,22,30,28,30,28,30,16,27,28,28,
30,24,24,21,23,21,23,27,23,28,24,27,23,25,28,24,27,23,28,24,28,24,22,18,27,23,28,24,27,23,
28,24,28,24,26,22,28,24,28,28,27,25,21,22,28,24,27,23,28,24,29,26,28,24,28,23,27,23,27,30,
27,27,23,27,23,27,23,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,31,30,27,24,31,28,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,28,24,28,28,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__consolas_bold_32_latin_ext_s[560]={ 509,502,208,158,492,447,233,505,65,30,54,
411,166,316,504,233,406,383,416,441,432,275,354,468,338,484,500,499,181,176,167,
73,185,53,102,305,352,320,369,238,335,248,224,399,72,450,1,205,86,128,18,
371,118,321,282,263,301,34,135,307,352,347,191,328,237,196,140,262,103,246,133,
156,101,19,357,288,496,376,313,296,368,396,345,212,488,361,16,35,469,186,1,
372,6,333,283,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,509,501,36,
231,88,193,1,397,249,256,428,136,221,316,328,301,152,151,124,112,265,51,216,
504,505,85,441,97,460,441,422,470,249,286,324,20,75,362,212,87,164,282,494,
405,441,369,335,210,124,192,84,120,473,435,158,69,122,157,139,33,492,56,142,
364,347,329,312,295,278,51,277,456,225,207,190,173,177,253,374,339,86,304,55,
37,19,1,483,394,453,436,418,401,384,239,223,204,68,271,343,266,194,317,417,
333,175,164,177,233,19,300,458,142,106,198,17,116,468,181,432,216,230,250,362,
283,293,77,399,112,381,149,344,167,181,327,69,34,111,110,485,1,39,479,1,
258,477,454,471,290,51,317,67,274,488,318,276,262,386,119,21,35,212,18,145,
245,127,103,78,227,160,125,16,43,449,194,454,481,68,1,387,227,263,321,311,
380,299,356,245,412,213,430,1,290,141,351,105,88,379,103,52,424,1,93,414,
84,454,242,401,34,472,58,51,151,386,167,422,130,1,94,1,147,67,199,405,
391,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,268,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,11,95,305,259,42,419,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,438,466,105,88,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176, };
static unsigned short stb__consolas_bold_32_latin_ext_t[560]={ 1,93,267,222,1,147,173,198,1,1,267,
244,267,267,252,93,198,222,222,198,222,198,198,222,198,222,222,147,244,267,244,
148,1,244,244,198,222,222,222,198,222,222,198,222,244,222,245,198,244,93,244,
198,244,198,222,222,222,244,244,1,64,1,267,267,267,244,147,244,147,244,198,
147,198,198,1,173,173,244,244,244,121,147,244,244,198,244,267,267,244,198,267,
1,1,1,267,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,1,121,35,
222,222,222,1,93,267,198,244,267,267,267,244,267,267,244,267,267,267,198,93,
244,208,267,244,267,173,173,173,121,93,93,93,93,93,35,222,121,93,64,64,
64,64,64,64,64,222,64,64,64,35,35,35,267,35,64,64,64,35,93,222,
147,147,147,147,147,147,121,244,198,147,147,147,147,173,173,173,173,148,173,148,
148,148,148,121,244,121,121,121,121,121,1,1,1,121,173,93,121,35,121,35,
121,64,121,35,121,35,121,64,121,222,121,121,198,93,121,93,121,35,121,93,
121,35,1,35,1,35,1,35,1,93,35,222,198,93,173,93,222,93,173,64,
1,64,244,198,1,64,1,64,1,244,64,35,35,1,147,173,222,173,222,173,
64,173,64,173,64,173,121,64,173,93,173,35,147,35,173,198,244,64,173,35,
147,64,173,35,147,35,147,121,198,35,121,35,35,93,121,222,198,35,173,93,
198,1,147,1,121,1,173,35,198,64,198,64,1,93,93,198,93,198,93,173,
173,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,93,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,1,1,93,147,1,1,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,1,147,35,35,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222, };
static unsigned short stb__consolas_bold_32_latin_ext_a[560]={ 282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_32_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_32_latin_ext_s[i] + stb__consolas_bold_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_32_latin_ext_t[i] + stb__consolas_bold_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_32_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_32_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_32_latin_ext_x[i] + stb__consolas_bold_32_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_32_latin_ext_y[i] + stb__consolas_bold_32_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_32_latin_ext_s[i] + stb__consolas_bold_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_32_latin_ext_t[i] + stb__consolas_bold_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_32_latin_ext_x[i] + stb__consolas_bold_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_32_latin_ext_y[i] + stb__consolas_bold_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_32_latin_ext_LINE_SPACING
#endif

