// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT        382
#define STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_38_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_38_latin_ext_LINE_SPACING          25

static unsigned int stb__consolas_bold_38_latin_ext_pixels[]={
    0x2a635553,0x310001aa,0x00003333,0x14400000,0x00000000,0x98800000,
    0x30000009,0xd1000001,0x001dffff,0x00033b22,0x00066620,0x99999800,
    0x00cccc41,0x77e44000,0x99880002,0x2deb8001,0x001f6d40,0x004ddd44,
    0x004ccc00,0x26666662,0x98800199,0x004cc409,0x2ea03730,0x00cccc01,
    0x7e440000,0x04c4002e,0x80000000,0xff93fffc,0xff50007f,0x80003dff,
    0x0effffe8,0x8bfa2000,0xfffffffa,0x32a002ff,0xdfff6ffe,0xf0000039,
    0xff880bff,0x4fffffff,0x00003fe6,0x3ffffe88,0x37fff400,0x3ffa2000,
    0xc800006f,0x541fffff,0x0000ffff,0x0ffffec0,0xfffd1000,0x7ffe400d,
    0xffff501f,0x3ff62007,0x000effff,0x03ffff90,0x7fffffe4,0x6c001fff,
    0x27ff44ff,0x43fffa80,0xf301fffc,0x00003fff,0x1ffffd80,0xefffe980,
    0x7ff40001,0xffff52ff,0x9fffe43d,0x4003fffc,0x004ffffb,0xffffe880,
    0x7f440004,0xffff52ff,0x005fffff,0xdfffffb1,0x37fffffe,0xff300000,
    0xfff8807f,0x34ffffff,0x0001ffff,0x3ffffd10,0xffffa800,0x3f60001f,
    0x0005ffff,0x37ffff20,0x0ffffa80,0x3fe20000,0x20004fff,0x05fffffd,
    0x09fffff0,0x01bffff6,0x3fffffea,0x4001ffff,0x0ffffffb,0xffffff90,
    0xc8003fff,0xffc9bfff,0xfffd003f,0x2ffffc4f,0x01ffff98,0x3fe20000,
    0x7c404fff,0x00ffffff,0x3dfffb00,0x037fffea,0x3f27fff9,0x3ee003ff,
    0x80001eff,0x11ffffe8,0x22001333,0xf51ffffe,0xffffffff,0xffffd005,
    0x3fffedff,0x00005fff,0x8803fff9,0xffffffff,0xfffff54f,0x7f440001,
    0xa8000dff,0x001fffff,0xff9fffb0,0xf90000bf,0x7d407fff,0x00000fff,
    0x13ffffe2,0x67ffec00,0xff805fff,0xffb04fff,0xffb80dff,0xfffedfff,
    0xff7001ff,0x01dfff9f,0xfffffff9,0xf88003ff,0x6fffffff,0x9ffffa00,
    0x305ffff8,0x0003ffff,0x7fffc400,0x97fdc04f,0xd8002ffb,0xff70dfff,
    0x3ff205ff,0x07fff93f,0x02f33260,0x3ffa2000,0x3ffee0df,0xffffd000,
    0x577ffd43,0x5400aaaa,0x2bcfffff,0xfffff975,0xfff00005,0x2aaaa00f,
    0x2a4fffda,0x000fffff,0x00333310,0x06fffe80,0x25fffb00,0x0004fffa,
    0x007ffff2,0x001ffff5,0xffffd800,0xfffd8001,0x809fff52,0x501ffffc,
    0x4c07ffff,0x6443ffff,0xfa805fff,0xdfff14ff,0xcaaaa981,0x8001ffff,
    0xeffffffa,0x3ffee001,0x817ffec4,0x001ffff9,0x7ffec000,0x23fe401f,
    0x7ec004ff,0x3ffee3ff,0x3fff200d,0x007fff93,0x0059db71,0x06666200,
    0x6401bffa,0x7d42ffff,0xfd0006ff,0xfd100bff,0xa8000bff,0x20005fff,
    0x7dc4fffc,0x50005fff,0x800039d9,0x8000cec8,0x6542ccc9,0xc98001cc,
    0xfa800ccc,0x00000fff,0x000ef644,0x2a16664c,0x75c01ccc,0x1f75402d,
    0x05fffd10,0x1007ffec,0xcc887999,0xfffa803c,0xb910001f,0x260007bd,
    0x4037502b,0x001ffff9,0x2eec8000,0xb8bffb80,0x4cc002ff,0x00cccc09,
    0xfc9fffe4,0x7fcc03ff,0x0005ffff,0x3fff8800,0x3ffff980,0x006fffa8,
    0x001ffff0,0x001fffe6,0x00133310,0x427ffe40,0x002ffffc,0x27ffffec,
    0x00000000,0x00000000,0x01ffff50,0x00000000,0x00000000,0x0ffff200,
    0x007fff10,0xffa80000,0x000001ff,0x30000000,0x0003ffff,0xf1000000,
    0x00dfffff,0xfc800000,0x7fff93ff,0xdabffe80,0x400003ff,0xfffdccb9,
    0x7fff4400,0x0dfff506,0x0ffff100,0x007fff80,0x32000000,0xffd04fff,
    0x3ee001ff,0x02fffdff,0x00026200,0x00009880,0x7fd40000,0x000180ff,
    0x00000000,0x44000000,0xfb006fff,0x000000df,0x01ffffa8,0x0004c400,
    0x3e600000,0x00001fff,0xfb100000,0x31001bff,0x26600333,0x7fff9019,
    0xf00ffff2,0x02ffc4bf,0x7ffec400,0x806fffff,0x501ffffc,0x3000dfff,
    0xe800dfff,0x40000fff,0x64000098,0xff304fff,0x3fa009ff,0x00bff30f,
    0xfffffea8,0x04eeeeee,0x7fffff54,0x54eeeeee,0x2007dddd,0xf51eeeea,
    0x7fedcfff,0x3bae03ef,0x1eeeeeee,0x1f777540,0x1eeeea80,0x403bbbaa,
    0xb81eeee8,0xf7001fff,0xeee883ff,0xeeeeeeee,0xffa801ee,0xea8001ff,
    0xeeefffff,0xddd54eee,0x3baa007d,0xffff31ee,0x3bbbaa03,0x3bbba20d,
    0xeeeeeeee,0x0666621e,0x50666606,0x9801ffff,0xfc81ffff,0x7fff93ff,
    0xf71ffe80,0xf980007f,0xffffffff,0x7ffc04ff,0x3ffea04f,0xfffa8006,
    0x7fff4005,0xffea8001,0xeeeeefff,0x7ffe404e,0x3ffff604,0x746ff800,
    0xffd3006f,0xffffffff,0x3a60bfff,0xffffffff,0xf15fffff,0x3a00ffff,
    0x3fea7fff,0xfffffb7f,0x3ff20bff,0x1fffffff,0x3ffffc40,0x47fffe80,
    0x100ffffa,0xff05ffff,0x9abb98df,0x41fff9cb,0xfffffff8,0x02ffffff,
    0x01ffffa8,0x3ffffa60,0xffffffff,0xfffff15f,0x9ffffa00,0x981ffff9,
    0x442fffff,0xffffffff,0x2a2fffff,0x4c00ffff,0x3ea1ffff,0x7cc00fff,
    0xffc81fff,0x07fff93f,0xffffffa8,0x3ea0000e,0xffffffff,0xf504ffff,
    0x7d401fff,0xfa8006ff,0x7f4005ff,0x3a6001ff,0xffffffff,0x405fffff,
    0x2204fffc,0xd802ffff,0x09ff51ff,0xfffffd10,0xffffffff,0xfffd10bf,
    0xffffffff,0x7fe4bfff,0x7fcc02ff,0x3ffea4ff,0xffffffef,0xffc85fff,
    0x1fffffff,0x2ffffc80,0x27fffcc0,0x403fffea,0x542ffff8,0xffd13fff,
    0xff1dffff,0xffff885f,0xffffffff,0xfffa802f,0xffd1001f,0xffffffff,
    0x7e4bffff,0x7cc02fff,0x3fe64fff,0x7ffc41ff,0xfff883ff,0xffffffff,
    0x3ffea2ff,0x7ffcc00f,0x3fffea1f,0x7fffcc00,0x93fffc81,0xb5007fff,
    0x00019fff,0x77ffffc4,0xfffffeab,0x5fffd81f,0x037ffd40,0x02fffd40,
    0x007fffa0,0x7fffff44,0xffffffff,0x7ffe405f,0x2ffff404,0x7ffffd40,
    0xffd801ff,0xffd712ff,0xfb0355df,0x3ae25fff,0x21aaefff,0x405ffff9,
    0x2a1ffffb,0xffffffff,0x1fffffed,0x7ee66654,0xf9801fff,0x7dc05fff,
    0x7fd41fff,0xfff100ff,0x0fffc85f,0xfffffffd,0x887fff1b,0xcccccccc,
    0x802ffffd,0x001ffffa,0x225ffffb,0xaaefffeb,0x17fffe61,0x43ffff70,
    0x741ffff9,0x9104ffff,0xb9999999,0x7d45ffff,0x7cc00fff,0x3fea1fff,
    0x7fcc00ff,0xfffc81ff,0x007fff93,0x01333331,0x7fffdc00,0x3ffffe24,
    0x7ffc46ff,0x7ffd402f,0xfffa8006,0x7ffec005,0xffffb003,0x3fffae25,
    0x7e401aae,0x7fdc04ff,0xffb800ff,0xff003fff,0xfff305ff,0x7fffc03f,
    0x1ffff982,0x01ffffd0,0x2a37fff4,0x0bffffff,0x017ffff2,0x007fffea,
    0x007ffff4,0xf50dfffd,0x3e201fff,0x7ff42fff,0xfdffff76,0x13ffe9ff,
    0x3fffe600,0xffffa802,0x5ffff001,0x03ffff30,0x803ffffa,0x7cc6fffe,
    0x3ff61fff,0x4c0004ff,0x3ea2ffff,0x7cc00fff,0x3fea1fff,0x7fcc00ff,
    0xfffc81ff,0x007fff93,0x0dffffff,0x3fffe200,0x7f7ffd45,0x3fea1fff,
    0x7fd400ff,0xffb8006f,0x7fec004f,0xffff005f,0x3ffff305,0x13fff200,
    0x05ffff10,0x002f2e60,0xd03fffcc,0x3e607fff,0x3ffa07ff,0xffff703f,
    0x3fffe605,0x7ffffd42,0x1ffffd03,0x1ffffa80,0x5ffff700,0x0bfffe60,
    0x403fffea,0x222ffff8,0xfffd4fff,0x3e9fff33,0xf98004ff,0xfa802fff,
    0xf9801fff,0x3ffa07ff,0xffff703f,0x3fffe605,0x8ffffcc2,0x005ffffb,
    0x2ffff980,0x003fffea,0x543ffff3,0x4c00ffff,0xfc81ffff,0x7fff93ff,
    0xfffff980,0xfb8000ff,0x7fec1fff,0x23ffffaf,0xa806fffb,0x44006fff,
    0x4002ffff,0x400ffffb,0x3a07fff9,0xf9003fff,0xffd009ff,0x2662007f,
    0x3ffea000,0x13fff206,0x9037ffd4,0x3e209fff,0xff906fff,0xffff50ff,
    0x7fffdc09,0x7fffd401,0xffff1001,0x1ffff20d,0x807fffd4,0x262ffff8,
    0xfff8afff,0x3a7fff54,0xf98004ff,0xfa802fff,0xfa801fff,0x3ff206ff,
    0xffff104f,0x1ffff20d,0x2a7fffe6,0x0006ffff,0x45ffff30,0x400ffffa,
    0x2a1ffff9,0x4c00ffff,0xfc81ffff,0x7fff93ff,0xfffffc80,0xfd8003ff,
    0x4fff86ff,0x7e4dffff,0xffa805ff,0x6554406f,0x8007ffff,0xbcfffff8,
    0x06fffa82,0x4013fff2,0xd804fffc,0xd9304fff,0x9dffffff,0x7fffc401,
    0x05fffb01,0x407fffe2,0x3202fffd,0xff80ffff,0xfffa84ff,0x3ffea00f,
    0x7ffd402f,0x3ff2001f,0xffff80ff,0x1ffff504,0x8bfffe20,0xffa9fffb,
    0x25fff52f,0x98004fff,0xa802ffff,0x8801ffff,0xfb01ffff,0x7fe405ff,
    0xffff80ff,0xbffff984,0x000effff,0x5ffff300,0x007fffd4,0xa87fffe6,
    0x4c00ffff,0xfc81ffff,0xfd0003ff,0x0bffffff,0x89fffd00,0xffb2fffa,
    0x27ffecff,0x037ffd40,0x3fffffe2,0xfd30000e,0x881fffff,0xfb01ffff,
    0x3f2005ff,0xffc804ff,0xffffb85f,0xffffffff,0x13fffe02,0x807fffea,
    0xfa84ffff,0x3e601fff,0x7fd43fff,0xfffa81ff,0x3ffe600f,0x7ffd403f,
    0x3fe6001f,0x7ffd43ff,0xffff501f,0x3fffe201,0x7ddffee2,0x3fff71ff,
    0x2000fffe,0x802ffff9,0x001ffffa,0xf509ffff,0x7cc03fff,0x7fd43fff,
    0xfff981ff,0x00ffffff,0x3ffe6000,0x3fffea2f,0x7fffcc00,0x03fffea1,
    0x03ffff30,0x0007fff9,0xffdffff1,0xfff000ff,0x27ffc87f,0x3fa7fffc,
    0xffa803ff,0x7ffc406f,0x40000cff,0x0fffffd8,0xa84ffff8,0x9001ffff,
    0xf9009fff,0xfff70dff,0xffffffff,0x3fee03ff,0xffcacfff,0x7fdc05ff,
    0xffcacfff,0xffe805ff,0x37ffec6f,0x00ffffa8,0x00ffffe6,0x003ffff5,
    0x6c6fffe8,0x3ea06fff,0xff100fff,0xbffe45ff,0xff90fffc,0x00fffe1f,
    0x0bfffe60,0x07fffea0,0x7ffffdc0,0x5ffffcac,0x46fffe80,0xf306fffd,
    0xffffffff,0x7cc00007,0x3fea2fff,0x7fcc00ff,0x3ffea1ff,0x7ffcc00f,
    0x3fffc81f,0xefffa800,0x002ffffa,0xf0ffffe2,0x7ffe4bff,0x09fffd0f,
    0x80dfff50,0xfffffff8,0xfff70002,0xf701ffff,0xf959ffff,0x6400bfff,
    0xfb804fff,0xcefb86ff,0xffea99aa,0x3ffe06ff,0xffffffff,0xffff800e,
    0xefffffff,0xffffb800,0x07ffff11,0x803fffea,0x402ffffa,0x001ffffa,
    0x88ffffdc,0x2a03ffff,0xf100ffff,0x7fe45fff,0x7e4fffb7,0x2fff88ff,
    0xffff9800,0xffffa802,0x3fffe001,0xefffffff,0xffffb800,0x07ffff11,
    0x3ebfffe6,0x0002ffff,0x45ffff30,0x400ffffa,0x2a1ffff9,0x4c00ffff,
    0xfc81ffff,0xfd8003ff,0xffff8cff,0x3ffe6004,0x8bffe62f,0xfd0ffffb,
    0xff5009ff,0xd53300df,0x8001ffff,0x99dffff9,0x3ffffe01,0x0effffff,
    0x13fff200,0x217fff20,0xfffd8019,0xfffff907,0x019fffff,0xffffff90,
    0x0019ffff,0x5d3fffe2,0xf500ffff,0x7dc01fff,0x7d400fff,0x44001fff,
    0xff74ffff,0x7fd401ff,0xfff100ff,0xdb7fec5f,0x5fff67ff,0x8001fff9,
    0x802ffff9,0x001ffffa,0xfffffff9,0x20019fff,0xf74ffff8,0x3e601fff,
    0xfff99fff,0x980000ff,0x3ea2ffff,0x7cc00fff,0x3fea1fff,0x7fcc00ff,
    0xfffc81ff,0xffff8003,0x00dfffd2,0x917fffcc,0x7fdc1fff,0xbfffb0ff,
    0x0dfff500,0x07ffff00,0x05fffc80,0xffffff90,0x0019ffff,0x804fffc8,
    0x0004fffd,0x303fffea,0xb993bfff,0x3e600159,0xcdcc9dff,0xffd8000a,
    0x0bfffd7f,0x007fffd4,0x500ffffb,0x0003ffff,0x3faffffb,0x7fd405ff,
    0xfff100ff,0xdb7fec5f,0x5bffa7ff,0x30007ffa,0x5005ffff,0x3003ffff,
    0xb993bfff,0xfb000159,0x3fffafff,0x3fffe605,0x1dffff71,0xfff98000,
    0x3fffea2f,0x7fffcc00,0x03fffea1,0x03ffff30,0x8007fff9,0xf70ffff9,
    0x26003fff,0x3fa3ffff,0x3fffe45f,0x500dfff9,0xb000dfff,0xd8009fff,
    0xf9802fff,0xcdcc9dff,0xff90000a,0xfffd009f,0x7fcc0007,0x7ffe41ff,
    0xffc80002,0x4c00002f,0xfffbffff,0x3ffea01f,0xffff300f,0xffff500d,
    0xfff30003,0x03ffff7f,0x00ffffa8,0x6c5ffff1,0x1fff96ff,0x3f6dfff3,
    0xff30005f,0xff5005ff,0xff9003ff,0x9800005f,0xfffbffff,0x3ffe601f,
    0x3ffff61f,0x7fcc0005,0x3ffea2ff,0x7ffcc00f,0x3fffea1f,0x7fffcc00,
    0x13fffc81,0x3f201333,0x3ffe65ff,0xfff1003f,0x0fffe27f,0x7dcdfff9,
    0x7d400fff,0xfb8006ff,0x7f4005ff,0xffc801ff,0xc800002f,0xff804fff,
    0xa98802ff,0xffffdccb,0x02fffec1,0x2fffec00,0x7ff40000,0x406fffff,
    0x880ffffa,0x801ffffe,0x001ffffa,0xffffffd0,0xfff500df,0x3ffe201f,
    0x65fff22f,0xfffebfff,0x003fffbf,0x05ffff30,0x03ffff50,0x00bfffb0,
    0xffffd000,0xf980dfff,0x3fe21fff,0x20003fff,0x2a2ffff9,0x4c00ffff,
    0x3ea1ffff,0x7cc00fff,0xffc81fff,0x07fff93f,0xff0ffffa,0x7fc00bff,
    0x1fff74ff,0x265fffd8,0x5403ffff,0xa8006fff,0x74005fff,0xfd801fff,
    0x800005ff,0x5404fffc,0x2a00ffff,0xfffffffd,0x7dc1ffff,0xcccdefff,
    0x7dc009ac,0xcccdefff,0x5c0009ac,0x3fffffff,0x67fffd40,0xffffca9a,
    0x6666444f,0xcdffffdc,0xfb803ccc,0x03ffffff,0x00ffffa8,0x5c5ffff1,
    0xffff37ff,0xffffffff,0x3e60001f,0x33222fff,0xffffdccc,0x5c3ccccd,
    0xccdeffff,0x40009acc,0xfffffffb,0x7fffcc03,0x7ffffd41,0xfff30002,
    0x7fffd45f,0x7fffcc00,0x03fffea1,0x03ffff30,0x3f27fff9,0xfff883ff,
    0x7fffec1f,0xffffd000,0xff11bffa,0xfffe89ff,0x37ffd406,0x2fffd400,
    0x07fffa00,0x3bfffee0,0x09accccd,0x27ffe400,0x417fff60,0xffffffe8,
    0x1fffffff,0x7fffffc4,0xdfffffff,0xfffff101,0xffffffff,0x3fe2003b,
    0x400fffff,0xfffffffa,0x0fffffff,0x7fffffcc,0xffffffff,0xfff8805f,
    0xa800ffff,0xf100ffff,0x7fdc5fff,0x9ffffd0f,0x03fffff9,0x7fffcc00,
    0x3ffffe62,0xffffffff,0x7ffc45ff,0xffffffff,0xf1001dff,0x01ffffff,
    0x81ffff98,0x00fffffc,0x2ffff980,0x003fffea,0x4c3ffff3,0x5401ffff,
    0xff907fff,0x0ffff27f,0x2a1fffee,0x9002ffff,0xfff5ffff,0x2ffffa87,
    0x007fffdc,0x000dfff5,0x800bfff5,0x8801fffe,0xffffffff,0x01dfffff,
    0x409fff90,0xd02ffff8,0x9bdfffff,0x03ffffb9,0xfffffff3,0x5fffffff,
    0x3ffffe60,0xffffffff,0xfffb002f,0xff5009ff,0xffffffff,0xff3019ff,
    0xffffffff,0x00bfffff,0x13fffff6,0x07fffd40,0x22ffff88,0xfd12fffa,
    0x37ff629f,0x7fcc0001,0x3ffe62ff,0xffffffff,0xf985ffff,0xffffffff,
    0x002fffff,0x09fffffb,0x03ffff30,0x03bffffa,0x5ffff300,0x00ffffcc,
    0xf11fffea,0xfb805fff,0xfff906ff,0x20ffff27,0xf884fffd,0xf5004fff,
    0x3fffffff,0x437fff44,0x204ffff8,0x8006fffa,0x4005fffa,0x3001fffe,
    0xffffffff,0x05ffffff,0x409fff90,0xf707fffb,0xf301bfff,0xfe883fff,
    0xfeeeefff,0x40ffffff,0xeeffffe8,0xffffffee,0xfffa800f,0xffa800ff,
    0xffffffff,0x3ffe601d,0xffffffff,0x5005ffff,0x001fffff,0x403fffea,
    0x262ffff8,0x00004fff,0xffff9800,0x3ffffe62,0xffffffff,0x7ff445ff,
    0xffeeeeff,0x800fffff,0x00fffffa,0x01ffff98,0x0bfffff1,0x2ffff980,
    0x00bfffe2,0xff0dfff7,0xffe80bff,0x7fff905f,0xf10ffff2,0x3fa05fff,
    0x3fa007ff,0x6c6fffff,0xfb02ffff,0x3ea03fff,0xfa8006ff,0x7f4005ff,
    0xfe8801ff,0xfeeeefff,0x00ffffff,0x8827ffe4,0xfb04ffff,0x3e601fff,
    0x7fec1fff,0xffb300ef,0xfffd85ff,0xfffb300e,0xfff5005f,0x3fea00bf,
    0x009a98ff,0xfff90000,0x3ffea003,0x5000005f,0xfe83ffff,0x0000007f,
    0x01ffffa8,0x3ff60000,0xffb300ef,0xff5005ff,0x00000bff,0x7fd40000,
    0x7fffc1ff,0x2ffff405,0x817ffff4,0x903ffffb,0x3ff27fff,0x7fffd43f,
    0xfecccccd,0xf3001fff,0xb9dfffff,0x40dfffff,0x506ffff8,0x3000dfff,
    0xf800dfff,0xfd800fff,0xfb300eff,0xfc805fff,0xfffb04ff,0x3fffe01f,
    0x3ffff206,0x07fffea1,0x47ffff30,0x401ffffa,0x803ffff9,0x001ffffe,
    0x001ffff5,0xfff70000,0x7fff4007,0x7000001f,0xfb81ffff,0x000002ff,
    0x03fffdc0,0xfff50000,0xfff9803f,0xfffe803f,0x0000001f,0x3ffee000,
    0x2ffffe87,0x07ffff70,0x7bfffff5,0xdffffb75,0xc9fffe40,0x7fe43fff,
    0xffffffff,0x003fffff,0x3ffffff2,0x1effffff,0x1ffffdc0,0x0037ffd4,
    0x003fffc4,0x500ffff1,0x9803ffff,0x6403ffff,0xffa84fff,0x3ffa02ff,
    0xfffd81ff,0x3ffee1ff,0x7ffcc00f,0x3fffee2f,0x7fffcc00,0x7fffe402,
    0x3ffea004,0x4000000f,0x2006fff8,0x004ffffc,0x3fff6000,0x1ffff887,
    0xf0010000,0x6c00dfff,0x7dc01eee,0x7cc00fff,0x7e402fff,0x80004fff,
    0x1002eeeb,0x0dffff00,0x7bfffff5,0xdffffb75,0x7ffffec0,0xffffffff,
    0x4ffff201,0x7fc3fffc,0xffffffff,0x06ffffff,0x7ffffdc0,0x00dfffff,
    0x85ffffb0,0x0006fffa,0x2007ffff,0xb806fffc,0x4c00ffff,0x6402ffff,
    0x7fcc4fff,0x7fec04ff,0xfeb9beff,0x2e1fffff,0x2205ffff,0x2e0ffffe,
    0x2205ffff,0x820ffffe,0x06ffffd9,0x07fffd40,0x3ea00000,0x6cc105ff,
    0x0006ffff,0xfffa8130,0xffffb05f,0x003ee203,0xfe8815bb,0xf1003fff,
    0xff700fff,0x7f440bff,0xd9820fff,0x0006ffff,0x003fffd0,0xfd102b76,
    0x3f607fff,0xffffffff,0x2201ffff,0xfffffffd,0x6401efff,0xfff93fff,
    0x7ffffcc7,0xffffffff,0x2000ffff,0xfffffff8,0x7c4003ef,0x3ea2ffff,
    0x99999eff,0x7fffe400,0xb333099c,0x7007ffff,0x440bffff,0x260ffffe,
    0xfffc9999,0x3bfffe64,0x7fffcc00,0xefffffff,0x3fe21fff,0xbabcefff,
    0x43fffffd,0xcefffff8,0xffffdbab,0x7ffffc3f,0x4000ffff,0x000ffffa,
    0x7ffd4000,0x3ffe1acf,0x00ffffff,0xfddff000,0x201fffff,0xcefffff9,
    0x00fffecb,0x7f7fffec,0x006fffff,0x2017ffe6,0xcefffff8,0xffffdbab,
    0x7ffffc3f,0x0000ffff,0x400dfff0,0xffeffffd,0x2206ffff,0xfffffffd,
    0x5001efff,0xfffffffd,0x3fff2007,0x5c7fff93,0x9999efff,0xfffc9999,
    0x3fea002f,0x0001aaaf,0x8fffffcc,0xfffffffa,0x7fc402ff,0xff6fffff,
    0x00dfffff,0x3bffffe2,0xfffdbabc,0x3ffe23ff,0x14ffffff,0x003fffff,
    0x3ffffff2,0xfffc9fff,0x7ffffdc1,0xffffffff,0xffff704f,0xffffffff,
    0xffff09ff,0x0003ffff,0x001ffff5,0xfff88000,0x3ffe3fff,0x001fffff,
    0x3ffffe00,0x4404ffff,0xfffffffe,0x6c00ffff,0xffffffff,0x2e000fff,
    0xf7002fff,0xffffffff,0xf09fffff,0x3fffffff,0x3fe60000,0x3ff6004f,
    0xffffffff,0xffea800f,0x003fffff,0x0026aa20,0x327fff90,0x3ffa3fff,
    0xfff9804f,0x3ff6005f,0xf9800007,0xfff52fff,0x05ffffff,0xffffff50,
    0x3fffffed,0x3fee001f,0xffffffff,0x7c44ffff,0xffffffff,0x03ffff54,
    0xfffffb80,0x3fff90cf,0xfffffd50,0x03bfffff,0xfffffea8,0x01dfffff,
    0x19ffffff,0x3ffea000,0x8000000f,0x23fffffb,0x0cffffff,0x7ffc0000,
    0x003fffff,0xffffffd1,0xfb007dff,0xffffffff,0xffc80019,0x3faa000f,
    0xffffffff,0xffff01df,0x000019ff,0x000fffd4,0xfffffffb,0x100019ff,
    0x00001355,0xfff90000,0x44ffff27,0xf002ffff,0x7c00ffff,0x000004ff,
    0x7fd45ff3,0x2fffffff,0xffff9100,0x33ffffed,0xffea8000,0xffffffff,
    0xffff881d,0x2e4fffff,0x260001ff,0x4c0001aa,0xabcdeccb,0x665cc000,
    0x400abcde,0x000acdec,0x01555440,0x75100000,0x66f64157,0x5000000a,
    0x0159bdb9,0x9bb75100,0xcb980035,0x000abced,0x00079970,0x337b32e6,
    0x6f6400ab,0x800000ac,0x98004cca,0x0abcedcb,0x00000000,0x7fe40000,
    0x27fff93f,0x2007fffa,0x801ffffc,0x0002fff9,0x5510a600,0x15555555,
    0x25531000,0x000009aa,0x79bd9973,0xaaaa8015,0x541aaaaa,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x93fffc80,0x3ff67fff,
    0x3fea005f,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x27fff900,0x0003fffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa9666540,0x00002ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0009bcb9,0x000b2a00,0x5e6654c4,0x2aa2001a,0x19980000,
    0x00009988,0x4001f75c,0x00007ff9,0x09730000,0x26666620,0x99999999,
    0x33109999,0x26660033,0x22000001,0x99999999,0x00199999,0x01333331,
    0x00554400,0x00000000,0x00000000,0x404cc400,0x00000199,0x02ca8000,
    0x99999988,0x00000019,0xaaa98000,0x2a000001,0x403fffff,0xffffffd8,
    0x640002ff,0x26005fff,0xfffffffd,0x36200fff,0x261dffff,0x5ffd001f,
    0x0005ffc8,0x4001ffec,0x40007ffa,0x000efffd,0x4017fff2,0xfffffffb,
    0xffffffff,0xffff52ff,0xffff9801,0x1bfff501,0x907fff62,0xffffffff,
    0x00ffffff,0x1bfffffe,0x3fff6200,0x007e61df,0x3bfffa20,0xffd10000,
    0x800001df,0x05fffff9,0x7dc4ffd8,0x7cc0006f,0x0005ffff,0xc80bfff9,
    0xffffffff,0xd8802dff,0x000fffff,0x7fffcc00,0xa800001f,0x401effff,
    0xffffffe9,0x0003ffff,0x03fffff1,0xffffffb0,0x01ffffff,0x7fffffec,
    0x01fffddf,0xdbcfffc8,0x40004fff,0xb8002ffe,0xb10005ff,0x03ffffff,
    0x017fffa0,0x7fffffdc,0xffffffff,0xfff52fff,0xfff9801f,0x3ffe601f,
    0x81ffffbe,0xfffffffc,0x07ffffff,0xffffff98,0x7fec000f,0xfddfffff,
    0x3a2001ff,0x00efffff,0x7ffff440,0x300000ef,0x005fffff,0x36b3ffee,
    0x20005fff,0x02fffff9,0xfffff100,0x7fffe403,0xffffffff,0xfffb800e,
    0x500000ef,0x5fffffff,0x7fd40000,0x7d400dff,0xffffffff,0x8005ffff,
    0x02fffff8,0x7fffffe4,0x0fffffff,0xffdfff30,0x0bffffff,0x3ffffe20,
    0x0000efff,0x2000fffc,0x8004ffd8,0xffcfffe8,0xffe801ff,0xfff7005f,
    0xffffffff,0x25ffffff,0x400ffffa,0x401ffff9,0xfffffff9,0xfffff901,
    0xffffffff,0xffff900f,0x4c007fff,0xffffefff,0x2005ffff,0xffcfffe8,
    0xfd1000ef,0x1dfff9ff,0xfff98000,0x3e2000ef,0xffffffff,0xfff30000,
    0x440001df,0x202fffff,0xfffffffc,0x0effffff,0xefffe980,0x7fd40000,
    0x2fffeaef,0xfffa8000,0xffff002f,0xfffb7bff,0xd0003fff,0x4c01ffff,
    0xabefffff,0x00fecaa9,0xfffb87ee,0x26000eff,0x0dfffffe,0x7ffc4000,
    0xffedb800,0x00ceffff,0x88f7ff44,0x7401fffe,0x95005fff,0xfff99999,
    0x999999df,0x03fffea3,0x03ffff30,0x1dffff30,0x67fffe40,0xcccccccc,
    0xffffe804,0x5c005fff,0x3fffee1f,0xfd3000ef,0x3ffa61df,0x7ff4c00e,
    0x1dffd30e,0x3ffe6000,0xfb10004f,0x003dffff,0x13fffe60,0x7fff4000,
    0x3fff200f,0xfffedccf,0x32004fff,0x0000efff,0xec89ddd3,0x4c0001ee,
    0xf7000999,0x3f60bfff,0x88005fff,0x7e401dfd,0x00803fff,0x03795008,
    0x0d654c00,0x7ff98000,0x7ffffd40,0x2fffffff,0x404ccc40,0x7f400999,
    0xe80005ff,0xfa805fff,0x7cc00fff,0x31001fff,0xffc80133,0xf100007f,
    0xffffdfff,0x32a01000,0x4cc4001b,0x00999881,0x4c40ccc4,0x31000099,
    0x30000133,0x80003595,0x00009998,0x0077f620,0x910ffff9,0x800dffff,
    0x00009998,0x00000000,0x3fffe200,0x7ffff406,0x6c000001,0x0000ffff,
    0x00000000,0xdba88000,0xfc81afff,0xffffffff,0x0002ffff,0x3bbbb600,
    0xeeefffff,0xe800eeee,0xfa805fff,0x7cc00fff,0x00001fff,0x00ffff90,
    0x3bffea00,0x002ffffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff20000,0x3fffa07f,0x0000000f,0x00066662,0xcca88000,0xfff701ab,
    0xfffb805f,0xca88004f,0xffe81abc,0x310001ff,0x26600333,0x0cccc419,
    0x20199980,0xffffffe9,0x7ffd47ff,0xdfffefff,0x88002ffe,0x741abcca,
    0xffffffff,0xffffffff,0x5fffe800,0x0ffffa80,0x0ffffcc0,0x66654c40,
    0xfffc81ab,0xffb00007,0x9ffff19f,0x32e62000,0x4400009b,0x1abccca9,
    0x5e5cc400,0x4c400009,0x01abccca,0x79973100,0xb9880035,0x000009bc,
    0x35799731,0x40ffff90,0x001ffffc,0x01379731,0x07fffd40,0xfd500000,
    0xffffffff,0x0ffffd87,0x2ffffc40,0xffffea80,0x363fffff,0x000dffff,
    0x00ffffa8,0x50ffffcc,0x9801ffff,0xfc81ffff,0xffffffff,0x7ffff47f,
    0x544dff52,0xfffd5000,0x27ffffff,0xfffffffe,0xffffffff,0xfffe800f,
    0xffffa805,0x7fffcc00,0x3fff6601,0x0fffffff,0x001ffff2,0xe97fffc0,
    0x44006fff,0xfffffffd,0x7ecc001f,0xffffffff,0x7fec400f,0x01ffffff,
    0x7fffecc0,0x00ffffff,0xfffffc88,0x405fffff,0xffffffd8,0xc88001ff,
    0xffffffff,0x3fff25ff,0x3ffff207,0x7ffec400,0x801fffff,0x000ffffa,
    0xffff9000,0x9fffffff,0x005fffe8,0x900dfffd,0xffffffff,0x7fdc9fff,
    0x000bffff,0x003fffea,0x543ffff3,0x4c00ffff,0x7ec1ffff,0xffffffff,
    0x3ffe27ff,0x017fee6f,0x7ffffe40,0x74ffffff,0xffff9999,0x9999999f,
    0xbfffd001,0x1ffff500,0x1ffff980,0xffffffb0,0x41ffffff,0x0007fffc,
    0x70ffff98,0x2003ffff,0xfffffffa,0xb003ffff,0xffffffff,0x5401ffff,
    0xffffffff,0xfb003fff,0xffffffff,0xe9801fff,0xffffffff,0xf500ffff,
    0xffffffff,0x74c007ff,0xffffffff,0xff90ffff,0x3ffa20ff,0x7ffd407f,
    0xffffffff,0x7fffd403,0x74400000,0xffffffff,0x7fc4ffff,0xffd005ff,
    0x7ff440ff,0xffffffff,0x3ffe24ff,0x01cfffff,0x00ffffa8,0x50ffffcc,
    0x9801ffff,0x3ea1ffff,0xffacffff,0x3fe67dcf,0x13ff65ff,0xffffd100,
    0xffffffff,0x2ffff409,0x7fff4000,0xffffa805,0x7fffcc00,0xfffffc81,
    0xffffffff,0x2bffff20,0xaaaaaaaa,0x97fff201,0x803ffff9,0xfffffffb,
    0x05ffffff,0x7fffffe4,0x0fffffff,0xffffff70,0xbfffffff,0xfffffc80,
    0xffffffff,0x3ffff200,0xffffffff,0xfffb80ff,0xffffffff,0xffc805ff,
    0xffffffff,0xff90ffff,0xfffb10ff,0x7ffdc07f,0xffffffff,0x3fea05ff,
    0x400000ff,0xdffffffe,0x24ffdcbc,0x004ffff8,0x740ffffb,0xcdffffff,
    0x544ffdcb,0xffffffff,0x3fea02ef,0x7fcc00ff,0x3ffea1ff,0x7ffcc00f,
    0x3ffffa1f,0x821fff12,0xd1fffff8,0xfe8007ff,0xbcdfffff,0x3a04ffdc,
    0x80005fff,0xa805fffe,0x4c00ffff,0x7cc1ffff,0x9abeffff,0x320fecaa,
    0xffffffff,0x204fffff,0x7fc3fffe,0x7fc405ff,0xfdbdffff,0x301fffff,
    0x57dfffff,0x01fd9553,0xbffffff1,0xffffffb7,0x3fffe603,0xcaa9abef,
    0xfff700fe,0x9779dfff,0xf881fffd,0xdbdfffff,0x01ffffff,0x3fffffee,
    0xffecbbce,0x9ffff90f,0xfffffd99,0x7fffc40b,0xfffdbdff,0xff501fff,
    0x400001ff,0x04fffffa,0xfff98ea2,0xfff9003f,0xffff501f,0x41d4409f,
    0xfffffffa,0xfa81efff,0x7cc00fff,0x3fea1fff,0x7fcc00ff,0xffff51ff,
    0xd03ffccb,0xff9fffff,0x7fd4003f,0x2a204fff,0x17fffa03,0x3fffa000,
    0xffffa805,0x7fffcc00,0x1ffffe41,0x3fff2040,0xffffffff,0xfff104ff,
    0xffffd83f,0x3ffff200,0xbffffb05,0x0fffff20,0x7ffe4020,0xffffb05f,
    0x3ffff20b,0xff100803,0xa803dfff,0x7fffe40d,0xbffffb05,0x3ffffe20,
    0xc86d401e,0xffffffff,0x6403ffff,0xfb05ffff,0x3ea0bfff,0x00000fff,
    0x00bffffa,0x13fffe60,0x07fffe40,0x017ffff4,0x3fff2200,0x1fffffff,
    0x007fffd4,0xa87fffe6,0x4c00ffff,0xff71ffff,0x37fd47ff,0xffffff70,
    0x74003fff,0x0002ffff,0x005fffe8,0x05fffe80,0x00ffffa8,0x20ffffcc,
    0x000ffffd,0xffffffc8,0x4fffffff,0x50ffff70,0x2205ffff,0x7405ffff,
    0xfd80ffff,0x10000fff,0xe80bffff,0xfd80ffff,0x20000fff,0x00dffffc,
    0xbffff100,0x0ffffe80,0x0dffffc8,0xffffc800,0x03ffffff,0x05ffff88,
    0x407ffff4,0x440ffffa,0x7fdc0009,0xf10005ff,0x36009fff,0xffb87fff,
    0x200005ff,0xfffffeb8,0x3fea0eff,0x7fcc00ff,0x3ffea1ff,0x7ffcc00f,
    0x1ffff91f,0x3602ffdc,0xffffffff,0x7fdc02df,0xd00005ff,0x0000bfff,
    0x500bfffd,0x9801ffff,0x7f41ffff,0xc8001fff,0xaaaaffff,0xb01aaaaa,
    0xff109fff,0x3ff209ff,0x7fdc02ff,0xfffe84ff,0xff90001f,0xffb805ff,
    0xfffe84ff,0xff10001f,0x40001fff,0x402ffffc,0x444ffffb,0x000fffff,
    0xffffff90,0x807fffff,0x402ffffc,0xa84ffffb,0x3fee7fff,0xfb003eff,
    0x20005fff,0x005ffff8,0xfb0dfffd,0x00005fff,0x3ffff260,0x3ffea3ff,
    0x7ffcc00f,0x3fffea1f,0x7fffcc00,0xc8ffffd1,0xffb804ff,0xffffffff,
    0xffffb01e,0x3fa00005,0xe80005ff,0xfa805fff,0x7cc00fff,0x7fec1fff,
    0x64000dff,0x20007fff,0xd02ffff8,0x3f60ffff,0xff8807ff,0xfffd85ff,
    0xfd8000df,0xff8807ff,0xfffd85ff,0xfb8000df,0x40004fff,0x8807fffd,
    0x7dc5ffff,0x20004fff,0xf717fffc,0x6c03ffff,0xf8807fff,0xffa85fff,
    0xffffe8ff,0xff805fff,0x7c0007ff,0xfd006fff,0xffff0bff,0x3000000f,
    0x549ffffd,0x4c00ffff,0x3ea1ffff,0x7cc00fff,0xfffd1fff,0x003ffd8f,
    0xffffff91,0xff05ffff,0x40000fff,0x0005fffe,0x805fffe8,0x400ffffa,
    0x5c1ffff9,0x0bffffff,0x0ffff900,0x7fffd400,0xfecccccd,0xffe81fff,
    0xfffd005f,0xfffff70d,0x7f40017f,0xffd005ff,0xffff70df,0x640017ff,
    0x0001ffff,0x802ffff4,0x7e46fffe,0x20001fff,0x7d47fffc,0x3fa06fff,
    0xffd005ff,0xffff50df,0xfffffffd,0x7fc405ff,0x740005ff,0x4c00ffff,
    0x7c44ffff,0x00005fff,0xdffff500,0x007fffd4,0xa87fffe6,0x4c00ffff,
    0xffb1ffff,0x17ff43ff,0x3fffa200,0x21ffffff,0x005ffff8,0x17fffa00,
    0x3fffa000,0xffff9805,0x7fffd401,0x7ffffc40,0x6401cfff,0x20007fff,
    0xfffffffc,0xffffffff,0x05ffff83,0x10ffffd0,0xffffffff,0xffff0039,
    0x3fffa00b,0xfffff887,0xd801cfff,0x80007fff,0xd005ffff,0xffd8ffff,
    0x7e40007f,0xfffc87ff,0xbffff02f,0x1ffffa00,0x3fffffea,0xfffffdff,
    0x3fffe606,0x7fe40005,0x7fdc03ff,0x7ffcc1ff,0x0000005f,0x54bffff1,
    0x4c00ffff,0x3ea1ffff,0x7cc00fff,0xfff91fff,0x00fffc7f,0x7fefff40,
    0x3e64ffff,0x00005fff,0x001bfffa,0x017fffa0,0x00bfffe2,0x2a0ffff7,
    0xffffffff,0xfff902ef,0x7ffc000f,0xffffffff,0x446fffff,0xb004ffff,
    0x3ea0ffff,0xffffffff,0xffff102e,0x3fff6009,0xfffff507,0x405dffff,
    0xfb86fffe,0x0fffffff,0x009ffff1,0xfd1ffff6,0xfff70dff,0x321fffff,
    0xff987fff,0xfff886ff,0xfffb004f,0xfffff50f,0x3ffa217f,0xfff500ff,
    0xf980009f,0xf100efff,0xff50dfff,0x000009ff,0x8ffffea0,0x400ffffa,
    0x2a1ffff9,0x4c00ffff,0xff51ffff,0xfff13fff,0x47ffe000,0x2a6ffffc,
    0x0004ffff,0x03ffff60,0xbfffd000,0xbffff100,0x06fffe80,0x3fffffea,
    0x641effff,0x30007fff,0xffffffff,0xffffffff,0x7fffcc1f,0xffff9003,
    0x3fffea01,0x1effffff,0x01ffffcc,0x00ffffc8,0xfffffff5,0xff03dfff,
    0xfff70bff,0x261fffff,0x9003ffff,0x7fc1ffff,0xfffb85ff,0xf90fffff,
    0x3ff60fff,0x7ffcc2ff,0xfff9003f,0xffffa81f,0xffffb83f,0x9ffff701,
    0xfffd0000,0xffe981df,0xfffb82ff,0x7d10004f,0xffffa803,0x3fffea2f,
    0x7fffcc00,0x03fffea1,0x43ffff30,0xfcfffffe,0x801b517f,0xff10fff8,
    0x3fee1fff,0x200004ff,0x002ffffc,0x02ffff40,0x02ffffe8,0x805ffff7,
    0xffffffc8,0x3f21ffff,0xf70007ff,0x33333dff,0xffff9333,0x27fffcc5,
    0x0ffffc80,0x3ffff220,0x21ffffff,0x004ffff9,0x401ffff9,0xffffffc8,
    0x3e21ffff,0xffb85fff,0x30ffffff,0x2009ffff,0xf10ffffc,0xff70bfff,
    0x21ffffff,0xf507fffc,0xff98dfff,0xff9004ff,0xfffa81ff,0xffff304f,
    0x3fffea05,0xffa80005,0xffdeffff,0xf506ffff,0x2000bfff,0xcdeffff8,
    0xfffffeec,0x07fffd46,0x87fffe60,0x400ffffa,0x2a1ffff9,0xffffffff,
    0x400fffff,0x7ff47ffa,0x3fffea7f,0x3ee00005,0xa9adffff,0xffe800cb,
    0xfff5005f,0xfb757bff,0x4400ffff,0xffffffeb,0xffff90ef,0xdddddddd,
    0x4fffe8dd,0x5ffff980,0x013fffe2,0x803fffec,0xfffffeb8,0xfff10eff,
    0x3ff6009f,0xfd71007f,0x1dffffff,0x5437fffc,0xffffeeee,0x09ffff10,
    0xf1ffff60,0xdd50dfff,0x21ffffdd,0x3a07fffc,0x3e21ffff,0xfb004fff,
    0xfff50fff,0x3ffe201f,0xffff102f,0x3ee0000b,0xffffffff,0xf100efff,
    0x2000bfff,0xfffffff8,0xefffffff,0x07fffd40,0x87fffe60,0x400ffffa,
    0x5c1ffff9,0xffffffff,0x2010ffff,0x3fe25ffb,0x3ffe25ff,0x2200005f,
    0xffffffff,0xfe800fff,0x3fa005ff,0xffffffff,0x0001ffff,0xffffff93,
    0x3fffff27,0xffffffff,0x0bfffe27,0x23ffffc0,0xd005ffff,0x3000dfff,
    0x7ffffff9,0x802ffffc,0x8006fffe,0xffffffc9,0x01ffffa3,0xf83fffea,
    0xfd005fff,0xfffe8dff,0xffffa807,0x40ffff90,0x7c5ffffb,0xfd005fff,
    0xfff50dff,0x3ffe201f,0x3fffe02f,0x3f200007,0xffffffff,0x7ffc00ef,
    0xff10007f,0xffffffff,0xf503dfff,0xf9801fff,0x3fea1fff,0x7fcc00ff,
    0xfffa81ff,0xffffffff,0x9137bf50,0xfff519ff,0xffff87ff,0x7d400007,
    0xffffffff,0xfffe800f,0x3ff62005,0xffffffff,0xe980002f,0xff94ffff,
    0xffffffff,0x7fd4ffff,0x3ff2007f,0x3fffa1ff,0xbfffd006,0x7ff4c000,
    0x3fffa4ff,0xbfffd006,0x7ff4c000,0x3fff64ff,0x7ffd400f,0x1bfffa0f,
    0x22ffff40,0x400ffffd,0xf90ffffa,0x7fc40fff,0x3ffa1fff,0xfffd006f,
    0x1ffff50b,0x0bfffe20,0x02ffffe8,0x3ff22000,0x002dffff,0x005ffffd,
    0xffffd910,0x03bfffff,0x00ffffcc,0xf31fffea,0xfa803fff,0x7e4c07ff,
    0x20bdefff,0xfffffffa,0xffffffff,0x2ffffe85,0x7ecc0000,0x0fffffff,
    0x05fffe80,0xffffea80,0x0000bfff,0x5bfffea0,0xfffffffc,0x27ffffff,
    0x2005fffd,0x3a4ffffa,0x4c00ffff,0x0004ffff,0xd37fffd4,0x9801ffff,
    0x0004ffff,0x737fffd4,0xa807ffff,0x3fa0ffff,0x7cc00fff,0x7fdc4fff,
    0x7fd403ff,0xffff90ff,0x5ffffc80,0x003ffffa,0x509ffff3,0x2201ffff,
    0x3602ffff,0x0006ffff,0x09fffd00,0x6ffffd80,0xaa998000,0xff10009a,
    0xffb805ff,0x7fffc46f,0x37ffdc02,0x201fff80,0xfffffffa,0xefffffff,
    0x6ffffd80,0x53100000,0x00001355,0x7ffd4000,0x8800000e,0x4005ffff,
    0x0004fffa,0xc83fffb0,0x5c02ffff,0x0002ffff,0x92ffffc4,0xb805ffff,
    0x0002ffff,0x52ffffc4,0xa80dffff,0x3f20ffff,0x7dc02fff,0x7fd42fff,
    0x7fd406ff,0x000000ff,0x805ffff9,0xa82ffffb,0xf100ffff,0x7cc05fff,
    0x0004ffff,0x06fffc80,0x7ffffcc0,0x00000004,0x405ffff8,0xff85fffe,
    0x7ff405ff,0x1fff005f,0x7ffffd40,0xefffffff,0x3fffe603,0x0000004f,
    0x00000000,0x0003fffb,0x3fffea00,0x3ffe6003,0xff900005,0xffff105f,
    0x3ffe201d,0xfa80006f,0x3fe23fff,0xff100eff,0x50000dff,0xfe87ffff,
    0x3ea04fff,0x3fe20fff,0xff100eff,0x3ffa0dff,0x3fea04ff,0x000000ff,
    0x01dffff1,0x41bfffe2,0x100ffffa,0xc805ffff,0x81efffff,0x2e004da8,
    0x260dffff,0xffff902e,0x9b5103df,0x05ddd700,0x0bffffa0,0x41ffffdc,
    0x702ffffe,0x3007ffff,0x95300fff,0x9bdfffdb,0x3fff2005,0xda881eff,
    0x2eeeb804,0x3bbae000,0x3fea0002,0x2fa2004f,0x7fffd401,0x3ffa002f,
    0xf880000f,0x3ff605ff,0x7f4c0eff,0xbe882fff,0x7fffd401,0x7fffec2f,
    0x7fff4c0e,0x01be882f,0x17ffffd4,0x3bffffe6,0x0ffffa81,0x077fffec,
    0x0bffffa6,0x77ffffcc,0x0ffffa81,0x017775c0,0x1dffffb0,0x2ffffe98,
    0x01ffff50,0x00bfffe2,0xfffffff1,0x9fffdddf,0x7fffc400,0x0ffffeff,
    0xffffff88,0xfffeeeff,0x1fffe804,0xfffff500,0xfffb757b,0x3ffea0df,
    0xfdbabdff,0xf5006fff,0xff5000df,0x3fe2000f,0xeeffffff,0xe804fffe,
    0x20001fff,0x0001fffe,0x800ffff2,0xcdeffff8,0xfffffeec,0x3ffe2006,
    0xff500007,0x7ffcc09f,0xfffdefff,0xff105fff,0xdd99bdff,0x30dfffff,
    0xbdffffff,0x0bffffff,0x37bfffe2,0xffffeecc,0xffffb06f,0xffb9dfff,
    0xff981fff,0xffdeffff,0x6c05ffff,0xefffffff,0x0fffffdc,0x00ffff40,
    0xffffff30,0xffffffbd,0x7fffd40b,0x5ffff100,0xfffff500,0xffffffff,
    0xfffa8009,0x4fffffff,0xffffff50,0x9fffffff,0x00dfff00,0xffffffd8,
    0x1fffffff,0x3fffff60,0xffffffff,0x0bff7001,0x00bff700,0x7ffffd40,
    0xffffffff,0x06fff804,0x037ffc00,0x3bfff200,0x7fc400bb,0xffffffff,
    0x000effff,0x2b7fffe2,0x3fee0002,0xfc81acff,0xffffffff,0xf101efff,
    0xffffffff,0x01dfffff,0x3ffffff2,0x1effffff,0xffffff10,0xffffffff,
    0x3ffa201d,0xffffffff,0xfc80ffff,0xffffffff,0x4401efff,0xfffffffe,
    0x0fffffff,0x0037ffc0,0x7fffffe4,0x1effffff,0x03fffea0,0x017fffc4,
    0xfffffd88,0x04ffffff,0xfffffb80,0x2202efff,0xfffffffd,0x4c04ffff,
    0x44004fff,0xfffffffd,0x4401efff,0xfffffffd,0x2001efff,0xc8004ffc,
    0x440004ff,0xfffffffd,0x4c04ffff,0x20004fff,0x0004fff9,0x7fffffd4,
    0x7fffc401,0xffffffff,0xfe8001ef,0x0005ffff,0x3fffffe6,0xfffff502,
    0x01bfffff,0x7fffffc4,0xefffffff,0x7fffd401,0x0dffffff,0x3ffffe20,
    0xffffffff,0xfffb801e,0xffffffff,0xfff500ff,0xbfffffff,0x7ffdc001,
    0xffffffff,0x3fe600ff,0xff50004f,0xffffffff,0xfffa801b,0xffff100f,
    0xfeda8005,0x0adfffff,0xfdb71000,0x6d4007bd,0xdffffffe,0x7ffd400a,
    0xffd50001,0x007fffff,0xfffffea8,0xfd8003ff,0xffd8003f,0xdb500003,
    0x5bffffff,0x1fffa801,0x3ffea000,0xffc80001,0x64401fff,0xfffffffe,
    0x20001dff,0x05fffff9,0x7fffdc00,0x3fb6602f,0x802effff,0xfffffec8,
    0x001dffff,0x3ffffb66,0xec8802ef,0xffffffff,0x6cc001df,0xfffffffe,
    0x76cc00bd,0x02efffff,0xfffdb300,0x017bffff,0x001fffa8,0x3fffb660,
    0xf5002eff,0x3e201fff,0x40002fff,0x000009a9,0x54c00000,0x66540009,
    0x55100004,0x51000013,0x5c000135,0xcb8001cc,0x3000001c,0xca800135,
    0x6540004c,0x2600004c,0x98001aba,0x0009aaa9,0x055dd400,0x55d44000,
    0x3531000a,0xaa998000,0x8800009a,0x4c0001a9,0x0009aaa9,0x066aa600,
    0x01a98800,0x9aa98000,0x26654001,0x35310000,0xffff5000,0x3fffe201,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x004c4000,0x40000000,
    0x015100a8,0x00000000,0x0ccc0000,0x00004cc4,0x00000000,0x4cc00000,
    0x99880199,0x33000001,0x33333333,0x00033333,0x88099988,0x4c401999,
    0x4ccc0999,0x4cc40099,0x88054401,0x2a00000a,0x000aaaaa,0x2af32e62,
    0x01999881,0x00000000,0x2aaaaaaa,0x88002aaa,0x000000aa,0x00a88000,
    0x22000151,0xfe980009,0x00001eff,0x001dfffb,0x260fffdc,0xe8002fff,
    0xff52ffff,0xd1003dff,0x0001dfff,0xffc85ffd,0xff300005,0x3620bfff,
    0x000fffff,0x077ffcc0,0x7cc5fffb,0x7403ffff,0xe8801fff,0xf980efff,
    0xffffffff,0x00ffffff,0x03ffee00,0x981ffff2,0x261fffff,0x405fffff,
    0xf701fffe,0xfff983ff,0xffb80002,0xc8802fff,0xffffffff,0x3ffea5ff,
    0x2000001f,0x05fffff9,0xfffffff8,0x22006fff,0x21dffffd,0x744001f9,
    0x2000efff,0x7cc1fffb,0x777542ff,0x3bfffee2,0xffff1003,0x40001fff,
    0xffffffd8,0xffff8801,0x03ffff45,0x47bfff60,0x00dffffa,0xfffffe88,
    0x7fe4000e,0x4fffdbcf,0xfff98000,0xffb802ff,0x40000eff,0xfebffff9,
    0x7ffcc2ff,0x7ff407ff,0x7ff4401f,0x7cc0efff,0xffffffff,0x00ffffff,
    0x41bffa00,0x3a07fffc,0x7cc3ffff,0x200fffff,0xf881fffe,0x7ff45fff,
    0x7dc0007f,0x9800efff,0xfffffffe,0xf50fffff,0x00003fff,0x3ffffe60,
    0xfffff002,0x00dfffff,0x7fffffec,0x01fffddf,0xfffffd10,0xfff1001d,
    0x7fffe8bf,0x745fffd4,0x5fffffff,0xf72ffb80,0x3a20005f,0xffffcfff,
    0x7fffc401,0x03ffffc6,0x21bfffb0,0x002ffffb,0xff9fffd1,0x7c4001df,
    0xefffffff,0x7fcc0000,0x26000eff,0x000efffe,0x7ffff440,0xfff981ff,
    0x3fa03fff,0x3fa201ff,0x0efffcff,0x3fffffe6,0xffffffff,0xff10000f,
    0x3fff207f,0xdffff707,0xffffff30,0x0ffff409,0x237fffc4,0x0007ffff,
    0x00ffffee,0x7fffffe4,0xffffffff,0x03ffff50,0xfff30000,0x76c001df,
    0xeeeeeeee,0xdfff3005,0xffffffff,0x3ffa200b,0x00efffcf,0x237fffc4,
    0x7d47ffff,0xffffedff,0x402fffff,0x027fc7fc,0x8f7ff440,0x401fffe8,
    0x7e43fffd,0xffb004ff,0x6fffdc7f,0xdffd3000,0x03bffa61,0xffffe980,
    0x4c0000df,0x0004ffff,0x003bfff2,0xffffd100,0x3fffe603,0x3ffa07ff,
    0xdffd301f,0x43bffa61,0xffaaaaa8,0x2aaaaeff,0x3732e600,0xff900fff,
    0xffff10ff,0xffff301f,0x3fa01fff,0xfffb01ff,0x04fffc87,0x3bddd300,
    0x3fffee00,0xecbbceff,0xfff50fff,0x9800003f,0x0004ffff,0x3f700000,
    0x77ffffdc,0xeffe9800,0x01dffd30,0x643fffd8,0x7fd44fff,0xfdffffff,
    0x5c06ffff,0x2ffb8bff,0x09998800,0xb8009998,0x007b702d,0x26604ccc,
    0x4cc40019,0x00999881,0x01aca980,0x13331000,0x33310000,0x33100001,
    0x7ffcc013,0xfd03ffff,0x266203ff,0x00999881,0x002ffff4,0x7ffffec4,
    0x3f206fff,0xfffe87ff,0xffff302f,0x3fa07fff,0x0b6e01ff,0x00001edc,
    0x7fffc400,0x86d401ef,0x001ffffa,0x04ccc400,0x00000000,0x00de5402,
    0x31033310,0x5b700133,0x3ea0f6e0,0x10bfffff,0x401ffffd,0x6ffffff8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,
    0x3a0fffff,0x00001fff,0x0bfffd00,0xfffff980,0x04ffffff,0xfb8ffff9,
    0x3e605fff,0x07ffffff,0x0003fffd,0x4ccc4000,0x00199999,0x01bffff9,
    0x3ffff500,0x00000000,0x9bcb9880,0x00000000,0x00000000,0xfffff500,
    0x3ffff707,0xdfffd880,0x73100000,0x22035799,0x33001999,0x2e620033,
    0x220009bc,0x33001999,0x2e620033,0x310009bc,0x26600333,0x0cccc419,
    0x00199980,0x0d5e6544,0x3fffffe6,0xfffe83ff,0x99999881,0x09999999,
    0x02ffff40,0xffffff50,0x9fffffff,0x44ffff90,0x200fffff,0xfffffff9,
    0x1fffe82f,0x9bcb9880,0x7ffe4000,0x01ffffff,0x07ffffc4,0xffffa800,
    0x33330001,0x19988013,0x7fffec40,0x9801ffff,0x44009999,0x33330199,
    0x33333333,0x26660333,0x99999999,0x3fea1999,0xfff304ff,0xa998805f,
    0x22000099,0xfffffffc,0x7fd45fff,0x7fcc00ff,0x3f6201ff,0x1fffffff,
    0x0ffffa80,0x0ffffcc0,0xfffffb10,0xfa803fff,0x7cc00fff,0x3fea1fff,
    0x7fcc00ff,0x7f5401ff,0xffffffff,0xf9dfff33,0xffe81fff,0xffffc81f,
    0xffffffff,0x2ffff405,0xfffff880,0xffffeabe,0x7ffe41ff,0x07ffff67,
    0xf9dfff30,0xfffd0dff,0x7ffec403,0x001fffff,0xfffffff9,0xffb803ff,
    0x2a0004ff,0x8001ffff,0x05fffff9,0xa80ffff4,0xffffffff,0x3e603fff,
    0x7405ffff,0x7fcc1fff,0xffffffff,0x4c0fffff,0xffffffff,0x0fffffff,
    0x201ffff5,0x402ffff8,0x06ffffff,0xffffd300,0xffffffff,0x07fffd41,
    0x07fffe60,0x7fffffd4,0x403fffff,0x400ffffa,0x501ffff9,0xffffffff,
    0x7d407fff,0x7cc00fff,0x3fea1fff,0x7fcc00ff,0x3ff201ff,0xffffffff,
    0x1dfff34f,0xfe87ffff,0xfffc81ff,0xffffffff,0x7fff405f,0xffff7005,
    0x7ffffc49,0x7ffe46ff,0x09ffff77,0xf3dfff30,0xffe85fff,0xffff501f,
    0x7fffffff,0xfffff900,0xc803ffff,0x0001ffff,0x007fffea,0x3ffffe60,
    0x3fffa00f,0xfffffb81,0xffffffff,0xfffff305,0x7fff401f,0x7ffffcc1,
    0xffffffff,0x7ffcc0ff,0xffffffff,0xff50ffff,0x3fe201ff,0x3fe602ff,
    0x000fffff,0x7fffffe4,0xffffffff,0x03fffea0,0x03ffff30,0xfffffff7,
    0x0bffffff,0x007fffd4,0x207fffe6,0xfffffffb,0x05ffffff,0x801ffff5,
    0x2a1ffff9,0x4c00ffff,0xe881ffff,0xffffffff,0xff34ffff,0x3ffff2df,
    0x207fffa0,0xfffffffc,0x405fffff,0x8805fffe,0x7d45ffff,0x1ffffeff,
    0x3e3ffff2,0xf3006fff,0x3fff6dff,0x40ffff45,0xfffffffb,0x05ffffff,
    0x7e55554c,0x7ec01fff,0x540007ff,0x8001ffff,0x4ffffff9,0x107fffa0,
    0x7bffffff,0x3ffffffb,0xffffff30,0x0ffff409,0x3fffffe6,0xffffffff,
    0x7fffcc0f,0xffffffff,0xfff50fff,0x3ffe201f,0x3fff202f,0x2003ffff,
    0xeffffffb,0xfffecbbc,0x03fffea0,0x83ffff30,0xdffffff8,0xffffffdb,
    0x1ffff501,0x1ffff980,0x7fffffc4,0xfffffdbd,0xffffa81f,0x7fffcc00,
    0x03fffea1,0x03ffff30,0xbffffffd,0x29ffb979,0xff16fff9,0x7fff47ff,
    0xccccca81,0x5ffffccc,0x02ffff40,0x20ffffdc,0xfffafffd,0x3ffff23f,
    0x001ffffd,0x3eadfff3,0x3ffa1fff,0x7fffc41f,0xfffdbdff,0x54001fff,
    0x7401ffff,0xffb86fff,0x50ffffff,0x0003ffff,0xfffffff3,0x07fffa01,
    0x20bffff9,0x985ffffd,0x0fffffff,0x883fffd0,0xfffaaaaa,0x82aaaaef,
    0xffaaaaa8,0x2aaaaeff,0x403fffea,0x202ffff8,0xfffffffe,0xffff1005,
    0x0da803df,0x003fffea,0xc83ffff3,0xfb05ffff,0x3ea0bfff,0x7cc00fff,
    0x7fe41fff,0xfffb05ff,0xffff50bf,0xffff9801,0x03fffea1,0x83ffff30,
    0x04fffffa,0x7ffccea2,0x43ffff26,0x0001fffe,0xe80bfffd,0xfd805fff,
    0x4fff86ff,0x7e4dffff,0x5fffffff,0x9bffe600,0x3fa5fffe,0x7ffe41ff,
    0xffffb05f,0xfffa800b,0x7fffc01f,0xfffffb85,0xfff50fff,0xff30003f,
    0x207fffff,0x3e21fffe,0x7f405fff,0x7fcc0fff,0xd03fffff,0x3a003fff,
    0x40005fff,0x5405fffe,0xf100ffff,0x3e205fff,0x7fffefff,0xbffff900,
    0x3fea0001,0x7fcc00ff,0x3ffe21ff,0x7fff405f,0xffffa80f,0x7fffcc00,
    0x17fffe21,0x81ffffd0,0x400ffffa,0x2a1ffff9,0x4c00ffff,0x7f41ffff,
    0x4c002fff,0x3fe26fff,0x3fffd4ff,0x3fffa000,0x2ffff405,0x227fff40,
    0xffb2fffa,0x7fffe4ff,0x002ffffe,0x7dcdfff3,0xfffd0fff,0x2ffffc43,
    0x03ffffa0,0x1ffffa80,0x17fffe20,0x3fffffee,0xffff50ff,0xfff30003,
    0x3a0fffff,0x3ff21fff,0x7fdc02ff,0x7ffcc4ff,0xfd07ffff,0x3fa003ff,
    0x740005ff,0x7d405fff,0xff100fff,0x3fea05ff,0x2ffffaef,0x7ffffc40,
    0x3fea0000,0x7fcc00ff,0x3fff21ff,0x7ffdc02f,0xffffa84f,0x7fffcc00,
    0x0bffff21,0x89ffff70,0x400ffffa,0x2a1ffff9,0x4c00ffff,0x3ee1ffff,
    0x98005fff,0x7fe46fff,0x1fffe8ff,0xbfffd000,0x05fffe80,0x643ffff8,
    0x3fff27ff,0x27ffff27,0x800fffff,0x7fc6fff9,0x3fffd4ff,0x017fffe4,
    0x013fffee,0x01ffffa8,0x5437fffc,0xffffeeee,0x03ffff50,0xfffff300,
    0xffd05fff,0x3fffec3f,0x2ffffc40,0x3fffffe6,0xfffe82ff,0xbfffd001,
    0xfffe8000,0x7fffd405,0x5ffff100,0x233fff60,0x5c04ffff,0x0004ffff,
    0x007fffd4,0xd87fffe6,0xf8807fff,0xffa85fff,0x7fcc00ff,0x3fff61ff,
    0xffff8807,0x07fffd45,0x87fffe60,0x400ffffa,0x361ffff9,0x8002ffff,
    0x7c46fff9,0xfffecfff,0xfffd0001,0x5fffe80b,0x1ffffc40,0xffc97ffe,
    0xffff90ff,0x017ffff2,0xf71bffe6,0xfffd1fff,0x03fffec3,0x02ffffc4,
    0x03ffff50,0x807fffe8,0xf50ffffa,0x30003fff,0xfff9dfff,0x43fffd0d,
    0xd005fffe,0xff98dfff,0x86fffcef,0xd001fffe,0x8000bfff,0x5405fffe,
    0xf100ffff,0x3fe05fff,0xdfffd2ff,0x1ffffc80,0x7ffd4000,0x7ffcc00f,
    0x17fffa1f,0x437fff40,0x400ffffa,0x3a1ffff9,0xfd005fff,0xfffa8dff,
    0x7ffcc00f,0x3fffea1f,0x7fffcc00,0x01ffffe1,0x437ffcc0,0xfffffffc,
    0xffd0001f,0xfffe80bf,0x7fffcc05,0xb8bffe62,0xff90ffff,0x7ffff4ff,
    0x37ffcc02,0x3affffe2,0x3ffa1fff,0xfffd005f,0x7ffd400d,0x7ffec01f,
    0x7ffd400f,0x3ffff50f,0xdfff3000,0xe85ffff3,0x3ffe1fff,0xfffd005f,
    0x9efff98f,0x7f42ffff,0xffd001ff,0xfe8000bf,0x7fd405ff,0xfff100ff,
    0xffff305f,0x07fffee1,0x007fffd8,0x0ffffa80,0x0ffffcc0,0x200bffff,
    0xfa87fffe,0x7cc00fff,0x3ffe1fff,0xfffd005f,0x0ffffa8f,0x0ffffcc0,
    0x801ffff5,0xf11ffff9,0x2000bfff,0xf886fff9,0x1fffffff,0xbfffd000,
    0x05fffe80,0x917fffcc,0x7fdc1fff,0xffff90ff,0x07ffffd4,0x90dfff30,
    0xfffddfff,0x02ffffc3,0x007fffe8,0x007fffea,0x807ffff7,0xf50ffffa,
    0x30003fff,0x3ff6dfff,0x8ffff45f,0x004ffff8,0xf98ffffb,0xbfffb6ff,
    0x001fffe8,0x000bfffd,0x405fffe8,0x100ffffa,0xf905ffff,0x7ffccbff,
    0x3fffa03f,0xfffffb86,0x3fea0fff,0x7fcc00ff,0xffff11ff,0x3fff6009,
    0x0ffffa87,0x8ffffcc0,0x004ffff8,0xfa8ffffb,0x7cc00fff,0x3fea1fff,
    0x7fcc00ff,0xffff31ff,0x3fe6000b,0xffff906f,0x20003fff,0x7405fffe,
    0x7cc05fff,0x3ffa3fff,0x93fffe45,0xffd8ffff,0x3fe605ff,0xffff986f,
    0xff11ffff,0x3f6009ff,0x3ea007ff,0x7d401fff,0x7d406fff,0xfff50fff,
    0xff30003f,0x3fffeadf,0x4c7fffa1,0x9003ffff,0x7cc1ffff,0xffff56ff,
    0x00ffff43,0x005fffe8,0x02ffff40,0x403fffea,0xe82ffff8,0x7ffc3fff,
    0x3fffe05f,0xfffffb85,0x3fea0fff,0x7fcc00ff,0xffff31ff,0x3fff2007,
    0x7fffd40f,0x7fffcc00,0x07ffff31,0x83ffff20,0x400ffffa,0x2a1ffff9,
    0x4c00ffff,0xff51ffff,0x260009ff,0xff106fff,0x003fffff,0x017fffa0,
    0x880bfffd,0xff13ffff,0x6fffc87f,0xf11ffff2,0x2607ffff,0xffb06fff,
    0x263fffff,0x9003ffff,0x2001ffff,0x801ffffa,0x204ffffe,0xf50ffffa,
    0x30003fff,0x7ff4dfff,0x47fffa5f,0x004ffff9,0x4c1ffff9,0x3ffa6fff,
    0x07fffa5f,0x02ffff40,0x17fffa00,0x01ffff50,0x10bfffe2,0xfd83ffff,
    0xff880fff,0xfffb85ff,0x2a0fffff,0x4c00ffff,0xff31ffff,0x3f2009ff,
    0x7fd40fff,0x7fcc00ff,0xffff31ff,0x3fff2009,0x3fffea0f,0x7fffcc00,
    0x03fffea1,0x23ffff30,0x004ffffb,0x40dfff30,0x1ffffffc,0xbfffd000,
    0x05fffe80,0xf74ffff8,0xfffd81ff,0x21ffff25,0x80fffffb,0xf506fff9,
    0x23ffffff,0x004ffff9,0x001ffff9,0x007fffea,0x3bffffe6,0x0ffffa81,
    0x003ffff5,0x5cdfff30,0xffd0ffff,0x3fffe23f,0xffffb004,0x2e6fff98,
    0xffd0ffff,0x3ffa003f,0x7f40005f,0x000005ff,0x43fffdc0,0xf02ffffa,
    0xdd50dfff,0x41ffffdd,0x400ffffa,0xf11ffff9,0x36009fff,0xffa87fff,
    0x7fcc00ff,0xffff11ff,0x3fff6009,0x07fffd47,0x87fffe60,0x400ffffa,
    0xf51ffff9,0x2000bfff,0x2206fff9,0x01ffffff,0x2bfffd00,0xffeeeee8,
    0xeeeeefff,0x75ffffa0,0x7ffc46ff,0x1ffff24f,0x42fffff4,0x3a06fff9,
    0x11ffffff,0x2009ffff,0x2007fffd,0x001ffffa,0xfffffffb,0xfffffb9d,
    0x3ffffea1,0xffffffff,0x1bffe63f,0x3fa9ffff,0x3fffe1ff,0xdfffd005,
    0x7c6fff98,0xfffd4fff,0x3fffa003,0x7ff40005,0x0000005f,0x4427ffec,
    0xfd04ffff,0xff500fff,0x7ffd41ff,0x7ffcc00f,0x17fffe1f,0x437fff40,
    0x400ffffa,0x3e1ffff9,0xfd005fff,0xfffa8dff,0x7ffcc00f,0x3fffea1f,
    0x7fffcc00,0x0bffff11,0x1bffe600,0x3fffff90,0x3fffa000,0xffffff35,
    0xffffffff,0x7fffe41f,0x7d43fffa,0x3ff22fff,0xffff307f,0x6fff987f,
    0x3ffffee0,0x17fffe1f,0x037fff40,0x03ffff50,0x3ffffa20,0xffffffff,
    0xffff50ff,0xffffffff,0x7ffcc7ff,0x47fffdc6,0x3fa1fffe,0xffd006ff,
    0x6fff98bf,0x747fffdc,0xfd001fff,0xe8000bff,0x70005fff,0xf1005ddd,
    0x3fa05fff,0xfffb07ff,0xfffa801f,0x3fffea0f,0x7fffcc00,0x01bfffa1,
    0x542ffff4,0x4c00ffff,0x3fa1ffff,0xffd006ff,0xffffa8bf,0x7fffcc00,
    0x03fffea1,0x43ffff30,0x0007ffff,0x880dfff3,0x001fffff,0x26bfffd0,
    0xffffffff,0x0fffffff,0x3fffffea,0x3ffa21ff,0x3fffe46f,0x1fffff90,
    0x2037ffcc,0x21ffffff,0xd006fffe,0x5400bfff,0x4001ffff,0xfffffffb,
    0x50ffffff,0xffffffff,0x47ffffff,0x7c46fff9,0xfffebfff,0x03ffffa1,
    0x89ffff30,0x7c46fff9,0xfffebfff,0xbfffd001,0xfffe8000,0xfffd0005,
    0xffff5003,0xfd99999b,0xff703fff,0xffa807ff,0x3ffe60ff,0x7ffd401f,
    0x07ffff47,0x13fffe60,0x007fffe6,0xfe8ffff5,0x7cc00fff,0x7fcc4fff,
    0x7fd401ff,0x7fffcc7f,0x3fffd401,0x00bffffa,0x01bffe60,0x007ffff2,
    0x9affff40,0xffffffff,0x0fffffff,0x7ffffff4,0x17fffec6,0x881ffff2,
    0x266fffff,0x7dc06fff,0x3fa1ffff,0x7cc00fff,0x2a004fff,0x8001ffff,
    0xfffffed9,0x3ea0bdff,0xffffffff,0x263fffff,0xffc86fff,0x21fffeef,
    0x402ffffc,0x4c2ffffb,0xffc86fff,0x01fffeef,0x00bfffd0,0x05fffe80,
    0x00dfff00,0x3ffffff2,0xffffffff,0xffffa83f,0x7fffd406,0x0bfffe20,
    0xc8dfff70,0x5c02ffff,0xf882ffff,0x7dc02fff,0x7ffe46ff,0x7ffdc02f,
    0x7fffc42f,0x37ffdc02,0x00bfffe2,0xfd8dfff7,0x00006fff,0x3ffff500,
    0x3fffe000,0xfff98004,0xfffff984,0xffffdcef,0x0000006f,0xff900000,
    0xffb805ff,0x3ea002ff,0x80001fff,0x00019aa9,0x6fff9800,0xffffff98,
    0x3ffe21ff,0xfff100ef,0xdfff30df,0xffffff30,0x3fa003ff,0x740005ff,
    0x98005fff,0xff004fff,0xffffffff,0x0dffffff,0x813ffffa,0x7c0ffffa,
    0x7f405fff,0x7ffc45ff,0xfff100ef,0x7fffc0df,0x2ffff405,0x03bfffe2,
    0x837fffc4,0x7405ffff,0xfff85fff,0x7fff405f,0x7ffffcc5,0xb8000004,
    0x50007fff,0x8007ffff,0x3206fff8,0xffffffff,0x001effff,0x00000000,
    0x1dffff10,0x1bfffe20,0x3ffff500,0x00000000,0x3ffe6000,0xfffffb06,
    0xfffd83ff,0x7ff4c0ef,0xfff982ff,0xfffffb06,0x3fa003ff,0x740005ff,
    0xa8005fff,0xf9801fff,0xffffffff,0xffffffff,0xfffff980,0xffffa81e,
    0x17ffff40,0x83ffffb8,0x40effffd,0x02ffffe9,0x40bffffa,0xd83ffffb,
    0x4c0effff,0xd02ffffe,0x2e05ffff,0xfe83ffff,0xff702fff,0xfff907ff,
    0xb5103dff,0x7ff40009,0x2207b06f,0x002ffffe,0x200fffec,0xfffffffb,
    0x4000dfff,0x0002eeeb,0x002eeeb8,0x03bffff6,0x05ffffd3,0x1ffffa80,
    0x3bbae000,0x3bb60002,0x7ffcc01e,0xfffff506,0xfff983ff,0xfffdefff,
    0xff305fff,0x3ffea0df,0xd001ffff,0x8000bfff,0x8005fffe,0xf7004cca,
    0x33333dff,0xffff9333,0x3ffff605,0xffdcefff,0x7fd40fff,0xdbabdfff,
    0xf306ffff,0xfbdfffff,0x80bfffff,0xbdfffffa,0x6ffffdba,0xffffff30,
    0xffffffbd,0x7fffd40b,0xffdbabdf,0xfff506ff,0xfb757bff,0x3e20dfff,
    0xefffffff,0x004fffee,0x7fffed44,0x79bffd04,0x0dfffff9,0x01ffff00,
    0xffffff88,0xd0003eff,0x00003fff,0x4003fffd,0xeffffff9,0x5ffffffd,
    0xffffa800,0x3ffa0001,0xff10001f,0xfff300ff,0x7ffff40d,0xfffc81ff,
    0xffffffff,0xfff301ef,0x7ffff40d,0x777441ff,0xefffffee,0x7440eeee,
    0xffffeeee,0x00eeeeef,0x7fff4000,0xffff9804,0xffffd105,0xffffffff,
    0xfffb01ff,0xffffffff,0x7fe403ff,0xffffffff,0xfd801eff,0xffffffff,
    0x3201ffff,0xffffffff,0x401effff,0xfffffffd,0x01ffffff,0x3ffffff6,
    0x1fffffff,0x3ffffea0,0xffffffff,0x3ffea004,0xfd00ffff,0xffffffff,
    0xff0003ff,0x2a077bff,0x01aaafff,0x06fff800,0x0dfff000,0xfffff900,
    0xdfffffff,0x66664403,0xcdffffdc,0xff003ccc,0x7cc000df,0xff9805ff,
    0x3ffee06f,0xff501fff,0xffffffff,0x7ffcc01b,0x3fffee06,0x7ffcc1ff,
    0xffffffff,0x7cc0ffff,0xffffffff,0x00ffffff,0x3ffe2000,0xffff002f,
    0xffffb80f,0xffffffff,0xfffd880f,0xefffffff,0xffffa801,0x0dffffff,
    0xffffb100,0x3dffffff,0xfffff500,0x01bfffff,0xfffffb10,0x03dfffff,
    0xfffffd88,0x01efffff,0xfffffd88,0x04ffffff,0x3ffffee0,0x3fffa01f,
    0x2fffffff,0xffffd000,0x1fff60df,0xfff30000,0xff300009,0x3ea0009f,
    0xffffffff,0x7fcc00df,0xffffffff,0x805fffff,0x0004fff9,0x200bffee,
    0x7c06fff9,0x201fffff,0xfffffed9,0xfff9802e,0x7ffffc06,0x7fffcc1f,
    0xffffffff,0x7fcc0fff,0xffffffff,0x000fffff,0x1fffea00,0x1ffffc80,
    0x7fff6cc0,0x00bdffff,0x7fffff54,0x6cc003ff,0x2efffffe,0xfffd5000,
    0x8007ffff,0xfffffed9,0xfea8002e,0x03ffffff,0x7ffff540,0xa8003fff,
    0xffffffed,0x3ee000ad,0x4c01dfff,0xfffffffc,0x7f440004,0xfff06fff,
    0xfa800009,0xa80001ff,0x20001fff,0xfffffed9,0xfff3002e,0xffffffff,
    0x500bffff,0x40003fff,0x9800fffc,0x7dc06fff,0x1001ffff,0xf9800353,
    0x7fdc06ff,0x7fcc1fff,0xffffffff,0x4c0fffff,0xffffffff,0x0fffffff,
    0x3ff60000,0x3fea005f,0x54c004ff,0x2200019a,0x800009aa,0x00001a98,
    0x0004d544,0x000d4c40,0x01355100,0x13551000,0x4d4c0000,0x332a0000,
    0xa988001a,0x54000009,0xff981aba,0x5400002f,0x500004cc,0x40000999,
    0x98001a98,0xffffffff,0x5fffffff,0x004cca80,0x001e65c0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaa000,0x02aaaaaa,0x00000000,
    0x2a620000,0x000aabcb,0x00000000,0x00000000,0x88001654,0x0015100a,
    0x00000000,0x20666000,0x51000998,0x0002a201,0x2a200000,0x2200000a,
    0x000000aa,0x59500000,0x00000000,0x33300000,0x7f440033,0x00000eff,
    0x2fffffcc,0xffff9800,0x3ffea05f,0x3fffb10d,0x3ffffe00,0x406fffff,
    0x0fffffd8,0xffd10000,0x220001df,0xfffffffb,0x3a2005ff,0x0000efff,
    0x077fff44,0x7fffec40,0x3600000f,0x5c004fff,0x7fcc1fff,0xf980002f,
    0x0005ffff,0x1dffffd1,0xc85ffd00,0xffb805ff,0x17ffcc1f,0x7ffcc000,
    0x3f6205ff,0x3e61dfff,0xfffb1001,0x00fcc3bf,0xfffff300,0xfffb000b,
    0xffe88009,0x0ffff21e,0x3fffa200,0x7ffc400e,0xffd1007f,0x0001dfff,
    0x3ffffe60,0xfff30002,0xff3005ff,0x3ffff7df,0x7ffffc00,0x006fffff,
    0x01dffff7,0xfffe8800,0x4c000eff,0xffffffff,0xd1005fff,0x01dfffff,
    0x3fffa200,0xf7000eff,0x0001dfff,0x1fffff30,0x3fffe200,0x03ffff45,
    0x3fffe600,0xfd10002f,0x64009fff,0xffdbcfff,0x7ffc404f,0x3ffff45f,
    0x3ffe6000,0x7fec02ff,0xfddfffff,0xffd801ff,0xfddfffff,0xf98001ff,
    0x8002ffff,0x00fffff9,0x5ffff440,0x8003fffd,0xefffffe8,0x3fffe200,
    0xfffe8807,0x000efffc,0x77fffcc0,0xfff30000,0x7cc001df,0x01ffffff,
    0x777776c0,0x2005eeee,0x00efffe9,0x9fffd100,0x2001dfff,0xffffffe8,
    0x805ffffe,0xffcfffe8,0x744000ef,0xefffcfff,0xfffd3000,0xf980001d,
    0x1001ffff,0xff8dffff,0x260007ff,0x000effff,0x5ffffd10,0xffff8800,
    0x400effff,0x7c6ffff8,0x20007fff,0x00effff9,0x7ff7ffcc,0x05ffffff,
    0xffefff98,0x05ffffff,0xeffff980,0xfff30000,0xd10003ff,0x05ffffff,
    0x9fffd100,0x2201dfff,0x4c07ffff,0xfd30effe,0x260001df,0x0004ffff,
    0x013fffe6,0x77fffcc0,0x00000000,0x077ffe40,0x3bffa600,0x01dffd30,
    0x1bffff70,0xe9807730,0xffd30eff,0x3fa6001d,0xdffd30ef,0x7ffe4001,
    0x7f40000e,0x7ec006ff,0x7ffe43ff,0xfff30004,0x7440009f,0x0000dfff,
    0xbfffffd3,0x3fff6001,0x027ffe43,0x4ffff980,0xfb87ee00,0x000effff,
    0x7ffdc3f7,0x4c000eff,0x0004ffff,0x006fffe8,0x3ffffa20,0xffe98002,
    0x1dffd30e,0x01ffffe0,0x33103331,0x26200013,0x44000099,0x40000999,
    0x00009998,0x31000000,0x98800133,0x09998819,0x0ffffd80,0x0ccc4000,
    0x8004ccc4,0x99881998,0x4cc40009,0x6cc00009,0xdb8000df,0x0007b702,
    0x0004ccc4,0x00666620,0x0d654c00,0xb816dc00,0x2620003d,0x00800099,
    0x10003795,0x0006f2a0,0x0004ccc4,0x00dfd980,0x00999800,0x10333100,
    0x3fe01333,0x000006ff,0x00000000,0x00000000,0x800cccc4,0x00001999,
    0x40000000,0x001ffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffc0000,0x2662006f,0x4c000999,0x99999999,0x10199999,0x40003333,
    0x40099999,0x7fd41998,0x7fcc00ff,0x999981ff,0x99999999,0x26662199,
    0x0ccc4000,0x1effffc8,0x26666200,0x26666000,0x99999880,0x99999999,
    0x33333101,0x33333333,0x26666603,0x99999999,0x26666219,0x26666000,
    0x99999880,0x99999999,0x33333101,0x26000333,0x99999999,0x00199999,
    0x01333331,0x4ccccc40,0x99999999,0x99880099,0x4c000999,0x99999999,
    0x22199999,0x20009999,0x4c409999,0x99999999,0x80999999,0x99999998,
    0x99998001,0x0cccc400,0x801bfffe,0x06ffffff,0x3ffffe60,0xffffffff,
    0xfffa80ff,0xff98001f,0x7f405fff,0x3ffea1ff,0x7ffcc00f,0x7fffcc1f,
    0xffffffff,0xfff50fff,0xfffc8009,0xfffff981,0xfff7004f,0x3ff2009f,
    0xfffc81ff,0xffffffff,0xfff907ff,0xffffffff,0xfff30fff,0xffffffff,
    0x3ee1ffff,0xf9004fff,0xff903fff,0xffffffff,0x3f20ffff,0xffffffff,
    0xff9802df,0xffffffff,0x800fffff,0x06ffffff,0x3fffff60,0xffffffff,
    0xfff806ff,0x26006fff,0xffffffff,0x0fffffff,0x009ffff7,0xb07ffff2,
    0xffffffff,0xdfffffff,0xffffff90,0x805bffff,0x402ffff9,0x3a0ffffb,
    0xf3006fff,0x01ffffff,0x3ffffe60,0xffffffff,0xfffa80ff,0xff98001f,
    0x3a00ffff,0x3fea1fff,0x7fcc00ff,0x7ffcc1ff,0xffffffff,0xff30ffff,
    0xffc800bf,0xffffc81f,0xe802ffff,0x4400ffff,0xf905ffff,0xffffffff,
    0x320fffff,0xffffffff,0x987fffff,0xffffffff,0x0fffffff,0x003ffffa,
    0x20bffff1,0xfffffffc,0x07ffffff,0xfffffff9,0x01dfffff,0x7fffffcc,
    0xffffffff,0x7ffcc00f,0xb000ffff,0xffffffff,0xdfffffff,0xfffff980,
    0xff3000ff,0xffffffff,0x741fffff,0x4400ffff,0xfd85ffff,0xffffffff,
    0x86ffffff,0xfffffffc,0x00efffff,0x805ffff3,0x3a0ffffb,0xf9005fff,
    0x07ffffff,0x3ffffe60,0xffffffff,0xfffa80ff,0xff98001f,0x3a04ffff,
    0x3fea1fff,0x7fcc00ff,0x7ffcc1ff,0xffffffff,0xff30ffff,0xffc800bf,
    0x7fffec0f,0x0dffffff,0x0ffffee0,0x03ffff90,0x3ffffff2,0x7fffffff,
    0xffffff90,0xffffffff,0xffffff30,0xffffffff,0x7fffdc1f,0x7fffe403,
    0xfffff901,0xffffffff,0x3ffff20f,0xffffffff,0xfff300ef,0xffffffff,
    0xc801ffff,0x3fffffff,0xfffffb00,0xffffffff,0xffc80dff,0x003fffff,
    0xfffffff3,0xffffffff,0x1ffffdc1,0x07ffff20,0x3ffffff6,0xffffffff,
    0xffffc86f,0xffffffff,0xfff980ef,0x7ffdc02f,0x17fffa0f,0x7fffff40,
    0x551005ff,0xdffff555,0x2a055555,0x8001ffff,0xfffffff9,0x43fffd00,
    0x400ffffa,0x441ffff9,0xfffaaaaa,0x22aaaaef,0x4005fff8,0x3ee0fffd,
    0xfffeefff,0x3a02ffff,0xf100ffff,0x7e40bfff,0xcccccfff,0xf904cccc,
    0x99999fff,0x51099999,0xffff5555,0xd055555d,0x2201ffff,0x3205ffff,
    0xccccffff,0x904ccccc,0xdb99ffff,0x09ffffff,0x3eaaaaa2,0xaaaaefff,
    0xffffe802,0xd9005fff,0xdddddddd,0x0bfffffd,0xffffffe8,0x5551005f,
    0x5dffff55,0xffd05555,0x3fe201ff,0xddd905ff,0xfddddddd,0xf90bffff,
    0xfdb99fff,0x309fffff,0xb805ffff,0x3fa0ffff,0xff8805ff,0x07fffeff,
    0x2ffff400,0x3ffff500,0xffff3000,0x3fa07fff,0x3ffea1ff,0x7ffcc00f,
    0xfffd001f,0x6fff880b,0x23ffec00,0xf90ffffe,0x07ffffff,0x40ffffee,
    0x201ffffc,0x0007fffc,0x003fffe4,0x2ffff400,0x3ffffb80,0x03ffff90,
    0x003fffe4,0x21ffff20,0x06ffffc8,0x02ffff40,0x77fffc40,0x00007fff,
    0x07ffffd4,0xfdffff10,0xe8000fff,0xf7005fff,0x3f207fff,0x40001fff,
    0x80fffffa,0xc887fffc,0xf986ffff,0x7dc02fff,0x3ff60fff,0xfffa805f,
    0x02ffffae,0x17fffa00,0x1ffffa80,0xffff9800,0xffd07fff,0x7fffd43f,
    0x7fffcc00,0xbfffd001,0x06fff880,0xf13ffec0,0xfe989fff,0xd01fffff,
    0xff10ffff,0xffc80bff,0x7e40007f,0x800007ff,0x2005fffe,0xf887fffe,
    0x7e405fff,0x640007ff,0x3fa07fff,0x3a000fff,0xa8005fff,0xfffaefff,
    0xf100002f,0xa805ffff,0xfffaefff,0x3fa0002f,0x3fa005ff,0xfff887ff,
    0x7c40005f,0xf902ffff,0x7ff40fff,0x7ffcc0ff,0x7ffdc02f,0x13fff60f,
    0x233fff60,0x0004ffff,0x8017fffa,0x001ffffa,0xffffff98,0xfffe82ff,
    0x03fffea1,0x03ffff30,0x017fffa0,0xd001bffe,0x7ffccfff,0xffff704f,
    0x3ffee0df,0x7fffe43f,0x3fffe401,0x3fff2000,0xfe800007,0x3ee005ff,
    0x7fe43fff,0x7fe401ff,0x7e40007f,0x3ff207ff,0x3fa001ff,0xfd8005ff,
    0xffff8cff,0xffb00004,0xffb00bff,0x9ffff19f,0x7fff4000,0x3ffee005,
    0x7fffe43f,0x7fec0001,0x3ff205ff,0x3fff207f,0x7fffcc1f,0x7fffdc02,
    0x013fff60,0x7f4bfffe,0x3a0006ff,0x2a005fff,0x8001ffff,0xffcefff9,
    0x1fffe86f,0x003fffea,0x003ffff3,0x2017fffa,0xeed86fff,0xf137ff40,
    0x2a01ffff,0xd00fffff,0x7fc4dfff,0xffc805ff,0x7e40007f,0x800007ff,
    0x4005fffe,0x3e26fffe,0xfc805fff,0x640007ff,0x3f207fff,0x3a000fff,
    0xf8005fff,0xfffd2fff,0xff50000d,0xff001fff,0x3fffa5ff,0x3ffa0006,
    0x7ff4005f,0x3fffe26f,0x7fd40005,0x3f200fff,0x3ff207ff,0x7ffcc0ff,
    0x7ffdc02f,0x13fff20f,0x21ffff30,0x001ffffb,0x00bfffd0,0x00ffffd4,
    0x4f7ffcc0,0x7f42ffff,0x3ffea1ff,0x7ffcc00f,0xfffd001f,0x8fffd00b,
    0x7f42fff9,0x7ffffc6f,0xffffb00e,0x3fffee05,0x03ffff72,0x00ffff90,
    0x07fffc80,0xfffe8000,0x7ffdc005,0x3ffff72f,0x0ffff900,0x7fffc800,
    0x0ffffd10,0x05fffe80,0x87fffcc0,0x001ffffb,0x3ffffe20,0xffff9802,
    0x03ffff70,0x17fffa00,0x5ffff700,0x007fffee,0xfffff880,0x3fffe402,
    0x87fffe88,0x402ffff9,0x320ffffb,0x7e403fff,0x3ffe65ff,0xffd0003f,
    0x7fd400bf,0xf98001ff,0xbfffb6ff,0x2a1fffe8,0x4c00ffff,0xd001ffff,
    0xfd00bfff,0x5fffc8ff,0x3ee2fff4,0xb82effff,0x3a02ffff,0xfffd6fff,
    0x3fff200b,0xaaaaaaaf,0xfff901aa,0x5555555f,0x7f400355,0xfe8005ff,
    0xbfffd6ff,0x3ffff200,0xaaaaaaaa,0xffff901a,0x7ffffb10,0x5fffe800,
    0x2fffe400,0x007ffff3,0x2ffffec0,0x25fffc80,0x003ffff9,0x00bfffd0,
    0x3adfffd0,0x40005fff,0x805ffffd,0xd887fffc,0xf983ffff,0xccccdfff,
    0xffffdccc,0x00ffff20,0xff87fffd,0xfd0005ff,0x7d400bff,0x98001fff,
    0xfff56fff,0x0ffff43f,0x801ffff5,0x001ffff9,0xd00bfffd,0xfffe8fff,
    0x742fffc7,0x0dffffff,0x807ffff2,0xffcffffb,0xff9001ff,0xffffffff,
    0x3f209fff,0xffffffff,0x2004ffff,0x8005fffe,0xffcffffb,0xff9001ff,
    0xffffffff,0x3f209fff,0xfecccfff,0x8005ffff,0x4005fffe,0x7fc3fffe,
    0xf50005ff,0x2001ffff,0x7fc3fffe,0xfd0005ff,0xf7000bff,0xffff9fff,
    0x7fd40003,0xfc800fff,0xfecccfff,0xf305ffff,0xffffffff,0xffffffff,
    0x01fffe41,0xd83ffff1,0x8000ffff,0x2005fffe,0x001ffffa,0x3a6fff98,
    0x3ffa5fff,0x3fffea1f,0x7fffcc00,0xbfffd001,0x4cfffb00,0x3e2fffff,
    0xffe884ff,0xf9bfffff,0xfe806fff,0x05ffffff,0x3fffff20,0xffffffff,
    0xfffff904,0xffffffff,0x7fff4009,0xfffd0005,0x400bffff,0xfffffffc,
    0x04ffffff,0xfffffff9,0x007fffff,0x017fffa0,0x41ffff88,0x000ffffd,
    0x17ffffc4,0x1ffff880,0x007fffec,0x02ffff40,0xfffffe80,0x220005ff,
    0x002fffff,0xfffffff9,0x407fffff,0xfffffff9,0xffffffff,0x2aaa60ff,
    0x1fffee00,0x00bfffea,0x017fffa0,0x01ffffa8,0x26fff980,0xfd0ffffb,
    0x7ffd43ff,0x7ffcc00f,0xfffd001f,0x1fffb00b,0x93ffffee,0x3f204fff,
    0xffffffff,0xfb802fff,0x01ffffff,0x3fffff20,0xffffffff,0xfffff904,
    0xffffffff,0x7fff4009,0xfff70005,0x4003ffff,0xfffffffc,0x04ffffff,
    0xfffffff9,0x80007fff,0x2005fffe,0xfa87fffb,0x6c002fff,0x2004ffff,
    0xfa87fffb,0xe8002fff,0x70005fff,0x3fffffff,0x7ffec000,0x3ff2004f,
    0xffffffff,0xffff9803,0xffffffff,0x000fffff,0x109fffb0,0x0009ffff,
    0x400bfffd,0x001ffffa,0x7c6fff98,0xfffd4fff,0x07fffd43,0x07fffe60,
    0x02ffff40,0xfe87ffe4,0x3fe7ffff,0x7ff4c04f,0x4fffffff,0x3ffffe00,
    0x7fe4005f,0xaaaaaaff,0xff901aaa,0x555555ff,0x74003555,0x20005fff,
    0x05ffffff,0x57fffe40,0xaaaaaaaa,0xfffff901,0x07ffffff,0x2ffff400,
    0x09fffb00,0x009ffff1,0x07ffffd4,0x09fffb00,0x009ffff1,0x00bfffd0,
    0x7fffffc0,0x3fea0005,0x32000fff,0xffffffff,0x7cc03fff,0xaaaacfff,
    0xffffcaaa,0xf1005440,0x3fa05fff,0xfe8007ff,0x3ea005ff,0x98001fff,
    0x7fdc6fff,0x1fffe8ff,0x003fffea,0x003ffff3,0x2017fffa,0xff88fffc,
    0xf89fffbf,0xff7003ff,0x009fffff,0x0fffffb8,0x3fffe400,0x3fff2000,
    0xfe800007,0x2e0005ff,0x000fffff,0x003fffe4,0x45ffff20,0x01fffffb,
    0x0bfffd00,0x0bfffe20,0x803ffff4,0x02fffff8,0x0bfffe20,0x003ffff4,
    0x002ffff4,0x1fffff70,0x3ffe2000,0x7e4002ff,0xfff717ff,0x7fcc03ff,
    0x7fdc02ff,0x3ffee0ff,0xbffff502,0xffd99999,0xfe8003ff,0x3ea005ff,
    0x98001fff,0x7fc46fff,0x1fffebff,0x007fffe6,0x400ffff5,0xb805fffe,
    0xdffb9fff,0xff8cfff8,0x3f62003f,0x8003ffff,0x8005ffff,0x0007fffc,
    0x003fffe4,0x2ffff400,0x3fffe000,0xfffc8005,0x7fe40007,0x7fffd47f,
    0xfffd0006,0x3ffea00b,0xecccccdf,0xd801ffff,0x4004ffff,0xccdffffa,
    0xffffeccc,0x7fff4001,0x7ffc0005,0x3f60005f,0xc8004fff,0x7fd47fff,
    0x3fe606ff,0x7fdc02ff,0xffff10ff,0xffff901f,0xffffffff,0xe8007fff,
    0x2a005fff,0x8001ffff,0xfc86fff9,0x1fffeeff,0x00bfffe2,0x400dfff7,
    0xb805fffe,0x3ffd9fff,0xfff3dffd,0xfff90005,0xfff000df,0xff9000bf,
    0xfc8000ff,0x800007ff,0x0005fffe,0x002ffffc,0x003fffe4,0x21ffff20,
    0x002ffffc,0x005fffe8,0xfffffff9,0xffffffff,0xffffa807,0x7fe4000e,
    0xffffffff,0x003fffff,0x002ffff4,0x017fffe0,0x77fffd40,0xfffc8000,
    0x2ffffc87,0x05ffff30,0x50ffffb8,0xf03fffff,0xffffffff,0xdfffffff,
    0x5fffe800,0x3fffea00,0xfff98001,0xfffff986,0x7ffc1fff,0x7fff405f,
    0x3fffa005,0xafffb805,0xfff70fff,0x0005fff5,0x001bfffe,0x0017fffe,
    0x001ffff2,0x00ffff90,0xbfffd000,0xffff8000,0xfffc8005,0x7fe40007,
    0xffff987f,0xfffe8006,0xfffff005,0xffffffff,0x7c40dfff,0x8001ffff,
    0xffffffff,0xffffffff,0x7fff4006,0x7ffc0005,0xff88005f,0x90001fff,
    0xff30ffff,0x3fe60dff,0x7fdc02ff,0xffff30ff,0xffff981f,0xffffffff,
    0x000fffff,0x8017fffa,0x001ffffa,0xb06fff98,0x3fffffff,0x02ffffe8,
    0x007ffff7,0x402ffff4,0x6ffcfffa,0x3ff3ffe6,0x7cc00c1f,0xf8005fff,
    0xc8005fff,0x40007fff,0x0007fffc,0x05fffe80,0x2ffffc00,0x3fffe400,
    0x3fff2000,0x5ffffb07,0x5fffe800,0xfffff980,0xffffffff,0xfb00ffff,
    0x30009fff,0xffffffff,0xffffffff,0x7ff4001f,0x7fc0005f,0xfd8005ff,
    0x20004fff,0xfb07fffc,0xff305fff,0xffb805ff,0x3fff20ff,0x9efffb83,
    0xc9999999,0x2002ffff,0x2005fffe,0x001ffffa,0x506fff98,0x3fffffff,
    0xdfffffa8,0xffffdbab,0x7fff4006,0xffffa805,0x7fff43ff,0x67fc1fff,
    0xfeb9899a,0xf8003fff,0xc8005fff,0x40007fff,0x0007fffc,0x05fffe80,
    0x2ffffc00,0x3fffe400,0x3fff2000,0xdffff507,0x5fffe800,0x9efffb80,
    0xc9999999,0xfa82ffff,0x9999ffff,0x21999999,0x999efffb,0xffc99999,
    0x3fa002ff,0x7c0005ff,0x54005fff,0x999fffff,0x19999999,0x507fffc8,
    0xf30dffff,0xfb805fff,0x054c0fff,0x804fffe8,0x885ffff9,0xfffeeeee,
    0x0eeeeeff,0xffffffa8,0xffffffff,0x81bffe63,0x1ffffffe,0xffffffd8,
    0x1fffffff,0xfddddd10,0xddddffff,0x7fffcc1d,0x7ffe41ff,0x7ffc0fff,
    0xffffffff,0xf8000eff,0xc8005fff,0xeeeeffff,0x906eeeee,0xddddffff,
    0x10dddddd,0xfffddddd,0x1dddddff,0x17fffe00,0x3ffff200,0xeeeeeeee,
    0xffff906e,0x0fffff40,0x7f777744,0xeeeeffff,0x13fffa0e,0x17fffe60,
    0x3ffffffe,0xffffffff,0x13fffa7f,0x17fffe60,0x3fbbbba2,0xeeeeffff,
    0xffff000e,0xffff800b,0xffffffff,0xfc87ffff,0x3ffa07ff,0x7ffcc1ff,
    0x7ffdc02f,0x3fe2000f,0xfff002ff,0xffff30ff,0xffffffff,0xff501fff,
    0xffffffff,0x7cc7ffff,0x3fee06ff,0xd881ffff,0xffffffff,0x3e601eff,
    0xffffffff,0x20ffffff,0x86fffff9,0x0ffffff9,0x7ffffffc,0x00efffff,
    0x0bffff00,0xfffff900,0xffffffff,0x3ffff20f,0xffffffff,0xffff987f,
    0xffffffff,0xff000fff,0xf9000bff,0xffffffff,0x320fffff,0x3ee07fff,
    0xff985fff,0xffffffff,0xf10fffff,0x3e005fff,0xfff87fff,0xffffffff,
    0xf17fffff,0x3e005fff,0xff987fff,0xffffffff,0x000fffff,0x800bffff,
    0xffffffff,0xffffffff,0x07fffc87,0x317fffee,0xb805ffff,0x2000ffff,
    0x2007fffa,0x4c1ffffc,0xffffffff,0x0fffffff,0xffffffa8,0xffffffff,
    0x01bffe63,0x03ffffff,0x7fffff54,0xff9803ff,0xffffffff,0x220fffff,
    0xf04fffff,0xc81fffff,0xfffffffe,0x7c0002df,0xc8005fff,0xffffffff,
    0x907fffff,0xffffffff,0x30ffffff,0xffffffff,0x1fffffff,0x17fffe00,
    0x3ffff200,0xffffffff,0xffff907f,0x7ffffc40,0x7ffffcc1,0xffffffff,
    0xffff50ff,0x7fffe400,0x7fffffc1,0xffffffff,0xffff57ff,0x7fffe400,
    0x7ffffcc1,0xffffffff,0xfff000ff,0xfff800bf,0xffffffff,0xc87fffff,
    0x3e207fff,0x3e61ffff,0x7dc02fff,0x36000fff,0x2a005fff,0x7cc4ffff,
    0xffffffff,0x80ffffff,0xfffffffa,0x3fffffff,0x701bffe6,0x003fffff,
    0x80026aa2,0xfffffff9,0xffffffff,0x3ffffe20,0xfffff901,0x5554cc40,
    0xff000009,0xf9000bff,0xffffffff,0x320fffff,0xffffffff,0x987fffff,
    0xffffffff,0x0fffffff,0x0bffff00,0xfffff900,0xffffffff,0x1ffff20f,
    0x8bffff90,0xfffffff9,0xffffffff,0x00bfffb0,0x227fffd4,0xffffffff,
    0xffffffff,0x00bfffb7,0x227fffd4,0xfffffff9,0xffffffff,0xbffff000,
    0xfffff800,0xffffffff,0xffc87fff,0x7ffe407f,0x3fffe65f,0x7fffdc02,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x015e5d4c,0x00000000,0x99880000,0x00099999,0x9fffff30,0x40000000,
    0x015100a8,0x26000000,0x00998819,0x4c000000,0x00998819,0x00165400,
    0xabcca880,0xaaaaa801,0x002aaaaa,0x55555554,0x55002aaa,0x55555555,
    0x654c4005,0x0001abcc,0x22133310,0x00000999,0x0073b2a0,0x50000000,
    0x988039d9,0xff500000,0x3ff621bf,0x3e60001f,0x0005ffff,0x7fffff54,
    0x7ffec41f,0x000000ff,0x7fffff50,0xffdb9100,0x5fffffff,0xffff3000,
    0x3fea005f,0xfffb10df,0x3fff7003,0x402fff98,0xb10dfffa,0xfd003fff,
    0x05ffc85f,0x21effe88,0x2003fffc,0x7fe42ffe,0x3ff60005,0xfd50004f,
    0xffffffff,0x7ffffc07,0x006fffff,0x7ffffffc,0xff006fff,0xffffffff,
    0xfffb300d,0x1fffffff,0xffff8000,0x00dfff72,0x3fff6000,0x7ec404ff,
    0xb000001e,0x409fffff,0x0bcefffd,0xdfff3000,0x003ffff7,0x7ffffcc0,
    0x7fe40002,0x01ffffff,0x01dffff7,0xffa80000,0x64401eff,0xffffffff,
    0x002fffff,0x06ffffcc,0x3bffe600,0x801ffffb,0x745ffff8,0xf9807fff,
    0xffffbeff,0x9fff9001,0x009fffb7,0x36ffffa2,0x64003fff,0xffdbcfff,
    0xff30004f,0xc8001fff,0xffffffff,0x3fe04fff,0xffffffff,0x7fffc006,
    0x06ffffff,0xfffffff0,0xfd80dfff,0xffffffff,0x20000fff,0x3e27fffb,
    0x00002fff,0x7fefffdc,0x3fff202f,0xfb800007,0x02fffdff,0xfffffffb,
    0xff300017,0x003fffff,0x77fffcc0,0x7fcc0000,0x1fffffff,0x3bfffa60,
    0xf5000000,0x9801bfff,0xffffffff,0x2fffffff,0x3fffe600,0x3fe60003,
    0x001fffff,0xf8dffff1,0xf3007fff,0x03ffffff,0x7ffffc40,0x2000efff,
    0xffffffe8,0xfff88002,0x00efffff,0xfffff300,0x3ffa2003,0xffffffff,
    0x3bb604ff,0x5eeeeeee,0x77776c00,0x005eeeee,0xdddddddb,0x7fe40bdd,
    0xffffffff,0x20000fff,0x7e43fffe,0x400005ff,0xbff30ffe,0x17fffe40,
    0x3ffa0000,0x360bff30,0xffffffff,0xff98001f,0x20000eff,0x004ffff9,
    0xbffffd00,0x90013315,0x0001dfff,0x2ffffa80,0xffffe880,0xfbadffff,
    0x22002fff,0x80000999,0x00effff9,0x21fffec0,0x2004fffc,0x00effff9,
    0xffffe980,0xe88000df,0x0002ffff,0x3fffffa6,0x7f40000d,0x3fa006ff,
    0xbcdfffff,0x0004ffdc,0x00000000,0xff980000,0xa9abefff,0x0000feca,
    0x981ffff3,0x0000ffff,0xdfd1bfe0,0x1ffffcc0,0x1bfe0000,0x3ff60dfd,
    0xffffffff,0x99988000,0x4cc40000,0xf1000009,0x8000bfff,0x00009998,
    0x004cccc0,0xffffffd8,0x3ffe3fff,0xed80002f,0x9988004e,0x5b700009,
    0x2000f6e0,0x00009998,0x000d654c,0x0004ccc0,0x01aca980,0x1bfb3000,
    0x3fffea00,0x00ea204f,0x00000000,0x32000000,0x0803ffff,0x3fff6000,
    0x09fffb05,0x8ffec000,0x7e404ffa,0x400002ff,0x9ff51ffd,0xffeb9880,
    0x00006fff,0x00000000,0x07fffea0,0x00000000,0x3fe20000,0xffffffff,
    0x00bfffe3,0x07fff300,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffe80000,0x200002ff,0x00999998,0x4cccccc0,0x99999999,0x33333101,
    0x33333333,0x0ffffd83,0x3e200000,0xff501fff,0x200001ff,0xfffffffa,
    0x07ffdc01,0x3fea0000,0x001fffff,0x17ffffdc,0x99999988,0x99999999,
    0x99988009,0xc8000099,0x40007fff,0x00999998,0x33331000,0x43333333,
    0xfffffff9,0x3ffe3fff,0x7e40002f,0x333100ff,0x33333333,0x01333333,
    0x33333331,0x03333333,0x26666662,0x19999999,0x33333310,0x33333333,
    0x33333310,0x44000013,0x00099999,0x4cccccc4,0x19999999,0x02ffffdc,
    0x3fffe000,0x3e6006ff,0xffffffff,0x80ffffff,0xfffffffc,0x47ffffff,
    0x001ffffe,0x3fff2000,0x1ffff406,0xfff70000,0x7d4c07ff,0x000004ff,
    0x07fffff7,0x3ffff200,0xfffffb04,0xffffffff,0xfff00dff,0x0000dfff,
    0x000bfffd,0x6ffffff8,0xfffb0000,0xffffffff,0x7fffffdc,0x3fe3ffff,
    0x330002ff,0x7dc0bffd,0xffffffff,0xffffffff,0xfffffc82,0xffffffff,
    0xfffff907,0xffffffff,0x3ffff20f,0xffffffff,0xffffa87f,0xbdefffff,
    0xffff0000,0xfc800dff,0xffffffff,0x7ec7ffff,0x00002fff,0x3fffffe6,
    0xfff3000f,0xffffffff,0xf901ffff,0xffffffff,0xfd8fffff,0x0000dfff,
    0x05ffff00,0x006fffb8,0x05e5cc00,0x017fffe0,0x79730000,0x7fcc0001,
    0xfffb06ff,0xffffffff,0x980dffff,0x0fffffff,0x7fff4000,0x3fe60004,
    0x000fffff,0x7ffffc40,0x27ffffff,0xfffffffc,0x3ffe3fff,0xfdb7002f,
    0x407fffff,0xfffffffb,0xffffffff,0xfffc82ff,0xffffffff,0xfff907ff,
    0xffffffff,0x3ff20fff,0xffffffff,0xffa87fff,0xffffffff,0x4c002fff,
    0x0fffffff,0x3ffff200,0xffffffff,0x3ffffc7f,0x3ff20000,0x003fffff,
    0xfffffff3,0xffffffff,0xfffff901,0xffffffff,0xfffffb8f,0x200000bf,
    0x8807fffa,0x0001ffff,0x3bfe0000,0x88000002,0x44000099,0xfb05ffff,
    0xffffffff,0x0dffffff,0xffffffc8,0x7fc0003f,0x320003ff,0x3fffffff,
    0x7ffdc000,0xffffffff,0x3ffffea7,0x3e3fffff,0x6c402fff,0xffffffff,
    0xfff701ff,0xffffffff,0x05ffffff,0xfffffff9,0x0fffffff,0x3ffffff2,
    0x7fffffff,0xffffff90,0xffffffff,0xffffff50,0xffffffff,0x3ff2001b,
    0x003fffff,0x3ffffff2,0x7fffffff,0x017fffe2,0xffffd000,0x2200bfff,
    0xfffaaaaa,0x02aaaaef,0x999ffff9,0x89999999,0xfffffff8,0xe80001cf,
    0xf9004fff,0xd5000bff,0x77440ddd,0x440011ee,0x3b260009,0xceffffff,
    0x7ffd4000,0xdddd904f,0xffdddddd,0xfe80bfff,0x05ffffff,0x3fffe200,
    0x3ffa0002,0x005fffff,0x7fffff40,0x22aaaaff,0xfffffff9,0x3ffe3fff,
    0x3ffe602f,0xffffffff,0xccca82ff,0xeffffccc,0x81cccccc,0xcccffffc,
    0x04cccccc,0x999ffff9,0x09999999,0x333ffff2,0x4ccccccc,0xccffffa8,
    0xffffffdc,0xfffd004f,0x400bffff,0xcccffffc,0x24cccccc,0x005ffff9,
    0x3fffe200,0x0007fffe,0x002ffff4,0x000ffff9,0x7fffffd4,0x0002efff,
    0x001ffff3,0x003fffe6,0x40ffff70,0xe81ffff9,0x3ffaa5ee,0x3ee00dff,
    0xffffffff,0xd1002fff,0x0005ffff,0x0fffffa8,0x3bfffe20,0xf9007fff,
    0xffffffff,0x03ffffff,0xfeffff88,0x260007ff,0x7fffcfff,0xffffff80,
    0x3fe3ffff,0x3ffa02ff,0xfffcceff,0x2000ffff,0x4005fffe,0x0007fffc,
    0x003fffe4,0x01ffff20,0x0ffffa80,0xfffffe88,0x7fffc401,0x2007fffe,
    0x8007fffc,0x004ffffa,0x3bffea00,0x002ffffa,0x017fffa0,0x007fffc8,
    0x7ffffd40,0x01efffff,0x02fffec0,0x013fffa0,0x40ffff70,0xf81ffff9,
    0xffff96ff,0x2e03dfff,0xffffffff,0x441fffff,0xffffdccc,0x7c40006f,
    0x5402ffff,0xfffaefff,0xfffc802f,0xffffffff,0x5401ffff,0xfffaefff,
    0xff90002f,0x00ffff3f,0xfffffff5,0x7fffc7ff,0xbffff502,0x7fffffe4,
    0x3ffa004f,0x7fe4005f,0x7e40007f,0x640007ff,0x20007fff,0x200ffffa,
    0x405ffffd,0xffaefffa,0xff9002ff,0xff7000ff,0x400009ff,0xff8cfffd,
    0x3a0004ff,0x32005fff,0x80007fff,0xffffffc8,0x1001ffff,0x8003ffff,
    0x4007fffa,0x2607fffb,0xff81ffff,0xfffffcff,0xf705ffff,0xd533559d,
    0xf88dffff,0xffffffff,0x7fec0001,0xffd805ff,0x4ffff8cf,0xfffffc80,
    0xffffffff,0x7fec01ff,0x4ffff8cf,0xefff8800,0x9007fff8,0xffffffff,
    0x817fffc7,0x7fc6fffe,0x07fffecf,0x017fffa0,0x00ffff90,0x07fffc80,
    0x3fffe400,0xffff5000,0x7fffc401,0x3fff601f,0x04ffff8c,0x00ffff90,
    0x0bffff50,0x7fffc000,0x00dfffd2,0x02ffff40,0x00ffff90,0x7ff5c400,
    0x00efffff,0x006fffb8,0x005ffff0,0x303fffdc,0xff03ffff,0xdbffffff,
    0x303fffff,0xffffb003,0xffffff88,0x540000ef,0x800fffff,0xffd2ffff,
    0x999500df,0x99ffffd9,0xf8019999,0xfffd2fff,0xfff7000d,0x00ffff17,
    0x7fffffe4,0x0bfffe3f,0xa8bfffe6,0xfffaafff,0xfffd001f,0xfffc800b,
    0x7fe40007,0x7e40007f,0x2a0007ff,0x6400ffff,0x3e02ffff,0xfffd2fff,
    0x3fff200d,0xfff88007,0xf300005f,0x3fee1fff,0xfd0001ff,0x7e400bff,
    0x000007ff,0xffffff93,0x7ffff007,0x3ffee000,0x3ffee006,0x3fffe607,
    0xffffff81,0x3fffee1d,0x3fea0003,0x3ffe20ff,0x80002cef,0x02fffff8,
    0x70ffff98,0x0003ffff,0x000dfffb,0x5c3fffe6,0x4001ffff,0xff88fffe,
    0x7dc4007f,0x3fe3ffff,0xfffa82ff,0xf8bffe47,0xfd002fff,0xfc800bff,
    0x640007ff,0x40007fff,0x0007fffc,0x003fffea,0x207ffff5,0xf70ffff9,
    0xf9003fff,0x3e000fff,0x00007fff,0x7ccbfff9,0xd0003fff,0x6400bfff,
    0xaaaaffff,0x001aaaaa,0x9ffffd30,0x07fffa80,0x3fffe200,0xffff7001,
    0x0ffffcc0,0x437ffffc,0x004ffff8,0x07fffe60,0x0001ffff,0x2ffffec0,
    0x25fffc80,0x003ffff9,0x005fffe8,0x4cbfff90,0x2003ffff,0xff15fff9,
    0x013333ff,0xf86ea620,0xffb82fff,0xf27ffc7f,0x3a007fff,0x64005fff,
    0xaaaaffff,0x901aaaaa,0x5555ffff,0x20355555,0xaaaffffc,0x81aaaaaa,
    0x400ffffa,0x904ffff9,0x7fccbfff,0xffc803ff,0xaaaaaaff,0x7ff41aaa,
    0xe80002ff,0x7ffc3fff,0xffd0005f,0x7fe400bf,0xffffffff,0x20004fff,
    0x406ffffa,0x0004fffe,0x802fffec,0x2607fffb,0xff81ffff,0xffd00eff,
    0x753100bf,0x3ffffb99,0x000ffff8,0xfffff500,0x3fffa001,0x02ffffc3,
    0x027fffc0,0x43fffe80,0x2005ffff,0xff12fffc,0x09ffffff,0x5ffff000,
    0x54dfff90,0x3ffe1fff,0xfffd003f,0xfffc800b,0xffffffff,0xfff904ff,
    0xffffffff,0x3ff209ff,0xffffffff,0xffa84fff,0x7fc400ff,0xfffd05ff,
    0x05ffff87,0xffffffc8,0x4fffffff,0x037fffec,0x3fffe200,0x07fffec1,
    0x2ffff400,0xfffff900,0xffffffff,0x7fc40009,0x3fe605ff,0x4c0000ff,
    0xb800ffff,0x3e607fff,0xfff81fff,0x3fffa03f,0x3fff6a05,0xffffffff,
    0x003fffc1,0xfffff880,0xffff1002,0x0ffffd83,0x3fffe200,0xfff88003,
    0x7fffec1f,0x4ffff000,0xfffffff8,0xff80004f,0xfffc82ff,0xff1fff66,
    0x3fa005ff,0x7e4005ff,0xffffffff,0xf904ffff,0xffffffff,0x3209ffff,
    0xffffffff,0xa84fffff,0xf800ffff,0xff886fff,0x7ffec1ff,0x7ffe400f,
    0xffffffff,0x7ffcc4ff,0x2e0004ff,0xffa87fff,0xfe8002ff,0x3f2005ff,
    0xffffffff,0x0004ffff,0x813fffea,0x0005fffc,0x009fffd0,0x4c0ffff7,
    0xff81ffff,0x3ffa03ff,0xfffe885f,0xffffffff,0x155541ff,0xfffd8000,
    0x3fee004f,0xffffa87f,0x3ffe6002,0xffb8002f,0xffffa87f,0x4fffa802,
    0x3fffffe2,0xf80004ff,0xffb82fff,0x893ffe7f,0xd001ffff,0xc800bfff,
    0xffffffff,0x904fffff,0xffffffff,0x209fffff,0xfffffffc,0x84ffffff,
    0x800ffffa,0xfb85ffff,0xfffa87ff,0x7ffe402f,0xffffffff,0xfffd84ff,
    0xda881eff,0x84fffd84,0x004ffff8,0x005fffe8,0x2abffff2,0x1aaaaaaa,
    0xf5006fa2,0x2205ffff,0x0002ffff,0x00ffff50,0x4c0ffff7,0xff81ffff,
    0x3ffa03ff,0xffffe85f,0xffdccdef,0x000001ff,0x07ffffd4,0x09fffb00,
    0x009ffff1,0x00ffffd4,0x427ffec0,0x804ffff8,0x3e21fffd,0x1aaaafff,
    0xffff8000,0x9ffffa82,0x3ea1fffa,0xfd000fff,0xfc800bff,0xaaaaafff,
    0xf901aaaa,0x55555fff,0x32035555,0xaaaaffff,0xa81aaaaa,0x4400ffff,
    0xfd84ffff,0xfff884ff,0x7ffe404f,0xaaaaaaaf,0xfff881aa,0xeeefffff,
    0x7fc44fff,0xfffd02ff,0xfffd000f,0x7ffe400b,0xfff88007,0xfeeccdef,
    0x2e06ffff,0x00006fff,0x2017fffc,0x2607fffb,0xff81ffff,0x3ffa03ff,
    0x7fffdc5f,0xffff980d,0x00055441,0x3ffffe20,0x3ffe2002,0xffffd02f,
    0x7fffdc00,0x7ffc4000,0xffffd02f,0x46fff880,0x0007fff8,0x05ffff00,
    0xfb9ffff1,0x6fffe8ff,0x17fffa00,0x0ffff900,0x7fffc800,0x7ffe4000,
    0x3fea0007,0x7fcc00ff,0x7ffc43ff,0xffffd02f,0x07fffc80,0x7fffd400,
    0xffffffff,0x7fffd44f,0xfecccccd,0x74001fff,0x32005fff,0x88007fff,
    0xffffffff,0x1fffffff,0x00ffffa0,0xdfff9000,0x0ffffb80,0x03ffff90,
    0x7407ffff,0x7fec5fff,0xfff300ff,0x7fffc43f,0x3ff60001,0x7d4004ff,
    0xccccdfff,0x01ffffec,0x00ffff90,0x9bffff50,0xfffd9999,0x7ffdc03f,
    0xfffbaaad,0xf8800007,0xffb01fff,0x649fffff,0x2002ffff,0x4005fffe,
    0x0007fffc,0x003fffe4,0x01ffff20,0x0ffffa80,0x17fffdc0,0x337fffea,
    0xfffecccc,0x3fff201f,0xfe880007,0xffffffff,0x7ffe44ff,0xffffffff,
    0x4003ffff,0x2005fffe,0x8007fffc,0xfffffff8,0x0effffff,0x03fffea0,
    0xfff10000,0x7ffd403f,0xffffb82f,0x3ffff81f,0xf17fffa0,0x7e40dfff,
    0x3ff61fff,0xf50006ff,0x8001dfff,0xfffffffc,0xffffffff,0xdfffd003,
    0xffff9000,0xffffffff,0x7f407fff,0xffffffff,0x800007ff,0x500ffff9,
    0x7fffffff,0x0dffffb7,0x05fffe80,0x03fffe40,0x1ffff200,0xffff9000,
    0x7ffd4000,0x7fff400f,0x7fffe41f,0xffffffff,0x3f203fff,0x200007ff,
    0xffffffda,0x7ffc0adf,0xffffffff,0x006fffff,0x002ffff4,0x000ffff9,
    0xfffffd91,0x005bffff,0x0009fffb,0x17fff600,0x44ffff98,0x1ffffffa,
    0x203ffff8,0x7f45fffe,0xffd81fff,0x3ffa1fff,0xf88007ff,0x8001ffff,
    0xffffffff,0xffffffff,0xffff8806,0xffff8004,0xffffffff,0xf306ffff,
    0xffffffff,0x0000ffff,0x80ffff70,0xfffffffc,0x01ffffff,0x02ffff40,
    0x01ffff20,0x0ffff900,0x7fffc800,0x3ffea000,0x3ffea00f,0xfffff85f,
    0xffffffff,0x3f206fff,0x800007ff,0x200afffe,0xfffffff9,0xffffffff,
    0x3fa000ff,0x3f2005ff,0x440007ff,0x1ffffa99,0x3ffff300,0x3e600000,
    0xff100fff,0xffd9dfff,0xf03fffff,0x7f407fff,0x7ffec5ff,0xffeb9bef,
    0x3f61ffff,0xd8006fff,0x8004ffff,0xfffffff9,0xffffffff,0x7fe400ff,
    0x7cc001ff,0xffffffff,0xffffffff,0xfffffc80,0x7fffffff,0x980f4400,
    0xc805ffff,0xffffffff,0xe8000eff,0x64005fff,0x40007fff,0x0007fffc,
    0x003fffe4,0x01ffff50,0x07ffffe6,0xfffffff3,0xffffffff,0x3ff201ff,
    0xf800007f,0xffb806ff,0x999999ef,0x2ffffc99,0x17fffa00,0x07fffc80,
    0x3ffe2000,0x3fff2006,0x74000005,0x3f203fff,0xffffffff,0xf81fffee,
    0x3fa03fff,0x7ffcc5ff,0xffffffff,0x3a21fffe,0x54001fff,0x999fffff,
    0x19999999,0x267bffee,0xfc999999,0x26ae2fff,0x07ffffeb,0x9efffb80,
    0xc9999999,0xff82ffff,0x999999ff,0x6c007fff,0xfca9bdff,0x9001ffff,
    0xdfffffff,0x7ff40007,0x7fe4005f,0x7e40007f,0x640007ff,0x20007fff,
    0x4c0ffffa,0x84fffffc,0x999efffb,0xffc99999,0xfff902ff,0xf980000f,
    0xffe803ff,0xfff9804f,0xeeee885f,0xeefffffe,0xffc80eee,0xeeeeeeff,
    0xfa806eee,0xff1003ff,0x000005ff,0x207fffb8,0xffffffe8,0x1fffc8ef,
    0x203ffff8,0xfc85fffe,0xffffffff,0xa81fffc9,0xfff8000a,0xffffffff,
    0x3a7fffff,0xf9804fff,0x3ffa5fff,0x01ffffff,0x04fffe80,0x45ffff98,
    0xf105fffa,0x99999fff,0xfffff701,0x9fffffff,0x577fec00,0xfd00001a,
    0xfc800bff,0xeeeeefff,0xf906eeee,0xdddddfff,0x320ddddd,0xeeeeffff,
    0xa86eeeee,0xfeeeffff,0x0effffff,0x804fffe8,0x905ffff9,0xddddffff,
    0x00dddddd,0x1003ffee,0x2005ffff,0xf987ffff,0xffffffff,0x80ffffff,
    0xfffffffc,0x07ffffff,0x000fffc8,0x000dfff7,0x3fffe000,0x3fff6202,
    0xfff90cff,0x07ffff03,0xb82ffff4,0x0cffffff,0x0003fff9,0xffffff80,
    0xffffffff,0xffff17ff,0x3fffe005,0x3fffffa7,0xf88003ff,0xff002fff,
    0xfffd8fff,0xfffff102,0xd301ffff,0xffffffff,0x7c4009ff,0x800003ff,
    0x4005fffe,0xfffffffc,0x07ffffff,0xfffffff9,0x0fffffff,0x3ffffff2,
    0x7fffffff,0xffffffa8,0xcfffffff,0x2ffff880,0x0fffff00,0x3ffffff2,
    0x7fffffff,0x00bff900,0x400ffff5,0x4c1ffffc,0xffffffff,0x0fffffff,
    0xffffffc8,0x7fffffff,0x005ffd80,0x000ffffa,0x7ffe4000,0x09a98806,
    0x3ffff800,0x017fffa0,0x00003553,0xfffff000,0xffffffff,0x3feaffff,
    0x3ff2007f,0xffffd1ff,0x2a0003bf,0x32007fff,0xff11ffff,0x7ffc40ff,
    0x00ffffff,0x3fffffaa,0x7dc001df,0x800000ff,0x4005fffe,0xfffffffc,
    0x07ffffff,0xfffffff9,0x0fffffff,0x3ffffff2,0x7fffffff,0xffffffa8,
    0x02efffff,0x801fffea,0xc81ffffc,0xffffffff,0x007fffff,0xfb003555,
    0x7d400bff,0x7fcc4fff,0xffffffff,0xc80fffff,0xffffffff,0x807fffff,
    0xf5000aaa,0x00001fff,0x3fffe200,0x00000001,0x00000000,0x7ffc0000,
    0xffffffff,0xfb7fffff,0x7d400bff,0x55314fff,0xffb00003,0x7fd400bf,
    0x9fff74ff,0x7ffffc40,0x3000ffff,0x74000135,0x000006ff,0x800bfffd,
    0xfffffffc,0x07ffffff,0xfffffff9,0x0fffffff,0x3ffffff2,0x7fffffff,
    0xffffffa8,0x4009acde,0x2005fffd,0xc84ffffa,0xffffffff,0x007fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00039997,
    0x05999500,0x000ccc40,0x26666200,0x33100009,0x4cc40033,0x13100000,
    0x40998800,0x31000998,0x00998813,0x98813310,0xd9100009,0x13000019,
    0x13331000,0x00099988,0x104cccc4,0x4c013333,0x0037501b,0x00033310,
    0x26666600,0x19999981,0x03730000,0x730006ea,0x88000037,0x00000199,
    0x20666666,0x00199999,0x00333310,0x00003100,0x7fffc000,0x26660000,
    0x05fffb09,0x13fffe60,0x7ff44000,0x50000eff,0x2603ffff,0xffffffec,
    0xeeea80ce,0x3bfffee2,0x89ffb003,0xfb004ffe,0x04ffe89f,0xfe89ffb0,
    0xffd0004f,0xd91000df,0x007bffff,0x443bffe6,0x2000effe,0x2a5ffff9,
    0x500effff,0xffc87fff,0x3fa2001f,0x400006ff,0x81fffffc,0x03fffffa,
    0x1fffd400,0x2007fff2,0x1effffe8,0xd10007a6,0x0000dfff,0x3fffff90,
    0x7fffff50,0xffff5000,0x7fd40001,0x0f7f542f,0x3fe60000,0x3e20006f,
    0xffff2fff,0xffff1001,0x880009ff,0x004ffffe,0x3ee66662,0x2e09afff,
    0xffffffff,0x7d42ffff,0xfffe8bff,0xc805ffff,0xffc9bfff,0xfff9003f,
    0x07fff937,0x26ffff20,0x8003fffc,0x01fffffa,0x3ffffea0,0x800effff,
    0xfe8efff9,0x3a2000ff,0x3fe65fff,0x3fa00dff,0x3ffe27ff,0x3ff6005f,
    0x00005fff,0x01bffff9,0x1fffff44,0xffffd000,0x02ffffc4,0x7ffffff4,
    0x00fffddf,0x3fffff60,0x3f200005,0x2200dfff,0x003ffffe,0x007fffd4,
    0xfffff880,0x3fffff30,0xb84b9800,0x20003fff,0xf9affff8,0xfe8805ff,
    0x03fffdef,0xffffd100,0xfffa8005,0xffffffff,0x3ffffee4,0xffffffff,
    0x3b7ffea1,0xffffffff,0x7ffc402f,0x006fffff,0x3fffffe2,0x3e2006ff,
    0x6fffffff,0xffff5000,0x3fee003f,0xffffffff,0xff9800ff,0x001fffff,
    0xf12fffec,0xfd009fff,0x7ffc4fff,0xfffb005f,0x000bfff9,0x03ffffc8,
    0x0fffff20,0x3ffff400,0x80bffff1,0xffedfff9,0x006fffff,0x3ff3fff6,
    0xfc80005f,0x32003fff,0x2003ffff,0x000ffffa,0x3fffff50,0x13fffff6,
    0x42fffe40,0x0000fffd,0x2ebfffe2,0x74402fff,0xfff90eff,0xffe88007,
    0xfa8000ef,0xffffffff,0x33bee4ff,0xffea99aa,0x3ffea6ff,0xffdfffff,
    0xfa806fff,0x01efffff,0x7ffffd40,0x7d4001ef,0x01efffff,0x1bfffa00,
    0x7ffffcc0,0xffffc99c,0xffff5005,0xffb8003f,0x3fffa25f,0x9fff7003,
    0x802fffd8,0xff52fffd,0x3f20009f,0xa8001fff,0x8003ffff,0x7ec4fffb,
    0x1fa802ff,0x3fffffee,0x5fffb000,0x0013ffea,0x01ffffc8,0x3ffffa80,
    0x1ffff500,0x3ffe6000,0xffffd0ff,0x3ffa00bf,0x05fff85f,0x7fffc400,
    0xa807ffda,0x665c0ccc,0x332a000c,0x3ea0003c,0xffffffff,0x200664ff,
    0x3ea7fffd,0x10bfffff,0x001ffffd,0x007bdb91,0x1ef6e440,0xbdb91000,
    0xd9100007,0x3ff60019,0xffff705f,0x3332a003,0x66644001,0x00e665c4,
    0x5d40ae60,0x2ccc9801,0x000e6654,0x00333326,0x1cccc880,0x502b9800,
    0x44040037,0x26002ccb,0x66542ccc,0xcc98001c,0x220000cc,0xa801cccc,
    0x0000ffff,0xfc93fff2,0xd003ffff,0xcc88bfff,0x7c40001c,0x3ccbafff,
    0x00000000,0x7d400000,0x20001fff,0xf50ffffa,0xf707ffff,0x00003fff,
    0x00000000,0x00000000,0x02ffff98,0x0013fffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0x0000ffff,
    0x3fa20d54,0x3fa006ff,0x000005ff,0x017fffc4,0x00002000,0x31000008,
    0x03ffff51,0x7fffcc00,0x09ffff51,0x00bfffe6,0x00004cc4,0x40000130,
    0x4c000009,0xffff9000,0x05fffd80,0x000004c0,0x00000013,0x00000000,
    0x00000000,0x0004c000,0x00002600,0x80000130,0x4c000009,0xffff5000,
    0x40000301,0x7f4002cb,0x800005ff,0xffff8898,0x765c0002,0x02dfffff,
    0xffffd970,0xd91005bf,0xffffffff,0x7531003f,0x3ffffb99,0x403fffea,
    0x302ffff8,0xffffffd9,0x6440019d,0x03dffffe,0x7fff6d40,0xc88003ef,
    0x03dffffe,0x333bfff6,0xffeccccc,0x7f64406f,0x4003dfff,0xeffffeda,
    0x3bbaa003,0x3bbba206,0x03777541,0xa83dddd1,0x3a206eee,0xeea81eee,
    0x3bba206e,0x7f6d401e,0x8003efff,0xeffffeda,0xfeda8003,0x8003efff,
    0xeffffeda,0xfeda8003,0x2a03efff,0x3f6e7fff,0x2a603eff,0xdb0000aa,
    0xfffffddd,0x1ddddddd,0xfffb9100,0x05ffffff,0x3fffa600,0x05ffffff,
    0x7fffff4c,0x5c05ffff,0xffffffff,0x2a01ffff,0xfffffffd,0xff51ffff,
    0x3fe201ff,0xfffb82ff,0xffffffff,0xfffa802f,0x0effffff,0x7fffec40,
    0x01efffff,0xffffff50,0xfd01dfff,0xffffffff,0x0fffffff,0x7fffffd4,
    0x4400efff,0xfffffffd,0xfb801eff,0x3fe607ff,0x7ffdc1ff,0x3fffe607,
    0x03fffdc1,0x703ffff3,0x7cc0ffff,0xfb101fff,0xffffffff,0xffb1003d,
    0xdfffffff,0xfffb1003,0x3dffffff,0xffffb100,0x03dfffff,0xfffffb10,
    0x503dffff,0x3ff6ffff,0x705fffff,0x20005fff,0xfffffffe,0xffffffff,
    0x7ffdc00f,0xffffffff,0xffc8002f,0xffffffff,0x3fff205f,0xffffffff,
    0xffffd105,0xffffffff,0xfffd103f,0xffffffff,0x3ffea3ff,0xffff100f,
    0xfffff705,0xffffffff,0x7fffdc03,0xffffffff,0xfffff300,0xffffffff,
    0xffffb805,0xffffffff,0x7fffffc0,0xffffffff,0xfff707ff,0xffffffff,
    0x3ffe601f,0xffffffff,0x7fdc02ff,0x3ffe607f,0x3fffdc1f,0x83ffff30,
    0x2607fffb,0xfb81ffff,0x3fe607ff,0xfff981ff,0xffffffff,0x3fe602ff,
    0xffffffff,0x3e602fff,0xffffffff,0x2602ffff,0xffffffff,0x202fffff,
    0xfffffff9,0x42ffffff,0xffeffffa,0x5fffffff,0x003fffb8,0xffffffd0,
    0xffffffff,0x7ff401ff,0xffffffff,0x54002fff,0xefffffff,0xf505fffe,
    0xddffffff,0x3f20bfff,0xbabdffff,0xe81ffffe,0xcdefffff,0x51ffffdc,
    0x2201ffff,0xfb82ffff,0xea99aace,0xf306ffff,0x9339ffff,0x360bffff,
    0xedefffff,0x206fffff,0x9cfffff9,0x45ffffc9,0xeeeeffff,0xeeeeeeee,
    0xfffff985,0xffffc99c,0xfffffb05,0xfffffdbd,0x7fffb80d,0x07fffe60,
    0x4c0ffff7,0x7dc1ffff,0x3fe607ff,0xfffb81ff,0x3fffe607,0xfffffd81,
    0xfffffede,0x3ffff606,0xffffedef,0x3fff606f,0xfffedeff,0x3ff606ff,
    0xffedefff,0x3f606fff,0xfedeffff,0x7d46ffff,0xdfffffff,0x41fffffe,
    0x0003fffc,0xfff99997,0x999999ff,0x3ffee019,0xfdbabdff,0x22002fff,
    0x81dfffff,0xfff884b8,0x4b881dff,0x1effff98,0x41ffffa8,0x80dffffb,
    0xf51ffff9,0x3e201fff,0x01982fff,0xb07fffd8,0x3ee0bfff,0x7fd41fff,
    0x7f440eff,0xffb03fff,0x3ffee0bf,0x13fffa1f,0x3fff6000,0x3ffff705,
    0x0effffa8,0x1fffff44,0x40ffff70,0x5c1ffff9,0x3e607fff,0x7fdc1fff,
    0x3ffe607f,0x7fffb81f,0x07fffe60,0x81dffff5,0x83ffffe8,0x40effffa,
    0x83ffffe8,0x40effffa,0x83ffffe8,0x40effffa,0x83ffffe8,0x40effffa,
    0x23ffffe8,0xbffffffa,0x17ffff20,0x0007fff9,0x02ffff40,0x7ffffcc0,
    0x2ffff881,0x3ffff600,0xfffb0005,0x3fa000bf,0xff501fff,0xfffd83ff,
    0xffff300f,0x03fffea3,0x017fffc4,0x1ffff500,0x02ffff98,0xfd13fffe,
    0x3e201fff,0xff987fff,0x3ffe02ff,0x17fff64f,0xffff3000,0x27fffc05,
    0x403ffffa,0x207ffff8,0x2607fffb,0x7dc1ffff,0x3fe607ff,0x7ffdc1ff,
    0x3fffe607,0x07fffb81,0xd07fffe6,0x2201ffff,0xfe87ffff,0xff100fff,
    0xfffd0fff,0x3ffe201f,0xffffe87f,0xfffff100,0x01ffffd0,0xa9ffffe2,
    0xd03fffff,0x7e41ffff,0x001884ff,0x005fffe8,0x01ffffd8,0x005ffff1,
    0x007ffffc,0x0fffff80,0xbffff000,0x0ffffd40,0xc81bfffe,0xff51ffff,
    0x3fe201ff,0x260002ff,0x7e41ffff,0x7fec07ff,0x3fffe25f,0x7fffe404,
    0x03fffe40,0xfc97fff6,0x20001fff,0x6c07fffc,0x3fe25fff,0x7fe404ff,
    0xfff700ff,0x7fffcc0f,0x03fffdc1,0xb83ffff3,0x3e607fff,0xffb81fff,
    0x3ffe607f,0x3fffe21f,0x7fffe404,0x13fffe20,0x41ffff90,0x404ffff8,
    0x220ffffc,0x6404ffff,0x3e20ffff,0x7e404fff,0xfff50fff,0x7ffdc09f,
    0x13fff61f,0x4007fff9,0x8005fffe,0x2206ffff,0x1002ffff,0x0009ffff,
    0x013fffe2,0x17fffcc0,0x83ffff50,0xd81ffffe,0xf51fffff,0x3e201fff,
    0x98802fff,0xfffdccba,0x77ffec1f,0xeccccccc,0x3fea6fff,0x7fd401ff,
    0x7ffec1ff,0xccccccce,0x3e66fffe,0x0000efff,0x999dfffb,0xfffd9999,
    0x0ffffd4d,0x07fffea0,0x303fffdc,0xfb83ffff,0x3fe607ff,0x7ffdc1ff,
    0x3fffe607,0x07fffb81,0xa87fffe6,0x5401ffff,0x3ea1ffff,0x7d401fff,
    0x3fea1fff,0x7fd401ff,0x3ffea1ff,0x7ffd401f,0x3fffea1f,0x7fffd401,
    0x01ffff51,0xb17fffd4,0x7fdc9fff,0xfd002fff,0xf8800bff,0x3e203fff,
    0xf3002fff,0x20007fff,0x003ffff9,0x03ffff50,0x20ffffd4,0x9beffffd,
    0xffffffeb,0x01ffff51,0x80bfffe2,0xffffffda,0x741fffff,0xffffffff,
    0x7fffffff,0x003fffee,0xe85ffff3,0xffffffff,0x7fffffff,0x67ffffe4,
    0x7dcaa99a,0xffffffe8,0xffffffff,0x3fffee7f,0x7fffcc00,0x0ffff702,
    0x20ffffcc,0x2607fffb,0x7dc1ffff,0x3fe607ff,0xfffb81ff,0x3fffe607,
    0x03fffee1,0x45ffff30,0x400ffffb,0x2e2ffff9,0x4c00ffff,0x3ee2ffff,
    0x7cc00fff,0x3fee2fff,0x7fcc00ff,0xffff52ff,0x7fffcc01,0xd93fff63,
    0x004fffff,0x800bfffd,0x202ffff9,0x002ffff8,0x005ffff7,0x0bfffee0,
    0x7fffdc00,0x3fffea01,0x7ffffcc1,0xfeffffff,0xffff51ff,0x3fffe201,
    0xffffe882,0xffffffff,0x7ffffc1f,0xffffffff,0x3ff27fff,0x7fc400ff,
    0x7fffc3ff,0xffffffff,0x7447ffff,0xffffffff,0xff87ffff,0xffffffff,
    0x27ffffff,0x400ffffc,0x703ffff8,0x7cc0ffff,0x7fdc1fff,0x3ffe607f,
    0x3fffdc1f,0x03ffff30,0x4c0ffff7,0x3f21ffff,0x7c400fff,0x3ff23fff,
    0x7fc400ff,0x3fff23ff,0x7ffc400f,0x3ffff23f,0x7fffc400,0x03ffff23,
    0x27ffff10,0x200ffffa,0x363ffff9,0x3ffa5fff,0xfd005fff,0xfb800bff,
    0x3e201fff,0xf5002fff,0x20007fff,0x003ffffa,0x03ffff70,0x40ffffd4,
    0xfffffffc,0x1fffc9ff,0x201ffff5,0xe82ffff8,0xcdefffff,0x41ffffdc,
    0xeeeeffff,0xeeeeeeee,0x03fffee5,0x85ffff30,0xeeeeffff,0xeeeeeeee,
    0xffffd885,0x7fffffff,0xeeeffff8,0xeeeeeeee,0x3fffee5e,0x7fffcc00,
    0x0ffff702,0x20ffffcc,0x2607fffb,0x7dc1ffff,0x3fe607ff,0xfffb81ff,
    0x3fffe607,0x03fffee1,0x45ffff30,0x400ffffb,0x2e2ffff9,0x4c00ffff,
    0x3ee2ffff,0x7cc00fff,0x3fee2fff,0x7fcc00ff,0xffff52ff,0x7fffd401,
    0xb97fffa2,0x002fffff,0x800bfffd,0x201ffffb,0x002ffff8,0x009ffff3,
    0x13fffe60,0x7fffd400,0x3fffea01,0xfffff701,0x3fff219f,0x01ffff51,
    0x70bfffe6,0x301bffff,0xfe83ffff,0x2a0004ff,0x5401ffff,0x7f41ffff,
    0x200004ff,0xffffffea,0xffe84eff,0x3ea0004f,0x7d401fff,0xff701fff,
    0x7ffcc0ff,0x3fffdc1f,0x83ffff30,0x2607fffb,0xfb81ffff,0x3fe607ff,
    0x3ffea1ff,0x7ffd401f,0x3fffea1f,0x7fffd401,0x07fffea1,0x43ffff50,
    0x401ffffa,0x2a1ffffa,0x5401ffff,0xff51ffff,0x7fdc01ff,0x3fffa0ff,
    0x027ffec5,0x00bfffd0,0x02ffffa8,0x00bfffe2,0x07ffffc4,0x7fffc400,
    0xff98000f,0x3ff202ff,0x554c01ff,0x02fffc41,0x0ffff980,0x807fffec,
    0x6c1ffff9,0x20005fff,0x403ffff9,0x6c0ffffc,0x00005fff,0x3ffff530,
    0x02fffec0,0x7ffff300,0x0ffffc80,0x01ffff70,0x707ffff2,0x3201ffff,
    0x7dc1ffff,0xff900fff,0xfff703ff,0x3fff201f,0x3fffe61f,0x7fffe403,
    0x0ffffe60,0x41ffff90,0x403ffff9,0x260ffffc,0x6403ffff,0x3e60ffff,
    0x7e403fff,0xfff50fff,0x7ffec01f,0x42ffff47,0x7f4001a9,0x7cc006ff,
    0x3ee03fff,0x3e002fff,0x0004ffff,0x009fffff,0x0bffff10,0x07ffffee,
    0x77ff4400,0xfff70000,0x0dffff0f,0x20ffffe4,0x001ffffc,0x0fffff10,
    0x437fffc4,0x001ffffc,0x5fff9000,0x1ffffc80,0xffff1000,0x7fffc40f,
    0x3fffea06,0xfffffb82,0x17fffd41,0x0fffffdc,0x20bfffea,0x81fffffb,
    0xb82ffffa,0x221fffff,0x2207ffff,0x7c46ffff,0x3e207fff,0x7fc46fff,
    0x3fe207ff,0x7ffc46ff,0x3ffe207f,0x7fffc46f,0x3fffe207,0x03fffea6,
    0x237fffcc,0x0006ffff,0x03ffff60,0x5ffff880,0x5fffff50,0x7fffdc00,
    0x707300df,0x01bfffff,0x3fffa0e6,0x7fffd41f,0xf70001ff,0x740005ff,
    0xffe86fff,0xfffd81ff,0x7ffcc1ff,0xfb0000ef,0xe881bfff,0xf982ffff,
    0x0000efff,0x02fffc40,0x077fffcc,0xffffd800,0x7fff440d,0x3ffe602f,
    0x7fffd44f,0x7ffcc1ff,0x7fffd44f,0x7ffcc1ff,0x7fffd44f,0xfff981ff,
    0x7fffd44f,0x7ffec1ff,0x7ff440df,0xfffd82ff,0x7ff440df,0xfffd82ff,
    0x7ff440df,0xfffd82ff,0x7ff440df,0xfffd82ff,0x7ff440df,0x3ffea2ff,
    0xfffe880f,0x37fffc1f,0x801fffe2,0x002ffffc,0x217fffec,0x2ffffffa,
    0x7ffff400,0xffdcceff,0xfffffd06,0xdffb99df,0x9fffff50,0xffffffb7,
    0x3fa0003f,0xe98001ff,0xfd83ffff,0xeb9befff,0x81ffffff,0xacfffffc,
    0x87dcaa99,0xdffffff8,0x5fffffdc,0x3fffff20,0xdcaa99ac,0x3ffea007,
    0xffff9004,0x9553359f,0xffff10fb,0xfffb9bff,0xff880bff,0xffecefff,
    0x441fffff,0xecefffff,0x1fffffff,0x77ffffc4,0xffffffec,0xffff881f,
    0xffffecef,0x7fc41fff,0xfdcdffff,0xf105ffff,0xb9bfffff,0x20bfffff,
    0xdffffff8,0x5fffffdc,0xffffff10,0xfffffb9b,0x3fffe20b,0xfffdcdff,
    0x7ffd45ff,0xffca9acf,0xfff84fff,0x27ffd46f,0xfffff700,0x0197535b,
    0x7bfffff5,0xfffffffd,0xfff98005,0xffffffff,0xffff306f,0xffffffff,
    0x3ffffe0d,0xfeefffff,0xfd0001ff,0x30077bff,0x0dffffff,0x3fffffe6,
    0xffefffff,0xfffe881f,0xffffffff,0xffff907f,0xffffffff,0x7ff4403f,
    0xffffffff,0x3ee007ff,0x201acfff,0xffffffe8,0x07ffffff,0xfffffff9,
    0x03ffffff,0xffffff90,0xfffddfff,0xfffff903,0xffddffff,0xffff903f,
    0xfddfffff,0x3ff203ff,0xefffffff,0xfc81fffe,0xffffffff,0x3201ffff,
    0xffffffff,0x201fffff,0xfffffffc,0x01ffffff,0x3ffffff2,0x1fffffff,
    0x3fffff20,0xffffffff,0x7ffffd41,0xffffffff,0x7ffff80f,0x000fffe4,
    0xfffffff1,0x3a01ffff,0xffffffff,0x02fffdff,0xffffd980,0x06ffffff,
    0x3fffff66,0x306fffff,0xfffffffd,0x03fffb1d,0x3ffff200,0xfffa807f,
    0x3f201fff,0xffffffff,0x101fffc9,0xfffffffb,0x5c0fffff,0xffffffff,
    0xd8800dff,0xffffffff,0x26007fff,0x02ffffff,0x7ffffec4,0x07ffffff,
    0x3fffffee,0x000dffff,0xffffffd1,0x3fff91df,0xfffffd10,0xfff91dff,
    0xffffd103,0xff91dfff,0x3ffa203f,0xc8efffff,0xff701fff,0xffffffff,
    0xfff7001b,0xbfffffff,0xffff7001,0x1bffffff,0xfffff700,0x01bfffff,
    0xffffff70,0x501bffff,0xffffffff,0x2019ffff,0x7ec7ffff,0xffa8006f,
    0xffffffff,0xffffd100,0xff93ffff,0x7540005f,0xdfffffff,0xfffea802,
    0x202dffff,0x4fffffd8,0x0007fff6,0x3fffff44,0x67fffd40,0xffffb800,
    0xfff90cff,0xfffea803,0x04efffff,0x7ffffec4,0xea8003ef,0xffffffff,
    0x7fdc004e,0xd5002fff,0xffffffff,0xffd8809d,0x003effff,0xfffffd88,
    0x03fff90c,0x3fffff62,0x03fff90c,0x3fffff62,0x03fff90c,0x7ffffec4,
    0x03fff90c,0x7ffffec4,0x6c4003ef,0x3effffff,0x7ffec400,0x4003efff,
    0xffffffd8,0x7ec4003e,0x03efffff,0x3ffff6e2,0x201dffff,0x7c7ffff8,
    0xb30003ff,0xffffffff,0x7ffec401,0xfff70cff,0x26200005,0x22000099,
    0x98000999,0x0000009a,0x400d5d4c,0x8000acc9,0x00001aa9,0x00cd554c,
    0x001a9880,0x26aaa600,0x5d440001,0xa98000ab,0x100019aa,0x20000353,
    0x00009a98,0x0004d4c4,0x0026a620,0x026a6200,0x0d4c4000,0x1a988000,
    0x35310000,0x2a620000,0x53100001,0x54cc0003,0x2aaa0009,0x005ddc2a,
    0x2aaa6200,0x4d4c0009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00333333,0x32600000,0x262003cc,
    0x6cc00100,0x4c00003e,0x2e600999,0x00037501,0x00003331,0x06666660,
    0x00666666,0x01bb9800,0x02666000,0x00ddd440,0x26009988,0x0037501b,
    0x0000ddcc,0x00033310,0x26666600,0x19999981,0x95310000,0x10000157,
    0x26660003,0x00999881,0x41333310,0x10099998,0x99881333,0x00000009,
    0x00026200,0x99999800,0xffffa801,0x07db733f,0x26666620,0x7fe41999,
    0x3b72604f,0xfecdffff,0xffff3002,0x3e200009,0xff502fff,0x1fffc87f,
    0x3fffa200,0x7e400006,0xfa81ffff,0x0003ffff,0x77ffff44,0xb5007a61,
    0xdfffffff,0x3fffea07,0x3fe600df,0x7fff502f,0x401fffc8,0x1effffe8,
    0xe88007a6,0x00006fff,0x0fffffe4,0x1fffffd4,0xfff91000,0x205bffff,
    0x3ee2eeea,0x2003efff,0x3e64fffa,0xff3005ff,0x7ffd4bff,0xfff300ef,
    0x3bffa21d,0xdfdb7000,0xea80007b,0xeeefffff,0x90004eee,0x003fffff,
    0x3fffffee,0x9003ffff,0xffffffff,0x0ffff43f,0xffffffb8,0x02ffffff,
    0x0fffff90,0x3ffe2000,0xffffd02f,0x02ffffc4,0xbfffffb0,0x3ff20000,
    0x3a200dff,0x0003ffff,0x3ffffffa,0x80fffddf,0xffffffe8,0xf985ffff,
    0x05ffffff,0xfe817ffa,0x3ffe27ff,0x7fff405f,0xffddffff,0xfffb000f,
    0x20000bff,0x00dffffc,0x0fffffa2,0x3fffe600,0x3fffffff,0xe8bfffa8,
    0x5fffffff,0x33ffee00,0x1006fff9,0x7ccbfffd,0x4c00dfff,0xffe8efff,
    0xffe9800f,0x01efffff,0x7ffff4c0,0xffffffff,0xffc8005f,0xba800dff,
    0xfffffffd,0xf9003fff,0xffffffff,0x21bffe23,0xffffffe8,0x2fffffff,
    0xfffff900,0x3fe20000,0xfffd02ff,0x2ffffc4f,0xfcfffd80,0x640005ff,
    0x2003ffff,0x003ffffc,0xfedfff98,0x86ffffff,0xffffffe8,0xe85fffff,
    0xfffdaeff,0x00fffc81,0xf89ffffa,0x3e605fff,0xffffedff,0xfb006fff,
    0x0bfff9ff,0xffffc800,0x3fff2003,0x3fa2003f,0xffffffff,0x7fd42fff,
    0xfffffedf,0x2005ffff,0xeffffffb,0xbfffb000,0x027fffc4,0xffffff30,
    0xfff1003f,0xffffffff,0x3ffa2001,0xffffffff,0x4005ffff,0x003ffffc,
    0xfffffff1,0x037bffff,0x3fffff20,0xff31ffff,0xffff907f,0xffb757bf,
    0x3e6005ff,0x00004fff,0x205ffff1,0x7ec4fffb,0xffd802ff,0x09fff52f,
    0x3ffff200,0xfffa8001,0x1fa8003f,0x3fffffee,0xeffffc80,0x5db9988a,
    0xfd0fffc4,0x3fff987f,0x227ffdc0,0x5402fffd,0x3fffee1f,0xffd800ff,
    0x09fff52f,0x3ffff200,0xfffa8001,0xfff9003f,0x7ffdc3bf,0x7fffd45f,
    0xffedffff,0x32001fff,0x000effff,0x744bfff7,0xa8003fff,0x001fffff,
    0xb79ffffb,0x200bffff,0x712ffffd,0x355dfffd,0x7fffe400,0x3ffe2001,
    0x3fffffff,0xaaaa9800,0xf71ffffc,0xfff981ff,0xfff881ef,0x3766002f,
    0x3e200003,0x2e602fff,0x30037502,0xcca85999,0x664c001c,0x220000cc,
    0x8001cccc,0x02ccb880,0x003ffffa,0xfd8fff30,0x02fff44f,0x37502b98,
    0x32e20200,0x9993002c,0x01ccca85,0x066664c0,0x99991000,0xbffff003,
    0x51ffff60,0x17ffffff,0x02ffffe4,0x003332e0,0x2e266644,0x20001ccc,
    0x3001ccca,0xfc83ffff,0xfff007ff,0xffff305f,0xccc98003,0x77c4000c,
    0xffff99bc,0xfa80001f,0x79951fff,0x03ffffb0,0x00bfffe2,0x22000000,
    0x0002ffff,0x00000000,0x00000000,0x7c000000,0xa8006fff,0x27fe47ff,
    0x0001fff7,0x00000000,0x00000000,0x20000000,0x903ffff8,0xffa8dfff,
    0xffd03fff,0x000001ff,0x00000000,0x3ffee000,0x0ffff885,0x03fffcc0,
    0x0007fffd,0x6c020000,0x0006ffff,0x01ffffa8,0x05ffff88,0x00bfffe2,
    0x22000040,0x2ffff889,0x00004c00,0x40000130,0x4c000009,0x00000000,
    0x03bfffff,0xd0fffcc0,0x3ffe67ff,0x13310003,0x13310000,0x13310000,
    0x13310000,0x26620000,0xffff9800,0x8bfffd01,0x204ffffa,0x001ffffb,
    0x00000010,0x09998000,0x85fffc80,0xa807fff8,0x3f206fff,0x019804ff,
    0x64c00044,0xfffffffe,0x7fd40003,0xff9801ff,0x3fe203ff,0xd97002ff,
    0x05bfffff,0x7fffee44,0x402fffff,0xdffffec8,0x7f644003,0x4003dfff,
    0xdffffec8,0xfec88003,0x5403dfff,0x3a206eee,0x3ff61eee,0x00bdffff,
    0xfb9dfff8,0x0dffd1ff,0x7fff64c0,0x800cefff,0xfffffec9,0xc9800cef,
    0xeffffffe,0xfec9800c,0x0cefffff,0xfffd9300,0x5019dfff,0xfb01ffff,
    0xffa83fff,0x3fea00ff,0xd97002ff,0x85bfffff,0x2206eeea,0x2001eeee,
    0xffffffda,0xfff703ef,0x0dfff70f,0x03ffff10,0x220bfff6,0x3effffeb,
    0x00fbfff2,0x7fffffe4,0x0007ffff,0x00ffffd4,0x017fffd4,0x805ffff1,
    0xffffffe9,0xff705fff,0xffffffff,0x7fd405ff,0xefffffff,0xffffa800,
    0x00efffff,0xffffffa8,0x5000efff,0xffffffff,0x3fee01df,0x3ffe607f,
    0x3fffe21f,0x02dfffff,0x3ffffff2,0x03fff75f,0x3ffffee0,0x2fffffff,
    0x3ffffee0,0x2fffffff,0x3ffffee0,0x2fffffff,0x3ffffee0,0x2fffffff,
    0x7ffffdc0,0x2fffffff,0x207fffd4,0xa84ffffd,0x2600ffff,0x4c03ffff,
    0xfffffffe,0x7ffdc5ff,0x3fffe607,0xfffe8801,0x5fffffff,0x45ffff30,
    0x003ffff9,0xf509ffff,0xff703fff,0xdbffffff,0x09ffffff,0x7fffff44,
    0x3fffffff,0x3ffea000,0xfffb801f,0x3ffe201f,0x3fff202f,0xffffffff,
    0xfffffe85,0xffffffff,0xfffff702,0x1fffffff,0x7ffffdc0,0x0fffffff,
    0x3ffffee0,0x0fffffff,0x7ffffdc0,0x0fffffff,0x207fffb8,0x441ffff9,
    0xfffffffe,0xfd881eff,0xf88dffff,0x3ee003ff,0xffffffff,0xf701ffff,
    0xffffffff,0x2e03ffff,0xffffffff,0x701fffff,0xffffffff,0x403fffff,
    0xfffffffb,0x21ffffff,0x320ffffa,0xf504ffff,0x7cc01fff,0x3f203fff,
    0xffffffff,0x7ffdc5ff,0x3fffe607,0x7fff4401,0xffffffff,0x3ffffa05,
    0x06ffffb8,0x3ffffee0,0x5ffffcac,0xffffff70,0xffffffff,0x3f205fff,
    0xcabdffff,0x0007ffff,0x007fffea,0x807fffee,0x502ffff8,0xdfffffff,
    0xfc8bfffd,0xbabdffff,0x982ffffd,0x99cfffff,0x305ffffc,0x339fffff,
    0x20bffff9,0x9cfffff9,0x05ffffc9,0x33ffffe6,0x5ffffc99,0x207fffb8,
    0x501ffff9,0xfffffffb,0x372a03ff,0x01bff62c,0x3559df70,0xdffffd53,
    0x2ab3bee0,0xffffea99,0x559df706,0xffffd533,0x2b3bee0d,0xfffea99a,
    0x33bee06f,0xffea99aa,0x3ffea6ff,0x9ffff30f,0x07fffd40,0x05ffff50,
    0x3fffffea,0x45fffeef,0x2607fffb,0x6401ffff,0x88aeffff,0x2605db99,
    0xffffffff,0x7fc000ef,0xffffffff,0x39f700ef,0x3ffffee2,0x85fffc8d,
    0x81fffff9,0x001ffffe,0x03ffff50,0x03ffff50,0x417fffc4,0x1dfffff8,
    0x3fe64b88,0xff881eff,0xfffd82ff,0x3ffff705,0x20bfffb0,0xd81ffffb,
    0xff705fff,0x3ff603ff,0xffff705f,0x07fffb83,0x007fffe6,0x3fffff6a,
    0x7fdc005f,0x00cc001f,0x983fffec,0x7fffd801,0xffb00330,0x200660ff,
    0x2607fffd,0x7fffd801,0x5c3fffea,0x2a00ffff,0x2e00ffff,0xf880ffff,
    0x881dffff,0x3fffdc4b,0x03ffff30,0x00ffffe8,0x7fffe400,0xc8004fff,
    0xffffffff,0x02600cff,0x3237ffec,0x7ff40fff,0xfff701ff,0x3ea0007f,
    0xf9801fff,0x3ee02fff,0xffd82fff,0x7f4005ff,0xff101fff,0xfff985ff,
    0x3fffe02f,0x17fffcc4,0x989ffff0,0x3e02ffff,0xff984fff,0x3ffe02ff,
    0x3fffdc4f,0x03ffff30,0x7fffe440,0x3ffe2007,0x2a000004,0x0000ffff,
    0x003fffea,0x0ffffa80,0x3ffea000,0x7d40000f,0xfff50fff,0x3ffff21f,
    0x3fffea00,0x1ffff600,0x02ffffec,0x03fffdc0,0x803ffff3,0x0006ffff,
    0xefffffa8,0xfff98001,0x0acdcc9d,0x7ffdc000,0x20fffd44,0x2205ffff,
    0x0006ffff,0x003ffff5,0x20bffff1,0x82fffffa,0x000fffff,0x102ffffc,
    0xfc85ffff,0x7fec07ff,0x3fffe45f,0x917fff60,0xfd80ffff,0xfffc85ff,
    0x2fffec07,0x981fffee,0x8001ffff,0x000ffffe,0x0000dffb,0x1ffff980,
    0x3ffe6000,0x3e60001f,0x20001fff,0x001ffff9,0x8ffffcc0,0xf50ffffa,
    0x7d40bfff,0xff300fff,0x3ffe0dff,0xfb8000ff,0x3fe607ff,0x7ffc01ff,
    0x90001dff,0x3fffffff,0xc81cccb8,0x00002fff,0x30bffea0,0x7fc43fff,
    0x7ffc03ff,0xff50006f,0x3fa003ff,0x7fd42fff,0x7c42ffff,0x4c004fff,
    0x2203ffff,0x7ec2ffff,0xccccceff,0x46fffecc,0xcccefffd,0xfffecccc,
    0x677ffec6,0xfecccccc,0xfffd86ff,0xccccccce,0x7dc6fffe,0x3fe607ff,
    0x220061ff,0x5006ffff,0x00003fff,0x3732ea62,0x8801ffff,0xffdccba9,
    0xa98801ff,0xffffdccb,0xcba98801,0x01ffffdc,0xb9975310,0x3ea3ffff,
    0xfff10fff,0xff501bff,0xffd101ff,0xfff103ff,0x3ee0009f,0x3fe607ff,
    0x7fec01ff,0x00bdffff,0xffffff90,0x7ff41dff,0x5fffd81f,0xb9980000,
    0xa999afff,0x3fea2fff,0x7ff402ff,0xff50007f,0x3ea003ff,0xfebcffff,
    0x42ffffff,0x003ffff9,0x017fffd4,0xe85ffff1,0xffffffff,0x7fffffff,
    0x7ffffff4,0xffffffff,0x7ffff47f,0xffffffff,0xffe87fff,0xffffffff,
    0x5c7fffff,0x3e607fff,0x9ff11fff,0x3fae6335,0xf8804fff,0xdfd914ff,
    0x3ff6a007,0xffffffff,0x3ff6a01f,0xffffffff,0x3ff6a01f,0xffffffff,
    0x3ff6a01f,0xffffffff,0x7fed401f,0xffffffff,0x1ffff51f,0x77ffffe4,
    0x67fffd41,0xffffca9a,0xffff304f,0x3fee0007,0x3ffe607f,0x7ffc401f,
    0x2dffffff,0x37fffe60,0x3e5ffffb,0xffb80fff,0xccccdeff,0xfeb8009a,
    0xffffffff,0x22ffffff,0x401ffffb,0x0007fffd,0x003ffff5,0x7ffffff4,
    0xffffefff,0x17fffdc2,0x3fffee00,0x3fffe201,0x7fffffc2,0xffffffff,
    0x7fffc7ff,0xffffffff,0x7fc7ffff,0xffffffff,0x87ffffff,0xffffffff,
    0xffffffff,0x03fffdc7,0x223ffff3,0xffffffff,0x00ffffff,0xff36ffd8,
    0x201dffff,0xffffffe8,0x1fffffff,0xfffffe88,0xffffffff,0xffffe881,
    0xffffffff,0xfffe881f,0xffffffff,0xffd101ff,0xffffffff,0x3fea3fff,
    0x7ffec0ff,0x3fea1fff,0xffffffff,0xf700ffff,0x20005fff,0x2607fffb,
    0x8801ffff,0xfffffffe,0xffd81eff,0x3ffff66f,0x107fff8c,0xffffffff,
    0x03bfffff,0xffffffd1,0xffffffff,0x7fdc5fff,0x7fec01ff,0xff50007f,
    0x744003ff,0xefffffff,0x542ffff8,0x4003ffff,0x201ffffb,0x7c2ffff8,
    0xeeeeefff,0x5eeeeeee,0x7777fffc,0xeeeeeeee,0x77fffc5e,0xeeeeeeee,
    0xfff85eee,0xeeeeeeef,0x5c5eeeee,0x3e607fff,0xfff11fff,0xffffffff,
    0xff5001ff,0x3ffffa3f,0xffd04fff,0xb99bdfff,0xfd03ffff,0x99bdffff,
    0xd03ffffb,0x9bdfffff,0x03ffffb9,0xbdfffffd,0x3ffffb99,0x3fffffa0,
    0xfffdccde,0x1ffff51f,0xdfffff90,0x7fffffd4,0x0cffffff,0x0ffffea0,
    0x3fffdc00,0x03ffff30,0x7fffed40,0x221fffff,0x7f42ffff,0x6fffcfff,
    0x3ffffe60,0xffffffff,0x77ffec2f,0xccfffdcc,0x21cccccc,0x402ffffa,
    0x0007fffe,0x003ffff5,0xfffffd88,0x2ffff88c,0x027fffcc,0x07fffea0,
    0x42ffff88,0x0004fffe,0x0027fff4,0x013fffa0,0x13fffa00,0xffff7000,
    0x0ffffcc0,0xfffffffb,0x10017dff,0x3fee9fff,0x70fff91f,0x301bffff,
    0xfb83ffff,0xf980dfff,0x7fdc1fff,0xff980dff,0x7ffdc1ff,0xfff980df,
    0xffffb81f,0xffff980d,0x01ffff51,0x4fffffea,0xfffffffa,0x9801dfff,
    0x0004ffff,0x4c0ffff7,0x0001ffff,0xffffffb5,0x07fffccb,0x3fffffe2,
    0xffd104ff,0xffddddff,0x261fffff,0x3ea0efff,0x3e6001ff,0x3e203fff,
    0x50005fff,0x0003ffff,0xff104d4c,0xfff885ff,0x3e6000ff,0x3ee02fff,
    0x7fec2fff,0x7ec0005f,0x6c0005ff,0x80005fff,0x0005fffd,0x807fffdc,
    0x881ffffc,0x009aaaa9,0xc877fec0,0x3ffe65ff,0x07fffec0,0x41ffff98,
    0x300ffffd,0xfd83ffff,0xff300fff,0xfffd83ff,0xffff300f,0x1ffffb03,
    0x47fffe60,0x200ffffa,0xf55ffffb,0x13531fff,0xffff8800,0xffb8000f,
    0xfff900ff,0xc880003f,0x3ea7ffff,0xff980fff,0xb00fffff,0x2601dfff,
    0xf72ffffd,0xfffa85ff,0x3ffe2002,0x3fff206f,0xff50003f,0x000003ff,
    0xf05ffff1,0x4009ffff,0x505ffff8,0xc85fffff,0x0001ffff,0x007ffff2,
    0x1ffffc80,0x7ffe4000,0x3ea0001f,0xffb82fff,0x00001fff,0xd8bffea0,
    0x0fffc3ff,0xc81bfffe,0x7fc1ffff,0x3ff206ff,0x7fffc1ff,0x3ffff206,
    0x037fffc1,0xf03ffff9,0x7e40dfff,0xfff51fff,0xffff801f,0x01ffff56,
    0xfffff000,0xfff50009,0xffff705f,0x3a00003f,0xff30ffff,0x3fee05ff,
    0xff505fff,0xff9803ff,0x3fff93ff,0x004fffa8,0x427ffff4,0x00fffffa,
    0x3ffff500,0xff100000,0xfff705ff,0x8e601bff,0x542ffffe,0x42ffffff,
    0x00effff9,0xdffff300,0x3fe60001,0x20000eff,0x00effff9,0x9ffff300,
    0xffffffa8,0x17775c01,0x45ffe880,0x3fe24ffd,0x7ffff40f,0xfffffd81,
    0x0fffff41,0x0fffffec,0x207ffffa,0x41fffffd,0xd81ffffe,0xe81fffff,
    0xfd81ffff,0xff51ffff,0xfff801ff,0x1ffff55f,0xfff70000,0x0e601bff,
    0xa89ffff3,0x01ffffff,0x7ffc400c,0x77fffc6f,0xbffffd00,0x03fffee0,
    0x25ffff30,0x3e23fffc,0x2000ffff,0xcefffff9,0x4fffffdb,0x3ffea000,
    0x8800001f,0xfd02ffff,0x99dfffff,0x7fd4dffb,0xffebcfff,0xc82fffff,
    0x9acfffff,0x907dcaa9,0x359fffff,0x20fb9553,0xacfffffc,0x07dcaa99,
    0x33fffff2,0x7dcaa99a,0xefffff88,0xffffffec,0x7fff401f,0x1fff9001,
    0x3ea6ffc8,0xffffd87f,0xfffeb9be,0x7fec1fff,0xfeb9beff,0x6c1fffff,
    0xb9beffff,0x1ffffffe,0x5f7fffec,0xfffffeb9,0xffffd81f,0xfffeb9be,
    0xfff51fff,0x2a6aea1f,0xf53ffffd,0x00001fff,0x3ffffffa,0x46ffdcce,
    0xcefffff8,0xfffffffe,0x2b3fe201,0xfffd7319,0xffffd89f,0xffeba9bf,
    0xfb83ffff,0x3a205fff,0xff70ffff,0xfffd31bf,0x25cc3dff,0xffffffd8,
    0x0effffff,0xccccc880,0xccdffffd,0x440003cc,0xf302ffff,0xffffffff,
    0xffe8dfff,0xefffffff,0xe882fffd,0xffffffff,0xd107ffff,0xffffffff,
    0x220fffff,0xfffffffe,0x207fffff,0xffffffe8,0x07ffffff,0xfffffff9,
    0x3fffddff,0x006fff80,0xf305fff3,0x9fff9dff,0xffffff30,0xffdfffff,
    0xffff983f,0xefffffff,0x7fcc1fff,0xffffffff,0x4c1fffef,0xffffffff,
    0x1fffefff,0xffffff98,0xffefffff,0x1ffff51f,0x3ffffff2,0xfff50eff,
    0x2600001f,0xffffffff,0xfc86ffff,0xffffffff,0x201fffee,0xfffffff8,
    0x0fffffff,0x7fffffc4,0xffffffff,0x7fc42fff,0xbabcefff,0x23fffffd,
    0xfffffff9,0xffffffef,0xfb105fff,0xffffffff,0x3e6001df,0xffffffff,
    0x05ffffff,0x7fffc400,0x3fff6602,0x6fffffff,0x7fffff44,0xfffc9eff,
    0xffffb102,0xffffffff,0x7fffec40,0x7fffffff,0x3ffff620,0x7fffffff,
    0x7fffec40,0x7fffffff,0xfffffd10,0xfff91dff,0x27ffcc03,0x205ffe80,
    0xfffffffd,0xfffff900,0xff93ffff,0xffff903f,0xf93fffff,0xfff903ff,
    0x93ffffff,0xff903fff,0x3fffffff,0x3203fff9,0xffffffff,0x51fffc9f,
    0x3f21ffff,0x0fffffff,0x003fffea,0xfffd9800,0x6fffffff,0xfffffe88,
    0xfffc8eff,0x3fffe201,0xffffffff,0xffff300f,0x9fffffff,0xb83fffff,
    0xffffffff,0x84ffffff,0xeffffffd,0xffffffa8,0x7f5405ff,0x02efffff,
    0x7ffffcc0,0xffffffff,0x440005ff,0xa802ffff,0xfffffffe,0xfffd882d,
    0xfff90cff,0xfffea805,0x04efffff,0xfffffea8,0xa804efff,0xfffffffe,
    0xfd5004ef,0xdfffffff,0x7ffec409,0xfff90cff,0x0fffd403,0x007ffe40,
    0x037ffff2,0xffffff70,0x07fff219,0x7fffffdc,0x03fff90c,0x3fffffee,
    0x03fff90c,0x3fffffee,0x03fff90c,0x7fffffdc,0x23fff90c,0xf90ffffa,
    0x507fffff,0x0001ffff,0xffffd500,0x2205bfff,0x0cfffffd,0xd803fff9,
    0xffffffff,0xfb800bef,0x0cffffff,0x81dffff5,0xffffffea,0x101dffff,
    0x41bffff9,0xeffffffa,0x26aa6003,0xfff30000,0xffffffff,0x000bffff,
    0x00aaaa88,0x004ccc40,0x00013530,0x0cd554c0,0x35553000,0x554c0003,
    0x4c00019a,0x40019aaa,0x00009a98,0x0001332a,0x80013300,0x80001aa9,
    0x80001aa9,0x80001aa9,0x00001aa9,0x00003553,0x2200cccc,0x00002aaa,
    0x00999880,0x0026a620,0x5554c400,0x3100009a,0x30000135,0x579bd997,
    0x02aa2001,0x0009aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0000ccc4,0x33326000,0x00013003,0x06666660,0x98813310,0x03100009,
    0x26666620,0x4ccc4000,0x64400001,0x800002ef,0x44199999,0x99999999,
    0x26620001,0x01999999,0x99988000,0xdb000099,0x332e009d,0x2ccccccc,
    0x33333310,0x33300333,0x98800003,0x4ccc4099,0x99980000,0x75100199,
    0x44035799,0x4cc40999,0x99970009,0x05999999,0x00033330,0x00aba880,
    0x02b2ea20,0x00099880,0xfffe8800,0x20000006,0x4c03fffc,0x40005ffe,
    0x01fffffc,0x3fa27fec,0x2eeeb84f,0x5dffff91,0x7ffff440,0x3fea000e,
    0x200000ff,0x001ffffd,0x3ffff200,0x7fffec1f,0x000fffff,0xffffff90,
    0x00003fff,0x1fffffd4,0x3fff9800,0xfffffb00,0x3209ffff,0xffffffff,
    0x3ffe601f,0x2600001f,0xfd10efff,0xc80001df,0x401fffff,0xfffffffc,
    0xfff302ff,0x3bffa21d,0xffffb000,0x809fffff,0x001ffff9,0xfffff900,
    0xffe83d87,0x4c00ffff,0xfd502fff,0x7fec003d,0x00005fff,0x01fffd00,
    0x03ffffe8,0xbffff900,0x7fff9001,0x907fff93,0xfff37fff,0x807fffff,
    0x00effffc,0x01ffff50,0x3ffe2000,0x900004ff,0xb01bffff,0xffffffff,
    0x3f20001f,0xffffffff,0xff500001,0x40003fff,0xb000fffc,0xffffffff,
    0x3fff209f,0x01ffffff,0x007fffe6,0xdfff3000,0x001fffd1,0xdffffc80,
    0x3fffa600,0x2fffffff,0x23bffe60,0x2000fffe,0xfffffffd,0xf53304ff,
    0x33335fff,0xffff7000,0xffd9dfff,0xfffffe87,0x2fff405f,0x1fffff98,
    0xfcfffd80,0x310005ff,0x3fe20333,0x7ffc406f,0xfc8005ff,0x22003fff,
    0xffffffff,0xfbfff906,0xffffffff,0xfffa803f,0xffa800ef,0x100000ff,
    0x009fffff,0x7ffff900,0x7ffffec0,0x0000ffff,0xfffffff9,0x500003ff,
    0x001bffff,0x17ffa660,0xcccccb80,0xf902cccc,0xffffffff,0x7fffcc03,
    0xf9800001,0x01ffffff,0x7fffe400,0x7fffcc03,0xffffffff,0x7fffcc02,
    0x5c001fff,0xcccccccc,0xfffff02c,0x3fffffff,0xeeffe800,0xffffffff,
    0xfff904c1,0x807ffe40,0x04fffffd,0xfa97ffec,0xfa8004ff,0xffa81fff,
    0xffff803f,0x7fe4005f,0xfa8001ff,0x01efffff,0xfffffff9,0x9ffffd9d,
    0xdfffd100,0xffffa801,0x3f600000,0x40001fff,0x401ffffc,0xffcaaaaa,
    0x530000ff,0xffff9555,0xffa80003,0x6dc004ff,0x3ffffffe,0x26000000,
    0xfffcaaaa,0x3ffe601f,0x5000001f,0x003fffff,0x1ffffc80,0xeffffe80,
    0x006e621a,0x07ffffea,0x3e000000,0xffffffff,0x44001fff,0x3fffa63e,
    0xd53102ff,0x3fe60bff,0x3fffa03f,0x332605ff,0x0e66542c,0x3fffea00,
    0x00fffc81,0x00ffffb8,0x03333260,0xdedc8800,0x7fffe403,0x7fff42ff,
    0x3332e007,0x7fffd402,0x32200000,0x4c0001de,0x0000cccc,0x001ffff7,
    0x7fffd400,0x33220001,0x362001cc,0xffffffff,0x000001ff,0x3fffea00,
    0x3fffe601,0x2a000001,0x40001ccc,0x800cccc9,0x004ffffa,0x07332a00,
    0x7c000000,0xffffffff,0x08001fff,0x40179950,0x205ffffd,0x7e405ffe,
    0x0003ffff,0x3fea0000,0x3ccb81ff,0x002f2600,0x00000000,0x3fffff20,
    0x07fffb82,0x3fea0000,0x000000ff,0x00000000,0x01ffff70,0x7ffd4000,
    0x0000001f,0xffffff30,0x5fffffff,0x00998800,0x3fffea00,0x3fffe601,
    0x00000001,0xd8000000,0x0000ffff,0x30000000,0x3ea66001,0x1999afff,
    0x20000000,0x0dfffffd,0x2007ffdc,0x006fffe8,0x00013330,0x00ffffd4,
    0x20000000,0x00000999,0x7fffe400,0x1ffff503,0x3ea00000,0x04c40fff,
    0x00000000,0x5c000262,0x0000ffff,0x87fffea0,0x000000c8,0xceffffe8,
    0xfffffffc,0x3ffb2600,0x00ceffff,0x07fffea0,0x01ffff98,0x00000000,
    0x3a006200,0x00005fff,0xa8000c40,0x3effffed,0x1ffff980,0x00000000,
    0x3ffeea62,0x00fffe63,0x2a002cb8,0xfffffffd,0x7fd4003e,0x200001ff,
    0xb5002aaa,0xdfffffff,0x37775407,0x23dddd10,0x2207fffc,0xeb80aaaa,
    0xeeeeeeee,0x9fffea01,0x03effffb,0xddddddd7,0xdd5003dd,0x7fffdc5d,
    0x7fdc003e,0x200000ff,0xc89ffffa,0xeeeb81ff,0x01eeeeee,0x25ffffa8,
    0xfffffffc,0xfffff704,0x5fffffff,0x3fffea00,0x3fffe601,0xbdddd501,
    0x3bbbb601,0xeeeeeeee,0x5ddd705e,0x3bffff22,0x09ffff02,0x97775c00,
    0x2effffc8,0xffffd880,0x01efffff,0x307fffe6,0x3bae0035,0x1eeeeeee,
    0x25fff800,0x00006ffe,0x3ffffa20,0x05ffffff,0x0ffffd40,0xfff88000,
    0x7fff4406,0x5fffffff,0x81fffee0,0xf91ffff9,0x90000fff,0xffffffff,
    0x7ffd403f,0xfffffe8f,0xfffc85ff,0x01ffffff,0xe8bfffa8,0x5fffffff,
    0x3fffee00,0x3ea00000,0xffffdfff,0xfffffc81,0xe801ffff,0x7ffc6fff,
    0x707fffec,0xffffffff,0x003fffff,0x403ffff5,0x981ffff9,0x202fffff,
    0xffffffff,0x07ffffff,0xff37fff9,0x87ffffff,0x003ffff8,0x26ffff20,
    0xffffffff,0x3fffe603,0xffffffff,0xffff302f,0x3fffff23,0x7fffe404,
    0x201fffff,0xfffeeef9,0x03fff73f,0x3fa20000,0xffffffff,0x7d4005ff,
    0x00001fff,0x440dfff1,0xfffffffe,0x2e05ffff,0x3e607fff,0xfff91fff,
    0xff90000f,0x3fffffff,0x77fffd40,0xffffffff,0x7fffe42f,0x801fffff,
    0xffedfffa,0x2fffffff,0x1ffff700,0x7fd40000,0x1fffffff,0xffffffc8,
    0x7cc01fff,0x3fea2fff,0x1ffffaaf,0x9aacefb8,0x6ffffea9,0x1ffffa80,
    0x07fffe60,0x07fffff1,0xfffffff8,0x7fffffff,0xffbfff90,0xffffffff,
    0x1ffffc43,0xbfff9000,0xffffffff,0x3ff603ff,0xffedefff,0xff306fff,
    0xffffd3ff,0x7e40bfff,0xffffffff,0x3fffe601,0xfff14fff,0x64000007,
    0x88aeffff,0x4005db99,0x001ffffa,0x0ffff300,0x577fffe4,0x05db9988,
    0x981fffee,0xff91ffff,0x950000ff,0xffffb999,0x7fffd403,0xfffdffff,
    0x666546ff,0x01ffffdc,0xffffffa8,0xfffffdff,0xffff7006,0x2a000801,
    0xffffffff,0xb9999503,0xa803ffff,0x7fe47fff,0x05ffff17,0xfffb0033,
    0xffff500f,0x7fffcc03,0x27ffff41,0x7fffffc0,0xffffffff,0xfffff906,
    0xfffd9dff,0x7fffc49f,0x3ff20003,0xecefffff,0xfa84ffff,0x7440efff,
    0xf983ffff,0xffffefff,0x502fffff,0xfffb9999,0x7764403f,0x3ff60bcd,
    0x74000006,0x0000ffff,0x0ffffd40,0x3fae6000,0x3ffa07ff,0x2e0000ff,
    0x3e607fff,0xfff91fff,0x2a00000f,0x2a01ffff,0x0bffffff,0x01ffffd1,
    0x01ffffa8,0xffffffa8,0xffffd10b,0xffff7001,0x0bfff201,0xfffffb88,
    0x54000bff,0x5c01ffff,0x7ffc7fff,0x00ffffe4,0x0ffffa80,0x0ffffd40,
    0x43ffff30,0x004ffffd,0xfffff500,0x3ffff201,0x7fff42ff,0x0ffffe27,
    0xffffc800,0x7fff42ff,0x0ffffe87,0x0fffff10,0xfffffff3,0xbffffd79,
    0x7fffd400,0x7fdc0001,0x4000001f,0x0006ffff,0x1ffffa80,0xfffb1000,
    0x7fc0ffff,0x5c0006ff,0x3e607fff,0xfff91fff,0x2a00000f,0x2a01ffff,
    0xb83fffff,0x5401ffff,0xa801ffff,0xb83fffff,0xb801ffff,0xfc80ffff,
    0x5c41ffff,0xcfffffff,0xfff50000,0xfffc803f,0xf87ffea6,0x20003fff,
    0x401ffff9,0x201ffffa,0xf71ffff9,0x0000bfff,0x07ffffe2,0x2fffffc8,
    0x227fffb8,0x0003ffff,0x0bfffff2,0xf11fffee,0xfc809fff,0x7fcc0fff,
    0x7f41ffff,0x3ea007ff,0x20001fff,0x0004fff8,0x7c019db3,0x001dffff,
    0x3fffea00,0xfff98001,0x00ffffff,0x03bfffff,0x1fffee00,0x91ffff98,
    0x0000ffff,0x07fffea0,0x04ffffa8,0x805ffff3,0x801ffffa,0x304ffffa,
    0x7005ffff,0xf881ffff,0x225fffff,0xffffffff,0x3ea0001f,0x7e401fff,
    0x1fff66ff,0x1005ffff,0xffb99753,0xffa803ff,0x3fe601ff,0xffffa9ff,
    0x3fa00006,0x7e403fff,0xff503fff,0x3ffe21ff,0x3f20003f,0xff503fff,
    0x7ffd41ff,0x7ffd401f,0x7fffcc1f,0xffffc82f,0xffff5000,0x7fec0003,
    0xfff30006,0x3ff601df,0x00bdffff,0x7fffd400,0xfffe8001,0x00ccceff,
    0xbffffffb,0x7fdc0017,0x3ffe607f,0x0ffff91f,0x3fea0000,0x3fea01ff,
    0xfff100ff,0xfffa805f,0xfffa801f,0xffff100f,0xffff7005,0xfffff981,
    0x3fffe66f,0x001fffff,0x07fffea0,0x7cffff70,0x3ffe24ff,0x3ff6a01f,
    0xffffffff,0x7ffd401f,0x3ffe601f,0x0effffbf,0xfffb0000,0xfff900bf,
    0x5555440f,0x07ffff10,0x3fffe400,0x41555510,0x400ffffb,0x4c2ffff9,
    0xf504ffff,0x2a001fff,0x0001ffff,0x0003fff5,0x13fffff2,0x7fffffc4,
    0x0002dfff,0x003ffff5,0x0effffb8,0x3fffe200,0x02dfffff,0x207fffb8,
    0xf91ffff9,0x00000fff,0x807fffea,0x100ffffa,0xa805ffff,0xa801ffff,
    0xf100ffff,0xf7005fff,0xff881fff,0x3e65ffff,0xffffabff,0x3fea0001,
    0x7fd401ff,0x1fffa9ff,0x203fffea,0xffffffe8,0x1fffffff,0x0ffffd40,
    0xffffff30,0x00001fff,0x03bfffee,0x01ffff20,0x1ffffc40,0xffff9000,
    0x7ffe4000,0x7ffc400f,0x7fffcc3f,0x1ffff501,0x3fffea00,0xfff88001,
    0x07333264,0x7fffffc8,0x3ffffa20,0x01efffff,0x0ffffd40,0x3ffff600,
    0xffe88001,0xefffffff,0x1fffee01,0x91ffff98,0x0000ffff,0x07fffea0,
    0x00ffffa8,0x805ffff1,0x801ffffa,0x100ffffa,0x7005ffff,0xf701ffff,
    0x7cc3ffff,0x3ffff50b,0x7ffd4000,0x7ffc401f,0x747ffdcf,0xffd06fff,
    0xb99bdfff,0xa803ffff,0x2601ffff,0xffffffff,0xf980003f,0x9001ffff,
    0x2000ffff,0x003ffff8,0x01ffff20,0x0ffffb80,0x17fffcc0,0x407fffe6,
    0x000ffffa,0x003ffff5,0xfe8dffb0,0x3ea03fff,0x400fffff,0xffffffda,
    0x2a001fff,0x4001ffff,0x0007fffe,0x7ffffed4,0xf701ffff,0x7fcc0fff,
    0xffff91ff,0x3ea00000,0x3ea01fff,0xff100fff,0xffa805ff,0xffa801ff,
    0xfff100ff,0xfff7005f,0x3bfae01f,0x3fea0441,0x2a0001ff,0xd801ffff,
    0x4fffffff,0x20bffff2,0x80dffffb,0x401ffff9,0x201ffffa,0xffaffff9,
    0x20002fff,0x03fffff8,0x01ffff20,0x1ffffc40,0xffff9000,0x7ffd4000,
    0x7ffd401f,0x7fffcc1f,0x1ffff501,0x3fffea00,0x7ffd4001,0x3ffffee1,
    0x7fffe403,0x3f6a000f,0x005fffff,0x007fffea,0x01fffff0,0x3ff6a000,
    0xf705ffff,0x7fcc0fff,0xffff91ff,0x3ea00000,0x3ea01fff,0xff100fff,
    0xffa805ff,0xffa801ff,0xfff100ff,0xfff7005f,0x5400001f,0x0001ffff,
    0x007fffea,0x3fffffea,0xffffdbbf,0x1ffffb06,0x07fffe60,0x03ffff50,
    0x4cffffcc,0x000fffff,0x0bffffb0,0x07fffc80,0x7ffff100,0x7ffe4000,
    0x3fe60007,0x7fe403ff,0x7ffcc0ff,0xffff501f,0x3ffea001,0x3fe2001f,
    0x33bfe24f,0xffe803ff,0xf910007f,0x5400ffff,0x4001ffff,0x002ffffd,
    0x7ffe4400,0xffff707f,0x3ffff201,0x40000001,0x201ffffa,0x100ffffa,
    0xa805ffff,0xa801ffff,0xf100ffff,0xf7005fff,0x00001fff,0x00ffffd4,
    0x3ffff500,0x3ffff200,0xffffffff,0xdffff01f,0x0ffffe40,0x07fffea0,
    0x71ffff98,0x001dffff,0x06ffffc8,0x07fffc80,0x7ffff100,0x7ffe4000,
    0x3fe20007,0x3fe207ff,0xfff986ff,0xffff501f,0x3ffea001,0x3ff6001f,
    0x327ff60e,0xffc803ff,0x7f40005f,0xf5000fff,0xb8003fff,0x001fffff,
    0xffffe800,0x2ffffa80,0x1fffffb8,0x54000000,0x2a01ffff,0xf100ffff,
    0xfa805fff,0xfa801fff,0xff100fff,0xff7005ff,0x400001ff,0x001ffffa,
    0x07fffea0,0xfffffc80,0x00efffff,0x207ffffa,0x01fffffd,0x00ffffd4,
    0x6c3ffff3,0x2005ffff,0x00fffffa,0x07fffc80,0x7ffff100,0x7ffe4000,
    0x7fec0007,0x7f440dff,0xff982fff,0xfff501ff,0x3fea001f,0xff5001ff,
    0xca7fd45f,0xffe803ff,0xf100303f,0x5400dfff,0x4001ffff,0xcffffff8,
    0xf8801801,0xff306fff,0xfffa89ff,0x3ae01fff,0xa80002ee,0x2a01ffff,
    0xf100ffff,0xfa805fff,0xfa801fff,0xff100fff,0xff7005ff,0x400001ff,
    0x001ffffa,0x07fffea0,0xfffff900,0xfb007dff,0xd737dfff,0x03ffffff,
    0x01ffffa8,0x887fffe6,0x803fffff,0x02fffff8,0x0ffff900,0x3fffe200,
    0x3ff20003,0x7c40007f,0xdcdfffff,0x305fffff,0x2a03ffff,0x5000ffff,
    0x1003ffff,0x7fc4bffd,0x2dffdabf,0x417fff20,0x319acff8,0x09ffffd7,
    0x0ffffd40,0x7fffd400,0x44efffff,0x319acff8,0x09ffffd7,0x3bffffe2,
    0xffffffec,0x3fffa01f,0x33322001,0xdffffdcc,0xff53cccc,0x3fe201ff,
    0x999912ff,0x9bffffb9,0xffa87999,0xfff100ff,0x66664c5f,0xcdffffdc,
    0x64402ccc,0xfffdcccc,0x43ccccdf,0xfdccccc8,0xccccdfff,0x2bbff603,
    0x7fcc001a,0xffffffff,0x911fffef,0xfffb9999,0x279999bf,0x541ffff9,
    0x402fffff,0xfffffffe,0x0fffffff,0x007fffc8,0x07ffff10,0x3fffe400,
    0x7ffe4000,0xffffffff,0xfff301ff,0x3ffea03f,0x6666440f,0xcdffffdc,
    0x7fe43ccc,0x3fffe60f,0x2a7fffff,0x0fffffcb,0xffffff10,0xffffffff,
    0x7ffd4001,0xffffffff,0x7fdc3fff,0x5fffffff,0x7fffffc4,0xffffffff,
    0x3ffff200,0xfeefffff,0x3ffe01ff,0x7ffcc006,0xffffffff,0xff55ffff,
    0x3fe201ff,0xffff32ff,0xffffffff,0xffa8bfff,0xfff100ff,0x7fffd45f,
    0xffffffff,0x7cc04fff,0xffffffff,0x45ffffff,0xfffffff9,0xffffffff,
    0x07fff105,0xffffc800,0xfc9fffff,0xffff31ff,0xffffffff,0x3fe6bfff,
    0xfffc81ff,0xfff300ff,0xffffffff,0xf901ffff,0x22000fff,0x0003ffff,
    0x001ffff2,0x7ffffdc0,0x00dfffff,0x407fffe6,0x4c0ffffa,0xffffffff,
    0x5fffffff,0xf30bffe6,0xffffffff,0x7fffff4f,0x3ffe201d,0xffffffff,
    0x7d4000ff,0xffffffff,0x983fffff,0xfffffffd,0x7ffffc45,0xffffffff,
    0x7fff4400,0xfc8effff,0xfff301ff,0xfff98009,0xffffffff,0xff55ffff,
    0x3fe201ff,0xffff32ff,0xffffffff,0xffa8bfff,0xfff100ff,0x7fffd45f,
    0xffffffff,0x7cc04fff,0xffffffff,0x45ffffff,0xfffffff9,0xffffffff,
    0x01fff705,0xffff7000,0x3ff219ff,0xfffff31f,0xffffffff,0x3ffe6bff,
    0xffffd01f,0xffff301d,0xffffffff,0xff901fff,0x3e2000ff,0x20003fff,
    0x0007fffc,0x3ffff620,0xf9803eff,0xff501fff,0xfff981ff,0xffffffff,
    0x3fa5ffff,0x3333305f,0x7f439ffb,0xfb002eff,0xffffffff,0xf500017d,
    0xffffffff,0x407fffff,0x5ffffed9,0xffffffd8,0x000befff,0x9fffffb1,
    0x407fff21,0x4001fffa,0xfffffff9,0xffffffff,0x01ffff55,0x4cbfffe2,
    0xffffffff,0x5fffffff,0x807fffd4,0x2a2ffff8,0xffffffff,0x4fffffff,
    0x7ffffcc0,0xffffffff,0x7ffcc5ff,0xffffffff,0xfd05ffff,0x980000df,
    0x3e6001aa,0xffffffff,0x35ffffff,0x2203ffff,0x985fffff,0xffffffff,
    0x0fffffff,0x007fffc8,0x07ffff10,0x3fffe400,0xa9880000,0x7ffcc001,
    0xffff501f,0xfffff981,0xffffffff,0x1fff95ff,0x21ffe400,0x220001aa,
    0x009aaaa9,0x7fffd400,0xffffffff,0x262003ff,0x2aa6201a,0x200009aa,
    0x00009a98,0x00009995,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20035530,0x55300998,0x02662003,0xccccccb8,0x26002ccc,0x200001bb,
    0x10001998,0x00ae6057,0x4cc04cc4,0x09998801,0x2a04ccc4,0x3aa06eee,
    0x44000eee,0x20000199,0x0000cec8,0x19999980,0x97531000,0x77754355,
    0x3bbba206,0x0fbbbaa1,0x0f777540,0x99999970,0x20005999,0x1abccb98,
    0x79951000,0x19998835,0x00333300,0x026f2e62,0x26666620,0x09999999,
    0x5665d4c0,0x99953001,0x22000359,0x1abccca9,0xabca9800,0x19999800,
    0x027ffecc,0x2617ffcc,0x9804fffd,0x3f602fff,0xffffffff,0xfffe8804,
    0x007a61ef,0x06fffe88,0x237ffc40,0xa804fff9,0x3ffdc7ff,0x877ffcc0,
    0x5c0effe8,0x3ee07fff,0x22000fff,0x0006fffe,0x00dfffd0,0xffffc800,
    0xffb8001f,0x73ffffff,0x7cc0ffff,0x3fe21fff,0xffd007ff,0xfffd80ff,
    0x04ffffff,0x3ffff220,0x05ffffff,0xfffffea8,0xff53ffff,0xff9801ff,
    0x3f6201ff,0x1fffffff,0x3fffff20,0x5fffffff,0xfffffd50,0xf9017fff,
    0xffffffff,0xfb30017f,0xffffffff,0xfff9001f,0x401dffff,0x3f67ffff,
    0xe804ffff,0x7ffec5ff,0xffe804ff,0x7fffec05,0x804fffff,0xfffffffe,
    0x000fffdd,0x0bfffffb,0x17fffdc0,0x801ffffb,0xeb9dfff9,0xff3006ff,
    0x1fffd1df,0x40ffff70,0x000ffffb,0x17fffff6,0xffff5000,0x3200003f,
    0x000dffff,0x7fffff44,0xff73ffff,0x7ffcc0ff,0x7fffe41f,0x7fffcc02,
    0x7fffec04,0x004fffff,0xffffffd3,0x01ffffff,0x7fffffe4,0xf54fffff,
    0xf9801fff,0xff501fff,0xffffffff,0x3fff207f,0xffffffff,0xffffd85f,
    0xefffffff,0x7ffffec0,0x0effffff,0x3fffff60,0x0fffffff,0x3ffffa20,
    0x02ffffff,0x7f4dffff,0x6404ffff,0x7ff40fff,0x7e404fff,0x665c00ff,
    0x2ccccccc,0x76fffcc0,0x6fffffff,0xf9fffb00,0x3ee00bff,0x3ff62fff,
    0xffd800ff,0x02ffffff,0x3ffffe60,0xfff701ff,0x7fffdc0f,0x9fffb000,
    0x4000bfff,0x01fffffa,0xffffc800,0xfffb0003,0x7fffffff,0x981fffee,
    0x7cc1ffff,0x7dc05fff,0x65c01fff,0xcccccccc,0xffffc802,0xffffffff,
    0xffe880ff,0xffffffff,0xffff54ff,0xffff9801,0xfffffb81,0xffffffff,
    0xfffffc85,0x5fffffff,0x7fffffdc,0x5ffffffe,0x7fffffec,0x05ffffff,
    0xfffffff9,0x01ffffff,0x3fffffe6,0x2fffffff,0x2e6ffff8,0x204ffe8c,
    0xcb83fff9,0x2604ffe8,0x00003fff,0xf70fd400,0x001fffff,0x3ea5fffb,
    0xff8804ff,0x2fffd46f,0xffffe880,0xfa8003ff,0x2e01ffff,0x3ee07fff,
    0xfd800fff,0x9fff52ff,0x7fff4000,0xffc80006,0xf50001ff,0x2215dfff,
    0xffff71a9,0x0ffffcc0,0x007ffff4,0x000dfffd,0x7ffdc000,0xcbbcefff,
    0xfe80fffe,0xbcdfffff,0xff54ffdc,0xff9801ff,0x7ffc41ff,0xffdbdfff,
    0x6541ffff,0xfccccccc,0x3fe25fff,0xd3109dff,0x76c1ffff,0xfeb999ac,
    0x7cc1ffff,0x9abeffff,0xd00fecaa,0x5139ffff,0xd0dffffb,0x3fa0bfff,
    0x17ffa04f,0xe813ffa0,0x000005ff,0x99710100,0x33326005,0x00e66542,
    0x5cc05dc4,0xdedb8002,0x32a0001c,0x7fdc01cc,0x3ffee07f,0x6664c00f,
    0x00e66542,0x00cec880,0x66664c00,0x3ff20000,0xffb801ff,0x3ffe607f,
    0xffffb81f,0x5ffff302,0x22000000,0x01efffff,0x3fea06d4,0x2a204fff,
    0x01ffff53,0x41ffff98,0xb05ffffc,0x000bffff,0x7d4bfffd,0xff301fff,
    0xfd8005ff,0x7fe43fff,0x500803ff,0x3609ffff,0x7ec2ffff,0x9ffd05ff,
    0x003ffee0,0x7dc13ffa,0x260000ff,0x00000000,0x00000000,0x00000000,
    0xfffb8000,0x3fffee07,0x00000000,0x00000000,0xbfffb000,0x1fffee00,
    0x81ffff98,0x906ffff8,0x0000ffff,0x7fffe400,0x3fa0000d,0x54002fff,
    0x4c00ffff,0x3e21ffff,0x7f405fff,0x74000fff,0x3fee5fff,0x7fffc06f,
    0x7ffd4002,0x7fffec4f,0x3ffa0000,0x3ffe206f,0x27ffec6f,0xf984ffe8,
    0xffd003ff,0x07fff309,0xfffec880,0x880003df,0x00000009,0x00000000,
    0x13100000,0x03fffdc0,0x001ffff7,0x00000000,0x00000000,0x4013fffe,
    0x2607fffb,0xf901ffff,0xfff01fff,0x7775409f,0x3bbba206,0x3ffffe21,
    0x3fee0000,0xfa8005ff,0x7cc00fff,0x3ff21fff,0x7fdc02ff,0x7f4004ff,
    0x3ffee5ff,0xffff100f,0xfff88003,0x7ffff42f,0xfff30001,0xfffb807f,
    0x13fff21f,0x7f427ff4,0x3ffa006f,0x006ffe84,0x7fffffd4,0xd500efff,
    0x7ffdc5dd,0x775c03ef,0x1eeeeeee,0xddddd700,0x2003dddd,0xeeeeeeeb,
    0xeea801ee,0x3fffee2e,0x7fffb83e,0x03fffee0,0x8005ddd9,0xed83eeea,
    0xeeeeeeee,0xdb05eeee,0xdddddddd,0x400bdddd,0x7003ffff,0x7cc0ffff,
    0xff301fff,0xfffa87ff,0x3ffee01f,0x3fffe607,0x13fffee1,0xffffb000,
    0xfff50005,0xfff9801f,0x1ffff61f,0x17fffe20,0x4bfffd00,0xb05ffffa,
    0x5000dfff,0xffb0ffff,0x70001bff,0x5c01ffff,0x322fffff,0xffd03fff,
    0x01fffb89,0xf713ffa0,0x7dc003ff,0xffffffff,0xffa80fff,0xffffe8bf,
    0x3f205fff,0xffffffff,0xffff9001,0x003fffff,0x3ffffff2,0xfa801fff,
    0xfffe8bff,0x7dc5ffff,0x3fee07ff,0x7ffe40ff,0x7ffdc004,0xffffff83,
    0xffffffff,0xffffff07,0xffffffff,0x7fffc00f,0xffff7003,0x0ffffcc0,
    0xd8dfffd0,0x7dc06fff,0x3fe607ff,0x3fff21ff,0x7fc0001f,0xf50007ff,
    0xf9801fff,0x3ffa1fff,0xfffd005f,0xfffe800d,0x77ffff45,0x0bffff61,
    0xbfffd100,0xffffff70,0x7fe40017,0xfffb106f,0x7fdc7fff,0x49ffd02f,
    0x4003fff8,0x3fe24ffe,0x3fe6003f,0xfc99cfff,0xffa85fff,0xfffffedf,
    0xf902ffff,0xffffffff,0x3fff2003,0x01ffffff,0xffffff90,0xf5003fff,
    0xffffdbff,0x5c5fffff,0x3ee07fff,0x7fdc0fff,0x7fe4005f,0xfffff82f,
    0xffffffff,0xfffff07f,0xffffffff,0x333310ff,0x339ffff3,0x7dc33333,
    0x3fe607ff,0x3fee01ff,0xffff11ff,0x7fffb807,0x87fffe60,0x0007fffd,
    0x02ffffc4,0x0ffffa80,0x0ffffcc0,0x200bffff,0x4007fffe,0x7cc5fffe,
    0xfedfffff,0x26204fff,0xffffcaa9,0xffff880e,0x801cffff,0xfa85fffd,
    0x4fffffff,0x21aaa800,0xa8006ffd,0x1bff61aa,0x0bfffb00,0x507fffee,
    0xffffffff,0x0dfffffb,0x3f73332a,0x95001fff,0xffffb999,0x3332a003,
    0x01ffffdc,0xffffffa8,0xfffffdff,0x81fffee6,0x540ffffb,0x6c006fff,
    0xfff81fff,0xffffffff,0xfff06fff,0xffffffff,0xff70dfff,0xffffffff,
    0x4fffffff,0x2607fffb,0x2201ffff,0xff74ffff,0xffb801ff,0x3ffe607f,
    0x1bfffa1f,0x3fffffee,0xffff30ff,0x3fea000b,0x7fcc00ff,0xffff11ff,
    0x3fff6009,0x7fff4007,0xfffff985,0x403fffff,0xfffffffb,0x7ffd404f,
    0x2effffff,0x913fffa0,0xffffffff,0x2e0000bf,0x00001fff,0x4003fff7,
    0x202ffff9,0x7d44ffff,0x10bfffff,0x001ffffd,0x007fffea,0x1ffffa80,
    0x3ffea000,0xfffa801f,0xfd10bfff,0x3fee1fff,0xffe880ff,0x7ffcc0ff,
    0x7fff4007,0xfffa8000,0xf50000ff,0xf701ffff,0xffffffff,0xffffffff,
    0x807fffdc,0x401ffffc,0xffd7fffd,0xfff700bf,0x7fffcc0f,0x217fffe1,
    0xfffffffb,0x9ffff50f,0x3ffea000,0x7ffcc00f,0x7ffff31f,0x3ffff200,
    0x3fffa000,0xffffd105,0xb801dfff,0xffffffff,0x7ffd402d,0xefffffff,
    0x34ffff81,0x93dffffd,0x0000dfff,0x0009fff1,0x013ffe20,0x80ffff90,
    0x7d45fffd,0xfb83ffff,0xf5001fff,0x40003fff,0x001ffffa,0x07fffea0,
    0x3ffffea0,0x1ffffb83,0xb03ffff7,0x881fffff,0x3260ffff,0x3fffc1cc,
    0x7fffc400,0xff10001f,0x3ee03fff,0xffffffff,0x7fffffff,0x20bfffea,
    0x01fffffb,0x7dffffcc,0xfb801fff,0x3fe607ff,0xffff11ff,0xfffff70b,
    0x3fee1fff,0xf50004ff,0xf9801fff,0xfff31fff,0x3ff2009f,0x3fa000ff,
    0xffc885ff,0xffffffff,0x3fffee02,0x0effffff,0x3ffff220,0x41ffffff,
    0xffbbffff,0xffb0dfff,0xfb0000df,0x6c0000df,0xfd8006ff,0xccccceff,
    0x46fffecc,0x304ffffa,0x2005ffff,0x001ffffa,0x07fffea0,0xffffa800,
    0xffffa801,0x5ffff304,0x913fffee,0x03ffffff,0x7e43ffff,0x37ffc4ff,
    0x7ffff400,0x3ffa0003,0x2aa603ff,0xdffffaaa,0x22aaaaaa,0x544ffff9,
    0x01ffffff,0xffffffe8,0xfff7006f,0x7fffcc0f,0x21bfffe1,0xfffeeeea,
    0xbffff50f,0x3ffea000,0x7ffcc00f,0x9ffff11f,0x1ffff600,0x8bfffd00,
    0xeeffffe8,0x03ffffff,0xfb553331,0x100dffff,0xffffffd7,0x7fff41df,
    0x42ffffff,0x0005fffd,0x000fffd4,0x01fffa80,0xfffffe80,0xffffffff,
    0x7ffd47ff,0xffff100f,0x3ffea005,0x3ea0001f,0x20001fff,0x801ffffa,
    0x100ffffa,0x3ee5ffff,0xffceffff,0x3effffff,0xfd17fff4,0x7ffc4fff,
    0x7ffec005,0x3f60005f,0xf0005fff,0x22007fff,0xecefffff,0x1fffffff,
    0xfffffb80,0xff7003ff,0x7ffcc0ff,0x1ffffa1f,0x43fffea0,0x005ffff8,
    0x01ffff50,0x21ffff98,0xd005ffff,0xe800dfff,0x7ff45fff,0x3ffaa3ff,
    0x44000fff,0x003ffffe,0x3fffff26,0x3ffff63f,0xfe80efff,0x220004ff,
    0xfd914fff,0x3e20017b,0x333264ff,0xfffff01c,0xffffffff,0xffa8ffff,
    0xfff100ff,0x3fea005f,0x2a0001ff,0x0001ffff,0x007fffea,0x403fffea,
    0xf72ffff8,0xffffffff,0xfffffdbf,0x99fffe41,0xf32fffff,0x7dc009ff,
    0x0000efff,0x01dffff7,0x0ffffe00,0xfffffc80,0xffeeffff,0xfff8801f,
    0x7000ffff,0x7cc0ffff,0x3ff61fff,0x7fd400ff,0x3fffe0ff,0xfff50007,
    0xfff9801f,0x1bfffa1f,0x02ffff40,0xa97fffa0,0xd882ffff,0x8004ffff,
    0x005ffff8,0x4ffffe98,0x3ffffff2,0x0ffffe04,0x56ffd800,0x1fffffff,
    0xe8dffb00,0xff03ffff,0xddddddff,0x8bdddddd,0x100ffffa,0x2005ffff,
    0x001ffffa,0x07fffea0,0xffffa800,0xffffa801,0x5ffff100,0x3fffffee,
    0xfff95fff,0x7ffdc1ff,0xbfffff94,0x400bffea,0x01fffff9,0xfffff300,
    0x7ffc0003,0x3fa2003f,0x8effffff,0xb001fffc,0x009fffff,0x303fffdc,
    0x7dc3ffff,0x7d403fff,0x3ffa0fff,0xf98002ff,0x7d401fff,0x7fff47ff,
    0x7ffcc00f,0x7ff4004f,0x17fffa5f,0x06ffff88,0x0dffff00,0x3fffea00,
    0x3ffffee6,0x3fffe602,0xfff50002,0x3f77fe23,0x7fd403ff,0x3fffee1f,
    0x9fffd03f,0xfffa8000,0xffff100f,0x3ffea005,0x3ea0001f,0x20001fff,
    0x801ffffa,0x100ffffa,0x3ee5ffff,0x4ffffeff,0x83ffffa2,0xffd5fffa,
    0x3feeffff,0xfff8801f,0xf10003ff,0x0007ffff,0x003ffff8,0x7ffffec4,
    0x03fff90c,0x3ffffea0,0x3ffee000,0x3fffe607,0x1bfffea1,0x41ffff50,
    0x006ffffd,0x02ffff88,0x3237ffdc,0x5c02ffff,0x4002ffff,0x3fe4ffff,
    0x7fec03ff,0xfff0007f,0x3e2000bf,0x3fea5fff,0x7fe403ff,0xf88000ff,
    0xfb04c4ff,0x7ffc40df,0x3f3bfe24,0xbfffb03f,0xfffa8000,0xffff100f,
    0x3ffea005,0x3ea0001f,0x20001fff,0x801ffffa,0x100ffffa,0x3ee5ffff,
    0x201a8eff,0x7fcc0aa9,0xfcfff9ef,0x0fffcaff,0x5ffffd80,0x3fff6000,
    0xff80005f,0x310003ff,0x7ffc4135,0x3ffea006,0x7fdc005f,0xfff900ff,
    0xffffe83f,0x3fffea04,0x3ffffe60,0xffff8004,0x2ffff405,0x03bfffe2,
    0x037fffc4,0x8ffffea0,0x6c05ffff,0xa8006fff,0x0003ffff,0xe87ffff5,
    0xf100ffff,0x20009fff,0x7400effd,0x3ff604ff,0x327ff60e,0xfff903ff,
    0x7d40003f,0xff100fff,0x3ea005ff,0x20001fff,0x001ffffa,0x07fffea0,
    0x03fffea0,0xb97fffc4,0x80006fff,0xffbffff8,0xfddfff8f,0xfffc807f,
    0x3f20006f,0x00006fff,0x0007ffff,0x01fffd00,0x0fffff40,0x3fffea00,
    0xfffffb82,0x7ffffcc1,0xffffa81e,0x7ffffe40,0x24da881e,0x702ffffe,
    0xfb07ffff,0xe981dfff,0x1ec2ffff,0x2ffffe88,0x407ffffa,0x004ffff8,
    0x97ffffd4,0x7d401be8,0x7d42ffff,0xfe885fff,0xa8000fff,0x36202fff,
    0xff501fff,0xca7fd45f,0xfff303ff,0x2a0001df,0xf100ffff,0x2a005fff,
    0x0001ffff,0x007fffea,0x1ffffa80,0x0ffffa80,0x25ffff10,0x0007fffb,
    0xffdffff0,0x3fbfffa9,0x7ffd406f,0xf50000ff,0x0001ffff,0x00ffffe0,
    0x5fff7000,0x7fffe400,0xfff98004,0x7fffd44f,0xfffd81ff,0xfdceffff,
    0x7c40ffff,0xefffffff,0x2a4fffee,0xabdfffff,0x06ffffdb,0xdffffff3,
    0xbffffffb,0x979bffd0,0xc8dfffff,0x9aceffff,0x1fffffb9,0x955799d5,
    0xbffffff9,0x6f7fffc4,0xffffeecc,0xffffd06f,0xfffd759f,0xfd10009f,
    0x7ff440bf,0xbffd102f,0x6d5fffc4,0xff902dff,0x53359fff,0xff50fb95,
    0x3fe201ff,0xff5002ff,0x540003ff,0x0001ffff,0x007fffea,0x403fffea,
    0xf72ffff8,0x20000fff,0x2ffffffe,0xbffffff7,0x7ffffc40,0xfff10002,
    0x400005ff,0x0003ffff,0x80ffff40,0x3ffff660,0xfff10006,0xfffd9dff,
    0xd103ffff,0xffffffff,0x01ffffff,0xfffffff5,0x89ffffff,0xfffffffd,
    0x01ffffff,0x3ffffff2,0x1effffff,0xffffffe8,0x441fffff,0xfffffffe,
    0x23ffffff,0xfffffffa,0x46ffffff,0xfffffff8,0xefffffff,0xfffff500,
    0xbfffffff,0xfff90001,0x3bffea01,0x83fff201,0xfffffff9,0xffd107ff,
    0xffffffff,0xfff50fff,0x3ffe201f,0x6666442f,0xcdffffdc,0x66443ccc,
    0xffffdccc,0x443ccccd,0xffdccccc,0x3ccccdff,0x807fffd4,0xf72ffff8,
    0x20000fff,0x27fffffd,0x4ffffff8,0x3fffffa0,0xffffffff,0xffffe80f,
    0xffffffff,0xfff000ff,0xe800007f,0x7c3befff,0xffffffff,0x3ff20000,
    0xefffffff,0x2e01fffe,0xffffffff,0x100fffff,0xfffffffb,0xd889ffff,
    0xffffffff,0xfa801eff,0xffffffff,0xfffd00df,0x5fffffff,0x3ffffe60,
    0x4fffffff,0x7fffffd4,0x0cffffff,0x7fffffc4,0xefffffff,0x7fff4c01,
    0x04ffffff,0x05fff300,0x333fffea,0x3ffe60cc,0x7ffffcc2,0x2207ffff,
    0xfffffffd,0xfa87ffff,0xff100fff,0xfff985ff,0xffffffff,0x7cc5ffff,
    0xffffffff,0x45ffffff,0xfffffff9,0xffffffff,0x07fffd45,0x72ffff88,
    0x0000ffff,0x17ffffee,0x07fffffd,0x3fffffe6,0xffffffff,0x7fffcc0f,
    0xffffffff,0xff000fff,0x800007ff,0x47fffffc,0xffffffff,0x7f440001,
    0x8effffff,0x4c01fffc,0xffffffed,0xda800bdf,0xdffffffe,0xfffd500a,
    0x8007ffff,0xfffffed9,0x7fe4c02e,0x004fffff,0xffffffd7,0xfff5019f,
    0x7dffffff,0x3ffb2201,0xdfffffff,0x3ff22001,0x002dffff,0xc817ffa0,
    0xffffffff,0x4c17ffa1,0xcffd9999,0xfffea801,0x84efffff,0x100ffffa,
    0xf985ffff,0xffffffff,0x45ffffff,0xfffffff9,0xffffffff,0x7ffffcc5,
    0xffffffff,0x7ffd45ff,0xffff100f,0x01fffee5,0x7fffd400,0x7fffdc2f,
    0xffff302f,0xffffffff,0xff981fff,0xffffffff,0x000fffff,0x0007ffff,
    0xffffe880,0x7fffffc7,0xb100000c,0x219fffff,0x4001fffc,0x00019aa9,
    0x80009a98,0x00009aa8,0x0001a988,0x00013531,0x0026aa62,0x066aa662,
    0xaaa99800,0x98800009,0xfc80000a,0x3ff200ff,0x91ffffff,0x64001fff,
    0xa98003ff,0x7d4019aa,0xff100fff,0xfff985ff,0xffffffff,0x7cc5ffff,
    0xffffffff,0x45ffffff,0xfffffff9,0xffffffff,0x07fffd45,0x32ffff88,
    0x00005555,0x03ffffe6,0x03fffff1,0x3fffffe6,0xffffffff,0x7fffcc0f,
    0xffffffff,0xff000fff,0x000007ff,0xd906aea6,0x0000159b,0x0026a620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cc00000,0x4cc40099,0x6664c019,
    0x04cccccc,0x00acb980,0x01333000,0x0025cc00,0x80000200,0x98809998,
    0x99999999,0x10009999,0x33355995,0x30013333,0x26000097,0x0009bcba,
    0x33300000,0x80013333,0x99999998,0x99999999,0x33331099,0x33333333,
    0x20133333,0x80009999,0x00009999,0x00066662,0x26666660,0x33100009,
    0x99988013,0x99988000,0x19999999,0x8004cccc,0x26219998,0x99999999,
    0x33109999,0x33333333,0x4cc43333,0x4cc40009,0x7ffcc001,0x7ffd402f,
    0x3ffea00f,0x07ffffff,0xfffffb10,0x54001bff,0xfffffffd,0xfff9003e,
    0xecb8000b,0x02dfffff,0xffffeb88,0xfffc83ff,0xffffffff,0x7fdc02ff,
    0xffffffff,0x3202ffff,0x40005fff,0xffffffe9,0x03ae00df,0xff017440,
    0xdfffffff,0x7fe4017b,0xffffffff,0x3fffffff,0xfffffff7,0xffffffff,
    0x3ffe05ff,0xfff8004f,0x3ee0004f,0x40000fff,0xffffffff,0xe800bdef,
    0x7ec05fff,0xfd8005ff,0xffffffff,0x7ffff47f,0x7fffc401,0x3fffff26,
    0xffffffff,0xffffff95,0xffffffff,0x0027ffd4,0xd507fff2,0x7ffcc5df,
    0x7ffd402f,0x3ffea00f,0x07ffffff,0xffffff98,0x400effff,0xffffffe8,
    0xd005ffff,0x2000bfff,0xffffffe9,0x36605fff,0xffffffff,0xffffc83f,
    0xffffffff,0xfffb102f,0xffffffff,0x7405ffff,0x20005fff,0xfffffffb,
    0x7542ffff,0xff9004ff,0xfffff05d,0xffffffff,0x3ffff205,0xffffffff,
    0xf73fffff,0xffffffff,0xffffffff,0x13fffe05,0x13fffe00,0xffffb800,
    0x7ffc0000,0xffffffff,0x7ff402ff,0x7ffec05f,0x7ffc4005,0xffffffff,
    0x2ffffcc7,0x87ffff20,0xfffffffc,0x95ffffff,0xffffffff,0x4cffffff,
    0x64005fff,0x3fea1fff,0xfff32fff,0xfffa805f,0x3332600f,0x04cccccc,
    0x5effffd4,0x1ffffdb9,0xfffffd10,0x0bffffff,0x017fffa0,0x3fffff20,
    0x05ffffff,0xfffffff5,0xf907ffff,0xffffffff,0x3a05ffff,0xffffffff,
    0xffffffff,0x17fffa02,0x7fffcc00,0xffffffff,0x17ffff45,0x17fffea0,
    0x3ffffffe,0xdfffffff,0x4ccffe40,0x99999999,0xff73ffa9,0xffffffff,
    0x5fffffff,0x013fffe0,0x013fffe0,0x0ffffb80,0x7fffc000,0xffffffff,
    0xffd00dff,0xfffd80bf,0x7ffdc005,0xffffffff,0x1ffffd87,0x89ffff10,
    0xfffffffc,0x95ffffff,0xffffffff,0x4cffffff,0x64005fff,0x3ffa0fff,
    0xfff36fff,0xfffa805f,0x4000000f,0x100efff9,0xf901fffd,0x3115dfff,
    0x3a00bb73,0x54005fff,0xefffffff,0xfa85fffe,0xceffffff,0xffc81ccc,
    0xffffffff,0xffb82fff,0xffbaceff,0x0aaaaaff,0x017fffa0,0x6fffff40,
    0x85fea88a,0x30fffff9,0xffff1133,0xdffff01f,0xfffffb99,0x0ffc89ff,
    0x301579d9,0x3332a7ff,0xeffffccc,0x01cccccc,0x0009ffff,0x0009ffff,
    0x7fffffdc,0x800accef,0xdcceffff,0x4fffffff,0x7fffff5c,0xfeeeeeee,
    0x002effff,0xfffffffd,0xf1055555,0x3f20dfff,0x7fe40fff,0xccccccff,
    0xfff93ccc,0x9999999f,0x7ffc4999,0x7ffec005,0x3fffffe0,0x05ffff37,
    0x00ffffa8,0x7fec0000,0x4ffe8805,0x00ffffe8,0xbfffd000,0x7fffc400,
    0x44b881df,0x1dfffff8,0x27ffe400,0xffffd000,0x03fffcc1,0x02ffff40,
    0x1ffffcc0,0x3fea0190,0xfffffeff,0xf01fffff,0xfd107fff,0x7e43ffff,
    0xfffffb0f,0x01ffcc19,0x002ffff4,0x4427fffc,0x9ffff00c,0x7ffdc000,
    0xffffffff,0x3ffe00bf,0xfffe883f,0x3fff21ff,0xffffffff,0xffffffff,
    0xcfff9803,0x2e007fff,0x7cc2ffff,0xffc83fff,0x7fe4007f,0xff88007f,
    0x7fec006f,0x7fffffc7,0x05ffff37,0x00ffffa8,0x3fe60000,0x965cc40f,
    0x7fc0fff8,0xdb0006ff,0xfffffddd,0x1ddddddd,0x02ffffec,0x1ffffe40,
    0x4fffc800,0xffff7000,0x07fff983,0x7ff7776c,0xeeeeefff,0xfffa80ee,
    0x7fe40007,0xffffffff,0x3fe03fff,0x3ff603ff,0x43ff25ff,0xeffffffd,
    0xd007ff30,0xf000bfff,0x7dc49fff,0x9ffff01f,0x7ffdc000,0xffffffff,
    0xfff00fff,0x7ffec07f,0x3ffff25f,0xffffffff,0x3fffffff,0xf9fffc80,
    0x7f4007ff,0x7ffec6ff,0x0ffff906,0x07fffc80,0x06fff880,0x2e3ffec0,
    0xf33fffff,0xfa805fff,0xeeb80fff,0x1eeeeeee,0x2e27fec0,0xfb0fffff,
    0xfffff89f,0x7ff4001d,0xffffffff,0x20ffffff,0x000fffff,0x02ffffc4,
    0x09fff900,0x1bfffa00,0xd01fffe6,0xffffffff,0xffffffff,0x0dfff701,
    0xffffd000,0xdfffffff,0x03ffff80,0x47ffffe2,0x64c40ffc,0x7ff35fff,
    0x0bfffd00,0x29ffff00,0xf01ffffb,0x40009fff,0xeeeffffb,0x6fffffff,
    0x407ffff0,0x91fffff8,0xffffffff,0xffffffff,0xf8807fff,0x7fff8eff,
    0x7fffd400,0x05ffff33,0x001ffff2,0x000ffff9,0xd001bffe,0xfff70fff,
    0x17fffcc7,0x03fffea0,0x3ffffff2,0x7fc01fff,0x3ffff20f,0x8fff30ff,
    0xdffffffd,0xfffe800b,0xffffffff,0xf10fffff,0x50009fff,0x0003ffff,
    0x0027ffe4,0x984ffff8,0x7f407fff,0xffffffff,0x0fffffff,0x005fffc8,
    0xbfffff80,0x07ffffda,0x201ffffc,0xf92ffffc,0xbffdc01f,0xfe803ff9,
    0xff8005ff,0xfffffeff,0x9ffff01f,0x7ffdc000,0x7ffe440f,0xffff84ff,
    0x7fffe403,0x02ffff42,0x4017fff6,0xff8bfffb,0xffe8007f,0x0bfffb7f,
    0x003fffe4,0x001ffff2,0x76c37ffc,0x037ff40e,0x5ffff301,0x0ffffa80,
    0xffffffc8,0x3e601fff,0x3fffe66f,0x3ffe0dcd,0x3ffffe20,0x202dffff,
    0xfffccccb,0xccccccff,0x7ffff30c,0xffff9000,0x7fe40010,0xff88004f,
    0xfff982ff,0x66665c07,0xcccfffff,0xfc80cccc,0x540005ff,0x7cc0ffff,
    0x3fe02fff,0x7fd403ff,0x01ff93ff,0x7ccfffc4,0xfffe803f,0xffff8005,
    0x02efffff,0x4013fffe,0x0ffffb80,0x0dffff50,0xa807ffff,0x7f43ffff,
    0x7fec05ff,0xfffd005f,0x00ffff11,0xfbffff30,0x7e401fff,0x7e4007ff,
    0xfd0007ff,0x2fff98ff,0x20037ff4,0x402ffff9,0xa80ffffa,0xfffdcccc,
    0x97fea01f,0x3a02fffd,0x7ff441ff,0xefffffff,0xbfffd001,0x3fffee00,
    0xfffe8002,0xefffedae,0x3fff202d,0x0bdeffff,0x03ffff30,0x333ffff3,
    0xfffe8033,0xfffc8005,0x7fec0005,0x9fffd04f,0xbffff550,0xff985555,
    0x01ff94ff,0x7cc7ffcc,0xfffe803f,0xffff8005,0xf802efff,0x7e404fff,
    0x3ffee2ff,0x3fff600f,0xffff550f,0xf985555b,0x7ff44fff,0x7ffec05f,
    0x5fff9805,0x333ffff1,0xfff90013,0xc809ffff,0x64007fff,0xaaaaffff,
    0x741aaaaa,0x7ffe47ff,0x4c2fff45,0x3fe60ced,0x7fd402ff,0xff5000ff,
    0x7fdc03ff,0xb01bffa4,0x3f6a05ff,0xffffffff,0x5fffe801,0x7ffff700,
    0xfffff000,0xffffffff,0xfff901bf,0xffffffff,0x3ffff509,0xffffff30,
    0xffe80fff,0xd995005f,0x9999dfff,0xfe801999,0xfff901ff,0xffffff0b,
    0xf88dffff,0x1ff95fff,0x7ff5ccc4,0xc887ff35,0xeffffccc,0xd500cccc,
    0x07ffffff,0x027fffc0,0x23fffff9,0x200ffffb,0xff1ffffc,0xffffffff,
    0x5ffff88d,0x777ffff4,0xfffeeeee,0xfffc805f,0xffffff12,0xff1009ff,
    0x801fffff,0xcccffffc,0x90cccccc,0xffffffff,0xe89fffff,0x7fff47ff,
    0x2a2fffc7,0xf30fffff,0xfa805fff,0xf5000fff,0x7e403fff,0x017ffe3f,
    0xb5007ff9,0x0bffffff,0x00bfffd0,0x013fffea,0x3fffffe0,0xffffffff,
    0xffffc86f,0xffffffff,0x07fffdc5,0x7fffffcc,0x7ff407ff,0xfff9005f,
    0xffffffff,0xfe803fff,0xfff501ff,0xffffff0d,0xff0dffff,0x83ff2dff,
    0x0ffffffe,0xff987ff3,0xffffffff,0x7f4c1fff,0x005fffff,0x104ffff8,
    0x2bffffff,0x200ffffb,0xff1ffffb,0xffffffff,0x8dffff0d,0xfffffffe,
    0xffffffff,0x27fff805,0xfffffff8,0xfff7004f,0xff9005ff,0xffffffff,
    0x3ff23fff,0xffffffff,0x7fec4fff,0x3ffffe67,0xff13ffe2,0x3e6bffff,
    0x7d402fff,0xf5000fff,0x7e403fff,0x01bffe3f,0x44007ff9,0x447ffffc,
    0xffffcccc,0x44cccccf,0x00fffff9,0x3ffffe20,0xfffdceff,0x66543fff,
    0xfffeeccc,0x3fee5fff,0xfff980ff,0x407fffff,0x9005fffe,0xffffffff,
    0x03ffffff,0x502fffe8,0xfff0bfff,0xdfffffff,0x32bffff0,0x3fff60ff,
    0x0ffe60cf,0xfffffff3,0x83ffffff,0xfffffffa,0xffff8004,0xfffff304,
    0x3fffeedf,0x9ffff600,0xffffffff,0xffff86ff,0x7fffff45,0xffffffff,
    0x7fd405ff,0x3fffe24f,0x2004ffff,0x9006fffe,0xffffffff,0x323fffff,
    0xffffffff,0x6c4fffff,0xfff70fff,0x27ffc9ff,0xfffffff1,0x00bfffe6,
    0x001ffff5,0x807fffea,0x3ffa4ffb,0x0bff600f,0x3ffffa00,0x3ffffe20,
    0xffffffff,0xfffff87f,0x3ffe2004,0xffb80aef,0x6cc007ff,0x3ea7ffff,
    0xff981fff,0x019999ff,0x802ffff4,0xfffffeeb,0x1eeeeeee,0x827ffec0,
    0xaa84fffb,0xaaadffff,0xa7fffc42,0x3ff60ffc,0x987ff300,0xffffffff,
    0x541fffff,0x4fffffff,0x4ffff800,0xffffff10,0x03fffeeb,0x537fffc4,
    0x55bffff5,0xffff8855,0x77ffff44,0xffeeeeee,0x7fec05ff,0x3fffe21f,
    0xe881aaaa,0xffffeeee,0x40eeeeef,0xfffffffc,0x91ffffff,0x5555ffff,
    0xc8355555,0xfffd0fff,0x27ffcfff,0xdffffff1,0x00bfffe6,0x001ffff5,
    0x807fffea,0x3ff65ffa,0xffe810cf,0x3fe20061,0x7ffc47ff,0xffffffff,
    0xffb87fff,0x7300dfff,0x017fffe2,0x001ffffb,0x23ffffb0,0x981ffff9,
    0xe8007fff,0xc8005fff,0x40005fff,0xfd06fffc,0x7ffc07ff,0x7ffcc03f,
    0x6c1ff93f,0x0ffe607f,0x017fffa0,0x3ffe2fea,0xfff8004f,0x3fff204f,
    0xffff71ff,0xffffb101,0x07ffff09,0x43ffff98,0x6c05fffe,0x3e205fff,
    0x7ffc46ff,0xffff3007,0xffffffff,0xffc81fff,0x7fe4007f,0xff90007f,
    0xf7fff11f,0x7fff13ff,0x3fffffd8,0x805ffff3,0x000ffffa,0x403ffff5,
    0x3fea6ff9,0x3e0fefff,0x59ff10ff,0x3ffae633,0x7ffc45ff,0xffffffff,
    0xff887fff,0xccefffff,0x3ffe6ffd,0x7ffd405f,0xffa8002f,0xffff13ff,
    0x0ffff305,0x0bfffd00,0x0bfff900,0xffff9800,0xffffb12d,0x1ffffc01,
    0x4bfffee0,0x132a0ffc,0xe803ff98,0x08805fff,0x0013fffe,0x7013fffe,
    0x7fdc3bfd,0xfca999ff,0xff06ffff,0xffb807ff,0x7fff42ff,0x2fffec05,
    0x55bfff70,0x00ffff75,0x3fffffe6,0xffffffff,0x3fffe40f,0x1ffff200,
    0x4fffdc00,0xfff8dffb,0x443fff8c,0x3e64fffe,0x7d402fff,0xf5000fff,
    0x7c403fff,0x3fff61ff,0xfff50fff,0x7fffffc4,0xffffffff,0x5fffe800,
    0x7fffcc00,0xffffffff,0x01bfffa6,0x005ffff3,0x49ffff30,0xf984ffff,
    0xfe8007ff,0xfc8005ff,0xe80005ff,0xffffffff,0x7fc04fff,0x7ff403ff,
    0x81ff91ff,0x0ffe6009,0x017fffa0,0x013fffe0,0x013fffe0,0xfffffb80,
    0xffffffff,0x7ffff01f,0x1ffffe80,0x202ffff4,0x3a05fffd,0xffffffff,
    0x40007fff,0x9005fffd,0xc800ffff,0x70007fff,0x7ffb3fff,0x3fe7bffa,
    0x9815302f,0x5402ffff,0x5000ffff,0xd803ffff,0x7ffdc5ff,0x47ffd0ff,
    0xfffffff8,0x01efffff,0x00dfffd0,0xffffff30,0x6cdfffff,0x2a00ffff,
    0x8001ffff,0x3a2ffffa,0xff986fff,0xffe8007f,0xffc8006f,0x7cc0005f,
    0xffffffff,0x3e00ffff,0x3ea03fff,0x3ff25fff,0x4c07ffa0,0xffe803ff,
    0xfff8005f,0xfff8004f,0x3ee0004f,0xffffffff,0x3e01efff,0x3ea03fff,
    0xffe85fff,0x7ffec05f,0xfffff305,0xffffffff,0xfffd8000,0xffff9005,
    0x7fffc800,0x5fff7000,0x3fee1fff,0x002fffaf,0x017fffcc,0x801fffee,
    0x401ffffa,0xa880fff9,0x81fff309,0xfffffffd,0x2000beff,0x000ffffd,
    0xfffffb50,0x7fdc5bff,0x3ff603ff,0xffb0007f,0x7ffdc1ff,0x3fffcc2f,
    0x7fffec00,0x7ffe4000,0x3fa20005,0xffffffff,0x3e06ffff,0xff303fff,
    0x7fe43fff,0x209fff30,0xfe803ff9,0xff8005ff,0xff8004ff,0x2e0004ff,
    0xffffffff,0xff803fff,0xfff303ff,0xfffd03ff,0x5fffd80b,0xffffff90,
    0x0fffffff,0x2aaaaa20,0xaaaefffe,0x7fffc82a,0x3fffe400,0xcfffa800,
    0x3ffe66ff,0x4001fffc,0x022ffff9,0x801bfffa,0x801ffffa,0x4c00effd,
    0x26203fff,0x004fffda,0x05ffff90,0x7fffc400,0xffff1009,0xffff703f,
    0xffd8800b,0x7ffc46ff,0x3ffe61ff,0xfffc8007,0x7fe4002f,0x3f60005f,
    0xcddcbfff,0x04ffffbb,0xc987ffff,0x644fffff,0x5fff10ff,0x200ffe60,
    0x8005fffe,0x8004ffff,0x0004ffff,0x333fffee,0x3e0009ab,0x7e4c3fff,
    0xfd04ffff,0xffd80bff,0x3ffff05f,0xfff33333,0x3ffe600f,0xffffffff,
    0x7e40ffff,0x7e4007ff,0xf50007ff,0xe87fffff,0x01ffffff,0x97fffcc0,
    0xffeccef8,0x3ea004ff,0xf9801fff,0xff501fff,0x7fec00ff,0xff70001f,
    0x7535bfff,0xfff98019,0xffffc805,0xfffdbbcf,0x337e21ff,0xfffdcbbc,
    0xffd81fff,0xffdcefff,0x1cccccff,0x3ffffee0,0x70cba9ad,0xdfffffdd,
    0xdddddddd,0x4ffffb89,0x17fffec0,0x7777fffc,0xefffffff,0x9307fe40,
    0x01ffcc07,0x002ffff4,0x7ffffffc,0x7fffffff,0x3ffffffe,0x6fffffff,
    0x00ffffb8,0x77fffc00,0xffffffee,0xfffd00ef,0x5fffd80b,0x105fffa8,
    0x9999ffff,0xffff9819,0xffffffff,0x7fe40fff,0x7fe4007f,0xeeeeeeff,
    0x7fcc6eee,0x7e41ffff,0x000fffff,0x897fffcc,0xffffffff,0xcccc880f,
    0xcdffffdc,0xffa83ccc,0xffdbdfff,0x3a000eff,0x220006ff,0xffffffff,
    0x7dc00fff,0xff8802ff,0xffffffff,0x7fc43fff,0xffffffff,0xfd101fff,
    0xffffffff,0x5fffffff,0x7ffffc40,0x90ffffff,0xffffffff,0xffffffff,
    0x06fffe8b,0x85ffff88,0xffffffff,0x80cfffff,0xaaaabffc,0xbaaaaaaa,
    0xffe803ff,0xfff8005f,0xffffffff,0x3ffe7fff,0xffffffff,0xffb86fff,
    0x7c0000ff,0xffffffff,0x200cffff,0x6c05fffe,0xffd85fff,0xffff102f,
    0x881fffff,0xffeaaaaa,0x82aaaaef,0x4007fffc,0xfffffffc,0x47ffffff,
    0x86fffff9,0x0ffffff9,0x7fffcc00,0xffffff12,0x3fe605ff,0xffffffff,
    0x305fffff,0xfffffffd,0xf8800bff,0x540003ff,0xffffffff,0x7fe400ff,
    0x3ff62007,0xffffffff,0xfffff883,0x1dffffff,0x7ffff440,0xffffffff,
    0x7d402fff,0xffffffff,0xfffff90f,0xffffffff,0xff50bfff,0x0bbea003,
    0x7ffffffc,0x202effff,0xfffffffc,0xffffffff,0xffe803ff,0xfff8005f,
    0xffffffff,0x3ffe7fff,0xffffffff,0xffb86fff,0x7c0000ff,0xffffffff,
    0xfe802eff,0x7fec05ff,0x3fffc45f,0xffffff10,0x36001fff,0xf9005fff,
    0xfc800fff,0xffffffff,0x7c47ffff,0xff04ffff,0x8001ffff,0x3a2ffff9,
    0x00dfffff,0x3fffffe6,0xffffffff,0x3fb2205f,0x003dffff,0x000fff98,
    0xffffd980,0x7400ffff,0xeb8004ff,0x0cffffff,0xffffff10,0x80039fff,
    0xffffffdb,0x2fffffff,0xffffd980,0xff90ffff,0xffffffff,0x0bffffff,
    0xf00a000c,0x9bdfffff,0xffc80135,0xffffffff,0x3fffffff,0x05fffe80,
    0xffffff80,0xffffffff,0x3fffffe7,0xffffffff,0x0ffffb86,0x7fffc000,
    0x09acdeff,0x0bfffd00,0x5c5fffd8,0x3e204fff,0xffffffff,0xbfffb000,
    0x1ffff200,0xfffff900,0xffffffff,0xfffff88f,0xfffff901,0x26200000,
    0xfff30009,0xffffffff,0x400bffff,0x440000a9,0x400002aa,0x009aaa98,
    0x00015550,0x20009a98,0x0019aa99,0x0066a200,0x55531000,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00199998,0x3304cccc,0x33100333,0x4ccc4133,0x80009999,
    0x99999999,0x01999999,0x99809998,0x99998809,0x10009999,0x98803333,
    0x26620999,0x26600019,0x26620199,0x2a600099,0x544001aa,0x0000abcb,
    0x09999988,0x33333310,0x53000033,0x88013799,0x99999999,0x09999999,
    0x00133331,0x3304cccc,0x99880133,0x4ccccc19,0x00ccc400,0x09999988,
    0x99999880,0x26200099,0x99999999,0x99999999,0x26666660,0x99999999,
    0xeeb80099,0x2800002e,0x20000140,0x7ec00998,0xf1002fff,0x7ffc9fff,
    0x7fec02ff,0x3ffea4ff,0xdeffffff,0x3ffe600b,0xffffffff,0x2600ffff,
    0x7fd42fff,0xffffc81f,0xcfffffff,0x0ffff901,0x0fffffcc,0x003ffff5,
    0x0bffffe0,0x037fffe4,0x27fffec4,0xffffeb80,0x0000cfff,0x5ffffff3,
    0x3fffff20,0x02dfffff,0x3ffffea0,0x3f604fff,0xffffffff,0x76ffffff,
    0x2009ffff,0xf31ffffc,0xfb805fff,0xfff30fff,0xffe80bff,0xffff801f,
    0xffb806ff,0xefffffff,0x3ffee02d,0xffffffff,0x22ffffff,0xffffffff,
    0xffffffff,0x3fffc806,0x3fa20000,0x001bf903,0x3fffb260,0x5c0cefff,
    0x7004ffff,0x7d45ffff,0x3e606fff,0x3ea0ffff,0xffffffff,0xf302ffff,
    0xffffffff,0x01ffffff,0x2a0fffd4,0xffc81fff,0xffffffff,0xffc84fff,
    0x3fffa07f,0x7fffd43f,0xffff0001,0x3fffe0bf,0x3ff2207f,0x4c04ffff,
    0xfffffffe,0x8000ffff,0x2ffffffe,0xffffff90,0x1dffffff,0x7ffff440,
    0x1effffff,0xffffffd8,0xffffffff,0x3ffffa6f,0x7fffc400,0x0bfffe65,
    0x21ffff70,0x0ffffff9,0x007fffa0,0xfffffff3,0xffffb801,0xffffffff,
    0xffffb82e,0xffffffff,0x3e2fffff,0xffffffff,0x6fffffff,0x03fffc80,
    0xfffd3000,0x0efffc87,0x7fffdc00,0xffffffff,0x1ffffe22,0x07fffec0,
    0x40bffffa,0x543ffffd,0xffffffff,0x0dffffff,0x7fffffcc,0xffffffff,
    0x3ffee00f,0x407ffdc0,0xfffffffc,0x3fffffff,0xb83fffe4,0xfa86ffff,
    0x88001fff,0x987fffff,0x887fffff,0xfffffffc,0x3ffea04f,0xffffffff,
    0x7dc005ff,0x02ffffff,0xfffffff9,0x1dffffff,0x3fffffa0,0x6fffffff,
    0xffffffd8,0xffffffff,0x3fffee6f,0x7fffe403,0x0bfffe61,0x21ffff70,
    0x4ffffff9,0x007fffa0,0xfffffff9,0xffffb807,0xffffffff,0x7ffdc2ff,
    0xffffffff,0x22ffffff,0xffffffff,0xffffffff,0x3fffc806,0xfffa8000,
    0xffd10eff,0x5c003fff,0xffffffff,0x3a1fffff,0xf801ffff,0xffa85fff,
    0xfff986ff,0xffffa86f,0xffffdccc,0x55444fff,0xeffffaaa,0x5c02aaaa,
    0x7fe40fff,0x5ffff907,0xffff9755,0x7ffe41ff,0xfffff887,0x1ffffa80,
    0xffff8800,0x7ffe42ff,0x7ffdc7ff,0x4fffffff,0x3bfffa20,0xffffebac,
    0xfff1002f,0x205fffff,0xdccffffc,0x4ffffffe,0xbfffffb8,0xfffffb99,
    0x77777642,0xfffeeeee,0x7fff45ff,0xffff100f,0x2ffff98b,0x87fffdc0,
    0xfffffff9,0x03fffd00,0xffffffe8,0x7ffdc05f,0xffeccccf,0x32a0ffff,
    0xfffccccc,0xccccccef,0x3fffffe1,0xffffffff,0xffc805ff,0x7dc0003f,
    0x440dffff,0x02fffffe,0x3559df70,0xdffffd53,0x01ffffe4,0x40ffffea,
    0x6c2ffffd,0xfa82ffff,0xfe880fff,0xe801ffff,0xc8005fff,0x6ffd87ff,
    0x20dfff90,0x21ffffe8,0xfe87fffc,0xff502fff,0xf30003ff,0xe89fffff,
    0x20ffffff,0xfcfffffb,0x7cc04fff,0xffffb02f,0x3fff6009,0x902ffffe,
    0xf910ffff,0xff88dfff,0xff980eff,0xf50006ff,0xfb81ffff,0xff903fff,
    0xfff983ff,0x7ffdc02f,0xfffff30f,0x3ffa07ff,0x3ffe201f,0x407fffef,
    0x980ffffb,0x005ffffe,0x200bfffd,0x99999999,0xffffd999,0x3fffc802,
    0x3fff2000,0x7fec04ff,0x19804fff,0x27fffd80,0x405ffff9,0x300ffffc,
    0x7ccdffff,0xff506fff,0x7fec01ff,0xffe805ff,0xaaa8805f,0xaaaafffe,
    0x22aaeffe,0x2a06fffc,0x3f23ffff,0x7ffdc7ff,0x3ffea05f,0xff98001f,
    0x3e67ffdf,0x20fffdff,0xff1dfff8,0x015009ff,0x02ffffc4,0x7cffffd4,
    0xff902fff,0x7fff40ff,0x3fffe60f,0x3ffff202,0x7ffc4002,0xfffd02ff,
    0xbffff10f,0x05ffff30,0x30ffffb8,0xffffffff,0x807fffa0,0xffaefffa,
    0x3fee02ff,0xfff100ff,0x3ffa00ff,0x4400005f,0x4cc6ffff,0xfffd9999,
    0x0199999c,0x3fffff62,0xffff7002,0x2a0000bf,0x3fe0ffff,0x7ff407ff,
    0x7ffe406f,0x3ffffb3f,0x03fffea0,0x1fffff88,0x02ffff40,0x7fffffcc,
    0xffffffff,0xff90ffff,0x7ffcc0df,0x9ffff22f,0x00fffff8,0x007fffea,
    0x3efffe60,0x7dff71ff,0x2ed81fff,0x0027fffc,0x07ffff80,0xff4fffe8,
    0x3ff205ff,0x3fff207f,0x3fffee1f,0x3fffe600,0x7ffec003,0x3ffee05f,
    0x7fffe43f,0x2ffff981,0x87fffdc0,0xfffffff9,0x1fffe82f,0x233fff60,
    0x2e04ffff,0x3600ffff,0xe800ffff,0x00005fff,0x21ffffdc,0xffffffff,
    0xffffffff,0xffffd107,0xffa8003f,0x0000efff,0x90ffffcc,0x2205ffff,
    0x4403ffff,0xffafffff,0x3fea05ff,0x7fe400ff,0x7ff402ff,0xfff9805f,
    0xffffffff,0x0fffffff,0x5c0dfff9,0x3f21ffff,0x3fff67ff,0x7ffd401f,
    0xffa8001f,0xfd3fff9f,0x83fff79f,0x09ffff00,0x3fffe000,0x37ffdc06,
    0x3205ffff,0x3f207fff,0x3ff20fff,0x7ffc00ff,0x3fea004f,0x7f400fff,
    0x3ffe26ff,0xffff305f,0xffffb805,0xf9dfff30,0xfffd0dff,0x97fffc03,
    0x2e06fffe,0x2e00ffff,0xe801ffff,0x00005fff,0x21ffffe2,0xffffffff,
    0xffffffff,0xfffff987,0xfd30000e,0x1003ffff,0xffb99753,0x7ffd43ff,
    0xffff704f,0xffff9003,0x403fffff,0x400ffffa,0x403ffffa,0x9805fffe,
    0xffffffff,0xffffffff,0xdfff90ff,0x1bfffe20,0x3eeffff9,0xfa804fff,
    0xa8001fff,0xdffd8fff,0xffb9fff8,0xffff001f,0xff100009,0x7fc40bff,
    0x3fffe1ff,0x0ffff902,0x71ffffa2,0xf803ffff,0xf1005fff,0x7005ffff,
    0x3ee5ffff,0xff301fff,0xffb805ff,0xdfff30ff,0xe85ffff3,0xff301fff,
    0x3ffee1ff,0xffff701f,0x7fffe401,0x5fffe800,0x3fee0000,0xffff83ff,
    0xffffffff,0x7dc7ffff,0x0005ffff,0xfffffe88,0xffffb502,0x3fffffff,
    0xb06ffff8,0x2200ffff,0xffffffff,0x7fffd404,0x7fffcc00,0x2ffff404,
    0x0fffe200,0x3205fff3,0xa999ffff,0x40fffffb,0xff8ffffc,0xff5006ff,
    0xf70003ff,0x7fff71ff,0x3ffeefff,0x9ffff002,0xfff70000,0x7ffec05f,
    0x817fffc4,0xd887fffc,0x7d43ffff,0x7f404fff,0xffb006ff,0x7f400bff,
    0xbfffd6ff,0x6ffffcc0,0xdccccccc,0xff30ffff,0x17fff6df,0x3203fffd,
    0x3fe65fff,0xfff703ff,0x7ffec01f,0xbfffd007,0x7ffc0000,0xaaaa80ff,
    0xadfffdaa,0x3f22aaaa,0x0003ffff,0x7ffffec0,0x3ffffa23,0xffffffff,
    0x7fffec1f,0x04ffff80,0x3ffffee0,0x7fd400ff,0x7fc400ff,0x7ff405ff,
    0x7fcc005f,0x0fffd42f,0xffffffc8,0x1dffffff,0xfdffffc8,0xf5001fff,
    0x70003fff,0xfff11fff,0x3fea9ffd,0xffff002f,0xff880009,0x3fea07ff,
    0x7fffc0ff,0x9ffff902,0xfffffd99,0xfffff10b,0x7fed445b,0xffa807ff,
    0x2e000fff,0xfffcffff,0x3ffe601f,0xffffffff,0x30ffffff,0x3feadfff,
    0x3fffa1ff,0x87fffd01,0xf705ffff,0x3e601fff,0xfd006fff,0x20000bff,
    0x004ffffb,0x401fffe4,0x0dfffffa,0xffb10000,0x7ff45fff,0xdccdefff,
    0x7dc1ffff,0x7fcc3fff,0x7fc002ff,0xa804ffff,0xf800ffff,0x7f406fff,
    0x7d4005ff,0x7ffd41ff,0xfffff901,0xbfffffff,0xfffff905,0x5400bfff,
    0x8001ffff,0xffd0fffb,0x3fea3fff,0xffff002f,0xffe80009,0xfff103ff,
    0x5ffff05f,0x3fffff20,0x3fffffff,0x3fffff20,0xffffffff,0x7fc406ff,
    0xe8002fff,0x5fffffff,0x7ffffcc0,0xffffffff,0xff30ffff,0x2ffff4df,
    0xf103fffd,0xffd83fff,0xfffb80ff,0xffffa80f,0xfffd002f,0x3fe0000b,
    0x64000fff,0xf3003fff,0x001dffff,0xffffe980,0x3fffee1e,0xffff980d,
    0x2ffffc41,0x001ffff2,0xfffffff5,0xffffa801,0x5ffff800,0x02ffff40,
    0x703ffee0,0x3f201fff,0xffffffff,0x644fffff,0xfffeffff,0xfff5002f,
    0xff90003f,0x3ffffe4f,0x2007fff5,0x0004ffff,0x817ffff2,0xff05fffc,
    0x3ff205ff,0xffffffff,0xffffd003,0xffffffff,0xffd80bff,0xf70004ff,
    0x03ffffff,0xffffff98,0xffffffff,0xfff30fff,0x87fffdcd,0xfb81fffe,
    0xfffa87ff,0xffffb82f,0xfffedccc,0x3fa004ff,0xb80005ff,0x8004ffff,
    0x2003fffc,0x2fffffe8,0xffff5000,0xfffd81bf,0xffff300f,0x8ffffd03,
    0x4005fffe,0xfffffffe,0x7fffd404,0x7fffc400,0x2ffff404,0x03ffee00,
    0x7e40fff9,0xaa999fff,0x23fffffd,0xff9ffffc,0xfa800fff,0xc8001fff,
    0x3ffe67ff,0x0fffea4f,0x027fffc0,0xeffffb80,0x1ffff300,0x40bfffe0,
    0xfffffffc,0x8803ffff,0xfffffffc,0x04ffffff,0x03ffffea,0xfffff800,
    0xfff9805f,0xaaaaaacf,0x30ffffca,0xfff8dfff,0x03fffd4f,0xf109fffb,
    0xff709fff,0xffffffff,0x4001dfff,0x0005fffe,0x00ffffe8,0x03fffc80,
    0x7fffec40,0x7fdc003f,0xfff05fff,0x7ffe40df,0xffffb81f,0x05ffff11,
    0x7ffffdc0,0x2a01ffff,0x4c00ffff,0x7403ffff,0x74c05fff,0xeeffffee,
    0xeeffffee,0x1bfff20e,0x0fffffb8,0x3f2ffff9,0xfa805fff,0xd8001fff,
    0x7fffc7ff,0x013ffe62,0x0027fffc,0x07ffffdc,0x407fffd0,0xf902ffff,
    0x3fee2fff,0x73001fff,0xf159bdd9,0x3e209fff,0x0002ffff,0x07ffffdc,
    0x17fffcc0,0x43fffee0,0x7dc6fff9,0xfffe8fff,0x17fffc41,0xb87fffe8,
    0xffffffff,0x8003ffff,0x0005fffe,0x027fffd4,0x03fffc80,0xfffff900,
    0x3fff6009,0x3ffa03ff,0xfffd81ff,0xfff981ff,0x1ffff54f,0x3fffe200,
    0x05ffffcf,0x003fffea,0x805ffff7,0x4c05fffe,0xffffffff,0xffffffff,
    0x3fff20ff,0x7ffffc06,0x74ffff91,0x5402ffff,0x8001ffff,0x7fe47ffd,
    0x027ffcc7,0x004ffff8,0x07ffffdc,0xffffff30,0xffffffff,0x321fffff,
    0x7fd47fff,0x300006ff,0x3607ffff,0x0004ffff,0x00bffff0,0x00bfffe6,
    0x261ffff7,0x7fc46fff,0x1fffebff,0x66ffffd4,0xfffecccc,0x7fffdc1f,
    0x0cdeffff,0xbfffd000,0xfffe8000,0xdd70000f,0x7dc0005d,0x100dffff,
    0x05fffffd,0xbeffffd8,0xfffffeb9,0xdffff01f,0x801bfff6,0xff3ffffc,
    0x3ea05fff,0x7f400fff,0x7f401fff,0x7fcc05ff,0xffffffff,0xffffffff,
    0x01bfff20,0x325ffff9,0x3fea7fff,0x3ea00fff,0xd8001fff,0x277547ff,
    0x4013ffe6,0x2004ffff,0x01fffffb,0x7fffffcc,0xffffffff,0xf90fffff,
    0xfff90fff,0xf700005f,0xff501fff,0x00001dff,0x4017fffe,0x402ffff9,
    0xf30ffffb,0xfff90dff,0xc83fffdd,0xffffffff,0x3fffffff,0x4cffffdc,
    0x3fa00001,0x2a0005ff,0x0005ffff,0x3e600000,0x4c1effff,0x01ffffff,
    0xffffff98,0xffefffff,0xffff901f,0x007ffff1,0x43ffffe6,0x506ffffb,
    0x5401ffff,0xe805ffff,0x64405fff,0xccefffcc,0xccefffcc,0x037ffe44,
    0x647ffff2,0x7fec7fff,0x3fea05ff,0xfe8001ff,0x3fe6006f,0xffff005f,
    0x3ffee009,0xff9800ef,0xffffffff,0xffffffff,0x0ffff90f,0x00dffff3,
    0x5ffff880,0x1fffff88,0x3ffe0000,0xfff3005f,0xfffb805f,0x0dfff30f,
    0xfffffff3,0xfffff83f,0xffffffff,0x7fdc6fff,0x800000ff,0x0005fffe,
    0x007ffffa,0x10000000,0x21fffffd,0x0efffff8,0x3ffff200,0xfc9fffff,
    0xfff501ff,0x03ffff9f,0x0fffff60,0x507ffffd,0x2601ffff,0x801fffff,
    0x4005fffe,0x7fc44fff,0x3fff203f,0x3fffe206,0x8ffff90f,0x03fffff8,
    0x003ffff5,0x400dffd0,0xf005fff8,0xf5009fff,0x2001dfff,0xfffffff9,
    0xffffffff,0xff90ffff,0x3fff60ff,0xfd10002f,0xffb05fff,0x800009ff,
    0x3005ffff,0xb805ffff,0xff30ffff,0x3fff60df,0x3e61ffff,0xffffffff,
    0xffffffff,0x03fffee0,0x3ffa0000,0xff50005f,0x32a00bff,0xcccccccc,
    0x01cccccc,0x17ffec40,0x0017ffea,0x7fffffdc,0x03fff90c,0x7ffffffc,
    0xfff3006f,0xffff50ff,0xffffa81f,0x7fffe4c0,0xfffd004f,0x7ffc400b,
    0x017ffcc3,0x260dfff9,0x326ffffe,0xffb87fff,0xffa80fff,0xff8001ff,
    0x3fe2006f,0xffff006f,0xffffa809,0x999999af,0xff000099,0x3ff205ff,
    0xffff507f,0x7e4c400d,0xfa85ffff,0x9999ffff,0x01999999,0x00bffff0,
    0x00bfffe6,0x261ffff7,0xff506fff,0x5c3fffff,0x9999efff,0xfffc9999,
    0x3fffee2f,0xfe800000,0xfd0005ff,0x2e003fff,0xffffffff,0x2fffffff,
    0x205f9000,0x980004fa,0x6c0001aa,0x4fffffff,0x7ffffd00,0x13ffffa0,
    0xdddffff5,0xdfffffff,0xeeeee881,0xeeefffff,0xfff980ee,0x00fffd42,
    0xdddffff9,0xfffffffd,0x83fffe43,0xa85ffffe,0xffffffff,0x23ffffff,
    0x22006fff,0x3fe26fff,0xffffffff,0xf57fffff,0xffffffff,0x0dffffff,
    0x0bfffe00,0xd03fffe4,0xe883ffff,0xffffffee,0xfff06fff,0xffffffff,
    0x00ffffff,0x4017fffe,0x402ffff9,0xf30ffffb,0x7ff40dff,0x3fa1ffff,
    0xff9804ff,0x3ffee5ff,0xe800000f,0xa8005fff,0x2005ffff,0xfffffffb,
    0xffffffff,0x30060002,0x00000000,0xffffff50,0xfff5003f,0x7ffd40ff,
    0x3ffea1ff,0xffffffff,0xff980cff,0xffffffff,0xa80fffff,0x7fdc1fff,
    0x3fff200f,0xffffffff,0x7fe43fff,0xffff307f,0xffffa87f,0xffffffff,
    0x17ffe3ff,0x26fff880,0xfffffff8,0xffffffff,0xffffff97,0xffffffff,
    0x3fe000df,0xfff902ff,0x7fffdc0f,0x7ffffcc5,0x0effffff,0xfffffff0,
    0xffffffff,0x3ffe00ff,0xfff3005f,0xfffb805f,0x0dfff30f,0x7fffffdc,
    0x05ffff11,0xb9ffffe0,0x0000ffff,0x05fffe80,0x1ffffd80,0x3fffee00,
    0xffffffff,0x00002fff,0x00000000,0x7fffc400,0xff8807ff,0x7f403fff,
    0x3fea6fff,0xffffffff,0x3fe602ef,0xffffffff,0xb80fffff,0x7fdc0fff,
    0x3fff200f,0xffffffff,0xfffc82ef,0x3ffff207,0x3fffea0f,0xffffffff,
    0xbfff13ff,0x27fff800,0xfffffff8,0xffffffff,0xffffff97,0xffffffff,
    0x3fe000df,0xfff902ff,0x7fffc40f,0x3fffe61f,0x02efffff,0x7ffffffc,
    0xffffffff,0xffff007f,0x3ffe600b,0x7ffdc02f,0x0dfff30f,0x1ffffff8,
    0x400ffff5,0xf71ffffc,0x00001fff,0x00bfffd0,0x06ffff98,0x00000000,
    0x00000000,0xffe80000,0xfb805fff,0xfa806fff,0xff52ffff,0x59bdffff,
    0xfff98013,0xffffffff,0xfc80ffff,0x07ffc87f,0x7fffffe4,0x201cdeff,
    0x2207fffc,0x2a6fffff,0xffffffff,0x13ffffff,0xf800bfff,0x3ffe27ff,
    0xffffffff,0xff97ffff,0xffffffff,0x00dfffff,0x40bfffe0,0x6407fffc,
    0x3e65ffff,0x1bdeefff,0xffffff00,0xffffffff,0x3fe00fff,0xff3005ff,
    0xffb805ff,0xdfff30ff,0xfffffb80,0x00bfffb1,0xba7fffd4,0x0000ffff,
    0x05fffe80,0x17fffec0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04c00000,0x00000000,0x00088033,0x4c000080,
    0x10060000,0x4ccc0001,0x1bbbaa00,0x01eeee88,0x00130044,0x20000620,
    0x3bb20098,0x7754002e,0xbcb9803e,0xcb988001,0x3bb600ab,0xeeeeeeee,
    0x3ba25eee,0xddd500ee,0x777541bd,0xddd5003e,0x3331003d,0x3bbae001,
    0x01eeeeee,0x2bccca98,0x13bbbb20,0x07dddd50,0x00220011,0x0004ccc4,
    0x80064407,0x400a00b8,0x2a202aaa,0x000abccb,0xfffeda80,0xf50003ef,
    0x2e2003df,0x23effffe,0x003efffc,0x3ffffb2e,0x3b2202df,0x803dffff,
    0x20dfffd9,0x803effeb,0xffffffda,0x7ffdc3ef,0x3fffe607,0x3f25ddb1,
    0x3ffea3ef,0x4bbbae0e,0x2effffc8,0x2e2eeea8,0xc83effff,0x5c004fff,
    0xfb103fff,0x09ffffff,0x3ffffea0,0xffff04ff,0xffffffff,0x7ffccfff,
    0xffff981f,0x7fffc42f,0xffffd007,0x0ffff200,0x7ffffe40,0x7401ffff,
    0xefffffff,0xfffff882,0xfffff102,0x8801db01,0xffa800ee,0x3ffb802f,
    0x802ffe44,0x7dc0cffc,0xfffd702e,0xffff301f,0x001bffff,0xfffffb10,
    0x003dffff,0x037fffc4,0xffffffb8,0xffffedff,0x7f4c04ff,0xffffffff,
    0xfffff505,0x201dffff,0x6ffffff8,0x7ffffff5,0x3ffffa20,0x45ffffff,
    0x2607fffb,0xffd1ffff,0x1fffff97,0x4dfffff5,0xff9bfffc,0x43ffffff,
    0xfe8bfffa,0x45ffffff,0x4005fffb,0xe982fffc,0xfffeffff,0x3ff201ef,
    0x5fffffff,0xfffffff8,0x7fffffff,0x107fffe6,0x205fffff,0x402ffffc,
    0x004ffff9,0x2007fff9,0xfffffffc,0x7ffc01ff,0x0fffffff,0x0fffffa8,
    0x82ffffc8,0xd100effd,0xfa801dff,0x7fcc01ff,0x3ffe61ff,0x7ffcc02f,
    0x3fffe60f,0xfffff711,0xfff301ff,0x0bffffff,0xfffff980,0xffffffff,
    0xffff5002,0xfff7003f,0xffffffff,0x05ffffff,0x3ffffff2,0xb85fffff,
    0xffffffff,0xfe80ffff,0xfdffffff,0x1fffffff,0x7fffff44,0x45ffffff,
    0x2607fffb,0xffd1ffff,0x9ffffffb,0x5fffffff,0x3ff7fff2,0xffffffff,
    0x3b7ffea1,0xffffffff,0x1bffea2f,0x83fffb00,0x4c0cfffa,0xf981fffc,
    0xfffcdfff,0x7fffc2ff,0xffffffff,0x3ffe66ff,0x7ffff41f,0x3fffe603,
    0x7fffdc05,0x7fff9001,0x33332a00,0x401ffffd,0xff9109be,0x3fff207f,
    0x7fffd45f,0xeffffc84,0x7ffff440,0xfff30642,0x7fe41c41,0x7fffdc6f,
    0x0ffffa00,0x7dc7fffd,0x0fffffff,0xecccef98,0x2001ffff,0xdefffffd,
    0x06fffffe,0x1fffff30,0x2239f700,0x8dfffffb,0xfa85fffc,0xeeffffff,
    0x7fcc5fff,0xfc99cfff,0x7fd45fff,0xfffff72f,0x89fff71d,0x8aeffffc,
    0x5c5db998,0x3e607fff,0xfffd1fff,0xfffff7df,0x29fffb9f,0xfffffffc,
    0x4ffffece,0x3fffffea,0xfffffdff,0x01fffe66,0x441fffd0,0xeeed9eff,
    0xd0dff53d,0xffb85fff,0x7fd4005f,0x3fe60fff,0x3fff61ff,0xfffe804f,
    0x3fffa00f,0x3fff2006,0x3fea0003,0x3e0001ff,0x3ffa05ff,0xffff13ff,
    0x3fff601d,0xfffb10ef,0x11ffa87f,0x0ffd4fff,0x3a1ffff4,0xff904fff,
    0x6fffc8bf,0x7ff7ffc4,0x3e6000ff,0xf5001fff,0xe881dfff,0xb003ffff,
    0x26007fff,0x8dfffb00,0x3e20fffc,0x881dffff,0x2fffec4b,0x21ffffb8,
    0x7ff46ffd,0x1fff20ff,0x001ffffd,0x207fffb8,0xfd1ffff9,0x3ff21fff,
    0xbfff33ff,0x3ffffff2,0x53ffff42,0x17ffffff,0x43ffffa2,0x260ffff8,
    0x7ffc1ccc,0xff8ffec7,0xff55ffff,0xf05fff89,0x7c400fff,0x7cc1ffff,
    0xfff71fff,0x3fee00bf,0xfff302ff,0x7fe4005f,0x3ea0003f,0x22001fff,
    0x05fffaa9,0x23ffffe6,0x401ffffd,0xd8effffd,0xfe83ffff,0x97ff8cff,
    0xff30dfff,0x7ffcc3ff,0x7fffcc1f,0x03fffe60,0x3ffe6336,0x3fea000f,
    0x3ffa007f,0xfff100ff,0x0d4c00ff,0xfffb8000,0xb0fffd44,0x800bffff,
    0x202ffff9,0x3fe4ffff,0x37ffec3f,0xff83ffea,0xfb8006ff,0x3fe607ff,
    0x9fffd1ff,0xf13fffdc,0x3fff2bff,0xfffb82ff,0x3ffffea7,0x1ffffb83,
    0xfc87fffe,0x37ffc4ff,0x5ffc9ff1,0xffb0ffd9,0xd81fffc4,0xfd000fff,
    0xff307fff,0xffff53ff,0x7ffc400d,0xffff906f,0x7ffe4001,0x3fea0003,
    0x75c401ff,0x5fffffff,0x77fffdc0,0xb004ffff,0xffffffff,0xfffd307f,
    0xffdfffdf,0xff701dff,0x6fffb8df,0x3a1ffff4,0xf9803fff,0x32a00fff,
    0x03ffffdc,0x09ffff10,0x00ffffc8,0xf5000000,0xfff985ff,0x03ffffe1,
    0x0ffff900,0xf15fffd8,0xfffb85ff,0xf0fffd44,0x003bffff,0x303fffdc,
    0x3fa3ffff,0x3ffee0ff,0x657ffe23,0xf503ffff,0x3fea1fff,0xfff304ff,
    0x17fff45f,0x7c4ffffd,0x87fea5ff,0x21ff52ff,0xfff31ffa,0x01fff609,
    0x82ffffec,0xffbffff9,0x64000eff,0xff80ffff,0x7e4004ff,0x2a0003ff,
    0x2201ffff,0xfeeffffe,0xffd805ff,0x006fffff,0x7fffffec,0x7fed403f,
    0xdfffffff,0x27ffec01,0x7e4ffffa,0x7ffe45ff,0xffff3005,0x7fffec01,
    0x3ea002ff,0x7d401fff,0x00001fff,0x7fdccc00,0xffa999af,0x9ffff12f,
    0xdfffb000,0xd9999999,0x3fe6dfff,0x67ffdc1f,0x1fffa999,0x3ffffff6,
    0x7fdc00bd,0x3ffe607f,0xb8fffd1f,0x3fe22fff,0x0ffff95f,0xa8555544,
    0xf100ffff,0x7fe45fff,0xfffff33f,0xb93ffe65,0x75e7fc7f,0xf8bfe26f,
    0xdfff07ff,0xdffff700,0x3fffe601,0x000fffff,0x43ffff98,0xc81ffffa,
    0xffffffff,0xffffffff,0x7ffd403f,0x3fff201f,0x402fff43,0xfffffff8,
    0xfffd8001,0x366004ff,0x01dfffff,0x22fffe88,0xf72ffff8,0xfffb8dff,
    0xffff3006,0x7fffec01,0xb801dfff,0x4c00ffff,0xff92ffff,0xffffffff,
    0x7fffffff,0xfffffd70,0xffffffff,0x3ffe65ff,0xffe8003f,0xffffffff,
    0xf57fffff,0xfffa83ff,0xffffffff,0x3ffffe22,0x702dffff,0x7cc0ffff,
    0xfffd1fff,0x222fffb8,0xfff95fff,0x3fea000f,0xfff100ff,0xa7ffdc5f,
    0x55fffffc,0x37ec5fff,0x20fffffe,0x3fffa4ff,0x027ffdc2,0x07ffffe6,
    0xffffff98,0xd0003fff,0xffd8dfff,0xffff906f,0xffffffff,0x807fffff,
    0x201ffffa,0xffe87ffe,0xffff7005,0xfd10009f,0x001dffff,0xffffff91,
    0xffd8019f,0x2fffec5f,0xfd13fffa,0xff3007ff,0x54c401ff,0x06ffffca,
    0x00ffffc8,0xc9ffffc4,0xffffffff,0xffffffff,0x3fffa23f,0xffffffff,
    0x72ffffff,0x0005ffff,0xffffffff,0xffffffff,0x507ffeaf,0xffffffff,
    0xfe885fff,0xffffffff,0x3fffdc1e,0x23ffff30,0x7fdc7ffe,0x57ffe22f,
    0x0007fffc,0x201ffff5,0x2a2ffff8,0xfffd5fff,0x3ffeefff,0x9ff1fee1,
    0x3ff88dfb,0x33bfffee,0x200fffff,0x03fffff8,0x7d7fffcc,0x8001ffff,
    0xf11ffffb,0x3f207fff,0xffffffff,0xffffffff,0x7fffd403,0x2ffff601,
    0x05ffffb8,0xffffff88,0x3fa2001f,0x0effffff,0xfffffb30,0x39ffffff,
    0x41ffff50,0x4c0ffffa,0x3e61ffff,0x7cc01fff,0x5c000fff,0x5c01ffff,
    0x4c00ffff,0xff92ffff,0xffffffff,0x7fffffff,0x6677ffec,0xccccfffd,
    0xff51cccc,0xff0007ff,0xddddddff,0x2bdddddd,0x7d41fffa,0xcccccdff,
    0xffb500cc,0x3fffffff,0x303fffdc,0x3fa3ffff,0x17ffdc7f,0x3f2bfff1,
    0xf50007ff,0x3e201fff,0x3fe62fff,0xfcfff9ef,0x0fffcaff,0xaff87fea,
    0x3fe63ff8,0x7fffff41,0x6c02ffff,0x9805ffff,0xffa9ffff,0x44000fff,
    0xff74ffff,0x3bae01ff,0xffffeeee,0x2eeeeeee,0x0ffffd40,0xffffff70,
    0xb00bffff,0xdfffffff,0xfffd1001,0x1dffffdf,0xbfffff98,0xffffbeff,
    0x3fffe20f,0x0bfffe22,0x2e37ffe4,0x7cc06fff,0x5c000fff,0x5401ffff,
    0x5401ffff,0xdd71ffff,0xdddddddd,0x5ddddddd,0xa83bffe6,0xf3001fff,
    0xd0009fff,0x20009fff,0x7dc1fffa,0xa80003ff,0x5ffffffd,0x403fffee,
    0xfd1ffffc,0x2fffb8ff,0x7e57ffe2,0xf50007ff,0x3e201fff,0x3fe22fff,
    0xf8fffbff,0x47ffddff,0x4bfe3ff8,0x21ff27fc,0xffffffc8,0x7ffe401e,
    0xfff3006f,0x3ffff23f,0xfffd8006,0x00bfffd7,0x00ffff20,0x1ffffa80,
    0x7ffffec0,0x5c05ffac,0xffffffff,0x7fec404f,0xffffb3ff,0x9effd81d,
    0xffd37ff8,0x44fffd89,0x7405fffd,0x7ff44fff,0x3fffe64f,0x3fffffff,
    0xfd999bd7,0xf300ffff,0xfc807fff,0x00000fff,0xa85fff70,0xf1002fff,
    0x8001ffff,0x0005fffd,0xfb83fff3,0x200004ff,0x27ffffc8,0xb82ffffa,
    0xfd1fffff,0x2fffb8ff,0x7e57ffe2,0xf50007ff,0x3e201fff,0x7ffc2fff,
    0xffd4ffef,0xfb0dffdf,0x7ccbfe3f,0x205ff9bf,0x801acba8,0x00fffffa,
    0x43ffff30,0x005ffffe,0x7dffffcc,0x90001fff,0x40007fff,0x801ffffa,
    0x2660abb9,0x3fffe600,0x2fffff8e,0x0fffff60,0x41dffffb,0x3ffe24f8,
    0x7d41fb10,0x7ffd46ff,0x7ffd400f,0x3fffe61f,0xffffff31,0x327fffff,
    0xffffffff,0xff8801ff,0x3fe207ff,0x000006ff,0xf507fff2,0x7fc009ff,
    0x64004fff,0x8001ffff,0x7ec3fff8,0x800006ff,0xf30ffffe,0xffa89fff,
    0xffd1ffff,0x22fffb8f,0xff95fff8,0x3ea000ff,0xff100fff,0xfffe85ff,
    0xfff72fff,0xff10bfff,0x5541551d,0x0000ffeb,0x7ffffc40,0x3ffe6002,
    0x3fffe21f,0x7ff4003f,0x006fffff,0x00ffff20,0x1ffffa80,0x7c400000,
    0xff50ffff,0xff901fff,0x3ff607ff,0x3e6042ff,0x6cc040ff,0x02fea81f,
    0xf705dfb0,0x7fffcc3b,0x3fffffff,0xfffffff9,0x7ec0039f,0x7440dfff,
    0x2002ffff,0xff9002cb,0x7fffc47f,0xfff7000f,0x8e601bff,0x00effff9,
    0x744fff80,0x3001ffff,0xdffff100,0x77ffffc4,0xffffffec,0xb8fffd1f,
    0x3fe22fff,0x0ffff95f,0x3fffea00,0x5ffff100,0x7fffffd8,0x3fffffe2,
    0x07fff704,0x505fff71,0x55555555,0xffe85555,0xffffffff,0xff30ffff,
    0xfffa83ff,0x3ee001ff,0x03ffffff,0x0ffff200,0x33333220,0xccdffffd,
    0x555553cc,0x55555555,0x87ffffb0,0xb06ffffc,0xffd807ff,0x1fffa803,
    0x00500200,0x4c060144,0x99999999,0x99953099,0x22000557,0xcdffffff,
    0x05fffffd,0x013fffa0,0x2637ffee,0x1efffffe,0x3ffa12e6,0xdcceffff,
    0x7ffe46ff,0xaa99acff,0x7ffec7dc,0xdfffff50,0x3fe22981,0xfd7319ac,
    0xffc89fff,0xefffffff,0xffd1fffe,0x22fffb8f,0xff95fff8,0x3ea000ff,
    0xff100fff,0xfffb85ff,0x7fff45ff,0x3fee03ff,0xfffedeff,0xfffff02f,
    0xdfffffff,0x7fffffcc,0xffffffff,0x3ffff30f,0x1fffff90,0x3fffe200,
    0x20000fff,0x9803fffc,0xffffffff,0x5fffffff,0xffffffff,0xfb8dffff,
    0xff885fff,0x07b03fff,0x75400f60,0x000001ee,0x00000000,0x64000000,
    0xffffffff,0x001fffff,0x01fffff5,0xffffff98,0xfffffeff,0xf985ffff,
    0xffffffff,0x7f446fff,0xffffffff,0x7fd47fff,0xfefffeff,0x5ffeefff,
    0x3fffffe2,0xffffffff,0x7ffff440,0xffc8efff,0xb8fffd1f,0x3fe22fff,
    0x0ffff95f,0x3fffea00,0x5ffff100,0x2fffffa8,0x17ffffdc,0x3ffff620,
    0x3e00dfff,0xffffffff,0x3fe66fff,0xffffffff,0xf30fffff,0x3f603fff,
    0x36006fff,0x005fffff,0x01fffe40,0x7fffffcc,0xffffffff,0xffffff5f,
    0x4dffffff,0x00fffff9,0x03fffff5,0x00000000,0x00000000,0x00000000,
    0xffffb800,0x0dffffff,0x3fffea00,0xfffd800f,0xffa8efff,0x05ffffff,
    0xffffffb3,0xb10dffff,0xffffffff,0xffb0ffff,0x3fadffff,0x25ffffff,
    0xfffffff8,0x00ffffff,0x9fffffb1,0x747fff21,0x7ffdc7ff,0x657ffe22,
    0x50007fff,0x2201ffff,0x7cc2ffff,0x7c40ffff,0x1001ffff,0x00157b95,
    0xdddddddb,0x7ccbdddd,0xffffffff,0x30ffffff,0x2203ffff,0x005fffff,
    0x05fffff5,0x3fffc800,0xfffff980,0xffffffff,0xddddb5ff,0xbddddddd,
    0x0fffffa2,0x1dffff90,0x00000000,0x00000000,0x00000000,0xffd88000,
    0x003effff,0x06ffff88,0xbffff910,0x7ffffd41,0x7f5403ef,0x2dffffff,
    0x3ffffaa0,0xb04effff,0x221bffff,0x3efffffd,0x7fffffec,0x800befff,
    0xd0009a98,0xfffb8fff,0x657ffe22,0x50007fff,0x2201ffff,0x0002ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0006a620,0x0033b660,0x4c015510,
    0x880009aa,0x98000999,0x10019aaa,0x2aa20153,0x554c4009,0x000009aa,
    0x00000000,0x00000000,0x01acb988,0x100fbaa0,0x00157975,0x20033310,
    0xccccccca,0xcccccccc,0x98333311,0x2a600999,0x26000009,0x4437501b,
    0xffffffff,0xffffffff,0x0cccccc2,0x26660000,0x665c0199,0x2ccccccc,
    0x22222222,0x3ffe0888,0xffffffff,0xffffffff,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x74c00000,0x2effffff,0x2ffffd40,0xffffffb8,0x7ff4003f,0xfffb803f,
    0xffffffff,0xffb2ffff,0x7fffc4ff,0xfffffc84,0x80666203,0x7e43fffa,
    0xffff11ff,0xffffffff,0xfa85ffff,0x0003ffff,0x3fffff90,0xfffffd80,
    0xff34ffff,0xffffffff,0x3ffffe1f,0xffffffff,0x6fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffee000,0x1fffffff,0x3fffffa0,0x7ffffec2,0x5006ffff,
    0x801fffff,0xfffffffb,0xffffffff,0x44ffffb2,0x7e44ffff,0x0dffffff,
    0x3a07ffe8,0x3fe27fff,0xffff15ff,0xffffffff,0xd105ffff,0x0007ffff,
    0x0dffffc8,0xfffffd80,0xff34ffff,0xffffffff,0x3ffffe1f,0xffffffff,
    0x6fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe2000,0x5fffffff,0x3fffffa0,
    0x37fffee5,0x03fffffc,0x7fffffc4,0x7fffdc05,0xffffffff,0xfff92fff,
    0x23ffff8d,0xfffffff9,0x7ffc0eff,0x9ffffa06,0xd15ffff8,0xdddddddd,
    0x5ffffddd,0x1ffffe40,0xffffc800,0x3332e003,0x32cccccc,0xffffffff,
    0x33321fff,0xcccccccc,0xcccccccc,0x0000003c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x75400000,
    0xdffff30a,0x7ffffe40,0x707fffe6,0xfc80ffff,0x02fffbff,0xffb80000,
    0x1ffffc6f,0xfd7dfff9,0x3ee3dfff,0x3fee05ff,0x17ffec4f,0x5fff9000,
    0x3ffffa80,0x7fffe400,0x4c000001,0xffffffff,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74000000,0x7f406fff,0xfff37fff,0x03fffe09,0xfe97ffcc,
    0x8000006f,0x7f45fffb,0x3fffa2ff,0x3fffff20,0x402fffff,0x037502b9,
    0x2fffc800,0x1cccc880,0x19999300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffa8000,0x7ffc404f,0x07fff55f,0x6c07fff2,0x3ffea6ff,
    0x54000004,0x7ff45fff,0x21bffe2f,0xfffffffc,0x0000006f,0x0bfff200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff300,
    0x7fffd001,0x6c13ffea,0xffa81fff,0x0fffec1f,0x4cccccc4,0x99999999,
    0x89fff509,0xdd11fffd,0x3ffee09d,0x0001efff,0x3f200000,0x000002ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,0xf001ffff,
    0x3fe63fff,0x0ffff06f,0x3e617ffa,0xfffb85ff,0xffffffff,0xff32ffff,
    0x1fffd89f,0xdfed8800,0x0000000c,0x0f775c00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffa80,0xfffd8801,0x867fffc4,
    0xc86fffc9,0xff901fff,0xffffb85f,0xffffffff,0xfff32fff,0x00fffc87,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x00effffb,0x3ffff72a,0xfffffb86,0x41fffffe,0x2204fff8,
    0x3ee0ffff,0xffffffff,0x02ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffc800,0x1099999d,
    0x19ffffff,0x3fffff60,0xfd83ffff,0x7fdc00ff,0x2aaaa64f,0xaaaaaaaa,
    0x00000aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xfffffffb,0xff13ffff,0xf5003bff,0x03dfffff,
    0x20059991,0x0000cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff700000,0xffffffff,0x0004d47f,
    0x0009a988,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fee0000,0xffffffff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x31000000,0x33333333,0x00000133,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_38_latin_ext_x[560]={ 0,7,4,0,1,0,0,7,5,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,4,2,1,4,1,0,3,1,4,4,0,2,1,6,7,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-5,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,1,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_38_latin_ext_y[560]={ 28,1,1,3,0,1,1,1,0,0,1,8,21,15,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,32,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,9,9,9,9,9,9,0,-3,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,8,0,3,3,3,
-3,1,1,3,3,10,16,15,1,2,1,5,1,1,1,9,1,13,28,1,3,10,1,1,1,8,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,5,1,1,1,1,1,1,1,
-3,2,-4,1,3,8,-4,1,-4,1,-4,1,-4,1,-4,0,3,1,-3,2,-4,1,-4,1,3,8,-4,1,-4,1,
-4,1,-4,1,3,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,1,-4,9,3,1,-4,1,3,1,9,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,8,-4,1,-2,3,8,-3,2,-4,1,-4,1,3,8,-4,1,3,8,-4,1,
-4,1,-4,1,3,8,-4,1,3,3,-4,0,3,3,-4,1,-3,2,-4,1,-5,-1,-4,1,3,9,-4,1,-4,1,
-4,-4,1,-4,1,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-9,-6,-4,1,-4,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_38_latin_ext_w[560]={ 0,7,13,21,19,21,22,6,12,12,17,19,11,13,
8,18,20,17,17,17,21,17,19,18,18,18,7,11,17,17,16,13,21,21,18,18,19,16,15,20,19,17,14,19,
16,21,19,21,18,22,18,18,19,19,21,21,21,21,18,11,18,11,19,21,13,17,18,16,18,18,20,19,17,17,
15,19,17,19,17,19,18,18,17,17,18,17,21,21,21,21,17,15,5,15,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,21,21,
5,19,17,21,13,17,18,13,19,16,15,18,13,13,20,19,19,9,7,13,15,17,21,21,21,13,21,21,21,21,
21,21,22,18,19,19,19,19,19,19,19,19,20,20,21,21,21,21,21,17,21,20,20,20,20,21,18,18,19,20,
19,19,19,19,21,16,19,20,19,19,19,20,19,19,19,19,20,20,20,20,20,19,19,19,20,19,19,21,18,21,
21,19,21,19,21,17,20,20,18,18,18,18,18,18,21,24,20,20,19,19,19,19,19,19,16,18,19,19,20,20,
20,20,20,20,20,20,20,19,21,19,19,19,19,19,19,19,17,18,19,17,19,19,17,18,19,19,19,19,19,16,
17,24,24,19,23,19,17,20,20,19,17,20,19,19,19,17,21,20,21,20,22,22,21,21,21,20,18,17,21,20,
19,20,19,19,18,17,19,19,19,18,20,24,19,19,20,19,20,19,20,19,20,19,22,22,19,18,21,21,21,21,
21,19,20,19,19,19,19,16,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,21,19,22,21,25,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,18,17,19,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__consolas_bold_38_latin_ext_h[560]={ 0,28,11,25,33,28,28,11,36,36,17,19,14,5,
8,31,26,25,25,26,25,26,26,25,26,25,21,27,22,12,22,28,35,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,33,25,26,25,26,25,25,25,25,25,36,31,36,13,4,9,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,26,20,19,19,19,27,19,36,39,36,10,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,33,25,25,25,
39,32,9,26,19,16,9,5,19,8,14,23,16,16,9,27,32,9,6,16,19,16,27,27,27,28,32,32,32,32,
32,33,25,31,32,32,32,32,32,32,32,32,25,32,33,33,33,33,33,18,33,33,33,33,33,32,25,28,28,28,
28,28,28,30,21,26,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,21,27,28,28,28,28,35,35,35,
31,27,32,28,33,28,33,28,33,28,33,28,33,28,32,29,25,28,31,27,32,28,32,28,33,28,32,28,33,35,
33,35,33,35,33,36,32,33,25,27,32,27,31,26,32,27,33,35,32,19,26,35,33,35,33,35,19,32,33,33,
35,28,28,25,27,25,27,32,27,33,28,32,27,30,33,28,32,27,33,28,33,28,26,21,32,27,33,28,32,27,
33,28,33,28,31,26,33,28,33,33,32,29,25,26,33,28,32,27,33,28,34,30,33,28,33,27,32,27,32,35,
32,32,27,32,27,32,27,27,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,32,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,37,35,32,28,36,32,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,33,28,33,33,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__consolas_bold_38_latin_ext_s[560]={ 510,502,293,83,142,222,445,504,61,151,423,
331,227,418,502,397,483,183,201,446,219,138,118,421,427,260,504,499,459,275,477,
495,328,360,105,351,45,463,447,330,320,65,412,124,144,161,340,390,382,22,241,
464,401,370,1,480,23,298,279,74,416,139,255,432,366,494,477,63,84,80,248,
468,139,157,450,317,299,157,195,1,364,46,177,121,178,139,309,213,383,288,271,
86,1,102,307,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,510,496,125,
197,217,425,7,147,329,41,369,459,347,418,235,401,239,440,213,491,380,165,109,
502,504,477,255,441,23,1,477,46,64,21,1,375,333,1,402,297,209,271,189,
173,105,23,454,474,359,433,466,404,341,299,310,405,248,152,131,88,44,417,340,
345,325,304,284,264,244,475,41,101,164,143,123,103,119,238,85,105,1,65,456,
435,414,393,372,21,259,352,331,311,291,226,248,408,316,279,255,148,277,112,1,
70,162,51,45,65,173,383,233,26,239,91,358,45,213,168,277,209,260,229,193,
248,23,205,383,387,426,184,352,118,481,488,380,437,397,457,338,21,313,125,230,
267,229,351,1,308,212,350,270,430,289,43,332,373,369,21,21,320,196,300,220,
390,175,290,494,63,145,455,192,130,411,416,109,188,65,268,156,99,291,357,447,
101,459,395,363,60,321,1,378,63,240,425,200,181,152,1,280,81,83,184,84,
310,104,81,466,435,487,402,220,269,125,185,167,286,249,355,227,439,207,1,337,
378,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,43,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,13,164,86,488,35,129,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,64,204,200,181,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260, };
static unsigned short stb__consolas_bold_38_latin_ext_t[560]={ 1,109,364,318,41,205,205,263,1,1,344,
344,364,364,301,142,263,318,318,263,318,291,291,318,263,318,175,234,318,364,318,
142,1,318,318,263,318,291,291,263,318,318,263,318,318,318,318,263,318,41,318,
263,318,263,318,291,318,318,318,1,142,1,364,364,364,318,175,344,205,344,263,
205,234,234,1,234,234,344,344,344,205,205,344,344,291,344,344,344,344,263,344,
1,1,1,364,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,1,175,41,
291,291,291,1,109,364,291,344,344,364,364,344,364,364,318,364,344,364,263,142,
291,197,344,344,344,263,263,234,234,142,142,109,109,109,75,291,142,109,109,109,
142,109,109,75,75,291,75,41,41,41,41,75,344,75,75,75,75,75,109,291,
205,205,205,205,205,205,142,344,291,205,205,205,205,234,234,263,263,205,263,175,
175,175,175,175,344,234,175,175,175,175,1,1,1,142,234,142,175,41,175,41,
175,41,175,41,205,75,205,142,175,291,175,142,263,142,175,142,175,41,175,142,
175,75,1,41,1,41,1,75,1,109,41,291,234,109,234,142,291,109,263,75,
1,109,344,291,1,75,1,75,1,344,109,75,75,1,234,205,291,234,291,234,
75,234,75,75,109,263,142,75,175,75,234,75,175,75,175,291,344,109,234,41,
234,109,234,41,234,41,234,142,291,41,205,41,41,142,175,291,291,41,205,109,
263,41,234,1,142,1,205,41,263,109,263,109,1,109,109,263,109,263,142,234,
234,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,142,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,1,1,142,205,1,142,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,41,205,41,41,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291, };
static unsigned short stb__consolas_bold_38_latin_ext_a[560]={ 334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_38_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_38_latin_ext_s[i] + stb__consolas_bold_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_38_latin_ext_t[i] + stb__consolas_bold_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_38_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_38_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_38_latin_ext_x[i] + stb__consolas_bold_38_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_38_latin_ext_y[i] + stb__consolas_bold_38_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_38_latin_ext_s[i] + stb__consolas_bold_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_38_latin_ext_t[i] + stb__consolas_bold_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_38_latin_ext_x[i] + stb__consolas_bold_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_38_latin_ext_y[i] + stb__consolas_bold_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_38_latin_ext_LINE_SPACING
#endif

