// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT        436
#define STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_41_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_41_latin_ext_LINE_SPACING          27

static unsigned int stb__consolas_bold_41_latin_ext_pixels[]={
    0x3b65dddb,0x000002ee,0x55540000,0x80000aaa,0x00000048,0x00000000,
    0x2aaa0000,0x00122002,0x26666662,0x00009999,0x00099988,0x22066620,
    0x98000199,0x3000accb,0x00001333,0x99997000,0xfea80059,0x2200000d,
    0x00000999,0x99999980,0x4ccccc40,0x20009999,0x40009998,0x59500bb8,
    0x00009880,0x26666662,0x20000999,0x04cccc19,0x26662000,0x27ffff19,
    0x0003ffff,0x1bfffff3,0x3ff60000,0x80003fff,0x10004fe8,0x4c009ffb,
    0x2e002ffe,0x75400dfe,0xf98000df,0xfd1005ff,0xfffa800b,0x2fffffff,
    0x7ffcc000,0xf50000ef,0x6ffe83ff,0x3ffea000,0x402fffff,0x0006ffff,
    0x7ffe4000,0x7d4003ff,0x00006fff,0x01dffff3,0x7fec0000,0xffe84fff,
    0x4fffffff,0xffffd100,0x3ffe2003,0x27ffec1f,0x3bdfff90,0x7fffec00,
    0x005fffff,0x47fffb6e,0x004ffff9,0x7ffffdc0,0xff3ffff8,0xf50007ff,
    0x0005ffff,0x77fffec0,0xfe880001,0xfe8004ff,0xf8804fff,0xa801ffff,
    0x2606ffff,0x000fffff,0x401fffdc,0x005fffd8,0x3fffffea,0x0002ffff,
    0x3fffffe6,0xfff10005,0xbfff933d,0x3fff2000,0x2fffffff,0x01bfffe0,
    0xffc80000,0xd8001eff,0x001fffff,0x7ffffcc0,0xb000005f,0x205fffff,
    0xfffffffe,0xffd004ff,0x7003ffff,0x7c4bffff,0xf900ffff,0x009fffff,
    0x3ffffff6,0xe9805fff,0x31ffffff,0x0009ffff,0xf7ffffb8,0x3ffe7fff,
    0x7fd4003f,0x00000dff,0x437ffff6,0x2001aaa8,0x03fffff8,0x7ffffc40,
    0xffffb807,0xfffd804f,0xfff901ff,0xfe8005ff,0xfe8801ff,0xf5005fff,
    0xffffffff,0x3e60005f,0x5fffdfff,0xffffb000,0x003fffff,0xfffffe88,
    0x3ffffffe,0x00dffff0,0x3ff20000,0xb0000dff,0x005fffff,0x6ffffcc0,
    0x00005fff,0x077fffec,0xffffffd0,0xfb009fff,0x1ffffbff,0x5ffffc80,
    0x03ffffe6,0x7fffffe4,0xfffd804f,0x05ffffff,0x7fffffc4,0xffff31ff,
    0xffb80009,0x7ffff7ff,0x800ffffe,0x002ffffb,0x7fffe400,0x017ffdc2,
    0x4ffffe88,0xffff9800,0xfffc807f,0xffe804ff,0xffb01fff,0x4c007fff,
    0x22007fff,0x805ffffe,0xfeccccc9,0x88002fff,0xffb1ffff,0xfd1000bf,
    0x07ffffff,0x7ffffb00,0x7fffecc1,0x06ffff80,0xeea80000,0x5c0002ee,
    0x000fffff,0x23ffff10,0x0005fffd,0x09ffffb0,0x99dfffd0,0xfd805999,
    0xdfff54ff,0x7fffcc01,0x02ffff42,0xffffdb95,0xccca803f,0x05fffecc,
    0x77ffffe4,0xffff30cc,0xffa80009,0x7ffff7ff,0x800ffffe,0x00000998,
    0x3fffa000,0xffffb000,0x7ff40009,0xff9805ff,0xfb802fff,0x3ea07fff,
    0x2000ffff,0x4006fffc,0x03fffff9,0x5ffff900,0xfffe8800,0x027ffec1,
    0xeffffc80,0xfffb8001,0x3fff602f,0x06ffff84,0x00000000,0x07bfee00,
    0x7fff4400,0x027ffec1,0x3ffff600,0x9fffd002,0x9fff9000,0x00efffa8,
    0x3220b766,0x3ee000ce,0xb0005fff,0x7cc0bfff,0xf301efff,0x80009fff,
    0xff7ffffa,0x3fffe7ff,0xfffd8803,0x000001ef,0x02fffc40,0x05ffffa8,
    0x6fff4c00,0x9fff7000,0x0f7fec00,0x00bfff20,0x00599970,0x1fffff30,
    0xffff9000,0x00000005,0x00031000,0x017fffcc,0x3e1bffe2,0x00006fff,
    0x1f7fec40,0x00020000,0x00000000,0xfffd0000,0x00000009,0xb0000000,
    0x2000dfff,0x2a05fffd,0x2601ffff,0x0004ffff,0xfb7fffd4,0xffff3fff,
    0xfffe8807,0x0001ffff,0x3332e600,0xf8803fff,0x0000ffff,0x31000130,
    0x00310001,0x000000c4,0x3fffee00,0xfffc8005,0x0000002f,0x80000000,
    0x9005fffc,0xfff85fff,0x2000006f,0x6ffffffa,0x00000000,0x00000000,
    0x3fffa000,0x00000004,0xa8000000,0xb0007fff,0x7dc0bfff,0x7fcc07ff,
    0x540004ff,0xfff6ffff,0x0ffffe7f,0x2e1bff50,0x400005ff,0xffffffe9,
    0xfd800fff,0x00003fff,0x00000000,0x00000000,0xffffd000,0xfffc8007,
    0x2a20002f,0xaaabcdcb,0x8800aaaa,0xaabcdcba,0x440aaaaa,0x5000ffff,
    0xfff8bfff,0x5555406f,0xfff8802a,0x003fffde,0x79b97510,0x15555555,
    0x00aaaaa6,0x4c555550,0x4002aaaa,0x3fa2aaaa,0x2aa004ff,0xaaaaaaaa,
    0x2a61aaaa,0x54002aaa,0x7cc02aaa,0xd8000fff,0x3f205fff,0x7fcc05ff,
    0x66dcc4ff,0x3ffe600a,0x27ffff6f,0x6403ffff,0x1bfe23ff,0xfffb8000,
    0xffffffff,0x7fffc404,0xaaaaa806,0xaaaaaaaa,0x5555441a,0x00aaaaaa,
    0x01aaaa88,0x80155554,0xabcdcba8,0x00aaaaaa,0x01ffffe6,0x05ffff90,
    0xffff9100,0xffffffff,0x7e4403ff,0xffffffff,0x5c1fffff,0x22003fff,
    0x7ffc6fff,0x3fff606f,0xffa802ff,0x001bfe66,0xffffff91,0xffffffff,
    0x3ffffe63,0xffff5001,0x7ffffccd,0xffff5001,0x027fff4d,0xfffffff0,
    0x9fffffff,0x0fffffcc,0x6ffffa80,0x0ffffc40,0x2fffec00,0x80bfffb0,
    0xf74ffff9,0x05ffffff,0x7dbfffe6,0xffff3fff,0x9effa807,0x0004ffc9,
    0xfffffd88,0xffffffff,0x3ffff205,0xfffff801,0xffffffff,0x7fffd44f,
    0x02ffffff,0x04ffff98,0x017fffe2,0xffffff91,0xffffffff,0xffffd803,
    0x3fff2002,0x7fc4002f,0xffffffff,0x01ffffff,0xfffffff1,0xffffffff,
    0x0ffff83f,0x3737bb6a,0x7c7ffe8f,0xff706fff,0x2e007fff,0x03ffc3ff,
    0xffffff10,0xffffffff,0x7fff43ff,0xfffb004f,0xffffe85f,0xffffb004,
    0x027fff45,0xfffffff0,0x9fffffff,0x04ffffe8,0x05ffffb0,0x01ffff88,
    0x05fffd80,0x3017fff6,0xff97ffff,0x7fffffff,0x2bffff30,0xfff3ffff,
    0xfffb007f,0x0001ffff,0xffffff90,0xffffffbd,0x3fffe07f,0xfffff006,
    0xffffffff,0xffffa89f,0x02ffffff,0x04ffff98,0x817fffe2,0xfffffff8,
    0xffffffff,0x7ffcc01f,0x3ff2005f,0x7f4002ff,0xffedffff,0x1fffffff,
    0xbfffffd0,0xfffffffd,0x7ffd43ff,0x3fffff26,0x8fffb7ff,0xfa86ffff,
    0x2004ffff,0x3fe66ffa,0x3fffa006,0xffffedff,0x2a1fffff,0x8807ffff,
    0xfa87ffff,0xf8807fff,0x7ff47fff,0x3ffe004f,0xffffffff,0x7fd44fff,
    0xff8807ff,0xff8807ff,0xfd8001ff,0x3ff605ff,0x7ffcc05f,0xffffffff,
    0x442fffff,0xfff5ffff,0x0ffffe7f,0x67fff5c0,0xff880000,0xff10cfff,
    0x81ffffff,0x003ffffa,0xffffffff,0x89ffffff,0xfffffffa,0xf9802fff,
    0x3e204fff,0x3fa05fff,0xffedffff,0x1fffffff,0x0ffffe80,0x5ffff900,
    0x7fffe400,0x7fffecc4,0xfff9019a,0xfffd989f,0x7fdc19af,0xfffff72f,
    0x3ff6ffff,0x1bfffe0f,0x09fffff3,0xdffff880,0xf9003fff,0xfd989fff,
    0xf819afff,0x5c01ffff,0xff04ffff,0xfb803fff,0x7ff44fff,0x2aaa004f,
    0xfcaaaaaa,0xfff84fff,0x7fdc01ff,0xff8804ff,0xfd8001ff,0x3ff605ff,
    0x7ffcc05f,0xcbefffff,0x445fffff,0xfff5ffff,0x0ffffe7f,0x4cccccc0,
    0xffc80000,0x7ffd44ff,0x6c4fffff,0x5000ffff,0x55555555,0x889ffff9,
    0xffdaaaaa,0xff9802ff,0x3fe204ff,0xfff905ff,0xfffd989f,0xf90019af,
    0x32005fff,0x2002ffff,0xf106fffd,0xfd80bfff,0xfff106ff,0x3fff60bf,
    0xeeffff88,0xfff96fff,0x137fffc3,0x00bffffd,0x3ffffe60,0x3ff6005f,
    0xffff106f,0x7fffe40b,0x7ffff405,0xbffff901,0x1ffffe80,0x0027fff4,
    0x3fffe600,0x5ffffc84,0x0fffff40,0x04ffff80,0x05fffd80,0x3013fffa,
    0x3dffffff,0x1fffffa8,0x7d3fffe2,0xffff3fff,0xffff5007,0x88000dff,
    0xfd87ffff,0x6ffffcff,0x0037fffc,0x3fffe600,0xffff9004,0xffff3005,
    0x7fffc409,0x0dfffb05,0x017fffe2,0x09ffff30,0x0bffff20,0x03ffff80,
    0xf01ffff6,0x7ec07fff,0xffff07ff,0x7d5bffea,0x3fff95ff,0xfd37fffc,
    0x8000dfff,0x003effd8,0xb01ffffc,0x7cc0ffff,0xf300ffff,0x7cc0dfff,
    0xf300ffff,0xffd0dfff,0x9800009f,0xf984ffff,0xf300ffff,0x7c00dfff,
    0xd8006fff,0x3fe05fff,0x7fcc03ff,0xfb00ffff,0x7fc49fff,0x7ffff4ff,
    0x200ffffe,0xfffffffc,0x3fee0001,0x7fff84ff,0x7c1fffff,0x00004fff,
    0x027fffcc,0x02ffffc8,0x04ffff98,0x417fffe2,0x3603ffff,0xf8007fff,
    0xf9005fff,0x22005fff,0x2e02ffff,0x3e207fff,0x3ee02fff,0xfff987ff,
    0x2a7fffb5,0xfff75fff,0xcb7fffc3,0x000effff,0x7c400000,0x3ee02fff,
    0x7ff407ff,0xfff902ff,0xfffe807f,0xffff902f,0x09fffd07,0xfff98000,
    0xffffd04f,0x3ffff205,0x3fff6003,0x7fec001f,0xffff905f,0xffff9803,
    0x3ffea01f,0xa7fffc5f,0xddb3ffff,0xffff005d,0x0007ffff,0x20ffffe4,
    0xff94fff9,0x3ffe27ff,0x4c00003f,0x9004ffff,0x3005ffff,0x4409ffff,
    0xf885ffff,0x3ee02fff,0xfe8007ff,0xff9006ff,0x7fc005ff,0x3ff605ff,
    0x7fffc06f,0x1bfff605,0x7fd3ffea,0x9fff70ff,0xff87fff2,0xffffbeff,
    0x2a60000f,0x0abcddcc,0x0bffff00,0x2037ffec,0xf05ffffb,0xb801ffff,
    0xff05ffff,0xffd01fff,0x9800009f,0xf704ffff,0x3fe0bfff,0x26000fff,
    0xabcfffff,0xafffec01,0xffffebaa,0xffff9806,0x7fffcc05,0xfa7fffc6,
    0x30003fff,0xffffffff,0x7fec000b,0x2fffc87f,0x269ffff7,0x0003ffff,
    0x27fffcc0,0x2ffffc80,0x4ffff980,0x17fffe20,0xb02ffffc,0xb000dfff,
    0x3200ffff,0x2002ffff,0x980ffffd,0x6c04ffff,0xf980ffff,0xffb84fff,
    0x27fff8af,0xff93fffc,0x7ffffc1f,0x001fffff,0xfffffc88,0x0cffffff,
    0x07fffec0,0x027fffcc,0x03ffffe2,0x00bffff3,0x81fffff1,0xd05ffff9,
    0x00009fff,0x04ffff98,0x81fffff1,0x005ffff9,0xffffffa8,0x7ffec03f,
    0xfffffff5,0xfff3001d,0xfff8809f,0x9ffffc7f,0x0003ffff,0xfffffff7,
    0x3a0001ff,0xfff87fff,0x53fffea7,0x002ffffa,0x7fffcc00,0xffff9004,
    0xffff3005,0x7fffc409,0x1ffffb05,0x09ffff30,0x1ffffb00,0x5ffff900,
    0x7fffd400,0xfffb99cf,0x7fd401ff,0xfb99cfff,0xfc81ffff,0x6fff9aff,
    0x7e4bfff2,0x3fffe0ff,0x01ffffff,0xfffff980,0xffffffff,0x3ffea00f,
    0xffb99cff,0xfc801fff,0x7fe43fff,0xff9001ff,0xfffc87ff,0x9fffd01f,
    0xff980000,0x3ff204ff,0x7ffe43ff,0xf910001f,0xd807ffff,0xffff5fff,
    0x7cc005ff,0xff804fff,0x7fffc7ff,0x007ffff3,0x37bfffa0,0x0002ffff,
    0xf98dffff,0x3ffea5ff,0x3ffff75f,0xff980000,0xff9004ff,0xff3005ff,
    0x7fc409ff,0xfff505ff,0xff7339ff,0x90003fff,0x9001ffff,0x8005ffff,
    0xfffffffd,0x003fffff,0xfffffffb,0x207fffff,0xff99fffc,0x4bfff65f,
    0x7ffc7ffd,0xfffffcef,0x7ffcc000,0xffffffff,0x7ec05fff,0xffffffff,
    0xf3003fff,0xfff8dfff,0x3fe6006f,0x7fffc6ff,0x13fffa06,0xfff30000,
    0x7ffcc09f,0x37fffc6f,0xffffa800,0x7ec03fff,0xfffff5ff,0xf3001bff,
    0xf8809fff,0x7ff46fff,0x07ffff3f,0x7ffff100,0x009ffff5,0x8dffff10,
    0x3e62fffc,0xfff55fff,0x9800005f,0x9004ffff,0x3005ffff,0x4409ffff,
    0x3605ffff,0xffffffff,0x0003ffff,0x200ffff9,0x002ffffc,0x3fffffa2,
    0x04ffffff,0xfffffd10,0x09ffffff,0x7d4fffec,0x3fffa5ff,0xff8fffd1,
    0xffffd6ff,0xbef9800d,0x7ffe4419,0xffd101ff,0xffffffff,0xffe8009f,
    0xffff51ff,0xfffe8007,0x7ffff51f,0x027fff40,0x3ffe6000,0x7fff404f,
    0x7ffff51f,0xffff3000,0xd803579f,0xd9555fff,0x300bffff,0x9809ffff,
    0x76c5ffff,0x7ffff2ee,0xffff5000,0x0fffff13,0xdffff300,0x260fffe8,
    0xff55ffff,0x800007ff,0x004ffff9,0x005ffff9,0x409ffff3,0x105ffff8,
    0xfffffffd,0x0009ffff,0x8037ffec,0x002ffffc,0x3fb7fff6,0x000cefff,
    0x3fb7fff6,0x400cefff,0xffa8fffd,0x43fffa5f,0x7ffc5fff,0xfffff16f,
    0x800c400b,0xb03ffffc,0xfffdbfff,0x700019df,0x3f69ffff,0x5c000fff,
    0xffb4ffff,0x7ff401ff,0x4c00004f,0x5c04ffff,0xffb4ffff,0xfb0001ff,
    0xd8001fff,0xffb05fff,0xff9803ff,0x7fd404ff,0xfff004ff,0xffb0007f,
    0x7ffff4ff,0x7ffc4001,0x17ffe26f,0x267ffff5,0x0004ffff,0x27fffcc0,
    0x2ffffc80,0x4ffff980,0x17fffe20,0x7f6fffec,0x000cefff,0x02ffff40,
    0x02ffffc8,0x44ffff30,0xff300019,0x000cc4ff,0x3e63fff6,0xffff15ff,
    0xff0fffe6,0x7ffd4dff,0x800003ff,0x984ffff9,0x06627fff,0x3ffe2000,
    0x5ffff8ef,0xffff8800,0x05ffff8e,0x0027fff4,0x3fffe600,0x7fffc404,
    0x05ffff8e,0x09ffff00,0x0bfffb00,0x00ffffea,0x809ffff3,0x002ffffe,
    0x0007ffff,0x7e4bffff,0x44003fff,0x3ee7ffff,0x7ffd43ff,0xbffff12f,
    0xff980000,0xff9004ff,0xff3005ff,0x7fc409ff,0xfff985ff,0x00006627,
    0x009ffff0,0x00bffff2,0x0037ffdc,0x0dfff700,0x3fff9000,0x3f6dfff3,
    0xfffc8fff,0x237fffc1,0x02fffffd,0x7ffc4000,0x6fffb85f,0x3f200000,
    0xffffdfff,0xfff90002,0x05ffffbf,0x004fffe8,0x7fffcc00,0xffffc804,
    0x002ffffd,0x005ffff0,0x40bfffb0,0x4c04ffff,0x2a04ffff,0x4c0fffff,
    0x3fffe3dc,0x207ffff3,0x263ffff9,0x8006ffff,0x3fa7ffff,0x7ffdc0ff,
    0x3ffffe1f,0x3e600000,0xf9004fff,0xf3005fff,0x7c409fff,0xffb85fff,
    0x4000006f,0x003ffff9,0x005ffff9,0x033fffee,0x3ffee000,0x320000cf,
    0xfff8afff,0xefffffdf,0xfff86fff,0x7fff446f,0x330000ff,0xffff7555,
    0x9ffff70b,0xf3000001,0xffffffff,0x7ffcc000,0x807fffff,0x0004fffe,
    0x27fffcc0,0x7ffffcc0,0x10007fff,0x0003ffff,0x6c0bfffb,0x7cc05fff,
    0xff504fff,0xff987fff,0x7ffff5ff,0x640ffffe,0x7fc0ffff,0x74000fff,
    0xff89ffff,0xffffd86f,0x0bffff20,0xfff98000,0xfff9004f,0xfff3005f,
    0x7ffc409f,0xffffb85f,0x9000000c,0x7443ffff,0xfffeeeee,0xeeeeeeff,
    0x7ffffcc0,0xcdeeefff,0x7ffcc00a,0xeeefffff,0xff700acd,0x3ffff65f,
    0xffffffff,0x6ffff82f,0xefffff98,0xfffd5000,0xffffffff,0xfffff30b,
    0x9bdddfff,0xffd00015,0x009fffff,0xfffffe80,0xffe804ff,0x4c00004f,
    0xd004ffff,0x9fffffff,0x3ffe2000,0xffd8001f,0x3fff605f,0x7fffcc05,
    0xffecbcdf,0xffc86fff,0xffff9fff,0x207ffff3,0xfd86fffe,0x64002fff,
    0xffbcffff,0x7fffc43f,0x2ffffcc7,0xfff30000,0x7777449f,0xefffffee,
    0x260eeeee,0x2204ffff,0xf985ffff,0xefffffff,0x000acdee,0x446ffff8,
    0xffffffff,0xffffffff,0xffffc81f,0xffffffff,0x3f200cff,0xffffffff,
    0x40cfffff,0xff33fffa,0xfff75fff,0x3ffe07ff,0xffff706f,0xfffa80bf,
    0xffffffff,0xff905fff,0xffffffff,0x0019ffff,0x7fffffdc,0x7dc0000f,
    0x00ffffff,0x004fffe8,0x7fffcc00,0xffff7004,0x20001fff,0x001ffff8,
    0x205fffd8,0x4c05fffd,0xffffffff,0x1fffffff,0xafffffd8,0xfff3ffff,
    0xffff107f,0xbffff709,0xffffa800,0x541fffdf,0xfe84ffff,0x00000fff,
    0x449ffff3,0xffffffff,0xffffffff,0x3fffe61f,0x3fffe204,0xfffff905,
    0xffffffff,0x3ea0019f,0x7fc43fff,0xffffffff,0x1fffffff,0xffffffd0,
    0xffffffff,0xffffe80d,0xffffffff,0x7ffcc6ff,0xc8b7faa5,0x3fe02cfe,
    0x3ff606ff,0xff503fff,0xffffffff,0x40bfffff,0xfffffffe,0x6fffffff,
    0x3fffe200,0x880004ff,0x04ffffff,0x009fffd0,0xffff9800,0xffff1004,
    0x440009ff,0x8001ffff,0x3605fffd,0x7cc05fff,0xffffffff,0x900cffff,
    0xff1fffff,0x3fffe7ff,0x2ffffb83,0x07ffff88,0x7ffffc40,0x7fcc6fff,
    0xffb80fff,0x300004ff,0x7c49ffff,0xffffffff,0xffffffff,0x13fffe61,
    0x05ffff88,0x3ffffffa,0xffffffff,0xffffd006,0xffffff10,0xffffffff,
    0xffb03fff,0xfdddddff,0x09ffffff,0x3bbffff6,0xfffffeee,0x3ffe24ff,
    0x7c00000f,0x3a206fff,0x442fffff,0x1aefffff,0x82ffffc4,0xeeeffffd,
    0xffffffee,0x3ff6004f,0x00001fff,0x03fffffb,0x013fffa0,0xffff3000,
    0x7ffec009,0x220001ff,0x8001ffff,0x3605fffd,0x7cc05fff,0xffffffff,
    0x74401dff,0xffff3fff,0x20ffffe7,0x3a07fffd,0x4001ffff,0xfffffffb,
    0xfffff514,0x3fffe209,0xf980001f,0x3fe24fff,0xffffffff,0x1fffffff,
    0x813fffe6,0xb05ffff8,0xddddffff,0xfffffffd,0xffffa809,0x20000004,
    0x203ffffc,0x86ffffd8,0x203ffffc,0x46ffffd8,0x0002fffe,0x70000000,
    0x440dffff,0xfc85ffff,0x36203fff,0x2006ffff,0x005ffffd,0x3ffff600,
    0x3fffa005,0x7d400004,0x36003fff,0x0005ffff,0x00ffffc4,0x02fffec0,
    0x980bfffb,0xa98cffff,0x41550001,0xfff3ffff,0xdffff07f,0xfb333333,
    0xd0009fff,0xddffffff,0x1fffffff,0x37fffdc0,0x7ffd4000,0x7dc0003f,
    0x440005ff,0xfc84ffff,0x36203fff,0x2206ffff,0x000fffff,0xfff10000,
    0x3ffe00bf,0x7fffc47f,0xfffff005,0x005fffb8,0x00000000,0x405ffff9,
    0x445ffff9,0xf005ffff,0x2600ffff,0x001fffff,0xfffff300,0x7fff4003,
    0x7e400004,0xf3002fff,0x0003ffff,0x00ffff98,0x05fffd80,0x301bfff2,
    0x0009ffff,0x9ffffc00,0x7d43ffff,0xffffffff,0x6fffffff,0xffff9800,
    0xffffffff,0xffe801ff,0x640003ff,0x0002ffff,0x001bffea,0x0ffffe60,
    0x00bffff1,0xc81ffffe,0x8002ffff,0x801cccc8,0x004ffffa,0xfa8dffff,
    0xff004fff,0xfff88dff,0x8000003f,0x4002cccc,0x103ffffd,0xa8bffffd,
    0xf004ffff,0xd100dfff,0x000bffff,0x3ffffa20,0x7fff4005,0x7fc00004,
    0xe8800fff,0x0005ffff,0x007fffa8,0x40bfffb0,0x4c07fffb,0x0004ffff,
    0xff7fffb8,0x3fffe7ff,0x7ffffe43,0xffffffff,0x8000ffff,0xffffffe8,
    0x000dffff,0x05fffff3,0x7ffffc00,0x3ffe0000,0xfb80001f,0x7fd42fff,
    0xfff004ff,0x3ffee0df,0xff30005f,0xff5001ff,0xfb801fff,0x7fd44fff,
    0x7dc00fff,0xffd84fff,0x164402ff,0x7fffc400,0x7ffe4001,0xffff986f,
    0x7ffd45ff,0x7fdc00ff,0x7f4c04ff,0x0000efff,0xeffffe98,0x7fff4000,
    0x20399004,0x06ffffd8,0xeffffe98,0xffe80000,0xffb0006f,0x7ffd40bf,
    0x3ffe602f,0xfc80004f,0x7ffff4ff,0xff0ffffe,0xffffffff,0xffffffff,
    0x3ff20007,0x3effffff,0xffffb800,0x880e641f,0x006ffffd,0x01fffea0,
    0xfffd1008,0xffffa83f,0x7ffdc00f,0xffffa84f,0xff70000f,0x3fe200bf,
    0x309aefff,0x3fffffb5,0xefffff88,0xffb5309a,0xff303fff,0x3337bfff,
    0x0005ffb7,0x000ffff5,0x9ffffff7,0xffffffd7,0xffff88bf,0xb5309aef,
    0xd83fffff,0xfffffede,0xbdb0001f,0x3ffffffd,0x9fffd000,0x33bff200,
    0xfffffdcc,0xfeded81f,0x001fffff,0x7fffec40,0xfffb0004,0x7fffc40b,
    0xffff302f,0xffd00009,0x4ffffe3f,0x3e63ffff,0xeeeeefff,0xfffeeeee,
    0xfff0005f,0x0003555f,0x3fffffb0,0x66677fe4,0x1ffffffd,0x3ffea000,
    0x7d4018af,0xffffcbcc,0xffff885f,0xb5309aef,0xa83fffff,0x002fffff,
    0x00ffff60,0xffffffd8,0xffffffff,0xfffb02ff,0xffffffff,0x405fffff,
    0xfffffff9,0x02ffffff,0x04fffb80,0xfffffd00,0xfbffffff,0xfffb0bff,
    0xffffffff,0xd05fffff,0xffffffff,0x7ff40007,0x03ffffff,0xdffffd00,
    0xfc87dddd,0xffffffff,0xffd04fff,0x07ffffff,0x3fffae00,0x6400ffff,
    0xfffeeeee,0x7ffdc05f,0xf30eefff,0x80009fff,0x3fe6fff8,0x7ffff3ff,
    0x00ffffdc,0x07ffffcc,0x13ffe600,0x7fec0000,0x3fff26ff,0xffffffff,
    0x7cc0004f,0x407fffff,0xfffffffa,0xffb00fff,0xffffffff,0x85ffffff,
    0x02fffff8,0x07fff400,0x3ffff600,0xffffffff,0x7fec02ef,0xffffffff,
    0x9802efff,0xffffffff,0x8001ffff,0x0002fffd,0xfffffff5,0xfff73dff,
    0x3ffff60b,0xffffffff,0xfffd02ef,0x0003dfff,0xffffffe8,0x3fa0001e,
    0xffffffff,0x7ffffe44,0x03ffffff,0x3ffffffa,0x3f20001e,0x03ffffff,
    0xffffffd8,0xfe805fff,0x31ffffff,0x0009ffff,0x3e3fff98,0xffff3fff,
    0x03ffff47,0x05fffff0,0x02fffc80,0x3ff60000,0x3ffff20e,0x3fffffff,
    0xfffd0000,0xffa80fff,0x2fffffff,0x7ffffec0,0xffffffff,0x5fff702e,
    0xfff88000,0xff930006,0xbfffffff,0x7fe4c005,0xdfffffff,0x7ee44002,
    0x0befffff,0x0fffd000,0xfffe8800,0x3fee4fff,0x3ff2605f,0xdfffffff,
    0x7ffff402,0xfd00003e,0x0007dfff,0xffffffd0,0xfd989fff,0xcfffffff,
    0x7ffff400,0xfc80003e,0x002effff,0xfffffffb,0xf9100bff,0x263fffff,
    0x0004ffff,0xff07ffdc,0x3fffe7ff,0x0bffff13,0x27fffec0,0x01fffa00,
    0x03b60000,0xffffffb3,0x000019ff,0x37fffe44,0x3ffffea0,0x93000dff,
    0xffffffff,0x5f7005bf,0x26660000,0x99880000,0x800009aa,0x009aa998,
    0x066a6000,0x04ccc000,0xaa988000,0x26200001,0x20009aa9,0x00001aa9,
    0x0001aa98,0x7fffff40,0x2604ffff,0x20009aa9,0x00001aa9,0x01e6f7e4,
    0x3fffff60,0x2005ffff,0x01ffecc9,0xff000000,0x3fffe7ff,0x05ffff53,
    0x3ffffd40,0x00aaaa00,0x20040000,0x0009aa99,0x40010000,0x0009aa98,
    0x4d54cc40,0x00008000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffff000,0x7ecffffe,0x22000fff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffc0000,0x07ffff3f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99998000,
    0x00133330,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36e20000,0x333002ce,0x33100133,0x26666613,
    0x99999999,0x4ccc0999,0x99880199,0x33333109,0x33333333,0x26200133,
    0x01aaccba,0x99800000,0x33300099,0xffb00013,0x0ccc000d,0x99530000,
    0x73000355,0x26662007,0x99999999,0x19999999,0x55544000,0x10000001,
    0x13333333,0x33300000,0x22001333,0x44009999,0x00019999,0x09999998,
    0x00333330,0x2aaaa000,0x2aaaaa2a,0x2aaa000a,0x5300001a,0xa8000359,
    0xaccdedcb,0x3ffe2001,0x7c404fff,0xc807ffff,0xffff6fff,0xffffffff,
    0x7c49ffff,0x401fffff,0xff56fffc,0xffffffff,0x807fffff,0xffffffea,
    0x0002ffff,0x9803dfd3,0x8804ffff,0x8005ffff,0x50004ffe,0x20001fff,
    0xfffffed8,0x202dffff,0x004fffd9,0xfffffff5,0xffffffff,0x8000ffff,
    0x0002fffb,0xa803dfd3,0xffffffff,0x0001ceff,0x3fffffea,0xffff5006,
    0x7fffc409,0x7e40006f,0x3e04ffff,0x00007fff,0x0dffffc8,0x05fffff9,
    0x7ffffec0,0xffb30002,0x05dfffff,0x3fffee20,0x07ffffff,0x3f3bffa0,
    0x3fe202ff,0x6403ffff,0xffff6fff,0xffffffff,0x7c49ffff,0x405fffff,
    0xff56fffc,0xffffffff,0x207fffff,0xffffffe9,0x03ffffff,0xfffff880,
    0x3fffe600,0xffff8804,0x3fff8005,0x0fff7000,0x3fffee00,0xffffffff,
    0x3ffea04f,0xfff5004f,0xffffffff,0xffffffff,0xfffe8000,0xfff88000,
    0x3fea00ff,0xffffffff,0x8001efff,0xfffffffc,0xffffa801,0x3ffff204,
    0x3f20001f,0x7c02ffff,0x00007fff,0x927fffdc,0x001bffff,0x7fffffec,
    0x7fdc002f,0xffffffff,0x7ffc403f,0xffffffff,0xdff1007f,0xf1027fcc,
    0x80ffffff,0xfff6fffc,0xffffffff,0x449fffff,0x0fffffff,0x55bfff20,
    0xffffffff,0x3fffffff,0xffffff88,0xffffffff,0xfffb8003,0x3fe603ff,
    0xff8804ff,0x7c4005ff,0xfb0002ff,0xfd8800df,0xffffffff,0x204fffff,
    0x004ffffa,0xfffffff5,0xffffffff,0x4000ffff,0x0005fff8,0x07fffff7,
    0x7fffffd4,0xffffffff,0x7ffc000e,0x803fffff,0x504ffffa,0x007fffff,
    0x77fffe40,0x7ffff800,0x3fee0000,0x3fff22ff,0x7fec003f,0x3ffffadf,
    0xfffffb00,0xffffffff,0x3fffa20b,0xfffeefff,0xbff1007f,0xf102ffc4,
    0x07ffffff,0xedb7ffe4,0xffffeeee,0x23eeeeef,0xfffffff8,0x5bfff204,
    0xfffffffa,0xffffffff,0xfffffd83,0xffeccdef,0xffa8003f,0x3e603fff,
    0xf8804fff,0x4c005fff,0xd0001fff,0xfe800bff,0xefffffff,0x04fffffe,
    0x013fffea,0x7fffffd4,0xffffffff,0x2007ffff,0xfffcccb9,0xfff50003,
    0x7fd407ff,0xffffffff,0x006fffff,0x3fffffe6,0xffa805ff,0xffe884ff,
    0x320005ff,0x2004ffff,0x0007ffff,0x43dfff70,0x000efffc,0x88ffffa2,
    0x5c03fffe,0xefffffff,0x3fffffff,0xafffffb8,0x2005b980,0xffd9bfff,
    0x3fffe203,0xf900ffff,0x7fcc0dff,0xff8805ff,0x00ffffff,0x3eadfff9,
    0x20005fff,0x0cfffff9,0x2000aa20,0x00fffff8,0x013fffe6,0x017fffe2,
    0x001fff50,0xffffd971,0x5c037bdf,0x1bffffff,0x204fda88,0x004ffffa,
    0x5ffff980,0x3ffa6000,0x0fffffff,0xffff1000,0x7ffd401f,0x7ff5c43f,
    0xf7001fff,0xffffffff,0xffffa801,0xfffffc84,0x26660000,0x7ffc0009,
    0x0000007f,0x00000000,0xbfffff10,0x7fffd443,0xffffd87f,0x7d400004,
    0x406fffff,0xfffffff8,0xdfff903f,0x2ffffcc0,0x7ffffc40,0xff903fff,
    0x3fffeadf,0x3fee0005,0x000006ff,0x401ded88,0x804ffff9,0x005ffff8,
    0x007fff26,0xfffffff9,0x20bfffff,0x1efffff8,0x55554200,0xadffffca,
    0x01aaaaaa,0x05ffff98,0xfffff700,0x09ffffff,0x0ef6c400,0x0ffffea0,
    0x17ffffc4,0xdefffe80,0x5402ffff,0x7cc4ffff,0x0002ffff,0x01999700,
    0x001ffffe,0x00000000,0x7fe40000,0xff300eff,0xffe87fff,0x800004ff,
    0x00dfffea,0x7fffffc4,0xffc80fff,0x3ffe606f,0xfff8805f,0x907fffff,
    0x3feadfff,0x320005ff,0x0004ffff,0xf9800000,0xf8804fff,0x32205fff,
    0xfffffffe,0x7fffc41f,0xffffffff,0xfff905ff,0x3a0001ff,0xffffffff,
    0xffffffff,0xfff9804f,0x7ec4005f,0xffffffff,0x0005ffff,0xffff5000,
    0x7fffe407,0xffff8804,0x04ffffab,0x227fffd4,0x004ffffe,0xdfff1000,
    0x03ffffc0,0x01333300,0x00266660,0x332ea620,0x3fe201aa,0x7dc00fff,
    0x7fec6fff,0x8000bfff,0x0c409999,0xf884cccc,0xffffdfff,0x06fffc83,
    0x017fffe6,0x3f7fffe2,0xffc82fff,0xbffff56f,0x7ffe4000,0x0000006f,
    0x03559953,0x009ffff3,0x20bffff1,0xfffffffb,0x7f42ffff,0xffffffff,
    0x885fffff,0x003fffff,0x3fffffa0,0xffffffff,0x9804ffff,0x4005ffff,
    0xeffffffc,0xfffffffd,0x97310003,0xfff50355,0x7ffdc07f,0xfffa804f,
    0x7ffff89f,0x27fffd40,0x00dffff9,0x7ffdc000,0x1ffffe03,0x7fffcc00,
    0xffff8804,0x3ffaa005,0xffffffff,0x5ffffb82,0xfffff880,0x3ffffee1,
    0xf3002dff,0xf1009fff,0x3fe2bfff,0xffffeaff,0x037ffe40,0x00bffff3,
    0xff5ffff1,0xfff90dff,0x17fffead,0xffffb800,0x400000df,0xfffffed8,
    0xf32dffff,0xf1009fff,0xfe88bfff,0xffffffff,0x3fee2fff,0xffcadfff,
    0xa84db98f,0x0007ffff,0x7ffffff4,0xffffffff,0xf9804fff,0x22005fff,
    0x10cfffff,0xffffffff,0x3ff6e001,0x5fffffff,0x80ffffea,0x803ffffc,
    0x3fa7fffd,0x3ea01fff,0xfff34fff,0x000003ff,0xf007ffec,0x2000ffff,
    0x804ffff9,0x805ffff8,0xffffffe9,0x83ffffff,0x002ffffc,0xe85ffffd,
    0xffffffff,0x3fe601cf,0xff8804ff,0xffff15ff,0x87ffff55,0x2606fffc,
    0x8805ffff,0xffcaffff,0x7ffe42ff,0x0bffff56,0x7fffcc00,0x0000cfff,
    0xffffffb8,0x4fffffff,0x009ffff3,0xc8bffff1,0xfeffffff,0x3a2fffff,
    0x3f64ffff,0xfff7006f,0xaa80009f,0xffffcaaa,0xaaaaaaad,0xffff9801,
    0x3fff2005,0x7fffd44f,0x4404ffff,0xfffffffd,0xf50fffff,0x3e207fff,
    0xf801ffff,0x3ff25fff,0x3fea03ff,0xffffd4ff,0x54c00007,0x06fffeec,
    0x003ffffc,0x04ffff98,0x05ffff88,0x7fffffc4,0xffffffff,0x1ffffd83,
    0x7ffff900,0xfffffd88,0x81efffff,0x804ffff9,0xf15ffff8,0x3ffa5fff,
    0x3fff20ff,0x3fffe606,0xffff8805,0x45ffff8a,0xff56fffc,0x55555dff,
    0x36055555,0xffffffff,0xfd88002d,0xffffffff,0xf34fffff,0xf1009fff,
    0x7fccbfff,0xff88dfff,0x3fe2c9af,0x3ffa0fff,0xffff9004,0x33333107,
    0x7d401333,0x80004fff,0x005ffff9,0xb0fffff1,0xffff9fff,0x7fffd40d,
    0xffffffff,0xffff50ff,0xffffd507,0xffff300b,0x37fffcc7,0x99ffff50,
    0x000bffff,0x3ffffee0,0x7c05ffff,0x30007fff,0x1009ffff,0xd80bffff,
    0xdeffffff,0x83fffecc,0x000ffffe,0x207ffff9,0xffffffeb,0x7cc2ffff,
    0xf8804fff,0xfff15fff,0x3fffea5f,0x81bfff24,0x805ffff9,0xfb2ffff8,
    0x7fe43fff,0xfffff56f,0xffffffff,0x3ffe20ff,0xffffffff,0xfffd000c,
    0xfddfffff,0x3e69ffff,0xf8804fff,0x3ffa5fff,0x3ffe65ff,0xfffff881,
    0x400fffe2,0xc82ffffd,0xffffffff,0x3fffea05,0xff980004,0xff7005ff,
    0xffff09ff,0x203ffffe,0xfffffffa,0xfffffeff,0x9dffff50,0xfffffdd9,
    0xfff9001f,0xfffff81f,0xbffff500,0x001fffff,0xffffe880,0xefffffff,
    0x0fffff00,0x3fffe600,0xffff8804,0x3fffe605,0x0aa200cf,0x801ffffe,
    0x404ffffb,0xfffffeb8,0x3fe60eff,0xff8804ff,0xffff15ff,0x87ffff45,
    0x2606fffc,0x8805ffff,0xff32ffff,0x7ffe49ff,0xffffff56,0xffffffff,
    0x7ffec40f,0xffffffff,0x7fffdc02,0xda881bff,0x9ffff34f,0xbffff100,
    0x83ffffe2,0xfd00fffa,0xff13dfff,0x3ffe005f,0xfffc81ff,0x205fffff,
    0x004ffffa,0x5ffff980,0x3ffff900,0xf94fff98,0xffd07fff,0x8815bfff,
    0xfff50fda,0xffffffff,0x3a001bff,0xffd86fff,0xfff502ff,0x0bffffff,
    0xffff8800,0xffffffff,0xffff06ff,0x3fe6000f,0xff8804ff,0x3fee05ff,
    0x220006ff,0x2007ffff,0x005ffffb,0x3fffff22,0x3fffe62f,0xffff8804,
    0x45ffff15,0xf94ffffa,0x7fcc0dff,0xff8805ff,0x3fffa2ff,0x2dfff90f,
    0xfffffffa,0x7fffffff,0xffffeb80,0x03ffffff,0x3dfffff1,0xfff98400,
    0xfff8804f,0xbffff55f,0x3207ffb8,0xfeffffff,0xfff001ff,0xfff903ff,
    0x40bfffff,0x004ffffa,0x5ffff980,0x0ffffb00,0x3ee5fff9,0x7fd44fff,
    0x41005fff,0xfffffffa,0x000cffff,0x213fffe2,0x505ffffb,0xfffdffff,
    0x6c0003ff,0xcacfffff,0x4fffffff,0x007ffff8,0x09ffff30,0x0bffff10,
    0x027fffe4,0xfffff300,0x7fffdc00,0xfff98005,0x3ffe63ff,0xfff8804f,
    0x5ffff15f,0xc8ffffe8,0x3e606fff,0xf8805fff,0x3fea2fff,0xdfff94ff,
    0x33bfffea,0xcccccccc,0x3ff6a004,0x1fffffff,0x0fffffc8,0xffff3000,
    0xffff1009,0x0ffffeeb,0x7cc0dff9,0xffffffff,0xfffd002f,0xffff905f,
    0x540bffff,0x0004ffff,0x05ffff98,0xf0ffffd0,0x7ffd4fff,0x7ffffc4f,
    0xfff50005,0xffffffff,0x7fdc007f,0xfff882ff,0xffff507f,0x0dffffb9,
    0x3fffe600,0x3ffffa1f,0x7fc0ffff,0xf30007ff,0xf1009fff,0x7e40bfff,
    0x20006fff,0x00fffff8,0x09ffff70,0x3ffffa00,0x13fffe62,0x57fffe20,
    0x542ffff8,0xffccffff,0x3ffe606f,0xfff8805f,0x7ffff42f,0xf56fffc8,
    0x0000bfff,0x7fff5c40,0x7fc46fff,0x20003fff,0x804ffff9,0xf95ffff8,
    0xffd85fff,0x7fffd405,0x3effffff,0x17fffec0,0x2ffffc40,0x09ffff50,
    0xffff3000,0x3fffe00b,0x52fffcc6,0x7dcbffff,0x0001ffff,0x739ffff5,
    0x03fffffd,0x81ffff60,0xa81ffffe,0xff8cffff,0xe8004fff,0x3e61ffff,
    0xffffcdff,0x03ffffc3,0x4ffff980,0x5ffff880,0x3ffffee0,0xfff0000d,
    0x3f2001ff,0x00b23fff,0x83ffffea,0x804ffff9,0xf15ffff8,0xffd05fff,
    0x0dfffbff,0x02ffffcc,0x217fffc4,0xfcbffffb,0xffff56ff,0x2000000b,
    0x0ffffffb,0x01ffffea,0x9ffff300,0xbffff100,0xf13ffff2,0xfd5007ff,
    0xffffffff,0x3ff205ff,0xff8803ff,0x3fea05ff,0x980004ff,0x8805ffff,
    0x7e46ffff,0x3ffe62ff,0x3ffff25f,0x3fea0005,0x7ffec3ff,0xffff006f,
    0xb333333d,0xf509ffff,0x3fee9fff,0x7c002fff,0x7fdc6fff,0x5ffff9af,
    0x003ffffc,0x04ffff98,0x05ffff88,0x3fffffe6,0x7fc000cf,0xf9001fff,
    0x7ff45fff,0xfdbaabcd,0x7cc6ffff,0xf8804fff,0xfff15fff,0xffff505f,
    0x4c0dffff,0x8805ffff,0x7c42ffff,0xfffcefff,0x0bffff56,0x7dc00000,
    0x3ee1ffff,0x40004fff,0x805ffff9,0xf74ffff9,0xfff8bfff,0x3ffee002,
    0xffffffff,0x6ffffb84,0x5ffff880,0x13fffea0,0x3ffe6000,0xfff9805f,
    0x07fff46f,0x74bffff3,0x0002ffff,0x10ffffea,0x807fffff,0xfffffffa,
    0xffffffff,0xffffa86f,0x3bffffa4,0xffff1000,0x3e7ffe87,0x7ffc6fff,
    0xff30007f,0xff1009ff,0xffd80bff,0x2dffffff,0x7ffffd00,0x3ffffa00,
    0x3fffffa1,0xffffffff,0x7fffcc1f,0xffff8804,0x05ffff15,0x3ffffffa,
    0x3ffe606f,0xfff8805f,0xffffc82f,0xff56fffe,0x00000bff,0x7ffffc40,
    0x0fffff22,0x26666662,0xffff1099,0xffff300d,0x9ffffea9,0x8001fff8,
    0xfffffffa,0x7fd43fff,0x7c401fff,0x3ea05fff,0x80004fff,0x805ffff9,
    0x226ffff8,0x7fd45fff,0x3fffe3ff,0x3ea0001f,0xffb83fff,0x7fe407ff,
    0xffffffff,0x0fffffff,0x327fffd4,0x009fffff,0x98bfffea,0x3ffa5fff,
    0x3ffffc7f,0xffff9800,0xffff8804,0x7fffc405,0xcfffffff,0x3ffff200,
    0xffff9805,0x7fffff47,0xffffffff,0x4ffff981,0x5ffff880,0x205ffff1,
    0xfffffffa,0x3fffe606,0xffff8805,0xfffff882,0xfff56fff,0x000000bf,
    0x07ffffc4,0x905ffffb,0xffffffff,0x03ffffcb,0x99ffffdc,0xf53fffff,
    0xf30001ff,0xfffffdff,0xfffe81ff,0x7ffc405f,0x3ffea05f,0xf980005f,
    0xf8805fff,0x3fee7fff,0x7fffd43f,0x3fffff12,0x7ffd4000,0xffff883f,
    0x3fffe03f,0xffffffff,0x43ffffff,0x644ffffa,0x802fffff,0x321ffffb,
    0x3ff62fff,0x3fffe0ff,0xfff30007,0xfff1009f,0xffb100bf,0xffffffff,
    0x3ffe605f,0x7fe400ff,0x7ff643ff,0xefffffff,0xffff300b,0xffff1009,
    0x0bfffe2b,0xffffffe8,0x3fffe606,0xffff8805,0xfffffb02,0x3ffeadff,
    0x0060005f,0x8dffff70,0xc81fffff,0xffffffff,0x0fffffa5,0x41fffff0,
    0xbcfffffe,0x400cc7ff,0xfe98fffa,0x7d42ffff,0x100dffff,0x4c0bffff,
    0x000fffff,0x2ffffcc0,0x27ffff80,0x7dc0fffe,0xfff31fff,0x540001ff,
    0xf903ffff,0x3e60dfff,0xeeeeefff,0xfffeeeee,0x7fffd45f,0x7ffff444,
    0x7ffdc00f,0xb1fffa2f,0xfff8ffff,0xff30007f,0xff1009ff,0x75c00bff,
    0xffffffff,0xfffd03ff,0x3fea01df,0x53100fff,0x00135555,0x009ffff3,
    0x22bffff1,0x2a02ffff,0x06ffffff,0x017fffe6,0x40bfffe2,0xfffffff9,
    0x3bffff56,0x33333333,0x9bdff813,0xffffd980,0x7ffffc4f,0xfffffc81,
    0x3fee5fff,0xfd882fff,0x7fd45fff,0xffffffff,0xb803fedb,0x3ffe27ff,
    0xfffe83ff,0x2a09beff,0x7c05ffff,0x0003ffff,0x02ffffcc,0x89ffffe8,
    0xffd86fff,0xffff50ff,0x7d40001f,0xff303fff,0xff705fff,0xff3003ff,
    0x7fd41fff,0xfffa84ff,0x7fd405ff,0x9fff33ff,0x7c6fffe8,0x9999ffff,
    0x21999999,0x804ffff9,0x005ffff8,0xfffffda8,0xfb81ffff,0x30aeffff,
    0x0bfffff7,0xff980000,0xff8804ff,0xffff15ff,0xffffe805,0xffffff6f,
    0xffffffff,0x7ffc49ff,0x3fffa02f,0xfff56fff,0xffffffff,0xff87ffff,
    0xffffffff,0x0fffffff,0x417ffff4,0xfffffffc,0x7ffffc5f,0xfffecdef,
    0xffd81fff,0xffffffff,0xfc803fff,0x7fffec6f,0xfffff983,0xffffffff,
    0x7f405fff,0xcbcfffff,0xff9804ec,0xff9005ff,0x7fff79ff,0x27ffff88,
    0x01fffff9,0x3fffea00,0x3ffff603,0x07fffe86,0x8bffffe0,0xb04ffffa,
    0x405fffff,0xf93ffffa,0x7ffc45ff,0x7ffffc5f,0xffffffff,0x3ffe67ff,
    0xfff8804f,0x2e20005f,0x6ffffffe,0xfffffe88,0xffffffff,0x332000ef,
    0xff9802cc,0xff8804ff,0xffff15ff,0xffffa805,0xffffff6f,0xffffffff,
    0x7ffc49ff,0x3ffea02f,0xfff56fff,0xffffffff,0xff87ffff,0xffffffff,
    0x81ffffff,0x802ffffd,0x5c5ffff8,0xffffffff,0x02ffffff,0x3ffffff2,
    0x03ffffff,0x7f45ffd8,0xff502fff,0xffffffff,0x80bfffff,0xfffffffa,
    0x9804ffff,0x5005ffff,0xffbfffff,0xffffa83f,0x3ffffe24,0x3fea0001,
    0x3fea03ff,0x3fe22fff,0x3f6005ff,0x3fea4fff,0xfff104ff,0x3e201fff,
    0xffff6fff,0x44ffffb8,0xffffffff,0x7fffffff,0x013fffe6,0x017fffe2,
    0x7fffdc00,0xffe880ff,0xffffffff,0x22000eff,0x9801ffff,0x8804ffff,
    0xff15ffff,0xffd005ff,0x3fffedff,0xffffffff,0x3e24ffff,0x7f402fff,
    0xff56ffff,0xffffffff,0xf87fffff,0xffffffff,0x01efffff,0x007ffff9,
    0x50bffff1,0xffffffff,0x5007ffff,0xfffffffd,0x02e25fff,0xffb93ffe,
    0x36200fff,0xffffffff,0x804fffff,0xfffffffc,0xf9804fff,0xf1005fff,
    0xdfffffff,0x0fffff98,0x017ffffc,0x7ffff500,0x6ffffe80,0x00bfffea,
    0x27ffffa8,0x204ffffa,0x05fffffb,0x3f3ffffa,0x3ffa24ff,0x7fffc0ff,
    0xffffffff,0x3fe67fff,0xff9805ff,0x200004ff,0x01fffffb,0xffffffd1,
    0x001dffff,0x007fffa8,0x00bffff3,0x229ffff3,0xa802ffff,0xfff6ffff,
    0xffffffff,0x449fffff,0x5c02ffff,0xf56fffff,0xffffffff,0x87ffffff,
    0xffffffdb,0x401dffff,0x806ffffb,0x105ffff8,0xffffffd9,0xb880019f,
    0x41bcdfff,0xfabdeff9,0xfffdbcff,0xfb5005ff,0xdfffffff,0x7f4c0037,
    0x3fffffff,0x5ffff980,0x3fffee00,0xff514fff,0xffd09fff,0x54000bff,
    0x5c03ffff,0xfb1fffff,0x44001fff,0xf51fffff,0xfe809fff,0xf702ffff,
    0x3fffffff,0x13ffffa2,0x3ffffffe,0xffffffff,0x1bfffe27,0x0ffffe60,
    0xfff88000,0x7ed402ff,0x02dfffff,0x09fff700,0x1bfffe20,0x0ffffe60,
    0xffff1000,0xfff3000b,0x0000001f,0x77ffcc00,0x2aaa6200,0x3ea0009a,
    0x4401ffff,0x8805ffff,0x000ffffb,0x807ffe60,0xfffffff9,0xffffffff,
    0x988000ef,0x000099aa,0x055554c4,0x3a000000,0xeeffffff,0x0fffffff,
    0x1fffffc8,0x00000000,0x3fee0000,0x0000005f,0xffffffd0,0xfffffb9f,
    0x8000001f,0xb807ffff,0x0002ffff,0x3ffffe20,0xffff3000,0xffd80009,
    0x3ffe002f,0xfffb807f,0x7cc0002f,0x44003fff,0x0001ffff,0x3e200000,
    0x00000fff,0x3ffffa00,0x7fffc405,0xfffe8805,0x7fd40001,0x3ffe600f,
    0xffffffff,0x000effff,0x00000000,0x30000000,0xffffffff,0x03ffffff,
    0x17ffffea,0x00000000,0x7ffd4000,0x00000006,0x3fffffe6,0xffffffff,
    0xe8000002,0x7c03ffff,0x0600ffff,0xdffff700,0x6ffff800,0x3fff4000,
    0x3ffffa00,0x7ffffc03,0x7fe40000,0x7e4002ff,0xcc8004ff,0x200002cc,
    0x8003fffd,0x2002cccc,0x0dfffffa,0x0bffff10,0x009fff90,0x80fff700,
    0xfffffff9,0x2effffff,0x33332000,0xccc80002,0x6640002c,0xe88002cc,
    0xffffffff,0x7ec00dff,0x800dffff,0x59999002,0xff000000,0xcc8003ff,
    0x4c0002cc,0xfffffffe,0x4001efff,0x801cccc8,0x82fffffb,0x04ffffd8,
    0x404deffc,0x4fffffd9,0x7ffff400,0x99804a84,0x7fdc0009,0xfd882fff,
    0x40004fff,0x01fffffa,0x017fffc0,0x07fffe20,0x7ffc4000,0x7fc4001f,
    0x7f4001ff,0x09beffff,0x017fffea,0x000bfffe,0x201bff20,0xfffecb98,
    0x0002bcef,0x00ffffc4,0x3fffe200,0x3fe20001,0xf90001ff,0xdfffffff,
    0x3ffe6007,0x89acefff,0x400ffda9,0x001ffff8,0x7ffd4000,0x7ffc4007,
    0xf880001f,0xefffffff,0xfff30003,0x3ffa001f,0xfecdefff,0x400fffff,
    0xffffffff,0xffffffff,0x7fdc000f,0xfeccefff,0x4000002f,0xdefffffe,
    0xffffffec,0xfeca8000,0x4005ffff,0x88dffff8,0x7fffa800,0x3fe60000,
    0x50008cff,0x3000ffff,0xffffffff,0xffffffff,0xbffff00b,0x36000111,
    0xfd0005ff,0xa80000bf,0x80007fff,0x0007fffa,0x003fffd4,0x555ffff0,
    0x3ff20003,0xffffffff,0x400fffff,0x0007fffa,0xffffa800,0xffa8018b,
    0xf500007f,0x00355bff,0x0bfff700,0x7ffffd40,0xffffffff,0xffff803f,
    0xffffffff,0x0001ffff,0xfffffffd,0x0001ffff,0x7fffd400,0xffffffff,
    0xf90003ff,0x01dfffff,0xffffff00,0xfff7005f,0x7c400009,0x01ffffff,
    0x004fffb8,0xffffff50,0xffffffff,0xffff00bf,0x20005fff,0xf0004ffe,
    0x800009ff,0x0004fffb,0x004fffb8,0x027ffdc0,0x04fff980,0x3fff2000,
    0xffffffff,0x7dc00fff,0x000004ff,0xffffff98,0x4fffb807,0xfffb0000,
    0xfd800003,0x7d4003ff,0xffffffff,0xff002fff,0xffffffff,0x003dffff,
    0x7ffffcc0,0x02ffffff,0x7fd40000,0xffffffff,0x320002ff,0x01efffff,
    0xfffff700,0xfffb005f,0xfc800005,0x801fffff,0x0002fffd,0x3fffff62,
    0xffffffff,0xffffb804,0xff0002ff,0xff10007f,0xd800005f,0x80002fff,
    0x0002fffd,0x0017ffec,0x002fffc8,0x7fff4c00,0xffffffff,0x7ffec00f,
    0xd0000002,0x00ffffff,0x0005fffb,0x00dfff10,0x1fffd000,0xfff91000,
    0x009fffff,0xfffffdb8,0x01dfffff,0xfff91000,0x001bffff,0x3f220000,
    0x4fffffff,0xfffc8000,0xea80002e,0xe801efff,0x000007ff,0x01dfffd7,
    0x000fffd0,0x3ffff6a0,0x01beffff,0x3bfffaa0,0xfff88001,0xfff98001,
    0x7f400001,0xfd00007f,0xfd0000ff,0x7f4000ff,0x1000007f,0xfffffdb7,
    0xfd0017bf,0x000000ff,0x37fffe44,0x003fff40,0x03fffa80,0x7ffc4000,
    0xa9880006,0x8800009a,0x009aaaa9,0x2a620000,0x000009bb,0x2aa62000,
    0x26000009,0x20000019,0x04ccc000,0x00400000,0x00026660,0x26aa6200,
    0x00800009,0xa8000000,0x00000fff,0x00004ccc,0x00009998,0x00009998,
    0x0000aaaa,0x009a9800,0x00099980,0x00200000,0x00009998,0x00155530,
    0x01333000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x017ddb51,0x00000005,0x93099950,0x54000099,
    0x001aaaaa,0x00b3b6e2,0x81555500,0x4402aaa8,0x54c0aaaa,0x200002aa,
    0x00aaaaaa,0x65400000,0x04cc984c,0x55555400,0x2aaaaaa2,0x2aaa0000,
    0x54001aaa,0x00001aaa,0x00035555,0xc8819993,0x550001cc,0x80000555,
    0x1deeeed8,0xb80eed40,0x550000cd,0xb5000555,0x0336e03b,0x2aaaaaa0,
    0x55540001,0x00001aaa,0x2aaaaa00,0xfffe801a,0xdf50bfff,0xbff70001,
    0x3fea0001,0x1fffa22f,0x7ffe4000,0x3e2003ff,0x004fffff,0x4bfffea0,
    0x802ffff9,0xf71efffb,0x00001dff,0x0bfffff6,0x01bff700,0x45fff500,
    0x0007ffe8,0x437ffff2,0x02fffffc,0x3ffff200,0x7fec003f,0x40002fff,
    0x02fffffd,0x227ffcc0,0x8000fffc,0x04fffffb,0xfffd1000,0xffb801df,
    0x7ffe40ff,0x7fdc000e,0x2e004fff,0x7e40ffff,0x74400eff,0x001fffff,
    0x3ffffa20,0x8000001f,0x03fffffc,0xffffffd8,0x4fffffff,0x7fffd400,
    0xfff10006,0x9ffffddf,0xfff90000,0xfe8003ff,0x02fffcef,0x3fffe600,
    0x001ffffd,0x3f7fffee,0x00000eff,0x01dffffb,0x6ffffa80,0xffff8800,
    0x04ffffee,0x9ffff700,0x06ffffe4,0xffff9000,0xffd8003f,0x002fffff,
    0xffffffb0,0xffe8005f,0x6ffffeef,0xffffc800,0x40004fff,0x04ffffe8,
    0x87ffffd0,0x002fffff,0x3ffffff2,0xfffd004f,0xfffff87f,0xffff9002,
    0xfc80003f,0x0001ffff,0x3ffff200,0xffe8801f,0xfffffece,0xfc8006ff,
    0x0001ffff,0xfffffff7,0xc80001df,0x000dffff,0xff337fc4,0xff980009,
    0x001fffff,0xffffffa8,0xfb00000e,0x20009fff,0x01fffffc,0xfffffb80,
    0x8000efff,0x322ffffb,0x0003ffff,0x06ffffe4,0x37fff600,0x003ffffa,
    0x7d6fffec,0x26003fff,0xffffffff,0x7fe4001f,0x4fffeaef,0xfffd1000,
    0x7fec005f,0x7fffc3ff,0xfff9002f,0x09fffd5d,0x87ffffb0,0x002fffff,
    0x07ffffea,0xffff5000,0x9000003f,0x001bffff,0x3faa2744,0x8000efff,
    0x01fffffc,0x3fffea00,0x40000cff,0x003ffffc,0x7c4bff10,0xf980005f,
    0x0001ffff,0x03bfffea,0x7ffec000,0x3f20002f,0x0001ffff,0x9ffffff5,
    0xfff70001,0x77ffe43d,0x7fe40000,0x744003ff,0x3fa23fff,0xfe8803ff,
    0x3ffa23ff,0x3fa6003f,0x001dffff,0xb12fffe4,0x7000bfff,0x80019999,
    0x5c0ffffa,0xf9006fff,0x7fec4bff,0x7ffd405f,0x37ffdc0f,0x7ffec400,
    0x6c40001f,0x0001ffff,0x0fffff20,0x2ee60000,0x3fe60000,0x300006ff,
    0x00001355,0x3fe00000,0x03ffd9bf,0x00000000,0x00000000,0xffff3000,
    0x5530000d,0x00000013,0x00000000,0x00000000,0x55100000,0x00000013,
    0x00000000,0x32a01793,0x00000003,0xca805e4c,0x00000003,0x00000000,
    0x00000000,0x19db3000,0x00000000,0xa8000000,0x06ffffff,0x00000000,
    0x00000000,0x676cc000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26666200,0x00999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04cccc00,0x00999980,0x33300000,0x26660013,0x75310009,
    0x00035599,0x037fffaa,0x97310000,0x31000355,0x03559975,0x59731000,
    0x00000035,0x0d654c00,0x59530000,0x26660003,0x33330009,0x00999981,
    0x10133330,0x33333333,0x00333333,0x2ab32a60,0x654c0001,0x7d401aac,
    0xffffffff,0x3333002f,0x26666001,0x65cc4000,0x530001aa,0x99800359,
    0x33300099,0x654c0013,0x2600001a,0x26001aca,0x8804ffff,0x4c45ffff,
    0x99999999,0x19999999,0x027fffcc,0x02ffffc4,0x3fffffaa,0x002fffff,
    0x04cd54cc,0x7fedc000,0x5fffffff,0xffffea80,0x02ffffff,0x7fffedc0,
    0x105fffff,0x33333333,0x13333333,0xffffe980,0x8002efff,0xffffffe9,
    0xff3002ef,0xff1009ff,0x7ffccbff,0xfff8804f,0xffffa85f,0xffffffff,
    0xed8800ff,0xffffffff,0xed8802df,0xffffffff,0xfffa82df,0x2fffffff,
    0x4ffff980,0x5ffff880,0xffffdb80,0x805fffff,0xffffffe9,0x7fcc02ef,
    0xff8804ff,0x7f4c05ff,0x2effffff,0xfffe9800,0x402effff,0x804ffff9,
    0x5c5ffff8,0xffffffff,0xffffffff,0x3fffe61f,0xffff8804,0xffffd305,
    0xffffffff,0x7ffd4007,0x20006fff,0xffffffd8,0x00ffffff,0xffffffd3,
    0x07ffffff,0x3ffff620,0xffffffff,0xfffffa80,0xffffffff,0x3fee03ff,
    0xffffffff,0x3fee003f,0xffffffff,0xfff9803f,0xfff8804f,0x3fffe65f,
    0xffff8804,0xfffffa85,0xffffffff,0x7ffdc00f,0xffffffff,0x7fdc04ff,
    0xffffffff,0xffa84fff,0xffffffff,0xffff9802,0xffff8804,0x3fff6205,
    0xffffffff,0x3ffee00f,0xffffffff,0x3fffe603,0xffff8804,0x3fffee05,
    0x3fffffff,0x3fffee00,0x3fffffff,0x13fffe60,0x17fffe20,0xfffffff7,
    0xffffffff,0x7ffcc3ff,0xfff8804f,0xffff885f,0xffffffff,0x3f2003ff,
    0x01ffffff,0xfffffa80,0xffffffff,0xffff880f,0xffffffff,0xffa803ff,
    0xffffffff,0xfa80ffff,0xffffffff,0x83ffffff,0xffffffd8,0x5fffffff,
    0x7fffec40,0xffffffff,0x7ffcc05f,0xfff8804f,0x3fffe65f,0xffff8804,
    0xfffffa85,0xffffffff,0xfffb100f,0xffffffff,0x36209fff,0xffffffff,
    0x84ffffff,0xfeccccc9,0xf9802fff,0xf8804fff,0xff505fff,0xffffffff,
    0xb101ffff,0xffffffff,0x20bfffff,0x804ffff9,0x885ffff8,0xfffffffd,
    0x05ffffff,0x7ffffec4,0xffffffff,0x9ffff305,0xbffff100,0xffffffb8,
    0xffffffff,0x3fe61fff,0xff8804ff,0xfffd85ff,0xeccdefff,0x3e003fff,
    0x3fffffff,0x7fffd400,0xffefffff,0xffd80fff,0xccdeffff,0x5403fffe,
    0xffffffff,0x0fffffef,0xffffffa8,0xffffffff,0xffffc83f,0xffffefff,
    0x3f203fff,0xfeffffff,0x03ffffff,0x013fffe6,0x997fffe2,0x8804ffff,
    0xe985ffff,0xeeeeeeee,0xd00fffff,0xffffffff,0x9fffffdd,0x3fffffa0,
    0xfffeefff,0x3f2004ff,0xf9802fff,0xf8804fff,0xffa85fff,0xefffffff,
    0xc80fffff,0xefffffff,0x3fffffff,0x04ffff98,0x85ffff88,0xfffffffc,
    0xfffffffe,0x3ffff203,0xffffefff,0xff983fff,0xff8804ff,0x7ffdc5ff,
    0xffffffff,0x21ffffff,0x804ffff9,0x4c5ffff8,0x00cfffff,0x7cc00aa2,
    0x5fffffff,0x7ffff400,0x6d440adf,0x7fffcc0f,0x0aa200cf,0xbfffffd0,
    0x0fda8815,0xffffffa8,0xffffffff,0x7fffc43f,0x3fea21df,0xff107fff,
    0x5443bfff,0x207fffff,0x804ffff9,0x265ffff8,0x8804ffff,0x0005ffff,
    0x203ffffa,0xbffffffb,0x84fda881,0xbffffffb,0x04fda881,0x0bffff20,
    0x13fffe60,0x17fffe20,0x37fffffa,0x07ed440a,0x37ffffe2,0x3fffea21,
    0xffff987f,0xffff8804,0x7ffffc45,0x3ffea21d,0xfff107ff,0x7d443bff,
    0xf987ffff,0xf8804fff,0x4cc45fff,0x99999999,0x46fffffa,0x804ffff9,
    0x5c5ffff8,0x0006ffff,0xfffffb80,0x5000ffff,0x00bfffff,0x3fffee02,
    0xff500006,0x0200bfff,0x02ffffd4,0xbffffb00,0x7ffffcc0,0x5ffffd82,
    0x3ffffe60,0x9ffff302,0xbffff100,0x027fffcc,0x02ffffc4,0x1ffffd00,
    0xefffff88,0xff102001,0x4003dfff,0x3fff2000,0xfff9802f,0xfff8804f,
    0x7fffd45f,0xfb01005f,0x7cc0bfff,0x7cc2ffff,0xf8804fff,0x7fec5fff,
    0x3fe605ff,0xffd82fff,0x3fe605ff,0x7fcc2fff,0xff8804ff,0x360005ff,
    0x4c0fffff,0x8804ffff,0x7e45ffff,0x00004fff,0xfdefffe8,0xff002fff,
    0x8000bfff,0x004ffffc,0xbfffff00,0xfff50000,0x3e6000bf,0x5c00ffff,
    0x7cc6ffff,0x5c00ffff,0xf306ffff,0xf1009fff,0x7fccbfff,0xff8804ff,
    0x3a0005ff,0x7e40ffff,0x0000ffff,0x07ffffe4,0xff900000,0xff3005ff,
    0xff1009ff,0xffff8bff,0x3e60005f,0x5c00ffff,0x7cc6ffff,0xf8804fff,
    0x3fe65fff,0x7dc00fff,0x7fcc6fff,0x7dc00fff,0x7fcc6fff,0xff8804ff,
    0xf50005ff,0xf307ffff,0xf1009fff,0xffc8bfff,0x400006ff,0xfabffff8,
    0xfb804fff,0x0001ffff,0x037fffe4,0x7fffdc00,0xfa80001f,0x70005fff,
    0x300bffff,0x5c3fffff,0x9805ffff,0x981fffff,0x8804ffff,0x3e65ffff,
    0xf8804fff,0x20005fff,0x220ffffe,0x003fffff,0x7ffffc40,0x64000003,
    0x9802ffff,0x8804ffff,0x3ee5ffff,0x0001ffff,0x017fffee,0x87ffffe6,
    0x804ffff9,0x2e5ffff8,0x9805ffff,0x2e1fffff,0x9805ffff,0x261fffff,
    0x8804ffff,0x8005ffff,0x05fffff8,0x009ffff3,0xb8bffff1,0x00dfffff,
    0xffff5000,0x0fffff13,0x0bffff90,0xffff7000,0x640001bf,0x0005ffff,
    0x0bffff50,0x3ffff200,0xffffd002,0x17fffe45,0x2ffffe80,0x04ffff98,
    0x25ffff88,0x804ffff9,0x005ffff8,0x83ffffa0,0x007ffffa,0x7ffffa80,
    0xfc800000,0xf9802fff,0xf8804fff,0x3ff25fff,0x640005ff,0xd002ffff,
    0x7cc5ffff,0xf8804fff,0x3ff25fff,0xffd002ff,0x7ffe45ff,0xfffd002f,
    0x7fffcc5f,0xffff8804,0xfffd8005,0xfff300ff,0xfff1009f,0xffff98bf,
    0x0000cfff,0xfd3fffec,0xfe803fff,0x80002fff,0xfffffff9,0xffe8000c,
    0x500002ff,0x000bffff,0x007ffff6,0xb17fffec,0x2003ffff,0x982ffffd,
    0x8804ffff,0x3e65ffff,0xf8804fff,0x20005fff,0x2e0ffffe,0x0004ffff,
    0x04ffffb8,0xffc80000,0xff9802ff,0xff8804ff,0x3fffa5ff,0x7ec0002f,
    0xfb001fff,0x7fcc5fff,0xff8804ff,0x3fff65ff,0xfffb001f,0x7fffec5f,
    0xffffb001,0x27fffcc5,0x2ffffc40,0x3fffea00,0x3ffe603f,0xfff8804f,
    0xffffd85f,0x002dffff,0x64bffff0,0x7c03ffff,0x0001ffff,0xffffffb0,
    0x7c005bff,0x0001ffff,0x0bffff50,0x3ffffa00,0xffff9000,0x07ffff47,
    0x3ffffc80,0x04ffff98,0x25ffff88,0x804ffff9,0x005ffff8,0x83ffffa0,
    0x883ffffc,0x99999999,0x0fffff20,0x26666662,0x3f200099,0xf9802fff,
    0xf8804fff,0x3ffe5fff,0x740001ff,0x9000ffff,0x7cc7ffff,0xf8804fff,
    0x3ffa5fff,0xff9000ff,0x7fff47ff,0xfff9000f,0x7fffcc7f,0xffff8804,
    0x3ffe2005,0x7fcc05ff,0xff8804ff,0xfff885ff,0xffffffff,0xfff3000c,
    0x7fffcc7f,0x3fffe206,0xf100001f,0xffffffff,0x7c4019ff,0x0001ffff,
    0x5dffff50,0x55555555,0x07ffff85,0x93fffee0,0x2007ffff,0x984ffffb,
    0x8804ffff,0x3e65ffff,0xf8804fff,0x20005fff,0x360ffffe,0xfc82ffff,
    0x5fffffff,0x20bffff6,0xfffffffc,0x3ff2005f,0xff9802ff,0xff8804ff,
    0xffff15ff,0xff80003f,0x3ee007ff,0x3fe64fff,0xff8804ff,0x3fffe5ff,
    0x3ffee007,0x1ffffe4f,0x4ffffb80,0x013fffe6,0x017fffe2,0x0fffffd8,
    0x27fffcc0,0x2ffffc40,0xfffffd88,0x02ffffff,0x40ffffc8,0x300fffff,
    0x001fffff,0x7ffec400,0xffffffff,0xfffff302,0x3ea00001,0xffffffff,
    0x227fffff,0x2007ffff,0xf15ffffb,0x5c00ffff,0xf985ffff,0xf8804fff,
    0x3fe65fff,0xff8804ff,0x3a0005ff,0x3fe0ffff,0xffc81fff,0x25ffffff,
    0xc81fffff,0xffffffff,0x3fff2005,0xfff9802f,0xfff8804f,0xfffff35f,
    0x7fc40001,0x3ee007ff,0x3fe65fff,0xff8804ff,0xffff15ff,0x7ffdc00f,
    0xfffff15f,0x7fffdc00,0x13fffe65,0x17fffe20,0x7ffffd40,0xffff9802,
    0xffff8804,0x7fff5c05,0x3fffffff,0x437fff40,0x502ffffd,0x001fffff,
    0xfffd7000,0x7fffffff,0x1fffff50,0x3fea0000,0xffffffff,0x3e67ffff,
    0x2e007fff,0xff35ffff,0x7dc00fff,0xff985fff,0xff8804ff,0x3ffe65ff,
    0xfff8804f,0x3fa0005f,0x3ffe0fff,0xfffc81ff,0x3e5fffff,0xfc81ffff,
    0x5fffffff,0x3ffff200,0xffff9802,0xffff8804,0x1fffff55,0x7ffcc000,
    0x3fee007f,0x3ffe65ff,0xfff8804f,0xfffff35f,0x7fffdc00,0x0fffff35,
    0x2ffffdc0,0x009ffff3,0x00bffff1,0x0bfffff1,0x13fffe60,0x17fffe20,
    0x7fffed40,0x101fffff,0xf709ffff,0x3e60bfff,0x0001ffff,0x3fff6a00,
    0x41ffffff,0x01fffff9,0xffff5000,0xffffffff,0x7ffc4fff,0xff7000ff,
    0x3ffe29ff,0xff7000ff,0xfff309ff,0xfff1009f,0x7fffccbf,0xffff8804,
    0x3ffa0005,0x3fffa0ff,0xffffc82f,0x3fa5ffff,0xffc82fff,0x05ffffff,
    0x0bffff20,0x13fffe60,0x57fffe20,0x01fffff9,0x3fffe200,0xfff7000f,
    0x7fffcc9f,0xffff8804,0x1fffff15,0x3fffee00,0x1fffff14,0x3fffee00,
    0x13fffe64,0x17fffe20,0x3fffff60,0xffff3000,0xffff1009,0xfeb8800b,
    0x706fffff,0xf105ffff,0x3e20ffff,0x0001ffff,0xffeb8800,0x7c46ffff,
    0x0001ffff,0x9dffff50,0x99999999,0x0fffff89,0x5ffff900,0x007ffffc,
    0x82ffffc8,0x804ffff9,0x265ffff8,0x8804ffff,0x0005ffff,0xd83ffffa,
    0x8802ffff,0x3f65ffff,0xf8802fff,0x32005fff,0x9802ffff,0x8804ffff,
    0xff15ffff,0x80003fff,0x000fffff,0x4c5ffff9,0x8804ffff,0x3fe5ffff,
    0xf9000fff,0x7ffc5fff,0xff9000ff,0x7ffcc5ff,0xfff8804f,0x7ffd405f,
    0x3e6002ff,0xf8804fff,0x20005fff,0x0ffffffb,0x207fffd8,0xf01ffffe,
    0x0005ffff,0xfffb8000,0x7ffc0fff,0x500002ff,0x000bffff,0x007ffffa,
    0xd0ffffe4,0x2003ffff,0x981ffffc,0x8804ffff,0x3e65ffff,0xf8804fff,
    0x20005fff,0x320ffffe,0x8803ffff,0x3f25ffff,0xf8803fff,0x32005fff,
    0x9802ffff,0x8804ffff,0x3fe5ffff,0x40002fff,0x001ffffe,0x4c3ffff9,
    0x8804ffff,0x3fa5ffff,0xf9001fff,0x7ff43fff,0xff9001ff,0x7ffcc3ff,
    0xfff9805f,0x3ffe204f,0x7cc005ff,0xf9805fff,0x40004fff,0x81fffffb,
    0x999effff,0xffffd999,0xbffffd04,0x70000000,0xe83fffff,0x0005ffff,
    0x0bffff50,0x3ffff600,0xffffd003,0x1ffffec1,0x0ffffe80,0x05ffff98,
    0x24ffff98,0x805ffff9,0x004ffff9,0x83ffffa0,0x806ffffb,0x2e5ffff8,
    0x8806ffff,0x2005ffff,0x802ffffc,0x805ffff9,0x3a4ffff9,0x0005ffff,
    0x01ffffec,0x20ffffe8,0x805ffff9,0x364ffff9,0xd003ffff,0x7ec1ffff,
    0xfd003fff,0x7fc41fff,0xff9806ff,0x3ff603ff,0x44000fff,0x9806ffff,
    0x0003ffff,0x17ffffc4,0x3fffffea,0xffffffff,0xfff906ff,0x000003ff,
    0xfffff880,0x7ffffe42,0xffa80001,0xf90005ff,0xf300bfff,0xffc8ffff,
    0xff9805ff,0xfff107ff,0xfff300df,0x7fffc47f,0xffff9806,0x3ffe0003,
    0x7fffd47f,0x7ffc401f,0x3fffea5f,0x7ffc401f,0x3ff2005f,0xff8802ff,
    0xff9806ff,0x3fff23ff,0x320001ff,0x9805ffff,0x7c47ffff,0xf9806fff,
    0x3ff23fff,0xff9805ff,0x7ffe47ff,0xfff9805f,0x7ffff87f,0x2ffffb80,
    0x5fffff50,0x3fffe000,0xffffb807,0x7fc40002,0x7fe40fff,0xffffffff,
    0x0fffffff,0x5fffffa8,0x44000000,0x540fffff,0x005fffff,0x5ffffa80,
    0xffff3000,0xfffc801f,0x7fffcc4f,0x7ffe400f,0x3fffe04f,0xffffb807,
    0x03ffffc2,0x017fffdc,0x6ffff980,0x05ffffe8,0x22ffffc4,0x405ffffe,
    0x005ffff8,0x00bffff2,0x403ffffc,0x2a2ffffb,0x005fffff,0x3ffffe60,
    0x7fffe400,0x07ffff84,0x22ffffb8,0x00fffff9,0x227fffe4,0x00fffff9,
    0x427fffe4,0x403ffffe,0x880fffff,0x004fffff,0x0fffffa0,0x81fffff0,
    0x7ffdc001,0xfffff86f,0xffffffff,0xb03fffff,0x01bfffff,0xb8003050,
    0xfb06ffff,0x001bffff,0x3fffea05,0x3ffa0005,0xff500eff,0xffd01fff,
    0x3ea01dff,0x3a00ffff,0x7c03ffff,0x7f40ffff,0x7fc03fff,0x00980fff,
    0x42ffffec,0x0dfffffa,0x8bffff10,0x0dfffffa,0x0bffff10,0x17fffe40,
    0x3ffffe80,0x07ffffc0,0x37fffff6,0xffe82800,0xff500eff,0xffd01fff,
    0xfff807ff,0x7fff40ff,0xfff500ef,0xfffd01ff,0x3fea01df,0xffb80fff,
    0xfd882fff,0xffb04fff,0x40001dff,0x82fffffb,0x84ffffd8,0x9809bdff,
    0x44fffffd,0xeeeffff9,0xfeeeeeee,0xff305fff,0x359dffff,0x81ffb531,
    0x9809bdff,0x04fffffd,0xdffffff3,0xfb531359,0xffff501f,0x7fd4000b,
    0x730aefff,0x209fffff,0xaefffffa,0xfffff730,0xffffb809,0xfffd882f,
    0xffffb84f,0xfffd882f,0x017f904f,0x07fffff9,0x3bfffffa,0x3ffea09b,
    0xffffe85f,0x3ea09bef,0x32005fff,0x7002ffff,0x105fffff,0x309ffffb,
    0x9dffffff,0xffb53135,0xfffffa81,0xfff730ae,0x3fee09ff,0xfd882fff,
    0xffa84fff,0x730aefff,0x209fffff,0xaefffffa,0xfffff730,0x7ffff409,
    0xfffecdef,0xffa80fff,0xaaaacfff,0x0aaaaaaa,0xefffffe8,0xfffffecd,
    0xfffff80f,0xffffffff,0x7dc0ffff,0xf9801fff,0xf900ffff,0xffffffff,
    0x81ffffff,0xffffffff,0xffffffff,0x3fff200f,0xffffffff,0xfa80ffff,
    0x9999dfff,0x80999999,0xfffffffe,0xffffffff,0x3ffffa00,0xffffffff,
    0xfe800fff,0xecdeffff,0x00ffffff,0xbdfffffd,0xffffffd9,0x3bfff201,
    0xffffffee,0x3fffe606,0xffffffff,0xf985ffff,0xffffffff,0x5fffffff,
    0x3ffff200,0x3fffa002,0xffecdeff,0xf900ffff,0xffffffff,0x01ffffff,
    0xfffffffd,0xffffffff,0x7ffff401,0xfffecdef,0xffd00fff,0xffffffff,
    0x401fffff,0xfffffffe,0xffffffff,0x3fffea00,0xffffffff,0xfffd03ff,
    0xffffffff,0x07ffffff,0xfffffff5,0x7fffffff,0x3fffffe0,0xffffffff,
    0xfffe81ff,0x3fffe007,0x3fff202f,0xffffffff,0x7ffc0fff,0xffffffff,
    0x801fffff,0xfffffffc,0x0fffffff,0xffffffa8,0xffffffff,0xfffe983f,
    0xffffffff,0x7f4c01ff,0xffffffff,0x5001ffff,0xffffffff,0x07ffffff,
    0x7fffffd4,0xffffffff,0x3ffff203,0xffffffff,0x7fffd401,0xffffffff,
    0xff505fff,0xffffffff,0x88bfffff,0xffeeeeee,0xeeeeefff,0xffffa80e,
    0xffffffff,0x7fe403ff,0xffffffff,0xe980ffff,0xffffffff,0x401fffff,
    0xfffffffa,0x3fffffff,0x3ffffa60,0xffffffff,0x7ff4c01f,0xffffffff,
    0xfa801fff,0xffffffff,0x3fa02fff,0xffffffff,0xffffffff,0xfffff503,
    0x5fffffff,0x7fffffc0,0xffffffff,0xffff881e,0x3fff6005,0x7ff4c04f,
    0xffffffff,0x7fffc0ff,0xffffffff,0x26001eff,0xfffffffe,0xa80fffff,
    0xffffffff,0x3fffffff,0xfffffb10,0x01bfffff,0x3ffff620,0x0dffffff,
    0x7fffd400,0xffffffff,0xffffa802,0xffffffff,0x7fffe402,0x2effffff,
    0xffffb100,0xffffffff,0x7fec409f,0xffffffff,0x7fc44fff,0xffffffff,
    0x1fffffff,0xffffff50,0x05ffffff,0x3ffffa60,0xffffffff,0xffffb100,
    0x1bffffff,0x3fffea00,0xffffffff,0xfffd8802,0xdfffffff,0xfffb1000,
    0xbfffffff,0x7fe44001,0x04ffffff,0xffffffe8,0xffffffff,0x32203fff,
    0xffffffff,0xfffdb804,0xdfffffff,0x3fffea01,0x3ffea002,0xedb8807f,
    0xbdffffff,0xffffdb80,0x1dffffff,0xfdb71000,0x17bfffff,0x3ffffea0,
    0xffffffff,0x7edc03ff,0x03efffff,0xffffb700,0x40007dff,0xffffffc8,
    0x644004ff,0xffffffff,0xffd71004,0x007dffff,0x3ffff6a0,0x01beffff,
    0xfffffb50,0x1037dfff,0xffffffff,0xffffffff,0x7fe4403f,0x04ffffff,
    0xffedb880,0x00bdffff,0xfffffdb8,0xc88003ef,0xffffffff,0xffdb8004,
    0x003effff,0xfffffb70,0x880007df,0x20009aa9,0xfffffffe,0xffffffff,
    0x531003ff,0x22000135,0x009aaaa9,0x01ffffb0,0x7ffffc40,0x09a98001,
    0x5554c400,0x0000009a,0x2a001353,0xffffffff,0x3fffffff,0x006aa200,
    0x03551000,0x55310000,0x31000013,0x80001355,0x00001aa9,0x04cd54c4,
    0x2aa62000,0x7fc40099,0xffffffff,0x1fffffff,0x13553100,0x9a980000,
    0x55440000,0x26200001,0x000009aa,0x00003551,0x0001aa88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00355550,0x5f76d440,0x26000280,
    0x0004eeed,0xb5100000,0x005017dd,0xdb80eed4,0x6d44000c,0x00280bee,
    0xaaaaa800,0x5555501a,0x55000035,0xaaa88155,0x54c00002,0x0001aaaa,
    0x35555550,0x2aaa0000,0x2a001aaa,0xa8001aaa,0x19b701dd,0x55555540,
    0x55440001,0x5554c0aa,0x26620002,0x00999999,0x79997510,0x36a00135,
    0x019b701d,0x93099950,0x2a000099,0x001aaaaa,0x55555500,0x7ffec003,
    0xfd0002ff,0x217fffff,0x4c000efa,0x05ffffff,0x06ffdc00,0x7ffff400,
    0x1df50bff,0x0ffffb80,0x0077ffe4,0xffffffd0,0x003bea17,0x7fffe400,
    0x3ffa203f,0x40001fff,0xf32ffffa,0x00005fff,0x6fffffdc,0xffc80000,
    0x00003fff,0x07fffff9,0x7ffffec0,0x3ffee002,0x77ffe40f,0xffffd100,
    0xfb80003f,0xfff71eff,0x76d4001d,0xffffffff,0x7ecc06ff,0xffffffff,
    0x7ffdc00f,0x77ffe40f,0x17ffd400,0x000fffd1,0x7fffff90,0x3ff20000,
    0x36003fff,0x2fffffff,0x7fffec00,0xffffffff,0x3fe6004f,0x05ffffff,
    0xdffff500,0xffffd800,0xffffffff,0x7fff404f,0x7ffffc3f,0xffffb002,
    0xffffffff,0xf900009f,0x2003ffff,0x01fffffc,0x7fffcc00,0x001ffffd,
    0x3fffea00,0xf900003f,0x0003ffff,0x3fffff20,0x3fff6001,0xd002ffff,
    0xff87ffff,0x7e402fff,0x0001ffff,0x7effffdc,0xd5000eff,0xffffffff,
    0x40dfffff,0xfffffffc,0x400fffff,0x7c3ffffe,0x4402ffff,0xffeeffff,
    0x640004ff,0x001fffff,0xfffff900,0x7ffec003,0x03ffffad,0xd9dffd10,
    0xdfffffff,0x7fffcc00,0x0efffd8a,0x7fffe400,0xffd1001f,0xfffffd9d,
    0xffb00dff,0xffff87ff,0xffe8802f,0xfffffece,0xc80006ff,0x000dffff,
    0x0fffffd4,0x3ffe6000,0x0001ffff,0x3bfffea0,0xff900001,0x00001bff,
    0x037ffff2,0xadfffd80,0xd803ffff,0x7fc3ffff,0xfa802fff,0x0001ffff,
    0x7fffffd4,0xfffb000e,0xffffffff,0x2e0dffff,0xffffffff,0x400fffff,
    0x7c3ffffd,0xb802ffff,0xffffffff,0x3f20000e,0x0000dfff,0x1bffff90,
    0x3fffa200,0x0ffffa23,0x3aa27440,0x000effff,0xb8199991,0x64003ccc,
    0x001fffff,0xffd513a2,0xf5001dff,0xffb81fff,0x13a2006f,0x1dffffd5,
    0xfffc8000,0x3620003f,0x0001ffff,0x0fffffcc,0xfff50000,0x6400009f,
    0x0003ffff,0x0fffff20,0x3fffe880,0x00ffffa2,0xb81ffff5,0x22006fff,
    0x001ffffd,0x77fffd40,0xffff9000,0x99dfffff,0xf10dffff,0x215bffff,
    0x400eca99,0x5c0ffffa,0x2a006fff,0x0cffffff,0x3fff2000,0x3200003f,
    0x0003ffff,0x20000000,0x00000bb9,0xff980000,0x400006ff,0x4c000bb9,
    0x079500bc,0x0bb98000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x402f2600,0x000003ca,0xa8000000,0xffffffff,0x3fffa3ff,
    0x6ffffa86,0x2f260000,0x00079500,0x00026aa6,0x00000000,0x00000000,
    0x98000000,0x00000999,0x0033b660,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffd0,0x7f47ffff,0xfffb86ff,0x0000006f,0x00000000,0x00000000,
    0x2a600000,0x200001ac,0x4001aca9,0x004ffff9,0x98000000,0x88019999,
    0x33000999,0x00013333,0x26666660,0x4cccc000,0x99988019,0x99999880,
    0x99999999,0x99988099,0x00009999,0x4cccccc4,0x98000009,0x00099999,
    0x99999988,0x99999999,0x99999809,0x99999999,0x99880999,0x99999999,
    0x98099999,0x99999999,0x09999999,0x00cccccc,0xf884ccc4,0xffffffff,
    0x3fffa3ff,0xfffffa86,0x4ccc0002,0x99999999,0x98099999,0x99999999,
    0x09999999,0x00133331,0x20199998,0x00019999,0x7ffff4c0,0x8002efff,
    0xffffffe9,0xff9802ef,0x980004ff,0x99999999,0x09999999,0x3fffffe2,
    0x37ffe401,0x7ffffd40,0xfa80006f,0x006fffff,0x3fffffe2,0x37ffe401,
    0x7fffffd4,0xffffffff,0xffffa83f,0xceffffff,0x3ffea001,0xefffffff,
    0x3ea0001c,0x006fffff,0xffffffa8,0xffffffff,0xfffff83f,0xffffffff,
    0xffa83fff,0xffffffff,0xf83fffff,0xffffffff,0x3fffffff,0x3fffffe2,
    0xb7ffe401,0xfffffff9,0x3fa3ffff,0xfff886ff,0x20004fff,0xffffffff,
    0xffffffff,0xffffff83,0xffffffff,0xffff73ff,0x7ffcc00f,0x3fffe06f,
    0x3ee00007,0xffffffff,0x3ee003ff,0xffffffff,0x7fcc03ff,0xf80004ff,
    0xffffffff,0x3fffffff,0x3fffffe2,0x37ffe405,0x7ffffe40,0x640001ff,
    0x1fffffff,0xfffff100,0xfffc80bf,0xfffffa86,0xffffffff,0xfffa83ff,
    0xffffffff,0xfa801eff,0xffffffff,0x001effff,0xffffffc8,0x7fd4001f,
    0xffffffff,0xf83fffff,0xffffffff,0x3fffffff,0xffffffa8,0xffffffff,
    0xfffff83f,0xffffffff,0x3fe23fff,0x6405ffff,0xfff76fff,0xffffffff,
    0x837fff47,0xfffffffd,0xffff8002,0xffffffff,0xff83ffff,0xffffffff,
    0x23ffffff,0x003fffff,0x407ffffb,0x0007ffff,0xfffffd88,0xffffffff,
    0x7ffec405,0xffffffff,0x3fe605ff,0xf80004ff,0xffffffff,0x3fffffff,
    0x3fffffe2,0x3fff200f,0xfffff806,0x40003fff,0xffffffff,0xffff1003,
    0x7e401fff,0xfffa86ff,0xffffffff,0xfa83ffff,0xffffffff,0x00efffff,
    0x7fffffd4,0xffffffff,0x7ffc000e,0x003fffff,0x7fffffd4,0xffffffff,
    0xfffff83f,0xffffffff,0xffa83fff,0xffffffff,0xf83fffff,0xffffffff,
    0x3fffffff,0x3fffffe2,0x3fff200f,0xffffff56,0x747fffff,0xffd86fff,
    0xefffffff,0x3fffe001,0xffffffff,0xff83ffff,0xffffffff,0x23ffffff,
    0x806ffffb,0x406ffff9,0x0007ffff,0xffffffc8,0xffffffef,0x3fff203f,
    0xfffeffff,0xf303ffff,0x00009fff,0xffffffff,0xffffffff,0x7ffffc47,
    0x3ff204ff,0x7ffcc06f,0x005fffff,0x3ffffe60,0xf1005fff,0x09ffffff,
    0x5437ffe4,0xffffffff,0x3fffffff,0xffffffa8,0xffffffff,0x7ffd406f,
    0xffffffff,0x2006ffff,0xfffffff9,0x7fd4005f,0xffffffff,0xd83fffff,
    0xfffeeeee,0x2eeeeeff,0xffffffa8,0xffffffff,0xeeeed83f,0xeefffffe,
    0x3fe22eee,0x204fffff,0xff36fffc,0xffffffff,0x37fff47f,0x3ffffff6,
    0x03ffffff,0xfdddddb0,0xddddffff,0xddddb05d,0xddfffffd,0xfff85ddd,
    0x7fec02ff,0x7ffc03ff,0x7c40007f,0x221dffff,0x07fffffa,0x3bfffff1,
    0x7ffffd44,0x9ffff307,0xdddb0000,0xdfffffdd,0x7c45dddd,0x0fffffff,
    0x80dfff90,0xfffffffb,0xf70000ff,0xffffffff,0xffff1001,0x3201ffff,
    0xffa86fff,0x540005ff,0x5c43ffff,0x01fffffe,0x10ffffea,0x3fffffd7,
    0x3fffee00,0x000fffff,0x017fffea,0x3ffe6000,0x3fea005f,0x800005ff,
    0x805ffff9,0xfffffff8,0xdfff900f,0x7ffffffc,0x3fa3ffff,0x3ffea6ff,
    0xfffffbff,0x8000efff,0x005ffff9,0x2ffffcc0,0x6ffffb80,0x1bfffe60,
    0x01ffffe0,0xbffffb00,0x7ffffcc0,0x5ffffd82,0x3ffffe60,0x4ffff982,
    0xff300000,0xff100bff,0x07ffffff,0xd01bfff2,0xfffbdfff,0x3fa0005f,
    0xffffdeff,0xffff8802,0xf903ffff,0xfff50dff,0xfa8000bf,0xff103fff,
    0x7d405fff,0xff103fff,0x3a005fff,0xfffdefff,0x3fea002f,0x800005ff,
    0x005ffff9,0x017fffea,0x3ffe6000,0xfff8805f,0x903fffff,0x7fecdfff,
    0xffffffff,0xd9bfffa3,0x3f23ffff,0x0effffff,0x7fffcc00,0x7fcc0005,
    0x3fe005ff,0xffb02fff,0xfff005ff,0x7cc000ff,0x5c00ffff,0x7cc6ffff,
    0x5c00ffff,0xf986ffff,0x32e24fff,0x98000ace,0x8805ffff,0xffffffff,
    0x0dfff907,0x55ffffc4,0x8004ffff,0xfabffff8,0xf8804fff,0x7fffffff,
    0x50dfff90,0x000bffff,0x03ffffa8,0x813ffff2,0x203ffffa,0x804ffffc,
    0xfabffff8,0x2a004fff,0x0005ffff,0x5ffff980,0x3fffea00,0xf9800005,
    0xf8805fff,0x7fffffff,0x44dfff90,0xffffffff,0x3fffa3ff,0x03ffffe6,
    0xffffffd3,0xfff9800b,0x7cc0005f,0x2e005fff,0xf986ffff,0xff006fff,
    0x5c000fff,0x9805ffff,0x2e1fffff,0x9805ffff,0x4c1fffff,0xff73ffff,
    0x005fffff,0x05ffff98,0xfdffff88,0xffc82fff,0x3ffea06f,0x7ffff89f,
    0xffffa800,0x07ffff89,0xfdffff88,0xffc82fff,0xffffa86f,0x7fd40005,
    0x3fee03ff,0x3fea04ff,0x3fee03ff,0xffa804ff,0xffff89ff,0x3ffea007,
    0x9800005f,0x2005ffff,0x005ffffa,0xffff9800,0xffff8805,0xc82ffffd,
    0x7fd46fff,0x3fffffff,0x7c5bfffa,0xf700ffff,0x005fffff,0x02ffffcc,
    0x3fffe600,0x7fffc005,0x7fffec1f,0xfffff002,0x7ffe4000,0xfffd002f,
    0x7fffe45f,0xffffd002,0xbffff985,0xfffffffd,0x3e6002ff,0xf8805fff,
    0xffffafff,0x06fffc86,0xfe9ffff6,0x6c001fff,0x3ffa7fff,0x7fc401ff,
    0x6ffffaff,0xa86fffc8,0x0005ffff,0x01ffffd4,0x407ffff9,0x203ffffa,
    0x803ffffc,0x3fa7fffd,0xf5001fff,0x0000bfff,0x0bffff30,0x2ffffd40,
    0x7fcc0000,0xff8805ff,0x6ffffaff,0xa86fffc8,0xffffffff,0xf9bfffa3,
    0x2a03ffff,0x004fffff,0x017fffe6,0xbffff300,0xffffb800,0x1bfffe65,
    0x07ffff80,0x3ffff600,0xffffb001,0x0ffffec5,0x2ffffd80,0x7fffffcc,
    0xffffffff,0x3fe6006f,0xff8805ff,0xffffcaff,0x037ffe42,0x7e4bffff,
    0x7c003fff,0x3ff25fff,0x7fc403ff,0xffffcaff,0x437ffe42,0x005ffffa,
    0x1ffffd40,0x1fffff88,0x0ffffea0,0x0fffffc4,0x92ffffc0,0x2007ffff,
    0x005ffffa,0xffff9800,0x3ffea005,0x9800005f,0x8805ffff,0xffcaffff,
    0x7ffe42ff,0x3fffae06,0x3fffa3ff,0x3fffffa6,0x3ffff602,0x3ffe6006,
    0x7cc0005f,0xf8005fff,0xffb1ffff,0x7fc005ff,0x3a0007ff,0x9000ffff,
    0x7f47ffff,0xf9000fff,0xff987fff,0xbeffffff,0x02fffffe,0x0bffff30,
    0x15ffff10,0xfc8bffff,0xfff306ff,0x7fffcc7f,0x3ffe6006,0x3fffe63f,
    0x7fffc406,0x45ffff8a,0xfa86fffc,0xaaaaefff,0x502aaaaa,0xd507ffff,
    0xa80bffff,0xea83ffff,0x9805ffff,0x3e63ffff,0xf5006fff,0x5555dfff,
    0x00555555,0x02ffffcc,0x5dffff50,0x55555555,0x7ffcc005,0xfff8805f,
    0x5ffff8af,0x4037ffe4,0x3a2dcba9,0x3fee6fff,0xf503ffff,0x4c00ffff,
    0x0005ffff,0x02ffffcc,0x67fffdc0,0x006ffff8,0x003ffffc,0x00fffff0,
    0xf27fffdc,0x5c00ffff,0x7cc4ffff,0x41efffff,0x003ffffd,0x00bffff3,
    0x365ffff1,0x3f21ffff,0xfff906ff,0xfffff81f,0xffff9000,0x0fffff81,
    0x4bfffe20,0x321ffffd,0xffa86fff,0xffffffff,0xf507ffff,0xdd99dfff,
    0x01ffffff,0xceffffa8,0xfffffeec,0xfffc800f,0x7ffffc0f,0xffffa800,
    0xffffffff,0x3e6007ff,0x2a005fff,0xffffffff,0x07ffffff,0x17fffe60,
    0x4bfffe20,0x321ffffd,0x80006fff,0x7f46fffe,0x42efffff,0x006ffffa,
    0x017fffe6,0xbffff300,0x3fffe000,0x02ffffcf,0x03ffffc0,0x7ffff880,
    0x3fffee00,0x0fffff15,0x2ffffdc0,0x3fffffe6,0x5ffffa80,0xbffff300,
    0x5ffff100,0xc93fffe6,0xffd06fff,0xffffb0df,0x3fffa005,0x2ffffd86,
    0x4bfffe20,0x324ffff9,0xffa86fff,0xffffffff,0xf507ffff,0xffffffff,
    0x001bffff,0xfffffff5,0x1bffffff,0x1bfffa00,0x00bffff6,0x3fffffea,
    0xffffffff,0x3ffe6007,0x3fea005f,0xffffffff,0x2007ffff,0x805ffff9,
    0xf32ffff8,0x7fe49fff,0xfe80006f,0x7ff446ff,0xb0dfffff,0x4009ffff,
    0x005ffff9,0x2ffffcc0,0xffffb800,0x8006ffff,0x0007ffff,0x00fffff3,
    0x9affffdc,0x2007ffff,0x4c5ffffb,0x101fffff,0x200bffff,0x805ffff9,
    0x3a2ffff8,0xff90ffff,0xffff10df,0xbffff709,0x9ffff100,0x0bffff70,
    0xd17fffc4,0x3f21ffff,0xfffa86ff,0xffffffff,0xff507fff,0xffffffff,
    0x7d40019f,0xffffffff,0x22000cff,0xfb84ffff,0xfa805fff,0xffffffff,
    0x007fffff,0x017fffe6,0xffffffa8,0xffffffff,0x3ffe6007,0xfff8805f,
    0x3ffffa2f,0x00dfff90,0x0dfffd00,0xffffffd1,0xfffffbff,0x7ffcc001,
    0x7cc0005f,0x20005fff,0xffffffff,0xffff8002,0xfff10007,0x3ee001ff,
    0xfff14fff,0x3ee001ff,0x7fcc4fff,0x3fe205ff,0xff3005ff,0xff100bff,
    0x7ffd45ff,0x0dfff94f,0x105ffff7,0x700fffff,0xf105ffff,0x7c40ffff,
    0x3fea2fff,0xdfff94ff,0x9dffff50,0x99999999,0x3fffea09,0xffffffff,
    0x3ffea003,0xffffffff,0x3fee003f,0xfff882ff,0xfffa807f,0xccccccef,
    0x26004ccc,0x2005ffff,0xcceffffa,0x4ccccccc,0x3fffe600,0xffff8805,
    0x53fffea2,0x0006fffc,0x206fffe8,0xfffffffb,0x003fffff,0x02ffffcc,
    0x3fffe600,0x3fee0005,0x0006ffff,0x000fffff,0x007ffffc,0x22ffffc8,
    0x000fffff,0x985ffff9,0x2204ffff,0x3005ffff,0x100bffff,0xfe85ffff,
    0xfffc8fff,0x07fffd86,0x007ffffa,0x740ffffb,0xf101ffff,0xffe85fff,
    0x6fffc8ff,0x05ffffa8,0x7fffd400,0xffffeb9c,0xfff5001f,0xfffd739f,
    0x3f6003ff,0x3ffa07ff,0x7fd401ff,0x800005ff,0x005ffff9,0x017fffea,
    0x3ffe6000,0xfff8805f,0x7ffff42f,0x006fffc8,0x06fffe80,0x7ffffec4,
    0x8004ffff,0x005ffff9,0x2ffffcc0,0x3fffe000,0xff0002ff,0x74000fff,
    0x9001ffff,0x7f43ffff,0xf9001fff,0xff983fff,0x3fe204ff,0xff3005ff,
    0xff100bff,0xfffb85ff,0x86fffcbf,0x999effff,0xffffd999,0x77fffc04,
    0xfd999999,0xff104fff,0xfffb85ff,0x86fffcbf,0x005ffffa,0x1ffffd40,
    0x01bffff6,0x21ffffd4,0x006ffffd,0x333dffff,0xffffb333,0xffffa809,
    0xf9800005,0x2a005fff,0x0005ffff,0x5ffff980,0x2ffff880,0x65ffffdc,
    0x80006fff,0x3006fffe,0x9ffffffd,0x3ffe6000,0x7cc0005f,0x40005fff,
    0x006ffffb,0x01ffffe0,0x3ffffd80,0x1ffffd00,0x01ffffec,0x40ffffe8,
    0x204ffff9,0x005ffff8,0x00bffff3,0x885ffff1,0xffceffff,0x7fffd46f,
    0xffffffff,0x2a06ffff,0xffffffff,0xffffffff,0x5ffff106,0xceffff88,
    0xffa86fff,0x540005ff,0x7c43ffff,0xa803ffff,0x7c43ffff,0x5403ffff,
    0xffffffff,0xffffffff,0x7fffd406,0xf9800005,0x2a005fff,0x0005ffff,
    0x5ffff980,0x2ffff880,0x677fffc4,0x80006fff,0x4005ffff,0x07fffffc,
    0xbffff300,0xfff98000,0x7cc0005f,0x20005fff,0x0007ffff,0x017ffff2,
    0x91ffffe6,0x300bffff,0xf30fffff,0x7c409fff,0xf3005fff,0xf100bfff,
    0xff905fff,0x8dfffdff,0xfffffffc,0xffffffff,0xfff900ff,0xffffffff,
    0x01ffffff,0x905ffff1,0xfffdffff,0xbffff50d,0xfffa8000,0xffffb83f,
    0xffffa807,0x7ffffb83,0x7ffffe40,0xffffffff,0x2a00ffff,0x0005ffff,
    0x5ffff980,0x3fffea00,0xf9800005,0xf8805fff,0xffc82fff,0x06fffeff,
    0x7fffc400,0xfffb8004,0xf98001ff,0x40005fff,0x005ffff9,0x2ffffcc0,
    0xfffff000,0x7ffcc000,0x7fe400ff,0x7ffcc4ff,0x7fe400ff,0xfff984ff,
    0x3ffe204f,0xfff3005f,0xfff100bf,0xffff105f,0xff8dffff,0xffffffff,
    0xffffffff,0xffffff03,0xffffffff,0xf107ffff,0xff105fff,0x0dffffff,
    0x00bffff5,0x3ffffa80,0x3fffff88,0x1ffffd40,0x1fffffc4,0xfffffff0,
    0xffffffff,0x7d407fff,0x00005fff,0x05ffff98,0x17fffea0,0x3fe60000,
    0xff8805ff,0xfff882ff,0x006fffff,0x1ffffdc0,0xfffff800,0xfff98001,
    0x7cc0005f,0x40005fff,0x005ffff9,0x01ffffe0,0xdffffd00,0x3fffea01,
    0xffffe80f,0xffff500e,0xffff301f,0x7fffc409,0xffff3005,0xffff100b,
    0x3ffff605,0x3fe66fff,0xeeeeeeff,0xffffeeee,0xeffff985,0xeeeeeeee,
    0x885ffffe,0xfb02ffff,0x0dffffff,0x00bffff5,0x3ffffa80,0x0dffff90,
    0x03ffffa8,0x20dffff9,0xeeeffff9,0xfeeeeeee,0x3ea05fff,0x00005fff,
    0x05ffff98,0x17fffea0,0x3fe60000,0xff8805ff,0xfffb02ff,0x640dffff,
    0xffff100c,0xfa800c3f,0x30007fff,0x000bffff,0x05ffff98,0x7fffcc00,
    0x3ffe0005,0x7d40007f,0x30aeffff,0x09fffff7,0x3bffffea,0xffff730a,
    0x3ffe609f,0x3ffe204f,0xfff3005f,0xfff100bf,0x3ffe605f,0x3ee6ffff,
    0xf9801fff,0x7dc0ffff,0xf9801fff,0x7c40ffff,0xff302fff,0x50dfffff,
    0x333bffff,0x13333333,0x07ffff50,0x0bffffe6,0x03ffffa8,0x05fffff3,
    0x003ffff7,0x01fffff3,0x277fffea,0x99999999,0xfff30009,0x7fd400bf,
    0x99999dff,0x00099999,0x00bffff3,0x205ffff1,0xfffffff9,0x59fff506,
    0xfffff753,0x99bdfd8b,0xffffd730,0x3fe6000b,0x4c0005ff,0x0005ffff,
    0x02ffffcc,0x3fffff00,0x33333333,0x3fffa033,0xffffffff,0x3a00ffff,
    0xffffffff,0x0fffffff,0x09ffff30,0x02ffffc4,0x05ffff98,0x02ffff88,
    0x3ffffffa,0x01ffffa6,0x42fffff8,0x2007fffe,0x442fffff,0x3a02ffff,
    0x86ffffff,0xfffffffa,0xffffffff,0x3ffffa83,0x1bffff60,0x03ffffa8,
    0x21bffff6,0x2007fffe,0x502fffff,0xffffffff,0x7fffffff,0xfffffff0,
    0xffffffff,0xffff507f,0xffffffff,0xfff07fff,0xffffffff,0x447fffff,
    0x3a02ffff,0x86ffffff,0xfffffff8,0x0fffffff,0x7fffffec,0xffffffff,
    0xfffff801,0xffffffff,0xfff83fff,0xffffffff,0x003fffff,0x00bffff3,
    0x7fffffc0,0xffffffff,0xfffd307f,0xffffffff,0xfe9803ff,0xffffffff,
    0x2601ffff,0x2204ffff,0xff85ffff,0xffffffff,0x23ffffff,0x202ffff8,
    0x6ffffffa,0x00bffff1,0x127fffec,0x400bffff,0x444ffffd,0x2a02ffff,
    0x86ffffff,0xfffffffa,0xffffffff,0x3ffffa83,0x3ffffea0,0x7ffff502,
    0x7ffffd40,0x17fffe22,0x4ffffd80,0xffffff50,0xffffffff,0xfffff07f,
    0xffffffff,0xff507fff,0xffffffff,0xf07fffff,0xffffffff,0x7fffffff,
    0x017fffc4,0xdffffff5,0xfffffd10,0x5fffffff,0xffffffb0,0x5fffffff,
    0x3ffffe00,0xffffffff,0xfff83fff,0xffffffff,0x003fffff,0x00bffff3,
    0x7fffffc0,0xffffffff,0x3ff6207f,0xffffffff,0xffb1000d,0xffffffff,
    0xfff9801b,0x3ffe204f,0xfffff85f,0xffffffff,0x3fe23fff,0x7ff402ff,
    0xfff56fff,0x7fd4005f,0x3ffea7ff,0x3fea002f,0x7ffc47ff,0x7fff402f,
    0xfffa86ff,0xffffffff,0xfa83ffff,0x7f403fff,0xff506fff,0xffe807ff,
    0x3ffea6ff,0x3fea002f,0xfff507ff,0xffffffff,0xff07ffff,0xffffffff,
    0x07ffffff,0xfffffff5,0xffffffff,0xffffff07,0xffffffff,0x7ffc47ff,
    0x7fff402f,0x3faa06ff,0xcfffffff,0xfffffb00,0x39ffffff,0x7ffffc00,
    0xffffffff,0xfff83fff,0xffffffff,0x003fffff,0x00bffff3,0x7fffffc0,
    0xffffffff,0xffdb807f,0x003effff,0xfffffb70,0x3e6007df,0x3e204fff,
    0xfff85fff,0xffffffff,0x223fffff,0x5c02ffff,0xfb6fffff,0x44001fff,
    0xfb1fffff,0x44001fff,0x221fffff,0x5c02ffff,0xa86fffff,0xffffffff,
    0x3fffffff,0x03ffffa8,0x0fffffdc,0x01ffffd4,0x47ffffee,0x000ffffd,
    0x07ffffe2,0x3fffffea,0xffffffff,0xfffff83f,0xffffffff,0xffa83fff,
    0xffffffff,0xf83fffff,0xffffffff,0x3fffffff,0x00bfffe2,0x0dfffff7,
    0x55999530,0x99751001,0x001579b9,0xfffffff0,0xffffffff,0xfffff07f,
    0xffffffff,0x26007fff,0x0005ffff,0x3ffffffe,0xffffffff,0x0d544007,
    0x2aa20000,0xfff98001,0x3ffe204f,0xfffff85f,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x51000000,0xaa981555,
    0xdb51002a,0x2005017d,0xeeeeeeeb,0x9880eeee,0x00000199,0x00355550,
    0x1aaaa800,0x55550000,0x55400003,0x540001aa,0x19b701dd,0xaaa80000,
    0x2a201aaa,0x554c0aaa,0x5500002a,0x00035555,0x50199988,0x00355555,
    0x84cca800,0x44004cc9,0x54c0aaaa,0x300002aa,0x00579995,0x55555500,
    0x0aaaa801,0x00155544,0x006aaaa0,0x3bbbbae0,0x00eeeeee,0x261332a0,
    0x099884cc,0x3fee0000,0xdfff71ef,0x3fffa001,0xdf50bfff,0xffffc801,
    0x0fffffff,0x03ffff98,0x7fec0000,0x00002fff,0x05fffffb,0xffffd800,
    0xfd80002f,0x0002ffff,0xc81ffff7,0x0000efff,0x7fffff90,0x3dfff700,
    0x003bffee,0x3ffff200,0xfe80003f,0xffd106ff,0x00003fff,0xd117ffd4,
    0xf7000fff,0x3fee3dff,0x540000ef,0x5ffffffe,0x7ffec000,0xffa802ff,
    0xffff32ff,0x7fec0005,0x64002fff,0xffffffff,0x2a000fff,0x3fa22fff,
    0xffffa87f,0x5c0003ce,0xfffdffff,0xfffb000e,0xffffffff,0xffc809ff,
    0xffffffff,0xdfffd00f,0x7ec00000,0x02ffffff,0x7fffec00,0xb0002fff,
    0x5fffffff,0x7ffec000,0x8002ffff,0x7c3ffffe,0x0002ffff,0x1fffffc8,
    0x3fffee00,0x000efffd,0xfffffc80,0xffa80001,0x7fe402ff,0x00001fff,
    0xfddffff1,0x20009fff,0xffdffffb,0x640000ef,0xffffffff,0x3ff60005,
    0x26000eff,0xfffdffff,0x3f60001f,0x02ffffff,0x3fffff20,0x00ffffff,
    0x3bfffe20,0xa84ffffe,0xffffffff,0x3fea0003,0x000effff,0xfd9dffd1,
    0x0dffffff,0xdddddd70,0x201ddddd,0x001ffffa,0xdfffd800,0x003ffffa,
    0xf5bfffb0,0xd8007fff,0xfffadfff,0xffd8003f,0x3ffffadf,0x7fffec00,
    0x17ffffc3,0x3fff2000,0xfa8000df,0x00efffff,0xffffc800,0xfb00000d,
    0x3ea00fff,0x0001ffff,0xffffff70,0x40001dff,0xeffffffa,0x7fd40000,
    0x5fffffff,0xffffb000,0x3fe60009,0x001fffff,0x2b7fff60,0x7003ffff,
    0xdddddddd,0xb8001ddd,0xffffffff,0xffffa80e,0x01ffffff,0xdffff500,
    0x44e88001,0x0effffea,0x7c000000,0x00005fff,0x88ffffa2,0x2003fffe,
    0x223fffe8,0x8803fffe,0x3a23fffe,0xd1003fff,0x7f447fff,0x3ea003ff,
    0x7fdc0fff,0x7e40006f,0x40003fff,0x00effffa,0xffffc800,0x3e600003,
    0x22004fff,0x001ffffd,0xfffff500,0x5000019f,0x001dffff,0xfffff880,
    0x003aaadf,0x02ffffd8,0x7fffcc00,0xfd10001f,0x7ff447ff,0x0000003f,
    0xfffff500,0x3fea019f,0xffffffff,0x0000001f,0x02ee6000,0x64000000,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0xca805e4c,0x00000003,
    0x00000000,0xfc800000,0x00000fff,0xaa980000,0x00000009,0xfffa8000,
    0x000000ef,0x00000000,0x00000000,0x54c00000,0x54c4009a,0xfffffeca,
    0x000000ef,0x98000000,0x33000999,0xfff88133,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e200000,0x00005fff,
    0x00000000,0x00000000,0x00fffff2,0x00000000,0x00000000,0x5654c000,
    0x00000001,0xffffe980,0x9999884f,0x99999999,0x81999999,0x99999999,
    0x99999999,0x13fffe60,0x17fffe20,0x001ffff6,0x4ccccc00,0x4ccc0009,
    0x33330009,0x00666621,0x9884ccc0,0x4c000999,0x26621999,0x4cc00099,
    0x99988199,0x99999999,0x88199999,0x99999999,0x99999999,0x33333301,
    0x33333333,0xf7000133,0x30003fff,0x00133333,0x26666600,0x99880009,
    0x99999999,0x00099999,0x003ffffa,0x4cccc400,0x09999999,0x99999998,
    0x99880000,0x99999999,0x40099999,0xffffffe9,0x331002ef,0x33333333,
    0x00133333,0x0dffffd1,0xfffffff5,0xffffffff,0xfff0ffff,0xffffffff,
    0x4c7fffff,0x8804ffff,0xf985ffff,0x00002fff,0x7fffffd4,0x3ffe2006,
    0xfff9806f,0x0ffff34f,0x2dfff300,0x007ffffb,0xb9bfffe6,0x2007ffff,
    0xb86ffff9,0xffffffff,0xffffffff,0x7fffdc1f,0xffffffff,0xf81fffff,
    0xffffffff,0x3fffffff,0x6fffe800,0xffffa800,0xa80006ff,0x06ffffff,
    0xfffffa80,0xffffffff,0xff1003ff,0x20000dff,0xfffffff8,0x4c3fffff,
    0xffffffff,0x4002cdef,0xfffffffa,0xffffffff,0x3fffee03,0x3fffffff,
    0xfffffa80,0xffffffff,0xff5003ff,0xffa81fff,0xffffffff,0xffffffff,
    0xffffff87,0xffffffff,0x3ffe63ff,0xfff8804f,0xdfffd05f,0xffc80000,
    0x001fffff,0x00dffff1,0x269ffff3,0xa8007fff,0x3ffe6fff,0xffb003ff,
    0xffff87ff,0xfffb003f,0xffff707f,0xffffffff,0xb83fffff,0xffffffff,
    0xffffffff,0xfffff81f,0xffffffff,0x54003fff,0x8003ffff,0xfffffffc,
    0x7fe40001,0x001fffff,0x7fffffd4,0xffffffff,0xfff3003f,0x2e0000bf,
    0xffffffff,0x7cc3ffff,0xffffffff,0x001effff,0xfffffff5,0xffffffff,
    0xffffb107,0xffffffff,0xfffa80bf,0xffffffff,0x1003ffff,0xa83fffff,
    0xffffffff,0xffffffff,0xffff87ff,0xffffffff,0x3e63ffff,0xf8804fff,
    0xff705fff,0x400003ff,0xffffffff,0xffff1003,0xffff300d,0x03fffe69,
    0x4bfff500,0x806ffffb,0xb86ffff9,0x9806ffff,0xf706ffff,0xffffffff,
    0xffffffff,0xfffffb83,0xffffffff,0xff81ffff,0xffffffff,0x03ffffff,
    0x03fffec0,0xffffff80,0x7c0003ff,0x3fffffff,0x7fffd400,0xffffffff,
    0xf5003fff,0x00009fff,0x3ffffffa,0x43ffffff,0xfffffff9,0xffffffff,
    0x7ffd400d,0xffffffff,0xfc83ffff,0xfeffffff,0x03ffffff,0x3fffffea,
    0xffffffff,0xfff1003f,0xfffa81ff,0xffffffff,0x7fffffff,0xfeeeeed8,
    0xeeeeffff,0x3fffe62e,0xffff8804,0xbffff105,0x3fe60000,0x05ffffff,
    0x0dffff10,0x29ffff30,0x000ffff8,0x3e2fffd4,0x6c02ffff,0xff03ffff,
    0xfd805fff,0xff703fff,0xffffffff,0x3fffffff,0xffffffb8,0xffffffff,
    0xeed81fff,0xfffffeee,0x002eeeee,0x013fffe2,0x3ffffe60,0x20005fff,
    0xfffffff9,0x7fd4005f,0xffffffff,0x003fffff,0x007ffff5,0xfffff300,
    0xdddddfff,0xfffff985,0xffffffff,0x7d406fff,0xffffffff,0x43ffffff,
    0x1dfffff8,0x3ffffea2,0x3fffea07,0xffffffff,0xf7003fff,0x9800ffff,
    0x0005ffff,0x05ffff98,0x04ffff98,0x05ffff88,0x003ffff2,0x3fffee00,
    0x800fffff,0x806ffff8,0xf14ffff9,0xb8001fff,0x7fdc4fff,0x3fe606ff,
    0x3fee06ff,0x3fe606ff,0x266206ff,0x99999999,0x86fffffa,0x99999998,
    0xffffa999,0x3fe6006f,0xc80005ff,0x8000ffff,0xfffffffb,0xf70000ff,
    0xffffffff,0x7ffd4001,0x2620005f,0xfffc9999,0x099999bf,0x37fff200,
    0x9800ffff,0x54c4ffff,0x2ffffffc,0x17fffea0,0xffffd800,0x3fffe605,
    0xffff502f,0xfa80000b,0x4005ffff,0x005ffff9,0x5ffff980,0x4ffff980,
    0x5ffff880,0x13fffe20,0x3fffa000,0x02ffffde,0x06ffff88,0x24ffff98,
    0x4001ffff,0xff84fffb,0xffb02fff,0xfff805ff,0xfffb02ff,0x3600005f,
    0x000fffff,0x7ffffec0,0x3ffe6000,0xff80005f,0xfd0005ff,0xffffbdff,
    0x3ffa0005,0x2ffffdef,0x3fffea00,0x3fea0005,0xffffffff,0x05ffffff,
    0x3ebfffe0,0xf9800fff,0x3ea04fff,0x2a06ffff,0x0005ffff,0x01fffff3,
    0x06ffffb8,0x00bffff5,0x7f6e6540,0x000fffff,0x02ffffcc,0x7fffcc00,
    0xffff9805,0xffff8804,0x3fffec05,0x3ffe2000,0x4ffffabf,0x6ffff880,
    0x4ffff980,0x0007fffe,0xf707fff7,0xff30dfff,0xff700dff,0xfff30dff,
    0x2a0000df,0x003fffff,0x7ffffd40,0x7ffcc003,0x7dc0005f,0x88002fff,
    0xffabffff,0xf88004ff,0xfffabfff,0x3fea004f,0x2a0005ff,0xffffffff,
    0xffffffff,0xdfff5005,0x001ffff3,0x809ffff3,0x03fffff9,0x00bffff5,
    0x17fffee0,0x3ffffe60,0x5ffffa81,0x3fff2000,0x03ffffff,0x5ffff980,
    0xfff98000,0xfff9805f,0xfff8804f,0x7ffd405f,0x3ea0002f,0xfff89fff,
    0xfff8807f,0xfff9806f,0x07fffe4f,0x3fee0666,0xfffff03f,0x2ffffd83,
    0x3fffff00,0x02ffffd8,0xffff8800,0x7c40005f,0x8005ffff,0x005ffff9,
    0x037fff40,0x9ffffa80,0x007ffff8,0x89ffffa8,0x2007ffff,0x005ffffa,
    0x3ffffea0,0xffffffff,0xfb005fff,0xffff37ff,0xffff3001,0xffffd009,
    0x3fffea0d,0xfff90005,0x3ffa005f,0xfffa82ff,0x3f20005f,0x1effffff,
    0xffff3000,0xff30000b,0xff300bff,0xff1009ff,0xffd00bff,0x7ec000df,
    0x3fffa7ff,0x7ffc401f,0xfff9806f,0x07fffa4f,0xfc81fff5,0xfff703ff,
    0x7fffccbf,0x3ffee006,0x3fffe65f,0xffb00006,0x80001fff,0x00fffffd,
    0x5ffff980,0x3ffe6000,0xffb0003f,0x7ffff4ff,0x7ffec001,0x07ffffa7,
    0x2ffffd40,0x99993000,0x99fffff9,0x10079999,0xff31ffff,0xff3001ff,
    0xff5009ff,0x3fea0fff,0xfb0005ff,0x36003fff,0xfa82ffff,0x20005fff,
    0xbdfffffb,0x3fe60000,0x980005ff,0x9805ffff,0x8804ffff,0xb805ffff,
    0x0001ffff,0x7e4bffff,0x7c403fff,0xf9806fff,0x3ffa4fff,0x1fffe42f,
    0xf80bfff2,0xffb1ffff,0xff8005ff,0xfffb1fff,0xf500005f,0x0007ffff,
    0x3fffffa8,0xffff3000,0x7fec000b,0xff0000ff,0x7ffe4bff,0x7ffc003f,
    0x3ffff25f,0xffff5003,0xf880000b,0x40005fff,0xff35fffb,0xff3001ff,
    0xff1009ff,0x3fea0fff,0xfd0005ff,0x32001fff,0xfa83ffff,0x20005fff,
    0x0007fffb,0x17fffe60,0x3ffe6000,0xfff9805f,0xfff8804f,0xfff8805f,
    0xff98005f,0x3ffe63ff,0x7ffc406f,0xccccccff,0x4ffffdcc,0xff0bfff6,
    0xfffc8bff,0x3fffee02,0x06ffff8c,0xcffffb80,0x006ffff8,0xfffff880,
    0x7fc40005,0x20005fff,0x005ffff9,0x09ffff10,0x3fffe600,0x1bfffe63,
    0x3ffff980,0x01bfffe6,0x577fffd4,0xaaaaaaaa,0xffff3002,0xffe80009,
    0x7ffff32f,0xf9815555,0xff004fff,0xff503fff,0x55555dff,0xff855555,
    0x3ee007ff,0xffa84fff,0xaaaaaeff,0xfb82aaaa,0x200007ff,0x005ffff9,
    0x5ffff980,0x4ffff980,0x5ffff880,0x1ffff900,0xffffc800,0x07ffffc0,
    0xffffff10,0xffffffff,0x7ec9ffff,0x3ffe62ff,0x3fff60ff,0x7ffffc01,
    0x002ffffc,0xf9fffff0,0x00005fff,0x01fffffb,0xffffd800,0x3e60000f,
    0x90005fff,0x0003ffff,0xf03ffff2,0x2001ffff,0x7c0ffffc,0xa800ffff,
    0xffffffff,0x07ffffff,0x07ffff50,0x3fffcc00,0xfffffff3,0xfff983ff,
    0xffff004f,0xffff505f,0xffffffff,0x7ffc4fff,0x3fee007f,0xfffa85ff,
    0xffffffff,0xffa87fff,0x2600007f,0x0005ffff,0x05ffff98,0x04ffff98,
    0x05ffff88,0x07ffff30,0x86fffe80,0x202ffffd,0xfffffff8,0xffffffff,
    0x3ff24fff,0x3ffff23f,0x07fff62f,0xffffff70,0x5c000dff,0xffffffff,
    0xffa80006,0x40002fff,0x02fffffa,0x7fffcc00,0xffff0005,0x7ff4000b,
    0xffffd86f,0xdfffd002,0x05ffffb0,0xffffff50,0xffffffff,0x3ffee00f,
    0x3f20002f,0x3ffe64ff,0x41ffffff,0x004ffff9,0x507ffffd,0xffffffff,
    0x4fffffff,0x007ffff9,0x217fffee,0xfffffffa,0x7fffffff,0x005eee98,
    0x3fffe600,0xff980005,0xff9805ff,0xff8804ff,0x3f6005ff,0x3e2007ff,
    0xffb84fff,0x3fe205ff,0xffffffff,0xffffffff,0xe8ffff24,0x365fffff,
    0xff800fff,0x02ffffff,0x7ffffc00,0x40002fff,0x05fffff8,0x7fffc400,
    0xf980005f,0xa8005fff,0x0002ffff,0x709ffff1,0x100bffff,0xf709ffff,
    0xf500bfff,0xffffffff,0x00ffffff,0x007ffff2,0x21ffff80,0xfffffff9,
    0x7ffcc1ff,0xfffd004f,0xffff505f,0xffffffff,0x7ffc4fff,0xff7000ff,
    0xfff509ff,0xffffffff,0x0000ffff,0xffff9800,0xff980005,0xff9805ff,
    0xff8804ff,0x3ea005ff,0xf7002fff,0xff105fff,0x7fc40fff,0xcccccfff,
    0xffffdccc,0x4cfffee4,0x27ffffff,0xb800fffd,0x06ffffff,0xffffb800,
    0xd80006ff,0x000fffff,0x7ffffec0,0xff980000,0xfe8005ff,0x2e0006ff,
    0xf882ffff,0xfb807fff,0xff882fff,0xffa807ff,0xccccceff,0xb004cccc,
    0x0001ffff,0xf31bffea,0x55557fff,0x4ffff981,0x3fffff00,0x9dffff50,
    0x99999999,0x0fffff89,0x5ffff900,0x9dffff50,0x99999999,0x80000009,
    0x005ffff9,0x5ffff980,0x4ffff980,0x5ffff880,0x37fff400,0x07fffd80,
    0x407ffffa,0x806ffff8,0x2e4ffff9,0xdff73fff,0x3fa5fff9,0x3ffe007f,
    0x00002fff,0x05ffffff,0xffffa800,0x7d40002f,0x0002ffff,0x0bffff30,
    0x3ffff980,0x3fff6000,0x3ffffa07,0x3fffec01,0x03ffffd0,0x05ffffa8,
    0x7fff4000,0xffb0000f,0xffff987f,0xffff9800,0xffff8804,0xffffa80f,
    0xfffd0005,0x3ff2003f,0xfffa81ff,0x3220005f,0x200002ee,0x005ffff9,
    0x5ffff980,0x5ffff980,0x4ffff980,0x7fffdc00,0xeffff801,0xfd999999,
    0xff104fff,0xff300dff,0x7ffdc9ff,0xff59ffd4,0x01fffa9f,0x06ffffb8,
    0x3ffee000,0x7c40006f,0x0005ffff,0x2fffffc4,0xfff30000,0xffd800bf,
    0x3e0000ff,0x9999efff,0x4ffffd99,0x4f7fffc0,0xffd99999,0x7fd404ff,
    0x400005ff,0x0007ffff,0x981ffff1,0x9800ffff,0x9804ffff,0xf507ffff,
    0x2000bfff,0x003ffffd,0x501ffffd,0x000bffff,0x01fffff4,0xffff9800,
    0xff980005,0xff8805ff,0xff9806ff,0x7c4003ff,0x7d404fff,0xffffffff,
    0x6fffffff,0x0dffff10,0x49ffff30,0xff8cfffa,0xf7fff8af,0x7cc00fff,
    0x00005fff,0x017fffe6,0xfffffb00,0xffd80001,0x00000fff,0x017fffe6,
    0x04ffff88,0x3fffea00,0xffffffff,0x2a06ffff,0xffffffff,0xffffffff,
    0x7fffd406,0x3e200005,0x70006fff,0xffffffff,0x001fffff,0x009ffff3,
    0x20dffff9,0x005ffffa,0x0bffff90,0x0fffff30,0x017fffea,0x7ffffcc0,
    0xff300006,0x30000bff,0x200bffff,0xb807ffff,0x8002ffff,0x200ffffc,
    0xfffffffc,0xffffffff,0xfff880ff,0xfff9806f,0x37ffea4f,0xffb0fffb,
    0x00dfff3f,0x02ffffcc,0xffff3000,0x7fd4000b,0x40002fff,0x02fffffa,
    0x7ffcc000,0x3fee005f,0x320001ff,0xffffffff,0xffffffff,0xffff900f,
    0xffffffff,0x401fffff,0x005ffffa,0x3fffea00,0xfffd0004,0xffffffff,
    0xff3001ff,0xff8809ff,0xff503fff,0x26000bff,0x400fffff,0x504ffffc,
    0x000bffff,0x1fffffea,0x7ffcc000,0xf980005f,0xfd005fff,0xff807fff,
    0x98000fff,0x3e03ffff,0xffffffff,0xffffffff,0xffff883f,0xffff9806,
    0x377ffe64,0x3ffee5ff,0x2006fffb,0x005ffff9,0x3fffe600,0xfff10005,
    0x880009ff,0x004fffff,0xffff9800,0x3fffe005,0x7ffc0006,0xffffffff,
    0x3fffffff,0xfffffff0,0xffffffff,0x7d407fff,0x00005fff,0x00bffff6,
    0x3ffffe60,0xffffffff,0xfff9800f,0x7ffe404f,0x3ffea06f,0x3fa0005f,
    0xf500efff,0x2a01ffff,0x0005ffff,0x0bfffff1,0x3ffe6000,0xf980005f,
    0xf7005fff,0xb105ffff,0x0009ffff,0x9837fff4,0xeeeeffff,0xffeeeeee,
    0xfff885ff,0xfff9806f,0x37ffe64f,0x3fe22fff,0x005fffdf,0x017fffe6,
    0xffff9800,0xfffb0005,0xd80001df,0x000effff,0xffff9800,0xffff5005,
    0x7fcc0005,0xeeeeeeff,0xffffeeee,0xeffff985,0xeeeeeeee,0x205ffffe,
    0x005ffffa,0xfffff100,0xfffb0001,0xfddddddf,0xf3001fff,0x36209fff,
    0x202fffff,0x005ffffa,0x3ffffea0,0xfff730ae,0x7fd409ff,0x2e0005ff,
    0x0000efff,0x0bffff30,0xffff3000,0x7fff400b,0xffecdeff,0x0000ffff,
    0x20bfffea,0x801ffffb,0x40fffff9,0x806ffff8,0x224ffff9,0x0fffffff,
    0x7ffffff4,0x3ffe6005,0x2600005f,0x8005ffff,0xacfffffa,0xaaaaaaaa,
    0x7ffd40aa,0xaaaaacff,0x00aaaaaa,0x0bffff30,0x01ffffa0,0x3ffff700,
    0xfffff300,0x1ffffb81,0xfffff980,0xbffff500,0x33333333,0x2a6aa133,
    0x05fffffd,0x2ffff880,0x01ffff30,0x3bffff30,0xffff9533,0xffa80dff,
    0x99999dff,0xe8099999,0xffffffff,0x0fffffff,0x37fffea0,0x99999999,
    0x02a88099,0x7ffcc000,0x7ffc005f,0xffffffff,0xa83fffff,0xffffffff,
    0x03ffffff,0x5ffff800,0x007fffe8,0x10bffffe,0x300dffff,0x7c49ffff,
    0xb85fffff,0x05ffffff,0x17fffe60,0xfff98000,0xffe8005f,0xffffffff,
    0x3fffffff,0x7ffffff4,0xffffffff,0xfff83fff,0xffffffff,0x263fffff,
    0x0003ffff,0x003ffff4,0xe85fffff,0x3e007fff,0xf502ffff,0xffffffff,
    0x27ffffff,0xfffffffe,0xfb8000ff,0x3fe607ff,0x5fffffff,0x7fffffcc,
    0xffffffff,0x7fd401ef,0xffffffff,0x983fffff,0xfffffffe,0x01ffffff,
    0x7fffffd4,0xffffffff,0x0000003f,0x017fffe6,0xfffffff0,0xffffffff,
    0x3ffea07f,0xffffffff,0xf700002f,0x7fc43fff,0x3f6005ff,0x7fc44fff,
    0xff9806ff,0x7fffc4ff,0xfff883ff,0x26004fff,0x0005ffff,0x17fffe60,
    0x3ffffa00,0xffffffff,0x743fffff,0xffffffff,0xffffffff,0xfffff83f,
    0xffffffff,0x3ff23fff,0x220000ff,0x2005ffff,0x224ffffd,0x2005ffff,
    0x504ffffd,0xffffffff,0x7fffffff,0x3ffffffa,0xfd0002ff,0x7fcc09ff,
    0x5fffffff,0x7fffffcc,0xffffffff,0xffff5004,0xffffffff,0x36207fff,
    0xffffffff,0xfa800dff,0xffffffff,0x03ffffff,0x3e600000,0x7c005fff,
    0xffffffff,0x3fffffff,0x3ffff220,0x0004ffff,0x27fffc40,0x005ffff5,
    0x23ffffd4,0x806ffff8,0x7c4ffff9,0xd00fffff,0x009fffff,0x02ffffcc,
    0xffff3000,0xfffd000b,0xffffffff,0x87ffffff,0xfffffffe,0xffffffff,
    0xffff83ff,0xffffffff,0xff13ffff,0xa80009ff,0x2002ffff,0x2a7ffffa,
    0x2002ffff,0x507ffffa,0xffffffff,0x7fffffff,0x3ffffffa,0xff30001e,
    0x7fcc03ff,0x5fffffff,0x7fffffcc,0x1effffff,0x3fffea00,0xffffffff,
    0x6dc03fff,0x3effffff,0x3fffea00,0xffffffff,0x00003fff,0x3fffe600,
    0x7fffc005,0xffffffff,0x1003ffff,0x00013553,0x15555400,0x001ffffb,
    0x0fffffc4,0x00dffff1,0xf89ffff3,0x2e06ffff,0x003fffff,0x017fffe6,
    0xffff9800,0xfffe8005,0xffffffff,0x43ffffff,0xfffffffe,0xffffffff,
    0xffff83ff,0xffffffff,0x5513ffff,0xd8000155,0x2000ffff,0xb1fffff8,
    0x4001ffff,0x81fffff8,0xfffffffa,0xffffffff,0x359b9953,0xfffc8000,
    0x7fffcc06,0x4c5fffff,0xefffffff,0xa8001abc,0xffffffff,0x3fffffff,
    0x006aa200,0x7ffffd40,0xffffffff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xddddddd7,0x4001dddd,0xaaccba98,0x3bbae001,
    0xeeeeeeee,0x00000000,0x3ae00000,0xeeeeeeee,0x880000ee,0x401aacb9,
    0x00000019,0x3bbae000,0x74000005,0x5c003eee,0x100004ee,0x31000333,
    0x03331033,0x404ccc40,0x26009998,0xabcddcca,0xdca88000,0x440009bc,
    0x19988199,0x81999880,0x00009998,0x00266660,0x006ff540,0x26660000,
    0x26620199,0x09998819,0x00001000,0xffffff90,0x001fffff,0xffffffd5,
    0x9005ffff,0xffffffff,0x88001fff,0x0003effd,0x01f7fec4,0x7ffffe40,
    0x00ffffff,0xffffb700,0x88bfffff,0x0000dffe,0xfe800000,0x980005ff,
    0xfff30999,0x7fdc003f,0x5c0005ff,0x4005ffff,0x7f41fffa,0x3fa2006f,
    0x3ffe63ff,0x7ffe440f,0xffffffff,0xffe8800c,0x02ffffff,0xd07ffea0,
    0x3f600dff,0x3ffa24ff,0xf300002f,0x50009fff,0x000dffff,0x3fffa200,
    0x7fec03ff,0x3fffa24f,0xffd93002,0x200007bf,0xfffffffc,0x2600ffff,
    0xfffffffe,0x803fffff,0xfffffffc,0x2000ffff,0x6ffffffa,0xffff5000,
    0xfc800dff,0xffffffff,0x6c4000ff,0xffffffff,0x3ee0ffff,0x00004fff,
    0xfff80000,0x7c40002f,0xfff75fff,0xfffe800d,0xf50000ff,0x009fffff,
    0x4cf7ffc4,0x4005fffc,0xf9bfffe8,0xff981fff,0xffffffff,0x2a00ffff,
    0xffffffff,0x8800dfff,0xfc99efff,0x3f6005ff,0xfffe8cff,0x33310002,
    0x3bffff53,0x7ffec003,0x400001ff,0x1effffe8,0x19fffb00,0x2005fffd,
    0xfffffffc,0x5c0001ef,0xeeeeeeee,0xff100eee,0xffffffff,0x7007ffff,
    0xdddddddd,0x22001ddd,0xfffdefff,0x7ffc4003,0x003fffde,0x3bbbbbae,
    0x000eeeee,0x3fffffea,0xffffffff,0x1bfffee0,0x26000000,0x7fff983b,
    0xfff88000,0x07fffb5f,0xffffff80,0xfffa8000,0x004fffef,0x3ffffff6,
    0x88001fff,0xfffffffe,0xfffff301,0xffffffff,0x3ffee0bf,0xffffffff,
    0xffb004ff,0x3fffffff,0x7fff4400,0x0002ffff,0x3ffffff6,0x01ffffff,
    0x5fffffb0,0x7f440000,0x2000dfff,0xffffffe8,0xfffb002f,0xffffffff,
    0x00000001,0xffffffb0,0xfffd99bd,0x00000007,0xff337fd4,0x6ffa800d,
    0x0001bfe6,0x3fea0000,0xefffffff,0x220fffff,0x0007ffff,0xfffb3000,
    0x09fff709,0xffff1000,0x003fffeb,0x0dffff90,0x1ffff300,0x007fffd1,
    0x3fffffa2,0x220003ff,0x02ffffff,0x1066fbe6,0x83fffff9,0x42fffff8,
    0x01fffffb,0xfffffe88,0xe88003ff,0x003fffff,0x7ffffec0,0x1fffffff,
    0xfffff700,0x3a200001,0x0003ffff,0x7fffffd1,0x3fffea00,0xfffffddf,
    0x00000006,0x67ffffcc,0x000aa200,0xffb80000,0x2003ffc3,0x3ffc3ffb,
    0x40000000,0xadfffffe,0x207ed440,0x0006fffb,0xffff5000,0x05fffb09,
    0xffff1000,0x00dfff3b,0x003bff20,0x41ffff30,0x003fffe8,0x07bffff2,
    0x3ffe6000,0x800c402f,0x643ffffc,0xf501ffff,0x6400dfff,0x001effff,
    0x0ffffa20,0x3fff6000,0xffffffff,0x3fee001f,0xd100001e,0x0003dfff,
    0x03fffe88,0x83bfffe0,0x00ffffe8,0x4cccccc0,0x99999999,0x3ffee099,
    0x3100006f,0x33333333,0x01333333,0x3e66ffa8,0x7fd4006f,0x001bfe66,
    0x04cccccc,0x3fffea00,0xf301005f,0x000009ff,0x13fffea0,0x0001fffe,
    0x56ffffc4,0x40003fff,0x00000000,0x0000c400,0x20000000,0x224ffff9,
    0x7404ffff,0x88007fff,0x00000001,0x55554c00,0xaadffffb,0x00008000,
    0x00000000,0xffff8800,0x2ffffa82,0x7ffffc00,0xffffffff,0x3ff23fff,
    0x500004ff,0xffffffff,0x7fffffff,0xdffff880,0x44003fff,0xfffdffff,
    0xfffa8003,0x7c006fff,0x0005ffff,0x007fff62,0x7fd40000,0x000004ff,
    0x0bffff10,0x00000000,0x00000000,0x00000000,0x97fffe20,0x402ffffa,
    0x001ffffc,0x00000000,0xfff30000,0x0000009f,0x00000000,0xfff50000,
    0xffff103f,0xffff8005,0xffffffff,0x3f23ffff,0x00006fff,0xfffffff5,
    0xffffffff,0xffff3007,0x26000bff,0x05ffffff,0xfffff900,0x3ee003ff,
    0x0001ffff,0x007fffff,0x7fd40000,0x000004ff,0x0bffff10,0x65d44000,
    0x10001acc,0x03599975,0xbcdca880,0xa8800009,0x001acccb,0x3eeaaa66,
    0x3fee5fff,0xaaaaabff,0x2ffffdaa,0x6ee654c0,0x10000abc,0x01379b95,
    0x332ea200,0x04ffffbc,0xbcdca880,0xa8800009,0x001acccb,0x9bdb9750,
    0x3fea0359,0xfffa82ff,0x7ffc001f,0xffffffff,0x2e3fffff,0x00dfffff,
    0x7fffd400,0xffffffff,0xb1003fff,0x80007dff,0x003effd8,0x3fffffe0,
    0xff9003ff,0x7c000bff,0x00002eff,0x32aaaaa0,0xaaadffff,0x4001aaaa,
    0xfbcccba8,0x80005fff,0xfffffffc,0xf9000fff,0xffffffff,0xffe8801f,
    0x02ffffff,0xfffff900,0x201fffff,0xffffffea,0x365fffff,0xffffffff,
    0xffffffff,0xfffc883f,0xffffffff,0xffd1000c,0x05ffffff,0x7ffff4c0,
    0x4fffffff,0x3fffa200,0x002fffff,0xffffff90,0x1001ffff,0xfffffff7,
    0x3e20ffff,0xffe84fff,0xeed8007f,0xfffffeee,0x262eeeee,0xcfffffff,
    0xfff50000,0xffffffff,0x0007ffff,0x00000000,0x3ffffe60,0xfd005fff,
    0x40005fff,0x000001ac,0xffffffe8,0xffffffff,0xd3004fff,0xffffffff,
    0x4000bfff,0xffffffea,0x400fffff,0xffffffea,0x200fffff,0xfffffffa,
    0x000dffff,0xffffffd5,0xa81fffff,0xffffffff,0x25ffffff,0xfffffffe,
    0xffffffff,0xfff983ff,0xffffffff,0x7d400fff,0xffffffff,0x32200dff,
    0xffffffff,0x004fffff,0xfffffff5,0x001bffff,0x3fffffaa,0x00ffffff,
    0x7fffffc4,0x07ffffff,0xd87ffffe,0x0003ffff,0x0bffff30,0x3fffff60,
    0x4002dfff,0x005ffffa,0x06aaaa20,0x80355550,0xbcddcca9,0x7fdc000a,
    0x0fffffff,0x1fffff80,0x55550000,0x1bddca81,0x3ffffa00,0xffffffff,
    0x404fffff,0xffffffc8,0x5fffffff,0xffff7000,0xffffffff,0x7ffdc01f,
    0xffffffff,0xfff700ff,0xffffffff,0xff7009ff,0xffffffff,0x7fd41fff,
    0xffffffff,0x3a5fffff,0xffffffff,0xffffffff,0xffff982f,0xffffffff,
    0x3fee05ff,0xffffffff,0x3fa04fff,0xffffffff,0x804fffff,0xfffffffb,
    0x04ffffff,0xffffffb8,0x0fffffff,0x3ffffa20,0xffffeeff,0x3fffee07,
    0x5ffffe9e,0x3fe60000,0xff1005ff,0xffffffff,0xff50019f,0x4c000bff,
    0x2204ffff,0xc885ffff,0xffffffff,0xd000cfff,0xfffbdfff,0xfff8805f,
    0xd00001ff,0x3fa67fff,0x004fffff,0xfffffffd,0xffffffff,0xffe809ff,
    0xffffffff,0x8005ffff,0xfffffff9,0x0ffedccd,0xffffff30,0xffdb99bf,
    0xfffff101,0xfffffb85,0x3fffe601,0xedccdfff,0xffff10ff,0xff8835df,
    0x3fff65ff,0xf300000f,0xfc88337d,0xf881ffff,0x7dc2ffff,0xfb81ffff,
    0x99adffff,0x04ffffca,0x17ffffc4,0x07ffffee,0xffffff98,0xffedccdf,
    0x3fffee00,0x05b980af,0x7ffffff4,0x00005fff,0x02ffffcc,0xfffffb10,
    0x05ffffff,0x05ffffa8,0x3fffe600,0x3fffe204,0xfffff985,0xffffffff,
    0x7ffc400f,0x4ffffabf,0x7ffffcc0,0xffd00000,0xfffff57f,0x500bffff,
    0xfff95555,0x555555bf,0x7ffdc035,0xc999bdff,0x8005ffff,0x03fffffe,
    0x7ff40326,0x32603fff,0x1ffffc80,0x0dffff50,0x1ffffff4,0x3fee1930,
    0x3fe206ff,0x3fff25ff,0x3100001f,0x3ffff200,0x1ffffc83,0x8dffff50,
    0x03fffff8,0x809ffff3,0x501ffffc,0x740dffff,0x203fffff,0x3ff600c9,
    0x980004ff,0xffffffff,0xf9800003,0xb8005fff,0xfffffffe,0x3ea03fff,
    0x20005fff,0x204ffff9,0x985ffff8,0xffffffff,0x05ffffff,0x44ffffd4,
    0x5407ffff,0x000fffff,0xfbfffd00,0xffffffff,0xf50005ff,0x20009fff,
    0x04fffff8,0x00bffff1,0x2fffffb8,0x3ffee000,0xf10002ff,0xfe809fff,
    0xfff707ff,0xfc8005ff,0x3e602fff,0x3fee5fff,0x000003ff,0x4ffff980,
    0x027fffc4,0xfb1ffffa,0x7cc0bfff,0x3e204fff,0x7f404fff,0xfff707ff,
    0xd00005ff,0x0009ffff,0xffffff10,0x2000001b,0x005ffff9,0x3ffff6a0,
    0x501fffff,0x000bffff,0x027fffcc,0x30bffff1,0xc88337df,0x201fffff,
    0x3fa7fffd,0x3e601fff,0x0001ffff,0xffffffd0,0xffffb7ff,0xff5000bf,
    0x360009ff,0x2205ffff,0x4005ffff,0x005ffffd,0x2ffffec0,0xffff5000,
    0xffffc805,0x5ffffd81,0xffffd800,0xffffd103,0x7ffffccb,0x40000000,
    0x545ffff8,0x6402ffff,0x3fa1ffff,0x3e601fff,0x3ea04fff,0x7e402fff,
    0xffd81fff,0xb00005ff,0x017fffff,0x3fffea00,0x6540ffff,0xf30003cc,
    0x0000bfff,0xfffffd71,0x3ffea0df,0x3e60005f,0x3e204fff,0x01885fff,
    0x07ffff90,0xf92ffffc,0x7c407fff,0x0001ffff,0xffffffd0,0x7ffff987,
    0xffffa800,0xfffd0004,0x7ffc403f,0x7ff4005f,0x740001ff,0x0001ffff,
    0x2affffee,0xfdaaaaaa,0xffe82fff,0xfc8001ff,0xff986fff,0x7ec5ffff,
    0x9801efff,0x554cc000,0x45ffffba,0xaabffffb,0xffdaaaaa,0x3fffe2ff,
    0x7fffcc07,0x3fffee04,0xaaaaaaab,0xe82ffffd,0x0001ffff,0xffffff70,
    0x7cc005bf,0xffffffff,0x02fffec6,0x5ffff980,0x7fdc0000,0xfa80ffff,
    0xaaaaefff,0x982aaaaa,0x2204ffff,0x0005ffff,0x827fffcc,0x263ffff9,
    0x7c06ffff,0x0002ffff,0x7fffffd0,0x03ffffe0,0x9ffff500,0x3fffe000,
    0x7fffc407,0x7fffc005,0x7fc0000f,0x20000fff,0xfffffffd,0xffffffff,
    0xffff83ff,0xffb8000f,0xfebcffff,0x45ffffff,0xeffffff8,0xffeccbbc,
    0xfffea802,0xffffffff,0x7ffffec5,0xffffffff,0xff33ffff,0xff980dff,
    0x3ff604ff,0xffffffff,0x3fffffff,0x00fffff8,0x3fffa000,0x1cffffff,
    0x3ffffe20,0x25fffffb,0x0004fffd,0x00bffff3,0xffff7000,0xffff503f,
    0xffffffff,0xfff30fff,0x7ffc409f,0x7c40005f,0xff905fff,0xffff81ff,
    0x3fffa00f,0xfd00005f,0x7ec09fff,0x54001fff,0x8004ffff,0x406ffff9,
    0x005ffff8,0x01ffffe6,0xfffff300,0xfffe8000,0xffffffff,0x43ffffff,
    0x007ffff9,0x3fffffa0,0xfdffffff,0xfffb85ff,0xffffffff,0x3ea02fff,
    0xffffffff,0x745fffff,0xffffffff,0xffffffff,0xbffff53f,0x4ffff980,
    0x3fffffa0,0xffffffff,0x7cc3ffff,0x00007fff,0x7ffffec4,0x81efffff,
    0xf33ffffc,0x3fa7ffff,0xf30004ff,0x0000bfff,0x5fffff10,0xffffff50,
    0xffffffff,0x9ffff30f,0x2ffffc40,0x75553300,0x3a0bffff,0xffd86fff,
    0x3ff202ff,0x80001fff,0x200ffffe,0x001ffffc,0x027fffd4,0x2ffffd40,
    0x17fffe20,0x7ffff980,0x7ffcc000,0x7f40007f,0xffffffff,0xffffffff,
    0x3ffffcc2,0xffff5000,0x73dfffff,0x3ea0bfff,0xffffffff,0xf502ffff,
    0xffffffff,0x8bffffff,0xfffffffe,0xffffffff,0xffff72ff,0xffff980b,
    0x3ffffa04,0xffffffff,0x4c2fffff,0x0007ffff,0xffffd700,0x85ffffff,
    0x7d47ffff,0xfffaffff,0xff30003f,0x00000bff,0x01fffff1,0xfffffff5,
    0xffffffff,0x09ffff30,0x02ffffc4,0x3fffffaa,0x85ffffff,0xb84ffff8,
    0x2605ffff,0x005fffff,0x07fffe80,0x00ffffe4,0x13fffea0,0x3fffee00,
    0x7fffc404,0x3ffe2005,0x220000ff,0x000fffff,0x03ffff60,0x3ffe2000,
    0x220000ff,0x4ffffffe,0x8817ffee,0xffffffec,0xf881ceff,0x41aeffff,
    0x6c5ffff8,0x0000ffff,0x017fffea,0x409ffff3,0x000ffffd,0xfffff880,
    0x22000000,0xffffffeb,0xffff10ef,0xfffff90b,0x0001ffff,0x017fffe6,
    0xfff70006,0x3ffea0ff,0xccccccef,0xff984ccc,0x3fe204ff,0xfff505ff,
    0xffffffff,0xff70bfff,0xfff105ff,0xfffd80ff,0x02800dff,0xc80ffffd,
    0x4001ffff,0x004ffffa,0x05ffffa8,0x02ffffc4,0x0bffffe0,0xfffff000,
    0x7fe40005,0xf00001ff,0x0005ffff,0x88355310,0x2001fffe,0x03ffffb9,
    0x037fffdc,0xc8bffff1,0x0001ffff,0x01bfffe6,0x409ffff5,0x001ffffc,
    0x5fffff00,0x22000000,0x2ffffffc,0x207ffff3,0xfffffffd,0x3fe60005,
    0xdff805ff,0xffd9809b,0xff505fff,0x4c000bff,0x2204ffff,0xfa85ffff,
    0xffffffff,0x85ffffff,0x3a07fffd,0x2601ffff,0xceffffff,0xffda989a,
    0x07fffe80,0x00ffffe4,0x13fffea0,0x3fffe600,0x7fffcc06,0x7fff4005,
    0x7f40006f,0x20006fff,0x003ffffb,0xdffffd00,0xfd000000,0xf90005ff,
    0xff9009ff,0x7fcc05ff,0x7ffdc5ff,0x3e20003f,0xd100ffff,0x5c09ffff,
    0x0003ffff,0x0dffffd0,0xf9800000,0xff33ffff,0x3fa209ff,0x002fffff,
    0x17fffe60,0x3fffffe0,0xffffffff,0xff500fff,0x4c000bff,0x2204ffff,
    0x7c45ffff,0x41aeffff,0xf85ffff8,0x9999efff,0x4ffffd99,0x7ffffec0,
    0xffffffff,0xfffe80ff,0x7fffe407,0x7ffd4001,0xff88005f,0xfd100fff,
    0xc800bfff,0x004fffff,0x3fffff20,0xfff30004,0x900001ff,0x009fffff,
    0x7ffdc000,0xfff98005,0xffffb007,0x3fffa207,0x7fffcc5f,0x3fe0000f,
    0xffd02fff,0x7cc09fff,0x0000ffff,0x4fffffc8,0x74000000,0xff12ffff,
    0x3e601dff,0x0007ffff,0x02ffffcc,0x7ffffffc,0xffffffff,0x3ffea02f,
    0x3e60005f,0x3e604fff,0x7fdc5fff,0x3fe206ff,0x7ffd45ff,0xffffffff,
    0x806fffff,0xfffffffc,0x0fffffff,0x407fffe8,0x001ffffc,0x07ffffcc,
    0x7ffffc00,0xfffffb02,0xfff8800b,0x4c0aefff,0xfff881eb,0x4c0aefff,
    0xfffd81eb,0x009801ef,0xdffffff1,0x01eb9815,0x03fffe80,0x05fffc80,
    0x0dffff90,0xbffffff3,0x3dffffb0,0xffb81300,0x3f621fff,0x404fffff,
    0x01effffd,0xfff10098,0x9815dfff,0x00b201eb,0x83ffffea,0x80dffffe,
    0x2fffffe9,0x3ffe6000,0xffff805f,0xffffffff,0x7d401eff,0x20005fff,
    0x105ffff9,0xc8bffffd,0x2602ffff,0x7e45ffff,0xffffffff,0xffffffff,
    0xffffb800,0xffffffff,0x7fffe80f,0x0ffffe40,0x7ffffc00,0xfffb8003,
    0x3ff661ff,0x8005ffff,0xfffffffa,0x1fffffff,0xffffff50,0xffffffff,
    0xfffff103,0xd99779df,0x7fd405ff,0xffffffff,0x8001ffff,0x089effff,
    0x3ffffb00,0x7ffdc011,0xffebcfff,0x885fffff,0xceffffff,0x2ffeccbb,
    0x7fffffc4,0xffffffee,0x7fc404ff,0xbbceffff,0x202ffecc,0xfffffffa,
    0x1fffffff,0x2f37ffa0,0xffffdbaa,0x7fffdc6f,0xffecccff,0x01ffffff,
    0xbffff300,0xffffb700,0x5bffffff,0x3fffea00,0x3fe20005,0xfffd07ff,
    0xfffd8bff,0xfffd103f,0xfffff8bf,0xffffffff,0x003fffff,0xfffffd71,
    0x3a017dff,0x7e407fff,0xe8001fff,0xbcffffff,0xff104ecc,0xffddffff,
    0x0bffffff,0x3ffff600,0xffffffff,0x3fff601f,0xffffffff,0xfff701ff,
    0xffffffff,0xfd805fff,0xffffffff,0x8001ffff,0x3ffffffe,0xfffff900,
    0xfffe80bf,0xffffffff,0xf705fffd,0xffffffff,0x905fffff,0xffffffff,
    0x9fffbbff,0xfffff700,0xffffffff,0xfffd805f,0xffffffff,0x3ffa01ff,
    0xffffffff,0xfd81ffff,0xffffffff,0xffffffff,0xff98000f,0x4cc005ff,
    0x00ffffca,0x2ffffd40,0x3fffe000,0x3fff6a3f,0x7fe45fff,0xfff986ff,
    0x3fe65fff,0xeeeeeeff,0xffffeeee,0x7ffc4005,0xffd001bf,0xfffc80ff,
    0xffa8001f,0xffffffff,0x3fff204f,0xefffffff,0x0005fffc,0x3fffffea,
    0x01ffffff,0x7fffffd4,0x01ffffff,0x3fffffea,0x2fffffff,0xfffffa80,
    0x1fffffff,0xffffa800,0xff1003ff,0xa80bffff,0xffffffff,0x5fffb9ef,
    0x3ffffea0,0xffffffff,0xfffff902,0xff91bfff,0x3fea009f,0xffffffff,
    0xfa802fff,0xffffffff,0x3fa01fff,0xffffffff,0xb101ffff,0xffffffff,
    0xfffd7fff,0xff3000df,0x5c000bff,0xa8006fff,0x999dffff,0x09999999,
    0xffffffd8,0xfffffffe,0x7fffdc5f,0xfffebcff,0x3ee5ffff,0xf9801fff,
    0x2000ffff,0x4007fffa,0x6407fffe,0x0001ffff,0xfffffff9,0xfc809fff,
    0xefffffff,0x005fffb8,0xffffec80,0x2003dfff,0xffffffec,0xec8803df,
    0xffffffff,0x3b2001de,0xdfffffff,0x3f6a0003,0x26002fff,0x804ffffd,
    0xffffffe8,0x017ffee4,0xfffffd91,0x403bdfff,0x3fffffeb,0x8013fff2,
    0xfffffec8,0x001defff,0x3fffffb2,0x76403dff,0xffffffff,0xe9800bef,
    0xcfffffff,0xbfffff10,0x7fffffc0,0xffffffff,0xffd803ff,0xffa8002f,
    0xffffffff,0x983fffff,0xffffffff,0x5fffceff,0xffffffe8,0xffdfffff,
    0x1ffffa5f,0x2fffff80,0x13ffee00,0x0ffffd00,0x01ffffc8,0x3fffa600,
    0x803fffff,0x4fffffeb,0x0017ffee,0x03353100,0x33531000,0xaaa98000,
    0x3100001a,0x00000335,0x00100001,0x006aa620,0x2aaa6000,0xaa88001a,
    0x4c000001,0x0001aaaa,0x00335310,0x55555310,0x54c00013,0xf000009a,
    0xffffffff,0x7fffffff,0x01fffd00,0xfffff500,0xffffffff,0x3ff207ff,
    0x8effffff,0xfa85fffb,0xffffffff,0x15fffb9e,0x400bffff,0x004ffffd,
    0x0007fff6,0xc80ffffd,0x0001ffff,0x0aaaa988,0x01aa8800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffc00,0xffffffff,0x7c403fff,0xf50005ff,
    0xffffffff,0x07ffffff,0x7fffffd4,0x417ffee4,0xffffffe8,0x557ffee4,
    0x2002ffff,0x007ffffa,0x2001bffe,0x6407fffe,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffe00,0xffffffff,0x7d403fff,
    0xf50002ff,0xffffffff,0x07ffffff,0x00035530,0x00355310,0x007fffec,
    0x3fffff10,0x07fff100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x17710000,
    0x4000b2a0,0x00009998,0x33333300,0x99999881,0x70000000,0x55301999,
    0xaa800555,0x5dc402aa,0x00059500,0x02037971,0x13331000,0x99800000,
    0x98809999,0x00009999,0x99998000,0x4cc40099,0x00200999,0xddd30000,
    0x4cc4003d,0x30000009,0x40133333,0x59500bb8,0x4ccc4000,0x26000000,
    0x44099999,0x00099999,0x88555510,0x000acdcb,0xeee88000,0x10f7222e,
    0x22033333,0x7ec1ffff,0x7cc004ff,0x0000efff,0x7ffffec0,0xffffe984,
    0x4000001f,0xf306fff8,0x2003ffff,0x206ffffa,0x6c1ffff8,0x32004fff,
    0x21dfffff,0xf30002e8,0x0001dfff,0x3ffff600,0xfffd304f,0x000003ff,
    0x7ffffec0,0xfffe8804,0xdd9732ff,0xfc800000,0x3e6007ff,0x0000efff,
    0x7ffffec0,0x3fffe204,0x027ffec1,0x77fffcc0,0xfd800000,0xe984ffff,
    0x001fffff,0x90ffffa8,0x3fffffff,0x26666200,0x20999999,0xf30ffffa,
    0x7fd4bfff,0xfff707ff,0x7fffc4bf,0xfff3000f,0x0000bfff,0x17ffffec,
    0xfffffb10,0x5c000003,0x3fa03fff,0xfb004fff,0x7dc05fff,0x3fe25fff,
    0xfb800fff,0xdfffffff,0x4002fffc,0x5ffffff9,0xffd80000,0x6c402fff,
    0x001fffff,0xfffd8000,0x3e2002ff,0xffffffff,0x000006ff,0x8027ffec,
    0x5ffffff9,0x3ff60000,0x7dc02fff,0x3fe25fff,0x26000fff,0x05ffffff,
    0x7ffec000,0x3f6202ff,0x4001ffff,0xfe8ffffa,0xffffffff,0xffffa801,
    0x22ffffff,0x3f26fffc,0xff51ffff,0x3ff20dff,0x3ffe65ff,0xff9800ff,
    0x05fffdff,0xffffd800,0xfff7000e,0x000003ff,0xa803fff6,0x8807ffff,
    0x6407ffff,0x3e65ffff,0x4400ffff,0xffffffff,0x02ffffff,0x37fffe60,
    0x00005fff,0x03bffff6,0xfffffb80,0x36000001,0x000effff,0xffffd751,
    0x0dffffff,0x03333300,0x400ffffc,0xffdffff9,0xfd80005f,0xc800efff,
    0x3e65ffff,0x3000ffff,0xfffbffff,0x3f60000b,0x7000efff,0x003fffff,
    0x7f7fffd4,0xffffffff,0xfffa805f,0x2fffffff,0xfd8ffffa,0xff32ffff,
    0x3fe60dff,0x7fff42ff,0xffff8805,0x00bfffb1,0x27fffec0,0x7fff4c00,
    0x54c0001f,0x06fffeec,0x01fffff8,0x027fffdc,0xd0bfffe6,0x2600bfff,
    0xfffd30ef,0x44007fff,0xffb1ffff,0xfb0000bf,0x20009fff,0x01ffffe9,
    0xfffd8000,0x7ff4004f,0xffffffff,0xf8003eff,0xff307fff,0xfff100df,
    0x17fff63f,0xffffd800,0x3ffe6004,0x2ffff42f,0x1ffff880,0x000bfffb,
    0x04ffffd8,0xffffe980,0xffff5001,0xf959ffff,0xa803ffff,0xffffffff,
    0x3fffe2ff,0x3ffffee0,0x0bffff30,0x64416ecc,0x7f4400ce,0x7ffec1ff,
    0xfffd8004,0x3620002f,0x8001ffff,0xfffffffb,0xffc805ff,0x7ff405ff,
    0xdd9801ff,0x00cec882,0x3f6a0260,0x3a2002cf,0x7fec1fff,0x3f60004f,
    0x40002fff,0x01ffffd8,0x3fff6000,0xffe8002f,0xffffffff,0x7ffc0004,
    0x7fff707f,0x1fffe880,0x0027ffec,0x017fffec,0x4416ecc0,0xe8800cec,
    0x7fec1fff,0xffb0004f,0x440005ff,0x801ffffd,0xeffffffa,0x1ffffec0,
    0x33333260,0xf32ffffe,0xffe88bff,0x3fffe22f,0x00000005,0x00000000,
    0x10000000,0xfffffffd,0x401dffff,0x00fffff9,0x00dffff3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6ffff400,0x0fffffdb,0x3fffe000,
    0x03fffb07,0x00000000,0x00000000,0x00000000,0x00000000,0x77ffffd4,
    0x4ffff980,0xffff9000,0x40bffee5,0x7ffc40a9,0x0000004f,0x00000000,
    0x80000000,0xfffffff8,0x6fffffff,0x17ffff40,0x03ffffc8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x102ae000,0x00dfffff,0x03ffffc0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffd400,0xffff301f,
    0x3ff20009,0x200002ff,0x5444ffff,0x55401aaa,0x555441aa,0x5555401a,
    0x0d555441,0x206aaaa0,0x401aaaa8,0x7ec1aaaa,0xfcacffff,0x04ffffff,
    0x417fffee,0x000fffff,0x9bcdca98,0x654c0000,0x00009bcd,0x4de6e54c,
    0x654c0000,0x00009bcd,0x4de6e54c,0x372e6000,0x6e5c42bc,0xca98001b,
    0x03fffffe,0x0fffff00,0x32ea0000,0x01accded,0x6f6e5d40,0x88001acc,
    0x009bcdca,0x3372a200,0x2200009b,0x009bcdca,0x3372a200,0x3fea009b,
    0x332204ff,0xf90003cc,0x44005fff,0x7ffc0999,0x7fffcc3f,0x3fffe204,
    0x27fffcc5,0x8bffff10,0x204ffff9,0x985ffff8,0x2204ffff,0x3e65ffff,
    0x3fa1ffff,0x0fffffff,0x1fffff10,0x05ffff98,0x7ffffdc0,0x8003ffff,
    0xfffffffb,0xfb8003ff,0xffffffff,0xfffb8003,0x03ffffff,0xfffffb80,
    0x4c03ffff,0xfffffffe,0xfffffa8d,0xfff5003f,0xffffffff,0xffff0001,
    0x5c40000f,0xffffffff,0xfb8807ff,0xffffffff,0x3fa2007f,0x2fffffff,
    0x7fff4400,0x002fffff,0x7fffff44,0x44002fff,0xfffffffe,0xffff502f,
    0x20000009,0x002ffffc,0xfd0bfffa,0xfff987ff,0x3ffe204f,0x7fffcc5f,
    0x3fffe204,0x27fffcc5,0x0bffff10,0x409ffff3,0x3a5ffff8,0x3e61ffff,
    0xffffcdff,0x3ffff203,0x0ffffe43,0xffffd880,0xefffffff,0xfffd8800,
    0xffffffff,0xffd8800e,0xffffffff,0xfd8800ef,0xffffffff,0xd8800eff,
    0xffffffff,0xf500efff,0xffffffff,0xffffffff,0x7fec407f,0xffffffff,
    0xff8003ff,0x100007ff,0xffffffff,0x880fffff,0xffffffff,0x5007ffff,
    0xffffffff,0x5001bfff,0xffffffff,0x5001bfff,0xffffffff,0x5001bfff,
    0xffffffff,0xfa81bfff,0x00004fff,0x5ffff900,0x17fff400,0xf307332e,
    0x7c409fff,0x7fcc5fff,0x3fe204ff,0x7ffcc5ff,0x3ffe204f,0xffff985f,
    0x3fffe204,0x71bfffe5,0xfff35fff,0x7ffcc0bf,0x37fffc6f,0xfffff880,
    0xffffffff,0x7ffc406f,0xffffffff,0x7c406fff,0xffffffff,0x406fffff,
    0xfffffff8,0x6fffffff,0x7ffffc40,0xffffffff,0xdfff506f,0xfffffffd,
    0x0fffffdf,0x7ffffff4,0xffffffff,0x7fffc000,0xfe880007,0xfeefffff,
    0x3a207fff,0xeeffffff,0xb807ffff,0xffffffff,0x404fffff,0xfffffffb,
    0x04ffffff,0x7fffffdc,0x4fffffff,0x7ffffdc0,0xffffffff,0x27fffd44,
    0xfc800000,0x3a002fff,0x4c003fff,0x2204ffff,0x7cc5ffff,0x3e204fff,
    0x7fcc5fff,0x3fe204ff,0xfff985ff,0x3ffe204f,0x7ffff15f,0x3fe7ffe8,
    0x7ff406ff,0xffff51ff,0x3fff2007,0xffdbceff,0x3203ffff,0xbcefffff,
    0x3ffffffd,0x3fffff20,0xffffdbce,0x3ff203ff,0xfdbcefff,0x203fffff,
    0xcefffffc,0xffffffdb,0x640bea83,0xd32fffff,0xff705fff,0x5335bfff,
    0x007fffff,0x007ffff8,0xfffffb80,0x205b980a,0x0afffffb,0x7c405b98,
    0x7dc2ffff,0xf101ffff,0xfb85ffff,0xf101ffff,0xfb85ffff,0xf101ffff,
    0xfb85ffff,0x3ea1ffff,0x00004fff,0x5ffff900,0x1ffffc00,0x3fffe600,
    0x3fffe204,0x27fffcc5,0x8bffff10,0x204ffff9,0x985ffff8,0x2204ffff,
    0xff55ffff,0x7ffcc5ff,0x01ffffa5,0x369ffff7,0x9800ffff,0x883fffff,
    0x80fffffd,0x83fffff9,0x0fffffd8,0x3fffff98,0xfffffd88,0xfffff980,
    0xffffd883,0xffff980f,0xfffd883f,0x3e0040ff,0x7fd46fff,0x7fffc44f,
    0xffffb04f,0xffff800b,0xffd80007,0x6c0004ff,0x0004ffff,0x01ffffc8,
    0x20dffff5,0x501ffffc,0x320dffff,0xf501ffff,0x3f20dfff,0xff501fff,
    0x7ffd4dff,0x0000004f,0x005ffff9,0x001ffffc,0x813fffe6,0x4c5ffff8,
    0x2204ffff,0x7cc5ffff,0x3e204fff,0xff985fff,0x3fe204ff,0xffff75ff,
    0xb17ffe43,0x4401ffff,0xff8effff,0xffb005ff,0xfff809ff,0xfffd83ff,
    0x7fffc04f,0xffffd83f,0x7ffffc04,0x4ffffd83,0x1fffffc0,0x027fffec,
    0x00fffffe,0xf09fffb0,0xfffc8dff,0x3ffea05f,0x7ffc007f,0xfe80007f,
    0x40004fff,0x004ffffe,0x27fffc40,0x21ffffa0,0x404ffff8,0xf887fffe,
    0x7f404fff,0xfff887ff,0x7fff404f,0x13fffea7,0x7e400000,0x3e002fff,
    0x4c004fff,0x2204ffff,0x7cc5ffff,0x3e204fff,0x7fcc5fff,0x3fe204ff,
    0xfff985ff,0x3ffe204f,0x5ffff75f,0x3f63fff4,0xffc807ff,0x2ffffdff,
    0x1fffff00,0x4ffffb80,0x00fffff8,0x427fffdc,0x400fffff,0xf84ffffb,
    0x5c00ffff,0xff84ffff,0x7dc00fff,0x6c004fff,0xfff82fff,0x17ffff46,
    0x07ffffe0,0x07ffff80,0xffffd800,0xfb0000bf,0x0017ffff,0x0bfffea0,
    0x83ffff90,0x402ffffa,0x541ffffc,0x6402ffff,0x7d41ffff,0x7e402fff,
    0xfff51fff,0x0000009f,0x00bffff2,0x004ffff8,0x027fffcc,0x98bffff1,
    0x2204ffff,0x7cc5ffff,0x3e204fff,0xff985fff,0x3fe204ff,0xffff55ff,
    0xd13ffe67,0xf300dfff,0xffffffff,0x3fffe200,0xffff9805,0x2ffffc45,
    0x2ffffcc0,0x017fffe2,0x117fffe6,0x300bffff,0xf88bffff,0xf9805fff,
    0x31005fff,0x3335fffb,0xff8fffd3,0xffe807ff,0x3fe002ff,0xb80007ff,
    0xdfffffff,0x7ffdc002,0x002dffff,0x55ffffdc,0xfdaaaaaa,0x7fdc2fff,
    0xaaaaabff,0x2ffffdaa,0x55ffffdc,0xfdaaaaaa,0x7fdc2fff,0xaaaaabff,
    0x2ffffdaa,0x009ffff5,0x3ff20000,0xff1002ff,0xf98009ff,0x3e204fff,
    0x7fcc5fff,0x3fe204ff,0x7ffcc5ff,0x3ffe204f,0xffff985f,0x3fffe204,
    0x27ffff55,0x3e22fffc,0xfd005fff,0x09ffffff,0x13fffea0,0x1ffffe20,
    0x009ffff5,0xa8fffff1,0x8804ffff,0x7d47ffff,0xf8804fff,0x7fd47fff,
    0xff8804ff,0xfdb307ff,0xffffffff,0x4fffffff,0x806ffff8,0x003ffffd,
    0x001ffffe,0x7fffff40,0x001cffff,0xfffffffd,0xfb0039ff,0xffffffff,
    0xffffffff,0xfffffd87,0xffffffff,0x7ec3ffff,0xffffffff,0xffffffff,
    0x7ffffec3,0xffffffff,0xff53ffff,0x000009ff,0x0bffff20,0x27fffc40,
    0x3fffe600,0x3fffe204,0x27fffcc5,0x8bffff10,0x204ffff9,0x985ffff8,
    0x2204ffff,0xff15ffff,0x1fffedff,0x009ffff7,0x3fffffee,0xfff7000f,
    0x3ffe009f,0x7fffdc7f,0xfffff004,0x04ffffb8,0xb8fffff0,0xf004ffff,
    0xffb8ffff,0xfff004ff,0xffff90ff,0xffffffff,0x4fffffff,0x805ffffa,
    0x003ffffc,0x001ffffe,0x7fffec40,0x1effffff,0x7fffec40,0x1effffff,
    0x3fffffa0,0xffffffff,0x7f43ffff,0xffffffff,0xffffffff,0x7fffff43,
    0xffffffff,0x7f43ffff,0xffffffff,0xffffffff,0x09ffff53,0x3f200000,
    0xf1002fff,0x9800bfff,0x2204ffff,0x7cc5ffff,0x3e204fff,0x7fcc5fff,
    0x3fe204ff,0xfff985ff,0x3ffe204f,0x3ffffa5f,0x3a24fffc,0x1000ffff,
    0x09ffffff,0x27fffdc0,0x47ffff80,0x004ffffb,0xfb8fffff,0xff004fff,
    0xfffb8fff,0xffff004f,0x4ffffb8f,0x8fffff00,0xeefffffb,0xeeeeffff,
    0x3ee6eeee,0xfc805fff,0x3e003fff,0x00007fff,0x7fffff5c,0x802fffff,
    0xffffffeb,0xfd02ffff,0xffffffff,0xffffffff,0xfffffe85,0xffffffff,
    0x7f42ffff,0xffffffff,0xffffffff,0x7fffff42,0xffffffff,0xff52ffff,
    0x000009ff,0x0bffff20,0x2ffffc40,0x3fffe600,0x3fffe204,0x27fffcc5,
    0x8bffff10,0x204ffff9,0x985ffff8,0x2204ffff,0x3ee5ffff,0x1fffffff,
    0x09ffffd1,0xfffffd80,0x3ffea001,0xfff8805f,0x7fffd46f,0xffff8805,
    0x2ffffd46,0x37fffc40,0x017fffea,0x51bfffe2,0x100bffff,0x7c4dffff,
    0x3f60cfff,0x3ea000ff,0xfd805fff,0x3e003fff,0x00007fff,0xffffd710,
    0x2001dfff,0xfffffeb8,0xffd80eff,0xd80000ff,0x0000ffff,0x00ffffd8,
    0xffffd800,0x3fea0000,0x000004ff,0x05ffff90,0x17fffe60,0x9ffff300,
    0x2ffffcc0,0x813fffe6,0x4c5ffff9,0x2604ffff,0xf985ffff,0x3e604fff,
    0x7ff45fff,0xfdcfffff,0x000fffff,0x02ffffec,0x1bfffe60,0x13fffea0,
    0x00dffff3,0x989ffff5,0xa806ffff,0x7cc4ffff,0xfa806fff,0x7fcc4fff,
    0xffa806ff,0x3ffea4ff,0x01fffd86,0x1bfffe60,0x0bffffa0,0x07ffff80,
    0xfc880000,0x002fffff,0xfffffc88,0xffffc82f,0xffc80001,0xc80001ff,
    0x0001ffff,0x01ffffc8,0x00000000,0x5ffff900,0x3fffe600,0x7ffcc006,
    0xfffd105f,0xffff98bf,0xffffd105,0x5ffff98b,0xbffffd10,0x0bffff30,
    0x17ffffa2,0xfffffff3,0x5fffffff,0xffff9800,0xfff8001f,0x7fec01ff,
    0xffff83ff,0x7ffec01f,0xfffff83f,0x7fffec01,0x1fffff83,0x1ffffec0,
    0x00fffffc,0xb8fffff6,0xffd84fff,0x3fe2002f,0x3e600fff,0x2000ffff,
    0x0007ffff,0x3ffe6000,0x260003ff,0xb83fffff,0x0003ffff,0x03ffffb8,
    0xffffb800,0xffb80003,0x000003ff,0xf9000000,0x26005fff,0x4006ffff,
    0xd07ffff8,0x88bfffff,0xfd07ffff,0xf88bffff,0xffd07fff,0xff10bfff,
    0x3ffa0fff,0xfe985fff,0xffffffff,0x744001ef,0x0005ffff,0x40bffffd,
    0x80fffff9,0x205ffffe,0x80fffff9,0x205ffffe,0x80fffff9,0x205ffffe,
    0x80fffff9,0x205ffffe,0x20fffff9,0x7444fffc,0x7c005fff,0x3604ffff,
    0x4006ffff,0x0007ffff,0x7fff4000,0x7f40002f,0xff982fff,0x40000fff,
    0x00fffff9,0x7fffcc00,0x7cc0000f,0x0000ffff,0x01666640,0x7ffe4000,
    0xfff5002f,0xfff000df,0x7fed47ff,0xff85ffff,0x3f6a3fff,0xf85fffff,
    0x36a3ffff,0x05ffffff,0x547fffff,0x5ffffffd,0xffffff10,0x30007dff,
    0x01dffffd,0x3fffea00,0x7ffd40df,0xfff504ff,0xffa81bff,0xff504fff,
    0xfa81bfff,0xf504ffff,0xa81bffff,0x504fffff,0x81bfffff,0x44fffffa,
    0x7ec6fffb,0x2002ffff,0x84fffffb,0x02fffffd,0x03ffffc0,0x54016400,
    0xc80fffff,0xffffa802,0xffffb00f,0x2013003d,0x01effffd,0xfffb0098,
    0x013003df,0x07bffff6,0xff100260,0x000003ff,0x005ffff9,0x01bfffea,
    0x3fffff60,0xffffffef,0xfffd85ff,0xffffefff,0xfd85ffff,0xffefffff,
    0x05ffffff,0xdffffffb,0xffffffff,0x37ffea0b,0x76c001aa,0xffffffed,
    0x7fec0001,0xffefffff,0x200fffff,0xfffffffd,0xfffffffe,0x3ffff600,
    0xffffefff,0x3f600fff,0xfeffffff,0x00ffffff,0x3ffffff6,0xffffffef,
    0x7fffd40f,0xfffffd9c,0xfca99bff,0xfffffe81,0xfffffeef,0xfff8006f,
    0x999999ff,0xfd019999,0xb75579bf,0x20dfffff,0xaabcdffe,0x6fffffdb,
    0x3ffffe20,0xeccbbcef,0xfff102ff,0x9779dfff,0x2205ffd9,0xceffffff,
    0x2ffeccbb,0xffffff10,0xfd99779d,0xfffa805f,0xf9000007,0x2a005fff,
    0x8007ffff,0xfffffff9,0xfffcefff,0xfffff985,0xfcefffff,0xfff985ff,
    0xefffffff,0xf305fffc,0xffffffff,0x0bfff9df,0x0007fff6,0xffffffe8,
    0x980003ff,0xffffffff,0x02ffffff,0x7fffffcc,0xffffffff,0x7fffcc02,
    0xffffffff,0x7fcc02ff,0xffffffff,0x4c02ffff,0xffffffff,0x82ffffff,
    0xfffffff8,0xfffffcff,0xa81fffff,0xffffffff,0x01ffffff,0xffffff80,
    0xffffffff,0xffffd07f,0xffffffff,0x3ffa03ff,0xffffffff,0x5c01ffff,
    0xffffffff,0x02ffffff,0x3fffffee,0xffffffff,0x3fffee02,0xffffffff,
    0x3fee02ff,0xffffffff,0x5c02ffff,0x20004fff,0xfeeeeee8,0xeeeeffff,
    0x7ffd40ee,0xff90007f,0x1dffffff,0x320bfff7,0xffffffff,0x05fffb8e,
    0xfffffff9,0xbfff71df,0x7ffffe40,0xffb8efff,0x6fff885f,0x7fff4000,
    0x0001efff,0x3ffffa20,0x0effffff,0xffffd100,0x1dffffff,0x3fffa200,
    0xefffffff,0xfffd1000,0xdfffffff,0x3ffa2001,0xffffffff,0x3ffee00e,
    0xff73ffff,0x3fffffff,0x3ffffea0,0x1effffff,0xfffff000,0xffffffff,
    0x3ffa0fff,0xffffffff,0x3fa01fff,0xffffffff,0x5001ffff,0xffffffff,
    0x805fffff,0xfffffffa,0x02ffffff,0x7fffffd4,0x2fffffff,0x7ffffd40,
    0xffffffff,0x17ffec02,0xffff1000,0xffffffff,0xb83fffff,0x0007ffff,
    0x3fffffea,0x817ffee4,0x4ffffffa,0xa817ffee,0x24ffffff,0x5405fffb,
    0x24ffffff,0xfa85fffb,0x740003ff,0x003effff,0x3ffae000,0x003effff,
    0xfffffd70,0x2e0007df,0xeffffffe,0xffd70003,0x007dffff,0x3ffffae0,
    0xf7003eff,0xfa87ffff,0x0dffffff,0x3ffff220,0x0002efff,0x7ffffffc,
    0xffffffff,0xffffd907,0x17dfffff,0xffffec80,0x0befffff,0x7ff64400,
    0xdeffffff,0xffec8801,0xdeffffff,0xffec8801,0xdeffffff,0xffec8801,
    0xdeffffff,0x03fff401,0x3fffe200,0xffffffff,0x5c1fffff,0x0007ffff,
    0x0001aa98,0x00035530,0x0006aa60,0x001aa980,0x00155530,0x001aa980,
    0xaa980000,0x54c00001,0x4c00001a,0x400001aa,0x00001aa9,0x8000d54c,
    0x54c01a98,0x988001aa,0x000009aa,0xffffffff,0xffffffff,0xaaaa9880,
    0x9880009a,0x009aaaaa,0x2aaa6000,0xa980001a,0x80001aaa,0x001aaaa9,
    0x1aaaa980,0x004ccc00,0x3fffe200,0xffffffff,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01771000,0xb8800b2a,0x000101bc,
    0x00026662,0x4ccccc00,0x4cccc409,0x26000009,0x801accba,0x401aaaa8,
    0x8801aaaa,0x00101bcb,0x26200000,0x01998819,0x26666000,0x26666000,
    0x26666209,0x85555109,0x00acecb8,0x13333300,0x04ccccc4,0x31033310,
    0x65d40033,0x3331001b,0x10aaaa21,0x20159d97,0x00009999,0x9b975100,
    0x55555557,0x4ccccc41,0x00099999,0x00999880,0x302ca800,0x10000179,
    0x35799955,0x00e6dc00,0xd83ffff1,0xfc804fff,0x221dffff,0x7fcc002e,
    0x00000eff,0x27ffffec,0x7fffff4c,0x7f540001,0x2effffff,0x13fffe60,
    0x05ffff88,0x6fffffe4,0x9800ba21,0x50002ffe,0xffe83fff,0xff100006,
    0x3f200bff,0x3fe25fff,0x3fe64fff,0x3ffff27f,0x64002fff,0x3e25ffff,
    0x5404ffff,0x7ff41fff,0xfffe9806,0xffe804ff,0x4ffff30f,0xfffffffc,
    0x27fffcc2,0x3f220000,0xffffffff,0x2a1fffff,0xffffffff,0x4c0002ff,
    0x000effff,0x313fff20,0x0001dfff,0x3fffff22,0xfb007fff,0x3ee03fff,
    0x3fe25fff,0x3ee00fff,0xdfffffff,0x3002fffc,0x0bffffff,0x7ffec000,
    0x3f6202ff,0x0001ffff,0xfffffffb,0x260bffff,0x2204ffff,0x2e05ffff,
    0xffffffff,0x802fffcd,0x01fffff8,0x9efff880,0x005fffc9,0xbffff100,
    0xbffff500,0x1fffff44,0x363fffe6,0xffffffff,0xfff5002f,0x7fff44bf,
    0xfff8803f,0x5fffc99e,0x7ffffc40,0x3f203fff,0x3ffe62ff,0xfffffd8f,
    0x3e62ffff,0x00004fff,0x3fffffe2,0xffffffff,0x3ffea1ff,0x2fffffff,
    0x3ffe6000,0x10005fff,0x6c1fffff,0x8003ffff,0xfffffff9,0xfa807fff,
    0xf906ffff,0x7fccbfff,0xff100fff,0xffffffff,0x3005ffff,0xfffbffff,
    0xffb0000b,0x2e001dff,0x001fffff,0x7fffffdc,0x4fffffff,0x04ffff98,
    0x417fffe2,0xfffffff8,0x2fffffff,0xfffffb80,0xfffb0004,0x03ffffff,
    0x3ffe2000,0x7ffc405f,0x3fffa25f,0xffff982f,0xfffffffd,0xf8806fff,
    0x3fa25fff,0x36002fff,0xffffffff,0x7ffe401f,0x80ffffcd,0x7cc5fff9,
    0xffffdfff,0x26ffffff,0x004ffff9,0x3ffffa00,0xfffffedf,0x3ea1ffff,
    0xffffffff,0xff30002f,0x0bfffbff,0xfffff100,0x1fffff41,0x3fffa200,
    0x7fffffff,0xfffffb80,0x5ffff307,0x405fffe8,0xffd30ef9,0x1007ffff,
    0x3f63ffff,0x360005ff,0x8004ffff,0x01ffffe9,0xbfffff30,0xffffb315,
    0x9ffff30f,0x2ffffc40,0x3a61df30,0x03ffffff,0x9fffff90,0x3ffa2000,
    0x003fffff,0x3fffe200,0x2ffff405,0x407bfff6,0xfffffff9,0xffffebef,
    0x7fff402f,0x0f7ffec5,0x3fffa200,0xf803ffff,0x3ffea4ff,0x40fffe82,
    0xfffffff9,0xffffebef,0x9ffff32f,0x3ff20000,0x7fecc4ff,0x64c19aff,
    0xfffecccc,0xff88002f,0xbfffb1ff,0xbfffd000,0x00ffffb8,0x7ffffe40,
    0x05ba99ac,0x5fffff98,0x220b7660,0x09800cec,0x02cffda8,0x41fffe88,
    0x8004fffd,0x002ffffd,0x3ffff620,0xffffc801,0x3ffffb02,0x04ffff98,
    0x017fffe2,0x9ffb5013,0x7ffcc005,0x640002ff,0x001effff,0x7fffc400,
    0x17fff605,0x401bfffb,0xeffffff9,0x1ffffec1,0xd8bfffb0,0x0000dfff,
    0x07bffff2,0x88bffe20,0x7fdc3fff,0xffff982f,0x7fec1eff,0xffff33ff,
    0x3f600009,0xfff106ff,0xffc800bf,0x744002ff,0x7fec1fff,0x7644004f,
    0x01deb80c,0x2fffff80,0xfffc8000,0x0000000f,0x00000000,0x00000000,
    0xffe80000,0x3ffee07f,0x7fffcc2f,0x3fffe204,0x00000005,0x0013ffee,
    0x00001880,0x17fffe20,0xf9800000,0xa80fffff,0x0005ffff,0x18800000,
    0x0fffcc00,0xff98fffe,0xffff305f,0xfff501ff,0x3fffe6bf,0xfff00004,
    0x7ffec07f,0x7ffe4007,0x0000002f,0x00000000,0x05ffff88,0x02f2a000,
    0x00000000,0x00000000,0x00000000,0x2ffffc00,0x83ffffb0,0x204ffff9,
    0x005ffff8,0x4c400000,0x00000000,0x7ffc4000,0x0000005f,0x07ffffe6,
    0x02ffffc4,0x00000000,0x3fff9800,0xfe8bffe6,0xfff300ff,0x3fe203ff,
    0xffff35ff,0xff100009,0x7fdc05ff,0x7fe4007f,0x000182ff,0x00000000,
    0x7fffd400,0x00000004,0x337732a6,0x54c000ab,0x0abcddcc,0x6e654c00,
    0x4000abcd,0xbcddcca9,0xca98000a,0x00abcddc,0x20bffff1,0x986ffff9,
    0x2204ffff,0xa885ffff,0x55401aaa,0x000001aa,0x00d55544,0x2006aaaa,
    0xfbcccb98,0x55445fff,0x555401aa,0xffff301a,0x7fffc40b,0x9b953005,
    0x20000137,0x09bcdca9,0x72fffc40,0x3fee3fff,0x3ffe603f,0x3ffe205f,
    0x9ffff35f,0x00acdb98,0x205ffff8,0x4006fffd,0x2a2ffffc,0x0aaaaa4e,
    0x05555400,0x55555544,0x0000aaaa,0x00ffffee,0x00999800,0xffffff91,
    0x019fffff,0x7ffffe44,0x0cffffff,0x3ffff220,0xcfffffff,0x3fff2200,
    0xffffffff,0x7fe4400c,0xffffffff,0x7ffcc0cf,0xffff984f,0xffff982f,
    0x3fffe204,0x4ffff985,0x97fffe20,0xaaaaaaa8,0xf3000aaa,0x7c409fff,
    0x3a605fff,0xffffffff,0x7fcc5fff,0x3fe204ff,0xfff305ff,0x7ffc409f,
    0x7ffdc05f,0x03ffffff,0x3fffee00,0x403fffff,0xffdefffd,0x0bfff36f,
    0x04ffff98,0x4d7fffe2,0xff74ffff,0x805fffff,0x980ffffd,0x4004ffff,
    0xeaaffffc,0x3fff64ff,0xfff88006,0xffffa81f,0x02ffffff,0x3fffee00,
    0xff500003,0x3ffe60df,0xffffffff,0xff300fff,0xffffffff,0x2601ffff,
    0xffffffff,0x00ffffff,0xfffffff3,0x1fffffff,0x7ffffcc0,0xffffffff,
    0x3fffe60f,0x7ffffcc4,0x9ffff303,0x2ffffc40,0x027fffcc,0x54bffff1,
    0xffffffff,0xff3002ff,0x7fc409ff,0xffc885ff,0xffffffff,0x7fcc5fff,
    0x3fe204ff,0xfff305ff,0x7ffc409f,0xfffb105f,0xffffffff,0x7ec4001d,
    0xffffffff,0xff300eff,0x23ffffff,0x4c00fffe,0x2204ffff,0xff35ffff,
    0xffff97ff,0x407fffff,0x9cfffffa,0x1fffffb9,0x7fffe400,0x324fffff,
    0x98007fff,0xfa80ffff,0xffffffff,0x3ee0002f,0x00003fff,0x260ffff5,
    0xffffffff,0x05ffffff,0xfffffff3,0xbfffffff,0x3ffffe60,0xffffffff,
    0xffff305f,0xffffffff,0x7fcc0bff,0xffffffff,0x3e65ffff,0x3fe24fff,
    0x3e603fff,0x3e204fff,0xff985fff,0x3fe204ff,0x3ffea5ff,0x2fffffff,
    0x9ffff300,0x2ffffc40,0x7ffffff4,0xffffffff,0x27fffcc5,0x0bffff10,
    0x813fffe6,0x885ffff8,0xffffffff,0x06ffffff,0xffffff10,0xffffffff,
    0x7fffd40d,0x7fff71ef,0x9ffff300,0xaffffc40,0xfffffff9,0xffffffff,
    0x3fff602f,0xffffffff,0xffc8003f,0x4fffffff,0x003fffee,0x20ffff50,
    0xfffffffa,0xa8802fff,0xfffdaaaa,0xaaaaaacf,0xfff7000a,0x26fbe60f,
    0x7fffe441,0x9bef981f,0x7fffe441,0x9bef981f,0x7fffe441,0x9bef981f,
    0x7fffe441,0x37df301f,0xffffc883,0x9ffff31f,0x027fffdc,0x813fffe6,
    0x985ffff8,0x2204ffff,0x3ea5ffff,0xffffffff,0xfff3002f,0x7ffc409f,
    0x7fffdc5f,0xfc999bdf,0x7fcc5fff,0x3fe204ff,0xfff305ff,0x7ffc409f,
    0xffffc85f,0xfffdbcef,0xfc803fff,0xdbceffff,0x03ffffff,0x4426eea2,
    0xf3006fff,0x7c409fff,0xfff35fff,0x97dfffff,0x20bfffff,0xffffffe8,
    0x004fffff,0xffffffb0,0xfff987ff,0x7fdc001f,0x5555106f,0x05ffffb5,
    0xffffff50,0xffffffff,0x1005ffff,0x220ffffb,0xffff9001,0x32003107,
    0x1883ffff,0x7ffff900,0x3f200310,0x03103fff,0x4fffff20,0x364ffff9,
    0x4c01ffff,0x2604ffff,0xf985ffff,0x3e204fff,0x2aa25fff,0xffffdaaa,
    0xffff3002,0x7fffc409,0x3ffffe25,0xbffff104,0x04ffff98,0x417fffe2,
    0x204ffff9,0x4c5ffff8,0x883fffff,0x00fffffd,0x0fffffe6,0x3fffff62,
    0xfffd8000,0xffff3001,0x7fffc409,0xffffff35,0xffffa83d,0xdfffd81f,
    0x0ceffffe,0xfffea800,0xf103ffff,0xc8005fff,0x64005fff,0xa802ffff,
    0xffffffff,0xffffffff,0x3fb202ff,0x000fffff,0x27fffcc0,0x3ffe6000,
    0x7cc0004f,0x40004fff,0x004ffff9,0x4ffff980,0x749ffff3,0x4c01ffff,
    0xd105ffff,0xf30bffff,0x7c409fff,0xfc805fff,0xf3002fff,0x7c409fff,
    0x3ff65fff,0x3fe205ff,0x7ffcc5ff,0x3ffe204f,0xffff305f,0x7fffc409,
    0x27fffec5,0x0fffffe0,0x04ffffd8,0x01fffffc,0x00fffee0,0x04ffff98,
    0x4d7fffe2,0x00ffffff,0x989ffffb,0x06627fff,0xfffea800,0xf804ffff,
    0x775c3fff,0x1fffe41e,0x3ffff200,0xffffa802,0xffffffff,0x82ffffff,
    0xffffffe9,0x440000ff,0x0005ffff,0x02ffffc4,0x3fffe200,0x7fc40005,
    0x880005ff,0xff35ffff,0x7ffe49ff,0x7ffc405f,0xffffd07f,0xffff30bf,
    0x7fffc409,0xffffc805,0xffff3002,0x7fffc409,0x0bffffa5,0x45ffff88,
    0x204ffff9,0x305ffff8,0x4409ffff,0x7fc5ffff,0x7dc00fff,0x3fe04fff,
    0x7dc00fff,0x22004fff,0x4c006fff,0x2204ffff,0xff35ffff,0x7d403fff,
    0x7fdc5fff,0x3a00006f,0xffffffff,0xfffe802f,0x227fff44,0x4002fffd,
    0x802ffffc,0xfdaaaaa8,0xaaaacfff,0x7fc40aaa,0xffffffff,0x2aa66001,
    0x05ffffba,0x2eaaa660,0x2005ffff,0xffbaaa99,0x266005ff,0xffffbaaa,
    0x554cc005,0x35ffffba,0x7dc9ffff,0x200effff,0x2a3fffff,0x5ffffffd,
    0x04ffff98,0x017fffe2,0x00bffff2,0x027fffcc,0x7cbffff1,0x7c407fff,
    0x7fcc5fff,0x3fe204ff,0xfff305ff,0x7ffc409f,0x3fffe25f,0xffff9805,
    0xbffff105,0xbffff300,0x0fffec00,0x3fffe600,0x3fffe204,0x0bffff35,
    0x46ffff98,0x00cffffb,0xfffff800,0x802fffff,0x3e66fffd,0x7ff47fff,
    0x7fe4001f,0x2e0002ff,0x4003ffff,0xbdfffffd,0x75400aaa,0xffffffff,
    0x75405fff,0xffffffff,0x75405fff,0xffffffff,0x75405fff,0xffffffff,
    0xea805fff,0xffffffff,0xfff35fff,0xffffe89f,0xfffb01ff,0xffffdfff,
    0xf30bffff,0x7c409fff,0xfc805fff,0xf3002fff,0x7c409fff,0xfff35fff,
    0xfff880df,0x7fffcc5f,0x3fffe204,0x9ffff305,0x2ffffc40,0x009ffff5,
    0x20fffff1,0x804ffffa,0x007ffff8,0x65c9fff5,0xff980bde,0x3fe204ff,
    0xffff35ff,0xffff8809,0x7ffffcc7,0xcdeeefff,0x7fffc00a,0x02ffffdb,
    0x327fffc8,0x3e2fffff,0x64000fff,0x0002ffff,0x00ffffee,0x3fffff98,
    0x7fffd400,0xffffffff,0xfff505ff,0xffffffff,0x3ea0bfff,0xffffffff,
    0x505fffff,0xffffffff,0x0bffffff,0x7fffffd4,0xffffffff,0x89ffff35,
    0xfffffff9,0xfffff982,0xfcefffff,0xfff985ff,0x3ffe204f,0xfffc805f,
    0xfff3002f,0x7ffc409f,0xbffff55f,0x5ffff880,0x027fffcc,0x20bffff1,
    0x204ffff9,0x2e5ffff8,0xf004ffff,0x3ee0ffff,0xff004fff,0xff100fff,
    0x3fffa2df,0x7fcc1fff,0x3fe204ff,0xffff35ff,0xfffff009,0xffffff90,
    0xffffffff,0xc8ffe019,0xb802ffff,0x3ffa7fff,0xfff14fff,0xfff9000f,
    0x7dc0005f,0x2e003fff,0x4006ffff,0xfffffffa,0xffffffff,0xfffffa85,
    0xffffffff,0xfffa85ff,0xffffffff,0xfa85ffff,0xffffffff,0x05ffffff,
    0xfffffff5,0xffffffff,0x13fffe6b,0x3fffffa2,0xffffc81f,0xfb8effff,
    0xfff985ff,0x3ffe204f,0xfffc805f,0xfff3002f,0x7ffc409f,0xbffff75f,
    0x5ffff880,0x027fffcc,0x20bffff1,0x204ffff9,0x2e5ffff8,0xf004ffff,
    0x3ee0ffff,0xff004fff,0xffb00fff,0x3ffffa3f,0x7fcc6fff,0x3fe204ff,
    0xffff35ff,0xffff8809,0xfffffd06,0xffffffff,0xf902e0df,0xf3005fff,
    0xfff31fff,0x3fe2ffff,0xffc8006f,0x2e0002ff,0x2003ffff,0x004ffffc,
    0x3bffffe2,0x7fffc41a,0x7ffffc45,0x7ffc41ae,0x7fffc45f,0x7fc41aef,
    0x7ffc45ff,0x7c41aeff,0xff885fff,0x441aefff,0xff35ffff,0x3f6209ff,
    0xf506ffff,0x5c9fffff,0xff985fff,0x3fe204ff,0xffc805ff,0xff3002ff,
    0x7fc409ff,0xffff55ff,0xffff880b,0x27fffcc5,0x0bffff10,0x813fffe6,
    0x2a5ffff8,0x8805ffff,0xf506ffff,0xf100bfff,0xfa80dfff,0xbfff74ff,
    0x4c7fffb3,0x2204ffff,0xff35ffff,0xff9809ff,0xfffd85ff,0xffeeeeef,
    0x004fffff,0x005ffff9,0xf93ffff1,0x55fffdff,0x9000bfff,0x0005ffff,
    0x01ffffdc,0x0bffffb0,0x37fffdc0,0x8bffff10,0x206ffffb,0x5c5ffff8,
    0x2206ffff,0x7dc5ffff,0x3e206fff,0xffb85fff,0x3fe206ff,0xffff35ff,
    0xffffd809,0x06aa600f,0x305fffd1,0x4c09ffff,0xc805ffff,0x3002ffff,
    0x4c09ffff,0xff35ffff,0xff880dff,0x7ffcc5ff,0x3ffe604f,0x0000005f,
    0x00dffff3,0x209ffff5,0x806ffff9,0x204ffffa,0x3f66fff8,0x027ffc6f,
    0x9ffff300,0x013fffe6,0xc89ffff5,0x2203ffff,0x006ffffd,0x005ffff9,
    0x3fabfffe,0xbdfffaef,0xc8004fff,0x0002ffff,0x00ffffee,0x0fffffb8,
    0x5ffff900,0x2ffffcc0,0x80bffff2,0x645ffff9,0x2602ffff,0x7e45ffff,
    0x3e602fff,0xffc85fff,0x3fe602ff,0xffff35ff,0xfffff009,0x3ffa0005,
    0xffff303f,0x3fffa20b,0xfffc805f,0xfff3002f,0x3ffa20bf,0xffff15ff,
    0x3ffa201f,0x7ffcc5ff,0xfffd105f,0x000000bf,0x00fffffc,0x80fffff6,
    0x401fffff,0x203ffffd,0x3fa1fffc,0x037ff45f,0x7ffff500,0x013fffe6,
    0x445ffffd,0xf005ffff,0x3200ffff,0xd002ffff,0x9fff9fff,0xff9ffff1,
    0xff90007f,0x5c0005ff,0x2003ffff,0x05fffff9,0x07ffffb0,0x17ffffa2,
    0x207ffffb,0x45ffffe8,0x103ffffd,0xd8bffffd,0xd103ffff,0xfb0bffff,
    0x3a207fff,0xff35ffff,0xffb009ff,0xf70005ff,0x7fc40bff,0xfffd07ff,
    0xff900bff,0x3e2005ff,0xffd07fff,0x7ffcbfff,0xfffb03ff,0xfff88bff,
    0xffffd07f,0x999000bf,0x3ffa0059,0x3fe605ff,0x3fa00fff,0x3e605fff,
    0xf500ffff,0x4fff89ff,0x00037fec,0x263ffffd,0x2a04ffff,0x2a0fffff,
    0xf004ffff,0x3200dfff,0xb002ffff,0x3fffffff,0x3ffffff6,0xffc8001f,
    0x2e0002ff,0x4003ffff,0x2efffffe,0x37fffe40,0x7fffffcc,0x37fffe45,
    0x7fffffcc,0x37fffe45,0x7fffffcc,0x37fffe45,0x7fffffcc,0x6ffffc85,
    0xffffff98,0x09ffff35,0x01ffffd0,0x07fffb00,0x23fffff8,0xffffffda,
    0xffffc805,0x3fffe002,0x3fff6a3f,0x3fee5fff,0x3f661fff,0xf85fffff,
    0x36a3ffff,0x05ffffff,0x0ffffc40,0xfffffa80,0x7fffd40d,0x7ffd404f,
    0x7fd40dff,0xfd104fff,0x6ffe81df,0x8002fff4,0x30fffffc,0x2a09ffff,
    0x543fffff,0x400fffff,0x004ffffb,0x005ffff9,0x3ffffff2,0x3ffffee7,
    0xfc8000ff,0x20002fff,0x003ffffb,0x7fffffcc,0x2e4cdeff,0xbcffffff,
    0xfffffffe,0x7ffffdc5,0xffffebcf,0x7fdc5fff,0xfebcffff,0x45ffffff,
    0xcffffffb,0xffffffeb,0xffffb85f,0xfffebcff,0xff35ffff,0x5e6f49ff,
    0x07ffffec,0x3dfffd00,0xffffb011,0xfffffdff,0xf900bfff,0x6c005fff,
    0xfeffffff,0x5fffffff,0x3fffffe2,0xffffffee,0xfffd85ff,0xffffefff,
    0x4005ffff,0x4007fffa,0xfffffffd,0xfffffffe,0xffffd800,0xffffefff,
    0xff900fff,0x1fffb05f,0x800fffe6,0xfffffeca,0x3ffffe62,0xfffecbcd,
    0xfff886ff,0x5309aeff,0x43fffffb,0xfeeeeee8,0xeeeeffff,0x7ffdc0ee,
    0x3fe24fff,0x2207ffff,0xffeeeeee,0xeeeeefff,0xfffb800e,0xffa8003f,
    0xffffffff,0x7fffff47,0xfdffffff,0xfffe85ff,0xffffffff,0xfe85fffd,
    0xffffffff,0x85fffdff,0xfffffffe,0xfffdffff,0xfffffd05,0xfbffffff,
    0x3ffe6bff,0x3ffffa4f,0x001fffff,0xffffffb0,0xfffff307,0xf9dfffff,
    0x3bba2bff,0xfffffeee,0x80eeeeee,0xfffffff9,0xfffcefff,0x7ffffe45,
    0xfcefffff,0xfff985ff,0xefffffff,0x4005fffc,0x4004fffb,0xfffffff9,
    0x2fffffff,0xfffff300,0xffffffff,0x3ffe605f,0xdffff504,0x4001ffff,
    0x5ffffffc,0x7fffffcc,0xffffffff,0xffffb01f,0xffffffff,0xf885ffff,
    0xffffffff,0xffffffff,0x7ffffd41,0x7fffec2f,0x3ffe206f,0xffffffff,
    0x01ffffff,0x03ffffb8,0xffffd500,0xfa8fffff,0xffffffff,0x85fffb9e,
    0xfffffffa,0xfffb9eff,0xfffffa85,0xfb9effff,0xfffa85ff,0x9effffff,
    0xf505fffb,0xffffffff,0x2bfff73d,0x3a4ffff9,0xffffffff,0x3fea0003,
    0xf903ffff,0xdfffffff,0x22bfff71,0xffffffff,0xffffffff,0xffff901f,
    0xf71dffff,0xfff90bff,0x71dfffff,0x3f20bfff,0xefffffff,0x005fffb8,
    0x0017ffec,0x7fffff44,0x00efffff,0x7ffff440,0x0effffff,0x803fffa0,
    0xfffffffd,0x7ffe4002,0x7fcc0cff,0xffffffff,0x6c00cfff,0xffffffff,
    0x82efffff,0xfffffff8,0xffffffff,0x7ffc41ff,0xfffb87ff,0x3fe205ff,
    0xffffffff,0x1fffffff,0x3ffffb80,0x7ff54000,0xe887ffff,0x24ffffff,
    0xd105fffb,0x49ffffff,0xd105fffb,0x49ffffff,0xd105fffb,0x49ffffff,
    0x2205fffb,0x4ffffffe,0x7cd7ffee,0x3ffa4fff,0x000cffff,0xffffd980,
    0x3fffea02,0x3ffee4ff,0xffffff15,0xffffffff,0x7d403fff,0x2e4fffff,
    0xfd705fff,0x7dc9ffff,0x3fea05ff,0x3ee4ffff,0x7f4005ff,0x75c0007f,
    0x3effffff,0x7ff5c000,0x403effff,0xc802fffc,0x001fffff,0x01dfffc8,
    0x3ffffb2a,0x001dffff,0x3fffff26,0x202dffff,0xfffffff8,0xffffffff,
    0xffff81ff,0xffff884f,0x3ffe204f,0xffffffff,0x01ffffff,0x03ffffb8,
    0xd9953000,0x554c40ff,0xa9880001,0x9880001a,0x880001aa,0x00001aa9,
    0x00035531,0x009a9980,0x00020000,0x44003553,0xffffffff,0xffffffff,
    0x1aa9801f,0x1aa88000,0x35530000,0x33300000,0x54c00001,0x3000001a,
    0x00000355,0x80002a60,0x31000099,0x20000353,0x009aa998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6664c000,0x3ccccccc,0x06666200,0x40026662,0x99980999,0x1664c000,
    0x6664c000,0x3ccccccc,0x26666620,0x33100001,0x13331033,0x26660000,
    0x40000999,0x00999998,0x22066662,0x10000999,0x40001333,0xcccdca98,
    0x3332a21a,0x2662000a,0x15551009,0x02666200,0x80055544,0x26609998,
    0x40000099,0x0101bcb8,0x4cccc000,0x26662099,0x01999999,0x04cccc00,
    0x4ccc4000,0x09999999,0x0d555440,0x03555510,0x26666000,0x0dd44099,
    0x3ffffea0,0x006fffff,0xd127ffec,0x3e005fff,0x7ffdc5ff,0xffff3001,
    0x005c87ff,0xfffffff5,0xfc80dfff,0x0004ffff,0x449fffb0,0x0002fffe,
    0x4fffffd8,0x7ffd4000,0x7ec00eff,0x3ffa24ff,0xff98002f,0x44000eff,
    0xfffffffd,0x3fff67ff,0xe800efff,0x7e440fff,0xfd001fff,0xffc881ff,
    0xffd001ff,0x3fffe61f,0x3f200004,0x221dffff,0xfd80002e,0x7e44ffff,
    0xffffffff,0x3fe0000f,0xa80006ff,0xffffffff,0x7fcc02ff,0x3fea04ff,
    0xd80003ff,0x4c4fffff,0x2a05ffff,0xffffffff,0xfd8006ff,0xfffe8cff,
    0x3fff6002,0x0fffeb9b,0xfffff880,0xffdcefff,0xffffa805,0x06ffffff,
    0x4fffffa8,0xfffb0000,0x05fffd19,0xffffb000,0xfa80005f,0x2004ffff,
    0xfe8cfffd,0xf98002ff,0x005fffff,0x3fffffee,0x367fffff,0x4fffffff,
    0x217ffe40,0x1ffffffc,0x42fffc80,0x1ffffffc,0x22fffc80,0x004ffff9,
    0xfffff700,0xfff9bfff,0x7fec0005,0xffc82fff,0xffffffff,0x3ffe0000,
    0xfa80006f,0xffffffff,0x7ffcc02f,0x3ffea04f,0x7ec0003f,0xfe82ffff,
    0xd303ffff,0xdddddddd,0xfd1000bd,0x05ffffff,0xfffff980,0x9004ffff,
    0xffffffff,0x00bfffff,0xddddddd3,0x2600bddd,0x004ffffe,0xffffe880,
    0x80002fff,0x00effffd,0x7fffd400,0x7f44002f,0x02ffffff,0xdffff980,
    0xfc805fff,0xffffffff,0x426a7fff,0x2605fffa,0xffe85fff,0x4c01ffff,
    0xffe85fff,0x4c01ffff,0x7fcc5fff,0x880004ff,0xffffffff,0x02ffffff,
    0xdffffb00,0x3ffff201,0x00ffffff,0x1bfffe00,0x3ffea000,0x2fffffff,
    0x27fffcc0,0x07ffff50,0x7fffec00,0xffff980e,0x000005ff,0x3fffa200,
    0xf90003ff,0x1dffffff,0xc897ec00,0x06ffffff,0xd8000000,0x0004ffff,
    0xfffffe88,0xffd80003,0xa80004ff,0x000effff,0xfffffd10,0xfff10007,
    0x17fff63f,0xffffff98,0x6ca999ac,0x80fffea0,0xfb80fffe,0x401fffcb,
    0xfb80fffe,0x401fffcb,0x7cc0fffe,0x00004fff,0x3fa61df3,0x003fffff,
    0x09ffffb0,0xfccccca8,0x0000ffff,0x001bfffe,0x33333260,0x402ffffe,
    0x204ffff9,0x003ffffa,0x09ffffb0,0x7fffffcc,0x00000005,0x01ffff44,
    0x3fffaa00,0x1050003f,0x0017bfd9,0x2a000000,0x0004ffff,0x03fffe88,
    0xffffd800,0xffa80002,0x880004ff,0x8003fffe,0x6c1fffe8,0xffb04fff,
    0xc8001bff,0x00cfffff,0x2205fff7,0x403fff70,0x1102fffb,0xb807ffee,
    0xff982fff,0x200004ff,0xcffda809,0xfffb0002,0x7f40005f,0x20000fff,
    0x0006ffff,0x3ffff200,0x7fffcc02,0x3fffea04,0xfffd8003,0xffff802f,
    0x000003ff,0x00000000,0x0000004c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07ffffcc,0x7fffe400,0xfff981df,0x3fff7005,
    0x017ffe60,0x980fffdc,0xff305fff,0x000009ff,0x00000000,0xffffe800,
    0x3ffe0000,0x2000006f,0x402ffffc,0x204ffff9,0x003ffffa,0x3fea0000,
    0x953006ff,0x0001379b,0x00000000,0x00000000,0x66ee654c,0x000000ab,
    0x00000000,0x00000000,0x00000000,0xff500000,0x2e0007ff,0x0ffffeee,
    0x8007fff4,0xfd01fffb,0x3ee001ff,0xfffd01ff,0x3fffe601,0x00000004,
    0x00000000,0x007ffff4,0x0dffff00,0x7fe40000,0x7fcc02ff,0x3fea04ff,
    0x000003ff,0x40165c40,0xfffffffb,0x553003ff,0x55555555,0x10155555,
    0x55555555,0x54400155,0xaaaaaaaa,0x3f22000a,0xffffffff,0x2a200cff,
    0xaaaaaaaa,0x5551000a,0xacecb885,0x15554400,0x02b372e2,0x55555510,
    0x80015555,0x5c42aaa8,0x4400acdc,0xaaaaaaaa,0x7fdc00aa,0x700002ff,
    0x7fdc7fff,0x3fee003f,0x3fffb81f,0x07ffee00,0x980fffee,0x2e24ffff,
    0x2200acec,0x65c42aaa,0x54c00ace,0xaaaaaaaa,0x00aaaaaa,0x01ffffd0,
    0x37fffc00,0x0aaaaaa0,0x17fffe40,0x13fffe60,0x03ffffa8,0xb8855551,
    0x0000acec,0xfffffb10,0x1dffffff,0xfffffd80,0xffffffff,0xfffa82ff,
    0x2fffffff,0x3fffea00,0x02ffffff,0x3ffffe60,0xffffffff,0xffff500f,
    0x05ffffff,0xc9fffe60,0x2fffffff,0x43fffea0,0xfffffffc,0x3fffea01,
    0x02ffffff,0x87fffd40,0xfffffffc,0x3fffea01,0x02ffffff,0x00ffffec,
    0x6ccccd40,0xfff32fff,0xfffb800b,0x02fffcc1,0x307ffee0,0xf980bfff,
    0xfff73fff,0x2605ffff,0x3ff27fff,0x202fffff,0xfffffffd,0xffffffff,
    0xffffd002,0x7ffc0001,0x3fff606f,0xff9002ff,0xff9805ff,0x3fea04ff,
    0xfff303ff,0x7ffffe4f,0x440002ff,0xffffffff,0x06ffffff,0x7fffffec,
    0xffffffff,0xffffa82f,0x02ffffff,0x3ffffea0,0x002fffff,0x3fffffe6,
    0xffffffff,0xfffff505,0x005fffff,0x363fffe6,0xffffffff,0xffff502f,
    0xffffffd1,0x3ea03fff,0xffffffff,0x7fd4002f,0xffffe8ff,0x501fffff,
    0xffffffff,0xffd805ff,0x7c4001ff,0xefffffff,0x001fffd0,0x741fffb8,
    0x5c000fff,0x7ff41fff,0x7ffcc00f,0xfffffdbf,0xf982ffff,0xfffd8fff,
    0x02ffffff,0xfffffffb,0xffffffff,0x3fffa005,0x3fe0000f,0xfff706ff,
    0x7e4007ff,0x7cc02fff,0x3ea04fff,0xff303fff,0xffffb1ff,0x005fffff,
    0x7ffffe40,0xffffdbce,0x3ff603ff,0xffffffff,0xa82fffff,0xffffffff,
    0x3ea002ff,0xffffffff,0x3be6002f,0x7fe4419b,0xffa81fff,0xffffffff,
    0xffff3002,0xfffffffb,0x3ea0dfff,0xffffefff,0x05ffffff,0xfffffff5,
    0xa8005fff,0xfffeffff,0x5fffffff,0xffffff50,0xd805ffff,0x4001ffff,
    0xfffffff8,0x07fff70d,0x43fff700,0x8003fffb,0x3ee1fffb,0xff9803ff,
    0xffffffff,0x986fffff,0xfffdffff,0x6fffffff,0xffffffb0,0xffffffff,
    0x3ffa005f,0x3e0000ff,0xffa86fff,0x64004fff,0x4c02ffff,0x2a04ffff,
    0xf303ffff,0xffffbfff,0x0dffffff,0x3fffe600,0xfffd883f,0xddd900ff,
    0xffdddddd,0x5101ffff,0xfffb5555,0x5544005f,0xffffdaaa,0x40062002,
    0x883ffffc,0xffdaaaaa,0xff3002ff,0x7dffffff,0x05fffffd,0xfffffff5,
    0xffff959f,0x5555103f,0x05ffffb5,0xfffffa80,0xffcacfff,0xaa881fff,
    0xffffdaaa,0x7fffec02,0xccca8001,0x3ffe20aa,0x33310006,0x0037ffc4,
    0x3e219988,0xff3006ff,0x7dffffff,0x85fffffd,0xfffffff9,0xffffebef,
    0xeeeec82f,0xfffeeeee,0xfd000fff,0x54401fff,0x6ffff809,0x27ffffcc,
    0x7fffe400,0x7fffcc02,0x3fffea04,0xfffff303,0xffd7dfff,0xb0005fff,
    0xf809ffff,0x0003ffff,0x0bfffff2,0x5ffff900,0xfff90000,0x2000005f,
    0x004ffff9,0x00bffff2,0x7fffffcc,0x7fffec1e,0xfffffa83,0x7ffec0ef,
    0x3ff2003f,0x7d4002ff,0x40efffff,0x003ffffd,0x00bffff2,0x003ffffb,
    0x3fff6000,0x7ec00001,0x400001ff,0x3001fffd,0x3dffffff,0x43ffffd8,
    0xeffffff9,0x1ffffec1,0xffffc800,0x3ffa002f,0xfff700ff,0x6ffff85f,
    0x17ffffa2,0x7fffe400,0x7fffcc02,0x3fffee04,0xfffff303,0xfffd83df,
    0xfff8003f,0x7fdc00ff,0xf50004ff,0x0007ffff,0x005ffff9,0x5ffff900,
    0x3e200000,0x32005fff,0x3002ffff,0x01ffffff,0x50bffff5,0x01dfffff,
    0x009ffff3,0x017fffe4,0x3ffffea0,0xffff980e,0x3fff2004,0x7ffec02f,
    0xb800001f,0x00003fff,0x001fffdc,0x0fffee00,0xfffff980,0xffffa80f,
    0x7ffffcc5,0xffffa80f,0xfffa8005,0x7f4003ff,0xff980fff,0x3fe1ffff,
    0x3fffa6ff,0x3f20006f,0x7cc02fff,0xff505fff,0x3e607fff,0xa80fffff,
    0xc985ffff,0x7fffc43d,0xffff9805,0xfff88005,0xf90005ff,0x00005fff,
    0x005ffff9,0x75553300,0x400bffff,0x002ffffc,0x03fffff3,0x217fffe2,
    0x01fffffa,0x009ffff3,0x017fffe4,0x3ffffea0,0x9ffff301,0x7fffe400,
    0x7fffec02,0x7c400001,0x400006ff,0x0006fff8,0x037ffc40,0x3ffffe60,
    0xbffff101,0x1fffff98,0x0bffff10,0xfffff880,0xfffe8005,0xffffd80f,
    0x3fffe4ff,0x1dffff96,0x7ffe4000,0x7ffcc02f,0xffff987f,0xfff304ff,
    0x3fe203ff,0x7ffd45ff,0xffff50ef,0xffff1009,0xfffd000f,0x320001df,
    0x0002ffff,0x02ffffc8,0xffffd500,0xbfffffff,0x7fffe400,0xffff3002,
    0x7fffc40b,0x4ffffa85,0x0f333220,0x2ffffc80,0x7fffd400,0x33332204,
    0x3fff2003,0x7ffec02f,0x6c00001f,0x00001fff,0x000fffec,0x07fff600,
    0xbffff300,0x2ffffc40,0x817fffe6,0x005ffff8,0x077ffff4,0x7ffff400,
    0xfffffe80,0x3bfffe5f,0x00fffffb,0x7fffe400,0x7fffcc02,0x3fffaa3f,
    0xff306fff,0x7fc40bff,0x7fffc5ff,0xffff73ff,0x3fffe009,0x7ffe4007,
    0x320001ff,0x0002ffff,0x02ffffc8,0x7ffffd40,0xffffffff,0x3ff2005f,
    0xff3002ff,0x7fc409ff,0xfffa85ff,0x2000004f,0x002ffffc,0x027fffd4,
    0xfff90000,0xfffd805f,0x2a00001f,0x2aa24fff,0x7d4002aa,0x37b2a4ff,
    0x7fd4000a,0x2aaaa24f,0x4ffff982,0x17fffe20,0x409ffff3,0x005ffff8,
    0x07fffff2,0x7ffff400,0xfffffd80,0x3ffffe4f,0x001fffff,0x2ffffc80,
    0x7ffffcc0,0xffffffff,0x4c3effff,0x2204ffff,0x3e65ffff,0xf75fffff,
    0x3e009fff,0x2e007fff,0x003fffff,0x17fffe40,0x7ffe4000,0x3fea002f,
    0xffffffff,0x005fffff,0x00bffff2,0x027fffcc,0x50bffff1,0x0009ffff,
    0x7fffe400,0x7ffd4002,0x2000004f,0x402ffffc,0x001ffffd,0x8dfff100,
    0x007ffffc,0x7d5bffe2,0x03ffffff,0xc8dfff10,0xf987ffff,0x3e204fff,
    0x7fcc5fff,0x3fe204ff,0xff7005ff,0x40007fff,0xa80ffffe,0x21ffffff,
    0xffffffff,0xc80001ff,0x4c02ffff,0xffffffff,0xfffddfff,0x7ffcc4ff,
    0x3ffe204f,0x3fffe65f,0xffff55ff,0xffff100b,0x3ffe600d,0xc80005ff,
    0x0002ffff,0x02ffffc8,0xdfffff10,0xffff8835,0x3fff2005,0xfff3002f,
    0x7ffc409f,0xffffa85f,0x32000004,0x4002ffff,0x004ffffa,0x3fff2000,
    0x7ffec02f,0xfb00001f,0x7ffcc3ff,0x3f6007ff,0xffff31ff,0x3600dfff,
    0x3fe61fff,0xff987fff,0x3fe204ff,0x7ffcc5ff,0x3ffe204f,0xfff9805f,
    0x740005ff,0xf700ffff,0xfff85fff,0xfffffcef,0x7fe40000,0x7fcc02ff,
    0xffffffff,0x9fffff55,0x04ffff98,0xd17fffe2,0x265fffff,0xa806ffff,
    0x8804ffff,0x006ffffe,0x5ffff900,0xfff90000,0x3fee005f,0x3fe206ff,
    0x3f2005ff,0xf3002fff,0x7c409fff,0xffa85fff,0x000004ff,0x00bffff2,
    0x09ffff50,0x7fe40000,0x7fec02ff,0xa80001ff,0x7ff44fff,0xf5007ffd,
    0x90bc89ff,0xfa805fff,0x6fff44ff,0xfff987ff,0x3ffe204f,0x7fffcc5f,
    0x3fffe204,0x7fff4405,0xfe80006f,0x2a200fff,0x6ffff80a,0x00dffffd,
    0x2ffffc80,0x77fffcc0,0x7e44ffff,0x7fcc4fff,0x3fe204ff,0x7ff4c5ff,
    0x7ffffc4f,0x7fffec01,0xffffd803,0xf900000f,0x00005fff,0x005ffff9,
    0x80bffff2,0x005ffff9,0x00bffff2,0x027fffcc,0x50bffff1,0x0009ffff,
    0x7fffe400,0x7ffd4002,0x2000004f,0x402ffffc,0x001ffffd,0x237ffc40,
    0x7ffadffc,0x06fff880,0x201fffb8,0x7e46fff8,0x987ffadf,0x2204ffff,
    0x7cc5ffff,0x3e204fff,0x7ec05fff,0x0000ffff,0x00ffffe8,0x5bfffe00,
    0x05fffff8,0x3ffff200,0x7fffcc02,0x2a201a9a,0xffff981a,0x3fffe204,
    0xfd015505,0x7cc0bfff,0x5c00ffff,0x002fffff,0x3ffff200,0xffc80002,
    0xffb002ff,0x3fa207ff,0x32005fff,0x3002ffff,0x4409ffff,0xfa85ffff,
    0x00004fff,0x0bffff20,0x9ffff500,0x7e400000,0x7ec02fff,0x40001fff,
    0x3e61fffc,0x07ffa8ff,0x401fffc8,0x6407fff8,0x3fe61fff,0x987ffa8f,
    0x2204ffff,0x7cc5ffff,0x3e204fff,0x3ee05fff,0x0002ffff,0x01ffffd0,
    0x37fffc00,0x07fffff5,0x3ffff200,0x7fffcc02,0xff300002,0x7fc409ff,
    0xfa8005ff,0x540dffff,0x404fffff,0x04fffffa,0x7ffe4000,0xfc80002f,
    0xf9002fff,0xff30dfff,0x400bffff,0x002ffffc,0x409ffff3,0xa85ffff8,
    0x0004ffff,0x3ffff200,0x7ffd4002,0x2000004f,0x402ffffc,0x001ffffd,
    0xd13ffea0,0x1ffea7ff,0x809fff50,0x202ffff9,0x7f44fffa,0x30fff53f,
    0x4409ffff,0x7cc5ffff,0x3e204fff,0xff505fff,0x00009fff,0x007ffff4,
    0x8dffff00,0x02fffffd,0x2ffffc80,0x1ffffcc0,0xfff98000,0x3ffe204f,
    0xffb0005f,0xffdfffff,0x401fffff,0xbffffff8,0xaaaaaaaa,0x3fff2001,
    0xfc80002f,0xf7002fff,0xd79fffff,0xbfffffff,0x7fffe400,0xffff3002,
    0x7fffc409,0x4ffffa85,0x3f200000,0x54002fff,0x0004ffff,0x3ffff200,
    0x7fffec02,0xffd10001,0x77ffd41d,0x83efffee,0x200effe8,0x202ffffa,
    0x2a0effe8,0xffeeefff,0x3ffe63ef,0x3ffe204f,0x7fffcc5f,0x3fffe204,
    0xfffff885,0xaaaaaabf,0xffd001aa,0x7c0001ff,0x7f446fff,0x4000ffff,
    0x402ffffc,0x004ffff9,0x9ffff300,0x2ffffc40,0xffff9800,0xffffffff,
    0x7ff402ff,0xffffffff,0x444fffff,0xffeeeeee,0xeeeeefff,0x7777440e,
    0xefffffee,0xe80eeeee,0xffffffff,0x5fffdfff,0x77777744,0xeeefffff,
    0x7fcc0eee,0x3fe204ff,0xfffa85ff,0x7440004f,0xfffeeeee,0xeeeeeeff,
    0x9ffff500,0xeee88000,0xfffffeee,0xb0eeeeee,0x0003ffff,0xf50bfff2,
    0xffffffff,0x5fff909f,0x0f7ffe40,0x50bfff20,0xffffffff,0x7ffcc9ff,
    0x3ffe204f,0x7fffcc5f,0x3fffe204,0xfffffe85,0xffffffff,0x3bba64ff,
    0xfffffeee,0x006eeeee,0xf30dffff,0x881dffff,0xffeeeeee,0xeeeeefff,
    0x9ffff30e,0x3fe60000,0x3fe204ff,0x220005ff,0xfffffffe,0xf800efff,
    0xffffffff,0x4fffffff,0x7fffffc4,0xffffffff,0x7fc41fff,0xffffffff,
    0x1fffffff,0xffffffa8,0xffb9efff,0x7fffc45f,0xffffffff,0x4c1fffff,
    0x2204ffff,0xfa85ffff,0x40004fff,0xfffffff8,0xffffffff,0xfff501ff,
    0xf880009f,0xffffffff,0xffffffff,0x03ffffb1,0x09fff300,0xfffffff5,
    0xff989fff,0x3fff204f,0x4c6fffff,0xffa84fff,0xffffffff,0x13fffe64,
    0x45ffff88,0x204ffff9,0xf85ffff8,0xffffffff,0x4fffffff,0x3fffffe6,
    0xffffffff,0xfff007ff,0x3ffee0df,0x7ffc45ff,0xffffffff,0x31ffffff,
    0x0009ffff,0x13fffe60,0x05ffff88,0xfffeb800,0x2003efff,0xffffffff,
    0xffffffff,0x7ffffc44,0xffffffff,0x7c41ffff,0xffffffff,0xffffffff,
    0xffffd101,0x7ffdc9ff,0x7ffffc45,0xffffffff,0x7cc1ffff,0x3e204fff,
    0xffa85fff,0x440004ff,0xffffffff,0xffffffff,0xffff501f,0xff880009,
    0xffffffff,0x1fffffff,0x003ffffb,0x001fffd0,0xfe83ffd4,0x3ff200ff,
    0x46ffffff,0x2000fffe,0xff987ffa,0x3fe204ff,0x7ffcc5ff,0x3ffe204f,
    0xfffff85f,0xffffffff,0x3fe64fff,0xffffffff,0x07ffffff,0x40dffff0,
    0x23fffffd,0xfffffff8,0xffffffff,0xffff31ff,0x3e600009,0x3e204fff,
    0x00005fff,0x8000d54c,0xffffffff,0xffffffff,0x7ffffc44,0xffffffff,
    0x7c41ffff,0xffffffff,0xffffffff,0x0d54c401,0x7fffc400,0xffffffff,
    0x4c1fffff,0x2204ffff,0xfa85ffff,0x40004fff,0xfffffff8,0xffffffff,
    0xfff501ff,0xf880009f,0xffffffff,0xffffffff,0x03ffffb1,0x02fffc80,
    0x643ffd40,0x7e402fff,0x6fffffff,0x000bfff2,0xff30fff5,0x7fc409ff,
    0x7ffcc5ff,0x3ffe204f,0xfffff85f,0xffffffff,0x3fe64fff,0xffffffff,
    0x07ffffff,0x40dffff0,0x2fffffe8,0xfffffff1,0xffffffff,0x3ffe63ff,
    0xf300004f,0x7c409fff,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x1bccca98,0x2aaa2773,0x566e5c42,0x0dd44000,0xccccc980,
    0x003ccccc,0x99999993,0x33007999,0x00000133,0x0006ff54,0x26aaea20,
    0x19999999,0xabcba980,0x32a62001,0x0001aacc,0x00157710,0x0d654400,
    0x2e620000,0x2e001aac,0xcccccccc,0x200000cc,0x33300998,0x26660013,
    0x33333109,0x33333333,0x99998813,0x99999999,0x95300019,0x88003559,
    0x1aaccba9,0x00ee6000,0x001dcc00,0x03595300,0x004cccc0,0x98099998,
    0x3fa6000a,0xffffffff,0xffff35ff,0x7fffffe4,0xfff3002f,0xfff500bf,
    0xdfffffff,0x3fffea00,0x06ffffff,0x006ffff8,0xffff5000,0xffb1000d,
    0xffffffff,0x5c0fffff,0xffffffff,0xffd500bf,0xdfffffff,0xffb50007,
    0x019dffff,0xffffb300,0x0001dfff,0x3fffff6e,0xe805ffff,0xffffffff,
    0xb88001ff,0x6fffffed,0x00dffff0,0x2a9ffff3,0xffffffff,0x45ffffff,
    0xfffffffa,0x0fffffff,0xfffed880,0x2dffffff,0x3ffffaa0,0x02ffffff,
    0x09fffb30,0x7ffecc00,0x7f4c0004,0x2effffff,0x13fffe60,0x97fffe20,
    0x803fffe9,0xfffffffc,0x35ffffff,0xffb1ffff,0x7fffffff,0xfffffd00,
    0xffffa807,0x06ffffff,0xffffff50,0xf00dffff,0x0000dfff,0x3fffff60,
    0x3ffe6001,0xffffffff,0x987fffff,0xffffffff,0xb80fffff,0xffffffff,
    0x000effff,0xfffffff7,0x4001dfff,0xfffffffa,0x2002ffff,0xffffffd8,
    0x00ffffff,0x7ffffff4,0x2001ffff,0xffffffd9,0xfff06fff,0xfff300df,
    0x3fffea9f,0xffffffff,0x7ffd45ff,0xffffffff,0x7dc00fff,0xffffffff,
    0xe984ffff,0xffffffff,0x5003ffff,0x0009ffff,0x027fffd4,0xfffff700,
    0x07ffffff,0x013fffe6,0x457fffe2,0x03ffffff,0x3ffffffa,0xffffffff,
    0xfbffff35,0xffffffff,0x7fcc05ff,0x4c05ffff,0xeeeeeeee,0xdd3005ee,
    0xdddddddd,0x3ffffe0b,0xffffffff,0x7fec0000,0xf5002fff,0xffffffff,
    0xffffffff,0xfffff88f,0xffffffff,0x7ffdc0ef,0xffffffff,0xffc806ff,
    0xffecdfff,0xfb801fff,0xffffffff,0xa803ffff,0xffffffff,0x00ffffff,
    0x7777776c,0x7001eeee,0xffffffff,0x3fe0dfff,0xff9806ff,0xffff54ff,
    0xffffffff,0xfffa8bff,0xffffffff,0xfb100fff,0xffffffff,0x889fffff,
    0xffffffff,0x03ffffff,0x09ffff50,0x7fffd400,0xffd88004,0xffffffff,
    0xff985fff,0xff8804ff,0xffff75ff,0x3fee0dff,0x999bdfff,0xf35ffffc,
    0xdfffffff,0xbfffff97,0x7ffffcc0,0x0000005f,0xfff00000,0xffffffff,
    0xb80001ff,0x800fffff,0xeffffff8,0xeeffffec,0x7fec6eee,0xdb9aceff,
    0x5c3fffff,0xdcccdeff,0x03ffffff,0x2077fff6,0x02ffffa8,0x3bffffea,
    0xfffffebc,0x3ffea00f,0xfeffffff,0x0000ffff,0x7ffe4000,0xffffffff,
    0xdffff06f,0x9ffff300,0x3fffffea,0xffffffff,0x777774c5,0xffffeeee,
    0xffffd00f,0xffddffff,0xffd89fff,0xccdeffff,0x5003fffe,0x0009ffff,
    0x027fffd4,0x7ffffe40,0xfffffeff,0x7ffcc3ff,0xfff8804f,0xfffff95f,
    0xffff10ff,0x3ffe209f,0xfffff35f,0xfffa83df,0x3ffe01ff,0x00003fff,
    0xf0000000,0xffffffff,0x0001ffff,0x003dff70,0x87bffff2,0x801ffffa,
    0x700fffff,0xa98bffff,0x3fffe200,0xbfff305f,0x0dfff300,0x427ffff4,
    0x04ffffe8,0x37fffffa,0x07ed440a,0xf7000000,0x357fffff,0x3fffe001,
    0xffff9806,0x57ffff54,0x55555555,0x3ffa0003,0xfffb80ff,0xa881bfff,
    0x3ffe64fd,0x2a200cff,0xffff5002,0x7fd40009,0x7c4004ff,0x221dffff,
    0x47fffffa,0x804ffff9,0xf75ffff8,0x90dfffff,0x440bffff,0xff35ffff,
    0x3601ffff,0x2a04ffff,0x0006ffff,0x00000000,0x3ffff332,0x00cccccf,
    0x88002000,0x541fffff,0x4c01ffff,0x7404ffff,0x90006fff,0x3a0fffff,
    0x3e6005ff,0xfffa82ff,0x3ffe605f,0xfffa80ff,0x001005ff,0x7fc40000,
    0x0000cfff,0x300dffff,0x3ea9ffff,0x00000fff,0x07ffff40,0x3bffffe2,
    0xffb82001,0x540006ff,0xfffcaaaa,0xaaaaaadf,0x9555551a,0x555bffff,
    0xfd835555,0x3e605fff,0x3e62ffff,0xf8804fff,0xfff15fff,0xfff07fff,
    0x7fc405ff,0xffff35ff,0x7ffd403f,0x165c405f,0x03555510,0x001aaaa8,
    0x1379b951,0x1bfffe00,0x00000000,0x507ffff7,0xa803ffff,0x7403ffff,
    0x10005fff,0xf30fffff,0xfdc883ff,0x0dffb0ef,0x803ffffd,0xf84ffffc,
    0x0005ffff,0xaaaaaa88,0x9000aaaa,0x000bffff,0x806ffff8,0xf54ffff9,
    0x00001fff,0x0ffffe80,0x07ffffe4,0xffff9000,0xffe80009,0xffffffff,
    0x4fffffff,0xfffffffd,0xffffffff,0x7ffcc9ff,0x7fdc00ff,0x3ffe66ff,
    0xfff8804f,0x3fffea5f,0x7ffff884,0xaffffc40,0x405ffff9,0x006ffff9,
    0x9ffff300,0x2ffffc40,0x3ffffa20,0xf802ffff,0x80006fff,0xaaaaaaa9,
    0xaaaaaaaa,0x07ffffa0,0x007fffea,0x40dffff3,0x004ffff9,0x0dffff10,
    0xffa8dffd,0xff30ffff,0x7fffcc5f,0xffffb806,0x7ffffdc6,0xffa80001,
    0xffffffff,0xfffff002,0xfff80001,0xfff9806f,0x1ffff54f,0xfe800000,
    0x3fe20fff,0x40003fff,0x006ffffc,0x7fffff40,0xffffffff,0xffd4ffff,
    0xffffffff,0x9fffffff,0x02ffffdc,0x8fffffcc,0x804ffff9,0x445ffff8,
    0xfff300aa,0xfff880df,0x9ffff35f,0x7ffff880,0xfff30000,0x7ffc409f,
    0x3ffea05f,0xffffffff,0x3fffe00d,0x2f7b2a26,0x7fffec00,0xffffffff,
    0x3ffe2fff,0xffff507f,0xfffff003,0xffffd10b,0x3fee0003,0x2fff84ff,
    0x3fffffe6,0xa93ffa0f,0x2203ffff,0x47fffffd,0x005ffffc,0xfffff500,
    0x005fffff,0x00bffff3,0x0dffff00,0x29ffff30,0x000ffffa,0x7fff4000,
    0x3fffea0f,0xffb80007,0x0000dfff,0xfffffffd,0xffffffff,0x3fffa9ff,
    0xffffffff,0x24ffffff,0x002ffffc,0x265ffffd,0x8804ffff,0x8005ffff,
    0x405ffffa,0xf35ffff8,0xff009fff,0x20000fff,0x204ffff9,0x705ffff8,
    0xffffffff,0x409fffff,0xff75ffff,0x405fffff,0xfffffffd,0xffffffff,
    0x417fffe2,0x801ffffa,0x2efffffb,0x09ffffd3,0x3fffea00,0x07ffc40f,
    0x957dfffd,0xf72ffe41,0x3ea03fff,0x47ffffff,0x002ffffe,0xfffff500,
    0x005fffff,0x447ffff7,0x3fe00099,0xff9806ff,0xffff54ff,0x00001335,
    0x41ffffd0,0x004ffffb,0xfffff980,0x54000cff,0xfffcaaaa,0xaaaaaadf,
    0x9555551a,0x555bffff,0x7ec35555,0xfb001fff,0x3fe65fff,0xff8804ff,
    0x540105ff,0x4405ffff,0xff35ffff,0xff8809ff,0x300006ff,0x4409ffff,
    0xf885ffff,0x7dc2ffff,0xff01ffff,0xffff7bff,0x205fffff,0xfffffffd,
    0xffffffff,0x0bffff12,0x2affffea,0xffd81aaa,0xfffeffff,0xaaa805ff,
    0xeffffecb,0x267ffa80,0x2e00ffff,0x3fff26ff,0xffffc81f,0x3e0fffff,
    0x0001ffff,0xb5555510,0xb005ffff,0xff97ffff,0x809dffff,0x9806ffff,
    0xff54ffff,0xffffffff,0xfd000039,0x7fe41fff,0x999883ff,0x6c099999,
    0xffffffff,0x3ea0002d,0x20004fff,0x004ffffa,0x003ffffa,0x99ffffe4,
    0x8804ffff,0x3225ffff,0xffa82fff,0x7fc405ff,0xffff35ff,0xffff9809,
    0xff300005,0x7fc409ff,0xfffc85ff,0xffff501f,0x3ffffe0d,0xffffffff,
    0xddd906ff,0xffdddddd,0x3e61ffff,0xff504fff,0x9fffffff,0x3fffff60,
    0x003fffff,0xffffffff,0x37fdc09f,0xa809fff5,0x3fff67ff,0x3fffa20f,
    0x1ffffeff,0x03fffff1,0xffc80000,0xffe802ff,0xffffffff,0xf02fffff,
    0xf300dfff,0x3fea9fff,0xffffffff,0x20001eff,0x360ffffe,0xfc82ffff,
    0x5fffffff,0x7fffffc4,0x00cfffff,0x27fffd40,0xffff5000,0x7fffc009,
    0x3ffee007,0x9ffff34f,0xbffff100,0x17ffffec,0x01bfffe6,0x26bffff1,
    0x5404ffff,0x4404ffff,0x3fe600aa,0x3fe204ff,0x7ffc45ff,0x7fff404f,
    0xffffff07,0xfffb57df,0x320003ff,0x2a2fffff,0xf503ffff,0xffffffff,
    0x7fffdc09,0x001effff,0xffffffff,0xff9017bf,0x01fffdcb,0x7f43ffe6,
    0x3ffea7ff,0xfffbafff,0xfffff32f,0xc8000001,0xe802ffff,0xffffffff,
    0xffffffff,0x06ffff81,0x54ffff98,0xffffffff,0x01ffffff,0x3ffffa00,
    0x07ffffe0,0x3ffffff2,0xffd885ff,0xffffffff,0x3fea002f,0x2a0004ff,
    0x1004ffff,0x400fffff,0xf35ffffb,0xf1009fff,0x3fe6bfff,0x7c47ffff,
    0xd100ffff,0x3e6bffff,0x7f404fff,0x3a602fff,0xff303fff,0x7fc409ff,
    0x7ffd45ff,0x7ffe402f,0xfffff81f,0x7ffec0ef,0xffa8002f,0x7fd43fff,
    0xfff504ff,0x09ffffff,0x3fffffa6,0x804fffff,0xffffffff,0x7e41efff,
    0x13fff25f,0x3a1fff30,0xffd8ffff,0xff70dfff,0x3ffea5ff,0x000000ff,
    0x017fffe4,0x7ffffffc,0xffffeeef,0xffff86ff,0xffff9806,0xdddddd54,
    0xffffffff,0xffd0001d,0x7fffc1ff,0xffffc81f,0x2e05ffff,0xfffffffe,
    0x55503fff,0x5bffff95,0x80155555,0x004ffffa,0x00fffff3,0x9affffdc,
    0x8804ffff,0xff75ffff,0xf81fffff,0xfb03ffff,0x3e6bffff,0x3ea04fff,
    0x3a00ffff,0x982fffff,0x2204ffff,0x7dc5ffff,0xaaaabfff,0xffffdaaa,
    0xefffff82,0x3ffffb80,0x7fffc400,0xffffa85f,0x7ffff504,0xf5035555,
    0xfffdffff,0xa809ffff,0xfffcbaaa,0x3ee1ffff,0x1bffee6f,0x7ecfff50,
    0xffffefff,0x7fffe43f,0x3fffff31,0xfc800000,0xff802fff,0x440aefff,
    0x43fffffc,0x9806ffff,0x2004ffff,0x3fffffea,0xffffe800,0x0bffffa0,
    0x3ffffff2,0xfda805ff,0xffffffff,0xffffff81,0xffffffff,0x7fd402ff,
    0xff1004ff,0x2e001fff,0xff34ffff,0xff1009ff,0x3ffeabff,0x7dc0ffff,
    0x3661ffff,0x35ffffff,0x2a09ffff,0x403fffff,0x86ffffff,0x204ffff9,
    0x6c5ffff8,0xffffffff,0xffffffff,0xfffff83f,0x9ffff501,0xffffe800,
    0xffff980e,0x3ffff504,0xfffff500,0x3ffff227,0xf50002ff,0x7d4dffff,
    0x3fffea7f,0xc9bfee01,0xffffffff,0xffffc81e,0x3fffff10,0xfc800000,
    0xff802fff,0x7ec01fff,0x7ffc4fff,0xfff9806f,0x7f44004f,0xe8004fff,
    0x3f60ffff,0xf8802fff,0x22005fff,0xffffffeb,0xffffff86,0xffffffff,
    0x7fd402ff,0x3fe004ff,0xf9000fff,0x3fe65fff,0xff8804ff,0xffff15ff,
    0xfff10bff,0xfffddfff,0x26bfffff,0xbcdfffff,0x6fffffec,0xffffff80,
    0x7fffcc0f,0x3fffe204,0x7fffff45,0xffffffff,0xff83ffff,0x3fe606ff,
    0x3f2004ff,0xf101ffff,0x3ea0bfff,0x7c401fff,0xf981ffff,0x0006ffff,
    0x43ffffe6,0x3fa0fff9,0x20dcdfff,0x3fee5ffc,0x00dfffff,0xff8ffffb,
    0x00002fff,0x17fffe40,0x0fffff40,0x17fffe60,0x300dffff,0x0009ffff,
    0x00dffff5,0x41ffffd0,0x803ffffc,0x005ffff8,0xffffff70,0xffffff81,
    0xffffffff,0x7fd402ff,0x3fa004ff,0xf9001fff,0x3fe63fff,0xff8804ff,
    0x3ffea5ff,0xfff900ef,0xdfffffff,0x3e6bffff,0xffffffff,0x01ffffff,
    0xffffffc8,0x27fffcc1,0x8bffff10,0xfffffffe,0xffffffff,0xffff82ff,
    0x3fffe606,0xffff7004,0xffff807f,0x3ffff507,0x3ffffb80,0x3ffffe60,
    0x3ffa0001,0x7fff12ff,0x7fffffd4,0xa93ffa0f,0x02ffffff,0x3a3ffffc,
    0x0005ffff,0x7fffe400,0xffffd802,0x7fffc402,0x037fffc7,0x027fffcc,
    0x3ffffc40,0x7ffff400,0x1bfffee0,0x17fffe20,0xffffb800,0x6555541f,
    0xaaadffff,0x7d400aaa,0x36004fff,0xd003ffff,0x3e61ffff,0xf9805fff,
    0x65c44fff,0xffffc802,0xff8effff,0xffff35ff,0xffffffff,0x7f40019f,
    0x7cc1ffff,0x3e204fff,0x7fec5fff,0xf00000ff,0x7cc0dfff,0xf9804fff,
    0xf805ffff,0xfa81ffff,0x7ec01fff,0x7e400fff,0x20002fff,0x3a2ffffe,
    0x7ffdc6ff,0xfff50fff,0x7ffffcc3,0x7fffd400,0x7ffffe45,0x32000001,
    0xc802ffff,0x4403ffff,0x7fc6ffff,0xff9806ff,0xf98004ff,0xf8007fff,
    0x7fd47fff,0x7c401fff,0x20005fff,0x02fffff8,0x027fffd4,0x9ffff500,
    0x7fffe400,0xffff9805,0x1bfffe27,0x0ffffe60,0x3ffae000,0x3ffe4fff,
    0xfffff35f,0x3bffffff,0xffff1000,0x9ffff30f,0x2ffffcc0,0x007ffff2,
    0x37fffc00,0x09ffff30,0x6ffffe88,0x7ffff900,0x03ffff50,0x807fffe8,
    0x002ffffb,0x83ffffe0,0x64c1fffa,0xffb0ceed,0xfffff88d,0x7fffec01,
    0x7ffffd42,0x32000005,0xb802ffff,0x5406ffff,0x7fc4ffff,0xff9806ff,
    0xfb8004ff,0x4c005fff,0xfe86ffff,0x7c405fff,0x20005fff,0x00fffff8,
    0x02ffffd4,0xbffff500,0x7fffcc00,0x7ffe400f,0x3ffffc4f,0x17fffdc0,
    0x35510000,0x26bffff0,0xa98cffff,0xffd00001,0xffff30df,0x3fffa20b,
    0x7fffdc5f,0xfff00003,0x7ffcc0df,0x7ffec04f,0xff3000ff,0xffa83fff,
    0x7ff401ff,0x7fe403ff,0xf90001ff,0xffd0dfff,0x3fea001d,0xffffb81f,
    0x3fffea06,0xfffffb06,0x8005001b,0x802ffffc,0x01fffff8,0xf0fffffa,
    0xf700dfff,0x88007fff,0x263fffff,0x7fffec00,0xfffffa85,0xffff100d,
    0x3ee000cb,0xf9806fff,0x0000ffff,0x01fffff3,0x77ffff40,0xfffff500,
    0x3ffffe81,0x07ffffc0,0xf8800000,0xfff35fff,0x1000009f,0xf109ffff,
    0x3fa0ffff,0x7cc5ffff,0x0000ffff,0x206ffff8,0x204ffff9,0x02fffffb,
    0x77ffff40,0x07fffea2,0x1fffff90,0x1ffffea0,0xfffb3001,0xfff509ff,
    0xfffa801d,0xfffff105,0xffff9819,0xffff302f,0x31359dff,0x4001ffb5,
    0x002ffffc,0x83fffff9,0x0fffffd8,0x5337fffc,0x1fffff98,0x7fdc4013,
    0x3f20ffff,0xffffc80b,0xffffd03f,0x7d4137df,0x37fe5fff,0xffd9809b,
    0xff004fff,0x40007fff,0x003fffff,0x3bffffea,0xffff730a,0xffff709f,
    0xfffb105f,0x0000009f,0x9affffc4,0x0004ffff,0x0efffc80,0x47fffff0,
    0xffffffda,0xeffffd85,0xff009801,0x7fcc0dff,0xfff504ff,0xf50009ff,
    0xfdffffff,0xffffffff,0x7fffd4ff,0xfecaceff,0x3e64ffff,0xfeeeeeef,
    0x06ffffff,0x02bbfffa,0x03ffff73,0x7fffffe4,0xfffffecd,0x7fffe406,
    0xffffffff,0x32000fff,0x1002ffff,0xbdffffff,0x5ffffffd,0x54dffff0,
    0xffffefff,0x3bbffa6f,0xffffffee,0x7ffe41ff,0xfffffeee,0x3ffe606f,
    0xffffffff,0x3e5fffff,0xffffffff,0xffffffff,0xffffd000,0x9d9979ff,
    0xfffffe80,0x84eccbcf,0xfffffffe,0xffffffff,0xfffffd00,0xffffd9bd,
    0x000001ff,0xaffffc40,0x004ffff9,0x7f5ccc40,0x3f601fff,0xffefffff,
    0x85ffffff,0xeffffff8,0xffeccbbc,0x0dffff02,0x427fffcc,0xbffffff8,
    0xaaaaaaaa,0xfffffc81,0xffffffff,0x7e47ffff,0xffffffff,0x4c5fffff,
    0xffffffff,0x0effffff,0x3ffff620,0xfffffdef,0x7fec401e,0xffffffff,
    0xfc800eff,0xffffffff,0x440fffff,0xffeeeeee,0xeeeeefff,0xffffc80e,
    0xffffffff,0xdffff05f,0x7fffffd4,0x3ffa2fff,0xffffffff,0xffc82fff,
    0xffffffff,0x7fd401ff,0xffffffff,0x3e5fffff,0xffffffff,0x1fffffff,
    0x3fffea00,0x4fffffff,0x7ffffd40,0x84ffffff,0xffffffe9,0x1fffffff,
    0x3ffffea0,0xffffffff,0x0000003f,0x9affffc4,0x0004ffff,0x7fffffdc,
    0x7ffcc02f,0xefffffff,0xf705fffc,0xffffffff,0x205fffff,0x2606ffff,
    0xfe84ffff,0xffffffff,0x04ffffff,0xfffffff7,0xffffffff,0xffff90ff,
    0xffffffff,0xfffff30b,0xffffffff,0x3ff20019,0xffffffff,0x3fee000d,
    0xffffffff,0x7ff4c005,0xffffffff,0x7ffc40ff,0xffffffff,0x01ffffff,
    0xfffffff5,0x7c07ffff,0x3fea6fff,0x43ffffff,0xfffffffe,0x901dffff,
    0xffffffff,0x22005dff,0xfffffffd,0x24ffffff,0xffffffff,0x1effffff,
    0xffffc800,0x04ffffff,0xffffffc8,0xb104ffff,0xffffffff,0xf5001bff,
    0xffffffff,0x00005fff,0xffff1000,0x13fffe6b,0xffff7000,0x3f20019f,
    0xefffffff,0x205fffb8,0xfffffffa,0x02ffffff,0x4c0dffff,0xff84ffff,
    0xffffffff,0x04ffffff,0x3ffffb26,0xffffffff,0xfff9307f,0x039fffff,
    0x3fffffe6,0x00beffff,0xfffeca80,0x50003dff,0xbffffffd,0x36e20007,
    0xdffffffe,0xffff880b,0xffffffff,0x201fffff,0xffffffd8,0x7ffc00cf,
    0x3fffa66f,0xffe81dff,0xceffffff,0x7ff5c401,0x003effff,0xfffffb50,
    0xb837dfff,0xfffffffd,0x0001dfff,0x7fffff4c,0xd3003fff,0xffffffff,
    0xfffdb807,0x4003efff,0xffffffc8,0x000004ff,0x3fffe200,0x09ffff35,
    0xbcdeb800,0xfffa8001,0x3fee4fff,0x7f64405f,0xefffffff,0xdffff01d,
    0x27fffcc0,0x7ffffffc,0xffffffff,0x26a6004f,0x53300001,0x26200335,
    0x0019aaa9,0x00a98800,0x05544000,0x9a980000,0xffff8800,0xffffffff,
    0x001fffff,0x00013531,0x80099880,0x009aaa98,0x00d54c00,0x2aa62000,
    0x53100099,0x00013555,0x55553100,0x2a620001,0x88000aaa,0x100001aa,
    0x00013553,0xff100000,0x3ffe6bff,0x0000004f,0x00d54c00,0x5554c000,
    0xffff001a,0x7fffcc0d,0xffffff84,0xffffffff,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x20019999,0x31099998,0x33333333,0x81333333,
    0x09999998,0x33331000,0x33333333,0x83333333,0x09999999,0x33331000,
    0x80013333,0x99999998,0x19999999,0x565d4400,0x26660001,0x80000999,
    0x001abba9,0x20013333,0x4c409999,0x26200999,0x4cc09999,0x98801999,
    0x32ea0099,0x41accded,0x99999999,0x99999999,0x33333310,0x33333333,
    0x26233333,0x99999999,0x99999999,0x99980019,0x40000999,0x99999998,
    0x4c409999,0x99880199,0x99998819,0x4cccc400,0x99999881,0x26600009,
    0x00099999,0x35775100,0xffffe801,0xffffd004,0x3ffffea7,0xffffffff,
    0x7fff43ff,0xcdefffff,0xffffb802,0xffffffff,0x27ffffff,0xfffffff9,
    0x802cdeff,0xfffffffa,0x00beffff,0x3fffffea,0xffffffff,0xffe9800f,
    0x00dfffff,0x3ffffea0,0xf910006f,0x7fffffff,0x37fffc40,0x27fffcc0,
    0x81fffffa,0x22fffffb,0x1ffffff8,0x237ffe40,0xffffffb8,0x7fc7ffff,
    0xffffffff,0x53ffffff,0xffffffff,0xffffffff,0x3ffeafff,0xffffffff,
    0x7fffffff,0x7fffd400,0x220005ff,0xffffffff,0x7e43ffff,0x7e401fff,
    0x7fd41fff,0x3fe204ff,0xffe86fff,0xdeffffff,0xfff9802c,0xeeffffff,
    0xfdb1001c,0x07ffffff,0x07ffffcc,0x9bfffea0,0xfffffffa,0xffffffff,
    0x7fffff43,0xefffffff,0x3fffee01,0xffffffff,0x27ffffff,0xfffffff9,
    0x1effffff,0x3ffffea0,0xffffffff,0xffff504f,0xffffffff,0xfd801fff,
    0xffffffff,0xff9003ff,0x003fffff,0xffffffa8,0x81efffff,0x806ffff8,
    0x744ffff9,0xd01fffff,0x445fffff,0x05ffffff,0xf137ffe4,0xffffffff,
    0xfff8ffff,0xffffffff,0xf53fffff,0xffffffff,0xffffffff,0x3fffeaff,
    0xffffffff,0x07ffffff,0x3ffffe20,0x2e0005ff,0xffffffff,0x7e43ffff,
    0x7e401fff,0x7fd41fff,0x3ff204ff,0xffe81fff,0xffffffff,0x3e601eff,
    0xffffffff,0x202effff,0xfffffffb,0xb01fffff,0xe80bffff,0x3ea1ffff,
    0xffffffff,0x43ffffff,0xfffffffe,0xdfffffff,0xaacffb80,0xaaaaaaaa,
    0x267ffaaa,0xffffffff,0xdfffffff,0xfffffa80,0xffffffff,0xfffa84ff,
    0xffffffff,0x3200ffff,0xffffffff,0x802fffff,0xffffffff,0x3ffea003,
    0xffffffff,0x7fc40fff,0xff9806ff,0x7fffc4ff,0xfff884ff,0x3fe23fff,
    0x200fffff,0xfd16fffc,0xfddfffff,0xfff8ffff,0xffffffff,0xf53fffff,
    0xffffffff,0xffffffff,0x3fffeaff,0xffffffff,0x07ffffff,0x3fffff20,
    0x3a0005ff,0xffffffff,0x7e43ffff,0x7e401fff,0x7fd41fff,0xfff504ff,
    0x3ffa07ff,0xffffffff,0x980dffff,0xffffffff,0x3fffffff,0x7fffff44,
    0xffffffff,0xfffff106,0x3fffea03,0x7ffffd45,0xffffffff,0x7fff43ff,
    0xffffffff,0xfb86ffff,0x0135512f,0x3fe67ff8,0xffffffff,0x86ffffff,
    0xeeeffffa,0xffffffee,0x7fffd42f,0xffffffff,0xff300fff,0xb757dfff,
    0xf3009fff,0xbfffffff,0x3fffe200,0xffedcdff,0x7fc44fff,0xff9806ff,
    0x7fffc4ff,0xfffb86ff,0x3fe23fff,0x204fffff,0xff76fffc,0x73015fff,
    0xeeeeed8b,0xeeefffff,0xffff52ee,0xffffffff,0x2fffffff,0xfffffffa,
    0xffffffff,0xf3007fff,0xbfffffff,0x3ffe6000,0xeeefffff,0xffb532ee,
    0x555559ff,0x9ffffb55,0x27fffd45,0x2fffff44,0xffffffd0,0xffffffff,
    0xffff30df,0xffffffff,0x7c43ffff,0xfeffffff,0x04ffffff,0x20dffff7,
    0x540ffffe,0x0005ffff,0x531ffffa,0x5ffffff9,0xff32ffb8,0xff019fff,
    0x27fffccf,0x3ffff2a6,0x7ffd42ff,0xffff703f,0xffffa89f,0xffd80005,
    0x0bd304ff,0x3ffffee0,0xd800ffff,0xc80effff,0x220fffff,0x9806ffff,
    0x7fc4ffff,0x6c0fffff,0x24ffffff,0xfffffff8,0xdfff900f,0x013ffff6,
    0x7fffcc00,0x3fe60005,0x4c0005ff,0x0005ffff,0xffffffe8,0xf90005ff,
    0x1ffffbff,0x7ffffe40,0xffffffff,0xffffffff,0x09ffff50,0x01fffff9,
    0x263ffff4,0xffffffca,0x27fffcc2,0x3ffff662,0x3ffe60ff,0x7fffd41b,
    0x3fffa06f,0x7fffdc2f,0x5ffffa84,0x3fffa000,0x3fffea07,0x997fdc6f,
    0x3fffffff,0xfff33ffc,0x7ffd409f,0x7ffd46ff,0x3ffee03f,0x7fffd46f,
    0xfff80005,0x3a00006f,0xfffdefff,0xffff802f,0x3fff601f,0x3fffe24f,
    0xffff9806,0x3ffffe24,0x3ffe23ff,0x3e24fffe,0x3fffffff,0x3adfff90,
    0x0004ffff,0x0bffff30,0x7fffcc00,0x7fcc0005,0x5c0005ff,0xfffaffff,
    0xfff0005f,0x01ffff5f,0x7fffffe4,0xffffffff,0x0fffffff,0x989ffff5,
    0x402fffff,0x2a07fffe,0x4c6fffff,0x2a04ffff,0x5c2fffff,0x3ffea00e,
    0xfff500ff,0x7fffc4df,0xffffa80f,0x3ffa0005,0x7ffcc07f,0x4bfee3ff,
    0xffffdcc8,0xf99ffe2f,0x7cc04fff,0x3ea3ffff,0x3e603fff,0x7fd46fff,
    0x440005ff,0x0004ffff,0x57ffff10,0x9809ffff,0x5405ffff,0x3e26ffff,
    0xf9806fff,0x3fe24fff,0x2a5fffcf,0x4fffcfff,0x3fffffe2,0xfff907ff,
    0x3fffff6d,0x7cc0000b,0x20005fff,0x005ffff9,0x2ffffcc0,0xffff1000,
    0x017fffeb,0x27bffea0,0x3200ffff,0xffffffff,0xffffffff,0xf50fffff,
    0xffe89fff,0xffe804ff,0x7ffcc07f,0x3ffe63ff,0x7ffec04f,0xfff0003f,
    0x7fec03ff,0xffff72ff,0x3fffea05,0x3ffa0005,0xfffe807f,0x80bfee6f,
    0x3fe7fffa,0x13fffe67,0x9bffffa0,0x203ffffa,0x545ffff9,0x0005ffff,
    0x01ffffcc,0xffffa800,0x07ffff89,0x027fffdc,0x89ffffe2,0x9806ffff,
    0x3e24ffff,0x0fffdcff,0xfff3fffb,0x6ffffc4b,0xfc82ffff,0xffff76ff,
    0x0005bfff,0x017fffe6,0x5ffff980,0x7ffcc000,0x3f60005f,0xffff0fff,
    0xfffb000b,0x01ffff37,0x7ffff654,0xcccccccd,0x0cdffffe,0x649ffff5,
    0xd006ffff,0xfd00ffff,0x7fccdfff,0x7fdc04ff,0xfd0005ff,0x7cc05fff,
    0xfff8efff,0x3ffea06f,0x3fa0005f,0xffa807ff,0x0bfee7ff,0x3e3fff50,
    0x3fffe67f,0xffffa804,0x0ffffea7,0x43ffffb8,0x005ffffa,0x1ffffd40,
    0xfffd8000,0x07ffffa7,0x04ffffb8,0x10fffff8,0x300dffff,0x7cc9ffff,
    0x2fffbcff,0xfff39fff,0x57fffc4b,0xfc86ffff,0x3fffa6ff,0x1cffffff,
    0x3fffe600,0x3fe60005,0x4c0005ff,0x0005ffff,0x7c7ffff3,0x44005fff,
    0xff98ffff,0xffc800ff,0x7fe401ff,0x7ffd41ff,0xfffff34f,0x3fffa003,
    0xffffa807,0x13fffe67,0x0bffff50,0x3ffffe00,0x7fffe401,0x201ffffe,
    0x005ffffa,0x01ffffa0,0xb9ffffe2,0x7fc402ff,0x7ccfff2f,0xf8804fff,
    0x3fea7fff,0xfff303ff,0xfffa81ff,0x7d40005f,0x00003fff,0x7e4bffff,
    0x3ea03fff,0xfe805fff,0xfff11fff,0xfff300df,0x67ffcc9f,0xff9cfff8,
    0x26fff99f,0xfcaffff8,0x7fe42fff,0x3fff626f,0xefffffff,0xffff9801,
    0x3fe60005,0x4c0005ff,0x0005ffff,0xff8dfffd,0x7dc005ff,0xffff35ff,
    0xffff9001,0xffffc803,0xa7fffd41,0x003ffffe,0x201ffffa,0x267ffff8,
    0x5c04ffff,0x8004ffff,0x807ffff9,0xfffffff8,0x7ffd404f,0xaaaaaaef,
    0x3eaa2aaa,0xaaaaffff,0x1fffff81,0xfa805ff7,0x4cfff1ff,0xf004ffff,
    0x3ea3ffff,0xbaaadfff,0x82fffffd,0x005ffffa,0x1ffffd40,0x7ffcc000,
    0x3fffe63f,0x3fffe206,0x7fff401f,0xfffff12f,0x99999999,0x549ffffb,
    0xdffd4fff,0x3fe6fff9,0x3fffe26f,0x45ffff8a,0xeb86fffc,0xffffffff,
    0x7fcc02ff,0x260005ff,0x0005ffff,0x02ffffcc,0x0ffffdc0,0x0017fffe,
    0x3e65fffd,0xaaaabfff,0x0ffffe40,0x07ffff20,0xf99ffff5,0x2a00bfff,
    0xaafffffa,0xffff81aa,0x9ffff31f,0x3ffffd80,0xffffc800,0xffff7005,
    0xfa801fff,0xffffffff,0x3e7fffff,0xffffffff,0xffff85ff,0x985ff72f,
    0x26fffc99,0x3ffe67ff,0xffff004f,0x3fffea5f,0xffffffff,0xfff501ef,
    0xddddddff,0x77547ddd,0xeeeffffe,0x803eeeee,0x7c0ffffc,0x3e00ffff,
    0x21cfffff,0xfffffda8,0xffffff12,0xffffffff,0x7d49ffff,0xffff93ff,
    0x3ffe29ff,0x4bfffe26,0x321ffffd,0x2e206fff,0xfffffffe,0x3ffe600e,
    0x3bb6005f,0xefffffee,0x26003eee,0x4005ffff,0xf84ffff8,0x26005fff,
    0x3fe67fff,0x1fffffff,0x7fffffe4,0xffffffff,0x7fd41fff,0xfffffdff,
    0xfffff000,0x0bffffff,0x265fffff,0x2604ffff,0x001fffff,0x0fffffcc,
    0xfffffd00,0xffff5007,0xffffffff,0x7fffcfff,0x5fffffff,0x73ffffe8,
    0x7ffcc5ff,0x3fe1ffff,0x13fffe67,0x9fffff40,0xfffffffa,0x3effffff,
    0xffffff50,0xffffffff,0x7ffffdc9,0xffffffff,0xffe804ff,0xffffd86f,
    0x3fffee02,0xffffffff,0xf12fffff,0xffffffff,0xffffffff,0x9fffdc9f,
    0x2ffffff9,0x7c4ffff1,0xfff32fff,0x37ffe49f,0xffffc880,0x3fe602ff,
    0x3fe005ff,0xffffffff,0x2004ffff,0x005ffff9,0x407fffec,0x2005ffff,
    0x3e64fffc,0xffffffff,0x7ffffe41,0xffffffff,0x7d41ffff,0xffffffff,
    0x3fffe005,0x5fffffff,0x33ffffe8,0x2a09ffff,0x005fffff,0x05ffffe8,
    0x37fffd40,0xfffffa80,0xffffffff,0x3ffffe7f,0x85ffffff,0xf72ffffe,
    0x7fffcc5f,0x33ffc1df,0x2009ffff,0xf52ffffe,0xffffffff,0x1dffffff,
    0xffffffa8,0xffffffff,0x3ffffee4,0xffffffff,0x7fc404ff,0xfffb84ff,
    0x7ffec05f,0xffffffff,0xf11fffff,0xffffffff,0xffffffff,0x1fffdc9f,
    0x44ffffff,0x3fe27fff,0x3fffa2ff,0x0dfff90f,0xfffff980,0x3fffe603,
    0x3fffe005,0xffffffff,0x3e6004ff,0x2a005fff,0xff02ffff,0x7fc00bff,
    0x3ffe61ff,0x41ffffff,0xfffffffc,0xffffffff,0x7ffd41ff,0x1fffffef,
    0xffffff00,0xd0bfffff,0x3e65ffff,0xcbaaefff,0x0ffffffe,0x7fffec00,
    0x3333200f,0xceffffcc,0x7d42cccc,0xccccefff,0x324ccccc,0xccfffffc,
    0xffff82cc,0x445ff71f,0xff009eff,0x27fffccf,0x1fffff80,0x55bffff5,
    0xfffff995,0xffffa8df,0xffffffff,0x3bbaa4ff,0xeeeeffff,0x5c03eeee,
    0xf882ffff,0x64407fff,0xffffffff,0x0fffffff,0x99fffff1,0xfb999999,
    0x7fdc9fff,0x3ffff62f,0x89fffe25,0x3ea2ffff,0xfff94fff,0xfffd000d,
    0x7ffcc07f,0x3ffe005f,0xffffffff,0x26004fff,0x2005ffff,0x3e05fffe,
    0xf5005fff,0xfff98dff,0x40aaaabf,0xfffffffc,0xffffffff,0x7ffd41ff,
    0x6ffffdcf,0xffff9900,0xf059999f,0x3e63ffff,0xffffffff,0x03ffffff,
    0x7ffffe40,0x7ffffc01,0xffffffff,0x7fd43fff,0x3a0005ff,0xf8807fff,
    0xff70ffff,0x202ffc45,0x3ffe67ff,0xfff8804f,0xffff50ff,0x7fffe407,
    0x3fffea3f,0x9999999d,0xfff50099,0xfd80007f,0x3ffa07ff,0xed9801ff,
    0xf9ceffff,0x3fe27fff,0xff9806ff,0x3fff24ff,0x0bfffea2,0x3e21ffff,
    0x7ff42fff,0x6fffc8ff,0xfff50059,0x7fcc03ff,0x266005ff,0xeffffa99,
    0x20009999,0x005ffff9,0x401ffff9,0xb005ffff,0xff987fff,0xffc800ff,
    0x7fe401ff,0x7ffd41ff,0xfffff8cf,0x3fffa004,0xffff8807,0xfffff30f,
    0xffffffff,0xffc8005d,0xff803fff,0xffffffff,0x43ffffff,0x005ffffa,
    0x01ffffa0,0xb9ffffe6,0x17fe22ff,0x7fccfff0,0xff9804ff,0x3ffea7ff,
    0x7ffec03f,0x3fffea5f,0x7fd40005,0x7c0003ff,0x9999efff,0x4ffffd99,
    0x7c408800,0x3fe27fff,0xff9806ff,0x3fff24ff,0x03fffe22,0x3e21ffff,
    0x7fdc2fff,0x6fffcbff,0x5579bffd,0xffffffb7,0x5ffff980,0x3ffe6000,
    0x7cc0005f,0xf8805fff,0xccccefff,0xeffffccc,0xff882ccc,0x7ffcc0ff,
    0xfffc800f,0x7ffe401f,0x7fffd41f,0x5fffff74,0x1ffffa00,0x9ffffe60,
    0xfffffff9,0x003fffff,0x3fffffb8,0x75555500,0x555dffff,0xfffa8355,
    0x3fa0005f,0xffc807ff,0x0bfee6ff,0xf33ffc00,0xf9009fff,0x7fd4dfff,
    0x7fd403ff,0x3ffea6ff,0x7d40005f,0x20003fff,0xfffffffa,0xffffffff,
    0xf500006f,0x7fc49fff,0xff9806ff,0x3fff64ff,0x7c2fff42,0xfff11fff,
    0xffff885f,0xfd6fffce,0xffffffff,0x805fffff,0x005ffff9,0x17fffe60,
    0xffff3000,0xffff300b,0xffffffff,0xffffffff,0xfffff709,0xffffffff,
    0xffff9001,0xffffc803,0x27fffd41,0x01dffffd,0x00ffffd0,0x4cdffff9,
    0xccceffff,0xf700009a,0x0007ffff,0x05ffff88,0x0bffff50,0x3ffff400,
    0x3ffffe20,0xb90bfee3,0x267ff805,0x4404ffff,0x2a3fffff,0x5403ffff,
    0x3ea6ffff,0x40005fff,0x003ffffa,0x3fffff20,0xffffffff,0x0000ffff,
    0x21ffffd8,0x806ffff8,0x364ffff9,0x4cc41fff,0x11ffff80,0xf905ffff,
    0xdfffdfff,0x3ffffffa,0x2fffffff,0x5ffff980,0x3ffe6000,0x7cc0005f,
    0xf9805fff,0xffffffff,0xffffffff,0xffe84fff,0xffffffff,0xfc800fff,
    0x7e401fff,0x7fd41fff,0x3ffe64ff,0xffe804ff,0x7ffc407f,0x3ffe63ff,
    0x2e00004f,0x003fffff,0x5ffff880,0xbffff500,0x7fff4000,0x7fffe407,
    0xf917fdc6,0x3ffc03ff,0x809ffff3,0x546ffffc,0x6403ffff,0x3ea5ffff,
    0x40005fff,0x003ffffa,0x3fffffe0,0xffffffff,0x0003ffff,0x237fffdc,
    0x806ffff8,0x364ffff9,0x7c001fff,0xfff11fff,0xffff105f,0x3b2dffff,
    0xffffffff,0xf3000bef,0x4000bfff,0x005ffff9,0x2ffffcc0,0x7ffffcc0,
    0xffffffff,0x4fffffff,0x7fffffcc,0xffffffff,0xffffc800,0x7fffe401,
    0x27fffd41,0x0bfffff2,0x80ffffd0,0x4c6ffffc,0x0004ffff,0x5fffff70,
    0xddddb000,0xddfffffd,0xffa85ddd,0x3a0005ff,0xfb107fff,0xfb85ffff,
    0x0ffff62f,0x3fe67ff8,0xffb104ff,0xffa85fff,0x3fe603ff,0x3fea3fff,
    0x540005ff,0x0003ffff,0xdddffff3,0xfddddddd,0x2000bfff,0x3fffffc8,
    0x037fffc4,0xd27fffcc,0xe8003fff,0xfff12fff,0x3fff605f,0x4c46ffff,
    0x04fffeaa,0x5ffff980,0x3ffe6000,0x7cc0005f,0xc8805fff,0xcccccccc,
    0xeffffccc,0x7fec2ccc,0xeeeeeeff,0xc800ffff,0x6401ffff,0x7d41ffff,
    0x7f444fff,0x3a00ffff,0xfb107fff,0xf985ffff,0x80004fff,0x02fffffb,
    0xffffff00,0xffffffff,0xfffa87ff,0x999999df,0x7f409999,0xca999fff,
    0x86ffffff,0x3fea2ffb,0x99ffe00f,0x999dffff,0xffffffca,0x3ffffa86,
    0x7fffe4c4,0x3ffea1ff,0x9988005f,0x99cffffb,0x19999999,0x00ffffdc,
    0x07ffffcc,0x5d4ccccc,0x5ffffffc,0x06ffff88,0x24ffff98,0x4001fffe,
    0xff12fffe,0x3fe605ff,0x406fffff,0x8001ffff,0x005ffff9,0x17fffe60,
    0xffff3000,0x3e00000b,0x3e205fff,0xff302fff,0xff9001ff,0xffc803ff,
    0x7ffd41ff,0xffffa84f,0x3fffa05f,0xffca999f,0xf986ffff,0x40004fff,
    0xcefffffb,0xcccccccc,0x7ffffc1c,0xffffffff,0x7fd43fff,0xffffffff,
    0x743fffff,0xffffffff,0x1effffff,0x5442ffb8,0xf33ffc00,0xffffffff,
    0x3dffffff,0xffffff50,0xffffffff,0xfffa87ff,0xffb8005f,0xffffffff,
    0xffffffff,0x01ffffa1,0x82fffff8,0xffffffff,0x106fffff,0x300dffff,
    0x7fc9ffff,0x7f4001ff,0xffff13ff,0x7ffff405,0x3fe606ff,0xffff806f,
    0xffffffff,0x9803ffff,0x0005ffff,0x02ffffcc,0xffff8000,0x1fffee05,
    0xffffff98,0x7fe45fff,0x7fe401ff,0x7ffd41ff,0xffffb04f,0x3fffa05f,
    0xffffffff,0xf981efff,0x20004fff,0xfffffffa,0xffffffff,0x4cccc2ff,
    0x9dffffa9,0x7d409999,0xffffffff,0x43ffffff,0xfffffffe,0x04ffffff,
    0x33337fee,0xcccccccc,0x3e67ffcc,0xffffffff,0x204fffff,0xfffffffa,
    0xffffffff,0x5ffffa85,0xffffb800,0xffffffff,0x11ffffff,0x400bffff,
    0xf84ffffd,0xffffffff,0xf100dfff,0xf300dfff,0x7ffc9fff,0x7ff4000f,
    0x5ffff13f,0x7ffffd40,0x3ffea06f,0xfffff803,0xffffffff,0xf9803fff,
    0x40005fff,0x005ffff9,0xbffff000,0x027fff40,0xfffffff3,0xfffc8bff,
    0x7ffe401f,0x7fffd41f,0xfffff104,0xffffd01f,0xffffffff,0x7ffcc09f,
    0x3ea0004f,0xffffffff,0xffffffff,0xffff8802,0xffff5005,0xffffffff,
    0xffe87fff,0xffffffff,0x7fdc01ef,0xffffffff,0xffffffff,0x3ffffe67,
    0xefffffff,0x7fffd401,0xffffffff,0xfff502ef,0xff7000bf,0xffffffff,
    0xffffffff,0x0bfffea3,0x7ffffa80,0xfffffff8,0x4401efff,0x9806ffff,
    0x3fe4ffff,0x7ec000ff,0xffff13ff,0xffffe805,0x3fff206f,0xfffff800,
    0xffffffff,0xf9803fff,0x40005fff,0x005ffff9,0xbffff000,0x07fffe60,
    0xffffff98,0x7fe45fff,0x7fe401ff,0x7ffd41ff,0x3ffee04f,0xfffe85ff,
    0xffffffff,0x7ffcc01e,0x3ea0004f,0xffffffff,0xffffffff,0xffff8802,
    0xffff5005,0xffffffff,0xffe87fff,0xabceffff,0xffff7001,0xffffffff,
    0x4fffffff,0xfffffff9,0x5001abce,0xffffffff,0xa80399dd,0x8005ffff,
    0xfffffffb,0xffffffff,0xfffb1fff,0x7fc4001f,0x7ffc1fff,0x00aceeff,
    0x0dffff10,0x29ffff30,0x000ffff8,0xf8a7ffec,0x7dc02fff,0x3a06ffff,
    0xfff006ff,0xffffffff,0x007fffff,0x00bffff3,0x5ffff980,0xfff00000,
    0x3fff20bf,0x7fffcc06,0x645fffff,0x6401ffff,0x7d41ffff,0x7f404fff,
    0x7f42ffff,0xbcefffff,0xfff3001a,0x7d40009f,0xffffffff,0xffffffff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00666620,0x00cccc40,
    0x4cccc400,0x30000999,0x00003333,0x00355530,0x00013333,0x665d4400,
    0x4ccc41ac,0x99999999,0x22199999,0x40009999,0x4cc19999,0x33000999,
    0x4cc41333,0x33300019,0x02666661,0x13333100,0x30199880,0x33310133,
    0x33333333,0x20333333,0x1e4001d8,0x07333200,0x00000000,0x32a60020,
    0x00abcddc,0x5e6e5440,0x32a20009,0xbdc980ac,0xcba88000,0x26001acc,
    0x009bcdca,0xdedcba80,0x00001acc,0x003ffffb,0x01ffffd0,0xffffa800,
    0xceffffff,0x7ffff801,0x3f660000,0x7cc05fff,0x00004fff,0xffffffc8,
    0xff70ffff,0xffffffff,0x3fffffff,0x01ffffee,0x46ffff98,0x805ffffe,
    0x21fffffc,0x8007fff9,0xffb6fff9,0xfe800bff,0x7ec02fff,0x7ffcc0ff,
    0xfffffe85,0xffffffff,0x3221ffff,0xf3000eff,0x3fe005df,0x76c003ff,
    0x50000000,0xfff9103f,0xffffffff,0xffe88019,0x02ffffff,0xffffffa8,
    0xfffffd11,0x3fff2005,0x0fffffff,0x3ffffee0,0x8803ffff,0xfffffffb,
    0x00007fff,0x003ffffb,0x01ffffd0,0xffffa800,0xffffffff,0x3ffe01ef,
    0xd880007f,0x05ffffff,0x027fffcc,0xfffd5000,0xffffffff,0x3ffffee1,
    0xffffffff,0x3fe1ffff,0xfb003fff,0xffa87fff,0x3e201fff,0x7cc4ffff,
    0xfa8007ff,0xffff76ff,0x7ffc400f,0x7ffe807f,0xe84fffa8,0xffffffff,
    0xffffffff,0x3ffffa1f,0xfffe8804,0xffff803f,0x3bff6003,0x5c000001,
    0x7fcc1fff,0xffffffff,0xf500ffff,0xffffffff,0x3e601bff,0x8effffff,
    0xfffffffd,0x3fffaa02,0xffffffff,0xffffd880,0xefffffff,0xfffff100,
    0xffffffff,0x3ff60000,0xfe8001ff,0x40000fff,0xfffffffa,0xefffffff,
    0x0fffff00,0x7ffe4400,0x405fffff,0x004ffff9,0xfffff700,0xffffffff,
    0x3ffffee1,0xffffffff,0x3ee1ffff,0xf9806fff,0xffd06fff,0x7fe40dff,
    0x7fcc0fff,0x7d4000ff,0xffff15ff,0x3fee005f,0xfff805ff,0x83fffa87,
    0xfffffffe,0xffffffff,0x3ffe61ff,0x7fe402ff,0xfff005ff,0x3ff6007f,
    0x00002fff,0x3fffffb0,0x7fffffcc,0xffffffff,0xfffffb85,0xffffffff,
    0xddffff04,0xdfffffff,0x2e0dffff,0xffffffff,0x440fffff,0xffffffff,
    0x86ffffff,0xffffffe8,0x07ffffee,0xffffb000,0xfffd0003,0xfa80001f,
    0xffffffff,0x06ffffff,0x000fffff,0xffffff91,0x980bffff,0xccceffff,
    0x3e60019a,0xcdffffff,0xf70ffedc,0xffffffff,0xffffffff,0x2fffff83,
    0x1ffffec0,0x2fffffa8,0x3fffff88,0x00ffff88,0xd2fffd40,0x2009ffff,
    0x802ffffd,0xffb86fff,0xffffe82f,0xffffffff,0x641fffff,0xedbfffff,
    0xffffccee,0xffff000f,0x3ffea007,0x00003fff,0x3fffffa2,0x26fbe60e,
    0x7fffe441,0x3fffe21f,0x7fffdc2f,0x27ffcc1f,0x27fffffb,0x4c1fffe8,
    0xdfffffff,0x40ffedcc,0xcefffffc,0xffffffdb,0x7ffffdc3,0x005b980a,
    0x3ffffb00,0x7ff40220,0x540000ff,0x5c43ffff,0x81fffffe,0x8007ffff,
    0xfffffffb,0x4c05ffff,0xffffffff,0x401dffff,0x03fffffe,0x4ccc4326,
    0xa9999999,0xb86fffff,0x2606ffff,0x6c06ffff,0xfc86ffff,0xf880ffff,
    0x5c000fff,0x3ff24fff,0xfff006ff,0xff8801ff,0x1fffc85f,0xccccccb8,
    0xffdccccc,0xffd80fff,0xffffffff,0x001fffff,0x800ffffe,0x4ffffff9,
    0xffe98000,0x01884fff,0x47ffff90,0x501ffffc,0xfc8dffff,0x3ffe60ff,
    0x27ffd47f,0x0ffffffa,0x3fe60c98,0xfd883fff,0x3f60ffff,0x00004fff,
    0x3ffff600,0xfd02fb81,0x80001fff,0x103ffffa,0xf05fffff,0x1000ffff,
    0xf57fffff,0xf980bfff,0xffffffff,0x80dfffff,0x02fffffb,0x3ff60000,
    0xfff00fff,0x3ff605ff,0x7fcc02ff,0x3fe22fff,0x3fe03fff,0x7dc001ff,
    0x3ffe64ff,0x7fcc00ff,0xff9806ff,0x1fffd84f,0xfffd8000,0xffff104f,
    0xffffffff,0xff8007ff,0x744003ff,0x00dfffff,0xfffff500,0xf300007f,
    0x3fe29fff,0x7ff404ff,0x437ffc7f,0x7c46ffff,0x3ffee5ff,0xfd8002ff,
    0x7fc04fff,0x3ffa3fff,0x000004ff,0x87ffff60,0xfd02fffb,0x80001fff,
    0x203ffffa,0xf84ffffc,0xb0007fff,0x3fe619ff,0x7fcc05ff,0xffffffff,
    0xd85fffff,0x0005ffff,0x3fffea00,0x3ffee03f,0xffff986f,0xffff9006,
    0x37fffe4d,0x007fffe0,0xf87fff70,0x6403ffff,0xe883ffff,0xeffffeee,
    0xeffffeee,0xf98003ee,0x2e00ffff,0xffffffff,0xa80fffff,0xffaaaaaa,
    0xaaaaadff,0x3fff600a,0x5c000eff,0x02ffffff,0xffff1000,0x0bfffeab,
    0x23ffff90,0xfe85fff8,0x6fff84ff,0x017ffff6,0x07ffffc0,0x93fffee0,
    0x0bfffffd,0xfd800000,0xfffbafff,0xfffd02ff,0xfa80001f,0x3ee03fff,
    0xfff84fff,0x1b50007f,0x05ffff98,0x677fffcc,0xffffedcc,0x7fff44ff,
    0x1000001f,0x00bfffff,0xd83fffff,0x1002ffff,0xf15fffff,0xf805ffff,
    0x19981fff,0x643fffb8,0x7405ffff,0xf881ffff,0xffffffff,0xffffffff,
    0xfd8004ff,0x7ec04fff,0xfd30cfff,0xffd07fff,0xffffffff,0x7fffffff,
    0xfffffc80,0xfff9001f,0x20001dff,0xffbaaa99,0xffff75ff,0x55555557,
    0x265ffffb,0xffd84fff,0xff9999cf,0x3ffffa6f,0xfff88001,0xfff9805f,
    0x3fffee5f,0x0002dfff,0x3ffff600,0x2fffffff,0x01ffffd0,0xffffa800,
    0x3ffff203,0x07ffff83,0x7ffcc000,0x7ffcc05f,0xfffd304f,0x7fffc3ff,
    0xb000000f,0x001fffff,0x4cbffff7,0x4006ffff,0xfceffffc,0xfe806fff,
    0x7ffd41ff,0x21fffe40,0x207ffffa,0x106ffff8,0xffffffff,0xffffffff,
    0x98009fff,0x200fffff,0xd04ffff9,0xffd0dfff,0xffffffff,0x7fffffff,
    0xfffff500,0x7fec405f,0x4000dfff,0xffffffea,0xfb5fffff,0xffffffff,
    0xffffffff,0x213ffe67,0xfffffffd,0x3fe7ffff,0xa8000fff,0x8804ffff,
    0x7f47ffff,0xffffffff,0x6c00001c,0xffffffff,0x3ffa01df,0x1a8800ff,
    0x03ffffa8,0x03fffff1,0x000fffff,0x5ffff980,0x27fffcc0,0x5fffff10,
    0x01ffffe6,0x7ffd4000,0x3fe003ff,0xfffb1fff,0xff88005f,0xffffffff,
    0x2fffe801,0x321fffe4,0x7fc42fff,0xff701fff,0x3ba209ff,0xeeeffffe,
    0xeeffffee,0x7fec003e,0x7fdc05ff,0xfff700ff,0xfffffd0f,0xffffffff,
    0x2007ffff,0x4ffffff9,0xfffffe88,0x7ffd4004,0xffffffff,0xfffd5fff,
    0xffffffff,0x27ffffff,0xfd83fffa,0xffffffff,0xffff37ff,0x3fee000f,
    0xfff004ff,0xfffd88ff,0xefffffff,0xffb00001,0x03bfffff,0x01ffffd0,
    0x20efffc8,0xa83ffffa,0xf05ffffe,0x0000ffff,0x05ffff98,0x027fffcc,
    0x4d3ffff2,0x0007ffff,0xfffff880,0x7ffdc005,0x6ffff8cf,0xffff7000,
    0x200bffff,0x7fc2fffd,0x7ffe45ff,0x3ffffd82,0x03ffffb0,0x303fff60,
    0x4000bfff,0x01fffff9,0x5037ffe4,0xaa81ffff,0xfffaaaaa,0xaaaaaadf,
    0x3ffa2000,0x3fe65fff,0x4002ffff,0xfffffffa,0xffffffff,0xffffffd5,
    0xffffffff,0x3fea5fff,0xffffd83f,0x6fffffff,0x00fffff3,0x13fffee0,
    0x83ffffc0,0xffffffeb,0x0002ffff,0x3fffffaa,0x3fa001ef,0x3f200fff,
    0x3ea6ffff,0xeeccefff,0x00ffffff,0x000fffff,0x5ffff980,0x27fffcc0,
    0x57fffea0,0x00fffff8,0x7ffec000,0xff8000ff,0xffffcfff,0x3ffa0002,
    0x000fffff,0x7cc5fffb,0x3f60ffff,0xfffb81ff,0xfffff06f,0x43fff400,
    0x0004fffa,0x017ffff2,0x9817fff2,0x2001ffff,0x0003ffff,0x3fffff20,
    0xfffff70e,0x7fc4003f,0x441aefff,0xffb5ffff,0x4c0001ff,0xffd84fff,
    0xfff1003f,0xf50001ff,0xf100bfff,0xb880dfff,0xfffffffe,0x7f44000e,
    0x03ffffff,0x0ffffe80,0x3fffffe0,0xfffff52f,0xffffffff,0x7fffc01b,
    0x7cc00007,0x7cc05fff,0x7d404fff,0x3ffe5fff,0x200002ff,0x02fffffa,
    0xfffff700,0x8000dfff,0x5ffffffb,0x8ffff200,0x22fffffc,0xf881fffd,
    0x7cc0ffff,0x3e005fff,0xfffb87ff,0xfff10003,0xff9003ff,0x7ffcc0df,
    0x3ffe000f,0xd880003f,0x40dfffff,0x3ffffffa,0xdffff700,0xaffffc40,
    0x001ffffc,0x213ffe60,0x2004fffe,0x002fffff,0x06ffff98,0x04ffffa8,
    0x3ffff220,0x7cc002ff,0x1fffffff,0xffffe800,0xfffff100,0x3ffea7ff,
    0xffffffff,0xffff800c,0x7cc00007,0x7cc05fff,0x7dc04fff,0x3ffa3fff,
    0x100006ff,0x00bfffff,0xffffff80,0x740002ff,0x0fffffff,0x47fff900,
    0x25fffffe,0xfd00fffd,0xffc85fff,0x3fe002ff,0x2fffb86f,0xffff9000,
    0x3ffee00b,0x1fffea07,0x07ffff00,0xfffe8800,0x3fa604ff,0xc804ffff,
    0x2602ffff,0xff75ffff,0x440007ff,0xfff85fff,0x3ffa005f,0xff0006ff,
    0xfd803fff,0x98003fff,0x003fffff,0x7fffffcc,0xfe8001ff,0x3fe00fff,
    0xf52fffff,0xffffffff,0xff007fff,0x80000fff,0x405ffff9,0x404ffff9,
    0x2e2ffffe,0x004fffff,0xfffffd80,0x7fdc0000,0x0006ffff,0x7fffffd4,
    0xff7004ff,0x3fffe67f,0x3fff67ff,0x9ffff900,0x00ffffe8,0x90bfff10,
    0x10003fff,0x005fffff,0x407fffea,0x4006fffd,0x0003ffff,0x3fffffea,
    0xfffe8803,0x3f600dff,0xfd103fff,0x3fe6bfff,0x10000fff,0xff88dfff,
    0xf9000fff,0x0009ffff,0x40bffffd,0x00fffff9,0x5ffffd00,0xdaef9800,
    0x8001ffff,0x200ffffe,0x26fffffc,0xb9cffffa,0x01fffffe,0x003ffffc,
    0x3fffe600,0x7fffcc05,0x3ffff204,0x3fffe20f,0x5cc0aeff,0xffff501e,
    0x3e00005f,0x002fffff,0x7fffff40,0xb801ffff,0xdff73fff,0x3fa5fff9,
    0x3ffe607f,0x3fffe27f,0x2eaaa205,0xaaaaefff,0x1aabfffe,0xdffff900,
    0x7fffc400,0x7fffd41e,0x7fffc003,0xfff70003,0xd8003fff,0x01efffff,
    0x30dffff9,0x4bffffff,0x01effffd,0x7fff4098,0x3ffffea0,0xffff1003,
    0xb9815dff,0x3fffea1e,0x7ffd40df,0x401644ff,0x00fffffa,0xfffb14c0,
    0xffd0003f,0xffd801ff,0x3ffea1ef,0x7fffec3f,0x3ffffc06,0x3fe60000,
    0x7fcc05ff,0xffd984ff,0xffc83fff,0xffffffff,0xf881ffff,0x0005ffff,
    0x1bfffee0,0xffff7000,0x0dffffdf,0x3a9fff70,0x4fffacff,0xff80fffd,
    0xfff51fff,0x7ffc407f,0xffffffff,0xffffffff,0xffff8804,0x7fec002f,
    0xffdcefff,0x7c000fff,0xc8003fff,0x01efffff,0xfffff700,0xffff705f,
    0xfffd79ff,0x7c4bffff,0xbcefffff,0x42ffeccb,0xf98dfffb,0x0bffffff,
    0xffa83b53,0xffffffff,0x7ec1ffff,0xfeffffff,0x40ffffff,0xaabcdffe,
    0x6fffffdb,0xfffd8000,0xffe8001f,0x1a9800ff,0x43ffffa8,0x03fffff8,
    0x001ffffe,0xbffff300,0xfffff980,0xfffffeee,0x3ff206ff,0xffffffff,
    0xffd81fff,0x00000fff,0x017fffe6,0xfffff880,0x2fffffab,0x467ffd40,
    0xfff8afff,0xc80ffff7,0xffb3ffff,0x7fc401ff,0xffffffff,0xffffffff,
    0xfffc804f,0xffc8006f,0xffffffff,0x54000fff,0x22001aaa,0x0dfffffd,
    0x7ffd4000,0xffe83fff,0xffffffff,0x5c5fffdf,0xffffffff,0x42ffffff,
    0xfffffff8,0xfffffdff,0xfd81ffff,0xffffffff,0x7cc1ffff,0xffffffff,
    0xe82fffff,0xffffffff,0x01ffffff,0xffffd800,0xfffe8001,0x7d40000f,
    0xffb83fff,0x3ffe07ff,0x4c00007f,0x4c05ffff,0xffffffff,0x1effffff,
    0x7ffffdc0,0x1fffffff,0x17ffffd4,0x3fe60000,0x320005ff,0x3fa7ffff,
    0x2a00ffff,0xfffbdfff,0xff3fffb0,0xfffa80df,0x0dffff6f,0xffffff88,
    0xffffffff,0x404fffff,0x02fffff8,0x7ffffcc0,0xffffffff,0x0000006f,
    0x9fffffd3,0x7fcc0000,0x7d44ffff,0xffffffff,0x85fffb9e,0xfffffffa,
    0x82ffffff,0xfffffffb,0xfffffe8c,0xff501fff,0xffffffff,0xffd103ff,
    0xffffffff,0x3fffa01d,0xffffffff,0xb00001ff,0x0003ffff,0x001ffffd,
    0x3ffffa80,0x3fffff88,0x00fffff0,0xffff9800,0x7fffcc05,0xffffffff,
    0x3ae2003f,0xdfffffff,0x7ffffc43,0xf9800004,0x10005fff,0x4c7fffff,
    0x204fffff,0xffddfff9,0x3efffee5,0xfff806ff,0x4ffff9ff,0xffd99980,
    0xffa999af,0x400999ef,0x006ffffb,0x7fffffc4,0xffffffff,0x000004ff,
    0x3fffffd8,0xfe880000,0x7442ffff,0x24ffffff,0x9105fffb,0xfffffffd,
    0x3ee03bdf,0x3623ffff,0x0dffffff,0x7ffff640,0x5c03dfff,0xeffffffe,
    0x7fff6403,0xbeffffff,0x3f600000,0xe8001fff,0x0000ffff,0x81ffffd4,
    0xf06ffffc,0x0000ffff,0x05ffff98,0x7fffffcc,0x00cdefff,0x3ffff500,
    0x7fffec01,0x9800000e,0x0005ffff,0xb0dffffb,0x201fffff,0xfffdfff9,
    0x3f7ffe22,0xffd805ff,0x1ffffeff,0x07ffec00,0x8013ffe6,0x03fffff8,
    0x67fffec0,0xf88aaa98,0x3a62ffff,0xeeeeeeee,0x5eeeeeee,0x017fff44,
    0x3ff60000,0x2aa6203f,0x2a600001,0x4c001aaa,0x555100aa,0x2a620003,
    0x55300019,0x55310003,0x00013555,0x3ffff600,0x9999999b,0xfffd0999,
    0x3333335f,0x3ea03333,0xff303fff,0xfff05fff,0x333333ff,0x55433333,
    0xfffcaaaa,0x0aaaaaef,0x33bffff3,0x7e400001,0x7fd405ff,0xaaaacfff,
    0x0aaaaaaa,0xbffff300,0xffff3000,0xffff307f,0x3ffe20bf,0x7f40ffff,
    0x805fffff,0xfffffffb,0xffe8007f,0x04fffa87,0x1ffffee0,0xdffff900,
    0xfffff700,0x3ffffea3,0xffffffff,0xfe886fff,0x90000001,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x7fec0000,0xffffffff,0xfd2fffff,
    0xffffffff,0x03ffffff,0x407ffff5,0xf86ffffd,0xffffffff,0x27ffffff,
    0xffffffff,0xffffffff,0x9ffff33f,0x3f600000,0x7ff402ff,0xffffffff,
    0x3fffffff,0xbffff300,0xffffd000,0x7fffec0d,0xffff882f,0xfffb85ff,
    0xf8805fff,0x4fffffff,0x87fff800,0x2003fffb,0x003fffff,0x00ffffe4,
    0x51efffd8,0xffffffff,0xffffffff,0x0000220d,0x00003000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0xffffffff,0x2fffffff,0xfffffffd,
    0xffffffff,0x7ffff503,0x7ffffd40,0x7fffffc2,0xffffffff,0x3ffffe7f,
    0xffffffff,0xff33ffff,0x000009ff,0x3a01fffe,0xffffffff,0xffffffff,
    0xfff3003f,0xffa800bf,0x3e602fff,0xff06ffff,0xf107ffff,0x009fffff,
    0x3ffffffa,0x7fc4002f,0x2fffb86f,0xfffff700,0x13f66000,0x543ff880,
    0xffffffff,0xffffffff,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff60000,0xffffffff,0xfd2fffff,0xffffffff,0x03ffffff,
    0x807ffff5,0x7c6ffffe,0xffffffff,0x27ffffff,0xffffffff,0xffffffff,
    0x9ffff33f,0xff100000,0xfffd009f,0xffffffff,0x07ffffff,0x17fffe60,
    0xdfffff00,0xfffffb00,0xffffff07,0x3ffffa01,0xfff7004f,0x8001ffff,
    0xfc85fff9,0xfff001ff,0x180007ff,0x00009800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd800000,0xffffffff,0xd2ffffff,
    0xffffffff,0x3fffffff,0x07ffff50,0x1fffffb8,0x3ffffffe,0xffffffff,
    0x3fffffe7,0xffffffff,0xfff33fff,0x5000009f,0xfd003fff,0xffffffff,
    0xffffffff,0x3ffe6007,0x3fee005f,0xf8802fff,0x7c0fffff,0x2e06ffff,
    0x003fffff,0xbffffff3,0x9fff3000,0x001fffb0,0x01fffff7,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x51000000,0xaa803555,0xdcb981aa,
    0x6e5c42bc,0x9710001b,0x55544005,0x56765c42,0x55555100,0x00155555,
    0x00555555,0x546aaaaa,0x55402aaa,0x2aaa2aaa,0x2e0732a2,0x54c003cc,
    0x88009bdc,0x65c42aaa,0x54c00acd,0x2601abcb,0x4002aaaa,0x2aa2aaaa,
    0x550002aa,0x2aaa6155,0xaaaaaaaa,0x3100aaaa,0x00013597,0x000b3332,
    0x00266620,0x12200000,0x00004880,0x99975100,0x53100159,0x44005799,
    0x22002aaa,0x973000aa,0x2000159b,0x40001998,0x204ffff9,0x265ffff8,
    0xfffffffe,0xfffffa8d,0x7fcc003f,0xff3004ff,0x7fffe4ff,0xffa82fff,
    0xffffffff,0xffffa802,0x7ffdc04f,0xbffff0ef,0x7ffffec0,0x7edbffa1,
    0x3ff65fff,0x7d400eff,0xdfffffff,0x3fffea00,0xffffff90,0xffff703f,
    0x303dffff,0x003fffff,0xd9bfffea,0x88006fff,0xffb1ffff,0xffffffff,
    0x705fffff,0x7fffffff,0x7ffff000,0xfffb0000,0x03bb0003,0x2ff4416c,
    0x8827f440,0x07f7104c,0xffffffe8,0xfc880dff,0x2fffffff,0x3ffff220,
    0xfffa800f,0x3ffa201f,0x00cfffff,0x0bfffe20,0xffff9800,0x3fffe204,
    0x3ffffea5,0xffffffff,0x003fffff,0x03fffff6,0x23fffe60,0xfffffffd,
    0x7ffd42ff,0x2fffffff,0xfffff900,0x3fffe203,0x17fffe1f,0x17ffffdc,
    0x3fefbffa,0xffc9ffff,0x9104ffff,0xffffffff,0x3ea05fff,0xfffe8fff,
    0x41ffffff,0xfffffffc,0xffe80fff,0xffb004ff,0x7ffe45ff,0xfff98007,
    0xfffffb0f,0xffffffff,0x7ff445ff,0x6fffffff,0x1ffffc00,0x7ffe4000,
    0x7ffd4001,0x977fe40d,0x205fffe8,0x224fffe8,0x7d41fffc,0x3fa00fff,
    0xffffffff,0x3fffe20e,0x2fffffff,0x7ffffecc,0x7fc400ff,0xfa80ffff,
    0xffffffff,0xffb000ff,0x20001fff,0x204ffff9,0x2a5ffff8,0xfffeefff,
    0xffefffff,0x3fa007ff,0x9801ffff,0xfffdffff,0x6fffffff,0x7fffffd4,
    0x2002ffff,0xd06ffffe,0xff89ffff,0xfffa85ff,0xfffe83ff,0xdfffffff,
    0x7fffffff,0x437fffd0,0x83fffda8,0xffeffffa,0xffffffff,0x555efe45,
    0xa85fffeb,0x8807ffff,0x7dc7ffff,0x54000fff,0x3ff67fff,0xffffffff,
    0x362fffff,0xffefffff,0x3e003fff,0x4c003fff,0x207ffe40,0x3fffe202,
    0x9ffffcc5,0x85fffffa,0x45ffffe8,0x7cc6fffe,0x3fa05fff,0xffffedee,
    0x7fffec2f,0x26ffffff,0xfffffff9,0x7fcc00ff,0x7c44ffff,0xffeeffff,
    0xf9805fff,0x004fffff,0x09ffff30,0x52ffffc4,0xfffc817d,0xfffd32ff,
    0x3fff2005,0xff9800ff,0xbeffffff,0x22fffffe,0xfdaaaaa8,0x26002fff,
    0x5c4fffff,0xff86ffff,0x7ffcc5ff,0xfffd04ff,0xffff57ff,0xffff55ff,
    0xcadffc81,0xff51bccc,0xffffa83f,0xfcacffff,0x8021ffff,0xff06fff8,
    0xfb803fff,0x7fcc4fff,0x7dc001ff,0x3bbb26ff,0xffeeeeee,0xff50ffff,
    0x7fecc5ff,0x3ffe007f,0x17f4003f,0x7ec4fff7,0x1ffff903,0x546fffe8,
    0x225fffff,0x985ffffe,0x7dc4ffff,0x01302fff,0x887ffff7,0xffb99bef,
    0x3ffa0fff,0x00ffffff,0x7fffffcc,0x0f7ffe46,0x03ffff93,0xffefffe8,
    0xff98001f,0x3fe204ff,0xff0025ff,0xfffa8dff,0xfffb1004,0x3ffe6003,
    0x7ec1efff,0xfc803fff,0x5c002fff,0xf11fffff,0xff03ffff,0x7ff44bff,
    0x3ffa05ff,0x3fffa4ff,0x87fffe3f,0xfff56ff9,0x3fea9fff,0x7ffffd46,
    0x7ffec0ef,0x3ffe003f,0xbffff907,0x1ffffe80,0x017fffc4,0x017fff20,
    0x5fffff90,0x441fffe4,0xf001ffff,0x5c007fff,0xffa8dfff,0x81ffff57,
    0x643ffff9,0xfa80ffff,0xfe8dffff,0x3ee05fff,0x7ff41fff,0x3ea000ef,
    0xf0081fff,0x7d41ffff,0x0ffffc9d,0xfffffe80,0x817fff47,0x2e03ffff,
    0xfffaafff,0xfff98006,0x3ffe204f,0x3ff6005f,0x06fff84f,0x30004cc0,
    0x01ffffff,0x00bffff5,0x005ffff9,0x1dffffb0,0x207ffffd,0x3fa5ffff,
    0x7f406fff,0x3ffa0fff,0x17fff47f,0x3fea3ffd,0xfb0fffcb,0x7fffd45f,
    0xfff980ef,0xeecb884f,0xf307ffff,0x2601ffff,0xff06ffff,0xeeeb87ff,
    0x01fffe41,0x7fffff50,0xd01fffd8,0x3e005fff,0xf1003fff,0xff9dffff,
    0x9fffff9d,0x4c5fffe8,0x2a02ffff,0xffffffff,0xffe805ff,0x7fffcc6f,
    0x3ee66604,0x26007fff,0x2187ffff,0x800ffffc,0x47fffff8,0xfb00ffff,
    0x3fe209ff,0x0ffff66f,0x9ffff300,0x2ffffc40,0x05fffb00,0x0000dfff,
    0xfffff300,0x3fffe203,0xffffc805,0xfff88002,0x5ffffeff,0x6d7fffe0,
    0x400effff,0x7f44fffe,0x7fff43ff,0x7d4bff12,0x225ff70f,0x3ffea4ff,
    0xfff301ff,0x7ffec49f,0x07ffffff,0x40bffffa,0xd03ffffc,0xffe89fff,
    0x17ffec4f,0xfffff880,0x00ffff85,0x2007fff9,0x2003ffff,0xffffffc8,
    0x2effffff,0x107fffe4,0x500bfffd,0xffffffff,0x3ffe200b,0x7fffdc4f,
    0xfffff881,0xd1000cff,0xc807ffff,0x5000ffff,0x7c4dffff,0xff700fff,
    0x3fff209f,0x03fffe61,0x4ffff980,0x17fffe20,0x3fff6620,0xffe9999a,
    0x98000007,0x2205ffff,0xc805ffff,0x0002ffff,0xfffffff5,0x7ffc01ff,
    0xfffffbdf,0x2fffe800,0x3a17fff4,0x7ff32fff,0xffd87fd4,0xffa9bfa0,
    0x332204ff,0xfffd13cc,0xffff999f,0x2ffffdc0,0x00fffff8,0x7ccdfffb,
    0x7ff47fff,0xfffd001f,0xfffd01df,0x4bfffa05,0xfffffffb,0xffffffff,
    0xf7107fff,0xbfffffff,0x7ffff305,0x00ffffd8,0xffffff50,0xfffa800b,
    0x37fff41f,0x7fffffc4,0xfe8802df,0xfc806fff,0xf1000fff,0xfff89fff,
    0x7fffd02f,0x90bfff30,0x4c00bfff,0x2204ffff,0xd985ffff,0xfffffffe,
    0xffffffff,0x3ffffee7,0xffffffff,0x267fffff,0x2204ffff,0xc805ffff,
    0x0002ffff,0x3ffffff2,0x7fffc02f,0x01ffffff,0xe85fffd0,0x7ff42fff,
    0x543ff72f,0x43fffeff,0x3ffea7fd,0xff50004f,0x0ffff0df,0x07ffffc4,
    0x817fffe6,0x3f27fffc,0x3fe2ffff,0xffc800ff,0xffb01fff,0xffff109f,
    0x3ffffee1,0xffffffff,0x407fffff,0xdffffff9,0x3ffff700,0x006fffe8,
    0x3fffffe2,0x7ffd4005,0x37ffec2f,0x7fffffc4,0x3a606fff,0x800effff,
    0x000ffffc,0xe85ffff3,0xff884fff,0xfffe82ff,0x1ffff881,0x9ffff300,
    0x2ffffc40,0x3ffffff2,0xffffffff,0x3ee7ffff,0xffffffff,0xffffffff,
    0x3fffe67f,0x3fffe204,0xffffc805,0x7ff40002,0xff805fff,0xffffffff,
    0x5fffd001,0x742fffe8,0x3ff92fff,0x1fffffd4,0xffa87fe4,0xf90004ff,
    0xfff989ff,0x7fffe407,0x0ffffe43,0x74ffff70,0xf14fffff,0xff700fff,
    0x7dc07fff,0x3f662fff,0x3ffee6ff,0xffffffff,0x7fffffff,0xfffffd50,
    0xd019ffff,0xff98dfff,0xfe8803ff,0x05ffffff,0x8bffff10,0x001ffffb,
    0x03ffffd5,0x0bfffff3,0x07fffe40,0x2ffff440,0x577fffdc,0x86ffffc9,
    0x2e04fffa,0xf3006fff,0x7c409fff,0x3fee5fff,0xfffeefff,0xeeeeeeef,
    0x3fffee6e,0xffffffff,0x27ffffff,0x204ffff9,0x805ffff8,0x002ffffc,
    0x3ffffe60,0x7ffc00ff,0xfffffddf,0x2fffe800,0x3a17fff4,0x5ff52fff,
    0x7fecffd4,0xff53ff41,0x2a0009ff,0xfd9affff,0x7cc07fff,0x7ffc6fff,
    0x7ffcc06f,0xfffff98f,0x0dfff17f,0x5fffff98,0x7ffffc40,0x1fffffef,
    0x3fffffee,0xffffffff,0x7547ffff,0xffffffff,0x21cfffff,0x5c4ffff9,
    0x2201ffff,0xfffffffe,0xffd805ff,0x3ffe20ff,0x7fdc004f,0x7ffd44ff,
    0x7e4003ff,0x99880fff,0x00fffffc,0xfffffffd,0xf885ffff,0x7f400fff,
    0xff9803ff,0x3fe204ff,0xffff15ff,0x07ffec19,0xfffff700,0xffffffff,
    0x4cffffff,0x2204ffff,0xc805ffff,0x0002ffff,0xfffffff1,0xffff80df,
    0x6ffffe8d,0x42fffe80,0x7f42fffe,0x49ff12ff,0x5ff88ffa,0xfff52ffc,
    0x3e20009f,0xffffffff,0xffe807ff,0xffff51ff,0xffff8807,0xffefffc9,
    0x05fffaaf,0x1bffffa2,0x7ffffd40,0x444fffff,0xf9999999,0x9999cfff,
    0x7fff4199,0xfaeffadf,0x7e43ffff,0x7ff41fff,0xfffd106f,0xfffff5bf,
    0x7fffdc0b,0x07fffec2,0x3ffff600,0x3ffffee3,0x21aaaaac,0xfffc9998,
    0xffb099af,0x403dffff,0xffffffe9,0xffc83fff,0xfffa803f,0x7ffcc00f,
    0x3ffe604f,0x0dfff55f,0x4003fffb,0x99999998,0x99999999,0x3fe61999,
    0x3fe204ff,0xffc805ff,0xfb0002ff,0xffffffff,0xaffffc09,0x04fffff9,
    0x3a17fff4,0x7ff42fff,0x543bfe2f,0x21ffb0ff,0x3fea3ffa,0x2a0004ff,
    0xacffffff,0xffb807ff,0xffffb4ff,0x5ffff001,0xfff5dffd,0x409fff7b,
    0x00fffffd,0x3ffffaa0,0xf8002fff,0x2a003fff,0xfff53fff,0x741bff62,
    0x7fcc6fff,0x7ff444ff,0x3ffea5ff,0xfff885ff,0x7fffdc4f,0xdeeff982,
    0x0ffffffe,0xfffffff1,0x74bfffff,0xffffffff,0xfffb5fff,0x7dc007ff,
    0x00dfffff,0x5c009999,0x7cc02ccc,0xfd105fff,0x3feebfff,0x2fffd84f,
    0x80000000,0x204ffff9,0x805ffff8,0x002ffffc,0xceffffb8,0xf01fffff,
    0x7fdcbfff,0x3fa03fff,0x7fff42ff,0x717fff42,0x43fea9ff,0xfff8cff9,
    0x13fffea0,0x59971000,0x200aaa21,0xf8effff8,0xfd005fff,0x19fff9ff,
    0xfff9ffff,0x3fffee07,0x9750002f,0x2000157b,0x4003ffff,0x1ffee0ee,
    0x3fe605f7,0x7ffdc4ff,0xffffd12f,0xfffff50b,0x46fffe8b,0x305ffff8,
    0xffffffff,0x7fc45fff,0xffffffff,0x3fffa5ff,0xffffffff,0x0159bdb5,
    0x002a6200,0x88000000,0xfd07ffff,0x3f2bffff,0x7ff444ff,0x0000005f,
    0x4ffff980,0x17fffe20,0x0bffff20,0xfffff300,0x3bffffa5,0x45ffff80,
    0x01fffffd,0xfe85fffd,0x7fff42ff,0x545fff42,0x7fedd542,0x27fffd43,
    0x00000000,0x3f7ffff2,0xfb002fff,0x23ffffff,0xfffffffd,0xfffffa81,
    0x00000004,0x00ffffe0,0x1fff9010,0x7ffe4008,0x9ffff40f,0x205ffff9,
    0x224ffffa,0x7dc1fffd,0xff300fff,0xbfffffff,0xfffff883,0x5fffffff,
    0x3ffffffa,0x005fffff,0x00000000,0x7ffc0000,0x3ff6a3ff,0xff75ffff,
    0xffffd8df,0xf900002f,0x3e6001bf,0x3e204fff,0xfc805fff,0x22002fff,
    0x264ffffe,0xf85fffff,0x7f445fff,0xfe80ffff,0x7fff42ff,0x217fff42,
    0x500dfff9,0xff50bfff,0x220009ff,0x99999999,0x98019999,0xffffffff,
    0x3fff2007,0x3fee7fff,0x440fffff,0xabffffff,0x1aaaaaaa,0x33333331,
    0x00333333,0x001ffffc,0x00fffe40,0x4c0ffe20,0x2ffcc0cf,0x9827fd40,
    0x05f9104e,0x666665c4,0x555100aa,0x55555555,0x55555435,0x1aaaaaaa,
    0x00000000,0x6c000000,0xfeffffff,0x5fffffff,0xb39ffff5,0x7fffffff,
    0x003f9533,0x01bfffee,0x027fffcc,0x22bffff1,0xffeeeeee,0xeeeeefff,
    0xffffd80e,0xfffffb86,0x42ffffc2,0x86fffff9,0x7f42fffe,0x7fff42ff,
    0xeffffa82,0xdffffdcc,0x4ffffa80,0xffff9000,0xffffffff,0xfffd003f,
    0x4009ffff,0x4ffffffb,0x3fffffe2,0xfffffe87,0xffffffff,0xffff94ff,
    0xffffffff,0x3ffe003f,0xfd80003f,0x018002ff,0x80166008,0x0080004a,
    0x00000000,0x00000000,0x00000000,0x3fffe600,0xceffffff,0xfff15fff,
    0xf9ffffff,0xffffffff,0x3ffa003f,0xf9801fff,0x3e204fff,0xfff15fff,
    0xffffffff,0x83ffffff,0x01fffffb,0x41fffffd,0xf705ffff,0xfe8bffff,
    0x7fff42ff,0x817fff42,0xffffffd8,0x3ea02fff,0x90004fff,0xffffffff,
    0x003fffff,0xfffffff7,0x7ffd4001,0x7fec2fff,0xfff86fff,0xffffffff,
    0xf94fffff,0xffffffff,0x2003ffff,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0x8effffff,0x3ee5fffb,
    0x73ffffff,0xffffffff,0x3ff6003f,0xf9800fff,0x3e204fff,0xfff15fff,
    0xffffffff,0x43ffffff,0x04fffff9,0x9bffffe2,0x3605ffff,0x3a3fffff,
    0x7ff42fff,0x17fff42f,0x3bff72a0,0x7fd400bc,0xf90004ff,0xffffffff,
    0x1003ffff,0x0bffffff,0xfffff880,0xfffffb87,0xffffff85,0xffffffff,
    0xffff94ff,0xffffffff,0x3bb6003f,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffa80,0x17ffee4f,0x87fffff7,
    0xfffffffa,0xfff5000d,0x3fe600bf,0x3fe204ff,0xffff15ff,0xffffffff,
    0x223fffff,0x806ffffe,0xf4fffffb,0x7440bfff,0xfd1fffff,0xfffe85ff,
    0x017fff42,0x3fea0000,0x310004ff,0x33333333,0x6c003333,0x002fffff,
    0x84fffff8,0x84fffff8,0xffffffff,0xffffffff,0x33333314,0x03333333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06aa6000,0x00d4c400,0x0006aaa6,0x000276d4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0xeeeeeeee,0xeeeeeeee,0x81333315,0xddb19999,
    0xdddddddd,0x09dddddd,0x000aee62,0x26660000,0x4cc40999,0x44000999,
    0x059500bb,0x99999930,0x22279999,0x88888888,0x33333208,0xcccccccc,
    0xcccccccc,0x0000002c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffea00,
    0xffffffff,0xff56ffff,0x7ffccbff,0xffffff7f,0xffffffff,0xff50bfff,
    0x4405ffff,0x20000999,0x84fffffd,0x1fffffe9,0x3ffff100,0x404fffd8,
    0xfffffffa,0xffff6fff,0xffffffff,0x3fffffe7,0xffffffff,0xffffffff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffea0,0xffffffff,
    0xfff56fff,0x7fffc49f,0xfffffff6,0xffffffff,0xfffb8bff,0x904fffff,
    0x20007fff,0x02fffffd,0x3fffff62,0xffffb801,0x3ffffe25,0x3fffea00,
    0xf6ffffff,0xffffffff,0x3ffe7fff,0xffffffff,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fea0000,0xffffffff,0x36ffffff,
    0xff89ffff,0xfffff6ff,0xffffffff,0x7c4bffff,0xffffffff,0x2fffd85f,
    0xffffd800,0xfff7000e,0xffc803ff,0x3ffe65ff,0x3ba600ff,0xeeeeeeee,
    0xfffffff5,0x3e7fffff,0xffffffff,0xffffffff,0x003fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff3000,0x05ffff87,0x97ffee00,
    0xfeeffffb,0xf10dffff,0xd8003fff,0x8004ffff,0x01ffffe9,0xd0bfffe6,
    0x0000bfff,0xfffffff0,0x267fffff,0x99999999,0x99999999,0x00099999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff1000,0x05ffff87,
    0x97ffee00,0x3ea4fffd,0xffdfffff,0x7ec007ff,0x20002fff,0x01ffffd8,
    0x3220b766,0x800000ce,0x99999999,0x00009999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe85ffff1,0x20004fff,0x3fa5fffb,
    0x7ffcc2ff,0x4fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x42ffff80,0x0004fffe,
    0xff97ffee,0xffe980ff,0x00efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8000,0xffffffff,
    0x3e6fffff,0x7fec1fff,0x3ee0003f,0x066665ff,0xfffffd88,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0xffffffff,0xffffffff,0x20ffff4d,0x0003fffd,0x000f3326,
    0x000aca88,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffd4000,0xffffffff,0x2e6fffff,0x66540ccc,
    0x0000001c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffff50,0xffffffff,0x00000dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_41_latin_ext_x[560]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,1,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,0,1,3,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,2,
2,2,2,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,3,2,4,4,0,2,1,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,2,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,2,1,2,0,0,2,2,3,0,0,3,
2,-5,-3,3,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_41_latin_ext_y[560]={ 30,1,1,3,-1,1,1,1,0,0,1,9,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,34,1,9,1,9,1,9,1,9,1,0,
0,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-3,0,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,30,9,0,3,4,3,
-3,1,1,3,3,10,17,16,1,2,1,5,1,1,1,9,1,14,30,1,3,10,1,1,1,9,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-2,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
-3,2,-4,1,3,9,-4,1,-4,1,-5,1,-4,1,-4,0,3,1,-3,2,-4,1,-5,1,3,9,-4,1,-4,1,
-4,1,-5,1,3,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,0,-5,9,3,0,-4,1,3,1,9,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,9,-4,1,-2,3,9,-3,2,-4,1,-4,1,3,9,-4,1,3,9,-4,1,
-4,1,-4,1,3,9,-4,1,3,3,-4,0,3,3,-4,1,-3,2,-4,1,-5,-2,-4,1,3,9,-4,1,-4,1,
-4,-4,1,-5,1,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-7,-4,1,-4,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,9,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_41_latin_ext_w[560]={ 0,7,14,22,20,23,24,7,14,14,18,21,12,13,
9,20,21,19,19,19,22,18,21,19,19,20,8,12,17,18,18,15,23,23,20,20,21,17,17,21,20,17,16,20,
17,22,20,22,19,23,20,20,20,20,23,22,23,23,19,11,20,11,20,23,14,18,20,18,19,19,22,21,18,19,
17,20,19,21,18,21,20,19,18,17,19,18,23,23,22,23,17,16,5,16,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,20,22,22,
5,21,19,23,15,18,18,13,21,17,16,19,14,14,21,20,20,9,7,14,15,19,23,23,23,14,23,23,23,23,
23,23,23,20,20,20,20,20,20,20,20,20,22,21,22,22,22,22,22,19,22,21,21,21,21,23,19,20,20,21,
20,20,20,20,23,18,21,21,21,21,21,22,21,21,20,20,22,22,22,22,22,21,21,20,21,20,20,23,20,23,
23,20,23,20,23,19,21,22,20,20,20,20,20,20,23,26,22,22,20,21,20,21,20,21,18,19,20,21,21,22,
21,22,21,22,21,22,21,20,23,20,20,21,20,21,20,21,18,20,20,19,20,19,19,19,20,20,19,20,21,17,
19,26,26,20,25,21,19,21,21,20,18,21,20,21,20,18,22,22,22,22,24,24,23,22,23,21,20,18,23,21,
21,21,21,20,20,17,21,20,20,19,21,27,20,20,21,20,21,20,21,20,21,20,24,24,20,19,22,23,23,23,
23,21,21,21,20,21,20,16,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,23,21,23,23,27,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,20,17,20,19,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__consolas_bold_41_latin_ext_h[560]={ 0,30,11,27,36,30,30,11,39,39,19,20,16,6,
9,34,28,27,27,28,27,28,28,27,28,27,22,29,24,12,24,30,38,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,35,27,28,27,28,27,27,27,27,27,38,34,38,14,5,9,22,30,22,30,22,29,30,29,30,
39,29,29,21,21,22,29,29,21,22,28,22,21,21,21,30,21,38,42,38,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,29,36,27,26,27,
42,34,9,28,21,18,10,6,21,8,15,25,17,17,9,29,34,9,6,17,21,18,29,29,29,29,34,34,34,34,
34,35,27,33,34,34,34,34,34,34,34,34,27,34,35,35,35,35,35,18,36,35,35,35,35,34,27,30,30,30,
30,30,30,33,22,27,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,30,30,30,30,30,38,37,38,
33,29,34,30,36,30,35,30,35,30,36,30,35,30,34,31,27,30,33,29,34,30,35,30,36,30,34,30,35,38,
35,38,36,38,36,39,34,35,27,29,34,29,33,28,34,29,36,39,35,21,28,39,35,38,36,38,21,34,35,36,
38,30,30,27,29,27,29,34,29,36,30,34,29,32,36,30,34,29,35,30,35,30,28,22,34,29,36,30,34,29,
35,30,35,30,33,27,35,30,36,36,34,31,27,28,35,30,34,29,35,30,36,33,35,30,36,30,34,29,34,38,
34,34,29,35,29,34,29,29,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,34,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,40,38,34,30,39,36,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,36,30,36,36,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__consolas_bold_41_latin_ext_s[560]={ 483,504,85,257,185,322,485,504,65,162,331,
309,454,217,500,269,228,83,492,184,357,336,293,280,164,193,503,42,362,66,343,
494,243,169,109,250,87,24,130,372,214,297,355,428,65,235,258,456,472,469,44,
394,336,479,233,210,186,162,142,381,66,454,484,231,164,380,365,442,210,399,474,
386,331,169,80,419,440,148,66,461,21,1,192,483,436,1,227,251,105,108,275,
466,1,437,119,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,483,496,167,
148,300,1,7,401,179,204,211,350,100,217,170,199,467,323,424,409,142,460,380,
500,504,439,293,389,307,283,259,497,290,250,87,135,111,89,380,130,181,274,429,
316,337,248,295,423,449,89,465,488,1,24,420,369,269,443,247,269,377,465,103,
107,86,64,43,22,1,85,20,123,428,406,384,362,110,175,220,452,271,350,224,
201,178,155,132,44,86,65,43,22,1,357,483,413,106,89,314,353,334,313,156,
441,399,249,292,228,113,292,405,201,42,396,43,76,473,270,178,419,84,333,338,
374,333,197,311,220,124,310,206,139,111,47,404,98,23,67,1,271,444,45,44,
98,68,85,315,119,291,393,358,267,128,489,355,404,177,292,469,23,393,1,408,
159,481,63,255,358,132,151,23,346,450,1,199,299,222,274,140,419,226,153,313,
450,202,198,67,340,447,319,22,279,134,464,248,228,1,173,315,415,1,148,44,
55,45,189,1,64,422,230,146,128,133,428,156,333,180,204,371,23,119,226,24,
242,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,359,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,13,288,381,247,37,379,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,103,493,248,228,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65, };
static unsigned short stb__consolas_bold_41_latin_ext_t[560]={ 39,1,422,372,44,253,188,222,1,1,400,
400,400,422,314,153,314,372,344,314,344,314,314,372,314,344,284,314,372,422,372,
153,1,344,344,314,344,344,344,314,344,344,314,344,372,344,344,314,344,44,372,
314,344,314,372,372,372,372,372,1,153,1,400,422,422,372,253,372,253,372,253,
253,284,253,1,284,284,400,400,372,314,314,400,372,314,400,400,400,400,222,400,
1,1,1,422,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,39,222,44,
344,372,344,1,117,422,314,400,400,422,422,400,422,400,372,400,400,422,284,117,
324,32,400,400,400,284,284,284,253,153,117,153,117,117,81,344,188,117,117,153,
117,117,153,117,117,344,117,81,81,117,117,81,400,44,81,81,81,81,117,372,
253,253,253,253,253,253,188,400,372,222,222,222,222,284,284,284,253,222,284,222,
222,222,222,222,400,222,222,222,222,222,1,1,1,188,284,153,188,44,188,81,
188,81,188,44,188,81,188,153,188,344,188,188,314,153,188,81,188,44,188,153,
188,81,1,81,1,44,1,44,1,153,117,344,314,153,284,188,314,117,284,44,
1,117,400,314,1,81,1,44,1,400,117,81,44,1,222,222,372,284,372,253,
117,284,44,253,117,284,188,44,253,153,284,81,253,81,253,314,372,117,284,44,
222,117,284,81,222,44,222,188,344,81,188,44,44,153,188,344,314,81,253,153,
314,81,253,44,188,44,253,44,253,153,253,153,1,153,153,284,81,314,153,284,
284,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,153,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,1,1,153,222,1,44,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,44,44,44,44,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344, };
static unsigned short stb__consolas_bold_41_latin_ext_a[560]={ 361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_41_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_41_latin_ext_s[i] + stb__consolas_bold_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_41_latin_ext_t[i] + stb__consolas_bold_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_41_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_41_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_41_latin_ext_x[i] + stb__consolas_bold_41_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_41_latin_ext_y[i] + stb__consolas_bold_41_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_41_latin_ext_s[i] + stb__consolas_bold_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_41_latin_ext_t[i] + stb__consolas_bold_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_41_latin_ext_x[i] + stb__consolas_bold_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_41_latin_ext_y[i] + stb__consolas_bold_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_41_latin_ext_LINE_SPACING
#endif

