// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT        454
#define STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_42_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_42_latin_ext_LINE_SPACING          28

static unsigned int stb__consolas_bold_42_latin_ext_pixels[]={
    0x32e79997,0x000003cc,0x26620000,0x00001999,0x00003006,0xffffe880,
    0x2600002f,0x20cccccc,0x95003cc8,0xffffd819,0x807fffff,0x00260098,
    0x0159bdf9,0x16edc000,0x2f2e0000,0x2a200000,0x8004fedc,0x7fe43dc9,
    0xffffffff,0x0a988000,0x3ff60000,0xff1000ef,0x00000dff,0xfb85fff3,
    0x200002ff,0x3fffffe8,0x003ffffc,0xfffa8000,0x3f60001f,0xf3000eff,
    0xffffffff,0x3ff600bf,0x0dfffb6f,0x03fffd00,0xfff50000,0x00003dff,
    0x2fd417ea,0xfe880000,0x0000dfff,0x3ffffe60,0x3fffe21e,0x7fffe406,
    0x3fffff61,0x6407ffff,0x7f441eff,0x3fff205f,0x80003fff,0x002ffffd,
    0x1dfffd00,0xfff50000,0xa8009fff,0x3f25ffff,0xffffffff,0x3fae000f,
    0x002dffff,0x3fffff20,0xffff1006,0xf100000d,0x3fa21dff,0x100000ff,
    0x03fffffd,0x000fffff,0xffff5000,0xf90003ff,0x200dffff,0xfffffff9,
    0xfb005fff,0x3fff6dff,0x7ffc4006,0xfa800007,0x000dffff,0x8bfff500,
    0x0005fffa,0x7ffff440,0x7cc00003,0x640dffff,0x302fffff,0x6cdfffff,
    0xffffffff,0x3ffe607f,0x7fffec6f,0xfffff902,0x4c000bff,0x007fffff,
    0xfffffa80,0x7fe40004,0x004fffff,0x97fffff4,0xfffffffc,0xe8800fff,
    0xffffffff,0xffc8003f,0x805fffff,0x006ffff8,0xffffb000,0x00dffffd,
    0x3fffa200,0xffff00df,0x9800000f,0xffffffff,0x3fff2001,0x9805ffff,
    0xffffffff,0xffb005ff,0x1bfff6df,0x0bfff700,0xfff98000,0x066622ff,
    0x3fffee00,0xfffff11f,0x3a20000b,0x0000dfff,0x7ffffcc0,0xfffffd02,
    0x3fffea07,0x3ffff67f,0x207fffff,0x7c7ffffb,0xf904ffff,0x5fffffff,
    0x3ffea000,0xc80007ff,0x005fffff,0x3ffffe60,0x7c004fff,0xf93fffff,
    0xffffffff,0xfffa801f,0xffffffff,0x3ff2003f,0x5fffd8ef,0x37fffc40,
    0xff880000,0x1fffffff,0xffe88000,0x7ffc03ff,0x2000007f,0xfb9ffff9,
    0xfc800fff,0xfffd8eff,0x7fffcc05,0x05ffffff,0x36dfffb0,0x74006fff,
    0x00003fff,0x83bfffe6,0x4007fff8,0x42fffffa,0x05fffff9,0x19a98800,
    0xff980000,0x3f200eff,0xf302ffff,0x7ecbffff,0xf98006ff,0x7fec6fff,
    0xfd9802ff,0x30006fff,0x00dfffff,0xfffff500,0x7fec0009,0x20001eff,
    0x01fffffe,0x007fffdc,0x59fffff3,0x7ffffd73,0x1dfff700,0x1027ffec,
    0x000dffff,0x7fff4c00,0x80001eff,0x01ffffe8,0x007ffff8,0xffff3000,
    0x077ffdc3,0x41dfff70,0x8004fffd,0x005ffffa,0x3f6dfffb,0x3e6006ff,
    0x00001fff,0x2a0aaaaa,0x22004fff,0x502fffff,0x007fffff,0x6ffff540,
    0x00000002,0x05ffff88,0xb0ffffe4,0x2000dfff,0x7441effc,0x7ec005ff,
    0x90001fff,0x0005ffff,0x03bfff60,0x7fffc400,0xff980006,0xffb805ff,
    0xfff100ff,0x3ff601df,0xaaaa806f,0x00aaaa80,0x00dffff1,0x79750000,
    0x54c00005,0xff000aaa,0x00000fff,0x2a06aaaa,0x2aa01aaa,0xaaaa80aa,
    0x7ffd4000,0xfffb005f,0x01bfff6d,0x007fffc8,0xffc80000,0x3ffa002f,
    0x7fd403ff,0xc8000fff,0x3fffffff,0x3b2a0000,0x5971002c,0xb02f2a00,
    0x4000dfff,0x0004c018,0x017fffcc,0x00399500,0x002ca800,0x17fffcc0,
    0x3cc98000,0x1ffff700,0x03bfff60,0x01fffe88,0x3e200000,0x00006fff,
    0x00000000,0x3fffe000,0x00000007,0x00000000,0x17fffea0,0xdb7ffec0,
    0x00006fff,0x99800000,0x2007fff8,0x005ffffb,0x00dffff9,0xb9afff98,
    0xb00007ff,0x01dfffff,0xfd800000,0x000006ff,0x3ffe0000,0x0000003f,
    0x40000000,0x000ffffa,0x3ee00000,0xffa80fff,0xffa800ff,0x0000004f,
    0x41bfffe2,0x22000008,0x00000019,0x1ffffe00,0x00000000,0x00198800,
    0xbffff500,0x5bfff600,0x0006fffd,0xca800000,0xfffffffe,0xffff3005,
    0x7ff4001f,0x3ea003ff,0x00fff45f,0x3ffff200,0x00005fff,0x37ffec00,
    0x00000000,0x009ffff0,0x20000000,0x5c000198,0x00007fff,0x7ffdc000,
    0x3fffe80f,0x99fffe00,0x000eeeee,0x44bbbbb6,0x36e5ffff,0x001dffff,
    0x7ffff644,0xeeeeeeef,0x1ddddd34,0x77776c00,0x40fffff2,0x0deeeed8,
    0xddddddb0,0xdddddddd,0xffec8801,0xeeeeefff,0xffa804ee,0xffb005ff,
    0x1bfff6df,0x00033100,0xffffb100,0x0bffffff,0x0fffffa0,0xfffff500,
    0x3bfe6001,0x001fff10,0xa97ffc40,0xdd100fff,0xeec80bdd,0x3fff61ee,
    0xeeee9806,0x3bb6000e,0x7ff402ee,0x7774c04f,0x4eeeeeee,0x3fb22000,
    0xeeeeffff,0x3ee04eee,0xeed807ff,0xeeeeeeee,0x5c00eeee,0x7cc0ffff,
    0x7ec006ff,0x3fffe2ff,0xfff1003f,0x3ffe21ff,0xfffffb5f,0x2e005fff,
    0xffffffff,0x5fffffff,0x00fffffe,0x87ffffc4,0x3607ffff,0x202fffff,
    0xfffffffe,0x0fffffff,0x3ffffee0,0xffffffff,0xffa805ff,0xffb005ff,
    0x1bfff6df,0xffffd910,0xdddddddf,0x7ffcc009,0xffffffff,0x7fcc05ff,
    0xfb0006ff,0x74007fff,0x5fffefff,0x2ffcc000,0x7c40bff6,0x7ec06fff,
    0x3ff61fff,0xffff006f,0x3fe2007f,0x7f400fff,0x7fcc04ff,0xffffffff,
    0xfff70005,0xffffffff,0x5c0bffff,0xfe807fff,0xffffffff,0x400fffff,
    0x6c0ffffb,0x54c43fff,0xfff75511,0x37fffe45,0x5ffffb80,0x377fffe2,
    0xffffffff,0x7fd403ff,0xffffffff,0x25ffffff,0x006ffffc,0x7cbffff7,
    0xff907fff,0xfe807fff,0xffffffff,0x500fffff,0xffffffff,0xffffffff,
    0xffff500b,0x3fff600b,0x40dfffb6,0xfffffffb,0xffffffff,0xffff3005,
    0xffffffff,0x7e40bfff,0x30002fff,0x400dffff,0x4fffffd8,0x6ff98000,
    0xf8817fec,0x7ec06fff,0x3ff61fff,0xfff9006f,0x3fee00df,0xffe805ff,
    0x7ffcc04f,0x5fffffff,0xffffa800,0xffffffff,0x2e05ffff,0xfe807fff,
    0xffffffff,0x400fffff,0x220ffffb,0x3f60ffff,0xabffffff,0x3fe63fff,
    0xfe801fff,0x3fe22fff,0xffffffff,0x07ffffff,0x33ffffe2,0xfffffdaa,
    0x3fe64eee,0xfe801fff,0x3ffe2fff,0xffffa87f,0xfffe804f,0xffffffff,
    0xff880fff,0xfdaacfff,0x4eeeffff,0x5ffffa80,0x2dfffb00,0xf506fffd,
    0xffffffff,0xbfffffff,0x3ffffa00,0xfffd9acf,0xff01ffff,0xe8000fff,
    0x4001ffff,0x0000aaa8,0x32b3ffe0,0xff100fff,0xffd80dff,0x3fff61ff,
    0xffff3006,0xfffd003f,0xfffd005f,0xffff980b,0x05ffffff,0x7ffffc40,
    0xffffdaac,0x2e04eeef,0xfe807fff,0xffffffff,0x400fffff,0x2a0ffffb,
    0x3ffa5fff,0x9bffffff,0x7ff44fff,0x7fcc04ff,0x7ffc47ff,0x88bfffff,
    0x03fffffc,0x105ffff9,0x740dffff,0x4c04ffff,0x7fc7ffff,0x7ffcc7ff,
    0x400005ff,0xc80fffff,0xf882ffff,0x54006fff,0xb005ffff,0x3ff6dfff,
    0xffff886f,0xfffdaacf,0x804eeeff,0x42fffffa,0xffffffff,0x4ffffa86,
    0x7ffdc000,0xddd1004f,0x0001dddd,0xffffff50,0x7ffc407f,0x7ffec06f,
    0x1bfff61f,0x4ffffe80,0x3ffffcc0,0x07fffd80,0xbffff500,0xffffc800,
    0x6ffff882,0x0dfff900,0x7fffc000,0x7ffdc00f,0x4ffff20f,0xfffffffb,
    0x5fff9aff,0x03ffffd4,0x113ffff2,0x0dffffff,0x41bffff6,0x3206fffd,
    0xf501ffff,0xfc80ffff,0x7ffc4fff,0x3fffe27f,0xf800006f,0xfd80ffff,
    0x3ff206ff,0x3ea001ff,0xfb005fff,0x3fff6dff,0x2ffffc86,0x06ffff88,
    0x17ffff40,0x3ffbffe6,0x7fec1fff,0x440001ff,0x5007ffff,0x7fffffff,
    0x3fee0000,0x7c403fff,0x7ec06fff,0x3ff61fff,0x3fea006f,0x7fe407ff,
    0xff9004ff,0xf50005ff,0xd800bfff,0x3f206fff,0xfe801fff,0x200005ff,
    0x400fffff,0x3a0ffffb,0xfff89fff,0x9ffffadf,0xff85fff8,0x3fe02fff,
    0x7fc41fff,0xf300efff,0xff01ffff,0x7fcc09ff,0x3ffe03ff,0x3ffe02ff,
    0x7fffc1ff,0x3bffffa7,0xff800000,0xfff80fff,0x3ffe604f,0x3fea003f,
    0xffb005ff,0x1bfff6df,0xc81bfff6,0x5001ffff,0xf90fffff,0xffffd7ff,
    0x07fffe87,0xffffd000,0xffff9001,0x0000bfff,0x40055d44,0x406ffff8,
    0x361ffffd,0x7c006fff,0x3e02ffff,0x3001ffff,0x001dffff,0x05ffffa8,
    0x027fffc0,0x407ffff3,0x02ffffd8,0x3fffe000,0x7ffdc00f,0x2ffff10f,
    0x3fe7fffa,0x6fff88ff,0x05ffffc8,0x10dffff5,0x801fffff,0xf81fffff,
    0x3e605fff,0x3f202fff,0xff505fff,0xffff0dff,0xfffffb1f,0x3e000001,
    0xff80ffff,0x3fe605ff,0x3ea002ff,0xfb005fff,0x3fff6dff,0x04ffff86,
    0x00ffffe6,0x427fffdc,0xffb8fffe,0x7fffc6ff,0xff900006,0xfff003ff,
    0x00ffffff,0x00ccc400,0x06ffff88,0xb0ffffec,0xc800dfff,0xf505ffff,
    0xd800dfff,0x4defffff,0x5ffffa80,0x2ffffc00,0x85ffff30,0xfffffedb,
    0x7fc00006,0x7dc00fff,0xfff30fff,0x453fff2d,0xfff17fff,0xfffff30d,
    0x5ffffb01,0x0dffff10,0x05ffffd0,0x201ffffd,0x201ffffb,0x80fffff9,
    0xf82ffffd,0xfffcffff,0x000001ff,0x203ffffe,0x700ffffe,0x4003ffff,
    0x005ffffa,0x3f655553,0xffff86ff,0x3fffe605,0xffff9002,0x16fff883,
    0x7c4fffff,0x00005fff,0x805ffff9,0xfffffff9,0xa88002ff,0xfffffffd,
    0xfff101df,0xfffd80df,0x1bfff61f,0xfffff300,0x5ffffb01,0xffff9000,
    0xff500fff,0xfe800bff,0xff700fff,0xfffe83ff,0x0000dfff,0x07ffffc0,
    0x43fffee0,0xffd4fffa,0x5fffe65f,0xfd05fff8,0xff887fff,0xfff107ff,
    0xfffb00df,0xffff907f,0xfffff107,0x7ffffd00,0x07ffff88,0xffffffff,
    0x000005ff,0x80fffff8,0x883ffffc,0x4007ffff,0x005ffffa,0x437ffec0,
    0x700ffffe,0x2003ffff,0x5c0ffffd,0x3ffe3fff,0xffff30ff,0x3ee00009,
    0x7dc02fff,0xffffdfff,0x7ffc4004,0xffffffff,0x7fc40eff,0x7fec06ff,
    0x3fff61ff,0xfffe8006,0x7fffc43f,0xff710007,0xf500ffff,0xc800bfff,
    0xf883ffff,0xffe87fff,0x0001cfff,0x0fffff80,0x87fffdc0,0xfff3fffb,
    0x5bffe61f,0xf705fff8,0xffa8dfff,0xfff104ff,0xfffb00df,0xffff107f,
    0xfff959ff,0xff7007ff,0xfffa8dff,0xfffff04f,0x00bfffff,0xffff8000,
    0xffff880f,0xfffcacff,0x7d4003ff,0x40005fff,0xfc86fffd,0xff883fff,
    0x3fa007ff,0x7ff40fff,0x3ffffe1f,0x07ffff50,0x3ffea000,0x7fff403f,
    0x06ffff9f,0x7ffffc40,0xffffffff,0x7fffc46f,0x7fffec06,0x01bfff61,
    0x1bfffee0,0x009ffff5,0xffffff50,0xfff500ff,0xff8800bf,0xfcacffff,
    0xfe83ffff,0x02ffffff,0x7fffc000,0x7ffdc00f,0x15fff90f,0x7fd4ffff,
    0x09fff35f,0x87ffffe2,0x101ffffd,0xb00dffff,0x2e05ffff,0xffffffff,
    0x1005ffff,0x6c3fffff,0xff01ffff,0xffff5fff,0x4000009f,0x700fffff,
    0xffffffff,0x000bffff,0x00bffff5,0x86fffd80,0xcffffff8,0x3fffffca,
    0x1ffffe00,0xff8dfff1,0xfff51fff,0x2600009f,0x2203ffff,0xfff4ffff,
    0x7c4003ff,0xcccceeff,0x23ffffff,0x406ffff8,0x361ffffd,0x88006fff,
    0x361fffff,0x4001ffff,0xacfffff8,0xfffa8019,0xffb8005f,0xffffffff,
    0x953105ff,0x001fffff,0x7ffffc00,0x7fffdc00,0xf15fff90,0x7ffdcfff,
    0x409fff35,0xf13ffffc,0x7c40dfff,0xfe806fff,0xff881fff,0xffffffff,
    0x32000cff,0xff13ffff,0x7ffc0dff,0xfffff77f,0x3e000005,0xf880ffff,
    0xffffffff,0x8000cfff,0x005ffffa,0x837ffec0,0xfffffffb,0x005fffff,
    0x51ffffe2,0xffe89fff,0xffff31ff,0x3ea0000b,0x3ea02fff,0xfffb2fff,
    0x5f44007f,0x3fff6201,0x3fffe26f,0x7fffec06,0x01bfff61,0x9ffffe40,
    0x006ffff8,0x02ffffb8,0x5ffffa80,0x7fffc400,0xffffffff,0xfff5000c,
    0x7c00009f,0x5c00ffff,0xffb0ffff,0x4ffff33f,0xff74fffc,0x7ffcc07f,
    0x7ffff76f,0x37fffc40,0x1ffffe20,0x766fffec,0x000ceeff,0x76ffff98,
    0x7c07ffff,0x3ff67fff,0x00001fff,0x80fffff8,0xfecdfffd,0x0000ceef,
    0x017fffea,0x0dfffb00,0xfffffff1,0x019fffff,0x3ffffcc0,0xfd07fff6,
    0x3fe21fff,0x700005ff,0x6c03ffff,0xff70ffff,0x00000bff,0x89ffffe2,
    0x6c06ffff,0x3f61ffff,0xf30006ff,0x3feedfff,0xfd8003ff,0xf50006ff,
    0xd800bfff,0xffecdfff,0xe8000cee,0x00006fff,0x003ffffe,0x361ffff7,
    0xfff99fff,0x64ffff27,0x7f401fff,0xfffe9fff,0x3ffe200f,0x7ffe406f,
    0xffff986f,0xfd000000,0xfffd3fff,0x7fffc01f,0x3ffffe27,0x7c00000f,
    0x7cc0ffff,0x00000fff,0x17fffea0,0xdfffb000,0xd9bfffb0,0x0019ddff,
    0x4fffff10,0xff87fff8,0x7fffc7ff,0xff900006,0x7ffc01ff,0x3fffe26f,
    0xd000000f,0x3e21ffff,0x7ec06fff,0x3ff61fff,0x3fa0006f,0xfffe9fff,
    0xffe8000f,0xff50005f,0x7cc00bff,0x00000fff,0x006fffc8,0x3ffffe00,
    0x7fffdc00,0xf13fffb0,0x7fff4fff,0x700fffd3,0xfffbffff,0xfff880bf,
    0x3ffe206f,0xfffa84ff,0x7000000f,0xfffbffff,0xffff80bf,0x7ffffd47,
    0x7fc00006,0x7fd40fff,0x000000ff,0x017fffea,0xfd84ccc4,0x7ffcc6ff,
    0xf000000f,0x3ea1ffff,0xffff84ff,0x07ffffc6,0x7ffec000,0x3fffe607,
    0x17ffff44,0xffd80000,0xffff11ff,0xffffd80d,0x01bfff61,0xdffffb80,
    0x0005ffff,0x0009fffd,0x017fffea,0x00ffffa8,0xfffb8000,0x3fe00007,
    0x7dc00fff,0xfff90fff,0x2e3fffe5,0xff9bffff,0xfff8804f,0x01ffffff,
    0x837fffc4,0x06fffff9,0x03bffff5,0xfff10000,0x03ffffff,0xc87ffff8,
    0x004fffff,0x3ffffe00,0x6ffffd40,0xf5000001,0x3600bfff,0xfffb6fff,
    0x0ffffa8d,0xfff00000,0x3fff63ff,0x2ffffc42,0x00bffff6,0xdffff100,
    0x0ffffe40,0x013ffff2,0x76655440,0x1fffffee,0x80dffff1,0x361ffffd,
    0x20006fff,0xfffffff8,0xfd0001ff,0x2a0009ff,0x2005ffff,0x01dffffa,
    0x7ffdc000,0x3fe00007,0x7dc00fff,0xfff70fff,0x3fbfffa7,0xffffffff,
    0xfff9002f,0x100dffff,0x9bdfffff,0xffffffd9,0x3fffe203,0xefffffff,
    0xfc8002cd,0x06ffffff,0xd07ffff8,0x007fffff,0x3ffffe00,0x7ffffc40,
    0xdeffffff,0x3bbba02c,0xfffffeee,0x6c4eeeee,0xfffb6fff,0xdffffa8d,
    0xfd800001,0xffff3fff,0x89ffff50,0x005ffffb,0x27fffd40,0x50ffffd0,
    0x800fffff,0xffffffc8,0x1fffffff,0x80dffff1,0x361ffffd,0x40006fff,
    0xfffffffc,0x3ffa0006,0x7777404f,0xfffffeee,0x884eeeee,0xffffffff,
    0x02cdefff,0x01fffee0,0xfffff800,0x7fffdc00,0x2e7fff70,0xffffffff,
    0x005fffff,0x3fffffe6,0xfff8803f,0xffffffff,0x5c04ffff,0xffffffff,
    0x2effffff,0x3fffe600,0xff803fff,0xfff107ff,0x00003fff,0x701fffff,
    0xffffffff,0x5dffffff,0xfffffff0,0xffffffff,0xfffd8bff,0x88dfffb6,
    0xffffffff,0x02cdefff,0x77fffdc0,0xfd85fff9,0x7fc43fff,0x20000fff,
    0x100ffffd,0x3e0bffff,0x7001ffff,0xffffffff,0x3fffffff,0x01bfffe2,
    0x6c3ffffb,0x40006fff,0xfffffff9,0x3ffa0003,0x7fffc04f,0xffffffff,
    0x705fffff,0xffffffff,0x5dffffff,0x0ffff700,0x7fffc000,0x7ffdc00f,
    0x29fff50f,0x8cfffff8,0x006fffff,0x7fffffe8,0xfffff100,0xffffffff,
    0x3ff6003d,0xffffffff,0x002fffff,0x1ffffffa,0x03ffffc0,0x1ffffff5,
    0xffff8000,0xffffb00f,0xffffffff,0xfff85fff,0xffffffff,0x45ffffff,
    0xffb6fffd,0xffff70df,0xffffffff,0x26005dff,0xffdfffff,0x7fffc42f,
    0xffffd80f,0xfff10002,0x7ffdc0bf,0xffffb03f,0xffff7009,0xfddddfff,
    0x3e23ffff,0x7ec06fff,0x3ff61fff,0xfe80006f,0x0007ffff,0x2027fff4,
    0xffffffff,0xffffffff,0x3fff605f,0xffffffff,0x5c02ffff,0x00007fff,
    0x003ffffe,0x261ffff7,0x3f626fff,0x2f7f6a3e,0xfffb8000,0xff1003ff,
    0xffffffff,0x7e4007df,0xeeeeefff,0xfffffffe,0xffff7000,0x3ffe007f,
    0x7ffe407f,0x7c0006ff,0xfc80ffff,0xeeeeefff,0xfffffffe,0x3fffffe0,
    0xffffffff,0x7fec5fff,0x0dfffb6f,0x3ffffff6,0xffffffff,0xfffd002f,
    0x441fffff,0x503ffffe,0x000dffff,0x80bffff2,0x700ffffd,0x880dffff,
    0x01efffff,0x223ffffb,0x6c06ffff,0x3f61ffff,0xb80006ff,0x003fffff,
    0x027fff40,0x3ffffffe,0xffffffff,0xfff905ff,0xfddddddf,0x01ffffff,
    0x003fffdc,0x1fffff00,0x0ffffb80,0x001ffff1,0x7fdc0000,0xf1000fff,
    0x3531dfff,0xfff70001,0x7fdc40bf,0xf7002fff,0x0001ffff,0x40000000,
    0xb87ffff8,0x2205ffff,0x02fffffb,0x7fec0000,0x0dfffb6f,0xdddffff9,
    0xfffffddd,0xff5001ff,0x22bfffff,0x07ffffea,0x027ffff4,0x1ffffe60,
    0x55fffff0,0xfff95555,0x7fd401ff,0x7fec06ff,0x360001ff,0x3f60ffff,
    0xb80006ff,0x000fffff,0x01ffffc0,0x3ffe2000,0xffffb81f,0x3ffee205,
    0x3fea02ff,0x880000ff,0xb807ffff,0x3fa0ffff,0x000003ff,0x9fffff10,
    0x7fffc400,0xff880006,0xff9007ff,0xff1009ff,0x00009fff,0x98000000,
    0x7c45ffff,0xf9007fff,0x00009fff,0xb6fffd80,0xffb8dfff,0x3ee205ff,
    0xb002ffff,0xffffffff,0x7fffffff,0xfffff980,0x3fffa001,0x3ffea03f,
    0xffffffff,0x03ffffff,0x013ffff2,0x003ffffd,0x23ffff40,0x0006fffd,
    0x27ffffc4,0x3ffe2000,0x2200002f,0xf882fffe,0xf9007fff,0x7cc09fff,
    0x80001fff,0x805ffff9,0x2e0ffffb,0x00006fff,0xfffffb00,0x7ffc4001,
    0xfa80006f,0xf9005fff,0xfb005fff,0x0001ffff,0x00799970,0x7ffec000,
    0x7fffd44f,0xffff9005,0x3332e005,0xdfffb002,0xf89bfff6,0xf9007fff,
    0x22009fff,0xfffffffe,0x03ffffff,0x0bffff90,0x17fffee0,0xffffff90,
    0xffffffff,0x7ec0bfff,0xfb105fff,0x0003ffff,0xb1bfffe2,0x8000dfff,
    0x00fffffd,0x7fffe400,0x3f200001,0xfff505ff,0x3ff200bf,0x3fe202ff,
    0xd80005ff,0xb804ffff,0x3e20ffff,0x00004fff,0x3ffff620,0x7fc4002f,
    0xa80006ff,0x401fffff,0x00fffff8,0x3fffff62,0xffd00002,0x1770009f,
    0x7ffffd40,0x7ffffd42,0x7fffc401,0xffff000f,0x3fff6007,0x54dfffb6,
    0x9005ffff,0x4005ffff,0xffffffe8,0x001fffff,0x13ffffa2,0x1fffff30,
    0xffffff80,0xffffffff,0x2e07ffff,0x440fffff,0x1ffffffe,0xffff9000,
    0x06fffd8b,0xffffb100,0xfb80005f,0x0000ffff,0x40bfffe0,0x01fffffa,
    0x07ffffc4,0x13ffffa0,0xff5005dc,0xf7005fff,0xffc81fff,0x04a803ff,
    0x7ffee66c,0x88004fff,0x0006ffff,0xefffff88,0x7ffdc41a,0x6e66c5ff,
    0x04ffffff,0xffff1000,0xdff90005,0xfffb9559,0xfff10bff,0xb8835dff,
    0x005fffff,0x001ffff3,0x7edbfff6,0x3ffea6ff,0x7fc401ff,0x5c000fff,
    0xffffffff,0xfa8000ce,0xf304ffff,0x9805ffff,0xeeeeffff,0xffeeeeee,
    0xff502fff,0xfd9bffff,0x3fffffff,0x5d567440,0x41fffffd,0xeeeffffd,
    0x6e66c6ee,0x04ffffff,0xfffeeb80,0x00003fff,0x037fffe2,0x3bffffe2,
    0x7ffdc41a,0xffa805ff,0x93eeffff,0xb9559dff,0xb8bfffff,0xffeeeeee,
    0x7ffcc0ff,0x7310adff,0xffe80bfd,0x05ffffff,0xdffff100,0x3ff60000,
    0xffffffff,0x0effffff,0x7ffffff4,0x200005ff,0x0007fff9,0xfffffff9,
    0x01ffffff,0x3ffffff6,0xffffffff,0xf7000eff,0x7ec00dff,0xdfffb6ff,
    0x77ffffc4,0x7ffdc41a,0xfe8005ff,0x009aaaff,0xffffb800,0x7fffc43f,
    0xfffb805f,0xfffd002f,0x7fff409f,0xffffffff,0x201ffffd,0xfffffff8,
    0xffd84fff,0x7fffffff,0x7ffffff4,0xf90005ff,0x0dffffff,0xffff0000,
    0xffd87fff,0xffffffff,0x0effffff,0xfffffb00,0x3fff29ff,0xffffffff,
    0x7ffe40ff,0x0fffffff,0xffffff98,0x5fffffff,0x7fffff40,0x220003ff,
    0x0006ffff,0x3fffff60,0xffffffff,0xfffe80df,0x0003ffff,0x02fffdc0,
    0xfffffc80,0x1effffff,0x7ffffec0,0xffffffff,0x3f2000df,0x3f6003ff,
    0xdfffb6ff,0xffffffd8,0xffffffff,0x44000eff,0x00006fff,0x3fffff20,
    0xbffffd11,0x3ffffa00,0xffff7000,0x7fffcc0d,0x8bffffff,0x2201ffff,
    0xffffffff,0xfffd80ef,0x47ffffff,0xfffffffe,0x3ff20003,0x000dffff,
    0xffffc800,0xfffd83ff,0xffffffff,0x2000dfff,0xffffffc8,0xffffff94,
    0x03dfffff,0xfffffff9,0x3e601fff,0xffffffff,0x7f405fff,0x001effff,
    0x37fffc40,0x3f6a0000,0xffffffff,0x3ffa01df,0x0001efff,0x02fffc80,
    0xffffd500,0x005fffff,0x7ffffed4,0x01dfffff,0x01fffe80,0x6dbfff60,
    0xffd86fff,0xffffffff,0x000dffff,0x003fffb8,0x7ffe4000,0x02fffe44,
    0x06ffff88,0x3ffffe60,0x3fff6200,0xff10dfff,0x7fc403ff,0x03ffffff,
    0x3ffffff6,0x7ff47fff,0x0001efff,0x0e77ffe4,0x3f200000,0xb503ffff,
    0xffffffff,0x40003bff,0x54fffec9,0xfffffffd,0x7fe405ff,0xffffffff,
    0x3fff6200,0x02dfffff,0x009acca8,0x26666000,0x31000000,0x13559955,
    0x13599500,0x55400000,0x440000aa,0x01abccaa,0x32aa6200,0x00009aac,
    0xb000aaaa,0x3ff6dfff,0xfffb506f,0xbfffffff,0x7ff40003,0x8000001f,
    0x0bf704fc,0x1ffffd40,0x3ffffe00,0x9aa98803,0xca980000,0x44009acc,
    0x99999999,0x4d665419,0x13100000,0x20000000,0x98800999,0x09aaccaa,
    0x09880000,0x55e65544,0x99998801,0x00199999,0x026af2a2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,0x3fff6dff,
    0x6554c406,0x00009aac,0x0002aaa8,0x0500a000,0x1ffffd80,0x7fffec00,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdfffb000,0x001bfff6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2dfffb00,
    0x0006fffd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x995554c0,0x00002aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04fff800,0x1ccb9800,0x26200000,0x99880000,0x32600000,
    0x144000cc,0x98800000,0x44000019,0x00199999,0x10ccccc4,0x00333333,
    0x40000260,0x55502aa8,0x3bbba203,0xdddd9004,0x3bbbba63,0xeeeeeeee,
    0x02eeeeee,0x0016f640,0x9980cccc,0x3a200099,0x00eeeeee,0x26662000,
    0x9b710001,0x00011017,0x4004ccc4,0xeeeeeee8,0xeeeeeeee,0x4cc40005,
    0xb8801999,0x00880bcd,0x3bbbbbb6,0xeeeeeeee,0xff98006e,0x7ec0002f,
    0x0005ffff,0xfffecb98,0x401bdfff,0xfffffedb,0x20003def,0xa800fffb,
    0x00007fec,0x07fff880,0x3ffea000,0x26001eff,0xd13fffff,0x003dffff,
    0x3ffffb2a,0xf50001bd,0xfffa85ff,0xdffff302,0x3ffff600,0xffffff51,
    0xffffffff,0x007fffff,0x017fffec,0x47bfff20,0x005fffd8,0x7fffffd4,
    0xd100003f,0x800bffff,0x3ffffffc,0x5400076c,0x403fffff,0xfffffff9,
    0xffffffff,0x3fe60006,0x6402ffff,0x43ffffff,0xffff00ed,0xffffffff,
    0x000fffff,0x0003fff5,0x7ff7ffdc,0x3f20004f,0xffffffff,0xea80ffff,
    0xffffffff,0x20007fff,0xf8807ffc,0x00007fff,0x04fffa80,0xffff5000,
    0x7cc001bf,0xfd11ffff,0x22009fff,0xfffffffd,0x88003fff,0xfdcdffff,
    0xff300fff,0x3f600dff,0xfff51fff,0xffffffff,0xffffffff,0x3ffe2007,
    0xfc8006ff,0xffffbfff,0xfffc8004,0x0005ffff,0xffffff98,0xfff5005f,
    0xfbffffff,0x54001fff,0x3fffffff,0x3ffffe60,0xffffffff,0xf30006ff,
    0x801bffff,0xfffffffa,0x0ffffdff,0xfffffff8,0xffffffff,0xffb8007f,
    0x3fa0000f,0x00fff11f,0xfffffd30,0xffffffff,0xffffc81f,0xffffffff,
    0x3f60007f,0xfff8806f,0x8000007f,0x0002fffc,0x2fffff98,0x7fffc400,
    0xffffd10e,0x3ffa6005,0xffffffff,0xfb8005ff,0xffffffff,0x3fffe603,
    0xffffb006,0x3ffffea3,0xffffffff,0x03ffffff,0xdfffff30,0x3ffee000,
    0x0004ffff,0xffffffff,0xff98000f,0xdfffecff,0x77fff400,0xffffffff,
    0x3fea003f,0x4ffffcff,0xffffff30,0xffffffff,0xff3000df,0x3a007fff,
    0xffffefff,0xf03fffff,0xffffffff,0xffffffff,0x3fb2a600,0x8001abff,
    0x07fec6ff,0xfffff700,0xffffffff,0x7fd41fff,0xffffffff,0x0007ffff,
    0x22017ffa,0x0007ffff,0xfff13300,0xff30000f,0x88001dff,0x3a24fffe,
    0x3000dfff,0xffffffff,0xbfffffff,0xffff7000,0xf9807fff,0xfb006fff,
    0x2aa23fff,0xfffaaaaa,0xaaaaabff,0x3ffa001a,0x2e0004ff,0x004fffff,
    0xffffff30,0x20005fff,0xb12ffff9,0x4401dfff,0x3ffee0ee,0x2e005fff,
    0xfd11efff,0xfff309ff,0x555555ff,0x80055555,0x01effff9,0xfb83ba20,
    0x205fffff,0xffaaaaaa,0xaaaabfff,0x3fff2202,0xffffffff,0x3ffa000f,
    0x400fff32,0xfffffff9,0xfdcaaacd,0xffff10ff,0x311339ff,0x4000fb75,
    0xf8804fff,0x00007fff,0xfffffd95,0x50000bff,0x20005555,0x5541aaa9,
    0x7ec002aa,0xbaceffff,0x1ffffffd,0xcdcb8800,0xfff9800b,0xfffb006f,
    0x3ffe003f,0x300000ff,0x0000bffd,0x00055553,0x7effffdc,0x50004fff,
    0x55503555,0x88088035,0x2001bedb,0xa80aaaa8,0x7fcc0aaa,0x000006ff,
    0x002aaaaa,0x36e20220,0xff0001be,0x5c001fff,0xffffffff,0x00ffffff,
    0x3ffffee0,0x3f6003ff,0x800effff,0xffff50da,0x0002003f,0x401fffc4,
    0x007ffff8,0x7fffec40,0x05ffffff,0x00000000,0xff300000,0x3ea09fff,
    0x0005ffff,0x7ffcc000,0xfffb006f,0x3ffe003f,0x400000ff,0x00000008,
    0xffffe800,0x006ffff9,0x00000000,0x00000000,0x01bfffe6,0x00000000,
    0x7c000000,0x7000ffff,0xffffffff,0x1fffffff,0xffffc800,0x3fea004f,
    0x20004fff,0x006ffffb,0xfdca8800,0xd92cefff,0xffffdddd,0xdddddddf,
    0x7fffcc0d,0xffffffff,0x2200005f,0x00000019,0x7ffff400,0x7fffd404,
    0x0000001f,0x01bfffe6,0x00ffffec,0x00fffff8,0x01988000,0x01331000,
    0x9ffff100,0x007ffffe,0x00331000,0x00000000,0xf9801331,0x00006fff,
    0x00099880,0x00002600,0x007ffffc,0x7fffffcc,0xecdfffde,0xa88000ff,
    0x7f4001ac,0x40006fff,0x006ffffc,0x7fffe400,0xb6ffffff,0xffffffff,
    0xffffffff,0x3ffe60ff,0xffffffff,0x0005ffff,0xffffdb75,0xee8817bf,
    0xdd9004ee,0x3fea03dd,0xff800fff,0xee884fff,0xdd9004ee,0x3ffe63dd,
    0xfffb006f,0x3ffe003f,0xa80000ff,0xfffffedb,0xedb800bd,0xdeffffff,
    0xffffa803,0x07ffffb2,0xfedba800,0x20bdffff,0x004eeee8,0x003dddd9,
    0xfffffdb7,0xff987bdf,0x800006ff,0xfffffedb,0x2a003def,0xbdffffec,
    0xffff0001,0xfff9001f,0x3ffea3ff,0x77440a21,0xdd9004ee,0x7ffcc3dd,
    0x5c0003ff,0x002fffff,0xffffe980,0x6fffffff,0xfffffffb,0xffffffff,
    0x3ffa0fff,0xfd9acfff,0x01ffffff,0x3ffffa60,0x4fffffff,0x037fffcc,
    0x01ffffd8,0x00bffff7,0x217ffff2,0x006ffff9,0x263ffffb,0xb006ffff,
    0x2003ffff,0x000fffff,0x3ffffa60,0x4fffffff,0x3ffffaa0,0x7fffffff,
    0x0ffffd80,0x00bffff7,0x3ffffa60,0x4fffffff,0x01bfffe6,0x00ffffec,
    0xffffffd5,0x98ffffff,0x0006ffff,0x3ffffaa0,0x7fffffff,0xffffd880,
    0x03ffffff,0x0fffff80,0x3ffffe80,0x9801ffee,0xb006ffff,0x7d43ffff,
    0x80007fff,0xcffffffa,0xfff30000,0xffffffff,0x3fff6dff,0xffffffff,
    0x87ffffff,0x42fffffa,0xffffffff,0xffff7006,0xffffffff,0xffff989f,
    0xffffb006,0x3ffff203,0xffff5003,0xdffff30d,0x3ffff600,0x0dffff31,
    0x07ffff60,0x07ffffc0,0xffffb800,0xffffffff,0xffff904f,0xffffffff,
    0xffff00ff,0x7ffffc4d,0x7ffdc000,0xffffffff,0x3ffe64ff,0xfffb006f,
    0x3fff203f,0xffffffff,0x7ffcc7ff,0xf900006f,0xffffffff,0xa80fffff,
    0xffffffff,0x004fffff,0x007ffffc,0xb17ffffc,0x7cc00fff,0xfb006fff,
    0x7fdc3fff,0x880005ff,0xffffffff,0x7ff4001c,0xffebefff,0x3e206fde,
    0xe8007fff,0x7cc2ffff,0xfffffeff,0x7fffec01,0xffffffff,0x7ffcc4ff,
    0xfffb006f,0x3fff603f,0xfff3002f,0xffff30ff,0x3fff600d,0xdffff31f,
    0x3ffff600,0xfffff001,0xfffb0001,0xffffffff,0xff509fff,0xffffffff,
    0x980fffff,0x7f44ffff,0x36002fff,0xffffffff,0x24ffffff,0x006ffff9,
    0x503ffffb,0xffffffff,0x8fffffff,0xeefffff9,0xeeeeeeee,0xfffff502,
    0xffffffff,0x7ffcc0ff,0xffffffff,0x2005ffff,0x800fffff,0x3a5fffff,
    0x3e6005ff,0xfb006fff,0x7fe43fff,0xccc984ff,0x20cccccc,0xfffffffa,
    0x5c00beff,0x3a3fffff,0xf88065ff,0x54007fff,0xfc87ffff,0xffffebff,
    0x3fffee03,0xcaabdeff,0x7fcc4ffd,0xffb006ff,0x3ffa03ff,0xff1001ff,
    0xff981fff,0xffb006ff,0x3ffe63ff,0xfffb006f,0x3ffe003f,0x7dc000ff,
    0xbdefffff,0x44ffdcaa,0xcffffff8,0xdba98899,0x7fffe407,0x27fffe41,
    0xfffffb80,0xdcaabdef,0x3ffe64ff,0xfffb006f,0xffff883f,0x98899cff,
    0x7fcc7dba,0xffffffff,0x882fffff,0x9cffffff,0x7dba9889,0x3fffffa0,
    0xfffdbabe,0xff001fff,0xfb001fff,0xff3dffff,0x7fcc009f,0xffb006ff,
    0x7fff43ff,0xffffa83f,0x641fffff,0xffffffff,0xff00cfff,0xfff89fff,
    0xffff1003,0xfffb800f,0x8fffe84f,0x106ffffb,0x07ffffff,0x7fcc2a88,
    0xffb006ff,0x3ffe03ff,0xff1000ff,0xff983fff,0xffb006ff,0x3ffe63ff,
    0xfffb006f,0x3ffe003f,0x3e2000ff,0x403fffff,0x7ffd42a8,0x801001ff,
    0xfa87fffe,0xf8807fff,0x403fffff,0x3ffe62a8,0xfffb006f,0xffffa83f,
    0xf981001f,0xffffffff,0x82ffffff,0x01fffffa,0x3ffea010,0xfff503ff,
    0x3fe00bff,0xfb800fff,0xffffffff,0x3fe6003f,0xffb006ff,0x7fffc3ff,
    0xffffa82f,0xa81fffff,0xffffffff,0x7c41efff,0x3e20ffff,0xff1002ff,
    0xfc800fff,0x7fc41fff,0xfffff16f,0x3fffff20,0x3fe60002,0xffb006ff,
    0xfff103ff,0x7fc001ff,0x7fcc1fff,0xffb006ff,0x3ffe63ff,0xfffb006f,
    0x3ffe003f,0x3f2000ff,0x0002ffff,0x01bfffee,0x7fffc400,0x3fffff05,
    0xfffffc80,0xfff30002,0x3ff600df,0x7ffdc1ff,0x3e60006f,0xffffffff,
    0x82ffffff,0x006ffffb,0x4ffffe80,0x7ffffdc0,0xfffff800,0xffffb000,
    0x05dfffff,0x1bfffe60,0x0ffffec0,0x505fffff,0xffffffff,0x3fee203f,
    0xffffffff,0x3fffea1f,0x00fffcc6,0x07ffff88,0x07fffec0,0xff8fffee,
    0x7fc40fff,0x40004fff,0x006ffff9,0x103ffffb,0x001fffff,0x20fffffc,
    0x006ffff9,0x263ffffb,0xb006ffff,0x2003ffff,0x000fffff,0x09fffff1,
    0xffffc800,0xff700006,0x3ff607ff,0x3fe204ff,0x20004fff,0x006ffff9,
    0xc83ffffb,0x0006ffff,0x27bfffe6,0x99999999,0xffffc809,0x7fd40006,
    0xff800fff,0xff804fff,0xd1000fff,0xffffffff,0xf9807fff,0xfb006fff,
    0x7ff43fff,0xccc983ff,0x01ffffec,0xfffffda8,0x3fee6fff,0x7ffd44ff,
    0xffff1000,0xfffe800f,0x0ffff40f,0xb81fffff,0x001fffff,0x37fffcc0,
    0x1ffffd80,0x1fffff88,0xfffff100,0x6ffff981,0x3ffffb00,0x01bfffe6,
    0x00ffffec,0x00fffff8,0x3fffff70,0xfffb8000,0xd80002ff,0xf700ffff,
    0x7dc0dfff,0x0001ffff,0x01bfffe6,0x20ffffec,0x02fffffb,0xdffff300,
    0xfffb8000,0x2e0002ff,0x9005ffff,0xf00bffff,0x8001ffff,0xfffffffc,
    0x302effff,0x200dffff,0x361ffffd,0xb004ffff,0x4003ffff,0xffffffc8,
    0x9ffff92f,0x2007ffc8,0x007ffff8,0x223ffffc,0x7ffc6fff,0x7ffe41ff,
    0xf980005f,0xfb006fff,0x3fe03fff,0xf3001fff,0xff30ffff,0x3f600dff,
    0xfff31fff,0x3ff600df,0xfff001ff,0x3f2001ff,0x80005fff,0xcffffffa,
    0x3ffe0000,0xaaaaaaff,0x00fffffc,0x00bffff9,0x6ffff980,0x3ffffb00,
    0xffffffa8,0x7fcc000c,0x540006ff,0x0cffffff,0xffffc800,0xffff5003,
    0xfffff00d,0xff910001,0xffffffff,0xffff305f,0x3fff600d,0x3fffee1f,
    0xffffb005,0xffd10003,0x3ff29fff,0x37fec6ff,0xfffff100,0x7fffc400,
    0x227ffd47,0x741ffffe,0x0004ffff,0x06ffff98,0x03ffffb0,0x00bffffa,
    0x437fffcc,0x006ffff9,0x223ffffb,0xd006ffff,0x2001ffff,0x000fffff,
    0x009ffffd,0xfffff100,0x80039fff,0xfffffffa,0xffffffff,0xfffd03ff,
    0xf980009f,0xfb006fff,0xff883fff,0x1cffffff,0xdffff300,0xfff88000,
    0x01cfffff,0x0bffffa0,0x3ffffcc0,0x07ffffc0,0x3fffe000,0x1fffffff,
    0x037fffcc,0x21ffffd8,0x00fffffa,0x01ffffd8,0xfffff100,0x1ffffeed,
    0x4400bffd,0x2007ffff,0x6c7ffff9,0x7ff41fff,0x7fffc0ff,0xf980003f,
    0xfb006fff,0x3fa03fff,0xf9005fff,0xff30bfff,0x3f600dff,0x3ffe1fff,
    0xffff007f,0x7fffc00f,0xffff000f,0x2a00007f,0xffffffff,0xfc800bef,
    0xffffffff,0xffffffff,0x7fffff05,0xfff98000,0xfffb006f,0xffff503f,
    0x17dfffff,0x37fffcc0,0x7ffd4000,0xbeffffff,0x7ffffc00,0xffff1001,
    0xffff801f,0x7fc0000f,0xfffffedf,0x7fffcc4f,0xffffb006,0x7ffffcc3,
    0xffffd803,0x3ff60001,0xffff55ff,0x027ffc3f,0x0fffff10,0x3ffffc40,
    0xff0ffff1,0xfff88fff,0x980002ff,0xb006ffff,0x3203ffff,0xd007ffff,
    0xf305ffff,0x3600dfff,0x3fa1ffff,0x7c401fff,0x3e006fff,0x8800ffff,
    0x002fffff,0x3ffff200,0xcfffffff,0x3ffffe00,0xffffffff,0x887fffff,
    0x002fffff,0x37fffcc0,0x1ffffd80,0xffffff90,0x019fffff,0x00dffff3,
    0x3ffff200,0xcfffffff,0x1fffff00,0x3fffe200,0x7fffc01f,0x3e20000f,
    0xffff52ff,0xffff98df,0xffffb006,0xfffffe83,0x7fffec00,0x3ff60001,
    0xffff14ff,0x7fff11df,0x7fffc400,0x3ffe000f,0x9fff50ff,0x98dffff0,
    0x001fffff,0x6ffff980,0x3ffffb00,0x3ffffe60,0x7fffd402,0xdffff307,
    0x3ffff600,0x17ffff61,0x09ffff90,0x07ffffc0,0x7ffffcc0,0x7d400001,
    0xffffffff,0xff981eff,0xeeeeeeff,0xffffeeee,0x7fffcc2f,0x7cc0001f,
    0xfb006fff,0x7d403fff,0xffffffff,0x7fcc1eff,0x200006ff,0xfffffffa,
    0x4c1effff,0x000fffff,0x007ffffe,0x001fffff,0x90fffd40,0x4c1fffff,
    0xb006ffff,0xf983ffff,0x201fffff,0x151ffffd,0x7fffd400,0x3ffff22f,
    0x22fffbff,0x7fffc04a,0x3ffe002f,0x5fffb1ff,0x45ffff88,0x01fffff9,
    0xffff9800,0xffffb006,0x7ffff403,0xffff301f,0x3ffe607f,0xfffb006f,
    0x7fffd43f,0xfffc80df,0x3fe000ff,0xf9800fff,0x0001ffff,0xffffb880,
    0x1fffffff,0x017fffdc,0x44ffffe8,0x01fffff9,0x7fffcc00,0xffffb006,
    0xfffb8803,0xffffffff,0x3bfffe61,0x99999999,0xfb880099,0xffffffff,
    0x3ffe21ff,0x3fe000ff,0x33331fff,0x3fffff33,0x20033333,0x3ea0fffb,
    0x7fcc7fff,0xffb006ff,0xfffb03ff,0x22379fff,0xf1ffffe9,0x441359df,
    0xffffffc9,0x3ffffe20,0xfedfffff,0x7fff406f,0xffb0206f,0x1fffe7ff,
    0x113fffea,0x005fffff,0xdffff300,0x3ffff600,0x3fffee01,0xfba8acff,
    0x300fffff,0x200dffff,0x741ffffd,0xdeffffff,0x4ffffffe,0x7ffffc00,
    0xffff8800,0x4000002f,0xffffffda,0x7fff46ff,0xfff7000f,0xffff88df,
    0x7cc0002f,0xfb006fff,0x54003fff,0xfffffffd,0x3fffe66f,0xffffffff,
    0x54006fff,0xfffffffd,0x7ffffc6f,0xffff1001,0x7fffffcf,0xffffffff,
    0xff9007ff,0x5ffffb8f,0x037fffcc,0x81ffffd8,0xfffffff8,0xffffffff,
    0xfffff1ff,0xffffffff,0xf707ffff,0xffffffff,0xd80dffff,0xccffffff,
    0x7fdc7edc,0x5fff9eff,0x83ffffd8,0x003fffff,0x6ffff980,0x3ffffb00,
    0xfffffd80,0xffffffff,0x3fe602ff,0xffb006ff,0xfffa83ff,0xffffffff,
    0xf8005fff,0xf000ffff,0x0007ffff,0x3ff22000,0xf12fffff,0x4c00dfff,
    0x7c0fffff,0x0003ffff,0x037fffcc,0x01ffffd8,0xffffc880,0xfff32fff,
    0xffffffff,0x000dffff,0x3fffff22,0x3fffe2ff,0xfff3001f,0x7ffffcdf,
    0xffffffff,0x0b227fff,0xff99bff6,0x7fcc3fff,0xffb006ff,0x3fa603ff,
    0xffffffff,0xf1ffffff,0xffffffff,0x9fffffff,0x7ffffd40,0x6fffffff,
    0x7ffffc40,0x47ffffff,0xfdfffff9,0x7ffc42ff,0xfffe80ff,0xf980004f,
    0xfb006fff,0xe8803fff,0xffffffff,0x402fffff,0x006ffff9,0x303ffffb,
    0xfffffffd,0x000bffff,0x003ffffe,0x027ffff4,0x3a200000,0xf54fffff,
    0xf8007fff,0x7f43ffff,0x40004fff,0x006ffff9,0x003ffffb,0x7ffff440,
    0xfffff34f,0xffffffff,0x88000dff,0x24fffffe,0x002ffffe,0x7cbffff3,
    0xffffffff,0x7fffffff,0x2f3bffe2,0xffdbeffe,0x7cc0ffff,0xfb006fff,
    0xfc803fff,0xffffffff,0xff0fffff,0xffffffff,0x007fffff,0xffffff91,
    0x5009ffff,0xffffffff,0xfffd0fff,0x441fffff,0xb03ffffe,0x001fffff,
    0x6ffff880,0x1ffffd00,0xffffd100,0x5fffffff,0xdffff100,0x3ffffa00,
    0xfffd9100,0x003bffff,0x07ffffc0,0xfffffd80,0x40000000,0xb6fffff8,
    0x8003ffff,0x6c5ffffd,0x000fffff,0x1bfffe20,0x07ffff40,0x3ffe2000,
    0xffff36ff,0xffffffff,0x0000dfff,0x4dfffff1,0x005ffffd,0x7c9ffff9,
    0xffffffff,0x7fffffff,0x3fffffe2,0xffffffff,0xff882fff,0xffd006ff,
    0xdb3001ff,0xffffffff,0xfffdb85b,0xefffffff,0xfff30003,0x8800359d,
    0xfffffffd,0xffffa86f,0xfd515fff,0x7e40ffff,0x0003ffff,0x007ffff8,
    0x800fffff,0xffffffc9,0x3fe000be,0xfff007ff,0x3ea200ff,0x00003fff,
    0x7ffe4000,0x000003ff,0x5ffffd80,0xffd10000,0xffff905f,0xff80007f,
    0xfff007ff,0x360000ff,0x8005ffff,0x003fffe8,0xbffffb00,0x03ffffe4,
    0x03ffffe8,0x93fff600,0xfffffff8,0xffffffff,0x3fffe03f,0xfffff007,
    0x2aaa6000,0x55310019,0x00003355,0x0000fffe,0x26aaaa62,0x3ffff600,
    0xffffffff,0x3e203fff,0x001fffff,0x0fffff40,0x17fffe20,0x7fffc400,
    0xfffd0006,0xfff8803f,0x3ff6005f,0x0000004f,0xfffff880,0x0000001f,
    0x027fffec,0x3fffe800,0xffffff10,0x7ff40003,0x7fc401ff,0xb00005ff,
    0x0009ffff,0x0009fffb,0x27fffec0,0x05fffff1,0x0fffffa8,0xbfff9000,
    0xffffff88,0xffffffff,0x7fff400c,0x7ffc401f,0x0000005f,0x88000000,
    0x00002fff,0x3ffa2000,0xffffffff,0xfc803fff,0x802fffff,0xffffd82a,
    0x7fffe405,0x3ffa0004,0xfd8000ff,0x7e405fff,0xf5004fff,0x40000fff,
    0x4003cccb,0x2ffffffc,0x00542a80,0x5fffff50,0xfff90000,0xffffc80b,
    0x42a802ff,0x405ffffd,0xa84ffffc,0x3ffea000,0x7d4002ff,0x002a06ff,
    0x2fffffa8,0x0fffffec,0x3fffff98,0xffff3000,0xfb953101,0x159bdfff,
    0x3ffff600,0x7fffe405,0x6665c004,0xccb80003,0x7cc0003c,0x2e0001ff,
    0x88003ccc,0xfffffffe,0x1001ffff,0xbfffffff,0xff953357,0xfffff509,
    0xffff901b,0x7e40001f,0x6440efff,0xfffff501,0xffff901b,0x3ff6001f,
    0x3a00004f,0x44004fff,0xdfffffff,0xffca99ab,0x4d677fc4,0x3fff2620,
    0x80000fff,0x4403ffff,0xdfffffff,0xffca99ab,0x7ffffd44,0xffffc80d,
    0xaceff80f,0x3ff26209,0x4000ffff,0x3e04fffd,0x2209acef,0xffffffc9,
    0x7ffffcc0,0xffba8acf,0x0000ffff,0x400bfff9,0x20007ffc,0x0dfffffa,
    0x0fffffc8,0x27fff400,0x7fff4000,0x7fd40004,0x3fa0000f,0xf70004ff,
    0xdfffffff,0xffb80019,0xffffffff,0xd04fffff,0xbdffffff,0x7ffffffd,
    0xfffa8000,0xffdccfff,0x3ffffa06,0xfffedeff,0x3a003fff,0x0000efff,
    0x02ffff88,0xfffffb80,0xffffffff,0x7fffc4ff,0xffffffff,0x003fffff,
    0x1bffff00,0xfffffb80,0xffffffff,0xfffe84ff,0xffedefff,0xff03ffff,
    0xffffffff,0x7fffffff,0xdfffd000,0x3ffffe01,0xffffffff,0xfd03ffff,
    0xffffffff,0x07ffffff,0x7fffec00,0x0dffb000,0xffffe800,0xfffedeff,
    0x44003fff,0x0002ffff,0x017fffc4,0x01ffee00,0x2ffff880,0x5fffd000,
    0x80001355,0xfffffffb,0x4fffffff,0xffffff30,0xffffffff,0x3f60000d,
    0xffffffff,0xfff303ff,0xffffffff,0xd800dfff,0x05ffffff,0x1fffe600,
    0xffffb800,0xffffffff,0x7fffc4ff,0xffffffff,0x0004ffff,0x3fffffe0,
    0x3ffee04f,0xffffffff,0xff984fff,0xffffffff,0x3e06ffff,0xffffffff,
    0x4fffffff,0xffffb000,0xffff8bff,0xffffffff,0x2204ffff,0xfffffffd,
    0x04ffffff,0x7fffe400,0x7ffc06ff,0x7fcc0005,0xffffffff,0x8006ffff,
    0x0007fff9,0x007fff98,0x006ffd80,0x01fffe60,0x037ffc40,0xffe88000,
    0xffffffff,0x3fa604ff,0xffffffff,0x200004ff,0xfffffff8,0x2606ffff,
    0xfffffffe,0x8004ffff,0x5ffffffa,0x3ffee000,0x7f440005,0xffffffff,
    0x7ffc4fff,0xffffffff,0x0003ffff,0x7ffffe40,0x7ff4404f,0xffffffff,
    0xffd304ff,0xffffffff,0xffff809f,0xffffffff,0x20003fff,0x5ffffffa,
    0x7ffffffc,0xffffffff,0xffff9003,0x5fffffff,0xfff30000,0x7c40dfff,
    0x980003ff,0xfffffffe,0x0004ffff,0x000bfff7,0x00bfff70,0x00bffd00,
    0x02fffdc0,0x03fffb80,0x76dc0000,0xceffffff,0xfffd7001,0x003bffff,
    0xfff91000,0x009fffff,0x3fffffae,0x20001dff,0x05fffffb,0x0bfff200,
    0x7f6dc000,0x1cefffff,0xfffffdb8,0x03efffff,0x3ff20000,0xb7003fff,
    0xdffffffd,0xffd70039,0x03bfffff,0xfffffb70,0x07dfffff,0x3ffee000,
    0x7fedc5ff,0xffffffff,0xfda8003e,0x0cefffff,0x3faa0000,0x3e606fff,
    0x200002ff,0xffffffeb,0x320001df,0x80002fff,0x0002fffc,0x0004fff8,
    0x000bfff2,0x000ffff4,0x26a60000,0x54c00009,0x0000009a,0x59b97510,
    0x2aa60001,0x4c000009,0x54000099,0x00000aaa,0x00133530,0x4d5554c4,
    0x40000001,0x20000999,0x000099a9,0x00026aa6,0x9aaaa988,0x26000001,
    0x54c40099,0x00019aaa,0x0026a620,0x13310000,0x00000000,0x00026aa6,
    0x00555540,0x05555400,0x04ccc000,0x15555000,0x0aaaa000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x51000000,0x55550155,0x26662000,0x3bba6000,
    0xbcdeeeee,0x3b200002,0x00000dee,0x0000b7b2,0x000e65cc,0x19998800,
    0x33100000,0x20003333,0x22199998,0x40199999,0x97100cc8,0x15544003,
    0x0001aaa8,0x0004ccc4,0xfffd1000,0x266007ff,0x99988099,0x2f777740,
    0x0f7774c0,0x33331000,0x4cccc033,0x00000099,0xd0026662,0x803ddddd,
    0xd31eeee9,0xea809ddd,0x4403eeee,0x397100cc,0x077776c0,0x00131000,
    0x3e22fffc,0xfa8004ff,0x5003ffff,0xffffffff,0x019fffff,0x7fffec00,
    0xd80000ef,0x0002ffff,0x2fffffec,0x3fa20000,0x00005fff,0x7fffffcc,
    0xfff98002,0xfffd13ff,0x7fcc03df,0x7ffc41ff,0xfff5001f,0x02fffa85,
    0x3fffea00,0x8800003f,0x01effffe,0x8bfffea0,0x7c0efffc,0x403fffff,
    0x002ffff9,0xffffff30,0x7fffcc05,0x800001ff,0x03fffffa,0x17fffffe,
    0x25ffff30,0x205ffffa,0x0efffff8,0x07fffe60,0x203ffff1,0x000fffff,
    0x007fff70,0x3737fffa,0x4002ffff,0xfffffffa,0xffffa803,0xffffffff,
    0xd8000fff,0xefffffff,0x3fe20000,0x20006fff,0xfffefffb,0xff300004,
    0x00bfffff,0x3fffe600,0xf98000df,0xfd11ffff,0xf9009fff,0xffc89fff,
    0xff1005ff,0xfffb9bff,0x3ea0001f,0x03ffffff,0x3ffa2000,0xa8000dff,
    0xffecffff,0xffff80ef,0x7fcc07ff,0xf98002ff,0x800dffff,0x1fffffd8,
    0x3fea0000,0xf03fffff,0x01ffffff,0xa97fffcc,0x3605ffff,0x401fffff,
    0x644ffffc,0xff05ffff,0x30001fff,0x005fffff,0xfffffff3,0xfa800bff,
    0xffffcfff,0x7fffd404,0xffffffff,0x1000efff,0xfb1bfffd,0x20001dff,
    0x06fffff9,0x447ffa00,0x980007ff,0xffecffff,0x260000df,0x003fffff,
    0x1dffff10,0x0bffffa2,0x2ffffec0,0x01bffff2,0xffffffb8,0x50003fff,
    0xfff9ffff,0xd100009f,0x0007ffff,0xffffff98,0xffff00df,0x7cc07fff,
    0x4c002fff,0x003fffff,0x1fffffb8,0xfffa8000,0x84ffffcf,0x4fffffff,
    0x4bfffe60,0x505ffffa,0x007fffff,0xc8bffffb,0xff06ffff,0x90001fff,
    0x009fffff,0x3fffffea,0x3ee000df,0xffd11eff,0x7ffd409f,0xfdcaaaef,
    0x804fffff,0x5c3fffe8,0x0001ffff,0x009ffffd,0x3f637fc0,0x3e60000f,
    0xffb12fff,0xf30001df,0x0003dfff,0x893fffa2,0x000dfffe,0x50bfffea,
    0x8007ffff,0xfffffffb,0xfff70003,0x3fffa23d,0x665c0004,0x300001cc,
    0x80bfffff,0xffffffff,0x5ffff300,0x7fffcc00,0x3a60001e,0x0001ffff,
    0x447bffee,0x7fc4fffe,0x00ffffff,0x2a5ffff3,0xf885ffff,0x5006ffff,
    0xfa85ffff,0xfff03fff,0xf70001ff,0x4009ffff,0x01bcdca8,0x05555440,
    0xa8055554,0xf305ffff,0x000bffff,0xd3000000,0xe8000bff,0x0fff32ff,
    0x1aaaa800,0x001aaaa8,0x00aaaaa8,0x06aaa600,0x00055555,0x7540fbae,
    0x9710003e,0x2000179b,0xa80aaaa8,0x00000aaa,0x00099988,0x00555510,
    0xffffffff,0x3fffe607,0x2aaaa002,0x5500000a,0x22000555,0xaa80aaaa,
    0x3fffe0aa,0xf303ffff,0x3fea5fff,0xfffd85ff,0x3ae000ff,0x07dd503e,
    0x007ffffc,0x7ffffc40,0x00000001,0xffa80000,0x3fee05ff,0x000007ff,
    0x00220000,0x3fffee00,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0x000002ff,0x3fffffe0,0xff980fff,0x000002ff,
    0x00000000,0xffff8000,0xf307ffff,0x3fea5fff,0x7ffd45ff,0x000002ff,
    0x3ffffe00,0xdfd30000,0x09880005,0x00260000,0x0bffff50,0x07ffffcc,
    0x06ffff88,0x4c400000,0x7fe40000,0x00004fff,0x00004c40,0x00000130,
    0x0000004c,0x26000000,0x00000000,0x3fe00000,0x880000ff,0x7fffc019,
    0x983fffff,0x0002ffff,0x00000000,0xff800000,0x3fffffff,0x52ffff98,
    0x744bffff,0x0005ffff,0xff000260,0x00001fff,0xfd973000,0x37bfffff,
    0x3ffb2a00,0x5401bdff,0x2205ffff,0x2207ffff,0x0006ffff,0x3fb2e600,
    0x1bdfffff,0x0d654400,0x32e60000,0xdffffffe,0xfd95001b,0x0037bfff,
    0x7fff6540,0x22001bdf,0x9004eeee,0x5003dddd,0x7bffffd9,0xdddd1003,
    0x3bbb2009,0xf980001e,0x750005ff,0xbfffffdb,0x67fffc17,0x4c0fffff,
    0x3a22ffff,0xd9004eee,0x77443ddd,0xdd9004ee,0xddd303dd,0xdddddddd,
    0x7ffc7ddd,0x86ffffcf,0xf52ffff9,0x7fe4bfff,0x20000eff,0xdffffeca,
    0x7fffc01b,0x0000000f,0x7fffffe4,0x0fffffff,0x3ffff620,0x03ffffff,
    0x817fffea,0x206ffffa,0x006ffff8,0xffff9000,0xffffffff,0xddd1001f,
    0x0001dddd,0xffffff90,0x1fffffff,0x7fffec40,0x03ffffff,0x7fffec40,
    0x03ffffff,0x0dffff30,0x07ffff60,0xfffffd88,0x403fffff,0x006ffff9,
    0x003ffffb,0x3ff66620,0x7f4c002f,0xffffffff,0x3fffe4ff,0x44ffffbb,
    0x262ffff9,0xb006ffff,0x7cc3ffff,0xfb006fff,0xff303fff,0xffffffff,
    0x7fc9ffff,0xffffcbff,0x97fffcc2,0xf35ffffa,0x0003ffff,0x3fffff62,
    0x203fffff,0x000fffff,0x80599950,0xffffffe9,0xffffffff,0xfffff500,
    0xffffffff,0x3fffea09,0xfffff105,0x7fffc409,0x74c00006,0xffffffff,
    0x00ffffff,0xffffffa8,0x3a60003f,0xffffffff,0x00ffffff,0xfffffff5,
    0x09ffffff,0x3ffffea0,0xffffffff,0xffff9804,0xffffb006,0x3fffea03,
    0xffffffff,0x3ffe604f,0xfffb006f,0x76dc003f,0x0fffffff,0x3fffee00,
    0xffffffff,0x4ffffe4f,0x260fffff,0x3e62ffff,0xfb006fff,0x7fcc3fff,
    0xffb006ff,0xfff303ff,0xffffffff,0x7ffc9fff,0x6ffff9bf,0xa97fffcc,
    0xffd5ffff,0x2a0009ff,0xffffffff,0xf04fffff,0x0001ffff,0xb817fff2,
    0xffffffff,0xffffffff,0xfffff980,0xffffffff,0xfffa85ff,0x3ff2625f,
    0x2200ffff,0x0006ffff,0x3ffffee0,0xffffffff,0xfc800fff,0x05ffffff,
    0xfffff700,0xffffffff,0xff301fff,0xffffffff,0x80bfffff,0xfffffff9,
    0xffffffff,0x7fffcc05,0xffffb006,0xfffff303,0xffffffff,0x3fe60bff,
    0xffb006ff,0xfd3003ff,0xffffffff,0x3ff600bf,0xffffffff,0x3fe4ffff,
    0xffff73ff,0x17fffcc9,0x00dffff3,0x987ffff6,0xb006ffff,0xf303ffff,
    0xffffffff,0x7c9fffff,0xfffb3fff,0x7fffcc3f,0x9bffff52,0x000dffff,
    0x3fffffe6,0xffffffff,0xfffff85f,0xfff90000,0x3fffe60b,0xaaacdfff,
    0xe80fffdc,0xabefffff,0xffffffdb,0x7ffffd41,0xffffffff,0x7fc401ef,
    0x300006ff,0xbfffffff,0xffb95559,0xffff001f,0x000fffff,0xfffffff3,
    0xfb95559b,0xfffd01ff,0xfb757dff,0x403fffff,0xbefffffe,0xfffffdba,
    0x3ffe601f,0xfffb006f,0xffffd03f,0xffb757df,0xf303ffff,0x3600dfff,
    0x5c01ffff,0xffffffff,0x00efffff,0x3fffffee,0xfdcaabde,0x4ffffe4f,
    0x30fffff8,0x7cc5ffff,0xfb006fff,0x7fcc3fff,0xffb006ff,0x555103ff,
    0xfb555555,0x7ffc9fff,0xbffff53f,0xa97fffcc,0xffffffff,0xfd0001ff,
    0x757dffff,0x3ffffffb,0x00fffff8,0x0dfffb00,0x3bfffff6,0x540da800,
    0x503fffff,0xa8bfffff,0xffffffff,0x00ceffff,0x06ffff88,0xffffb000,
    0x1b5001df,0xfffff980,0x4002ffff,0x0efffffd,0x7d40da80,0xf503ffff,
    0x2a0bffff,0x503fffff,0x40bfffff,0x006ffff9,0xa83ffffb,0x503fffff,
    0x30bfffff,0x200dffff,0x201ffffd,0xfffffff9,0xfffffffe,0xfffff105,
    0x22a8807f,0x3ee3ffff,0xfff34fff,0x7fffcc5f,0xffffb006,0x37fffcc3,
    0x1ffffd80,0x3fff2000,0x8ffffe4f,0xf30ffffe,0x3fea5fff,0xffffffff,
    0xfffa8000,0xfff503ff,0xffff8bff,0xffb0000f,0xffff50df,0xfd00009f,
    0xfb809fff,0x3ea0ffff,0xffffffff,0x22000eff,0x9886ffff,0xffff5000,
    0x7000009f,0xfffbffff,0x7fd4009f,0x80004fff,0x404ffffe,0x80fffffb,
    0x404ffffe,0x00fffffb,0x00dffff3,0xd07ffff6,0xb809ffff,0x4c0fffff,
    0xb006ffff,0x7403ffff,0xf51effff,0x5fffffff,0x5fffff90,0x3fffe000,
    0x3ffffe23,0x22ffff98,0x006ffff9,0x4c3ffffb,0xb006ffff,0x0003ffff,
    0xf27fffe4,0x7fdc7fff,0xffff34ff,0x3bfffea5,0x005ffffe,0x04ffffe8,
    0x07ffffdc,0x001fffff,0x21bfff60,0x006ffffe,0xfffffa80,0xfffff800,
    0x3ffffea4,0xffffffff,0xffff1001,0x7ffff5cb,0x3fffa00d,0xd000006f,
    0xfff3ffff,0x7ff400df,0xa80006ff,0x800fffff,0x544fffff,0x800fffff,
    0x304fffff,0x200dffff,0x2a1ffffd,0x800fffff,0x4c4fffff,0xb006ffff,
    0x2a03ffff,0x360effff,0xffffefff,0x7ffffc45,0x3ffe0004,0x7fffdc3f,
    0x22ffff9c,0x006ffff9,0x4c3ffffb,0xb006ffff,0x0003ffff,0xf27fffe4,
    0xfff87fff,0xffff98ff,0x5bffff52,0x007fffff,0x07ffffd4,0x27ffffc0,
    0x001fffff,0x31bfff60,0x007fffff,0xbffff700,0x3ffff200,0x57fffea5,
    0x6fffffb8,0xbffff100,0xffffffd1,0xfff305ff,0x000007ff,0x3e9ffff1,
    0x9801ffff,0x003fffff,0x5ffffb80,0xbffff900,0x05ffffb8,0x0bffff90,
    0x01bfffe6,0x70ffffec,0x200bffff,0x4c5ffffc,0xb006ffff,0x3a03ffff,
    0x3e22ffff,0xffff8fff,0x3fffee0f,0x3fe0001f,0x7ffc43ff,0x2ffffaff,
    0x01bfffe6,0x30ffffec,0x200dffff,0x001ffffd,0x93ffff20,0x7e43ffff,
    0xfff9bfff,0xbffff52f,0x03fffff6,0x2ffffdc0,0x5ffffc80,0x003ffffe,
    0x23ffff40,0x007ffffa,0x7ffff900,0x3fffea00,0x17fffea6,0x07fffff5,
    0xdbffff10,0xffffffff,0xfffa81ff,0x5000007f,0x3f65ffff,0xfa803fff,
    0x00007fff,0x007ffff9,0x91bfffea,0x2007ffff,0x306ffffa,0x200dffff,
    0x321ffffd,0x5003ffff,0xf98dffff,0xfb006fff,0x3fe03fff,0x7ffd46ff,
    0x45ffffb4,0x005ffffc,0x41ffffc0,0xffeffffb,0x3ffe62ff,0xfffb006f,
    0x7fffcc3f,0xffffb006,0x7fe40003,0x3fffe4ff,0x77fffc43,0xf52ffff9,
    0x3fe2bfff,0xf9006fff,0x2a007fff,0x3fe6ffff,0xd0000fff,0xffb8ffff,
    0xd00005ff,0x2005ffff,0x2a7ffff9,0xfc85ffff,0x4400ffff,0xffffffff,
    0xffffffff,0x2ffffdc4,0xffd80000,0xffff70ff,0xffff700b,0x3fa0000b,
    0xf3002fff,0xffe8ffff,0xff3002ff,0x3fe60fff,0xffb006ff,0x7fff43ff,
    0xfff3002f,0xffff98ff,0xffffb006,0x9ffff103,0xf71fffd8,0x7ff47fff,
    0x7c0004ff,0xff883fff,0x2fffffff,0x01bfffe6,0x30ffffec,0x200dffff,
    0x001ffffd,0x93ffff20,0xfc83ffff,0xffffcfff,0x4bffff52,0x03fffffb,
    0x02ffffe8,0x4fffff30,0x000fffff,0xc8ffffd0,0xc984ffff,0xcccccccc,
    0x07ffffe0,0x7ffffc40,0x0bffff50,0x07fffff1,0xffffff88,0xffea8bff,
    0x7ffe47ff,0xcccc984f,0x200ccccc,0x3e26ffff,0x6400ffff,0xc984ffff,
    0xcccccccc,0x07ffffe0,0x7ffffc40,0x07ffffe0,0x7ffffc40,0x6ffff980,
    0x3ffffb00,0x00fffffc,0x0fffff88,0x01bfffe6,0x40ffffec,0x223ffffa,
    0x3fea7fff,0x3fffe3ff,0x7fc0003f,0xfff703ff,0x4c5fffff,0xb006ffff,
    0x7cc3ffff,0xfb006fff,0x40003fff,0x3e4ffffc,0xff983fff,0x2fffffff,
    0xe8bffff5,0x401fffff,0x001fffff,0x21fffff1,0x000fffff,0xe8fffff0,
    0xfa83ffff,0xffffffff,0x03ffffe1,0x7ffffc40,0x0bffff51,0x01fffff6,
    0xdffffff1,0x1fffff30,0x41fffff4,0xfffffffa,0xfff301ff,0xffffe89f,
    0x7ffff402,0xfffffa83,0x3fe1ffff,0xf1000fff,0x7fc3ffff,0xf1000fff,
    0xf303ffff,0x3600dfff,0x3fe1ffff,0xf1000fff,0x7cc3ffff,0xfb006fff,
    0xff703fff,0x7ffdc7ff,0x53fffea4,0x02fffff8,0x1ffffc00,0xffffff88,
    0x3ffe62ff,0xfffb006f,0x7fffcc3f,0xffffb006,0x7fe40003,0x3fffe4ff,
    0xfffffb03,0x3fea5fff,0x7ffcc5ff,0x7ffc06ff,0xff1000ff,0x3ffe3fff,
    0xff0000ff,0x7ffc1fff,0xfffa82ff,0x31ffffff,0x001fffff,0xa8fffffc,
    0xf305ffff,0x4407ffff,0x00efffff,0x7c3fffff,0xfa82ffff,0xffffffff,
    0x3ffff901,0x04ffffc8,0x417ffffc,0xfffffffa,0xffff31ff,0x7ffc001f,
    0xffff31ff,0x7ffc001f,0xfff981ff,0xfffb006f,0x3fffe63f,0x3ffe000f,
    0x3ffe61ff,0xfffb006f,0xffff703f,0x50fffec7,0x3e67ffff,0x0001ffff,
    0x701ffffc,0x5fffffff,0x037fffcc,0x21ffffd8,0x006ffff9,0x003ffffb,
    0x27fffe40,0x2a07ffff,0xffffffff,0x0bffff52,0x09fffff9,0x03ffffe6,
    0x1fffff80,0x001fffff,0x83ffffe0,0xa82fffff,0xffffffff,0xfffff11f,
    0x7fffc001,0xbffff51f,0x37ffff40,0x1fffff10,0x0ffffec0,0x505fffff,
    0xffffffff,0x3fffa03f,0x7ffffa87,0x17ffffc0,0x7fffffd4,0xfff11fff,
    0x7fc001ff,0xfff11fff,0x7fc001ff,0xff981fff,0xffb006ff,0x3ffe23ff,
    0x3fe000ff,0x3fe61fff,0xffb006ff,0xfff503ff,0x1bffe29f,0x265ffff7,
    0x001fffff,0x01ffffc0,0xfffffff1,0x37fffcc5,0x1ffffd80,0x01bfffe6,
    0x00ffffec,0x9ffff900,0xd01ffffc,0x5fffffff,0x217fffea,0x1fffffe8,
    0x0fffff88,0x3ffffe00,0x57fffff1,0x55555555,0x7ffffc35,0x0fffffa0,
    0x3fb33326,0x3ffe1fff,0xff1001ff,0x7ffd4fff,0x3ffea05f,0xfff102ff,
    0xfffd80df,0x3ffffa1f,0xecccc983,0xf881ffff,0xfff05fff,0x7ff403ff,
    0xccc983ff,0x21ffffec,0x001fffff,0xf8fffff1,0x1001ffff,0x260fffff,
    0xb006ffff,0x7fc3ffff,0xf1001fff,0xff98ffff,0xffb006ff,0xfff303ff,
    0x13ffeebf,0x223ffffb,0x002fffff,0x01ffffc0,0x3fffffee,0x1bfffe62,
    0x0ffffec0,0x00dffff3,0x007ffff6,0x4ffffc80,0xb80ffffe,0x2fffffff,
    0x20bffff5,0x06fffffa,0x003fffff,0xf9ffffe2,0xffffffff,0x3fffffff,
    0xd83ffffe,0xb004ffff,0x7fc3ffff,0xf3001fff,0x7fd4dfff,0x7ffc05ff,
    0xfff106ff,0xfffd80df,0x3ffff61f,0xffffb004,0x7ffff703,0x13ffff60,
    0x04ffffd8,0x43ffffb0,0x001fffff,0xf8dffff3,0x3001ffff,0x260dffff,
    0xb006ffff,0x7fc3ffff,0xf3001fff,0xff98dfff,0xffb006ff,0xfff103ff,
    0x3fffd1ff,0x23ffffc4,0x003fffff,0x01ffffc0,0x3fffffe2,0x1bfffe62,
    0x0ffffec0,0x00dffff3,0x007ffff6,0x4ffffc80,0xf00ffffe,0x25ffffff,
    0x205ffffa,0x84fffffd,0x001fffff,0x7cdffff3,0xffffffff,0x3fffffff,
    0x43fffff1,0x005ffffb,0x743ffffb,0x3002ffff,0x7d4bffff,0x7dc05fff,
    0xf882ffff,0x7ec06fff,0x3fee1fff,0xffb005ff,0xfffb03ff,0x3ffee01f,
    0x3ffee06f,0xfffb005f,0x7ffff43f,0xffff3002,0x2ffffe8b,0xbffff300,
    0x1bfffe60,0x0ffffec0,0x005ffffd,0x317fffe6,0x200dffff,0xb01ffffd,
    0xfffbffff,0x4ffffd8d,0x027ffff4,0x0ffffe00,0x3ffffee0,0x1bfffe62,
    0x0ffffec0,0x00dffff3,0x007ffff6,0x4ffffc80,0x900ffffe,0x25ffffff,
    0x205ffffa,0x1ffffff8,0x017ffff4,0x25ffff98,0xffffffff,0xffffffff,
    0x3fffff13,0x07ffffd4,0x0ffffec0,0x00bffffb,0xa93ffff2,0x4405ffff,
    0x886fffff,0x6c06ffff,0x3ea1ffff,0xd800ffff,0xff81ffff,0xaaaaafff,
    0x0fffffca,0x1fffff50,0x3ffffb00,0x02ffffec,0x44ffffc8,0x005ffffd,
    0x209ffff9,0x006ffff8,0x6c1ffffd,0x9005ffff,0xf889ffff,0xfd006fff,
    0x3ea01fff,0x3fffffff,0x03fffff6,0x01fffffb,0x1ffffc00,0x7ffffc40,
    0x1bfffe22,0x07ffff40,0x00dffff1,0x003ffffa,0x4ffffc80,0x100ffffe,
    0x25ffffff,0x405ffffa,0x46fffffb,0x005ffffd,0x7c9ffff9,0xffffffff,
    0x3fffffff,0x43fffff1,0x03fffff9,0x21ffffd8,0x007ffffc,0x007ffffd,
    0x7fc40000,0x7fec06ff,0x3ffe61ff,0xffd803ff,0x7ffd41ff,0xffffffff,
    0x03ffffff,0x07fffff3,0x43ffffb0,0x007ffffc,0xc87ffffd,0xd007ffff,
    0x7c07ffff,0xff007fff,0xfffc8fff,0xfffd007f,0xfffff07f,0x1ffffe00,
    0xffffffb0,0xfffffdbf,0xffff907f,0x0000007f,0x83ffffb0,0xf007ffff,
    0xfff0ffff,0x3ffe00ff,0x7ec0007f,0x00003fff,0x20000000,0x007ffffc,
    0x007ffffd,0xffff3000,0xffffe85f,0x7ffec00f,0x3fffe21f,0x7ffd402f,
    0x000000ff,0x1bfffe20,0x83ffffb0,0x00fffffe,0x20ffffec,0xfffffffc,
    0xffffffff,0x3ffa05ff,0x7ec00fff,0x3fe21fff,0x7d402fff,0x7c40ffff,
    0x5402ffff,0x200fffff,0x401ffffe,0x445ffff8,0x402fffff,0x80fffffa,
    0x401ffffe,0x405ffff8,0xfffffff8,0x5fffffff,0xffffff10,0x80000003,
    0xfe87ffff,0x7c401fff,0xffe85fff,0x7fc401ff,0x7c0005ff,0x0001ffff,
    0x00000000,0x0bffffe2,0x1fffff50,0xff300000,0xff985fff,0x3601ffff,
    0x7ec1ffff,0xf301ffff,0x4007ffff,0x8003cccb,0x406ffff8,0x4c1ffffd,
    0x01ffffff,0xf07ffff6,0xffffffff,0xffffffff,0x7ffcc0ff,0x3f601fff,
    0x7fec1fff,0xff301fff,0x3f607fff,0xf301ffff,0xd807ffff,0x6405ffff,
    0xfd84ffff,0xf301ffff,0x3607ffff,0x6405ffff,0x8804ffff,0xfffffffe,
    0x6403ffff,0x02ffffff,0x4c0002a8,0xfd86ffff,0x7e405fff,0xffd84fff,
    0x7fe405ff,0x803504ff,0x00fffffb,0x00799970,0x07999700,0xfffffb00,
    0x3fffe603,0x9997003f,0xffff9805,0xffffd82f,0xd311bcff,0xf983ffff,
    0x8acfffff,0xffffffba,0x3fffa000,0xfff88004,0x7ffec06f,0xffffd81f,
    0xd311bcff,0x7cc3ffff,0xeeeeefff,0xfffeeeee,0x3ff602ff,0x11bcffff,
    0x83ffffd3,0xcffffff9,0xffffba8a,0xfff300ff,0x75159fff,0x01ffffff,
    0xdfffffa8,0xfffffc80,0xfffff980,0xffba8acf,0xf500ffff,0x901bffff,
    0x001fffff,0x7ffffffc,0xf8801def,0xbdffffff,0x4ffca99a,0x3ffa2000,
    0xfffa85ff,0xffc80dff,0xffa80fff,0xfc80dfff,0xf700ffff,0xffff703b,
    0x7ff400df,0xfe80004f,0xf98004ff,0x8acfffff,0xffffffba,0x7ffff000,
    0x13333300,0xffffff10,0xffffffff,0xffd03fff,0xffffffff,0x007fffff,
    0x017fffc4,0x37fffc40,0x07ffff60,0x3fffffe2,0xffffffff,0x3fee1fff,
    0xffd002ff,0x7fc409ff,0xffffffff,0x1fffffff,0xffffffe8,0xffffffff,
    0x7fff403f,0xffffffff,0xd003ffff,0xbdffffff,0x7ffffffd,0x7fffff40,
    0xffffffff,0x7ff403ff,0xfedeffff,0x003fffff,0x2abbffe6,0xffb80009,
    0xffffffff,0x004fffff,0x7fffe5c4,0xfffd01ff,0xffdbdfff,0x7407ffff,
    0xdeffffff,0x3ffffffe,0x3bfffee0,0xfffffffe,0xffff1001,0xff880005,
    0xfd0002ff,0xffffffff,0x07ffffff,0x03fffe60,0xffd30000,0xffffffff,
    0x103fffff,0xfffffffb,0x09ffffff,0x07fff980,0xdffff100,0x1ffffd80,
    0xfffffd30,0xffffffff,0x7fff43ff,0xfff7000f,0xffe980df,0xffffffff,
    0x881fffff,0xfffffffd,0x04ffffff,0xfffffd88,0xffffffff,0x3ffe6004,
    0xffffffff,0x6c406fff,0xffffffff,0x804fffff,0xfffffff9,0x6fffffff,
    0x1fffe400,0xfffb8000,0xffffffff,0x54004fff,0x3fffffff,0x3ffffe60,
    0xffffffff,0x7ffcc06f,0xffffffff,0x7dc06fff,0xffffffff,0x26004fff,
    0x80007fff,0x0007fff9,0x3fffff62,0xffffffff,0x3ffee004,0x32000006,
    0xffffffff,0x00ffffff,0x3ffffff2,0x002fffff,0x005fffb8,0x0dffff10,
    0x01ffffd8,0x7fffffe4,0xffffffff,0x0dffff10,0x7ffffcc0,0xffffc800,
    0xffffffff,0x3ff200ff,0xffffffff,0x7fe4002f,0xffffffff,0xfe98002f,
    0xffffffff,0x3f2004ff,0xffffffff,0x3a6002ff,0xffffffff,0xe8004fff,
    0x00000fff,0x3fffffa2,0x4fffffff,0x7fffd400,0xfe9805ff,0xffffffff,
    0xfd3004ff,0xffffffff,0xff7009ff,0xffffffff,0xffb8007f,0xfb80005f,
    0xc80005ff,0xffffffff,0x64002fff,0x00003fff,0x7fff6cc0,0x02dfffff,
    0xfffffb50,0x200019df,0x0002fffc,0x80dffff1,0x801ffffd,0xfffffed9,
    0x7d42dfff,0x7c003fff,0x3003ffff,0xffffffdb,0x2a005bff,0xeffffffd,
    0xfb50000c,0x19dfffff,0xffeb8000,0x01dfffff,0xffffda80,0x0000ceff,
    0xffffffd7,0xf30003bf,0x00000bff,0x3ffffb6e,0x8001ceff,0x01dffffa,
    0x7ffff5c0,0x8001dfff,0xffffffeb,0x36a001df,0xdfffffff,0xfffc8000,
    0xffc80002,0xb500002f,0x9dffffff,0xfffd0001,0x80000003,0x0019aaa9,
    0x004d4c40,0x05555400,0xffff8800,0x7fffec06,0xaaa98001,0x3fff6019,
    0x7fec001f,0x530005ff,0x80003355,0x00009a98,0x004d4c40,0x9aa98000,
    0x26200000,0x4000009a,0x00009aa9,0x000d554c,0x99a98000,0x55cc0000,
    0xa9800009,0x2000009a,0x00009aa9,0x0009a998,0x00555540,0x05555400,
    0x54c40000,0x55400009,0x0000002a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xceeeeeb8,0x99999980,0x64400000,0x0397100c,0x05e6dc40,
    0x10000044,0x40333333,0x00999999,0x99880000,0x44000009,0x00000999,
    0x33333310,0x99988000,0x98800199,0x4c00199a,0x33330199,0x06666001,
    0x8004cccc,0xccccccc9,0x0002cccc,0x026aa600,0x26033330,0x80000999,
    0x09999998,0x3bdb1000,0x98800000,0x80019999,0x00009998,0x99999880,
    0x81554401,0xffa81aaa,0xc8003fff,0x204fffff,0x1ffffff9,0xfff30000,
    0xffff883f,0xffffc801,0x0076c3ff,0x7fffcc00,0x3fe602ff,0x0001ffff,
    0x3fffea00,0xf500003f,0x0007ffff,0xfffff980,0x3e60002f,0x002fffff,
    0xffffffb5,0xf9007dff,0x3f623dff,0x3f2005ff,0xffb11eff,0x7fd400bf,
    0xffffffff,0x5400003f,0x1fffffff,0x47bfff20,0x005fffd8,0xffffe880,
    0xff10003f,0x00001fff,0x3ffffea0,0x7fd4001e,0x00003fff,0x3fffffe6,
    0x17ffd402,0x260bffea,0x002fffff,0x17ffffe4,0x7fffec40,0xfc80001f,
    0x7fe44fff,0x7fd405ff,0xdfffffff,0x0000ffff,0x37ffffe6,0xfffd8800,
    0x800001ff,0xfffffffa,0x7fd40003,0x003fffff,0xfffff300,0x7cc0001b,
    0x800dffff,0xffffffe9,0x004fffff,0xff7ffff9,0xf90009ff,0xffff7fff,
    0xfffa8009,0xffffffff,0xfd100003,0x3fffffff,0xbffffc80,0x0004ffff,
    0xeffffe88,0x3fea0001,0x00003fff,0xdfffffa8,0x7ffd4000,0x0003ffff,
    0xdfffff98,0xffff8800,0x0ffffdcd,0x2fffff98,0x3ffff200,0x7fdc000e,
    0x40001fff,0x645ffffd,0x7406ffff,0xffffefff,0x003fffff,0x3ffffe60,
    0xfffb8003,0x200001ff,0xffcffffa,0xf50004ff,0xffff9fff,0xff980009,
    0x40003fff,0x03fffff9,0xfffffd10,0x9fffffff,0x7fffdc00,0x20004fff,
    0xfffffffb,0xfffa8004,0xffffffff,0xffd00003,0x3fffffff,0xfffff700,
    0x100009ff,0x01bffffd,0xffffb800,0x4c00004f,0x002fffff,0xfcffffa8,
    0x20004fff,0x03fffff9,0x7ffffdc0,0xf303ffff,0x2005ffff,0x004ffffb,
    0x3ffffa60,0x3fea0001,0x7ffd42ff,0x0774403f,0xbffffff7,0x7ffcc000,
    0x260001ef,0x001ffffe,0x1efffb80,0x009fffd1,0x11efffb8,0x0009fffd,
    0x07bfffe6,0xffff3000,0x7ff4003d,0xccacefff,0x5c004ffd,0x004fffff,
    0xfffffb80,0x00000004,0x3fff2000,0x1fedefff,0xfffff700,0xfd100009,
    0x00005fff,0x0bffffe6,0xfff98000,0xfb8000ef,0xffd11eff,0xff30009f,
    0x20003dff,0xfffffffb,0x3fffe603,0x0000001f,0x01555540,0x40fbae00,
    0x11003eea,0x037db710,0xaaaaa800,0x55500000,0xa8800055,0xaaa80aaa,
    0x5551000a,0x15555015,0x55555000,0x55500001,0x7c400155,0x4403ffff,
    0xaaa98001,0x2a600002,0x000002aa,0x3e200000,0x001cffff,0x015554c0,
    0xaaaa9800,0x7d400000,0x400003ff,0x0002aaaa,0x50155551,0xa8001555,
    0x0000aaaa,0x05e6e5c4,0x3ffffe20,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffa800,0x00000007,
    0x00000000,0x00002600,0x1ffffe60,0x00000000,0x80000000,0x00000001,
    0x00000000,0x00000000,0xfffff880,0x7ffffcc1,0x005fffff,0x00002600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7d400000,
    0x0001ffff,0x00000000,0xd9500000,0x037bffff,0xffff7000,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff8800,0x7fffcc1f,
    0x05ffffff,0x3ffb2a00,0x2001bdff,0xeeeeeeed,0xeeeeeeee,0xeeeeee86,
    0x77774c01,0x77777741,0x77774c01,0xeeee8801,0xd7000eee,0xc800bddd,
    0xed83eeee,0xeeeeeeee,0x06eeeeee,0x003bbbb6,0xdddddb00,0xdddddddd,
    0x3fe20ddd,0x0001ffff,0x03dddddd,0x21eeee98,0xeeeeeee9,0xeeeeeeee,
    0x2202eeee,0xfffffffd,0x40003fff,0x001ffffd,0x3bbbbbaa,0xeeeeeeee,
    0xee984eee,0xcdeeeeee,0xeed8002b,0xeeeeeeee,0x006eeeee,0xeeeeeec8,
    0x106eeeee,0xdddddddd,0xbddddddd,0xdddddd10,0xdddddddd,0x3bbb60bd,
    0xeeeeeeee,0x7fc6eeee,0x7fcc0fff,0xffffffff,0xffd88005,0xffffffff,
    0xfffff003,0xffffffff,0xfff0ffff,0xf980bfff,0x7ffc2fff,0x7cc05fff,
    0xfa802fff,0x03ffffff,0x5fffff10,0x3fffe200,0xfffff80f,0xffffffff,
    0x3fe07fff,0x40000fff,0xffffffff,0xffffffff,0x3ffff607,0x7c000cff,
    0x405fffff,0x2a2ffff9,0xffffffff,0xffffffff,0xff503fff,0xffffffff,
    0x40009fff,0x000fffff,0x3fffffee,0xffffffff,0xffa85fff,0xffffffff,
    0xf000cfff,0xffffffff,0xffffffff,0xffff8800,0xffffffff,0xfffff307,
    0xffffffff,0xfff30dff,0xffffffff,0x3e0dffff,0xffffffff,0x7fffffff,
    0x207ffffc,0xfffffff9,0x54005fff,0xffffffff,0x804fffff,0xffffffff,
    0xffffffff,0xffffff87,0x3ffe600f,0x7ffffc2f,0x3fe600ff,0xffc802ff,
    0x005fffff,0x01bffff2,0x827fffec,0xffffffff,0xffffffff,0x3ffffe07,
    0x7ffc0000,0xffffffff,0x107fffff,0xfffffffd,0x7ffc007f,0x2600ffff,
    0x3ea2ffff,0xffffffff,0xffffffff,0xfff983ff,0xffffffff,0x0005ffff,
    0x800fffff,0xfffffffb,0xffffffff,0xfffa85ff,0xffffffff,0xf800ffff,
    0xffffffff,0x7fffffff,0x7fffdc00,0xffffffff,0xfffff307,0xffffffff,
    0xfff30dff,0xffffffff,0x3e0dffff,0xffffffff,0x7fffffff,0x007ffffc,
    0x05ffffa8,0x3ffffe60,0xffffffff,0x7ffc05ff,0xffffffff,0xf87fffff,
    0x04ffffff,0xf0bfffe6,0x09ffffff,0x017fffcc,0x7ffffffc,0x3fe2007f,
    0x7c402fff,0xff00ffff,0xffffffff,0x0fffffff,0x007ffffc,0x3ffffe00,
    0xffffffff,0xff987fff,0xffffffff,0xfff801ef,0x2604ffff,0x3ea2ffff,
    0xffffffff,0xffffffff,0xfffe83ff,0xfdbabeff,0x001fffff,0x037fffc4,
    0x3ffffee0,0xffffffff,0xfa85ffff,0xffffffff,0x0effffff,0x7fffffc0,
    0xffffffff,0x7f4007ff,0xffffffff,0xff307fff,0xffffffff,0x30dfffff,
    0xffffffff,0xdfffffff,0x3fffffe0,0xffffffff,0x7fffc7ff,0x3ffea007,
    0x3ffa005f,0xdbabefff,0x01ffffff,0x3eaaaaaa,0xaaabffff,0xfffff82a,
    0xff300fff,0xffff85ff,0xf300ffff,0xf9805fff,0xffffffff,0x3fff2002,
    0x7ffec06f,0x2aaaa04f,0xbfffffaa,0x3e02aaaa,0x0000ffff,0x7d555554,
    0xaaabffff,0xffffe82a,0xffffffff,0x7fffc04f,0xf300ffff,0x55445fff,
    0xfffaaaaa,0xaaaaabff,0x7fffd41a,0xffff503f,0xff9800bf,0x754005ff,
    0xeeeeeeee,0xffffffee,0xeffffa84,0xfffdcaaa,0x55404fff,0xffffaaaa,
    0x02aaaabf,0x3ffffe60,0x9999cfff,0xfffff301,0x55555555,0xfff30555,
    0x555555ff,0x2a055555,0xfffaaaaa,0x2aaaabff,0x003ffff4,0x00bffff5,
    0x0fffffea,0x2fffffd4,0x7ffffc00,0xfffff000,0x3e607fff,0x7ffc2fff,
    0x303fffff,0xb805ffff,0xfffdffff,0x3fe2004f,0xff302fff,0xf0001fff,
    0x8001ffff,0x000fffff,0xfffff000,0xffff7001,0xfffff73f,0x7fc0bfff,
    0x03ffffff,0x005ffff3,0x007ffffc,0x09ffffd0,0x0fffffb8,0xdccccc98,
    0xccceffff,0x40000ccc,0x0efffff8,0x05ffffa8,0x0bfffff3,0x3ffffe00,
    0x7fe40000,0x04ffffcf,0x1bfffe60,0xffff3000,0x7c00000d,0xe800ffff,
    0x2a007fff,0xd005ffff,0xb809ffff,0x000fffff,0x007ffffc,0xfffffff8,
    0xffff307f,0xffffff85,0xfff307ff,0xfffe805f,0x06ffff9f,0x2ffffe40,
    0x04ffffd8,0x1fffff00,0xfffff800,0xff000000,0xfd001fff,0x7ec47fff,
    0x05ffffff,0xffffffff,0x3fffe60f,0x3fffe002,0xfff5000f,0xfff001ff,
    0xfff509ff,0xffffffff,0x03ffffff,0xffffd800,0xffff501f,0x7fffdc0b,
    0xffff0007,0xff80001f,0x4ffff9ff,0x3fffe600,0x7fcc0006,0x000006ff,
    0x003ffffe,0x801ffffa,0x805ffffa,0x00fffffa,0x04fffff8,0x07ffffc0,
    0xffffff80,0xff983fff,0x7fffc2ff,0x983fffff,0x2202ffff,0xfff4ffff,
    0x7c4003ff,0x7cc1ffff,0x0000ffff,0x001fffff,0x00fffff8,0xffff0000,
    0xffff001f,0xfffd303f,0xfff05fff,0x07ffffff,0x005ffff3,0x007ffffc,
    0x05ffffb8,0x0bffff90,0xfffffff5,0xffffffff,0x540003ff,0x204fffff,
    0x205ffffa,0x00fffff9,0x0fffff80,0x3ffea000,0x009ffff6,0x037fffcc,
    0x3fffe600,0x3e000006,0xe800ffff,0x2a007fff,0xb805ffff,0x9005ffff,
    0x800bffff,0x000fffff,0xfff9ffff,0xffff30df,0xfcffff85,0xff986fff,
    0x3fea02ff,0xffffb2ff,0xfffc8007,0x7fffec5f,0x3ffe0004,0x7fc000ff,
    0x00000fff,0x01fffff0,0x3fffff88,0x3fffff60,0xfcffff87,0xff986fff,
    0x3fe002ff,0xf9000fff,0x2a007fff,0xfa86ffff,0xffffffff,0xffffffff,
    0xfff10001,0xffa80dff,0x3fe205ff,0xff0007ff,0x40001fff,0xfff3fffd,
    0x7fcc009f,0x4c0006ff,0x0006ffff,0x3ffffe00,0x6fffd800,0x3fffea00,
    0xffffc805,0xffff5003,0xffff800d,0xffff000f,0x85ffff97,0x7c2ffff9,
    0xfffcbfff,0x7fffcc2f,0x3ffff602,0x0bffff70,0xfffff880,0x1fffff10,
    0x7fffc000,0x7ffc000f,0x000000ff,0x001fffff,0x80dffffd,0x41fffffd,
    0xffcbffff,0x7ffcc2ff,0x3ffe002f,0xffd000ff,0x3e6005ff,0xaa887fff,
    0xfffffaaa,0x0aaaaaab,0xffffb000,0xfffa803f,0x3ffea05f,0xfff0006f,
    0x220001ff,0xfff0ffff,0x7fcc009f,0x4c0006ff,0x0006ffff,0x3ffffe00,
    0x6fffd800,0x3fffea00,0xffffe805,0xffff3002,0xffff800f,0xffff000f,
    0x8dffff37,0x7c2ffff9,0xfff9bfff,0x7fffcc6f,0x9bfffe02,0x00fffff8,
    0xa7fffe40,0x004ffffc,0x07ffffc0,0x3ffffe00,0xff000000,0xfb001fff,
    0x201dffff,0x42fffff9,0xff9bffff,0x7ffcc6ff,0x3ffe002f,0xfff000ff,
    0x3e2003ff,0xf000ffff,0x0000ffff,0x9fffff50,0xbffff500,0x3ffffe20,
    0xffff0004,0x3ee0001f,0x3fffe6ff,0x3ffe6004,0x7cc0006f,0x00006fff,
    0x03ffffe0,0x01bfff60,0x05ffffa8,0x01fffff8,0x1fffff10,0x7ffffc00,
    0x7ffff000,0x987ffff6,0x7fc2ffff,0xffffb3ff,0x17fffcc3,0x44ffff98,
    0x002ffffe,0x47ffffc4,0x000fffff,0x07ffffc0,0x3ffffe00,0xff000000,
    0xf3001fff,0x05dfffff,0xf0fffffa,0x3ff67fff,0x3ffe61ff,0x3ffe002f,
    0xfff000ff,0x3e2001ff,0x8801ffff,0x0007ffff,0x7ffffc40,0xffff5006,
    0x7ffe4c4b,0xf0000fff,0x0001ffff,0xff8ffffa,0x4eeeeeff,0xdfffff30,
    0xdddddddd,0xffff305d,0xdddddddf,0xf8005ddd,0xd800ffff,0x2a005fff,
    0xf805ffff,0x1000ffff,0x003fffff,0x007ffffc,0xf53ffff8,0x7fccbfff,
    0x7fffc2ff,0x4bffff53,0x902ffff9,0xfc83ffff,0xc8004fff,0xfffeffff,
    0xff80004f,0x7c000fff,0x0000ffff,0x1fffff00,0x3ffff200,0x3e20dfff,
    0x7fc1ffff,0xffff53ff,0x17fffccb,0x1fffff00,0xfffff300,0x7fffc001,
    0xfff9801f,0x6c00006f,0x001fffff,0xfffffff5,0xdfffffff,0x7ffc0003,
    0xf98000ff,0x3ffe0fff,0x05ffffff,0xfffffff3,0xffffffff,0xfffff305,
    0xffffffff,0xff8005ff,0xca800fff,0x3ea003cc,0x7cc05fff,0x2000ffff,
    0x001fffff,0x003ffffe,0xfd1ffffc,0x3fe61fff,0x7fffc2ff,0x43ffffa3,
    0xd02ffff9,0xff50ffff,0xf1000fff,0xffffffff,0xfff00001,0xff8001ff,
    0x00000fff,0x01fffff0,0x7ffffe40,0xfff93fff,0x7ffff0ff,0x987ffff4,
    0x2002ffff,0x800fffff,0x00fffff8,0x07ffffe0,0x17fffea0,0xfffa8000,
    0x3ea003ff,0xffffffff,0x000cefff,0x07ffffc0,0x2fffe400,0x3ffffffe,
    0xfff305ff,0xffffffff,0xf305ffff,0xffffffff,0x05ffffff,0x0fffff80,
    0x7d400000,0x7c405fff,0x2000ffff,0x001fffff,0x003ffffe,0xf71ffffc,
    0x3fe69fff,0x7fffc2ff,0x53fffee3,0x882ffff9,0xff05ffff,0x90003fff,
    0x9fffffff,0x3ffe0000,0x7fc000ff,0x00000fff,0x01fffff0,0xfffffb80,
    0xffffefff,0x3ffff83f,0x4d3fffee,0x2002ffff,0x000fffff,0x003fffff,
    0x01ffffe2,0x027fffdc,0xffff8800,0x7fd4006f,0xffffffff,0xf00000ef,
    0x0001ffff,0xff85ffff,0x5fffffff,0xffffff30,0xffffffff,0xffff305f,
    0xffffffff,0xf8005fff,0x0000ffff,0x7fffd400,0xfffff805,0xffff1001,
    0xffff800f,0xffff000f,0x8fffff87,0x7c2ffff9,0x7ffc3fff,0xffff98ff,
    0x3ffffb82,0x09ffffb0,0xfffff100,0x200001ff,0x000fffff,0x007ffffc,
    0xffff8000,0xfe98000f,0xffffffff,0xffff06ff,0x8fffff87,0x002ffff9,
    0x003ffffe,0x00fffffc,0x06ffff98,0x07ffff90,0x3fff6000,0x7d4001ff,
    0xffffffff,0x0001ffff,0x00fffff8,0x43fffd40,0x999cffff,0xffff3009,
    0x3333333d,0xff301333,0x33333dff,0x00133333,0x00fffff8,0x001ded88,
    0x017fffea,0x007ffffe,0x037fffcc,0x03ffffe0,0x21ffffc0,0xf9bffffc,
    0x7ffc2fff,0x7fffe43f,0x82ffff9b,0x700ffffd,0x000dffff,0x13fffff2,
    0xffff8000,0x7ffc000f,0x000000ff,0x001fffff,0x7ffffdc0,0xf00dffff,
    0xffc87fff,0xffff9bff,0x3fffe002,0xfffd000f,0x3fe6005f,0xffb005ff,
    0x500005ff,0x007fffff,0x2bffff50,0x6fffffb8,0xffff8000,0x7fec000f,
    0x4ffff84f,0x3fffe600,0x7fcc0006,0x000006ff,0x003ffffe,0x01fffff1,
    0x17fffea0,0x0bffffa0,0x2ffffcc0,0x3ffffe00,0x7ffff000,0x9effff88,
    0x7fc2ffff,0x7ffc43ff,0x2ffff9ef,0xaafffff8,0xfffcaaaa,0xf98000ff,
    0x0000ffff,0x03ffffe0,0x1fffff00,0x3fe00000,0x40000fff,0xffffffc8,
    0x3fffe00f,0x77fffc43,0x002ffff9,0x003ffffe,0x02ffffec,0x04ffffc8,
    0x03ffffd0,0xffff8800,0xff50006f,0xfffa8bff,0x7c0003ff,0x2000ffff,
    0x99bffff8,0x04ffff99,0x1bfffe60,0xffff3000,0x7c00000d,0x5c00ffff,
    0x004fffff,0x00bffff5,0x00bffffb,0x013ffff2,0x01fffff0,0x20ffffe0,
    0xffcffffc,0x7fffc2ff,0xcffffc83,0x7d42ffff,0xffffffff,0xffffffff,
    0xfff88003,0x7c00007f,0x4000ffff,0x000fffff,0xfffff000,0x3e600001,
    0x203fffff,0xfc83ffff,0xffffcfff,0x3fffe002,0xfff9000f,0x3ffa00ff,
    0xfff003ff,0xd80001ff,0x000fffff,0x0bffff50,0x01fffff9,0x7ffffc00,
    0x3fff2000,0xffffffff,0x3e6004ff,0x40006fff,0x006ffff9,0x3fffe000,
    0x7ffe400f,0xff5005ff,0xff900bff,0x3fa00fff,0x7c003fff,0xf000ffff,
    0xff307fff,0x5fffffff,0x983ffff8,0xffffffff,0x7fffe42f,0xffffffff,
    0x005fffff,0x07ffff88,0x7fffc000,0x7ffc000f,0x000000ff,0x001fffff,
    0x7fffc400,0x3fffe04f,0xfffff983,0x2002ffff,0x000fffff,0x05fffff1,
    0x0fffffa8,0x6ffff980,0x7ffd4000,0x2a0003ff,0xf885ffff,0x0003ffff,
    0x003ffffe,0xfffffff8,0x4fffffff,0x3fffe600,0x7fcc0006,0x000006ff,
    0x003ffffe,0x07fffff5,0x17fffea0,0x3ffffe20,0x7fffd402,0x7ffc000f,
    0xfff000ff,0x3fff607f,0x7c2fffff,0xffb03fff,0x85ffffff,0xffffffff,
    0xffffffff,0xf88007ff,0x00007fff,0x007ffffc,0x03ffffe0,0x7ffc0000,
    0x400000ff,0x205ffffd,0xfb03ffff,0x5fffffff,0x7ffffc00,0x3fff6000,
    0xfff301ff,0x3f2007ff,0x20004fff,0x05fffff8,0x7fffd400,0xfffffb05,
    0x7fffc000,0xfff5000f,0xffffffff,0x4c009fff,0x0006ffff,0x037fffcc,
    0xffff0000,0xfff9001f,0x7ffd400b,0xfffb005f,0x3fe603ff,0xf8003fff,
    0xf000ffff,0x3ea07fff,0x2fffffff,0xa81ffffc,0xffffffff,0x3bfffe62,
    0xeeeeeeee,0x02fffffe,0x3ffffc40,0x3ffe0000,0x7fc000ff,0x00000fff,
    0x01fffff0,0x3fe20030,0x3fe03fff,0xfff503ff,0x005fffff,0x007ffffc,
    0xffffff30,0xfff75159,0xf1001fff,0x0005ffff,0x07ffffec,0x3ffea000,
    0xffff305f,0x3fe0007f,0xfb000fff,0x99999dff,0x009ffff9,0x037fffcc,
    0x3fffe600,0x3e000006,0x3000ffff,0xffa80035,0xff3005ff,0x5159ffff,
    0x1ffffff7,0x4cccccc0,0x999fffff,0xffff8199,0x3ffffa03,0x7ffc2fff,
    0x3fffa03f,0x3ee2ffff,0xfd002fff,0x88009fff,0x0007ffff,0xff333333,
    0x33333fff,0x7ffffc03,0xaaaaaaab,0x99981aaa,0xfffff999,0x6c199999,
    0x53099bdf,0x01fffffb,0xd01ffffc,0x5fffffff,0x7ffffc00,0x7fff4000,
    0xffffffff,0xaa83ffff,0xfffffda9,0xff50000f,0x9999dfff,0x99999999,
    0x0bffff50,0x037ffff4,0x3e666666,0x9999ffff,0x7fffc419,0x13fffe03,
    0xeffff980,0x99999999,0xfff98099,0x999999ef,0x33009999,0xffff3333,
    0x0333333f,0x7ffd4000,0x3ffa005f,0xffffffff,0x403fffff,0xffffffff,
    0xffffffff,0x03ffff87,0x3fffffee,0x1ffffc2f,0xffffff70,0x7ffff45f,
    0xffff7000,0xfff8800d,0xfff0007f,0xffffffff,0x40ffffff,0xffffffff,
    0xffffffff,0xffffff83,0xffffffff,0x7ffec7ff,0xffffffff,0x7fc05fff,
    0x3fee03ff,0x002fffff,0x003ffffe,0xfffffb10,0xffffffff,0x3ffffa09,
    0x002fffff,0x3fffffa0,0xffffffff,0xfa87ffff,0x3ea05fff,0x3e02ffff,
    0xffffffff,0x7fffffff,0x007fffdc,0xffffffff,0xfff303ff,0xffffffff,
    0xf30dffff,0xffffffff,0x0dffffff,0x3ffffffe,0xffffffff,0xeee8007f,
    0xffffeeee,0x84eeeeef,0xffffffd8,0x4fffffff,0xffffff80,0xffffffff,
    0xffff87ff,0x7ffffc03,0x7fffc2ff,0x7ffffc03,0xffff12ff,0x7ffcc00d,
    0x3e2000ff,0xf0007fff,0xffffffff,0xffffffff,0x7fffffc0,0xffffffff,
    0xffff83ff,0xffffffff,0x7ec7ffff,0xffffffff,0xf805ffff,0x7fc03fff,
    0x002fffff,0x003ffffe,0x7ffffe40,0x02ffffff,0x3ffffffa,0x740005ff,
    0xffffffff,0xffffffff,0xffffa87f,0x7ffffc05,0x3ffffe06,0xffffffff,
    0x7ff47fff,0x7fffc05f,0x81ffffff,0xfffffff9,0xffffffff,0xfffff986,
    0xffffffff,0xffff06ff,0xffffffff,0x000fffff,0xffffffff,0xffffffff,
    0x7ffe40bf,0xffffffff,0xfffff002,0xffffffff,0xfff0ffff,0xfffc807f,
    0x7ffc2fff,0x7ffe403f,0xfff52fff,0xfff8007f,0x3e2003ff,0xf0007fff,
    0xffffffff,0xffffffff,0x7fffffc0,0xffffffff,0xffff83ff,0xffffffff,
    0x7ec7ffff,0xffffffff,0xff003eff,0xffc807ff,0x2002ffff,0x000fffff,
    0x3ffff6a0,0x7400ceff,0x2fffffff,0xfffe8000,0xffffffff,0x87ffffff,
    0x405ffffa,0x02fffffb,0xffffffff,0xffffffff,0x17fffccf,0x3fffffe0,
    0xf981ffff,0xffffffff,0x86ffffff,0xfffffff9,0xffffffff,0xffffff06,
    0xffffffff,0xff000fff,0xffffffff,0xbfffffff,0xffffda80,0x2000ceff,
    0xffffffff,0xffffffff,0x03ffff87,0x7fffffc4,0x01ffffc2,0x3fffffe2,
    0x03ffffb2,0x5ffffd80,0x3fffe200,0xffff0007,0xffffffff,0x7c0fffff,
    0xffffffff,0x3fffffff,0xfffffff8,0xffffffff,0xecca987f,0x001cceee,
    0x201ffffc,0x2ffffff8,0x3ffffe00,0x53100000,0x76dc0013,0x00002cde,
    0x3ffffffa,0xffffffff,0xffa87fff,0x7fc405ff,0xfff06fff,0xffffffff,
    0x64ffffff,0xff807fff,0xffffffff,0xfffff981,0xffffffff,0xfff986ff,
    0xffffffff,0xff06ffff,0xffffffff,0x0fffffff,0xffffff00,0xffffffff,
    0x4400bfff,0x000009a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x880bcdb8,0x9b710000,0x00011017,0x26666620,0xbdb10001,0x26660003,
    0x09998809,0x4ccc4000,0x33260000,0xcccccccc,0x2200002c,0x40199999,
    0x97100cc8,0x99880003,0x88000009,0x00000999,0x4ccccc40,0x26620001,
    0x26666000,0x00000099,0x4c001988,0x33330199,0x00cc8801,0x51003971,
    0x06aaa055,0x20266660,0x40009998,0x55502aa8,0x4ccc0003,0x80000999,
    0x97100cc8,0xfff90003,0x0ed87fff,0x7fffe400,0x0076c3ff,0x3fffe600,
    0xf88002ff,0x8000ffff,0x322ffffa,0x0000efff,0x0fffffea,0x7fffd400,
    0x3fffffff,0xfff30000,0x7cc05fff,0x7fc41fff,0xf50001ff,0x0007ffff,
    0x7ffffd40,0xf3000003,0x005fffff,0x7ffff6dc,0x2603deff,0x01ffffff,
    0x76dd4000,0x0bdfffff,0x47bfff20,0x405fffd8,0x441ffff9,0x5401ffff,
    0x7fd42fff,0xfffa802f,0x3bfff22f,0x7ffd4000,0x017ffd42,0xfffff300,
    0x7cc0003f,0x7fc41fff,0x3ea001ff,0xffffffff,0x000ffffd,0xfffffff5,
    0x1ffffbff,0x3ffe6000,0x50000dff,0x007fffff,0x33fffea0,0x000dfffe,
    0x3ffffea0,0xfa8003ff,0xffffffff,0x980003ff,0x00dfffff,0x227fffe4,
    0x005ffffc,0xffffffa8,0xfa80003f,0x03ffffff,0x7ffcc000,0xd5000dff,
    0xffffffff,0xd880ffff,0x001fffff,0xffffe980,0x4fffffff,0x5ffffe40,
    0xc804ffff,0x7e44ffff,0x7c405fff,0xffdcdfff,0xff5000ff,0xbfffd9ff,
    0xfff10001,0xffffb9bf,0xfd880001,0x0001ffff,0xc89ffff9,0x2005ffff,
    0xfffefffe,0x03ffffff,0x3fbfffa0,0xffffffff,0xfff30003,0xb80007ff,
    0x004fffff,0x3ffffea0,0x540005ff,0xfffcffff,0x7fd4004f,0xffffffff,
    0x7cc0003f,0xb003ffff,0xfc8bffff,0x54006fff,0xfffcffff,0x3ea0004f,
    0xffffcfff,0xff300004,0x64007fff,0xffffffff,0x007fffff,0x03fffff7,
    0x7fffdc00,0xffffffff,0xfffb804f,0xb004ffff,0xfc8bffff,0xfb806fff,
    0xffffffff,0x7ffd4003,0x0005ffff,0x7fffffdc,0x00003fff,0x07ffffee,
    0x3ffff600,0x37fffe45,0x5c1dd100,0x05ffffff,0xf7077440,0x00bfffff,
    0x3bfffe60,0xff980001,0x40002fff,0x05fffff9,0x77ffdc00,0x09fffd11,
    0x00000000,0x07bfffe6,0x2ffffa80,0x01ffffd4,0x23dfff70,0x004fffe8,
    0x11efffb8,0x0009fffd,0x1effff98,0x3fffea00,0xffffffff,0x3a6007ff,
    0x8001ffff,0xfffffffd,0x4fffffff,0xfffff700,0x7ffd4009,0x7fffd42f,
    0xffff7003,0x20007fff,0x05fffff9,0xffff7000,0x00007fff,0x3ffffd30,
    0xffffa800,0x1ffffd42,0x2e202200,0x10001bed,0x37db7101,0x55554000,
    0x2a00000a,0x00003fff,0x00055553,0x80aaaa88,0x0000aaaa,0xaa800000,
    0xb8000aaa,0x7dd503ee,0x55554400,0x00aaaa80,0x02aaaa20,0x0002aaaa,
    0x00aaaaa8,0x3ffffe20,0xa98899cf,0xaa8007db,0x7dc002aa,0xbdefffff,
    0x04ffdcaa,0x00aaaa60,0x540fbae0,0x5c4003ee,0x0000bcdc,0x0015554c,
    0x3372e200,0x4000000b,0x8002aaaa,0xdd503eeb,0x00000007,0x00000000,
    0x20000000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff5000,0x0002003f,0xfff10000,0xa8807fff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a200000,0xd9004eee,0x00003ddd,0x00000000,
    0x00000000,0x00000000,0x3fffee00,0x00000006,0x3ffff200,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xeeeeeee8,
    0xeeed8000,0xeeeeeeee,0x3ae6eeee,0x64005eee,0x7543eeee,0xeeeeeeee,
    0xeeeeeeee,0xeeeee984,0x02bcdeee,0x02f77740,0x20eeeed8,0x006ffff9,
    0xa83ffffb,0xeeeeeeee,0xeeeeeeee,0xbdddd74e,0xeeeec800,0xeeee8803,
    0xd3000eee,0xb0001ddd,0xd1005ddd,0x01dddddd,0x1bffff20,0x7776c000,
    0xeeeeeeee,0x7c46eeee,0x0004ffff,0xeeeeee88,0xeeeeeeee,0xeeee885e,
    0xeeeeeeee,0xee885eee,0xeeeeeeee,0x4c5eeeee,0xeeeeeeee,0x00009acd,
    0xeeeeee88,0xe880000e,0xeeeeeeee,0x05eeeeee,0xeeeeee88,0xfa80000e,
    0x03ffffff,0xffffff80,0xffffffff,0x3ffe27ff,0xff1002ff,0xffb81fff,
    0xffffffff,0x5fffffff,0xffffffa8,0xcfffffff,0x7ffff800,0x1ffffd00,
    0x037fffcc,0x41ffffd8,0xfffffffb,0xffffffff,0xffff15ff,0x3fe2005f,
    0xfa800fff,0x03ffffff,0x01ffff30,0x05fffd00,0xffffff50,0x3fee007f,
    0x80002fff,0xffffffff,0xffffffff,0x7ffffdc7,0xff980001,0xffffffff,
    0x986fffff,0xffffffff,0x6fffffff,0xffffff98,0xffffffff,0x7fffcc6f,
    0xffffffff,0x2a0000df,0x3fffffff,0xfff98000,0xffffffff,0xa806ffff,
    0x3fffffff,0xfffc8000,0x8005ffff,0xffffffff,0xffffffff,0x37fffe47,
    0x4ffffd80,0xffffffb8,0xffffffff,0xffa85fff,0xffffffff,0x400fffff,
    0xd007ffff,0x7cc1ffff,0xfb006fff,0xffb83fff,0xffffffff,0x5fffffff,
    0x01bffff2,0x027fffec,0xffffffc8,0xfff3005f,0xfff0003f,0xfff9003f,
    0x200bffff,0xcffffffa,0x3ffe0000,0xffffffff,0x647fffff,0x0005ffff,
    0xffffff30,0xffffffff,0xffff30df,0xffffffff,0xff30dfff,0xffffffff,
    0x98dfffff,0xffffffff,0x3fffffff,0xffff9000,0x0000bfff,0xfffffff3,
    0xffffffff,0xffff900d,0x0000bfff,0xffffffff,0xffff000f,0xffffffff,
    0xf88fffff,0x4402ffff,0xb80fffff,0xffffffff,0xffffffff,0xffffa85f,
    0xffffffff,0x3e00efff,0xfd007fff,0x7fcc1fff,0xffb006ff,0xfffb83ff,
    0xffffffff,0x25ffffff,0x02fffff8,0x07ffffc4,0xffffff80,0xff1007ff,
    0xff0003ff,0xfff003ff,0x00ffffff,0x3fffffe2,0xf8001cff,0xffffffff,
    0x7fffffff,0x027ffff4,0xffff9800,0xffffffff,0xff986fff,0xffffffff,
    0x986fffff,0xffffffff,0x6fffffff,0x7fffffcc,0xffffffff,0x7c000eff,
    0x7fffffff,0xfff98000,0xffffffff,0xf806ffff,0x7fffffff,0x7ffcc000,
    0x02ffffff,0x55555540,0xaabfffff,0xfffc82aa,0x7ffec06f,0xdddd504f,
    0xfddddddd,0x509fffff,0x555dffff,0xffffffb9,0x3ffffc09,0x0ffffe80,
    0x01bfffe6,0x20ffffec,0xeeeeeeea,0xffffeeee,0x7ffe44ff,0x7ffec06f,
    0xfff3004f,0x05ffffff,0x03ffff10,0x03ffff00,0xffffff98,0xf5002fff,
    0xffffffff,0x2aa0017d,0xffffaaaa,0x42aaaabf,0x003fffff,0xfffff300,
    0x55555555,0xfff30555,0x555555ff,0xf3055555,0x5555ffff,0x85555555,
    0xaaeffff9,0xfffffecb,0x3e6004ff,0xffffffff,0x7fcc0002,0xaaaaafff,
    0x402aaaaa,0xfffffff9,0x2e0002ff,0xfffdffff,0xff00004f,0x22001fff,
    0x302fffff,0x001fffff,0xfffff100,0xffff501d,0x3fffe60b,0x3fffe05f,
    0xffffd007,0x37fffcc1,0x1ffffd80,0x3ffe2000,0x7fc40eff,0xff302fff,
    0x2e001fff,0xfffdffff,0xffff004f,0xffff0003,0xffffb801,0x004ffffd,
    0x3ffffff2,0x00cfffff,0x1fffff00,0xfffff880,0xff300002,0x98000dff,
    0x0006ffff,0x037fffcc,0xdffff300,0x7ffffe40,0xfff7000f,0x09ffffbf,
    0xffff9800,0x3ee00006,0xffffdfff,0x3ffa0004,0x6ffff9ff,0xffff0000,
    0x7fe4001f,0xfffb05ff,0x3600009f,0x501fffff,0x5c0bffff,0x3e07ffff,
    0xfd007fff,0x7fcc1fff,0xffb006ff,0x6c0003ff,0x901fffff,0x360bffff,
    0x2004ffff,0xff9ffffe,0xfff006ff,0xfff0005f,0xfffe801f,0x06ffff9f,
    0x7ffffd40,0x1effffff,0xfffff800,0x7fffcc00,0xf300001f,0x8000dfff,
    0x006ffff9,0x37fffcc0,0xffff3000,0xffffa80d,0xfffd005f,0x0dffff3f,
    0xffff9800,0x3fa00006,0xffff9fff,0xfff10006,0x3ffffe9f,0xfff80001,
    0x3e2000ff,0x7cc1ffff,0x0000ffff,0x4fffffa8,0x17fffea0,0x0fffff98,
    0x00fffff0,0x983ffffa,0xb006ffff,0x0003ffff,0x13ffffea,0x1fffff88,
    0x07ffffcc,0x4ffff880,0x003fffff,0x8005ffff,0x4407fff8,0xfff4ffff,
    0xb88003ff,0xffffffff,0x7c001fff,0x4c00ffff,0x001fffff,0xdffff300,
    0xfff98000,0x7cc0006f,0x20006fff,0x806ffff9,0x01fffffc,0xfa7fffc4,
    0x0001ffff,0x01bfffe6,0x7fffc400,0x03fffff4,0x5ffff500,0x00fffff6,
    0x3ffffe00,0x7ffe4000,0x7fffec5f,0xff880004,0x7d406fff,0x3e205fff,
    0x3fe07fff,0xffd007ff,0x7ffcc1ff,0xfffb006f,0xff10003f,0xf900dfff,
    0xffd8bfff,0x3ea004ff,0xfffb2fff,0xfffd007f,0x88399905,0x7d407fff,
    0xfffb2fff,0x6d40007f,0xffffffff,0x7fffc006,0x7ffc400f,0x300002ff,
    0x000dffff,0x06ffff98,0x7fffcc00,0x3fe60006,0xff9806ff,0x7d402fff,
    0xfffb2fff,0x7cc0007f,0x00006fff,0x365ffff5,0x8003ffff,0xf70ffffd,
    0x0000bfff,0x001fffff,0x0fffff88,0x01fffff1,0xffffb000,0xfffa803f,
    0x3ffea05f,0x3fffe06f,0xffffd007,0x37fffcc1,0x1ffffd80,0xffffd800,
    0xfff8801f,0xffff10ff,0x7fec001f,0xffff70ff,0x7fffd00b,0x444fff98,
    0x7ec07fff,0xfff70fff,0x910000bf,0x5fffffff,0x7ffffc00,0xfffff800,
    0xff300003,0x98000dff,0x0006ffff,0x037fffcc,0xdffff300,0x3ffffa00,
    0x7fffec03,0x0bffff70,0x7fffcc00,0xffb00006,0x3ffee1ff,0xfff8005f,
    0x3fffe26f,0x7fc0000f,0xc8000fff,0xff94ffff,0x500009ff,0x009fffff,
    0x20bffff5,0x04fffff8,0x401ffffe,0x260ffffe,0xb006ffff,0x8003ffff,
    0x04fffffa,0x53ffff20,0x004ffffc,0xf137fffc,0xd801ffff,0x7fe43fff,
    0x37ffcc6f,0x89bfffe0,0x000fffff,0xffffd100,0x7ffc009f,0xffe800ff,
    0x300004ff,0x000dffff,0x06ffff98,0x7fffcc00,0x3fe60006,0xffb006ff,
    0xfff809ff,0x3fffe26f,0xff30000f,0x20000dff,0x3e26ffff,0x2000ffff,
    0x744ffff9,0x0002ffff,0x007ffffc,0x7ffffc40,0x00fffff8,0x7fffc400,
    0xfff5006f,0x7fe4c4bf,0x3e00ffff,0xffffffff,0xffffffff,0x3ffe60ff,
    0xfffb006f,0x7fc4003f,0x44006fff,0xff8fffff,0x26000fff,0x7f44ffff,
    0x7ec02fff,0x7fff43ff,0x1bffe61f,0x44ffff98,0x002ffffe,0x3fffe200,
    0x3ffe006f,0xffd800ff,0x80000fff,0xeefffff9,0xeeeeeeee,0xfffff982,
    0xeeeeeeee,0xfff982ee,0xeeeeeeff,0x7cc2eeee,0xf9006fff,0x7cc0bfff,
    0x7ff44fff,0xf30002ff,0xddddffff,0x05dddddd,0xd13fffe6,0x4005ffff,
    0x641ffffc,0x0004ffff,0x007ffffc,0xeffffc80,0x0004ffff,0x1fffffd8,
    0xfffff500,0xffffffff,0xfff803df,0xffffffff,0xffffffff,0x1bfffe60,
    0x0ffffec0,0xfffffb00,0xfff90003,0x09ffffdf,0x1ffffc80,0x027fffe4,
    0xf88ffff2,0x3e63ffff,0x3ff205ff,0x7ffe41ff,0x6c00004f,0x2006ffff,
    0x800fffff,0x03fffffc,0xffff9800,0xffffffff,0xff982fff,0xffffffff,
    0x982fffff,0xffffffff,0x2fffffff,0x037fffcc,0x06ffffb8,0x907ffff2,
    0x0009ffff,0x3fffffe6,0xffffffff,0xffff902f,0x4ffffc83,0x1ffffa00,
    0x01ffffea,0x1fffff00,0x3ffe2000,0x00ffffff,0x7fffd400,0x3fea003f,
    0xffffffff,0xf800ceff,0xffffffff,0xffffffff,0x3ffe60ff,0xfffb006f,
    0x3fea003f,0x10003fff,0xffffffff,0xffe8001f,0xffffa87f,0x27ffe407,
    0x4dfffff7,0x3a05fff9,0xffa87fff,0x400007ff,0x004ffffd,0x003ffffe,
    0x3fffffe2,0x7fcc0001,0xffffffff,0x982fffff,0xffffffff,0x2fffffff,
    0xffffff98,0xffffffff,0x7fffcc2f,0xffff7006,0x3ffff40f,0x03ffffd4,
    0xfffff980,0xffffffff,0xfffd02ff,0xfffff50f,0x3fffe200,0x3fffff05,
    0x7fffc000,0x3f20000f,0x04ffffff,0x7fffc400,0x7fd4006f,0xffffffff,
    0x3fe000ef,0xffffffff,0xffffffff,0x3fffe60f,0xffffb006,0xffff1003,
    0xfc8000df,0x04ffffff,0x2ffffc40,0x01fffff8,0xfd93ffee,0xf50fffff,
    0x3fe209ff,0xffff05ff,0x8002a03f,0x03fffffa,0x03ffffe0,0x7ffffe40,
    0x982a802f,0xffffffff,0x2fffffff,0xffffff98,0xffffffff,0xffff982f,
    0xffffffff,0x7fcc2fff,0xff7006ff,0x3fe20dff,0xffff05ff,0xff30003f,
    0xffffffff,0x105fffff,0x3e0bffff,0xb801ffff,0xfb03ffff,0x40009fff,
    0x000fffff,0x3ffffe20,0x6c0000ff,0x001fffff,0x7fffffd4,0x1fffffff,
    0x5fffff00,0x55555555,0x4c1fffff,0xb006ffff,0xb003ffff,0x003fffff,
    0xfffff880,0x7dc000ff,0xffb03fff,0x7fdc09ff,0xfdfff14f,0x3ffea7ff,
    0x7ffff704,0x13ffff60,0x04d677fc,0xfffff931,0x7ffc001f,0xff1000ff,
    0x57bfffff,0x09ff9533,0x33dffff3,0x33333333,0xdffff301,0x33333333,
    0xfff30133,0x333333df,0xf9813333,0xf9006fff,0x3ee0bfff,0xffb03fff,
    0xf30009ff,0x3333dfff,0x01333333,0x207ffff7,0x804ffffd,0x700ffffd,
    0x000dffff,0x007ffffc,0x3ffff200,0x7d40004f,0x8003ffff,0x715ffffa,
    0x00dfffff,0x401ffffe,0x260ffffe,0xb006ffff,0xa803ffff,0x003fffff,
    0xfffff900,0xfffb0009,0x3ffee01f,0x3ffee06f,0xff5fff55,0x13ffeabf,
    0x807fffec,0xf06ffffb,0xffffffff,0xffffffff,0xffff8007,0x3fee000f,
    0xffffffff,0x984fffff,0x0006ffff,0x037fffcc,0x3fffe600,0x3fe60006,
    0xffb006ff,0x3ff609ff,0xfff700ff,0xff3000df,0xd8000dff,0xf700ffff,
    0xff00dfff,0x55555fff,0x1fffff95,0x3fffe000,0x7cc0000f,0x0000ffff,
    0x1bffffe2,0x7fffd400,0x7ffffd45,0x7ffff803,0x1ffffd00,0x037fffc4,
    0x00ffffe8,0x1bffffe2,0xfff98000,0xff8000ff,0xaaaaafff,0x0fffffca,
    0x36bfff50,0x1ffff6ff,0x3e07fff7,0xaaaaffff,0xfffffcaa,0xffffff80,
    0xffffffff,0xff8005ff,0x5c000fff,0xffffffff,0x84ffffff,0x006ffff9,
    0x37fffcc0,0x3ffe6000,0x3e60006f,0xfd006fff,0x3fe05fff,0xaaaaafff,
    0x0fffffca,0x7fffcc00,0x7ffc0006,0xaaaaaaff,0x00fffffc,0x3fffffea,
    0xffffffff,0xf0003fff,0x0001ffff,0x07ffff88,0x7fffec00,0xff50000f,
    0xfff90bff,0xfff801ff,0xfffd007f,0x7ffff81f,0x0fffff00,0x0fffffd8,
    0x3fe20000,0xfa8007ff,0xffffffff,0xffffffff,0x2dfff503,0xfffb3fff,
    0x507fff75,0xffffffff,0xffffffff,0xfffff07f,0xffffffff,0x3e0007ff,
    0x8000ffff,0xfffffff9,0x84ffffff,0x006ffff9,0x37fffcc0,0x3ffe6000,
    0x3e60006f,0xf9806fff,0xfa81ffff,0xffffffff,0xffffffff,0x7ffcc003,
    0x3ea0006f,0xffffffff,0xffffffff,0x3ffff203,0xffffffff,0x005fffff,
    0x01fffff0,0xffff8800,0x3fea0007,0x20003fff,0x885ffffa,0x403fffff,
    0xd007ffff,0xfe81ffff,0x7c401fff,0x3ea05fff,0x0003ffff,0x3ffffc40,
    0x7fffe400,0xffffffff,0x305fffff,0xfff5dfff,0x333ffea3,0xffc82fff,
    0xffffffff,0x5fffffff,0xfffffdb8,0x0befffff,0x3fffe000,0x36a0000f,
    0xffffffff,0xffff301c,0xff98000d,0x4c0006ff,0x0006ffff,0x01bfffe6,
    0x41bffff6,0xfffffffc,0xffffffff,0x7cc005ff,0x20006fff,0xfffffffc,
    0xffffffff,0x3ffe05ff,0xffffffff,0x7fffffff,0xfffff000,0xff880001,
    0xf10007ff,0x000bffff,0x05ffffa8,0x80fffffb,0xd007ffff,0xfd81ffff,
    0x7e405fff,0xff104fff,0x0000bfff,0x0fffff10,0xffffff00,0xffffffff,
    0x260fffff,0x6ffcefff,0x3f3fffe2,0xffff82ff,0xffffffff,0x07ffffff,
    0x7ffdd4c4,0xff00003f,0x00001fff,0x013bfffd,0x0dffff30,0xffff9800,
    0x7fcc0006,0x260006ff,0x5406ffff,0xf02fffff,0xffffffff,0xffffffff,
    0xff9800ff,0x3e0006ff,0xffffffff,0xffffffff,0xffff307f,0xdddddddd,
    0x5fffffdd,0xfffff000,0xff880001,0xfb0007ff,0x0001ffff,0x05ffffa8,
    0x07fffff3,0x803ffffc,0x540ffffe,0x80dfffff,0x00fffffc,0x01fffffb,
    0xfff10000,0xff9800ff,0xeeeeeeff,0xffffeeee,0xefff882f,0x7fec4ffe,
    0x4c1fffef,0xeeeeffff,0xffeeeeee,0xf3002fff,0x00001fff,0x003ffffe,
    0x5ffff100,0x7fffcc00,0x7fcc0006,0x4c0006ff,0x0006ffff,0x81bfffe6,
    0x05fffffc,0xdddffff3,0xfddddddd,0x4005ffff,0x006ffff9,0xddffff30,
    0xdddddddd,0x705fffff,0x2005ffff,0x204ffffe,0xff999999,0x99999fff,
    0x3ffe2001,0xffa8007f,0xccccefff,0x4ccccccc,0x05ffffa8,0x81bffffa,
    0xd007ffff,0xfd01ffff,0xdbdfffff,0x07ffffff,0x3bffffea,0xcccccccc,
    0xf1004ccc,0xb800ffff,0xd002ffff,0xf109ffff,0x83ffffff,0xfffffffb,
    0x17fffdc1,0x4ffffe80,0x0bfff700,0x33333300,0x333fffff,0x7cc00333,
    0x7cc007ff,0x9999efff,0x80999999,0x99effff9,0x99999999,0xeffff980,
    0x99999999,0x7ffcc099,0xecba99ef,0x01ffffff,0x005ffff7,0x013ffffa,
    0x9effff98,0x99999999,0x3fffee09,0xffffd002,0x1ffffd09,0x3fffee00,
    0x3ffffe06,0xffffffff,0x22007fff,0x8007ffff,0xfffffffe,0xffffffff,
    0xfffa87ff,0x3ffea05f,0xffff02ff,0x3fffa00f,0xffff980f,0xffffffff,
    0x3ffa06ff,0xffffffff,0x7fffffff,0xfffff100,0xffffe800,0xffff7000,
    0xfffff10d,0xffff10ff,0xffe81fff,0xff7000ff,0x3f600dff,0xff8002ff,
    0xffffffff,0x07ffffff,0x013ffee0,0xffffff30,0xffffffff,0xffff30df,
    0xffffffff,0xff30dfff,0xffffffff,0x98dfffff,0xffffffff,0xffffffff,
    0x3ffffa03,0xffff7000,0x7ffcc00d,0xffffffff,0x3fa6ffff,0xf7000fff,
    0xff88dfff,0x3e6006ff,0xff00ffff,0xffffffff,0x0fffffff,0x3ffffc40,
    0x7ffff400,0xffffffff,0xa87fffff,0x7c05ffff,0xff06ffff,0x3fa00fff,
    0xfd300fff,0xffffffff,0xffe809ff,0xffffffff,0x7fffffff,0xfffff100,
    0x7fffc400,0x3ffe6006,0xffff80ff,0xfffd04ff,0x7fc41fff,0x3e6006ff,
    0xe800ffff,0xff0007ff,0xffffffff,0x0fffffff,0x00fffec0,0x3ffffe60,
    0xffffffff,0xfff986ff,0xffffffff,0xf986ffff,0xffffffff,0x46ffffff,
    0xfffffff9,0xefffffff,0x3fffe200,0x3ffe6006,0xff3000ff,0xffffffff,
    0x22dfffff,0x2006ffff,0x20fffff9,0x003ffffa,0x81fffffc,0xffffffff,
    0xffffffff,0x3ffe2007,0xffe8007f,0xffffffff,0x7fffffff,0x05ffffa8,
    0x17ffffdc,0x803ffffc,0x400ffffe,0xffffffeb,0xffe801df,0xffffffff,
    0x7fffffff,0xfffff100,0x7fffd400,0x7fffc003,0xfffff83f,0xffff702f,
    0x7ffd41ff,0x7ffc003f,0x7fc403ff,0xfff0004f,0xffffffff,0x00ffffff,
    0x40037ff4,0xfffffff9,0xffffffff,0xfffff986,0xffffffff,0xfff986ff,
    0xffffffff,0x7cc6ffff,0xffffffff,0xa803ffff,0x4003ffff,0x003fffff,
    0xfffffff3,0xffffffff,0x0ffffead,0x7fffff00,0x00ffffec,0x17ffff60,
    0x7ffffffc,0xffffffff,0x3fe2007f,0xfe8007ff,0xffffffff,0xffffffff,
    0x5ffffa87,0x7ffffc40,0x07ffff86,0x01ffffd0,0x004d54c0,0x3fffffa0,
    0xffffffff,0x1007ffff,0x400fffff,0x001ffffd,0x42ffffec,0x207ffffe,
    0x47fffff8,0x001ffffd,0x02ffffec,0xfff80000,0xffffffff,0x007fffff,
    0x3fe60000,0xffffffff,0x986fffff,0xffffffff,0x6fffffff,0xffffff98,
    0xffffffff,0x7fffcc6f,0x1abdefff,0x3ffff600,0x7ffec001,0xfff3005f,
    0xffffffff,0x3f6dffff,0x6c001fff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x93000000,0x99999999,0x32600599,0xcccccccc,0x2ea002cc,
    0xfffffedc,0x40002fff,0xf53ffffa,0x00007fff,0x059d9500,0x00000000,
    0x002ceca8,0x99100000,0x00000599,0x00666654,0x000804c0,0x0003cb88,
    0xccca8000,0x01a8800c,0x0ccc4000,0x03310000,0x01310000,0x00262000,
    0x005e5c00,0x00019800,0x00133330,0x01ded880,0xccccc980,0x02cccccc,
    0xfffffa80,0x03ffffff,0xffffff50,0x007fffff,0xffffffd5,0x5fffffff,
    0xfffe8000,0x1bfffa0f,0xffb00000,0x9001dfff,0x000009ff,0xdfffffb0,
    0x80000001,0x002ffffa,0x3fff6000,0xfedb9807,0xfeccefff,0x3ffe2001,
    0x0000006f,0x2037fff4,0x0cffffd9,0xfb5101d4,0xbfffffff,0x7f644003,
    0xeeeeffff,0xddd14eee,0x7fff5c1d,0xeee880df,0x3fffae0e,0xfd0000df,
    0x30001dff,0x9dffffd9,0x3ff6a001,0x1effffff,0x7fffc400,0x7fd4000f,
    0xffffffff,0xffa8003f,0xffffffff,0xfff5003f,0xffffffff,0x7fff5407,
    0xffffffff,0x0002ffff,0x713fffe6,0x0005ffff,0x3ffff200,0x7d405fff,
    0x00004fff,0x3fffff20,0x000005ff,0x03fffdc0,0x7fffec00,0x809ffff1,
    0xfffffffc,0x01ffffff,0x3fffff20,0x7ffcc002,0x5fffffff,0x80ffffe2,
    0xfffffff8,0x83ffb9bf,0xfffffff8,0x0effffff,0x7ffffdc0,0xffffffff,
    0xffff15ff,0xfffffd13,0xff885fff,0xfffe89ff,0x002fffff,0x27ffffd4,
    0x3fffee00,0x03ffffff,0x3fffffaa,0x03ffffff,0x7ffffd40,0x7ffd4003,
    0xffffffff,0xfffa8003,0xffffffff,0xffff5003,0x7fffffff,0x3ffffe60,
    0xffffffff,0x0002ffff,0x107ffff6,0x000bffff,0x25fff100,0x2e00fffa,
    0x0007ffff,0x25fff100,0x0000fffa,0xffd81440,0xfd80004f,0xfff89fff,
    0xfffd301f,0xffffffff,0x6c003fff,0x004fffff,0x7fffffcc,0x3e65ffff,
    0x3fa00fff,0xffffffff,0x440fffff,0xffffffff,0x06ffffff,0x3fffffea,
    0xffffffff,0xffff15ff,0xffffffd5,0x7c41ffff,0xfffeafff,0x0fffffff,
    0x3ffff200,0xffb1005f,0xffffffff,0xfff50bff,0xffffffff,0xfb8007ff,
    0x4004ffff,0xfffffffa,0x0003ffff,0x00000000,0x7ffff440,0x2e6fffff,
    0x0002ffff,0x20bffff1,0x001ffffc,0x22ffcc00,0x3e602ffd,0x0000ffff,
    0x6c5ff980,0xa80002ff,0xfff07fec,0xfb00003f,0xfff53fff,0x3fffe20d,
    0xffeeefff,0x2001ffff,0x02fffffc,0x7ffffcc0,0x2e5fffff,0x7dc05fff,
    0xffffb9cf,0xf881ffff,0xcccceeff,0x83ffffff,0xacfffff8,0xefffffda,
    0xffff14ee,0xffffffff,0x7c49ffff,0xffffffff,0x4fffffff,0x3fffea00,
    0xfff9004f,0xffd97bff,0x7fc45fff,0xcabdffff,0x4003ffdc,0x02fffff9,
    0x00000000,0x00000000,0x7ffffe40,0x2e6fffff,0x0002ffff,0x205ffff7,
    0x004ffff9,0x237fcc00,0x7e402ffd,0x000007ff,0xffd8dff3,0x7fc40002,
    0xfff987ff,0xffb00007,0x9fff93ff,0x3fffff20,0xffffd80b,0x3ffa2001,
    0xff98005f,0xffffffff,0x00bfff65,0xfff910ee,0x2fa205df,0x3fff6201,
    0xffffc86f,0x6ffff882,0xffffff88,0xffea8bff,0x3ffe27ff,0xa8bfffff,
    0x007ffffe,0x0077ffec,0x077fffc4,0x737fffdc,0x803fffff,0xffa80019,
    0x0000003f,0x00000000,0xfff80000,0xffffffff,0x0bfffee6,0x37fffc00,
    0x03ffffa0,0x9fff0000,0x801fff95,0x0006fff8,0x2b3ffe00,0x0000fffc,
    0x43ffffc4,0x0004fffb,0xd3ffffb0,0xff303fff,0x7ec05fff,0xa8001fff,
    0x5400002c,0x3fe5ffff,0x440000ff,0x200000aa,0xd87ffff8,0x3f206fff,
    0x7fc41fff,0xf986ffff,0xff10ffff,0xf30dffff,0x8001ffff,0x3f6002ca,
    0x3f601fff,0xfffb2fff,0x000000bf,0x00000003,0x3bbbb600,0xeeeeeeee,
    0xdd106eee,0xdddddddd,0x22bddddd,0xffffffff,0x3fee6fff,0xfa8002ff,
    0x7d403fff,0x00003fff,0x7fffffd4,0xfffb803f,0x2a000004,0x3fffffff,
    0xfff88000,0x0aaa987f,0xfffb0000,0x2055553f,0x406ffffd,0x001ffffd,
    0x2a000000,0x2aa5ffff,0x0000002a,0x7fff4000,0x27fffc0f,0x87ffff30,
    0x0efffff8,0x23fffff0,0x0efffff8,0x03fffff0,0xff880000,0x7fd405ff,
    0xffffb4ff,0x0000001d,0xddd10000,0x0001dddd,0xffffffff,0xffffffff,
    0x3fffe60f,0xffffffff,0xfff36fff,0xffffffff,0x17fffdcd,0x7ffff400,
    0x6ffff800,0xffb80000,0x6dc03fff,0x0000efff,0x7fffdc00,0xf100003f,
    0x0000ffff,0x7fffec00,0xffffd001,0xffffd805,0x00220001,0xffffa800,
    0x00000005,0xfffb0000,0x5ffff83f,0x0bfffe60,0x01fffff1,0x88ffffec,
    0x200fffff,0x001ffffd,0xff500198,0xff9807ff,0xffff75ff,0x200017ff,
    0xeeeeeee8,0xeeeeeeee,0xffffa805,0xf8003fff,0xffffffff,0x7fffffff,
    0xffffff30,0xffffffff,0x3fffeadf,0x6fffffff,0x00bfffee,0x09ffff30,
    0x0bfffee0,0x2ea20000,0xffff800a,0x0000001e,0x00015751,0x3ffffc40,
    0x13100000,0x007ffff6,0x007ffffc,0x007ffff6,0xffffeca8,0x50001cef,
    0x000bffff,0x809dddd1,0x201eeeec,0xeeeccaa8,0x741fffff,0xf700ffff,
    0xff883fff,0x7fec06ff,0xffff11ff,0xffffd80d,0xffec9801,0xf700ceff,
    0xdddddfff,0xffffdddd,0x3ffffe6d,0x000adfff,0x3fffffe6,0xffffffff,
    0xfffc806f,0x8005ffff,0xffffffff,0xffffffff,0xfffff307,0xffffffff,
    0x3ffe6dff,0xffffffff,0x0bfffee6,0x3ffff900,0x3fffe200,0x00000005,
    0x0007bdf0,0x19988000,0x3bbb2000,0xefffffee,0x06eeeeee,0x3fff7260,
    0x1fffffff,0x7ffff980,0x1ffffd80,0xffffe980,0x04ffffff,0xbffff500,
    0xffff1000,0xffffd80d,0xffffc881,0xffffffff,0x7fffe41f,0x7ffff883,
    0x06ffff88,0x88ffffec,0x6c06ffff,0x5c01ffff,0xffffffff,0xfffc83ff,
    0xffffffff,0x27ffffff,0xfffffffc,0x9802dfff,0xffffffff,0x6fffffff,
    0xffffff80,0xaa8007ff,0xffffaaaa,0x02aaaabf,0x55fffff3,0x55555555,
    0x3ffffe25,0x26ffffff,0x002ffffb,0x017fffe2,0x01ffffb0,0x9dddd100,
    0x1eeeec80,0x00066000,0xfffffb51,0x4003bfff,0xfffffffd,0xffffffff,
    0xfc8807ff,0xffffffff,0xa801ffff,0xd806ffff,0x2201ffff,0xfffffffc,
    0x004fffff,0x0bffff50,0xdffff100,0x1ffffd80,0x7fffffdc,0xffffffff,
    0x7fffc41f,0xfffcacff,0xfff883ff,0x7ffec06f,0xdffff11f,0x1ffffd80,
    0xfffffb10,0xbfffffff,0xffffffe8,0xffffffff,0x7fdc7fff,0xffffffff,
    0x3fe600df,0xffffffff,0x406fffff,0xfffffff9,0xf00002ff,0x4001ffff,
    0x006ffff9,0xffffffd0,0x7dcdffff,0x2e002fff,0x4002ffff,0x004ffff9,
    0x06ffff88,0x40ffffec,0x3663eeec,0x403effff,0xfffffff8,0x0effffff,
    0xfffffd80,0xffffffff,0x5407ffff,0xffffffff,0x1fffffff,0x6ffffa80,
    0x1ffffd80,0x3fffff60,0xffffffff,0xfff50004,0xff1000bf,0xffd80dff,
    0x3ffee1ff,0xeeeeffff,0xb81fffff,0xffffffff,0xf105ffff,0xfd80dfff,
    0xfff11fff,0xfffd80df,0xffff901f,0xfffd97bf,0x7fff45ff,0xeeeeeeef,
    0x85eeeeee,0xfffffeb8,0x2606ffff,0xaaafffff,0x2aaaaaaa,0x6ffffdc0,
    0x0004ffff,0x01fffff0,0x37fffcc0,0xffffb800,0x26ffffff,0x002ffffb,
    0x001bfffa,0x007ffff4,0x1bfffe20,0x03ffffb0,0x3f29fffb,0x5fffffff,
    0x3ffffe20,0xffffffff,0xfffd806f,0xffffffff,0x07ffffff,0x3fffffe2,
    0xffffeeef,0xff9801ff,0xffd807ff,0xfff501ff,0x5335bfff,0x20009fb5,
    0x005ffffa,0x06ffff88,0x88ffffec,0x01efffff,0x883ffffb,0xffffffff,
    0x100cffff,0xd80dffff,0xff11ffff,0xffd80dff,0xfff881ff,0xfffb80ef,
    0x3ffff66f,0xb9800001,0xfffffffe,0xdffff303,0x7ff40000,0x6ffff9ff,
    0xffff0000,0x7fcc001f,0x360006ff,0xffffffff,0x3fffee6f,0xffff5002,
    0x3fea0007,0x7c4003ff,0x7ec06fff,0xffd81fff,0xfffffcdf,0x103fffff,
    0x999ddfff,0x7ffffff9,0xffff1000,0x7fec000f,0x7440bfff,0x8801ffff,
    0xe807ffff,0xe881ffff,0x402fffff,0xff500018,0xf1000bff,0xfd80dfff,
    0xfff51fff,0xfffd80df,0x6fffec1f,0x0ceeffec,0x37fffc40,0x47ffff60,
    0x406ffff8,0xd81ffffd,0x3601ffff,0xff72ffff,0x000007ff,0xfffffd98,
    0xdffff306,0x3fe20000,0xfffff4ff,0xfff00003,0x7cc001ff,0x20006fff,
    0xffffffe8,0x3ffee6ff,0xfffb002f,0x7fc0001f,0x7c4006ff,0x7ec06fff,
    0xffd81fff,0xffffffff,0x80ffffff,0x36201be8,0x8006ffff,0x007ffff8,
    0x5fffff50,0x0ffffec0,0x1fffff80,0x3fffff60,0xfffffb81,0x54000002,
    0x8005ffff,0x406ffff8,0xf91ffffd,0xfe809fff,0x3fe61fff,0x440000ff,
    0x6c06ffff,0xff11ffff,0xffd80dff,0x7ffc41ff,0x7ffd405f,0xbffff54f,
    0x36000000,0xf307ffff,0x0000dfff,0x6cbfffea,0x0003ffff,0x00fffff8,
    0x1bfffe60,0xfff91000,0x7dcdffff,0xf9802fff,0x40004fff,0x001ffffc,
    0x01bfffe2,0xb03ffffb,0xbfffffff,0xfffff913,0xff880005,0xf88007ff,
    0xb0007fff,0xd80bffff,0xd001ffff,0x320bffff,0x81ffffff,0x005ffffd,
    0xfffa8000,0xff88005f,0x7fec06ff,0xffffb1ff,0x3fff620b,0x3ffea1ff,
    0x7c40000f,0x7ec06fff,0xfff11fff,0xfffd80df,0x7fffd41f,0x7fffcc03,
    0x5fffff15,0xf7000000,0x3e60dfff,0x00006fff,0x2e1ffffb,0x0005ffff,
    0x00fffff8,0x1bfffe60,0x7fe44000,0x3fee6fff,0xffc802ff,0x440001ff,
    0x2005ffff,0x406ffff8,0xd81ffffd,0x81ffffff,0x003ffffd,0x0ffffe80,
    0x7fffc400,0xffff0007,0xfffd803f,0xfff5001f,0x7fecc7ff,0xe81fffff,
    0x0002ffff,0xffffa800,0xfff88005,0x7ffec06f,0xfffff71f,0xffffe881,
    0x3ffea1ff,0x220001df,0x6c06ffff,0xff11ffff,0xffd80dff,0x7ffdc1ff,
    0xeeeeeeef,0x26ffffee,0x03fffffc,0x002f2298,0x09fffff1,0x01bfffe6,
    0x37fffc00,0x01fffff1,0xfffff800,0x3ffe6000,0xeeeeeeff,0x1002eeee,
    0x7fdc7553,0x7fc402ff,0xb00006ff,0x2001ffff,0x406ffff8,0xd81ffffd,
    0x702fffff,0x0009ffff,0x03ffffb0,0x7ffff880,0xffff8800,0xffffd807,
    0x3fffe001,0xffffefff,0xf81fffff,0x0001ffff,0xffffa800,0xfff88005,
    0x7ffec06f,0xfffff51f,0xffffd9bf,0x7c43ffff,0xffffffff,0x102cdeff,
    0xd80dffff,0xff11ffff,0xffd80dff,0x7ffe41ff,0xffffffff,0x27ffffff,
    0xfffffff8,0xffedcccd,0x333bff66,0xffffdbab,0xfff302ff,0xf30000df,
    0xffe89fff,0x7c0002ff,0x2000ffff,0xfffffff9,0xffffffff,0xffb80002,
    0x7fdc02ff,0x300002ff,0x2009ffff,0x406ffff8,0xd81ffffd,0x2a03ffff,
    0x8805ffff,0xfeeeccaa,0x4001ffff,0x007ffff8,0x07ffff98,0x01ffffd8,
    0x3ffffee0,0xfdffffff,0x7fcc1fff,0x00000fff,0x5ffffa80,0xffff8800,
    0x7fffec06,0x3fffffa1,0xfdffffff,0x7fdc1fff,0xffffffff,0x442effff,
    0x6c06ffff,0xff11ffff,0xffd80dff,0x7fff41ff,0xffffffff,0x47ffffff,
    0xfffffffa,0x6fffffff,0x3ffffff6,0xffffffff,0x3fffe604,0xeeeeeeef,
    0xff902eee,0xfffc83ff,0x7fc0004f,0x26000fff,0xffffffff,0x2fffffff,
    0xfffb8000,0x7fff402f,0x7f400007,0xff1007ff,0xffd80dff,0xfffd81ff,
    0x3ffe601f,0x3ff2205f,0xffffffff,0x44001fff,0x8007ffff,0x806ffffa,
    0x001ffffd,0x7fffffdc,0xfffcafff,0x7fffc41f,0x8000001f,0x005ffffa,
    0x06ffff88,0x30ffffec,0xffffffff,0xffff17ff,0xfffffb03,0xffffffff,
    0x7ffc45ff,0x7ffec06f,0xdffff11f,0x1ffffd80,0x777ffff4,0xeeeeeeee,
    0xfe985eee,0xffffffff,0x3ff66fff,0xffffffff,0x7cc04fff,0xffffffff,
    0x02ffffff,0xf50ffffd,0x8000ffff,0x000fffff,0x3fffffe6,0xffffffff,
    0xfb80002f,0x3ea02fff,0x00003fff,0x017fffd4,0x037fffc4,0x207ffff6,
    0x201ffffd,0x705ffff9,0xffffffff,0x3fffffff,0xffff8800,0xfffa8007,
    0xfffd806f,0xfea8001f,0xf90dffff,0xfff03fff,0x000005ff,0x0bffff50,
    0xdffff100,0x1ffffd80,0x7ffffec4,0xffff10df,0xeffffc83,0xfffeeeee,
    0xff10ffff,0xffd80dff,0xffff11ff,0xffffd80d,0x0ffffec1,0x3fae0000,
    0xffffffff,0x3fffb23d,0xcfffffff,0xffff9801,0xffffffff,0xff882fff,
    0xffff05ff,0x7fc0003f,0x26000fff,0x999effff,0x09999999,0xfffb8000,
    0x3fff602f,0xf800000f,0xf8806fff,0x7ec06fff,0xffd81fff,0x3fe601ff,
    0xfffb85ff,0xeeeeffff,0x001fffff,0x03ffffc4,0x37fffcc0,0x0ffffec0,
    0x15531000,0x81ffffc8,0x005ffffe,0xfffa8000,0xff88005f,0x7ff406ff,
    0x553101ff,0x5fffc813,0x02ffffdc,0x5fffff71,0x00000000,0x207ffff4,
    0x003ffffb,0x3faa6000,0xaa9806ff,0x40019aaa,0xfffffff9,0xffffffff,
    0x3ffffb82,0x09ffffb0,0x7ffffc00,0x3ffe6000,0x0000006f,0x817fffdc,
    0x005ffff8,0xffff9000,0xffff8803,0x7fffec06,0x1ffffd81,0x17fffe60,
    0x3dfffff1,0x07ffff60,0xfffff100,0xffff1000,0xffffd00f,0x6c000003,
    0xfd81ffff,0x0001ffff,0x7fffd400,0xfff88005,0x3fff607f,0xf70001ff,
    0xfff88dff,0xfff9007f,0x0000009f,0x3ffffc00,0x02ffffd4,0x3fea0000,
    0x000000ef,0x77fffcc0,0x99999999,0xfffd8099,0xffff700f,0x7ffc000d,
    0x3e6000ff,0x00006fff,0x7fffdc00,0x3ffff902,0x3e200000,0x7c405fff,
    0x7f406fff,0xffd81fff,0x3fe601ff,0x7ffd45ff,0x7ffec06f,0x7fc4001f,
    0x44000fff,0x201fffff,0x01fffffd,0x3ff60000,0xfffb81ff,0x00801eff,
    0xbffff500,0x3fffe000,0xffffc81f,0xf88001ff,0x7fd41fff,0xff9005ff,
    0x997005ff,0x70000079,0xf10bffff,0x0005ffff,0x17fffc00,0x1e665c00,
    0x3fffe600,0x7ffc0006,0xaaaaaaff,0x00fffffc,0x1fffff00,0x7fffcc00,
    0x40000006,0x881ffffc,0x0006ffff,0x7fffec00,0x3fffe200,0x3ffff607,
    0xffffd81f,0x3fffe601,0x27fffe45,0x07ffffa0,0x3ffffe00,0xfffe8002,
    0xffff904f,0x000003ff,0x80ffffec,0xcffffffe,0x0bd73109,0x3fffea00,
    0xfffd0005,0x3ff663bf,0x001fffff,0xa87fffb8,0x401fffff,0x00fffff8,
    0x004fffe8,0x7fffcc00,0xffff903f,0x0053007f,0x003fffd4,0x004fffe8,
    0x037fffcc,0xfffff500,0xffffffff,0x0007ffff,0x003ffffe,0x06ffff98,
    0x7ec00000,0xffb80fff,0x000002ff,0x01ffffcc,0x207ffffe,0x1ffffffc,
    0x01ffffd8,0xb17fffe6,0x220bffff,0x01fffffd,0x6ffffe80,0x7ffdc020,
    0x3ff663ff,0x001fffff,0x3fff6000,0xffff301f,0xffffffff,0x2a000bff,
    0x0005ffff,0xfffffff9,0xffffffff,0xff90003f,0xfff883ff,0x5c41aeff,
    0x805fffff,0x002ffff8,0xfffdb880,0x3fe206ff,0xccdfffff,0x006ffedc,
    0x00bfffee,0x05ffff10,0x6ffff980,0x3fff2000,0xffffffff,0x05ffffff,
    0x1fffff00,0x7fffcc00,0x20000006,0xd07ffff8,0x0000ffff,0x1ffffa00,
    0x3bffffd0,0x3fffff66,0xfffd81ff,0x3ffe601f,0x7fffdc5f,0x7fff440f,
    0xd8001fff,0xccffffff,0x3fe07edc,0xffefffff,0x1fffffff,0x3f600000,
    0x3ee01fff,0xffffffff,0x7405ffff,0xffeeeeee,0xeeeeefff,0x7fffc404,
    0xbfffffff,0x8001ffff,0x7ffffffb,0x3ffffff6,0xffffffff,0xf9800eff,
    0x500007ff,0x3fffffff,0xfffffa80,0xffffffff,0x3fea006f,0x800fffff,
    0x8007fff9,0x006ffff9,0x3fffffe0,0xffffffff,0x0007ffff,0x001fffff,
    0x037fffcc,0x200db800,0x985ffffd,0x0004ffff,0xffff7000,0x7fffe405,
    0xffffffff,0xfd81ffff,0x3e601fff,0x7fd45fff,0xfecdffff,0x1fffffff,
    0xffff8800,0x7fffffff,0x3ffffee0,0xfbffffff,0x00001fff,0x07ffff60,
    0xfffffd30,0x0bffffff,0xfffffff8,0xffffffff,0xffb805ff,0xafffffff,
    0x001ffff8,0xffffff88,0x7ffffec7,0xffffffff,0xff7000df,0x2a0000bf,
    0x02ffffff,0xfffffd30,0xdfffffff,0x7fff4400,0xfb800fff,0xf98005ff,
    0x30006fff,0xddddffff,0xffdddddd,0x4cc05fff,0xffff9999,0x0199999f,
    0x33dffff3,0x33333333,0x33ffe601,0xfffea99b,0xfffd81ff,0x0000000f,
    0x40dffff1,0xfffffff8,0xfffbffff,0xffffd81f,0x3fffe601,0xfffffe85,
    0xfdffffff,0x50001fff,0xffffffff,0xffb80fff,0x9fffffff,0x001ffff8,
    0x3fff6000,0xffd7001f,0x37dfffff,0xffffff80,0xffffffff,0xf3005fff,
    0x21bfffff,0x001ffff8,0xfffffd30,0xfffffb50,0x03bfffff,0x02fffc80,
    0xffff5000,0xfd700019,0xffffffff,0xfd98007b,0xc800ffff,0x98002fff,
    0x0006ffff,0x005ffff7,0x813ffffa,0xffffffff,0xffffffff,0xfffff307,
    0xffffffff,0x3ffa0dff,0xffffffff,0xff883fff,0x000005ff,0x0ffffe40,
    0xffffff70,0xfff15fff,0xffffb03f,0x7fffcc03,0xfffff985,0xf8bfffff,
    0x20001fff,0xffffffd8,0xfea806ff,0xf10dffff,0x00003fff,0x00cccc40,
    0x099a9880,0x3ffffe00,0xffffffff,0x4005ffff,0x0000aaa8,0x01998800,
    0x566554c4,0x5500009a,0x20000155,0x00009ab9,0x13555530,0x33310000,
    0x05555400,0x7fffcc00,0x9999999e,0x3ffa0999,0xff7000ff,0x7ffc0dff,
    0xffffffff,0x307fffff,0xffffffff,0xdfffffff,0xfffffd10,0xbfffffff,
    0x07ffff20,0xf1000000,0xf9809fff,0x10dfffff,0xfb03ffff,0x7cc03fff,
    0xfb105fff,0x21bfffff,0x001ffff8,0xaaaa9880,0x55440009,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffcc0,0xffffffff,0xffff16ff,0x7ffcc00d,0xffff00ff,
    0xffffffff,0x260fffff,0xffffffff,0x6fffffff,0x3ffffaa0,0x202effff,
    0x0006ffff,0xfffb0000,0x5551001f,0x3ff60001,0x3fe601ff,0x54c405ff,
    0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0xffffffff,0x6fffffff,
    0x007ffff5,0x03fffff8,0xffffffff,0xffffffff,0x3fffe60f,0xffffffff,
    0xb9806fff,0x402bcdec,0x001aaaa8,0x55100000,0x00000155,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e600000,0xffffffff,0xb6ffffff,
    0x8003ffff,0x005ffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff3000,0xffffffff,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,0x98800009,
    0x20002600,0x300001a8,0x00000035,0x004ccc40,0x04c01310,0x98026200,
    0x03510000,0x00988000,0x00000026,0x00799990,0x80000988,0x3f600018,
    0x00000eff,0xfffffd10,0xfffff707,0x0000003f,0x7fffff44,0x00351003,
    0x3fff6000,0x8800000e,0x83fffffe,0x1ffffffb,0x3ffee000,0x00001fff,
    0x0002ddb8,0x20001310,0xffffffeb,0xffc8001d,0x2fff441e,0xffffd980,
    0x2e01d40c,0x802fffff,0x0005fff9,0x8017ffe4,0x7441effc,0xff9005ff,
    0x5ffe883d,0x3fff6600,0x001d40cf,0xe883dff9,0x000005ff,0x27ffff10,
    0x711eeee9,0x01bfffff,0x1effe880,0x7fffe400,0x8800006f,0x01fffffe,
    0x3fffffa6,0x88000001,0x01fffffe,0xcffffd98,0x64001d40,0x006fffff,
    0x7fff4400,0x3fa601ff,0x0001ffff,0x3fffffa6,0x3f600001,0x3a202fff,
    0x3fae0eee,0xa801dfff,0xfffffffe,0x26005fff,0x7ec6ffff,0x7c402fff,
    0xbfffffff,0xfb03ffb9,0x07ffffff,0x000fffe8,0x007fffc0,0x237fffcc,
    0x402ffffd,0x6c6ffff9,0x8802ffff,0xffffffff,0x803ffb9b,0x6c6ffff9,
    0x0002ffff,0xffffa800,0x33ffff31,0xfffffffd,0x7ff4003f,0xf9000fff,
    0x0bffffff,0x7ff44000,0xd8800dff,0x001fffff,0x3ffa2000,0xf8800dff,
    0xbfffffff,0x2003ffb9,0xfffffffc,0xfd100005,0x1001bfff,0x03fffffb,
    0x7ffec400,0x980001ff,0x207fffff,0xe89ffff8,0xffffffff,0x3fffe602,
    0xffffffff,0xfff7005f,0xfffff8ff,0x7ffff404,0xffffffff,0x7ffd40ff,
    0x00ffffef,0x0007fff9,0x005fff98,0xf8fffff7,0x5c04ffff,0x7fc7ffff,
    0xfe804fff,0xffffffff,0x400fffff,0x7c7ffffb,0x0004ffff,0x6fffc800,
    0x3effffe6,0xffffffff,0xfff3007f,0xf9005fff,0xfffb1dff,0xfd10000b,
    0x70007fff,0x003fffff,0xfffd1000,0x7ff4007f,0xffffffff,0xc800ffff,
    0xffd8efff,0x7440005f,0x8003ffff,0x01fffffb,0x7fffdc00,0x7d40001f,
    0x2207ffff,0xffeaffff,0xffffffff,0xfffffd03,0xffffd97d,0xfff3005f,
    0xffffd8df,0x4e7fdc02,0xfffffffb,0x0effe81f,0xf307fff7,0x22000dff,
    0x02fffd99,0x8dffff30,0x402ffffd,0x6c6ffff9,0xb802ffff,0xfffb9cff,
    0x801fffff,0x6c6ffff9,0x0002ffff,0x201ddddb,0x3e63fffe,0xffffffff,
    0x3fffffff,0xfffff880,0x7ffdc02f,0x13fff60e,0xfffe8800,0x3a60001f,
    0x0000ffff,0x3ffffa20,0x67fdc001,0xffffffb9,0xffb801ff,0x3fff60ef,
    0xffd10004,0x4c0003ff,0x000ffffe,0x7ffff4c0,0x3fe60000,0x3e206fff,
    0xffffffff,0x7fffffff,0x1effffb8,0x04ffffd8,0x883dff90,0x77005ffe,
    0xeffffc88,0x24fff882,0xfe84fff8,0x36e000ff,0xfffffffe,0x3bff2000,
    0x02fff441,0x441effc8,0x2e005ffe,0x7fffe443,0x3ff2002e,0x2fff441e,
    0xfffff000,0x83fffe01,0xfffffff9,0xffffb12e,0x3fffa00d,0xaaaa806f,
    0x00aaaa80,0x15555300,0x55510000,0x4c000055,0x0000aaaa,0xfffc8877,
    0x555002ef,0x15555015,0x55553000,0x55100001,0x10000555,0x00055555,
    0x02ffffc8,0x3fffffe2,0xffc88bff,0x7fec3fff,0xfff302ff,0x00c400df,
    0x44000026,0x3fe600aa,0x22fff42f,0x3003fffb,0xfffffffd,0x8800bfff,
    0x20004c01,0x0004c018,0x00155100,0x01300620,0xfffff800,0x45fff980,
    0x5ffffff9,0x07ffff88,0x03dffd10,0x00000000,0x00000000,0x00000000,
    0x000aa880,0x00000000,0x00000000,0x40000000,0x7c401cca,0xb06fffff,
    0xfe8dffff,0x3fe607ff,0x000005ff,0x98000000,0x7ff43fff,0x01bffe65,
    0x7fffffdc,0xefffffff,0x00000000,0x00000000,0x00000000,0x7ffffc00,
    0x41aaa880,0x0efffff9,0x01ffffd0,0x40000440,0x00000009,0x00980000,
    0x00130000,0x00000000,0x80000198,0x30000019,0x00000003,0x7c400000,
    0x300effff,0x7c1fffff,0x3f206fff,0x00004fff,0x4cc40000,0x9fff1001,
    0xfd27ffc4,0xff3003ff,0xffdfffff,0x00bfffff,0x00033310,0x00001300,
    0x00000260,0x200000cc,0x000fffff,0x0fffff98,0x07ffff60,0x36e00000,
    0x1ceffffe,0x4eeee880,0x0f777640,0xfffedb80,0x70001cef,0x9dffffdb,
    0x4c400003,0x3b260000,0x00ceffff,0xfffec980,0x30000cef,0x9dffffd9,
    0xeeee8801,0x77776404,0xf8800001,0x7c00ffff,0xff11ffff,0x3fea0dff,
    0x3a200fff,0x76404eee,0xb5101eee,0xffffffff,0x7fffc03b,0x72fffc8a,
    0x3a007fff,0xf51effff,0x5fffffff,0x7ffed440,0x01dfffff,0xfffedb80,
    0x70001cef,0x9dffffdb,0x3b260003,0x00ceffff,0x7ffffc00,0xfff98000,
    0x4ccc406f,0x33332001,0xfffe8800,0x3fffffff,0x37fffc40,0x07ffff60,
    0xfffffd10,0x007fffff,0x7fffff44,0x403fffff,0x2e0eeee8,0x00dffffe,
    0x3ffffee0,0x003fffff,0x3fffffee,0x4003ffff,0xfffffffb,0x3e203fff,
    0x7ec06fff,0x3ba61fff,0xeeeeeeee,0x3fffe204,0xffffe806,0x0dffff12,
    0x07fffff5,0x06ffff88,0x40ffffec,0xfffffff8,0x0effffff,0xffffffb8,
    0xdfff36ff,0x3fffea00,0x3bfff60e,0xf105ffff,0xffffffff,0x001dffff,
    0xffffffd1,0x4007ffff,0xffffffe8,0x4003ffff,0xfffffffb,0x20003fff,
    0x000fffff,0x06ffff98,0xfff10000,0xfffb803f,0xffffffff,0xff100eff,
    0xffd80dff,0x3fee01ff,0xffffffff,0x5c00efff,0xffffffff,0x00efffff,
    0xd13ffff1,0xffffffff,0xfffd8805,0xffffffff,0x7fec405f,0xffffffff,
    0xfd8805ff,0xffffffff,0xff105fff,0xffd80dff,0x3ffe61ff,0x5fffffff,
    0x1bfffe20,0x4fffff60,0x546ffff8,0x803fffff,0x406ffff8,0x881ffffd,
    0xffffffff,0x06ffffff,0xdffffffd,0x007fffa3,0x117ffff4,0xfff1ffff,
    0xfff101ff,0xffffffff,0xfb80dfff,0xffffffff,0x400effff,0xfffffffb,
    0x0effffff,0x7fffec40,0xffffffff,0xffff0005,0xff30001f,0x00000dff,
    0x80bfffe2,0xfffffff9,0xffffffff,0xdffff104,0x1ffffd80,0xffffff30,
    0xffffffff,0x7ffcc09f,0xffffffff,0xf104ffff,0xfffd5fff,0x1fffffff,
    0x7ffffe40,0xffffecbd,0x3fff202f,0xffecbdff,0x7e402fff,0xecbdffff,
    0x882fffff,0x6c06ffff,0x3e61ffff,0xffffffff,0x3ffe205f,0xfffd806f,
    0xdffff13f,0x1fffffc4,0x6ffff880,0x0ffffec0,0x6777ffc4,0xfffffccc,
    0xdffd703f,0x13ffee19,0x46ffff80,0xffb4fffa,0xfff105ff,0xff9999dd,
    0x2607ffff,0xffffffff,0x4fffffff,0x3ffffe60,0xffffffff,0x7fe404ff,
    0xfecbdfff,0x8002ffff,0x000fffff,0x06ffff98,0xfff10000,0x7fff405f,
    0xfb989cff,0x881fffff,0x6c06ffff,0xfd01ffff,0x3139ffff,0x3ffffff7,
    0x3fffffa0,0xfffb989c,0xff881fff,0xffffffff,0x04ffffff,0x01dffff1,
    0x20dffff7,0x80effff8,0x206ffffb,0x80effff8,0x886ffffb,0x6c06ffff,
    0x3e61ffff,0xffffffff,0x3ffe205f,0xfffd806f,0xdffff12f,0x02ffffd4,
    0x0dffff10,0x81ffffd8,0x36201be8,0x0806ffff,0x0037ffc4,0xd89ffff1,
    0xfff71fff,0x037d107f,0x37fffec4,0xcfffffe8,0xffffb989,0xfffd01ff,
    0xf73139ff,0x203fffff,0x80effff8,0x006ffffb,0x00fffff8,0x6ffff980,
    0xfca80000,0xff503fff,0x3a205fff,0xf885ffff,0x7ec06fff,0xffa81fff,
    0xfd102fff,0xff50bfff,0x3a205fff,0xf885ffff,0xbfffffff,0x7ffffea8,
    0x03ffffb0,0x417fffec,0x201ffffd,0xb02ffffd,0x6c03ffff,0x7c42ffff,
    0x7ec06fff,0xfa801fff,0x3e205fff,0xfe806fff,0xfff11fff,0x7fffe4df,
    0x3ffe2003,0x7ffec06f,0x7c40001f,0xd8007fff,0x2a001fff,0x3e23ffff,
    0x3ffea7ff,0x7c40003f,0xffa87fff,0xfd102fff,0xff50bfff,0x3a205fff,
    0xfb05ffff,0x7ec03fff,0x7c002fff,0x8000ffff,0x006ffff9,0xffff9100,
    0x3fa07fff,0x7dc04fff,0xff887fff,0x7fec06ff,0xfffe81ff,0x7ffdc04f,
    0xffffe87f,0x7fffdc04,0xfffff887,0xffff986f,0x7fffc40f,0x7fffd405,
    0x2ffffc44,0x13fffea0,0x017fffe2,0x889ffff5,0x6c06ffff,0xa801ffff,
    0x2205ffff,0x4406ffff,0x3e27ffff,0x3fee6fff,0x3e2005ff,0x7ec06fff,
    0x80001fff,0x000ffffe,0x0013ffee,0x5c7ffff7,0x3fea4fff,0xe80004ff,
    0x7f40ffff,0x7dc04fff,0xffe87fff,0x7fdc04ff,0xfff887ff,0x7ffd405f,
    0x7ffc004f,0xf98000ff,0x80006fff,0xffffffe9,0xffff03ff,0xffff001f,
    0xffff881f,0x7fffec06,0x0fffff81,0x0fffff80,0x007ffffc,0x207ffffc,
    0x0efffff8,0x83fffff0,0x403ffffa,0x545ffff9,0x4c03ffff,0xfa85ffff,
    0x7cc03fff,0x7fc45fff,0x7fec06ff,0xffa801ff,0x3fe205ff,0x7fe406ff,
    0x3ffe26ff,0x3fffea6f,0xfff1003f,0xfffd80df,0xfd80001f,0xf1001fff,
    0xf7000dff,0x7fec7fff,0x3fffea1f,0xffd80003,0x7fffc1ff,0xffff800f,
    0x7ffffc0f,0xfffff800,0x1ffffd40,0x17fffe60,0x1fffff00,0xffff3000,
    0xff88000d,0xffffffff,0x6ffff884,0x5ffffd00,0x06ffff88,0x20ffffec,
    0x006ffff8,0x445ffffd,0xd006ffff,0xf885ffff,0x3600ffff,0x7dc1ffff,
    0xeeeeefff,0xffffeeee,0x77fffdc6,0xeeeeeeee,0xfb86ffff,0xeeeeefff,
    0xffffeeee,0x37fffc46,0x07ffff60,0x17fffea0,0x06ffff88,0x93ffffe2,
    0x226ffff8,0x05ffffff,0x06ffff88,0x00ffffec,0x77665544,0x01fffffe,
    0x083fffb0,0x4ffffa80,0xfb8dfff1,0xa8802fff,0xffeeecca,0x3fe21fff,
    0xffd006ff,0x7ffc45ff,0xfffd006f,0xffffb85f,0xeeeeeeee,0x006ffffe,
    0x007ffffc,0x37fffcc0,0x3fff6000,0x0999adff,0x05ffffa8,0x87ffffb0,
    0x406ffff8,0x541ffffd,0xb005ffff,0x7d47ffff,0xfb005fff,0xff887fff,
    0x7fec06ff,0x7ffe41ff,0xffffffff,0x47ffffff,0xfffffffc,0xffffffff,
    0xfffc87ff,0xffffffff,0x47ffffff,0x406ffff8,0x801ffffd,0x205ffffa,
    0x306ffff8,0x88dfffff,0x7d46ffff,0x00efffff,0x01bfffe2,0x403ffffb,
    0xffffffc8,0x1fffffff,0x24fffa80,0x304effec,0x3eebffff,0x7ffec4ff,
    0x3ff2201f,0xffffffff,0x3fea1fff,0xffb005ff,0x7ffd47ff,0xfffb005f,
    0xffffc87f,0xffffffff,0x007fffff,0x007ffffc,0x37fffcc0,0xffff3000,
    0x7fdc009f,0xff9005ff,0xfff889ff,0x7ffec06f,0x7fffdc1f,0xffff9005,
    0x2ffffdc9,0x4ffffc80,0x037fffc4,0xd07ffff6,0xffffffff,0xffffffff,
    0xffffe8ff,0xffffffff,0xe87fffff,0xffffffff,0xffffffff,0x7fffc47f,
    0x7fffec06,0xffffa801,0x3fffe205,0xffeccdef,0x7c41ffff,0xffc86fff,
    0x101fffff,0xd80dffff,0xf701ffff,0xffffffff,0x03ffffff,0x88ffff88,
    0xeffffffe,0x7ffffc40,0x221fffe8,0x2e07ffff,0xffffffff,0x1fffffff,
    0x017fffee,0x727fffe4,0x200bffff,0x744ffffc,0xffffffff,0xffffffff,
    0x7ffc007f,0xf98000ff,0x20006fff,0x007ffffa,0x02ffffd4,0x43ffffd8,
    0x406ffff8,0x541ffffd,0xb005ffff,0x7d47ffff,0xfb005fff,0xff887fff,
    0x7fec06ff,0x7fff41ff,0xeeeeeeef,0x45eeeeee,0xeeeffffe,0xeeeeeeee,
    0xfffe85ee,0xeeeeeeef,0x45eeeeee,0x406ffff8,0x801ffffd,0x205ffffa,
    0xfffffff8,0xffffffff,0x6ffff884,0xffffff70,0x3fffe20d,0x7fffec06,
    0xfffffb81,0xffeeeeff,0x7ec01fff,0xffffb2ff,0xfb09ffff,0xdfffbfff,
    0x04ffffd8,0xfffffff7,0xffffdddd,0x7fffd43f,0xffffb005,0x2ffffd47,
    0x3ffffd80,0x777ffff4,0xeeeeeeee,0x7c005eee,0x8000ffff,0x006ffff9,
    0x1bfffee0,0xdffff300,0x3ffffa00,0x37fffc41,0x07ffff60,0x00dffff3,
    0x987ffffa,0xd006ffff,0xf883ffff,0x7ec06fff,0x7fec1fff,0xd80001ff,
    0x0001ffff,0x03ffffb0,0xffff1000,0xffffd80d,0xffffa801,0x3fffe205,
    0xffffffff,0xfff101ef,0x7ffcc0df,0xff883fff,0x7fec06ff,0x7ffc41ff,
    0xffb01eff,0x7fd403ff,0x1bfff35f,0xa81fffd5,0xffffffff,0x3fffff63,
    0xfffff880,0xffffb01e,0x37fffcc3,0x1ffffe80,0x01bfffe6,0x20fffff4,
    0x001ffffd,0xffff8000,0xff98000f,0x320006ff,0x4007ffff,0x00fffff8,
    0x40fffff8,0x406ffff8,0x441ffffe,0x800fffff,0x220fffff,0x800fffff,
    0x440fffff,0x6c06ffff,0x7dc1ffff,0x80003fff,0x003ffffb,0x7ffff700,
    0xfff10000,0xfffe80df,0xfffa801f,0x3ffe205f,0xffffffff,0x7ffc403e,
    0x7ffcc06f,0xfff885ff,0x7fff406f,0x7fffd41f,0x7fffec06,0x1ffff101,
    0xfb87ffee,0xfffd81ff,0xffedffff,0xf503ffff,0xfd80dfff,0x3fe21fff,
    0xff800fff,0x3fe20fff,0xff800fff,0x7fdc0fff,0x000003ff,0x00fffff8,
    0xa8000000,0x001fffff,0x01fffffc,0x21ffffea,0x207ffff8,0x81fffffd,
    0x403fffff,0xf87ffffa,0x5403ffff,0xf887ffff,0x7ec06fff,0x7fd41fff,
    0xa80005ff,0x0005ffff,0x0bffff50,0xffff1000,0x7fffec0f,0xfffa801f,
    0x3ffe205f,0x009a98ef,0x1bfffe20,0x1bfffee0,0x81ffffe2,0x41fffffd,
    0x404ffffc,0x901ffffe,0x7fe45fff,0x417ffd47,0xfffffff8,0x5fffffff,
    0x13ffff20,0x83ffffd0,0x403fffff,0xf87ffffa,0x5403ffff,0xfa87ffff,
    0x00005fff,0x0fffff80,0x80000000,0x0efffff8,0x3ffff600,0xfffd100f,
    0x3fffe09f,0xffffc81f,0xfffd81ff,0xffd100ff,0xfffb09ff,0x3fa201ff,
    0xff884fff,0x7fec06ff,0x7ffc41ff,0x440002ff,0x002fffff,0xfffff880,
    0xfff80002,0xfffc81ff,0xfa801fff,0x3e205fff,0x40006fff,0x806ffff8,
    0xf06ffff9,0xf903ffff,0xd83fffff,0xb105ffff,0x503fffff,0xffd8bfff,
    0x817ffcc7,0xffffffe8,0x403fffff,0x105ffffd,0x83fffffb,0x00fffffd,
    0x09ffffd1,0x01fffffb,0x13ffffa2,0x0bffffe2,0xfff00000,0x400001ff,
    0x2003cccb,0xbefffffe,0xffff9800,0xfd310aff,0x3a01ffff,0xb31dffff,
    0x3fffffff,0xffffff30,0x3ffa6215,0xff980fff,0x310affff,0x01fffffd,
    0x80dffff1,0xc81ffffd,0x803fffff,0xffff9029,0x4053007f,0x03fffffc,
    0xfffd0298,0x3ff663bf,0x801fffff,0x205ffffa,0x006ffff8,0x37fffc40,
    0x27fffe40,0x1dffffe8,0xffffffb3,0xffffb83f,0x7fff440f,0x7f441fff,
    0x7ffe40ff,0x007ffee0,0xffffffff,0xff7003bd,0xfe881fff,0x4c1fffff,
    0x0affffff,0xfffffd31,0xfffff301,0x3fa6215f,0xf900ffff,0x3007ffff,
    0xffff0005,0x7400001f,0x22004fff,0xffffffff,0xfc81ccde,0xffffffff,
    0x03ffffff,0x3ffffff2,0xffffffff,0xfff901ff,0xffffffff,0x6407ffff,
    0xffffffff,0x3fffffff,0x0dffff10,0x81ffffd8,0xfffffff8,0xffedcccd,
    0xfffff106,0xdb999bff,0x7fc40dff,0xccdfffff,0x906ffedc,0xffffffff,
    0xffffffff,0xffff5003,0x7fffc40b,0x7fc40006,0x333b26ff,0x2fffffec,
    0xffffff90,0xffffffff,0xfffa83ff,0xffecdfff,0x41ffffff,0xfb82fffc,
    0xfffd14ff,0xaefff980,0x7d40009a,0xecdfffff,0xffffffff,0xfffffc81,
    0xffffffff,0x3ff203ff,0xffffffff,0x203fffff,0xfffffff8,0xffedcccd,
    0xffff8006,0xaaaaaabf,0x2201aaaa,0x4002ffff,0xfffffff9,0xf882ffff,
    0xffffffff,0x405fffff,0xfffffff8,0xfffbffff,0xffff101f,0xffffffff,
    0xff880bff,0xffffffff,0x2205ffff,0x6c06ffff,0xf501ffff,0xffffffff,
    0x40dfffff,0xfffffffa,0x6fffffff,0x7ffffd40,0xffffffff,0xffff106f,
    0x7fffffff,0x7743ffff,0xfffeeeee,0xceeeeeff,0x006ffff8,0x37fffc40,
    0xfffffff9,0x7fc40bff,0xffffffff,0x81ffffbf,0xfffffffe,0xfffdffff,
    0x17ffe61f,0x7f7fffc4,0x7e403fff,0xe80003ff,0xffffffff,0xffffdfff,
    0xfffff881,0xffffffff,0x7ffc405f,0xffffffff,0xfa805fff,0xffffffff,
    0x006fffff,0xfffffff8,0xffffffff,0x3ffe603f,0xffd50007,0x5fffffff,
    0x3ffff620,0x2fffffff,0xfffff700,0xff15ffff,0x7ec403ff,0xffffffff,
    0xfb1002ff,0xffffffff,0xff8805ff,0x7fec06ff,0x3fa601ff,0xffffffff,
    0x74c06fff,0xffffffff,0x9806ffff,0xfffffffe,0x206fffff,0xfffffffb,
    0xffff8aff,0x3fffffe1,0xffffffff,0xfff8dfff,0x7c40006f,0x3ff26fff,
    0x0dffffff,0x7ffffdc0,0xff8affff,0xfff981ff,0xbfffffff,0x3a1ffff8,
    0x3ee00fff,0x06ffffff,0x000fffe8,0xfffff980,0xf8bfffff,0xfb101fff,
    0xffffffff,0x362005ff,0xffffffff,0x26002fff,0xfffffffe,0x006fffff,
    0xfffffff8,0xffffffff,0x3ffee03f,0x7fdc0005,0x02ffffff,0x7fffff54,
    0x4c000def,0x0dffffff,0x003ffff1,0xffffffd5,0xd50001bd,0xbdffffff,
    0xffff1001,0xffffd80d,0xfffeb801,0x3dffffff,0xffffd700,0x07bfffff,
    0x7ffff5c0,0x03dfffff,0x7fffffcc,0x3ffff10d,0x7ffffffc,0xffffffff,
    0xffff8dff,0x7fc40006,0x3fff26ff,0x2002efff,0xdffffff9,0x03ffff10,
    0x3fffff62,0xffff10df,0x00ffff23,0x13ffffea,0x017ffe60,0xfffd8800,
    0xff10dfff,0xfea803ff,0x0defffff,0xfffea800,0x000defff,0xfffffd70,
    0x007bffff,0xfffffff0,0xffffffff,0x7ffe407f,0xb9500002,0x4005fffd,
    0x00009aa9,0x000aaa88,0x09aa9800,0x2aa60000,0x7fc40009,0x7fec06ff,
    0x54c001ff,0x00009aaa,0x04d5554c,0x5554c000,0xa880009a,0x7fc000aa,
    0xffffffff,0xdfffffff,0x006ffff8,0x9a998000,0x55440000,0x9880000a,
    0x000009aa,0x40035100,0x0001aaa9,0x09aa9880,0x554c0000,0x26000009,
    0x000009aa,0x04d5554c,0x3fffe000,0xffffffff,0x2a03ffff,0x00000aaa,
    0x00002620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26660000,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50ffffa2,0x0001dfff,
    0x001dfffb,0x26666660,0x00019999,0x003bfff6,0x3ffa2000,0xffb83fff,
    0x0001ffff,0xb85fff30,0xf3002fff,0xfffb85ff,0x5fff3002,0x002fffb8,
    0x00000a98,0x33333333,0x3e200333,0x4c2fffff,0x2e6001db,0x0002bcec,
    0x4c401310,0xffd10000,0xa98000bf,0x000009aa,0x001ffffd,0x3fffe600,
    0x440002ff,0x03fffffe,0x00009988,0x2a620000,0xb000009a,0x3e63ffff,
    0x001abcef,0x3fffe880,0x001ffff5,0xdfffff90,0xffff1000,0x3fffffff,
    0xffff9000,0x880000df,0x01fffffe,0x3fffffa6,0xff880001,0xfffd10ef,
    0x3ffe2001,0x1fffd10e,0x3bffe200,0x01fffd10,0x77fffe40,0x44006c41,
    0xffffffff,0xf3001fff,0xfd9fffff,0xd1005fff,0xbfffffff,0x7fcc0003,
    0x1effc83f,0xffffd800,0x3b66005f,0xffffffff,0x7ff40002,0x980000ff,
    0x00efffff,0x7fff4400,0x7ecc01ff,0xff3003ff,0x322000bf,0xffffffff,
    0x7fec0003,0xffff31ff,0x0003dfff,0xfdfffe88,0xc8001fff,0x5fffffff,
    0x7fffc400,0x1fffffff,0x7fffe400,0x00005fff,0x1bffffd1,0xffffb100,
    0xfb00003f,0xffffdfff,0xfffd800d,0x06ffffef,0x77fffec0,0x2006ffff,
    0xfffffffc,0x00efea9c,0x7fffffc4,0x001fffff,0xffffff91,0x805fffff,
    0xfffffffa,0x0001ffff,0x543ffffd,0x4006ffff,0xfffffffd,0xffffc804,
    0x3fffffff,0xddddd500,0x9ddfffff,0x3ffe6000,0x880004ff,0x00dffffe,
    0x3fffff66,0x1fffd003,0xffff9000,0x09ffffff,0xffffd800,0xffffff31,
    0x0003dfff,0x7fffffc4,0xffc8001f,0x5fffd8ef,0x3fffe200,0x1fffffff,
    0x3bfff200,0x005fffd8,0x7ffff440,0xfffb8003,0x440001ff,0xffffffff,
    0x7fc4001f,0x1fffffff,0x7fffc400,0x001fffff,0xfffffff7,0x5fffffff,
    0xfffff880,0x01ffffff,0x7fffff5c,0xffffffff,0x3fffe202,0xffffffff,
    0x7fc4000e,0x3fee2fff,0x3f6007ff,0xfffe8dff,0xffffd304,0xffffffff,
    0x3ffee007,0xffffffff,0xff98006f,0x80002fff,0x03ffffe8,0xfffffff8,
    0x3fffc803,0xffffb800,0x4fffffff,0x7ffec000,0xfffff31f,0x03ffffff,
    0x7fffcc00,0xffb8001f,0x3fff60ef,0x55551004,0x15555555,0x3bffee00,
    0x013fff60,0x7ffff440,0x3fa60001,0x40000fff,0xefffffe9,0xffd30001,
    0x0003dfff,0x3fffffa6,0x3fe2001e,0xffffeaae,0xa8804fff,0xaaaaaaaa,
    0x7fec00aa,0xffffffff,0x7ec009be,0xea89dfff,0x8003ffff,0x2a1ffffe,
    0x9006ffff,0x7f44bfff,0xfffd83ff,0xeccdefff,0xff7003ff,0xffffffff,
    0xf9800dff,0x0001efff,0x1ffffe88,0xffbff900,0xfff9807f,0xfff98006,
    0xedccefff,0x7ec0004f,0xdb911fff,0xffffffff,0x54c0001f,0x550001aa,
    0x55550155,0x00000001,0x54055554,0x98000aaa,0x0000aaaa,0x02aaaa88,
    0x57975000,0x32ea0000,0x7500002b,0x22000579,0x7fffd40d,0x0000005f,
    0xffffffb0,0x003fffff,0x261bfffe,0x8005ffff,0xfc83fff9,0xaa8801ef,
    0xaaaa882a,0x3ffffea0,0x4002200c,0xffeeeeea,0x004eefff,0x00155554,
    0x15555300,0xffa9cc00,0x7fff403f,0xfffd8000,0x000201ef,0x03ffffb0,
    0x7ffffe44,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000353,0x1bced800,0x0dfffff1,0x07ffff30,
    0x001bfffa,0x031004c4,0xfe800000,0x00003fff,0x1ffffd00,0x00000000,
    0xfa800000,0x3fee03ff,0xffd0003f,0x000003ff,0x01ffffd8,0xffffff88,
    0x00cc0001,0x00000000,0x0000ccc4,0x00033310,0x000ccc40,0x00666200,
    0x00000000,0x20000198,0x00001998,0x26000000,0x7e400001,0x5404ffff,
    0xff02ffff,0x00000bff,0x04400000,0x0fffff10,0x84c40000,0x000ffffe,
    0x20000880,0x00c40198,0x40fffea0,0x0006fff9,0x001ffffe,0x7ec26200,
    0xf3001fff,0x8007ffff,0xeffffec9,0x7774400c,0x7776404e,0xffb5101e,
    0x3bffffff,0x3ff6a200,0x1dffffff,0xfffb5100,0x03bfffff,0x7ffed440,
    0x01dfffff,0x02777744,0x007bbbb2,0x3ffffb26,0xb51000ce,0xffffffff,
    0x0000003b,0x7ff64c00,0x4000ceff,0xfffffeca,0x3e201fff,0xff984fff,
    0x000003ff,0x3b2a0000,0x1cefffff,0x00bffff5,0x7ff64c00,0xffffffff,
    0xfeca8000,0x01ceffff,0x3fffff66,0x3fffaa2e,0xfffa802e,0x03fffd03,
    0x3fffe600,0xdc980005,0xffffffff,0x3fe001ff,0x2e005fff,0xffffffff,
    0x3fe203ff,0x7fec06ff,0xfff881ff,0xffffffff,0x3e200eff,0xffffffff,
    0x200effff,0xfffffff8,0x0effffff,0x7ffffc40,0xffffffff,0xffff100e,
    0xffffd80d,0x7fffdc01,0x03ffffff,0x7fffffc4,0xefffffff,0x3bbba600,
    0x04eeeeee,0xfffff700,0x007fffff,0xffffffb1,0x80bfffff,0x220fffff,
    0x001ffffe,0x3bbbbba6,0x0004eeee,0x3fffffa6,0xf74fffff,0x00009fff,
    0xffffff91,0x1fffffff,0x7fff4c00,0x4fffffff,0xffffff50,0xfff9bfff,
    0xa805ffff,0xffb83fff,0x3e60003f,0x20005fff,0xffffffc8,0x1fffffff,
    0x3ffff600,0xfffd8805,0xffffffff,0xffff105f,0xffffd80d,0xfffff881,
    0xffffffff,0x3ffe206f,0xffffffff,0x3e206fff,0xffffffff,0x406fffff,
    0xfffffff8,0x6fffffff,0x0dffff10,0x01ffffd8,0xffffffb1,0x0bffffff,
    0x7fffffc4,0xffffffff,0x3fffe606,0x05ffffff,0x7fffec40,0xffffffff,
    0x3fffea05,0xffffffff,0x3ff601ff,0xfffd34ff,0xff98009f,0xffffffff,
    0xffc88005,0xffffffff,0xffff94ff,0xffa80007,0xffffffff,0x800fffff,
    0xffffffc8,0x04ffffff,0xfffffff5,0xffffffff,0x5403ffff,0x7fcc3fff,
    0x7cc0006f,0x30005fff,0xffffffff,0x3fffffff,0x7ffff400,0xffffc803,
    0xfffecbdf,0xfff882ff,0x7ffec06f,0xefff881f,0xfffcccce,0xff103fff,
    0xf9999ddf,0x207fffff,0xcceefff8,0xffffffcc,0x3bffe203,0xfffcccce,
    0xff883fff,0x7fec06ff,0xfff901ff,0xffd97bff,0x3e205fff,0xcccceeff,
    0x03ffffff,0xfffffff3,0xc800bfff,0xcbdfffff,0x82fffffe,0xfffffff8,
    0xfffffeee,0x3fffe205,0x5fffffdf,0xffff9800,0x05ffffff,0xfffffd80,
    0xffffffff,0x07ffff94,0x7fffc400,0xffeeefff,0xd800ffff,0xffffffff,
    0x504fffff,0xfd757bff,0xf97fffff,0x7d409fff,0x7fff43ff,0x7fcc0001,
    0xf88005ff,0xeeffffff,0x1ffffffe,0xfffff500,0xffff8805,0xffffb80e,
    0x6ffff886,0x0ffffec0,0xb100df44,0x220dffff,0x3f6201be,0x7d106fff,
    0x7ffec403,0x06fa206f,0x6ffffd88,0x06ffff88,0x40ffffec,0x80effff8,
    0x106ffffb,0x7ec4037d,0xff306fff,0xffffffff,0x7ffc400b,0xfffb80ef,
    0xffffc86f,0x7ffe40bf,0x3fee00ff,0x4fffffff,0xffff3000,0x0bffffff,
    0xfffffa80,0xdaa99adf,0x7ffff94f,0x7ffec000,0x7f440bff,0x7d400fff,
    0x9adfffff,0x504fdaa9,0xffff1019,0x3fffcc5f,0x5c5ddd50,0x26004fff,
    0xffeeeeee,0xeeeeefff,0xfffc85ee,0xffd80bff,0x7dcc01ff,0xd806ffff,
    0x3601ffff,0x7c42ffff,0x7ec06fff,0x40001fff,0x007ffff8,0x7ffff880,
    0xfff88000,0xf100007f,0xff10ffff,0xffd80dff,0xfffd81ff,0x3fff601f,
    0x7c40002f,0x54007fff,0x2005ffff,0x201ffffd,0x262ffffd,0x302fffff,
    0x805fffff,0xeffffffe,0xfa800002,0x22005fff,0x02fffffe,0xffffc8c4,
    0xfff50003,0x7ff405ff,0x3fa200ff,0x4402ffff,0xfff90001,0x1fffd81f,
    0x37ffc400,0x3fffea00,0xffffffff,0x46ffffff,0x02fffff9,0x707ffff6,
    0xffffffff,0xff8805ff,0x7fd405ff,0x7ffc44ff,0x7ffec06f,0xfe80001f,
    0x80000fff,0x000ffffe,0x0ffffe80,0xfffd0000,0xffff881f,0x7fffec06,
    0x2ffffc41,0x13fffea0,0x3fffa000,0x3fea000f,0xff1005ff,0xffa80bff,
    0x3fff64ff,0x7fff406f,0x3ffea04f,0x00007fff,0x17fffea0,0xfffffb80,
    0x7ffe4002,0xffb0003f,0xffe80bff,0x3fee00ff,0x00002fff,0x437ffdc0,
    0x4002fffb,0x4001fffd,0xfffffffa,0xffffffff,0x7fec6fff,0x7fec06ff,
    0x7ffdc1ff,0x03ffffff,0x03ffffa8,0x22ffffcc,0x406ffff8,0x001ffffd,
    0x1ffffd80,0xfffd8000,0xfd80001f,0x00001fff,0x883ffffb,0x6c06ffff,
    0x7d41ffff,0x7cc03fff,0x80005fff,0x001ffffd,0x017fffea,0x01ffffd4,
    0xe97fffe6,0x6402ffff,0xf906ffff,0x9fffffff,0x02ffff98,0x5ffffa80,
    0x3ffff600,0xfffc8005,0xffd0003f,0xffe805ff,0x3ff600ff,0x000005ff,
    0xb84fffb8,0x2e003fff,0xa8004fff,0xffffffff,0xffffffff,0x7fff46ff,
    0x7ffec02f,0x7fffd41f,0x7001efff,0xddddffff,0xfffddddd,0xffff88df,
    0x7fffec06,0xccaa8801,0xfffffeee,0xccaa8801,0xfffffeee,0xccaa8801,
    0xfffffeee,0x99551001,0xfffffddd,0x6ffff883,0x0ffffec0,0x3bbfffee,
    0xfeeeeeee,0xa8806fff,0xffeeecca,0x2a001fff,0x7005ffff,0xddddffff,
    0xfffddddd,0x7ffffcdf,0x7fffdc00,0xfffffb86,0x262fffff,0x8001ffff,
    0x005ffffa,0x00bffffa,0x0fffff20,0x7ffffc00,0x7ffff400,0x3ffffa00,
    0x98800002,0xadfffdaa,0x3fffcaaa,0x0dfff100,0xfff98000,0x7ffc005f,
    0x7fec00ff,0x7ffd41ff,0x64001bef,0xffffffff,0xffffffff,0x7fffc47f,
    0x7fffec06,0x3fff2201,0xffffffff,0x3f2201ff,0xffffffff,0x2201ffff,
    0xfffffffc,0x01ffffff,0x7ffffe44,0xffffffff,0x37fffc41,0x07ffff60,
    0xfffffff9,0xffffffff,0x7e440fff,0xffffffff,0x2001ffff,0x005ffffa,
    0xfffffff9,0xffffffff,0x3ffe2fff,0xfffa807f,0x7fffc47f,0xfffffcaf,
    0x01ffff51,0xbffff500,0x7ffffc00,0xfffc8001,0xff98003f,0xffe807ff,
    0x3ffe00ff,0x200001ff,0xfffffffa,0xffffffff,0xfb004fff,0x800003ff,
    0x005ffff9,0x01ffffe6,0x507ffff6,0x0003ffff,0x3ffffffa,0xffffffff,
    0x7fc47fff,0x7fec06ff,0xfff701ff,0xffffffff,0x2e03ffff,0xffffffff,
    0x1fffffff,0xffffff70,0xffffffff,0x7ffdc03f,0xffffffff,0x7c41ffff,
    0x7ec06fff,0x7ff41fff,0xffffffff,0x7fffffff,0xffffff70,0xffffffff,
    0x7fd4003f,0xffd005ff,0xffffffff,0xffffffff,0x01bfffea,0x91ffffe6,
    0x7ec7ffff,0xffb8ffff,0xff50007f,0x3e600bff,0x8000ffff,0x003ffffc,
    0x06ffffa8,0x00ffffe8,0x01fffff3,0x3fffa000,0xffffffff,0xffffffff,
    0x4fffa803,0x0177776c,0x17fffe60,0x6ffffa80,0x1ffffd80,0x00ffffcc,
    0xeffffe80,0xeeeeeeee,0x7c45eeee,0x7ec06fff,0xffb81fff,0xeeefffff,
    0x81fffffe,0xfffffffb,0xffffeeee,0xffffb81f,0xfeeeefff,0xf701ffff,
    0xddffffff,0x3fffffdd,0x06ffff88,0x20ffffec,0xeeeffffe,0xeeeeeeee,
    0xfffb85ee,0xeeeeffff,0x001fffff,0x017fffea,0x777ffff4,0xeeeeeeee,
    0xfff55eee,0xfff300df,0x7ffff8ff,0x77ffff44,0x0006fffd,0x00bffff5,
    0x07ffffe2,0x3ffff200,0xfffa8003,0xfffe806f,0xffff100f,0xf900003f,
    0xfb9bdfff,0x99999bff,0xf8805999,0x3fee0fff,0x4c003fff,0x2005ffff,
    0x806ffffa,0x4c1ffffd,0x0001ffff,0x003ffffb,0xdffff100,0x1ffffd80,
    0x77ffffc4,0x3ffffb01,0xefffff88,0x3ffffb01,0xefffff88,0x3ffffb01,
    0xdfffff10,0x3ffff603,0x37fffc41,0x07ffff60,0x003ffffb,0xfffff100,
    0x3fff603d,0x3fea001f,0xffb005ff,0x4c0003ff,0xa807ffff,0x3e27ffff,
    0xff985fff,0x4fffffff,0xffff5000,0x7fffc00b,0xffc8002f,0xf98003ff,
    0xfe807fff,0x3fe00fff,0x40002fff,0x5c4ffff8,0x80003fff,0x3e22fffd,
    0x003fffff,0x02ffffcc,0x0fffff30,0x83ffffb0,0x000cccc8,0x07ffff70,
    0xffff1000,0xffffe80d,0x37fffd41,0x07ffff60,0x80dffff5,0x541ffffd,
    0x6c06ffff,0xfa81ffff,0x7ec06fff,0x7fc41fff,0x7ff406ff,0x7ffdc1ff,
    0xfa80003f,0x7ec06fff,0x2a001fff,0x7005ffff,0x0007ffff,0x07ffffc4,
    0x9bfffee0,0x504ffff9,0xffffffff,0x3fea0003,0x3fa005ff,0xc8005fff,
    0x8003ffff,0x407ffff8,0x00fffff8,0x017ffffa,0x0ffff500,0x0009fff7,
    0x6c5fffa8,0x03fffcff,0x2ffffcc0,0xfffff100,0x3ffffd00,0x7d400000,
    0x80005fff,0x207ffff8,0x41fffffd,0x404ffffc,0x641ffffe,0x7404ffff,
    0x7e41ffff,0x7f404fff,0xffc81fff,0x7ff404ff,0x7ffc41ff,0x3fff607f,
    0x7ffd41ff,0xfc80005f,0x7f404fff,0x2a001fff,0x5005ffff,0x000bffff,
    0x02fffff8,0x31fffffc,0x640bffff,0x06ffffff,0x3fffea00,0x3fff6005,
    0x7e4001ff,0xf0003fff,0x6c03ffff,0x200fffff,0x01fffffd,0x17ffee00,
    0x0017ffee,0x20ffff88,0xfff8effa,0x7ffcc003,0x7ffc005f,0x3ff601ff,
    0x00001fff,0x3ffffe20,0xfff80002,0xfffc81ff,0x7fec1fff,0xffb105ff,
    0xffd83fff,0xffb105ff,0xffd83fff,0xffb105ff,0xffb03fff,0x3f620bff,
    0xff81ffff,0xffc81fff,0x7c41ffff,0x0002ffff,0x82ffffec,0x1fffffd8,
    0x3fffea00,0xffff1005,0x7f40005f,0x3ee06fff,0x7fc1ffff,0x3f601fff,
    0x0003ffff,0x017fffea,0xefffffb8,0xfff90801,0x3fa0007f,0xff904fff,
    0x5c01ffff,0x01efffff,0x5fffc808,0x00ffffd8,0x45fff900,0xfff2fff8,
    0xfff98007,0x7ff4005f,0xfff905ff,0xfc883fff,0x320000df,0x803fffff,
    0xffffd029,0x3fff663b,0x7dc1ffff,0x7440ffff,0x41ffffff,0x40fffffb,
    0xffffffe8,0x7ffffdc1,0x7ffff440,0xfffb81ff,0x7ff440ff,0xfe81ffff,
    0xfb31dfff,0x03ffffff,0x07fffff9,0xfff70530,0xffe881ff,0x2001ffff,
    0x005ffffa,0x0ffffff2,0xfff50a60,0x7dc43dff,0xfe86ffff,0xd981efff,
    0x00efffff,0xbffff500,0xffffe800,0x73109cff,0x3ffff2bd,0xfff70003,
    0x7fec47ff,0x400fffff,0xcffffffe,0x0bd73109,0xfc8ffff7,0x0205ffff,
    0x362fffd4,0x0fffe5ff,0xbffff300,0xffffa800,0x3fff663f,0x7ec1ffff,
    0x20006fff,0xfffffff8,0xffedcccd,0xfffff906,0xffffffff,0xffa83fff,
    0xfecdffff,0x1fffffff,0x7fffffd4,0xfffffecd,0x7fd41fff,0xfecdffff,
    0x1fffffff,0xffffffa8,0xfffffecd,0xffc81fff,0xffffffff,0x81ffffff,
    0xfffffff8,0xffedcccd,0xfffffa86,0xffffecdf,0x2001ffff,0x005ffffa,
    0x3fffffe2,0xfedcccdf,0xffffe86f,0xffffefff,0xffa81fff,0xecceffff,
    0xffffffff,0xfff50005,0xff9800bf,0xffffffff,0xff95ffff,0x7c0007ff,
    0xfeffffff,0xffffffff,0x7fffcc00,0xffffffff,0xfffa85ff,0xffffdadf,
    0xba9adfff,0xfffe885e,0x3bbffe20,0x00eefffe,0x0bffff30,0xffffff00,
    0xffffffdf,0x7fc43fff,0x0001ffff,0x3fffffea,0xffffffff,0xfffff106,
    0xf7ffffff,0xffd03fff,0xffffffff,0x03ffffbf,0xfffffffd,0xfffbffff,
    0xffffd03f,0xbfffffff,0x3a03ffff,0xffffffff,0xffffdfff,0xfffff881,
    0xfbffffff,0xff501fff,0xffffffff,0x3a0dffff,0xffffffff,0xffffdfff,
    0xeeeeee81,0xeefffffe,0xff504eee,0xffffffff,0xf30dffff,0xffffffff,
    0x407fffff,0xfffffffc,0xffffffff,0x3ba04fff,0xfffeeeee,0x4eeeeeff,
    0x3ffffee0,0xffffffff,0x07ffff95,0x7fffdc00,0xbfffffff,0xb800ffff,
    0xffffffff,0x885fffff,0xffffffff,0xfffffecf,0xfc85ffff,0x7ffc42ff,
    0xffffffff,0xffff3000,0xfff7000b,0xffffffff,0x4c3ffff7,0x02ffffff,
    0x7fff4c00,0xffffffff,0x3ffee06f,0x8affffff,0xf981ffff,0xffffffff,
    0x1ffff8bf,0xffffff98,0xff8bffff,0xfff981ff,0xbfffffff,0x301ffff8,
    0xffffffff,0xffff17ff,0x3fffee03,0xf8afffff,0x3a601fff,0xffffffff,
    0xf306ffff,0xffffffff,0x3ffff17f,0xfffffff0,0xffffffff,0x7f4c0bff,
    0xffffffff,0xfd306fff,0xffffffff,0xff9007ff,0xffffffff,0xfffff79f,
    0x3ffffe07,0xffffffff,0x4c05ffff,0xfffffffe,0xff95ffff,0xb80007ff,
    0xffffffff,0x0ffff99e,0xffffd300,0xbfffffff,0x3ffffee0,0xffff34ff,
    0x98bfffff,0xff885fff,0xffffffff,0xfff3000f,0x3ee000bf,0xffffffff,
    0x41ffff8a,0x00ffffff,0xfffd7000,0x7bffffff,0xfffff980,0xffff10df,
    0x3fff6203,0xff10dfff,0x3f6203ff,0x10dfffff,0x2203ffff,0xdffffffd,
    0x03ffff10,0x7ffffec4,0xffff10df,0x7fffcc03,0xfff10dff,0xffd7003f,
    0xbfffffff,0x7ffec407,0xff10dfff,0xffff03ff,0xffffffff,0x00bfffff,
    0xffffffd7,0xc807bfff,0xfffffffe,0x3f66000c,0x1dffffff,0x07fffff2,
    0x3ffffffe,0xffffffff,0xfd7005ff,0x7dffffff,0x0fffff23,0x3ffaa000,
    0xff30cfff,0xeb8001ff,0xefffffff,0x3ffee01b,0x7ff4c4ff,0x743effff,
    0x7c000fff,0x7cc003ff,0x20005fff,0xdfffffea,0x307fffe0,0x0005ffff,
    0x2aaaa600,0xaa880009,0x9880000a,0x800009aa,0x0009aa98,0x09aa9880,
    0x55310000,0x22000013,0x00000aaa,0x09aaaa98,0x4d54c400,0xffff0000,
    0xffffffff,0x00bfffff,0x09aaaa98,0x33553000,0x55530000,0xfff00003,
    0xffffffff,0x0bffffff,0x13353100,0x07ffff90,0x55544000,0x44000000,
    0x200099a9,0x54401a98,0xffc809aa,0xfff8003f,0x7ffcc003,0x9880005f,
    0x510000aa,0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0x00000009,0x001dfffb,0x002f2e00,0x33300000,0x33333333,0x2fff9800,
    0x0017ffdc,0x2fffff88,0x13ffffea,0x26666660,0xf1019999,0x0000dfff,
    0x00026a62,0xfffe8800,0x077ffd43,0x17fffc40,0xe99bffee,0x2000eeee,
    0x002eeeed,0x3ffffa20,0x3bbba23f,0x2f777404,0x02777744,0x007bbbb2,
    0x2fffff88,0x13ffffea,0x003ffffc,0x7fffd100,0x00efffa8,0x26004400,
    0xffffffff,0x100005ff,0x4cc00003,0x36600009,0xf3003fff,0x7e400bff,
    0x0006ffff,0x00efffe8,0x02efea80,0xffffff88,0x001fffff,0x443bffe2,
    0x0000fffe,0x547ffffd,0x803fffff,0xfffffff8,0xf881ffff,0x80006fff,
    0x4efffffd,0x0bfff300,0x53fffe88,0x4001ffff,0xf72ffff9,0xfff81dff,
    0xff1003ff,0x20001fff,0x1fffffe8,0x02ffffcc,0x221ffffe,0x6c06ffff,
    0x2001ffff,0x2a3ffffe,0x203fffff,0x0007ffff,0x9ffff440,0x000ffffa,
    0xffffeca8,0x3fe61cef,0xffffffff,0xfb930005,0xddddffff,0x5447dddd,
    0xffffffed,0xfd9801de,0xd003ffff,0x32001fff,0x5fffffff,0x3ffea000,
    0x7d4004ff,0x4403ffff,0xffffffff,0x6c001fff,0xfffeffff,0xffb0006f,
    0x7ffcc7ff,0xff1001ff,0xffffffff,0xffff103f,0xffb0000d,0x00bfffff,
    0x1001fffd,0xfffbfffd,0xff30003f,0x1dfffbff,0x0dffff90,0x17fffee0,
    0x7fff4400,0xfff980df,0x7fffc05f,0x6ffff887,0x0ffffec0,0x3ffffd80,
    0x07ffffe6,0x3ffff332,0x02cccccf,0x3fffa200,0x001ffffd,0x7fffff4c,
    0x264fffff,0xffffffff,0xfc8005ff,0xffffffff,0x4fffffff,0x3fffffee,
    0x0dffffff,0x3fffffe0,0xfffc803f,0xdfff9003,0x00bfffb1,0x3fffff20,
    0x7fff4005,0x7fc407ff,0xffffffff,0x7fc4001f,0x1fffffff,0xffffb800,
    0x3bfffe23,0x3ffe2000,0xffffffff,0x6ffff881,0xabcc8000,0x6407fffc,
    0x22003fff,0x1fffffff,0x3ffe6000,0xf300efff,0xd003ffff,0x0005ffff,
    0x07ffffd1,0x02ffffcc,0x221ffffe,0x6c06ffff,0xb801ffff,0x3e23ffff,
    0xff00efff,0xffffffff,0x80007fff,0xfffffff8,0x3ff22001,0xffffffff,
    0x3ffe64ff,0x5fffffff,0x3fff6200,0xffffffff,0x24ffffff,0xfffffffb,
    0x0effffff,0xfffbff90,0x6fff9807,0x1dfff700,0x0027ffec,0x27ffffd4,
    0xfffff100,0x554401ff,0xaaaaaaaa,0xfe98000a,0x001effff,0x23ffff98,
    0x00dfffe8,0x55555440,0x80aaaaaa,0x006ffff8,0x0dfff000,0x0037ffcc,
    0x0fffffcc,0x7ffd4000,0x7ff400ff,0x7fcc04ff,0xe88007ff,0x4c01ffff,
    0x7c05ffff,0xff887fff,0x7fec06ff,0x7fcc01ff,0x3ffa23ff,0x3ffe00df,
    0xffffffff,0x980003ff,0x001fffff,0x7fffffec,0x4fffffff,0x5ffffa80,
    0x3ffff600,0xffffffff,0x24ffffff,0xfffffffb,0x5fffffff,0x3ffea730,
    0x07fff403,0x80aaaa80,0x8000aaaa,0x000efffd,0x7ffffffc,0x00000000,
    0x00579750,0x20d554c0,0x0002aaa9,0x3fe20000,0x500006ff,0x05fffd99,
    0x0007fff4,0x001aaa98,0x02aaa600,0x1ffffea0,0x09ffff90,0x15555300,
    0xbffff300,0x87ffff80,0x406ffff8,0x401ffffd,0x54c1aaa9,0xfff802aa,
    0xffffffff,0x300003ff,0xa8003555,0xadffffff,0x04fdaa99,0x05ffffa8,
    0xbfffff30,0xbffff335,0x5c133333,0x2e209ace,0x00ffffff,0x701fffd4,
    0x00007fff,0x32a00000,0xfff90002,0x00000bff,0x00000000,0x00000000,
    0xffff1000,0x3ee0000d,0x2e03ffff,0x00003fff,0x00000000,0x017ffffc,
    0x003fffff,0x7fcc0000,0x7ffc05ff,0xffff887f,0x7fffec06,0x00000001,
    0x003ffffc,0x10000000,0x05fffffd,0xffa80188,0xffb005ff,0xffff0bff,
    0x7dc00009,0x5401ffff,0xff303fff,0x260000df,0x00000999,0xfff90000,
    0x0260001b,0x004c0000,0x00098000,0x44000000,0x1106ffff,0x7fffdc00,
    0x7fcc0eff,0x3300006f,0x80000133,0xfff90008,0x3ffea0bf,0x4cc0006f,
    0x7fcc0099,0x7ffc05ff,0xffff887f,0x7fffec06,0x00000001,0x003ffffc,
    0x02620000,0x3ffffee0,0x3ea00002,0x06cc5fff,0x01dffff3,0x0009ffff,
    0x7ffffc40,0x1fffd403,0x001fffe8,0xfffffb50,0x0003dfff,0x09880000,
    0x7ff6dc00,0x0001ceff,0xdffffdb7,0x36e00039,0x1ceffffe,0x77774400,
    0x77776404,0x4bffff11,0x1dffffdb,0x7ed4cc40,0x7fff44ff,0xffb50001,
    0x3dffffff,0xffd95000,0x3039dfff,0xb01fffff,0x8005ffff,0xffffffda,
    0xff981eff,0x7ffc05ff,0xffff887f,0x7fffec06,0x4eeee881,0x0f777640,
    0x43ffffc0,0x3a600198,0xff711eee,0x3601bfff,0x0005ffff,0xaffffd40,
    0x3f60ffd8,0xfff03fff,0xd800009f,0x5402ffff,0xffb83fff,0xfea8003f,
    0xffffffff,0x3bae03ff,0xeeeeeeee,0x005eeeee,0xfffe8800,0x3fffffff,
    0x3fffa200,0x3fffffff,0x3fffa200,0x3fffffff,0x3fffe200,0x7fffec06,
    0x2bffff11,0xfffffffd,0x3fea002f,0x0fffee5f,0x3fffaa00,0xffffffff,
    0x3ffa6003,0xffffffff,0x7ffffd04,0x07ffff88,0x3ffffaa0,0x3fffffff,
    0x05ffff98,0x443ffffc,0x6c06ffff,0xf881ffff,0x7ec06fff,0xff801fff,
    0x3ffae7ff,0x7cc01eff,0xffe99fff,0x81ffffff,0x002ffffe,0x7fffd400,
    0x20ffffce,0xf01ffffe,0x00009fff,0x01ffffe8,0x261fffd4,0xa8006fff,
    0xffffffff,0x203fffff,0xfffffffc,0xffffffff,0x7dc00006,0xffffffff,
    0x400effff,0xfffffffb,0x0effffff,0x7ffffdc0,0xffffffff,0xfff8800e,
    0x7ffec06f,0xbffff11f,0xfffffffb,0xce887fff,0x3ffffdcc,0x000dfff3,
    0xfffffff5,0x07ffffff,0xfffff910,0x9fffffff,0x1bfffee0,0x009ffff5,
    0x3fffffea,0x3fffffff,0x05ffff98,0x443ffffc,0x6c06ffff,0xf881ffff,
    0x7ec06fff,0xff801fff,0xffffb6ff,0x4c05ffff,0xfffbffff,0x7fffffff,
    0x01fffff8,0x7ffd4000,0x0fffffff,0xf81ffffe,0x00004fff,0x01bfffea,
    0xfd0fffea,0xf88003ff,0xabdfffff,0x203ffdcc,0xfffffffc,0xffffffff,
    0x3e600006,0xffffffff,0x04ffffff,0x3fffffe6,0xffffffff,0x3ffe604f,
    0xffffffff,0x8804ffff,0x6c06ffff,0xff11ffff,0xffffffff,0x8fffffff,
    0xfffffff8,0x07fffa5f,0xfffff100,0xfb9957bf,0xfffb007f,0xffffffff,
    0x3fe209ff,0x3ff61fff,0xff8801ff,0xcabdffff,0xf983ffdc,0x7fc05fff,
    0xfff887ff,0x7ffec06f,0xffff881f,0x7fffec06,0xeffff801,0xfffffffd,
    0x3fe607ff,0xffffffff,0x23ffffff,0x00fffff9,0x7ffd4000,0x0effffff,
    0xf81bfffe,0x80004fff,0x1fffffc8,0x22eeea80,0x8004fffb,0x01fffffb,
    0xfff900cc,0xffffffff,0x000dffff,0x7fffff40,0xfffb989c,0xffd01fff,
    0x73139fff,0x03ffffff,0x33fffffa,0xffffb989,0x7fc401ff,0x7fec06ff,
    0xffff11ff,0x9117ffff,0x447fffff,0x2dffffff,0x0013ffee,0x07ffffee,
    0xffa80330,0x99adffff,0x3204fdaa,0xff13ffff,0x3ee00dff,0x4c01ffff,
    0x5ffff981,0x43ffffc0,0x406ffff8,0x881ffffd,0x6c06ffff,0xf801ffff,
    0xffffffff,0x3fffffff,0xffffff30,0x3ff625df,0x3ffe26ff,0x200001ff,
    0xffffffd8,0x7ffc41ef,0x3fffe06f,0x00eeeeef,0xffffdddb,0x80001bff,
    0x0006fff8,0x00bffffb,0x55555300,0xffff5555,0x200003ff,0x02fffffa,
    0x0bffffd1,0x05fffff5,0x17ffffa2,0x0bffffea,0x2fffff44,0x1bfffe20,
    0x23ffffb0,0x6ffffff8,0x0dffffb0,0x3fe20131,0xffb0006f,0x10000bff,
    0x05fffffd,0x3fe60188,0xffff76ff,0x3fff6007,0x3e60005f,0x3e605fff,
    0xff887fff,0x7ff406ff,0xfff881ff,0x7ffec06f,0xffff801f,0xfd30dfff,
    0x3e60bfff,0x885fffff,0x7fc7ffff,0x80002fff,0xffffffc8,0xfff302ef,
    0x7fffc0bf,0x00ffffff,0xfffffffd,0x360000bf,0xb0001fff,0x001dffff,
    0xfff70000,0x971007ff,0x7ffff405,0x7fffdc04,0x4ffffe87,0x3ffffdc0,
    0x027ffff4,0x01ffffee,0x80dffff1,0xf11ffffd,0x201dffff,0x00fffff9,
    0x00fffec0,0xeffffd80,0x7fdc0000,0x00002fff,0xfd3ffffd,0x36001fff,
    0x000effff,0x0fffff30,0x1fffffe2,0x81ffffe2,0x81fffffd,0x406ffff8,
    0x801ffffd,0x85ffffff,0x306ffff9,0x01dfffff,0xf83ffffa,0x0005ffff,
    0x3fffff22,0x7d405fff,0x3fe05fff,0xffffffff,0xfffffd00,0x007dffff,
    0x027ffdc0,0xfffff700,0x0000017f,0x17ffffea,0x3bfffe20,0x0fffff80,
    0x0fffff80,0x007ffffc,0x207ffffc,0x800fffff,0x200fffff,0x406ffff8,
    0xf11ffffd,0xf801ffff,0x2001ffff,0x0004fffb,0x3fffffee,0xffb0000b,
    0x40000bff,0xffdffffb,0x3ee005ff,0x00bfffff,0x7ffffcc0,0x7ffff440,
    0xfffff07f,0xfffff903,0xffff103f,0xffffd80d,0xfffff801,0xffff880e,
    0xfffff307,0x7fffec01,0x3fffffa1,0xfffd0001,0x0bffffff,0x05ffffa8,
    0x3ffffffe,0xffd00fff,0xffffffff,0xf88001df,0x4c0006ff,0xffffffff,
    0x100000ad,0x01dfffff,0xbfffff90,0x06ffff88,0x45ffffd0,0x006ffff8,
    0x445ffffd,0xd006ffff,0x4405ffff,0x6c06ffff,0xff11ffff,0xffd00dff,
    0x3e2005ff,0x4c0006ff,0xffffffff,0x3fa000ad,0x00002fff,0x3fffffe2,
    0x26001fff,0xffffffff,0xff9800ad,0xfd51dfff,0x05ffffff,0x23bffffd,
    0xffffffd9,0xffff881f,0x7fffec06,0xfffff801,0x1ffffe01,0x037fffcc,
    0xf5066662,0x003dffff,0xfffffe81,0x4c05ffff,0x3e05ffff,0x9999dfff,
    0xd7531001,0x00dfffff,0x081fffd8,0x7fffe400,0x2dffffff,0x7fff4000,
    0xffd001ff,0x7d43ffff,0xfb005fff,0x7fd47fff,0xffb005ff,0x7ffd47ff,
    0xfffb005f,0x7ffc407f,0x7ffec06f,0xdffff11f,0x7ffffb00,0x07fff600,
    0x3fff2000,0xdfffffff,0xfffff802,0x7e400001,0x06ffffff,0xfffffc80,
    0x02dfffff,0x3fffffe6,0xffffffff,0x320effff,0xffffffff,0xffffffff,
    0x6ffff881,0x0ffffec0,0x03ffffc0,0x4c1ffffe,0x0006ffff,0xffffffe8,
    0xbd73109c,0xfaaeffe8,0x7c405fff,0x3fe06fff,0x400004ff,0x02fffffc,
    0x229fff50,0x01bdffec,0xffffff70,0x01bfffff,0xfffff900,0x7fff4005,
    0x3fee3fff,0xff9005ff,0x7ffdc9ff,0xfff9005f,0x7fffdc9f,0xffff9005,
    0x7fffc409,0x7fffec06,0x0dffff11,0x07ffffb0,0xd89fff50,0x7002eeee,
    0xffffffff,0x2601bfff,0x000fffff,0x7fffcc00,0x70003fff,0xffffffff,
    0xf301bfff,0xffffffff,0xffff7dff,0x7ffc43ff,0xffffffff,0x881ffffb,
    0x6c06ffff,0xf801ffff,0x7fc07fff,0xfff307ff,0xf50000df,0xffffffff,
    0xe8bfffff,0x3fffea2e,0x7fffc405,0x13fffe06,0x3ff60000,0xff8804ff,
    0xffff98ff,0x1001ffff,0xffffffd7,0xa800dfff,0x004fffff,0x7fffffd4,
    0x17fffea4,0x1ffffec0,0x00bffff5,0xa8fffff6,0xb005ffff,0x4407ffff,
    0x6c06ffff,0xff11ffff,0xffb00dff,0xff8805ff,0x3ffee0ff,0x2e2003ff,
    0xfffffffe,0xfff106ff,0x000003ff,0x0ffffffd,0xffeb8800,0x6fffffff,
    0xffffff98,0xf88effff,0x5c1fffff,0xffffffff,0x1ffff8af,0x06ffff88,
    0x00ffffec,0x203ffffc,0xf307ffff,0x0000dfff,0x3fffffee,0x5fffffff,
    0x7fffd40c,0xfffff805,0x09ffff00,0xfff70000,0xfffb00df,0x7ff7ff45,
    0xb98005ff,0xfffffffe,0xffff3003,0x3f2000df,0x3e64ffff,0xfd006fff,
    0x7fcc3fff,0xffd006ff,0x7ffcc3ff,0xfffd006f,0x7ffc403f,0x7ffec06f,
    0xdffff11f,0x3ffffd00,0x22fffd80,0x3ffffff8,0xffd73000,0x207fffff,
    0x002fffff,0xffffb800,0x2600003f,0xffffffeb,0x7fffcc3f,0x20dffffe,
    0x81fffffa,0xdffffff9,0x03ffff10,0x80dffff1,0x801ffffd,0x7c07ffff,
    0xff307fff,0x40000dff,0xfffffffa,0x805fffff,0x805ffffa,0xf02ffffe,
    0x00009fff,0x0bffff70,0x4c5fffa8,0x01fffe24,0xffffb300,0xffd100df,
    0x40001fff,0x222ffffe,0x800fffff,0x220fffff,0x800fffff,0x220fffff,
    0x800fffff,0x200fffff,0x406ffff8,0xf11ffffe,0xf880dfff,0x7d407fff,
    0x67fec5ff,0x80003fff,0x6fffffd9,0x0bffffd0,0xfff70000,0x000001ff,
    0x3fffff66,0x5ffffcc6,0x2a6202a8,0x5554400a,0x82fffe40,0x406ffff8,
    0x801ffffe,0x7c07ffff,0xff307fff,0x00000dff,0xffffffd5,0xf50039df,
    0xf700bfff,0x3fe0bfff,0x800004ff,0x204ffffd,0x400ffff8,0x0005fff8,
    0x0fffffb0,0x3fffffb0,0xfffc8000,0x7ffffc1f,0x7fffd403,0x3fffff87,
    0x3ffffd40,0x01fffffc,0x01ffffea,0x40fffff1,0x11fffffd,0xc80dffff,
    0x2206ffff,0x3ea0ffff,0x03fff8ef,0x3fff6000,0xffffb07f,0x4400003f,
    0x004fffff,0xfffd8000,0x7fffcc7f,0x80000004,0x2206fffb,0x3607ffff,
    0x801fffff,0x7c07ffff,0xff307fff,0x00000dff,0x073fffe2,0x3fffea00,
    0xffff8805,0x4ffff83f,0x7fd40000,0x3f202fff,0xffd802ff,0xf700002f,
    0xfb80dfff,0x0003ffff,0xd87fffe8,0x100fffff,0xb09ffffd,0x201fffff,
    0x84ffffe8,0x00fffffd,0x09ffffd1,0x03fffff0,0x3ffffff9,0x81bfffe2,
    0x04fffff8,0xf88bfff2,0x07fff2ff,0x7ffdc000,0xffff706f,0x001003df,
    0x01fffffb,0xff700000,0xfff98dff,0x0000004f,0x00ffffc4,0x207ffffe,
    0x1ffffffc,0x07ffff80,0x983ffffc,0x0006ffff,0x1ffff500,0x3ffea000,
    0xfffb005f,0x3fe237ff,0x009804ff,0x7ffffe4c,0xbfff500f,0x5fffe880,
    0x22005e40,0x204fffff,0x05fffff9,0xffffa800,0xfffff982,0xffd310af,
    0xff301fff,0x2215ffff,0x0fffffe9,0xffffff98,0xfffd310a,0xffd001ff,
    0x3f663bff,0x11ffffff,0x260dffff,0x206fffff,0x7ec5fffa,0x00fffe5f,
    0xff880179,0x3fa04fff,0x09cfffff,0x440bd731,0x02fffffd,0x1002f200,
    0x989fffff,0x0005ffff,0x7ffdc000,0xffffe807,0xffffb31d,0xff003fff,
    0xfff80fff,0xffff307f,0x2e00000d,0x20005fff,0x005ffffa,0xfffffff5,
    0xffffffff,0x3e29ffff,0xffeeefff,0x1fffffff,0x01fffd10,0x027fff4c,
    0x5e677fec,0xfffffdba,0xffff102f,0x555557ff,0xa9885555,0x204ffffd,
    0xfffffffc,0xffffffff,0x3ffff203,0xffffffff,0x3f203fff,0xffffffff,
    0x03ffffff,0xffffff90,0xffffffff,0x3ffe23ff,0xfeccdeff,0x101fffff,
    0x7c41fffd,0xfffeeeff,0xdffb00ee,0xffb75799,0x4c05ffff,0xffffffff,
    0x25ffffff,0xffffdccd,0x6c0004ff,0xbabcceff,0x2ffffffd,0x02ffffcc,
    0x3f200000,0x7e401fff,0xffffffff,0x1fffffff,0x07ffff80,0x983ffffc,
    0x0006ffff,0x05fffb00,0xddddddd0,0xdddfffff,0xfff709dd,0xffffffff,
    0x9fffffff,0x3fffffe2,0xffffffff,0x3fff202f,0x3fffea02,0xffffb003,
    0xffffffff,0x7ff409ff,0xffffffff,0x2a7fffff,0x5fffffff,0x7ffffc40,
    0xffffffff,0x7ffc405f,0xffffffff,0x7c405fff,0xffffffff,0x005fffff,
    0x3fffffe2,0xffbfffff,0xffff11ff,0xffffffff,0x7e409fff,0x7ffc42ff,
    0xffffffff,0xfffffb00,0xffffffff,0xfff7009f,0xffffffff,0x7fff4bff,
    0x005fffff,0xfffffd80,0xffffffff,0xffff984f,0x40000005,0x7ffffffb,
    0xffffff10,0xff7fffff,0xfff003ff,0xffff80ff,0xdffff307,0x3fe00000,
    0xffff007f,0xffffffff,0x20bfffff,0xfffffffa,0xffffffff,0xffff14ff,
    0xffffffff,0x7fcc03bf,0x3ffea05f,0x02ffffff,0xfffffffb,0x09ffffff,
    0xfffffff8,0xffffffff,0x3fffea7f,0xfb1002ef,0xffffffff,0x362005ff,
    0xffffffff,0xb1002fff,0xffffffff,0x70005fff,0xffffffff,0x3ffff15f,
    0x3fffffe2,0xefffffff,0x17ffe601,0x3fffffe2,0xb00fffff,0xffffffff,
    0x009fffff,0x7fffff4c,0x25ffffff,0xfffffffe,0xffb00003,0xffffffff,
    0x3e609fff,0x00005fff,0x7fffc400,0x3fee07ff,0xafffffff,0x801ffff8,
    0x7c07ffff,0xff307fff,0x00000dff,0x2009fff1,0xffffffff,0xffffffff,
    0x3fb2605f,0xffffffff,0xf14fffff,0xffffffff,0xfd0019df,0x7fd401ff,
    0x2fffffff,0xfffffd90,0x039fffff,0xfffffff0,0xffffffff,0x677fd4ff,
    0xffd50003,0x01bdffff,0xffffd500,0x0001bdff,0xffffffd5,0x4c0001bd,
    0x0dffffff,0x4c3ffff1,0xffffffdb,0xfe803eff,0x7fc000ff,0x7ff6403f,
    0xffffffff,0xfd70001c,0x7dffffff,0x7fffff43,0x3200001e,0xfffffffe,
    0x2601cfff,0x0005ffff,0xffe98000,0x7fcc07ff,0xf10dffff,0xff003fff,
    0xfff80fff,0xffff307f,0x0000000d,0x7fffffc0,0xffffffff,0x26005fff,
    0x440009aa,0x09aaaa99,0x1fffe400,0x3ffffea0,0x9802ffff,0x019aaaaa,
    0x7fffffc0,0xffffffff,0x000227ff,0x026aa600,0x9aa98000,0x2a600000,
    0x4000009a,0x0000aaa8,0x004d4cc4,0x007fff90,0x4007fff0,0x19aaaaa9,
    0x54c40000,0x59950099,0x80000013,0x19aaaaa9,0x02666600,0x88000000,
    0x2a200199,0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0xfa87fffd,0x4c000eff,
    0x00000999,0x7fffff44,0x00662003,0x003ffffc,0x33331000,0x01333333,
    0x3ffa2000,0xfe983fff,0x0003ffff,0x00198800,0x0004c400,0xffffc800,
    0x098000ef,0xe8800000,0x003fffff,0x20000030,0xfb800998,0xffffffff,
    0xe800003f,0x5fff86ff,0xdfffb000,0x02200001,0xfffd1000,0x0efffa87,
    0xefffd800,0xffff1000,0x8800000d,0x3fa20002,0xffff53ff,0xfffb5001,
    0x03dfffff,0xfffe8800,0x764401ff,0x1dffffff,0x00fffff0,0x7ffec000,
    0x4fffffff,0xffe88000,0x7ec01fff,0x0003ffff,0x7ff6dd40,0x000bdfff,
    0xffffd973,0x00037bff,0x4fffffc8,0x3ffb2a00,0x0001bdff,0x7ffff440,
    0x36e6001f,0x002cefff,0xffffdb70,0xf707bdff,0xffffffff,0xb000007f,
    0x7fdc5fff,0xffc8004f,0x50006fff,0x9bffffb9,0xffd10001,0x3fffea7f,
    0xfffc8000,0xff1006ff,0x00000dff,0x000ffd95,0xfdfffe88,0x75401fff,
    0xffffffff,0x20003fff,0x0dffffe8,0x7ffffdc0,0x1effffff,0x003ffffc,
    0xffffb000,0x09ffffff,0xfffe8800,0xff7000df,0x00007fff,0xffffffd3,
    0x009fffff,0xfffffff9,0x01ffffff,0x3ffff200,0xffb1002f,0xffffffff,
    0x3a200007,0x000dffff,0xffffffb1,0x2001dfff,0xffffffea,0xb87fffff,
    0xffffffff,0x800003ff,0xffeffffa,0x64001fff,0x5fffffff,0x7fffe400,
    0x01ffffff,0xdfffe880,0x8001ffff,0xfffffffc,0xffff8805,0x7c400006,
    0x80007fff,0xfffffff8,0x7fffd401,0xffffffff,0xfd10003f,0xf9007fff,
    0xffffffff,0x7c1fffff,0x00007fff,0x3fffff60,0x004fffff,0x3ffffa20,
    0xffe98003,0x2e0003ff,0xffffffff,0x204fffff,0xffffffe9,0xffffffff,
    0xfffc8000,0xff5000ef,0xffffffff,0x80009fff,0x03ffffe8,0x3ffffa20,
    0xffffffff,0x7fffe401,0xffffffff,0xffffb87f,0x03ffffff,0xfffb0000,
    0x009fffff,0xd8efffc8,0xe8805fff,0xffffffff,0x8003ffff,0xfffffff8,
    0xfffc8001,0x05fffd8e,0x037fffc4,0x3ffe2000,0xf300007f,0x8803ffff,
    0xbdffffff,0x03ffdcca,0xffffe880,0xffffa801,0xfffeceff,0x3ffe6fff,
    0x2000007f,0xaaaaaaaa,0x10001aaa,0x003ffffd,0x3ffffd80,0xffffd800,
    0xffffffff,0xfff704ff,0xffffffff,0x001fffff,0x04ffffc8,0x3ffffe60,
    0xffffffff,0xd10005ff,0x4003ffff,0x1bdffff9,0x5ffffb73,0x3ffffea0,
    0xffffffff,0x3ff2007f,0x000003ff,0x3ffffff2,0x7ffdc003,0x13fff60e,
    0xffffff88,0xffffffef,0xff98002f,0xb8001fff,0x3f60efff,0x3fe204ff,
    0x400006ff,0x007ffff8,0x06aaa600,0x3ffffee0,0x4000cc01,0x000aaaa9,
    0x019ffffd,0x21fffff5,0x0007ffff,0x00000000,0x0055554c,0xaaaaa800,
    0x3ffee000,0xaabdefff,0xf984ffdc,0xcdffffff,0xfffdcaaa,0x2aaa2000,
    0x7ff4001a,0xdbabefff,0x01ffffff,0x0aaaa980,0x1ffffc00,0x03fffea0,
    0x9ffffff1,0xb7531133,0x7ffe400f,0x4000003f,0x000acca9,0xa80aaaa8,
    0xff900aaa,0x2e217fff,0x006fffff,0x00355530,0x202aaaa0,0xf100aaaa,
    0x0000dfff,0x07ffff88,0x6c000000,0x0005ffff,0xf8800000,0x7f407fff,
    0xffff2fff,0x0000000f,0x00000000,0x22000000,0x03ffffff,0x7fec1544,
    0xa800efff,0x0000000d,0x0fffffea,0x2fffffd4,0x5c000000,0xf5002fff,
    0xfffa89ff,0x001001ff,0x01ffffe4,0x00000000,0x3e200000,0xf302ffff,
    0x0005ffff,0x00000000,0x1bfffe20,0xfff10000,0x000000ff,0xeffffd80,
    0x10000000,0xfff98013,0x7ffdc04f,0x0fffff2f,0x00000000,0x004c4000,
    0x64000000,0x002fffff,0x3ffffea0,0x00000004,0x7ffff400,0x7fffdc04,
    0x0000000f,0xa9827ffc,0x1fff71ab,0x037fffdc,0xfffc8000,0x0000003f,
    0x00000000,0x027fffdc,0x01bffff2,0x00013100,0xff880000,0x009886ff,
    0x7f777764,0xeeeeffff,0xeeb86eee,0xeeeeeeee,0x2e5eeeee,0x0bffffff,
    0xdddd3000,0x3fffee23,0xfff980df,0x7ffe405f,0x0fffff1f,0x6f7776c4,
    0xddddd300,0x009ddddd,0xb83bbba2,0x00dffffe,0xeeeeee98,0x8804eeee,
    0x004fffff,0x37ffff40,0xddd30000,0x9ddddddd,0x3fffea00,0xffff800f,
    0xdddd704f,0xdddddddd,0xff70bddd,0xffffa81f,0x49fff14f,0x006ffffc,
    0xffff9000,0x3a600007,0xeeeeeeee,0x3ba6004e,0xeeeeeeee,0x7fffc404,
    0x7ffc401f,0xeee881ff,0x3fffae0e,0xeeec80df,0xddd70005,0x97fffe29,
    0x0dffffeb,0xffffffd8,0xffffffff,0xffc87fff,0xffffffff,0x266fffff,
    0xffffffff,0x3e6000ad,0xffe99fff,0x41ffffff,0x02fffff8,0x7cdffff1,
    0x3f607fff,0x2602ffff,0xffffffff,0xff1005ff,0xfffd13ff,0x805fffff,
    0xfffffff9,0xfb805fff,0x0001ffff,0x0fffffe6,0xfff98000,0x5fffffff,
    0xbffff700,0x3ffff200,0xfffff905,0xffffffff,0xbffd0dff,0xffffffc8,
    0xfb9fff24,0x0002ffff,0x3ffffc80,0xfff30000,0xbfffffff,0x7fffcc00,
    0x05ffffff,0x037fffcc,0x17ffffec,0x44ffffc4,0xfffffffe,0x7fffe42f,
    0xfffd8000,0x1bffff15,0xfffffffd,0xffffd85f,0xffffffff,0xc87fffff,
    0xffffffff,0x6fffffff,0x7fffffe4,0x802dffff,0xffbffff9,0xffffffff,
    0xfffffd87,0x7ffff443,0x41ffffe3,0x03fffffc,0x7fffffcc,0x1005ffff,
    0xffd5ffff,0xffffffff,0x7fffcc01,0x05ffffff,0x05ffffc8,0x7fffd400,
    0x7cc00007,0xffffffff,0xfff9005f,0x3fea007f,0xfff906ff,0xffffffff,
    0xff0dffff,0x7fffd45f,0x3fe64fff,0xfffff50f,0x4000019f,0x003ffffc,
    0xfffff300,0x00bfffff,0x7fffffcc,0x5405ffff,0x2603ffff,0x3ffffffe,
    0xeaffff88,0xffffffff,0x3ffee0ff,0xffe8001f,0xbffff14f,0xfffffffd,
    0x7fec1fff,0xffffffff,0x7fffffff,0xffffffc8,0xffffffff,0xffffb86f,
    0xdfffffff,0x3fffe600,0xffffffff,0x7cc3ffff,0xaaefffff,0x7c5fffff,
    0xffa87fff,0xf9804fff,0xffffffff,0xfff1005f,0xffffffff,0x409fffff,
    0xfffffff9,0xfe805fff,0x40004fff,0x005ffffb,0x7fffcc00,0x05ffffff,
    0x05ffffd0,0x1ffffe60,0x7fffffe4,0xffffffff,0x07ffcc6f,0x221bfffd,
    0x447ffe20,0xffffffff,0xfc80001c,0x00003fff,0xfffffff3,0x4c00bfff,
    0xffffffff,0x7fdc05ff,0xfff702ff,0x109fffff,0xffffffff,0xffffffff,
    0x17fffd49,0x97fffc00,0xfffffff8,0xffffffff,0x7ffc404f,0xaa98007f,
    0xfaaaaaaa,0x101fffff,0xffffffd7,0x7cc0dfff,0x2effffff,0x0dffffb1,
    0xfffffff5,0xf0bfffff,0xff98ffff,0x40005fff,0x005ffffa,0xfffffff1,
    0xfffd517f,0xff5000ff,0xfff00bff,0xc80007ff,0xc984ffff,0xcccccccc,
    0x3ffea000,0xffff005f,0x3fe2003f,0xaa980fff,0xfaaaaaaa,0x541fffff,
    0x3ffe27ff,0x1fffc00f,0xfffffff5,0x00017dff,0x80fffff2,0x8000cdc9,
    0x005ffffa,0x5ffffa80,0x17fffe40,0x3fffff62,0xf885ffff,0xbfffffff,
    0x7ffffea8,0x00ffffe6,0x23ffff10,0xfffffff8,0xfffea8bf,0x7ffc407f,
    0x7000007f,0x007fffff,0x3ffffae6,0xff303fff,0xf10bffff,0x3e60ffff,
    0xffffffff,0xfffff03f,0x37ffffc4,0x7ffd4000,0xfff1005f,0xff30dfff,
    0xa8001fff,0x4405ffff,0x002fffff,0x1fffff40,0x7fffffd4,0x2a001fff,
    0xf005ffff,0x2001ffff,0x01fffff8,0xfffff700,0x4cfff707,0xfe806fff,
    0x7fffe44f,0xcfffffff,0x7ffe4000,0xffff503f,0xffa8005f,0xa80005ff,
    0x6c05ffff,0x3ea1ffff,0xffcfffff,0xfff886ff,0xff986fff,0xfff10fff,
    0xff88009f,0xffff10ff,0xfff30dff,0x7fc401ff,0x800007ff,0x05fffffa,
    0xffffb300,0x3ffe60df,0xffd00eff,0x3fe601ff,0xefffffff,0x27ffff81,
    0x00effffe,0xffffa800,0xffff1005,0x3ffe01df,0x7d4001ff,0x7cc05fff,
    0x0001ffff,0x417ffffc,0xfffffffa,0x3ea001ff,0xf9805fff,0x2000ffff,
    0x001fffff,0x5fffffa8,0x7d4dff90,0xffd805ff,0xfffffa85,0x1effffff,
    0x3ffff200,0xfffff883,0x3ea000ff,0x80005fff,0x405ffffa,0xf90ffffe,
    0x3e3dffff,0xff887fff,0xff00efff,0x7ffc3fff,0x2fffdc5f,0xf89fffe6,
    0xf00effff,0x4403ffff,0x0007ffff,0x7ffffc40,0x7ec0000e,0xff307fff,
    0x7ec01fff,0xffb81fff,0xffffffff,0x7fffc2ff,0xfffffd8f,0xff500000,
    0x3e200bff,0x3600ffff,0x4001ffff,0x405ffffa,0x01fffff9,0x7ffffc00,
    0xfffffa82,0x2001ffff,0x805ffffa,0x00fffff8,0x07ffffe0,0xfffff100,
    0x9bff201d,0xe807fffa,0xff7104ff,0xffffffff,0x3ff2003f,0xfffa83ff,
    0x2002ffff,0x005ffffa,0x5ffffa80,0x57ffff40,0x0dfffffe,0x10dffff1,
    0x401fffff,0x361ffffd,0x7ff46fff,0x3ffea0ff,0x3ffffe26,0x3ffff600,
    0x3fffe201,0x7f400007,0x0001ffff,0x06ffffb8,0x80dffff3,0xfc819998,
    0xffcdffff,0x3e2fffff,0xfffcffff,0x200001ff,0x005ffffa,0x80dffff1,
    0x001ffffd,0x02ffffd4,0x0bffffe2,0xffffd000,0xd9999307,0x4003ffff,
    0x005ffffa,0x003fffff,0x01ffffe2,0x3fffffa0,0x99ffea01,0x7c00ffff,
    0xfda803ff,0x6fffffff,0x7ffff900,0xffffff70,0x7fd4005f,0xa80005ff,
    0x6c05ffff,0xffffffff,0x7ffcc3ff,0xffff885f,0x7fffec06,0x89ffff21,
    0x2e2fffff,0x3fe25fff,0x7fec06ff,0x3fe201ff,0x200007ff,0x02fffffc,
    0xff1002f2,0x3e60bfff,0x40006fff,0x22fffffb,0xffffffe9,0xfffffff0,
    0x00005fff,0x05ffffa8,0x0dffff10,0x01ffffd8,0x2ffffd40,0x1fffffc0,
    0x3fff6000,0xfffb004f,0x7fd4003f,0xfff005ff,0x3e6003ff,0x64006fff,
    0x402fffff,0xff10fff9,0x3e0419ff,0x322002ff,0x2fffffff,0x3ffffc80,
    0xffffff98,0x3fea001f,0xa80005ff,0x6405ffff,0xffffffff,0xffff981e,
    0x6ffff884,0x0ffffec0,0x2e1ffff7,0x325fffff,0x3fe24fff,0x7fec06ff,
    0x3fe201ff,0x500007ff,0x809fffff,0xabcceffd,0xffffffdb,0xdffff302,
    0x7ffc4000,0xfff901ff,0x3fffe7ff,0x05ffffff,0x7ffd4000,0xfff1005f,
    0xfffd80df,0x7fd4001f,0xffe805ff,0x5c0004ff,0xb005ffff,0x4003ffff,
    0x005ffffa,0x005ffffd,0x017fffe6,0x4fffffa8,0x21fff880,0xeefffffc,
    0x007ffe24,0x3ffffa20,0xfffc804f,0xffffb03f,0xffa800bf,0xa80005ff,
    0x5c05ffff,0x4fffffff,0x0ffffea0,0x01bfffe2,0x543ffffb,0xffb1ffff,
    0x3f61ffff,0x3ffe23ff,0x7ffec06f,0x3ffe201f,0xf980007f,0xd806ffff,
    0xffffffff,0x05ffffff,0x01bfffe6,0x4ffffb80,0xaffffec0,0xffafffff,
    0x00004fff,0x017fffea,0x037fffc4,0x007ffff6,0x0bffff50,0x1fffffb0,
    0x7ffd4000,0xffd800ff,0x3ea001ff,0xfb005fff,0x3200bfff,0x3004ffff,
    0x00dfffff,0xff127ffc,0x5c9fffff,0x10000fff,0x00dfffff,0x407ffff9,
    0x8004fffc,0x005ffffa,0x5ffffa80,0x7ffffd40,0x7ffe402f,0xffff882f,
    0x7fffec06,0x2bfffe61,0xfffffff8,0x445fffd3,0x6c06ffff,0x2201ffff,
    0x0007ffff,0x7fffff44,0xffffd800,0xffffffff,0x7ffcc04f,0x3f60006f,
    0x7cc01fff,0xffff6fff,0x3ffffeef,0xff500002,0x3e200bff,0x7ec06fff,
    0x54001fff,0xc805ffff,0x003fffff,0x3ffffe60,0xffffd803,0x3ffea001,
    0xfff9005f,0x3ffa00ff,0xfe8803ff,0x2000ffff,0x3a60fffd,0x3e4fffff,
    0x6c0005ff,0xc805ffff,0x1803ffff,0x3ffea000,0xfa80005f,0x7cc05fff,
    0xf800ffff,0xf881ffff,0x7ec06fff,0x3fe21fff,0xdfffbbff,0xffff6fff,
    0x37fffc43,0x07ffff60,0x07ffff88,0x7fffec00,0xffd9001f,0xffffffff,
    0xfff3003b,0x7f4000df,0x7c401fff,0xffff6fff,0x7ffffecf,0xffa80001,
    0xff1005ff,0xffd80dff,0x7d4001ff,0xf8805fff,0x001fffff,0x3fffffa0,
    0x7fffec00,0x3ffea001,0xfff1005f,0xffa805ff,0xfd800fff,0x4001ffff,
    0xba83fff9,0xfff51cdd,0xffd80003,0xffc804ff,0x000003ff,0x02ffffd4,
    0x7fffd400,0xffffe805,0x7fffd404,0xdffff105,0x1ffffd80,0x7ee7fffc,
    0x9ffff9ff,0x7fc47fff,0x7fec06ff,0x3fe201ff,0x70000fff,0x007fffff,
    0xffb53310,0xff9800ff,0x360006ff,0x5402ffff,0xfff4ffff,0x7fffc4ff,
    0x540000ff,0x1005ffff,0xd80dffff,0x4001ffff,0x005ffffa,0x5ffffff9,
    0xff985500,0x3601ffff,0x2001ffff,0x005ffffa,0x07fffff6,0x1fffffcc,
    0x7ffffdc0,0xfffb0003,0x3ffa2003,0xf5000545,0x9005ffff,0x0007ffff,
    0xffffa800,0xffa80005,0xffa805ff,0xfd101fff,0x3e203fff,0x7ec06fff,
    0x7ff41fff,0xfb6fffdf,0x8ffff9ff,0x406ffff8,0x401ffffd,0x002fffff,
    0x5fffff98,0xfffb0000,0xfff98009,0x3ee0006f,0xf301ffff,0x3fe7ffff,
    0x7ffd47ff,0x540006ff,0x1005ffff,0xd80dffff,0x4001ffff,0x005ffffa,
    0xfffffff1,0xf953357b,0xffffb09f,0x262379ff,0x001ffffe,0x017fffea,
    0xffffff98,0xfffba8ac,0x7cc00fff,0x0005ffff,0x007fffe6,0xf83ffff3,
    0x2209acef,0xffffffc9,0xffffc800,0x54000003,0x0005ffff,0x05ffffa8,
    0x5dffffd0,0x5ffffe98,0x1bfffe20,0x83ffffb0,0xfffffffc,0xffffff73,
    0xffff88bf,0x7fffec06,0x7ffff401,0x3fe20206,0xaaabffff,0x802aaaaa,
    0x4001ffff,0x006ffff9,0x3ffffe60,0xffdccdff,0xfff0efff,0xffff90ff,
    0x7d40009f,0xf1005fff,0xfd80dfff,0x54001fff,0x2005ffff,0xfffffffb,
    0xffffffff,0xfffff884,0xffffffff,0x2001ffff,0x005ffffa,0x7ffffff4,
    0xffffffff,0x7ffc403f,0xaaaabfff,0x3602aaaa,0x4c1bffff,0xf84ffffb,
    0xffffffff,0xffffffff,0xffff9003,0xa8000007,0x0005ffff,0x05ffffa8,
    0xffffff50,0xfffffdbf,0x7ffc403f,0x7ffec06f,0x7fffdc1f,0xfff10fff,
    0xf889ffff,0x7ec06fff,0x7ec01fff,0xcccfffff,0xfffe87ed,0xffffffff,
    0x4407ffff,0x98006fff,0x0006ffff,0x7fffffdc,0xffffffff,0x1ffffe1f,
    0x1ffffff4,0x3bbbbba0,0xeefffffe,0x7fc44eee,0x7fec06ff,0xdddd01ff,
    0xfffffddd,0x209ddddd,0xfffffffb,0x4fffffff,0xfffffd30,0xffffffff,
    0xdddd03ff,0xfffffddd,0x209ddddd,0xffffffd8,0x4fffffff,0xfffffe80,
    0xffffffff,0x7fe407ff,0xfffeffff,0xfff03fff,0xffffffff,0x989fffff,
    0xffeeeeee,0xeeeeefff,0x7774002e,0xffffeeee,0x84eeeeef,0xfeeeeeee,
    0xeeeeffff,0xffffc84e,0xffffffff,0x7ffc402f,0x7ffec06f,0x7fffd41f,
    0x7ffec6ff,0x7fc43fff,0x7fec06ff,0x7fc401ff,0xffffffff,0xfffff87f,
    0xffffffff,0x7d407fff,0xf98003ff,0x80006fff,0xfffffffc,0x41efffff,
    0xf107ffff,0x403fffff,0xffffffff,0xffffffff,0x7fffc45f,0x7fffec06,
    0xffffff01,0xffffffff,0x7440bfff,0xffffffff,0x6404ffff,0xffffffff,
    0x80ffffff,0xffffffff,0xffffffff,0x7ffe405f,0xffffffff,0xfffff002,
    0xffffffff,0xf700ffff,0xffffffff,0x7ffc03ff,0xffffffff,0xf983ffff,
    0xffffffff,0xffffffff,0x7fffc003,0xffffffff,0xf85fffff,0xffffffff,
    0xffffffff,0xfffff505,0x03dfffff,0x0dffff10,0x41ffffd8,0x3ffffff9,
    0x7fffffdc,0x37fffc42,0x07ffff60,0x3ffffea0,0xf87fffff,0xffffffff,
    0x7fffffff,0x007ffe40,0x37fffcc0,0xffc88000,0x2effffff,0x40fffff0,
    0x0ffffffa,0xfffffff0,0xffffffff,0xfff88bff,0x7ffec06f,0xfffff01f,
    0xffffffff,0x700bffff,0xffffffdb,0x3660039d,0xfffffffe,0x3ffe02df,
    0xffffffff,0x05ffffff,0xfffffda8,0x3e000cef,0xffffffff,0x7fffffff,
    0xfffd9300,0xb8017bff,0xfffffffd,0x2603efff,0xffffffff,0xffffffff,
    0x7ffc003f,0xffffffff,0x85ffffff,0xffffffff,0xffffffff,0x3ff6605f,
    0x00ceffff,0x0dffff10,0x41ffffd8,0x1ffffff8,0x7fffffc4,0x37fffc41,
    0x07ffff60,0x7fffec40,0xff86ffff,0xffffffff,0x07ffffff,0xff980000,
    0x800006ff,0x009aaa98,0x203ffffc,0x06fffffc,0xffffffff,0xffffffff,
    0xffff88bf,0x7fffec06,0xffffff01,0xffffffff,0x3000bfff,0x00001335,
    0x00335553,0x3ffffffe,0xffffffff,0x4c4005ff,0xff00009a,0xffffffff,
    0x0fffffff,0x0006a600,0x9aaaa988,0xffff3001,0xffffffff,0x007fffff,
    0xfffffff8,0xffffffff,0xffff85ff,0xffffffff,0x005fffff,0x20003551,
    0x406ffff8,0xf81ffffd,0xfb06ffff,0xf881ffff,0x7ec06fff,0x44001fff,
    0x009aaaa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0xffffffff,
    0x20000bff,0x3ba20028,0xdd9004ee,0x3bba63dd,0xeeeeeeee,0x22003eee,
    0x54c00001,0x41eeedcb,0xeeeeeee9,0xeeeeeeee,0x00062000,0x8004c400,
    0xb006eeee,0x2601dddd,0x70028000,0x0005dddd,0x003dddd9,0xddddd500,
    0xdddddddd,0x85dddddd,0xeeeeeeec,0x30009acd,0xdddddddd,0xdddddddd,
    0xeeb85ddd,0x774c02ee,0xddd904ee,0x359bdddd,0x3bba2001,0x0000005e,
    0xddddddd9,0xed8ddddd,0xd3003eee,0x3a21dddd,0xeeeeeeee,0x35eeeeee,
    0xdddddddd,0x0001359b,0xfffff980,0x005fffff,0x01ffb2a0,0x06ffff98,
    0x23ffffb0,0xfffffff9,0x4fffffff,0x3fffb220,0x98002def,0xfffffffc,
    0x7ffcc1ff,0xffffffff,0x2600ffff,0xdffffedb,0x3f6a0002,0x00cdffff,
    0x200fffff,0x440ffffe,0x7e4006fd,0x7ffe401e,0xffd8003f,0xa80002ff,
    0xffffffff,0xffffffff,0x7ff43fff,0xffffffff,0x7d400dff,0xffffffff,
    0xffffffff,0x7ffe43ff,0x7ffcc03f,0xffffd05f,0xffffffff,0xfff9801b,
    0x8000006f,0xfffffff8,0x5c7fffff,0x800fffff,0x264ffffd,0xffffffff,
    0x6fffffff,0xfffffff3,0x1bffffff,0x0bbfaa00,0xfffffff3,0x2000bfff,
    0x007ffff8,0x01bfffe6,0x98ffffec,0xffffffff,0x04ffffff,0xfffffff7,
    0x1001bfff,0xfffffffb,0xf983ffff,0xffffffff,0x80ffffff,0xffffffc8,
    0x001effff,0x3fffff62,0xf82fffff,0xfd007fff,0x7fe41fff,0xff3003ff,
    0x7fe40bff,0xfd8003ff,0x80002fff,0xfffffffa,0xffffffff,0x7f43ffff,
    0xffffffff,0x203fffff,0xfffffffa,0xffffffff,0x7e43ffff,0x7cc03fff,
    0xffd05fff,0xffffffff,0x4c07ffff,0x0006ffff,0xffffb800,0xffffffff,
    0x5ffffe87,0x7ffffcc0,0x3ffffe60,0xffffffff,0xffff36ff,0xffffffff,
    0xfa807fff,0x3e63ffff,0xffffffff,0xff10005f,0x7cc00fff,0xfb006fff,
    0x3fe63fff,0xffffffff,0x7444ffff,0xffffffff,0x201fffff,0xffffffe8,
    0x41ffffff,0xfffffff9,0xffffffff,0x7ffff540,0xffffffff,0xfff8800f,
    0xffffffff,0x7fffc5ff,0xffffd007,0x7ffffe41,0x7fff4401,0x3fff204f,
    0xffd8003f,0xa80002ff,0xf70003ff,0xffffe87f,0xffffffff,0xfa80efff,
    0xffffffff,0xffffffff,0x7ffe43ff,0x7ffcc03f,0xffffd05f,0xffffffff,
    0xf301dfff,0x0133dfff,0x3ffa0000,0xffffffff,0xfff987ff,0x3ffa01ff,
    0x7ffcc3ff,0xffffffff,0xff36ffff,0xffffffff,0x1dffffff,0x3fffffa0,
    0xffffa807,0xfff10005,0x7fcc00ff,0xffb006ff,0x2aaa23ff,0xfdaaaaaa,
    0x7fec4fff,0xffffffff,0xd105ffff,0xbdffffff,0x98155579,0xffffffff,
    0x0fffffff,0x3fffffe6,0xffffffff,0xfffd805f,0xfffeefff,0x7fffc3ff,
    0xffffd007,0x6ffffe81,0x3f235551,0x7e406fff,0xd8003fff,0x0002ffff,
    0xff13ffa8,0x3ee039bd,0x7ffff43f,0xfffecbab,0xa884ffff,0xffaaaaaa,
    0xaaaabfff,0xffff91aa,0xffffffff,0xffffffff,0xffffe89f,0xfffecbab,
    0xf984ffff,0xffffffff,0x40002cde,0xfffffff9,0x019999cf,0x20bffffb,
    0x986ffffa,0xaaafffff,0x2aaaaaaa,0x55dffff3,0xfffffd97,0xfff109ff,
    0xa801ffff,0x0005ffff,0x00fffff1,0x037fffcc,0x01ffffd8,0x27fffe40,
    0x3bfffff5,0x3ffff662,0xffffd82f,0x7cc000df,0x20002fff,0x9bdffffc,
    0xffffffca,0x3fffea01,0x27fd443f,0x803ffffc,0x440ffffe,0xffffffff,
    0xffffffff,0x7ffe400f,0x3609503f,0x0002ffff,0xff13ffa8,0xb83bffff,
    0x7fff43ff,0xffff901f,0xff8001ff,0xfc800fff,0xffffffff,0xffffffff,
    0x7f44ffff,0xff901fff,0xf981ffff,0xffffffff,0x002effff,0xff9fff90,
    0x7c4009ff,0xfe82ffff,0xff981fff,0xf98006ff,0x3f206fff,0xf80fffff,
    0x00ffffff,0x02ffffd4,0x7ffff880,0x3fffe600,0xffffb006,0xfffc8003,
    0x3ffffa4f,0x3ffff605,0x7ffffcc6,0xfff30002,0xfd80005f,0xffff500d,
    0x7ffec07f,0x7c0e203f,0xfd007fff,0xff501fff,0xffffffff,0x005fffff,
    0xa87ffff9,0xfffb05fe,0xf500005f,0x3fffe27f,0x3ee2ffff,0x7ffff43f,
    0x3fffea01,0x7ffc005f,0xffc800ff,0xffffffff,0xffffffff,0x7ff44fff,
    0x3fea01ff,0x7fcc5fff,0xffffffff,0x006fffff,0xff9ffff8,0x7e4004ff,
    0x7fd46fff,0xfff305ff,0xff3000df,0xffa80dff,0xffc85fff,0xfa805fff,
    0xec805fff,0xffffeeee,0xeeeeeeef,0x1bfffe66,0x0ffffec0,0x3ffff200,
    0x1fffff14,0x7ffffcc0,0x13ffff61,0xffff9800,0x01c40002,0x027ffff4,
    0x000ffffd,0x803ffffc,0x900ffffe,0xffffffff,0x009fffff,0x4cfffff2,
    0xfb05fffe,0x00005fff,0xb9887ff5,0xf71ffffe,0xffffe87f,0x7fffe401,
    0x3ffe001f,0xffc800ff,0xffffffff,0xffffffff,0x7ff44fff,0x7fe401ff,
    0x3fe61fff,0xffffffff,0x04ffffff,0x7dbffea0,0x44004fff,0x3a2fffff,
    0xf300ffff,0x3000dfff,0x900dffff,0x903fffff,0x5001bfff,0xb00bffff,
    0xffffffff,0xffffffff,0x7fffccff,0xffffb006,0xfffc8003,0xdffff34f,
    0x5ffffd00,0x007ffffc,0x5ffff300,0x32000000,0x3e06ffff,0x20006fff,
    0xd007ffff,0x2a01ffff,0xdcefffff,0x005fffff,0xfbbffff9,0x360bffff,
    0x0002ffff,0x5c03ffa8,0x7ff73fff,0x01ffffe8,0x17ffffcc,0x1fffff00,
    0xfffb3100,0x3333337f,0x3dffff53,0x1ffffe81,0x7ffffcc0,0x1bfffe62,
    0xfffffb53,0x3ff6005f,0x09ffff3f,0xdffff500,0x813fffee,0x006ffff9,
    0x06ffff98,0x2fffff98,0x54001310,0xd805ffff,0xffffffff,0xffffffff,
    0x3fffe67f,0xffffb006,0xfffc8003,0xbffff74f,0x7ffff900,0x01bfffe6,
    0x5ffff300,0x32000000,0xf105ffff,0x4000bfff,0xd007ffff,0x3a01ffff,
    0x74c2ffff,0xc800ffff,0xffffffff,0xffb03fff,0x500005ff,0xffd007ff,
    0xfd0ffeeb,0xfd003fff,0x7c007fff,0x2000ffff,0x403ffffc,0xd05ffff9,
    0xd003ffff,0x7cc7ffff,0x3e606fff,0x8805ffff,0xfff0ffff,0x3fa0009f,
    0xfffeafff,0x3ffe600f,0xff98006f,0xffd006ff,0x400007ff,0x805ffffa,
    0xfffffffd,0xffffffff,0x3ffe67ff,0xfffb006f,0xffc8003f,0xffff54ff,
    0xffff700d,0x53fffee9,0x09bccca9,0x37fffe60,0x000aabcc,0x7fffec00,
    0xbffff304,0x7fffc000,0xffffd007,0x9ffff301,0x0bfffea0,0x3fffff20,
    0x200bffff,0x802ffffd,0xffa83dda,0x75ffe803,0xfffe87ff,0xfffd801f,
    0x3ffe004f,0x3f2000ff,0x7cc03fff,0xffd05fff,0xffb003ff,0x7ffcc9ff,
    0x7ffdc06f,0xfffb807f,0x013fffe6,0x7ffffcc0,0x4c02ffff,0x8006ffff,
    0x006ffff9,0x009ffffb,0x7fffd400,0xfff10005,0x7fcc00ff,0xffb006ff,
    0xfc8003ff,0xfff34fff,0xffb801ff,0xffffb5ff,0xffffffdd,0xff3019ff,
    0xffffffff,0x100005bf,0x205fffff,0x005ffff9,0x01ffffe0,0x407ffff4,
    0x201ffffa,0x4c03ffff,0xfffffffe,0xfffd800c,0x7ffec02f,0x0ffea0ef,
    0x2e9fff50,0xfffdd3ff,0x0bddddff,0x20bffff9,0xfff99998,0x019999ff,
    0x2b3ffff2,0xfcaaaaaa,0x7f745fff,0xeeeeffff,0x5ffffc85,0x01bfffe6,
    0x01fffff1,0x3e3fffe8,0xeeeeefff,0xffffb004,0xf300dfff,0xddddffff,
    0x25dddddd,0x006ffff9,0x00bffff9,0x7fffd400,0xfff10005,0x7fcc00ff,
    0xffb006ff,0xfc8003ff,0x3ffe4fff,0x3f200dff,0xfffb6fff,0xffffffff,
    0x983fffff,0xffffffff,0x00efffff,0x3fffee00,0x3ea6620f,0x9999dfff,
    0x3fe01999,0xffd007ff,0xfff701ff,0x4ffff80f,0xfffffb10,0x6c0019ff,
    0x2a02ffff,0x24ffffff,0x5d543ffa,0xf70ffffe,0x3ffffe7f,0x87ffffff,
    0xd06ffffb,0xffffffff,0x40ffffff,0xfffffffc,0xffffffff,0x7fffc5ff,
    0x7fffffff,0x26ffffb8,0x806ffff9,0x202fffff,0x3e0ffff9,0xffffffff,
    0xffff1005,0xf3003fff,0xffffffff,0x25ffffff,0x006ffff9,0x00dffff7,
    0x7fffd400,0xfff10005,0x7fcc00ff,0xffb006ff,0xfc8003ff,0x3ffa4fff,
    0xa9adffff,0x6ffffffc,0xfffffffd,0xffffffff,0xffff98df,0xffffffff,
    0xf10006ff,0xfb87ffff,0xffffffff,0x07ffffff,0x401ffffe,0xc80ffffe,
    0x7f407fff,0xfff985ff,0x003fffff,0x02ffffd8,0x3ffffff6,0xff0ffea7,
    0x5c5fffff,0xfffff3ff,0x0fffffff,0x20fffff7,0xfffffffe,0x07ffffff,
    0x3ffffff2,0xffffffff,0x7ffc5fff,0xffffffff,0x7ffffb87,0x01bfffe6,
    0x803ffffe,0x7fc5fffc,0x5fffffff,0x3fffee00,0xfff3004f,0xffffffff,
    0x3e65ffff,0xf7006fff,0x0000ffff,0x02ffffd4,0x7ffff880,0x3fffe600,
    0xffffb006,0xfffc8003,0x3fffe64f,0xffffffff,0xfd6fffff,0x79dfffff,
    0xffffffb7,0x55555449,0xfffffccb,0xfe8005ff,0x7dc0ffff,0xffffffff,
    0x07ffffff,0x401ffffe,0xb80ffffe,0x7fc07fff,0xfff984ff,0x003fffff,
    0x02ffffd8,0x3ffffffa,0xff0ffea7,0xfb819dff,0xffffff3f,0x70ffffff,
    0x3a0dffff,0xffffffff,0x207fffff,0xfffffffc,0xffffffff,0x7fffc5ff,
    0x7fffffff,0x26ffffb8,0x406ffff9,0x407ffff9,0x7fc2ffff,0x5fffffff,
    0x7ffffc00,0xffff3000,0xffffffff,0x3fe65fff,0xff7006ff,0x40000dff,
    0x005ffffa,0xfffddddb,0xddddddff,0x6ffff989,0x3ffffb00,0xffffc800,
    0x7ffffdc4,0xffffffff,0xffff5fff,0x3fa203bf,0xa8007fff,0x007fffff,
    0x0fffffec,0x7fffffdc,0xffffffff,0x3fffe07f,0xffffd007,0x3ffff501,
    0x0ffffe20,0x3fffffe6,0xfd8003ff,0x3f202fff,0x2a6fffff,0x07ffc3ff,
    0x2667ff70,0x99affffe,0xffffc819,0xfffffd05,0xffffffff,0x7fffe40f,
    0xeeeeeeee,0x4c5ffffe,0x9affffe9,0xfffc8199,0x3fffe65f,0x7fffec06,
    0x1fffea06,0x2673fffe,0xdddb0099,0xdfffffdd,0xf30bdddd,0x3333dfff,
    0x21333333,0x006ffff9,0x30bffff9,0x2a003bdb,0xf005ffff,0xffffffff,
    0xbfffffff,0x06ffff98,0x03ffffb0,0x4ffffc80,0xfffffea8,0xfffeffff,
    0x5ffffd4f,0xfffff980,0xfffa8000,0xff9001ff,0x32607fff,0xceffffdc,
    0x04cccccc,0x401ffffe,0x980ffffe,0xf704ffff,0xbf303fff,0x07ffff91,
    0x5ffffb00,0x7ffffc40,0xf0ffea2f,0x3ffb80ff,0x00fffff4,0x027fffec,
    0x01fffff0,0x1ffffe40,0x17fffe60,0x00fffff4,0x327fffec,0x5c0dffff,
    0x203fffff,0xff84fffd,0x3fe004ff,0xffffffff,0x87ffffff,0x006ffff9,
    0x06ffff98,0x89ffffb0,0x02fffff9,0x05ffffa8,0xfffffff0,0xffffffff,
    0xffff98bf,0xffffb006,0xfffc8003,0x3b72a04f,0xffc8acee,0xffffb3ff,
    0xffffd007,0x3ffe0005,0xffc802ff,0xf3004fff,0x4000bfff,0xd007ffff,
    0x3e01ffff,0x7d43ffff,0x43106fff,0x003ffffc,0x02ffffd8,0x217fff4c,
    0x2f6c3ffa,0xfd0ffee0,0xfd003fff,0x7c005fff,0x2000ffff,0x403ffffc,
    0xd05ffff9,0xd003ffff,0x7cc5ffff,0x9999efff,0x6fffffda,0x2ffffe20,
    0xffff9999,0x3fffe004,0xffffffff,0xf987ffff,0x98006fff,0xd006ffff,
    0xfe85ffff,0xa807ffff,0xf005ffff,0xffffffff,0xbfffffff,0x06ffff88,
    0x01ffffd0,0x4ffffc80,0x7fff4000,0x9ffff92f,0x7ffffb00,0x3fff6000,
    0x7ffdc04f,0x3e6004ff,0x20005fff,0xd007ffff,0x2e01ffff,0xedefffff,
    0x003fffff,0x007ffff9,0x05ffffb0,0x7fd40220,0x7ff70003,0x01ffffe8,
    0x0fffffcc,0x1fffff00,0x7fffe400,0x7fffcc03,0x3ffffd05,0xfffff980,
    0x3ffffe61,0xffffffff,0x3f201fff,0xffffffff,0x2004ffff,0xff999999,
    0x99999fff,0x6ffff981,0xffff9800,0xffff9806,0x3fffe21f,0x7d400fff,
    0x33005fff,0xfffff533,0x01333333,0x200fffff,0x8007ffff,0x003ffffd,
    0x3ffffe20,0x0bffff70,0x05ffffd0,0x3ffffa00,0x3fffee02,0x7fcc004f,
    0x3e0005ff,0xfd007fff,0x3ee01fff,0xffffffff,0x9005ffff,0x0007ffff,
    0x005ffffb,0xc87ff500,0x3fee00df,0x0fffff43,0x1bffff60,0x1fffff00,
    0x7fffe400,0x7fffcc03,0x3ffffd05,0x6ffffd80,0x7fffffcc,0xffffffff,
    0x7fffc02f,0xffffffff,0xf80004ff,0x26007fff,0x8006ffff,0x806ffff9,
    0xf86ffffd,0x00ffffff,0x02ffffd4,0x7ffff880,0x7ffff400,0x7fffc401,
    0xffff8005,0x3ee0001f,0x3fea5fff,0x7fc00fff,0x88000fff,0x700fffff,
    0x009fffff,0x0bffff30,0x3ffffc00,0x0fffff80,0xffffff98,0xffffffff,
    0xfffc803f,0xffd8003f,0xa80002ff,0x3ffee3ff,0xd0ffee04,0x5403ffff,
    0x002fffff,0x007ffffc,0x07ffff90,0x05ffff98,0x403ffffd,0x42fffffa,
    0xfffffff9,0x0cffffff,0x7ffffd40,0xffffffff,0xff80004f,0x3e6007ff,
    0x98006fff,0x5406ffff,0xc82fffff,0x805fffff,0x005ffffa,0x1fffff10,
    0x7fffec00,0x7fffe405,0xff7006a4,0x20001fff,0x41fffff9,0x203fffff,
    0x007ffffc,0x0dffffd0,0x0fffffee,0x7fffcc00,0x3ffe0005,0xfff8807f,
    0xffff887f,0xefffffff,0x401fffff,0x003ffffc,0x02ffffd8,0x23ffa800,
    0x2e05fffc,0x7fff43ff,0xffff901f,0xfff000bf,0x7e4001ff,0x7cc03fff,
    0xffd05fff,0x3ff203ff,0xff985fff,0xdfffffff,0xffb000bc,0x999999df,
    0x4009ffff,0xffffffff,0xffffffff,0x6ffff987,0xffff9800,0x3ffff206,
    0xfffb105f,0xfff5001d,0x7fc000bf,0x2a002fff,0x80dfffff,0x20fffffc,
    0xffb81dfb,0x88006fff,0x86fffffb,0x83fffffb,0x23fffffc,0x3fae201a,
    0xfb83ffff,0x0003ffff,0x017fffe6,0x27ffff80,0x3ff621c8,0xfffe85ff,
    0x2133315f,0x00effffd,0x2b7ffff2,0xaaaaaaaa,0x9ffffb2a,0x55555555,
    0x3fea0355,0x807ffe23,0x7ff43ffb,0xecba9aff,0x01ffffff,0x0fffff80,
    0x3ffff200,0x7fffcc03,0x5ffffd05,0xfffd9753,0xff303fff,0x10000dff,
    0x7c07ffff,0x3e004fff,0xffffffff,0x7fffffff,0x9effff98,0x99999999,
    0xdffff309,0xffd97533,0x9803ffff,0x3fea001a,0x3a0005ff,0x0206ffff,
    0x3ffffffa,0xfffffede,0x7fffdc3f,0xffffffee,0xa999981f,0xfffffccb,
    0xfff880ff,0xffeeffff,0x7ec6ffff,0xfffeeeff,0xb84fffff,0xccefffff,
    0xcccccccc,0xfff53313,0x333333bf,0xff813333,0x3ffe27ff,0x2fffffff,
    0x07ffffe4,0x3ffffe20,0x3ffff205,0xffffffff,0xfffb6fff,0xffffffff,
    0x2a0bffff,0x004c43ff,0xffd0ffee,0xffffffff,0x007fffff,0x03ffffe0,
    0x3ffffc80,0x2ffffcc0,0xffffffe8,0xffffffff,0xffff303f,0xff70000d,
    0x7ffc01ff,0x1fffffff,0xfffffff8,0xffffffff,0xffff987f,0xffffffff,
    0xfff36fff,0xffffffff,0x007fffff,0x3ffea000,0x3f60005f,0xcccfffff,
    0xfff987ed,0xffffffff,0xffb86fff,0xffffffff,0xffff04ff,0xffffffff,
    0x7fd403ff,0xffffffff,0x7ec0ffff,0xffffffff,0xf985ffff,0xffffffff,
    0xffffffff,0xffffff76,0xffffffff,0xff8bffff,0x3ffe27ff,0x85ffffff,
    0x002ffffc,0x409ffff5,0xfffffffc,0xffffffff,0xffffffb6,0xffffffff,
    0x3bfea0bf,0xeeeeeeee,0xffeeeeee,0x7fffff43,0xffffffff,0x3fe0000e,
    0x32000fff,0x4c03ffff,0xfd05ffff,0xffffffff,0x401dffff,0x006ffff9,
    0x05fffe80,0x7ffffffc,0x99981fff,0xfffff999,0x98199999,0xffffffff,
    0x6fffffff,0xfffffff3,0xdfffffff,0xddd00001,0xffffdddd,0x09dddddf,
    0xffffff10,0x20ffffff,0xffffffe9,0x704fffff,0xffffffff,0x7fc07fff,
    0xffffffff,0xe9801eff,0xffffffff,0xffd80dff,0xffffffff,0xfff502ef,
    0xffffffff,0x2dffffff,0xfffffffb,0xffffffff,0x7ffc5fff,0x3fffe27f,
    0x100effff,0xfc800bf9,0x7ffe400c,0xffffffff,0xffb6ffff,0xffffffff,
    0x20bfffff,0xfffffffa,0xffffffff,0x7f43ffff,0xffffffff,0x80003fff,
    0x000fffff,0x00fffff2,0x20bffff3,0xfffffffe,0x803fffff,0x006ffff9,
    0x17fffcc0,0x3fffffe0,0x2001ffff,0x2007ffff,0xfffffff9,0xffffffff,
    0xffffff36,0x7fffffff,0x7ffc0000,0xffffffff,0x05ffffff,0xffffff50,
    0xb80fffff,0xfffffffe,0x7fed401d,0x00dfffff,0x7ffffffc,0x4002ffff,
    0xfffffec8,0x3ff602ef,0xdfffffff,0x7fffd402,0xffffffff,0xf76fffff,
    0xffffffff,0xffffffff,0x7ffff8bf,0x3fffff62,0x0013003e,0xff900188,
    0xffffffff,0x36dfffff,0xffffffff,0x5fffffff,0xffffff50,0xffffffff,
    0xe87fffff,0xdeffffff,0x200001ab,0x000fffff,0x00fffff2,0x20bffff3,
    0xeffffffe,0x26001abd,0x0006ffff,0x403fffe4,0xffffffff,0x3fe001ff,
    0x3e6007ff,0xffffffff,0x36ffffff,0xdfffffff,0x0000357b,0xfffffff0,
    0xffffffff,0x6c400bff,0xffffffff,0x26aa6006,0x35330000,0x7fffc001,
    0x000bdeef,0x01aa9880,0x2aaaa620,0x7ffd4001,0xffffffff,0x76ffffff,
    0xffffffff,0xffffffff,0x31000bff,0x00000033,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffffe,0xffffffff,0x988005ff,0x0009aaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd3000000,0xb0001ddd,0xd1005ddd,0x01dddddd,
    0x3bbbbb60,0xeeeeeeee,0x3bbb66ee,0x3b20000e,0x3a206eee,0x7005eeee,
    0xdd905ddd,0x3bbba01d,0x774c01ee,0xdddd11ee,0x559bdddd,0x7ecc0001,
    0x200007ff,0x0eeeeeed,0xdddddd30,0x00579bdd,0x3bbbbbaa,0xeeeeeeee,
    0xddd74eee,0xeec800bd,0xdddd33ee,0xeeeea809,0x2f77743e,0x0eeeed80,
    0x009ddddb,0x25eeeea8,0xeeeeeee9,0x402bccee,0xeeeeeee9,0xeeeeeeee,
    0xdd92eeee,0xdddddddd,0x9ddddddd,0x01333100,0x206e0000,0x42fffff9,
    0xeeeeeee8,0xeeeeeeee,0x9ddddb13,0x3bbbb600,0x03fffe65,0x0bfffa00,
    0x3ffffea0,0xfff003ff,0xffffffff,0x7cffffff,0x0000ffff,0x0bfffffa,
    0x37ffffd4,0x82fffd80,0xff00ffff,0x980bffff,0xff32ffff,0xffffffff,
    0x40019fff,0x7fffffd9,0xfff70000,0x2a01ffff,0xffffffff,0x00cfffff,
    0x3fffffee,0xffffffff,0xfff15fff,0x3e2005ff,0xff50ffff,0x7fc40bff,
    0x7fc0efff,0xffd007ff,0x3fff21ff,0x3f2000ff,0x3fea5fff,0xffffffff,
    0xf503efff,0xffffffff,0xffffffff,0x3fffa7ff,0xffffffff,0x05ffffff,
    0x006fffd8,0x41ffc800,0x41fffff8,0xfffffff9,0xffffffff,0x3fffff24,
    0x7fffdc01,0x3fffe62f,0xffff8001,0xffffc801,0xff005fff,0xffffffff,
    0x4fffffff,0x000fffff,0x3fffffa0,0xfffffb04,0x3fff600f,0x207fff81,
    0x0fffffff,0x4bfffe60,0xfffffff9,0xffffffff,0x7ffe4403,0x0007ffff,
    0xffffff88,0xfff500ff,0xffffffff,0x2e01ffff,0xffffffff,0xffffffff,
    0x3ffff25f,0xffffb006,0x2ffffd49,0x3fffffb0,0x00fffff0,0x4c3ffffa,
    0x002fffff,0xa8bffffe,0xffffffff,0x5fffffff,0xffffffa8,0xffffffff,
    0xfd3fffff,0xffffffff,0xffffffff,0xdfffb00b,0x7ec40000,0x3fe21fff,
    0x7fcc1fff,0xffffffff,0x224fffff,0x405fffff,0x446fffff,0x8001ffff,
    0xf801ffff,0x7fffffff,0xffffff00,0xffffffff,0x7fffcfff,0x3fe0000f,
    0xff07ffff,0x200fffff,0x7c40fffe,0x3ffe06ff,0x2604ffff,0xff32ffff,
    0xffffffff,0x05ffffff,0xffffff91,0x0000ffff,0xfffffffb,0x3ffea01f,
    0xffffffff,0xb80effff,0xffffffff,0xffffffff,0x3fffe25f,0x7ffc402f,
    0x3ffea0ff,0xffff505f,0x3fffe07f,0xffffd007,0x27ffffc1,0xfffff980,
    0x3ffffea0,0xffffffff,0x7fd44fff,0xffffffff,0xffffffff,0xfffffd3f,
    0xffffffff,0xb00bffff,0x0000dfff,0x3fffffa2,0x07ffffc6,0x3fffffe6,
    0xffffffff,0x7fffdc4f,0xffff701f,0xffff883f,0xffff8001,0x7fffcc01,
    0x802fffff,0xffaaaaaa,0xaaaabfff,0x03ffffe2,0xfffff800,0x7ffcc1ff,
    0xff007fff,0xbfff30ff,0x7fffffc0,0xfff300ff,0x3fffe65f,0xffcbaaae,
    0x2a1fffff,0xffffffff,0x40007fff,0xfffffffa,0xfff500ff,0xfb9555df,
    0x509fffff,0xdddddddd,0xfffffddd,0xffffc89f,0x7fffec06,0x2ffffd44,
    0x37ffffc4,0x00fffff0,0xd83ffffa,0x7006ffff,0xfa8bffff,0x9999dfff,
    0x7fffffda,0x55555544,0xabfffffa,0xfd1aaaaa,0xffffffff,0xffffffff,
    0xdfffb00b,0xfff30000,0xff81bfff,0xfff987ff,0xaaaaaaff,0xfe81aaaa,
    0xfff06fff,0x3ffe0bff,0xfff8001f,0x7ffdc00f,0x04ffffdf,0x3ffffe00,
    0x7ffffc00,0x3ffe0000,0x7e44ffff,0x00ffffff,0x543fffc4,0x3fe05fff,
    0x03ffffff,0x265ffff3,0x3206ffff,0x265fffff,0xfcffffff,0x20007fff,
    0xfdffffe8,0xff500fff,0x3fe60bff,0x40005fff,0x0efffff8,0x17ffffc4,
    0x0fffff98,0x42ffffd4,0x00fffffd,0x401ffffe,0x2a0ffffe,0x801fffff,
    0x543ffffd,0x2e04ffff,0x001fffff,0x003ffffe,0x3ffe2000,0xffd802ff,
    0x7d40006f,0xd04fffff,0xff30ffff,0xa8000dff,0x5c2fffff,0xf01fffff,
    0xf0005fff,0xfe801fff,0xffff9fff,0x3ffe0006,0x7ffc00ff,0xf10000ff,
    0x8dfffdff,0xffffefff,0xffbaaa80,0xfcaaaaef,0x20aaadff,0xffffffff,
    0x5ffff307,0x01bfffe6,0xe8fffffb,0xfff0cfff,0x7e4000ff,0xfffcafff,
    0xffff500f,0x7fffdc0b,0x7fec0007,0xff901fff,0x3ff60bff,0xfffa84ff,
    0x7fffd45f,0x7fffc02f,0xffffd007,0x7ffffc41,0x7fffc403,0x7fffd40f,
    0x7ffffc04,0x3fffe002,0xc800000f,0xb006ffff,0x4000dfff,0x2ffffffc,
    0x21ffffa0,0x006ffff9,0x6ffffe80,0x027ffffc,0x8005ffff,0x4407fff8,
    0xfff4ffff,0x3e0003ff,0x7c00ffff,0x0000ffff,0xffbbfff1,0x2fffe61f,
    0xff80fffe,0xffffffff,0xffffffff,0x3fffe1ff,0x983fffff,0xff32ffff,
    0xff980dff,0x37ee0fff,0x03ffffc1,0x5ffff980,0x201ffff9,0x205ffffa,
    0x00fffff9,0xfffff500,0x7fffc409,0x7fffcc1f,0xffffa80f,0x3ffffa25,
    0x7ffff805,0x1ffffd00,0x05ffffd8,0x437fffd4,0x404ffffa,0x002ffffe,
    0x003ffffe,0xffff1000,0x3ff6005f,0xffb0006f,0xd803ffff,0xff986fff,
    0x980006ff,0xf72fffff,0x7401ffff,0xccc82fff,0x03fffc41,0x6cbfffea,
    0x0003ffff,0x801fffff,0x000fffff,0xf7bfff10,0x3fff27ff,0xf81fffe9,
    0xffffffff,0xffffffff,0x3ffe1fff,0x86ffffcf,0xf32ffff9,0xff00dfff,
    0x81443fff,0x0007ffff,0x321ffffd,0xf500ffff,0x7c40bfff,0x10007fff,
    0x00dfffff,0xd8bffff9,0xf504ffff,0x7fe4bfff,0xff800eff,0xffd007ff,
    0xfffb81ff,0x7ffe407f,0xffffa84f,0x7ffffc04,0x3fffe001,0x6400000f,
    0x76c6ffff,0xfffeeeee,0xeeeeeeff,0xffffe885,0xffd800ef,0xffff986f,
    0xffb00006,0xffff1dff,0xfffe807f,0x227ffcc3,0x6c07fff8,0xff70ffff,
    0x3e000bff,0x7c00ffff,0x0000ffff,0xff1bfff3,0x75bffabf,0xfff81fff,
    0xffffffff,0xffffffff,0x2ffffe1f,0x4c2ffffc,0xff32ffff,0xfff00dff,
    0x3fe003ff,0xfa8007ff,0x3ff23fff,0xfff500ff,0x7ffd40bf,0xffb0006f,
    0xf1003fff,0x3e21ffff,0xf500ffff,0x3fe6bfff,0xff001fff,0x3fa00fff,
    0x7fc40fff,0x3fa01fff,0xffa81fff,0x3fea04ff,0x7fc006ff,0x00000fff,
    0x0bffffe2,0xfffffffd,0xffffffff,0xffe98fff,0x32005fff,0xff985fff,
    0x300006ff,0xffdfffff,0xfd801fff,0x7ffe43ff,0x037ffcc6,0xf89bfffe,
    0x8000ffff,0x400fffff,0x000fffff,0x3abfff30,0x3fff8fff,0x5505fffd,
    0x559fffb5,0x57fffd55,0x7fffc155,0x46ffff9b,0xf32ffff9,0xf880dfff,
    0x3e007fff,0x44007fff,0x7e46ffff,0xff500fff,0x3fe20bff,0xa8004fff,
    0x004fffff,0x653ffff2,0x2a04ffff,0xffd5ffff,0x7fc009ff,0xffd007ff,
    0xfffd01ff,0x3ffe609f,0xffff507f,0x3fffea09,0x7ffc002f,0x200000ff,
    0xe86ffffc,0xffffffff,0xffffffff,0x3fffea7f,0x4c4003ff,0xfff98099,
    0x3200006f,0xffffffff,0xfffd803f,0x0fffff43,0x4c0dfff3,0x7f44ffff,
    0xf8002fff,0x7c00ffff,0x0000ffff,0x3f2bfff5,0xb1fffcff,0xfd805fff,
    0xffff82ff,0x4ffffe00,0x261ffffd,0xff32ffff,0xffb80dff,0x3fe006ff,
    0x7e4007ff,0x7fe41fff,0xfff500ff,0x7fe4c4bf,0x4000ffff,0x06fffff8,
    0x7ffffc40,0x00fffff8,0x337fffea,0x4006ffff,0xffffffff,0xffffffff,
    0xffc80fff,0xfff706ff,0x3ffea09f,0xffeeeeff,0x8003ffff,0x000fffff,
    0xfffff100,0xfffffd07,0xffffffff,0x3eefffff,0x002fffff,0xffff3000,
    0x3333333d,0xff100333,0x0dffffff,0x88ffff20,0x263fffff,0x3f205fff,
    0x7fe41fff,0xff8004ff,0x7fc00fff,0x50000fff,0x3fe69fff,0x3f66ffff,
    0x7fec03ff,0x07fff81f,0xfa9ffffc,0x3fe65fff,0xffff32ff,0x7fffc40d,
    0x3ffe004f,0x3fe6007f,0xfffc84ff,0xffff500f,0xffffffff,0xb0003dff,
    0x003fffff,0xfdffff90,0xfa809fff,0xffffffff,0x7ffc001f,0xffffffff,
    0xffffffff,0xfffff980,0x2ffffd80,0xffffff50,0xdfffffff,0x3ffe0001,
    0x900000ff,0x000fffff,0x300dfffb,0x1bfffffd,0x02aea000,0xfffffff3,
    0xffffffff,0x3fffee00,0xf9002fff,0x7ffdc9ff,0x3ffe66ff,0x1ffffa05,
    0x01ffffea,0x03ffffe0,0x01fffff0,0x93ffea00,0x24ffffff,0x7403fffd,
    0x7fc40fff,0x7fffc06f,0x43ffffa3,0xf32ffff9,0xf710dfff,0x001fffff,
    0x003ffffc,0x901ffffd,0x2a01ffff,0xffffffff,0x00ceffff,0xfffffa80,
    0xfff10003,0x01ffffff,0xffffffa8,0x4000ffff,0xffffffff,0xffffffff,
    0xfff00fff,0xffff05ff,0x3ffea01f,0xffffffff,0x8003ffff,0x000fffff,
    0xfffff880,0xfffd8003,0xfffd1006,0x44001dff,0x261efffe,0xffffffff,
    0x07ffffff,0xffffff30,0x3fee001f,0x3ffff64f,0x9fff50ff,0x17fffe20,
    0x00fffffc,0x03ffffe0,0x01fffff0,0x93ffee00,0x21fffffd,0x7c03fffd,
    0xfff987ff,0x1ffffc05,0x269ffff7,0xff32ffff,0xffdddfff,0x05ffffff,
    0x07ffff80,0x05ffff70,0x403ffff2,0xfffffffa,0x000effff,0xdfffff10,
    0xfffc8000,0xa804ffff,0xffeeffff,0x7fc005ff,0xffffffff,0xffffffff,
    0xffff900f,0x5ffffa8b,0x3ffffea0,0xffffffff,0x7c005fff,0x0000ffff,
    0x0fffffb8,0x6fffd800,0x7fffec00,0xffb001ff,0x3e61dfff,0xffffffff,
    0x007fffff,0xfffffffb,0x3ffee009,0xffdfff14,0x13ffea7f,0x81ffffdc,
    0x004ffffd,0x007ffffc,0x003ffffe,0x51fffdc0,0xfc8fffff,0x3fe204ff,
    0x5fffa87f,0x21ffffc0,0xf98fffff,0xfff32fff,0xffffffff,0x0009ffff,
    0x100fffff,0x640bffff,0xf500ffff,0xffffffff,0x0003ffff,0x03fffffb,
    0xffff8800,0xfa800fff,0xfffadfff,0x3fe003ff,0xaaaaafff,0xffffaaaa,
    0xffff500f,0x3ffffc8f,0x37fffea0,0xffca9999,0x2003ffff,0x000fffff,
    0x7ffffc40,0xfffb0004,0xfff7000d,0xf9805fff,0x32ffffff,0xffffffff,
    0x0fffffff,0xffffff50,0xf7003fff,0x3ffeabff,0xff55fffa,0x3fff609f,
    0xffff700f,0xffff800d,0x7fffc00f,0xff90000f,0x7fffc47f,0x127ffe44,
    0xffffdddd,0xfffddddd,0xff81dddf,0x7ffe43ff,0x2ffff9bf,0xfffffff3,
    0x3dffffff,0x3fffe000,0xffffd807,0x3ffff200,0xbffff500,0x3ffffee2,
    0x7ffd4006,0x900003ff,0x009fffff,0x6d7fffea,0x000fffff,0x200fffff,
    0x100ffffe,0x743fffff,0x2a00ffff,0x2204ffff,0x00fffffe,0x01fffff0,
    0xffffb800,0xffb0000f,0x3ea000df,0x204fffff,0xfffffffa,0x0dffff33,
    0x7fff4000,0x05ffffff,0xfb5fffa8,0x23fffedf,0xff03fffb,0x55555fff,
    0x1fffff95,0x7ffffc00,0x7ffffc00,0xfff90000,0x41fffe87,0x3e25fffc,
    0xffffffff,0xffffffff,0x7ffc0fff,0x7fffc43f,0x32ffff9e,0xffffffff,
    0x0007dfff,0x407ffff8,0xeefffff8,0xfffeeeee,0x50eeeeff,0xfa8bffff,
    0x1003ffff,0x00dfffff,0x7fffcc00,0xfff5000f,0x3fffe2bf,0xffff006f,
    0x3fffa00f,0x3fff600f,0xdffff14f,0x4ffffa80,0x7ffffcc0,0xfffff001,
    0xfff80001,0x360004ff,0x20006fff,0xdffffff9,0xfffff980,0xffff32ff,
    0x3ee0000d,0xfffcffff,0x7fd402ff,0x367fff6f,0xfffbafff,0xfffffa83,
    0xffffffff,0x2003ffff,0x400fffff,0x000fffff,0xb87fff90,0xfffc87ff,
    0x3ffffe25,0xffffffff,0x0fffffff,0x641ffffc,0xfffcffff,0xdffff32f,
    0x00013555,0x03ffffc0,0x3fffffe6,0xffffffff,0x1fffffff,0x90bffff5,
    0x001fffff,0x01fffffb,0x7ffc4000,0x3fea007f,0x3ffee5ff,0xfff803ff,
    0xfffd007f,0x7ffdc01f,0x7ffff76f,0x4ffffa80,0x3fffff80,0x1fffff00,
    0x7ffdc000,0x360000ff,0x40006fff,0xefffffe8,0xfffffd80,0x1bfffe66,
    0x3ffe2000,0xffffd4ff,0xefff980d,0xff51fffa,0x05fff99f,0xfffffff9,
    0xffffffff,0x7fc00bff,0x7fc00fff,0xb0000fff,0xb8005fff,0x3fe25fff,
    0xffffffff,0xffffffff,0x7fffc0ff,0xfffff983,0xff32ffff,0x00000dff,
    0x407ffff8,0xfffffff9,0xffffffff,0x51ffffff,0xf10bffff,0xa807ffff,
    0x003fffff,0x7fffc400,0x3ffea007,0x7ffff45f,0x7fffc01f,0xffffd007,
    0x7fffc401,0x1ffffd8f,0x27fffd40,0x17ffffc0,0x0fffff80,0x3fffe000,
    0x4c40004f,0xb0000099,0x83ffffff,0x21efffe8,0x006ffff9,0xfffffc80,
    0x7fffff50,0x677ffcc0,0x3ffe26ff,0xf82fffcf,0xffffffff,0xffffffff,
    0x3ffe007f,0x7ffc00ff,0xfb0000ff,0xfb8005ff,0x3ff206ff,0x0fffe82f,
    0x81ffffc0,0xfffffffd,0xdffff32f,0xff800000,0x7fcc07ff,0xffffffff,
    0xffffffff,0xfff51fff,0x3fff60bf,0x3ffe207f,0x800005ff,0x007ffff8,
    0x317fffea,0x80dfffff,0xd007ffff,0xe801ffff,0xfffaffff,0xfffa807f,
    0x7ffd404f,0xfff000ff,0x2e0001ff,0x000fffff,0x20000000,0x05fffffc,
    0xfff30353,0xf88000df,0x7f44ffff,0xf100ffff,0x89ffddff,0xfffefffd,
    0x77fffcc1,0xeeeeeeee,0x02fffffe,0x01fffff0,0x00fffff8,0x05fffd00,
    0x06fffb80,0x3e07fff6,0xfff807ff,0xffff503f,0x3e65ffff,0x00006fff,
    0x03ffffc0,0x33333322,0xfecccccc,0x0ccccfff,0x20bffff5,0x03fffff9,
    0x01fffffb,0xfff10000,0x7fd400ff,0xfffc85ff,0x3ffe04ff,0xfffd007f,
    0xfffb801f,0x04ffffef,0x04ffffa8,0x1fffffe2,0x0fffff80,0xffffd000,
    0x0000000b,0xbfff5000,0x3ffe6000,0x7ec0006f,0x7d40ffff,0xf105ffff,
    0x83ffffff,0xfffffffb,0x17fffdc1,0x4ffffe80,0x7ccccccc,0x9999ffff,
    0x3ffffe19,0xaaaaaaab,0x3ffa1aaa,0x7fdc002f,0x3fffa07f,0x807fff81,
    0x3a03ffff,0x2fffffff,0x00dffff3,0x55555500,0x57fffff5,0x40005555,
    0x500ffffd,0x740bffff,0xfa86ffff,0xccceffff,0xcccccccc,0xffff1004,
    0x7ffd400f,0xfffe885f,0xffff01ff,0x3fffa00f,0x7ffcc00f,0x02ffffff,
    0x9dffffa8,0xfffca999,0x3e004fff,0x8000ffff,0x01fffffa,0xffffff30,
    0xffffffff,0x20005fff,0x30000ef9,0x000dffff,0x27ffffcc,0x1fffffe8,
    0xffffff88,0xfffff887,0x7fff40ff,0xfff7000f,0xfffff8df,0xffffffff,
    0x3ffe7fff,0xffffffff,0x3a3fffff,0x54002fff,0x3fa07fff,0x7ffc40ff,
    0x3ffff806,0x3ffffee0,0xffff32ff,0xffd0000d,0xffffffff,0x0fffffff,
    0x7fffec00,0xbffff500,0x7ffffd40,0x7fffff42,0xffffffff,0x1007ffff,
    0x400fffff,0x505ffffa,0x20dfffff,0xd007ffff,0xf001ffff,0xffffffff,
    0x3fffea00,0xffffffff,0x000effff,0x003ffffe,0x17ffffa0,0xfffff980,
    0xffffffff,0x0002ffff,0xf9800022,0x20006fff,0x00fffffe,0x0dfffff5,
    0x13fffffe,0x7ffffff4,0x1bfffe20,0xfffff980,0x3fffffe0,0xffffffff,
    0x3fffe7ff,0xffffffff,0x3fe3ffff,0x7d4001ff,0x3ffe07ff,0x05fff987,
    0x403ffff8,0x2fffffff,0x00dffff3,0xfffffd00,0xffffffff,0x4000ffff,
    0x500ffffd,0xf80bffff,0x7f46ffff,0xffffffff,0xffffffff,0xffff1007,
    0x7ffd400f,0x3fff605f,0xffff84ff,0xffffd007,0xffff9001,0x2a00bfff,
    0xffffffff,0xffffffff,0x7fffc000,0x7fd4000f,0x26001fff,0xffffffff,
    0xffffffff,0x0000002f,0x1bfffe60,0x7fffd400,0x7fff404f,0xffff83ff,
    0xfff702ff,0x7fd41fff,0x7fc003ff,0x3ffe3fff,0xffffffff,0x3e7fffff,
    0xffffffff,0x3fffffff,0x0007fffe,0x101ffff5,0xff50dfff,0xffff009f,
    0xffffc807,0xffff32ff,0xffd0000d,0xffffffff,0x0fffffff,0x7fffec00,
    0xbffff500,0xfffffb80,0x3fffffa2,0xffffffff,0x1007ffff,0x400fffff,
    0x205ffffa,0x1ffffff8,0x803ffffc,0x800ffffe,0xfffffffa,0xffff5002,
    0xffffffff,0xf00017ff,0x8001ffff,0x005ffffe,0x7fffffcc,0xffffffff,
    0x00002fff,0x3ffe6000,0xfff0006f,0xf9801fff,0x740fffff,0x2207ffff,
    0x6c7fffff,0x4001ffff,0x3e5ffffd,0xffffffff,0x7fffffff,0x3ffffffe,
    0xffffffff,0x07fffe3f,0x1ffff500,0x70dfff30,0xff009fff,0xff8807ff,
    0xff32ffff,0xd0000dff,0xffffffff,0xffffffff,0x7fec000f,0xfff500ff,
    0xfff880bf,0x3fffa6ff,0xffffffff,0x07ffffff,0x0fffff10,0x2ffffd40,
    0x3ffffee0,0x03ffffc6,0x00ffffe8,0xfffffff0,0x3ffea001,0xdeffffff,
    0x7fc0002c,0x2a000fff,0x001fffff,0x00000000,0xff980000,0xfb8006ff,
    0xb003ffff,0x009fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x001cc000,0x00088000,0x00180088,0x0c401988,
    0x03331000,0x00018000,0x00001980,0x00013333,0x88000130,0x22000019,
    0x02200009,0xddd10188,0xeeec809d,0x04c4001e,0x00013000,0x64003530,
    0x70005eee,0x3bae9ddd,0xeeeeeeee,0x265eeeee,0x000eeeee,0x98bbbbb6,
    0xeeeeeeee,0xeeb804ee,0xec802eee,0x3bb64eee,0x7776c05e,0x262000de,
    0x00800099,0x57510040,0x005ff880,0xffeca800,0x701cefff,0x4c19fffd,
    0x201dfffd,0xefffffd9,0x3bfffaa2,0x3ff6a202,0x1dffffff,0x7fff7000,
    0x7f64c000,0x000cefff,0xffffffb5,0x2e003dff,0xceffffed,0x7ff64401,
    0x980cffff,0xf711eeee,0x901bffff,0x3ffa2bdd,0x3fff623e,0x37fffc45,
    0x47ffff60,0x2e0eeee8,0x00dffffe,0x7ffff644,0x3fae002d,0x404effff,
    0x000ffffc,0xf95fffd8,0xffffffff,0x8dffffff,0x003fffff,0x41fffff1,
    0xfffffff9,0xe8805fff,0x200fffff,0x20fffffa,0x3607ffff,0x002fffff,
    0x0037ffec,0x7cc00be6,0xefffe984,0xefffe880,0xfe980000,0xffffffff,
    0xffffc84f,0xfffd15ff,0xff505fff,0xbfffffff,0xfffffff9,0xfffff105,
    0xffffffff,0x7fcc001d,0xb8001fff,0xffffffff,0x3faa03ff,0xffffffff,
    0x7f4403ff,0xffffffff,0x3ffea03f,0x1fffffff,0x4cffffcc,0xfffffffe,
    0x47ffec1f,0x89fffffe,0x26fffffe,0x406ffff8,0xf11ffffd,0xffd13fff,
    0x05ffffff,0x3fffffea,0x2600dfff,0xfffffffe,0xff701eff,0xfd0003ff,
    0x3fff29ff,0xffffffff,0x7e46ffff,0xf7006fff,0xff98bfff,0xffffffff,
    0xffff3005,0x3ffe20bf,0x7fffc3ff,0xfffff907,0xfffb0007,0x7ffcc00d,
    0x1fffcc02,0x1bfffffa,0x3bfffff6,0xff910001,0xffffffff,0xfffb89ff,
    0xfdcfffff,0x0fffffff,0x7fffffd4,0xffffffff,0x441fffff,0xffffffff,
    0x06ffffff,0x3fffff20,0x3ff62004,0xffffffff,0xfffa85ff,0xffffffff,
    0x3fee03ff,0xffffffff,0xfa80efff,0xfffeeeff,0x7fffcc6f,0xfffffffb,
    0x7fec7fff,0xffffffcf,0xffffffcd,0xdffff11f,0x1ffffd80,0xfd5ffff1,
    0xffffffff,0xffff981f,0x4fffffff,0x79dfff70,0x9fffd973,0x05ffff50,
    0x25ffff00,0xfffffffc,0xffffffff,0x7ffffcc6,0xffffe801,0x7ffffcc2,
    0x005fffff,0x0fffffee,0x217ffff6,0xfa87ffff,0x0004ffff,0x200dfffb,
    0x02fffff9,0x25fffff1,0xfffffffa,0xfffffd81,0xffd8002f,0xffffffff,
    0x3fe24fff,0xfffeabff,0xfffabfff,0x5effd43f,0xfffffeba,0x4ffffcbf,
    0x6777ffc4,0xfffffccc,0xfff9003f,0x7e4007ff,0xecbdffff,0x222fffff,
    0xbdffffff,0x03ffdcca,0xfffffff3,0xffffffff,0xf1017509,0x7fcc3fff,
    0xffffffff,0x23ffffff,0xeffffffd,0xefffffff,0xff14ffff,0xffd80dff,
    0xffff11ff,0xffffffff,0xfe89ffff,0xffcabfff,0x7fcc1fff,0x209999df,
    0x7cc2fffb,0x44003fff,0x5531ffff,0xf5555555,0xd03fffff,0x9809ffff,
    0x2007ffff,0x005ffffa,0x07fffff4,0x01fffff5,0xf98fffff,0x0005ffff,
    0x401bfff6,0x2fffffe8,0x2fffffc4,0xfffffff7,0x3fffee05,0x3ea003ff,
    0x9adfffff,0x2a4fdaa9,0x3fe63fff,0x3fe24fff,0x4406546f,0x262fffff,
    0x5f447fff,0x3fff6201,0xfff1006f,0x3e2001ff,0xfb80efff,0x3fee6fff,
    0x0cc01fff,0xcfffffe8,0xffffb989,0x7e4001ff,0x3ffe62ff,0xb12effff,
    0x7ecdffff,0xffd1ffff,0x3ff63fff,0xdffff15f,0x1ffffd80,0xfffffff1,
    0xfffd517f,0x7fffd4ff,0x44ffff80,0xfff9affe,0xfff33fff,0x27fffc41,
    0x3fffe200,0x3ffee000,0xfff503ff,0xfffc80ff,0x3fea004f,0x7c4005ff,
    0xff15ffff,0x3fe05fff,0x3ffe27ff,0x6c0005ff,0x22006fff,0x12fffffe,
    0xa8bfffff,0x1fffffff,0x3ffffea0,0xffe8804f,0x0c402fff,0xff81fffb,
    0x7fec2fff,0x3ff2000f,0x7ffec0ff,0xfff10001,0x76cc00ff,0x3ff6001d,
    0x3ff601ff,0xffffb2ff,0x7fd4000b,0xfd102fff,0x9980bfff,0x22fffdaa,
    0x5ffffff9,0x27ffff88,0x323ffffd,0x3ee4ffff,0xffff16ff,0xffffd80d,
    0xffffff11,0xfffff30d,0x40ffff21,0x3f25fffc,0xfffff34f,0x17fee5ff,
    0xfb8bffff,0x7ffcc5ff,0x3ffea007,0x7ffc05ff,0x3ffe02ff,0x3ea001ff,
    0xa8005fff,0xfdbfffff,0x3fe05fff,0x3fffa7ff,0x6c0000ef,0x44006fff,
    0xfbfffffe,0xfd05ffff,0x300dffff,0x1bfffffd,0x7ffffdc0,0x7fff8002,
    0x40ffffd8,0x2001fffc,0xfb86fffb,0x3a0002ff,0x0000ffff,0x7fffc400,
    0x7fffd405,0x1dffffb4,0x3fffa000,0x7ffdc04f,0xfffc987f,0x22ffffff,
    0x0efffff9,0x21ffffd0,0x320ffffd,0x3ee0ffff,0xffff16ff,0xffffd80d,
    0xdfffff11,0x3ffffe01,0x205fffb1,0x3fe6fffa,0x2e5ff30f,0x83ffa4ff,
    0x7f46fffd,0x3fea0fff,0xfff1006f,0xfc801dff,0xff505fff,0xfa800dff,
    0xb0005fff,0xffffffff,0x7ffc01df,0xdffffb7f,0xffb00001,0xfd1000df,
    0xffffffff,0x7fff4c0b,0xffd1000e,0x3601dfff,0x8005ffff,0xfc85fff8,
    0xfffb87ff,0x3ffee002,0x03fffb84,0x3ffff600,0x54000001,0x4c03ffff,
    0xff75ffff,0x0017ffff,0x00fffff8,0x20fffff8,0xfffffff9,0x3e62ffff,
    0x3600ffff,0xffb1ffff,0x5fffc89f,0xf8b7ffdc,0x7ec06fff,0xfff11fff,
    0x7fec01ff,0x5fffd1ff,0x45bffea0,0x4bfe64ff,0x3ff24ff8,0x89ffff21,
    0x2e2fffff,0xfd005fff,0x3003ffff,0xb01fffff,0x8005ffff,0x005ffffa,
    0xfffffd10,0xff803fff,0xffffcfff,0x3331001f,0xfffd3333,0x3333333d,
    0x3fffa201,0x3005ffff,0x3f600035,0xe81fffff,0x8002ffff,0xfb85fff9,
    0xdaaaaeff,0x26203fff,0xadfffdaa,0x3fffcaaa,0x3b32aa20,0x1fffffee,
    0x33333331,0x33333333,0x3ee13333,0xeeeeefff,0xffffeeee,0xffffff36,
    0x88015bff,0xd006ffff,0x3e25ffff,0xf909cfff,0x7ffcc5ff,0x4ccc406f,
    0x90ffff61,0xffb8bfff,0xdffff16f,0x1ffffd80,0x80dffff1,0xf91ffffd,
    0x3ff20bff,0x4c7ff55f,0x2ffdbcff,0xffb8ffea,0xffff70ff,0x27ffe4bf,
    0x7ffffe40,0x3fffa002,0x7fffc43f,0xfffa8007,0x3e60005f,0x04ffffff,
    0xfffffff8,0x2a002fff,0xffffffff,0xffffffff,0x3a203fff,0x006fffff,
    0x7fdc0000,0x7fc2ffff,0x98001fff,0xffb84fff,0xffffffff,0xfffa83ff,
    0xffffffff,0x4fffffff,0xfffffc88,0xffffffff,0xffffff51,0xffffffff,
    0x327fffff,0xffffffff,0xffffffff,0x3ffff27f,0x2dffffff,0x0bffff50,
    0x4fffff60,0xfc86fffa,0x3ffe62ff,0x3f60006f,0x7ffe43ff,0x8b7ffdc5,
    0x6c06ffff,0xff11ffff,0xffd80dff,0xffff71ff,0x5cffffa0,0x3ffe61ff,
    0x7fcc1dff,0x47fffea4,0x0ffffffd,0xa807fffb,0x004fffff,0x237fffdc,
    0x004ffffa,0x05ffffa8,0x7fffec00,0xfff800ff,0x5fffffff,0x3fffea00,
    0xffffffff,0x3fffffff,0x3ffffe60,0x7fcc02ff,0x2a0002ff,0x34ffffff,
    0x001fffff,0x709fff50,0xffffffff,0xfe87ffff,0xffffffff,0xffffffff,
    0x7ffdc3ff,0xffffffff,0xff51ffff,0xffffffff,0xffffffff,0x3ffffa7f,
    0xffffffff,0x5c7fffff,0xffffffff,0x7dc0dfff,0xf9005fff,0x3fea9fff,
    0x7fffd47f,0x1bfffe62,0x3fffd800,0x2e2fffe4,0xfff16fff,0xfffd80df,
    0xdffff11f,0x1ffffd80,0x17dffff3,0x21ffffd7,0x3fe62ffb,0x7cc1fffd,
    0x3fffe64f,0xffffff8a,0x05fffd3f,0x37ffffcc,0x7fffc400,0x3ffff61f,
    0xfffa8001,0x3e60005f,0x04ffffff,0xfafffff8,0x5004ffff,0xffffffff,
    0xffffffff,0x3e607fff,0xffffffff,0x1fffea02,0xffff9000,0x3ffe23ff,
    0xfa8001ff,0xfffb84ff,0xeeeeeeef,0x3ffff22e,0xdfffdcde,0xcccccccc,
    0x3ffffee2,0xffeeeeff,0xfff51fff,0xffffffff,0xffffffff,0x3bffffa7,
    0xeeeeeeee,0xb885eeee,0xfffffffe,0x7ffd46ff,0xfffb005f,0x3fffe67f,
    0xfffffece,0x1bfffe62,0x3fffd800,0x2e2fffe4,0xfff16fff,0xfffd80df,
    0xdffff11f,0x1ffffd80,0x3ffffff2,0x263fffff,0x2bfe64ff,0x7fdc5ff8,
    0x2ffffe22,0xfffdfffb,0x203ffff6,0x0fffffe8,0xffff9000,0x1bfffe27,
    0x7fffd400,0xffd10005,0x05ffffff,0xf97ffff8,0x5005ffff,0xfddddddd,
    0xddddffff,0xff305ddd,0xffffffff,0x3fff205f,0xffb10004,0xff81dfff,
    0x98002fff,0xffb85fff,0x3fe2006f,0x7ffdc4ff,0x3ffe2003,0xffb01eff,
    0x3bbaa3ff,0xeeeeeeee,0xeeeeeeee,0x03ffffb2,0xfd730000,0x47ffffff,
    0x006ffff9,0x6c3ffffd,0xefffffff,0x3fe62fff,0x360006ff,0x7fe43fff,
    0xb7ffdc5f,0x406ffff8,0xf11ffffe,0xfd80dfff,0x3fa21fff,0xffffffff,
    0x3e66ff84,0x6c3ff92f,0x7fffc0ff,0xff9fffdc,0x07fff9ff,0x07fffff6,
    0xffff9800,0x07ffff76,0x3fffea00,0xfffb0005,0x1fffffff,0xd3ffffc0,
    0x003fffff,0x06fffd80,0x7ffffc40,0xfffffe8d,0x01fffe82,0xffffe880,
    0xfffe80df,0xff98005f,0x6fffc85f,0x1fffea00,0x8013ffee,0x406ffffa,
    0x001ffffd,0x7ffdc000,0x4000003f,0x6fffffd9,0x03ffffe2,0x83ffffe0,
    0x3fffffd8,0x7fcc5fff,0x360006ff,0x7fe43fff,0xb7ffdc5f,0x207ffff8,
    0x11fffffd,0xd80dffff,0xfb81ffff,0x01efffff,0x3fe65ffd,0x3e6bff32,
    0xdfffe87f,0xfffb6fff,0x2e0ffff9,0x003fffff,0x9ffffe80,0x000ffffe,
    0x0bffff50,0xfffff700,0x0bfffff5,0xf13ffffc,0x001dffff,0x037ffec0,
    0xbfffff10,0x7fffff44,0x0037ffc2,0x7fffffcc,0x3ffff604,0x7fc4001f,
    0xffffd86f,0xbfff7000,0x00bfff70,0x027fffe4,0x007ffffa,0xfff50000,
    0x000000bf,0xf1fffff6,0xa807ffff,0x3107ffff,0x3fe60013,0x360006ff,
    0x7fe43fff,0x37ffdc5f,0x903fffff,0x23ffffff,0x406ffff8,0x201ffffd,
    0x4c009aa9,0x2ff98fff,0x3ffa7ffa,0xfffffc82,0xffff73ff,0xff30bfff,
    0x0000bfff,0x3f7fffee,0x20005fff,0x005ffffa,0x9fffffcc,0x03fffffb,
    0xfa8fffff,0x0005ffff,0x401bfff6,0x85fffff8,0x2fffffe8,0x8007fff3,
    0x3ffffffb,0x7ffffdc0,0x3fe0801e,0xfffff87f,0xbfff9003,0x01ffffb0,
    0x17ffff60,0x7ffffec4,0x00062001,0x05fffff1,0xff700000,0xfffd8dff,
    0xffd100ff,0x400009ff,0x006ffff9,0x90ffff60,0xffb8bfff,0x3ffffa6f,
    0xffffb31d,0x3fe23fff,0x7fec06ff,0x400001ff,0x4401effc,0xff705ffd,
    0x221fffff,0x4fffffff,0x7fffffc4,0xaaaaaaab,0xfff8802a,0x01ffffff,
    0x3fffea00,0x3ffa2005,0x7ffec5ff,0xffff81ff,0xfffffc87,0xfffb0004,
    0x3ffa200d,0x3ffa205f,0x002220ef,0xffffff90,0x3fffa003,0x3109cfff,
    0x7ffecbd7,0x3ffffe62,0xfffb800e,0x7ffffe47,0xfffb8205,0x7ff440ff,
    0x7001ffff,0x64007fff,0x803fffff,0x1002f229,0x989fffff,0x0affffff,
    0xfffffd31,0x555554c1,0xaaaaaaaa,0x0dffff31,0x1fffec00,0xf717fff2,
    0x7ffe4dff,0xffffffff,0xf11fffff,0xfd80dfff,0x55531fff,0x55555555,
    0xfffd0355,0xfffb8837,0xffff500f,0xfffd8dff,0x7ff43fff,0xffffffff,
    0x007fffff,0xfffffff9,0x3bbba00d,0xfffffeee,0xd84eeeee,0x440fffff,
    0x40efffff,0xfb07ffff,0x0005ffff,0x400dfffb,0xe8805fe8,0x440000ef,
    0x1efffffd,0x3fffe600,0xffffffff,0x3ffee5ff,0xffffe99e,0xc998aeff,
    0x37fffea4,0xffffffda,0x5eba9adf,0x3fffffea,0xfffffecd,0xfa801fff,
    0x1001ffff,0xbfffffff,0xdffdb999,0x5e677fec,0xfffffdba,0xffffc82f,
    0xffffffff,0x7fe43fff,0xffffffff,0xfff34fff,0x7ec000df,0x7ffe43ff,
    0x137ffdc5,0xffffffff,0xffff7fff,0x1bfffe23,0x23ffffb0,0xfffffffc,
    0x84ffffff,0xefffffd8,0x00dfffff,0x3fffffe6,0x7ffffdc3,0x7ffffc2f,
    0xffffffff,0xf3007fff,0x07ffffff,0x3fffffe0,0xffffffff,0x7fdc5fff,
    0xff703fff,0xfff8bfff,0xffff107f,0xfd8003ff,0x2c4006ff,0x0001b100,
    0xfffffe98,0xffb8000d,0xffffffff,0x3fe25fff,0xcfffffff,0xffffffff,
    0x3fffe25f,0xfecfffff,0xffffffff,0x7fffff45,0xfdffffff,0xfc801fff,
    0x2004ffff,0xfffffffa,0x6fffffff,0x3ffffff6,0xffffffff,0xfffff104,
    0xffffffff,0xffff90bf,0xffffffff,0x3fffe69f,0x3ff60006,0x2fffe43f,
    0xf71bffee,0xffffffff,0x23ffff15,0x406ffff8,0xf91ffffd,0xffffffff,
    0x5409ffff,0xffffffff,0xfff8802f,0x7fc41fff,0x7fc1ffff,0xffffffff,
    0x07ffffff,0x3fffffa0,0xffff000f,0xffffffff,0x4cbfffff,0x405fffff,
    0x22fffffd,0x2a07ffff,0x00ffffff,0x01bfff60,0x00000000,0x27ffffe4,
    0x3ffa6000,0xffffffff,0x7fffd45f,0xfff95fff,0xb8bfffff,0x4fffffff,
    0xfffffff3,0xfff98bff,0xbfffffff,0x801ffff8,0x03fffffb,0x7ffff4c0,
    0xffffffff,0x3fffff66,0xffffffff,0x7ffec404,0xffffffff,0xfffff902,
    0xffffffff,0x1bfffe69,0x3fffd800,0x2e2fffe4,0xff986fff,0xf10dffff,
    0x3fe23fff,0x7fec06ff,0xffff91ff,0xffffffff,0xdb98809f,0x20009bde,
    0xb06fffff,0xf81fffff,0xffffffff,0x7fffffff,0x3fffee00,0x3ffe005f,
    0xffffffff,0x25ffffff,0x00fffffe,0x7fffffc4,0x80fffff0,0x06fffffc,
    0x017bbb20,0x00000000,0x003fffd8,0x3fffae00,0x81beffff,0x44fffffa,
    0xeffffffb,0xfffffb83,0x7ffff4c4,0xfd883eff,0x10dfffff,0x1003ffff,
    0x001fffff,0x3ffffae0,0x23dfffff,0xffffffec,0x001cffff,0x3fffffaa,
    0x00000def,0x1bfffe60,0x3fffd800,0x2e2fffe4,0x2a206fff,0x3e2000aa,
    0x7ec06fff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17ec0000,0x53100000,0x2a600133,0x5555100a,
    0x01a98801,0x004d5544,0x004d54c4,0x1bdb3000,0x2aa60000,0xa98009aa,
    0x0019aaaa,0x009aa980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04d4c400,0x11006200,0x4fffb800,0x4d554c00,0x33310001,0x98031001,
    0xaa988002,0x1cb98000,0x3eeec800,0x26666600,0x99999999,0x33109999,
    0x33333333,0x43333333,0x747ffffa,0x4402ffff,0x50026009,0x0007bfd9,
    0xffe88000,0x99803fff,0x99999999,0xfffffb81,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f644000,0x002dffff,
    0x3f603bfd,0xfff7000b,0x3fff2009,0x00cfffff,0x3ffffc98,0x203fee20,
    0x5000ffea,0x7fffffff,0x3fffea00,0x3ffe6005,0xff9800ff,0xffffffff,
    0x2fffffff,0xfffffffd,0xffffffff,0x3ffe63ff,0x7ffff47f,0x07bff202,
    0x320bffd1,0x1effffff,0x00999910,0x7ffff440,0xfff8801f,0xffffffff,
    0xffffe981,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff9000,0x07ffffff,0x42ffffb8,0x041ffffb,0x041fffd4,
    0x7fffffec,0xb300efff,0x07ffffff,0x317fffe2,0x880bffff,0xfffffffd,
    0x7f401eff,0xd003ffff,0x00bfffff,0xfffffff3,0xffffffff,0x3fffa5ff,
    0xffffffff,0x11ffffff,0xfd8dffff,0xff301fff,0xfffd8dff,0x7fffe42f,
    0x982fffff,0x10007fff,0x01bffffd,0x3ffffe20,0x01ffffff,0x3fffffb1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffd0,0x203fffff,0x445ffff8,0xec85ffff,0x88bffe60,0xffffd85d,
    0x44ffffff,0xffffffe8,0x3ff203ff,0x7ffe42ff,0x3fff202f,0xffffffff,
    0x3fffe206,0xffb807ff,0x402fffff,0xfffffff9,0xffffffff,0xffffd2ff,
    0xffffffff,0x223fffff,0x7ec6ffff,0xff701fff,0xffff8fff,0x3fffe24f,
    0x2fffffff,0x0037ffd4,0x1fffff44,0x3fffe200,0x1fffffff,0x7ffffdc0,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6677fc40,0x03fffffd,0xe81ffffb,0x7cc0ffff,0x3fff12ff,0x770bffea,
    0xfff93133,0xffffd0df,0xe807ffff,0x3a20ffff,0xf980ffff,0xeb9adfff,
    0xf103ffff,0x03ffffff,0x7d77ffc4,0x774c06ff,0xeeeeeeee,0x1eeeeeee,
    0xdddddddb,0xffdddddd,0x7fffc3ff,0x07fffe45,0x46ffff98,0x2e2ffffd,
    0xfebcffff,0xe88bffff,0x44005fff,0x001ffffe,0xaaaaaa88,0x800aaaaa,
    0x00ffffe9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xffffd82a,0x3ffffa84,0x417fffdc,0xf8dffffd,0xffffc9ff,
    0x3fffe006,0xfcdffb85,0x7cc03fff,0x7fcc5fff,0xfffc84ff,0x0dfffd06,
    0x7fffffe4,0x4bfff202,0x0004fffd,0x44000000,0x3fe1ffff,0x7ffe45ff,
    0x3bff200f,0x22fff441,0x7ec4fffd,0xffffffff,0x54c002ff,0x00000aaa,
    0x55440000,0x000002aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffb00000,0xfff887ff,0x7fffcc5f,0xfffff904,0xfffdfffd,
    0xf70019ff,0x3b107fff,0x00ffffea,0x90bfffee,0xfe83ffff,0xfff702ff,
    0xffffe80f,0xdfff302f,0x00ffffc4,0x00000000,0x7c3ffff1,0x7fdc4fff,
    0x4018807f,0x2fffe809,0xffffffd8,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fd40000,
    0x7fec1fff,0x7fff40ff,0x7ffdc406,0xffffffff,0x3bb3200b,0x800dffff,
    0x003ffffa,0x441ffffb,0x7fc6fffe,0xfff301ff,0x7ffc401f,0xfffb00ff,
    0x05fffc83,0x00000000,0xe87fffe2,0x7fdc3fff,0x4000007f,0xf901ffff,
    0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x27ffffcc,0x90ffffea,0x4003ffff,
    0xffffffea,0xfffff003,0x7d400bff,0xf1003fff,0xffa8bfff,0x3fffe3ff,
    0x0ffff502,0x20ffffd0,0xf885fffa,0x33302fff,0x33333333,0x01333333,
    0x7fffc400,0x50ffffa1,0x0000dfff,0x7f540000,0x0001efff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea00000,0xf985ffff,0x7fdc4fff,0xf93002ff,0x3bffffff,0xffffff00,
    0xa8019fff,0x5003ffff,0xfc87ffff,0x3ffa1fff,0xdfff905f,0x5ffff880,
    0x00ffff88,0x981ffff7,0xffffffff,0xffffffff,0x3e20002f,0x3ff61fff,
    0x37ffd42f,0x00000000,0x00004d4c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,0x3205ffff,
    0x7ec1ffff,0x36600fff,0xffffffff,0x2a02dfff,0xffffdcba,0x7ffd403f,
    0xfff8803f,0x7fffcc5f,0x17fffe44,0x013fffea,0x901ffff9,0xfe809fff,
    0x7ffcc4ff,0xffffffff,0x02ffffff,0x06666400,0x33013331,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0xfe803fff,0x7ffc46ff,0xffffd05f,
    0xffbfffbf,0x2001dfff,0x406ffffa,0x803ffffa,0x740ffffd,0x7c40efff,
    0xffcfffff,0x4c40ffff,0x82ffffeb,0x400ffff8,0x261ffffa,0xffffffff,
    0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffc80000,
    0xf5001fff,0xffa89fff,0xfffc83ff,0xa9fff8bf,0x2005ffff,0x407ffff8,
    0x403ffffa,0x642ffffb,0xf702ffff,0xffffffff,0xfffc87ff,0xfb04ffff,
    0x3f6007ff,0x3bba66ff,0xeeeeeeee,0x51eeeeee,0x55555555,0x2eee5555,
    0xbbbbbbbb,0xbbbbbbbb,0x00003bbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffb00000,
    0xdddddfff,0xfffb01dd,0xffffd83f,0x98f7fc41,0xffd11fff,0x44cd5443,
    0x5ffffea9,0x7fee665c,0x20ccceff,0x4c5ffff9,0x5c04ffff,0xffffffff,
    0xffffc82f,0x555101df,0x55544005,0xd000000a,0xffffffff,0x3ffedfff,
    0xffffffff,0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,
    0xffffffff,0xfff101ff,0x7ffc41df,0x7cc4b86f,0x2225c2ff,0xffffffff,
    0x7ec2ffff,0xffffffff,0x3ffa0fff,0x7fff40ff,0xedc8800f,0xf900bcef,
    0x000059bd,0x00000000,0x3ffffffa,0xff6fffff,0xffffffff,0xffffffff,
    0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e000000,0xffffffff,0xf500ffff,
    0xffa85fff,0xffa800df,0xfff8803f,0xffffffff,0xfffffd82,0x0fffffff,
    0x985fff91,0x0002fffe,0x00000400,0x00000000,0xffffffd0,0x3edfffff,
    0xffffffff,0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf0000000,
    0xffffffff,0x6c01ffff,0x03bb00bf,0x027ffdc0,0x7fffffc4,0xfb00beff,
    0xffffffff,0x4c881fff,0x00017aa0,0x00000000,0x00000000,0xfffffffd,
    0x2aadffff,0xaaaaaaaa,0xaaaaaaaa,0x0002aaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00001000,0x00fbbaa0,0x4cd554cc,0x00000000,0x00000000,
    0x00000000,0x11000000,0x11111111,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_42_latin_ext_x[560]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,0,1,3,3,2,
4,0,1,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,2,
2,3,2,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,3,2,4,4,0,2,1,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,2,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,2,1,2,0,0,2,3,3,0,0,4,
2,-6,-3,3,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_42_latin_ext_y[560]={ 31,2,2,4,0,1,2,2,0,0,2,9,23,17,
23,2,3,4,3,3,4,4,4,4,3,3,9,9,8,13,8,2,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,2,1,4,35,2,9,2,9,2,9,1,9,2,1,
1,2,2,9,9,9,9,9,9,9,3,10,10,10,10,10,10,1,-3,1,15,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,31,9,0,3,4,4,
-3,1,1,3,3,11,17,17,1,2,1,5,1,1,2,10,2,15,31,1,3,11,1,1,1,9,-4,-4,-4,-4,
-4,-5,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,1,1,-1,9,9,2,2,2,1,2,2,2,1,2,1,2,2,2,1,1,8,5,2,2,2,1,2,2,1,
-3,2,-4,2,4,9,-4,2,-4,2,-4,1,-4,2,-4,0,4,2,-3,2,-4,2,-4,1,4,9,-4,2,-4,2,
-4,2,-4,1,3,0,-4,-5,4,2,-4,1,-3,2,-4,2,4,1,-4,10,4,1,-4,2,4,2,10,-4,-5,4,
2,0,0,4,2,4,2,-4,2,4,9,-4,2,-2,4,9,-3,2,-4,2,-4,2,3,9,-4,2,4,9,-4,2,
-4,2,-4,2,3,9,-4,2,4,3,-4,0,4,3,-4,1,-3,2,-4,2,-5,-1,-4,2,4,10,-4,2,-4,2,
-4,-4,2,-4,1,-4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-9,-7,-4,2,-4,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,9,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_bold_42_latin_ext_w[560]={ 0,7,15,23,21,24,24,7,14,14,19,21,12,13,
9,20,22,19,19,19,23,18,20,19,19,20,9,12,18,19,18,15,23,24,20,20,22,17,17,22,21,18,16,21,
17,23,21,23,20,24,21,19,21,21,24,23,23,23,19,12,20,12,21,24,15,19,20,18,20,19,22,21,19,19,
17,20,19,21,19,21,20,20,19,18,20,19,23,23,23,23,18,16,5,16,23,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,21,23,23,
5,21,19,23,15,19,19,13,21,18,17,19,15,15,22,21,21,9,7,15,15,19,24,24,24,15,24,24,24,24,
24,24,24,20,20,21,20,20,21,21,21,21,23,22,23,23,23,23,23,19,23,22,22,22,22,23,20,21,21,22,
21,21,21,21,23,18,21,22,21,21,21,22,21,21,21,21,22,22,22,22,22,21,21,21,22,21,21,23,20,23,
24,21,24,21,24,19,22,23,20,20,20,20,20,20,24,27,23,22,20,21,20,21,20,21,18,19,20,21,22,22,
22,22,22,22,22,22,22,21,23,21,21,21,21,21,21,21,18,20,21,19,21,20,19,19,21,20,20,21,21,17,
19,27,27,21,26,21,19,22,22,21,19,22,21,21,21,19,23,22,23,22,25,25,23,23,24,22,21,19,24,22,
21,22,21,21,19,18,21,21,21,20,22,27,21,21,22,21,22,21,22,21,22,21,25,25,21,20,23,23,23,23,
23,21,22,21,21,21,21,17,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,24,21,24,23,28,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,19,18,21,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__consolas_bold_42_latin_ext_h[560]={ 0,30,11,27,37,31,30,11,40,40,18,21,16,6,
9,34,29,27,28,29,27,28,28,27,29,28,23,30,24,13,24,30,39,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,36,27,29,27,28,27,27,27,27,27,39,34,39,14,5,9,23,30,23,30,23,30,31,29,30,
39,29,29,22,22,23,31,31,22,23,29,22,21,21,21,30,21,39,43,39,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,37,28,27,27,
43,35,10,29,22,18,11,6,21,9,16,26,18,18,9,30,34,9,7,18,22,18,30,30,30,31,35,35,35,35,
35,36,27,35,35,35,35,35,35,35,35,35,27,35,36,36,36,36,36,19,37,36,36,36,36,35,27,31,30,30,
30,31,31,33,23,29,30,30,30,31,29,29,29,30,30,30,30,30,30,31,31,23,31,30,30,30,31,38,38,39,
34,30,35,30,36,31,36,30,36,30,36,31,36,30,35,32,27,30,34,30,35,30,35,31,36,31,35,30,36,38,
36,38,36,39,37,40,35,36,27,29,35,30,34,29,35,29,36,39,35,21,28,39,36,38,36,38,21,35,36,36,
38,31,31,27,29,27,29,35,29,36,31,35,29,33,36,31,35,30,36,30,36,30,29,23,35,29,36,31,35,29,
36,30,36,30,35,29,36,30,36,37,35,32,27,29,36,31,35,30,36,30,37,33,36,30,36,30,35,29,35,38,
35,35,29,35,30,35,29,30,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,35,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,40,39,35,30,40,36,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,37,31,36,37,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__consolas_bold_42_latin_ext_s[560]={ 509,504,391,153,1,88,266,501,65,80,226,
458,316,371,500,112,402,220,143,490,240,124,103,442,65,82,502,70,482,351,1,
492,309,67,399,173,479,461,1,194,352,92,65,330,111,129,177,240,199,201,264,
311,420,43,374,43,19,306,286,163,133,296,329,385,493,87,177,20,471,129,448,
388,471,492,278,85,1,226,268,168,1,276,206,149,491,248,369,326,413,266,350,
261,7,200,427,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,509,503,89,
163,207,437,1,230,407,287,190,206,371,371,304,474,298,462,190,246,451,313,90,
501,500,262,288,278,423,1,198,273,115,306,257,47,22,115,412,373,1,460,439,
415,351,208,164,47,297,69,23,163,24,468,461,480,128,374,351,260,213,94,391,
22,112,89,67,66,135,198,63,427,448,425,403,203,151,217,380,291,244,381,335,
358,289,180,157,107,113,470,312,23,44,401,357,176,22,45,482,178,336,368,152,
375,361,313,293,297,308,245,457,248,367,352,69,222,436,156,1,450,427,472,394,
1,140,466,1,378,92,238,46,13,165,70,343,382,72,200,47,106,482,358,492,
217,392,393,185,142,397,446,439,425,437,186,1,485,489,225,318,253,331,231,446,
92,128,417,410,252,425,176,329,430,298,83,236,106,187,129,466,39,367,42,48,
253,140,404,446,290,405,26,331,23,314,223,271,107,275,220,321,21,382,346,188,
155,226,134,23,154,175,356,249,335,282,447,140,333,233,211,264,118,48,345,1,
334,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,322,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,95,120,414,399,36,283,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,69,492,271,107,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275, };
static unsigned short stb__consolas_bold_42_latin_ext_t[560]={ 1,120,434,382,45,228,261,382,1,1,434,
411,434,446,411,192,323,382,353,292,382,353,353,382,323,353,353,292,382,434,411,
261,1,382,382,323,353,353,383,323,382,382,353,382,382,382,382,323,382,45,382,
323,382,353,382,382,383,382,382,1,192,1,434,446,434,411,292,411,261,411,261,
192,323,228,1,323,353,411,411,411,229,192,411,411,323,411,411,411,411,292,411,
1,1,1,434,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,1,83,45,
353,353,353,1,120,434,323,411,434,434,446,411,434,434,382,434,434,434,292,192,
394,421,434,411,434,261,292,292,228,120,156,156,156,157,83,353,156,157,120,120,
156,156,120,120,120,353,120,120,83,83,45,83,411,45,83,83,83,83,156,353,
228,261,261,261,228,228,192,411,292,228,228,228,228,323,323,323,261,261,228,228,
228,228,228,228,411,228,228,228,261,228,1,1,1,193,261,156,261,45,192,45,
261,45,261,45,192,83,292,156,192,353,261,192,261,156,261,193,192,45,192,156,
261,83,1,83,1,83,1,45,1,156,83,353,292,156,261,192,323,120,323,45,
1,120,411,353,1,83,1,83,1,411,120,120,83,1,228,192,353,323,353,292,
120,323,83,192,120,323,192,83,192,120,292,83,292,83,292,292,411,120,323,83,
228,156,292,45,292,45,292,156,323,45,292,45,45,120,192,353,353,45,192,156,
292,45,261,45,192,45,292,45,292,156,323,120,1,156,156,323,156,292,120,323,
261,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,120,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,1,1,120,261,1,83,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,45,192,45,45,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353, };
static unsigned short stb__consolas_bold_42_latin_ext_a[560]={ 369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_42_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_42_latin_ext_s[i] + stb__consolas_bold_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_42_latin_ext_t[i] + stb__consolas_bold_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_42_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_42_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_42_latin_ext_x[i] + stb__consolas_bold_42_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_42_latin_ext_y[i] + stb__consolas_bold_42_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_42_latin_ext_s[i] + stb__consolas_bold_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_42_latin_ext_t[i] + stb__consolas_bold_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_42_latin_ext_x[i] + stb__consolas_bold_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_42_latin_ext_y[i] + stb__consolas_bold_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_42_latin_ext_LINE_SPACING
#endif

