// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT        472
#define STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_43_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_43_latin_ext_LINE_SPACING          28

static unsigned int stb__consolas_bold_43_latin_ext_pixels[]={
    0x26155553,0x0000aaaa,0x37ffffee,0x00000400,0x00000000,0x55500000,
    0x66543555,0xcccccccc,0x99999931,0x32659999,0x00001aac,0x0265d4c0,
    0x0000d440,0x00000400,0x30003751,0x054c0035,0x00ae6000,0x00000000,
    0x0007ddd5,0x03333260,0xccccc880,0x004ccccc,0x00099999,0x66540000,
    0x8000cccc,0x000cccc9,0x0e666400,0x01999970,0xcccc8800,0x7fffdc3c,
    0x01ffff70,0x3ffff200,0x04e8803f,0xfe880000,0x000dffff,0x0000bb00,
    0x1bfffffb,0x7fffffe4,0xff73ffff,0xffffffff,0x3ffffee7,0x5c00001e,
    0x00ffffff,0x03bffea0,0xedb88000,0x0001bdff,0x007ffff3,0x202fffec,
    0x003fffe8,0x01dfffb0,0x5406ff4c,0x00000cfe,0x0005fffd,0xdfffff30,
    0x3ffe6001,0x7fffffff,0x7ffff880,0x50000000,0x03dfffff,0xfffff300,
    0x3600001d,0xd01fffff,0x0003ffff,0x5fffff88,0xb87fffdc,0x8000ffff,
    0x00dffffc,0x004ffe88,0x3ffa2000,0x00003fff,0x80017ff6,0x82fffffd,
    0xfffffffc,0xfff73fff,0x7fffffff,0x3fffffee,0xe880005f,0x0fffffff,
    0xfffff100,0x3ea0000b,0xffffffff,0xfffe8004,0xffb800ff,0x3f603fff,
    0x4000ffff,0x04fffffa,0x98dffff1,0x0004ffff,0x00ffff88,0x7fffc400,
    0xf3005fff,0xffffffff,0xfff100ff,0x000000ff,0xbfffff50,0xfff10001,
    0x000bffff,0xffffffb0,0xffffd03f,0xfff00003,0xfffb8bff,0x1ffff70f,
    0xffffc800,0x3fffa003,0x8800004f,0x01effffe,0x3fff6000,0xffd8005f,
    0xff900eff,0xffffffff,0x3ffffee7,0xf73fffff,0x5fffffff,0xfffd8000,
    0x000fffff,0x0ffffff5,0xfffd8800,0xffffffff,0x3ffe2004,0xfd802fff,
    0x3e05ffff,0x003fffff,0x37ffffe4,0x1fffffa8,0x01fffff2,0x1bffee00,
    0xfffd1000,0x00bfffd9,0xfffffff3,0xf100ffff,0x0000ffff,0xffffa800,
    0xfd10003f,0xbfffd9ff,0x7ffe4000,0x40ffffce,0x001ffffe,0x5fffff80,
    0xb87fffdc,0x2000ffff,0x00099998,0x27ffffdc,0xffd10000,0xfffc89ff,
    0x7ffec003,0x7ec001ff,0x7e404fff,0xaaaabfff,0x5555510a,0x227ffff7,
    0xfffffcaa,0xff50000f,0x0557dfff,0x7ffffcc0,0x7ff40007,0xffecefff,
    0xf1004fff,0x005fffff,0x09fffffb,0x17fffffc,0x3ffff200,0xffff506f,
    0x7fffdc1f,0xffe80007,0x3a20005f,0xffd14fff,0xaaa880bf,0x7ffffbaa,
    0x7ffff880,0x2a000000,0x001effff,0x29fffd10,0x005fffe8,0x90efffc8,
    0x7f41dfff,0x80001fff,0x5c4fffff,0xff70ffff,0x322001ff,0x8002defe,
    0x03fffffb,0x99995000,0x01ffff05,0x7ffffe40,0x4ccc4001,0xfffc8009,
    0xff10000f,0x3f6207ff,0xd0003fff,0x0007ffff,0x04ffffe8,0x3ffff200,
    0x7ffec40d,0xfffb001f,0xff5001df,0x7e403fff,0x4000ffff,0x03fffff9,
    0xf117fffa,0x80007fff,0x003ffff9,0x10fbbb20,0x0007dddb,0x00fffff1,
    0x00fffff1,0x3ba60000,0x20000cee,0x6c43eeec,0x2a003eee,0x75c0deee,
    0x3fffa5ee,0xff80001f,0x7fdc4fff,0xffff70ff,0xffff3001,0x90009fff,
    0x003fffff,0x3fe60000,0x3fea006f,0x88001fff,0xf9001bba,0x20001fff,
    0x203ffff8,0x004ffff9,0x00dffff0,0x07ffb100,0x7fffd400,0x27fff404,
    0x1effd880,0x0bffea00,0x007bff20,0x01fffd40,0x6440f6e2,0xa980002d,
    0x00000aaa,0xf8800000,0xf8807fff,0x00007fff,0x00000000,0x00000000,
    0x07ffffa0,0x3fffe000,0x7fffdc4f,0x01ffff70,0xf97bfff0,0xfb0005ff,
    0x0000dfff,0x0fffee00,0x7ffffc40,0xfffa8002,0x7e400dff,0x10000fff,
    0xe807ffff,0x88005fff,0x0003ffff,0x3e200000,0xf8804fff,0x008007ff,
    0x00000000,0x00000100,0x00000000,0x00000000,0x00fffff1,0x00fffff1,
    0x00000000,0x00000000,0x7fff4000,0xfe80001f,0x7fdc4fff,0xffff70ff,
    0x47ff9801,0x88004ffc,0x003fffff,0x3bb2a600,0x001ffffe,0x00bffffb,
    0xffffff30,0xfffc80df,0xff10000f,0xffd807ff,0xff98006f,0x000002ff,
    0x3ffee000,0xfffb000f,0x00000005,0x00000000,0x00000000,0xaa880000,
    0x22000aaa,0x400aaaaa,0x807ffff8,0x447ffff8,0x2009bdca,0x00aaaaa8,
    0x2aaaaa20,0xbb975000,0x55555559,0x55555015,0x55555555,0x7fff4355,
    0x2aaa201f,0x7fff42aa,0x7fffdc3f,0x01ffff70,0x320fff88,0xf50004ff,
    0x0003ffff,0xffffff98,0x5007ffff,0x001fffff,0xf75dffd0,0x7fe407ff,
    0xf10000ff,0xfc807fff,0xf98007ff,0x40002fff,0xaacddcba,0x80aaaaaa,
    0x2002ffff,0x2a25fffb,0xaaaaaaaa,0x2aaa002a,0x5554402a,0x5555541a,
    0xaaaaaaaa,0x555511aa,0x55440015,0x75000aaa,0x55559bb9,0x3e215555,
    0x2003ffff,0x806ffffc,0x807ffff8,0xd17ffff8,0x3fffffff,0x3ffffe20,
    0x3fff2003,0xffea806f,0xffffffff,0xfe81ffff,0xffffffff,0x3a3fffff,
    0xd101ffff,0xe85fffff,0x7dc3ffff,0xfff70fff,0xdffd001f,0x003fffb9,
    0x2fffff40,0xffff7000,0xffffffff,0xffffd00b,0xfff10007,0x902ffdc1,
    0x0001ffff,0x00ffffe2,0x000ffff9,0x005ffff3,0x3ffffaa0,0xffffffff,
    0x7ffd41ff,0x7ffcc006,0x3ffffe66,0x007fffff,0x80fffff1,0x745ffffa,
    0xffffffff,0x13ffffff,0x007fffff,0x037fffe4,0x7fffff54,0xffffffff,
    0x3ffff61f,0x3fffe006,0xfff8803f,0xfff8807f,0xffffe8ef,0xb02fffff,
    0x400dffff,0x403fffff,0xfffffffe,0xffffffff,0xffffe81f,0xffffffff,
    0x3fffa3ff,0xffffb01f,0xffffb07f,0x0ffffb87,0x001ffff7,0xffffffd1,
    0xff980007,0xd8000fff,0xffffffff,0x05ffffff,0x01bfffe6,0x2a3ffc40,
    0x3ff205ff,0xf10000ff,0xfc807fff,0xf98007ff,0xe8002fff,0xffffffff,
    0xffffffff,0x11ffff41,0xfb77bdb7,0xff99fffe,0xffffffff,0xffff1007,
    0xffffa80f,0x7fffff45,0xffffffff,0x3ffff63f,0x3fffe006,0x7fff403f,
    0xffffffff,0x2a1fffff,0x801fffff,0x00fffff9,0x07ffff88,0xffffff88,
    0xffffffff,0xffa81fff,0xf9801fff,0x3200ffff,0xfeffffff,0xffffffff,
    0xffffe81f,0xffffffff,0x3fffa3ff,0xffffc81f,0xffffb04f,0x0ffffb85,
    0x001ffff7,0x0066f65c,0xffffd800,0x7ffdc002,0xffdcefff,0x903fffff,
    0x0007ffff,0xfd89fffc,0x3fff204f,0xff10000f,0xffc807ff,0xff98007f,
    0x7e4002ff,0xffefffff,0xffffffff,0x43fffe61,0xffffffe9,0x21fffd6f,
    0xfffffff9,0xf1007fff,0xfa80ffff,0x7ff45fff,0xffffffff,0x3ea3ffff,
    0x9801ffff,0x200fffff,0xeffffffc,0xffffffff,0x7fffc1ff,0xfffc804f,
    0xfff1005f,0xfff100ff,0xbdffffff,0x09ffffff,0x013ffffe,0x817ffff2,
    0x22fffff9,0xbfffffc9,0xcccb80aa,0xfecccccc,0x3ffa3fff,0x7ffdc1ff,
    0x3ff605ff,0x7ffdc2ff,0x1ffff70f,0x2aaaaa00,0xb80001aa,0x4005ffff,
    0x21efffff,0xfffffffb,0xfffff80f,0x3fee0000,0x00ffffff,0x003ffff2,
    0x1ffffc40,0x03ffff20,0x3ffff500,0x7fffcc00,0x3fff262f,0x2a0aabff,
    0x3ffe5fff,0xd6ffffff,0x33221fff,0xffffdccc,0xffff1007,0xffffa80f,
    0x666665c5,0xfffecccc,0x7ffffc3f,0xffffc804,0x3fffe605,0x3fff262f,
    0x640aabff,0xf807ffff,0x1002ffff,0x100fffff,0xbfffffff,0x7ffff443,
    0xffffc80f,0xfffff807,0x3ffff202,0x7ffff702,0x3ff20000,0x3fffa3ff,
    0x3fffe61f,0x7ffec05f,0x7fffdc2f,0x01ffff70,0xffffff10,0xf10000bf,
    0x2001ffff,0x40effffb,0xfffffffe,0x7fffd44f,0xffd80005,0x6402ffff,
    0x0000ffff,0x807ffff1,0x001ffffb,0x007fffdc,0x05ffff90,0x40ffffee,
    0xff73fffc,0xbfffffff,0x1007fff6,0x200fffff,0x407ffff8,0x005ffffa,
    0x87ffff90,0x807ffffc,0x202fffff,0x702ffffc,0x4c07ffff,0x202fffff,
    0x007ffffa,0x01ffffe2,0x3fffffe2,0xfffff105,0xfffff307,0x7fffd405,
    0x37ffec07,0x0dffff10,0x3fff2000,0x3ffffa3f,0xdfffff11,0xffffc801,
    0x87fffdc2,0x800ffffb,0xfffffffa,0xffb00007,0xff1005ff,0xff883fff,
    0x6ffffcff,0x017fffe4,0xcefda800,0xffffc800,0xfff10000,0xfff9807f,
    0x7ffc005f,0x7fec007f,0x3ffe206f,0x3fffd06f,0x7ed3fffe,0x5fffb4ff,
    0x7ffff880,0xfffff100,0x5ffffa80,0xffff9000,0xfffff987,0x3fffea02,
    0x37ffec07,0x0dffff10,0x05ffffe8,0x013ffff6,0x07ffff88,0xefffff88,
    0x3ffff600,0xbffffd05,0x27fffec0,0x017fffe0,0x000ffffd,0x8fffff20,
    0xe89ffffe,0x800effff,0x5c1ffffc,0xff70ffff,0xff9001ff,0x03ffffff,
    0xffff7000,0xffff5007,0x3bfff50f,0x6c1fffff,0x0001ffff,0x7fe40000,
    0xf10000ff,0xfd007fff,0x2013bfff,0x4ffffea8,0x2ffffc00,0x21ffffa0,
    0xf98ffff8,0xfffb0fff,0x00bfff27,0x00fffff1,0x01ffffe2,0x00bffff5,
    0x0fffff20,0x817ffffa,0x404ffffd,0x7405ffff,0x7d407fff,0xf880ffff,
    0x2000ffff,0x807ffff8,0x00fffff8,0x837fffdc,0x80fffffa,0x00fffff8,
    0x203ffff4,0x0006fffe,0x47ffff90,0xfd9ffffe,0x9001ffff,0xfb83ffff,
    0xfff70fff,0xffff001f,0x009fffff,0x9ffff500,0x9ffff900,0x3a5fffb0,
    0x3fa3ffff,0x20000fff,0xcdeccba8,0x7ffe402b,0xff10000f,0xff3007ff,
    0x27ffffff,0xfffffffe,0x7ff4000e,0x7fff407f,0x96fffa86,0x7ff4bfff,
    0x05fff93f,0x07ffff88,0x0fffff10,0x05ffffa8,0x7ffff900,0x1fffff50,
    0x1fffff10,0x07fffe80,0x4037fff4,0xb82fffff,0x4005ffff,0x807ffff8,
    0x807ffff8,0x207ffffa,0xb82fffff,0xd805ffff,0xf302ffff,0x00009fff,
    0xe8fffff2,0xfffdffff,0x3ee001ff,0x7fdc1fff,0x260000ff,0xffffffff,
    0xf980006f,0xfd805fff,0x7fc42fff,0xffffb0ff,0x03ffffc9,0xffffeb80,
    0x3fffffff,0x01ffff90,0x3fffe200,0xffd91003,0x3ffa7fff,0x0003efff,
    0x205ffffb,0xb84ffff9,0xfffb5fff,0xd97fffc7,0x7c401fff,0xf1007fff,
    0xfa80ffff,0x90005fff,0x3e07ffff,0xfb82ffff,0xfd805fff,0xff302fff,
    0xff9009ff,0xfffd0bff,0xff88005f,0xff8807ff,0xffa807ff,0x3ff207ff,
    0xfffe85ff,0xfffb802f,0x7ff441ef,0x900002ff,0x7f47ffff,0xffffffff,
    0x7ffdc005,0x7fffdc0f,0x3fee0000,0xfffffbff,0x7fc40000,0xffe806ff,
    0x7ffd41ff,0x53ffff25,0x006ffff8,0xfffffff0,0xdfffffff,0x01ffff90,
    0x3fffe200,0xfffb3003,0x3ffa7fff,0x000cefff,0x1effffb8,0x17ffff44,
    0xfea7ffdc,0x3fffe2ff,0x803fffb1,0x007ffff8,0x80fffff1,0x005ffffa,
    0x07ffff90,0x217ffff2,0x802ffffe,0x41effffb,0x02ffffe8,0x0fffff98,
    0x01ffffe6,0x1ffffe20,0x1ffffe20,0x1ffffe60,0x0fffff98,0x01ffffe6,
    0xffffffe8,0x5fffffdc,0x3ff20000,0x3fffa3ff,0x2fffffef,0x3fffee00,
    0x07fffdc0,0xffffd000,0x07ffffd1,0xfffff000,0x3fffff00,0x323fffd8,
    0xff35ffff,0x3e000bff,0xffffffff,0x44ffffff,0x000ffffc,0x07ffff10,
    0xffffff50,0x3fffa7ff,0x000effff,0xffffffe8,0x5fffffdc,0x3e7fff90,
    0xfff11fff,0x03fff61f,0x0fffff10,0x1ffffe20,0x0bffff50,0x3ffff200,
    0xfffff303,0x3ffffcc1,0xfffffd00,0xfffffb9f,0x7fff400b,0x3fffee3f,
    0xfff88004,0xfff8807f,0xfffa807f,0x7fff406f,0x3fffee3f,0x3ffee004,
    0xffffffff,0x200000ff,0x3a3ffffc,0xffe9ffff,0xf7001fff,0xffb81fff,
    0xf10000ff,0x3ff2dfff,0xf80005ff,0xff806fff,0x7ffc0fff,0x3fffee0f,
    0x0dffff36,0x2afbfe00,0xfffb9899,0x3ff20fff,0xf10000ff,0xff007fff,
    0x44039fff,0x04ffffe9,0xfffffb80,0xffffffff,0x27fff900,0xff31ffff,
    0x07fff4ff,0x1ffffe20,0x3ffffc40,0x17fffea0,0x7fffe400,0x3ffffa03,
    0x13fffee3,0xfffffb80,0xffffffff,0x3ffee000,0x3ffffe6f,0xfff88001,
    0xfff8807f,0xfffb807f,0x7ffdc05f,0x3ffffe6f,0xffff1001,0xffffffff,
    0xc8000019,0x3fa3ffff,0xfff89fff,0xa8800eff,0xfffb82aa,0xff50000f,
    0x3ffe67ff,0x7c40007f,0x7c405fff,0x3e60ffff,0x7ffdc6ff,0xfffff15f,
    0x2002e000,0x22fffff8,0x000ffffc,0x07ffff10,0x04ffffa8,0x1ffffe20,
    0xfffff100,0x9fffffff,0x97ffec01,0xff31ffff,0x03fffcff,0x03ffffc4,
    0x07ffff88,0x02ffffd4,0x3ffffc80,0x9bfffee0,0x001fffff,0xfffffff1,
    0x019fffff,0xfffff880,0x06ffff99,0xfffff100,0xfffff100,0x7ffffd00,
    0xfffff880,0x06ffff99,0x2b7fff60,0x00bceeed,0xfff90000,0x7ffff47f,
    0xbfffff51,0x3fee0000,0xfb0000ff,0x7ffc3fff,0x260002ff,0x4404ffff,
    0x320fffff,0x7fdc3fff,0x3fffe4ff,0xc8000007,0x3f23ffff,0x10000fff,
    0xb807ffff,0x4000ffff,0x000ffffc,0x36b7fff6,0x800bceee,0xfff2fffd,
    0x5bffea3f,0x8805fff8,0x1007ffff,0xa80fffff,0x0005ffff,0x407ffff9,
    0x99fffff8,0x2006ffff,0xedadfffd,0x0000bcee,0x32fffff2,0x0002ffff,
    0x00fffff1,0x80fffff1,0x02fffff9,0xcbffffc8,0x1002ffff,0x0003ffff,
    0x3ff20000,0x3fffa3ff,0x3ffff61f,0xfb80004f,0xf0000fff,0xffd8ffff,
    0x2a0004ff,0x4403ffff,0x3e1fffff,0x7fe41fff,0x3fffa3ff,0x4000000f,
    0x324ffffb,0x0000ffff,0x807ffff1,0x8007fffc,0x001ffffa,0x003ffff1,
    0x25fffb00,0xffb1ffff,0x0fffeedf,0x1ffffe20,0x3ffffc40,0x17fffea0,
    0x7fffe400,0x7fffe403,0x02ffffcb,0x03ffff10,0x7fcc0000,0x7ffffeff,
    0x3ffe2000,0xfff8807f,0x3ffa207f,0xf9800eff,0xffffefff,0x3ffea007,
    0x0000002f,0x47ffff90,0x221ffffe,0x02fffffe,0x2e0fff62,0x5530ffff,
    0x3fe60155,0x7ffdc5ff,0x3ee0007f,0xff802fff,0xfff31fff,0x5ffff90d,
    0x017fffec,0x3fee0000,0x3fff24ff,0xff10000f,0xffc807ff,0xff98007f,
    0xff5002ff,0x900005ff,0x3ffa7fff,0xeffffaaf,0x800fffe8,0x007ffff8,
    0x80fffff1,0x005ffffa,0x07ffff90,0xfeffff98,0x2a007fff,0x0002ffff,
    0x7ffff400,0x0004ffff,0x01ffffe2,0x03ffffe2,0x3fffffa6,0x3fffa002,
    0x004fffff,0x2fffffea,0x00000099,0x47ffff90,0x4c1ffffe,0x01ffffff,
    0xb87ffffd,0xff70ffff,0x3ff201ff,0x7ffc42ff,0xfd0001ff,0xff003fff,
    0x3fee5fff,0xffffd84f,0x17ffff21,0xfdb93000,0xffffffff,0x07fffe49,
    0xffff8800,0x3fffe403,0x7fffcc00,0xffff5002,0x0001337f,0x3f69fff7,
    0xffffffff,0x006fffff,0x00fffff1,0x01ffffe2,0x00bffff5,0x0fffff20,
    0x3fffffa0,0x2a004fff,0x99bfffff,0x7dc00000,0x1fffffff,0xffffff80,
    0xffffffff,0xff11ffff,0xdbbdffff,0x0bffffff,0xfffffb80,0x22001fff,
    0xffffffff,0x1cdeffff,0x3ff20000,0x3fffa3ff,0xffffb81f,0x7ffcc0ef,
    0x7ffdc7ff,0x1ffff70f,0x03ffffa0,0x00fffffa,0x1bfffe20,0xaffffec0,
    0x7c41fffe,0x3e60ffff,0x8000ffff,0xffffffea,0x4fffffff,0x003ffff2,
    0x1ffffc40,0x01ffff20,0x0bfffe60,0x7ffffc40,0xefffffff,0xfff501cd,
    0x3ffffea9,0xffffffef,0x7ffffc1f,0xffffffff,0x221fffff,0x5407ffff,
    0x0005ffff,0x007ffff9,0xfffffff7,0x7fc4003f,0xffffffff,0x001cdeff,
    0xffffff88,0xffff006f,0xffffffff,0x23ffffff,0xfffffff8,0xffffffff,
    0x7fc4000e,0x006fffff,0xffffffa8,0xffffffff,0xc80000df,0x3fa3ffff,
    0xffb01fff,0xffa8bfff,0x7fdc7fff,0xffff70ff,0xdffff101,0x1bffff20,
    0x3fffee00,0xffff7003,0x50ffff3f,0xfd0fffff,0xc8005fff,0xffffffff,
    0x4fffffff,0x003ffff2,0x1ffffc40,0x01ffff20,0x0bfffe60,0xfffffa80,
    0xffffffff,0x7fd40dff,0x3ffffa5f,0x5fffffb6,0xfffffff0,0xffffffff,
    0x7fc43fff,0x7fd407ff,0xf90005ff,0xf1007fff,0x0dffffff,0xfffff500,
    0xffffffff,0xc8001bff,0x02ffffff,0xfffffff0,0xffffffff,0x3fe23fff,
    0xffffffff,0x0003ffff,0x3ffffff2,0xfff90002,0xffffffff,0x001dffff,
    0x3ffffc80,0x407ffffa,0x4fffffe8,0x17ffffe2,0x2e1ffff7,0xfb80ffff,
    0xff504fff,0xe8001fff,0x1000ffff,0xffdfffff,0xffffd09f,0xbffff707,
    0x7fffe400,0xdcccceff,0x3f24ffff,0x10000fff,0xc807ffff,0x98007fff,
    0x4002ffff,0xfffffffc,0xffffffff,0x9fffe60e,0x910ceec8,0x3fe037dd,
    0xffffffff,0xffffffff,0x1ffffe21,0x0bffff50,0x3ffff200,0xffff9003,
    0x320005ff,0xffffffff,0xefffffff,0x3ffe6000,0x3fe006ff,0xffffffff,
    0xffffffff,0xffffff11,0x19dfffff,0xfff98000,0xf90006ff,0xddddffff,
    0xfffffffd,0xffd80009,0x3fffa3ff,0x3ffe601f,0x3fee2fff,0x7ffdc0ef,
    0x1ffff70f,0x03ffffb0,0x0bffffe2,0x5ffffa80,0x7ffff400,0x7ec2ffff,
    0xff106fff,0xf1003fff,0x201bffff,0x324ffffb,0x0000ffff,0x807ffff1,
    0x8007fffd,0x002ffff9,0x3bfffff2,0xffffeeee,0x3fe24fff,0x400001ff,
    0xffffffff,0xffffffff,0x3ffe21ff,0x7ffd407f,0xffb0005f,0x3e6007ff,
    0x0006ffff,0xddfffff9,0xfffffddd,0x7cc009ff,0x0002ffff,0x3fe20000,
    0x0aa98fff,0x7fcc0000,0xb8002fff,0x200effff,0x06ffffe9,0x7fffec00,
    0x10000002,0x3ffee055,0x1ffff70f,0x99fffff0,0xfff99999,0x3a200bff,
    0x4002ffff,0xfffffff9,0xffffb517,0x7ffec05f,0xfffa806f,0x3fee00ff,
    0x3fff24ff,0xff10000f,0xffd807ff,0xff98006f,0xff7003ff,0x74c01dff,
    0x7f46ffff,0x000004ff,0x5fffd800,0xfffa8000,0xffb0004f,0x3e6005ff,
    0x8002ffff,0x00effffb,0x1bffffa6,0x6ffffe80,0x40000000,0x007ffff8,
    0xfffe8000,0xff88006f,0xf9800fff,0x0000ffff,0x003ffffe,0x5c000000,
    0xff70ffff,0xfffa81ff,0xffffffff,0x07ffffff,0x0bffff90,0x3ffff200,
    0xffffffff,0x7c406fff,0x6403ffff,0x6405ffff,0x3f24ffff,0x10000fff,
    0xe807ffff,0xf0005fff,0xf1009fff,0x3001ffff,0x541fffff,0x00007fff,
    0x7ffe4000,0xff700006,0x3e0007ff,0xd000ffff,0x000dffff,0x01fffff1,
    0x1fffff30,0xfffff700,0x65400005,0xff8804cc,0x000007ff,0x17ffffdc,
    0x7fffcc00,0xffff3006,0x7fd4000f,0x993007ff,0xff800199,0x7ffdc5ff,
    0x1ffff70f,0xffffffc8,0xffffffff,0x4c01ffff,0x000fffff,0x3fffff60,
    0xffffffff,0xfffb800e,0x3ff200ff,0x3ff207ff,0x3ff24fff,0xf10000ff,
    0x7d407fff,0xf0004fff,0x9801ffff,0x3006ffff,0xff0fffff,0x000009ff,
    0x3fffe600,0xffb00001,0xf50005ff,0x2e00ffff,0x002fffff,0x06ffff98,
    0x0fffff30,0xbfffff70,0xffd80000,0xfff8806f,0x2000007f,0x05fffffb,
    0xfffff500,0xffff9003,0x4401750b,0x006ffffe,0x800ffff9,0x5c2ffff8,
    0xff70ffff,0xffff81ff,0xffffffff,0x4fffffff,0x3ffffa20,0xffd80003,
    0xffffffff,0x7fec004f,0xff700eff,0xfd887fff,0x324fffff,0x0000ffff,
    0x207ffff1,0x02ffffe9,0xbffffb00,0x7fffd401,0xfffc801f,0xffffc85f,
    0x001c8804,0x0dfff900,0x3ffe6000,0x802ea1ff,0x06ffffe8,0x5fffffb8,
    0xffff5000,0xfff9003f,0xecbcb8bf,0x00efffff,0x7fffc000,0xffff8803,
    0x79700007,0xdfffffd9,0x3fe20001,0x9809efff,0x82fffffd,0xaaabdffb,
    0x1ffffffc,0x09fffd00,0x87fffa80,0xf70ffffb,0x7fcc1fff,0xccccceff,
    0xfffecccc,0xfffd106f,0x2a0000bf,0xffffffff,0xf88002df,0x980effff,
    0xcfffffff,0xfffffffe,0x3ffff24f,0x31cccccc,0xffb99999,0x3b7267ff,
    0x006fffff,0x3ffffe60,0x7fc44cef,0x9809efff,0x82fffffd,0xadfffff9,
    0x07ff6a20,0x7ffec000,0x2b3a000f,0xfffffb99,0x55effdc5,0xfffffcaa,
    0x765e5c1f,0x00efffff,0xfffff100,0xffb3013d,0xffe85fff,0x1fffffff,
    0x7fc40000,0xff8801ff,0xd00007ff,0xffffffff,0xfd80003f,0xefffffff,
    0xfffffffe,0xfffff703,0xffffffff,0x7fffc007,0x7ffe4002,0x0ffffb84,
    0x5c1ffff7,0x5003ffff,0xd01fffff,0x001fffff,0x2ffff600,0x80000aaa,
    0x05fffffa,0xfffffffb,0xffdbffff,0x7fffe49f,0x73ffffff,0xffffffff,
    0x3ffee7ff,0x001fffff,0x7ffffe40,0x7fec0fff,0xeeffffff,0x3fffffff,
    0x3ffffea0,0xfffffeff,0xfb00001f,0x00fdffff,0xffffffff,0xffb83fff,
    0xffffffff,0xffe83fff,0x1fffffff,0x7ffec000,0xfeefffff,0x83ffffff,
    0xfffffffe,0xa800001e,0xf1006fff,0x0000ffff,0x3ffffffa,0x880001ef,
    0xfffffffe,0xffffffff,0x3fffee04,0xffffffff,0x3ffe6004,0x7ff4000f,
    0xffffb81f,0x41ffff70,0x001ffffe,0x87fffff1,0x01fffffd,0xffff1000,
    0x2a000001,0x885fffff,0xffffffff,0x9fffb5ff,0x7fffffe4,0xff73ffff,
    0xffffffff,0x3ffffee7,0x880002ff,0xfffffffc,0x7ffff440,0xffffffff,
    0xf9804fff,0xffffffff,0x0001ffff,0xffffff50,0xfffff00f,0x709fffff,
    0xffffffff,0x3a09ffff,0xefffffff,0xfe880001,0xffffffff,0x04ffffff,
    0x7ffffffd,0x7e400000,0xff1004ff,0x20000fff,0x3ffffffe,0xfeb80000,
    0xffffffff,0x7d400cff,0xffffffff,0x7dc001df,0xff8005ff,0xffff706f,
    0x43fffee1,0x007ffff8,0x22fffff4,0x001ffffc,0x17ffea00,0xff500000,
    0x3f2203ff,0x22dfffff,0x3f24fffd,0xffffffff,0xfffff73f,0x2e7fffff,
    0x00ceffff,0x7fecc000,0xfd700fff,0xffffffff,0x4c0019ff,0xfffffffe,
    0x00002dff,0x3fffffdc,0x7fffffc0,0xff501eff,0xffffffff,0x7fff403b,
    0x00003fff,0xfffffeb8,0x0cffffff,0x2af3bae0,0x5c000000,0x2a001ccc,
    0x00002aaa,0x01579dd7,0xcb980000,0x0aacdedc,0x76e65400,0x50001acd,
    0x30003999,0x3fee0133,0xffff70ff,0x13fffea1,0xfffff900,0x0001df90,
    0x03fffc80,0xffa80000,0xaaa98801,0x5554c000,0x0aaaaaaa,0x55555551,
    0x2aa23555,0x20000001,0xb9802a98,0xaacdedcc,0x2e620000,0x000abced,
    0x2eea2000,0xedca801a,0x95002bce,0x0359bdb9,0x1579dd70,0xb9800000,
    0xaacdedcc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fdc0000,0xffff70ff,0x0bffff21,0xfffff300,0x00001705,0x00199990,
    0x006a0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb800000,0xfff70fff,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0xff70ffff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x950cccca,0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x90599910,0x88000799,0x00001bba,
    0x97000000,0xa8000099,0x998801aa,0x01998809,0x50000000,0x9bdddb97,
    0x64c00035,0x2000002c,0x0cccccca,0x00000000,0x80405773,0x002aaaa8,
    0x22555551,0xaaaaaaaa,0xaaaaaaaa,0x00002aaa,0x00000000,0x00000000,
    0x35555555,0x55555400,0xaaaaaaaa,0x00000aaa,0x00554000,0x00000353,
    0x01cdb800,0x2a37ffc0,0x20004fff,0x0efffffa,0x3f6e2000,0xfe800001,
    0x2200006f,0xf9804fff,0x6fff83ff,0x3fff2000,0x3ee000ef,0xffffffff,
    0xa8002fff,0x0004ffff,0xfffffb80,0x3fea000e,0x3ffa22ff,0xfff9804f,
    0x17cc3fff,0x03ffffc4,0x56ffffa8,0xffffffff,0xffffffff,0x6c00ffff,
    0xf51effff,0x401dffff,0x2a0efffd,0x0002ffff,0x3fffff60,0xfff8800d,
    0x1005ffff,0xffffffff,0xffffffff,0x7ff44005,0xfd0004ff,0xfff903ff,
    0x7e400007,0x6c1effff,0x2002ffff,0xfcbefffd,0x30002fff,0xdfffffff,
    0x3fffe000,0xf800001f,0x200005ff,0xf003fff9,0xfd759fff,0x320009ff,
    0x0effffff,0x7ffff4c0,0xffffffff,0xffe8002f,0x00000fff,0x13ffffee,
    0x7fffd400,0x04ffffac,0xffffff88,0xfffcbeff,0x3ffffc42,0x6ffffa80,
    0xfffffff5,0xffffffff,0x200fffff,0x50dffffd,0x007fffff,0x32bffff2,
    0x0002ffff,0x3fffff60,0x3ffea003,0x1007ffff,0xffffffff,0xffffffff,
    0x3ffa2005,0x4004ffff,0x4c6ffffb,0x000fffff,0xfffffc80,0xfffff984,
    0x3ffe6006,0x06ffffff,0x233ff200,0x8001ffe9,0x001fffff,0x1fffc400,
    0xfff50000,0x3ffee003,0x0fffffff,0xffffd800,0x100efffe,0xfffffffd,
    0x5fffffff,0xfffff000,0x2e00003f,0x002fffff,0x7ffffd40,0xfd003fff,
    0xffffffff,0x883fffff,0x5007ffff,0x3eadffff,0xffffffff,0xffffffff,
    0xffd807ff,0x3ffea3ff,0x7e4001ef,0x1fffffff,0x3ff60000,0x64001eff,
    0xffffffff,0xffff8801,0xffffffff,0x8802ffff,0xfffefffe,0x3ff2005f,
    0x7ffd47ff,0x640001ff,0x502fffff,0x00ffffff,0xffffffb8,0x3a0001ef,
    0x0ffee0ff,0x3ffffe00,0x32600001,0x00003fff,0x8003ffee,0xfffffffd,
    0xffd8002f,0xfffd88ef,0xffffd80e,0xdcccceff,0xe8002ffe,0x000fffff,
    0xdffffb80,0xff300000,0x4007ffff,0xfc98bff9,0x82ffffff,0x007ffff8,
    0x26dffff5,0xfeeeeeee,0xeeeeffff,0x7e405eee,0x3fee2fff,0x2e0004ff,
    0x01ffffff,0x3fff6000,0xff8000df,0x4fffffff,0xfffff880,0xffffffff,
    0x74402fff,0xffd35fff,0x3fee00bf,0x7ffc45ff,0x320000ff,0x200dffff,
    0x06fffff9,0xeffed980,0xffd80004,0x000bff62,0x007ffffe,0xfffec880,
    0x2dffffff,0x1fff2000,0x3ffb6a00,0xca8000ce,0xcccb83cc,0x7ffffc43,
    0x00d4401e,0x1ffffcc0,0x00000000,0x59999300,0xb3073000,0x2205bfff,
    0x5007ffff,0x200dffff,0x003ffffe,0x41999930,0x002cccc8,0x1cccca80,
    0x332a0000,0xf30002cc,0xffffffff,0xffff100d,0x5c00001f,0x66442ccc,
    0xffb002cc,0x5fff701d,0x6664c000,0xfff9003c,0x0000005f,0xdfffb800,
    0x8000fffe,0x001fffff,0xfffffc88,0xffffffff,0x3ff60004,0x00000007,
    0xff500000,0x00001fff,0x00375100,0xddd10000,0x0000000b,0x22002000,
    0x5007ffff,0x200dffff,0x003ffffe,0x00000000,0x00000000,0x3ffee000,
    0x0fffffbf,0x7ffffc40,0x00000000,0x10062000,0x00000013,0x001cda80,
    0xb0000000,0x05ffffff,0xfaaaaa98,0xaaabffff,0x7c41aaaa,0xffffffff,
    0x04ffffff,0x7ffd4c40,0x0000001e,0xfc800000,0x00007fff,0x00000000,
    0x009fff70,0x00000000,0x7fffc400,0xffff5007,0x3fffa00d,0x0000003f,
    0x00000000,0x20000000,0xfe8ffffe,0x7c403fff,0x0000ffff,0x00000000,
    0x00000000,0x2a000000,0xaaacddcb,0x000aaaaa,0x0033bb6a,0x3ffffff6,
    0xffffffff,0x7ec3ffff,0xffffffff,0x04ffffff,0xffffec88,0x221fffff,
    0x1002aaaa,0x40055555,0xcdeecb98,0x7fffe41b,0x4000001f,0xcdeecb98,
    0x7400001b,0x20002fff,0xcdeecb98,0xaaaa881b,0x55551002,0x1ffffe25,
    0x37fffd40,0x3ffffe80,0x55555100,0x2aaaa200,0xdcba8002,0x01acdeee,
    0x3b2e6200,0x8801bcde,0xff96ffff,0xff880bff,0x00000fff,0xdddb9750,
    0x3000359b,0x0359dd95,0xdb975000,0x00359bdd,0x3ffaa000,0xffffffff,
    0x2a21ffff,0x51002aaa,0x3ff65555,0xffffffff,0xffffffff,0x3ffffee3,
    0x8cfff8bd,0x7d403db9,0xffffffff,0x3fe21fff,0xff5007ff,0xfd500dff,
    0xffffffff,0x3ffea1ff,0x00001eff,0xfffffea8,0x00ffffff,0x7fff8800,
    0xfffd5000,0xffffffff,0x3ffffc41,0x6ffffa80,0x00fffff1,0x01bfffea,
    0x01fffff4,0x07ffff88,0x0dffff50,0x7ffffdc0,0x2fffffff,0x7fff5400,
    0xffffffff,0x3fffea00,0x0fffff33,0x0fffff88,0x7fdc0000,0xffffffff,
    0xfd3002ff,0xffffffff,0xfff70005,0xffffffff,0xdddd305f,0x7ffff400,
    0xffffffff,0x3e21ffff,0xf5007fff,0x3ff6dfff,0xffffffff,0xffffffff,
    0x9bffff63,0x4003fff9,0xfffffffc,0x21ffffff,0x007ffff8,0x40dffff5,
    0xffffffd8,0x0fffffff,0xfffffff3,0xb1000039,0xffffffff,0x001fffff,
    0xfeedba88,0x6c4004ff,0xffffffff,0x220fffff,0x5007ffff,0x3e2dffff,
    0xf5007fff,0x3a00dfff,0x1003ffff,0x200fffff,0x806ffffa,0xffffffe9,
    0x2fffffff,0xffffb100,0xffffffff,0x7ffec01f,0x3ffffe1f,0x3fffe202,
    0xd300000f,0xffffffff,0x005fffff,0xfffffff7,0x009fffff,0x3fffffa6,
    0xffffffff,0x07fffa82,0xffffff90,0xfffffffd,0x7fc43fff,0xff5007ff,
    0x3332edff,0xdfffffcc,0x2ccccccc,0xa8fffffa,0x2a002fff,0xffffffff,
    0x21ffffff,0x007ffff8,0x20dffff5,0xffffffe9,0xffffffff,0x3fffff60,
    0x000adfff,0xfffffe98,0xffffffff,0xffd3000f,0x9fffffff,0x7fff4c00,
    0xffffffff,0x3fe20fff,0xff5007ff,0x3ffe2dff,0xfff5007f,0x3ffa00df,
    0xff1003ff,0x3ea00fff,0x74406fff,0xffffffff,0x02ffffff,0xfffffe98,
    0xffffffff,0x3fffe00f,0x27fffec7,0x3fffff10,0x33333333,0x7ff44013,
    0xffffffff,0x7402ffff,0xffffffff,0x0dffffff,0x3ffffa20,0xffffffff,
    0xfffb82ff,0x7ffcc00f,0x3ff262ff,0x20aabfff,0x007ffff8,0x80dffff5,
    0x001fffff,0xb97ffffe,0xf1000fff,0x717fffff,0x43b53fff,0x007ffff8,
    0x10dffff5,0xffffffff,0xfffffddf,0x7ffffc41,0x0cffffff,0xfffff100,
    0xffddffff,0xf7001fff,0xffffffff,0x8801bfff,0xffffffff,0xfffffeef,
    0x1ffffe20,0xb7fffd40,0x007ffff8,0x00dffff5,0x00fffffa,0x03ffffc4,
    0x06ffffa8,0x7fffffec,0xfedcccce,0x7ffc402f,0xeeffffff,0x300fffff,
    0xfb8bffff,0x3e207fff,0xffffffff,0x06ffffff,0x3ffffff6,0xfedcccce,
    0x3ffee02f,0xfffeffff,0x203fffff,0xeffffffd,0xffedcccc,0x0ffffb82,
    0x17fffe40,0x03ffffb8,0x00fffff1,0x01bfffea,0x003fffff,0x97fffff4,
    0x32007ffc,0x321fffff,0x3fe207ff,0xff5007ff,0xfffb0dff,0x2a037fff,
    0x7ff4c0fd,0xffffffff,0xfffd804f,0xb501bfff,0xfffd801f,0xffffffff,
    0x7ec05fff,0x01bfffff,0x7fc41fb5,0xff5007ff,0x3ffe2dff,0xfff5007f,
    0x3ffa00df,0xff1003ff,0x3ea00fff,0x3e206fff,0x401effff,0x7fec01a8,
    0x501bffff,0x3ff201fb,0x7ffc42ff,0xfff101ff,0xffffffff,0x220dffff,
    0x01efffff,0xff880d44,0x220affff,0x07fffffb,0x3dfffff1,0xfb81a880,
    0x7ec00fff,0x3fe206ff,0xfff106ff,0x3fea00ff,0x7ffc06ff,0x3f2001ff,
    0xfedfffff,0x3ffe006f,0x37ff44ff,0x0fffff10,0x1bfffea0,0x3ffffff3,
    0x7e440200,0xffffffff,0xff300eff,0x2003ffff,0x7fffdc00,0xffffbdef,
    0xf303ffff,0x003fffff,0xfffff102,0x3fffea00,0x0fffff16,0x1bfffea0,
    0x1fffff40,0x7ffff880,0xdffff500,0x7ffffd40,0xff300000,0x2003ffff,
    0x3ffffa00,0x3ffffe80,0xffffff10,0xffffffff,0x3ffea0df,0xc80000ff,
    0x201fffff,0x82fffffb,0x00fffffa,0x7fffdc00,0x2ffffc01,0x41ffffa0,
    0x007ffff8,0x80dffff5,0x001fffff,0x3fffffe6,0x1006ffff,0xf81fffff,
    0x3fe205ff,0xff5007ff,0xfffe8dff,0x200000ff,0xffffffc8,0xfd06ffff,
    0x0001ffff,0x3ffffe20,0x3ffffe65,0xffd07fff,0x40001fff,0x007ffff8,
    0x22dffff5,0x5007ffff,0x200dffff,0x003ffffe,0x00fffff1,0x81bfffea,
    0x007ffffc,0x3ffffa00,0xf880000f,0xff906fff,0x3fe20dff,0xffffffff,
    0x906fffff,0x000fffff,0x7fffff10,0xdffffb00,0x0fffff90,0xffff9000,
    0x7fffe803,0x837fff40,0x007ffff8,0x80dffff5,0x001fffff,0x7fffffdc,
    0x00beffff,0x21ffffea,0x3e204fff,0xf5007fff,0x7fd4dfff,0x00004fff,
    0x3ffff6a0,0x7d44ffff,0x0004ffff,0x1bfffee0,0xfff9fff9,0xfffa85ff,
    0x440004ff,0x5007ffff,0x3e2dffff,0xf5007fff,0x3a00dfff,0x1003ffff,
    0x200fffff,0x206ffffa,0x01fffffc,0xffffa800,0xf700004f,0x3ea09fff,
    0xf880ffff,0x0000ffff,0x0fffffe4,0x3ffea000,0xffb800ff,0x7fe41fff,
    0x40001fff,0x401ffffc,0x302ffffd,0x2209ffff,0x5007ffff,0xf80dffff,
    0x8001ffff,0xfffffffb,0x703fffff,0xf98dffff,0x3fe203ff,0xff5007ff,
    0x7ffdcdff,0x000001ff,0xfffffc88,0x7fffdc7f,0x3a00001f,0x7f42ffff,
    0xffffc9ff,0x7ffffdc5,0x7fc40001,0xff5007ff,0x3ffe2dff,0xfff5007f,
    0x3ffa00df,0xff1003ff,0x3ea00fff,0x3ea06fff,0x001effff,0x7ffffdc0,
    0xffb00001,0x3fe203ff,0xff882fff,0x40000fff,0x1efffffa,0x3fff2000,
    0xfff1005f,0xfffa85ff,0x20001eff,0x401ffffc,0x41effffb,0x02ffffe8,
    0x00fffff1,0x01bfffea,0x003fffff,0x3ffff620,0xefffffff,0x37fffe41,
    0x880bffea,0x5007ffff,0x7e4dffff,0x00006fff,0x7fffd400,0x3fff20ff,
    0x7c00006f,0x7fcc7fff,0xdffff36f,0x06ffffc8,0xffff8800,0xffff5007,
    0x1ffffe2d,0x2ffffd40,0x3ffffe80,0xfffff100,0x3fffea00,0x3fffe606,
    0x0001cfff,0x00dffff9,0x7ffffc00,0xfccccccc,0xf885ffff,0x0000ffff,
    0x7fffffcc,0xfd8001cf,0x3a003fff,0x7cc3ffff,0x1cffffff,0xffffd800,
    0xffffe802,0xffffdcff,0x3ffe205f,0xfff5007f,0xffff80df,0x64c0001f,
    0xffffffff,0x3fee0fff,0x3fee0fff,0x3ffe200f,0xfff5007f,0x7ffff4df,
    0x80000005,0x22fffffc,0x005ffffe,0x3fffe200,0x89fffe45,0x7f47ffff,
    0x80005fff,0x007ffff8,0x22dffff5,0x800fffff,0x004ffffb,0x007ffffd,
    0x01ffffe2,0x037fffd4,0x3ffffff6,0x2000adff,0x005ffffe,0xfffff500,
    0xffffffff,0xf10fffff,0x0001ffff,0xffffffb0,0x20015bff,0x003ffffe,
    0x213ffffa,0xfffffffd,0xfb000adf,0xf7005fff,0xffffffff,0x4401ffff,
    0x5007ffff,0xf80dffff,0x0001ffff,0xffffffb0,0x7d4dffff,0x3f21ffff,
    0x7ffc407f,0xfff5007f,0x7ffffcdf,0x80000004,0x21fffffa,0x004fffff,
    0x3fffea00,0xf07fffc4,0x7fc1ffff,0x80004fff,0x007ffff8,0x7cdffff5,
    0xc800ffff,0xd003ffff,0x2007ffff,0x007ffff8,0x80dffff5,0xfffffff8,
    0x800cffff,0x004fffff,0xfffff900,0xffffffff,0x883fffff,0x000fffff,
    0xfffff880,0x0cffffff,0x17ffffc0,0x9ffffb00,0xffffff10,0x019fffff,
    0x02ffffd8,0x7fffffc4,0x0cffffff,0x3ffffc40,0x6ffffa80,0x0fffffc0,
    0xeffe8000,0xfffffffb,0x7fffff30,0x22037fec,0x5007ffff,0x3e2dffff,
    0x0003ffff,0xfffb8000,0x3fffe27f,0x2e00003f,0x3e64ffff,0x7fffc6ff,
    0xfffff10f,0xff100007,0x3ea00fff,0x3ffa6fff,0xffe803ff,0xffd002ff,
    0x3e2007ff,0xf5007fff,0xd300dfff,0xffffffff,0x7c409fff,0x0003ffff,
    0xfffffff0,0xffffffff,0xf889ffff,0x0000ffff,0xfffffd30,0x09ffffff,
    0x07ffffe2,0x5ffffc80,0xfffffd30,0x09ffffff,0x01ffffec,0x36b7fff6,
    0x000bceee,0x00fffff1,0x01bfffea,0x007fffff,0xd97ffe00,0x3e2fffff,
    0xfd3fffff,0xfff880bf,0xfff5007f,0x3fffe6df,0x0dc0002f,0xfffff100,
    0x7ffffccd,0x3ea00002,0x3ff25fff,0x3ffffc3f,0x05fffff3,0xffff1000,
    0x3ffea00f,0x3ffff66f,0x3ffea00f,0x3ffa007f,0xff1003ff,0x3ea00fff,
    0x91006fff,0xffffffff,0xf301dfff,0x0005ffff,0x9dffff30,0x99999999,
    0x88dffffd,0x000fffff,0x3fff2200,0xffffffff,0x7fffc40e,0x3ff2001f,
    0x3f2206ff,0xffffffff,0xffe80eff,0x3fe203ff,0x100001ff,0x200fffff,
    0x406ffffa,0x005ffffe,0x23fff880,0x24fffff9,0xcffffffb,0x5b514fff,
    0x03ffffc4,0x16ffffa8,0x007fffff,0xabdfff80,0xffca9899,0x3e23ffff,
    0x0003ffff,0x97fffe60,0x3e20ffff,0x3fe26fff,0x80003fff,0x007ffff8,
    0x4cdffff5,0x81efffff,0x04fffffb,0x0fffffa0,0x3ffffc40,0x6ffffa80,
    0x7ffe4400,0x6fffffff,0x3fffff88,0xfffb8000,0xfff5003f,0x7ffc41ff,
    0xaaaaabff,0x000aaaaa,0xffffff91,0xf88dffff,0x2002ffff,0x805ffffd,
    0xffffffc8,0xfe86ffff,0x3ea03fff,0x00002fff,0x00fffff1,0x01bfffea,
    0x03fffffb,0x3fe60022,0x7ffffc2f,0x7fffff43,0xfffeffff,0x3fffe22f,
    0xffff5007,0x27ffffcd,0x3fffe000,0xffffffff,0xf86fffff,0x0004ffff,
    0x5ffffe60,0x7d46fffa,0x7ffc5fff,0x880004ff,0x5007ffff,0xfd8dffff,
    0xeeffffff,0x0fffffff,0x3ffffa00,0xffff1003,0x3ffea00f,0x36a0006f,
    0xffffffff,0x4fffff84,0xfffe8000,0xfff1001f,0x7ffc47ff,0xffffffff,
    0x002fffff,0xfffffda8,0x7ffc4fff,0x3f6002ff,0x54003fff,0xfffffffd,
    0x7ffff44f,0x3fffea03,0x000099bf,0x00fffff1,0x01bfffea,0xdffffff7,
    0x007fdd99,0x7c43fff5,0x7cc1ffff,0xffffffff,0x222fffff,0x5007ffff,
    0x7f4dffff,0x40005fff,0xffffffff,0xffffffff,0xffffe80e,0x7fc00005,
    0xfffcafff,0x1fffff43,0x017ffffa,0x3fffe200,0xffff5007,0xfffff98d,
    0xffffffff,0x7f4001ff,0xf1003fff,0x2a00ffff,0x0006ffff,0xfffffc88,
    0xffffe87f,0x7fc40005,0x7f4007ff,0x3fe25fff,0xffffffff,0x02ffffff,
    0x3fff2200,0x7ff47fff,0x3fa003ff,0x10002fff,0xfffffff9,0x04ffffe8,
    0x3fffffe2,0xdeffffff,0x3ffe201c,0xfff5007f,0xfffd00df,0xffffffff,
    0xf902f627,0x3ffa61ff,0xffd107ff,0xffffffff,0x7ffc45ff,0xfff5007f,
    0x7fffecbf,0x7ffc0006,0xffffffff,0xb00dffff,0x000dffff,0xeffffc80,
    0x3ee0ffff,0x7ec0ffff,0x80006fff,0x007ffff8,0x10bffff5,0xfffffffd,
    0x003dffff,0x07ffffd0,0x1ffffe20,0x2ffffd40,0xfff50000,0xffd81fff,
    0x540006ff,0x4004ffff,0x227ffffc,0xffffffff,0xffffffff,0xffa80002,
    0x3f60ffff,0x3e004fff,0x0001ffff,0x7fffffd4,0x13ffffe0,0xffffff50,
    0xffffffff,0xfff101bf,0x3fea00ff,0xff9805ff,0xffffffff,0xbffff13f,
    0xfb7fffd9,0x807fffff,0xffffffeb,0x3e20dfff,0xb800ffff,0x3f24ffff,
    0x0002ffff,0x3ffffb6e,0x0cffffff,0x7ffffe40,0x3e600002,0x5fffffff,
    0x7fffff71,0x5fffff90,0xfff88000,0xffb800ff,0x3fae04ff,0x2effffff,
    0x3fffa000,0xfff1003f,0xff7001ff,0x800009ff,0x42fffffc,0x02fffffc,
    0x3ffff200,0x7ffcc002,0xffff12ff,0xffffffff,0x0005ffff,0x3fffff20,
    0x1bffff22,0x7ffffcc0,0xffc80000,0x3ffe2fff,0xffc804ff,0xffffffff,
    0x40efffff,0x00fffff8,0x04ffffb8,0xfffff910,0x3e25ffff,0xffffffff,
    0xffffffff,0x3ffa2005,0x3fe01abf,0xfc800fff,0x3fee2fff,0x00006fff,
    0x35555531,0x7ffdc001,0x400006ff,0xfffffffc,0xffffffee,0xfffff706,
    0xfff0000d,0xff9001ff,0x3a6005ff,0x00005fff,0xffff8000,0xfffc800f,
    0x5400002f,0x5c1fffff,0x006fffff,0x7e400000,0x5c0005ff,0x0000efff,
    0x3fffff50,0x0fffffdc,0x3ffffe40,0xfffa8000,0x3fffe1ff,0x7ffe405f,
    0xfeeeeeff,0x84ffffff,0x800fffff,0x002ffffc,0x0aaaa998,0x7fffffc4,
    0xffffffff,0xfd8005ff,0xfffd006f,0xfffd007f,0x7fffc43f,0x000003ff,
    0x7ffc4000,0x00003fff,0x7ffffff4,0xefffffff,0xfffff101,0xfe80007f,
    0xfe803fff,0xf7001fff,0x00001dff,0xfffd0000,0xfffd007f,0xb800003f,
    0xf887ffff,0x003fffff,0xff700000,0x540001df,0x0000ffff,0x1ffffee0,
    0x09fffff1,0x3fffff88,0xfff70000,0xfffff8ff,0x3fffee05,0x3ffa600e,
    0xfffe86ff,0xfffe803f,0x2000001f,0xfffffff8,0xdfffffff,0xbffd0001,
    0x3ffff600,0x3ffea00f,0x7ffdc0ff,0xc9804fff,0xcccc9800,0x3ffee000,
    0xc9804fff,0x7ffec400,0xffffffff,0x7ffdc00d,0xc9804fff,0x7ffffec0,
    0x3fffea00,0xfff8800f,0x9300001f,0x6c001999,0x200fffff,0x00fffffa,
    0xff88006e,0xff706fff,0x3009ffff,0xf1000019,0x40003fff,0x202ffff8,
    0x3fe2001b,0xffc86fff,0xfd104fff,0x06e0dfff,0xfffff880,0x0d555546,
    0x0fffff88,0xfffff980,0x7ffffec0,0x3fffea00,0x9993000f,0x95310019,
    0x9bffffdb,0xff800035,0xfff3004f,0xff703dff,0x3fa07fff,0xbdefffff,
    0x0fffcbaa,0x07fffc80,0xfffffe80,0xcbaabdef,0xfd000fff,0xbfffffff,
    0x7fff4005,0xaabdefff,0x4c0fffcb,0x81efffff,0x03fffffb,0x00ffff70,
    0x3fffe400,0x3fffe600,0xfffb81ef,0x7ffc03ff,0xa9899abd,0x3ffffffc,
    0x3fffffa0,0xcbaabdef,0x80000fff,0x0007fffc,0x203fffdc,0x99abdfff,
    0xffffca98,0xfff883ff,0xca9bdfff,0x02fffffe,0x3357bfff,0xffff9531,
    0x4c0007ff,0x3006ffff,0xf30fffff,0x703dffff,0x007fffff,0x003fffe4,
    0x003fff70,0x1fffc400,0xfffffb00,0xffffddff,0x7fd40dff,0xffffffff,
    0x00ffffff,0x004fffe8,0xffffffa8,0xffffffff,0xff8800ff,0x000aaaff,
    0xffffff50,0xffffffff,0xfffb01ff,0xffddffff,0x400dffff,0x000ffffc,
    0x09fffd00,0xfffffb00,0xffffddff,0xfff00dff,0xffffffff,0x0dffffff,
    0xffffffa8,0xffffffff,0xd80000ff,0x0000ffff,0x807ffff2,0xffffffff,
    0xffffffff,0x3fff606f,0xffffffff,0x3e06ffff,0xffffffff,0xffffffff,
    0x7fd40006,0xfc801fff,0xffb05fff,0xfddfffff,0x00dfffff,0x004fffe8,
    0x003fff20,0x2fffa800,0x3fffe200,0xffffffff,0x7d401fff,0xffffffff,
    0x00ffffff,0x002ffff8,0xffffff50,0xffffffff,0xfff7001f,0x7d40000b,
    0xffffffff,0x80ffffff,0xfffffff8,0xffffffff,0x3fff2001,0x0000eeff,
    0x000bfffe,0x3fffffe2,0xffffffff,0xffff801f,0xffffffff,0x800effff,
    0xfffffffa,0xffffffff,0xffc80000,0x000eefff,0x77ffffdc,0x7ffffc1e,
    0xffffffff,0x6c00efff,0xffffffff,0x00efffff,0x3ffffffe,0xffffffff,
    0x440000ef,0x09efffff,0xfffffd98,0xfffff102,0xffffffff,0xff8003ff,
    0x360002ff,0x400007ff,0x4001fffb,0xffffffd8,0x01efffff,0xfffffb10,
    0xffffffff,0xffff9801,0x3f620000,0xffffffff,0xd800ffff,0x00002fff,
    0x7ffffec4,0xffffffff,0xffffb100,0xdfffffff,0xfff98003,0x0000ffff,
    0x001ffff3,0x3ffff620,0xefffffff,0xfffff001,0xffffffff,0x44001bff,
    0xfffffffd,0x00ffffff,0xffff9800,0x4c000fff,0x1fffffff,0x7ffffffc,
    0xffffffff,0xfff7000d,0xffffffff,0xfffff009,0xffffffff,0x00001bff,
    0x3ffffff6,0xffffeeff,0x6c403fff,0xffffffff,0x4001efff,0x000ffff9,
    0x0017ffa0,0x00fff900,0x7ffff540,0x0003efff,0xfffffd95,0x70015bff,
    0x0000bfff,0x3ffffb2a,0x800adfff,0x0007fff8,0x3ffb2a00,0x0adfffff,
    0xffffea80,0x0003efff,0x3fffffee,0xfff70000,0xfd50000b,0x7dffffff,
    0xffedb800,0xffffffff,0x32a0000c,0xfffffffe,0x200000ad,0x0ffffffb,
    0xffffa800,0x7f6dc1ff,0xffffffff,0xd98000cf,0xdffffffe,0xffdb7001,
    0xffffffff,0x88000019,0xfffffffe,0xffffffff,0x3ffaa004,0x03efffff,
    0x0bfff700,0x04fff800,0x3ffec000,0xaaa98000,0x98800001,0xca80009a,
    0x000001cc,0x00013531,0x00079993,0x4d4c4000,0x554c0000,0x2200001a,
    0x0001abaa,0x0007332a,0x03555300,0x2aa62000,0x00009aaa,0x01353100,
    0xaa880000,0x4c0001ab,0x4c401aba,0x009aaaaa,0x2aa62000,0x54c40000,
    0x0009aaaa,0xffeb8000,0xffffffff,0x260000cf,0x80001aaa,0x0001ccca,
    0x00004ccc,0x00026620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x97300000,0x1559bdb9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc0000,
    0x00199880,0x001664c0,0xddb95300,0xaa88379b,0x9aaaaaaa,0x77300001,
    0x00000405,0x2a200000,0x000001bb,0x00000000,0x00000000,0x19999500,
    0x13331000,0x00033310,0x00000000,0x00000000,0x00555555,0x554aaaaa,
    0xaaaaaaaa,0x1aaaaaaa,0x2600aa80,0xc800001a,0xaa883fff,0xaaa802aa,
    0x2aaa0aaa,0xaa800aaa,0x220002aa,0x01cccccc,0x6c37ffc0,0x50000fff,
    0x0009ffff,0x7ffffec4,0x3fffffff,0xfffffff3,0x05bfffff,0xfffff300,
    0x002f987f,0x3ffff200,0x7d4001ef,0x000effff,0x7fffe400,0x3a20000e,
    0x0004ffff,0x3bffff60,0xdfffff51,0x3ffea001,0x4c001fff,0xfff83fff,
    0x3fa20006,0x00004fff,0xdfffff90,0x3fffea03,0xff0002ff,0xd007ffff,
    0x3ffadfff,0xffffffff,0x03ffffff,0x640ffff4,0x00003fff,0x4c07fffc,
    0x5c07ffff,0x7c5fffff,0x805fffff,0x0006fffe,0x5ffffff1,0xbfffb000,
    0x0ffffb55,0x7ffff400,0xffa8000f,0xffffffff,0xff34ffff,0xffffffff,
    0x003fffff,0x3fffffe2,0xfffcbeff,0xffc80002,0x98004fff,0x6fffffff,
    0x3ff20000,0x000effff,0xfffffe88,0xfd80004f,0xff50dfff,0x5c007fff,
    0xffffffff,0x7fffc001,0x4fffebac,0xfffd1000,0x00009fff,0x4fffffc8,
    0xffffe880,0xfff8001f,0xfe807fff,0xffffd6ff,0xffffffff,0x5c07ffff,
    0x7cc6ffff,0x0000ffff,0x20dfff30,0x207ffff9,0x0ffffff8,0x7ffffffc,
    0x37fff401,0x7fffc400,0xf30000ef,0xffffffff,0x7fc0005f,0x2001ffff,
    0xffffffd8,0xffffffff,0xfffff34f,0xffffffff,0xfd001dff,0xffffffff,
    0x003fffff,0xfffffc80,0x9ff90002,0x003ffd31,0xdffffb00,0x4001dfff,
    0xffefffe8,0x360005ff,0x3ea3ffff,0x2001efff,0xfdbffffb,0x2e001fff,
    0xffffffff,0xe88000ff,0xffffefff,0xff900005,0xc8005fff,0x001fffff,
    0x7ffffffc,0xb7fff403,0xfffffffe,0xffffffff,0x3fff203f,0x7fffd47f,
    0xf700001f,0x3fe607ff,0x3ff607ff,0xfff82fff,0x7404ffff,0x44006fff,
    0x004fffff,0xfffffb80,0x40004fff,0x00fffffe,0x3fffffa0,0xffeeefff,
    0xfff34fff,0xfffdddff,0x00dfffff,0xf9317ff3,0x05ffffff,0xffffc800,
    0x3fa0000d,0x00ffee0f,0x1dfffb00,0x01dfffb1,0x2bfffd10,0x005fffe9,
    0x22ffffc8,0x004ffffb,0x70f7ffdc,0x4003ffff,0xfffffffd,0xfe88002f,
    0xfffd35ff,0xffc8000b,0x50000dff,0x003fffff,0x7ffffffc,0x3fffa00f,
    0xfdddddb6,0xddddffff,0x7fdc05dd,0x7ffc45ff,0x54c000ff,0xffffeeec,
    0xfffff301,0x3ffffea0,0xffffff04,0x7ff401ff,0x3fa2006f,0x00002fff,
    0x37bffb22,0xff980001,0x3ea003ff,0x09dfffff,0xf34fc988,0xf710dfff,
    0x001fffff,0xfffb3073,0xc980005b,0x80003ccc,0x3ff62ffd,0x332a0002,
    0x3cccb83c,0x42cccb80,0x002cccc8,0x88333326,0x8002cccc,0x98809999,
    0x6d400099,0x000ceffe,0x88599970,0x0002cccc,0x00799993,0x99999100,
    0x7ffffc00,0x3fa03fff,0x7fec06ff,0xfb0003ff,0xfff701df,0x7ffcc005,
    0x7fffffff,0x1ffffe60,0x1bffffe2,0xfffffff8,0x3fffa04f,0x26662006,
    0x00000009,0xba880000,0x7fff4001,0x984003ff,0x2a06ffff,0x002fffff,
    0x00000100,0xff700000,0x01fffdbf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffffe,0xfffd00ff,0xffffd80d,
    0x00620003,0x7dc00131,0xffffffff,0xff305fff,0xfffb0fff,0x7ffc03ff,
    0x207fffff,0x0006fffe,0x00000000,0x20000000,0x02fffffb,0x3fffe600,
    0x7ffffc06,0x00000003,0x40000000,0x2ffffffd,0x00000000,0x00000000,
    0x99900000,0x00000099,0x00000000,0x00000000,0xfff00000,0x07ffffff,
    0xb01bfffa,0x0007ffff,0xfd800000,0xffffffff,0x985fffff,0x7d47ffff,
    0x7c03ffff,0xffffffff,0x0dfffd03,0x99999991,0x00009999,0xbddb9530,
    0x26000379,0xbcdeedca,0xfffff881,0x7fcc0006,0x7fec06ff,0x54c004ff,
    0x001aceec,0xceeca980,0xb500001a,0x000019dd,0xbddb9530,0xa9800379,
    0x001aceec,0xceeca980,0xff88001a,0x000007ff,0x2b3bb2a6,0x55551001,
    0x2aaa2005,0x2aaaa22a,0x55551002,0x15555445,0x2aaaa880,0x3ffbfffe,
    0xffe80fff,0x7ffec06f,0x5551003f,0x2aa20055,0xfffb82aa,0xffdcefff,
    0x4c3fffff,0x3e27ffff,0xf805ffff,0xffffefff,0x0dfffd06,0xfffffff3,
    0x0000ffff,0x3fffff62,0x3fffffff,0xffffd880,0xffffffff,0x3ffffe63,
    0x7fcc0002,0x7ff406ff,0xfd3003ff,0xffffffff,0xffd30005,0x5fffffff,
    0x55554000,0x80001aaa,0xffffffd8,0x03ffffff,0x7fffff4c,0x8002ffff,
    0xffffffe9,0x22002fff,0x0007ffff,0xffffe980,0x402fffff,0x007ffff8,
    0x44dffff5,0x5007ffff,0x7c4dffff,0xf5007fff,0x7ffcdfff,0x4ffffccf,
    0x406fffe8,0x003ffffd,0x00fffff1,0x21bfffea,0x21efffff,0xfffffffb,
    0x3fffe60f,0x3fffff67,0xcffff800,0xe82ffffd,0xff986fff,0xffffffff,
    0xffa80007,0xffffffff,0x5404ffff,0xffffffff,0x24ffffff,0x007ffffa,
    0x6ffff980,0x3ffffe60,0xffffb801,0xffffffff,0x3ffee004,0xffffffff,
    0xff88004f,0x005fffff,0x7ffffd40,0xffffffff,0x3ffee04f,0xffffffff,
    0x3fee004f,0xffffffff,0xff1004ff,0x80000fff,0xfffffffb,0x204fffff,
    0x007ffff8,0x44dffff5,0x5007ffff,0x7c4dffff,0xf5007fff,0x7ffcdfff,
    0xfffff8cf,0x037fff40,0x00fffff6,0x03ffffc4,0x46ffffa8,0x40effffb,
    0xfffffffe,0x3fffe64f,0x5fffff57,0x33fffe00,0xe86ffff9,0xff986fff,
    0xffffffff,0x3f620007,0xffffffff,0x04ffffff,0xffffffb1,0xffffffff,
    0x7fffdc9f,0xff980006,0xfff306ff,0xffd00dff,0xffffffff,0x801bffff,
    0xfffffffe,0xdfffffff,0x3ffea000,0x0007ffff,0xffffffb1,0xffffffff,
    0x3fffa09f,0xffffffff,0x7400dfff,0xffffffff,0x0dffffff,0x3ffffc40,
    0xfffd0000,0xffffffff,0xf101bfff,0x2a00ffff,0x3e26ffff,0xf5007fff,
    0x7fc4dfff,0xff5007ff,0x7fffcdff,0x89ffff94,0x6c06fffe,0x1003ffff,
    0x200fffff,0x226ffffa,0x441fffff,0xfffcffff,0x3fffe66f,0x4ffffe8f,
    0x53fffe00,0x741ffffe,0xaa886fff,0xffffbaaa,0x3ffa0007,0xeeffffff,
    0x04fffffe,0xfffffffd,0xffffdddf,0x7fffec9f,0xdddddd05,0x3fe69ddd,
    0xecaaafff,0x01ffffff,0x7fffffdc,0xffffffef,0x3fee03ff,0xffefffff,
    0x03ffffff,0x3fffff20,0xe8001fff,0xffffffff,0xfffffeee,0xfffffb84,
    0xfffffeff,0x3ee03fff,0xfeffffff,0x3fffffff,0x3ffffc40,0xfffb8000,
    0xfffeffff,0x883fffff,0x5007ffff,0x7c4dffff,0xf5007fff,0x7fc4dfff,
    0xff5007ff,0x7fffcdff,0x1fffff14,0x2037fff4,0x003ffffd,0x00fffff1,
    0xa9bfffea,0xfa87ffff,0xffff9dff,0xfffff30f,0x00dffff9,0xf54ffff8,
    0xffe8bfff,0x3fe2006f,0xf50007ff,0x13bfffff,0x509f9310,0x3bffffff,
    0x49f93101,0xf04ffffe,0xffffffff,0x3ffffe6b,0xffffffff,0x7fc401ef,
    0x220affff,0x07fffffb,0x5ffffff1,0x7fffdc41,0x3ffe007f,0x04ffffff,
    0x7ffffd40,0xc98809df,0x7fffc44f,0x3ee20aff,0xf107ffff,0x415fffff,
    0x7fffffb8,0x3ffffc40,0x7ffc4000,0x2e20afff,0x887fffff,0x5007ffff,
    0x7c4dffff,0xf5007fff,0x7fc4dfff,0xff5007ff,0x7fffcdff,0x93ffff24,
    0x6c06fffe,0x1003ffff,0x200fffff,0x326ffffa,0xfd84ffff,0xffffd2ff,
    0x3ffffe67,0x001fffff,0xff27fffc,0x7ff43fff,0x3fe2006f,0xfd0007ff,
    0x8007ffff,0xfffffe80,0xfff04003,0x3ffe07ff,0x35ffffff,0xffffffff,
    0x005bffff,0x07fffff2,0x2fffffb8,0x1fffffc8,0x3ffffee0,0xffff9802,
    0x006fffff,0x1ffffff4,0xfff90200,0x7fdc03ff,0xffc82fff,0x3ee01fff,
    0x2202ffff,0x0007ffff,0x1fffffc8,0x3ffffee0,0x3ffffc42,0x6ffffa80,
    0x01ffffe2,0x137fffd4,0x200fffff,0x3e6ffffa,0x3fe24fff,0xfffd0fff,
    0xffffd80d,0xffff1003,0x3ffea00f,0x3ffff66f,0x87fffc42,0xf34ffffd,
    0xffffffff,0xfff8009f,0x3fffee4f,0x01bfffa4,0x07ffff88,0xfffffb80,
    0xffb80002,0x40002fff,0xf04ffffe,0xffffffff,0x3ffffe6b,0x3fffffff,
    0xfffff100,0xffffb007,0xfffff88d,0xffffd803,0xffffb806,0x00fffffb,
    0x5fffff70,0xfff88000,0xffd803ff,0x7ffc46ff,0xffd803ff,0x3fe206ff,
    0x6ee4c7ff,0x3ffe202c,0xffd803ff,0x7ffc46ff,0xfff5007f,0x7fffc4df,
    0xffff5007,0x3ffffc4d,0x6ffffa80,0xf913fffe,0x3ffa9fff,0x7ffec06f,
    0xfff1003f,0x3fea00ff,0x3fffa6ff,0x2fffd41f,0x269ffff9,0xffcfffff,
    0x3e002fff,0x3fe24fff,0xfffd0fff,0x7ffc400d,0x7fc4007f,0x80006fff,
    0x06fffff8,0xffffd800,0xf9555505,0x3fe6bfff,0xfffecfff,0xfa805fff,
    0xb800ffff,0x2a1fffff,0x800fffff,0x01fffffb,0x747ffff4,0x8803ffff,
    0x006fffff,0xfffffa80,0xffffb800,0x3fffea1f,0xfffb800f,0xfff101ff,
    0x3fffa2ff,0xfa81efff,0xb800ffff,0x221fffff,0x5007ffff,0x7c4dffff,
    0xf5007fff,0x7fc4dfff,0xff5007ff,0x7fffcdff,0x7ffffc44,0x406fffe8,
    0x003ffffd,0x00fffff1,0xf9bfffea,0x7ec1ffff,0x3fff23ff,0xfffff35f,
    0x03fffffa,0x227fffc0,0xfd3ffffc,0x7c400dff,0x4c007fff,0x002fffff,
    0xfffff980,0xffc80002,0xff5005ff,0x3ffe6bff,0x3fff626f,0x7fe402ff,
    0xff1005ff,0x7fe45fff,0xff1005ff,0x7c405fff,0xfff96fff,0xfff300bf,
    0x900005ff,0x200bffff,0x22fffff8,0x005ffffc,0x05fffff1,0x27bfffe2,
    0xffffffff,0x7ffe41ff,0xfff1005f,0x7ffc45ff,0xfff5007f,0x7fffc4df,
    0xffff5007,0x3ffffc4d,0x6ffffa80,0x3213fffe,0xffecffff,0x7ffec06f,
    0xfff1003f,0x3fea00ff,0x3fffe6ff,0x07fffc0f,0x26dffff7,0xff57ffff,
    0x3e00bfff,0x7fcc4fff,0xdfffd7ff,0x7fffc400,0x7ffd4007,0xf500007f,
    0x0000ffff,0x01ffffee,0x9affffd4,0xfe86ffff,0x3600ffff,0x2003ffff,
    0x363ffffe,0x2003ffff,0x203ffffe,0xf33ffffa,0xf500ffff,0x0000ffff,
    0x00fffff6,0x23ffffe8,0x003ffffd,0x40fffffa,0xfffffff8,0xffffffff,
    0x7fffec5f,0x3fffa003,0x3fffe23f,0xffff5007,0x3ffffc4d,0x6ffffa80,
    0x01ffffe2,0xf37fffd4,0xff109fff,0xdfffffff,0x3ffffd80,0xfffff100,
    0x3fffea00,0x1fffff16,0x2e37ffcc,0xff35ffff,0x7ffecfff,0xfff802ff,
    0xffffd84f,0x006fffea,0x01ffffe2,0x0dffff70,0x3ffee000,0xf500006f,
    0x5005ffff,0x3e6bffff,0xff886fff,0x3fa03fff,0x3a003fff,0x3fa4ffff,
    0x3a003fff,0x3604ffff,0x3fe1ffff,0x7dc02fff,0x00006fff,0x007ffffd,
    0xd27ffff4,0x4007ffff,0x104ffffe,0xffffffff,0xfffffddf,0x7ffff43f,
    0x3fffa003,0x3fffe24f,0xffff5007,0x3ffffc4d,0x6ffffa80,0x01ffffe2,
    0xf37fffd4,0x3f209fff,0x6fffffff,0x1ffffec0,0x7ffff880,0xdffff500,
    0x83ffffe2,0x7dc3fffc,0xfff34fff,0x7fffc4ff,0x7ffc00ff,0xffff984f,
    0x006fffee,0x01ffffe2,0x0bffffb0,0x3bbbbbba,0x3fff64ee,0xddddd05f,
    0x7c49dddd,0xa805ffff,0xff35ffff,0x3ff60dff,0xfff00fff,0x7ec005ff,
    0x3ffe4fff,0x3f6002ff,0x3fe04fff,0x7ffec7ff,0x7ffec04f,0xddddd05f,
    0x7fc9dddd,0x36002fff,0x3fe4ffff,0x36002fff,0xf104ffff,0x3bffffff,
    0x1fffffcc,0x005fffff,0x127fffec,0x200fffff,0x226ffffa,0x5007ffff,
    0x7c4dffff,0xf5007fff,0x7ffcdfff,0xffff104f,0xd80dffff,0x1003ffff,
    0x200fffff,0xf16ffffa,0x7fc3ffff,0x7ffe41ff,0xfffff33f,0x5fffffb8,
    0x827fffc0,0xfffffffe,0x3fe2006f,0x7f4007ff,0xfff04fff,0x4bffffff,
    0xf04ffffe,0xffffffff,0xfffffd8b,0x7fffd402,0x0dffff35,0x0fffffe6,
    0x07ffffe2,0x5ffffc80,0x03fffff1,0x2ffffe40,0x45ffff98,0x407ffffb,
    0xf04ffffe,0xffffffff,0x3ffffe2b,0x3fff2001,0xfffff15f,0x7ffe4003,
    0xffff105f,0x3ff60bff,0xffff14ff,0x7fe4003f,0x3ffe25ff,0xfff5007f,
    0x7fffc4df,0xffff5007,0x3ffffc4d,0x6ffffa80,0xc813fffe,0x6fffffff,
    0x1ffffec0,0x7ffff880,0xdffff500,0x98fffffc,0xffc86fff,0xffff32ff,
    0xfffffd0f,0x27fffc05,0xffffffa8,0x3e2006ff,0x7c007fff,0xff03ffff,
    0xbfffffff,0x81fffffc,0xffffffff,0x7fffc45f,0x3fea04ff,0xffff35ff,
    0x7ffff40d,0xfffff887,0x3fff2001,0xfffff16f,0x7ffe4003,0xffff906f,
    0xfffff885,0x3ffffe01,0xffffff03,0x3fe2bfff,0x32001fff,0xff16ffff,
    0x64003fff,0xf106ffff,0x201dffff,0xf15ffffb,0x4003ffff,0x226ffffc,
    0x5007ffff,0x7c4dffff,0xf5007fff,0x7fc4dfff,0xff5007ff,0x7fffcdff,
    0x3fffe204,0x7ec06fff,0xf1003fff,0x2a00ffff,0x3fe6ffff,0xfff72fff,
    0x3ffffb09,0x21ffffe6,0x0ffffff9,0x409ffff0,0xffffffff,0x3ffe2006,
    0x7ff4007f,0xffff04ff,0x74bfffff,0xff04ffff,0xbfffffff,0xffffff90,
    0xfb33359d,0x3fe6bfff,0x3fee06ff,0x7fc43fff,0x36002fff,0xff15ffff,
    0x6c005fff,0xfd05ffff,0xffd01fff,0x7ff407ff,0xffff04ff,0x22bfffff,
    0x002fffff,0x457ffff6,0x002fffff,0x417ffff6,0x00fffff8,0x457fffea,
    0x002fffff,0x897ffff6,0x5007ffff,0x7c4dffff,0xf5007fff,0x7fc4dfff,
    0xff5007ff,0x7fffcdff,0x7fffe404,0x333316ff,0x37ffffd3,0xf8813333,
    0xf5007fff,0x7fecdfff,0x3fffd5ff,0x0fffff88,0x20fffff3,0x05fffffc,
    0x5c09ffff,0x6fffffff,0x3fffe200,0x7ffec007,0x9555505f,0x7ecbffff,
    0x55505fff,0x0bffff95,0xfffffff1,0xffffffff,0x3ffe6bff,0x7fffc06f,
    0xfffff86f,0x3fff6002,0x3ffffe3f,0x3fff6002,0xffff883f,0xdffff906,
    0x2ffffec0,0xffcaaaa8,0x3fffe5ff,0x3ff6002f,0x3fffe3ff,0x3ff6002f,
    0xfff103ff,0xfffa80ff,0x3ffffe5f,0x3fff6002,0x3fffe23f,0xffff5007,
    0x3ffffc4d,0x6ffffa80,0x01ffffe2,0xf37fffd4,0xf8809fff,0xfd6fffff,
    0xffffffff,0x7fffffff,0x07ffff88,0x4dffff50,0xf9fffffb,0xfffa87ff,
    0x3fffe67f,0xffffd107,0x9ffff07f,0x7ffffc40,0x3e2006ff,0x64007fff,
    0x5005ffff,0x7e4bffff,0xf5005fff,0x3620bfff,0xffffffff,0x5fffffff,
    0x80dffff3,0x42fffffc,0x003ffffe,0xe8bffffa,0x2003ffff,0xb82ffffe,
    0xf504ffff,0x3201ffff,0x5005ffff,0x7f4bffff,0x3a003fff,0x3fa2ffff,
    0x3a003fff,0xf102ffff,0xfa80ffff,0x3ffa5fff,0x3fa003ff,0x3fe22fff,
    0xff5007ff,0x7ffc4dff,0xfff5007f,0x7fffc4df,0xffff5007,0x027fffcd,
    0xb7ffffe4,0xfffffffe,0xffffffff,0x7fffc43f,0xffff5007,0x7ffffc4d,
    0xfe84fffe,0x3fe63fff,0x3fea07ff,0x7fc0ffff,0x7fe404ff,0x2006ffff,
    0x007ffff8,0x03ffffdc,0x25ffffa8,0x007ffffb,0x80bffff5,0xfffffffb,
    0x4fffffff,0x80dffff3,0x46fffff8,0x004ffffd,0xd87ffffe,0x2004ffff,
    0xd81fffff,0xf101ffff,0x2e05ffff,0x5007ffff,0x7ecbffff,0x3e004fff,
    0x3f61ffff,0x3e004fff,0xf101ffff,0xfa80ffff,0x3ff65fff,0x3fe004ff,
    0x3fe21fff,0xff5007ff,0x7ffc4bff,0xfff5007f,0x7fffc4bf,0xffff5007,
    0x027fffcb,0xb7ffffc4,0xfffffffe,0xffffffff,0x7fffc43f,0xffff5007,
    0xfffffe8b,0x7fec2fff,0x7ffcc6ff,0x7ffec07f,0x7fffc5ff,0x7fffcc04,
    0x3e2006ff,0x54007fff,0x802fffff,0x2a5ffffa,0x802fffff,0x805ffffa,
    0xfffffec8,0x260befff,0xd806ffff,0x322fffff,0x3006ffff,0x641fffff,
    0x3006ffff,0xf01fffff,0x9999ffff,0xfffff999,0x3fffea0b,0xfffa802f,
    0x3ffff25f,0xffff3006,0x7fffe41f,0xffff3006,0x3ffe201f,0x7ffd407f,
    0x3ffff25f,0xffff3006,0x7fffc41f,0xfffb800f,0x3fffe24f,0xfffb800f,
    0x3fffe24f,0xfffb800f,0x13fffe4f,0xb7fffe40,0xfffffffe,0xffffffff,
    0x7fffc43f,0xfffb800f,0x7fffcc4f,0xfb517fff,0xf985ffff,0x7c407fff,
    0x3e3fffff,0xfd804fff,0x2006ffff,0x007ffff8,0x2fffffc4,0x2ffffd40,
    0x0bfffff1,0x0bffff50,0x33555300,0x00000001,0x03fffff7,0x8fffff90,
    0x01fffffb,0x87ffffc8,0xfffffffa,0xffffffff,0xfff107ff,0xff500bff,
    0x7ffdcbff,0xffc801ff,0x7ffdc7ff,0xffc801ff,0x3fe207ff,0x7fd407ff,
    0x3ffee5ff,0xffc801ff,0xffff87ff,0xfffc800f,0x7ffffc2f,0xffffc800,
    0x07ffffc2,0x17fffe40,0x7ffd4000,0xff50005f,0xffff01df,0xfff9001f,
    0xffff905f,0xffffffff,0x0000dfff,0x00000000,0x3fffe200,0xfffd8007,
    0x7fd402ff,0x7ffec5ff,0x7fd402ff,0x000005ff,0x44000000,0x404fffff,
    0x43fffff8,0x04fffff8,0x1fffffc4,0x7fffffe4,0xffffffff,0xfb01ffff,
    0xa805ffff,0x3e25ffff,0x4404ffff,0x443fffff,0x404fffff,0x03fffff8,
    0x01ffffe2,0x44bffff5,0x404fffff,0x83fffff8,0x803ffffe,0x741ffffe,
    0xe803ffff,0x7f41ffff,0xfe803fff,0x80001fff,0x004ffffb,0x01ffff98,
    0x007ffffd,0x203ffffd,0xfffffffd,0x0effffff,0x00000000,0xf1000000,
    0x1000ffff,0x09ffffff,0x22ffffd4,0x4ffffff8,0x17fffea0,0x0cccc980,
    0x6664c000,0x7fe4000c,0xfd104fff,0x3f20dfff,0xd104ffff,0x3e0dffff,
    0xffffffff,0xffffffff,0xfff104ff,0x7d409fff,0x7fe45fff,0xfd104fff,
    0x3f20dfff,0xd104ffff,0x880dffff,0x5407ffff,0x7e45ffff,0xd104ffff,
    0x360dffff,0x200fffff,0x40fffffa,0x00fffffd,0x03ffffea,0x01fffffb,
    0x07ffffd4,0x7fff4000,0xffe8002f,0x3fff603f,0x3fea00ff,0x3f600fff,
    0xffffffff,0x930004ff,0x00001999,0x00333326,0x7fffc400,0xfff90007,
    0x3359dfff,0x0bffffb3,0xdffffff9,0xffb33359,0x7e400bff,0xc80007ff,
    0x88007fff,0xbdffffff,0xffffeca9,0xffff102f,0xd9537bff,0x305fffff,
    0x999dffff,0xfd999999,0x7e40dfff,0xacefffff,0xffffd999,0x7ffffc45,
    0xfeca9bdf,0xf102ffff,0x37bfffff,0xfffffd95,0xffff8805,0x7fffd407,
    0x7ffffc45,0xfeca9bdf,0xf302ffff,0x703dffff,0x307fffff,0x03dfffff,
    0x07fffff7,0x3dfffff3,0x7fffff70,0xfff70000,0xfa8003ff,0x3e600fff,
    0xb81effff,0x403fffff,0xfffffffa,0x20002dff,0x0007fffc,0x01ffff20,
    0xffff8800,0xfff10007,0xffffffff,0x0bffffff,0xfffffff1,0xffffffff,
    0x7f400bff,0xe80004ff,0xb0004fff,0xffffffff,0xdfffffff,0xfffffd80,
    0xffffffff,0xfff706ff,0x3fea007f,0xff100fff,0xffffffff,0xbfffffff,
    0xffffffb0,0xffffffff,0xfffd80df,0xffffffff,0x8806ffff,0x5407ffff,
    0xfd85ffff,0xffffffff,0x06ffffff,0x7fffffec,0xfffffeef,0x3fff606f,
    0xffeeffff,0x3606ffff,0xefffffff,0x6ffffffe,0x3faea000,0x8005ffff,
    0x402ffffb,0xfffffffd,0xffffffee,0xbfffd806,0x00000aaa,0x0009fffd,
    0x027fff40,0xffff1000,0x7ec4000f,0xffffffff,0x05ffffff,0xffffffb1,
    0xffffffff,0x7ffc00bf,0xff80002f,0x360002ff,0xffffffff,0x00efffff,
    0xffffffd8,0xefffffff,0x3ffffd00,0x3fffe200,0x3ff6203f,0xffffffff,
    0xb05fffff,0xffffffff,0x01dfffff,0xffffffb0,0xdfffffff,0xffff1001,
    0xffffa80f,0xfffffb05,0xffffffff,0xfff8801d,0xffffffff,0x2201ffff,
    0xffffffff,0x1fffffff,0x3ffffe20,0xffffffff,0x3e0001ff,0x0fffffff,
    0xffffa800,0xff882eef,0xffffffff,0x401fffff,0x000ffff8,0x5ffff000,
    0x7ffc0000,0xfff8002f,0xffffffff,0x1fffffff,0xfffff700,0xffffffff,
    0xfffb809f,0xffffffff,0xf3004fff,0x80001fff,0x000ffff9,0x7ffffdc0,
    0x04ffffff,0x7ffffdc0,0x04ffffff,0x01ffffe2,0x0bffffd0,0xffffff70,
    0xffffffff,0x7fffdc09,0x4fffffff,0x7fffdc00,0x4fffffff,0x3fffe200,
    0x7fffd407,0x3fffee05,0x4fffffff,0x3fff6200,0xffffffff,0xffd8801e,
    0xffffffff,0xfd8801ef,0xffffffff,0x40001eff,0x2fffffff,0xffff1000,
    0x36205fff,0xffffffff,0xa801efff,0x00005fff,0x01ffff30,0x3ffe6000,
    0xfff8000f,0xffffffff,0x1fffffff,0x3ffb2200,0xbeffffff,0xffd91000,
    0x7dffffff,0x7ffdc001,0xffb80005,0xb300005f,0xbffffffd,0x3b660003,
    0x1dffffff,0x27fffd40,0x3ffff200,0xffd91007,0x7dffffff,0xffdb3001,
    0x003bffff,0x3fffb660,0x4001dfff,0x407ffff8,0x405ffffa,0xfffffed9,
    0xd50001df,0xdfffffff,0xffd50007,0x07dfffff,0xffffd500,0x0007dfff,
    0x33ffffe0,0x7f4c0000,0x5402ffff,0xfffffffe,0x3ff2003e,0x7000003f,
    0x0000bfff,0x002fffdc,0xfffffff8,0xffffffff,0x20001fff,0x0099aaa9,
    0x9aaa9800,0x99500009,0x95000039,0x00000399,0x00015531,0x00aa9880,
    0x0bffff20,0xfffff300,0x55530005,0x44000133,0x00000aa9,0x000554c4,
    0x0fffff10,0x05ffffa8,0x002aa620,0x35553000,0x554c0000,0x2600001a,
    0x00001aaa,0x000abcd8,0x0d5d4c00,0x06aaa600,0x06666400,0xcca80000,
    0x2a00001c,0xf0001ccc,0xffffffff,0xffffffff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x000aaaaa,0x00000000,0x26000000,
    0x000202bb,0x0d4c0155,0x80000000,0x00202bb9,0x00000000,0x00000000,
    0x00000000,0x2a200000,0xaaaaaaaa,0x544002aa,0xaaaaaaaa,0x000002aa,
    0x00000000,0x00000000,0x54000000,0x000001cc,0x00000000,0x40015730,
    0x04ffffe8,0x00bffffa,0xfffff500,0x0000005f,0x77ffffe4,0x7fffcc01,
    0x017cc3ff,0xc81fffe8,0x3ea03fff,0x002fffff,0xfffff980,0x0017cc3f,
    0x9ffffd10,0xff900000,0x0003dfff,0x77ffffe4,0x3bfff601,0x0bfffea0,
    0x077ffec0,0x005ffff5,0x3fffffe6,0x007fffff,0x7fffffcc,0x007fffff,
    0x987fffee,0x0003fffe,0x13ffffa2,0x7ff44000,0x800004ff,0x1ffffffb,
    0xffff9000,0xfe880005,0x00004fff,0x7ffffe40,0x3ffff21e,0xfffe8802,
    0xffd04fff,0x100005ff,0x03fffffd,0xff900000,0xf1009fff,0xdfffffff,
    0x805fff97,0x4c6ffffb,0x200fffff,0x1fffffe8,0x3ffe2000,0xcbefffff,
    0x88002fff,0x4ffffffe,0x3ff20000,0x40004fff,0x04fffffc,0x95ffff90,
    0x8005ffff,0xfcaffffc,0x26002fff,0xffffffff,0x4c007fff,0xffffffff,
    0x5c007fff,0xffbbffff,0x220003ff,0x4ffffffe,0x7ff44000,0x0004ffff,
    0x3ffffee0,0xff10000d,0x4000dfff,0xffffffe8,0xf9000004,0xfb89ffff,
    0x200fffff,0xffefffe8,0xfffe85ff,0x3200002f,0x001fffff,0x3fff2000,
    0xffd002ff,0xffffffff,0xc803ffff,0x7d47ffff,0xc801ffff,0x001fffff,
    0xffffffd0,0xffffffff,0xffe88003,0x05ffffef,0xffffc800,0x7e40002f,
    0x4002ffff,0xfffffffc,0xff90001f,0x03ffffff,0xfffff980,0x07ffffff,
    0x7ffffcc0,0x07ffffff,0xfffffa80,0x20002fff,0xffefffe8,0xd10005ff,
    0xffffdfff,0xff70000b,0x80007fff,0x07fffff9,0xdfffd100,0x000bffff,
    0xfffffc80,0xfffffe82,0xfffd103f,0x17fffa6b,0x005ffffd,0xffffa800,
    0xc800001f,0x000dffff,0x3262ffe6,0x2fffffff,0x5ffffb80,0x07ffffc4,
    0xfffffa80,0xbff98001,0xfffffc98,0x744002ff,0xffd35fff,0x7e4000bf,
    0x0000dfff,0x06ffffe4,0xffffb800,0x5c0001ff,0x01ffffff,0xaaaaa880,
    0x02aaaaaa,0x55555440,0x02aaaaaa,0xfffff500,0x7440005f,0xffd35fff,
    0xfe8800bf,0xfffd35ff,0x7fd4000b,0x80001eff,0x06fffff8,0x5fffe880,
    0x00bfffd3,0x3ffff200,0xffffd00d,0x332e07ff,0x6666442c,0x0bffffa2,
    0x33220000,0x400004cc,0x003cccc9,0xffb30730,0x7ec005bf,0xfffb80ef,
    0x66644002,0x0730004c,0x05bfffb3,0x85999700,0x002cccc8,0x03cccc98,
    0xcccc9800,0xcca80003,0x500001cc,0x00039999,0x00000000,0x99300000,
    0xb8000599,0x66442ccc,0x32e002cc,0x666442cc,0xcc88002c,0x400003cc,
    0x001ffffb,0x442cccb8,0x0002cccc,0x01e6664c,0x3ffffff6,0xfd000002,
    0x00005fff,0x00000000,0x02000000,0x44018800,0x00000009,0x00008000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00055cc0,0x00000000,0x3ffe2000,0x000005ff,
    0x00bffffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9dd95300,0x2aa20035,0x551002aa,
    0x00000555,0x00000000,0x00000000,0x00000000,0x00000000,0xfd880000,
    0x5555104e,0x55555555,0x7fff4555,0x9800002f,0x01aceeca,0x2aaaaaa0,
    0x2aaaa800,0x05555554,0x41555540,0xaaaaaaaa,0xaaaaaaaa,0xaaaaa81a,
    0xaaaaaaaa,0x5001aaaa,0x03555555,0x55555500,0x55555555,0x55503555,
    0x55555555,0x03555555,0x002aaaaa,0xaaaaaa80,0x2aaaa800,0x2aaaaaa2,
    0xaaaaaaaa,0x402aaaaa,0xffffffe9,0x7c402fff,0xf5007fff,0xaa88dfff,
    0x1aaaaaaa,0xaaaa8800,0xaaa88000,0x55555502,0x55555555,0x55510155,
    0x33555555,0x2aaaa000,0xaaaaaaaa,0x531aaaaa,0x88005555,0x500aaaaa,
    0x55555555,0x15555555,0xffff1000,0xffffffff,0x7fff4fff,0x2600002f,
    0xfffffffe,0xfff802ff,0xfe805fff,0x7fffc6ff,0xffe805ff,0xffffe86f,
    0xffffffff,0xfe83ffff,0xffffffff,0x3fffffff,0xfffff880,0xfe8005ff,
    0xffffffff,0x3fffffff,0xffffffe8,0xffffffff,0xfffd03ff,0x7fc0005f,
    0xe805ffff,0x3fea6fff,0xffffffff,0xffffffff,0x3ffee07f,0xffffffff,
    0x3ffe204f,0xfff5007f,0xffff88df,0xffffffff,0x7fcc00be,0xfb8001ff,
    0xfff886ff,0xffffffff,0x982fffff,0xffffffff,0x002dffff,0x3ffffffa,
    0xffffffff,0xffff53ff,0x7fe4005f,0xfff106ff,0xffffffff,0x005fffff,
    0xffffff10,0xffffffff,0x17ffff4f,0xfffb8000,0xffffffff,0x7fffc04f,
    0x7f401fff,0x7fffc6ff,0x7f401fff,0xfffe86ff,0xffffffff,0xe83fffff,
    0xffffffff,0xffffffff,0xffffa803,0xe8007fff,0xffffffff,0xffffffff,
    0xfffffe83,0xffffffff,0xffd03fff,0x7c0005ff,0x01ffffff,0xf537fff4,
    0xffffffff,0xffffffff,0x3ffa0fff,0xffffffff,0x880dffff,0x5007ffff,
    0xf88dffff,0xffffffff,0x02ffffff,0x00bfffe6,0x21bffee0,0xfffffff8,
    0xffffffff,0xffff982f,0xffffffff,0xfe801fff,0xffffffff,0x3fffffff,
    0x01bffffa,0x17ffffc4,0xffffff88,0xffffffff,0xf88002ff,0xffffffff,
    0x3a7fffff,0x0002ffff,0xffffffe8,0xffffffff,0xfffff00d,0xffe809ff,
    0x7ffffc6f,0x7ff404ff,0xffffe86f,0xffffffff,0xfe83ffff,0xffffffff,
    0x3fffffff,0xfffffc80,0x74001fff,0xffffffff,0xffffffff,0xfffffe83,
    0xffffffff,0xffd03fff,0x7c0005ff,0x04ffffff,0xf537fff4,0xffffffff,
    0xffffffff,0xfff70fff,0xfffdffff,0x107fffff,0x200fffff,0x446ffffa,
    0xffffffff,0xffffffff,0xffff880d,0xfffb8002,0xfffff886,0xffffffff,
    0xff982fff,0xffffffff,0x00efffff,0x7ffffff4,0xffffffff,0x3ffea3ff,
    0xffc802ff,0x3fe206ff,0xffffffff,0x02ffffff,0xeeeee880,0xfffeeeee,
    0x3ffffa7f,0x7fdc0002,0xffefffff,0x03ffffff,0xffffffff,0x37fff401,
    0x3ffffffe,0x3fffa00f,0xeeeeed86,0xeeefffff,0xeed82eee,0xfffffeee,
    0x02eeeeee,0xfffffff8,0x76c004ff,0xffffeeee,0x2eeeeeef,0xfeeeeed8,
    0xeeeeffff,0xfffd02ee,0x7fc0005f,0x00ffffff,0xe99bfffa,0xffeeeeee,
    0xeeeeefff,0x7ffc45ee,0x2e20afff,0x887fffff,0x5007ffff,0xf88dffff,
    0xfeeeffff,0xffffffff,0x2ffff885,0x5fffb800,0xffffff88,0xffffffff,
    0xfff982ff,0xfffeeeff,0x406fffff,0xffeeeeed,0xeeeeefff,0x7ffff42e,
    0x7fffc406,0x3ffe202f,0xffffffff,0x002fffff,0x3ffe6000,0x3ffffa7f,
    0x3fe20002,0x220affff,0x07fffffb,0xffffffff,0x37fff409,0x3ffffffe,
    0x3fffa04f,0x3fff6006,0xfd80003f,0x30003fff,0xffffffff,0x360000df,
    0x0003ffff,0x03ffffd8,0x17ffff40,0xfffff000,0x7f409fff,0x3fa006ff,
    0x32003fff,0x201fffff,0x42fffffb,0x007ffff8,0x88dffff5,0xa987ffff,
    0x2ffffffd,0x002ffff8,0x885fffc8,0x000fffff,0x37fffcc0,0x7ffffdc4,
    0xffd8000f,0xff5003ff,0x7e403fff,0x7c406fff,0x0000ffff,0xff300000,
    0x7fff4fff,0x3f20002f,0x2e01ffff,0xf82fffff,0x7fffffff,0xf1bfffa0,
    0xffffffff,0x037fff40,0x07ffffb0,0xffffb000,0x3fee0007,0xfffffbff,
    0xffd80000,0xd80003ff,0x4003ffff,0x002ffffe,0x3fffffe0,0x3ffa07ff,
    0x3ffa006f,0xff1003ff,0xfb007fff,0xff88dfff,0xff5007ff,0xfff88dff,
    0x7ffe407f,0xffff86ff,0xfffc8003,0xfffff884,0x7fcc0000,0x3fea06ff,
    0xd8002fff,0x2003ffff,0x105ffffe,0x805fffff,0x00fffff8,0x30000000,
    0x7f4fffff,0x10002fff,0x007fffff,0xf0dffffb,0xffffffff,0x1bfffa07,
    0xffffffff,0x3fffa07f,0x3fff6006,0xfd80003f,0xd0003fff,0xffd1ffff,
    0xb00007ff,0x0007ffff,0x07ffffb0,0x2ffffe80,0x3fffe000,0xd03fffff,
    0x7400dfff,0x5003ffff,0x001fffff,0x43fffff7,0x007ffff8,0x88dffff5,
    0xc807ffff,0x7c3fffff,0xc8003fff,0xff884fff,0x40000fff,0x406ffff9,
    0x003fffff,0x03ffffd8,0x3ffffea0,0x6ffffc81,0xfffff880,0xffb30000,
    0x7cc00019,0x3ffa7fff,0xf50002ff,0x7001ffff,0xf83fffff,0xffffefff,
    0x8dfffd06,0xfffeffff,0xdfffd06f,0x7fffec00,0xffd80003,0xf88003ff,
    0xfff96fff,0xfb0000bf,0x00007fff,0x007ffffb,0x02ffffe8,0x3bfffe00,
    0xfd06ffff,0x7f400dff,0xf9003fff,0x2200bfff,0x222fffff,0x5007ffff,
    0xf88dffff,0xf8807fff,0x7f46ffff,0xfd8003ff,0xfff883ff,0x4c0000ff,
    0x6c06ffff,0x8004ffff,0x003ffffd,0x22fffff4,0x02fffff8,0x0fffff88,
    0xffff9800,0x3e60006f,0x3ffa7fff,0xf90002ff,0x2200bfff,0x7c2fffff,
    0xfffdcfff,0x6fffe82f,0x7ee7fffc,0xffe82fff,0x3ff6006f,0xd80003ff,
    0x8003ffff,0xf33ffffa,0x0000ffff,0x007ffffb,0x7ffffb00,0xffffe800,
    0x3ffe0002,0x2ffffdcf,0x006fffe8,0x00fffffa,0x01ffffec,0x47ffffd0,
    0x007ffff8,0x88dffff5,0xb007ffff,0xfe8fffff,0x5ffe83ff,0x883fffd8,
    0x000fffff,0x37fffcc0,0x0fffffa0,0x3ffff600,0x7ffd4003,0x3fff20ff,
    0xfff1006f,0xfb0001ff,0x005fffff,0x9ffffe60,0x002ffffe,0x07ffffb0,
    0x1fffff40,0x3e73fffe,0xffe86fff,0x67fffc6f,0xe86ffff9,0x36006fff,
    0x0003ffff,0x03ffffd8,0x1ffffd80,0x00bffffe,0x7ffffb00,0xfffb0000,
    0xffe8007f,0x3e0002ff,0xfff9cfff,0x6fffe86f,0x3ffffa00,0xffffd003,
    0x7fff4007,0x3fffe24f,0xffff5007,0x7ffff88d,0xfffff500,0x444fffd8,
    0x7ec0ffff,0xfff883ff,0x4c0000ff,0x2606ffff,0x001fffff,0x03ffffd8,
    0x4ffffe80,0x00bffffe,0x07ffffc4,0x7ffff400,0xf30003ff,0x7ff4ffff,
    0xfd0002ff,0x74007fff,0x7fc4ffff,0xffffd4ff,0x46fffe83,0xffd4ffff,
    0xfffe83ff,0x3fff6006,0xfd80003f,0xf8003fff,0x7fec7fff,0x6c0004ff,
    0x0003ffff,0x03ffffd8,0x17ffff40,0x9ffff000,0xd07ffffa,0x7400dfff,
    0xf003ffff,0x4005ffff,0x224ffffd,0x5007ffff,0xf88dffff,0xf3007fff,
    0x7ec3ffff,0x7ffdc4ff,0x17ffec2f,0x4fffffc4,0x99999999,0xffff3009,
    0x3fffe60d,0xffb0006f,0xf50007ff,0xff71ffff,0x7c400dff,0x9999ffff,
    0x20999999,0x3ffffffd,0xffff3000,0x17ffff4f,0xfffff800,0x3fff6002,
    0xa7fffc4f,0x745ffffa,0x7ffc6fff,0xbffff54f,0x006fffe8,0x00fffff6,
    0x3ffff600,0x7ffcc003,0x7fffdc5f,0x7fec0007,0xd80003ff,0x4003ffff,
    0x002ffffe,0x553fffe0,0x7f45ffff,0x3fa006ff,0xf8803fff,0x2001ffff,
    0x225ffffc,0x5007ffff,0xf88dffff,0xf1007fff,0x7e45ffff,0x7ffec4ff,
    0x17fff45f,0x7fffffc4,0xffffffff,0xffff306f,0xffd9555f,0x0003ffff,
    0x00fffff6,0x5fffff40,0x002ffffe,0x3fffffe2,0xffffffff,0x3fffee6f,
    0xf30000ff,0x7ff4ffff,0xf88002ff,0x2001ffff,0x7c5ffffc,0x3ffe4fff,
    0x3fffa1ff,0xf27fffc6,0x7f43ffff,0x3f6006ff,0x80003fff,0x003ffffd,
    0x217fffe4,0x01fffff8,0x3ffff600,0xffd80003,0x7f4003ff,0x20002fff,
    0x3fe4ffff,0x3ffa1fff,0x3ffa006f,0xff8803ff,0x32001fff,0x3e26ffff,
    0xf5007fff,0xff88dfff,0xff1007ff,0x7fe47fff,0x3fffe25f,0x0ffff47f,
    0x7fffffc4,0xffffffff,0xffff306f,0xffffffff,0x40003dff,0x003ffffd,
    0xffffff50,0x8800dfff,0xffffffff,0x6fffffff,0x017fffe4,0xfffff300,
    0x017ffff4,0x7ffffc40,0x3fff2001,0x27fffc6f,0x749ffff7,0x7ffc6fff,
    0x3fffee4f,0x01bfffa4,0x03ffffd8,0xffffd800,0x7fff4003,0xffffe80f,
    0x3ff60003,0xd80003ff,0x4003ffff,0x002ffffe,0xb93fffe0,0x3fa4ffff,
    0x3fa006ff,0xf8803fff,0x2002ffff,0x225ffffd,0x5007ffff,0xf88dffff,
    0x3e007fff,0x3f23ffff,0x3ffea5ff,0x3ffa1fff,0xffff881f,0xffffffff,
    0xff306fff,0xffffffff,0x00005bff,0x007ffffb,0x7fffff40,0x44001fff,
    0xffffffff,0x6fffffff,0x0000aa88,0xd3ffffcc,0x5559ffff,0x55555555,
    0x0bffffe2,0x5ffffd80,0xf127fffc,0x3fa1ffff,0x7fffc6ff,0x3ffffe24,
    0x00dfffd0,0x01ffffec,0x7fffec00,0x3ffe2003,0xffff906f,0x7fec000d,
    0xd80003ff,0x4003ffff,0x002ffffe,0x893fffe0,0xfd0fffff,0x7f400dff,
    0xff003fff,0x6c005fff,0x3e23ffff,0xf5007fff,0xff88dfff,0xff1007ff,
    0x7fdc3fff,0x3ffff65f,0x3fffe4ff,0xfffff880,0xffffffff,0xfff306ff,
    0xffffffff,0x3600007f,0x0003ffff,0x3fffffea,0xff88006f,0xffffffff,
    0x006fffff,0x7ffcc000,0x3ffffa7f,0xffffffff,0x3ffe7fff,0x3f6002ff,
    0x7ffc3fff,0x7fffe44f,0xf8dfffd3,0x7fe44fff,0xdfffd3ff,0x7fffec00,
    0xffd80003,0x3ee003ff,0xff504fff,0x20001fff,0x003ffffd,0x3ffffd80,
    0x7ffff400,0x3ffe0002,0x7fffe44f,0x00dfffd3,0x01fffff4,0x03ffffe8,
    0x8bffffa0,0x007ffff8,0x88dffff5,0x3007ffff,0x5c1fffff,0x3ffe5fff,
    0x3fe6fffd,0xfff880ff,0x4c0000ff,0xfecfffff,0x005fffff,0x3ffffd80,
    0x7fff4000,0x88001fff,0x000fffff,0x05999990,0x7fffcc00,0x3fffffa7,
    0xffffffff,0x3fffa7ff,0x3ffa003f,0x7fffc2ff,0xbffffcc4,0x7fc6fffe,
    0x7ffcc4ff,0x0dfffd7f,0x1ffffec0,0x7ffec000,0x3ff6003f,0xfff101ff,
    0x360005ff,0x0003ffff,0x03ffffd8,0x17ffff40,0x9ffff000,0xd7ffff98,
    0x7400dfff,0xb003ffff,0x4009ffff,0x221fffff,0x5007ffff,0xf88bffff,
    0xf5007fff,0xffa8ffff,0xf3fff36f,0x3ffe3fff,0xfffff107,0xff980001,
    0x3ff626ff,0x40002fff,0x003ffffd,0x7ffffd40,0xfff10005,0x3e0001ff,
    0x0004ffff,0xe9ffffe6,0xffffffff,0x7fffffff,0x013ffff6,0x41fffff8,
    0xfd84ffff,0xfffeafff,0x427fffc6,0xfeaffffd,0x3f6006ff,0x80003fff,
    0x003ffffd,0x333ffffe,0xfffccccc,0xfb0005ff,0x00007fff,0x007ffffb,
    0x02ffffe8,0x13fffe00,0x3abffff6,0x3a006fff,0x9003ffff,0x200dffff,
    0x20fffff9,0x00fffff8,0x44ffffb8,0x007ffff8,0xa8dffff7,0xfff96fff,
    0x7fcffff2,0xffff107f,0xf980001f,0xffe86fff,0x20000fff,0x003ffffd,
    0x2ffffe80,0xffff1000,0x3fa0001f,0x20004fff,0x3a7ffff9,0xffffffff,
    0x7fffffff,0x01bffff2,0x07ffffcc,0x2613fffe,0xffeeffff,0x27fffc6f,
    0x777fffcc,0x36006fff,0x0003ffff,0x03ffffd8,0xffffff50,0xffffffff,
    0x2000ffff,0x003ffffd,0x3ffffd80,0x7ffff400,0x3ffe0002,0xffff984f,
    0x006fffee,0x00fffffa,0x0fffffdc,0x3ffffe40,0x007ffffc,0x217fffe4,
    0x807ffff8,0x45fffff8,0xfff7fff9,0x23bffeab,0xff107fff,0x80001fff,
    0x886ffff9,0x003fffff,0x0fffff60,0x3fffa000,0xff10002f,0x20001fff,
    0x003ffffe,0x1bfffee0,0x7fdc0000,0xfc801fff,0xfff87fff,0xffffd04f,
    0xff8dffff,0xfffd04ff,0x00dfffff,0x01ffffec,0x7fffec00,0xffff9003,
    0xffffffff,0x03ffffff,0x7ffffb00,0xfffb0000,0xffe8007f,0x3e0002ff,
    0xffd04fff,0x0dffffff,0x1fffff40,0xfffff880,0x7fffc404,0xffffe83f,
    0xffffe803,0x3ffffc41,0x7ffffdc0,0x4ffffcc1,0xfff12fff,0x20dfff3f,
    0x00fffff8,0x7fffcc00,0xfffffb06,0x3ff60001,0xe80003ff,0x0002ffff,
    0x01fffff1,0x3ffff600,0x3ff60002,0x000005ff,0x09fffff1,0x3fffff88,
    0x504ffff8,0xffffffff,0x04ffff8d,0xfffffff5,0x7fec00df,0xd80003ff,
    0xf003ffff,0xffffffff,0xffffffff,0xfb0009ff,0x00007fff,0x007ffffb,
    0x02ffffe8,0x13fffe00,0x7fffffd4,0x3fa006ff,0x32003fff,0x104fffff,
    0x20dffffd,0x00fffffd,0x03ffffea,0x80fffff1,0x85fffff9,0xffbffff8,
    0x2ffff60f,0xff106fff,0x80001fff,0x306ffff9,0x007fffff,0x0fffff60,
    0x3fffa000,0xff10002f,0x20001fff,0xa82ffffd,0x7fffcc02,0xccca803f,
    0xffff9004,0x3ffa209f,0xffff06ff,0x7ffffc09,0x7ffc6fff,0x3fffe04f,
    0x2006ffff,0x003ffffd,0x3ffffd80,0xeffff980,0xcccccccc,0x06ffffec,
    0x3ffffd80,0xfffd8000,0x7ff4003f,0x3e0002ff,0x3fe04fff,0x06ffffff,
    0x0fffffa0,0xfffff880,0xfeca9bdf,0xf302ffff,0x703dffff,0x107fffff,
    0x5c0fffff,0x81ffffff,0xffeffff8,0x7f7ffd45,0xfff105ff,0x980001ff,
    0x3a06ffff,0x0007ffff,0x007ffffb,0x5ffffd00,0x3ffe2000,0xf90000ff,
    0xdf503fff,0xffffa817,0xffd801ff,0xfff1006f,0x9537bfff,0x05fffffd,
    0xb813fffe,0x6fffffff,0x7027fffc,0xdfffffff,0xd3333310,0x3337ffff,
    0x33310133,0x7ffffd33,0x5c133333,0x5003ffff,0x201fffff,0xfe999998,
    0x9999bfff,0x99998809,0x9bffffe9,0xfd009999,0x55559fff,0x85555555,
    0x2e04ffff,0x6fffffff,0x3ffffa00,0x7ffec003,0xffffffff,0x6c06ffff,
    0xefffffff,0x6ffffffe,0x5fffff10,0xfffdb755,0x3e209fff,0x43ffffff,
    0xfffffff8,0xfffff105,0x55555557,0xff301555,0x7fdc0dff,0x26203fff,
    0xfffe9999,0x099999bf,0x3ffffa00,0xfff10002,0x555557ff,0x64155555,
    0xfa81ffff,0xffffffff,0xf004ffff,0x6c007fff,0xffffffff,0x6fffffff,
    0x813fffe0,0xfffffff8,0x027fffc6,0xfffffff1,0xfffffd0d,0xffffffff,
    0xffd07fff,0xffffffff,0x47ffffff,0x001ffffe,0x07fffff1,0x3ffffffa,
    0xffffffff,0xfffe83ff,0xffffffff,0xd03fffff,0xffffffff,0xffffffff,
    0x204ffff8,0xfffffff8,0x3fffa006,0xffd8003f,0xffffffff,0x4400efff,
    0xffffffff,0x1fffffff,0xffffff10,0xffffffff,0x7fc01bff,0xd80fffff,
    0x05ffffff,0xfffffff1,0xffffffff,0xffff305f,0xfffff80d,0x3ffffa06,
    0xffffffff,0x2003ffff,0x002ffffe,0xffffff10,0xffffffff,0x7ffdc5ff,
    0xffffa80f,0xffffffff,0xfff8800e,0x7fec001f,0xffffffff,0x3e00efff,
    0x7e404fff,0x7c6fffff,0x7e404fff,0xe86fffff,0xffffffff,0xffffffff,
    0xfffffe83,0xffffffff,0xfff13fff,0xffe800ff,0xfffd05ff,0xffffffff,
    0xd07fffff,0xffffffff,0xffffffff,0x3ffffa07,0xffffffff,0x7ffc7fff,
    0x7ffe404f,0x3a006fff,0x0003ffff,0xfffffff7,0x4009ffff,0xffffffd8,
    0x01efffff,0x3fffffe2,0xffffffff,0xffff802f,0xfff706ff,0x3e209fff,
    0xffffffff,0x2fffffff,0x06ffff98,0x17ffffe4,0xffffffe8,0xffffffff,
    0x3fa003ff,0x10002fff,0xffffffff,0xffffffff,0x07fffdc5,0x7fffffd4,
    0x00dfffff,0x00dfff50,0x3ffffee0,0x04ffffff,0x404ffff8,0x6ffffff9,
    0x2027fffc,0x6ffffff9,0xffffffe8,0xffffffff,0xfffe83ff,0xffffffff,
    0xf53fffff,0xc8009fff,0xfd07ffff,0xffffffff,0x7fffffff,0xffffffd0,
    0xffffffff,0x3ffa07ff,0xffffffff,0x7c7fffff,0x7cc04fff,0x006fffff,
    0x00fffffa,0xfffed980,0x0001dfff,0xffffffd5,0xff1007df,0xffffffff,
    0x2001bfff,0x03fffffe,0x9ffffff1,0x3ffffe20,0xffffffff,0xff982fff,
    0x7fc406ff,0xffd06fff,0xffffffff,0x07ffffff,0x17ffff40,0xffff8800,
    0xffffffff,0x3aa2ffff,0x3f6a06ee,0x2dffffff,0x27ffe400,0xffdb3000,
    0x003bffff,0x2013fffe,0x46fffffd,0xd804ffff,0xe86fffff,0xffffffff,
    0xffffffff,0xfffffe83,0xffffffff,0xfff93fff,0xff98005f,0xffe82fff,
    0xffffffff,0x83ffffff,0xfffffffe,0xffffffff,0xffffd03f,0xffffffff,
    0xfff8ffff,0xfffd804f,0x3fa006ff,0x00003fff,0x00015531,0x01aaa980,
    0x7ffffc40,0x0adeefff,0x7ffff400,0x3fffa01f,0xfff103ff,0xffffffff,
    0x305fffff,0xb00dffff,0xd05fffff,0xffffffff,0xffffffff,0x7fff4007,
    0xff10002f,0xffffffff,0x05ffffff,0x13533000,0x6665c000,0x53100001,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04ccc400,0x5000ccc4,0x00d4c015,0x2600aa80,0x0000001a,
    0x15dcc000,0x00000010,0xeeca9800,0x000001ac,0x00000000,0x0e654000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55400000,
    0x0006a600,0x33100000,0x03331013,0x017b9100,0x3fffffea,0xff980002,
    0x06fff83f,0x903fffd0,0xe8007fff,0xffc81fff,0x6400003f,0x01efffff,
    0xffffff30,0x0002f987,0xefffffc8,0xfffe9801,0x02ffffff,0x1ffffb80,
    0x00ffffa6,0xffffe880,0xff900004,0x100005ff,0x009ffffd,0x0efffd80,
    0x00bfffea,0x7fffe400,0x200001ef,0x4efffedb,0xffffffa8,0x00000002,
    0x1bfffffb,0x7f765400,0x003ceeff,0xf903fffd,0xffb007ff,0x7ffd41df,
    0xfff9802f,0x006fff83,0x077fffcc,0xfffffe88,0xfff80001,0xfffebacf,
    0xffffb804,0x7ffffcc6,0xffff7000,0xfffff98d,0xff900000,0x44009fff,
    0xffffffff,0x02fffcbe,0x3ffff200,0xfff7004f,0xffffffff,0xff70009f,
    0xffff77ff,0x7f440007,0x004fffff,0x7ffffc40,0x7f440006,0x004fffff,
    0x57fffe40,0x002ffffc,0xfffff900,0x75400009,0x5fffffff,0xfffffd10,
    0x80000003,0x03fffffd,0x3ffffaa0,0x07ffffff,0x46ffffb8,0x00fffff9,
    0xcaffffc8,0x2002ffff,0xebacffff,0x74004fff,0x404fffff,0x01fffffc,
    0x7fffdc00,0x00ffffff,0x47ffffc8,0x01fffffa,0x8fffff90,0x01fffffa,
    0xffffc800,0x7ff4002f,0xffffffff,0x0001ffff,0x05fffff9,0x3fffff60,
    0xffffffff,0x7d4000ef,0x2fffffff,0x3ffa2000,0x05ffffef,0x3fffe600,
    0x3a20007f,0xffffefff,0x7fe40005,0x01ffffff,0xffff9000,0x5400005f,
    0xffffffff,0x7ffe405f,0x000001ff,0x3dffffb0,0x7fffe400,0xffffffff,
    0xffffc807,0x7ffffd47,0xffff9001,0x8003ffff,0xfffffffb,0x7c000fff,
    0x805fffff,0x01fffffa,0x7fffec00,0x7002ffff,0xf88bffff,0x7000ffff,
    0xf88bffff,0x0000ffff,0x06ffffe4,0x45ffcc00,0xffffffc9,0xff90002f,
    0x2e001bff,0xefffffff,0xfffffffe,0xfffa8003,0x20002fff,0xd35fffe8,
    0x2000bfff,0x06fffff8,0xbfffd100,0x017fffa6,0xfffff700,0x3200003f,
    0x000dffff,0x3fffe200,0x05ffffff,0x1fffffa8,0x7ec00000,0x2000dfff,
    0xfffffffb,0x07ffffee,0x45ffffb8,0x00fffff8,0x3ffffee0,0xffb0001f,
    0x05ffffff,0xfffffd00,0x33322009,0xda80004c,0x000ceffe,0x5c077fec,
    0x6c002fff,0xffb80eff,0x64c0002f,0x40003ccc,0xfffd9839,0x9930002d,
    0xfe800799,0x220affff,0x07fffffb,0x59999300,0xcccb8000,0x16666442,
    0xffffb800,0x99970001,0x2cccc885,0x66654000,0x9300001c,0x00007999,
    0xbfffff90,0x20053315,0x004cccc8,0x3332a000,0xffe8002c,0xb7301eff,
    0x03bff600,0x000bffee,0x0073332a,0xdffdb500,0x3ea00019,0x0000ffff,
    0x00000000,0x26200c40,0x80310000,0x00000098,0x02000000,0x20000000,
    0x01fffffb,0x0fffffee,0x00000000,0x4c000000,0x000000ab,0x00000000,
    0x00000000,0x4fffff80,0x00000000,0x88000000,0x002fffff,0x2200c400,
    0x00000009,0x80000000,0x0000ded9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x803fffff,0x006ffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff980000,0x00000fff,0x00000000,0xffff9800,
    0x0000002f,0x00000000,0x00000000,0x2aaaaa00,0xaaaaaaaa,0xaaa80aaa,
    0xaaaaaaaa,0x01aaaaaa,0x55555550,0x2aaa6003,0x5544002a,0x55530aaa,
    0xaa880055,0xaaa80aaa,0xaaaaaaaa,0x41aaaaaa,0xaaaaaaa8,0xaaaaaaaa,
    0x3fea0aaa,0xfb800fff,0x5101ffff,0x55555555,0x55500033,0x55300155,
    0xaaa88355,0xaaaaaaaa,0x0aaaaaaa,0x55555500,0xaa880035,0xaaaaaaaa,
    0xaaaaaaaa,0x55555000,0x40000355,0x005ffffb,0xaaaaaa80,0x4400001a,
    0xaaaaaaaa,0xf881aaaa,0x000effff,0xaaaaaa80,0xaaaaaaaa,0x555500aa,
    0x55555555,0x2a015555,0xaaaaaaaa,0x0aaaaaaa,0x7fc40000,0xffffffff,
    0x82ffffff,0xfffffffe,0xffffffff,0xfff8803f,0x5005ffff,0x005fffff,
    0x537fffe4,0x005fffff,0x837fffe4,0xfffffffe,0xffffffff,0x7fffd43f,
    0xffffffff,0x21ffffff,0x005ffffb,0x05fffff1,0x3fffffe6,0x2dffffff,
    0x1fffff00,0x9ffff700,0xffffffa8,0xffffffff,0x8801ffff,0x5fffffff,
    0x7fffd400,0xffffffff,0x01ffffff,0xffffff88,0x3200005f,0x0003ffff,
    0x7fffffc4,0x6c00005f,0xffffffff,0xfd04ffff,0x005fffff,0x7ffffc40,
    0xffffffff,0xff882fff,0xffffffff,0x82ffffff,0xfffffff8,0xffffffff,
    0xddd9002f,0x3fffe207,0xffffffff,0xfe82ffff,0xffffffff,0x3fffffff,
    0xfffffa80,0x3fa007ff,0xf1006fff,0xfe85ffff,0xf1006fff,0x3a05ffff,
    0xffffffff,0xffffffff,0x7ffffd43,0xffffffff,0x321fffff,0x2003ffff,
    0x303ffffe,0xffffffff,0x3fffffff,0x0fffff80,0x4ffffb80,0x7fffffd4,
    0xffffffff,0xa801ffff,0x7fffffff,0x7fffd400,0xffffffff,0x01ffffff,
    0xffffffa8,0x3600007f,0x0002ffff,0x7fffffd4,0x2200007f,0xffffffff,
    0x704fffff,0xbfffffff,0xfff10001,0xffffffff,0x105fffff,0xffffffff,
    0xffffffff,0xfffff105,0xffffffff,0x3a005fff,0xff104fff,0xffffffff,
    0x05ffffff,0xfffffffd,0xffffffff,0xfff9007f,0x003fffff,0x0bffffea,
    0x1bffff20,0x0bffffea,0x1bffff20,0xffffffe8,0xffffffff,0x7ffd43ff,
    0xffffffff,0x1fffffff,0x00fffffa,0x04ffffe8,0xfffffff3,0xffffffff,
    0x7fffc01d,0xfffb800f,0x7fffd44f,0xffffffff,0x01ffffff,0xffffffc8,
    0x3ea001ff,0xffffffff,0xffffffff,0xfffc801f,0x001fffff,0x3ffffd00,
    0xfffc8000,0x001fffff,0xfffff700,0xffffffff,0xfffff709,0x009fffff,
    0xffffff88,0xffffffff,0xfff882ff,0xffffffff,0x882fffff,0xffffffff,
    0xffffffff,0xbfffd002,0x3ffffe20,0xffffffff,0xeed82fff,0xfffffeee,
    0x02eeeeee,0xfffffff8,0x3fa004ff,0x7c406fff,0xfd02ffff,0xf880dfff,
    0x3602ffff,0xfffeeeee,0xeeeeeeff,0x7ffffd42,0xffffffff,0x3e1fffff,
    0x2002ffff,0x305ffffd,0xdddfffff,0xffffffff,0x7ffffc0d,0xffffb800,
    0x7ffffd44,0xffffffff,0x801fffff,0xffffffff,0x3fea004f,0xffffffff,
    0xffffffff,0xfffff801,0x0004ffff,0x01fffff0,0xfffff800,0x0004ffff,
    0xffffffd0,0x7dddddff,0xffffffa8,0x1effffff,0xfffff100,0xffffffff,
    0xff105fff,0xffffffff,0x05ffffff,0xfffffff1,0xffffffff,0x3ffe005f,
    0xffff105f,0x2000001f,0x003ffffd,0xffffff30,0x5400dfff,0x201fffff,
    0x206ffffc,0x01fffffa,0x01bffff2,0x1ffffec0,0x99999880,0xfc999999,
    0x3e25ffff,0x2001ffff,0x305ffffc,0x710dffff,0x01ffffff,0x003ffffe,
    0x113fffee,0x33333333,0xffff9333,0xfff300bf,0x0dffffff,0x4ccccc40,
    0xfc999999,0x9805ffff,0xffffffff,0xf880006f,0x40007fff,0xfffffff9,
    0x980006ff,0xfffdffff,0xffff8807,0xfffffeef,0xf8803fff,0x0000ffff,
    0x07ffffc4,0x3ffe2000,0x100000ff,0x0dffffb7,0x03ffffe2,0x7fec0000,
    0xf70003ff,0xffff7fff,0x7ff4001f,0xfff105ff,0xffe805ff,0xfff105ff,
    0x360005ff,0x0003ffff,0xfffff880,0x3fffe20f,0x3ff2001f,0xfff306ff,
    0x7ffd40df,0xffff02ff,0xfff7001f,0x7c40009f,0x800fffff,0xffbffffb,
    0x00000fff,0xffffff88,0xffffb800,0x00fffffb,0xffffff30,0xffffffff,
    0xf700bfff,0xffff7fff,0xfc80001f,0x7fffcdff,0xfffffc80,0xffffff70,
    0xff8809ff,0x40000fff,0x00fffff8,0x7fffc400,0x6c40000f,0x6fffffff,
    0x1fffff10,0x3f600000,0xd0003fff,0xffd1ffff,0x7d4007ff,0xfc81ffff,
    0xfa806fff,0xfc81ffff,0x20006fff,0x003ffffd,0xffffd800,0x7fffc42f,
    0x3ff6002f,0xfff305ff,0xffff80df,0xfffff03f,0xffff7001,0x7fec0009,
    0xfd002fff,0xfffd1fff,0xb000007f,0x005fffff,0x3a3ffffa,0x3003ffff,
    0xffffffff,0xffffffff,0xfffd00bf,0x7ffffd1f,0xffff8000,0x807fffca,
    0x443ffffe,0xfffffffd,0x3fffe203,0x7c40000f,0x0000ffff,0x07ffffc4,
    0xffff5000,0x20dfffff,0x00fffff8,0xfffb0000,0xff10007f,0x3fff2dff,
    0x7ff4005f,0x7ffc45ff,0xffd002ff,0xfff88bff,0x360002ff,0x0003ffff,
    0x7ffffd40,0x5fffff05,0x7fffec00,0xdffff304,0x4ffffd80,0x01fffff0,
    0x09ffff70,0x3fffea00,0xfff1005f,0x3ffff2df,0x7d400005,0x1005ffff,
    0x3f2dffff,0xf3005fff,0xffffffff,0xffffffff,0xffff880b,0x0bffff96,
    0xbfffd400,0xf807fffc,0xf502ffff,0x01ffffff,0x03ffffe2,0xffff1000,
    0xf880001f,0x0000ffff,0xfffffff1,0x3e20ffff,0x0000ffff,0x7ffffb00,
    0xffff5000,0x1ffffe67,0xfffff500,0x37fffe41,0xfffff500,0x37fffe41,
    0x3fff6000,0x2200003f,0x00ffffff,0x007fffff,0x81fffff4,0x406ffff9,
    0xf03ffffe,0x7001ffff,0x0009ffff,0x1ffffff1,0x3fffea00,0x0fffff33,
    0x7ffc4000,0xf5000fff,0x3fe67fff,0xff3007ff,0xffffffff,0xbfffffff,
    0x3ffffa80,0x00fffff3,0xca7ffec0,0xff807fff,0x3a605fff,0x104fffff,
    0x001fffff,0xfffff880,0x7fc40000,0xb0000fff,0x35dfffff,0x3fe20333,
    0x00000fff,0x07ffffb0,0x3ffffb00,0x017ffffc,0x93ffffa0,0x002fffff,
    0xf27ffff4,0x0005ffff,0x03ffffd8,0x3fff6000,0x3ffa02ff,0x3fe004ff,
    0xff302fff,0x7fcc0dff,0xfff01fff,0xff7001ff,0xfb0009ff,0x4005ffff,
    0x3e1ffffd,0x0002ffff,0x5fffffb0,0x7fffec00,0x0bffffe1,0xffffd800,
    0x3ff60003,0x3fffe1ff,0xff88002f,0xffff91ff,0xfffffd00,0x7fffc405,
    0xffff105f,0xf880001f,0x0000ffff,0x07ffffc4,0x7fffc400,0x7fc4005f,
    0x99999fff,0x00099999,0x01ffffec,0x23ffffc0,0x004ffffd,0x47ffffd4,
    0x006ffffb,0x8fffffa8,0x006ffffb,0x3ffffd80,0xfff50000,0xffd80bff,
    0xff3006ff,0x3e603fff,0xff306fff,0x7fc0dfff,0xaaaabfff,0xfffdaaaa,
    0x7fd4004f,0x7c005fff,0x7fec7fff,0xa80004ff,0x005fffff,0x363ffffc,
    0x0004ffff,0x00bffffa,0x47ffff80,0x004ffffd,0x326fffb8,0x9999ffff,
    0x7ffffe41,0x3fff602f,0xffff107f,0x3333333f,0x3e201333,0x9999ffff,
    0x00999999,0x33fffff1,0x33333333,0x7ffffcc1,0x7ffc4001,0xffffffff,
    0x4006ffff,0x003ffffd,0x22ffffcc,0x007ffffb,0xebffffe8,0x0002ffff,
    0xfd7ffffd,0x00005fff,0x007ffffb,0xfffff100,0xfffb801f,0xffc801ff,
    0x3fe606ff,0xecaaafff,0x01ffffff,0x3ffffffe,0xffffffff,0x2004ffff,
    0x0ffffff8,0x3fffe600,0x3ffffdc5,0x3ffe2000,0x26000fff,0x7dc5ffff,
    0x20007fff,0x001fffff,0x8bffff30,0x007ffffb,0x323fffe8,0xffffffff,
    0x3fffe21f,0xfb80dfff,0xff106fff,0xffffffff,0x20dfffff,0xfffffff8,
    0xffffffff,0xfffff106,0xffffffff,0x7ffdcdff,0x7c4000ff,0xffffffff,
    0x06ffffff,0x1ffffec0,0x3ffff200,0x7ffffc42,0x7ffd4001,0x06ffffff,
    0x3fffea00,0x006fffff,0x7ffffb00,0xfffb0000,0xff1005ff,0xf8809fff,
    0x2602ffff,0xffffffff,0x1effffff,0x7fffffc0,0xffffffff,0x004fffff,
    0x0bfffff6,0x5ffff900,0x1fffff88,0x3fff6000,0x7e4002ff,0x7fc42fff,
    0xf0001fff,0x0001ffff,0x10bffff2,0x003fffff,0x907fffcc,0xffffffff,
    0xffffa83f,0x7ec3ffff,0xff105fff,0xffffffff,0x20dfffff,0xfffffff8,
    0xffffffff,0xfffff106,0xffffffff,0x7ffdcdff,0x7c4000ff,0xffffffff,
    0x06ffffff,0x1ffffec0,0x3ffffa00,0x3ffffe80,0xffffe800,0x0001ffff,
    0x7ffffff4,0xb00001ff,0x0007ffff,0x4fffffa8,0x3ffff600,0xfffd104f,
    0xfff980ff,0xffffffff,0xfff002df,0xffffffff,0xffffffff,0x3ffea009,
    0xfe8004ff,0xffe80fff,0xf50003ff,0x0009ffff,0xd01ffffd,0x0007ffff,
    0x00fffff1,0x07ffff40,0x01fffff4,0xc8dfff90,0xffffffff,0xffffa81f,
    0xfa9effff,0xf102ffff,0xffffffff,0x0dffffff,0x3fffffe2,0xffffffff,
    0xffff106f,0xffffffff,0x7fccdfff,0x44003fff,0xffffffff,0x6fffffff,
    0x7fffec00,0x3ffe2003,0xffff906f,0xfff5000d,0x000dffff,0xffffff50,
    0x6c0000df,0x0003ffff,0x3bffffe2,0x3ffea000,0xca9bdfff,0x03fffffe,
    0x7fffffcc,0x03ffffff,0x3fffffe0,0xffffffff,0x804fffff,0x0efffff8,
    0x7fffc400,0xdffff906,0xffff1000,0xf88001df,0xff906fff,0xf3000dff,
    0x2000dfff,0x906ffff8,0x200dffff,0x643ffff8,0xffffffff,0xfffd301f,
    0xffffffff,0x7fc40dff,0xffffffff,0x106fffff,0xffffffff,0xdfffffff,
    0x3ffffe20,0xffffffff,0x3ffe26ff,0x22001fff,0x000fffff,0xffffb000,
    0x7ffdc007,0xffff504f,0xffd0001f,0x0003ffff,0x3fffffa0,0x3600001f,
    0x0003ffff,0x0bfffff6,0x3ffff200,0xffffffff,0xf9805fff,0xffecffff,
    0xf005ffff,0x7001ffff,0xb009ffff,0x005fffff,0x09ffff70,0x03ffffea,
    0xfffffb00,0xfff70005,0x3ffea09f,0x7d4000ff,0x70005fff,0x2a09ffff,
    0x800fffff,0x640ffffb,0x88007fff,0xfffffffc,0x201fffff,0x00fffff8,
    0x7fffc400,0x7c40000f,0x0000ffff,0x7ffffffb,0xffff1001,0x2000001f,
    0x003ffffd,0x407ffff6,0x02fffff8,0xfffffa80,0x3ea00005,0x0005ffff,
    0x1ffffec0,0xffffa800,0x3f60004f,0xffffffff,0x3005ffff,0x6c4dffff,
    0x802fffff,0x800fffff,0x404ffffb,0x04fffffa,0x3ffffb00,0x3ffffe20,
    0x3ffea002,0xfb0004ff,0x3e203fff,0x4002ffff,0x004ffffb,0x03ffffb0,
    0x0bffffe2,0x217fffa0,0x0007fffc,0x3fffffa6,0x4401ffff,0x000fffff,
    0x7ffffc40,0x7fc40000,0x10000fff,0xffffffff,0xf883599d,0x0000ffff,
    0x7ffffb00,0x7ffffc00,0xfccccccc,0x0005ffff,0x005ffffd,0xffffe800,
    0x7ec00002,0x88003fff,0x006fffff,0xfffffd80,0x05ffffff,0x1bfffe60,
    0x03fffffa,0x01fffff0,0x09ffff70,0x37ffffc4,0xfffff000,0xf9999999,
    0x200bffff,0x06fffff8,0x3ffffe00,0xfccccccc,0x4005ffff,0x003ffffc,
    0x99fffff0,0xfff99999,0xff980bff,0xdaaaacff,0x80007fff,0xfffffffa,
    0xffff8803,0x7c40000f,0x0000ffff,0x07ffffc4,0xffff3000,0xbfffffff,
    0x0fffff88,0xffb00000,0x3ea007ff,0xffffffff,0xffffffff,0xfffd0007,
    0xe800005f,0x0002ffff,0x1ffffec0,0x7fffec00,0x9100001f,0x9fffffff,
    0xfff98003,0xffff886f,0x7fffc03f,0xfffb800f,0x3fff604f,0xf50001ff,
    0xffffffff,0xffffffff,0x3fff600f,0xf50001ff,0xffffffff,0xffffffff,
    0xfffd800f,0xffa8002f,0xffffffff,0x7fffffff,0x7ffffe40,0xffffffff,
    0xfb100007,0x100dffff,0x001fffff,0xfffff880,0x7fc40000,0x40000fff,
    0xfffffffa,0x7fc45fff,0x00000fff,0x07ffffb0,0x3fffff20,0xffffffff,
    0x001fffff,0x02ffffe8,0x7fff4000,0x6c00002f,0x4003ffff,0x04fffffa,
    0xfffd0000,0x3e60003f,0xffb06fff,0x7fc01fff,0xfb800fff,0xff504fff,
    0x40009fff,0xfffffffc,0xffffffff,0x7d401fff,0x0004ffff,0x3ffffff2,
    0xffffffff,0x1001ffff,0x001fffff,0xffffff90,0xffffffff,0x7c03ffff,
    0xffffffff,0x007fffff,0x7fffec00,0x7ffc400f,0x440000ff,0x000fffff,
    0x7ffffc40,0xff700000,0x8bffffff,0x00fffff8,0xfffb0000,0x3ffe007f,
    0xffffffff,0xffffffff,0xfffe8004,0x7400002f,0x0002ffff,0x1ffffec0,
    0xfffff100,0x6400000d,0x0003ffff,0x20dffff3,0x03fffff9,0x003ffffe,
    0x213fffee,0x06fffff8,0x7ffffc00,0xffffffff,0x04ffffff,0x1bffffe2,
    0xfffff000,0xffffffff,0x09ffffff,0x1bfffee0,0x7ffffc00,0xffffffff,
    0x04ffffff,0xfffffff5,0xffffffff,0xffa80000,0x7c400fff,0x0000ffff,
    0x07ffffc4,0x3ffe2000,0x400000ff,0x5ffffedb,0x07ffffc4,0xffd80000,
    0xff9803ff,0xccccceff,0xfffecccc,0xffe8006f,0x400002ff,0x002ffffe,
    0x7fffec00,0x3fff6003,0x000001ff,0x07ffffea,0xfff980e6,0x3fffa06f,
    0x3fffe07f,0xfffb800f,0xffffd84f,0x3e60001f,0xccccefff,0xffeccccc,
    0x3ff606ff,0x20001fff,0xcceffff9,0xeccccccc,0xd006ffff,0x0009ffff,
    0x99dffff3,0xd9999999,0x360dffff,0xaaaaefff,0x07fffdaa,0x3ff60018,
    0xff8806ff,0x40000fff,0x00fffff8,0x7fffc400,0x4000000f,0x7fc41a98,
    0xaaaabfff,0x80aaaaaa,0xfe999998,0x9999bfff,0x3fffee09,0xffff5003,
    0xffe8001f,0x400002ff,0x002ffffe,0xd3333310,0x3337ffff,0xfffa8133,
    0xccccceff,0x1ccccccc,0x3fffe200,0xffdbbdff,0xdffff302,0x7ffffdc0,
    0x1fffff03,0x9ffff700,0xefffffa8,0xcccccccc,0x3ee1cccc,0xf5003fff,
    0xf501ffff,0x999dffff,0x99999999,0x7fffdc39,0xffff5003,0x64ccd41f,
    0x02ffffff,0x3ffffb80,0xfffff500,0x3ffff881,0x27ffff20,0x3f209999,
    0x951099bd,0x009fffff,0x57fffff1,0x55555555,0xffff1015,0x5555557f,
    0xf1015555,0x5557ffff,0x15555555,0xff880000,0xffffffff,0x82ffffff,
    0xfffffffe,0xffffffff,0x3ffffa3f,0xffff1001,0xffe8007f,0x400002ff,
    0x002ffffe,0xffffffd0,0xffffffff,0xfffe87ff,0xffffffff,0x3fffffff,
    0x7fffe400,0xefffffff,0x6ffff980,0x37ffffc0,0x00fffff8,0x44ffffb8,
    0xfffffffe,0xffffffff,0x3ffa3fff,0xff1001ff,0xffd07fff,0xffffffff,
    0xffffffff,0x0fffff47,0xfffff880,0x3fffffa3,0x0004ffff,0x003ffffd,
    0x0fffffe2,0x401ffff7,0xfffffffc,0x3fff25ff,0xffffffff,0x8801ffff,
    0xffffffff,0xffffffff,0xfffff882,0xffffffff,0xff882fff,0xffffffff,
    0x02ffffff,0x7ffc4000,0xffffffff,0xe82fffff,0xffffffff,0xffffffff,
    0x0fffff13,0x5ffffe80,0x7ffff400,0x7f400002,0xd0002fff,0xffffffff,
    0xffffffff,0xfffffe87,0xffffffff,0x003fffff,0xffffffe8,0x983fffff,
    0x6406ffff,0xf82fffff,0xb800ffff,0x7f44ffff,0xffffffff,0xffffffff,
    0xfffff13f,0xffffe800,0xfffffe85,0xffffffff,0xf13fffff,0xe800ffff,
    0x3fa5ffff,0xefffffff,0xfff88000,0x7ff4007f,0x7fff45ff,0x7fffe406,
    0x325fffff,0xffffffff,0x01ffffff,0xffffff10,0xffffffff,0xfff105ff,
    0xffffffff,0x105fffff,0xffffffff,0xffffffff,0xf8800005,0xffffffff,
    0x2fffffff,0xffffffe8,0xffffffff,0xffff53ff,0xfffc8009,0x7ff4007f,
    0x400002ff,0x002ffffe,0xffffffd0,0xffffffff,0xfffe87ff,0xffffffff,
    0x3fffffff,0xfffc8800,0x02ffffff,0x80dffff3,0x86fffff8,0x800fffff,
    0x744ffffb,0xffffffff,0xffffffff,0xffff53ff,0xfffc8009,0xffffe87f,
    0xffffffff,0x53ffffff,0x8009ffff,0x3a7ffffc,0xcfffffff,0xfff50000,
    0xffc8009f,0x3ffe67ff,0x7ffe403f,0x25ffffff,0xfffffffc,0x01dfffff,
    0x3ffffe20,0xffffffff,0xff882fff,0xffffffff,0x82ffffff,0xfffffff8,
    0xffffffff,0x4400002f,0xffffffff,0xffffffff,0xfffffe82,0xffffffff,
    0xfff93fff,0xff98005f,0x3a002fff,0x0002ffff,0x17ffff40,0xffffe800,
    0xffffffff,0x7f43ffff,0xffffffff,0xffffffff,0x3220003f,0x00bcefec,
    0x01bfffe6,0x0bfffff6,0x001fffff,0xe89ffff7,0xffffffff,0xffffffff,
    0xffff93ff,0xfff98005,0x7fff42ff,0xffffffff,0x3fffffff,0x005ffff9,
    0x2fffff98,0x39bdfdd7,0xfffc8000,0x7fcc002f,0xfff92fff,0xfffc801f,
    0x25ffffff,0xfeeedba8,0x8000bdee,0xfffffff8,0xffffffff,0xffff882f,
    0xffffffff,0xf882ffff,0xffffffff,0x2fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xca800000,0x3310001c,0x03331013,0xd9731000,
    0x200379bd,0xdeeedcba,0x551001ac,0x55555555,0x2aa20055,0xaaaaaaaa,
    0xaa88002a,0xaaaaaaaa,0xa988002a,0xcccccccb,0xcc80003c,0x333264cc,
    0x0000002c,0x00037751,0x006eea20,0x99800000,0x00000099,0x540cccc4,
    0x000003ee,0x00000000,0x00000000,0x000d4400,0x00000000,0x04cccc00,
    0x40000000,0x002ffffc,0xf83fff98,0x2a0006ff,0xfffffffe,0xf700ffff,
    0xffffffff,0xf3005fff,0xffffffff,0x3e600fff,0xffffffff,0xf98007ff,
    0xffffffff,0xf71007ff,0xffffffff,0x000dffff,0x44ffffa8,0x0007ffff,
    0xffffa800,0x2a0000df,0x00dfffff,0x7c400000,0x00005fff,0x23ffff40,
    0x004ffff9,0xfdb71000,0x00017ddf,0xd501bfd3,0x3a60019f,0xcfea80df,
    0xfff70000,0xfb70001b,0x000a05bf,0x7ffd4000,0x37fa603f,0x00cfea80,
    0x7ffffc40,0xffff0006,0x9fffd759,0xfffb1000,0xffffffff,0xffe981ff,
    0xffffffff,0xf9802fff,0xffffffff,0xff3007ff,0xffffffff,0xff3000ff,
    0xffffffff,0xfff700ff,0xffffffff,0x000dffff,0x41ffffd8,0x002ffffc,
    0x3ffe6000,0x0006ffff,0xfffffff3,0x9300000d,0x3fea5999,0x000002ff,
    0x2e27fffc,0x000fffff,0x7fffdc00,0x0cffffff,0xdffff100,0x04ffff98,
    0x46ffff88,0x004ffff9,0x4fffff98,0x7fffe400,0x13ee1eff,0x66666440,
    0x644ccccc,0xf100ffff,0xff98dfff,0x7cc004ff,0x0007ffff,0xfffffff7,
    0x98001fff,0xfffffffe,0x0fffffff,0x3fffffa2,0xffffffff,0xfff9802f,
    0xffffffff,0xffff3007,0xffffffff,0xffff3000,0xffffffff,0xfffffd80,
    0xffffffff,0x20006fff,0x886ffff8,0x0006ffff,0x2bbffa00,0x8003fffb,
    0xffbaeffe,0x5400003f,0xff95ffff,0x800000ff,0x541ffff9,0x001fffff,
    0x3ffff600,0xffffffff,0xffff5006,0x7fffe43f,0xffffa807,0x3ffff21f,
    0xfffb8007,0x3ee007ff,0xffffffff,0x803ffffe,0xfffffff9,0x7ff47fff,
    0x3ffea05f,0x3fff21ff,0x7fc4007f,0x20006fff,0xfffffffd,0x7fc4002f,
    0xefffffff,0x20fffffe,0xeffffffd,0xffedcccc,0xaaaa8802,0x2aaaaaaa,
    0x55555100,0x05555555,0x55555100,0x05555555,0x7fffffdc,0xfbabffff,
    0x20006fff,0xb02ffffc,0x0003ffff,0x41fff100,0x44005ffb,0x3fee0fff,
    0x7d400005,0xfffd5fff,0x6dc40009,0x7fffb81f,0x03ffffb0,0x3ffee000,
    0xffffefff,0xfa805fff,0x3ee0ffff,0xfa807fff,0x3ee0ffff,0xb8007fff,
    0x006fffff,0x3fb7fff6,0xefffffff,0xffff9800,0x47ffffff,0x2a02ffff,
    0x2e0fffff,0x8007ffff,0x001ffffb,0x77ff6d40,0xffd8000c,0x501bffff,
    0x3ffe21fb,0x54401eff,0x00000001,0x00000000,0xffff3000,0x1fffffff,
    0x01bfffe2,0x3ffffc40,0x09ffff30,0xfff10000,0x4005ffa8,0x7fd47ff8,
    0x7d400005,0xffff5fff,0x3ffe0003,0xfffd81ff,0x1ffff104,0xfff30000,
    0x7ecc19ff,0xfd007fff,0xfff88bff,0xfffd003f,0x3ffff88b,0xffff8800,
    0x076c003f,0xffffffd3,0x3ffe6003,0x7fffffff,0x003fffe6,0xf88bfffd,
    0x30003fff,0x00000157,0xfff98000,0x41001fff,0x00fffffa,0x00000000,
    0x00000000,0xfffd8000,0xffffffff,0x0dffff10,0x3fffee00,0x7ffff403,
    0xff800000,0x09ffb13f,0x227fff00,0x00004ffd,0x4effffd4,0x20006fff,
    0xf81fffff,0xff301fff,0x2e0000ff,0x3e05ffff,0x8801ffff,0x5b9103db,
    0x81edc400,0x20002dc8,0x0003efd9,0x2f7b6e01,0x2aaa2000,0x7ffffbaa,
    0x2017ffee,0xb9103db8,0x00000005,0x3a000000,0x000fffff,0x0fffff90,
    0x55554000,0xaaaaaaaa,0x001aaaaa,0x35555555,0x2aaaa000,0xaaaaaaaa,
    0x3fe0aaaa,0xffffffff,0xffff10ff,0x3ffa000d,0x7fdc00ff,0x800003ff,
    0xfffffffb,0xffb8000f,0x00ffffff,0x7ffd4000,0x03eeeadf,0x3ffffe00,
    0x42f77441,0x02fffda8,0xffffb000,0x7ffff403,0x00000002,0x00000000,
    0x00000000,0xffff8800,0x00bbbb27,0x55400000,0xaaaaaaaa,0x00aaaaaa,
    0x55555550,0x7ffd4003,0x320004ff,0x001fffff,0xfffffd00,0xffffffff,
    0xf1007fff,0x0bffffff,0xfffff100,0xffffffff,0x3fe25fff,0xffffffff,
    0xffff10ff,0xfff3000d,0xfff100bf,0x200000df,0x2ffffffd,0x3fff6000,
    0x00002fff,0x05ffffa8,0x7fffc000,0xfff8001f,0x200005ff,0x100ffffe,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00fffff1,0x88000000,
    0xffffffff,0xffffffff,0xffff8802,0x2e005fff,0x001fffff,0x3ffffea0,
    0xfe80001e,0xffffffff,0x3fffffff,0xfffffa80,0xf88007ff,0xffffffff,
    0x2fffffff,0xfffffff5,0x221fffff,0x8006ffff,0x001ffffd,0x005ffff9,
    0x3bf6a000,0xda80000c,0x00000cef,0x0bffff50,0xffff8000,0xfff8001f,
    0x7c00002e,0x3f207fff,0x30006fff,0x00359b97,0x3b32ea20,0x00002bcd,
    0x35799953,0x332ea200,0x0002bcde,0x1ffffe20,0x15555400,0x06aaaa20,
    0x3fffffe2,0xffffffff,0xffa802ff,0x007fffff,0x01bffff2,0xfffff300,
    0x400039ff,0xfffffffe,0xffffffff,0xfffc803f,0x001fffff,0x7fffffc4,
    0xffffffff,0xffff52ff,0xffffffff,0x1bfffe21,0xdffff100,0x7fffc400,
    0x00000005,0x00000000,0x5e6654c4,0x005ffffc,0xf5555530,0x5557ffff,
    0x57035555,0xf1000003,0x3ee0ffff,0x4002ffff,0xfffffffc,0xfd7001ef,
    0xffffffff,0xd30007ff,0xffffffff,0x7ff5c0ff,0xffffffff,0xf880003f,
    0x88007fff,0x5407ffff,0xf885ffff,0xffffffff,0x2fffffff,0xfffffc80,
    0xfd001fff,0x0000bfff,0xfffffffb,0xd80015bf,0xfffeeeee,0xeeeeeeff,
    0xfffff802,0x4004ffff,0xfffffff8,0xffffffff,0xfffff12f,0x1fffffff,
    0x01bfffe2,0x05ffff90,0x1ffffd80,0x2aaaa000,0x55554402,0x665d4401,
    0x4002bcde,0xffffffc8,0x05ffffff,0xfffffb00,0xffffffff,0x807fffff,
    0x5c42aaa9,0xf101bcec,0xff70ffff,0x44007fff,0xfffffffd,0xf803ffff,
    0xffffffff,0x006fffff,0xffffff91,0x40ffffff,0xffffffff,0x06ffffff,
    0x7fffc400,0xfff88007,0x7ffd407f,0xffff885f,0xffffffff,0xf802ffff,
    0xffffffff,0xfffff004,0xff100009,0xffffffff,0xd800019f,0x0003ffff,
    0xfffffff3,0xf8800dff,0x0000ffff,0xffffffff,0x3e21ffff,0x7c006fff,
    0xa8007fff,0x0004ffff,0x80fffff1,0x705ffffa,0xfffffffd,0x5007ffff,
    0xffffffff,0x0bffffff,0x3ffff600,0xffffffff,0x03ffffff,0xf937ffe4,
    0x07ffffff,0xa8fffff1,0x003fffff,0x3fffffe2,0xffffffff,0x7ffffc03,
    0xffffffff,0x7fcc04ff,0xffffffff,0x3fe07fff,0xffffffff,0x004fffff,
    0x1ffffe20,0x3fffe200,0x7fffd407,0xfffff885,0x3e600000,0xffffffff,
    0xffff8806,0xd300003f,0xffffffff,0x40009fff,0x003ffffd,0xf7ffff70,
    0x4001ffff,0x00fffff8,0xfffffb00,0x21ffffff,0x006ffff8,0x013fffea,
    0x07ffff40,0x7fffc400,0x7fffd407,0xffffff05,0xffffffff,0x7fffe40d,
    0xffffffff,0xb0005fff,0xffffffff,0xffffffff,0xffc807ff,0xffffe8ef,
    0x444fffff,0x7fc7ffff,0x6c003fff,0x88aeffff,0x0fffffe9,0x26afbfe0,
    0xffffb989,0x3ffa00ff,0xeeefffff,0x3fe07fff,0xb9899abe,0x00ffffff,
    0xfffff100,0xffff1000,0xffffa80f,0xfffff885,0x3ee00000,0xffffbfff,
    0x7ffcc00f,0x200002ff,0xffffffc8,0x00efffff,0x3ffffd80,0xffffd000,
    0x07ffffd1,0x7ffffc40,0xfff30000,0xffffffff,0x1bfffe21,0x0ffffe80,
    0xffff7000,0xfff10007,0xfffa80ff,0xfffff05f,0xffffffff,0xfff309ff,
    0x9557bfff,0x00bffffd,0x333332e0,0xccdfffff,0x402ccccc,0xffdefffc,
    0xffffffff,0x3fffe21f,0x1ffffe67,0xbffff300,0x27fffec0,0xff100170,
    0x3ee05fff,0x80afffff,0x002e06b8,0x0bffffe2,0x7fffc400,0xfff88007,
    0x7ffd407f,0xffff885f,0x3a00000f,0xffe8ffff,0x7fc403ff,0x00003fff,
    0xfffffc88,0x006fffff,0x03ffffd8,0x6ffff880,0x00bffff9,0x07ffffc4,
    0xffff5000,0x21ffffff,0x006ffff8,0x00bffff3,0x37fffc40,0x7fffc400,
    0x7fffd407,0x357dff05,0xffff7313,0xfffe81ff,0xfff501ff,0xf80000bf,
    0x0001ffff,0x7fffffe4,0xffffdfff,0x3ffe24ff,0x3fffea7f,0x7fff4007,
    0x3ffe600f,0xf900007f,0xff107fff,0x0001dfff,0x7ffe4000,0xff10003f,
    0xf1000fff,0xfa80ffff,0xff885fff,0x00000fff,0x32dffff1,0xf805ffff,
    0x0004ffff,0x7ffed400,0x004fffff,0x01ffffec,0x9ffffd40,0x007ffff9,
    0x03ffffe2,0xffff9000,0x221fffff,0xb006ffff,0x0003ffff,0x02ffffc8,
    0x3ffffc40,0x17fffea0,0x7fc4005c,0x3fee2fff,0x3ea01fff,0x00005fff,
    0x00fffffc,0x3ffff200,0x3f622fff,0x3fe26fff,0x3ffe67ff,0xff3002ff,
    0xffd00bff,0x700001ff,0xf709ffff,0x0005ffff,0xfffb8000,0xff10004f,
    0xf1000fff,0xfa80ffff,0xff885fff,0x00000fff,0x267ffff5,0xe807ffff,
    0x0005ffff,0xfff91000,0xd800ffff,0x8003ffff,0x3e1ffffd,0x1002ffff,
    0x001fffff,0xffffb300,0x3fe21fff,0xff8806ff,0x980006ff,0x4005ffff,
    0x407ffff8,0x005ffffa,0x3ffffc80,0x017ffff6,0x00bffff5,0xfffff800,
    0x7fe40001,0xfa81ffff,0x3fe27fff,0x7fffc7ff,0xffa802ff,0xffd803ff,
    0xb80001ff,0xfc84ffff,0x00006fff,0xffffb800,0xfff10004,0xff1000ff,
    0xffa80fff,0xfff885ff,0xb00000ff,0x7fc3ffff,0x7ec02fff,0x00006fff,
    0x7fffd400,0x3f6000ff,0xf8003fff,0x7fec7fff,0xff1004ff,0x33333fff,
    0x00133333,0x1ffffd93,0x01bfffe2,0x00ffffee,0x7fffec00,0x3ffe2001,
    0x7ffd407f,0xfb80005f,0x3ffe4fff,0x7fd402ff,0x400005ff,0x001fffff,
    0x7ffffe40,0xfffff102,0x1ffffe21,0x7ffffff9,0xfffffb80,0xffffffff,
    0x803fffff,0xffffedc9,0xe84fffff,0x0004ffff,0xffedc980,0x4fffffff,
    0xffff1000,0xfff1000f,0xfffa80ff,0xffff885f,0x9999999f,0x7fc00999,
    0x7ffec7ff,0x7ffe404f,0x000002ff,0x7ffffe40,0x3fff6002,0x7fcc003f,
    0x7ffdc5ff,0xfff1007f,0xffffffff,0x000dffff,0xffff8862,0x7ffff806,
    0x3fea0000,0x3e2004ff,0x7d407fff,0x80005fff,0xf14ffffb,0xa801ffff,
    0x0005ffff,0x0fffffc0,0x3fff2000,0x7fffc04f,0xfffff10f,0xfffffe88,
    0x3fff205f,0xffffffff,0x3fffffff,0x3ffffaa0,0xffffffff,0xfffff84f,
    0x3aa00002,0xffffffff,0x004fffff,0x0fffff10,0xfffff100,0x5ffffa80,
    0xffffff88,0xffffffff,0x3ffe606f,0x7fffdc5f,0x7fffdc07,0x0000006f,
    0x0fffffd4,0x7ffffb00,0xffffc800,0x7ffffc42,0xffff8801,0xffffffff,
    0x00006fff,0x80dffff1,0x004ffffa,0x7ffff400,0xffff1000,0xffffa80f,
    0xfedc9805,0xffffffff,0x0fffff34,0x0bffff50,0xffff8000,0x7e40001f,
    0x7fc03fff,0xfff10fff,0xfffd10ff,0x3f60dfff,0xffffffff,0xffffffff,
    0xffff903f,0xffffffff,0xff889fff,0x00002fff,0xfffffff9,0xffffffff,
    0x3fe20009,0xf88007ff,0x7d407fff,0xff885fff,0xffffffff,0x206fffff,
    0x442ffffc,0x401fffff,0x03ffffff,0x3ee00000,0x2000ffff,0x003ffffd,
    0x407ffff4,0x803ffffe,0xfffffff8,0xffffffff,0xff100006,0xffe80dff,
    0x400000ff,0x003ffffb,0x80fffff1,0x205ffffa,0xffffffea,0x4fffffff,
    0x00fffff5,0x00bffff5,0xfffff800,0x7fe40001,0x7ffc03ff,0xffff10ff,
    0x3fff620f,0xffd83fff,0xcccccdff,0xcccccccc,0xfffffc81,0xfdccccef,
    0xfff84fff,0xc80003ff,0xceffffff,0xffffdccc,0xfff10004,0xff1000ff,
    0xffa80fff,0xfff885ff,0xffffffff,0x3a06ffff,0xfe80ffff,0x7dc03fff,
    0x804fffff,0x400370c9,0x07fffff8,0x1ffffec0,0xdffff100,0x1bffff20,
    0x3ffffe20,0xffffffff,0x100006ff,0x4c0dffff,0x0005ffff,0x6ffff880,
    0xfffff100,0x5ffffa80,0xffffff90,0xffffffff,0x3fffea9f,0xffffa807,
    0x7fc00005,0x40001fff,0x403ffffc,0xf10fffff,0xfc80ffff,0x640fffff,
    0x0003ffff,0xbfffff10,0x3fffee01,0x4ffffe84,0x7ffc4000,0xff700dff,
    0x220009ff,0x8007ffff,0x407ffff8,0x885ffffa,0xffffffff,0x6fffffff,
    0x0dffff10,0x01bffff2,0x3ffffffa,0xfcbaabde,0x7bfff0ff,0xf9531335,
    0x007fffff,0x03ffffd8,0x13fffee0,0x07ffffd4,0x3ffffe20,0x40000000,
    0x206ffff8,0x002ffffc,0xffff9000,0xffff1005,0xffffa80f,0xfffffc85,
    0xfdccccef,0xfff34fff,0xfff500ff,0xf80000bf,0x0001ffff,0x01ffffe4,
    0x443ffffe,0xc807ffff,0x5c1fffff,0x0004ffff,0x1fffff50,0x27fffdc0,
    0x077fffec,0xffff5000,0x7ffdc01f,0xff10004f,0xf1000fff,0xfd80ffff,
    0xff885fff,0x40000fff,0x504ffffb,0x801fffff,0xfffffffa,0xffffffff,
    0xffffff0f,0xffffffff,0xb000dfff,0x4007ffff,0x101ffffd,0x805fffff,
    0x00fffff8,0x7c400000,0xff106fff,0x00000dff,0x02ffffcc,0x03ffffc4,
    0x117fffea,0x01bfffff,0x453fffee,0x400fffff,0x005ffffd,0x7ffffc00,
    0x7fe40001,0x7ffc03ff,0xffff10ff,0xffff100f,0xffff987f,0xfc80000f,
    0x7e405fff,0xffc84fff,0x20004fff,0x405ffffc,0x004ffffc,0x0fffff10,
    0x3ffffe00,0xfffff901,0xfffff10b,0xffd80001,0xfff101ff,0xff3005ff,
    0xffffffff,0x3e1fffff,0xffffffff,0xefffffff,0xfffd8001,0x3ffe003f,
    0xccccccff,0x05fffffc,0x07ffffc4,0x22000000,0xf706ffff,0x00007fff,
    0x0ffffe80,0x3ffffc40,0x17ffff60,0x01fffff5,0xf27fffdc,0x6407ffff,
    0x005fffff,0x7ffffc00,0x7fe40003,0x7ffc03ff,0xffff10ff,0x3fffa00f,
    0x7fffc42f,0xfc80005f,0x3f207fff,0xf984ffff,0x803fffff,0x7fffe408,
    0x3ffff207,0xff10004f,0x3e000fff,0xfb83ffff,0x885fffff,0x000fffff,
    0x67ffffc0,0xffcccccc,0xd1005fff,0xffffffff,0x3e1fffff,0xffffffff,
    0x0dffffff,0xffffb000,0x3ffea007,0xffffffff,0x07ffffff,0x07ffffc4,
    0x26000000,0xff05ffff,0x00001fff,0x4ffffa80,0x1fffff80,0xbfffff90,
    0x05ffffc8,0xd27fffe4,0x2e0dffff,0x05ffffff,0x7fff4000,0x7e40005f,
    0x7fc03fff,0xfff10fff,0xffa804ff,0xffb80fff,0x4c01dfff,0xffffb81b,
    0x7ffec43f,0xff904fff,0x135dffff,0xb81fb733,0x443fffff,0x4ffffffd,
    0xffff1000,0x3ffa000f,0xffb32eff,0x10bfffff,0x001fffff,0x7ffffd40,
    0xffffffff,0x4007ffff,0xffffffc9,0x36e0bdff,0xffffffff,0x0001cfff,
    0x01ffffec,0xffffffc8,0xffffffff,0x2201ffff,0x000fffff,0x7fd40000,
    0xfffa84ff,0x0000004f,0xf00fffff,0xf707ffff,0xc8bfffff,0x3207ffff,
    0x2a4fffff,0x30dfffff,0xfffffffb,0xfd80000b,0x1101ffff,0x3ffffc80,
    0x87ffffc0,0x2a7ffff8,0xfffeddef,0x3ffa06ff,0xdcdeffff,0x982fffee,
    0xcfffffff,0xfffffffe,0xffff104f,0xffffffff,0xff981fff,0xfecfffff,
    0x4fffffff,0xffff1000,0x3fee000f,0xffffffff,0x85ffffff,0x00fffff8,
    0x3ffff200,0xffffffff,0x01ffffff,0x9ffffc80,0xf5531000,0x0000dfff,
    0x01ffffec,0xfffffff8,0xffffffff,0x2204ffff,0x000fffff,0x7fec0000,
    0xfffe83ff,0x0000001f,0x807ffff7,0x32effffe,0xfffffffb,0xfffffb8b,
    0x7fffec43,0x7fff44ff,0xffffffff,0x005fffff,0x7fffdc00,0xfeecceff,
    0x7fffe403,0x7ffffc03,0x4fffff10,0xfffffffa,0x3e601fff,0xffffffff,
    0x02ffffff,0xfffffffb,0xffdbffff,0x7ffd409f,0xffffffff,0xffd80fff,
    0xffffffff,0x04fffedf,0x7ffffffc,0xffffffff,0x7fc01fff,0xffffffff,
    0x85fffecf,0x00fffff8,0x3ffffe00,0xffffffff,0x04ffffff,0x05fffe80,
    0x3fffe200,0x3f600003,0xf9803fff,0xccccefff,0xffeccccc,0x3fe206ff,
    0x00000fff,0x7fd403d5,0x7fcc1fff,0x000005ff,0x1bfffe20,0xffffff70,
    0xffffffff,0xfff98bff,0xffecffff,0x44ffffff,0xfffffffa,0xffebffff,
    0xe800005f,0xffffffff,0x7e403fff,0x7fc03fff,0xfff10fff,0x7fffd4ff,
    0x802fffff,0xffffffd8,0x2fffffff,0xffffff10,0x3f6bffff,0x7ec404ff,
    0xffffffff,0xff880fff,0xffffffff,0x809fffb5,0xffffffff,0xffffffff,
    0x7fd401ff,0x4fffffff,0xf10bfffb,0x0001ffff,0x33bfffe6,0xcccccccc,
    0x006ffffe,0x002ffff8,0x03fffe60,0x26666200,0x9bffffe9,0x3ee09999,
    0xf5003fff,0x2201ffff,0xaabfffff,0xaaaaaaaa,0x7bfff100,0xffff9533,
    0xffff90bf,0x80000005,0x401ffffd,0xffffffff,0xfffecfff,0xfffffd85,
    0xedffffff,0xffa84fff,0x3fffffff,0x000bfffb,0xfffff300,0x07ffffff,
    0x03ffffc8,0x887ffffc,0x3ea7ffff,0x0bffffff,0x7fff5400,0xceffffff,
    0x3fff2200,0x3f62dfff,0xdb5004ff,0xbfffffff,0x7ffe4405,0x3f62dfff,
    0x7ffc04ff,0xffffffff,0x1fffffff,0xffffe980,0x3fff62ef,0xfffff885,
    0xaaaaaaab,0x3fee0aaa,0xff5003ff,0x4c001fff,0x40007fff,0x0005fffb,
    0xfffffffd,0xffffffff,0x7ffff47f,0xffff1001,0x3ffe207f,0xffffffff,
    0xb02fffff,0xffffffff,0x81ffffff,0x006ffff8,0xff980000,0x7fd405ff,
    0x4fffffff,0xf10bfffb,0xffffffff,0x13fff6bf,0x7fffff4c,0x17fff61e,
    0x7e440000,0xffffffff,0x7fffe402,0x7ffffc03,0x2a662000,0x2a200001,
    0x8001aaaa,0x000aaa98,0x26aa6000,0x554c4000,0xff80000a,0xffffffff,
    0xffffffff,0x2aaa2001,0xfff10000,0xffffffff,0x745fffff,0x1001ffff,
    0x007fffff,0x0027ffdc,0x00bfff60,0x7fffff40,0xffffffff,0xfff13fff,
    0xffe800ff,0xfff105ff,0xffffffff,0x105fffff,0xfffffffd,0x05ffffff,
    0x007ffff7,0x3fa00000,0x74c00fff,0x22efffff,0x9105fffd,0x5bffffff,
    0x4027ffec,0x00000aa9,0x55330000,0x3f200155,0x7fc03fff,0x00000fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0xffffffff,
    0x25ffffff,0x007ffff8,0x02fffff4,0x003fff90,0x007ffe80,0x3fffffa0,
    0xffffffff,0xfff53fff,0xffc8009f,0xfff107ff,0xffffffff,0x405fffff,
    0xffffffea,0xfd00cfff,0x00001fff,0x3ffea000,0x5551004f,0x53100001,
    0x00000155,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffc400,0xffffffff,0xff52ffff,0xfc8009ff,
    0x22007fff,0x98000199,0x3a000099,0xffffffff,0xffffffff,0x05ffff93,
    0xfffff980,0xfffff882,0xffffffff,0xba802fff,0x00bcdeed,0x00f33322,
    0x99000000,0x00000799,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc4000,0xffffffff,
    0xf92fffff,0x98005fff,0x002fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01a88000,0x00000000,0x00000000,
    0x26666200,0x00000000,0x5c000000,0xccb82ccc,0x1555502c,0x09bddc98,
    0x9b973000,0xba880035,0x02bcdecc,0xeee88000,0x33260005,0xc88000cc,
    0x3ccc82cc,0x05999100,0x40007999,0x000cccc9,0x66654000,0xcca80ccc,
    0x0000cccc,0x88000000,0x02cccccc,0x00000053,0x332e0000,0x0000cccc,
    0x01666654,0x077ffd40,0xbffb7000,0xdb800a05,0x00502dff,0xff900000,
    0x7f4c01ff,0x0cfea80d,0xdefec980,0x39997001,0x1ffffcc0,0x220bfffb,
    0xfd32ffff,0x03ffffff,0x7ffffe40,0x5c01efff,0xfffffffe,0x0003ffff,
    0x013ffee0,0x7ffffcc0,0xfff8000e,0x027ffd46,0xfa8dfff0,0xf30004ff,
    0x001dffff,0x3ffea000,0x3ee01eff,0x000effff,0x6ffedc00,0x3ea00502,
    0xcaafffff,0xf9005ffe,0x3dfb105d,0x7fe40000,0x0000efff,0x04ffffb8,
    0x7ffffc40,0xfff90005,0x7dc3dfff,0xffffc804,0x13ee1eff,0xfd000000,
    0x7fc40bff,0x7ffcc6ff,0x7ffd404f,0x4c03ffff,0xf9806fff,0xfffdbfff,
    0xffff100e,0xffffff55,0x8805ffff,0xfffffffd,0x3e03ffff,0xffffffff,
    0x006fffff,0x05fffd00,0xfffff100,0xfb000bff,0xfff97dff,0x7fec005f,
    0xffffcbef,0xfff88002,0x0005ffff,0xfffffa80,0xfff9800d,0x00000eff,
    0xdffffff9,0xb8027dc3,0xffffffff,0xfc805fff,0x7ff41fff,0xc80000ff,
    0x004fffff,0xdaaaaa88,0x0aadffff,0xfffffa80,0xfffb8007,0xfeffffff,
    0x3ee03fff,0xffffffff,0x003ffffe,0xfff10000,0x7ffd407f,0x3fff21ff,
    0x3ffe207f,0x01ffffff,0x4007fffa,0xfffffffa,0x3ffe200e,0xffffffdf,
    0x01ffffff,0xfffffff1,0x7fffffff,0x3fffffe0,0xffffffff,0x7c40004f,
    0xe88007ff,0xfffecfff,0x7ffcc005,0x06ffffff,0x7ffffcc0,0x8006ffff,
    0xfecfffe8,0x200005ff,0x03fffffa,0x7fffec40,0x7dc0000e,0xffffffff,
    0x303ffffe,0xfffffdb7,0x0bffffff,0x49fffff0,0x02fffff8,0x7fffe400,
    0xff30002f,0xffffffff,0xf3005fff,0x000fffff,0xffdbfffb,0x1dffffff,
    0x76fffec0,0xffffffff,0x2aa0000e,0xff500aaa,0x7fd401ff,0x3fee0fff,
    0x3ff607ff,0x5fffd9cf,0x009fff90,0xefffffa8,0x7fffc400,0xfdefffff,
    0xb04fffff,0x115dffff,0x1fffffd3,0x3357dff0,0xfffff731,0x2ea2001f,
    0x04fffeed,0xa7fff440,0x005fffe8,0x7fffffdc,0xfb8001ef,0x1effffff,
    0x7fff4400,0x0bfffd14,0xffff5000,0x7dc0003d,0x0000efff,0x3fb7fff6,
    0xefffffff,0xfffff900,0xdfffffff,0xfffd0059,0x7fffc49f,0x3ee0002f,
    0x0000efff,0x3fffffe6,0x2fffffff,0x9ffffd00,0x983b6000,0x1ffffffe,
    0x3a60ed80,0x01ffffff,0x7ffff400,0x0bfff902,0x88bfffd0,0x3e03ffff,
    0x37ffc6ff,0x0037ffcc,0x00deeea8,0xffffff88,0x3ffa21df,0x7fcc0fff,
    0x3ff605ff,0x800b84ff,0x02fffff8,0x7fffff4c,0x4004ffff,0x6c43eeec,
    0x4c003eee,0x004effed,0x77ff6cc0,0xddd90004,0x3eeed887,0x3bba6000,
    0x980000ce,0x0005eeed,0xffd3076c,0x6403ffff,0xffffffff,0x5c002fff,
    0x7ec0ffff,0x2a0006ff,0x0004eeee,0xffffff98,0x2fffffff,0x07ffb100,
    0xdb700800,0x8040017b,0x000bdedb,0x2ffffe80,0x005fffd0,0x32207b71,
    0x3ffe202d,0x743ffec4,0x00001fff,0x7fffc400,0xfff105ff,0xfffe87ff,
    0x3ffe600f,0x7e40007f,0x3ee03fff,0xffffffff,0x0000dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3b6e0100,0x7fe400bd,0xffffabdf,
    0x6d4000ff,0x019b700c,0x00000000,0xfb555551,0x0155bfff,0x00000000,
    0x00000000,0xffffe800,0x00dddb02,0xff300000,0x0fffc87f,0x0013ffee,
    0x3fe20000,0x3600efff,0x3e65ffff,0xfe805fff,0x20000fff,0xb04ffffb,
    0xffffffff,0x0bffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff701550,0x00009fff,0x00000000,0x7fdc0000,0x000004ff,
    0x00000000,0x20000000,0x002ffffe,0x10000000,0xffe89fff,0x01bffe67,
    0x59b97300,0xffff8803,0x7ffdc00f,0x3fffea6f,0xffffd803,0x3fee0001,
    0xfffb84ff,0xfffbdeff,0x203fffff,0x4402aaaa,0x4401aaaa,0xbcdeccba,
    0x65cc0002,0x40001acd,0x1acddba8,0xdba88000,0x80001acd,0x1acddba8,
    0x00000000,0xfff97310,0x00005fff,0x54c00000,0x001abccc,0xbccca988,
    0x004ffffd,0x1acdcb98,0x0aaaaa00,0x03555510,0x3376ea20,0x3a00001a,
    0x0002ffff,0x9bb75100,0x3ffe0035,0xe97ffe26,0x90001fff,0xffffffff,
    0x3ffe203d,0xfffa807f,0x3fffee7f,0xffffffff,0x03ffffff,0x3fffb726,
    0x44ffffff,0x25fffff8,0xfffffff9,0xffff107f,0xffffa80f,0xffffd705,
    0x7fffffff,0xffffc800,0x001effff,0x7fffff4c,0x8001efff,0xffffffe9,
    0x98001eff,0xfffffffe,0x555001ef,0xcddc9815,0x3ff62002,0xffffffff,
    0x55554406,0x02aaaaaa,0xfffe9800,0x07ffffff,0xfffff910,0x9fffffff,
    0x7fffe400,0x401effff,0x407ffff8,0x405ffffa,0xffffffe9,0x80001eff,
    0x002ffffe,0x7fff4c00,0x01efffff,0x7e77ffec,0xfff72fff,0xffb10009,
    0xffffffff,0xffff107f,0xffff500f,0x7ffffe4f,0xffffffff,0xa83fffff,
    0xfffffffe,0x44ffffff,0x646ffffb,0xffffcfff,0xffff882f,0x7fffd407,
    0xffffff05,0xffffffff,0xfffb100d,0xffffffff,0x3ffee007,0xffffffff,
    0x3fee004f,0xffffffff,0x3ee004ff,0xffffffff,0x7c404fff,0xffd32fff,
    0x803dffff,0xfffffffb,0x02ffffff,0x3fffffe6,0x0007ffff,0x3fffff22,
    0x07ffffff,0xffffffa8,0xffffffff,0xfffd8804,0xffffffff,0x3fffe203,
    0x7fffd407,0x3fffee05,0xffffffff,0x7ff40004,0x200002ff,0xfffffffb,
    0x204fffff,0xfffffff9,0x1dfff16f,0xffff8800,0xffffffff,0x7ffc43ff,
    0xfff9807f,0x3ffff67f,0xffffffff,0x43ffffff,0xfffffffc,0xffffffff,
    0x17ffff44,0x3f27fffa,0xff885fff,0x7fd407ff,0xffff05ff,0xffffffff,
    0x7c409fff,0xffffffff,0x403fffff,0xfffffffd,0x5fffffff,0xfffffd80,
    0xffffffff,0xfffd805f,0xffffffff,0x3e205fff,0xfffaafff,0x1fffffff,
    0xffffff90,0xffffffff,0x7fffcc0d,0x07ffffff,0xfffff300,0xffffffff,
    0xffffc80f,0xffffffff,0x7c404fff,0xffffffff,0x103fffff,0xa80fffff,
    0xfb05ffff,0xffffffff,0x00bfffff,0x17ffff40,0xfffd8000,0xffffffff,
    0x3ea05fff,0xd0dfffff,0xb0005fff,0x115dffff,0x1fffffd3,0x03ffffc4,
    0xb37fffd4,0x999bffff,0x99999999,0x7ffe4399,0xccccefff,0x7c4ffffd,
    0x7fcc7fff,0xdffff36f,0x0fffff10,0x05ffffa8,0x13357dff,0xffffff73,
    0x3ffff601,0xffe988ae,0xff500fff,0xfbbfffff,0x05ffffff,0x7fffffd4,
    0xfffffddf,0x3fea02ff,0xfddfffff,0x02ffffff,0xffbffff1,0xffffffff,
    0xffff30bf,0xfb557bff,0x2605ffff,0xffffffff,0xfd0007ff,0xddffffff,
    0x4c0ffffd,0xbdffffff,0xffffecaa,0x7fffec04,0xffe988ae,0xff880fff,
    0x7fd407ff,0xfffa85ff,0xffddffff,0x002fffff,0x05ffffd0,0xffff5000,
    0xfffbbfff,0x4405ffff,0x3ee2bdcb,0xf98005ff,0x3f605fff,0x3fe24fff,
    0xffb807ff,0x3fff25ff,0x7c40003f,0x700dffff,0x7c49ffff,0x7fe45fff,
    0xfffff13f,0x0fffff10,0x05ffffa8,0xfff10017,0xfff305ff,0x7ffec0bf,
    0xfffff04f,0xffff703f,0x7fffc0df,0xfffb81ff,0x3ffe06ff,0xffb81fff,
    0xff106fff,0xdfffffff,0x3ffffffd,0x2fffffe8,0x4fffff88,0xb9999910,
    0x000fffff,0x5ffffff7,0x740d7101,0x701fffff,0x4c09ffff,0x3605ffff,
    0xf884ffff,0x7d407fff,0xfff85fff,0xffb81fff,0xd0006fff,0x0005ffff,
    0x3ffffff0,0xdfffff70,0x3ffe2000,0xffe8000f,0x3fe600ff,0x3ffe27ff,
    0xfffe807f,0x3fffee3f,0x7fd40004,0x3ee00fff,0x3fea4fff,0x7fffc4ff,
    0x03ffffe0,0x80fffff1,0x005ffffa,0x3ffffc80,0x00ffffe8,0x21ffffe6,
    0x01fffffb,0x0bffffea,0x07ffffee,0x2fffffa8,0x1fffffb8,0x3ffffea0,
    0xfffff882,0x3fe61dff,0x3fee3fff,0x3f602fff,0x44007fff,0x4007ffff,
    0x0efffff8,0x3ffee000,0x3fee01ff,0x3ffa04ff,0x3fe600ff,0xfff887ff,
    0x7ffd407f,0x7fffdc5f,0x3ffea01f,0xfe8002ff,0x40002fff,0x01fffffb,
    0x0bffffea,0x0bfff600,0x3fffe600,0xffffe805,0x0fffff10,0x2fffff98,
    0x03ffffe6,0xffffc800,0x7fffe405,0x93fffee4,0x7fc6fff9,0x7fc40fff,
    0x7fd407ff,0xb80005ff,0x7cc4ffff,0xfe805fff,0x7ff40fff,0xffe804ff,
    0xfffe84ff,0xfffe804f,0xffffe84f,0xffffe804,0xfffff884,0xffffb05f,
    0x37fffec9,0x3ffffea0,0x3ffe2001,0x7fdc007f,0x40002fff,0x406ffffd,
    0x304ffffb,0xd00bffff,0xf881ffff,0x7d407fff,0x7ff45fff,0xffe804ff,
    0xfe8004ff,0x40002fff,0x804ffffe,0x004ffffe,0x002fffdc,0x03ffffa8,
    0x11ffffd8,0x440fffff,0x20effffe,0x05fffff8,0x3ffff200,0x3ffff207,
    0x3fffea4f,0xf0ffff25,0xff10ffff,0xffa80fff,0xb80005ff,0x7d44ffff,
    0xfd803fff,0x7ffc1fff,0xffb801ff,0xffff85ff,0xfffb801f,0xfffff85f,
    0xffffb801,0xfffff885,0xffff700e,0x17ffff4b,0x3ffffe20,0x3ffe2002,
    0x7fe4007f,0xe80006ff,0x5c02ffff,0xf504ffff,0xfb007fff,0xff883fff,
    0x7fd407ff,0x7fffc5ff,0xfffb801f,0xffe8005f,0x7c0002ff,0xb801ffff,
    0x2005ffff,0x000ffff8,0xffffff70,0xffffffff,0x3e27ffff,0xe980ffff,
    0xb82fffff,0x01dfffff,0xfff70dcc,0xffd887ff,0x3e64ffff,0x3ffe5fff,
    0x3fffe20f,0x7ffff886,0x2ffffd40,0x7ff6e4c0,0x4fffffff,0x7fffffdc,
    0xffffffff,0x3e23ffff,0xf5007fff,0xff88dfff,0xff5007ff,0xfff88dff,
    0xfff5007f,0xffff10df,0x7ffd401f,0x3ffffe5f,0xfffff801,0x3ffe2003,
    0x7ff4007f,0xf80004ff,0x5c01ffff,0xf704ffff,0xffffffff,0xffffffff,
    0xffff887f,0x7fffd407,0x1ffffe25,0x37fffd40,0x7ffff400,0x3fe20002,
    0xff5007ff,0x7ec00dff,0x26a622ff,0x7fffe400,0xffffffff,0x13ffffff,
    0xbdffffff,0xffffffdb,0x7ffff40b,0xeedcdeff,0x3fe62fff,0xfecfffff,
    0x4fffffff,0x55ffffe6,0x7fd46fff,0xfff885ff,0x7ffd407f,0x3ffaa05f,
    0xffffffff,0x7fe44fff,0xffffffff,0xffffffff,0x1ffffea3,0x3ffffcc0,
    0x01ffffea,0x23ffffcc,0x007ffffa,0x10fffff3,0xa80fffff,0xff15ffff,
    0xfd001fff,0x44007fff,0x4007ffff,0x002fffff,0x7ffffcc0,0x7fffdc00,
    0xfffff904,0xffffffff,0x887fffff,0x5407ffff,0x3ea5ffff,0xf3007fff,
    0xd000ffff,0x0005ffff,0x03ffffd4,0x07ffff98,0x6cbfff50,0x203fffff,
    0xfffffffd,0xffffffff,0xfff13fff,0xffffffff,0x401dffff,0xfffffff9,
    0xffffffff,0x7ffffec2,0xedffffff,0x7ffc4fff,0x3fffcaff,0x41fffff4,
    0x407ffff8,0x905ffffa,0xffffffff,0x9fffffff,0xffffffd8,0xffffffff,
    0x3ee3ffff,0xf3006fff,0x7dc1ffff,0xf3006fff,0x7dc1ffff,0xf3006fff,
    0xf881ffff,0x7d407fff,0xfff55fff,0x3ffa00ff,0x3e2004ff,0x22007fff,
    0x002fffff,0x3ffffd40,0x27fffdc0,0xffffffd8,0xffffffff,0x7c43ffff,
    0x7d407fff,0x3fee5fff,0xff3006ff,0xe8001fff,0x0002ffff,0x01bfffee,
    0x07ffffcc,0x23fffe20,0xffffffe8,0xffffb04f,0x9999999b,0x23999999,
    0xfffffff8,0x3fffffff,0xffffb100,0xffffffff,0xffff885f,0xb5ffffff,
    0xffc89fff,0x0ffffeff,0x03ffffee,0x01ffffe2,0x90bffff5,0x9dffffff,
    0xffffb999,0xdffffd89,0xcccccccc,0x2a1ccccc,0x5007ffff,0xfa8fffff,
    0xf5007fff,0xffa8ffff,0xff5007ff,0xfff10fff,0xfffa80ff,0xfffff55f,
    0x3ffffa00,0x3ffe2003,0x7ffc007f,0x540003ff,0xb807ffff,0xfb04ffff,
    0x9999bfff,0x99999999,0xffff8839,0x7fffd407,0x1ffffea5,0x3ffffd40,
    0x7ffff400,0x3fea0002,0xff5007ff,0xffb00fff,0x3ffff27f,0xc81ffffe,
    0x0003ffff,0x7fffffc4,0x0cefffff,0xfffea800,0xceffffff,0xffffc880,
    0x3ff62dff,0x7fffcc4f,0xf715ffff,0x2207ffff,0x5407ffff,0x7c45ffff,
    0x700dffff,0xfc89ffff,0x80003fff,0x00fffff9,0x45ffffb8,0x00fffff9,
    0x45ffffb8,0x00fffff9,0x85ffffb8,0x407ffff8,0xf35ffffa,0xf001ffff,
    0x4005ffff,0x007ffff8,0x027ffff4,0x3fffe600,0x7ffdc00f,0xffff904f,
    0x3e200007,0x7d407fff,0x3fe65fff,0xfb800fff,0xe8005fff,0x0002ffff,
    0x03ffffe6,0x17fffee0,0x22bfff50,0xff70efff,0xffff709f,0xff880009,
    0x0aa98fff,0x65440000,0x1001ffff,0xf9815553,0xffc81fff,0xfeefffff,
    0x206fffff,0x407ffff8,0x545ffffd,0x200fffff,0x5c4ffffb,0x0004ffff,
    0x03fffff0,0x09ffffb0,0x003fffff,0xf09ffffb,0xb003ffff,0xf109ffff,
    0xfa80ffff,0xfff15fff,0xff9803ff,0x22001fff,0x4007ffff,0x00effffd,
    0x3fffe200,0x7ffec01f,0xffff704f,0x3e200009,0x7ec07fff,0x7ffc5fff,
    0xffd801ff,0xfe8004ff,0x40002fff,0x801fffff,0x204ffffd,0xf30ffff8,
    0x7ffc49ff,0xfffff985,0x3fe20000,0x000007ff,0x05ffff10,0x7ffc4000,
    0x3fffa02f,0xffffffff,0x7fc01eff,0xff901fff,0xffc8bfff,0x7fe405ff,
    0x7ffcc4ff,0xe80000ff,0x4405ffff,0xe83fffff,0x4405ffff,0xe83fffff,
    0x4405ffff,0x883fffff,0x5407ffff,0x3fe5ffff,0x7e404fff,0x44007fff,
    0x4007ffff,0x04fffffc,0x7ffffc00,0x3ffff203,0xffff304f,0x3e00001f,
    0xf901ffff,0xfe8bffff,0x7c405fff,0x8003ffff,0x002ffffe,0x2fffff40,
    0x3ffffe20,0x8ffff203,0x7f42fffa,0xffff886f,0x3e20005f,0x00007fff,
    0x0bfffb00,0xfffd8000,0x7ffec405,0xffffffff,0xffff800d,0xffffb83f,
    0x7ffe45ff,0x3fff207f,0x7ffc44ff,0xc80005ff,0x202fffff,0x80fffffd,
    0x02fffffc,0x03fffff6,0x0bfffff2,0x0fffffd8,0x07ffff88,0xb2ffffd4,
    0x201fffff,0x05fffff9,0x3ffffc40,0x3fffe600,0x808803ff,0x706ffffd,
    0x09ffffff,0x17ffffe2,0x7fffc000,0xffffb83f,0x7ffe45ff,0x3ff602ff,
    0xe8000fff,0x0002ffff,0x17ffffe4,0x1fffffb0,0x51bffea0,0xffe85fff,
    0xfffff706,0x21b9803b,0x007ffff8,0xfff88000,0x2200002f,0xd002ffff,
    0xffffffff,0x7ff4005b,0xffb32eff,0xb8bfffff,0x443fffff,0x4ffffffd,
    0xdfffffb8,0x440dcc01,0x1cffffff,0xfffffb51,0x3fffe205,0xfb511cff,
    0x2205ffff,0x1cffffff,0xfffffb51,0x3fffe205,0x7fffd407,0x3ffffe65,
    0xfff510af,0x88003fff,0x8007ffff,0xeffffffc,0xfdb9989a,0xfffffa80,
    0xffff910d,0x7dc09fff,0x401dffff,0xfffd01b9,0x3ff665df,0x445fffff,
    0x1cffffff,0xfffffb51,0x3ffa0005,0x440002ff,0x1cffffff,0xfffffb51,
    0x3fffa205,0x127ffcc1,0x7f40bfff,0xcdefffff,0x22fffeed,0x007ffff8,
    0xfff98000,0x2600004f,0x8804ffff,0x0aaaffff,0xffff7000,0xffffffff,
    0xf98bffff,0xecffffff,0xffffffff,0xfffffd04,0xfddb9bdf,0x3fee05ff,
    0xffffffff,0x406fffff,0xfffffffb,0xffffffff,0x7fffdc06,0xffffffff,
    0x3e206fff,0x7d407fff,0x7fec5fff,0xffffffff,0x005fffff,0x07ffff88,
    0xfffff880,0xffffffff,0xfffd00ff,0xffffffff,0x809fffff,0xeffffffe,
    0xfffeedcd,0xfffff702,0xffffffff,0xff70bfff,0xffffffff,0x00dfffff,
    0x67ffff40,0xaaaaaaaa,0xfff702aa,0xffffffff,0x640dffff,0xff883fff,
    0x7fff91ef,0x7ffffcc0,0xffffffff,0x3ffe22ff,0x8000007f,0xeffffff8,
    0x7fcc0004,0x703effff,0x0000bfff,0x7ffffffc,0xffecffff,0xffffd85f,
    0xdfffffff,0xf304fffe,0xffffffff,0x05ffffff,0x7ffffff4,0xefffffff,
    0xffffe801,0xffffffff,0xffe801ef,0xffffffff,0x2201efff,0x5407ffff,
    0x7c45ffff,0xffffffff,0x00efffff,0x3ffffffe,0xffffffff,0x3ea01fff,
    0xffffffff,0x500fffff,0xffffffff,0xffff7fff,0xffff9809,0xffffffff,
    0x3fe02fff,0xffffffff,0x05fffecf,0xfffffffd,0x3dffffff,0x7fff4000,
    0xffffffff,0x3a07ffff,0xffffffff,0x01efffff,0x6c0dfff3,0xffffffff,
    0x7fec400f,0xffffffff,0x3fe22fff,0x000007ff,0xffffffd0,0xffd00009,
    0x3607ffff,0x00002fff,0x3fffffea,0xfffb4fff,0xfffff10b,0x36bfffff,
    0x36204fff,0xffffffff,0x402fffff,0xfffffffc,0x4004ffff,0xfffffffc,
    0x4004ffff,0xfffffffc,0x8804ffff,0x5407ffff,0xd885ffff,0xffffffff,
    0x7c00dfff,0xffffffff,0xffffffff,0x7fec401f,0xffffffff,0x3fea00ff,
    0x3fffffff,0x1009fffd,0xfffffffb,0x05ffffff,0x7fffffd4,0xfffb4fff,
    0x7fffe40b,0x4fffffff,0xfffe8000,0xffffffff,0x6407ffff,0xffffffff,
    0x7f404fff,0x3fe201ff,0x02ffffff,0x3ffffaa0,0x0cefffff,0x01ffffe2,
    0x7f440000,0x0004ffff,0xfffffe98,0x07fff883,0xffe98000,0x3f62efff,
    0xff9105ff,0x6c5bffff,0xea804fff,0xffffffff,0xd9800cef,0xdfffffff,
    0xffb30002,0x05bfffff,0x3fff6600,0x002dffff,0x80fffff1,0x205ffffa,
    0xffffffeb,0xfff001df,0xffffffff,0x3fffffff,0x3ffb6a00,0x02dfffff,
    0xfffffe98,0x13fffa1d,0xffffea80,0x0cefffff,0x7ffff4c0,0x3fff62ef,
    0x7ffecc05,0x002dffff,0xfffffd00,0xffffffff,0xfb300fff,0x5bffffff,
    0x04fffc80,0xeffffd88,0x2aa20001,0x55401aaa,0x000002aa,0x04d5d4c0,
    0x57530000,0x79993013,0x54400000,0x880000aa,0x0000aaa9,0xaaaaa880,
    0x54c40001,0x4400000a,0x00000aa9,0x000554c4,0x03ffffc4,0x017fffea,
    0x000d554c,0x7ffffffc,0xffffffff,0x30001fff,0x20001355,0x0000aa98,
    0x2aaaa200,0x5510001a,0x88000015,0x00000aa9,0xffffffe8,0xffffffff,
    0x54c4007f,0x0000000a,0x00001531,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3333332a,0x20000000,0x0cccccca,0x33332600,0x2a000000,0x40cccccc,
    0x0cccccca,0x75100000,0x2e615999,0x3b32a603,0x000abcce,0xa8006ea2,
    0x6e4c0aaa,0x260002cd,0x0000cccc,0x99999500,0xcccca819,0x990000cc,
    0x00001357,0x00999950,0x20000000,0xaacddcba,0x00aaaaaa,0x320b3322,
    0x988003cc,0x000001aa,0x40000000,0x0cccccca,0x00006000,0xb8799997,
    0x001ccccc,0xb8000d44,0x00efffff,0xffa80000,0x2001efff,0x0efffff9,
    0xffa80000,0xf701efff,0x001dffff,0x3fff2200,0xffffffff,0xfffea85f,
    0x6fffffff,0x7ffff300,0x5ffff100,0x3fffffa6,0x7cc001ef,0x000effff,
    0x7fffd400,0xfff701ef,0x88001dff,0xcfffffff,0xffa80000,0x98005fff,
    0x980cefec,0xfffd5000,0xffffffff,0xff803fff,0x27ffd46f,0xfffff500,
    0x000019ff,0x7ff6e440,0x40004def,0x1efffffa,0x3fb6ea00,0x004dffff,
    0x41fffff7,0x02fffffc,0x077ffd40,0x7fffcc00,0x000000ef,0x37ffffea,
    0x3ffe2000,0x0005ffff,0x7ffffd40,0x7ffcc00d,0x40000eff,0xffffffea,
    0x5fffffff,0x7fffffec,0x06ffffff,0x1fffffd0,0xaffff880,0xfffffffa,
    0xf1001fff,0x0bffffff,0x7ffd4000,0x7cc00dff,0x000effff,0x3fffffe2,
    0x0000cfff,0xfffffff3,0x7ffcc009,0x3e63ffff,0x7fff400e,0xffffffff,
    0x401fffff,0xfcbefffd,0xd8802fff,0xffffffff,0x400002ff,0xffffffc8,
    0x20007fff,0x0dfffffa,0xffffb100,0x0fffffff,0x1fffff30,0x0fffffdc,
    0x3fffe200,0xfb10005f,0x0001dfff,0xfffff500,0xffe88007,0x05fffecf,
    0xffff5000,0x7ec4007f,0x0000efff,0xfffffff9,0xffffffff,0x7ffffe4b,
    0xffffffff,0xffff8806,0x7fc402ff,0xfffffdff,0x05ffffff,0xecfffe88,
    0x80005fff,0x03fffffa,0x3ffff620,0xfff1000e,0xffffffff,0xfff98005,
    0x04fffebf,0xffffff88,0xfffeffff,0x3ffff206,0xfffffeff,0x401fffff,
    0xfffffff9,0xffb006ff,0xffffffff,0x200001ff,0xffffffe8,0x0007ffff,
    0x07fffff5,0x7ffffdc0,0x7fffffff,0x7ffff440,0x3bfffea0,0xfffa8000,
    0x5c0007ff,0x000effff,0x3fffea00,0x7f44001e,0xfffd14ff,0xffa8000b,
    0x70001eff,0x001dffff,0xffffff98,0xffebaabd,0xffff35ff,0x5ccc15df,
    0xfff8806d,0x7c402fff,0xffffffff,0xffffffee,0x3fffa201,0x0bfffd14,
    0x7fffd400,0xff70001e,0xf1001dff,0xffffffff,0x22003fff,0xfd13ffff,
    0xffa809ff,0xfffffdef,0xf302ffff,0x64c5ffff,0xaabfffff,0xffffb800,
    0xa801efff,0xcbdfffff,0x005fffff,0xfffffb00,0x0fffffff,0xdffff500,
    0x7ffd4003,0xffffffff,0x7fec07ff,0x3ffe60ff,0x3e60005f,0x0007ffff,
    0x05eeed98,0xdddd3000,0xdd900019,0xeeed887d,0xddd30003,0x9800019d,
    0x4005eeed,0x02fffffe,0x2ebffff5,0x001fffff,0x3ffff600,0x7ffc400e,
    0x261dffff,0x203fffff,0x6c43eeec,0x98003eee,0x000ceeee,0x2f776cc0,
    0xfd753100,0x01dfffff,0x885dddb0,0x5402eeed,0x3fff623f,0x3f204fff,
    0xff702fff,0xb30007ff,0x4009dffd,0x4c2ffffe,0x0007ffff,0xefffffa8,
    0x0095310a,0x0ceeee98,0x7ffff400,0x2a620acf,0x37bbaa04,0x0fbbb621,
    0x3fffa000,0x0000004f,0x00000000,0x00000000,0x00000000,0x17ffffd4,
    0x2bffff50,0x006ffffc,0x77fec400,0xffff8801,0xfffb05ff,0x0000009f,
    0x00000000,0xffa80000,0x0003ffff,0x4c060000,0x6c01beec,0x3e206fff,
    0x00006fff,0xbffff000,0x07ffff60,0xffff9000,0x0000000d,0xfffff900,
    0x00000003,0x3f620000,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x06ffffd8,0xcaffffd4,0x003fffff,0x44001000,0x00efffff,0x00bffff7,
    0x00000000,0x00000000,0xbfffff50,0x00000000,0x3ffe0000,0x7fff405f,
    0x80000007,0x704ffff9,0x0003ffff,0x02ffffd8,0x80000000,0x003fffff,
    0x00000000,0x55400000,0x554402aa,0xaaaa81aa,0x55554402,0x6e5cc001,
    0x980001ac,0x001acdcb,0xacdcb980,0xffffe801,0x7fffd402,0xffffff55,
    0x0000017d,0x3fffe200,0x3ffea00f,0x65d4405f,0x002bcdec,0xdeccba88,
    0x510002bc,0x579bd997,0xfffd8000,0x9530007f,0x00035799,0xfffd0000,
    0x6fffe80f,0x01555540,0x306aaaa2,0x360bffff,0x80007fff,0x000fffff,
    0x59bb9710,0x0acdb981,0x0fffff10,0xb7510000,0x0000359b,0xff880000,
    0x7fd407ff,0x7ffc45ff,0x7ffd407f,0xfff9005f,0x03dfffff,0xfffff900,
    0x0003dfff,0xfffffff9,0x7ffc03df,0x7fd401ff,0x3fffa5ff,0x0befffff,
    0x2aaaaa20,0x802aaaaa,0x407ffff8,0x705ffffa,0xfffffffd,0x7007ffff,
    0xfffffffd,0x2007ffff,0xffffffeb,0x003fffff,0x3fffff70,0x3fffa600,
    0x07ffffff,0x55555551,0x6c005555,0xf302ffff,0x7c409fff,0x7d407fff,
    0xfff85fff,0xffff987f,0x7fc40006,0xd88007ff,0xffffffff,0xffffff92,
    0xdffff305,0x7f4c0000,0xefffffff,0x5554c001,0xaaaaaaaa,0x880aaaaa,
    0x5407ffff,0x7c45ffff,0x7d407fff,0x6c405fff,0xffffffff,0xb1003fff,
    0xffffffff,0x22007fff,0xfffffffd,0xf983ffff,0x5400ffff,0x3e65ffff,
    0xffffffff,0xff981dff,0xffffffff,0xffff8807,0x7fffd407,0xffffff05,
    0xffffffff,0xfffff80d,0xffffffff,0xffff806f,0xffffffff,0xfb8006ff,
    0x4400ffff,0xfffffffc,0xf307ffff,0xffffffff,0x7fdc00ff,0x7f441eff,
    0x3e202fff,0x7d407fff,0xffe85fff,0x3ffe63ff,0x440002ff,0x8007ffff,
    0xfffffffa,0xffffefff,0x7d42ffff,0x00006fff,0xfffffff7,0x009fffff,
    0x7fffffe4,0xffffffff,0xfff882ff,0x7ffd407f,0x7fffc45f,0x7fffd407,
    0x3fffe205,0xffffffff,0x7fc403ff,0xffffffff,0x4403ffff,0xffffffff,
    0x43ffffff,0x807ffffa,0x445ffffa,0xfffffffd,0x7cc4ffff,0xffffffff,
    0xfff8807f,0x7ffd407f,0xfffff05f,0xffffffff,0x7ffc09ff,0xffffffff,
    0x7c04ffff,0xffffffff,0x04ffffff,0x37fffec0,0x3ffffe60,0xffffffff,
    0xfffff307,0x00ffffff,0xffffffe8,0x5fffffdc,0x3ffffc40,0x17fffea0,
    0x27ffffea,0x05fffffb,0xffff8800,0xfffa8007,0xffffffff,0xffffffff,
    0x2ffffdc7,0x7ffec000,0xffffffff,0xf9005fff,0xffffffff,0x5fffffff,
    0x0fffff10,0x45ffffa8,0x407ffff8,0x205ffffa,0x8aeffffd,0xfffffe98,
    0x3ffff600,0xffe988ae,0x3f600fff,0x988aefff,0x20fffffe,0x807ffffa,
    0x305ffffa,0xfffffff9,0x7fcc7fff,0xffffffff,0xffff8807,0x7fffd407,
    0x357dff05,0xffff7313,0x3bfe01ff,0xfb9899ab,0x200fffff,0x899abeff,
    0xffffffb9,0xffff5000,0xfffe80bf,0xfeeeffff,0xfff307ff,0xffffffff,
    0xffffb800,0xffffffff,0x7ffc400f,0x7ffd407f,0xffffb05f,0x0bffffff,
    0x99999880,0x99fffff9,0x40999999,0x3ee0adfa,0xf91fffff,0x7fdc3fff,
    0x540005ff,0xdfffffff,0xfffffffd,0xffffc802,0xffffffff,0xf882ffff,
    0x7d407fff,0x7fc45fff,0x7fd407ff,0xfff305ff,0x7ffec0bf,0xffff304f,
    0x7fffec0b,0xbffff304,0x27fffec0,0x01fffff3,0x05ffffa8,0xfffffc98,
    0x99910fff,0xfffffb99,0xfffff100,0x5ffffa80,0xff100170,0x02e05fff,
    0x3ffffe20,0x22002e02,0x442fffff,0xfffdcaaa,0x3ee00fff,0x80afffff,
    0x999106b8,0xfffffb99,0x7fffc400,0xffffffff,0xfff8800c,0x7ffd407f,
    0xffff105f,0x007fffff,0xffffff50,0xffffffff,0x985fffff,0x3ffff201,
    0x727ffe43,0x000bffff,0x1ffffff8,0x6fffffb8,0xfffffc80,0xffffffff,
    0xff880fff,0x7fd407ff,0x7ffc45ff,0x7ffd407f,0xffffd05f,0x7fffcc01,
    0x1ffffd07,0x3ffffcc0,0x00ffffe8,0x89ffffe6,0x401fffff,0x005ffffc,
    0x7fffffd4,0x7fffc402,0xffff8807,0x7fffd407,0xffc80005,0xc80003ff,
    0x0003ffff,0x87ffff90,0xfffffff9,0x3e203fff,0x000effff,0xffff8800,
    0x3fff6007,0xbceeedad,0x3ffe2000,0x7ffd407f,0x3fff605f,0x0000dfff,
    0xfffffff5,0xffffffff,0x8005ffff,0x4c2ffffa,0x3fee6fff,0x2e0005ff,
    0x201fffff,0x02fffffa,0xffffb000,0x3ffe205f,0x7ffd407f,0x7fffc45f,
    0x7fffd407,0x5ffff985,0x0ffffe80,0x02ffffcc,0x207ffff4,0x805ffff9,
    0x3e0ffffe,0x2e03ffff,0x005fffff,0x3fffff98,0x3ffffc40,0x3ffffc40,
    0x17fffea0,0x3ffee000,0xfb80004f,0x00004fff,0x989ffff7,0xffffffff,
    0x7ffdc03f,0x000002ff,0x00fffff1,0x007fffe2,0xffff8800,0x7fffd407,
    0xfffffb05,0x555505ff,0x3fffea05,0xffffffff,0x2fffffff,0x7fffcc00,
    0x73fffc40,0x000bffff,0x027ffff4,0x027ffff4,0x7fffdc00,0x3ffe204f,
    0x7ffd407f,0x7fffc45f,0x7fffd407,0x3ffffa85,0x1ffffd80,0x01ffffd4,
    0x20ffffec,0x803ffffa,0x361ffffd,0xf506ffff,0x00bfffff,0x3fffff30,
    0x7ffff880,0x7ffff880,0x2ffffd40,0x7ffdc000,0xfb80004f,0x00004fff,
    0x989ffff7,0xdfffffff,0xffffc801,0x22000006,0x5007ffff,0x0005ffff,
    0x3ffffc40,0x17fffea0,0x3ffffff6,0x7ff41fff,0xdddd306f,0xdfffffdd,
    0x5ddddddd,0x6fff9800,0x7dcffff0,0x20005fff,0x801fffff,0x005ffffb,
    0x7ffffcc0,0x7fffc406,0x7fffd407,0x3ffffc45,0x17fffea0,0x3fffffee,
    0xffffffff,0x7dc3ffff,0xffffffff,0xffffffff,0x7fffdc3f,0xffffffff,
    0x23ffffff,0x0dfffff9,0xffffffb3,0x200b32bf,0x807ffffe,0x807ffff8,
    0x407ffff8,0x805ffffa,0xffffedc9,0x804fffff,0xffffedc9,0x004fffff,
    0xffffdb93,0x889fffff,0x001effff,0x027ffff4,0xfff10000,0x3fea00ff,
    0x0099bfff,0x3fffe200,0x7fffd407,0x7ffffec5,0x20effffe,0x4005fffe,
    0x007ffff8,0x776e5440,0xeeeeffff,0xf70ffffe,0x2000bfff,0x007ffff8,
    0x00dffff5,0x7ffffc40,0x7ffc400f,0x7ffd407f,0x7fffc45f,0x7fffd407,
    0xfffffc85,0xffffffff,0x643fffff,0xffffffff,0xffffffff,0x7ffe43ff,
    0xffffffff,0x3fffffff,0x7ffffff4,0xffffffff,0xdfffb5ff,0xfffb9799,
    0xf100bfff,0xf100ffff,0xfa80ffff,0x3aa05fff,0xffffffff,0x204fffff,
    0xffffffea,0x4fffffff,0x7ffff540,0xffffffff,0x7fffc44f,0xffff8004,
    0x2000002f,0x007ffff8,0xfffffff1,0x9bdfffff,0xffff8803,0x7fffd407,
    0x3ffffe65,0x5fffff99,0x0013fffe,0x00fffff1,0x3ffff220,0xffffffff,
    0x0fffffff,0x00bffff7,0x1ffffea0,0x3ffffcc0,0xffffd000,0xfff1005f,
    0xfffa80ff,0x7fffc45f,0x7fffd407,0xfffffd85,0xffffffff,0x6c3fffff,
    0xffffffff,0xffffffff,0x7ffec3ff,0xffffffff,0x3fffffff,0x7fffffd4,
    0xffdfffff,0xffffb5ff,0xffffffff,0xf1001dff,0xf100ffff,0xfa80ffff,
    0xff905fff,0xffffffff,0x209fffff,0xfffffffc,0xffffffff,0x3ffff204,
    0xffffffff,0x7fc44fff,0x7c4003ff,0x0002ffff,0x3fffe200,0x3ffea007,
    0xffffffff,0x100dffff,0xa80fffff,0x3f65ffff,0x3fea3fff,0xfff8cfff,
    0x7fc4003f,0xf88007ff,0xffffffff,0xffffffff,0xff70ffff,0x2e000bff,
    0x3006ffff,0x001fffff,0x7fffff90,0x3fffe200,0x7fffd407,0x3ffffc45,
    0x17fffea0,0x337ffff6,0xcccccccc,0x7ec1cccc,0xccccdfff,0xcccccccc,
    0x7fffec1c,0xcccccccd,0x81cccccc,0xfffffffa,0xffff9cff,0xffffffb5,
    0xdfffffff,0x3ffe2001,0xfff8807f,0x7ffd407f,0xffffc85f,0xdcccceff,
    0xfc84ffff,0xccefffff,0x4ffffdcc,0xffffff90,0xffb9999d,0xffff09ff,
    0xffff0007,0x4000007f,0x007ffff8,0x7fffffe4,0xffffffff,0xfff880ef,
    0x7ffd407f,0x3ffffe5f,0x7ffffe40,0x002ffffd,0x03ffffc4,0x6ffffec0,
    0xaefffbab,0x2aaaaaaa,0x017fffee,0x3ffffd40,0x7ffffa80,0xffffa800,
    0x3fe2005f,0x7fd407ff,0x7ffc45ff,0x7ffd407f,0xffffc85f,0xff900003,
    0x200007ff,0x003ffffc,0x7fff4c00,0xfff32eff,0x3fffaebf,0xdfffffff,
    0x7ffc4002,0xfff8807f,0x7ffd407f,0x7fffc45f,0xfff700df,0xffff889f,
    0xfff700df,0xffff109f,0x3fee01bf,0xaaaa84ff,0xfffe8000,0x2000004f,
    0x007ffff8,0x3bfffff2,0xffffeeee,0xff884fff,0x7fd407ff,0xffff15ff,
    0x3ffff60d,0x8007ffff,0x007ffff8,0x21ffffcc,0x4006fff9,0x005ffffb,
    0x1fffff30,0xbffff700,0xffff9800,0x3e2000ef,0x7ec07fff,0x7fc45fff,
    0x7fec07ff,0xfffb85ff,0xf700004f,0x00009fff,0x013fffee,0x0aa98000,
    0x42ffffcc,0x9aaaaaa9,0xfff10000,0x200000ff,0x544ffffb,0x200fffff,
    0x544ffffb,0x200fffff,0xa84ffffb,0x200fffff,0x004ffffb,0xffffb000,
    0x2000001d,0x007ffff8,0x01dffff7,0x37ffff4c,0x03ffffc4,0x4d7ffff6,
    0xd105ffff,0x9fffffff,0xffff1000,0xfffa800f,0x06fff987,0x2ffffdc0,
    0xfffff000,0xffffb003,0x7ff44009,0xf8001fff,0xf901ffff,0xff0bffff,
    0x3f203fff,0xf985ffff,0x0000ffff,0x0fffff98,0xfff98000,0x000000ff,
    0x5ffffa80,0x22000000,0x0007ffff,0x5ffff900,0x05ffffc8,0x227fffe4,
    0x405ffffc,0xc84ffffc,0x6405ffff,0x3104ffff,0x7ffe4000,0x000004ff,
    0x00fffff1,0x01fffff1,0x1fffff30,0x03fffff0,0x57fffff2,0x207ffff8,
    0xfffffff9,0xfff88001,0x7fdc007f,0xffff986f,0x3ffee000,0x3fa0005f,
    0x7c405fff,0x2003ffff,0x03fffffd,0x7fffff00,0xffffff70,0x7fffff0b,
    0xffffff70,0xfffff10b,0xff10000b,0x0000bfff,0x0bfffff1,0xf5000000,
    0xc980bfff,0x10000ccc,0x000fffff,0xfffff100,0x7ffffc83,0x3fffff20,
    0x3ffffe44,0x9fffff90,0x0fffff90,0x27ffffe4,0x0017ffec,0x7fffffcc,
    0x20008803,0x807ffff8,0x006ffff9,0x20fffff3,0xb83fffff,0x25ffffff,
    0x203fffff,0x06fffffa,0xfffff100,0x7fffc800,0x03ffffd8,0x17fffee0,
    0xffffc800,0x3fff602f,0xff7000ff,0x4000bfff,0x32effffe,0xfffffffb,
    0xdffffd0b,0x3ffff665,0xff705fff,0x9803bfff,0xffff701b,0x1b9803bf,
    0xbfffff70,0x001b9803,0x5ffffa80,0x03fffe40,0xfffff100,0xfd880000,
    0x7dc0ffff,0x6c43ffff,0x44ffffff,0x43fffffb,0xffffffd8,0xfffffb84,
    0x7fffec43,0x7ffe44ff,0xfc8001ff,0x9aefffff,0x00fdb998,0x1ffffe20,
    0x3ffffea0,0xffffc801,0xdffffd05,0x3ffff665,0x3ffa5fff,0xfd883fff,
    0x003fffff,0x07ffff88,0x07fffdc0,0x3ffffff7,0xfffb8220,0x3e20005f,
    0x11cfffff,0x5fffffb5,0x3fffe600,0x7dc0006f,0xffffffff,0x5fffffff,
    0xffffffb8,0xffffffff,0x3ffa05ff,0xdcdeffff,0x202fffee,0xeffffffe,
    0xfffeedcd,0x3ffffa02,0xeedcdeff,0x80002fff,0x405ffffa,0x0004fffe,
    0x01ffffe2,0x7ff5d400,0xff983fff,0xfecfffff,0x4fffffff,0x7fffffcc,
    0xfffffecf,0xff984fff,0xfecfffff,0x4fffffff,0x27fffffc,0x7fffc400,
    0xffffffff,0x22000fff,0x8807ffff,0x09efffff,0xfffffd98,0xfffff702,
    0xffffffff,0x7fccbfff,0xeddfffff,0xffffffff,0x7fc4002f,0x7d4007ff,
    0xffdaefff,0xacffffff,0x3ee2fdba,0x40005fff,0xfffffffb,0xffffffff,
    0xffff1006,0x99999bff,0x7c059999,0xffffffff,0x5fffecff,0xfffffff0,
    0xffd9ffff,0x7ffcc0bf,0xffffffff,0x2602ffff,0xffffffff,0x2fffffff,
    0x3ffffe60,0xffffffff,0xa80002ff,0x7c05ffff,0xff802fff,0xffffffff,
    0xffffffff,0xffff1001,0x7ec0bfff,0xffffffff,0x4fffedff,0xffffffd8,
    0xfedfffff,0xfffb04ff,0xffffffff,0x449fffdb,0x04ffffff,0xfffff500,
    0xffffffff,0xfffff01f,0xffffffff,0x6c3fffff,0xffffffff,0xffffffee,
    0x7fffc03f,0xcfffffff,0x7e45fffe,0xffffffff,0xffffffff,0x3e2001ff,
    0xe8007fff,0xffffffff,0xffffffcd,0x3ee2ffff,0x80005fff,0xfffffffe,
    0x1effffff,0xfffffb00,0xffffffff,0x7d407fff,0xffffffff,0x20bfffb4,
    0xfffffffa,0xbfffb4ff,0xffffd880,0xffffffff,0x7fec402f,0xffffffff,
    0x6c402fff,0xffffffff,0x002fffff,0x5ffffa80,0x03fffe60,0x3fffffe0,
    0xffffffff,0x1001ffff,0x1dffffff,0x7ffffc40,0xfb5fffff,0xfff109ff,
    0xbfffffff,0x4413fff6,0xffffffff,0x9fffb5ff,0x2fffffd8,0x3ff62000,
    0xffffffff,0xffff80ff,0xffffffff,0x21ffffff,0xffffffe8,0xffffffff,
    0xfffa804f,0xb4ffffff,0xff90bfff,0xffffffff,0xfffff5df,0x3fe2001d,
    0xfa8007ff,0x0effffff,0xfffffffd,0x7ffdc5ff,0xf900005f,0xffffffff,
    0xfe8009ff,0xffffffff,0x3fffffff,0x7ffff4c0,0x3fff62ef,0x3fffa605,
    0x3ff62eff,0xffd5005f,0xdfffffff,0x3faa0019,0xffffffff,0xfd5000ce,
    0xffffffff,0x5000019d,0x5c0bffff,0xff005fff,0xffffffff,0xffffffff,
    0x3ffe2003,0xf91002ff,0x45bfffff,0x9104fffd,0x5bffffff,0x1027ffec,
    0xbffffff9,0x227ffec5,0x004fffe8,0xfffdb500,0x205bffff,0xffffffff,
    0xffffffff,0xffeb81ff,0xffffffff,0x3a6000cf,0x22efffff,0xb105fffd,
    0xdfffffff,0x7ffffcc5,0xffff1006,0x3fea000f,0x7e40dfff,0x0dffffff,
    0x017fffee,0xfffd9800,0x002dffff,0xffffffe8,0xffffffff,0x551003ff,
    0x22000015,0x00000aaa,0x35555510,0x55510000,0x10000355,0x00355555,
    0x55551000,0x0e665403,0xffffff80,0xffffffff,0x1001ffff,0x2000579b,
    0x000aaa98,0x0aaa9880,0x55310000,0x55400015,0x26000001,0xff8009aa,
    0xffffffff,0xffffffff,0x3732e601,0x000aacde,0x002aaa20,0x4d54c400,
    0xf8800000,0x20007fff,0x54401a98,0xff701aaa,0x00000bff,0x0002aa62,
    0xffffffd0,0xffffffff,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x2e03cccc,0xccb82ccc,0x4cccc82c,0x97000000,0xccb87999,
    0x55511ccc,0x54400155,0x2aa0aaaa,0x6ee4c0aa,0x3322002c,0x666441cc,
    0x2aaaa21c,0x55554c02,0x80000001,0x540aaaa8,0x2002bddc,0xcc82ccc8,
    0xa800003c,0x20cccccc,0x4402aaaa,0x4001aaaa,0x000cccc9,0x95099970,
    0x99910199,0x99999999,0x3332e000,0x02cccb82,0x3fffffe0,0x004fffff,
    0xcccc8800,0x333222cc,0x4ccccccc,0x32a00000,0x500ccccc,0x5c009ddb,
    0x5cc01ccc,0xf500000a,0x7cc0bfff,0x3ff63fff,0xffff885f,0xb8000007,
    0x320fffff,0x222fffff,0x003fffff,0x89bffff2,0xfd32ffff,0x03dfffff,
    0x8bfffea0,0x7c44fffd,0x7e407fff,0xfda83fff,0x2003dfff,0xff31cccb,
    0x3ffa67ff,0x000effff,0xffa8dfff,0x5400004f,0x21efffff,0x407ffff8,
    0x005ffffa,0x3bffffe6,0xfffc8000,0x407fffc2,0xfffffff9,0x30007fff,
    0x7ec7ffff,0x7fc005ff,0xffffffff,0x4400004f,0x43fffffe,0xfffffff9,
    0x00007fff,0xdfffff50,0xffffd503,0x3ffe600b,0x7fffe406,0xffa80002,
    0x7fcc05ff,0xefffdbff,0x7ffff880,0x7cc00000,0x3ee0ffff,0xfd81ffff,
    0x3e006fff,0x3e23ffff,0xfffaafff,0x1fffffff,0x5ffff500,0xf10bfffb,
    0xfc80ffff,0xffd83fff,0x805fffff,0x3e66fff9,0xfffabfff,0x1fffffff,
    0xbefffd80,0x002ffffc,0x3fffea00,0x7ffc40df,0x7ffd407f,0xfff1005f,
    0x000bffff,0xd79ffff5,0x3e60dfff,0xffffffff,0x3e60007f,0xfffdbfff,
    0x7ffc000e,0xffffffff,0x3a200004,0x981fffff,0xffffffff,0x800007ff,
    0x0dfffffa,0xffffffe8,0x3fffd005,0x7ffffdc0,0x7d40000f,0xfa805fff,
    0x0effffff,0x0fffff10,0x7f440000,0x3fea0fff,0xff500eff,0xf3003fff,
    0x7c41ffff,0xffffdfff,0x5fffffff,0x3fffee00,0xff105fff,0xffc80fff,
    0xeefd83ff,0x400fffff,0x3e61fffe,0xffffdfff,0x4fffffff,0xfffff980,
    0x0006ffff,0x3ffffea0,0xfffff103,0x5ffffa80,0xcfffe880,0x8005fffe,
    0xfffffffe,0xfff301ff,0xffffffff,0xfffa8000,0x000effff,0xeeeeeee8,
    0x0003eeee,0xbffffd10,0x3fffe601,0x07ffffff,0x7ffd4000,0x3ff603ff,
    0xc805ffff,0x7f404fff,0x003fffff,0x2ffffd40,0xfffffa80,0x3ffe200e,
    0x2000007f,0x260ffffd,0xf805ffff,0xc804ffff,0x7c45ffff,0xffffffff,
    0xffffffee,0x3ffee001,0x3fe206ff,0x7fe407ff,0xfe8083ff,0x3ff201ff,
    0x7fffcc4f,0xfcdfffff,0x800fffff,0xfffffffb,0xf500001e,0x4403dfff,
    0x5407ffff,0x4405ffff,0xfd14fffe,0xe8800bff,0x3fffffff,0x2aaaaa20,
    0x007ffffb,0xfffffa80,0x0000000e,0xffd10000,0xaa8807ff,0xffffbaaa,
    0x3ea00007,0x5401efff,0x05fffaae,0x4037ffcc,0x3ffffffe,0x7ffd4000,
    0x3baa005f,0x7fc400de,0x000007ff,0x443bddd5,0x9003eeed,0xf00fffff,
    0xf885ffff,0x1dffffff,0x0fffffe6,0x1bddd700,0x3ffffc40,0x0fffff20,
    0x7ffd4cc4,0x1bffe606,0x3fffffe6,0x3ffe20cf,0xdb3003ff,0x00009dff,
    0x0677774c,0x1ffffe20,0x0bffff50,0x443eeec8,0x8003eeed,0x01deffeb,
    0xfffff100,0x3baa0000,0x000000de,0x3b600000,0x20001dee,0x007ffff8,
    0x9dddd300,0xfffa8001,0x0ffff405,0x7ffffec0,0x7d40002f,0x00005fff,
    0x3ffffc40,0x00000000,0x7fffcc00,0x3ffea02f,0xffff887f,0xfffb05ff,
    0x8000009f,0x407ffff8,0x703ffffc,0x01bfffff,0x4c0ffff4,0x05ffffff,
    0x009ffff9,0x00000000,0xfffff100,0x5ffffa80,0x00000000,0xff100000,
    0x00000fff,0x00000000,0x00000000,0x01ffffe2,0x50000000,0x7dc0bfff,
    0xff1004ff,0x0000bfff,0x00bffff5,0xfff88000,0x0000007f,0xffd00000,
    0x7fec0bff,0xfff884ff,0xff700eff,0x00000bff,0x07ffff88,0x81ffffe4,
    0xcffffffb,0x04fffb80,0x0dfffff3,0x027fffdc,0x00000000,0x7fffc400,
    0x7fffd407,0x00000005,0xf1000000,0x0000ffff,0xa8800000,0x001acddb,
    0x20000000,0x307ffff8,0x20000000,0xf305fffa,0xd8800dff,0x54c004ef,
    0xfffccccb,0x9953005f,0x815799dd,0x447ffff8,0x0009bdca,0x88055555,
    0xa801aaaa,0x880fffff,0x880fffff,0x200fffff,0x005ffffa,0xabccca98,
    0x3ffffc41,0x0fffff20,0x7fff6e4c,0x37ffcc4f,0x1fffff30,0x2ffffd40,
    0xcddba880,0xa980001a,0xabcceecc,0x7ffff880,0x2ffffd40,0xdd995300,
    0x44015799,0xaaaaaaaa,0x220002aa,0x4007ffff,0x540aaaa8,0x4002bddc,
    0xffffffe9,0x51001eff,0x55555555,0xf8800055,0x27dc7fff,0x4c0aaaa8,
    0x2002cddc,0xfd05fffa,0x000003ff,0x3fffff20,0x5fffffff,0x7ffff540,
    0x46ffffff,0xd17ffff8,0x3fffffff,0x7ffff880,0x2ffffd40,0x2fffff80,
    0x05ffffb8,0x80fffff1,0x005ffffa,0xffffffd3,0x7fc4ffff,0x7fe407ff,
    0xff3003ff,0x1fffe8ff,0x1ffffe60,0x3fa60000,0xefffffff,0xffea8001,
    0xffffffff,0x7ffff886,0x2ffffd40,0x7ffff540,0x06ffffff,0x3fffffe6,
    0x0007ffff,0x01ffffe2,0x27ffff30,0xffffffe9,0xfffb800e,0xffffffff,
    0xfff9804f,0x7fffffff,0x7ffc4000,0x4fffb8ff,0x32ffff88,0xdffffffd,
    0xbfff5003,0x009fff70,0xfff50000,0xffffffff,0x7ec0bfff,0xffffffff,
    0x7fc46fff,0xfffe8eff,0x02ffffff,0x01ffffe2,0x00bffff5,0x217ffff2,
    0x102ffffe,0xa80fffff,0x4405ffff,0xfffffffc,0x3e27ffff,0x7e407fff,
    0x09983fff,0x5cdfff73,0x7cc04fff,0x00007fff,0x7fffffdc,0x04ffffff,
    0x3fffff60,0x6fffffff,0x07ffff88,0x02ffffd4,0x3ffffff6,0x06ffffff,
    0x3fffffe6,0x0007ffff,0x01ffffe2,0x57ffff30,0xffffffff,0x7fec03ff,
    0xffffffff,0x4c05ffff,0xffffffff,0x440007ff,0xffffffff,0xfff884ff,
    0xfffffaaf,0x401fffff,0x7c45fffa,0x00000eff,0x7ffffdc0,0xffffffff,
    0xfff905ff,0xffffffff,0xfff88dff,0xffffffff,0x01ffffff,0x80fffff1,
    0x005ffffa,0x41fffff3,0x207ffff9,0x407ffff8,0x205ffffa,0xfffffff9,
    0x27ffffff,0x407ffff8,0x443ffffc,0xffffffff,0x1dfff13f,0x7ffff980,
    0x3ff60000,0xffffffff,0xc805ffff,0xffffffff,0x886fffff,0x5407ffff,
    0x3205ffff,0xffffffff,0x206fffff,0xfffffff9,0x20007fff,0x007ffff8,
    0x7effffcc,0xffffffff,0xfff504ff,0xffbbffff,0x405fffff,0xfffffff9,
    0x40007fff,0xfffffff8,0xff884fff,0xfffffdff,0x05ffffff,0x3a2fffd4,
    0x00002fff,0x7ffffcc0,0xfebaabdf,0xff985fff,0x260aefff,0x7fc46db9,
    0xefffffff,0x4ffffffd,0x0fffff10,0x05ffffa8,0x8fffffa0,0x204ffffb,
    0x407ffff8,0x205ffffa,0xfffffffe,0x27fffeee,0x407ffff8,0x443ffffc,
    0xffffffff,0x00bfffa3,0x01ffffe6,0x7fffd400,0xfffddfff,0x2602ffff,
    0x0aefffff,0x221b6e66,0x5407ffff,0xf305ffff,0x415dffff,0x2206db99,
    0xffdccccc,0x220007ff,0x4007ffff,0xfffffff9,0xffffcdff,0xffff80ff,
    0xfffb81ff,0x332206ff,0xffffdccc,0x7fcc0007,0xcfffffff,0xfffff880,
    0xffeeffff,0x2201ffff,0x3fee1aaa,0x8000005f,0x02fffffe,0x70bffff5,
    0x003fffff,0xffffff10,0x7ff443bf,0xff880fff,0x7fd407ff,0x3ee005ff,
    0x3ffe6fff,0x3fe201ff,0x7fd407ff,0xfff705ff,0x71015fff,0x3ffffc4d,
    0x0fffff20,0x2b33bb72,0x017ffee0,0x03ffffcc,0xfffff800,0xffffb81f,
    0x3ffee06f,0xf10001ff,0xfa80ffff,0xff705fff,0x00003fff,0x1ffffe20,
    0xffff8800,0x7ffcc007,0x220cffff,0x5c3fffff,0x201fffff,0x02fffffa,
    0x3ffffc40,0xffff7000,0x4019ffff,0xfffffff8,0x3fffe61d,0xff88003f,
    0x000000ff,0x17ffffdc,0x0bffff50,0x00dffff9,0x3ffffe20,0xffff105f,
    0xffff107f,0xffffa80f,0x3ffe2005,0xffff99ff,0x7fffc406,0x7fffd407,
    0xfffff885,0x7fc4000e,0x3fe207ff,0x10003fff,0x2001ffff,0x007ffff9,
    0xfffffb80,0x3fffea01,0xffff902f,0x7fc4000d,0x7fec07ff,0xfff905ff,
    0x400000df,0x007ffff8,0x1ffffe20,0xfffff300,0x3fff20bf,0x7ffff44f,
    0xffffe804,0x7ffc4004,0xffb8007f,0x0cffffff,0xfffff880,0xffffb05f,
    0xfffb0009,0xec880005,0xffffd81c,0x7fffd406,0xfffffc85,0xfff88003,
    0x3f600eff,0xff885fff,0x7fd407ff,0x7e4005ff,0xfffcbfff,0x7ffc402f,
    0x7ffd407f,0xffffb85f,0xff88002f,0xfe880fff,0x0003ffff,0x4005fffb,
    0x007ffff9,0x4ffffe80,0x4ffffe80,0x7fffff90,0x7fffc000,0xffff901f,
    0x3fff20bf,0x000003ff,0x00fffff1,0x3ffffc40,0x3fffe600,0x3ffee06f,
    0x7ffffc4f,0xffffb801,0x7ffc4005,0x3faa007f,0x7fffffff,0x3fffe200,
    0xfff700ef,0xffb800bf,0x7440005f,0x7f43ffff,0x7d402fff,0xffa85fff,
    0x00beffff,0x1fffff10,0x6ffffb80,0x07ffff88,0x02ffffd4,0x3bfffe60,
    0x8807ffff,0x5407ffff,0xfc85ffff,0x10006fff,0xb05fffff,0x07ffffff,
    0x0bfff700,0x7ffff980,0xffff8000,0xfffb801f,0xffff505f,0x80017dff,
    0xb83fffff,0x05ffffff,0xdffffff5,0x44000017,0x0007ffff,0x01ffffe2,
    0x1fffff30,0x2ffffd40,0x00fffff1,0x01bfffea,0x0fffff10,0x7ffffec0,
    0x2007ffff,0x00fffff8,0x017fffea,0x00ffff88,0x7fffdc00,0x3fffe1ff,
    0x7ffd401f,0xffffd05f,0x017dffff,0x03ffffc4,0x43ffffd4,0x407ffff8,
    0x005ffffa,0xffffffe8,0xff8804ff,0x7fd407ff,0xfffe85ff,0xff10004f,
    0x3aa5dfff,0xefffffff,0x3ffe2000,0x7fcc000f,0x440007ff,0x5007ffff,
    0x740dffff,0xffffffff,0xffe800be,0xffb32eff,0x40bfffff,0xfffffffe,
    0x40000bef,0x007ffff8,0x1ffffe20,0xfffff300,0xfffa8000,0xfff3007f,
    0xff8800ff,0x3f6007ff,0xffffdfff,0x3ffe2007,0x7ffd407f,0x3ff6005f,
    0x00554c2f,0xffffffd8,0x1fffff34,0x5ffffa80,0xffffff30,0x03bfffff,
    0x00fffff1,0x10fffff5,0xa80fffff,0x8005ffff,0xfffffffb,0xfff8801f,
    0x7ffd407f,0xfffff85f,0xfff10002,0xffffffff,0xffffffff,0x3fff600b,
    0xfff98002,0x7d40007f,0xf3007fff,0x7cc0ffff,0xffffffff,0x3ee01dff,
    0xffffffff,0x5fffffff,0x3ffffe60,0x1dffffff,0xffff1000,0x7fc4000f,
    0x7cc007ff,0x40007fff,0x006ffffb,0x01fffff3,0x3ffffc40,0x119ffb00,
    0x400fffff,0x407ffff8,0x005ffffa,0x362bfff5,0x00dfffff,0x7fffffe4,
    0x0fffff56,0x0bffff50,0x7ffffec4,0x44ffffff,0x807ffff8,0x887ffff9,
    0x5407ffff,0x8005ffff,0xfffffff8,0xffff1006,0xffffa80f,0x7ffffc45,
    0xfff10002,0xffffffff,0xffffff5f,0xbfff500b,0x87ffffc8,0x007ffff9,
    0x37fffdc0,0xfffff980,0x3fff6200,0xffffffff,0x3ffffe04,0xecffffff,
    0x6c405fff,0xffffffff,0x88004fff,0x0007ffff,0x01ffffe2,0x0fffff30,
    0xffffa800,0xffff5007,0xfff8800f,0x8336007f,0x007ffff8,0x01ffffe2,
    0x00bffff5,0x3e1ffff1,0xefffffff,0x3fffe200,0xffff57ff,0xffff500f,
    0xfff9300b,0x7fffffff,0x03ffffc4,0x437fffd4,0x407ffff8,0x005ffffa,
    0xffffff90,0x3ffe2005,0x7ffd407f,0xfffff85f,0xfff10003,0xffffffff,
    0x3fffff25,0x7fffc405,0x3ffffe60,0x7ffff987,0x7ffd4000,0xfff5007f,
    0x3f2600ff,0xffffffff,0xffff503f,0x369fffff,0x93005fff,0xffffffff,
    0xf88007ff,0x20007fff,0x007ffff8,0x03ffffcc,0x3fffe600,0xfffb800f,
    0x7fc4005f,0x202007ff,0x007ffff8,0x01ffffe2,0x00bffff5,0x7d47fffb,
    0x2ffffcde,0x7ffffd40,0x1fffff37,0x5ffffa80,0x7ffe4c00,0xf10fffff,
    0xf700ffff,0xff10bfff,0xffa80fff,0xf30005ff,0x400dffff,0x407ffff8,
    0xe85ffffa,0x0004ffff,0xffdffff1,0x7ec43dff,0x7ec05fff,0x7fff43ff,
    0xfff987ff,0x7cc0007f,0xb800ffff,0x8005ffff,0xffffffc9,0xffd300ff,
    0x7ec5dfff,0xc98005ff,0xffffffff,0x3ffe2000,0x3e20007f,0x4c007fff,
    0x0007ffff,0x01fffff8,0x04ffffd8,0x3ffffc40,0x3ffe2000,0x3fe2007f,
    0x7fd407ff,0x7fd405ff,0x7fe4385f,0xfffc803f,0xfffff15f,0xffffc803,
    0x3fea0005,0xff12ffff,0xffd00fff,0xfff107ff,0xfffd80ff,0xff30005f,
    0x00005fff,0x3ff60000,0x88000eff,0xaa8dffff,0x006aa600,0xfc8bfff5,
    0x007ffcef,0x3ffe0000,0xffd801ff,0x540004ff,0x02ffffff,0x26055544,
    0x0001ffff,0x7fffffd4,0x3ffe2002,0x3e20007f,0x4c007fff,0x0007ffff,
    0x05ffffe8,0x1fffffc4,0x3fffe200,0x7fc40007,0x3e2007ff,0x7d407fff,
    0x3e205fff,0xfd800fff,0xffa800ff,0x3fffe4ff,0x3ffee03f,0x4c0005ff,
    0xf13fffff,0xf980ffff,0xff02ffff,0x3f203fff,0x0005ffff,0x00dffffd,
    0x64000000,0x004fffff,0x05ffff88,0xfff88000,0x27ffe60f,0x00007ffc,
    0x3ffffa00,0x7fffc405,0xf980003f,0x0003ffff,0x00bfffe2,0x7fffcc00,
    0x3fe2003f,0x220007ff,0x4007ffff,0x007ffff9,0xfffffc80,0x3ffff602,
    0x7fc4000f,0x440007ff,0x2007ffff,0x407ffff8,0x205ffffa,0xc803fffc,
    0xf9006fff,0x7fec5fff,0xfff506ff,0x8000bfff,0x11fffff9,0x440fffff,
    0x00effffe,0x707fffff,0x0bffffff,0xfffff700,0x64c00005,0x26000ccc,
    0x03ffffff,0xffff1088,0xf900000d,0x4ffe87ff,0x4c00fff9,0x2000cccc,
    0x02fffffc,0x03fffff6,0x3ffe6000,0x360001ff,0x00005fff,0x07ffffe6,
    0x7ffff880,0x3ffe2000,0x7fcc007f,0x880007ff,0x1cffffff,0xfffffb51,
    0xfff10005,0xf88000ff,0x22007fff,0x5407ffff,0xf505ffff,0xff900dff,
    0xfd3003ff,0xfff98bff,0xffb30dff,0x90bfffff,0xfffd0059,0x7fffc4ff,
    0xfffe980f,0x3ffa02ff,0xffb32eff,0x00bfffff,0x5fffffb8,0x7fe40000,
    0xffc8007f,0x89aeffff,0xf10fdb99,0x0000ffff,0x5c6fffa8,0xfff90eff,
    0x3fffe400,0x3fffe200,0xfb511cff,0x6405ffff,0xfffe802c,0x3e20007f,
    0x66402fff,0xffffe802,0x7ffc4007,0x3e20007f,0x4c007fff,0x0007ffff,
    0xffffff70,0xffffffff,0x3e2000df,0x40007fff,0x007ffff8,0x01ffffe2,
    0x10bffff5,0x4403fffd,0x400efffe,0x0fffffb9,0xffffffe8,0xffffffff,
    0xfffd85ff,0xffdcbcce,0x3e25ffff,0xddefffff,0x5ffffffe,0x7ffffdc0,
    0xffffffff,0x32e05fff,0xfffffecb,0x7400000e,0x88004fff,0xffffffff,
    0x0fffffff,0x00fffff1,0x7fff4400,0x7fffff41,0x805fffff,0x8004fffe,
    0xfffffffb,0xffffffff,0x77ffec06,0xfffdcbcc,0x20005fff,0x404ffff9,
    0xbccefffd,0xffffffdc,0xffffff05,0xffffffff,0x3fe3ffff,0xffffffff,
    0xffffffff,0x7ffff981,0x3ffa0000,0xffffffff,0x7c01efff,0xffffffff,
    0xffffffff,0x3ffffe1f,0xffffffff,0x441fffff,0x5407ffff,0xfc85ffff,
    0x3fe603ff,0xff500dff,0x03ffffff,0x3fffffea,0xfdcfffff,0xfffd85ff,
    0xffffffff,0x3e20efff,0xffffffff,0x0effffff,0xffffff80,0xfecfffff,
    0x3ffa05ff,0x1fffffff,0xfff80000,0xff50002f,0xffffffff,0x3e21ffff,
    0x00007fff,0x3a0ffff2,0xffffffff,0xfff805ff,0xffd0002f,0xffffffff,
    0xd803dfff,0xffffffff,0x0effffff,0x3ffe2000,0xfd83efff,0xffffffff,
    0x00efffff,0xffffffff,0xffffffff,0x3fffe3ff,0xffffffff,0x81ffffff,
    0x007ffff9,0x7fffe400,0x4fffffff,0xffffff00,0xffffffff,0x7fc3ffff,
    0xffffffff,0xffffffff,0x3ffffc41,0x17fffea0,0xf80dfff3,0xffffffff,
    0x3ffffea6,0x7fd400cf,0x4fffffff,0xfb0bfffb,0xffffffff,0x881dffff,
    0xffffffff,0x03ffffff,0x3ffffea0,0xffb4ffff,0x7fff40bf,0x001effff,
    0xffff9800,0x3f620000,0xffffffff,0xfff10fff,0x260000ff,0xddb06fff,
    0xdffffddd,0xffff9809,0x3ff20000,0xffffffff,0xfffb004f,0xffffffff,
    0x00001dff,0x7ffffffd,0xffffffb0,0xdfffffff,0x7ffffc01,0xffffffff,
    0xff1fffff,0xffffffff,0xffffffff,0xfffff303,0xfb300000,0x5bffffff,
    0x7ffffc00,0xffffffff,0x3e1fffff,0xffffffff,0xffffffff,0x7fffc41f,
    0x7fffd407,0x00ffff45,0x3ffffffe,0x3ffea6ff,0x3a6001ce,0x22efffff,
    0xeb85fffd,0xffffffff,0x2e602dff,0xfffffffd,0x98000cef,0x2efffffe,
    0xe817fff6,0x03ffffff,0x3fee0000,0xb500005f,0xfffffffd,0x7fffc45b,
    0xffd00007,0xffc8003f,0xbfff7007,0xffb30000,0x05bfffff,0x7ffff5c0,
    0x2dffffff,0x3fa20000,0xeb83ffff,0xffffffff,0xff802dff,0xffffffff,
    0xffffffff,0xfffffff1,0xffffffff,0xff303fff,0x00000fff,0x000aa988,
    0xfffffff0,0xffffffff,0x7ffc3fff,0xffffffff,0x1fffffff,0x03ffffc4,
    0xc97fffea,0xff804fff,0x6fffffff,0x40000262,0x80000aa9,0x9aaaaaa9,
    0xa9988000,0x2200000a,0x40000aaa,0x00abceeb,0x66540000,0x3000001c,
    0x2a201355,0x80002aaa,0x8004fffc,0x95007ffc,0x80000399,0x0000aa98,
    0xaaaaaa98,0x20000009,0x4009aba9,0x9aaaaaa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeda8000,0x3332e004,0x66540001,0xcb80cccc,
    0x00000ccc,0x7ffffffc,0x2604ffff,0xcccccccc,0x000003cc,0x00cccc98,
    0x3ffffe00,0x04ffffff,0x70599970,0x32205999,0x002ccccc,0x0b332e00,
    0x000b332e,0x00333326,0x3ffffe00,0x04ffffff,0x00000000,0x95000000,
    0x64199999,0x20004ccc,0x000ccccb,0xdb975000,0x00359bdd,0x37bd9510,
    0x654c0000,0x8801acee,0xaaaaaaaa,0x02aaaaaa,0x55553100,0x2f726003,
    0xffffd500,0x3ffe600b,0x7fd40006,0xfd01efff,0x00003fff,0xfffffff8,
    0x2e04ffff,0xffffffff,0x000005ff,0x77ffffcc,0xffff0000,0x9fffffff,
    0x3fffe600,0x017fff63,0x7fffffd3,0x3fe60000,0x3fff63ff,0xfff98005,
    0x40000eff,0xffffffff,0x88004fff,0x80001fdb,0x0001fdb8,0x3fffea00,
    0x3ffe21ef,0x3fa0007f,0x00001fff,0x7fffffdc,0x02ffffff,0xfffffd50,
    0x0001bfff,0x3fffffa6,0x2202ffff,0xffffffff,0x07ffffff,0xffffd710,
    0xf300bfff,0xfe83ffff,0x005fffff,0x0003fffd,0x6fffffd4,0x7ff4ccc0,
    0x09999aff,0x3fffe000,0x4fffffff,0x3ffffee0,0x005fffff,0x3ffe2000,
    0x0005ffff,0xffffffff,0x4c009fff,0xffdbffff,0xfd8800ef,0x0003ffff,
    0xb7ffff30,0x8001dfff,0xfffffff8,0x7ffc0005,0xffffffff,0x7fffc004,
    0x7fc0001f,0x00001fff,0xbfffff50,0x7ffff881,0x3fffa000,0xd300001f,
    0xffffffff,0x005fffff,0xfffffff7,0x003dffff,0xffffffb8,0x04ffffff,
    0xfffffff1,0xffffffff,0xffffd980,0x05ffffff,0x6fffffd8,0x7fffffec,
    0x4fffc805,0x3ffea000,0xffff03ff,0xffffffff,0x774000df,0xeeeeeeee,
    0x3ffee03e,0x5fffffff,0xfd100000,0xbfffd9ff,0xddddd000,0x07dddddd,
    0xfffffa80,0x5c000eff,0x003fffff,0xfffff500,0x88001dff,0xffecfffe,
    0x3ba0005f,0xeeeeeeee,0x7ffc003e,0x7c0001ff,0x0001ffff,0xfffffa80,
    0xfffff103,0x7fff4000,0xe880001f,0xffffffff,0x02ffffff,0x6fffffe4,
    0xfffffebb,0xffffd002,0xffffffff,0xff881bff,0xffffffff,0x2a07ffff,
    0xffffffff,0xf805ffff,0x22ffffff,0x5fffaaea,0x037ffcc0,0xdffff500,
    0x7ffffc03,0xffffffff,0x00000006,0xdaaaaa98,0x0005ffff,0x4fffe880,
    0x00bfffd1,0xa8000000,0x00efffff,0xffffd300,0x3ea00005,0x000effff,
    0x8a7fff44,0x0005fffe,0xff800000,0x40001fff,0x001fffff,0x7fffd400,
    0x3ffe201e,0x3fa0007f,0x80001fff,0xeffffffd,0xffedcccc,0x3ffff202,
    0xffff7101,0xffffb805,0xffffefff,0x7443ffff,0xeeeeeeee,0x707ffffe,
    0xffffffff,0x00bfffff,0x9ffffffd,0x017ffea0,0x0003fffd,0x033bbba6,
    0xfffffff0,0x0dffffff,0x00000000,0x02ffffdc,0x77764000,0x1f776c43,
    0x00000000,0x0037bbaa,0xdddd9100,0x3aa00003,0xc8000dee,0x76c43eee,
    0x000003ee,0x7fffc000,0x7fc0001f,0x00001fff,0x033bbba6,0x0fffff10,
    0x7ffff400,0x7fc40001,0x4401efff,0xdfff301a,0xdfff7001,0x7ffffc40,
    0x3fee20af,0x30007fff,0xf50fffff,0x35bfffff,0x3fea0001,0xf505ffff,
    0x7fdc0bff,0x0000004f,0xffffccc8,0x03ccccdf,0x00000000,0x017fffee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffc000,
    0x7fc0001f,0x00001fff,0xfff88000,0x3fa0007f,0x40001fff,0x00fffffa,
    0x0fffd800,0x0bffee00,0x0fffffe4,0x5fffff70,0xffff3000,0xdffffd0f,
    0x7e400005,0xf505ffff,0x3fe60bff,0x0000006f,0x1ffffe80,0x2e600000,
    0x0001acdc,0x017fffee,0x00000000,0x3b32ea20,0x00002bcd,0x00000000,
    0x00000000,0x55500000,0xaaa88055,0x2aaaa61a,0xabfffffa,0x31aaaaaa,
    0xfff55555,0x555557ff,0x00000355,0x0fffff10,0x7ffff400,0x7fe40001,
    0x980007ff,0xeca83fff,0x1bffa5ff,0x0fffffe2,0x1bffff60,0x3fffe600,
    0x7ffffd47,0xfe800001,0xff503fff,0x3fffa0bf,0x55551001,0x2bddca81,
    0x1ffffe80,0xffc80000,0x1effffff,0xffffb800,0x2a200005,0xaaaaaaaa,
    0xfeb8002a,0xffffffff,0x554c03ff,0xaaaaaaaa,0x80aaaaaa,0xaaaaaaa8,
    0x54002aaa,0x6e4c0aaa,0x555502cd,0x2aa20005,0x7ffc40aa,0x7ffd407f,
    0x3ffff65f,0xffffffff,0xb3ffffff,0xffffffff,0xffffffff,0x555307ff,
    0x55555555,0x44155555,0x64c7ffff,0xffd02cdd,0x554403ff,0x3ff22aaa,
    0x40001fff,0x7ec0fffd,0x3ee7ffff,0x7ffd42ff,0xffb800ff,0x4c001fff,
    0x7f47ffff,0x00003fff,0x05ffff90,0x2e17ffea,0x26004fff,0xfd33ffff,
    0x01dfffff,0x30fffff4,0x40059bb7,0xffffffd8,0x003fffff,0x02ffffdc,
    0xffff3000,0x0fffffff,0xffffff00,0xffffffff,0x7fffe40d,0xffffffff,
    0xf982ffff,0xffffffff,0x3fe2007f,0xfffd32ff,0xfd83dfff,0x98000fff,
    0x7c42ffff,0x7d407fff,0x3ff65fff,0xffffffff,0xffffffff,0xffffffb3,
    0xffffffff,0xf907ffff,0xffffffff,0x5fffffff,0x8bffffc4,0xeffffffe,
    0x0fffff41,0xfffffe88,0x3ffffea2,0x3fe0001e,0x7ffff44f,0x3ffe27ff,
    0x2ffffe44,0xfffff880,0x7ffcc002,0x3fffe27f,0xd000000f,0x2a01ffff,
    0x7fc45fff,0x3e6000ef,0xfffabfff,0x1fffffff,0x11ffffd0,0xdffffffd,
    0xffff8803,0xffffffff,0x3ee003ff,0x00005fff,0x3fffffe6,0x8007ffff,
    0xffffffff,0x4fffffff,0xffffff90,0xffffffff,0xfff305ff,0xffffffff,
    0x7fffc400,0xffffffaa,0x3f21ffff,0xa8001fff,0x7c40ffff,0x7d407fff,
    0x3ff65fff,0xffffffff,0xffffffff,0xffffffb3,0xffffffff,0xf907ffff,
    0xffffffff,0x5fffffff,0x4f7fffc4,0xffffffff,0x3fffa1ff,0xffffb01f,
    0xffff987f,0x4001cfff,0x3ea2fff8,0x45ccefff,0x7fec5ffd,0x3fa003ff,
    0x4c003fff,0x3ea7ffff,0x00007fff,0x07ffff50,0x3a2fffd4,0x4c002fff,
    0xfffdffff,0xffffffff,0x1ffffd04,0xfffffffd,0x7fec01ff,0xe988aeff,
    0x000fffff,0x00bffff7,0x7fffcc00,0x07ffffff,0x9abeff80,0xffffb989,
    0xfffc80ff,0xffffffff,0x982fffff,0xffffffff,0x3e2007ff,0xffffdfff,
    0x5fffffff,0x00bfffea,0x21fffee0,0x407ffff8,0x2e5ffffa,0xfffccccc,
    0xcccccdff,0x999972cc,0x9bfffff9,0x05999999,0xfffffff9,0xffffffff,
    0x7fffc45f,0xffffffff,0x3fa5ffff,0xffc81fff,0xffb04fff,0x5bffffff,
    0x3fff3001,0x202ffff4,0x7ff46ffc,0x3fa003ff,0x4c004fff,0x3ee7ffff,
    0xfeb9dfff,0x001cdeff,0x0bffff95,0x2e1aaa88,0x98005fff,0xffffffff,
    0xfffffcdf,0xffffe80f,0xfffffffe,0xff304fff,0x7fec0bff,0xff7004ff,
    0x01100bff,0xb9999910,0x000fffff,0xfff10017,0xfff905ff,0xffffffff,
    0x101fffff,0xffb99999,0x7c400fff,0xffffffff,0xffffffee,0x07ffff31,
    0x0dfff900,0x80fffff1,0x805ffffa,0x001fffff,0x0fffffc0,0x7fffe400,
    0xffffffff,0x3e20ffff,0xffffffff,0xffffffee,0x83ffffd1,0x05fffffb,
    0x3fffffe2,0x00cfffff,0xff83ffea,0x7fdc01ff,0x17ffffc7,0x9ffffb00,
    0xffff9800,0x3fffff67,0xffffffff,0xffc80cff,0x00efffff,0x1ffff100,
    0xffff3000,0x7c419fff,0xfe83ffff,0xbeffffff,0x0ffffffd,0x00ffffe8,
    0x01ffffe6,0x02ffffdc,0x003dffd3,0x0fffff10,0xffc80000,0x360003ff,
    0x002fffff,0x03ffffc4,0xffffff10,0x7ffcc3bf,0xffff13ff,0xfffb0009,
    0xfffff10b,0x5ffffa80,0x1fffff80,0x7fffc000,0x2000001f,0x42fffffd,
    0xfffffff8,0x3fffe61d,0x3ffffd3f,0x2fffffcc,0x7ffff4c0,0x4fffffff,
    0x7c4fff70,0x7d400fff,0xffff10ff,0x7fe4003f,0x7cc005ff,0x3ff67fff,
    0xffffffff,0x0fffffff,0x7fffffe4,0x7fec0003,0xff30002f,0x320bffff,
    0xfe84ffff,0x4c5fffff,0x4c1fffff,0xe805ffff,0xb800ffff,0xf305ffff,
    0x003fffff,0x07ffff88,0x7fdc0000,0xf70004ff,0x0009ffff,0x00fffff1,
    0x7fffffc4,0x9ffffb05,0x542ffffc,0xfffe82aa,0x7ffff884,0x2ffffd40,
    0x0fffffc0,0x3fffe000,0x7000001f,0x109fffff,0x0bffffff,0x753ffff6,
    0xff11ffff,0x2001dfff,0xffffffc8,0x40efffff,0x3fe67ffc,0xfff9807f,
    0x3fffff11,0x7fffe400,0x7ffcc006,0x3ffffa7f,0xffffffff,0x644fffff,
    0x000cefff,0x02fffdc0,0xfffff300,0x7fffdc0d,0xfffffe84,0x5ffffd05,
    0x03ffffa8,0x01ffffd8,0x05ffffb8,0xdffffffb,0xffff8800,0x5c000007,
    0x8004ffff,0x06fffff9,0xfffff100,0x7fffc400,0xfff700ef,0x37fff4bf,
    0xd03fffea,0xff107fff,0xffa80fff,0xfff805ff,0x7c0001ff,0x0001ffff,
    0xfffff980,0xfffff106,0x3ffee01d,0x3ffffd5f,0x1dffffd1,0xfff91000,
    0xdfffffff,0x3e67ffb8,0x7d401fff,0xffff10ff,0x7fec005f,0x7cc005ff,
    0x3ffa7fff,0x99acffff,0xffffffca,0x00002661,0x00ffff88,0x3fffe600,
    0x3ffea00f,0xffffe85f,0xffffb00e,0xfffffb87,0xffffffff,0x803fffff,
    0xf05ffffb,0x0fffffff,0x7ffff880,0x76e4c000,0xffffffff,0x7fc4004f,
    0x0000ffff,0x00fffff1,0x07ffffc4,0x4bffff50,0x7ec7fffd,0x7ffc3fff,
    0xffff882f,0x7fffd407,0x7fffff45,0xffffffff,0xff801fff,0x00001fff,
    0x7fffffc4,0xfffff100,0x7fffd401,0xb3ffffd5,0x003fffff,0xffffb500,
    0x7d49ffff,0x3fffe0ff,0x23ffdc03,0x002fffff,0x00fffff6,0x4fffff30,
    0x405ffffe,0x04fffffa,0x7fec0000,0x7cc0002f,0x00007fff,0x403ffffd,
    0x644ffffc,0xffffffff,0xffffffff,0xffb803ff,0xffff05ff,0x8800ffff,
    0x0007ffff,0xffffffd5,0x9fffffff,0xffffe800,0x3e20002f,0x22007fff,
    0x5407ffff,0x3f25ffff,0x3ffe0fff,0x3ffe26ff,0xffff881f,0x7fffd407,
    0x7fffff45,0xffffffff,0xff801fff,0x00001fff,0x17fffff4,0x0fffff10,
    0xd5ffffa8,0xfffbffff,0x800003ff,0xffffffc8,0xe87ffe67,0x188bffff,
    0x3fa37fe4,0x3a003fff,0x4002ffff,0x367ffff9,0xd804ffff,0xc885ffff,
    0xf50003de,0xfffc8bff,0x7ffcc07f,0xfd00007f,0x7e403fff,0x7fec4fff,
    0xffffffff,0xffffffff,0xffffb803,0xfffffb05,0xff8800bf,0xfc8007ff,
    0xffffffff,0x04ffffff,0x3fffff20,0x7fc40003,0x3e2007ff,0x7d407fff,
    0x3fee5fff,0xffff51ff,0x3ffe63ff,0xffff880f,0x7fffd407,0x7fffff45,
    0xffffffff,0xff801fff,0x00001fff,0x0ffffff2,0x0fffff10,0xd5ffffa8,
    0xffffffff,0x400000bf,0x0ffffffa,0x7d47fff1,0x47ffffff,0x7fec5ffd,
    0x3fe004ff,0x4c001fff,0x3f27ffff,0xfb804fff,0x7fc46fff,0x44006fff,
    0x3e60ffff,0x4c07ffff,0x0007ffff,0x03ffffd0,0x227fffe4,0xccdffffd,
    0xcccccccc,0xfb801ccc,0xff105fff,0x8001ffff,0x007ffff8,0x7fffffe4,
    0xffdcccce,0xff5004ff,0x0000bfff,0x00fffff1,0x03ffffc4,0x997fffea,
    0xffb2ffff,0x3ea9ffff,0xfff107ff,0xfffa80ff,0x7ffff45f,0xffffffff,
    0xf801ffff,0x0001ffff,0xbfffff50,0xfffff100,0x5ffffa80,0xffdffffd,
    0x00005fff,0x7ffffe40,0xfb1bffe2,0x44ffffff,0x7fe43fff,0xff3006ff,
    0x98001fff,0x3f27ffff,0xfa805fff,0x7fec7fff,0x2003ffff,0x7f43fffd,
    0x4c07ffff,0x0007ffff,0x03ffffd0,0x227fffe4,0x003ffffc,0x3ffee000,
    0x3bf6205f,0xff88000d,0x3e2007ff,0x700dffff,0x3009ffff,0x01dfffff,
    0xffff1000,0x7ffc400f,0x7ffd407f,0x3fffe25f,0xfffffff3,0x41bffeed,
    0x407ffff8,0x805ffffa,0x001fffff,0x0fffffc0,0x7ffcc000,0xf8800eff,
    0x7d407fff,0xfffd5fff,0xfffffd3f,0x2a000003,0x321fffff,0x7fe41fff,
    0x3ff27fff,0x7fffdc0f,0xfffc801f,0xffb8007f,0x3ffee6ff,0xfffb807f,
    0x3fffe25f,0xf5006fff,0xeffc8bff,0x7cc07ffc,0x00007fff,0x403ffffd,
    0x5c4ffffc,0x0004ffff,0x3fffee00,0x88000005,0x2007ffff,0x00fffffa,
    0x013fffee,0x3fffffd1,0x3fe20000,0x3e2007ff,0x7d407fff,0x7ffc5fff,
    0xfcfffacf,0xfffc9fff,0xfffff104,0x5ffffd80,0x1fffff80,0x7fffc000,
    0x7440001f,0x001fffff,0x80fffff1,0xfd5ffffa,0xfff13fff,0x00001dff,
    0x8fffff70,0xa885fff8,0xfff11bcb,0xfffff109,0xffff8809,0xffd8003f,
    0x3ffe65ff,0x7fec02ff,0x3ffe24ff,0x8806ffff,0x3e60ffff,0x07ffc9ff,
    0x03ffffcc,0xffffe800,0x3ffff201,0x7ffffcc4,0xf7000000,0x0000bfff,
    0xfffff100,0x7fffe400,0x7fffe405,0x7fffec04,0x2200003f,0x2007ffff,
    0x407ffff8,0x745ffffa,0xfffcdfff,0xfdcfffda,0x3ffe03ff,0xfff901ff,
    0xfff00bff,0xf80007ff,0x0003ffff,0x1fffffec,0xfffff100,0x5ffffa80,
    0x2a3ffffd,0x405fffff,0x3fe2001b,0xffd86fff,0x3ff6003f,0xffff900f,
    0x3ffa209f,0x201546ff,0x43fffff9,0x205ffffe,0x42fffff9,0x5fffffff,
    0x43fffc80,0xfff94ffe,0x7ffff980,0xfffd0000,0x7ffe403f,0x7fffc44f,
    0x7000005f,0x000bffff,0xffff1000,0x7ffe400f,0x3fff207f,0x3fee04ff,
    0x00005fff,0x03ffffc4,0x0fffff10,0x45ffffa8,0xffeefffd,0xfddfff77,
    0x7ffc05ff,0xfffb83ff,0xfe805fff,0x40005fff,0x005ffffe,0x3ffffee0,
    0x7ffc4005,0x7ffd407f,0x3ffffd5f,0x27ffffec,0x357bfff0,0xfff95313,
    0xff107fff,0xfd8807ff,0x3fe204ff,0xa9bdffff,0x2fffffec,0x2a05f7d4,
    0x41ffffff,0x0dfffffa,0x77ffffdc,0x7ffffd40,0x7ffd400f,0xc877fdc6,
    0x7fcc07ff,0xd00007ff,0x6403ffff,0xfb84ffff,0x401dffff,0xff7001b9,
    0x00000bff,0x0fffff10,0x7ffffdc0,0x7fffec43,0xfff304ff,0x00000dff,
    0x00fffff1,0x03ffffc4,0x917fffea,0xbfffffff,0x3fffffe2,0x3ffa01ff,
    0xffb32eff,0x00bfffff,0x03fffffb,0xfffb0022,0x402203ff,0x06fffff9,
    0x7ffff880,0xaffffd40,0x221ffffe,0x02fffffe,0xffffffff,0xffffffff,
    0x7ffe40df,0x3ae60adf,0x6c00efff,0xffffffff,0x6fffffff,0xffffffa8,
    0x4fffffff,0xffffffd0,0xffffffdf,0x3ffee03f,0x7ff4401e,0x7ffff41f,
    0x05ffffff,0x00fffff3,0x3ffffa00,0x3ffff201,0xfffffd04,0xfddb9bdf,
    0x3ee005ff,0x00005fff,0x7ffff880,0x3fffe600,0xfffecfff,0x884fffff,
    0xcdffffff,0xcccccccc,0x3ffe2002,0x3fe2007f,0x7fd407ff,0x7ffdc5ff,
    0x3f62ffff,0x00ffffff,0x3fffffee,0xffffffff,0xffb805ff,0xecceffff,
    0x7fdc03fe,0xecceffff,0xfff883fe,0xccccdfff,0x222ccccc,0x5407ffff,
    0xffd5ffff,0xfff983ff,0xfff81fff,0xffffffff,0x00efffff,0x7fffffdc,
    0xdffffffe,0xffffb000,0xffffffff,0xfff501df,0xffffffff,0x3fe601df,
    0xffffffff,0x9803ffff,0x7fff9000,0xffffffd0,0x260bffff,0x0007ffff,
    0x03ffffd0,0x827fffe4,0xfffffff9,0xffffffff,0x3ffffe62,0xffffffff,
    0x8007ffff,0xffffffff,0xffffffff,0xfffd81ff,0xffffffff,0xd84fffed,
    0xffffffff,0xffffffff,0xffffff83,0xffffffff,0x7c41ffff,0x7d407fff,
    0x7fcc5fff,0x2e0fffff,0x07ffffff,0xfffffff8,0xffecffff,0xfffd005f,
    0xffffffff,0xffffd007,0x7fffffff,0xffffffb0,0xffffffff,0x7ffc47ff,
    0x7ffd407f,0x3ffffd5f,0xdfffff70,0xffffff81,0xffffffff,0xff3000df,
    0xffffffff,0xff70009f,0xffffffff,0x7ffd409f,0xffffffff,0x7ff4400d,
    0xffffffff,0x4c00002e,0xddb06fff,0xdffffddd,0x3fffe609,0xffd00007,
    0x7fe403ff,0x3f6204ff,0xffffffff,0x3e62ffff,0xffffffff,0xffffffff,
    0xffff8007,0xffffffff,0x81ffffff,0xfffffff8,0xfffb5fff,0xfffffd09,
    0xffffffff,0xfff07fff,0xffffffff,0x3fffffff,0x07ffff88,0x22ffffd4,
    0x5ffffff8,0x7fffffc4,0xffffa806,0xfb4fffff,0x3e600bff,0xffffffff,
    0xff9803ff,0xffffffff,0xffffe83f,0xffffffff,0x3e23ffff,0x7d407fff,
    0xfffd5fff,0x3fff603f,0x7f6dc5ff,0xffffffff,0xc88000cf,0xcefffffd,
    0x3b660002,0x1dffffff,0xffffda80,0x4002dfff,0xffffffec,0xd000003f,
    0xc8003fff,0x7fcc07ff,0xd00007ff,0x6403ffff,0xa804ffff,0xfffffffe,
    0x3e60ceff,0xffffffff,0xffffffff,0xffff8007,0xffffffff,0x01ffffff,
    0xffffff91,0x27ffec5b,0x7ffffff4,0xffffffff,0xffff83ff,0xffffffff,
    0x41ffffff,0x407ffff8,0xf85ffffa,0xd82fffff,0x005fffff,0xdfffffd3,
    0x02fffec5,0xfffff910,0x2005ffff,0xffffffc8,0xffe82fff,0xffffffff,
    0x23ffffff,0x407ffff8,0xfd5ffffa,0x3a203fff,0x104fffff,0x13555553,
    0xaa980000,0x98800000,0x260000aa,0x000009a9,0x00013553,0x27ffe400,
    0x03ffe400,0x01ffffe6,0x7ffff400,0x3ffff201,0x55544004,0x3fe601aa,
    0xffffffff,0x7fffffff,0xfffff800,0xffffffff,0x401fffff,0x000aaa98,
    0xffffffd0,0xffffffff,0xffff07ff,0xffffffff,0x83ffffff,0x407ffff8,
    0xe85ffffa,0xb80fffff,0x004fffff,0x00055544,0x55533000,0x4cc00015,
    0x3a00aaaa,0xffffffff,0xffffffff,0x1ffffe23,0x2bffff50,0x201ffffe,
    0x2ffffff9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xaaaaaaaa,0x1aaaaaaa,0x01555544,
    0x02aaaa88,0x3bb2e620,0x2e601bcd,0xacdeeeec,0x95300000,0x0379bddb,
    0x9dd99530,0x51001579,0x179bddb9,0x372a2000,0x54009bce,0x9800aaaa,
    0x8801aaaa,0xabcdedca,0x02aaaaaa,0x5e6654c0,0xfff9001a,0xffffffff,
    0x55555401,0x8001aaaa,0x001aaaa9,0xaaaaa880,0xaaaaaaaa,0x02aaaaaa,
    0x006aaaa6,0x55510000,0x55555555,0x65d40035,0x8809bcee,0x0002aaaa,
    0x03555530,0x01555550,0x2aaaaaaa,0x000001aa,0xaaaa8000,0x7fcc000a,
    0xffffffff,0x444fffff,0x5007ffff,0x500dffff,0xfffffffd,0x7cc1ffff,
    0xffffffff,0x8000cfff,0xffffffd8,0x83ffffff,0xffffffea,0x2206ffff,
    0xfffffffc,0x1000cfff,0xfffffffd,0x7ffc03df,0xffb800ff,0x3fa204ff,
    0xffffffff,0x0fffffff,0x7ffff4c0,0x807fffff,0xfffffffc,0x3600ffff,
    0xffffffff,0x400befff,0x004ffffc,0xfffffa80,0xffffffff,0x07ffffff,
    0x017fffee,0xfffb0000,0xffffffff,0xffd3009f,0x5fffffff,0x07ffff88,
    0xffff7000,0xffffd009,0x3ffff603,0xefffffff,0x17a6000b,0xfd037a00,
    0x98005fff,0xffffffff,0x4fffffff,0x03ffffc4,0x06ffffa8,0x3fffff62,
    0xffffffff,0x3ffffea0,0xffffffff,0x3fea000e,0xffffffff,0x7ec4ffff,
    0xffffffff,0xff306fff,0xffffffff,0xa803ffff,0xffffffff,0xff03ffff,
    0xf7001fff,0x3e609fff,0xffffffff,0xffffffff,0xfff9100f,0xffffffff,
    0xffff900f,0x1fffffff,0x7ffffec0,0xffffffff,0x3fff202f,0xfa80004f,
    0xffffffff,0xffffffff,0x3fee07ff,0x000005ff,0x3fffffe2,0x4fffffff,
    0x7ffffe40,0x4fffffff,0x01ffffe2,0x7fffdc00,0xffffe804,0xfffffb01,
    0xffffffff,0xffd8805f,0x3ff2002f,0xffffd0cf,0xfff98005,0xffffffff,
    0x7c44ffff,0xf5007fff,0x3a60dfff,0xffffffff,0x20ffffff,0xfffffffa,
    0x6fffffff,0xffffd880,0xffffffff,0x3ff24fff,0xffffffff,0xfe886fff,
    0xffffffff,0x00efffff,0xfffffff7,0x9fffffff,0x01fffff0,0x09ffff70,
    0xfffffff5,0xffffffff,0xf301ffff,0xffffffff,0x700fffff,0xdddddddd,
    0x7ec01ddd,0xffffffff,0x0dffffff,0x04ffffc8,0xadffa800,0xaaaaaaaa,
    0x7ffaaaaa,0x17fffee0,0xffb80000,0xffffffff,0x3ea04fff,0xffffffff,
    0xf11fffff,0x0000ffff,0x013fffee,0x407ffffa,0xfffffffd,0xffffffff,
    0xffffd00d,0xfff5001f,0x3fffa7ff,0x7fcc002f,0xffffffff,0x444fffff,
    0x5007ffff,0xf10dffff,0xffffffff,0x1fffffdd,0x5e677fd4,0xfffffdca,
    0x7fff403f,0xeeefffff,0xf34fffff,0x415dffff,0xfc86db99,0x98acffff,
    0x3fffffcb,0xffffff98,0xffffebac,0x7fffc0ff,0xfffb800f,0xfffff84f,
    0xffffccff,0x04cccccf,0xfffffffd,0x0ffffddd,0xfd800000,0xffeeefff,
    0x5fffffff,0x04ffffc8,0x24ffa800,0x7c009abc,0x3ffee07f,0x2000005f,
    0xfffffffe,0x03eeeeef,0x7fffffd1,0x7fffb535,0x67ffffc4,0x009abccc,
    0x7fffed4c,0xaaaaaaad,0xabfffffa,0x77fffec0,0xffffffee,0xff105fff,
    0xe880bfff,0x3fa5ffff,0x4c002fff,0xaaadffff,0x1aaaaaaa,0x03ffffc4,
    0x86ffffa8,0xbffffffd,0x441fb501,0x7ffd400a,0x3fea04ff,0x809dffff,
    0xff74fc98,0x20003fff,0x202ffffe,0xd85ffffd,0x980effff,0x7c4fffff,
    0xb800ffff,0x7dc4ffff,0x7ec2ffff,0x3ee007ff,0x80afffff,0x000006b8,
    0x17fffec0,0x3ffff6a6,0x7ffe42ff,0xfa80004f,0x3ffffe4f,0x40fff03e,
    0x205ffffb,0xff300008,0x0ffffbff,0xfffffb80,0xf889d300,0xffffffff,
    0x900cffff,0xffffffff,0xffffffff,0x83ffffff,0x4c2ffffd,0xffffffda,
    0xfffff502,0xb9dffd99,0x741dffff,0x4002ffff,0x004ffff9,0x1ffffe20,
    0x37fffd40,0x3fffffe6,0x40001001,0x206ffffe,0x03fffffe,0xffffc840,
    0xfff10006,0xfff980df,0x7fffcc6f,0x3fff200f,0x3fffe0ff,0xfffb800f,
    0x7ffff44f,0x07fffd83,0xdfffff10,0x00000001,0x5ffffb00,0x7ffffe40,
    0x27fffe46,0x27fd4000,0xffffffff,0x2e07ff83,0xc885ffff,0xff90000f,
    0x0ffff9bf,0x3ffffd80,0x7ffc4040,0xffffffff,0xfc84ffff,0xffffffff,
    0xffffffff,0x6c1fffff,0x3202ffff,0x206fffff,0xfffffffc,0xffffffff,
    0x7ffff41f,0x7ffcc002,0x3e20004f,0xf5007fff,0xffe8dfff,0x00000fff,
    0xdffff700,0x3ffffee0,0x3ff20002,0x98003fff,0x4406ffff,0x7ec5ffff,
    0xfe804fff,0x3ffe4fff,0xffb800ff,0x3ffee4ff,0xffffb06f,0x3fffee00,
    0x5440002f,0xaaaaaaaa,0x3ff6002a,0x7fe402ff,0x3ff23fff,0xa80004ff,
    0x3b7324ff,0x3e0fffff,0x3ffee07f,0x3fff225f,0xffff0000,0x00ffff95,
    0x00ffffe8,0xfffff880,0xffffffff,0x7fe45fff,0xffffffff,0xffffffff,
    0x7ec1ffff,0x7e402fff,0x3a03ffff,0xffffffff,0x83ffffff,0x002ffffe,
    0x027fffcc,0xfffff100,0x3fffea00,0x3ffffea6,0x20000004,0x885ffffb,
    0x006fffff,0x7ffffd40,0xf1000bef,0x5c01ffff,0x3e24ffff,0xd801ffff,
    0x3fe6ffff,0xfb800fff,0x3ff64fff,0xfffb04ff,0x3fff200f,0xf980006f,
    0xffffffff,0x3ff6007f,0x7fc402ff,0x3ff26fff,0xa80004ff,0x3f6604ff,
    0x81ffe5ff,0xc8dffffb,0x000fffff,0xf97fffa8,0xff800fff,0xf10007ff,
    0xb999ffff,0xfffffffd,0x7fff75c7,0xeeeeeeff,0xefffffee,0x7fffec0e,
    0x7fffc402,0x3ffe606f,0xffffffff,0xfffd07ff,0xff98005f,0x220004ff,
    0x5007ffff,0x7dcdffff,0x0001ffff,0x3fff6000,0xffff983f,0xfe80002f,
    0xefffffff,0x7fffc00b,0xfff880ef,0x3ffe61ff,0x7ff4406f,0x3ffe7fff,
    0xffb800ff,0x3fffa4ff,0xffffb01f,0x3ffffa00,0xff980004,0xffffffff,
    0x3fff6007,0xfffd802f,0x3ffff27f,0xffa80004,0x27ffe804,0x3fee07ff,
    0xffffffff,0xfd8000ff,0xffff94ff,0x7fffc400,0xfff10007,0x3ff220ff,
    0x7dc0ffff,0xfe804fff,0xffb01fff,0xffb005ff,0x7fdc0fff,0xfb99bfff,
    0xfe81ffff,0x4c002fff,0x0004ffff,0x01ffffe2,0x937fffd4,0x000dffff,
    0x7ffdc000,0xfffa80ff,0xf300007f,0xffffffff,0x3ee03bff,0x263fffff,
    0x545ffffe,0x2a04ffff,0xffffffff,0x01fffff0,0x49ffff70,0x3607ffff,
    0xff007fff,0x00005fff,0xfffffff3,0x6c00ffff,0xa802ffff,0x3f27ffff,
    0x02004fff,0x5c027fd4,0x0fff1fff,0x7fffffdc,0x001effff,0x91ffff88,
    0x4400ffff,0x0007ffff,0x80fffff1,0x42fffffb,0x804ffffb,0xb01ffffe,
    0x5005ffff,0x740fffff,0xfa80ffff,0xffe85fff,0x7cc002ff,0xefffffff,
    0x7fc401ce,0xff5007ff,0x7fff4dff,0x4400005f,0xffeb9999,0xff701eff,
    0x40000dff,0xffffffd8,0xb04fffff,0x9dffffff,0x70bfffff,0xb107ffff,
    0xffffffff,0x3ffffe1f,0xffffb800,0x0fffff14,0x4cffffec,0x3fe20999,
    0x80002fff,0xfdccccc8,0x99807fff,0x99bffffe,0xffff9819,0x9ffff91f,
    0x89fff700,0xfd804ffa,0x40fff0ff,0xfffffffb,0x2e0002ef,0x3ff26fff,
    0x019999ff,0x00fffff1,0x1ffffe20,0x13ffffa0,0x009ffff7,0x983ffffd,
    0x9bffffe9,0xfff98199,0xfff981ff,0x3fffa04f,0x2ffffe87,0x7fffcc00,
    0xffffffff,0xffff103e,0x3ffea00f,0x3ffffe6f,0x7ec00004,0xffffffff,
    0x3fff600d,0xddddd05f,0x2609dddd,0xfffffffc,0xfe883fff,0xffffffff,
    0xfff905ff,0xfffe987f,0x1fffffff,0x001fffff,0x269ffff7,0x3606ffff,
    0xffffffff,0x3fffe24f,0x2000003f,0x807ffff8,0xffffffff,0x7c41ffff,
    0xff92ffff,0xffc809ff,0x3fea5fff,0x3ffea204,0x2e21ffe6,0xefffffff,
    0xffe80002,0x3ffff23f,0x511fffff,0x5fffff75,0x15555555,0x0fffff10,
    0x8bffffb0,0xeefffffb,0xffeeeeee,0x7ffc1fff,0xffffffff,0x7fffc41f,
    0xffffa82f,0x1ffff201,0x00bffffa,0xffffff30,0xffffffff,0xfffff109,
    0x3fffea00,0x7fffff16,0xffd80000,0x2fffffff,0x27ffff40,0xfffffff8,
    0xfc9805ff,0x0fffffff,0xffffff90,0x7ec0bfff,0x3fee2fff,0xffcbffff,
    0xfffff2ff,0xffff7001,0x1bfffea9,0xffffffd8,0x7ffc4fff,0x000004ff,
    0x01ffffe2,0x3ffffffe,0x441fffff,0xf93fffff,0x7cc09fff,0x52ffffff,
    0xfeed89ff,0x3fe1ffff,0x7ffffdc7,0x00002fff,0x641ffff3,0xffffffff,
    0xfffff51f,0xffffffff,0xff107fff,0xff900fff,0xfffb8dff,0xffffffff,
    0x1fffffff,0x7ffffffc,0x441fffff,0xb83fffff,0x2e00ffff,0x7f40ffff,
    0x4c002fff,0xffffffff,0x4fffffff,0x03ffffc4,0x36ffffa8,0x005fffff,
    0xffffd800,0x3fffffff,0x07fffff0,0x3ffffffe,0x7d4005ff,0x502fffff,
    0xffffffff,0xffd01bff,0xfffb13ff,0x3ff23dff,0xfffff3ff,0xffff7001,
    0x1bfffea9,0xffffffd8,0x7ff44fff,0x00000eff,0x0fffff10,0xfffffff0,
    0xf03fffff,0x3f27ffff,0x3ea04fff,0x54ffffff,0xfffe89ff,0x3ffc2fff,
    0xfffffff3,0x640000bf,0x7fe46fff,0x1fffffff,0xfffffff5,0xffffffff,
    0xffff107f,0xffffb00f,0xfffffb89,0xffffffff,0x7c1fffff,0xffffffff,
    0xfff81fff,0xfffb83ff,0x3ffee00f,0x7ffff40f,0x99998002,0xfffca999,
    0x3e21ffff,0xf5007fff,0x3fe2dfff,0x00003fff,0x7ff77764,0x85ffffff,
    0xf04ffffe,0xffffffff,0xfff3000b,0xfffb07ff,0xffffffff,0xfffd83ff,
    0xffffffcf,0x97fffec5,0x800fffff,0xf54ffffb,0x7ec0dfff,0xeeeeefff,
    0x7ffffe43,0xf1000004,0xff00ffff,0xffffffff,0xfff883ff,0xffff91ff,
    0x7fffd409,0x9ff54fff,0x02ceffe8,0x7ffccfff,0x005fffff,0x7ffff100,
    0xffffffc8,0xfff51fff,0xffffffff,0x107fffff,0xf00fffff,0xfb87ffff,
    0xffffffff,0xffffffff,0x7ffffc1f,0x1fffffff,0x0fffffc4,0x00ffffd4,
    0xfd0ffff9,0x00005fff,0x7ffffe40,0x1ffffe23,0x37fffd40,0x009fffff,
    0x3ee20000,0x6c3fffff,0x5505ffff,0xbffff955,0xffff3000,0xffffd85f,
    0xffffd9cf,0x3ff20fff,0xffffffff,0x1ffffe82,0x001fffff,0x269ffff7,
    0x3607ffff,0xf3007fff,0x007fffff,0x7fc40011,0x3f6007ff,0xf9802fff,
    0xff90ffff,0x7fc409ff,0xf51fffff,0x02ffd89f,0xfff33ffc,0x00bffffb,
    0x3fffee00,0x03fffe40,0x3ffeeaa2,0xaaaaaaff,0xfff880aa,0x7ffdc07f,
    0x7ffdc1ff,0xccccccef,0x1fffffcc,0x05ffffb0,0x1fffff30,0x07ffff30,
    0x743ffff4,0x0002ffff,0x7ffff400,0x1ffffe25,0x37fffd40,0x00bffffd,
    0xfe880000,0x7fe47fff,0xff5005ff,0x00b32bff,0x83fffffa,0x41fffffc,
    0x4ffffffa,0x3fffffee,0xfff00eff,0x3fffe1ff,0xfffb800f,0xfffff14f,
    0x03fffec0,0xffffffb0,0xb733135d,0x7fc4001f,0x3f6007ff,0xfa802fff,
    0x3ff27fff,0x7fdc04ff,0x3fea4fff,0x200ffec4,0x5cfe67ff,0x0005ffff,
    0x90bfffd0,0x4400ffff,0x0007ffff,0x40fffff1,0x86fffffb,0x804ffffb,
    0xb01ffffe,0x5005ffff,0x220fffff,0xf506ffff,0xffd09fff,0x000005ff,
    0x27ffffc8,0x007ffff8,0x6cbffff5,0x0006ffff,0xfff98000,0x3ffee1ff,
    0xfff5007f,0x3bfff6bf,0xfffdcbcc,0x3fe25fff,0xfd101fff,0x3ea1ffff,
    0x04ffffff,0xff3ffffc,0xf7001fff,0x7ffc9fff,0xfffb00ff,0x7ffcc00f,
    0xffffffff,0x2000ffff,0x007ffff8,0x00bffff6,0xc9bfffee,0xa804ffff,
    0x7fd43efe,0x20066544,0xff7027ff,0x30000bff,0x5559ffff,0x00ffffb5,
    0x03ffffc4,0xfffff880,0xffecaaaa,0xfb81ffff,0xfe804fff,0xffb01fff,
    0xff7005ff,0x7fec0dff,0x3fea1eff,0xffe81fff,0x000002ff,0x13ffffd4,
    0x001fffff,0x649ffff7,0x002fffff,0x7fc40000,0x3fea2fff,0xfa802fff,
    0xfffb5fff,0xffffffff,0x7dc1ffff,0x7c405fff,0xff31ffff,0xa803ffff,
    0x3fe6ffff,0xfb800fff,0x3ffe4fff,0xfffb02ff,0xfff9800f,0xffffffff,
    0x22000fff,0x2007ffff,0x402ffffd,0x25fffff8,0x004ffffc,0x084ffa80,
    0x5c0fff00,0x0005ffff,0xffffffc8,0x7fffffff,0x3fffe200,0xfff10007,
    0xffffffff,0x207fffff,0x804ffffb,0xb01ffffe,0x8805ffff,0x205fffff,
    0xfffffffa,0x06ffffff,0x005ffffd,0xfffc8000,0x7ffffc6f,0xffffc800,
    0x3ffffee2,0x40000006,0x21fffff8,0x05fffff8,0xb5ffffa8,0xffffffff,
    0x83dfffff,0x803ffffd,0xf12ffffe,0xb003ffff,0x7fc9ffff,0xfb800fff,
    0x3ffa4fff,0xfffb04ff,0xffd3000f,0xffffffff,0x7c4001ff,0x36007fff,
    0x5c02ffff,0x321fffff,0x0004ffff,0x7ec4ffa8,0x03ffc02f,0x00bffff7,
    0xffffff00,0xffffffff,0x7ffc400f,0xff10007f,0xffffffff,0x407fffff,
    0x804ffffb,0xb01ffffe,0xb805ffff,0x201fffff,0xfffffffc,0x1fffffff,
    0x02ffffe8,0x7ff40000,0x7fff44ff,0xfffe803f,0x3fffe21f,0x000003ff,
    0x1ffffea0,0x0bfffff6,0x2bffff50,0xffffffeb,0xd03dffff,0xb005ffff,
    0x7ec5ffff,0x7c406fff,0x3fe0ffff,0xfc800fff,0x3fea4fff,0xffd80fff,
    0x3660007f,0xffffffff,0x7fc4002d,0x3f6007ff,0x3e602fff,0x7e45ffff,
    0x80004fff,0x3fea4ffa,0x03ffc07f,0x00bffff7,0xfffffa80,0xffffffff,
    0x3fe2007f,0xf10007ff,0xffffffff,0x8019ffff,0x804ffffb,0xb01ffffe,
    0x4c05ffff,0x205fffff,0xfffffffa,0xffffffff,0x7ffff40f,0x32000002,
    0x6c2fffff,0x200fffff,0x40fffffa,0x4ffffffb,0x0000c980,0x0dfffff3,
    0x9ffffff1,0x2ffffd40,0x7ffe54cc,0x7ffe402f,0x7ffc404f,0x3ffe60ff,
    0x3ff603ff,0x7fffc5ff,0xfffe800f,0x7ffffc3f,0x07fffd85,0xefffe800,
    0x3e200009,0x36007fff,0xf702ffff,0xc83fffff,0x0004ffff,0x3ea4ffa8,
    0x3ffc07ff,0x0bffff70,0xefffd800,0xfdaaaaaa,0x3e2007ff,0x10007fff,
    0xffffffff,0x200157bd,0x804ffffb,0xb01ffffe,0x2e05ffff,0x01ffffff,
    0xfdfffff1,0xffdbffff,0xfffe8bff,0x0554002f,0xffffeb98,0xffff986f,
    0xfffb81ef,0xfffd03ff,0x557bdfff,0x541fff97,0xff931009,0x3207ffff,
    0xceffffff,0xfffd999a,0x7ffe405f,0xffffb807,0xffd880cf,0xfffd86ff,
    0x3f620bff,0x7fc1ffff,0x46b60fff,0x1fffffc8,0x6fffffe4,0x3ffffd0a,
    0x20033333,0x003ffff8,0x7ffff880,0x3ffff600,0xffedbaac,0xfc84ffff,
    0xaaaadfff,0x02aaaaaa,0xffd89ff5,0x703ffc02,0x555dffff,0x55555555,
    0x1ffffc41,0x33ffff90,0x2aa21333,0xaafffffb,0xaaaaaaaa,0xfffff10a,
    0x3fee0000,0xffe804ff,0xfffb01ff,0xfdb7559f,0x409fffff,0x226ffffe,
    0x3fffe609,0x3ffffa4f,0xaaaaaaac,0xfffdaaaa,0xffffffff,0xfb00efff,
    0xddffffff,0x0dffffff,0x7fffffd4,0xffffffff,0xffff10ff,0xfffffdff,
    0x4409ffff,0xffffffff,0xffffffff,0x7ffec05f,0xffff8804,0xfeccefff,
    0x983fffff,0xefffffff,0x5ffffffe,0x20fffff8,0xffffffff,0xfff986ff,
    0xffffffff,0xffffffff,0xfff9800f,0xf880000f,0x36007fff,0xffffffff,
    0xdfffffff,0xfffffc80,0xffffffff,0xffa80fff,0xff800884,0x3fffee07,
    0xffffffff,0x3ee2ffff,0x3f200fff,0xffffffff,0xffffff55,0xffffffff,
    0x223fffff,0x0007ffff,0x09ffff70,0x03ffffd0,0x3ffffff6,0xffffffff,
    0xfff900df,0xff9001ff,0x3ffa5fff,0xffffffff,0xfdffffff,0xffffffff,
    0x200fffff,0xfffffff8,0xffffffff,0x7fffd401,0xffffffff,0xfff10fff,
    0xffffffff,0x100bffff,0xfffffffb,0xffffffff,0x1ffff80b,0xfffff500,
    0xffffffff,0x7fdc09ff,0xffffffff,0xfff04fff,0x7fffc1ff,0x01ffffff,
    0xfffffff5,0xffffffff,0x7001ffff,0xf800bfff,0xffffffff,0xffffffff,
    0x7fffec1f,0xffffffff,0x3ff202ff,0xffffffff,0x80ffffff,0xeeeefffa,
    0xeeeeeeee,0x2e07ffee,0xffffffff,0xffffffff,0x01bfffa2,0xfffffff9,
    0x3ffeabff,0xffffffff,0xffffffff,0x0fffff11,0x3ffee000,0xfffe804f,
    0xffffb01f,0xffffffff,0xffb805ff,0x3fa003ff,0xfffd1dff,0xffffffff,
    0xffbfffff,0xffffffff,0xb10019ff,0xffffffff,0x2003dfff,0xffffffd8,
    0x0fffffff,0xfffffff1,0x7dffffff,0xffffb800,0xffffffff,0x3fe204ff,
    0x7fdc006f,0xffffffff,0xf9804fff,0xffffffff,0x3ffe03ff,0x3fffe0ff,
    0x402fffff,0xffffffe9,0xffffffff,0xfd800fff,0x7fc002ff,0xffffffff,
    0xffffffff,0x7ffffec1,0xdfffffff,0x7fffe400,0xffffffff,0xfa80ffff,
    0xffffffff,0xffffffff,0x3fee07ff,0xffffffff,0x32ffffff,0xc807ffff,
    0xffffffff,0xfffff55f,0xffffffff,0x23ffffff,0x007ffff8,0x9ffff700,
    0x3ffffd00,0x3fffff60,0xdfffffff,0x0bf91000,0x742ef980,0xffffffff,
    0xffffffff,0xfffffffd,0x50003eff,0xfffffffd,0x32a0007d,0xfffffffe,
    0x3ffe20ad,0xffffffff,0x3220002d,0xfffffffe,0x7d400bef,0xb88003ff,
    0xffffffff,0x362000cf,0xcefffffe,0x7ffffc01,0x3fffff60,0xb91000df,
    0xffffffff,0x1fffffff,0x00fffd00,0xfffffff0,0xffffffff,0xffd83fff,
    0xdeefffff,0xfff9000a,0xffffffff,0x501fffff,0xffffffff,0xffffffff,
    0x7dc0ffff,0xffffffff,0x2fffffff,0x801ffff9,0xfffffffc,0xffff55ff,
    0xffffffff,0x3fffffff,0x01ffffe2,0x7fffdc00,0xffffe804,0xfffffb01,
    0x015bddff,0x20002200,0xfffffd01,0xffffffff,0x2aa62fff,0x000009aa,
    0x000d554c,0x04d4c400,0x2aaa6620,0x0000009a,0x0266aaa6,0x00199880,
    0x9aaa9880,0xa9880000,0x98000009,0x88000099,0x000009aa,0x20002666,
    0xffffffff,0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555510,0x55555555,0x54555555,0x2001aaaa,
    0x2a2aaaaa,0xaaaaaaaa,0x42aaaaaa,0xaaaaaaaa,0xaaaaaaaa,0x55555510,
    0x55555555,0x00555555,0x2aaaaaaa,0x55551001,0x33555555,0x55555400,
    0xaaaa800a,0x55555512,0x20003555,0x800aaaaa,0x551aaaa9,0x55555555,
    0x35555555,0xdedca880,0x554401bc,0xaaa802aa,0x54400aaa,0xaaa981aa,
    0x2aaaa601,0x2aaa600a,0x2aaa20aa,0x19aaaaaa,0x2aaaa200,0x009aaaaa,
    0x99993000,0xaaaa8803,0xaaaaaaaa,0x30aaaaaa,0x80055555,0x10aaaaa8,
    0x00555555,0x86aaaaa6,0x000aaaa8,0x202aaa88,0xbcdedb98,0x3fffea00,
    0xffffffff,0x7fffffff,0x03fffff2,0x3ffffe20,0xffffff12,0xffffffff,
    0x7fffc4ff,0xffffffff,0xff52ffff,0xffffffff,0xffffffff,0xfff100ff,
    0x200bffff,0xfffffff9,0x1dffffff,0x7fffffc0,0x6fffe805,0xfffffff1,
    0x17dfffff,0x1fffff00,0x9ffff700,0x3ffffffa,0xffffffff,0xff9103ff,
    0x9fffffff,0x3ffffcc0,0x3ffffee0,0x4fffb805,0x204fffb8,0x02fffffd,
    0x8bfffffa,0xfffffff9,0x02dfffff,0x7fffffc4,0x2effffff,0xfffd9800,
    0x7fd403ff,0xffffffff,0xffffffff,0x5fffff51,0x7fffe400,0x7ffffec6,
    0xffffe801,0x3fffe60f,0xfffb8001,0xffffe886,0x80cfffff,0xfffffffa,
    0xffffffff,0x3e27ffff,0xd804ffff,0x3e25ffff,0xffffffff,0x27ffffff,
    0xfffffff8,0xffffffff,0xfffff52f,0xffffffff,0x0fffffff,0xffffff50,
    0x3fe600ff,0xffffffff,0x205fffff,0x1fffffff,0x8b7fff40,0xffffffff,
    0x2fffffff,0x07ffffc0,0xa7fffdc0,0xfffffffe,0xffffffff,0xffffb83f,
    0xffffffff,0xffff981e,0x3fffe207,0xffc800ff,0x3fffc83f,0x3fffffa0,
    0xfffff305,0x7fffcc5f,0xffffffff,0xff101fff,0xffffffff,0x005dffff,
    0xffffffb1,0xfffa807f,0xffffffff,0x1fffffff,0x01bffffa,0x17ffffc4,
    0x17ffffe6,0x7fffff50,0x02ffff98,0x46fffb80,0xfffffffb,0x40ffffff,
    0xfffffffa,0xffffffff,0x7dc7ffff,0x2600ffff,0x221fffff,0xffffffff,
    0x7fffffff,0x3fffffe2,0xffffffff,0xffff52ff,0xffffffff,0xffffffff,
    0xfffff900,0xf3003fff,0xffffffff,0xbfffffff,0x3fffffe0,0x7fff404f,
    0xffffff16,0xffffffff,0x3fe01bff,0xfb800fff,0xfffd4fff,0xffffffff,
    0x987fffff,0xffffffff,0x0fffffff,0x03ffffcc,0x05fffffb,0x20bfff60,
    0x3a02fffd,0x707fffff,0x47ffffff,0xfffffff9,0xffffffff,0xffff880e,
    0xffffffff,0x9103ffff,0xffffffff,0xfffa807f,0xffffffff,0x1fffffff,
    0x0bffffea,0x1bffff20,0x0fffffec,0x1fffffd0,0x02ffff88,0x16fffb80,
    0xfffffffd,0xdfffffff,0xeeeeee98,0xeefffffe,0xe85eeeee,0x3605ffff,
    0x7c44ffff,0xffffffff,0x27ffffff,0xfffffff8,0xffffffff,0xddddd32f,
    0xdfffffdd,0x0bdddddd,0xfffffff0,0xff3009ff,0xdb999fff,0x5fffffff,
    0xfffffff0,0x7fff401f,0xdfffff16,0xffffffdd,0x3fe0bfff,0xfb800fff,
    0xdddb4fff,0xdfffffdd,0x445ddddd,0xbdffffff,0xfffffedb,0x3ffffcc3,
    0x4fffffa8,0x0bfff600,0xe807fffa,0x82ffffff,0x3ffffffe,0x3bffffe6,
    0xffffffee,0xfff886ff,0xfffeeeff,0x21ffffff,0xffffffc8,0x403fffff,
    0xfffffffa,0xffffffff,0x7ff41fff,0x7fc406ff,0xff102fff,0x3ee0dfff,
    0xf883ffff,0xb8002fff,0x3ffa5fff,0xffddffff,0x003fffff,0x00fffffa,
    0x3fffff50,0x1fffff30,0x0fffff88,0xffff8800,0xe800000f,0x0003ffff,
    0x3fffffe6,0xf9806fff,0xf9106fff,0xff09ffff,0x09ffffff,0xf8b7fff4,
    0xda987fff,0x82ffffff,0x800fffff,0x404ffffb,0x803ffffd,0x82fffffd,
    0x0fffffe8,0x21ffffe6,0x06fffff8,0x40ffff40,0x3e00ffff,0x44ffffff,
    0xfffffff8,0x1bfffe64,0x3ffffee2,0x7fffc40f,0xffffd507,0x3ffea1ff,
    0xffffffff,0x4ccc403f,0x99999999,0x85fffffc,0x01fffffa,0x01bffff2,
    0x05fffff9,0x40dffffd,0x8002ffff,0x3e25fffc,0xffc81cff,0x3a006fff,
    0x8003ffff,0xe86ffffd,0xf883ffff,0x8000ffff,0x00fffff8,0xfffe8000,
    0x3ee0003f,0xffffbfff,0x7ffcc00f,0x7fff406f,0xfffff85f,0x3fa07fff,
    0xffff16ff,0xffffc80f,0xfffff86f,0xffffb800,0x7fffec04,0xfffff803,
    0x3fffe204,0x3fffe64f,0xfffffd87,0x7fffc001,0x00ffff80,0x3ffffffe,
    0x7f7ffdc7,0x3ffe64ff,0x3ffea06f,0x7ffc42ff,0x7ffec07f,0x3fffe2ff,
    0xffffe9df,0x3e200003,0xd00fffff,0x220bffff,0x402fffff,0x46fffff8,
    0x02fffffb,0x000ffffe,0xf313fff2,0xffffd805,0x3fffa007,0xff98003f,
    0x3fea2fff,0xfff106ff,0xf10001ff,0x0001ffff,0x7ffffd00,0x7fff4000,
    0x3ffffe8f,0x37fffcc0,0x1bfffee0,0x3ffffffe,0xfffd03ff,0x1ffffe2d,
    0x3fffff20,0x07ffffc3,0x27fffdc0,0x0fffff60,0x1fffff10,0x6ffffd80,
    0x51ffffe6,0x007fffff,0xffffdddd,0xfffddddd,0xff89dddf,0x21fffdef,
    0xfffcfffd,0x1bfffe64,0x87fffff0,0x407ffff8,0x23fffff8,0x3fa1effc,
    0x00003fff,0x0bfffff6,0x1fffffa8,0x06ffffc8,0x5fffff70,0x037ffff4,
    0x000ffffe,0x0013fff2,0x0fffffd4,0x3ffffe80,0xffff9000,0x0fffff4d,
    0x0fffff88,0xffff8800,0xe800000f,0x0003ffff,0x32dffff1,0x4c05ffff,
    0x5c06ffff,0xff85ffff,0x6ffffeff,0x22dfffd0,0x8807ffff,0x7c6fffff,
    0xb800ffff,0x6c04ffff,0x5403ffff,0xa807ffff,0x3e67ffff,0x3fe27fff,
    0xff005fff,0xffffffff,0xffffffff,0x7ffc4bff,0xf14fffbe,0xbfff7bff,
    0x037fffcc,0x113ffff6,0xb00fffff,0x744bffff,0x3ffffe82,0xfff50000,
    0xffd00bff,0xfff88bff,0x3fa002ff,0xfff76fff,0xffe803ff,0xffd8003f,
    0xff30003f,0x3a003fff,0x0003ffff,0x55fffff1,0x440bffff,0x000fffff,
    0x0fffff88,0xffe80000,0xf50003ff,0x3fe67fff,0x7fcc07ff,0x7fec06ff,
    0xffff83ff,0x82ffffdc,0xff16fffe,0x3f600fff,0x7ffc7fff,0xffb800ff,
    0x7fec04ff,0x7fdc03ff,0xff9806ff,0x3ffe67ff,0x3ffff67f,0xffff000f,
    0xffffffff,0xffffffff,0x477ffc4b,0xfff56fff,0x4cbfff77,0x7406ffff,
    0x7c43ffff,0xfc807fff,0xfd006fff,0x00007fff,0x1ffffff1,0xfffff500,
    0x37fffe41,0x3fffea00,0x5ffffeaf,0x83fffe80,0xffd85ffe,0xff30003f,
    0x3a001fff,0x0003ffff,0x3bbfffee,0x2200ffff,0x000fffff,0x0fffff88,
    0xffe80000,0xfb0003ff,0x7ffc3fff,0x3fe602ff,0x3fea06ff,0xfff80fff,
    0x6ffff9cf,0xf16fffe8,0x2a00ffff,0x7fc7ffff,0xfb800fff,0x7ec04fff,
    0x7cc03fff,0xf8807fff,0xff30ffff,0x3ffeafff,0x3fe002ff,0xffffffff,
    0xffffffff,0x3ffe65ff,0xf91fffd6,0xdfff51ff,0x037fffcc,0x83fffff3,
    0x807ffff8,0x004ffffd,0x007ffffd,0xfffffb00,0x7fff4005,0x3ffffe4f,
    0xfffe8002,0x0fffffff,0x44fffd80,0x6c0ffff8,0x70003fff,0x400fffff,
    0x003ffffe,0x7fffff40,0x7c404fff,0x8000ffff,0x99fffff8,0x99999999,
    0x3fffa000,0xfff0003f,0xffffd8ff,0x3fffe604,0x7ffe4c46,0xffff03ff,
    0x07ffffa9,0x3e2dfffd,0xf3007fff,0x7fc3ffff,0xaaaabfff,0xfffdaaaa,
    0x7ffec04f,0x7ffc403f,0xfff803ff,0xffff31ff,0x9ffffd1f,0x7ffdc000,
    0x04fffb84,0x7e5bffe6,0x56fffaff,0x7fccdfff,0xfff306ff,0xfff10dff,
    0xfffd00ff,0x3ffa007f,0x540003ff,0x005fffff,0x47ffffd4,0x006ffffb,
    0xffffff30,0x36009fff,0x7fdc4fff,0x7ffec2ff,0xfffd0002,0x2aaaa0bf,
    0xadffffea,0x26000aaa,0xffffffff,0x7fffc400,0xaaaaaabf,0x3fe21aaa,
    0xffffffff,0x006fffff,0x00fffffa,0x17fffe60,0x40fffff7,0xfffffff9,
    0xffffffff,0x53fffe03,0x745ffffa,0xfff16fff,0x3fe200ff,0x3ffe2fff,
    0xffffffff,0xffffffff,0x7fffec04,0xfffff803,0xfff9302f,0x3ffe65ff,
    0x6ffffcff,0x7ffe4000,0x03fffc83,0x7d5bffe6,0x53fffeff,0x7fccdfff,
    0xecaaafff,0x81ffffff,0x407ffff8,0x01fffffa,0x07ffffd0,0x7fffc400,
    0xfe8000ff,0xfffebfff,0x3f60002f,0x0fffffff,0x89fff900,0x745ffffd,
    0xa8002fff,0xb01fffff,0xffffffff,0x07ffffff,0xfffffd80,0xfff8802f,
    0xffffffff,0x3e23ffff,0xffffffff,0x06ffffff,0x0fffffa0,0x3ffff200,
    0x7ffffc42,0xfffff301,0xffffffff,0x7ffc017f,0x3ffffe4f,0x45bfffa1,
    0x1007ffff,0x7c7fffff,0xffffffff,0xffffffff,0x7fec04ff,0xffc803ff,
    0xdcdeffff,0xfffffffe,0xffffff32,0x0003ffff,0xd82fffd8,0x3ea02fff,
    0x3fffe5ff,0xfff50fff,0x7ffffccf,0xffffffff,0xfff101ef,0x7ffcc0ff,
    0xfd000fff,0x40007fff,0x02fffffd,0xfffff500,0x000dffff,0xffffff88,
    0x3ff2003f,0x3fffe25f,0x0ffff47f,0x3fffe200,0x3fff606f,0xffffffff,
    0x44003fff,0x006fffff,0xfffffff1,0xffffffff,0x7ffffc47,0xffffffff,
    0x3fa006ff,0xe8003fff,0xfe80ffff,0xff303fff,0xffffffff,0x07ffffff,
    0xfb93fffe,0x3ffa4fff,0xfffff16f,0x7ffffc00,0x3fffffe3,0xffffffff,
    0x404fffff,0x003ffffd,0xfffffffd,0xffffffff,0x3ffe63ff,0x4fffffff,
    0x7ffec000,0x01fffe82,0xfd97ffea,0x3e66ffff,0x3ffe67ff,0xffffffff,
    0x7fc402df,0xa9999fff,0x2ffffffc,0x3ffffa00,0xfff50003,0xe80009ff,
    0xffffffff,0x7fcc0001,0x004fffff,0xfa97fff2,0x3a1fffff,0x74001fff,
    0x201fffff,0xfffffffd,0x3fffffff,0x26666620,0x99bffffd,0x7fc40999,
    0xffffffff,0x223fffff,0xffffffff,0x6fffffff,0x3ffffa00,0x7ffc4003,
    0xffff906f,0x3fffe60d,0xffffeeef,0xf83fffff,0x3fe24fff,0xfffd0fff,
    0x1ffffe2d,0x7ffffc40,0x3fffffe1,0xffffffff,0x404fffff,0x003ffffd,
    0xfffffff3,0xffffffff,0x3ffe61ff,0xfffffcff,0x3ffa0002,0x0ffff81f,
    0xb97ffee0,0x263fffff,0x3fe67fff,0xffffffff,0xff8803ff,0xffffffff,
    0x04ffffff,0x1fffff40,0x7fffc400,0x540000ef,0x6fffffff,0xfffd8000,
    0x000fffff,0x7ecbfff7,0x3e4fffff,0x36000fff,0x402fffff,0xfffeeeec,
    0x2eeeeeff,0x3fffffa0,0xffffffff,0x7fc43fff,0xeeeeefff,0x222eeeee,
    0x000fffff,0xffffe800,0x7ffdc003,0xffff504f,0xffff301f,0x3fff220d,
    0x7ffc1fff,0x7fffe44f,0x22dfffd3,0x3007ffff,0x7c1fffff,0xb800ffff,
    0x6c04ffff,0x2003ffff,0xffffffb8,0xffffdfff,0xfffff30f,0x03fffffa,
    0x07fffc00,0x7007fffc,0x7fc49fff,0x3fe60fff,0xffff30ff,0xfffffd9f,
    0xfff880bf,0xffffffff,0x000dffff,0x01fffff4,0x7ffffec0,0xffd00002,
    0x0003ffff,0xffffffa8,0xf7005fff,0x6fffcbff,0x3ffe6fff,0xfff9000f,
    0x3a0009ff,0x4003ffff,0xfffffffe,0xffffffff,0x7fffc43f,0xff88000f,
    0x00000fff,0x03ffffe8,0x0ffffec0,0x2fffff88,0x06ffff98,0x27ffffd4,
    0xf313fffe,0x3ffaffff,0xfffff16f,0x3fffea00,0x07ffffc7,0x27fffdc0,
    0x0fffff60,0x332a6200,0xffff31ac,0xbffffccf,0x05fffffa,0xffffff88,
    0xffffffff,0x44ffffff,0x7f44fffb,0x7ffcc6ff,0xdffff30f,0x7ffffec4,
    0x3fffe202,0xffffffff,0xfd0001ef,0xa8007fff,0x004fffff,0x3fffea00,
    0xfe80005f,0xffffffff,0xfffa802f,0xff3fff36,0x1fffe3ff,0x7ffffe40,
    0x3ffa0005,0x7f4003ff,0xffffffff,0x3fffffff,0x07ffffc4,0x7fffc400,
    0xe800000f,0x4003ffff,0xcccfffff,0xffffcccc,0xffff985f,0xffffd806,
    0x427fffc6,0xfeaffffd,0xffff16ff,0x3ffee00f,0x7ffffc6f,0xffffb800,
    0x7fffec04,0xf7000003,0x7fccdfff,0x3fff67ff,0x7fc402ff,0xffffffff,
    0xffffffff,0x7ffe44ff,0x21fffe44,0xf31ffff8,0xffd0dfff,0x3e201fff,
    0xffffffff,0x40002cde,0x003ffffe,0x1bffffe2,0x3ffa0000,0x5c0002ff,
    0xffafffff,0xfa806fff,0x2fff96ff,0xfff3fffc,0xffff900f,0xfe8000bf,
    0x00003fff,0x005ffffb,0x03ffffe2,0x3fffe200,0xe800000f,0x2003ffff,
    0xfffffffa,0xffffffff,0xfff987ff,0xfffc806f,0x27fffc7f,0x777fffcc,
    0xfff16fff,0xfff100ff,0xffff8bff,0xfffb800f,0x7ffec04f,0xb000003f,
    0x7cc7ffff,0x3fe27fff,0x2200ffff,0xffffffff,0xffffffff,0x7e44ffff,
    0x7774c4ff,0x8ffffc41,0x886ffff9,0x103fffff,0x333fffff,0xffd00000,
    0x7ec007ff,0x0001ffff,0x2ffffe80,0x3ffe2000,0xffff75ff,0xfff9807f,
    0x3eabfff7,0x7fff8eff,0x7ffffe40,0xffe80005,0xb00003ff,0x2005ffff,
    0x00fffff8,0xfffff880,0xfe800000,0x32003fff,0xffffffff,0xffffffff,
    0x7ffcc1ff,0xfffd806f,0x27fffc6f,0xffffffe8,0xffff16ff,0xffff700f,
    0xfffff83f,0xffffb800,0x7fffec04,0xf9800003,0x3e60ffff,0x7fdc7fff,
    0x3a205fff,0xeffffeee,0xffffeeee,0x7fec3eee,0x7fc4003f,0xffff31ff,
    0x3ffff60d,0xffff880f,0x74000007,0x5003ffff,0x009fffff,0x3fffa000,
    0x3f20002f,0xff11ffff,0x4c01ffff,0xfff9ffff,0xf3ffff12,0x7fe40dff,
    0x00004fff,0x007ffffd,0x3ffff600,0xffff1002,0xff10001f,0x00001fff,
    0x07ffffd0,0x7fffffc0,0xffffffff,0x4c4fffff,0x4406ffff,0x7c4fffff,
    0xff504fff,0x2dffffff,0x407ffff8,0x85fffff9,0x800fffff,0x404ffffb,
    0x003ffffd,0x7fffc400,0x7fffcc5f,0xfffffe87,0x9fff7002,0x809fff70,
    0x4003fffd,0xf32ffff8,0x3e60dfff,0xf883ffff,0x00007fff,0x1fffff40,
    0x7ffffc40,0x3a000006,0x0002ffff,0x8bfffff1,0x04fffffb,0x3effffe2,
    0x3fff60ff,0xf906fffb,0x0009ffff,0x1fffff40,0x3ffffa00,0xffffffff,
    0x7c43ffff,0x8000ffff,0x00fffff8,0xfffe8000,0xfff3003f,0x999999df,
    0xffffd999,0x6ffff98d,0x3ffff620,0x27fffc3f,0xfffffff0,0x3fffe2df,
    0x3fffee07,0xffff81ff,0xfffb800f,0x7ffec04f,0x7100003f,0x83ffffff,
    0x987ffff9,0x00ffffff,0xc83fffc8,0x7ec03fff,0xff8003ff,0xffff32ff,
    0x7ffff40d,0x7ffff887,0x7f400000,0xfd803fff,0x0001ffff,0x3ffffa00,
    0xfffb0002,0xffff03ff,0x3fe203ff,0x545ffeff,0x5fffefff,0x4fffffb8,
    0x7ff40000,0x7f4003ff,0xffffffff,0x3fffffff,0x07ffffc4,0x7fffc400,
    0xaaaaaabf,0xd000aaaa,0x2007ffff,0x003ffffb,0x41fffff5,0x99effff9,
    0xffffba99,0x7ffc0fff,0x3ffee04f,0xff16ffff,0xb7555fff,0x9ffffffd,
    0x03ffffe0,0x53fffee0,0xfe999998,0x9999bfff,0x55555409,0xfffffecc,
    0xfff982ff,0xffff907f,0xfffb00bf,0x05fffb05,0x003fffe8,0xf33ffff8,
    0x7dc0dfff,0x7c43ffff,0x80007fff,0xfccccccb,0xcccdffff,0xffff51cc,
    0x999999df,0x03999999,0x17ffff40,0x7fffcc00,0xffff705f,0x3ffe20df,
    0x7c43ffff,0x45ffffff,0xeffffffb,0xeeeeeeee,0xffe801ee,0x7f4003ff,
    0xffffffff,0x3fffffff,0x07ffffc4,0x7fffc400,0xffffffff,0xd002ffff,
    0x2007ffff,0x001ffffe,0x47fffff1,0xfffffff9,0xffffffff,0xffff82ff,
    0x3fffe204,0xfff16fff,0xffffffff,0x01bfffff,0x003ffffe,0x753fffee,
    0xffffffff,0xffffffff,0x7fffff43,0xffffffff,0xfffff304,0x3ffffa20,
    0x7fff403f,0x01fffe81,0x001ffff4,0xf99ffffc,0x7fc06fff,0x7fc46fff,
    0xe80007ff,0xffffffff,0xffffffff,0xfffffd3f,0xffffffff,0x007fffff,
    0x017ffff4,0x7fffff40,0x3ffffa01,0xfffff02f,0xfffb01ff,0x7fccbfff,
    0xffffffff,0xffffffff,0xffffe802,0x4ccc4003,0xbffffd99,0x44099999,
    0x000fffff,0xffffff88,0xffffffff,0xffd002ff,0xff1007ff,0xfe800fff,
    0x3fe65fff,0xffffffff,0x03ffffff,0xc809ffff,0x16ffffff,0xffffffff,
    0x5fffffff,0x0fffff80,0x4ffffb80,0xfffffffd,0xffffffff,0xffffe87f,
    0xffffffff,0x3fffe603,0x3fffea07,0x3ffa00ff,0x0ffff81f,0x017fffc0,
    0x99ffffc0,0x6406ffff,0x222fffff,0x0007ffff,0xffffffe8,0xffffffff,
    0xfffd3fff,0xffffffff,0x7fffffff,0x7ffff400,0x7ffd4002,0x7fd405ff,
    0xff80ffff,0xf706ffff,0x4c9fffff,0xffffffff,0xffffffff,0xffe802ff,
    0xb00003ff,0x2005ffff,0x00fffff8,0xfffff880,0xffffffff,0xfd002fff,
    0xf5007fff,0xc8009fff,0x3e67ffff,0xffffffff,0x01dfffff,0x3013fffe,
    0x2dffffff,0xfffffff8,0x0dffffff,0x0fffff80,0x4ffffb80,0xfffffffd,
    0xffffffff,0xffffe87f,0x0cffffff,0x3ffffcc0,0x3fffff60,0x03fffe05,
    0x3e01fffe,0xf8002fff,0xfff34fff,0xfff880df,0x3ffe26ff,0xfe80007f,
    0xffffffff,0xffffffff,0xffffffd3,0xffffffff,0x4007ffff,0x002ffffe,
    0x0ffffff4,0x7fffff40,0xfffffe84,0xfffff103,0x7fffcc9f,0xffffffff,
    0x02ffffff,0x03ffffe8,0xffffb000,0x3ffe2005,0xf88000ff,0xffffffff,
    0x2fffffff,0x7ffffd00,0x5ffff900,0xffff9800,0xfffff32f,0x79bdffff,
    0x9ffff001,0xfffffb00,0x3ffffe2d,0x0adeefff,0x3ffffe00,0xffffb800,
    0xffffffd4,0xffffffff,0xfffe87ff,0x001bdeef,0x01ffffe6,0x7ffffff1,
    0x10ffff10,0xff00ffff,0xff0005ff,0x3ffe69ff,0xfffd806f,0xffff12ff,
    0xffd0000f,0xffffffff,0x7fffffff,0x3ffffffa,0xffffffff,0x2003ffff,
    0x002ffffe,0x17ffffee,0x7ffffd40,0x7ffff40f,0x3fffa01f,0x3ffe63ff,
    0xffffffff,0x2fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55555300,0x2aaaa035,0xaaa8002a,0x555551aa,0x55555555,0x01555555,
    0x01dddd50,0x00000080,0x2e600100,0xcda881bd,0x2a60000a,0x201abccc,
    0x0acddcb8,0x00566dcc,0x0019b700,0x7665d440,0x4c002bcd,0xbcceecca,
    0x2ea2000a,0x5001acdd,0xa8805555,0xb9801aaa,0x0001acdc,0x2aa00010,
    0x8800aaaa,0x261aaaaa,0x2b7262aa,0x4166dc40,0x00aaaaa8,0x2aaaaa20,
    0x55555530,0x55555555,0x2aaa2155,0x5eee540a,0x05555502,0x2aaaa200,
    0x302aaaa0,0x00059bb9,0xfffff100,0x3ff609ff,0x22000fff,0xfb2fffff,
    0xffffffff,0xffffffff,0xfff7003f,0x17dc001f,0x36000000,0x3ffe201f,
    0x3fe64fff,0x2001ffff,0xffffffe9,0x7ec47fff,0x2fffffff,0x5ffffff9,
    0xffffb000,0xffeb8003,0xffffffff,0x7ff5403f,0xffffffff,0xfffe9806,
    0x01efffff,0x01ffffe2,0x40bffff5,0xfffffffc,0x5c4001ef,0x02ceffed,
    0xdfffff30,0xfffffb00,0xfabffec1,0xff11ffff,0x7c41bfff,0x2003ffff,
    0x326ffffc,0xffffffff,0xffffffff,0x27ffff32,0xffffffe9,0x7fffec0e,
    0xfff98000,0x5ffff12f,0x3fffffa6,0x200001ef,0xfffffffc,0xfffff504,
    0x7ffd4005,0x3ffff67f,0xffffffff,0x01ffffff,0x00ffffb8,0x007fff70,
    0xffb10000,0xfffd101f,0xff15ffff,0x03ffffff,0xfffffc88,0x47ffffff,
    0xfffffffa,0xffffefff,0x2002ffff,0x06fffff9,0x7fffffc0,0xffffffff,
    0xfffffb06,0xdfffffff,0xfffffb80,0x4fffffff,0x0fffff10,0x85ffffa8,
    0xffffffd8,0x003fffff,0xfffffff7,0xf9003dff,0x5409ffff,0x6c2fffff,
    0xffff9fff,0xffffd5ff,0xfffd87ff,0x3ffe006f,0x3fff23ff,0xffffffff,
    0xf32fffff,0xfff57fff,0x3fffffff,0x00ffffe4,0x87fffd40,0xfaaffff8,
    0xffffffff,0xf980001f,0x4fffffff,0x9fffff10,0x7fffec00,0x3fffff65,
    0xffffffff,0x801fffff,0x800ffffb,0x05fffffb,0x3fa60000,0x7ec0ffff,
    0xffffefff,0xfffffffe,0x3ffe606f,0xffffffff,0x7ffd47ff,0xffffffff,
    0xffffffff,0x3ffea007,0x7fc007ff,0xffffffff,0x644fffff,0xffffffff,
    0x206fffff,0xfffffffd,0x5fffffff,0x07ffff88,0x22ffffd4,0xfffffff8,
    0x3fffffff,0x3ffff620,0xfffffdce,0xffffe803,0xffff881f,0xefffd84f,
    0xdfffffff,0x7fffffff,0x0fffffd4,0x7ffffcc0,0x3fffff20,0xffffffff,
    0xfff32fff,0xffffffbf,0x549fffff,0x8002ffff,0x3e27fffb,0xffffdfff,
    0x5fffffff,0xfffe8000,0x204fffff,0x007ffffe,0xd8fffffe,0xffffffff,
    0xffffffff,0xffb801ff,0xff9800ff,0x000effff,0x7fffd400,0x3fe20eff,
    0xffff70ff,0x3ffea5ff,0xffffd01f,0xffdddfff,0x0adfa8ff,0x3fffffee,
    0x03ffff91,0x3ffffe60,0x5f7fc005,0xffb9899a,0xff30ffff,0x4c15dfff,
    0xff506db9,0xfbbfffff,0x85ffffff,0x407ffff8,0x6c5ffffa,0x88aeffff,
    0x0fffffe9,0x017fffd0,0x809fffb1,0x86fffff8,0xb06ffffd,0xd5dfffff,
    0xb7ffffff,0xff81ffff,0xfc804fff,0x7fe45fff,0xffffffff,0x30ffffff,
    0xffffffff,0xfffff9bf,0x3fffe61f,0xfffc8003,0x3ffffe26,0xffeeffff,
    0x0001ffff,0x3fffffee,0x3ee04fff,0x9801ffff,0x2e0fffff,0xcccccccc,
    0xfffecccc,0xffb800ff,0xfd1000ff,0x003dffff,0x3fffee00,0xfffb84ff,
    0x37ffff43,0x2e13ffee,0x0affffff,0x00cc6b88,0xc87ffff9,0x32004fff,
    0x4000ffff,0xfff8800b,0xffff72ff,0x7fc0003f,0xfb81ffff,0x7c46ffff,
    0x7d407fff,0x3fe65fff,0x3ff605ff,0xeffc84ff,0x1ceeeee9,0xb803fff5,
    0x2a4fffff,0xb01fffff,0x2e1fffff,0xf11fffff,0xffc83fff,0xfff807ff,
    0xfb0002ff,0x7cc5ffff,0x0cffffff,0x4fffffe2,0x004ffff8,0x225fffd8,
    0xdfffffff,0x3ffffe61,0xfff10003,0x9ffff5ff,0x7ffffcc0,0xffffb803,
    0x7fc40006,0xf7004fff,0x44001fff,0x2ffffffd,0x7ffe4000,0xffd03fff,
    0xffffc83f,0x22fffcc4,0x0efffff8,0xffa80000,0x7ffcc2ff,0x055cc006,
    0x3f200000,0xfff93fff,0x7dc000df,0x2a01ffff,0x222fffff,0x5407ffff,
    0x3fa5ffff,0x3e600fff,0x7fcc7fff,0xffffff0f,0x01bfea7f,0x27fffff6,
    0x04fffff8,0xa8fffff6,0x7fc6ffff,0x7ffcc2ff,0x3fea02ff,0xf70007ff,
    0xf989ffff,0x905fffff,0x7fc9ffff,0x2aaa85ff,0x224fffe8,0x05ffffff,
    0x009ffffb,0x2bffff60,0x404ffffa,0x805ffffe,0x003ffffe,0x7ffffe40,
    0x2aaaaaa0,0xabffffda,0x900aaaaa,0x07ffffff,0xffffb100,0x7ffc05ff,
    0x2ffffb87,0x2e37ffc4,0x002fffff,0xffff3000,0x07fff881,0x00000000,
    0x653fffee,0x003fffff,0x09ffffd0,0x49ffffd0,0x407ffff8,0xf35ffffa,
    0xfd00bfff,0x7ff41fff,0x3f2f7fe2,0x00fff66f,0xbdfffff1,0xd80dffff,
    0x7fd47fff,0x7fffc2ff,0x5ffffe82,0x13ffff60,0x3fffe600,0xffff986f,
    0x3ffee06f,0x1bfffa4f,0xe81ffff5,0x3fe23fff,0xf700efff,0x5000bfff,
    0x3eabffff,0x7e404fff,0x2200ffff,0x001fffff,0x3ffffe20,0x7fffff44,
    0xffffffff,0x203fffff,0x4ffffffb,0x3fffa200,0x3e200eff,0xfffa86ff,
    0x3fffc41f,0x01bffff2,0xfff98000,0x00ffff06,0x40000000,0xf54ffffb,
    0x17dfffff,0x7ffffc00,0xffffb801,0x1ffffe25,0x2bffff50,0x803ffffa,
    0x3e1ffffd,0xfd27fc6f,0x013fe61f,0x3fffffe6,0x6c01ffff,0x7fd45fff,
    0x2ffff87f,0x0fffffa8,0x0fffff88,0x7fffc400,0xfff980ff,0x3fea00ff,
    0x3fff65ff,0x1ffffec7,0xf88bfffe,0x2a00ffff,0x8005ffff,0xf50ffffe,
    0xf9809fff,0x2a02ffff,0x0007ffff,0x07ffffdc,0x3ffffffa,0xffffffff,
    0x4c03ffff,0x0dffffff,0x7ffffcc0,0x7fcc00df,0xffffa86f,0xfffeeeee,
    0x27ffff47,0xdca88000,0xeeffffee,0x0ffffeee,0x99999993,0x99999999,
    0x98099999,0xfffffedc,0x3fa4ffff,0xefffffff,0x3ffe200b,0xfff5007f,
    0x7fffc4df,0x7fffd407,0xffffff75,0xffffffff,0x3e67ffff,0xf8a7fc5f,
    0x8037fc7f,0xfffffffc,0xfffd803f,0x43fffd44,0xff02ffff,0xff705fff,
    0xfd000bff,0x2605ffff,0x0007ffff,0xf07fffe4,0x7c4dffff,0x3fe21fff,
    0x7fd407ff,0x7dc005ff,0x3fea3fff,0xfff804ff,0x3ff204ff,0x220004ff,
    0xe84fffff,0xffffffff,0xffffffff,0xfe8803ff,0x500effff,0x09ffffff,
    0x217ffe60,0xfffffff9,0x7c7fffff,0x0002ffff,0x7ffffe44,0xffffffff,
    0x50ffffff,0xffffffff,0xffffffff,0x3aa0ffff,0xffffffff,0x264fffff,
    0xffffffff,0xfa81dfff,0xf3007fff,0x7fc4ffff,0x7fd407ff,0xffff95ff,
    0xffffffff,0x27ffffff,0x7ffc3ffa,0x7f41fffe,0xfffd000f,0x3600bfff,
    0x7fd44fff,0x2ffff87f,0x0bffff90,0x005ffffd,0x3fffffc8,0x1ffffe60,
    0xffff7000,0x3ffffea3,0x1ffff31f,0x03ffffc4,0x017fffea,0x46ffff88,
    0x804ffffa,0x206ffffd,0x002fffff,0x3ffffee0,0xcccccb80,0xccffffdc,
    0x001ccccc,0xffffffb1,0xfffffc83,0x3fea002f,0xffff985f,0xffffffff,
    0x3ffffe27,0x3fe20002,0xffffffff,0xffffffff,0xfff50fff,0xffffffff,
    0xffffffff,0xfffff90f,0xffffffff,0xffd889ff,0xffffffff,0x7fffdc4f,
    0xffff3006,0x3fffe21f,0x7fffd407,0xffffffb5,0xffffffff,0x3ee7ffff,
    0x7ffffc2f,0x00ffd80f,0xffffff70,0x3fff6007,0x43fffd44,0xf302ffff,
    0x7cc1ffff,0x54007fff,0x405fffff,0x007ffff9,0x97fffcc0,0x4ffffffd,
    0xf88ffff5,0x7d407fff,0x36005fff,0x7d41ffff,0xfa804fff,0xf980ffff,
    0x40007fff,0x005fffff,0x00ffffb8,0x3fffa000,0xfff71fff,0xa8007fff,
    0xff985fff,0xaaaaabff,0x7fffc2aa,0x3f60003f,0xfbabdfff,0xaaaaaeff,
    0x3fea2aaa,0xffffffff,0xffffffff,0x7fffe47f,0xdcccceff,0x9304ffff,
    0xffffffff,0x7ffd47ff,0xfff5007f,0x7fffc4ff,0x7fffd407,0x9bffffb5,
    0x99999999,0x3ea39999,0x7d6ffc4f,0x007fe85f,0xfffffff3,0xfffb003f,
    0x87fffa89,0x3a02ffff,0x3ee3ffff,0x26004fff,0x00efffff,0x03ffffcc,
    0x3fffe200,0xfffffff3,0x11bffeed,0xa80fffff,0x5005ffff,0xf509ffff,
    0xf1009fff,0xf707ffff,0x4000bfff,0x01fffffb,0x0ffffb80,0xfff90000,
    0xffd85fff,0x2002ffff,0xfa86fff9,0x74000fff,0x0004ffff,0x987ffff3,
    0x4c006fff,0xcccccccc,0xcccccccc,0x3fe24ccc,0xf700dfff,0x93009fff,
    0xffffffff,0x3ffffe61,0xffffb800,0x1ffffe25,0x2bffff50,0x003ffffc,
    0x3e2ffc40,0x445ff94f,0xfe8805ff,0x6fffffff,0x44fffd80,0xff87fffa,
    0x3fee02ff,0x3fffe6ff,0xffd1001f,0xf3003fff,0x0000ffff,0xff59ffff,
    0x93ffff9f,0xff889fff,0x7fd407ff,0xfe8805ff,0xffa80eff,0xffb004ff,
    0xfffd0bff,0x7f40005f,0x70005fff,0x0001ffff,0xfffffd88,0xffff701f,
    0x3e2007ff,0xfffa86ff,0x7fec001f,0xa8000eff,0xff987fff,0x0000006f,
    0x3fffea00,0x3ffee00f,0x7fd4004f,0x3fe2ffff,0xfd801fff,0x3fe24fff,
    0x7fec07ff,0xffff75ff,0xfff00009,0xff9a7fc1,0x2013fea5,0xfffffffd,
    0x7ec04fff,0x7ffd44ff,0x02ffff87,0x27ffffe2,0x006ffff9,0x0ffffff6,
    0x3ffffcc0,0x7fff4000,0xfdafffcd,0x3fffdcff,0x03ffffc4,0x017fffea,
    0x40bffff2,0x004ffffa,0x88fffff7,0x000fffff,0x3fffff70,0x3ffee000,
    0x3a20000f,0x00efffff,0x7fffffd4,0x7fff8805,0x03ffffb8,0x7ffffe40,
    0xfffb8004,0x0ffff986,0x00000000,0x80bffff9,0x004ffffc,0x3fffff98,
    0x017ffffa,0x87fffff1,0x901fffff,0x26bfffff,0x000fffff,0xff2ffe40,
    0x7c4ffec9,0x7fdc01ff,0xfffdafff,0x3ff602ff,0x3fffd44f,0x2017fffc,
    0xfcbffffc,0xf7002fff,0x400bffff,0x007ffff9,0xeefffd80,0xdfff77ff,
    0xf885fffd,0x7d407fff,0x7cc05fff,0x3ea05fff,0xf1004fff,0x7d43ffff,
    0x20006fff,0x005ffffe,0x03fffee0,0x7fffcc00,0xf3000dff,0x01dfffff,
    0x6c0ffff8,0x4006ffff,0x3ffffff9,0xfff90880,0x7ffffb0f,0x1a880000,
    0x7fffe400,0x3ffff207,0xff98004f,0x3ff21fff,0x3f602fff,0x7fc0ffff,
    0xffb83fff,0xff15ffff,0x0000bfff,0x8b325ffd,0x4ffdacc9,0x7ffffcc0,
    0xffffff14,0x13fff601,0xff0ffff5,0xff9805ff,0x7ffffeff,0xfffff300,
    0xfff9800d,0xfc80007f,0x15ffffff,0xffffffff,0x7ffff883,0x2ffffd40,
    0x03ffffa0,0x04ffffa8,0x93ffffa0,0x003ffffc,0x5fffff50,0x7ffdc000,
    0xffb8000f,0x8004ffff,0xefffffe8,0x8ffff601,0x2ffffff8,0x7fffe400,
    0x9989aeff,0xfff70fdb,0x7fffdc1f,0x001101ff,0x0077ffdc,0x3fffffb8,
    0x7ffffec4,0xd005994f,0xf88fffff,0x11cfffff,0x5fffffb5,0x5dffffd0,
    0x3fffff66,0x3ffee5ff,0x5cc01dff,0x04fff981,0x2037ff44,0x46ffffe8,
    0x05fffffa,0xfa89fffb,0xffff87ff,0xffffe802,0x8804ffff,0xcdffffff,
    0xcccccccc,0x0fffff32,0xffff7000,0x7fec5fff,0x440fffff,0x5407ffff,
    0x2205ffff,0xffffffff,0xffffffff,0x205fffff,0x3a6ffffc,0x0001ffff,
    0x00dffffd,0x0ffffb80,0x7fffe400,0x220003ff,0x2ffffffd,0x35ffff50,
    0xfffffffb,0x03d75337,0xfffffff1,0xffffffff,0x3bfffea1,0xffffffda,
    0xfdbaacff,0xffff3002,0x3fe600bf,0xfecfffff,0x4fffffff,0x799dfffb,
    0xffffffb9,0xfffff70b,0xffffffff,0x3fee0dff,0xffffffff,0x45ffffff,
    0xeffffffe,0xfffeedcd,0x7dfff902,0xfff95315,0xfffd803f,0xfffd81ff,
    0xfffd83ff,0x43fffd44,0xb802ffff,0xffffffff,0xffffd801,0xffffffff,
    0xff33ffff,0x30000fff,0x1fffffff,0x7fffffdc,0x7ffff887,0x2ffffd40,
    0xffffff10,0xffffffff,0xbfffffff,0x7ffffcc0,0x06ffff98,0xfffff500,
    0x00000005,0x7ffffec4,0xf900001f,0x207fffff,0xffffffff,0xfffffedf,
    0xf501ffff,0xffffffff,0x741fffff,0xffffffff,0xffffffcd,0x5002ffff,
    0x00ffffff,0x7fffffec,0xfedfffff,0xffffb4ff,0xffffffff,0x3fa01dff,
    0xffffffff,0x201effff,0xffffffff,0xfffecfff,0x7ffffcc5,0xffffffff,
    0x3fea02ff,0xffffffff,0x7fd400df,0xff104fff,0xfd83ffff,0x7ffd44ff,
    0x02ffff87,0xffffff88,0xfffd006f,0xffffffff,0x267fffff,0x0007ffff,
    0xffffff88,0x7ffffc45,0xffff886f,0x7fffd407,0x3fffe205,0xffffffff,
    0xffffffff,0x7fffc05f,0x4ffffbaf,0xffffd000,0x0000000d,0x7fffff4c,
    0x5c00000e,0x85ffffff,0xfffffffa,0xfffffa8e,0x2201ffff,0xfffffffd,
    0x2a0fffff,0xefffffff,0xffffffd0,0x2a005fff,0x006fffff,0x3fffffe2,
    0xffb5ffff,0x3ffff69f,0xffffffff,0x7fe400ef,0xffffffff,0xfffa804f,
    0xb4ffffff,0xfb10bfff,0xffffffff,0x8805ffff,0xfffffffc,0xfff9803f,
    0x7fd406ff,0x7fec6fff,0x3fffd44f,0x8017fffc,0x3ffffffc,0xfffffd00,
    0xffffffff,0x3fe67fff,0xf00007ff,0xb05fffff,0x10bfffff,0xa80fffff,
    0x2205ffff,0xffffffff,0xffffffff,0x405fffff,0xfddffffc,0xa8001fff,
    0x002fffff,0x3ee00000,0x000dffff,0xffff3000,0xfff303ff,0x7f4c1bff,
    0x00dfffff,0xffffeda8,0xfa82dfff,0x640dffff,0xdfffffff,0x3fffa000,
    0x7e44002f,0x22dfffff,0xfd74fffd,0xffffffff,0x6cc005bf,0xdfffffff,
    0x3ffa6002,0x3f62efff,0x3faa05ff,0xffffffff,0x2a6000ce,0x3a000abc,
    0x801fffff,0x24fffffd,0x7d44fffd,0xffff87ff,0xffff3002,0x3fa001ff,
    0xffffffff,0x3fffffff,0x00fffff3,0x3ffffa00,0xffffb80f,0xffff884f,
    0x7fffd407,0x2aaaa205,0xaaaaaaaa,0xaadffffc,0x7ffd401a,0x07ffffff,
    0xdffffd00,0x7fffcc00,0xffffffff,0x646fffff,0x00004fff,0x1fffe880,
    0x300d5440,0x80003555,0x88009aa9,0x554401a9,0x910001aa,0x440005bd,
    0x0000aaa9,0x35555553,0xa9880001,0x5440000a,0x200000aa,0x01aaaaa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4ffffa80,0xfffff800,0x8005ffff,0x03fffff9,0x3ffffe60,0xffffffff,
    0xfc86ffff,0x20000003,0x00001fd8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeed9800,0x00010005,0x00aaaa20,
    0x66666644,0xcccccccc,0x99973ccc,0x99999999,0x07999999,0x40000a88,
    0x20ccccc8,0x003cccca,0xcdb88000,0x3ea00001,0xd8004fff,0xffffffff,
    0xfffd8002,0x7fcc007f,0xffffffff,0x6fffffff,0x00000030,0x2aaaa060,
    0x2aaa200a,0x2aaa22aa,0x2aaaaaaa,0xeecb9800,0x65cc01bc,0x003cdeee,
    0x033332a0,0x00001000,0x99300000,0x00b80099,0x00000e60,0x3fb72600,
    0x6d400cef,0x006fffff,0x37bfff6e,0xfffd0002,0xfff3003f,0xffffffff,
    0x2dffffff,0xfffffffe,0xffffffff,0xffd885ff,0x10002fff,0x5c3fffff,
    0x2606ffff,0xfea80dfe,0x7fff440c,0xf500004f,0x70009fff,0xffffffff,
    0xfff98001,0x7cc003ff,0xffffffff,0xffffffff,0x00000006,0xffffe800,
    0xffffd100,0x7fffcc5f,0x07ffffff,0x7ffffdc0,0xf980cfff,0xffffffff,
    0xffb8002e,0x326000ff,0x2dfffffe,0x880ba600,0x3fe6001c,0x3bf2006f,
    0x03ff9800,0x0fc8816a,0x7fffecc0,0xa83fffff,0xfffffffe,0xfffe9806,
    0x01efffff,0x3ffffea0,0xffff9806,0xffffffff,0xfd6fffff,0xffffffff,
    0xffffffff,0xffffe88b,0xd900dfff,0x3ffe27dd,0x3ffee0ff,0xffff105f,
    0x4ffff98d,0x7ffffff4,0xffa80001,0xf88004ff,0x05ffffff,0x7ffffd80,
    0x00000000,0x00000000,0x07ffff40,0x3fffffd8,0x7fffffcc,0x2007ffff,
    0xfffffffe,0xff985fff,0xffffffff,0x7fdc000f,0x3f2000ff,0xffffffff,
    0xeffe800e,0x00cffd82,0x006fff88,0x401dfff9,0x543ffff9,0xffc83ffe,
    0x7fff405f,0xffffffff,0x7fffff42,0x7cc06fff,0xffffffff,0xf8800fff,
    0x03ffffff,0x7fffffcc,0xffffffff,0xfffd6fff,0xffffffff,0x8bffffff,
    0xfffffffd,0xffe80eff,0x1ffffe3f,0x209ffff5,0x21fffffa,0x227ffffc,
    0x4fffffff,0xfffa8000,0xffd0004f,0x8007ffff,0x03fffff9,0x00000000,
    0x00000000,0x407ffff4,0x83fffffc,0xfffffff9,0xf7007fff,0xfffbffff,
    0xdf985fff,0xfffa999a,0x7fdc003f,0x3f2000ff,0xffffffff,0x7ffe406f,
    0x7fffd43f,0x3fe224c4,0x3e62c45f,0x980effff,0x746fffff,0x7ec1ffff,
    0x3e602fff,0xffffffff,0x7ffdc5ff,0x406ffffe,0xdcdffffe,0x805fffff,
    0xfffdfffc,0x2aaa200f,0xaaaaaaaa,0x72aaaaaa,0x99999999,0xffd99999,
    0x7fffccbf,0xefffffff,0xf17fffc0,0xffa8ffff,0xfff504ff,0x7ffdc1ff,
    0x3fffe67f,0x00005fff,0x00000000,0x00000000,0x00000000,0xffe80000,
    0x7ffdc0ff,0x999104ff,0xfffffb99,0x9ffff100,0x07fffea8,0x02fffdc0,
    0x03fffee0,0xbbcdfc80,0x01fffffd,0x88bffff3,0xfe86ffff,0xa93ffe0e,
    0x7ffdc3ff,0x3fe60eff,0x7cc0efff,0x7fc46fff,0x3b200fff,0xffffb10a,
    0xf89df88f,0x3ee06fff,0x7ec42fff,0x3e600fff,0x9fffb6ff,0x00000000,
    0x4bfffb00,0xb8bffffc,0x9bffffff,0x3a1ffffd,0x7fcc7fff,0x3ffa03ff,
    0x7fffc45f,0x3ffffe23,0x000004ff,0x00000000,0x00000000,0x00000000,
    0xfffe8000,0x3fffe60f,0xff88005f,0xffa807ff,0xffff706f,0x7ffcc001,
    0x7ffdc006,0xe802000f,0xfd01ffff,0xffd81fff,0x7ffdc1ff,0x327ffd2f,
    0x7dc0ffff,0xf98effff,0x700effff,0xfa87ffff,0xa8004fff,0x2087ffff,
    0x206ffff8,0xf305fffc,0x7ec05fff,0xffff12ff,0x00000003,0x5fffd800,
    0xf317fff6,0xffffffff,0xfffe8bff,0x1ffffcc6,0x2207b710,0xfffd82dc,
    0x00000fff,0x00000000,0x00000000,0x00000000,0xffe80000,0xffff10ff,
    0x3e2000df,0xfc807fff,0xfff104ff,0x3b72a03f,0x006fffff,0x007fffdc,
    0x7fffe800,0x87ffff70,0xe83ffffb,0xfedfffff,0xfffffecf,0xfffffb84,
    0x0efffffe,0x0fffff40,0x007ffff6,0x0bffffb0,0x06ffff88,0xf80ffffa,
    0xff503fff,0x6fffc8bf,0x00000000,0xd2fffec0,0xff307fff,0xffffffff,
    0x46fffd85,0x002ffff8,0x7fec4000,0x000002ff,0x00000000,0x00000000,
    0x00000000,0xfffd0000,0xffffd11f,0x3e20001d,0xfd807fff,0x3ffa03ff,
    0x7fffe42f,0x06ffffff,0x07fffdc0,0x6d4cc400,0xf985ffff,0x7fc45fff,
    0x3fae05ff,0xffffffff,0x2e01dfff,0xffffffff,0xff8800ef,0x7ffc46ff,
    0x3fee006f,0x7c401fff,0x3fe06fff,0x3ffa03ff,0x3fffd04f,0x83ffff88,
    0xaaaaaaa8,0xaaaaaaaa,0x6c0002aa,0x3bb65fff,0xfffd301e,0xfb07ffff,
    0xfff88bff,0x0000002f,0x00001553,0x00000000,0x00000000,0x00000000,
    0x7f400000,0xfffd8fff,0x220000ff,0xc807ffff,0xff105fff,0x7ffe43ff,
    0xfffdcdef,0x666664c6,0xdffffecc,0x04cccccc,0xfffffffd,0x3ffffa07,
    0x07ffff40,0x7ffff540,0x001dffff,0xfffffff7,0x7fd4001d,0x7ffd43ff,
    0xfffb804f,0xff8804ff,0x3ffa06ff,0xffff105f,0x0bfff705,0x303fffee,
    0xffffffff,0xffffffff,0xfd8000df,0x2e0005ff,0x902dffff,0xfff0bfff,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0xffffe800,
    0x01fffffd,0x7fffc400,0x7fffb807,0x21ffff50,0x4c3ffff8,0x7fd46fff,
    0xffffffff,0xffffffff,0xffffd07f,0xfa839fff,0x7fd43fff,0x362003ff,
    0x03ffffff,0xfffffc80,0xffe8001f,0x7fff40ff,0x3fff200f,0xff1005ff,
    0x7fe40dff,0xfffb80ff,0x7fffc41f,0x17fffa00,0xfffffff3,0xffffffff,
    0x98000dff,0x80001aaa,0xeeeb8018,0x00eeed83,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffffe,0x880004ff,0xa807ffff,
    0x6c43ffff,0x3fea6fff,0x6fffa87f,0x7fffffd4,0xffffffff,0xd07fffff,
    0xffffffff,0x7fffc49f,0x77fff446,0x7ffe4400,0x2effffff,0xfffff300,
    0x54001dff,0x7d44ffff,0x3f604fff,0x2004ffff,0x206ffff8,0x8beffffa,
    0x86ffffd9,0x5404fffd,0x3e62ffff,0xffffffff,0xffffffff,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f7ffff4,0x0002ffff,0x03ffffc4,0xcfffffe8,0x21fffffd,0x913ffff9,
    0xfa8dffff,0xffffffff,0xffffffff,0xf93007ff,0x7d41ffff,0x7fd44fff,
    0xff9304ff,0xffffffff,0x2017ffff,0xfffffff9,0xf8800eff,0x7fc46fff,
    0xffb106ff,0x88005fff,0x6c06ffff,0xffffffff,0x7d41ffff,0xfd800fff,
    0x3bba26ff,0xeeeeeeee,0x05eeeeee,0x66665400,0x666540cc,0xf8000ccc,
    0xffffffff,0x777774ff,0x77777777,0x77777777,0x00000377,0x00000000,
    0x00000000,0x00000000,0xfd000000,0xfffd3fff,0x440001ff,0x5007ffff,
    0xffffffff,0xff889fff,0xffffffff,0x6664c6ff,0xfffecccc,0xccccccdf,
    0x7fff4004,0x7fffec2f,0x17fffe41,0x5ffffff4,0xfffdcffe,0xfff984ff,
    0xfffffeff,0x7ffec00e,0x7fffec1f,0xffffe881,0x1aaaaabf,0x3ffffff2,
    0x44ffffff,0xffffffe8,0xfe83ffff,0xff3003ff,0x000007ff,0x7ffd4000,
    0xff701eff,0x8001dfff,0xffffffff,0xffff4fff,0xffffffff,0xffffffff,
    0x00009fff,0x00000000,0x00000000,0x00000000,0xd0000000,0xff31ffff,
    0x0001dfff,0x01ffffe2,0xffffffb8,0xff703fff,0xfd9fffff,0xffb800df,
    0x100000ff,0x885fffff,0x220effff,0x540ffffe,0xffd1efff,0x03fffee9,
    0x1dfffff3,0x1dfffff7,0x0ffffee0,0x209ffff5,0xfffffffe,0x324fffff,
    0xffffffff,0xf904ffff,0x3dffffff,0x00000000,0x54000000,0x00dfffff,
    0x77ffffcc,0x3fffe000,0x4fffffff,0xffffffff,0xffffffff,0x9fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffd000,0x3ffffee1,
    0xfff10005,0xec8800ff,0x401cefff,0x72deffda,0xfb8009dd,0x3a000fff,
    0xffccaccd,0xfb80ffff,0x7fd44fff,0x44fd85ff,0x3fa64fff,0x7ffffcc3,
    0x3fffee0e,0x7ffcc0ef,0x7fffc46f,0xfffff00e,0xffffffff,0x7ffffe49,
    0x4fffffff,0x2af2ea20,0x00000001,0x40000000,0x03fffffa,0x3ffff620,
    0xdddd000e,0x7ddddddd,0x3ffffffe,0xffffffff,0xffffffff,0x00000004,
    0x00000000,0x00000000,0x00000000,0xfffe8000,0x3ffff60f,0xff88003f,
    0x040007ff,0x00000000,0x001ffff7,0x7ffffffc,0x203fffff,0x642ffffe,
    0x14c3ffff,0x0e17ffe2,0x1dfffff3,0xdfffff70,0x40ffffe8,0x202ffffd,
    0xffffffff,0x2e4fffff,0xeeeeeeee,0x0003eeee,0x00000000,0x54000000,
    0x001effff,0x1dffff70,0x33200000,0xcccccccc,0xcccccccc,0x002ccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20ffffe8,0x2fffffe8,
    0x7fffc400,0x00000007,0x3ee00000,0x3e000fff,0xffffffff,0x7fcc02ff,
    0x7ff443ff,0xfff8802e,0xfffe8806,0x3ffee00e,0x1fffdc2f,0x013fff22,
    0xdddddddb,0x007ddddd,0x00000000,0x00000000,0x7774c000,0x4c0000ce,
    0x0005eeed,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffd000,0xfffff981,0x3fe2000f,0xcc9807ff,0xcccccccc,0x33264ccc,
    0xcccccccc,0x2e004ccc,0x2000ffff,0xeefffffe,0x2ff2002d,0x4005d300,
    0x1007fff9,0xf7001dfd,0x102dc05f,0x000001f9,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbbbbb700,0x3bbbbbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f400000,0xffb80fff,0x7fc0efff,0xffffffff,
    0xffffffff,0xffffff71,0xffffffff,0x3ffffee1,0xffffffff,0xfff7000f,
    0x0000001f,0x80000080,0x2002aaa8,0x0ae000c8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffb000,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x74000000,0xfb00ffff,0xff8bffff,
    0xffffffff,0xffffffff,0xffffff71,0xffffffff,0x3ffffee1,0xffffffff,
    0xfff7000f,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffff600,0xffffffff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x3a000000,0xd100ffff,0x7c9fffff,
    0xffffffff,0xffffffff,0xfffff71f,0xffffffff,0x3fffee1f,0xffffffff,
    0xdd5000ff,0x000001dd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fff6000,0xffffffff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x20000000,0x200ffffe,0x2ffffff9,
    0xffffffff,0xffffffff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xeeeeeeec,0x001eeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_43_latin_ext_x[560]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,8,4,2,2,4,5,0,0,2,1,1,3,3,0,1,3,3,2,
4,0,1,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,3,2,4,4,0,2,1,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,2,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,2,3,3,0,0,4,
3,-6,-3,3,1,0,3,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_43_latin_ext_y[560]={ 31,1,1,3,-1,0,1,1,-1,-1,1,9,23,17,
23,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,0,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,35,1,9,1,9,1,9,0,9,1,0,
0,1,1,9,9,9,9,9,9,9,2,9,9,9,9,9,9,0,-4,0,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,31,9,-1,3,3,3,
-4,0,0,3,3,10,17,17,0,2,0,5,0,0,1,9,1,15,31,1,3,10,1,1,0,9,-5,-5,-5,-5,
-5,-6,3,3,-5,-5,-5,-5,-5,-5,-5,-5,3,-5,-5,-5,-5,-5,-5,10,-1,-5,-5,-5,-5,-5,3,0,1,1,
1,0,0,-2,9,9,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,8,5,1,1,1,0,1,1,0,
-4,2,-5,1,3,9,-5,1,-5,1,-5,0,-5,1,-5,-1,3,1,-4,2,-5,1,-5,0,3,9,-5,1,-5,1,
-5,1,-5,0,3,0,-5,-6,3,1,-5,0,-4,2,-5,1,3,0,-5,9,3,0,-5,1,3,1,9,-5,-6,3,
1,-1,-1,3,1,3,1,-5,1,3,9,-5,1,-2,3,9,-4,2,-5,1,-5,1,3,9,-5,1,3,9,-5,1,
-5,1,-5,1,3,9,-5,1,3,2,-5,-1,3,2,-5,0,-4,2,-5,1,-6,-2,-5,1,3,9,-5,1,-5,1,
-5,-5,1,-5,0,-5,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-8,-5,1,-5,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,9,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_43_latin_ext_w[560]={ 0,8,15,23,21,24,25,7,14,15,19,22,12,14,
9,21,22,20,20,20,23,19,21,20,20,21,8,13,18,19,18,16,24,24,21,21,22,18,18,22,21,18,17,21,
17,23,21,23,20,24,21,20,21,21,24,23,24,24,20,12,21,12,21,24,15,19,21,19,20,20,23,22,19,19,
17,20,19,22,19,22,21,20,19,18,20,19,24,24,24,24,18,17,6,17,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,18,21,23,23,
6,22,20,24,16,19,19,14,22,18,17,20,15,15,22,21,21,9,7,15,16,20,24,24,24,15,24,24,24,24,
24,24,24,21,21,21,21,21,21,21,21,21,23,22,23,23,23,23,23,20,23,22,22,22,22,24,20,21,21,22,
21,21,21,21,24,19,22,22,22,22,22,23,22,22,21,21,23,23,23,23,23,22,22,21,22,21,21,24,21,24,
24,21,24,21,24,20,22,23,21,21,21,21,21,21,24,27,23,23,21,22,21,22,21,22,19,20,21,22,22,23,
22,23,22,23,22,23,22,21,24,21,21,22,21,22,21,22,19,20,21,19,20,20,20,20,21,20,20,21,22,17,
19,28,27,21,27,22,19,22,22,21,19,22,21,22,21,19,23,23,23,23,25,25,24,24,24,22,21,19,24,22,
22,22,22,21,20,18,22,21,21,20,22,28,21,21,22,21,22,21,22,21,22,21,25,25,21,20,23,24,24,24,
24,22,22,22,21,22,21,17,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,24,22,24,24,28,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,20,18,21,20,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_bold_43_latin_ext_h[560]={ 0,31,11,28,38,32,31,11,41,41,19,21,16,5,
9,35,29,28,28,29,28,29,29,28,29,28,23,30,25,13,25,31,40,28,28,29,28,28,28,29,28,28,29,28,
28,28,28,29,28,36,28,29,28,29,28,28,28,28,28,40,35,40,14,5,9,23,31,23,31,23,31,31,30,31,
40,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,40,44,40,11,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,38,28,28,28,
44,36,10,29,21,19,11,5,22,8,16,26,18,19,9,31,35,9,7,17,21,19,30,30,31,31,36,36,36,36,
36,37,28,35,36,36,36,36,36,36,36,36,28,36,37,37,37,37,37,19,37,37,37,37,37,36,28,32,31,31,
31,32,32,34,23,29,31,31,31,32,30,30,30,31,31,31,31,31,31,32,32,23,31,31,31,31,32,39,39,40,
35,30,36,31,37,31,37,31,37,31,37,32,37,31,36,33,28,31,35,30,36,31,36,32,37,31,36,31,37,39,
37,39,37,40,37,40,36,37,28,30,36,31,35,29,36,30,37,40,36,22,29,40,37,39,37,39,22,36,37,37,
39,32,32,28,30,28,30,36,30,37,31,36,30,33,37,31,36,30,37,31,37,31,29,23,36,30,37,31,36,30,
37,31,37,31,35,29,37,31,37,38,36,33,28,30,37,32,36,30,37,31,38,34,37,31,37,31,36,30,36,39,
36,36,30,36,31,36,30,31,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,36,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,41,40,36,31,41,37,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,37,31,37,38,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__consolas_bold_43_latin_ext_s[560]={ 510,501,462,284,69,123,369,503,85,40,264,
205,498,476,499,182,149,375,491,65,1,1,476,50,128,240,503,498,111,398,92,
262,209,107,132,43,176,66,47,86,199,221,458,262,494,308,154,434,354,165,332,
388,85,21,25,467,442,417,396,123,204,136,376,476,441,223,44,155,1,305,395,
324,347,155,276,367,339,374,486,262,171,115,441,243,303,285,397,461,349,92,422,
167,1,149,438,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,510,500,91,
378,470,23,8,407,478,409,188,244,418,476,326,457,358,71,326,228,418,159,160,
498,501,342,171,305,1,473,181,496,357,309,261,154,45,140,353,48,1,481,387,
430,132,201,179,110,261,87,40,116,188,92,453,284,418,330,307,284,395,95,400,
350,240,217,195,439,395,248,175,218,92,69,46,372,189,406,122,441,419,397,373,
349,325,46,99,200,235,1,23,258,489,410,388,294,113,145,23,280,385,214,362,
464,133,279,176,417,224,137,338,270,446,488,138,71,474,302,1,1,410,193,452,
148,165,435,1,1,24,185,47,319,215,238,421,49,120,301,91,238,23,316,375,
234,434,151,172,255,1,459,442,480,130,223,486,22,368,70,461,285,94,330,430,
64,450,464,117,245,212,327,353,175,291,382,260,226,212,462,193,130,409,26,70,
206,190,359,477,250,430,294,70,109,339,22,291,48,268,298,1,281,246,24,315,
259,110,347,25,226,313,66,269,273,363,234,456,343,70,142,324,238,488,286,167,
444,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,334,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,15,100,382,419,56,198,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,155,136,291,48,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307, };
static unsigned short stb__consolas_bold_43_latin_ext_t[560]={ 1,1,446,394,46,236,269,148,1,1,447,
447,333,464,446,199,364,394,394,364,423,364,333,423,364,394,124,301,423,446,423,
269,1,394,394,364,394,394,394,364,394,394,333,394,364,394,394,333,394,162,394,
333,394,364,423,394,394,394,394,1,199,1,446,458,458,423,301,423,301,423,269,
269,333,269,1,333,301,423,423,423,236,269,423,423,333,423,423,423,423,301,423,
1,1,1,446,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,1,46,46,
364,364,394,1,162,446,333,447,447,446,464,423,458,446,423,446,447,458,301,199,
350,33,446,447,447,333,301,301,162,162,162,162,124,162,86,364,199,162,124,124,
162,124,124,124,124,364,124,124,86,86,86,46,447,86,86,86,86,86,162,364,
199,269,269,269,199,199,199,423,364,269,269,269,199,333,301,333,236,236,236,236,
236,236,236,236,423,236,269,269,236,199,1,1,1,199,333,199,236,46,236,46,
236,46,269,46,199,46,301,124,199,364,236,199,333,162,236,199,236,46,236,162,
236,86,1,86,46,86,1,86,1,162,86,364,333,162,269,199,364,162,301,86,
1,124,447,364,1,124,1,86,1,447,124,86,124,1,236,199,364,333,364,301,
124,301,86,301,124,333,199,86,269,124,301,86,301,86,269,364,423,124,333,86,
301,162,301,46,301,46,301,199,364,46,301,46,46,124,199,394,333,46,236,124,
333,46,269,46,199,46,301,46,301,124,333,124,1,162,162,333,162,269,162,333,
269,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,162,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,1,1,162,269,1,46,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,46,269,46,46,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364, };
static unsigned short stb__consolas_bold_43_latin_ext_a[560]={ 378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_43_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_43_latin_ext_s[i] + stb__consolas_bold_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_43_latin_ext_t[i] + stb__consolas_bold_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_43_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_43_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_43_latin_ext_x[i] + stb__consolas_bold_43_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_43_latin_ext_y[i] + stb__consolas_bold_43_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_43_latin_ext_s[i] + stb__consolas_bold_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_43_latin_ext_t[i] + stb__consolas_bold_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_43_latin_ext_x[i] + stb__consolas_bold_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_43_latin_ext_y[i] + stb__consolas_bold_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_43_latin_ext_LINE_SPACING
#endif

