// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT        559
#define STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_47_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_47_latin_ext_LINE_SPACING          31

static unsigned int stb__consolas_bold_47_latin_ext_pixels[]={
    0x2a599995,0x0002cccc,0x777776c4,0x0000000c,0x4c000000,0x02aaaaaa,
    0x50000000,0x55555555,0x30000555,0xc9800013,0x088004cc,0x00009800,
    0x55000153,0x00000135,0x00000440,0x22aa9880,0xaaaaaaaa,0x30002aaa,
    0x0159dd97,0x55544000,0x1000000a,0x00015555,0x06aaaa00,0x05555550,
    0xdd980000,0x00736e03,0x40d554c0,0x2201aaa9,0x00aaaaaa,0x93ffffc8,
    0x0007ffff,0x7fffff44,0x001f9804,0x003f3000,0x3fffe600,0x00000eff,
    0x3ffffa20,0x3fffe2ff,0xffffffff,0xfff30000,0x7e40005f,0x3a6006ff,
    0xe9801eff,0xd1000eff,0xf8007fff,0x00cfffff,0xffd30000,0x1000001d,
    0x4dfffffb,0xffffffff,0x4c007fff,0xfffffffe,0x440000ef,0x00effffe,
    0x7ff44000,0x00000eff,0x17ffffe4,0x0bffffd0,0x7fd40000,0xfffd84ff,
    0xffb8001f,0x2ffff84f,0x3ffffe60,0xfffc800f,0x7ffff93f,0x3ffe6000,
    0xf9801eff,0x400001ff,0x0001fff9,0x7fffffcc,0x44000004,0x0dfffffe,
    0x7ffffffc,0x000fffff,0xffffff88,0xffff0001,0x3ffe2009,0x3e200fff,
    0xd006ffff,0x005fffff,0x7ffffffc,0x4400003f,0x006fffff,0x7fffdc00,
    0x3ffe6fff,0xffffffff,0x3ffee007,0xffffffff,0xfd10000e,0x01dfffff,
    0x3ffa2000,0x000effff,0xfffff900,0x3ffa03ff,0x000005ff,0x83fffffa,
    0x04fffff9,0x2ffffa80,0x01ffff91,0x7fffffcc,0xffffc800,0x07ffff93,
    0xfffff300,0x3ffe6009,0x300002ff,0x003fffff,0x3ffffe60,0x4000001f,
    0x3fffffe8,0xfffffff0,0x001fffff,0xffffff70,0xfff50009,0x3fee005f,
    0x2e02ffff,0x02ffffff,0x7fffffcc,0x3fffe005,0x002fffff,0x3fffee00,
    0x900002ff,0xffffffff,0x7fffffcd,0x007fffff,0xfffffffb,0x1dffffff,
    0xfffe8800,0x005fffff,0xffffe880,0x0005ffff,0xffffffb8,0xffe81fff,
    0x000005ff,0x87fffffe,0x06fffffa,0xfffffd00,0x80bfffff,0x0ffffff9,
    0x3ffffc80,0x007ffff9,0x1deeed88,0x3fffea00,0x4c0002ff,0x01ffffff,
    0xfffff980,0x3fffe20d,0x7f440002,0x3e01efff,0xffffffff,0xb8000fff,
    0x04ffffff,0x0ffffd80,0xfffff700,0x7ffe407f,0x7d403fff,0x006fffff,
    0x3fffffba,0x00000fff,0x7ffffff9,0xfff10000,0x4bdfffff,0xffffffff,
    0xfc807fff,0xa8adffff,0x06ffffec,0x4ffffec0,0x005ffffa,0x4ffffec0,
    0x005ffffa,0x33fffee0,0x41ffffe8,0x005ffffe,0x3fff6000,0x7fffc47f,
    0xff50004f,0xffffffff,0xffff8801,0xfff9007f,0x3ffff27f,0x09988003,
    0xffff7000,0x260003ff,0x01ffffff,0xeeeed880,0x07fffb83,0x7fff4400,
    0xf10000df,0x0001ffff,0x7ffffff5,0xffff8800,0x3ffea007,0x3ee02fff,
    0x401fffff,0x4ffffff8,0xfffb1000,0x200009ff,0x1ffffffa,0xfffd8000,
    0xfff00cff,0x2a0001ff,0x202fffff,0x002ffffe,0x543ffffb,0x0005ffff,
    0x543ffffb,0x8005ffff,0x224ffffa,0x3a0ffffe,0x0005ffff,0x3fffa200,
    0x0efffb82,0x3ffea000,0x801effff,0x07fffff8,0x27ffff90,0x003ffffc,
    0x37ffffee,0xfffb8001,0xe8000fff,0x002fffff,0xfffd8000,0x4cc40005,
    0x44000199,0x000fffff,0x0dffffd0,0xbffff700,0xffffe800,0xffffe805,
    0xffff9005,0xfd80001f,0x00006fff,0x017ffff6,0x7ffffc00,0x7ffffc04,
    0xfff88000,0x7fc401ff,0xcc9805ff,0xccca81cc,0x664c001c,0xccca81cc,
    0x3322001c,0xccc883cc,0x3ffffa3c,0xa8000005,0x00aa600a,0x7765c400,
    0x3fe2002c,0xf9007fff,0x3ff27fff,0xffb003ff,0x03ffffff,0xfffff900,
    0xfffc800b,0x000002ff,0x02ffff88,0x15dd4400,0x7ffc4000,0x320000ff,
    0x88000cee,0x80009999,0x91003eeb,0xeb8007dd,0x880000de,0x0007ffff,
    0x001eedc0,0x7ffff880,0x0fffff80,0xffffe800,0xffff5002,0x00000001,
    0x00000000,0x7ff40000,0x000005ff,0x00000000,0x3fe20000,0xf9007fff,
    0x3ff27fff,0xffa803ff,0x6ffeb9cf,0xffffb000,0x3fe6005f,0x00004fff,
    0xff755530,0x540001ff,0x02efffff,0x3fffe200,0x0000000f,0x00000000,
    0x00000000,0xfffff800,0x00000000,0x7fffcc00,0xfffff805,0x7ffcc000,
    0x7ffc005f,0x0000003f,0x00000000,0x3fa00000,0x00005fff,0x00000000,
    0x7fc00000,0xf9006fff,0x3ff27fff,0xffc803ff,0x007ffd46,0x7ffffc40,
    0x7ff4400f,0x200006ff,0xfffffec8,0x0005ffff,0x3fffffea,0xf10001ff,
    0x0001ffff,0x00000000,0x00000000,0xfb000000,0x00003fff,0xfa800000,
    0xff804fff,0x6c000fff,0x4000ffff,0x2a26fffd,0x8002aaaa,0x00aaaaa9,
    0x9bb97510,0x55555557,0x55553015,0x55555555,0x7f415555,0x65445fff,
    0x54400acd,0x8002aaaa,0x00aaaaa9,0x9bb97510,0x55555557,0x7ffffc15,
    0xffff9006,0x0fffff27,0xf51bff20,0x2e0001ff,0x404fffff,0x02fffffc,
    0xffff3000,0xffffffff,0x3fe2000b,0x6fffdcff,0xffff1000,0x55554c1f,
    0xaaaaaaaa,0x1000aaaa,0x579bb975,0x15555555,0x01555554,0x20d55554,
    0xaaaaaaaa,0x0000aaaa,0x02ffffd8,0x6e5d4400,0xaaaaabcd,0x7dc00aaa,
    0xff804fff,0x22000fff,0x8003ffff,0x3e27fffb,0x000fffff,0x07fffff4,
    0x7ffffdc0,0xffffffff,0xffb82fff,0xffffffff,0x21ffffff,0xb14ffffe,
    0xbfffffff,0x7ffffc40,0x7ff4000f,0xfb800fff,0xffffffff,0x2fffffff,
    0x01bffffe,0xc9ffffe4,0xa803ffff,0xffcbdfff,0x7f40006f,0xf100ffff,
    0x000bffff,0x3ffffee0,0xffffffff,0x7d4000ef,0x3ffea1ff,0xfff88001,
    0x3ffee0ff,0xffffffff,0x801fffff,0xfffffffb,0xffffffff,0x3ffffa2f,
    0xffffe805,0x7fffff45,0x03ffffff,0xffffd800,0x3fee0002,0xffffffff,
    0x02ffffff,0x027fffdc,0x007ffffc,0x81ffff90,0xdb9bcdb9,0x20ffff9c,
    0x02fffffd,0x3ffffe60,0x7fffcc04,0xffffffff,0x82ffffff,0xfffffffb,
    0xffffffff,0x3ffffa1f,0xfffffe8c,0xb00effff,0x005fffff,0x27ffffcc,
    0x3ffffe60,0xffffffff,0x3e2fffff,0x9006ffff,0x3f27ffff,0xf9003fff,
    0x1fffffff,0xfff98000,0xfff703ff,0xb00001ff,0xffffffff,0xffffffff,
    0x6ffb800d,0x8002fff8,0x20fffff8,0xfffffffb,0xffffffff,0x3ffe601f,
    0xffffffff,0x2fffffff,0x017ffffa,0xd17ffffa,0xffffffff,0x00007fff,
    0x005ffffb,0xffffff30,0xffffffff,0xb805ffff,0xf804ffff,0x2000ffff,
    0x3626ffff,0xffffffff,0x21ffff8c,0x06fffffa,0x3fffff20,0x3fffa201,
    0xffffffff,0x2fffffff,0xffffffb8,0xffffffff,0x3fffa1ff,0xfffffedf,
    0x06ffffff,0x0dfffff5,0x7ffffe40,0x3fffa201,0xffffffff,0x2fffffff,
    0x017ffffa,0xc9ffffe4,0x2003ffff,0x0cffffea,0xfffb0000,0x3fffa0df,
    0xf980005f,0xbdffffff,0xfffffffb,0x3fea003f,0x07ffe60f,0x3fffe200,
    0x3fffee0f,0xffffffff,0xd101ffff,0xffffffff,0xffffffff,0x7fff45ff,
    0xfffe805f,0x7ffff45f,0x3fffffff,0xfffd8000,0x7f44002f,0xffffffff,
    0xffffffff,0x7ffdc02f,0xffff804f,0xfff3000f,0x3fffa27f,0x8bffffff,
    0x7fc1ffff,0xf000ffff,0xd80dffff,0x9acfffff,0xffffffc9,0xffb81eee,
    0xffffffff,0x21ffffff,0xfffffffe,0xffffffff,0xfff02fff,0x3e001fff,
    0x6c06ffff,0x9acfffff,0xffffffc9,0x3ffa1eee,0xff9005ff,0x3fff27ff,
    0x0130003f,0xfff70000,0xfff983ff,0xd80002ff,0x545fffff,0xffffffff,
    0xfff1000f,0x0fffd75d,0x3fffe200,0x3fffee0f,0xffffffff,0xfb01ffff,
    0x3359ffff,0xdffffff9,0x7fff43dd,0xfffe805f,0x7ffff45f,0x3fffffff,
    0xfffc8000,0x7fec002f,0xc99acfff,0xeeffffff,0x7ffdc01e,0xffff803f,
    0xfff5000f,0x3ffff21f,0xf2ffffff,0xffc85fff,0xfa803fff,0x2203ffff,
    0x303fffff,0x001fffff,0x7fffd400,0x3ffffa1f,0xd31dffff,0x20dfffff,
    0x03fffffc,0x3fffffa8,0x3ffffe20,0xfffff303,0x3ffffa01,0xffff9005,
    0x0fffff27,0x7ffffc40,0x100007ff,0xc89fffff,0x0007ffff,0x5fffff98,
    0xffffffc8,0x32004fff,0xffffffff,0xfff10002,0x2a0001ff,0x881fffff,
    0x303fffff,0x201fffff,0x805ffffe,0x005ffffe,0x07fffff3,0xffff9000,
    0x7ffc4007,0xfff303ff,0x7e4001ff,0xff802fff,0xf9000fff,0x3ffe2dff,
    0xffffdcff,0x887ffff2,0x806fffff,0x00fffffd,0x01bfffea,0x007ffffb,
    0x7fffd400,0x3ffffa1f,0xfe881fff,0xf882ffff,0xd806ffff,0x200fffff,
    0x406ffffa,0xd03ffffd,0x2009ffff,0xf93ffffc,0x2e007fff,0xffffffff,
    0xffb00001,0xffff8fff,0xfe80004f,0xfff07fff,0xffffff9f,0xffffc800,
    0x220003ff,0x000fffff,0x3fffff50,0x0dffff50,0x03ffffd8,0x00bffffd,
    0x00bffffd,0x0fffffe6,0x3ffee000,0x3fea006f,0x7fec06ff,0x3fa003ff,
    0xff802fff,0xfd000fff,0x3ffee9ff,0x3ffff72f,0x3613fffa,0x201fffff,
    0x05fffff8,0x027fffe4,0x017fffee,0xffffa800,0x3ffffa1f,0x3fee02ff,
    0xffb04fff,0x7c403fff,0x6405ffff,0x5c04ffff,0xfb05ffff,0x32009fff,
    0xff93ffff,0x3f6007ff,0x4fffffff,0xfff70000,0x3ffe21ff,0x4c0002ff,
    0x984fffff,0xffd9ffff,0x4c001fff,0x0000cddc,0x07ffffc4,0xffffa800,
    0xffffc81f,0x7fffdc04,0xbffffd05,0xbffffd00,0x3fffe600,0xf880003f,
    0x9003ffff,0xb809ffff,0x9005ffff,0x001fffff,0x001fffff,0x367ffff1,
    0x3ff27fff,0x9fffd0ff,0x9fffff50,0x7ffffdc0,0x7fffec02,0x7fffd403,
    0x3ea00005,0x3fa1ffff,0x4403ffff,0x505fffff,0x409fffff,0x02fffffb,
    0x01ffffec,0x417fffea,0x004ffffd,0x327ffff9,0xf003ffff,0xffffffff,
    0x3e60000d,0xff31ffff,0x80003fff,0x82fffffb,0xff56fffc,0x00007fff,
    0xfff10000,0x2a0001ff,0xd81fffff,0x5403ffff,0xfd05ffff,0xfd00bfff,
    0x2600bfff,0x003fffff,0xfffffb00,0xfb01557d,0xfa807fff,0xaa985fff,
    0x4fffffeb,0x1fffff00,0x3ffff500,0xfc93fffe,0x3fffa7ff,0xffffff03,
    0x37ffff40,0x37fffe40,0x13ffff20,0xfffa8000,0x3fffa1ff,0xffff006f,
    0x7fffc0df,0x3fffa07f,0xfffc806f,0x7ffe406f,0xffffb04f,0x3fff2009,
    0x3555533f,0xfffff500,0x001fffff,0xfffff100,0x3ffffea5,0x7fec0000,
    0xfffd07ff,0x3ffffe29,0xdcba9804,0x000abcde,0x1fffff10,0x3ffea000,
    0xfffc81ff,0x7ffe406f,0xffffd04f,0xffffd00b,0x3ffe600b,0x100003ff,
    0xfffffffb,0xffff905f,0xffffc80d,0xfffffb84,0x3e005fff,0xa800ffff,
    0xff88ffff,0x3fff63ff,0x40ffffa7,0x82fffffc,0x03fffff8,0x0fffffa8,
    0x0bffffe0,0xfffa8000,0x3fffa1ff,0xfffd005f,0x7ffe40ff,0xfff882ff,
    0xffa803ff,0x3fe00fff,0xff902fff,0x3f2007ff,0x40003fff,0xfffffffc,
    0x00003fff,0x2e7fffff,0x0007ffff,0x86ffffe8,0x3e1ffff9,0x9305ffff,
    0xfffffffd,0x003bffff,0x0fffff88,0xffff5000,0xffff503f,0x7fffc01f,
    0xffffd02f,0xffffd00b,0x3ffe600b,0x400003ff,0xffffffda,0xfffffa82,
    0x3ffffe00,0xfffffb82,0x7fc002cf,0xfb800fff,0xffff57ff,0xf37fff45,
    0x3e205fff,0xfb85ffff,0x8800ffff,0x41dfffff,0x0fffffd8,0x3fea0000,
    0x3ffa1fff,0xffb005ff,0x3e201fff,0xfb85ffff,0x8800ffff,0x41dfffff,
    0x0fffffd8,0x07ffff90,0x0fffff20,0xfffff000,0x0bfffff7,0x3fffa000,
    0xdffff94f,0xffff0000,0xffff70df,0x06fffff8,0xfffffff9,0xffffffff,
    0x7ffc4007,0xf50000ff,0xf103ffff,0x883bffff,0x00fffffd,0x00bffffd,
    0x00bffffd,0x0fffffe6,0xffd98000,0x882fffff,0x41dfffff,0x0fffffd8,
    0xffffffb8,0x3fe000cf,0xfb800fff,0xffff57ff,0xf2ffff43,0x7ec03fff,
    0x7f40ffff,0x2e005fff,0xcfffffff,0x3ffffffd,0x7fd40000,0x3ffa1fff,
    0xffb005ff,0x7ec01fff,0x7f40ffff,0x2e005fff,0xcfffffff,0x3ffffffd,
    0x0fffff20,0x1ffffe40,0xffff3000,0xfffffb1f,0xffd00001,0x3fff69ff,
    0xff80005f,0xffe85fff,0x7ffff44f,0xfffff906,0xffffffff,0x22003fff,
    0x000fffff,0x3fffff50,0x3ffffee0,0xffffdcff,0x3ffa03ff,0xffe805ff,
    0xff3005ff,0x00007fff,0x3fffffe6,0xff702fff,0xfb9fffff,0x207fffff,
    0xfffffffb,0xfff000ef,0xff9001ff,0x3fffeedf,0x453fffe0,0x2a01ffff,
    0x263fffff,0x002fffff,0x7ffffffc,0x5fffffff,0xffa80000,0x3ffa1fff,
    0xffd005ff,0xffa80dff,0x3fe63fff,0x7c002fff,0xffffffff,0x405fffff,
    0x002ffffc,0x007ffff9,0xb7fffdc0,0x02fffffb,0xffffe800,0x0dffffb4,
    0xffff8800,0x7fffc44f,0x3fffff42,0xcdefffc8,0xffffdcab,0xff1006ff,
    0x20001fff,0x01fffffa,0x3ffffffe,0x5fffffff,0x2fffff40,0x2fffff40,
    0xfffff980,0xffd00003,0x20037fff,0xffffffff,0x05ffffff,0xffffc988,
    0xffff005f,0xfff9001f,0x43fffeed,0xf34ffff8,0xff801fff,0x3ff26fff,
    0x7e4007ff,0xffffffff,0x000cffff,0xffffa800,0x3ffffa1f,0xfffff005,
    0xfffff00b,0x3ffffe4d,0x3ffff200,0xffffffff,0x665400cf,0xff9001cc,
    0x740007ff,0xff34ffff,0x00009fff,0x327ffffd,0x0007ffff,0x27ffffc4,
    0x3a1fffee,0xb907ffff,0xfff98017,0xf8800fff,0x0000ffff,0x03fffff5,
    0x3ffffff2,0xcfffffff,0x7ffff400,0xffffe805,0xffff3005,0xf300007f,
    0x4001ffff,0xfffffffc,0x0cffffff,0x7fffd400,0xffff800f,0xfffd800f,
    0x21ffff75,0xf53ffff8,0xff900dff,0x3ffe1fff,0x3e6004ff,0xfffddfff,
    0x0000ceff,0x3fffea00,0x3ffffa1f,0xffff8805,0xfffc804f,0xfffff0ff,
    0x7ffcc009,0xfffffddf,0x000000ce,0x03ffffc8,0xfffff100,0x3fffff43,
    0x7fffc000,0xfffff72f,0xfff80001,0x7ffec5ff,0x6ffffe85,0xfff50000,
    0xff1005ff,0x20001fff,0x81fffffa,0xfddffff9,0x00ceffff,0x0bffffd0,
    0x0bffffd0,0x3ffffe60,0xffb80003,0x3e6004ff,0xfffddfff,0x0000ceff,
    0x00bffffa,0x003ffffe,0x7dd7fff6,0xfff50fff,0x13fff25f,0x3ffffe60,
    0x1fffffab,0x3ffff600,0x00002620,0xffffa800,0x3ffffa1f,0xffffc805,
    0xfff9802f,0xffffabff,0x3ff6001f,0x002620ff,0x3f200000,0x50003fff,
    0xfc8fffff,0x0001ffff,0x47ffffe2,0x00fffffa,0x7ffffc00,0x0bfffe26,
    0x01bffffe,0x7fffc400,0xfff8803f,0xf50000ff,0xfb03ffff,0x04c41fff,
    0xffffe800,0xffffe805,0xffff3005,0xf900007f,0x6c007fff,0x2620ffff,
    0x3f200000,0xff803fff,0xfc800fff,0xffff56ff,0x4bffffa3,0xd002ffff,
    0xffbdffff,0x7c400dff,0x00006fff,0xfffa8000,0x3fffa1ff,0x7ffc405f,
    0xfd001fff,0xfffbdfff,0x7fc400df,0x800006ff,0x32001bc9,0x3313ffff,
    0x7fec0133,0x7ffd45ff,0x260003ff,0xf30fffff,0x0005ffff,0x26ffffe8,
    0xf80ffffa,0x0005ffff,0x13ffffe0,0x3ffffe20,0xfff50000,0xfff883ff,
    0x7400006f,0xe805ffff,0x3005ffff,0x007fffff,0x5ffffb00,0x3fffe200,
    0xb8000006,0xf803ffff,0xb800ffff,0xfff37fff,0xfffffbbf,0x01ffffbb,
    0x3ffffea0,0x002fffff,0x0bffffe2,0x50000000,0x743fffff,0x2205ffff,
    0x04fffffe,0x3ffffea0,0x002fffff,0x0bffffe2,0xfffc8000,0xfff9003f,
    0x3ffff27f,0x3ffffe03,0x7ffffc43,0x3fee0006,0x3ffe27ff,0x740004ff,
    0x3f67ffff,0xfff885ff,0x310003ff,0xfffff333,0xffff1009,0x3ea0001f,
    0x7c41ffff,0x0002ffff,0x17ffffa0,0x17ffffa0,0x7ffffcc0,0xffd80003,
    0xff1002ff,0x00005fff,0x4ffffb80,0x0fffff80,0x27fffb80,0xffffffff,
    0xffffffff,0x7fffc004,0x007fffff,0xdffffff8,0x09aaabcc,0x3ea00000,
    0x3fa1ffff,0x261affff,0x6ffffffb,0xfffff800,0x8007ffff,0xcdffffff,
    0x009aaabc,0xffffff98,0xffffc800,0x07ffff93,0x03ffffe6,0x03fffffa,
    0x7ffff400,0x3fffff45,0x3fff2000,0x7ffff1ff,0x5fffff70,0xffdd7100,
    0xffffffff,0xfff1009f,0x2a0001ff,0xf81fffff,0xccdfffff,0x0009aaab,
    0x00bffffd,0x4cbffffd,0xfcaaaaaa,0xaaadffff,0xfb000aaa,0x7c005fff,
    0xccdfffff,0x0009aaab,0x13fffee0,0x03ffffe0,0x43fffea0,0xdffffffc,
    0x6ffffffe,0xffffc800,0x8004ffff,0xfffffffc,0xffffffff,0x5400002e,
    0x3a1fffff,0xffffffff,0xffffffff,0xffc8001f,0x04ffffff,0xfffffc80,
    0xffffffff,0xff702eff,0x9005ffff,0x3f27ffff,0xff903fff,0x3fee0dff,
    0x98002fff,0x5c2fffff,0x002fffff,0x3ffffea0,0x80ffffac,0x00fffffd,
    0x3fffff26,0xffffffff,0xff8804ff,0x50000fff,0x903fffff,0xffffffff,
    0xdfffffff,0x7ffff405,0xffffe805,0x3fffff25,0xffffffff,0x00ffffff,
    0x05ffffb0,0x7ffffe40,0xffffffff,0x5c002eff,0xf804ffff,0x9800ffff,
    0xfd11ffff,0x3fe6dfff,0x8000efff,0xfffffff9,0xffb0001f,0xffffffff,
    0x1dffffff,0x3fea0000,0x3ffa1fff,0xffffffff,0x03ffffff,0xfffff300,
    0x20003fff,0xfffffffd,0xffffffff,0x7ffdc0ef,0xfc802fff,0xfff93fff,
    0x3fffa07f,0xffff304f,0xff9000bf,0xfff10fff,0x440009ff,0xfdffffff,
    0xfff886ff,0x3fe604ff,0xffffffff,0x4fffffff,0xfffff880,0xfff50000,
    0x3ff603ff,0xffffffff,0x0effffff,0x05ffffe8,0x25ffffe8,0xfffffffc,
    0xffffffff,0xb000ffff,0x8005ffff,0xfffffffd,0xffffffff,0xff7000ef,
    0xfff009ff,0xff1001ff,0x6f6447ff,0x2b3b6a0b,0x3ffa0000,0x0005ffff,
    0x3fffffe6,0xffffffff,0x0000efff,0x1fffffa8,0x3ffffffa,0xffffffff,
    0x7f40000d,0x005fffff,0x3ffffe60,0xffffffff,0x260effff,0x00ffffff,
    0x93ffffc8,0xf107ffff,0x7c05ffff,0x8007ffff,0xb03ffffe,0x001fffff,
    0x7fffff40,0xfe83ffff,0xf100ffff,0xdfffffff,0xffff999b,0xfff1009f,
    0x2a0001ff,0x301fffff,0xffffffff,0xffffffff,0xfffe81df,0xfffe805f,
    0x3ffff25f,0xffffffff,0x0fffffff,0x5ffffb00,0xffff9800,0xffffffff,
    0x00efffff,0x04ffffb8,0x00fffff8,0x00dffff0,0x7dc00000,0x001fffff,
    0xdfffff50,0xfffddddd,0x009fffff,0xfffff700,0x7fffff43,0xdeffffff,
    0xff700002,0x0003ffff,0x3bffffea,0xfffeeeee,0x5c4fffff,0x9002ffff,
    0x3f27ffff,0xffb83fff,0x3f600fff,0x2001ffff,0x00fffffb,0x09fffff5,
    0x7fffd400,0x6c1fffff,0x204fffff,0x1efffffe,0x13ffffe0,0x3ffffe20,
    0xfff70000,0xfff503ff,0xddddddff,0xffffffff,0x5ffffe89,0x4ffffe80,
    0x3ffffff2,0xffffffff,0x000fffff,0x005ffffb,0x77ffffd4,0xfffeeeee,
    0x804fffff,0x804ffffb,0x000fffff,0x001ffffb,0x3ee00000,0x0005ffff,
    0x09fffff3,0xfffffc88,0xffc80006,0x7fff47ff,0x01aaa8df,0xfff70000,
    0x26000bff,0x404fffff,0x6fffffc8,0x2000ab98,0xf93ffffc,0xffb07fff,
    0x99999fff,0xfffffd99,0x3ffe2009,0x7ff405ff,0x20001fff,0xfffffffd,
    0xffffdbaf,0xff100fff,0xf801dfff,0x8804ffff,0x000fffff,0x0fffff90,
    0x09fffff3,0xfffffc88,0xfff00006,0x300007ff,0x400bffff,0x001ffffe,
    0x09fffff3,0xfffffc88,0xffffa806,0xfffff805,0xffff5000,0x00000007,
    0x07fffffe,0x7fffec00,0x3fff6006,0x6c0000ff,0x7f46ffff,0x00005fff,
    0x3ffffe00,0xffb0001f,0x7ec00dff,0x0000ffff,0x27ffff90,0xf83ffffc,
    0xffffffff,0xffffffff,0xffb006ff,0xfa803fff,0x0006ffff,0x3fffffe2,
    0xffffffff,0x3e603fff,0xf803ffff,0x8804ffff,0x000fffff,0x0dffffb0,
    0x00dffffb,0x07ffffec,0x7fffc000,0x7c40002f,0x7c006fff,0xb000ffff,
    0x400dffff,0x00fffffd,0x037fffcc,0x007ffffc,0x01ffffd0,0xfc800000,
    0x0006ffff,0x07fffff1,0x3ffffe40,0x3ffe2000,0x7fff45ff,0x0000005f,
    0x0dfffff9,0x3fffe200,0x3ff2003f,0xffff87ff,0xfffc800f,0x7ffff93f,
    0xffffffa8,0xffffffff,0x00ffffff,0x1fffffd4,0xfffffc80,0x3fe60003,
    0xffffffff,0x402fffff,0x03fffffb,0x27ffffec,0x7ffffc40,0xfff88000,
    0x7ffc45ff,0x3f2003ff,0x80007fff,0x01fffff9,0x7fffec00,0x3ffe6000,
    0xfff1007f,0x7e4007ff,0xf8807fff,0x7c00ffff,0x2000ffff,0x00effffc,
    0xfb8000a0,0x000fffff,0x9fffff30,0x7ffff400,0xf9001885,0xfe89ffff,
    0x00005fff,0xfffffb80,0xff30000f,0x74009fff,0x7cc5ffff,0xf9005fff,
    0x3ff27fff,0x7ffe43ff,0xffffffff,0xffffffff,0x3ffa203f,0x3a2006ff,
    0x001fffff,0x3ffffe20,0xefffffff,0xffffa801,0xfffd106f,0xf1009fff,
    0x0621ffff,0x7ffffe40,0x7ffffcc4,0x3fffa004,0xfc80005f,0x0000ffff,
    0x017fffe2,0x6ffffe88,0xfffff300,0x7fff4009,0xffff005f,0xffff80bf,
    0x3fe2000f,0x2200efff,0x119806eb,0xffffffb5,0xfff80005,0x6c401fff,
    0x983fffff,0xfd981bef,0x740fffff,0x0005ffff,0x7ed44660,0x002fffff,
    0x7fffffc0,0x7ffec401,0x7ffdc3ff,0xfff9002f,0x3ffff27f,0x7fffff43,
    0xffffffff,0x5fffffff,0xfffffd10,0xfffa8001,0x20001fff,0xfffffffe,
    0x22004eff,0x1cffffff,0xfffffd71,0x4cccc9ff,0xfffff999,0x3037df30,
    0x1ffffffb,0x3ffffff0,0xffffd880,0x80a8803f,0x06fffffb,0x7fffd400,
    0x3eea6605,0x002fffff,0x07fffffe,0xfffffb10,0x3ffee007,0x209abfff,
    0x99afffff,0xff701999,0x559dffff,0x00dfffd9,0xfffffffb,0x00009fff,
    0xdffffffb,0xff975379,0x260dffff,0xfeffffff,0x2fffffff,0x05ffffe8,
    0x3fff6000,0x4fffffff,0xfffd8000,0xa9bcefff,0xffffffcb,0x07fffc86,
    0x4fffff20,0x263ffffc,0x001fffff,0x21fffffe,0x3fffffe8,0xffff9000,
    0xf30001ff,0x35757fff,0x7fff4000,0xffffffff,0x4fffffff,0x3ffffffe,
    0xf30fffff,0xffdfffff,0x05ffffff,0x3ffffff6,0xfcba9bce,0x006fffff,
    0xffddfff3,0x003fffff,0xfffffa80,0x7fffc3ac,0x006fffff,0x7fffffec,
    0xfcba9bce,0x006fffff,0x7ffffff4,0x3fffe6ff,0x7fffffff,0x3ffffee0,
    0xffffffff,0xfffd806f,0x05ffffff,0xffff3000,0xffffffff,0x1dffffff,
    0x3ffffe60,0xffffffff,0xffffd05f,0x7ec0000b,0xffffffff,0xff300005,
    0xffffffff,0xffffffff,0x9fffd01d,0x7fffe400,0x47ffff93,0x007ffffb,
    0x17ffffec,0x13fffff6,0xffffb000,0xfb8001df,0x400007ff,0xfffffff9,
    0xfbefffff,0x3ffe4fff,0xffffffff,0xfffff30f,0xffffffff,0x7ffcc0bf,
    0xffffffff,0xefffffff,0xffff3000,0xbfffffff,0xfff30000,0xff8fffff,
    0x1fffffff,0x7fffcc00,0xffffffff,0x0effffff,0x7fffd400,0x3fe6ffff,
    0xffffffff,0x7ffd407f,0xffffffff,0xffd806ff,0x02ffffff,0x7ffcc000,
    0xffffffff,0x00dfffff,0x3fffffe6,0x3fffffff,0x17ffffa0,0xfffd8000,
    0x002fffff,0x7fffcc00,0xffffffff,0x880dffff,0x2001ffff,0xf93ffffc,
    0x7fec7fff,0x7dc005ff,0x3ee4ffff,0x0004ffff,0x5fffffb0,0x4fffe800,
    0xffc80000,0xffffffff,0x4ffff98d,0x3ffffffe,0xf30fffff,0xffffffff,
    0x3007ffff,0xffffffff,0xffffffff,0x7fcc001b,0xffffffff,0xfb00000d,
    0xf8ffffff,0x0dffffff,0xffff3000,0xffffffff,0x001bffff,0x3ffffa60,
    0x3fffe6ff,0x7fffffff,0xfffed980,0x01cfffff,0xffffffb0,0x4000001b,
    0xffffffda,0x00cfffff,0xfffffd88,0x00cfffff,0x02fffff4,0xffffb000,
    0x00001bff,0x7fffed40,0xcfffffff,0x17bba600,0x7ffff900,0x44fffff2,
    0x002fffff,0x3fffffcc,0x0013fff2,0x07fffb00,0x2ffff880,0xfd300000,
    0x45dfffff,0x3e4ffff9,0xffffffff,0xffb10fff,0xffffffff,0xfda80019,
    0xffffffff,0x98000cff,0xffffffff,0x4400002e,0x47fffffc,0x02cdefff,
    0xfffb5000,0xffffffff,0x2a000019,0x3e6fffec,0xffffffff,0x544007ff,
    0x8001abcb,0x001abcc9,0x54c40000,0x009abcca,0x332ea600,0x262001ab,
    0x00000999,0x006af326,0x53100000,0x01357995,0x3f200000,0xfff93fff,
    0x3fffea7f,0xffe8000f,0x27e41fff,0x3fd80000,0x7fffb800,0xa8800000,
    0x98000aab,0x99999999,0x97530199,0x00003579,0x57995531,0x53000013,
    0x00357999,0x13310000,0x00000330,0x79955310,0x00000135,0x99998260,
    0x19999999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x27ffff90,0xf93ffffc,0x2000dfff,0x83fffffc,0x14000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0xfff93fff,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32000000,0xff93ffff,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x531aaaa9,0x00003555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x002aaaa9,0x2aaaaa00,0x0aaaaaaa,
    0xaa800000,0x000aaaaa,0x50000000,0x0005bddb,0x55554cc0,0x00000009,
    0x99950000,0x53000003,0x26000155,0x2000001b,0x009aaa98,0x7c000000,
    0x2004ffff,0x006ffffd,0x1555554c,0x55555551,0x2aaaa000,0xffff8802,
    0xffffffff,0xffffffff,0x9300007f,0x00799999,0x4055554c,0x001aaaa8,
    0x000d5440,0xaaa80000,0x5531aaaa,0x3f200013,0x00007fff,0x3ffffffa,
    0x003fffff,0x7ffec000,0x40003fff,0x0001dfeb,0xffffffd0,0x3b22000b,
    0xffffffff,0x20000dff,0x0001dfeb,0x017ffec0,0x7ffec000,0xffb71001,
    0x5400005f,0xffffffdc,0x000bdfff,0x0067fec4,0x09fffff0,0x37fffec0,
    0xfffff300,0x3fffa25f,0x44000dff,0x04fffffd,0x7fffffc4,0xffffffff,
    0x7fffffff,0xfff98000,0x2000dfff,0x21ffffe8,0x005ffffa,0xfffffb70,
    0x00005bdf,0xfffff900,0x7fffe47f,0xf9002cef,0x0000ffff,0x7ffffff4,
    0x003fffff,0x3fff6000,0x40001eff,0x01fffffb,0x7fffe400,0x2003ffff,
    0xffffffc8,0xffffffff,0xfff70001,0x400003ff,0x0000fffe,0x00fffe80,
    0x5fffff50,0xffb10000,0xffffffff,0x8009ffff,0x005ffffe,0x013ffffe,
    0x06ffffd8,0xdfffff10,0x3ffffa21,0xfe88003f,0x04ffffff,0x3fffffe2,
    0xffffffff,0x7fffffff,0x7ffcc000,0x10003fff,0xf97ffffd,0x3000bfff,
    0xfffffffd,0x0009ffff,0x7fffe400,0x7ffe41ef,0x02efffff,0x03ffffe4,
    0xffffd000,0x7fffffff,0x3f600000,0x000dffff,0xffffff80,0x7ffc0004,
    0x401bff23,0xfffffff8,0xffffffff,0xfff0001f,0x00009fff,0x0003fffc,
    0x007fff80,0x0bffffea,0xffff5000,0xffffffff,0x4009ffff,0x1ffffffa,
    0x9fffff00,0x7fffec00,0xfffe8806,0x3fffa24f,0xe88001ef,0xfffeffff,
    0xffff105f,0xffffffff,0xffffffff,0x7cc000ff,0x001effff,0x7ffff440,
    0x8005ffff,0xfffffffb,0xdfffffff,0x7e400000,0xc80dffff,0xffffffff,
    0xff902eff,0x40000fff,0xfffffffe,0x0003ffff,0xfffffd80,0xff100003,
    0x000dffff,0xf307ffc4,0x3ff600ff,0xffffffff,0x01ffffff,0xfffff880,
    0xf100006f,0x00000dff,0x400dfff1,0x02fffffa,0x3ffff600,0xffffffff,
    0x004fffff,0x3fffffee,0xfffff002,0x7ffec009,0x7ff4406f,0x3ffa22ff,
    0xd10004ff,0x3f23ffff,0xee885fff,0xffeeeeee,0xeeeeffff,0x30006eee,
    0x01bfffff,0x7ffec000,0xc8004fff,0xffffffff,0xffffffff,0xf900000e,
    0x6407ffff,0xffffffff,0xfc82ffff,0x00007fff,0xfffff980,0x7ec00003,
    0x0001efff,0x7fffff40,0x3fe20004,0x01bfea1f,0x3fffffee,0xcbaaabcf,
    0xd0001ffe,0x009fffff,0x3fb6ea60,0x01abcfff,0x5fff9800,0x3fffea00,
    0xff70002f,0xdfffffff,0xffffdd99,0x7ffcc009,0xff001fff,0x6c009fff,
    0x6406ffff,0x76c1deee,0x10001dee,0xa81bdddb,0x8004eeee,0x006fffff,
    0x99999000,0x32000005,0x8004eeee,0xfffffff9,0xfffffddf,0x80003fff,
    0x01deeeea,0x7ffff75c,0x1fffffff,0x03ffffe4,0x7fcc0000,0x00003fff,
    0x0333332a,0x3fea0000,0x40000fff,0xffccfffe,0xffff804f,0xa8800dff,
    0xfff50000,0xe98001ff,0xffffffff,0x003fffff,0x027ffd40,0x5fffff50,
    0xffff1000,0x98039fff,0x7ec004fc,0x3e004fff,0x2004ffff,0x006ffffd,
    0x00000000,0x7fc00000,0x00006fff,0x09998800,0x00000000,0x3dfffffb,
    0xfffffd30,0x0000000f,0x7ffe4c40,0x320effff,0x0007ffff,0xffff9800,
    0x0000003f,0x32600000,0x980000cd,0xefffffff,0x7fffc400,0x0000006f,
    0x00066e4c,0xffffffb1,0xffffffff,0xfc80007f,0xaaa983ff,0xfffffcaa,
    0xaaaaaaac,0x7fffec0a,0x008003ff,0x002ddb80,0x027ffffc,0x0dffffb0,
    0x00000000,0xf8000000,0x0006ffff,0xfffe8000,0x00000004,0xefffff98,
    0x3fffa200,0x000003ff,0xffe88000,0x3f22ffff,0x00007fff,0xfffff980,
    0x00000003,0x00000000,0xffffd980,0xfffa800c,0x000005ff,0x3fa00000,
    0xffffffff,0x3fffffff,0x7edd4400,0x321bdfff,0xffffffff,0xffffffff,
    0x3e62ffff,0x001fffff,0x00000000,0x009fffff,0x037fffec,0x00000000,
    0x026aaa60,0xfffff800,0x40000006,0x001ffff9,0xaaaa9980,0xfffd8009,
    0xff9801ff,0x00006fff,0x0026aaa6,0x7ffff440,0x3ffff24f,0xaaaaa807,
    0xfff3002a,0x551007ff,0x30005555,0x00155555,0x04d554c0,0x00cc4000,
    0x3ffffea0,0x80000007,0x009aaa98,0x3ffffff2,0xfeffffef,0xd5003fff,
    0xffffffff,0x7ffe4fff,0xffffffff,0xffffffff,0x3ffffa2f,0x0000005f,
    0x3ffe0000,0x3f6004ff,0x7ffc6fff,0x3f6004ff,0x10006fff,0xfffffd97,
    0x8007bfff,0x006fffff,0x7fe40000,0xd910007f,0xffffffff,0xff301bff,
    0x7c00dfff,0x001fffff,0xfffecb88,0x03dfffff,0x7ffffd40,0x1fffff26,
    0xffffff70,0x3ffe6007,0xff8803ff,0x4000ffff,0x00fffffe,0xfffd9710,
    0x07bfffff,0x009fffff,0x9b7fffec,0x04ffffff,0x6e540000,0xffffffff,
    0xfff30bdf,0xff117fff,0x016dccff,0x3fffff62,0x7fffffff,0x3ffffff2,
    0xffffffff,0x22ffffff,0x01ffffff,0x3ffe2000,0xffffffff,0xffffffff,
    0x3ffffe1f,0x3fff6004,0x7ffffc6f,0x3fff6004,0xff98006f,0xffffffff,
    0x7c007fff,0x0006ffff,0x7fff4000,0x7fe44004,0xffffffff,0xfb81ffff,
    0x2003ffff,0x02fffffc,0x7ffffcc0,0xffffffff,0x7ffc4007,0xfff90fff,
    0x7ffd40ff,0x26003fff,0x003fffff,0x05fffffb,0x7ffffcc0,0xffff3004,
    0xffffffff,0xfffff0ff,0x7ffec009,0x3ffffe6f,0x00001dff,0x7ffffec4,
    0xffffffff,0xfffff74f,0x037ffcc9,0x7ffffcc0,0xffffffff,0x3ffff27f,
    0xffffffff,0xffffffff,0xbfffff32,0xff880000,0xffffffff,0xffffffff,
    0x3fffe1ff,0x3ff6004f,0x7fffc6ff,0x3ff6004f,0x7e4006ff,0xffffffff,
    0x007fffff,0x037ffffc,0xdba88000,0x01ffffee,0x3ffffe20,0xffffffff,
    0xffd81fff,0x2a001fff,0x003fffff,0x3ffffff2,0xffffffff,0x7ffc4007,
    0x3fff27ff,0xffff307f,0xf98009ff,0x5003ffff,0x00dfffff,0x0fffffe4,
    0x7ffffe40,0xffffffff,0xfffff87f,0x3fff6004,0x3ffff66f,0x002effff,
    0xfffffa80,0xffffffff,0xfffb4fff,0x7ffd43ff,0xfffe8005,0xffffffff,
    0xfa807fff,0x2002ffff,0x03fffffa,0x7ffc4000,0xffffffff,0xffffffff,
    0x3ffffe1f,0x3fff6004,0x7ffffc6f,0x3fff6004,0xffd1006f,0xffffffff,
    0x00ffffff,0x06fffff8,0x7ffdc000,0xffffffff,0x3fff6000,0xffffffff,
    0xe81fffff,0x000fffff,0x13ffffe6,0x3ffffa20,0xffffffff,0x4c007fff,
    0x326fffff,0xe887ffff,0x005fffff,0x3fffff98,0x3ffffe00,0xffff000f,
    0xffe880df,0xffffffff,0xf87fffff,0x2004ffff,0x226ffffd,0xffffffff,
    0x8001cfff,0xfffffffd,0xffffffff,0xffffd4ff,0x1fffdc5f,0x3fffee00,
    0xfffa9cff,0xfa807dad,0x2002ffff,0x02fffffb,0x55555555,0xfff88355,
    0xffffffff,0xffffffff,0x3ffffe1f,0x3fff6004,0x7ffffc6f,0x3fff6004,
    0xfffd006f,0x9bffffff,0x00ffffdb,0x06fffff8,0xfffb1000,0xffffffff,
    0xff7005ff,0x579fffff,0x3ffd9755,0x0ffffff0,0xfffff880,0xffffe805,
    0xdcdfffff,0x4007fffe,0x24fffffe,0xd87ffffc,0x006fffff,0x7fffff30,
    0x7fffe400,0xfffa803f,0x7ff403ff,0xdfffffff,0x87fffedc,0x004fffff,
    0x51bffff6,0xffffffff,0x005dffff,0x3fffffee,0xeeccefff,0xff94ffff,
    0x7fe4bfff,0x3fe6002f,0x3ee2ffff,0x2a0023ff,0x002fffff,0x07fffff2,
    0x7ffffffc,0x7fc45fff,0xffffffff,0xffffffff,0x3fffe1ff,0x3ff6004f,
    0x7fffc6ff,0x3ff6004f,0xffa806ff,0x00afffff,0xff001f6a,0x0000dfff,
    0xffffffd3,0xffffffff,0xffff805f,0xa8800dff,0x7fffff80,0x7fffc400,
    0x7ffd406f,0x200affff,0xe98807da,0x21ffffff,0x647ffffc,0x00efffff,
    0xfffff300,0x7ffc4007,0xffd806ff,0x3ea00fff,0x0affffff,0x3fe1f6a0,
    0x36004fff,0xf986ffff,0xffffffff,0x200dffff,0xfffffff8,0xa7e4c01c,
    0xeffffffb,0x001fffda,0x13fffff2,0x8005fff9,0x02fffffa,0x3fffff60,
    0xffffff00,0x330bffff,0x33333333,0xfffff533,0xfffff89f,0x3fff6004,
    0x7ffffc6f,0x3fff6004,0xfffe806f,0x02001eff,0xdfffff00,0xfffd0000,
    0xfffdffff,0x01ffffff,0x1bffffe2,0x3ffe2000,0xff8006ff,0x7f407fff,
    0x001effff,0x3ffff202,0x4fffffff,0x73ffffe4,0x01ffffff,0x7fffcc00,
    0x7fec003f,0x3e201fff,0x7405ffff,0x01efffff,0x3fffe020,0x3ff6004f,
    0xff9106ff,0xffffffff,0x3f601dff,0x003fffff,0xfffff308,0x1fffffff,
    0x7ffff400,0x0fffec0f,0x3fffea00,0x3ffa002f,0xfff00fff,0xbfffffff,
    0xfffb0000,0xfff81dff,0x3f6004ff,0x7ffc6fff,0x3f6004ff,0x7dc06fff,
    0x000fffff,0x7fffc000,0x7dc0006f,0xf0afffff,0xffffffff,0x3fffea0b,
    0xf880005f,0x8006ffff,0x206fffff,0x0ffffffb,0xfffc8000,0x6fffffff,
    0x37ffffc8,0x03ffffff,0xffff9800,0x7fd4003f,0x3ee04fff,0x2e02ffff,
    0x00ffffff,0xfffff800,0x3fff6004,0x7f5c406f,0xffffffff,0xffff986f,
    0xc80001ff,0xffffffff,0xf000bfff,0xfd0bffff,0xfa8001ff,0x2002ffff,
    0x01fffffd,0xffffffff,0xb8000bff,0x81ffffff,0x004fffff,0xf1bffff6,
    0x4009ffff,0x406ffffd,0x03ffffff,0xfff80000,0x220006ff,0x20efffff,
    0xffeffffa,0xffa80fff,0x00007fff,0x00ffffff,0x5fffff88,0x3fffffe0,
    0xff700003,0x9fffffff,0x3fffff20,0x2ffffff8,0xfff98000,0xff8003ff,
    0x3fa07fff,0x7fc06fff,0x0003ffff,0x09fffff0,0x37fffec0,0xffff9300,
    0xe87fffff,0x005fffff,0x3ffff600,0xffffffff,0x3ffe201d,0x7fff84ff,
    0xffffa800,0x3ff2002f,0x55502fff,0xbffffd55,0x7ffc4000,0xfff04fff,
    0x7ec009ff,0x7ffc6fff,0x3f6004ff,0x3e606fff,0x000fffff,0xffff8000,
    0x3ee0006f,0x7ec2ffff,0xffffaeff,0xffff983f,0xf80004ff,0x4007ffff,
    0x04fffff8,0x1ffffff3,0x3fee0000,0x01ceffff,0x3bfffff2,0x003fffff,
    0xfffff300,0xfff90007,0xfff105ff,0x7fcc07ff,0x0000ffff,0x09fffff0,
    0x37fffec0,0x7ffdc400,0x7fc6ffff,0x0001ffff,0x7ffffe40,0xffffffff,
    0xffff980c,0x37ffc43f,0x7fffd400,0x3fee002f,0x3a002fff,0x0005ffff,
    0x1bfffff6,0x04fffff8,0x17ffffa0,0x009fffff,0x037fffec,0x0bfffff5,
    0x3fe00000,0x20006fff,0xf86ffffd,0xfffd3fff,0x3fffe0df,0x0001dfff,
    0x03fffffa,0xfffff980,0xfffff504,0x7d40000b,0x9000efff,0xffffffff,
    0x40000dff,0x03fffff9,0xfffff880,0xfffffb85,0x3fffea00,0x3e00005f,
    0x2004ffff,0x006ffffd,0x3ffffa60,0xffff30ff,0x200000bf,0xffffffd8,
    0x1fffffff,0x27ffffd4,0x0017ffe6,0x0bffffea,0xfffffa80,0x3fffa004,
    0xff70005f,0x7c03ffff,0x2005ffff,0x7c4fffff,0x2004ffff,0x206ffffd,
    0x03fffffb,0xfff00000,0x74000dff,0x7d43ffff,0xfff90fff,0x3fff60ff,
    0x02efffff,0xfffffd80,0x3ffea001,0xfff703ff,0x400007ff,0x005ffffa,
    0x3bfffff2,0x004fffff,0xfffff300,0x3ff60007,0x7ff40fff,0x7fdc05ff,
    0x00003fff,0x013ffffe,0x06ffffd8,0x7fffcc00,0xffff51ff,0x8000007f,
    0xffffffb8,0x20ffffff,0x46fffff9,0x8004fffa,0x02fffffa,0x3ffffe60,
    0x3fffa007,0xff88005f,0x7404ffff,0x2006ffff,0x7c4fffff,0x2004ffff,
    0x206ffffd,0x02fffffd,0xfff00000,0x7c000dff,0x7ec2ffff,0x3ffee6ff,
    0xffff107f,0x9fffffff,0x3fff2003,0x3f2003ff,0xfb02ffff,0x0005ffff,
    0x2ffffd40,0xfffff900,0x7ffffff1,0xfff30000,0x2a0007ff,0x263fffff,
    0x402fffff,0x02fffffd,0x3fffe000,0x3ff6004f,0xe80006ff,0xf71fffff,
    0x2a05ffff,0xaaaaaaaa,0xfffd001a,0xffffffff,0x7ffffc4d,0x0bffee0f,
    0x3fffea00,0x3fe2002f,0xd002ffff,0x000bffff,0x0dfffffb,0x0fffffb0,
    0x3ffffe60,0x27ffffc3,0xdffffb00,0x7fffff40,0xf0000001,0x000dffff,
    0x87ffffe2,0x2a3ffff8,0x500fffff,0xffffffff,0x805dffff,0x06fffffb,
    0x1fffffe0,0x1fffffe8,0x3fe60000,0x3f2004ff,0xfff57fff,0x80003fff,
    0x03fffff9,0x3ffffe00,0x1fffff26,0x3fffffa0,0x3fe00001,0x36004fff,
    0x0006ffff,0x0ffffff8,0x03fffff9,0x3ffffffe,0xff005fff,0xffffd5ff,
    0x7ffc1fff,0x3ff22fff,0xffa8001f,0x6c003fff,0x006fffff,0x00bffffd,
    0xffffffb8,0xffffc801,0xfffc803f,0x7fffc0ff,0x3ff6004f,0x3ffe06ff,
    0x00000fff,0xdfffff00,0x3ffe6000,0x3ffea1ff,0x3fffea0f,0x3ffe600f,
    0xffffffff,0xff100dff,0x5001ffff,0x409fffff,0x00ffffff,0x33322000,
    0x3ff2002c,0x3fff27ff,0x20000fff,0x03fffff9,0x3ffff200,0x9fffff0f,
    0xffffff00,0x7fc00001,0x36004fff,0x0016ffff,0x3ffffe60,0x3fffff66,
    0xffffff00,0x100bffff,0x7fd4dfff,0x3f62ffff,0xfd1fffff,0xf30001ff,
    0x800dffff,0xdffffff8,0x7ffff400,0x3ffe2005,0xf3003fff,0x403fffff,
    0x85fffffa,0x004fffff,0x41bffff6,0x0ffffff8,0xff000000,0x2000dfff,
    0x21fffff9,0x7dc5fffd,0xc8807fff,0xffffffff,0xb00effff,0x01dfffff,
    0x7fffffc4,0xfffff100,0x0000001f,0x7fffe400,0x7fffff47,0x3fe60006,
    0x20003fff,0xabfffff9,0x401fffff,0x0ffffff8,0x3ffe0000,0x3f6004ff,
    0x37db6fff,0x3fffea00,0x3fffa4ff,0xffff00ff,0x0bffffff,0xe8bfff30,
    0x264fffff,0xafffffff,0x064c7fff,0x3ffffe20,0x7fe4000f,0x201effff,
    0x005ffffe,0x1bfffff6,0xfffffd00,0xf953359f,0xf05fffff,0x4009ffff,
    0x206ffffd,0x01ffffff,0xfff00000,0x22000dff,0xf12fffff,0xffc87fff,
    0x2e2006ff,0xfffffffe,0xff306fff,0x301dffff,0x0bfffffd,0x1ffffff8,
    0x00000000,0x31fffff2,0x0bffffff,0x3fffe600,0x7f40003f,0xfffdefff,
    0xffff006f,0x400003ff,0x004fffff,0x6dbffff6,0xccdeffff,0xfffffdcb,
    0x3ff61fff,0xfff01fff,0xbfffffff,0x89fff500,0x43fffffb,0xfffffffd,
    0xffecffff,0xffff800f,0x5cc41eff,0x7ffffc41,0xccceffff,0x05fffffe,
    0xffffff70,0xfff98003,0xffffffff,0x05ffffff,0x009fffff,0x037fffec,
    0x05fffffd,0x3fe00000,0x10006fff,0x2a7fffff,0x7ec0ffff,0x30005fff,
    0xfffffff9,0x3ffa07ff,0xddefffff,0xffffffff,0x7ffff401,0x5400002f,
    0x32000bdc,0xfb87ffff,0x003fffff,0x3fffff98,0x7ffd4000,0x2fffffff,
    0xfffffd00,0x7fc00005,0x36004fff,0xffb6ffff,0xffffffff,0xffffffff,
    0xfffffc85,0xd5555502,0x900bffff,0xffc87fff,0x7fcc1fff,0xffffffff,
    0x00ffffff,0xffffffc8,0x2fffffff,0xffffffa8,0xffffffff,0x8805ffff,
    0x03ffffff,0xfffff900,0xffffffff,0x7ffc0bff,0x3f6004ff,0x3f606fff,
    0x0003ffff,0xfffff000,0x7ff4000d,0xbfffb6ff,0x4fffff98,0x7fdc4000,
    0x106fffff,0xfffffffd,0xffffffff,0xfffb005f,0x400007ff,0x00effffb,
    0x0fffff90,0x3ffffff6,0xaaaaa982,0xdfffffca,0x00aaaaaa,0xfffffff0,
    0x7ec00fff,0x0003ffff,0x13ffffe0,0x6ffffd80,0xfffffffb,0xffffffff,
    0xfff709ff,0x7f4005ff,0x20155fff,0x3e21fffd,0x980fffff,0xfffffffe,
    0x0fffffff,0xfffffd00,0x5fffffff,0x3ffffa60,0xffffffff,0xd805ffff,
    0x006fffff,0x7ffffd40,0xffffffff,0x7ffffc04,0x3fffa004,0x3fff205f,
    0x000004ff,0x0dfffff0,0x7fffe400,0x42ffffaf,0x01fffffc,0xfffd3000,
    0x3e201fff,0xffffffff,0x02ffffff,0x9fffff90,0x3fe60000,0x9004ffff,
    0x220fffff,0x0ffffffe,0x7fffffe4,0xffffffff,0x000fffff,0xfffffff9,
    0x7fe4009f,0x00004fff,0x013ffffe,0xb5ffffe8,0xffffffff,0xdfffffff,
    0x3fffea05,0x3ffa004f,0x57bff5ff,0x223fffa1,0x6ffffffb,0x3ffff620,
    0xffffffff,0xfff3000f,0xffffffff,0xfffc805f,0xffffffff,0x5c03ffff,
    0x00ffffff,0xffec8800,0x0cffffff,0x5fffff80,0x3ffffe00,0x3fffee04,
    0x000000ff,0x06fffff8,0x3fffe600,0x20ffffff,0x05fffffb,0x7ffcc000,
    0x3a601fff,0xffffffff,0x2002efff,0x0ffffffb,0xfffb8000,0xf9006fff,
    0x7cc0ffff,0x20efffff,0xfffffffc,0xffffffff,0x3000ffff,0xffffffff,
    0x7ffdc003,0x00000fff,0x00bfffff,0x9a7ffffc,0xffffffec,0x02dfffff,
    0x3fffffcc,0xbffffd00,0x3ffffffe,0xffffffff,0x800fffff,0xfffffeb8,
    0x8001beff,0xfffffffb,0xc9802fff,0xfffffffe,0x4400adff,0x03ffffff,
    0xfe988000,0x3a001fff,0x2006ffff,0x203fffff,0x3ffffffa,0x00000000,
    0xffffb000,0xb51bffff,0x01ffffff,0xfffd0000,0xf93003ff,0x5bffffff,
    0xffff5000,0x500007ff,0x0dffffff,0x1fffff20,0xffffff70,0x7ffffe4b,
    0xffffffff,0x00ffffff,0x3fffffa0,0x7fd4005f,0x0003ffff,0x0dffffd0,
    0x1fffffc0,0xabbaaa98,0x3fe20009,0xd002ffff,0x3febffff,0xffffffff,
    0xffffffff,0xffd8001f,0x200000af,0x09aaba99,0x2aea6000,0x7ec0019a,
    0x0005ffff,0x3fffee00,0x7ffe4002,0xfff3007f,0xffe803ff,0x0000efff,
    0x80000000,0xfffffff8,0xffffffff,0x000004ff,0x01ffffff,0x7ffffc40,
    0x7ff40003,0x0000efff,0x7fffffc4,0xffff9003,0xffffb00f,0x3fff27ff,
    0xffffffff,0xffffffff,0x3ffee000,0xe8001fff,0x00efffff,0xffffc800,
    0xffff3007,0x0000003f,0x1bfffff6,0xafffff40,0xffffffff,0xffffffff,
    0xfd0002ef,0x000001ff,0x00000000,0x7ffffd40,0x3000000f,0x0009ffff,
    0x07fffff7,0x1fffff90,0xfffffa80,0x006001ef,0x03555530,0xffff5000,
    0xffffffff,0x00809fff,0xfffff300,0xfffb000d,0xfa8000bf,0x01efffff,
    0x3ffea060,0x0000005f,0x00000000,0xfffffb80,0xfff50005,0x4003dfff,
    0xfffffb81,0xffffc803,0x5553000f,0x7fc40035,0x400dffff,0xfd5ffffe,
    0xffffffff,0x05dfffff,0x07fff800,0x55553000,0x2a600003,0x88001aaa,
    0x03ffffff,0x3ff20000,0xfa8001ff,0x201fffff,0x05fffffa,0xffffffd0,
    0x3ae2017f,0x7ffec007,0xd300002f,0xffffffff,0xb005ffff,0x3ea0037d,
    0x004fffff,0x2fffffc8,0xffd00510,0x017fffff,0x5441fae2,0x0000001b,
    0x00000000,0xffffff00,0x7ff40003,0x00bfffff,0xff50fd71,0x5403ffff,
    0x005fffff,0x00bffff6,0xffffff90,0x7fff403d,0x372e625f,0xacdfffff,
    0xff880001,0xfb00006f,0x00005fff,0x00bffff6,0x3fffff60,0x9999999e,
    0x00999999,0x03ffffd0,0x3ffff600,0xca99acff,0x00ffffff,0xffffff30,
    0xfd9bffff,0xf800ffff,0x0000ffff,0x3ffffe60,0x00ceffff,0xbdffffb0,
    0xfffb9799,0x003fffff,0xffffff50,0x3ff73339,0xfffff980,0xecdfffff,
    0x0007ffff,0x5554c000,0x2600001a,0x0001aaaa,0x6fffffc8,0x7ffcc000,
    0xdfffffff,0x07ffffec,0x9ffffffb,0xfff95335,0x7c001fff,0x4000ffff,
    0xfffffff8,0xfeccceff,0x6c05ffff,0x00001fff,0x005fff98,0x1fffff00,
    0x3ffe0000,0x7d4000ff,0xffffffff,0xffffffff,0xfd003fff,0x0357bfff,
    0x7ffffcc0,0xffffffff,0x4003ffff,0xfffffffc,0xffffffff,0x3fe2007f,
    0x400005ff,0xacbffffb,0xfffb0001,0xffffffff,0x5fffffff,0x7fff4000,
    0xffffffff,0xfffc806f,0xffffffff,0x227fffff,0xffffffff,0x007fffff,
    0x00bffff6,0xffffd800,0x7fdc0002,0x0000ffff,0xffffffc8,0xffffffff,
    0xfff307ff,0xffffffff,0x07ffffff,0x2ffffc40,0xffffa800,0xffffffff,
    0x05ffffff,0x0007fff4,0x27ffd400,0x7ffc4000,0xf100005f,0x9000bfff,
    0xffffffff,0xffffffff,0x2007ffff,0xfffffffd,0x7ffe4004,0xffffffff,
    0x0006ffff,0xfffffff5,0xffffffff,0x7ffcc00f,0x7400003f,0x00004fff,
    0xfffffffb,0xffffffff,0x980009ff,0xffffffff,0x803fffff,0xfffffffa,
    0xffffffff,0x3ffffe27,0xffffffff,0x3fffe007,0x3e00000f,0x26007fff,
    0xffffb511,0x400005ff,0xfffffffa,0xffffffff,0x3ffff207,0xffffffff,
    0x4c006fff,0x0003ffff,0x3fffffa6,0xffffffff,0x7fc05fff,0x7000007f,
    0x00007fff,0x007ffff3,0x3fffe600,0xfffc8003,0xffffffff,0xffffffff,
    0xfff3003f,0x0009ffff,0xfffffff5,0x07ffffff,0xfffd8800,0xffffffff,
    0x3ee007ff,0x00000fff,0x007fffe6,0x7fffec00,0xffffffff,0x0002efff,
    0xffffff70,0x07ffffff,0x3ffff620,0xffffffff,0x3fffe27f,0xffffffff,
    0xfff1007f,0x440000bf,0x2005ffff,0xfffffffd,0x00004fff,0xfffffd88,
    0xffffffff,0x7fffd407,0xffffffff,0xffb8003f,0xc80000ff,0xffffffff,
    0x3fffffff,0x01bffe60,0x7ffe4000,0xffb80002,0x700000ff,0x0001ffff,
    0xfffffff9,0xffffffff,0x007fffff,0x7fffff4c,0xfd910004,0xbfffffff,
    0x65400001,0xfffffffe,0x7ec001ce,0x400006ff,0x0007fffc,0x3fffb260,
    0xffffffff,0x8800002d,0xfffffffc,0xca8000cf,0xfffffffe,0x7ffc41ce,
    0xffffffff,0xff3007ff,0x400007ff,0x002ffffa,0x3ffffff6,0x00005fff,
    0x7fff6540,0x01ceffff,0xffffd910,0x001bffff,0x01bfff60,0xffec9800,
    0xdfffffff,0x7ffd400a,0xfd000005,0xb00003ff,0x0000dfff,0x0037ffec,
    0xffffffc8,0xffffffff,0x03ffffff,0x00999880,0x2aea6000,0x00000009,
    0x00133531,0x00d55540,0x3fffa000,0x26000004,0x09abbaaa,0x51000000,
    0x00157995,0x4cd4c400,0x3fffe200,0xffffffff,0xfff7007f,0x6400001f,
    0x2000ffff,0xfffffffd,0x0000002f,0x0099a988,0x9aba9800,0xaaa80000,
    0x2000001a,0x019aaba9,0x016664c0,0x6eed8000,0x55550000,0x55400003,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x400006ff,0x4005fffd,0xdffffffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55550000,0xaa800003,0x64c001aa,0x00001abc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x2a035555,0x30002aaa,0x00035555,0x039dd930,0x20000062,0x1aaaaaaa,
    0x80cccb80,0x0002ccc9,0xfffffff1,0x3000000f,0x3dffffff,0xfffffff8,
    0x0bcdefff,0x55540000,0x36e0002a,0x0b76a01c,0x3bb6a000,0x3000002d,
    0x40035555,0xfffffffd,0xffffffff,0xa98001ff,0x2a22aaaa,0x002aaaaa,
    0x2039dd93,0xccb80018,0x2ccc980c,0x7fec4000,0x2e0005ff,0x376a01cd,
    0x554c0002,0xffd001aa,0x3001ffff,0xdb8dffff,0xfffc802d,0x3fff624f,
    0xff98001f,0x0001ffff,0xffffffd1,0x001fe83b,0x3ffff200,0xff9004ff,
    0x7fffd07f,0x3ffee000,0x001fffff,0x3ffe6000,0xff80dfff,0xffffffff,
    0x01cfffff,0x7ffec400,0xfc8004ff,0xffb81fff,0x3a0002ff,0x05ffffff,
    0x7ffcc000,0xfb001fff,0xffffffff,0xffffffff,0xfff98003,0xffd12fff,
    0x8801bfff,0xdffffffe,0x2000ff41,0xfe83fffc,0x220003ff,0xdffffffe,
    0x7ffe4000,0xffffb81f,0xfff30002,0xfd003fff,0x007fffff,0x6cdffff3,
    0xb804ffff,0xffaeffff,0xa8001fff,0xffffffff,0xfffd8001,0xcdffffff,
    0x0001ffff,0xffffffc8,0x3ffea002,0xfffebadf,0xffb0001f,0x09ffffff,
    0x3fe60000,0x3e03ffff,0xffffffff,0xffffffff,0xffd10001,0x009fffff,
    0x37ffffc4,0x03fffffc,0xfffffc80,0x00003fff,0xfffffff5,0xfffb003f,
    0xffffffff,0x03ffffff,0x7ffffc40,0xffffd10e,0x3ff6007f,0xdfffffff,
    0x001ffffc,0x2b7fffea,0x01ffffeb,0xffffd100,0x001dffff,0x1bffffe2,
    0x01fffffe,0x3ffffea0,0x7f401fff,0x00ffffff,0xab7fffcc,0x01ffffff,
    0xffffffb8,0xa8001fff,0xfffeffff,0x3ee002ff,0xffffffff,0x0effffff,
    0x7ffe4000,0xe8000dff,0xffffffff,0x3e0005ff,0xffffffff,0xf9800006,
    0x401effff,0xffffffff,0xffffffff,0x744000ff,0xfffeffff,0xfff3005f,
    0xfff88fff,0xf8000fff,0x1bff23ff,0x3ffea000,0x2fffffef,0x7ffffec0,
    0xffffffff,0x1001ffff,0x449ffffd,0x01effffe,0xffffff70,0xffffffff,
    0xfe8001df,0xffffffff,0xfd10005f,0xfff75fff,0xff3001df,0xff88ffff,
    0x2000ffff,0xffeffffa,0x3fa02fff,0x03ffffff,0xcb7fffcc,0x02ffffff,
    0xffffff50,0xff50001d,0xffd11bff,0x3a2005ff,0xffd98aff,0x00ffffff,
    0x7fffe400,0x3a60003f,0xffffffff,0xff50000e,0xffffffff,0x7cc00001,
    0xf004ffff,0xdddfffff,0xfffffffd,0x7f4400bf,0xfff91fff,0xfff100bf,
    0xfffd0bff,0xff1000df,0x03ffcc1f,0x3fffea00,0xffffe88d,0x3ffff602,
    0xeeeeeeef,0x801eeeee,0x22ffffe8,0x04ffffe8,0x457ff440,0xffffffd9,
    0xe98000ff,0xffffffff,0xfe88000e,0x3fe60eff,0x7c400eff,0xfe85ffff,
    0x2a006fff,0xe88dffff,0xfd02ffff,0x1fffffff,0xb7fffcc0,0x2ffffffb,
    0x3bbbaa00,0xee98000d,0xeeec83ee,0x03b1001e,0x3bffffd5,0xeeea8000,
    0x900001de,0x07dfffff,0xffffc800,0x03ffffff,0x26662000,0x3ffe0009,
    0xffd504ff,0x2200ffff,0x540deeed,0xa804eeee,0xf980efff,0x88001fff,
    0x3fea1fff,0x3ba60006,0xeeec83ee,0xffffb01e,0x3200000f,0x76c1deee,
    0x10001dee,0xfffd503b,0xc80003bf,0x03efffff,0x06666200,0x004cccc4,
    0x4077ffd4,0x001ffff9,0x907dddd3,0xfd03dddd,0x9fffffff,0xb7fffcc0,
    0x0efffff8,0x00000000,0x40000000,0x00000198,0x98800000,0x3fe00001,
    0xffffbfff,0x0000005f,0x3ffffe00,0x3fffe204,0x000001ff,0x01571000,
    0x000055c4,0xff99fffd,0x0000009f,0xffffd800,0x00000007,0x20000000,
    0x80000198,0x00000198,0x2e200000,0x02ae200a,0xe8000000,0xffffffff,
    0xffff300f,0x0f7ffd4d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x23ffffe6,0x00fffffd,0x55555540,0x00aaaaaa,0x09fffff0,0x3fffffc8,
    0x00000000,0x30000000,0xdfffffff,0x00000001,0x7ffffd80,0x00000000,
    0x00000000,0x00000000,0x01555554,0x00000000,0xe8000000,0xffffffff,
    0xffff304f,0x0000330d,0x00135553,0x55553300,0x00000013,0x54cc0000,
    0x00009aaa,0xf7000000,0x3feedfff,0x74002fff,0xffffffff,0xff003fff,
    0xfa809fff,0x0003ffff,0x04d554c4,0x0d54c000,0x7ecc0000,0x0000cfff,
    0x00355300,0x07ffffd8,0x2a600000,0x0000001a,0x00003553,0x000d54c0,
    0x0bffffd0,0x00000000,0x20000000,0xffeffffe,0xff980fff,0x100006ff,
    0xfffffd97,0x2007bfff,0xfffffec8,0x00dfffff,0x009fffff,0x037fffec,
    0x7ffff644,0x0dffffff,0x09fffff0,0x37fffec0,0x53ffffa0,0x04fffff9,
    0x7fffff40,0x03ffffff,0x09fffff0,0x2fffffb8,0x7fee5400,0xdfffffff,
    0xfec8800b,0x2cefffff,0x06620000,0x3b220000,0xceffffff,0x7fffec02,
    0x22000007,0xffffffec,0x100002ce,0xffffffd9,0x4400059d,0xffffffec,
    0x3fa002ce,0x00005fff,0x009fffff,0x237fffec,0x004fffff,0x75bffff6,
    0xfffaffff,0xfff984ff,0xf980006f,0xffffffff,0x4407ffff,0xfffffffc,
    0x1fffffff,0x09fffff0,0x37fffec0,0xfffff910,0xffffffff,0x3fffe03f,
    0x3ff6004f,0x3fe206ff,0x3ffa1fff,0x7f4007ff,0xffffffff,0xfff003ff,
    0xffd809ff,0xb1001fff,0xffffffff,0x09ffffff,0xfffffe98,0x04ffffff,
    0x3fffe200,0x80007fff,0xffffffe9,0x204fffff,0x007ffffd,0xfffd3000,
    0xffffffff,0xfe980009,0xffffffff,0xe98004ff,0xffffffff,0xfd004fff,
    0x0000bfff,0x013ffffe,0x46ffffd8,0x004fffff,0x75bffff6,0xffc9ffff,
    0x7fcc0fff,0x3ffee6ff,0x7ffe402f,0xffffffff,0x3e207fff,0xffffffff,
    0x1fffffff,0x09fffff0,0x37fffec0,0xffffff88,0xffffffff,0xffff01ff,
    0x7fec009f,0x3fea06ff,0x7ffe47ff,0x3fa001ff,0xffffffff,0xfff003ff,
    0x7fd409ff,0xf5006fff,0xffffffff,0x9fffffff,0x7ffffdc0,0xffffffff,
    0xfb8000df,0x1fffffff,0x3ffee000,0xffffffff,0xfd80dfff,0x00007fff,
    0xffffffb8,0xffffffff,0xffb8000d,0xffffffff,0x000dffff,0xfffffff7,
    0xbfffffff,0xffffe801,0xfff00005,0x7ec009ff,0x7ffc6fff,0x3f6004ff,
    0xfffd6fff,0xfffff13f,0x6ffff989,0x40bfffee,0xffffffe8,0xffffffff,
    0x3fff607f,0xffffffff,0xf01fffff,0x4009ffff,0xb06ffffd,0xffffffff,
    0xffffffff,0x3ffffe03,0x3fff6004,0x3fff606f,0x7fffd45f,0xf980003f,
    0xf003ffff,0x9309ffff,0x05ffffff,0xffffffb0,0xffffffff,0x3f609fff,
    0xffffffff,0xefffffff,0x7ffec000,0x004fffff,0xffffffb0,0xffffffff,
    0xffd81dff,0xeeeeefff,0x04eeeeee,0x7fffffec,0xffffffff,0x36000eff,
    0xffffffff,0xffffffff,0x7ffec00e,0xffffffff,0x00efffff,0x017ffffa,
    0x7ffffc00,0x3fff6004,0x7ffffc6f,0x3fff6004,0x3ffffd6f,0x83fffff2,
    0x2e6ffff9,0xfd02ffff,0xffffffff,0xffffdb9b,0x3ffffee0,0xbaaabcff,
    0xff01ffec,0x6c009fff,0xfb86ffff,0xbcffffff,0xffecbaaa,0x9fffff01,
    0x7fffec00,0x3ffffe06,0x7ffffc43,0xff980006,0xff003fff,0xfdddffff,
    0x9fffffff,0xfffff700,0xd99dffff,0x309ffffd,0xffffffff,0xffffffbb,
    0xff8007ff,0x6fffffff,0xffff9800,0xffddffff,0x43ffffff,0xfffffffd,
    0xffffffff,0x3ffe605f,0xfddfffff,0x3fffffff,0xfffff300,0xfffbbfff,
    0x407fffff,0xfffffff9,0xfffffddf,0x3fa03fff,0x00005fff,0x009fffff,
    0x237fffec,0x004fffff,0x75bffff6,0xff11ffff,0x7fcc9fff,0x3fff26ff,
    0xffffa83f,0x2a00afff,0xfffff07d,0x151001bf,0x13ffffe0,0x6ffffd80,
    0xdffffff8,0xf00a8800,0x4009ffff,0x306ffffd,0xd01fffff,0x001fffff,
    0xfffff980,0xfffff003,0xffffffff,0xf1005fff,0x39ffffff,0xe84fc980,
    0x81efffff,0x7fffffe9,0x3fffea00,0x00ffffff,0x7fffff40,0xfffe981e,
    0x7ffec7ff,0xffffffff,0x205fffff,0x1efffffe,0xfffffe98,0xffffd007,
    0xffd303df,0x7f40ffff,0x981effff,0x07fffffe,0x017ffffa,0x7ffffc00,
    0x3fff6004,0x7ffffc6f,0x3fff6004,0x3ffffd6f,0x87ffffe4,0x326ffff9,
    0xfe83ffff,0x001effff,0x3fffe202,0x3e00006f,0x2004ffff,0x446ffffd,
    0x006fffff,0x3ffffe00,0x3fff6004,0xffff906f,0x3fffee0d,0x7cc0002f,
    0xf003ffff,0xffffffff,0x003bffff,0x7fffffec,0x7d408003,0x200effff,
    0x2ffffff8,0xfffff900,0x007fffff,0x77ffffd4,0x3fffe200,0x3fff62ff,
    0xffffffff,0x505fffff,0x01dfffff,0x7fffffc4,0x7fffd402,0x3fe200ef,
    0xfa82ffff,0x200effff,0x2ffffff8,0x0bffffd0,0x3fffe000,0x3ff6004f,
    0x7fffc6ff,0x3ff6004f,0xffffd6ff,0x7ffffc43,0x4dffff34,0x5c3ffffc,
    0x00ffffff,0xffffa800,0x3e00005f,0x2004ffff,0x546ffffd,0x005fffff,
    0x3ffffe00,0x3fff6004,0xffffd06f,0x3fffe609,0x7cc0005f,0xf003ffff,
    0xffffffff,0x005dffff,0x3fffffe6,0xffd00001,0xf5001fff,0x200dffff,
    0xffbfffff,0x3a005fff,0x800fffff,0x26fffffa,0xeefffffd,0xeeeeeeee,
    0xffffd04e,0xfff5001f,0xffe80dff,0xfa800fff,0xfe86ffff,0xa800ffff,
    0xd06fffff,0xc98bffff,0x7c01bced,0x2004ffff,0x7c6ffffd,0x2004ffff,
    0xfd6ffffd,0xffc83fff,0xfff98fff,0x3ffff66f,0x7fffffc3,0xff500003,
    0x0000ffff,0x027ffffc,0x8dffffb0,0x07fffffa,0x3fffe000,0x3ff6004f,
    0xfff886ff,0x3ffe02ff,0x4c0007ff,0x003fffff,0xd9dfffff,0x5fffffff,
    0xfffffd00,0x3e60000b,0x2006ffff,0x01ffffff,0x47ffffcc,0x00fffffd,
    0x6fffff98,0x3ffffe00,0xfffffb1f,0xfff30000,0x7fc00dff,0xf301ffff,
    0x400dffff,0x21ffffff,0x06fffff9,0x3fffffe0,0x4ffffe81,0xffffffd1,
    0x7fffc09f,0x3ff6004f,0x7fffc6ff,0x3ff6004f,0xffffd6ff,0xfffff883,
    0x26ffff9c,0x264ffffd,0x00ffffff,0xffff3000,0x200009ff,0x004fffff,
    0x31bffff6,0x09ffffff,0x3fffe000,0x3ff6004f,0xfffb86ff,0x3ff600ff,
    0x20001fff,0x03fffff9,0x49fffff0,0xffffffc8,0x7ffffc00,0xf700001f,
    0x4007ffff,0x02fffffc,0xbb7fffdc,0x802fffff,0x03fffffb,0x3fffff20,
    0x0fffffb2,0xffff7000,0x7fe4007f,0xff702fff,0x64007fff,0x2e2fffff,
    0x003fffff,0x0bfffff2,0x273ffffa,0xffffffff,0xffff06ff,0x7fec009f,
    0x7fffc6ff,0x3ff6004f,0xffffd6ff,0xfffff903,0x6cdffff7,0x3ea4ffff,
    0x0005ffff,0x7fffffc0,0x7c0001df,0x2004ffff,0xf86ffffd,0x1dffffff,
    0x7fffc000,0x3ff6004f,0xfffd86ff,0xccccccff,0x4fffffec,0x3ffe6000,
    0xfff003ff,0xfffd09ff,0x7fcc09ff,0x00005fff,0x03fffff6,0xfffffa80,
    0x7ffff403,0x9fffff34,0xfffffb00,0x7ffd4001,0xffffb3ff,0xffb0000f,
    0x54001fff,0xb03fffff,0x001fffff,0x1fffffd4,0x01fffffb,0x7ffffd40,
    0xdffffe83,0xffffffff,0xff83ffff,0x36004fff,0x7fc6ffff,0x36004fff,
    0xffd6ffff,0xfff103ff,0xdffffdff,0x727fffec,0x007fffff,0xffffd800,
    0x002effff,0x09fffff0,0x37fffec0,0x7fffffec,0xf0002eff,0x4009ffff,
    0xf86ffffd,0xffffffff,0xffffffff,0x260006ff,0x003fffff,0x109fffff,
    0x01ffffff,0x0fffffea,0xfffe8000,0x3e6000ff,0x2204ffff,0x3a1fffff,
    0xe807ffff,0x000fffff,0x53ffffe6,0x007ffffd,0xfffffe80,0x3ffe6000,
    0xfffd04ff,0x7cc001ff,0x3fa4ffff,0x2000ffff,0x84fffff9,0xfffffffe,
    0xffffffff,0xffff87ff,0x3ff6004f,0x7fffc6ff,0x3ff6004f,0xffffd6ff,
    0x3ffff203,0x3a6fffff,0x3f65ffff,0x0002ffff,0x7ffffc40,0x1cffffff,
    0x3ffffe00,0x3fff6004,0xffff886f,0xcfffffff,0x3fffe001,0x3ff6004f,
    0x7ffd46ff,0xffffffff,0xffffffff,0xff30000f,0x3e007fff,0xf904ffff,
    0x2e09ffff,0x502fffff,0x55555555,0x7ffffc35,0x7ffc4007,0x3fea05ff,
    0x7ffe47ff,0x7ffc01ff,0x7c4007ff,0xffb5ffff,0xf0000fff,0x800fffff,
    0x05fffff8,0x00ffffff,0x5fffff88,0x01fffffe,0xbfffff10,0xffffffd0,
    0xff713bff,0xff83ffff,0x36004fff,0x7fc6ffff,0x36004fff,0xffd6ffff,
    0x3fe203ff,0x6fffffff,0xe97ffffa,0x001fffff,0xffffa800,0xffffffff,
    0xffff802e,0x3ff6004f,0xfff506ff,0xffffffff,0xfff005df,0x7ec009ff,
    0x7fe46fff,0xffffffff,0xffffffff,0xf30003ff,0x2007ffff,0x304fffff,
    0x01ffffff,0x03fffff9,0x3ffffffe,0x3ffe5fff,0x7c4007ff,0x3606ffff,
    0x7d45ffff,0x7c03ffff,0x4007ffff,0xb6fffff8,0x000fffff,0x0ffffff0,
    0xfffff880,0xffffff06,0xffff8800,0x3ffffe6f,0x7ffc4007,0xfffe86ff,
    0xfb81ffff,0x7fc3ffff,0x36004fff,0x7fc6ffff,0x36004fff,0xffd6ffff,
    0x7fe403ff,0x26ffffff,0x3e5ffffe,0x000fffff,0xffff3000,0xffffffff,
    0x7ffc01bf,0x3f6004ff,0x3e606fff,0xffffffff,0x200dffff,0x004fffff,
    0xd1bffff6,0xffffffff,0xffffffff,0x000bffff,0x0fffffe6,0x27ffffc0,
    0x9fffffb0,0x1fffffb0,0x3fffffe0,0xff15ffff,0xf000dfff,0x7c0fffff,
    0x7c43ffff,0x2206ffff,0x006fffff,0xb7fffff8,0x000fffff,0x6fffff88,
    0xfffff800,0xfffff887,0xffff8006,0xfffff17f,0xffff000d,0xffffd0ff,
    0x3fe605ff,0x7ffc4fff,0x3f6004ff,0x7ffc6fff,0x3f6004ff,0xfffd6fff,
    0x7ffc403f,0x3e6fffff,0xff15ffff,0x0001ffff,0x7ffe4400,0xffffffff,
    0xffff00ef,0x7fec009f,0x7e4406ff,0xffffffff,0xff00efff,0x6c009fff,
    0x3e66ffff,0x2001ffff,0x007fffff,0x7fffff30,0x3ffffe00,0x3fffea04,
    0x7fff40ff,0xffff00ff,0x2bffffff,0x06fffff8,0x7fffff80,0x1fffff30,
    0x1fffffd0,0x3ffffe20,0xffff8006,0xfffffb7f,0xfff88000,0xff8006ff,
    0xff887fff,0xf8006fff,0xff17ffff,0xf000dfff,0xfd0fffff,0xf807ffff,
    0x7fc5ffff,0x36004fff,0x7fc6ffff,0x36004fff,0xffd6ffff,0xffc803ff,
    0x3e6fffff,0x3fe6ffff,0x0001ffff,0xffeb8800,0xffffffff,0x9fffff06,
    0x7fffec00,0xffd71006,0xffffffff,0x3ffffe0d,0x3fff6004,0x3fffee6f,
    0x7ffec007,0xf98002ff,0xf003ffff,0xe809ffff,0x6c3fffff,0xf01fffff,
    0xffffffff,0x7ffffcbf,0x7ffc4007,0xfff906ff,0x3ffee0df,0x3ffe02ff,
    0x7c4007ff,0xffb6ffff,0xdddddfff,0x3ddddddd,0x07fffff8,0x7ffffc40,
    0xffffff06,0xffff8800,0x3ffffe6f,0x7ffc4007,0xfffe86ff,0xfffe806f,
    0x7ffffc5f,0x3fff6004,0x7ffffc6f,0x3fff6004,0x3ffffd6f,0xfffff880,
    0x3fffe6ff,0x3ffffa6f,0x0000002f,0x7ffffe4c,0xff83ffff,0x36004fff,
    0x8006ffff,0xffffffc9,0xfff83fff,0x3f6004ff,0x3ff66fff,0x7dc005ff,
    0x8004ffff,0x03fffff9,0x09fffff0,0xffffffb8,0x3fffff20,0xd5555502,
    0x7f4bffff,0x44007fff,0xd06fffff,0x2609ffff,0x205fffff,0x007ffffe,
    0xb7ffffc4,0xfffffffd,0xffffffff,0x7fff41ff,0x7fc4007f,0xffd06fff,
    0xf8800fff,0x3fa6ffff,0x44007fff,0xe86fffff,0xe805ffff,0x7fc5ffff,
    0x36004fff,0x7fc6ffff,0x36004fff,0xffd6ffff,0xff9003ff,0x7fcdffff,
    0x3ff66fff,0x00003fff,0xfff71000,0xff0dffff,0x6c009fff,0x0006ffff,
    0x3ffffee2,0xffff86ff,0x3ff6004f,0xffff16ff,0xff98005f,0x98007fff,
    0x003fffff,0x809fffff,0x3ffffff8,0x0bffffee,0x5ffffe80,0x03fffff6,
    0xfffff980,0xfffff885,0x3ffffe02,0x3ffff607,0x3fe6000f,0xfffb5fff,
    0xffffffff,0x83ffffff,0x00fffffd,0x3ffffe60,0xfffffb05,0x7ffcc001,
    0x3fff65ff,0x3e6000ff,0xfe85ffff,0xfe805fff,0x7ffc5fff,0x3f6004ff,
    0x7ffc6fff,0x3f6004ff,0xfffd6fff,0xfff1003f,0x7ffcdfff,0x3fff27ff,
    0x000004ff,0x7fff4c00,0x7ffc0fff,0x3fa004ff,0x80005fff,0xffffffe9,
    0x27ffffc0,0xbffffd00,0x03ffffea,0x3ffffa00,0x7fcc001f,0xff003fff,
    0xf9009fff,0x7d4fffff,0x2004ffff,0x325ffffe,0x000fffff,0x13ffffea,
    0x03ffffee,0x1fffffd8,0x1fffff90,0x7fffd400,0xfffffb4f,0xffffffff,
    0xfc83ffff,0x2000ffff,0x04fffffa,0x01fffff9,0x7ffffd40,0x3fffff24,
    0x3ffea000,0xfffe84ff,0xfffe805f,0x7ffffc5f,0x3fffa004,0x7ffffc5f,
    0x3fffa004,0x3ffffd5f,0x3ffff200,0xfffff16f,0x7ffffdcf,0x0000000f,
    0x7ffffcc0,0x7ffffc1f,0x3fffe005,0xf300004f,0xf83fffff,0x2005ffff,
    0xf94fffff,0x2000dfff,0x03fffffc,0x7ffffcc0,0xfffff003,0xffff1009,
    0x3ffe67ff,0x3fa007ff,0x3fee5fff,0x32003fff,0xd82fffff,0xcccfffff,
    0xfffecccc,0xfff704ff,0x7e4007ff,0xffb2ffff,0xffffffff,0x3fffffff,
    0x3fffffb8,0x3ffff200,0xffff702f,0x7fe4007f,0x3fee2fff,0x32003fff,
    0xe82fffff,0xe805ffff,0x7fc5ffff,0x3e005fff,0x7fc4ffff,0x3e005fff,
    0xffd4ffff,0x3e2003ff,0xff16ffff,0x7fd4ffff,0x0003ffff,0xffe80000,
    0x7ff41fff,0x3fe006ff,0x00003fff,0x07fffffa,0x00dffffd,0x01fffffc,
    0x3ffa2000,0xf98000ef,0x0003ffff,0xff880000,0xd002ffff,0x7d4bffff,
    0x2006ffff,0x80ffffff,0xffffffff,0xffffffff,0xff506fff,0x7c00dfff,
    0x000fffff,0x0bfffd10,0x0dfffff5,0x7fffffc0,0xfffff500,0x7fffc00d,
    0x3ffea0ff,0x3fe006ff,0xfe80ffff,0xfe805fff,0x7ff45fff,0x3fe006ff,
    0x7ff43fff,0x3fe006ff,0x00003fff,0x22bffffd,0x747fffff,0x00efffff,
    0x7c000000,0x640fffff,0x3007ffff,0x003fffff,0x7ffffc00,0x7fffe40f,
    0xffff3007,0xe800003f,0x0000efff,0x07fffff3,0x20000000,0x06fffffd,
    0x4bffffd0,0x0ffffff8,0xfffffa80,0xfffffa85,0xffffffff,0x0fffffff,
    0xffffff88,0xffffa800,0xfd10005f,0xff101dff,0x5001ffff,0x40bfffff,
    0x0ffffff8,0xfffffa80,0x7ffffc45,0xfffa800f,0xfffd05ff,0xfffd00bf,
    0xffffc8bf,0xffff3007,0xffffc83f,0xffff3007,0x3e00003f,0xff34ffff,
    0xffa8ffff,0x001effff,0x4c000206,0xb86fffff,0x803fffff,0x40fffffc,
    0xfff30000,0xfff70dff,0xff9007ff,0x00001fff,0x00ffffe4,0xfffff300,
    0x55300007,0xf8800355,0x00dfffff,0x22fffff4,0x0efffffc,0x3ffffe20,
    0xffffc80f,0xffffffff,0xffffffff,0xfffff903,0x7ffc401d,0x90000fff,
    0x6403ffff,0x00efffff,0x3fffffe2,0x7fffe400,0x3fe200ef,0xfc80ffff,
    0x200effff,0x0ffffff8,0x0bffffd0,0x8bffffd0,0x03fffffb,0x0fffffc8,
    0x1fffffdc,0x7ffffe40,0xff980000,0xfff32fff,0xffe81fff,0x00bfffff,
    0x7db0fd71,0x3ffea003,0xffa84fff,0x2a01ffff,0xd85fffff,0xff5001be,
    0xf509ffff,0x403fffff,0x05fffffa,0x7fffc000,0x7fcc0006,0x80003fff,
    0x002ffffd,0xffffffc8,0x3fffa01e,0x7fffc45f,0xfe980eff,0xfd04ffff,
    0xffffffff,0xffffffff,0x3e20bfff,0x80efffff,0x4fffffe9,0xffff1000,
    0xffff880b,0xfe980eff,0x8804ffff,0x0effffff,0xfffffe98,0xfffff104,
    0xffd301df,0x7f409fff,0xfe805fff,0x7fd45fff,0x2a01ffff,0xa85fffff,
    0x01ffffff,0x17ffffea,0x7ffec000,0x266661ff,0xffff9819,0xcdffffff,
    0xd87ffffe,0xccdeffff,0xfffffdcb,0xffb01fff,0x3359ffff,0xffffff95,
    0xdffffb01,0xffb9799b,0x03ffffff,0x3ffffff6,0xffca99ac,0x0000ffff,
    0x1bfffe60,0xffff3000,0xff00007f,0x10001fff,0xffffffff,0xffd999df,
    0xffb0bfff,0xb9dfffff,0xffffffff,0xfffff301,0x7fffc003,0x3fff607f,
    0xfdceffff,0x0fffffff,0xffff5000,0xffffb00b,0xffb9dfff,0x01ffffff,
    0x3fffff60,0xfffdceff,0x200fffff,0xfffffffd,0xfffffdce,0x3fa00fff,
    0xfe805fff,0xffd85fff,0x99acffff,0xffffffca,0xfffffb00,0xf953359f,
    0x001fffff,0xffffe980,0x3f20007f,0xffffffff,0x7fffffff,0xffffffd8,
    0xffffffff,0x2602ffff,0xffffffff,0xffffffff,0xffffb03f,0xffffffff,
    0x05ffffff,0x7fffffcc,0xffffffff,0x00003fff,0x67ffffcc,0xaaa980aa,
    0xffffcaaa,0xaaaaaadf,0xffff8800,0x3fea0005,0xffffffff,0xffffffff,
    0xfffff985,0xffffffff,0xf703ffff,0xd800ffff,0x302fffff,0xffffffff,
    0xffffffff,0x7d40007f,0x0aacffff,0xffffff98,0xffffffff,0x26003fff,
    0xffffffff,0xffffffff,0x7ffcc03f,0xffffffff,0x03ffffff,0x02fffff4,
    0x42fffff4,0xfffffff9,0xffffffff,0x3fe603ff,0xffffffff,0x3fffffff,
    0x3fffa000,0x002fffff,0x7ffffd40,0xffffffff,0xfffd87ff,0xffffffff,
    0x04ffffff,0xffffffc8,0xffffffff,0x3fff606f,0xffffffff,0x04ffffff,
    0xffffffc8,0xffffffff,0x8800006f,0xffffffff,0xfffffc81,0xffffffff,
    0x00ffffff,0x03ffff98,0x7fff4c00,0xffffffff,0x105fffff,0xfffffffd,
    0x7fffffff,0x2ffffec0,0x3fffee00,0x3ffa204f,0xffffffff,0x0003ffff,
    0x7fffffc4,0xffd100ff,0xffffffff,0x0007ffff,0xffffffd1,0xffffffff,
    0x3ffa2007,0xffffffff,0xe803ffff,0xe805ffff,0xf905ffff,0xffffffff,
    0x0dffffff,0xffffff90,0xffffffff,0xff8000df,0x04ffffff,0xfffb1000,
    0xffffffff,0xfffb0fff,0xffffffff,0x005dffff,0x7fffffd4,0x3fffffff,
    0x7ffffec0,0xffffffff,0x2a002eff,0xffffffff,0x003fffff,0x3fff2000,
    0xfc81ffff,0xffffffff,0xffffffff,0xffb800ff,0x900000ff,0xffffffff,
    0x7fffffff,0xfffffd80,0x1effffff,0x3ffffe20,0x7ffcc002,0xffd807ff,
    0xffffffff,0x900001ef,0x1fffffff,0xfffffd80,0x1effffff,0x7ffec000,
    0xffffffff,0xffd8001e,0xffffffff,0xffd001ef,0xffd00bff,0x7fd40bff,
    0xffffffff,0x2a003fff,0xffffffff,0x003fffff,0xffffff80,0xa800004f,
    0xffffffec,0xd9301cef,0xffffffff,0x0005bfff,0x3ffffb22,0x800dffff,
    0xfffffec9,0x2dffffff,0xffd91000,0x1bffffff,0xf7000000,0x903fffff,
    0xffffffff,0xffffffff,0xfb001fff,0x80000dff,0xfffffec9,0x00adffff,
    0xfffffb70,0xf5007dff,0x0001ffff,0x03fffffd,0xfffffb70,0x00007dff,
    0xffffff70,0xfffb7001,0x007dffff,0x7ffedc00,0x003effff,0x7fffedc0,
    0x4003efff,0x805ffffe,0x405ffffe,0xfffffec8,0x8000dfff,0xfffffec8,
    0x0000dfff,0x19fffff0,0x22000000,0x800099a9,0x9abbaaa9,0xa9800000,
    0x400009ab,0x9abbaaa9,0xa9800000,0x000009ab,0x03331000,0x7fffffe4,
    0xffffffff,0x800fffff,0x0001aaaa,0x555d4c00,0x98800019,0x7e4001ab,
    0x90006fff,0x007fffff,0x001ab988,0x13310000,0x2ae62000,0x88000001,
    0x00001ab9,0x00357310,0x2fffff40,0x2fffff40,0x26aea600,0x54c00000,
    0x000009ab,0x0009abc8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffff90,0xffffffff,0x0005ffff,0x20000000,0x1aaaaaaa,0x55555530,
    0x7ff40005,0x9801ffff,0x4006ffff,0x001aaaa9,0x00000000,0x0bfffe20,
    0x07ffffee,0x2aaa6000,0x00002aaa,0x2aaaa000,0x93001aaa,0x33320599,
    0xbfffff04,0xfffff900,0x3b26001f,0x003101ce,0x2a01cdb8,0x400002dd,
    0x1aaaaaaa,0x201cdb80,0x00002dda,0x00355553,0x555554c0,0x0000002a,
    0x006aaaa6,0x0e764400,0xffffffc8,0xffffffff,0x8002ffff,0x000cffd8,
    0x3fff2000,0x36204fff,0x03ffffff,0xfffffd00,0xfff300bf,0x7fcc00df,
    0x0001ffff,0x0067fec4,0x7fdc0000,0xffff707f,0xb100003f,0x07ffffff,
    0xf9000000,0x009fffff,0x5437ffcc,0xfff06fff,0xff980bff,0x8802ffff,
    0xdffffffe,0xc800ff41,0xfb81ffff,0x00002fff,0x9ffffff9,0x3ffff900,
    0x05ffff70,0xffff9800,0xb10001ff,0x07ffffff,0xff300000,0x0003ffff,
    0x2fffff98,0xffffffc8,0xffffffff,0x8002ffff,0x005ffffe,0xffff9000,
    0x3ee005ff,0x003fffff,0xffffffe8,0x7ffcc01f,0xfff5006f,0x003fffff,
    0x2fffff40,0x7ec00000,0xfff705ff,0x400003ff,0x3ffffffb,0x32000000,
    0x02ffffff,0xbeffff80,0x04ffffdb,0x80bfffff,0x05fffffe,0xffffffb0,
    0xfff9bfff,0xfff8803f,0xffff86ff,0xfc80007f,0x802fffff,0x86fffff8,
    0x007fffff,0x3ffffea0,0x20001fff,0x3ffffffb,0x3ea00000,0x1fffffff,
    0x3fffa000,0x7fe40fff,0xffffffff,0xffffffff,0x7ffd4002,0x00001fff,
    0x6fffffe4,0x7ff4c000,0x74003fff,0x4fffffff,0x37fffcc0,0x77fffd40,
    0x002fffff,0xffffffa8,0x22000001,0xf702ffff,0x0003ffff,0xffffe980,
    0x8000003f,0x0dfffffc,0xffff7000,0x1fffffff,0x17ffffe0,0xffffffc8,
    0xffffb800,0xffffffff,0x4c00efff,0x447fffff,0x00ffffff,0x3ffff200,
    0xff3000df,0xff88ffff,0x8000ffff,0xffeffffa,0x20002fff,0x3fffffe9,
    0xffa80000,0xfffffeff,0xffff0002,0xcca83fff,0xffffcccc,0xccccccff,
    0x7ffdc001,0x00002fff,0x0ffffff2,0xffff9000,0x7ff4005f,0x00ffffff,
    0x01bfffe6,0x11bffff5,0x005ffffd,0xffffffb8,0x2a600002,0x0ffffbaa,
    0x3fffff70,0x3f200000,0x0002ffff,0x3ffff200,0xfd80003f,0xffffffff,
    0x3ffffe02,0xfffff305,0x3fa2003f,0xfffd98af,0x800fffff,0x85fffff8,
    0x006ffffe,0x3fffff20,0x7ffc4003,0xfffe85ff,0xffa8006f,0xffe88dff,
    0x640002ff,0x002fffff,0x3fffea00,0xffffe88d,0xffff8002,0x3e001fff,
    0x0005ffff,0x3ffffe60,0xd500001f,0x0003bddd,0x3bbbbaa0,0xffffd001,
    0x4c09ffff,0x2606ffff,0xec83eeee,0x26001eee,0x01ffffff,0x3ffb2200,
    0x5fffffff,0x3ffffee0,0x2a000001,0x001eeeee,0xeeeea800,0x2a00001d,
    0x0cfffffe,0x2fffffc0,0x4fffffe8,0x540ec400,0x01dffffe,0x03bffea0,
    0x007fffe6,0x6f777540,0xfff50001,0xffff301d,0xeee98003,0xeeeec83e,
    0x77540001,0x80001eee,0xc83eeee9,0x4001eeee,0x06fffffc,0x2fffffc0,
    0x3ff60000,0x000004ff,0x00000000,0x3fffffa0,0xf300ffff,0x0000dfff,
    0x3ff60000,0x260004ff,0xffffffff,0x2e05ffff,0x001fffff,0x00000000,
    0x00000000,0x7c001330,0xfc85ffff,0x0006ffff,0x00033100,0x710055c4,
    0x00000015,0x00ab8800,0x00002ae2,0x00000000,0x00000000,0x7fec4000,
    0x7fc001ef,0x00005fff,0x0002ddb8,0x00000000,0x7fff4000,0x03ffffff,
    0x00dffff3,0x5c000000,0x2e0002dd,0xffffffff,0x0effffff,0x1fffffb8,
    0x00000000,0x00000000,0x3e000000,0x7cc5ffff,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0xfff0002a,
    0x00000bff,0x00000000,0x80000000,0xffeffffe,0xfff306ff,0x000000df,
    0xd8000000,0xffffffff,0xffffffff,0xfffffb86,0x98000001,0x000001aa,
    0x00006aa6,0x35553100,0x7ffffc01,0x7fffff45,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,0x0000bfff,
    0xfff80000,0x3f6004ff,0x7ffc6fff,0x3f6004ff,0xfffd6fff,0x5fffff7f,
    0x0dffff30,0x3ffffffa,0xffffffff,0x0000005f,0xffffff98,0xffffbbdf,
    0x7dc3ffff,0x0001ffff,0xfffec880,0x002cefff,0x3fffb220,0x002cefff,
    0x7ffee540,0xbdffffff,0x97ffffe0,0x05fffffb,0x7fffff40,0xfff9801f,
    0xffffc86f,0xffffffff,0x42ffffff,0x1ffffffe,0x6ffff980,0xfffff100,
    0x40000fff,0xfffffff8,0x3e200007,0x07ffffff,0xfffff900,0xffffffff,
    0x005fffff,0xfff80000,0xfc8005ff,0xffffffff,0xffffffff,0x7ffffc2f,
    0x3fff6004,0x7ffffc6f,0x3fff6004,0x3ffffd6f,0x30dffffb,0x3a0dffff,
    0xffffffff,0x5fffffff,0xffffffb0,0xffffffff,0xffb03fff,0xffa8bfff,
    0x0fffffff,0x07ffffee,0xffd30000,0xffffffff,0xfd30009f,0xffffffff,
    0xb10009ff,0xffffffff,0x49ffffff,0xf35fffff,0x001fffff,0xffffffe8,
    0xffff9805,0xfffffc86,0xffffffff,0x742fffff,0x05ffffff,0x06ffff98,
    0xffffff70,0x200003ff,0xfffffffb,0xf700001f,0x3fffffff,0xffff9000,
    0xffffffff,0x05ffffff,0x07fffec0,0x3ffffe00,0xfffc8005,0xffffffff,
    0x2fffffff,0x027ffffc,0x8dffffb0,0x004fffff,0x75bffff6,0xffa9ffff,
    0x7fcc1fff,0xfffd06ff,0xffffffff,0x360bffff,0xffffffff,0xffffffff,
    0x7fffcc1f,0xffffc85f,0x2e4fffff,0x001fffff,0x3fffee00,0xffffffff,
    0xf7000dff,0xffffffff,0x01bfffff,0x3ffffea0,0xffffffff,0x3ffe4fff,
    0xffffd5ff,0xffd0005f,0x803fffff,0xc86ffff9,0xffffffff,0xffffffff,
    0x7fff42ff,0x4c01ffff,0xb006ffff,0xffffffff,0x3f600009,0x4fffffff,
    0xfffb0000,0x009fffff,0xffffff90,0xffffffff,0x4005ffff,0x000ffffe,
    0x02fffffc,0x7ffffe40,0xffffffff,0x7c2fffff,0x2004ffff,0x7c6ffffd,
    0x2004ffff,0xfd6ffffd,0x3ffa3fff,0x7ffcc5ff,0xffffd06f,0xffffffff,
    0x3f60bfff,0xffffffff,0xffffffff,0x3fffff41,0xffcffff8,0x3fee7fff,
    0x00001fff,0xfffffffb,0xffffffff,0xffd801df,0xffffffff,0x0effffff,
    0x7ffffec0,0xffffffff,0x3fe4ffff,0xfffbdfff,0xfd0004ff,0x09ffffff,
    0x86ffff98,0xfffffffc,0xffffffff,0x7ff42fff,0x404fffff,0x006ffff9,
    0xffffffff,0x3e0000df,0xffffffff,0xfff00006,0x0dffffff,0xfffff900,
    0xffffffff,0x005fffff,0x007ffff4,0x17ffffe0,0x3ffff200,0xffffffff,
    0x42ffffff,0x004fffff,0xf1bffff6,0x4009ffff,0xfd6ffffd,0x3fea3fff,
    0x3fe61fff,0x999706ff,0xf9999999,0x360bffff,0xffffffff,0xffffffff,
    0x3fffe61f,0xffff984f,0x1fffffd9,0x03fffff7,0xffff3000,0xffbbffff,
    0x07ffffff,0x7fffffcc,0xffffddff,0x2e03ffff,0xffffffff,0xffeeccef,
    0x3fffe4ff,0x6fffffef,0x3fffa000,0x200fffff,0xa86ffff9,0xffcccccc,
    0xccccffff,0x7fff41cc,0x200fffff,0x806ffff9,0xfffffffa,0x40000fff,
    0xfffffffa,0x40000fff,0xfffffffa,0x54000fff,0xffcccccc,0xccccffff,
    0x3fa001cc,0x7c001fff,0x8005ffff,0xfcccccca,0xcccfffff,0x7ffc1ccc,
    0x3f6004ff,0x7ffc6fff,0x3f6004ff,0xfffd6fff,0x7ffffc3f,0x1bfffe64,
    0x3fffe000,0xffffb05f,0xdddddddf,0x5c3ddddd,0xc82fffff,0xfff56fff,
    0x3ffee7ff,0xe80001ff,0x81efffff,0x7fffffe9,0x3fffffa0,0xfffe981e,
    0xfff107ff,0x8039ffff,0x3ffe4fc9,0xffffffff,0x3ffa0003,0x04ffffff,
    0x01bfffe6,0x0bfffff0,0x7fffff40,0x3e604fff,0xfc806fff,0xffffffff,
    0x7e40003f,0xffffffff,0x7e40003f,0xffffffff,0x3e00003f,0x0005ffff,
    0x7ffffdcc,0x7fffc001,0x7c00005f,0x2005ffff,0x004fffff,0xf1bffff6,
    0x4009ffff,0xfd6ffffd,0x7fdc3fff,0xfff30fff,0xff0000df,0x3f60bfff,
    0x40007fff,0xd07ffffd,0x3fe29fff,0xfff74fff,0xa80003ff,0x00efffff,
    0x3fffffe2,0xfffffa82,0x3ffe200e,0xffd82fff,0x8003ffff,0x3fffffe0,
    0x00ffffff,0xfffffd00,0x2601ffff,0x4006ffff,0x005fffff,0x3ffffffa,
    0xff300fff,0xfff00dff,0xfffff7ff,0xfff8000b,0xfffffbff,0x7ffc0005,
    0xfffffbff,0x3fe00005,0x88005fff,0xfffffffc,0x7ffc002f,0x400005ff,
    0x005fffff,0x013ffffe,0x46ffffd8,0x004fffff,0x75bffff6,0x3e21ffff,
    0xff34ffff,0xf0000dff,0x360bffff,0x0007ffff,0x437ffff4,0x3e1ffff9,
    0xff75ffff,0x80003fff,0x00fffffe,0x6fffffa8,0x0fffffe8,0xfffffa80,
    0x7ffffcc6,0xff80001f,0xfffddfff,0xfd0005ff,0xffffffff,0x3fffe607,
    0x7fffc006,0x3ffa005f,0x3fffffff,0x0dffff30,0x8fffff98,0x00fffffd,
    0xfffff300,0x1fffffb1,0x3ffe6000,0xffffd8ff,0xff00000f,0x9800bfff,
    0xfffffffe,0x7fc002ff,0x00005fff,0x02fffffc,0x09fffff0,0x37fffec0,
    0x013ffffe,0xd6ffffd8,0xfc83ffff,0xff98ffff,0xf80006ff,0xfb05ffff,
    0x8000ffff,0xb86fffff,0x7ffc7fff,0xffff76ff,0x7cc0003f,0x2006ffff,
    0x21ffffff,0x06fffff9,0x3fffffe0,0x3fffffa1,0xfff00005,0xffff1bff,
    0xfd0007ff,0xffffdfff,0x3fffe60d,0x7fffc006,0x3ffa005f,0x6ffffeff,
    0x0dffff30,0x76ffffb8,0x005fffff,0x5bfffee0,0x02fffffb,0xdffff700,
    0x0bffffee,0x7fffc000,0x3fe6005f,0xffffffff,0x7ffc002f,0x400005ff,
    0x005fffff,0x013ffffe,0x46ffffd8,0x004fffff,0x75bffff6,0x7cc1ffff,
    0xff9bffff,0xf80006ff,0xfb05ffff,0x8000ffff,0xe85fffff,0x7ff44fff,
    0xffff76ff,0x7dc0003f,0x2003ffff,0x22fffffc,0x03fffffb,0x3fffff20,
    0x3fffffe2,0xfff00001,0x3ffeebff,0x74000fff,0xfffbffff,0xfff982ff,
    0x7ffc006f,0x3fa005ff,0xffffbfff,0xffff982f,0x7ffff406,0x9fffff34,
    0x3fffa000,0xfffff34f,0x3ffa0009,0xffff34ff,0x3e00009f,0x2005ffff,
    0xfffffffe,0x4001cccd,0x005fffff,0x7ffffc00,0x3fffe005,0x3ff6004f,
    0x7fffc6ff,0x3ff6004f,0xffffd6ff,0xdffffb03,0x00dffff3,0xbfffff00,
    0x1fffff60,0xffff8800,0x7fffc44f,0xbfffff42,0x01fffffb,0x3ffff600,
    0x3fea000f,0x3ff63fff,0x2a000fff,0xf33fffff,0x000bffff,0x2fffffc0,
    0x0dfffffd,0x9ffffe80,0x986ffffd,0x4006ffff,0x005fffff,0x367ffffa,
    0xf986ffff,0x3e206fff,0x3fa1ffff,0x88007fff,0x3a1fffff,0x8007ffff,
    0x21fffff8,0x007ffffe,0xbfffff00,0x3fffee00,0xf00002ff,0x000bffff,
    0x5fffff80,0x3ffffe00,0x3fff6004,0x7ffffc6f,0x3fff6004,0x3ffffd6f,
    0x7fffff50,0x000dffff,0x0bfffff0,0x01fffff6,0xfffff880,0x43fffdc4,
    0xf77ffffe,0x0003ffff,0x07fffff4,0xfffff300,0x7fffff49,0x3ffe6000,
    0xffff54ff,0x7c00007f,0x3e65ffff,0x003fffff,0x2a7ffffa,0x4c1fffff,
    0x4006ffff,0x005fffff,0x2a7ffffa,0x4c1fffff,0x2a06ffff,0x7e47ffff,
    0x4001ffff,0x647ffffa,0x001fffff,0x23ffffd4,0x01fffffc,0xfffff800,
    0xffffd005,0x7c00007f,0x0005ffff,0x2fffffc0,0x9fffff00,0x7fffec00,
    0x27ffffc6,0xdffffb00,0x407ffffa,0xfffffffe,0xf80006ff,0xfb05ffff,
    0x8000ffff,0x6c5fffff,0xffe85fff,0xffff76ff,0x7fc0003f,0x44007fff,
    0x3e5fffff,0x4007ffff,0x75fffff8,0x205fffff,0xaaaaaaaa,0x3fffe1aa,
    0x7fffe45f,0xffd001ff,0x3fffa3ff,0x7fffcc5f,0x7fffc006,0x3ffa005f,
    0xffffd1ff,0x6ffff98b,0x17ffff60,0x07fffff5,0x5ffffd80,0x1fffffd4,
    0x3ffff600,0x7ffffd45,0xfff80003,0xfff005ff,0x80000fff,0x005fffff,
    0x7ffffc00,0x3fffe005,0x3ff6004f,0x7fffc6ff,0x3ff6004f,0xffffd6ff,
    0x3fffea03,0x006fffff,0x5fffff80,0xdfffffb0,0xdddddddd,0xffff89dd,
    0x3fffe26f,0x6fffff82,0x03fffff7,0x7ffffc00,0x7ffc4007,0x3fffe6ff,
    0x7fc4007f,0xfff96fff,0x3ffe03ff,0x5fffffff,0x217ffffe,0x06fffffe,
    0x23ffffd0,0x21fffffa,0x006ffff9,0x02fffffc,0x23ffffd0,0x21fffffa,
    0x206ffff9,0x443fffff,0x006fffff,0x21fffffc,0x06fffff8,0x1fffffc0,
    0x1bffffe2,0x3fffe000,0xfff8805f,0x400006ff,0x005fffff,0x7ffffc00,
    0x3fffe005,0x3ff6004f,0x7fffc6ff,0x3ff6004f,0xffffd6ff,0x7ffffc03,
    0x0006ffff,0x05fffff8,0xfffffffb,0xffffffff,0xffffe8bf,0x03fffea6,
    0x5d7ffffe,0x001fffff,0xdfffff10,0xfffff000,0x3ffffe2f,0xffff8006,
    0xfffffb7f,0x3ffffe01,0x3e5fffff,0xfa85ffff,0x803fffff,0x3e1ffffe,
    0x3e64ffff,0x7c006fff,0x2005ffff,0x3e1ffffe,0x3e64ffff,0xff306fff,
    0xffd01fff,0x26001fff,0xe80fffff,0x000fffff,0x01fffff3,0x01fffffd,
    0xfffff800,0xffff9805,0x7c00007f,0x0005ffff,0x2fffffc0,0x9fffff00,
    0x7fffec00,0x27ffffc6,0xdffffb00,0x807ffffa,0xfffffffb,0xff80006f,
    0xffb05fff,0xffffffff,0x8bffffff,0x367ffffe,0xff885fff,0xfff73fff,
    0x220003ff,0x006fffff,0x17fffff8,0x00dfffff,0x2ffffff0,0x00fffffe,
    0xffffffff,0x7fffcbff,0xffffb05f,0xffe803ff,0x3ffee1ff,0xffff30ff,
    0xffff800d,0x3ffa005f,0x3ffee1ff,0xffff30ff,0x3ffff20d,0xfffff706,
    0x3fff2005,0xffff706f,0x3ff2005f,0xfff706ff,0xf80005ff,0xf005ffff,
    0x003fffff,0xcccccca8,0xccffffff,0x8001cccc,0x005fffff,0x013ffffe,
    0x46ffffd8,0x004fffff,0x75bffff6,0x2201ffff,0xffffffff,0xfff80006,
    0xfffb05ff,0xffffffff,0xc8bfffff,0xff1fffff,0xfff707ff,0x3ffee5ff,
    0xeeeeeeff,0x25eeeeee,0x007fffff,0x37ffffc4,0x00ffffff,0x6fffff88,
    0x03fffffb,0x3ffffffe,0x3ffe5fff,0xfff105ff,0xfe80dfff,0x3fe21fff,
    0xfff34fff,0xfff800df,0x3fa005ff,0x3fe21fff,0xfff34fff,0x3fffa0df,
    0xffff304f,0x3ffa00bf,0xfff304ff,0x3fa00bff,0xff304fff,0x8000bfff,
    0x005fffff,0x1dfffffb,0x7fffe400,0xffffffff,0x02ffffff,0x5fffff80,
    0x3ffffe00,0x3fff6004,0x7ffffc6f,0x3fff6004,0x3ffffd6f,0xfffffc80,
    0xf80006ff,0xfb05ffff,0xddddffff,0x9ddddddd,0xcfffffa8,0xd80ffffa,
    0xf70fffff,0xffffffff,0xffffffff,0x3fffff4f,0x3fffe200,0x3ffffa6f,
    0x7ffc4007,0xffff96ff,0x2aaaa05f,0x25ffffea,0x205fffff,0x4ffffffb,
    0x07ffffa0,0x31fffff9,0x800dffff,0x005fffff,0x907ffffa,0xf31fffff,
    0xff10dfff,0x7fc05fff,0xf8807fff,0x3e02ffff,0x8807ffff,0x202fffff,
    0x007fffff,0x2fffffc0,0xfffffb80,0xff9002ef,0xffffffff,0xffffffff,
    0xffff0005,0x7ffc00bf,0x3f6004ff,0x7ffc6fff,0x3f6004ff,0xfffd6fff,
    0xfff9803f,0x0006ffff,0x05fffff8,0x00fffffb,0xfffff880,0x886fffdf,
    0x2e4fffff,0xffffffff,0xffffffff,0x3ffff67f,0x3fe6000f,0x3ff65fff,
    0x26000fff,0xf75fffff,0x4005ffff,0x3e5ffffe,0x7405ffff,0x01ffffff,
    0x983ffffd,0xf9bfffff,0x7c006fff,0x2005ffff,0x4c1ffffe,0xf9bfffff,
    0xffb86fff,0x3f600fff,0x5c01ffff,0x200fffff,0x01fffffd,0x07ffffdc,
    0x3fffffb0,0x7fffc000,0x3ffa005f,0xabefffff,0xffffc819,0xffffffff,
    0x02ffffff,0x5fffff80,0x3ffffe00,0x3fffa004,0x7ffffc5f,0x3fffa004,
    0x3ffffd5f,0xfffffb00,0xff0000df,0x3f60bfff,0x80007fff,0xfffffffe,
    0xfffe83ff,0x3ffee0ff,0xffffffff,0x27ffffff,0x00fffffc,0x3ffffea0,
    0x3fffff24,0x3ffea000,0xffff54ff,0x7ff4009f,0x3fffe5ff,0x7ffcc05f,
    0xffd06fff,0xfffb03ff,0xdffff3df,0xfffff800,0x3fffa005,0xffffd81f,
    0x86ffff9e,0xccfffffd,0xffeccccc,0x7ec04fff,0xccccffff,0xffffeccc,
    0x7ffec04f,0xccccccff,0x4fffffec,0x3fffe000,0x3fe2005f,0xffffffff,
    0x3ff22fff,0xffffffff,0xffffffff,0xffff8002,0x3ffe005f,0x3fe005ff,
    0x7ffc4fff,0x3fe005ff,0xfffd4fff,0xfff5003f,0x0000dfff,0x20bfffff,
    0x007ffffd,0xfffffa80,0x7ec1ffff,0x7dc4ffff,0xffffffff,0xffffffff,
    0x3ffffee7,0x3fff2003,0x3ffee2ff,0x3f2003ff,0xff32ffff,0x7400ffff,
    0x3fe5ffff,0xfc805fff,0xe84fffff,0xfa81ffff,0xfffbffff,0x7ffc006f,
    0x3fa005ff,0xffa81fff,0xffffbfff,0xffffff86,0xffffffff,0x406fffff,
    0xffffffff,0xffffffff,0x7fc06fff,0xffffffff,0xffffffff,0x3fe0006f,
    0x4c005fff,0xffffffff,0x0002ffff,0x077fff44,0x7ffffc00,0x3fffa005,
    0x3ffe006f,0x7fff43ff,0x3ffe006f,0x000003ff,0x3fe20000,0xffb05fff,
    0x20000fff,0xfffffffd,0xffffdbaf,0x00000fff,0xfffffa80,0x3fffe006,
    0x3ffea0ff,0x3fe006ff,0xff10ffff,0x2005ffff,0x005ffffe,0xffe80000,
    0xfffd01ff,0x0dffffff,0x5fffff80,0x3ffffa00,0xfffffd01,0xfa8dffff,
    0xffffffff,0xffffffff,0xff500fff,0xffffffff,0xffffffff,0x3fea01ff,
    0xffffffff,0xffffffff,0xff0000ff,0x3000bfff,0xfffffffb,0x80005fff,
    0x000ffffe,0x0bfffff0,0x3ffffe40,0xfffff980,0x3ffffe41,0xfffff980,
    0x00000001,0x3fffea00,0xffffb03f,0x3e20000f,0xffffffff,0xffffffff,
    0x10000003,0x01ffffff,0xbfffff50,0xffffff88,0xffffa800,0x7fffec5f,
    0xfffd006f,0x000000bf,0x03ffffd0,0x3fffffea,0x7c006fff,0x2005ffff,
    0x501ffffe,0xffffffff,0xffffc8df,0xffffffff,0xffffffff,0xfffff903,
    0xffffffff,0x7fffffff,0x3fffff20,0xffffffff,0x3fffffff,0xfffff000,
    0x7ecc000b,0x2fffffff,0x3ffee000,0x3fe0002f,0x2e005fff,0x803fffff,
    0x40fffffc,0x03fffffb,0x0fffffc8,0x35555300,0x6c002000,0xb02fffff,
    0x000fffff,0x7ffffcc0,0xffffffff,0xa98002ff,0xf9001aaa,0x401dffff,
    0x0ffffff8,0xefffffc8,0x3fffe200,0x7ffc40ff,0x7400dfff,0x3005ffff,
    0x00035555,0x807ffffa,0xffffffff,0x7ffc006f,0x3fa005ff,0x3fe01fff,
    0x6fffffff,0x7ffffff4,0xffffffff,0x05ffffff,0xfffffffd,0xffffffff,
    0x20bfffff,0xfffffffe,0xffffffff,0x005fffff,0x0bfffff0,0xd9953000,
    0x40005fff,0x0006ffff,0x02fffffc,0xffffff50,0x7fffd403,0xffffa85f,
    0x3fea01ff,0x36005fff,0x0002ffff,0x7fdc019f,0xfb00ffff,0x0000ffff,
    0xffffff88,0x1effffff,0xffffb000,0x3ffe2005,0xe980efff,0x104fffff,
    0x1dffffff,0xfffffd30,0x3ffff209,0x3fa01eff,0xfb005fff,0x20005fff,
    0x201ffffe,0xfffffffb,0x7ffc006f,0x3fa005ff,0x3ee01fff,0x6fffffff,
    0x07ffffe6,0x7fffff80,0x1fffff98,0x3ffffe00,0xfffff987,0x3fffe001,
    0xfff0007f,0x00000bff,0xf1000098,0x8000dfff,0x005fffff,0x7fffffec,
    0xffca99ac,0xfb00ffff,0x359fffff,0xfffff953,0x7ffc001f,0xff0000ff,
    0xfd7357bf,0x40bfffff,0x007ffffd,0xffffe800,0x04efffff,0x3ffffc00,
    0x3ffff600,0xffdcefff,0x00ffffff,0x3ffffff6,0xffffdcef,0xf100ffff,
    0xffffffff,0xfffd999d,0x3fe00bff,0xd0000fff,0x4403ffff,0xffffffff,
    0xccccca86,0xcffffffc,0x741ccccc,0x2201ffff,0xffffffff,0x1ffffee6,
    0xfffffb00,0x7ffffb85,0x7fffec00,0x7fffdc2f,0x7ffec007,0x999502ff,
    0xfffff999,0x3999999f,0x80000000,0xacfffff8,0xcccca80a,0xffffffcc,
    0x81cccccc,0xfffffff9,0xffffffff,0x3fe603ff,0xffffffff,0x3fffffff,
    0x3fffe200,0x3ffe0005,0xffffffff,0x3600ffff,0xeeefffff,0xeeeeeeee,
    0x3ffe601e,0x001ababf,0xbffff100,0xffff9800,0xffffffff,0x403fffff,
    0xfffffff9,0xffffffff,0x7fd403ff,0xffffffff,0xffffffff,0xffff8805,
    0x3ffa0005,0x7fe401ff,0xc86fffff,0xffffffff,0xffffffff,0x7fff42ff,
    0x7ffe401f,0x3f66ffff,0x5c005fff,0x6c4fffff,0x4005ffff,0x44fffffb,
    0x005ffffd,0x27ffffdc,0xffffffc8,0xffffffff,0x0002ffff,0xfff80000,
    0xc82fffff,0xffffffff,0xffffffff,0xfff902ff,0xffffffff,0x900dffff,
    0xffffffff,0xdfffffff,0xffff9800,0x3ffe0003,0xffffffff,0x7ec02fff,
    0xffffffff,0xffffffff,0x1fffee01,0xffa80000,0xe88002ff,0xffffffff,
    0x03ffffff,0xfffffd10,0xffffffff,0x3fa6007f,0xffffffff,0x5fffffff,
    0x3ffff980,0x3fffa000,0x7ffcc01f,0xfc86ffff,0xffffffff,0xffffffff,
    0x7ffff42f,0x7fffcc01,0xfff16fff,0xf98005ff,0x3e27ffff,0x4002ffff,
    0x27fffff9,0x02fffff8,0x7ffffcc0,0xfffff907,0xffffffff,0x005fffff,
    0xf7000000,0x05ffffff,0xfffffff9,0xffffffff,0x7d405fff,0xffffffff,
    0x2003ffff,0xfffffffa,0x03ffffff,0x0ffffb80,0x3fffe000,0xffffffff,
    0xfffd801e,0xffffffff,0x01ffffff,0x0013fffa,0xffffc800,0x3ff60000,
    0xffffffff,0xfd8001ef,0xffffffff,0xc8001eff,0xffffffff,0x3fffffff,
    0x0ffffb80,0x3fffa000,0xfffd801f,0xffc86fff,0xffffffff,0xffffffff,
    0x0fffff42,0x7ffffec0,0xfffff56f,0xfffd0001,0x3ffea3ff,0xfe8000ff,
    0xff51ffff,0xd0001fff,0x903fffff,0xffffffff,0xffffffff,0x000005ff,
    0x3ffea000,0xffc81fff,0xffffffff,0xffffffff,0x7ff64402,0x0dffffff,
    0xffec8800,0x0dffffff,0xdfffb000,0xfeb88000,0x3effffff,0x3ffff600,
    0xffffffff,0x101fffff,0x0005ffff,0x2fffec00,0x7fedc000,0x03efffff,
    0x7ffedc00,0x003effff,0x7fff64c0,0xadffffff,0xdfffb000,0xfffe8000,
    0xfffa801f,0xffc86fff,0xffffffff,0xffffffff,0x0fffff42,0x7ffffd40,
    0xdffff96f,0x3fff2000,0xffff93ff,0x3ff2000d,0xfff93fff,0x3f2000df,
    0xfc83ffff,0xffffffff,0xffffffff,0x0000002f,0x00ccc400,0xfffffff9,
    0xffffffff,0x98005fff,0x00009aba,0x04d5d4c0,0x55554000,0x26200001,
    0xb0001aaa,0xffffffff,0xffffffff,0x3ffee03f,0x54000007,0x00001aaa,
    0x000d5cc4,0x1ab98800,0x2a600000,0x00019aab,0x00035555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55310000,0x55555555,0x055554c0,
    0x00d55544,0x776654c0,0x000abcde,0x55555400,0xaaa981aa,0x00002aaa,
    0x202aaaa6,0x001aaaa8,0x4055554c,0x001aaaa8,0x6666665c,0x02cccccc,
    0xaaaa9800,0x332e0001,0x2ccc980c,0x55540000,0x0001aaaa,0xaaaaaaa8,
    0x55400001,0x001aaaaa,0x80e7764c,0x332e0018,0xcccccccc,0x4c0002cc,
    0x0001aaaa,0x2aaaa000,0x20001aaa,0x001aaaa9,0x55554c00,0x9b700001,
    0x016ed403,0x7ff6d400,0xffffffff,0x3fa207ff,0x3fea1fff,0x6cc005ff,
    0xffffffff,0x00006fff,0x3ffffff2,0xffffb104,0x200007ff,0x22ffffe8,
    0x00effff9,0x7ffff440,0x17fffea1,0x3ffff600,0xffffffff,0x7fcc0004,
    0x0001ffff,0xfd07fff9,0x400007ff,0x4ffffffc,0xfffb8000,0x00005fff,
    0x7fffffe4,0x3ffa2004,0x741dffff,0xfffb001f,0xffffffff,0x7cc0009f,
    0x001fffff,0xfffc8000,0x20004fff,0x1ffffff9,0xfff30000,0x80003fff,
    0xb81ffffc,0x0002ffff,0xffffffd5,0xffffffff,0xffe880ff,0xffffcbff,
    0x7ffe4005,0xffffffff,0x900006ff,0x05ffffff,0xffffff70,0x7ec00007,
    0xfffbcfff,0xd10000ef,0xff97ffff,0x36000bff,0xffffffff,0x0004ffff,
    0x3fffffea,0xfa8001ff,0xfebadfff,0x00001fff,0x5ffffff9,0xfff70000,
    0x00005fff,0xffffffc8,0x7ffec002,0xcdffffff,0xd801ffff,0xffffffff,
    0x0004ffff,0xfffffff5,0x4000003f,0x2ffffffc,0x3ffea000,0x001fffff,
    0x7ffffd40,0x10001fff,0xf0dfffff,0x800fffff,0xffffffe8,0xffffffff,
    0xe8807fff,0xffffffff,0x7ffdc005,0xffffffff,0x80006fff,0x0dfffffc,
    0x3fffa600,0x200003ff,0xfffffffd,0xe880005f,0xffffffff,0x3ff60005,
    0xffffffff,0xf50004ff,0xffffdfff,0xffd0005f,0xffffffff,0x3f20000b,
    0x000dffff,0xfffffb80,0x6400000e,0x00dfffff,0x7ffffdc0,0xffffffff,
    0xfd800eff,0xffffffff,0xa8004fff,0xfffeffff,0x800002ff,0x0dfffffc,
    0x3ffea000,0x2fffffef,0xffff5000,0x05fffffd,0xfffff300,0xfffff88f,
    0x3ff6000f,0xffffffff,0xffffffff,0x3fff6007,0x4c004fff,0xdeffffff,
    0x6ffdcbab,0x7ffe4000,0x320003ff,0x002fffff,0x3ffff600,0x400005ff,
    0x4ffffffd,0x5554c000,0xaaaaaaaa,0xffa8001a,0xffe88dff,0x74c002ff,
    0xffffffff,0xfc80000e,0x0003ffff,0x9fffff70,0xff900000,0x20007fff,
    0xd98affe8,0xffffffff,0x55553000,0x55555555,0xfffa8003,0xfffe88df,
    0x3200002f,0x003fffff,0x6ffffd40,0x2ffffe88,0x7fffd400,0xffffe88d,
    0x7ffc4002,0xfffe85ff,0x3fee006f,0xffffffff,0x3fffee3f,0x77764007,
    0xffb8004e,0x28805fff,0x3bbaa000,0xa80001de,0x001eeeee,0x3bbbb200,
    0xd9000004,0x00009ddd,0x26000000,0xec83eeee,0xc8001eee,0x03efffff,
    0xdddd5000,0x2600003b,0x002eeeee,0xeeeea800,0x6c40001d,0xffffea81,
    0x0000001d,0x3bbba600,0x1eeeec83,0xeeea8000,0x4c0001de,0xec83eeee,
    0xd3001eee,0xdd907ddd,0xfa8003dd,0xff980eff,0xff3001ff,0xffffffff,
    0x7ffdc7ff,0x0000007f,0x3fffffb0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03310000,0x00000000,0x00000000,0x00000000,
    0x00000cc4,0x00000000,0x00000000,0x00000000,0x40000000,0x2e200ab8,
    0x3ff2000a,0xffffffff,0x3ffee3ff,0x0000007f,0x5fffffd0,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00001aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffa0000,0xffffffff,0x3ffee3ff,0x0000007f,0xdfffffb0,
    0x00000003,0x00000000,0x00000000,0x20000000,0xfffffec8,0x00002cef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffc000,0x3ff6004f,
    0x000006ff,0x00000000,0x00000000,0x00000000,0xfff00000,0xffffffff,
    0x7ffdc7ff,0x7ffff47f,0xff9801ff,0xfffa86ff,0x0002ffff,0x7fffffe4,
    0xffffffff,0xfc82ffff,0xffffffff,0xffffffff,0xfffff82f,0xbcdeffff,
    0x3fe2000a,0xffffffff,0xffffffff,0xe9807fff,0xffffffff,0x36004fff,
    0xffffffff,0xffffffff,0xffffc81f,0xffffffff,0x02ffffff,0xfffffffb,
    0xffffffff,0x3ffe03ff,0xefffffff,0xfb800bcd,0x8005ffff,0x81fffffd,
    0xfffffffc,0xffffffff,0x7ffc2fff,0x3f6004ff,0xfff36fff,0x7ec000bf,
    0xf1000fff,0x0fffffff,0xdffffd00,0x7ffffc00,0xbfffff74,0xffffb000,
    0x3fffee3f,0xffd8005f,0x7fc41fff,0xffffffff,0x3fee3fff,0x7fff47ff,
    0xf9805fff,0xfff06fff,0x03dfffff,0x3ffff200,0xffffffff,0x82ffffff,
    0xfffffffc,0xffffffff,0xfff82fff,0xffffffff,0x800dffff,0xfffffff8,
    0xffffffff,0x07ffffff,0x7fffffdc,0xffffffff,0xfffd800d,0xffffffff,
    0x81ffffff,0xfffffffc,0xffffffff,0xffb02fff,0xffffffff,0x3fffffff,
    0x3fffffe0,0xffffffff,0x3fe201cf,0x2001ffff,0x06fffff9,0xfffffff9,
    0xffffffff,0xfff85fff,0x3f6004ff,0xfff16fff,0x7ec000bf,0x3ee007ff,
    0x1fffffff,0x7ffff400,0x3fffe006,0xfffff14f,0x7fcc003f,0x3fe26fff,
    0x2001ffff,0x86fffff9,0xfffffff9,0x23ffffff,0x747ffffb,0x1fffffff,
    0x37fffcc0,0x7fffffec,0x000cffff,0x7fffffe4,0xffffffff,0xfc82ffff,
    0xffffffff,0xffffffff,0xfffff82f,0xffffffff,0x4403ffff,0xffffffff,
    0xffffffff,0x207fffff,0xfffffffd,0xffffffff,0x7fec00ef,0xffffffff,
    0x1fffffff,0xffffffc8,0xffffffff,0xfb02ffff,0xffffffff,0xffffffff,
    0x3ffffe03,0xffffffff,0x2e01ffff,0x004fffff,0x07fffff6,0x7fffffe4,
    0xffffffff,0x7fc2ffff,0x36004fff,0xff16ffff,0x6c000dff,0x36007fff,
    0xffffffff,0x7fff4004,0x3ffe006f,0x3ffee4ff,0x3f6004ff,0x7dc1ffff,
    0x2004ffff,0x01fffffd,0xffffffff,0x5c7fffff,0x7f47ffff,0x04ffffff,
    0x237fffcc,0xfffffffe,0x02ffffff,0x3fffff20,0xffffffff,0xc82fffff,
    0xffffffff,0xffffffff,0xffff82ff,0xffffffff,0x0effffff,0xffffff10,
    0xffffffff,0xffffffff,0x3ffffe60,0xfffddfff,0x403fffff,0xfffffffd,
    0xffffffff,0xfffc81ff,0xffffffff,0x2fffffff,0xffffffb0,0xffffffff,
    0x3fe03fff,0xffffffff,0xffffffff,0xfffff100,0xfff3001f,0x7fe40bff,
    0xffffffff,0xffffffff,0x27ffffc2,0xdffffb00,0x0037fffc,0x00dfffd0,
    0x7ffffffc,0x7f4006ff,0x3e006fff,0x3e24ffff,0x800fffff,0x85fffff9,
    0x0ffffff8,0xfffff980,0x3ffffa05,0xffffffff,0x1ffffee3,0xfffffffd,
    0x7ffcc01f,0x3ffff26f,0xffffffff,0xa800dfff,0xffcccccc,0xccccffff,
    0xccca81cc,0xfffffccc,0x1ccccccf,0xeffffff8,0xffffffee,0xd105ffff,
    0xfddddddd,0xdddfffff,0x3a0ddddd,0x81efffff,0x7fffffe9,0x7ffffec0,
    0xeeeeeeee,0xca81eeee,0xfffccccc,0xcccccfff,0xffffb01c,0xdddddddf,
    0x203ddddd,0xeeffffff,0xffffffee,0x3fee05ff,0xfd804fff,0x2a01ffff,
    0xffcccccc,0xccccffff,0x7fffc1cc,0x3ff6004f,0x3fffe6ff,0x3ffa0006,
    0xfff5006f,0x1fffffff,0x7ffff400,0x3fffe006,0x7fffdc4f,0xfffd804f,
    0xfff701ff,0xffb009ff,0x7e403fff,0xffffffff,0x3fee3fff,0x7fff47ff,
    0x204fffff,0xf16ffff9,0xf53fffff,0xffffffff,0x7fc0001d,0x00005fff,
    0x017ffffe,0x09fffff0,0xfffff931,0x3e0003ff,0x8006ffff,0x0efffffa,
    0x3ffffe20,0x3fff602f,0x8000007f,0x005fffff,0x07ffffd8,0x3fffe000,
    0xfffd504f,0x7fc40fff,0x2600ffff,0x005fffff,0x17ffffe0,0x4fffff80,
    0x3ffff600,0x01ffffe6,0x06fffe80,0xffffff90,0x4007ffff,0x006ffffe,
    0x113ffffe,0x01ffffff,0x2fffffcc,0xffffff10,0x7fffcc01,0x7ffd405f,
    0xffffffff,0x3fffee3f,0x7fffff47,0xf300ffff,0x3ff2dfff,0x3f223fff,
    0xefffffff,0xffff0000,0x7c0000bf,0x4005ffff,0x404fffff,0x6ffffffa,
    0xfffff000,0xfffd000d,0xff5001ff,0x7ec0dfff,0x00007fff,0x5fffff80,
    0xffffd800,0x3fe00007,0x3e204fff,0x201fffff,0x04fffffb,0x07fffff6,
    0xfffff800,0x3fffe005,0x3ff6004f,0x3fffa6ff,0x3ffa0007,0xffff005f,
    0xbfffff7f,0x7ffff400,0x3fffe006,0xffffb84f,0x3fff604f,0x7fdc01ff,
    0x3f604fff,0xc801ffff,0xffffffff,0x3fee3fff,0x7fff47ff,0x03ffffff,
    0x36dffff3,0x980fffff,0xfffffffe,0xffff0004,0x7c0000bf,0x4005ffff,
    0x804fffff,0x2ffffff9,0xfffff800,0x7ffcc006,0x3fe006ff,0xfb01ffff,
    0x0000ffff,0xbfffff00,0xffffb000,0x7fc0000f,0x7e404fff,0x2203ffff,
    0x80ffffff,0x05fffff9,0x7ffffc00,0x3fffe005,0x3ff6004f,0x3fffa6ff,
    0x3ffe0007,0xfff9805f,0xffffd8ff,0xfffd000f,0x7ffc00df,0xfff884ff,
    0xff980fff,0xf8805fff,0x980fffff,0x005fffff,0x3ffffff6,0x3ee3ffff,
    0x7ff47fff,0x6ffffeff,0x2dffff30,0x01fffffe,0x3ffffff2,0xfff8001f,
    0x200005ff,0x005fffff,0x027ffffc,0x6fffffd8,0xfffff800,0x7ffdc006,
    0x3f2003ff,0xfb02ffff,0x0000ffff,0xbfffff00,0xffffb000,0x7fc0000f,
    0x7d404fff,0x5c03ffff,0xd83fffff,0x001fffff,0x2fffffc0,0x9fffff00,
    0x7fffec00,0x01ffff66,0x04ffff80,0x76ffffb8,0x005fffff,0x01bffffa,
    0x04fffff8,0x07fffff7,0x03fffffb,0x3ffffee0,0xfffffd83,0x3ffa2001,
    0x3fffffff,0xd1ffffee,0xfff7ffff,0xfff305ff,0x3ffff6df,0x7ffdc04f,
    0xf8004fff,0x0005ffff,0x17ffffe0,0x9fffff00,0x3fffe600,0xfff8007f,
    0x7ec006ff,0x2000ffff,0x03fffffa,0x00fffffb,0xffff0000,0xffb000bf,
    0x40000fff,0x404fffff,0x02fffffb,0x3fffffc4,0x17ffffe6,0x3fffe000,
    0x3ffe005f,0x3f6004ff,0x3ff66fff,0x0bddb07f,0x2013fffe,0xf34ffffe,
    0x2009ffff,0x006ffffe,0x413ffffe,0x47fffff8,0x05fffff9,0x3ffffe20,
    0x7ffffcc7,0xffb30005,0x5c7fffff,0x7f47ffff,0xfffd9fff,0xffff986f,
    0xffffff96,0xffffc803,0xfff8006f,0x200005ff,0x005fffff,0x027ffffc,
    0x1fffffd0,0xfffff800,0x7fff4006,0x3e6000ff,0xfb04ffff,0x0000ffff,
    0xbfffff00,0xffffb000,0x7fc0000f,0x7ec04fff,0xb801ffff,0x323fffff,
    0x001fffff,0x5fffff80,0x3ffffe00,0x3fff6004,0x3ffff66f,0x0ffffc40,
    0x201ffffc,0x21fffff8,0x007ffffe,0x00dffffd,0x027ffffc,0x47fffff7,
    0x01fffffc,0x7ffffdc0,0x3fffff23,0x764c0001,0x3ee3fffe,0x7ff47fff,
    0xffffa9ff,0x7fffcc1f,0xffffff56,0x7ffcc05f,0xff8007ff,0x00005fff,
    0x017ffffe,0x09fffff0,0x7ffffec0,0x7fffc001,0x7ffc006f,0x7c4007ff,
    0xfb05ffff,0x0000ffff,0xbfffff00,0xffffb000,0x7fc0000f,0x3ea04fff,
    0x1006ffff,0x22dfffff,0x005fffff,0xbfffff00,0x7ffffc00,0x3fff6004,
    0x3ffff26f,0x27fffdc0,0x00ffffe2,0xc8fffff5,0x801fffff,0x006ffffe,
    0x813ffffe,0x16fffff8,0x00bfffff,0xdfffff10,0x17ffffe2,0x04c40000,
    0xe8fffff7,0xffd1ffff,0xfff98bff,0x3ffff66f,0xff00dfff,0xf000ffff,
    0x000bffff,0x2fffffc0,0x3ffffe00,0x3fff2004,0x7fc002ff,0x7c006fff,
    0x4007ffff,0x06fffff8,0xddfffffb,0xdddddddd,0xfff0009d,0xfb000bff,
    0xddddffff,0x9ddddddd,0x27ffffc0,0x7ffffe4c,0x3fee002f,0xfffbafff,
    0xf00001ff,0x400bffff,0x004fffff,0xc9bffff6,0x7ec0ffff,0x7fc46fff,
    0x7fec03ff,0x7ffd45ff,0xffe803ff,0xffffffff,0xffffffff,0x7fdc04ff,
    0xfffbafff,0xf70001ff,0xff75ffff,0x00003fff,0x7fffdc00,0x8fffff47,
    0x21fffffa,0x226ffff9,0xffffffff,0x7fffcc3f,0xfff8006f,0x200005ff,
    0x005fffff,0x027ffffc,0x7fffff90,0xfffff800,0x3ffe2006,0xff8006ff,
    0xffb07fff,0xffffffff,0x0bffffff,0xbfffff00,0xffffb000,0xffffffff,
    0x7c0bffff,0xeeefffff,0xffffffff,0x7ffc4004,0xffffedff,0x3fe00005,
    0x3e005fff,0x2004ffff,0x2e6ffffd,0x7fc1ffff,0x3e20ffff,0x7fc02fff,
    0x7fc43fff,0xfe806fff,0xffffffff,0xffffffff,0x7c404fff,0xffedffff,
    0x220005ff,0xfedfffff,0x00005fff,0x7fffdc00,0x0fffff47,0x4c9fffff,
    0x7cc6ffff,0xffffffff,0xfffffb1e,0xffff0007,0x7c0000bf,0x4005ffff,
    0x004fffff,0x13ffffee,0xdfffff00,0x7fffc400,0xfff8006f,0xfffb07ff,
    0xffffffff,0x00bfffff,0x0bfffff0,0xfffffb00,0xffffffff,0x7fc0bfff,
    0xffffffff,0x02ffffff,0xfffff700,0x003fffff,0x7ffffc00,0x3fffe005,
    0x3ff6004f,0x3ffee6ff,0x3fffea1f,0x3ffe23ff,0x3ffe602f,0xfffe80ff,
    0x7ff400ff,0xffffffff,0xffffffff,0xffb804ff,0xffffffff,0x7fdc0001,
    0xffffffff,0x40000001,0x747ffffb,0x3ee1ffff,0xff30ffff,0xffd10dff,
    0xdfffffff,0x01ffffff,0xbfffff00,0x7ffc0000,0x7fc005ff,0x2e004fff,
    0x003fffff,0x037ffffc,0x1fffffe0,0xfffff100,0x3ffff60d,0xffffffff,
    0x8005ffff,0x005fffff,0xffffffd8,0xffffffff,0x3ffe05ff,0xffffffff,
    0x40001dff,0xfffffff8,0x400005ff,0x005fffff,0x013ffffe,0x26ffffd8,
    0x321ffffa,0x26ffffff,0x201ffff9,0x706ffffc,0x805fffff,0xfffffffe,
    0xffffffff,0x804fffff,0xfffffff8,0x880005ff,0xffffffff,0x0000005f,
    0x47ffffb8,0x221ffffe,0xf34fffff,0x7e40dfff,0xffffffff,0x002fffff,
    0x0bfffff0,0x7fffc000,0x7ffc005f,0x3f2004ff,0x4002ffff,0x006fffff,
    0x03fffff4,0x3ffffe20,0xfffffb06,0xdddddddd,0xf0009ddd,0x000bffff,
    0xddfffffb,0xdddddddd,0x7fffc09d,0xffffffff,0xc80002ef,0xffffffff,
    0x7fc00000,0x3e005fff,0x2004ffff,0x2a6ffffd,0x3fe1ffff,0x30ffffff,
    0x7403ffff,0xf304ffff,0xe80bffff,0xffffffff,0xffffffff,0x9004ffff,
    0xffffffff,0x3f200001,0x0fffffff,0xb8000000,0x7f47ffff,0x7fe41fff,
    0xfff98fff,0x7ff4c06f,0xffffffff,0x3fe0003f,0x00005fff,0x017ffffe,
    0x09fffff0,0x7ffffec0,0x7fffc001,0x7fec006f,0x26000fff,0xb05fffff,
    0x000fffff,0xfffff000,0xfffb000b,0x7c0000ff,0xfeceffff,0x02ffffff,
    0x7fffc400,0x00005fff,0x05fffff8,0x13ffffe0,0x6ffffd80,0x4cbfffe6,
    0xffffdfff,0x01ffff32,0x0bffffe2,0x07fffff8,0x037ffff4,0x09fffff0,
    0x3ffffe20,0x200005ff,0xfffffff8,0x00000005,0xe8fffff7,0x7cc1ffff,
    0xff9bffff,0xff5006ff,0x5fffffff,0xffff8000,0x3e00005f,0x4005ffff,
    0x004fffff,0x03fffffa,0xdfffff00,0xffffc800,0x3fea000f,0xffb04fff,
    0x00000fff,0x0bfffff0,0xfffffb00,0x7ffc0000,0x3ff224ff,0x0000ffff,
    0x7fffffe4,0xff800000,0x3e005fff,0x2004ffff,0x265ffffe,0xff92ffff,
    0x2bfffd5f,0x700ffffa,0x401fffff,0x01fffffd,0x01bffffa,0x04fffff8,
    0x3fffff20,0x6400000f,0x00ffffff,0xf9000000,0xffe8dfff,0xfffd81ff,
    0x6ffff9ef,0x7fffe400,0x40002fff,0x005fffff,0x3ffffe00,0x7fffc005,
    0x3ffe004f,0xff8007ff,0x5c006fff,0x003fffff,0x0bfffff2,0x03ffffec,
    0x7ffc0000,0xfd8005ff,0x00007fff,0x213ffffe,0x04fffffe,0x7fffc400,
    0xf000005f,0x400bffff,0x005fffff,0x993ffffe,0xffd3ffff,0x2ffff71f,
    0x3607fffa,0xcccfffff,0xfffecccc,0x3ffa04ff,0x3fe006ff,0x22004fff,
    0x005fffff,0xffff8800,0x0000005f,0x17ffff60,0x503ffffd,0xff7fffff,
    0xf5000dff,0x00bfffff,0x5fffff80,0x3ffe0000,0x7fc005ff,0xf5004fff,
    0x000dffff,0x00dfffff,0x6fffffa8,0x3ffffe00,0xffffb00f,0xf000000f,
    0x000bffff,0x00fffffb,0x7ffffc00,0xfffff884,0x7fc0000f,0x00005fff,
    0x0bfffff0,0x37ffff40,0x7fffff00,0x4dffffc4,0xfff36fff,0x0ffff75f,
    0x7ffffffc,0xffffffff,0x3a06ffff,0x2006ffff,0x004fffff,0x02fffffc,
    0xffff8000,0x0000005f,0x13ffffa0,0x203ffffd,0xfffffffe,0xf50006ff,
    0x000fffff,0x05fffff8,0x3fffe000,0x7ffc005f,0xffd004ff,0xf0007fff,
    0x800dffff,0x0ffffff8,0xfffffa80,0x3ffff605,0xf8000007,0x8005ffff,
    0x007ffffd,0x3ffffe00,0xfffff904,0xfff80009,0x000005ff,0x00bfffff,
    0x03ffffe4,0x1fffff98,0x2effffe2,0x3ffe3fff,0x07fffbcf,0xfffffff5,
    0xffffffff,0x201fffff,0x006ffffe,0x013ffffe,0x0bfffff0,0x3ffe0000,
    0x400005ff,0xffff3000,0xffffe85f,0xfffff501,0x000dffff,0x1bffffe2,
    0xfffff000,0x7fc0000b,0x7c005fff,0xb804ffff,0x006fffff,0x0dfffff0,
    0xfffff900,0x7ffc401d,0x3f600fff,0x00007fff,0x5fffff80,0xffffd800,
    0x3fe00007,0xff304fff,0x0001ffff,0x02fffffc,0xffff8000,0x3fee005f,
    0xfc803fff,0x7fc0ffff,0x0fffdcff,0x3efbfff2,0xfff906ff,0xffffffff,
    0xffffffff,0x3fffa07f,0x3ffe006f,0x7fc004ff,0x00005fff,0x0bfffff0,
    0x00ed8000,0x3fffffa2,0x0fffff41,0xfffffff0,0x80022dff,0x04fffffb,
    0x7ffffc00,0x3fe00005,0x7c005fff,0x6404ffff,0x02ffffff,0xdfffff00,
    0xffff1000,0xfd301dff,0xd809ffff,0x0007ffff,0xfffff800,0xfffd8005,
    0x3e00007f,0x3604ffff,0x004fffff,0x17ffffe0,0x7ffc0000,0x3ea005ff,
    0x201fffff,0x85fffffa,0xfffcffff,0x6ffffcc6,0xffd06fff,0xffffffff,
    0xffffffff,0x3ffa0bff,0x3fe006ff,0x7c004fff,0x0005ffff,0xbfffff00,
    0x7fdc0000,0xfb989bcf,0xe84fffff,0x2e01ffff,0xffffffff,0x0339df76,
    0xffffff73,0xfff80005,0x200005ff,0x005fffff,0x427ffffc,0xfffffea8,
    0x3fe0005f,0xb0006fff,0xdfffffff,0xffffffb9,0xffd801ff,0x000007ff,
    0x05fffff8,0x7ffffd80,0x3ffe0000,0x3fea04ff,0x0000ffff,0x00bfffff,
    0x3fffe000,0x7fec005f,0x99acffff,0xffffffca,0xffffff80,0xffff83ff,
    0xf985ffff,0x2001ffff,0xd07fffff,0x400dffff,0x004fffff,0x02fffffc,
    0xffff8000,0xf100005f,0xffffffff,0x1dffffff,0x03ffffd0,0x7fffffc4,
    0xffff76ff,0xffffffff,0x001dffff,0xf9999995,0x999fffff,0x99503999,
    0xffff9999,0x999999ff,0xffffff03,0xfffffddd,0x003fffff,0x37ffffc0,
    0xffff9800,0xffffffff,0x803fffff,0xeefffffd,0xeeeeeeee,0xccca81ee,
    0xfffffccc,0x1ccccccf,0xdfffffb0,0xdddddddd,0x3fe03ddd,0x7f404fff,
    0x0003ffff,0x00bfffff,0x66666540,0xcffffffc,0x981ccccc,0xffffffff,
    0xffffffff,0xffffd03f,0xffb03fff,0x70bfffff,0x800fffff,0x82fffffd,
    0x006ffffe,0x013ffffe,0x0bfffff0,0x3ffe0000,0x900005ff,0xffffffff,
    0x3fffffff,0x07ffffa0,0xffffff90,0x3fffeedf,0xffffffff,0x9000efff,
    0xffffffff,0xffffffff,0xfff905ff,0xffffffff,0x5fffffff,0xfffffff0,
    0xffffffff,0x80003dff,0x006fffff,0x3ffffa20,0xffffffff,0xffb003ff,
    0xffffffff,0x3fffffff,0xffffff90,0xffffffff,0x3605ffff,0xffffffff,
    0xffffffff,0xfffff01f,0xffffb809,0xff8000ff,0x20005fff,0xfffffffc,
    0xffffffff,0xff902fff,0xffffffff,0x40dfffff,0x6ffffffe,0xffffff50,
    0xffffb0bf,0xfffb800b,0xfffe84ff,0x3ffe006f,0x7fc004ff,0x00005fff,
    0x0bfffff0,0x7ff54000,0xffffffff,0x3ffa01df,0x7fcc01ff,0xf76fffff,
    0xffffffff,0x01dfffff,0x7ffffe40,0xffffffff,0xc82fffff,0xffffffff,
    0xffffffff,0xffff82ff,0xffffffff,0x0003ffff,0x0dfffff0,0xffffb000,
    0xdfffffff,0x7ffec003,0xffffffff,0x81ffffff,0xfffffffc,0xffffffff,
    0xffb02fff,0xffffffff,0x3fffffff,0x13ffffe0,0xffffff10,0xffff0007,
    0x7e4000bf,0xffffffff,0xffffffff,0x3ffea02f,0xffffffff,0x7fec03ff,
    0x3e04ffff,0x44ffffff,0x02fffff8,0x7ffffcc0,0x6ffffe87,0x3ffffe00,
    0x7fffc004,0xf000005f,0x000bffff,0xffffd700,0xd005bfff,0xb003ffff,
    0x2dffffff,0xfffffec9,0x01cfffff,0xfffffc80,0xffffffff,0xc82fffff,
    0xffffffff,0xffffffff,0xffff82ff,0xffffffff,0x00001eff,0x01bffffe,
    0x7ffedc00,0x003effff,0xffffffd8,0xffffffff,0xffc81fff,0xffffffff,
    0xffffffff,0xfffffb02,0xffffffff,0x3e03ffff,0xc804ffff,0x007fffff,
    0x05fffff8,0x3ffff200,0xffffffff,0x02ffffff,0x7ffff644,0x800dffff,
    0x1ffffffd,0x3fffff60,0x7fffd44f,0xffe8000f,0x7ff41fff,0x3fe006ff,
    0x7c004fff,0x0005ffff,0xbfffff00,0xa8800000,0x7f40009a,0xfa801fff,
    0x306fffff,0x01355533,0xffffc800,0xffffffff,0x82ffffff,0xfffffffc,
    0xffffffff,0xfff82fff,0xeeffffff,0x800000ad,0x006fffff,0x1ab98800,
    0x7ffec000,0xffffffff,0x81ffffff,0xfffffffc,0xffffffff,0xffb02fff,
    0xffffffff,0x3fffffff,0x13ffffe0,0x3ffffe20,0x7ffc003f,0x320005ff,
    0xffffffff,0xffffffff,0x54c002ff,0x640009ab,0x407fffff,0x3ffffffa,
    0x037fffe4,0xfffffc80,0x37ffff43,0x9fffff00,0xfffff800,0xff000005,
    0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555400,
    0x554c01aa,0xaaa880aa,0x4400001a,0x3ceeecca,0x1ceec980,0x00000310,
    0x55555550,0xaaaa9803,0x1aaaa880,0x55500000,0x4c035555,0xa880aaaa,
    0x2a601aaa,0x002aaaaa,0x00e6dc00,0x5c005bb5,0xcc980ccc,0x332e002c,
    0x2ccc980c,0x99997000,0x99999999,0x2a600005,0x5c0009aa,0xcccccccc,
    0x0002cccc,0x99999997,0x00599999,0x2aaaa660,0x20000009,0x222aaaa8,
    0x000aaaaa,0x5d440000,0x5cc0002b,0xf900000b,0x009fffff,0x43ffffd1,
    0x005ffffa,0x7fffdc00,0x2206ffff,0xdffffffe,0x0000ff41,0xfffff900,
    0xffd1007f,0x7ffcc5ff,0x800000ef,0x4ffffffc,0x7ffff440,0x17fffea1,
    0xfffffb10,0x3200007f,0xfb81ffff,0xf9002fff,0xfffd07ff,0x7ffe4007,
    0x03fffe83,0xfffffb00,0x9fffffff,0xfd971000,0xbfffffff,0xffffb007,
    0xffffffff,0x3ff60009,0xffffffff,0xd91004ff,0xffffffff,0x00001bff,
    0x45ffffd8,0x004ffffe,0x3fea0000,0x8002efff,0x004ffffd,0x7ffffe40,
    0x3fa2002f,0xfffcbfff,0x2200005f,0xfffffffe,0x3ff606ff,0xdfffffff,
    0x001ffffc,0xffffc800,0x7ec001ef,0xfffbcfff,0x800000ef,0x2ffffffc,
    0xffffd100,0x0bffff97,0x7ffffdc0,0x7c40003f,0xff86ffff,0xf5007fff,
    0xfd75bfff,0x54003fff,0xebadffff,0x0001ffff,0xfffffffb,0x009fffff,
    0xffffff98,0x7fffffff,0xfffffd80,0x4fffffff,0xffffb000,0xffffffff,
    0xfffc8809,0xffffffff,0x00001fff,0x07ffffe2,0x00fffff7,0x3fea0000,
    0x01ffffff,0x3fffff20,0xff90002f,0x0001bfff,0xffffffd1,0x80000bff,
    0xfffffffc,0xff706fff,0xffffffff,0x01dfffff,0xfffc8000,0xb0000dff,
    0xffffffff,0x3200000b,0x00dfffff,0x7ffff440,0x8005ffff,0x3fffffe9,
    0x3ffe6000,0x7ffc47ff,0xfd000fff,0xffffffff,0xffd000bf,0xffffffff,
    0x7fec000b,0xffffffff,0x3f2004ff,0xffffffff,0x807fffff,0xfffffffd,
    0x004fffff,0xffffffb0,0x09ffffff,0x7fffffc4,0xffffffff,0x200001ff,
    0xf06ffffc,0x0005ffff,0xffff8800,0x006fffdc,0x3ffffffe,0xfffc8006,
    0xd80003ff,0x04ffffff,0x7ffd4000,0xeecdffff,0x15ffd106,0xffffffb3,
    0x800001ff,0x03fffffc,0xffffd800,0x000005ff,0x07fffff9,0xffffd800,
    0x640004ff,0x002fffff,0xbfffff10,0x0dffffd0,0x7ffff4c0,0x000effff,
    0xfffffe98,0x0000efff,0x2aaaaaa6,0x01aaaaaa,0xfffffe88,0xffffffff,
    0xaa9807ff,0xaaaaaaaa,0x530001aa,0x55555555,0x7ec03555,0xffffffff,
    0x1fffffff,0x3ffe0000,0xfff903ff,0x800000df,0x3ea1fffa,0xff8801ff,
    0x007fffff,0x0ef77754,0xddd90000,0xd000009d,0x007fffff,0xfd503b10,
    0x0003bfff,0xdeeeea80,0x3b200001,0x00004eee,0x3bdddd50,0x3bb20000,
    0x500004ee,0x003ddddd,0x03bffea0,0x007fffe6,0x3fffff20,0xfc80003e,
    0x003effff,0x20000000,0xfffffffe,0xffedcdff,0x0000007f,0x20000000,
    0xfffffffb,0xecbaaabc,0x500001ff,0x201fffff,0x01fffff8,0x3fee0000,
    0x002fff86,0xdfffffff,0x00000000,0x20000000,0x05fffff8,0x06620000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00ab8800,0x00002ae2,
    0x00000331,0x00000662,0x3ea00000,0x0affffff,0x0001f6a0,0x00000000,
    0xffffff80,0x00a8800d,0xffffd000,0xffffd809,0x2a000005,0x3fe60fff,
    0xfffb001f,0x00007fff,0x00000000,0x3ffea000,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff40000,0x2001efff,0x00000000,0xf1000000,0x000dffff,0x3fe60000,
    0x7d400fff,0x0000ffff,0x5dfff100,0x400fffd7,0x05ffffe8,0x00000000,
    0x32000000,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffc8,0xffffffff,0x7dc2ffff,
    0x000fffff,0x3ffe2000,0x0007ffff,0x3ffffff6,0xffffffff,0xfff51fff,
    0x00000bff,0x3ffff600,0xffffd005,0x64000007,0xffffffff,0x2cca8002,
    0xffffff10,0xffffffff,0x83ffffff,0xfffffff8,0xffffffff,0x001fffff,
    0x037ffff4,0xffff8800,0x00007fff,0xffffff90,0x9fffffff,0x3fffffe0,
    0xbcdeffff,0xfffb8000,0xb00001ff,0xffffffff,0xffffffff,0x3fff603f,
    0xffffffff,0x01ffffff,0xfffffffb,0xffffffff,0x3ff603ff,0xffffffff,
    0x1fffffff,0xfffff100,0x32000fff,0xffffffff,0xffffffff,0x7fffc2ff,
    0x000003ff,0x7fffffdc,0xfb0001ff,0xffffffff,0xffffffff,0x3ffffea3,
    0x80000007,0x02fffff8,0x0fffff70,0xffc80000,0x0003ffff,0x3fffe200,
    0xffffffff,0xffffffff,0x7ffffc41,0xffffffff,0x1fffffff,0x7ffff400,
    0xff700005,0x03ffffff,0xffff0000,0xffffffff,0x3ffe09ff,0xffffffff,
    0x001cffff,0x07ffffee,0x7ffec000,0xffffffff,0x01ffffff,0xfffffffb,
    0xffffffff,0x3ff603ff,0xffffffff,0x1fffffff,0xffffffb0,0xffffffff,
    0x2e003fff,0xffffffff,0xfffc8001,0xffffffff,0x2fffffff,0x3fffffe6,
    0x6c000000,0xffffffff,0xfffb0004,0xffffffff,0x23ffffff,0x4ffffff9,
    0x5c000000,0x2006ffff,0x02fffff8,0x6e4c0000,0x000000cd,0x7fffffc4,
    0xffffffff,0x41ffffff,0xfffffff8,0xffffffff,0x001fffff,0x027ffffc,
    0xffffd800,0x0004ffff,0x7ffffd40,0xffffffff,0xfffff04f,0xffffffff,
    0x2003ffff,0x01fffffb,0xffffb000,0xffffffff,0x203fffff,0xfffffffd,
    0xffffffff,0xfffb01ff,0xffffffff,0x03ffffff,0x3ffffff6,0xffffffff,
    0xfb001fff,0x9fffffff,0xffff9000,0xffffffff,0x45ffffff,0x05fffffa,
    0xfff80000,0x06ffffff,0xfffffb00,0xffffffff,0x7fc3ffff,0x01dfffff,
    0xfff00000,0xfc8007ff,0x00006fff,0x00000000,0xffffff88,0xffffffff,
    0x41ffffff,0xfffffff8,0xffffffff,0x001fffff,0x0fffffe2,0x7fffc000,
    0x006fffff,0x7fffec00,0xffffffff,0xffff04ff,0xffffffff,0x01ffffff,
    0x3fffff70,0x3ff60000,0xffffffff,0x1fffffff,0xffffffb0,0xffffffff,
    0x3f603fff,0xffffffff,0xffffffff,0xfffffb01,0xffffffff,0x2003ffff,
    0xffffffff,0xcca8006f,0xffffcccc,0xccccccff,0x3ffffee1,0x54000003,
    0xffffffff,0xfd8000ff,0xeeeeffff,0xeeeeeeee,0x3fffff61,0x0002efff,
    0x3fffea00,0x7fcc000f,0x40001fff,0x801aaaaa,0x001aaaaa,0xfffff880,
    0xffffffff,0x1fffffff,0x7fffffc4,0xffffffff,0x01ffffff,0x3ffffe60,
    0xffa80002,0xffffffff,0xff100000,0xdfffffff,0x20599999,0xeeffffff,
    0xffffffee,0xffb805ff,0x00001fff,0xddfffffb,0xdddddddd,0x3ff603dd,
    0xeeeeefff,0x1eeeeeee,0xdfffffb0,0xdddddddd,0x3f603ddd,0xeeeeffff,
    0xeeeeeeee,0xffffa801,0x00ffffff,0x3fffe000,0xfffb005f,0x000005ff,
    0xffffffc8,0x8003ffff,0x007ffffd,0x7ffffc40,0x1cffffff,0x7ff40000,
    0xfb0004ff,0x80009fff,0x805ffffe,0x004fffff,0x33333300,0xf5333333,
    0x209fffff,0x99999999,0xfffa9999,0x99904fff,0xffffb999,0x999999bf,
    0x3fff2005,0x3fffffff,0xfff90000,0x07ffff9f,0x4fffff80,0xfffffd50,
    0xffff700f,0x3600003f,0x0007ffff,0x1fffff60,0xfffd8000,0x3600007f,
    0x0007ffff,0xfffff900,0x007fffff,0x7ffffc00,0xffffd005,0x8000003f,
    0xffbfffff,0xd8005fff,0x0007ffff,0xffffffa8,0x2effffff,0xfff98000,
    0xf50001ff,0x0001ffff,0x02fffff4,0x027ffffc,0xfd800000,0x000effff,
    0xfffffb00,0x3fffe01d,0xffffffff,0x4fffffff,0x7fffff00,0x00bfffff,
    0x37fffe00,0x003ffffb,0x027ffffc,0x3ffffff1,0xfffffb80,0xffb00001,
    0x40000fff,0x007ffffd,0x3ffff600,0x3f600007,0x00007fff,0xf7fffff0,
    0x000bffff,0x2fffffc0,0xffffff80,0x26000000,0xfd8fffff,0x4000ffff,
    0x007ffffd,0xfffff300,0xffffffff,0x7e40001b,0x40005fff,0x003ffffe,
    0x17ffffa0,0x13ffffe0,0x00015730,0x3ffffee0,0xf700001f,0x403fffff,
    0xffffffff,0xffffffff,0xf9804fff,0xffd8ffff,0x40000fff,0xfbaffffa,
    0x7c003fff,0x6404ffff,0x403fffff,0x01fffffb,0xffffb000,0x7ec0000f,
    0x00007fff,0x01fffff6,0xffffd800,0xf9800007,0xffd8ffff,0x00000fff,
    0x00bfffff,0x1ffffff1,0x7dc00000,0xfff76fff,0xfd8005ff,0x00007fff,
    0x3fffff22,0xefffffff,0xfff88000,0x5c0002ff,0x0006ffff,0x017ffffa,
    0x813ffffe,0x002ffffd,0x7ffffc40,0xf100004f,0x809fffff,0xffffffff,
    0xffffffff,0xfb804fff,0xfff76fff,0xd80005ff,0xffb8ffff,0x7fc003ff,
    0x7d404fff,0x5c03ffff,0x001fffff,0xfffffb00,0x7fec0000,0x200007ff,
    0x007ffffd,0x3ffff600,0xfb800007,0xfff76fff,0x200005ff,0x005fffff,
    0x03ffffff,0x7ff40000,0xffff34ff,0xffd8009f,0x800007ff,0xfffffeb8,
    0x006fffff,0x06ffffb8,0xffff8800,0xffd0002f,0xfff00bff,0x3fee09ff,
    0x0002ffff,0x1bfffff6,0xfffd8000,0xeee806ff,0xfffffeee,0xeeeeeeef,
    0xffffe803,0x9fffff34,0x7ffc4000,0x7ffff75f,0xfffff800,0x7fffdc04,
    0x7ffdc02f,0xb00001ff,0x000fffff,0x3ffffec0,0xfffb0000,0x6c0000ff,
    0x0007ffff,0x4ffffe80,0x09fffff3,0x3fffe000,0xfffd005f,0x000005ff,
    0x87ffffe2,0x007ffffe,0x03ffffec,0x3f260000,0xffffffff,0x7fff4003,
    0xf900003f,0x2000bfff,0x805ffffe,0xd04fffff,0x0dffffff,0x3fffee00,
    0x700001ff,0x03ffffff,0x7ffffc00,0x7fc40005,0x3ffa1fff,0x2e0007ff,
    0xff72ffff,0xff8007ff,0x7ec04fff,0x5c01ffff,0x001fffff,0xfffffb00,
    0x7fec0000,0x200007ff,0x007ffffd,0x3ffff600,0x7c400007,0x3fa1ffff,
    0x00007fff,0x00bfffff,0x0ffffff6,0x7fd40000,0x7ffe47ff,0x3f6001ff,
    0x00007fff,0xffff7100,0x5400dfff,0x000fffff,0xfffff300,0xfffd0003,
    0xffff00bf,0x3fffe09f,0x4001ffff,0x4ffffff8,0xfff10000,0x40009fff,
    0x04fffff8,0x7fffd400,0x7ffffe47,0xfffd0001,0x1ffffdcf,0x3ffffe00,
    0x3fffea04,0xfffb806f,0xb00001ff,0x000fffff,0x3ffffec0,0xfffb0000,
    0x6c0000ff,0x0007ffff,0x3ffffd40,0x07fffff2,0x3fffe000,0xfff9005f,
    0x000009ff,0x517ffff6,0x007fffff,0x77ffffec,0xeeeeeeee,0x4c0004ee,
    0x0ffffffe,0x9ffffb00,0xffe80000,0xfe8004ff,0xff805fff,0xffb04fff,
    0x005fffff,0x6fffffd8,0x3ff60000,0x40006fff,0x03fffff9,0x7fffec00,
    0x7ffffd45,0xfff98003,0x3fffee4f,0x00ccccce,0x309fffff,0x5ffffff9,
    0xfffff700,0x3f600003,0xeeeeffff,0x4eeeeeee,0x3fffff60,0xeeeeeeee,
    0x3f604eee,0xeeeeffff,0x4eeeeeee,0x3fffff60,0xeeeeeeee,0x7ec04eee,
    0x7fd45fff,0x80003fff,0x005fffff,0x1ffffff7,0xfff00000,0xfff887ff,
    0x3f6006ff,0xffffffff,0x5fffffff,0xfff98000,0xf9801fff,0x0001ffff,
    0x7ffffd40,0x7fff4000,0xffff805f,0xffff304f,0x5c007fff,0x01ffffff,
    0xffff7000,0xa80003ff,0x002fffff,0x1fffffc0,0x1bffffe2,0x3ffff200,
    0x3ffffee1,0xf01fffff,0xdddfffff,0xffffffff,0x3ffee009,0xb00001ff,
    0xffffffff,0xffffffff,0x7fffec0b,0xffffffff,0x3605ffff,0xffffffff,
    0xffffffff,0x3ffff605,0xffffffff,0x7c05ffff,0x7c43ffff,0x0006ffff,
    0x05fffff8,0xffffff30,0xf9800007,0xfe80ffff,0xb000ffff,0xffffffff,
    0xffffffff,0x3fa0000b,0xc801ffff,0x0006ffff,0x7fffff00,0xffffe800,
    0xfffff805,0x3fffea04,0xff1003ff,0x0007ffff,0x3ffffe20,0xfa80003f,
    0x0001ffff,0x03ffffe6,0x03fffffa,0x8dffff00,0xfffffffb,0xfff01fff,
    0xffffffff,0x005fffff,0x0fffffdc,0xfffd8000,0xffffffff,0x205fffff,
    0xfffffffd,0xffffffff,0x3fff605f,0xffffffff,0x205fffff,0xfffffffd,
    0xffffffff,0x3ffe605f,0xfffe80ff,0x7c0000ff,0x2005ffff,0x0efffffe,
    0x3ff20000,0xfff706ff,0x3f6005ff,0xffffffff,0x5fffffff,0xffff0000,
    0xff8801ff,0x00002fff,0x0dffff70,0x5ffffe80,0x4fffff80,0x7ffffec0,
    0xffffb001,0x6c0000df,0x006fffff,0xfffff700,0x7fe40001,0xfff706ff,
    0x7d4005ff,0x7fdc3fff,0xffffffff,0xffffff01,0xbfffffff,0xfff70003,
    0x200003ff,0xfffffffd,0xffffffff,0x3fff605f,0xffffffff,0x205fffff,
    0xfffffffd,0xffffffff,0x3fff605f,0xffffffff,0x205fffff,0x706ffffc,
    0x005fffff,0x5fffff80,0x3fffea00,0x06001eff,0x04ffffe8,0x0bfffff3,
    0x3fffff60,0xeeeeeeee,0x00024eee,0x3fffffcc,0x3ffffdc0,0xff100000,
    0x74005fff,0xf805ffff,0x5404ffff,0x7007ffff,0x03ffffff,0x3ffee000,
    0x00001fff,0x00fffff9,0x4ffffe80,0xbfffff30,0x7fffec00,0x77fffdc0,
    0xf01eeeee,0xffffffff,0x005dffff,0x3fffff70,0x3ff60000,0xeeeeefff,
    0x04eeeeee,0x3bfffff6,0xeeeeeeee,0x3ff604ee,0xeeeeefff,0x04eeeeee,
    0x3bfffff6,0xeeeeeeee,0x3ffa04ee,0xfff304ff,0xf8000bff,0x4005ffff,
    0xfffffffe,0x0fd7100b,0x0bffffe2,0x07fffff8,0x0fffffb0,0x00df6c00,
    0xffffffa8,0xffffe805,0x64000003,0x2005ffff,0x805ffffe,0x404fffff,
    0x806ffffb,0x3ffffff8,0xfff10000,0x00007fff,0x037fffec,0xfffff100,
    0x7ffffc05,0xffff1007,0x7ffff70d,0xfffff800,0xfffffece,0x7dc002ff,
    0x0001ffff,0x0fffffb0,0x7ffec000,0x3600007f,0x0007ffff,0x1fffff60,
    0x7ffc4000,0x3ffe02ff,0x7c0007ff,0x4005ffff,0xfffffffa,0xffecdfff,
    0xfff707ff,0x7fec01ff,0xfd801fff,0x20007fff,0xcdeffffd,0xffffdcbc,
    0x5400ffff,0x000fffff,0x7ffcc000,0xffd000ff,0xfff00bff,0x7f4409ff,
    0xfd801fff,0x0006ffff,0x3fffff60,0x7f400006,0x20005fff,0x00fffffb,
    0x07fffff6,0x0ffffee0,0x00ffffee,0x49fffff0,0xffffffc8,0x3ffee000,
    0xb00001ff,0x000fffff,0x3ffffec0,0xfffb0000,0x6c0000ff,0x0007ffff,
    0x1fffff70,0x7ffffec0,0x3ffe0001,0xfc8005ff,0xffffffff,0x7fffffff,
    0x9fffffb0,0xfd999999,0xb009ffff,0x000fffff,0x7fffffec,0xffffffff,
    0xd803ffff,0x0005ffff,0xffffd000,0x3fffa009,0x7ffc405f,0xffd504ff,
    0xff7009ff,0x0001ffff,0x3ffffee0,0x7c00000f,0x0004ffff,0x33fffff6,
    0xfecccccc,0xe804ffff,0xaaabffff,0x03ffffda,0x27ffffc0,0x27fffff4,
    0xfffff700,0x3f600003,0x00007fff,0x01fffff6,0xffffd800,0x3f600007,
    0x00007fff,0x99fffffb,0xffd99999,0x40009fff,0x005fffff,0xffffff50,
    0xffffffff,0x3fffe0ff,0xffffffff,0x6fffffff,0x7ffffd80,0x3fff6000,
    0xffffffff,0x04ffffff,0x1fffff98,0xf5000000,0xd001ffff,0xe80dffff,
    0x974fffff,0xdffffffb,0xfffff100,0x2200007f,0x03ffffff,0x7ffc4000,
    0x3e0003ff,0xffffffff,0xffffffff,0x7fcc06ff,0xffffffff,0x003fffff,
    0x427ffffc,0x0ffffff8,0xfffff700,0x3f600003,0x00007fff,0x01fffff6,
    0xffffd800,0x3f600007,0x00007fff,0xffffffff,0xffffffff,0x4000dfff,
    0x005fffff,0x3ffffe60,0xffffffff,0xffffa87f,0xffffffff,0xffffffff,
    0x7fffec00,0x3ff60007,0xffffffff,0x02ffffff,0x0dffff90,0xff800000,
    0xfd803fff,0xfb00ffff,0x3a9fffff,0xcfffffff,0xffffd800,0x3600005f,
    0x005fffff,0xffffa800,0xff50001f,0xffffffff,0xffffffff,0x7fe401ff,
    0xffffffff,0x003fffff,0x827ffffc,0x04fffffc,0x3fffff70,0x3ff60000,
    0x200007ff,0x007ffffd,0x3ffff600,0x3f600007,0x80007fff,0xfffffffa,
    0xffffffff,0x000fffff,0x0bfffff0,0xfff93000,0x59ffffff,0x3fffff20,
    0xffffffff,0x3fffffff,0x3ffffec0,0xffd93000,0xffffffff,0x220015bf,
    0x002fffff,0x7fe40000,0xffc806ff,0x7e443fff,0xd4ffffff,0x01bfffff,
    0x3ffffea0,0xf500000f,0x001fffff,0xffffb000,0x7fe4000f,0xffffffff,
    0xffffffff,0x3ffe03ff,0xffffffff,0x003fffff,0x827ffffc,0x0ffffff9,
    0xfffffb80,0xffb00001,0x40000fff,0x007ffffd,0x3ffff600,0x3f600007,
    0x80007fff,0xfffffffc,0xffffffff,0x003fffff,0x0bfffff0,0x7ffe4000,
    0xfe8009cf,0xffffffff,0xffffffff,0x7ec05fff,0x00007fff,0xfff75531,
    0xf70001ff,0x0000ffff,0xffff1000,0xfffb803f,0xffcadfff,0x4fffffff,
    0x00359bdd,0x7fffffc4,0xff100003,0x0007ffff,0xfffff300,0x7ff4000b,
    0xffffffff,0xffffffff,0xfff505ff,0xffffffff,0x007fffff,0x04fffff8,
    0x13fffff6,0x3ffffee0,0xffb00001,0x40000fff,0x007ffffd,0x3ffff600,
    0x3f600007,0x80007fff,0xfffffffe,0xffffffff,0x005fffff,0x0bfffff0,
    0x7fff4000,0xfff3000f,0x7fc003ff,0x7ec07fff,0x00007fff,0x0bffff30,
    0x3ffffa00,0x00000004,0x00bffffb,0xffffffff,0xffdfffff,0x200009ff,
    0x9efffffd,0x99999999,0xfd809999,0x999effff,0x99999999,0x33335099,
    0x5ffffff7,0x3ffe6000,0x3fe001ff,0xffb07fff,0x7fdc03ff,0x7fc003ff,
    0x3ea04fff,0x400fffff,0x01fffffb,0xffffb000,0x7ec0000f,0x00007fff,
    0x01fffff6,0xffffd800,0x7fcc0007,0x3e001fff,0x2a07ffff,0xffcccccc,
    0xccccffff,0x3e2001cc,0x2e005fff,0x4007ffff,0x02fffffd,0x3bfffff6,
    0xeeeeeeee,0xfa801eee,0xa8002fff,0x000fffff,0xff300000,0xfb801fff,
    0xffffffff,0xffffadff,0xffa80004,0xffffffff,0xffffffff,0x7ffd43ff,
    0xffffffff,0xffffffff,0xfffffd3f,0x00bfffff,0x3ffffdc0,0x3ffff600,
    0x7fffc42f,0x7fffdc06,0x03ccccce,0x809fffff,0x03fffffe,0x77ffffdc,
    0xeeeeeeee,0xffb05eee,0xdddddfff,0x3ddddddd,0x3fffff60,0xeeeeeeee,
    0xfb01eeee,0xddddffff,0xdddddddd,0x3ffff603,0xeeeeeeef,0x2e1eeeee,
    0x4007ffff,0x02fffffd,0xfffffff9,0xffffffff,0x4c005fff,0x2002ffff,
    0x005ffffd,0x27ffffdc,0xffffffb0,0xffffffff,0xf9003fff,0x36000fff,
    0x0005ffff,0x7ff40000,0xffd804ff,0x5fffffff,0x009ffff3,0xfffff900,
    0xffffffff,0x7fffffff,0xffffffc8,0xffffffff,0xd3ffffff,0xffffffff,
    0x6c0001ff,0x4005ffff,0x44fffffb,0x403ffffc,0xfffffffb,0xfff06fff,
    0xffb809ff,0x2e00ffff,0xffffffff,0xffffffff,0xffffb07f,0xffffffff,
    0x203fffff,0xfffffffd,0xffffffff,0xfffb01ff,0xffffffff,0x03ffffff,
    0x3ffffff6,0xffffffff,0x3ff61fff,0x7dc005ff,0xf904ffff,0xffffffff,
    0xffffffff,0x7fdc005f,0x3fe2007f,0x4c002fff,0x207fffff,0xfffffffd,
    0xffffffff,0xffe801ff,0xff88004f,0x00001fff,0x7ffd4000,0xfff7007f,
    0x7cc5dfff,0x80004fff,0xfffffffc,0xffffffff,0x643fffff,0xffffffff,
    0xffffffff,0xffd3ffff,0x3dffffff,0x7ffc4000,0x7cc002ff,0x7f47ffff,
    0x7dc00fff,0xffffffff,0xfffff06f,0xffff8809,0x3fee03ff,0xffffffff,
    0x7fffffff,0xffffffb0,0xffffffff,0x3f603fff,0xffffffff,0xffffffff,
    0xfffffb01,0xffffffff,0x3603ffff,0xffffffff,0xffffffff,0xfffff11f,
    0xfff98005,0xfff907ff,0xffffffff,0x5fffffff,0x27ffe400,0xfffff500,
    0xfffd0001,0x3ff603ff,0xffffffff,0x1fffffff,0x01ffff80,0x6ffffc80,
    0x00000000,0x005fffff,0x000d5d4c,0xfff90000,0xffffffff,0xffffffff,
    0xffffc87f,0xffffffff,0xffffffff,0xffffffd3,0xf500005d,0x0001ffff,
    0x23fffffd,0x806ffffa,0xfffffffb,0xfff06fff,0xff9009ff,0x7dc0ffff,
    0xffffffff,0xffffffff,0xfffffb07,0xffffffff,0x3603ffff,0xffffffff,
    0xffffffff,0xffffb01f,0xffffffff,0x203fffff,0xfffffffd,0xffffffff,
    0xffff51ff,0xffd0001f,0xff903fff,0xffffffff,0xffffffff,0x7776c005,
    0x3fff2001,0xff90006f,0x3f607fff,0xffffffff,0xffffffff,0x2f774401,
    0xfffff800,0x00000003,0x0dffff90,0x00000000,0x3fffff20,0xffffffff,
    0x3fffffff,0x7fffffe4,0xffffffff,0x23ffffff,0x0001aaa9,0x37fffe40,
    0xffffc800,0x7ffffb3f,0xfffff700,0x20dfffff,0x804fffff,0x3ffffff8,
    0xffffff70,0xffffffff,0x3f60ffff,0xffffffff,0xffffffff,0xfffffb01,
    0xffffffff,0x3603ffff,0xffffffff,0xffffffff,0xffffb01f,0xffffffff,
    0x323fffff,0x0006ffff,0x07fffff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x75100000,0x00000057,0x26666200,0x30000000,0xd9813333,
    0x000001df,0x00002200,0x33300000,0x44000133,0x00000000,0x03333310,
    0x15555100,0xa8800000,0x00aaaaaa,0x55555000,0x5554c003,0x01aaa981,
    0xbdb97530,0x80001579,0x09acecb9,0xaaaa9800,0x0aaaa880,0x06aaa600,
    0x5406aaa6,0xdc982aaa,0x4c001bce,0x336e03dd,0x2aa20001,0x2a6000aa,
    0x002aaaaa,0x3ffea000,0x00002eff,0x7fffc000,0x8000001f,0x20fffff8,
    0x00fffff8,0x74c00000,0x00000eff,0xfff88000,0xe98000ff,0x00000dff,
    0x7ffe4000,0x7fc4005f,0x0000efff,0xffffd100,0x200005ff,0x03fffff8,
    0x213ffee0,0x2602ffff,0xffffffec,0x01dfffff,0x3ffff620,0x003fffff,
    0x077fff44,0x00bffff3,0xf84fffb8,0xffd02fff,0x7fff44ff,0x5004ffff,
    0xfb09ffff,0x10003fff,0x01dffffd,0x7ffffe40,0xa800004f,0xffffffff,
    0x2a000001,0xff31aaaa,0x00000dff,0x1bfffea0,0x09fffff5,0x7c400000,
    0x0006ffff,0xffa80000,0xf88006ff,0x0006ffff,0x55555554,0x740aaaaa,
    0x2002ffff,0xffffffe8,0xe8800005,0x01efffff,0x3ffe2000,0x3ea003ff,
    0xff912fff,0x7fe401ff,0xffffffff,0x803fffff,0xffffffe9,0x00efffff,
    0x3bfffa20,0x06ffff98,0x2ffffa80,0x01ffff91,0x2a3ffffa,0xffffffff,
    0xffe806ff,0x3fe60fff,0x44004fff,0xeffffffe,0x3ffea000,0x00004fff,
    0x373fffe2,0x00006fff,0x4fffffe0,0x003ffffb,0xfff70000,0xffff987f,
    0x0000006f,0x3fffffee,0x00000002,0x01ffffe4,0x7ffffdc0,0x3fa0001f,
    0xffffffff,0x7fffc3ff,0x3ffa2007,0x05ffffff,0x3ffa2000,0x20005fff,
    0xfffffffa,0x3fffffff,0xfffffe80,0x405fffff,0xfffffffc,0xffffffff,
    0x3ffea01f,0xffffffff,0x2000ffff,0xffeffff8,0xd0000eff,0xffffffff,
    0x7ff40bff,0xfffffaff,0x3fffffff,0x7fffffc0,0x3ffffea1,0x3ffa2006,
    0x05ffffff,0x7ffff440,0xf500004f,0x7ffd43ff,0xff000001,0x3ff67fff,
    0x300000ff,0x3fff6037,0xffffe80f,0x20000007,0x3ffffffc,0x40000000,
    0x000ffffe,0xffffffc8,0x3ffa0002,0xffffffff,0x3fffe63f,0xfffd1004,
    0xbffff53f,0xffb10000,0x80005fff,0xfffffffa,0x3fffffff,0xfffffa80,
    0x400fffff,0xbcdefffc,0xfffffdca,0xffff106f,0xff9579ff,0x800bffff,
    0xfffffff9,0x3ea0000e,0xffffffff,0x3fffa00f,0xffffffff,0x07ffffff,
    0x23ffffec,0x04fffff8,0x27ffff60,0x005ffffa,0x4fffffc8,0x6ffb8000,
    0x0002fff8,0x7fffff00,0x001bfffe,0x2fffdb88,0x20bffff0,0x006ffff8,
    0x3fea0000,0x0001ffff,0x3ffffee0,0x17fffe01,0x7fffd400,0x3a0001ff,
    0xffffffff,0x3fee3fff,0xffb001ff,0x7ffd43ff,0x7ec0004f,0x0001efff,
    0xffffffa8,0xffffffff,0xffff5003,0x9003dfff,0xff98017b,0xfd80ffff,
    0xd881efff,0x001fffff,0x77ffffcc,0xffa80000,0x01efffff,0x7ffffff4,
    0xffb89dff,0x2201ffff,0xfb82fffe,0xfb000eff,0x7fd43fff,0xfa8005ff,
    0x0004ffff,0xf307ffd4,0x000003ff,0x26fffffe,0x0003ffff,0x0bffffea,
    0x80bfffe6,0x0005fffe,0x7ffec000,0x5c00005f,0x301fffff,0x0005ffff,
    0x027ffff4,0x3ffffa00,0x3fffffff,0x401ffff6,0xa81cccca,0x0001cccc,
    0x00999995,0x7fffd400,0xffffffff,0x2e2003ff,0x0002ceec,0x3fffea00,
    0x7fffcc2f,0x3ffe201f,0xc98006ff,0x00000ccc,0x0b3bb2e2,0x7fffff40,
    0xfffb81ff,0x0aa803ff,0x9800aa60,0xca81cccc,0x88001ccc,0x001ccccc,
    0x2bbffe20,0x0007ffeb,0x3ffffe00,0x00ffffab,0x3fffea00,0xffffb82f,
    0x5ffff100,0x70000000,0x000007bb,0x03fffff7,0x003fffee,0x005bb700,
    0x7ffcc000,0x3fffe3ff,0x00000004,0x00000000,0x26666662,0x99cfffff,
    0x00000000,0x7fffc400,0x7fffec3f,0xffffb805,0x00000007,0xfe800000,
    0x302fffff,0x009fffff,0x00000000,0x00000000,0xfffff900,0x00005fff,
    0x5fffffc0,0x0003ccca,0x17ffffd4,0x5c1e6654,0x005fffec,0x00000000,
    0xffff7000,0x3332a03f,0x00000003,0x3ffe6000,0x999913ff,0x00000003,
    0x00000000,0xfffff100,0x00000007,0xffff8000,0x7ffffc4f,0xffffa802,
    0x0000000f,0x74000000,0x403fffff,0x005fffff,0x00000000,0x00000000,
    0xfffff900,0x8000007f,0x003fffff,0xffffa800,0xfff0002f,0x00001dff,
    0x00000000,0x3ffffee0,0x00000001,0xf9800000,0x0003ffff,0x332ea600,
    0x40000aac,0xaacccba9,0x32a60000,0xffffbccd,0x5d4c003f,0x0abcdedc,
    0x99988000,0x24fffff9,0x9afffff8,0xa9999999,0x002fffff,0x4d6765cc,
    0x97300000,0xe801359d,0xe806ffff,0xaa85ffff,0xaa801aaa,0xaaa81aaa,
    0xaaa801aa,0xaaaa81aa,0xaaaa801a,0x3726001a,0x000000cd,0x03fffff8,
    0xfffa8000,0xff0002ff,0x000005ff,0x6765cc00,0x7000009a,0x003fffff,
    0x5d4c0000,0x000aaccc,0xfffff300,0xea800007,0xffffffff,0x754006ff,
    0xffffffff,0x362006ff,0xffffffff,0x803fffff,0xfffffec9,0x1dffffff,
    0xffdd7100,0xffffffff,0x7fffcc9f,0xffffffff,0xffffffff,0xfffd8803,
    0x03ffffff,0xffffb100,0x407fffff,0x805ffffe,0xe85ffffe,0xf805ffff,
    0xfe84ffff,0xff805fff,0xffe84fff,0xfff805ff,0x000004ff,0xdca98800,
    0xfffffbcc,0x2aa60003,0xffffcaaa,0xaaaaaacf,0x009a80aa,0xb1000000,
    0xffffffff,0xf700007f,0x0003ffff,0xfffea800,0x6fffffff,0xfff98000,
    0x100003ff,0xfffffff9,0x00ffffff,0x3fffff22,0x7fffffff,0xfffff700,
    0xffffffff,0xff9007ff,0xffffffff,0x407fffff,0xffffffc9,0xffffffff,
    0x3fffee4f,0xffffffff,0xffffffff,0x7fff4c03,0xffffffff,0x3fa6000e,
    0xffffffff,0xffe80eff,0xffe805ff,0xfffe85ff,0xffff805f,0xffffe84f,
    0xfffff805,0x5ffffe84,0x4fffff80,0x76e5d4c0,0x8000abcd,0xffffffd9,
    0x3fffffff,0x3fff2000,0xffffffff,0xffffffff,0x5554402f,0x6f65c41a,
    0xfe98002b,0xffffffff,0x20000eff,0x01fffffb,0xff910000,0xffffffff,
    0x30000fff,0x007fffff,0xfffff500,0xffffffff,0xfff500ff,0xffffffff,
    0xe880ffff,0xffffffff,0xffffffff,0xffffc803,0xffffffff,0xf981ffff,
    0xffffffff,0xffffffff,0x3fffff24,0xffffffff,0x2fffffff,0x3ffffea0,
    0xffffffff,0xffa800ff,0xffffffff,0x740fffff,0xe805ffff,0xfe85ffff,
    0xff805fff,0xffe84fff,0xfff805ff,0xfffe84ff,0xffff805f,0xffec984f,
    0xffffffff,0xff9001df,0xffffffff,0x007fffff,0x7ffffe40,0xffffffff,
    0x2fffffff,0x1ffffd40,0xfffffff7,0x3fea003d,0xffffffff,0x000fffff,
    0x3fffff70,0xff500000,0xffffffff,0x000fffff,0x7fffff30,0xfff88000,
    0xffffffff,0x4407ffff,0xffffffff,0x7fffffff,0x7ffffe40,0xffeedeff,
    0xc803ffff,0xabcdefff,0xffffffdc,0x7ffffc46,0xcccdefff,0x2e4fffff,
    0xeeefffff,0xeeeeeeee,0xf101eeee,0x579fffff,0xbffffff9,0xfffff880,
    0xfffcabcf,0x7ff45fff,0xffe805ff,0xfffe85ff,0xffff805f,0xffffe84f,
    0xfffff805,0x5ffffe84,0x4fffff80,0xffffffc8,0xffffffff,0x3ffe203f,
    0xffffffff,0x03ffffff,0x3ffff200,0xffffffff,0xffffffff,0x7fffd402,
    0xfffffd8c,0x402fffff,0xcffffff8,0xfffffcab,0xff70005f,0x00003fff,
    0xffffff88,0xffffffff,0xf980007f,0x0003ffff,0x7fffffec,0xdba99abe,
    0x7ffec07f,0x99abefff,0x2607fdba,0x0cffffff,0x3fffff98,0x400bdc80,
    0x0ffffff9,0x3bfffffa,0x3ffffe01,0x3ffffea4,0xfd800000,0xd881efff,
    0x201fffff,0x81effffd,0x1fffffd8,0x017ffffa,0x217ffffa,0x805ffffe,
    0xe84fffff,0xf805ffff,0xfe84ffff,0xff805fff,0xffc84fff,0xffffffff,
    0x01ffffff,0xfffffffb,0xffffddbd,0x640007ff,0xffffffff,0xffffffff,
    0x5402ffff,0xffdcffff,0xffffffff,0x7ffec06f,0xffd881ef,0xb8001fff,
    0x001fffff,0x7fffec00,0xa99abeff,0x80007fdb,0x03fffff9,0x3fffea00,
    0x028804ff,0x3fffffea,0x3a028804,0x203fffff,0x03fffff8,0xfffa8000,
    0xffff12ff,0xfff801df,0x3ffe64ff,0x400002ff,0x01fffff9,0x1bffffe2,
    0x0fffffcc,0xdfffff10,0x02fffff4,0x42fffff4,0x805ffffe,0xe84fffff,
    0xf805ffff,0xfe84ffff,0xff805fff,0xffc84fff,0xdcabcdef,0x86ffffff,
    0xcffffffa,0xfffff880,0xfa800003,0x0002ffff,0xffffffa8,0xffffffff,
    0xf303ffff,0x4403ffff,0x006fffff,0x1fffffb8,0x3fea0000,0x8804ffff,
    0xff980002,0x20003fff,0x04ffffff,0xfffff000,0xf500009f,0x880dffff,
    0x003fffff,0xffff8800,0xfffff33f,0xfffff007,0x7ffffc49,0x7ec00004,
    0xfb805fff,0xffb07fff,0xff700bff,0x7fff4fff,0xfffe805f,0xffffe85f,
    0xfffff805,0x5ffffe84,0x4fffff80,0x05ffffe8,0x84fffff8,0x7cc00bdc,
    0x220fffff,0x02ffffff,0x01fffffc,0x7ffd4000,0xa80002ff,0xffffffff,
    0xfffda8be,0xfffb05ff,0xfff700bf,0xff7000ff,0x00003fff,0x27fffffc,
    0x26000000,0x003fffff,0xffffff30,0xff300001,0x0001ffff,0x5fffff90,
    0xfffff880,0xff000003,0x3fee9fff,0x7ec03fff,0x7fc4ffff,0x0001ffff,
    0x0bffffe0,0x3ffffea0,0x2fffff80,0xfffffa80,0x0bffffd0,0x0bffffd0,
    0x00bffffd,0xd09fffff,0xf00bffff,0xfd09ffff,0xff00bfff,0x00009fff,
    0x45fffff5,0x05fffffc,0x03fffff8,0xfffa8000,0xa80002ff,0x4fffffff,
    0x0dfffff0,0x00bffffe,0x03ffffea,0xfffff700,0x3e600003,0x000fffff,
    0x7fcc0000,0x50003fff,0x007fffff,0x3fffea00,0xfb00003f,0xf100ffff,
    0x0007ffff,0xff333310,0x3fea9fff,0xfd106fff,0xb89fffff,0x00efffff,
    0xffff8800,0x999999af,0xfffffa99,0x7ffffc42,0x9999999a,0x2fffffa9,
    0x00bffffd,0xd0bffffd,0xf00bffff,0xfd09ffff,0xff00bfff,0xffd09fff,
    0xfff00bff,0x100009ff,0x6c7fffff,0x801fffff,0x003fffff,0xffffa800,
    0xfa80002f,0x205fffff,0x887ffffd,0x99afffff,0xfa999999,0x4002ffff,
    0x01fffffb,0xffff5000,0x0000007f,0x7fffff30,0x3fff2000,0x900002ff,
    0x005fffff,0x3ffffa00,0xffff8806,0x75c4003f,0xfffffffe,0xff14ffff,
    0x2239ffff,0xffffffeb,0xffffe84f,0x4cc09cff,0xff981edb,0xffffffff,
    0xffffffff,0x7ffcc3ff,0xffffffff,0xffffffff,0xbffffd3f,0xbffffd00,
    0x0bffffd0,0x09fffff0,0x00bffffd,0xd09fffff,0xf00bffff,0x0009ffff,
    0x93ffffe0,0x006ffffe,0x007fffff,0xffff5000,0xf500005f,0xb80dffff,
    0x4c0fffff,0xffffffff,0xffffffff,0x4003ffff,0x01fffffb,0xffff9000,
    0x0000005f,0x7fffff30,0x3fff6000,0xb00000ff,0x001fffff,0x3ffffe00,
    0xffff8805,0xff93003f,0xffffffff,0x749fffff,0xffffffff,0xffffffff,
    0xfff984ff,0xffffffff,0x81ffffff,0xfffffffb,0xffffffff,0x5c3fffff,
    0xffffffff,0xffffffff,0xffd3ffff,0xffd00bff,0xfffd0bff,0xffff00bf,
    0xffffd09f,0xfffff00b,0xbffffd09,0x9fffff00,0x33331000,0x7c9fffff,
    0xf005ffff,0x0007ffff,0xfffff500,0xff500005,0xfb803fff,0x7dc0ffff,
    0xffffffff,0xffffffff,0x5c003fff,0x001fffff,0xfffffb00,0x00000001,
    0x07fffff3,0x3ffffa00,0xfd00000f,0x0001ffff,0x9fffff30,0xfffff100,
    0xffff3007,0xffffffff,0x4c9fffff,0xffffffff,0xffbeffff,0xfff904ff,
    0xffffffff,0x903fffff,0xffffffff,0xffffffff,0xfc85ffff,0xffffffff,
    0xffffffff,0xfffd2fff,0xfffd00bf,0xffffd0bf,0xfffff00b,0xbffffd09,
    0x9fffff00,0x0bffffd0,0x09fffff0,0xfffeeb88,0xffffffff,0x9fffff34,
    0x3ffffe00,0xfa800003,0x0002ffff,0x1fffffa8,0x7ffffdc0,0x7ffffe40,
    0xffffffff,0x2fffffff,0x7fffdc00,0xfd00001f,0x0001ffff,0xfff30000,
    0x3a0007ff,0x001fffff,0xfffffd00,0xff100003,0xf100bfff,0x8807ffff,
    0xffffffff,0xfffcccde,0x7ffe44ff,0xdfffffff,0x04ffff98,0x3fffffa6,
    0xffffffff,0xffffb81f,0xeeeeeeef,0xeeeeeeee,0x7ffffdc1,0xeeeeeeee,
    0x1eeeeeee,0x00bffffd,0xd0bffffd,0xf00bffff,0xfd09ffff,0xff00bfff,
    0xffd09fff,0xfff00bff,0x3f2609ff,0xffffffff,0x54ffffff,0x007fffff,
    0x00fffffe,0x3ffea000,0xa80002ff,0x401fffff,0x40fffffb,0xeefffffb,
    0xeeeeeeee,0x001eeeee,0x0fffffdc,0xfffe8000,0x000001ff,0xfffff980,
    0xfff90003,0x200005ff,0x02fffffc,0xfffff000,0xffff100b,0xfffe807f,
    0x3fe01eff,0xfe984fff,0x22efffff,0x804ffff9,0xffffffeb,0x80bdffff,
    0x00fffffa,0x3ffea000,0xe80000ff,0xf805ffff,0xfe84ffff,0xff805fff,
    0xffe84fff,0xfff805ff,0xfffe84ff,0xffff805f,0xffff984f,0xffffffff,
    0xf54fffff,0x2007ffff,0x003fffff,0xffffa800,0xfa80002f,0x5c01ffff,
    0x540fffff,0x000fffff,0x3fee0000,0x00001fff,0x05fffff9,0xf3000000,
    0x0007ffff,0x13ffffee,0x7ffdc000,0xf00004ff,0x300dffff,0x407fffff,
    0x0efffff8,0x27ffffc0,0x01557510,0x003ffff9,0xffffca98,0x7ffcc00e,
    0x200002ff,0x02fffff9,0x3e000000,0xfe83ffff,0x7c405fff,0xfe84ffff,
    0x7c405fff,0xfe84ffff,0x7c405fff,0x7c44ffff,0xefffffff,0xffffcccd,
    0xfffff34f,0x3fffe009,0xa800003f,0x002fffff,0xfffffa80,0x7fffdc01,
    0x7fffcc0f,0x0000002f,0x07ffffee,0x7ffdc000,0x000004ff,0xfffff980,
    0xfff50003,0x00003fff,0x3ffffff5,0xfffd0000,0xffe801ff,0x3e603fff,
    0xf803ffff,0x0004ffff,0x00ffffe4,0x1ffffd00,0xfffff100,0x7c400009,
    0x0004ffff,0xfff10000,0xfffd05ff,0xfffe80df,0xfffe84ff,0x7fff406f,
    0xfffe84ff,0x7fff406f,0x7fff44ff,0x3fe01eff,0xfff14fff,0xff3009ff,
    0x00007fff,0x5fffff50,0xfff50000,0xffb803ff,0x7fc40fff,0x00004fff,
    0x3fffee00,0xf500001f,0x003fffff,0xff980000,0x10003fff,0x1dffffff,
    0xfff88000,0x0000efff,0x17ffffec,0xffffffb0,0x7fffdc07,0x7ffec03f,
    0x260004ff,0x0003ffff,0x00bfffee,0x1ffffff8,0x3ffe0000,0x00001fff,
    0xffffc800,0xffffd80f,0xffffb00f,0xfffb09ff,0x3ff601ff,0xfd84ffff,
    0xfb00ffff,0x449fffff,0x00efffff,0xf27ffffc,0x880fffff,0x03fffffe,
    0xfffa8000,0xa80003ff,0x401fffff,0x80fffffb,0x01ffffff,0xff700000,
    0x00003fff,0x3fffffe2,0x0000000e,0x0fffffe6,0xffffc800,0x2cc02eff,
    0xffffff90,0x5059805d,0x01dfffff,0xfffffffb,0x7fffd407,0xfffd106f,
    0x40009fff,0x000ffffd,0x01bfffe0,0xdfffff70,0x3ee00001,0x000effff,
    0x3fe20000,0xff907fff,0xfc887fff,0x84ffffff,0x43fffffc,0xffffffc8,
    0xffffc84f,0x7ffe443f,0x3e64ffff,0xf803ffff,0x3fa4ffff,0x3a01ffff,
    0x03ffffff,0xfff98000,0xa80006ff,0x401fffff,0x80fffffb,0x0efffffb,
    0xfb800000,0x0001ffff,0x3fffff20,0x02cc02ef,0x7fffcc00,0x3e20003f,
    0xefffffff,0x7ffdccbd,0x3ffffe20,0xccbdefff,0x3fa07ffd,0xbabeffff,
    0xfffffffe,0x3ffe203f,0xd711cfff,0x9fffffff,0x7fffc000,0xff10000f,
    0xfd000dff,0x139fffff,0x01edb998,0x3ffffffa,0x6dccc09c,0xfa88001e,
    0x703fffff,0x5bffffff,0xfffffff9,0xfff709ff,0xff95bfff,0x9fffffff,
    0xffffff70,0xfffff95b,0x7dc9ffff,0x6c03ffff,0x2e4fffff,0x40efffff,
    0xffffffd8,0x8800003f,0x00ffffff,0x7fffd400,0x7ffdc01f,0xfffd00ff,
    0x98139fff,0x8001edb9,0x01fffffb,0x3ffe2000,0xbdefffff,0x007ffdcc,
    0xfffff980,0x7fd40003,0xffffffff,0x407fffff,0xfffffffa,0xffffffff,
    0x3fffee07,0xffffffff,0x03ffffef,0x7ffffff4,0xffffffff,0x0004ffff,
    0x2f7ffffe,0x3fe6001a,0x00aacfff,0xffffff98,0xffffffff,0x3e601fff,
    0xffffffff,0xffffffff,0x7fffc001,0x7c06ffff,0xffffffff,0xfffeffff,
    0xfffff04f,0xffffffff,0x209ffffd,0xffffffff,0xffefffff,0x3ffea4ff,
    0xffd106ff,0x7c49ffff,0xabefffff,0xfffffffd,0x000003ff,0x3dffffff,
    0x5401b988,0x401fffff,0x00fffffb,0xfffffff3,0xffffffff,0xf70003ff,
    0xddddffff,0xdddddddd,0xffffa80b,0xffffffff,0x53007fff,0xff955555,
    0x5555bfff,0x3ee00155,0xffffffff,0x807fffff,0xfffffffb,0x7fffffff,
    0x7fffff40,0xacffffff,0x4c03ffff,0xffffffff,0xffbeffff,0x3a0004ff,
    0x3fffffff,0x7ffffc00,0xf9001fff,0xffffffff,0x3fffffff,0xfffffc80,
    0xffffffff,0x7c001fff,0x1fffffff,0x7ffffdc0,0xadffffff,0xf704ffff,
    0xffffffff,0xffff5bff,0x3fffee09,0xdfffffff,0x224ffffa,0x1cffffff,
    0xfffffd71,0xfffc89ff,0xffffffff,0x3ffffeff,0xff900000,0xffffffff,
    0xfa805fff,0x5c01ffff,0x200fffff,0xfffffffc,0xffffffff,0xffb8001f,
    0xffffffff,0x7fffffff,0xfffffb80,0xffffffff,0xfff9007f,0xffffffff,
    0xffffffff,0x7fecc001,0xffffffff,0xfb3007ff,0xffffffff,0xfb00ffff,
    0xffffffff,0x0ffffea9,0x3fffff20,0x98dfffff,0x0004ffff,0x3fffffea,
    0x7fdc003f,0x001fffff,0x3fffffa6,0xffffffff,0xffe9801f,0xffffffff,
    0x4001ffff,0x1effffff,0xfffffb00,0x3e6bffff,0x3f604fff,0xffffffff,
    0x09ffff35,0x7fffffec,0xfff35fff,0xffffe89f,0xffffffff,0x44ffffff,
    0xffffffe8,0xfacfffff,0x00003fff,0x3fffffa0,0x2fffffff,0x7ffffd40,
    0x7fffdc01,0x7ff4c00f,0xffffffff,0x8001ffff,0xfffffffb,0xffffffff,
    0xfb3007ff,0xffffffff,0x3200ffff,0xffffffff,0xffffffff,0xa8000fff,
    0xffffffed,0x54001bef,0xffffffed,0xd9001bef,0x45dfffff,0x003ffffa,
    0xffffffd3,0x7fffcc5d,0x7f540004,0x8003ffff,0x1ffffffa,0xfffeb800,
    0xdfffffff,0x3fae000b,0xffffffff,0x7c000bdf,0x8002ffff,0xeffffffb,
    0x13fffe62,0xffffff70,0x7fffcc5d,0x7fffdc04,0x3fe62eff,0x7ffcc4ff,
    0xffffffff,0x4ffffbef,0xfffffd88,0xff54ffff,0x000007ff,0x7fffffcc,
    0x02ffffff,0x0fffffd4,0x3ffffee0,0xfffd7000,0xbfffffff,0xff700017,
    0xffffffff,0xffffffff,0xffeda800,0x1befffff,0xfffff900,0xffffffff,
    0x01ffffff,0x33553000,0x54c00001,0x2000099a,0x0001aba8,0x15575100,
    0x88000000,0x88000199,0x30000199,0x01355775,0x2eea6000,0x400009aa,
    0x800009ac,0x0001aba9,0x00d5d4c0,0x2aea6000,0x3ff20001,0xffffffff,
    0x4ffff98d,0x3fffff20,0x3ffea2ef,0x8000003f,0xfffffffb,0x7d402fff,
    0x5c01ffff,0x000fffff,0x9aabba98,0xffb80000,0xffffffff,0x7fffffff,
    0x4d54c000,0xffc80009,0xffffffff,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffe98000,0x262effff,0x8804ffff,0x00000aba,0xa9980000,
    0x50009aab,0x803fffff,0x00fffffb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d440000,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55555400,0x880000aa,0x4c000999,0x336e03dd,0xbd730001,0x00004039,
    0x00555544,0x55500000,0x53015555,0x00555555,0x2ea20000,0x7311bccd,
    0x55554c07,0x2a0401aa,0x0002aaaa,0x00110000,0x0aaaa980,0x00aaaa88,
    0x5c07bb30,0x440001cd,0x0000aaaa,0x55555000,0xaaa98155,0x00002aaa,
    0x0000a980,0xdeecca98,0x4c009bcc,0x4002cedb,0x4c01aaaa,0x336e03dd,
    0xfffffd01,0xffffffff,0xd8000bff,0x03ffffff,0x9fffd000,0x7fffd400,
    0x1ffffd84,0x7ffff400,0x076c0cff,0xfffd1000,0x000001df,0xffffffb0,
    0x7fffe407,0x000004ff,0xffffffb1,0xbfffffff,0x7ffffc40,0xfd9531ff,
    0x5ffffe89,0x4c000000,0x0000effe,0x41dfffd1,0x005ffff9,0xb09ffff5,
    0x0003ffff,0x3bffffa2,0x6c000000,0x03ffffff,0x9ffffff9,0x3a200000,
    0x50003fff,0xfffffffd,0x6409ffff,0x1effffff,0x1ffff980,0x13fffea0,
    0x207ffff6,0xfffffffe,0xffffffff,0x3ff60005,0x0001efff,0x03ffff30,
    0x7fffff40,0x3ffffe60,0x3fff6004,0xbcffffff,0x8000effd,0xffffffe8,
    0x2000000e,0x1efffffd,0xfffffa80,0x5c00004f,0xffffffff,0x5fffffff,
    0x7ffffcc0,0xffffffff,0x2fffff44,0xf1000000,0x000dffff,0x477fff44,
    0x006ffff9,0x83fffffa,0x04fffff9,0xffffe880,0x00000eff,0xdfffffb0,
    0xffffa803,0x800004ff,0x02fffffe,0x3ffffa20,0xffffffff,0xffffb04f,
    0xd00fffff,0xfe809fff,0x3e60ffff,0xfe84ffff,0xffffffff,0x05ffffff,
    0xfffffb00,0x6400001b,0x7c007fff,0x2a1fffff,0x006fffff,0xfffffff7,
    0xffffffff,0xfe88003f,0x5fffffff,0xffb00000,0x4001bfff,0x4fffffe8,
    0xffd88000,0xffffffff,0x05ffffff,0x7ffffecc,0x4fffffff,0x02fffff4,
    0xff700000,0x0005ffff,0x7f7fffc4,0x2000efff,0x21ffffff,0x06fffffa,
    0x7ffff440,0x0005ffff,0xfffffd80,0xffd1000d,0x00009fff,0x7fffffcc,
    0xfffd1005,0xffffffff,0xff309fff,0xffffddff,0x37ffe407,0x7fffffc0,
    0x3ffffea1,0xfffffe86,0xffffffff,0xfd8005ff,0x0003ffff,0x04fffe80,
    0x3ffffec0,0x13ffffe2,0x4dfff440,0xffffffeb,0xfd8002ff,0xfffa9fff,
    0x6c00005f,0x003fffff,0x3fffff20,0x7fec0004,0xedefffff,0x5ffffffe,
    0xfffffe88,0xffffffff,0x7fff44ff,0x0000005f,0x3ffffff2,0x7fcc0003,
    0x00efffff,0x3ffffec0,0x13ffffe2,0x3ffffb00,0x00bffff5,0x7fffec00,
    0xff90003f,0x00009fff,0x3fffffea,0xffffb006,0x97557bff,0xffb09ffb,
    0x37ffdc9f,0x01ffff98,0x47ffffd8,0x84fffff8,0xcccccccb,0xfffffccc,
    0x7ffec005,0x440001ef,0xfffeedba,0x7f44001f,0xfffb82ff,0x0ba2000e,
    0x3ffffff2,0xfffd8003,0x3fffea1f,0xffb00005,0x00003dff,0x09fffff5,
    0x3fffe600,0xff880dff,0xff985fff,0xffffffff,0xe80acfff,0x0005ffff,
    0x3ffea000,0x80001fff,0x0efffff9,0xfffe8800,0x0efffb82,0x3ffff600,
    0x17fffea1,0x3fff6000,0x540001ef,0x004fffff,0xfffff880,0xffff004f,
    0x033005ff,0x7c41ffff,0xfffd07ff,0x3ffa2009,0xefffb82f,0x7ffc0000,
    0x32a005ff,0x0000cccc,0x3fffffee,0x000fffff,0x54c01550,0xa8800002,
    0x930002cc,0x99503999,0xa8000399,0x000ccccc,0x33332200,0xffe8001c,
    0x7f404fff,0xff985fff,0xffffffff,0x3fa00fff,0x00005fff,0x7fffec00,
    0x32600005,0x40000ccc,0x0aa600aa,0x39999300,0x03999950,0x66665400,
    0x9100000c,0x00039999,0x1fffff90,0xfffff300,0x7fc4000b,0x0ffff87f,
    0x0037ffe4,0x55300554,0x3ffe0000,0x000005ff,0xffffb100,0xffffffff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0xfff50000,0xffd00dff,
    0xfff30bff,0xffff337b,0x7ff40bff,0x000005ff,0x003ddb80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x001bdd70,0x1bffffea,0x6fff9800,
    0x261fffe8,0x0001ffff,0xf0000000,0x000bffff,0xffd30000,0xffffffff,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x80000000,0x02fffffc,
    0x85ffffe8,0xfff500a8,0x3fa05fff,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffcc00,0x88001dff,0x3e20ffff,
    0x7fff47ff,0x00000004,0x3fffe000,0x5555545f,0xaaaaa801,0xfffffd01,
    0xfffffdff,0x0001ffff,0x359bb751,0x2a200001,0x009acddb,0xbb751000,
    0x00001359,0x2b376ea2,0x51000009,0x01359bb7,0x1fffff60,0x2fffff40,
    0xffcb9880,0xe80fffff,0x5445ffff,0x0000acdc,0x98000000,0xccdeecca,
    0x7300009b,0x001359d9,0x33b2e600,0x3000009a,0x01359d97,0x3b2e6000,
    0x000009ac,0x3fffe000,0x00adffff,0xa8bfffe0,0x3fee6fff,0x530000ff,
    0x579bdb97,0x7fc00001,0x7ff45fff,0xfff805ff,0xfffb84ff,0xfff0afff,
    0x0bffffff,0x7ffffd40,0x004fffff,0x3ffffea0,0x004fffff,0x3ffffea0,
    0x004fffff,0x3ffffea0,0x004fffff,0x3ffffea0,0x804fffff,0x006ffffe,
    0x80bffffd,0xffffffe9,0xe84fffff,0xfb14ffff,0x0bffffff,0x2aaaaa20,
    0xaaaaaaaa,0x800aaaaa,0xffffffea,0x004fffff,0x3fffff62,0x0003ffff,
    0xffffffb1,0x20007fff,0xffffffd8,0x10003fff,0xfffffffb,0xaaa807ff,
    0xaaaaaaaa,0xfff7000a,0xbfffffff,0xfffd8015,0x3ffffccf,0x005ffff3,
    0xffffec98,0xdfffffff,0xfff80001,0x7fff45ff,0xffff805f,0x7fffc44f,
    0x3ffea0ef,0x0fffffef,0x7fffec40,0xffffffff,0x3f62001e,0xffffffff,
    0x2001efff,0xffffffd8,0x1effffff,0x3fff6200,0xffffffff,0x362001ef,
    0xffffffff,0x201effff,0x005fffff,0x40bffffd,0xfffffffc,0x0fffffff,
    0x467ffff4,0xfffffffe,0x7cc00eff,0xffffffff,0xffffffff,0x3ffa201f,
    0xffffffff,0xd3004fff,0xffffffff,0x4001dfff,0xffffffe9,0x00efffff,
    0x3ffffa60,0xefffffff,0x3ffa6000,0xffffffff,0xfffd00ef,0xffffffff,
    0x7ffec007,0xffffffff,0xfff100cf,0x4dffffff,0x8005fffe,0xfffffffc,
    0xffffffff,0x7ffc0003,0x7fff45ff,0xffff805f,0x7fffdc4f,0x77ffec2f,
    0x03fffffa,0x3fffffa6,0xffffffff,0xfe9802ff,0xffffffff,0x02ffffff,
    0xfffffe98,0xffffffff,0xfe9802ff,0xffffffff,0x02ffffff,0xfffffe98,
    0xffffffff,0xfff982ff,0xffd004ff,0xffd10bff,0xffffffff,0xe89fffff,
    0xffedffff,0xffffffff,0x7ffcc06f,0xffffffff,0x1fffffff,0xfffffd10,
    0xffffffff,0xfff5009f,0xffffffff,0x5001ffff,0xffffffff,0x1fffffff,
    0xfffff500,0xffffffff,0xff5001ff,0xffffffff,0xd01fffff,0xffffffff,
    0xb8007fff,0xffffffff,0x702fffff,0xdfffffff,0x03fffee3,0x3ffff200,
    0xffffffff,0x0001ffff,0xd17ffffe,0xf00bffff,0xfd89ffff,0xfff86fff,
    0xdffffd3f,0x7fffff40,0xffffffff,0x7400ffff,0xffffffff,0xffffffff,
    0x7fff400f,0xffffffff,0x00ffffff,0x7ffffff4,0xffffffff,0x7f400fff,
    0xffffffff,0xffffffff,0x7ffffc40,0xffffd005,0xfffff90b,0xfffdbdff,
    0x7f41ffff,0xffffffff,0xffffffff,0x3ffe602f,0xffffffff,0x1fffffff,
    0xffffffb0,0xfb97557b,0xfff8809f,0xfcabcfff,0x405fffff,0xcffffff8,
    0xfffffcab,0x7ffc405f,0xfcabcfff,0x405fffff,0xcffffff8,0xfffffcab,
    0xffffe85f,0x3fffffff,0xffeb8800,0xffffffff,0xfffb301f,0x7fffc49d,
    0xfff90002,0xfb9579bd,0x00dfffff,0x2fffffc0,0x017ffffa,0xd13ffffe,
    0xfa87ffff,0xfff90fff,0x3ffea0ff,0xa88acfff,0x4ffffffc,0x3ffffea0,
    0xfca88acf,0x204fffff,0xcffffffa,0xfffca88a,0x3ea04fff,0x8acfffff,
    0xfffffca8,0x3ffea04f,0xa88acfff,0x4ffffffc,0x05fffff8,0x8bffffd0,
    0xcffffff9,0xfffffe80,0x3fffffa3,0xfd31dfff,0x4c0dffff,0xffffffff,
    0xffffffff,0xffff00ff,0x033005ff,0x1effffd8,0xfffffd88,0x3ffff601,
    0xfffd881e,0x3ff601ff,0xfd881eff,0x3601ffff,0x881effff,0x41fffffd,
    0xfffffffe,0x0003ffff,0x7fffedc4,0x0806ffff,0x00bfffd0,0x2005ee40,
    0x0ffffff9,0xfffff000,0x5ffffe8b,0x4fffff80,0x217ffffc,0x3ee6fffd,
    0xff887fff,0x2e03ffff,0x80ffffff,0x3ffffff8,0x3ffffee0,0xffff880f,
    0x3fee03ff,0xf880ffff,0x203fffff,0x0ffffffb,0xffffff88,0x3fffee03,
    0x7fffc0ff,0xfff8806f,0x7fff45ff,0x3fee04ff,0x3ffa5fff,0x881fffff,
    0x02fffffe,0x55555551,0xffff9555,0x3fe609ff,0x00005fff,0x03fffff3,
    0x37ffffc4,0x1fffff98,0x3ffffe20,0xfffff306,0x7fffc403,0xffff306f,
    0x7ffc403f,0xff3006ff,0x00007fff,0x7ffffe44,0xfb8000ff,0x00000fff,
    0x3fffea00,0xfff0002f,0xfffe8bff,0xffff805f,0x3fffe24f,0x3fffe21f,
    0x3ffffea3,0x7ffffdc0,0xffffd804,0xffffb83f,0xfffd804f,0xfffb83ff,
    0xffd804ff,0xffb83fff,0xfd804fff,0xfb83ffff,0xd804ffff,0x743fffff,
    0x400fffff,0x25fffffd,0x06fffffa,0x3fffffc4,0x5ffffffd,0x7ffffdc0,
    0x7f440004,0x2a05ffff,0x006fffff,0xbffffb00,0xfffff700,0x17ffff60,
    0x1ffffee0,0x02ffffec,0x83ffffdc,0x805ffffd,0x007ffffb,0x07fffff3,
    0xfff30000,0x88005fff,0x0002ffff,0x7ffc4000,0xff0003ff,0xffe8bfff,
    0xfff805ff,0x3ffe64ff,0x3ffea1ff,0x3fffea0f,0x7fffec0f,0xfff9801f,
    0xfffd84ff,0xff9801ff,0xffd84fff,0xf9801fff,0xfd84ffff,0x9801ffff,
    0xd84fffff,0x801fffff,0x44fffff9,0x03fffffd,0x3ffffff6,0x3ffffee5,
    0xffffe802,0xfffffd1f,0xffff8807,0x7ec0005f,0x200fffff,0xdffffff9,
    0x7ffc0001,0xffa802ff,0xfff80fff,0xffa802ff,0xfff80fff,0xffa802ff,
    0xfff80fff,0xffa802ff,0xf9800fff,0x0003ffff,0xfffffb00,0xfffd8005,
    0x00000005,0x009fffff,0x17ffffe0,0x00bffffd,0x4c9fffff,0x361fffff,
    0x7fdc5fff,0xfffe87ff,0x3ffe006f,0xfffe85ff,0x3ffe006f,0xfffe85ff,
    0x3ffe006f,0xfffe85ff,0x3ffe006f,0xfffe85ff,0x3ffe006f,0x7ffcc5ff,
    0x7e440fff,0x25ffffff,0x007ffffd,0x25fffff9,0x006ffffe,0x00dfffff,
    0x7ffffdc0,0xffff801f,0x00adffff,0x7ffffc40,0x9999999a,0x2fffffa9,
    0x57ffffc4,0x99999999,0x42fffffa,0x9afffff8,0xa9999999,0x442fffff,
    0x99afffff,0xfa999999,0x9802ffff,0x803fffff,0x3fe20008,0x2000ffff,
    0x000ffffa,0x99988000,0x04fffff9,0xbfffff00,0x05ffffe8,0x24fffff8,
    0x12fffff8,0xfc87ffff,0xfff86fff,0x3fa004ff,0xfff87fff,0x3fa004ff,
    0xfff87fff,0x3fa004ff,0xfff87fff,0x3fa004ff,0xfff87fff,0x3fa004ff,
    0xffe87fff,0xfcabffff,0xffffffff,0x1bffffa5,0x7ffffdc0,0x0bffffd3,
    0x1fffffa0,0x7fffcc00,0xff7003ff,0xffffffff,0xff30015b,0xffffffff,
    0xffffffff,0xfff987ff,0xffffffff,0xffffffff,0x7fffcc3f,0xffffffff,
    0xffffffff,0x7ffffcc3,0xffffffff,0x3fffffff,0xfffff980,0x9cefa803,
    0xfffd9880,0x3e2006ff,0x2ea23fff,0xb88000ab,0xffffffee,0x004fffff,
    0x8bfffff0,0x805ffffe,0x224fffff,0xf53fffff,0xffd81fff,0x7ffc45ff,
    0x3f6004ff,0x3e20ffff,0x2004ffff,0x20fffffd,0x04fffff8,0x3fffff60,
    0x3ffffe20,0x3fff6004,0x3ffe20ff,0x3f6004ff,0x7d40ffff,0xffffffff,
    0xffffffff,0x3ffffe5f,0xffff5005,0x3ffffa7f,0xffffb005,0xff88001f,
    0x4005ffff,0xfffffffd,0x00cfffff,0x3fffffee,0xffffffff,0x43ffffff,
    0xfffffffb,0xffffffff,0x5c3fffff,0xffffffff,0xffffffff,0x7dc3ffff,
    0xffffffff,0xffffffff,0xf9803fff,0xa803ffff,0xeeffffff,0xfffffffe,
    0x3ff6003f,0x3fffee5f,0xf93003ff,0xffffffff,0x09ffffff,0x3ffffe00,
    0x2fffff45,0x27ffffc0,0x6dbffffa,0x7fcc5fff,0x7fcc4fff,0x32003fff,
    0x260fffff,0x003fffff,0x83fffff2,0x03fffff9,0x3fffff20,0x3ffffe60,
    0x3fff2003,0x3ffe60ff,0x3f2003ff,0xfd80ffff,0xffffffff,0xffffddff,
    0x9fffff15,0x3fffea00,0xbffffd4f,0x3ffff600,0x7ff4000f,0x8000efff,
    0xfffffffb,0x02ffffff,0xfffffff9,0xffffffff,0xc85fffff,0xffffffff,
    0xffffffff,0x7e42ffff,0xffffffff,0xffffffff,0x7fe42fff,0xffffffff,
    0xffffffff,0xff9802ff,0xfa803fff,0xffffffff,0x4fffffff,0x3fffea00,
    0xffffffb0,0xff9809ff,0xffffffff,0x4fffffff,0xffff8800,0x7ffff45f,
    0xfffff805,0x7ffffe44,0x642ffffa,0x4c1fffff,0x004fffff,0x31fffff6,
    0x009fffff,0x23ffffec,0x04fffff9,0x1fffff60,0x09fffff3,0x3ffffec0,
    0x13ffffe6,0x7ffffd80,0x3fffff60,0xffb5ffff,0x3ffe2bff,0xff5005ff,
    0x3ffa7fff,0xffd005ff,0xfc800dff,0x001fffff,0x3fffae20,0xffffffff,
    0xfffffb81,0xeeeeeeee,0x1eeeeeee,0x77ffffdc,0xeeeeeeee,0x41eeeeee,
    0xeefffffb,0xeeeeeeee,0x5c1eeeee,0xeeefffff,0xeeeeeeee,0x9801eeee,
    0x803fffff,0xfffffffa,0xffffffff,0x3ffe2003,0xfffff53f,0x203fffff,
    0xfffffff8,0xffcccdef,0xa8004fff,0x743fffff,0xf805ffff,0x7cc4ffff,
    0xffffffff,0x3fffee0f,0xfffff05f,0x7fff400b,0xfffff86f,0x3fffa005,
    0xfffff86f,0x3fffa005,0xfffff86f,0x3fffa005,0xfffff86f,0x3fffa005,
    0x7ff5c06f,0x3f62efff,0x3ffe5fff,0xff7005ff,0x3ffa7fff,0xfff005ff,
    0x7d400bff,0x002fffff,0x3ff6e200,0x86ffffff,0x00fffffa,0x3ffea000,
    0x200000ff,0x00fffffa,0x3ffea000,0x000000ff,0x1fffffcc,0x7fffecc0,
    0xefffffff,0x7fec000b,0x33fffa6f,0x05fffe98,0x3dfffffd,0x27ffffc0,
    0x3fff6001,0x7fff42ff,0x7ffc405f,0xfffd84ff,0xa8dfffff,0x0ffffffd,
    0x0dffffd0,0x3ffffe20,0x6ffffe85,0xfffff100,0xdffffd0b,0x3fffe200,
    0xffffe85f,0xffff1006,0xffffd0bf,0x3ffe200d,0x751005ff,0xffffd035,
    0x37ffffcb,0xfffffc80,0x0bffffd1,0x9fffff10,0x3fffe200,0x000004ff,
    0x3fffff22,0x7ffcc0ff,0x200002ff,0x02fffff9,0x3ffe6000,0x200002ff,
    0x02fffff9,0x7fcc0000,0x44003fff,0x9abbaaa9,0xfff50001,0x3fffe23f,
    0x21bffea0,0x0efffff8,0x27ffffc0,0x7fdc019f,0x7f40ffff,0x7f406fff,
    0xf884ffff,0xffffffff,0xffffffff,0x3ffff604,0xfffb801f,0xfffd83ff,
    0xffb801ff,0xffd83fff,0xfb801fff,0xfd83ffff,0xb801ffff,0xd83fffff,
    0x801fffff,0x03fffffb,0x3fffa000,0x3ffffa5f,0x7ffc401f,0x3fffa7ff,
    0xfffc805f,0xfe8802ff,0x0006ffff,0xffff3000,0xfff885ff,0x200004ff,
    0x04fffff8,0x3ffe2000,0x200004ff,0x04fffff8,0x7fcc0000,0x00003fff,
    0xfff10000,0x37ffcc7f,0x261fffe2,0x803fffff,0x3e4fffff,0xeb9abdff,
    0x85ffffff,0x00fffffd,0x9ffffffb,0x3ffffea0,0xffffffff,0x7fe404ff,
    0x74405fff,0xc81fffff,0x405fffff,0x1fffffe8,0x5fffffc8,0x7ffff440,
    0xffffc81f,0x7ff4405f,0xffc81fff,0x74405fff,0x001fffff,0x3ffffa00,
    0x3fffff65,0x7fffdc04,0x3ffffa6f,0x7fffc405,0xffd801ff,0x0000ffff,
    0x3fff6000,0xffff82ff,0x200001ff,0x01ffffff,0x3fffe000,0x200001ff,
    0x01ffffff,0x3fe60000,0x40003fff,0x001aaaa9,0x546fffc8,0xfff85fff,
    0xfffffb87,0x7fffec03,0x3ffffe4f,0xffffffff,0xfffc80ff,0x7fe443ff,
    0x204fffff,0xffffffe9,0x02ffffff,0xffffff88,0xffffd105,0x3ffe209f,
    0xfd105fff,0x2209ffff,0x05ffffff,0x9fffffd1,0x3ffffe20,0xfffd105f,
    0x3fe209ff,0xd105ffff,0x009fffff,0xffffe800,0x3ffffe65,0xffff503f,
    0x7fff45ff,0x3ffa205f,0xfb804fff,0x001fffff,0xf8800220,0xb80fffff,
    0x00efffff,0xffff7000,0x200001df,0x0efffffb,0xfff70000,0x00001dff,
    0x3ffffe60,0x7fec0003,0x7d4002ff,0x7fcc1fff,0x3fffcc6f,0x37ffffd4,
    0xfffffe88,0x3ffffe4f,0xffffffff,0xffff702f,0xfff95bff,0x09ffffff,
    0xffffff98,0x000cefff,0x3ffffff2,0xffecbace,0x3200ffff,0xceffffff,
    0xffffecba,0x3ff200ff,0xbaceffff,0xffffffec,0x3ffff200,0xecbaceff,
    0x00ffffff,0x3ffffff2,0xffecbace,0x0000ffff,0x2fffff40,0x3ffffff6,
    0xfffdbabd,0x7ff46fff,0x2e61afff,0x06ffffff,0xffffff98,0x77d40003,
    0xfd98809c,0x3a06ffff,0x9cffffff,0x0f6dccc0,0xffffffd0,0xdb998139,
    0x3fffa01e,0x4c09cfff,0x3a01edb9,0x9cffffff,0x0f6dccc0,0xfffff980,
    0x7ffc0003,0x3a2000ff,0xff884fff,0x3ffea0ff,0xfffff885,0xffd711cf,
    0x7c9fffff,0xffffffff,0x7c01efff,0xffffffff,0xfffeffff,0x7ffdc04f,
    0x0001acbf,0x3fffffe2,0xffffffff,0x7c403fff,0xffffffff,0xffffffff,
    0x7fffc403,0xffffffff,0x403fffff,0xfffffff8,0xffffffff,0x7fc403ff,
    0xffffffff,0x3fffffff,0xffe80000,0x7ffcc5ff,0xffffffff,0x42ffffff,
    0xfffffffe,0xffffffff,0x7fc401ff,0xffffffff,0xffffffff,0xfffffa82,
    0xffffeeef,0x2603ffff,0xffffffff,0xffffffff,0x3ffe601f,0xffffffff,
    0x01ffffff,0x3fffffe6,0xffffffff,0x3e601fff,0xffffffff,0xffffffff,
    0x2aaaaa61,0xdfffffca,0x00aaaaaa,0x02ffffc4,0x81bfff20,0xfa9dffff,
    0xffd03fff,0xffffffff,0xffffffff,0x7fff5c49,0x003effff,0xfffffff7,
    0xff5bffff,0xffe809ff,0x5400004f,0xffffffff,0x4fffffff,0xfffff500,
    0xffffffff,0x3ea009ff,0xffffffff,0x04ffffff,0xffffff50,0xffffffff,
    0x3fea009f,0xffffffff,0x004fffff,0xffffd000,0xfffff90b,0xffffffff,
    0xfffd05ff,0xffffffff,0x007fffff,0xfffffff9,0xffffffff,0xff505fff,
    0xffffffff,0x09ffffff,0xffffff90,0xffffffff,0xffc803ff,0xffffffff,
    0x01ffffff,0x7fffffe4,0xffffffff,0x7fe401ff,0xffffffff,0x21ffffff,
    0xfffffffc,0xffffffff,0x4c00ffff,0x2003ffff,0x201ffff9,0xfffffffb,
    0x3fe606ff,0xffffffff,0xffffbeff,0x35553104,0x3fff6000,0x35ffffff,
    0x4c09ffff,0x0001ffff,0xffffd880,0xefffffff,0x7fec4001,0xffffffff,
    0x6c4001ef,0xffffffff,0x4001efff,0xffffffd8,0x01efffff,0x7fffec40,
    0xefffffff,0x3a000001,0xf505ffff,0xffffffff,0x3a05ffff,0xffffffff,
    0x0dffffff,0xfffff900,0xffffffff,0x505fffff,0xffffffff,0x7fffffff,
    0x7fff4c00,0xffffffff,0xe9801fff,0xffffffff,0x01ffffff,0xfffffe98,
    0xffffffff,0xffe9801f,0xffffffff,0x3f21ffff,0xffffffff,0xffffffff,
    0x7fdc00ff,0x3fa000ff,0xffe804ff,0x01ffffff,0x7fffffe4,0xf98dffff,
    0x00004fff,0xfffff700,0x7ffcc5df,0x3fff204f,0x54000007,0xfffffffe,
    0x2a0000ce,0xfffffffe,0x2a0000ce,0xfffffffe,0x2a0000ce,0xfffffffe,
    0x2a0000ce,0xfffffffe,0x000000ce,0x02fffff4,0xffffff91,0xa8807fff,
    0xffffffec,0x4002deff,0xfffffffc,0xffffffff,0xfd982fff,0xffffffff,
    0x0000beff,0xffffffd7,0x017bffff,0x7ffff5c0,0xbdffffff,0x3ffae000,
    0xffffffff,0x3ae000bd,0xffffffff,0x3f20bdff,0xffffffff,0xffffffff,
    0x7fec00ff,0x3ff2006f,0x3fee006f,0x3000dfff,0xdffffffd,0x27fffcc5,
    0x26000000,0x80001aba,0x0004fffe,0x2aea6000,0x53000001,0x00000357,
    0x0006aea6,0x0d5d4c00,0xba980000,0x0000001a,0x004cccc4,0x09aba988,
    0x2a666000,0x7e40001a,0xffffffff,0xffffffff,0x554c402f,0x0019abba,
    0x55dd4c00,0x3000009a,0x01355775,0x2eea6000,0x000009aa,0x13557753,
    0x7ffffe40,0xffffffff,0x00ffffff,0x000d5554,0x26a60000,0x57510000,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x66f5cc00,
    0x88000201,0x0000aaaa,0xaaaaa800,0x5554c0aa,0x00002aaa,0xcdeecba8,
    0x5440000a,0xaabcddcb,0x00aaaaaa,0x4055554c,0x2a0aaaa9,0xdc982aaa,
    0x55400ace,0xedc982aa,0x980001bc,0x55540000,0x554401aa,0x00000aaa,
    0x55555554,0x55400000,0x44001aaa,0xa800aaaa,0x64c0aaaa,0x0001bced,
    0x05555554,0x0aaaaaaa,0x0e6f5cc0,0x554c0010,0x1aaa981a,0x06aaaaa0,
    0x06aaaaa0,0x206aaa60,0x0001aaa9,0xaaaaaa80,0xfffe800a,0x76c0cfff,
    0xffe88000,0x00000eff,0x3fffff60,0xffff903f,0x200009ff,0xffffffea,
    0x8000cfff,0xfffffffb,0xffffffff,0x7ff4402f,0x3ffe60ef,0x3ffff45f,
    0xffffffd1,0x7fff40bf,0x3ffffa27,0x4c004fff,0x3effffec,0xffffe800,
    0x7fffcc05,0x3600002f,0x03ffffff,0xfffe8000,0x3fa2005f,0x7400efff,
    0xfd11ffff,0x09ffffff,0x3fffea00,0x7fffe45f,0xffe800ef,0x6c0cffff,
    0xfff7000e,0x05ffff09,0x02fffff4,0x027ffffc,0x7c27ffdc,0x00002fff,
    0x7fffffec,0xffffd803,0xdbcfffff,0x22000eff,0xeffffffe,0xfd800000,
    0x401effff,0x4ffffffa,0x3ffa2000,0xffffffff,0xf3001fff,0xffffffff,
    0xffffffff,0xfff1005f,0xffff31df,0x1ffffd0b,0xfffffff5,0xfd01dfff,
    0xfff51fff,0xdfffffff,0x3ffff200,0x02efffff,0x17ffffa0,0x5fffff30,
    0x3ff60000,0x0001efff,0xbffffd00,0x3fffa200,0x3a00efff,0xff99ffff,
    0xffffffff,0x7ffcc006,0x7ffe45ff,0xffb005ff,0x9fffffff,0x001dffb7,
    0x225ffff5,0x200ffffc,0x805ffffe,0x804fffff,0x912ffffa,0x0001ffff,
    0x7ffffec0,0xfffb801e,0xffffffff,0x001fffff,0xffffffd1,0x80000bff,
    0x0dfffffd,0xffffd100,0x3f60009f,0xffffffff,0x00ffffff,0x7fffff44,
    0xffffffff,0x002fffff,0xffdffff3,0x3ffa0dff,0xfffffaff,0x6fffffff,
    0xfaffffe8,0xffffffff,0x3a203fff,0xffffffff,0xd002ffff,0x980bffff,
    0x002fffff,0xfffffd80,0x2000000d,0x805ffffe,0xffffffe8,0x3ffa05ff,
    0xfffffbff,0x3fffffff,0xffffd100,0xfffffb8b,0xffff7004,0xffffffff,
    0x2003ffff,0xfffffffe,0x7f405fff,0xff805fff,0xfd004fff,0xffffffff,
    0x6c0000bf,0x00dfffff,0x737ffd10,0xfffffffd,0x7fec005f,0xffffa9ff,
    0xffb00005,0x20007fff,0x04fffffc,0x7ffffd40,0xfffdbbcf,0x7ec05fff,
    0x99acffff,0xeffffffc,0x3e6001ee,0x0effffff,0xffffffd0,0xffffffff,
    0xfe85ffff,0xffffffff,0xffffffff,0x3ffff207,0xffffffff,0xffe800ff,
    0x7fcc05ff,0x40002fff,0x03fffffd,0xffe80000,0xffd805ff,0xffffa9ff,
    0xfffffd05,0xffffffff,0x200dffff,0x545ffffd,0x002fffff,0x2e6fffa2,
    0xfffffffe,0x3fea002f,0xffffffff,0x7ffff400,0xfffff805,0xffff5004,
    0x01ffffff,0x3fff6000,0xe88003ff,0xfffffc82,0x3ff6003f,0x3ffea1ff,
    0x7ec0005f,0x0001efff,0x27ffffd4,0xdfffff00,0xfffff303,0x7fffc40f,
    0xffff303f,0x7cc0001f,0x200effff,0xfffffffe,0xfffd31df,0xfffe8dff,
    0x89dfffff,0x1ffffffb,0xdfffff98,0xffffd989,0xfffe804f,0x7ffcc05f,
    0x360002ff,0x001effff,0xfffd0000,0xfffd80bf,0x3fffea1f,0xfffffe85,
    0xfd11cfff,0xb805ffff,0x7cc5ffff,0x8001ffff,0xfffc82e8,0xa8003fff,
    0xefffffff,0xffffe801,0xfffff805,0x3ffea004,0x001effff,0xdffffb00,
    0x22000003,0x4c002cca,0xca81cccc,0x50001ccc,0x00199999,0x33332200,
    0xfff9801c,0x3fee02ff,0xff501fff,0xffd80dff,0x540003ff,0x7400cccc,
    0x1fffffff,0xfffffe88,0x3fffffa2,0xfffb81ff,0xfffc83ff,0xffffd06f,
    0xffffd00b,0xffff980b,0x9950002f,0x00001999,0x7ffff400,0x33332605,
    0x1cccca81,0x7ffffff4,0xffff981f,0x3332203f,0xccccc83c,0x51000000,
    0x88000599,0x002ceecb,0x017ffffa,0x013ffffe,0x59dd9710,0x66540000,
    0x00000ccc,0x00000000,0x00000000,0x2a000000,0x5c07ffff,0x900fffff,
    0xb809ffff,0x0005ffff,0xfffe8000,0x3ee02fff,0x3fa4ffff,0x302fffff,
    0xd09fffff,0x2a05ffff,0xe807ffff,0x4c05ffff,0x002fffff,0x00000000,
    0x17ffffa0,0x7f400000,0x202fffff,0x004fffff,0x00000000,0x00000000,
    0x5ffffe80,0x4fffff80,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff900000,0xffd80dff,0x3ff607ff,0x7fd403ff,0x000005ff,0xfffffe80,
    0x7fffc403,0x3ffffa5f,0x7fffc03f,0xfffff85f,0xfffff301,0xbffffd00,
    0xfffff980,0x00000002,0x3ffa0000,0x000005ff,0x7fffffd0,0x5ffffe80,
    0x00000000,0x00000000,0xfffe8000,0xffff805f,0x0000004f,0x00000000,
    0x6f6e5d4c,0x30000abc,0x79bdb975,0x2a600015,0xabcdedcb,0x2ea60000,
    0x0abcdedc,0x1bffff60,0x5fffff98,0x1bffff20,0x09ffff90,0x99753000,
    0xffe81559,0xfff006ff,0x7fff4dff,0xfffe806f,0xfffff85f,0xbffff703,
    0xbffffd00,0xfffff980,0x6f665402,0x6e5440ab,0x260000ac,0xffaccdba,
    0x26005fff,0xccdeecca,0x7fff409b,0xeeec806f,0xaaaaa84e,0xaaaaa801,
    0x55555001,0x55555003,0x6dd44003,0xe8009acd,0xf805ffff,0x5504ffff,
    0x55003555,0x4c003555,0xccdeecca,0xd930009b,0xffffffff,0x3003bfff,
    0xffffffd9,0x03bfffff,0xffffd930,0xbfffffff,0x3fb26003,0xffffffff,
    0xffe81dff,0xfff305ff,0x7d403fff,0x3e00ffff,0x0002ffff,0xffffffd5,
    0x7f4dffff,0xfd005fff,0x7ff4ffff,0xffe805ff,0xfffd85ff,0xffff885f,
    0xfffe804f,0x7ffcc05f,0xffc882ff,0x1fffffff,0xfffffff5,0x7fec4003,
    0xffffffff,0xea805fff,0xffffffff,0x7ff44fff,0x200006ff,0x805ffffe,
    0x004fffff,0x00bffffd,0x009fffff,0xfffffff5,0xfe809fff,0xff805fff,
    0xffd04fff,0xfff00bff,0xfd5009ff,0xffffffff,0x3f2009ff,0xffffffff,
    0x03ffffff,0x7fffffe4,0xffffffff,0x7ffe403f,0xffffffff,0xc803ffff,
    0xffffffff,0x3fffffff,0x42fffff4,0x2ffffff9,0x7ffffc40,0x7ffec41d,
    0x644000ff,0xffffffff,0x3fa7ffff,0xfb005fff,0x3fa1ffff,0xfe805fff,
    0xffc85fff,0x3f620fff,0xe800ffff,0x4c05ffff,0x882fffff,0xffffffff,
    0xffffdfff,0x801fffff,0xfffffffb,0xffffffff,0x3fffa205,0xffffffff,
    0x7fff44ff,0x3a00006f,0xf805ffff,0xd004ffff,0xf00bffff,0x4409ffff,
    0xfffffffd,0x01efffff,0x00bffffd,0x209fffff,0x805ffffe,0x204fffff,
    0xffffffe8,0x4fffffff,0xfffff900,0xffffffff,0x7e403fff,0xffffffff,
    0x1fffffff,0x3fffff20,0xffffffff,0x7e401fff,0xffffffff,0x1fffffff,
    0x117ffffa,0x05ffffff,0x3ffffee0,0xffffdcff,0x7d4003ff,0xffffffff,
    0x3a7fffff,0xb005ffff,0x3a1fffff,0xe805ffff,0xf985ffff,0xfd36ffff,
    0x2005ffff,0x405ffffe,0x82fffff9,0xfffffff8,0xffffffff,0x06ffffff,
    0x7ffffff4,0xffffffff,0xffd105ff,0xffffffff,0xfe89ffff,0x00006fff,
    0x017ffffa,0x013ffffe,0x02fffff4,0x827ffffc,0xffffffe9,0xffffffff,
    0xffffe82f,0xfffff805,0xbffffd04,0x9fffff00,0x3ffffa20,0xffffffff,
    0xff9004ff,0xb9579bdf,0x0dffffff,0x66f7ffe4,0xffffdcab,0x3ff206ff,
    0xdcabcdef,0x06ffffff,0x66f7ffe4,0xffffdcab,0x3fffa6ff,0x7fffec5f,
    0x7ffc002f,0xffffffff,0x44005fff,0xffffffff,0x7fffffff,0x017ffffa,
    0xd37ffff4,0xd00bffff,0x320bffff,0xffdfffff,0x2004ffff,0x405ffffe,
    0x82fffff9,0xb9abeff8,0xeffffffe,0x1ffffeaa,0xffffff90,0xfffddbdf,
    0x3f60bfff,0xabdfffff,0x44ffdcba,0x006ffffe,0x3ffffa00,0xfffff805,
    0xffffd004,0xfffff00b,0x3ffffa09,0xffffffff,0x740fffff,0xf805ffff,
    0xfd04ffff,0xff00bfff,0x3f609fff,0xabdfffff,0x04ffdcba,0x98017b90,
    0x00ffffff,0xf98017b9,0x900fffff,0xff98017b,0x3200ffff,0x7fcc00bd,
    0xffd0ffff,0x7ffc4bff,0x7e4004ff,0xffffffff,0x000cffff,0x7fffffec,
    0xdba99abe,0x3ffffa7f,0xfffff005,0x2fffff4b,0x2fffff40,0xffffff88,
    0x002fffff,0x02fffff4,0x0bffffe6,0x7fc40762,0x3e20ffff,0xff984fff,
    0x880dffff,0xf05fffff,0x005fffff,0xffffe833,0x3fa00006,0xff805fff,
    0xfd004fff,0xff00bfff,0xff509fff,0x1159ffff,0xffffff95,0x5ffffe89,
    0x4fffff80,0x0bffffd0,0x09fffff0,0x0bfffffe,0x00000660,0x17ffffd4,
    0xfffa8000,0x500002ff,0x005fffff,0x7fffd400,0xbffffd2f,0x17ffffd4,
    0xbffff300,0x9dfffffb,0xfff50001,0x51009fff,0x02fffff4,0x27ffffc4,
    0x00bffffd,0x40bffffd,0xfffffffa,0xfe8001ef,0x7dc05fff,0x0002ffff,
    0x90bffff9,0xffd0dfff,0xfe809fff,0xff985fff,0x20005fff,0x006ffffe,
    0x3ffffa00,0xfffff805,0xffffd004,0xfffff00b,0xfffff889,0x3ffee03f,
    0x3ffa0fff,0x7fc405ff,0xffd04fff,0xfff00bff,0xfff309ff,0x00000bff,
    0xffff1000,0x2200007f,0x003fffff,0xfffff100,0x7c400007,0xffd3ffff,
    0x7ffd4bff,0x3f6004ff,0x02620fff,0x3fffe000,0xfd0004ff,0xf900bfff,
    0x7f45ffff,0xfe805fff,0x3ee05fff,0x03ffffff,0x3ffffa00,0x3fffe606,
    0xf50002ff,0xff509fff,0xffffa8ff,0xfffe806f,0xffffa85f,0x3fa0006f,
    0x00006fff,0x017ffffa,0x013ffffe,0x02fffff4,0x227ffffc,0x04fffffb,
    0x3fffffd8,0x01bffffa,0x09fffffd,0x017ffffa,0x213ffffe,0x06fffffa,
    0xf0000000,0x0009ffff,0x27ffffc0,0xffff0000,0xf800009f,0xffd4ffff,
    0x7ffc4bff,0xf8801fff,0x00006fff,0xffffff30,0x3ffa0001,0x7fc405ff,
    0x3fa1ffff,0xfe805fff,0xffb05fff,0x0bffffff,0xd0799991,0x101fffff,
    0x5fffffff,0x3ffea000,0xffff982f,0x3fffff20,0xffffe802,0xfffff985,
    0xfe8001df,0x00006fff,0x017ffffa,0x013ffffe,0x02fffff4,0x227ffffc,
    0x01fffffd,0x4fffff98,0x03fffff6,0x7fffffec,0xbffffd04,0x9fffff00,
    0xffffff30,0x0000003b,0x7fccccc4,0x10004fff,0xffff3333,0x2620009f,
    0xfffff999,0x26620004,0x4fffff99,0xf8bffffd,0x01ffffff,0x17ffffc4,
    0x7fd40000,0x20003fff,0x205ffffe,0x4fffffe8,0x02fffff4,0x42fffff4,
    0xfffffffd,0x7fcc4fff,0xfffe86ff,0x7ff4c2ff,0x004fffff,0x01ffff50,
    0x6c1ffff3,0xd007ffff,0x3e0bffff,0xdfffffff,0xfffd000a,0x740000df,
    0xf805ffff,0xd004ffff,0xf00bffff,0xfe89ffff,0x3e006fff,0x3f25ffff,
    0x6443ffff,0x4fffffff,0x0bffffd0,0x09fffff0,0x3ffffffe,0x00000adf,
    0x3fffbae2,0xffffffff,0xfeeb8804,0xffffffff,0xeb8804ff,0xfffffffe,
    0x1004ffff,0xfffffdd7,0x29ffffff,0x5c5ffffe,0x3fffffff,0x7fffffc0,
    0x9aaabccd,0x7ffe4000,0x3a0002ff,0x21afffff,0xffffffb9,0x5ffffe86,
    0x5ffffe80,0x6fffffe4,0x22ffffff,0xe85ffffa,0xadffffff,0xfffffffd,
    0x7102bfff,0xfffffdb9,0xffffffff,0x7ff43fff,0xffd006ff,0x3fee0bff,
    0xffffffff,0x3ffa00ad,0x200006ff,0x805ffffe,0x004fffff,0x00bffffd,
    0xf89fffff,0x2004ffff,0x2e7ffffe,0xadffffff,0xfffffffc,0xfffd04ff,
    0xffff00bf,0x3ffee09f,0xdfffffff,0xf930000a,0xffffffff,0x09ffffff,
    0x7ffffe4c,0xffffffff,0x3f2604ff,0xffffffff,0x04ffffff,0x7ffffe4c,
    0xffffffff,0xffffd4ff,0xfffffb0b,0x7fe40bff,0xffffffff,0x02efffff,
    0x0fffffd8,0x3fffa000,0xffffffff,0x81ffffff,0x805ffffe,0x225ffffe,
    0xf56fffff,0x2a3fffff,0xfe84ffff,0xffffffff,0xfffeffff,0xffb86fff,
    0xffffffff,0xffffffff,0x3ffe1fff,0xffd005ff,0x7fec0bff,0xffffffff,
    0xffe80cff,0x200006ff,0x805ffffe,0x004fffff,0x00bffffd,0x449fffff,
    0x004fffff,0x83fffff6,0xffffffff,0xffefffff,0xfffd04ff,0xffff00bf,
    0x7ffec09f,0xffffffff,0x3e6000cf,0xffffffff,0xffffffff,0xfffff304,
    0xffffffff,0x2609ffff,0xffffffff,0xffffffff,0x3ffe604f,0xffffffff,
    0xd4ffffff,0xb10bffff,0xbfffffff,0x7ffffec0,0xffffffff,0x3a00efff,
    0x000fffff,0x3fffffa0,0xffffffff,0xffd03fff,0xffd00bff,0x7ffe4bff,
    0x3ffee0ff,0xfffc8fff,0xffffe83f,0xffffffff,0xffffffab,0x7fffff46,
    0xffffffff,0xffffffff,0xfffff31f,0x3fffa009,0x7ffdc05f,0xffffffff,
    0x7fff42ff,0x3a00006f,0xf805ffff,0xd004ffff,0xf00bffff,0x7cc9ffff,
    0x2003ffff,0x20fffffc,0xfffffffb,0xffadffff,0xfffd04ff,0xffff00bf,
    0xfffb809f,0xffffffff,0xff8802ff,0xdeffffff,0xfffffccc,0xfffff884,
    0xcccdefff,0x884fffff,0xffffffff,0xfffcccde,0xfff104ff,0x9bdfffff,
    0x9fffff99,0x817ffffa,0xfffffffc,0xfffff303,0xffffffff,0x201dffff,
    0x01fffffe,0x3ffffa00,0xffffffff,0x3fa00dff,0xfe805fff,0x3ffe5fff,
    0xfffd85ff,0xffffeeff,0xfffffe82,0x13ffffff,0x4dffffff,0xcdfffffb,
    0xccffffdc,0xcccccccc,0xbfffff10,0x3ffffa00,0xffeb8805,0xffffffff,
    0x3ffffa1f,0x3fa00006,0xff805fff,0xfd004fff,0xff00bfff,0x7fcc9fff,
    0x36004fff,0xfd87ffff,0xffffffff,0x09ffff35,0x017ffffa,0x013ffffe,
    0x3ffffae2,0x1fffffff,0x7fffff40,0x3fffe01e,0xffffe84f,0x3ffe01ef,
    0xfffe84ff,0x3fe01eff,0xffd04fff,0x7c03dfff,0xffd4ffff,0xffb80bff,
    0x540fffff,0xeeefffff,0xfffffeee,0xff904fff,0x40005fff,0xfffffffe,
    0x02deffff,0x05ffffe8,0x15ffffe8,0x207fffff,0xfffffffe,0xffe80fff,
    0xeffffeff,0x7ffffcc2,0x3fffff16,0x00ffffa8,0x5fffff80,0xbffffd00,
    0xffdb8800,0x26ffffff,0x006ffffe,0x3ffffa00,0xfffff805,0xffffd004,
    0xfffff00b,0x5fffff89,0x3ffffa00,0xfffff706,0x7ffcc5df,0xffffd04f,
    0xfffff00b,0xfdb88009,0x6fffffff,0x3ffffe20,0x7fffc00e,0x7fffc44f,
    0x7ffc00ef,0x7ffc44ff,0x7fc00eff,0xff884fff,0x7c00efff,0xffd4ffff,
    0xff500bff,0x7cc3ffff,0x4404ffff,0x06fffffc,0x09fffff7,0x7ffff400,
    0x001aaa8d,0xf3000000,0x2203ffff,0xffffffff,0xffffd04f,0x98017515,
    0xfff30aaa,0xffff509f,0xffff0001,0xfff100df,0x44000bff,0xfffffffc,
    0xd0000000,0x880bffff,0x004fffff,0x80bffffd,0x44fffff8,0x006ffffe,
    0x0bfffff1,0xc81aba98,0xfd01ffff,0xf880bfff,0x0004ffff,0x3fffff22,
    0xfff300ff,0xfff007ff,0xfff989ff,0xfff803ff,0x7ffcc4ff,0xfff803ff,
    0xfff984ff,0xfff803ff,0xffffd4ff,0x3fff200b,0x3fff63ff,0x3ff6006f,
    0xffa80fff,0x0001ffff,0x00bffffd,0x40000000,0x02fffff8,0x3fffffe6,
    0xfffd01ff,0x2a00007f,0xfa82ffff,0xe8002fff,0x400fffff,0x05fffffd,
    0xffff9800,0x000002ff,0x0dffffd0,0x4fffffe8,0xdffffd00,0xfffffe80,
    0x7ffffec4,0xffffb801,0x7e40003f,0x3fa01fff,0x7f406fff,0x0004ffff,
    0xffffff98,0xfffff702,0xffffd807,0x7fffdc4f,0x7ffec03f,0x7ffdc4ff,
    0x7fec03ff,0xffb84fff,0x7ec03fff,0xffd4ffff,0x3ea00bff,0xff13ffff,
    0x64007fff,0xf107ffff,0x01dfffff,0xbffffd00,0x53000000,0x3e003555,
    0x5c05ffff,0x06ffffff,0x013ffffa,0x7fffdc00,0x5ffffb81,0xffffd800,
    0x3fff603f,0x00005fff,0x05fffffb,0x01aaaa98,0xfffffd80,0xfffffb00,
    0x3ff6009f,0xffb00fff,0xfc89ffff,0x4405ffff,0x01fffffe,0x3fffe600,
    0x7fffec04,0xffffb00f,0x200009ff,0x02fffffd,0x0dfffff5,0x3fffffa2,
    0x7fffd44f,0xfffd106f,0xffa89fff,0xfd106fff,0x509fffff,0x20dfffff,
    0xffffffe8,0x0bffffd4,0x3ffffea0,0x9fffff32,0x7ffff400,0x3ffff205,
    0x2cc02eff,0x00bffffd,0xfffb0000,0x3ffa005f,0x3a202fff,0x00efffff,
    0x009ffffd,0x3fffee00,0x7ffffcc3,0x7fcc000f,0x6440ffff,0x5fffffff,
    0x3e200088,0x400fffff,0x002ffffd,0x3fffffc8,0x7ffffe44,0xff9004ff,
    0xfc887fff,0x44ffffff,0x5ffffff8,0xfffffd10,0xffd80009,0x7fe400ff,
    0x7e443fff,0x84ffffff,0x3fe20008,0xf100ffff,0x239fffff,0xfffffeb8,
    0x7ffc44ff,0xd711cfff,0x9fffffff,0xffffff88,0xfffd711c,0xf109ffff,
    0x239fffff,0xfffffeb8,0xffffd4ff,0xf510d4cb,0x7c1fffff,0x401fffff,
    0x3fffffd8,0x3ffffe20,0xccbdefff,0x3ffa7ffd,0x000005ff,0x00fffff8,
    0xffffff70,0x3fee6139,0x05ffffff,0x00bffffd,0x3fffea00,0x3ffffa26,
    0x2b880eff,0xffffffe8,0xfffffcab,0xfa85ffff,0xd98809ce,0x806fffff,
    0x000fffff,0xffffffb8,0xfffffcad,0x7004ffff,0x5bffffff,0xfffffff9,
    0xfff909ff,0x9759dfff,0x1ffffffd,0xffff8000,0x7ffdc00f,0xffcadfff,
    0x4fffffff,0x809cefa8,0xfffffd98,0x7ffff406,0xffffffff,0x84ffffff,
    0xfffffffe,0xffffffff,0xffe84fff,0xffffffff,0xffffffff,0xfffffd04,
    0xffffffff,0x3a9fffff,0x3ee5ffff,0xffffffff,0x7ffec5ff,0xa9bcefff,
    0xffffffcb,0xffffa806,0xffffffff,0x3ffa7fff,0x000005ff,0x02ffffc4,
    0x3fffffa0,0xffffffff,0x4fffffff,0x05ffffe8,0xffff3000,0xfffffbff,
    0xb9dfffff,0xff505ffd,0xffffffff,0xffffdfff,0xfffff50b,0xffffdddf,
    0x8807ffff,0x0005ffff,0x3ffffffe,0xfeffffff,0x3e004fff,0xffffffff,
    0xfffeffff,0xffff884f,0xffffffff,0x003fffff,0xdfffff80,0xffff01ab,
    0xffffffff,0x09ffffdf,0xdffffff5,0xffffffdd,0xff9807ff,0xffffffff,
    0xffffbeff,0xfffff984,0xefffffff,0x984ffffb,0xffffffff,0xffbeffff,
    0xfff304ff,0xffffffff,0x9ffff7df,0xb97ffffa,0xffffffff,0x7fcc0eff,
    0xffffffff,0xffffffff,0xfff7000e,0xffffffff,0x7ff4ffff,0x000005ff,
    0x01ffffcc,0x3ffffe60,0xffffffff,0xffffffff,0x2fffff43,0xfffb0000,
    0x59ffffff,0xffffffff,0x3f605fff,0xffffffff,0xffff9dff,0xfffffa85,
    0xffffffff,0xf9804fff,0x20003fff,0xfffffffb,0xffadffff,0x3ee004ff,
    0xffffffff,0xffffadff,0xfffff504,0xffffffff,0x200009ff,0xfffffffd,
    0xfffff703,0x5bffffff,0xf509ffff,0xffffffff,0x9fffffff,0x3ffff200,
    0x8dffffff,0x904ffff9,0xffffffff,0xfff31bff,0x3fff209f,0xdfffffff,
    0x04ffff98,0x3ffffff2,0xf98dffff,0xfffd4fff,0x7fffdcbf,0x00efffff,
    0xfffffff3,0xffffffff,0xd98001bf,0xffffffff,0x3fa7ffff,0x00005fff,
    0x07fffdc0,0x7fff4c00,0xffffffff,0xfffffaaf,0x3ffffa1f,0x3e600005,
    0x4fffffff,0x3ffffff2,0x3602ffff,0xffffffff,0xffff98df,0xfffffa85,
    0xffffffff,0xff7003ff,0xd80001ff,0xffffffff,0x9ffff35f,0xffffd800,
    0xf35fffff,0x6c409fff,0xffffffff,0x0001efff,0x3ffffe60,0x3ff603ff,
    0x5fffffff,0x509ffff3,0xffffffff,0x7fffffff,0xfffe9800,0x3e62efff,
    0x3a604fff,0x2effffff,0x813fffe6,0xffffffe9,0x3fffe62e,0x7fff4c04,
    0x3e62efff,0xfffd4fff,0x7fffdcbf,0x5002efff,0xfffffffb,0x0019ffff,
    0xfffeda80,0x21beffff,0x005ffffe,0x7ffec000,0x7f540006,0x3fffffff,
    0x7fffffdc,0x0bffffd0,0xffe88000,0xffb84fff,0x1dffffff,0x7ffff5c0,
    0x3ffe22ef,0xfffd985f,0xffffffff,0x3f6000be,0x700006ff,0x5dffffff,
    0x027fffcc,0x7ffffdc0,0x3ffe62ef,0xffea804f,0x0cefffff,0xfe980000,
    0x5c03ffff,0x2effffff,0x213fffe6,0xffffffd9,0x0befffff,0x2aea2000,
    0x2200000a,0x0000aaba,0x02aaea20,0x57510000,0x10000015,0x00013553,
    0x5e6554c4,0x0000009a,0x40266aa6,0x00099998,0x55554000,0x53100001,
    0x40001357,0x00099998,0x03753000,0x03557550,0x03575100,0x2aa62000,
    0x0019abba,0x00355550,0x1aba9800,0xa9800000,0x000001ab,0x00035753,
    0x0ccc4000,0x06aea600,0x554c4000,0x0019abba,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x02aaaaa8,0xaaaaa980,0x55554000,0x555540aa,
    0x200002aa,0x0aaaaaaa,0x666664c0,0x1ccccccc,0x55555540,0x00aaaaaa,
    0x55555540,0x9800000a,0xcccccccc,0x3001cccc,0x51015555,0x54c01555,
    0x00002aaa,0xffb95310,0x980579dd,0xa880aaaa,0x44000aaa,0x0202cedb,
    0x05555100,0x40055551,0x880aaaa9,0xb980aaaa,0x00bdeeed,0x00d55540,
    0x80039997,0x2e01aaaa,0x54001ccc,0x64c01aaa,0xcccccccc,0x00001ccc,
    0x55555530,0x55510005,0x2aa20015,0xfff12aaa,0xe8001fff,0x000fffff,
    0x17ffffea,0x1dfffff9,0x3ff60000,0xb803ffff,0xffffffff,0x7402ffff,
    0xffffffff,0x4c003fff,0x0effffff,0x7fdc0000,0xffffffff,0xfd1002ff,
    0x7fcc1dff,0x7fe405ff,0x800007ff,0xfffffffb,0x4407ffff,0x260efffe,
    0x4005ffff,0xeffffffa,0x1001fcc2,0xfb81ffff,0x3a2006ff,0x3e60efff,
    0xff905fff,0x05ffffff,0x07fffe60,0x0fffffae,0x1ffff980,0x3ffffeb8,
    0x3fffe600,0x7fffdc01,0xffffffff,0xfa800002,0x00dfffff,0x7ffff440,
    0xfff8800e,0x3fff67ff,0x3e6002ff,0x2004ffff,0x45fffff9,0x05fffffc,
    0x3fff6000,0xf7001eff,0xffffffff,0xfe805fff,0xffffffff,0xd88003ff,
    0x00efffff,0x3ffee000,0xffffffff,0x3fa2002f,0xfff98eff,0xfffc806f,
    0x2200007f,0xfffffffe,0x807fffff,0x98efffe8,0x4006ffff,0xfffffff9,
    0xfffcbdff,0x3fffa003,0x9ffff50d,0xfffe8800,0x6ffff98e,0x3fffff20,
    0xfd007fff,0xffea89ff,0x2003ffff,0x7544fffe,0x03ffffff,0x013fffa0,
    0x3fffffee,0x02ffffff,0x7ffd4000,0x88004fff,0xeffffffe,0x7fffc400,
    0x3fffea7f,0x3ff2006f,0xd1001fff,0xfb8bffff,0x0004ffff,0x3fffff60,
    0x3fee000d,0xffffffff,0x7ff402ff,0xffffffff,0x3ee0003f,0x000effff,
    0xfffff700,0x5fffffff,0xffff8800,0x00effffe,0xffffdddd,0x1ddddddf,
    0x7fffd400,0xffffffff,0xff1007ff,0xdffffdff,0x7ffc4001,0xffffffff,
    0x004fffff,0x3fffffee,0x001fffff,0xfeffff88,0x2e00efff,0xfffc99ac,
    0x7ffe401f,0xfffffd86,0xff9003ff,0xffffb0df,0x32007fff,0xf7006fff,
    0xffffffff,0x00005fff,0x7fffffd4,0xffe88002,0x05ffffff,0x46fffff8,
    0x00ffffff,0x0dfffff0,0x2ffffec0,0x0bffffea,0xfffd8000,0xa98003ff,
    0xaaaaaaaa,0x7f400aaa,0xffffffff,0x4c0003ff,0x00efffff,0xaaaa9800,
    0xaaaaaaaa,0xfff98000,0x200effff,0xffffffff,0x0fffffff,0x3ffffa00,
    0xdcccefff,0x3e6007fe,0x0effffff,0xadffb800,0xffffffc9,0xfe8006ff,
    0xffffffff,0x3fe60004,0x00efffff,0x07fff980,0x40ffffcc,0xffffdffa,
    0xffff9803,0xffdffa81,0xff9803ff,0x553001ff,0x55555555,0x20000155,
    0x0efffffa,0xffffb000,0x0bffff53,0x46fffff8,0x03fffffc,0x3fffffa8,
    0xbffff700,0x1fffff98,0x3ff60000,0x00001eff,0xf9800000,0x0003ffff,
    0xeffffd88,0x00000000,0x3ffe6000,0x7fc00eff,0xffffffff,0x000fffff,
    0x5ffffff7,0xf9800500,0x000effff,0x3fa616e0,0x000effff,0xfffffd88,
    0x980003ff,0x00efffff,0xfff99510,0xfffe809f,0x7ff47204,0xfffe803f,
    0x7ff47204,0xfffe803f,0x00000004,0xffffa800,0x3f60004f,0x3fea1fff,
    0x3ffa05ff,0x7ffc45ff,0xffd806ff,0xc8800fff,0xccc83ccc,0x200000cc,
    0x00ccccca,0x00000000,0x7fffff30,0x665c0000,0x000003cc,0x64c00000,
    0xff800ccc,0xffffffff,0x800fffff,0x0ffffff8,0x32600000,0x00000ccc,
    0x005e5d40,0x6f6e4c00,0x2600000b,0x2000cccc,0x3ffffff9,0x037ffe40,
    0x807fffd0,0x2006fffc,0x6403fffe,0x00006fff,0xc8800000,0x0002cccc,
    0x20733326,0xd01cccca,0xfb0bffff,0x4403ffff,0x005fffff,0x00000000,
    0x00000000,0x7fcc0000,0x00003fff,0x00000000,0x00000000,0xffffb555,
    0x0555555f,0x3ffffee0,0x00000003,0x00000000,0x00000000,0x3e600000,
    0x0dffffff,0x01ffff98,0x80ffffa0,0x001ffff9,0x980ffffa,0x0001ffff,
    0x00000000,0x00000000,0x13ffff60,0x13ffffea,0x2fffffb8,0x00000000,
    0x00000000,0x566edd44,0x7cc00009,0x1883ffff,0x00000000,0x37b72ea6,
    0x00000abc,0xfff90000,0xfc8000ff,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x7ff66644,0xfffe84ff,0x7fff4004,0x13fffa03,0x07fffd00,
    0x0027fff4,0x56765cc0,0x00000009,0x00000000,0x827fffec,0x207fffff,
    0x006ffffe,0x3376ea20,0x2a00009a,0xdc982aaa,0x50001bce,0xffffffff,
    0x4c0009ff,0x223fffff,0x2aaa03fc,0xaaaaaaaa,0xec98000a,0xffffffff,
    0x4401dfff,0xaaaaaaaa,0xaaaaaaaa,0xfffc80aa,0x7ec0007f,0x00007fff,
    0x302aaaaa,0x00379db9,0x2aaaaaaa,0x000aaaaa,0xaaaaaaa8,0x000aaaaa,
    0x4c155554,0x001bcedc,0x5c7fffc8,0x4000ffff,0xf703fffe,0xe8001fff,
    0xff703fff,0x220001ff,0xfffffffd,0x2aa003ff,0xaaaaaaaa,0x550000aa,
    0x55555555,0x3f200155,0xff903fff,0xff105fff,0x50007fff,0xffffffff,
    0x3a0009ff,0x3fa27fff,0x04ffffff,0x3ffff620,0xffffffff,0xff98001e,
    0xffc8bfff,0x3fffa03f,0xffffffff,0xfffc8003,0xffffffff,0x2603ffff,
    0xffffffff,0xffffffff,0xfffc81ff,0x66e5447f,0xffffd00a,0x7f40000d,
    0xffd11fff,0x009fffff,0xfffffffd,0x0007ffff,0xfffffffd,0x8007ffff,
    0x3a27fffe,0x4fffffff,0xfffb1030,0x17fffccf,0x1ffff400,0x017fffcc,
    0x41ffff40,0x002ffff9,0xfffffd30,0x1dffffff,0xfffffd00,0x07ffffff,
    0x3ffffa00,0x3fffffff,0x5ffff900,0x3ffffe20,0xfffffb85,0x3ff62000,
    0xffffffff,0x74001eff,0xffa8ffff,0xffffffff,0xfffe9806,0xffffffff,
    0x4002ffff,0xfefffff9,0x3a03ffff,0xffffffff,0xc8003fff,0xffffffff,
    0xffffffff,0xfffff301,0xffffffff,0x903fffff,0x7ecdffff,0x83ffffff,
    0x005fffff,0x3ffffa00,0xffffff99,0x7406ffff,0xffffffff,0xe8003fff,
    0xffffffff,0x74003fff,0xffa8ffff,0xffffffff,0xffffff86,0x3fa4ffff,
    0xfd0005ff,0xfffd07ff,0x3ffa000b,0x5fffe83f,0xffff5000,0xffffffff,
    0xfe801fff,0xffffffff,0xfd0003ff,0xffffffff,0x3ee007ff,0x3f602fff,
    0x7f40ffff,0x26005fff,0xfffffffe,0xffffffff,0x3fffa002,0xffffffaf,
    0x03ffffff,0x7ffffff4,0xffffffff,0x26000fff,0xffffffff,0x3fa03fff,
    0xffffffff,0xfc8003ff,0xcabcdeff,0x6ffffffd,0xffffff30,0xffffffff,
    0xf903ffff,0xffb1dfff,0xbfffffff,0x05fffff8,0x3fffa000,0xffffffbf,
    0x03ffffff,0x3ffffffa,0x003fffff,0xffffffe8,0x003fffff,0x7d7ffff4,
    0xffffffff,0x7ffc3fff,0x25ffffff,0x000ffffb,0xb87fffd0,0x0000ffff,
    0xfb87fffd,0x88000fff,0xbcffffff,0xffffffca,0x7ffff405,0x3fffffff,
    0xffffd000,0x7fffffff,0x3ea00000,0x3e63ffff,0x2002ffff,0xfffffffe,
    0xffffffff,0xffd000ff,0xffffffff,0xffffffff,0x7ffffd40,0xfca88acf,
    0x004fffff,0x3fffffe6,0x201effff,0xfffffffe,0x8003ffff,0x7cc00bdc,
    0x980fffff,0xffffffff,0xffffffff,0xfffc80ff,0xfffffeef,0x21ffffff,
    0x005fffff,0x3ffffa00,0xffffffff,0x206fffff,0xfffffffe,0x8003ffff,
    0xfffffffe,0x4003ffff,0xfffffffe,0xffffffff,0x7fffc7ff,0x3e21cfff,
    0x20002fff,0x3e22eeed,0x20002fff,0x3e22eeed,0xb0002fff,0x103dffff,
    0x03fffffb,0x7ffffff4,0x003fffff,0xffffffd0,0x007fffff,0x7fffc000,
    0x3ffff26f,0x3ffea007,0xa88acfff,0x4ffffffc,0xfffffd00,0xf713bfff,
    0x103fffff,0x07ffffff,0x7fffffdc,0xfffc8800,0x02efffff,0x3fffe600,
    0x8000003f,0x82fffffa,0xaaaaaaa8,0xffffcaaa,0xfff904ff,0xffffffff,
    0x4bffffff,0x005fffff,0x3ffffa00,0xd11cffff,0x005fffff,0x3fffff98,
    0x3fe60000,0x74003fff,0xffffffff,0xffffb89d,0x04cc41ff,0x00bfffd0,
    0x7fff4000,0x3a000005,0x30005fff,0x403fffff,0x06fffff8,0xfffff980,
    0x7cc00003,0x0003ffff,0x3ffff200,0x9fffff0f,0x3fffe200,0x3fee03ff,
    0xe800ffff,0x1fffffff,0x3fffffb8,0x4fffffb8,0xfffffd80,0x3fff2203,
    0x02efffff,0xffff9800,0x8000003f,0x03fffff8,0x3fffa200,0x3ff205ff,
    0x23ffffff,0x0ffffffa,0x00bfffff,0x7ffff400,0xff981fff,0x4c003fff,
    0x003fffff,0x3fffe600,0x7ff4003f,0xb81fffff,0x003fffff,0x00ffffb8,
    0xfff70000,0x2000001f,0x000ffffb,0x0bffffb0,0x0fffff70,0xfffff300,
    0xf9800007,0x0003ffff,0x3fffe600,0xfffffabf,0xffff7001,0xfffb009f,
    0xffd007ff,0x2605ffff,0xd84fffff,0x801fffff,0x84fffff9,0xffffffc8,
    0x00004fff,0x0fffffe6,0x7fc00000,0x20004fff,0x0ffffffd,0x3fffff20,
    0xfffc81ff,0xfffff1ff,0x7f40000b,0x202fffff,0x004fffff,0x1fffffcc,
    0xfff30000,0xfe8007ff,0x302fffff,0x009fffff,0x02ffff88,0xfff10000,
    0x2000005f,0x002ffff8,0x0bffffe0,0x3ffffea0,0x7ffcc000,0x400003ff,
    0x03fffff9,0x7ff40000,0xffffdeff,0x3fff6006,0xff9801ff,0xfe804fff,
    0x7c03ffff,0xfe85ffff,0x3e006fff,0x7cc5ffff,0xffffffff,0x200003ff,
    0x03fffff9,0x99988000,0x04fffff9,0xfffff700,0xfffc803f,0xff502fff,
    0x3ffe5fff,0x200005ff,0x03fffffe,0x02fffff4,0x3ffffe60,0x3e600003,
    0x4003ffff,0x03fffffe,0x02fffffc,0x017fff60,0xfffd8000,0x36000005,
    0x20005fff,0x9afffff8,0xa9999999,0x002fffff,0x1fffffcc,0x3fe60000,
    0x00003fff,0x7ffffd40,0x002fffff,0x01bffffa,0x05fffff8,0x06ffffe8,
    0x85ffffe8,0x004fffff,0x51fffffa,0xffffffff,0x00007fff,0x1fffffcc,
    0x3bae2000,0xffffffff,0x98004fff,0x03ffffff,0x4fffffc8,0x3ffffe60,
    0x0bfffff3,0x7fff4000,0xeeec806f,0x7fcc004e,0x00003fff,0x0fffffe6,
    0xdffffd00,0xbffffd00,0x7fffd400,0xf5000000,0x00001fff,0x03fffea0,
    0xffff9800,0xffffffff,0xffffffff,0x7ffcc003,0x400003ff,0x03fffff9,
    0xfff80000,0x07ffffff,0x27ffffc0,0xfffffd00,0xbffffd00,0xbffffd00,
    0x4fffff88,0x3ffff600,0x3fffea0f,0x3fffffce,0x3fe60000,0x30003fff,
    0xfffffff9,0xffffffff,0xfff88009,0xf9005fff,0xf880ffff,0xfff3ffff,
    0x40000bff,0x006ffffe,0xfff30000,0x400007ff,0x03fffff9,0x2fffff40,
    0x2fffff40,0x3ffff880,0x004cccc4,0x1ffffc40,0x00559731,0x0ffffe20,
    0x40133331,0xfffffffb,0xffffffff,0x003fffff,0x1fffffcc,0x3fe60000,
    0x00003fff,0xfffffc80,0x22004fff,0x004fffff,0x03fffff6,0x0bffffd0,
    0x8bffffd0,0x03fffff9,0x3fffff20,0x4cfffea0,0x003fffff,0x3fffe600,
    0xff98003f,0xffffffff,0x4fffffff,0x7ffff400,0xff9000ef,0xff880fff,
    0xffff3fff,0x740000bf,0x0006ffff,0xffff3000,0x4c00007f,0x003fffff,
    0x02fffff4,0x02fffff4,0x4c5fffd8,0x006fffff,0x915fffd8,0x3dffffff,
    0x5fffd800,0x37ffffcc,0xffffff90,0xffffffff,0x05ffffff,0xfffff980,
    0x7cc00003,0x0003ffff,0xffff9800,0x2001ffff,0x03fffff9,0x3fffff20,
    0x7ffff400,0xffffe805,0x7ffffcc5,0x3fff6004,0x261fd47f,0x003fffff,
    0x3fffe600,0x7fc4003f,0xdeffffff,0xfffffccc,0x3fff2004,0x32001fff,
    0x4407ffff,0xff3fffff,0x0000bfff,0x037ffff4,0xff980000,0x00003fff,
    0x0fffffe6,0xbffffd00,0xbffffd00,0x1ffff500,0x6fffffe8,0x7fffd400,
    0xffffffb0,0x2a001dff,0x7f40ffff,0x2e06ffff,0xeeefffff,0xeeeeeeee,
    0x4001eeee,0x03fffff9,0x7ffcc000,0x000003ff,0xffffffd0,0xfff9800b,
    0x3f6004ff,0xfe807fff,0xfe805fff,0xfff85fff,0x3fa005ff,0x98046fff,
    0x003fffff,0x3fffe600,0x7ff4003f,0x3e01efff,0x5004ffff,0x05ffffff,
    0x7ffffc80,0x7ffffc40,0x0bfffff3,0x7fff4000,0x0000006f,0x07fffff3,
    0x7ffcc000,0x7f4003ff,0xfe805fff,0x7c405fff,0x7fdc3fff,0x2006ffff,
    0x263ffff8,0xfffedfff,0xfff8802f,0x7fffdc3f,0x3fea06ff,0x00000fff,
    0x3fffe600,0x4c00003f,0x003fffff,0xfff70000,0xf0003fff,0x400bffff,
    0x806ffffe,0x805ffffe,0xe85ffffe,0x1006ffff,0x00bfffff,0x0fffffe6,
    0xfff98000,0x3e2003ff,0x400effff,0x804fffff,0x4ffffff8,0xffffc800,
    0x7fffc407,0xbfffff3f,0x7ff40000,0x000006ff,0x7fffff30,0x7fcc0000,
    0x74003fff,0xe805ffff,0x6c05ffff,0x7fcc6fff,0x006fffcf,0x2e1bfff6,
    0x027fff42,0x2637ffec,0x6fffcfff,0x3ffffe60,0x20000002,0x03fffff9,
    0x7ffcc000,0x000003ff,0xbfffff70,0x3fffa000,0xfff1006f,0xffd00bff,
    0xffd00bff,0xfffb0bff,0xff7003ff,0x26007fff,0x003fffff,0x3fffe600,
    0x3fe6003f,0xff803fff,0x74404fff,0x006fffff,0x0fffff90,0x3fffff88,
    0x00bfffff,0x7ffff400,0x30000006,0x007fffff,0x7fffcc00,0x7ff4003f,
    0xffe805ff,0x3fea05ff,0xb7ff41ff,0xf5006fff,0x3a003fff,0x7d402fff,
    0x7ff41fff,0x440dfff6,0x004fffff,0x3fe60000,0x00003fff,0x1fffffcc,
    0xff800000,0x0001ffff,0x03fffffb,0x7fffff70,0xbffffd00,0xbffffd00,
    0xbfffff90,0xffffe880,0xfff3001f,0x400007ff,0x03fffff9,0x3ffffee0,
    0x7fffec03,0x7ffec04f,0x90000fff,0x880fffff,0xff3fffff,0x0000bfff,
    0x037ffff4,0xff980000,0x00003fff,0x0fffffe6,0xbffffd00,0xbffffd00,
    0x0ffffe20,0x3fe5fff7,0xfff8806f,0xfff9003f,0xffff880f,0xf97ffdc3,
    0x7ffc06ff,0x00001fff,0xfffff300,0xf9800007,0x0003ffff,0xffffc800,
    0x3f20006f,0x4405ffff,0x01fffffe,0x05ffffe8,0x85ffffe8,0x5ffffff8,
    0xfffffd10,0x7ffcc009,0x200003ff,0x03fffff9,0x3ffffea0,0xffffd106,
    0x7fdc09ff,0x0001ffff,0x01fffff2,0x27fffff1,0x005fffff,0x3ffffa00,
    0x30000006,0x007fffff,0x7fffcc00,0x7ff4003f,0xffe805ff,0xfff905ff,
    0x25fff88d,0xfc806fff,0xff9006ff,0xffc809ff,0x2fffc46f,0xfb80dfff,
    0x000effff,0xfff98000,0x400003ff,0x03fffff9,0x7fdc0000,0x0000ffff,
    0x3fffffe2,0xffffd105,0x3ffa009f,0xffe805ff,0xfff905ff,0x9759dfff,
    0x1ffffffd,0x7fffcc00,0x2600003f,0x003fffff,0x3fffffe2,0xfffd711c,
    0x2609ffff,0x03ffffff,0x7fffe400,0x7fffc407,0xbfffff3f,0x7ff40000,
    0x000006ff,0x7fffff30,0x7fcc0000,0x74003fff,0xe805ffff,0xfa85ffff,
    0x7fec1fff,0xffffaabf,0xffff502a,0xffffb003,0xffffa807,0x55fffec1,
    0x02affffa,0x3ffffffa,0x6dccc09c,0xff98001e,0x00003fff,0x1fffffcc,
    0x51198000,0x5ffffffb,0xfff90000,0x9759dfff,0x1ffffffd,0x3ffffa00,
    0xffffe805,0xfffff105,0xffffffff,0x5307ffff,0xff955555,0x5555bfff,
    0x55530155,0xffff9555,0x555555bf,0xfffffd01,0xffffffff,0x109fffff,
    0xffffffff,0xffffffff,0xfff905ff,0xfff880ff,0xfffff3ff,0x7f40000b,
    0x00006fff,0x2aaaaaa6,0xadfffffc,0x980aaaaa,0xfcaaaaaa,0xaaadffff,
    0xffe80aaa,0xffe805ff,0x7ff445ff,0xffffe84f,0x6fffffff,0x04fffe88,
    0x17ffff44,0x13fffa20,0x3ffffffa,0x206fffff,0xfffffff9,0xffffffff,
    0x555301ff,0xffff9555,0x555555bf,0x2aaaa601,0xfffffcaa,0x0aaaaaad,
    0x3ffff600,0x04ffffff,0xffff1000,0xffffffff,0x007fffff,0x02fffff4,
    0x02fffff4,0xfffffff5,0xffffffff,0x3ffff209,0xffffffff,0x0fffffff,
    0xffffffc8,0xffffffff,0x980fffff,0xffffffff,0xffbeffff,0xfffc84ff,
    0xffffffff,0x2fffffff,0x07ffffc8,0x9fffffc4,0x005fffff,0x3ffffa00,
    0x3f200006,0xffffffff,0xffffffff,0xfffc80ff,0xffffffff,0xffffffff,
    0x5ffffe80,0x5ffffe80,0xe837ffe4,0xffffffff,0xffc86fff,0x7ffd406f,
    0x82aaacff,0xfd06fffc,0xffffffff,0xffc80dff,0xffffffff,0x01ffffff,
    0xfffffff9,0xffffffff,0x3201ffff,0xffffffff,0xffffffff,0x36000fff,
    0xffffffff,0x5400005f,0xffffffff,0x4fffffff,0x7ffff400,0xffffe805,
    0x7ffec405,0xffffffff,0x3fff201e,0xffffffff,0xffffffff,0xfffffc80,
    0xffffffff,0x00ffffff,0xfffffff9,0xff31bfff,0xfff909ff,0xffffffff,
    0x5fffffff,0x0fffff90,0x3fffff88,0x00bfffff,0x7ffff400,0x3f200006,
    0xffffffff,0xffffffff,0xfffc80ff,0xffffffff,0xffffffff,0x5ffffe80,
    0x5ffffe80,0x407fffe6,0xfccccccb,0x7cc3cfff,0x7f401fff,0xffffffff,
    0x0ffffcc7,0xccccccb8,0x803cffff,0xffffffe9,0xffffffff,0xfffff901,
    0xffffffff,0x01ffffff,0x3ffffff2,0xffffffff,0x000fffff,0x3ffffff6,
    0x000002ff,0xffffffb1,0x03dfffff,0xbffffd00,0xbffffd00,0x3fffaa00,
    0x00ceffff,0x7fffffe4,0xffffffff,0xc80fffff,0xffffffff,0xffffffff,
    0x3a600fff,0x2effffff,0x213fffe6,0xfffffffc,0xffffffff,0xffc82fff,
    0x7fc407ff,0xffff3fff,0x740000bf,0x0006ffff,0x3fffff20,0xffffffff,
    0x80ffffff,0xfffffffc,0xffffffff,0xfe80ffff,0xfe805fff,0x3ffa5fff,
    0xfff0004f,0x13fffa0d,0x3fffffa0,0x7f47ffff,0xff0004ff,0xfd7000df,
    0xffffffff,0x3f2017bf,0xffffffff,0xffffffff,0xfff900ff,0xffffffff,
    0xffffffff,0x7ffec001,0x0000dfff,0xfffea800,0x00ceffff,0xbffffd00,
    0xbffffd00,0x35753000,0xffffc800,0xffffffff,0x0fffffff,0xffffffc8,
    0xffffffff,0x800fffff,0x000aaba8,0x3fffff20,0xffffffff,0xc82fffff,
    0x4407ffff,0xff3fffff,0x0000bfff,0x037ffff4,0xffff9000,0xffffffff,
    0x1fffffff,0xffffff90,0xffffffff,0xd01fffff,0xd00bffff,0x3f2bffff,
    0x3e0006ff,0xfffc86ff,0xffffd006,0x64ffffff,0x20006fff,0x40006fff,
    0x09aabba9,0xfffff900,0xffffffff,0x01ffffff,0x3ffffff2,0xffffffff,
    0x000fffff,0x006af326,0xa9800000,0x000001ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x300ceb88,0x730007bb,
    0x804039bd,0xaaaaaaa8,0x0002aaaa,0xaaa80000,0x5530aaaa,0x00000555,
    0xcccccc98,0x01cccccc,0x55555555,0x50015555,0x00055555,0x2aaa2000,
    0x0000000a,0x9dddb973,0x54000057,0x00aaaaaa,0x33555531,0x54c40000,
    0x000009aa,0x0000d54c,0x00155100,0x55310000,0x40000135,0x0009aaa9,
    0x2aaaa660,0x73000009,0x33200003,0xcccccccc,0x54c003cc,0xbccdeecc,
    0xfffe8009,0x7fffcc0f,0x3fffa004,0x76c0cfff,0xfffff980,0x07ffffff,
    0x6c000000,0x23ffffff,0x007ffffc,0x7ffdc000,0xffffffff,0xffffd02f,
    0x7fffffff,0xbffffd00,0xd1000000,0x001dffff,0x7fecc000,0xffffffff,
    0xffd80000,0x6d43ffff,0xffffffff,0x98001dff,0xfffffffe,0x910002ef,
    0xdffffffd,0x5c400059,0xcefffffd,0xca80000b,0xfffffffd,0x1000bdff,
    0xfffffd97,0x8807bfff,0xffffffec,0x000dffff,0x0bfff6e2,0x7fffc000,
    0xffffffff,0xfffd5005,0xffffffff,0xffffa809,0x7ffff43f,0xfffd800f,
    0xbcffffff,0x7cc0effd,0xffffffff,0x000007ff,0x3ffff600,0x7ffe41ef,
    0x4000007f,0xfffffffb,0xd02fffff,0xffffffff,0xfd007fff,0x0000bfff,
    0xffffe880,0x00000eff,0xffffffd8,0x00ffffff,0x7fffec00,0xffff81ef,
    0xffffffff,0xd8801eff,0xffffffff,0x002fffff,0x3fffffa6,0x04ffffff,
    0xfffff980,0x0effffff,0xfffb1000,0xffffffff,0xf3009fff,0xffffffff,
    0x220fffff,0xfffffffc,0x1fffffff,0x3fffea00,0xff00002f,0xffffffff,
    0xfe880bff,0xffffffff,0x5c04ffff,0x744fffff,0x401fffff,0xfffffffb,
    0xffffffff,0x7fffcc1f,0x7fffffff,0xb0000000,0x01bfffff,0x00fffff9,
    0xfffb8000,0xffffffff,0xffffd02f,0x7fffffff,0xbffffd00,0x74400000,
    0xffffffff,0x7dc00005,0xffffffff,0x0000ffff,0x37fffff6,0xffffff00,
    0xffffffff,0x7fc401df,0xffffffff,0x01ffffff,0xffffffb8,0xffffffff,
    0xfff5000d,0xffffffff,0xa8003fff,0xffffffff,0xffffffff,0x7fffe404,
    0xffffffff,0xfff887ff,0xffffffff,0x001fffff,0x0bffffea,0x7fffc000,
    0xffffffff,0x3fffa205,0xffffffff,0x7cc04fff,0x7ec3ffff,0x4400ffff,
    0xfeb9bffe,0x2fffffff,0xffffff98,0x007fffff,0xffd80000,0x3f203fff,
    0x00007fff,0x555554c0,0x0aaaaaaa,0xffffffd0,0x007fffff,0x00bffffd,
    0x7ffec000,0x5ffffa9f,0xfff10000,0xb99dffff,0x20001ffd,0x03fffffd,
    0x7ffffffc,0xffffffff,0x3fff605f,0xfffeffff,0x00ffffff,0x3ffffff6,
    0xffffffff,0x7e400eff,0x98bdffff,0x3fffffdb,0xfffffb00,0xffffffff,
    0x2209ffff,0xfffffffe,0xffffffff,0xfffffd87,0xffffffff,0x2a001fff,
    0x002fffff,0x55555500,0x05555555,0x7fffffec,0xfdcbaabd,0xfffc804f,
    0x2fffe885,0xf905d100,0x007fffff,0x0fffff90,0xfd800000,0x6401efff,
    0x0007ffff,0x00000000,0x3fffff98,0x5ffffe80,0xffb00000,0x7ffd43ff,
    0xfd80005f,0x200dffff,0xfffb0000,0xdff003df,0xf7533559,0x03ffffff,
    0x5bfffff5,0x7fff5441,0xfff302ff,0xfbbfffff,0x7fffffff,0x27fffdc0,
    0x3ffff620,0x7fffdc02,0xccefffff,0x04ffffee,0xfffffffd,0xffdb9bff,
    0xffffb8ff,0xaaabcfff,0x001ffecb,0x0bffffea,0x00000000,0x0bfffffe,
    0x54c00660,0x00055401,0x05995100,0x7fffe400,0x20000007,0x00ccccca,
    0x07ffffc8,0x00000000,0xffff9800,0xfffe803f,0x9800005f,0xca81cccc,
    0x40001ccc,0x00fffffe,0xccca8000,0x015000cc,0xfffffd10,0xdffff907,
    0xfffff980,0xfffffd04,0xfffd303d,0x7ffc0fff,0x3ff6004f,0x3ffe206f,
    0x401cffff,0xffa84fc9,0x00afffff,0xffff1f6a,0x51001bff,0x7ffd4001,
    0x000002ff,0x7ffcc000,0x000005ff,0x00000000,0x3ff20000,0x000007ff,
    0xff900000,0x00000fff,0x30000000,0x007fffff,0x00bffffd,0x00000000,
    0xfffff800,0x00000003,0xff980000,0xffe85fff,0xffd803ff,0xfffa86ff,
    0x3e200eff,0xb82fffff,0xd8004fff,0xffb02fff,0x0007ffff,0xfffffd01,
    0xf104003d,0x000dffff,0x2aaaaa60,0xacfffffc,0x0aaaaaaa,0x2a000000,
    0x006fffff,0x00000000,0x20000000,0x007ffffc,0x00000000,0x00fffff9,
    0x55555000,0x55555003,0xffff3003,0xfffd007f,0x000000bf,0x4c000000,
    0x002fffff,0x00000000,0xfffff880,0x3fffff85,0x5ffffc80,0x0fffffe8,
    0xfffffa80,0x80ffff86,0x32effdb9,0xff30dfff,0x0003ffff,0x3ffffee0,
    0x3ea0000f,0x0005ffff,0xffffff90,0xffffffff,0x05ffffff,0x2aaaaaaa,
    0x800aaaaa,0xdffffff9,0x55540001,0xaaaaaaaa,0x5554000a,0xcedc982a,
    0xff90001b,0x00000fff,0x98155555,0x901bcedc,0x500fffff,0x20555555,
    0x805ffffe,0x804fffff,0x03fffff9,0x45ffffe8,0x01bcedc9,0x00355555,
    0x0d5554c0,0xfffffa80,0x2aa20001,0xaaaaaaaa,0xaaaaaaaa,0x3fe20000,
    0xffe84fff,0xffe806ff,0x7ffcc4ff,0x3fe006ff,0x3ee1ffff,0xfffc84ff,
    0x3ffa2fff,0x7ffff42f,0x3e00005f,0x003fffff,0x7ffffd40,0xff900007,
    0xffffffff,0xffffffff,0x3ffa05ff,0xffffffff,0xffff003f,0x015bffff,
    0xfffffd00,0x07ffffff,0x27fffe80,0xffffffe8,0xffc8004f,0x800007ff,
    0xd11ffffe,0x9fffffff,0x0fffff90,0xffffffb8,0xbffffd03,0x9fffff00,
    0xfffff300,0xffffd007,0x3ffffa29,0xffd84fff,0x2e0004ff,0x5003ffff,
    0x003fffff,0x7ffffcc0,0xffffffff,0x001fffff,0x3ffffe60,0xfffffd83,
    0x3fffee04,0x7fffdc1f,0x3ff2003f,0x3ffa2fff,0x7ffff41f,0x3fea2fff,
    0x7ffffc4f,0xf300001f,0x001fffff,0xfffff980,0xfc80004f,0xffffffff,
    0xffffffff,0xffd02fff,0xffffffff,0x3fee007f,0xffffffff,0xffd000ad,
    0xffffffff,0xffe8007f,0xffffa8ff,0x06ffffff,0x3ffffe40,0x7ff40000,
    0xffff99ff,0x46ffffff,0x207ffffc,0x3ffffffa,0x17ffffa0,0x13ffffe0,
    0x3ffffe60,0xffffe803,0xffffff9c,0x7e46ffff,0x20005fff,0x002ffffc,
    0x03fffff5,0x7fffcc00,0xffffffff,0x01ffffff,0x3ffffa00,0xfffff507,
    0xfffa81bf,0xfffd85ff,0x3ea000ff,0x3fe3ffff,0x7fffdc6f,0x7fc2ffff,
    0x3fffe66f,0x2a00005f,0x005fffff,0xffffff00,0x640003bf,0xffffffff,
    0xffffffff,0xfd02ffff,0xffffffff,0x7ec007ff,0xffffffff,0x7400cfff,
    0xffffffff,0x74003fff,0xfffaffff,0xffffffff,0x3ff2003f,0x800007ff,
    0xffbffffe,0xffffffff,0x3fff23ff,0xffff307f,0xffe809ff,0xfff805ff,
    0xff9804ff,0xfe803fff,0xffffdfff,0xffffffff,0x1bfffea3,0xffffd800,
    0xffff5001,0x7cc0003f,0xffffffff,0xffffffff,0xfea8001f,0x3602ffff,
    0xbfffffff,0xefffffc8,0xfffffe80,0x3ffe6000,0xbfff14ff,0x22fffff8,
    0x53fff408,0x007fffff,0x7fffdc00,0xfb00003f,0xdfffffff,0x7d400005,
    0x0002ffff,0x3ffffffa,0x003fffff,0x7fffffdc,0x2fffffff,0x3fffffa0,
    0x03ffffff,0x7fffff40,0xffffffff,0x2007ffff,0x007ffffc,0xffffe800,
    0xffffffff,0x326fffff,0xe887ffff,0x805fffff,0x805ffffe,0x804fffff,
    0x03fffff9,0xffffffe8,0xffffffff,0x3fe67fff,0x3a0007ff,0x3e20ffff,
    0xffffffff,0xffffffff,0xf302ffff,0xffffffff,0xffffffff,0x3332201f,
    0xffffffed,0x7ff4401e,0xffffffff,0xff00efff,0x8800ffff,0xf35fffff,
    0x7ffd49ff,0xfffd803f,0x5fffff70,0x2aaaaaa0,0x3f61aaaa,0x0002ffff,
    0xffffff10,0x039fffff,0xffffa800,0x9800002f,0x003fffff,0xffffeb88,
    0x1fffffff,0x7fffcc00,0x7ff4003f,0x9dffffff,0xffffffb8,0xffff9001,
    0x17b9500f,0xfffffe80,0xfd11cfff,0x3f25ffff,0xffd87fff,0xfd006fff,
    0xff00bfff,0xf3009fff,0xd007ffff,0xffffffff,0xffff713b,0x3ffe23ff,
    0xff0000ff,0xfff88fff,0xffffffff,0xffffffff,0x555102ff,0x95555555,
    0x09ffffff,0x7fffffc4,0x000dffff,0xffffffd1,0x01bfffff,0x03fffffc,
    0x3ffffe20,0x5c7fff56,0xc800ffff,0xfff91fff,0x3ffe03ff,0x5fffffff,
    0x07fffffa,0xfffa8000,0xffffffff,0xf50002ef,0x0005ffff,0xfffff300,
    0xdb880007,0xffffffff,0x7ffcc006,0x7f4003ff,0x81ffffff,0x03fffffb,
    0x0fffff90,0x7fffff44,0x3ffffa01,0xff981fff,0xfff93fff,0xffffc8ff,
    0xffd000ef,0xfff00bff,0xff3009ff,0xfd007fff,0x03ffffff,0x47fffff7,
    0x001fffff,0x88dffff0,0xffffffff,0xffffffff,0x002fffff,0x7ffff440,
    0x7ffc405f,0xefffffff,0x3fee001b,0xffffffff,0x3fffe203,0xfff8006f,
    0x5fff77ff,0x007fffe4,0xfd97ffdc,0xff00ffff,0xffffffff,0x7fffffcb,
    0x7cc00000,0xffffffff,0x000dffff,0x17ffffd4,0x7fcc0000,0x00003fff,
    0x3fffff22,0x3e6000ff,0x4003ffff,0x2ffffffe,0x9fffff30,0x3ffff200,
    0x3ffff207,0xffd00eff,0x7c05ffff,0xff94ffff,0x7ffdcfff,0x3a000fff,
    0xf805ffff,0x9804ffff,0x803fffff,0x2ffffffe,0x9fffff30,0x217ffff4,
    0x441eeee9,0x7c45ffff,0xffffffff,0xffffffff,0x0002ffff,0x7fffffec,
    0x7fffc400,0xffffffff,0xffe9804f,0xffffffff,0xfff880ef,0xff8006ff,
    0xfff97fff,0x07fffe45,0xe97ffdc0,0xf00fffff,0xffffffff,0x3fffe2bf,
    0x800000ff,0xffffffc8,0x0effffff,0xf7333310,0x3337ffff,0x20003333,
    0x03fffff9,0xfff98000,0x26002fff,0x003fffff,0x1ffffff4,0x17ffffe0,
    0x3ffffe40,0xfffffff0,0x3fffa05f,0x7ff403ff,0xffff95ff,0x3ffffe6f,
    0x7ff4001f,0xfff805ff,0xff9804ff,0xfe803fff,0x7c03ffff,0x3f65ffff,
    0x7fe43fff,0x7ffcc4ff,0x5555443f,0xfffffcaa,0xaaaaaaab,0x3ee0000a,
    0x801fffff,0xfeecccc8,0x5fffffff,0x3ffffee0,0xffffffff,0xffff80ef,
    0x7fc4007f,0xfff76fff,0x17fffdc7,0xd8fffe40,0xf01fffff,0xffffffff,
    0x7ffffcbf,0x2000001f,0xfffffeb8,0xb06fffff,0xffffffff,0xffffffff,
    0x3e6000ff,0x0003ffff,0xfffffb00,0x7ffcc005,0x7f4003ff,0xfe806fff,
    0xf9005fff,0x3e60ffff,0x4fffffff,0x0dffffd0,0x29dddd90,0xf8fffffc,
    0x002fffff,0x05ffffe8,0x04fffff8,0x3fffff98,0x6ffffe80,0x5ffffe80,
    0xd13ffff2,0xfa8fffff,0x2a002fff,0x001fffff,0x3ffe6000,0x00003fff,
    0xffffffb5,0xfffff707,0xffff917f,0xffd0dfff,0xf8800fff,0xff36ffff,
    0x7fffd49f,0x0fffd804,0x05fffff9,0x3faaaaaa,0x3ffa5fff,0x00002fff,
    0xffff9300,0xb07fffff,0xffffffff,0xffffffff,0x3e6000ff,0x8803ffff,
    0x3ffe2000,0x26000fff,0x003fffff,0x02fffff4,0x02fffff4,0x07ffffc8,
    0xfffffff1,0x3fffa07f,0x7e40006f,0xfffeffff,0xfd0003ff,0xff00bfff,
    0xf3009fff,0xd007ffff,0xd00bffff,0x7d4bffff,0x3fe65fff,0x3ee1ffff,
    0x2a001fff,0x001fffff,0xffff1000,0x00000bff,0x8ffffff9,0x1ffffff9,
    0x7fffff4c,0x7fffec3f,0x3fe6000f,0xfff15fff,0x7ffffcc9,0xffe8110c,
    0x3ffffee7,0x3fffa002,0x3ffff65f,0x0000003f,0x7ffffdc4,0xfffd86ff,
    0xffffffff,0x07ffffff,0xfffff300,0x39df5007,0xfffb3101,0xf9800fff,
    0x4003ffff,0x805ffffe,0x005ffffe,0x40fffff9,0xfffffffe,0xdffffd01,
    0xfffc8000,0x6fffffff,0x3fffa000,0xffff805f,0xfff9804f,0xffe803ff,
    0xffe805ff,0x3ffe65ff,0x3ffff26f,0x3fff24ff,0x3fea000f,0x00001fff,
    0xdfffffd0,0x3a000001,0x3a0fffff,0x200fffff,0x47fffffd,0x00fffffc,
    0x3ffffea0,0xfb1bffe4,0x5fffffff,0x3ea6fff8,0x2004ffff,0x325ffffe,
    0x004fffff,0xfd300000,0xd81fffff,0xffffffff,0xffffffff,0xff30007f,
    0xf5007fff,0xdddfffff,0xffffffff,0xfff98005,0x7f4003ff,0xfe805fff,
    0xf9005fff,0x7cc0ffff,0x204fffff,0x006ffffe,0x7ffffe40,0x04fffffe,
    0xbffffd00,0x9fffff00,0xfffff300,0xffffd007,0xffffd00b,0x3ffffc4b,
    0xfffffffd,0x003fffe4,0x07ffffea,0x3ff20000,0x0001ffff,0x3ffff200,
    0xfffff32f,0xffffd007,0x7fffdc3f,0x3ff2003f,0x3ffa2fff,0x3fffe61f,
    0x3ea2ffff,0x3ffe65ff,0x3fa007ff,0x3fee5fff,0x0000ffff,0xfff30000,
    0x99883fff,0xfffffb99,0x1999999b,0xffff3000,0xfff5007f,0xffffffff,
    0x00bfffff,0x7fffff30,0xffffe800,0xffffe805,0xffff9005,0xeffe980f,
    0x7ffff402,0x7fe40006,0xffff8fff,0xfe8003ff,0xff805fff,0xf9804fff,
    0xe803ffff,0xe805ffff,0x7fc5ffff,0xfff98fff,0xfb2fffff,0xfa800dff,
    0x0001ffff,0x7ffffd40,0x4000002f,0x51fffffc,0x001fffff,0x45fffff5,
    0x06fffffa,0x3fffffe0,0x313fff60,0x5ffffffd,0xf117ffec,0x005fffff,
    0xa97ffffa,0x03ffffff,0x3a000000,0x801fffff,0x02fffffa,0xfff98000,
    0xffa803ff,0xffffffff,0x003fffff,0x7fffff30,0xffffe800,0xffffe805,
    0xffff9005,0xe800400f,0x0006ffff,0xabffffe4,0x01ffffff,0x2fffff40,
    0x3ffffe20,0xffff9804,0xfffe803f,0xfffe805f,0x7ffff45f,0xffdfffb9,
    0xbffff5ff,0xffffa800,0x2200001f,0x04ffffff,0xffe80000,0xfff90fff,
    0x3fe600ff,0x3fe22fff,0xa800ffff,0x4c5fffff,0x5c40ffff,0xf31dffed,
    0xfffb0dff,0x3fa00dff,0x7ff45fff,0x0000efff,0xffff0000,0xff5001ff,
    0x00007fff,0x7fffff30,0xffffb300,0xdfffffff,0x7cc00039,0x4003ffff,
    0x805ffffe,0x005ffffe,0x00fffff9,0xffffd000,0xffc8000d,0x3fff27ff,
    0x3a000fff,0x7406ffff,0x804fffff,0x03fffff9,0x05ffffe8,0x45ffffe8,
    0xfeaffffd,0xffffdbff,0x004ffff8,0x0fffffd4,0xffe88000,0x00006fff,
    0xfffffa80,0x3ffffee6,0xffffa801,0x7fffe41f,0x3fe200ef,0xfd80ffff,
    0xfd8004ff,0xfff882ff,0x7400dfff,0x7d45ffff,0x01efffff,0x30000860,
    0x00dfffff,0x1bffffe6,0x3fe60000,0x44003fff,0xffffdaa9,0xff300005,
    0xe8007fff,0xe805ffff,0x9005ffff,0x000fffff,0xdffffd00,0xfffc8000,
    0x7ffff47f,0x3ff6006f,0xffb00fff,0x3009ffff,0x007fffff,0x00bffffd,
    0xc8bffffd,0xfffcffff,0xbffffa8f,0x4003ffff,0x01fffffa,0xffffb000,
    0x000001ff,0xffffffa8,0x3ffffea4,0x7fff4405,0xffff887f,0xfe980eff,
    0xf304ffff,0x6c009fff,0x3f206fff,0x01efffff,0x217ffffa,0xfffffffe,
    0x4fd7100b,0xf5001bed,0x009fffff,0x3fffffe2,0x7cc00000,0x0003ffff,
    0x00ffffe4,0xffff9800,0x7ff4003f,0xffe805ff,0xff9005ff,0x00000fff,
    0x00dffffd,0x7ffffc80,0x7fffffcc,0xffff9005,0xfffc887f,0x9804ffff,
    0x803fffff,0x805ffffe,0x5c5ffffe,0xffffffff,0xffffff16,0xa8003fff,
    0x001fffff,0xfffffb80,0xcdc8001f,0xcba99aaa,0xffffffff,0x3ffffe20,
    0x7f541bef,0xfb05ffff,0x9dffffff,0xfffffffb,0x7ffec01f,0xfffd804f,
    0x3ffe202f,0xceffffff,0xfffffecc,0xfffff985,0xecdfffff,0x3f67ffff,
    0xbccdefff,0xffffffdc,0x3fe001ff,0x441effff,0x7cc001b9,0x0003ffff,
    0x003ffff4,0xfffff300,0xfffe8007,0xfffe805f,0xfff9005f,0xd00000ff,
    0x000dffff,0x87ffffc8,0x3ffffffb,0xfffffb80,0xffffcadf,0x804fffff,
    0x03fffff9,0x05ffffe8,0x45ffffe8,0xfffffff9,0x3ffff63f,0x4000ffff,
    0x01fffffa,0x7fffcc00,0xfd0003ff,0xffffffff,0xffffffff,0xfffff903,
    0xffffffff,0x201fffff,0xfffffff9,0xffffffff,0x7f4403ff,0x98acefff,
    0x3fffffdb,0xfffffa80,0xffffffff,0x905fffff,0xffffffff,0xffffffff,
    0x7ffffecf,0xffffffff,0x002fffff,0x7fffffe4,0x2fffffff,0xaaaaaa98,
    0xadfffffc,0x800aaaaa,0x4004ffff,0xcaaaaaa9,0xaadfffff,0xfe80aaaa,
    0xfe805fff,0x2aaa5fff,0xfffdaaaa,0xaaaaabff,0xfffd0002,0xfc8000df,
    0xffb07fff,0xf005ffff,0xffffffff,0xfffdffff,0x2aaaa69f,0xfffffcaa,
    0x0aaaaaad,0x00bffffd,0x88bffffd,0xffffffff,0x3ffffea1,0xfa8007ff,
    0x0001ffff,0x3fffffe2,0xffffffff,0x3fa2ffff,0xffffffff,0x2fffffff,
    0x3fffff60,0xffffffff,0x74401fff,0xffffffff,0x03ffffff,0x3fffff60,
    0xffffffff,0x3fa6002f,0xffffffff,0x5fffffff,0x3ffffea0,0xffffffff,
    0x3fff67ff,0xffffffff,0x04ffffff,0xfffffd00,0x5fffffff,0xffffff90,
    0xffffffff,0x801fffff,0x001ffff9,0x7fffffe4,0xffffffff,0xe80fffff,
    0xe805ffff,0x3fe5ffff,0xffffffff,0xffffffff,0xffd0005f,0xc8000dff,
    0xd107ffff,0x01ffffff,0xffffffb8,0xfadfffff,0xfff94fff,0xffffffff,
    0xffffffff,0x17ffffa1,0x17ffffa0,0x3ffffffe,0x7ffffc46,0xfa8006ff,
    0x0001ffff,0x3ffffff2,0xffffffff,0x3fa2ffff,0xffffffff,0x00cfffff,
    0x7ffffec4,0xffffffff,0x3ff6001e,0xffffffff,0xfb8001ef,0xffffffff,
    0x90001eff,0xffffffff,0x7fffffff,0xffffd880,0xffffffff,0x3ffff67f,
    0xffffffff,0x0002efff,0x3fffffe6,0x82ffffff,0xfffffffc,0xffffffff,
    0x5c00ffff,0xc8006fff,0xffffffff,0xffffffff,0xffe80fff,0xffe805ff,
    0x3fffe5ff,0xffffffff,0x5fffffff,0xffffd000,0xffc8000d,0x3fe607ff,
    0x400effff,0xfffffffd,0xffff35ff,0x3fffff29,0xffffffff,0xd0ffffff,
    0xd00bffff,0xfd0bffff,0xb09fffff,0x0bffffff,0xfffff500,0x7fe40003,
    0xffffffff,0xffffffff,0x3fffffa2,0x3dffffff,0xfffc8800,0x1dffffff,
    0xfffb7000,0x007dffff,0xfffdc980,0x000bdfff,0x7fff64c0,0xadffffff,
    0x3fb2a000,0xceffffff,0x7fff64c1,0xffffffff,0x2e00002d,0xffffffff,
    0xfffc82ff,0xffffffff,0xffffffff,0x17775c00,0x7fffe400,0xffffffff,
    0x0fffffff,0x05ffffe8,0x25ffffe8,0xffffffff,0xffffffff,0xd0005fff,
    0x000dffff,0x07ffffc8,0x7fffffdc,0xffffb805,0x3fe62eff,0xffff94ff,
    0xffffffff,0x1fffffff,0x017ffffa,0x217ffffa,0x1ffffffd,0xffffffa8,
    0xfffa8004,0x320001ff,0xffffffff,0xffffffff,0x554cc2ff,0x00019aaa,
    0x555d4c40,0x4c400001,0x000001ab,0x00002ae6,0x35575300,0x4c400003,
    0x2600099a,0x09abbaaa,0x4cc00000,0x2009aaba,0xfffffffc,0xffffffff,
    0x0000ffff,0xffffc800,0xffffffff,0x0fffffff,0x05ffffe8,0x25ffffe8,
    0xffffffff,0xffffffff,0xd0005fff,0x000dffff,0x07ffffc8,0xffffffd8,
    0x35753003,0xffffc800,0xffffffff,0x0fffffff,0x00bffffd,0x90bffffd,
    0x20dfffff,0x3ffffff8,0xffffa800,0x3f20001f,0xffffffff,0xffffffff,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0009aaa8,0x00373000,0x13551000,0x54c00000,0x4400009a,0x00001aa9,
    0x00099998,0x009fffff,0x037fffec,0x3fb72ea0,0x30004fff,0x15599975,
    0x35551000,0x7fffec00,0x3fffe006,0x3ffffa4f,0xffffffff,0x7cc3ffff,
    0xffffffff,0xffffffff,0xfa87ffff,0xa802ffff,0x801fffff,0x004fffff,
    0x8000e200,0xffffe80b,0xffa80005,0x00002fff,0xffffc800,0xffffffff,
    0xfffff14f,0xffffffff,0xffffffff,0xfffff90f,0x579bdfff,0xfb700001,
    0xffffffff,0x3fffffff,0xfffdb880,0xfb700002,0x1bdfffff,0xffd70000,
    0x05bfffff,0x3fffb2e0,0x0002efff,0x37ffff4c,0x4fffff80,0x3ffff600,
    0xfffc9806,0x4fffffff,0x3fffaa00,0x6fffffff,0xffffda80,0x6c03efff,
    0x2006ffff,0x3a4fffff,0xffffffff,0xffffffff,0x7ffffcc3,0xffffffff,
    0xffffffff,0xfffffa87,0xffffa802,0xffff801f,0xf700004f,0xff90007f,
    0x5ffffe87,0xfffa8000,0x000002ff,0xffffff80,0xffffffff,0xffffff14,
    0xffffffff,0xffffffff,0xffffff90,0xffffffff,0xfd10001b,0xffffffff,
    0xffffffff,0xfffa803f,0x440002ff,0xfffffffe,0x0002ffff,0xffffffd3,
    0x409fffff,0xffffffe9,0x01efffff,0x7fffecc0,0xfff006ff,0x7ec009ff,
    0x36206fff,0xffffffff,0x8804ffff,0xfffffffc,0x207fffff,0xffffffd9,
    0x00dfffff,0x00dffffb,0xd27ffffc,0xffffffff,0xffffffff,0xfffff987,
    0xffffffff,0xffffffff,0xfffffa87,0xffffa802,0xffff801f,0x7d40004f,
    0x2001ffff,0xd2effff9,0x000bffff,0x5fffff50,0xa8000000,0xffffffff,
    0x14ffffff,0xffffffff,0xffffffff,0x90ffffff,0xffffffff,0xffffffff,
    0x7ffcc007,0xffffffff,0xffffffff,0x7ffd401f,0x260002ff,0xffffffff,
    0x04ffffff,0x7ffffcc0,0xffffffff,0x7ffe41ef,0xffffffff,0x9800ffff,
    0xfffffffd,0xffff006f,0x7fec009f,0xffd106ff,0xffffffff,0xfa809fff,
    0xffffffff,0x507fffff,0xffffffff,0x5fffffff,0x0dffffb0,0x27ffffc0,
    0xfffffffd,0xffffffff,0x07ff987f,0x43ffcc00,0x02fffffa,0x1fffffa8,
    0x4fffff80,0x7ffe4000,0x3fa006ff,0xffd2ffff,0x50000bff,0x005fffff,
    0xffd80000,0xffffffff,0xff14ffff,0xffffffff,0xffffffff,0xff90ffff,
    0xffffffff,0xdfffffff,0xffff9801,0xffffffff,0xffffffff,0x7ffd401f,
    0xf50002ff,0xffffffff,0x9fffffff,0x7ffff400,0xffffffff,0x3ffa0eff,
    0xffffffff,0x05ffffff,0x3fffff22,0x006fffff,0x009fffff,0x437fffec,
    0xfffffff9,0xeeeeefff,0x3fffe203,0xffffffff,0xff887fff,0xffffffff,
    0x86ffffff,0x006ffffd,0xe93ffffe,0xffffffff,0xffffffff,0xd33ffcc3,
    0x4c013599,0x3f72a7ff,0xcccdffff,0xffdccccc,0x201cdfff,0x004fffff,
    0xfffffe80,0xffffc804,0x3ffffa4f,0xacceeeef,0xffffa801,0x0000002f,
    0x3fffffe2,0xccccefff,0xddddd12c,0xfffffddd,0xdddddddf,0xfffff90d,
    0xfffffddd,0x80bfffff,0xdffffffd,0xeffffeab,0x00cccccc,0x17ffffd4,
    0x7fffc400,0xfc98beff,0x00ffffff,0xffffffb8,0xfffb511b,0xfffffa83,
    0xfffeccef,0x6443ffff,0xffffffff,0xf006ffff,0x4009ffff,0xe86ffffd,
    0x9dffffff,0xfffb0000,0x3357dfff,0xfd0ffb75,0x359fffff,0xffffffb7,
    0x6ffffd87,0x3ffffe00,0x2fffffa4,0x99999999,0x7fcc0999,0x3ffffea7,
    0x7ff981cf,0x3fffffee,0xffffffff,0xffffffff,0x3ffe02ff,0x401404ff,
    0xcffffff8,0xfceffffd,0x7f46ffff,0xffffffff,0x203fffff,0x02fffffa,
    0x3f200000,0xffffcfff,0xfff80003,0xfc8006ff,0xc9887fff,0x1fffffff,
    0xdfffff30,0x4ffffc81,0x3ffea000,0xfb8002ff,0x3605ffff,0x804fffff,
    0x00ffffff,0x7fe40bea,0xfffa80af,0x7fc45fff,0xffffffff,0xff006fff,
    0x6c009fff,0x7dc6ffff,0x001effff,0x7ffffd40,0x5c28804f,0x00efffff,
    0x8ffffff7,0x006ffffd,0xe93ffffe,0x0002ffff,0xff53ffcc,0x89ffffff,
    0x3fee7ff9,0xffffffff,0xffffffff,0x02ffffff,0x413ffffe,0xff5005fb,
    0xffffffff,0xffffffff,0xfffffe81,0xffffffff,0xffa83fff,0x00002fff,
    0x37fffe00,0x003ffffb,0x6fffff80,0xffffc800,0x7fffd407,0xfffb06ff,
    0xfff903ff,0x5553009f,0xfffff955,0x55555559,0xfffff815,0x7fffc406,
    0x3fe200ff,0x00802fff,0x3ea006f4,0xfd86ffff,0xfe8cffff,0xff006fff,
    0x6c009fff,0x3e26ffff,0x000fffff,0xffffff80,0x3ff60004,0x7e401fff,
    0x3f63ffff,0x3e006fff,0x3fa4ffff,0x40002fff,0x3ba67ff9,0x3ffffffe,
    0xffb9ffe6,0xffffffff,0xffffffff,0x02ffffff,0x513ffffe,0x6400bffd,
    0xffffffff,0xffffffff,0xfffffe82,0xffffffff,0x7d43ffff,0x0002ffff,
    0xffff5000,0x07ffff75,0xfffff000,0xfff9000d,0xfff300ff,0xff985fff,
    0xff903fff,0xff9009ff,0xffffffff,0xffffffff,0x7ffdc5ff,0xffb802ff,
    0x3ea04fff,0x0000ffff,0x3ffe0008,0x7fcc0fff,0x3fffa1df,0xffff006f,
    0x7fec009f,0x3ffee6ff,0x980003ff,0x00ffffff,0x3ffffe00,0xffff9805,
    0x3ffff65f,0x3fffe006,0x3ffffa4f,0x7fcc0002,0x7fff5407,0x5cfff31f,
    0xffffffff,0xffffffff,0xffffffff,0x3ffffe02,0xbffffd54,0xffffe800,
    0xffffffff,0xfffd05ff,0xfffdddff,0x3fffffff,0x17ffffd4,0xfd800000,
    0xfffb8fff,0xff80003f,0xc8006fff,0xb007ffff,0xc8dfffff,0x901fffff,
    0x9009ffff,0xffffffff,0xffffffff,0x7f45ffff,0xf1007fff,0x5c0dffff,
    0x0007ffff,0xfffe8000,0x81ee81ff,0x006ffffe,0x009fffff,0xb37fffec,
    0x000fffff,0x3ffffea0,0x3fe20003,0xff004fff,0x7fecffff,0x3fe006ff,
    0x3ffa4fff,0x4c0002ff,0xffb007ff,0x21ffe69f,0x02fffffa,0x1fffffa8,
    0xefffff80,0x5ffffffe,0x7ffffc00,0xfffdbbdf,0xfffd07ff,0x3ff660bf,
    0x3ea6ffff,0x0002ffff,0xffff8800,0x07ffff75,0xfffff000,0xfff9000d,
    0x3fe600ff,0x7ff47fff,0x3ff207ff,0xffc804ff,0xffffffff,0xffffffff,
    0xffff12ff,0xfff3009f,0x3201ffff,0x0006ffff,0xfffe8000,0x7f40107f,
    0xff006fff,0x6c009fff,0x3fe6ffff,0x00005fff,0x05fffff9,0x7fffcc00,
    0xfffb003f,0x3fff63ff,0x3ffe006f,0x3fffa4ff,0x7cc0002f,0xfff5007f,
    0x2a1ffe6b,0x802fffff,0x01fffffa,0xfffffff8,0x02efffff,0x3ffffea0,
    0xfffffa82,0x5ffffe82,0x7ffffd40,0xfffff51f,0x70000005,0x3ee5ffff,
    0x80003fff,0x006fffff,0x07ffffc8,0x3fffffa0,0x17ffffe0,0x04ffffc8,
    0xffffffc8,0xffffffff,0x32ffffff,0x803fffff,0xfffffffb,0xffff901f,
    0x0000000d,0x00ffffff,0x0dffffd0,0x13ffffe0,0x6ffffd80,0x27fffff3,
    0x1abccba8,0xfffffd80,0x3fe20000,0xfb004fff,0x3f63ffff,0x3e006fff,
    0x3fa4ffff,0xabccdfff,0xfff3001a,0x57ffe600,0xffa87ff9,0xfa802fff,
    0xf801ffff,0xffffffff,0xfd8003ff,0x3f604fff,0xffe85fff,0xffc805ff,
    0xfff53fff,0x326005ff,0x3fa001cd,0x3ffee7ff,0xff80003f,0xc8006fff,
    0x2007ffff,0x11fffffd,0x409fffff,0x004ffffc,0x3ffffea0,0x3ffea002,
    0xffd100ff,0x7fffffff,0x1bffff20,0xf5000000,0x000bffff,0x00dffffd,
    0x013ffffe,0x56ffffd8,0xfbbfffff,0xffffffff,0x7ffff407,0x7fc0000f,
    0xf9006fff,0x3f65ffff,0x3e006fff,0x3fa4ffff,0xffffffff,0x2600cfff,
    0xffb007ff,0x21ffe69f,0x9bfffffa,0xb9999999,0x401fffff,0xfffffffa,
    0x3e0003ff,0x2601ffff,0xfe86ffff,0xf9805fff,0xff54ffff,0xf9005fff,
    0x3007ffff,0x7dc9ffff,0xccccefff,0x3ffe000c,0x3ba006ff,0xeefffffe,
    0xffc82eee,0xfff32fff,0x7fe407ff,0xccccceff,0xffffa802,0x3fee002f,
    0xffa80fff,0xffffffff,0xffff903f,0x8000000d,0x02fffffd,0x6ffffe80,
    0x9fffff00,0x7fffec00,0xffffff76,0xffffffff,0xfd03dfff,0x0003ffff,
    0x3fffffe8,0xfffffc80,0x0dffffb2,0x27ffffc0,0xfffffffd,0xbfffffff,
    0x261ffe60,0xffffeb99,0xf50fff31,0xffffffff,0xffffffff,0x3a603fff,
    0xffffffff,0xfff80003,0x7ffc407f,0xffffe87f,0xffff8805,0xfffff56f,
    0xffffa805,0x7e401fff,0x3fee1fff,0xffffffff,0xfffffa81,0xffffffff,
    0xfff81fff,0xffffffff,0xfffc82ff,0xffff33ff,0x7ffe407f,0x5fffffff,
    0xfffffa80,0x3fff2002,0xffffd87f,0xfffffeff,0xffffff33,0xffffffff,
    0x0001ffff,0xdfffff50,0x3fffa000,0xffff006f,0x7fec009f,0xffff96ff,
    0xffffffff,0x1fffffff,0x2fffffd8,0x7ffe4000,0x5cc1dfff,0x2ffffffe,
    0x00dffffb,0xd27ffffc,0xffffffff,0xbfffffff,0xf88fff30,0x3fffffff,
    0x3ea1ffe6,0xffffffff,0xffffffff,0x7ec41fff,0x5fffffff,0xfff10000,
    0xfff880df,0xffffe87f,0xffff8805,0xfffff55f,0xffffe805,0x7fc04fff,
    0x7ffdc6ff,0x1fffffff,0xffffffa8,0xffffffff,0xffff81ff,0xffffffff,
    0xffffb82f,0xfffff54f,0x7fffe405,0x05ffffff,0x2fffffa8,0x3ffff600,
    0x3ffffa66,0xfffff3ff,0x3ffffe69,0xffffffff,0x000fffff,0x7ffffc40,
    0xffd0002f,0x3fe00dff,0x36004fff,0xff96ffff,0xffffffff,0xffffffff,
    0xffffc8bf,0x7c40004f,0xffffffff,0xffffffff,0xfffb2fff,0x7ffc00df,
    0x3fffa4ff,0xffffffff,0x4c4fffff,0x7ffc47ff,0x7cc2ffff,0xffffa87f,
    0xffffffff,0xffffffff,0x7ffffcc1,0x0004ffff,0x0fffff10,0x87ffff88,
    0x805ffffe,0x54fffff9,0x805fffff,0xffffffff,0x3fffea06,0x7ffffdc3,
    0xa81fffff,0xffffffff,0xffffffff,0xffffff81,0x2fffffff,0x3fffffb8,
    0x05fffff5,0x7fffffe4,0xa805ffff,0x002fffff,0x5dbffff6,0x1effffff,
    0x4cfffffe,0xffffffff,0xffffffff,0x220000ff,0x05fffffe,0x3ffffa00,
    0xfffff006,0x7ffec009,0xfffffb6f,0x754437df,0x22ffffff,0x1ffffffb,
    0x7ffd4000,0xffffffff,0xffffffff,0x0dffffb1,0x27ffffc0,0xffda9880,
    0x261fffff,0xdfff87ff,0x0fff302b,0xfffffff5,0xffffffff,0x983fffff,
    0xffffffff,0x3e00004f,0x7cc07fff,0xffe86fff,0xffb805ff,0xfff52fff,
    0xffe805ff,0x205fffff,0x5c0ffffd,0xeeeeffff,0xfffa81ee,0xffffffff,
    0xe81fffff,0xefffffee,0xfc82eeee,0xff32ffff,0x7e405fff,0xccccefff,
    0xfffa802c,0x3f6002ff,0xfffdffff,0x3e20dfff,0xff32ffff,0xffffffff,
    0xffffffff,0x7fec0001,0x40006fff,0x006ffffe,0x009fffff,0xdb7fffec,
    0x802fffff,0x24fffffd,0xeffffff8,0x7fe40000,0xffffffff,0xffffffff,
    0x0dffffb0,0x27ffffc0,0xffff9800,0x1ffe63ff,0xf300bffe,0xffff50ff,
    0x5555559f,0xfffff955,0xfcfff983,0x0004ffff,0x07ffffe0,0x85ffffb8,
    0x405ffffe,0x1ffffff8,0x05fffff5,0xffffffc8,0xffff103f,0x7ffff70d,
    0x77775400,0xeffffffe,0x3201eeee,0x2007ffff,0x11fffffd,0x407fffff,
    0x004ffffc,0x3ffffea0,0x3fff2002,0xffffffff,0xfffff982,0x3ff66662,
    0x99999eff,0x20001999,0x0ffffffd,0x7fff4000,0xffff006f,0x7fec009f,
    0xffff96ff,0xfff3003f,0xfffc8bff,0x4c02efff,0x3fff6605,0xedffffff,
    0x3f67ffff,0x3e006fff,0x0004ffff,0x93ffffee,0xfff87ff9,0x43ffcc02,
    0x02fffffa,0x1fffffa8,0xfff867cc,0x200004ff,0x205ffffe,0xe83ffffe,
    0x2605ffff,0x25fffffe,0x02fffffa,0x7fffffc4,0x3fffee05,0x3ffffb83,
    0xffff8000,0xffc8006f,0x3fa007ff,0x3fe0ffff,0x3f203fff,0x20004fff,
    0x02fffffa,0x3fffff20,0x500effff,0x203fffff,0x006ffffc,0x3fff2000,
    0x80001fff,0x006ffffe,0x009fffff,0xbafffff4,0x002fffff,0x88dfffff,
    0xffffffff,0xffdccbde,0xccba8807,0x3fffa2bc,0x3ffff67f,0x3fffe006,
    0x3e20004f,0x3e66ffff,0x00ccc87f,0x7d43ffcc,0xa802ffff,0x441fffff,
    0x27ffffc0,0xfff50000,0xffd889ff,0xffe80fff,0xa9999eff,0xfffffffc,
    0x3ffffea0,0xfffd8802,0x7ffff404,0xffdaaaab,0xf80003ff,0x8006ffff,
    0x007ffffc,0xf1fffffe,0x6409ffff,0x0004ffff,0x0bffffea,0xfffffb80,
    0x7dc04fff,0xf900ffff,0x0000dfff,0x3fffff20,0xfd00001f,0x3e00dfff,
    0x2005ffff,0xf54fffff,0x2007ffff,0xb87ffffe,0xffffffff,0x7fffffff,
    0x3ffe0000,0x3fff66ff,0x3ffe006f,0x7c0004ff,0x3e67ffff,0x7cc0007f,
    0xffffa87f,0xfffa802f,0xfff801ff,0x400004ff,0xefffffff,0x4ffffffe,
    0xffffffd0,0xffffffff,0xffa87fff,0x04002fff,0x7ffffcc0,0xffffffff,
    0xf80003ff,0x8006ffff,0x007ffffc,0x8dfffff5,0x206ffffe,0x004ffffc,
    0x3ffffea0,0x3ffe6002,0xd802ffff,0x3207ffff,0x0006ffff,0xfffffc80,
    0x3a00001f,0xd006ffff,0x400dffff,0xf33fffff,0x2009ffff,0x706ffffe,
    0xffffffff,0x0fffffff,0x3ffe6000,0x3fff63ff,0x3ffe006f,0x220004ff,
    0x266fffff,0x1dfc87ff,0x543ffcc0,0x802fffff,0x01fffffa,0x04fffff8,
    0x7fff4000,0xffffffff,0xffd06fff,0xffffffff,0x09ffffff,0x05fffff5,
    0xfff90000,0xffffffff,0x0007ffff,0x0dfffff0,0xfffff900,0x3ffffa00,
    0x7fffec3f,0xffff900f,0x7fd40009,0x22002fff,0x00ffffff,0x5fffff88,
    0x1bffff20,0xfff90000,0x00003fff,0x06ffffe8,0x0fffff90,0x3ffffe60,
    0xffffff11,0x3ffffe00,0x3fffaa04,0xffffffff,0xfb00007f,0x7ec1ffff,
    0x3e006fff,0x0004ffff,0x93ffffe6,0x7fdc7ff9,0x3ffcc06f,0x17ffffd4,
    0x7ffffd40,0xfffff801,0x3f600004,0xffffffff,0x4fffffff,0xffffffe8,
    0xffffffff,0xffff501e,0xf000005f,0xffffffff,0x7fffffff,0xffff0000,
    0xff9000df,0xff700fff,0xff70dfff,0x3f207fff,0x20004fff,0x03fffffa,
    0x7ffffec0,0xffffb802,0x3fff202f,0x3200006f,0x01ffffff,0xfffe8000,
    0xfff7006f,0xff9007ff,0x7ff41fff,0x7dc02fff,0xa803ffff,0xfffffffd,
    0x80001cef,0x45fffffb,0x006ffffd,0x07fffff1,0x3fffa200,0x1ffe62ff,
    0x401ffffb,0xffa87ff9,0xfa802fff,0xf801ffff,0x0004ffff,0xffffff70,
    0xffffffff,0xfe85ffff,0xffffffff,0x5402dfff,0x002fffff,0x7fffd400,
    0xffffffff,0x0003ffff,0x06fffff8,0x7ffffc80,0x7ffffe40,0xffff882f,
    0xfffc80ff,0x3e60004f,0x4006ffff,0x06fffff9,0x37ffff44,0x1bffff20,
    0x7ffe4000,0x00000eff,0x0dffffd0,0x3ffffea0,0x3ffea01f,0x7ffd45ff,
    0xff301fff,0x4003ffff,0x01bfffff,0x7ffdc000,0x7fec1fff,0xfc80c6ff,
    0x8002ffff,0xffffffd9,0xf71ffe60,0xff980dff,0xfffffa87,0xffffa802,
    0xffff801f,0xf980004f,0xcbaeffff,0xfff9accd,0x3ffa0fff,0x1aaaaeff,
    0x7fffd400,0x6c00002f,0x2e01ffff,0x0003ffff,0x06fffff8,0x7ffffc80,
    0xffffea88,0x3ff205ff,0xffc86fff,0x220004ff,0x00ffffff,0x7ffffec0,
    0xffffd104,0xfffc805f,0xfc80006f,0x99afffff,0x99999999,0x3ffa0009,
    0x3f6006ff,0x9acfffff,0xfffffca9,0xffffe80f,0xfca9abff,0x004fffff,
    0x01bfffe2,0x7fdcc400,0xd84fffff,0x77c6ffff,0xffffdabc,0x579d50ff,
    0xffb95535,0x985fffff,0x0deb87ff,0x543ffcc0,0x802fffff,0x01fffffa,
    0xeffffff8,0xeeeeeeee,0x3fa22eee,0xb801ffff,0x3a6fffff,0x0005ffff,
    0xefffffa8,0xeeeeeeee,0x3e206eee,0x7dc06fff,0xccccefff,0x3ffe003c,
    0xfc8006ff,0xfeeeffff,0xffffffff,0x3ffe601f,0xeabdffff,0xccceffff,
    0xff800ccc,0x441effff,0x7ffcc1b9,0xb98befff,0x86fffffe,0xffffeee9,
    0xeeeeeeff,0x20eeeeee,0xfffffffc,0xffffffff,0x3ee2ffff,0xffffffff,
    0xffffffff,0x7ffcc3ff,0xffffffff,0x03ffffff,0xfffffff5,0xffffffff,
    0xffa800df,0x3ae003ff,0xffffeeee,0x05ffffff,0xf8dffffb,0xffffffff,
    0x3ffea4ff,0xffffffff,0x983fffff,0x4c0007ff,0xfffa87ff,0xffa802ff,
    0xff801fff,0xffffffff,0xffffffff,0x3fffff62,0x3fffa004,0xffffd4ff,
    0xff50000b,0xffffffff,0xffffffff,0x1ffffe40,0x3ffffee0,0x006fffff,
    0x01bffffe,0x3fffff20,0xffffffff,0xd801efff,0xffffffff,0xffffffff,
    0x801fffff,0xfffffffc,0x82ffffff,0xfffffffd,0xffffffff,0xffff982f,
    0xffffffff,0xffffffff,0x3ffffe1f,0xffffffff,0x2fffffff,0x3fffffee,
    0xffffffff,0xc83fffff,0xffffffff,0x6fffffff,0x7ffffe40,0xffffffff,
    0x7dc001ff,0x32000fff,0xffffffff,0x0effffff,0x8dffffb0,0xffffffff,
    0x7ffd46ff,0xffffffff,0xf304ffff,0xffffffff,0xffffffff,0xf50fffff,
    0x5005ffff,0x003fffff,0xffffffff,0xffffffff,0x7fec45ff,0x7fc4006f,
    0xfffd0cff,0xf50000bf,0xffffffff,0xffffffff,0x7ffff40f,0x7fffdc00,
    0x06ffffff,0x1bffffe0,0x3ffff200,0xffffffff,0x64003fff,0xffffffff,
    0xffffffff,0xd001ffff,0xffffffff,0xb105ffff,0xffffffff,0x03dfffff,
    0x3fffffe6,0xffffffff,0x1fffffff,0x3ffffffe,0xffffffff,0x2e2fffff,
    0xffffffff,0xffffffff,0xff503fff,0xffffffff,0x26007fff,0xffffffff,
    0x000cffff,0x005fffd8,0x7fffffe4,0x3fffffff,0x37fffec0,0x3ffffffe,
    0x7fd40dff,0xffffffff,0x2601cfff,0xffffffff,0xffffffff,0xa87fffff,
    0x802fffff,0x01fffffa,0xfffffff8,0xffffffff,0xfe982fff,0x0dfb8001,
    0x02fffff4,0x7fffd400,0xffffffff,0x507fffff,0x700dffff,0xffffffff,
    0x7fc00dff,0xc8006fff,0xffffffff,0x01efffff,0xfffff700,0xffffffff,
    0x03ffffff,0x3ffffe60,0x2fffffff,0x3ffffee0,0x0dffffff,0x3ffffe60,
    0xffffffff,0xffffffff,0x3fffffe1,0xffffffff,0x22ffffff,0xfffffffb,
    0xffffffff,0x2203ffff,0xffffffec,0x44000dff,0xffffffed,0x3e0001df,
    0x64002fff,0xffffffff,0xd800cfff,0x7ec6ffff,0x03efffff,0xfffffff5,
    0x0019dfff,0xfffffff3,0xffffffff,0x0fffffff,0x05fffff5,0x3fffff50,
    0xffffff00,0xffffffff,0x0c05ffff,0x3fa03000,0x80005fff,0xfffffffa,
    0xffffffff,0xfffb07ff,0xfff7007f,0xdfffffff,0x7ffffc00,0xfffc8006,
    0xdeefffff,0xc980000a,0xfffffffe,0xffffffff,0x7fdc001f,0xffffffff,
    0x7ffecc02,0x803dffff,0xfffffff9,0xffffffff,0x21ffffff,0xffffffff,
    0xffffffff,0x3ee2ffff,0xffffffff,0xffffffff,0x2a6003ff,0x000009ab,
    0x00137531,0x0bddd100,0xfffff900,0x00037bdd,0x00d4cc00,0x35555330,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x00019aa9,0xaba99800,0xa880009a,0x000000ab,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff200,
    0xbcdeffff,0x3ffa000a,0x2a003fff,0x7c5fffff,0xffffffff,0x000abcde,
    0x13fffffa,0x7ffffc40,0x3fffe63f,0x3ff60005,0xffff90ff,0xffffffff,
    0xffffffff,0x2fffffc3,0x7ffffe40,0x3fffee0f,0x3ee0001f,0x5407ffff,
    0x22ffffff,0x1ffffffe,0x6ffff980,0xfffffffb,0xffffffff,0xfffd00ff,
    0x0ffffe09,0x3ffffffa,0x0accefff,0x7ffc4000,0x4007ffff,0xffffffff,
    0x00bcdeff,0xfffd8000,0xf101ffff,0xffffffff,0xffffffff,0x3fee3fff,
    0xd8005fff,0xfd1fffff,0x7c00dfff,0xff94ffff,0xffffffff,0xffffffff,
    0x3fffff65,0xffffffff,0x6401ffff,0xffffffff,0x0dffffff,0xfffff980,
    0xfffd000f,0xffff83ff,0xffffffff,0xa800dfff,0x00ffffff,0x6fffffc8,
    0x02ffffc4,0x4ffffb00,0xfffffffc,0xffffffff,0x3e1fffff,0x4c05ffff,
    0x42ffffff,0x01fffffb,0x3ffff200,0x3ff202ff,0x3fa2ffff,0x805fffff,
    0xfb6ffff9,0xffffffff,0xffffffff,0x09ffff00,0xd05ffff1,0xffffffff,
    0x19ffffff,0x3ffee000,0x001fffff,0x3ffffffe,0xffffffff,0xf300001c,
    0x3fffffff,0x3ffffe20,0xffffffff,0x1fffffff,0x3ffffff1,0x7fffcc00,
    0x3ffffa6f,0x3fffe006,0xfffff94f,0xffffffff,0x365fffff,0xffffffff,
    0xffffffff,0x7ffe401f,0xffffffff,0x803fffff,0x03fffffc,0x4fffffa8,
    0xfffffff8,0xffffffff,0xffe803ff,0x7c405fff,0x442fffff,0x0006ffff,
    0xfc9ffff6,0xffffffff,0xffffffff,0x3ffe1fff,0x7ff405ff,0xffb85fff,
    0x20001fff,0x4ffffffc,0x3fffffe0,0x3ffffa3f,0x7cc01fff,0xfffb6fff,
    0xffffffff,0x00ffffff,0xf307ffff,0xffd03fff,0xffffffff,0x09ffffff,
    0xfffffb00,0x7c009fff,0xffffffff,0xffffffff,0xffe80001,0x01ffffff,
    0xfffffff1,0xffffffff,0x5c3fffff,0x004fffff,0x87fffff6,0x006ffffe,
    0x653ffffe,0xffffffff,0xffffffff,0xffffb2ff,0xffffffff,0x803fffff,
    0xfffffffc,0xffffffff,0x3e200eff,0x400fffff,0x80fffffe,0xffffffff,
    0xffffffff,0x3ea00eff,0x201fffff,0x06fffffc,0x000dffff,0xf937fff4,
    0xffffffff,0xffffffff,0x7ffc3fff,0x3ff205ff,0xfb80ffff,0x0001ffff,
    0x3ffffff2,0xfffff307,0x7fff47ff,0x4c04ffff,0xffb6ffff,0xffffffff,
    0x0fffffff,0x82ffff88,0xe80ffffa,0xffffffff,0xffffffff,0x7ffc004f,
    0x06ffffff,0x3fffffe0,0xffffffff,0x0000ffff,0x3fffffee,0xff101fff,
    0xffffffff,0xffffffff,0x7ffc43ff,0xf9800fff,0x7f45ffff,0x3e006fff,
    0xff94ffff,0xffffffff,0xffffffff,0x3fffff65,0xffffffff,0x6401ffff,
    0xeeefffff,0xffffffff,0x7fdc05ff,0x3ee04fff,0xff03ffff,0xfdddffff,
    0xffffffff,0xfffd80bf,0xfff105ff,0x3fe03fff,0x3a0006ff,0x3ff26fff,
    0xffffffff,0xffffffff,0x3fffe1ff,0xffff305f,0x3fee03ff,0x20001fff,
    0xfffffffd,0xfffffc81,0x3fffa3ff,0x200fffff,0xfb6ffff9,0xddddffff,
    0xbddddddd,0x1ffff980,0xd07fffb8,0x999fffff,0xfffffffd,0x3ea005ff,
    0xffffffff,0xffff000f,0xffddddff,0x0bffffff,0x3fffe200,0x01ffffff,
    0xfffffff1,0xffffffff,0xb83fffff,0x804fffff,0x41fffffd,0x006ffffe,
    0x553ffffe,0xffcccccc,0xccccffff,0xffffb1cc,0xdddddddf,0x803ddddd,
    0x887ffffc,0xffffffc9,0x7fff401f,0xfffd01ff,0x7fffc0df,0xffc9884f,
    0x201fffff,0x1ffffff9,0x5fffffc8,0x01ffffe0,0x26fffe80,0xaaaaaaa9,
    0xfcaaaaaa,0x7fc7ffff,0xffd05fff,0x7dc09fff,0x0001ffff,0x3ffffff6,
    0xffffe84f,0x3ffa4fff,0x04ffffff,0x6dbfffe6,0x0007ffff,0x07fffd40,
    0xe83fffdc,0x9105ffff,0x1fffffff,0xfffff900,0x007fffff,0x413ffffe,
    0x7fffffea,0xffffb000,0x03fffffd,0x4ccccccc,0xffa99999,0xf884ffff,
    0x200fffff,0x85fffff9,0x006ffffe,0x013ffffe,0x017ffffe,0x01fffff6,
    0x3fff2000,0x7ffd407f,0x7d406fff,0xfb85ffff,0x3e01ffff,0x5404ffff,
    0x06ffffff,0x2fffffe4,0x3fffffe2,0x1ffffa00,0x5fffe800,0xfffd8000,
    0x7fffc3ff,0xffffc85f,0x7ffdc06f,0x3a0001ff,0x6fffefff,0x7fffffcc,
    0x3fffa4ff,0x00ffffff,0x36dffff3,0x0007ffff,0x83fffd40,0xfd06fffc,
    0xf980bfff,0x801fffff,0xffbfffff,0xff005fff,0x7c409fff,0x001fffff,
    0x57ffffd4,0x001fffff,0x3ffff600,0xfff700ef,0x7fec09ff,0xffe81fff,
    0x3fe006ff,0xff804fff,0xfd805fff,0x00007fff,0x07ffffc8,0xffffff98,
    0x7fffec02,0x3fffe21f,0x7fffc05f,0xfff9804f,0x3e202fff,0x361fffff,
    0x404fffff,0x0007fffe,0x0017fffe,0xffffff10,0x5fffff81,0x7fffffcc,
    0x7fffdc01,0x3fa0001f,0x0ffffcff,0x3fb7ffee,0x3fffa5ff,0x03ffffff,
    0x36dffff3,0x0007ffff,0x7ff77764,0xfeeeeeff,0x5eeeffff,0x00bffffd,
    0x07fffff9,0x8fffff98,0x00fffffd,0x04fffff8,0x1fffffe4,0x3ffffa00,
    0x1fffff8c,0xfff70000,0x7c403fff,0x980fffff,0xd05fffff,0x400dffff,
    0x804fffff,0x805fffff,0x007ffffd,0xffffc800,0xffffb007,0xfff980df,
    0x3ffee5ff,0x7ffc00ff,0xffb004ff,0xfb80dfff,0xff15ffff,0xd801ffff,
    0x20007fff,0x0004ffff,0x1fffffe4,0x22fffffc,0x03fffffe,0x1fffffb8,
    0x3fffa000,0x3a3fffeb,0xfffeafff,0x3bffffa5,0xf306ffff,0x3ff6dfff,
    0x740007ff,0xffffffff,0xffffffff,0xfd6fffff,0xf300bfff,0xb80bffff,
    0xff76ffff,0xff005fff,0xfa809fff,0x2003ffff,0x88effffc,0x001fffff,
    0xfffff880,0xfffb804f,0xfffd83ff,0xfffd01ff,0x7ffc00df,0xfff804ff,
    0xffd805ff,0x800007ff,0x007ffffc,0x0ffffff3,0x3fffff90,0x07fffff1,
    0x09fffff0,0x3ffffe60,0x7fffc407,0xffffd9ff,0xfffd803f,0x20bddb07,
    0x0004ffff,0x3fffffe2,0x5fffff80,0x17ffffee,0x7ffffdc0,0x3ffe0001,
    0x15fffcaf,0xffd1ffff,0x7ffff4bf,0x82fffffb,0xfb6ffff9,0x8000ffff,
    0xfffffffe,0xffffffff,0xd6ffffff,0x100bffff,0x80dfffff,0xf34ffffe,
    0xf009ffff,0xb809ffff,0x002fffff,0x25fffff3,0x01fffff8,0xffffd800,
    0xfff1006f,0xfff98fff,0x3ffa05ff,0x3fe006ff,0xff804fff,0xfd805fff,
    0x00007fff,0x07ffffc8,0x3fffffa0,0x7fffc400,0x6ffffcdf,0x9fffff00,
    0x7ffff400,0x7ffdc00f,0xfffffeff,0xffffb007,0x1ffff881,0x003ffff8,
    0x3fffff20,0xbfffff04,0x3fffffe6,0xffff7000,0x7fc0003f,0x7fffaaff,
    0x3fabfff5,0x3fffa6ff,0x6ffffd9f,0xb6ffff98,0x000fffff,0xffffffe8,
    0xffffffff,0x6fffffff,0x00bffffd,0x0bfffff1,0x0fffffc4,0x00fffffd,
    0x809fffff,0x01fffffd,0x4bffffb0,0x01fffff8,0x7fffdc00,0x3ee001ff,
    0x3f23ffff,0x3a01ffff,0x2006ffff,0x804fffff,0x805fffff,0x007ffffd,
    0xffffc800,0x3fff6007,0xffb801ff,0xffffffff,0xfffff002,0x7ffec009,
    0xffe801ff,0xffffffff,0xffff9002,0x4ffffb81,0x01ffffc4,0xfffff880,
    0xfffff00f,0x3fffffab,0x3ffee002,0x3e0001ff,0xffff2fff,0x365fffb3,
    0x3ffa6fff,0xffffa9ff,0x7fffcc1f,0x0fffffb6,0xfaaaa800,0xaaaadfff,
    0xaacffffb,0xbffffd2a,0xfffff300,0x7fffd409,0x7ffffe47,0x7ffffc01,
    0x3fffea04,0xfff5006f,0x7ffc41ff,0x220001ff,0x04ffffff,0x7ffffc40,
    0xbfffff16,0x6ffffe80,0x3ffffe00,0xfffff804,0xffffd805,0x3ba00007,
    0xeefffffe,0xffc82eee,0xfd002fff,0xbfffffff,0x7ffffc00,0x3fff2004,
    0xffa802ff,0x6fffffff,0x3ffff200,0x37fffec0,0x00ffffe2,0x7ffffe40,
    0x3ffffe04,0x4fffffbd,0x7fffdc00,0xff10001f,0x3fff65ff,0xfb0ffffc,
    0x7fff4fff,0xbffffd1f,0xb6ffff98,0x000fffff,0x83ffff80,0xd01ffff9,
    0x900bffff,0x405fffff,0x545ffffd,0x403fffff,0x984fffff,0x2ffffffc,
    0xfffff880,0x7ffffc43,0x3ff60001,0x70006fff,0xf75fffff,0xe803ffff,
    0xffffffff,0xffffffff,0xf804ffff,0xd805ffff,0xeeefffff,0xeeeeeeee,
    0x3ffffe04,0xffffffff,0xfffffc82,0xffff5003,0x4003ffff,0x004fffff,
    0x0ffffff2,0x7ffffec0,0x2e002fff,0x7fc1ffff,0x3e20ffff,0x88002fff,
    0x00ffffff,0x3fbffffe,0x8006ffff,0x01fffffb,0x5ffff100,0x3fffffee,
    0x9ffff65f,0xf51ffffe,0x7cc3ffff,0xfffb6fff,0xffffffff,0x403fffff,
    0xa82ffff8,0xfd00ffff,0xf980bfff,0x201fffff,0x443fffff,0x406fffff,
    0xeeffffff,0xfffffffe,0xfff9004f,0xffff10df,0x3ee0003f,0x001fffff,
    0xbfffff10,0x00bffffd,0xfffffffd,0xffffffff,0x009fffff,0x00bfffff,
    0xfffffffb,0xffffffff,0x7fffc0bf,0xffffffff,0xffffb82f,0x3ff6004f,
    0x4004ffff,0x004fffff,0x13ffffee,0x7ffffd40,0x7dc006ff,0x3fea1fff,
    0x3e23ffff,0xc8002fff,0x404fffff,0xffffffff,0xb8003fff,0x001fffff,
    0x23ffff30,0xfffffff8,0xe9ffff63,0x3fe1ffff,0x3fe64fff,0xffffb6ff,
    0xffffffff,0x4c03ffff,0xfb81ffff,0x3ffa07ff,0x3faa05ff,0x2605ffff,
    0xe80fffff,0x200fffff,0xffffffff,0xffffffff,0xffff3002,0xffff103f,
    0xff10003f,0x0007ffff,0xffffffb8,0xe801ffff,0xffffffff,0xffffffff,
    0xf804ffff,0xd805ffff,0xffffffff,0xffffffff,0x3ffffe05,0xffffffff,
    0xfffffb82,0x3ffe2003,0x7c000fff,0x2004ffff,0x03fffffb,0xffffff90,
    0x7d4003ff,0x3ff21fff,0x3e66ffff,0x44001fff,0x01ffffff,0x7ffffffc,
    0x000fffff,0x0fffffdc,0xffff9800,0x3fffffa1,0x3ffff20f,0x43ffffd0,
    0x30fffffb,0x3f6dffff,0xffffffff,0x1fffffff,0x03fffea0,0xe81fffee,
    0xaaaeffff,0xfffffdca,0x3ff200ff,0xfff706ff,0x7ffc05ff,0xffffffff,
    0x74001dff,0xf104ffff,0x0003ffff,0x0dfffffb,0xffff1000,0x00bfffff,
    0x3ffffffa,0xffffffff,0x04ffffff,0x05fffff8,0xffffffd8,0xffffffff,
    0x3bba05ff,0xeeefffff,0xfffc82ee,0xaaa982ff,0xffffeaaa,0x0aaaaaae,
    0x09fffff0,0x7ffffe40,0xffff9802,0x005fffff,0xf87fffea,0x0fffffff,
    0x003ffff3,0x5fffffb8,0xdfffff80,0x05fffffd,0x7ffffdc0,0xfff30001,
    0x7fffe43f,0x7fffe46f,0x43ffffd0,0x34fffff8,0x3f6dffff,0xffffffff,
    0x1fffffff,0x41fffee0,0x3a06fffc,0xffffffff,0xffffffff,0x7fff402f,
    0xffff304f,0x7fffc0bf,0xffffffff,0x3ee002ef,0x3e206fff,0x4001ffff,
    0x1ffffffb,0xfff90000,0x001fffff,0x3ffffffa,0xffffffff,0x04ffffff,
    0x05fffff8,0xefffffd8,0xeeeeeeee,0xffc804ee,0x3f6007ff,0xfc81ffff,
    0xffffffff,0xffffffff,0xfffff02f,0x7ffec009,0xffd801ff,0xffffffff,
    0xffff3002,0x3f7ffe65,0xfff32fff,0xfff8001f,0xff801fff,0xfff8dfff,
    0x2e003fff,0x001fffff,0x43ffff50,0x43fffff9,0xfd0ffffc,0xffc83fff,
    0xfff98fff,0xfffffb6f,0xdddddddd,0x7dc03ddd,0xfffb07ff,0x7ffff40b,
    0xffffffff,0x4403ffff,0x202fffff,0x207fffff,0xecefffff,0x2fffffff,
    0xfffff880,0x3fffe201,0x3fe2001f,0x0003ffff,0x3ffffe20,0x3fa005ff,
    0x3e006fff,0xf804ffff,0xd805ffff,0x0007ffff,0x7ffffc80,0x3ffffa00,
    0xffffc80f,0xffffffff,0x02ffffff,0x009fffff,0x07fffff4,0x3ffffea0,
    0x06ffffff,0x25ffff30,0xffeafffc,0x1ffff55f,0x7fffdc00,0xffff005f,
    0x3fffeebf,0xff7000ff,0x20003fff,0x7c0ffffa,0x7e40ffff,0xfffd1fff,
    0xffff983f,0x6ffff9bf,0x00fffffb,0x7fffffc0,0xffffffff,0xffffffff,
    0x3fffffa4,0xffffffff,0xffb800cf,0x3f600fff,0xff01ffff,0x7e449fff,
    0x400fffff,0x405ffffd,0x01fffff8,0x3fffff60,0xfc800006,0x000fffff,
    0x01bffffa,0x04fffff8,0x05fffff8,0x07ffffd8,0xfffc8000,0x3ffe007f,
    0xfff907ff,0xffffffff,0x5fffffff,0x13ffffe0,0x7fffff80,0xfffffe80,
    0x3ffffffb,0x3ffff980,0xff71fffd,0x1fffeaff,0xffffff00,0x3fffe003,
    0x3ffffa5f,0xfff7006f,0x2e0003ff,0x7ec0ffff,0xfffb86ff,0x3ffffd1f,
    0x3dffffb0,0x3f6dffff,0x20007fff,0xffffffff,0xffffffff,0x24ffffff,
    0xfffffffe,0x01ceffff,0x3fffff60,0xeccccccc,0xf04fffff,0xfd09ffff,
    0x4409ffff,0xffffffff,0xffffffff,0x6fffffff,0xffffff70,0xf1000001,
    0x800bffff,0x006ffffe,0x013ffffe,0x017ffffe,0x01fffff6,0x3fff2000,
    0xfff5007f,0x26620dff,0xfffe9999,0x999999df,0x9fffff00,0x3fffea00,
    0x7ffdc06f,0xffff76ff,0xff8801ff,0x6fff9bff,0xf75ffff3,0x7dc00fff,
    0x2006ffff,0x265fffff,0x03ffffff,0x1fffffb8,0xffff7000,0x83fffa81,
    0xfd2ffffb,0xff503fff,0xffff7fff,0x1fffff6d,0xfffff800,0xffffffff,
    0xffffffff,0x3ffffa4f,0x0009aaae,0x3fffffe0,0xffffffff,0xf06fffff,
    0xf109ffff,0x201fffff,0xfffffff8,0xffffffff,0xffffffff,0xfffff886,
    0x2000003f,0x005fffff,0x037ffff4,0x09fffff0,0x0bfffff0,0x0fffffb0,
    0xfff90000,0x3ffa00ff,0xe8003fff,0x8005ffff,0x004fffff,0x07fffffd,
    0x7fffffc4,0x3fffffe2,0x7fffc404,0x3e3fffbb,0xfffbcfff,0x3fffa007,
    0x3fe002ff,0x7fe45fff,0x5c01ffff,0x001fffff,0x01ffff70,0x5ffff700,
    0x407ffffa,0xfffffffe,0xffffb6ff,0x7ffc000f,0xffffffff,0xffffffff,
    0x3ffa4fff,0x200005ff,0xfffffffa,0xffffffff,0xf80fffff,0xf904ffff,
    0x2209ffff,0xffffffff,0xffffffff,0x6fffffff,0x5fffffd8,0x7fc00000,
    0x74005fff,0x2006ffff,0x804fffff,0x805fffff,0x007ffffd,0xffffc800,
    0xffffb807,0xffd0006f,0xff000bff,0xf7009fff,0xc80dffff,0x5c6fffff,
    0x01ffffff,0x7ee7fffc,0x3fff20ff,0x006fffbe,0x0dfffff7,0x5fffff80,
    0x6fffffe8,0x7ffffdc0,0xfff90001,0x3fee000f,0xffffd2ff,0x3fffea03,
    0xfb6fffff,0x4000ffff,0xffff9999,0xffa9999b,0x20999aff,0x005ffffe,
    0x3ffff200,0xffffffff,0xffffffff,0x4fffff83,0xffffff30,0xfffff101,
    0xffffffff,0xffffffff,0xfffa8dff,0x00000fff,0x2fffffc0,0x3ffffa00,
    0x3fffe006,0xffff804f,0xfffd805f,0xc800007f,0x6407ffff,0x02ffffff,
    0x3333332a,0xccefffff,0xff01cccc,0xfc809fff,0x202fffff,0x2ffffff8,
    0x6fffffe8,0x7e7fffc0,0x7ffcc6ff,0x006fffdf,0x05fffffd,0x5fffff80,
    0xffffffa8,0x3fffee03,0xff90001f,0x3ea000ff,0xfffd3fff,0x7fffc03f,
    0xfb6fffff,0x0000ffff,0x20bfffe2,0x200ffffa,0x005ffffe,0x3ffffa00,
    0xffffffff,0xffffffff,0x4fffff85,0x3fffff60,0xeeeee884,0xeeeeeeee,
    0xeefffffe,0x3ffe25ee,0x00003fff,0x5fffff80,0x7ffff400,0x3fffe006,
    0xffff804f,0xfffd805f,0xc800007f,0xa887ffff,0x5ffffffe,0x7ffffe40,
    0xffffffff,0xf02fffff,0x5109ffff,0xbffffffd,0xfffffd80,0xfffff506,
    0x7fffc05f,0xff83ffff,0x05ffffff,0x6fffffa8,0xfffff800,0xfffffb05,
    0x3ffee03f,0xfb0001ff,0x2a000fff,0xffd3ffff,0x7fdc03ff,0xb6ffffff,
    0x000fffff,0x07fffe60,0xd01fffee,0x000bffff,0x3ffffe60,0x3fffe001,
    0xfffff87f,0x3fffea04,0x100000ff,0x403fffff,0x9efffffd,0x99999999,
    0x40009999,0x005fffff,0x037ffff4,0x09fffff0,0x0bfffff0,0x0fffffb0,
    0xfff90000,0xfffdddff,0x3fffffff,0xfffffc80,0xffffffff,0xf02fffff,
    0xdddfffff,0xffffffff,0x7fcc03ff,0x3a02ffff,0x00ffffff,0xfffffffd,
    0xfffffb03,0xffd00bff,0xf0005fff,0x220bffff,0x06ffffff,0xddfffff7,
    0xdddddddd,0x3fff6bdd,0xfff50007,0x3ffffa9f,0x3fffe201,0xffb6ffff,
    0x20000fff,0xc80ffffa,0x7f407fff,0x00005fff,0x00fffff7,0x2fffffd8,
    0x027ffffc,0x0ffffffa,0x7ffc4000,0xfff501ff,0xffffffff,0xffffffff,
    0xfff8007f,0x7f4005ff,0x3e006fff,0x9954ffff,0xffff9999,0x999999ff,
    0x3fffff63,0xeeeeeeee,0x6401eeee,0xffffffff,0xffffffff,0xfffc801e,
    0xffffffff,0x2fffffff,0xfffffff0,0xffffffff,0xfe803dff,0x5406ffff,
    0x04ffffff,0xdffffffd,0x3ffffea0,0x7fd405ff,0xf0006fff,0x5c0bffff,
    0x84ffffff,0xfffffffb,0xffffffff,0xffffb7ff,0x3ffea000,0x3ffffd4f,
    0xfffffc80,0xffffb6ff,0x3ee0000f,0xfff907ff,0xffffe80d,0xffb00005,
    0xfb800bff,0x7fc4ffff,0x7dc04fff,0x000fffff,0xfffff880,0xfffff901,
    0xffffffff,0x7fffffff,0xfffff800,0x7fff4005,0x3ffe006f,0xffff94ff,
    0xffffffff,0x25ffffff,0xfffffffd,0xffffffff,0x7fe401ff,0xffffffff,
    0x003fffff,0xbffffd00,0xfffff000,0xffffffff,0xf5007fff,0x003fffff,
    0x1ffffffd,0xffffffb0,0x7ffffc09,0x7ff404ff,0xf0003fff,0xe80bffff,
    0x41ffffff,0xfffffffb,0xffffffff,0xdfffd7ff,0x3ffe6000,0x3ffffd4f,
    0xfffff980,0xffffb6ff,0x3f20000f,0xfffb07ff,0xffffe80b,0xff880005,
    0x4c002fff,0x7c7fffff,0x4404ffff,0x03ffffff,0xffff8800,0xffff901f,
    0xffffffff,0xffffffff,0xffff8007,0x7ff4005f,0x3fe006ff,0xfff94fff,
    0xffffffff,0x5fffffff,0x3ffffff6,0xffffffff,0x7e401fff,0xffffffff,
    0x001effff,0x3ffffa00,0xffff8005,0xffffffff,0xfd001eff,0x200dffff,
    0x5ffffffa,0xffffffd8,0x3ffff601,0x3fea04ff,0x20007fff,0x405fffff,
    0x6ffffff9,0x7fffffdc,0xffffffff,0xfffd7fff,0x3fe6000d,0xffffd5ff,
    0xffffb003,0x3fff6dff,0xf900007f,0x3ffa0dff,0x7fff404f,0xfa80005f,
    0x8000ffff,0x21fffffe,0x804fffff,0x07fffffc,0xffff8800,0xffff901f,
    0xffffffff,0xffffffff,0xffff8007,0x7ff4005f,0x3fe006ff,0xfff94fff,
    0xffffffff,0x5fffffff,0x3ffffff6,0xffffffff,0x7e401fff,0xefffffff,
    0x00000ade,0x05ffffe8,0xffffff80,0x0adeefff,0x3fffee00,0x3fa001ff,
    0x642fffff,0x407fffff,0x3ffffffa,0x3fffffa0,0x3ffe0003,0xffc805ff,
    0x3ee4ffff,0xffffffff,0xffffffff,0x00dffff7,0x57fffe60,0x801ffffe,
    0x6ffffffa,0x00fffffb,0x17fff600,0x201ffffc,0x005ffffe,0x6ffffc80,
    0xffff9000,0x7ffffc7f,0xffff8804,0x440003ff,0x901fffff,0xffffffff,
    0xffffffff,0x8007ffff,0x005fffff,0x037ffff4,0x29fffff0,0xfffffffc,
    0xffffffff,0xfffb2fff,0xffffffff,0x03ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x03fffffe,0xfffff980,0xffffff15,0xffffffff,
    0xffffffff,0xfffffff8,0x2cdeffff,0x99988000,0x00880009,0x0c000000,
    0xbdecca80,0x66e5440a,0x6dc0000a,0xa980002d,0xabcdedcb,0x2aaaaa00,
    0xaaaaa801,0x32ea6001,0x3000aacc,0x99bdd995,0xb9800137,0x0009acec,
    0x66edd440,0x5cc0009a,0xbb51000b,0x2f6e6015,0x2aa62001,0x2a2009aa,
    0xaaaaaaaa,0xaaaaaaaa,0x0555550a,0x0379db93,0x1555554c,0x55555300,
    0x0d555543,0x55553000,0x2aaaaa23,0xaaa98002,0x3fee00aa,0xc8006fff,
    0xf12fffff,0xffffffff,0xffffffff,0xff8fffff,0xffffffff,0x0bffffff,
    0xffff9000,0x1fe88007,0x50000000,0x3ff220bf,0x1fffffff,0xfffffff5,
    0x3ffa0003,0xc98004ff,0xfffffffe,0xe81dffff,0xf805ffff,0x5404ffff,
    0xfffffffe,0x3aa06fff,0xffffffff,0xd8804fff,0xffffffff,0xffa8003f,
    0xffffffff,0xffffb004,0xffffc809,0x3ffa24ff,0x2e00efff,0xfffffffe,
    0xfff980df,0xffffffff,0x1fffffff,0x744ffffd,0x4fffffff,0xffffff30,
    0xffff1009,0x7ffec1ff,0x3ee0004f,0xfff13fff,0xe8001fff,0x200fffff,
    0x0ffffff9,0x7ffff400,0xfffff10f,0xffffffff,0xffffffff,0xffffff8f,
    0xffffffff,0x8000efff,0x003ffffc,0x00ffffa2,0xff900000,0xffff10bf,
    0xbfffffff,0xffffffff,0xffb8003f,0x4000ffff,0xfffffffc,0xffffffff,
    0x2fffff43,0x27ffffc0,0xfffffc88,0x7fffffff,0xfffffe88,0xffffffff,
    0x7fff4c04,0xffffffff,0xffd8800e,0xffffffff,0x3f201eff,0x702fffff,
    0xffffffff,0x3fffff65,0xffb00eff,0xffffffff,0xffff983f,0xffffffff,
    0xd1ffffff,0xff51ffff,0xffffffff,0x3fffee0d,0x7fec01ff,0x7fe43fff,
    0x320005ff,0x3f62ffff,0x2002ffff,0x04fffff9,0x2ffffff8,0x3fffe200,
    0x3fffe25f,0xffffffff,0xffffffff,0x7ffffc7f,0xffffffff,0x005fffff,
    0x03ffffc8,0xfffffd10,0x20000009,0x45fffffd,0xfffffff8,0xffffffff,
    0x06ffffff,0x7ffffe40,0x7fe4002f,0xffffffff,0x21ffffff,0x805ffffe,
    0xa84fffff,0xffffffff,0x47ffffff,0xffffffe8,0xffffffff,0x3fffea04,
    0xffffffff,0x3a600fff,0xffffffff,0x2fffffff,0xfffffff0,0xfffff50d,
    0xff9fffff,0xbfffffff,0x3bffff60,0x46ffffff,0xfffffff9,0xffffffff,
    0xfffd1fff,0xffffff5f,0x07ffffff,0x1bfffff6,0x5fffffb8,0x06ffffa8,
    0x3ffff600,0x3ffffea1,0x3fff2006,0xffc801ff,0x2e004fff,0x223fffff,
    0xeeeeeeee,0xeeffffff,0x7c6eeeee,0xaaadffff,0xfffffecc,0x7e4002ff,
    0xd1003fff,0x0bffffff,0x7f440000,0x20efffff,0xb9abeff8,0xeffffffe,
    0x1ffffeaa,0x3fffee00,0x7e4001ff,0xcabcdeff,0x6ffffffd,0x017ffffa,
    0x113ffffe,0xffffffff,0xffffffff,0xffffffd8,0xfdcbaabd,0xffff104f,
    0xff9579ff,0x740bffff,0xffffffff,0xffffffff,0x7fffc40f,0xffe87fff,
    0xfffea9ef,0xfd9affff,0xacd80fff,0x7fffec40,0x3ffffe61,0xffffffff,
    0xfd0fffff,0xffffffff,0xffffffff,0x3fffe20f,0xfff884ff,0xff980fff,
    0x3a0007ff,0x7fc0ffff,0xf000ffff,0x200dffff,0x07fffffa,0x3fffff60,
    0x7fffc000,0x7ffc006f,0x3fea04ff,0x4003ffff,0x003ffffc,0x3fffff62,
    0x400000ef,0xfffffff9,0xf101d884,0x441fffff,0x2004ffff,0x05fffff8,
    0x400bdc80,0x0ffffff9,0x00bffffd,0xd89fffff,0xbeffffff,0x7fdba99a,
    0x17fffffc,0xffd80cc0,0xfd881eff,0xfa81ffff,0x8acfffff,0xfffffca8,
    0xfffff84f,0x7ffcc6ff,0x3fffe61f,0x7fffc2ff,0xfff88003,0x2aaaa22f,
    0xfcaaaaaa,0x3a4fffff,0xffffffff,0xffffb89d,0xfff501ff,0xffd83fff,
    0xff102fff,0x20001fff,0xfc87ffff,0xa803ffff,0x003fffff,0x07fffffe,
    0x37ffffc0,0x7ffffc00,0x7fffc006,0x7ffd404f,0x7e4005ff,0xc8003fff,
    0x1fffffff,0xfff50000,0x0007ffff,0x42ffffe4,0x4006fffc,0x0004efd8,
    0xffff5000,0x3ffffa5f,0xfffff805,0x3ffffea4,0x2628804f,0x005fffff,
    0x7ffffcc0,0x3fffe201,0x7fffc46f,0x3fee03ff,0x7ec0ffff,0x5c3fffff,
    0xffe85fff,0xfffc87ff,0xffff0005,0xffd10007,0xffe8bfff,0xb81fffff,
    0x203fffff,0x0efffffc,0x09fffff7,0x01fffff8,0x0dffff00,0x0dfffff1,
    0x1fffffb0,0x7fffec00,0xfff9803f,0xff8004ff,0x7c006fff,0x4404ffff,
    0x006fffff,0x01ffffe4,0xfffffb80,0x5c0002ff,0x1fffffff,0x7ffd4000,
    0x7fffa84f,0x00000000,0xfffff100,0x17ffffa7,0x93ffffe0,0x04ffffff,
    0xfffff500,0xffd8000d,0xffb805ff,0x7ffdc7ff,0xffd804ff,0x7f443fff,
    0xffe85fff,0xffffd84f,0x06fffb85,0x3ffbb2e2,0x8003ffff,0x0ffffffd,
    0x7ffffff4,0xfffff302,0xffffe809,0xfffff8cf,0x7fff400e,0x77774c2f,
    0x2ffffc41,0x1fffffd8,0x3ffffe20,0x7ffd4005,0xffc805ff,0xf8001fff,
    0x4006ffff,0x804fffff,0x005fffff,0x01ffffe4,0xfffff300,0x320007ff,
    0x0effffff,0xfffa8000,0xffff982f,0x00000000,0xfffff000,0x17ffffa9,
    0x53ffffe0,0x0ffffff9,0xffff3000,0x20003bff,0x802fffff,0x20fffffa,
    0x01fffffd,0x4fffff98,0x3e059950,0xffb82fff,0xfffa83ff,0xffffd887,
    0x3fffffff,0x7fffdc00,0xfffe81ff,0x7ffc03ff,0x7fcc05ff,0xfffeffff,
    0xffd801ff,0x7ffe43ff,0x7fffcc4f,0xfffff503,0x7fffdc09,0x7fc4002f,
    0xfe807fff,0xf0007fff,0x800dffff,0x404fffff,0x43fffff9,0xfffffffc,
    0xffffffff,0x403fffff,0xffffffe8,0x3ff62005,0x000dffff,0x1ffff500,
    0x01ffff30,0x00000000,0xfff33331,0x3fffa9ff,0xffff805f,0xfffff54f,
    0xfff80007,0x0adfffff,0xfffff100,0x33333335,0x5fffff53,0x037ffff4,
    0x0bfffff0,0x0ffffc00,0x41ffffdc,0x220ffff9,0xeefffffe,0x003ffffe,
    0x3fffffe6,0xdffffd03,0xbffffd00,0xfffff700,0x009fffff,0xd13ffff2,
    0xfa8fffff,0x3fe02fff,0x3fa07fff,0xd0006fff,0x405fffff,0x04fffff8,
    0xdfffff00,0xfffff800,0x7fffec04,0x7fffe40f,0xffffffff,0xffffffff,
    0xfffd8803,0x4c00efff,0x4ffffffe,0xdb971000,0xffffffff,0xffffffff,
    0x3bbbba23,0xeeeeeeee,0xeeeeeeee,0x7f75c406,0xffffffff,0xffffd4ff,
    0xfffff00b,0x3fffff29,0x7fdc0002,0xffffffff,0x3fe600ad,0xffffffff,
    0xffffffff,0x3fffe3ff,0x3ffa004f,0xf10007ff,0xff503fff,0xffffffff,
    0x7e41ffff,0x7fc0cfff,0xff1003ff,0x740bffff,0xe805ffff,0xb005ffff,
    0xffffffff,0x7ffd400d,0x3fffe65f,0x3ffee1ff,0x3fff201f,0xfff882ff,
    0xf70003ff,0x5409ffff,0x002fffff,0x0dfffff0,0x4fffff80,0xfffff910,
    0xfffff909,0xffffffff,0x7fffffff,0x7fffe400,0xff301eff,0x005fffff,
    0x3ffffee0,0xffffffff,0xffffffff,0xffffff31,0xffffffff,0xffffffff,
    0x3ffff260,0xffffffff,0xfffd4fff,0xffff00bf,0x3ffff69f,0xfd80000f,
    0xffffffff,0xfb80cfff,0xffffffff,0xffffffff,0xfff13fff,0x7ec009ff,
    0x8000ffff,0xa81ffff9,0xffffffff,0x20ffffff,0xff06fffe,0x3fa007ff,
    0x200effff,0x805ffffe,0x005ffffe,0xfffffff1,0x7fcc003f,0x3fff26ff,
    0x3ff24fff,0x3fe200ff,0xffb85fff,0x30000fff,0x40dfffff,0x00fffffd,
    0xdfffff00,0xfffff800,0xffecccce,0xf905ffff,0xffffffff,0xffffffff,
    0xb8007fff,0x2fffffff,0x7fffffdc,0xffd0001f,0xffffffff,0xffffffff,
    0x3e63ffff,0xffffffff,0xffffffff,0xf987ffff,0xffffffff,0xffffffff,
    0x0bffffd4,0x29fffff0,0x00fffffe,0xffff7000,0xffffffff,0xffffc85f,
    0xffffffff,0xffffffff,0x7fffff32,0x7fffe400,0xff98000f,0xfffa80ff,
    0xffffffff,0x3ffa0fff,0xffffb87f,0xffffc803,0x7ff401ff,0xffe805ff,
    0x3f6005ff,0x006fffff,0xd3ffffc4,0x4fffffff,0xd807fffc,0x740fffff,
    0x0005ffff,0x07fffff4,0x05fffff8,0x3ffffe00,0x7fffc006,0xffffffff,
    0x2603ffff,0xdaaaaaaa,0xaaadffff,0x8000aaaa,0xfffffffb,0xffffff51,
    0x3ee0005f,0xdccdffff,0xccccffff,0x30cccccc,0xffffffff,0xffffffff,
    0x88ffffff,0xffffffff,0xfffcccde,0xffffd4ff,0xfffff00b,0x3fffffa9,
    0x2e200001,0xfffffffe,0x3ee1ffff,0xeeeeffff,0xeeeeeeee,0xfff31eee,
    0x7ec009ff,0x30007fff,0xf503ffff,0x9999bfff,0x6c199999,0xebbdffff,
    0x403fffff,0x2ffffffa,0x5ffffe80,0x5ffffe80,0xfffff500,0xf8009fff,
    0xff98ffff,0xb2ffffff,0xf500dfff,0x7cc7ffff,0x0002ffff,0x1fffffe4,
    0x1fffffcc,0xfffff000,0xffff800d,0xffffffff,0x001cffff,0x07ffff90,
    0xfffa8000,0x7dc2ffff,0x02ffffff,0x7ffffc40,0x07fffd41,0x3bbba200,
    0xeeeeeeee,0xeeeeeeee,0x7ffff46e,0x3ffe01ef,0xffffd4ff,0xfffff00b,
    0x3fffff29,0x71000002,0xfffffffb,0x7fffd4df,0xff00000f,0x7400bfff,
    0x0006ffff,0x503ffff3,0x0007ffff,0xfffffff5,0x07ffffff,0x7fffffc4,
    0xffffd004,0xffffd00b,0xffff300b,0x05ffffff,0x4fffff40,0xfffdfffb,
    0x0bffff5f,0x9bffffe0,0x007ffffc,0xfffff980,0xfffffc85,0x3ffe0000,
    0x7fc006ff,0xffffffff,0xffffffff,0xfffc8003,0x2e00003f,0x1effffff,
    0xffffff50,0x7fcc007f,0xfffa84ff,0x0000000f,0xffff8800,0x7ffc00ef,
    0xffffd4ff,0xffff880b,0xfffff74f,0x10000009,0xfffffff9,0x3ffffe61,
    0xffd00002,0x3e200dff,0x0005ffff,0x703ffff1,0x0009ffff,0x3ffffff2,
    0x03fffabf,0xdfffffd1,0x7ffff400,0xffffe805,0xffffe805,0x0fffffff,
    0x5ffffb00,0xffb7fffd,0x9ffff1ff,0x3ffff200,0x9fffff0f,0x3ffe0000,
    0xfffe87ff,0x7fc0006f,0x7c006fff,0xeeeeffff,0xffffffee,0x7e4004ff,
    0x00003fff,0xdffffffb,0xfffe9801,0xf5004fff,0xff505fff,0x000005ff,
    0xfff30000,0xfff007ff,0x3fffa9ff,0x7fff406f,0xffff54ff,0x000003ff,
    0x3ffffe60,0xfffff12f,0x3f600009,0xb801ffff,0x503fffff,0x3ffe0599,
    0xffffc82f,0x3b260005,0x99910bce,0x3ffff603,0x3fa000ff,0xfe805fff,
    0x7e405fff,0xffecffff,0xf9005fff,0xffff9fff,0xf7ffff51,0x26007fff,
    0xfabfffff,0x0001ffff,0x3fffffb0,0x1fffffc4,0x3fffe000,0x7ffc006f,
    0x3faa04ff,0x001fffff,0x00fffff2,0xffffd100,0x74400bff,0x0dffffff,
    0x0ffffdc0,0x02ffffdc,0x40000000,0x03fffffb,0xa7ffffec,0x00fffffd,
    0x9ffffffb,0x3fffffe2,0x0000000e,0x45fffffb,0x01ffffff,0xffffc800,
    0x7ff4405f,0x7f441fff,0xfff85fff,0xffffe84f,0x00000007,0x7fffffdc,
    0x7fff4001,0xfffe805f,0x3ffea05f,0xffff36ff,0xff7007ff,0x2dffffff,
    0xfffffff8,0x3fa001ff,0xfffdefff,0x2a00006f,0x2a4fffff,0x001fffff,
    0x37ffffc0,0x3ffffe00,0x7fff4404,0x3f2004ff,0x20003fff,0xfffffff9,
    0xfffb0003,0x5c03dfff,0x7cc3ffff,0x000fffff,0x277ec400,0x3fffea00,
    0xfffd106f,0x3ff29fff,0x7e443fff,0x24ffffff,0xeffffffc,0x0112cc02,
    0x7ffffc40,0x3fffee0f,0x440000ef,0x05ffffff,0x9fffffd1,0xffffffb0,
    0x85fffd87,0x02ffffff,0xf3000000,0x007fffff,0x0bffffd0,0x0bffffd0,
    0x3fffffe2,0x3ffffee1,0x7ffcc01f,0x363fffff,0xffffffff,0x3ffea000,
    0x2fffffff,0x3fe20000,0x3ff26fff,0xf80007ff,0x4006ffff,0x804fffff,
    0x06fffff9,0x0fffff20,0x7fffd400,0x40002fff,0xfffffffb,0xdffff502,
    0x7fffff44,0x02b880ef,0x3ffffe20,0x3ffe2005,0xd711cfff,0x9fffffff,
    0x3fffffee,0xfffffcad,0x3e24ffff,0xefffffff,0x7ffdccbd,0x20273bea,
    0xfffffd98,0xfffffe86,0x5ccc09cf,0xfffc81ed,0xcbacefff,0x0ffffffe,
    0xfffffff8,0x0ffffdc6,0xfffffff7,0x99902603,0x99999999,0x3e279999,
    0xffffffff,0xffffffff,0xbffffd2f,0xbffffd00,0x3fffffa0,0xfffffe84,
    0x7fffc406,0x3ea1ffff,0x07ffffff,0xffffff80,0x00007fff,0x0fffffd8,
    0x009fffff,0xdfffff00,0xfffff800,0xffff8804,0x3ff2007f,0xfc8003ff,
    0x01ffffff,0xffff5000,0xff307fff,0xfffbffff,0xdfffffff,0x005ffdb9,
    0x7fffffdc,0x3fffa001,0xffffffff,0x4fffffff,0x3ffffffe,0xfeffffff,
    0x7fd44fff,0xffffffff,0x2a7fffff,0xeeffffff,0xfffffffe,0xffff983f,
    0xffffffff,0x881fffff,0xffffffff,0xffffffff,0xffff883f,0x7fc47fff,
    0xfffccfff,0xbdffffff,0x7fc2fecc,0xffffffff,0xf96fffff,0xffffffff,
    0xffffffff,0x3ffffa5f,0xffffe805,0xfffffc85,0xfffff306,0xffff809f,
    0x7fc46fff,0x006fffff,0xffffffc8,0x800004ff,0x9afffffb,0x002fffff,
    0x6fffff80,0x7ffffc00,0xffff8804,0x2aa6007f,0x362000aa,0x0effffff,
    0x7fcc0000,0xd84fffff,0xffffffff,0xfffffacf,0x02ffffff,0x3fffff20,
    0x3fe6002f,0xffffffff,0xffffbeff,0x3ffffee4,0xadffffff,0xfb84ffff,
    0xffffffff,0x2a7fffff,0xffffffff,0xffffffff,0x3ffff204,0xffffffff,
    0xf501ffff,0xffffffff,0x09ffffff,0x7ffffffc,0xfffffd86,0xffccffff,
    0xffffffff,0x7fffffc2,0xffffffff,0xfffff96f,0xffffffff,0x3a5fffff,
    0xe805ffff,0x7d45ffff,0x201fffff,0x2ffffffb,0x3fffffa0,0xffffd84f,
    0xf98005ff,0x1fffffff,0xff880000,0xfffbdfff,0xff00007f,0xf800dfff,
    0xa804ffff,0x005fffff,0xffd10000,0x001bffff,0x3ffa2000,0x260dffff,
    0xffffffff,0x3fffff24,0x002fffff,0x3fffffee,0x7ffe4000,0xdfffffff,
    0x44ffff98,0xfffffffd,0xffff35ff,0x3fff6609,0xffffffff,0x3fffea7f,
    0xffffffff,0xe9803fff,0xffffffff,0x01ffffff,0x3fffff62,0x1effffff,
    0x7ffffe40,0xfffe882f,0xe88effff,0xffffffff,0x7ffffc2f,0xffffffff,
    0xffff96ff,0xffffffff,0x25ffffff,0x805ffffe,0x225ffffe,0x04ffffff,
    0xffffffe8,0xfffffb00,0xffff503f,0x3a0009ff,0x06ffffff,0x3ffa0000,
    0xffffdfff,0xfff00005,0xff800dff,0x74404fff,0x004fffff,0xffd10000,
    0x00009fff,0x3ffff600,0xfffe885f,0xfffb84ff,0x01dfffff,0x27ffff40,
    0xfffe9800,0x3e62efff,0xffb84fff,0x262effff,0x5404ffff,0xffffffed,
    0x3f661bef,0xffffffff,0x4000beff,0xffffffeb,0x00bdffff,0xfffffea8,
    0xb000ceff,0x4409ffff,0x0dfffffd,0x3fffff62,0x4ccc0dff,0x99999999,
    0xff909999,0xffffffff,0xffffffff,0x17ffffa5,0x97ffffa0,0x06fffffe,
    0xffffff10,0x3ffff20b,0xffff106f,0x2e0007ff,0x03ffffff,0x3ff20000,
    0xffffffff,0xfff00002,0xff800dff,0x3a604fff,0x42ffffff,0xaaaaaaaa,
    0xaaaaaaaa,0x7f442aaa,0x000003ff,0x02fffe40,0x2a006ea6,0x0001aaba,
    0x000b7b22,0x02aaea20,0x2aea6000,0x53000001,0x31001335,0x33577555,
    0x2ea60000,0x00009aab,0x000d5d4c,0x20015730,0x2200ab98,0x0001aaba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,0xffffffff,
    0xfff00000,0xff800dff,0xccccefff,0xffffffed,0xfffff85f,0xffffffff,
    0x85ffffff,0x00001fe8,0x00bf5000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe00000,0x6fffffff,0x3ffe0000,0x7fc006ff,
    0xffffffff,0xffffffff,0xfffff80e,0xffffffff,0x05ffffff,0x00000011,
    0x00000180,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffff200,0x0003ffff,0x1bffffe0,0xffffff00,0xffffffff,0x3e03ffff,
    0xffffffff,0xffffffff,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff50000,0x003fffff,0x7ffffc00,
    0x7fffc006,0xffffffff,0x7c02efff,0xffffffff,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff10000,0x000dffff,0x6fffff80,0x7ffffc00,0xcdefffff,0x0000001b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x4c0aaaaa,
    0x301bcedc,0x6e543555,0x2cdc980a,0x55555550,0x00155555,0x00555553,
    0x05555555,0x0026aa60,0x33332a00,0x2e600002,0x001bceec,0x0aaaa880,
    0x4001c400,0x0000000a,0x98019500,0x76dd4402,0x22000bce,0x200ccccb,
    0xdeeeedb9,0x3750001c,0x776e5400,0x640002cd,0x3001ffff,0x33333333,
    0x33333333,0x2aaaa133,0x2aaa20aa,0xdddd71aa,0xdddddddd,0x9ddddddd,
    0x0b3b72a0,0x50000000,0x01555555,0x54c01553,0x002aaaaa,0xfd002662,
    0x3fa23fff,0x84ffffff,0xff93fffc,0x7fe45fff,0xffe84fff,0xffffffff,
    0xfffc803f,0x7ffdc07f,0x3a602fff,0x2fffffff,0x3fff2000,0xfa80003f,
    0xffffffff,0x3ea0001e,0x22001fff,0x3ea003fe,0x2015c00f,0xf88003d9,
    0xfe880cff,0x7ffe442e,0x04ffffff,0x7ffffe44,0xffff101f,0x3dffffff,
    0x3fffa200,0x3ffa601e,0x1effffff,0xffff9800,0xffff006f,0xffffffff,
    0xbfffffff,0x83fffff6,0x94fffffa,0xffffffff,0xffffffff,0xfe88bfff,
    0x01efffff,0x0004cccc,0x7ffffec0,0x7ffec43f,0x3fff203f,0xfb804fff,
    0x3fa03fff,0xfff99fff,0x6fffffff,0x7ddfffe4,0xf76fffff,0x87ffffff,
    0xfffffffe,0xc803ffff,0x2a07ffff,0x03ffffff,0x3ffffff2,0x000effff,
    0x03ffffc8,0x3fff6200,0xffffffff,0xff30004f,0x3a2001ff,0xfa803fff,
    0xffb80fff,0xfffd980f,0x7ffec000,0xffffc85f,0xffffff54,0x09ffffff,
    0xffffff91,0x3fe203ff,0xffffffff,0xffd801ff,0xfa80ffff,0xffffffff,
    0x74002fff,0x03ffffff,0xfffffff8,0xffffffff,0xff95ffff,0x7fcc1fff,
    0xfff93fff,0xffffffff,0xffffffff,0x7ffff44b,0x202fffff,0x0004ffff,
    0x77ffffec,0xfffffd81,0x3ffea02f,0x3f204fff,0xd03fffff,0xfff7ffff,
    0xffffffff,0x6fffe47f,0xffffffff,0xfffffffa,0x7ffff46f,0x3fffffff,
    0x7ffffc80,0xffffff10,0x7fffe409,0xffffffff,0xfffc8005,0xff30003f,
    0x51157dff,0x01dfffd9,0x3fffcc0c,0x7fff4418,0x3fea03ff,0x7fec6fff,
    0xfffe85ff,0x3fea005f,0x7fd40fff,0xfff10fff,0xffffffff,0x7ffdc5ff,
    0x1fffffff,0xffffff10,0x0bffffff,0xffffff88,0x7fffc44f,0xffffffff,
    0xff5000ff,0x01ffffff,0xfffffff8,0xffffffff,0xff95ffff,0xfff98fff,
    0xffff93ff,0xffffffff,0xbfffffff,0x7fffffec,0x883fffff,0x0004ffff,
    0x37fffff6,0xfffff980,0x7f4407ff,0xf884ffff,0x0fffffff,0xffffffe8,
    0xffffffff,0x3ff26fff,0xffdfffff,0xfdffffff,0x3fa1ffff,0xffffffff,
    0xffc803ff,0xffe887ff,0x3e605fff,0xdbbdffff,0x002fffff,0x01ffffe4,
    0x9cfffe80,0x7fe41999,0x41bf105f,0x6c47fff8,0x7fffe40f,0xfffa83ff,
    0x7fcc1fff,0x7fcc2fff,0xf8802fff,0x7c43ffff,0x7dc2ffff,0xfffdbdef,
    0x3fe63fff,0xffffffff,0x21359101,0x7fffff98,0x7ffffcc0,0x7ffec7ff,
    0xfea889ef,0xf8805fff,0xffffbfff,0x7ffffc04,0xffffffff,0x75ffffff,
    0xf88fffff,0xdd72ffff,0xdddddddd,0xfffddddd,0x3fffe2bf,0xffffffff,
    0x7fffd43f,0xfffb0003,0x7fdc07ff,0x00ffffff,0x4fffffc8,0x7fffffd4,
    0xfffe82ff,0x11cfffff,0x25fffffd,0x0efffffc,0x3ffffffb,0x007ffff2,
    0x0fffffe6,0x1fffff20,0x17fffff6,0x05ffffb0,0x00bffff7,0x03ffffc8,
    0x99fffb80,0x1dffffff,0xfb05fff5,0x37ffc3df,0xf909fff5,0x547fffff,
    0x01ffffff,0x81fffff7,0x00fffffb,0x42ffffec,0x905ffffd,0xfffff305,
    0xfbeffe8b,0x0001ffff,0x00dffff9,0xffffffff,0x1bfffe21,0x03ffffc4,
    0xfbb7ffe4,0x26601fff,0x99999999,0x99999999,0xdffff709,0x05fffff0,
    0xffff1000,0x37fffeeb,0xfffffc88,0xffffbadf,0xffd8001f,0x7dc01eff,
    0x1fffffff,0xfffff500,0x7ffffd49,0xffe82fff,0x981fffff,0xf93fffff,
    0x7dc5ffff,0x3ea3ffff,0xf9802fff,0xc803ffff,0x7e47ffff,0x400effff,
    0x3e05ffff,0x64006fff,0x4003ffff,0xff33fff9,0x21ffffff,0x3e60fffc,
    0xfff3ffff,0x3fffff2b,0xfffffc80,0xfffffabf,0x7ffec01f,0xffffe85f,
    0x3fffea05,0x7fffdc0f,0x7fcc000e,0x97544fff,0x01fffff8,0x7ffffd00,
    0xfffff700,0x3ffea3ff,0x3fffa02f,0x3ffe601f,0x1bfffa1f,0xf5000000,
    0xfff0dfff,0x100003ff,0x3f2bffff,0x7fd40fff,0xffffffff,0xca8006ff,
    0xa800cccc,0x7fffffff,0x66664400,0xfffff31c,0xffd01fff,0x7c05ffff,
    0xff94ffff,0xfffb8dff,0x7fffd47f,0xffff9803,0xfffc803f,0x3fffee7f,
    0x7fc400ff,0x3ff602ff,0x7fe4007f,0x7e4003ff,0x277fe66f,0x3fa3fffa,
    0x3ffff23f,0xeefffdff,0x02ffffff,0xfffffff9,0x003fffff,0x85fffff1,
    0x82fffff9,0x42fffff8,0x01fffff8,0xfffffd80,0x7fffc402,0x5554401f,
    0x0effffec,0xfffff900,0x3fffee1f,0x3fffee01,0x17fff602,0x007ffff5,
    0x7fd40000,0xffff85ff,0xf880001f,0xfffb5fff,0x3fffea0d,0x2fffffff,
    0xe8000000,0x03ffffff,0xfffd8000,0xffd04fff,0xfe807fff,0xfff95fff,
    0xffffb85f,0x1ffffd43,0x7ffffcc0,0xffffc803,0xffffff57,0xffff5003,
    0x7fffdc03,0x3fff2000,0x7ff4003f,0xfc93fe62,0x117fee4f,0xfffffff9,
    0x9fffffff,0xffffc801,0x01ffffff,0x3ffffea0,0x37fffdc0,0x42ffffe4,
    0x004ffffd,0x6fffffb8,0xfffff880,0x7fffcc01,0x8004ffff,0x327ffffe,
    0x2a01ffff,0xf502ffff,0xffd03fff,0x000001ff,0x17fffe60,0x003ffffa,
    0x3fffe200,0x40dfffd5,0xfffffff9,0x000004ff,0xffffb100,0x22000007,
    0x00dffffd,0x00dffffd,0x329dddd9,0x7dc1ffff,0x7fd42fff,0xff9803ff,
    0xfc803fff,0xfff9ffff,0xf3001fff,0x7e407fff,0x3bba27ff,0xfffeeeee,
    0xeeeeeeff,0x07ffc6ee,0x7ff49ff3,0x441bfe62,0xfffffffc,0x2000bfff,
    0xfffffffc,0xffd8001f,0xfffe85ff,0x3fffe24f,0x7fffd41f,0xfffb8007,
    0xf8801fff,0x4c01ffff,0xffffffff,0x3f6001ce,0x3fea5fff,0x3ff604ff,
    0xfffd01ff,0x3fffe609,0x99999985,0x99999999,0xf3099999,0xffd09fff,
    0x220000ff,0x0005ffff,0xffffffb1,0x00000007,0x00015730,0x03773000,
    0x06ffffe8,0x7fffe400,0x17fffdc1,0x00ffffea,0x0fffffe6,0x3fffff20,
    0x02fffffe,0x17fffe20,0x266ffff8,0xffffffff,0xffffffff,0x267fffff,
    0x7ffcc7ff,0x7c45fffe,0x3fa200ff,0x00dfffff,0xfffffb00,0x3e20009f,
    0x7d41ffff,0x3f60ffff,0xffe84fff,0x3f2003ff,0x001fffff,0x03fffff1,
    0xffffff98,0x001fffff,0x4c9ffffd,0xf106ffff,0x3f20ffff,0x3f600fff,
    0x7ffc2fff,0xffffffff,0xffffffff,0x09ffff15,0x000ffffb,0x17fffe20,
    0x37951000,0x00000000,0x00000000,0x3ffffa00,0x7fe40006,0x7ffdc1ff,
    0x7fffd42f,0xffff9803,0xfffc803f,0x6fffffff,0xfffff800,0x5ffff980,
    0x3fffffe6,0xffffffff,0x7fffffff,0xff317fea,0x3e05ffff,0xffc881ff,
    0xffffffff,0x3fee000b,0x03ffffff,0x4ffffd80,0x43ffffe8,0x42fffff8,
    0x01fffff9,0xefffffd8,0x3ffe2001,0x999801ff,0xfffffda9,0xffff9805,
    0x3fffe20e,0x7ffec44f,0xffff885f,0x7fffc403,0x7fffffc6,0xffffffff,
    0xf15fffff,0xffb07fff,0x4c0000ff,0x00000999,0x3dd98000,0x200736e0,
    0xccccccc9,0x001ccccc,0xfffd0000,0xfc8000df,0x7fdc1fff,0x7ffd42ff,
    0xfff9803f,0xffc803ff,0xffffefff,0x7fec004f,0xfc98cfff,0x3e61ffff,
    0xffffffff,0xffffffff,0x3e67ffff,0x66ffcc7f,0x7fc40fff,0x3fff260f,
    0xffffffff,0x5400cfff,0xffffffff,0x3ee003ff,0x7e40efff,0xff706fff,
    0xffc81fff,0x3f6206ff,0x000dffff,0x0fffffc4,0xffffb000,0x3fee201f,
    0xffb81fff,0xffeeffff,0xfd80ffff,0xff7006ff,0x7fffc7ff,0xffffffff,
    0x5fffffff,0x00000000,0x00000000,0x13fffea0,0x007ffff6,0xfffffff7,
    0x005fffff,0x3ffa0000,0x640006ff,0x7dc1ffff,0x7fd42fff,0xff9803ff,
    0xfc803fff,0xfff9ffff,0x22002fff,0xffffffff,0x444fffff,0xeeeeeeee,
    0xeeefffff,0x7c6eeeee,0x53fe60ff,0x7fcc4ffc,0x3fffff26,0xfeeffedf,
    0x503fffff,0xffffffff,0x1007ffff,0x983fffff,0x201fffff,0xe85ffffe,
    0xe884ffff,0x003fffff,0x3fffff10,0x7ffe4000,0xfd9910ff,0x409fffff,
    0xfffffffd,0xa83fffff,0x1002ffff,0x3e1fffff,0xffffffff,0xffffffff,
    0x000005ff,0x00000000,0x3ffa0000,0x3fe60fff,0x7dc04fff,0xffffffff,
    0x00002fff,0xdffffd00,0xfffc8000,0x7fffdc1f,0x1ffffd42,0x7ffffcc0,
    0xffffc803,0xffffff77,0x7ffdc003,0xffffffff,0xffc8000e,0x7f4003ff,
    0x4d3fe62f,0x3fee0fff,0x3ffffe65,0x3f2bfff3,0xfa80ffff,0xfc9fffff,
    0x403fffff,0xe84ffffe,0x4c04ffff,0x4c2fffff,0x222fffff,0xfffffffe,
    0x12ffffff,0xfffb9999,0x23999bff,0x7dcc19a9,0x3e26ffff,0x3fffffff,
    0x7fffe440,0x02ffffff,0x80099997,0x332cccca,0x33333333,0x33333333,
    0x00000013,0x00000000,0x7fffc000,0x3ffea1ff,0x7fdc06ff,0xffffffff,
    0x000002ff,0x0dffffd0,0xffffc800,0x17fffdc1,0x00ffffea,0x0fffffe6,
    0x9fffff20,0x0ffffffd,0x3fffea00,0x003fffff,0x0fffff20,0x4cdff900,
    0x4fff64ff,0x7ec3fff8,0x9bffe1ef,0xfa84fffa,0x321fffff,0x03ffffff,
    0x90dffff9,0x200dffff,0x40fffffc,0x70fffffb,0xffffffff,0x25ffffff,
    0xfffffff8,0x2fffffff,0xfffffff9,0x47ffffff,0xcffffff8,0x3fb66000,
    0x000befff,0x00000000,0x00000000,0x00000000,0x7ffec000,0x7fffc47f,
    0x5554c04f,0xaaaaaaaa,0x0000000a,0x00dffffd,0x1ffffc80,0x217fffdc,
    0x803ffffa,0x03fffff9,0x27ffffc8,0x6fffffe8,0xefecb800,0x640001bc,
    0x4003ffff,0xff33fff8,0xfdbffd49,0x22fc40ef,0x6c47fff8,0x7fffd40f,
    0xfffc81ff,0x7fcc3fff,0x7fcc1fff,0x3a001fff,0xfe85ffff,0xfff74fff,
    0xffffffff,0x3fe25fff,0xffffffff,0xff92ffff,0xffffffff,0xdef889ff,
    0x980000ac,0x00000000,0x00000000,0x00000000,0x40000000,0xb82fffe8,
    0x0000efff,0x00000000,0x01bffffa,0x3ffff900,0x42ffffb8,0x803ffffa,
    0x03fffff9,0x47ffffc8,0x4ffffff9,0x00000000,0x00fffff2,0x22bffee0,
    0x655541aa,0x10301fff,0x1060ffff,0x03ffffff,0x2fffffe4,0x20fffff6,
    0x004ffffe,0x4067ffcc,0x3ee2eff9,0xffffffff,0xf12fffff,0xffffffff,
    0x325fffff,0xffffffff,0x00002eff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9802aa00,0x0000002a,0xfe800000,0x40006fff,0x5c1ffffc,
    0x7d42ffff,0xf9803fff,0xc803ffff,0xfb87ffff,0x003fffff,0xf9000000,
    0x20007fff,0x200dfffd,0x004fffd8,0x007fffcc,0x01ffff98,0x505fffc8,
    0x3f620dfd,0x1990006f,0xcc982b80,0xcccccccc,0x9911cccc,0x99999999,
    0x36a39999,0xbcceeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8000000,0x0006ffff,0x20ffffe4,0x542ffffb,
    0x5533ffff,0xfff95555,0x55555bff,0x3ffff215,0xfffffb07,0x3333203f,
    0xcccccccc,0x64003ccc,0x0003ffff,0x7bffffd1,0xffffb753,0xffa8001b,
    0x3e6001ff,0x17f2001f,0x3b3002e0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x037ffff4,0x3ffff200,0x17fffdc1,0x64ffffea,0xffffffff,0xffffffff,
    0xfff90fff,0x3ffa20ff,0xff80ffff,0xffffffff,0x006fffff,0x01ffffe4,
    0x3ffff200,0xffffffff,0x55510003,0x01980015,0x00000380,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x037ffff4,0x3ffff200,0x17fffdc1,0x64ffffea,
    0xffffffff,0xffffffff,0xfff90fff,0x7ffcc0ff,0xfff86fff,0xffffffff,
    0x4006ffff,0x003ffffc,0xffffe980,0x000effff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd0000000,0x000dffff,0x41ffffc8,0x542ffffb,
    0xff93ffff,0xffffffff,0xffffffff,0x3ffff21f,0x7fffd407,0x7fffc5ff,
    0xffffffff,0x5c006fff,0x0002eeee,0x2f76ea20,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fff4000,0x7e40006f,0x7fdc1fff,
    0x7ffd42ff,0xfffff93f,0xffffffff,0x21ffffff,0x807ffffc,0x3ffffffd,
    0x26666666,0x99999999,0x00000000,0xff800000,0xffffffff,0xffffffff,
    0x6fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff8,0xffffffff,
    0xffffffff,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff8000,0xffffffff,
    0xffffffff,0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,0xffffffff,
    0xffffffff,0xffffffff,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaaaa80,
    0xaaaaaaaa,0xaaaaaaaa,0x00002aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_47_latin_ext_x[560]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,3,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,1,2,0,3,0,2,2,1,1,0,0,0,0,2,6,2,6,1,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,4,2,2,5,1,0,4,2,5,5,0,3,1,8,9,5,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,2,3,3,0,0,4,
3,-6,-4,3,1,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,2,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_47_latin_ext_y[560]={ 34,1,1,4,-1,1,1,1,-1,-1,1,10,25,19,
25,1,3,3,3,3,4,4,4,4,3,3,10,10,8,14,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,38,1,10,1,10,1,10,1,10,1,0,
0,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,10,-1,3,4,4,
-4,1,1,3,3,12,19,19,1,2,1,5,1,1,1,10,1,16,34,1,3,11,1,1,1,10,-5,-5,-5,-5,
-5,-6,4,3,-5,-5,-5,-5,-5,-5,-5,-5,4,-5,-5,-5,-5,-5,-5,11,-1,-5,-5,-5,-5,-5,4,1,1,1,
1,1,1,-2,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,5,1,1,1,1,1,1,1,
-4,2,-5,1,4,10,-5,1,-5,1,-6,0,-5,1,-5,-1,4,1,-4,2,-5,1,-6,0,4,10,-5,1,-5,1,
-5,1,-6,0,3,0,-5,-6,4,1,-5,1,-4,2,-5,1,4,0,-6,10,4,0,-5,1,4,1,10,-5,-6,4,
1,-1,-1,4,1,4,1,-5,1,4,10,-5,1,-2,4,10,-4,2,-5,1,-5,1,3,10,-5,1,4,10,-5,1,
-5,1,-5,1,3,10,-5,1,4,3,-5,-1,4,3,-5,1,-4,2,-5,1,-6,-2,-5,1,4,10,-5,1,-5,1,
-5,-5,1,-6,0,-5,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-11,-9,-5,1,-5,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,10,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_bold_47_latin_ext_w[560]={ 0,8,16,25,22,26,27,8,15,15,20,24,14,16,
10,23,24,22,22,21,25,21,23,22,22,23,10,13,20,20,20,17,26,26,23,23,24,19,18,23,22,20,18,24,
19,24,22,25,21,27,23,22,24,23,26,26,26,26,22,14,23,13,23,26,16,21,22,20,22,22,25,24,20,21,
19,22,21,24,20,24,22,22,20,20,22,20,26,26,26,26,20,18,6,19,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,8,20,23,25,26,
6,23,21,26,17,21,21,16,24,20,18,22,16,16,24,22,23,10,8,16,18,22,26,26,26,17,26,26,26,26,
26,26,26,23,23,23,23,23,23,23,23,23,25,24,25,25,25,25,25,22,25,24,24,24,24,26,21,22,23,24,
23,23,23,23,26,20,24,24,24,24,24,25,24,24,23,23,25,25,25,25,25,24,24,23,24,23,23,26,22,26,
26,23,26,23,26,22,24,25,23,23,23,23,23,23,26,30,25,25,23,24,23,24,23,24,20,22,23,24,23,25,
23,25,23,25,23,25,24,23,26,23,23,24,23,24,23,24,21,22,23,21,22,22,21,22,24,22,22,23,24,19,
21,30,30,23,29,24,21,24,24,22,20,24,23,24,22,20,25,25,25,25,28,28,26,26,26,24,23,20,26,24,
24,24,24,23,22,20,24,23,24,22,25,30,24,23,24,23,24,23,24,23,24,23,28,28,23,21,26,26,26,26,
26,24,24,24,23,24,23,19,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,26,24,26,26,30,27,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,22,20,24,22,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__consolas_bold_47_latin_ext_h[560]={ 0,34,13,30,41,34,34,13,45,45,21,23,18,5,
10,38,32,31,31,32,30,31,31,30,32,31,25,33,27,15,27,34,43,30,30,32,30,30,30,32,30,30,31,30,
30,30,30,32,30,40,30,32,30,31,30,30,30,30,30,44,38,44,15,6,10,25,34,25,34,25,33,34,33,34,
44,33,33,24,24,25,34,34,24,25,32,25,24,24,24,34,24,44,48,44,11,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,34,41,31,30,30,
48,39,10,32,24,20,12,5,23,9,17,29,19,19,10,34,39,10,7,19,24,20,33,33,33,34,39,39,39,39,
39,40,30,38,39,39,39,39,39,39,39,39,30,39,40,40,40,40,40,21,40,40,40,40,40,39,30,34,34,34,
34,34,34,37,25,31,34,34,34,34,33,33,33,33,34,33,34,34,34,34,34,25,34,34,34,34,34,43,43,43,
38,33,39,34,40,34,40,34,40,34,41,35,40,34,39,36,30,34,38,33,39,34,40,35,40,34,39,34,40,43,
40,43,41,44,41,44,39,40,30,33,39,33,38,32,39,33,40,44,40,24,31,44,40,43,40,43,24,39,40,40,
43,35,35,30,33,30,33,39,33,40,34,39,33,36,40,34,39,33,40,34,40,34,32,25,39,33,40,34,39,33,
40,34,40,34,38,31,40,34,40,41,39,36,30,32,40,34,39,33,40,34,41,37,40,34,40,34,39,33,39,43,
39,39,33,40,34,39,33,33,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,39,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,45,44,39,34,44,40,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,41,34,40,41,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30, };
static unsigned short stb__consolas_bold_47_latin_ext_s[560]={ 504,495,380,268,169,442,214,503,58,42,161,
111,301,493,469,426,51,123,100,273,367,262,170,133,295,215,327,498,121,359,100,
493,316,316,53,395,54,487,249,371,443,466,493,156,181,201,226,318,294,440,343,
419,28,146,1,106,79,416,393,301,450,130,335,161,480,194,228,237,292,279,222,
121,174,399,144,105,152,22,404,302,170,181,1,258,28,216,479,452,425,1,383,
282,1,236,419,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,504,503,192,
76,361,27,8,50,444,344,365,228,397,493,136,466,316,77,250,284,444,242,1,
497,495,267,92,205,400,373,346,492,441,403,414,76,387,251,433,328,205,249,201,
229,98,74,468,338,1,313,212,238,278,354,225,182,166,72,47,455,430,300,387,
98,74,49,25,1,469,1,142,194,374,349,324,299,130,452,478,1,204,26,155,
129,103,77,51,169,26,488,1,464,440,46,419,442,352,155,277,299,125,323,468,
247,338,223,73,168,1,146,122,25,485,273,379,427,253,394,142,112,304,346,181,
369,201,370,264,469,145,256,236,164,430,406,309,203,327,272,304,466,225,297,1,
213,23,47,239,190,120,396,288,1,69,157,152,192,24,137,192,409,50,336,108,
362,57,97,193,25,322,87,480,419,175,82,380,413,325,28,1,338,273,80,177,
339,130,247,75,485,25,315,403,491,415,275,362,213,149,56,460,442,50,389,351,
128,100,461,97,474,309,360,285,439,376,195,455,343,482,1,248,260,251,26,179,
227,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,51,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,15,105,103,265,74,387,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,122,421,362,213,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284, };
static unsigned short stb__consolas_bold_47_latin_ext_t[560]={ 1,1,528,466,50,294,329,364,1,1,528,
528,528,85,528,216,433,433,433,399,466,433,433,466,399,433,497,216,497,528,497,
50,1,466,497,399,466,466,466,399,466,466,294,466,466,466,466,399,466,50,466,
399,497,433,497,466,466,466,466,1,216,1,528,550,528,497,294,497,329,497,399,
329,399,294,1,399,399,528,497,497,329,294,528,497,433,497,497,497,497,364,497,
1,1,1,528,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,1,94,50,
433,433,466,1,176,539,399,497,528,528,85,528,539,528,497,528,528,528,329,176,
528,36,528,528,528,364,364,364,135,135,176,135,216,135,94,433,216,216,176,176,
216,176,176,135,135,466,135,135,135,94,94,94,528,135,135,135,94,94,176,433,
329,329,329,329,329,294,256,497,433,294,294,294,294,364,364,364,399,294,399,294,
294,294,294,294,497,294,256,294,256,256,50,1,1,216,364,216,256,94,256,50,
256,50,256,50,256,94,329,176,256,433,256,216,364,216,256,135,256,94,256,216,
256,94,1,135,1,50,1,50,1,176,94,433,364,176,364,216,399,176,364,135,
1,135,528,433,1,135,1,135,50,528,216,94,135,50,256,256,433,399,433,364,
135,364,135,329,176,364,256,94,256,176,364,94,329,94,364,433,497,176,399,94,
329,216,364,94,329,94,329,216,399,50,294,50,50,176,256,433,399,94,329,176,
399,94,329,50,216,50,329,50,329,176,399,176,1,176,216,399,50,294,216,364,
364,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,216,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,1,1,216,329,1,50,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,50,294,50,50,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,433,
433,433,433,433,433,433,433,433,433, };
static unsigned short stb__consolas_bold_47_latin_ext_a[560]={ 413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_47_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_47_latin_ext_s[i] + stb__consolas_bold_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_47_latin_ext_t[i] + stb__consolas_bold_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_47_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_47_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_47_latin_ext_x[i] + stb__consolas_bold_47_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_47_latin_ext_y[i] + stb__consolas_bold_47_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_47_latin_ext_s[i] + stb__consolas_bold_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_47_latin_ext_t[i] + stb__consolas_bold_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_47_latin_ext_x[i] + stb__consolas_bold_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_47_latin_ext_y[i] + stb__consolas_bold_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_47_latin_ext_LINE_SPACING
#endif

