// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT        261
#define STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_36_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_36_latin_ext_LINE_SPACING          17

static unsigned int stb__courier_36_latin_ext_pixels[]={
    0x00000800,0x0000000a,0x10004880,0x00002000,0x5c000004,0x00988000,
    0x09800020,0x00000310,0x01620ec0,0x40000180,0x1500002b,0x10006000,
    0xc8000005,0x00000001,0xed800093,0x0deeeeee,0x00035550,0x64000000,
    0x64400001,0x00020000,0x010001cc,0xf9800008,0x37440003,0x00059000,
    0x10017e60,0xfd8003dd,0x37a60003,0xd880002e,0x2fb8000f,0x0007f900,
    0x01fa0bf1,0x003e201f,0x03fa97d4,0x001bfb00,0x0001db00,0x88003f90,
    0x3e2004fd,0xd8800004,0x03f7001f,0x6c4009d1,0x5530000d,0x20355555,
    0x0004fed8,0xbf103b60,0x001fd800,0x001dd100,0x0005fd30,0x32000bf3,
    0x002fa81e,0x00013ea0,0x20001dd1,0xf500006a,0xcdfa8009,0xbee8803f,
    0x21d0005f,0x74400068,0x5f70000e,0xdfbee880,0x417e2000,0xd82e407e,
    0x7ef4c005,0xaee88001,0xd10001ee,0x3f60000b,0x5774c001,0xbf3000ee,
    0x3a200001,0x1fe4000e,0x90001bf5,0x0000001d,0x80001320,0x037d41ff,
    0x00017e40,0x200037e6,0x004fbdfa,0x8000ee88,0x00fee3fc,0x0003fb80,
    0x20002fcc,0xfb80003d,0x51fe4003,0x97ea01bf,0x22001ee9,0x98000e45,
    0x2e0000df,0x437ea02f,0xf1001ee8,0xf101fa0b,0x03fb535b,0xb0644dd0,
    0x0dfa801f,0x3ee00ff2,0x01fcc971,0x0003ba20,0x17ec49f7,0x000ee880,
    0x0006fcc0,0x03fcdfa8,0x33b87ee0,0x05f8807f,0x04c801f9,0x540a6000,
    0x07f70000,0x0013ea00,0x1dd31fe4,0x01ee8800,0x2fddfa80,0x00bee000,
    0x0009f100,0x0003ff88,0xf5000be2,0xf107d103,0xd001b607,0xe8001a21,
    0x09880004,0x1f207f10,0x03100980,0x5dfffd30,0xfb01be00,0xf503e801,
    0x302fb801,0x0ed8009f,0xd702f800,0x0036c400,0x20001320,0x5c001ee8,
    0x809f302f,0x01fb05f8,0x000004c8,0x1d500000,0x0007d000,0x176207aa,
    0x80026c00,0x40000ee9,0x11000019,0x05ff0000,0x01880000,0x01002000,
    0x02ede980,0x00000000,0x00008010,0x00060000,0x00000800,0x00100200,
    0x00000010,0x00000800,0x00040000,0x08004008,0x02640040,0x00000000,
    0x00000000,0x00000000,0x54000000,0x260000cd,0x40001ded,0x5d440000,
    0x0004e81a,0x08000000,0x00000000,0x00000000,0x30000000,0x26603333,
    0x4cccc199,0x83333301,0x33019999,0x0fe60333,0x730007f2,0x1fcc0015,
    0x33300fe4,0x26666033,0xf907f301,0x0ccccc03,0x4c199998,0x33301999,
    0xb9932033,0x5300aced,0x2aa01555,0xab9802aa,0x2ae60000,0x2ae60001,
    0x19999801,0x00333330,0x40001573,0x0006a9cb,0x0003447a,0xffe88000,
    0x1d91effe,0x5555554c,0x36e202aa,0x2aaa0bde,0x40666661,0x2a619999,
    0x55500aaa,0xaaaaa855,0x5532aaaa,0x2aaa0155,0x5555542a,0x2aaaaa61,
    0x7bdb7102,0xfc8d5541,0x7e45ffff,0xff95ffff,0xffc8bfff,0xfff95fff,
    0xfffc8bff,0x85fb85ff,0xff7003fe,0x7007bfdd,0x207fd0bf,0x45fffffc,
    0x85fffffc,0x03fe85fb,0x8bfffff9,0x95fffffc,0xc8bfffff,0xc85fffff,
    0xd979bf94,0xddfd705f,0x3bfbb605,0xfddff700,0x3f66007b,0x793ffeef,
    0x777fecc0,0x7e4793ff,0x7e45ffff,0xf705ffff,0x007bfddf,0x8002c8d0,
    0x1000ec58,0x5417bdb7,0x1df981aa,0x20fefec4,0xeeeeeeec,0x79df505e,
    0xddf15fd9,0x3fffff29,0x7ffffe45,0x05ddfd75,0xd83bfbb6,0xeeeeeeee,
    0x05ddfd75,0x443bfbb6,0x364feeee,0xa86eeeee,0xafecbcef,0x3664eef8,
    0xd933019c,0x019cd983,0xd983d933,0xd933019c,0x14405403,0x1057ec40,
    0x015009f5,0x9cd98051,0x03d93301,0x20144054,0x33019cd9,0x9cd983d9,
    0x03d93301,0x5c07b772,0x001f882f,0x2bf6209b,0x1013ea20,0xddd503bf,
    0x2077e209,0x6cc4eeea,0xd933019c,0x415fb103,0x74004fa8,0x74000720,
    0xefa801a0,0xf8afecbc,0x027cc4ee,0x2e0013f2,0xf503fa85,0x39b303f7,
    0x07b26603,0x136003f1,0x1f896e00,0x99009b00,0x1fd46b80,0xb01fbfa8,
    0x6c1ae009,0x360d7004,0x000d7004,0x200ee800,0x000003f9,0x06b8026c,
    0x026c0000,0x009b06b8,0x06fc81ae,0x05c81fa8,0x1dd00f98,0xe881fcc0,
    0x884fe803,0x84fe803e,0x20d7004d,0x0fe600ee,0x06caea80,0x0bb3aa00,
    0xfa81fd40,0x809d01fb,0xb8006ee8,0x2a01fc45,0x009b01ff,0x402e41ae,
    0x5b8000f9,0x07cc02e4,0x9ae02640,0x7fd403f8,0x2e009b01,0x2e009b06,
    0x2e009b06,0x2e000006,0x01f8800f,0x01360000,0x0000035c,0x835c0136,
    0x40d7004d,0x09b001fc,0x05d803f1,0x3f1001f7,0x3e600bd0,0xf3005e84,
    0x2e009b09,0x8800fb86,0x0ae2001f,0x1000c000,0x1ffa807f,0x76c00fa8,
    0x2dc003f8,0x0fe401b2,0x0d7004d8,0x0bb007e2,0x3f116e00,0x99005d80,
    0x01b26b80,0x04d80fe4,0x01360d70,0x004d835c,0x0aaa88d7,0x88155550,
    0x89b2003f,0x55500aaa,0x40136015,0x0555446b,0xb00aaaa8,0x6c1ae009,
    0x640d7004,0x641aa006,0x2207e605,0x31b2003f,0x21ec001f,0x0f6000f9,
    0x235c0136,0x1b2003f8,0x13333330,0xc8000000,0xd03f9006,0xf70fc809,
    0x1f45b800,0x9b01fa80,0x5c81ae00,0x40007e60,0x2605c85b,0x8099001f,
    0x5400fa6b,0x2009b01f,0x2009b06b,0x2009b06b,0x17f7546b,0x20ff7744,
    0x87c4006b,0xe882feea,0x09b01fee,0xfdd51ae0,0x3fddd105,0x35c01360,
    0x0d7004d8,0x1f1002e4,0x17603f10,0x3e20035c,0x010016e0,0xb00800b7,
    0xd71ae009,0xb00f8800,0x0dffffff,0xbdb95100,0x003e8017,0x403f03f5,
    0x003e21fa,0x8017c5b8,0x009b01f8,0x01f881ae,0x2dc000bb,0x05d80fc4,
    0x4d701320,0x03f1002f,0x835c0136,0x20d7004d,0x40d7004d,0x641f802f,
    0xf82e8005,0x9b01f802,0x2f81ae00,0x09b01f80,0x026c1ae0,0x017206b8,
    0x0b900f98,0x017203f1,0x003d8ba0,0x00003d80,0x91ae009b,0x405d000b,
    0x1fafa999,0x79dfd100,0x7c05ffb7,0x883f1002,0xf07f100f,0x3e2dc003,
    0x203f3002,0x80d7004d,0x001f885c,0x42e416e0,0x132001f8,0x8017cd70,
    0x009b01f9,0x8026c1ae,0x2009b06b,0x200be06b,0x4001ec1f,0xf802f84c,
    0x2e009b01,0x3e00be06,0x2e009b01,0x2e009b06,0xa801f206,0xb907e207,
    0x64001ec0,0x20000be4,0x9b00002f,0x07b1ae00,0x32009900,0x054009b5,
    0x0be01f90,0x1e60fcc0,0x02e82f44,0x007b16e0,0x026c07ea,0x0fc406b8,
    0xb7000172,0x0b907e20,0x35c04c80,0x07ea007b,0x06b8026c,0x41ae009b,
    0x40d7004d,0x7c1f802f,0xf85b8002,0x9b01f802,0x2f81ae00,0x09b01f80,
    0x026c1ae0,0x0bf206b8,0x97202740,0x00be01f8,0x001f96e0,0x00001f80,
    0xf1ae009b,0x00b70005,0x0003d4be,0x0f607f10,0x1e60fd40,0x02e8076c,
    0x01d716e0,0x13603fb0,0x2e4035c0,0xb80003f1,0x1f897205,0x2e026400,
    0x36003ae6,0x2009b01f,0x2009b06b,0x2009b06b,0x200be06b,0x4001741f,
    0xf802f85b,0x2e009b01,0x3e00be06,0x2e009b01,0x2e009b06,0x003ff206,
    0x1f8801f9,0x002e80b9,0x0007e5b8,0x400007e0,0xe8d7004d,0x805b8002,
    0x00017c7a,0x03ae09b0,0x1f107f60,0x07e00fb8,0x04e85b80,0x4d80ffdc,
    0xf100d700,0x20001723,0x647e205b,0x404c8005,0x2e02746b,0x009b01ff,
    0x8026c1ae,0x2009b06b,0x200be06b,0x4001ec1f,0xf802f84c,0x2e009b01,
    0x3e00be06,0x2e009b01,0x2e009b06,0x0ff33206,0x6400bf62,0x1ec01f8d,
    0x05f26400,0x0005f000,0x35c01360,0x132000f6,0x00b91360,0x36133310,
    0xf7013a04,0x7cc3f03f,0x8003e602,0x80df985b,0x9b01f9fc,0x6401ae00,
    0x80001f8d,0x7c6e405b,0x404c8001,0x406fcc6b,0x9b01f9fc,0x26c1ae00,
    0x09b06b80,0x02f81ae0,0x002e41f8,0x4017c174,0x2009b01f,0x200be06b,
    0x2009b01f,0x2009b06b,0x7d53206b,0x00efedef,0x20177e20,0x22e8005c,
    0x4e80004e,0x009b0000,0x000b91ae,0x41f8805d,0xfc8800f9,0x4fffffff,
    0x32037e60,0x14d81f9f,0x007b809f,0xefe882dc,0x1f88efed,0x1ae009b0,
    0x002efc40,0x7c405b80,0xaaa8805d,0x0aaaadda,0x3bfa21ae,0x1f88efed,
    0x17200990,0x05c80264,0x81720099,0x5c1f802f,0x407c4006,0x901f802f,
    0xf8172009,0x9901f802,0x26417200,0x13205c80,0x00037973,0x1ae007f2,
    0x2e41f100,0x002e4000,0xb9004c80,0x7c4006b8,0x3e835400,0x04d77d40,
    0xe8809d53,0x88efedef,0x5e8f981f,0x2001fc40,0x5e5cc05b,0x26407e21,
    0x32005c80,0xb700001f,0x7003f900,0xffffffff,0x3035c7ff,0x0fc43797,
    0x09d006a8,0x827401aa,0x409d006a,0x441f802f,0x41b2003f,0x501f802f,
    0xf813a00d,0xd501f802,0x35413a00,0x13204e80,0x03640000,0x32003f88,
    0x00017c46,0x20000be2,0x889d006a,0x01b2003f,0x3035c0f6,0x009b009f,
    0xf886f2e6,0x801dfd01,0x05b8006c,0x5407e200,0x4009d006,0x2e00006c,
    0x0006c805,0x80035c00,0x03f101f8,0x3f102f88,0xf102f880,0x202f8803,
    0x40fd403e,0x1f9800fa,0x1fa807d0,0xf8803f10,0xf500fa02,0x1007e203,
    0x007e205f,0x026405f1,0x017c4000,0xf3001f50,0x2001f903,0x000fc86a,
    0x803f10d5,0x00fa82f8,0x7c401f98,0x2e03f100,0x004d800f,0xf701f880,
    0x001fc809,0x260005d8,0x803f100f,0x5f1002f8,0x026c0000,0x00000be2,
    0x26000bb0,0x403b600f,0x076c05e8,0x76c05e88,0xb80bd100,0x407fee05,
    0x0be601ee,0x3fee05b8,0x4403b601,0x702dc05e,0x076c03ff,0x76c05e88,
    0xc80bd100,0x6c800004,0x201ee800,0x03b602f9,0x3b607f90,0xd81fe400,
    0x40bd100e,0x0be601ee,0x2aaabee0,0x9b04eaaa,0x0009d100,0x9f301f30,
    0x1fd983df,0x003f8800,0x1db01b20,0xc8017a20,0x3e200006,0x00036402,
    0x000fe200,0x176c0364,0x36003fa6,0x007f4c2e,0x3fa6176c,0x885fc400,
    0x01cfafda,0x7dc417fb,0x885fc404,0x01cfafda,0x1fd30bb6,0x510bf880,
    0x4039f5fb,0x07f4c2ed,0x3a6176c0,0x0026400f,0x000be200,0xf7105fec,
    0x417fd009,0x7402fda8,0x3f6a20bf,0x26176c02,0x5fec00fe,0x4013ee20,
    0xfffffffe,0x01f707ff,0x00027fd4,0x8a7c4364,0x0dffeffd,0x00fc8800,
    0xb005f500,0x00fe985d,0x00005f10,0x5f1007e4,0xfc800000,0x02fa8000,
    0xbffdff90,0x77fe4001,0x32000dff,0x00dffeff,0xbffdfd70,0x5c03ffe1,
    0x02dffeff,0xbffdfd70,0xc803ffe1,0x00dffeff,0xbffdfd70,0xc803ffe1,
    0x00dffeff,0x3ffbff20,0x37aa600d,0x22000aaa,0xaafdaaaa,0xeffb8000,
    0x2e002dff,0x0dffefff,0xfdfff700,0x3f2001bf,0x000dffef,0x5bffdff7,
    0x2003e600,0x21df882f,0xaddcfc98,0x05f50001,0x135310d9,0x95555300,
    0xaa8805ff,0x003fdbaa,0x37ffbff2,0xb5555100,0x2600155f,0x1ffcaaaa,
    0x3f6aaaa2,0x4c0000aa,0x01ffcaaa,0x36eaaaa2,0xaa98003f,0x2aa60000,
    0x2aa60000,0x03530000,0x002a8800,0x00006a60,0x40002aa6,0x980001a9,
    0x260000aa,0x7fc400aa,0x003fffff,0x3fffffee,0x220003ff,0x5440002a,
    0x2a20001a,0x2a60001a,0x5510000a,0x200b9000,0xdffd305c,0x3ff63dff,
    0x5555100f,0x02207fb7,0x7fff4000,0xfb800def,0x001defff,0xb8015530,
    0xffffffff,0xffff8803,0x7fdc0cef,0x03ffffff,0x3fffe200,0x7fdc01ce,
    0x0001deff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x400be000,0x2ea600f9,
    0xff700009,0x0003bdff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1f4007a8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xadda8800,0xdb55100a,0x33332a15,0xcccccccc,
    0x7c3ccccc,0xffffffff,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0x905fffff,
    0x2abfffff,0xdddddddd,0xdddddddd,0x3fffe0cd,0xffffffff,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08010000,
    0x00191000,0x40001002,0x088000c8,0x00060000,0x01001002,0x41700008,
    0x40000038,0x4cc40400,0x99999999,0x03000999,0xaaaaa980,0x21c40000,
    0x0031002a,0x06000000,0x00055550,0x00400300,0x80100a02,0x00098000,
    0x88000000,0x0400800c,0x40001800,0x800000c8,0xf300a001,0x000bd107,
    0x2fc00dd3,0xd10007c8,0xefa8001d,0xefb80001,0x201f3000,0x101f806a,
    0x0ed8001f,0x827c0bd1,0x7035407b,0xfffffb0b,0xffffffff,0x00dfb00d,
    0x07f7775c,0x549f1000,0x01fb002f,0x00002d40,0xeed803f6,0x7dc00006,
    0x905f800e,0xf100f88f,0x400db109,0x0dc3ffea,0x0000f880,0x3e00dd10,
    0x9000f905,0xee8000bf,0x3f200001,0x400f8805,0x1bf30dfa,0x005f9800,
    0xee88774c,0x0df98001,0x7e5fe400,0x2ff60003,0x09d002fd,0x41b200fa,
    0x87e4005d,0x77cc05e8,0xf005fb10,0x9b03f105,0x35f53333,0xd00d9333,
    0x7c4000ff,0x4bd10000,0x3f6003fa,0x001ae000,0x800f6c40,0xb100006a,
    0x9805fb5f,0x83dd10ee,0x37e600f8,0x2001dd30,0xbffb8cf9,0x1f1001fe,
    0x0bf30000,0xe88f74c0,0x3ba2001e,0x20001eea,0x440001fd,0x201eeaee,
    0xee8800f8,0xfa8004fc,0x7fb10004,0xf50001bf,0x1fe88009,0xd10017ea,
    0x4027dc3d,0x7ec9bdf9,0x737df100,0x7e4001fd,0x1001dd11,0x001dd7fb,
    0x3f2ab7ee,0x1f107b05,0x5b300d70,0x007c4000,0x7f32f440,0x000fd800,
    0x220001ae,0x1aa000ee,0x83ba6000,0x7ec404fb,0x0f880dfb,0x27dff440,
    0x3b220400,0x33ee000c,0x13ea0002,0x6fdfec00,0x837ea000,0x320002fd,
    0xbf50002f,0xf8817ec1,0x00bf6000,0x40001f40,0x3a0003fb,0x80dc8003,
    0x176002e9,0x6cc00f4c,0x2000cfff,0x01dfffd9,0x0eb87e20,0x0027e400,
    0x0677ff54,0x80f883d8,0x0000006b,0xb70001f1,0x440026c1,0x0035c001,
    0x20006fc0,0x4d80006a,0xf7003f30,0x8007c407,0x000002fc,0xdbff7100,
    0xf800bbdf,0x1fdc0003,0xfb81fc00,0x01ae0000,0x0fb81fc0,0x04000f88,
    0x80000000,0x00000000,0x00000000,0x00000000,0x10000000,0x36000000,
    0x6b80f883,0xf1000000,0x00000001,0x36aa6000,0xaaaaaaae,0x50001801,
    0x0000000d,0x07c40080,0x99800100,0x33330199,0xc985db03,0x0000006f,
    0x00000010,0x00000000,0x8007c400,0x30001ab9,0x33300157,0x26666033,
    0x0d654c01,0x1abb8800,0x99999800,0x10019999,0x99803577,0x33330199,
    0x01573003,0x03595300,0x80157300,0xb80f883d,0x7bdb7106,0x200d5541,
    0x999800f8,0x33333019,0x775c0000,0xeeeeeefe,0x5555304e,0x43540015,
    0x801aaaaa,0x4401aca9,0x99999999,0x4c03e209,0x00099999,0x8bfffff9,
    0x25fffffc,0x81b601f8,0x99999998,0x22199999,0x99999999,0x22099999,
    0x31009999,0x4cc01333,0x20009999,0x4cc01998,0x9803e209,0x3ffeeffd,
    0x77fdc079,0xff903dfe,0xffc8bfff,0xfe985fff,0x2d9effee,0x3bbfb220,
    0x403c9eff,0xfffffffc,0xd9103fff,0x93dffddf,0x7ffffe47,0x7ffffe45,
    0xfddff705,0xdfd3007b,0x05b3dffd,0x6ff77fdc,0x1f101303,0x9df50510,
    0xdf15fd97,0x00f8809d,0x2fffffe4,0x17fffff2,0x01555551,0xb80035c0,
    0x000feeee,0x3bff61aa,0x3bfa604e,0x22d9effe,0xfffffffa,0x1f12ffff,
    0xffffffb0,0x4e6cc00d,0x83d93301,0x880c405c,0xffffffff,0xb0ffffff,
    0xffffffff,0x2adfffff,0x80ffffff,0x82ffffff,0x6ffffffd,0xbffff500,
    0x4bffff60,0x3bf100f8,0x109ddd50,0x7d4415fb,0x0339b304,0x2607b266,
    0x7fed40cf,0x415bd103,0x804ffc98,0x9dd99999,0x15bd1019,0x227fe4c4,
    0x33019cd9,0x5fb103d9,0x3027d441,0xffda819f,0x20afd883,0x22004fa8,
    0x07f5000f,0x4007efea,0xcd9800f8,0x3d933019,0x3fdddd50,0x00035c00,
    0x2a000f88,0x9804fa86,0x7fed40cf,0x7ccccc43,0x3e20999a,0x5f533300,
    0x026c003f,0x005d86b8,0x64f64c40,0xfa99999e,0x533339b0,0xd933335f,
    0x804cdfc4,0x200fa998,0x1fafa999,0x803f9100,0x03e20cf9,0x3fa00fa2,
    0x2600ee84,0x2009b03f,0xd80bf06b,0x804e883f,0x9b0004f9,0x9804e880,
    0x7004d84f,0x9803ba0d,0xd80bf03f,0x200ee83f,0x1f1003f9,0xa807f100,
    0x1f1001ff,0x5c013600,0x8007e006,0xf100006b,0x2e354001,0x80bf003f,
    0x07c403fd,0x572003a0,0x0136004d,0x00fdc35c,0x06b9ec00,0x220f61f1,
    0x17c6b80f,0xc801ea00,0x4e8009b5,0x3e2075c0,0xf3005e80,0x8800fb89,
    0x7004d81f,0x8803f30d,0x2006e83f,0x09b0004d,0x136006e8,0x435c0136,
    0x1f8800fb,0x3e200fcc,0x44007dc3,0x00f8801f,0x3f9006c8,0x4003e200,
    0x00d7004d,0x0d7000fc,0x003e2000,0x00bf26a8,0x3e200fcc,0x0007c403,
    0x00f52f80,0x06b8026c,0x000159fb,0xf8835c7e,0x01f107b0,0x9883e8d7,
    0x3e006b80,0xf9800f52,0xf105f301,0x2000f981,0x800fe23d,0x7004d86c,
    0x3200f50d,0x30007c42,0x81360003,0x066000f8,0x235c0136,0x1b2003f8,
    0x88b200f5,0x01b2003f,0x0fa003e2,0x8800fd40,0x009b000f,0x01f801ae,
    0x40001ae0,0x3aa000f8,0x2a001ed8,0x88059007,0x7a80000f,0x04d8017c,
    0x7ecc0d70,0xf3002def,0xb0f8835c,0xd701f107,0x84fd84d8,0xf8f5005c,
    0xe8364002,0x5b81f105,0x01ae0400,0x04d81f10,0x01f30d70,0x0001aa00,
    0x2a04d800,0x09b00006,0x00d71ae0,0x03e60f88,0x1001ae00,0x00f8801f,
    0x3f1002f8,0x4003e200,0x00d7004d,0x0d7000fc,0x003e2000,0x005fefa8,
    0x800007cc,0xd80000f8,0x4d802e44,0x2600d700,0x6400efca,0x36381ae5,
    0x6b80f883,0x43efc2e4,0xc89b004c,0x5c4e8005,0xd81f100f,0x02e40003,
    0x01361740,0x005e835c,0x000009b0,0x09b026c0,0x40136000,0x4002e46b,
    0x4002f42e,0x02e8005c,0x17c007c4,0x1001f980,0x0136001f,0x03f0035c,
    0x800035c0,0x3ea000f8,0x74004e9d,0x1f100005,0x41f88000,0x04d800f9,
    0xb1000d70,0x9ae3e80d,0xf101303a,0x46b85101,0x1ec1f9f9,0x3e60fc40,
    0x88fcc000,0xf03e202f,0x03d80005,0x026c4c80,0x7dd106b8,0x0017c003,
    0x409b0000,0x9b00002f,0x07b1ae00,0xee889900,0x007b001b,0x0f880990,
    0xf5003d80,0x003e2003,0x06b8026c,0x6b8007e0,0x01f10000,0x09f13540,
    0x00df7440,0x2801f100,0x03e83540,0x0d7004d8,0x4407e200,0x04c9ae1f,
    0xa8007c40,0x743eb5c7,0x7d06a802,0x176d9000,0x01f81f10,0x40017c00,
    0xb8026c5b,0x77fed406,0x003f00ac,0x026c0000,0x3600003f,0x2f8d7004,
    0xb505b800,0xf0159dff,0x80b70005,0x0eb800f8,0x1001fd80,0x0136001f,
    0x03f0035c,0x800035c0,0x1aa000f8,0xda8009f3,0x000aceff,0x07c401f1,
    0x01ae07b0,0x435c0136,0x2a07d001,0x27fffdc7,0x4003e200,0x46ba7479,
    0x703d801f,0xfdd1000d,0x7c0f8801,0x01740001,0x01362dc0,0x9730035c,
    0x003f03ff,0x026c0000,0x3600003f,0x2e8d7004,0x9805b800,0x1741ffcb,
    0x2202dc00,0x809d000f,0xf1001ffb,0x40136001,0x007e006b,0x00801f98,
    0xd50007c4,0x20009f30,0x801ffcb9,0x03e200f8,0x1f8807c4,0x6b8026c0,
    0x17cc0354,0x4cf5c4c8,0x07c4004d,0x3f10f880,0x007c43e6,0x0fc403e2,
    0x401fd400,0x0017c0f8,0x32000f60,0x6b8026c4,0xf0bf2000,0x7ffffc05,
    0x200d36ff,0xf80be04d,0x46ffffff,0xd8d7004d,0x004c8003,0x00f62fc8,
    0x2aaa1320,0x202aabfb,0x9fc80df9,0x01f1001f,0x35c01360,0xe8003f00,
    0x27e4c0ae,0xa8003e20,0x0009f306,0xf8805f90,0x5c03e200,0xaaaaaaaf,
    0x8026c04e,0x2027dc6b,0x2ab3e06e,0x000ee6da,0x8fc001f1,0x07997c7a,
    0xaaaaafb8,0x88004eaa,0x40f8801f,0x2e40004e,0x13617400,0x200035c0,
    0x3101ec5c,0x2a1bb333,0x6c09b007,0x26666203,0x8026c0dd,0x4002e46b,
    0x4b90002e,0x42e8005c,0xfffffff9,0x3fa201ff,0xf88efede,0xbaaaa981,
    0x81aaaabf,0x00d7004d,0x362000fc,0x2efffeff,0x9800f880,0x9f9106ca,
    0x2e400035,0xf8803e20,0xfffffd00,0xc80fffff,0xfb8b9004,0xfca89bef,
    0xdddf301f,0x88000ddd,0x64ba000f,0x807aa645,0xfffffffe,0xf88007ff,
    0x640f8801,0x035c0005,0x09903e20,0x80061720,0x2002e479,0x6c01ea4d,
    0xb0017204,0x32009909,0x220035c5,0x7980060f,0x1f1001ae,0x5cc00000,
    0x207e21bc,0xfffffffe,0x640fffff,0x510b9004,0x557f7555,0x75100355,
    0x0f880035,0x906ffe80,0x018fffff,0x1f101e60,0x7cc07c40,0x2a02f800,
    0xc989d006,0xcfffffc8,0x1ae1ae00,0x00f88010,0x2a1f4f60,0x0f980d57,
    0x44002f80,0x40f8801f,0x220002f8,0x21b2003f,0x889d006a,0x41f3001f,
    0x936000fa,0x407f007a,0x136000fa,0x227401aa,0x9b2003f8,0x1f3001f8,
    0x6c800fe2,0x00001300,0x00001f88,0x13a00d50,0x3ffffff6,0x006fffff,
    0x3e200013,0x10000000,0x03e6003f,0x3e200f88,0xb9005c80,0x2200fc40,
    0x01f9802f,0x40d707b0,0x007c405b,0x881f39b0,0x2e405b9f,0x44005c80,
    0x80f8801f,0x8d5000fc,0x1f9800fa,0x7c401f88,0xb802fc42,0x36005e86,
    0x3e601ea4,0xb002f401,0x8803f109,0x800fa82f,0x017e21f9,0x003ea35c,
    0x3f6007e6,0x7cc00006,0x00151000,0x5f1007e2,0x00033a00,0x880037ec,
    0x02a0000f,0xb802fc40,0x1007c406,0x2005f01f,0x03b600f9,0xf8802f44,
    0xd703f000,0x3e2035c0,0x1af32000,0x3e0265f4,0x001f3002,0x7c400fc4,
    0xc801db00,0x201ee83f,0x03b602f9,0x7fc42f44,0x441fc402,0x4c9b004f,
    0x017a204f,0x26c013e2,0xbd100ed8,0xf300f740,0x402ff885,0x01ee83f8,
    0x7ec00be6,0x36400006,0x003d9100,0x2f4403b6,0x40006980,0xf10006fd,
    0x1f5c0001,0x2017fc40,0x07c403f8,0x07a81f10,0x3b601f40,0x8007f4c2,
    0x079800f8,0x2035c0d7,0x36e000f8,0x07bb704d,0x0fa003d4,0x8801f880,
    0x82ffa00f,0x3602fda8,0x13ee20bf,0xfd30bb60,0x17fbf101,0x74c0bf70,
    0x4fc980ae,0xb304f74c,0x3ba6001f,0x04fc980a,0x1fd30bb6,0x220bfd80,
    0xfdf884fb,0x205fb80b,0x3ee20bfd,0x001ec004,0x2005f500,0xed800ee0,
    0x8007f4c2,0x6c000468,0x01f10003,0x402cc100,0xb80bfdf8,0xbaaaa85f,
    0x20aaaabf,0x55bb510f,0x3b6aa201,0x3bff200a,0x22000dff,0x3b6a200f,
    0x2abb6a61,0xa86daaaa,0x2aabfbaa,0x9817fd40,0xdda882ef,0xb55100aa,
    0x2aa6015d,0x202aabfb,0x7ffdc00e,0xb800dffe,0x02dffeff,0x3ffbff20,
    0x3a63a00d,0x03fffeff,0xfddfff90,0x7fe405bf,0x8000dffe,0xffeefffc,
    0xeffc802d,0xf7000dff,0x405bffdf,0xfeffe98e,0xffb803ff,0x4002dffe,
    0x544000f9,0x03fdbaaa,0x003bbee0,0xbffdff90,0xeced8001,0x007cc003,
    0x7dd5554c,0x401aaaab,0xd001eefa,0xffdffd31,0xffff307f,0x5fffffff,
    0x3fffff20,0xfffff905,0x0155300b,0xff701a00,0x3fffa3ff,0x6fffffff,
    0x7fffffcc,0x3e601fff,0x207fe00f,0x05fffffc,0x0bfffff9,0xfffffff3,
    0x100003ff,0x22000355,0x54c0002a,0xba88000a,0xa880009a,0x260009ab,
    0x880000aa,0x80009aba,0x10000aa9,0x2a200055,0x440009ab,0x06e0002a,
    0x3fffee00,0x010001de,0x00aa9800,0x0006a600,0x7ff4006e,0xffffffff,
    0x000800ff,0x04d5d440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x20000cda,0x0001aca9,0x3200000a,0x00ea0000,0x00032200,0x01002015,
    0x266600d4,0x00099999,0x00004020,0x42600154,0x0e200028,0x21555550,
    0x80100001,0x35730000,0x00298000,0x80000720,0x030000c8,0x80555550,
    0x00800400,0x01998804,0x040ccccc,0x2a800020,0x00007200,0x09100150,
    0x03ee09f0,0x01aa72e0,0x3fbbfa60,0xb002d9ef,0x100001bf,0x320001dd,
    0x7440002f,0x3fd5000e,0x9d105f50,0xfb82fec0,0xffffffff,0x3f6000cf,
    0x00037c41,0x7c4005f7,0x10005f33,0xeeed80dd,0x00007d2f,0x003e203f,
    0x7f77fecc,0x2200793f,0xf90003ff,0xbd300005,0x037f6000,0x00eeeef8,
    0x03ee037a,0x07c407e0,0x40bfffe2,0x45fffffc,0x001f101f,0x64005f90,
    0xf100002f,0x805f9805,0x5fb10ee9,0x00591a00,0x36a067cc,0x774c03ff,
    0x20001fd9,0xb0000ee9,0xf980005f,0x013a000d,0x06fd49f7,0x4cc0ba20,
    0xd99999af,0x3fd001ff,0x90007f98,0x0fc8005f,0xbf3001b6,0xf72f8001,
    0x20d90000,0x3bf1005d,0x009ddd50,0x80013fe6,0x2a0003fc,0xee88005f,
    0x03f01eea,0xd88ff440,0x20d9002f,0xdfb3105d,0x40fdccc0,0x000bb06c,
    0xf90003fb,0x0f700007,0x22004fa8,0x000eebfd,0x2001c83a,0x01fec05f,
    0x03fc8bf5,0x0005f980,0x80003db1,0x7cc004fa,0xfcee9800,0xf016e003,
    0x007ec403,0x80011008,0x44001fd8,0x801fd44f,0x5f0004fa,0x220001fc,
    0x1feb9bef,0xe803e880,0x02ea004f,0x009f5000,0x50009f70,0x41fe41bf,
    0xcfc8001f,0x3e2000ee,0x00feb9be,0x2a027664,0x737df106,0x744001fd,
    0x3ea0001e,0x01f40004,0x2e0007f7,0xaea8004f,0x07e6006c,0x1f407f10,
    0x74000ea8,0x03aa0004,0x000fa000,0xed8801aa,0x203d4001,0x027c401f,
    0x75c00000,0x81fc8000,0x007f006e,0x00d717c0,0xbfffb100,0x4017a003,
    0x000004f9,0x8001d300,0x07d0002e,0x003f03ea,0x40013ea0,0x01dfffd9,
    0x200facc8,0x3ff6606a,0x75c001df,0x0e980000,0x201f5000,0x040002e8,
    0x00571000,0x059007a8,0x00000000,0x00000000,0x1000d500,0xf80f5000,
    0x3305c801,0x26660333,0x40000019,0x003f706f,0x445f0000,0x0000002f,
    0xd8003e60,0x03573003,0x00000000,0x0fc00000,0x00001000,0x2ed32000,
    0x00000d50,0x00000000,0x00004e80,0x4ccccccc,0x26601999,0x20009999,
    0x980000f9,0x00099999,0x26666666,0x26601999,0x20009999,0x99999998,
    0x4c1aa000,0x09999999,0x3e03d400,0xfc84c801,0x7e45ffff,0x2665ffff,
    0x00999999,0x7c40bea0,0x200ccc45,0x0be00999,0x266000d9,0x20009999,
    0x2004005b,0xffeeffd9,0x99998793,0x99999999,0x4ccccc19,0x99999999,
    0x4cccccc1,0x19999999,0x1998807e,0x20ccccc0,0x99999999,0x90199999,
    0x3540be29,0x4cccccc4,0x4cc40999,0x0ccccc01,0x26666662,0x2a000999,
    0x9999880f,0x44099999,0xffffffff,0xffd80fff,0x4006ffff,0x7ec0005e,
    0x006fffff,0xfffffff1,0xfb01ffff,0x00dfffff,0x7ffffff4,0x0d5000ff,
    0xfffffff7,0x50019fff,0x4401f80f,0x339b301f,0xb87b2660,0xffffffff,
    0x3ec00cff,0x7fd43f60,0xfffb05ff,0xf10be05f,0xfffd8003,0x36006fff,
    0x3e200003,0x4eeea81d,0x3fffffee,0x7fffffff,0x3fffffee,0x7fffffff,
    0x3fffffee,0x7fffffff,0x7ffc407e,0xffff902f,0x3fffeebf,0xffffffff,
    0x3649907f,0x7ffd46a8,0xffffffff,0x05ffff12,0x57fffff2,0xfffffffa,
    0xd002ffff,0xfffff509,0x45ffffff,0x99999af8,0x3300fb99,0x003f5f53,
    0x000df744,0xfafa9998,0x99af8801,0x0fb99999,0xf5f53330,0x26662003,
    0x200099af,0x35f3306a,0x3ffb3333,0x0fc07a80,0x4d80bf70,0xf330d700,
    0xfb333335,0x01be203f,0x0fe445f9,0xf8033e60,0x98005c82,0x01fafa99,
    0x200005f0,0x4fe803e8,0x4ccd7ccc,0x47b99999,0x9999af99,0x4c7b9999,
    0x99999af9,0x07e7b999,0x206fd988,0x4cc1fb99,0x999999af,0x89907b99,
    0x9886a83e,0x999af999,0x037ecc40,0x9883f733,0x999af999,0x201f3000,
    0x9af99998,0x00fc4099,0x572009d1,0xfda8004d,0x4000acef,0xf1009b5c,
    0x80274403,0x20009b5c,0x0d70001f,0x3f6201f8,0x9f01ea00,0x9ffb7555,
    0x2e009b00,0xd8807e06,0x405f980f,0x404e84fb,0x417c00eb,0x320001f9,
    0x07e009b5,0x802f4000,0x003f04f9,0x2007e0f5,0x5003f07a,0x66400fcf,
    0xf035404e,0x320f5003,0x1aa07d44,0x64003e20,0x035404ec,0xd80007c4,
    0x003e2005,0x036c03f1,0x001ea5f0,0x03ff9730,0x807a97c0,0x01b601f8,
    0x000f52f8,0x2ec0007e,0x9f1007e0,0xdf00fc40,0x01bfdddd,0x35c01360,
    0x4f8803f0,0x7d404fa8,0xf301f985,0x3605f005,0x54be0005,0x0003f007,
    0x6c001f30,0xf5003f03,0x1ea007e0,0xf3d400fc,0x1f599003,0x03f03540,
    0x21320f50,0x4403545d,0xf599000f,0x44035401,0x1f98000f,0x1003e200,
    0x003ea03f,0x000be3d4,0xa802fc80,0x3e2017c7,0x2001f501,0x40017c7a,
    0x7ecc001f,0x6400fc01,0x405fec05,0x01fec41f,0x0d7004d8,0x42e400fc,
    0x37c403fb,0x00bd06c8,0x007cc0be,0x00be3d40,0x2e0000be,0x3f004005,
    0x07e0d300,0x00fc1a60,0x9003f34c,0x06a81769,0x41a6007e,0x2a1f984c,
    0x000f8806,0x6a817699,0x8000f880,0x07c4005c,0x1fc406c0,0x05c89b00,
    0x402e4000,0x6c02e44d,0x2003f880,0x4002e44d,0x2ff4001f,0x26400fc0,
    0x3e0bfe60,0xb007f701,0xf81ae009,0xfc84c801,0xd037c402,0xf000fb89,
    0x40027405,0x7402e44d,0x03d80004,0x0607e000,0x40c0fc02,0x10303f00,
    0x8a6400fc,0x7c0d502f,0x99008181,0x806a9b20,0x299000f8,0x00d502f8,
    0xf88001f1,0x007c4002,0x4400bd00,0x2007cc1f,0x101e6001,0x000f983f,
    0x7c400bd0,0x20007cc1,0x3fa8001f,0x3e200fc0,0xf806fc01,0xb00be601,
    0xf81ae009,0x5c0fc401,0x02fcc03f,0x00be23f3,0x03ea02f8,0x7cc1f880,
    0x0002e400,0xf000017c,0x3e003f03,0x3f001f81,0x00fc03f0,0x2a0d9264,
    0x07e07e06,0x3f882640,0x01f100d5,0x506c9320,0x001f100d,0xf88006c8,
    0x01f70000,0x03e83540,0x7cc007e2,0x1f41aa00,0x0007dc00,0x000fa0d5,
    0x1720003f,0x2fdc03f0,0x1f803e60,0x9b007e40,0x1f81ae00,0x7d417ee0,
    0x2027d404,0xf800bb6c,0x50027402,0xf100fa0d,0x01f80005,0x3e07e000,
    0x3f03f001,0x07e07e00,0x44c801f8,0x3e06a83e,0x99001f81,0x03547d40,
    0x4c8007c4,0x403541f4,0x3e2000f8,0x00f88002,0x4002f980,0x440d703d,
    0x80d7005f,0x800d703d,0x1ec002f9,0x0fc006b8,0x7c06a800,0xffdbaaac,
    0x7c07a804,0x3604e801,0x7c0d7004,0xffdbaaac,0x701be604,0xfee8807f,
    0x2017c000,0x07b000fa,0x03f201ae,0x007e3540,0xfffff800,0xfff001ff,
    0x2003ffff,0x1fffffff,0x132007e0,0x206a81f5,0x1fffffff,0xce809900,
    0x00f8806a,0x40fa8990,0x00f8806a,0x44001ae0,0x04e8000f,0xf8807c40,
    0x805ff101,0x03e203f8,0x9d000fc4,0x100f8800,0x00fc003f,0x77c06a80,
    0x00dfeeee,0x01f80f50,0x09b01f98,0xeef81ae0,0x800dfeee,0x00fe407f,
    0x7c001fd4,0x8803f802,0x003f100f,0x3fc801db,0xf000017c,0x03f33335,
    0x26666be0,0x335f001f,0x0fc03f33,0x22ec2640,0x266be06a,0x99001f99,
    0x806cf980,0x099000f8,0x8806a8bb,0x00fe000f,0x20007c40,0xafb8006c,
    0x4eaaaaaa,0x017fbf10,0xafb80bf7,0x4eaaaaaa,0x7000d900,0x5555555f,
    0x00fc009d,0x3e03540c,0x801fec41,0xcfaa887a,0x2bb200aa,0x6b8026c0,
    0x7fb107e0,0x7401f900,0x003f1006,0x0d7005f0,0x55555f70,0x3a009d55,
    0x3f6a20bf,0x00004e82,0x4007e07e,0xf001f81f,0x0fc03f03,0x0fcc2640,
    0x7c0fc0d5,0x56ed4401,0x00df900a,0x132001f1,0x806a87e6,0x0f7000f8,
    0x0007c400,0x40e603f5,0xfffffffe,0x263a07ff,0x3fffeffe,0xfffffe80,
    0xa807ffff,0x3a07301f,0xffffffff,0x007e007f,0xf80d507e,0x5007f701,
    0xfffff70f,0x27fc405f,0x02e40132,0x00fee03f,0x0fe609f3,0x4000fc40,
    0x02f8802f,0x7ffffff4,0x2e007fff,0x0dffefff,0x40000b90,0x3e00381f,
    0x07e00381,0x9003f00e,0x06a9b209,0x2e00e07e,0x105fffff,0x01f100df,
    0x53641320,0x001f100d,0xf88000fa,0x407f1000,0x800f986b,0x5f51002f,
    0x01f30013,0x1fc405f0,0x01f30d70,0x07e005f0,0x80d507e0,0x00be601f,
    0x000000f5,0x027401aa,0x017cc03f,0x007ec1fa,0xf8001f88,0x4c0d9002,
    0x002f800f,0x4400df44,0x3f00002f,0x07e0ee00,0x00fc1dc0,0x9003f3b8,
    0x354fe209,0x0ee003f0,0x7c400000,0x22099000,0xf100d53f,0x001f5001,
    0xd8007c40,0x2e435c05,0x74005c80,0x40172000,0x7017605c,0x3200b90d,
    0xf003f005,0x0fc07a83,0x6a803f20,0x00054400,0x5f1007e2,0x3f200fc0,
    0xf10bea00,0x00fc400b,0xf88017c0,0x3200b902,0x001e8005,0x354003f2,
    0x099001f8,0x2132003f,0x3e99001f,0x2a04c801,0x07e06a8f,0x15002640,
    0x003e2000,0x51f50264,0x001f100d,0xf880009d,0x400fb800,0x3002f86b,
    0x175c001f,0xf3002f80,0xb801f701,0xf3002f86,0xf003f001,0x3e01f883,
    0x3604e801,0x0f644004,0x4403b600,0x400fc05e,0x3237404e,0x07e2001f,
    0xc800be00,0x26005f06,0x1edc000f,0xc801db00,0x2003f03f,0x9001f84c,
    0x32003f09,0x099003f4,0x3e06ace8,0x40099001,0xf88003eb,0xe8099000,
    0x0f8806ac,0x00007cc0,0x5f3003e2,0x07a8d700,0x85401f40,0x007a8059,
    0x00be61f4,0x800f51ae,0x801f803e,0x80aec81f,0x41f9801f,0x82001fc9,
    0x2ed8003b,0x3e007f4c,0x201f9801,0x0017e1fa,0x331003f1,0x7c4005f3,
    0x3a003d41,0x1a215003,0x4417fd00,0x07e02fda,0x00fc2640,0x001f84c8,
    0x0666fe99,0x33e60264,0x64007e06,0x01660804,0x64003e20,0x0367cc04,
    0x176007c4,0x003e2000,0x555555db,0x2a2d9555,0x5100aadd,0x64015db5,
    0x2a201eef,0x5100aadd,0x3b615db5,0xaaaaaaaa,0x5bb516ca,0x36aa2015,
    0x2aaa60ae,0xaaaaaacf,0xfb881fba,0x559f5512,0xe8576401,0x77dc001d,
    0xff90000e,0x2201bffd,0x00aacfaa,0x9ec02bb2,0xaa9800e9,0xd02aabfb,
    0x8005ffff,0x55bb515d,0x3b6aa201,0x777dc00a,0xfffb8002,0xa880dffe,
    0xaaaaacfa,0x514eaaaa,0x555559f5,0x229d5555,0xaaaacfaa,0xf4eaaaaa,
    0x5443ffff,0xf900aadd,0xacfaa88d,0xaaaaaaaa,0xeefa804e,0xbaaaa801,
    0x20aaaabf,0x00aadda8,0x55550df9,0x155557f7,0x2a0007e6,0xaabfbaaa,
    0x3fff60aa,0xffffffff,0xbfffff96,0x3fffff20,0xfc800805,0xf905ffff,
    0x3f6bffff,0xffffffff,0xffff96ff,0x3fff20bf,0x3fffa5ff,0xffffffff,
    0xf7001fff,0x405fffff,0x00004ff8,0x2a600001,0x7ffdc00a,0x3e202fff,
    0x2600004f,0xffffffff,0x1000001f,0x3fffff27,0xfffff905,0x0000200b,
    0xf7006aa2,0xffffffff,0x2e9fffff,0xffffffff,0x74ffffff,0xffffffff,
    0x09ffffff,0x3ffffee0,0xfb8df105,0xffffffff,0x004fffff,0x7ffcc002,
    0xffffffff,0x3ffffee2,0xf98df105,0xffffffff,0x000512ff,0xfffffff3,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,0x00060004,
    0x01000530,0x33331008,0x26001333,0x98809999,0x10040099,0x35771000,
    0x0000c000,0x40100018,0x02010000,0x4ccccc40,0x01008009,0x30002a20,
    0x80333333,0x99999998,0x4cccc099,0x99999999,0x44750019,0x00402005,
    0x0a880000,0x80cccc40,0x26019999,0x00099999,0x55555510,0x32600155,
    0x4400082e,0x336a000a,0x33330040,0x26200333,0x0aaaaaaa,0x06f40ba6,
    0xfd8007dc,0xff88000d,0x40f64003,0xfffe82fa,0x400fffff,0x3ffffffb,
    0x81fffff4,0x03fb86f9,0xfeefec88,0x9003c9ef,0x220001bf,0x26002ffd,
    0x003fb86f,0x1be20fec,0xffffff50,0x0fec09ff,0x3fa01be2,0x3fffe006,
    0x880fffff,0xffffffff,0xfff71fff,0xffffffff,0x97200fff,0x83fb007a,
    0xec8806f8,0xfb000def,0x7fffd40d,0x7fffd43f,0xffffd83f,0xf50006ff,
    0x7fffffff,0xdf9bf500,0xd800fb35,0xcfe8807f,0x82fb8bfe,0xffffffff,
    0xdbff700f,0x4155f757,0x3fb105fd,0x2200bf62,0x001eeaee,0x40027fcc,
    0x40fee3fc,0x99af9998,0x37f33000,0x01bf5101,0x27e437cc,0x882b7a20,
    0x4404ffc9,0x001eeafd,0x77dcf7dc,0xc86f9801,0x0ff4004f,0x26601fe6,
    0x00999999,0x0ff307fa,0x4400ffd0,0x09999999,0x3e666620,0x4cc0999a,
    0x999999af,0x99007b99,0x1fe80354,0x3a603fcc,0x00efb9be,0x6c407fe8,
    0xd933019c,0x7d4ccc03,0x000001fa,0xfd886a00,0x7ec000ef,0x705cc00f,
    0x26207fff,0x80999999,0x43b0cff8,0xc80bf906,0xa800eecf,0x001fe45f,
    0x540002ea,0x2001fddf,0x07e0001f,0x11004f98,0x09d10060,0x7cc09f30,
    0x400ff20d,0x17e442ed,0x00180440,0x00022010,0x04402000,0x0000e4c0,
    0x00f88000,0x0f5003f0,0x006b9360,0x3a004402,0x9300db05,0x2009b003,
    0x6d72006b,0x00000004,0x10001880,0x4c400039,0x7f400000,0x320d0ec3,
    0x04fa805f,0x07d40fa0,0x26000000,0x0fc000ee,0x2a03f000,0x0000003f,
    0x026c00dd,0x003ea09d,0x00013002,0x00000000,0x0000ab98,0x99800000,
    0x33330199,0x000f8803,0x00f5003f,0x0005b8f6,0x300fa800,0x6c00001f,
    0x400d7004,0x3000f52f,0x003f907f,0x0000ab98,0x33331000,0x88133333,
    0x99999999,0x361be209,0x027dc1a1,0x00000008,0x006aee20,0x07e00000,
    0xfb81f800,0x15730003,0x4001f100,0x88000019,0x00000aaa,0x01333333,
    0x4cccccc0,0x19999999,0x3fbbfee0,0x2666203d,0x40999999,0x99999998,
    0x3fff2099,0x7ffe45ff,0x03e205ff,0x34c00fc0,0x81723e80,0x4cc01998,
    0x3a01fc09,0x4cccccc3,0x4d819999,0x2a00d700,0x2e0017c7,0x003fe85f,
    0x7bfddff7,0x4cccccc0,0x19999999,0x3fffffea,0xf52fffff,0xffffffff,
    0x20fea5ff,0x27dc1a1d,0x26666662,0x33331000,0x40133333,0xffeefec8,
    0x4ccc3c9e,0x99999999,0x00fc0199,0x2fc83f00,0xeeffb800,0x01aa03df,
    0x80cccc00,0x774c1999,0xfd80001f,0x006fffff,0xfffffff7,0x0fffffff,
    0x54415fb1,0xffffa84f,0x2fffffff,0xfffffff5,0x6cc5ffff,0xd933019c,
    0x000f8803,0x0010303f,0xf504c8ba,0x3f60bfff,0x01f32fff,0x3ffe24c8,
    0xffffffff,0x6b8026c0,0x05c89b00,0x02880a80,0x220afd88,0xfffb84fa,
    0xffffffff,0x4ccc47ff,0x40999af9,0x9af99998,0x213ea099,0x1fdc1a1d,
    0xfffffff7,0x3ea059df,0xffffffff,0xade882ff,0x93ff2620,0xfffffffb,
    0x07ffffff,0x3f0000fc,0x22000fe4,0x3ea20afd,0x00009b04,0xc8dffff9,
    0x3f06ffff,0x26660000,0x3001fafa,0x333335f3,0xdd0f7333,0x441fcc01,
    0x99af9999,0x4cccc409,0xd80999af,0x100d7004,0x207e001f,0x45f0001f,
    0x07f2204d,0x3d419f30,0x7c49d310,0x9999999a,0x8026c0fb,0x41f8806b,
    0x000000f9,0xf3007740,0x335f3307,0xf7333333,0x4000f880,0x1be200f8,
    0x7f506876,0x9999dc88,0x3104fca9,0x3335f333,0x3009d101,0x9af9989f,
    0xb9999999,0x0000fc07,0x000bf63f,0x3f9803ba,0x300002f8,0x3e66037f,
    0x00007e02,0x0026d720,0x71ea007e,0x03f1001f,0x44000f88,0x004d800f,
    0x01f100d7,0x007e07e0,0x777f76cc,0xd05eeefe,0x5c0eb809,0x4fffe985,
    0x4e8807e2,0x0d7004d8,0x00fa0d50,0x0fb80000,0x3f01f880,0xf880f500,
    0x007c4000,0x343b0ff6,0x05c82fa8,0x7c40274c,0x2006e800,0x5003f04d,
    0x0001f80f,0x0ffbbabe,0x8800fb80,0x0000fc1f,0x03f003f0,0x400000fc,
    0xf800f52f,0x3e27a801,0x101b2003,0x0f88001f,0xd7004d80,0x2001f100,
    0x1fffffff,0x9f997100,0x0799bf99,0x17cc07e6,0x2f7e6264,0x807e24c8,
    0x2009b06d,0x703d806b,0x0aaa880d,0x88155550,0x41b2003f,0x407a801f,
    0x7c4000f8,0xb1cfc800,0x82f98343,0x01f9805c,0x3e2007c4,0x7c066000,
    0x7c07a801,0x37fe0001,0xf100df70,0x3e364007,0x07e00001,0x01f807e0,
    0x3e3d4000,0x2007e002,0x1001ae69,0x007c401f,0x36003e20,0x100d7004,
    0x26be001f,0x8001f999,0x400be0f9,0x320bd06c,0x89323744,0x201f501f,
    0x80d7004d,0x03f100f8,0x4417f754,0x35c1feee,0x3e03e200,0x44069801,
    0x07c4000f,0x1ffec980,0x6417cc1a,0x880d9005,0x0035400f,0xd3003f00,
    0x01801f80,0x809d30bf,0x07c4006b,0x7fffc05f,0x01f86fff,0x4c7e01f8,
    0x8002dedb,0xf002e44d,0x2e410303,0xf1017400,0x00f88001,0x0d7004d8,
    0x3e001f10,0x98001f81,0x9d000fc7,0x49900fb8,0x362642f8,0x3603f880,
    0xb80d7004,0xaaaaaaaf,0x005f004e,0x8005c83f,0x8181f82e,0x0007c400,
    0x220003e2,0x0fc41a1d,0x1f8802e4,0x9b003e20,0x40fc0000,0x00fc0081,
    0x880fc0fc,0x0017202f,0x2203d8ba,0x80dd9999,0x201f801f,0xebbdfb9f,
    0x07e2005f,0x07e001f3,0x003d807e,0x03e204c8,0xb001f100,0x201ae009,
    0x03f000f8,0x89ea0007,0x47e6001f,0x993202f8,0xe802640f,0xb8026c05,
    0x7ffff406,0x007fffff,0xd83f005f,0xf84c8003,0x44001f81,0x07c4000f,
    0x41a1d800,0x005c80f8,0x00f880fa,0xf000017c,0xf8003f03,0x1f81f801,
    0x03d81b20,0x01724c80,0x007e09b0,0x1fef807e,0xd5002f98,0x0fc00fa0,
    0x005f00fc,0x07c40b70,0x2003e200,0x00d7004d,0x07e001f1,0x554c1dc0,
    0xabfbaafc,0xbb6c800a,0x21f44c80,0x00fb804c,0x05b80264,0x0be003e6,
    0x07e00be0,0x0b70005f,0x8003f03f,0x7c4000f8,0x343b0000,0x80172010,
    0x003e204c,0x7c00003f,0x7c001f81,0x1f81f801,0x02f817c0,0x03ea5b80,
    0x03f04d80,0x0ffc03f0,0x0f600b90,0xfff8035c,0x3a01ffff,0x205b8002,
    0x7c4000f8,0x7004d800,0x001f100d,0x4264007e,0xfffffffe,0x8802ffff,
    0x26400fee,0x026c73ea,0x1ae00be6,0x0b9026c0,0x0be01720,0x005d07e0,
    0xffff0b70,0x88003fff,0x07c4000f,0x01a1d800,0x5c801720,0x3f003e20,
    0x7ffc0000,0x4001ffff,0xf81f801f,0x2e836401,0x2f45b800,0x3fe09b00,
    0xffffffff,0x100be01f,0x00f8801f,0x35f003f1,0x6c03f333,0x204c8003,
    0x7c4000f8,0x7004d800,0x001f100d,0x0264007e,0x0007996e,0x0b9007f5,
    0x01ffffb5,0x1f980274,0x5f017c40,0xf003e600,0x3d83f005,0xaf84c800,
    0x001f9999,0x220007c4,0x43b0000f,0x005c8006,0x00f88172,0xffff017c,
    0x35f0dfff,0x8003f333,0xf81f801f,0x6c0fc401,0x444c8003,0x209b004f,
    0x999999bf,0x07e01f99,0x5f7007e0,0x9d555555,0x03f03f00,0x174002e4,
    0x88001f10,0x004d800f,0x01f100d7,0x264007e0,0x007a9720,0xd7003f10,
    0x900d4c40,0x00ed800d,0x007a8176,0x00be01f4,0x000b907e,0x3f03f05d,
    0x000f8800,0xd80007c4,0x172001a1,0x3e204d80,0x3101ec00,0xf01bb333,
    0xa9803f03,0xaaaacfaa,0x511fbaaa,0x201559f5,0x01721add,0x3ba60ba0,
    0x04fc980a,0x403f003f,0x401f801f,0xfffffffe,0x81f807ff,0x20035c03,
    0x03e200f8,0x9001f100,0x26172009,0xaabfbaaa,0x33eaa22a,0xaaaaaaaa,
    0x726c04ea,0x07e2000d,0x80003e60,0x107301fa,0x0ee985dd,0x0aadda88,
    0x15db5510,0x07e00be0,0x0f8800d7,0x800381f8,0x7c4000f8,0x343b0000,
    0x05c83db8,0x0f880be0,0x36002e40,0x00703f04,0xfffffffd,0x3fffffff,
    0x3fffffee,0x21fff502,0x07c4006b,0xfddfff90,0x00fc05bf,0x003f00fc,
    0x007cc03f,0x007e017c,0x003f89dc,0x01f101b2,0xa800f880,0xf889d006,
    0xffffffff,0xffff71ff,0xffffffff,0x23d809ff,0x3f10005b,0x4000fa00,
    0x41ae03f8,0xdffeffd8,0xfffff900,0x3ffff20b,0xf005f05f,0x2003f883,
    0x2003f06c,0x003e203b,0x20001f10,0x3fe61a1d,0x8802e41f,0x003e200f,
    0x26c001f5,0x077001f8,0x00000000,0xd9001fc4,0x26aea200,0xf801f800,
    0x3e007e01,0x64017201,0xc800fc05,0x26003ea4,0x007c401f,0x22003e20,
    0x017c401f,0x00000674,0xc8fa00ba,0x03f10005,0x6c001ae0,0x22035c05,
    0x00000aed,0x3e803660,0x7d40fd40,0xf01f9800,0x88132003,0x07c4000f,
    0x21a1d800,0x2e40fff8,0x7c406c80,0x2005e800,0x2003f04d,0x0015004c,
    0x54001500,0x01f9800f,0x3f0002a0,0x0fc03f00,0x05f00fc0,0x1f803e60,
    0x1ee89900,0x2200be60,0x07c4000f,0xd100ed80,0x000d300b,0x3a009500,
    0x44001322,0x03ba001f,0x003ee05c,0x005b00d7,0x80390000,0x07fee05b,
    0x5f300f74,0x4c800fc0,0x10003e20,0x8760001f,0xb9035106,0x8801f700,
    0x04f8800f,0x007e09b0,0x3eb80264,0x01f5c000,0x7cc03dd0,0x01f5c002,
    0x03f003f0,0x80fc00fc,0x01f4007a,0x2132003f,0x3ee20bfd,0x001f1004,
    0x36000f88,0x007f4c2e,0x00002344,0x8be02966,0x3f10004d,0x56774c00,
    0x3e60eeba,0xd806b802,0x40000022,0x7f10513b,0x3ebf6a21,0x417fb01c,
    0x0fc04fb8,0x2aaa4c80,0xaaaabfba,0x3eeaaaa0,0xb80aaaab,0xff95ffff,
    0x0172005f,0x1f1003f7,0x02bba600,0x0fc13f26,0x30404c80,0x5982000b,
    0x105fec00,0x304009f7,0x400fc00b,0x2007e01f,0x56ed441f,0xdb55100a,
    0x33eaa215,0xaaaaaaaa,0xdff704ea,0x55405bff,0xaaabfbaa,0x2eaaaa0a,
    0x00aaaabf,0x37ffbff2,0x3b3b6000,0xdd900002,0x05907409,0x5fdd54c0,
    0xec8802aa,0x76c0abdf,0xaaaaaaaa,0xcf9806ca,0x1000006d,0x3ae05df9,
    0xff0dffef,0x3bfee01f,0x55102dff,0x5555559f,0x3e69d555,0xffffffff,
    0xffff32ff,0x5fffffff,0xa8800000,0xdaaaaaed,0x555502ff,0x155557f7,
    0x777ffe40,0x55442dff,0xaaaaaacf,0x5404eaaa,0x50001eef,0x70003ddf,
    0x05bffdff,0x01eefa80,0x40acfa98,0x20acfaa8,0x7302bfb9,0x7ffe457f,
    0xfff905ff,0x3ffeebff,0xffffffff,0x54404fff,0xffff9802,0x2fffffff,
    0xfffffff3,0x3005ffff,0x26000155,0x0000001a,0x7fcc0000,0x1fffffff,
    0x3ff60000,0xffffffff,0x1551006f,0x00000000,0x100006a6,0xfff70055,
    0xffffffff,0x00009fff,0x00000000,0xffffffa8,0xf300adff,0xffffffff,
    0x751005ff,0x3fee0135,0xffffffff,0x1004ffff,0x00020000,0x0000aa20,
    0x7ffcc002,0x7ffdc5ff,0xffff13ff,0xffff883f,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x01999999,0x082dc980,0x00710000,0x04000040,0x2aea2000,
    0xceb88000,0xb5000040,0x4cc019df,0x40019999,0x0aaaaaaa,0x00000400,
    0x00000071,0x001706a0,0x00000000,0x00080000,0x00003880,0x00001000,
    0x510e0000,0x00000400,0x80070000,0x0100000b,0x001c4000,0x7ffcc000,
    0x005fffff,0x2bbf37ea,0x880007e9,0xeea8006e,0xed98000d,0x7f44001d,
    0x000effef,0x17fd7dd1,0xf90005f9,0x3e03977d,0xffffffff,0x556fd400,
    0x2003daaa,0x880004fb,0x100f806e,0x17d4001f,0x1eb801f9,0x07c03e88,
    0x13e00f88,0x4fb803dc,0x01ba2000,0x06c81fc4,0x7001bf50,0x009d103d,
    0x027c4db0,0xf000f744,0x0003e201,0x74001dd1,0x7dc0000e,0x6e880004,
    0x1ee09f00,0x33333330,0x10dc0013,0x0001dffb,0xd0005f98,0x3a0016a1,
    0x7cc00d11,0x017e4c1d,0x3ffee1cc,0x02fa8002,0x26666620,0x074c0099,
    0xfb100770,0x20001df7,0x0b9005f9,0x3fa80172,0x7e4007f2,0x90037ea3,
    0xf301720b,0x00bf621b,0x01df7fb1,0x000df980,0x774437ea,0xeebfc801,
    0x2a3fc801,0x76c000df,0xf500bd10,0x32007f9b,0x8800b905,0xfd8000ee,
    0xbfd88001,0xf30000ef,0x3be6001b,0x0005fb10,0x03100000,0x009f5000,
    0x800d12a0,0x4c00ec58,0x017dc04f,0x20001300,0x0000006e,0x00ee01e4,
    0x3f621dd3,0x027d4001,0xb537bf10,0x8fe6003f,0x7d4001fc,0xf1003fcd,
    0x03fb537b,0x1dd7fb10,0xb10ee980,0x13ea003f,0x7df74400,0x0f74400d,
    0xbf5007f9,0xfb0007f9,0x32017a21,0x2017ea3f,0xfda9bdf8,0x017e6001,
    0x4005f900,0x3fb10ee9,0x004fa800,0x0eebfd88,0x99999980,0x33330000,
    0x88000133,0x9a20003f,0x20e80058,0x2009d006,0x0199886c,0x800ccccc,
    0x9999803f,0x99999999,0x8803b019,0xfc827c00,0x007f1000,0x5dfffd30,
    0x5f127400,0x07fa6000,0xdfffd300,0x04fc8005,0x03f209f0,0x20000fe0,
    0x1bb003fc,0xd3003f50,0x3f50003f,0x0f5c02e4,0x74c0274c,0x4002efff,
    0xf700004f,0x6413e001,0x00fe000f,0x2009f900,0x6ffffffd,0xffffd800,
    0x000006ff,0x3dbd7000,0x5d9d5000,0x2001f500,0x3ffe23f8,0xffff902f,
    0x01f880bf,0x7fffffdc,0x7fffffff,0x10000950,0x00000080,0x00000180,
    0x00004000,0x00100006,0x00002004,0x08002000,0x00200040,0x00000000,
    0x00000c00,0x40010000,0x00000400,0x4c000800,0x01fafa99,0xafa99980,
    0x4000001f,0x0003000b,0x02740030,0xfb311ee0,0x0fdccc0d,0x4c00fc40,
    0x99999af9,0x6d47b999,0x000004ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x009b5c80,0x009b5c80,0x337b6e60,0x00003f61,0x0fc00000,
    0x3203e200,0x035404ec,0x266be666,0x5400fc00,0x1ec87667,0x05555500,
    0x102aaaa8,0x0a39bdb5,0x37bdb950,0x402aaa20,0xa800aaaa,0x101bdedc,
    0x2aa01555,0x36a200aa,0x4c051cde,0x001bdedb,0x037bdb73,0x33bb2e20,
    0xeda88063,0x554451cd,0x1555500a,0xbdedb980,0xdd971001,0x2e600c79,
    0x1001bded,0x0c79dd97,0x7bdb9510,0x372a2001,0x54000bde,0x001bdedc,
    0x037bdb73,0x00f52f80,0x00f52f80,0xfb79df90,0x5443fbbf,0x555500aa,
    0x76e54401,0x03e200bd,0x33207e00,0x81aa00fa,0xffffffff,0x2007e00f,
    0x3aa0727a,0x77fec00c,0x3ffb600e,0x37ffa20e,0x80feffdb,0xecbcdfd8,
    0x2feea83f,0x01feee88,0x32f37f62,0xfeea83fe,0x1feee882,0xdbdffe88,
    0xfb80feff,0x04fecace,0x765677dc,0x677d404f,0x1faffecb,0x6defff44,
    0xdd50feff,0xfddd105f,0x5677dc03,0x7d404fec,0xaffecbce,0x59df701f,
    0xfa809fd9,0xaffecbce,0x677f441f,0x202ffdbb,0xdbbcefe8,0xfd8802ff,
    0x03fecbcd,0x765677dc,0xf8f5004f,0xf8f50002,0x407ba002,0x77542ffa,
    0xfeee882f,0xbcefe881,0xf302ffdb,0x320ba000,0x03540bb4,0x335f3331,
    0x9801f801,0x3eb81666,0x36002dc0,0xd301fd83,0x00df981f,0x017c0bd5,
    0x0df980fc,0x17c0bd50,0x0fec0fc0,0x7ec0fe98,0x360dd302,0x20dd302f,
    0xff7103fb,0xd301fd83,0xf005f01f,0x4c0bf603,0x207f706e,0xfd81ffb8,
    0x2e0dd302,0x3ff7103f,0x07e40150,0x07e40150,0x2a01bf30,0x205fb05e,
    0x44d806e9,0x89b0005c,0x01d9005c,0x5f02efe4,0x02a03f00,0x07980fc8,
    0x29905d00,0x00d502f8,0x1f8007e2,0x026c0818,0x1e603d91,0x05f05f00,
    0x02f40fa8,0x02f817cc,0x00bd01f8,0x00be05f3,0x500be07e,0x2007dc1f,
    0x007dc4f8,0x05f113e2,0x02f83fb0,0x017c07d4,0x007dc0fc,0x05f113e2,
    0x0fb83fb0,0x3e227c40,0x001fd802,0x20003f88,0x017a03f8,0x01f70be6,
    0x3e204f88,0x20007cc1,0x007cc1f8,0x9fc807e6,0x005f02f8,0x3e20003f,
    0x8000f883,0x1b24c81f,0x1f880354,0x07e07e00,0xe9807b20,0x3fa83f02,
    0x02f407c4,0xa801ee1c,0x3f005f07,0x3d400f70,0x81f802f8,0x3e23805e,
    0x223f5002,0x43f5002f,0x83f1005d,0x5f03805e,0x2f883f00,0x2ec3f500,
    0x3e21f880,0x6c3f5002,0x003f1005,0xb0001360,0xa801ee09,0x5400be27,
    0x3a0d501f,0xe8354003,0xf902e403,0x02f82e43,0x360001f8,0x98003f04,
    0x1f44c80f,0x1f880354,0x07e07e00,0x880674c0,0x7ec3e81e,0xcfa83546,
    0x009b000a,0x802f81f8,0x4004d81f,0xf802f81f,0x00acfa81,0x9f4006a8,
    0xf1f4006a,0x7d404003,0x17c000ac,0x01aa0fc0,0x000fc7d0,0x74006a81,
    0x008007e3,0x9b099988,0x42666200,0x8009b04d,0xe800d51f,0x1ae07b03,
    0x1ae07b00,0x07ee09b0,0x200be0d5,0x9998801f,0x013a09b0,0x51320f70,
    0x1006a81f,0x7ffc003f,0x4001ffff,0x909502eb,0x907d7c49,0x7ffecc0b,
    0xdddd02ce,0xdddddddd,0x005f05fd,0xddddd03f,0xdddddddd,0xf005f05f,
    0x3fff6603,0x005c82ce,0x4005ca64,0x0001f14c,0x9dfffb30,0xf802f805,
    0x32002e41,0x40001f14,0x8a64005c,0xc880000f,0xffffffff,0x3fff2204,
    0xd04fffff,0xdddddddd,0x325fdddd,0x44264005,0x003f100f,0x0fc403e2,
    0x05f707d0,0x200be0f3,0xfff9101f,0x209fffff,0x7f1000fa,0x51761320,
    0x007e200d,0xf9999af8,0x0dd88001,0xd5354254,0x1003e8fa,0xe83dfd95,
    0xcccccccd,0xf82ccccc,0xde81f802,0xcccccccc,0x2f82cccc,0xa8801f80,
    0x1361efec,0x0136b700,0x001e6b70,0x3fb2a200,0xf005f01e,0x5c004d83,
    0xd8000f35,0x79adc004,0xaefa8000,0x413aa609,0x2609aefa,0x99bd04ea,
    0x99999999,0x00136599,0x555f70b7,0x009d5555,0x2aaaabee,0x13604eaa,
    0x41ae05f7,0xa81f802f,0x2a609aef,0x4017a04e,0x2613206c,0x4401aa1f,
    0x207e001f,0x3aa0001f,0xf880edbb,0x1f9ae9b0,0x43f91000,0x5f00004d,
    0x09b03f00,0x200be000,0xfc88001f,0x4d800b71,0x14d800b7,0x8000001f,
    0x02f81fc8,0x002dc1f8,0x0007c536,0x4d800b70,0x4c0001f1,0x984d804f,
    0xb04d804f,0x02dc0009,0x3ffa1360,0x7fffffff,0xfffffd00,0x5c0fffff,
    0x4d80bee6,0x83f005f0,0x04d804f9,0x3f9013e6,0x26c82640,0x03f1006a,
    0x001c0fc0,0x200ef440,0x3f11f8af,0x400260f3,0x0001ae4e,0x40fc017c,
    0x5f00006b,0x00983f00,0x001ea9d0,0xf001ea5f,0x300017c5,0x3e13a001,
    0x3d41f802,0x02f8be00,0xf001ea00,0x700017c5,0x709b001f,0x209b001f,
    0x1ea0006b,0x0f985f00,0x7cc02f80,0xf102f800,0x7d405f57,0x3f005f01,
    0x4d800fb8,0x260f7cc0,0x826401fd,0x200d53f8,0x07e001f8,0x2a001dc0,
    0x46abd804,0x09b06abd,0x03f89720,0x5403e800,0x003f881f,0x7d403e80,
    0x5c8026c1,0x0764013a,0x83b2009d,0x9b14006c,0x0fa17200,0x09d03f50,
    0x06c83b20,0x4013a140,0x001b20ec,0x744026c5,0xe8804d84,0x0007f104,
    0x0ec80274,0x05c802e4,0x05c802e4,0xf980ffea,0xf500fa03,0xe8804d83,
    0xeffc8804,0x4c800eff,0x01aa3ea0,0x3f0007d4,0x03a93200,0x6edc0344,
    0xd82675c4,0x21fcc00e,0x2c8802fa,0x3fee05b8,0x1005f501,0x5c0b7059,
    0x0076c1ff,0x02f98fe6,0x0be60fd4,0x4f883f50,0x3b66e980,0x5c1fcc00,
    0x207fee05,0x0fd402f9,0x3a6013e2,0x2a017cc6,0x4027c41f,0x803ee6e9,
    0x0fb84ffa,0xa813fea0,0x22c8802f,0x0fd402f9,0x0f98017c,0x7cc00be0,
    0x17bff500,0x2e027e44,0x707fee05,0x27fd401f,0x015bf700,0x33a02640,
    0x00fb006a,0x499001f8,0x4025c03a,0x7fc41ff9,0x015ffb02,0x37ee0dd5,
    0x81efc981,0xfb510bf8,0x3ee039f5,0x1efc981d,0xb510bf88,0x7ec39f5f,
    0x86ea80af,0x7ec41dfb,0x883bf703,0x3df303fd,0x20efc988,0xea80affd,
    0x2217f106,0x81cfafda,0x7ec41dfb,0x883df303,0xfb80efc9,0x81fec41d,
    0x64c41ef9,0x877e20ef,0xaddcfc98,0x98877e21,0x01addcfc,0xf9303bf7,
    0x41dfb83d,0x07a83fd8,0x07a81f40,0x5fd41f40,0xeffeffd9,0x10bf8801,
    0x439f5fb5,0x32621df8,0x401addcf,0x441aacfc,0x4c04c80b,0x3f8806cf,
    0xc800fc00,0x76440ea4,0xb06f8800,0x3eef201f,0x0cffeeff,0x3bbffa20,
    0x75c02eff,0xff0dffef,0x3ffa201f,0x402effee,0x0dffefeb,0x2ef21fff,
    0xcffeefff,0xfdffd100,0xfe8803df,0x401effef,0xffeeffd8,0xffbbc82d,
    0x00cffeef,0x37ffbfae,0xd101fff0,0x03dffdff,0xfeeffd88,0x7f4402df,
    0x401effef,0xffeeffd8,0xdffd302d,0x3ff63dff,0x3bffa60f,0xfffb1eff,
    0x3bffa201,0x2202effe,0x1effeffe,0x0556ed44,0x0aedaa88,0x0155bb51,
    0x42bb6aa2,0x55d443f8,0x77f5c000,0x1fff0dff,0x7ff7ff4c,0x01fffb1e,
    0xffffffd1,0x443dfbbf,0x900aadda,0xdabd88df,0xf551005f,0x55555559,
    0x7fd49d55,0x00ceffff,0x53000000,0x44001357,0x98001ab9,0x4c40001a,
    0xa98001ab,0x57530001,0x2aa20013,0x5544000a,0x5cc4000a,0x2a60009a,
    0x260009ab,0x2a20001a,0x4c4000aa,0x440009ab,0x44000aaa,0x30009ab9,
    0x30001375,0x80001375,0x4001ab98,0xf900aaa8,0x320bffff,0xf95fffff,
    0x320bffff,0x065fffff,0x1a980000,0x09ba9800,0x41bc8800,0xfb82cca8,
    0xf105ffff,0x07dfd70d,0x7ffffdc0,0xffffffff,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00040062,0x00001c40,0x005c0140,0x00000000,
    0x008000a6,0x000e2000,0x1700002e,0x80000000,0xb70002da,0x200007bd,
    0x06aaa0a9,0x20288000,0x2aaa0000,0x00002002,0x005000a6,0x20000000,
    0x3bb2600b,0x000000ce,0x40002600,0x55510018,0x01555555,0x17400000,
    0x544003d0,0x804e81ab,0x220004fb,0x4000006e,0x00ed8079,0x6c40fd40,
    0x4fa80004,0x009f7000,0x000dd100,0x6c0001dd,0x1fcc000e,0x3a600fe4,
    0x1002ec9c,0x1df95bfb,0xa7fcc000,0x0004fed8,0x26f7fea0,0x360006fc,
    0xfd8806ee,0x13ea0002,0x0005f880,0x0bd107f2,0x3603fb00,0x3ffdacdf,
    0x7cc06ec0,0x037e4002,0xa800fd80,0xeeeeeeef,0xd82fa82e,0x06b8000e,
    0x3fa200d7,0xd91effef,0x7dfec401,0x6fcc000e,0x19998800,0xdb333330,
    0x0007f600,0x06fcc7f9,0x00fee000,0x3baff620,0x1bf30000,0x007f6000,
    0x2001fd80,0x03fe85fb,0x401620ec,0x036c40fd,0x17ec4093,0x40000264,
    0x001dffeb,0xe980d500,0xb8004fbe,0xee98003f,0x42fe8000,0xd1000ff9,
    0x207b203d,0x3a202fb8,0x0013ee1f,0x20003ffa,0x07a800fd,0xff09f900,
    0x2fbe0003,0x9802fca9,0x6fec41df,0x43ba601f,0xf5001fd8,0x3ffea009,
    0x7ffd43ff,0x32000dff,0x6fd4002f,0xc80004fb,0xee98002f,0x8005fb10,
    0xc80004fa,0x3f20002f,0x2202a002,0x1d82c402,0xf880fcc0,0x7980d702,
    0x20000990,0xfc9cffd9,0x0d500000,0x1df327dc,0x000bf200,0x4000ee88,
    0x20033028,0x02e00ee8,0x7f900dd0,0x260005fb,0x1fb0002d,0x2000f500,
    0x002980a8,0x3ffff660,0x404f9803,0x827c04fc,0x03f800fc,0x80ce6c40,
    0x20006c99,0x744000fb,0xfa80002f,0x209f0001,0x0fe000fb,0x00fb8000,
    0x0003ee00,0x5c126000,0x3602ec02,0x2e80d705,0x20000990,0x005c81cd,
    0x3e60d500,0xa805d882,0xd880001f,0x00000006,0x2a0000bb,0x0efa800f,
    0x20000000,0x00f50018,0x80000000,0x013a0009,0x0080ddd1,0x00008004,
    0x01ae009b,0x00800000,0x10000000,0x00000080,0x00000000,0x06800000,
    0xa805f00d,0x0406b80f,0x00000990,0x20001360,0x0100206a,0x10000020,
    0x00000000,0x01f50000,0x00000020,0x0f500000,0x00000000,0x007d4000,
    0x000fe3b6,0xd8000000,0x000d7004,0x00000000,0x00000000,0x00000000,
    0x2a200000,0x555500aa,0x64432e01,0x2007c404,0xdb5511f8,0x15555555,
    0xdb712640,0x2620017b,0x03f109ba,0x21bddb98,0x0000006a,0x00000000,
    0x037bdb95,0x36000000,0x50000005,0x0037bdb9,0x003d4000,0x7bdb9510,
    0x32a20001,0x7400bded,0x7b87e404,0x5ef6e540,0xedca8801,0x04d800bd,
    0x2aa20d70,0x1555500a,0x6f6e5440,0xdb71000b,0x0eedc417,0xa8055544,
    0x55440aaa,0x1555500a,0xbdedb980,0x3b72a001,0xfdd501bd,0x3fddd105,
    0x81f6f540,0x97c01e60,0xeeefeeea,0x3202eeee,0xd979df74,0xeffb805f,
    0x05d8cffe,0xfb77bfd1,0xaa981aa9,0x53000aaa,0x20015555,0x00aaaaa9,
    0x2f37f620,0x55503fec,0x55555555,0x217d4001,0xdb710aa9,0x3f620059,
    0x03fecbcd,0x02aaaaa6,0x6e64dea0,0x9dfd101b,0x005ffb77,0x5de77f44,
    0x07e02ffd,0x03e21fa8,0x32f37f62,0xdfd103fe,0x05ffb779,0x0d7004d8,
    0x220bfbaa,0xe881feee,0xffdbbcef,0x5e77e402,0xecfe88ef,0x17f7542f,
    0x20ff7744,0xe882feea,0x3ee01fee,0x04fecace,0x65e6fec4,0x017c03fe,
    0x4c0400fc,0x00d50eeb,0x001ae0fa,0x902fccc8,0x17fd105f,0x40fbfd98,
    0xde880de8,0x3bbae06b,0xdd7001fe,0x2e003fdd,0x001feeee,0x3aa01bf3,
    0xeeeeef85,0x201ffeee,0xd82ffca9,0xbcefaafe,0x6fcc05fe,0x2e0bd500,
    0x801feeee,0xecdffffa,0x6401503f,0x802a000f,0x00f880fc,0x983f07f1,
    0x0bd500df,0x00fc802a,0x035c0136,0x80fc017c,0x803f200a,0x0edde819,
    0x017c03ee,0x005f00fc,0x40bf603f,0x1bf306e9,0x2f817aa0,0x26001f80,
    0x35c0beeb,0x06b83d80,0x003ff200,0x00ec81f7,0x17a17f5c,0xf001bfa0,
    0x00fc0003,0x3a003f00,0x7c2f9805,0xb00fe601,0xef807fff,0x204f982f,
    0x02f9805e,0x7b3003f0,0x0009f503,0x400007f1,0x107983f8,0xbd0ba0bd,
    0x0005f300,0x026c07f1,0x02f806b8,0xf10001f8,0x5ff50007,0x00be09f0,
    0x802f807e,0x400fb81f,0x805e84f8,0x005f02f9,0xdec9803f,0x401ae00b,
    0x0006b83d,0x2f400bf2,0x3f6003f5,0x22003ea3,0x00fc006f,0x40003f00,
    0x007b801f,0x2203f1ea,0x3ee6004e,0xc807fe03,0x5400f707,0x0003f007,
    0x20007ea0,0x6c00004d,0x1db07984,0x007b8ba0,0x26c001ea,0x1ae009b0,
    0x07e00be0,0x8004d800,0x01f907f8,0x403f005f,0x441f802f,0x43f5002f,
    0x41ea007b,0x981f802f,0x7000bdec,0x2e0f600d,0x01f20006,0x801326a8,
    0x801323f9,0x00fc006d,0x40003f00,0x004d801f,0x3a2050fc,0x0bd30005,
    0x03f100fe,0x01f8009b,0x200001f8,0x2666204d,0x220009b0,0x109b0999,
    0x200fb81f,0xf001361f,0x84ccc403,0x4013604d,0x802f806b,0x9998801f,
    0x262009b0,0x3f103f88,0x03f005f0,0x20fc017c,0xb1f4006a,0xf81f8009,
    0xac81f802,0xf501c980,0x1ae0ba00,0x2005c800,0x8007d0f9,0xb800ba4f,
    0x000fc006,0x7c0003f0,0xeeeee801,0xeeeeeeee,0x006d802f,0x17c0fc40,
    0x77740fc0,0xeeeeeeee,0x1f802fee,0x11720000,0xfffffff9,0x7e44009f,
    0x4fffffff,0x017cc3f0,0x777741f3,0xeeeeeeee,0x7fe442fe,0x04ffffff,
    0x035c0136,0x80fc017c,0xffffffc8,0x3b2a04ff,0xccdfffff,0xf82fcccc,
    0x3e01f802,0x2e41f802,0xeee93200,0xeeeeeeee,0x02f82fee,0xbd3001f8,
    0x0f983d95,0x06b81f80,0x88017200,0xe8005f0f,0x6b8007e2,0x0000fc00,
    0x0fc0003f,0x66666f40,0xcccccccc,0x00076c02,0x017c26c0,0x666f40fc,
    0xcccccccc,0x01f802cc,0xfa9ae000,0x3aa609ae,0x35df5004,0xd82754c1,
    0x7b809f14,0x666666f4,0x2ccccccc,0x9826bbea,0x013604ea,0x017c035c,
    0x577d40fc,0x213aa609,0x511befd8,0x999999bf,0xf005f039,0x7c017c03,
    0x2e0026c1,0x333337a5,0xcccccccc,0x1f802f82,0x45983900,0x07c401f8,
    0xd900035c,0x09b3cc00,0x07b0fc40,0x3e003640,0x007e0001,0x4d801f80,
    0x07e40000,0xf86b8000,0x4d81f802,0x03f00000,0xf9ae4000,0x9804d804,
    0x304d804f,0xf880bd1f,0x300026c3,0x409b009f,0x00b9004c,0x983f005f,
    0xb84d804f,0x005f100f,0x03f005f0,0x20fc017c,0xb26c005b,0x0be00009,
    0x1a2007e0,0x700fa06c,0x8001ae0f,0x4d7000fc,0x83ea006c,0x01ba005b,
    0x7c0003f0,0x007e0001,0xb80001ae,0x3200001f,0x1f802f85,0x000006b8,
    0x6c00003f,0x9b001f74,0xb001f700,0x0077f409,0x001ae1b2,0x4d800fb8,
    0x27401aa0,0x0fc017c0,0x136003ee,0x04f88136,0x1f802f80,0x07e00be0,
    0x22f800f5,0x7d00006b,0xa801fa80,0x07b85704,0x006b8274,0x22013f20,
    0x400be62f,0x400fcc5d,0x0fc006fa,0x0003f000,0x1fc400fc,0x017d4000,
    0xf07d1000,0xf103f005,0x3f000007,0x3f300080,0x13a20136,0x3a201360,
    0x9013ee04,0x007f103f,0x3a201360,0x2200fc04,0x403e802f,0x4026c1fa,
    0x206b84e8,0x3e8006f9,0x7d00fd40,0x4e81fa80,0x7c41d900,0x05b80003,
    0x34007fee,0x81fc40e8,0x05f300fb,0x05fd9010,0x17dc2ec4,0x3ae03f20,
    0x01bbe600,0x7c0003f0,0x007e0001,0x644017d4,0x7701fcc2,0x41b600f6,
    0x501f802f,0x0591005f,0x0ed803f0,0x0fb97a20,0x2013fea0,0x3fea00fb,
    0x3df9f304,0x2a01fd98,0x72c8802f,0x27fd401f,0x5e881b20,0x7dc0b700,
    0x5007dc1f,0x03f309ff,0x9107fff3,0x7dc0b703,0xb816e01f,0x02f981ff,
    0x17d40fd4,0x7c416440,0xf5fb510b,0xb8790039,0x2217f704,0x0f7403fb,
    0xa993f262,0x540df9ce,0x37fb00ee,0x3202fd98,0x2bee20af,0xf800aafa,
    0x007e0001,0x2e001f80,0xefc981df,0x9b00fe21,0xd502bbea,0x200be01f,
    0x077ee01f,0x2007bf26,0x5fec401f,0xf1077541,0x67e4c43b,0x3e201add,
    0x33f2621d,0x53e21add,0xdffeffd8,0x81dfb800,0xbf11efc9,0x6e7e4c43,
    0x0bb601ad,0x22001fd3,0x5fb510bf,0x0efc439f,0x5bb9f931,0x3e61fb83,
    0x3ea3fcfe,0x10bf880e,0x039f5fb5,0x6d442fe2,0xfb81cfaf,0x01fec41d,
    0xf9303bf7,0x3bfae03d,0x1fff0dff,0xceceb880,0x3fbfea00,0xffd8802f,
    0x222dfffe,0xffd34fff,0xf5009ffd,0x01bffdff,0xdfddfd70,0x98bffea5,
    0xabfbaaaa,0x554c1aaa,0xaaabfbaa,0x55554c1a,0x1aaaabfb,0x3bbffa20,
    0x77442eff,0xaaaaaaaa,0x3ffb224e,0xa980cffe,0xfa980acf,0x3ffa201c,
    0x982effee,0xabfbaaaa,0xfda81aaa,0xd304ffef,0x23dffdff,0x2600fffd,
    0x1effeffe,0x1b21fffb,0x00026a62,0xffddffd1,0xdffd305d,0x3ff63dff,
    0x3bff200f,0x5c000dff,0xf0dffefe,0x7ff4c1ff,0xffb1effe,0xffffc81f,
    0xffff71d4,0xfefeb807,0x01fff0df,0x37ffbfae,0xd101fff0,0x03dffdff,
    0xfddffd10,0x2a6005df,0x00600001,0x10003530,0x20001575,0x40009aa8,
    0x80009aa8,0x3a000aa8,0xffffffff,0x3fa0ffff,0xffffffff,0x3ffa0fff,
    0xffffffff,0x5cc400ff,0x3ffea01a,0xffffffff,0x01355104,0x0fffffe6,
    0x003ffffa,0xe8035731,0xffffffff,0x2600ffff,0xba98009a,0xa9800009,
    0x0110009b,0x5cc40000,0x3753001a,0x55300001,0x1a980001,0x09ba9800,
    0x00aa8800,0xa9800551,0x0d4c0001,0x15551000,0x35731000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbdb50000,0x00000005,0x1880014c,0x026a2000,0x00000000,0x00035000,
    0x007bdb73,0x260aaaa0,0xaaaaaaaa,0x26000aaa,0x006a21aa,0x00000000,
    0x0019bdb7,0x80b2a024,0x00002dda,0x55000000,0x4cc00015,0x99980999,
    0x32601999,0x5554c003,0xaa9800aa,0x059db710,0x67765c40,0x980cc063,
    0x554c00ab,0x53000aaa,0x2a215555,0x001e4c01,0x1cdeda88,0x20013005,
    0x1ffdbcfc,0x03dc13e0,0x40027d40,0x4c003ff8,0x802ffffd,0x02f440fc,
    0x09b103f5,0x4005f700,0xdcacefd8,0x6eed8000,0xeeeeefd8,0x001feeee,
    0x7fd93fb6,0x7d303d70,0x3cc03e20,0x36f7fa60,0x0f8801ff,0x103fff10,
    0x4401ffff,0xffffffff,0xffffd006,0xd301ffff,0x360003fd,0x20ffffff,
    0xfffffffe,0x2efdfe86,0x3bae05f5,0xed800fee,0xebcefaaf,0xcefa805f,
    0x1faffecb,0xfd88fff4,0x2e05feef,0x000feeee,0x21fdddd7,0xbfb00ffc,
    0x40bea5df,0xfdbdffe8,0x3f200fef,0x441fb807,0x43be606c,0x5c002fd8,
    0xff30003f,0x8e7c4009,0x7f402fc9,0x3203fcc2,0x0037e63f,0x54005f90,
    0x800000ef,0x8804d86a,0x24c8001f,0x8bf606fb,0x826c05fa,0x037e204d,
    0xf8801f91,0x03fff100,0x2601fffe,0x1aaaaaaa,0x55555300,0x03f00355,
    0x4dfccc00,0x9fa99980,0xf910c981,0x7c4009ff,0x0bfbe000,0x3fb813e6,
    0x303ff710,0x415bf33f,0x1f1004f9,0x543e2000,0x2219307f,0x3604fffc,
    0x01fd301f,0xf1007fec,0xb1026c05,0x8001dd7f,0x5c0002fc,0x41ae000c,
    0xa814406d,0xfbdfa801,0x0fec4004,0x0009f300,0x373332e0,0x00571ccf,
    0x132000f5,0xccfb8079,0xadf9803f,0x3200fdb9,0x1017e00f,0x0164c01f,
    0x00001551,0x95000000,0x59999bf9,0x3002f800,0x0351000f,0x2000f880,
    0x41f201ff,0x1fd802f8,0x4c09fbf0,0x00f8802f,0x25c1f100,0xf006a200,
    0x200fa805,0x035402d9,0x9f9007e2,0x003f5000,0x0ba00000,0x000007d4,
    0x0017f440,0x3a000764,0x32e00005,0x1ccfdccc,0x80026c00,0x2003a64c,
    0x2a001ee9,0x401efffe,0x203e404e,0x000000f8,0x00000000,0x66fe6540,
    0x7c002ccc,0x000f3002,0x007c4000,0x1f8807f0,0x3f1005d8,0x32013fe0,
    0x000f8805,0x03e21f10,0x02f40000,0x5c80001c,0x00802e80,0x00000000,
    0x3e203f00,0x20000001,0x20000000,0x000000fc,0x5f000354,0x1a932000,
    0x80002200,0x300be001,0x3bfaa01f,0x0000189c,0x6f6e5440,0x6e54000b,
    0x3f001bde,0x005f0000,0x36e601e6,0x44001bde,0x00be000f,0x8007e07e,
    0x5400fe00,0x000f8807,0x00661f10,0x17bdb951,0x00acfa80,0x02640000,
    0x0000025c,0xd9710000,0x3f00c79d,0x2e601ee0,0x0001bded,0x7c000000,
    0xdb980002,0x001aa1bd,0x3b2603d4,0x000990ad,0x20000000,0x5436405d,
    0xfeca9bde,0xd1000006,0xffb779df,0x9bfb1005,0xf007fd97,0x0f7b6e63,
    0x798017c0,0x65677dc0,0x3e2004fe,0x200be000,0x0007c41f,0xf3001f80,
    0x000f8801,0xd1001f10,0xffb779df,0xfffd9805,0x555502ce,0x15555555,
    0x22ec02dc,0xaaaaaaaa,0x2aa60aaa,0x059db710,0x32f3bea0,0xf01faffe,
    0x402fc983,0xfecacefb,0x2aaaa604,0xaaa8800a,0x441cc982,0x7f440007,
    0xd54fdbbd,0xb8172000,0xc8eecbdf,0x2aaa8804,0x5301cc98,0x50015555,
    0x30fe201f,0x71be205f,0x15005500,0xf3007e40,0x017aa01b,0xd77bf53f,
    0x005f00bf,0x02fd81e6,0x3e200dd3,0x02f80910,0x003cc1f8,0x22003f00,
    0x007c400f,0x5000f880,0x8007e401,0x41efeca8,0xeeeeeeef,0x03e61ffe,
    0x777c6fa8,0xffeeeeee,0x3eabfb61,0x405febce,0xff7103fb,0xffe87e03,
    0x9817ec05,0xdddd706e,0xddd5003f,0x7e6ff4cf,0x59931aa4,0x880de880,
    0xf0006bde,0x320bee05,0xeea804de,0x337fa67e,0xeeeeb84f,0x17db001f,
    0x9d037ae2,0x07e25b80,0x10000990,0x402f407f,0x3fbe02f9,0x7c02f981,
    0x2e0f3002,0x027c400f,0x02fe4fc4,0x107e00be,0x3e00001f,0x801f1001,
    0x880060f8,0xf100000f,0x3f220007,0x3f9807e1,0xf7f304e8,0x0fe601f8,
    0x7cc17f7c,0xb005f104,0xa887e03f,0x0fb82eeb,0xf8027c40,0xfabd4001,
    0xa643620d,0x0efedff9,0xdfd00bd0,0x101f3000,0x027ec05f,0x06fd5ea0,
    0x03f001b1,0x7ff7fe40,0x0800f884,0x4e8807e2,0x209b0000,0x81ea007b,
    0x017201ff,0x21e6005f,0x3f5002f8,0x02eff880,0x81f802f8,0x3f00002f,
    0x1003e200,0x4013fe1f,0x200000f8,0xd000984d,0x4e880fc9,0xbfa89f10,
    0x4407e1f8,0x807fe04e,0x200bb07c,0x403f01f8,0x00be21fc,0x0fc00fd4,
    0x0bf3ea00,0x873e7360,0x07d40eda,0x40037c40,0x980d705c,0x67d4004f,
    0x0fc0002f,0xdcdfd880,0x003d40ee,0x7e4417cc,0x4cc4001e,0x13609b09,
    0x0be03f00,0x17c01f10,0x06a87980,0xfd501f40,0x4017c007,0x4006c81f,
    0x22003f02,0x447c400f,0x1f1005ff,0x13331000,0x40136136,0x2f440a5c,
    0x3ffbfe60,0x88141f14,0x201fc05e,0x001f81f8,0x5c01f802,0xe800d50f,
    0x4001f803,0xb7001ffa,0x3227409f,0x001b6004,0x401ec0fa,0x7fd4004e,
    0x01f80001,0xec80ce88,0x26001ea1,0x00efd42f,0xfffff910,0x3ba09fff,
    0xeeeeeeee,0x3f02feee,0x17c03f00,0x05c87980,0x7ec42640,0x0be000fd,
    0x13e207e0,0x0fc1ba60,0x4400f880,0x2003b70f,0xf91000f8,0x9fffffff,
    0xf9801db0,0x2006d803,0x803541b9,0x802f806d,0x0007c41f,0x3e801f80,
    0x04c800b9,0x7d4001f8,0x01bea000,0x2002e8f5,0x07c4006b,0x04d802e8,
    0x00007d40,0x05d801f8,0x001f3364,0x0fe63fa8,0x135df500,0xde82754c,
    0xcccccccc,0x3f02cccc,0x17c03f00,0x26c3cc02,0x37e16e00,0xa9800f89,
    0xfa980acf,0x41ef981c,0xf00efc98,0x003e2003,0x220001f1,0xaefa800f,
    0x213aa609,0xea80affd,0x000ed806,0xed805b80,0xf802f800,0x00003cc1,
    0x36b9003f,0x402dc004,0x03d4001f,0xf1007e60,0xd7000fc1,0x3e06b800,
    0x4004d801,0x3e00007a,0x4400f801,0x50013a0f,0x2002e47f,0x04d804f9,
    0x7c00009b,0x3e01f801,0x43cc1a62,0x426c005b,0xf3003e20,0xfd07ffff,
    0xfb101fff,0x05bffddf,0x0f1001f8,0x20001f10,0x27cc00f8,0x5de426c0,
    0xcffeefff,0x0007e400,0x7e403e80,0xf005f000,0x0000f883,0x2f5003f0,
    0x026c005b,0x1ea000fc,0x3e003e00,0x6c800f61,0x7d01ec00,0xa8009d00,
    0x07e00007,0x8ba00f30,0x4b7103f9,0x000be4fb,0x09b001f7,0xf80001ae,
    0x3e01f801,0x43d41ea2,0x017c007a,0x000003e2,0x9af98800,0x2003f000,
    0x00f88079,0xb801f100,0x804d800f,0x8009afa9,0x900001fb,0x00fdc01f,
    0x03f005f0,0x3e00005f,0x0f56b801,0x1f802f80,0x4003d400,0x707cc02e,
    0x0037400b,0x026c03f1,0x1ea0027c,0x401f8000,0x985f0079,0xefcbabef,
    0x05e93ee1,0x22013608,0x007f104e,0x3e007e00,0x07a8be01,0x4013a0d7,
    0x07c400ec,0x0002a000,0x1f8001d0,0xf100d700,0x03e20001,0x9d1009b0,
    0xa8007400,0xf300002f,0x0017d405,0x207e00be,0xf814006c,0xe9760ee1,
    0x001d9004,0x07a8003f,0x35c06b80,0x3ea007e6,0x501aa006,0x027dc01f,
    0x80001ea0,0x00fc401f,0x3ae203e6,0x4fc80bef,0x23f003f2,0x3fea00fb,
    0x200bea04,0x003f02c8,0xf317c03f,0x3e609d03,0x400fd402,0x5c0000f8,
    0x3ae0003e,0x4007e002,0x00f8802e,0xb801f100,0x13fea00f,0x4c02eb80,
    0x400ee03f,0x0fe604fb,0x802f83b8,0x804f881f,0x543f06e9,0x0be63f86,
    0x3e003f50,0x003d4001,0x05f103d8,0x77cc01d7,0x20136006,0x09ff104e,
    0x00007a80,0x03b2007e,0x07c404e8,0x27c4bf90,0x37e23f10,0x373f2621,
    0x3bf701ad,0x203df930,0x441f801f,0xf91acfaa,0xb803f223,0x1fec41df,
    0x0000f880,0x54002cc1,0xf3100b30,0x1ae09837,0x80007c40,0x6fc400f8,
    0x373f2621,0x4c2a01ad,0xb00fe205,0xfb510449,0x201fc405,0xf802f84d,
    0x883df301,0x2a20efc9,0xd8fe0bfa,0x441dfb87,0x07e003fd,0x2000f500,
    0x17aa2df8,0x2e20afc8,0x00aafaaf,0x6fcc00fc,0x2bb2fe60,0x000f5001,
    0xee800fc0,0x20077542,0x17f600f8,0xb5337df5,0x7ff4c1df,0xffb1effe,
    0x3ffa201f,0x302effee,0x2a6059f7,0x3fff62bf,0xfdf90fff,0xffd1003f,
    0x2603dffd,0xabfbaaaa,0xfa801aaa,0xfc8001ee,0xffe801ee,0xfdfd10ff,
    0x5555303b,0x355557f7,0xfbaaaa98,0x4c1aaaab,0x1effeffe,0x3201fffb,
    0xdd101eef,0x55555555,0x7fffdc9d,0x3ba200ce,0xaaaaaaaa,0x2b3ea64e,
    0x01cfa980,0xffddffb1,0xffff705b,0x0f7f7dc7,0xffeffe88,0x5555301e,
    0x355557f7,0xaafb9998,0x4c00aaaa,0x804ffffd,0x2efeefeb,0x4c05fff5,
    0x3bfa2006,0x0dff93ff,0x557dcccc,0x5300aaaa,0x559f5555,0x3fee0355,
    0xf1004ffe,0x441fd401,0x01ceffed,0x00026ea6,0x80357310,0x41ffffe8,
    0x01fffff8,0x00055440,0xd002aaa2,0xffffffff,0x2001ffff,0x00080000,
    0xd0054c00,0xffffffff,0x7f41ffff,0xffffffff,0xba980fff,0x00400009,
    0x3fffffea,0x444fffff,0xff5000aa,0xffffffff,0x3fffe69f,0xffffe83f,
    0x26ae6200,0x0aa80000,0x00aaa880,0x7ffffff4,0x30ffffff,0xffffffff,
    0x22007fff,0x544000aa,0x0000000a,0x98001a98,0xffffffff,0xffd03fff,
    0xffffffff,0x2a6201ff,0x00740009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x16540000,0x00000000,0x826aaaa2,
    0x300000a8,0x00017bd9,0x0000ed44,0x0001da88,0xb710aa88,0x000007bd,
    0x00ddd440,0x00aba880,0x05555106,0x00003993,0x500aaa88,0x73001555,
    0x76dcc001,0xaa98003d,0x51000000,0x30003797,0x4c000357,0x40000aba,
    0x8001abb8,0x99999999,0x0ab98019,0x2aea6000,0x59530000,0x00000003,
    0x0066aaa2,0x024c0151,0xbfbfd100,0x3a003ee3,0xffffffff,0xdffb1000,
    0x3fa1ffff,0xbe980006,0xb0006b88,0x00003d7b,0x0003d7bb,0xdf55fd70,
    0x7c0bfd79,0x7fffffff,0x3ff62360,0x1003ffee,0x3dffdffd,0x77754798,
    0x3f37fa67,0x7d42f444,0x05fdd503,0x203fddd1,0x000ffec9,0xdd959ff7,
    0x3fbe2003,0x3003e001,0xdfdbdffb,0xeffd9803,0x80793ffe,0xfedcdefc,
    0x3fb22004,0x3c9effee,0x7ffffe40,0x703fffff,0x07bfddff,0x6e6f7e40,
    0xfd3004fe,0x5b3dffdd,0x200016a0,0xfffeffd8,0x2fffa80f,0x54000d70,
    0x7fffb10c,0x2aaaa600,0x3a001aaa,0xf904c0ae,0x6c000009,0x00f40002,
    0x0007a000,0x982fef80,0x5555302f,0x6fc03555,0x3ea20adf,0x077e600e,
    0x035c3f93,0x8837eaf5,0x903fe60d,0x005f00bf,0xbeff983f,0x2fc800f9,
    0xd9001f90,0x07c4007e,0x3620b7e0,0x03bf100f,0x2609ddd5,0x07b2204e,
    0x4415bd10,0x9804ffc9,0x99dd9999,0x20afd881,0x74c04fa8,0x807b2204,
    0x7ed40cf9,0x000d703f,0x19815dd0,0x20dfffb0,0x9800006b,0x0000000a,
    0x36001fa8,0x3a000001,0x00f40001,0x0007a000,0x2e01ff80,0xff800006,
    0x9837cc02,0x54fdc04f,0x3f3ea03f,0x22066002,0x802f800a,0xf105441f,
    0x403f8801,0xf97c405e,0x801f1001,0x217e201f,0x4fe803e8,0xd5001ea8,
    0x2013a205,0x9b0004f9,0x2600ee80,0x003d503f,0x02fc0baa,0x035c0ff6,
    0x0007ea00,0x5c13ffee,0x00000006,0x2e400000,0x0000d700,0x0007db90,
    0x010003d0,0x808000f4,0x00fc402f,0x4013e000,0x004e83f9,0xfa809ff9,
    0x0000001f,0x01f802f8,0x2e400f88,0x97603d40,0x01f1001f,0x43e400e8,
    0x89f3005e,0x333330f8,0x1ba03e60,0xb0004d80,0x4007dc09,0x207c41f8,
    0x26111cb8,0x200fcc0f,0x00d703f8,0x20005c80,0x2aa20bdb,0xaaaaaaed,
    0x0555440a,0x440aaaa8,0x55500aaa,0x004c8015,0x2000002e,0xd5004ec9,
    0xb8003d07,0x8003d01f,0x802f85e9,0xbdb7301f,0x001d8037,0x00fa83f2,
    0xf5009f10,0x00000001,0x007e00be,0x013003e2,0x3e601f10,0x7c4007e0,
    0x1f880000,0x3d8003e6,0x999d91ec,0x445b819b,0x0066000f,0x3f8826c0,
    0x87b1b200,0x1dcb9bea,0x200f516e,0x3b6aa62c,0x1aaaaaaa,0x00002640,
    0x777f7754,0x542eeeee,0xee882fee,0x7f7541fe,0x1feee882,0x004daaa8,
    0xb710aa98,0x9b00059d,0xe827ec40,0x05fd3001,0xbf7000f4,0x3f005f01,
    0xd959df70,0x4c00009f,0x70013a1f,0x000f500b,0x02aaaaa6,0x1f802f80,
    0x0000f880,0x13a01f30,0x03e2003f,0xb83e6000,0x1aa04005,0x3d093032,
    0x00000354,0x01ae09b0,0x21aa1f10,0x21e83d05,0xeb8000f9,0xeeeeefee,
    0xdaaa84ee,0x0aaaaaae,0x006b8000,0x07e00be0,0x41f802f8,0x004feed8,
    0xefaafed8,0x4005febc,0x03df506a,0x6fe400f4,0x4c00f400,0x00be02fe,
    0x205fb07e,0x200006e9,0x10007e3f,0x000f500f,0x07fbbbae,0x1f802f80,
    0x0000f880,0x03ee0bb0,0x03e2003f,0x7b176000,0xc83b8000,0x363b8580,
    0x20000004,0x000b904d,0x0550ee5d,0x5e877026,0x0035c000,0x3bffbba2,
    0x002eeeee,0x20006b80,0x201f802f,0x401f802f,0x3be0004c,0x084f982f,
    0x3fd88790,0x3a601e80,0x803d002f,0x17c00cfc,0x01f70fc0,0x00004f88,
    0x0003e29b,0x00f5003e,0xf000fc00,0x1003f005,0xf500001f,0x3f07f103,
    0xeeeeeeb8,0x3eeeeeef,0x7c1fd880,0x416c0002,0x2d42c40c,0x0000005f,
    0x003d826c,0x0585b4c8,0x3ba22d40,0x06b8001b,0x00026400,0x8001ae00,
    0x201f802f,0x401f802f,0x3fe0004c,0x3b21f201,0x7dc6da9c,0xaaa8260e,
    0x3f20aace,0x5550130c,0x7541559d,0x17c0261e,0x02f88fc0,0x3ffe3f50,
    0xffffffff,0xf34fffff,0x500ba000,0x0fc0000f,0x3f005f00,0x0001f100,
    0x0d902fa8,0x9999307e,0x9999bf99,0x6fe4c039,0x40001f80,0xca9ac80e,
    0x07e6880d,0x4d800000,0xb70005f0,0x8800b03a,0x9dffb506,0x006b8015,
    0x44002640,0x554c3ccc,0x02aaaaed,0x03f005f0,0x00fc017c,0x3f800132,
    0x5440fc40,0x0ffa20bc,0x555549fb,0x9eea8aaa,0x20decdc8,0x8aaaaaaa,
    0x2fe44fd8,0x51f802f8,0x7f3e800d,0x33333333,0x29b33333,0x05d00079,
    0x200007a8,0x00be001f,0x1f1003f5,0x81fd4000,0x003f01f9,0xf50003e2,
    0x000fc03b,0x2af203a0,0x7cd100eb,0x20000001,0x0005d04d,0x00b03ab7,
    0xcb980688,0x01ae01ff,0x50009900,0xeec85fff,0x1deeeefe,0x1f802f80,
    0x07e00be0,0x7c000990,0x2001f802,0x5f540dfb,0x24fd8804,0xa802dc3d,
    0x2df4c1ef,0x91f802f8,0x5d4c800b,0x7c4f6000,0x400f8000,0x3e00007a,
    0xb817e001,0x0f8801ff,0x407f5000,0x4007e05d,0x3d4000f8,0x200017c0,
    0x1660c82d,0x7c05f254,0x36ffffff,0x6c13600d,0x5b4c8003,0x12a001d8,
    0x5c0bf200,0x02640006,0x202ffe40,0x0be0006b,0x02f807e0,0x026401f8,
    0x3f005f00,0x105fd300,0xfa80973f,0x00f81c1e,0x5740ff62,0x167d4c5a,
    0x0026c7e0,0x80026d6e,0x10007e2f,0x3ee6660f,0x00aaaaaa,0xff000fc0,
    0x2bf6a217,0x07c401cf,0x501fd400,0x800fc01f,0x34c000f8,0x20002740,
    0x24c0c83b,0x4407b1e4,0x50dd9999,0x6413600f,0x772e8005,0x790604a8,
    0x5c172000,0x02640006,0x2007ffc0,0x0be0006b,0x02f807e0,0x026401f8,
    0x3f005f00,0xb00dfc80,0x7ec412e9,0xb81e6003,0x2a9900ef,0x3ffffa25,
    0x02dc7e02,0x0035d360,0x009d07c4,0xfff985b8,0xffffffff,0x000fc003,
    0xbffdfdbf,0x8803ffe1,0x17dc000f,0x3bbbbf20,0x00defeee,0x040007c4,
    0x20002e40,0x1c80c869,0x800b90f4,0x6c01ea4d,0x8800d704,0x1770d30f,
    0x187a06c4,0x35c1e600,0x00132000,0xd7007ff3,0x4017c000,0x200be01f,
    0x0026401f,0x03f005f0,0x4d501774,0x00ef984b,0x7ec07a60,0x2d43a603,
    0x3d47e000,0x17c4be00,0x1f517600,0x000fe200,0x007e0000,0x003532f8,
    0x70007c40,0x9995005f,0x7bf99999,0x0001f100,0x000be200,0x26764990,
    0x2a264fa2,0xa936000f,0x2207f007,0x91b2003f,0x399bd709,0x007e24c8,
    0x035c07cc,0x90013200,0x01ae00df,0x7d403e80,0xf500fa01,0x0004c803,
    0x807e00be,0x970fc402,0xea800510,0x3d002a01,0xf10002d4,0xec802741,
    0x54003ee0,0x9005d80f,0x000a800d,0x3e001f80,0x3e200002,0x005f9000,
    0x8800fc00,0x2000000f,0x8d5000fc,0x74c001e8,0x36005e80,0x3e601ea4,
    0x2003ea01,0x80f441f9,0x7c41d300,0x2e0d7005,0x02640006,0x4c00bfa0,
    0x5b80801f,0xb807fee0,0x007fee05,0x17c00099,0x90000fc0,0x07dd999d,
    0x000eb800,0x6e667dc0,0x8f70003e,0x0fd402f9,0x3ea00f6c,0xc809f302,
    0x1f5c000e,0x8007e000,0x2200002f,0x01fc800f,0x000fc000,0x76cc001b,
    0x801db003,0x03f983fc,0x3e203f70,0x7cc9b004,0x2017a204,0x0be601ee,
    0xfb801fcc,0x2017fc41,0x03f303f8,0x80132010,0x774005f8,0x13f2620a,
    0x6d442fe2,0xf101cfaf,0x2bf6a217,0x013201cf,0x1f802f80,0x26662000,
    0x20000dc9,0x3100005d,0x001b7333,0xbf709f30,0x203fd883,0x7ecc0bfc,
    0x20f74c02,0x82001fd9,0x0fc00059,0x00005f00,0x3f6007c4,0x7c003801,
    0x3a000001,0xfd002fff,0x17ed4417,0x2603bd10,0x774c00dd,0x44fc980a,
    0x36609ee9,0x17fb000f,0x22027dc4,0x1bb301de,0x017fbf10,0xaee80bf7,
    0xc827e4c0,0x4000c004,0xfffeffc8,0x3bfae02d,0x1fff0dff,0x3ffbfae0,
    0x541fff0d,0x02aaedaa,0x0159f530,0x00039f53,0x880025c0,0x0000a83e,
    0x2aa00b50,0x3a205fca,0x01effeff,0xffefffa8,0xffb1000d,0x80039dfd,
    0x3001eefa,0x57f75555,0x0be03555,0xbaaaa800,0x50aaaabf,0x5555559f,
    0x9803f755,0x2621cfaa,0xaaaaaaaa,0xfd809aaa,0x3ee001ff,0x00dffeff,
    0xfd9dfd70,0xffc8007d,0x02dffeef,0x37ffbff2,0x77fdc000,0x2e002dff,
    0x3efecefe,0x7ff4c740,0x8803fffe,0xefffeffd,0x3b6aaa22,0x001aaaaa,
    0x01553000,0x0001a980,0xfa800d4c,0x2fffffff,0x7ffffcc0,0x0ffffe83,
    0x7f74c000,0xeefb8003,0x0001feee,0x2027f74c,0x002dfffb,0x00015551,
    0x80003551,0x080001a9,0x7ffff400,0xffffffff,0x30001e80,0xffffffff,
    0x3fea5fff,0xffffffff,0x3fe601ff,0xff90ffff,0xffffffff,0x2aa0bfff,
    0x35510001,0x01a98000,0x9aba8800,0x02aa6000,0x00551000,0x00035300,
    0x004d5d44,0x406aea20,0xfffffffb,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x33019999,0x6dc40333,0x2aaa0bde,0x555554c1,
    0xdecb8000,0x42aaa22b,0x0000aaa9,0x8000aaaa,0xaaaaaaac,0x3aaaaaaa,
    0xdb986aaa,0x55300ace,0x2aaa0155,0x00ccc42a,0x4cc02666,0x00099999,
    0x00072e20,0x33333331,0x98333333,0x99999999,0x4ccccc19,0x00999880,
    0x26603333,0x00aaa819,0x22015553,0x99999999,0x31099999,0x33333333,
    0x98813333,0x03331019,0x99999980,0x4cc41999,0x00099999,0x13333331,
    0x26666200,0x31000999,0x01333333,0x26666620,0x33100099,0x00133333,
    0x22001331,0x20544099,0x45fffffc,0x85fffffc,0xfecbcefa,0x5c4eef8a,
    0x000feeee,0x36ef7fa6,0x2eefa8ef,0x0003fdd5,0x0003776c,0xe89c0007,
    0x79bf94fe,0xfd705fd9,0x3bb605dd,0xffff50ef,0x3ffff60b,0x7ffffe42,
    0x001cefff,0x0bfb7fea,0x3ffffe20,0xffffffff,0xfffff10f,0x21ffffff,
    0x3ffffffb,0x21fffff4,0x646ffffc,0x3a66ffff,0xfddb02fe,0xfffff503,
    0xffffffff,0x3ffff6bf,0xffffffff,0x3fffea6f,0x27fffd44,0xfffffb10,
    0x1fffffff,0x7ffffff4,0x7fdc00ff,0xceffffff,0x3ffffe02,0xe800ffff,
    0xffffffff,0xffffe800,0x3710ffff,0xffffff88,0x7fcc07ff,0xfffb007f,
    0x30bffea7,0x2660339b,0x03fa81ec,0x2003f7f5,0x9f3000f8,0x0d9db101,
    0xa80001f8,0x000e0006,0x1eddc838,0x3f105f70,0x32213600,0x067cc01f,
    0x9999dd98,0x9803fdb9,0x007ea0cf,0x3b27b262,0x0fa99999,0x333335f1,
    0x4cc1f733,0xfa8809bf,0x037f300d,0x2f80be66,0xf3101f80,0x33333337,
    0x2736bb33,0x99afa999,0x5fc46c99,0x405f3101,0xec9abdfb,0x0fa99999,
    0x26be6662,0x3b910009,0x9f953333,0x2be66620,0x33100099,0x001335f3,
    0x26be6662,0x221bfa09,0x09999dd9,0x03fdd880,0xfb0767cc,0x009b0dff,
    0x00fe21ae,0x22003ff5,0x04e8800f,0x0fc06fd8,0x00354000,0x41c00070,
    0x1fa806fc,0x0f9805c8,0x1d7013a0,0x7d404d80,0x29836c03,0x835cf600,
    0x403f10f8,0x403f04e8,0x01f804f9,0x00be01f8,0x005d007e,0x7c41ed72,
    0x01f86b80,0x07f701f8,0x803e20d7,0x0b90001f,0x1f804e98,0x001f8000,
    0xbf701f80,0x90002e40,0xadc80d79,0x427ffdc6,0x90d7004d,0x007f200d,
    0x35c007c4,0x7c06f880,0x06a80001,0x38000e00,0x9b001fc8,0x5d803f10,
    0xf980fcc0,0xa804d802,0x000fe00f,0x106b8fc0,0xd807e21f,0x7d407e06,
    0xf003f003,0x7c017c03,0xc8017401,0x01f107b5,0x4dfcc4d7,0xf9999999,
    0xb817d40a,0x7c01f106,0x00b90001,0x01f803f3,0x0001f800,0x80b601f8,
    0x1aaaaaec,0x01f8cc80,0xb70d53f1,0x2009b017,0x5003e86b,0x03e2003f,
    0x6d801360,0x40000fc0,0x00e0006a,0x006c8380,0x302e41aa,0x20d9003f,
    0x009b004e,0x001f8176,0x41ae7980,0x203f10f8,0x207e00fa,0x07e003fb,
    0x02f807e0,0x017401f8,0xf107b4c8,0x7ff4d701,0xffffffff,0x1760ffff,
    0x01f106b8,0x5c8000fc,0x1f80d900,0x001f8000,0x0d501f80,0xffffffc8,
    0x653203ff,0x01aad705,0x35c01360,0x1f88017c,0xf001f100,0x2035c005,
    0x59db731f,0x2aa1aa00,0x00381aaa,0x801720e0,0x01f880f8,0x0fa200bb,
    0x136001f7,0x3e807c40,0x2e5c8000,0x101b0e06,0x641f807f,0x00fc002f,
    0x005f00fc,0x182e803f,0x07c41ec0,0x37f312dc,0xf3333333,0x7007cc15,
    0x07e0240d,0x8802e400,0x1887e01f,0x0081f800,0x00a80fc0,0x5fa882e4,
    0x203e2990,0xb000d53e,0x3e1ae009,0x003f3002,0x0ba003e2,0x4fc06b80,
    0x4febcefb,0xffd86a80,0x000384ee,0x9801720e,0xf10b900f,0x88fd4003,
    0x0136002f,0x00b902e8,0x535c7d00,0x00bd0007,0x000fe43f,0x00fc00fc,
    0x803f005f,0x0202e82e,0xf81807c4,0x3d41f801,0x002a9ae0,0x2e40007e,
    0x8fc07d00,0x1f8005fb,0x3f002fe4,0x202e4000,0x364c84f8,0x00d53d44,
    0x1ae009b0,0x0fd400f6,0xd800f880,0xf01b6004,0x09f303fd,0x04fa86a8,
    0x9070001c,0x103d400f,0x8005c83f,0xd800bb6c,0x330f6004,0x001333f7,
    0xc9ae1f88,0x007dc004,0x002fd8fc,0x03f003f0,0x00fc017c,0x000be0ba,
    0x1f8003e2,0x02dc1f80,0x2004c9ae,0x0b90001f,0xd7f02640,0x07e0005f,
    0x3e001ffd,0x01720001,0xfa9321f2,0x006a9360,0x0d7004d8,0x3fb001d7,
    0x2003e200,0x6f9800fb,0xd900ffc0,0x1fdc6a80,0x070001c0,0x13a005f9,
    0x00fc4b90,0x007f7c40,0x7ffffffc,0x7c9b07ff,0xffffffff,0xf71ea000,
    0x4c009fff,0xdd5f002f,0xff0007fd,0xffffffff,0x4017c03f,0x7fff401f,
    0xcb802fff,0xcccdfccc,0xfffff00c,0x83ffffff,0x7ffdc04c,0x007e004f,
    0xb9002e40,0x0013fe60,0x03ea83f0,0xc80007e0,0x641f9805,0x20f99f44,
    0x04d8006a,0x013a0d70,0x22003ff7,0x80bd000f,0x17c06fe8,0x6a803e20,
    0x01c00bf2,0x1ff90700,0x4400fc80,0x6c00b91f,0xeefffeee,0xbb33105e,
    0x36013333,0x33a66624,0x26400099,0x013667ae,0x3fe004e8,0x800df70d,
    0x999999bf,0x0ba01f99,0xbe803f50,0x402f9999,0xefeeeec8,0x7f01deee,
    0x33333333,0x5c04c83f,0x2004d99e,0x0b90001f,0x3f222e40,0x1f80001f,
    0x001f8000,0x3e201720,0x65ae2640,0x5ed43545,0xd7004d80,0x32037e60,
    0xf1001f9f,0x07be2001,0xf01af7a6,0x5403f003,0x2001ed8e,0x320e0003,
    0xfd883fcc,0x3f1b9002,0x007c4000,0x7b0026c0,0xf0001ec0,0x5cdb5559,
    0x800d9003,0x004e985f,0x807e007e,0x07fee05b,0x005f05d0,0x7c001f10,
    0x2dc1f801,0x003b9ae0,0x3206007e,0xfb936005,0x01801fae,0x200c00fc,
    0xb901801f,0x0990d700,0x46a83f5f,0x4d84fffb,0x7440d700,0x88efedef,
    0x01f1001f,0x6ef7ec40,0xf80d54ff,0x2a01f801,0x1c005fef,0x29907000,
    0xefedeffa,0x177e2000,0x001f1000,0x0fc009b0,0x260007b0,0x06eeeeef,
    0x7301fa80,0x0be203f0,0x0fc00fc0,0x2a217f10,0x201cfafd,0x8000a82e,
    0x07e000f8,0x80f507e0,0x07e0006b,0x00b907e0,0x3e3fb97c,0x3e01f801,
    0x3e01f801,0x5c81f801,0x2641fdc0,0x235437dc,0x4c86fffd,0x7300b900,
    0x00fc4379,0x98000f88,0x1aa0abca,0x03f003f0,0x0274efd4,0x41c00070,
    0x0de5cc4c,0x001fc800,0x5fdd5554,0x4d802aaa,0x2e80f300,0xd70d7000,
    0x01fc4080,0x6403f0d7,0xf003f006,0xfeffb803,0x40dff0df,0x2200002e,
    0x007e000f,0x403f107e,0x07e0006b,0x00b907e0,0x3e0443e2,0x3e01f801,
    0x3e01f801,0x5c81f801,0x904fda88,0xd5059109,0xa83fffa8,0x0009d006,
    0xf1001f88,0xd5000001,0x1f801f80,0x04f89aa0,0x41c00070,0x9000004c,
    0x5555000d,0x055557f7,0x176009b0,0xb0001f88,0x2dc0d707,0xf0d70176,
    0xf802f803,0x8801f801,0x017c41aa,0x880000ba,0x007e000f,0xb817207e,
    0x1f816e06,0x02e41f80,0x00fc06c8,0x003f00fc,0x400fc03f,0xffffc81f,
    0x3201dfff,0x44354004,0x803f101a,0x4c0002f8,0x01f1000f,0x80d50000,
    0x201f801f,0x4027cc6a,0x320e0003,0xf8800004,0x0f880002,0xc804d800,
    0x201ae00e,0x6b81f81a,0x00fb9ae0,0x200fc35c,0x801f806c,0x1e40001f,
    0x00001740,0x0fc001f1,0x17c40fc0,0x81ae06b8,0x641f801f,0x400fb805,
    0x201f801f,0x201f801f,0xc81f801f,0x001aaaae,0x06a80099,0x2201db00,
    0x6c80005e,0x0003e200,0x3f01aa00,0x35403f00,0x00e027cc,0x004c8380,
    0x0006c800,0xb0001f10,0x007dc409,0x85d005f1,0x5c0d7079,0xd7005f36,
    0x1f8803f0,0x0fc00fc0,0x008ee000,0x4400005d,0x007e000f,0x427d407e,
    0xf81ae06b,0x2e41f801,0x3e007ee0,0x3e01f801,0x3e01f801,0x5c81f801,
    0x00132000,0x76c000d5,0x0007f4c2,0x8800bea0,0xa800000f,0x7c00fc06,
    0x7cc1aa01,0x38000e04,0x400004c8,0x220002f8,0x0aabfbaa,0x556f5440,
    0x01ffdaaa,0x2aaabfaa,0x10fcaaaa,0x6d4c3db5,0xdaaaaaae,0x55555db6,
    0x22d95555,0x00aacfaa,0xfa9835bb,0x7d5440ac,0xf10000ac,0x2aa21fbb,
    0x00aaaacf,0x2feeaa60,0x9f5301aa,0x59f55015,0x2af3ba60,0xaaaaaaed,
    0x3eaaa66d,0xaaaaaaac,0x5db511fb,0x5ffb5555,0x2feeaa60,0xbaaaaaaa,
    0x3eaaa61f,0xaaaaaaac,0x2aaa61fb,0xaaaaaacf,0x36a61fba,0x401aaaae,
    0x00aadda8,0x015f9551,0x3fbff200,0x551000df,0x407fb755,0xbfbaaaa9,
    0x8001aaaa,0x0aafcaaa,0x202afeea,0x260abfba,0x9f9106ca,0x20003835,
    0x2ab7aa63,0x2aa2000a,0x00aafdaa,0xfffffc80,0x7fdc04ff,0xacefffff,
    0x3fffe600,0xdfffffff,0x47fffee1,0xfffffffe,0xfffb6fff,0xffffffff,
    0x3ffffeed,0x1fff502f,0x17ffffe6,0x07fffff7,0x2a0aa800,0xffffffff,
    0xffff1004,0x881fffff,0x544ffffe,0x201fffff,0xfffffecb,0x3a6fffff,
    0xffffffff,0x51ffffff,0xffffffff,0x7ff4015b,0xffffffff,0x3fa1ffff,
    0xffffffff,0x3a1fffff,0xffffffff,0x11ffffff,0xffffffff,0xffffb80d,
    0xffff705f,0xa98000bf,0x7fdc000a,0x7401deff,0xffffffff,0x2000ffff,
    0xfffffff9,0x5fffff32,0x2fffff98,0x7e41bffa,0x556c7fff,0xaaaaaaaa,
    0xff14aaaa,0x007fffff,0x7fffffdc,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x4c000cb8,0x26009999,0x26209999,0x4cccc019,0x4cccccc1,
    0x26600099,0x99999999,0x64c01999,0x4ccc4003,0x44009999,0x99999999,
    0x22099999,0x99999999,0x76e54009,0x999801bd,0x30009999,0x13333333,
    0x26666200,0x13333100,0x37b72a20,0x4ccc000b,0x22000999,0x4ccc0199,
    0x200ccc40,0x64400999,0x000009ac,0x0000002e,0x00000000,0x2a2000a8,
    0x000bdedc,0x8f3bb2e2,0xdedca801,0xedb8801b,0x0776e20b,0x2f7b6e60,
    0x23555301,0xfffffffa,0x3bbea04f,0x906d88cf,0x20bfffff,0x15fffffd,
    0x3205ffff,0xf75fffff,0xffffffff,0x7fdc019f,0xffffffff,0x3f607fff,
    0x05f52efd,0xfffffff1,0xfb03bfff,0xffffffff,0x3eadffff,0xffffffff,
    0xdfd882ff,0x203fecbc,0xfffffffc,0xff701cef,0xffffffff,0x3ffea03b,
    0xfff80fff,0x3fa22fff,0x2ffdbbce,0xfffffb00,0x3fea00df,0xfffb05ff,
    0x3fffea5f,0x5ffffb05,0x3ff77f60,0xdedb9801,0x0003f61c,0x7c007e44,
    0x0006f400,0x4027e400,0xdbbcefe8,0xefa802ff,0xfaffecbc,0x79bfb101,
    0x7e407fd9,0xe88efbce,0x2e02fecf,0x4fecacef,0x513fffa8,0x15555555,
    0xffd51640,0x4eecc03d,0x3b266009,0x1bf66209,0x4c1fb998,0x99999af9,
    0x26601ffd,0x999999af,0x19307b99,0x813fff22,0x9999dd98,0x66c4fca9,
    0x9afa9999,0x2626c999,0x999af999,0x500df980,0x4eecc0bd,0x3fdb9999,
    0x3335f330,0x207fd733,0x10099bf8,0x1501f533,0x98007e40,0x01fafa99,
    0x9803f910,0x0f7440cf,0x5403ba60,0x3200220f,0xdffdbcef,0xf70001fd,
    0x01f1005d,0x000cfd98,0x400fea00,0x803f200a,0xff7103fb,0x201bf303,
    0xd03305ea,0x07dc1dbb,0x6e9817ec,0x0017ffcc,0x002aa000,0x07d001ea,
    0x2a027664,0xd8807e06,0x400fc00f,0x0d44007a,0x7d405c80,0x03e20f62,
    0x00f881ae,0x2f9805e8,0x7f501360,0x3ee00fc0,0xa8005f01,0x07f10007,
    0x0136b900,0x0eb809d0,0xfb807f10,0x2000f600,0x5ff501ee,0x07fd5000,
    0xa8007c40,0x000003fe,0x07f10000,0x3f600be2,0xf9805e81,0x0bfea002,
    0x801f713e,0x3ffe24f8,0x00000001,0xf98017c0,0x03eb3200,0x007e06a8,
    0x01f809f1,0x000007a8,0xb3ec02e4,0xd701f107,0x2e007c40,0xd81ea007,
    0xf00fa804,0x3a09d003,0x6b809883,0x00136000,0x2003d4be,0x05f301f9,
    0x5f301fa8,0x64002f80,0x177f200e,0x00cfd980,0x20007c40,0x00002efb,
    0x04d80000,0x07e200bb,0x03d400f7,0x3f20ff10,0x2a005f10,0x531ffe1f,
    0x20015555,0x00aaaaa9,0x2ec01720,0x502ed320,0x6400fc0d,0x4c00fc05,
    0xb88554c6,0xb9002ced,0x0f61f300,0x81ae03e2,0x026c00f8,0x026c07e0,
    0x003f05d8,0x361360d7,0x8805c84f,0x009b0999,0x0017c7a8,0x802f41b2,
    0x01fc40fb,0x3f30026c,0x17c4fe40,0x0037f220,0x40007c40,0x0001efc8,
    0x99988000,0x007e09b0,0x4004d808,0x2226201f,0x2a3f103f,0xfd1f4006,
    0xfeeeeb8f,0xdddd7001,0x07cc003f,0x99007e20,0x03540be2,0x8099003f,
    0x6c08181f,0xbcefaafe,0x05c805fe,0x107b1f88,0x440d701f,0x7777400f,
    0xeeeeeeee,0x009b02fe,0x007e03e2,0x7c2e4136,0x9104c87d,0xffffffff,
    0x644d8009,0x5c4e8005,0xd1b6000f,0x003e600b,0x43f902e4,0x07bee05c,
    0x001f1000,0x006fec40,0x3f220000,0x4fffffff,0x40000f88,0xeeeeeeee,
    0x42feeeee,0xfffffeca,0xfccccccd,0x4c800b92,0x07e01bf6,0x4001f800,
    0x4035c03e,0x3541b24c,0x1f8803f0,0x00fc0fc0,0xf982fef8,0x5402e404,
    0x03e20267,0x00f880a2,0x666666f4,0x2ccccccc,0x174009b0,0x07ea00fc,
    0x3e7e635c,0x77d41ec1,0x13aa609a,0x7cc1f880,0x88fcc000,0xa744002f,
    0x176000fc,0x1fb826c0,0x177d4354,0x00f88000,0x0cfd9800,0x7777775c,
    0x3eeeeeee,0x9826bbea,0x007984ea,0xccccde80,0xcccccccc,0x237dfb12,
    0xccccdfa8,0x009b1ccc,0x013f25b8,0x1f80007e,0x3a035400,0x1f44c803,
    0x403f0354,0x81f805fb,0x03ff001f,0x017203e4,0x1f1009f3,0x801f1000,
    0x3600004d,0x3e0f6004,0x02fda981,0x0fad71ea,0x804f985d,0x41aa004d,
    0xb6c8003e,0x33e6000b,0x3ff2001f,0xfb83e802,0x3faa7982,0xddd50003,
    0xddddfddd,0xd50007dd,0x6666547f,0xcccccccc,0xb009f32c,0x0001f109,
    0x2e0004d8,0x005f100f,0x49b0016e,0x01f803fb,0x20007e00,0x001f301f,
    0x540fa899,0x2aab3e06,0xf004ffdb,0x03ffffff,0x3f100fe0,0xfb882e40,
    0x001f1005,0x6b801f10,0x7fffc000,0xb07fffff,0xffffff09,0x7980bfff,
    0x0fc6ba74,0x136003ee,0x0d703d80,0x01fdd100,0x801fdc00,0x5c6b9ee8,
    0x5f71365f,0xcfd99ae0,0xccc98000,0xcccdfccc,0xfa8002cc,0x2e00002e,
    0xf04d800f,0x06b80005,0xf8813600,0x800f5004,0x2003622f,0x07e0001f,
    0x2e417200,0x45d84c80,0x3bbbe06a,0x2000dfee,0x1f9999af,0x3f005f00,
    0x77777e40,0x22003ffe,0x0f88000f,0x0001fc40,0x333bb331,0x3e136013,
    0xcba9999a,0x21f101ee,0x221f31f8,0x44026c0f,0x01f1004e,0x2a0007e2,
    0x7f40003f,0x746a800e,0x26b833a4,0x213602fb,0x00003fea,0x500001f1,
    0x000007fd,0x09d1009b,0x885001b2,0x0d70003f,0x9d0037cc,0x0003b200,
    0x3f0000fc,0xf01f3000,0x26132005,0x1f81aa1f,0xf001fec4,0x3e003f03,
    0x3201f802,0x0abcccce,0x0007c400,0x7d4007c4,0xb02c8802,0x7c1ec009,
    0xf02fc801,0x265f1ea3,0x2a00fb87,0x5f7004ff,0x9d555555,0x003f1000,
    0x02f47640,0x227e626c,0x7d5fc41f,0xb807ea02,0x440002ef,0x3660000f,
    0x000000cf,0x7fd401f7,0x3009f104,0x005f50dd,0x207e6591,0xc883fff9,
    0xf500be61,0x00fc0003,0x20003f00,0x9003d43e,0x06a9b209,0x01fdc07e,
    0x200381f8,0x201f802f,0x2200005c,0x0f88000f,0x303bf700,0x13603df9,
    0x01f81f80,0x64ba0b90,0x887aa645,0x3f2621df,0x7401addc,0xffffffff,
    0x1f88007f,0x223f5000,0x6417c03f,0x7ff505be,0x4401fcc0,0x10001efc,
    0xf910001f,0x0040001b,0x9310efc4,0x3035bb9f,0xfc9883df,0x03bf700e,
    0x7dc3df93,0x3f3fbe61,0xf703bea3,0x03fd883b,0x0000fc00,0x1ae0003f,
    0x8264009b,0x7c0d53f8,0x200be601,0xf077001f,0x6403f005,0x3e200005,
    0x00f88000,0x3bbffa20,0x26c02eff,0x03f07980,0x4f603e60,0x06abd43e,
    0xdffdffd3,0x403fff63,0x02f800f9,0x4000fc40,0x00fd42f9,0x05ff109d,
    0x882f7fea,0x6c4004fc,0x7c4000df,0x0f7dc000,0x013ee000,0x3ffbffa6,
    0x01fffb1e,0xffddffb1,0xffd1005b,0x205dffdd,0x1d4ffffc,0x407ffff7,
    0xeffeffe8,0x01f80001,0x40007e00,0x003f11f8,0x51f50264,0x3200fc0d,
    0x800fc00f,0xf802f84c,0x00017201,0x88000f88,0xec88000f,0x0136001b,
    0x001f82ec,0xf39b01f1,0x05b9f881,0x5c04dd4c,0xc802e404,0x00fc4005,
    0x7e413a20,0x3f60f900,0xfd9bfa80,0x001effef,0x0033fa60,0xfa8007c4,
    0xf700002e,0x4dd4c009,0x2e620000,0x9880009a,0x551001ab,0x800aa201,
    0x0000aaa8,0xf80007e0,0x5d360001,0x20264006,0x07e06ace,0x03f013a0,
    0x00be1320,0x005c807e,0x0003e200,0x340003e2,0xc804d800,0x2003f00e,
    0x0d79906b,0x000132fa,0x005f003a,0xf88003e6,0x2036c001,0x25bf105d,
    0x10adefc8,0x0aba887f,0x3faa0000,0x400f8802,0x00003fe9,0x00000008,
    0x00000000,0x00000000,0x00fc0000,0x40003f00,0xc8007d7a,0x0367cc04,
    0x03f3003f,0x84c800fc,0x201f802f,0x2200005c,0x0f88000f,0x00068800,
    0x07dc409b,0x7f5003f0,0x5c1376e0,0xd80003dd,0x007a8331,0x3f1001f4,
    0x2007dc00,0xdfd104f8,0x4bff13ff,0x00000001,0x01d001d7,0x00000ce8,
    0x00000000,0x00000000,0x00000000,0x55554c00,0x1aaaacfa,0x7d55554c,
    0x001aaaac,0x44003f7e,0x900aadda,0xcfaa88df,0x2bb200aa,0x559f5510,
    0xd5555555,0x0567d4c9,0x260e7d4c,0x1aaaaeda,0x3eeaaa00,0x55502aab,
    0x55557f75,0x3d7bb001,0xaadea880,0x81ffdaaa,0xaaacfaa8,0x03fdbaaa,
    0x7cc0bfea,0xd880002e,0x5bb510df,0x36aa2015,0x755300ae,0x2205557f,
    0x5301adfa,0x2a6017f9,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8000000,0xffffffff,0x3fa0ffff,0xffffffff,0xf9000fff,
    0x7ffdc00b,0x8df105ff,0x2ffffffb,0x7dd3fe20,0xffffffff,0xf34fffff,
    0xfd07ffff,0x3fe21fff,0x06ffffff,0xffffff30,0xff983fff,0xffffffff,
    0x0153002f,0xffffff70,0x2e0159df,0xffffffff,0x4c01ceff,0x07fe00ff,
    0xffc80000,0xff905fff,0xff30bfff,0x3fffffff,0x0fffff90,0x017ffffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x451cdeda,0x5500aaa8,
    0x55550155,0x2aaaa805,0xa9805554,0xb501b0aa,0x3bb7105b,0x7bdb7300,
    0xaaa98903,0x5555440a,0x41555441,0xaaa81cc9,0xaaaaaaaa,0x2aaaaaa0,
    0x55555440,0xaaaaa982,0x10aa9800,0x44059db7,0x45bb71aa,0x0500bec8,
    0x0a00004c,0x55551098,0x2aaaa215,0x9cc00ae1,0x300c4009,0x01b71001,
    0xb80df64c,0x40002ced,0x2624ccc8,0x404ccc19,0x26200098,0x2a01c000,
    0xeeeeeeed,0x4eeeeeee,0x88888818,0x88888888,0x170e2008,0x88006a00,
    0x0f6a0dfc,0x6defff44,0xdd50feff,0xfddd105f,0x1ddffb03,0x877ff6c0,
    0xdb02fed9,0xc81f33fd,0x7f46ebcf,0x3ee02feb,0x24fecace,0x3bfee0f9,
    0x7ff74c2e,0x33f77544,0xf89f9bfd,0xeeeeeeee,0x3bfb61ff,0x7774c2ee,
    0xeeeb85ef,0xfed801fe,0xfebcefaa,0xddbfd705,0x7df35fb9,0x203ba0fd,
    0xf90001fc,0x3aa5f501,0xfd52eefe,0x897d49df,0x27f50bda,0x0bd100ec,
    0x2f7a0264,0x2a1b900f,0xd996ec1e,0x02dfd982,0x7ec7fff5,0xdfff10ff,
    0x177f7fe4,0x5dfffd50,0x4c09f700,0xcccccccc,0x6dcccccc,0x7fffcc68,
    0xffffffff,0x6e882fff,0xff30076c,0xfc8601bf,0x7fff74ff,0x3a603fb0,
    0xf802f80f,0xd800b701,0x3e00be03,0x20fd45ec,0x7dc1b94d,0xd302fd80,
    0xbd10d91d,0x5400ec80,0x6c41bf57,0x3f9807e0,0x17600b90,0x7c003f00,
    0x04f982fe,0xffb83bf6,0x77c41744,0x4002fd80,0x84fb82fd,0x077440f8,
    0xfcffdfb8,0x076c3fdf,0x4d803ba2,0x1a203e00,0x91a601a6,0x90bff9ff,
    0x7fe41fff,0x352fffc7,0x7d407d41,0x405f931c,0x0002fbfa,0x40e86b80,
    0x99999998,0x81999999,0x1fd80de9,0x1dd13fa8,0x3fff27b8,0xf0bfffb5,
    0xf80fa805,0xf301f802,0x3e02f800,0x40adf802,0x0fcf883e,0x007dc4d8,
    0x440bfbe2,0x001db05e,0x2005f9f5,0x409d101f,0x0fc401f8,0xf8007e00,
    0xd81f201f,0x5c2fc40f,0x883ff306,0xfd8802fe,0xf105fc83,0x2006fcc1,
    0x837542ee,0x01dd10ed,0x03e004d8,0x6a807980,0x81f913e2,0x7fdc3fff,
    0x401fff46,0xc827c42e,0xf73f880f,0x6b800003,0x00002db8,0x7e404fa8,
    0x3b621fc2,0x3a62fb89,0x5fff51ff,0x20700bd0,0x201f802f,0x221fd41f,
    0x200be00f,0x900f981f,0x443e609f,0x07f5002f,0x3b60de88,0x03ff5000,
    0x05e88140,0x036404d8,0x7f000fc0,0x9b01f880,0x81aa07e0,0x7f441ffa,
    0x20ffa203,0x43e205fc,0x2f8804fa,0x3b601f30,0x055c0ee9,0xf81d449b,
    0x205d1000,0x3ee0edc9,0xff327c41,0xd8bff50d,0x3fb662ff,0x07cc3fef,
    0x45e81f88,0x200000ec,0x02cc2a6b,0x801fc000,0xfb8020fb,0x710301df,
    0x02b3ea01,0x3f005f00,0x1bf61f40,0x802f80d5,0x2a06b81f,0x3547e02f,
    0x2200fa00,0x000ed8ee,0x400003ea,0x01f3006d,0x0fc0017c,0x3f005f00,
    0x40fc1360,0x17fd406a,0x3a213fe6,0x00efd84f,0x00bee3e2,0x80fa03dc,
    0xffc80efd,0xffdaddad,0xd1001f04,0x0f6d4407,0x5cbf01f9,0x4ff982ff,
    0xdf88ffdc,0x543ea99b,0x3b617c07,0x00005e80,0x1eefc9ae,0x55555551,
    0x55555555,0x40000001,0x30000008,0x059dfffb,0x01f802f8,0x0faf8932,
    0x005f0172,0x4c0b903f,0xeeeeeeef,0xc800b92f,0x03bf6004,0x0000f500,
    0x3e8003b6,0x3e000f50,0x200be001,0x3e09b01f,0xfb806a81,0x327fcc2f,
    0xefd88bff,0x7ff7c400,0xb809b003,0x01dfd105,0x67fffed4,0x26007c02,
    0x43e6002e,0xb0fd43f9,0x0ffe20df,0x41361ff5,0xa817c43e,0x4403ee0f,
    0xd700004f,0xeeee9810,0xeeeeeeee,0x00001eee,0x00000000,0x1efeca88,
    0x03f005f0,0x8fad5354,0x4017c03e,0x2204c81f,0xccccccdf,0xb8009b1c,
    0x1dfd1005,0x0007a800,0x54000fc8,0x20007d07,0x00be001f,0xf826c07e,
    0xf8806a81,0x91ffe86f,0x4ffa85ff,0xfb8ef880,0x7406b805,0xed8ee883,
    0x017fd400,0x07aa00f8,0xcfe8ba00,0x17fc6fca,0x7f983ff0,0x20ff20f6,
    0x3274c1ec,0x01f9805f,0x0006b800,0x44000000,0x88888888,0x88888888,
    0x40000008,0x02f81fc8,0x43e201f8,0x00fcd74d,0x207e00be,0x00be605b,
    0x136002dc,0x3b637a20,0x001ea000,0x20003f70,0x0007cc2f,0x0be001f8,
    0x826c07e0,0x4406a81f,0x7fe40efe,0x2a0ffe41,0x0fc403ff,0x7c401dd3,
    0xe883f301,0x4403b60e,0xf800fcbf,0x4401b900,0x7e446880,0x17e61cff,
    0x5f881fb0,0x37b737e6,0xcefd85ee,0x801445fe,0x4a80000a,0x64000000,
    0xf32f440e,0xffffffff,0xffffffff,0x260005ff,0x5f09d000,0xaf803f00,
    0xf33f11f8,0x3f005f00,0x27d40d50,0x7c007a80,0x362f4402,0x00f5000e,
    0x00017d40,0x0004d8d7,0x02f8007e,0x209b01f8,0x6c06a81f,0x01efb85f,
    0xffa81ff9,0xd103e202,0x4c1ee809,0x4077446d,0x3a5e80ed,0x57f55505,
    0x55557645,0x26f7a67a,0x015102ec,0x20310071,0x85654409,0x799302aa,
    0x00000003,0x00000000,0x1fe617f4,0x33333331,0x33333333,0x6c000333,
    0x7d0b9004,0x6c01fa80,0x355ec6ab,0x3ea01f40,0xfb01f881,0x8027400d,
    0x17a200ec,0x3d400764,0x203f9800,0x88fc403b,0x07e0001f,0x1f802f80,
    0x207e09b0,0x217f606a,0x7dc00efb,0x80ffcc0e,0x01fa80f8,0xfd7dfdf5,
    0x007645fd,0x220fb8bb,0xaaaaa83f,0x2aaaa62a,0x1cba82aa,0x00000000,
    0x00000000,0x00000000,0x05100000,0x00000066,0x003b6000,0x40b707f3,
    0x6dc01ffb,0x02675c4d,0x3ff702dc,0x23e61720,0x7cc3903e,0x100fd402,
    0x01fc80bd,0x7c4003d4,0x64026c03,0xf8000b95,0x200be001,0x3e09b01f,
    0x9f906a81,0x2001df50,0x1fe986fa,0x0bb00f88,0x33ae67f5,0x40025f71,
    0x02d40ec0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0x6ea80aff,0x2a217f10,0x201cfafd,0x7fc41ff9,0x10bf8802,
    0x039f5fb5,0x997ccbf1,0x703baa2f,0x3fd883bf,0x02abfa60,0x982bfaaa,
    0xaaaafb99,0xaee880aa,0xeaaaaaaa,0x2fbf9804,0x75555300,0x8355557f,
    0x980acfa9,0x3aa21cfa,0x20e7c0ad,0x0fee0afa,0x2a0017e6,0x20ee885f,
    0xf982bfba,0x5c00f22c,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32000000,0xfeefffbb,0x3fae00cf,0xfff0dffe,
    0x6c1be201,0xdfd7000f,0x1bfe1bff,0x21ff7f44,0x204ffefb,0xeffeffe8,
    0x3fffe601,0x7fffcc2f,0xfffff32f,0x07ffffff,0xfffffff5,0x2009ffff,
    0x3fa006fd,0xffffffff,0xfff30fff,0xfffd07ff,0x3fffee1f,0xf507ffc2,
    0x4c8174bf,0x203a6000,0xffff52d8,0x05ffb07f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01357530,
    0x0000d4c0,0x2a600000,0x15510001,0x51000d40,0x00000155,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_36_latin_ext_x[560]={ 0,7,4,2,3,2,3,7,9,4,0,2,4,2,
7,3,3,3,2,3,3,3,4,3,3,4,7,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,3,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,7,3,1,3,1,
8,2,4,0,0,0,0,2,0,-1,5,2,5,5,6,1,2,7,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,1,2,1,2,1,2,1,2,2,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,3,2,3,2,3,2,3,2,3,2,0,0,2,2,1,2,2,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
2,3,2,3,2,3,2,3,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,3,2,0,
2,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,2,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_36_latin_ext_y[560]={ 26,6,6,5,4,6,9,6,6,6,6,8,21,16,
22,4,6,6,6,6,6,6,6,6,6,6,12,12,8,13,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,4,6,6,33,5,12,6,12,6,12,6,12,6,5,
5,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,26,12,5,7,10,7,
6,6,6,7,5,12,16,16,7,3,2,6,6,6,5,12,6,14,25,6,5,12,6,6,6,12,1,1,1,3,
2,1,7,7,1,1,1,2,1,1,1,2,7,3,1,1,1,3,2,11,6,1,1,1,2,1,7,6,5,5,
5,7,6,4,12,12,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
3,7,1,5,7,12,1,5,1,5,2,6,1,5,1,6,7,6,3,7,1,5,2,6,7,12,1,5,1,5,
1,5,2,6,7,4,1,1,7,6,3,7,3,7,1,5,7,5,2,12,7,5,1,5,7,6,12,1,0,7,
6,7,6,7,6,7,6,1,5,7,12,1,5,6,7,12,3,7,1,5,1,5,7,12,1,5,7,12,1,5,
1,5,1,5,7,12,1,5,7,7,1,6,7,7,2,7,3,7,1,5,0,4,1,5,7,12,1,5,1,5,
2,1,5,2,6,1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,7,12,6,6,6,6,6,6,6,6,6,6,6,6,6,5,12,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,1,5,1,5,1,
5,1,5,1,3,1,1,1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-1,1,5,1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_36_latin_ext_w[560]={ 0,5,11,15,13,15,13,5,6,6,12,15,8,15,
5,13,13,13,14,13,13,13,13,13,13,13,5,8,16,17,16,12,13,19,17,17,16,16,16,17,17,13,17,18,
17,19,18,16,16,17,18,15,15,17,19,19,17,17,13,6,12,6,13,20,7,16,18,16,18,16,15,17,17,15,
11,17,15,19,17,15,18,18,16,13,15,17,19,19,17,17,13,7,3,7,15,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,12,16,13,17,
3,15,11,19,11,16,17,15,19,21,9,15,9,9,7,17,15,5,6,9,11,17,19,20,19,12,19,19,19,19,
19,19,19,17,16,16,16,16,13,13,13,13,18,18,16,16,16,16,16,11,17,17,17,17,17,17,16,15,16,16,
16,16,16,16,19,16,16,16,16,16,15,15,15,15,15,17,15,15,15,15,15,15,17,17,17,17,17,17,18,17,
19,16,19,16,20,17,17,16,17,16,17,16,17,16,16,19,18,18,16,16,16,16,16,16,18,16,16,16,17,17,
17,17,17,17,17,17,17,17,17,18,13,15,13,15,13,15,13,15,13,15,19,16,17,12,18,17,15,17,15,17,
15,17,15,17,15,17,15,18,17,18,17,18,17,18,17,15,16,15,16,15,16,15,19,19,18,16,18,16,18,16,
15,13,15,13,15,13,15,13,15,15,15,15,15,16,17,17,17,17,17,17,17,17,17,17,17,18,19,19,17,17,
17,13,13,13,13,13,13,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,15,17,17,17,
17,17,17,17,17,17,17,17,17,17,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,19,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,19,16,13,15,16,
15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,19,16,19,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_36_latin_ext_h[560]={ 0,21,10,24,25,21,18,10,25,25,12,17,10,2,
5,25,21,20,20,21,20,21,21,21,21,21,15,18,17,7,17,20,24,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,23,19,20,19,20,19,19,19,19,19,25,25,25,9,2,6,15,21,15,21,15,20,20,20,21,
27,20,20,14,14,15,20,20,14,15,20,15,14,15,14,20,14,25,25,25,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,21,21,19,13,19,
25,23,4,20,10,14,9,2,20,3,10,20,11,11,6,20,23,5,7,11,10,14,20,20,20,21,25,25,25,23,
24,25,19,25,25,25,25,24,25,25,25,24,19,23,26,26,26,24,25,12,22,26,26,26,25,25,19,21,22,22,
22,20,21,23,15,20,22,22,22,21,21,21,21,20,21,19,22,22,22,20,21,16,17,22,22,22,21,27,26,26,
23,20,25,22,24,19,26,22,26,22,25,21,26,22,25,21,19,21,23,20,25,22,24,21,24,19,25,22,26,27,
26,27,25,26,25,28,25,25,19,20,23,19,23,19,25,21,24,26,24,14,20,27,26,27,25,26,14,25,26,25,
26,19,20,19,20,19,20,25,21,25,20,25,21,20,20,20,24,20,26,22,26,22,19,15,25,21,25,20,25,21,
26,22,26,22,25,20,26,22,26,26,25,21,19,20,25,20,24,20,26,22,27,23,26,22,24,19,25,22,25,27,
24,25,21,24,20,25,21,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,23,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,15,20,20,20,20,20,20,20,20,20,20,20,20,20,22,15,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,22,25,21,26,
22,26,22,26,24,26,26,26,26,26,26,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,31,28,25,22,27,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_36_latin_ext_s[560]={ 510,505,372,308,398,232,321,506,214,221,310,
370,363,42,503,482,248,271,285,411,300,476,129,162,229,1,504,502,353,447,386,
330,342,265,209,343,396,91,307,381,270,159,399,251,378,484,53,417,126,94,72,
454,143,1,33,227,303,285,237,373,253,246,408,21,473,419,278,436,313,453,486,
19,72,460,141,90,37,213,195,490,126,53,128,1,470,15,159,33,110,145,145,
123,506,150,481,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,510,256,243,
200,284,163,356,164,465,434,384,251,422,42,361,477,353,314,333,343,465,253,489,
497,440,323,396,233,130,109,89,262,468,85,51,21,175,15,217,286,322,339,356,
195,468,496,18,229,181,112,422,19,278,427,104,298,18,475,313,224,177,228,467,
64,445,53,462,465,490,77,470,398,197,479,36,380,364,348,332,237,297,108,181,
314,298,348,80,403,335,90,163,145,214,123,385,404,1,275,266,1,388,247,439,
428,457,395,304,47,1,330,1,176,190,143,147,292,399,214,444,443,289,173,50,
249,70,87,106,188,32,208,121,38,139,157,340,309,461,17,475,1,435,213,275,
260,243,179,328,171,88,74,85,308,268,105,292,67,226,449,449,431,433,413,364,
449,29,416,380,380,425,70,415,150,212,166,175,412,142,379,358,72,195,112,158,
220,131,196,54,200,326,347,35,482,159,284,192,276,432,262,324,1,380,18,257,
36,124,266,105,59,242,231,370,288,448,180,488,153,324,71,397,356,496,1,15,
54,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,182,108,108,131,
108,108,108,108,108,108,108,108,108,108,108,108,108,200,92,108,108,108,108,108,
108,108,108,108,108,108,108,108,70,53,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,360,108,
342,96,493,496,36,361,367,409,242,260,206,331,349,295,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,1,21,412,125,56,41,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108, };
static unsigned short stb__courier_36_latin_ext_t[560]={ 1,86,243,86,33,136,223,223,60,60,243,
223,243,30,243,60,136,181,181,136,181,136,159,159,159,159,202,181,223,243,223,
181,86,223,223,181,202,223,202,181,202,223,181,202,202,202,223,181,223,112,223,
181,223,202,223,223,223,223,202,60,60,60,243,30,243,223,136,223,136,223,181,
202,202,136,1,202,202,243,243,223,202,202,243,243,181,243,243,243,243,202,243,
60,33,60,243,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,1,159,159,
202,243,202,33,112,250,181,243,243,243,30,181,250,243,181,243,243,243,181,86,
243,243,243,243,243,181,181,181,159,33,60,60,112,86,60,202,60,60,60,60,
86,60,60,86,86,202,112,1,33,1,86,86,243,136,1,1,1,60,60,202,
159,112,136,112,159,136,112,223,159,136,112,136,136,136,136,136,181,136,223,136,
112,112,159,159,223,223,136,136,136,136,1,1,1,112,159,60,136,86,223,1,
112,1,112,60,159,33,112,86,159,223,159,112,159,60,112,86,136,86,223,86,
112,33,1,33,1,86,33,86,1,86,86,202,159,86,223,86,223,60,159,86,
33,86,243,159,1,33,1,86,33,243,60,33,86,33,202,159,202,159,202,159,
60,159,60,159,60,136,181,159,181,86,181,33,112,33,112,202,243,60,159,60,
181,60,159,33,112,33,112,60,159,33,112,33,33,33,136,202,181,33,181,86,
181,33,112,1,112,33,112,86,202,33,112,33,1,86,60,136,86,159,60,159,
181,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,181,202,202,112,
202,202,202,202,202,202,202,202,202,202,202,202,202,181,243,202,202,202,202,202,
202,202,202,202,202,202,202,202,136,243,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,33,136,
33,159,1,112,33,112,1,86,1,1,1,1,1,1,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,1,1,33,136,1,112,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202, };
static unsigned short stb__courier_36_latin_ext_a[560]={ 305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_36_latin_ext(stb_fontchar font[STB_FONT_courier_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_36_latin_ext_s[i] + stb__courier_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_36_latin_ext_t[i] + stb__courier_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_36_latin_ext_x[i];
            font[i].y0 = stb__courier_36_latin_ext_y[i];
            font[i].x1 = stb__courier_36_latin_ext_x[i] + stb__courier_36_latin_ext_w[i];
            font[i].y1 = stb__courier_36_latin_ext_y[i] + stb__courier_36_latin_ext_h[i];
            font[i].advance_int = (stb__courier_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_36_latin_ext_s[i] + stb__courier_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_36_latin_ext_t[i] + stb__courier_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_36_latin_ext_x[i] + stb__courier_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_36_latin_ext_y[i] + stb__courier_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_36_latin_ext_LINE_SPACING
#endif

