// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT        282
#define STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_37_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_37_latin_ext_LINE_SPACING          17

static unsigned int stb__courier_37_latin_ext_pixels[]={
    0x20000000,0x04000028,0x00000000,0x00000026,0x800b2200,0x880001d8,
    0x00b8001c,0x1930006a,0xca826400,0x0980a801,0x80002800,0xccccccca,
    0x0001000c,0x00028800,0x00000040,0x00000980,0x00000098,0x00000a00,
    0x00000188,0x2602e600,0x00440003,0x40000000,0x3e80005c,0x0bea0000,
    0x009d1000,0x2202fb80,0x00005fff,0x2600bf30,0x20003fff,0x4003ffe9,
    0x005f104d,0x800f7fdc,0x007f707f,0x00fdc3d9,0x00013a20,0x99999997,
    0x07f10039,0x13a20000,0x02f44000,0x00007640,0x400001db,0xd30002fb,
    0x13e60007,0x17e60000,0x004e8800,0x5ff07fd0,0x00fea000,0x5b007aa0,
    0x00fec400,0x00016a00,0x40004fb8,0x20000ee9,0xdaa803fc,0xf3000005,
    0x2e9f700b,0x5fb8005f,0x26001bf5,0x8036c42f,0x07f92fd8,0x0fee0ff0,
    0x076dfd40,0x00de8800,0xb8000000,0x4c00004f,0xd100003f,0x7f44001d,
    0xb10002fe,0xf900003f,0x37ee0007,0xfa8000df,0x3ea00005,0x37ea0005,
    0x75c000ef,0x8000ec81,0xfc8004fb,0x00fa03fd,0x00007744,0x40001f6c,
    0x540003fc,0x7ec0005f,0x002e4002,0x404e9800,0x0774c2fd,0x7443fc80,
    0xbff9000e,0xd1003ffd,0x405fa83d,0x405d505d,0xc897a63a,0xdb0e4401,
    0x03b801d4,0x7d400391,0x23910005,0x000ea2f9,0x30006fcc,0x013f21df,
    0x0002fc80,0x22000bf6,0x03dd12fd,0x001dd300,0x0004fb80,0x17ec4ff2,
    0x20000000,0x744003fc,0xd01bf51f,0x01df3007,0x01bfe000,0x0005f900,
    0x40004fa8,0x5c8001ed,0x40000000,0x0019100c,0x001c8072,0x002f3726,
    0x03980644,0x07fc0000,0xfb809f70,0x801ff0c4,0x09f707f8,0x8006e980,
    0x1ff024fb,0x004fa800,0x2fd427d4,0x005f7000,0x20003fb0,0x01fd81ee,
    0x0006e880,0xd8000fea,0x002fc81f,0x5f900000,0x40df8800,0x01f40ee8,
    0x20000254,0x5c0001da,0x02a80001,0x0000a800,0x000000b9,0x00000000,
    0x00000000,0x40000000,0x005c403a,0x03a802e2,0x02e20550,0x20012200,
    0x00ea00b8,0x22000ea0,0x0000a201,0x01300013,0x02a01400,0x20002800,
    0x05400018,0x00000130,0x20002600,0x1f414028,0x00002a80,0xbc980000,
    0x00000000,0xc81e8800,0x00000305,0x00001300,0x00980000,0x00000000,
    0x00000000,0x00000000,0x00dc40dc,0x0dc00000,0x00000dc4,0x00000000,
    0x00000000,0x00000000,0xdd500000,0x3baa07dd,0x000003ee,0x201f4000,
    0x000ecce8,0x40000980,0x0006bada,0x37260000,0x83743dff,0x3fffb25c,
    0xdddb00be,0x01dddddd,0x33bfffa6,0x2a1bdd90,0xd503eeee,0x3a607ddd,
    0xd90cefff,0x7775c1bd,0x20eeeeee,0x24eeeed8,0x1eeeeeea,0x87999995,
    0x0cccccc8,0x87999995,0x0cccccc8,0x87999995,0x0cccccc8,0x6fb87fa8,
    0x79999950,0xcccccc88,0xfb87fa80,0xfd951006,0x200e27bd,0x00adffdb,
    0x56ffedc0,0x7fedc000,0x332a00ad,0x66443ccc,0x9950cccc,0xcc887999,
    0x9950cccc,0xcc887999,0xf930cccc,0x3326039b,0xfb5101df,0x80e239df,
    0x1ceffda8,0x3201f471,0x4c000ea2,0x90cefffe,0x07401bdd,0x77754057,
    0xdddd503e,0x2b3bea07,0x0fc9efca,0x37fd1b90,0x501dd731,0xb9999999,
    0x159f901f,0x9db1dd53,0x337f2617,0x3bf99301,0x53159f90,0x179db1dd,
    0x6666664c,0x32e20fdc,0x33266ecc,0xd951fccc,0xcc88999d,0xd950cdfc,
    0xcc88999d,0xd950cdfc,0xcc88999d,0xe880cdfc,0x9503e984,0xc88999dd,
    0x880cdfcc,0x803e984e,0xdbabdffa,0xd100fcff,0x7fd9559d,0x559dd100,
    0xd1007fd9,0x7fd9559d,0x333bb2a0,0x6fe66444,0x99dd950c,0xdfccc889,
    0x99dd950c,0xdfccc889,0xb802740c,0x2b3bee07,0x07acfdba,0xb7559df7,
    0x01f4f59f,0x80059836,0xea98acfc,0x00bced8e,0x2603b83a,0x9301cdfc,
    0x7f903bf9,0x80bff620,0x3200deec,0x07cc000e,0xefc80bee,0x5c013a04,
    0x6405f707,0xf30004ef,0xf806b801,0x3f002e41,0x1f801720,0x0fc00b90,
    0x17200000,0x00001f80,0x2e01fcc0,0x05fa80ff,0x5fa80bee,0xfa80bee0,
    0xc80bee05,0x6407e005,0x6407e005,0x5407e005,0x503e800f,0x3ff4c05f,
    0xfd3017d4,0x32a01f4f,0x5c002d88,0x13bf202f,0x075465c0,0x7b802740,
    0xf9805f50,0x01bf200f,0x3e60036c,0x3600be20,0x003ea04f,0x00be20fa,
    0x4c0013f6,0x4035c00f,0xf002e41f,0xf8017203,0x7c00b901,0x64000001,
    0x0007e005,0x002f9800,0x04f881f9,0x4f881fa8,0xf881fa80,0x901fa804,
    0xc80fc00b,0x6407e005,0xe807e005,0xf983dc04,0x4c7f9801,0x27f9801f,
    0x3eeb803e,0x4017c400,0x36a004fd,0x01f5001c,0x013a07d0,0x6409dbd1,
    0x01f1001f,0x0d907cc0,0x9d013e20,0x0d907b80,0x40013e20,0x035c00f9,
    0x801720fc,0x400b901f,0x400b901f,0x4000001f,0x007e005c,0x005f8000,
    0x801b21e6,0x003640ec,0x006c81d9,0x017203b2,0x00b901f8,0x005c80fc,
    0x00fa807e,0x0027c0fa,0x2004f8f9,0x0000fa7c,0x2200d900,0x8000004f,
    0xb83dc04e,0x5476c00f,0x800f900f,0x83e6002e,0x013a004d,0x81f401f5,
    0x013a004d,0x2e007cc0,0x2e41f806,0x17203f00,0x0b901f80,0x3ba60fc0,
    0x9ddd902e,0x1f801720,0xc817774c,0x07cc4eee,0x00be6000,0x0be62f88,
    0x3e62f880,0x20be2002,0x407e005c,0x407e005c,0x007e005c,0x203ea09d,
    0x962000f9,0x962000f9,0xcccca83e,0x26c004cc,0x44009d00,0x07d40019,
    0x00fa07d0,0xc81f43f7,0x0026c006,0x0017c1f3,0x209d009b,0x005f00fa,
    0xf980026c,0x7c035c00,0x3f002e41,0x1f801720,0x0fc00b90,0x540ff322,
    0x0b905ecc,0x33220fc0,0xbd99503f,0xb80006b8,0x2e4c8006,0x2e4c8006,
    0xc84c8006,0x6407e005,0x6407e005,0x5007e005,0x2e07d01f,0x02dc0005,
    0x32a0fa00,0x02fdfccc,0x4d800be0,0x3ffb6e20,0x9d000cff,0x17c03ea0,
    0x04c85f50,0x04d800d9,0x03e83e60,0x3ea013a0,0x0fa03e80,0x30004e80,
    0x806b801f,0xf002e41f,0xf8017203,0x7c00b901,0x3200fa01,0x7c00b905,
    0x3200fa01,0x400026c5,0x26a8005c,0x26a8005c,0x86a8005c,0x407e005c,
    0x407e005c,0x007e005c,0x201f513a,0x1ec0003d,0x200fa000,0x2005d9f8,
    0x813a003e,0xca89acef,0x0fa800ee,0x01f103e8,0x41ae13e2,0x0be000fc,
    0x1720f980,0x9d004f80,0x17200fa8,0x30004f80,0x806b801f,0xf002e41f,
    0xf8017203,0x7c00b901,0x3200fa01,0x7c00b905,0x3200fa01,0x40001745,
    0x2798003e,0x2798003e,0x8798003e,0x407e005c,0x407e005c,0x007e005c,
    0x204e83ea,0x17c0002f,0x200fa000,0x2001f56b,0x013e005c,0xd005f880,
    0xf300fa89,0x07a82f40,0x3ee009f9,0xa83e6000,0x04fb801f,0x02741f50,
    0x3ee007ea,0x01f30004,0x41f806b8,0x407e005c,0x407e005c,0x807e005c,
    0x905c803e,0xd00fc00b,0x2f8b9007,0x002f8000,0x005f1f88,0x00be3f10,
    0x0b907e20,0x05c80fc0,0x02e407e0,0x53a003f0,0x00be00fa,0x80005f00,
    0x3e3e803e,0x003f5003,0xb80009f7,0x741f5007,0x3203e604,0x320d700f,
    0x17cc02ff,0xdb03e600,0x004ff980,0x4007d53a,0x27fcc06d,0x400f9800,
    0x641f806b,0x6407e005,0x6407e005,0xe807e005,0xb905c803,0x7d00fc00,
    0x02f8b900,0x26666662,0x22000fa1,0x10007d0f,0x2000fa1f,0x002e40f8,
    0x8017203f,0x400b901f,0xd1f5001f,0x0002f809,0x3a00017c,0xd907cc03,
    0x26036c00,0x540004ff,0x7d53a007,0xf707e200,0xdc82e403,0x4fc80cfa,
    0x440f9800,0xdafb81ee,0x3a3ea004,0x03dd1004,0x0009b5f7,0x0d7003e6,
    0x005c83f0,0x002e407e,0x8017203f,0x200fa01f,0x400b905c,0x200fa01f,
    0xf901f45c,0x25ffffff,0x2798004d,0x2798004d,0x8798004d,0x407e005c,
    0x407e005c,0x007e005c,0x7400fee8,0x01f40003,0xb900fa00,0xd1001f88,
    0x9b5f703d,0x55955100,0x7d400f53,0x22f804e8,0x81ec03f9,0xdbdff35c,
    0x260005ff,0xdffd880f,0x009b2ffe,0x2000fee8,0xffedffd8,0x260009b2,
    0x2aaaa20f,0x41aaaaed,0xf002e41f,0xf8017203,0x7c00b901,0x3200fa01,
    0x7c00b905,0x3200fa01,0x260026c5,0x2001720f,0x2001725b,0x2001725b,
    0x2005c85b,0x400b901f,0x400b901f,0x13ea001f,0xb0001760,0x03e8000b,
    0x0027417c,0xffdbffb1,0xfd981365,0x7fffeeff,0x007f7400,0x404e8b64,
    0x98b902f8,0x0000abcb,0xca9803e6,0x20026c1b,0x530004fa,0x004d8379,
    0x7fdc1f30,0xffffffff,0x016e0fc6,0x05b807cc,0x16e01f30,0x7d007cc0,
    0x16e0b900,0x7d007cc0,0x06b8b900,0x1f507cc0,0x3ea3e800,0xf51f4000,
    0xb83e8001,0x201f3005,0x01f3005b,0x07cc016e,0x7001f500,0x06b8000d,
    0xf501f400,0x26001ee0,0x826c1bca,0xf7101dfa,0x004fa800,0xb00db3f1,
    0x0002e40d,0x0003e600,0x7d4004d8,0x9b000000,0x003e6000,0x1e60fc00,
    0x0f303dc0,0x07981ee0,0x03e80f70,0x00f305c8,0x007d01ee,0x001f98b9,
    0x009d03e6,0x013a0fd4,0x02741fa8,0x0f303f50,0x07981ee0,0x03cc0f70,
    0x274007b8,0x0003f880,0xe8000fe2,0x7c413603,0x26c00002,0x3d4027cc,
    0x8003ea00,0x7cc00ffc,0x00017201,0x8000f500,0x0274003e,0x007d0000,
    0x40001ea0,0x803f80f9,0x401fc05e,0x401fc05e,0x2026c05e,0x00fe05e8,
    0x809b017a,0x006c85e8,0x03f303e6,0x07e613a0,0x0fcc2740,0x0fe04e80,
    0x07f017a0,0x03f80bd0,0x3ea005e8,0x007ea000,0x03f5174c,0x81f4ba60,
    0x017601f8,0xf707d000,0x800f5001,0x77dc004e,0x9013ea00,0xd800000b,
    0x07e20005,0x0000fa80,0x0003f100,0x640001b6,0x6403f706,0x00fdc00f,
    0x1fb801f9,0xf9003f20,0x702ffd40,0x007e403f,0x5ffa81f2,0x9800de88,
    0x202fd80f,0x0bf605e8,0x3f605e88,0x7017a202,0x007e403f,0x0fc807ee,
    0xf900fdc0,0x00274001,0x3e6017e4,0x4c02fc86,0x7dc0fa6f,0xdccccccc,
    0xf100000f,0x3200b903,0x003ea007,0x0afecf98,0x32013f26,0x26000005,
    0xdd10003f,0x0004e800,0x000dd100,0x20000fe6,0x2ff204f8,0x400bf660,
    0x3f660bfc,0x417f9002,0xf8802fd9,0x99f9510c,0x2ff2015d,0x200bf660,
    0xf9510cf8,0xd8815d99,0xfeb881bf,0x4439f900,0xcfc806ea,0x201baa21,
    0x3aa21cfc,0x417f9006,0xf9002fd9,0x017ecc17,0x3660bfc8,0x2666602f,
    0x40009afa,0x7e4c1cfc,0x3073f204,0xd02d89f9,0xdddddddd,0x100007fd,
    0x803ee0dd,0x3a007fe8,0xc97a2004,0x02fffeff,0x0ccf64c4,0x4cccc400,
    0x99804fea,0x00eeb999,0x2bea6666,0x33300009,0x401dd733,0xfea99998,
    0x4ccc4005,0xfb805fda,0x001effef,0x77ff7fdc,0x77fdc001,0x2a001eff,
    0x91effeff,0x7fdc09ff,0x2001effe,0x1effeffa,0x3ee09ff9,0xbeffeeff,
    0x77ffd400,0xf5000bef,0x017dfdff,0x3fbffea0,0x3ee000be,0x001effef,
    0x77ff7fdc,0x77fdc001,0x3ee01eff,0x6fffffff,0xeffea800,0xea802eff,
    0x02effeff,0x2e003e60,0x26666006,0xd100eeb9,0x6fdcc15d,0x2660aafb,
    0x009afa99,0x5cc40ec8,0xfff8800a,0x4005ffff,0x3effffff,0xfffffa80,
    0x7ffdc04f,0x006fffff,0xffffffa8,0xffffd804,0xff8003ef,0x4004efff,
    0x40001ab9,0x40001ab9,0x10001ab9,0x80001575,0x10001ab9,0x40001575,
    0x001abb98,0x0000aa88,0x80002aa2,0x40000aa8,0x40001ab9,0x40001ab9,
    0x31001ab9,0x00333333,0x00aba880,0x00aba880,0xf1005c80,0xffff5003,
    0xfb1009ff,0x2a5fffdf,0xfff73fff,0x00dfffff,0x44000011,0x00199999,
    0x00199988,0x00099988,0x26666662,0x26620001,0x4ccc0009,0x26200009,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf0000000,0x8026c005,0x80009998,
    0x2000aba9,0x19999998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x03d40079,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaaeda880,0x33eeaa01,0x2aaaaa22,0xaaaaaaaa,
    0xb10aaaaa,0xbbbbbbbb,0xbbbbbbbb,0x000009bb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,
    0xffff306f,0x3ffee3ff,0xffffffff,0x4fffffff,0x99999991,0x99999999,
    0x00079999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb3000000,0x00000009,0x00000000,0x003bd500,0x44000000,0x0c088000,
    0x2a000e20,0xcccccccc,0x00cccccc,0x20600000,0xb806d401,0x00220004,
    0x00000000,0x002e0000,0x007600e8,0x002c8076,0x02800040,0x80000000,
    0x001a2059,0x00000980,0x016c40f6,0x05a806cc,0x00022000,0x017fec00,
    0x401b9000,0x0000fffd,0x4003e880,0x000e98cb,0x07fffff7,0x007f5000,
    0x07ea3f98,0xed800798,0xcdfccccc,0x401fcccc,0x20000dd8,0x101f20fb,
    0x17ec43dd,0xe84f9800,0x4e88002d,0x04e88000,0xd001f400,0x2003ea09,
    0x003f105c,0x40017d40,0x400000ee,0xf88004d8,0x0b60d902,0x2002fb80,
    0x1bf503ea,0x4400774c,0x01fdc1fe,0x203fa800,0x003ffffe,0x00001ff7,
    0x203fdfd1,0x0000fca9,0x0006fcc0,0x1003a83a,0x007d5555,0x4004fb80,
    0x00fea5f9,0x09b000f3,0x300fc0fa,0x0003dddd,0x00fe45f7,0x1ee9bfd8,
    0x209f5000,0x2a001fc9,0x0000dfdf,0x001bfbf5,0xfa800fa0,0x009d510b,
    0x5ea873e2,0x013ee000,0x000f7440,0x0efef980,0x88576400,0x007d02fb,
    0xfc800ff2,0x27ba600b,0xfc8004fb,0x0002fd8b,0xa9809f70,0x22003faa,
    0xdfa80000,0x7cc07f90,0x3ea00000,0x5c1b0004,0x00fa0003,0x4003fc80,
    0x013e65f8,0x136001e6,0x501f81f4,0x00ff61bf,0x0bf23fa8,0x00bff700,
    0x6401fdc0,0x227f9004,0x7e4001fe,0x4003fd13,0x38ceffea,0x7ff7fe40,
    0x3fee000d,0x0000effe,0x880005f9,0x5c0001fd,0x005fb14f,0x7ff7fec4,
    0x3600fa04,0x017c002f,0x002ffd88,0x003bfea0,0x001fe400,0x000001f4,
    0x3ea13ea0,0x0001f304,0x8000fee0,0x000ebaea,0x64000fa0,0x25e8002f,
    0x0f3004f8,0x0fa09b00,0x41fdc0fc,0x3f9804fb,0x4c000bea,0x0bee0003,
    0x7ec03d40,0xb002fc82,0x805f905f,0xfca9cfe9,0x5d4401ff,0x7510001a,
    0x7ec00035,0x3f200001,0x05f90001,0xa98007f9,0x01f400ab,0xf30007f6,
    0x00037000,0x40000910,0x7d0001fc,0x00002600,0x30288066,0x3200001f,
    0xbc880002,0x01f40000,0x50000980,0x77540288,0xeeeeeefe,0xe826c0de,
    0x03303f03,0x214400cc,0x00000018,0x79800660,0x02a00a80,0x01500540,
    0x07f605d8,0x00000000,0x00002a00,0x0a8000a0,0x00000660,0x009807d0,
    0x00007a80,0x5c40dc00,0x00260001,0x3a603e80,0xd90cefff,0x000001bd,
    0x000007cc,0x00000000,0x000007d0,0x32600000,0xcccccfdc,0xd04c83cc,
    0x00007e07,0x5c000000,0x000adffd,0x003cc000,0x00000000,0x0f8807e6,
    0xbdfd9510,0x99950e27,0xccc88799,0x00000ccc,0x00000000,0xffdb8000,
    0x00fa00ad,0x543d4000,0x443ccccc,0x80cccccc,0x06fb87fa,0x3a000000,
    0x3159f903,0x79db1dd5,0x66664401,0x84cccccc,0x7775c0f9,0xfffb80de,
    0x665403ff,0x66443ccc,0xe800cccc,0x7f6cc003,0xb80713ef,0x000adffd,
    0x401000f3,0x6cc0103e,0x4713effe,0x43ccccca,0x0cccccc8,0xcaacee88,
    0x333203fe,0xcccccccc,0xcc887982,0x999303cc,0x33332279,0xccca80cc,
    0x001b23cc,0xbabdffa8,0x2a0fcffd,0x444cceec,0x10cdfccc,0x26079999,
    0xca83cccc,0x004ccccc,0x2266664c,0x00ccccc8,0xd9559dd1,0x64cfa07f,
    0xcccccccc,0xa81ccccc,0xcceeca87,0x6fe66444,0x984e880c,0x9999003e,
    0x99999999,0x41f40599,0x3bf202fb,0x99993004,0x09999fb9,0xefe981f3,
    0x5555103c,0xeeca807d,0x666444cc,0x3e800cdf,0x26b7f200,0x107defdb,
    0xfd9559dd,0x000f3007,0x64003e80,0xefdb9adf,0x33bb2a7d,0x7e66444c,
    0x02fd40cd,0x337e05f7,0xeccccccc,0xec887984,0xfb9304cf,0x337f227b,
    0xccca80cc,0x003ee3ee,0xf700fe60,0x400b901f,0x67f6441f,0x7bfb9304,
    0xbf999950,0x7e4c005f,0x766444cd,0x05fa80ce,0x4cfa0bee,0xccccdfcc,
    0x82fccccc,0x8017207a,0x0000001f,0x9fb9fb99,0x09d99999,0x00be21f4,
    0x500013f6,0xa81f300f,0x07d0004f,0x1f801720,0x5c00fa00,0x0ffb102f,
    0x17dc0bf5,0x00001e60,0x17dc007d,0x5c87fd88,0x3e207e00,0xf81fa804,
    0x4c17cc02,0x200be607,0x0005f05d,0x00df887d,0x6400be60,0x2005c80f,
    0x005f301f,0x4fc400bb,0x03e8005d,0x09f105c8,0x82e83f50,0x505f003e,
    0xf002e40f,0x80000003,0x3601f36a,0x0d90fa04,0x00013e20,0x41f300f5,
    0x3a0003fb,0x400b9003,0x00fa001f,0x1fe202fc,0x3f5009f1,0x00003cc0,
    0x05f800fa,0x02e43fc4,0x00d903f0,0x00be0764,0x803e609d,0x03ee00fb,
    0x17c001f4,0x00deff4c,0x0798017e,0x00fc00b9,0x07dc01f7,0x03ead700,
    0xb9007d00,0xec801b20,0x00fa06e0,0x903dc17c,0x000fc00b,0x4d360000,
    0x7409b00f,0x9d0026c3,0x807a8000,0x005fb0f9,0xb9003e80,0xd000fc00,
    0x003f3007,0x2006c8d7,0x00f300ec,0x3003e800,0x90d7003f,0x260fc00b,
    0x0be2002f,0x0076405f,0x105e807f,0x4c26c07f,0x5403f03c,0x4c2dffec,
    0xb900000f,0x3a00fc00,0x8007f105,0xd000fe3e,0xf30b9007,0x017c4005,
    0x82f801f4,0x8017205e,0x17774c1f,0x004eeec8,0x6c03e65f,0x05f0fa04,
    0x200026c0,0xe9f9807a,0x3e80001e,0x7c00b900,0x200fa001,0x228800f9,
    0x3e2002f9,0x0000f302,0x1f3003e8,0x0b905100,0x01ae0fc0,0x205f1320,
    0x77d401fa,0xdb05f301,0xffc85c80,0x88007c40,0x01ae4fc9,0x2005c800,
    0x417cc01f,0x07cc006d,0x03e800d9,0x006b85c8,0x03e804c8,0x07fdc190,
    0x0fc00b90,0x540ff322,0xf9805ecc,0x13201f30,0x001f43e8,0x7a80009d,
    0x1ffff980,0x003e8000,0x00fc00b9,0x5f1007d0,0x000d7000,0x001e6099,
    0x22007d00,0x1720002f,0x02e41f80,0x202a3540,0xff9803f8,0xfa83ee02,
    0x67435c00,0x8003cc2f,0x0009b3f9,0x3f002e40,0x7d41f700,0x222e4000,
    0x00fa001f,0x00172172,0x20fa01aa,0x077e401a,0x0fc00b90,0x0b9007d0,
    0x107ccd70,0xc87d0044,0x0013e005,0xbf300f50,0xd00007f2,0x80172007,
    0x00fa001f,0x320017dc,0x306a8005,0x3e80000f,0x000bee00,0x83f002e4,
    0x0798003e,0x13e00db0,0x03f8a740,0x6cfc47a8,0x90003544,0x80000bab,
    0x007e005c,0x003f8a74,0x004e82f8,0x217200fa,0x0798003e,0x804d83e8,
    0x017205e8,0x00fa01f8,0x99360172,0x7400f30f,0x5c00fd43,0x3d40004f,
    0x3f907cc0,0x801f4000,0x007e005c,0x3ee003e8,0x1f400ace,0xf983cc00,
    0x0fa00000,0x159df700,0xf8017200,0x440017c1,0x007dc01f,0xf98007cc,
    0x8f3006ca,0x46b8d77a,0x3ed70028,0x17200002,0xf3001f80,0xf5000d95,
    0xde801ee0,0xaaaaaaaa,0x8002f85d,0x9d0151f8,0x009d5555,0x005c81ee,
    0x803e807e,0x261f805c,0x2007cabf,0x4c06d83e,0x540004ff,0x6c0f9807,
    0x07d0000f,0x1f801720,0x1000fa00,0x07bfffb7,0x3f10005f,0x03007f10,
    0x22000fa0,0x03dfffdb,0x41f80172,0x0f88003e,0x4c00be60,0x0ffe4007,
    0x5720f880,0xf51721f8,0x0bebf001,0x99999988,0x3e005c81,0x07ff2001,
    0x7c413600,0xffffd002,0x0bffffff,0x1f10007d,0x3fffa0fa,0xf5004fff,
    0x3f002e40,0x2e401f40,0xfff31ea0,0x41f400ff,0xafb81ee8,0x2a00104d,
    0xd80f9807,0x03e8000f,0x0fc00b90,0x80007d00,0x3a0dfca8,0x00f88003,
    0xeb9817f9,0xfaaa980f,0x8000aaad,0xc80dfca8,0x9b07e005,0xe80f3000,
    0x001e6005,0x43f0013e,0x44d8fa3f,0x3ee00efa,0x7fe407d1,0x642fffff,
    0x0007e005,0x3f10009f,0x3e802ec0,0x04d85c80,0x20fa7980,0x5004d83e,
    0xf002e40f,0x6401f403,0x3e62e405,0x1f400f30,0xfedffd88,0x0f309b2f,
    0x3e601ea0,0x8001db00,0x00b9003e,0x07d000fc,0xb3744000,0x80f30009,
    0xffffeffc,0xffff880c,0x004fffff,0x2e437440,0x05c83f00,0x3f205b80,
    0x001e6000,0x25d000fa,0x3e9720f9,0x4deff7d4,0x1363fda9,0xb901f300,
    0x2000fc00,0xcfb8003e,0xfdcccccc,0xc803e800,0xb8005c85,0x20fa0fa5,
    0x40f5004d,0x807e005c,0x405c803e,0x0fdcccee,0x01f40091,0x9b06f2a6,
    0xf5001f30,0x807e54c0,0x800aaefa,0x00b9003e,0x5554c0fc,0xaaaadeaa,
    0x3f10000a,0x16e00172,0x026aea20,0x80000000,0x002e41f8,0x000fa83f,
    0x01f981f4,0x000f3036,0x73e8007d,0x10be798d,0x3ffffaeb,0x20035c1d,
    0x005b80f9,0x3e8001f3,0xeeeee800,0x03feeeee,0x85c803e8,0x1f4000fa,
    0x1107d07d,0x5c0f5010,0x401f3005,0x205c803e,0xfeeeeef8,0x007d0000,
    0x0f984d80,0x3f607a80,0xfff980ff,0x03e803ff,0x3e600b70,0xfffffe80,
    0x3fffffff,0x2a7d000a,0x01f4000f,0x44000088,0xe8005000,0xf9802dc3,
    0x2a004e80,0x404f881f,0x4003cc1f,0xda6c003e,0x003f2f84,0x0fcc07d1,
    0xf301f300,0x2001ee00,0x07cc003e,0x1f4035c0,0x04e82e40,0x83e87ea0,
    0x50f3003e,0xb803cc0f,0x6401f407,0x3e61aa05,0x03e80600,0x7cc1f400,
    0x0006c800,0x00fa0000,0x07b803cc,0x005f0000,0x4009d1f4,0xffb801fa,
    0x1ff70000,0x74005f00,0x7b803cc3,0x3a003f30,0x3f00db04,0x3e8007a8,
    0x17c6e400,0x8007c66c,0x0036403e,0x00fe01f3,0x0fa0017a,0x2200b900,
    0x401f401f,0x003f305c,0x7d07d13a,0xf503e600,0x5e803f80,0x3a2026c0,
    0x3e613605,0x1f407e00,0x303f1000,0x009d001f,0xd0000130,0x401fc007,
    0x004c005e,0x2f88027c,0x274007e6,0x000ffb80,0xf001ff70,0x20be2009,
    0x205e803f,0x17a202fd,0x0fc00fd4,0x0fa00172,0x01f5d700,0x7400f3d7,
    0x006f4403,0x1fb807cc,0x20003f20,0x017c003e,0x03e809b0,0x0bf605c8,
    0x83e85e88,0x01f3003e,0x00fdc05f,0x07c801f9,0x2f817fea,0x0be00f98,
    0xe88001f4,0x401bf106,0xdb8000fc,0x01f40005,0x7e403f70,0x0fae2000,
    0xdb005ff0,0x74405fb0,0x002d4005,0x7fc016a0,0xf706d802,0x2007e403,
    0x3aa21cfc,0x2007f106,0x005f711f,0xfa8007d0,0x0f7f105c,0x6c401f40,
    0xfeb881bf,0x982ff200,0x7d0002fd,0x2003cc00,0x401f407a,0x0e7e405c,
    0x0fa0dd51,0x07cc00fa,0x7f901764,0x4017ecc1,0xf9510cf8,0xf9815d99,
    0x3e00f980,0x07d33312,0xeb999998,0x2bfa200e,0x000bf260,0x3e8000d0,
    0x305fe400,0x220005fb,0x0efefc06,0xfc807f54,0x01baa21c,0xd0000ba0,
    0x37f7e005,0x200fea81,0x3f660bfc,0xdfff5002,0x3f2017df,0xaaaaaaaa,
    0x05dd1faa,0x37aaaa60,0x7cc00aaa,0x01bfa03f,0x3ee002d8,0xbeffeeff,
    0xfeffb800,0x2a6001ef,0x0aaadeaa,0x1aaeda88,0x0b3eeaa0,0x5035bf55,
    0x54035db5,0x0befefff,0x3eaa25d0,0xaaaaaaac,0xc880fcaa,0x3bfee04f,
    0x2a001eff,0x91effeff,0x3f6a29ff,0x57f7510a,0x25f55555,0x203ffffe,
    0x4ffffffa,0x3fbfee00,0xf98001ef,0x553004ed,0x555bd555,0x7fdc0155,
    0x4001effe,0x7403edea,0xfeeffe88,0x7fd400cf,0x000befef,0x2a000254,
    0x3a23a004,0x0cffeeff,0xffeffb80,0xaa88001e,0xffffc800,0xffffffff,
    0xfff88001,0x05ffffff,0xf900ffc4,0x1000000b,0x00035773,0x10006ae6,
    0xffffffff,0xffff70bf,0x3ffe60df,0xfff11fff,0xfff98fff,0xaa8806ff,
    0x7ffd4000,0xffffffff,0x0000ffff,0x0001ab98,0x70015751,0x3f25ffff,
    0xffffffff,0x266662ff,0x04ccc400,0x03573000,0x00098800,0x3ffffffa,
    0x03ffffff,0x0001ab98,0x22000262,0x40009ab9,0x00000aa8,0x40000000,
    0x0009ab98,0x0001ab98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2c80b200,0x13000000,0x0004c000,
    0x2a800000,0x00000000,0x00000000,0x18000000,0x44000000,0x001b301e,
    0x00000000,0xca800110,0x01400001,0x30000000,0x00000001,0x30000000,
    0x79026400,0x5b103d80,0x80e66644,0x0cccccc8,0x664c0000,0xbccccccc,
    0x2a200001,0x13ee009b,0xd9801dd1,0x0713effe,0x20003fb0,0x544001fd,
    0x711ceffd,0x1d99d100,0x00007a00,0xfff0274c,0x9f9005ff,0x04fc8000,
    0x007d8800,0x003e2698,0x17ee1fe4,0x3bfb2a20,0x4000713d,0x07f5006a,
    0x0003fb80,0x8000fb10,0x640004e8,0x774c001f,0x2f4c0001,0x6e880000,
    0x883be600,0x6fd401fe,0xc883ba60,0x99106fec,0x30019bf9,0xcc9801df,
    0xfdccccdf,0x640000df,0x4c05feff,0x00dfa8ef,0x6dcd6fe4,0xfb007def,
    0x0bf60005,0x55677dc0,0x807acfdb,0x6400ea2c,0xdfa80006,0xaacf80ef,
    0x07ff8802,0x003ffc00,0x0003ba20,0x006e8bf1,0x0ff237ea,0x2af7fea0,
    0x00fcffdb,0xf7009d00,0x07f70007,0x01dd1000,0x77efd400,0x02fd8000,
    0x3f77f220,0xdfa8000c,0x200000ee,0x44000ee8,0x00dfaafe,0x9f73dd30,
    0x802fec80,0x3ff2002f,0x440fa002,0xb0000feb,0x4400417d,0xfb803ffd,
    0x00ffb102,0xc8001fe4,0x017d403f,0x1b00ffd3,0x1f8802cc,0x44ff2000,
    0x0017c2fd,0x200027e4,0x260004fc,0xfb8000ef,0x10017dc1,0xf3003dfd,
    0x00ffb807,0x6400fa80,0x5d50002f,0x0df98000,0x44ff2000,0xfb1002fd,
    0x177d4003,0x64005fd3,0x005fb13f,0x001bf300,0x0027fe40,0x4017fec4,
    0x7c00fbdc,0x03be6002,0x7c403e80,0x02fa8005,0xf800e400,0x003fc405,
    0x5c000bee,0x003f302f,0x19500ff3,0x2ec005b1,0xc81fd800,0x0000be2f,
    0x80000000,0xf10005f8,0x2001be0d,0x02f9800b,0xd0001f90,0x001fc809,
    0x7c400000,0x0fec0005,0x774017e4,0x701dc000,0x207b6009,0x260002fb,
    0x5500004f,0x001b8000,0x5f013ab9,0x7d000000,0x8001f700,0x0000007c,
    0x1ae007e6,0x80002600,0x4009f009,0x7dd7007c,0x001f9800,0xf82600a8,
    0x00000002,0x00a20000,0xf902fb80,0x3e000003,0x001e6005,0x013007e6,
    0x20000000,0x00a80002,0x002a0026,0x13000000,0x100004c0,0x00000005,
    0xaae40000,0x000be01f,0x200fa000,0x274001f8,0xffed9800,0x0f98713e,
    0x00002880,0x03e60000,0x00005880,0x0000bb00,0x22005f00,0x13defeca,
    0xffda8807,0x000711ce,0x440fd000,0x7ed4405f,0x4c711cef,0x8000000f,
    0x0000005d,0x00000000,0x80000000,0x0002fff9,0x00000000,0x66664c00,
    0x401bcccc,0xccccccc8,0x5c83cccc,0x4c2f8176,0xcccccccc,0x01cccccc,
    0x00f5007d,0xf90007d0,0xbdfb735b,0x8002f88f,0xccccccc9,0x1ccccccc,
    0x33333322,0xb73ccccc,0x66540000,0x8004cccc,0x991000fa,0x99999999,
    0x2a00be79,0xfdbabdff,0xdf700fcf,0x59fb7559,0x666664cf,0x001bcccc,
    0x0fd809f3,0x7559df70,0x35cf59fb,0x7cc00000,0x666665c1,0xd9801ccc,
    0x2002eeee,0x4cccccca,0x33332600,0xcccccccc,0x333221cc,0xcccccccc,
    0x000beaa3,0x66666540,0x3322004c,0x999101cc,0x37261999,0xfecccccf,
    0x9999102f,0x79999bf9,0x817c4b90,0x6fe64c2f,0xcccccccc,0x807d02fc,
    0x3e8004e9,0x8817dc00,0x02fb87fd,0x66fe64c0,0xcccccccc,0x3333222f,
    0x3ccccdfc,0x5400007b,0x2fdfcccc,0x1004e800,0x9bf99999,0x00be7999,
    0xffb807f3,0x2602fa80,0x3f3267fe,0xffdccccd,0x017e400d,0x0bea0fee,
    0x1367fe98,0x1b600000,0x337f332e,0xcc8801cc,0x2a003fcc,0x2fdfcccc,
    0x9bf99300,0x99999999,0x6666445f,0x3ccccdfc,0x500002f8,0x5fbf9999,
    0x3fb32200,0xbf999106,0x2206b819,0x0fa004fb,0x41b22e40,0x400fa02f,
    0x2207d02f,0xa9800efb,0x0aaadeaa,0x3e202fc0,0x159df707,0xf801f400,
    0x3e03e802,0x22000002,0xa8005d9f,0x0fa0000f,0x0be602f8,0x3e607e40,
    0xd07f9801,0x03fae207,0x7d400fe8,0x4c00fcc5,0x0000ba7f,0xd005f100,
    0x0fa00007,0x5d9f8800,0xf003e800,0x2007d005,0x1000002f,0x9000bb3f,
    0x05f005fd,0x0be601ae,0x5c801f40,0x202f83e8,0x205f003e,0xffdcccde,
    0x3ff6003f,0x02ffffff,0x1ae007e6,0xdfffdb88,0xf801f403,0x3e03e802,
    0x2e000002,0xd0001f56,0x01f40007,0x002fc05f,0x4009f0f3,0x8807d07c,
    0x201fe05f,0x0027c6f9,0x00017cf9,0x7401b200,0x07d00003,0x0fab5c00,
    0xf801f400,0xf003e802,0x2e000005,0xc8001f56,0x17c00fbd,0x0d9006b8,
    0x2e400fa0,0x80be07d4,0x205f003e,0xffccccde,0x01f40000,0x51001f30,
    0x6fe54400,0x3e007d00,0x3e03e802,0x3a000002,0x2e000fe3,0x80fa0007,
    0x001f302f,0x2000f980,0x7007d058,0x00df101f,0x000f99fe,0x2202f962,
    0x01999999,0x7d002f88,0x00fa0000,0x00fe3e80,0x0be007d0,0x17c00fa0,
    0xd0000262,0x32001fc7,0x02f809d5,0x0fa200d7,0x2e400fa0,0xd017c5d8,
    0x74032007,0x000ef983,0xf8800fa0,0x44000002,0x2007d06e,0x203e800c,
    0x3000003e,0x8003641f,0x07d0003f,0x006b817c,0x00005b80,0x07e200fa,
    0x7fc017e6,0xe8000b70,0x3ffff203,0x35c02fff,0x00007d00,0x7cc000fa,
    0x7d001b20,0x3a003200,0x3aa5f003,0x8002ffff,0x001b20f9,0xf807eab9,
    0x5c00d702,0x9003e806,0x2f8be60b,0x006a0fa0,0x1db103e8,0x000fa000,
    0x000005f7,0x83e81f88,0x07d0001a,0x800002ec,0x000fc45c,0x3e80035c,
    0x026c0be0,0x0001ec00,0x0f5007d0,0x7f4017e6,0xd80007b0,0x007cc004,
    0x07d001fc,0x000fa000,0x007e22e4,0x001a83e8,0x2be007d0,0xfdb89bfc,
    0x222e4003,0xd972001f,0x35c0be05,0x7d00f300,0x6c817200,0xd83e80be,
    0xd00fa004,0x00fa000d,0x02b3bee0,0x07d000a0,0x0009b07d,0x006b80fa,
    0x9d05f000,0x005f1000,0x817c07d0,0x2f80002e,0x00fa0000,0x1be209d3,
    0x005f3fc0,0x4c006b80,0x007dc00f,0x200007d0,0x05f0003e,0x41f4009d,
    0x07d0004d,0x5c03bfe0,0x20be001f,0x8972004e,0x2e05f02f,0x003e2006,
    0x8172007d,0x7405f3f8,0x04eaaaac,0x7f100fa0,0x0007d000,0x37fff6e2,
    0x74005f03,0xaaaace83,0x07d0004e,0x00001fc4,0x003dc1ea,0x3e8006c8,
    0x017c0be0,0x00017c00,0x3ee207d0,0x201fe00e,0x000be6f8,0x4c003f30,
    0x0027400f,0x740000fa,0x707a8003,0x5567400f,0xd0004eaa,0x803be007,
    0x0f5003f8,0x45c801ee,0x2e05f06c,0x007e2006,0x0172007d,0x7405f1f7,
    0x04ffffff,0x3ea00fa0,0x001f4000,0x0dfca880,0x2f88027c,0xffffffe8,
    0x807d0004,0x5d3001fa,0x2f8826c0,0x002f8800,0x205f01f4,0x2666202f,
    0x00be1999,0xcccde800,0xf803fffd,0xf2fd400f,0x0d900005,0xf5007cc0,
    0x003e8001,0xb0007d00,0x400be209,0x4ffffffe,0x2007d000,0x004d802f,
    0x00be209b,0x7c1f42e4,0x4400d702,0x801f400f,0x2fce805c,0x01360fa0,
    0x0bd003e8,0x00003e80,0x17fc6e88,0x83e836c0,0x07d0004d,0xf9805f90,
    0xd807e206,0x00bb0005,0x40be03e8,0x3fff203e,0x07d2ffff,0x666f4000,
    0xb000ffcc,0x23fb803f,0xe880003e,0x00f9800d,0x0fa0013a,0x001f4000,
    0x05d807e2,0x009b07d0,0x17c00fa0,0x7c402640,0x64017601,0x17c0fa85,
    0x1e6006b8,0xb5100fa0,0x3e60355d,0x360fa02f,0x67d54404,0x2fe600aa,
    0x0007d002,0xdf87e200,0x0fea81df,0x009b07d0,0x7e400fa0,0x027e4c1c,
    0x333333ee,0x8000fdcc,0x0fa001f9,0x009b02f8,0x01760f98,0xf983e800,
    0x03f9800e,0x00bb07e4,0x06ff6200,0x5403fae2,0x03e8000f,0x01f40198,
    0x33333ee0,0x800fdccc,0x0004d83e,0x00be007d,0x33ee0132,0xfdcccccc,
    0xbb05c800,0x00d702f8,0x01f402dc,0x1fffffea,0x0fa02fc8,0xffa82022,
    0x6404ffff,0x03e801ff,0x47d000a0,0xeeffe88e,0x0fa00cff,0x3a002022,
    0x3ffaa003,0xe802effe,0xeeeeeeee,0xbb0003fe,0x5f01f400,0xf3001ae0,
    0x000035c1,0x03b6207d,0x5f881ba0,0x2000035c,0xffeefffb,0x017600be,
    0xae401f40,0xdeaaaaa8,0x3a02aaaa,0xeeeeeeee,0x83e803fe,0x3e800808,
    0x99005f00,0xdddddd00,0x007fdddd,0xf8be60b9,0x6c00d702,0x0003e804,
    0x007d0000,0x000001e6,0xf800be20,0x880fa002,0xe8009cd9,0xd00f3003,
    0x5b910007,0x003e6001,0x7cc001ae,0x7c07d000,0x4003f302,0x00fe20f9,
    0x3a01f400,0x702fb806,0x003f885f,0xabb98800,0x001f9801,0x2b9007d0,
    0xfffffffc,0x982fffff,0x806b800f,0x00f3003e,0x00be007d,0x01f30132,
    0x0b900d70,0x2e05f364,0x003f5006,0x0980007d,0x3003e800,0x0026001f,
    0x8007ee00,0x05f1004f,0x1f400590,0x7400f980,0x00790003,0x3f1005c8,
    0x4013a000,0xc80be03e,0x503e6006,0x0ba6003f,0x07f100fa,0x0ff05f88,
    0x74c007ea,0x40009802,0x0fa0005d,0x1dc81720,0x44017200,0x801f401f,
    0x01f400f9,0x04c802f8,0x1f8802e4,0x7f102e40,0x4035c0be,0x07d003f9,
    0x005db800,0x0f9801f4,0x003eb880,0x3e003740,0x006d802f,0x0fa00bb5,
    0x3a007cc0,0x0bb50003,0x9b0017c0,0x003ea000,0x202f80fa,0xf9800de8,
    0x4c02fc80,0x5007d06f,0x41fc801f,0x0bf203fa,0x2e00df30,0x05f1005d,
    0x6401f400,0xf0003e05,0x2026c005,0x01f3003e,0x05f003e8,0x02f80990,
    0x0b901360,0x702f8fb8,0x004e980d,0x340000fa,0x4c00fa00,0x01a2000f,
    0x0ffcabc8,0x0efefc00,0x26007f54,0x0fa003a0,0x3a007cc0,0x1d04c003,
    0xa800f300,0x013a0007,0x99bf80fa,0x81bfd881,0xf900feb8,0x04fc9839,
    0x02f400fa,0x00dd13e2,0xfc9839f9,0x90068004,0x03e8000d,0x003a05c8,
    0x3d400798,0x7cc00fa0,0xf801f400,0x2604c802,0x203d4007,0x2fce805c,
    0xaaaafda8,0x2a04ffca,0xaadeaaaa,0xdf9801aa,0xfaa8804e,0xaaaaaaac,
    0x5400fcaa,0x32003ede,0x8000cefe,0xeeffe88e,0xfc800cff,0x2aa204ed,
    0xaaaaaacf,0x2a0fcaaa,0xaadeaaaa,0x37ee01aa,0x76d4405e,0x2eaa01aa,
    0xfb8002cf,0x3aaaaaa0,0xff1aaaad,0x3ee05fff,0xbeffeeff,0x77ff5400,
    0xaa882eff,0x2600aacf,0x89ea02bf,0xffd5001f,0x2005dffd,0x8804edf9,
    0x554c002f,0xaaaaadfa,0x2e05daaa,0xb5106dbe,0x5540355d,0x2aa22cfb,
    0xaaaaaacf,0x2a0fcaaa,0xaadeaaaa,0x33ea61aa,0x15dd5102,0x0d576d44,
    0x859f7550,0x01aaeda8,0xffa85ff3,0xbdffffff,0x3fffe600,0x5fffffff,
    0x20013100,0xfffffffa,0xffffffff,0x00098800,0x31000000,0x30001357,
    0xffffa801,0xffffffff,0xfff30fff,0xffffffff,0x7001300b,0x20dfffff,
    0x1ffffff9,0xff30c800,0xffffffff,0x026666bf,0x06aee620,0x02aea200,
    0xffffffa8,0x00ffe404,0x2ea20000,0x0988000a,0xb0007100,0xffffffff,
    0x0bffffff,0xf700bc98,0x260dffff,0x51ffffff,0xffffffff,0x1fffffff,
    0x3fffffe6,0xd15fffff,0xfb05ffff,0x7fdcbfff,0xff306fff,0x7d43ffff,
    0x3207ffff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd9800000,0xb000b301,0x20015c03,0x740000b9,
    0x4003b102,0x70b700da,0x99999999,0x40000003,0x200b201d,0x403d884c,
    0x930b202c,0x98599999,0x7b03cccc,0x5c00b620,0x400081de,0x1da800c1,
    0x32000db8,0x3b00f204,0x00001640,0x20000b98,0xcccccccb,0xdd702ccc,
    0x03bddddd,0x0f621320,0x44000000,0xeeeeeeed,0x703b5004,0x9999101b,
    0x99997059,0xa8000007,0x000db81d,0x7dc2fd80,0x105c8004,0x3f62003f,
    0x03b30cff,0xbf513ee0,0x41fe8800,0xcccb82fd,0x001cccdf,0x2000efa8,
    0x803f105c,0x3fd40ff9,0xfd113ee0,0xcdfcc981,0x77ee542c,0x4c1bf504,
    0xbfe800ee,0x05ea9dfd,0x005f1ea0,0x07ff09fb,0xd1077cc0,0x105c803d,
    0x06fa803f,0x19fffb10,0x32e00766,0xcccdfccc,0x9999702c,0x30039999,
    0x07fa81ff,0xbffb9300,0x33322007,0x003ccccc,0x07ff09fb,0x8599dd91,
    0x03dfccc8,0x3ffffb2a,0x3f605fff,0xf703ff84,0x19f7003d,0x220005fb,
    0x017aa1cf,0xbfd51ec8,0x7d4001df,0x0003fc8e,0x07ba6ff2,0x40001f40,
    0x22002ffd,0x017aa1cf,0x016441e4,0x6fd477cc,0x2601f400,0x9ee9805f,
    0x171005fb,0x006fff4c,0x801f8f50,0x00ca80c9,0x7d4ff440,0x1cf8800d,
    0x3f6017aa,0x51dc802f,0x001bfbff,0x00000fa0,0x6441e400,0xcefa8002,
    0x000eecaa,0x03260000,0x05c8032a,0x7f5407e0,0x00763b8b,0x032a0326,
    0x98027ffc,0x40000efe,0x1effeffb,0x03db8000,0x03ffd100,0x1bff5000,
    0x0001f400,0x200077cc,0x0effeffb,0x44000000,0x7d003ffd,0x10027d40,
    0x00007ffb,0x9ae00026,0x000001f8,0x01ffe400,0x3ffbfee0,0x06fa800e,
    0x00f6e200,0x00007d00,0x00000000,0x1fd80ff2,0x00000000,0x7c00b900,
    0x2e0efa81,0x00000763,0x4005ffd0,0x22000038,0x00001aba,0x00b80000,
    0x000e6000,0x000000fa,0x06aea200,0x70000000,0xb81f4005,0x0370003f,
    0x70000000,0x00007c4d,0x00d40000,0x01aba880,0x00000000,0xca80fa00,
    0x6443cccc,0x000ccccc,0x02fa8000,0x6dc00fc8,0x0000adff,0x80172000,
    0x5c2fe81f,0x00000763,0x000002a0,0x80000000,0x00adffdb,0x00000000,
    0x0007d000,0x00000000,0x2b7ff6e0,0xe8000000,0x0002fc83,0xcccca800,
    0x6666443c,0x997200cc,0xcccca80f,0x6666443c,0x000000cc,0x80000000,
    0x4cccccca,0x203e8000,0x44cceeca,0x0cdfccc8,0xcccccca8,0x004e8004,
    0x6774413a,0x103fecaa,0x26079999,0x2e43cccc,0x6f883f00,0x260763b8,
    0xcccccccc,0x01cccccc,0x33333260,0x001bcccc,0x66666654,0x9dd10004,
    0x007fd955,0x99999995,0x66664c00,0xcccccccc,0x00fa01cc,0x33333320,
    0x262ccccc,0xcccccccc,0x01cccccc,0xd9559dd1,0x6666407f,0x2ccccccc,
    0x01fc87d0,0xcccccca8,0xcccccccc,0x999dd950,0xcdfccc88,0x07993600,
    0x8999dd95,0x0cdfccc8,0x20399991,0x0cccccc8,0x99999991,0x32279999,
    0xcccccccc,0xccca83cc,0x0002fdfc,0x02e401f4,0x665403f0,0x002fdfcc,
    0xfa8003ee,0xf702fd41,0x99fd9105,0x0f7f7260,0x20fc00b9,0x363b84f9,
    0xcdfcc981,0xcccccccc,0x3326002f,0xfdccccdf,0x995000df,0x005fbf99,
    0x3ee05fa8,0x66665402,0x93002fdf,0x99999bf9,0x405f9999,0xcdf8003e,
    0xeccccccc,0x337f3264,0xcccccccc,0x205fa82f,0x99bf02fb,0x9d999999,
    0x01fd8fa0,0x99999db0,0xf99999bf,0x3e005c83,0x1ea4d801,0x0fc00b90,
    0x41bfb322,0x0cdfccc8,0xbf999991,0x32279999,0xccdfcccc,0x9f8803cc,
    0x1f40005d,0x3f002e40,0x2ecfc400,0xd0007d00,0x54027c47,0x005f301f,
    0x801720bb,0x5c2fcc1f,0x07d00763,0x74000be0,0x01fd7103,0x0bb3f100,
    0x54027c40,0x27e2001f,0x03e8005d,0x01f405f0,0x3e6017c0,0x3e007d02,
    0x54027c42,0x4c02f81f,0xfd17d02f,0xe826c00b,0x05c83f03,0x4cc407e0,
    0x99fb99ce,0x3e005c80,0x00bfb201,0x01f400be,0xb8001f40,0x40001f56,
    0x005c803e,0x56b8007e,0x00be001f,0x006c9360,0x07dc03b2,0x17201f70,
    0x0ff81f80,0xe803b1dc,0x3905f003,0x7c403e80,0xf56b8005,0x801b2001,
    0x2d7000ec,0x1f4000fa,0x0fa02f80,0x9d00be00,0x2f801f40,0x1d900364,
    0x027402f8,0x5df7dd9d,0x0fa09b00,0x801720fc,0xffff981f,0xffffffff,
    0x3f002e43,0x007dee40,0x01f400be,0xe8001f40,0xe8000fe3,0x2005c803,
    0xf8fa001f,0x000f8803,0x005f35b8,0x0bd017c4,0x05c80fe2,0x3bea07e0,
    0x401d8ee0,0xd05f003e,0xb803e807,0xf1f4000f,0x005f3007,0x3e8017c4,
    0x07d000fe,0x03e80be0,0x3b202f80,0x7c00fa00,0x8800be62,0xd9017c2f,
    0xb12ff401,0xd04d805f,0x0b907e07,0x99880fc0,0x99dd99bf,0x3e005c81,
    0x02757201,0x01f400be,0x4c001f40,0x8001b20f,0x005c803e,0x07cc007e,
    0x00f300d9,0x0035dea0,0x05f30264,0x005c80db,0x67f4c07e,0xd00763b9,
    0x3e032007,0x4401f404,0x83e6001f,0x006b806c,0x0f9804c8,0x07d001b2,
    0x03e80320,0x540be198,0x801f401f,0x2001ae0c,0xfa817c4c,0xfb82f401,
    0x1f413600,0x002e41f8,0x645f003f,0xf002e404,0x1faae403,0x1f400be0,
    0x4001f400,0x000fc45c,0x05c803e8,0x2e4007e0,0x1f3007e2,0x172d7000,
    0xf701aa00,0x32007d41,0x5007e005,0x00ec7fb9,0x4006a0fa,0x401f404f,
    0x22e4007a,0x02e401f8,0x2e403540,0x3e8007e2,0x1f4001a8,0x10152e40,
    0x507d007f,0x8005c803,0x7c40546a,0x3603e803,0x1f413206,0x002e41f8,
    0x21f8803f,0x002e404d,0xbb2e403f,0x3e8017c0,0x8003e800,0x0004e82f,
    0x00b9007d,0x82f800fc,0x00fc404e,0x003eae40,0x14e80798,0x00b9007f,
    0x477000fc,0x6c1f401d,0xe809f004,0x00274c03,0xd013a0be,0x00f30007,
    0x4009d05f,0x4004d83e,0x805c803e,0xb07d006d,0x8003e809,0x00db0079,
    0x02f880fa,0x8081f401,0x007e005c,0x201ec1f1,0x807e005c,0x7c0be25c,
    0x0007d002,0x07a8007d,0x0fa000f7,0x1f801720,0x0f707a80,0x9b0005f0,
    0x3e2000be,0x3657cc01,0xf1005b80,0x3b1dc001,0xaaaace80,0x05f8804e,
    0xefb881f4,0x5c1ea000,0x40017c07,0x41ea01f8,0x2b3a007b,0x4004eaaa,
    0x405c803e,0x59d000fb,0xf809d555,0x01f88002,0x3e8007dc,0x74003640,
    0x80172003,0xfdccb81f,0x2ccefccc,0x07e005c8,0xf83645c8,0x0007d002,
    0x04d8007d,0x7d0005f1,0x7c00b900,0xf104d801,0x4005d805,0x0007d2f8,
    0xff9001f1,0x401ea003,0xb1dc007a,0xffffe803,0x5f8804ff,0x6e666f40,
    0xd8003fff,0x7405f104,0x00f88003,0x017c4136,0xffffffe8,0x401f4004,
    0x00be605c,0xffffffe8,0x4001f404,0x0be600f8,0x7c403e80,0x001f4001,
    0x40fc00b9,0xeeefeeec,0x5c83eeef,0x5c807e00,0x002f83e8,0x07d0007d,
    0xbb00fc40,0x9007d000,0x200fc00b,0x017601f8,0x36c005f3,0x0f30009b,
    0xf10027c0,0x800bd007,0x7d00763b,0xdf3009b0,0xccccde80,0xf88000ff,
    0x4d817601,0x22079800,0x4017601f,0x4004d83e,0x205c803e,0x41f4005e,
    0x0026c04d,0x017a03cc,0x0bb007d0,0x32003e80,0x5007e005,0x2e402f8f,
    0x2e403f00,0x00be07d4,0x1f4001f4,0x9999f700,0x001fb999,0x05c803e8,
    0x9f7007e0,0xfb999999,0x3006d801,0x4002e43f,0x00fa005b,0x7dc03f70,
    0x3b1dc000,0x04d83e80,0x1f406f98,0x200077cc,0xccccccfb,0x0b900fdc,
    0x7dc0b700,0xdccccccc,0xd83e800f,0x7d554c04,0xaaaaaaad,0x01f905da,
    0x04d83e80,0x2dc002e4,0x51001f90,0x20155bf5,0xe800aafa,0x80172003,
    0xf135c01f,0x2005c803,0x6c17201f,0x3e8017c5,0x2003e800,0xeeeeeeee,
    0x2a603fee,0xaaadeaaa,0x9802dc0a,0x7777400f,0x3feeeeee,0x30077440,
    0x000fa8bf,0x07d001f4,0x4417fb00,0x3b8002fd,0x107d0076,0x07fa8101,
    0x0ed881f4,0x3bbbba00,0x03feeeee,0x3e8001f5,0x3bbbbba0,0x803feeee,
    0x2080883e,0xfffffffd,0x5fffffff,0x03601f98,0x820220fa,0x1f4000fa,
    0x43601f98,0x4ffffffa,0x2013ffe0,0x016e003e,0x9ae007cc,0x02dc00f8,
    0x17200f98,0x005f17cc,0x0fa000fa,0x5c007cc0,0xffffd106,0x89ffffff,
    0x80f70079,0x06b800f9,0x260afe88,0x009d04fb,0x7d000fd4,0x3bff2000,
    0x70001eff,0x0fa00ec7,0x1fea3cc0,0x06e807d0,0xd7001f30,0xf5002740,
    0x2003e603,0x003e806b,0x200000f3,0x40fc04f8,0xe8f3003e,0x207ea004,
    0x00fc04f8,0x0fa00000,0xf7007980,0x07ccb900,0x3dc01e60,0x26c81720,
    0x007d002f,0x172007d0,0xc800fc40,0x007f001d,0x005c80bd,0xf91003f1,
    0x405dffdf,0x09d001f9,0x40003e80,0x40001bfb,0x7d00763b,0xfb83e600,
    0x100fa00f,0x00b9007f,0x0fcc07e2,0x17204e80,0x3a00fc40,0x001f3003,
    0x036c0013,0x801f40fc,0x007e60f9,0x806d8274,0x0013001f,0xf8007d00,
    0xc805e803,0x1fc01e65,0x17202f40,0x005f3f88,0x0fa000fa,0x9b0017c0,
    0xb8003e00,0x003f201f,0x026c005f,0x0015df30,0x5e880bf6,0x0003e800,
    0xb800025c,0x07d00763,0x6f983e60,0x7d401f40,0xb0017c00,0x1017ec09,
    0x002f80bd,0x007d0136,0x36e003e6,0x801fa805,0x3003e81f,0x202fd81f,
    0x03f505e8,0x36e003f0,0x01f40005,0xfc807ee0,0x1ea4d800,0xf900fdc0,
    0x5c05c801,0x7d002f8f,0x3007d000,0x007a800f,0xbfc8001d,0x300bf660,
    0x007a800f,0x30355df7,0x4439f905,0x7d0006ea,0x004b8000,0x00ec7700,
    0x07cc00fa,0x400fa002,0x001e605e,0x1cfc80f5,0xf301baa2,0x7407a800,
    0x001f3003,0x00fe2034,0x801f40fc,0x1cfc80f9,0x7c41baa2,0x8003f003,
    0x01f40006,0xb305fe40,0xa8f6005f,0x82ff2006,0x5c802fd9,0x002fce80,
    0x07d0007d,0x0d576d44,0x059f7550,0x006dbec8,0x3dffdff7,0x5576d440,
    0x33eeaa01,0x3ffff602,0x4fecefff,0xdfdfff50,0x2aa60017,0x00aaadea,
    0x0f5e7c40,0xeeeeea80,0x225eef98,0xaaaacfaa,0x0fcaaaaa,0x59f55100,
    0x15fcc015,0x0355db51,0x0167dd54,0x7dfdfff5,0x2bb6a201,0x3eeaa01a,
    0x33eaa22c,0xaaaaaaaa,0x3e600fca,0x57e404ed,0xaaaaaaaa,0x9f5511fa,
    0x55555555,0x3ea01f95,0x00befeff,0x555555f9,0x803f5555,0x4004edf9,
    0xaadfaaa9,0xdff7000a,0x6c003dff,0xf70016a2,0x803dffdf,0x01aaeda8,
    0x55505ff3,0x5555bd55,0x75555543,0xf71aaaad,0x260dffff,0x01ffffff,
    0x20005e4c,0xfb801ab9,0xf306ffff,0x103fffff,0x6544159b,0xaa8801cd,
    0x7ffc4000,0x05ffffff,0x001ba880,0xfffa8000,0xffffffff,0x5000ffff,
    0x09ffffff,0xff71ffc8,0x3e60dfff,0x401fffff,0xfb800aa8,0xf306ffff,
    0x2a3fffff,0xffffffff,0x0fffffff,0x64004c40,0xffffffff,0xff51ffff,
    0xffffffff,0x801fffff,0xfc800aa8,0xffffffff,0x98801fff,0x7ffc4000,
    0x04ffffff,0x000d5cc0,0x2e600000,0xfff5001a,0x17e40fff,0x3fffffe6,
    0xf35fffff,0xffffffff,0x00000bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000d4000,0x3333332a,0x02000004,0xcccccc98,0xcccccccc,0xb703b501,
    0x0de54401,0x7ffffd40,0x00006fff,0x00055000,0x775c0000,0x01deeeee,
    0xdb100004,0x0bdddddd,0x40000200,0x08000bc9,0x08000000,0x75c00000,
    0x1deeeeee,0x80000200,0x100002c9,0x00200000,0x20000400,0x00800080,
    0x80000800,0x00040000,0xb877ffea,0xf9999504,0x000005fb,0x332605f3,
    0xccccccdf,0xfd02fccc,0x2a05ff09,0x00efedff,0x2aaaaaa2,0x36e001aa,
    0x06ffffff,0x21efffb8,0x5f30004b,0x99999700,0x5d803999,0x99991000,
    0x00099999,0xb5000176,0xbd000d75,0xd8000000,0x00fa6002,0x6666665c,
    0x176001cc,0x32772000,0x22ec0006,0x7dc0004d,0x1fcc0000,0x262f9800,
    0x0fe6001f,0x002f9800,0x4000be60,0x4fe2006d,0x02fedfd9,0x00bb3f10,
    0x004fa800,0x40be007d,0x80ca80c9,0x076d43fa,0x6e400000,0x7f101a02,
    0x0bfb7f66,0x0017ea00,0x0ee98000,0x00000000,0x40003ba6,0x3000ae0e,
    0x000001dd,0x7cc00fe0,0x0000000d,0x0001dd30,0x0003b1a2,0x00ed87f2,
    0x000ff200,0x2000bf50,0x013e65f8,0x20005fa8,0x2a0004fa,0xfd88004f,
    0xcda80001,0x7d5ae001,0x7f700000,0xf801f400,0x3e200002,0x5c05f103,
    0x9801b881,0x50006806,0xf700019b,0x00000009,0x00003dd1,0x77440000,
    0x2e0e8001,0x1ee88003,0x66666440,0xfdcccb82,0x04fa800f,0x88000000,
    0x688001ee,0x7e4000e4,0x80003f61,0x5c0002fd,0xbd10004f,0xf70027cc,
    0x1fdc0009,0x007f7000,0x0001dd10,0x23e80000,0xfc80003f,0x801f4002,
    0x3200002f,0xfa82ec06,0xb806fb87,0x00006803,0x002fc800,0x99999991,
    0x10079999,0x32a003fb,0x004ccccc,0x0007f600,0x001d5197,0x8807f620,
    0x442cceec,0x00adfccc,0xc9803fb8,0xcccccccc,0x001ccccc,0x6c000fec,
    0xb8006a8b,0x0007f22f,0x40001fe8,0x3a0002fc,0x400bf10e,0x320002fc,
    0x3f20002f,0x0df88002,0x66664400,0x3ccccccc,0x0d907cc0,0x00037000,
    0x1032007d,0x99999999,0x017c7999,0x427441ea,0x04b803e9,0x1cccc880,
    0x99999910,0x1000dc01,0x9bf99999,0x5c007999,0x99995001,0x00005fbf,
    0x6d4000dc,0x1b80001c,0x3e005c80,0x400ae001,0xcccdfcc9,0x2fcccccc,
    0x8001b800,0x8000ceb8,0x0000e42b,0x2e000032,0x83220001,0x00dc0049,
    0x00006e00,0x0e600037,0x66664400,0x3ccccdfc,0x07e22e40,0x74000000,
    0xc8801a83,0xccdfcccc,0x801f13cc,0x40000079,0x644001fb,0x99106fec,
    0x00019bf9,0x0007d000,0x4fc40000,0x0000005d,0x00000000,0x1f801720,
    0x3e800000,0x00005f00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8003e800,0x0004e82f,0xd0b90198,0x40009b07,0x441ea03e,
    0x00007ecb,0x05f79db0,0x00bfb200,0x0cc400be,0x0007d000,0xb8000331,
    0x40001f56,0x22000098,0x04c00019,0x7c00b900,0x004c4001,0x0be007d0,
    0x00000000,0x18000000,0x00000220,0x00013000,0x200004c4,0x06600009,
    0x40000000,0x83d4003e,0xfd70007b,0x3f23dfff,0xaaaace81,0x0fa0004e,
    0xeffa86b8,0xa800007d,0x0006f444,0xf003ef72,0x3fb6e205,0x4000cfff,
    0xedb8803e,0x000cffff,0x000fe3e8,0xbfffff91,0xfedb8801,0x7000cfff,
    0x03bffffd,0x07e005c8,0x3ffff660,0x0fa0754f,0xddd317c0,0x13bbb205,
    0x3205ddd3,0x774c4eee,0x9ddd902e,0x3fffae20,0x03bff624,0x640bbba6,
    0x75c04eee,0x801dffff,0xdfffffc8,0xfffd7000,0xdb8803bf,0x2b9effff,
    0x1077774c,0x8005bfd9,0x826c003e,0x3a2002f8,0xfec98abf,0xfffd01fe,
    0x40009fff,0xf317203e,0xee99e639,0x9ddd902e,0x07f702b8,0x404eae40,
    0x359df02f,0x001dd951,0x677c01f4,0x0eeca89a,0x6c83e600,0x26fbea00,
    0x203fea98,0xca89acef,0x3f6200ee,0x3fda98ab,0x1f801720,0x44d67e40,
    0xd05efeb9,0xc8832007,0xd99503fc,0x03fcc88b,0xc88bd995,0xd99503fc,
    0x226ff20b,0xd55dd3fc,0x3fcc883f,0x20bd9950,0xa98abfd8,0x3bea03fd,
    0x3fea989b,0x22aff620,0xf303fda9,0xfb73159f,0xfccc889f,0xf737df51,
    0x001f4007,0x02ec03f1,0x3600df88,0x360fa06f,0x80fa0004,0x9e636c5c,
    0x9503fcc8,0x00e88bd9,0xb9005d91,0x02f807ea,0x400bf100,0xf880003e,
    0xf1172005,0x807f3003,0xf10002fb,0x5007740b,0x8017207f,0x007f201f,
    0x20fa0bfd,0x00fa001a,0x803e8172,0x200fa05c,0x6fdc005c,0x0fa05d87,
    0x07741720,0x7f307f50,0xdd02fb80,0x6c1fd401,0x1027d406,0x3309f73f,
    0x7001f400,0x9999999f,0x0db001fb,0xd02fbfc8,0x40009b07,0x7f17203e,
    0x007d0798,0x403d50b9,0x97200de9,0x000be05d,0x0fa007b8,0x003dc000,
    0x8809d05f,0x01f7004e,0x7641ee00,0xc81fa800,0x4c07e005,0x05f8801f,
    0x4009b07d,0x205c803e,0x205c803e,0x005c803e,0x1f883ff8,0x0b9007d0,
    0x3f5001d9,0xfb802744,0x54007640,0x7401fc1f,0x0bfbe203,0x001f4000,
    0xdddddddd,0xfa807fdd,0x3dcbee01,0x080883e8,0x2e407d00,0x3a0f30fa,
    0xd305c803,0x900eb807,0x2f817c4b,0x801ea000,0xf500003e,0x3dc1ea00,
    0x7d001ee0,0x221ea000,0x2176002f,0x407e005c,0x412e005d,0x4eaaaace,
    0x3200fa00,0x3200fa05,0x3200fa05,0x00fe8005,0x200fa09b,0x0017c45c,
    0x2003dcbb,0x800be23e,0x2007e45d,0x07fe2008,0x003e8000,0x0d7001f3,
    0x8bee06b8,0x003e81f8,0x80fa00f3,0x1e635c5c,0x02e401f4,0x05a80bb2,
    0x5f06c8b9,0xaacaa880,0x0fa007a9,0xaacaa880,0x09b007a9,0x04d80be2,
    0x55102dc0,0x50f53559,0xc87a800f,0x7c07e005,0xffd00002,0x4009ffff,
    0x205c803e,0x205c803e,0x405c803e,0x05e9aba8,0x401f416e,0x2003d45c,
    0x7001367a,0x2a003d4b,0x0d677447,0x000fc400,0x6400fa00,0x403f1005,
    0xf05f704d,0x26007d05,0x203e800f,0x4df7c45b,0x9007d07b,0x01bb300b,
    0x3a17203a,0xfb302f83,0xffffddff,0x4c01f400,0xffeefffd,0x01f8807f,
    0xfffe8176,0xffffffff,0xffd986ff,0x87fffeef,0x07c4005c,0x81f80172,
    0xd00001f8,0x74009b07,0x3a05c803,0x3a05c803,0xd705c803,0xfffffdff,
    0x0dffffff,0x917200fa,0xd0f8800b,0xffffffff,0x64dfffff,0x407c4005,
    0x2dffffdb,0x0001f880,0x2f801f40,0x4d813600,0x07d03fb8,0x03e6007d,
    0x86b80fa0,0x84ffffd8,0x005c803e,0x20d10fea,0x7c0fa85c,0x101dfa82,
    0x01f400f7,0x5c4077ea,0xcccfb807,0x00fdcccc,0x555555bd,0x85555555,
    0xf7101dfa,0xf8800b90,0x3f002e41,0x00001f30,0x801360fa,0x205c803e,
    0x205c803e,0x445c803e,0x3a20adfe,0xaaaaaaad,0xb9007d02,0x7c4005c8,
    0x55555bd1,0x55555555,0x3e2002e4,0x7f654401,0x007e200d,0x3007d000,
    0x207a800f,0x881fd45c,0x3003e81f,0x407d001f,0x8098407a,0x005c803e,
    0x176deec4,0xf8bb05c8,0x54027cc2,0x980fa007,0x807a804f,0xeeeeeeee,
    0x0b903fee,0x804f9800,0x4006a87a,0x3005b87a,0x0007e01f,0x40441f40,
    0xb9007d00,0x2e401f40,0x8b9007d0,0x017a00fb,0x2e401f40,0x4f5001aa,
    0x3540005c,0x2001ea00,0x07e205f8,0x407d0000,0x01aaeda8,0x20b3eeaa,
    0x407f50fa,0x9f5510fa,0x55555555,0x7d001f95,0x0000fc40,0x00b9007d,
    0xb9007b20,0x42f8be60,0x07a800fb,0x0fb80fa0,0x7cc07a80,0xf506b800,
    0x07dc0001,0x07cc3d40,0x0f30d900,0x03e81ee0,0x2007d000,0x9007d079,
    0x6401f40b,0x3200fa05,0x1ba02e45,0x6401f400,0x90007cc5,0x00007d4d,
    0x364001f3,0x03ee0033,0x00000fc4,0xfffb80fa,0xfff306ff,0x59d03fff,
    0x527c407f,0xffffffff,0x1fffffff,0x4d807d00,0x200fa000,0x03e0005c,
    0xf3640b90,0xf9005c85,0xb901f400,0xb901f200,0x7407e200,0x01720005,
    0x005d83e4,0x00fa05f3,0x00fb817a,0x00fa02a0,0x026c07cc,0x04d817a2,
    0x09b02f44,0x03545e88,0xb0003ff1,0xd85e8809,0xe85f3005,0x02ec0005,
    0x01762f98,0x1f880fcc,0x01f40000,0x405d0000,0x36203ff9,0x0cb80006,
    0xfa807d00,0x809b0000,0x804985e8,0x102e400e,0x1f70be7f,0x003ff440,
    0x007dc07d,0x2f80ffd1,0x7cc13600,0x7dcb5003,0x41ffa200,0x274404f8,
    0x7e401f70,0x2006f400,0x03e81fd8,0x0f901f30,0xf902ffd4,0x902ffd40,
    0x22ffd40f,0xffe882f8,0x1f20b706,0xf885ffa8,0x4c274404,0x88b5003f,
    0x2274404f,0x07e801fd,0x000007e2,0x2000007d,0x77fd4059,0x03bea21c,
    0xd001a000,0x203fb007,0x540f902a,0x404985ff,0x405c8078,0x7442f8fb,
    0x37ee60ae,0x7400aafb,0x82bba203,0xaafbdfb9,0x2a003cc0,0x20bbea07,
    0x3a23feb9,0x37ee60ae,0x7cc0aafb,0x06fdc41e,0xd982ff20,0xafe8802f,
    0x817fdcc0,0x01f3003e,0x32a219f1,0x880aeccf,0x9f9510cf,0x9f1015d9,
    0x333f2a21,0x98bee0ae,0x31deceee,0x33e207fb,0xd99f9510,0x41ef9815,
    0xf500dfb8,0x7fd7305d,0xb883df30,0x5ffec0df,0x4c1fd981,0xaaabfa99,
    0x7d0001aa,0x9a200000,0x3633ea09,0x03ffffff,0x0443a000,0x3a200fa0,
    0x2fdbaacf,0x2a219f10,0x20aeccfc,0x05d71049,0xf9d00b90,0xfdffb105,
    0x3ffea5ff,0x3aaaaaa3,0x221aaaad,0x2fffeffd,0x2a27fff5,0x2a01aaed,
    0xb102cfba,0x9fffddff,0xfdffb101,0x3ffea5ff,0xfeffd883,0x3ee003ff,
    0x001effef,0x7ff7ffe4,0x7d5440bf,0xaaaaaaac,0xf500fcaa,0x323dffdf,
    0xdff504ff,0x3ff23dff,0xffdff504,0x713ff23d,0x5b1bfdff,0x01dfdff3,
    0xeffeffa8,0xb109ff91,0x07fffdff,0xfddffb10,0x6c4019ff,0x03fffeff,
    0xddffd577,0xff883bff,0xffffffff,0xaaaa806f,0x1aaaadea,0xbdd70000,
    0x75113e21,0x50000035,0x55543fdd,0xaaaadeaa,0x7bffd701,0xfeffa801,
    0x49ff91ef,0xfeeeeef9,0x76d4402d,0x5ff301aa,0x0055d4c0,0xffffff98,
    0x985fffff,0xf7000aba,0x260dffff,0x01ffffff,0x8004dd4c,0x0000aba9,
    0x0006ae62,0x0001ab88,0x806aea62,0xfffffffa,0xffffffff,0x02aea200,
    0x055d4400,0x0aba8800,0x201ba800,0x2a2000ba,0x310000ab,0x26000357,
    0x440009ba,0x4c001ab9,0x0000aaba,0xffff3000,0xbfffffff,0x18080000,
    0x40000000,0x7ffffcc1,0x05ffffff,0xaba88000,0x20000000,0x07fffffa,
    0x00000bf2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0c000000,0x00326000,0x006e01b8,
    0x000d4017,0x01c80020,0x0098006e,0x20000000,0x0dc00aa9,0x00b80370,
    0x0188006a,0x00164000,0x64000000,0x80000002,0x00001aa9,0x80000000,
    0x1300002c,0x0d401700,0x73000000,0xa8802440,0x00018002,0x00000020,
    0x59000040,0x49ddb100,0x0befffec,0x07bfee00,0x3621fe40,0x8826c01f,
    0x3ee0002f,0x887fb000,0x7f4c00fe,0xdd90ceff,0x3ff2001b,0x2607fa27,
    0x204ffffe,0x0fec43fc,0x17c41360,0x3ffff620,0x017bba3d,0x0013ffa2,
    0x017ffdc0,0x013ffa20,0x3ffffff2,0xa84fffff,0x40dfffff,0x0005fff8,
    0x017ee000,0x5009ffd1,0x3ffaa5dd,0x413602ff,0x2e0002f8,0x74402fff,
    0x202fd40e,0x0cffffd8,0x0676f540,0x001f7000,0x740001fc,0x7ff44002,
    0x8decb804,0xeb989bfe,0x97ec400e,0xbf5003fc,0x3001df31,0x006d885f,
    0x7000bf20,0x0037ea9f,0xd53159f9,0x0179db1d,0xfa9f2a20,0x88efcc3f,
    0x37ea06ea,0x9800ef98,0x2036c42f,0xca89adfb,0x8059bf4f,0x0ef98dfa,
    0x7d544000,0x237ea002,0x3b200ef9,0xaaaaaaaa,0x96fdc4ea,0x5540ffb8,
    0x0a00005d,0x2a01ffd0,0x00ef98df,0x33f2ff26,0x304fda8a,0x006d885f,
    0x017d5440,0x3fc97ec4,0xb88f7440,0xa836a06e,0x05f90006,0x0004fb80,
    0xbf5001f4,0x9001df31,0x76401bdd,0xa83dd100,0xffd3005f,0xdffc8009,
    0xb0001ffe,0x3a60003f,0x2fb804fe,0x0013bf20,0x207d4798,0x407f106e,
    0x4004ffe9,0x1ffedffc,0xe980fea0,0x3fb802fd,0x4000ff44,0x9bf99999,
    0x221fdc00,0x009901fe,0x203f98fa,0x000b906e,0xb9101e60,0xfd10fee0,
    0x01ffe803,0x3ff203f7,0x0001ffed,0xfb800be0,0x06c801fe,0x6406c136,
    0x07f62001,0x002fd400,0x3ee007d0,0x200ff443,0x0db006fc,0x024c0326,
    0x4c000b20,0x8000bcdc,0x40001ee8,0x2f8802d8,0x0004fd80,0xfa8b71e6,
    0x9101f200,0x37260005,0x0fe200bc,0x200bfe20,0x0006e01b,0xfffffff9,
    0x201b80ff,0x1001101b,0x7007e43f,0x000b903f,0x3f101e60,0x01b806e0,
    0x7f100774,0x05e6e4c0,0x00be0000,0xf1001b30,0x2217c403,0x2200b305,
    0x4c0000ee,0x3e8000df,0x0dc03700,0x44007f20,0x0000000f,0x00000000,
    0x00000322,0x2200d900,0x9e60004f,0x202ec1f8,0x000002f8,0x801ae000,
    0x000002fb,0x33333100,0x0000137f,0xe8d70000,0x641fc404,0x0f300005,
    0x000002c8,0x02ec01f4,0x3e000000,0x2a000002,0x3445c807,0x191003a8,
    0x03620000,0x0019f100,0x01f20000,0x131005d0,0x0004c000,0x00000260,
    0x004c4000,0x09d0026c,0x08f30220,0x04e802f8,0x000000cc,0x3e6004d8,
    0x80000002,0x0005f008,0x26c00000,0x20fe013a,0x4001305c,0x4c000079,
    0x401f4000,0x004c405c,0x0be01100,0x06b80000,0xe81c8698,0x00000000,
    0xdff91000,0x8801b7bf,0x03640009,0x7ecc1360,0x0754ffff,0x6fffff5c,
    0xfffd7001,0x220003bf,0x7ecc0009,0x8754ffff,0x0136002f,0x267dfff9,
    0x400fc407,0x7fedc45d,0x262b9eff,0xdd902eee,0x4003e89d,0x2eee982f,
    0x409ddd90,0x2dfffeb9,0x7776c0be,0x3bbae00d,0x07e2002e,0x07dc01f7,
    0xfffb72e4,0x3bb6609f,0xeeeeeeef,0xfffeb804,0x03e801df,0xffc885c8,
    0x9800dfff,0x22dfffeb,0x2eee982f,0xb89ddd90,0xe9878806,0x0004da8c,
    0x90000000,0x7fdc417f,0xffffc881,0x06c800df,0x67e426c0,0xefeb989a,
    0x8abfd885,0x2203fda9,0xda98abfd,0x25dd903f,0x02efffea,0x989acfc8,
    0x1f45efeb,0x7ec09d00,0x79cfb89b,0x5c007cc0,0x22b3fe66,0x224ffdb9,
    0x99503fcc,0x2003d8bd,0xfcc882f8,0x0bd99503,0x2a26bbe6,0x2e05f3fc,
    0x2600bcfe,0x2001cfdc,0x103f887a,0x7e5720bd,0x1efb989b,0x667ee644,
    0x202ccccc,0xa98abfd8,0x01f403fd,0x2fbea2e4,0x03fea989,0x2a26bbe6,
    0x9105f3fc,0x332a07f9,0x6403cc5e,0x039d501f,0xeeea8351,0xdd5002ee,
    0xf5005ddd,0x2a0fdc03,0xea989bef,0x007e403f,0x01fc85f0,0x07742ff4,
    0x3ba07f50,0x2a0fea00,0x8acfcbfc,0x3f203fda,0x322ff401,0x6413e005,
    0x07ee881f,0x27a803d4,0x827d406d,0x645c803e,0x00bea005,0x30b9007d,
    0x7df4c07f,0x5001ea02,0x209b000f,0xfda8befa,0x1dbd900d,0x4c03f620,
    0x03ba0007,0x0fa03fa8,0x03f99720,0x1fcc17dc,0x805f7d30,0xf85c803e,
    0x00bfe602,0x41cfda88,0x03fcccc9,0x7f999930,0x1b007d00,0x3ee01fcc,
    0x4013f202,0x007e60fb,0x01d917e2,0x0ec83f50,0xfd01fa80,0x203ee03f,
    0x5f8801f9,0x7dc00fd4,0x2a02f884,0x803d407f,0x3a00fe7a,0xb9007d03,
    0xfd001fa8,0xc803e805,0xf9804f85,0x207e202f,0x8005c81a,0x3ffe602f,
    0x7fe406ff,0xf305e800,0x003b2000,0x01f407ea,0x004e8ae4,0x804f81f7,
    0x1f402ff9,0x07642e40,0x201ee744,0x001cfda8,0x7d0001f4,0x4001f880,
    0x1f7004e8,0x300bff20,0x2005d85f,0x800be24b,0x800be25d,0x403fd05d,
    0x005d83f8,0x301b612e,0x00d909ff,0x007a80fd,0x2007e4f5,0x9007d008,
    0xc801d90b,0x01f402ff,0x801a62e4,0x217402fc,0x003e86f9,0x7dd103d4,
    0x6409f955,0x03f3002f,0x5f1000f3,0x3e82ec00,0x00f75c80,0x801a63e8,
    0x01f402fc,0x8aed82e4,0x10994fa8,0x00039fb7,0x7d0001f4,0xb8007980,
    0xc81f4007,0xfc80cfad,0x20002f84,0x53d4007a,0xd07a800f,0x5f0bb007,
    0x3dd10000,0xb09b5f70,0xa80f7009,0x744f5007,0x74001ace,0xe885c803,
    0xf9ee882f,0x6401f402,0xf3002645,0x7644d805,0x2000fc1f,0x209d305c,
    0x01f905e8,0x03cc17c0,0x2a003d40,0xb9007d07,0x4b700136,0x0be6004c,
    0x0b9007d0,0xd1f7ffe4,0x00e76dc7,0x0003e800,0x01f300fa,0x5c004d80,
    0x3fe6b905,0x882ffede,0x1720001f,0x1721f100,0x7d01f100,0x1f88b900,
    0xffb10000,0x1365ffdb,0x01ea00fa,0x0d7001f3,0x5bffffb7,0x5c803e80,
    0x3f7bfee0,0xe805f0ef,0x1f45c803,0xb805f100,0xf31f5fc6,0x902f8001,
    0xc81f880b,0x4c26c006,0x005c8007,0xbf5307c4,0xfeae4015,0xffffffff,
    0x0fa6ffff,0x7402f880,0x9805c803,0x406e1f80,0x74001cda,0x00fa0003,
    0xffd000be,0xffffffff,0x1720dfff,0x20157973,0x320000f9,0xc8fc4005,
    0x40fc4005,0x4c5c803e,0x4c00000f,0x426c1bca,0x407a802f,0x05c801f8,
    0x06ff6544,0x05c803e8,0x20565d44,0x401f402f,0x2001745c,0x987cc02f,
    0x01ae6b8f,0x07e01f30,0x01b21320,0x00f309b0,0xf8800b90,0x0fffffa1,
    0x555bd5c8,0x55555555,0x20017455,0x401f402f,0x1f10005c,0xda9ce880,
    0x000fa005,0x06c803e8,0x55556f40,0xaaaaaaaa,0x8000b902,0x1aa0001f,
    0x0354f500,0x01f41ea0,0x000fc2e4,0x21360000,0x807b803d,0x004d803f,
    0x03e82fc4,0xf80005c8,0x6401f402,0xf3002645,0x5723f005,0x800991f8,
    0x001f305c,0x800f90d7,0x8007983e,0x03d4006a,0x02e57200,0x98013200,
    0x401f402f,0x0d90005c,0x003b0770,0x3e8000fa,0x700de880,0x0001723f,
    0x740005c8,0x03e60003,0x03e66c80,0x07d06c80,0x007d0b90,0x83e80000,
    0x807d805c,0x997c405d,0xd01f7001,0x000b9007,0x03e805f0,0x003545c8,
    0x27d005f7,0x0175362f,0x0fc40fa0,0x0fe42e40,0x7981f880,0x000f9800,
    0x9b0001b2,0xa80003ea,0x00bee006,0x00b9007d,0x1d007f30,0x0fa00950,
    0x1003e800,0xdfb99bfb,0x00007d47,0x5c0005c8,0xd82a000f,0xd85f3005,
    0x205f3005,0xb85c803e,0x002a000f,0x7cc0fc40,0x201fe601,0xd9ae01fa,
    0xb03f3005,0x005e8809,0x26c02f80,0x7f117a20,0x005ff100,0x75c1f3b9,
    0x3e2001f8,0x3a00fe00,0xb006fc83,0x0003e60d,0x17cc0176,0x5e8be000,
    0x00fe2000,0x9b00bfe2,0x4005e880,0x068805e8,0x00fa00d1,0x54003e80,
    0xbd00befc,0x01720000,0x10037a00,0x027c43fb,0x13e213a2,0x1f409d10,
    0x0de82e40,0x000fec40,0x1db03744,0x7401fb60,0x7ec5f305,0xf907e801,
    0x002ffd40,0x1f2017c0,0xfa85ffa8,0x0bf76201,0xf1173ea0,0x06b800f7,
    0x1f900fd4,0xb809dd90,0x009f100f,0x4404f883,0x7ec0004e,0x5400fe60,
    0xb100fd45,0x07c805fb,0xa8017fea,0x03b000ef,0x00fa0077,0xd0003e80,
    0x003f9807,0x9ec988b5,0xfd100019,0x2ffb9815,0x5c41ef98,0x3df300df,
    0x200dfb88,0x105c803e,0xfb9815fd,0x4cccc02f,0x2200eeb9,0x2b7a61ee,
    0x6fcc02af,0xfd8bf511,0x1fd981bf,0x2a219f10,0x00aeccfc,0x2fe66620,
    0x219f1009,0xaeccfca8,0x51067d40,0x806b3ebf,0x5fd82ff8,0x6401ec00,
    0x0bf660bf,0x3dd1bb55,0x6402fd98,0x7f5cc0af,0x220f7cc0,0x22000dfb,
    0xa82fda99,0xfeb982ef,0x220cfa83,0x0359f5fa,0x654433e2,0x310aeccf,
    0x0027e544,0x00e98366,0x740007d0,0x007d0003,0xd7305df5,0x7fffc47f,
    0x20005fff,0xfffefffc,0x3ff6200b,0x8803fffe,0x3fffeffd,0x02b7ea60,
    0x402bb6a2,0xfffefffc,0x7ffd400b,0xd1004fff,0x3e6bffff,0x7f4c02ff,
    0xabb84fff,0xdffeeffe,0x7f7fd401,0x09ff91ef,0x7fffffc0,0x3bfea07f,
    0x9ff91eff,0xffdffd50,0x2037ffc9,0x04fa80ff,0xfa8007c0,0x440effff,
    0xffb15fff,0x2001dffd,0xefffeffc,0xdffb100c,0xa8007fff,0x201dffff,
    0xffeeffd8,0x3faa00cf,0x3fe4ffef,0x3bfea06f,0x9ff91eff,0x37ffffea,
    0xdbd50002,0x5555303b,0x55555bd5,0x555554c1,0x0aaaaade,0xd8801f40,
    0xcfffeeff,0x99999880,0xa9880001,0x4c4001ab,0x988001ab,0x7fc401ab,
    0xffb85fff,0x2a6203ff,0x4c4001ab,0x71000099,0x53000015,0x2ea60015,
    0x2a2000aa,0x100000ab,0x01333333,0x000aba88,0x00017510,0x00000000,
    0x0002aa60,0x8000ab98,0x4001aba8,0x0001ab98,0x26000262,0x440009ba,
    0x440000ba,0x51000aba,0x4c000015,0x3ffffa00,0xffffffff,0x3fffffa3,
    0x3fffffff,0x4c000ec0,0x000009ba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1cc00000,0x04000910,0x00d54c40,0x00001dc0,0x0a601a80,0x00005900,
    0x00001551,0x000007a2,0x19100310,0x03501220,0x20002620,0xe98000d9,
    0x8076a22c,0x003980b8,0x00220002,0x1cc05c40,0x1b881b80,0x5c405c40,
    0x00000000,0x00000000,0x0002eb80,0x00000bb1,0x00000000,0x40008800,
    0xdd101cda,0x8005fa81,0x3f2205e8,0x801effef,0x200dffd8,0xfffffff9,
    0x81b206ff,0xffd1004e,0xffb10009,0x64c07fff,0x3743dffd,0x037bfaa0,
    0x00effc80,0xbf507ba2,0xb303fd40,0x2a9fffff,0x0bffea03,0x3bfb2a00,
    0x3f600cef,0x9103fe84,0x807dfffd,0x14c3ffd9,0x3fe13f60,0x5c3fd402,
    0x437dc06f,0x326004fd,0xc80acefd,0xffd910c1,0x5440039d,0x711ceffd,
    0x001ffe00,0x80017fe4,0xceeffec8,0x00bffe62,0x27fdc000,0x987ffb30,
    0x06fff982,0x1fe4bf62,0x80774c00,0xd7109ef9,0x4f74c05f,0x7f301ee8,
    0x35555555,0x7dc1fc40,0x98dfa800,0xdf5000ef,0xfa804415,0x9efcaace,
    0x3bf600fc,0xf001ffcb,0xfb005fff,0xf7013ee7,0x359f901f,0x0bdfd731,
    0x027e4ff2,0xfddfb710,0x905d5001,0x57dfb03f,0x101df953,0xb7ff73bf,
    0x81eb809f,0x274400ec,0x3a601fcc,0x7002fa83,0xfd9559df,0x5df43e83,
    0xfdcabdff,0xacefb804,0x07acfdba,0x2000bfd0,0x98001ffa,0xdcbaadff,
    0x0017d542,0x2767c400,0xffb9df88,0xffb84fcb,0x77dc00ff,0xdf98001f,
    0xfb013a00,0xf90bf501,0x0001f305,0xffddffb8,0x443fb803,0x27e401fe,
    0x440ff200,0x3ea02ffd,0x40076c42,0x7000effc,0xf5005fdf,0xe803f90f,
    0x541fe85f,0xcefc805f,0x00001761,0x17e603f8,0x0fbf220c,0x00000000,
    0x32000000,0x543f603f,0x017ff41f,0x17d40df5,0x400ffd30,0x00440001,
    0x8002fc40,0xc800002f,0x640c09b6,0xfff103ef,0x0036600b,0x00013ea0,
    0x015417cc,0x001f3075,0x19bb9300,0x1b806e00,0x5000bea0,0x0ff9805f,
    0x17cc1760,0x98001880,0x8ff5000d,0x5f8801f9,0x0c880644,0x07d00cc0,
    0x00be0000,0x000003f5,0x00000000,0x5f500000,0x0df7f900,0x7f5001fd,
    0xf3003f30,0x0000000f,0x003f3000,0x7fffffe4,0x10000fff,0x0001365f,
    0x00015c40,0x0003a800,0x00002740,0x000001f3,0x44000000,0x04e8004f,
    0xd0276f44,0x00027407,0x3e600000,0x97002ec6,0x20000000,0x131001f8,
    0x5f001700,0x80001300,0x00000009,0x20019880,0x13fa004e,0x3f700274,
    0x1f2004f8,0x80004c40,0x6b800098,0x5fccc400,0x00009999,0x1004d976,
    0x20000033,0x00000098,0x005f1000,0x01f30033,0x00662000,0x90019880,
    0x0fb8001d,0x07d476c0,0x00fa03e8,0x03310000,0x05f1be60,0x40000000,
    0x91bdedca,0x7ffe440f,0x40000dff,0xfffd703d,0x3ae003bf,0x301dffff,
    0x3b205ddd,0xdb7104ee,0x4019ffff,0x3ea000fb,0xf8001500,0x88003e64,
    0x3fff6605,0x220754ff,0x0dfffffc,0x4000d700,0x0004c42f,0x209b0fd4,
    0xffffedb8,0x6440000c,0x00dfffff,0x32000000,0xffdb880f,0x4c2b9eff,
    0xb710000f,0x019ffffd,0xfffedb88,0x00ba00cf,0x3f700fa0,0x703e81f4,
    0x8800001f,0xcffffedb,0xf89be200,0xeea80001,0xb1002eee,0x9fd979df,
    0x7df505f3,0x07fd5313,0xb107e200,0xfb53157f,0x55fec407,0x883fda98,
    0x99503fcc,0x2b3be0bd,0x00eeca89,0x03d0007d,0xb736c000,0x67e40000,
    0xefeb989a,0x89befa85,0xd903fea9,0x7c000ddd,0x5ffffd52,0x13627400,
    0x544d677c,0x50000eec,0xd53137df,0x3bbb607f,0x3eeeeeee,0x20ff2600,
    0xb98acff9,0x57cc4ffd,0x00deffeb,0x2a26b3be,0x3be00eec,0xeeca89ac,
    0x8000f880,0x90bea02f,0xec98fa09,0x012a002f,0x2a26b3be,0xbf100eec,
    0x400007cc,0x03fcccc9,0xd301ef88,0x03f989dd,0x6c0017dc,0x2a00ee86,
    0x401dd03f,0x00fa03fa,0x7c400172,0xb0005f05,0x3dc00007,0x3200007b,
    0x22ff401f,0x17dc03f9,0x0036e654,0x137f95f0,0xf7007fb7,0x10004d81,
    0x7f3000bf,0xde82fb80,0xdccccccc,0x7f75c03f,0xa80db02f,0x6fffcc4f,
    0x002feb9b,0x4000bf10,0x267985f8,0xf883dfeb,0xd709f100,0xfffc8fa0,
    0x001ae003,0x7c417e20,0x00000fc5,0x06d803e8,0x2744dfd0,0x3000fb80,
    0x00ec83fd,0x07641fa8,0x3e80fd40,0x20005c80,0x000f887b,0x555545b8,
    0xaaaaaaaa,0x5f0fbaaa,0x03f30000,0x2744bf10,0x2e00fb80,0x3bfe0006,
    0x4403f700,0x0004d83f,0x9d1001ee,0x7d03ee00,0x54027c40,0x7f00effd,
    0x03707d00,0xb80007e4,0x43dc0007,0x959ff35b,0x3a0798bf,0x0fa0f505,
    0x3003bee6,0x2e0000dd,0x07d13e07,0x00fa0000,0x3e6001f5,0x7d001ee7,
    0x40cfea80,0x976002f8,0x176002f8,0x02e401f4,0x0f30f500,0xfff1aa00,
    0xffffffff,0x21ffffff,0x5d80002f,0x07b92e00,0x0d701f40,0x10077c00,
    0xd836407f,0x41ea0004,0x01ee1cda,0x102e87d0,0xfb1000bd,0x8801f905,
    0x00bb0000,0x50001ea0,0x17f3b70f,0x03e64e98,0x835c03f2,0x41b6203e,
    0x0002dfd9,0x227c0f50,0x02a000fb,0x0b900fa0,0x01367d80,0x67cc0b70,
    0xa800f500,0xf5001ea7,0x17200fa0,0x35595510,0x001f30f5,0x002f8d70,
    0x00be1f30,0x8000be00,0x02dc004d,0x17c000d7,0x2f9826c0,0xaa8809b0,
    0x987a9aac,0x01366fff,0x3a008b70,0x17dc0006,0x006b3ba2,0x440f3000,
    0x7a9aacaa,0xaacaa880,0x3fea87a9,0x0fc43ea0,0x05c807ee,0x44e8807d,
    0x88001dfb,0x7a9aacaa,0x037a0fe0,0xd003fb10,0x4003e807,0x3ffffa7c,
    0xffffffff,0x803e606f,0x87c4005c,0x07c4005c,0x82e401f4,0xfeefffd9,
    0x003f07ff,0x003e8990,0x001f4f50,0x80007e20,0xfffffffe,0x06ffffff,
    0x2f8001ae,0x0bb04c80,0xffd9826c,0x87fffeef,0xfd0ffffb,0xffffffff,
    0x200dffff,0xc80000ed,0xffffb705,0xf880005b,0x77ffecc1,0x2607fffe,
    0xffeefffd,0x806f987f,0x3f98be3e,0x03e81ec0,0x00fe67a8,0x3bfff660,
    0x3607fffe,0x40afe882,0xd002ffb9,0x4003e807,0x2aab7a6b,0xaaaaaaaa,
    0x901e202a,0x91f8800b,0x81f8800b,0xa85c803e,0x0f7101df,0x0b6000ba,
    0x972000b9,0x7cc0005d,0x2b7a0000,0xaaaaaaaa,0x1ae02aaa,0xc802f800,
    0x3600fa84,0x101dfa84,0xbfff10f7,0x555556f4,0x2aaaaaaa,0x0000fc80,
    0xa8801f30,0x0000dfec,0x01dfa87e,0x37ea0f71,0x3e0f7101,0x5b24d801,
    0x17c404e8,0x0f8803e8,0xbf5000b9,0x001ee203,0xffefffc8,0x0fa000bf,
    0x5d800bb0,0x00000172,0xf5001aa0,0x1ea00354,0x22e401f4,0x07a804f9,
    0x0f8800bb,0x6c0007d4,0x20001ae4,0x1720001f,0x00d70000,0x264017c0,
    0x7fffffe4,0xf33fffff,0x220f5009,0x0002e42a,0x0000fdc0,0xf10007e0,
    0x43e6000b,0x87a804f9,0x07a804f9,0x44b9005d,0x6d806d9f,0x97c00fa0,
    0x27cc003f,0x20003d40,0x001acd98,0x07b807d0,0x01f527c0,0xf9800000,
    0xf99b2000,0x741b2000,0x7dc5c803,0xf307a800,0x443ec005,0x0fd4004f,
    0xe80007f1,0x03ea0003,0x006b8000,0x13200be0,0x2aaaaaa6,0xf70adeaa,
    0x800f5001,0x200000fa,0x400002fa,0x200330f9,0x7a8000fb,0x1ea003ee,
    0x1ea003ee,0x21f4026c,0x7cc00ffc,0x2200fa01,0x4100bd2f,0x07a800fb,
    0x00059000,0x1fc403e8,0x2f40fa80,0x6c000000,0xd85f3005,0x205f3005,
    0x22f4404d,0x40f9005c,0x03f3006c,0x7c4007ea,0x3001fa83,0x0007dc5d,
    0x0002f415,0x7c000d70,0x0004c802,0x9005c89b,0xd073aa0f,0x3e60000b,
    0x6c800003,0x8fcc0176,0x64bd0009,0xb90f9005,0x7cc1f200,0xf707e200,
    0x027d401d,0xfa8698fa,0x3c801f91,0x01f200b9,0x002ed400,0x9f5007d0,
    0xf983fa80,0x260b5003,0x3e200ced,0x44274404,0x0274404f,0x2ffd40f9,
    0xfe8803ee,0x803be207,0x17e402fa,0xfc817a60,0x7437cc02,0x0fec400d,
    0x16a007f3,0x3e0006b8,0x0004c802,0x200fb89b,0xff987fe8,0x801fcc6f,
    0x204f985a,0x70033679,0x400fec3f,0x900bf67e,0x1007dc1f,0x01f70ffd,
    0xb903ff44,0x33e62ec0,0x3f260afe,0x3e23e804,0x09f13641,0x401f74d8,
    0x9b507fe8,0x01d04c01,0x5c00fa00,0x27e4c2df,0x7305df50,0x3ff607fd,
    0x0f7cc04f,0x4c037ee2,0x6fdc41ef,0x4433e200,0x0aeccfca,0x5cc15dd1,
    0x80aafbdf,0x2e60aee8,0x39f7003f,0xc804fb98,0x27e4c1cf,0x4c0afe88,
    0xefa82ffb,0x03feb982,0x2f8001ae,0xb0004c80,0x20aee889,0xaafbdfb9,
    0x81ffff70,0xeb982efa,0x2027443f,0x06ffa679,0xffd87fb3,0x21fd981b,
    0x2609cfc8,0x577442fd,0x3ef7ee60,0x15dd10aa,0x57defdcc,0x10bee80a,
    0x92f443fb,0x05fffdff,0xb06fd544,0xf50bea1b,0xfd73135d,0x982bba27,
    0x0aafbdfb,0xfc813ffe,0xaa9804ed,0xaaadeaaa,0xffe980aa,0x8802fffe,
    0xfffeeffd,0x3fff200c,0xeffd8803,0xd8803fff,0x03fffeff,0xdffdff50,
    0xd893ff23,0x52fffeff,0x7e407fff,0x002dffef,0x7ff7ff4c,0x3faa002e,
    0x802effef,0xfffefffc,0x3ff6200b,0x80cfffee,0xaaafcaaa,0x2cfa9800,
    0x015db510,0x15bd5530,0x7ff7fec4,0x27fff52f,0xb105fff8,0x9fffddff,
    0x5557fd01,0x70f95555,0x3dffdffd,0xdffd5770,0x2a03bffd,0x0efffffd,
    0xffdffb10,0x8fffea5f,0xfffeffd8,0x107fff52,0x81dffff9,0x55cc40ec,
    0xffffa800,0x0ffffa64,0x77fffecc,0x77fec40b,0xfff52fff,0x401fff47,
    0xfffd0009,0xffffffff,0x5554407f,0x37530000,0x01554001,0x006ae620,
    0x006ae620,0x002aea20,0x00157530,0x00057300,0x00157310,0x0055d440,
    0x06aea620,0x026ea600,0xffffff98,0x7f4405ff,0xffd83fff,0xffe805ff,
    0xba983fff,0x06a2000a,0x004dd4c0,0xfffffff3,0x440fffff,0x26000aa9,
    0x2000aaba,0x53000aa9,0x53000157,0x98000157,0x0001100a,0x00b98000,
    0x2a600330,0x2a2000ab,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x4006e01b,0x08000aa9,
    0x00000000,0x00000000,0x00988000,0x07501d40,0x00000000,0x000aa880,
    0x00002600,0x00000130,0x00000000,0x80e60000,0x00660039,0x3a600040,
    0xddd902ee,0x03701209,0x04880644,0x80000000,0x503eeeea,0x2aa7dddd,
    0xaaaaaaaa,0x00aaaaaa,0x00000000,0x887f9000,0x7fe401fd,0x5400cfff,
    0x6dc003fd,0xb800adff,0xd13fffff,0xffff705f,0x3fee007f,0xec803fff,
    0xdfffd52e,0x037ea005,0x09f907f9,0xd9510000,0x10e27bdf,0x00bd79fb,
    0x017f6540,0x17f65400,0x0e65c000,0x05bffb71,0x7dffdb30,0xdddd30e2,
    0x16ff6441,0x7dc0ef98,0x3ff6e204,0x202b9eff,0x0d42ffea,0xa81fe644,
    0x07d05ecc,0xee8807e2,0x1002fd41,0x39ddffd9,0x3fffffb8,0x0e6fe4c0,
    0x71dfcc98,0xfb944000,0x400002ff,0xcdffecb8,0x37ffcc01,0x77cc6fd4,
    0x86fb6200,0x7ed40eea,0xd1003fdf,0x7fd9559d,0xeaaaa880,0x5109ff33,
    0x2007d555,0x03eaaaa8,0xcfcbfca8,0x003fda8a,0x5fb13dd3,0x0001bfa0,
    0x757bff50,0x441f9ffb,0x50002d82,0x20000b63,0x00005b1a,0x3fea7f97,
    0x204fcabd,0xfdb9adfc,0x666447de,0x737df51f,0x4bf6207f,0x3fe603fd,
    0xffdb98ac,0xf939f304,0xe805fd7d,0xf505c803,0xb005d883,0x8013ee7f,
    0xcbaadff9,0x5555443d,0x009d003e,0x400071ee,0x05f55128,0x5e7d4000,
    0x01bd7511,0x4c17ffe2,0xfe804ffe,0xdf997a00,0xf5007d0a,0x0017dc0b,
    0x001fa8fa,0x1f40007d,0x203ffd00,0x3f6000fb,0x136600ef,0x03f98000,
    0x5c007fdc,0x02d80004,0x0016c000,0x07f77d00,0x0bee0be6,0xf103fec4,
    0x03309f73,0x401eefc8,0x827d406d,0x0f7ec418,0x2e401f40,0xffd9ffb0,
    0x7f7dc003,0x002fc002,0xfa801f40,0x01c3e800,0x05f05100,0x007b2000,
    0x7ffc07b2,0x4c016404,0x00fc401f,0x09f100fa,0x74003f50,0x3e801aa3,
    0x800fa000,0x0fe201fe,0xf1009700,0x3e600003,0x401f9002,0x80001ea8,
    0x6c00002d,0x3fa00002,0x207dc02f,0x03fc405f,0x0005fdf1,0x3f800da8,
    0x00003e80,0x2e401f40,0x02f372a0,0x00036600,0xd00003f3,0x20274007,
    0x2000387b,0x0002f828,0x7cc005c8,0x003ffe80,0x3a009700,0x3201f403,
    0x003b2006,0x001f89f4,0x3e8000fa,0x3600fa00,0x9b000005,0x02fc0000,
    0x7fec0f30,0x6c0e2002,0xb0298002,0xd02e0005,0x45f1005f,0x06b801f9,
    0x00007fe2,0x801f9000,0x40000008,0x005c803e,0x40000000,0x7d00006b,
    0xd007d400,0x44000707,0x40002f82,0x33332e69,0xfd85b80b,0x0000002f,
    0x01f404d8,0x7c4005f3,0x0047d002,0xe8000fa0,0x200fa003,0x04c4005c,
    0x02620020,0x00001f30,0xb802eb88,0x8005b06f,0x005b04fc,0x1f40fe98,
    0x07cc7d00,0x3f101440,0x10000000,0x300359dd,0x3b205ddd,0x00fa04ee,
    0x00000172,0x00d70000,0xd000fa00,0x0e03ea09,0x2f828800,0x744004c4,
    0x2666ee21,0x7e43d83c,0x3bbbb60f,0x03eeeeee,0x7d00be00,0x640035c0,
    0x0007d004,0x7d0001f4,0x6401f400,0xd52eec85,0xc805dfff,0xfffd52ee,
    0x001ae05d,0x2207a800,0x00b603fd,0x5b017f54,0x033f2200,0x24d800fa,
    0x880002f8,0x774c001f,0x3fb220ee,0xfffb702d,0xf99105bf,0x17b32a07,
    0x05c803e8,0x05ddddd5,0x3bbbbaa0,0x7776c402,0x5eeeeeef,0x5000fa00,
    0x0e07d01f,0x2f828800,0x05dfffd7,0x641542d4,0x1fee34c0,0x999999bd,
    0x20007fb9,0x01f400fc,0x0d5000b9,0xe8000fa0,0x54fa0003,0x200fa03e,
    0xcbfca85c,0x3fda8acf,0x3f2ff2a0,0x83fda8ac,0x2000004d,0x0efb80f8,
    0x322016c0,0x016c00cf,0x7d00f7d4,0x3ee26c00,0x0fc40002,0x3f332200,
    0xf737df51,0xfeca8807,0x9007d00d,0x6401f40b,0xf9999305,0x33326007,
    0xccb803fc,0xccccccfd,0x000fa003,0x201f513a,0x20a20003,0xb89cfcaf,
    0x507903fd,0x41f05505,0x101f47fa,0x3ea0009f,0x3a03e802,0x00798003,
    0x9f40007d,0x33a001b8,0x0fa00cfd,0xffe81720,0xe801f701,0x81f701ff,
    0x1a80002e,0x1ff4c3d8,0x3ea02d80,0x405b001e,0x3e804fd8,0x3ee13200,
    0x44000ace,0x3e20001f,0x01984fb9,0x3e82fc40,0x0fa05c80,0x3d801720,
    0x000fa000,0x3a0000d7,0x20fa8003,0x8000e04e,0x00eff828,0x503b01f7,
    0x1e80e885,0x205d17e2,0xf30005e8,0xf80fa007,0x01f88002,0x3a0003e8,
    0x1001ffb3,0x7d003dfd,0x7f40b900,0xd00fe201,0x21fc403f,0xea80002f,
    0x7dc4ecce,0xdd90aa0d,0x3625dddf,0xc817714f,0x22eeefee,0x02aa1efa,
    0x04c800fa,0x7bfffb71,0x0003f100,0x4017f7c4,0x01f70019,0x40b9007d,
    0x02f4404e,0x740007b0,0x0035c003,0xd0003e80,0x03803ea9,0x3be0a200,
    0x3e0be200,0xdeccda80,0x40a87900,0x4001ba00,0x0fa004f9,0xf88003e8,
    0x0003e800,0x007fecfa,0xe8013fee,0x3a05c803,0x7405d803,0x17c5d803,
    0x33333310,0xe9835103,0x107f5c2f,0x2e333333,0xb55bb1ef,0x4ccccc4b,
    0xea87fb11,0x2003e81f,0xf951004c,0x00fc401b,0x003ff100,0x0fcc0176,
    0x02e401f4,0x2ffd40fd,0x40007b00,0x035c003e,0x0003e800,0x3809d1f5,
    0x3e0a2000,0x1e84d802,0x02d99ba8,0xed8000b6,0x04fa8000,0x09b01f40,
    0x3a00f300,0x44fa0003,0x2ffa601b,0x00fa003e,0x803e8172,0x401f405c,
    0xf901f45c,0x05ffffff,0xf881bf90,0xfd8800f9,0x00ba16e3,0x3f107bee,
    0x4007d03f,0x6e88004c,0x80007e20,0x3f6001f8,0x7d07e801,0x7f40b900,
    0xb9f9510c,0x07b0015d,0x2001f400,0x7d00006b,0x07f74000,0x288000e0,
    0x84c802f8,0x1642a82c,0x4004c0f8,0xfa8000fc,0x203e8003,0x05b8005c,
    0x740007d0,0x7433a003,0xadfa9803,0x0aeda880,0x05c803e8,0x22e401f4,
    0x07cc004d,0x6c0bbaa0,0xefb801f3,0x205b80c0,0x29b03fe9,0x2003e81f,
    0x3f10004d,0x55fd4ccc,0x8801aaaa,0x3ff6001f,0x01fd981b,0x40b9007d,
    0xeffefede,0xb009ff91,0x01f40007,0x40001ae0,0x3ea0003e,0x20003804,
    0xc802f828,0x82a84b84,0x0e43c40d,0x20007ee0,0x7d0003fb,0x20007d40,
    0x007d003e,0xd0001f40,0xffff8807,0xffffb85f,0x5c803e83,0x2e401f40,
    0x1f3001ae,0xb813f620,0x7f4c03e6,0xb8174003,0x7cd500df,0x36003e81,
    0x27d000a3,0xfffffff8,0x8806ffff,0x2aee001f,0xdffeeffe,0x3200fa01,
    0x55ccfa05,0x01ec0000,0xb8007d00,0x07d00006,0x4007d400,0x20a20003,
    0x984c802f,0x2c41540f,0xa80b216e,0x3fb8002f,0xd00fa000,0x00fd4009,
    0x3a0003e8,0x00fa0003,0x0fa00000,0x07d01720,0x01f98b90,0x77403e60,
    0x0f87e201,0x2000df98,0x05fb03e8,0xd03f0fc4,0x5f174007,0x0001f400,
    0x0003f100,0x00566d4c,0x02e401f4,0xb000007d,0x01f40007,0x40001ae0,
    0x13a0003e,0x510001c0,0x099005f0,0x0eeed972,0x407cc764,0x03f984da,
    0x0002fc80,0x07e601f4,0x7d002740,0x001f4000,0x980007d0,0x401f4000,
    0x401f405c,0x2006c85c,0xb00300f9,0x00300f87,0x02603e88,0xe81f89b0,
    0x7c3f1003,0x805f1004,0x3f100009,0x00590000,0x17a2026c,0x800003e8,
    0x0fa0003d,0x0000d700,0x7d4000fa,0x40007000,0xc802f828,0x2000ba04,
    0x98d04c2e,0x321e604f,0x3e80002f,0x2202fd80,0x01f4005e,0x40007d00,
    0x6dc0003e,0x200fa005,0x401f405c,0x00de885c,0x30000f98,0x1bfddddf,
    0x02f98000,0x7777c400,0x01f41efe,0x017fc5b8,0x2edc036c,0x000fc400,
    0xc802ed40,0x817fea07,0xd800003e,0x00fa0003,0x20000d70,0x09d0003e,
    0x510001c0,0x099005f0,0xe98027cc,0x24edfc84,0x23cc04e8,0x02a801fc,
    0xcfc801f4,0x001baa21,0x3e8000fa,0x000fa000,0x07d00340,0x03e80b90,
    0x7fb105c8,0x01fd7103,0x4ccccc00,0x75c0002f,0x33300001,0x7d445f33,
    0x5d30cc1d,0xa81dfdf8,0x01e000fe,0x80007e20,0x22003a09,0x9f9510cf,
    0x07d015d9,0x007b0000,0x2e001f40,0x07d00006,0x5f533330,0x00070013,
    0x4017c144,0x4f6c404c,0x202fc880,0x55ff4098,0x7caaaaaa,0x2aaab3e6,
    0x24eaaaaa,0xadfaaaaa,0xff501aaa,0x4017dfdf,0xdeaaaaa9,0x260aaaaa,
    0xadeaaaaa,0x2a60aaaa,0xaadeaaaa,0x7cc00aaa,0xfa9804ed,0xeda880ad,
    0x56fd4c0a,0x0aeda880,0xfddfff70,0x000017df,0x6c0001f0,0x0001440d,
    0x7ffec3f0,0x3fbff21f,0xffe88e83,0x400cffee,0x3004edf9,0x5557f533,
    0xbf900355,0x7fd4009d,0xff91effe,0x40005d09,0xdeaaaaa9,0x260aaaaa,
    0xadeaaaaa,0x5510aaaa,0x55555f95,0x55553015,0x55555bd5,0x3ffffee1,
    0x03806fff,0xfaa8a200,0xeea980ac,0x77f5401a,0x000cefed,0xffffff98,
    0x267fffff,0xffffffff,0xff34ffff,0xffffffff,0x0aa880bf,0xfffffd00,
    0x7fffffff,0x7ffffff4,0x23ffffff,0xfffffffe,0x803fffff,0xff880098,
    0xffb85fff,0x3ffe23ff,0xfffb85ff,0x5dcc403f,0xb000001a,0x30001dfd,
    0xdddddddf,0xdfdb0000,0x0154c003,0x01357310,0x88004c40,0xffffffff,
    0x26006fff,0xaba88000,0x40000000,0xfffffffe,0x3a3fffff,0xffffffff,
    0xff53ffff,0xffffffff,0xffffd07f,0xffffffff,0x4ccccc47,0x999b0019,
    0x99999999,0x3e659999,0xfe84ffff,0x26006fff,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x000001ca,0x40000000,0x97000198,
    0x17999999,0xca800100,0x260ccccc,0xcccccccc,0xccccca80,0x08000bcc,
    0x0000a000,0x3333332a,0x0d4000bc,0x00011000,0x8000dd88,0x64c00098,
    0x1ccccccc,0x00d40aa0,0x880001c4,0xcccccccc,0x3332a4cc,0x666443cc,
    0x99910ccc,0x33322009,0x33333263,0x66664c2c,0x07333223,0x66666644,
    0x07999910,0x88f33326,0x80cccccc,0x23ccccca,0xb83cccc8,0x66443ccc,
    0x999103cc,0x33332279,0x3ccccccc,0x701eeed8,0x9710007f,0x8039bffd,
    0x0000fffd,0x3fffb6e2,0x3b6000cf,0x1eeeeeee,0x8877ff20,0xdfccb80b,
    0x333261cc,0xc81ccefc,0xeeeeeeee,0x3bfee002,0x01e6000b,0x3bbbb200,
    0x4002eeee,0xfd98003e,0xc8014c3f,0xf91003ff,0x001bffff,0xddddddd9,
    0x07fe205d,0x79801ff3,0x99930000,0x9999fb99,0x26677654,0x337f3322,
    0x05fdd910,0x4c9bfd90,0x42ccdfcc,0x224efdca,0x9106fecc,0x2619bf99,
    0x9303cefc,0x7e447bfb,0xca80cccd,0x3223eecc,0xecb83cdf,0x3fb260ce,
    0xbfb9303c,0x33333227,0x43ccccdf,0x2e05fff9,0x67d4003f,0x1bd7511b,
    0x003f2a60,0x89acef80,0x0000eeca,0xd9bfc800,0x400efbdf,0x00fa003e,
    0xdfd80000,0x3001fdaa,0x0000000f,0x1000fa00,0x97ff73bf,0x3fea009f,
    0x9befa801,0x003fea98,0x4436c000,0x0079805e,0x403d4000,0x407e005c,
    0xaf805cdc,0x300fa02f,0x2fec80bf,0x3f502f80,0x3e01db00,0xd03e8002,
    0x4c0b9007,0x005d802f,0xfff7007d,0x00175403,0x3d9003d9,0x00007cc0,
    0x000bf100,0xfd503000,0x007d001b,0x000001f4,0x06c82fa8,0x00000f30,
    0x00fa0000,0x0fbf2060,0xf3001100,0x002fb807,0x40000000,0x40000079,
    0x005c807a,0x7cee407e,0x017dee01,0x027d407d,0x2007dee4,0x803b202f,
    0x00fa01fb,0x01f40be0,0x03f202e4,0x7d000fb8,0x00bffb00,0x4005c800,
    0x01f300f9,0x07b80000,0x00019880,0x001f4000,0x0098007d,0x00206d80,
    0x000003cc,0x003e8000,0x00000000,0x3ee009d1,0x00098800,0x03cc0000,
    0x01ea0000,0x01f80172,0x3e8136b9,0xb81f405f,0x3ab9003f,0x3a017c04,
    0xd805f305,0x3f03c984,0xcccdfca8,0xceeccccc,0x7c413a01,0x200fa003,
    0x00000fff,0x3bbaa1a6,0x4c16e38c,0x4000000f,0xedb8807a,0x000cffff,
    0x003e8000,0x3fae00fa,0xd001dfff,0x3b660007,0xeeeeeefe,0x2eee984e,
    0x009ddd90,0x440001f4,0x20000009,0x81f4007b,0xdfffffc8,0xd5000000,
    0xdddddfdd,0x40001bdd,0x005c807a,0xfaae407e,0x05f0f980,0x017e41f4,
    0x807eab90,0x227c402f,0x85c804f8,0x07c40ffc,0x3bbbbfae,0xeffeeeee,
    0x360be602,0x201f4005,0x00004ffa,0x439707a2,0x4c1ec4ea,0xa880000f,
    0x07a9aaca,0xa89acef8,0x3aa00eec,0x2002eeee,0x80fa003e,0xa98abfd8,
    0x03e803fd,0x9fb99100,0x05999999,0x2a07f991,0x3a005ecc,0x25dd9003,
    0x02efffea,0x3bbbbbb6,0x1363eeee,0xdf50b700,0x7fd53137,0x77777540,
    0x7ee64c02,0x3ccccccc,0x403d4000,0x407e005c,0x9360fa5c,0xf90fa02f,
    0x365c8003,0x2a00be05,0x5c01b62f,0x4c2fce86,0x3200fa07,0x541d9005,
    0x01f4000f,0x3aa03ff2,0x5402eeee,0x98930685,0x75c0f986,0xd980deee,
    0xfffeefff,0x5f880007,0x3f333260,0x800fa003,0x803ba03e,0x02e403fa,
    0x0003cc00,0x217200fa,0xce999998,0x54099999,0x8acfcbfc,0x9bd03fda,
    0xfb999999,0x7fffff47,0xffffffff,0x2e01fcc6,0x9999302f,0x03cc007f,
    0x01ea0000,0x01f80172,0x3e23dcb9,0x23e80be1,0x5c8001fd,0x017c0be2,
    0x00fb8fc8,0xd9f88f50,0x07d03544,0xa7400b90,0x3e8003f8,0xc9827f40,
    0x6403fccc,0xf0101d43,0x74c0f981,0xdfa83cef,0x000f7101,0x7b001ee0,
    0xd001f400,0x2003b207,0x01ea01fa,0x0001e600,0xc8b9007d,0xffffffff,
    0x81ffffff,0x1f701ffe,0x27c407d0,0x2aaaab7a,0x2aaaaaaa,0x7dc013a2,
    0x4007d000,0x40000079,0x005c807a,0x3e2e407e,0x405f1b22,0x005fe8be,
    0xf06c8b90,0x17f6c005,0x77a8f300,0x37a06b8d,0xaaaaaaaa,0x27e6005d,
    0x07d0006d,0xd0007fc4,0x06c1d807,0x1f307a00,0x3e604fa8,0x0007a804,
    0x3d800f50,0xe800fa00,0x2002f883,0x7dd54c5d,0x4000aaac,0x1f400079,
    0x4ccc2e40,0x999ce999,0x03fd0099,0x81741fc4,0x005c85e8,0x3a003dc0,
    0x4007d003,0x40000079,0x005c807a,0x322e407e,0x02f85f16,0x3befbb3a,
    0x742e4002,0x26002f83,0x07c4005f,0x5c87e2b9,0x3fffffa0,0x805fffff,
    0x9affd999,0x00fa0009,0x03e80039,0x2001607c,0xf707cc3c,0x800fb807,
    0x2aa2007a,0x007a9aac,0x07d001ec,0x03d41f40,0xfffd1ea0,0x005fffff,
    0x999fb995,0x0fa00599,0x3e801720,0x6c01f400,0x41ba0085,0x360000fa,
    0x802dc004,0x01e6003e,0x07a80040,0x07e005c8,0x2e7e22e4,0x3fa02f87,
    0x800bf625,0x7c0fa85c,0x0bfba002,0xd1fc3f00,0x07d026c7,0xeec80b90,
    0xeeeeefee,0x0007d001,0x1e807d00,0x0b60006c,0x00bf61f3,0x03e40172,
    0x777ffecc,0x6c007fff,0x800fa003,0x4005c83e,0x017200f8,0x33f732a0,
    0xd001cccc,0x400b9007,0x01f4003e,0x1db002e4,0xd0002f40,0xffffffff,
    0x00dfffff,0x079800fa,0xf5007980,0x7c00b900,0xdbb0b901,0x2f405f07,
    0xb9000fb8,0x005f1760,0x007ee3f2,0x641f32e8,0x03e80fa5,0x3e8005c8,
    0x000fa000,0x5900fa00,0x07c003b8,0x007ba7e6,0xfd1007dc,0x01dfa80f,
    0x3d800f71,0x4030fa00,0x4005c83e,0x016e01f8,0x8000f300,0x005c803e,
    0x07d000fa,0x3f200b90,0x801fcc00,0x2aab7a5a,0xaaaaaaaa,0x007d002a,
    0x7cc003cc,0xc807a800,0x6407e005,0xf80ff985,0x6d80fa02,0x3e60b900,
    0x3ea00be2,0x74003b61,0x3e798d73,0x3200fa02,0x003e8005,0x7cc00fa0,
    0x5c03e802,0x88503444,0x1ffff987,0x415dd100,0xaafbdfb9,0x54027cc0,
    0x001ec007,0xe807c47d,0x54006a83,0x0002e407,0x7d0001e6,0x7400b900,
    0x401f4003,0x01fb805c,0x7305df50,0x002e47fd,0x4007d000,0x0f980079,
    0x5b807a80,0x3201f300,0x0be05505,0x0be203e8,0x26c81720,0x21fc402f,
    0x29b005e8,0x03f2f84d,0x02e401f4,0x37f3332e,0xd001cccc,0x009f5007,
    0x81f300fa,0x2e16c2d9,0x3f95f985,0x3bff6200,0xfff52fff,0xa800fb87,
    0x001ec007,0xf80fc47d,0x2000f982,0x0026c06c,0xd0001e60,0x400b9007,
    0x01f4003e,0x0bea02e4,0xddffb100,0xfa819fff,0x7d000000,0x4003cc00,
    0x06c800f9,0x0f700798,0x17c002e4,0x06c807d0,0x4fe205c8,0x882f402f,
    0xf8dc803f,0x00f8cd82,0x017200fa,0x5bf55553,0x3a001555,0x001fdc03,
    0x30b9007d,0xf9839bd9,0x3f20f980,0x2aea6001,0x5c81e880,0xd800f900,
    0xf88fa003,0xbb01f881,0xf00be600,0x0f980005,0x10136000,0x01f400bd,
    0x17200fa0,0x40003f98,0x74009bfb,0x7d000005,0x0007cc00,0x13a003e6,
    0x2f401fc0,0x5f000b90,0x3e201f40,0x2e02e401,0x3b202f8f,0x7007ea00,
    0x3d701f5d,0xc803e80f,0x003e8005,0x2fc80fa0,0xe801f400,0x302e8002,
    0x000fd81f,0x7dc0ee00,0x01ffa200,0x1f4007b0,0x40f707f1,0x274404f8,
    0xb1003ea0,0x0c01fc40,0x3fea07c8,0x00072005,0x20b9007d,0x01e604f9,
    0x3f980076,0x3a00b500,0x00fe2003,0x200df886,0x3f7000fc,0xb9007e40,
    0x7405f000,0x6405d803,0x02fce805,0x1f9003f5,0x882e7d40,0x01f407bf,
    0x1f4002e4,0x5c07d000,0x003e8001,0x3a6009f3,0x3603e604,0x9500000f,
    0x415dd114,0xaafbdfb9,0x4403d800,0xf52adfaa,0x2601fdc7,0x6fdc41ef,
    0x5c01f400,0x205fe406,0xf880feb9,0x99f9510c,0x0000015d,0x217200fa,
    0x03cc04e8,0x77d40034,0x03feb982,0xfc8007d0,0x07f5cc0b,0x64c15fd1,
    0x5fe4002f,0x440bf660,0x201aaeda,0x222cfaaa,0x00aadfaa,0x544155f5,
    0xf301aaed,0xadfb885f,0x5bf55102,0xe80ffe60,0x5bf5306f,0x15db5301,
    0x6fd55440,0x2aaa01aa,0xaaaadeaa,0x01f40001,0x1013db10,0x0f9805f9,
    0x00001db0,0xfb113bb2,0x2a5fffdf,0x2aa63fff,0xaaadeaaa,0xffff90aa,
    0x3ffea3ff,0xffb1004f,0xa807fffd,0xaaaaabfe,0xb803fbaa,0xcefffefe,
    0x3fbfea00,0x29ff91ef,0xaaaaaaa8,0x42aaaaaa,0x880adfa9,0x3fa0aeda,
    0xaaaaaaab,0xcadb807c,0xdffb1003,0x3019fffd,0x5bd55555,0x64015555,
    0xcffffeff,0xffdff700,0x3ee0003d,0x201effef,0x06fffffb,0x3ffffff3,
    0x3fffffea,0xa93ffe04,0x207fffff,0x7ffdc2fc,0xfffb81ff,0x1ff881ff,
    0x7f417f20,0x7f445fff,0x3ee05fff,0x0fffffff,0xffffff98,0x005fffff,
    0xbd555553,0x40155555,0xefedefea,0x3f2a600c,0x155df500,0xa9800000,
    0x3fa000ab,0xffffffff,0xa8003fff,0xb988001b,0xfff8801a,0xffffffff,
    0x55c4003e,0x55d44001,0xffffc800,0xffffffff,0xffff10ff,0xffff70bf,
    0x3ffffe67,0x07ffffff,0x20005930,0x74009ba9,0xffffffff,0x4403ffff,
    0x20009aba,0x00001ab9,0x00003573,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f400000,0xffffffff,0x53003fff,0x3ff60013,0xffff980f,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33260000,0x1bcccccc,0xcccccc80,0x64c00ccc,0x66444ccc,0xcc980ccc,
    0x1bcccccc,0x33332a00,0x440004cc,0xccccccca,0x32e2cccc,0x1ccccccc,
    0xca801000,0xcccccccc,0x930ccccc,0x99999999,0x41999999,0xcccccccb,
    0x776c401c,0x09ddd702,0x99999997,0xccc98039,0x01bccccc,0x6666665c,
    0xccc801cc,0x2bcccccc,0x33332e20,0x99002ccc,0x99999999,0x65459999,
    0x9103cccc,0x26199999,0xcccccccc,0x21cccccc,0xccccccc9,0x99001bcc,
    0x99999999,0x66664459,0x79999303,0x3333332a,0xcccccccc,0x99999930,
    0x40057999,0x00001cda,0x40005400,0x7764c009,0xefeccccc,0x33f73201,
    0x4c00cccc,0x6444cdfc,0xc980ceec,0xecccccee,0xcca801ef,0x002fdfcc,
    0xfbbdff90,0x9d999999,0x66fe665c,0x2e2001cc,0xed84cefe,0xcdfccccc,
    0x931fcccc,0x99999dd9,0x41f99999,0xccdfcccb,0x3fcb801c,0x70bd9930,
    0x999bf999,0xcfdc9803,0x2ffecccc,0x9bf99970,0x03be6399,0x9999fb99,
    0xd305dfd9,0xbddddddd,0x33f73200,0xccccccfd,0x33bb2a4e,0xf999303c,
    0x3f32619b,0xcccccccd,0x33262fcc,0xfdccccdf,0x66fc00df,0xeccccccc,
    0x133fb224,0xd9efee4c,0xdfccccce,0x31fccccc,0x9999bf99,0x9805dff9,
    0x26006fff,0x7d00b901,0x0bfb2a00,0xf9102e40,0x0006b807,0x02e401f4,
    0x7f9102e4,0x5d9f8800,0x057f4400,0x813201f3,0x3ba0003e,0x4d81ec9b,
    0x207e07d0,0x01f1004d,0x7d0001f4,0x7d00b900,0x881ae000,0x03e804fb,
    0x1ae05ff7,0x00005f90,0x03e6d500,0x0035c26c,0x03e803e6,0x40fa05f0,
    0x3e00feb8,0x4c17cc02,0x6c5d802f,0x07e07d04,0x1fc980ba,0x03fffee0,
    0xeffffeb8,0x7d003f91,0x016c6a00,0x1fa805c8,0xd0001ae0,0x900b9007,
    0x003f500b,0x000fab5c,0x1f301dd1,0x03e81320,0x6c00f500,0x07e07d04,
    0x07c40136,0x740007d0,0xe805c803,0x00d70003,0x03e805f3,0x806b81ee,
    0x000000fc,0xb00f9a6c,0x4003f109,0x801f405c,0x8807d02f,0xd00be05f,
    0x7007dc09,0x7d04d81f,0x00ba07e0,0xfff881fa,0x157fd105,0x03fdfd93,
    0x36000fa0,0x200b9002,0x3bbee05d,0x400bceee,0x805c803e,0x00bb005c,
    0x2007f1f4,0x01f300fb,0x003e8132,0x26c009b0,0xb03f03e8,0x803e2009,
    0x0fa0003e,0x0fa01720,0xc8035c00,0x9901f406,0x7c4035c0,0x7c000003,
    0x13601f32,0x2f88026c,0x2f801f40,0x1f7007d0,0x0ec80be0,0x3f882f40,
    0x207d04d8,0x9802e81f,0x40ae201f,0x3f600df8,0x000fa006,0x02e400b6,
    0x9f702f88,0x7fdb9999,0x2e401f40,0xf8802e40,0x320f9802,0x4c09d006,
    0x7409900f,0x009b0003,0xf03e826c,0x2c009b03,0xe8000fa0,0xe805c803,
    0x00d70003,0x03e80fa2,0x035c01d3,0x777545d8,0xf98002ee,0x13201f30,
    0x3d4007d4,0x0c801f40,0x3f1007d0,0x0fd40be0,0x36c17cc0,0x207d04d8,
    0x8802e81f,0x1b60001f,0x005f7f90,0x0b6000fa,0xb9002e40,0x7f701ae0,
    0x17200fa0,0x5c801720,0x0fc45c80,0xf9803e60,0x3a008820,0x00f50003,
    0xd03e81dc,0x05509b01,0x06cc7d00,0x5c803e80,0x01a83e80,0x0d70035c,
    0xb80101f4,0xc989b006,0x8003fccc,0x2083e66b,0x200be008,0xa83e804e,
    0x200fa001,0x2202a07a,0x83ee003f,0x209900fa,0x5d03f03e,0x4000f700,
    0x4bee01fa,0x007d007b,0x172005b0,0x0d706b80,0x07d03f90,0x0b900b90,
    0x17c035c0,0x01ea0274,0x801e61f3,0x0fa0003e,0x000fa000,0x000b909b,
    0x00bfb17d,0x02e401f4,0x07fee1f4,0x1e6006b8,0x2e0003e8,0x802f8806,
    0x24d8003d,0x400f30f9,0x00fc406c,0x0026c1f4,0x04e9807d,0xe8006d80,
    0x00407f14,0x1740207d,0x8000fea0,0x88bee06b,0x003e801f,0x2aa602d8,
    0x02aaaaed,0x201ae0f3,0xaade83f8,0x5daaaaaa,0x55db5530,0x01e60555,
    0x901ee0f5,0xcabf980b,0x007d000f,0x00007dc0,0x5bb000fa,0x000bb555,
    0x8003dfdd,0x805c803e,0x017fdc3e,0x07c400d7,0x2e0003e8,0x80374406,
    0x21f8003d,0x007cabf9,0x06c807e2,0xd55559d0,0x881f4009,0x5c000efb,
    0xaf98000f,0x0fa0006c,0x55559d00,0x0007fd97,0x05f704d8,0x3fffee5f,
    0xffffffff,0x405b00ff,0xfffffffe,0x80f981ff,0xd0bb006b,0xffffffff,
    0x3ffa0bff,0x1fffffff,0x13600f98,0x09b017c4,0x0fffff98,0x10007d00,
    0x8330bdfb,0xefeeeed8,0x3604eeee,0x05ffffff,0x001ffd40,0x05c803e8,
    0x01e443e8,0x1f8801ae,0x5c0007d0,0x0efba886,0xa8007b00,0x3ffffcc7,
    0x3f813600,0xfffffd00,0x66f4009f,0x03fffdcc,0x0002f980,0x80007ff2,
    0x7ff4003e,0x2fffffff,0x206f76c0,0xd03fb84d,0x2aaaaa27,0xaaaaadfa,
    0x6400b602,0x5c1e6005,0x7d09d006,0xb900b900,0xf103cc00,0xb902ec03,
    0x0f30f980,0x7c001f40,0x3e22f88d,0x5555540f,0x02aaaadf,0x40172136,
    0x0003ffd9,0x0bd10136,0x2e0007d0,0x403e2006,0x3ee0003e,0x3fffffff,
    0x2001ec00,0x7987cc5c,0xfa83d400,0x9b07d000,0x6666f400,0xd0000ffc,
    0x09f0000b,0x4003e800,0xbf75302e,0x09fff301,0x103fa8b9,0x007d003f,
    0x3bbbfbb2,0xa8017202,0xf300d706,0xb9007d05,0x5400b900,0x3333ee06,
    0x00fdcccc,0x10f980d7,0x401f4009,0x0eb8f519,0x01f400f7,0x01721360,
    0x00fa77f2,0xa81ea066,0x03e805ff,0x0035c198,0x401f40f3,0xaaafb819,
    0x7b00019a,0xcccee800,0x000910fd,0x400bb05f,0x2004d83e,0x00ef983e,
    0x00007e40,0x3a0001f4,0x40174003,0xeffb86d8,0x7f50fa80,0x74007d40,
    0x33331003,0x005c8033,0x2035c132,0x007d05f9,0x00b900b9,0xdddd0264,
    0x7fdddddd,0x1f301e60,0x200fa000,0x29d09b5c,0x00fa003e,0x801109b0,
    0x200fa2eb,0x2219f05c,0x02eccfca,0x22e401f4,0x816e006b,0xb85c803e,
    0x1ec00006,0xddddf100,0xc80001fd,0xd000fc45,0x20101107,0x01db103e,
    0x0d807e60,0x80007d00,0x0174003e,0x7ff41f88,0x0feb3a02,0x7d004f88,
    0x5c800000,0x75c0ba00,0xfdb99999,0x9007d00d,0x400b900b,0x001f302e,
    0x80be20d7,0xe80200f9,0x07d5c803,0x4001f7f3,0x026c003e,0x9007d000,
    0x3fbfea0b,0x05ff91ef,0x22e401f4,0x8136006b,0xb85c803e,0x1ec00006,
    0x1f30d500,0x07cc00c0,0x03e800d7,0x00fa0f30,0x09f100dd,0x07d001f8,
    0x4003e800,0x8936002e,0x7fcc05ff,0x801b6203,0x80b8803e,0x40172039,
    0xfff700fb,0x803dffff,0x805c803e,0x01f7005c,0x0fc40172,0x03e606c8,
    0x007d01f8,0x7e41b6b9,0x001f4005,0xe8000136,0x2205c803,0x06740aba,
    0x17200fa0,0x07ea00d7,0x85c803e8,0x6c00006b,0x26136003,0x2007e00f,
    0xd000fa3e,0x203e6007,0x01fc403e,0x007e01b6,0x3a0001f4,0x00174003,
    0x007fdc9b,0x8873bfea,0x3a000efa,0xf83fd803,0x500b902f,0x4cf5c05f,
    0x0fa00099,0x17201720,0x2f80bea0,0x4e813600,0x17c01f30,0x75c803e8,
    0x007f703f,0x26c003e8,0x007d0000,0x1a2000b9,0x2e401f40,0x0fe601ae,
    0x0b9007d0,0xd80000d7,0x260be003,0x200be00f,0x8001f36b,0x01f3003e,
    0x01f5007d,0x07e007ea,0x20001f40,0x0174003e,0x13f62f88,0xffb19f50,
    0x0007ffff,0x03d7007d,0x017201d9,0x06b805f5,0x6401f400,0x5405c805,
    0x001e602f,0x06fcc0f5,0x02f803e6,0x74b9007d,0x2ff7ee3e,0x8007d002,
    0x3a00004d,0x0005c803,0x00fa00d1,0x980d7172,0x803e804e,0x0006b85c,
    0xf9801ec0,0x3e00f980,0x5c9f8802,0x3003e800,0x2007d01f,0x003f885e,
    0x00fa003f,0xe8007d00,0x7c6e8802,0x2227c406,0x20001aba,0x1000001c,
    0x55555db5,0x54c07ff9,0x02aaaafc,0x81adfaa8,0x881aedaa,0xaaaaaeda,
    0xb5103ffc,0x5540355d,0xfb102cfb,0x557f759b,0x265f5555,0xaaadfaaa,
    0x25daaaaa,0xb3ffffd8,0x555301ff,0x540555bf,0x1aaaadea,0x9f555300,
    0x55555555,0x6ec000bb,0xf55534eb,0x5555555b,0x57ed4bb5,0x4ffcaaaa,
    0x5bf55530,0xb5555555,0x557e54cb,0xaa9802aa,0xaaadeaaa,0x5fb510aa,
    0x2afeea21,0x02faaaaa,0x2005fbb0,0xaaacfaa8,0xfcaaaaaa,0x559f5510,
    0x915fcc01,0x5555555f,0x2603f555,0xaaadeaaa,0x7d554c00,0xa880aaad,
    0xaaaaacfa,0x4c0efdba,0x00001800,0x20000000,0xfffffffb,0x7fc00adf,
    0x1fffffff,0x3ffffe20,0x7ffffcc7,0xfffffb86,0x200adfff,0x06fffffb,
    0x3ffffff3,0x7ffee540,0xffffffff,0xffffffb2,0xffffffff,0x0015730b,
    0x7ffffff4,0xfff983ff,0x006fffff,0xfffffffd,0xbfffffff,0x22ca8000,
    0xfffffffd,0x5fffffff,0xfffffff5,0x7ec017bf,0xffffffff,0x3e5fffff,
    0xffffffff,0x7ffff401,0xffffffff,0x25ffff73,0xfffffffc,0x5002ffff,
    0x7fd400ff,0xffffffff,0xf50fffff,0x809fffff,0xfff91ffc,0xffffffff,
    0xffff103f,0x40bfffff,0xfffffff8,0xfffb84ff,0xffffffff,0x0000002d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x351a8000,
    0x36200000,0x004c0003,0x00331001,0x20000980,0x08800098,0x00000440,
    0x02620020,0x8000cc00,0xdb002201,0x75c01bdd,0x00002eee,0x01100880,
    0x2004c400,0xd902eee9,0xddd509dd,0xbdddb07d,0x04981641,0x3bbbbb60,
    0xeeeeed83,0xb501c802,0xddb02000,0xdddddddd,0xddddd507,0xeeed9805,
    0xbdddb13e,0x07700003,0x1a980c88,0x1000d440,0xd3000000,0x0033f25f,
    0x00ff5000,0xbffffd70,0x6dc43c83,0x00cffffe,0xbffffd70,0xfff91003,
    0xfb001bff,0xffd887df,0x2eed881e,0x2e9ddd70,0xffffb304,0x2e20ea9f,
    0xb9effffd,0xfffeb882,0x03bff624,0x005e7f5c,0x4c39fb93,0x3220eeee,
    0x3baa2dfe,0x30effe8c,0x32019ffd,0xfffd52ee,0x3f32205d,0x0bd99503,
    0x7039dfb3,0x7e417ff9,0x800ef882,0x81cceeca,0x01cdfccb,0x3ea03fa2,
    0xa8081d94,0x33337a1f,0x83fdcccc,0x03fcccc9,0x0e6fe644,0x50079ff9,
    0x104f9809,0xcbee98dd,0x6deec42e,0x003e801e,0x1bfb1000,0x0003fea8,
    0x8800ae20,0xda98abfd,0x9df13a3f,0x1dd95135,0x455fec40,0x2a03fda9,
    0xea989bef,0x22bba03f,0x26bba2fb,0x3fcb81fe,0x3abd9930,0x89acfc83,
    0x4c5efeb9,0xdb98acff,0x9bfc84ff,0x55dd3fc8,0x01ea03fd,0x99910f50,
    0x26fbea3f,0xfdd933fb,0x9f5db33b,0x32a09d53,0xa8acfcbf,0x01f403fd,
    0x03f902e4,0x3fd80fe4,0x5000ef98,0x00f7001f,0xbf703fd1,0x7ed47744,
    0x744fa9cf,0x8013e203,0x30be003e,0x35c001dd,0x3a227d40,0x3e20d40e,
    0x80d30f60,0x00001ffd,0x7007bf22,0x000005ff,0xa803ba00,0x4001facf,
    0x03ba05f8,0x3f983fa8,0x7dc17dc0,0x435c7cc0,0x200fa06d,0x7e40fffc,
    0x362ff401,0x0027d406,0x0bb0fbf7,0x206a07e2,0x5cfc405c,0x7e41984f,
    0x2a27fc46,0x80fff407,0x00fa00fb,0x05f70172,0x4fd803f9,0xd001efa8,
    0x8809d007,0x86fc82fe,0xeb9dffe8,0x102e84ff,0x03e800bd,0x05f98be0,
    0xf5006b80,0x8003ba29,0x81740a2e,0x000fc9fb,0x002efb80,0x0007bf22,
    0x00ec8000,0x0004ffa8,0x003b20f7,0x04e887ea,0x1fc41f70,0xf881fed8,
    0xd9007d01,0x1003f303,0xe803f8bf,0x41ffc003,0x985d01f8,0x4403e86f,
    0x32002fef,0x5f05e80e,0xf100ff40,0x6401f407,0x362fb805,0x5fe8800e,
    0xb801ffb8,0x3007cc06,0x1df907ff,0x3ea03b60,0x01ba0082,0x2f800fa0,
    0x2e0009f7,0x3b3ea006,0x0d71000e,0x5f301f10,0xd500036c,0x6440007f,
    0x000001df,0xdb0017c4,0x443d4000,0xb976002f,0xf51f4007,0x9b037cc0,
    0x17200fa0,0x897002ec,0x004400fc,0x26c03fa0,0x0ff644d8,0x3ff1007e,
    0x9b05c800,0x03e80be0,0x00fa05d8,0x5fdc0172,0x3a2000ed,0x02ffc85f,
    0x0bb017c4,0x7ec27fcc,0x405f100f,0x03b6004e,0xf800fa00,0xdd003fca,
    0x6d45ae17,0x01ff700f,0x801fff30,0x44f882e8,0x74c005e8,0x300000cf,
    0x000019fb,0xf5001ea0,0xaacaa880,0x007a87a9,0x8009b3d4,0x9f01ae5b,
    0x03e82dc0,0x005f05c8,0x1acee880,0x9aba8800,0x5c16e05e,0xf31f5fc6,
    0x001f8801,0x209b05c8,0x200fa02f,0x200fa05c,0x3fee005c,0xeff98000,
    0x2017fe40,0x203f106c,0x7ec44ffa,0x501ea01f,0x003f200f,0xff001f40,
    0x93001dff,0xffbfddff,0x3fba205b,0x03b26004,0x05e8174c,0xfb1007f3,
    0x2000001b,0x7fe43fea,0xffffffff,0x0b90ffff,0xd980f880,0xfffeefff,
    0x44005c87,0xfffffd0f,0xffffffff,0x3fe02e4d,0x6fffffff,0x0b9007d0,
    0x200003f1,0x2dffffdb,0x3fbffae0,0xffffffff,0x21f306ff,0x1ae6b8f9,
    0x20007e20,0x3e09b05c,0x3200fa02,0x3200fa05,0x7fdb1005,0x1dfd1000,
    0x4404ffb8,0x2e06c81f,0x77f443ff,0xf1017200,0x001fb801,0xef800fa0,
    0x2002fe98,0x402dffc9,0x04fa8ee8,0x0f5426c0,0x3ee00fc8,0x007fee01,
    0x77dc0000,0x55555511,0x55555555,0x3e2002e4,0x880efd41,0x4005c87b,
    0x555bd1f8,0x55555555,0x3a026455,0xaaaaaaad,0xb9007d02,0x00001f30,
    0x1bfd9510,0x1056ff44,0x555555bd,0x5c8fc055,0x201323f1,0x5c8001f8,
    0x80be09b0,0x205c803e,0x805c803e,0x03fa8ee8,0x503bfa20,0x176007ff,
    0xffb805f1,0x8077f442,0x01b200f9,0xe80005f5,0xf90be003,0x2f7dc007,
    0xfa83ba20,0xd916e004,0x2007e601,0x177dc06c,0x3ee00000,0x5400002e,
    0x263d4006,0xa87a804f,0xb93d4006,0x405b8000,0x07d0005f,0x007e0b90,
    0x97e20000,0x017a00fb,0x6c5f3e80,0x3f1005d4,0x360b9000,0x1f405f04,
    0x07d02e40,0xee880b90,0x6c00fea0,0x17fd40ef,0x3dc1f300,0x442ffa80,
    0x813e05fe,0x00fe603f,0xf800fa00,0x9800fb82,0xd103f9af,0x449f501d,
    0xd887c40a,0x80020984,0x1dfc8800,0x7f540000,0xf3000003,0x2e364001,
    0x987a800f,0xa9b2000f,0x1ea0000f,0xd0007f88,0x3a0b9007,0x00660003,
    0x405c87dc,0x3720006e,0x3e3ae0f9,0x001f8801,0x209b05c8,0x200fa02f,
    0x1013605c,0x077440bd,0x3f6027cc,0x002ff985,0x800fa4e8,0x5fd81ff9,
    0x6cc17f90,0x409f301f,0x007d0079,0x404e817c,0x207ee5e8,0x87ea00ec,
    0x22edcefc,0xfeeeeefc,0x98000003,0x40000cfd,0x0000cfe9,0x9802ec00,
    0xc802e42f,0x2600bb07,0x0002f42f,0x3fb205f1,0x404d8001,0x01f705e8,
    0x005d8540,0x881aa3f3,0xf50001ff,0x07bf88b9,0x90003f10,0x17c1360b,
    0x0b9007d0,0xbff503e4,0xf3017a20,0x2213f209,0xf50001ff,0xf30003ea,
    0xa89fb01f,0xefedffdf,0x027440ee,0x01f401e6,0x07ea05f0,0x036c0ec8,
    0x02a60100,0x26666662,0x00000009,0x2000ffaa,0x0000dfd8,0x27c40026,
    0x3ee13a20,0x41ffa200,0x274404f8,0x5a801fcc,0x64fc435c,0x1f20b506,
    0x3a05ffa8,0x8fec400d,0x27e801fd,0xffe882f8,0x7c40b706,0x005fd82f,
    0xb90003f1,0x017c1360,0x40b9007d,0xf9510cf8,0x75415d99,0xca980abf,
    0x213ee1df,0x40001ee8,0x30004ecf,0x27f901dd,0x46f6a4fa,0x55ff46e8,
    0x7caaaaaa,0x7555554c,0x20aaaaad,0xe80acfaa,0x881b81ae,0x00000004,
    0x00000000,0x8802ffb8,0x40001efc,0x3e6006fa,0x06fdc41e,0x73057744,
    0x8155f7bf,0x7dc41ef9,0x05df500d,0xbd07fd73,0x0ce8fa61,0x3e207fb1,
    0x99f9510c,0x2bfa205d,0xb17fdcc0,0xfb3037ff,0x3a62fb83,0xb31decee,
    0x80ff807f,0x266604fa,0xaaaaabfa,0x0aeda881,0x33e056ec,0x056fd4c2,
    0x80576d44,0x1effeffa,0x3fe69ff9,0xffe84fff,0x540f66ff,0xfb80000e,
    0x3a20001f,0x00eeb702,0xfff986c4,0xffffffff,0x7fffff47,0x3fffffff,
    0x0bfffff5,0x0000dff5,0x00000000,0x20000000,0xf701efc8,0x2600005d,
    0x7ec4006f,0x403fffef,0xfffeffd8,0x107fff52,0x7fffdffb,0xddffb100,
    0x22019fff,0x74c5fefe,0x5401dfef,0x91effeff,0x7fe405ff,0x40bfffef,
    0xeeffeabb,0xff701dff,0xf35b1bfd,0x0001dfdf,0xffff8800,0x6fffffff,
    0x43ffffb8,0x7ffc2ffd,0xbfffff11,0x07ffff70,0x00055d44,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb100000,
    0x00ffa61b,0x80002000,0x4001ab98,0x0000aba9,0x0006ae62,0x0004dd4c,
    0x054c0173,0x01575100,0x55d4c400,0x2aea6001,0x0375000a,0x000005d4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66cf6600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1ccca800,
    0xb883332e,0x5400bdec,0x2600cded,0xfffb82cc,0xffffffff,0x2a1fffff,
    0xbbbbbbbb,0x81bbbbbb,0xc9800409,0x2666000c,0x99999999,0x00000099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb17ffe40,
    0x676c1fff,0xfb00fdba,0x985ff97d,0x445ffffe,0xaaaaaaaa,0xfaaaaaaa,
    0xfffffd31,0xffffffff,0x27ff44bf,0xedfb80bb,0x7fc3502f,0xffffffff,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07ffdc00,0x3600fff9,0xfc81fc83,0xb317ff10,0x7c00009f,0xfb800001,
    0x1dd30fff,0x27dc5f70,0xdddd8bea,0xdddddddd,0x0000003d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ee3ffcc,0xaaaa886f,
    0xf103f84d,0x1fe13ea9,0x001f8000,0x7fffa800,0x0ba07744,0x0ff2b7e6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x51bfe200,0xeffc8bff,0x07cc4fee,0x207f2b90,0xf00000fc,0x32000003,
    0x03fb02ef,0x0077f620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7c45ff80,0x902bea4f,0x3602f889,0x1fd07f74,
    0x447e0000,0xcccccccc,0x3ccccccc,0x00037000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09fd0000,0xd81f47ff,
    0x5f305e84,0x5fb87be6,0x447e0000,0xdddddddd,0x4ddddddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x741fec00,0xe983721f,0x8efcc0df,0x7fdc5eb8,0x0000fffe,0x000007e0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6407dc00,0x3fbf620f,0x4c2ffdad,0x104ffffe,0x0001bff7,
    0x00000d80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00802000,0xa9800151,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_37_latin_ext_x[560]={ 0,7,4,2,3,2,4,7,9,4,0,2,4,2,
7,3,3,3,2,3,3,3,4,3,3,4,7,4,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,1,1,3,
2,3,2,0,1,2,0,2,2,3,2,1,0,0,1,2,3,0,9,0,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,3,1,3,1,
9,2,5,0,0,0,0,2,0,-1,5,2,5,5,7,1,2,7,7,5,4,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,2,2,2,2,2,2,2,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,1,
2,1,2,1,2,1,1,1,1,0,3,2,3,2,3,2,3,3,3,2,0,0,2,2,1,3,2,2,2,2,
2,2,2,2,2,1,2,0,1,0,1,0,1,0,2,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
2,3,2,3,2,3,2,3,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,3,3,3,3,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,3,2,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_37_latin_ext_y[560]={ 27,6,7,5,5,6,9,6,6,6,6,9,22,16,
23,4,6,6,6,6,6,6,6,6,6,6,13,13,9,14,9,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,4,6,6,34,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,8,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,5,7,10,8,
6,6,7,7,6,13,17,16,7,4,3,7,6,6,5,13,6,14,26,6,6,13,6,6,6,12,1,1,1,3,
3,1,8,7,1,1,1,3,1,1,1,3,8,3,1,1,1,3,3,12,7,1,1,1,3,1,8,6,5,5,
6,7,7,5,12,12,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,10,11,5,5,6,7,5,6,7,
4,8,2,6,8,12,1,5,1,6,2,7,2,6,2,6,8,6,4,8,2,6,2,7,8,12,2,6,1,6,
2,6,2,7,7,5,1,1,8,6,3,7,4,8,2,6,8,6,2,13,8,6,1,6,8,6,13,1,0,8,
6,8,6,8,6,8,6,1,5,8,12,2,6,6,7,12,4,8,2,6,1,5,8,12,1,5,8,12,2,6,
1,5,1,6,7,12,2,6,8,8,2,6,8,8,3,7,4,8,2,6,1,5,1,5,8,13,1,6,1,6,
3,1,5,2,7,2,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,7,12,6,6,6,6,6,6,6,6,6,6,6,6,6,5,12,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,2,6,2,6,2,
6,2,6,1,4,1,1,1,2,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-1,1,5,1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_37_latin_ext_w[560]={ 0,5,12,15,13,15,13,5,7,7,13,16,8,15,
6,13,13,13,14,14,13,14,13,13,13,13,6,9,16,18,16,12,13,20,17,16,17,17,17,17,18,13,18,18,
16,20,19,17,16,17,19,15,16,18,20,19,18,17,14,6,13,6,13,20,6,16,18,16,18,16,15,18,18,14,
12,16,15,20,17,16,18,18,16,14,16,17,19,19,18,17,14,7,2,7,15,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,17,14,17,
2,16,10,20,11,16,18,15,20,22,10,16,9,9,6,17,16,6,6,9,11,17,20,20,20,12,20,20,20,20,
20,20,20,16,17,17,17,17,13,13,13,13,19,19,17,17,17,17,17,12,18,18,18,18,18,17,16,16,16,16,
16,16,16,16,20,16,16,16,16,16,15,15,15,15,16,17,16,16,16,16,16,16,17,17,17,17,17,17,18,17,
20,16,20,16,21,18,16,16,16,16,16,16,16,16,17,18,19,18,17,16,17,16,17,16,18,16,17,16,17,18,
17,18,17,18,17,18,18,18,18,19,13,15,13,15,13,15,13,14,13,15,20,17,18,13,18,16,16,16,15,16,
15,16,15,16,15,17,15,19,17,19,17,19,17,18,16,15,17,16,17,16,17,16,20,20,19,16,19,16,19,16,
15,14,15,14,15,14,15,14,16,16,16,16,16,17,18,17,18,17,18,17,18,17,18,17,18,18,19,19,17,17,
17,14,14,14,14,14,14,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,15,17,17,17,
17,17,17,17,17,17,17,17,17,17,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,19,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,16,13,15,17,
16,18,17,18,17,18,17,18,17,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,16,20,20,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_37_latin_ext_h[560]={ 0,22,10,25,26,22,19,11,26,26,13,17,10,3,
5,26,22,21,21,22,21,22,22,22,22,22,15,18,17,7,17,21,24,19,19,21,19,19,19,21,19,19,20,19,
19,19,19,21,19,24,19,21,19,20,19,19,19,19,19,26,26,26,10,2,6,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,20,15,14,15,14,21,14,26,26,26,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,22,20,14,19,
26,24,3,21,10,14,9,3,21,2,10,20,12,12,6,21,24,6,7,12,10,14,21,21,21,22,26,26,26,24,
24,26,19,26,26,26,26,24,26,26,26,24,19,24,27,27,27,25,25,12,22,27,27,27,25,26,19,22,23,23,
22,21,21,23,16,21,23,23,22,21,22,22,21,20,21,20,23,23,22,21,21,16,18,23,23,22,21,29,28,27,
23,20,25,22,24,20,27,23,27,22,26,21,26,22,25,22,19,22,23,20,25,22,25,21,24,20,25,22,27,28,
26,28,26,27,26,29,26,26,19,21,24,20,23,19,25,21,24,26,25,14,20,28,27,28,25,27,14,26,27,25,
27,19,21,19,21,19,21,26,22,25,21,25,21,21,21,22,24,20,26,22,27,23,19,16,26,22,25,21,25,21,
27,23,27,22,26,21,26,22,27,27,25,22,19,20,25,21,24,20,26,22,27,23,27,23,24,19,26,22,26,28,
24,26,22,25,20,25,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,25,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,16,21,21,21,21,21,21,21,21,21,21,21,21,21,23,16,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,25,22,25,21,26,
22,26,22,27,24,27,27,27,26,27,27,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,32,29,26,23,28,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_37_latin_ext_s[560]={ 511,192,1,237,289,432,136,505,193,201,445,
483,503,117,504,244,144,31,16,33,473,63,112,267,281,418,504,455,1,68,18,
265,88,77,437,386,239,349,167,166,38,489,315,374,119,353,393,45,274,395,367,
264,420,334,328,432,413,402,387,131,103,503,492,22,94,70,295,161,381,104,397,
106,465,1,114,37,413,251,272,87,1,191,234,178,298,290,345,214,308,429,397,
437,508,243,101,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,511,503,480,
144,382,471,416,120,500,16,14,365,49,117,484,43,38,198,482,472,503,347,468,
87,505,500,26,327,226,205,184,162,358,290,362,320,374,82,307,65,33,419,311,
485,51,329,117,74,57,137,345,363,381,42,149,459,126,399,418,437,253,340,21,
145,188,157,95,487,330,243,193,198,226,442,494,248,464,448,215,282,231,215,260,
459,331,278,295,35,465,332,407,210,312,58,95,456,205,73,21,78,15,54,474,
297,491,20,156,403,209,89,403,125,1,228,314,265,131,364,455,420,55,248,81,
1,327,127,303,164,138,1,226,22,379,343,452,453,1,90,174,291,292,365,341,
275,306,412,106,197,20,183,182,39,428,258,56,99,91,257,63,222,79,185,95,
383,71,435,111,272,129,147,247,348,413,127,398,54,123,425,98,121,173,491,473,
280,1,297,107,476,175,48,17,314,1,158,158,141,201,314,150,162,218,329,355,
180,321,173,72,350,191,368,449,203,269,247,251,146,431,228,18,116,233,167,1,
437,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,367,447,447,493,
447,447,447,447,447,447,447,447,447,447,447,447,447,347,52,447,447,447,447,447,
447,447,447,447,447,447,447,447,277,142,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,60,175,
421,381,210,37,445,400,253,102,290,309,215,464,234,272,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,1,41,482,386,76,37,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447, };
static unsigned short stb__courier_37_latin_ext_t[560]={ 1,163,268,89,34,140,230,186,62,62,250,
230,208,268,179,62,140,186,186,163,163,163,163,140,140,140,163,230,250,268,250,
163,115,230,230,163,230,230,230,186,230,208,208,208,230,208,208,186,230,89,230,
186,230,208,230,208,208,230,230,62,62,34,250,31,268,250,140,250,140,250,186,
140,186,208,1,208,186,250,250,250,140,140,250,250,208,250,250,250,250,186,250,
34,1,34,268,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,1,89,140,
208,250,208,34,115,243,208,268,250,268,268,186,31,268,208,250,250,219,186,89,
268,198,230,268,250,186,186,186,163,34,62,62,89,89,62,230,62,62,34,62,
89,62,62,62,115,230,115,1,1,1,89,89,250,163,1,1,1,89,34,230,
163,115,115,163,163,163,115,250,163,115,115,140,163,140,140,163,208,163,208,115,
115,140,163,163,250,230,115,115,140,163,1,1,1,115,208,89,163,115,208,1,
115,1,140,62,163,62,140,62,140,230,140,115,208,89,140,62,163,115,208,89,
163,1,1,34,1,62,34,62,1,34,62,208,163,115,208,115,230,89,186,89,
62,89,250,208,1,34,1,89,34,250,62,34,89,34,230,186,230,186,230,186,
62,140,62,186,89,186,186,186,140,89,208,34,140,34,115,230,250,62,115,62,
186,89,186,34,115,34,163,62,186,62,140,34,34,89,140,230,208,89,186,89,
208,34,140,34,115,34,115,89,230,34,140,34,1,89,34,163,89,208,89,186,
163,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,163,186,186,62,
186,186,186,186,186,186,186,186,186,186,186,186,186,163,250,186,186,186,186,186,
186,186,186,186,186,186,186,186,115,250,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,89,163,
62,186,34,140,34,140,1,115,1,1,1,34,1,1,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,1,1,34,115,1,115,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186, };
static unsigned short stb__courier_37_latin_ext_a[560]={ 314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_37_latin_ext(stb_fontchar font[STB_FONT_courier_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_37_latin_ext_s[i] + stb__courier_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_37_latin_ext_t[i] + stb__courier_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_37_latin_ext_x[i];
            font[i].y0 = stb__courier_37_latin_ext_y[i];
            font[i].x1 = stb__courier_37_latin_ext_x[i] + stb__courier_37_latin_ext_w[i];
            font[i].y1 = stb__courier_37_latin_ext_y[i] + stb__courier_37_latin_ext_h[i];
            font[i].advance_int = (stb__courier_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_37_latin_ext_s[i] + stb__courier_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_37_latin_ext_t[i] + stb__courier_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_37_latin_ext_x[i] + stb__courier_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_37_latin_ext_y[i] + stb__courier_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_37_latin_ext_LINE_SPACING
#endif

