// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT        294
#define STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_38_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_38_latin_ext_LINE_SPACING          18

static unsigned int stb__courier_38_latin_ext_pixels[]={
    0x000d9800,0x00000000,0x00008800,0x18002e40,0x20066000,0x00026018,
    0x00100498,0x00130001,0x00000080,0x01004000,0x4ccccc40,0x32e00999,
    0x0000003c,0x01980002,0x00000000,0x00000000,0x00000000,0x4cccccc4,
    0x99999999,0x00000000,0x00000000,0x50006600,0x698000bf,0x05d80000,
    0x003ff500,0x000bf600,0x200037f2,0x80fe807f,0xf30006f9,0xa80f600b,
    0x0f7d4006,0x0007f000,0x9001f200,0x002ec41d,0xfffffff9,0x3bb620bf,
    0x50000006,0xff50001f,0x7d100007,0x3ea01f44,0x0003fa83,0x220007dc,
    0x6400003f,0x3ff22e45,0xffffffff,0x2005ffff,0xdc8005d8,0x1ee00000,
    0x90003e20,0x027dc00b,0x00017400,0x0003fd10,0x007f99f7,0x000ff440,
    0x07baffa2,0xfd00ff00,0x000df301,0x7d4009f5,0x2003f880,0x003fdbfc,
    0x0000bd30,0xc8002fd8,0x000de89f,0x06b80000,0x2fb80000,0x09ff7000,
    0x221dd000,0x2fe400ee,0x90002fe4,0x3ee0007f,0x3f900004,0x27720fe4,
    0x99dd9999,0x1005d999,0xd10003fd,0xfb00001d,0x003f1005,0x7f9005c8,
    0x01d30000,0x03ba2000,0x545fb100,0x74c000df,0x77d4000e,0xf800ff60,
    0x980fe807,0x1fe4006f,0x4cdf7400,0xfd1007eb,0x3002fdc3,0x00306f44,
    0x4003fd10,0x88ffea18,0x22008800,0x0006b800,0x187b60c0,0x006e4400,
    0xee83f600,0x880b8800,0x5fb0000b,0x05fa8000,0xf917e400,0x1720b905,
    0x774c02e4,0x3fa20000,0x3fb10001,0x0007e200,0x05f300b9,0x03ff2000,
    0x01bf3000,0xd303db00,0x00dc800b,0xfb827c40,0x50055001,0x00551015,
    0x880017d4,0x01effffd,0x9f301dd0,0x0c8bf500,0x744007f9,0x0ff4000e,
    0x403fc433,0x07f881fe,0x200006b8,0xfc8325fa,0x80000003,0x003f61fd,
    0xe8800000,0xf300001f,0x5f70001d,0x05c817dc,0x301720b9,0x200001bf,
    0x744002fd,0x07e2000e,0x0400b900,0x0ffc8000,0x00264000,0x00010010,
    0x80100011,0x00000000,0x00001000,0x08001331,0x7cc00440,0x800bea04,
    0xfc8000da,0x6c02f400,0x700dd00f,0x7cc0000d,0x000bea04,0x43d10000,
    0x000001e8,0x0006cc00,0x00076200,0x6405d0b6,0x1720b905,0x00000970,
    0x0da80097,0x35f53300,0x90333333,0x1bdd700b,0x00130000,0x00620000,
    0xeed80000,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1bca88d7,0x20000000,0x4c0abca8,0x20000019,0x22009999,
    0x00000999,0x00000000,0x2e417200,0x000005c8,0x00000000,0xfffffff7,
    0xc87fffff,0x0b52cc05,0x40000000,0x7440abb9,0x80266664,0x5c009998,
    0x4cc012e4,0x09999999,0x4cccccc4,0x26620999,0x4ccc4199,0x26666099,
    0x02666200,0x40abca88,0x32a20199,0x20ccc0ab,0x88099999,0x88019999,
    0x99801aca,0x99880999,0x4cccc199,0x99998809,0x3fa2d701,0x205ffeef,
    0x88099999,0xf7019999,0x269ffddf,0x26665fff,0x99988099,0x3fffee19,
    0xfffff307,0x04ccccc1,0x20ccccc4,0x88099999,0x88019999,0x03b801ba,
    0x100ea0b9,0x44000375,0xa88001ba,0x4cc00abb,0x99999afa,0x6405c819,
    0x44000742,0x4cc0abca,0x777fdc01,0x21db0cff,0x307ffffb,0x401fffff,
    0x3201a20d,0xffffffff,0x7ffff43f,0xf33fffff,0x7d4fffff,0xf75fffff,
    0x3e60ffff,0xfb80ffff,0xf34ffeef,0xdff70bff,0x3fe69ffd,0xfffff75f,
    0xfffff81f,0xdffd705f,0xb8ba5dff,0x40ffffff,0x75ffffff,0x81ffffff,
    0x85ffffff,0xa81ef9eb,0xffffb85f,0x7fffc0ff,0x41ff45ff,0x219fadfa,
    0x0ffffffb,0x2ffffffc,0x440139f3,0x3fee0de9,0x7fc0ffff,0xff75ffff,
    0xff81ffff,0xf505ffff,0x039ffdff,0x5000b900,0x39ffdfff,0x3bffea00,
    0x64401cff,0x8dffeeff,0x003f101f,0x125405c8,0xdff7000d,0x3fe69ffd,
    0x0bfd885f,0x07f7bea2,0x440139f3,0x1dc00de9,0x26660095,0x43e99999,
    0x99999998,0x266623e9,0x4ccccc7b,0x0273e65d,0xe80de988,0xfadfa83f,
    0xa83fe819,0x4c19fadf,0x988099ec,0xfd809dd9,0x7efe441b,0x04cf64c3,
    0x04eeccc4,0x10133d93,0x7013bb33,0x5e8809ff,0x8099ec98,0x209dd998,
    0x3fa200fc,0x133d9307,0x13bb3310,0x3f3006c8,0x0133d930,0x413bb331,
    0x88099ec9,0xb809dd99,0x0fecc1cf,0x70017200,0x1fd9839f,0x260e7dc0,
    0x5dd101fd,0x02ffeb98,0x5c8003f1,0x02ebde80,0x7d41ff40,0xdd019fad,
    0x81ff4403,0x03f3006c,0x01dbbd10,0x000fa000,0x807a80fa,0x9803645c,
    0x200fc81f,0x1f907fe8,0x903ff440,0xc82e400d,0x1ffcc00e,0x0b900364,
    0x05c801b2,0x7cc01bee,0x32006c82,0x4c017cc5,0x801b207f,0x005f105c,
    0x003640bb,0x801b20b9,0x805f905c,0x172000fc,0x6402fc80,0x805f900f,
    0x00ed80fc,0x7c40bfe2,0x802e4001,0x7e4000b9,0x81ffa200,0x7fc400fb,
    0xb005f105,0x0019800b,0x4001f400,0x201ea03e,0x4017c45c,0x802f985d,
    0x02f987f9,0x1b207f98,0x0fb85c80,0xd907f900,0x6c82e400,0xfb817200,
    0x32132001,0xd9172006,0xd903ec00,0xd902e400,0x3201f880,0x64172006,
    0x26172006,0x01d9002f,0x7cc01720,0x981d9002,0x81d9002f,0x02fb802f,
    0x5c8003f1,0x33333330,0x4017cc00,0x07f107f9,0x01f9ee88,0x01f880d9,
    0xe8000000,0x203e8003,0xc85c807a,0x640fc406,0x321f6006,0xc81f6006,
    0x3e172006,0x20fe2003,0x4172006c,0x8172006c,0x1aa000fb,0x45c801b2,
    0x81ee004d,0x8172006c,0x01b202f8,0x82e400d9,0x2172006c,0x13e2005e,
    0x5e802e40,0xbd13e200,0xf327c400,0x4407e001,0x42e4001f,0xfffffffb,
    0x400d9003,0xb00d907d,0x7c41761f,0x4401b202,0x001bccca,0xd0007d00,
    0x6403d407,0x3202f885,0x5c009b06,0x2e004d87,0xc801b207,0x4c003cc5,
    0x32006c80,0x6400d905,0x3001ee05,0x2006c81f,0x5001f45c,0x9003640f,
    0xf106c80b,0x2006c805,0x400d905c,0x000fd45c,0x02e401ae,0x2e000fd4,
    0x70007ea6,0x0800fc4d,0x90007e20,0x3a66660b,0x09b006cd,0x03e83dc0,
    0x40f50fdc,0x805f106c,0xfeeeffeb,0x3e80004f,0x2a03e800,0xd905c807,
    0x1f40be20,0x07d0f500,0x0d903d40,0x016e2e40,0x2006c800,0x400d905c,
    0x003ee05c,0x006c87a8,0x4009b172,0x801b207b,0x417c405c,0x006c806c,
    0x00364172,0x8006b8b9,0x05c800f8,0xf88006b8,0xf1000d70,0x40002f41,
    0x2e4001f8,0x0fccfc40,0xf5001f40,0x3f980be0,0x2f8807cc,0xacc806c8,
    0x0027dc40,0x3a000fa0,0x3201ea03,0xd905f105,0xf70026c0,0x3dc009b0,
    0x2e400d90,0xc8000136,0x64172006,0xb8172006,0x21b2001f,0x9172006c,
    0x903ec00d,0x402e400d,0x4017c46c,0x4172006c,0xb172006c,0x00be000b,
    0x01760172,0x005d97c0,0x0efcc5f0,0x003f1000,0x26b805c8,0x004d804e,
    0x407e21ee,0x405f05f8,0x0017c46c,0x0000fb80,0x0fa000fa,0x05c807a8,
    0x405f11b2,0x21f6006c,0x81f6006c,0xd172006c,0x36400007,0x1b20b900,
    0x3ee05c80,0x907f3006,0x262e400d,0x07f9802f,0x05c801b2,0x01b22f88,
    0x0b900364,0x45c801b2,0x07b0003e,0x07d00b90,0x01f4f600,0x7ec43d80,
    0x10009bde,0x05c8005f,0x201ee3e8,0x21f6006c,0x40dd00f9,0xc8be202f,
    0x17c00006,0x0007d000,0x403d407d,0xc8be205c,0x4017cc06,0x02f987f9,
    0x1b207f98,0x01f45c80,0x400d9000,0x400d905c,0x13fee05c,0x1b20bd10,
    0x0fc85c80,0xc81ffa20,0x40172006,0x2005f16c,0x4172006c,0xf172006c,
    0x01720005,0x00be0172,0x002fae40,0x32a20b90,0xe802effe,0x0b908805,
    0x0be21f98,0xf3005f30,0xf903f10f,0x9007e201,0x0000be2d,0x740005f0,
    0x203e8003,0x405c807a,0x9005f16c,0x3ff4401f,0x3a200fc8,0x801b207f,
    0x0001f45c,0x2e400d90,0x172006c8,0x81ee9eb8,0x0d900efa,0x3fe82e40,
    0x207adfa8,0x0172006c,0x003657c4,0x82e400d9,0xd172006c,0x20f60007,
    0xaaedaaa9,0x0003e82a,0x4000fa7b,0x3f26003d,0x20e7dc03,0x0b94fea9,
    0x805d86c8,0x3fa200fc,0x2fa85f07,0xf1003e60,0x75000d95,0x5f579bd9,
    0x001f4000,0x00f501f4,0xcaf880b9,0x20ffa006,0x3a07adfa,0x7adfa83f,
    0x5c801b20,0x90000274,0xc82e400d,0xb8172006,0xfddffd16,0x006c809f,
    0xeffb8172,0x40f34ffe,0x0172006c,0x2002fec8,0x4172006c,0xb172006c,
    0x20be000b,0xfffffffe,0x002ec0ff,0x000bb2f8,0x3ea000be,0x77ffdc02,
    0x1722dfff,0x01f507f0,0xbf507fd0,0xf98fa0f5,0xc803d403,0x3aa002fe,
    0xfedcceef,0x0fa0002f,0x5544fa00,0xaaaafcaa,0x76402e42,0x7fdc002f,
    0x0f34ffee,0xffeeffb8,0x035c0f34,0x006c8b90,0xc801ae00,0x6400d705,
    0x9511ae05,0x0d700157,0x2a202e40,0x81e609bc,0x0172006b,0x5c006f88,
    0x5c172006,0xd7172006,0x001f1000,0x40035c00,0x000d70f8,0x320001f1,
    0xabba8805,0x7d40b900,0x2e007f00,0x34ffeeff,0x2f45ee0f,0xf8802f40,
    0x073ee006,0x740005f0,0xf73e8003,0xffffffff,0x402e43ff,0x510006f8,
    0x03cc1379,0x304de544,0xd003d40f,0x0000fa89,0x27400f50,0x13a007a8,
    0x500006b8,0x0027400f,0x07a81e60,0xf88013a0,0x003d4002,0x801ea09d,
    0x000fd44e,0x004401ae,0x2e000fd4,0x70007ea6,0xf50005cd,0x32002200,
    0x6c817605,0x26f2a200,0x5fc41e60,0x0fd400ed,0x3002f880,0x00be00bf,
    0xe8003e80,0x05c80003,0x00002f88,0x30000f30,0x4007c40f,0x005e82f8,
    0x800f8808,0x01f102f8,0x35c05f10,0x00f88000,0x40002f88,0x003e207b,
    0x6c800be2,0x800f8800,0x01f102f8,0x0bb05f10,0x4c027c40,0x05d802ff,
    0x0bb13e20,0x07f27c40,0x7cc03d40,0x882e402f,0x007e602f,0xf703cc00,
    0x04e8803f,0xfb801b20,0x0005f000,0xf1000be2,0x09d00005,0x00000d90,
    0x5c0003dc,0x5c026c07,0x002f980f,0x4026c1b6,0x013600fb,0x06b803ee,
    0x20136000,0x6c0000fb,0x5c026c05,0x07f1000f,0x2e013600,0x2013600f,
    0x02f980fb,0x3ea00d90,0x02f9803f,0x05f30d90,0x00df1b20,0x7fd402ec,
    0xfa82e403,0xeeeeeeee,0xf700004f,0x100f7d40,0x3e2001fd,0x401b2003,
    0xf70002fb,0x00fb8003,0x2017cc00,0x000003f8,0x36000176,0x5017d405,
    0x01fdc07f,0x7d407fa2,0x500fea02,0x01fd405f,0xa80001ae,0x00fea02f,
    0xa805f900,0x00fea02f,0x2a0007c8,0x00fea02f,0x1fd405f5,0xfc807f90,
    0x003ea000,0x3f201fe4,0xc807f900,0x4027fc0f,0x1f5001fb,0x9bb05c80,
    0xb9999999,0x1760000f,0x05fee7c4,0x4001df71,0x17d4007c,0x005ffb10,
    0x3a001ba0,0x0fc80006,0x00003e40,0x80005f90,0xcfa802fc,0x2017ee60,
    0x2e60aefb,0x67d400ee,0x4017ee60,0x3ee60cfa,0x0006b805,0x73067d40,
    0x654000bf,0x19f5003f,0x1002fdcc,0xfa80007f,0x017ee60c,0xf73067d4,
    0x43bf700b,0x4001fda8,0x6fdc005c,0x007f6a21,0x6d443bf7,0x2efdf81f,
    0x2003fd98,0xf101005c,0x005f1003,0xe882fc80,0x3ffffee5,0x1fc4004f,
    0x305f7400,0x359f5dd7,0x03fd3100,0x007bf220,0x017f5c40,0x00000fe2,
    0x8000ff2a,0x2a003fca,0x03fffffe,0x3fbff660,0x3aa004ff,0x003fffff,
    0x7fffff54,0x3fffe203,0x80007fff,0x3fffffea,0xfffff300,0xea8005ff,
    0x203fffff,0xfffffffa,0xd50000ff,0x007fffff,0xfffffea8,0x3ffa6003,
    0x4001cefe,0xe98000f9,0x01cefeff,0xdfdffd30,0x36276039,0x1effefff,
    0x0003e600,0x176006b8,0x81fe5400,0x1ba980fb,0xfffffa80,0x1000ffff,
    0x9fffdffb,0xfb07fffc,0x01dfffff,0x3ffffffa,0x3ff6000d,0x7d41efff,
    0xffffffff,0x7ffcc000,0x3002ffff,0x5fffffff,0x26ea2000,0x57310000,
    0x5d440001,0x2a200009,0xaa98009b,0x0001aaaa,0x0026ea20,0x01555530,
    0x09ba8800,0xaaaaaa80,0x880001aa,0x200009ba,0x00009ba8,0x80003751,
    0x5d440000,0x2ea20001,0xba988001,0x0010001a,0x2a003e80,0x3ffe600f,
    0x2202ffff,0x2aa00000,0x01aaaaaa,0x01aba880,0x4d555440,0x55554c00,
    0x55510001,0x55554015,0x0001aaaa,0x00155553,0x01555530,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f0003e6,0x0aaaa980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x02aaeda8,0x06bb6aa6,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffb80,0xffffd00f,0x000000bf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x75000000,0x40388001,
    0x44035003,0x54028802,0x0003b000,0x00000000,0x00000000,0x4c000000,
    0x0000000d,0x088004a8,0x00000000,0x33220039,0xb8003ccc,0x10006600,
    0x01700019,0x00540144,0x20098071,0x03a80018,0x00004c00,0x64400000,
    0x00040000,0x00a80710,0x00660000,0x003d79d1,0x3a606fcc,0x83fc800e,
    0xef8804fa,0x800fec40,0x000002fc,0x400017cc,0x0176007b,0x07c80000,
    0x005fa800,0x900003b2,0x0990007f,0x000d9000,0x200bffa2,0x05feeee9,
    0xfc82fe80,0x3bfe6003,0xb0274001,0x640b9009,0x4c17e406,0x7fe4005f,
    0x5f98000d,0x003b2000,0x1eff9800,0x0deeb800,0x101f8800,0x36c0005f,
    0x22b80b90,0x774c0059,0x4001bf51,0x07f90dfb,0xe98ff440,0x27dc001e,
    0x5fa80000,0x03fc8000,0x0003be60,0x005fb000,0x4004fb80,0xb0001fe8,
    0x1720005f,0x02fd8800,0xfb8efa80,0x005c8004,0x3f629f90,0x233ee002,
    0x3ea003fd,0x8800fa81,0x802f982f,0x013ee4fb,0xee9afe88,0x02fcc001,
    0x003fd100,0xfb1bf700,0xb52cc007,0x6c1b2000,0x3fd10006,0x87602e40,
    0xfd880068,0xd30003fd,0x20005fdd,0x000dfcfc,0x0000bf50,0x40004fb8,
    0x88002fd8,0x800000ee,0x40001fe8,0x360003fc,0x3f62002f,0xeea88001,
    0x7f44001b,0x44fb8001,0x32000ef9,0x3bea0005,0x3f6000ef,0xd002fdc2,
    0x09fd97df,0x75e77e40,0x3be6005f,0x3e6002fd,0x00ff620e,0x80005f98,
    0x360002fd,0x802fdc3f,0x4000742c,0xffdbdff8,0x0ee98002,0x36a02e40,
    0x5c000790,0x6c40002f,0x7d40000e,0x2f980003,0x07f90000,0x01ee8800,
    0x007fa200,0x00ee8800,0x0017d400,0xc801fe40,0xffb8000e,0x04ddffee,
    0x800077cc,0x005b102e,0x220002e4,0x0f4c004e,0x2e001e98,0x8002defe,
    0x003efeda,0x4001ee88,0x8016e04c,0x900001a8,0x3d30007f,0x2a007a60,
    0x88001a24,0x001defec,0xc800df98,0x0ceeb805,0x00000000,0x00080000,
    0xb0000000,0x1b500005,0x00f20000,0x000da800,0xb8000000,0x20001004,
    0x3aa21cfa,0x006dc04f,0x90000000,0x0000000b,0x00000000,0x00000000,
    0x00000000,0x025c0000,0x74000000,0x00002ebd,0x00970000,0x000002e4,
    0x20037510,0x88099999,0xd1019999,0x001dd10d,0x1dd10dd1,0x00000000,
    0x00000000,0x74400000,0x000ee886,0x99991000,0x02740079,0x000009f1,
    0x00d65440,0x20005c80,0x0001aca8,0x04157951,0x0abca880,0x26666602,
    0x19999880,0x02aeea20,0x01333330,0x00333331,0x00000000,0x4cccccc4,
    0x26001999,0xa880000b,0x0000001b,0x99999972,0x19999880,0x3fbffea0,
    0xfff701cf,0xfff81fff,0xff985fff,0x400ffcc0,0x7fcc0ff9,0x33333001,
    0x99880033,0x99999999,0x26666601,0x26200019,0x99999999,0xf3019999,
    0x01ff981f,0x26666662,0x74c09999,0x3005feee,0x4c2a801f,0x01999999,
    0xfdffd700,0x200ba5df,0xfeb8005c,0x5d2effef,0x7f7ff5c0,0x203d8cff,
    0xfffeffeb,0x3fee3d8c,0x7fc0ffff,0x6445ffff,0x8dffeeff,0x3fffee1f,
    0x7fffc0ff,0x4ccc45ff,0x33310009,0x33333333,0xff880133,0xffffffff,
    0x3333303f,0x7d400033,0x01cffeff,0x26666662,0x09999999,0x7fffdd72,
    0x7fffc0ff,0x1cfb85ff,0xc980fecc,0x9988099e,0x055009dd,0x02a800aa,
    0x3fee0055,0x003fffff,0x3ffffffa,0xf707ffff,0x07ffffff,0x3ffffe00,
    0xffffffff,0x205500ff,0x3ffe202a,0xffffffff,0x802e401f,0xffe8007b,
    0x05ffffff,0x220dfec0,0xc803fdfc,0x0dfec005,0x40ff7f22,0x6dcc1bfc,
    0x37f903ff,0x43ffdb98,0x88099ec9,0x2209dd99,0x7f5cc2ee,0x4cf64c2f,
    0x9dd99880,0x3ffffe60,0xffffb805,0xffffffff,0x998806ff,0x199bf999,
    0xffffff70,0x9f70007f,0xb81fd983,0xffffffff,0x26ffffff,0x267b265c,
    0x9dd99880,0x32017e40,0x400d900f,0x0000005c,0x33300000,0x400d9bd3,
    0x999999ce,0x26607c99,0x006cde99,0xf35f3310,0xf5333337,0x22000001,
    0x99ed9999,0x05c80099,0x88007f50,0x999dd999,0x003b2000,0xb9007ff3,
    0x20076400,0x1ec83ff9,0xec83fc80,0xc83fc801,0x36172006,0x0bfe200e,
    0x05c801b2,0x00b93331,0x26673a66,0x6c999999,0x400fe000,0x6cde9999,
    0x2017e400,0xce9980fc,0x99999999,0xd91726c9,0x7cc2e400,0x901d9002,
    0x002e400d,0x00000000,0x0fccfc40,0x7cc03e80,0xf33f1003,0xf3d40003,
    0x0003e607,0x005c8000,0x7ec00b90,0x09b0000b,0x4003ee00,0x05c803fc,
    0x32001f70,0x000fdc3f,0x001fb87f,0x801b20fe,0xb802f85c,0x2006c82f,
    0x00b9005c,0x0d9004d8,0x4001fc00,0x001f99f8,0x3b2005f3,0x32009b00,
    0x00d90626,0x002f42e4,0x00d909f1,0x04cc42e4,0x22033330,0x26660099,
    0x9d35c001,0xbd00fa00,0x09d35c00,0x07f2e400,0x099883e6,0x80066660,
    0x0b90005c,0xaceffb80,0x0009b000,0x3f8800fe,0x7f005c80,0x3e1fc400,
    0x3e0dc003,0x640dc003,0xf3172006,0x3207e001,0x40172006,0x026c005c,
    0x3e0006c8,0x3a6b8003,0x400bd004,0x009b04f8,0x00d901b2,0x007ea2e4,
    0x00d90d70,0x3ffea2e4,0x1ffff904,0x904fffa8,0x4001ffff,0x7401ee3e,
    0x8003f203,0x8001ee3e,0x7cc0fe3e,0x209fff50,0x000ffffc,0x172000b9,
    0x7fedcc00,0x0026c01e,0x04c003cc,0x3cc02e40,0x1f304c00,0x00f98000,
    0x400d9000,0x800fc45c,0x6400d900,0x800b9005,0x00b7004d,0x74001fc0,
    0x3ea01ee3,0xd835c001,0xc80b7004,0xd7172006,0xc81f1000,0x26172006,
    0x2a6604d9,0x04d9980f,0x4003ea66,0x00be21f9,0x017cc0ba,0x17c43f30,
    0x7f0fc400,0x9b331a20,0x007d4cc0,0xb90005c8,0x3f660000,0x20013602,
    0x2000005b,0x005b805c,0x80006b80,0x3200006b,0x3a172006,0x03640005,
    0x17200b90,0x22009b00,0x00fe0001,0x17c43f30,0x22001ae0,0x1004d80f,
    0x2006c803,0x8002ec5c,0x9003642f,0x4c026c0b,0x2013600f,0x0d9000f9,
    0x220100bb,0x4364004f,0x47b8005d,0x36002a3f,0x000f9804,0x172000b9,
    0x40d90000,0x04d8004d,0x01720000,0x36000136,0x04d80004,0x801b2000,
    0x01df985c,0x6400d900,0x800b9005,0x0006a84d,0x32001fc0,0x2ec05d86,
    0x4d82f800,0x6c8006a8,0x07d17200,0x0d90f600,0x09b02e40,0x26c01f30,
    0xf8007cc0,0x0000fa83,0x07f000db,0x4d8001f5,0xb007d1fc,0x001f3009,
    0x2e400172,0x03e20000,0x1f40026c,0x0b900000,0xd00007d0,0x07d00007,
    0x00364000,0x3bf620b9,0x6c8009bd,0x64017200,0x5c26c005,0x1fc00006,
    0x3ea0fe00,0x4000fa00,0x6b84d83d,0x01b21540,0x0017c5c8,0x003645c8,
    0x4026c0b9,0x013600f9,0x3ea003e6,0x50007f00,0x0fa8003f,0x2f8007f0,
    0x01fe66fc,0x07cc026c,0x90005c80,0x2009100b,0x009b01f8,0x000007d0,
    0x01f402e4,0x0001f400,0x900001f4,0x202e400d,0x2effeca8,0x5c801b20,
    0xd800b900,0x06dcccce,0x001fc000,0x80fe01f5,0x0b90002f,0xdb9999db,
    0x03645c80,0x003e8b90,0x006c87b0,0x804d8172,0x013600f9,0x176003e6,
    0x7c4006c8,0x205d8003,0x03e6006c,0x007fdddf,0x01f3009b,0x64001720,
    0x802f9805,0x009b00fd,0x000007d0,0x01f402e4,0x7101f400,0x23555555,
    0x2aae203e,0x3641aaaa,0x3000b900,0x01b207f9,0x0b9005c8,0xeeeefd80,
    0x2002806e,0x8176003f,0x000fa06c,0x777ec1ec,0x2e406eee,0x45c801b2,
    0x85f0005d,0x8172006c,0x00f9804d,0x03e60136,0x7cc05f10,0x0017a001,
    0x1f980be2,0x47f0d700,0x804d803e,0x0b9000f9,0x26017200,0x13e601ff,
    0x4e8004d8,0x17200000,0x200013a0,0x3bbaa04d,0x09b4efee,0x7f777754,
    0x9003644e,0x17d4000b,0x0b900364,0x9b001720,0x0f880d70,0x22007f00,
    0x407e602f,0x05f0005d,0xc80d709b,0xb9003645,0xf88006b8,0xb90035c0,
    0x7cc026c0,0x26013600,0x777d400f,0x4feeeeee,0x0001f700,0xddddddf5,
    0x3a009fdd,0x23feeeef,0x804d800a,0x0b9000f9,0x26017200,0xa9acefef,
    0x026c05fc,0x0001b248,0x36aaaaa6,0x21aaaaae,0x5c80006c,0x1723e800,
    0x1ae0fa00,0x40005c80,0x2006b85c,0x00b9005c,0x406a84d8,0x07f000f9,
    0x3bbbbea0,0x704feeee,0x01f1000d,0xc80d509b,0xb90035c5,0x5c001fa8,
    0x3a007a86,0x26013604,0x2013600f,0x66ec00f9,0xdccccccc,0x202f9807,
    0x999bb04b,0x0fb99999,0x9999bf10,0x09b0007f,0x32001f30,0x00b90005,
    0x3fff6ab1,0x04d802df,0x01f51f88,0xffffd800,0xffffffff,0x00003ea6,
    0x47d000f5,0x83e8007a,0x713a007a,0x543d4001,0x5113a007,0x55db5555,
    0x13601555,0x0f984404,0x36005f00,0xcccccccd,0x03f507dc,0x09b06b80,
    0x22e42202,0x213a007a,0x13e2005d,0x3e2003e2,0x26013602,0x2013600f,
    0x07e200f9,0xe880be20,0x7c42e405,0x402f8801,0x4407f07a,0xf9804d81,
    0x000b9000,0x5d800172,0x44026c00,0x20017a1f,0x2f400000,0x07f10400,
    0x0fe23e80,0x1f107d00,0x3f85f100,0x3e21ea00,0x5c2f8800,0xffffffff,
    0x9b05ffff,0x0f99ec00,0x8801f980,0x02f8801f,0x27c400bb,0x4f6004d8,
    0x4007c45c,0x02f982f8,0x026c0d90,0x0b9007dc,0x2e401fb0,0xd7007ec0,
    0xd902ec00,0x6b85c801,0xb9017600,0x86b80fe0,0x00fd805c,0x32000b90,
    0x01720005,0x3f1009b0,0xdb0017cc,0x26001300,0x71b6002f,0x21f4001f,
    0x0fa000fb,0x07dc026c,0x05d801be,0x01f7009b,0xd8005d50,0x7ccfa004,
    0x7007c801,0x982ec00d,0x40d9002f,0x64fa004d,0xfb804d85,0xc807f900,
    0x80bea00f,0x07dc03fa,0x200ffe88,0xffd100fb,0x5001f401,0x003f501f,
    0x4007d0b9,0x40fa00fa,0x2e1ae03f,0x1ffd100f,0x40017200,0x1720005c,
    0xf1009b00,0x4403fb83,0x5eb801fe,0x8807f700,0x01ee81fe,0x03dd07d0,
    0x17d40fa0,0x9ff07f50,0x2a03f700,0x00fea02f,0x26c0016c,0x3ba27d00,
    0x400bea01,0x03ea003e,0x3f201fe4,0xe8013600,0x05f50b93,0x3ee01fd4,
    0x07f6a21d,0xb9833ea0,0x1df8805f,0x2febbee6,0x4c3bf102,0x82bfaefb,
    0x1fc000f9,0x2e4013e2,0x7f0003e6,0x1fc03e20,0x3bf10d70,0x5fd77dcc,
    0x0005c802,0x2e4000b9,0x22013600,0x0aefb81f,0x0003bae6,0x3bee001d,
    0x03bae60a,0x204efe44,0xc883fda8,0x6d4409df,0x833ea03f,0xfbf05fb9,
    0x07fb305d,0x2e60cfa8,0x0076005f,0x3e801360,0xb8873f62,0x01f3005f,
    0x3ee03f80,0x07f6a21d,0x9f4009b0,0x419f504c,0xd3005fb9,0x039dfdff,
    0x7ffff540,0x3fe6003f,0xff33fffe,0x3bfe601f,0xfff33fff,0x2abb6a21,
    0x3b6aa602,0x5557f71a,0xbb555555,0x0aabb6a2,0x1aedaa98,0x2215f951,
    0xaaaacfaa,0xff306daa,0x3e67fffd,0x2aaaa0ff,0x2aaaaeda,0x36aaaaa6,
    0x01aaaaae,0x554c04c8,0xaaaaaeea,0x301fbaaa,0x9fffdffb,0x1b73a600,
    0xfdffb300,0x3aa009ff,0xcfffefff,0x7fff5401,0x801cfffe,0x3fffffea,
    0x3ff62760,0x001effef,0x7fffffd5,0xebbea800,0x5bd55100,0x55555555,
    0xfff707d5,0x51007fff,0x4c0555db,0x301aedaa,0x39dfdffd,0x2b7aaa20,
    0xaaaaaaaa,0x540113ea,0x03fffffe,0x001ba880,0x004dd440,0x0055d440,
    0x01575100,0x3ffffee0,0xffffd00f,0x3fffeebf,0xffffffff,0xffffff75,
    0x3ffffa01,0x7ffff75f,0x3fffffee,0x206fffff,0x1000aba8,0xffffffff,
    0x3f63ffff,0xffffffff,0x00006fff,0xfffffffb,0xffffffff,0x0ab98803,
    0x001a8800,0x002ae620,0x4d5d4c40,0x5d4c4000,0xa880009a,0x4c40009b,
    0x10001aba,0x20001375,0x3ea02cc9,0xffffffff,0x03ffffff,0x40026ea2,
    0x0ffffffb,0xbfffffd0,0x801ba880,0xfffffffa,0xffffffff,0x4dd44003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcca80000,0x0000000c,0x0024c000,0x5c000000,0x30000002,
    0x35014403,0x51001440,0x53000359,0x4000ea00,0x0002a00b,0x331003a8,
    0x00333333,0x00017500,0x40001dc0,0x44002e0a,0x0000abba,0x400001d4,
    0x000d405c,0x401c4015,0x8005c038,0x6540003a,0x00000000,0x003880a6,
    0x4038802a,0x4c401998,0x3bb21999,0x4000001f,0xfa8002e9,0x300000ef,
    0xfb10003f,0x6c40009f,0x4c1fe405,0x20ff205f,0xfeb805fa,0x5d2effef,
    0x2013fa60,0x44005ffc,0x01fd81ee,0x01bff900,0x7fffffdc,0x003effff,
    0x51ffffd4,0xffd8001d,0x3f50000d,0x3f2202f4,0xf8dffeef,0x17ff2001,
    0x17ec4000,0x2003bf20,0x201b205c,0x7f440ef9,0x0dffc800,0x7ffec400,
    0xec880003,0x3ee00def,0x2006f984,0x881b205c,0x3e04ffff,0x445fffff,
    0x2000001f,0xfc8005fa,0x0002fe8b,0x4c002fd4,0x00efa9ee,0x40077440,
    0x017ee5fb,0x27e437ee,0x220dfec0,0xb903fdfc,0x9afe8801,0x362001ef,
    0x003dd33f,0xdd35fd10,0x4e74cc03,0xefeb9999,0x7119f000,0x4009fdff,
    0x1ee99ee9,0x7dc6e800,0x985dd101,0x8802ffeb,0x01ef9afe,0x007fa200,
    0x7c401f44,0x1002f982,0x03bea3fd,0xdd33fd10,0x47bf2003,0x10002efb,
    0x01975bfd,0x9f70efa8,0x982f8800,0x7e4c402f,0xd933101f,0x001f8813,
    0x009f7000,0x7e41fe88,0x09f70004,0x441bf500,0xdf3001fe,0x6f7cc001,
    0x3ba6003f,0x0ec802fe,0x441ffcc0,0x077cc01f,0xb8005fb1,0x8000dfdf,
    0x3f620ef9,0x26026c03,0x3220005f,0x37ea002d,0x7001fec0,0xb06f887f,
    0x17fc401d,0xd883be60,0xee98002f,0x80354000,0x5febcefc,0x4fdfc800,
    0x220ef980,0x17dc02fd,0x4000fe44,0xd10000ed,0x20005fbf,0x6febcefc,
    0x01b7ae00,0x00fc41b2,0x01fe4000,0xea806d40,0x01fe4000,0x13203d80,
    0x40017ea0,0x88001ed8,0x0fb800ed,0xf307f900,0x2e04c801,0x03f98005,
    0x5b813200,0x7dc026c0,0x40000002,0x8012e03c,0x81fc80fe,0x02fb802f,
    0x00b70264,0x30001b90,0x3b6a001f,0x2a0003ef,0x4099002f,0x0080005b,
    0x0003f980,0x40001ec8,0x003efeda,0x201fc75c,0x003f106c,0x0005d000,
    0x74400000,0x00000002,0x080003c8,0x7f000000,0x4c1fc400,0x0000000f,
    0x00000000,0x4e8026c0,0x01333330,0x00333331,0x13e60000,0x03e627cc,
    0x00000fc0,0x4c000000,0x0000000f,0x40000000,0x00002ccc,0x00001f70,
    0x00000000,0x401f76b8,0x103f106c,0x00003333,0x57751000,0x00000001,
    0x00037510,0x33331000,0x43333333,0x99999998,0x09999999,0x013000f3,
    0x333101f3,0x04ccc401,0x26666662,0x4cc40019,0x99999999,0x09b00999,
    0x3fee1360,0x7fc0ffff,0x3305ffff,0x00033333,0x07f403fb,0x202003f1,
    0x20099998,0x44099998,0x26200999,0x80f98099,0x99999998,0x40999999,
    0x99999998,0x40999999,0x99999998,0x3b660999,0x9000003f,0x0666200b,
    0x03333310,0x0ccccccc,0x13a6b800,0x83f106c8,0x84fffffa,0x99999998,
    0xffc88001,0x1f8dffee,0x2200ccc4,0x2a019999,0x1cffefff,0x26666620,
    0x74099999,0xffffffff,0x3fff27ff,0xffffffff,0x00b75fff,0x2607cc00,
    0xf00fffff,0x3ee5ffff,0xffffffff,0x7fdc03ef,0xffffffff,0x9b06ffff,
    0x2603f100,0x988099ec,0xfb809dd9,0x03ffffff,0xf5017e20,0x30005e87,
    0x07ffffff,0x5ffffff5,0x03ffffe6,0x217ffffc,0x7ffdc0f9,0xffffffff,
    0x3fee6fff,0xffffffff,0x3e26ffff,0xffffffff,0x03e81fff,0x00b90000,
    0x409ffff1,0x85ffffff,0xfffffffb,0x2a6b8003,0x220d901f,0x19dfb81f,
    0xffffffb8,0x803effff,0x75cc2ee8,0x3ffe22ff,0x3fffe04f,0x1cfb85ff,
    0x7c40fecc,0xffffffff,0x273a1fff,0xc9999999,0x26667727,0x99999dd9,
    0x00009b5d,0x7dc407cc,0x33e6200a,0x4ce74cc1,0x0efeb999,0x2673a660,
    0xc9999999,0xe9809b06,0x90036406,0xe999980b,0x3ee006cd,0x2637cc04,
    0xf88001df,0x2660199c,0x7dc41fb9,0x33e6200a,0x9980f981,0x999999ce,
    0x4cc6c999,0x999999ce,0x4c46c999,0x999ed999,0x0007d009,0x44017200,
    0x3101ffc9,0x26013d93,0x06cde999,0x82ec6b80,0xa83f106c,0xce99804f,
    0xfeb99999,0x803b600e,0x64c42ff8,0x933101ff,0x02fc813d,0x4cc407e4,
    0x9999ed99,0x3e601f40,0x82e41723,0x00007d5c,0x0bb007cc,0x04d80db0,
    0x26c02fcc,0x09b06c80,0x801df951,0x0172006c,0x01f99f88,0xf8807fb0,
    0xbdefd887,0x004e8009,0x017606b8,0x00f981b6,0x83640136,0x00d9004d,
    0x01f400b9,0xfeeeb800,0x5c04eeef,0x06c806de,0x07e67e20,0x2f88d700,
    0x43f106c8,0x26c003fc,0x2f817e60,0xd702fb80,0x30d900db,0x03b2005f,
    0x0fa01720,0x905c8bd0,0x01f5720b,0x880f7000,0x007ea03f,0x05f7009b,
    0x0d9004d8,0x3ffffff6,0x0d9003ef,0xd7002e40,0x2fe80274,0x5100ff80,
    0x405dffd9,0x05c8004d,0x1fa80fe2,0x4d80be20,0x1360d900,0x2e403640,
    0x00007d00,0x33bb332a,0x475c03cc,0x0036403f,0x200274d7,0x640fc86b,
    0x3f63f106,0x804d8002,0x00f982fb,0x23ae03f0,0x7436403f,0x013e2005,
    0x80fa0172,0xc82e40fc,0x00fab905,0x402f4c00,0x04e880fb,0x09d004d8,
    0x0b7004d8,0x3aaaab76,0x01b2003f,0x8fa005c8,0x01ff007b,0x4c003fd0,
    0x10b903fc,0x809901ff,0x04e880fb,0x09b00de8,0x026c16e0,0x05c805b8,
    0xcca88fa0,0x0b90000a,0x01f76b80,0x47d00364,0x435c007b,0x883644f8,
    0x0001feaf,0x213a009b,0x401001f8,0x6401f76b,0x2000fd46,0x805c806b,
    0x905f302e,0xae41720b,0xfd80004e,0x90bd000e,0x4013600d,0x8026c04d,
    0x3209b018,0x00d9004f,0x1f9802e4,0x1fe00be2,0x40017e40,0xb86b82fa,
    0x804d83ff,0x1006c85e,0x009b09ff,0x8026c062,0x005c8018,0x777fe4fa,
    0x5c8002ff,0x09d35c00,0x1f980364,0x6b800be2,0x83641f50,0x004feff8,
    0x136009b0,0x5c0002f4,0x46c813a6,0x0f88006b,0x80402e40,0x207704f8,
    0x1b27505c,0x07faa000,0x3f31fc40,0x22013600,0x5426c01f,0xa8136006,
    0x006c804f,0x43640172,0x00ff805d,0x90002fd8,0x9bb0f50b,0xf1007d0b,
    0xa800fcc7,0xa84d82ef,0x2a136006,0x00b90006,0x220f7674,0x2e4001fd,
    0x1fa9ae00,0x1b200d90,0x06b80176,0xf106c97a,0x20013e6b,0x01f8804d,
    0x40003bf3,0x6407ea6b,0xf8002ec6,0x0002e402,0x172000db,0x00003ea0,
    0x1f70036c,0x04d8013a,0x26c0374c,0x09b0035c,0x36402fa8,0x3e00b900,
    0x7400fa83,0x71fe801f,0x4c3d4001,0x43d5fc0f,0x21f7002f,0x813e004e,
    0x2006b84d,0x0006b84d,0x77f400b9,0x90017e00,0x6c6b800b,0x3e00d905,
    0x7000fa83,0x6c97cc0d,0x27cc3f10,0xd3013600,0xdefd880d,0x8d70009b,
    0x3e8d905d,0xc807b000,0x03f50005,0x74017200,0x7a808005,0x07e6f400,
    0x95109b00,0x9db001df,0x400db999,0x00fc804d,0x05c801b2,0x07f00fa8,
    0xff802fd8,0x3d4007f0,0x11f30fc4,0x000fc45f,0x2001f9bd,0x33b601f8,
    0x2006dccc,0x6dcccced,0x400b9000,0x03e400ee,0xd7001720,0x06c82f88,
    0x07f00fa8,0x2d901ae0,0x983f106c,0x2136004f,0x000efca8,0x5dffd951,
    0x17c46b80,0x000be364,0x017202e4,0x8000fe20,0x05f3005c,0x07cc36c0,
    0x005ff300,0xffffffd8,0x3f6003ef,0x006eeeee,0x02740136,0x02e400d9,
    0x80d902ec,0x3fc403fc,0x82ec00df,0x24d9ae1f,0x3e6000f9,0x03e6002f,
    0xeeeeefd8,0x3bbf6006,0x90006eee,0x401f400b,0x172000f9,0x1f90d700,
    0x05d806c8,0x035c01b2,0x441b2fe2,0x004fa81f,0xfffffffb,0x9300007d,
    0x6435c07f,0x0fa3640f,0x3201ec00,0x005e8005,0xf7002e40,0x81fe8807,
    0x364000f9,0x5556ec00,0x6c003fea,0x36006b84,0x203f5004,0x0172006c,
    0x0fcc05f1,0xf9809f50,0x2e013fe5,0x2745f01f,0x4003d4d7,0x07cc006c,
    0x00d709b0,0x0035c26c,0x0fa005c8,0xc8003e60,0x4435c005,0x2203644f,
    0x007e602f,0x37ee01ae,0x2a03f106,0xaadd803f,0x0003feaa,0x6b817d40,
    0x23644f88,0x05f0005d,0x7dc005c8,0x02e40000,0x982bbee0,0x1f300eeb,
    0x8005c800,0x009f904d,0x2035426c,0x1aadeaa8,0x2e0d76c0,0x50172006,
    0xdddddddf,0x06f809fd,0xdfbf17dc,0x407fb305,0x7cc5f13e,0xb9000d50,
    0x200f9800,0x2006a84d,0x0006a84d,0x01f400b9,0xb90007cc,0xf506b800,
    0x3ea03641,0xeeeeeeee,0x3f6a204f,0x1bfa02aa,0x2603f751,0x9b01acfd,
    0x00013f20,0x41ae0b90,0xd71b20fa,0x801f1000,0x0be6005c,0x05c804b8,
    0xfeffd980,0x07cc04ff,0x20017200,0x013ea04d,0x0880826c,0xdffffff5,
    0x545ff980,0xb013a007,0x9999999b,0x1fc80fb9,0xb13b1fa0,0x3dffdfff,
    0x81f54d80,0x9000d73f,0x00f9800b,0x04404136,0x0880826c,0x7d002e40,
    0x4001f300,0x035c005c,0x360364bd,0xcccccccd,0x3fea07dc,0xf301ffff,
    0x01fffd8d,0x01fffffd,0x027d409b,0x83d40017,0x6c97a06b,0x2e000fd4,
    0x1005c806,0x805c80bd,0x2e20005c,0x1f3000ae,0x8005c800,0x017d404d,
    0x07b0026c,0x0f880000,0x2202f880,0x02f8801f,0x27d417e6,0x06b72620,
    0xc85cae40,0xb9000b95,0x200f9800,0x20f6004d,0x00f6004d,0x01f400b9,
    0xbd0007cc,0x2606b800,0x7c40d92f,0x002f8801,0x00000000,0x2fa809b0,
    0x3d4007f0,0x4be606b8,0x2005d86c,0x05c804f8,0x5c801d90,0x40005c80,
    0x07cc0059,0x20017200,0x00fc804d,0x07d0026c,0x6c000260,0x200fb804,
    0x0176006b,0x01fb01fb,0xd70012a0,0x26dea0fe,0x2002e400,0x013600f9,
    0x004d83e8,0x00b900fa,0x07cc01f4,0x4003f980,0x6cb6406b,0x5d801ae0,
    0x00011000,0x9b000088,0xdf01f900,0x6b82ec00,0x986cb640,0x00d9002f,
    0x07ea0172,0x17201720,0x01db1000,0x32001740,0x004d8005,0x004d809d,
    0x2f5c00fa,0x5017d400,0x003e807f,0x4f9803ea,0xb30027cc,0x27ea001d,
    0x3e9f881f,0x4005c800,0x0026c06b,0x4009b07d,0x002e403e,0x01f3007d,
    0x70003f20,0x6cbf880d,0xfa800fa0,0x06da8000,0x001b6a00,0x42740136,
    0x1fb804ff,0xbf880d70,0x807f906c,0x0b9000fc,0xb9004f88,0x2000b900,
    0xb800ee08,0x0172002e,0x7d401360,0xe8013601,0x00074003,0xf73067d4,
    0x000f980b,0x91f601fc,0x2c81001f,0x40f9f300,0xc8002fce,0x00fee005,
    0x41f4009b,0x00fa004d,0x01f400b9,0x4de407cc,0xb8002feb,0x06dfb806,
    0x3f8001f3,0x000b2000,0x4d800590,0xdf83f500,0x3fd982ef,0x3ee01ae0,
    0x877ee06d,0x2001fda8,0x55fdc05c,0xaaaaaaaa,0xdaaa985d,0x5002aaae,
    0x4001f9bf,0x55305fc8,0x05555db5,0x2ab7aaa2,0x88d76c01,0xaaaadeaa,
    0x3eaaaaaa,0x036e74c0,0xffffd500,0x76d4407f,0x2aa602aa,0x5f101aed,
    0xdfb801fc,0xff1000fc,0x00ffdc09,0x576d554c,0x07fd02aa,0x2ab7aaa2,
    0xaaaaaaaa,0x5bd5513e,0x55555555,0x555547d5,0x2aaaaeda,0x8056f54c,
    0x7e42bfca,0x44001eff,0x202aafda,0x76d446fe,0x2aa602aa,0xe8801aed,
    0x44000fcd,0x8800fcde,0x01aadeaa,0x89d8d76c,0xeffefffd,0x55fb5101,
    0x2037f405,0xcefeffe9,0x2aaaaa01,0x22aaaaed,0xfffffffb,0xe85fffff,
    0xffffffff,0x1551000f,0x74022000,0xffffffff,0xffffa80f,0x7fcc06ff,
    0xffffff55,0xffffffff,0x0351007f,0x26ea2000,0x7fffdc00,0xfffd00ff,
    0x02040bff,0x00055100,0x7fcc05ff,0xffffe800,0x080fffff,0x7ffffd40,
    0xffffffff,0xffff53ff,0xffffffff,0x3fe27fff,0xffffffff,0xfffd11ff,
    0xffff509f,0x4000103f,0x1ffffffa,0xffb8df30,0xfd00ffff,0x200bffff,
    0x220002a8,0x3fea002a,0x4c06ffff,0x753105ff,0xfffa8035,0xdf301fff,
    0x006ea200,0x3fffffe2,0x01ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7b100000,0x22029800,0x00000003,0x33332190,0x0000171c,
    0x0a600004,0xccca814c,0x2666662c,0x51000199,0x00015101,0x035000e6,
    0x005c0144,0x99988053,0x99988099,0x00f66000,0x0abca880,0x71005402,
    0x2a202a20,0x80000000,0x26000cc8,0x22005302,0x99999999,0x2aa20099,
    0x00aaaaaa,0x22000040,0x33009999,0x19700333,0x44054400,0xaaa9800a,
    0x0002aaaa,0xffd80000,0x213ea001,0x83e006f9,0xf980004b,0x25ddddf1,
    0xd980005e,0x200cc2ef,0x7fc41ff8,0x4feeec81,0xfffffffd,0xbf9000bf,
    0x7000bf90,0x32001bff,0x804fa83f,0x03fb82fd,0x3fffffee,0x7ffffcc7,
    0x03ffb003,0xfeffeb80,0xc83d8cff,0x7e41b205,0x8805fc85,0x00284ffc,
    0x44013fee,0x0ffc41ff,0x7fffff40,0x00ffffff,0xfffffffb,0x3f6a00df,
    0x2a00cc1e,0xd86fffff,0x203fffff,0x32004ffa,0x405fc85f,0xfffffff8,
    0x3ee202ff,0x0ee8283f,0x001ffc80,0x5fb877cc,0x5d87e200,0x3e5d8000,
    0x0001f502,0x6fed6fd4,0xfe804fca,0xd800fe80,0x3bb33314,0xf5000133,
    0x4009f509,0x1ee9afd8,0x321bf700,0x53f2003f,0x99802fd8,0xb88099de,
    0x3f2001df,0x2ff2000f,0x1ffedcc1,0x17cc17c4,0x4fa84fb8,0xffbafe80,
    0x5000feab,0x7f4007ff,0x8800fe80,0x99ed9999,0x00000099,0xdfdadfa8,
    0xc8804fca,0x9988099e,0x7fcc01dd,0x213ea003,0x000004fa,0xbffbbfd8,
    0x3fe60fea,0x001a8802,0x07fbfd10,0x1360f980,0x7c3f3000,0x80013a02,
    0x1fff4c19,0x36000000,0x00009b04,0x26000802,0x0ff621ee,0x17f774c0,
    0x7777d400,0x2026c001,0xb88004fa,0x007b2001,0x77e40ff2,0x0405febc,
    0x910a0010,0xa8001dff,0x00000002,0x00001720,0x3a60cc00,0x1b2003ff,
    0x53005c80,0x00401000,0x20b80000,0x4c1effc8,0x000002ff,0x20007b20,
    0x0013a0f9,0x202f8db0,0x800000fb,0x00000000,0x0013609b,0xb7000000,
    0x8801ae01,0x220000ed,0x4d8000de,0x0000fee0,0x000fdc00,0x7f6d407f,
    0x0000003e,0x00000080,0x90000000,0x3333300b,0x33333101,0x90001000,
    0x002e400d,0x00000000,0x00003751,0x07fe2011,0x00359510,0x1ea00000,
    0x7c40007d,0x0fe017c2,0x06ea2000,0x01ba8800,0x09b04d80,0x26666600,
    0x19999880,0x00000000,0xd8000000,0x0005f904,0x082af2a2,0x0dc003f8,
    0x33310000,0x13333333,0x44019988,0x4c419999,0x99999999,0x26666009,
    0xc8000199,0x7fffdc05,0x7fffc0ff,0x333305ff,0xd9000333,0x4c42e400,
    0x99999999,0x4cccc419,0x99999999,0x3ffea009,0x2201cffe,0x99999999,
    0x07fe2099,0x7ff7ff5c,0x99885d2e,0x00019999,0x0002f8f7,0x700be1b2,
    0x7fd4000f,0x001cffef,0x9ffdfff5,0x6c136003,0xfffb8004,0x7ffc0fff,
    0x4cc45fff,0x19998809,0x99999988,0x26009999,0x00199999,0x05f909b0,
    0xfdffd700,0x4c7b19ff,0x9880000f,0x99999999,0x3fffe209,0xffffffff,
    0x09ffff11,0xaffffffc,0xfffffff8,0xb81fffff,0x3fffffff,0x402e4000,
    0x88099ec9,0xb809dd99,0x3fffffff,0x90036400,0xfffffd0b,0x5cffffff,
    0xffffffff,0x06ffffff,0xfd9839f7,0xfffff881,0x1fffffff,0x2ff603fe,
    0x1fefe441,0xfffffff3,0x20019dff,0x80017c6b,0x402f83f8,0xfb8003f8,
    0x00fecc1c,0xfb3073ee,0x3609b003,0x3d930004,0xbb331013,0x7fffdc13,
    0x7ffffc1f,0x3ffffe26,0x1fffffff,0xffffffb8,0x44d8003f,0xfc8001fd,
    0x7fedcc1b,0x20001ae3,0xfffffff8,0x221fffff,0x99ed9999,0x7e4c4099,
    0xd933101f,0x4cccc413,0x009999ed,0x337a6666,0x02e40006,0x172006c8,
    0x9bd33330,0x006c800d,0x2673a172,0x7c999999,0x4cce74cc,0x6c999999,
    0x7e402fc8,0xd9999880,0x7c09999e,0x2007640f,0x7dcc3ff9,0xeca99999,
    0x226c802f,0x0f90001f,0x01b200be,0xfc805f90,0xc805f900,0xd826c00f,
    0x01b20004,0x3bd305c8,0x13f53101,0xed999988,0x26009999,0x06cde999,
    0x1dd14d80,0x003d9000,0x0026c7f9,0xd9999880,0x8009999e,0x37ae005c,
    0x9006c806,0x4fc4000b,0x320001f9,0x400d9005,0x27e2005c,0x1b2001f9,
    0x03e85c80,0x04d81fcc,0x02f98d90,0xb9001d90,0x7dc1ff00,0x507f9000,
    0x505f900f,0xf755db55,0x22005557,0x1005f03f,0x0be6005f,0x3e607640,
    0x401d9002,0x0009b04d,0x0b900364,0x07cc026c,0x20005c80,0x001f99f8,
    0x17ff466c,0x8007ee00,0x0000fa3f,0x90005c80,0x7c75c00b,0xc8036403,
    0xe9ae0005,0x01720004,0x0b900364,0x009d35c0,0x0b900364,0x205e807d,
    0xe8d9004d,0x013e2005,0xf1fa0172,0x41fc4007,0x41f7007a,0xeeffeee8,
    0x005eeefe,0x00be01f7,0x05e80364,0x0bd13e20,0x9b027c40,0xc8001360,
    0xd8172006,0x000f9804,0x35c000b9,0xfdd8009d,0x000efd9d,0x21b8007f,
    0x2000003e,0x0b90005c,0x00fbb5c0,0x02e401b2,0x03dc7d00,0x3200b900,
    0x80172006,0xc801ee3e,0x3a172006,0xd803f203,0x7d4b7004,0x4035c001,
    0x267e805c,0xa8098007,0xe813a007,0x74001e64,0x4c00be04,0x00fd402f,
    0x01fa9ae0,0x09b035c0,0x6c800136,0x4d817200,0x9000f980,0x71f4000b,
    0x45fd800f,0x0f9806fa,0x101f4000,0x35555557,0x90005c80,0x9d35c00b,
    0x5c803640,0x443f3000,0x0b90002f,0x5c801b20,0x7c43f300,0x400d9002,
    0xf302e85c,0x1004d805,0x440035c3,0x402e400f,0x00016e6d,0x3ea007a8,
    0x03d47d00,0x5f007d40,0x2e02ec00,0x70f88006,0x01f1000d,0x8026c136,
    0x32006c84,0x26013605,0x00b9000f,0x2f887e60,0x74417600,0x00035c04,
    0xddd5026c,0xc809dfdd,0x00b90005,0x203f535c,0x00b9006c,0x01761b20,
    0x6c802e40,0x64017200,0xd9005d86,0x8042e400,0x84d804f8,0x002ec06a,
    0x02e402f8,0x0009b36c,0x3e003d40,0x03dc7f02,0x0be02740,0x3601f980,
    0x365f0005,0x205f0005,0x1009b04d,0x2006c83f,0x2013605c,0x0b9000f9,
    0x1761b200,0x3e604d80,0x00013602,0x0fa00172,0x64001720,0xbb1ae005,
    0x2e401b20,0xfa83f800,0x005c8000,0x02e400d9,0x00fa83f8,0x172006b8,
    0x9b006d80,0x03e80d70,0x5c807b00,0x00fa6c80,0x4007a800,0x35c5f03d,
    0xf007ea00,0x205e8005,0x27b0003e,0x07b0003e,0x4026c136,0x003641f8,
    0x4026c0b9,0x0b9000f9,0x3ea0fe00,0xd809b000,0x0000fa06,0x0fa001ea,
    0x64001720,0xf11ae005,0x3200d905,0x00fa8005,0x0b90007f,0x5c801b20,
    0x7f00fa80,0x6c00f500,0x003f5004,0x373333b6,0x80017c06,0x402e405c,
    0x0000fa3a,0xaec007a8,0xeeefeeec,0x400deefe,0x002f805e,0x02f807d4,
    0x00beb900,0x04d82e40,0x83f1009b,0x8172006c,0xcccccced,0x9000fdcc,
    0x01f5000b,0x026c00fe,0x01f40be2,0x001fc400,0x017200fa,0xd7002e40,
    0x06c81f90,0xbb000b90,0x64003640,0x400d9005,0x205d805c,0x00f9806c,
    0x7f1005f0,0x7777ec00,0x01f406ee,0x2e403d80,0x0001f400,0x5c800f50,
    0x99bf9995,0x401999dd,0x02f801f9,0x07d04e80,0x01f4f600,0x09b03d80,
    0x07e20136,0x02e400d9,0xddddddfb,0x2001fddd,0x05d8005c,0x026c01b2,
    0x203e82ec,0xaaaaaab8,0xe8003ee1,0x0005c803,0x435c00b9,0x803644f8,
    0x17c4005c,0xc8003f30,0x400d9005,0x017c405c,0x09d003f3,0xbd001f70,
    0x6b84d800,0xf8002ec0,0x4002e402,0x2a00004e,0x4c26c007,0xd801360f,
    0x0005f006,0x00bb01f5,0x002ecbe0,0x209b02f8,0x41f8804d,0x8172006c,
    0x00f9804d,0xf8800b90,0x2007e602,0x80fa804d,0x3bbaa04d,0x7744efee,
    0x9007d001,0x0172000b,0x41f506b8,0x00b9006c,0xeeeeefa8,0x4004feee,
    0x00d7005c,0x3bea02e4,0xfeeeeeee,0x202fa804,0x0fb803f9,0x35426c00,
    0x22001ae0,0x002e400f,0x50000364,0x983e800f,0x4c01360f,0x005f002f,
    0x01ae13e0,0x035c3e20,0x4d807c40,0x55dd5553,0xf7555555,0x32006b83,
    0x26013605,0x00b9000f,0xeeeeefa8,0x5104feee,0x40355bd5,0x01722ade,
    0x3f220fa0,0x7ed4409d,0x0005c803,0x035c00b9,0xc80364bd,0x666ec005,
    0x7dcccccc,0x36aaaa60,0xa81aaaae,0xb013a007,0x9999999b,0x3f200fb9,
    0x017ee20c,0x84b80be6,0x2110104d,0x35c001fa,0x54002e40,0xf500000f,
    0x540fc400,0x6c801f47,0x4000be00,0x00fd40fb,0x01fa9ae0,0x29b035c0,
    0xfffffffd,0xffffffff,0x9d003d41,0x7cc026c0,0x800b9000,0xccccccdd,
    0xff507dcc,0x5c0dffff,0x00f50fff,0x7f5407d0,0x1cfffeff,0x2000b900,
    0x81ae005c,0x200d92f9,0x07e2005c,0x7f40be20,0xffffffff,0x007c40ef,
    0x3f1017c4,0x2005f100,0x3ffffffb,0x6405e880,0x36004d85,0xf8801763,
    0x4c05c804,0x0017a2ee,0xa801ea02,0x03f8f507,0x3e002f88,0x07f10002,
    0x27c400bb,0x4f880176,0x00001360,0x7c4007c4,0x26013602,0x00b9000f,
    0x7c400fc4,0x88000002,0x01f4003f,0x04d5d4c4,0x40017200,0x01ae005c,
    0x6401b2d9,0x801ae005,0x05d5005d,0x7dc026c0,0xd801ae00,0x0e7d4005,
    0xc801d900,0x3a004d85,0x6400be63,0xe80b9006,0x00be67ff,0x007a86d8,
    0xf1ae09d1,0x800d9005,0x1f20002f,0x36400be6,0x6c8017cc,0x044026c0,
    0x5c026c00,0x2013600f,0x0b9000f9,0xbb0035c0,0x80011000,0x0fa000fb,
    0x20000440,0x0b90005c,0x3e2035c0,0x0b9006cb,0xf5001f40,0x8005b001,
    0x0fea02fa,0x7d4007d0,0x001a6000,0x0b9003f5,0x21f4009b,0x07e403fc,
    0x7e405c80,0x201fdc5f,0x07a81fe8,0x13640bd0,0x03f8803f,0x100017c0,
    0x807f905f,0x07f900fc,0x26c00fc8,0x20036d40,0x0fea02fa,0x1f3009b0,
    0xe8017200,0x003ea003,0xe800db50,0x007d001e,0xc8001b6a,0x00b90005,
    0x6fdc035c,0x200b9006,0x1fc000f9,0x54000ec0,0x17ee60cf,0xf8001f30,
    0x801a6003,0x0b9004f8,0x41f4009b,0x36a21dfb,0x0172001f,0x3bee02aa,
    0x03bae60a,0x3b6603d4,0x1f897200,0x7c003dc0,0xc800099b,0x443bf706,
    0x7dc01fda,0x07f6a21d,0x00274ccc,0xcfa80059,0x2017ee60,0x00f9804d,
    0x3e600b90,0x001fc000,0x322002c8,0x6d4409df,0x0164003f,0xaa805c80,
    0xaaaedaaa,0x57ed442a,0x21bfa02a,0xaedaaaaa,0x36a22aaa,0x2a602aae,
    0x2a01aeda,0x5000ebbe,0x07fffffd,0x15576d44,0x35db5530,0x136b3a00,
    0xaaaabfb8,0x15daaaaa,0x5555bd55,0x7d555555,0x3fbffa60,0x2aaa01ce,
    0xaaaaedaa,0x7fecc002,0x2a04fffe,0xbaaaaafc,0x26400efe,0x03f801f1,
    0x3fffff80,0x9817c400,0x1cefeffe,0xfdffd300,0x3ffa039d,0x37a204ff,
    0xea8000fc,0x403fffff,0x982adeaa,0x2a0abfca,0xaaedaaaa,0x3b6a22aa,
    0x2aa602aa,0x74401aed,0xa8000fcd,0xfffefffe,0xcde8801c,0xaaaa800f,
    0x2aaaaeda,0x3fffffe2,0x21ffffff,0x1ffffffa,0xff88df30,0xffffffff,
    0xffff71ff,0x3ffa01ff,0x64c05fff,0xba88001c,0x7ffdc009,0xffd00fff,
    0x2200bfff,0x3ee00bdb,0xffffffff,0xfff55fff,0xffffffff,0x8807ffff,
    0xff8801ba,0xffffffff,0x988001ff,0x7fcc00ab,0xbeffffff,0x22000001,
    0x33330004,0x00ae0003,0x40003751,0x98801ba8,0x54400999,0xba880002,
    0x7ffc4009,0x7ff41fff,0xfff12fff,0xffffffff,0x3fffee3f,0xfffd00ff,
    0x55100bff,0x75310000,0xa8800135,0xffff1002,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x01999999,0x44054400,
    0x2666200a,0x99999999,0x66440099,0x0ccccccc,0x00004400,0x5440032e,
    0x0aaaaaaa,0x026ee600,0x6665cc00,0x4c401ccc,0xcccccccb,0x00011000,
    0x4c007500,0xaaaaaaaa,0x55544000,0x000aaaaa,0x00000044,0x03880000,
    0x01001001,0x08008008,0x00040080,0x3a800018,0x80080080,0x00000400,
    0x00020020,0x8814c003,0xfffff700,0x640007ff,0x705fc85f,0xffffffff,
    0x0dffffff,0xeeeeed88,0xd7001dee,0x50009fff,0x3f6009ff,0x6fffffff,
    0xfeeffb80,0x3ba2005f,0x2daaaaab,0x5d9bfd50,0x80155b95,0x0004edd8,
    0x4400fee0,0xffffffff,0x7fec003f,0x06ffffff,0x0037bb60,0x01cfec98,
    0x07d40000,0x37440f6c,0x7d413e20,0xd501ec02,0xf504f880,0x1ff44005,
    0x007f7000,0x0bd101db,0x5f704f98,0xfeca8800,0x881ed83d,0x37f2005e,
    0x22ffe400,0x33305ffc,0x000d9bd3,0x27d427d4,0x3339d330,0xd9333333,
    0x6c000000,0x05fd9acf,0x0027fcc0,0xbfd88000,0x003baa20,0xb05900fa,
    0x4a96619f,0x02c8b200,0x002fc800,0x00000000,0x09725c00,0x3aefbea0,
    0x2666206f,0x53333009,0x8bf620db,0xfa800ef9,0x200ff20e,0x03f880fa,
    0x3f20ef98,0x2fbea004,0x7e4000df,0x45fd1002,0xfa800efa,0x000ff60d,
    0xb957bff5,0x7d45fb10,0xbfe8800e,0x3ffa01ee,0x0bfffe67,0x03f33f10,
    0x00100400,0x03640136,0x1ec80000,0x4c004f88,0x20000002,0x3fa201ee,
    0x3201a600,0x9662fe42,0xb31e004a,0x0fec4000,0x00000000,0x106c0000,
    0x309f300d,0xffff509b,0xffffb0df,0xcfb803bf,0x744004fb,0x2001feaf,
    0x7eb99bee,0x3abfa200,0x93f2002f,0xd8801ee9,0xcfc8001f,0x744004fc,
    0x2001feaf,0xb8004fd8,0x5004fbcf,0x81fec1df,0x3fe63fea,0xd35c02ff,
    0x00000009,0x0d9004d8,0xee886e88,0xc80be200,0x22000007,0x99999999,
    0x00fb8099,0x025c0bd0,0x307fe054,0x3b00254b,0xd900015c,0x26660003,
    0x44001999,0x99999999,0x40099999,0x36012a3b,0x220be205,0x988099ec,
    0x7cc005d9,0x3f20002f,0x7ec4000d,0x8001efff,0x2e000efc,0x00fd882f,
    0x50000f64,0x640005ff,0x7ec000df,0x3fe60002,0x209f1002,0x7ec002fb,
    0x2e3e806f,0x26662007,0x02666200,0x05b8026c,0x3e607fcc,0x301b601f,
    0x9999883f,0x99999999,0x3fffe209,0xffffffff,0xa800fe21,0x000d101f,
    0x54b30df1,0x373a6004,0x00040006,0xffffff70,0x3fee007f,0xffffffff,
    0x4406ffff,0x4400edde,0xc83dc01f,0x00172006,0x06000022,0x01331000,
    0x88001800,0x00400400,0x00008800,0x1fb80018,0x00088000,0x40002004,
    0x21f98008,0xff9802f8,0xfff00fff,0x009b05ff,0x40aa0062,0x4017c02a,
    0x3fffee2f,0xffffffff,0x4ccc46ff,0x09999ed9,0x37400364,0x0017f6a2,
    0x54b30bf3,0x001a8004,0x20150000,0x6cde9999,0x273a6600,0x99999999,
    0x0033006c,0x0be201ea,0x05c801b2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x004f9800,0x00000000,0x1b200000,0x7dc40176,0x33e6200a,
    0x0d509b01,0xf1000000,0x4c3f8803,0x99999ce9,0x806c9999,0x003e805c,
    0x456747a8,0xff1001ec,0x00254b30,0xca980000,0x00fe41bc,0x00fccfc4,
    0x36401360,0x03dc0000,0x006c84d8,0xca880172,0x5cc001ac,0x4c400acc,
    0x06666009,0x2f332a20,0xbcb98001,0x79730022,0x2ea20045,0x22020abc,
    0x26660099,0x0000d901,0x008af2e6,0x055e5d44,0x3e000001,0x2000fa83,
    0x406d805d,0x0006b84d,0x80f98000,0xb03fffd8,0x201b2009,0x002f805c,
    0x50970f98,0x7fb0019f,0x4412a598,0x26660099,0xeffd8801,0x2fcaeffe,
    0x0274d700,0x36401360,0x37999510,0xdd007980,0x2e400d90,0x777fec40,
    0x74c00dff,0x0dffeeff,0x904fffa8,0x2e01ffff,0xffeeeffe,0xeffda804,
    0xa87ceffe,0xeffeeffd,0x3bfee07c,0x0f8cffee,0x6413ffea,0x3e80ffff,
    0x3ff6a000,0x07ceffee,0x3fbbbfee,0x25c0f8cf,0x201f5000,0x0fe2003f,
    0x76c01fa8,0x006dcccc,0x99802662,0xfb87a819,0x9b03f9ae,0x3201b200,
    0x000fc405,0x640952f8,0x1ff4402f,0x7d4254b3,0xfff904ff,0x0f7d401f,
    0x00bff6e2,0x001ee3e8,0x216e009b,0xfeeeffeb,0x200fc04f,0x006c87fa,
    0x5df30172,0x3205fd30,0x1fea80cf,0x2604d998,0x59900fa9,0x204fb881,
    0x2a20adfa,0x56fd47fd,0x21ff6a20,0xfd502fe8,0x04d9983f,0x3e03ea66,
    0x2a005441,0x36a20adf,0x02fe887f,0x5c83ffd5,0xc8176000,0x407dc006,
    0xefd804e8,0x5006eeee,0x3f209fff,0x235c0fff,0xd81fc4f9,0x900b7004,
    0x000f980b,0x101747f0,0xefc803db,0x4c12a5bc,0x2a6604d9,0x809f100f,
    0xf3002ffb,0xb0017c43,0x32062009,0x27dc40ac,0x77c40bd0,0x32006c87,
    0x2017e205,0x017d40fc,0x04d8076c,0x20000f98,0x00db00fb,0xe806d8fd,
    0x4c00ec87,0x009b01ff,0x50f981f3,0x203ffffb,0xc87e806d,0x0ffcc00e,
    0x7c4001b6,0x0007e602,0x200d90bd,0x2006b84d,0x26604d99,0x3235c0fa,
    0x4d81fc0f,0xb9003100,0x8001f880,0x00fa22f8,0xb98809d5,0x9b012a5d,
    0x3a01f300,0x7dd7dc05,0x5d86c800,0x1aa13600,0x00fb8000,0x3bd107f3,
    0x2006c81f,0x801b605c,0x800fe26e,0x3009b04e,0x2f80001f,0x8d300bb0,
    0x5469805d,0x03f7001f,0x03e60136,0x4cfbead5,0x805d83fc,0x800fd469,
    0x5436c1fb,0xddf503ee,0x9fdddddd,0x263f8800,0x509b001f,0x009b000d,
    0x746b81f3,0x09b03f84,0x172000d5,0x26000be0,0x00f6440f,0x52cc0176,
    0x9804d809,0x200fa80f,0x200fa3fb,0x000fa83f,0x000d709b,0x3ea02f80,
    0xf35fc9ad,0x32006c81,0x4003f105,0x800f71f8,0x3009b07a,0x2f80001f,
    0x70005f70,0x0bb0005f,0x01360580,0xf3d503e6,0xf703ee07,0x00bb0005,
    0x7c47e858,0xcdd81fff,0xdccccccc,0xd0fb8007,0x0826c009,0x01360088,
    0xc8d703e6,0x09b03f86,0x172000d7,0x2a000fa0,0x8037a607,0x2a59801d,
    0x4c026c04,0x2e06b80f,0x2a02e43f,0x2007f00f,0x6dcccced,0x017c0000,
    0xb8b7ff66,0x32006c86,0xd000f505,0x26667727,0x99999999,0x9804d81f,
    0x765d400f,0x202fabcd,0x01abcefc,0x1abcefc8,0x00001f40,0x81f3009b,
    0x2f403ff9,0x0d5e77e4,0x20000fa0,0x7fffd47e,0x4400fc43,0xcde8002f,
    0x0136000f,0x013603d8,0x88d703e6,0xed81fc1f,0x006dcccc,0x0d900b90,
    0xf700bd00,0x26012a07,0x09b012a5,0x09b01f30,0x01ee0fea,0x803640bb,
    0x6eeeeefd,0x6f65d400,0x2002fabc,0x06c85c80,0x035c1720,0xfffea6c0,
    0xffffffff,0x04d82fff,0xfd500f98,0xffdb99dd,0xfedb9805,0x2e600dff,
    0x40dfffed,0x200001f8,0x80f9804d,0x307a806f,0x1bfffdb7,0x80001f88,
    0x7fff40ff,0xbb0035c0,0x05ff3000,0x3a004d80,0x26013603,0x7ec3dc0f,
    0xfb03fabe,0x00dddddd,0x3e201720,0x007ea003,0x0b60f6c4,0x404a9660,
    0x80f9804d,0x703fa85d,0x3017c40d,0x709b003f,0x3bfaa00d,0x2ffedcce,
    0x5c1f4000,0x5c172006,0xbb4d8006,0x33333333,0xb0133333,0x701f3009,
    0x02f8039f,0x1ff65440,0x3feca880,0x800007e2,0x80f9804d,0x00f9802e,
    0x23feca88,0xf80001f8,0xe80aa80f,0x003ea003,0x36001b20,0xd80fa004,
    0x540f9804,0xffffd707,0x01ae1360,0xfc802e40,0x004e8800,0x04fdcfa8,
    0x20254b30,0x80f9804d,0x9027d46b,0x7777d40b,0x04feeeee,0x806a84d8,
    0x17c01cfb,0x503f5000,0xa827400f,0xd73f8007,0x026c0000,0x17e607cc,
    0x200017c0,0xfa8000fa,0x80000fe0,0x80f9804d,0x00f9804d,0x0fe0fa80,
    0x007fe000,0x7c000f98,0x005c8003,0x0fa004d8,0x0f9804d8,0x200007cc,
    0x0006a84d,0x0fec00b9,0x0001fd10,0xb3000be6,0x01360254,0x47e603e6,
    0x0fe204fa,0xcccccdd8,0xd807dccc,0x26110104,0x005f005f,0x7c417a20,
    0x102f8800,0x8fcc005f,0xb00001fa,0xb81f3009,0x305f000f,0x299ec005,
    0x05d8f600,0x20136000,0x806b80f9,0xd800a67a,0x10001763,0x0cb883ff,
    0x0555db51,0x0d76d54c,0x2200b900,0xaaaadeaa,0x3eaaaaaa,0x3e601360,
    0x00017c40,0x04404136,0xfb001720,0x07754437,0x000f2000,0x360254b3,
    0xb00f9804,0xec809f5d,0x1003f100,0x004d805f,0x8007dcf6,0x1fb0002f,
    0x7dc026c0,0x4003f200,0x00036c5e,0x0fd805c8,0x2fb80364,0x53a006c8,
    0xa93a006c,0x40e2001f,0x80fd805c,0x92ec02f8,0xf527400d,0xf11c4003,
    0x8ffff85f,0x0ffffffb,0xbfffffd0,0xa802e400,0xffffffff,0x3fffffff,
    0x3e601360,0x40006c80,0x00f6004d,0xff7000b9,0x8809ffff,0x4004b805,
    0xb9012a59,0x2201fb00,0x0fdc04ff,0x2ec00d70,0x3e801360,0x0bee00d9,
    0x803fd300,0x0fea02fa,0xfb0037a0,0x800df881,0x00fb82d9,0xfa81ffd1,
    0x0bff6202,0x3ee00ff2,0xf7007f92,0xb801ed85,0x201f705f,0xd500ffe8,
    0xfc83ea01,0x6c2fb803,0x25fb801e,0x3fea2ff9,0xa80003ff,0x02e4000d,
    0x05d10000,0x0fd805c8,0x20002f98,0x00fa004d,0x3e2000b9,0x0b3001bf,
    0x598005d0,0x01f7012a,0x4c03ffa2,0x2622dfff,0x01f402fe,0x26c01f50,
    0x0bea7d00,0x302ffd88,0x0077dd44,0x2e60cfa8,0x5fd3005f,0x80f75441,
    0x54c0afe9,0xdf880dfd,0x3ebbee61,0x305f742b,0x359f5dd7,0x204effe4,
    0x3ff24fc8,0x27e4409d,0x260dfec4,0x3e204fea,0x2bbee61d,0x39f902bf,
    0xff90fee2,0x4fc8813b,0x4c1bfd88,0x7fc44fea,0x03fffe21,0x00076000,
    0x80000172,0x00fb803b,0x3201ffd1,0x6c09102f,0x900fa004,0x5df5000b,
    0x5982a035,0x20017660,0xf1012a59,0x577dcc3b,0x467cc2bf,0xdffefffc,
    0x0007cc00,0x004d80fe,0x20bee8fa,0xacfaeeb9,0x3ffffe61,0xfea8003d,
    0x8003ffff,0xcffffffc,0xefffc800,0x4c01dfff,0x33fffeff,0x7ec41fff,
    0x3e4fffef,0xb3970fff,0x7dffdfff,0xfffd9cb8,0x5c03effe,0xcfffefff,
    0xfeff9800,0x1fff33ff,0x3ffffae0,0xffd9cb82,0x403effef,0xfffefffb,
    0x9303100c,0x3600005b,0x02e40061,0x04770000,0x2e61df88,0x882bfaef,
    0xfca9bdfd,0xe8013605,0x36aaaaa3,0x202aaaae,0xfffffffb,0x261ffcce,
    0xeeeeeeef,0xdddd3004,0x07bbfa5f,0x7fff7fcc,0x7c1fff33,0x04ddcc45,
    0x2abb6a20,0x3b6aa602,0x5bd5511a,0x55555555,0x7fec47d5,0x3fe4fffe,
    0x00d4c0ff,0x09ba8800,0x4ddcc000,0xaba98000,0x55d44001,0xaba88000,
    0x2ea20001,0x751001ab,0xa9800357,0x440009ab,0x40000aba,0x2a2001a9,
    0x4c001abb,0x00009aba,0x3a600000,0x555303fe,0x005555db,0x376f4400,
    0xfffdff30,0x403ffe67,0x82bdffeb,0xaaadeaa8,0xeaaaaaaa,0xffffff13,
    0x03ffffff,0x54c66f76,0x9980cdec,0x80009999,0x26219998,0x55d44009,
    0x00006000,0x7fffffdc,0xfffffd00,0x3ffffeab,0xffffffff,0xaba883ff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd00200,0x1fffffff,0x00980000,0x000aba88,
    0xfffa8000,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02444880,0x00009300,0x000002b8,0x44008008,0x10000400,
    0x1d400001,0x040040aa,0x00000000,0x00000ee0,0x08800075,0x01d40000,
    0x80003a80,0x2200003a,0x00ea0000,0x01880000,0x50000088,0x03a80007,
    0x00001100,0x00000015,0x06000000,0x000e4000,0x1ba26e88,0x0027d400,
    0x4005fb00,0x802dffda,0x901aa03d,0x0007cc0b,0x00017fcc,0x05f51fd4,
    0x406a80f6,0x0ceffec8,0x3dffda80,0x0013ea00,0x0001fdc0,0x00005fd3,
    0x54000fee,0x7d40004f,0xff980004,0x09f50002,0x15773000,0x7cc04e88,
    0x7dc0002f,0x0fee0003,0x00bfe600,0x000ffc80,0x1ba21ba2,0x7d41fd40,
    0x00efb803,0x001fd100,0x3a21dd10,0x4fc8000e,0x3fd10000,0x5defdc00,
    0x07d405fd,0x3e201fc4,0x7000bb02,0x0009f9bf,0x07f527d4,0x1fc407d4,
    0x9579df70,0x3f6203fd,0x00efcabc,0x0001bf50,0x70001fe4,0x0009f9bf,
    0x40003fc8,0x20000dfa,0x70000dfa,0x0009f9bf,0x200037ea,0xcffeeffb,
    0x7dc01db0,0x90004fcd,0x7e40005f,0xcdfb8003,0xffb0004f,0x07fcc003,
    0x32007fe6,0x205fc85f,0x01febfd8,0x00077440,0x1dd10ee8,0x005fb000,
    0x003ba200,0x4f983fa8,0x5ccdf740,0x39f9007e,0x4001fb71,0x3bea3fd8,
    0x527cc000,0x37dd009f,0x7e40fd73,0x3603f603,0x006e881e,0x10003be6,
    0x220005fb,0x03bea3fd,0x003fb100,0x003be600,0x000ef980,0xefa8ff62,
    0x0ef98000,0x417fb100,0x01fdefa8,0x77d47fb1,0x03fb1000,0x007f6200,
    0x7d47fb10,0x26cc000e,0x2a815400,0x71017100,0xc83be601,0x1bf3003f,
    0xc83ee000,0x1fb8000e,0x03ba0000,0x7dc09d00,0x3fff6200,0xf91001ef,
    0x8005dfff,0x06e881ec,0x013e2fc0,0x77fffec4,0xf1006a01,0x2203fa8b,
    0x17a2003f,0x0003d900,0x37440f64,0x0007b200,0x000bd100,0x32005e88,
    0x006e881e,0x3a00bd10,0x0ffa201e,0x6e881ec8,0x0003d900,0x64000f64,
    0x006e881e,0x00000000,0x17e20000,0x2fc01fd4,0x11022000,0x00022000,
    0xf7000100,0x401fc401,0x20000998,0x01000099,0x08080010,0x00998800,
    0xf91b6000,0x1000b900,0x80000800,0x04000800,0x00200000,0x01000400,
    0x00800010,0x7c400fb8,0x0200205f,0x04000040,0x01001000,0x00000000,
    0x00800000,0x00040044,0x00000000,0xb0000000,0x000d900b,0x00000000,
    0x00000000,0xb8000000,0x3dc026c7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1fc40000,0x07e7ba20,0x00000000,0x00000000,0x57975100,
    0x04cc4041,0x20033330,0x001acca8,0x20000000,0x26600998,0x97510019,
    0x22004157,0x2ca80aca,0x3ea00ba0,0x2b32e600,0x332a2000,0x998801bc,
    0x99988009,0x56654400,0x66544001,0x9d00001a,0x05d806c8,0x00d66544,
    0x37999510,0x40133100,0x33101999,0x80cccc01,0x26600998,0xcca88019,
    0x544001bc,0x8001bccc,0x400accb9,0xb0fd806c,0xacca880b,0x66544001,
    0x65cc001a,0x5cc000ac,0x2e000acc,0xcffeeeff,0x3ffea0f8,0x1ffff904,
    0x777fec40,0x26200dff,0x22000999,0x54009999,0xff904fff,0xffb801ff,
    0xf8cffeee,0xfeffe980,0xdfdfd11f,0xf3005f01,0xddffd303,0x75c01bff,
    0x4ffeeeff,0x17ffffc0,0x1fffff50,0xfddffb10,0xfd8801bf,0x00dffeef,
    0xf30bea00,0x8817cc05,0xdffeeffd,0x3bffae00,0x2a04ffee,0xff904fff,
    0xfffa81ff,0x1ffff904,0x904fffa8,0x2e01ffff,0xffeeeffe,0xeffeb804,
    0x3004ffee,0xbffddffd,0xf700fa01,0xfd883d43,0x00dffeef,0x7f77fec4,
    0x7f4c00df,0x00dffeef,0x7f77ff4c,0x3fa200df,0x83ffd502,0x26604d99,
    0x5df300fa,0xf505fd30,0x200dffff,0x06fffffa,0x2604d998,0xfd100fa9,
    0x07ffaa05,0x8ed8872e,0x88dd31ee,0x42f8801f,0xfea80cfc,0x88159901,
    0x3ee204fb,0xce988019,0x982ef980,0x5df302fe,0x4005fd30,0xdd03feb8,
    0x301db303,0x5fd305df,0x7102b320,0x26ccc09f,0x301f5330,0x54cc09b3,
    0x04d9980f,0x6403ea66,0x27dc40ac,0x7102b320,0x0cfc809f,0x2f81fea8,
    0x1f30fe60,0xe982ef98,0x05df302f,0x3f205fd3,0x01fea80c,0xfd5019f9,
    0x3003b203,0x013603ff,0x17e203e6,0x26603f20,0x26006c99,0x2006c999,
    0x00f9804d,0xff9801d9,0x3ffe2001,0x1f317c40,0x2fa8be00,0x0000ed80,
    0x07cc01f7,0x3e20be00,0x440fc805,0x00fc805f,0x017fffdc,0x3faf3bf6,
    0x805f880d,0xf70000fc,0x9804d801,0x2013600f,0x013600f9,0xb80003e6,
    0x7dc0000f,0xb005f500,0x880fc41d,0x7c45f05f,0x440fc805,0x40fc805f,
    0x0ed802fa,0x76c017d4,0xb800fd40,0x3009b01f,0x400db01f,0x006c806e,
    0x4d801b20,0xfa80f980,0x003f7001,0x4d703fd8,0x25f000f9,0x13a003f8,
    0x7c02f800,0x0f984b82,0x1ba006d8,0x037400db,0x017fb2a2,0x3ffffff1,
    0x6e801b60,0xb00be000,0x401f3009,0x00f9804d,0x03e60136,0x0005f000,
    0x07f105f0,0x01f32740,0x362f81ba,0xdb1ba006,0x7f137400,0x7f127400,
    0x17627400,0x026c0b00,0x07e207cc,0x6401f880,0x01b20006,0x0f9804d8,
    0x02c005d8,0xf9807e40,0x3e001f30,0x7a800f72,0xb00be000,0x5c1ff889,
    0x2001f886,0x003f11f8,0xd3000fc4,0x13bd301d,0xf883f931,0x007e2001,
    0x136017c0,0x4d803e60,0x3600f980,0x000f9804,0x400017c0,0x4007b82f,
    0x3207e27a,0x223f100f,0x47e2001f,0x3e2001f8,0x7a800f71,0x8f5001ee,
    0x3600003e,0x540f9804,0x403e8007,0x1b20006c,0xf9804d80,0x00003e80,
    0x7ede6dcc,0xf9999999,0x3e001f31,0x33333b92,0xf3333333,0x37b2ea03,
    0x5c02fabc,0x32277dc6,0xe8007a85,0x7d000f53,0x4c6d8800,0xa8bea03f,
    0x503e8007,0xf579bd97,0x9804d805,0x2013600f,0x013600f9,0x975003e6,
    0x05f579bd,0x79bd9750,0x33b905f5,0x33333333,0x217c3f33,0x43e602fa,
    0x53e8007a,0x327d000f,0x9999999d,0x91f99999,0x3333333b,0x23f33333,
    0x200001f8,0x40f9804d,0x04d8006b,0xd9000364,0x4c026c00,0x000fc40f,
    0x67ffe440,0xffffffed,0x3f12ffff,0x3fa3f100,0xffffffff,0x542fffff,
    0xedcceefe,0x23d402ff,0x41f47bcd,0x74d8006b,0x009b000d,0x02e43f10,
    0x000d72e4,0xeefea89b,0x02ffedcc,0x07cc026c,0x1f3009b0,0x7cc026c0,
    0x9ddfd500,0x405ffdb9,0xdcceefea,0xffe82ffe,0xffffffff,0x8fa2ffff,
    0x73d403f9,0x2e9b000d,0xfd4d8006,0xffffffff,0x3a5fffff,0xffffffff,
    0x12ffffff,0x6c00003f,0x5c0f9804,0x404d8006,0x1b20006c,0xf9804d80,
    0x0000fc40,0x3206fba2,0x9999999e,0x2600fe09,0x3333bb0f,0x33333333,
    0x00e7dc13,0x23f100be,0xf11f89f8,0xb000d703,0x36001ae9,0x747d0004,
    0xd70f9802,0x7dc9b000,0x2017c01c,0x00f9804d,0x03e60136,0x0f9804d8,
    0x7c01cfb8,0x8039f702,0x999dd82f,0x99999999,0x745ee099,0x1ae5e805,
    0x035d3600,0x99dda6c0,0x99999999,0x33bb0999,0x33333333,0x01fc1333,
    0x3009b000,0x8007a81f,0x0036403f,0x26c00d90,0x1fc07cc0,0x803f2000,
    0x0274007c,0x000d73dc,0x5f005f98,0xd9ee7d00,0x01ea0f34,0x003d4fe0,
    0x5c8001fc,0x47e003f1,0x33f8007a,0x00be00bf,0x01f3009b,0x07cc026c,
    0x1f3009b0,0x5f005f98,0x3e00bf30,0x80006b82,0x400edbf8,0x001ea1fa,
    0x4003d4fe,0x8000d73f,0x5d80006b,0x01360000,0x05f103e6,0x3200fcc0,
    0x01b20006,0x0f9804d8,0x640005d8,0x000fe405,0x54bd00f9,0x3ee0001f,
    0x9005f000,0xd77b936b,0x9800be20,0x4005f11f,0x7d0001f9,0x87cc017c,
    0x3e6002f8,0x3e001f71,0x4c026c02,0x2013600f,0x013600f9,0x01f703e6,
    0x03ee0be0,0x0fd417c0,0x0ffdc000,0x5f113a20,0xf88fcc00,0x547e6002,
    0x3ea0001f,0x0fd40001,0x17207100,0x3f203f60,0x900bd000,0x0364000d,
    0x1fb00b90,0x44003f50,0x9fd01ea3,0x3017cc00,0x0006d83f,0x17dc01b2,
    0x10fc75c0,0x7e409b3f,0xfc8bd000,0x000bd000,0x805d87ea,0x8007e47c,
    0x5c01b25e,0x402e402f,0x017200fd,0x05c803f6,0x03640fd8,0x06c82fb8,
    0x1b605f70,0x07bea000,0xfc80fe88,0xfc8bd000,0x6d8bd000,0x0036c000,
    0x5c00f6c0,0x201f705f,0xbd00ffe8,0x800fd801,0x1b20006c,0xd100fb80,
    0x07b601ff,0x3f897ee0,0x301fffb0,0x880ed85d,0x00df885e,0x05f52d98,
    0x4017fec4,0xfcd87cf9,0x2006f402,0x00de80fd,0x03b907ec,0x17cc4f98,
    0x1bd05f30,0x3ea0fd80,0x0bff6202,0x3a201f70,0x03ee00ff,0x7007ff44,
    0x3ffa201f,0xb1017d40,0x05f505ff,0x8817fec4,0x2d9800df,0x82ff73e2,
    0x3a00efb8,0x407ec00d,0x07ec00de,0x260037e2,0x0037e22d,0x7fb10b66,
    0x04fea983,0xfb9877e2,0xe982bfae,0x3baa20af,0x000d9001,0xbf100364,
    0x7d77dcc3,0x1bfd882b,0x5427f54c,0xbdfb10bf,0x37ee27fb,0x98577c40,
    0x5fd301fd,0x0dfda981,0xeb982fba,0x401acfae,0x0ffa84ff,0x1057f4c0,
    0x3a603dd5,0x3baa20af,0x04e7f4c1,0x3ee0bf93,0x413f220c,0x2a20afe9,
    0x0bee81ee,0x33ebbae6,0x43bf101a,0x2bfaefb9,0x5cc3bf10,0x102bfaef,
    0x77dcc3bf,0x5f742bfa,0x3ebbae60,0x05f741ac,0x59f5dd73,0x815fd303,
    0xd10dfda9,0x7ffffdcb,0xafe9804f,0x407baa20,0x2a20afe9,0x5fd301ee,
    0x0dfda981,0x26057f4c,0xf700dfda,0x19fffdff,0xffdff300,0x03ffe67f,
    0x7fffffe4,0xaaaa980c,0xaaaaaeda,0x2aaaaa61,0x1aaaaaed,0xfffdff30,
    0x403ffe67,0xfffefffb,0x3bfee00c,0xffb4b8ef,0x7ec407ff,0xc800efff,
    0xdfffefff,0xfeffd881,0x3fffe4ff,0x2207f600,0x3ff2007f,0x800cffff,
    0xcffffffc,0x3fffaa00,0x74c02fff,0x802fffff,0xcffffffc,0xfdffb100,
    0x7fffc9ff,0xffdff300,0x03ffe67f,0x7fff7fcc,0x201fff33,0x3fffeff9,
    0x6c41fff3,0x24fffeff,0x3620ffff,0x24fffeff,0xf900ffff,0x3bfffdff,
    0xba980fb8,0xfffc8001,0xc800cfff,0x0cffffff,0xfefffc80,0x7e401dff,
    0x1dfffeff,0x13575300,0x0aba8800,0x4ddcc000,0x3ffff600,0xffffffff,
    0x3fffff66,0x6fffffff,0x002aea20,0x13575300,0x300dcc00,0x55440037,
    0xaba98000,0x35751001,0x00000000,0x0026ee60,0x0026ee60,0x80035530,
    0x98001aa9,0x510009bb,0x88000357,0x20000aba,0x0000aba8,0x0002aea2,
    0x0006aea2,0x000d5d44,0x00d5d4c0,0x80000011,0x80009bb9,0x80009bb9,
    0x8001aba9,0x0001aba9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000b8000,0x20000000,0x8003ccb8,0x3221ccc8,
    0x001e65c1,0xccb88000,0x0014c003,0x06a00000,0x00980044,0x00040080,
    0x2e6000ea,0x6544001b,0x50ccc0ab,0x99999999,0x80089999,0x66666400,
    0x080bcccc,0x70000040,0x204cc417,0x0001bca8,0x01001000,0x44013333,
    0x4cc40999,0x00666600,0x44003900,0x4c41bcba,0x02004019,0x88000000,
    0xfb0002cb,0x13ea0003,0x880013ea,0x98006fed,0x9ffa2fee,0x0006eed8,
    0xdfdb1000,0x01ffcc00,0x5f985f98,0x567ff400,0xf9805feb,0x827cc005,
    0x172001fb,0xffffe880,0xeffb800e,0xfff34ffe,0x3bbbbeeb,0x0feeeeee,
    0x205c80ba,0xeeeeeef8,0x27c41eee,0x80002fa8,0xfff14ffb,0x3bbffa2d,
    0xb71005ff,0xed805bff,0x7dc6e881,0xff307fff,0x3fea1fff,0xffff904f,
    0x3fb10001,0x3bbfee00,0xfff91fff,0x640bea07,0x9ddb300f,0x7ec00005,
    0xf90003ff,0x0df90005,0x20000df9,0x17c0006c,0x01ae0df9,0x1b200000,
    0x005ffa80,0x0ff50ff5,0x9fffb100,0x017e6003,0xfd837ea0,0x802e4003,
    0xdd70aee8,0x541ff401,0x2e19fadf,0xeb8f5006,0x2202f880,0xdf30001f,
    0xe8027e41,0x88bfa600,0x81ef9ec9,0x7fcc05fa,0x00dfcbbd,0x77cc5fb1,
    0x009cf980,0x33037a62,0x7d4cc09d,0x0ff44000,0x440cfd80,0x019ecbfc,
    0x5fd127dc,0x74c2fa60,0xffd00002,0x7dc0009f,0x405c4004,0x644000b8,
    0xccfecccc,0x642f8001,0x0000d703,0x800d9000,0x06a001dc,0xeb8800d4,
    0x005eabef,0x4c0017e6,0x001eeaee,0x3f7005c8,0x3f209f10,0x21ffa200,
    0x88d9004a,0x6eb98bef,0x0000fc40,0x05fd5fd1,0xd3007e20,0x1013fee0,
    0x033ea0bd,0x9f7017a6,0x06c809f7,0x26c03f30,0x30007cc0,0x3ee001df,
    0x02ffd401,0x1df5df30,0x000d5000,0x0037b6a0,0x0007f500,0xee980000,
    0x2eeffeee,0x3e62f800,0x0000d700,0x000d9000,0x40000000,0x1f441bec,
    0x0001a880,0x80006fec,0x40bb005c,0x802f986d,0x7c0007f9,0xffffe983,
    0x00fc400d,0x0077e400,0x7c403f10,0x200df702,0x406e82f9,0x7fcc03f8,
    0x802f8802,0x4026c05d,0x37e000f9,0x007f3000,0xd10017f2,0x2dc0009f,
    0x00000000,0x00000130,0x01b20000,0x00e45f00,0x000000d7,0x00000d90,
    0x40000000,0x000001f9,0xc98000c0,0xb0111cff,0x3643dc09,0x4000fb00,
    0x266200f9,0x003f1000,0x22000600,0xb80a201f,0x5132001f,0x00d9001f,
    0x03640011,0x09b007e2,0x04001f30,0xf001ae00,0x0006000b,0x0003b72a,
    0x00000000,0x2b32e600,0x565c4000,0x5cc03640,0x70017c1c,0x0acca88d,
    0x0565c400,0x65cc01b2,0x2a2000ac,0x0001bccc,0x00eb8131,0x00000000,
    0x36f37f62,0x04d84eff,0x80136176,0x1ae0007b,0x07e20000,0x22000000,
    0x9999afa9,0x07dc0099,0x0298d500,0x00000f50,0x036405f1,0x07cc026c,
    0x09b00000,0x00005d80,0x037f6a00,0x0001f4c0,0x09999880,0x77ff4c00,
    0x5400dffe,0x0effeefe,0x77ec40d9,0x005f1ffe,0xddffb35c,0xfd5007ff,
    0x321dffdd,0x77ff4c06,0x2e00dffe,0xffeeeffe,0xfff91004,0x07f11bff,
    0x00133331,0x4404ccc4,0x407b601a,0x884d84fc,0x003e81fc,0x4e8001ea,
    0x01333310,0x54c47e20,0x4ccc4009,0xfff98009,0xffffffff,0x001ee01f,
    0x2e0001f3,0x4ccccc47,0x20199999,0x005f106c,0x01f3009b,0xbca88266,
    0x2001f401,0x8826605c,0x90001bca,0x01df700d,0xfff50000,0x7e400dff,
    0x01fea80c,0xfd8819f5,0x3dd106c9,0x002f9fb8,0x20bba3ae,0x9f500efb,
    0x6c9fd881,0x2a033f20,0x159901fe,0x4c04fb88,0xda98abfe,0x7fd46cbf,
    0xf3005fff,0x7f4c5fff,0x07dc2fff,0x993613a0,0x09b02ffe,0x88003dc0,
    0xffffa81f,0xd9f1006f,0x01bfffff,0x0dfffff5,0x26bea620,0x40099999,
    0x1ea000fb,0x7f45d800,0xffffffff,0x05f100ff,0x013600d9,0x3ff603e6,
    0xfffdff94,0xb0013603,0x653ff60b,0x01fffeff,0xe980fc40,0x0079803f,
    0x0d933330,0x3600bea0,0x2017d40e,0x1d906efb,0x800bfee0,0x74405efb,
    0x5c02fa85,0x05f506ef,0x20001db0,0x1bf300fb,0x207efd40,0x005c9999,
    0x7dcbe662,0x3e83f22d,0x24d81980,0xc82efec9,0x001f6006,0x333303dc,
    0x3fe200d9,0x1dd511bd,0x0d933330,0x0001f880,0x6c8007ee,0xe83f5000,
    0x9999999c,0x236404fa,0x09b002f8,0x3a601f30,0x7ed42fdd,0x7c006b81,
    0x3f77a605,0x000fed42,0x1bf901f1,0x0001ea00,0x1fc40364,0x04f89d00,
    0x5f30dfb0,0x2002fe80,0xfa800ffb,0xfd8027c2,0x2003f886,0x0be0004e,
    0xffa802f4,0x8002e402,0x4103fcbf,0x360001f8,0x98bf9104,0x07f9802f,
    0x64009b00,0xd1006006,0x800d900b,0x2e0001f8,0x07f3006f,0x9d07f300,
    0x4402f440,0xd801b22f,0x200f9804,0x13e00efd,0x7e400fe6,0x0077ec05,
    0x4c37b09f,0x017f4c3d,0x0000fd30,0x01ee01b2,0x0034cf50,0x00d90df1,
    0x7dc005f5,0x69976002,0x2e1be200,0x003d4007,0x01f505f0,0x32017e40,
    0x5fff0005,0x0003e600,0x1fcc04d8,0xfe8803f2,0x02f88007,0x00001b20,
    0x06c803f3,0x0000fc40,0xe8809ff7,0x04f98005,0x00774059,0x005f16c8,
    0x07ec02ec,0x7c801fb0,0xfa803f70,0x007ec05f,0x3fb221f2,0x37f222de,
    0x3660b2a0,0x900002df,0x333b900d,0x33333333,0x001723f3,0x1009b0dd,
    0x07dc005f,0x02e4f700,0x27721ba0,0x99999999,0x7501f999,0x5f579bd9,
    0xf9800b90,0x8002e403,0x3e2001ef,0x01360001,0x07fd03ee,0x000f5bf5,
    0x06c800f5,0x403e8000,0x0fc4006c,0xdd3d7000,0x001df503,0xb0004f98,
    0x57c4001d,0x07ec006c,0x200ffe88,0x00f9804d,0xfc8819fb,0x026c05ca,
    0x2a0007cc,0x26fcc2ef,0x000077ee,0xffd00d90,0xffffffff,0x0fa5ffff,
    0x07d0d900,0x7b800be0,0x3e87cc00,0x7f436400,0xffffffff,0x542fffff,
    0xedcceefe,0x004d82ff,0x17201fc4,0x40017c00,0x1360004e,0x7fdc1fc0,
    0x0f34ffee,0xc800bb00,0x4d800006,0x22003640,0x5ae0001f,0xffeeffe8,
    0x04fa8004,0x0001f900,0xd8005fd9,0x3bee61df,0x09b02bfa,0x7d401f30,
    0x91fffeef,0x9804d80b,0x9fb1000f,0x4c997d01,0x9000003f,0x333bb00d,
    0x33333333,0x000f6133,0x2007d0db,0x01ee002f,0x00f61f30,0x33bb0db0,
    0x33333333,0x67dc1333,0x26c17c01,0x9007e200,0x00be000b,0x11007ea0,
    0x136009b0,0x304de544,0x005f000f,0x800006c8,0x0036405c,0xb80007e2,
    0x055e5446,0x0027d400,0x10001fb8,0xbdb000df,0x267fffdf,0x04d80fff,
    0x4c400f98,0x02e40acb,0x03e60136,0x5c07bee0,0x00364996,0x700d9000,
    0x05b8000d,0x026c3740,0xf70017c4,0xb735c001,0x6b86e800,0x02fcc000,
    0x006c82f8,0x172007d4,0x80017c00,0x09f703fd,0x01b2009b,0x2a003cc0,
    0x0364000f,0x20274000,0x0fc4006c,0x000d7000,0x0009f500,0x88000bea,
    0x14d8002f,0x9b000157,0x0001f300,0x04d80b90,0x36200f98,0x643e604f,
    0x00000fa4,0x1fa806c8,0x003e6000,0x035c37c4,0xf70017d4,0xf32ec007,
    0x21be2001,0x2e0001fa,0x505f000f,0x03e4001f,0x2f8002e4,0x37fee000,
    0x9b03efec,0x000bb008,0x0b9001ee,0x0000d900,0x06c805f0,0x0000fc40,
    0xb80000d7,0x7f50003f,0x006c8000,0x200009b0,0x00f9804d,0x6c05c800,
    0x200f9804,0x91f401ee,0x00002749,0x1b600d90,0x2009f000,0x02f886fd,
    0xf70017f4,0x83f5001f,0x0dfb004f,0x6c8001b6,0x3a05f700,0x007d1005,
    0x0be000b9,0x7dd71000,0x3e24d801,0xb0004f80,0x003f800b,0x009806c8,
    0x6c801f90,0x0017c400,0x40000d70,0xf30003fb,0x7c400409,0x009b0003,
    0x26013600,0x5c80000f,0x7cc026c0,0x1ae00200,0x54036499,0x006c8006,
    0xb3001bf1,0x3201fcc5,0x01d906df,0xb800bfb2,0x3e600eee,0x6403f983,
    0x1bf106df,0x3ea5b300,0x0bff6202,0x3a202fcc,0x000b9006,0x640000be,
    0x3e89b005,0x64000fcc,0x03e6002f,0x3201b200,0x017d403f,0x37400364,
    0x035c0440,0x002fc800,0x2e809f10,0xb0003e40,0x13600009,0x00003e60,
    0x009b0172,0xf80001f3,0x34ffeeee,0x007b809f,0x3a6006c8,0x7ed4c0af,
    0x20efcc0d,0xaaec8ee9,0xc887fa20,0x201acf8e,0x15fb6daa,0xf302fe44,
    0xc8ee983b,0x7f4c0aae,0x6fed4c0a,0xb982fba0,0x81acfaee,0x2e60aefa,
    0x0b9001ef,0x0000be00,0xd55102e4,0xe88f5c3b,0x1fe54005,0x4001ae00,
    0x5df7006c,0x8027e4c1,0xbfb8006c,0x41ff5cc1,0xfc80006b,0x74458802,
    0x2203e805,0x1360003f,0x4026c000,0xc80000f9,0x4c026c05,0xc800000f,
    0x884efdc4,0x2a606fda,0xaaedaaaa,0x3f201aaa,0x1dfffeff,0x3fbff660,
    0x5fff90df,0x1dfdffb0,0x7c417ffe,0x3bff26ff,0xd9802fff,0x90dffeff,
    0x3f205fff,0x1dfffeff,0xffeffd88,0x03fffe4f,0x3ffbff62,0x5555303f,
    0x55555db5,0xcfaaa983,0x002aaaaa,0xfff502e4,0x7ffec4df,0xffff300d,
    0xb0005fff,0xaaaa9807,0xaaaaaeda,0xffffd981,0xaaa982ff,0xaaaaedaa,
    0x7ffdc01a,0x221dffff,0x7fffffff,0x5567cc00,0xcaaaaaaa,0x2aaffa0f,
    0x3faaaaaa,0xfffffff5,0x4d8001ff,0x6f554000,0x57f9501a,0xffffd800,
    0x3aaa2fff,0x7f9501ad,0x4c800005,0xfffffea8,0x7ffec02d,0xffffffff,
    0xaba9806f,0x01ba8001,0x002ea200,0x0d5cc000,0x001ba800,0x01aba980,
    0x00357510,0x01aa9880,0x7fffffec,0x26ffffff,0xfffffff8,0x001fffff,
    0x2200012e,0xaaa9801b,0x4000000a,0xfffffffd,0x407fffff,0x3f601aa8,
    0xffffffff,0xa8806fff,0x2a6009bb,0x001aaaaa,0x7fffffcc,0x0fffffff,
    0xfffffff1,0x547fffff,0x1aaaaaaa,0x00008800,0x1bffffe2,0x03ffffe6,
    0xaaaaa880,0xffff10aa,0xffff30df,0xf500001f,0x2aa209ff,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x41330000,0x000acca8,0xcd980910,
    0x32200001,0x00000000,0x001c9800,0x22026600,0x000001ca,0x4c000000,
    0x000000cd,0x5104cc00,0x22000379,0xcccc8802,0x9991003c,0x2e200799,
    0x2200003d,0x100003db,0x4c799999,0x9999981c,0x99999881,0x01666419,
    0xbba88000,0x988009aa,0x20001acb,0x01401bb9,0x40003991,0x20abcba8,
    0x01333100,0x99100351,0xff700003,0x3ffbff29,0x2fcc002f,0x6da9de88,
    0x0ee88000,0xfffff900,0xfb80bfff,0x6fffffff,0x00007fe8,0x7f5c9ffb,
    0x7403ffef,0xffffffff,0x0003a004,0x17ffbfb0,0x3f200f91,0x5fffffff,
    0x7e53ff60,0x001fffef,0xd3013fe2,0x200bfddd,0x05feeee9,0x003ebed8,
    0x07d7db00,0x3bba6000,0xb1ffa5fe,0x49ffffff,0xfffffff9,0x09fdb36f,
    0xfff70000,0xc81ffffd,0xffdfff72,0x7fe4005f,0x4c0dffee,0xfeefb80f,
    0xb801f70c,0xcffeeeff,0x7ffcc0f8,0x3fffa62f,0xfddf702f,0x0003ee19,
    0x415fbbd3,0xf5001fda,0x1641dc0b,0x01df3000,0x55555440,0x54401aaa,
    0x1aaaaaaa,0x00006fc8,0x37f29d31,0x405f710a,0xaaaaaaa9,0x03f1000a,
    0xf70ecc00,0x22005fff,0xaaaaaaaa,0x7eef4c01,0x800fed42,0xc8005ffa,
    0x01720005,0x00000790,0x40000079,0x311bf25c,0x310339d3,0x0133f733,
    0xa800009d,0xe80981cf,0x64c1bfed,0x5fec404f,0xb83baa20,0x7fd45d07,
    0x3fa203ff,0x03ffd502,0x3ee5f331,0x3a03f22d,0x0ffffea2,0x0077ec00,
    0x09f700bf,0x005880e8,0x0000bf50,0x90000000,0xdd800007,0x07ee01fe,
    0x3e200000,0xb8800001,0x0000000b,0x3e00efd8,0x00772004,0xc8001720,
    0x001e4005,0x0001e400,0x03c8b900,0x87a80136,0xcccefcc9,0xbf0000cc,
    0x01bfd000,0x3ba04fc8,0x2a3ba201,0x2ea2004f,0x20076401,0x5fc01ff9,
    0x800103fc,0x360001ba,0x203dc00e,0x034402fa,0x09f1000d,0x00000000,
    0x0001f500,0x801ffd80,0x8000004e,0x000001f8,0x80000000,0x03e400fd,
    0x05c80000,0x90017200,0x79000007,0x2e400000,0x026c01f5,0xfdd70f50,
    0x03bddddd,0x0003f100,0x0fe400fd,0xee8007dc,0x800000ef,0x3f7001fa,
    0x002fff80,0x6c000000,0x400f9804,0xb303b000,0x00002000,0x006b32a2,
    0x01599730,0x400000e4,0x0d7000ed,0x0de66544,0x9afa9880,0x10099999,
    0x4ccc0133,0x40133101,0x26c01999,0x00007cc0,0x0002e400,0x03c800b9,
    0x7901ea80,0x80b91000,0x9b00725c,0x3a03d400,0x3e600004,0x004d8000,
    0x00fe2374,0x51005f98,0x5d803599,0x77c02c00,0x32a20001,0x40001bcc,
    0x00f9804d,0xd8895000,0x80000001,0xffeeffd8,0x7ff4c00d,0x400dffee,
    0x2f2a2099,0x4009b001,0xeffeb87a,0x4c04ffee,0xffffffff,0x7d42ffff,
    0xfff904ff,0x4fffa81f,0x01ffff90,0x07cc026c,0x4cccccc4,0xc8019999,
    0x01720005,0x6c400790,0x000f204f,0x5c803df5,0x50026c00,0x2a24e80f,
    0x4c400acc,0x08000fa9,0x320fb800,0x404d8006,0xffeeffd8,0x0007d00d,
    0x20005f00,0xfeeeffeb,0x1360004f,0x99883e60,0x99999999,0x3eccec81,
    0x02666200,0xef9806a2,0x902fe982,0x3fd5019f,0x7e53ff60,0x401fffef,
    0x03e6004d,0xfb881599,0x57d4c404,0x00999999,0x4cc09b33,0x4d9980fa,
    0x803ea660,0x80f9804d,0xfffffffe,0x6400ffff,0x5c800625,0xa801e400,
    0x01e401ef,0x9004fd88,0x004d800b,0x329d01ea,0x02ffeeff,0x003ffff6,
    0x17cc0000,0x0d50007d,0x74c177cc,0x000fc42f,0x80017c00,0x7dc40acc,
    0x009b0004,0x7fff41f3,0xffffffff,0x32605500,0x17fffcc5,0x85ffffd3,
    0x0fc805f8,0x76c017d4,0x5fbbd300,0x3601fda8,0x003e6004,0x22003ee0,
    0x1360001f,0x4d803e60,0x3600f980,0xe80f9804,0x9999999c,0x75c804fa,
    0x02e400df,0xfb100f20,0x200f2009,0x32001efb,0x0026c005,0xeece80f5,
    0x880fe441,0x0000fa99,0x2f8fa000,0xf1079800,0x441f900b,0xf800001f,
    0x2e000002,0x04d8000f,0x273a0f98,0xfa999999,0x3bb26004,0x2f99880b,
    0x07e45bf7,0x137400db,0x0274007f,0x27c01dfb,0x7cc009b0,0x005f0000,
    0x6c0003f1,0x200f9804,0x00f9804d,0x03e60136,0x05e8813a,0x019fdd90,
    0x0dd8ae40,0xefb80f20,0x880f2001,0x5c8003fe,0x50026c00,0x00efe80f,
    0x03e6017e,0xcccccb80,0xcccccccc,0x03f14ecc,0xdb03f100,0x0fe37400,
    0x00be0000,0x005f0000,0x1f3009b0,0x0bd10274,0x017bf930,0x81fe5fc0,
    0x88007e20,0xa800f71f,0x9003f607,0x30026c0f,0x0be0001f,0x80007e20,
    0x00f9804d,0x03e60136,0x0f9804d8,0x03ba02c8,0x0037fa20,0x27fdd720,
    0x3ffffff6,0x3267fd34,0x7ffec1ce,0x3bee4fff,0x3200b2a1,0x0026c005,
    0x00ee80f5,0x07cc03e4,0xdddddd00,0xdddddddd,0x03e69fdd,0x3e217c00,
    0xd87e2001,0x2f800005,0x17c00000,0x4c026c00,0xee80b20f,0x17bf9500,
    0x0bffe000,0x74003d40,0x33333b93,0xf3333333,0x26013603,0x4009b00f,
    0xd97500f9,0x205f579b,0xfffffffc,0x09b005ff,0x26c01f30,0x9b007cc0,
    0x8001f300,0x7e4400ed,0x5720005f,0x5c002ffa,0x2a3bb0ef,0x3fa6003e,
    0x402efc43,0x026c005c,0x04e80f50,0x7cc00f98,0x000fa000,0x003f14d8,
    0x00f507e0,0x00fd47d0,0x02f80710,0x6f65d400,0x8002fabc,0x00f9804d,
    0xbf901db0,0xdf000015,0x0035c003,0xffffea6c,0xffffffff,0x009b02ff,
    0x013601f3,0xefea8798,0x2ffedcce,0x57f75510,0x36003555,0x200f9804,
    0x00f9804d,0x03e60136,0x5400fc80,0x0005caff,0x20018972,0x21a63fe9,
    0xdfc800f9,0x805bbd80,0x026c005c,0x04e80f50,0x7cc00f98,0x00136000,
    0x000be3f8,0x001ae1e6,0x003db136,0x02f80bf7,0x9ddfd500,0x005ffdb9,
    0x0056f54c,0x1f9001f3,0x7f540260,0x005f000c,0x4d8006b8,0x333333bb,
    0x13333333,0x3e601360,0x4c009b00,0x200e7dc7,0x01f8802f,0x26013600,
    0x2013600f,0xdeaa80f9,0x57f9501a,0x7003f700,0x80017219,0xbf90005c,
    0x300fc001,0x5dae05fd,0x4005c805,0x7a80544d,0x7cc02740,0x0007cc00,
    0x3e2000d9,0x2a000fa1,0xd8006b86,0x20dfec44,0xa984fea9,0xaaaacfaa,
    0x073ee02a,0x7f4005f0,0x3e605fff,0x000fdc00,0x0f5c4674,0x2a0017c0,
    0xd73f8007,0x04d80000,0x09b00f98,0x0bf33d40,0x3e200be0,0x01360001,
    0x04d803e6,0x7fc40f98,0xff986fff,0x3ea00fff,0x00b90002,0x2a002e40,
    0x2e4002fe,0x100dfc88,0x32016e3f,0x3a26c005,0x4e80f503,0x4c00f980,
    0x03ea000f,0x0d91ea00,0x0f509d00,0x3ee07f00,0x0cfffeff,0xffffff88,
    0x81ffffff,0x05f005f9,0x07cc0000,0x50005f50,0x5f00b309,0x002f8800,
    0x00fd47e6,0x3009b000,0x8013601f,0x4003ee6a,0x01f8802f,0x26013600,
    0x2013600f,0x000000f9,0x8000fea0,0x1720005c,0x000df980,0x2fd80764,
    0x00b71ec0,0x44d800b9,0xe80d703f,0x400f9804,0x2f4000f9,0xf113e200,
    0x417d4007,0x3e6002f8,0x4d6e4c01,0xb8000000,0x005f000f,0x503d4000,
    0x0760007f,0x00be0074,0x74003f20,0x000036c5,0x01f3009b,0x24c80136,
    0x05f7006c,0x40005f10,0x00fd805c,0x03f60172,0x30001100,0x6400409f,
    0x01720005,0x0bb00010,0x5c6b8008,0x4005c805,0x5d81fc4d,0x7cc02740,
    0x0007cc00,0x6d800be6,0xd1001f70,0x8007e409,0x0095005e,0x32000880,
    0x005f7006,0x98364000,0x1d00204f,0x05f00760,0xb0037a00,0x00df881f,
    0x09b02d98,0x13601f30,0x5f50fc40,0x017fec40,0x808805e8,0xffd100fb,
    0x8807dc01,0x54000ffe,0x13e2006d,0x05c805d0,0x00017200,0x0004e880,
    0xfdddddd0,0x4005c809,0x7c42f44d,0x4c027402,0x007cc00f,0x2201fdc0,
    0x07fa01fd,0xde805e88,0x8007ec00,0x50000ed9,0x0bea00db,0x002ffd88,
    0x107f3000,0x202e809f,0xf806883b,0x5fd30002,0x80f75441,0x54c0afe9,
    0x09b00dfd,0xea881f30,0x442a60ad,0x20bee85d,0xacfaeeb9,0x20e7dc01,
    0xf883fea9,0x2bbee61d,0x3bf102bf,0x5fd77dcc,0x802c8002,0x03e805e8,
    0xb90002e4,0x3e600000,0x5c000002,0x8805c805,0x88aadeaa,0x00dd50de,
    0x01f3009d,0x50000f98,0x7d4415bf,0x1bfd800e,0x4c01bea2,0x3aa20afe,
    0x1640801e,0x400b2000,0x3ae60bee,0x001acfae,0x10df7300,0x407d00bd,
    0x00b621e8,0xf90000be,0x019fffff,0xffdfff90,0x3aaa03bf,0x7f9501ad,
    0x1ffffec5,0x03dfdff5,0xfffdffb1,0x007fffc9,0x3fffffee,0x3fe601df,
    0xff33fffe,0x3bfe601f,0xfff33fff,0xfcde8801,0xaabfe800,0x3faaaaaa,
    0xdb555553,0x4c355555,0xaedaaaaa,0x0001aaaa,0x002e07ae,0x2a65b800,
    0xaaedaaaa,0x3ff21aaa,0xfd33ffff,0x54c01dff,0xf9500ade,0xfbaaa857,
    0x44001aab,0x3fffeffd,0x7fffdc00,0x64000bdf,0x0cffffff,0x1f9bf700,
    0xfcce8800,0xdffb1000,0x7ffc9fff,0xff88000f,0x7fd03fff,0x55555555,
    0xded9807f,0xf555303e,0x05555559,0x009bb980,0x01aba980,0x37ffffc4,
    0x07ffffcc,0x00575100,0x00035751,0x026eea20,0x00aba880,0x02aea200,
    0x00aa2000,0x7fffffc4,0xb3ffffff,0xffffffff,0x7ecdffff,0xffffffff,
    0x20006fff,0xfffffffe,0xffa80002,0xfffffb5f,0xdfffffff,0x006e6000,
    0x09ffffd1,0x23fffff5,0xfffffff8,0x730000ef,0xa8800035,0xb980000a,
    0xa880009b,0x0aa20002,0x0d5d4400,0x55300000,0x7fffc403,0xffffffff,
    0x44031003,0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02000000,0x15e5cc00,0x20000001,0x0009bb98,
    0x0000ee20,0x5d440999,0x44000acc,0x00009bb9,0x000d6544,0x20abca88,
    0x33331000,0x00333333,0x00003751,0x33333600,0xcccccccc,0x33225ccc,
    0x88003ccc,0x4c00abba,0x98809999,0x332a1999,0x8800000c,0x209aabba,
    0x0002ccc8,0x800bca80,0x22009998,0x4ccc0999,0x26620099,0x26660999,
    0x00019999,0x016dc000,0x00999880,0x73003333,0x98801599,0x06662009,
    0x5400b900,0xeffeeffd,0x6c0fec7c,0x3fea001f,0x02ffecce,0x0bffd710,
    0x43f7dc00,0xfeeeffc9,0xeffa803f,0x002ffecc,0x7ff7ff5c,0x75c05d2e,
    0x8cfffeff,0x7ffc403d,0xffffffff,0xfdfff503,0x1f10039f,0x40003800,
    0x3fbbba63,0x3ff22005,0x1f8dffee,0x3fffffee,0x7fffffc0,0x003fdd95,
    0xefffb800,0xdd50ffff,0x4400007f,0x01efeffe,0x01fffff3,0x64bffffe,
    0x00ffffff,0x2bffffff,0xfffffffe,0xfff9805f,0x01ffffff,0x23dfbff3,
    0x3fe603ea,0x7fec0fff,0xffd304ff,0x301bffdd,0x3ea09fff,0x32000fff,
    0x15bf5005,0x3e3fed44,0x802ff82f,0x3a601ed8,0x9ffd100d,0x22000bb5,
    0xbef87abf,0xb104fc80,0x06f4c03d,0x220dfec0,0xf903fdfc,0xffdb9837,
    0x99998803,0x70199bf9,0x1fd9839f,0x2000fc40,0x201c0003,0x5dd1005c,
    0x42ffeb98,0x88099ec9,0x4409dd99,0x2a00001f,0xd01981cf,0x77400007,
    0x4403f622,0x26200afb,0x3b6621cf,0x26620099,0x333109ed,0x001333bb,
    0x2aaaaaaa,0x4c33202a,0x400dfefd,0x53009de8,0x033f203f,0x26207faa,
    0x3ea6204d,0x40172000,0x4c7e806d,0xf1005302,0x80fe4009,0x8002e41b,
    0x05f0f56c,0x27c41fb8,0x6403f900,0x1ffcc00e,0x7e400f64,0x00fe0003,
    0x0fc805f9,0x70007e20,0x64038000,0x401db005,0x06c82ff8,0x0fc41720,
    0x00bf0000,0x40000fa0,0x803901fa,0x206d805e,0x17c000f9,0x00001360,
    0x02c98000,0x3e601360,0xd802fa80,0x3009b00e,0x02e4001f,0x069805d8,
    0x003e8000,0x172006b8,0x3d4be600,0x227400fc,0x10aa883e,0x00fb835c,
    0x1fb87f90,0x8000fe00,0x00be603f,0x1f880764,0x20001c00,0xf802e403,
    0xc82fb802,0x44172006,0xf100001f,0x00fa0003,0x00036400,0x1fa80fe2,
    0xf5002740,0x00009b00,0x80000000,0x40f9804d,0x13a003f8,0x07cc026c,
    0x2e00b900,0x0000002f,0x3bbb25b8,0x04d81cde,0xbb000b90,0xc80043d4,
    0x2ff216e6,0x426c5ceb,0x0fe2003f,0x01b8007f,0x5e80fe00,0x3313e200,
    0x333335f5,0x80007033,0x4c02e403,0x903f000f,0x882e400d,0xf300001f,
    0x00fa0001,0x00026c00,0x27c407dc,0x9b0035c0,0x40009b00,0x00099998,
    0x00266662,0x7fffffec,0xffffffff,0xa800f70e,0xf3009b07,0x002e4001,
    0x03579df9,0x01333310,0x44981f10,0x00fc40d8,0x3ea002e4,0xc8001ea1,
    0x83c81f15,0xf30fc47a,0x7cc13000,0x40000000,0x003f503f,0x3ffee6b8,
    0xffffffff,0x20001c3f,0x4402e403,0x3201001f,0x44172006,0x1999881f,
    0x35f53310,0xe8013333,0x026f2a23,0x80002e40,0x1006c85e,0x03f1005f,
    0x2a0009b0,0x006fffff,0x0dfffff5,0x2ab7aa20,0xfcaaaaaa,0x2667721b,
    0x99999999,0x804d81f9,0x172000f9,0xffdb7300,0xfff501bf,0x09700dff,
    0x79091093,0xe800b900,0xf0003d44,0x581a12e5,0x0016e3c8,0x00001ae0,
    0x35c0fe00,0x3307c400,0x333335f5,0x80007033,0xe802e403,0x03640005,
    0x07e20b90,0x09fffff5,0xffffffff,0x7405ffff,0xdffdff93,0x000f5003,
    0x1f98be60,0x32017600,0x0009b006,0x0364cccc,0x0d933330,0xf9804d80,
    0x7fffff40,0xffffffff,0x9804d82f,0x5555440f,0xaaaaedaa,0xca8801aa,
    0x999983fe,0x983c806c,0x04b85984,0x3ee005c8,0x44003d40,0x3a8790fd,
    0x09b25c00,0x0009b000,0x207f0000,0x05f0005d,0x038003f1,0x17201c00,
    0x000efcc0,0x172006c8,0x6fdc0fc4,0xf5331019,0x03333335,0x542eece8,
    0x17c401fd,0xd0fb8000,0x00fa8009,0x04d801f4,0x001b2000,0x26c006c8,
    0x37607cc0,0x99999999,0xd8099999,0x5c0f9804,0xffffffff,0x03ffffff,
    0x6400fa80,0x4981e806,0x034c0ecc,0x3f8802e4,0x2e2007a8,0x1907a1ef,
    0x0fa69800,0x000fa000,0x40fe0000,0x07b0003e,0x038003f1,0x17201c00,
    0xbdefd880,0x006c8009,0x20fc4172,0x7cc004fa,0x1dfd0000,0x32e13e20,
    0x2cccefcc,0x1b37a000,0xf501fc00,0x00136001,0x20006c80,0x676c006c,
    0xdccccccc,0x00035c0f,0x1f3009b0,0x4c02e400,0x900f6002,0xd301f00d,
    0x2201bfdd,0x9005c807,0x6401ea0d,0x207c0bff,0xd3c4000c,0x07d00007,
    0x7f000000,0x64000be0,0x4001f885,0x201c0003,0xca88005c,0x3202effe,
    0x44172006,0x000ff21f,0x740003e6,0x5c36400e,0xdeefeeee,0x2aaa2002,
    0x1aaacffc,0x2ec0d900,0x00009b00,0xd9000364,0xeeefd800,0x0feeeeee,
    0x80000fd4,0x00f9804d,0x1b201720,0x36404e80,0x524c0ec0,0x201a601d,
    0x02f9805c,0x09f100f5,0x000b20ec,0x0001f4d3,0x557101f4,0x01435555,
    0x00fa07f0,0x0fc41ec0,0x70000e00,0x00005c80,0x1b207f93,0x3f105c80,
    0x4c000bf6,0x07d0000f,0x7b801f30,0x3332a000,0x3cccceec,0xf103f100,
    0x0026c005,0x4000d900,0x026c006c,0x036c07cc,0xd805c800,0x0172000f,
    0x3ee00ff2,0x64036402,0x83444983,0x805c804b,0x201ea05d,0x50f201f8,
    0x3a4b800b,0x04d80004,0x3fbbbbaa,0x2001f14e,0x000bb03f,0x007e20be,
    0x03800070,0x200002e4,0x006c82fa,0x757c4172,0x3e60001f,0x007d0000,
    0x07a801f3,0x002e4000,0x01ee1360,0x012009b0,0x6c8001b2,0x4c026c00,
    0x00df880f,0x0f982d98,0x001ffd10,0x7fe402e4,0x27e4409d,0x2d403640,
    0x6425424c,0x5405c803,0x999999af,0x00d801fb,0x5403616a,0x00d91e40,
    0xd000b900,0xf8007cc7,0x1000d703,0x003f101f,0x01c00038,0x20000172,
    0x2006b85c,0xfdff105c,0x07cc0009,0x9803e800,0x0035c00f,0x00017200,
    0x8009d0f5,0x01f8804d,0xd9000364,0x9804d800,0x15fd300f,0x00dfda98,
    0x77dcc3bd,0xb9001bfa,0xffb39700,0x007dffdf,0x07e201b2,0xf8876093,
    0x5c05c800,0xffffffff,0x40007fff,0x10cd81f8,0x2a0f8899,0x3d40000f,
    0x1f31f400,0x7d40be00,0x8835c001,0x001c001f,0x00b900e0,0x43d40017,
    0x413a007a,0x009f35f8,0x40003e60,0x00f9803e,0xd70002e4,0xdddffddd,
    0x22f8009d,0x26c001f9,0x3200fc40,0x01b20006,0x1f3009b0,0xfefffc80,
    0x74c01dff,0xf33fffef,0x017200bf,0x06b72a20,0x2e00d900,0x107bbae6,
    0x6400fa5d,0x4cccc405,0x09fb9999,0x886b8000,0x3e81cddb,0x208005e8,
    0x1f4003f8,0x3f3001f3,0xf1002ec0,0x0007e209,0x40380007,0x003f805c,
    0x003e21ea,0x0fc40be2,0xf30009f3,0x00fa0001,0x09d003e6,0x4cccc400,
    0x009999ed,0x00d92e40,0x3f1009b0,0x20006c80,0x026c006c,0xf98007cc,
    0x544001ac,0x00f540ab,0x54000b90,0x00d90004,0x2e40026c,0x0000b900,
    0xd80000f5,0x305c8004,0x236c005f,0x8fa000fb,0x07c801f9,0x6c8017cc,
    0x7000be20,0x64038000,0x2006f805,0x7009b05d,0x307e201f,0x0f98009f,
    0x3007d000,0x00fd401f,0x05c80164,0x7f0f9800,0x1009b000,0x006c803f,
    0x9b001b20,0x2001f300,0x2000003b,0x014c002d,0x001db300,0x3a2006c8,
    0x0ed8800d,0x00017200,0xdfb101ea,0x00de8803,0x2e00ed88,0x0ff4403f,
    0x3e800f74,0xfa807ba2,0x403fc802,0x02f400fc,0x40003844,0x7c02e403,
    0x01fb804f,0x1fd405f5,0x9f503f10,0x0007cc00,0x0f9803e8,0x3e2013a0,
    0x000b9001,0x003eb3a0,0x3e201360,0x00036401,0x04d800d9,0x3b000f98,
    0x0f400000,0x40800000,0x0364002c,0x44057e40,0x5c8004fa,0x407a8000,
    0x9006fffc,0x9f51015f,0x82bbee00,0x9100eeb9,0xda8813bf,0x0e7ec43f,
    0x5c00bf71,0x3f6a21df,0x41cfb801,0x0074fea9,0x02e40380,0x4c177efc,
    0x67d403fd,0x1017ee60,0x00fea03f,0xe80007cc,0xa80f9803,0xaaaaacfe,
    0x5406daaa,0x0aaaedaa,0x0bdf7000,0x3baaaa60,0xaaaaaaaa,0x555531fb,
    0x55555db5,0x555554c3,0x1aaaaaed,0x40d6f54c,0x802bfca8,0x0005bada,
    0x475df540,0xaaaaaaa8,0x1aaaaaaa,0x01f9bf70,0x36aaaaa6,0x01aaaaae,
    0x7eeffecc,0xaaa801df,0xaaaaedaa,0xfcaa8802,0xbfff701a,0x6ffecc00,
    0x4001dffd,0xfffeffd9,0xfffd5004,0x4039fffd,0x3ffffffb,0xeffe9800,
    0x2e001cef,0xdfffefff,0x270000e2,0xedaaaaa9,0x361aaaaa,0xfefffd89,
    0xfd5001ef,0x4407ffff,0xfb301fba,0xbaaa8359,0x1aaaaabf,0x035bd550,
    0x2157f951,0xfffffff8,0x00cfffff,0x3fffffea,0xf10002ff,0x3ff6005f,
    0xffffffff,0xfb1fffff,0xffffffff,0x7fecffff,0xffffffff,0x7fff47ff,
    0x7ffe40ef,0xbc9801ff,0xc9800001,0xfffff71c,0xffffffff,0x0154409f,
    0x3ffffff6,0x06ffffff,0x8002aa20,0xfffffff8,0x401fffff,0x06fffffd,
    0x88000aaa,0x880000aa,0x10000ab9,0x00135753,0x0004dd44,0x0006ea20,
    0x00abba88,0x9999999b,0x99999999,0x3fffff6b,0x6fffffff,0x06aea620,
    0x04dd4400,0x407fff60,0x50fffffe,0xffffffff,0xff10dfff,0xff90dfff,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ccc0000,0x80019999,0x19999998,
    0x33331000,0x33333333,0x4cccc033,0x4c400199,0x09999999,0x33333300,
    0x4cc40033,0x20019999,0x99999998,0x00999999,0x33333331,0x4cccc400,
    0x99999999,0x4cccc099,0x22001999,0x19999999,0x99999880,0x99999999,
    0x04ccc409,0x440cccc4,0x99999999,0x4ccc4099,0x99988099,0x4ccccc40,
    0x99999999,0x00666209,0x4c419988,0x01999999,0x88033310,0x20019999,
    0x99999998,0x66440199,0x4ccc4001,0x40019999,0x99999998,0x2a201999,
    0x1001bccc,0x44013333,0x4c409999,0x26620099,0x7ffff409,0x2e65ffff,
    0xfffff700,0x017bffff,0x3fffffe0,0xffffffff,0xffffb80f,0xf7003fff,
    0xffffffff,0x3fa019ff,0x5fffffff,0xfffff980,0x00ceffff,0xfffffff7,
    0xdfffffff,0xffffff70,0x2017bfff,0xfffffff9,0xffffffff,0x3fffffa4,
    0xff005fff,0x9fffffff,0xfffffc80,0xffffffff,0x3fffee5f,0x7ffffc1f,
    0x3ffffe26,0x1fffffff,0xfffffff7,0x3fffff98,0x3ffffff2,0xffffffff,
    0x03ffff35,0xf8ffffe0,0xffffffff,0xff880cef,0x3ffe04ff,0x3ae05fff,
    0xffffffff,0xf700ffff,0x3ee19fdd,0xfffffb80,0x03efffff,0xffffffe8,
    0xeb87ffff,0x4ffeeeff,0x7ffffcc0,0xffffa83f,0xffff32ff,0x3fffe01f,
    0x3666622f,0xff10999d,0x4cf64c0b,0x1eeca999,0x9af99880,0xa99999bf,
    0xd333300f,0x4cc00d9b,0xa99999ce,0x99881ffd,0x00999dd9,0x3333f730,
    0x205fd953,0x9999ce99,0x06c99999,0x33333d93,0x2203dd95,0x99999ed9,
    0x24d99999,0x99dd9998,0xf7310009,0x90033333,0xbb33333b,0x8bb33333,
    0x98809de9,0x4cc409fa,0x9999ed99,0x4cef4cc0,0x41dfb880,0xd99999dc,
    0x5d99999d,0x20177b22,0x4c41ecfa,0x999999fb,0xc9882feb,0x933101ff,
    0x9ff3013d,0x3337f337,0x3a01f533,0x0ffffea2,0x999ce998,0x00efeb99,
    0x2666673a,0xcc87c999,0x027dc40a,0x806673e2,0x441fb999,0x26200afb,
    0x026c01cf,0x06b809fd,0xf5001fd8,0x00f981fc,0x01f99f88,0x36202740,
    0x0026c00f,0x5f900f50,0x6c8026c0,0x3f601ae0,0xd8017201,0x00013604,
    0x172000f3,0xd85c82e4,0x000f9804,0x026c00b9,0x82e413ea,0xeb8b905c,
    0x5e7400fa,0x3201e606,0x0dbd701f,0x37e60d90,0x1f303f80,0x001ba800,
    0x05f9809b,0x07f300fa,0xd003ee00,0x40d70009,0x006d805d,0x401d809b,
    0x00db006b,0xf303f972,0x274d7001,0x26013a00,0x0026c03f,0x3ee00f50,
    0x32009b00,0x6c01ae06,0xd8017206,0x00013604,0x133333f3,0x0b905c80,
    0x20136172,0x0b9000f9,0x7f7026c0,0x05c82e40,0x09d6b8b9,0x3035c7cc,
    0x5c1b600f,0x36403f8e,0x07f027c4,0x000003e6,0x5f7009b0,0x0bd00fa0,
    0x6c02f800,0x205c8004,0x07ea03f8,0x0d7026c0,0x3e200d70,0x0fe3e803,
    0x1f4007cc,0x04e800f7,0x04d80bb0,0xe801ea00,0x2e009b04,0x4401ae05,
    0x400b903f,0x0013604d,0xffffff30,0x0b901bff,0x6c2e4172,0x000f9804,
    0x826c00b9,0x82e402fc,0x6b8b905c,0x6baec0f7,0x3d401e60,0x401f76b8,
    0x200fc86c,0x981f303f,0x06f2a209,0x9d004d80,0x0fc80fa0,0x2017c000,
    0x80ff885c,0x407dc04c,0x136004e8,0x06b800d8,0x3f101ee0,0x806881fc,
    0x00be21f9,0x09d004e8,0x2a0004d8,0x203ea007,0x4031004d,0x41ee006b,
    0x8066005c,0x7cc0004d,0xea999999,0x5c82e42f,0x009b0b90,0x172001f3,
    0x2fc84d80,0x0b905c80,0x1fcd7172,0x206b97c4,0x03f10079,0xd90274d7,
    0x1fc03f88,0x3ff60e88,0xfffdff94,0x2009b003,0x2605d04d,0xecba802f,
    0x402fabcd,0x83ffb86b,0xc85e804d,0x0026c006,0xf10035c0,0x8fe3dc03,
    0x4364000a,0x013a005d,0x09b007e6,0x07a803b7,0x426c17c0,0x035c006a,
    0x0b903f10,0x49b000f3,0x1e6003fb,0x03b87ee0,0x360ea0b9,0x000f9804,
    0x226c00b9,0x053001fd,0x2e14c172,0xb9ae1b26,0x5c01e606,0x0fd4d707,
    0x007d46c8,0x4c0098fe,0x6d42fdde,0x4026c01f,0x220101f8,0x77f5404f,
    0x2ffedcce,0x66ec3d40,0xf8803e85,0xb0007e63,0x0d700009,0x13602f80,
    0x2001f47f,0x000fa83f,0x04fa809d,0x37fcc4d8,0x7b001ea0,0x00d709b0,
    0x17c006b8,0x003d42e4,0x027f4e6c,0x36c01e60,0x6c005c80,0x000f9804,
    0x8a6c00b9,0x900000ee,0xf135c00b,0x81ae3f83,0x05e88079,0xd905d8d7,
    0x23f807b8,0x0efd803e,0x09b013e0,0xd8006e98,0x00e7dc06,0x81f300be,
    0x02f87abf,0x013a1f70,0x5c001360,0xccccfecc,0x7c07d01c,0x1fe66fc2,
    0x3e01f500,0x999dd003,0x007ffd99,0x09ff1136,0x2ec007a8,0x6e66676c,
    0xfeccb806,0xd01ccccc,0x9999d907,0xffb000fb,0x0f30001b,0x32003ea0,
    0x6676c005,0xfdcccccc,0x400b9000,0x02ffe8cd,0xbb333300,0x35c03333,
    0x2e0fa976,0xd101e606,0xf11ae01f,0x06c8d905,0x03fccdf8,0x3e400fd8,
    0x32a21360,0x7d4000ef,0x4017e601,0x30fc402f,0x7c45f11f,0x3f37a001,
    0x004d8000,0xddfdddb0,0x0fa05ddd,0x3bbe07cc,0x176003fe,0xddd006c8,
    0xdffddddd,0x5109b003,0xc800f500,0xeeeefd85,0xeeed806e,0x02eeeeef,
    0xdddf907d,0xfb800fdd,0x1e60002e,0x6400fc40,0x777ec005,0xfeeeeeee,
    0x400b9000,0xefd9dfdd,0x3fffa000,0xffffffff,0x87cc6b81,0xf3035c4e,
    0xfb733333,0x6435c03d,0x1763640f,0x0ffbbbe0,0x3e601360,0x3ffff600,
    0x8003efff,0x07dc03f8,0x1f802f80,0x3e64d9ae,0x0bfe6000,0x00026c00,
    0x0fa0035c,0x7d1fc35c,0x980be200,0x404e801f,0x26c03fc9,0x800f5000,
    0x6b84d84d,0x20035c00,0x7a85c83e,0x09ffd500,0x70079800,0x0017200f,
    0x01f3009b,0xfd801720,0x10037d45,0x33bb3333,0x21ae0333,0x35c0f9ce,
    0xffffff30,0x0d7005df,0x646c89f1,0x0fa3f805,0x3e601360,0x2aab7600,
    0xd0003fea,0x200d900b,0x22f802fb,0x07a9ae4e,0x20006c80,0x5c09004d,
    0xe80fc006,0x23feeeef,0xddf5000a,0x9fdddddd,0x26009d00,0x4013602f,
    0x74007a84,0x06a84d83,0x3e0035c0,0x07985c81,0x26c67ec4,0x00f30580,
    0x17200bd1,0xf3009b00,0x80172001,0x009d105d,0xd7002e40,0xd70bbf50,
    0x4cccfcc0,0xa835c000,0x0f51b20f,0x400547f0,0x00f9804d,0x027e4136,
    0x2a003ee0,0x3ff6202f,0x5f13e802,0x006a87cc,0x360005c8,0x701f8804,
    0x883cc00d,0x3fccccdf,0x999bb000,0x0fb99999,0x2e4009d0,0x3f1009b0,
    0x3e2007a8,0x10104d81,0x9801ae01,0x0020b907,0x4026c3d5,0x407981f8,
    0xb9000fe8,0x9804d800,0x00b9000f,0x05f3026c,0xb8017200,0xd705fd06,
    0x40003cc0,0x6c97a06b,0x0fe007cc,0x26013600,0xa813600f,0x05f3004f,
    0x417dd25c,0xacfaeeb9,0x07d53601,0x40035cfe,0x1360005c,0x35c07e20,
    0x1ea0d700,0x103101fc,0x05f1003f,0x3e6004e8,0xf1009b00,0x2a007a83,
    0x6c009b07,0x5c00d703,0x0000b906,0x0fc4026c,0x4ccccfcc,0x2001efdb,
    0x026c005c,0x5c8007cc,0xdb013600,0x80172000,0x2e03106b,0x0001e606,
    0x92f981ae,0x7c03f88d,0x13606203,0x4d803e60,0x22017d40,0xb12e405e,
    0x49fffdff,0xb900ffff,0x2e572172,0x0002e400,0x03f1009b,0x1fcc01ae,
    0x407f05c8,0x2006b86b,0x0027405d,0x4026c0f5,0x803d41f8,0x009b04e8,
    0x006b81f4,0x017207f3,0x8804d800,0xffff981f,0x8002dfff,0x026c005c,
    0x5c8007cc,0xf1013600,0x00b90005,0x35c0035c,0x70000f30,0x0d96c80d,
    0x01fc01f7,0x3009b0d7,0x4026c01f,0x03b200fc,0x57510b90,0xd700f203,
    0x26dea0fe,0x0002e400,0x03f1009b,0x13a201ae,0x407f03e8,0x2003e86b,
    0x013a00fa,0x013605d8,0x00f507e2,0x004d817a,0x4035c0fa,0x017204e8,
    0x8804d800,0x999f981f,0x2e400009,0x26013600,0x00b9000f,0x02ec026c,
    0xd7002e40,0x4c0d7000,0x06b80007,0xe8365fc4,0x6b80fe05,0x0f9804d8,
    0x27401360,0x5c801fa8,0x500d1000,0x3f103f3f,0x0b90007d,0x44026c00,
    0x980d701f,0x403e205e,0xf31ae03f,0x203f8001,0x05f9004e,0x0fc4026c,
    0x1db301ea,0x7d0026c0,0xbd301ae0,0x00005c80,0x07e20136,0x200001e6,
    0x026c005c,0x5c8007cc,0x2a013600,0x02e4000f,0xd7000d70,0x40003cc0,
    0x6dfb806b,0x7f03dd30,0x026c35c0,0x09b007cc,0x9f107ea0,0x80017200,
    0x33e60226,0x00bf3a07,0xa9801720,0xaaaaeeaa,0x41fbaaaa,0xaaaafda8,
    0x5106ffca,0x2aa215f9,0xaaaaaacf,0x55db516d,0x76d54c05,0x5bd5511a,
    0xd9555555,0xeaaa985f,0xaaaaaaae,0x3f2a1fba,0xfebaaaaa,0xdeaa880e,
    0xaaaaaaaa,0x6d443eaa,0xfcaaaaaf,0x3b6aa06f,0x3002aaaa,0x555bd555,
    0x3f755555,0x555fe54c,0x2a6000aa,0x2aaaedaa,0x055bd550,0x4157f953,
    0xaedaaaaa,0x2aa22aaa,0x3a01aade,0x555102ad,0x103555db,0x40555db5,
    0x21aedaa9,0xaaabfca9,0xfda8800a,0x1bfa02aa,0xabcefd88,0xaaaaaacf,
    0x2b7aaa6d,0x457f9501,0x1aadeaa8,0xfb8d76c0,0xaaaaaaab,0x20005daa,
    0xf881feea,0x07fee04f,0x3b6aaa60,0x3f602aaa,0xffffffff,0x41ffffff,
    0xfffffffa,0x3ee01bdf,0xfff73fff,0xffffffff,0x3ffffeed,0xffffd00f,
    0x3fffeabf,0xdfffffff,0xffffd80b,0xffffffff,0xfff31fff,0x37dfffff,
    0x7ffffd40,0xffffffff,0x7ffd43ff,0x1bdfffff,0x3ffffe60,0xd801ffff,
    0xffffffff,0x1fffffff,0x3ffffffa,0x3fa003ff,0xffffffff,0x7ffffc40,
    0x7ffff41f,0xfffff12f,0x3fffffff,0x3fffffea,0x03ffee06,0x3ffffff6,
    0xfffa86ff,0xffd00fff,0x7ff4bfff,0x03ffffff,0xffffffa8,0x300df301,
    0xffffffb9,0x22dfffff,0x986fffff,0xf50fffff,0x80dfffff,0xfff75ff9,
    0xffffffff,0x010000bf,0x3e602ff8,0xfffe800f,0x00ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x22009998,0x02200999,0x0062f260,
    0x0002a000,0x00000000,0x00440000,0x80099988,0x4c409998,0x06666009,
    0x54039710,0x9951002c,0x51000379,0x00415797,0x00d66544,0x50159510,
    0x65cc0059,0x544000ac,0x80501acc,0x1022bcb9,0x4cc40133,0x266660e1,
    0x10333300,0x4c413333,0x41330199,0x0401bca8,0x09980020,0xbb885971,
    0x26666200,0x41999999,0x00999998,0x10133333,0x35101333,0x20401000,
    0xff30cccc,0x3fe01fff,0xffc82fff,0xffdfd505,0x32a6001f,0x00fe41bc,
    0x8000025c,0x0037a6c8,0x0ffc4000,0x17ffffc0,0x1fffff50,0x6413ffea,
    0xd300ffff,0x7443dfbf,0xd700efef,0x9ffdddff,0x777fdc00,0x00f8cffe,
    0xffddffb1,0x7ff4c01b,0xdfd11ffe,0x7f4c01df,0x00dffeef,0x7f77fec4,
    0x503e60df,0xdffddffb,0x27ffccf9,0x88ffffa8,0x3fffee0f,0x4ffffd86,
    0x3bffffe6,0x8bffffd0,0xdff94ffd,0x17a03fff,0x7dc01fc4,0x4feffadf,
    0x209fdff3,0xfffffffe,0x3fe0ffff,0xfd86ffff,0x7cc7ffff,0x3fa62fff,
    0xe8802fff,0x7fc5f504,0x27f620ff,0x077e6200,0x20bfffe6,0x2002e0ce,
    0xffeeffd8,0x9002fcae,0xf700000b,0x067f4c5d,0x3fe20000,0x19fb8800,
    0x40ce9880,0x26604d99,0x45f880fa,0x74c7766d,0x88159906,0x7f4404fb,
    0x03ffd502,0xfd305df3,0xd8872e05,0xdd31ee8e,0x2a033f20,0x5df301fe,
    0x1ee5fd30,0x54415bf5,0x26cc47fd,0xd93f5310,0x2013df30,0x4c40afd9,
    0x3fe609ce,0xfbbd3019,0x981fda85,0x04fc80ef,0x2a4ffc98,0x03e64fcf,
    0x2666673a,0x4c44fa99,0x988099fc,0x98809de9,0x45bf72f9,0x3fa600fc,
    0x7f45fa80,0x805e887f,0xfff300fc,0x000fa85f,0x5c41efa8,0x32002ffd,
    0x3aa00005,0x0ffee03f,0x00110000,0x3e0007cc,0x26013602,0x9d06c80f,
    0x03f881f7,0x6401f700,0x0ffcc00e,0x3f2017e2,0x3ffe2000,0x3ea17c40,
    0x440ed802,0xfbfc805f,0x3f4036c4,0xff9804d8,0x40bf302e,0x21f401fc,
    0xfd800ef9,0x5413e00e,0x04fc80ef,0x5fe85fc8,0x204e84d8,0x0be205e8,
    0x7c007e60,0x40103fcb,0x6fb81ff9,0xf306ffd8,0x200fdc07,0x05c86ffd,
    0x5c04f880,0x172002ff,0x33fa6000,0x2efc8800,0x20000000,0xf984b82f,
    0x26013600,0xa817c40f,0x00d703ff,0x1fa817c0,0x6d83f700,0xb001ba00,
    0xf89ae07f,0xdb13a003,0x6c2ff400,0x9b069805,0x1003f300,0x003f90bd,
    0x002fd47d,0x07c801fb,0x3f607bee,0x6c836405,0x40590d90,0x02ec00ee,
    0xfff00364,0x3ff50005,0xf901df90,0x40fd40bf,0x011003f9,0x17a001ae,
    0x01f75f70,0x88001720,0x88000dfd,0x00001dfc,0x7c44d800,0x36035c1f,
    0x540f9804,0x9807f407,0x05f0000f,0x88b00176,0x07e2001f,0xf300fc80,
    0xf5001ee1,0xf1000fc4,0x0005f703,0x07cc026c,0x3f25e880,0x3ee7d001,
    0x4026c004,0x3ff200f9,0x900dfe81,0x3641b20b,0x2003b600,0x0be201f9,
    0x8001ef80,0xffc82ffa,0x809ff700,0x017a20fc,0x0017c400,0x1fdc01f5,
    0x0172007d,0x007bf220,0x033f6600,0x6b800000,0x172277dc,0x1f3009b0,
    0x4f6c06b8,0x1f999999,0x79bd9750,0x00fa05f5,0xd000f500,0x2f36e607,
    0x999999fd,0x333b91f9,0x33333333,0x001ea3f3,0x677e40fa,0x09b001ab,
    0x44001f30,0x2001fdee,0x8004fdce,0x00f9804d,0x3a217fe4,0x905c80ef,
    0xc801b20d,0x813a000f,0x017c007b,0x6c1ffdc0,0x3fea01ff,0x3b65e802,
    0x1ae00000,0x3ee06b80,0x5c802e43,0x017fdc00,0x67f54000,0x99999880,
    0x99999999,0x66c7a809,0x3601f47b,0x640f9804,0x7fffe405,0x543fffff,
    0xedcceefe,0x01f882ff,0x40035c00,0x3fff224d,0xfffffedc,0xfd2fffff,
    0xffffffff,0x2e5fffff,0x204d8006,0xdfffedb9,0x26013600,0x7fc4000f,
    0x77ff4001,0x026c003f,0x7ec007cc,0x077fc42f,0xc8364172,0x003f7006,
    0x07d00fa8,0x5c002f80,0x7fec44ff,0x00ffcc01,0x00fde7c4,0x00fee000,
    0x83fa826c,0x2666627b,0x9999ed99,0x0ffaa099,0x3ee00000,0x7fffdc3f,
    0xffffffff,0x11f884ff,0x3e23f13f,0x4c026c01,0x3202e40f,0x9999999e,
    0x0073ee09,0x003f105f,0xd8006b80,0x9037dd14,0x3333333d,0x26677613,
    0x99999999,0x000d7099,0x6544009b,0x009b03fe,0xed8001f3,0x3ba000ee,
    0x2001bf90,0x00f9804d,0x260fff44,0x82e40dff,0x500d906c,0x0fa0005f,
    0x5f0003ea,0x85ffa800,0xff803ffc,0x05ff5000,0x6fec4000,0xbb0d4c0f,
    0x9ae07f50,0xfffffffb,0x4fffffff,0x00003ff7,0x427fcc00,0x99999999,
    0x9f401999,0x03cd367b,0x07cc026c,0x01fb01ae,0x7c017e60,0x80007f02,
    0x93f8007a,0x003e401f,0x7a8000d7,0x0003f800,0x013603ea,0x6c4003e6,
    0x000ee88e,0x006f987d,0x01f3009b,0x7cc0efe8,0x320b905f,0xfa80d906,
    0x21ee0003,0x02f8005d,0xc84ff980,0x037402ff,0x4001ff10,0x6fc2fffd,
    0x23fe8bb0,0x9027d46b,0x9999988b,0x099999ed,0x00067f4c,0x0bbee000,
    0x57200000,0x035dee4d,0x07cc026c,0x03ff01e6,0x7c003ee0,0x8000bb02,
    0x3e6002f8,0x1fc80b91,0x0003f500,0xf30017c4,0x36002983,0xf9804d83,
    0x40ee8800,0x83e800ed,0x04d803f8,0x3f600f98,0x027fc40e,0x641b20b9,
    0x0813e606,0x3e62f880,0x002f8001,0xf709ff30,0x0004403f,0x2200dbdb,
    0x07cc6fff,0x307e65f1,0x8813ea3f,0x00b9003f,0x0003ffa8,0x003ffa80,
    0x23ae0000,0x1367e21f,0x3f601720,0xdf503f80,0x401b2009,0x03f502fb,
    0x03f21c40,0x80f52f40,0x1b6004fe,0x001f9000,0x801b217a,0xd805c84e,
    0x0774400f,0x1f400ed8,0x26c00fc8,0xfc807cc0,0x027f440d,0xc8364172,
    0xe809f106,0x1b26c802,0x00017c00,0xff507fd1,0x1f900003,0xff5009f1,
    0xfb85c83f,0xf5db06c8,0x000ec809,0x3ee000b9,0xea80002e,0x000000cf,
    0x6c3e7cc0,0x0fb802fc,0x701ffd10,0xf9ae881d,0x5f52d881,0x017fec40,
    0xbf7003db,0xfd801bd0,0x7ec0fe20,0x22e980ff,0xd9800df8,0x36006f42,
    0x803fc80f,0x00fb82fb,0x4401ffd1,0x0fec00ee,0x13e207d0,0x1f3009b0,
    0x3fa0bf70,0xd905c803,0x17a21b20,0x3e200fa0,0xf0002f89,0xfe880005,
    0x000efa82,0x3f98bea0,0x6c27fe40,0x207f9d04,0x7dc04ff8,0x00172001,
    0x001efc88,0x000dfd98,0xf8000cc0,0x00ffa84f,0x2e61df88,0xe82bfaef,
    0x764bd10e,0x741df711,0x3bae60be,0xd881acfa,0x7f54c1bf,0x415fd304,
    0xfa81eea8,0xbbdfb10b,0x037ee27f,0xa9815fd3,0x7f4c0dfd,0x07baa20a,
    0x204effe4,0xbf104fc8,0x7d77dcc3,0xabfea81b,0xbffba881,0x06b7aaa0,
    0xd550afee,0x3f2a035b,0x6c13ea2b,0x76d4402f,0x20d7640a,0x2ffa1aec,
    0xaaaaaaaa,0xd9bb003f,0x7d554c00,0x02aaaaac,0x2607fa20,0xf88000ef,
    0x3e01fb84,0x307c80ff,0x3fe601ff,0x3fa622df,0x002e4002,0x006fecc0,
    0x000f7e44,0x000ffc40,0x3fc40fec,0xffdff300,0x03ffe67f,0x81bfffd1,
    0x883ffefd,0x4fffeffd,0x5c03fffe,0xcfffefff,0xffffc800,0x3ee00cff,
    0xb4b8efef,0xc807ffff,0xdfffefff,0x7fffe401,0x32e00cff,0xffefffd9,
    0x77fcc03e,0xdff33fff,0x5fffff98,0x2fffffc8,0x1dfffff3,0x3e25fff0,
    0xf986ffff,0x07b0ffff,0x3ee00ba2,0x7fe45fff,0xf8affe45,0xffffffff,
    0xf3003fff,0x3fe2007f,0xffffffff,0x26c001ff,0xe8001e98,0x2603b606,
    0x05f302ff,0x33e60df3,0xffefffc8,0x05c8000d,0x33faa000,0x005df700,
    0x000fe800,0x51000000,0x26000157,0x006e200b,0x0006aea2,0x026aea60,
    0x026ee600,0x2601b980,0x5d4c001b,0xbb98001a,0xba880009,0x2a2001ab,
    0x000000ab,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xe8803f20,0x6405fc85,0x9fbf50cf,0x2622fc15,0x200009bb,0xa800005c,
    0x0ffea2ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x43f9801f,0xffc800fe,0x49ff55ff,0xa8000001,
    0x2e000003,0x00003366,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5df71000,0x3f6aa015,0x4400330b,0x000000ba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffdc0,0xfffff982,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01333310,0x14c00530,0x80000001,0x98000028,
    0x36a200aa,0x01aa9804,0x314fffd8,0x4ccc4133,0x300aa880,0x33333333,
    0x13333333,0x6c402980,0xeeeeeeee,0x1deeeeee,0x54ea00c4,0x2a000003,
    0x260003ee,0x99999999,0x99999999,0x2eeeee09,0xbbbbbbbb,0x555554c3,
    0xaaaaaaaa,0x00aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0dfffff5,0x5d447f50,0x0fdcfea0,0xfda89d10,
    0x07a801ce,0x817dd930,0x85feeffc,0x2204dcec,0x01effffe,0x2e1ffff1,
    0x3fee4fff,0x7fffdc4f,0x7ffffdc4,0xffffffff,0x3e205fff,0x3332201f,
    0xcccccccc,0x540ccccc,0x7d4fee03,0x013fae04,0x51ffff88,0x327f507f,
    0xffffffff,0xffffffff,0xffff1fff,0xffffffff,0x7fffccff,0xffffffff,
    0xffffffff,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32666600,0xfb9f7006,0x89f7bfff,0x0ee881fd,0x07d42faa,
    0x3e601ea0,0x4cc1f711,0x4c80fa20,0x6d45bf10,0x3fffa80f,0xfa8fffea,
    0x33ff23ff,0x4cc45ffb,0x99999999,0x205d9999,0x0000edee,0x6412a000,
    0x642fd42f,0x980eebbf,0x4ffffe66,0x25fc85fc,0x99999999,0x99999999,
    0x2eeee099,0xbbbbbbbb,0x8888883b,0x88888888,0x00008888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x3bf2006c,
    0x6c17faa2,0x003ba20f,0x01ea0264,0x200f207a,0x6c13206b,0x3f217a07,
    0x17ffcc6f,0x3e25fff3,0x0001fe87,0x23f20b90,0x000005e8,0xfd83b660,
    0x2e1df301,0x987fa21f,0x87fff44f,0x00b880b8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0db00364,0x11fb036c,0x26c001dd,0x5447a835,0x3225c800,0x206eeeee,
    0x5c07f04c,0x442ffe87,0x3fe20fff,0xf509f51f,0x17200007,0x04f887ee,
    0x32040000,0xe8801d92,0x33f20395,0x005504fc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x200d9000,0x03ea03f8,0x800eefd8,0x7fec5dca,0xfda8fa9c,0x88fcc02f,
    0x6daabdff,0x07e21320,0x3fe20f98,0xff0fff06,0x2a0fea1f,0xb900003f,
    0x2fa83f98,0x777776c4,0xeeeeeeee,0xd9bf71de,0x00100021,0x0000376a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x401b2000,0x01f400fa,0x2e005ff1,0xfeb984fd,
    0x00adffff,0x20b917cc,0x7c13206a,0xff71f204,0x3a1bfa05,0x361be67f,
    0xb900002f,0x3f902fc4,0x5dddddc4,0xbbbbbbbb,0x00aa20bb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03640000,0x03e807a8,0x003fbdd1,0xff302ec4,
    0x07aa001b,0x40dd107d,0x101f704c,0x206fd89f,0x45fc85fd,0x6fd9adfd,
    0xe9720000,0x000ed806,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2200d900,0x203e602f,0x03fb0ee8,0xfc807cc0,0x0ec801fc,0xfca9bfa8,
    0x04c81aff,0x3f6ab7f6,0x2e01ff85,0x444fb84f,0x00effffd,0x74572000,
    0x001d8800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6c00d900,
    0x3a21b606,0x800fec0e,0x365f5069,0x70176206,0xdd517dfb,0xea809905,
    0x07b03eff,0x1d881d88,0x00059950,0x00007500,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00d90000,0xfb516fdc,0xb00ee889,0x982f621f,
    0x224f882e,0x983e884f,0xfff90003,0x0000bfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01b20000,0x77ff6fd4,
    0x3ae3fcef,0xdb326c00,0x1b6039dd,0xfff507ea,0x000dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54036400,0xb82ee24f,0x0200002f,0x004c0260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54c00000,
    0xaaedaaaa,0x00ea1aaa,0x000002a8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffd800,
    0xffffffff,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_38_latin_ext_x[560]={ 0,8,4,3,3,3,4,7,9,4,0,2,4,3,
7,3,3,3,2,3,3,3,4,3,3,4,7,5,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,2,1,1,3,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,2,1,3,
2,3,3,0,1,2,0,2,2,3,2,1,0,0,1,2,3,0,9,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,2,3,1,
9,2,5,0,0,0,0,3,0,-1,5,2,5,5,7,1,2,7,7,6,4,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,2,2,2,2,2,2,2,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,1,1,1,1,3,3,3,3,3,3,3,3,3,3,0,0,2,2,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,1,0,1,0,1,0,2,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
3,3,3,3,3,3,3,3,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,3,3,3,3,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,3,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_38_latin_ext_y[560]={ 27,5,6,4,4,6,9,6,6,6,6,8,22,16,
23,4,5,6,5,5,6,6,5,6,5,5,12,12,8,14,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,4,6,6,34,5,12,6,12,6,12,6,12,6,5,
5,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,5,7,10,7,
6,6,6,7,5,12,16,16,7,3,2,6,5,5,5,12,6,14,26,6,5,12,6,6,5,12,0,0,1,2,
2,0,7,7,0,0,1,2,0,0,1,2,7,2,0,0,1,2,2,11,6,0,0,1,2,1,7,6,5,5,
5,7,6,4,12,12,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
3,7,1,5,7,12,0,5,1,5,2,6,1,5,1,6,7,6,3,7,1,5,2,6,7,12,1,5,1,5,
1,5,2,6,7,4,1,1,7,6,2,7,3,7,1,5,7,5,2,12,7,5,1,5,7,6,12,0,0,7,
6,7,6,7,6,7,6,0,5,7,12,1,5,6,7,12,3,7,1,5,0,5,7,12,0,5,7,12,1,5,
0,5,1,5,7,12,1,5,7,7,1,6,7,7,2,7,3,7,1,5,0,4,0,5,7,12,1,5,1,5,
2,0,5,2,6,1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,7,12,6,6,6,6,6,6,6,6,6,6,6,6,6,5,12,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,1,5,1,5,1,
5,1,5,0,3,0,1,0,1,0,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-1,0,5,0,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_38_latin_ext_w[560]={ 0,5,12,15,14,15,13,6,7,7,13,16,8,15,
6,14,14,14,15,14,14,14,14,14,14,14,6,8,17,18,17,12,14,20,18,17,17,17,17,17,18,14,18,19,
17,20,19,17,17,18,19,15,16,18,20,20,18,18,14,6,13,6,14,21,6,17,19,17,18,16,16,17,18,15,
12,17,15,20,18,16,19,18,17,14,16,18,20,20,18,18,14,7,2,7,15,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,16,14,18,
2,16,10,21,11,17,18,15,21,22,10,16,9,10,6,18,16,6,6,8,12,17,20,21,20,12,20,20,20,20,
20,20,20,17,17,17,17,17,14,14,14,14,19,19,17,17,17,17,17,12,18,18,18,18,18,18,17,16,17,17,
17,17,17,17,20,17,16,16,16,16,15,15,15,15,16,18,16,16,16,16,16,16,18,18,18,18,18,18,19,18,
20,17,20,17,21,18,17,17,17,17,17,17,17,17,17,19,19,18,17,16,17,16,17,16,19,16,17,16,17,17,
17,17,17,17,17,17,18,18,18,18,14,15,14,15,14,15,14,15,14,15,20,17,18,13,19,17,16,17,15,17,
15,17,15,17,15,18,15,19,18,19,18,19,18,19,17,16,17,16,17,16,17,16,20,20,19,17,19,17,19,17,
15,14,15,14,15,14,15,14,16,16,16,16,16,17,18,18,18,18,18,18,18,18,18,18,18,19,20,20,18,18,
18,14,14,14,14,14,14,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,16,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,18,17,17,17,17,17,17,17,17,17,17,17,17,17,20,19,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,17,14,15,17,
16,18,18,18,18,18,18,18,18,18,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,17,20,20,18,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_38_latin_ext_h[560]={ 0,23,10,26,27,22,19,11,26,26,13,18,10,3,
5,26,23,21,22,23,21,22,23,22,23,23,16,19,18,7,18,21,25,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,24,20,21,20,21,20,20,20,20,20,26,26,26,9,3,6,16,22,16,22,16,21,22,21,22,
29,21,21,15,15,16,22,22,15,16,21,16,15,16,15,22,15,26,26,26,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,22,20,14,20,
26,24,4,21,11,15,10,3,21,3,10,21,12,13,6,22,24,5,7,11,11,15,21,21,22,22,27,27,26,25,
25,27,20,26,27,27,26,25,27,27,26,25,20,25,28,28,27,26,26,13,23,28,28,27,26,26,20,22,23,23,
23,21,22,24,16,21,23,23,23,22,22,22,22,21,22,20,23,23,23,21,22,17,18,23,23,23,22,29,28,28,
24,21,26,23,25,20,28,23,27,23,26,22,27,23,26,22,20,22,24,21,26,23,25,22,25,20,26,23,27,29,
27,29,26,28,26,30,26,26,20,21,25,20,24,20,26,22,25,27,25,15,21,29,27,29,26,27,15,27,27,26,
27,20,21,20,21,20,21,27,22,26,21,26,22,21,21,22,25,21,27,23,28,23,20,16,27,22,26,21,26,22,
28,23,27,23,26,21,27,23,28,28,26,22,20,21,26,21,25,21,27,23,28,24,28,23,25,20,26,23,26,29,
25,27,22,25,21,26,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,26,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,16,21,21,21,21,21,21,21,21,21,21,21,21,21,23,16,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,26,23,26,22,27,
23,27,23,28,25,28,27,28,27,28,27,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,32,29,27,23,29,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_38_latin_ext_s[560]={ 511,506,142,37,223,33,29,504,283,291,75,
62,133,296,256,53,59,71,346,164,86,278,451,247,179,277,505,20,79,200,97,
101,81,60,81,136,118,136,174,154,246,265,172,280,406,317,356,191,338,129,416,
260,229,276,385,470,1,491,436,68,75,125,185,274,233,193,73,211,93,267,313,
229,330,164,110,295,244,411,374,229,326,434,468,303,209,153,447,132,338,377,432,
158,508,355,240,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,511,499,198,
349,36,366,508,148,263,114,99,486,166,296,49,312,155,1,89,64,226,396,165,
505,219,111,120,393,301,279,472,493,131,95,262,400,345,451,39,140,414,490,205,
455,192,93,399,295,154,310,457,439,75,89,107,51,339,385,366,379,150,336,211,
212,286,211,304,488,129,259,246,452,322,392,409,17,1,496,480,33,147,397,194,
375,358,435,463,115,43,267,248,229,444,141,271,347,220,139,470,91,1,451,215,
20,256,481,1,426,290,414,19,53,19,34,241,84,363,74,96,112,42,475,381,
330,308,178,326,160,244,310,262,22,169,414,456,359,491,440,114,424,280,262,366,
398,330,20,338,123,432,96,224,1,357,238,207,132,274,1,322,100,263,192,247,
55,415,491,213,450,453,101,121,1,473,67,472,147,404,130,376,172,19,49,223,
470,185,180,475,399,39,384,299,18,363,466,422,491,123,309,300,157,243,175,381,
194,344,347,1,182,328,1,421,492,315,109,166,59,23,116,18,440,232,108,362,
378,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,395,226,226,433,
226,226,226,226,226,226,226,226,226,226,226,226,226,414,284,226,226,226,226,226,
226,226,226,226,226,226,226,226,292,318,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,203,366,
188,293,20,313,38,432,252,62,291,173,233,57,196,76,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,1,78,152,38,40,201,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226, };
static unsigned short stb__courier_38_latin_ext_t[560]={ 1,91,277,91,34,191,257,257,63,63,277,
257,277,277,277,91,144,214,168,144,214,168,118,168,144,118,118,257,257,277,257,
214,118,236,236,214,236,236,236,214,236,236,214,236,214,236,236,214,236,118,236,
214,236,214,214,236,257,236,236,91,91,91,277,277,277,257,168,257,168,257,214,
168,214,168,1,214,214,257,257,257,168,168,257,257,214,257,257,257,257,168,257,
63,1,63,277,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,1,118,168,
214,277,214,34,118,277,214,277,257,277,277,214,277,277,214,277,277,277,168,118,
135,277,277,277,257,191,191,168,168,34,34,63,91,91,34,236,63,34,34,63,
91,34,63,63,91,236,91,1,1,63,91,91,277,144,1,1,34,91,63,236,
168,144,144,144,191,168,118,257,191,144,144,144,168,168,144,144,214,168,236,144,
144,144,191,144,257,257,144,144,144,144,1,1,1,118,191,63,144,118,236,1,
144,34,118,91,144,34,118,91,168,236,168,118,191,63,144,118,168,118,214,63,
118,34,1,34,1,91,1,91,1,91,63,214,191,91,214,118,214,91,168,91,
34,91,277,191,1,34,1,91,63,257,34,34,91,34,236,191,236,191,236,191,
63,168,63,191,63,168,191,191,191,91,191,34,144,1,144,236,257,63,191,63,
191,63,168,1,118,63,118,63,214,34,118,1,1,63,168,236,191,63,191,91,
191,34,118,34,118,1,144,91,214,63,144,63,1,118,34,191,91,191,63,168,
191,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,191,214,214,63,
214,214,214,214,214,214,214,214,214,214,214,214,214,191,257,214,214,214,214,214,
214,214,214,214,214,214,214,214,118,257,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,91,118,
91,168,34,118,34,118,1,118,1,34,1,34,1,34,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,1,1,34,144,1,118,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214, };
static unsigned short stb__courier_38_latin_ext_a[560]={ 322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_38_latin_ext(stb_fontchar font[STB_FONT_courier_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_38_latin_ext_s[i] + stb__courier_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_38_latin_ext_t[i] + stb__courier_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_38_latin_ext_x[i];
            font[i].y0 = stb__courier_38_latin_ext_y[i];
            font[i].x1 = stb__courier_38_latin_ext_x[i] + stb__courier_38_latin_ext_w[i];
            font[i].y1 = stb__courier_38_latin_ext_y[i] + stb__courier_38_latin_ext_h[i];
            font[i].advance_int = (stb__courier_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_38_latin_ext_s[i] + stb__courier_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_38_latin_ext_t[i] + stb__courier_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_38_latin_ext_x[i] + stb__courier_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_38_latin_ext_y[i] + stb__courier_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_38_latin_ext_LINE_SPACING
#endif

