// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT        306
#define STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_39_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_39_latin_ext_LINE_SPACING          18

static unsigned int stb__courier_39_latin_ext_pixels[]={
    0x00037000,0x00002440,0x00880000,0x00000000,0x00003700,0x20001910,
    0x000001ec,0x00000c00,0x03d90000,0x02b803b6,0x8008006c,0xffff7000,
    0x003fffff,0x080002d8,0x01500040,0x4c254000,0x0022000d,0x05400001,
    0x001e4000,0x30000060,0x43980000,0x000c0049,0x000fec00,0x000ef980,
    0x00001d50,0xb8003fa8,0x3620000d,0x00ea8003,0x037cc000,0x7c45fb00,
    0x000007ff,0x000bb7b2,0x40005d90,0x03fd02fd,0x1fa807dc,0xd104f880,
    0x2aaa200b,0x002aaaaa,0x20003fa8,0x07f503fa,0x00007f60,0x4fa87744,
    0xc817e400,0xfc80001f,0x3b620002,0x3bee0000,0x7f440000,0x9f500004,
    0xf9002fcc,0xd100001b,0x2a00003f,0xf90000df,0x200005fd,0x6c4004fb,
    0x98001eff,0x2000dffe,0x5400001e,0x7ec0005f,0x003e54c2,0x1a269800,
    0x07ff9800,0x740bf600,0x2067c01f,0x3ea006f9,0x003bea0e,0x26000000,
    0x3ee0005f,0x8013f20d,0x00002fd8,0x000bf3f2,0x7fb11fec,0x05fb0000,
    0x006f4400,0xfebfd880,0x7df50002,0x4c0001df,0x4017e65f,0x01eebfe8,
    0x003ba600,0x002fdc00,0x9f92fe88,0x03fc8000,0x6c4f74c0,0x37ee003f,
    0x9801ee98,0x700000df,0xd900009f,0x0001ea03,0x00761640,0x002ffc40,
    0x3b603d90,0x66ffd400,0x44000ffe,0x004fcafe,0x0eb8075c,0x3a24e880,
    0x4c009d13,0x002fdaee,0x20007f90,0xb83aa1eb,0x37ee001e,0x40001eea,
    0x22001fe8,0x4e893a4e,0x643dd300,0x27e4004f,0x30005fd1,0x8037c4bf,
    0x7fb10efa,0x003be000,0x001fd400,0x7d40ef98,0x2fd8000d,0x206fd400,
    0x3fc804fb,0x2e017ec4,0xa80003ff,0x0000003f,0x200000f5,0x0000745a,
    0x00000051,0x6f764400,0x7fec0003,0x02fd8002,0xff3005fb,0x2003fcc0,
    0x0001efd8,0x6c001fdc,0x01fec03f,0x0037fa60,0x001dd100,0x3e607f98,
    0x80df8807,0x5f7004fa,0xd0007f20,0x9800ee8b,0x007f704f,0x88000050,
    0x812e0001,0x6c4000d9,0x203c8001,0x201c805a,0x06ec403b,0x000c4000,
    0x00f50000,0x75ef4000,0x00000003,0x00000000,0x00035000,0x002880a2,
    0x0035006a,0xa80000a0,0x80288002,0x05100028,0x0005c000,0x00d401a8,
    0x80044028,0x4000c008,0x06200181,0xb8800130,0x880000be,0x00000bec,
    0x00000000,0x00000000,0x80000000,0xa80000f9,0x4c000007,0x0000000b,
    0x00000000,0x4c0ea000,0x0000000b,0x00000000,0x7303a800,0x00000001,
    0x0ea00000,0x000005cc,0x00000000,0x00000000,0x74000000,0x40006b8b,
    0x005c9ae8,0x00000000,0x00000000,0x20000000,0x22deffdb,0x3332a6e8,
    0x83cccccc,0x3ff6e27a,0x000001bd,0x7bffb700,0x705e6643,0x5c199999,
    0x00cccccc,0x437bffb7,0xf880bccc,0x304fe82f,0x81999999,0x0cccccca,
    0x19999993,0xcccccca8,0x3bfb2a00,0x3fe2001b,0x9304fe82,0xa8199999,
    0x30cccccc,0x81999999,0x0cccccca,0xfe82ff88,0x99999304,0xcccca819,
    0x36e600cc,0x8712deff,0x0cccccc9,0x66666654,0x99999930,0xccccca81,
    0xffec880c,0x200532df,0x0000ec4a,0x2200e877,0x2a03cccc,0x9911cccc,
    0x66540799,0xffb701cc,0x5e66437b,0x99999910,0x6dc07999,0x3321bdff,
    0xbfd100bc,0xb1bfb757,0x7777641f,0xa86eeeee,0x9579ff37,0x999309fd,
    0xcca81999,0x7440cccc,0x2fecabdf,0x3621dddf,0xb11feeee,0x81fddddd,
    0xecabdfe8,0x01dddf2f,0x0bf203f6,0x6f77f6cc,0x77f77541,0xddfdb30d,
    0xfeeea83b,0x7bfb00de,0x001dfb75,0x0bf203f6,0x6f77f6cc,0x77f77541,
    0xddfdb30d,0xfeeea83b,0x01fb00de,0x3b6605f9,0x7541deef,0x880defee,
    0xecbacefe,0x76cc7cef,0x7541deef,0xb30defee,0xa83bddfd,0x40defeee,
    0xdbaacffa,0x95005ddf,0x2e0002d8,0xfd300743,0x3b201bdd,0xdfd33efe,
    0x3bb201bd,0x6ff443ef,0xdf2fecab,0x3bbaa1dd,0x86eeeeee,0xecabdfe8,
    0x01dddf2f,0x3ea01df5,0x6c8001ff,0x00cfafa8,0xfed989f7,0x77541dee,
    0x3e20defe,0x7f7f701e,0x3007e600,0x80f7c41f,0x0003fbfb,0x400f7000,
    0x00f700f9,0xfe8807cc,0x001dd101,0x01ee0000,0x0f700f98,0x00007cc0,
    0x3003dc00,0x03ba201f,0xf707fd88,0xb807cc00,0x203e6007,0xff300cf9,
    0x5457400b,0x8f440006,0x00bd005b,0x02f407dc,0xef881f70,0x07f7f701,
    0xdf11b200,0x0fefee03,0xfa805f88,0x50d90006,0x7f3007ff,0x7cc00f70,
    0xfa806d80,0x03f3003f,0x01b60f98,0x0000ffea,0x3003dc00,0x801ee01f,
    0x01dd00f9,0x00000bb0,0xf9801ee0,0x4c00f700,0x8000000f,0x03e6007b,
    0x0fd002f4,0x0f9801ee,0x7cc00f70,0xfb806d80,0x33f26005,0xfd980000,
    0x03f5000c,0x0fd413a0,0x06d84e80,0x0003ffa8,0xa806d8d9,0x01b203ff,
    0x000bf7e2,0x01bea1b2,0x007b87c8,0x03f503e6,0x4c00ff20,0xa87cc01f,
    0x07f9001f,0x1ee00000,0xf700f980,0x5407cc00,0x013e001f,0x01ee0000,
    0x0f700f98,0x00007cc0,0x3003dc00,0x001f901f,0x007b83d4,0x03dc03e6,
    0x05f01f30,0x000017a0,0xe8000000,0x200fa805,0x40fa805e,0x7f9001fa,
    0xfa9b2000,0x207f9001,0x8ee802f9,0x86c8006c,0x3e2002fa,0xf3003dc1,
    0x26006c81,0x03f3003f,0x00d90f98,0x65c41fcc,0x9997103c,0x9801ee05,
    0x400f700f,0x027c40f9,0xcb883ee0,0x9997103c,0x9801ee05,0x400f700f,
    0x665c40f9,0x59997103,0xf9801ee0,0x18003f80,0x7cc00f70,0x4c00f700,
    0x800fc40f,0x3332603a,0x0002cccc,0x0fd40000,0x3f5013a0,0x06c84e80,
    0x4000fe60,0x9801b26c,0x900d903f,0x000be61f,0x001f50d9,0x003dc3e8,
    0x004d81f3,0x7cc00fe2,0x4d87cc01,0x260fe200,0xdd305fee,0x01ee09fd,
    0x0f700f98,0x3ea07cc0,0x262e8000,0xdd305fee,0x01ee09fd,0x0f700f98,
    0x3a607cc0,0xddd305fe,0x801ee09f,0x007cc0f9,0x400f7000,0x00f700f9,
    0x01fc07cc,0xeeed9800,0x10006efe,0x3bdffd97,0xf502f400,0x540bd001,
    0x2004d80f,0xd90003f8,0x7f10026c,0x5f7013a0,0x364003e8,0x274003d4,
    0x0f9801ee,0x0fe00274,0x2600fcc0,0xf8009d0f,0xe802e403,0x4c00f704,
    0x400f700f,0x003640f9,0x00b904c8,0x003dc13a,0x01ee01f3,0x17200f98,
    0x07b82740,0x0f703e60,0x007b8000,0x03dc03e6,0x3f901f30,0x37600000,
    0x7e4001f8,0xffdbacdf,0x201f5003,0x01f5004e,0x0027413a,0x364000fe,
    0x03f8009d,0x427cc05f,0x4364005d,0x1fc001fa,0x0f9801ee,0x7f1002e4,
    0x3007e600,0x8801721f,0x802e403f,0x400f704e,0x00f700f9,0x017607cc,
    0x05c835c0,0x01ee09d0,0x0f700f98,0xb9007cc0,0x3dc13a00,0x4d81f300,
    0x03dc0000,0x1ee01f30,0xfb00f980,0x44000039,0x9800bb2f,0x800fe402,
    0x000fa84e,0x403ea13a,0x0fe2005c,0x0b936400,0x7c41fc40,0x320bd101,
    0x54364006,0x07e6003f,0x07cc00f7,0x3fa801ee,0x9803f300,0x5400f70f,
    0x802e403f,0x400f704e,0x00f700f9,0x00fa07cc,0x05c83d40,0x01ee09d0,
    0x0f700f98,0xb9007cc0,0x3dc13a00,0x4e81f300,0x03dc0000,0x1ee01f30,
    0x2a00f980,0x00aceffd,0x07d4f700,0x13e20000,0x13a07d40,0x4e81f500,
    0xfa801ee0,0x5cd90003,0x20fea007,0x01db01f9,0x0d9001ae,0x3a001ff5,
    0x26007b86,0x8027c40f,0x3f3003fe,0x9f10f980,0x900ffa00,0x5c13a00b,
    0x403e6007,0x03e6007b,0x3e60007f,0x9d005c80,0xf9801ee0,0x4c00f700,
    0x4017200f,0x400f704e,0x002740f9,0x9801ee00,0x400f700f,0xb98800f9,
    0x4000effd,0x000fe24e,0xe801b200,0x20003ea4,0x8803ea4e,0x07fd004f,
    0x4f89b200,0x3e07fd00,0x3201fc82,0x54364005,0x7e400eef,0x26007b81,
    0x402fb80f,0xf3003fed,0x2e0f9803,0x1ff6c02f,0x27401720,0x3e6007b8,
    0x4c00f700,0x80026c0f,0x200b907a,0x400f704e,0x00f700f9,0x0b9007cc,
    0x03dc13a0,0x04e81f30,0x7777776c,0x3003dc1d,0x801ee01f,0xd30000f9,
    0x07e2003f,0x900000d9,0xe87d400d,0x21f50005,0x02fb805e,0x8001ff6c,
    0x2017dc6c,0x87d03fed,0x027402fa,0x23ea1b20,0x7f4c0afe,0x4c00f702,
    0x819fb00f,0x003f8ee9,0x0f9803f3,0x3a6067ec,0x2e403f8e,0x0f704e80,
    0x7b807cc0,0xb903e600,0x64172000,0x2e09d005,0x403e6007,0x03e6007b,
    0x09d005c8,0x0f9801ee,0x3bb202ec,0x5c1cfeee,0x403e6007,0x03e6007b,
    0x200fb000,0x001f986b,0x3bffb6e2,0x74006ecd,0x20001fac,0xb001face,
    0x8ee9819f,0x0d90003f,0xee9819fb,0x44bb03f8,0x003f804f,0xfb3d4364,
    0x01dffddf,0x1f3003dc,0x7f7ffd40,0x5107f0df,0x557f7555,0x407cc155,
    0xdffefffa,0x05c807f0,0x01ee09d0,0x0f700f98,0x1ae07cc0,0x5c81ec00,
    0x1ee09d00,0xf700f980,0x9007cc00,0x5c13a00b,0x703e6007,0x20f5000d,
    0x03e6007b,0x1f3003dc,0x01f98000,0x009d03e8,0x2af37fee,0x4006fecb,
    0x40005efa,0x54005efa,0x0dffefff,0x1b20007f,0x7ff7ffd4,0x3ea07f0d,
    0x3f700dd0,0x7a86c800,0x801acb98,0x03e6007b,0x81597310,0xffffb83f,
    0x3fffffff,0x5cc403e6,0x201fc0ac,0x209d005c,0x0f7000f9,0x7b8007cc,
    0x4c002f98,0x200b901f,0x001f304e,0x00f981ee,0x05c80f70,0x03e609d0,
    0x07d43dc0,0x7cc1ea00,0x4c0f7000,0x70f7000f,0x403f8003,0x00f700f9,
    0x6c8019f7,0x001fe800,0x8001fe80,0x7c0acb98,0x40d90003,0x7c0acb98,
    0x03f73a03,0x90009f10,0x0000f50d,0x3dc003e6,0x003f8000,0x0007cc00,
    0x05c807f0,0x017c09d0,0x017c06e8,0x00d906e8,0x017206d8,0x005f0274,
    0x005f01ba,0x00b901ba,0x002f813a,0x009f10dd,0x00be07a8,0x00be0374,
    0x00274374,0x40d900be,0x17e202f8,0x74003640,0x0bd00005,0x01fc0000,
    0x40006c80,0x07fea03f,0x20003f20,0x0007a85d,0x37400be0,0x017c4000,
    0x001ee000,0x3dc02f88,0xd9027dc0,0xc807f100,0x103f8806,0x07ea009f,
    0x4fb807b8,0x3e201b20,0x44036403,0x403dc03f,0x01b204fb,0x17d40fe2,
    0x3640f500,0x3201fc40,0xe83f8806,0x01f5000f,0x02ec03f8,0x1b2001f5,
    0x0003f300,0x00003f30,0x4000be20,0x3e20005d,0x00bfea02,0xf10005fb,
    0x0000f507,0x1fc40364,0x007d4000,0x0017a000,0x7d400fa8,0x813ff602,
    0x1be604f9,0xf9813e60,0x2027dc06,0x17d402fa,0x4c09ffb0,0x01be604f,
    0x6f9813e6,0x3602fa80,0x13e604ff,0x7e406f98,0x4c0f5003,0x01be604f,
    0x6f9813e6,0xf300bfd0,0xffffa809,0x0fffffff,0x3a600f70,0x002ec006,
    0x00005d80,0x20003ea0,0x2a0004f8,0xf9bf100f,0x17f5443b,0xa81fb800,
    0x3e600007,0x001be604,0x0001be20,0x20007f30,0x5dd006f8,0x6f57f5cc,
    0x43df300a,0x3001ffa8,0x7fd443df,0x0aefa801,0x2007f931,0x3fae62ee,
    0xf300adea,0x0ffd443d,0x221ef980,0xdd001ffa,0x757f5cc5,0x3df300ad,
    0x400ffd44,0xd981aefb,0x0f7cc07f,0x2003ff51,0x3ea21ef9,0x7fdbd01f,
    0x806fc881,0xaaaaaadd,0xf303faaa,0x06ffb807,0x00007e60,0x000007e6,
    0xb80037c4,0xdf10001f,0xfff53740,0x0001bfff,0x1ea07fb5,0x3df30000,
    0x000ffd44,0x001dd510,0x037f2600,0x01dd5100,0x3ffffa20,0x07ffd0df,
    0x7fffff4c,0x7f4c000d,0x000dffff,0x3fffffa2,0x3fa2002c,0xfd0dffff,
    0x7ff4c07f,0x4000dfff,0xdfffffe9,0x3ffa2000,0xffd0dfff,0x7fff4c07,
    0x26000dff,0xfffefffe,0xffd3002e,0x8001bfff,0xdfffffe9,0x7fe4b600,
    0x803fffef,0x0d9001f8,0xd730dfec,0x0155d97f,0xb00005d8,0x5100000b,
    0xb88001dd,0xea88004f,0x301f700e,0xfb001375,0x85ffffff,0xffffffe8,
    0x74c0001e,0x00dfffff,0xfffffd10,0x2e0001bf,0x05ffffff,0x7fffff44,
    0xba8000df,0xa880001b,0x440000ab,0x20000aba,0x40001b98,0x80001bba,
    0x0000aba8,0x00055d44,0x00037750,0x00157510,0x09aba980,0x15751000,
    0xaba88000,0x57530000,0x01ee0013,0xf9101f98,0x21bfffff,0xff33fffc,
    0x5fffffff,0xfffff300,0x8005ffff,0xffffffe8,0x3ffee00d,0x4403ffff,
    0xdffffffe,0x00006200,0x1aaaaaa8,0x2aaaaaa0,0x100000aa,0x50001575,
    0x00155555,0xaaaaa980,0x55555000,0x00000015,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x004e8000,
    0x2ea20274,0x2aa2001a,0x0aaaaaaa,0xaaaaa880,0x8000aaaa,0x00aaaaaa,
    0x9aaaaa88,0x55555000,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01f98000,0x00003dc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x202aafda,0x22bfbaa8,0xfffffffb,0xffffffff,0xfd35ffff,
    0xffffffff,0xffffffff,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff700,0x3ffee03f,
    0x55511fff,0x55555555,0x55555555,0x2eeeee23,0xbbbbbbbb,0x2bbbbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000590,0x05b00009,0x10000000,0x000ae037,0x20001910,0x91000008,
    0x01001003,0x2a003100,0xcccccccc,0x0ccccccc,0x0002cc00,0x40088000,
    0x00140000,0x40008011,0x05c0004a,0x22440000,0x80000048,0x20000800,
    0x32200001,0x00200001,0x30000020,0x0060000b,0x22000000,0x700001fe,
    0xf90003df,0x07b20007,0x3ee00fdc,0x001ff987,0x0001fd10,0x80003ff5,
    0xee800fe8,0x4007d880,0xfc803fe9,0xefeeeeee,0x01feeeee,0xf9017ea0,
    0x200007ff,0x00be205c,0x4003fa20,0x003e204d,0x0000ef98,0x8800005f,
    0x4c1ba25f,0x007fffff,0x0d900fc4,0x009fd100,0xd03fd100,0x220bffff,
    0x0d41effb,0x200003e8,0x7440007a,0x07dd004f,0xdd3003cc,0x3f600003,
    0xb8002fdc,0xfd88004f,0x4c01fec3,0x006e885f,0x0001df30,0x007fb9f7,
    0x4003be60,0x3fa62fe8,0x2f7ee001,0x41b200df,0x003f107a,0x2a2013ee,
    0x300003fa,0x003f203f,0x4003dd10,0x00fb01fa,0x0001df30,0x4400005f,
    0x01dd10ee,0x03e55554,0x4f882ec0,0x7df7cc00,0xdd30000d,0x36aaa601,
    0xfd57fb05,0x3207fb5b,0x1ea00007,0xfbef9800,0x17e4c00d,0xdf3007a8,
    0xfd100001,0x40027e45,0xf90005fa,0x0003fd39,0xdfa80000,0x1fec4000,
    0x54001bf7,0xfc8000df,0x1000dfac,0x0f7cc7fb,0x20f506c8,0x3fc801f8,
    0x0003f800,0x2a26ff60,0x7cc004fc,0xbee8000e,0x003fda89,0x8003fd10,
    0xd100002f,0x003ba21d,0xf3000f50,0x1fd7315b,0xd32fdc00,0xdfa8003f,
    0x54172000,0x017ffd40,0xb80007f1,0x38befffe,0x3a65fb80,0x505b801f,
    0x00bf100f,0x54077c00,0x4f98005f,0x1dff5000,0x80000000,0xdd0004f9,
    0x200dd303,0x540004f9,0x7ec004ff,0xc80fd881,0x3e20f506,0x0017dc01,
    0x200003f8,0x3fffffd8,0x002fcc00,0xfffffb10,0x7d880007,0x00017c00,
    0x07f20ed8,0x4001ea00,0x1dfffffa,0x220fee00,0xbf1001fd,0x000b9000,
    0x001b2001,0x5cdf7f44,0x7dc07ffe,0x401fd883,0x007a80f9,0x02800003,
    0x088000c4,0x000e2000,0x01800000,0x18802600,0x40000600,0x00980028,
    0xf506c80c,0x11007e20,0x001fc000,0x04d54400,0x0001cc00,0x0009aa98,
    0x99100600,0x99999bf9,0x02600599,0x1ea00013,0x03553000,0x01803100,
    0x5c8000c0,0x3e200000,0x01fd8002,0x01880ff1,0x40fc400c,0x0000007a,
    0x00000000,0x32200000,0x32a03ccc,0x00001ccc,0x00000000,0x00000000,
    0x3d417200,0x00001f88,0x00001fc0,0x00000000,0x00000000,0x3bfbbaa0,
    0x5eeeeeee,0x50000000,0x0000000f,0x00000000,0xccc9ae40,0x66540ccc,
    0x36c0cccc,0x5013e200,0x2000000f,0x267a81f8,0x40cccccc,0x0cccccca,
    0x666665c0,0x264ccccc,0x40cccccc,0x0cccccca,0xdfffec88,0x77f4c532,
    0xfdd900de,0x7f5cc07d,0x80710cdf,0x0cdffeb9,0x3fb22071,0x80532dff,
    0x0cdffeb9,0xfeca8071,0x814c01be,0x9500e07a,0x40037dfd,0xccccb83f,
    0x666664c3,0x6666540c,0x3ffe60cc,0x730007ff,0x225bdffb,0xefeca803,
    0x017c001b,0xefeca800,0x0f50001b,0x3bfb2a00,0x6664401b,0x999500cc,
    0x66665c79,0x1ccccccc,0x7f6cd720,0x77541dee,0x7cc0defe,0x003ea001,
    0xccccc886,0x9999902c,0xa81f8879,0x3bbfb667,0x7f77541d,0x776400de,
    0xeeeffeee,0x3bbfb664,0x7f77541d,0x67fd40de,0x5ddfdbaa,0x3ee005e8,
    0x57bff100,0x0f75ff95,0x2aaf7fe2,0xa87baffc,0xfdbaacff,0xbff105dd,
    0x75ff9557,0x55efec0f,0x8000efdb,0xbfb0007a,0x01dfb757,0xffd887f0,
    0x3b660def,0x7541deef,0x540defee,0x4007caaa,0xcbacefe8,0x6c07cefe,
    0xefdbabdf,0x0005f000,0xb757bfb0,0x7a8001df,0xabdfd800,0xb100efdb,
    0x2a03bdfd,0x3f63effe,0xeeeeeeee,0x717202fe,0x007cc00f,0x17d400bd,
    0x3bbf6200,0xddd902ee,0x81f887df,0x2007b87a,0x640000f9,0x2007b806,
    0x0cf980f9,0xf50bff30,0x4413a003,0x3fee00de,0x200de887,0x67cc7ffb,
    0x10bff300,0x7fdc01bd,0x101fe887,0x7a8001dd,0x80ff4400,0x1fc00ee8,
    0x2e006fd4,0x003e6007,0xdd1003d4,0x83fec401,0xdd101fe8,0x0005f001,
    0xe880ff44,0x01ea000e,0xd101fe88,0x027c401d,0x804d85e8,0x717201fa,
    0x007cc00f,0x3e2003f5,0x009d0006,0x07e20be0,0x801ee1ea,0x640000f9,
    0x2007b806,0x806d80f9,0x00bd05fb,0x0bd101f5,0xbd11fee0,0xdb1fee00,
    0xe88bf700,0xd0ff7005,0x00bb001d,0x774007a8,0x7c05d800,0xb8027dc3,
    0x003e6007,0x0bd003d4,0x0ee83f40,0x2f805d80,0x003ba000,0x07a80176,
    0x36003ba0,0x200fd405,0x404d80fc,0x22e404f8,0x03e6007b,0x7d400bd0,
    0x176001be,0x2207e200,0x7b87a81f,0x0003e600,0x0f700d90,0x17c07cc0,
    0x3f505e80,0x1fb04e80,0x3f63f400,0x5f1fa000,0x1fb17a00,0x3ea3f400,
    0x8013e001,0x07ea007a,0x8fe04f80,0x1ee003fc,0x5000f980,0x003f200f,
    0x01fa87a8,0x05f013e0,0x8007ea00,0x00f5004f,0x4f8007ea,0x5f3036c0,
    0x0dd01360,0x007b8b90,0x1f5003e6,0x7ffe4400,0x41b201bd,0x01f880aa,
    0x03dc007f,0x80001f30,0x007b806c,0x03f103e6,0x05e80ea0,0x01fc03ea,
    0x007f1aa0,0x007e26a8,0x000fe1d4,0x0027c4d5,0x3d4003ee,0x4004f880,
    0xb17f00fb,0x07b8005f,0x54003e60,0x0007f007,0x4004f883,0x00be00fb,
    0x70013e20,0x00f5001f,0xfb8009f1,0x7413e200,0xfb813605,0x3dc5c800,
    0xd001f300,0x32e20009,0x06b80dfe,0x01f309ff,0x3dc00ff2,0x0001f300,
    0x07b806c8,0x0fe03e60,0x807d4000,0x000f304e,0x20000f30,0x0f30003f,
    0x001f5000,0x1ea005d0,0x40007d40,0x5fd9f02e,0x400f7000,0x0f5000f9,
    0x00001f30,0x5d0001f5,0x540017c0,0x02e8000f,0x0fa807a8,0x5402e800,
    0x7007dc1f,0x400fe605,0x3003dc5c,0x01f7001f,0x81dd3000,0x86df987a,
    0x03ff407a,0x1f3003dc,0x806c8000,0x03e6007b,0x400007f2,0x900fa84e,
    0x0b90000b,0x007f2000,0x20001720,0x0990006c,0x36401ea0,0xff04c800,
    0xb8001fbb,0x003e6007,0x03dc03d4,0x0006c800,0x0017c099,0x4c800364,
    0x6c807a80,0xb0099000,0x0001fccd,0x22e400bd,0x03e6007b,0x80001fc0,
    0x207cc2f8,0x35c0f9ec,0x7003bf50,0x007cc00f,0x2e01b200,0x403e6007,
    0x40001cfd,0xd02740fa,0x09d00009,0x0e7ec000,0x00009d00,0x1ae000bb,
    0x5d803d40,0x3e0d7000,0xb8003f65,0x003e6007,0x026c03d4,0x0005d800,
    0x0017c0d7,0x6b8002ec,0x5d807a80,0x100d7000,0x80017a7f,0x172000fc,
    0x07cc00f7,0x00007b80,0xe83f1136,0x205c87f4,0x01ee004f,0x40000f98,
    0x007b806c,0xfda803e6,0x4000acef,0xe803ea4e,0x03e80003,0x7fed4000,
    0x07d00ace,0x0007d000,0x03d401ea,0xf50003e8,0x01db0fe0,0xf9801ee0,
    0xd00f5000,0x0fa00009,0x7f03d400,0x0007d000,0x01ea01ea,0x3d4000fa,
    0x00fcfb80,0x8005f500,0x3003dc5c,0x0fe2001f,0x0bb000e8,0x5d97c45f,
    0x82f8826c,0x2007b859,0x640000f9,0x2007b806,0xb98800f9,0x5000effd,
    0x7d017a1f,0x007d0000,0x36e62000,0x01f40eff,0x8001fc00,0x07a800f9,
    0x260007f0,0xee83f80f,0x2007b800,0x0f5000f9,0x200009d0,0x1f30003f,
    0x8a201f60,0x1f30003f,0x3f807a80,0x001f3000,0x44000ff6,0x45c8004f,
    0x03e6007b,0x9f106c80,0x7f07f100,0x747a87d4,0xf503f103,0x7cc00f70,
    0xd9000c80,0x4c00f700,0xfd30000f,0x3eb3a003,0x00027401,0x00000274,
    0x2743fd30,0x0026c000,0x555307a8,0x015555f9,0x1ea0009b,0x077441fc,
    0xf9801ee0,0xd00f5000,0xeeeed809,0x009b1dee,0xdf981ea0,0x3ff6a20a,
    0x2a0009b0,0xd807a807,0x00f50004,0xd80007d4,0xb8b90006,0x003e6007,
    0xff882f88,0x741ba203,0x21f89764,0x503f103f,0x4c00f70f,0x800fc40f,
    0x007b806c,0xb00003e6,0x17bea00f,0x20001760,0x0000005d,0x001767d8,
    0x64001720,0xfffffd05,0xb907ffff,0x7c172000,0x401dd103,0x03e6007b,
    0x2ec03d40,0x3bbbbb20,0x000b91cf,0xffd50172,0x417dfffd,0x0b90005c,
    0x0b900f50,0xa8017200,0x03f70007,0x7b8b9004,0x0003e600,0xffbf10db,
    0x3df9557b,0x743f9360,0x0fc40be4,0x003dc3d4,0x01f881f3,0x0f700d90,
    0x00007cc0,0x7f4007e6,0x0007c801,0x000007c8,0x0f91f980,0x000d7000,
    0x200000f6,0x47b0006b,0x7103faa8,0x7b8155df,0x4003e600,0x006b807a,
    0x0035c7a8,0x755003d8,0x0035c035,0x2aaa63d8,0xaaaafcaa,0x000d70aa,
    0x07a800f6,0x2203f980,0xf98b900f,0x000f7000,0x911905f3,0x807bfffd,
    0x6c83f35c,0x07e203f1,0x003e61ea,0x00fc43dc,0x0f9805c8,0x0370f700,
    0xbd003f80,0x0007e600,0x80003f30,0x99fc001b,0x7cc0001f,0x00fcc002,
    0x0be60010,0x7e43f300,0xfff903ff,0x00f987ff,0x3d400f70,0x20007d40,
    0x0017cc7a,0x008007e6,0x98005f30,0x3ffff21f,0xffffffff,0x8005f32f,
    0x1ea001f9,0xf3017a00,0x0be17201,0xd8003740,0x400f5006,0x1f30f76b,
    0x07e201f3,0x8017c1ea,0x001f886e,0x00be009f,0x00274374,0x07e600be,
    0x98006d80,0x26001b60,0x2f8009d0,0x826001b6,0x036c006c,0x32009fd0,
    0x0036c006,0x8017c000,0x01ea006e,0xf50013e2,0x6d800d90,0x4013fa00,
    0x036c006c,0x00364000,0x0f5001b6,0x4c00fc80,0xd90b900f,0x0007f100,
    0x1ea007e6,0x209d7a80,0x3e207aaf,0x0d907a81,0x5f107f10,0x2005f300,
    0x83f8806c,0x1f5000fe,0x8800bb00,0x8bee004f,0x3ee004f8,0x2a001fd2,
    0x8013e20f,0x013e22fb,0xf8800fd4,0x09f1006f,0x18007ea0,0x100d9000,
    0x03d4007f,0x2a002fa8,0x5004f887,0x3fe2003f,0x009f1006,0x044007ea,
    0x5004f880,0x07a8003f,0x2600bea0,0xf30b900f,0x0037cc09,0x1ea017a0,
    0x02f8f980,0x3dc0d7bb,0x09f307a8,0x5fd037cc,0x3002f440,0x837cc09f,
    0x4f9805fe,0x8001f980,0x7e400df9,0x400df984,0x017fa4fc,0x37e613e6,
    0x5c27e400,0x017d404f,0xb800fa60,0x017d404f,0x8003fb30,0x1be604f9,
    0x6400f500,0x20f5003f,0x17d404fb,0x800fa600,0x17d404fb,0x001dd500,
    0x2fa809f7,0x1007a800,0x03e6009f,0x1ef982e4,0x0007fea2,0x7a801f50,
    0x03f3e200,0xea82e7dc,0x7cc0f504,0x07fea21e,0x2213bf90,0x4c000eea,
    0x3fea21ef,0x17fdbd01,0xb006fc88,0x77d4000b,0x0bf6e21b,0x221befa8,
    0x76f42fdb,0x37e440bf,0x4437df50,0x3ea02fdb,0x7f9310ae,0x001f3000,
    0x310aefa8,0x2a0007f9,0x1ef98005,0x0007fea2,0xefb800f5,0x07fd981a,
    0x4c42bbea,0xf98003fc,0x577d4000,0x007f9310,0x7d400f20,0x7f9310ae,
    0x32aaa600,0xa80aaabf,0xaaaaaabf,0xfd0fbaaa,0x74c0bfff,0x00dfffff,
    0xa809d000,0x037fc007,0x9fd0bff1,0xd301ea01,0x01bfffff,0x3ffffaa0,
    0x3a60004f,0x00dfffff,0x77ffe4b6,0xff983fff,0x2fffffff,0xfffc8800,
    0x8800dfff,0xdffffffc,0xfff92d80,0x1007fffd,0xbffffff9,0xfffd1001,
    0x200059ff,0xfd10003e,0x0059ffff,0x003ebcd8,0xfffffd30,0x5554c01b,
    0xaaaafcaa,0xffd300aa,0x05dfffdf,0xfffffd10,0x0fa00059,0x7fff4400,
    0x22002cff,0x2001ebcd,0xcfffffe8,0x3fff6002,0x83ffffff,0xfffffffa,
    0x30ffffff,0x10055555,0x00001575,0x00080598,0x3fa027fc,0x01800984,
    0x00157510,0x002aea20,0x055d4400,0x9aba9800,0x55555100,0x00015555,
    0x0001ba98,0x20006ea6,0x0009aba9,0x0001ba98,0x00003731,0x73100003,
    0x5dc40003,0xba880001,0xfffc800a,0xffffffff,0xba9802ff,0x9880009a,
    0x0180001b,0x01b98800,0x002ee600,0x000dcc40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00004008,0x00000000,0x00080080,0x04008011,0x00100020,0xbeb88001,
    0x20020000,0x00770000,0x000dd000,0x00001c40,0x00000075,0x00000cc0,
    0xc8800000,0x02200001,0x0001dc00,0x00019800,0x00000510,0x03260000,
    0x01002000,0x9802cc00,0x3f20000c,0x5c03f702,0x983f501e,0x13ffffe7,
    0x37fffb22,0x1ed80532,0x3f200fb0,0x2a03f902,0x005f503f,0x274c13e2,
    0x1ae2fa00,0x880df800,0xbf50005e,0x07f80000,0x00df3000,0x000ff200,
    0x4001f572,0x4c003ffa,0x006f885f,0x003fa200,0x8005d800,0xda8003fc,
    0x07ff5007,0x04fe9800,0xffdb9800,0x200712de,0x20000ef8,0x05f702fb,
    0x200bf500,0x20000ef8,0x0ff623fd,0xfc87fb10,0x2b3e7a84,0x67fd40aa,
    0x5ddfdbaa,0xd117f440,0x1fec003f,0xfc807fb1,0x20027e45,0x37ee0efa,
    0x3b12a000,0x87ba6000,0x20000efa,0x00000efa,0xf50000ff,0xfb00001b,
    0x27f30005,0x7dc001fc,0x3fdc004f,0x0000ffcc,0x000077cc,0xd8005f10,
    0xcfa8002f,0x09ff9001,0x7d6fd400,0xfe88000e,0xefecbace,0x3fa2007c,
    0x13f20001,0xf70007f9,0x1fe88009,0x2b7ee000,0x3ee001ee,0xf502fe9d,
    0x19f3017c,0x4017fe60,0x00efacfc,0xeeadfb80,0xd5df5001,0x3a20005f,
    0x8003fdaf,0x00016c4a,0x09f97fb1,0x03be6000,0x001ba000,0x0000bf70,
    0x20003fd1,0x00bf10fe,0x8001ed88,0x0005501b,0x0001bf50,0x22006c80,
    0x9b0001fe,0x01ed8800,0x7449f900,0x3ba2002f,0x01ff6200,0x0005fb10,
    0x17f577d4,0x001fe400,0x0002fd88,0x00037fa6,0xa803bfe6,0x06d80be7,
    0x2a005fb8,0x4c0004ff,0x44000dfe,0x80000efe,0x20001ffc,0x0006a8ae,
    0x0005ff70,0x0006e880,0x4fa80000,0x03db0000,0xfb13ea00,0x00000003,
    0x7cc00000,0xf8800004,0x003b6003,0x0000fc40,0x40bf2000,0x0bd001fc,
    0xc8003f40,0x3a20000f,0xfb8000ef,0x0fc80002,0x000a2000,0x4f500710,
    0x400be02f,0x0144005e,0x00028800,0x2a00001c,0x7e4c0000,0x2600000c,
    0x06000001,0x20000000,0x26000018,0x07f60000,0x000009f5,0x80000000,
    0xf9000001,0x40000800,0x000001f8,0x00200440,0xf50007e4,0x0000c000,
    0x02200038,0x00018000,0x20000000,0x7c40be7a,0x00075001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x801fd06f,
    0x0cdffeb9,0x66664c71,0x666540cc,0x00000ccc,0x03f88000,0x7c400000,
    0xffb73001,0x000e25bd,0x003f8000,0x00000018,0x00000000,0xcca80000,
    0xcccccccc,0x2e0ccccc,0xcccccccc,0xf9ea1ccc,0x0000fe02,0x33333326,
    0x6664002c,0xcccccccc,0x9999912c,0x80159999,0xccccccc9,0xcccccccc,
    0x99999300,0x64c00599,0xcccccccc,0x64c000ac,0x02cccccc,0x4ccccb80,
    0xccccc880,0x79999500,0x33333326,0x000acccc,0x0fee05f7,0x555effc4,
    0x267baffc,0x41deefed,0x0defeeea,0x99999970,0x99999999,0x00fb8005,
    0x33333326,0x1f88002c,0x5677f440,0x07cefecb,0x33333326,0x03e6002c,
    0x33326000,0xcccccccc,0x6640cccc,0x332a02cc,0x3320cccc,0xcccccccc,
    0x333322cc,0xcccccccc,0xeeeefc82,0xeeeeefee,0x3bbf61fe,0xfeeeeeee,
    0x202f9ea2,0x4c0001fc,0x6efeeeed,0x77776400,0x3eeeeefe,0xddddfdb1,
    0x201dffdd,0xeeeffed9,0xfeeeeeee,0xddddb301,0x6cc00ddf,0xeeeeeffe,
    0x26003ffe,0x6efeeeed,0x7776c400,0xfed8807e,0xffd501de,0x3ffb667d,
    0xffeeeeee,0x2207e803,0x00de886f,0x1ee1ffee,0x5c00f980,0xeffeefee,
    0x04feeeee,0x366027c0,0x06efeeee,0x2201f880,0x3f6200ee,0x3bbb6607,
    0x2e006efe,0xdb300007,0xddddddff,0x443fdddd,0x500ffeed,0x41bdfddb,
    0xefeeeeec,0x3b23eeee,0xeeefeeee,0x506c83ee,0x4d87e20f,0x9ea1fa80,
    0x0e7ec02f,0xf1bb0000,0x07a80003,0x74c03f30,0x802e402f,0x376001f8,
    0x5c8001f8,0x0002fdc0,0x0003f1bb,0x3e2007a8,0x640bd004,0x302fdc05,
    0x21ff80df,0xff7005e8,0x7cc00f70,0x2e4be000,0x7d4009b0,0xf8dd8000,
    0x00fc4001,0x03f400bd,0x007e3760,0x4000026c,0x03f1005c,0x22017bea,
    0x00f5001f,0x6c801ea0,0x87e20f50,0x227c404d,0x2a00be7a,0x00aceffd,
    0x0bb2f880,0x3007a800,0x01f9003f,0x1f8802e4,0x1765f100,0x26017200,
    0x2f88003f,0x7a8000bb,0x200fd400,0x017200fc,0x2fdc0fe6,0x0fd8bfa0,
    0x1ee1fa00,0x3000f980,0x4d81721f,0x20013a00,0x800bb2f8,0x01f901f9,
    0xf1003d40,0x27401765,0x02e40000,0x5f501f88,0x01f8803f,0x2a000f50,
    0x541b2007,0x26c3f107,0xf9ea1ba0,0x36e62002,0x2e000eff,0x80003ea7,
    0x03f3007a,0x05c817a0,0x2e003f10,0x90003ea7,0x001ae00b,0x000fa9ee,
    0x36001ea0,0x900be606,0x641ae00b,0xf1fec04f,0xb86a8007,0x003e6007,
    0x6c0b9364,0x003f5004,0x007d4f70,0x0fe01f70,0x7b800600,0x13a003ea,
    0x01720000,0xb7a80fc4,0x001f880d,0x1ea000f5,0x0f506c80,0x204d87e2,
    0x3e7a80fb,0x7f4c0002,0x7c49d001,0x01ea0003,0xf9800fcc,0x2200b902,
    0x449d000f,0x02e4003f,0x74000f98,0x8000fe24,0x4f88007a,0x0b900bd0,
    0x3f603e60,0x79a7e403,0x01ee0000,0x9d000f98,0x009b02e4,0x2740017a,
    0x3ea007f1,0x0001f305,0x3e24e800,0x6c04e803,0x1deeeeee,0x1f1005c8,
    0x01fc5ea0,0x1ea003f1,0x9003d400,0x7c41ea0b,0x1fcc0ae1,0x000be7a8,
    0x7c403ec0,0x50003641,0x007e600f,0x20b905d8,0x07e20002,0x05c800d9,
    0xf8800d70,0x50003641,0x07ea000f,0x0b9001f7,0x17ec1ae0,0x02e57ea0,
    0x400f7000,0x1f8800f9,0x80198172,0xf88001f9,0x7f403641,0x0001ee06,
    0x6c83f100,0x76405d80,0x81cfeeee,0xa800505c,0x7c403f27,0x000f5001,
    0x029801ea,0xd001c0f5,0x05f3d40b,0x007e6000,0x003f30d7,0x7cc01ea0,
    0x641ee001,0x0000f885,0x003f30d7,0x1f4402e4,0x3e61ae00,0x00f50001,
    0x07f336c0,0x3a201720,0xb805fb03,0x00009d4f,0x1f3003dc,0x25c8f500,
    0x06d80049,0x3f30d700,0xb03fd980,0xb8000009,0x5c01f986,0x207a8006,
    0x000f885c,0x2209d1ea,0x00f5001f,0x40001ea0,0xfc80007a,0x02f9ea00,
    0x03f80037,0x004e81f4,0x3e600f50,0x203e6001,0x001f985c,0x013a07d0,
    0x7f4c05c8,0xe81f4000,0x00f50004,0x05e9fc40,0xfd301720,0x9013f201,
    0x0000fa7f,0x3e6007b8,0x2e45c800,0x2f9800d7,0x3a07d000,0x3a0f9004,
    0x74000004,0xfa809d03,0x903d4000,0x4003f30b,0x440fd47a,0x00f5001f,
    0x40001ea0,0x7d40007a,0x05f3d402,0x05f0013a,0x07b807cc,0x2600f500,
    0x07e6001f,0x3ffffff2,0x0f98001f,0x6e400f70,0xfdca9999,0x07cc000e,
    0xf50007b8,0xfcfb8000,0x26772000,0x0efdca99,0xfb017ee0,0x80000fa5,
    0x03e6007b,0xfff90fe0,0x06d800df,0x2e01f300,0xd03f3007,0x4c000009,
    0x880f700f,0x03d4004f,0xfffffff9,0x6c3d4003,0x5001f886,0x01ea000f,
    0x0003d400,0x4f5009f1,0x001fd02f,0x06c803ea,0x2a000be2,0x003f3007,
    0x67640fcc,0x001fdccc,0x0be206c8,0x7ffffe40,0x90002eff,0x0017c40d,
    0x6c0003d4,0x7fe4003f,0x02efffff,0x7fc06fa8,0x400009d1,0x03e6007b,
    0xaec83f30,0x3e2006da,0x40d90002,0x1f8802f8,0x776c04e8,0x201deeee,
    0x00be206c,0x3d4005f5,0xb9999d90,0x43d4003f,0x00fc42f9,0xf50007a8,
    0x01ea0000,0xf5006d80,0x05fe817c,0x1fc04f98,0x2a001760,0x003f3007,
    0x42e407cc,0x3f8001f9,0xdc802ec0,0x0efb9999,0xd807f000,0x007a8005,
    0x4000fa80,0xfb9999dc,0x07f8800e,0x005d9fe2,0x9801ee00,0x643dc00f,
    0x7c801ae5,0xb00fe000,0xb03f100b,0xeeeec80b,0x0fe01cfe,0x7f900bb0,
    0x5c81ea00,0x2a001f98,0x7c41f907,0x000f5001,0x540001ea,0x03f70007,
    0x817cf504,0x440bfede,0x7fd406fc,0xffffffff,0x03d4000f,0x2e001f98,
    0x1f10b906,0xffffa800,0x0fffffff,0xfd305c80,0xfffa8003,0xffffffff,
    0x003d4000,0x64003d40,0x003fd305,0x93ea03f9,0x2e00007c,0x003e6007,
    0xbffffffb,0x3f8800c4,0xffff5000,0x1fffffff,0x6b81f880,0x5407a800,
    0xffffffff,0xfb800fff,0x7fd981ae,0x03e21720,0x9f107a80,0x7a800fc4,
    0x000f5000,0x26001ea0,0x543e203f,0xc96c0be7,0x3fffefff,0xaaaadd80,
    0x03faaaaa,0xf9803d40,0x64136001,0xd80a2005,0xaaaaaaad,0x5c803faa,
    0x8003f620,0xaaaaaadd,0x5103faaa,0x57f95555,0x54005555,0x205c8007,
    0x7cc00fd8,0x7cc1fb04,0x1f300001,0x3e01ee00,0x05eaaaac,0x0001f700,
    0x2aaaab76,0x403faaaa,0x00fa81f8,0x37603d40,0xaaaaaaaa,0xfd3003fa,
    0x5dfffdff,0x22005c80,0x7d40f502,0x2a003f11,0x00f50007,0x2001ea00,
    0xa87cc05e,0xb9800be7,0xf88009ae,0x800d9001,0x03f3007a,0x05c81fc0,
    0x0fc41ea0,0x5c806c80,0xf1006e80,0x5c1b2003,0xffffffff,0x001fffff,
    0x0b9000f5,0x1fd00dd0,0x06d85f88,0x02f80980,0x0f980dd0,0x405c05c8,
    0x3f10004f,0xf101b200,0x8009f103,0x007e207a,0x54c00364,0xb90009ab,
    0x7a83d400,0x01f8af40,0x2a000f50,0x0f500007,0x4c00fc80,0x017cf50f,
    0xf7001a20,0x000fcc00,0x07e600f5,0x5c807ec0,0x3dc1ea00,0xc803f300,
    0x803f9805,0x07e6007b,0x0005fc40,0x32001ea0,0x403f9805,0x417e43fb,
    0x3ee004f8,0xf8806c82,0x5c836403,0x03ee17c0,0x3003dc00,0x80fc403f,
    0x1ea002fa,0x3e6007b8,0x00018001,0x83d400b9,0x457cc07a,0x00f5001f,
    0x40001ea0,0x0bea007a,0xf3d43e60,0x1ee88005,0xe8009d00,0x401ea004,
    0x1fb801f9,0x7a801720,0x4e8009d0,0xfb802e40,0x20027400,0x00b7004e,
    0x2001ea00,0x01f7005c,0x81be27f8,0x7e400df9,0x4c09f304,0x903e806f,
    0x2742f80b,0x8009d000,0x901f404e,0x81ea007f,0x0274004e,0x0007f660,
    0x83d400b9,0xf9ec807a,0x000f5001,0x540001ea,0x009f1007,0x5f3d43e6,
    0x2016a000,0x3dc001f9,0x2600f500,0x0bf2201f,0x3d400b90,0x2e000fcc,
    0xd002e407,0x000fcc0b,0x01e401ee,0x8007a800,0x017a005c,0x00bee5f7,
    0x5c437df5,0x77cc02fd,0x007fea21,0x017203f1,0x0007d45f,0x5c001f98,
    0x7017d407,0xfb3035df,0x0007e60f,0x16a000f7,0x5400b900,0xf100f507,
    0x1ea003fb,0x8003d400,0xaafcaaa9,0xabfa80aa,0xaaaaaaaa,0x7fcf50fb,
    0xbf504fff,0x6d4407d7,0x2a202aaf,0x5542bfba,0xaaafcaaa,0x2feea1aa,
    0xffebaaaa,0x5dd55102,0x55555555,0x7ed44f95,0x2aa202aa,0x2aa22bfb,
    0x5402aaee,0x3f6a22bf,0x2aa202aa,0x7c402bfb,0x53003dab,0x5557f955,
    0x5dd55101,0x2bfa8055,0x802f5760,0xffffffc8,0xffd3000d,0x4401bfff,
    0x2aa0bfca,0xaaaaaaee,0x0017a2fa,0x0aabf6a2,0x2bfbaa88,0xe981ff60,
    0xefffefff,0xaafda882,0x3eeaa202,0xebcd802b,0xeeaa8803,0xaaaaaaaa,
    0x65447caa,0xf700aaaf,0x5555503f,0x355555f9,0x7e555554,0x401aaaaa,
    0xfffffffe,0xfffa83ff,0xffffffff,0xaaa860ff,0x2ea200aa,0x7fffdc01,
    0xfff701ff,0x7ff43fff,0xffffffff,0xfffff34f,0x0159dfff,0x7fffffd4,
    0xffffffff,0x3fffee7f,0xfff701ff,0x3fea3fff,0x400fffff,0xfff71ffd,
    0x3ee03fff,0x401fffff,0xb000cec9,0xffffffff,0xffff507f,0xfd801fff,
    0x0063101f,0x000dd4c0,0x00157510,0x269ffff7,0xffffffff,0x0362ffff,
    0x3fffee00,0xfff701ff,0x0c403fff,0x09aba980,0x3ffffee0,0xffff701f,
    0xbb8803ff,0xffff5001,0xffffffff,0xffa8ffff,0x3a02ffff,0xffffe81f,
    0x4fffffff,0x3ffffffa,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb800000c,0x00000003,0x0c0000a0,0x01002200,0x00000c00,
    0x200006cc,0x008800c8,0x00000004,0x00010022,0x33260000,0xcccccccc,
    0xccc9800a,0x65c0cccc,0x88003ccc,0x05402bca,0x6666540e,0x0004cccc,
    0xcccc8000,0x33332a02,0x014400cc,0x44000000,0x19b50002,0x01440000,
    0x00000000,0x40005cc0,0x00004fe8,0x4c0017e4,0x10cdffeb,0x3bfa6007,
    0x9fd10002,0xf102e400,0x4fd88005,0x1be60000,0x01df3000,0x17c40b90,
    0x7f903fb0,0xf102e400,0x40fec005,0xed9803fc,0xeeeeeeff,0x76cc03ff,
    0x640deeff,0x4004effe,0x05feffe9,0xb80f98fa,0xeeefeeee,0x3f6e0005,
    0x36202cef,0xb500ffee,0x401bdfdd,0x26005ff8,0x006f885f,0x3a002ffc,
    0xc88bffdf,0x6ff8000f,0x885f9800,0x42fcc06f,0x04fe86f8,0x77df7d40,
    0x7ec40000,0x6ffc4002,0xbaffcaab,0x4efec407,0x2a001dfd,0x800efbef,
    0x01f901f9,0x77df74c0,0x2fd40000,0x037ea000,0xfc80fcc0,0x3a0ffe00,
    0x0be6004f,0xff0007e4,0x8009fd07,0x02fdc05c,0x4fa805c8,0x42df9800,
    0x07a8be00,0x10000d70,0xfd957bfd,0x0bdf5009,0xf3003f10,0x3fdc00ff,
    0x9800ffcc,0x36a007ff,0x7ffff911,0x0fff1000,0xf30ff700,0x43fdc03f,
    0x27fc0ff9,0x7449f900,0xfd10002f,0x0de88003,0x981ffee0,0x17f4c2ef,
    0xfd127e40,0x137fb005,0x5c009f95,0x05fd10df,0x0013f200,0xb000bf70,
    0x9f95137f,0x17103980,0x51bfd800,0x398009f9,0xc8001710,0x803f9805,
    0x027dc05c,0xf8007e80,0x35c01ee2,0x03bea000,0xf50077cc,0x1f8803f5,
    0x8005d900,0x8005501b,0x880002ec,0x320001bb,0x0370003e,0x406e00aa,
    0x004ff82a,0x07f205f7,0x0003ba00,0x3ee00bd1,0x5500e207,0xfb02fb80,
    0xfffd8803,0x3ea003ff,0x8003f903,0x540003fa,0xfb10003f,0x0007ffff,
    0x3f620000,0x0003ffff,0x0b900000,0x17201ae0,0x10003fc8,0x1f88009f,
    0x035c01ae,0x100bf100,0x6dbd40bd,0x0000fc40,0x00000000,0x00000000,
    0x00000000,0x09fd0000,0x00300220,0x7ec00060,0x001fa000,0x30022000,
    0x04d54400,0x03006200,0x00001100,0x2a200006,0x0000009a,0x09aa8800,
    0x00000000,0x07cc0172,0x17e41720,0x003f3000,0x01b21f98,0xd900035c,
    0xa817cc00,0x7c407f17,0x00000001,0x20000000,0x01befeca,0x00000000,
    0xfd000000,0x00000007,0x01fc0000,0xfff99aa0,0x00000004,0x00000000,
    0x00000000,0x00000000,0x06fbfb2a,0x20000000,0xccccccc9,0x00b90002,
    0x217201ae,0x540001fd,0x20f98007,0x00d7005c,0xb000be60,0x0fc9ea0d,
    0x99903f10,0x99999999,0x33332659,0xcccccccc,0x665c0ccc,0xcccccccc,
    0x2f7f601c,0x300efdba,0x99999999,0x19999999,0x06666644,0x23cccca8,
    0xcccccccc,0x3f62cccc,0x99999303,0x99999999,0xcccc8199,0x33332a02,
    0x000f30cc,0x0013aaa0,0x33333320,0x32cccccc,0x99999999,0x19999999,
    0x1ccccc88,0x06666654,0x99999993,0x99999999,0x66666541,0x99004ccc,
    0x99999999,0x37f60599,0x00efdbab,0xcccccc98,0xdb30002c,0x00ddfddd,
    0x3a201720,0x3a25c803,0x7a80001e,0x360fa800,0x000d7005,0x3e6001b2,
    0x82747a82,0xeeec81f8,0xeeeeefee,0xddffdb33,0xdddddddd,0xeeefd83f,
    0x2feeeeee,0xd101fe88,0xffdb301d,0xdddddddd,0x76c43fdd,0xfd501def,
    0x777647df,0xeeeeefee,0x6cc0bf63,0xeeeeeffe,0x21feeeee,0x00ffeed8,
    0x1bdfddb5,0xb0000172,0xdd900009,0xddddfddd,0x3ffb667d,0xeeeeeeee,
    0x7ecc1fee,0x76d41def,0x3b660def,0xeeeeeeff,0x2e1feeee,0xeeefeeee,
    0xdddd9005,0x7dddddfd,0xd101fe88,0xeed9801d,0x0006efee,0x007e3760,
    0xfd301720,0x3a2b9001,0x2620000f,0x00999fb9,0x802747a8,0x09d0006b,
    0x1ea0fa00,0x03f103f5,0x5c801ea0,0x4d83f100,0xee81fa80,0x6405d800,
    0x103f1005,0x017a009f,0x17e403d4,0xf8802e40,0x00bdf501,0x004e83f1,
    0x00026c00,0x32007a80,0x203f1005,0x807d005c,0x03f1005c,0x5000035c,
    0x003ba00f,0x37600176,0x880001f8,0x9000bb2f,0xb953333b,0x372001df,
    0x001efff9,0xffffffc8,0xeed81fff,0xeffeeefe,0x00d701ee,0x6c000be0,
    0x86d87a85,0x0f5001f8,0xf8802e40,0x3e2026c1,0x2001fa84,0x4017204f,
    0x03f501f8,0xf5000fc8,0x9003f900,0x407e200b,0x4401fafa,0x0001f41f,
    0x00001360,0x0b9003d4,0x2e407e20,0x2e403e80,0x2e01f880,0x1ea00006,
    0xf8007ea0,0x6cbe2004,0x27b80005,0x7e4000fa,0x2effffff,0xaaff6400,
    0x544004ff,0x1aabfcaa,0x99fd9970,0x01999bf9,0x3e2001ae,0x50d90001,
    0xf885f30f,0x400f5001,0x83f1005c,0x4437404d,0x07dc004f,0x3f1005c8,
    0x5f3036c0,0x6403d400,0x005c801f,0x6dea03f1,0x3a0fc406,0x26c00003,
    0x07a80000,0x7c401720,0x3a00b901,0x8802e403,0x001ae01f,0x7c407a80,
    0x007dc004,0x003ea7b8,0x1fc49d00,0x26677200,0x4000efb9,0x17e444fc,
    0x000f5000,0x7002f8b9,0x03f3000d,0x1ea1ae00,0x03f107e4,0x5c801ea0,
    0x4d81f100,0x3ea03ee0,0x902e8000,0x803e200b,0x00bd04f8,0x0fb807a8,
    0xf1005c80,0x1fc5ea01,0x04e83f10,0xb726c000,0x20009dff,0x0172007a,
    0x05c807c4,0x05c807d0,0x35c01f10,0x80f50000,0x2e8000fa,0x1fc49d00,
    0xc83f1000,0x982e4006,0x172001fe,0x50000fb8,0x44bb000f,0x00d7002f,
    0x0017c4ee,0x107a85c8,0x800fc49f,0x4172007a,0x26057002,0x000d903f,
    0x282e4132,0xb83f5000,0x03d4000f,0x2e4007dc,0x93d40028,0xb07e201f,
    0xcd80000b,0xfcabdfe8,0x03d4000e,0x000a0b90,0x00fa00b9,0x2000a0b9,
    0x2a00006b,0x80036407,0x41f8804c,0x1ae0006c,0x5c8007e6,0x4003f620,
    0x0037405c,0x4d8007a8,0x35c007e2,0x00fe5d80,0x03d42740,0x007e23f5,
    0x0b9003d4,0xe80001f1,0x40017605,0xf10b906b,0x99b60001,0x07a8003f,
    0x5c800fa8,0x2a000f88,0x1f882747,0x200003e4,0xe880dfed,0x003d4005,
    0x001f10b9,0x03e802e4,0x007c42e4,0x80001ae0,0x002ec07a,0x86b806b8,
    0x7d0001f9,0x5c8013a0,0xb9006e80,0x8002f980,0x24e8007a,0x0d7001f9,
    0x004d9760,0x80f507f0,0x2003f15e,0x2172007a,0x320001f9,0x000fa00f,
    0x985c83d4,0x7f10001f,0x3d40017a,0x5c801c40,0x2a001f98,0x7c40fd47,
    0x0000fcc1,0xfb80bfb0,0x801ea001,0x001f985c,0x01f40172,0x007e6172,
    0x40000d70,0x001f407a,0x03e807a8,0x1f30009d,0x5c801ee0,0xc803f980,
    0x8005d805,0xfffc807a,0xffffffff,0x401ae04f,0x0003ea5d,0x80f503f7,
    0x001f8af9,0x7fe400f5,0x001fffff,0x3f805f50,0x901f3000,0x3fffffff,
    0x7e7dc000,0x00f50000,0xffffc800,0x2a001fff,0x1f886d87,0x098006d8,
    0x3f8806d8,0xc801ea00,0x1fffffff,0x3ffff200,0x3fffffff,0x7ffffe40,
    0x35c001ff,0x80f50000,0x1f30003f,0x7b807cc0,0x2206c800,0x00b9002f,
    0x0b9003ee,0xa8003f50,0xfaaa9807,0xaaafcaac,0x6c01ae00,0x3e002f45,
    0xd900f504,0x1ea003f3,0xccccec80,0xf88001fd,0x0004d804,0x333b20f5,
    0x0001fdcc,0x50001fec,0xec80000f,0x01fdcccc,0x0be61ea0,0x09f103f1,
    0x26c17dc0,0x2a003e80,0x333b2007,0x2001fdcc,0xaaaaaaec,0x6403faaa,
    0x1fdcccce,0x00035c00,0x04d80f50,0x6c80f500,0xf000be20,0x9005d807,
    0x202f400b,0x009d005c,0x2f8007a8,0x06b801ee,0x01fb8bb0,0x1ea01f90,
    0x007f7e20,0x0b9003d4,0xdb0003f3,0x40017200,0xf30b905c,0x0fa80003,
    0x001ea000,0x3f30b900,0xfc83d400,0x7cc07e20,0x827e400d,0x007d004d,
    0x0b9003d4,0x2e4003f3,0x2e403e80,0x2e000fcc,0x1ea00006,0x32000b90,
    0x3601fc05,0x3ffea005,0xffffffff,0x5dd55100,0x2bfa8055,0x2abb6aa2,
    0x02abee02,0xf1001ea0,0x553035c3,0x55555fb5,0x90bd5555,0x82fc807f,
    0x0aaafca8,0x2003ff70,0x2172007a,0x7dc000f8,0x006b8201,0x217207b0,
    0x540000f8,0x03d40007,0x22172000,0x41ea000f,0x807e24f8,0x2e21befa,
    0x013602fd,0x0f5001f4,0x07c42e40,0x3a00b900,0x7c42e403,0x8035c000,
    0x203d403b,0x07b0006b,0x7fffffd4,0x000fffff,0x555555bb,0x2a07f555,
    0x0fffffff,0xfa8ffec0,0x00ffffff,0x5009fff1,0x21f8800f,0x3fff206c,
    0xffffffff,0xf905ffff,0x3f6a2139,0xfffff502,0x00ff405f,0x172007a8,
    0x7f302880,0x2f987c40,0xc80fcc00,0x800a2005,0x3d40007a,0x2013f620,
    0x40a2005c,0x447ea07a,0x7fe4401f,0x400dffff,0x007d004d,0x0b9003d4,
    0x05c81440,0x05c807d0,0x06b80a20,0x07a80bb0,0x260017cc,0x2ab7601f,
    0xfaaaaaaa,0x001f8803,0x000000d9,0x20000000,0x07cc007c,0x000000b9,
    0x3ffffaa0,0x000000ef,0x2007a800,0x41ea005c,0x907cc05e,0x206d800d,
    0x01ea005c,0x540007a8,0x0fffe407,0x7a801720,0x15e80f50,0x5fcc003f,
    0x40136001,0x01ea003e,0x1ea005c8,0x03e802e4,0x0f5002e4,0x05d8035c,
    0x036403d4,0x1f881b60,0xf700d900,0x000fcc00,0x40000044,0x0bf00001,
    0x1760fa80,0x80001800,0x0000acfe,0xf5000030,0x5002e400,0x9801f90f,
    0x4013e20f,0x017201fa,0x1ea007a8,0xb80f5000,0x2e400fff,0x1ea0f500,
    0x03f15f30,0x4d800780,0x54007d00,0x80172007,0x200b907a,0x002e403e,
    0x8035c0f5,0x403d405d,0x3f5004f8,0xf3003dc0,0x4004e803,0xeea8004e,
    0xfb300000,0x17dc0003,0x09b1ea00,0x007f6600,0x066ffa20,0xfb3000c4,
    0x03d40003,0x3d400b90,0x3e600bea,0x2a027dc0,0x002e402f,0x03d400f5,
    0x2601ea00,0x005c800b,0x403d41ea,0x4001f9ec,0x136002ee,0xf5001f40,
    0x5002e400,0x7401720f,0x5002e403,0xd8035c0f,0xb803d405,0x017d404f,
    0x09d0013a,0x2e000fcc,0x00f20007,0x200b5000,0x05fda9bb,0x02747b80,
    0x50016a00,0xdfffffff,0x000bfb79,0x3d4000b5,0x5400b900,0x4c013e27,
    0x0aefa80f,0x9007f931,0x003d400b,0x7a8000f5,0x02e40000,0x01ea0f50,
    0x0007f7e2,0x04d801a6,0x3d4007d0,0x5400b900,0x3a00b907,0x5002e403,
    0xd8035c0f,0x5003d405,0x326215df,0x00fcc03f,0x36a21ee0,0x2a202aaf,
    0x8802bfba,0x0001ebcd,0x003ebcd8,0x007ffff7,0x005d1aa0,0x007d79b0,
    0x999aced8,0x002dfeca,0x400faf36,0xafcaaaaa,0x5511aaaa,0x555555dd,
    0x54f95555,0xaaaaaabf,0x100fbaaa,0x59fffffd,0x57755440,0xaaaaaaaa,
    0x2aa607ca,0x0aaabfca,0xf9555550,0x00355555,0x55775544,0xaaaaaaaa,
    0x57e5447c,0x3ff700aa,0x7b7bf300,0x35dd5300,0x02b7eaa0,0x5f955555,
    0x2a235555,0xaaaaaeea,0x47caaaaa,0x40aaedaa,0x21adfaa8,0xaaaeeaa8,
    0xcaaaaaaa,0x3f6aaa67,0xaaaaaaaa,0x2aaaa5ea,0xaaaaafca,0xffffd101,
    0x6d44059f,0x2a202aaf,0x3ee2bfba,0x701fffff,0x03ffffff,0x00017730,
    0x0006ee20,0x02000022,0x2ee20001,0x00000001,0x000ddc40,0xfffffffd,
    0x3ea9ffff,0xffffffff,0x27ffffff,0xfffffffa,0x00ffffff,0xa800dcc4,
    0xffffffff,0x7fffffff,0x3fffff60,0xfd03ffff,0xffffffff,0x7d4009ff,
    0xffffffff,0x47ffffff,0x2ffffffa,0x44007fa0,0xffd001ca,0xffd10dff,
    0xfffe89ff,0xffffffff,0xffffff54,0xffffffff,0x7fffc4ff,0x7ffdc2ff,
    0x3ffea6ff,0xffffffff,0x3f27ffff,0xffffffff,0x25ffffff,0xfffffffe,
    0x4404ffff,0xff7001b9,0x2e03ffff,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x19999999,
    0x22000000,0x220002cb,0x5c0002db,0xffffffff,0x0300001e,0x33333260,
    0xa80002cc,0x2a0000bd,0xcccccccc,0x00001ccc,0x66666644,0x666664c0,
    0xffffd103,0x4009ffff,0x9302bdca,0x99999999,0x01999999,0x20000600,
    0x00000880,0x3fffee00,0x001effff,0x00005b93,0x00300000,0x0000c0c0,
    0x3fffee00,0x001effff,0x00000000,0x10060001,0xff1005b9,0xbfffffff,
    0x3ffb2600,0x45ffffff,0x31dfeffa,0xeefa809d,0x009d51df,0x2aaaaaa2,
    0x80000aaa,0xed9800fd,0x006efeee,0x3ff7fa20,0x2e00f913,0xeefeeeee,
    0x36601dee,0x5fffffff,0x6f77f6c4,0x77f76cc0,0x2aaaaa04,0x8801aaaa,
    0x84ffdefe,0xeeeffed9,0xfeeeeeee,0x00fd8001,0xf98bea00,0x00ea8003,
    0x55555440,0x9800aaaa,0x0003d9ae,0x400003aa,0x7d8000fd,0x74c007e4,
    0x55544001,0x00aaaaaa,0x0000ea80,0x000f6000,0x7fdc01fb,0x9998801f,
    0x40099999,0x78f1cfe9,0x7f5433a0,0x1f400efe,0x01bfdfd3,0x40000000,
    0x20002fd8,0x0001f8dd,0x3ff223b5,0x2a0002ff,0x05f54007,0x00f70598,
    0x000007cc,0x7106fc40,0x802e40bf,0x362001f8,0x3e60002f,0x20017e65,
    0x0002fefc,0x445b0000,0xfdf90006,0x7ec40005,0x22fc8002,0xefb802fb,
    0x0000003f,0x02fefc80,0x09f00000,0x700bf620,0x00001fff,0x783ff300,
    0x1e54003c,0x00b2a000,0x10000000,0x440003fd,0x0000bb2f,0x0001bb98,
    0x07e003d4,0x01ee0b30,0x00000f98,0x3ee06d80,0x2200b900,0x3fd1001f,
    0x12fcc000,0xfe8800df,0x00009f92,0x3443b000,0x64bfa200,0xfe88004f,
    0x22fc8001,0x3fd803fb,0x00001bf7,0x25fd1000,0x332204fc,0x64c0cccc,
    0x00ffdccc,0x8801fe88,0x075002db,0x5fd802e6,0x00003c78,0x64c00000,
    0x540ccccc,0x00cccccc,0x0000ef98,0x001f53dc,0x20000000,0x01a6007a,
    0x003dc166,0xd95001f3,0xf30037df,0xc81fc405,0x003f1005,0x40001df3,
    0x03ba25f8,0x540ef980,0x333200ef,0xcccccccc,0x44ed402c,0x3be6004c,
    0x80077d40,0xb8000ef9,0x100fea2f,0x1ee983fd,0x6666664c,0xcccccccc,
    0x03be600c,0xdb101df5,0xd981bddf,0x800adfee,0x00000ef9,0xfd05ff10,
    0x3c0ffc09,0x6666641e,0x2ccccccc,0xa80b3332,0x30cccccc,0x83bddfdb,
    0x0defeeea,0x0000c980,0x00fe24e8,0x33333260,0xa80002cc,0x401a6007,
    0x4c00f700,0x5efec00f,0x200efdba,0x905d805d,0x003e200b,0x3000032a,
    0x0006cc19,0x00d9812e,0x3fbbbbb2,0x803eeeee,0x5c003eea,0x40036604,
    0x590000c9,0x0d9803b8,0xed985910,0xeeeeeeff,0x201feeee,0x8036204a,
    0x03e6007b,0x0000c980,0x6407ec00,0x20df102f,0xeeec83c7,0xeeeeefee,
    0x1ffddb13,0x3bfbb6a0,0x3003dc0d,0x0000001f,0x06c83f10,0xeeeed980,
    0xa80006ef,0x0017c007,0x7cc00f70,0x203fd100,0x07f00ee8,0x41720d90,
    0x00000002,0x00000000,0x000f5000,0x00000000,0x00000000,0x17200000,
    0x0000fc40,0x9801ee00,0x0000000f,0x44000000,0x0078f07f,0xefa801ea,
    0x701f8805,0x007cc00f,0x7012e000,0x0003f30d,0x003f1bb0,0xda807a80,
    0x70003fef,0x807cc00f,0x85d800ee,0x36a602f8,0x1f10b906,0x00000000,
    0x00000000,0x0000f500,0x00000000,0x00000000,0x01720000,0x00000fc4,
    0xf9801ee0,0x10000000,0x74000000,0x003c781f,0x57d400f5,0x80fc401f,
    0x03e6007b,0x3bfb6e20,0xd00bee2d,0x00013a07,0x001765f1,0x1e880f50,
    0x700037a2,0x407cc00f,0x13e001fa,0xffd501f3,0x261720df,0x65c4001f,
    0x201deffe,0x7103ccb8,0x99505999,0xccb80399,0x03d401cc,0x440f32e2,
    0x2202cccb,0x1deffecb,0xdfd95100,0xb7002a5b,0x20059dfd,0x2defeca8,
    0x40172015,0x332e21f8,0x59997103,0xf9801ee0,0x03ccb880,0x30599971,
    0x4000000f,0x1e3c0efb,0x2a007a80,0x1f880db7,0x7cc00f70,0x5effd400,
    0x3fceffdb,0x7b807cc0,0xf53dc000,0x03d40001,0x01fdc12e,0x7cc00f70,
    0x20027c40,0x2e1ea0fb,0x320d90cf,0x1fffffff,0x337ff200,0x303ffdba,
    0x3a60bfdd,0xfed84fee,0x776c03ee,0x03d403ef,0x4c17fba6,0xf904feee,
    0xffb759bf,0xacefb807,0x02feffdb,0xd957bfd3,0x77dc01bf,0xfeffdbac,
    0x2200b902,0x17fba60f,0x827f774c,0x03e6007b,0x4c17fba6,0xfa84feee,
    0x07997100,0x40b332e2,0x0f1e1efb,0xf5003d40,0x1f880fe2,0x7cc00f70,
    0x4037ee00,0x6c804ffa,0x8000be20,0x000fe24e,0x034407a8,0xf7005db1,
    0x2a07cc00,0x22e8000f,0x322fcc7a,0x9999d906,0x14c003fb,0xb9007f20,
    0x7cc13a00,0x803dc000,0x0172007a,0x40298274,0x09f501fc,0x7d417f4c,
    0x01fd300d,0x7f4c09f5,0x00a0b902,0x13a00b90,0x1f3003dc,0x9d005c80,
    0x3a601f70,0xddd305fe,0x7fecc09f,0xf5003c7d,0x1f93d400,0x3dc07e20,
    0x2601f300,0x7f7dc03f,0x3601fc00,0x83f10005,0x1ea0006c,0xbd301720,
    0x3003dc01,0x0006c81f,0x3ee3d499,0x85c83641,0x400001f9,0x02e404f8,
    0x05f104e8,0xf5005d80,0xe802e400,0x13e20004,0x17cc036c,0x3a2013e2,
    0xf9806d85,0x1f10b902,0xe802e400,0x4c00f704,0x802e400f,0x801fb84e,
    0x009d005c,0x400f1ea6,0xd1ea007a,0x5c07e209,0x403e6007,0x45fdc05e,
    0x3ffea04e,0xffffffff,0x986b8000,0x0f50001f,0xf7007b20,0x9801ee05,
    0x8002ec0f,0x0d91ea6b,0x221720d9,0xc800000f,0xe802e406,0x3ae0fa04,
    0xf5003e81,0xe802e400,0x83640004,0x40c800fc,0x0fe6006d,0x019001f9,
    0x007e6172,0x09d005c8,0x0f9801ee,0x4e802e40,0x5c801fc8,0x78009d00,
    0x00f5003c,0x207ea3d4,0x00f701f8,0x07cc07cc,0x07d49f50,0xaaaaadd8,
    0x003faaaa,0x009d03e8,0xea801ea0,0x20be600c,0x03e6007b,0x9ea0007d,
    0x3207dc7a,0x4400b906,0x03640002,0x02740172,0x889ff0b9,0x00f5001f,
    0x04e802e4,0xf9836400,0x0fc4000d,0xbf317200,0x7fe40001,0x001fffff,
    0x82740172,0x03e6007b,0x13a00b90,0x17200bf2,0x1e002740,0x003d400f,
    0xf10db0f5,0x9801ee03,0x2a07b80f,0x440fc44f,0x00d9001f,0x0f700f98,
    0x2001ea00,0x21a602fc,0x0f5000fa,0x3e60007f,0x0df88f50,0x002e41b2,
    0x76dc40f5,0x06ecdeff,0x04e802e4,0x8f9f31ea,0x0f5000f9,0x4e802e40,
    0x3ffb6e20,0x2606ecde,0x01acdefe,0xf70003ea,0x59bdfd30,0x333b2003,
    0x2001fdcc,0x209d005c,0x03e6007b,0x13a00b90,0x17200bf6,0x1e002740,
    0x003d400f,0x885f30f5,0x400f701f,0x505d80f9,0x2e0be09f,0x007e6007,
    0x0be206c8,0x4001ea00,0x81d01ed9,0x0d9002f8,0x9ea0009b,0x6ffd40fa,
    0x05c80eec,0x7fdc1ea0,0xfecbabcd,0xe802e406,0xec87e604,0x801ae2f8,
    0x0172007a,0xdffb8274,0x6fecbabc,0xffecba80,0x8006b84f,0xd97500f9,
    0x5c809fff,0x32001f98,0x2e09d005,0x003e6007,0x213a00b9,0x05c803fd,
    0x478009d0,0x801ea007,0x441f907a,0x400f701f,0xa86c80f9,0xd05f104f,
    0x004e8009,0x00bb00fe,0xa8000f50,0x6d82d43f,0x5c83f980,0x7ccb9000,
    0xfeeec881,0x2a005c82,0x400cfb87,0x802e406c,0x7f17c04e,0x2004d936,
    0x0172007a,0x067dc274,0x22001b20,0x1ea0eeca,0x4003ea00,0x900eeca8,
    0x4001f10b,0x209d005c,0x03e6007b,0x13a00b90,0x17200ff6,0x1e002740,
    0x003d400f,0x893e20f5,0x400f701f,0x547a80f9,0x303e604f,0x07b8003f,
    0xffffff50,0x001fffff,0x880007a8,0x300dfedd,0x8374409f,0x47b0006b,
    0x640002f8,0xf11ea005,0x901b200b,0xb013a00b,0xf3dc3e69,0x003d4005,
    0x113a00b9,0x01b200bf,0x7cc9d100,0x0035c000,0x0b904e88,0x05c81440,
    0x03e609d0,0x2e403dc0,0x3fe84e80,0x9d005c80,0x003c7800,0x03d400f5,
    0x407e23f5,0x0f7000f9,0x02fccbe6,0xafda89f2,0x2eaa202a,0x56ec02bf,
    0xaaaaaaaa,0x2aaa603f,0xaaaaafca,0x004d8000,0x7d443df5,0x005f301e,
    0x02741f98,0x57755440,0xaaaaaaaa,0x007d47ca,0x02e406c8,0xcb5c04e8,
    0x07e2be25,0x32007a80,0xfa89d005,0x930d9000,0x0fe3d400,0x024cbd00,
    0x01720f50,0x00b907a8,0x002f813a,0x00b900dd,0x013fa13a,0x02740172,
    0x5400f1e0,0xd01ea007,0x2f807e2b,0x7e40dd00,0x17d405fa,0x3ffffff7,
    0x3ffffee0,0x003f101f,0xfffd81b2,0xffffffff,0x00698003,0x3ffbffa6,
    0x0036400d,0x003ee1b6,0xffffff50,0xffffffff,0x3007b8ff,0x807b80dd,
    0x47cc04fb,0x03d6ec3f,0x7b801ea0,0x3dc4fb80,0xfb86e980,0xfb8f9000,
    0x5c1f9001,0x20f9000f,0x41ea005c,0x04fb807b,0x0fe201b2,0x3ee01ee0,
    0xc804ff84,0x8009d005,0x0f5003c7,0x3e603d40,0x1b201f8a,0xfd00fe20,
    0x004fa80b,0x5c02e800,0x007e6007,0x22005fc4,0x80078806,0x1000ade9,
    0x07ea009f,0x000013e2,0x3e6066c0,0x037fdc03,0xffd80bea,0x07e7c404,
    0x500173ea,0x017d400f,0x3f989ffb,0x5c37fdc0,0x85f9804f,0x1fdc01ed,
    0x3e6013ee,0x5400b905,0x6c05f507,0x13e604ff,0xf5006e88,0x427fec05,
    0x07b804fe,0x3c004fb8,0x007a801e,0x27b201ea,0x813e601f,0x7fcc06f9,
    0x3f260bdf,0x4a800004,0x74004e80,0x20097004,0x005b8078,0xf70003f0,
    0x202fa809,0x006e03fb,0x7ec0d100,0x2ffae61b,0xdd00aaec,0x757f5cc5,
    0x17fa00ad,0x50013fe2,0x22ee800f,0xadeafeb9,0xb986ff60,0x0aaecbfe,
    0x8815dff7,0xfd880eeb,0x0ff6621c,0x102bbfee,0x17201dd7,0x3ba07a80,
    0x3abfae62,0x3bf300ad,0x000ffd44,0x7f5cc5dd,0x2e60adea,0x202fa800,
    0x3c004ffd,0x007a801e,0x37e201ea,0x0f7cc01f,0x4c03ff51,0xffffb8df,
    0x00002eff,0x7cc04b30,0x803dc001,0x40f1003c,0x88000ec8,0xdf50000f,
    0x0ff26215,0x2a6f7f20,0x40001feb,0xff910468,0x321bffff,0xfd103fff,
    0x3a1bffff,0x0ff203ff,0x555017ec,0x5555f955,0x3ffa2035,0xffd0dfff,
    0x7fffe447,0xfff90dff,0x3ff636a7,0x00cfffef,0x7ff7ffdc,0xfb1b501e,
    0x19fffdff,0xaaeeaa88,0xaaaaaaaa,0x3ffa207c,0xffd0dfff,0x7fff4c07,
    0x44000dff,0x0dfffffe,0x40007ffd,0x3fae62ee,0xe880adea,0xdf74feee,
    0x5555549d,0x1aaaaafc,0x2aabf2a2,0x003ff700,0xbfffffd3,0x4c45f801,
    0x00000aba,0x11fded80,0x40555fb5,0x02bfbaa8,0x81ed5fc4,0xeeeeeef8,
    0x320001df,0x2000ebad,0xcfffffe8,0x3ffaa002,0x00000cff,0x5105f9bb,
    0x50000357,0x00000377,0xffffe800,0x4fffffff,0x000ddd40,0x000d5d44,
    0x13595310,0x0aba9800,0x5654c400,0xffff5009,0xffffffff,0x7500ffff,
    0x51000037,0xa8000157,0x950001bb,0x7fff4403,0x7ffd0dff,0x42666620,
    0x3fa09998,0xffffffff,0x3ffea4ff,0x3fa02fff,0x2aea2001,0x00005000,
    0x41880000,0x1ffffffb,0xffffff70,0x0cec9803,0x26666660,0xb7100001,
    0x2620005b,0x0180001b,0x02a60000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffb0000,0x01bba805,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x40035975,0x2006c02b,0x2012a02d,0x0015c049,
    0x97300110,0x80760015,0x0000004b,0x000565cc,0x00310000,0x12a00000,
    0x80000d88,0xffff8800,0x10000005,0x32200001,0x088000be,0x00300000,
    0x04400000,0x00300000,0x00003000,0xfffe8000,0x005fffff,0x00000600,
    0x44000000,0xdffefffb,0x500fb800,0x84fc803f,0x1f9803fc,0x20007f10,
    0x7fec02fa,0xfd803ffe,0x4003fd83,0x744003ec,0x104ffeff,0x7fedc799,
    0x37b6604e,0x3ffe003e,0x5fffffff,0xf503be60,0x6e88000d,0x09fffd00,
    0xa8000088,0x7440002f,0xa8005c9a,0x6c00002f,0x9b10000f,0x00bea000,
    0x007f2000,0x003f4400,0x403e6000,0xaaaaaaaa,0xfb00001a,0x03aa0001,
    0x001d5000,0xd302ffa2,0x819d001f,0xbf7006f8,0x4005fd11,0x07ec40ed,
    0x2027dc00,0x9f710afe,0xd11bf700,0xff88003f,0x07be6007,0xbfd50df5,
    0xf957dfb1,0x221e881d,0x559f003d,0x01555555,0x9f92fe88,0x0ef98000,
    0x019fd300,0x80002fa8,0x2e0003fc,0x64000743,0xd880004f,0xfd30002f,
    0xf90001bf,0x7ec00007,0xdd100003,0x3f6e0003,0x1ba22def,0x10000000,
    0x320005fd,0x90002fef,0xd9005fdf,0x4037c401,0xffecdffa,0x3ffa6001,
    0x7fcc000e,0x002ffece,0x7dc03fc8,0x3003f701,0x0001dfdd,0x5e801bfe,
    0x76413e20,0x46e880ee,0xf006883b,0x7e400007,0x540002fe,0x000000df,
    0x400027e4,0x770004fb,0xf70000e8,0x7f44000b,0x1bf50001,0x70003fd3,
    0xd880009f,0xf300002f,0xfd10001d,0x1bfb757b,0x000001fb,0x00f74400,
    0xfc97f440,0x4bfa2004,0x900004fc,0xdb91003f,0x3620007b,0x36e20004,
    0xd8000cde,0x01fc402f,0x26c4017a,0x800a2000,0x07dc00fa,0xf70077e4,
    0x01d80743,0x400003f8,0x540001ea,0x0000004f,0x200017ee,0xe88005fa,
    0xa8000b71,0xef98005f,0x89f90000,0xa8003fd8,0xfd10005f,0x3ea00003,
    0xefa8000d,0x03fff500,0x6666664c,0x7cc0002c,0xef98000e,0x20077d40,
    0x77d40ef9,0x17c40000,0x00000000,0x10000000,0x01f7003b,0x00000fb8,
    0x1b200000,0x1b207e20,0x00e8fe20,0x007f003b,0x20000000,0x0000003b,
    0x80005fa8,0xd98000d9,0x980000cf,0x064c000d,0x5c05b000,0x00b30004,
    0x00003620,0xf10004b8,0x80df500b,0xefeeeed9,0x02540006,0x6cc09700,
    0xb3025c00,0x1f980001,0x00000000,0x00000000,0xf100bb00,0x00000007,
    0x44036400,0xd005c82f,0x03441dc7,0x000003f8,0x00000000,0x00d98000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c800000,0x02fdf880,
    0x00fc6ec0,0x00000000,0x00000000,0xccb88fb0,0x59997103,0x7ff65c40,
    0x971001de,0x003bdffd,0x801f4000,0xffd9304f,0x64c0039d,0x401ceffe,
    0x83e401fa,0x447d005c,0x400b662e,0xb700003f,0x00059dfd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x8ee802f9,
    0x4be2006c,0x0000005d,0x00000000,0x87f50000,0xd305fee9,0x3f209fdd,
    0xffdbacdf,0x66ffe403,0x203ffdba,0xccccccca,0x0be1cccc,0x77dc2740,
    0x04fecabc,0xcabcefb8,0x02fc04fe,0x01720bf1,0x3bb221f4,0xbf81102d,
    0x01bddcb8,0xcabdfe98,0x99300dfe,0x5effedc7,0x27ffe400,0x5c400000,
    0x01deffec,0xdffd9710,0x764c003b,0x2001ceff,0x1ceffec9,0x7ff65400,
    0xb80330ce,0x002cefed,0x677ff654,0x36e20330,0x3f220bef,0x201b203e,
    0x005f30fc,0x000fa9ee,0x59dfdb70,0x7ff64c00,0x6dc001ce,0x8002cefe,
    0x403ffcaa,0x209d005c,0x00fe4029,0x01fc8053,0xddddddfb,0x3e27fddd,
    0xfe8b9002,0xe81baa02,0x81baa02f,0x3ae22dfa,0x200b900e,0x2e20203e,
    0x7ff7c2fd,0x204ffddf,0xfd300dfa,0xb1bfd701,0x1dfd77bf,0x107fff40,
    0x2e207997,0xff902ccc,0x7ffb759b,0xacdffc80,0xb803ffdb,0xfecabcef,
    0xbcefb804,0x8804feca,0xecbacdfd,0xfd304ebf,0x1bfd957b,0xacdfd880,
    0x84ebfecb,0x5fcacffa,0x0bfb7ff1,0x85f7013a,0x449d003e,0x7f4c003f,
    0x0dfecabd,0x55e77dc0,0xe9804fec,0xdfecabdf,0xffff3000,0x200b9007,
    0x3e20004e,0x27c40004,0x2f4405d8,0x9b2003f1,0x4f8801fb,0xf8801fb8,
    0x37ffe604,0x17200dff,0x5c401f40,0x7bd02cfd,0xf10bf703,0x40bd1009,
    0xe980eeec,0x87fff305,0xd305fee9,0x0a609fdd,0x14c03f90,0xfe807f20,
    0xe81baa02,0x81baa02f,0x3ee01ef8,0x00dfa84f,0x3e201fd3,0x13fee01e,
    0x3afe60a6,0x3e0fe60d,0x3613e602,0x641f8805,0x037ea006,0xfe807f4c,
    0xa81baa02,0x1fd300df,0x1fedcc00,0x27401720,0x001b2000,0x02ec1b20,
    0x0fc41dd1,0x05f36c80,0x5f30fcc0,0x880fcc00,0x05ffeefe,0x03e802e4,
    0x0039fd71,0xdb0bea00,0xc81fcc00,0x03ee00ef,0xb901bfee,0x80013a00,
    0x440004f8,0x003f704f,0x03f709f1,0x1b609f10,0x3e227e40,0xb05e8804,
    0x013f200d,0xf701ffb0,0xe880fc41,0xd700d905,0xf1003f30,0x70bd1009,
    0x09f1003f,0xbd1009f1,0x813ee000,0x009d005c,0x80006c80,0x6c05506c,
    0x800fc40e,0xd000f76c,0x74003dc7,0x4c0cf983,0x00b900ee,0xceeb88fa,
    0xdb000001,0x32000fc4,0x8801d905,0x01ffe83f,0x04e802e4,0x00036400,
    0x017cc364,0x17cc3f30,0xfa83f300,0xdb13a001,0x2a1fcc00,0x013a001f,
    0x1fc09f50,0x03b603f3,0x81f4035c,0x006d804e,0x02f98fe6,0x0db07e60,
    0x8001fcc0,0x00b902f9,0xedb8813a,0x06ecdeff,0x77ff6dc4,0xd8006ecd,
    0x002f880f,0x2aabb2b9,0xaaaaaaaa,0x2abb25da,0xaaaaaaaa,0x1fcc5daa,
    0x02e41b60,0x039db3e8,0x7a800006,0xf70003ea,0x1f401720,0x32013fe2,
    0x0009d005,0xc80006c8,0xe8007b86,0x3a001ee3,0x26002ec3,0x90007e21,
    0x4c005d8b,0x017d4001,0xfc82f8bb,0xf3017201,0xf101ee01,0x2e5c8003,
    0x223e8007,0x02e4001f,0x1720bb00,0xffb82740,0xfecbabcd,0x337fee06,
    0x06fecbab,0x7f00fe40,0x7fed3600,0xffffffff,0x3f66ffff,0xffffffff,
    0x646fffff,0x261f8805,0x7401aeda,0x7775c403,0x7cc0000b,0xf3000d70,
    0x3a00b901,0x4007fd43,0x409d005c,0xdeffedb8,0x6dc406ec,0x6ecdeffe,
    0xaaaaaec8,0xdaaaaaaa,0x2aaabb25,0xaaaaaaaa,0x0001f45d,0xf70003ea,
    0x200003e8,0xfddffdb9,0xdaaaaaab,0x0bea1f46,0x06c809d0,0x0fa80be2,
    0x5d93dc00,0x55555555,0x7d4bb555,0x003dc000,0x01720f50,0x067dc274,
    0x67dc1b20,0x70036400,0x004e805f,0x0001727d,0x74000172,0x7ec7b003,
    0x3a00efff,0xc8866c03,0x87cc0005,0x0fa8007a,0x87d005c8,0x0b9002fd,
    0x7fdc13a0,0xfecbabcd,0x337fee06,0x86fecbab,0xfffffffd,0x6fffffff,
    0x3ffffff6,0xffffffff,0x200017c6,0x0f98006b,0x220000be,0xecbbeffe,
    0xffffffff,0x9f12ec7f,0x3f807f00,0x0d702ec0,0x3f61f300,0xffffffff,
    0x2e6fffff,0x00f98006,0xb901f300,0xbf113a00,0x3e21b200,0x200d9005,
    0x05d803fa,0x00f72f88,0x0000f700,0x02e400be,0x6880fa00,0x5c0001d0,
    0x70003e67,0x7401720d,0xb9001cc3,0x3ee13a00,0xb836400c,0x436400cf,
    0x5c80005c,0x005f0000,0xa8007a80,0x0000be0f,0xf5015bf3,0xd0fa8001,
    0x403f700d,0xfffffffa,0xf500ffff,0x321f5000,0x07a80005,0x0000fa80,
    0x401720f7,0x8007d44e,0x000fa86c,0x09f300d9,0xf7003ea0,0x0000be61,
    0xd00005f3,0x0013a007,0x81e407f0,0x1b60004a,0x05e8007f,0x00fa00b9,
    0x3a00b900,0xc802fc44,0x9005f886,0x0000f70d,0x3a0000f7,0x07cc0004,
    0x09d1ae00,0x200fc800,0xce8002fa,0x27c400fd,0x2aaab760,0x03faaaaa,
    0x6b8001f3,0x260001ee,0x035c000f,0xf704f880,0x7b89f700,0xf70dd300,
    0x101ba600,0x3e2080bf,0x3f227404,0x07e40000,0x201b2000,0x260002f9,
    0x540b201f,0x7cc00664,0xc800fdc2,0x200b900f,0x0cfd983e,0x27401720,
    0x364003ea,0x6c8007d4,0x40002f98,0xc80002f9,0x03f80006,0x01b22f40,
    0xfa80b900,0x1ffa8003,0x2200fc80,0x40d9001f,0x32f4003f,0x7f00005f,
    0x3b25e800,0x8076c402,0x3ff602fa,0x2e01fcc4,0x03f986ff,0xd1037fdc,
    0x7dc6b80b,0xdd01f901,0xd0d91001,0x8d91001d,0x17a204f8,0x980db000,
    0x67dc3b05,0x6c17a200,0x01fdc01e,0x20fa00b9,0x3204fffe,0x7b89d005,
    0xf70dd300,0x641ba600,0x7e40000f,0x1fcc0000,0x7dc39100,0x981f9001,
    0x4722003f,0x03fec07a,0x2017fd40,0x03dc02fd,0x3ee03f30,0xc81f9001,
    0x7dc0000f,0x441f9001,0x2a21adfd,0x177401ff,0x5bd5fd73,0x730dfec1,
    0x155d97fd,0xd730dfec,0x8155d97f,0x435c00ee,0x7f930bfe,0x1073f620,
    0xb105df95,0xfca8839f,0x21efa82e,0x0000efa8,0x7d003fb3,0x3ee1ae21,
    0x3bee21be,0x439fb100,0x6403fd98,0xf887d005,0x1ee05fff,0x7f313ee0,
    0x986ffb80,0x37fdc03f,0x91001dd0,0x1001dd0d,0x005f70d9,0x1ed81ff5,
    0xfb81fdc0,0x10ffa802,0x3fff609f,0xdf88d903,0x3aa21dfc,0x004e802f,
    0x03db0274,0x1dd03fb8,0xdb0d9100,0x303fb803,0x9ffffffb,0xfffd1001,
    0x3ffa1bff,0x3ffff223,0xfff90dff,0x7fffe447,0xfff90dff,0x5555fec7,
    0x06daaaaa,0x05fffff9,0xffdfff70,0xff7007df,0x07dfffdf,0xfffffe88,
    0x7ffec004,0xd91001ef,0x322019db,0x04fffffe,0xffdfff70,0x76d5403d,
    0x5bf5302a,0x017ffec1,0x7fec05f5,0x261bfd84,0xaaecbfeb,0xb986ff60,
    0x0aaecbfe,0x220e7ec4,0xd882efca,0x7e5441cf,0x13bfb02e,0x40f7ed44,
    0x2621cfd8,0x6fec03fd,0x3bf6a209,0xd885fd41,0x50cfbfdf,0x2a6e85fd,
    0x0dffffff,0x4001f980,0x33f6207b,0x80ff6621,0x5441cfd8,0xfd882efc,
    0x0ff6621c,0x004d54c0,0x000ddd40,0x000d5d44,0x001aba88,0x7ffffffc,
    0x206fffff,0x88001aa8,0x10001aba,0x10003575,0x30001355,0x40003555,
    0x4d544001,0xaba98000,0x7fffc400,0xfffe80ff,0x400e543f,0x3fae62ee,
    0x3220adea,0x0dffffff,0x6447fff9,0x0dffffff,0x2e07fff9,0xefffefff,
    0xefffb803,0xa803efff,0xefffeffe,0xefffb802,0xd5001eff,0x5dfffdff,
    0x7ffffd40,0xffff7699,0x980fb81b,0xa88009ba,0x2202aafd,0x202bfbaa,
    0xeffefffb,0xdfff7001,0x7007dfff,0x3dffdfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbfffffd1,0x220fffa1,0x10001aba,0x00003575,0x00035751,0x0006aea2,
    0x004d5d4c,0x0055d4c0,0x09aba980,0x402ae600,0x03100aa8,0x7ffdc000,
    0xff701fff,0x9803ffff,0x10000aba,0x20003575,0x0000aba9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xba800000,0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x70000000,0x0000d805,0x03951000,0x44000000,
    0x00000000,0x00000000,0x01b1025c,0x20000000,0x204b8008,0x00ae00d8,
    0x0000001b,0x01d80000,0x544000ee,0x000001bb,0x00000000,0x00000000,
    0x00000000,0x00000600,0x1d40ae00,0x0ee05700,0x22000000,0x201f7000,
    0x7dd001fa,0xb80764c3,0x00cffeff,0x40004d88,0x3b6004f9,0x74000000,
    0x3db1005f,0x40efa800,0x740006fa,0x30001fff,0x1df5009f,0x7dc06fa8,
    0x0003f500,0x7ccdfff1,0xfffff72f,0x7fffffff,0xfb10ff60,0xffeb8005,
    0xe8003ffe,0xb3001fff,0xb8009dff,0x321bdffd,0xd9500bcc,0x322179df,
    0x3ffe22cc,0xccb80007,0x37ff6e24,0x03d4001b,0x77ff6540,0xff30330c,
    0x802ff881,0x1ff987fb,0xbffd7300,0xd710e219,0x801bffff,0x037c40ce,
    0xfdffb730,0x42ff207d,0x74c04fc9,0xa8000dff,0x3a2000df,0x8030001e,
    0xf7007ff8,0xfd30009f,0x00013f23,0x0007eea6,0xe88017ea,0x2009f92f,
    0x037c40ce,0x54db5300,0x555f74ff,0xf5555555,0x4c6fdc07,0x362001fe,
    0x00260acf,0x007eea60,0x3faf3fea,0x6ff4400e,0xdf2fecab,0xefd881dd,
    0x98efdbac,0x654c5eef,0x76c40007,0x579ff37e,0x54009fd9,0x37f62007,
    0xebfecbac,0xfd06e884,0x10bf3003,0xff8801dd,0xaffcaabd,0x2b3ff67b,
    0x202feba9,0xffecdffa,0x3fae6001,0x0be605fe,0xdfa817c4,0x2001fe98,
    0xd10005fb,0x05f0003f,0xf5004d98,0x7ec0007f,0x400002fe,0x7dc001f8,
    0xfdfb0004,0x6ffd4005,0x0001ffec,0xa8fdc6c8,0x805f1007,0x000dfef9,
    0x0000bfe6,0x2200fc40,0x204f984f,0x7f701ef8,0x817f407f,0x401fbfd8,
    0x2a00007a,0xf700cfaf,0x401ea009,0x3ee01ef8,0x0000004f,0x0de88000,
    0x4f9ffee0,0x9100fec0,0x4c007bdb,0x5f50befe,0x1f5017a0,0x7ec44fc8,
    0x003fc803,0x4002fd80,0x00fcc02f,0x70000330,0x7c40001d,0xffffffff,
    0x003fc807,0x4000f5c0,0x003dedc8,0x4d51b200,0x01f50028,0xd0007b10,
    0x4000001d,0x07dc01f8,0x0db00fc8,0x3207ff50,0x1ffd800f,0x00003d40,
    0xf3007ff5,0x200f5007,0x09f9006d,0x00000000,0xf7005e88,0x2f4017cf,
    0x17300000,0x3f107e60,0x02d89d00,0x00b2012e,0x4005c800,0x0017402f,
    0x00000000,0x2eaaaaa0,0x2d801abf,0x00000000,0x36400000,0x360003f1,
    0x64000005,0x4000000f,0x02e401f8,0x03f503f3,0x3e60ff20,0x03ff1002,
    0x200007a8,0x1f2006fa,0xf5007ee0,0x00274003,0x20000000,0x9fa000fd,
    0x007b800c,0x75c00000,0x32003e60,0x00000006,0x3e000000,0x00000002,
    0x00000000,0x000003f1,0x00000000,0x226c8000,0x00fe0001,0x03f98000,
    0x1f880000,0x3f102e40,0x7cc00d90,0x64006b83,0x003d401f,0x4005f500,
    0xffc881f8,0x6c39beff,0x880cc005,0x1deffecb,0x3ffb2600,0x01fc01ce,
    0x26001aa0,0xdfdb700f,0xca980059,0xf993a0ac,0x000f9800,0x00000000,
    0x37f32e00,0x1ccccccc,0xdffd9500,0x95006619,0x2619dffd,0x3bf6e601,
    0x0007e22c,0x76544000,0x40152def,0x1ceffec9,0x7bfd9100,0x40001b21,
    0x332e20fa,0x59997103,0x30000d70,0x4459dfb7,0x902e401f,0x8801360f,
    0x4005d83f,0x13d401fa,0x039dfd95,0xe8001f50,0x98d7f4c3,0x0fa0ffeb,
    0x6ffe4000,0x03ffdbac,0xcabcefb8,0x00f304fe,0x43dc0000,0xecabdfe9,
    0x7f4c00df,0xb8dffeef,0x9003f10f,0x6665c45f,0x9971004c,0x2e200999,
    0x8804cccc,0xeeeefeed,0x4403eeee,0xecbacdfd,0xfb104ebf,0x7fd9759b,
    0x33bf209d,0x3f15fdba,0x0b332e20,0x7017bb51,0xffb759df,0x3bee05fd,
    0x04fecabc,0x7e5677cc,0x00006c8e,0x5fee98d9,0x09fddd30,0xfc80007b,
    0x15fdbace,0x445c803f,0x09d02fda,0x04d83f80,0x2a00fcc0,0x977bfd17,
    0x07a807fd,0x02f44e80,0x017c1fd1,0x64029800,0x80bfa01f,0x005c86ea,
    0x513a0000,0x3fa601bf,0x303df700,0x1f45f7fd,0xe98bfe60,0x800feeee,
    0x0feeeee9,0xeeeee980,0x017c000f,0x403df100,0xef884ffb,0x213fee01,
    0x3dd102fc,0x3bba203f,0x337fea4f,0x813ea0fe,0x2fe82fe9,0x7c41baa0,
    0x06dee885,0x6407f000,0x5f09d005,0x6402cc98,0xf3dd102f,0x3e65c803,
    0x017205ff,0x05c83f88,0x2a00fdc0,0xf900de9f,0x000fd409,0x400fc8fe,
    0x00017c7a,0x209f1000,0x4f8801fb,0x00000274,0x9f10ff4c,0xf30bd100,
    0x4bdf7007,0xdbd100fc,0x000fa807,0x20001f50,0x17c000fa,0x200db000,
    0x006d84fc,0x01fb89f9,0xb001ffd8,0x7b037f29,0x17cc036c,0x3e2007ee,
    0x7f406d84,0x1f980006,0x27401720,0x77fdc3e2,0x1fb80efe,0x401ffd80,
    0x77edd45c,0x2a007b81,0x000fa83f,0xff5007f6,0x205f500b,0x3e6003fa,
    0x20400fa1,0x0000004e,0x017cc364,0x01f43f30,0xdf930000,0x26006d81,
    0x8017a23f,0x2076c5fd,0xa809d5e8,0x1f50000f,0x003ea000,0x2a0005f0,
    0x513a001f,0x2274003f,0x3ff1003f,0x0ff77600,0x64007e40,0x9800be60,
    0x500be61f,0xd70000df,0x9d005c80,0x889f57a8,0x801fc0fe,0x2e401ff8,
    0xf883fb10,0x107fd004,0x3fe6009f,0x007fd401,0x1ff507d8,0x05f1ba00,
    0x0001b200,0xf70d9000,0x1f47d000,0xefd80000,0x4001f882,0x8003ea5c,
    0x6ff446f8,0x07d0efdb,0x50000fa8,0x3ea0001f,0x0017c000,0x0cc005d8,
    0x43300176,0x0fe40079,0x001ffd80,0x700037e6,0x5c7d000f,0x000df006,
    0x05c809d0,0xfaf989d0,0x07997a02,0x3200fe40,0x5c0fc805,0x1ff6c02f,
    0x74c03fa8,0x1fd401fe,0xf503f100,0x1fc801dd,0x4c000be2,0x0722003f,
    0x3bffb6e2,0xaec86ecd,0xaaaaaaaa,0x13a5daaa,0x027c0000,0x7b8001f5,
    0x1fa001b2,0x8873b6a2,0x007d401f,0x0000fa80,0x2f8001f5,0x0007d000,
    0xb80007d0,0x00fd4005,0x98000ed8,0x01acdefe,0x2aaaabb2,0xdaaaaaaa,
    0x37401765,0x007e2000,0x213a00b9,0x8fcc04ff,0x0fd4005b,0x2f401720,
    0x3a6067ec,0x3f203f8e,0x4efdc41d,0x00fd401f,0x23ea0fe0,0x7f4c0afe,
    0x20003f82,0xffa802fb,0x5e6ffdc0,0xd86fecba,0xffffffff,0x26ffffff,
    0xf000005d,0x40035c07,0x0009b0f9,0x1f3000d9,0x0000fa80,0x2a0001f5,
    0x017c000f,0x80002f80,0x2740002f,0x4007e600,0x5d40004d,0xd84fffec,
    0xffffffff,0x26ffffff,0x00d9004e,0x5c807b80,0x0dd09d00,0x00274be0,
    0x0b9007e6,0x7fd41ee0,0x7f0dffef,0xfeffe980,0x803f33ff,0x26c000fa,
    0xddffb3d4,0x1b601dff,0x13bfb000,0x20f7ed44,0x36400cfb,0x640002e4,
    0x37000007,0x54003d40,0xb000bb0f,0x00d7000b,0x2a0001f5,0x1f50000f,
    0x0002f800,0x5f00005f,0x004d8000,0x4d800fd4,0x65440000,0x001720ee,
    0x36c01360,0x20136000,0xb09d005c,0x26d3a007,0x9007ea00,0x403e600b,
    0x7c0acb98,0x37953003,0x7d401f98,0x541f4000,0x01acb987,0x0a2027c4,
    0xffeffea8,0x05f882ef,0x00f70d90,0x0003f300,0x01f30000,0x01ee6b80,
    0xf10013e0,0x001f500b,0x40003ea0,0x17c000fa,0x0004e800,0x540004e8,
    0x00fdc006,0x000004d8,0x007b93a2,0xdd005c80,0x017c4000,0x84e802e4,
    0x2a7d005b,0x00fdc006,0x0fc40172,0x0007f000,0xf5007e60,0xa82f8005,
    0xbf500007,0x806fb881,0x2009afb9,0x0d9000fa,0xb00005f3,0x0013000d,
    0x74003f80,0x98007e65,0x07ec002f,0x80007d40,0xf50000fa,0x002f8001,
    0x90000d90,0x0f88000d,0x4007fa00,0x024c004d,0x017ccf50,0x1003ee00,
    0x3d4000df,0x9d005c80,0x5f001f50,0xfe8003e2,0x4022e401,0xf10000fa,
    0x3e600005,0x0027d401,0x00f501f5,0x77ffcc00,0x1000bdff,0x401ee00d,
    0x01f906e9,0x004f8800,0x70000bee,0x03f2003f,0x1b6001db,0x2005f700,
    0xf50000fa,0x03ea0001,0x20009f00,0x322003f9,0x8800fe61,0x5c01ba1c,
    0x09b001ff,0x9000fb80,0x0000fc8f,0xdf9013e2,0x802ec000,0x04fb807b,
    0x20fb809d,0x3ff7006e,0x41f45c80,0x3ea0007c,0x3f300000,0x802ffa80,
    0x00f504f8,0x17fb3000,0x03dd1000,0x7dc03f98,0x003ba06f,0x37e61b22,
    0x8827e400,0x76c03ffd,0x441fdc01,0x0fec00ef,0x004fd880,0x540003ea,
    0x1f50000f,0x400fd800,0x802fb818,0x17dc0ffa,0xd107fd40,0x1fcfa809,
    0xb8009b00,0x85f9804f,0x6c8800ee,0xefa80fdc,0x00be0006,0xffb017d4,
    0x4407e209,0x2027443f,0x6401fcfa,0x02f43645,0x0006f880,0xf5007e60,
    0x36c403f9,0x00000f50,0x2a0001ea,0x21bfd805,0xaecbfeb9,0x0e7ec40a,
    0x40bbf2a2,0x2e21befa,0x3ff202fd,0x3f6200ff,0x0ff6621c,0x221bee98,
    0x10a82fea,0x8005ff73,0xf50000fa,0x03ea0001,0x985bf300,0xbfb06fda,
    0x77ed4413,0x413bfb01,0x881efda8,0x3f2609ef,0x401abf8a,0x7fdc004d,
    0x775c40ae,0x41cfd880,0xd82efca8,0x95f710bf,0xfa80055d,0x98bba000,
    0x0adeafeb,0xf512dfa8,0x13df101d,0x5fc57e4c,0x3b6aa21a,0x7ec4be62,
    0x77544000,0x3e600000,0x32f95501,0x3bea21cf,0x0001ea01,0x54003d40,
    0x8803ebdf,0xdffffffc,0x207fff90,0xfffefffb,0xffc8803e,0x400dffff,
    0x7006fffa,0x3dffdfff,0xdfff9100,0xff101bff,0x4019dfff,0xfcaaaaa8,
    0x10aaaaab,0x7f955555,0x22155555,0xbfcaaaaa,0x200aaaaa,0xfffeffea,
    0x7ff5403e,0x802efffe,0xfffeffea,0x7fecc02e,0xff11effe,0xeaaa98df,
    0x1aaaaaad,0xfffd8da8,0x400cfffe,0xfffefffb,0x7ffe403e,0x3fff92ff,
    0x2002dc00,0xdfffffe8,0x2e07ffd0,0x405ffffe,0xeffeffd9,0x54dfff11,
    0x320fffff,0x2201ffff,0xdffffffe,0x7fd40000,0x226fffff,0x3fae7fff,
    0xd104ffff,0x3dffffff,0x00f50000,0x0006ea20,0x00035751,0x00357510,
    0x000dd4c0,0x30002f26,0x20001575,0x98009ba9,0x3ff2001a,0xffffffff,
    0xfff92fff,0xffffffff,0x3fff25ff,0xffffffff,0xbaa802ff,0xba98000a,
    0xa980009a,0x980009ab,0x7f4000ab,0xffffffff,0xa98804ff,0x440009ac,
    0x44001aba,0x000001ba,0x03775000,0x00aa8800,0x00055cc0,0x0055c400,
    0x05555554,0xaaa88000,0x4002aaaa,0x54009ba8,0x0aaaaaaa,0x00698000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x37100000,0x18800ae0,0x5405b000,0x00000004,0x81d40000,0x000000b9,
    0x802c4039,0x4001dfd9,0x8000abb9,0x00000001,0x00000000,0x00000000,
    0x16401b10,0x00000000,0x07999100,0x00b332e2,0x06200000,0x00ddcc00,
    0x00066000,0x00006600,0x3b807620,0x00000000,0xfb8072a0,0x400ff987,
    0x541effc8,0x3213f201,0x5fff983f,0xdb980000,0x0712deff,0x7f417fc4,
    0x5ffd0004,0x07dc0d90,0x037ffec0,0xffefffb8,0x07ec9803,0x7fffff98,
    0xff307fea,0x2600ffff,0x007fffff,0x37dfd950,0x5c799300,0x000bdffd,
    0xfe885fd1,0x0006fc81,0xca879950,0xe981cefe,0xddd305fe,0x4fffb89f,
    0x3f220000,0x440d41ef,0x01edacfd,0x13ff6a00,0x7fed4000,0xfb000004,
    0x402fd887,0x2dfffec8,0x3b2a2053,0xd8152def,0xbf302fff,0xfb00dd10,
    0xfd5bfb57,0x88dfb805,0x3aaa02fe,0x3a200005,0xfecbacef,0x07f407ce,
    0x5c0017e4,0x3f882fbf,0xfb005f98,0xbf900bff,0x4c2fdc45,0x007deffc,
    0x64f95555,0xaaaa82ff,0x2aaa007c,0xfd8007ca,0x0efdbabd,0x3637fae0,
    0x0efebbdf,0x7d53f200,0x01ffd00e,0x2bfb5000,0xdbadffd8,0x4017202f,
    0x2755444e,0x57fb0000,0x07fd5bfb,0x000b7051,0x0004c954,0x00132550,
    0xd35fb800,0xcffa803d,0x5ddfdbaa,0xdbacefb8,0x3e22feff,0x00006fff,
    0x3faa0540,0xffd3002e,0x0176001d,0x00774400,0x0000ffb1,0x3e7f1000,
    0xf9bff902,0x2e2001df,0x17e400bc,0xbef87f30,0x2a000f51,0x2003ee27,
    0x1ea0007a,0x101fe880,0xeec801dd,0x005e980e,0x2027f7d4,0x400005d9,
    0x901ee9dc,0x4017203f,0x0013604e,0x7f540a80,0x07c4002f,0x00264000,
    0x00026400,0x37fbe600,0x8067cc00,0x27d45ff9,0xfe85fd30,0x000004ff,
    0x22000200,0xfffc804d,0x04ffffff,0xfd002f40,0x90000000,0xd93017cd,
    0x000005bd,0x0fb804f8,0xa8003d40,0x7a802e47,0x801ea000,0x05d800ee,
    0xf70077e4,0x02e98001,0x800005d0,0x6c00efec,0x3a00b906,0x00013604,
    0xd8000400,0x09900005,0x00990000,0x07b10000,0x3ee01b60,0x7cc036c5,
    0x0067ecc2,0x00000000,0xd5510000,0x0155555d,0x50007e40,0x8000000f,
    0x000be2f9,0xfa800000,0x402f8800,0x4f50007a,0x0f5000f9,0xa803d400,
    0x813e001f,0x1fc400ec,0x0b900000,0x1df90000,0xb903f300,0x4d813a00,
    0x00000000,0x8005ffc8,0x20009902,0x00099018,0x40000054,0xc8bd002f,
    0x000c800f,0x677f6dc0,0x7f6dc002,0x000002ce,0xf0000bb0,0xb8830007,
    0x997103cc,0xf8db0059,0x00000002,0x07f00040,0xf50007a8,0x0f5000c4,
    0x4403d400,0x07dc004f,0x07d005c8,0x000c0000,0x4006c800,0xd005c82f,
    0x00026c09,0xdffd9710,0x764c003b,0x01fd3003,0xbf700099,0x22001320,
    0x400001fd,0x875001f8,0x00000df9,0x2af7fa60,0x4c00dfec,0xfecabdfe,
    0x9997100d,0x25d80099,0x404effdb,0x980000f9,0xdd305fee,0x1fa809fd,
    0x665c417c,0x060004cc,0x03f10000,0xf50007a8,0x003d4000,0x1f500f50,
    0x3205d000,0x9307d005,0x6ffedc79,0x1e64c00b,0x017bffb7,0x1f4005c8,
    0x04e802e4,0xdffdb936,0x9bff9003,0x007ffb75,0x32201f88,0x009900df,
    0x99027f44,0x41efb800,0x442cccb8,0x1fc0bdda,0x3bfa6000,0x80001acd,
    0xfd300dfa,0x4037ea01,0xee980fe9,0x2000feee,0xabdfd8dd,0x0f700efc,
    0x00b90000,0xf09d013a,0xddddd105,0x1f10001f,0x03e40000,0x7a8003d4,
    0x001ea000,0x903227a8,0x4132000d,0x707d005c,0x7bfb1bfd,0x5c01dfd7,
    0xbdfd8dfe,0x3200efeb,0x64274005,0x6c09d005,0xebbdfe8c,0x014c00df,
    0x7b0007f2,0x900bfea0,0x07bee009,0x3a600990,0xfddd103f,0x766ffd49,
    0x0007f20f,0x3ffb2ea0,0x9f10004f,0xf10bd100,0x00bd1009,0xed8003ea,
    0x05e880df,0x9000009b,0xb813a00b,0x3002f80f,0x1f30001f,0x0bea0000,
    0x54001ea0,0x11ea0007,0x7e47d400,0x8002ec0e,0x200b906b,0x3bbb203e,
    0xc805e980,0x5e980eee,0x9b001720,0x13a00b90,0x980dfed8,0xf880005f,
    0x103e2004,0x99001bfb,0x003fe980,0x3df90099,0xdfca6c00,0x33f61ec0,
    0x2a200001,0x6c000eec,0xb0fe6006,0x01fcc00d,0xfb0007d4,0xe81fb80b,
    0x5c800004,0x3e209d00,0x26005f03,0x7f54000f,0x4f980000,0x2000f500,
    0x9ea0007a,0xff5005fe,0x000fa07f,0x005c83d4,0x077e407d,0xfc801f70,
    0x403ee00e,0x426c005c,0x409d005c,0x07dc05fd,0x6c364000,0x44eb89be,
    0x54c02efa,0x641aadda,0x2a6010ef,0x4c1aadda,0xdd8003fe,0x6d4003fd,
    0x000aceff,0x2004e880,0x2e4001f8,0x5c8003f1,0x2000fa80,0x83f8806d,
    0xc800004e,0x3209d005,0x4c00be06,0xbfd3000f,0xbf300003,0x8003d400,
    0x5ea0007a,0xe9807ff9,0x00fe00cf,0x2e407cc0,0x3b203e80,0x201fc400,
    0x1fc400ec,0x26c005c8,0x27dc03e4,0x5f100db0,0x20d90000,0x220bddc9,
    0x3fe60cfd,0x333332e0,0x2a7fd34c,0x32e1ceed,0x324ccccc,0x07fe60df,
    0x0003ffb0,0x77fedcc4,0xf50024c0,0x2a0dfea8,0x53dc000f,0x07b8001f,
    0x36000fa8,0x9d07d005,0xeeeeed80,0x005c81de,0x405f309d,0x01f3002f,
    0x0001bf70,0x50017e60,0x01ea000f,0x13f67a80,0x807ffd88,0x0f50004d,
    0x01f40172,0x00fa00b9,0x40fa00b9,0x426c005c,0x3ff602fc,0x74013604,
    0x7f6dc403,0x006ecdef,0xbe81efb8,0xbf91000f,0x0fa83ae1,0xd07fd500,
    0x0ed803f7,0xfe980000,0x64003ee1,0x727fffc7,0x21f3000d,0x0f98006b,
    0xb0007d40,0x360fa00b,0x77776405,0x05c81cfe,0x80bd09d0,0x01f3002f,
    0x00003f98,0x2a0017ea,0x00f50007,0xa8023d40,0xc807aaef,0x20b90005,
    0x407d005c,0x807d005c,0x207d005c,0x41ec005c,0x3ae62efc,0xd80adeaf,
    0x5c07d004,0xcbabcdff,0x3a2006fe,0x1f1b904f,0xe85ff500,0x6c404c80,
    0x3f6b80df,0x00004d80,0x09f73ec0,0x7fc4bf30,0x001ea5ff,0x003d43ea,
    0x3ea007d4,0x40176000,0x8006b83e,0x4017207a,0x5567d44e,0x2cfaaaaa,
    0x6400f980,0x3ea00006,0x00f50004,0xa8001ea0,0x7a8e6007,0xb0006b80,
    0x2aedaa87,0x015bf530,0x00fa00b9,0x40fa00b9,0x41f4005c,0xfffffdec,
    0xb07ffd0c,0x5c0fa009,0x036400cf,0xf301efb8,0x6c401f11,0x172000df,
    0xf302ffa8,0x09b007e1,0x1f980000,0x8815dff7,0x7fec0eeb,0x0003e62f,
    0x0007ccd7,0x03ea01ae,0x7d005d80,0xa8001f50,0x74017207,0x7ffffd44,
    0x2fffffff,0x3a007cc0,0x9f500003,0x003d4000,0x2a0007a8,0x01ea0007,
    0xf3000be6,0x7ffffc43,0xffffe80f,0x7d005c83,0x7d005c80,0x5d001720,
    0x06aa2b90,0x74013600,0x9005f883,0x03fe980d,0x500f89f4,0xf98005df,
    0x00cfd881,0x6c01f8fa,0x000dc004,0x7ec6d4fe,0x0cfffeff,0x07f01730,
    0x01fc5e80,0x3ea017a0,0x40176000,0x004f883e,0x00b903d4,0x17c0013a,
    0x7400f980,0x4fb80004,0x003d4000,0x2a0007a8,0x01ea0007,0x1b600364,
    0x2e400000,0x2e403e80,0x0b903e80,0x05c82f80,0x2009b000,0x000fa83e,
    0x00de80d9,0x101f12e4,0x3f50009f,0xd7007b20,0x026c01f8,0x5f0013a0,
    0x26bae620,0x07ee0000,0x3ee07e40,0x001f9001,0x2ec001f5,0x5f503e80,
    0xf703d400,0x0009f700,0x07cc00be,0x3e201b20,0x0003fb80,0xf50007a8,
    0x003d4000,0x3e200f50,0x003f5004,0x0b900030,0x0b900fa0,0x02e40fa0,
    0x0b901f30,0x40136000,0x3007b83e,0xf30000dd,0x00007c41,0x80003d70,
    0x200fc0f9,0x07f4004d,0x4400fa80,0x3b600006,0xd81fdc01,0x01fdc01e,
    0x36000fa8,0x6407d005,0x40f5003f,0x3ff602fa,0x005f0004,0x7f3003e6,
    0x7e41f880,0x0f500003,0x8001ea00,0x1ea0007a,0x5404fb80,0xfd98002f,
    0x40172001,0x802e403e,0x400b903e,0x000b904c,0x1f401360,0x3ee01fcc,
    0xfc80006f,0x01ffffff,0x000ec800,0xfffffc80,0x013601ff,0xf300bfd0,
    0x03dd1009,0x39fb1000,0x101fecc4,0x6cc439fb,0x03ea003f,0x7d005d80,
    0x81aefb80,0x77407fd9,0x3abfae62,0x17c000ad,0xc800f980,0x7f5c40df,
    0x6400bf21,0x8003d402,0x1ea0007a,0x4007a800,0x9310aefa,0x5a80007f,
    0x74017200,0xe802e403,0x0d775443,0x07ee2151,0xd80002e4,0x3607d004,
    0x3fae61bf,0x000aaecb,0x0003e200,0x0000bd10,0x4d803f00,0x5ff6f400,
    0x0037e440,0xb800016a,0x1effefff,0xfdfff700,0x2aa203df,0xaabfcaaa,
    0x3aa60aaa,0xbf5301ae,0x7ff4c015,0x02efffef,0xfffffe88,0x807ffd0d,
    0x0acfaaa8,0xf9555551,0x81555557,0xfffefffa,0x2ab7e21c,0xaaaaaaaa,
    0x2aaaaa3f,0x0aaaaafc,0xf9555553,0x21555555,0xfcaaaaa9,0x30aaaaaa,
    0x5f955555,0x20155555,0xcfffffe8,0xd79b0002,0x5db55007,0x2b7ea605,
    0x1576d540,0x90adfa98,0x7449ffff,0x3203ffff,0x75540005,0xbf5502ae,
    0xfffc8835,0xff90dfff,0x4400007f,0x3a60000f,0x00003883,0x2aaa60fc,
    0xaaaaaade,0xfff92d81,0x5007fffd,0x0007d7bf,0x01575300,0x02aea600,
    0xffffff90,0x5fffffff,0x437ffff4,0x04ffffe8,0x01357530,0x00377500,
    0xfffffb80,0xfffff92f,0xffffffff,0x35973105,0x3ffffe20,0xffffffff,
    0xfffffd13,0x29ffffff,0xfffffffc,0x92ffffff,0xffffffff,0x325fffff,
    0xffffffff,0x402fffff,0x80001b98,0xf8801bb8,0xe80fffff,0x3e23ffff,
    0xe80fffff,0x2003ffff,0x4400ab98,0x3fe20001,0x7cc0ffff,0x5106ffff,
    0x00000357,0x07fffa20,0x7fffe400,0x00006fff,0x7f43fffd,0xffffffff,
    0x753004ff,0x54400135,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99100000,0x66540799,0x004401cc,0x00000000,0x00000000,0x00000000,
    0x0000dd00,0x99999500,0x99999999,0x00005999,0x00000000,0x10254000,
    0x6664c01b,0x00bccccc,0x18002440,0x00000000,0xcccccc98,0x010003cc,
    0x00018800,0x99950000,0xccb85999,0x81cccccc,0xccccccb8,0x997100bc,
    0xbdda8859,0x99999300,0x98017999,0xcccc8000,0xcccccccc,0x0deefe9a,
    0x07dfdd90,0x7037ff66,0x01f5c001,0x677fedc0,0x3ff25b01,0x5400003f,
    0x0bdeffdc,0x3ffaa000,0x7c01deef,0xffff3007,0x000700ff,0x36e08870,
    0x000cdffe,0xdeffdca8,0x3aa0000b,0x42deffff,0x37d40ef9,0x3ffffee0,
    0x4001efff,0x05f0007a,0xfecb8800,0x64001def,0xffffffff,0x3ffa6006,
    0x322000ad,0x00d41eff,0x677ff64c,0x3ffbae01,0x777643ee,0xa81deefe,
    0xffffffff,0xfddd101e,0x766ffd49,0xffffb80f,0x701effff,0x03987ffd,
    0x3fbbbbb2,0x3a3eeeee,0x403ee005,0xcfeaaef8,0xf1001fea,0x3a2001ff,
    0x5fecabdf,0x7f5514e8,0x3b620000,0xfcb989ac,0xcefd8003,0x402dccaa,
    0x2aaa007f,0x003807ca,0x74e6c380,0xffdbacef,0x59db1002,0x07f97313,
    0x559dfb00,0xfd103b99,0x00013f25,0x007a8000,0x640005f0,0xfdbacdff,
    0x0000003f,0xf739ff50,0x2ff6001d,0x3feadfda,0x55e77dc0,0x5d804fec,
    0x00017c00,0x7e536000,0x0001ec0d,0x3f273ee0,0x4005fcbe,0x01fa807a,
    0xb82809d0,0x74001eff,0x1df5006f,0x2f997e60,0xb80003f8,0x0de9804f,
    0x0005f700,0x2a0006e8,0x80003807,0x0067fec3,0x4fb809fb,0x000de980,
    0x640005f7,0x00002fef,0x003d4000,0x260002f8,0x000fe402,0x17e20000,
    0x054013a2,0xd00bffaa,0x0375405f,0x05f00176,0xdd800000,0x000003fd,
    0xffb10660,0x00f50009,0x03ea017a,0x10000800,0x017e2005,0x41beb7a2,
    0x7540003f,0x80364001,0x0000005e,0x03807a80,0x1fec3800,0xd502fd80,
    0x006c8003,0xd50000bd,0x00000003,0x3e000f50,0x44000002,0x0000004f,
    0x001017d4,0x3f700100,0x6c09f100,0x0017c005,0x3ff60000,0x00000001,
    0x7a800020,0xe803f500,0x00000004,0x2006c800,0x7f00dff9,0x40fc4000,
    0x2189cedb,0x002f804d,0x7a800000,0x38000380,0x1b6003ec,0x5554c7e2,
    0x009b00aa,0x0000005f,0x440f32e2,0x2002cccb,0x332e007a,0xccccccdf,
    0x6c80001c,0xffd97100,0x1b2003bd,0x20000000,0x3e6002f9,0xf800bb01,
    0xffec9802,0x76c001ce,0x76dc0000,0x00002cef,0x2007a800,0x203ea05e,
    0x7103ccb8,0x00005999,0x6c002f98,0x0001fc07,0x89cd889b,0x07e22eda,
    0x000005f0,0x700f5000,0x3b870000,0x361fcc00,0x2aabaa64,0x00fc40dd,
    0x000000be,0x982ff74c,0x2004feee,0xddb1007a,0xdddddddf,0xd900007d,
    0x59bff900,0x9007ffb7,0x664c000d,0x2f7ff6e3,0xd000f700,0xf0017607,
    0xbcefb805,0x2004feca,0x3a60004d,0xdfecabdf,0x99997100,0x03d40009,
    0x13a01f50,0x982ff74c,0xca84feee,0xcccccccc,0x001b21cc,0x83f803e2,
    0x4c3ccccb,0x85d02b86,0x7e66546a,0x2ccccccd,0x4ccccb88,0x201ea000,
    0x00380003,0x834cbf00,0x46a84885,0x002fccc9,0x66666654,0xc81ccccc,
    0x4009d005,0x05f0007a,0xfedb8800,0x806ecdef,0x00fe4029,0xeb8001ea,
    0xbbdfd8df,0xaec80efe,0xaaaaaaaa,0xbb05daaa,0x3a02f800,0x01baa02f,
    0xfa80026c,0x01fd300d,0x1fddddd1,0x001ea000,0x001f509d,0x213a00b9,
    0xeeeeeefd,0x13a3feee,0x7f017400,0xdefffd88,0x981a12e0,0x3bb63c41,
    0xeeeeeefe,0xeeee984e,0x1ea0007e,0x0e0000e0,0x97364000,0x2206c160,
    0x17f775c7,0x3bbbf600,0x3feeeeee,0x89d005c8,0xeeeeeed9,0xdeeeeeef,
    0x40005f00,0xbabcdffb,0x00006fec,0x1f8809f1,0x77764000,0xfd85e980,
    0xffffffff,0xb06fffff,0x702f800b,0x09f1003f,0xf10009b0,0x00bd1009,
    0x540003e6,0x207d4007,0x00b9004e,0x1017613a,0x0002f8bd,0x541fc09b,
    0x987900df,0x201e8004,0x7a80002f,0x201ea000,0x00380003,0x81e4f500,
    0x03d06885,0x1760017c,0x1720bd10,0x33262740,0xccfdcccc,0x3e04cccc,
    0x19f70002,0x00006c80,0x013a01b2,0x401df900,0x002e40fb,0xf0017600,
    0x4005f305,0x026c01f9,0xf30036c0,0x001f3007,0x3a001ea0,0x64003ea4,
    0xbb09d005,0xf1077440,0x81720003,0x2027dc3f,0x4000dc1e,0x000be02d,
    0xa8001ea0,0x80003807,0xffffffd3,0xffffffff,0x407a1fff,0x6c0b6e25,
    0xb000be02,0x8077440b,0x009d005c,0x333003d4,0x0133337f,0xd9005f88,
    0x43640000,0xfffffffc,0x0764006f,0x0f70fe20,0x005d8000,0x003dc17c,
    0x013601f4,0xc8003f10,0x000f9805,0xf5000f50,0x5c8017a1,0x05509d00,
    0x07e6076c,0x7f035c00,0x0fc01fe4,0x0f20006e,0xa80002f8,0x01ea0007,
    0x74e0000e,0xccccccce,0xdccccccc,0x3be03f0f,0x01e406ee,0x02a8005f,
    0x05c803b6,0x3d4009d0,0xfffffc80,0x201fffff,0x0d9000fa,0x3ffb6e20,
    0xa986ecde,0x2aabfcaa,0xe802e400,0x00017cc3,0x2f800bb0,0xaaaaaec8,
    0xdaaaaaaa,0x20026c05,0x3dc000fa,0x80007cc0,0x59d0007a,0x02e4003f,
    0x7ec004e8,0x20005f00,0x362fe05c,0xa85b002f,0x201e8004,0x7a80002f,
    0x201ea000,0x9d380003,0x5b3d4000,0x7407b160,0x0000be01,0x2e400fd8,
    0x2a004e80,0x3e666007,0x4009999b,0x0dd3007b,0x579bff70,0x300dfd97,
    0x2e40001f,0x0fc83e80,0x00bb0000,0xfffd82f8,0xffffffff,0x26c06fff,
    0x2001ae00,0x07cc00f9,0x0007a800,0xc800bdf5,0x4009d005,0x00fa01fc,
    0xd9f01ec0,0x2264005f,0x07c000f8,0x500005f0,0x03d4000f,0xd9c0001c,
    0xc9ae0005,0x20590b04,0x000be00f,0x6400fe40,0x4009d005,0x05f0007a,
    0xb807f300,0x67dc06ff,0x44036400,0x1720001f,0x0ee81f40,0xbb06c880,
    0x20be02a8,0x5300005c,0x5555bd55,0x00f50355,0xf9801f50,0x00f50000,
    0x2000ff40,0x009d005c,0x0bb00bee,0xff807e00,0xb5000fdd,0x30ea0770,
    0x0002f80f,0x2a0007a8,0x80003807,0x6c000f73,0xd82c16a5,0x0be03cc0,
    0x00bee000,0x04e802e4,0x7c001ea0,0x37fb0002,0x765ff5cc,0x02fc40aa,
    0x0fa806c8,0x40172000,0x39fb103e,0x02efca88,0x3e05d8bb,0x00007b82,
    0xfffffffd,0xf309ffff,0x806b8001,0xf50000f9,0x002f4000,0x04e802e4,
    0xfb803fa8,0x203dc000,0x2003f65f,0x12ec82e8,0xf807b0b7,0x07a80002,
    0x0e01ea00,0x17cce000,0xd11fc400,0xb1260b05,0x0002f807,0xb9001fd4,
    0xa8013a00,0x005f0007,0x3ffff220,0xfff90dff,0x9000fa87,0x000f700d,
    0x07d005c8,0xffefffb8,0x22ec03ef,0x303f105d,0x0000005f,0x2001fc00,
    0x00f9805e,0x2000f500,0x5c8001f9,0xf9809d00,0x0017a004,0x6c3f80bf,
    0x80fa800e,0x6b81ceb9,0x80002f80,0x1ea0007a,0x8e0000e0,0x86d8006d,
    0x7ddd70fa,0x201aeb90,0x3e60002f,0x403dc004,0x1ea004fb,0x0001fc00,
    0x4c06aea2,0x3007b80e,0x00bb00dd,0x7d005c80,0x06bba200,0x82ec5d80,
    0x01f900fa,0x00020000,0x3f2003f7,0x000f9800,0x36000f50,0x00f70005,
    0x2fc409f7,0x005f5020,0x07f003b2,0x0b9001dd,0xf003f300,0x0f500005,
    0x1c03d400,0x9f11c000,0xc80fd400,0x01f98005,0xf10002f8,0x2fa8080b,
    0x8013ff60,0x0fb00038,0xc8000310,0xb807f302,0x17cc06ff,0x05c834c0,
    0x1a6007d0,0x3f22ec00,0x77406d81,0x806c8800,0x36001fd9,0x01fdc01e,
    0x50000f98,0x03f3000f,0xd80bea00,0x0bd104ff,0x02fd86b8,0x1fc007e4,
    0x6c007744,0x05f7001e,0x20000be0,0x1ea0007a,0x0e0000e0,0x7f700bf5,
    0x7001ed80,0x00be005f,0xd7017a20,0xeb98bba0,0x000adeaf,0x067cc000,
    0x001bf6a6,0x3f60c590,0x2ffae61b,0x6d80aaec,0x1720bb00,0x3b801f40,
    0x3baaa600,0x263db1aa,0x7ec401fd,0x77e5441c,0x8012a002,0x2621cfd8,
    0x3e6003fd,0xaaaaa800,0x1aaaaafc,0xd0001760,0x57f5cc5d,0x07740ade,
    0x67e41ae0,0x007f6a21,0x0ee881fc,0x881cfb80,0x3e000ee9,0x07a80002,
    0x0e01ea00,0x3a60e000,0x3f6a20ae,0x039f7002,0x4001dd31,0x0ee8002f,
    0xfe8835c0,0xfd0dffff,0x2aaaa27f,0xaaaaaaaa,0x7f5402aa,0x03efffef,
    0x6ede8800,0x7ffffe44,0x7fff90df,0x55567f54,0x2fcaaaaa,0x81576d54,
    0x400adfa9,0x201c9ae8,0x5ffffffc,0x05ffffb1,0x7f7ffdc0,0x9b003eff,
    0xf70005d7,0x03dffdff,0x32aaaaa2,0x0aaaaabf,0x3ffffffa,0xf9cfffff,
    0xffffffff,0xffe88002,0xffd0dfff,0x5555fec7,0x06daaaaa,0x3bffffea,
    0x7d54401c,0x55df7103,0x77fec401,0xa803effd,0xaaacfaaa,0x554c0aaa,
    0xaabfcaaa,0x55530aaa,0x5555f955,0x0000e155,0x7ffe440e,0x4000dfff,
    0xffdeffd8,0xaaa9803e,0xd802aacf,0xaaaaaabf,0x5d406daa,0xfff7001b,
    0xffffffff,0x5001ffff,0x00001575,0xba880260,0x7ff4001a,0xffffffff,
    0x7ffc42ef,0xffe80fff,0xdd9803ff,0x2e200003,0x7510000a,0x77100035,
    0xba980003,0x7ffe400a,0xffffffff,0x440002ff,0xaaaaaaaa,0x2ea0000a,
    0x3ffe001b,0xffffffff,0x1ba8806f,0x0ffff200,0x1fffffe4,0x001aa880,
    0x3fffffe6,0x42ffffff,0xfffffffc,0x92ffffff,0xffffffff,0x325fffff,
    0xcccccccc,0xcccccccc,0x01bb9803,0x03551000,0x7ffff440,0x7c02ffff,
    0xffffffff,0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x202e6000,0x017000b8,0x6665c000,0x4ccccccc,0x33333326,
    0x66666540,0x1999910c,0x93332600,0xccccccc9,0x1e6665c0,0xa80b3332,
    0x10cccccc,0x20199999,0x223cccca,0x02cccccc,0x47999999,0x32e03ccb,
    0xccc882cc,0x999500cc,0xcccc9879,0x00abcccc,0x6666665c,0xcc8803cc,
    0x66541ccc,0xcc980ccc,0xabcccccc,0x33326000,0x0002cccc,0xcccccba8,
    0x42cccccc,0xcccccccb,0x5000001c,0x99999999,0x99995009,0x50099999,
    0x99999999,0x99991009,0x99999999,0x32a19999,0x4ccccccc,0xccccca80,
    0xcccccccc,0x999930cc,0x15999999,0x13fe0000,0x17c017f6,0xddd90000,
    0x9dddffdd,0x6f77f6cc,0x77f77541,0x9ffdb10d,0x93bff600,0xdeeffed9,
    0x277ff640,0x01ffddb1,0x37bfbb6a,0x1bdffb10,0x8fbfbae0,0x2eeeefd8,
    0x7dfddd90,0x4417fb62,0xd884feed,0xd500defe,0xed987dfd,0xfeeeeeef,
    0xfdd900df,0x009ddddd,0x83bdffb3,0x80defeda,0xeeeefed9,0x800dffee,
    0xefeeeed9,0x3faa0006,0xeeeffeef,0x3a24feee,0xffffffff,0x9ff93004,
    0x3bbae059,0x804eeeff,0xeefeeeeb,0xeeeb805e,0x805eeefe,0xeeefeed8,
    0xeeeeeeee,0xfdddd70f,0x77d4bddd,0x3bbbbf20,0xeeeeefee,0xffdb31fe,
    0xffdddddd,0x3fff2007,0x3ee0bf26,0x0005f003,0x700d9000,0x807cc00f,
    0x4c00fbfb,0x17201faf,0xf5013ea0,0x03f100bd,0x37400fe6,0x3e0009d0,
    0x3a00b902,0x4013e204,0x103d405e,0x7c403dd5,0x02e40001,0x07a803e8,
    0x0007baa2,0x0007e376,0x0bb077f2,0x8000026c,0x1eebbefb,0x0000d900,
    0xd70000d7,0x007b8000,0x035c03e6,0x83643ffb,0x903f107a,0x805fb80b,
    0x0001fffe,0x00005f00,0xf700d900,0xb807cc00,0x8ec807f7,0x7017201f,
    0xf5f5009f,0x201f8803,0x07e401fb,0xf1000bb0,0x74017203,0x200fd404,
    0x03d400fc,0x3f1036c4,0x005c8000,0x00f5007d,0xf8800db1,0xfc800bb2,
    0x26c0bb02,0x04e80000,0x00036400,0x5c00035c,0x03dc0006,0x1ae01f30,
    0x83647c98,0x903f107a,0x407f300b,0x0005fff8,0x0000be00,0x2e01b200,
    0x403e6007,0x7c40d97b,0x17201f8a,0xf5003fc8,0x03f101b6,0x5f500ed8,
    0x15506c80,0x17203f10,0x36c02740,0xf5005f30,0x440fe200,0xacccccdf,
    0xd005c801,0x200f5007,0x9ee003f8,0x7f3000fa,0x09b02ec0,0x01f50000,
    0x0006c800,0xb80006b8,0x03dc0006,0x1ae01f30,0x506c8990,0x3207e20f,
    0x5c0d7005,0x00001fff,0x337f3322,0x02cccccc,0xb806c800,0x403e6007,
    0x2e05f17b,0x2e403f17,0x2a002fc8,0x7c407f17,0x4c2f4401,0xf06b804f,
    0x201f309f,0x009d005c,0x017a07f1,0x1f7003d4,0xdddddf10,0x6401bffd,
    0x5007d005,0x007dc00f,0x00fe24e8,0x8176036c,0x6665c44d,0x01ee004c,
    0x0001b200,0x2e0001ae,0x03dc0006,0x1ae01f10,0x83640fa8,0x903f107a,
    0x403e600b,0xcb884ffd,0xea804ccc,0xeeeeefee,0x80005eee,0x007b806c,
    0xb3dc03e6,0x0fc4fa0b,0x03fb0b90,0x03f27a80,0x7cc00fc4,0x54017a23,
    0xa86df987,0x74017207,0xc83f7004,0x00f5000f,0x01f883e8,0x2e407faa,
    0x7a803e80,0x4401f400,0x4403641f,0x502ec02f,0xeeeee883,0x03f3000f,
    0x0cc6c800,0x0001ae00,0xb80041ae,0xd7000307,0x82dc04c0,0x901f107a,
    0xf81ae00b,0xeee980ff,0x7c000fee,0xc8000002,0x2007b806,0x4cf700f9,
    0xf887d41f,0xee897201,0x747a8001,0x2003f104,0x001fb1fb,0xf3d903e6,
    0x17206b81,0xdb002740,0xf50017cc,0xf885c800,0xb906e801,0x2a00fa00,
    0x402e4007,0x401f986b,0x32ec00fa,0x01f30009,0x20002ec0,0x00bf916c,
    0xb80006b8,0xb806fc86,0xb8005f07,0x50188006,0x05c80c0f,0xff303e88,
    0x007d4009,0x00000be0,0x1ee01b20,0xf700f980,0xf12ec4e8,0xfe8ae403,
    0xa8f50000,0x001f881f,0x8007f3f2,0x3fa741f8,0x00b902e4,0x3f88013a,
    0x07a800bd,0x0fc435c0,0x2e417c40,0x7a803e80,0x74035c00,0x7b809d03,
    0x01ae5d80,0x88003e60,0x3b20001f,0xb8003ffb,0x86b80006,0x3dc01fff,
    0x35c002f8,0x01ea0000,0xfd301720,0x003ff201,0x7c000fa8,0xc8000002,
    0x2007b806,0xa8f700f9,0x7c43f30f,0x3fe77201,0x7a8001ef,0x01f886d8,
    0x4001ff40,0x2ecbe22f,0x005c8136,0xcfb8009d,0xffed800f,0x04efffff,
    0x003f10f5,0x3fff213a,0xffffffff,0xffffdb03,0x2a09dfff,0xb807cc07,
    0x6c036407,0x8006ffff,0x3f2000f9,0x3ff20006,0x0d70000c,0xf90d7000,
    0xffff700d,0xb8005fff,0x2aa20006,0xaaaafcaa,0x2677200a,0x0efdca99,
    0x5000ffa0,0x02f8001f,0x06c80000,0x3e6007b8,0x27d0f700,0x900fc46c,
    0x13feabfd,0x5f30f500,0x22001f88,0x3f8004fe,0x3a3d43ea,0x74017203,
    0x66664c04,0x0cccceff,0xccfdcca8,0x0f501ccc,0x136003f1,0x2aaaabb2,
    0x503faaaa,0x9999fb99,0x901ea039,0x9017c40d,0xb55db00b,0x01f3000d,
    0x87f7fd30,0xffb104c8,0x06b80003,0x0106b800,0x33333ee0,0x35c002fc,
    0xffffb000,0x9fffffff,0x7ffffe40,0x5d802eff,0x000fa800,0x0c80017c,
    0xf700d900,0xb807cc00,0x42f8fb87,0x13f201f8,0x54005f91,0x7c41f907,
    0x3efb6001,0xbb274002,0x407f0fc4,0x04fb807b,0x7e555544,0xa802aaaa,
    0x4435c007,0x82f8801f,0x007d005c,0x06b800f5,0x817601fc,0x2e5d806b,
    0x00f98006,0x41f70de8,0xeefb84fc,0x06b80006,0x0006b800,0x002f83dc,
    0x2000035c,0x9dc8007a,0x00efb999,0x03ea0000,0x10005f00,0x01b2003f,
    0x0f9801ee,0xfdf10f70,0x2e403f10,0x2a001f70,0x7c49f107,0x323f7001,
    0xf936001f,0x405f2743,0x3ff602f8,0x007a8004,0x5d800f50,0xfc801f88,
    0x7d005c80,0xd800f500,0x3fffea05,0x0fffffff,0x4bb00f50,0x0f980018,
    0x9760fcc0,0xc9ff4c4e,0x2e079006,0x2e077006,0xf7077006,0xd70007a0,
    0x2a00ee00,0x305c8007,0x000003fd,0x5f0003ea,0x003f1000,0x01ee01b2,
    0x0f700f98,0x07e20ff2,0x037405c8,0x47ea07a8,0x3f9801f8,0x5c800774,
    0xf16c83f3,0x262ed803,0x02deafeb,0xa8003d40,0x441f4007,0x0bf6201f,
    0x03e802e4,0x1f4007a8,0x55555bb0,0x207f5555,0x02ec00f9,0x2007cc00,
    0xf9af986b,0x0d9064c1,0x035c1360,0x00d705d8,0x001ee176,0xbb006b80,
    0x9000f500,0x007ec40b,0x03ea0028,0x10005f00,0x0172003f,0x3dc003e6,
    0xf1000f70,0x2602e403,0x407a802f,0x8803f15e,0x005f885f,0x3e61eed7,
    0x74400f98,0xd0dfffff,0x3fee05ff,0xffffffff,0x003d400f,0x59f103f3,
    0x5dfd9555,0x3e802e40,0x26007a80,0x003f101f,0x404e81b2,0x2005c05d,
    0x836400f9,0xd9005dfb,0x35c13600,0x0d705d80,0x01ee1760,0xb006b800,
    0x000f500b,0x00dd00b9,0x07d400d1,0x2000be00,0x09f001f8,0x37400be0,
    0xf1000f70,0x6c02e403,0x4c07a805,0x6c01f8af,0x200fe606,0x2be09d7a,
    0x2ee6007a,0x4000bf81,0x0f50007a,0xff883740,0x03deffff,0x07d005c8,
    0x37400f50,0x7cc00f70,0x6c03f501,0x26017c05,0x80fdc00f,0x0d9002fe,
    0x035c1360,0x00d705d8,0x001ee176,0xbb006b80,0x9000f500,0x807f300b,
    0x03ea0068,0x10007f00,0x05f3005f,0x3e201b20,0x2001ee03,0x017201f8,
    0x0f5007ea,0x403f3d90,0x0fdc00fc,0x40be3e60,0x00006bdd,0x1ea000b5,
    0xd803d400,0x003f100e,0x7d005c80,0x3600f500,0x0013a00e,0x8076c09d,
    0x2017c05d,0x27c400f9,0xc8017f44,0x2e09b006,0x2e0bb006,0xf70bb006,
    0x035c0000,0x07a805d8,0xf7005c80,0x00f6c401,0x360007d4,0x7f428807,
    0x8017a202,0x1be604f9,0xf1000f70,0xe802e403,0x4403d404,0x5f501fdf,
    0x8803f600,0x9f700fcf,0x12e0000b,0x8003d400,0x07ecc07a,0x80003f10,
    0x007d005c,0x0fd980f5,0x70007e60,0x417f440f,0x2017c05d,0xdfb800f9,
    0x55dbdd31,0x9b006c80,0x2ec01ae0,0x0bb006b8,0x5c0000f7,0x500bb006,
    0x00b9000f,0x02cc02f4,0x260007d4,0x36a20adf,0x4efe40ff,0x001dd510,
    0x2a21ef98,0xfb5101ff,0x2a201555,0x2a22cfba,0x202aaeda,0x2a20aafb,
    0x700aaafc,0xefa883ff,0xf75300aa,0x037fc05b,0x0000bff1,0x8132afe2,
    0xaaafcaaa,0x57e54401,0xffebaaaa,0x59f75301,0x55003555,0xa88155db,
    0xa881adfa,0xbaaaaafc,0xb5101ffe,0x5440555f,0x3202bfba,0xaeeabdef,
    0x2faaaaaa,0xf9555551,0x81555557,0x88effffb,0x2aa60fff,0xaaaaaeda,
    0x534eaaaa,0x5555fb55,0x2bd55555,0xaafdaaa9,0xeaaaaaaa,0x2abf6aa5,
    0xa9800aaa,0xaaaafdaa,0x85eaaaaa,0xaafcaaa8,0xdd55102a,0xbfa80555,
    0x8faf7ea2,0xfcaaaaa8,0x00aaaaab,0x3ffbffaa,0xfd500bef,0x0009ffff,
    0x7fffff4c,0x3ffea00d,0xff702fff,0x3ea3ffff,0x00ffffff,0x7d49fff1,
    0x202fffff,0x7ffdc1fe,0xfffd03ff,0x13fe03ff,0x00009fd0,0x9806764c,
    0xffffffff,0x7fffd406,0x01beffff,0x7ffffff4,0x7fc406ff,0x7dc2ffff,
    0xfa86ffff,0xefffffff,0x7ffdc01b,0xff701fff,0x4c03ffff,0xfffffedb,
    0x92ffffff,0xffffffff,0x105fffff,0x3f600375,0xffffffff,0x94ffffff,
    0xffffffff,0xbfffffff,0x3ffffff2,0xffffffff,0xfffff35f,0x9007ffff,
    0xffffffff,0xbfffffff,0xffffff90,0xff503fff,0x801fffff,0x2ee21ffd,
    0x7ffffe41,0xffffffff,0x1abaa802,0x055d4400,0xaba88000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0cccccca,
    0x99999950,0x66666441,0x1e666440,0x33333326,0xcccccccc,0x33332e0c,
    0x01bccccc,0x99999995,0x99999999,0x666665c1,0x21cccccc,0x00ccccc8,
    0x22799995,0xcccccccc,0x664c00ac,0xcccccccc,0x332e002b,0xcccccccc,
    0x0002cccc,0x0006a150,0x00051000,0x2012e000,0x000000da,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x401cccca,0x001ccccb,
    0xccca8000,0xcccccccc,0xdeeffea9,0xdfddd500,0x77fec41b,0x77f6cc0d,
    0x77ff6cc4,0xeeeeeeee,0x3fbb21fe,0xffeeeeee,0x7777e41e,0xeeeefeee,
    0x3bf61fee,0xeeeeeeee,0x3bfb622f,0xdffd501d,0x3bbfb627,0x0effeeee,
    0xddffdb30,0x1bffdddd,0xddfdd700,0xddddddff,0xea80009f,0x0019fb1f,
    0x001ea000,0xdefedb88,0x3e00bee2,0xdb70004f,0xb80059df,0xc82cefed,
    0xffecb881,0x654001de,0x330ceffe,0x77ff64c0,0xbfb5001c,0x07df7105,
    0x9701e65c,0x2212e599,0x52defeca,0x3bf6e201,0x0fbf220b,0x03eefed8,
    0x99f7f76c,0x5bfb53cc,0xb016fecc,0xdddddddf,0x07d47fdd,0xc803ea00,
    0xc807d005,0x103f1005,0x0ff4c03f,0x441ea0d9,0x2a01361f,0x004f881f,
    0x807e60bd,0x2ec02fe9,0x001fd710,0x3605c97c,0xbfb30004,0x003ffb83,
    0x0007a800,0xfb77bff5,0x2007f9df,0x74c001eb,0xdfecabdf,0x5eff4c00,
    0x3a0dfeca,0x566ffe44,0x8803ffdb,0xecbacdfd,0xdf704ebf,0x09fd9579,
    0x4fcbdfb8,0x17f6ffe2,0x4417fb62,0x89d4feed,0xfdbacefb,0xffa82fef,
    0xff15fcac,0x7cc0bfb7,0x2a3dc000,0xebdfceee,0xfdbefa9f,0xe880bb02,
    0x6c003f85,0xe802e405,0x8802e403,0x801f881f,0x2a0d90ed,0x26c3f107,
    0xfa813e20,0x9807e401,0x00fc801f,0x17e20176,0x05c87cc0,0xf9100136,
    0x77e4403d,0x1ea00002,0x4037ee00,0x00004ffa,0x9806fd40,0x1bf500fe,
    0x3e23fa60,0x3f2014c2,0x807be201,0x2fe84ffb,0x7c41baa0,0x0dd97cc4,
    0x05c813e6,0x543f9bd0,0x0bfa604f,0x3afe60a6,0x440fe60d,0x82ec002f,
    0x7ff43ffb,0x05d82e44,0x1b203ba2,0x5102f880,0x555555db,0x015bf555,
    0x0fc40172,0x7c400fc4,0x41ea0d92,0xd01361f8,0x4c0db00d,0x007e602f,
    0x00bb02f4,0x936401f2,0x70026c0b,0x644005ff,0xa80001ef,0x01fcc007,
    0x0003fbee,0x4027c400,0x04f885e8,0x006eee88,0x36c09f10,0x7dc4fc80,
    0xd84f8801,0x01f7f706,0x017201f7,0x1b6167f4,0xb000be60,0x01f701ff,
    0x207ae0fa,0x709f703e,0x501f30bf,0x98076c05,0x40f7001f,0xfffffffc,
    0xffffffff,0x2200b903,0x001f880f,0x3d41b29b,0x81361f88,0x4f8800fb,
    0x1f980bd0,0x3605f300,0x001f3005,0x9b02e49d,0x007ff500,0x006fecc0,
    0xe800f500,0x745fdc05,0xdb000004,0x361fcc00,0x03be6006,0xf506c800,
    0xf3274003,0x30fcc005,0x027fc05f,0x4017207f,0x001f904e,0x4fa80019,
    0x42e40fe0,0x80fc44ff,0x101f306b,0x0fd8003f,0x4e802740,0x7d005c80,
    0x00505c80,0x4e800fc4,0x441ea0b9,0x7cc0ae1f,0x707ea003,0x01f9801f,
    0x02ec1760,0x1f8806c8,0x20198172,0x0000cfe9,0x0019fd50,0x7cc00f50,
    0xfa93ea00,0x7c400000,0xf12e4001,0x005c8003,0x05d83640,0x00f70cc0,
    0x203d47d0,0x417602fc,0x209d005c,0x00000df9,0x17602fa8,0x1f3e63d4,
    0x41ae01f3,0x01f880f9,0x2e007f20,0x800f9807,0x807d005c,0x000f885c,
    0x5f1003f1,0x703d40a6,0x4002f400,0x200fe66d,0x1ee001f9,0x27cc02ec,
    0x99723d40,0x1dfd9804,0xff700000,0x007a8007,0x44fa81ee,0x999931f8,
    0x99999999,0x007d4799,0x00fa9ee0,0xb7103dc0,0xdd9bdffd,0x90000fa0,
    0x5555555d,0x4bb55555,0x55fdc06b,0x06daaaaa,0x813a00b9,0x1acdefe9,
    0xbffb7300,0x555557fb,0x87e60db5,0x1ae2f8ec,0x01f306b8,0x3ee003f1,
    0x805f1002,0x00b9005c,0x30b900fa,0x07e2003f,0x2a003f60,0x0fc80007,
    0xbd3f8800,0x8007e600,0x105d80f9,0x3200bf73,0x40d72e45,0x0002efc8,
    0x2efc8800,0x33333322,0xccccccfd,0x4fa82ec3,0x3bbaa5f0,0xeeeeeeee,
    0x0d70deee,0x1ae1f300,0x2e03e600,0xcbabcdff,0x005f06fe,0xfffffd80,
    0xffffffff,0xf501726f,0xffffffff,0x7401720f,0xfecba804,0xffd104ff,
    0xfffd977d,0x0fffffff,0x9367f17c,0x4c1ae04d,0x801f880f,0x2ec003fa,
    0x32005f10,0xffffffff,0x7e403fff,0x01ffffff,0x74403f10,0x00f5002f,
    0x0002fa80,0x4003f3ee,0x3e6001f9,0xfffffd81,0x2005ffff,0x7fffe43f,
    0x00ffee06,0xfd880000,0xddddd50d,0xdddddfdd,0x543641dd,0x005f104f,
    0x8007a800,0x000f50fa,0x0cfb81f5,0x02f83640,0x0002e400,0x03ee0364,
    0xe802e400,0xeca88004,0x02b7e60e,0xd80003ea,0xf9ee1f34,0x7cc1ae02,
    0x4c01f880,0x0fa8004f,0x76400f70,0xaaaaaaaa,0x676403fa,0x001fdccc,
    0x975559f1,0x54005dfd,0x13e20007,0x00ff6000,0x26001f98,0xccced81f,
    0x0dfedccc,0x3b20fcc0,0x64406daa,0x000002ef,0x800bbf22,0x51ea007a,
    0x007cc09f,0x003e6000,0x007ccd70,0x0bf11ae0,0x02741b20,0x0001ee00,
    0x05f901ea,0x74017200,0x27440004,0x17d401f9,0x972d7000,0x201f8af8,
    0x101f306b,0x02fc403f,0x9d03e802,0xe802e400,0x7cc2e403,0xffff1001,
    0x0005bdff,0x36c000f5,0x00fa8000,0x98007e60,0x8805d80f,0x21ee02fd,
    0x4401ae5c,0x00001dfd,0x4001ffdc,0x4be6007a,0x03e405f9,0x003f8000,
    0x000fe2f4,0x000fa8bd,0x001b20d9,0x80005f30,0x13f600f9,0xe802e400,
    0x2a004984,0x7f501727,0x7c7cc000,0x203d6ec3,0x101f306b,0x017a203f,
    0x4c35c0d7,0x0172001f,0x217201f4,0x3f1000f8,0x07a80000,0x0403f700,
    0x9800f500,0x41ae001f,0x81f2005d,0x5ffffffd,0xfd300062,0xea800019,
    0xf50000cf,0x5fafc800,0x00017d40,0x9001fb80,0x001fb81f,0x007b81f9,
    0x0fe60dd3,0x3f21c880,0x82740000,0x70006df9,0x709f700f,0xa9f2001f,
    0x003fec07,0xa81f9f10,0x835c05cf,0x01f880f9,0x06b801dd,0x00d907e2,
    0x07d005c8,0x0a2005c8,0x000007e2,0x7f3000f5,0xa8007c40,0x00fcc007,
    0x017609b0,0x59f01f88,0x000bd555,0x0033faa0,0x001bfd30,0xe8007a80,
    0x027d405f,0x6c001730,0x81fdc01e,0x1fdc01ed,0x3ee01fcc,0x00bee06f,
    0x1dd03fea,0xfa8d9100,0x209d4d80,0x405f506b,0x4fb84ffd,0x3e25f980,
    0x07fffb04,0x0bfd01b2,0x6b809ff1,0x3f101f30,0x55557fb0,0x80db5555,
    0x2001fc5d,0x807d005c,0x21ea005c,0x400001f8,0x05e8007a,0x7a8007cc,
    0x000fcc00,0x0017607f,0x901f309d,0x2000b80b,0xd8803ffb,0x500001ef,
    0xfff9800f,0x13f260bd,0x4009fd00,0x2621cfd8,0x3f6203fd,0x0ff6621c,
    0x2e61bfd8,0x0aaecbfe,0x2209dfd8,0xd881efda,0x7e5441cf,0xb11fd82e,
    0xfd51fccd,0x73177405,0xb85bd5fd,0x5c40aeff,0x85fd40ee,0xcfbfdfd8,
    0xc805fd50,0x205fb03f,0x4c1afda8,0x167c42bf,0x3ffffffe,0x406fffff,
    0x001f50fa,0x07d005c8,0x1ea005c8,0x000007e2,0x0fc800f5,0xa8007cc0,
    0x00fcc007,0x0bb00fd8,0x06c83f80,0x002f80b9,0x44177e44,0x00002efc,
    0xbf3003d4,0xffffff71,0x5f90005d,0xdfff7000,0x2e003dff,0x1effefff,
    0x7fffe440,0xfff90dff,0x3bffaa07,0xb802efff,0xefffefff,0x77ffec03,
    0x6ffffdc1,0x7fff4400,0x5ffd0dff,0x7ffec6d4,0x500cfffe,0xd33fffff,
    0x037fffee,0x3ee00000,0x7fcc6fff,0x07ffe20f,0x27f00000,0x05c8005d,
    0x05c807d0,0x07e21ea0,0x00f50000,0x7cc017d4,0x800f5000,0x1fb801f9,
    0xfa801760,0x0b903e81,0xb10002f8,0x0ffea1bf,0x03d40000,0xba988bf0,
    0x0000000a,0x0055d4c0,0x00aba980,0x00d5d440,0x4d5d4c00,0xaba88000,
    0x00dcc001,0x750002aa,0x4c400037,0x30009aca,0x2aa20157,0x00000000,
    0x00000000,0x0be3b200,0x74017200,0x5002e403,0x0003f10f,0xf1007a80,
    0x003e6009,0x3e6003d4,0x00bf2201,0x17e600bb,0x02e407e2,0xb30000be,
    0x00003363,0x0a005880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0fbf3000,0x2aeda980,
    0x415bf550,0xaaaeeaa8,0xcaaaaaaa,0x2b3eea67,0x26001aaa,0xaaafcaaa,
    0xaabfa80a,0xbaaaaaaa,0x9555300f,0x2015557f,0xaaaabfba,0x5102ffeb,
    0x55555dd5,0x889fd955,0x2aa0bfca,0xaaaaaaee,0x000002fa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9fd00000,0xffffd800,0x7fffd41f,0x3fffea5f,
    0xffffffff,0x3ffa7fff,0x06ffffff,0x3fffffa0,0xfa83ffff,0xffffffff,
    0xfb00ffff,0xffffffff,0xfffff307,0x0159dfff,0x7fffffd4,0x1cefffff,
    0x34ffffb8,0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65c40000,0x9997103c,
    0x54000005,0x00002a01,0x9114c051,0x99107999,0xccca8799,0xccc883cc,
    0x00001ccc,0x10b332e2,0xb8817bb5,0x7004cccc,0x64c79999,0x00003ccc,
    0xbb980288,0x880ba801,0x00038803,0x80000000,0xccccccc8,0xcccccccc,
    0xbddd50cc,0x0077774c,0x4ccc400c,0x99999999,0x02001999,0x00620300,
    0x8ae03710,0xdddddddc,0x02dddddd,0x00000000,0x00000000,0xe9800000,
    0xddd305fe,0x4799309f,0x00bdffdb,0x07f605f9,0xa82fcc00,0x3bffaa4f,
    0x7ff74c0d,0x3bffb60d,0xfeee985e,0x001d52ee,0xeee883ea,0x337fea4f,
    0x3bba60fe,0x6c400fee,0xd70deffe,0x8801bdff,0x3fb2600f,0x2f3f6207,
    0xbbec81ed,0x813e60de,0xfdb306e8,0x7fffd09d,0x16ffee4c,0x87dfd910,
    0xeeeeeeea,0xeeeeeeee,0xbfff51fe,0x403fffc4,0x3fe200fb,0xffffffff,
    0x26ffffff,0x5f50dfea,0xfb03f600,0xf70405ff,0x3a1ff30f,0xffffffff,
    0x003fffff,0x00000000,0x00000000,0x2e400000,0xfeb84e80,0xebbdfd8d,
    0x05fd00ef,0xa8005fd1,0x06fa80ef,0x2fb803fb,0x5c003ea0,0xa877440f,
    0x09f51cfd,0x81bf94d8,0x007d403d,0x3dd10bb0,0x3007cc00,0x1440f315,
    0x321ae2dc,0x74427d44,0xacffb80e,0x3ff60efd,0x2ab3762f,0xfff883fc,
    0x00005ffe,0x7ffcc7e2,0x2037ffc4,0x54c06ff9,0xaaaaaaaa,0x20aaaaaa,
    0x3f24fffe,0xb07f6203,0x109f915f,0x2213e65f,0x2666666e,0x99999999,
    0x00000009,0x00000000,0x00000000,0x4e802e40,0x203bbb20,0x7fd105e9,
    0x2005ff10,0xefb80ffa,0x6407f200,0x004e802f,0x3ffa209d,0x4fefebdf,
    0x03fddd80,0x8003ea00,0x0077cc5d,0x4c003e60,0x54798007,0x7d40f880,
    0x2603ba24,0x326e883f,0x7a801fff,0xfd30cfd8,0x3e200007,0xfd0fffe1,
    0x46fc40bf,0x8000005f,0x5c5ffff8,0x41ee884f,0x12fd41fc,0x000000dd,
    0x00000000,0x00000000,0x00000000,0x13a00b90,0x2e00efc8,0x09ff100f,
    0xfb807ff3,0x00ffc81f,0x17e42fc8,0x5400fb80,0x033ea00f,0x3f600fd5,
    0x7d40001f,0xfa976000,0x01f30005,0x36001e60,0x2a0d7005,0xb00ee8cf,
    0xfb97d40d,0xaaa980ff,0x21fe20fa,0x100005f9,0x217ffc3f,0x9ba03ffd,
    0x000003f9,0xa82fffd8,0x203be65f,0xfbdd300a,0x00000019,0x00000000,
    0x00000000,0x00000000,0x13a00b90,0x7c400ec8,0x213fe603,0xff904ffa,
    0x003ff905,0x01fc97e4,0xbb00fe20,0x3e606d80,0x000ed802,0x2000fa80,
    0x2007f95d,0x21f30add,0x07984da8,0x200bff90,0x3fea01fa,0xd00fe00e,
    0xf71ffe67,0x41ffffff,0x00ff04f9,0xfd87e200,0x817fe41f,0x00fdc0fc,
    0x05cc0000,0x00254b30,0x00019710,0x00000000,0x00000000,0x00000000,
    0x02e40000,0x017204e8,0x3fea01f4,0x644ffa85,0x2ffd82ff,0x1fdfb800,
    0x2606c800,0x201fc01f,0x004d804e,0x4001f500,0x2006fddd,0xcfcdffea,
    0x7982dffd,0x00fb2600,0xfe8803f5,0x3e027c05,0x7ccdff13,0xf107cc1c,
    0x000df30d,0x7fc87e20,0xfa81ffa8,0x7c41fb02,0xffffffff,0x6fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02740172,
    0x00fa00b9,0x3f217fee,0xb09ff94f,0x740007ff,0x5f10004f,0x1f501b20,
    0x4d807b80,0x01f50000,0x77e7fec0,0x3f6e2001,0x2600bdff,0x01f98007,
    0xee8801d9,0x03f604fb,0x4bff0fdc,0xe81f304d,0x00ff622f,0xf70fc400,
    0x981ff30d,0x2a37404f,0xaaaaaaaa,0x1aaaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02740172,0x00fa00b9,0xf883ffd1,
    0x1dff31ff,0x000eff98,0x003fcfd8,0x05f10db0,0x36401f98,0x800026c0,
    0x3b6000fa,0x8005fd30,0x9800eff8,0x887b0007,0x774400dd,0x3e209f50,
    0x3a2f541d,0x3ea1363f,0x677fcc0f,0x200006ff,0x217e61f8,0x805e87f8,
    0x000004f8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x813a00b9,0x807d005c,0x7f441ffd,0x077f440e,0xb0017fe6,0x000fee3f,
    0x00f707e6,0x03f8817a,0x500004d8,0x42ec001f,0x3b6002fd,0x079804f9,
    0x3a60f880,0x40ee8804,0xdfd304fa,0xfd81bff9,0x3b73be62,0x74c5efce,
    0x0000cfff,0x402e06c0,0x3000b81a,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32000000,0x6409d005,0x6c07d005,0x0efe80ef,
    0xd10bfd10,0x1db100bf,0xe8003fa8,0xfb801f45,0xb001f700,0x3ea00009,
    0x6c176000,0x2a3f7006,0xfcaa882f,0x4df6c2aa,0x37e23eb8,0x10faaaaa,
    0x13ea01dd,0x501cdcb8,0x1bda881d,0x06203551,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb807b80,
    0x74017204,0xb01df903,0xfd8801bf,0x204fe885,0x9f500ee8,0xf50fa800,
    0x33fee001,0x001ffb51,0x2a00009b,0x4176000f,0x1fcc03f9,0x999503f2,
    0xca819999,0x66440bdd,0x30cccccc,0x006a801d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6c05f500,0x017204ff,0x06fdc1f4,0x36002fe4,0x83fe884f,0x7d400ee8,
    0x5ea74004,0xff99f500,0x01dd7dff,0x500004d8,0x02ec001f,0x82ec01f9,
    0x0000004e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5cc5dd00,0x80adeafe,
    0xa87d005c,0x009f705f,0x7ec0ff20,0x0aaffaa2,0x00e7ed54,0x801fbfb8,
    0x105cc4fa,0xeaaa98dd,0x1aaaaaad,0xcaaaaa88,0x0aaaaabf,0x20abbaaa,
    0x0081adf8,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffe880,
    0x47ffd0df,0x302aedaa,0x13615bf5,0x5c0003d8,0x7fc57205,0x7cc0efff,
    0x1006ffff,0x0e600dff,0x7ff43880,0xffffffff,0xffffc84f,0xffffffff,
    0xfffff32f,0x0bff903f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03775000,0x3ffffe20,0xffffe80f,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_39_latin_ext_x[560]={ 0,8,4,3,3,3,4,8,10,5,0,2,5,3,
7,3,3,3,2,3,3,3,4,3,3,4,7,5,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,2,3,2,1,0,0,1,2,3,0,9,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,2,3,1,
9,2,5,0,0,0,0,3,0,-1,5,2,5,5,7,1,2,7,7,6,4,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,2,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,2,2,2,2,2,2,2,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,1,1,1,1,3,3,3,3,3,3,3,3,3,3,0,0,2,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,1,0,1,0,1,0,2,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
3,3,3,3,3,3,3,3,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,3,3,3,3,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,3,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_39_latin_ext_y[560]={ 28,6,7,5,5,6,9,6,6,6,6,9,22,17,
23,4,6,6,6,6,6,6,6,6,6,6,13,13,9,14,9,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,4,6,6,36,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,13,12,8,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,28,13,5,7,10,8,
6,6,7,7,5,13,17,17,7,4,2,7,6,6,5,13,6,15,27,6,5,13,6,6,6,13,1,1,1,3,
2,1,8,7,1,1,1,2,1,1,1,2,8,3,1,1,1,3,2,12,6,1,1,1,2,1,8,6,5,5,
5,7,7,5,12,12,5,5,5,7,5,5,5,7,6,7,5,5,5,7,7,10,12,5,5,5,7,5,6,7,
4,8,1,6,8,12,1,5,1,5,2,6,1,6,1,6,8,6,4,8,1,6,2,6,8,12,1,6,1,5,
1,6,2,6,7,5,1,1,8,6,3,7,4,8,1,6,8,6,2,13,8,6,1,5,8,6,13,1,0,8,
6,8,6,8,6,8,6,1,5,8,12,1,6,6,7,12,4,8,1,6,1,5,8,12,1,5,8,13,1,6,
1,5,1,5,7,12,1,6,8,8,1,6,8,8,2,7,4,8,1,6,0,5,1,5,8,13,1,5,1,5,
2,1,5,2,6,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,7,12,6,6,6,6,6,6,6,6,6,6,6,6,6,5,12,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,1,6,1,6,1,
6,1,6,1,3,1,1,1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-1,1,5,1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_39_latin_ext_w[560]={ 0,5,13,15,14,15,14,5,6,6,13,17,8,15,
6,14,14,14,15,15,14,15,14,14,14,14,6,8,17,18,17,13,14,21,18,17,18,18,18,18,19,14,19,19,
17,21,20,18,16,18,20,15,17,19,21,20,19,18,15,6,13,6,14,21,7,17,19,17,19,17,16,18,19,15,
11,17,15,21,18,17,19,19,17,15,17,18,20,20,18,18,14,8,3,8,15,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,14,17,15,18,
3,17,11,21,11,17,19,15,21,23,10,17,10,10,7,18,16,6,6,9,12,17,21,21,21,13,21,21,21,21,
21,21,21,17,18,18,18,18,14,14,14,14,20,20,18,18,18,18,18,13,19,19,19,19,19,18,16,17,17,17,
17,17,17,17,21,17,17,17,17,17,15,15,15,15,16,18,17,17,17,17,17,17,18,18,18,18,18,18,19,18,
21,17,21,17,22,19,17,17,17,17,17,17,17,17,18,19,20,19,18,17,18,17,18,17,19,17,18,17,18,18,
18,18,18,18,18,18,19,19,19,19,14,15,14,15,14,15,14,15,14,15,21,18,19,12,19,17,17,17,15,17,
15,17,15,17,15,18,15,20,18,20,18,20,18,19,17,16,18,17,18,17,18,17,21,21,20,17,20,17,20,17,
15,15,15,15,15,15,15,15,17,17,17,17,17,17,19,18,19,18,19,18,19,18,19,18,19,19,20,20,18,18,
18,15,14,15,14,15,14,16,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,19,18,18,16,18,18,18,
18,18,18,18,18,18,18,18,18,18,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,20,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,21,17,14,15,18,
17,19,18,19,18,19,18,19,18,19,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,21,17,21,21,19,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__courier_39_latin_ext_h[560]={ 0,23,10,26,27,23,20,11,27,27,14,18,12,3,
6,27,23,22,22,23,22,23,23,23,23,23,16,19,18,8,18,22,25,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,26,20,22,20,21,20,20,20,20,20,27,27,27,10,2,6,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,23,23,15,17,21,16,15,16,15,22,15,27,27,27,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,22,23,21,15,20,
27,25,4,22,11,15,10,3,22,2,11,21,12,12,6,22,25,5,7,12,11,15,22,22,22,22,27,27,27,25,
26,27,20,27,27,27,27,26,27,27,27,26,20,25,28,28,28,26,27,12,24,28,28,28,27,27,20,23,24,24,
24,22,22,24,17,22,24,24,24,22,23,23,23,21,23,21,24,24,24,22,22,17,18,24,24,24,22,30,29,28,
24,21,27,23,25,21,28,24,28,24,27,23,28,23,27,23,20,23,24,21,27,23,26,23,25,21,27,23,28,30,
28,29,27,29,27,30,27,27,20,22,25,21,24,20,27,22,25,27,26,15,21,29,28,30,26,28,15,27,28,26,
28,20,22,20,22,20,22,27,23,26,22,27,22,22,22,23,25,21,28,23,28,24,20,17,27,23,26,21,27,22,
28,24,28,24,27,22,28,23,28,28,27,23,20,21,27,22,25,21,28,23,29,24,28,24,25,20,27,24,27,30,
26,27,23,26,22,27,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,26,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,17,22,22,22,22,22,22,22,22,22,22,22,22,22,24,17,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,27,23,27,22,28,
23,28,23,28,26,28,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,33,30,27,24,29,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__courier_39_latin_ext_s[560]={ 510,502,305,306,462,433,357,256,258,265,183,
228,503,404,353,332,350,172,156,264,111,449,279,245,401,36,503,502,192,334,210,
498,229,297,151,480,132,43,427,73,256,497,35,97,391,75,117,235,62,340,482,
471,79,55,1,158,138,113,97,39,448,421,319,23,360,320,371,338,294,356,115,
332,349,132,150,75,148,475,20,283,391,351,131,416,17,1,94,454,75,1,497,
369,35,498,376,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,510,502,411,
350,115,199,507,172,392,93,262,57,285,404,203,45,274,276,218,207,368,330,20,
502,503,197,243,39,431,409,387,142,180,347,397,135,226,137,170,41,438,133,1,
395,493,478,79,487,276,52,295,203,166,430,185,229,168,41,1,454,290,218,239,
314,20,264,356,369,444,38,432,426,56,74,228,462,83,67,51,1,19,368,110,
210,246,19,1,265,246,1,483,443,92,60,162,77,188,332,204,317,112,312,96,
128,114,92,272,117,148,135,99,225,218,153,424,427,94,207,449,383,244,387,118,
365,435,79,276,240,378,202,419,111,113,59,23,53,37,481,322,341,170,126,157,
202,380,149,405,221,21,98,269,222,165,152,260,322,351,446,187,409,203,372,219,
20,483,359,254,457,273,292,312,416,210,463,367,1,332,390,319,374,237,173,248,
445,159,453,132,374,494,408,46,487,61,191,185,314,1,99,464,294,428,20,73,
257,240,280,182,337,474,282,190,179,477,301,386,41,468,405,335,414,39,19,242,
225,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,183,164,164,289,
164,164,164,164,164,164,164,164,164,164,164,164,164,54,301,164,164,164,164,164,
164,164,164,164,164,164,164,164,462,396,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,62,299,
84,37,318,465,376,260,278,1,415,396,356,259,298,337,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,1,23,310,146,130,93,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164, };
static unsigned short stb__courier_39_latin_ext_t[560]={ 1,92,285,92,35,145,242,285,64,64,285,
264,242,285,285,64,145,196,196,145,196,145,172,172,145,172,196,143,264,285,264,
172,120,242,264,172,264,264,242,196,242,219,242,242,242,242,242,196,264,92,242,
196,264,242,264,242,242,264,264,64,35,35,285,32,285,264,172,264,172,264,219,
172,196,219,1,219,219,264,285,264,172,172,285,264,242,285,285,264,285,219,264,
64,64,35,285,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,1,120,172,
219,285,242,35,120,285,219,285,285,285,285,219,32,285,219,285,285,285,196,120,
163,255,285,285,285,196,196,196,196,64,64,64,120,92,64,264,92,64,92,92,
92,64,64,92,92,242,120,35,35,35,92,92,285,146,35,35,1,64,64,242,
172,146,120,120,196,172,146,264,172,146,146,146,172,172,172,172,242,172,219,146,
146,146,196,196,264,264,147,120,120,196,1,1,35,146,219,92,145,120,219,35,
146,35,146,64,172,35,172,64,172,242,172,120,219,92,172,92,145,120,219,64,
145,1,1,35,1,64,1,64,1,92,92,264,196,120,219,120,242,92,196,120,
64,92,285,219,1,35,1,92,35,285,92,35,92,35,242,196,242,196,242,196,
92,145,92,196,64,196,196,196,145,120,219,35,172,35,120,242,264,64,172,92,
219,64,196,35,120,1,120,64,196,35,172,35,35,64,172,242,219,35,219,120,
219,35,145,1,120,1,120,120,242,35,120,35,1,92,35,145,92,219,64,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,92,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,264,219,219,219,219,219,
219,219,219,219,219,219,219,219,120,264,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,64,145,
64,196,1,145,1,172,1,120,1,1,1,1,1,1,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,1,1,64,146,1,120,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219, };
static unsigned short stb__courier_39_latin_ext_a[560]={ 331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_39_latin_ext(stb_fontchar font[STB_FONT_courier_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_39_latin_ext_s[i] + stb__courier_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_39_latin_ext_t[i] + stb__courier_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_39_latin_ext_x[i];
            font[i].y0 = stb__courier_39_latin_ext_y[i];
            font[i].x1 = stb__courier_39_latin_ext_x[i] + stb__courier_39_latin_ext_w[i];
            font[i].y1 = stb__courier_39_latin_ext_y[i] + stb__courier_39_latin_ext_h[i];
            font[i].advance_int = (stb__courier_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_39_latin_ext_s[i] + stb__courier_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_39_latin_ext_t[i] + stb__courier_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_39_latin_ext_x[i] + stb__courier_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_39_latin_ext_y[i] + stb__courier_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_39_latin_ext_LINE_SPACING
#endif

