// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT        408
#define STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_46_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_46_latin_ext_LINE_SPACING          22

static unsigned int stb__courier_46_latin_ext_pixels[]={
    0x001cc000,0x0000e400,0x0000f200,0x00000180,0x2a000035,0x6c00000d,
    0x401d403e,0x3b100049,0x407d9000,0x040005ea,0x01e40000,0x00300000,
    0x000b8800,0x00049800,0x44000020,0x0005500c,0x000001d4,0x00000a60,
    0x5c400001,0xdddb0000,0x2000000b,0x00000029,0x000037d4,0x000003f2,
    0x0001ff44,0x0001fd80,0x00027e40,0x000fffe4,0xd809fd00,0x003ec00f,
    0x001fffd4,0x7fb813f6,0xdffc8800,0xfe880001,0x000000df,0x00003fa2,
    0x0000ff4c,0x00017ea0,0x00006fcc,0x5f907be2,0x02fd4000,0x6fb80000,
    0x3fb10000,0x3be60000,0xfeec8000,0x90000006,0x0000009f,0x00003bee,
    0x00002f88,0x0007fd30,0x009fd100,0x005fd800,0x756ff440,0xfd00003f,
    0x205fb809,0x7e4006fa,0x000dfd9e,0x3fdc09fb,0x5c4ee400,0x3ea0000f,
    0x001ffbaf,0x03fe9800,0x05ff3000,0x04fb8000,0xdfff7000,0xfd880003,
    0x0002fe8a,0x0000efa8,0x003bf200,0x3fffa600,0xff500003,0x036c0003,
    0xbfb00000,0x64000001,0x400000df,0x800001eb,0x00002ff9,0x0003fe98,
    0x0013fa20,0x6c47ff30,0x740000df,0xadfe804f,0x003ff930,0xfb837fa2,
    0x04fd801e,0xf1001fee,0x90003d81,0x1ffcc3df,0x5ff30000,0x3fea0000,
    0x36020001,0x4400043f,0x3ffa8dfd,0x7fe40800,0x8100040e,0x00041ee9,
    0x0002fec0,0xfd8affb8,0xf980000d,0x0db0002f,0xfc800000,0x4400000e,
    0x000004fd,0x00005ffd,0x0000ffd4,0x0017fcc0,0x007fd300,0x701ef980,
    0x5c0001df,0xffd8802c,0x002fffff,0x3e607ff1,0x0165c01f,0x79800995,
    0xfc8004b8,0x04fd880d,0x01ffa800,0x01df7000,0x887fcc00,0x0027e42f,
    0xfe887fd3,0x50bfa005,0x801ff889,0x93620ff9,0xd10004fc,0x3600009f,
    0x0f7e40ef,0x1ff4c000,0x00036c00,0x0ffd4000,0x07f90000,0x7ffc0000,
    0x3be00003,0xf9800000,0x7400001f,0xc980002f,0x00024c00,0x76e4c000,
    0x01c8003c,0x00000644,0x3d0ba000,0x70079000,0xefa80007,0xbf300000,
    0xffa80001,0x002ff401,0x27e405ff,0x9804ff80,0xffa802ff,0x002ff401,
    0x00003fd8,0x3fd409f7,0x1fe88000,0x00036c00,0x06f98000,0x00062000,
    0x019b5000,0x00004000,0x00019100,0x00001500,0x00000000,0x00000000,
    0x00000000,0x2f5efd40,0x00000000,0x000064c0,0xb80000a0,0x001c9802,
    0x0026002a,0x3a8005cc,0x2600ae00,0x0330001c,0x400c4000,0x14000028,
    0x00036c00,0x00310000,0x00e5c400,0x00000000,0x002fb6a0,0x00000000,
    0x000f2000,0x00000000,0x00000000,0x00000000,0x000072e2,0x0c400000,
    0x00000260,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x221b6000,0x0000adca,0x54000000,0x0005fbdf,0x90000000,0x000db35d,
    0x10000000,0x70137995,0x4cccc47f,0x99998800,0x4ccccc40,0x00999999,
    0x02b36e62,0x33106666,0x33333333,0x33333013,0x99998813,0x00000199,
    0x336e6200,0x0199980a,0x7e40ffe2,0x9510000f,0x4c40057b,0x22019999,
    0x00199999,0x0057b951,0x0cccccc4,0x33333310,0x19999988,0x26666620,
    0x4ccccc41,0x26666201,0x4cccc419,0x26662019,0x95100199,0x3600057b,
    0x3ffffea6,0x4c404eff,0x22019999,0x00199999,0x0003f07a,0x159b7310,
    0x20033330,0x8801740f,0x88009999,0x98009999,0xfffffffe,0xfff1be63,
    0x7d409fff,0xf31fffff,0xffffffff,0x3a605fff,0x1effffff,0x22bffff3,
    0xfffffffe,0x7fc2ffff,0x2a3fffff,0xffffffff,0x26666621,0x26666201,
    0x3ffa6019,0xf31effff,0x3e60bfff,0x03ffb05f,0xffffe980,0x7cc03fff,
    0x86ffffff,0xfffffffb,0x3fffa604,0x4c03ffff,0x6fffffff,0xffffffb8,
    0xfffff34f,0xfff70dff,0x3e69ffff,0x86ffffff,0xfffffffb,0xffffff34,
    0xffff70df,0x74c09fff,0x3fffffff,0xffbb6c00,0x17faa21b,0x7fffffcc,
    0xffffb86f,0x69804fff,0x4c0004c8,0xeffffffe,0x0bffff31,0x004b8698,
    0x09ffffff,0x7fffffd4,0x2b3fea01,0xf3dfd530,0xcefda81f,0x372e201b,
    0x6665c2ef,0xfdcccccc,0x21bffc82,0xdf99ffb9,0x333261bc,0xfdcccccc,
    0x66666542,0x3332e23f,0xff31fdcc,0x70dfffff,0x9fffffff,0x4c37ff90,
    0xcdf99ffb,0x4077201b,0x7dc003d9,0xfb730ace,0x7755401d,0xaa881aaa,
    0x700abfca,0x2e6159df,0x2aa00efd,0x881aaaee,0x0abfcaaa,0x2aabbaaa,
    0xfcaaa881,0x3baaa0ab,0xaa881aaa,0x2a0abfca,0x81aaaeea,0xabfcaaa8,
    0x159df700,0x003bf6e6,0x0067e7ec,0x755417ee,0xa881aaae,0x00abfcaa,
    0x016c0f88,0x437ff900,0xdf99ffb9,0x41f801bc,0xdfb5002e,0x65c40379,
    0x3f202efd,0x7ffdc00e,0x2001ba01,0x2a0001fc,0x006fdc2f,0x007f9fb1,
    0x8802fa80,0x43f7003f,0x1aaaeeaa,0xbfcaaa88,0x006fdc0a,0x007f9fb1,
    0x7e400000,0x077e400e,0x2a001ba0,0x03bf201f,0xe801df90,0x01fa8006,
    0x3ea001ba,0x2001ba01,0x01ba01fa,0xfc807ea0,0x077e400e,0x0027fec0,
    0x03740bf5,0x2000fd40,0x007b89dd,0x88037ee0,0x4003fcfd,0x006d9bec,
    0xfc8006e8,0x0037ea01,0x3ee037ec,0x017e2002,0x7cc5f500,0x0fffa005,
    0x005f5000,0x3ee007f1,0xa8006e81,0x005f981f,0x0000fffa,0x02fd4000,
    0x6e80bf70,0x501fa800,0x2fdc00bf,0x2a001ba0,0x001ba01f,0x06e807ea,
    0x3a01fa80,0x01fa8006,0x7dc00bf5,0x006fd805,0x0dd00fd8,0x8003f500,
    0x001dffc8,0x7400bf30,0xda8003ff,0xfb8000be,0x017e2002,0x77dc00dd,
    0x0037402f,0xa80003f9,0x8003fa2f,0x40003ff9,0x3f8802fa,0xdd03f700,
    0xd03f5000,0x7fcc001f,0x80000003,0xfc8006f8,0x2001ba03,0x06f881fa,
    0x3a03fc80,0x01fa8006,0x3ea001ba,0x2001ba01,0x01ba01fa,0x3e207ea0,
    0x03fc8006,0x440017ec,0x000dd02f,0x040003f5,0x003fa000,0x0003ff98,
    0x01ba0000,0x3ee01fc8,0xd1df3002,0x802fb80d,0xa80005f8,0x0009f12f,
    0xa80007f9,0x03f8802f,0x0dd03f70,0xf883f500,0x03fc8004,0x88013331,
    0xf9009999,0x0ff10005,0x7d400374,0x8002fc81,0x01ba07f8,0x6e807ea0,
    0x201fa800,0x1fa8006e,0x2a001ba0,0x002fc81f,0x7ec07f88,0x209f0000,
    0x1fa8006e,0x99999980,0xf8800099,0x03fc8004,0x2e000000,0x05f8802f,
    0x74401be2,0xe805f70f,0x001fb806,0x5f32fa80,0x007f7000,0x8802fa80,
    0x03f7003f,0x3f5000dd,0xb8002f98,0xffff883f,0x3fffe206,0x005f884f,
    0x3740bee0,0x220fd400,0x3ee0005f,0x5000dd02,0x0037403f,0x0dd00fd4,
    0x7403f500,0x41fa8006,0x2e0005f8,0x001f602f,0x00dd06d8,0xfe803f50,
    0x6fffffff,0x002f9800,0x26003fb8,0x002cddcb,0x3ee01ba0,0x400bea01,
    0x202fc2fd,0x17e202fb,0xb97d4000,0x3f98001f,0x017d4000,0xfb801fc4,
    0xa8006e81,0x000fdc1f,0xcca81fcc,0x6665c06f,0x001fa84f,0x37417e20,
    0x2a0fd400,0x3e20001f,0x5000dd05,0x0037403f,0x0dd00fd4,0x7403f500,
    0x41fa8006,0x220001fa,0x001f605f,0x00dd06d8,0xa9803f50,0xfdefaaaa,
    0x00fdc001,0x2a01fcc0,0xfffffffd,0xfb8002ff,0x7017e202,0x09f9001f,
    0x40dd00fb,0x500001fb,0x0007ea5f,0x50000fea,0x07f1005f,0x1ba07ee0,
    0xf507ea00,0x07f50003,0x7c400dd0,0x0000fb84,0x006e83f4,0x07dc1fa8,
    0x741fa000,0x01fa8006,0x3ea001ba,0x2001ba01,0x01ba01fa,0x1f707ea0,
    0x207e8000,0xbf0001fd,0x2a001ba0,0xbf98001f,0x7d4004f8,0x03fa8001,
    0x104deffc,0xd0007fd5,0x200fdc0d,0x05fa807c,0x2fb801f9,0x40000bf0,
    0x007f32fa,0x80007f70,0x3f8802fa,0xdd03f700,0x983f5000,0x3fb8003f,
    0x22006e80,0x0007d84f,0x06e80fd8,0x3ec1fa80,0x407ec000,0x1fa8006e,
    0x2a001ba0,0x001ba01f,0x06e807ea,0x3ec1fa80,0x807ec000,0xf98003fd,
    0x5000dd03,0x1f90003f,0x7f3001fa,0x807f7000,0x003fe000,0x17e05f70,
    0xdf101b60,0x2007ee01,0x001fb86f,0x4f8bea00,0x003fd800,0x44017d40,
    0x03f7003f,0x3f5000dd,0xfb0009f0,0x400dd007,0x006e84f8,0x6e80fb80,
    0x741fa800,0x0fb80006,0xfa8006e8,0x2001ba01,0x01ba01fa,0x6e807ea0,
    0x741fa800,0x0fb80006,0x8001ffb0,0x00dd01fd,0xf0003f50,0x20017d4b,
    0x3fd8004f,0x0fee0000,0x3ee1be00,0x7405e801,0x00bea01f,0x00df07ee,
    0x362fa800,0x3fea001f,0x17d40003,0xb801fc40,0x8006e81f,0x01fd81fa,
    0x200ffea0,0x13e2006e,0x2a00017e,0x8006e81f,0x002fc1fa,0x3740fd40,
    0xd00fd400,0x03f5000d,0x7d400374,0x2001ba01,0x002fc1fa,0xfd80fd40,
    0x0fee005f,0xfa8006e8,0x117d4001,0x1fd800bf,0x00ffea00,0x0009f000,
    0x006f83f7,0x017e40db,0x2fc007ee,0x800005f7,0x01be22fa,0x001fff44,
    0x2200bea0,0x03f7003f,0x3f5000dd,0x2200df10,0x6e803ffe,0x3a13e200,
    0x1fb80006,0xfa8006e8,0x40003741,0x006e81fb,0x1ba01fa8,0xe807ea00,
    0x01fa8006,0x3ea001ba,0x40003741,0xf7db01fb,0x37e4401d,0x2a001ba0,
    0x43ec001f,0x3e2000fc,0x7ffd1006,0x04f80000,0x17dcbf00,0x9f707c80,
    0x5c00f900,0x0000df1f,0xefa85f50,0x3ebfa601,0x17d40003,0xb801fc40,
    0x8006e81f,0x3df501fa,0x1fd7f4c0,0xf1003740,0x0000fb09,0x00dd01fb,
    0x07d83f50,0xe80fd800,0x01fa8006,0x3ea001ba,0x2001ba01,0x01ba01fa,
    0x0fb07ea0,0x201fb000,0x359ff56d,0x01bff753,0xfa8006e8,0x213e2001,
    0x7d4003f9,0x2bfa601e,0x2ea6003f,0x4f89abcc,0x3e3f7000,0x303ee006,
    0x01b600df,0x005f7bf0,0x505f5000,0x953359ff,0x007f31df,0x8802fa80,
    0x03f7003f,0x3f5000dd,0x4d67fd40,0xf98efca9,0x2006e803,0x00fb84f8,
    0x6e83f400,0x5c1fa800,0x3f40000f,0xfa8006e8,0x2001ba01,0x01ba01fa,
    0x6e807ea0,0x5c1fa800,0x3f40000f,0x7feccdb0,0x002fffff,0x3f5000dd,
    0xe80fdc00,0xcffa8006,0x8efca99a,0x7dc403f9,0xffffffff,0x3e0004ff,
    0x2a002fbd,0x003fe23f,0x3ee002fc,0x5000006f,0x3ffa205f,0xf30dffff,
    0x2fa80007,0x33333326,0x2cccccef,0x03740fdc,0x2200fd40,0xdffffffe,
    0xdd007f30,0x5427c400,0x3e20001f,0x7000db05,0x001fa83f,0x36c17e20,
    0xb00fdc00,0x03f7000d,0x7dc0036c,0x2001b601,0x00fd41fb,0x6c0bf100,
    0x01577306,0xb8006d80,0x81ba001f,0xe88001fb,0x0dffffff,0x7fcc07f3,
    0x99889abe,0x20004fca,0xe8006ffb,0x5c007f66,0x2ff8003f,0x5f500000,
    0x81bba880,0x540003f9,0x3fffea2f,0xffffffff,0x6c0fdc5f,0x01fb8006,
    0x30377510,0x00dd007f,0x2fc427c4,0x205f9000,0x87d8007b,0x320005f8,
    0x000f702f,0x007b80fb,0x03dc07d8,0x1ee03ec0,0x3e21f600,0x0bf20005,
    0x000006d8,0x0fb000f7,0xf101fcc0,0x5d440009,0x103f981b,0x27c005fd,
    0x00bfe000,0x0ff2bee0,0x80037c40,0x2000006e,0x980002fa,0x7d40003f,
    0xfb800002,0xd8007b81,0x7cc00007,0x2006e803,0x05f904f8,0x4c0ff100,
    0x837c001f,0xf88002fc,0x0007e607,0x01f980df,0x3e6037c0,0x2037c001,
    0x37c001f9,0x88002fc8,0x0036c07f,0x001f9800,0x1f90037c,0x00007d80,
    0xfc81fcc0,0x0027c001,0xe8001ba0,0x3f2005ff,0x02fb8002,0x07ea0000,
    0x00bea000,0x0003f700,0xf301f700,0x006f8003,0x4017d400,0x13ee006d,
    0xfc8006e8,0x50027c02,0x0037409f,0x13e017e4,0xf804fa80,0x013ea004,
    0x4fa8013e,0x2a004f80,0x001ba04f,0x0db00bf2,0x027c0000,0x7c009f50,
    0x002fa805,0x40bea000,0x04f8005e,0x000bee00,0x7000ffb8,0x1ba000bf,
    0x0f700000,0x003ee000,0x0001fd00,0x27c0d900,0x0009f500,0xc800fb80,
    0x4ffc801f,0x40037ea0,0x2fd805fb,0x200fe880,0xf7000dfa,0x005fb00b,
    0xfb001fd1,0x01fd1005,0xd1005fb0,0x05fb001f,0x5401fd10,0xbf7000df,
    0x0000db00,0x44017ec0,0xbf5000fe,0x55555555,0x00000bf7,0x27c407dc,
    0x0013e600,0x220006e8,0x6401effe,0xfa8000ef,0x74000002,0x6f880005,
    0x03fcc000,0x027c4000,0xfd1005fb,0x7c400001,0x409f5006,0x404fefe8,
    0x7e401efc,0x2fe8800e,0x200bfa20,0x7e401efc,0x2fe8800e,0x400bfa20,
    0x3a202fe8,0x5fd1002f,0x8017f440,0x3a202fe8,0x1efc802f,0x40077e40,
    0x2000006d,0x3a202fe8,0x3ff6002f,0xffffffff,0x00000fff,0x1fe06f88,
    0x004ffb80,0x40005f50,0xacffbafd,0x04feba88,0x0001ba00,0x0007f900,
    0x0002fe88,0x000017e4,0xfd1017ec,0x017f4405,0x05fd1000,0x4c577ec0,
    0xef8bffdb,0x33fea03c,0xdfeca88a,0x37fa2000,0x3ffca88a,0x2b3fea00,
    0x0dfeca88,0x2b7fa200,0x03ffca88,0x456ff440,0x003ffca8,0x4456ff44,
    0x4003ffca,0xa88adfe8,0x2a003ffc,0xca88acff,0xdb000dfe,0xe8800000,
    0xfca88adf,0x33e2003f,0x99999999,0x0003fa99,0x9017f440,0xefe8807f,
    0x0dd0004f,0xb11fe400,0x5dffffff,0x01fd4000,0x7ecc4000,0x3ae60004,
    0xb310003f,0x440000bf,0xe8803fea,0xfca88adf,0x7300003f,0xd88007fd,
    0x0dffffff,0x880dfff1,0xeffffffe,0xffb10002,0x003dffff,0xfffffd10,
    0x220005df,0xeffffffd,0xffb10001,0x003dffff,0x3ffff620,0x10001eff,
    0xdffffffb,0xffd10003,0x005dffff,0xfffffffd,0x880000df,0xeffffffd,
    0x00fd4001,0x40001ba0,0x4403feb9,0xb9889cfe,0x99df3ffd,0x00fea007,
    0xa882fcc0,0x36000acb,0xffffffff,0x3e6004ff,0xffffffff,0xffffd003,
    0x8805ffff,0xfffffffe,0xff10003f,0x05ffffff,0x7fffec40,0xe8001eff,
    0xffffffff,0x32ea0002,0x4c00001b,0x00001bcb,0x0006b2e6,0x00de5cc0,
    0x35973000,0x65cc0000,0x2600001a,0x00001acb,0x0006b2e6,0x00de5cc0,
    0x99999970,0x00000799,0x000d65cc,0xfb8006d8,0x3fffa001,0x002fffff,
    0xffffffb1,0x7fffc1bf,0x7ffffec5,0x004fffff,0x00000322,0x66666654,
    0x2002cccc,0xbcccccc8,0x332e000a,0x000abccc,0x59999997,0x66440001,
    0x0009bccc,0x006b2e60,0xcccccb80,0x000000ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0fe20000,
    0x8013e200,0xabcccccb,0xcca98000,0x9950001a,0x99999999,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07dc0000,0x0007d800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x3ea0005e,
    0x33333302,0x33333333,0x33333333,0x5dddc433,0xbbbbbbbb,0xbbbbbbbb,
    0x99931bbb,0x99999999,0x00799999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32600000,0x01cccefc,0x3bf33322,
    0x3fffea3c,0xffffffff,0xffffffff,0xff55ffff,0xffffffff,0xffffffff,
    0x26bfffff,0xffffffff,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff7,0x7fffcc07,
    0x2aa26fff,0xaaaaaaaa,0xaaaaaaaa,0x20aaaaaa,0x88888888,0x88888888,
    0x20888888,0xddddddd9,0xdddddddd,0x0000003d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00298000,0x00000000,0x00002000,0xeeeeea80,
    0x004eeeee,0x0000e5c0,0x000600c4,0x02882880,0x04000000,0x00000000,
    0x00009800,0x30000a60,0x26605305,0x99999999,0x99999999,0x00298000,
    0x0d9003ae,0x80000000,0x0ecc02e8,0xc801b900,0x22000006,0x00000003,
    0x95000000,0xfa8002d4,0x6f440006,0x9f500000,0x00ef8000,0xeeea8000,
    0x4eeeeeee,0x1bfee000,0x05ff1000,0x20001bf2,0x037cc6f9,0x000fe400,
    0x00000274,0x400005f7,0x500003fc,0x7cc000df,0x7c42fcc5,0xffffffff,
    0xffffffff,0x3fd4003f,0x105ff500,0x200009fb,0x440001ed,0x1ff504fe,
    0x417fd400,0x00004fe8,0x0001ff30,0x00007b60,0x64003f90,0x32001f27,
    0x2a0000ef,0x0001ffff,0x006fffe4,0x001ffa80,0x00000000,0x001fffb0,
    0xe827fd40,0x220000ff,0x07fe21ff,0xfffd8800,0x002fc003,0x7ffec400,
    0x5fd80004,0x1df70000,0x83fe6000,0xdf880ff9,0xfeaaaaaa,0xfbaaaaaa,
    0x07bee003,0x4c9fd300,0x980003ff,0x0003fffe,0xf906fec4,0xfd30001d,
    0x001ffd47,0x01ffa800,0xfffe9800,0xfe880003,0x4f9003ff,0x6fec007c,
    0x3bf20000,0x8003ff99,0xffb8dfd8,0x5ff30001,0x80080000,0x7fcc0000,
    0x0dc80004,0x40007b30,0x3fa21fe8,0x3fe60001,0x000dfd8b,0x980000bf,
    0x0efc8cfe,0x04fe8800,0x01bf9000,0x987fe600,0x07f101ff,0x07f103e4,
    0x0003bf20,0x7fdefec4,0xffa80001,0x0005fe8a,0x4feaffb8,0x6fec4000,
    0x00001efc,0x0001df70,0xfd15ff50,0x7fcc000b,0x400dfd8b,0x4401f27c,
    0x220004fd,0x3f620dfd,0x7ff3000d,0x0003ff98,0x00007fd3,0xff9813f2,
    0x00040000,0x80000000,0x3fa22fe8,0x3bee0002,0x400ffdc1,0x2a00005f,
    0x17fd42ff,0x007fd300,0x00bfb100,0xf10ffc40,0x01fc403f,0x01fc40f9,
    0x80002fec,0x0000dffb,0x7e40efc8,0x7cc0000e,0x200002ff,0x0000dffb,
    0x001df900,0xc81df900,0x7dc000ef,0x00f7dc1e,0xd803e4f9,0x7ec0003f,
    0x2017f203,0xfb101ff8,0x3fa20007,0x5fe80003,0x0007fea0,0x00000000,
    0x217ec000,0x2a0002fc,0x1ff300df,0x00005f80,0x3a601df3,0x2ff8801f,
    0x07f90000,0x741fe800,0x01fc401f,0x01fc40f9,0x000013f2,0x2e000073,
    0x01fea05f,0x00072200,0x0000e600,0x0005fb80,0x7d40bf70,0x037ee007,
    0x7c807fd4,0x00cc01f2,0x4c00d400,0x50017001,0x02c80001,0x400c9800,
    0x0000002b,0x00000000,0x00066066,0x07100510,0x267be666,0x01999999,
    0x0b880288,0x00001700,0x540000cc,0xf8801a81,0xf881f203,0x00014c03,
    0x26000000,0x80028802,0x0004c018,0x40000000,0x26000028,0x20028802,
    0x20388028,0x0001f27c,0x00000000,0x18800000,0x000004c0,0x2e620000,
    0x99980acd,0x04cccc41,0x04cccc40,0x00000000,0x7fffc000,0xffffffff,
    0x00005fff,0x00000000,0x00000000,0x0f901fc4,0x00001fc4,0x0cccccc4,
    0x33333310,0x80000000,0xff903ff8,0x32a20001,0x000002bd,0x00000000,
    0xc8000000,0x2e601f27,0x0080abdc,0x157b9730,0x32a20010,0x0040abcd,
    0x7e40ffe2,0x4ccc400f,0x26620199,0x3a601999,0x1effffff,0x7cbffff3,
    0x204fffff,0x1ffffffa,0x06666662,0x19999988,0x33333100,0x83333333,
    0xccefccca,0x1ccccccc,0x2f32ea00,0xeee9800a,0x40006eee,0x00abccba,
    0x57b95100,0xc80be200,0x998be207,0x99999999,0x3e609999,0x86ffffff,
    0xfffffffb,0x26666624,0x4cccc009,0x3fe60099,0x003ffb05,0xfffffe98,
    0x988003ff,0x99999999,0x19999999,0x00333330,0x30133331,0x22013333,
    0x3e409999,0x7ff540f9,0x51efffff,0x7ff5401f,0x51efffff,0x7fecc01f,
    0x8cffffff,0x3fe600fa,0x403ffb05,0xfffffff9,0xfffffb86,0xbffc84ff,
    0x267fee61,0x36a1bcdf,0x2201bcef,0x262efdcb,0x6fffffff,0xffffffb8,
    0x7ffdc04f,0xffffffff,0x017e04ff,0xfffea800,0x0bb3ffff,0xffddddb3,
    0x3ffaa000,0xbb3fffff,0xffffe980,0x01803fff,0xff0603e4,0xffffffff,
    0xaa85ffff,0x881aaaee,0x0abfcaaa,0xfffffff1,0x7fffec0f,0x37203fff,
    0x8007b301,0x730acefb,0x22001dfb,0xffffffff,0xffffffff,0x7fffc1ff,
    0x3fea04ff,0x3fe1ffff,0xfa87ffff,0x323fffff,0x7fe41f27,0xff7310ac,
    0x3f201f79,0xf7310acf,0x2e01f79f,0x7511bdff,0x803fdffb,0x07b301dc,
    0x555dd550,0xf9555103,0x0dfb8157,0x0ff3f620,0xf9000dd0,0x55dd5503,
    0x95551035,0xa880157f,0xefaaaaaa,0x3e00aaaa,0xff900005,0x77ecc435,
    0x01f2006f,0x886bff20,0x206fefd9,0x730acefb,0x40001dfb,0x56fc007c,
    0xaaaaaaaa,0x0dd02fca,0xb503f500,0x4055557f,0xaeeaaaa9,0x40000000,
    0x7e400efc,0xb555000e,0x555dd57f,0x83fb5555,0x00abfea9,0x215ff554,
    0x82aaefa9,0x0adfbaa8,0xfd87c9f2,0x7fe4400d,0x00dfd80f,0x407ffe44,
    0xe8800efc,0x000001ff,0xa8006e80,0x005f981f,0xf700fffa,0x02fc4005,
    0x3ea001ba,0x0bf00001,0x80005f80,0xffa805fa,0x001f2006,0xff500bf5,
    0x003bf20d,0x20001df9,0x027c007c,0x1ba01fd0,0x5407ea00,0x2fc0001f,
    0x54000000,0x17ee005f,0x06e9ba00,0x5f980fdc,0xd013ea00,0x41fc400b,
    0xbf51b27c,0x40ffb800,0x7dc005fa,0x0077d40f,0x00007fa0,0x001ba000,
    0x03fa07ea,0x803ff980,0x07f2006e,0xf5000dd0,0x17e00003,0x0000bf00,
    0x37dc00df,0xf800f900,0x21bee006,0x3ee005fa,0x00f90005,0x5f9004f8,
    0x54003740,0x005f301f,0x00004f80,0x0037c400,0xf1001fe4,0x3ee03749,
    0x200bf201,0x05e806e8,0x1f20fe20,0x0007fc41,0x1ff107f4,0x441fd000,
    0xfb8000ff,0x80000001,0x1fa8006e,0x640027c4,0x02fb803f,0x6e805f88,
    0x001fa800,0xf800bf00,0x1fcc0005,0x400df100,0x0fe6007c,0x7c46f880,
    0x03fc8006,0x7c007c80,0x405f9804,0x1fa8006e,0x40007f30,0x999883f8,
    0x4cccc400,0x0005f900,0x7d400ff1,0x3f701ba1,0x6400fe80,0x005e801f,
    0x81f20fe2,0xf70003fa,0x8001fd41,0x00fea0fb,0x4cc42c40,0x4ccc4009,
    0x00374009,0x0be60fd4,0x400fee00,0x01fb806e,0xfa8006e8,0x0bf00001,
    0x40005f80,0x2ec001fa,0x5400f900,0x22ec001f,0xf88002fc,0x007c8007,
    0x3be2027c,0x40037400,0x09f101fa,0x7cc13fe6,0x37fffc42,0x9fffff10,
    0x4000bf10,0x8f9002fb,0x00fdc06e,0x4f9813e6,0x4400bd00,0x3207c83f,
    0x90e20006,0x21c4000d,0x200000fc,0x206ffff8,0x04fffff8,0x7d400374,
    0x4000fdc1,0x5f7003f9,0xe802fc40,0x01fa8006,0x800bf000,0x7cc0005f,
    0x00044002,0x17cc00f9,0x5f882200,0x00bee000,0x4f800f90,0x7400fec0,
    0x01fa8006,0x37fe417e,0xcca81fa8,0x6665c06f,0x001fa84f,0x74017e20,
    0x3ea03745,0xd02fc800,0x017a001f,0x07c83f88,0xd000013a,0x6e800009,
    0xcca80000,0x6665c06f,0x0037404f,0x07ea0fd4,0x800fea00,0x007ee06e,
    0x7d400374,0x0bf00001,0x40005f80,0x000005f8,0xbf1003e4,0x01fa8000,
    0x0017e200,0x009800f9,0x374013ea,0xd00fd400,0x03f3ba0b,0x0dd003ee,
    0x7dc27c40,0x03f40000,0x01ba1fc4,0x40ee8002,0x17a002fc,0x7c83f880,
    0x00005f10,0x000017c4,0x000009f1,0x3e2006e8,0x40037404,0x01fcc1fa,
    0x7001fdc0,0x8017e05f,0x1fa8006e,0x00bf0000,0xc80005f8,0x2000004f,
    0x27e4007c,0x001f7000,0x64007e80,0x3e200007,0x001ba006,0x86d807ea,
    0xc82f9cf8,0x2006e807,0x007d84f8,0x5c00fd80,0x13a3741f,0x264f9800,
    0x02f4005f,0x0f907f10,0x800007ea,0x200001fa,0x000002fa,0x9f100374,
    0xa8006e80,0x8004f81f,0x37c003fd,0xdd000fdc,0x003f5000,0xf0017e00,
    0x3f60000b,0x400000ae,0xefd8007c,0x03ec000a,0x0007ec00,0x740000f9,
    0x01ba000f,0x7c807ea0,0x90bf2fa8,0x400dd00f,0x006e84f8,0x6c00fb80,
    0x02fc6e87,0x7f47f200,0x002f4000,0x54f907f1,0x00001f75,0x000007dc,
    0x000003f7,0x3e2006e8,0x40037404,0x01fd81fa,0x000ffea0,0x006f83f7,
    0x7d400374,0x0bf00001,0x00005e80,0x2f7fffaa,0x1f20000a,0x7fff5400,
    0x1ba00abd,0x003ee000,0x700007c8,0x06e8007f,0x2e01fa80,0x0fb3ec0f,
    0x00dd00db,0x02fc27c4,0x200fd400,0xeeefe85f,0x7440005f,0xe8002fce,
    0xeeeeeeef,0xc83feeee,0x007ddf27,0x001f7000,0x000fdc00,0x801ba000,
    0x037404f8,0x7c40fd40,0x7ffd1006,0x7dcbf000,0x00374002,0x80000fd4,
    0x07ec005f,0x32a20000,0x002efffe,0x440007c8,0x2efffeca,0xa80005f8,
    0x01f2001f,0x0017e600,0x3ea001ba,0xbf07ea01,0x017a0fdc,0x4f8801ba,
    0xb80006e8,0x20be601f,0x05feeefe,0x05ffa800,0xddddfd00,0xfddddddd,
    0xbbe4f907,0x2e00000f,0x2e00000f,0x9998801f,0xd0099999,0x027c400d,
    0x3ea001ba,0x403df501,0x003fafe9,0x00df1fb8,0xf5000dd0,0xbf000103,
    0x804fb800,0x44001db8,0x4003feb9,0x4400007c,0x3743feb9,0x00fdc000,
    0x88000f90,0x6e8000fe,0x201fa800,0x88fe62f9,0x74027c3f,0x213e2006,
    0xfd80007d,0x3a03ee00,0x80002fc6,0xbd0000fd,0x641fc400,0x017d5f27,
    0x005f5000,0x200fd400,0xfffffff8,0x00dd06ff,0x1ba027c4,0xa807ea00,
    0xca99acff,0x003f98ef,0x005f7bf0,0xf5000dd0,0xf8007b83,0x9dfe8005,
    0xdffb5530,0x7ec40001,0x001f2004,0x24fd8800,0xfd80007d,0xd9999700,
    0x0199999f,0x4000bf20,0x1fa8006e,0x1fb8fe20,0x007f1374,0x27c400dd,
    0x200007dc,0x557f407e,0x1ec6eaaa,0x007c8000,0xf88017a0,0x4df27c83,
    0x2600003f,0x2600003f,0xaaaa803f,0xd01bfcaa,0x027c400d,0x3ea001ba,
    0x7fff4401,0x7f30dfff,0x1bfee000,0x40037400,0x003e41fa,0x644002fc,
    0xffffffff,0x3600002d,0x00f9000f,0x21fb0000,0x740000fb,0x3ffffa07,
    0x1fffffff,0x4404fa80,0x7000db03,0xd1fc403f,0x3e61f90f,0x2006e802,
    0x01fa84f8,0x8817e200,0xffffffff,0x32000006,0x017a0007,0x27c83f88,
    0x000bf17c,0x0002fc40,0xb80013e0,0x801ba01f,0x036c04f8,0x8800fdc0,
    0x3f981bba,0x00bfe000,0x5c0036c0,0x4003e41f,0x2a20005f,0x0000abcb,
    0x2005f500,0x8000007c,0x003f52fa,0x0002fc40,0x00df1000,0x00f703f5,
    0x29f00fb0,0x52f984f8,0x00dd003f,0x2fc427c4,0x405f9000,0x99999afa,
    0x2000006e,0x17a0007c,0x7c83f880,0x000fd9f2,0x0003f600,0x20006e80,
    0x01ba01fb,0x3dc04f88,0x0003ec00,0x8000fe60,0x1ee0006e,0x1f21f600,
    0x0009f100,0x00d88000,0x32009f00,0x001b1007,0x02fc53e0,0x0005f900,
    0x00fec000,0x0fcc0fd4,0x3a01be00,0x53e05f55,0x06e801fa,0x7e413e20,
    0x07f88002,0x00dd03e4,0x0f900073,0x1002f400,0x3e4f907f,0x40000bf3,
    0x200005f9,0xf70002fc,0x10037403,0x01f9809f,0x000037c0,0x5c000bea,
    0x3e60002f,0x6437c001,0x01fd4007,0x005bb100,0x22000fea,0x00f9003f,
    0x22000fea,0x000bf23f,0xb1001fe2,0x3fb8005b,0x3e03f500,0x013ea004,
    0xd807e5b6,0xdb001f77,0xd027dc00,0x05f9000d,0x01ba05e8,0x1f2001f2,
    0x2005e800,0x327c83f8,0x40017e47,0x017e45e8,0xfd12f440,0x03f70001,
    0x9f70036c,0x54009f00,0x5c00004f,0x0dd0000f,0x4009f000,0x007c84fa,
    0x90000fe4,0x3ea00fff,0x02fa8005,0x3ea00f90,0x42fa8005,0x2fc8006e,
    0x03ffe400,0x5400bf30,0x005fb01f,0xf9001fd1,0xc9fb81be,0x003f9007,
    0x7d409ff9,0x0bf7000d,0x1ba03f88,0x32001f20,0x017a0007,0x27c83f88,
    0x00ff447c,0xe883ff30,0x3fe6001f,0x0006fcc1,0x1fc807ee,0x804ffc80,
    0xfe8802fd,0x3e200000,0x05f50006,0x005fb000,0x7f901fd1,0x0017e600,
    0x200dff70,0x22002ffa,0x0f9000ff,0x800bfea0,0x6fd40ff8,0x00bf7000,
    0x400dff70,0x3ea000fe,0x405fd101,0xf7002fe8,0x5fc407f3,0x09f5006d,
    0x027f7f44,0xf9007bf2,0x00fb801d,0x01f201ba,0xe8001f20,0x20fe2005,
    0x3a21f27c,0x2ffa804f,0x5009fd10,0x3fee05ff,0x03f91002,0xfd1027d4,
    0xfd1009fd,0x017f4405,0x05fd1000,0x0001ba00,0xd1017f44,0x37f6205f,
    0x003fe600,0x400be600,0x9802fffa,0x1f2001fe,0x017ffd40,0xfc80ff4c,
    0x077e401e,0x002f9800,0xfa8005f9,0x2b7fa201,0x03ffca88,0x007f3ea0,
    0x6c00bddd,0xfdb98aef,0x03cef8bf,0x222b3fea,0x800dfeca,0x4037406d,
    0x07c8007c,0x88017a00,0x1b26b83f,0x45677f44,0x00efeca8,0x45677f44,
    0x00efeca8,0x8d5eff4c,0x0effda98,0x4c577ec0,0xef8bffdb,0x6ff4403c,
    0x3ffca88a,0xfd730000,0x0fea0007,0xdfe88000,0x3ffca88a,0x8acffb80,
    0x002ffca8,0x2001f700,0x9befdafa,0x07ff9530,0xf5007c80,0x2137dfb5,
    0x403ffca9,0xa88acffa,0x0000dfec,0x7ec003ee,0xcccccccc,0x01fdcccc,
    0x7ffffec4,0x7cc001ef,0x4ffc807f,0x3fff6200,0xff10dfff,0xffe880df,
    0x402effff,0x22cefcc9,0xcccffccb,0x07eccccc,0x7f66665c,0x500ccccc,
    0x0799df99,0x99df9991,0x7f540001,0x04ffffff,0x7ffff540,0x64004fff,
    0xffffffff,0xfb1001cf,0x21bfffff,0x8806fff8,0xeffffffd,0xfffe8001,
    0x802fffff,0xfffffffd,0x80004fff,0xffffffd8,0x3fa6001e,0x00dfffff,
    0x007f1000,0xfffa8744,0x00dfffff,0xd9999999,0x9999999f,0x7fd43a23,
    0x0dffffff,0xffffd100,0x80005dff,0x3f6003f8,0xffffffff,0x01ffffff,
    0x006b2e60,0x402ffc40,0xa8003ffa,0x00001bcb,0x800de5cc,0x24fffffa,
    0xfffffffe,0x07ffffff,0x7ffffff4,0x901fffff,0x0dffffff,0xfffffff5,
    0x75100003,0x88000159,0x0000acba,0x4d665cc4,0x79750000,0x73000003,
    0x5c000359,0x0abccccc,0x99999500,0x00599999,0x1acb9800,0x32e62000,
    0x4c00001a,0x75100003,0x74401579,0xffffffff,0x3fffffff,0x55e5d440,
    0x32e60000,0x7300001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x800000c0,0x006a804b,0x00000730,0x00000000,0x00000071,0x37200071,
    0x0002e400,0xb80000a8,0x70000001,0x00b70003,0x000000d3,0x00004000,
    0x05b80195,0x36000400,0x00004eee,0x80037540,0x01e8806a,0x40000100,
    0x2e20000b,0x4000001c,0x40000000,0xe8a6001a,0xfc800005,0x8003f401,
    0x00000dfb,0x001ee980,0x03fd3000,0x7fcc0000,0x1ffa8000,0x0004fe88,
    0x80003fc8,0x000002fe,0x2000ff62,0x03f401fc,0x003dd300,0x067e4400,
    0x80f7dc00,0xb10005fd,0x776c003f,0x4000005f,0xf50007fb,0x001fc807,
    0x0000f6c4,0x4000bfa2,0x005fbdfa,0x01dd3000,0x9fb00000,0x64ffe200,
    0x5400001f,0x017ee06f,0x000efc80,0x37fec000,0x7fd40000,0x2a000002,
    0x260001ff,0x0ffea3ff,0x0bfb1000,0x0ffa6000,0x3fa20000,0x0df50004,
    0xd0002fdc,0x20000dff,0x03ffeffb,0x263ffa80,0xd30004fe,0xd0007fff,
    0xb800000b,0xff10007f,0x001fe601,0x007fffd3,0x000ffe60,0x000fc1e8,
    0x3fffee00,0xb1000002,0x7fd4009f,0x0000bf15,0x7359ff90,0x80001ffd,
    0x00001efb,0x001bff60,0x003df700,0x0f7dc000,0x6fec4000,0x40001efc,
    0x00004fe8,0x00027f44,0x0005ff30,0xb9acffc8,0x20000ffe,0x40006ffe,
    0xfd31efea,0xfe88003d,0x0002ffad,0xbfb15ff7,0x002f4001,0x01fee000,
    0x9adffb80,0x2001ffdb,0xdfd8affb,0x0bfea000,0x4c869800,0x3bf60000,
    0x0004fe88,0x001ff440,0x1fc97fea,0xffb80000,0x000dffff,0x005ff500,
    0x07ba6000,0x0efc8000,0x3f200000,0x5c00000e,0x40000dff,0x00002ff9,
    0x00017f60,0x00007fea,0x7fffffdc,0x74c0000d,0x3ea0001e,0x05ff702f,
    0x01dff900,0x903bf600,0x17a003df,0x99300000,0xffea8000,0x2001efff,
    0x77e40efd,0x01efb801,0x3607c400,0xfe880002,0x000efd84,0x002ff980,
    0x3e25ff98,0x51000004,0x00001577,0x0000ff30,0x54000000,0x000000df,
    0x000017ee,0x88000398,0x000001ff,0x20003fc8,0x00001ef8,0x0055dd44,
    0x20000000,0x0dc400b8,0x0004a800,0x7fa813ee,0x0000bd00,0x98000000,
    0x64001aca,0x01fea04f,0x00001df3,0x01ee2776,0x7017ec00,0xff0000bf,
    0x3fe60003,0x00007ec4,0x00000000,0x000000a2,0x00500000,0x00510000,
    0x00000000,0x0000005c,0xa8000130,0x00000000,0x00000000,0x00000000,
    0x4400c400,0x000bd002,0x00000000,0x80188000,0x00028028,0x0effe440,
    0x80098000,0x0a800018,0x13fe6000,0x220009f3,0x20199999,0x01999998,
    0x40000000,0x80abdcb9,0x00000000,0x40000000,0x80abdcb9,0x00000000,
    0x00000000,0xdca88000,0x00040abc,0x1579b951,0x4eeec808,0x5d400000,
    0x0000abcc,0x05e80000,0x00266666,0xa8800000,0x00002bdc,0x00000000,
    0x00000020,0x00000000,0xb07ff100,0xff98001f,0xb86fffff,0x4fffffff,
    0x26666660,0x50000099,0xfffffffd,0x9803ea3d,0x09999999,0x33331000,
    0x33331001,0xffea8033,0x51efffff,0x1999981f,0x09999880,0x4cccccc4,
    0x99999999,0x4cc40999,0x99999999,0x09999999,0x7fffecc0,0xfa8cffff,
    0x7ffecc00,0xa8cfffff,0x2ff7640f,0xfea80000,0xb3ffffff,0x9999988b,
    0x99999999,0x3a009999,0xffffff05,0x4ccc405f,0x26000199,0xfffffffe,
    0x99998803,0x99999999,0x4ccccc41,0x19999999,0x4cccccc0,0x30000099,
    0x13333333,0x26662000,0x00999999,0x541ffc40,0xeaa8003f,0xa881aaae,
    0x00abfcaa,0xfffffffd,0xf90000df,0x2e62159f,0xd00fbcff,0xffffffff,
    0x3ffe000d,0x7fd405ff,0x905fffff,0x262159ff,0x20fbcffb,0x04ffffff,
    0x3fffffea,0xffffff11,0xffffffff,0x7c45ffff,0xffffffff,0xffffffff,
    0x37fee02f,0xffb7511b,0x7fdc03fd,0xfb7511bd,0x2fc03fdf,0x7fe40000,
    0x3bf6621a,0x3fffe26f,0xffffffff,0x02ffffff,0x7fed417a,0xff700bcc,
    0x000fffff,0x4c2b3bee,0xf500efdb,0xffffffff,0x2abfffff,0xffffffff,
    0x05ffffff,0xfffffffd,0xfd0000df,0xdfffffff,0xffff5000,0x3fffffff,
    0xd02ff800,0x0374000f,0x2600fd40,0xdefaaaaa,0x3f60001f,0x7fe4400d,
    0x5555300f,0x003fbdf5,0x5ffd5530,0x7e555440,0x0dfd81ac,0x07ffe440,
    0x0157fd53,0x42bfeaa8,0xaaaefaaa,0xaaaaaaaa,0x7d5542fc,0xaaaaaaae,
    0x02fcaaaa,0xd1001df9,0x3bf203ff,0x1ffe8800,0x000017e0,0xff500bf5,
    0xaefaaa8d,0xaaaaaaaa,0x3a02fcaa,0x003ff505,0x3b3332e2,0x0efc8007,
    0xa8077e40,0xafdaaaaa,0x2a1aaaaa,0xafdaaaaa,0x301aaaaa,0xbdf55555,
    0xa980003f,0xfdefaaaa,0xaaaa8001,0x02aaacfc,0xf502ff80,0x01ba0007,
    0x20007ea0,0x004f8bf9,0xb800bf50,0x3e6000ff,0x40004f8b,0x2a006efd,
    0x00bf502f,0xf980ffb8,0x013ea005,0x5f30017a,0x26002f40,0x00efa82f,
    0x7d40ff40,0x0ff4000e,0x80000bf0,0x1bee006f,0x7cc005e8,0x3ee17a02,
    0x7c80000e,0x002fd400,0x7c800bf7,0x003e4000,0x4f8bf980,0xbf980000,
    0xa80004f8,0xff80001f,0x4001ba01,0x1fa8006e,0xfd0fc800,0x01ff1000,
    0x4001fd00,0x000fd0fc,0x004fafd8,0x1ff105f5,0x201fd000,0x6e8802fc,
    0x9800bd00,0x0017a02f,0x0ff885f3,0x441fb800,0xfb8000ff,0x00017e01,
    0x22003f98,0x0017a06f,0x22f405f3,0x00000dfc,0x37c400f9,0x001fe400,
    0x7c8000f9,0x21f90000,0xc800007e,0x0000fd0f,0xd00003f5,0x017dc03f,
    0x54003740,0x25f8001f,0x7d4002fa,0x01f70003,0x05f52fc0,0x0fdbec00,
    0xfa82fa80,0x01f70003,0x3f2007f4,0x800bd001,0x017a02f9,0x3fa85f30,
    0xf50b1000,0x01620007,0x540000bf,0x02ec001f,0x2f9800bd,0x27ec57a0,
    0x01f20000,0x88002fc8,0x01f2007f,0x0000f900,0x002fa97e,0x5f52fc00,
    0x01fa8000,0x401fe800,0x06e8006f,0x4001fa80,0x017e22fa,0x44000d90,
    0x88bea003,0x5f60005f,0x2fa805f8,0x220006c8,0x3027cc03,0x02f4009f,
    0x5e80be60,0x3217cc00,0x6400000f,0x2000000f,0x5ee5445f,0x005f3002,
    0x017a0088,0x6f405f30,0x00003fe8,0xbf1007c8,0x017dc000,0x640007c8,
    0x2fa80007,0x800017e2,0x017e22fa,0x0003f500,0xfb801fb0,0x00374001,
    0x36000fd4,0x2000fc87,0x0000004e,0x003f21f6,0x05f93ec0,0x04e82fa8,
    0x2fc80000,0x74001fd0,0x200b8005,0x40b8005e,0xe800006e,0x7c000006,
    0xfffffd15,0x5f8803df,0x02f40000,0xffd005c0,0x000007ff,0x07ea00f9,
    0x005f8800,0x7c8000f9,0xc87d8000,0xfb00000f,0x40001f90,0xd80001fa,
    0x02fc400f,0x2a001ba0,0x13e2001f,0x7c400fe6,0x10000002,0x007f309f,
    0x80dd1f60,0x017c42fa,0x0ee80000,0x3a0017e4,0x0001b105,0x003620bd,
    0x000013e2,0x000009f1,0x1bff9df8,0x9003fee2,0x7400009f,0x0001b105,
    0x07fb3dfd,0x007c8000,0xe80001f7,0x000f9007,0x440007c8,0x003f984f,
    0xf984f880,0x07ea0003,0x401f2000,0x1ba001fc,0x8007ea00,0x00dd01fb,
    0x000007ea,0x6e80fdc0,0xfa8fb000,0xf50bea03,0x20000003,0x017e64f9,
    0x17cc17a0,0xf982f400,0x002fa802,0x0017d400,0x3bffe000,0x2017ea00,
    0x0000aefd,0x02f982f4,0x3f60ee80,0x1f200002,0x40003ec0,0x07c800fd,
    0x0003e400,0x037407ee,0xe80fdc00,0x07ea0006,0x40062000,0x1ba005f8,
    0x8007ea00,0x007ee06e,0x000003ee,0x3f703740,0xfb0fb000,0xf70bea01,
    0x40000001,0x001fd1fc,0x0be60bd0,0x7cc17a00,0x001fb802,0x000fdc00,
    0x03bfe000,0x2a003fa0,0x0abdfffe,0x7cc17a00,0xd85e8002,0xf900002f,
    0x0001ba00,0x1f2003ee,0x000f9000,0x07ee06e8,0x5c0dd000,0x3f50001f,
    0xb0000000,0x01ba001f,0x4c007ea0,0x013e203f,0x000003ee,0xf880fe60,
    0x987d8004,0xb85f505f,0x0000000f,0x00bf3ba2,0x77777f40,0xe8002fee,
    0xfeeeeeef,0x001fb802,0x000fdc00,0x003be000,0x510017dc,0x05dfffd9,
    0xdddddfd0,0xbd0005fd,0x0005fd10,0x17e00f90,0x007ea000,0xf90001f2,
    0x01fcc000,0x4c0009f1,0x013e203f,0x0000fd40,0x027cc000,0xfa8006e8,
    0x801f9001,0x00fb807d,0x0fc80000,0x6c003ec0,0xf503f907,0x0000fb85,
    0x2ffd4000,0xdddfd000,0x0005fddd,0xddddddfd,0x03f7005f,0x33333310,
    0x007ee133,0x26666662,0x00bf0099,0x10001fc4,0xe807fd73,0xfeeeeeef,
    0x105e8002,0xc80005fd,0x000dd007,0xf9003f70,0x007c8000,0xfb003f20,
    0x007e4000,0x7d4001f6,0x00000001,0x0dd001fb,0x2003f500,0x02fa805f,
    0x000017d4,0x7d402fc0,0x883ec002,0x542fa86f,0x0000002f,0x20000fd8,
    0x005f305e,0x0be60bd0,0xf1007ea0,0xffffffff,0xf1007ead,0xffffffff,
    0x88017e0d,0xb100003f,0x982f409f,0x05e8002f,0x8000bfa2,0x00fb007c,
    0x9001fb00,0x07c8000f,0x2a017e00,0x0bf0002f,0x50005f50,0x0000003f,
    0x3a00fe60,0x01fa8006,0xaaaadfa8,0x05fbaaaa,0x00001fcc,0x2aab7ea0,
    0x5fbaaaaa,0xf503ec00,0x7cc2fa87,0x80000003,0x2f40007c,0xe8002f98,
    0x3005f305,0x5555007f,0x2637f955,0xaaaa803f,0xf01bfcaa,0x01fc400b,
    0x403f6000,0x005f305e,0xfe880bd0,0x00f90002,0xd00003ee,0x001f200f,
    0x2a000f90,0xaaaaaadf,0x8005fbaa,0xaaaaadfa,0x005fbaaa,0x22001fa8,
    0x4000ba81,0x006d807e,0xfd801fb8,0xffffffff,0x2200ffff,0x4000005f,
    0xfffffffd,0x00ffffff,0x1fd01f60,0x17e217d4,0x32000000,0x02f40007,
    0x0bd0001b,0x04f8006c,0x9f07ee00,0x00fdc000,0x1fc400bf,0x0bea0000,
    0x001b02f4,0x8817f32e,0x03ccffdc,0x7d401f20,0x17e20001,0x20003e40,
    0xffb0007c,0xffffffff,0xd8001fff,0xffffffff,0x000fffff,0xf9000fd4,
    0x001fffe8,0x0f700fea,0xf100fb00,0x33333339,0x807f5333,0x000000fd,
    0x333339f1,0x7f533333,0x2603ec00,0x360bea4f,0x0000000f,0x3a0003e4,
    0x20488005,0x4488005e,0x3ee0006e,0x70003741,0x002fc03f,0x01b107f1,
    0x2f413e00,0xfd124400,0x7fcc0bff,0x2a0effff,0xfecccccc,0x1ccccccc,
    0x64000bf1,0x00f9002f,0x88007c80,0x999999cf,0x03fa9999,0x26673e20,
    0xa9999999,0x0fd4003f,0x7fc4f900,0x374003ff,0xf0007e60,0x003f500d,
    0x2fcc06e8,0x1fa80000,0xb0037400,0x2a3f900f,0x005f982f,0x03e40000,
    0x20017a00,0x00bd01fa,0x17e43f50,0x641fb800,0x3f70002f,0xf1002fc0,
    0x0007f507,0x017a07f1,0x00007ea0,0x3ffff600,0xffffffff,0x0bf23fff,
    0x801fe200,0x3e40007c,0x000fd400,0x1fa801ba,0x20037400,0x1f2001fa,
    0x8003fffd,0x027c02fb,0xdb009f50,0x803f7000,0xe88002fc,0x7000db05,
    0x01f6003f,0x817d5be2,0xe88002fc,0x003e4005,0x2a0017a0,0x000bd01f,
    0x07f443f5,0x220fdc00,0xfb8000fe,0x88017e01,0x005fa83f,0x0bd02fa8,
    0x0003f500,0x5fdc0000,0x001ba000,0x7c800bf2,0x003e4000,0x7dc0036c,
    0x000db001,0x7d4003f7,0x711f2001,0x1be00039,0xd1005fb0,0x03f8801f,
    0x4404f880,0x3e6001fe,0x003f881f,0xfb004f88,0x3eabee00,0x003fd102,
    0x2000ffcc,0x2f40007c,0xe80fd400,0x41fa8005,0x5c000df9,0x00df981f,
    0xbf00fdc0,0x541fc400,0x3e2002ff,0x000bd00f,0x3b2003f5,0x7d00000c,
    0x01bf5000,0x90017ee0,0x07c8000f,0x4001fc40,0x3f8804f8,0x004f8800,
    0x7c8007ea,0x2fb80000,0x880bfa20,0x0fb802fe,0x100fb000,0xff5009fd,
    0x0003ee05,0x07d803ec,0x80bebfa0,0xfa804fe8,0x07c8002f,0x4002f400,
    0x00bd01fa,0xff703f50,0x07f22005,0x88017fdc,0x017e01fc,0xffa83f88,
    0x1fe9802f,0x2a0017a0,0x172a001f,0x003e2000,0x200f7e40,0x64000efc,
    0x03e40007,0x40003ee0,0x00fb807d,0x5400fb00,0x01f2001f,0x01be2000,
    0x5115bfd1,0x3a007ff9,0x0bea0005,0x2b3bfa20,0x0efeca88,0xa80017a0,
    0x007d802f,0x100bfbe6,0x51159dfd,0x0001dfd9,0xbd0001f2,0x203f5000,
    0x1fa8005e,0x357bfd30,0x3bff6a62,0x2f7fa600,0xffb5311a,0x002fc01d,
    0xb5f507f1,0x2a6137df,0x2f403ffc,0x000fd400,0x740001e6,0xff5000c3,
    0xfd951159,0x0f90001b,0x4007c800,0x3ea0005e,0x0002f402,0x3ea005f5,
    0x001f2001,0x200fdc00,0xffffffd8,0x7e64c01e,0x2201ccce,0x3cefcccc,
    0xffffea80,0x99304fff,0x403999df,0xcefcccc8,0xccfecb83,0x17fec03c,
    0xffffea80,0x2e004fff,0xccfecccc,0x32e00ccc,0xcccccefc,0xdccccccc,
    0x3bf32e1f,0xcccccccc,0x01fdcccc,0x7fffffe4,0x2001cfff,0xfffffffc,
    0x99301cff,0x2e0199df,0x223cefdc,0xfffff50e,0x2e01bfff,0xccccefcc,
    0xcccccccc,0x6fd401fd,0x700004fc,0x800df9df,0xffffffe8,0x6664402e,
    0xcccfeccc,0x99912ccc,0x999fd999,0x33265999,0x201cccef,0xcefcccc8,
    0x33bf3263,0x332201cc,0x223cefcc,0xcdfdcccc,0xcccccccc,0x000007ec,
    0x5973000a,0x3ffee003,0x2603ffff,0x6fffffff,0x2b2ea200,0x7fffdc00,
    0x3e603fff,0x46ffffff,0xffffffe8,0x017fc406,0x02b2ea20,0x3ffffa00,
    0x1fffffff,0xfffffd10,0xffffffff,0x223fffff,0xfffffffe,0xffffffff,
    0x31001fff,0x00135997,0x5665cc40,0x7ffdc009,0xffd01fff,0x8801dfff,
    0x200abcba,0xffffffe8,0xffffffff,0x9801ffff,0x400001bb,0x0000bdb9,
    0x4006f2e6,0xfffffff9,0x4fffffff,0xfffffff3,0x9fffffff,0x3fffffee,
    0x3ffe603f,0x3ee6ffff,0x03ffffff,0x3fffffe6,0x3fffe66f,0xffffffff,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c198000,
    0x06eeeeee,0x00006e00,0x00007100,0x016c016e,0x6b801d70,0x1dc96400,
    0x79975000,0xdb880015,0x00cda800,0x403e8800,0x2a0002e9,0x0075c01e,
    0x55ee5cc0,0x4ccc4080,0x99988009,0x4ccc4199,0x09999999,0x00000000,
    0x039301dc,0xd5007aa0,0x00000001,0x0d9003ae,0x00000440,0x01a6016e,
    0x93bbbbb2,0x99999998,0xda800099,0x0002d400,0x776cc5f8,0x20007fee,
    0x000002fe,0x00003fd1,0x07fa00f9,0x4417fd40,0x3ee004fd,0x400dff93,
    0xffffffea,0x7dc0bb3f,0x3fa600df,0x174c3fff,0x501bfb00,0x4c0003ff,
    0x0dfb03ff,0xffffea80,0x1f51efff,0x02fffffc,0x3fffffea,0xfffff15f,
    0xffffffff,0xd880003b,0xffb8002e,0x200dff02,0xdf903ff9,0x3fd88000,
    0x417fd400,0xd9804fd8,0x00980dff,0x3a00fe40,0xeeeec807,0xfffff56f,
    0x03ffffff,0x901ffa80,0xf70000bf,0x001f2005,0x0003fe98,0x0017fcc0,
    0xf5007c80,0x27f4c00b,0x44007ff3,0x01fe447f,0x310d7fe4,0x740dfdfb,
    0x53fe801e,0x1df97ffd,0x21efc800,0x80000efc,0xfd10dfe8,0xcffc8009,
    0x9ff7310a,0x7554c1f7,0x2aa202ff,0x2a1acfca,0xaaaaefaa,0x04ffdcaa,
    0x01fff200,0x740bfea0,0x3f62006f,0x009fd10d,0x01fff700,0x264fe980,
    0xffa803ff,0xf90cffdc,0x06fa8009,0x740017ee,0x3f2aaaa6,0x0002aaac,
    0x7f447ff3,0x0dd00004,0x20003e40,0x00004fe8,0x00003ff5,0x4179fd73,
    0x2001fe80,0x1ffbefd8,0xf81fe400,0x402fd406,0x5f306ffa,0x3ea02a00,
    0x50000dff,0x009fd7ff,0xf7df9000,0xdfd8005f,0x7ffe4400,0x00ddfb00,
    0x17a017d4,0x0017f620,0x8003ffe4,0x002e202a,0x3fefbf20,0xff700002,
    0xfb10001f,0x2003ff7b,0x3ffa60dd,0xf90005ff,0xffd7359f,0x81ba0001,
    0x200001fa,0x2ffadfd8,0x07f50000,0x80003e40,0x5c0005fd,0x440000ef,
    0xfffefffe,0x06fa86dc,0x00dffb80,0xd807fc40,0x70037c07,0x001f20df,
    0x80000980,0x0002ffe8,0x07bfea00,0x800bf500,0x5fb00ffb,0x0bea009f,
    0x7e400bd0,0x2ed88003,0x00000000,0x003dff50,0x01fec400,0x037fee00,
    0x16ed4000,0x3ffee000,0x0000dfff,0x01fa81ba,0xeffc8000,0x1fa00001,
    0x0000f900,0xa8001fe4,0x440000df,0x36e60cff,0x03fd07ff,0x20007300,
    0x81f204fc,0x3e2003f9,0x0000fb06,0x0e400000,0x24400000,0x007fc400,
    0x7d807f40,0x5f5001fb,0x74005e80,0x00000006,0x22000000,0x0000000c,
    0x001cc000,0x20000000,0x000abba8,0x3ea06e80,0x95000001,0x7d400001,
    0x003e4003,0x40002600,0xfd000028,0x707fb803,0x0000009f,0x1f201ff8,
    0x6c001fa8,0x4c40fb05,0x22019999,0x00199999,0x00000000,0x003fa800,
    0x5f601f70,0x2fa805f8,0x2e002f40,0x4000000f,0x01999998,0x06666662,
    0x00000000,0x00000000,0x015ee544,0x00000000,0x03f50374,0x00000000,
    0x20007ec0,0x0000007c,0x98000000,0x20dd003f,0x999987f8,0x99999999,
    0x40999999,0x03e406fa,0x088005f3,0x3fe60fb0,0xb86fffff,0x4fffffff,
    0x26666662,0x00009999,0x00133331,0x83333331,0x0e20006c,0x00bf27d8,
    0x05e805f5,0x31007dc0,0x33333333,0x7fcc3333,0xb86fffff,0x4fffffff,
    0x26666666,0x4c400099,0x99999999,0x99999999,0x4ccccc40,0x19999999,
    0x7ffff4c0,0x98003fff,0x09999999,0x40dd0000,0x4c0001fa,0x99999999,
    0x00099999,0x640027cc,0x26662007,0x99999999,0x4cccc419,0x00999999,
    0x2003f700,0x88bfa019,0xffffffff,0xffffffff,0x01fec3ff,0x05f881f2,
    0xa81f6000,0x81aaaeea,0xabfcaaa8,0xffffff10,0xbfffffff,0x7fffc003,
    0x7ffd405f,0x13a5ffff,0x47d80000,0x017d406e,0x0dd0017a,0x7fffffd4,
    0xffffffff,0x2abbaaa5,0xcaaa881a,0xfffb0abf,0xdfffffff,0x7fc4017b,
    0xffffffff,0xffffffff,0x3ffffea2,0xffffffff,0x59df705f,0x03bf6e61,
    0x7fffff40,0x00006fff,0x00fd40dd,0x3ffffe00,0xffffffff,0x07ec002f,
    0xa803e400,0xffffffff,0x15ffffff,0xffffffff,0x03bfffff,0x00007dc0,
    0x37e25fc8,0xfeaaaaaa,0xfbaaaaaa,0x900bfe23,0x004fc80f,0xdd00fb00,
    0x503f5000,0x5555df55,0x09ffb955,0x3ffaaa60,0x32aaa202,0x05f11acf,
    0x23ec0000,0x0bea03fa,0x7dc00bd0,0x55555402,0xaaaaafda,0x8006e81a,
    0x7e54c1fa,0xdbaaaaac,0x2aa01eff,0xaaaaaefa,0xfcaaaaaa,0x55555542,
    0xaaaaaafd,0x400efc81,0xa9800efc,0xfdefaaaa,0x06e80001,0xf00007ea,
    0x5555555b,0x005f9555,0xc8002fc4,0x2aaaa007,0xaaaafdaa,0x3eaaa1aa,
    0xcaaaaaae,0xf5004ffd,0x3ee00007,0x6407f10f,0xfa8fe207,0x403e400f,
    0x0000aefd,0x01ba01f6,0xbd007ea0,0x00bfb100,0x2006efd8,0x00fd42fa,
    0xb0fb0000,0x00bea01f,0xdfb100bd,0x003e4000,0x3ea001ba,0x5005f501,
    0x0bd007ff,0x9002f980,0x02fd400f,0x2000bf70,0x004f8bf9,0x3ea06e80,
    0x027c0001,0x64001fd0,0x0f90001f,0x000f9000,0xbfb100bd,0x005fd100,
    0x223ff500,0x881f203f,0x201fee3f,0xffd5007c,0x200157bf,0x006e807d,
    0x2f401fa8,0x4007f900,0x5004fafd,0x000fb85f,0x261f6000,0x805f505f,
    0xff97305e,0x3e40001b,0x2001ba00,0x05f501fa,0xd007fa20,0x02f9800b,
    0x3e200f90,0x03fc8006,0x0fd0fc80,0x540dd000,0x27c0001f,0x2002fc80,
    0x320005f8,0x07c80007,0x32005e80,0xefe9803f,0xf98000ac,0x6407f12f,
    0xfd8fe207,0x002fb806,0x3fffb2a2,0x4037c02e,0x1fa8006e,0x3a002f40,
    0x7edf6006,0x5c2fa800,0x2000000f,0x503f907d,0xfffe805f,0x2effffff,
    0x007c8000,0x7d400374,0x4005f501,0x02f405f8,0x6400be60,0x005f9007,
    0xf000ff10,0x00017d4b,0x01fa81ba,0x4c027c00,0x0fe4005f,0x000f9000,
    0xbd000f90,0x2006e800,0xadefffda,0x13ff8800,0x103e407f,0x402ff47f,
    0x10000df9,0x3207fd73,0x006e804f,0x2f401fa8,0x4003ee00,0x500bf17d,
    0x000fb85f,0x441f6000,0x402fa86f,0xecccccee,0x900000ef,0x006e800f,
    0x5f501fa8,0x202fb800,0x17cc005e,0xf8807c80,0x0bee0005,0x3e22fa80,
    0x03740005,0xf80003f5,0x0077c404,0x8000df10,0x7c80007c,0x4005e800,
    0x544000fb,0x802fffdc,0x407f14ff,0xf8fe207c,0xbff7004f,0x7ec40001,
    0x4017fee4,0x1fa8006e,0x2e002f40,0x64fb000f,0x217d402f,0x000002fa,
    0x43fa81f6,0x82f402fa,0x0000efd8,0x374007c8,0xa80fd400,0x06e8002f,
    0x02e0017a,0x7d403e40,0x17e20001,0x0fc87d80,0xa81ba000,0xf062001f,
    0x001fd809,0x200017dc,0x7c80007c,0x4005e800,0x980000fb,0xa7f404fe,
    0x81f202f8,0x013fe2f8,0x000fffcc,0xffd87ec0,0x000dd004,0x05e803f5,
    0xfb003740,0x17d406e8,0x00000fe6,0x07f407d8,0x05e805f5,0x000077dc,
    0x0dd001f2,0x2a03f500,0x1fb8002f,0x03620bd0,0x700f9000,0x7e80001f,
    0xf309f100,0x03740007,0x3e4003f5,0x04fa8026,0x80006f80,0x7c80007c,
    0x4005e800,0x6c00006e,0x18ffe01f,0xd0603e40,0x7ff100bf,0x17d40000,
    0xdd005fd3,0x803f5000,0x0bee005e,0x1fd47d80,0x5f885f50,0x1f600000,
    0x17d49f30,0x3e6017a0,0x1f20000e,0x5000dd00,0x00bea03f,0x2f40be60,
    0x40002f98,0x007d807c,0xb800fd80,0x000dd01f,0x03f50374,0xf1003e40,
    0x05f5000d,0x000f9000,0xbd000f90,0x0017dc00,0x440fe600,0x1f2002ff,
    0x500dfb00,0x001b107f,0x0bf113e0,0xf5000dd0,0x8805e803,0x3ec006fd,
    0x2fa807ec,0x00000fd8,0x3f900fb0,0x0bd00bea,0x80013ea0,0x0374007c,
    0xfa80fd40,0x03f88002,0x00be60bd,0xdd00f900,0x01f70000,0x0fdc0dd0,
    0x2a06e800,0x01f2001f,0xe8000fe8,0x0f900007,0x000f9000,0xdfb100bd,
    0xbf000100,0x8007fea0,0x3fe4007c,0x7d407e40,0x83f88003,0x006e807d,
    0x2f401fa8,0x0dffcb98,0x7cc3ec00,0xf305f505,0x3600000b,0xf56f8807,
    0x2005e805,0xf90002fc,0x8006e800,0x05f501fa,0x7f413e00,0x2feeeeee,
    0x403e4000,0xfa80005f,0x101fcc01,0x1ba0009f,0x32001fa8,0x007f7007,
    0x00007f50,0x320001f2,0x305e8007,0x801bff97,0x27c000fa,0x2000ffb8,
    0x7fdc007c,0xfa83e400,0x82fa8005,0x006e807d,0x7f401fa8,0xffffffff,
    0x0fb0002e,0x0bea07f2,0x440017e4,0x200fb05e,0x402faafb,0x0374005e,
    0x74007c80,0x01fa8006,0x3e0005f5,0xddddfd04,0x80005fdd,0x006e807c,
    0x6401fb80,0x003ec00f,0x07ea06e8,0xf9807c80,0x01fd0005,0x001f2000,
    0x3a001f20,0xffffffff,0x7f7002ef,0xc81fd400,0x03e4006f,0x9007fe60,
    0x00bfea0f,0x7d80ff88,0xa8006e80,0x6677401f,0x00efeccc,0x7c41f600,
    0xd102fa86,0x7fcc003f,0x7400fb01,0x2f402faf,0x0013ea00,0x0dd001f2,
    0x2a03f500,0x09f0002f,0x017cc17a,0x3601f200,0x0fd80007,0x7d402fc0,
    0x206e8002,0x1f2001fa,0x0001fd10,0x400009f3,0x7c80007c,0xcccee800,
    0x000efecc,0x26007fee,0x00ff606f,0xfd000f90,0xf507c805,0xfd3005ff,
    0x3a01f603,0x01fa8006,0xefd882f4,0x40fb0000,0x017d43fa,0xf5009fd1,
    0x003ec05f,0xe805fdf3,0x01fd8005,0x3a003e40,0x01fa8006,0xf10005f5,
    0x7cc17a05,0x03e40002,0x200007dc,0x56fd407e,0xbaaaaaaa,0x06e8005f,
    0x7c8007ea,0x80017e40,0x200000fd,0x7c80007c,0xb105e800,0x3ee001df,
    0xfc981dff,0x01ff101f,0xb8007c80,0xa83e405f,0x09befdaf,0x407ff953,
    0x006d807d,0x2f401fb8,0x0003bee0,0x41fd01f6,0x7f4402fa,0xeca88ace,
    0xfd9700ef,0xfd807999,0xefccb82f,0xf8802ccc,0x0f9003ce,0xb8006d80,
    0x005f501f,0x17a03f50,0x640000d8,0x001fa807,0xfb017e20,0xffffffff,
    0x8001ffff,0xb999916e,0x999999bf,0x40fd9999,0x41c404fa,0xcc8004f9,
    0xcfeccccc,0x01cccccc,0x5e8007c8,0x40077dc0,0xffffc8fa,0x200dffff,
    0x7c8005fb,0x00ff8800,0xa87441f2,0xffffffff,0x403ec00d,0x07d8007b,
    0xef9805e8,0x203ec000,0x00bea4f9,0x7fffff54,0x3fa204ff,0x406fffff,
    0x7f442ff8,0x05ffffff,0x200dff90,0x03dc007c,0x5f503ec0,0x740f9000,
    0x00488005,0x0bf100f9,0x1017e400,0x3333339f,0x07f53333,0xfff36e80,
    0xffffffff,0xffffffff,0x2a01be20,0x0007e41f,0x3fffffa2,0xffffffff,
    0x07c803ff,0xf9805e80,0x2a21800e,0x800acffc,0x7c8002fe,0x407f9000,
    0x6d44007c,0xfb000abf,0x8003f300,0x005e806f,0x7d8009f5,0x5f51fc80,
    0xacfb8800,0x00000000,0x00000000,0x3e6003e4,0x5037c001,0x0bd0005f,
    0x7d4002f4,0x9007c801,0xff10005f,0x4001fa80,0x0374006e,0x3fb00000,
    0x7c43f500,0x00000005,0x2001f200,0x09f5005e,0x3003e400,0x1f2000ff,
    0x9037cc00,0x01aa000f,0x27c01f60,0xd009f500,0x017e400b,0xdf100fb0,
    0x26000bea,0x00000007,0x00000000,0x3e001f20,0x813ea004,0x7e4002fa,
    0x20017a03,0x07c801fa,0x32001ba0,0x0036c02f,0xdd000fdc,0x2e000000,
    0x43f5003f,0x000001fc,0x01f20000,0xfc8017a0,0x00f90002,0xc8001fec,
    0x0bf60007,0xfa8002f4,0x07f2000c,0x2200bf60,0x05e800fe,0xfb003740,
    0x3eabee00,0x0cf98002,0x67640000,0x76c00000,0x3200000c,0x02fd8007,
    0x2a00fe88,0x1bee002f,0xf5000bd0,0x400f9003,0xf7000dfa,0x003f880b,
    0x3a004f88,0x033b2006,0x2005f980,0x00bf11fa,0x033b6000,0x8007c800,
    0x0374005e,0xf3007c80,0x03e4000d,0xf50df300,0x32620005,0x013ea006,
    0xe880bfa2,0x00bd002f,0xfb004fa8,0x17d7f400,0x006c9800,0x005ca800,
    0x01f54400,0x000f9000,0x74405fd1,0x017d402f,0x7401ffa8,0x01fa8005,
    0x7e4007c8,0x077e401e,0x40003ee0,0x01ba007d,0x7400b950,0x47ea000f,
    0x000002fb,0x40007d51,0x05e8007c,0x40027d40,0x05fb007c,0x0003e400,
    0x3fed4bf6,0x0f305400,0x403efd80,0xa88adfe8,0x3a003ffc,0x01fd8005,
    0x3e6007d8,0x82a002fe,0x800000f8,0x81000079,0x3200005b,0xbfd10007,
    0x7ff95115,0x4405f500,0xe801ffda,0x01fa8005,0xfa8007c8,0xeca88acf,
    0x05e800df,0x2a0bea00,0x006fcccc,0x5f900798,0xdf1fa800,0xb8100000,
    0x01f20005,0x360017a0,0x03e4001f,0x32e004f8,0xcccfeccc,0x9d1000cc,
    0x10002ffa,0x009f9dfd,0x401feb88,0xffffffd8,0xfccb801e,0x8802ccce,
    0xecb83cef,0x6c03cccf,0x3f6002ff,0x00005ece,0x009f9bf5,0x3f77f600,
    0x66644002,0xcccfeccc,0x6c402ccc,0x1effffff,0x66fee540,0xfffdcccc,
    0x3f32e00e,0xccccccce,0x1fdccccc,0xd9999991,0x5999999f,0x7ffff440,
    0x64c02eff,0x01cccefc,0x3bf33322,0x3ffffa3c,0xcdfa806f,0x99fb004f,
    0x99999999,0x5f53fb99,0xbfb00000,0xcc8805fb,0xccfecccc,0x32e2cccc,
    0x02cccefc,0x003cef88,0x20000095,0xfffffffe,0x0001ffff,0x2ee60000,
    0x40000001,0x1001acb9,0xfffffffd,0x1bff200b,0xffffffd1,0x02ff880d,
    0x000ddcc0,0x006ee600,0x01775000,0xfffff300,0xffffffff,0x65cc009f,
    0xfff9001a,0xdfffffff,0xffe8803b,0xffffffff,0xffffffff,0xffffff31,
    0xffffffff,0x2f2e6009,0xffff7001,0x7cc07fff,0x46ffffff,0x00099999,
    0x6c003773,0xffffffff,0x1fffffff,0x54000001,0xff9800bb,0xffffffff,
    0xfd14ffff,0x0bffffff,0x001bff20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x200dd800,0x970004d8,0x5400d500,0x8037100b,
    0x19999998,0x02666620,0x22000000,0x40abcdca,0x403e8800,0xeeee82e9,
    0x4025c3ee,0x4077006a,0x1dc001c9,0xa8003930,0x0037100b,0x99999988,
    0x00999999,0x0064c057,0x20000040,0x99999999,0x38800099,0x002001b8,
    0x26666620,0x99999999,0x88009999,0xcccccccb,0x98000bcc,0x99999999,
    0x01100009,0x4ccc0000,0x00099999,0x57510000,0x03df7003,0x20007fd3,
    0x03f401fc,0xfb04ff98,0x3ffe201f,0xb86fffff,0x02ffffff,0x0002ed88,
    0xffffffb3,0x01f519ff,0xf701bfd0,0xdddff01f,0x401fc85d,0x2ffb807e,
    0x5c00dff0,0x0dff02ff,0xd827fcc0,0xff1000ff,0xffffffff,0xfb87ffff,
    0x00dff02f,0x281fff54,0x3fffea00,0x1fffffff,0x3e07dc00,0x3ffd9804,
    0xffff8830,0xffffffff,0x02ffffff,0xffffff98,0x002fffff,0x7fffffe4,
    0x4007ffff,0x980cffd9,0xfffd0000,0x00dfffff,0xfff90000,0xff500bff,
    0x0017fdc5,0x7dc0df50,0x07ff3005,0xaa803ff6,0x81aaaefa,0x02cffba8,
    0x001fff90,0x11bdffb8,0x3fdffb75,0xc87bf200,0x009f00ef,0x2fdc0df5,
    0xe817fd40,0x3fea006f,0x400dfd02,0xffb03ff9,0x5554c001,0xaaaafdaa,
    0x02ffb82a,0x3f200dff,0xb13efebf,0x5554005f,0x2aaaaaaa,0x220fb800,
    0x67fdc04f,0x0bf62efe,0x555df555,0x55555555,0x262005f9,0x99999999,
    0xaaa88000,0x1aaaaaaa,0x373fea00,0x09f90cff,0x2aaaa600,0x001fdefa,
    0x2b3fa000,0xd1003b99,0x001df99f,0x359ff900,0x4001ffd7,0x006e2039,
    0xfb1005e8,0xfffc8007,0x03bf2000,0x007ffa20,0x4febffa8,0xfc8027c0,
    0xffeb9acf,0x44055000,0x0154000b,0x39800171,0x00006e20,0x0aa003e4,
    0x9d000b88,0x7ffff541,0x00000003,0x07f11f20,0x3fea0cf8,0x2f404fff,
    0x000be600,0x00000000,0x260dd800,0x005ffffe,0x7c5fcc00,0xf9000004,
    0x3f200007,0x5c00004f,0x0dffffff,0x80000000,0x2fe8805e,0x03fd8800,
    0x0003bea0,0xe88003fd,0x04f802ff,0x3ffffee0,0x000000df,0x00000000,
    0x20000000,0x0000007c,0x0736e000,0x00000000,0x002f98f9,0x005bb710,
    0x2f9800bd,0x09803100,0x00000000,0x005bb500,0x3a1f9000,0xf8800007,
    0x15400005,0xba880000,0x000000ab,0x3017a000,0x000005fd,0x0007fc40,
    0xc8000fdc,0x8009f001,0x000abba8,0x00000000,0x00000000,0x0007c800,
    0x00000000,0xbdca8800,0x23ec0002,0x000002f9,0xf30017a0,0x07ff1005,
    0x31003ff2,0x44033333,0x00199999,0xf0000000,0x00017d4b,0x0000bea0,
    0x00000000,0xb9510000,0x17a00057,0x0001ff98,0x01fd4000,0x00005880,
    0x00009f00,0x33333100,0x33333333,0x33013333,0x33100333,0x99980133,
    0x00099999,0x8803e400,0x99999999,0x4c419999,0x98800999,0x4c019999,
    0xfffffffe,0xa8dd0003,0x2666201f,0x99999999,0x0017a019,0xff3005f3,
    0x807ff60b,0xfffffff9,0xfffffb86,0x266604ff,0x00099999,0x222fa800,
    0x5c00005f,0x3330000f,0x00133333,0x26666620,0x99999999,0x4c009999,
    0xfffffffe,0xa82f4003,0x266000ef,0x99999999,0x7e409999,0x4c400000,
    0x99999999,0x99999999,0x331013e0,0x33333333,0x7ffc4333,0xffffffff,
    0x2fffffff,0x27fffffc,0xffffff50,0x3ffffa03,0x0006ffff,0x7d403e40,
    0xffffffff,0x3e5fffff,0x5405ffff,0x5fffffff,0x2159df70,0x000efdb9,
    0x407ee2f4,0xfffffffa,0x5fffffff,0x17000bd0,0x4c077200,0xeeaa803d,
    0xaa881aaa,0xd00abfca,0xffffffff,0xfb00000d,0x00001f90,0xfe8003e4,
    0x6fffffff,0xffff8800,0xffffffff,0x02ffffff,0x4c2b3bee,0xd000efdb,
    0x001df70b,0xfffffff8,0x2fffffff,0x20000374,0xfffffff8,0xffffffff,
    0x813e2fff,0xfffffffa,0x5fffffff,0x2abbeaaa,0xaaaaaaaa,0x754c2fca,
    0x55400abf,0x2a602bfe,0xfdefaaaa,0x1f200001,0x55555540,0xaaaaaafd,
    0x3ffaaa61,0x32aaa202,0xefc81acf,0x0077e400,0x00fb8bf0,0x36aaaaaa,
    0x1aaaaaaf,0x03620bd0,0x00000000,0x3ea001ba,0x55554c01,0x001fdefa,
    0x2613e200,0x3200003f,0x55530007,0x03fbdf55,0x5df55500,0x55555555,
    0x3205f955,0x77e400ef,0x7e45e800,0x55bf0005,0x55555555,0x027c45f9,
    0x7d554000,0xaaaaaaae,0x22fcaaaa,0x5555404f,0xaaaafdaa,0x00bd01aa,
    0xbf302f98,0x0027d400,0x04f8bf98,0x001f2000,0xfb000f90,0x17d400dd,
    0x2e005fa8,0x913e005f,0x0f90001f,0x3e60bd00,0x00000002,0xa8006e80,
    0xbf98001f,0x200004f8,0x00dd01fb,0x0003e400,0x09f17f30,0x4005e800,
    0x05fa82f9,0x3a017ee0,0x8001bf25,0x83fa004f,0x000002fa,0x3e6002f4,
    0x640013e2,0x005e8007,0x5f9017cc,0x000dd100,0x007e87e4,0x0001f200,
    0x5fb000f9,0x0bea009f,0x32001be2,0xf755303f,0x55fb555b,0x0f900155,
    0x3e60bd00,0x00000002,0xa8006e80,0x0fc8001f,0x740000fd,0x0007ee06,
    0x3f6aaaa2,0x0001aaaa,0x001fa1f9,0xf9800bd0,0x40037c42,0xdaf403fc,
    0x8000dfff,0x85f9004f,0x000001fb,0x3e6002f4,0x640013e2,0x005e8007,
    0x3fa017cc,0x000fe400,0x017d4bf0,0x0007c800,0xbec003e4,0x2fa800fd,
    0x88002fc8,0xffffa87f,0xffffffff,0x7c803fff,0xeeefe800,0x4002feee,
    0x44009998,0x74009999,0x01fa8006,0x0bea5f80,0x80fe6000,0xfc8004f8,
    0xffffffff,0x4bf0007f,0x3a0002fa,0x217cc005,0xf88002fc,0x5ff77407,
    0x4003ffc8,0x85f9804f,0x000001fb,0x3e6002f4,0x640013e2,0x005e8007,
    0x3e6017cc,0x0013e604,0x17e22fa8,0x003e4000,0x36001f20,0xf500bf17,
    0x0005f885,0x2aa60bee,0xeeaaacfc,0xc800aaaa,0xeefe8007,0x002feeee,
    0x81bfffe2,0x04fffff8,0x7d400374,0x117d4001,0xf90000bf,0x0007d801,
    0x33fb3333,0xf5000133,0x0002fc45,0x2f9800bd,0xb80017e2,0x0bffa02f,
    0x7c007fd1,0x4077c404,0x998801fb,0x00999999,0x2f9800bd,0x3e40013e,
    0x4002f400,0x02fc800b,0x6c0001fd,0x0000fc87,0x640007c8,0x327d8007,
    0x217d402f,0x220001fa,0x217cc05f,0x0f90005e,0x3e60bd00,0x7e654002,
    0x7e665c06,0x40037404,0x3ec001fa,0x200007e4,0x02fa805f,0x0007c800,
    0x01f90fb0,0x20017a00,0x0007ea0b,0x3fa05f88,0x4007f601,0x80fec04f,
    0x7fc401fa,0x6fffffff,0x17000bd0,0x7c80027c,0xb105e800,0x0ee80001,
    0x100017e4,0x007f309f,0x8000f900,0x47d8007c,0x217d406e,0x740000fb,
    0x3e0fd407,0x00f90005,0x0be60bd0,0x2006e800,0x037404f8,0x1000fd40,
    0x007f309f,0x5556fd40,0x5fbaaaaa,0x007c8000,0xf984f880,0x20bd0003,
    0x0fb800d8,0xd03f4000,0x006f880b,0x027d4013,0x555007f3,0x037f9555,
    0x006c417a,0x7c80027c,0xf305e800,0x4f980005,0x700017e6,0x001ba03f,
    0x90001f20,0xa8fb000f,0xb0bea03f,0x1fb0000f,0x13e0fdc0,0x4003e400,
    0x0003605e,0x3e2006e8,0x40037404,0x3ee001fa,0x4000dd01,0xfffffffd,
    0x00ffffff,0x0003e400,0x06e80fdc,0x3e60bd00,0x0007d802,0x0bd00fd8,
    0x80009f50,0x04f806f8,0xe807ee00,0xf005f305,0x01f20009,0x17cc17a0,
    0xe8fe4000,0x3740000f,0x80003f70,0x3e40007c,0x7ec3ec00,0x6e85f500,
    0x00fb8000,0x009f03ee,0x3a001f20,0x80488005,0x13e2006e,0xf5000dd0,
    0x70374003,0x9f10003f,0x33333333,0x0007f533,0xe80007c8,0x0007ee06,
    0x017cc17a,0x5c000374,0x200bd00f,0x3a0000fd,0x006e800f,0x5e807ee0,
    0x9f005f30,0x001f2000,0x3bbbbbfa,0x880002fe,0x0002fcee,0x9f101fcc,
    0x007c8000,0x6c003e40,0xf505f987,0x80005f85,0x2aaaa1fa,0xdfbaabfd,
    0xf9000aaa,0x000bd000,0x06e803f5,0xdd013e20,0x003f5000,0x4f880fe6,
    0x001fa800,0x32000374,0x1fcc0007,0xd0009f10,0xfddddddf,0x000bf005,
    0x17a03f50,0x8001fcc0,0x5f9003fb,0x807ee000,0xeeeeeefe,0x004f802f,
    0xfd000f90,0x5fdddddd,0x3fea0000,0x0fc80005,0x20003ec0,0x3e40007c,
    0xfc83ec00,0x3742fa81,0x88fdc000,0xffffffff,0x5fffffff,0xd000f900,
    0x03f5000b,0x3e2006e8,0x40037404,0x1f9001fa,0xd8007d80,0x01fb8006,
    0x0001f200,0x07d801f9,0xeeeefe80,0x6e802fee,0x01fb8000,0x03f400bd,
    0x1002fcc0,0xf70001fd,0x7777f403,0xf802feee,0x00f90004,0x0be60bd0,
    0x00fd8000,0xa805f800,0x1f20002f,0x000f9000,0x21be20fb,0x003ec2fa,
    0x33107ec0,0xf7333fb3,0x64003337,0x005e8007,0x37401fa8,0xe809f100,
    0x01fa8006,0x5f500bf0,0x001fc400,0x900027c4,0x05f8000f,0x74002fa8,
    0xb005f305,0x1fb0000f,0xfb8017a0,0x03fa2002,0x001bf300,0x17a01fb8,
    0x27c017cc,0x8007c800,0x005f305e,0x0003e400,0x55556fd4,0x05fbaaaa,
    0x0001f200,0x0fb000f9,0x0bea1fd4,0xe80001f7,0x3ea37407,0x00f90001,
    0xf5000bd0,0x2006e803,0x037404f8,0x5400fd40,0xaaaaaadf,0x2005fbaa,
    0xfb0000fb,0x003e4000,0x5555bf50,0x0bf75555,0x5f305e80,0x0001f700,
    0x017a07e8,0x32005f88,0xff70002f,0x07f22005,0x05f305e8,0x320009f0,
    0x205e8007,0x3200000d,0xffd80007,0xffffffff,0x90000fff,0x07c8000f,
    0x7f407d80,0x3f50bea0,0x02fc4000,0x003f517a,0x3a001f20,0x01fa8005,
    0x9f100374,0xb8006d80,0xfffd801f,0xffffffff,0x0bd000ff,0x0017d400,
    0x360007c8,0xffffffff,0x000fffff,0x800d817a,0x220001fa,0x77e65c5f,
    0x7e402ccc,0x9f500ccc,0x3a603880,0x5311abdf,0x7401dffb,0x3e003605,
    0x00f90004,0x91000bd0,0x000f9000,0x9999cf88,0xfa999999,0x66665c03,
    0xcccccfec,0x007c800c,0x27cc07d8,0x05f885f5,0xf00bf200,0x0000fb8b,
    0x332e00f9,0xccccccef,0xfdcccccc,0x10037401,0x007b809f,0xcf8807d8,
    0x99999999,0x2603fa99,0x1cccefcc,0x3f333220,0x3e4003ce,0x99cf8800,
    0x99999999,0x17a003fa,0x5f892200,0x88bf2000,0xfffffffe,0x7fffcc05,
    0xa806f880,0x7ffe401f,0x1cffffff,0x88005e80,0x640013e4,0x005e8007,
    0x64001fa8,0x0fd40007,0xe881ba00,0xffffffff,0x802fffff,0x07d8007c,
    0x05f51fc8,0xf10005f9,0xfc89f00f,0x00f90000,0xffffffd1,0xffffffff,
    0xe803ffff,0x013e2006,0x6f8003f3,0x4001fa80,0x3ffee06e,0x2603ffff,
    0x6fffffff,0x8003e400,0x374001fa,0x5000bd00,0x0017e43f,0x00003fc4,
    0x003fb000,0x262003f5,0x0009accb,0x3ea0017a,0x320009f1,0x005e8007,
    0x64001fa8,0x036c0007,0x2000fdc0,0x20000bfb,0x07d8007c,0x05f56f88,
    0x3f2001ba,0x3227c402,0x01f20007,0x067c0000,0xf70036c0,0x4009f009,
    0x06d804fa,0x0001fb80,0x0019d000,0x36000dd0,0x01fb8006,0xf5000bd0,
    0xc8006e83,0x0000002f,0x2a007f70,0x0000001f,0x7d4002f4,0x320009f1,
    0x005e8007,0x64001fa8,0x0fe20007,0x0013e200,0xf900007d,0x200fb000,
    0x502faafb,0x3ee001bf,0x6c3f8805,0x01f20007,0x01aa0000,0xfc801fc8,
    0x02fd804f,0x4400fe88,0x4f88003f,0x79800000,0x00bf1000,0x10007f10,
    0x017a009f,0xbf507ea0,0x017ee001,0x000cec80,0xf5002fcc,0x06764003,
    0x8005e800,0x0009f1fa,0x17a001f2,0x0007ea00,0x7dc000f9,0x00fb0000,
    0x400007c4,0x07d8007c,0x80bebfa0,0x7e401efc,0x43f9800e,0x1f20006d,
    0x0f200000,0x2204fa80,0x8804fefe,0x3fa202fe,0x000fb802,0x00000fb0,
    0x36000b70,0x0fb8001f,0x200fb000,0x1fa8005e,0x6401efc8,0x540000ef,
    0x07f4005c,0x8003f500,0xbd0005ca,0x3e3f5000,0x00f90004,0xf5000bd0,
    0x007c8003,0xa80017a0,0x30fa002f,0x000f9000,0x77cc00fb,0x67fd402f,
    0xdfeca88a,0xe85f3000,0x01f20006,0x47a60000,0x577ec049,0x8bffdb98,
    0x74403cef,0xfca88adf,0x00bd003f,0x00017d40,0x2a2be200,0xfea82a0d,
    0x00bd0004,0x74017d40,0x01fa8005,0x51159ff5,0x0001bfd9,0xfc801e60,
    0x00fd4002,0xe8003cc0,0xf1fa8005,0x0039999d,0x332e00f9,0xccccccef,
    0xfdcccccc,0x33332e01,0x0cccccfe,0x99df9930,0x66644039,0xb803cefc,
    0x9106fcef,0x9fd99999,0xb8599999,0x03cccfec,0x44017fec,0xeffffffe,
    0x20fd4002,0x6664405e,0xcccfeccc,0x00002ccc,0x1013fff2,0xbffffffb,
    0x01bffe21,0x3fffff62,0x664c01ef,0x201cccef,0xcefcccc8,0x2a000003,
    0x3fe64efd,0x4004ffff,0xcccefcc9,0x33332201,0x665c3cef,0xccccccef,
    0xfdcccccc,0x3fffa201,0x0002efff,0x027e6fd4,0x99999fb0,0xb9999999,
    0x9bf5003f,0x665c009f,0xccccccef,0xfdcccccc,0xbffffff1,0x33333322,
    0xccccccfe,0xfffffd12,0xffffffff,0x403fffff,0xfffffffe,0xf701ffff,
    0x07ffffff,0x7fffffcc,0x7b71006f,0x3fffe601,0xffffffff,0x3ffa24ff,
    0x4406ffff,0x5cc002ff,0x0e0001bc,0xfff3006a,0xffffffff,0x00009fff,
    0xcba80030,0x9800001b,0xf7001acb,0x07ffffff,0x7fffffcc,0x8000006f,
    0x37bb7300,0xffff7000,0x7cc07fff,0x26ffffff,0xffffffe8,0xffffffff,
    0x3001ffff,0x00003797,0x2000ddcc,0xfffffffd,0xffffffff,0x03773001,
    0x7ffff440,0xffffffff,0x31ffffff,0x7cc13333,0xffffffff,0x004fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03333331,0x04ccccc4,0x4cccccc0,0x20009999,
    0x99999998,0x10000099,0x00037995,0x005e5d44,0x99999998,0x00000999,
    0x02200000,0x00000000,0x7777764c,0x00004eee,0x10000044,0x22000020,
    0x30180000,0x00000c00,0x00000300,0x00300001,0x00006000,0x00003000,
    0x00018000,0x95300022,0xdddddddb,0x880530bd,0x4ffffffe,0xffffff98,
    0x3fff202f,0x7fffffff,0xfffff300,0x05ffffff,0x7fff4c00,0x4003ffff,
    0x5ffffffa,0x7ffffe40,0x007fffff,0x0005f6d4,0x005fa800,0x01775c40,
    0x55f7e400,0x05caaaaa,0x013ea000,0x2a1fd400,0x3ea0003f,0x07ec0005,
    0x3e2003f6,0x4000000e,0x200003fc,0x220003fb,0x200000ef,0x00000ef8,
    0x0003fb80,0x03f30000,0x200df300,0xafbcefea,0x41aaedaa,0x2600fffd,
    0x00aaaeea,0x057f9555,0xaaaaaa88,0x2001aaaa,0xaaaaaaaa,0x2a0002aa,
    0xb730acff,0x3bf200bf,0x40bf730b,0xaaaaaaa8,0x32001aaa,0x0006d9ae,
    0x000efb80,0x2f556f40,0x003d7000,0x2e0000b5,0xa80000ef,0x03bea0ef,
    0x0077dc00,0xfc89f900,0x03bee004,0x6fec0000,0xbf900000,0xefb80001,
    0x3ee00000,0x2000001e,0x00000dfc,0x005f7000,0x4401ffa8,0x71e22ffe,
    0x3fffe20b,0x8006e803,0x000001fa,0x00000000,0xf7003bf2,0x027d401d,
    0x00000bf3,0x01740f80,0x01df9000,0x7c479800,0x007f0000,0x3200016a,
    0xa80000df,0x03bea0ef,0x0077e400,0xfc8bf900,0x1ffa8005,0x3f620000,
    0xfb100004,0x7d40000b,0x2a00001f,0x400001ff,0x44005fd8,0x20199999,
    0xeb999998,0x0f7dc006,0x2207fec0,0xffd02dc7,0x00dd003f,0x00003f50,
    0x00000000,0x40037ea0,0x01ba05fa,0x000001f2,0x004b8698,0x000bfb00,
    0x00b612e0,0x5a801e60,0x17f62000,0x077cc000,0x20001df3,0x5c0005fd,
    0x002fdc5f,0x0005ff30,0x0007fd10,0x0013fa20,0x00bfe600,0x02ff9800,
    0x07fd1000,0xffffe880,0xfff984ff,0x001effff,0x22003bf2,0x5c7881ff,
    0x00b72205,0x7d400374,0x99999881,0x99999999,0x4c009999,0x09999999,
    0x001ba000,0x0bee0bee,0x33107e60,0x33333333,0x07e00333,0xfd00005d,
    0x3cc00009,0x260003e2,0x0002000f,0x00004fe8,0x7fc41ff1,0x09fd0000,
    0x545fa800,0xe880005f,0x3e20002f,0xf100002f,0x4000005f,0x00002fe8,
    0x0000bfa2,0x20005ff1,0x0aaaeea9,0x17f95550,0x005fc800,0x23c41fee,
    0x7400005b,0x41fa8006,0xfffffff8,0xffffffff,0x3fa02fff,0x6fffffff,
    0x005f7000,0x01be1be0,0x3ffea4f8,0xffffffff,0xec805fff,0x00006d9b,
    0xd0000059,0x0009d55b,0x000001f4,0x200002c8,0x006440c8,0x00005900,
    0x00193093,0x00072200,0x80000390,0x8000001c,0x400001c8,0xc80001c8,
    0x06e80001,0x8001fa80,0x2fe4003a,0x002dc788,0x2001ba00,0xfaaa81fa,
    0xaaaaaaae,0x02fcaaaa,0x3eaaaaa6,0x44001fde,0x3ee0006f,0xf800fe63,
    0x55555545,0xaaaaaafd,0x17db5001,0x00000000,0x005bd500,0x07ffd930,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8006e80,0x0000001f,0x71e20df9,0x6e80000b,0x401fa800,
    0x17cc005e,0x3e2fe600,0x017d4004,0x2fa97e00,0x200bf100,0x0000007c,
    0x49800000,0x26000000,0x0cfa9bdf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5000dd00,0x0000003f,
    0x23c41fee,0x7400005b,0x01fa8006,0x3e6002f4,0xe87e4002,0x007dc007,
    0x1fb9b600,0x17fffaa0,0x00003e40,0x5cc40000,0x7cc0acdc,0x0000000f,
    0x05fd307b,0x1cca8800,0x8802f6a0,0x4c400999,0xb8800999,0x021acddc,
    0x5ee5cc40,0x9730000a,0x800059bb,0x0abdcb98,0xbb973000,0x98800059,
    0x800abdcb,0x44009998,0x31009999,0x99880133,0x03740099,0x2000fd40,
    0x0abcdca9,0x220bfe60,0x06202dc7,0xa8006e80,0x002f401f,0xbf000be6,
    0xf90017d4,0x64f90000,0x9bffd107,0x01f200bf,0xcddcb980,0x3fea0002,
    0x8cffffff,0x4cc41ff9,0x4ccc4009,0x5c01f009,0x754001df,0x20efffff,
    0x82fffffa,0x206ffff8,0x04fffff8,0x3fffff62,0x01fadfff,0x7fffffd4,
    0xfb5004ff,0xffffffff,0xfff50005,0x009fffff,0x3fffff6a,0x8002ffff,
    0xfffffffa,0x3ffe204f,0x3ffe206f,0xfff884ff,0x3ffe206f,0x037404ff,
    0x8800fd40,0xfffffffd,0xffc8bb3f,0x016e3c41,0x037400f9,0x3a00fd40,
    0x017cc005,0x2fc45f50,0x0000db00,0x221f63f7,0x802fc3fe,0x7ed4007c,
    0xffffffff,0x3bf62002,0x3ff6621b,0x7ffc41ff,0x3ffe206f,0x80b904ff,
    0x8800cfc8,0xbf911cff,0x3ee2ffe6,0x6fcca82f,0x27e665c0,0x409dfe88,
    0x102fffc9,0x54437df9,0x7fc01efd,0x3aa209bd,0xdf91003f,0x77ed4437,
    0x4deffc01,0x00ffaa20,0x10df7e44,0x2a03dfb5,0x65c06fcc,0x99504fcc,
    0xcccb80df,0x0037404f,0x7d400fd4,0x3aa209bf,0xffc86fef,0x05b8f10b,
    0x6e8007ec,0x401fa800,0x00b8005e,0x03f21f60,0x40002f40,0xf90fb2fa,
    0x3200bf05,0x5effc007,0x0ffaa209,0x54027f40,0xf99504ff,0xfcccb80d,
    0x3007f104,0x401005fb,0x440efcfb,0x0037407e,0x0ff209f1,0x6c0bfe60,
    0x0ffa804f,0x0ff80020,0xa804fd80,0x800200ff,0x4fd800ff,0x400ffa80,
    0x13e2006e,0xf8801ba0,0x40037404,0x77d401fa,0x06ffa800,0x8f9dffd3,
    0x007ec05b,0xfa8006e8,0xd882f401,0x27c40000,0x6d801fcc,0xb1fb8000,
    0x17e0bf0f,0x02003e40,0x6400ff80,0xeff8802f,0x0037400f,0x67cc09f1,
    0x00dfa800,0x03fff100,0x06e80fe6,0x37c13e20,0xf705f900,0x037cc007,
    0x403fb800,0x3e6003fb,0x7f700006,0x2003fb80,0x037406f9,0xdd009f10,
    0x2027c400,0x1fa8006e,0x7001be20,0xdba880df,0x3fa02dc7,0x000dd001,
    0x05e803f5,0xb80005f3,0x200dd01f,0x7c80007c,0x207f11f6,0x00f9005f,
    0x01fdc000,0xff100bf5,0x6e80bf13,0x1013e200,0xdb1005fb,0x17f20001,
    0x03740fb0,0x1ba09f10,0x7c40e880,0x03fb8006,0x4409f000,0x3fb8006f,
    0x409f0000,0xfb8006f8,0x8801ba03,0x006e804f,0x0dd013e2,0x6c03f500,
    0x06f8001f,0x80b71e20,0x0dd001fe,0xe803f500,0x0005f305,0x07ee06e8,
    0x00003ee0,0x3e23ecdb,0x3200bf05,0x7c000007,0x1003f604,0x00fe43fd,
    0x27c400dd,0x800dfb80,0x7f90005d,0xdd01fb80,0xb827c400,0x7e40003f,
    0x00dd0000,0xfc813e00,0x00dd0000,0xfc813e00,0x40dd0000,0x13e2006e,
    0xf8801ba0,0x40037404,0x017e01fa,0xf1001dc0,0x0ff405b8,0xb8006e80,
    0x777f401f,0x002feeee,0xf880fe60,0x002fa804,0xd0fb2fc0,0x200bf03f,
    0x4000007c,0x1017e04f,0x03f985fd,0x4f8801ba,0x013f2200,0xcb9801f1,
    0x4c01fc9a,0x400dd02f,0xdfb104f8,0x6c001359,0x03f20006,0x57997530,
    0x36c09f13,0x801f9000,0x9abccba9,0x01b604f8,0xdd00fc80,0x4027c400,
    0x13e2006e,0xf5000dd0,0x000be603,0x2e3c4000,0x8017fc05,0x07c8007c,
    0xeeeeefe8,0x320002fe,0x803ec00f,0x3ee0006f,0x3bea1f63,0x64017e0a,
    0x2ea60007,0x4f89abcc,0x74407f10,0x7409f02f,0x013e2006,0xe80bfa60,
    0xffffdb82,0xeeeeffff,0x03feeeee,0x27c400dd,0x3ffffaa0,0x17e01cef,
    0x881fa800,0xfffffffb,0x3e04ffff,0x07ea0005,0x3ffffee2,0x04ffffff,
    0xfa80017e,0x4400dd01,0x006e804f,0x0dd013e2,0x2a03f500,0x0000001f,
    0x7c05b8f1,0x03f7002f,0x5e806e80,0x40005f30,0x02fa805f,0x88002fb8,
    0xfb83e46f,0x00efeeff,0x5c4007c8,0xffffffff,0x5f304fff,0xf80bfa20,
    0x8801ba05,0x3ee0004f,0x3a63540d,0xb9889bef,0xeeeeeefe,0xdd03eeee,
    0x8027c400,0xffedba98,0x0027c40c,0xff987f30,0x99889abe,0x9f104fca,
    0x21fcc000,0x89abeff9,0x04fca998,0x4c0009f1,0x400dd03f,0x06e804f8,
    0xdd013e20,0x203f5000,0x000000fc,0x205b8f10,0xf3003ff8,0x027cc009,
    0x02f982f4,0x555bf500,0xbf755555,0x0003fe00,0x00fb85f7,0x5ffdfd91,
    0x4c00f900,0x889abeff,0x104fca99,0x05fd107f,0x0dd027c4,0x00027c40,
    0x3ff6fb62,0x9007fe22,0x6e80001f,0x0013e200,0xf83df910,0x87ea0005,
    0x3e002fe8,0x80017e04,0x0bfa21fa,0x17e04f80,0xd01fa800,0x027c400d,
    0x9f100374,0xb8006d80,0x003f701f,0x71e20000,0x01ffc40b,0x3a005f90,
    0x205e800f,0xffb0000d,0xffffffff,0xf5001fff,0x17ee001b,0x000007ea,
    0xfe8803e4,0xf813e002,0x201ff445,0x01ba02f9,0x00004f88,0xfb8159fb,
    0x002fc802,0xf1003740,0x3e600009,0x90003ec4,0x000fe41f,0x007d813e,
    0x1fc83f20,0xfb027c00,0x807e4000,0x13e2006e,0xf8801ba0,0x4003dc04,
    0x00be607d,0x23c40000,0x13fe205b,0x202ff880,0xbd003fd8,0x44091000,
    0x999999cf,0x03fa9999,0xc803df70,0x03f980ef,0x00f90000,0x9f0007f2,
    0xfe887ec0,0x201fc803,0x13e2006e,0x902f8000,0x09f9001f,0x2006e800,
    0x001a84f8,0x00fdc7c8,0x02f46e80,0x3f7027c0,0xbd1ba000,0x5c09f000,
    0x0dd0001f,0x9f100374,0x4400dd00,0x00fcc04f,0x4f881be0,0xf1000000,
    0x3fe605b8,0x6ff44004,0x3ffb988a,0x20017a00,0x03f501fa,0x2e006e80,
    0xba88acff,0x037404fe,0x007c8000,0x09f000bd,0x03fdafcc,0x37405f98,
    0x4409f100,0x54132002,0x06fd801f,0x70036c00,0x000dd09f,0x037c41f7,
    0x9f11fdc0,0x204f9800,0xfb8006f8,0x30013e23,0x037c409f,0xdb01fdc0,
    0x4027dc00,0x13ee006d,0xf98013e0,0x000fec04,0x8f100088,0x17fe605b,
    0x3fff6200,0x4001efff,0x1fa8005e,0xf7000db0,0x7fe4c003,0x803effff,
    0x800002fb,0x04f8807c,0x32027cc0,0xe8803fef,0x0036c00f,0x035409f7,
    0x13e207b0,0x807fff70,0x003f901b,0x1fd09ff9,0xfa87e800,0x217e6004,
    0x3fee007f,0x0027d404,0x00ff0bf3,0x2a027fdc,0x17e6004f,0xf9003f90,
    0x03f9009f,0x9009ff90,0x1fd1005f,0x8006f880,0x8f1004fb,0x17fea05b,
    0xbefb8800,0x00bd0000,0x7f103f50,0x009f1000,0x015bff50,0x00077c40,
    0x7c01f200,0x13fee007,0x801dff10,0xfc802ffa,0x04ffc801,0x0fc401aa,
    0x3ee07f90,0xe980feff,0x409f503f,0xe84fefe8,0x7fb001ff,0x70037f60,
    0x07f901ff,0x04fefe88,0x5c00dfd8,0x03fc80ff,0x027f7f44,0x2e006fec,
    0x27d400ff,0x09fdfd10,0x74409f50,0xd8804fef,0x0bfa202f,0x400f7d40,
    0x1000efe9,0x3e605b8f,0x7d40004f,0x02f40000,0x7dc0fd40,0x00fb0000,
    0x1002ffa8,0x4c01df50,0x00f9000d,0xfd100ff2,0xefd809fd,0xb5309bff,
    0x3ea003df,0x3fbfa204,0x2201aa04,0x9cfd805d,0x8fcdfda8,0xffc98afe,
    0x4577ec03,0xf8bffdb9,0x3fffa3ce,0xf73309bd,0xbffc809f,0xdfeb988a,
    0x139fd100,0x27ffb731,0x3203ccef,0xb988abff,0xfd100dfe,0xfb731139,
    0x0f33be7f,0x88abffc8,0x000dfeb9,0xb7315dfb,0x79df17ff,0x98aefd80,
    0xef8bffdb,0x67f4403c,0x3ffca88a,0x567fdc00,0x9ffb7511,0x2e3c4001,
    0x00065c05,0x20001720,0x1fa8005e,0x2a0005e8,0xffd8802f,0x8abdefee,
    0xfc81fda8,0xfca98ace,0x00f9000e,0x22273fa2,0xdf3ffdb9,0x34fd8799,
    0xfffffffd,0x5dfb0009,0x17ffb731,0x9f5079df,0xfd999999,0x7ffec00b,
    0x3e6d54ff,0x800dffff,0xffffffd8,0x4dfff10d,0xffffc8cc,0x002effff,
    0xffffffd3,0xffb1007f,0x41bfffff,0x4c05ffff,0xfffffffe,0xfffd8803,
    0x3e0dffff,0x74c05fff,0x3fffffff,0x7ffec400,0xff10dfff,0xffd880df,
    0xf10dffff,0xfb100dff,0x03dfffff,0x3fff6200,0x00cfffff,0x3fccccc8,
    0x00999db1,0x107cc000,0xdf997001,0x99999999,0x23fb9999,0xcccefcc9,
    0x33332201,0x3fa03cef,0xffddefff,0x203fffff,0xfffffffa,0x6666440c,
    0xccccfecc,0x7fec42cc,0x20dfffff,0x3f25ffff,0x1acba984,0x3ff62000,
    0xf10dffff,0x99930dff,0x01599999,0x01595100,0x8000ac98,0x0001bcba,
    0x55e654c4,0x97510001,0x95300035,0x80000359,0x001acba8,0x01acca98,
    0x65d44000,0x5d40001a,0x200001bc,0x0001bcba,0x01acb980,0x79731000,
    0x65c00135,0x9912cccc,0x00000799,0x03fddfe8,0x7fffff44,0xffffffff,
    0xf71fffff,0x07ffffff,0x7fffffcc,0x02aee06f,0x00566544,0x00aacb98,
    0xfffffff3,0x9fffffff,0x06b32a60,0x0000ea00,0x37975000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x664c0000,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01800000,
    0x00300000,0x000d5440,0x54000098,0x00049803,0x4a8007b1,0x26004a80,
    0x7000009a,0x4000001b,0x0c0001a9,0x400c0000,0x00e4401c,0x09300750,
    0x000db800,0x0003b300,0x004d54c4,0x000aa880,0x0644024c,0x93007500,
    0x00180000,0x0001b700,0x015c0164,0x1260064c,0x20003100,0x3be20008,
    0x2e000000,0x7fd4003f,0x8804ffff,0x001efffd,0xfd801fb0,0x7ff4c000,
    0x1df7000d,0xb1017f20,0x019fffff,0x0f7fec00,0xfec98000,0x4002ffff,
    0x00000fe8,0x7c401fd1,0x05fd303f,0x36007ec0,0xffb0000f,0xfb80003d,
    0x644002ff,0x0dffffff,0xffffd300,0x0bee007f,0x6c003f70,0x007ec00f,
    0x002fc800,0x00f7fec0,0xd104fe80,0x3df5007f,0x9001bee0,0xbff9000f,
    0x07bee003,0x37f20000,0x2fbf6000,0x01efdb9a,0x3f665df1,0x05fb8002,
    0xf5001bea,0x003df95f,0xfe88bfee,0x37fa200d,0x00ffda9b,0x7d67f4c0,
    0x7dc0003f,0x2cb9acef,0x00ffa600,0x01ff4c00,0xf506fec4,0x5fb8005f,
    0x2001bea0,0x3ffacfe8,0x9dfd8800,0xff7004fe,0xff95357b,0xadffa805,
    0x9805fec9,0x03fe206f,0x2a05fb80,0xd880006f,0x3a60005f,0x003ffacf,
    0x2a0efd88,0x3ea003ff,0x03bf623f,0xa800f900,0x2006ffff,0x00001ffa,
    0xb800bfb1,0x41bea04f,0x001f705d,0x2615bfd0,0x32001ffb,0x0bfea0ef,
    0x7d67f4c0,0x02fe803f,0x2a001df3,0x17fa22ff,0x03bf6200,0x0bfea000,
    0x17fd4000,0x327bf200,0xfd0000ef,0x3fee615b,0x17fd4001,0x4c00bfd1,
    0x077e44fe,0x4c03df90,0x3ff101fe,0x32013f20,0xfd710bdf,0x5bfd0007,
    0x007fee61,0x009fd100,0xd117fd40,0x3ee000bf,0x001efbaf,0xfe9dfe88,
    0x00f90004,0x0fffffd8,0x00bfe600,0x007fd100,0xfa805f98,0xf880fc44,
    0xffd88003,0x002fffff,0x7f4413f6,0xdffb1003,0x805f7003,0xefb804fa,
    0x400df900,0x00004ff8,0x00003ff7,0x40007bee,0x0004fffa,0x7ffffec4,
    0x7d4002ff,0x00df901e,0x3ea05ff1,0x2009b00f,0x03fb06f8,0xfc801fe8,
    0x03ffffff,0xffffb100,0x80005fff,0x20002ff9,0xdf900efb,0x3ffa6000,
    0x7e40000d,0x320002ff,0x7ffdc007,0xfe88006f,0x5ff10002,0x001f9000,
    0xc80d51f6,0x37260004,0x2c8003ce,0x5c002c80,0x00df000d,0x095003f6,
    0x7ec00950,0xdf500002,0x3ee00001,0x7440000e,0x32600002,0x50003ced,
    0x30095009,0x00c98019,0x981f9000,0x04fa804f,0x179db730,0xdb930000,
    0xf1000079,0x4a80003f,0x20004a80,0x200003d8,0x640000ea,0x7fe44007,
    0x3910001e,0x000e4000,0x3ee006e8,0x09b01ea1,0x00000000,0x40000000,
    0x9f3003f9,0x70000000,0x4c00009f,0x2600000c,0x00000004,0x00000000,
    0x00000000,0x217d4000,0x0fd001fd,0x00000000,0x06440000,0x00000000,
    0x00000000,0x57f44000,0x00044001,0x00000000,0xfa8017a0,0x7c40be21,
    0x00000002,0x00000000,0xe8007ea0,0x40000006,0x00000ef8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x037c1fa8,0x00005f70,0x00000000,
    0x00000000,0x00000000,0x75400000,0xaaffffff,0x00000002,0xc8000000,
    0x321ee006,0x0006c80e,0x26f36ea2,0xb9530000,0x44001579,0x21acddcb,
    0x70007dc0,0x0ccccc1f,0x13333100,0x00002fb8,0x00000000,0x9bb97300,
    0xb9880005,0x8800abdc,0x4c400999,0xb8800999,0x021acddc,0x7c3e4000,
    0x00fea004,0x059bb973,0x004ccc40,0x00266662,0x22000000,0x00abdcb9,
    0x79b75100,0x2a600013,0x800abcdc,0xa9abefd8,0x0007ffec,0x5e6dd440,
    0x75100009,0x5001379b,0x417a003f,0x1efc9cfe,0xfffc8800,0x003fffff,
    0x3fffff62,0x10bb3fff,0xfffffffb,0x7d43f5bf,0x6cbee001,0x805fffff,
    0x0ffffffb,0x220001b6,0x2e201999,0x3333300a,0x33333333,0xfffb5013,
    0x05ffffff,0xfffff500,0x7c409fff,0x3e206fff,0x2204ffff,0xfffffffd,
    0x0001fadf,0x0fe627cc,0xda84f880,0xffffffff,0x7ffc402f,0x3ffe206f,
    0x133104ff,0x01bdca98,0xfffff500,0x44009fff,0xfffffffc,0x3f62003f,
    0x3fffffff,0x807fb0bb,0x100007fd,0xfffffff9,0x7e44007f,0x3fffffff,
    0x6400ff80,0x3bfae02f,0x5057100c,0x54c13bff,0x7d400efe,0x3aa209bf,
    0x7f446fef,0x7fe4c09d,0x400be22f,0xdf933ff8,0x97100399,0x04e85bfb,
    0x7fffdc00,0x7fff540f,0xfffff84f,0xffffffff,0x9bdff83f,0x00ffaa20,
    0x10df7e44,0x2a03dfb5,0x65c06fcc,0xfd104fcc,0xffc9813b,0x3ee0002f,
    0x0017d40e,0x2f7fe17e,0x0ffaa209,0x80df9950,0x984fcccb,0xffb15fff,
    0x001dffff,0x886fbf22,0x5401efda,0x2a609dff,0x7d400efe,0x3aa209bf,
    0x1fd46fef,0x0003fc40,0x304effd4,0xa801dfd5,0x2a609dff,0x3a600efe,
    0x03fe982f,0x77f5c400,0x400f7cc2,0xdf500efb,0x8dff5001,0xff9803fc,
    0xfc802f42,0x00036c3f,0x43f881f9,0x202ceeb9,0x10fdccb8,0xf9139ffb,
    0xccccef8b,0xffcccccc,0x3fe00081,0x804fd800,0x37400ffa,0x3209f100,
    0x2ff9803f,0xfdb99300,0x0007ee0b,0x7c0010dd,0x00dd000f,0xfcb827c4,
    0x109cfe9d,0xfb001df7,0x01ff5009,0x2e007be6,0x1df500ef,0xf8dff500,
    0x0016e006,0x7003df30,0x3be601df,0x00efb801,0x3fbbffa2,0x710002ff,
    0xd1017dfd,0x27d4001f,0x2e0037c4,0x90037c6f,0x402fc85f,0x7dc4fbfa,
    0x50db0000,0x37ffa23f,0xb800dffd,0x505fe88f,0xfb005f89,0x7f700005,
    0x2003fb80,0x037406f9,0x1be09f10,0xb002fc80,0x5c0dffff,0x0374001f,
    0x400fee00,0x13e2006e,0x403dffd0,0x1fdc05f9,0xd10df300,0x27d4001f,
    0x2e0037c4,0x000fe26f,0x1bfffe60,0xa8003fa2,0x00fe884f,0xf9013ea0,
    0x01dfffff,0x5eff5cc0,0x000fe400,0x07f60fdc,0x0dd1be00,0x7ec07440,
    0x17e9f702,0x07b605f3,0x447dc27c,0x06fc83fe,0x02ffafb8,0x7e402fc0,
    0x13e00003,0xb8006f88,0x801ba03f,0x00dd04f8,0x51000744,0xf701bfd9,
    0x006e8003,0xdd004f80,0x2027c400,0xfb800ffe,0x000df100,0x01fc87f7,
    0x7ec1fb80,0x2a6f8001,0xfb80002f,0x1fc81fff,0x641fb800,0x1fb8001f,
    0x221bfd88,0x2e601fea,0x2000bdfe,0x9f10006f,0x770005f8,0x80003fb8,
    0xdb9acfe8,0x7f117e5f,0xf109ff30,0x3fd3f707,0x2e01fd40,0xc8001fff,
    0x0027dc03,0xfc813e00,0x40dd0000,0x13e2006e,0x00001fdc,0xb83df500,
    0x0374001f,0xe8027c00,0x013e2006,0x3e6003fd,0x0001f902,0x000df1ba,
    0x00bf13e2,0x01fa8ee0,0x4fffe800,0x22000df0,0x80037c4f,0x0f7444f8,
    0xfd90bf20,0xf100015b,0x336c0007,0x4400005f,0x009acefd,0xffffd880,
    0x3a13e23e,0xa87efc85,0x1fefa81f,0x2e00fd80,0x000000ef,0xa9800bf5,
    0xf89abccb,0x8001b604,0x00dd00fc,0xfd8827c4,0x00009ace,0xb83fa600,
    0x0374001f,0x2af32ea6,0xdd004f89,0x2027c400,0x0fe2005e,0xf900036c,
    0x8000fe21,0x000be66d,0x00017cc0,0x203fffe2,0x360003f8,0x8000fe26,
    0x800fe46d,0x402b227e,0xf503cdc9,0xdddddddd,0xdddddddd,0x0000fd4f,
    0x7ffff540,0x4c001cef,0xc83f980a,0x41fade87,0x09ff507c,0xfb80fe60,
    0xf5000001,0x3fee200d,0xffffffff,0x0017e04f,0x0dd01fa8,0x2a027c40,
    0xcefffffe,0x7cc00001,0xf000bea3,0xffff710b,0x9fffffff,0x8801ba00,
    0x002f404f,0x017e07f1,0xdf51fa80,0xdddddddd,0xfddddddd,0x80000fd4,
    0x5c0004f8,0xdf503fff,0xdddddddd,0xfddddddd,0x777777d4,0xeeeeeeee,
    0x02747eee,0x2e003f30,0x40efdbef,0xeeeeeefa,0xeeeeeeee,0x01f90eee,
    0x54c40000,0x00cffedb,0xa82fb800,0x3e2fe61f,0xff983744,0xb813e000,
    0x9800000f,0xff9800ef,0x99889abe,0x9f104fca,0x81fcc000,0x13e2006e,
    0x76dd4c40,0x00000cff,0x003f99ba,0x3bfe627c,0xa99889ab,0x0dd004fc,
    0x3a027c40,0x20fe2005,0x260004f8,0xddddf53f,0xdddddddd,0x321ddddd,
    0x3200000f,0x3f60001f,0x3bbea06f,0xeeeeeeee,0x0eeeeeee,0xddddddf5,
    0xdddddddd,0x0be21ddd,0xf5009f00,0x7c46d885,0x3ee00002,0x80000001,
    0x0001efc8,0x17cc07ec,0x9f1f61f9,0x3a002fc0,0x0003ee05,0x001ff100,
    0x7c005fd1,0x80017e04,0x00dd01fa,0x200027c4,0x0001efc8,0x13e21f70,
    0x3a23f880,0x013e002f,0x9f100374,0x22005e80,0x000bf03f,0x02f88fd4,
    0x007ee000,0x00ef8800,0x0fffc5b8,0x00005f10,0x000017c4,0x5e8003f5,
    0x7f104f80,0x200005f8,0x000002f9,0x0013e600,0x93e05fa8,0x7ccbea5e,
    0xf001f602,0x0007dc0b,0x003fd100,0x9f0007f2,0x90003ec0,0x801ba01f,
    0x300004f8,0x2e00009f,0xb801be1f,0x0007f22f,0x01ba009f,0x2f404f88,
    0x3607f100,0x83f20007,0x2600005f,0x4c00002f,0x7d440bff,0x013fea4f,
    0xf000017e,0x7c40000b,0x013e2003,0x22ec03f1,0x100000fd,0x2a00009f,
    0x007c8001,0x6c03ff10,0x74f87f36,0x00fd401f,0x3ee03f88,0x3f600000,
    0x0017a002,0x01fb813e,0x3740dd00,0x3509f100,0x000f9000,0x01fb1f20,
    0x05e83fa0,0xdd004f80,0x2027c400,0x0fe2005e,0xe8000fdc,0x00007ec6,
    0x00004f88,0xfefffe88,0x7fe42dff,0x000fd800,0x0003f600,0x2a005f80,
    0x203cc02f,0x002fcc5b,0x0003fb00,0x40037422,0xfc8000fb,0x7e47dc03,
    0x407cbec0,0x5f5005f8,0x00007dc0,0x22002fd8,0x27cc004f,0x7000df10,
    0x0036c07f,0x00dd09f7,0x80001f70,0x027d45f8,0x09f127cc,0xb004f980,
    0x027dc00d,0x3f88017a,0x7000df10,0x005f987f,0x0007f600,0xff730044,
    0x017e4039,0x00005f98,0x800017e6,0x6f8802fc,0x3a02f880,0x8003fb84,
    0x0037c438,0x00fea7dc,0x22003f40,0xafa805fd,0x5eafa85e,0x4402fb80,
    0x007dc06f,0x401fe400,0xb801fe5c,0x27d404ff,0xc80bf300,0x4ffc801f,
    0x74000fe8,0x36000dc7,0x400fe81f,0x003fc0fd,0x32009ff7,0x4ffc801f,
    0xf1002f40,0x0027d407,0x0fee0bf3,0xdf10e200,0x009f7000,0x000200f9,
    0x710007f7,0x10007f70,0x4405fd07,0x0bd001fe,0x67f40be6,0x0ffc8800,
    0x4c00f7d4,0x3ffd0efe,0x800ff600,0xf1004ffa,0x3f7e07fb,0x01fe8803,
    0xfb803fb1,0x27dc0000,0x0ff27d80,0x09fdfd10,0xb801bfb0,0x27d400ff,
    0x09fdfd10,0x36003ffd,0x00eff43f,0x7cc0ff62,0x909f900d,0xefe8807f,
    0x09f5004f,0x027f7f44,0x3f88017a,0x2006fec0,0x3fa00ffb,0xffc8800c,
    0x400f7d40,0xc800efe9,0x3a000007,0xfc8800cf,0x00cfe80f,0x440ffc88,
    0xba89adfe,0x3e2003ff,0x809d711c,0x511abffc,0x203dffb7,0x511acffb,
    0x7419ffb7,0x309bdfff,0xc889ff73,0xffeca98a,0x07ff4002,0x1001ffc8,
    0xd73159fd,0x01f7007f,0x002fd400,0x4e7f44fb,0x3ffdb988,0x640799df,
    0xb988abff,0xfb000dfe,0xffb7315d,0x7479df17,0x309bdfff,0x9109ff73,
    0x53137bff,0xfb807ff9,0xdfdb89be,0x89cfe880,0xf3ffdb98,0xfd80799d,
    0xffdb98ae,0xd03cef8b,0x01fc400b,0x4455ffe4,0x800dfeb9,0x511abffc,
    0x203dffb7,0x511acffb,0x0019ffb7,0x000001f2,0x22357ff9,0x01effdba,
    0x446afff2,0x01effdba,0x3fffffee,0xfe98000e,0xd3004ffe,0xffffffff,
    0xffb1005b,0x19ffffff,0xfff91990,0x05dfffff,0xbffffff3,0xbf900017,
    0x0007fd40,0xfffffd71,0xb9999105,0x999999bf,0x33fe2039,0xcccccccc,
    0x7ec47ecc,0x0dffffff,0x3017fffe,0xfffffffd,0xffd88007,0xf10dffff,
    0x64664dff,0xffffffff,0x7f6c402e,0x01efffff,0xffffff50,0xfffd8809,
    0x3e0dffff,0x6c405fff,0x0dffffff,0x654dfff1,0x302ccffc,0x8079df99,
    0xffffffe9,0x7f4c003f,0xdfffffff,0xfffd8802,0x00cfffff,0x00003e40,
    0x7ffff4c0,0x002dffff,0xffffffd3,0x22005bff,0x0000abb9,0x8000aa98,
    0x00abcb98,0x57973100,0x54c40013,0x9801abcc,0x000001bb,0x2e600000,
    0x3ffea01b,0xffffffff,0xff303fff,0xffffffff,0x260fffff,0x0001acca,
    0x0d65d440,0x2f2ea000,0x54c40001,0x8001abcc,0x000abba8,0x00157730,
    0x00d6654c,0x2f2ea000,0x7ffe4001,0xff703fff,0x2200bfff,0x0001acba,
    0x055e5cc4,0xbcb98800,0xb700009a,0x44000000,0x000abcb9,0x2af2e620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00950095,0x00006dc0,0x1c880391,0x32000000,0x00022003,
    0x2e000000,0x6cc0000d,0x00440001,0x80310006,0xeeed8009,0x80000005,
    0x642eeed8,0x3002204e,0x5e6d4000,0x8801d440,0x00000c00,0x007bbbaa,
    0x00033220,0x039bd950,0x3baa0000,0xb70001ee,0x800c8003,0x401c802b,
    0xaaaa81c8,0xaaaaaaaa,0xaaaaaaaa,0x25402540,0x900efb80,0x3f6000df,
    0xf10001ef,0x07fe605f,0xbcca8800,0x003fb809,0xf9000bf3,0xfb000003,
    0x2e0003df,0x30003fff,0x1bf603ff,0xc81ffc40,0xfeec807f,0x80000006,
    0x263feed8,0xff981fff,0x000bfb01,0x2b3fffaa,0xfa806ffd,0x00bfd01f,
    0x7f76d400,0x5ffd8002,0xfffb1000,0x00009fff,0x05fddb50,0x00fff500,
    0x3e2027c4,0x81ffc404,0x99d82fe9,0x99999999,0x99999999,0x8077dc2a,
    0x3ee006fc,0x037f622f,0xf59fd300,0x3a20007f,0x00ffdc4f,0xffffe980,
    0x1be63fff,0x000ffd40,0x00017fcc,0xffacfe98,0x4f7ec003,0xfb8005fe,
    0x00fff03f,0x7ec17fe6,0x01b6001f,0xf3000000,0x407ffc47,0xfff03ffb,
    0xffc88000,0xf7002cff,0x0fff105f,0x0bea0000,0x01fffa00,0xb896fec0,
    0x000004fe,0x32000bea,0x3a001fff,0x00bf601f,0xfa837f62,0x0000902f,
    0x17fdc14c,0x8001bfb1,0x3ff9cfe9,0x22ffa800,0x20005fe8,0x0dfd9efc,
    0x59ff5000,0x27bfaa61,0xefb800ff,0x3fa20000,0x7fd40003,0x2017fa22,
    0x77e44fe8,0x03722001,0xb90016d4,0x00136603,0x000000db,0x6443f980,
    0x201b9105,0xa88002da,0x3fecfffd,0x40336200,0x4c0002da,0xcfcaaaaa,
    0xff5000aa,0x09f70007,0x000017ec,0x98002fa8,0x7cc005ff,0xdfb511bf,
    0xc9efc800,0x001200ef,0xfd302980,0x0007ff39,0x00f7fec4,0xc8077dc0,
    0x3ea0006f,0x320004ff,0x7fdc00ef,0x0dfc801f,0x4fe88000,0x01df7000,
    0xff881bf2,0x003ff502,0x00000000,0x001b6000,0x7f300000,0x00002f98,
    0xcfffa800,0x000bfa21,0xf5000000,0xffffffff,0x044009ff,0x201fd800,
    0x000004fa,0x040005f5,0xffffa800,0x8000dfff,0x4804fffa,0x80a60000,
    0x001effd8,0x0001b700,0x012a012a,0x0005d300,0xd8006fd4,0x05fd806f,
    0x05fd8000,0x4a804a80,0x91007220,0x00000001,0x36000000,0x00000006,
    0x017a1fcc,0x64c00000,0x000ff401,0x2a000000,0xcfcaaaaa,0x000000aa,
    0x0dd00dd0,0x0bea0000,0xb8000000,0x0001cdec,0x04801744,0x200a6000,
    0x000000db,0x00000000,0x3a000000,0x3fbee006,0x0001dc02,0x0000b700,
    0x00000000,0x00000000,0x00db0000,0xf9800000,0x00002e23,0xf1000000,
    0x0000000d,0x00bea000,0x17a00000,0x00001ba0,0x000017d4,0x00000000,
    0x00012000,0x00000298,0x00000000,0x00000000,0xf3002fb8,0x0000dd1d,
    0x00000000,0x00000000,0xbcdba880,0x99988009,0x4cccc400,0xa886d800,
    0x8000abdc,0x7cc2cdb8,0x32e60003,0x00002cdd,0x07f50131,0x2f72e620,
    0x2e60000a,0x02fa81bd,0x2f372a60,0x017a000a,0x730009f1,0x05f5037b,
    0x5e6dd440,0x00000009,0x00900000,0x00014c00,0xb9731000,0x26000157,
    0x002cddcb,0x10026662,0x22013333,0x1fd1006f,0x00000bee,0x88000000,
    0x009bcdba,0x26666620,0xff910001,0x07ffffff,0x037fffc4,0x09fffff1,
    0x7ff44db0,0x003fffff,0x3ffffff2,0xa8007f33,0xfffffffd,0xd98002ff,
    0x22dfffff,0xfffa807e,0x004fffff,0x3fffff62,0x00bea4ff,0x3fffff62,
    0x40bb3fff,0x07fa205e,0x7fffec40,0x0bea4fff,0x3ffff220,0x1003ffff,
    0x00333333,0x33333310,0x80001200,0x26666629,0x99999999,0xfffa8009,
    0x004fffff,0xffffffb5,0xf8805fff,0x3e206fff,0xf504ffff,0xf0bf6005,
    0x2666620b,0x99880019,0x10001999,0xfffffff9,0xfff7007f,0x8001ffff,
    0x2609dffa,0x9500efea,0xccb80df9,0x36d804fc,0x754c37ff,0x3f6200df,
    0x26ff661d,0x6ffc003f,0x3faa209b,0x3bff2003,0x9efecbac,0xdf9101fa,
    0x77ed4437,0x4e7f4401,0x2abfb510,0x5ffd402f,0x3bfaa209,0x7117a06f,
    0x22005ffb,0xb5109cfe,0x500beabf,0x54c13bff,0x3ea00efe,0x00ffffff,
    0x3ffffee0,0x004800ff,0xfff8a600,0xffffffff,0x32203fff,0x36a21bef,
    0x6ffc01ef,0x3faa209b,0x37e65403,0x13f332e0,0x7e4007dc,0xffb87d84,
    0x000fffff,0x3fffffee,0x7fd4000f,0x3faa609d,0x332e200e,0x2000fecc,
    0xfb801ef9,0x0037400e,0x5db009f1,0x6fc801df,0xfc813f20,0x004003fc,
    0xe8801ff0,0x3fea00df,0x09fb04fa,0x2201ff50,0x6fd401ee,0x3bea02fa,
    0x06ffa800,0xdfffb17a,0x03dd1003,0x02fadfa8,0x2e007be6,0x997100ef,
    0x4001fd99,0xfeccccb8,0x00004800,0xcccef8a6,0xfccccccc,0x013f601f,
    0x00803fea,0x74003fe0,0x413e2006,0x05fa807c,0xccb881f9,0x2000fecc,
    0xfeccccb8,0x07be6000,0x0003bee0,0x3a2001f9,0x13ea000f,0x7c400dd0,
    0x06ffd804,0x3e20fee0,0x03ffd805,0x0fee0000,0x22007f90,0x3fb86efd,
    0x221be600,0xff3000fe,0x01be205f,0x2f40df70,0x33ff2e62,0x001fd100,
    0x440bffe6,0x3ea000fe,0x007e4004,0x4007e400,0x8a600004,0x05fb005f,
    0xf3001fdc,0x3ee0000d,0x400dd003,0x80db04f8,0x3f700ef8,0x0003f200,
    0x44003f20,0x3ea000fe,0x007e4004,0xb8001fc8,0x801ba01f,0xffd804f8,
    0x207f4001,0xff9800fd,0x7c000003,0x0013ea04,0x6f88fff1,0x5c3fb800,
    0x7fe4002f,0x0003fb02,0x202f40df,0xfb80efc8,0x17fe4002,0xb8001fc8,
    0x03f2001f,0x003f2000,0x29800012,0x0ff2017e,0xb8006f88,0x9f00003f,
    0x8801ba00,0xe80bd04f,0x00bea01f,0x400007e4,0x3f9000fc,0x003f7000,
    0x6f8007e4,0x409f1000,0x13e2006e,0x2000ff60,0x0027c3f9,0x000007fb,
    0x03ba04f8,0xf91fea00,0xb1ba0001,0x0bfa000b,0x3b8002fc,0x7d4017a0,
    0xd0005d85,0x001be05f,0xf90027c4,0x1f900001,0x40000900,0xf700f229,
    0x000fc809,0x20000dd0,0x00dd004f,0x06d827c4,0x3f700bf2,0x0003f200,
    0x7c003f20,0x09f10006,0x44007e40,0x1b60003f,0x3e2006e8,0x001fd804,
    0x01fccbf0,0x40007f70,0x9abccba9,0x013e04f8,0x1b60ff80,0x3e0fc800,
    0x05fb0003,0x000005f3,0x3fb8017a,0xfd8001fc,0x0003f882,0x0fc801b6,
    0x00fc8000,0x26000048,0x017ea002,0xfc8001b6,0x665d4c00,0x004f89ab,
    0x27c400dd,0x09f707c8,0x7e400f90,0x0fc80000,0x0003f880,0x0fc801b6,
    0xeeeefa80,0xeeeeeeee,0x3a07eeee,0x013e2006,0x740003f6,0xa8007ea6,
    0x7dc4003f,0xffffffff,0x05f304ff,0xbf07f400,0x98fd4000,0x5f70002f,
    0x00003f50,0xdd0017a0,0xb80017cc,0xeeefa82f,0xeeeeeeee,0x007eeeee,
    0x200003f2,0x004800fc,0x5400a600,0x00bf006f,0x5c40fd40,0xffffffff,
    0xdd004fff,0xb827c400,0x8037cc0f,0x03f2006d,0x003f2000,0x3bbbbbea,
    0xeeeeeeee,0x32007eee,0xeefa800f,0xeeeeeeee,0x0eeeeeee,0x7c400dd0,
    0x0007d804,0x001fb9f6,0xf9800fe6,0x9889abef,0xf504fca9,0x13e40003,
    0x7cc0009f,0x20003f73,0x00fc82fa,0x00bd0000,0x007ee7c8,0x7d417d40,
    0xeeeeeeee,0xeeeeeeee,0x01f9000e,0x001f9000,0x14c00009,0x40077cc0,
    0x260004f8,0x5f7fcc3f,0xca99889a,0x00dd004f,0x3fa827c4,0x7c003fe2,
    0x003f2005,0x2003f200,0xeeeeeefa,0xeeeeeeee,0xf9000eee,0x005f1001,
    0x00374000,0x1fb009f1,0xfa9ba000,0x00fea002,0xf0017f44,0x000fe609,
    0x002fc6e8,0x0be63f50,0x5c17dc00,0xd000001f,0x31fb800b,0x3ee0005f,
    0x0002f882,0x003f2000,0x2003f200,0x0a600004,0x4001ff10,0x3ea0005f,
    0x800bfa21,0x00dd004f,0x4dd027c4,0x7f7001fd,0x0007e400,0x44007e40,
    0x0000002f,0x2fc003f2,0x0dd00000,0x6c027c40,0x49f0001f,0x3ee003f8,
    0x003f9003,0x0bf104f8,0xfb17e200,0xf07e4000,0x0bf60007,0x00000be6,
    0x3e6002f4,0x6c000fe2,0x000bf02f,0x007e4000,0x4007e400,0x0a600004,
    0x4001fe88,0x3f20007d,0xf0007f20,0x801ba009,0x2bee04f8,0xdf1003fc,
    0x000fc800,0xf000fc80,0x4000000b,0x1fb000fc,0x1ba00000,0xd804f880,
    0x3f98004f,0x7fb002fc,0x20017a00,0x001fa04f,0x07ee27d4,0x1b637400,
    0x4417fc00,0xd000004f,0x21fb800b,0x5ff0006d,0x00003f60,0x0007e400,
    0x24007e40,0x40530000,0xfb8002fd,0xe8dd0001,0x004f8005,0x27c400dd,
    0x8017ffa0,0x7e4002fc,0x0fc80000,0x0001fb00,0x003f2000,0x00002fcc,
    0x3ee006d8,0x01ffd804,0x3f207f40,0x03ff9801,0x4c004f88,0x00fee04f,
    0xdf103f60,0xb87f7000,0x7fe4003f,0x0003fb02,0x222f4022,0x5c1fb01f,
    0x7fe4003f,0x000bf302,0x003f2000,0x2003f200,0x0a600004,0x880017ec,
    0x3fb8006f,0xf30013e2,0x801b6009,0x7fdc04fb,0x00bf7000,0x00001f90,
    0x3e6001f9,0x90000005,0x1fdc001f,0xf901c400,0x09ff9003,0x400dffb0,
    0x05f882fc,0xf003ffd8,0x27fdc00f,0xc800ff60,0x009f503f,0x0fe82fcc,
    0x05fff300,0x2e001be2,0xf98bd04f,0x1fd0ff04,0x0bffe600,0x88003fb8,
    0x003f2003,0x2003f200,0x0a600004,0x17200ff2,0xf30027d4,0x5c00ff0b,
    0x3f9004ff,0x409ff900,0x401effe8,0xc8000efc,0xfc80000f,0x00fee000,
    0xfc800e20,0x067f4000,0x807fe440,0x3fa204fa,0x9ed804fe,0x3f6201ef,
    0xd813f205,0xf9003fbf,0xfefe8807,0x01ffc404,0x3f6037ec,0x07fdc00d,
    0x5c02fe88,0x2a02fadf,0xfe9801ef,0xdf0bd00e,0xfd107f70,0xfadfb805,
    0x0067f402,0x8007fe44,0xc80000fc,0x0004800f,0x09f70a60,0xdfd81f60,
    0x407fdc00,0x7f4403fc,0x9f5004fe,0x27f7f440,0x9ff75fb0,0x9fd75115,
    0x007e4000,0x0007e400,0x220033fa,0xf9000ffc,0x7ff90001,0x3f6ea235,
    0x77ec01ef,0xbffdb98a,0x65c3cef8,0x59ff36ec,0x09ff7311,0x5115bf90,
    0x99bf35fd,0x4e7f4401,0x3ffdb988,0x220799df,0xa88acefe,0xc800dfec,
    0xb988abff,0x74400dfe,0xfb531adf,0x07337ea9,0x446b3fee,0x40cffdba,
    0x20cefccb,0x6fb89dfb,0x46b7fa20,0xbf54fda9,0x3ff20399,0xfb7511ab,
    0x7e4003df,0x0fc80000,0x20000480,0x8017ea29,0x5ffe407d,0xdfeb988a,
    0x139fd100,0x27ffb731,0x6c03ccef,0xfdb98aef,0x43cef8bf,0x3ff623fc,
    0x002effff,0x00007e40,0x640007e4,0x7511abff,0xcb83dffb,0xcfeccccc,
    0x01cccccc,0x3fffffa6,0x1002dfff,0xbffffffb,0xd1bffe21,0x7ec4dfff,
    0x01ffffff,0x3ffffee0,0x5ffff32e,0xffffd880,0x3fe0dfff,0x7fdc05ff,
    0x02ffffff,0x7ffff4c0,0x22003fff,0xefffffec,0x0ffffea3,0x7ffffec4,
    0xe880cfff,0x6c2fffff,0x400dffff,0xfffffec8,0x3fffea3e,0x3fffa603,
    0x02dfffff,0xd9999997,0x9999999f,0x666665c3,0xcccccfec,0x000091cc,
    0xccff894c,0xcccccccc,0xfe9807ec,0x03ffffff,0xfffffd88,0x3ffe0dff,
    0x7fec405f,0xf10dffff,0x82fccdff,0x000acba8,0x3333332e,0xccccccfe,
    0x33332e1c,0xccccfecc,0x3a601ccc,0xffffffff,0xfffe882d,0xffffffff,
    0x8803ffff,0x000abcb9,0x006f2ea0,0xacb98000,0x79510001,0x54c00003,
    0x00001acc,0x0055e54c,0x2b2ea200,0x65c40001,0x3100000a,0x00135797,
    0x00de5400,0x00565c40,0x79731000,0xffe88015,0xffffffff,0xd13fffff,
    0xffffffff,0x7fffffff,0x3333333a,0xcccccccc,0xf32dcccc,0xffffffff,
    0x00ffffff,0x00d65d44,0x0d6654c0,0x32ea0000,0x0644001b,0x7f440000,
    0xffffffff,0x13ffffff,0xfffffffd,0xffffffff,0x79731007,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x0064401c,0x159b7310,0x30033330,
    0x88137b95,0x4cc40999,0x99880099,0x3bbb2099,0xeeeeeeee,0x80002eee,
    0xddd04ec8,0xdddddddd,0x3754005d,0x01333100,0x00999988,0x00000188,
    0x00005544,0x01551000,0x88000800,0x31000001,0xbdca9813,0x404ccc02,
    0x000adca8,0x00179710,0x00e40164,0xeeedc880,0x4ccc1bcc,0x98809999,
    0x99999999,0xcdca9800,0x000000ab,0x03333100,0x200055c4,0x260001da,
    0x3ff302ff,0x3fffa600,0xff31efff,0x3fa20bff,0x0dffffff,0x7c7ffff5,
    0x204fffff,0x1ffffffa,0xddddddfd,0x7fdddddd,0xfff70000,0xddddff03,
    0x03bddddd,0x8803fdc0,0x2605ffff,0x503fffff,0x00007fd9,0x3f77ba60,
    0x1000001d,0x7fffffd9,0x03edc400,0x003feca8,0x5ffe8800,0xffffffb1,
    0xdffff03d,0x7fffffd4,0x7f4004ef,0xfd000fff,0x00bfa209,0x3bbfff20,
    0x3f66ffff,0x0fffffff,0x7ffffffc,0xb100ffff,0xffffffff,0xffb81767,
    0xffffffff,0x3fffee06,0x7fff540f,0xfff5004f,0x7f4c0001,0x800f7dc4,
    0x2e61bffc,0xbcdf99ff,0x09cffb81,0xf51df931,0x7ed4179b,0x2e201bce,
    0x1ba2efdc,0x6407f300,0x0ffe9803,0x000004f8,0x65400ff7,0x665c05fc,
    0xacee83fc,0x8800003f,0x0036443f,0x67ff4400,0x00dfebaa,0x0ffffd71,
    0x07f59dd0,0x3f2a0000,0x10acfe9d,0xcca81ff7,0x437ff76e,0x1005fea8,
    0x007fffff,0xfa837f62,0xdfb8002f,0x54c13300,0x82aadfba,0xdfbaaaaa,
    0x7ff502aa,0x77f54413,0x3332606f,0x3ccccccc,0x3f732e20,0x139ffb10,
    0xff700bf9,0xfb00003f,0x001bfb3d,0xd88037ee,0x3ea03fcf,0x67f4c01e,
    0x0037402f,0x01760fe4,0x2fc03f70,0x13e09b00,0x3fdc0000,0x2005e800,
    0x03f803f8,0x7c400000,0x3e600002,0x31bee01e,0xfb5bfffd,0x0007f000,
    0x1fffe800,0xfd81be60,0x7dc00cfc,0xffffd005,0x9efb8001,0x88001efc,
    0x7c40007f,0x03f88004,0x540077d4,0x000006ff,0xfe88fb80,0xd1009505,
    0x5c0000bf,0x26003fff,0x3ffa005f,0x400df103,0x5c02fff8,0x17e2002f,
    0x0fd00022,0x3f7005f8,0x000013e0,0xe800264c,0x00fe2005,0x000000fe,
    0x80000fe0,0x3fb801ff,0x0f9073a6,0x00007f00,0x800efe80,0x9ffb01fe,
    0x802fd400,0x30000bca,0x4000bfff,0x440003fa,0x3f88004f,0x7001be20,
    0x000000df,0x05ff5f70,0x00004000,0x2000f4c0,0x3e6000fe,0x003fb03f,
    0xe802ffa8,0x007f2006,0xf013e200,0x405f300b,0x0000004f,0x400bd000,
    0x03f803f8,0x36200000,0xf500000e,0x803ec009,0x03f8007c,0x07740000,
    0xfb02fa80,0x01fb000d,0x6c400000,0x07e40003,0x013e2000,0xfd80fe20,
    0x006f8001,0xffb80000,0x0000001f,0x10000000,0x7f90009f,0x740017e0,
    0x02fb802f,0x00005f88,0x05f803f5,0x004f8010,0xd0000000,0x01fc400b,
    0x0c0001fc,0x01dffd10,0x0db02200,0xc801fb80,0x003f8007,0x0bd01880,
    0xfd81fc40,0x02f88002,0x00000000,0x0000fc80,0x440027c4,0x0017e03f,
    0x5cc401dc,0x8000abdc,0x00000efb,0x00000000,0x2000be60,0x03f883fb,
    0x2005f900,0x01fb806e,0x260fb000,0x9999ef99,0xf8009999,0x00000004,
    0x4400bd00,0x003f803f,0x880bf620,0xc8003feb,0x2000445f,0x07c802f9,
    0x40003f80,0x00bd07fa,0x0fd81fc4,0x0009f000,0x20000000,0x000fd999,
    0x40027c40,0x05f303f8,0x7fd40000,0x04ffffff,0x0000fdc0,0x33333333,
    0x01333333,0x95302662,0x3f70037b,0x507f3000,0x3ee0003f,0x405f7002,
    0x200005f8,0xffffd85f,0xffffffff,0x227c03ff,0x4c400098,0x00019999,
    0x1fc400bd,0xb8001fc0,0x3e6003ff,0x1bfd3004,0x03f50000,0x7f000f90,
    0x3bf62000,0x4400bd01,0x000fb03f,0x4000036c,0x22019998,0xffe880ab,
    0x40000fff,0xf88004f8,0x0003f503,0x37df9100,0x00f7ed44,0x20000fb8,
    0xffffffff,0x83ffffff,0xfb15fff9,0x01dfffff,0x54000fd4,0x002fa83f,
    0x74005f70,0x0007ee06,0x64417d40,0xccccefcc,0x400ccccc,0xffffdacf,
    0x7fdc01df,0x0007ffff,0x1fc400bd,0x26001fc0,0xc8001efe,0x17fe4407,
    0x01fb0000,0x7f000f90,0x09ff7000,0x3e2005e8,0x4000fb03,0x0017006d,
    0x81fffff7,0x84ffffea,0x00feccc9,0x0027c400,0x0fc81fc4,0x4fd80000,
    0x800ffa80,0x3e0000fb,0xccccccce,0x701ffccc,0x39fd3bf9,0x403bee21,
    0xfb8003f9,0x0003f883,0x7dc005f9,0x0000bf02,0x2fc007e4,0xffff8000,
    0x4ffdbbdf,0x33332e20,0x0bd0007e,0x7c01fc40,0x0fff2003,0x500fb800,
    0x00001bff,0x7c8027d4,0x2003f800,0xe801efe9,0x40fe2005,0xbf0001fd,
    0x1007f100,0x221fb997,0xfc89cffd,0x0007e405,0x20013e20,0x03f703f8,
    0x03fb8000,0x2e01be60,0x17e0000f,0x74017ec0,0x3e601eff,0x20013e05,
    0x00bf03fd,0xf000bfa0,0x0003f70d,0x5f802fc0,0x37dd0000,0x0013f620,
    0x17a000f9,0xf803f880,0x0dfe9803,0x0bf100c0,0x0005ffb1,0x000ef880,
    0x07f000f9,0x800ffee0,0x0fe2005e,0x4c001fec,0x03f9803f,0xfe88fb80,
    0xfc809505,0x27c40000,0x981fc400,0x2200002f,0x3fb8006f,0x00007dc0,
    0x07f900bf,0x2003ffa0,0x03fb00fb,0xc81ffd40,0x7fdc002f,0x20fdc002,
    0x2600006f,0x00bf002f,0x3fb00000,0x8003e400,0x0fe2005e,0x2b7eaaa6,
    0x3ff220aa,0x6fec0223,0x40eeb98b,0x0000cffa,0x000ff440,0x555300f9,
    0x981555bf,0x74000efe,0x40fe2005,0x6c000ffd,0x1fecc01f,0x7fd7dc00,
    0x07e40002,0x013e2000,0x7c40fe20,0x3f200004,0x80dd0000,0x320000fb,
    0x0027dc03,0x3e6003fd,0x200df102,0x3a03ffe8,0xfff3000f,0x5cbf0005,
    0x3200002f,0x00bf000f,0xbf100000,0x8003e400,0x0fee006e,0x3bbbbbb2,
    0x1bfd51ee,0x05bffb71,0x87dffd93,0x7cc1efd8,0xfd10004f,0x807c8003,
    0xeeeeeeec,0x10fff21e,0x02f409ff,0x3f607f10,0x0fee005f,0x00dffd98,
    0x01fffb80,0x000fc800,0x40027c40,0x07f603f8,0x0db04400,0x7007e400,
    0x4000001f,0x2f4005fa,0x5407f100,0x3fa601ef,0x3fe603fa,0x7df7dc02,
    0xf1fb8002,0x6e80000d,0x00017e00,0x003ec000,0x3fa000f9,0x03ffc801,
    0x45ffb100,0x09d511de,0x209ff700,0x88004fde,0x7c8002fe,0x3fa60000,
    0x04eed80d,0x3f88017a,0x01df7db0,0xf7037e44,0x5c00019f,0x900000ef,
    0xf880001f,0x03f88004,0x2e001be2,0x80017e4f,0x03ee01fa,0x37d40000,
    0x1002f400,0xcffa807f,0x8efca99a,0x7f5403f9,0xfeb999bd,0x0002fa8d,
    0x0005f7bf,0xf001fcc0,0x0000000b,0x3e4003ee,0x204fe800,0x003fefe8,
    0x2e0cffa8,0x000fa80e,0x2e03dfd3,0x44004e8f,0xf90002fe,0xff910000,
    0x13a7ea05,0x3e2005e8,0x3feadb03,0xffba99ac,0x01bfb00d,0x003f7000,
    0x0007e400,0x20013e20,0x77d403f8,0x0efe9801,0x4c0009f1,0x003ee03f,
    0x03be6000,0x88017a00,0xffe8803f,0xf30dffff,0xfff91007,0x7d49dfff,
    0xdff70002,0x0fb80000,0x00017e00,0x00fd4000,0xfd0007c8,0xfb7315bf,
    0x079df17f,0x303dfb10,0x5c01fc01,0x4be603ff,0x3fa6004e,0x01f20001,
    0x01bff500,0x22274fe2,0x00ccffcc,0x26d81fc4,0xffffffd9,0x013e202f,
    0x000fb800,0x0003f200,0x03b09f10,0x7dc01fc4,0xb7511acf,0x05f819ff,
    0x6447ea00,0xccdfdccc,0x001ccccc,0x80007fc4,0x0fe2005e,0x81bba880,
    0x54c003f9,0x02fa80ac,0x000bfe00,0xf800dd00,0x00000005,0x1f2003f7,
    0x7fef7400,0xf10dffff,0xffb80dff,0x05f30004,0x2006ff4c,0x4c013a5e,
    0x640001ff,0xdfb10007,0x13a6d805,0x5ffffff5,0xdb03f880,0x002aee60,
    0x800003ee,0x200000fb,0x440000fc,0x101fcc4f,0x3f62007f,0xcfffffff,
    0x4000fb00,0xffff50fc,0xffffffff,0x744007ff,0x17a0001f,0x0003f880,
    0x0001fcc0,0x00017d40,0x880000dd,0x02fc003f,0x7c800000,0x4001f200,
    0x0379735e,0x0f7f4400,0x204e8800,0xfb803ffc,0x3e6013a0,0x7c80001f,
    0x0cffa800,0x09d0fdc0,0x81fc4000,0x3a00006d,0x7dc00005,0x3f200000,
    0x27c40000,0x2f980fe6,0x5fe4c400,0x0fdc009a,0x0006e800,0x02fd8000,
    0x1002f400,0xa800007f,0xa800002f,0x5f70002f,0x1fa80000,0x0002fc00,
    0x006e8000,0x2f4001f2,0x1fe40000,0x40bd3000,0xf9800dfa,0x3ea02742,
    0xf900001f,0x003df000,0x004e87f1,0x6c0fe600,0x1ba00006,0x01f70000,
    0x007e4000,0xf313e200,0x000fd407,0x7c4006a8,0x03fb8006,0x7ec00000,
    0x05e80002,0x0000fe20,0x00001f70,0x20005f50,0xd800006e,0x005e8007,
    0x7d400040,0x001f2004,0x400002f4,0x3ea00008,0x3a000804,0x3ea04e85,
    0x3200001e,0x20008007,0x0004e86d,0x36c07ee0,0x00fb0000,0x03ee00d8,
    0x00fc8000,0x2627c400,0x003f604f,0x00067d40,0x7cc009f5,0x033b6005,
    0x401fe400,0x002f405c,0x400007f1,0x000006f8,0xf50005f5,0x9f000005,
    0x000fb000,0xf1000df8,0x03e4001d,0x00005e80,0x1fdc0000,0x37ea0000,
    0x83efcccc,0x00000efa,0x000003e4,0xf9999bf3,0x3a00009d,0x000db00f,
    0x98027dc0,0x003ee02f,0x000fc800,0x7ec27c40,0x0004f982,0xb001b262,
    0xffb801bf,0x0faa2000,0x4013ee00,0x002f407d,0x200007f1,0x00002fe8,
    0xd0005f50,0xf500000d,0x07f70003,0x7dc1b710,0x17f4c03f,0x4001f200,
    0x0000005e,0x0007f200,0x2aaaa200,0x7dc2dfaa,0x400a000e,0x2000007c,
    0xeaaaaaa8,0xfc80002d,0x0001b604,0xf5005fd0,0x0007dc07,0x0001f900,
    0x99df9995,0x6cc5ff49,0x0a8000ff,0x3f2001e6,0xeb988abf,0xb81000df,
    0x02fd4005,0x05e80fb0,0x0000fe20,0x0007fd73,0x0017d400,0x00000fea,
    0xfe8001f6,0xfb5531bd,0xefe981df,0xffca98ac,0x007c8003,0x00000bd0,
    0x01dd1000,0x9d000000,0x44005fa8,0x007c802f,0x09d00000,0x37ed4400,
    0x00001b60,0xa883bff3,0x3ee02ffe,0x99910000,0x59999fd9,0xfffff900,
    0x3fa21dff,0x8000efff,0x04fcefe8,0xffffd300,0xc8007fff,0x2002fddf,
    0xcccccff8,0x7ecccccc,0xccffcca8,0x9df99302,0xffffe807,0x0002ffff,
    0x3ffffe60,0x3f63ffff,0xffffffff,0x9b00004f,0x7fe44000,0x2dffffff,
    0x7fffedc0,0x32e00eff,0xcfeccccc,0x01cccccc,0x000000bd,0x999ef880,
    0x0003d999,0x644f9880,0xcccccccf,0x3fdccccc,0xd9999991,0x5999999f,
    0xd3100000,0x7ffd400b,0xfe80cfff,0x6fffffff,0x7fec4000,0x0cffffff,
    0x3f733322,0xcccccccd,0xfffff301,0x00bfffff,0x0b2e2000,0x06ee6000,
    0x32ea2000,0x2ea0001a,0x7fcc000b,0xffffffff,0xfc87ffff,0x703fffff,
    0x80bfffff,0xabcccccb,0x64400000,0xcccccccc,0x333332a1,0x002ccccc,
    0x44000000,0x0009bcba,0x80157730,0xffffffe8,0xffffffff,0x0005503f,
    0xffa80000,0x4fffffff,0x7fcc0000,0x3fff26ff,0xffffffff,0xff33ffff,
    0xffffffff,0x0009ffff,0x7ffff880,0x59999100,0x66665c01,0x0003cccc,
    0x579b9730,0x3ffffea0,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdddd3000,
    0x05eb8ddd,0x02b32a20,0x3b621910,0x000004ee,0x00077ae2,0x0077ae20,
    0xeeeee980,0x774c006e,0x0006eeee,0x359bb971,0x2ea20004,0x00000acc,
    0x00000000,0x00cec880,0x001dda80,0x81331000,0x001bdca9,0x00003100,
    0x00000000,0x99530000,0x98800137,0x39951009,0x09803100,0x4ccccc40,
    0x26666201,0x654c0019,0x000009bc,0x1102f764,0xeeed9800,0x3ffe27fe,
    0x7fff4c02,0xf504efff,0x17fbb625,0x7fd40000,0x3ee0cffe,0xfeffa802,
    0x00bea0cf,0xffddddb3,0xeeed9800,0x6c4007fe,0xffffffff,0x23b01fad,
    0xffffffe9,0x1e4001ef,0xfff50000,0xdfffffff,0x3bff2001,0x03f20bff,
    0x00027ff4,0x8afffcc0,0xeffffffd,0x03e40000,0xfffffb00,0x009fffff,
    0xffffffb8,0x8006ffff,0xeddfffd8,0xfa802eff,0x7ff5c5ff,0x3e04ffff,
    0x01ff703f,0x3fffffe6,0xffffb86f,0x6c404fff,0xffeddfff,0xf980002e,
    0xbff907fe,0x47c80003,0x3ea01fff,0xfb730acf,0x3e03f70b,0xdf000005,
    0x377ff625,0x2ef800ef,0xdfbbff91,0x01f20001,0x1003e400,0xc9813bfd,
    0xcf882fff,0x511bdffb,0x7c007ff9,0x32600005,0xcccccccc,0x3bf3004c,
    0x3fb3ffa6,0x00fff604,0x6fe5c000,0x7109cfe9,0x640001df,0x332a0007,
    0xcccccccc,0x6664c002,0x3ccccccc,0x056fdc00,0x0067e4c4,0x7ecbf551,
    0x9fb50adf,0x360bff30,0x3aaa01ff,0xa881aaae,0x00abfcaa,0x2202b7ee,
    0x0000cfc9,0x2a1f63fa,0x0006ffff,0x903643e4,0x5fc801df,0x3e666374,
    0x0999999d,0x74c06000,0x406004ff,0x0004ffd9,0xc80003e4,0x00ff2007,
    0x3e20bfe6,0x6c400dff,0x00bf005f,0x00000000,0x0bbfae03,0x00003ea0,
    0x03dffd00,0x90002fcc,0x0000000f,0x40000000,0x26002fd8,0x8de801ee,
    0x17ec04fe,0x4d980edc,0x5000dd00,0x17ec403f,0x003dd300,0x21f67f70,
    0x00fffffd,0x7f11f200,0x40037ea0,0x23fd8dfb,0xfffffffc,0x0007ffff,
    0x00000200,0x3e400002,0x007c8000,0x2fc801be,0x4003ff88,0x05f802fd,
    0x00000000,0x3a000800,0xe8000005,0x0fb800ff,0x000f9000,0x00000000,
    0x006f4000,0x7400fc80,0xfd003ffe,0xe8000001,0x01fa8006,0x6400037a,
    0x9be2000f,0xffffb87d,0x23e40006,0x001ba06d,0x5113ffee,0x5555df55,
    0x00000355,0x00000000,0x0001f200,0x0dd003e4,0x7c407440,0x0fe88007,
    0x00002fc0,0x00000000,0x0001f700,0x003fd000,0x64000be6,0x00000007,
    0x90000000,0x2666621f,0x2036c009,0x26002ffe,0x4000002f,0x1fa8006e,
    0x95101f90,0x0db06159,0x0fb0fe40,0x003dff91,0x805c7c80,0xff0002fb,
    0x000bf005,0xdcb98800,0x730000ab,0x00059bb9,0x40001f20,0x0fee007c,
    0x013e2000,0x4cc27d40,0x99999ef9,0x44001999,0x009bcdba,0x40099988,
    0xa8099998,0xd0000001,0x01fc400b,0x80007c80,0x02cddcb9,0x00266620,
    0x20133331,0x3bfae2f9,0x880beeee,0x00bfa03f,0x000017e0,0xf5000dd0,
    0xd305f303,0x8f7fb559,0x5f8803f8,0x001103ec,0x4401f200,0x3ee0006f,
    0x5445f802,0x50002bdc,0xffffffff,0x3ff6a009,0x2fffffff,0x003e4000,
    0x22007c80,0x009acefd,0x22000380,0x7fffec7f,0xffffffff,0xfc8806ff,
    0x3fffffff,0x1bfffe20,0x4fffff88,0x2604cc40,0x4001bdca,0x0fe2005e,
    0x8003e400,0xffffffda,0x7c402fff,0x3e206fff,0x9d04ffff,0x0d7103a0,
    0x02f403ea,0x99885e80,0xe8001999,0x81fa8006,0x880e984e,0x400fa87d,
    0x003ec0fd,0x007c8000,0xf80005f3,0xfb15f803,0x03dfffff,0x86fbf220,
    0x401efda8,0x2209bdff,0x20003fea,0xf900007c,0xffea8010,0x001cefff,
    0x20fd8000,0xccefccc8,0x1ccccccc,0x04effd40,0x201dfd53,0x5c06fcca,
    0x2604fccc,0xffb15fff,0x001dffff,0x3f88017a,0x000f9000,0x8826f7fe,
    0x65403fea,0x665c06fc,0x00f984fc,0x740b201d,0x2000bd03,0x7fffdc6d,
    0x74000fff,0x41fa8006,0x201e80f9,0x5407d079,0x0007d84f,0x200f9000,
    0x6c0000fb,0xff9df805,0x03fee21b,0x2a013f60,0x800200ff,0xf90000ff,
    0x99f20000,0xa98800fe,0x00cffedb,0x07ee0000,0x980005f8,0xefb801ef,
    0x10037400,0xdfcb809f,0x7109cfe9,0x0bd001df,0x8001fc40,0x0010007c,
    0x6e8007fc,0x2e13e200,0x2cc03a06,0x00bd05c8,0x99711b60,0x8001fd99,
    0x1fa8006e,0x402cc35c,0x3f40b902,0x000007d8,0x1f200f90,0x201f2000,
    0x2600efff,0x01fdc05f,0x0000df30,0x64000fee,0x64000cc7,0x003ffd8f,
    0x00f7e440,0x03f98000,0xd100017e,0x27d4001f,0xf8801ba0,0x3dffd004,
    0x7402fcc0,0x40fe2005,0xffffffff,0xffffffff,0x5c0002ff,0x00dd003f,
    0x02e427c4,0x5c0b601d,0x2000bd06,0x01f9007d,0xa8006e80,0x2542e41f,
    0x2e0d7000,0x000fb02f,0x401f2000,0xfb80006d,0x0077fc00,0x6f8807f4,
    0x003fb800,0x20009f00,0x013ff27c,0x019fff90,0x927cc000,0xdddddddd,
    0xdddddddd,0x7c07fddd,0x0fe40005,0xd00fdc00,0x027c400d,0xb800ffe8,
    0x002f400f,0x332e07f1,0xcfeccccc,0x0ccccccc,0x004f8000,0x27c400dd,
    0xa81d01f4,0x741e605c,0x00f90005,0xdd0003f2,0xe83f5000,0x20002b83,
    0x206f8879,0x0000007d,0x017a00f9,0xf00bea00,0x0bee001d,0xe80007e4,
    0x09f00006,0xfff9f200,0x3bfea007,0x4000d401,0x3bbbf67c,0xeeeeeeee,
    0xfeeeeeee,0x00017e03,0x3e2000df,0x8801ba04,0x03fd004f,0xbd00be60,
    0x001fc400,0x000007c8,0x1ba009f0,0x2f84f880,0x3bfbbba0,0x7407c402,
    0x00d90005,0xdd0003f2,0xf83f5000,0x20002c82,0x00fe40f8,0x000000fb,
    0x036c01f2,0x200fdc00,0x0fe2005f,0xf900036c,0xccba9801,0x004f89ab,
    0x27fe4f90,0x03fff4c0,0xfb8006e8,0x20000fb0,0xdddb13f8,0xddddddff,
    0x003f8809,0x06e81b60,0x74013e20,0x00fe2005,0x1fc400bd,0x0007c800,
    0xabccba98,0xdd004f89,0x6c27c400,0x2a66ba03,0xe83cc01f,0x00db0005,
    0xdd0003f2,0xd83f5000,0x20003b83,0x2027cc79,0x05b9307d,0x200f9000,
    0xfc80007c,0x1002fc00,0x0017e07f,0xfb881fa8,0xffffffff,0xf90004ff,
    0x7ec402a8,0xfd007cbf,0x327e8001,0xf980000f,0xffdddb12,0x0bdddddd,
    0xeeeeefa8,0xeeeeeeee,0x1ba07eee,0xd004f880,0x01fc400b,0x3f88017a,
    0x000f9000,0x3ffffee2,0x04ffffff,0x7c400dd0,0x03a05c84,0x835c03d1,
    0x0db0005e,0xd0003f20,0x83f5000d,0x0005985c,0x801fb1ae,0xffff987d,
    0x03e40004,0x40001fb8,0x005f807d,0x13e20fe2,0x4c3f9800,0x889abeff,
    0x004fca99,0xf9000f90,0x7401f219,0x7fb001ff,0x40000fd4,0x017e01fb,
    0xeeeefa80,0xeeeeeeee,0xd00eeeee,0x027c400d,0x3e2005e8,0x1002f403,
    0x1f20007f,0x2fbfe600,0xca99889a,0x00dd004f,0x035427c4,0x201d101d,
    0x000bd04d,0x07e401b6,0x2001ba00,0xe83541fa,0x549b0000,0xd87d803f,
    0x000fffff,0x7cc01f20,0x02fc0002,0x7f1002fc,0xa80017e0,0x00bfa21f,
    0xf90004f8,0x7c811000,0x7bfffd00,0x3fee6613,0x0001fc44,0x017e03e4,
    0x0002f880,0x8801ba00,0x00bd004f,0x66541fc4,0x9302ccff,0x80079df9,
    0x7f44007c,0x4013e002,0x13e2006e,0x807403e6,0x3a07d04a,0x00db0005,
    0xdb0003f2,0x983f7000,0x2205980f,0x3f63e81e,0xcccccccc,0xf90ccfec,
    0x8000ffff,0x0df1007c,0x4017dc00,0x0fe2005f,0xf90003ec,0x2000fe41,
    0x0f90004f,0x401f2000,0xffffc8cc,0xf02effff,0x6f88000d,0x20002fc0,
    0x2000005f,0x13e2006e,0xf1002f40,0xfffff907,0x3ffee07f,0x3e4005ff,
    0x0007f200,0x01ba009f,0x0bd04f88,0x5c1e803a,0x000bd00f,0x07e4017a,
    0x2001ee00,0x260bd07d,0x20bea22e,0x3fff60fb,0xffffffff,0xfff31fff,
    0x7c80007f,0x000fee00,0x3e003fe2,0x40fe2005,0xdd0001fb,0x4f8005e8,
    0x000f9000,0x44001f20,0x01abfda9,0x90001fdc,0x005f803f,0x00007ec0,
    0x22006e80,0x00bd004f,0x00001fc4,0x01f20000,0x9f000bd0,0x8801ba00,
    0x647f104f,0xf982ffff,0x2f405f36,0x9004e800,0x1f98001f,0xf8837c00,
    0x7bdd9303,0x0005f301,0x1cb883ec,0x007c8000,0x2e0007f4,0x00bf003f,
    0x6f881fc4,0x223fb800,0x27cc004f,0x0007c800,0x50000f90,0x00fd800d,
    0xe804f980,0x2fcc0005,0x06d80000,0x74013ee0,0x00fe2005,0x90000000,
    0x027c400f,0x6c013e60,0x813ee006,0x740000fb,0x4002f405,0x1f9003f8,
    0x4009f000,0x03ee04fa,0x000bd000,0x000007d8,0xfa800f90,0x0df7000d,
    0xf1002fc0,0x0027d407,0x00ff0bf3,0x80027fdc,0xf900007c,0x19f50000,
    0x007be200,0xfb006f98,0x3fb80001,0x32038800,0x4ffc801f,0x4400bd00,
    0x9d90003f,0x35c00001,0xb801fe00,0x3f9004ff,0x809ff900,0xd88001ed,
    0x002f400f,0xfc800fdc,0x02fd8000,0x6c00fe88,0xfd88001e,0x83ec0000,
    0x9000c008,0x3df7000f,0x000efc80,0x3f88017e,0x2006fec0,0x3fc80ffb,
    0x27f7f440,0x0007c800,0x10000f90,0x7d400d93,0x1efb802f,0x1009f700,
    0x19fd01b7,0x01ff9100,0xfe8813ea,0x0bd004fe,0x0001fc40,0x00000b95,
    0x403fc800,0x004fefe8,0x7f4409f5,0x4fc804fe,0x0037ee00,0x1ba0017a,
    0x8000fc80,0x3a202fe8,0x09f9002f,0x0006fdc0,0x7fd43ec0,0x200bfd01,
    0xff50007c,0xfd951159,0x05f8001d,0x3200fe20,0xb988abff,0xfd100dfe,
    0xfb731139,0x0f33be7f,0x00007c80,0x054000f9,0xfd8800f3,0xeba889bd,
    0xcfd8004f,0xffb75309,0x2fff201d,0xffb7511a,0xaefd803d,0x8bffdb98,
    0x2f403cef,0x0007f100,0x00000798,0x4e7f4400,0x3ffdb988,0xd80799df,
    0xfdb98aef,0x03cef8bf,0x1055f754,0x8807fb73,0x4c4cefcc,0x05fd51bd,
    0x80007e40,0xa88adfe8,0x54003ffc,0x2620abee,0x00003fdb,0x0bfee1f6,
    0x999937fc,0x999fd999,0x44039999,0xeffffffd,0x3f326003,0x99501cce,
    0xe98079df,0x3fffffff,0xffffd880,0x3fe0dfff,0x666645ff,0xcccfeccc,
    0x3321cccc,0xcfeccccc,0x01cccccc,0x09f9dfd1,0x3fffee00,0x0002efff,
    0xffffff91,0xd3005bff,0xffffffff,0x3f62005b,0x10dfffff,0x9950dfff,
    0x260599ff,0x003cefcc,0x009f9bf5,0x6666665c,0xcccccccc,0x7ec40ccc,
    0x0dffffff,0x1017fffe,0xbffffffb,0x01bffe21,0x3bfffb22,0x9800deff,
    0x20efffff,0x2fffffe8,0xccccccb8,0xccccccfe,0x7fec401c,0x001effff,
    0xdfffd910,0x0001bdff,0xcfeccca8,0x5409b10c,0xffffd12d,0xffffffff,
    0x26007fff,0xb8002bcb,0x03ffffff,0x1dfffff9,0x35975100,0x59953000,
    0xffd10003,0xffffffff,0x227fffff,0xfffffffe,0xffffffff,0x00ddcc03,
    0x55e54400,0x75100000,0x20001379,0x00abcb98,0x06f2ea00,0x7fffe400,
    0xfff703ff,0x5cc00bff,0x7ffc001b,0xffffffff,0x2fffffff,0x03599530,
    0xbcba8000,0x53000001,0x00000137,0x40565cc4,0xffffffe8,0xffffffff,
    0x32e6003f,0x4c00001a,0x000009ba,0x3ffffff6,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5cc00000,0x000acddc,0x0abdcb98,0x33310008,
    0x33333333,0x372a2003,0x80040abc,0x00abccba,0xeeeeee98,0x00020006,
    0xbdca8800,0x3bbb6002,0x88000004,0xaccdeedc,0x13bbb620,0x2e200000,
    0x26001cdd,0x98801999,0x4ccc0999,0x99999999,0x09999999,0x26666662,
    0x4c000999,0x80199999,0x09999998,0x4cc00000,0x99880199,0x4ccc4099,
    0x4cc00999,0x44009999,0x10001deb,0x33333333,0x33333333,0x99999813,
    0x99999999,0x26099999,0x99999999,0x4ccc4000,0x99999999,0x3ffae219,
    0x02ffffff,0xfffffd50,0x03ea3dff,0xffffff70,0x9fffffff,0x7fffecc0,
    0xfa8cffff,0x3fffaa00,0x0bb3ffff,0xffddddb3,0x00274000,0x3fffa600,
    0xd803ffff,0x00005fee,0x777ffe40,0x3627ffff,0x00005fee,0x7ffffd40,
    0xffff805f,0x3fe604ff,0xff11ffff,0xffffffff,0xffffffff,0x3ffffea7,
    0x01ffffff,0xffffff90,0x7ffcc09f,0x7d47ffff,0xffffffff,0x3ffe00ef,
    0x3ea04fff,0xf11fffff,0x0fffffff,0x7fffffec,0xfdff503f,0x817d419f,
    0xfffffff8,0xffffffff,0x3ff62fff,0xffffffff,0xffffffff,0xffffffb4,
    0x17bdffff,0x7ffffd40,0xffffffff,0x839fff5f,0x6404ffa8,0x7310acff,
    0x801f79ff,0xaaaaaaa8,0x00aaaaef,0x2237bff7,0x1feffdba,0x4435ff90,
    0x006fefd9,0x5f8001f2,0x3bee0000,0xdfb730ac,0x0017a001,0x00dfb800,
    0x02fc0333,0x9ff50000,0x301bf221,0x80157fd5,0x222bfeaa,0xaaaaaadf,
    0xaaaaaafe,0x2aaaa3fb,0x02aaacfc,0x2b7eea20,0x555401aa,0x6442adfb,
    0xcccccccc,0x7fdcc04c,0x6d5400aa,0x5fed42cf,0x2a602aaa,0x00aeeaaa,
    0x3ff225df,0x2a00efdd,0xaaaaefaa,0xcaaaaaaa,0x3f6aa62f,0xaaaaaaab,
    0x34fbaaaa,0x55559f95,0x03dffb75,0x6d555554,0x1aaaaaaf,0x3fd100bf,
    0x10037f60,0x0001fff9,0xdf9005f8,0x3ffd1001,0xf500bf50,0x03e400df,
    0x0000bf00,0xf9003bf2,0x00bd001d,0x01be2000,0x00017e00,0xc807fc40,
    0x05f9802f,0x3e213ea0,0xf881f203,0x0007ea03,0x70003740,0x0000003f,
    0xf3001fdc,0x000fd40b,0x203017e0,0x4004ffd9,0x17cc005e,0x44000fb8,
    0x4017d44f,0x64003ffa,0x1004f807,0x00bf50df,0x0000ffb8,0x77d402fc,
    0x40ff4000,0x1bee006f,0x20007c80,0xfa80005f,0x017ee005,0x4000017a,
    0xf80003fa,0xf5000005,0x32001809,0x06e8802f,0x03e407f1,0x0fd407f1,
    0x01fb8000,0x0000dd00,0x003fb000,0x7cc01ff1,0x027c0002,0x74000200,
    0x817cc005,0x7c4000fb,0x88017d44,0x1f2001fe,0xfc800fa0,0x0003fe20,
    0xf00003fa,0x00ff880b,0x7cc1fb80,0x01be2003,0x3e0007c8,0x37c40005,
    0x201fe400,0x9000005e,0xbf00001f,0x3f200000,0x3a200001,0x80fe400e,
    0x81f203f8,0x07ea03f8,0x027c4000,0x0001fcc0,0x07f44000,0xf3007f60,
    0x1fc40007,0xe8000000,0x817cc005,0x7c4000fb,0x10017d44,0x03e400bf,
    0x50fd4000,0x3ee0007f,0x02fc0000,0x44000fea,0x4001fa85,0x01f2005d,
    0x33df3330,0x03333333,0x440017e4,0x002f407f,0x000fc800,0x00005f80,
    0x00000f90,0x27cc09f5,0x3e407f10,0x7d407f10,0x1f600001,0x2003f200,
    0x01999998,0xb81be600,0x04f8803f,0x3e609ff3,0x4c099882,0x8001bdca,
    0x17cc005e,0xf8000fb8,0x20017d44,0x0f9002fb,0x43f50000,0x0e20006c,
    0x9017e000,0x9800001f,0x0044002f,0x7fc00f90,0xffffffff,0x885fffff,
    0x3ee0005f,0x99817a02,0x33100999,0x33333fb3,0x17e00333,0x00379973,
    0x00001f70,0x1ba03f90,0x3e407f10,0x7d407f10,0x3ea00001,0x402fc002,
    0xfffffffa,0x13ee0000,0x5f8017ea,0x2a0dff90,0xafffcc1f,0xffffffd8,
    0x017a000e,0x07dc02e0,0x3ea05c00,0x006e8002,0xb00000f9,0x00004e8f,
    0x405f8000,0x8800006e,0x4000005f,0x332a007c,0xcccccefc,0xfa81cccc,
    0x17e20001,0xffff05e8,0xff985fff,0xffffffff,0xf806ffff,0xfffffd15,
    0x7cc001df,0xf8800002,0x4401fc86,0x881f202f,0x007ea02f,0x400bf000,
    0xcb8802fa,0x000feccc,0xdf117e40,0xe82f4001,0x0fb80fce,0xfe9dfcb8,
    0x1df7109c,0x6c417a00,0x807dc000,0x0bea003b,0x2007ee00,0x4c00007c,
    0x000be24f,0x17e00000,0x00004f88,0x00009f90,0xf0003e40,0x07dc000b,
    0xe81fa000,0x99ffb505,0xd9997017,0x9999999f,0xf3bf0039,0x77dc439f,
    0x0017e000,0xf327d400,0xf9006009,0x0fd40180,0x03f20000,0x20003ec0,
    0xe80000fc,0x8003fd0f,0xf9cf886d,0x7f407c82,0x17e601ef,0x2f982f40,
    0xe807dc00,0x00bea006,0x3200be60,0x3ee00007,0x0007ea1f,0x17e00000,
    0x00002fa8,0x002bbf60,0x000f9000,0xfb0002fc,0x01fb0000,0x0ffd417a,
    0x0007e400,0x0077ffc0,0x3ec00bf3,0x3fb00000,0x400003ba,0x7d40007c,
    0x7c400001,0x004f8803,0x00007e40,0x01fe77c4,0x97d43e40,0x7407c85f,
    0x0fb800ff,0x5f305e80,0xd00fb800,0x017d400d,0x6401fc40,0xfea80007,
    0x0007dc0e,0x2fc00000,0x00003f70,0xdfffea80,0x320000ab,0x017e0007,
    0x80006e80,0x70bd00fb,0x320001df,0xff80000f,0x307c800e,0xfffffffd,
    0x00001dff,0x005f9df1,0x0003e400,0x000007ea,0x07ee01b6,0x001f9000,
    0x013fea00,0x9f607dc0,0x7406d87d,0x05f3001f,0xdddddfd0,0xfb8005fd,
    0x6feeeeee,0x000bea00,0x03e4027c,0x05dff700,0x000003ee,0xb817e000,
    0x0000001f,0xdfffd951,0x00f90005,0xf0002fc0,0x3f50000b,0x1bf917a0,
    0x007e4000,0x80077c00,0xeed982fa,0xdeeeefee,0xaaa88000,0xaaaeffda,
    0x1f20001a,0x003f5000,0x803f5000,0xfc80006e,0xff300000,0x07ea0007,
    0x3a0fdcbf,0x1002f405,0xddfd007f,0x005fdddd,0xeeeeefb8,0x3ea006fe,
    0x009f0002,0x77c000f9,0x0007dc02,0x3e000200,0x2007ee05,0x99999998,
    0x5cc40009,0x3e4003fe,0x000bf000,0x5c000374,0x362bd01f,0xfc80004f,
    0x05f80000,0xf800fe20,0xdd900004,0xdddffddd,0x20001ddd,0x7d40007c,
    0xbf000001,0x0001fcc0,0x800007e4,0x8001fefe,0x88fe62f9,0x3a027c3f,
    0x00fe2005,0x017cc17a,0x37403ee0,0x0005f500,0x01f2013e,0xfa804f80,
    0x1ee00002,0xfa817e00,0x7fffc401,0x006fffff,0x8013f620,0x17e0007c,
    0x0007d800,0x1bd00fd8,0x200007fd,0xf80000fc,0x00fe2005,0x000004f8,
    0x400003e4,0x7d40007c,0x40062001,0x01f900fc,0x001f9000,0xff15fb00,
    0x23f88001,0xf13741fb,0x2005e807,0x05e803f8,0xfb8005f3,0x5400dd00,
    0x2f88002f,0x20007c80,0x03f9804f,0x001f2000,0x03f9817e,0xcaaaaaa8,
    0xd80001bf,0x00f9000f,0x70002fc0,0x7e80001f,0x0fffffa0,0x007e4000,
    0x1002fc00,0x027c007f,0x01f20000,0x001f2000,0x64003f50,0x207f3007,
    0xf900005f,0x4fb80001,0xf10017e6,0x87e43f47,0x02f402f9,0xbd007f10,
    0x2e0006c0,0x4005700f,0xfa8002fa,0x0007c801,0x17e2002e,0x007c8000,
    0x027c05f8,0x0003f700,0x6400bea0,0x017e0007,0x0001fa80,0xefe817e2,
    0x80003fd9,0xf80000fc,0x00fe2005,0x00001fc4,0x00001f20,0xf50001f2,
    0x003e4003,0x005f50dd,0x0003f200,0x4fb86f98,0x4f8a7c00,0x03f52f98,
    0x3e2005e8,0x8005e803,0x001f7048,0x000bea00,0x03e401f2,0x0fd80000,
    0x00f90000,0x37404f88,0x443f7000,0x09f0000d,0xf8001f20,0x17e20005,
    0x202fc800,0x00bf60ee,0x0001f900,0x7c400bf0,0x005f3003,0x3ffff200,
    0xffffffff,0x0f90000f,0x001fa800,0x1fb801f2,0x900003ec,0x3a20001f,
    0x005fb00f,0xf02faaf4,0xbd007ea9,0x401fc400,0x1fa8005e,0x00000fb8,
    0xbd0005f5,0x0001f200,0x002fcc00,0x54007c80,0x017e403f,0x3ea1fb80,
    0x03f88003,0x7c000f90,0x17e40005,0x203fc400,0x002fd85e,0x00003f20,
    0x3f88017e,0x0001f700,0x26666620,0x099999fd,0x001f2000,0x64003f50,
    0x893e2007,0x3200004f,0x5fb0000f,0x8007f440,0x3601f96d,0x5e801f77,
    0x200fe200,0x1fa8005e,0x00000fb8,0xfc8005f5,0x000f9003,0x017e4000,
    0x07caf440,0x2200fe40,0xfb8000fe,0x20017ea1,0x0f9002fa,0x0002f400,
    0x7e400374,0x7442f402,0x1f90002f,0x00bf0000,0x6f801fc4,0x20012200,
    0xc800007c,0x0fd40007,0xd800f900,0x00003f27,0xb8000fc8,0x06f9803f,
    0xb81bef90,0x5e807c9f,0x200fe200,0x1fa8005e,0x00000fb8,0x7dc005f5,
    0x001f2006,0x88005e54,0x3e6001fe,0x2007f91f,0xbf3005f9,0x21fb8001,
    0x22002ffa,0x0f9000ff,0x0007ec00,0x40037ea0,0x05e805fb,0x90005fd1,
    0xbf00001f,0x401fc400,0x3f2002fb,0x003e4000,0x0003e400,0x7c8007ea,
    0x6f97d400,0x07e40000,0x8017e600,0x9fb804fa,0x36fe203f,0x2005e806,
    0x05e803f8,0xfb81fa80,0x5f500000,0x007fea00,0xfd8007c8,0xd1001fff,
    0x5ff5009f,0x3006fec4,0x7dc001ff,0x3f91002f,0x4017ffd4,0x32001fe9,
    0x13ee0007,0x32076e20,0x77e401ef,0x2205e800,0x7e4002fe,0x05f80000,
    0xf300fe20,0x02fc400d,0x00003e40,0x2a0003e4,0x01f2001f,0x00beb7e0,
    0x001f9000,0x200077c4,0x67d402fc,0x2f77401f,0xf1002f40,0x000bd007,
    0x01f703f5,0x80bea000,0x001ffda8,0x7fc003e4,0x22004fff,0xa88acefe,
    0xf700efec,0xf951159f,0xfd30005f,0x2a62357b,0x3ea0effd,0x309befda,
    0x8007ff95,0x7f40007c,0xfb55309d,0x3fea01df,0xfeca88ac,0x80bd000d,
    0x32002fe8,0x5f80000f,0x4c0fe200,0xccccdffd,0xffcccccc,0xecccc802,
    0x001ccccf,0x3fb3332e,0x880ccccc,0xcdfdcccc,0xcccccccc,0xfc8007ec,
    0xcb8000fe,0xcfeccccc,0x11cccccc,0x0799bfd9,0x67fe664c,0x00fff302,
    0x32a09ff9,0x302ccffc,0xb879df99,0xccccefcc,0xcccccccc,0xfd9951fd,
    0x05999999,0x337f72a0,0xfffdcccc,0x9999100e,0x9999fd99,0x3ff60599,
    0xea8001ff,0x4fffffff,0xffffe980,0x40000dff,0xfffffffc,0x0e881cff,
    0xfffffff5,0x333201bf,0xccfecccc,0x401ccccc,0xffffffc8,0xe8802dff,
    0x2effffff,0x05fccb80,0x333ff722,0x3b333263,0xcccccccf,0xdf99500c,
    0x372e0399,0x3ea0ccef,0xffffffff,0x01cfffff,0xfffffe88,0x2003ffff,
    0xfffffffe,0xf981ffff,0xffffffff,0xffffffff,0xff88007f,0xffe88004,
    0xffffffff,0xf33fffff,0x40dfffff,0x4ffffffb,0x500bff10,0x3ff207ff,
    0xf703ffff,0x744bffff,0xffffffff,0xffffffff,0xffff91ff,0x0bffffff,
    0x3fffff20,0x1defffff,0x7ffffcc0,0xffffffff,0x0732a04f,0x59751000,
    0x97310001,0x88000035,0x009accb9,0xabcba880,0x3fffa200,0xffffffff,
    0x1003ffff,0x00157975,0x00de5cc0,0x05fffe88,0x3fffffe6,0xfffff70e,
    0xffffffff,0x3fff605f,0xfe883fff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99800000,0x99999999,0x26662000,0x09999999,0x0cccc400,
    0x0cccc400,0x004cccc4,0x0cccccc4,0x99999988,0x00000199,0x33333333,
    0x31033333,0x4c403333,0x99801999,0x00999999,0x33333100,0x40033333,
    0x99999998,0x00000999,0x26f36ea2,0x99999800,0x99999999,0x3bbbaa09,
    0x02666664,0x004cccc4,0x2cddcb98,0x4cccc400,0x00099999,0x98009998,
    0x22000999,0x99999999,0x99999999,0x26666201,0x80019999,0x99999999,
    0x99999999,0x6f5c4099,0x33310001,0x01333333,0x99999880,0x26662019,
    0x7fffd409,0x1fffffff,0xfffff880,0xffffffff,0xffff803e,0x7fec002f,
    0x7fffc4ff,0x7ffd405f,0x7c45ffff,0xffffffff,0x0002ceff,0xffffffb5,
    0xffffffff,0xfffff83f,0xffff985f,0x3ffa03ff,0x06ffffff,0xfffffa80,
    0xefffffff,0xffff100c,0xffffffff,0x220003bf,0xfffffffc,0x7fffc03f,
    0xffffffff,0x3ffe62ff,0xffffff4f,0xfffff50f,0x3ff6a07f,0x2fffffff,
    0xfffffa80,0x01ffffff,0x81bfffa0,0x04ffffe8,0xffffff10,0xffffffff,
    0xf103ffff,0xffffffff,0x88059dff,0xffffffff,0xffffffff,0x3bfe63ff,
    0x0bea0cff,0x7fffffd4,0x221fffff,0xffff881a,0xfb86ffff,0x542fffff,
    0xaaaadfba,0x2aaa002a,0xaaaaaaef,0x201efecb,0x005fdfaa,0x02b7f7e2,
    0x05ffd553,0x67e55544,0xafeaa81a,0xfecaaaaa,0x3fa2004f,0xaeeabdef,
    0xfdaaaaaa,0x5577d4c1,0x5bf75300,0x55554c01,0x001fdefa,0xaadfbaa8,
    0xffecbaaa,0x5df55503,0xfb955555,0xffa8009f,0x3faa609d,0x555bf00e,
    0x95555555,0x7fffc45f,0x555df533,0x5bf75510,0x26f7fe01,0x00ffaa20,
    0x33f2aaaa,0x4c002aaa,0x64c06fcc,0x2a004fcc,0xeeabfdaa,0xdaaaaaaa,
    0x5fd5501f,0xfd955555,0x56fc409f,0xafeaaaaa,0x3fbaaaaa,0x7fe44bbe,
    0x2a00efdd,0xaacfcaaa,0x40fffc2a,0xaaaefaaa,0xcffba881,0x0013e202,
    0x2a00bf00,0x667c00ff,0xf3f9001f,0x0ddfb009,0x6c017d40,0x0efc8806,
    0x405ffcc0,0x80fdc06e,0x0fe2005e,0x7c5fcc00,0x13e20004,0xd00bfa60,
    0x0bfb100b,0x2007be60,0x04f80efb,0xfff03fa0,0x2005e85f,0x000403f8,
    0xfa8001ff,0x1ba00001,0x0004f880,0x2e0374dd,0x4036c01f,0xf880efc8,
    0xf881f203,0x7fecc063,0x01fa8004,0xd00bffe2,0x0ff6200b,0x00013e20,
    0x7cc00bf0,0x27c67c05,0x04fafc40,0x004fafd8,0x0db005f5,0xf302fd40,
    0x2037403f,0x00bd01fb,0xc8001fc4,0x4000fd0f,0x3fa004f8,0xc8017a01,
    0x07f4403f,0x9f09f500,0x3a0bf200,0x02f41fff,0x00007f10,0x2a001fdc,
    0x3a00001f,0x013e2006,0x06e93e20,0x1b600fdc,0xf885fa80,0xf881f203,
    0x80002003,0x3f5c01fa,0x74402f40,0x5bf1002f,0x00355555,0x7c800bf0,
    0x00fda7c0,0x804f8fdc,0x5001fb7d,0x00db005f,0x3fd02fb8,0x7dc06e80,
    0x4cf74c41,0x99999999,0xf8001cfa,0x4000bea5,0x3e2004f8,0xd0017a04,
    0x001fc80d,0x027c1fb8,0xffd82fcc,0x1002f40f,0xf800007f,0x00fd4004,
    0x400dd000,0xfa8004f8,0x3f701ba1,0x5c006d80,0x901fc42f,0x001fc40f,
    0x01fa8000,0x05e804d8,0x10017f4c,0xffffffff,0x3e003dff,0x00fd4005,
    0xd00fe69f,0xbec027cd,0x2fa805f8,0xe8006d80,0xe804fa86,0xf30fdc06,
    0xffffffff,0xffffffff,0x17d400df,0x22000bf1,0x0374004f,0x0fb800bd,
    0x44001be0,0x22027c4f,0xfff900ef,0x7c400bd0,0x27c00003,0x0007ea00,
    0x22006e80,0x47c8004f,0x00fdc06e,0x1ba001b6,0x03e407f1,0x333107f1,
    0x54000333,0x00fdc01f,0x3ff302f4,0x99cf8800,0xffca9999,0x4005f804,
    0xe93e00fc,0x4f8bea06,0x0bf27d80,0xdb005f50,0xd87f5000,0x406e800f,
    0x77e5c0fa,0xcccccccc,0x01cefccc,0x03f21f60,0x0013e200,0x002f40f9,
    0x1fc403ee,0x4f8db000,0xf700fec0,0x400bd0df,0x2a6003f8,0xf89abccb,
    0x00fd4004,0x400dd000,0x5e8004f8,0x03ea0374,0xf5000db0,0xf901fc47,
    0x3ea1fc40,0x00ffffff,0xf803f500,0x2a0bd002,0xf88000ef,0x04fd8804,
    0x1be002fc,0x817d49f0,0x6c027c7d,0x3ea03747,0x0006d802,0x8027c4bd,
    0x3a00806e,0x00fe2005,0x7f309f10,0x009f1000,0x017a06e8,0x77d40dd0,
    0xeeeeeeee,0x7eeeeeee,0x09f5004c,0x5e85ffa8,0x100fe200,0xfffffff7,
    0x8009ffff,0x005501fa,0x3e2006e8,0x21fc4004,0xd800806e,0x44bd0006,
    0x881f202f,0x6665c42f,0x50000fec,0x7400003f,0x000efb85,0x6c009f10,
    0x4017e01f,0x27c03fd8,0xf0fe61ba,0xfa8fb009,0x200bea03,0x4fb0006d,
    0x8dd003f9,0x017a004d,0x5c003f88,0x000dd01f,0x7c4009f1,0xb8017a04,
    0x3bbea02f,0xeeeeeeee,0x0eeeeeee,0x300df100,0x00bd09ff,0xff301fc4,
    0x3311357d,0xa8009f95,0x05ffc81f,0xf8801ba0,0x20fdc004,0x4002746e,
    0x8fb0006d,0x0603e401,0x0000fc80,0x400003f5,0x002fe45e,0x88013e20,
    0x8817e05f,0xf803feb9,0x3f20fdc4,0x3ec027c0,0x2fa807ec,0x70006d80,
    0x4007ea1f,0xd002fc6e,0x01fc400b,0x1fb81ba0,0x8027c400,0x17a01fe8,
    0x101bf620,0x0000005f,0x7c4007f4,0x2005e82f,0x5fd103f8,0x20027c00,
    0x7ffe81fa,0x8801ba00,0x43ec004f,0x4002fc6e,0x1f70006d,0x0003e400,
    0x20001f90,0x200001fa,0x001bf25e,0xb0013e20,0x7777fc0d,0x2ffffeee,
    0x4f889f00,0x013e17e2,0x417e61f6,0xeeed82fa,0xeeeeeeff,0x7dc7ee03,
    0xdddfd000,0x77f400bf,0xeeeeeeee,0x26003fee,0x013e203f,0xd1009f10,
    0x305e807f,0x001bff97,0x000000bf,0xec800fee,0xeeeefe80,0xfeeeeeee,
    0x8003f903,0x0fd4004f,0xd0027fdc,0x027c400d,0x3bfa17e0,0xed805fee,
    0xeeeeffee,0x07ee03ee,0x36666662,0x0999999f,0x0007e400,0x00001fa8,
    0x6fffed7a,0x13e20000,0x7fc0f900,0xfeeeeeee,0x7c00cfff,0x3f70fc84,
    0x0fb009f0,0x0bea07f2,0x3bffbbb6,0x203eeeee,0x400f91fb,0x05feeefe,
    0x3bbbbfa0,0xfeeeeeee,0x003f2003,0xcf8800fb,0xeca99999,0xffe804ff,
    0xefffffff,0x003f6002,0x0bf30000,0x777f4000,0xeeeeeeee,0x00bd03fe,
    0xfa8009f0,0xe8003301,0x013e2006,0xefe82f98,0xed805fee,0xeeeeffee,
    0x07ee03ee,0xfffffff5,0xbfffffff,0x000fc800,0x00003f50,0x645ff774,
    0xf10003ff,0x206e8009,0xfda9805f,0x2213e00e,0x13e0dd3f,0x37c41f60,
    0x36c017d4,0xf71fb800,0xbf1ba001,0x1002f400,0x02fc007f,0xf10017d4,
    0xffffffff,0x3ba0019f,0xefeccccc,0x02fcc000,0x1fd10000,0x02f40000,
    0x9f107f10,0x004f9800,0x00000fd4,0x27dc00dd,0xdd01f700,0x6d8005f8,
    0x503f7000,0x5fd55555,0x00155555,0x50000fc8,0x7400003f,0x1ff442ff,
    0x0027c400,0x02fc09f3,0x4f81bee0,0x205f5fb0,0x207d804f,0x017d43fa,
    0x7c80036c,0x374007ea,0x05e800f6,0x5400fe20,0xaaaaaadf,0x2005fbaa,
    0xaaaaadf8,0x2f40009a,0x000efd88,0x44001fdc,0x0017e403,0x88017a00,
    0x400ff03f,0x54004ffb,0x8062001f,0xffc801fc,0x2abfa004,0x1ec6eaaa,
    0x80036c00,0x03e4007c,0x001f9000,0x88007ea0,0xd807fa01,0x27c4001f,
    0x201ff980,0x1fa8005f,0x3fe609f0,0x36013e07,0xf507f407,0x000db005,
    0x003f997a,0x5e8000dd,0x400fe200,0xfffffffd,0x00ffffff,0x00009f10,
    0x77dc05e8,0x067f4000,0x807fe440,0x01c404fa,0xf88017a0,0x8807f903,
    0x4004fefe,0x1f2001fa,0x3a204fa8,0xf1004fef,0xdfffffff,0x01b60000,
    0x32002f40,0x3f200007,0x03f50000,0x0bd03e40,0x44006f88,0x2ffa804f,
    0x44002fc0,0x7409f04f,0x2013e03f,0x527cc07d,0x00db005f,0x04f89f10,
    0xe8000dd0,0x00fe2005,0x266673e2,0xfa999999,0x009f1003,0x9805e800,
    0x7e4000ef,0xb7511abf,0x3e203dff,0x001fa806,0x3f88017a,0x1139fd10,
    0x3e7ffb73,0xfa803cce,0xb01f2001,0xfb7315df,0x039df17f,0x9999afa8,
    0xb00006e9,0x09f1000d,0x00007c80,0x540003f2,0x81f2001f,0x04fa805e,
    0x2aab7e20,0x2effdbaa,0xb0005f80,0x00013e0f,0x00fb009f,0x00bea3f9,
    0x3ea001b6,0x74007ec2,0xbd029806,0x401fc400,0x374001fa,0x0004f880,
    0xfa802f40,0xffe98004,0x2dffffff,0x5400fec0,0x017a001f,0x36203f88,
    0xdfffffff,0x017fffe0,0x7c8007ea,0x7fffec40,0xfff10dff,0x3a07c80b,
    0x6c039806,0x02fa8006,0x00003e40,0x2a0001f9,0x81f2001f,0x01fb005e,
    0x3ffffe20,0x002effff,0x3740017e,0x7c0004f8,0x8807d804,0xb005f56f,
    0x0fe8800d,0x37402fc4,0x05e83e40,0x3600fe20,0x01fb8006,0x00004f88,
    0x5f9002f4,0x3bea2000,0x7f7000ab,0x8007ea00,0x0fe2005e,0x06b32a60,
    0xf5001ea8,0x803e4003,0xf981bcb9,0x205e800c,0x407c806e,0x7f44006d,
    0x003e4000,0x0001f900,0x7c8007ea,0x7cc017a0,0x339f1003,0x20003333,
    0x4f88005f,0xf80009f0,0x7007d804,0xb005f55f,0x02fe800d,0x06e805f9,
    0x00bd07c8,0x3e201fc4,0x04f88003,0x00004f88,0x1ba002f4,0x8005b800,
    0x3ea005f9,0x8017a001,0x800003f8,0x07ea002e,0x00007c80,0x1fc40172,
    0x0f900dd0,0x7f4006d8,0x007c8002,0x0003f200,0xf9000fd4,0xfd002f40,
    0x0013e200,0x8800bf00,0x009f01fe,0x7d804f80,0x0bebfa00,0xfd801b60,
    0xd01ff405,0x3a0f900d,0x00fe2005,0x360001f7,0x004f8807,0x2002f400,
    0x3d0004fa,0x001fd000,0xbd000fd4,0x001fc400,0x50007c00,0x03e4003f,
    0x2005f000,0x01ba00fb,0x00db01f2,0xc8002fec,0x3f200007,0x03f50000,
    0x0bd03e40,0x44017dc0,0x7c00004f,0x0bfa6005,0x7c0004f8,0x2007d804,
    0xd802fef9,0x2ff5cc06,0x04f7ec40,0x41f201ba,0x0fe2005e,0x54000bd0,
    0x027c402f,0x0017a000,0x360007f6,0x0bf20042,0x4003f500,0x0fe2005e,
    0x27720000,0x07ea03c8,0x00007c80,0x1b603132,0x0f900dd0,0x75cc06d8,
    0x1f20005f,0x00fc8000,0x4003f500,0x8017a07c,0x999105f8,0x999999df,
    0x3f332001,0xccccccce,0x882fffdc,0x2cccefcc,0x77e66640,0xcfecb83c,
    0x7fec03cc,0x33fb3202,0xffeccccc,0x7fdc003f,0xccffcdef,0x7ecccccc,
    0x333bf322,0x9df99701,0x677e64c7,0x332201cc,0x223cefcc,0xcccefccc,
    0x97000ccc,0x05999df9,0x0079df10,0x0275e7d4,0x333333f6,0xdccccccc,
    0x7e65401f,0xcc883cce,0x000ccefc,0x3bff9100,0x3f733322,0xcccccccd,
    0x0007eccc,0x3ff3be60,0x59df9930,0x667fe65c,0x7ecccccc,0x999fd990,
    0x7fffd999,0x66664c00,0x03ccccfe,0x3333332e,0xccccccfe,0xb999911c,
    0x999999bf,0xb8fd9999,0x2cccefcc,0x86667e40,0xfffffff9,0x8801ffff,
    0xfffffffe,0xadffffff,0xfffff500,0x7f4409ff,0x446fffff,0x6ffffffe,
    0x8817fc40,0xfffffffe,0x000beeff,0xfffb9510,0xffffffff,0x7ffd4fff,
    0xfe884fff,0xf70effff,0x07ffffff,0x7fffffcc,0x3fffe66f,0x1fffffff,
    0xffffe880,0xf9005fff,0xcc9800df,0xffffd802,0xffffffff,0x7e401fff,
    0xa86fffff,0x1fffffff,0xf9800000,0xffffffff,0xffffffff,0x4400007f,
    0x3fea1bdb,0x3ffa4fff,0xffffffff,0xfe887fff,0xffffffff,0x64000bee,
    0xffffffff,0xfe880eff,0xffffffff,0x33ffffff,0xffffffff,0xffffffff,
    0x7ff44fff,0x405fffff,0x000ffff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99980000,0x99988019,0x99998809,
    0x00099999,0xc801a880,0x0000000c,0x00000254,0x000076a0,0x13330930,
    0x21333300,0x0ccccc48,0x13333100,0x01cca880,0x30002f6a,0x01579b95,
    0x79b75100,0x26200013,0x300abdcb,0x05edc409,0x0002f6a0,0x157b9731,
    0x372e6000,0x710002cd,0x04359bb9,0x000f6c00,0x88013331,0x26009999,
    0x26200999,0x99980999,0x26200999,0x4c099999,0x99999999,0x22099999,
    0x39b51099,0x00039730,0x27fffffc,0xffffff50,0x7ffffd43,0x01ffffff,
    0xffffd300,0x7ff901db,0x64000000,0x30000007,0x98801ffb,0x4c0acdcb,
    0x3fffa0ff,0x3fffa206,0x3f63f54f,0xb805ffff,0x80ffffff,0xefffffea,
    0x3ffffea0,0xfffd8802,0xbb3fffff,0x7fffe440,0x4003ffff,0xfffffffa,
    0xa80fb84f,0xb84fffff,0x002fffff,0xfffffff5,0x3f6a009f,0xffffffff,
    0xfffb1002,0xf5bfffff,0x2ffd4003,0x6ffff880,0x3ffffe20,0xffffff04,
    0xfffff109,0x7fffec5f,0xff883fff,0x20ffffff,0xffffffff,0x73ffffff,
    0xffd39fff,0x7ffe49ff,0xa98001ef,0x5400abfe,0x5442bfea,0xaabfcaaa,
    0xff30002a,0x40bfd77d,0x0002efea,0x0007c800,0x67fe4400,0x7fffd400,
    0xf98cffff,0x37e64c1f,0x53f33260,0x33bf266c,0xdcb8801c,0xcff882df,
    0x3e6bf911,0x02ffb8bf,0x8826ffea,0x506fefea,0x54c13bff,0x64400efe,
    0x36a21bef,0x503f61ef,0x8ff223df,0x5ff52ef9,0x0df7e440,0x803dfb51,
    0x2209bdff,0x74403fea,0x7e4c09df,0x3e2002ff,0x332a002f,0x6665c06f,
    0x9ffb504f,0x3f72a017,0x3f3260bf,0x9700bccf,0xf859bfd9,0xccccccce,
    0x711ffccc,0x315ffdf9,0x239fb5fb,0x260006fb,0x13ea005f,0x0001fa80,
    0x00303fd0,0x0007bfee,0x0007c800,0x037fee00,0x437dfb10,0x1ffffd98,
    0xf1003740,0x0db07fdd,0x1007e400,0x077e7dc0,0x77d41fa2,0x86ffa800,
    0xfb801ef9,0x013f600e,0x17e27fea,0x47f203be,0x201fd06e,0xffa804fd,
    0xff800200,0x200ff200,0x08002ff9,0x801ba000,0x27e404f8,0x20077cc0,
    0x3f4001fc,0x3f600bf0,0x883fff02,0x2fc84fff,0x00bf2000,0xf5001ba2,
    0xbf300003,0x3ff20000,0xc800000d,0xfa800007,0x9fd001ef,0x009ff500,
    0x7fc400dd,0x00fb80ac,0x4000db00,0xf301fff8,0x4006f887,0x07f446fb,
    0x2e09f500,0x3fe6003f,0x00fdc2fe,0x2603f7dd,0x003fb83f,0x40001be6,
    0x01be03fb,0x00002fc8,0x10037400,0x09f9009f,0x440077cc,0x0fe6004f,
    0x3fc805f8,0x7ec0bfe0,0x0007f305,0x7e400fe8,0x00fd4001,0x0017d400,
    0x19ff9100,0x03e40000,0x5dfd3000,0x4017e400,0x400feff8,0x13e2006e,
    0x3b605f30,0x80009f01,0x23ec05fc,0x6f8001fd,0x5c000fe4,0x0037c41f,
    0x2fc17fdc,0xb017fea0,0x8006f88f,0xf00003fb,0x10037409,0x0000001d,
    0x3e2006e8,0x309f9004,0x7ec001df,0x401fb000,0x027dc03c,0x00fc813e,
    0x980009f1,0x013e604f,0x00007ea0,0x00000fe6,0x000fff66,0x40003e40,
    0x4003ffd8,0xff8805fa,0x37405f89,0x8809f100,0x84ff983f,0x640003f8,
    0xf0fdc03f,0xf0ee000b,0x13e2000d,0x3a0001f9,0xf802f987,0x90fdc03f,
    0x1ba0001f,0x7027c000,0x0000007f,0x006e8000,0xfc8013e2,0x0003bea5,
    0x9f1007f3,0x05fa8000,0x03f204f8,0x400027c4,0x01fd02fc,0x0003f500,
    0x00001ba0,0x002efea8,0x10003e40,0x00019ff9,0xfe8801fb,0x6e807f21,
    0x2013e200,0x87efc85e,0x2e6001fa,0x401fc9ac,0x005f32f9,0x000fe200,
    0x0036c6d8,0x1fa81f90,0x4c01fe80,0x8001b62f,0x5d4c00fc,0x4f89abcc,
    0x2b3bf620,0x00000009,0x8801ba00,0x6fdc004f,0xd0000efa,0x003f700f,
    0xf8037d40,0x4403f204,0xdd00004f,0x0002fc81,0x005b83f5,0x00002fa8,
    0x00effdc0,0x70007c80,0x40001bff,0x17f4405f,0x06e80fe6,0x32013e20,
    0x41fade87,0xffdb807c,0xeeffffff,0xfeeeeeee,0x00003f53,0x3bbbbbea,
    0xeeeeeeee,0x02fc7eee,0xfb83f500,0xeeefd800,0x3feeeeee,0xfa80017e,
    0xffffb881,0x4fffffff,0xffffea80,0x2aa01cef,0xaaaaaaaa,0xaaaaaaaa,
    0x4400dd00,0xffb8004f,0x3ea0000e,0x0002fc02,0x3e001df3,0x4403f204,
    0xf300004f,0x0002fcc9,0x17faa3f5,0x00036c00,0x67fe4400,0x555554c0,
    0xaaaafdaa,0x7f542aaa,0x7c40001e,0x40bfa203,0x801ba04f,0x1fa804f8,
    0xd13e2fe6,0x5f7f4c0d,0xefeb9889,0xeeeeeeee,0x0001f93e,0x3bbbbea0,
    0xeeeeeeee,0xf10eeeee,0x1fcc0009,0x77e401f2,0xeeeeeeee,0x0009f13e,
    0x3fe61fcc,0x99889abe,0x22004fca,0xcffedba9,0xffffff80,0xffffffff,
    0xdd02ffff,0x0027c400,0x0002ffdc,0x05f50374,0x003fe200,0x03f204f8,
    0x000027c4,0x003fa3f9,0xffdbfa80,0x7fb10002,0x2a000000,0x3ffe0eff,
    0xffffffff,0x2fffffff,0x0000dff7,0x7f440be6,0x6e817e02,0x2013e200,
    0x6c3f22f9,0xff8827c7,0x0007e401,0x400007ee,0x400002f8,0x3ea0005f,
    0x6c007dc1,0x05f8000f,0xe887ea00,0x013e002f,0x07bf2200,0x33333331,
    0x33333333,0x00374033,0xfb8009f1,0x0000dfbd,0x037407ee,0x001fe880,
    0x01f9027c,0x800013e2,0x002fcee8,0x027ffd40,0x1fdff500,0x80001310,
    0x9884ffc8,0xfd999999,0x19999999,0x00177f4c,0x3a20fe20,0x813e202f,
    0x13e2006e,0x54bd27c0,0x2e05f32f,0x02fc802f,0x00017cc0,0x80000bf0,
    0x3f20007d,0x7400fd40,0x07d8003f,0xfc83f200,0x0027c001,0x0009f300,
    0x006e8000,0xfb8013e2,0x0003bea5,0x1fcc2fc4,0x002fd800,0x03f204f8,
    0x000027c4,0x00017fea,0x0001bff7,0x2fc46fe4,0x40007fec,0x000cffc8,
    0x2a000f90,0x20001efe,0x01ff445f,0x06e80be6,0x6c013e20,0x74f87f36,
    0x003f201f,0xf10013f2,0x7ec00009,0x3ee00000,0x10dd0001,0x0bff005f,
    0x0003f700,0x000bd1ba,0x0006a09f,0x000001f2,0x7c400dd0,0x50bf9004,
    0x320001df,0x0007ec0f,0xf80017ec,0x4403f204,0xd800004f,0xfd30000f,
    0x440003ff,0xf117dc4f,0xff70005d,0x7c80003b,0x6ffdc000,0x10fd8000,
    0x3f9007fd,0xf70036c0,0x323ee009,0x07cbec0f,0x3f6007ea,0x01fd8006,
    0x2fcc1100,0x0df10000,0x3a07f700,0x03ffdc06,0x40037c40,0x013e23fb,
    0x1ba09f30,0x0003ee00,0x006d8000,0x3f2013ee,0x003bea05,0x4f893e20,
    0x803fc800,0x3204f85c,0x009f100f,0x000f9000,0x3f77ffb1,0x3f50c400,
    0x0bee1fd0,0x05dfd500,0x001f2000,0x033ff220,0x7fb5f980,0xc80bf300,
    0x4ffc801f,0x0bd5f500,0x440bd5f5,0x7ffdc04f,0xdf10dc03,0xb89f7000,
    0x8388003f,0x3e6004fa,0xe80bea05,0x05c03fbe,0xf98013ea,0x2e007f85,
    0x01fd04ff,0x00007e80,0x400fe400,0x7e404ffc,0x00ef9804,0x1f70fd80,
    0x004fb800,0x6409f0fb,0x009f100f,0x800f9000,0x3f50cff8,0x0fb3e400,
    0x007f53e6,0x003ffd98,0x0003e400,0x007ffb30,0x401ff7e4,0x7d400fe8,
    0x3fbfa204,0x7fbf1004,0x900ff7e0,0x3ffee07f,0x3fe980fe,0x4c00f7d4,
    0xcfe80efe,0x0ffc8800,0x5c00dfd8,0x0ff400ff,0x81fe97ec,0xdfd83fd8,
    0x407fdc00,0x7f4403fc,0x3ffd04fe,0x000ff600,0x7d400031,0x3fbfa204,
    0x8013f204,0x4c000ef9,0xa800bf3f,0x21f6005f,0x403f204f,0x800004f8,
    0x41c8007c,0x9f2001fa,0x3ebf205e,0xcffc8805,0x7c800000,0xfe980000,
    0xeff8802e,0x017fd400,0xb98aefd8,0xcef8bffd,0x00ffe801,0xfb003ff9,
    0x9bfb5139,0x9315fd1f,0x3fee07ff,0xfb7511ac,0x7fe4019f,0xfb7511ab,
    0x7fe403df,0xfeb988ab,0xaff9800d,0x3e64fd98,0x3ffb98be,0x22afff20,
    0x00dfeb98,0x31139fd1,0x3be7ffb7,0x3fffa3cc,0xf73309bd,0xff88009f,
    0x3bf60003,0xbffdb98a,0x36e3cef8,0x701cccff,0x019ffd99,0x017ef740,
    0x9999ff10,0xd9999999,0x33bf322f,0x41ccfc83,0x0003cef8,0x40001f20,
    0x9f2001fa,0x3ffa207d,0x06ffdc01,0x0f900000,0x7fd40000,0x3fbf601e,
    0xfb5309bf,0x7ec4003d,0x10dfffff,0xf9009fff,0x007fd40b,0x4fffffd8,
    0x3fffe6d5,0x7ec400df,0xcfffffff,0xfffd3000,0x05bfffff,0x3ffffa60,
    0x4c003fff,0x983ffffe,0x01dffffe,0xfffffe98,0xfd8803ff,0x0dffffff,
    0xcc97fffe,0xffffffc8,0x98002eff,0x220004ff,0xdffffffd,0x6cdfff10,
    0x82ffffff,0xffffffe8,0x1bfea001,0xfffff300,0xffffffff,0x3fffeaff,
    0x2fffc86f,0x0037ffc4,0x0000f900,0x7c8007ea,0x5fb80bee,0x007bfea0,
    0x01f20000,0x3fee0000,0xe9a7ec0d,0x4fffffff,0x2f2ea000,0x00000001,
    0x0aca8800,0x000564c0,0x26af2e62,0x97310000,0x44000157,0x0001acba,
    0x2600b2a2,0xa88000ac,0x98001acb,0x0001acca,0xabcca988,0x065c0001,
    0x5e5d4000,0x00000001,0x00000000,0x00000000,0x7c800000,0x03f50000,
    0x1dd13e40,0xb03fff30,0x000005df,0x00003e40,0x91ffc880,0x5975309f,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x540001f2,0x51f2001f,0xff7115ff,0x1dc99df5,0x4c000000,0x40000003,
    0x000750c9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x90000000,0x3ea0000f,0x261f2001,0x50fffffe,0x00001dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32e00000,0xcccfeccc,0x332200cc,0xcccdfdcc,0xeccccccc,0x03775107,
    0x31000000,0xbdca9813,0x4ccc4001,0x00200199,0x4cc40002,0x02ae2019,
    0x81999998,0x00099999,0x06210008,0x55101880,0x003b0001,0x01800660,
    0x2aaaaaaa,0xaaaaaaaa,0x001aaaaa,0xfff98001,0x577300ff,0x7f6e4c01,
    0xedb800be,0xaa980bdf,0x2aaa21aa,0x2aaaa62a,0xaaaaaaaa,0x02aaaaaa,
    0x44006051,0xb9806001,0x5b930002,0x00000000,0x7ff40000,0xffffffff,
    0x3ffe601f,0xffffffff,0x7fffffff,0x06ec0000,0x7cc3ee00,0xfffb15ff,
    0x7001dfff,0x1fffffff,0x4407f500,0x7fdc005f,0x7f540fff,0xffd84fff,
    0x3f26ffff,0x003fffff,0x5e880fea,0xdf1007f7,0xdfddee98,0x007f3001,
    0x67f6fe4c,0x837edcc0,0xfffffffb,0xffffffff,0x803fffff,0x7fdc006b,
    0xffd883ff,0xffc82fff,0x206fecce,0xfdccefe8,0x7fffe41e,0x9bfffe22,
    0xfffffffe,0xffffffff,0x6a81ffff,0x36201df0,0x7dc02eff,0x77fff443,
    0xfff30401,0x0000009f,0x00000000,0x00000000,0xefa80000,0x479db930,
    0x6fe5c5fb,0x7109cfe9,0xcb8801df,0x800feccc,0x3f203fe8,0x9971000d,
    0x3ff621fb,0x445fc89c,0x21ccfecc,0x0bcdffd8,0x201ff700,0x7fd12ff9,
    0xf10ffc40,0x3006c887,0x06f4007f,0x5efd4db1,0x2666606c,0x99999999,
    0xfa999999,0x027fcc03,0x10dfffd0,0xfffbdfff,0x5f301885,0x3a60bfa0,
    0x3fffee1f,0x12ffffc1,0x33333333,0x33333333,0x41aa0133,0xffb80efb,
    0x17f206ff,0xff517fd1,0x7e4fe205,0x0000ffff,0x00000000,0x00000000,
    0x40000000,0xefffdefb,0x205fceff,0x2601effe,0x1f90005f,0x813fe200,
    0xb8000efd,0x505fe88f,0xf9836c09,0xffb8002f,0x887ff301,0x1ff883fe,
    0x4c01fc00,0x20d9003f,0x00d902f8,0x07f10000,0x01fe77c4,0x417fffc4,
    0x3f621efd,0x217a000f,0x9ba201fc,0x6c0ffff9,0x00004fff,0x4067d400,
    0x7fec1ffa,0x7ec40fff,0x7442fe84,0xc87fc43f,0x0007ffff,0x00000000,
    0x00000000,0x00000000,0xfa819ff7,0x07ff406f,0x40007dc0,0x3e6000fc,
    0x1dfd105f,0xffafb800,0x21b60002,0xc8001ffa,0x9ff502ff,0xe88ffa20,
    0x03f8002f,0x11003f98,0x06c82740,0x3f880000,0x0ff47fa0,0x41bffea0,
    0x2ff882ff,0x5e666544,0xb805e85e,0x0ffff10f,0x0007fff9,0x6c988000,
    0x7d45ff30,0x7f445fff,0xb102f883,0x43ff75bf,0x003ffff8,0x00000000,
    0x00000000,0x00000000,0x7c407f90,0x800ff406,0xfc8002f9,0x2ffd4000,
    0x001ffe88,0x0007ffee,0x0efb8db0,0x02ffd800,0xe880bff5,0x002fe8bf,
    0x7bb076c4,0xb511fcc1,0x0be6001d,0x00000364,0x2fc81fc4,0xfc803fe2,
    0x07f982ff,0xfffb93f2,0x445ffeef,0x22f9803f,0xffb86fff,0x0000002f,
    0xd103cc15,0x067f5c5f,0x80005ff1,0x880efffb,0x000001cb,0x00000000,
    0x00000000,0xf1000000,0x407f500b,0x0fe2005e,0x0003f200,0x2203bfea,
    0xf7001fff,0xdb00001d,0xd8002fec,0xbff703ff,0x3fffa200,0xdffd1002,
    0xbefffb81,0xfffdabfa,0x409f3005,0x8000006c,0x84fb83f8,0x3ffa06f9,
    0x201ff306,0x37bf54fd,0x009f0bd0,0x2fff43f5,0x530fffd4,0x55555555,
    0x55555555,0x677f4455,0x00e4404f,0x20000390,0x000001a8,0x00000000,
    0x00000000,0x00000000,0x5f8017d4,0xf88017a0,0x00fc8003,0x01dff700,
    0x7005fff3,0x3600003f,0x8004fe8e,0xf904ffe8,0x7cc001df,0x6dc4004f,
    0xfff9304f,0x015bffff,0xd9013e60,0xf1000000,0x2e06f987,0x1fff984f,
    0x3e20ffe0,0x7401fd2f,0xfc806e85,0x2613ff60,0x7fff47ff,0xffffffff,
    0xffffffff,0x000ddcc1,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf9000000,0xe81b6001,0x00fe2005,0x80003f20,0xfa81effc,0x07dc02ff,
    0xfefd8000,0x3a2001ef,0xdff905ff,0x77fc4001,0x9f10003f,0x0bfff980,
    0x401fdc00,0x8000006c,0x03fe23f8,0xffb85fb0,0x3177e405,0x817a1dfb,
    0x04fa85fb,0x5ff913ea,0x330fff10,0x33333333,0x33333333,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x007dc000,0x017a06d8,
    0xc8003f88,0x3e20000f,0xfffb06ff,0x0007dc01,0xea9ffd80,0xfffb003f,
    0x07fff501,0x744ffc40,0x0f90003f,0x004fefa8,0x6c8017e4,0xf8800000,
    0x74007fa3,0x007ff61f,0x3ffbfffa,0x442fea1f,0x40aeffea,0x3f261dfc,
    0xf01ffb86,0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x400bea00,0x8017a05f,0xfc8003f8,0x3ff60000,0x1fffb80e,
    0x00007dc0,0x6fe40fd8,0x0effd800,0x801fffb8,0x3fa22fe8,0x00fb8003,
    0x00bf2df1,0xc8003b62,0x88000006,0x4007f53f,0x013fe5f8,0x77fffe44,
    0xfffffd81,0xa86ffeae,0x04ffffff,0x1fec0ff3,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x3fb805f8,0xf88017a0,
    0x00fc8003,0x20bffb00,0xb801effa,0xdb00000f,0x6c017ee0,0xfff505ff,
    0x417f4401,0x004c3fe8,0x88ff40df,0x37a600fe,0x0d900880,0x82e00000,
    0x32088001,0x1aa88004,0x10d65cc0,0x5dcc4033,0x100d400a,0x00000017,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3027dc00,
    0x005e80df,0x32000fe2,0xffc8000f,0x01dff505,0x00003ee0,0x07f9036c,
    0x5417ff20,0xfe880eff,0xc8ffa202,0xeeb98bdf,0xf987f900,0x555df106,
    0x2a2bb555,0x1aaafdaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bff7000,
    0x0077fdc4,0x1fc400bd,0x0007e400,0x7cc13fee,0x3ee000ef,0x0db00000,
    0xf7000fe8,0x3bfe609f,0x44017dc0,0x7ff64c6e,0x417e604e,0xeee983fb,
    0x54eeeeee,0xdddddddd,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9bf70000,
    0x9dffffff,0x017a01df,0xc8003f88,0x3fea000f,0x01bff103,0x0000fb80,
    0x4f980db0,0x40ffee00,0x00085ff9,0x64400004,0x00006e00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7dc00000,0x87372e25,0x00bd06fb,0x64001fc4,
    0x5ff3000f,0x0017fa20,0x800007dc,0x00fd806d,0x440bfea0,0x000005fe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,0x50fb8005,
    0x0599ff99,0x0f3bf326,0xd9999997,0x9999999f,0xe80bfe23,0x9991004f,
    0x9999bfb9,0x64c03999,0x502ccfec,0x260079bf,0x7fd101ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffff2,
    0xfffff703,0x7ffff44b,0xffffffff,0x03d33fff,0xf5001f44,0xffffffff,
    0x407fffff,0x5ffffffc,0x003bffa0,0x9b10174c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_46_latin_ext_x[560]={ 0,9,5,3,4,3,5,9,11,5,0,2,5,3,
9,4,4,4,3,3,4,3,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,1,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,2,1,1,1,2,2,4,0,11,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,4,2,4,1,
11,2,6,0,0,0,0,3,0,-1,6,2,6,7,8,1,3,9,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,3,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,2,1,2,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,2,0,2,0,2,0,2,2,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,4,3,4,3,4,3,4,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,2,
1,4,4,4,4,4,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,2,5,5,5,5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,2,0,0,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_46_latin_ext_y[560]={ 33,7,8,6,6,7,11,8,8,8,8,11,27,20,
28,5,7,7,7,7,8,8,7,8,7,7,15,15,11,17,11,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,5,8,7,42,6,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,15,15,15,15,15,15,8,8,8,18,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,33,15,6,9,12,9,
8,8,8,9,7,15,20,20,9,4,3,8,7,7,6,15,8,17,32,7,7,15,7,7,7,15,1,1,1,3,
3,1,9,9,1,1,1,3,1,1,1,3,9,3,1,1,1,3,3,14,8,1,1,1,3,1,9,8,6,6,
7,9,8,5,15,15,6,6,7,8,6,6,7,8,8,9,6,6,7,9,8,12,14,6,6,7,8,6,8,8,
4,9,2,7,9,15,1,6,1,7,2,8,2,7,2,8,9,8,4,9,2,7,2,8,9,15,2,7,1,7,
2,7,2,8,9,6,1,1,9,8,3,9,4,9,2,7,9,7,2,15,9,7,1,7,9,8,15,1,0,9,
8,9,8,9,8,9,8,1,6,9,15,2,7,8,9,15,4,9,2,7,1,6,9,15,1,6,9,15,2,7,
1,6,1,7,9,15,2,7,9,9,2,8,9,9,3,9,4,9,2,7,0,5,1,6,9,15,1,7,1,7,
3,1,6,2,8,2,7,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,15,7,7,7,7,7,7,7,7,7,7,7,7,7,6,15,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,2,7,2,7,2,
7,2,7,1,4,1,1,1,2,1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-6,-1,1,6,1,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_46_latin_ext_w[560]={ 0,6,15,18,16,18,16,6,8,8,16,20,10,18,
7,16,16,16,17,18,16,18,16,16,16,16,7,10,20,21,20,15,16,25,22,20,20,21,20,21,21,16,21,23,
21,25,23,21,20,21,24,18,20,22,25,24,22,22,17,7,16,7,16,25,8,21,23,19,22,20,19,21,22,18,
14,21,18,25,21,20,23,22,20,17,20,22,23,23,21,22,16,9,3,9,18,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,16,20,17,22,
3,20,13,25,13,20,22,18,25,26,12,20,11,11,8,22,19,7,8,10,14,21,25,25,25,15,25,25,25,25,
25,25,25,20,21,21,21,21,16,16,16,16,23,23,21,21,21,21,21,15,22,22,22,22,22,22,20,20,21,21,
21,21,21,21,24,19,20,20,20,20,18,18,18,18,20,21,20,20,20,20,20,20,21,22,22,22,22,22,23,22,
25,21,25,21,26,22,20,19,20,19,20,19,20,19,20,23,23,22,21,20,21,20,21,20,23,20,21,20,21,21,
21,21,21,21,21,21,21,22,21,22,16,18,16,18,16,18,16,18,16,18,25,21,21,15,23,21,20,21,18,21,
18,21,18,21,18,22,18,23,21,23,21,23,21,23,20,18,21,20,21,20,21,20,25,24,24,20,24,20,24,20,
18,17,18,17,18,17,18,17,20,20,20,20,20,20,22,22,22,22,22,22,22,22,22,22,22,23,24,23,22,22,
22,17,16,17,16,17,16,19,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,19,21,21,21,
21,21,21,21,21,21,21,21,21,21,23,22,21,21,21,21,21,21,21,21,21,21,21,21,21,24,23,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,25,21,16,18,21,
20,22,22,22,22,22,22,22,22,22,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,25,21,25,24,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_46_latin_ext_h[560]={ 0,27,12,30,31,27,23,13,31,31,15,21,12,3,
6,32,27,26,26,27,25,26,27,26,27,27,19,23,21,9,21,25,29,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,29,24,25,24,25,24,24,24,24,24,31,32,31,12,3,7,19,26,19,26,19,25,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,19,18,19,18,26,18,31,31,31,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,26,27,24,18,24,
31,28,4,25,12,18,12,3,25,3,12,25,14,15,7,26,28,7,8,14,12,18,26,26,26,26,32,32,32,30,
30,32,24,31,32,32,32,30,32,32,32,30,24,30,33,33,33,31,31,15,27,33,33,33,31,32,24,26,28,28,
27,25,26,29,19,25,28,28,27,26,27,27,26,25,26,24,28,28,27,25,26,19,21,28,28,27,26,35,33,33,
29,25,31,27,30,24,33,28,33,27,32,26,32,27,31,26,24,26,29,25,31,27,31,26,30,24,31,27,33,34,
32,34,32,33,31,35,32,32,24,25,30,24,29,24,31,26,30,32,31,18,25,34,33,34,31,32,18,32,33,31,
32,24,25,24,25,24,25,32,27,31,25,31,26,25,25,26,30,25,32,27,33,28,24,19,32,27,31,25,31,26,
33,28,33,27,31,25,32,27,33,33,31,26,24,25,31,25,30,25,32,27,34,29,33,28,30,24,32,27,32,34,
30,32,27,31,25,31,26,25,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,25,26,26,30,26,26,26,
26,26,26,26,26,26,26,26,26,26,25,19,26,26,26,26,26,26,26,26,26,26,26,26,26,28,19,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,31,27,31,26,32,
27,32,27,33,30,33,33,33,32,33,33,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,39,35,32,28,34,29,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__courier_46_latin_ext_s[560]={ 511,505,369,333,79,60,47,505,126,96,236,
85,316,80,461,1,337,260,242,318,481,129,179,91,43,138,498,500,106,385,64,
1,94,394,249,17,473,430,452,60,1,494,38,204,293,272,298,141,420,72,441,
82,272,432,315,383,360,1,487,157,1,464,299,54,416,332,212,222,388,242,185,
23,205,148,140,163,101,479,82,311,322,45,145,354,120,393,438,173,416,68,462,
164,504,135,442,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,511,500,483,
228,64,249,508,195,498,455,340,187,276,80,366,27,327,300,253,224,433,167,480,
425,407,265,354,123,277,190,216,346,41,88,457,439,227,431,92,246,182,204,312,
182,37,414,397,270,118,287,442,283,328,416,49,208,67,488,396,419,333,159,228,
367,303,346,22,88,260,128,197,429,1,22,128,168,109,90,149,413,282,408,368,
325,421,67,303,372,127,389,412,277,189,71,464,133,46,321,438,354,465,23,1,
460,22,100,67,347,138,463,356,236,322,324,24,210,27,79,377,411,369,466,135,
442,43,238,226,155,248,111,113,27,482,270,372,44,352,163,111,341,165,432,253,
356,316,104,403,193,179,177,71,334,166,483,241,472,18,182,1,46,110,24,129,
114,399,267,278,222,1,254,392,303,311,449,375,256,279,282,346,286,54,196,291,
470,197,362,260,264,222,300,145,148,293,120,301,201,105,108,142,189,174,231,416,
343,18,376,215,172,156,241,1,68,363,155,459,117,204,322,217,95,491,494,492,
383,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,166,470,470,492,
470,470,470,470,470,470,470,470,470,470,470,470,470,20,263,470,470,470,470,470,
470,470,470,470,470,470,470,470,435,149,470,470,470,470,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,1,234,
399,451,411,1,340,44,88,393,305,260,350,388,373,65,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,1,49,433,216,94,150,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470, };
static unsigned short stb__courier_46_latin_ext_t[560]={ 1,75,387,141,108,204,365,339,108,108,387,
365,387,37,387,108,204,261,261,204,288,261,204,261,204,204,288,204,365,387,365,
314,173,339,339,314,314,314,314,314,340,314,314,340,314,339,339,314,339,173,339,
314,314,288,314,314,314,365,339,141,75,108,387,37,387,365,233,365,233,365,314,
261,314,261,1,314,314,365,387,365,261,261,387,365,314,365,365,365,365,261,365,
108,41,108,387,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,1,173,204,
314,387,314,41,173,308,288,387,387,387,37,288,37,387,288,387,387,387,261,173,
387,387,387,387,387,261,261,261,261,75,75,75,141,141,75,340,108,75,75,75,
141,108,75,75,141,340,141,1,1,1,108,141,387,233,1,1,1,108,75,339,
233,173,173,233,288,233,173,365,261,204,204,233,233,233,233,233,288,233,314,173,
173,204,288,233,365,365,173,173,204,233,1,1,41,173,288,108,204,141,340,41,
173,41,204,75,233,75,204,108,233,339,233,173,288,141,204,108,233,141,339,141,
204,41,1,75,1,75,41,141,1,41,75,339,288,141,340,173,314,141,233,141,
75,108,387,261,1,41,1,141,75,387,75,41,108,108,340,288,340,288,365,288,
75,204,108,288,108,261,288,288,261,141,261,75,204,41,173,339,365,108,204,108,
261,108,261,41,173,41,204,108,288,75,204,41,41,108,261,340,288,108,288,141,
288,75,204,1,173,41,173,173,340,41,204,41,1,141,41,204,141,261,108,233,
261,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,288,233,233,141,
233,233,233,233,233,233,233,233,233,233,233,233,233,288,365,233,233,233,233,233,
233,233,233,233,233,233,233,233,173,365,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,141,204,
108,233,41,233,41,233,41,141,1,1,1,41,1,41,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,1,1,41,173,1,173,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233, };
static unsigned short stb__courier_46_latin_ext_a[560]={ 390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_46_latin_ext(stb_fontchar font[STB_FONT_courier_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_46_latin_ext_s[i] + stb__courier_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_46_latin_ext_t[i] + stb__courier_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_46_latin_ext_x[i];
            font[i].y0 = stb__courier_46_latin_ext_y[i];
            font[i].x1 = stb__courier_46_latin_ext_x[i] + stb__courier_46_latin_ext_w[i];
            font[i].y1 = stb__courier_46_latin_ext_y[i] + stb__courier_46_latin_ext_h[i];
            font[i].advance_int = (stb__courier_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_46_latin_ext_s[i] + stb__courier_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_46_latin_ext_t[i] + stb__courier_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_46_latin_ext_x[i] + stb__courier_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_46_latin_ext_y[i] + stb__courier_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_46_latin_ext_LINE_SPACING
#endif

