// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT        422
#define STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_47_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_47_latin_ext_LINE_SPACING          22

static unsigned int stb__courier_47_latin_ext_pixels[]={
    0x00028000,0x0001c400,0x80000088,0x04c00098,0x00080000,0x33002620,
    0x000a0001,0x00006200,0x00008004,0x0003d880,0x00000006,0x2aaa0000,
    0x2aaaaaaa,0x00004000,0x00000600,0x00000300,0x03000044,0x55530018,
    0x00000005,0x00000010,0x00000000,0x0001fe88,0x000ff500,0x00009d10,
    0x5c00df90,0x200001ff,0x320007e8,0x0bfe206f,0x003bf600,0x01ff4c00,
    0x2201f200,0x2200003f,0xf50003fe,0x5d800009,0xff700000,0xffffffff,
    0x3ee0005f,0xf1000003,0x0000001b,0x000005f9,0x220009f7,0x03f440df,
    0x007ffff8,0x7e400000,0xe9800001,0x0000fa02,0x04fe8800,0x3ff70000,
    0x01db0000,0x0df90000,0x7ffdfb10,0x7fd10000,0x037e4000,0x4c005ff1,
    0x002ffdfe,0x6ff7fdc0,0x09f70000,0x00002fd8,0x80005ff3,0x200005fb,
    0x00000efb,0x10000000,0x000009fd,0x00003bf2,0x0017ec40,0x0077e400,
    0x263dd300,0x331001ef,0x000000fb,0x0017f620,0x807fea00,0x000000fd,
    0x0002ff98,0x001df900,0x0003f100,0x301bf200,0x37f629fd,0x5ff30000,
    0x06fc8000,0x5400bfe2,0x09ff32ff,0x21dfb100,0x88001ffc,0x1df501ff,
    0x3ff50000,0x3bea0000,0xdf700000,0x00000003,0x6fec0000,0xfb800000,
    0x4400001f,0x800001fe,0x80000dfd,0x00dfcfd8,0x0000f900,0x09fd1000,
    0x3df70000,0x0004f980,0x00ffd400,0x0dfd8000,0x5df70000,0xdf900000,
    0x6417fd40,0x7d4001ef,0xfc80001f,0x00bfe206,0xfb107bf2,0x3fa2001b,
    0x003ffa84,0xdaceffa8,0x80001fff,0x20000efb,0x89be60dc,0xff50004d,
    0x36600003,0x0006dc02,0x00077e40,0x017fd400,0x3ba0dc80,0x80013620,
    0x20005fe8,0x21fe41da,0x0f9002da,0xf9800000,0xc800003f,0x1fd000ef,
    0x3ea00000,0x9000001e,0xd800009f,0x800006ff,0x07be0098,0x2e005fa8,
    0x100000ef,0x00998013,0xf9006fd4,0x80bf6009,0x98000fe8,0x0dfffffd,
    0x0ef88000,0x0ffe6000,0x00ffdc31,0x002ff980,0x2207fd80,0x700004ff,
    0x000001ff,0x98005ff3,0xf70263ff,0xfd10003f,0x6ff80007,0x006fe808,
    0x000000f9,0x00017fcc,0x2002fec0,0x000003fa,0x00000193,0x4000014c,
    0x00004ffc,0x22001000,0x00372000,0x00000000,0x40022003,0x00030008,
    0x0009a988,0x40000c00,0x7cc00fe8,0x37440006,0x027dc000,0x80000bf6,
    0x000000da,0xe88005b1,0x037cc00f,0x0002d880,0xf9003fc8,0x001f2007,
    0x01ea8000,0x04f98000,0x0000fd00,0x00001440,0x00006e60,0x00000110,
    0x00000000,0x00003000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00080f90,
    0x00000000,0x3fb80002,0x7ec40000,0x400004fe,0x00dfdfe8,0x00000000,
    0x00000000,0x01f90030,0x00000000,0x00040000,0x00001000,0x00000000,
    0x05b70000,0x00003722,0x00000000,0x00260000,0x00000000,0x00000260,
    0x47c80000,0xaceffdb9,0x04c40000,0x40b6e000,0xdf000dc8,0x0dc80000,
    0x400005d3,0x0001ec4c,0x32e00008,0xcccccccc,0x3332e2cc,0xcccccccc,
    0xffd93002,0x5fb839df,0x66666654,0x666665c2,0x999952cc,0xccca8039,
    0x3b2601cc,0x65c2ceff,0x764c03cc,0x65c2ceff,0x3332a3cc,0x665401cc,
    0xdd911ccc,0x3209dddd,0x04eeeeee,0x7dc1bfe2,0x3bb2204f,0xd904eeee,
    0x449ddddd,0x4eeeeeec,0xdddddd90,0xffd93009,0xc88019ff,0x04eeeeee,
    0x9dddddd9,0xfffd9300,0xec88019f,0x904eeeee,0x09dddddd,0xbfff73e4,
    0x007fffb9,0xfffffc98,0xf100dc3d,0x13fee0df,0x00017dc0,0x005a83f0,
    0x0d503e00,0x3ffb2600,0x6665c2ce,0x3ffffe23,0x5fffffff,0xfffffff1,
    0x00bfffff,0xd97bfff7,0x03be67ff,0xbfffffff,0x7fffffc4,0xffffd4ff,
    0xffff80df,0xdff705ff,0x21bffd9b,0x700ffffe,0xffd9bdff,0x3ffffa1b,
    0xdfffffd0,0xffffff80,0xffffff15,0xffe881df,0x200effff,0x5ff305ff,
    0x7ffffc40,0x7f440eff,0x10efffff,0xdfffffff,0xffffe881,0x3f200eff,
    0xfffdbcef,0x3fffe204,0x7440efff,0x0effffff,0x2f3bff20,0x2204fffd,
    0xefffffff,0x7ffff440,0x2f900eff,0xfd300efd,0xfffb1007,0x3dfdb97b,
    0x0bff013e,0x4400bfe6,0xf100006f,0x00006981,0x000d507e,0xfd9bdff7,
    0x3fffa1bf,0x2666620f,0x5f999999,0x26666662,0x205f9999,0xd300dfd8,
    0x2601fddf,0x445f9999,0x4f999999,0x400677ea,0x4409fe99,0xdf700efe,
    0x10133dd1,0x3ee01dfd,0x4099ee8e,0x30019dfa,0xfb013fd3,0x4013e000,
    0x000c4018,0x13e000fb,0x3e000fb0,0x06ff4404,0xd805fe98,0x809f0007,
    0xd300dfe8,0x00fb00bf,0x3f2013e0,0x7f9003fe,0x00eff440,0x809fbfd5,
    0x000c4018,0x400007f2,0x0001ec4d,0x01ec4b90,0x201dfd10,0x99ee8efb,
    0x017e0000,0x9fd02fc0,0x00bff200,0x27c00bf0,0xf50003f2,0x200ff207,
    0x6406eee9,0xeee9803f,0x0007e406,0x07d80fea,0x00009f00,0x003ec000,
    0x03ec04f8,0x3e204f80,0x0bfb003f,0x9f0007d8,0x801ffc40,0x03ec05fd,
    0xfc804f80,0x17ec004f,0x32003fe8,0x000004ff,0x000bf100,0x3bb3be60,
    0x36200000,0x2000dfdf,0xee9803fc,0xbf00006e,0x5c17e000,0x3ff2003f,
    0x002fc003,0x004f889f,0x2fcc07f4,0x40dff300,0x3e6005f9,0x027c406f,
    0x7d803fa0,0x0009f000,0x03ec0000,0x3ec04f80,0x3204f800,0x1fe4002f,
    0x3e000fb0,0x000bf204,0x03ec07f9,0xfc804f80,0x84f88006,0xfd8004fc,
    0x00000004,0x800007f2,0x000001ca,0xf30002e6,0x37fcc00b,0x005f8000,
    0x0df10bf0,0x07f6fd40,0x7c00bf00,0x3000fd84,0x003fa07f,0x7f40df90,
    0x037e4000,0xf98007ec,0x8003ec03,0x0000004f,0x7c001f60,0x8003ec04,
    0x00bf304f,0x3ec03fe0,0xf304f800,0x03fe000b,0x4f8003ec,0x0003fc80,
    0x00ef88d9,0x0004f980,0x17e60000,0x00000000,0x7f400000,0x037e4000,
    0x0005f800,0x005fb0bf,0x13ea3be6,0x3e005f80,0xb004f884,0x0013e01f,
    0x04f81be6,0x8806f980,0x01fb004f,0x9f0007d8,0x013332a0,0x80999995,
    0x09f0007d,0x9f0007d8,0x40007f60,0x00fb03fb,0x0fec13e0,0xb03fb800,
    0x013e000f,0x5c0007f2,0x000bea0f,0x666543f8,0x66665404,0x003f6004,
    0xdddddb50,0x00000bdd,0x027c0004,0x00037cc0,0xbf0005f8,0xd1005f88,
    0x8007f43f,0x413e005f,0x27cc00fd,0xf0003f98,0x000fe60d,0x0fd8037c,
    0x6c027cc0,0x209f0007,0x7407ffff,0x6c07ffff,0x809f0007,0x09f0007d,
    0xf80009f3,0x2000fb06,0x004f984f,0x07d837c0,0xf9009f00,0x8be60001,
    0x4040006d,0x7407ffff,0x2007ffff,0x7e4004f9,0xffffffff,0xdba80001,
    0x803effff,0xdf0003f9,0x017e0000,0x0be62fc0,0x3ea1fec0,0x400bf001,
    0x809f104f,0x03f500fd,0x7d41ba00,0x00dd0001,0x1fb013e2,0x2000fb00,
    0x1f66604f,0x01f66660,0x13e000fb,0x3e000fb0,0x0001fa84,0x03ec0fe4,
    0x1fa84f80,0x40fe4000,0x09f0007d,0x20001f90,0x0013e2fa,0x03eccc00,
    0x003ecccc,0x200003fa,0x0005f8ee,0x33bffff2,0x201ffedc,0xdd0001fa,
    0x017e0000,0x07ee2fc0,0x3e613ee0,0x400bf003,0x403f604f,0x0bea04f9,
    0xfa837c00,0x00df0002,0x4f9807ec,0x2000fb00,0x007d804f,0x01f603ec,
    0x1f6027c0,0x7e427c00,0x1fd40000,0x4f8003ec,0x40000fc8,0x007d83fa,
    0x5f9009f0,0x4c3f2000,0x4000003f,0x03ec007d,0x0000fea0,0x003f67f3,
    0x500deec0,0x0bea01ff,0x00037c00,0xbf0005f8,0x7cc00fc8,0x2009f106,
    0x813e005f,0x01fb04f9,0x440027c4,0x009f106f,0x4c00df10,0x001fb04f,
    0x27c001f6,0x36003ec0,0x8003ec07,0x003ec04f,0x007d84f8,0x7d84f980,
    0xfb09f000,0x09f30000,0x13e000fb,0x40013f20,0x0007ea7e,0x800fb000,
    0x07e8007d,0xfa87e400,0xb8000003,0x009f105f,0x0000df10,0x2fc0017e,
    0x1ff101f6,0x5f802fc0,0xfb013e00,0xf804f981,0x06fa8006,0x3ea001be,
    0x207ec006,0x1f6004f9,0x6c027c00,0x203ec007,0x09f0007d,0x9f0007d8,
    0x10000dd0,0x000fb09f,0x001ba13e,0x1f613e20,0x64027c00,0x7dc002ff,
    0x00007ea4,0xd800fb00,0x03fa8007,0x0df17e00,0x1fa00000,0xfa8006f8,
    0x0bf00006,0x0dd17e00,0x2fc01fe8,0x3e005f80,0x3627cc04,0x03fc800f,
    0xc81bfe20,0x3fe2003f,0x227cc006,0x1f6000fd,0x6c027c00,0x203ec007,
    0x09f0007d,0x9f0007d8,0x20000bf0,0x0007d85f,0x000bf09f,0x01f617e0,
    0x7e4027c0,0xdf3000ff,0x00001fa8,0x36003ec0,0x00df0007,0x1f90bea0,
    0xf9000000,0x1001fe40,0x20000dff,0x8bf0005f,0x00ff207d,0x02fc013e,
    0x1fb009f0,0xfe8013e6,0x0dffb000,0xfb000fe8,0x1fb000df,0xfb0013e6,
    0x2013e000,0x03ec007d,0x27c001f6,0x7c001f60,0x80006d84,0x007d84f8,
    0x00db09f0,0xfb09f100,0x2013e000,0x402ff9fc,0x0fd41ffb,0x1f600000,
    0x2000fb00,0xfd8002fb,0x00027cc0,0x3a03e400,0xdffb000f,0x017e0000,
    0x03f22fc0,0x3e6017ea,0x400bf003,0xb4f9804f,0x7fcc001f,0x3abf6202,
    0x017fcc06,0x00dd5fb1,0x03f69f30,0x2000fb00,0x007d804f,0x01f603ec,
    0x1f6027c0,0x3e427c00,0x41fd4000,0x09f0007d,0xf50000f9,0x2000fb07,
    0xd17c804f,0xd75357bf,0x07f503df,0x07d80000,0x88003ec0,0x2fc4006f,
    0x220007e8,0xbceeecca,0x7fcc07da,0x3abf6202,0x0bf00006,0x3f517e00,
    0xa800ef98,0x00bf002f,0x9fd8027c,0xfe98004f,0xffca99bd,0xfd300dd2,
    0xff95337b,0x6c001ba5,0xd8004f9f,0x009f0007,0x07d800fb,0x4f8003ec,
    0xf8003ec0,0x0001fb84,0x03ec17dc,0x1fb84f80,0x417dc000,0x09f0007d,
    0x7fe44f90,0x204fffff,0x000004f8,0x1f6003ec,0x002fc800,0x17dc0bea,
    0x3fff2200,0xfffffeff,0xbdfe9807,0xd2ffca99,0x17e0000d,0x3e62fc00,
    0x4003fa24,0x3bb660fc,0xeeeffeee,0x004f84ee,0x0001fff3,0x3fffff62,
    0x401ba1df,0xffffffd8,0x4001ba1d,0x8000fff9,0x4f88007c,0x6c007d80,
    0x4003e407,0x03e404f8,0x7d427c40,0x07ec0002,0x7c4003e4,0x0002fa84,
    0x03e407ec,0x64027c40,0x03575107,0x00001be0,0x7d800fb0,0x017e2000,
    0x17e207e8,0x1aeff980,0x200fd510,0xffffffd8,0x0001ba1d,0x5f8002fc,
    0x05fb0fe8,0xff51be20,0xffffffff,0x4f81dfff,0x0013f600,0xe80ddcc0,
    0x1bb98006,0x6c000dd0,0x1f50004f,0x803fa800,0x03ec007d,0xf50003ea,
    0x000fa807,0x37c41fd4,0x20bf3000,0x7d4000fa,0x0006f883,0x07d417e6,
    0x200fea00,0x6400007c,0x2000001f,0x03ec007d,0x2007f200,0x07ec04f8,
    0x0017fc40,0x773000f9,0x0001ba03,0x5f8002fc,0x04fbbf98,0x00007f60,
    0x32004f80,0x0000000f,0x400001ba,0x3f20006e,0x05f10000,0xd801fc80,
    0x203ec007,0x7e4002f8,0x0017c401,0x1fdc07f2,0x102fd800,0x1fc8005f,
    0x20007f70,0x05f102fd,0xc801fc80,0x7c400007,0xb0040006,0x007d800f,
    0x5c02fc40,0x01fd401f,0x32000fe4,0xdd000007,0x013e0000,0x7ec13e20,
    0x17e6005f,0x4f880000,0x000bf100,0x005f8000,0x000bf000,0xd00017e2,
    0x00ff800d,0xf3000fc8,0x800dd00f,0x06e800ff,0xfd007fc0,0x05fa8001,
    0x3fe00374,0x0003fa00,0x06e80bf5,0x64007fc0,0xfb800007,0x01f90004,
    0x7cc003f2,0x0fd80007,0x6f803740,0xc8006e80,0xbf000007,0x05f30000,
    0x2a07f700,0xff3001ff,0x4c000001,0x03f9002f,0x7c400000,0xf8800003,
    0x03f90003,0x003fb800,0x3ee007fb,0x07ffb803,0xfb003fb8,0x00fee007,
    0x3e601fec,0x1ff5000e,0xb003fb80,0x0ef9807f,0x801ff500,0x7fb003fb,
    0x0001f200,0x1001fec0,0x1fdc09fb,0x003ffdc0,0xf3027cc0,0x9999999d,
    0xf803fd99,0x03f44005,0x01fc4000,0x0007e400,0x7f440ff4,0x7fd402ff,
    0x64000002,0x05f8800f,0x7e400000,0xfc800002,0x05f88002,0x809f9000,
    0x3e6005fd,0x3f7fe406,0x6c04fc80,0x27e4005f,0x5c017f60,0x7fd402ff,
    0x809f9002,0xff7005fd,0x02ffa805,0xfd809f90,0x001f2005,0x00dfd800,
    0x26027f44,0x77fe406f,0x1fb00007,0x3fffff20,0xffffffff,0x8007f404,
    0x00007ffa,0x40002fc8,0xfa8006f9,0xfd35fb05,0xfb73137b,0x8000001d,
    0x3f9006f9,0x5c000000,0xb800006f,0x3f90006f,0x77ec0000,0xdfeb989a,
    0x5f7e4000,0x8cffdb98,0x6c00defd,0xeb989aef,0xfd8000df,0xfeb989ae,
    0x3fa6000d,0xfdb989bd,0x77ec001f,0xdfeb989a,0x37fa6000,0xffdb989b,
    0x577ec001,0x0dfeb989,0x0001f200,0x379ffb00,0x05ffb731,0x262fbf20,
    0xfd8cffdb,0x260000de,0x800bf03f,0x027dc07d,0x003f7fec,0x001bee00,
    0x000efb88,0x2e03fee2,0x3fff224f,0x0004ffff,0x077dc400,0x0002fc40,
    0x0efc9800,0x3f260000,0x5f88000e,0xffc80000,0x003fffff,0x3fffff20,
    0x3fff62ef,0xffffc802,0x40003fff,0xfffffffc,0xffb10003,0x019fffff,
    0x3ffff200,0x10003fff,0xfffffffb,0x3f200019,0x03ffffff,0xddffddb0,
    0x00001bdd,0x7fffff54,0x64000dff,0x2effffff,0x000bfff6,0x05f50130,
    0x7402fa80,0xdb9889df,0xeefc8cff,0xf930000c,0x7774401d,0x0efffeee,
    0x77777744,0xf981efff,0x37973106,0xeed80000,0x40dfffee,0xfeeeeeeb,
    0x40005eee,0xffeeeeec,0xec8000df,0xdfffeeee,0x77775c00,0x05eeefee,
    0x5e544000,0xb9800009,0x00000abc,0x004de544,0x37951000,0x2e600001,
    0x00000abc,0x00137951,0x2af2e600,0x95100000,0x76400137,0xdeeeeeee,
    0x98800000,0x40001bcb,0x000abcb9,0x1f600000,0x1017e200,0xfffffff9,
    0x7fffe43d,0x3bbbb201,0x400dfffe,0xdeeeeed8,0xdddb102b,0x44059bdd,
    0x0000000c,0x37bbbb60,0xdddd702b,0x0bdddddd,0xeeeec800,0x20002cde,
    0xcdeeeeec,0xdddd7002,0x0bdddddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x1fb0004f,0x37995100,0xdd900001,0x0059bddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x7f30001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0006e800,0x7ffc437c,
    0xffffffff,0x20ffffff,0xaaaaaaa9,0xaaaaaaaa,0x1aaaaaaa,0x3bbbbba6,
    0xeeeeeeee,0xeeeeeeee,0x00000eee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffb6600,0x6dc03dee,0x11deffee,
    0xffffffff,0xffffffff,0x3fffe61f,0xffffffff,0xffffffff,0xdd32ffff,
    0xdddddddd,0xdddddddd,0x1bdddddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x5fffffff,0x7ffffec0,
    0x777712ff,0x77777777,0xa9877777,0xaaaaaaaa,0xaaaaaaaa,0x001aaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c000000,
    0x00060000,0x00000000,0x10000402,0x000019d9,0x10000080,0x01cc0020,
    0x730005c4,0x00017100,0xb8000400,0x00019800,0x000003b8,0x00730004,
    0x4400006e,0x2600001c,0x5000000d,0x11000009,0x00880000,0x00000c00,
    0x00004000,0x05000088,0x36000188,0xf880001f,0x1000006f,0x640000dd,
    0x0017d41f,0x0fe567cc,0x1fc80000,0x207ec000,0xefb801fc,0x003fd300,
    0xf98077dc,0x7000001f,0xff88007f,0x0017f202,0x005ffd88,0x005f9000,
    0x7f3007ee,0xffd30000,0xff700007,0xb800005f,0x00001eff,0x40000bf5,
    0x2a0006f9,0x0000004f,0x0000fee0,0xf50007fa,0x4003ec03,0x00004fe8,
    0x0005fff7,0x003ff980,0xfa8bf700,0x43d8000e,0x4400004c,0x6c0005fd,
    0x002fdc4f,0xffb85ff7,0x2ffb8002,0x00017fdc,0x000efc80,0x7444fe98,
    0xf30000df,0x003df97f,0x002fec00,0x2fe80df3,0x57fdc000,0xb0000dfe,
    0x009fd5df,0xf7bfb100,0xfb80005f,0xf500001f,0xfd80005f,0x80000005,
    0x80000efc,0x2a002ff9,0x009f701f,0x0003fe98,0x007ffea0,0x02ffa800,
    0x41df7000,0x88000efa,0x0003c40f,0x0009fd10,0x37dc5fc8,0x467f4c00,
    0x20000efc,0xefd8bff9,0xfb000000,0x6c40001b,0x03ff98ef,0xa8bfee00,
    0x440002ff,0xfd8004fe,0x02fecc2d,0xc83bf600,0x3a6001ef,0x03bf624f,
    0x327fcc00,0x320009fd,0x700000ef,0x200003ff,0x00000efc,0x001bfb00,
    0x01ffcc00,0xff881fa8,0x0bfe6000,0x0b6e0000,0x1ffb8000,0x1df50000,
    0x00007fcc,0x0005b85d,0x0007ff30,0x77dc5fc8,0xffb10000,0x220000bf,
    0x0004fffd,0x009fd100,0x7fffdc00,0x3bf20001,0x004fe980,0x0007fd10,
    0x3fbfffa2,0x20000eff,0x5ff504fe,0x207ff300,0x54001ffb,0xefd882ff,
    0x037f6000,0x077e4000,0x3bee0000,0x22000001,0x000004fe,0xf5009fd1,
    0x4009f903,0x00001ffa,0xf9000000,0x2600001d,0x07fe20ef,0x515d5000,
    0xf300005d,0xfb80005f,0x00077d45,0x0001fdc0,0x00017e40,0x003fe880,
    0x00ef9800,0x22027400,0xff98005c,0xeda80002,0x40002def,0x1f4402e9,
    0x2600ed40,0x06e4001d,0x74003ae0,0x3600004f,0x000000df,0x00003ff5,
    0x0007fd10,0x05fd8800,0x07fc0fd4,0x0001b500,0x40000000,0x200000de,
    0x00f540ea,0x2efea800,0x03d50000,0xb81b9000,0x0200000e,0x00080000,
    0x00ba2000,0x00008000,0x30000000,0x0000003d,0x00000000,0x00000000,
    0x01ec0000,0x00132000,0x00766000,0x00ba2000,0x04c80000,0x17ea0fd4,
    0x00000000,0x00000002,0x00000000,0x00000200,0x00000000,0x00000000,
    0x00000260,0x6dc00000,0x001b9102,0x00003300,0x19800000,0x00000000,
    0x00000000,0x000004c4,0x00000000,0x00000000,0x00000000,0xfb07ea00,
    0x00000005,0x9dffd930,0x03cccb85,0x15555555,0x00000000,0x00000000,
    0x20000062,0x3b220009,0x904eeeee,0x09dddddd,0xffffd930,0x00000019,
    0x1bfe2000,0x40027fdc,0xefffffc8,0x00006e2d,0xfff91000,0x0dc5bdff,
    0xeeeec880,0xeeeeeeee,0x3bbbb224,0xddd904ee,0x93009ddd,0x87bfffff,
    0x0000001b,0x00000000,0x00000000,0x54000000,0x103fe21f,0x9dddddd9,
    0x3bbbbb20,0x3bfee04e,0xd0dffecd,0xfa81ffff,0x01ffffff,0xddddd910,
    0x3bbb209d,0x3b224eee,0x904eeeee,0x09dddddd,0xeffffda8,0x2600911d,
    0x0cffffec,0x7ffffc40,0x7f440eff,0x00efffff,0x36f3bff2,0x5c004fff,
    0xeeeeeeee,0xeeeeeeee,0x82ffc04e,0x64002ff9,0xfdbcefff,0xd84f9dff,
    0xeeeeeeee,0x404eeeee,0xdbcefffc,0x04f9dfff,0xffffff30,0xdfffffff,
    0x3ffffe21,0x7f440eff,0x00efffff,0x97bfffb1,0x93e3dfdb,0xeeeeeec8,
    0x4eeeeeee,0x77777764,0xeeeeeeee,0x36a04eee,0x5eeeeeee,0xdddb7000,
    0xdddd9009,0x776419dd,0xeeeeeeee,0x4eeeeeee,0x85fc87ea,0xfffffff8,
    0x7fff440e,0x7440efff,0x1df700ef,0x260133dd,0x01fb9999,0xffffff10,
    0xffe881df,0xf10effff,0x1dffffff,0xfffffe88,0xffd880ef,0xcffdcbcd,
    0x7fe401fb,0x4fffdbce,0x2000fb00,0x6ff4404f,0x00bfd300,0x7ffffff4,
    0xffffffff,0x0c405fff,0xe8800620,0xf7300adf,0xfffd0bff,0xffffffff,
    0x3fa20bff,0xff7300ad,0x320000bf,0x00fb000f,0xfd1013e0,0x6ff5403b,
    0x3fffe64f,0xffffffff,0xffd10eff,0xffffffff,0xdfffffff,0x7ffffe40,
    0x8001ffff,0x01fffffe,0x3fffffa2,0xfffd11ff,0xffffffff,0x4dffffff,
    0x013fe1fa,0x13e000fb,0xe9803fc8,0xf50006ee,0x00fb0003,0x0fb013e0,
    0xfd013e00,0x3ff22019,0x1bfd101f,0x2017fa60,0x09f0007d,0xd801ffc4,
    0x1fb8005f,0x05f801f9,0xfe800000,0x17fa2004,0x5f8801ba,0x44009fd0,
    0x900005fe,0x01f6001f,0x3fa027c0,0x13ff2003,0x4000fd40,0x06e8006d,
    0x05f8ee80,0x037fe400,0x1b6017a0,0x1fa9ba00,0x7d807ff3,0x2609f000,
    0x3fe6005f,0x03f50006,0x2000fb00,0x003ec04f,0x0ff204f8,0x440ffe40,
    0xbfb003ff,0xf0007d80,0x0017e409,0xfb000ff2,0x17e007e4,0xf7000000,
    0x0bf5000b,0x0ff400dd,0x54002fdc,0xf900005f,0x001f6001,0x09f9027c,
    0x2009fb00,0x6d8001fa,0x4006e800,0x001fb3f9,0x017e7e40,0x0db00bd0,
    0x8fd4dd00,0x3ec02ffa,0xfd04f800,0x06fc8001,0x0003f500,0x13e000fb,
    0x3e000fb0,0xd0017e04,0x005f903f,0x1f603fc8,0xf9827c00,0x01ff0005,
    0x01f927c0,0x000005f8,0x0003fe20,0x8037427c,0x0ff883fb,0x0009f000,
    0x6c003f20,0x209f0007,0x98000ef8,0x03f5004f,0xd000db00,0x50fc800d,
    0x7e40007f,0xbd000fe8,0xd000db00,0xffb8fd4d,0x8003ec00,0x0009f04f,
    0x2a000df3,0x07d8001f,0x7d809f00,0x2609f000,0x0fe4003f,0x7c0017e6,
    0x000fb00f,0x00fec13e,0x3003fb80,0x2007e45f,0x2666545f,0x133332a0,
    0x300017d4,0xf300dd01,0x000bea0b,0x90000098,0x01f6001f,0x2fa827c0,
    0x400fe000,0x6d8001fa,0x4006e800,0x00037c5f,0x4013eaf9,0x006d805e,
    0x647ea6e8,0x007d807f,0x07f309f0,0x4001be00,0x7d8001fa,0xd809f000,
    0x209f0007,0x2cc002fa,0xb8000fec,0x000fb03f,0x013e613e,0x3200df00,
    0xf003f20f,0x07ffff8b,0x83fffff4,0x800000fc,0x07f4406e,0x00000fc8,
    0x01f90000,0x7c001f60,0x8000db04,0x007ea000,0x3a001b60,0x90bea005,
    0x9f20001f,0x05e801fd,0x5e8006d8,0x037ec7ea,0x4f8003ec,0xd0001fa8,
    0x07ea000d,0x4001f600,0x003ec04f,0x09f104f8,0x009f3000,0x0fb06f80,
    0x3ea13e00,0x0fe40001,0x03f23740,0xfb330590,0x0fb33300,0x400001ba,
    0x017e404d,0x000000dd,0x8007e400,0x09f0007d,0x0000013e,0xd8001fa8,
    0x00440206,0x4f981fb0,0x7c4f9000,0xd805e805,0x50440206,0x201bf23f,
    0x09f0007d,0x3e0005f5,0x03f50006,0x2000fb00,0x003ec04f,0x03fa04f8,
    0x003f5000,0x7d81fc80,0xf909f000,0x3fa80001,0x3f227c40,0xfb000a20,
    0xf887d800,0x00000004,0x27c409f5,0x00000000,0x1f6001f9,0x7cc27c00,
    0x20000003,0x6d8001fa,0x100013a0,0x001fa0bf,0x00bf23e4,0x40db00bd,
    0x71fa804e,0x00fb00ff,0x13e213e0,0x001be200,0x6c000fd4,0x809f0007,
    0x09f0007d,0x0000f7cc,0xa80001f9,0x0007d83f,0x000fb09f,0xfa809f30,
    0x1f707e42,0x2003ec00,0x002fa87d,0xef880000,0x000bea00,0xfc800000,
    0x000fb000,0x007ea13e,0x1fa80000,0x3e06d800,0x17d40005,0xc8002fb8,
    0x2f406e87,0x0bf036c0,0x3fea3f50,0x8003ec01,0x000df04f,0x2a000df5,
    0x07d8001f,0x7d809f00,0xa809f000,0x0009bdff,0x260001f6,0x0007d84f,
    0x000dd09f,0x7c809f10,0xfc99afc8,0x001f6000,0x003f50fb,0x3fb00000,
    0x0001fa80,0x3f200000,0x000fb000,0x007ea13e,0x1fa80000,0x999fd800,
    0x0005f999,0x0bf103f4,0x9f50f900,0x7ec02f40,0x5f999999,0xff31fa80,
    0x0007d805,0x00ff209f,0x0006ff88,0xfb0003f5,0xb013e000,0x013e000f,
    0x6f7fff5c,0x001ba01b,0x1f613e20,0x2fc27c00,0x405f8000,0xffffc85f,
    0x1f6000ff,0x3f50fb00,0xb8000000,0x01fa803f,0x20000000,0x0fb000fc,
    0x3ea13e00,0x20000001,0xfd8001fa,0x5fffffff,0x013e2000,0x7c8001fb,
    0x17a01fb0,0x3fffff60,0xfa805fff,0xd807ff11,0x409f0007,0xffb000fe,
    0x07ea000d,0x4001f600,0x003ec04f,0x544004f8,0x80efffdc,0xbf00005f,
    0x3e000fb0,0x80006d84,0x0fe604f8,0x3fb333f2,0x001f6000,0x003f50fb,
    0x59999993,0x0df30055,0x26007ea0,0xaacccccc,0x32000a22,0x00fb000f,
    0x07ea13e0,0xfa800000,0xccfd8001,0x005fcccc,0xf5007ee0,0x307c8007,
    0x2017a0bf,0xccccccfd,0x21fa805f,0x03ec04fe,0x3e604f80,0x2bf6202f,
    0x3f50006e,0x000fb000,0x00fb013e,0x200013e0,0x36c1ffb9,0x427c4000,
    0x09f0007d,0xf50000f9,0x640fdc07,0x8003ee0f,0x43ec007d,0xffe802f9,
    0x2fffffff,0x98007f40,0xfffe802f,0x72ffffff,0x0fc8001f,0x2000fb00,
    0x003fa84f,0x07ea0000,0x5f81b600,0x401ba000,0x03e4006f,0x00bd05f9,
    0x402fc0db,0x017ee1fa,0x13e000fb,0x337bfd30,0x1ba5ff95,0x000fd400,
    0x4f8003ec,0xf8003ec0,0x3a600004,0x0001f21f,0x01f60fea,0x0fdc27c0,
    0x80bee000,0xecccccfd,0xb001660f,0x887d800f,0x3333004f,0xc803bf33,
    0x13e2002f,0x4cccccc0,0x003ee1df,0x36001f90,0x109f0007,0x0000009f,
    0x6c000fd4,0x40017e06,0xcccccef9,0x01fecccc,0x6f881f20,0x06d805e8,
    0x87ea017e,0x1f600ff8,0x44027c00,0xdffffffd,0x54001ba1,0x07d8001f,
    0x7d809f00,0x0009f000,0x3ee3f880,0x17dc0001,0x7c4003e4,0x0002fa84,
    0xfff007ec,0x01ffffff,0x4007d800,0x000bf07d,0x2fd405f8,0x00bf1640,
    0x07dc5f80,0x4003f200,0x4f88007c,0x00000df0,0x4000fd40,0x0006a06d,
    0x7fffffe4,0x4fffffff,0xf701f200,0x6d805e87,0x3ea006a0,0xf901fec1,
    0x009f1000,0xdd01bb98,0x007ea000,0x22001f20,0x003e404f,0x000027c4,
    0x005f5374,0xfa80fd80,0x41fd4000,0x260006f8,0x40bea05f,0x6c0000fc,
    0xd83ec007,0x02fc0007,0xbf001ff1,0x3e0003ec,0x20007dc5,0x03ea007d,
    0x3207f500,0x0000001f,0xdb0003f5,0xf80b2000,0x003ec005,0x41fd00f9,
    0x006d805e,0x507ea590,0x007d40df,0x0000fea0,0x54001ba0,0x0fa8001f,
    0x201fd400,0x7d4000fa,0x0001e883,0x01be21f9,0xf105f980,0x01fc8005,
    0x360007f7,0x403f202f,0x01d800fc,0x07d800fb,0x7c0009f7,0x4007f605,
    0x0013ee5f,0x007dc5f8,0xf8801be0,0x80fe4002,0x040006f8,0x8001fa80,
    0x0bf0006d,0xf5000bea,0x201f2005,0x2017a5f9,0x2bf0006d,0x01ff81fa,
    0xfc8005f1,0x5f800001,0x003f5000,0xc8005f10,0x017c401f,0x3e607f20,
    0xb8fb0004,0x5fb0003f,0x3e003740,0x003fa00f,0x6e80bf50,0xf1003f20,
    0x4003f207,0x07f607f9,0xfb82fc00,0xfb17e004,0x717e0003,0x27d4001f,
    0xf001ba00,0x027dc01f,0xa800fc80,0x06d8001f,0x1f60bf00,0x4017e200,
    0x23f9007c,0x006d805e,0x207eabf0,0x01ba05fb,0x00001ff0,0x50003f88,
    0x1ba0003f,0xd001ff00,0x80ff800d,0xf88006f9,0x4000fe85,0x1fdc05fa,
    0x4c03fd80,0xff5000ef,0x901fc401,0x04f8801f,0xff7007f7,0x0077c40f,
    0x37c42fc0,0xdf117e00,0xb8bf0001,0xfe8800df,0x01fdc000,0xfd803fd8,
    0x13f62003,0x4000fd40,0x0bf0006d,0x360009f1,0x007c800f,0x2017adf1,
    0x2bf0006d,0x03fd01fa,0x7ec00fee,0xfc800003,0x03f50002,0x400fee00,
    0x7f7003fd,0x4c0ff600,0x7ec004ff,0x000ef982,0xf9001ff5,0x005fd809,
    0xfa805ff7,0x00fd402f,0x4f8801f9,0xfc80df30,0x7fd407ef,0x217ea003,
    0x2fc001fe,0x5001ffd4,0x03df90bf,0x80017f44,0x2fec04fc,0x801bfb00,
    0x2a004fe8,0x06d8001f,0x3f70bf00,0x00fe6000,0xbfb801f2,0x006d805e,
    0x407eabf0,0x13f205fa,0x0000bfb0,0x4000df70,0x320001fa,0x02fec04f,
    0xfb013f20,0x67ffcc0b,0x02fe4400,0xfa805ff7,0x3bf6002f,0xdfeb989a,
    0x37fa6000,0xffdb989b,0x6407d801,0x027c400f,0xb7317df9,0xbdfb19ff,
    0x33bf6201,0xfca9889a,0x01fdc3ff,0xfd882fc0,0xa9889ace,0xf503fffc,
    0xd95137bf,0xfd80009f,0xfeb989ae,0x7fec000d,0xfdb989bc,0x0fd4002f,
    0x80036c00,0x0006e85f,0x03e4037c,0x2017ffa0,0x2bf0006d,0x01f600f9,
    0x73135dfb,0x00001bfd,0x00077e4c,0x80003f50,0xb989aefd,0xd8000dfe,
    0xeb989aef,0x2fe600df,0x5319bffc,0xd300bff7,0xb73137bf,0xf90003ff,
    0x07ffffff,0x3fff6200,0x200cffff,0x23dffed9,0xeeefeeda,0x4feeeeee,
    0x7ffffe40,0x3fff62ef,0x7fffdc02,0x02efffff,0xddddddf9,0xfddddddd,
    0xffffb80b,0x02efffff,0xfffffd88,0x900001ef,0x7fffffff,0x7ff54000,
    0x00dfffff,0xdddddd91,0x9ddddddf,0xeeffeec8,0xeeeeeeee,0xdb35feee,
    0x807bddff,0xdeffeedb,0x777ff641,0x3fe600ce,0xdffdd905,0xdddddddd,
    0x04bfdddd,0x7fe40040,0x003fffff,0xfddddd90,0xd9001bff,0xdfdddddd,
    0x07dddddd,0x3fffff20,0x640003ff,0x3fffffff,0xfd31e880,0x5dffffff,
    0x7ffec400,0x000cffff,0x04de5440,0xbcb98000,0xfffa800a,0x3fff25ff,
    0xffffffff,0xb9804fff,0x00000abc,0x2af32a62,0x7fffe400,0xffffffff,
    0x31005fff,0x00157995,0x006f2e60,0x5e544000,0x31000009,0xf3003797,
    0xffffffff,0x21dfffff,0xffffffe8,0xffffffff,0xff55ffff,0x80bfffff,
    0xfffffffd,0x3ffffa22,0x7ec00eff,0xffffe885,0xffffffff,0x05ffffff,
    0x32a20000,0x3200009b,0x2cdeeeee,0xffffd100,0xffffffff,0x8800dfff,
    0x00009bca,0x026f2a20,0x79751000,0xb9800035,0x00000abc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa9800000,0x000002aa,0x1cc00000,0x20000b80,0x220001c8,
    0x0cc00000,0x200e6000,0x100000b8,0x00000000,0x40000510,0x00370048,
    0xd1000154,0xdddddddd,0xdddddddd,0x04b800bd,0x2a005100,0x00200000,
    0x00440000,0x00000000,0x15555555,0x80edc000,0x88000dd8,0x00440003,
    0x00dc0002,0x7c280154,0x00007fff,0x002f4400,0x7cc01fc8,0xffd30003,
    0x07fa0007,0x0ffcc000,0x01df7000,0x00007fa6,0x00000fd1,0xd88007d4,
    0x80004fef,0x27c402fa,0x4000fb00,0xfffffff8,0xffffffff,0xb1007fff,
    0xb8001dff,0x5fd100df,0x13ea0000,0x9f700000,0x0db80000,0x7ffd4000,
    0x0001ffff,0x3ee0dff1,0x1fa8003f,0x05ff1000,0xd0003fee,0x02fe407f,
    0xb3310fd4,0x4000000f,0x50002ff9,0x01fe80df,0xfdbffa80,0x7fcc000d,
    0xff980002,0x7fdc0001,0x0017fdc2,0x000bfe60,0x2007e800,0x005d30dc,
    0x200ff880,0x1f6003fd,0x204f8800,0x01f601fb,0x3fef3fe6,0x0ffe4001,
    0x0000ffea,0x000077dc,0x001df900,0x3fff6200,0x4ccc0001,0x0001fb99,
    0x7fd413fe,0x01fb8002,0x209ff500,0x44002ffd,0x3f620dfe,0x01fa800d,
    0x000000fb,0x0000bfea,0xfda839fd,0x1efc8005,0x30007bf2,0x980007ff,
    0x980001ff,0x0efd8cff,0x17fd4000,0x7f500000,0x16a0fc00,0x2b7f2000,
    0x001bf260,0x7c4000fb,0xd807ee04,0x317fdc07,0xfa8007ff,0x003ff73f,
    0x003bf200,0x0dfd8000,0x9fd30000,0x00007ff5,0x20001fa8,0x000cc018,
    0x10002fb8,0x17a603db,0x99efc800,0x3ea003ff,0x0000fb01,0x003ff700,
    0xdfffd100,0x8001bfff,0x5ff505fe,0x04fe8800,0x007fe600,0x7ffec400,
    0xefb80004,0x74000001,0x81f1000f,0xfb000069,0x1dfffdff,0x0007d800,
    0x1fb813e2,0xefc81f60,0x005fe880,0x06ffff44,0x2fec4000,0xfd100000,
    0x7d40000b,0x037fa22f,0x00fd4000,0x20000000,0xdfffffd9,0x00000c8a,
    0x3fea0000,0x7d4001ff,0x0000fb01,0x000efc80,0x77f6d400,0x3e88002d,
    0x4001ec40,0x20005fd8,0xb8000019,0xfc80002f,0x4000000e,0x26c004f9,
    0x980000f6,0x003defed,0x44000fb0,0x807ee04f,0x2013607d,0x9f90005c,
    0x3fa20000,0x22000004,0x200004fe,0xdf901efb,0x3f500001,0x00000000,
    0x655effdc,0x002feffe,0x44000000,0xfa8000ee,0x0000fb01,0x0000de80,
    0x00000000,0x13200000,0x00000000,0x4d800004,0xfb000000,0xcef98001,
    0x000000ee,0x3332a000,0xccccccfe,0x4f883ccc,0x7d807ee0,0x80000000,
    0x3a200000,0x44000003,0x5c00002d,0x006d400c,0x000fd400,0xfa800000,
    0x5ff9301e,0x00000000,0x1fa80000,0x00000fb0,0x00000000,0x00c40000,
    0x00000000,0x09880000,0x00000000,0x002fcc00,0x00003950,0x74000980,
    0xffffffff,0x1fffffff,0x3f7027c4,0x26003ec0,0x06200000,0x00000000,
    0x00000000,0x50000000,0x332a003f,0x65401ccc,0x7fc1cccc,0x222fe800,
    0x4eeeeeec,0xdddddd90,0x80000009,0x20fb01fa,0x1cccccc9,0x91000000,
    0x09dddddd,0x3bbbbbb2,0x7ffed404,0x00911def,0x00000000,0xffffc980,
    0x000dc3df,0x32000000,0x0000001f,0xffec9800,0x33000cff,0x33333fd3,
    0x3a013333,0xb807ee02,0x7ff64c05,0xa8000cff,0x1deffffd,0x00000091,
    0x00000000,0x00000000,0x3fa003f5,0x7c06ffff,0x265fffff,0x43f3003f,
    0xfffffff8,0x7fff440e,0x3b20efff,0xeeeeeeee,0x2a002bce,0x320fb01f,
    0x46ffffff,0x02deeedb,0x96f776dc,0xfffffff8,0x7fff440e,0xd880efff,
    0xfdcbcdff,0x3221fbcf,0xeeeeeeee,0x884eeeee,0x1ccccccb,0xfffb1000,
    0x3dfdb97b,0xeeec893e,0x1deeeeee,0x2fc40000,0xeeeeda80,0x00005eee,
    0xfb79dff9,0x7d8009ff,0x7dc00000,0x3ff20001,0x4fffdbce,0x9bffb100,
    0xf79ffb97,0xeeeeec83,0x2bceeeee,0x3bb6a000,0x005eeeee,0xeeeeda80,
    0x00005eee,0x2a001fa8,0x330019df,0x0fdc13fd,0x007d8000,0xffd109f0,
    0xffffffff,0x5005dfff,0xa81f603f,0xfd819bff,0x7405ffff,0xd84fffff,
    0x809f0007,0xf9100cfe,0x7ffcc3ff,0xffffffff,0x7d40efff,0x02ffffff,
    0x01dfe880,0x993f7faa,0xffffffff,0x00003fff,0xfc800fe4,0xffffffff,
    0x3fa20001,0x0bfd300d,0x00003ec0,0x20007ee0,0xd300dfe8,0x19fd00bf,
    0x87fff220,0xffffffe8,0xefffffff,0xfffc8002,0x01ffffff,0x7fffe400,
    0x001fffff,0x000fd400,0xf50003f2,0x0005f507,0x7c001f60,0x4c06d804,
    0x7d404ffb,0x3ea0fb01,0x07f7001f,0x3602fc80,0x409f0007,0xff9003fc,
    0x007ea003,0xf7333310,0x07fd0005,0x2027fe40,0x000003f9,0x400037c4,
    0x0005f8ee,0x36007ff1,0x00fb005f,0x01fb8000,0x801ffc40,0x0ff205fd,
    0xb00ffe40,0x4ffb980d,0xf1dd0000,0x3a00000b,0x00005f8e,0x22000fd4,
    0x07f4004f,0x80002fc4,0x09f0007d,0x36200db0,0x407ea03f,0x00efb87d,
    0x98007f40,0x003ec05f,0x017e04f8,0x2a003fd0,0xfa80001f,0x027e4002,
    0x26027ec0,0x4000003f,0x4c0002fb,0x0001fb3f,0xfc8005f9,0x0007d803,
    0x000fdc00,0xf9000bf2,0xd0017e07,0x8036c03f,0x40003fd8,0x001fb3f9,
    0xfb3f9800,0x7d400001,0x00fd8001,0x7dc07f30,0x3ec0001d,0xd804f800,
    0x807f4006,0xd8fb00e9,0xf98000df,0x801fd005,0x09f0007d,0xf9000fe6,
    0x007ea003,0x800bea00,0x98000ef8,0x01fcc04f,0x01be0000,0x7d43f200,
    0x02fcc003,0x6c00ff80,0x5c000007,0x17e6001f,0x2607fc00,0x0fe4003f,
    0xfe800db0,0x43f20000,0x400003fa,0x007f50fc,0x000fd400,0xfd8027c4,
    0x6fffdc00,0x03ec001b,0x6d804f80,0x0017cc00,0x09fd17d8,0x403fb800,
    0x07d802fb,0x3ea09f00,0x002cc002,0x500003f5,0x17d4005f,0x9807f000,
    0x2000003f,0xf80003fb,0x360037c5,0x7f70001f,0x00007d80,0xb000fdc0,
    0x3ee0003f,0x20017d43,0x0036c059,0xf8000be6,0x000037c5,0x000df17e,
    0x8000fd40,0x27cc00fd,0xfffdb880,0x3ec00bef,0xd804f800,0x004f8006,
    0x07fd3fb0,0x403fa000,0x0fb005f9,0x7c413e00,0x54000004,0xfa80001f,
    0x001b6002,0x07f30010,0x03f40000,0x3217d400,0x09f3000f,0x6c06f800,
    0x5c000007,0x09f3001f,0x7c46f800,0x6d800004,0x0004f800,0x00fc85f5,
    0xc85f5000,0xf500000f,0x13e20003,0x20001fb0,0x00effcb9,0x27c001f6,
    0x260036c0,0xffb0003f,0x00001dff,0x03fa0bf3,0xf8003ec0,0x0003fa04,
    0x001fa800,0x2002fa80,0x8000004f,0x000003f9,0xb00007f5,0x004f981f,
    0xc80003f5,0x001f601f,0x003f7000,0x900007ea,0x000fe83f,0x20036c00,
    0xfb0003f9,0x0004f981,0x4f981fb0,0x03f50000,0x9807ec00,0x2a00004f,
    0x00fb01ff,0x1b6013e0,0x0001f900,0x3bea7bf6,0x2fc80000,0xfb001fdc,
    0x9813e000,0x000001ef,0x500003f5,0x0fe6005f,0x3e600000,0xfd000003,
    0x5f880001,0x3f200fd0,0x1fd40000,0x00000fb0,0xf9001fb8,0x3fa80001,
    0x0000f7cc,0xfc800db0,0x05f88000,0xf10000fd,0x0001fa0b,0x30000fd4,
    0x003f609f,0x20bf1000,0x09f0007d,0x7dc00db0,0x83f60005,0x80000efa,
    0x00df10fe,0x9f0007d8,0x9bdffa80,0x3f500000,0x05f50000,0x00007ea0,
    0x000fe600,0x0013e600,0x7dc0bea0,0x0007d802,0x1f604f98,0x3f700000,
    0x0001f600,0x3fea13e6,0x200009bd,0x17ee006d,0xb817d400,0x7d40002f,
    0x0005f702,0x80003f50,0x027cc0fd,0xb07d8000,0x013e000f,0x3f6201b6,
    0x1f60001e,0x00003bea,0x007f6bf3,0x3e000fb0,0xfffd7004,0x200037bd,
    0xa80001fa,0x03f5002f,0x7f300000,0x1fb00000,0x40fd0000,0x06e805f8,
    0x204f8800,0x4000007d,0x0dd001fb,0x409f1000,0xbdefffeb,0x201b6001,
    0x0001efd8,0x02fc40fd,0xf881fa00,0x1fa80005,0x227cc000,0x001800fd,
    0x07d81fb8,0xfb009f00,0xd9733333,0xf9801bff,0x3ee0fb00,0xdfc80005,
    0x07d8003f,0x88009f00,0x0efffdca,0x000fd400,0xa8017d40,0x8000001f,
    0x400003f9,0x880004f9,0x007ec04f,0x7c00017e,0x000bf205,0x001fb800,
    0x3e0000bf,0xfdca8805,0xfd800eff,0xecb99999,0x10000dff,0x00fd809f,
    0xd809f100,0x7d40000f,0x0fd80001,0x3f3009f3,0xd80fc800,0x009f0007,
    0xfffffffb,0x2a003bff,0x5c0fb01f,0xfe80005f,0x00fb0006,0x200013e0,
    0x2001ffb9,0xa80001fa,0x03f5002f,0x7f300000,0x1fd80000,0x01fb8000,
    0x1b601fd4,0x813e2000,0xbb5006fa,0x800fdc00,0xf880006d,0xff730004,
    0xffffd803,0x01dfffff,0x200fdc00,0xf70003fa,0x003fa803,0x0000fd40,
    0x00fda7cc,0x22005fa8,0x000fb06f,0x2bf6013e,0x3ffcaaaa,0x6c07ea00,
    0x002fdc07,0x4000bea0,0x09f0007d,0x0ff4c000,0x0001fa80,0xf5002fa8,
    0x30000007,0x4400007f,0xdd00005f,0xf901be00,0x07f50000,0x311aefc8,
    0x207fff95,0xefeeeedb,0x7c82deee,0x03fa8000,0x00ff4c00,0x955555fb,
    0xd00007ff,0x001be00d,0x06f80374,0x000fd400,0x04f9fd80,0x1009ff50,
    0x01f603fd,0x36c027c0,0x2009ff50,0x00fb01fa,0x54000bf7,0x0fb0002f,
    0x00013e00,0x2a007f10,0xfa80001f,0x009f1002,0x07f30000,0x3f900b80,
    0x9df30000,0x99999999,0x0fdc03fd,0x00bee000,0x3fffffee,0x3600beff,
    0xffffffff,0x1fb84fff,0x017dc000,0xb01fc400,0x027fd40d,0x999df300,
    0xfd999999,0xcef98003,0xcccccccc,0x2a0001fe,0xf300001f,0x3ea001ff,
    0x2621aeff,0x1f203ffc,0x2013e200,0x27f4406d,0xdd70fd40,0xffdb80ff,
    0x2a001dee,0x0f90002f,0x0009f100,0x2a00dd00,0xfa80001f,0x001be002,
    0x00fe6000,0x6f883f88,0xfff90000,0xffffffff,0x17d409ff,0x003f6000,
    0x0d665d44,0x2a000000,0x7ec0002f,0x0dd00000,0x3fa2036c,0xfff90004,
    0xffffffff,0xfc8009ff,0xffffffff,0x6404ffff,0xfeeeeeee,0x3eeeeeee,
    0x0027ec00,0xffff53f3,0x803dffff,0x7d4000fa,0xb006d803,0x21fa807f,
    0x7407fffe,0x03ffffff,0x4000bea0,0x7d4000fa,0x0001e883,0x3f5001f9,
    0x3bbbb200,0xeeeefeee,0x0fe44eee,0x3e600000,0x20fe2003,0xf00002fb,
    0x207d800b,0x260006f8,0x0000005f,0x6f880000,0x897e6000,0x1f90001e,
    0x7ec01b60,0x005f8003,0x17e003ec,0x7440fb00,0xffffffff,0x6fffffff,
    0x0007e400,0x7bfb7302,0x00be2001,0xdb003f90,0x500ff400,0x0000003f,
    0x0005f500,0xf9000be2,0x0009f303,0x0fd401f6,0xfffffe80,0xffffffff,
    0x037c46ff,0x7f300200,0x7c1fc400,0x5f500006,0x202fa800,0xfb0003fb,
    0x03eb8005,0x00fae000,0xb0003fb8,0x0027cc5f,0x01b607d8,0x2a001fe8,
    0x17d4002f,0x4002fa80,0x000002fa,0x00bf1000,0x000fdc00,0x3fe00374,
    0x2006d800,0x07ea06f9,0x20000000,0x3a0002fa,0x407fc006,0xf88006f9,
    0x003f5005,0x000cf980,0xc80027dc,0x00fe600f,0x17dc3f88,0x007d8000,
    0x7f405f88,0x02fd4000,0x007ffea0,0x07ffea00,0x4000fe80,0x037cc5fa,
    0xdb02fc40,0x0037cc00,0xbf1000fb,0x2001f600,0x000005f8,0x003f9000,
    0x000fdc00,0xfd801fdc,0x800db003,0x03f503fb,0x00073aa0,0x0005f500,
    0xfd801fdc,0x009ff303,0xf5002fd8,0x05c80003,0x800ff600,0x7cc04fd8,
    0xd0fe2003,0x3e20000f,0x01fb0004,0xa80077cc,0x7cc000ff,0x980000ff,
    0x26000fff,0xff5000ef,0x004ff981,0x0db017ec,0x8803fb80,0x1fb0004f,
    0x0004f880,0xd90001fb,0xf8800019,0x7dc00005,0x09f90001,0x36005fd8,
    0x80fe8006,0x32a001fa,0x2a00000f,0x7e40002f,0x302fec04,0x88019fff,
    0x3ea005fc,0x017c0001,0x0037f600,0xf3009fd1,0x51fc4007,0x2e00007f,
    0x7f30001f,0x402ffb80,0x30002ffa,0x4c0000bb,0xffb8005d,0x417fd402,
    0x400cfff9,0x36c05fc8,0x2007f400,0xf30001fb,0x001fb807,0x20007f30,
    0x640005da,0x5c00001f,0x3f60001f,0xfeb989ae,0x01b6000d,0x3ea13e60,
    0x002e8001,0x000bea00,0x226bbf60,0x200dfeb9,0x9bffcbf9,0x0bff7531,
    0x0001fa80,0x20006264,0x989bcffd,0x3002ffdb,0x1fc4007f,0x200001fd,
    0x37c0006e,0x4deff4c0,0x01ffdb98,0x000be200,0x0002f880,0x3137bfd3,
    0x2603ffb7,0x19bffcbf,0x00bff753,0x9f3000db,0x40006e80,0x0037406f,
    0x88001be0,0xbf10000f,0x3f500000,0xfffc8000,0x9003ffff,0x9dddffdd,
    0x477bf600,0x6fcc01fa,0x2a0007db,0xeefeeeed,0xc8002dee,0x3fffffff,
    0xfd31e880,0x5dffffff,0x3bbbb220,0xeeeeefee,0x9df3004e,0xd50005fd,
    0xbfffffff,0x3bbb2201,0xeeeeeefe,0x3feeeeee,0x980007f3,0x3deeffed,
    0x7ff76dc0,0x3f6201de,0x0cffffff,0x00374000,0x0001ba00,0xffffffb1,
    0x8f44019f,0xffffffe9,0x3bb202ef,0x004eeeff,0x3663bdfb,0x03deeffe,
    0x77ff76dc,0xdffdb31d,0xedb807bd,0x401deffe,0x805ecceb,0xfeeeeeeb,
    0x00005eee,0x440000b1,0x10009bca,0xfffffffd,0xfff1001d,0xdc980045,
    0x3f20000b,0xffffffff,0x220004ff,0x00009bca,0x0d5e5d44,0x3ffffe60,
    0xffffffff,0xd73000ef,0x98800059,0xf9801bcb,0xffffffff,0xffffffff,
    0x000063ff,0x3fffffea,0x7ffec05f,0x3002ffff,0x00015797,0x00001b10,
    0x000006c4,0x00157973,0x55e5d440,0x7fff4401,0x800effff,0xff52fff8,
    0x80bfffff,0xfffffffd,0xffffff52,0xfffd80bf,0xa802ffff,0xdd7002dc,
    0xdddddddd,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01980000,0xb8803980,0x5400a200,0x980004c0,0x0020000d,
    0x07300011,0x553002e0,0x26005555,0x03980001,0x37000b88,0x80005500,
    0x000000d9,0x100001b3,0x00370017,0x55000c40,0x50035555,0x2e002e20,
    0x803a8001,0x2a000038,0x9800000b,0x75000001,0x00398001,0x3b100017,
    0x7b100000,0x09880000,0x05dfd000,0x980f7d40,0x3bea01fe,0xe85fb100,
    0x7fdc000e,0x3ff8002f,0x8003ff30,0x1fcc01fb,0x3fffffa0,0x77ff5c07,
    0xfb802a81,0x03fd300e,0xfc80ffe0,0x3fea0005,0x5400002f,0x40002fff,
    0xfd101ff9,0xffda8007,0x8911deff,0x06ffffff,0xf305ff71,0x0ff6205f,
    0x4037f200,0x80000ffa,0x80007ffa,0xefffffc8,0x20006e2d,0x64007ffa,
    0x01fcc01f,0x00bffea0,0x7ffe4400,0x3260001e,0x43dfffff,0x3ff7101b,
    0x217fdc00,0xfb802ffa,0x41ffcc1f,0x3f6004fb,0x2004feae,0xff906ff9,
    0x06fa8007,0x26200ff4,0x2e07e999,0x9dffcbff,0xf7005fc8,0x02ffb85f,
    0x8837fa20,0x90000dfd,0x007ff5df,0x3ebbf200,0x7d40003f,0x01ffcc3f,
    0x79bffb10,0x3f79ffb9,0x04cccefc,0x2601dfc8,0x1ffcc3ff,0x83df9000,
    0x00001efc,0x0003fff9,0x5e77ffe4,0x4f9dfffd,0x1fffc800,0xd01bea00,
    0x7fdc003f,0x40004fea,0xffb9dffa,0x3f62000d,0xfedcbdff,0xf8809f1e,
    0x67f4c006,0x2001efc8,0x5ff73ff9,0x2600ff40,0x3bf624fe,0x205d9000,
    0xd8000de8,0x2fed41df,0x3607d800,0x3fff620c,0x3a6000df,0x00efc8cf,
    0xf33df900,0x3a20007f,0x1bfb10df,0x37fa2000,0x001bfb10,0x5c6ff440,
    0x7f4001ff,0xfff9100c,0x9f002fc3,0x237f6200,0x80002ffb,0xdfe8bffa,
    0x3ea00000,0xfd10006f,0x3ee6015b,0xf98005ff,0xcfe8006f,0x802fed41,
    0x3f60dfd8,0x7f44000e,0x17fe442e,0x00eff440,0x009fbfd5,0xfb1000fb,
    0x22000bff,0x400efffe,0x3fe605fb,0x003ff702,0xd1000000,0xbfffdfff,
    0x01f60001,0x001664c0,0x05fffd88,0xffffa800,0x7ff30001,0x0003ff20,
    0x3f207ff3,0x7e40000f,0x64000dff,0x3ff9003f,0x1fa802fc,0x77ffe400,
    0x3a200000,0x00003fff,0x74000510,0x3fa2004f,0x00510005,0x3bfffa20,
    0x8800dfff,0x3ff704fe,0x201fcc00,0x3fe806d9,0x013ff200,0x5c0003f2,
    0xfc80003f,0x407fe004,0x0ecc01da,0x00000000,0x05bdfdb5,0x0007d800,
    0x3fb80000,0x3ba20000,0x07aa0000,0xa8003d50,0x00f5401e,0x0027d400,
    0x7f4005f8,0x7e4017e1,0x04fa8000,0x07f20000,0x00000000,0x54002fdc,
    0x0000005f,0x37bfb6a0,0x00ba6002,0x000005d3,0x0027e400,0x7e4027ec,
    0x00020000,0x7e400080,0x00000004,0x0000004c,0x07d80000,0x10000000,
    0x00000000,0x00000000,0x08000000,0x007f3000,0x017e1fc8,0x080007e4,
    0x00800000,0x00cc0000,0x0007fc40,0x988004f8,0x00000000,0x55400000,
    0x200002aa,0x98000ef8,0x00fc804f,0x00000000,0x000ff300,0xfec98000,
    0x0000cfff,0x36000000,0xddddd917,0x3bbb209d,0x00004eee,0x00000000,
    0x00000000,0x00000000,0x4c002fa8,0xfc802fc5,0x00000000,0x20000000,
    0xefffffc8,0x3ea06e2d,0x00260002,0x7ffffe4c,0x0000dc3d,0x10000000,
    0x000dffff,0x00017d40,0x01f9007f,0xddddddd1,0xdddddddd,0x776cbddd,
    0xeeeeeeee,0x5fd04eee,0x77777644,0xeeeeeeee,0x677fe404,0x004fffdb,
    0x3bbbbb6a,0xb00005ee,0x3ffffe2f,0x7f440eff,0x10efffff,0xddddddd9,
    0x89dddddd,0xeeeeeeec,0xeeeeeeee,0x777644ee,0xb100ceee,0x47bddddd,
    0x02deeedb,0x16f776dc,0x009dddb7,0x9dddddd9,0x00027c41,0x0fc802fc,
    0xeeeeeda8,0x001bdeee,0xdddddb50,0x20000bdd,0xdbcefffc,0x84f9dfff,
    0x000000fc,0x5efffec4,0x9f1efedc,0x77777644,0xeeeeeeee,0x77776dc4,
    0xeeeec80c,0x374ccc3e,0x00db0000,0x1f900080,0xffffff10,0xffffffff,
    0x7f4fffff,0xffffffff,0xf705ffff,0x7ffffccb,0xffffffff,0xdfe880ef,
    0x00bfd300,0x3ffffff2,0x80001fff,0x0007d87d,0xffff309f,0xffffffff,
    0x3fa21dff,0xffffffff,0xffffffff,0x3ffffa26,0xff301fff,0x6cdfffff,
    0x405fffff,0x24fffffe,0x01fffffe,0x3fffffa2,0x007f41ff,0x64017e00,
    0xffffc80f,0xffffffff,0x3f2000df,0xffffffff,0x3fa20001,0xff7300ad,
    0x000dd0bf,0x1dfe8800,0x93f7faa0,0xfffffff9,0xefffffff,0x3fffff60,
    0x7fff440f,0x01ba06ff,0x0004f800,0x101f9000,0x00fdc09f,0x100374fb,
    0x03fea0bf,0x88007ea0,0xbfb003ff,0x7c774000,0x87d80005,0x09f0007d,
    0x8001fa80,0x86e8006d,0x540001fa,0x007f701f,0x7e402fc8,0x02f4006f,
    0x40003df3,0x01f9005f,0xb7301fcc,0xe80003df,0x20005f8e,0x3a2004fe,
    0x0027c45f,0x00ffa000,0x5004ffc8,0x07d8003f,0x37403ec0,0x03f98000,
    0x1f900000,0x7dc09f10,0x06e9f601,0x7cc07fa0,0x01fa802f,0x9000bf20,
    0x7f30007f,0xb00003f6,0x2000fb0f,0x0fd4004f,0x40036c00,0x002fa86e,
    0xfd007dc0,0x017e6001,0x800bf3f2,0x6ffd405e,0x17e0009b,0xf3007e40,
    0x07fea007,0xfd9fcc00,0x05fb8000,0x7d45fa80,0x32000002,0x4fd8004f,
    0x8003f500,0x03ec007d,0xa8000374,0x0000001f,0x09f103f7,0x4fb00fdc,
    0x07f7006e,0x5401ffc4,0x0bf3001f,0x0003fe00,0x00fea1f9,0x0fb0fb00,
    0x50013e00,0x0db0003f,0x7f30dd00,0x407c8000,0x1fd005f9,0x1fd1f900,
    0x5c017a00,0x1bdefffe,0x3ec017e0,0x8800fe60,0x1f90006f,0xf1000fea,
    0x13e0001f,0x000003f5,0x20003be2,0x3f5004f9,0x4007d800,0x006e807d,
    0x0003f500,0x20fea000,0x07ee04f8,0x201ba7d8,0x4ff805f9,0xb001fa80,
    0x3ee0003f,0x3e2fc003,0x43ec0006,0x09f0007d,0x8001fa80,0x86e8006d,
    0x06aa04f8,0x3fb806d8,0xc8017dc0,0x3a009f57,0x6e544005,0x5f80efff,
    0xf980df00,0x01fdc003,0x01be2fc0,0x40005f50,0x000fd409,0x002fa800,
    0x7d400fe0,0x003ec001,0x81ba01f6,0x007ea000,0x7f440000,0xf7027c43,
    0x0dd3ec03,0xe800fe88,0x01fa805f,0x40004f98,0x0bea006f,0x6c0001f9,
    0xf0007d87,0x01fa8009,0xe8006d80,0x3e20bf05,0x4017a07f,0x0bf300fe,
    0x03fb3e40,0x30000bd0,0x05f83ff7,0x2601fecc,0x0fe8003f,0xf90bea00,
    0x007e4001,0x007ea000,0x33333326,0x0036c2aa,0x1fa80020,0x2003ec00,
    0x226e807d,0x03efffdb,0x00000fd4,0x25fff100,0x07ee04f8,0x901367d8,
    0x1bf6005f,0x2a007ea0,0x7e40001f,0x981fb001,0x1f60004f,0x27c001f6,
    0x0007ea00,0x110081b6,0x6fdc1ba0,0x200bf01f,0x01fd05f9,0x0bf13e40,
    0x40000bd0,0x817e1fe9,0xf9804ffd,0x04f98003,0x9f303f60,0x00037400,
    0x74017cc0,0xffffffff,0x00013e2f,0x001fa800,0x1f6003ec,0x7ffcdba0,
    0x00dffdcd,0x000007f5,0xd0f7fcc0,0x700fdc05,0x027d400b,0xf500dfb0,
    0x001f9003,0x8803fa80,0x000fd05f,0x003ec3ec,0x7d4004f8,0x206d8001,
    0x83ec004e,0xf883f9fd,0x70bf2004,0x47c8007f,0x02f402fc,0xf8fe2000,
    0x017ff205,0x7c000fe6,0x20bf1005,0x09f1007e,0x09f10000,0x26666660,
    0x00fe61df,0x1fa80000,0x2003ec00,0xfbee807d,0x20bf901e,0x000004f8,
    0x0005df10,0x200003f7,0x3a000ef8,0x01fa805f,0x980007d8,0x02fa804f,
    0x360005f7,0xf0007d87,0x01fa8009,0x17e06d80,0x57e0f900,0x003f886e,
    0x06f887f4,0x06e87c80,0x400002f4,0x91017e6e,0x03f9809f,0x2a00db00,
    0x005f702f,0x000005f5,0xbf00017e,0x00001fa8,0x0007ea00,0x07d800fb,
    0xe805ffe8,0x000df02f,0x00fea000,0x0000fdc0,0x7c001fd8,0x01fa804f,
    0x880006e8,0x207e804f,0xfb0005f8,0x3e000fb0,0x00fd4004,0x4cccfec0,
    0x5c005f99,0xfc9fcc0f,0x20017cc0,0x003fb5f9,0x09f50f90,0x00f442f4,
    0x0bf0fc80,0x7f301be0,0x401f2000,0x017e207e,0x000007ea,0x3e0003ec,
    0x0000fd45,0x003f5000,0x99999fd8,0x7e999999,0x5005fe80,0x007f209f,
    0x03ee0000,0x000fdc00,0x2001fdc0,0xfa803ff8,0x0005f801,0x4f880bf0,
    0x40007ec0,0x0007d87d,0x1fa8009f,0xffffd800,0x4005ffff,0xa8fe41fa,
    0x000fd42f,0x001fefe4,0x01fb07c8,0x013e617a,0x00bf3ec0,0x3f9803f2,
    0x801f9000,0x07ec04f8,0x00007ea0,0x00027dc0,0x001fa8bf,0x07ea0000,
    0xfffffb00,0xffffffff,0x800dd00f,0x00df106f,0x0fc80080,0x003f7000,
    0x8006f980,0xfa802ff9,0x0006d801,0x7dc04f88,0x001fd401,0x003ec3ec,
    0x7d4004f8,0xccfd8001,0x005fcccc,0x89fa17cc,0x0007dc4f,0x20006fe8,
    0x20bf307c,0x006f985e,0x017e5f88,0x7f3007e4,0x003f2000,0x3fa803f7,
    0x4c00fd40,0xaacccccc,0x0001fd82,0x001fa8bf,0x07ea0000,0x9999fb00,
    0xf9999999,0x800dd00f,0x013ee06e,0x32007e40,0x3f70000f,0x00fe8000,
    0x800ffa80,0x07c801fa,0x403fa800,0x00df006e,0x00fb0fb0,0xf50013e0,
    0x40db0003,0x1fcc005f,0x647d89f1,0x0bea0007,0x3207c800,0xf985e82f,
    0x17ec004f,0x03f200bf,0x90003f98,0x006e801f,0x02f980df,0xffffffe8,
    0x77c42fff,0x545f8000,0x0000003f,0xfb0007ea,0xe807d800,0x20374006,
    0x362003fd,0x00fc804f,0x0003f700,0xc80017e4,0x03f5006f,0x80003f70,
    0x3be602fb,0xcccccccc,0x6c001fec,0xf0007d87,0x01fa8009,0x17e06d80,
    0x7d49f100,0x0fb0fdc2,0x0017d400,0x37c40f90,0x7ffcc2f4,0x2fe4400c,
    0x07e4017e,0x20007f30,0x677cc06d,0xcccccccc,0x13e201fe,0x4cccccc0,
    0x7ff501df,0x222fd400,0x0000004f,0xfb0007ea,0xe807d800,0x40374006,
    0x74400dfd,0x01f9004f,0x0007ee00,0x16402fd4,0xfa801ff4,0x002fa801,
    0xf9007ec0,0xffffffff,0x8009ffff,0x8007c87d,0x7d4004f8,0x206d8001,
    0x25f8001a,0xd1fcc0fd,0x17d4000d,0xb80f9000,0x7cc2f43f,0x319bffcb,
    0xbf0bff75,0x9803f200,0x09f0003f,0xffffffc8,0x4fffffff,0x20002fc0,
    0x77ec405f,0xca9889ac,0x06f83fff,0x3ea00000,0x003ec001,0x01ba01f6,
    0x3f600dd0,0xdb989bcf,0x3f2002ff,0x03f70000,0x001ff100,0x00ff98bf,
    0xf1003f50,0x2fcc000d,0xfb0017e0,0xfa87d800,0x01fd4000,0x20007ea0,
    0x0590006d,0xbf06f97a,0xf50002fc,0x03e40005,0x10bd07f4,0x3fffa63d,
    0xf02effff,0x803f200b,0xf98003f9,0x2002fc02,0x003ec07d,0x7dc017e0,
    0xffffffff,0x007f202e,0x0fd40000,0xb001f600,0x800dd00f,0x3faa006e,
    0x0dffffff,0x0007e400,0xd8001fb8,0xc8bf001f,0x07ea004f,0x8001fdc0,
    0x0bea02fd,0x4005f500,0x002f887d,0x2a000fe4,0x06d8001f,0x5b60bf00,
    0x21f903f9,0x3ea0004f,0x01f20002,0x005e97e6,0x06b3eea2,0x3f200bf0,
    0x000fe600,0x2fa807f2,0x7017d400,0x2fc0009f,0x332a6200,0x6f8800ab,
    0xa8004000,0x03ec001f,0x1ba01f60,0x1000dd00,0x00037bf3,0xb80007e4,
    0x27dc001f,0x7fc4bf00,0x007ea001,0x54000fe8,0x003ec05f,0xfb002fc4,
    0xff001ba0,0x01fa8001,0xf0006d80,0x0fddf20b,0x03f8afa8,0x000bea00,
    0x3f9007c8,0x3e20017a,0x200bf000,0x0fe600fc,0xd80df500,0x05f88007,
    0xf8000fec,0x80000005,0xf90004fb,0x003f5001,0x3ec007d8,0x3a003740,
    0x007e0006,0x8001ba00,0x3e2001fb,0xf72fc006,0x01fa800b,0x4003be60,
    0x3e200ffa,0x01fb0004,0x1fdc1f60,0x8003fd80,0x6d8001fa,0x2e0bf000,
    0x3e207e8f,0x20002f9c,0x320002fa,0x3adf1007,0x1df88005,0xf7005f80,
    0x001fcc05,0x7c403ff3,0x01fb0004,0x400077c4,0xcea8005f,0x07fb0001,
    0x8027ec40,0x3ec001fa,0x3a01f600,0x00374006,0x40003bf0,0x2e0003f9,
    0x07fa001f,0x3fe2bf00,0x00fd4000,0x500bfee0,0x1fb805ff,0x007f3000,
    0x04fc81f6,0xa8002fec,0x06d8001f,0x3ea0bf00,0x57f405f9,0x3ea0001f,
    0x01f20002,0x005ebfb8,0xf801f750,0x40bf3005,0xfd1003f9,0x001fb807,
    0xfa807f30,0x17ea003f,0x007e5400,0x400dfd80,0x2a004fe8,0x03ec001f,
    0x1ba01f60,0x4000dd00,0x4c001fba,0x20000ffc,0x7f7001fb,0x3eebf000,
    0x01fa8004,0x9bdfe980,0x01ffdb98,0x7c0006e8,0xeaaaa986,0x4d77ec07,
    0x00dfeb98,0x0003f500,0x17e000db,0x2017e7cc,0x0000fdfb,0xc8000bea,
    0x2fff4007,0x02e81300,0x0d55577c,0xf983efd8,0x03ffb803,0x7c0006e8,
    0xcefd8806,0xfca9889a,0x740003ff,0x3ff60002,0xfdb989bc,0x0fd4002f,
    0xb001f600,0x800dd00f,0x204c006e,0x67f4003d,0x3bb6e001,0xdeeeefee,
    0xeeeefc82,0xeeeeeeee,0x440dd5fe,0xfeeeeeec,0x04eeeeee,0x7ffffec4,
    0x36600cff,0x03deeffe,0x77ff76dc,0xfffffd1d,0xffff900f,0x91007fff,
    0xdfdddddd,0xc89ddddd,0xeeeeffee,0xeeeeeeee,0xfff105fe,0x0fff9801,
    0xddddb500,0x05bddddf,0xeeeffec8,0x17fe600c,0x7dcdfe80,0xffffff80,
    0x54bfae06,0xeeeeefed,0x02fffeee,0x3bbffb66,0x776dc03d,0x5c01deff,
    0xffffffff,0xf98002ef,0x80007dbd,0xffffffea,0xdd9100df,0xdddfdddd,
    0x76d49ddd,0xc80ceeff,0x23deffee,0x2deffeda,0xbdffdb50,0xb9dfb007,
    0x0088001f,0xfffffd80,0x84ffffff,0xfffffffc,0xffffffff,0x7fcc0115,
    0xffffffff,0x000effff,0x00157973,0xfffffff5,0xffffd80b,0x33312fff,
    0x54400333,0xf30009bc,0xffffffff,0x21dfffff,0xffffffe8,0xffffffff,
    0xf105ffff,0x1ffe00df,0xfffffc80,0x04ffffff,0x3fffffa2,0x2fec00ef,
    0x02f72a00,0x26666660,0x3fee0800,0xffffffff,0xffa802de,0x405fffff,
    0xfffffffd,0x99531002,0x98000157,0x00000bdc,0x006f2e62,0x3fffffe6,
    0xffffffff,0xfffff90e,0xffe881ff,0x3f25ffff,0x904fffff,0x0bffffff,
    0x002f6e60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00366000,
    0x17003980,0x01002200,0xdddddd90,0x0579dddd,0x99998800,0x80099999,
    0xeeeeeeec,0xeeeec884,0x0000002d,0x40008011,0x88002dd9,0xeeeeeeec,
    0x2e001dee,0xc804eeed,0x0ceeeeee,0x00220040,0x000e4c00,0x00039300,
    0x20002010,0x80004008,0xd30001c9,0xdddddddd,0x0c0003bd,0x00e6cc00,
    0x05bb5000,0x3bbb2200,0xdd904eee,0x6449dddd,0xeeeeeeee,0x004eeeee,
    0x4002fb22,0x0002fffb,0x3f9803f9,0x702ff880,0x3fa201ff,0xffffffff,
    0x002effff,0xffffff88,0x205fffff,0xffffffe8,0x7ffc40ef,0x20005fff,
    0x884effeb,0x1ff702ff,0xffffe880,0xf9836c1e,0xffffffff,0x3fa003ff,
    0x2201ffff,0xfffffffe,0x4c0ffe01,0x4c0001ff,0x80000fff,0x0001fff8,
    0x00d90be2,0xf702ff88,0x7fc4001f,0xee98001f,0xeeeeeeee,0x7f5c001e,
    0x74403eff,0x220dffff,0xffd1005d,0x2f441bff,0xffffff10,0xffe881df,
    0xf10effff,0xffffffff,0x81dfffff,0x7ffec3fc,0xeaefd804,0x6fa8004f,
    0x5400ff40,0x5ffb04ff,0x7301b600,0x970009ff,0x99999999,0x03ec0039,
    0x0009fd10,0x76ef7f4c,0x827fd42f,0x7e402ffd,0xbeffc88c,0x3e6004fe,
    0x3f200003,0x02f4006f,0xfc837fcc,0x7dc0003f,0xa80002ff,0x20003fff,
    0x003ec2f9,0x7ec13fea,0x3fee002f,0x0000003f,0x37ff6200,0x3604fecb,
    0xcffd98cf,0xfd003ffb,0x337ff227,0x0fb002ff,0x50013e00,0x3fe2003f,
    0x037fffc7,0x7ec49fd3,0x67f4000e,0x802fed41,0xbd301ed8,0x88036c00,
    0x000003fd,0x200fb000,0x20003fe8,0xb1002fe8,0x017a603d,0x3ff62066,
    0x1fcc002f,0xf9f90000,0x802f4005,0x1bd102ec,0xfff88000,0xff880000,
    0x3ea0001f,0x22003742,0x0bd301ed,0x00fff880,0x20000000,0x0bf703fe,
    0x3ffa602a,0x2026002f,0x001effe9,0x27c001f6,0x4007ea00,0x7fdc7ff8,
    0x07ff302f,0x88007fee,0xfffefffe,0x0000000d,0x3a0036c0,0x0000000f,
    0xe9807d80,0x7e40002f,0x00000002,0x40006200,0x200003f9,0x000fe8fc,
    0x000000bd,0x002a2000,0x000a8800,0x1ba0fdc0,0x00000000,0x00000151,
    0x017dc000,0x220007f2,0x08800001,0x0007d800,0x1fa8009f,0x30fff100,
    0x00ed4015,0x2a000766,0x002defed,0xdb000000,0x002f9800,0x6e440b6e,
    0x301f6000,0xf00003ff,0x0000000b,0x00002600,0x400007f3,0x2009f57c,
    0x0000005e,0x00000000,0x1fb80000,0x000002fc,0x91000000,0x09dddddd,
    0x3bbbbbb2,0xf8037c44,0x00000003,0x07d80000,0xa8009f00,0x1ffe001f,
    0x00000000,0x00000000,0x8006d800,0xdff1004f,0x8013fee0,0x07bea07d,
    0x00fe6000,0x4c000000,0x0cffffec,0x003f9800,0x1fd9f200,0x00005e80,
    0x00000000,0xc8000000,0x0002fc0f,0x00000000,0xfffffff1,0xfffe881d,
    0x3f20efff,0x644db001,0xeeeeeeee,0x5c4eeeee,0xc804eeed,0x0ceeeeee,
    0x9f0007d8,0x001fa800,0x00001bfe,0x00000000,0x0b7bbb6e,0x5bdddb70,
    0xf3001b60,0x82ffc007,0x36002ff9,0x001df707,0x400bea00,0xeeeeeec8,
    0x4eeeeeee,0x5e77fe40,0x4004fffd,0x200003f9,0x2017e27c,0xeeda805e,
    0x005eeeee,0xeeeeec88,0xeeeeeeee,0x77777644,0xeeeeeeee,0xc804eeee,
    0x32027c47,0xeeeeeeee,0xeeeeeeee,0x77776c4e,0xeeeeeeee,0x000fb04e,
    0x002fc13e,0x7fffccf9,0xffffffff,0x3ffa0eff,0x3a201fff,0x1fffffff,
    0x9f0007d8,0x001fa800,0x76401bfe,0xeeeeeeee,0xeeeeeeee,0x77777644,
    0xeeeeeeee,0x3f64eeee,0x7405ffff,0xb04fffff,0x00fc800d,0x03100620,
    0xdfc87d80,0x3ea00000,0xffff3002,0xffffffff,0xfd101dff,0x17fa601b,
    0x0003f980,0x05f91f20,0xffc805e8,0x1fffffff,0x7fffcc00,0xffffffff,
    0xffd10eff,0xffffffff,0xdfffffff,0x3f88fb00,0x3ffffa20,0xffffffff,
    0x746fffff,0xffffffff,0xb05fffff,0x213e000f,0x3f2004f8,0x001fa800,
    0x4006ffc8,0x003ec05e,0x7d4004f8,0x017fa001,0x3fffffa2,0xffffffff,
    0x3a26ffff,0xffffffff,0xffffffff,0x003fb86f,0x1b6017e4,0x0005fb80,
    0x8fb00000,0x800005fd,0xa80002fa,0x3fe2001f,0x00bfb003,0x80000fe6,
    0x7406e87c,0x23ba0005,0x2a00005f,0x06d8001f,0x7d806e80,0xdb001fcc,
    0x6e8dd000,0x6c17e200,0x309f0007,0xda98807f,0x01fa800f,0x02fcfc80,
    0x0fb017a0,0x50013e00,0x2ff4003f,0x00db0244,0x036c0dd0,0x0fe83740,
    0xb00bf300,0x3dfb100d,0x00000000,0x0ffec5f6,0x17d40000,0x00fd4000,
    0xc8005f90,0x03f9803f,0x2a1f2000,0x0017a04f,0x00fd9fcc,0x003f5000,
    0xdd000db0,0x2f98dd00,0x2001b600,0xd003746e,0x001f603f,0x80fdc27c,
    0x0fffffc8,0x8001fa80,0x000fe8fc,0x007d80bd,0xfa8009f0,0x217f6001,
    0x00db01fa,0x036c0dd0,0x5f983740,0xb001fd00,0x9733333f,0x0001bffd,
    0x7ec00000,0x04ffdfe8,0x3bbb6600,0x1deeeefe,0x800fd400,0xff0005f9,
    0x003f9801,0x7ec1f200,0x2000bd00,0x007f50fc,0x0007ea00,0x1ba001b6,
    0x9ff99991,0x999bfb99,0x40036c07,0xb803746e,0x001f603f,0x407e427c,
    0xfd9adff9,0x001fa800,0x009f57c8,0x00fb017a,0xf50013e0,0x427ec003,
    0x00db02fb,0x036c0dd0,0x7f703740,0xb002fb80,0xffffffff,0x654003bf,
    0x665404cc,0xefd804cc,0x03df912f,0xffffd500,0x03dfffff,0xb001fa80,
    0x3ee0003f,0x001fcc03,0x3e60f900,0x2000bd05,0x00037c5f,0xd8001fa8,
    0x4c6e8006,0xffffffff,0x6fffffff,0x3a001b60,0x7cc03746,0x8003ec05,
    0xe887c84f,0x4007e42f,0x7c8001fa,0x17a007f6,0x3e000fb0,0x00fd4004,
    0x5f709f90,0x3a001b60,0x2001b606,0x807f406e,0x3f6005f9,0xffcaaaaa,
    0x7fffc003,0x7ffff407,0x82ffd807,0x80000efa,0xa80002fa,0x04f9801f,
    0x26037c00,0x3200003f,0x3a0bf207,0x42fa8005,0xa80000fc,0x06d8001f,
    0x7c405e80,0xb0007dc4,0xe8bd000d,0x007f4406,0x27c001f6,0x417dc3e4,
    0x1fa800fc,0x3e27c800,0x6c05e805,0x009f0007,0x32001fa8,0xb03fc83f,
    0x40bd000d,0x05e8006d,0x0fe82fcc,0xfa81b600,0x6ccc004f,0x7d999807,
    0x2601fd80,0xfa80005f,0x1fa80002,0x0001fa80,0x7f300fe4,0xf900b800,
    0x2f437c40,0x2607ec00,0xfa80004f,0x206d8001,0xf8801100,0xb0007e44,
    0x4088040d,0x017e404d,0x4f8003ec,0x907d87c8,0x03f5001f,0x2fc8f900,
    0x1f602f40,0x20027c00,0x3f2001fa,0xdb03fc83,0x20088040,0x0440206d,
    0x3ee17e40,0x2036c003,0xd8004fe8,0x403ec007,0x02fc807d,0x0017d400,
    0x6400fd40,0x7d40000f,0x800fe603,0x80f903f8,0x002f43fb,0x03f417e2,
    0x000fd400,0x009d036c,0x0f90fe60,0x13a06d80,0x027d4000,0x9f0007d8,
    0x20bf0f90,0x1fa800fc,0x6e87c800,0x1f602f40,0x20027c00,0x3ee001fa,
    0xdb04fd82,0x6c002740,0x00013a06,0x01be21fd,0x7ec01b60,0x003ec003,
    0x01f601f6,0x500007f4,0xf500005f,0x000fb003,0x7cc09f30,0x40fe2003,
    0x20fe807c,0x17d4005e,0x40002fb8,0x6d8001fa,0x4c0017e0,0x2003ec2f,
    0x0017e06d,0x4003be20,0x09f0007d,0x901fd0f9,0x03f5001f,0x9f50f900,
    0x1f602f40,0x0013e200,0x7dc003f5,0xdb04fd82,0x6c002fc0,0x00017e06,
    0x007f6bf3,0xfe801b60,0x001f6001,0x00fb00fb,0xa8000fea,0xfa80002f,
    0x0006e801,0x3e604f88,0x40fe2003,0x25f9807c,0x03f4005e,0xa8000bf1,
    0x9fd8001f,0x05f99999,0x6d85f500,0x4ccfec00,0x0005f999,0x36001fd8,
    0x909f0007,0xf907f90f,0x003f5001,0x03f60f90,0x03ee02f4,0x8007f300,
    0x3e6001fa,0xfb05fd80,0xbf333333,0x333fb000,0x000bf333,0x007fbf90,
    0xf9801b60,0x001f6006,0x00fb00fb,0xf50003f4,0x3f500005,0x0000bf00,
    0x03f9817e,0x3e40fe20,0x0bd1fc80,0x36027c40,0x3ea0000f,0xfffd8001,
    0x005fffff,0x9bfb9997,0x7999ff99,0xfffffd80,0x40005fff,0x3ec003fb,
    0x7c84f800,0x322dfe88,0x01fa800f,0xbf307c80,0x5f5017a0,0x001fb800,
    0x02000fd4,0xffd82ff4,0x05ffffff,0xfffffd80,0x00005fff,0x6c000dfd,
    0x01fdc006,0x3ec007d8,0xf7003ec0,0x0bea0005,0x007ea000,0x220001b6,
    0x00fe604f,0x0f903f88,0x02f5be20,0xfa803f70,0x07ea0003,0x3333f600,
    0x8805fccc,0xffffffff,0xffffffff,0x3333f600,0x0005fccc,0x36001be6,
    0x709f0007,0xfffd301f,0xf5009fff,0x40f90003,0x405e82fc,0x7f4006f8,
    0x00fd4000,0xb06fe800,0xf999999f,0x99fb000b,0x00bf9999,0x000bea00,
    0xfe8006d8,0x4007d800,0x007d807d,0x54001be2,0xfa80002f,0x0007c801,
    0x3e603fa8,0x40fe2003,0x2fee007c,0x01ba005e,0xf500037c,0x40db0003,
    0x1f90005f,0x36c005f8,0x74000bf0,0x07d8000f,0x3f509f00,0x76f76540,
    0x001fa804,0x1be207c8,0x0fee017a,0x4001fe40,0xf00001fa,0xf81b60df,
    0x206d8005,0xf500005f,0x036c0005,0x6c027cc0,0x403ec007,0x0fe4007d,
    0x0017d400,0x5c00fd40,0x7dc0001f,0x800fe602,0x00f903f8,0x3005ffe8,
    0x999999df,0x003fd999,0x20007ea0,0x0017e06d,0x09f107e4,0x17e06d80,
    0x0017e400,0xf88007c8,0x0002f984,0x0003f500,0x43fb80f9,0x09fd005e,
    0x50006fc8,0x3e00003f,0x7c0db07f,0x206d8005,0xf500005f,0xfeec8005,
    0xb004eeef,0x1f603bdf,0x3b20fb00,0x04eeeffe,0x016f77cc,0x80002fa8,
    0x2fa801fa,0x887ec000,0xeefeeeec,0xeeeeeeee,0x7f643fee,0x200ceeef,
    0xf9005ff9,0xffffffff,0x0009ffff,0x360007ea,0x40006a06,0x001fc47d,
    0x001a81b6,0x2c805fa8,0x54000fa8,0x004f883f,0x003f5000,0x1fd00f90,
    0xfe8802f4,0xfeb989ae,0x3bb2200d,0xeeefeeee,0x7c004eee,0x540db07f,
    0x206d8001,0xf500001a,0x7ff44005,0x00efffff,0xb02fff88,0x887d800f,
    0xfffffffe,0x7fff400e,0x005f5004,0x1003f500,0x7cc000df,0x3ffffe65,
    0xffffffff,0x23ffffff,0xffffffe8,0x02fec00e,0x3ec005f8,0x001fa800,
    0x590006d8,0x0fe63ec0,0x2000db00,0x00ff882c,0x02f885f8,0xfd80fe40,
    0xfa800000,0x807c8001,0x0017a5f9,0xfffffff9,0xffff1007,0xffffffff,
    0x2ca81dff,0x6c07ffc4,0x20590006,0x0590006d,0x00017d40,0x36000000,
    0x003ec007,0x5c000000,0xfa80001f,0x007f7001,0x0000bf60,0x00000000,
    0x20017d40,0xfa8002fa,0x006d8001,0x23740bf0,0x36c002f9,0xfd85f800,
    0x3a0bf001,0x807fc006,0x800003fa,0x7c8001fa,0x17a3f900,0x0df7d400,
    0x067cc000,0x23fffc80,0x0db07ff8,0x36c17e00,0x2005f800,0x000002fa,
    0x07e40000,0x0007f980,0xfc800000,0x1fa80000,0x0003fa00,0x00000bf5,
    0x00000000,0x7c4003ec,0x01fa8005,0xf0006d80,0x3ea2f40b,0x0036c002,
    0x027dc5f8,0x0fee0bf0,0x3a01fec0,0x5400001f,0x07c8001f,0x017adf10,
    0x0001fc40,0xff800b90,0x816dc6ff,0x0bf0006d,0x2fc001b6,0x0005f500,
    0x0019d900,0xb803fb80,0x2a0007ff,0x200001ce,0xf500007e,0x077cc003,
    0x000ffa80,0x0001cea8,0x001cea80,0x20009f10,0x7d4000fd,0x006d8001,
    0x22fc0bf0,0x36c001fa,0x3e25f800,0x902fc006,0x05fd809f,0x2201ff98,
    0x03f5003c,0x5c00f900,0x50005ebf,0x2f80000f,0x1fffe400,0x4001b600,
    0x000db05f,0x2fa8017e,0xbb500000,0x06f98000,0x003f7fe4,0x0003f2a0,
    0x0000fee0,0x2e000fd4,0x7fd402ff,0x3f2a0002,0xca800000,0x1fb8000f,
    0x007f3000,0xd8001fa8,0x40bf0006,0x000fdc4f,0x2fc001b6,0x5f8003fd,
    0x44d77ec0,0x000dfeb9,0x33159ff7,0x2a005ff7,0x07c8001f,0x002fff40,
    0x000c1f88,0xa8018990,0x06d8002c,0x1b60bf00,0x5002fc00,0x4000005f,
    0x640000f8,0xfdb98bef,0x0defd8cf,0x800ba000,0x0037dc09,0x0003f500,
    0x3137bfd3,0x0003ffb7,0x00000ba0,0x6e8002e8,0x0037c000,0x360007ea,
    0x20bf0006,0x007e44f8,0x7c001b60,0xf0007f75,0xffff900b,0x30007fff,
    0xdfffffff,0xeeeec885,0xeeeeefee,0xeffec84e,0x3e600cee,0x3f20005f,
    0x20006fcd,0x01fecef9,0x01b60000,0x06d82fc0,0x36a0bf00,0xeeefeeee,
    0xd70002de,0x0000bd99,0x3ffffff2,0x0bfff62e,0x3edefcc0,0xfdfff300,
    0xc88001bf,0xefeeeeee,0x404eeeee,0xffffffd8,0xf30000cf,0x0000fb7b,
    0x03edefcc,0xddffdb30,0xeedb807b,0xd911deff,0xddfddddd,0xec89dddd,
    0xeeeeeffe,0xeeeeeeee,0xc87f105f,0xffdd9007,0xdddddddd,0x2bfddddd,
    0xeeeeeefc,0xfeeeeeee,0x2f2a2005,0x5cc00009,0xff301acc,0xffffffff,
    0x441dffff,0xeffffffe,0x002fec00,0x003376a0,0x059d7300,0xfdd90000,
    0xdddddddf,0xbfdddddd,0x777ff764,0xeeeeeeee,0xf905feee,0xffffffff,
    0x540009ff,0x400002dc,0x000abcb9,0x05ee4c00,0x33b72600,0xfff30002,
    0xffffffff,0x2001dfff,0x000abcb9,0x00bdc980,0x5ee4c000,0x3ffea000,
    0x6c05ffff,0x2fffffff,0xfffffff3,0xdfffffff,0x3ffffa21,0xffffffff,
    0x05ffffff,0x1007102e,0xfffffffd,0xffffffff,0x3ff2bfff,0xffffffff,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffe88,
    0xffffffff,0xd15fffff,0xffffffff,0xffffffff,0x00000bff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0002dd98,
    0x00006000,0xddddddb5,0x764000bd,0xeeeeeeee,0xeeeeeeee,0xeeed8804,
    0x2eeeeeee,0x016e0000,0x0005d400,0x2aaaaa00,0x1000aaaa,0x55555553,
    0xeee98155,0xdeeeeeee,0xeeee9801,0x1deeeeee,0xeeeed880,0x03eeeeee,
    0x006e6000,0x2e000000,0x00400204,0x00020010,0x00004c80,0x000002dc,
    0x016e0000,0x06000000,0x0a000040,0x3ffa2000,0x1b621eff,0xffd93000,
    0xc80039bf,0xffffffff,0xfe88001f,0xffffffff,0xffffffff,0xeeed8806,
    0x2eeeeeee,0x0df90000,0xfdefa800,0x7ec40004,0xeeeeeeef,0x3ff6a01f,
    0xefeeeeff,0x7774c2ee,0xeeeeeeee,0xeeee9801,0x1eeeeeee,0xeeeed880,
    0x03eeeeee,0xfdfe8800,0x0000000d,0x03dc1ba0,0x7dc01fc4,0x0017e404,
    0x0013f620,0x0006fc80,0x59dfb731,0x1bf20000,0x7f6dc400,0x3ea003de,
    0x001fdc05,0x0006fec4,0xf9119fb0,0x009fd7bf,0x5efffdc0,0x0003fffd,
    0x005f8ee8,0xe8006d80,0x00000006,0x005fd880,0x07e23e80,0x01774400,
    0x7fecc0fc,0x07c45d0b,0x00000000,0x00000000,0x1ec4c800,0x98000000,
    0x809f705f,0xfd8802fd,0x02ff440d,0x013fa200,0x02fec400,0xdffffb80,
    0x20000ffe,0x88005fd8,0xfedefffc,0xdfb001ef,0x00efd881,0x77effcc0,
    0x10130001,0x0005fffb,0x44037f62,0x260005fd,0x0001fb3f,0x6e8006d8,
    0x00000000,0x00027f44,0x0026434c,0x07e006c8,0x2e81bff3,0x000003e2,
    0x00000000,0x7c000000,0x64403540,0x04eeeeee,0xfdddddd9,0x0bfe203f,
    0x90007fd4,0x0ffea3ff,0x05ff3000,0x13fa2000,0x2bbfa200,0x22000080,
    0xe88004fe,0x3ff701df,0x4cbfee00,0xfb8004fe,0x007ff51f,0x00031000,
    0xf9004fe8,0x43f2000d,0x6c0003fa,0x006e8006,0x80000260,0x00003ff9,
    0x000990f3,0x41f800fe,0x445d05fe,0x0000000f,0x00000000,0x83f00000,
    0xfff8806a,0x440effff,0xbefffffe,0x67ffd401,0x001fffca,0x1ffdffa8,
    0x0ffd4000,0x3ff98000,0x04ffa800,0x7ff30000,0x00ff6000,0x4c003be2,
    0x002ffdfe,0x7440efd8,0x0000005f,0x001fdc00,0x3e000ff2,0x200037c5,
    0x06e8006d,0x3fffb260,0x6c0000cf,0x7400002f,0x20007e23,0x832000f8,
    0x45d01ff9,0xeec880f8,0xeeeeeeee,0x77644eee,0xeeeeeeee,0x4eeeeeee,
    0x3bbbb6a0,0x00005eee,0x007b12e4,0x9f0007d8,0xfffd9800,0x20000dff,
    0x0000dfe8,0x00001ef8,0x26000bf6,0x000002ff,0x98000bf6,0x00fea001,
    0x000efd88,0x7ec04fb8,0x3bb6a002,0x005eeeee,0x2000df10,0x3ea000fe,
    0x00007e42,0x0bd000db,0x2f3bff20,0x0004fffd,0x20000022,0x004fdee9,
    0xb8000ba0,0xf88ba07f,0xfffff980,0xffffffff,0xfffd10ef,0xffffffff,
    0x0dffffff,0x7fffffe4,0x00001fff,0x037f7f62,0x2000fb00,0x5310004f,
    0x14000013,0x00010000,0x20001100,0x000001fe,0x00000044,0x20013e20,
    0x00220002,0x3ff2000c,0x1fffffff,0x001fd800,0x6c009f50,0x0027cc0f,
    0x88040db0,0x06ff4400,0x0005fe98,0x73000000,0x76cc0001,0x0df70000,
    0x001f1174,0xd8001fa8,0x006e8006,0x005f8ee8,0x000b9800,0x3e000fb0,
    0x00000004,0x00000000,0x20000000,0x000004fc,0x00000000,0x0000017a,
    0x00000000,0x0017e3ba,0xe8000bf1,0x05f8800f,0x36c000fd,0xf10009d0,
    0x17f6007f,0x7cc00800,0x20000004,0x01eefffb,0x3a07fb80,0x50003e22,
    0x0db0003f,0x9800dd00,0x0001fb3f,0x7d800000,0x0009f000,0x08000008,
    0x00000000,0x7c400100,0x02000006,0x10000000,0x0000007f,0x00000200,
    0x00fd9fcc,0x0000be60,0x5f5003f7,0x4000bee0,0x0017e06d,0xf9000bf2,
    0x3f726007,0x3e61deff,0x0000001f,0x1fe415f5,0x407fea00,0x0003e22e,
    0xdb0003f5,0x800dd000,0x007f50fc,0x40001000,0x09f0007d,0xeffedb80,
    0xc98000cd,0x01cdfffd,0x20266654,0x804cccca,0xdeffffda,0x01fa8351,
    0x3f6e2000,0xffc982df,0x5c00000d,0x76dc401f,0x710bdeff,0x3ff72600,
    0x00001cdf,0x00fea1f9,0x40001fb8,0x07e802f9,0x6c0017e2,0xf999999f,
    0x02fcc005,0x2200ff80,0xedcdfffc,0x41ffadff,0x5404ccca,0x5d04cccc,
    0x4007bea0,0x45d05ff8,0x7d4000f8,0x006d8001,0x2fc006e8,0x750001be,
    0x07dffffb,0xf0007d80,0x3ffa6009,0x2fffecce,0x37fff200,0x203fffdc,
    0x7407ffff,0x2607ffff,0xedccefff,0x3e45edff,0xdffb0000,0x7d49ffbb,
    0x001ffedf,0xa80df300,0xeecceffe,0x401fabff,0xfdcdfffc,0xf80003ff,
    0xf90037c5,0x4f880001,0x36027c40,0xffd8000f,0x05ffffff,0x8000fec0,
    0xbfd303fb,0x3fff6201,0x07ffff82,0x83fffff4,0x37f2202e,0x85ff9800,
    0x0003e22e,0xdb0003f5,0x400bd000,0x007e42fa,0x77fffe40,0x01ffedcc,
    0x3e000fb0,0x03ffc804,0xd1017faa,0x3fa601bf,0x0fb3300e,0x20fb3330,
    0x9100bff9,0x105e8bff,0x0e740013,0x3be67f62,0x0003fee1,0x200efc88,
    0x3aa01efc,0xfd101fff,0x3bfa601b,0x85f50000,0x0fb000fc,0x7017e000,
    0x03fa803f,0xccccfd80,0x26005fcc,0x37c0004f,0x44017fc4,0xb3300fff,
    0xfb33300f,0x36601aa0,0xdfe9803f,0x07c45d0b,0x0007ea00,0x110081b6,
    0x2607ec00,0xbdd8004f,0x003fea01,0x27c001f6,0x4003bea0,0x0ffa04fc,
    0x3602fdc0,0xc83ec007,0x8bfb003f,0x3ff6e24f,0x440001ef,0xf980feff,
    0x3fbaa004,0x2fdc05ff,0x203ffb00,0xbf7003fe,0x303f6000,0x01ba009f,
    0x3a037c00,0x000df006,0x002fc0db,0xc80003f5,0x4017ec1f,0x405fbfe8,
    0x03ec007d,0xdd5001bd,0xdffd7003,0x0007c45f,0x360007ea,0x00013a06,
    0x01fa0bf1,0x0bf70000,0x3e000fb0,0x003be204,0x7f903fb0,0x203fc800,
    0x83ec007d,0x97e2006e,0x9dfd12f9,0x0007ff97,0x3202ffc8,0xffd3000f,
    0x37c405ff,0x640ff400,0x1fe4003f,0x7417e200,0x000fb007,0xef9813e0,
    0xcccccccc,0x6c001fec,0xc8017e06,0x7d40000f,0x22013ea3,0x405f92fe,
    0x03ec007d,0x7dc00bb6,0x8bee6004,0x7d4000f8,0x206d8001,0x7d40005f,
    0x0005f702,0xd807e800,0x409f0007,0xdf0001fd,0xd0005f98,0x001f601f,
    0x003f20fb,0x227ea1a8,0x3fd882fe,0x01fea000,0x730009f3,0x07f609fd,
    0xf307ee00,0x03fa000b,0xf702fa80,0x001f9005,0x3203f980,0xffffffff,
    0x004fffff,0x0035036c,0x4c0003ec,0x2201f64f,0x817e22fe,0x03ec007d,
    0x4c006fdc,0x1174005f,0x1fa8001f,0x999fd800,0x0005f999,0x0bf103f4,
    0x07c80000,0x9f0007d8,0x900037c0,0x000fdc1f,0x0fb02fa8,0xdf307d80,
    0x2bea0003,0x07f400fe,0x805fa800,0x7ec0005f,0x8002fc0d,0x001fb838,
    0x74005f50,0x2017e207,0x540001fb,0x0017e02f,0x06d800fb,0x06e85900,
    0x3e4f8800,0x41ff4405,0x001f607d,0x3f6200fb,0x001f8803,0x000f88ba,
    0x6c000fd4,0xffffffff,0x13e20005,0x00001fb0,0x3ec03e40,0xf104f800,
    0x0fcc0007,0x7c4000fb,0xd800fb04,0x33bfea07,0x7cc009ab,0x5f9802ff,
    0x5ef6dcc0,0x06d803fc,0x264fb800,0x6c00003f,0x13e20007,0x36027c40,
    0x01fcc00f,0x5407f200,0x17d4002f,0x2000db00,0x0002fc5f,0x409f15f8,
    0x1f903fe8,0xfb001f60,0x02eea800,0x45d002e4,0x7d4000f8,0xccfd8001,
    0x005fcccc,0xf5007ee0,0x99510007,0xfb579ddd,0x2000fb00,0xffff504f,
    0xffffffff,0x47ffffff,0x3740005e,0x3ec007d8,0x3fffb220,0xf880ceff,
    0x21b6004f,0xffffffd8,0xffffffff,0x007fffff,0x17d4fb00,0x017a0000,
    0x2e00dd00,0x01fd401f,0x880007f4,0x001f606f,0x6d8017e2,0x6d8bf000,
    0x34f88000,0x0ffa207f,0x0fb01fb8,0x70007d80,0x01aa01bf,0x003e22e8,
    0xb0003f50,0x0002fc0d,0x01be00dd,0xfffffc88,0x07fffffe,0x9f0007d8,
    0x33337e60,0xcccccccc,0x3e2ccccc,0x83740005,0x03ec007d,0x3fb2ea60,
    0x007fc42f,0x7fd41f90,0x6fe4c09d,0xcccccccc,0xf500004c,0x00007ee5,
    0xe8000bf0,0x200dd006,0x04fa806f,0x2203f900,0x1fb0004f,0x4001b600,
    0x0003e45f,0x109f1fd4,0x07c807fd,0x0fb001f6,0x217ec400,0x8ba002e9,
    0x7d4000f8,0x206d8001,0xdf30005f,0x99999999,0xf3003fd9,0x2a2035df,
    0x007c807e,0x9f104f88,0x06e80000,0x7d82fc00,0x0003ec00,0x1ba27ecc,
    0x3e63f700,0x01fd400f,0x3e200000,0x00005f54,0x7c0006e8,0xccef9805,
    0xeccccccc,0x01fe801f,0xf702fcc0,0x0fe60003,0xf80036c0,0x0000fdc5,
    0xd86e8bee,0x206e803f,0x03ec007d,0x7f6fdc00,0x1174004f,0x1fa8001f,
    0x2a06d800,0xfff90001,0xffffffff,0xff8809ff,0x201f2002,0x7d4000fa,
    0x0001ba03,0x20001f90,0x00fb03f8,0x200007d8,0x007ee0fc,0x05f70fc8,
    0x0000bf50,0xf14f8800,0xfc800007,0x07f10000,0xffffff90,0x9fffffff,
    0x003df300,0x6e803fe6,0x8037c000,0x8bf0006d,0x6c0002fa,0xfd87f20f,
    0x204f9804,0x03ec007d,0x1adfa800,0x3e22e800,0x00fd4000,0xc80036c0,
    0xb0017e02,0x001fc80f,0x17c403e4,0xd807f200,0x2e00001f,0x5f70002f,
    0xfb001f60,0xf1000750,0xb001fcc7,0x54007dcf,0x0000006f,0x00df17cc,
    0x002fb800,0xbf005f70,0x3007d800,0xffa805ff,0xeffed982,0x76dc03de,
    0x641deffe,0xeeeeffee,0xeeeeeeee,0x037c45fe,0xf88bf300,0xd004fd8e,
    0x003ec01f,0xc80001f6,0x88ba0005,0x0fd4000f,0x80036c00,0x005f505f,
    0x1ba02fa8,0x7401f200,0x007fc006,0x80000df1,0x7cc000fe,0x4003f206,
    0x007d87f9,0x03744f88,0x0be65f88,0x0007fee0,0x20fd8000,0x510003fc,
    0x98001fd0,0x02fa806f,0x98017d40,0xb989bdff,0xff500efd,0x80bfffff,
    0xfffffffd,0x3ffffa22,0xffffffff,0x85ffffff,0xfb0003fb,0x09fff705,
    0xf900bf20,0x81fe6001,0x01e60028,0x03e22e80,0x0003f500,0x17e000db,
    0x7c4003ec,0x10017e05,0x0fee00fd,0x54017ec0,0x8370005f,0x3a2005f9,
    0x00fee00f,0x3fa1ffee,0x217dc002,0x1fc804fa,0x3fea02fc,0x321cc06f,
    0x427dc002,0x7d4000fe,0x002fcc0f,0xfb001fd1,0x00bf1000,0x7ffffe44,
    0x000004ff,0x00017540,0x3a02ec80,0x2fd4000f,0x8801fff0,0x3fb805fe,
    0x207ffb80,0x01ea0079,0x03e22e80,0x0003f500,0x17e000db,0x6c0013e2,
    0x001fd00f,0xc801ffea,0x02fec03f,0x2003bfb0,0xefc83ffb,0x01ff5401,
    0xff901be6,0x07ffd0fd,0x7ec1bee0,0x3213ee03,0xdfff504f,0xd1ff207f,
    0xdf9005df,0x200bfe60,0xf903ffd8,0x3fea803d,0x0004f880,0xf88001fb,
    0x00001bef,0x0005d000,0x2600fc00,0xff5000ef,0x3ffbf601,0xff9531ac,
    0x01be6007,0x4c0fdff9,0x00136007,0x003e22e8,0xb0003f50,0x217e000d,
    0xf30001fb,0x2013ee07,0x4007effd,0xb989aefc,0x5c000dfe,0x9889acff,
    0x203fffcb,0x531acffb,0x32005ffb,0xfdb98bef,0x0defd8cf,0x357bfdfd,
    0x03bfae66,0xa99adfd8,0x9f900dfd,0xf7df9315,0xd7119fb5,0xffd881bf,
    0xeba89abd,0x3faa00df,0xdba889bd,0x7dc01eff,0xfb531acf,0x07ee005f,
    0x001fcc00,0x00007fd3,0x001f0000,0x401e6000,0x7d402ffb,0x269fb02f,
    0xfffffffd,0x77e4000e,0xcffdb98b,0x4c0defd8,0x001f7007,0x01f11740,
    0x8001fa80,0x0bf0006d,0x6f8000dd,0x22277fa0,0xc8cffdb9,0xc800ceef,
    0x3fffffff,0x3ff62000,0xbeffffff,0xfffd8800,0x000dffff,0x7fffffe4,
    0x4bfff62e,0xfffff75c,0x0017ffff,0x9fffffb7,0xfffff900,0x7fec3a2b,
    0x64c02fff,0xfffffffe,0x3fff2002,0x01dfffff,0x3ffff620,0x2000dfff,
    0x37c0006e,0xeeeffb80,0xf930acdf,0x3200000b,0x0003b88c,0x301a8ba0,
    0x73137bfd,0x3ee03ffb,0x9bcba885,0x3ff20000,0x362effff,0x67cc2fff,
    0xedcccccc,0x332e001f,0x33ee5fcc,0xddd911cc,0xddddfddd,0xfeec89dd,
    0xeeeeeeef,0x5feeeeee,0xbddffdb3,0xfeedb807,0x7e441def,0x1effffff,
    0x007ffff2,0x009bca88,0x99531000,0x4c400035,0x00009bcb,0x002af2e6,
    0x59975300,0x77100015,0x65440013,0x0ddcc01b,0x55dcc400,0x95310001,
    0x40001359,0x009bcb98,0xddffdb30,0xeedb807b,0xf901deff,0xffddffff,
    0x03dfffff,0x3f620000,0x200001ef,0x201efffa,0xffffffd8,0x00ea00cf,
    0x97300000,0x91000157,0x79999999,0x99970003,0x6665c999,0xfffff31c,
    0xffffffff,0x3ffa21df,0xffffffff,0xffffffff,0xffffff55,0xfffd80bf,
    0x5102ffff,0x00013799,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7d400000,0x05ffffff,0x7fffffec,0x037b702f,
    0x00b3b2a2,0x00440000,0x00330000,0x00abcb98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02640000,0x10000000,0x13600003,0x3aa00000,
    0x08002000,0x0002a000,0x00300000,0x00080022,0x2d880001,0xc8001e44,
    0x40004b83,0x00000002,0x00003c80,0x00009900,0x08800028,0x9b000100,
    0x02800000,0x40000000,0x20001000,0x8000004d,0x4000004c,0x98004fe8,
    0x001cefec,0x000ffe60,0x00017f60,0x000efb80,0x6e9807be,0x03df9000,
    0xdefdb880,0x00fcc002,0x07b802f4,0x10003f88,0x02fd83fd,0x7dc3fd80,
    0xbfb10005,0x3e600001,0x17f20000,0xfd880000,0xfb100004,0x7f40001b,
    0x001fa202,0x000017f2,0x00037f62,0x2cefeca8,0x4403dc00,0x5fc8003f,
    0xfb100000,0x44000009,0xfb8003fe,0x03fffdff,0xdfeffb80,0x77e40000,
    0x7e400000,0x7fd4000e,0x001ffb82,0x17feff44,0xedfffa80,0xf3000eff,
    0x004fb80d,0x2fd809f7,0x43fe8800,0xfc8004fd,0x80037dc5,0x01efdff9,
    0x001fb800,0x00077e40,0x013fa200,0x7effcc00,0xff30001e,0x005ff507,
    0x0003bf20,0x77effcc0,0x7fec4001,0x00dffede,0xfd809f70,0x1df90002,
    0x7f440000,0x26000004,0xfc8002ff,0x027ecc1d,0xf90dfd88,0xfb80003d,
    0xfb00001e,0x3a60001b,0x003bf64f,0x3a67ff30,0x17fd404f,0xe80077e4,
    0x03ff303f,0x540bfe20,0xfe8000ff,0x40027ec3,0x077dc5fc,0xa8ffdc00,
    0x5c0003ff,0xfb80001f,0xf300001e,0x2e00005f,0x07ff51ff,0x437fa200,
    0x40001efc,0x40001efb,0x7ff51ffb,0x213fe200,0x8800efc8,0x1ff502ff,
    0x0f7dc000,0x17fcc000,0xff500000,0x1df30003,0x2600fec0,0x2ffa84fe,
    0x0ffd4000,0x09fd1000,0x3bbf6000,0xffb8004f,0x880efd81,0x17ea00ef,
    0x5efffc40,0x4003ffec,0xfcacfffa,0xfd8001ff,0x4002fe44,0x077d45fb,
    0x2077ec00,0x20005fe8,0x500001fb,0xa80003ff,0xb00001ff,0x5fe881df,
    0x3bbf2000,0x500000df,0x360003ff,0x2ff440ef,0x2a017ec0,0xfff5004f,
    0x03fff959,0x03ff5000,0x00ffd400,0x07be0000,0x2007ec00,0x17ec06f9,
    0x0001fd10,0x20006f98,0x400003fb,0x88002ffb,0x17ee00df,0x3f200bee,
    0xfff91001,0x20003dff,0xdfffffd9,0x44fa8000,0xdf0005f8,0x8000ee81,
    0x17ec04fb,0x001fb800,0x001be600,0x00003df0,0x5f9013ee,0x1ffd4000,
    0x37cc0000,0x2027dc00,0x13ea02fd,0x9800fec0,0x0dfffffd,0x1be60000,
    0x001ef800,0x00008000,0x7ec013e6,0x0c002201,0x00088000,0x80000040,
    0x00600019,0x802fc044,0xa98005f8,0x31000009,0x18000135,0x80c00030,
    0x00220000,0x3f70000c,0x00880000,0x00000c00,0x000c0062,0x00000c40,
    0x11000110,0x1f900600,0x000fe600,0x00013531,0x80002200,0x00000000,
    0x003fb000,0x000013ea,0x00000000,0x00000000,0x7c400000,0x003f6003,
    0x00000000,0x00000000,0x00000000,0xfeb88000,0x00000bde,0x00000000,
    0x00000000,0x00000000,0x36000000,0x002fc007,0x00000000,0x00000000,
    0xdd000200,0x0006f800,0x00100000,0x00000000,0x01000002,0xa800be60,
    0x0008002f,0x00001000,0x00000010,0x00000000,0xddfffb10,0x003f9fff,
    0x10000008,0x00000000,0x00001000,0x08000000,0x4007d800,0x0000004f,
    0x00000400,0x30000004,0x39bfffb9,0x74004f80,0x7f6dc407,0x0710bdef,
    0x3fff7260,0x5c4001cd,0x0bdeffed,0xfb750071,0x0007dfff,0xbdffffb5,
    0x02fa86a3,0x2ea027c0,0x03effffd,0x3ff72600,0x98001cdf,0x1cdfffdc,
    0x02666540,0x2133332a,0x02ccccc9,0x39999970,0x440cff98,0x2a02ffea,
    0x3effffdb,0xffb75000,0x2a007dff,0x65404ccc,0x2e004ccc,0x0cdeffed,
    0x02666540,0x0133332a,0x7fffedd4,0x01f5003e,0x9950be60,0xccca8099,
    0x3b6e004c,0x000cdeff,0xdeffedb8,0xf900000c,0xfffb9bff,0x0013e207,
    0x7ff540fb,0xbffeecce,0x7fe401fa,0x3fffdcdf,0x9dffd500,0xf57ffdd9,
    0x3ffff203,0x1ffedcce,0xcefff980,0x5edffedc,0xf9800fe2,0xdffff906,
    0x03ffdb99,0xcdfffc80,0x2003fffd,0xfdcdfffc,0x3ffe03ff,0x7fff407f,
    0xffffd87f,0xfff8807f,0x0ff44fff,0x320bfe20,0xdcceffff,0xf9001ffe,
    0xdb99dfff,0xfff803ff,0x7fff407f,0xffe9807f,0x2fffecce,0x01ffffe0,
    0x80fffffd,0xcceffffc,0x4401ffed,0xf0fb005f,0xfe80ffff,0xe9807fff,
    0xffecceff,0xffd3002f,0x5fffd99d,0x6ff44000,0x81dfd300,0x7e4003f9,
    0x201efc80,0x101fffea,0x3a601bfd,0x3bf200ef,0x3fffaa01,0x4037bb01,
    0x3e600ffa,0xff9100bf,0x3a004e8b,0x037bb07f,0x44007fd4,0xfd300dfe,
    0x6ff4401d,0x01dfd300,0x2601f666,0xdd307d99,0x4cc40033,0x017dc0df,
    0xbdd82fb8,0x003fea01,0xfa806f76,0x3eccc00f,0x03ecccc0,0xea80fff2,
    0x1f66605f,0x01f66660,0x7d4037bb,0x01fe400f,0x6ccc13f2,0x7d999807,
    0x501ffe40,0xffc80bfd,0x017faa03,0xb801ff40,0x0017d45f,0x0bf707ee,
    0xe80ffec0,0x0bf7003f,0xfd8017ee,0xfb80001f,0x400ff205,0x007e45fd,
    0x0003ffdc,0x7f402fdc,0x40bf7003,0xbf7003fe,0x6c007d80,0x0003f207,
    0x037c1fcc,0x70000320,0xb80000bf,0x00fb005f,0x3bea07d8,0x809f9000,
    0x03ec007d,0x00bf7000,0x2e635df9,0x07d803fe,0xdf503ec0,0x413f2001,
    0xf9000efa,0x03fc8009,0x5f51fe40,0x221fb800,0x1fe8006f,0x64003fc8,
    0x0037c43f,0x80000ff4,0x801ba07e,0x02fcc5f8,0x003ef3ea,0xf901fa00,
    0x83fc8007,0x7e4003fc,0xb001f603,0x880fd40f,0x883f5009,0x0000004f,
    0x00000fd0,0x01f600fd,0x3be20fb0,0x00fec000,0x07d800fb,0x803f4000,
    0xfffffffa,0x800fb002,0x01df107d,0x7c41fd80,0x0fec000e,0x0005f980,
    0x00bea1fd,0x0fec3f70,0x260fdc00,0x1fd0005f,0x5c000fec,0xf900001f,
    0x50007e40,0x701bf503,0x0003eebf,0x5f981f20,0x4c1fd000,0x1fd0005f,
    0xfb001f60,0xfd81fc40,0xf981f904,0x00000002,0x900000f9,0x001f600f,
    0x007f60fb,0x0fb037c0,0x00007d80,0x7ec403e4,0x05ffecef,0x7d800fb0,
    0x20003fb0,0x000fec6f,0x3f7006f8,0x54bea000,0x0fdc002f,0x0e2000bf,
    0x540007ee,0x40017e2f,0x32000038,0x007be607,0x2f3fee00,0x03f26ffc,
    0xb81f2000,0x5f50001f,0xa8000fdc,0x800fb02f,0x442fc07d,0x30dd07ff,
    0x0000005f,0x00001f20,0x03ec01f2,0x037c1f60,0x3601f900,0x003ec007,
    0xd101f200,0x03bee05f,0x7d800fb0,0x64000df0,0x8001be0f,0x07d800fc,
    0x7d53e200,0x98fdc002,0x6c00003f,0x53e20007,0x000003f9,0x77766544,
    0x5407dabc,0x09abceff,0x7ffed400,0x101f60ad,0x79ddd995,0x03ec0fb5,
    0x3ec9f100,0x209f1000,0x03ec007d,0x3f7ee1f6,0x4f884f82,0x65440000,
    0xdabceeec,0x332a2007,0x7dabceee,0xd800fb00,0x0003f887,0x03ec07e6,
    0x54401f60,0xabceeecc,0x03be207d,0x6c01df10,0x443ec007,0x3e60003f,
    0x40007f11,0x05e801f9,0x3f9b7400,0xfa87e400,0x2f400002,0x7d5ba000,
    0x91000002,0xffdfffff,0x9100ffff,0x9dfffffd,0x3e018001,0xffff9107,
    0xffffffdf,0x20002f40,0x00017a6e,0x001f60dd,0x40fb80fb,0x7cc5f8fd,
    0x0000dd02,0x3fffff22,0x07fffffe,0xfffffc88,0x07fffffe,0x7d800fb0,
    0xffffffa8,0xffffffff,0xfb03ffff,0x4407d800,0xfefffffc,0x2e07ffff,
    0x05f5001f,0x1f6003ec,0x3fffffea,0xffffffff,0xff53ffff,0xffffffff,
    0xffffffff,0x000bf007,0x00bf16e8,0x007ee7d8,0x000bf000,0x003f76e8,
    0x5dff3000,0x01faa203,0x3fb2ea60,0xf880002f,0x1aeff985,0x7c0fd510,
    0xf3740005,0x06e8000b,0x07d800fb,0x29f117cc,0xa80fdc7d,0x7cc0004f,
    0xd5101aef,0xaeff980f,0x00fd5101,0x0fb001f6,0x99999bf3,0x99999999,
    0x1f605999,0x7cc0fb00,0xd5101aef,0x2002f40f,0x001f605e,0x99bf30fb,
    0x99999999,0x25999999,0xcccccdf9,0xcccccccc,0x6e802ccc,0xdf2fc000,
    0x3ea6e800,0x37400002,0x7d57e000,0x7c400002,0x01f2002f,0x027ecc00,
    0xf10fea00,0x03e4005f,0x5f8000dd,0xbf0001ba,0xfb001f60,0x3ee4f880,
    0x03e45f51,0x3ee00ff6,0x800bfe22,0x0bfe207c,0xfb007c80,0xf887d800,
    0x36000004,0x883ec007,0x1f2002ff,0x32001fc4,0xb001f607,0x0009f10f,
    0x00027c40,0x000fc800,0x03f47f10,0x1fc4bf10,0x03f20000,0xf89fc400,
    0x7e400003,0x003e4001,0x0003f200,0x3f207fc4,0x903e4001,0x3e20001f,
    0x40003f23,0x00fb03f8,0x26e807d8,0x0bd2fc7d,0x10aefd88,0x641dfd73,
    0x03e4001f,0x7c8003f9,0xd800fb00,0x0000dd07,0x36003ec0,0x8003f907,
    0x007f307c,0x0fb00fb8,0x0dd07d80,0x006e8000,0x05f70000,0xfb8bee00,
    0xf87f7002,0x7dc00006,0x45f70002,0x7400006f,0x507c8006,0x07f10007,
    0x3a0ff600,0x207c8006,0xf70002fb,0x80017dc5,0x00fb02fb,0x17c807d8,
    0xf88fd89f,0xffff9004,0xdd07ffff,0x740f9000,0x007c8006,0x07d800fb,
    0x000003fb,0x0fb001f6,0x1f2001ba,0x3ec004f8,0x7d800fb0,0x00003fb0,
    0x00000fec,0x4000fe80,0x037c46f9,0x03fc87e8,0x1fd05100,0x646f9800,
    0x8510003f,0x3f44005f,0xf88007d8,0x05fa8004,0x7e8800bf,0x20007f40,
    0x00fe86f9,0xf9037cc0,0x01fe6001,0x507ea7ea,0x4005f35f,0x01bdfda8,
    0xfd10017e,0x22002fc0,0x01f9007e,0x7c41fe60,0xf9000006,0x41fe6001,
    0x3f44005f,0x7c400dd0,0x4003f205,0x0df107f9,0x037c4000,0x5f980000,
    0x203fa200,0x1fdc02fd,0x54000fe8,0x02fcc0ff,0xfd01fd10,0x0ffa8001,
    0x7d4003fa,0x005fd07f,0x64002fb8,0x01fd00ff,0x301ffea0,0x7f4400bf,
    0x2005f980,0x3ee00fe8,0x07ffb803,0xf07dbf98,0x70001f7b,0x01fd003f,
    0xe81ffea0,0xfff5000f,0x200fee00,0x3ea07ffb,0x20370005,0xffb803fb,
    0x2001fd07,0x3ea07ffa,0x403fb004,0xffb803fb,0x0017ea07,0x017ea0dc,
    0xf9000dc0,0x3fea803d,0x2a03ff10,0x0bfe606f,0x40fff620,0x75401efc,
    0x05ff303f,0xb87ffb10,0xeffd804f,0x007ffd07,0xe9801bee,0x13ee00df,
    0x01fbff60,0xd5007bf2,0x0f7e407f,0x300ffaa0,0xeffc80df,0x09fdf007,
    0x4001bbf2,0x4fb801fb,0x07effd80,0x3f6013ee,0xdf3007ef,0x07effc80,
    0xb800efec,0x0df303ff,0x707effc8,0xdffb009f,0x404fd80f,0x37cc04fc,
    0x01fbff20,0x2e003bfb,0x1dfd83ff,0x007ff700,0x31acffb8,0xa805ffb5,
    0xfda9acff,0x6ff5401e,0xfdba889b,0x7fdc01ef,0xffb531ac,0xbdfea805,
    0xffdba889,0x13bfd01e,0x19ffb731,0x3a19ddf9,0x31abdfef,0x441dfd73,
    0xfdca99ac,0x3bfd003f,0x9ffb7311,0x019ddf91,0x4c6b3fee,0xb802ffda,
    0xb531acff,0x3f2005ff,0xffdb98be,0x00defd8c,0x7d407ff6,0x3f70005f,
    0x2277fa00,0x8cffdb98,0x740ceefc,0xdb9889df,0xeefc8cff,0x2fbf200c,
    0x8cffdb98,0xf700defd,0x7311359f,0xc807fff9,0xfdb98bef,0x0defd8cf,
    0x4c44eff4,0xfc8cffdb,0x7ec40cee,0xfeb989be,0x17df9005,0xb19ffb73,
    0x3ee01bdf,0xb9889acf,0x2e03fffc,0x9889acff,0x003fffcb,0xfffffb10,
    0x26001bff,0x0efffffe,0x3ffff200,0x001dffff,0x3fffff62,0x32000dff,
    0xffffffff,0x7fe4401d,0x21efffff,0xb91ffffc,0x3fffffee,0x7c40bfff,
    0x1befffff,0x3fff2200,0x321effff,0x2201ffff,0xfffffffd,0x3f62000d,
    0x0dffffff,0x7fffe400,0x3ff62eff,0x01fee02f,0x2e0007ff,0xff91001f,
    0x43dfffff,0x441ffffc,0xfffffffc,0x3ffff21e,0x7fffe401,0x3ff62eff,
    0x3ff6202f,0xbeffffff,0xffff9000,0x7fec5dff,0x7ffe442f,0x321effff,
    0xf501ffff,0x05ffffff,0xfffffc80,0x3fff62ef,0x3fff6202,0x0befffff,
    0xffffd880,0x00beffff,0xbcb98800,0x95300009,0x26200015,0x0009acca,
    0x26f2e620,0x95310000,0x88001359,0x0009bcca,0xaccba980,0x0ddcc00a,
    0x66544000,0x2000009b,0x009bcb98,0x2f2e6200,0x2e600009,0x00000abc,
    0xd3000000,0xcca88001,0x4400009b,0x0009bcca,0x2af2e600,0x53100000,
    0x40003599,0x000abcb9,0x26f32a20,0x95300000,0x5cc00035,0x00000abc,
    0x03599531,0x6654c400,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00800000,0x00000110,0x20010180,0x000a0000,0x20000000,0x200003d8,
    0x0c9801d9,0xaa800000,0x002a82aa,0x02aaaa80,0x20010004,0x00001000,
    0x64c05510,0x00000bdd,0x00100018,0xaaaa9804,0xaaaaaaaa,0x16a002aa,
    0x01000400,0x003b3000,0x000a9880,0xaaaaaaa8,0x001aaaaa,0x98000026,
    0x04000001,0x401df100,0x300005fa,0xfb81f900,0x0017e403,0x00037f62,
    0x66ff6544,0xfe880001,0xff500003,0x01df5003,0x7fc40000,0x27fe46ff,
    0xffff3000,0xc804f80b,0x404fb807,0x400002fc,0xffb84ffe,0x0001efcb,
    0x0003ffa0,0x374c03df,0xffffffd8,0xffffffff,0x00df9006,0xe9807fe0,
    0x7fd40007,0xffb10001,0x7c005fff,0xffffffff,0xf9007fff,0xf700003d,
    0x36a25bff,0x24ccb83f,0x3efffdb8,0xc82ffb80,0x930001ff,0x839dfffd,
    0xdfe885fb,0x002ff440,0x07bf7fe6,0xbdfff500,0x40007fff,0x00003ff9,
    0x54003ff7,0x000001ff,0xfd1ba666,0x998000bf,0x07f405f9,0xb100df10,
    0x5fe881bf,0x3e005500,0x217d45ff,0x80000fc8,0x4003fffa,0xffb82ffa,
    0x3333fb01,0x33333333,0x1bfb00dd,0x0ffea000,0x8000bfea,0x30001ffb,
    0xff759dff,0x267be009,0x99999999,0x7eff4400,0xca80003f,0xceffeffd,
    0x9bfffcc0,0xfedceffe,0xa7fcc00d,0x0000dfd8,0xd97bfff7,0x03be67ff,
    0xff51efc8,0x1ffb8007,0x2e007ff5,0x7ec41bef,0x2ffa8006,0x1df90000,
    0x05ff3000,0x8dd00000,0x00003fd9,0x1bf7017e,0x4009fb10,0x7ff51ffc,
    0x9803ec00,0xf027c1fc,0xff300009,0xfd30005f,0xb0077ec9,0x40df000f,
    0x80004fe8,0xdf90dfe8,0x77e40003,0x3ff10000,0xf005fb10,0x3e60000b,
    0x00bfd13f,0xfffda880,0x7f4c403f,0xfc80aefa,0xeefd8805,0xfb10004f,
    0x3bfa601b,0xffa800fe,0x6c001efd,0x2ff440ef,0x2e01bee0,0x3fee004f,
    0xbfb00001,0x7f4c0001,0x74000003,0x4000fa86,0xfeeeeeed,0xffb05eef,
    0x0bffb77b,0xffbff500,0x007d8003,0x403f11b2,0xb500006c,0xefd80007,
    0x04a804fe,0xe881fcc0,0x6400003f,0x000dfeef,0x00037f60,0x3e604fb8,
    0x0005f806,0xfd81ffb8,0x7f5c000e,0x1ff99cef,0x00effd80,0xfb8017ec,
    0x3fa0002f,0x05ff9004,0x006ff440,0xfb013ee0,0x8007fc05,0x1df001fd,
    0x13ea0000,0x0ff44000,0x8dd00000,0x6c4004f8,0xffffffff,0xff700eff,
    0x0007ffff,0x0006ff44,0x2fb803ec,0x01e603cc,0x20000000,0x00002ffb,
    0x7e407f20,0xf5000002,0xfa80007f,0x0fc80004,0x3e007f40,0x77c40005,
    0x8017ee00,0xe881cefa,0x077ec01f,0x3002fd40,0x1fdc0001,0x007ff900,
    0x02200050,0x05f500c0,0x0801fcc0,0x00080000,0x00002800,0x03b23740,
    0x00bf0000,0x0001a988,0x7d8000a0,0x3f105b00,0x00003640,0x01980000,
    0x03740000,0x80000011,0x01000019,0x201f6000,0x02fc01fb,0x08800c00,
    0x7c400400,0x2003ec06,0x0000006e,0x7d400df1,0x00000fed,0x5c000000,
    0x005f8005,0x00000000,0x00000000,0x40002374,0x0002fc00,0x00000000,
    0x740003ec,0x0009f105,0x00000040,0x9f100000,0x00000000,0x00000000,
    0x1f900fb0,0x00005f80,0x00000000,0x03ec07f5,0x00001f60,0x98017ec0,
    0x004fa8ef,0x02000004,0x37400000,0x00000400,0x00000000,0x0bdffdb8,
    0xc98001ba,0x7c0bdffe,0x00000005,0xccca8000,0xccccccfe,0x3e603ccc,
    0x001b660b,0xbdffdb70,0x00000019,0x00fdc000,0x00000000,0x40000000,
    0x037c407d,0x000002fc,0x54c40000,0x07ec1acc,0xbec007d8,0x5404ccca,
    0xf104cccc,0x87fa200b,0x3f6a00fe,0x351defff,0xdffdb700,0x0000019b,
    0x2665c9f1,0x79dffb71,0x99999700,0x99999999,0x99997107,0xd1000399,
    0x3ffd9bff,0x3e6001ba,0xfffdceff,0x971017e2,0x00399999,0x6666665c,
    0x3ccccccc,0x7ffffff4,0xffffffff,0x37fea01f,0x30000efe,0xfd99dffd,
    0xcb8805ff,0x001ccccc,0x220fd000,0x1ccccccb,0x3332e200,0xceda881c,
    0xccccb881,0x1ceda881,0xfa883ec0,0x265f801f,0x8801acca,0x1ccccccb,
    0x3ffee000,0xf32fffff,0xb001f607,0x01ffffef,0x20fffffd,0x7fb002f9,
    0xff981fa8,0xffedccef,0x3fa605ed,0xfffeccef,0x7dc00002,0x26ffff32,
    0xffdcdffe,0x7ffff405,0xffffffff,0xffffa86f,0x44002fff,0x8fe983fe,
    0x7fcc006e,0x3e7fd102,0x7fffcc05,0x3a002fff,0xffffffff,0x986fffff,
    0x9999fe99,0x80099999,0x2a02cca8,0x07ff906c,0xf502ff54,0x05ffffff,
    0x09f10000,0x3fffffea,0x3fee002f,0x7fdc2fff,0x7dc5ffef,0x7dc2ffff,
    0x205ffeff,0x7fff4c7d,0xff9df002,0x01dfffff,0x7fffffd4,0xfe98002f,
    0xeb988abe,0xfb06e8ef,0x2667d800,0xd999807d,0x7003f707,0x987f309f,
    0xf9100bff,0x0fff20bf,0x0005fea8,0xe988bf30,0xf902efaf,0x4ccff40b,
    0xe9999999,0x3333102f,0xfd8005f7,0x1bffa202,0x800df980,0x8805fcfb,
    0x02fb9999,0x26667fa0,0xfe999999,0x0003ec02,0x9ffb5000,0x001df503,
    0x998813f2,0x0002fb99,0x2202fa80,0x02fb9999,0x97d4cc40,0xb10aefe8,
    0xfa99887f,0x215dfd12,0x8fb03fd8,0x00dffffa,0x9bdffff8,0x202ffca8,
    0x2fb99998,0x027fc400,0x407e77dc,0x43ec007d,0x83ec007d,0x37cc00fc,
    0x1fe44f88,0xfa85fd80,0x09f9000e,0x01fe8800,0xc801dffb,0x200dd01f,
    0x7d4003fc,0x013e6002,0x4401bfe6,0x3f2000ef,0x5f30005f,0xc8037400,
    0x007d803f,0x3f6a2000,0x3be201cf,0x00fec000,0x00005f50,0xf5000fb0,
    0x57cc0005,0x02a04fe9,0x4fe9af98,0x83ec02a0,0x404ffc98,0x7f4c01cb,
    0x00bea000,0x4c003fb0,0x07d82fff,0x03ec3ec0,0x03ec1f60,0x5f803fe2,
    0xbf100374,0x4000ef88,0xd10001fd,0x077ec05f,0x0db04f80,0x50009f90,
    0x07ec005f,0x7006fd80,0xff88005f,0x05f30005,0x7e4036c0,0x000fb004,
    0xcffda880,0x003fb001,0xfa801be0,0x5f800002,0x002fa800,0x0bff7e60,
    0xffbf3000,0x03ec0005,0x0001fecc,0x2a005f98,0x13ee002f,0x20ffee00,
    0x43ec007d,0x83ec007d,0x00ff406e,0x001f917e,0x007f60d4,0x440037c0,
    0x07ec02fe,0x0a60dd00,0x2000bf70,0x17e002fa,0xb006f980,0x17ee000b,
    0x0017cc00,0x05fb8053,0x20001f60,0x01cefda8,0x20006f80,0x5f5000fc,
    0x2fa80000,0x002fa800,0x007ffe60,0x07ffe600,0x400fb000,0x900002fd,
    0x0bea003f,0x20006e80,0x007d83fe,0x003ec3ec,0x903ec1f6,0x989f007f,
    0x3e0001ef,0x03f20006,0x802fe880,0x03ec007d,0x0006fa80,0x7c400bea,
    0x01be2003,0xf980027c,0x05f30005,0x037d4000,0x88001f60,0x0001befd,
    0x98000fe2,0x05f5001f,0x00fc8000,0x0002fa80,0x00003be6,0x000077cc,
    0xff1003ec,0x5f300001,0x800bea00,0x3f20004f,0x6c007d84,0x6c007d87,
    0xf501f907,0x507f300b,0x13579dff,0x0003f880,0x744007e6,0x00fb002f,
    0xf98007d8,0x3ea0000e,0x005f5002,0x2f9806f8,0x00bf1000,0x0000be60,
    0x200077cc,0x0dc0007d,0x05bffb30,0x3fffffea,0xffffffff,0x5003ffff,
    0xf800005f,0x05f50005,0x0017cc00,0x0005f300,0xf7001f60,0x9f100003,
    0x400bea00,0x2a0003f9,0x4007d84f,0x4007d87d,0x983f507d,0x2fa800ef,
    0xffffd910,0xff5019df,0xffffffff,0xffffffff,0x05fd1007,0x36003ec0,
    0x07fc4007,0x00bea000,0x3a000fd4,0x001fa806,0x4c0017e0,0xf880002f,
    0x07d8000f,0x3bee0000,0xf984feab,0xcccccccd,0xcccccccc,0x05f5002c,
    0x01fcc000,0x0002fa80,0x80000be6,0xb00002f9,0x03f9800f,0x200bf000,
    0x5f5002fa,0xa9fcc000,0x03deffed,0x007d87d8,0x24f983ec,0xf9000fe8,
    0x32ea6001,0x6fcc2ffe,0xcccccccc,0xcccccccc,0x017fcc02,0xfb001f60,
    0x00ff4400,0x8017d400,0x37c003f9,0x8001fc40,0xf30005f8,0xfe880005,
    0x00fb0001,0x20be6000,0x027c42f9,0x5f500000,0x07e40000,0x002fa800,
    0x0000be60,0x00002f98,0x0bf000fb,0x009f1000,0x7c400bea,0x4bea0004,
    0x5ffffffc,0x07d87d80,0x1fd03ec0,0x7c400bf6,0x7ecc0006,0x00013e24,
    0x003ff300,0x7d800fb0,0x000bfa00,0x88017d40,0x1be6004f,0xa8002740,
    0x5f30005f,0x02fe8000,0x0001f600,0x0f9036c0,0x000000dd,0x000017d4,
    0x7d4000dd,0x0be60002,0x02f98000,0x000fb000,0xf30000dd,0x00bea007,
    0x360006f8,0xfb00000f,0x7d800fb0,0x13eefe60,0x0001fd80,0x03741f90,
    0x3ff30000,0x001f6000,0x0bf600fb,0x02fa8000,0xfb801be0,0x000d9006,
    0x4c0017f2,0x3f60002f,0x03ec0002,0x202f8000,0x00fec0f9,0x2fa80000,
    0x07f10000,0x0017d400,0x00005f30,0x800017cc,0x3e20087d,0x1fb80005,
    0x4005f500,0xff0000fd,0x43740000,0x03ec007d,0x98017ff6,0x8003a85f,
    0x007f63f8,0x07fea000,0x4007d800,0x03fc807d,0x0bea0008,0xf002fb80,
    0x13ea00df,0x00bff300,0x4000be60,0x400803fc,0xf000007d,0x220fc403,
    0x0000006f,0x200005f5,0x2a0001fb,0x3e60002f,0x3e600002,0x0fb00002,
    0x093ea07f,0x006f8800,0xf9800bea,0x03fa8004,0x90bf1000,0x1fe6001f,
    0x2003ff50,0x07d80ff9,0x3e24f880,0x7d400006,0x3ec0000e,0xf701f600,
    0x003f3009,0xf8800bea,0x06ffb806,0x44007f60,0x30005ffe,0x9f70005f,
    0x6403f300,0xe800000f,0x7d41ee04,0x00370005,0x40000bea,0x7d40006e,
    0x0be60002,0x02f98000,0xdf0fb000,0x1ee8bf60,0x800bf200,0x7e4002fa,
    0x01bea005,0xb83fa800,0x7ffb803f,0x0bfffa20,0x3a05ff50,0x17dc002f,
    0x5c0017ea,0x8003bee1,0x4007d819,0x017ea07d,0xfa8017d4,0x077dc002,
    0x006ebfb8,0x3a601fec,0x30005f8e,0x5fa8005f,0x5405f500,0x09b5005f,
    0x02f40f70,0x2e003bfb,0x5f5003ff,0x09f10000,0x002fa800,0x0000be60,
    0x00002f98,0x983fb0fb,0x027fd46f,0x50017f62,0xbfd0005f,0x003ff700,
    0x203fe600,0x7fe406f9,0x26bf607e,0xb989bdfe,0x3fa00efd,0x0df7003f,
    0x5c0077f6,0x01bf53ff,0x07d86d80,0x6f983ec0,0x400bea00,0xfb8002fa,
    0x4fda89be,0x2009ddfd,0xa989befd,0xddff0efd,0x017cc009,0x5400df30,
    0x5f7e402f,0xfff95331,0xa8bba005,0x7fdc00fd,0xcb9889ac,0x2a003fff,
    0xfb80002f,0x17d40001,0x005f3000,0x0017cc00,0x3bffdd90,0x754577cc,
    0xcefe881f,0xdffba99b,0x017d4000,0x56ffec40,0x1efeba88,0xffa88000,
    0x22fbf202,0xd8cffdb9,0x93ee0def,0xffffffc8,0xfefe804f,0xd7331abd,
    0x7fdc01df,0xcb9889ac,0x3bee3fff,0xeeeeeeee,0xb56feeee,0x207bdffd,
    0x0deffec8,0xdddddff1,0xfddddddd,0x777775c5,0xeeeeefee,0x3fea04ee,
    0x3fa4ffff,0xd7000eff,0x1bffffff,0x7077fffc,0xfddddddd,0x9ddddddd,
    0x77777fc4,0xeeeeeeee,0xfffb802f,0x0befffff,0x3bff6200,0xfb1000df,
    0xdfffffff,0xdddd7017,0xddddfddd,0x2e009ddd,0xdddd7006,0xddddfddd,
    0x66449ddd,0xeeeefdcc,0x9103deee,0xdddfb999,0x207bdddd,0x3fffffe8,
    0x0fffffdc,0x3ffff6e0,0x3ae02fff,0xefeeeeee,0x04eeeeee,0x7fffffd4,
    0xd50004ff,0x05fffddd,0xffffff90,0x97ffec5d,0x973106f9,0xbae40037,
    0xffffffff,0xfd8800bf,0xefffffff,0x7fffdc0b,0xffffffff,0xfff96fff,
    0x3a20bfff,0xf31fffff,0xffffffff,0x25ffffff,0xffffffe8,0xffffffff,
    0x5dcc00ef,0x51000001,0x3a000379,0xffffffff,0xefffffff,0xffffff30,
    0xffffffff,0x2ea2005f,0x80000abc,0x10001aa8,0x80359953,0xffffffe8,
    0xffffffff,0x200000ef,0xffffffe8,0xffffffff,0xffff50ef,0xffffffff,
    0x3fea0dff,0xffffffff,0x0006ffff,0x00159730,0x401acb98,0xffffffe8,
    0xffffffff,0xba8800ef,0x4c0001ac,0x00bceeee,0x02af2e60,0x0000c880,
    0x32ea6000,0x88000aac,0x001acca9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04400200,0x00006000,0x0aaaaa00,0x20000800,
    0x0002aaa9,0x00040000,0x00000000,0x200000cc,0x00000000,0x8806e400,
    0x1dc8004d,0x5c009b10,0x01b9101d,0x00099880,0x00009880,0x2a000350,
    0x00002aaa,0x6cc03720,0x2aa20004,0x0330000a,0x00260000,0x88006000,
    0x00088000,0x401df100,0xf30005fa,0x400000bf,0x005ffff9,0x33bffb26,
    0x21e665c2,0x0007ffff,0x22666540,0xaceffdb9,0xcfeda800,0x30000002,
    0x440003ff,0x1bdfffdc,0x20166664,0xdeffedb8,0x7d40710b,0x05ff904f,
    0xc82ffd40,0xff8802ff,0x009ff706,0xffffffb5,0x7e4c0019,0x5c3dffff,
    0x77ff5c01,0xff882a81,0x000006ff,0x3f609ff5,0xffb0002f,0x3f22005f,
    0x22deffff,0xfd93001b,0x00019fff,0x37fffb26,0x2e17601b,0x3fffb261,
    0x20000bdf,0xffc82ffb,0xfff90001,0x4c000003,0xf7005f99,0xbffd9bdf,
    0x83ffffa1,0x0007d998,0x73ffffc0,0xffb9bfff,0x2ff6207f,0x0006eb99,
    0x01ff9800,0x9dfff500,0x7fc9ffdb,0xfd500fff,0xffdd99df,0x3e203f57,
    0x03ff703f,0xb81ffc40,0xbff001ff,0xb80bfe60,0xcbbcdffe,0x6c402ffe,
    0xedcbdfff,0x6409f1ef,0x9dffcaff,0x33305fc8,0x200000dd,0xff903ff9,
    0x79f30001,0xfff9005f,0xbfffb79d,0xff9009f3,0x9fffb79d,0xdfffb800,
    0xd05fffdb,0x3ff29f0d,0xeffecbef,0x3fe60001,0x001bfb14,0x007ffdc0,
    0x05f80000,0xb8077f44,0x099ee8ef,0x00001f20,0x77edf666,0x107fd300,
    0x005f1017,0x1ff98000,0x02efd800,0x3df1bfb1,0x07bf2013,0x01fffea8,
    0x00130062,0x00980310,0x03300a20,0x2e00bff8,0xbfd101ff,0x7eff5403,
    0xf910f604,0x3a00bfff,0x22000006,0x80004c01,0x202fa8fe,0x300adfe8,
    0x440bfff7,0xfd300dfe,0x1bfb100b,0xf113f620,0x5bfddf09,0x07fd5101,
    0x7f7ec400,0xb700003f,0x40000005,0x01fe405f,0x8037774c,0x2000007c,
    0x9003fefc,0x05d8007f,0x7fcc0000,0x02fdc001,0x405fefa8,0x3f6005fb,
    0x0000001f,0x00000000,0x3005f800,0x00ffa0df,0x0004ffc8,0x65405973,
    0xccccffcc,0x00000ccc,0x7f700000,0x4fe80bea,0x417fa200,0xfb003ff8,
    0x004fe80b,0x40fe49fb,0xb1002fff,0xfc80007f,0x0000002f,0x2fc00000,
    0x4c00bf30,0x0f9006ff,0x7fe40000,0x017ec004,0x00003f88,0x4c001980,
    0x7fdc006f,0x001be205,0x000007fa,0x00000000,0x013e0000,0x27e42fc8,
    0x0027ec00,0x3ffee000,0xffffffff,0x0000001f,0x2a6f8800,0x00bf702f,
    0x3f20bf50,0x81fe4002,0x7e4003fb,0x5ff05fec,0x00fe8800,0x00005400,
    0x00000000,0x01fd02fc,0x9006fc80,0x6400000f,0x4f88006f,0x017f2a60,
    0x80000000,0xfe8000fd,0x0007f605,0x020007ee,0x00040000,0x1b800000,
    0xf88fe600,0x4f98000e,0x20000800,0x0000006e,0x7e400004,0x3e20bea1,
    0x09f0000f,0x3e000bf3,0x0037c40f,0x3e03ffe8,0x0bf30007,0x00000000,
    0x00200000,0x0027c0bf,0x7c8037cc,0xf9000040,0x41b20007,0x000fffd8,
    0x00001b50,0xa8002fc0,0x0017e05f,0x6dd401c4,0x003effff,0x3bffb6e0,
    0x665400cd,0x6665404c,0x9f00004c,0xf00017d4,0xffb93007,0x740039bf,
    0x20000206,0xcdfffdc9,0x22fcc001,0x02fa82fa,0x3f602600,0x87f70001,
    0xf50001fc,0x0003f80b,0x100007fa,0xedb88000,0x710bdeff,0x3ffb2600,
    0x982fc0bd,0x0df0003f,0xd9511f20,0x40019bff,0xf70001fc,0x17ed4401,
    0x01ffb100,0x0fe20000,0x982fcc00,0x9000003f,0xb99dffff,0x4c003ffd,
    0xfecceffe,0x3ffe02ff,0x7fff407f,0xf980007f,0x10001b63,0x9bfff900,
    0x2007fffb,0x3ff6e26e,0xfc8003ef,0xfffdcdff,0x503f6003,0x001f905f,
    0x004f9800,0x0bf137c0,0x0406e800,0x40fee000,0x36e24ccb,0x4003ceff,
    0xecceffea,0x01fabffe,0x373bffe6,0x417e2fff,0xdd0001fa,0xffa9f200,
    0x2fffdcdf,0x0001f900,0x3ec00be6,0x80dffa80,0xccccccb8,0x005f5001,
    0x2fa82fc0,0x7bb00000,0x007fd403,0xd501ffe4,0x3eccc0bf,0x03ecccc0,
    0x9f07e400,0x74400000,0xdfd300df,0xfd36e801,0x1bffb9bf,0x01bfd100,
    0x5003bfa6,0xd05f509f,0xf500000d,0x1fc80003,0xb80005f3,0x2000000f,
    0xfff985f9,0xb9bffd37,0x3f200bff,0x3ffaa01e,0x05ff301f,0x82fcffa2,
    0xdf0002fa,0x77d5f200,0x009ff501,0x2a0001f9,0x03f3002f,0x5017fec4,
    0x5fffffff,0x000fe600,0x1fb82fc4,0x80000000,0x77d405fb,0x809f9000,
    0x03ec007d,0xf997ea00,0x3a000003,0x0bf7003f,0x01efbee8,0x7fd00bf9,
    0xd017ee00,0x885f501f,0xc800004f,0x7d40000f,0x80003f73,0x000001f9,
    0xfe98837c,0xbf902efa,0x2005fb80,0xdf981ffd,0x5fcfb800,0x10009f10,
    0x33f200df,0x3fd8804f,0x80017e40,0x3f7000fc,0x0033fee0,0x3ee66662,
    0x009f1002,0x7d417e60,0x00000002,0x77c40fd0,0x00fec000,0x07d800fb,
    0x43dfb100,0x000001fa,0xfc8007f9,0x017ffa03,0x3fc80bf6,0xb81fe400,
    0xa85f502f,0xd800002f,0x4f980007,0x880001f9,0x4cccc43f,0x99999999,
    0xd9999999,0x077fec07,0x7c407f20,0x41fe8006,0x32000ef8,0x01be05ff,
    0x6401bea0,0x7f4005ff,0x0013f200,0x220573f4,0x1efe885f,0x017d4000,
    0x32000dd0,0x007f105f,0x32000000,0x0007f607,0x00fb037c,0x644007d8,
    0x0fd40dff,0x2fcc0000,0xd00fe800,0x13ea00bf,0xe8002fcc,0x5037c40f,
    0x001fa85f,0x0006e800,0x00fb4f88,0xff917e00,0xffffffff,0xffffffff,
    0xefd80fff,0x3609f000,0x1fb8001f,0x220017dc,0x0ff205ff,0x006ff880,
    0x98001ff9,0x0bff205f,0x7d49f700,0x0dfdbbdf,0x26227fdc,0x017d4001,
    0x98009f70,0x01be05ff,0x64000000,0x8001be07,0x00fb00fc,0x3f6007d8,
    0x03f501df,0x03f70000,0x740bea00,0x41be000f,0xf50001fb,0x2a01fc85,
    0x000fd42f,0x0002fc00,0x000dd5f8,0x99f91be0,0x99999999,0x99999999,
    0x00fd80fd,0x02fc1ba0,0x05d83880,0xe80bf700,0xdffb000f,0x0013f200,
    0xfff903ec,0x41be6001,0x4c2cddca,0x7fe81efe,0x0017d400,0x744007f6,
    0x0ff205ff,0x22014400,0xbceeecca,0x07f107da,0xd80fcc00,0x003ec007,
    0x1fa803df,0x07d80000,0x7413e200,0xd836c006,0x93e20007,0x17d405f9,
    0x326007ea,0x2aaccccc,0x220001b6,0x0000fb4f,0x000f917e,0x1f603ec0,
    0x7f30fb00,0x04f80000,0x980bf300,0x3f6202ff,0x5f9006ea,0x407ee000,
    0x402ff9fc,0x90001ffb,0x2ff207ff,0x017d4007,0x500ffe20,0xe80bf5fd,
    0x7fd4000f,0xffffc880,0x7fffffef,0xffffff50,0xffffffff,0x3607ffff,
    0x003ec007,0x07f500bf,0x00bd0000,0x0dd06e80,0x0bd06d80,0x3f66e800,
    0x2617d400,0xfffe802f,0x92ffffff,0x7f50000f,0x300003ee,0x001fb89f,
    0x7d80dd00,0x7d43ec00,0x3e600002,0x0bf10002,0x337bfd30,0x1ba5ff95,
    0x8000fe40,0x22f902fa,0xba9abdfe,0x98001efe,0x5f300dfe,0x2fa800f7,
    0xcefe9800,0x1ffdb99a,0x2ff980bf,0x83ffd880,0x101aeff9,0x37e60fd5,
    0xcccccccc,0xcccccccc,0xd800fb02,0x2017a007,0x800004f8,0x3740005f,
    0x36c006e8,0x740005f8,0xf5007f56,0x3004f885,0x3bf33333,0x20000fdc,
    0x005f52fb,0x7cc3fa80,0x09f00002,0x3ec007d8,0x00000fdc,0x7c0003f5,
    0xfffb1005,0x3743bfff,0x0000fc80,0x89f207f3,0xfffffffc,0xffc88004,
    0x07baf403,0x00017d40,0xfffffff7,0x5402fc1b,0xa889bdfe,0x881effdb,
    0x1f2002ff,0x000027c4,0x7d800fb0,0x7c002600,0x6e800006,0xe82fc000,
    0xe836c006,0xcafc0006,0xeeeeeeef,0x23eefeee,0x2fc0005f,0xb0000bea,
    0x000fe61f,0x4f881f90,0x03f98000,0x1f6003ec,0x80000bea,0xf10003f8,
    0x3773000b,0x7e401ba0,0x03f50001,0x55d441f2,0xbff50001,0xf70fc801,
    0x002fa800,0x00aba980,0x7fe400bf,0x1dffffff,0x90007f20,0x0003740f,
    0xd800fb00,0xf9000007,0xfc800003,0x07f10000,0x0db001ba,0x440003f2,
    0xddddd73f,0xdfdddddd,0x0003ec9d,0x00df117e,0x3fa2fcc0,0x0df10000,
    0x900003fa,0x007d803f,0x01fc43ec,0x0013a000,0x00002fd4,0x7f9006e8,
    0x403f2000,0x2000007c,0xf9802ffd,0xf5001ee2,0x40000005,0x5cc4005f,
    0xe8009acf,0x207c8006,0x000001fd,0x07d800fb,0x0df10000,0x17dc0800,
    0xd02fb800,0x706d800d,0x3ee0005f,0x82fa8002,0x3e0004fb,0x0003fb85,
    0x04fa85fb,0x2a07f900,0x3e60005f,0x4007d805,0x000df07d,0x90006c80,
    0x200000bf,0x0bf9005f,0x7c81ba00,0x9f300000,0xf717a001,0x002fa800,
    0x017e0000,0x20007c40,0x3f44005f,0x0000df10,0x4c003f20,0x2000007f,
    0xf90004fb,0x4000fe81,0x01ba06f9,0x07f40db0,0x001be600,0x1fd817d4,
    0x3a0bf000,0x2fd4000f,0x4c001fd8,0x017e406f,0xd800ee80,0xc83ec007,
    0x8510003f,0x7cc004fa,0x8800005f,0x7ff9003f,0x202fc800,0x0000007c,
    0x7b81f900,0x0017d400,0x00bf0000,0x80077e20,0xff5000fe,0x005fa80f,
    0x0fee0370,0x401ffee0,0x36001cca,0x3f62003f,0x2005f984,0x1ba00fe8,
    0x7cc0db00,0x03fa2005,0x8817d400,0x5f8000ef,0x2001df30,0xdf100ffa,
    0x07fe6003,0x8800bfa0,0x0fb001fd,0x3fa07d80,0x07fd4000,0x744007f6,
    0x800005ff,0xff9002fc,0x17e6001f,0x00000f90,0xddff1000,0x003bfddd,
    0x00000bea,0x20005f80,0xf7000fba,0xfdffb009,0x003bfb00,0x7cc0ffee,
    0x3f7fe406,0x1ffffe40,0x801bfb00,0x3f204fe8,0x1ff5401e,0xdb001ba0,
    0x401efc80,0x20003fea,0x3fea02fa,0x817ea003,0x7d402ffb,0x17fd402f,
    0x400bfea0,0xfa804fe9,0x01f6003f,0x7fcc0fb0,0x3ffd8802,0xe9807fb0,
    0x00005f8e,0xf90037dc,0xfb805fd1,0x003e400f,0xaa800000,0x0afcaaaa,
    0x0005f500,0x002fc000,0x4005d026,0xb9889dfe,0xefc8cffd,0x9ff700ce,
    0xf9731135,0xefc807ff,0xcffdb98b,0xf00defd8,0x800bffff,0x989bcffd,
    0xb802ffdb,0xb531acff,0x0dd005ff,0xfb806d80,0xfb531acf,0xfa80005f,
    0x677ec402,0xfca9889a,0x7f4c03ff,0xfdb989bd,0xbfd3001f,0xffb73137,
    0x9df90005,0xdfb73115,0x007d8003,0x3faa03ec,0xdba889bd,0x7ec01eff,
    0xfda989be,0x09ddff0e,0x077e4c00,0x45ffbae0,0xb989adfe,0x7c800efe,
    0x00000000,0x2a003dc0,0x0000002f,0xbfd0017e,0xc8800fb9,0xefffffff,
    0x07ffff21,0xfffffd88,0x000befff,0xdffffff9,0x817ffec5,0x003ffffc,
    0xfffffea8,0x22000dff,0xfffffffd,0x3fb6a00d,0xdb502def,0x4407bdff,
    0xfffffffd,0xed98000d,0x402defee,0xfffffffb,0x22002eff,0xfffffffd,
    0x7ec4000c,0x0cffffff,0x3ffaa000,0x004fffff,0x37bffb6a,0xdffd9103,
    0x7ffe401b,0x01dfffff,0x3ffffae0,0x3ffe0dff,0x3bb200ef,0x0dfffeee,
    0x47fffe80,0xfffffffc,0x7ff76c03,0x000deeee,0xb9800000,0x7777641f,
    0xeeeefeee,0x20004eee,0xeffeeeed,0x7b95005e,0x32a20001,0x000009bc,
    0x06b32a62,0xabcb9800,0x66540000,0x5cc40001,0x440001bc,0x8009bcb9,
    0x5ffffffc,0xffffff90,0x7973100b,0x7dc00013,0x04ffffff,0x57995310,
    0xcb980001,0x980000ab,0x0000abcb,0x02b2ea20,0x3ffff200,0xffd105ff,
    0x98803fff,0x0009acca,0x006f2a20,0x77776400,0x00002cde,0x001bcb88,
    0xddddddd9,0x000001bd,0xffffe800,0x3fffffa2,0xffffffff,0x360006ff,
    0xeeeeeeee,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x73000000,0xaaaa8003,0x01540aaa,0x2aaaaaaa,
    0xaaaa8000,0x20000aaa,0x000cffd9,0xa8800080,0x4000003d,0x00003da8,
    0x0000d400,0x54001880,0x00000002,0x00000110,0x98000003,0x95019aaa,
    0xcca80999,0x180004cc,0xaaaa8000,0x00000aaa,0x004cd54c,0xeed80040,
    0xeeeeeeee,0xeeeeeeee,0x0aaaaa6e,0x00c00000,0x1ccccca8,0x66666540,
    0x00072a01,0x003ffd93,0x7fffffd4,0x413ff21f,0xfffffffa,0x7ffd4001,
    0x0001ffff,0x80fffffa,0x36e24ccb,0x5c03ceff,0x0004fefe,0x9fdfd700,
    0x2e000000,0x2a82effe,0x3fff6a00,0xd8911def,0x800004ff,0xca85edc8,
    0x001ceffe,0xfffedb98,0x80000bce,0xfffffffb,0xffff11ef,0xffffe80f,
    0x76dcc007,0x00bcefff,0x3ffffea0,0x700001ff,0xffffffff,0x3ff6a03d,
    0x4351deff,0x8a400004,0x0006ffff,0x00ffe800,0x37fffff4,0x3fffffe0,
    0x0bfffd05,0xeffffc98,0x4ccc001f,0x3fa1fb99,0x2666605f,0x98001fb9,
    0x01fb9999,0x3ffffe00,0x2ffff304,0xfdcdffe9,0x742aa05f,0x55000004,
    0x000013a1,0x3f2fff20,0x05fc89df,0xbcdffd88,0x1fbcffdc,0x00017ffa,
    0x89fffa60,0xfdbdfffe,0x3bee004f,0xfdca9abd,0x3fa0002f,0xdccaaabe,
    0x1fa6620d,0x01fa6660,0x9abdefb8,0x002ffdca,0x3ee66666,0xefe80001,
    0xedccaaab,0x677ffcc1,0x5edffedc,0x49000012,0x0006e998,0x27ffcc00,
    0x00cefd40,0x809fe998,0x01fffffa,0x2a37dff3,0xfa80001f,0x000bf661,
    0x200003f5,0x2e0001fa,0x2201efff,0x02efafe9,0x13a00bf9,0x27400000,
    0x1ec00000,0x17ffff22,0x88067f40,0x36a1fffc,0x4000002f,0x059fd37d,
    0xe9805fb1,0x1bf7002f,0x004fd800,0x36003ec0,0x02fe9807,0x0001bf70,
    0x900007ea,0xff30009f,0x3ff22017,0x90000125,0x00001ba0,0x005fff10,
    0xf50003f2,0x7fffdc07,0x2a02a02f,0xfa80001f,0x20007d41,0x500001fa,
    0x9880003f,0x3bff6001,0x400fe400,0x0000004e,0x0000009d,0x002cb980,
    0x3f2007f9,0x0003d41f,0x7fd7ec00,0x80ff4402,0x4c000dfa,0xff1001fe,
    0x00fb0000,0x6fd407d8,0x0ff4c000,0x000fd400,0x2000ff10,0xbfb003fc,
    0x12000024,0x00000374,0xf1001ed4,0x00fe8009,0x01ffffe2,0x0000fd40,
    0x09f10fd4,0x0003f500,0x00007ea0,0x03bf6000,0x274027c0,0x4e800000,
    0x00000000,0x4005f800,0x013e21fe,0x3ff60000,0x0bf1001f,0xd80007f1,
    0x007f3006,0xd800fb00,0x000fe207,0xf5000db0,0x1fcc0003,0x2006e800,
    0x000125f8,0x001ba090,0xd8000000,0x07f3000f,0x003bfb30,0x00007ea0,
    0x006c87ea,0x00003f50,0x000007ea,0x8003f600,0x004e806e,0x27404b80,
    0x00ec4000,0x3e600020,0xb0fe4003,0x2000000b,0x6c001efd,0x33265d87,
    0x2202cccc,0x02fa804f,0x4007d800,0x4c17607d,0x1a8ceffd,0xf50013e2,
    0x17d40003,0x000fc800,0x0000486a,0x0006e824,0x22000000,0x01fb004f,
    0x7d400000,0x1fa80001,0x1fa80002,0x03f50000,0xfb000000,0xe807d800,
    0x3fa60004,0x00027405,0xba807fee,0x03effffd,0x98005f50,0x00400045,
    0x8000fd80,0x883ee1fb,0xecaaacda,0xa803f504,0x7d80002f,0xfb83ec00,
    0x3261eb80,0x00fd42ee,0x40003f50,0xf30002fa,0x0120003d,0x1ba09000,
    0x00000008,0x4c00fd80,0x0000004f,0x40000fd4,0x500001fa,0x2a00003f,
    0x0000001f,0x3ec007d8,0xc8002740,0x04e803ff,0x03dfd300,0x33bffff2,
    0x401ffedc,0x400004f8,0x36e24ccb,0x2003ceff,0x3f50007d,0x81640fe2,
    0xcb8db02d,0x0002fdcc,0x3ec007d8,0x034c1fc4,0x00db05f3,0x97000fd4,
    0x999bfb99,0x20179999,0x9abceffa,0x00002400,0xb7137412,0x7007bdff,
    0x99999999,0x40799999,0x07ec04f8,0x2a000000,0xfa80001f,0x3f500001,
    0x07ea0000,0x02c80017,0xfb001f60,0xa8009d00,0x9d000dfe,0x07ff9000,
    0x2a01bdd8,0x07f400ff,0xfff98000,0xb9bffd37,0x1f600bff,0x7997d400,
    0x83440b20,0xffff10f9,0xb00005ff,0x987d800f,0x2c803d07,0xf5000f98,
    0x3ffe2003,0xffffffff,0x2201ffff,0xefffffec,0x0000480c,0xff36e824,
    0x09ffb9bf,0xffffffe8,0x6fffffff,0xf9807ec0,0x80000004,0xa80001fa,
    0xf500001f,0x3ea00003,0x8007ff51,0x01f6004f,0x09d00fb0,0x00bff620,
    0x74c009d0,0x400000ef,0x77cc05fb,0xd3100001,0x3205df5f,0x007d805f,
    0x81ae5f30,0x220d102c,0x2e66621f,0x7d80002f,0x35c3ec00,0xf1000344,
    0x007ea003,0xbfb99988,0x09999999,0x765d4c00,0x000242ff,0x7df74120,
    0x05fc882e,0x266667fa,0x2fe99999,0xfd827cc0,0x80000000,0xa80001fa,
    0xf500001f,0x4000ed43,0x02ffebfa,0x36004f80,0x403ec007,0xdffa804e,
    0x804e8000,0x0003ffc8,0x2a01fa00,0x0009bdff,0x0077fec0,0x0fb007f2,
    0x2e4be600,0x81320590,0x00bea03f,0xb001f600,0x0950b90f,0x5003f800,
    0x7d40003f,0x98000002,0x000124fd,0x17ffa090,0x37407f20,0xb003fc80,
    0x004f981f,0x00266662,0x0000fd40,0x80000fd4,0x1fff51fa,0x3fffa800,
    0x04fd9800,0xfb001f60,0x9df99970,0x7fec4599,0x2e017532,0xcccefccc,
    0x106ffd42,0x64000033,0x3ffae007,0x4001bdef,0x9f000efd,0x30007d80,
    0x2c80fa5f,0xd8033ae6,0x000bea04,0xfb001f60,0x009507d0,0xf5004d80,
    0x17d40003,0xf9000000,0x90000121,0x44017fa0,0x900db03f,0x27cc009f,
    0x7c4003f6,0x0000ffff,0x500003f5,0x2a00003f,0x05fff91f,0x006ffe40,
    0x077ff660,0x6c007d80,0xccccca87,0x9ff71ccc,0xbfbdfb11,0xccccca85,
    0xffb11ccc,0x001ffd05,0x2001f200,0xefffdca8,0x001fb000,0x01f60374,
    0x02f97cc0,0x07ffbbb2,0x2fa81720,0x00fd8000,0x05f0ff30,0x5c800095,
    0x0003f500,0x540017d4,0x93f88003,0xd0480000,0x306e800d,0x005fb805,
    0x09f30fd8,0x1ffffd40,0x003f5000,0x0003f500,0x7fcc7ea0,0xffff5006,
    0xcffc8003,0x007d8000,0xd88003ec,0x503b61ef,0xff50003f,0x1f7f701b,
    0xeecca880,0x007dabce,0x03ff7300,0x7d800fb0,0x98003ec0,0x16409b2f,
    0x07d00bb1,0x400017d4,0xffb803fd,0x05984d87,0xa801f400,0x3ea0001f,
    0x007d8002,0x00094f88,0x00dd0480,0xf50006e8,0x53e6000d,0x3f2000fd,
    0x540006ff,0xfa80001f,0x3f500001,0xffe88018,0x36001faa,0x360000ef,
    0x003ec007,0x3ea27fdc,0x4400bb01,0x7f302ffd,0x3f2201f5,0xfffeffff,
    0x400007ff,0x3ec01fe9,0xfb01f600,0x64be6000,0x16e0b205,0x17d405f0,
    0x037ec000,0x321fbff2,0xf8000d05,0x003f5002,0x40017d40,0x7dc002fe,
    0x48000092,0x6e800dd0,0x00ef9800,0x13e7f600,0x03ffff00,0x001fa800,
    0x0001fa80,0x70003f50,0x800fd49f,0xd80004f8,0x003ec007,0x1103dfd3,
    0x5c007dc0,0x57a00cff,0xeff980fa,0x0fd5101a,0x07f10000,0x3ec007d8,
    0x4c001f60,0x1640f52f,0x01f303c8,0x400017d4,0xb98beffd,0xefd8cffd,
    0x0f60f50d,0x003e6020,0x50000fd4,0xffd0005f,0x49bee007,0xe8240000,
    0x00374006,0x00003fe2,0x4001fff3,0x0004fff9,0x80001fa8,0x500001fa,
    0x2a00003f,0x03f7001f,0x3ffb6a00,0xfd9103de,0x7e401bdf,0x17a0003f,
    0x803dfd10,0x881f50fb,0x1f2002ff,0x03740000,0x0fb001f6,0xf50007d8,
    0x16407e23,0x07b80e88,0x400017d4,0xfffffcfd,0x3fff61ef,0x07603f12,
    0x03dc1ec4,0x40003f50,0xfe8002fa,0x331abdfe,0x0241dfd7,0x37412000,
    0x8801ba00,0xb00001fe,0xffc8009f,0xfa80000f,0x1fa80001,0x03f50000,
    0x007ea000,0xf9000374,0x20bfffff,0x1fffffe8,0x000efe88,0xfb803f60,
    0x23f9804f,0x00fe40fa,0x0f441f20,0x200fc800,0x03ec007d,0x7d4001f6,
    0x01641b61,0x403f88b5,0xd80002fa,0x01379737,0x9d106d80,0x2213aa21,
    0x07ea003f,0x002fa800,0xffff75c8,0x817fffff,0x82400004,0x0374006e,
    0x00005fd0,0x3a0007e4,0x500003ff,0xf500003f,0x3ea00003,0x3f500001,
    0x0001ba00,0xf9000000,0x0ed80007,0xe800f7c0,0x1ba07d45,0x7cc1f200,
    0x80fb0004,0x03ec007d,0x7dc001f6,0xeea93e20,0x23db03ee,0x02fa805e,
    0x0007d800,0x54413e20,0xbd00bdfd,0x001fa800,0x0000bea0,0x5567e54c,
    0x80000900,0xe800dd04,0x005fb006,0x002fc400,0x0001bfe2,0x80001fa8,
    0x500001fa,0x2a00003f,0x00fb001f,0x000002b8,0x3a200000,0x5c00000e,
    0x3e07d40f,0x83f44005,0xf88006f9,0x2003ec05,0x003ec07d,0x01fa87d8,
    0x4007dc00,0xd80002fa,0x7d400007,0x07dc0001,0x0007ea00,0x00002fa8,
    0x024007c4,0x37412000,0x3201ba00,0x2000803f,0x7dc001fc,0x2a00001f,
    0xfa80001f,0x3f500001,0x07ea0000,0xf0027dc0,0x0e75400b,0x26000000,
    0xf000005f,0xdfdddddf,0xa8007f45,0x9ff307ff,0x402fd800,0x03ec007d,
    0x3e2001f6,0x0005f905,0x7d400ff2,0x07d80002,0x02fc8000,0x0007f900,
    0x540003f5,0x4400002f,0x002401df,0x03741200,0x9f701ba0,0x1003f300,
    0x9f9000bf,0x1fa80000,0x01fa8000,0x003f5000,0x8007ea00,0x0bf002fe,
    0x000fca80,0x07f70000,0x55540000,0x20bfcaaa,0xffd804fb,0x9fff307e,
    0x05fc8801,0x3ec007d8,0x2e001f60,0x037ee02f,0x0017f4c0,0xb00005f5,
    0x2e00000f,0xfd3000df,0x07ea0005,0x002fa800,0x00fba800,0x09000012,
    0x0dd001ba,0xfa802fd4,0x001fc802,0x50000030,0xf500003f,0x3ea00003,
    0x3f500001,0x067fcc00,0x002ffe4c,0x000002e8,0x00002fc8,0xd01f5000,
    0xb73113bf,0xddf919ff,0x3f2fe619,0xf75319bf,0x01f600bf,0xf9910fb0,
    0x5ec4199f,0x805fd98a,0x4c1acfe9,0x4000dfca,0xd80002fa,0x26000007,
    0x54c1acfe,0x20000dfc,0x2a0001fa,0x1300002f,0x001202e8,0x01ba0900,
    0x1be60dd0,0x4402fa80,0x0000005f,0xeeeeec88,0xeeeeeefe,0x77777644,
    0xeeeeefee,0x777643ee,0xeeefeeee,0x7643eeee,0xefeeeeee,0x83eeeeee,
    0xfeefffe9,0xf3003eff,0x0000fb7b,0x3335fd00,0x0001f533,0x207ee600,
    0xffffffc8,0x3fff21ef,0x3a63d11f,0xefffffff,0x7ff6d402,0xfd9103de,
    0x3fa21bdf,0x7ec1ffff,0x000dffff,0x3fbfffae,0xd9802dff,0xeeefeeee,
    0x3ec001de,0x75c00000,0xdfffefff,0xdddd9002,0xddddfddd,0x76cc7ddd,
    0xeeeefeee,0xd002deee,0x480fb9bf,0xb5240000,0x205bdffd,0x2deffeda,
    0xdddddff1,0xfddddddd,0x3bbbbae5,0x005eeefe,0xfff30000,0xffffffff,
    0x3a21dfff,0xffffffff,0x6fffffff,0x3fffffa2,0xffffffff,0x3ffa26ff,
    0xffffffff,0x206fffff,0x1cdefdca,0x0bdc9800,0xff800000,0xffffffff,
    0xfd800000,0x95103fff,0x00001379,0x06af2ea2,0x7ffffe40,0xfffd105f,
    0x260003ff,0x40001bcb,0x4000aba9,0xfffffffa,0x4002ffff,0x0000003a,
    0x00055d4c,0x3fffffa2,0xffffffff,0x3ffea6ff,0xffffffff,0x2a005fff,
    0x66c00bdc,0xcccccccc,0xcccccccc,0x3fff26cc,0xff904fff,0x3e6bffff,
    0xffffffff,0x72ffffff,0xdddddddd,0x00000bdd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0001a800,0x000aaaa6,0x3332e200,0x0bcccccc,
    0xccccb880,0x00bccccc,0x03999971,0x8039db51,0xccccccc9,0x50002ccc,
    0x44000003,0xddb5000a,0xa819dddd,0xeeeeeeed,0x3a6001de,0x00350000,
    0x00010000,0xcccccb88,0x000bcccc,0x000000aa,0x5b700002,0x00037220,
    0x10000055,0xddddddd9,0x449ddddd,0x4eeeeeec,0xdddddd90,0x1eeeeb89,
    0x77774400,0x77777644,0xeec884ee,0x76dc2dee,0xeec804ee,0x910ceeee,
    0xdddddddd,0x809ddddd,0x80dfffc8,0x3fffe01b,0xfb800007,0xffffffff,
    0xffa802ff,0xffffffff,0xffff703f,0xefffb85f,0x3ff605ff,0xffffffff,
    0x3fae000f,0x002a82ef,0x2effffb8,0x7ffffe40,0x7fe41fff,0xffffffff,
    0x007ea003,0x03dffd70,0xdb700055,0x0019bdff,0xffffffb8,0x002fffff,
    0x500001f6,0x7dffffb7,0x06ff8800,0xd8009ff5,0xf9800007,0xffffffff,
    0xf10effff,0x1dffffff,0xfffffe88,0x3fffa0ef,0x7fe4005f,0xffd10eff,
    0x81dfffff,0x5ffffff8,0x0ffffff4,0xfffffd10,0x3ffe63ff,0xffffffff,
    0x3a00efff,0x8cffdaef,0x26203fe9,0x000007d9,0x33333331,0x4c400133,
    0x99999999,0x7d4cc400,0x215dfd12,0x26603fd8,0x99999999,0x2fff2000,
    0xfc89dffc,0x6ffec005,0x2004fecb,0x0fb0004f,0x000fd400,0xbff95df9,
    0x400bf913,0xecceffe9,0x44002fff,0x99999999,0x03ec0009,0xffffc800,
    0x1ffedcce,0x4c17fa00,0x3ec003ff,0x64000000,0x00fb000f,0xbbf013e0,
    0x66fc001f,0x2007d807,0xfc804fe8,0x02f4006f,0x20007ea0,0x7ff4c2d8,
    0x1f6003ff,0x00000000,0x30000000,0x409fd35f,0x0000000a,0x3ff221ec,
    0x7dc005ff,0x01fec41d,0xfb0004f8,0x00fd4000,0xffc887b0,0x3f2005ff,
    0x17faa03f,0x20000000,0xbb00007d,0x07fd4037,0x0c402880,0x0003ec00,
    0x007e4000,0x9f0007d8,0x03f9df80,0x00f95f50,0x3fa200fb,0x5f9f9003,
    0x2002f400,0x800001fa,0x6c001bca,0x00000007,0x00000000,0x017fefcc,
    0x00000000,0x000b2e60,0x26401ff1,0xb0004f80,0x0fd4000f,0x2cb98000,
    0x003bea00,0x000027e4,0x001f6000,0x17ee0000,0x20000000,0x0000007d,
    0xfb000fc8,0xf013e000,0xb7401fab,0x807d807c,0x32002fe9,0xd000fe8f,
    0x01fa800b,0x40000000,0x0000007d,0x02000002,0x3fff3000,0x00200000,
    0x40000000,0x200004fa,0x0fb0004f,0x000fd400,0xdf100000,0x01fd8001,
    0x36000000,0x00000007,0x000000fd,0x0000fb00,0x001f9000,0x27c001f6,
    0x017d57e0,0x403e4fe6,0x0ffcc07d,0x27d5f200,0x54005e80,0x0000001f,
    0x0003ec00,0xfffb9300,0xb700039b,0x019bdffd,0x000ef980,0xfffb7500,
    0x800007df,0x07ee0000,0x004f8000,0x54000fb0,0x0000001f,0x40007f60,
    0x2666546f,0x133332a0,0x67f66654,0xcccccccc,0x3e400003,0x54000000,
    0xcccfeccc,0x03cccccc,0x003f2000,0x4f8003ec,0x80dd2fc0,0xb00f90fd,
    0x00f7d40f,0x03fb3e40,0xfa800bd0,0x99995001,0x4cccca80,0x00007d80,
    0xb9bfff90,0x26007fff,0xfecceffe,0x3e6002ff,0xffc80002,0xfedcceff,
    0x2665c01f,0x79dffb71,0x001fb800,0x40013e00,0x3ea0007d,0x665c4001,
    0x2001cccc,0x3f20006f,0x01ffffe0,0x20fffffd,0xfffffffe,0xffffffff,
    0x1f200001,0x66665c40,0x3fa001cc,0xffffffff,0x01ffffff,0x001f9000,
    0x27c001f6,0x01fb97e0,0x403e49f1,0x01df707d,0x5f89f200,0x54005e80,
    0xffff001f,0xffffe80f,0x9307d807,0x40399999,0xd300dfe8,0x7fe401df,
    0x017faa03,0x400017cc,0x3ea01bdd,0xffff300f,0x3737ffa6,0x3e6005ff,
    0x13e00002,0x0003ec00,0xf98003f5,0x02ffffff,0x40007f10,0x3eccc1f9,
    0x03ecccc0,0x333fd333,0x01333333,0x3bb32a20,0x007dabce,0xfffffff5,
    0xe9998005,0x9999999f,0x20000099,0x0fb000fc,0xbf013e00,0x1fc82fc4,
    0x21f601f2,0x20000dfc,0x2017e47c,0x0fd4005e,0x00fb3300,0xb00fb333,
    0x3ffff20f,0x0ffa06ff,0xfa82fdc0,0x09f9000e,0x00005f30,0x205fb800,
    0x2efafe98,0x7c00bf90,0x13e00005,0x5303ec00,0xf9555555,0x55555559,
    0x73333101,0x3fea005f,0xffffffff,0xffffffff,0xd800fb03,0x000fb007,
    0x3ffff220,0x7fffffef,0x26666200,0x360002fb,0x80000007,0x0fb000fc,
    0xbf013e00,0x45f80fc8,0x6c7d807c,0x7c80005f,0x02f406e8,0x20007ea0,
    0x03ec007d,0x7ff503ec,0x01fe4033,0xdf10ff20,0x01fd8001,0x000017cc,
    0x6c03f400,0x7e400eff,0x000fb001,0xd80027c0,0x3ffffe07,0xffffffff,
    0x006fffff,0x3e6005f3,0xcccccccd,0xcccccccc,0x800fb02c,0x00fb007d,
    0x35dff300,0x001faa20,0x40005f50,0x0000007d,0xfb000fc8,0xf013e000,
    0x7dc4f88b,0xbec03e42,0x0001ffd8,0x04fa87c8,0x3f50017a,0x800fb000,
    0x507d807d,0xbf3003ff,0xd83fa000,0x0df0001f,0x00002f98,0xd807c800,
    0x09f000ef,0x2bf26662,0xf0000999,0x81f60009,0xaaaaaaa8,0xaaaaacfc,
    0x5f3000aa,0x0013e200,0x4007d800,0x00fb007d,0x002ff880,0xf50001f2,
    0x03ec0005,0x7e400000,0x000fb000,0xb0bf013e,0x3e43741f,0x6ff47ec0,
    0x640004ff,0x3a01fb07,0x00fd4005,0x36003ec0,0xfb87d807,0x03f7000e,
    0x6f8bea00,0x803f2000,0x000002f9,0xfd807c80,0x2a1ba000,0xffffffff,
    0xf8003fff,0x00fb0004,0x0000fd40,0x3a002f98,0x36000006,0x803ec007,
    0x7e40007d,0x003e4001,0x8000bea0,0x0000007d,0xfb000fc8,0xf013e000,
    0x3e67f30b,0xfd807c83,0x3df912fe,0x4c1f2000,0x800bd05f,0x7d8001fa,
    0x6c03ec00,0x0006fec7,0x7c4000fb,0x40007f14,0x0be601f9,0xcca88000,
    0x7dabceee,0x6c007d80,0xccccb887,0x00bcccef,0xb0004f80,0x0fd4000f,
    0x02f98000,0x00007f60,0x36003ec0,0xfffffa87,0xffffffff,0x40037401,
    0x7d40007c,0x01f60002,0xc8002880,0x00fb000f,0x0bf013e0,0x6407edba,
    0x82ffd807,0xc8000efa,0x3a0bf207,0x00fd4005,0x36003ec0,0xfd17d807,
    0x00bd0009,0xfff56e80,0xffffffff,0x7fffffff,0x00017cc0,0x7ffffe44,
    0x07fffffe,0x3ec007d8,0x0000dd00,0x3ec0013e,0x003f5000,0x800be600,
    0x000006f8,0x87d800fb,0xeffeeed8,0x00ceeeee,0x3a2002fc,0x17d40007,
    0x000fb000,0x320007dc,0x00fb000f,0x0bf013e0,0x6413efea,0x201fd807,
    0x7c8005f9,0x17a1be20,0x0003f500,0x07d800fb,0x03fe9fd8,0x8000bf00,
    0x999bf36e,0x99999999,0x40599999,0x4c0002f9,0x5101aeff,0x00fb00fd,
    0x1b6007d8,0x0027c000,0x2a0007d8,0xf300001f,0x05fa8005,0x1f603700,
    0x3600fb00,0x07f40007,0x007ffa80,0x00017d40,0x7dc000fb,0x007e4000,
    0x9f0007d8,0x3fe05f80,0xb00f901f,0x005f900f,0x1fdc07c8,0x3f50017a,
    0x800fb000,0xfffd807d,0x6e8000ef,0xf8afc000,0x32200004,0xeeefdccc,
    0x203deeee,0x32002ff8,0x4007d807,0x01ba007d,0x1f427c00,0xa8001f60,
    0xf300001f,0x3bfb0005,0x40ffee00,0x03ec007d,0x5c0007d8,0xeffd804f,
    0x17d40007,0x000fb000,0x320007dc,0x00f9000f,0x5f809f10,0x7c813ae0,
    0xfd007d80,0x403e4001,0x0017a0fe,0xfb0003f5,0xd807d800,0x00efa9ef,
    0x80007e40,0x001ba3f8,0xfffffa80,0xffffffff,0x007f206f,0x0fb00f90,
    0x3e007d80,0x09f00005,0x007d80bf,0x00007ea0,0xb80017cc,0x9889acff,
    0x203fffcb,0x03ec007d,0xe80007d8,0xdb9889df,0xeefc8cff,0x17d4000c,
    0x000fb000,0x360007dc,0x003ea007,0x5f807f50,0x403e4000,0x07f5007d,
    0x7cc03e40,0xf50017a5,0x00fb0003,0x0fd807d8,0xb8003bea,0x5f70002f,
    0x00000fec,0x1ba00000,0x3601f200,0x803ec007,0xf00003f8,0x6e80bf09,
    0x007ea000,0x0017cc00,0xfffffb10,0x8017dfff,0x03ec007d,0x880007d8,
    0xfffffffc,0x3ffff21e,0x017d4001,0x4000fb00,0x37c000fb,0x8005f100,
    0x02fc01fc,0x3601f200,0x801fa007,0x23f9007c,0x0fd4005e,0x2003ec00,
    0xa87d807d,0x3fa000ef,0x237cc000,0x000006f8,0x02fc0000,0x3601fa20,
    0x803ec007,0xf00002fa,0x5f80bf09,0x007ea000,0x0017cc00,0x567fcc40,
    0x007e4001,0xfb007f98,0x65440000,0x0fe009bc,0x0017d400,0x5c000fb0,
    0x13ea000f,0xf800dd00,0x002fc00f,0x1f601f20,0x9002fb80,0x75be200f,
    0x00fd4005,0x98007e40,0x707d807f,0x2fcc00bf,0x501fd100,0x06e000bf,
    0x00033b20,0x3ea001fd,0x007d807f,0x07e803ec,0x84f81640,0x00fea06f,
    0x0000e980,0x00005f30,0xb80003a6,0x7ffb803f,0x0005f900,0x01aa0000,
    0x0002fa80,0x5c000bf2,0xfe8800df,0x01fdc000,0x5f803fd8,0x403e4000,
    0x1be2007d,0xf7003e40,0xfa800bd7,0x03fb8001,0xd807ffb8,0x8017ee07,
    0x75401efc,0x077f603f,0x801ffdc0,0x7dc005da,0x7effd804,0x6c007d80,
    0x003fa807,0x427c0fe2,0x00fd04fb,0x98000000,0x7b00002f,0x06f98000,
    0x803f7fe4,0x9b5006fa,0x01320000,0x0002fa80,0x6d401bea,0x8807bf25,
    0xf90002fe,0x005fd809,0x7c8000bf,0x64007d80,0x007c801f,0x2002fff4,
    0xf98001fa,0x3f7fe406,0x3ee03ec0,0x33fee005,0x5ffb531a,0x359ff700,
    0xfff97311,0x00f98007,0x444eff40,0xc8cffdb9,0x7d80ceef,0x2603ec00,
    0x87e4006e,0xeeffeeda,0x313bf90c,0x000007fd,0x02f98000,0x00099000,
    0x7317df90,0xdfb19ffb,0x9efc801b,0xfff95331,0x3e600005,0x2a001931,
    0x7e40002f,0xf95311ae,0xdffa87ff,0x4feca89b,0x577ec000,0x0dfeb989,
    0x3bffb620,0x76d403de,0x321deffe,0x4eeeffee,0x16f77cc0,0x3bbbffb2,
    0x17fe600c,0x3bbbbb22,0xeeeeeefe,0x45f7e404,0xd8cffdb9,0x0fb00def,
    0x4400bf70,0xfffffffd,0x3f62000d,0xefffffff,0xbceb800b,0xfc88005e,
    0x1effffff,0x547ffff2,0x03deffed,0x1bdffd91,0x777ffec4,0xeeeeeeee,
    0x3fff25fe,0x321fffff,0x803fffff,0xeeeeeeeb,0xeeeeeeee,0x3bbae3cd,
    0xeeefeeee,0x2004eeee,0x007dacf9,0xffffff90,0x17ffec5d,0x7ffffdc0,
    0x000befff,0x27ff5c00,0x3bbbbbae,0xeeeeeefe,0xfff7004e,0x17dfffff,
    0x3ffff620,0x00001eff,0xfffffff9,0xffff5007,0xfd80bfff,0x12ffffff,
    0xfffffffd,0xfffe801d,0x3ffffa24,0x7ec00eff,0xfffff985,0xffffffff,
    0x7fe400ef,0x362effff,0x3bae2fff,0x7fedc07f,0x98801dee,0x00009bcb,
    0x06b32a62,0x016e5400,0x2f32a200,0x7fe40009,0xd105ffff,0x543fffff,
    0xffffffff,0x2effffff,0xbca88000,0xffffd000,0xffffffff,0x74bfffff,
    0xffffffff,0xefffffff,0x2fb26000,0x32e60001,0x200000ab,0x00abcba8,
    0x10300000,0xfffffffd,0xffffffff,0x2ea2001d,0x98001acc,0x00001bcb,
    0x01379510,0x00000000,0x00000000,0x00000000,0x2af2e600,0x7fff4000,
    0x7ffff407,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7776654c,0xeeeeeeee,0x7776dc4e,0xeeec80ce,
    0x776dc3ee,0x76dc02de,0xdd912dee,0xbddddddd,0x3bb22003,0xdeeeeeee,
    0x764401ac,0xeeeeeeee,0xeec8001d,0xceeeeeee,0xeec8800a,0xdeeeeeee,
    0xddd91001,0x3bdddddd,0x6665c400,0x0bcccccc,0x77776dc0,0xeeeec80c,
    0xdddd903e,0x159ddddd,0xddddd100,0xdddddddd,0x2abddddd,0xeeeeeeed,
    0xeeeeeeee,0xddd10eee,0xdddddddd,0xbddddddd,0x777775c0,0xeeeeeeee,
    0x7644eeee,0x00ceeeee,0xbdddddb1,0xeeeeec87,0x2bceeeee,0x3bbb6a00,
    0x1bdeeeee,0x3bbbb200,0xeeeeeeee,0x644eeeee,0xeeeeeeee,0x800acdee,
    0x5404ccca,0x4c04cccc,0x7fecc01c,0xffffffff,0x45ffffff,0x0ffffffd,
    0x7fffff44,0x7ffffec6,0x7ffff404,0xfffff34f,0x07ffffff,0x3ffffe60,
    0xffffffff,0xfff300df,0xffffffff,0xffe88005,0xffffffff,0x3e602eff,
    0xffffffff,0xff3003ff,0xffffffff,0x416ecc7f,0xfffffffa,0x6c03ffff,
    0x80ffffff,0x86fffffe,0xffffffe8,0x2effffff,0x3ffffe20,0xffffffff,
    0xf77fffff,0xffffffff,0xffffffff,0x3ffe21ff,0xffffffff,0x7fffffff,
    0x3fffffa0,0xffffffff,0x3a25ffff,0x1fffffff,0xffffff30,0x7fff44df,
    0xffffffff,0xfc802eff,0xffffffff,0x200dffff,0xffffffe8,0xffffffff,
    0x3fa26fff,0xffffffff,0x00cfffff,0xd01ffffe,0x740fffff,0xff705fff,
    0x03f21379,0x01f60bf0,0x3fb80fb0,0x4017e400,0x200003f9,0x3f26205f,
    0x07f3002f,0x207c8000,0x004feca8,0x00000fe6,0xffe807f3,0x33333105,
    0x40013333,0x03ec007d,0x32a207c8,0x09f104fe,0x0fb00fdc,0xf90005f5,
    0xfb813e21,0x5c01f601,0xf801f91f,0x0001fa85,0x1b600fd4,0x009ff730,
    0xdb980fe6,0x0db001ef,0x3740dd00,0x03bf6620,0x403eccc4,0xf507d999,
    0xfb83ffff,0x801f901e,0x800fb05f,0x00fe807d,0x2600bf30,0x3e00003f,
    0x03fd3005,0x00007f30,0x3f6007c8,0x007f3006,0x403f9800,0x00004ffc,
    0xb001f600,0x801f200f,0x04f886fd,0x87d807ee,0xfc8002fa,0x7dc09f10,
    0x6c01f601,0xbf003f27,0x80005f50,0x036c00fb,0x9803fd88,0x3ff5003f,
    0xd000db00,0x5003740d,0x00fb00bf,0xfff707d8,0x06fdc5ff,0x5f801f90,
    0x7d800fb0,0xd005f980,0x0fe6001f,0x005f8000,0x3e601be2,0x3e400003,
    0x200bee00,0x400003f9,0x1fa803f9,0x36000000,0x803ec007,0x17dc007c,
    0x1fb813e2,0x0bea1f60,0x7c43f200,0xd807ee04,0x7e49f007,0x7cc2fc00,
    0x03e40003,0x3fa0036c,0x001fcc00,0x0db00df1,0x3740dd00,0xb00bee00,
    0x107d800f,0x221fffff,0x07e400ff,0x03ec17e0,0x7e401f60,0x0017dc02,
    0x400007f3,0x0fdc005f,0x0000fe60,0xfd000f90,0x003f9801,0x401fcc00,
    0x8000006c,0xcccfecb8,0xcccccccc,0x3201ccff,0x20fe8007,0x07ee04f8,
    0x02fa87d8,0x9f10fc80,0xfb00fdc0,0x7e45f300,0x7c42fc00,0xd806aa04,
    0x4006d806,0x1fcc02f9,0xb00fee00,0x40dd000d,0x27c4006e,0xfb001f60,
    0x70efecc0,0x01f9007f,0x00fb05f8,0x3fa007d8,0x800bf300,0x200003f9,
    0x17cc005f,0x0000fe60,0xf3000f90,0x003f9809,0x201fcc00,0x32e202fa,
    0x001ccccc,0xfffffff7,0xffffffff,0x6409ffff,0x24f98007,0x07ee04f8,
    0x02fa87d8,0x13e27b80,0x1f601fb8,0x0fc83f20,0x05f82fc0,0x2f40fff1,
    0x7c0036c0,0x001fcc04,0x0db007f4,0x3740bd00,0x3602fc00,0x003ec007,
    0x1f9006e8,0x0fb02c80,0x26007d80,0x001fd05f,0x00003f98,0x7f30017e,
    0x0083f980,0x4001f200,0x0fe600fd,0x07f30000,0x7fcc02b8,0x002fffff,
    0x2667fa62,0x99999999,0x3e4019fe,0xf10fd800,0xb00fdc09,0x0405f50f,
    0x7027c410,0x403ec03f,0x2007e46e,0x2e0dd02c,0x0bf01fdf,0xf9800db0,
    0x001fcc03,0x0db027cc,0x3a008804,0x01fd4006,0x0fb001f6,0x2009f100,
    0x800a20fc,0x03ec007d,0x7f70bf20,0x007f3000,0x2002fc00,0x1fcc01fb,
    0x20005fb1,0x3f50007c,0xeb81fcc0,0x01fcc003,0x99998800,0x7d8002fb,
    0xc803ec00,0x43f50007,0x807ee02e,0x702fa85b,0x7017400f,0x202dc03f,
    0x107e44f8,0xd83ec005,0x4f883f9f,0x64006d80,0x01fcc00f,0x1b605f80,
    0x6e8004e8,0x2007ec00,0x03ec007d,0xc801fcc0,0x4003ee0f,0x03ec007d,
    0x5f887f40,0x007f3000,0x2002fc00,0x73f9807e,0x20001bff,0x7f30007c,
    0x7d41fcc0,0x3e6001ff,0x26000003,0x07d8002f,0x7c803ec0,0x007f3000,
    0x54000fdc,0x001f902f,0x0007ee00,0x0fc85f50,0x3e4003ee,0xf10dd5f8,
    0x400db007,0x3f9805fb,0x6c0db000,0x20017e06,0x9fb1006e,0xd800fb00,
    0x02fa8007,0xf9335f90,0x267f6001,0x99999999,0xf98007e9,0x20001fd5,
    0x200003f9,0x9fb1005f,0xdfdbf300,0x99988003,0x999999fd,0xf3027c00,
    0x05fff707,0x0001fcc0,0x0005f300,0x333333fb,0x0fd33333,0x27f66662,
    0x40099999,0x07ee004f,0x266fea00,0x000fc999,0x0003f700,0x9afc87c8,
    0xf7000fc9,0x1f93f981,0x6d802f98,0x01efd880,0x90003f98,0x4ccfec0f,
    0x8005f999,0x999999ee,0x003fedb9,0x07d800fb,0x9000fc80,0x01ffffff,
    0x3fffff60,0xffffffff,0xfbf90007,0x1fcc0007,0x00bf0000,0x2a00bfd3,
    0xf0003fff,0xffffffff,0x5f80ffff,0x3a20fe60,0x1fcc005f,0x5f300000,
    0xffffb000,0xffffffff,0x3fffe0ff,0xffffffff,0x7002fc07,0xff50003f,
    0x1fffffff,0xcccca800,0xccccdfdc,0x90bf002c,0x01ffffff,0x3f907ea0,
    0x03f50bea,0x33333fb0,0x01bffd97,0x4000fe60,0xfffb00fc,0x00bfffff,
    0xffffffd0,0x00bfffff,0x1f6003ec,0x4003f200,0x0fecccfc,0x9999fb00,
    0xf9999999,0x9999300f,0x9999fffb,0x0fe60039,0xaaef8000,0xfffdbaaa,
    0xdffc8804,0x332e0000,0xcccccfec,0x302fc03c,0x4000407f,0x000003f9,
    0x36000be6,0xcccccccf,0x707fcccc,0x999fd999,0x5f807999,0x0007ee00,
    0x333337ea,0x26000fec,0xffffffff,0x0fffffff,0x7e41fcc0,0x000feccc,
    0x227e85f3,0x4007dc4f,0xfffffffd,0x4c001dff,0x1f90003f,0x33333f60,
    0xe8005fcc,0xcccccccf,0x803fffee,0x03ec007d,0xc800fdc0,0x4003ee0f,
    0x03ec007d,0x6e666654,0x1cccccdf,0x0007f300,0x7fffffc0,0x800cffff,
    0x003feffb,0x0003e400,0x01fcc09f,0x00fe6000,0x02f98000,0x6c007d80,
    0x000f9007,0x3f70027c,0x205f5000,0x4c4000fc,0x9afb9999,0xb8009999,
    0x2e0fc81f,0x47f3000f,0x323ec4f8,0x555fb007,0x007ff955,0x20007f30,
    0x40db00fc,0x06e8005f,0x9017faa0,0x1fe6001f,0xf30cec98,0x983f2005,
    0x001f6005,0x7d4000fb,0x1fcc0001,0x77c02e00,0x00999999,0xf35dfd30,
    0x200b8007,0x5f30007c,0x2001fcc0,0x00fe600b,0x3e600170,0x007d8002,
    0x07c803ec,0x4005f300,0xfa8001fb,0x0001f702,0x80007ee0,0xecccccfd,
    0x8801660f,0xf70bea4f,0x6d803ec3,0x0013fea0,0x360007f3,0x5f81b606,
    0x4006e800,0x3ee03fd8,0x07ffb803,0x22fffff1,0x01f9003f,0x2003ec00,
    0x3ea0007d,0x1fcc0001,0x3e07f100,0x7fc40005,0x8800fe63,0x001f203f,
    0x7f300fdc,0x301fc400,0x1fc4007f,0x8002f980,0x03ec007d,0xf70007c8,
    0x00fdc003,0x38817d40,0x07ee0000,0xfffff800,0x0000ffff,0x981fb2fc,
    0x6c01ba3f,0x027f4406,0x20007f30,0xa81b604f,0x006e8001,0x37cc0dd0,
    0x41fbff20,0xf2fffffb,0x003f200b,0x6c007d80,0x33333007,0x333337f7,
    0x001fcc00,0x017e07f1,0x7f302a00,0x901fc400,0x01f6000f,0x7c4007f3,
    0x800fe603,0x5f3003f8,0x800fb000,0x00f9007d,0xf7001f60,0x05f50003,
    0x3ee00000,0x05f50001,0xd00003f2,0x25f837cb,0x00db005f,0x7cc00ff6,
    0x02f98003,0x164001b6,0xf70006e8,0x45ffe401,0xd8cffdb9,0x3fea1def,
    0x03f91fff,0x39001f90,0x7d800fb0,0xfffffc80,0xffffffff,0x007f3003,
    0x05f81fc4,0x07f30000,0xf901fc40,0x3017e000,0x1fc4007f,0x44007f30,
    0x05f3003f,0xd800fb00,0x000f9007,0x3f70017e,0x005f5000,0x07ee0000,
    0xc807e400,0xb01d800f,0x7e40fe6d,0x1b6009f0,0x9801fe80,0x1fc8003f,
    0x7c001b60,0x2000dd05,0x7fe403f9,0x362effff,0x7ff42fff,0x201be26f,
    0x1fc400fc,0x1f6003ec,0x001fa800,0x1001fcc0,0x0017e07f,0x001fcc00,
    0x03e407f1,0x26017ec0,0x0fe2003f,0x22003f98,0x05f3003f,0xd800fb00,
    0x000f9007,0xfb8005fb,0x02fa8001,0x3f700000,0xc81ba000,0x81fc400f,
    0x2a03f77c,0xb003f8af,0x037cc00d,0x2a001fcc,0x0036c06f,0x00dd05f8,
    0x26007ee0,0xee80abcb,0x2e0b2a02,0x007e403f,0x01f613e2,0x54000fb0,
    0x7cc0001f,0x40fe2003,0x3000005f,0x1fc4007f,0xfc800f90,0x003f9805,
    0x3f980fe2,0x400fe200,0x7d8002f9,0xc803ec00,0x02fe4007,0x4000fdc0,
    0x000002fa,0x10003f70,0x007e407f,0x47dc13e2,0x273e207e,0x00db002f,
    0x7cc03fb8,0x07fe6003,0x3e000db0,0x2000dd05,0x2600007d,0x7f40000f,
    0x801f900d,0x007d84f8,0xf50003ec,0x3f980003,0x7c0fe200,0xf3000005,
    0x01fc4007,0x7fd400f9,0x003f9800,0x3f980fe2,0x400fe200,0x7d8002f9,
    0xc803ec00,0x03fea007,0x0007ee00,0x00000bea,0x4000fdc0,0x03f201fa,
    0x3ea09f10,0x57f405f9,0x00db001f,0x7cc01fd0,0x07fd1003,0x3e000db0,
    0x7000dd05,0x640000bf,0xdf900005,0x400fc815,0x007d84f8,0xf50003ec,
    0x3f980003,0x7c0fe200,0xf3000005,0x01fc4007,0xdfb100f9,0x00fe6001,
    0x3e603f88,0x00fe2003,0x6c0017cc,0x803ec007,0xefd8807c,0x03f70000,
    0x0005f500,0x007ee000,0x1f901f60,0xf304f880,0xdfb805f9,0x00db000f,
    0x7cc09f30,0x03ffb803,0x3e000db0,0x4c00dd05,0x400005fc,0x800040fa,
    0xfeeffffa,0xeeeeeeef,0xfdb54fee,0xd9019ddf,0x807bdffd,0xeefeeeec,
    0x3b2203de,0xeeeefeee,0xeeeeeeee,0xffdd913f,0x03bddddd,0x3bbbb220,
    0xeeeeeeef,0x83feeeee,0xeeeeffec,0x0dfffeee,0xfdddd910,0xdddddddd,
    0x227fdddd,0xeefeeeec,0xeeeeeeee,0x3bae3fee,0xeefeeeee,0x2a4eeeee,
    0x0ceeffed,0xdeffeec8,0xeeffec83,0xfffeeeee,0xddb7000d,0xbddddfdd,
    0xdfddb505,0x019ddddd,0x3bbb6e00,0x2deeeefe,0x3dffed98,0x3bbfbb6a,
    0xfeeeeeee,0x01fff104,0x200fff98,0xeeeffeec,0x3bdfb004,0x3bbbfb6a,
    0xfffeeeee,0x7ff76402,0xeeeeeeee,0x25feeeee,0xeeeffeec,0xffeeeeee,
    0xd000005f,0x0009fb9d,0x7ff6dd44,0xffffffff,0xfff94fff,0xe881ffff,
    0x05ffffff,0x7ffffff4,0x3e606fff,0xffffffff,0xffffffff,0xffff33ff,
    0x7fffffff,0x3fffe600,0xffffffff,0x3fffffff,0x7fffff44,0x1cefffff,
    0x7ffffcc0,0xffffffff,0x33ffffff,0xffffffff,0xffffffff,0x7ff47fff,
    0xffffffff,0x90efffff,0x1fffffff,0xffffffd0,0xffffe88b,0xceffffff,
    0x7ffec001,0xffffffff,0xfffffb84,0x00efffff,0xfffffb00,0x09ffffff,
    0x4bfffff5,0xfffffffc,0x4fffffff,0x200dff10,0x3fa207ff,0x0effffff,
    0x72fff880,0xffffffff,0x1005bdff,0xfffffffd,0xffffffff,0x3fa2bfff,
    0xffffffff,0x01bdffff,0x36e20000,0x0000003d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x76e44000,0xdeeeeeee,0xeeda8001,0x005eeeee,0xddddddb0,
    0x9ddddddd,0x16f776dc,0x37bbb6e0,0x37bbb6e2,0x77775c02,0x3bbb662d,
    0x6dc03dee,0x01deeeee,0x2a2f7722,0x00060000,0x00000000,0x00110880,
    0x00080000,0x00000400,0x01000000,0x00000000,0x00000100,0x00400001,
    0x14400000,0x00010000,0x33333260,0x99997002,0x26665439,0x133332a0,
    0x7fffffcc,0x003fffff,0xffffffc8,0xe8001fff,0xffffffff,0x365fffff,
    0x405fffff,0x24fffffe,0x04fffffd,0x27fffff4,0xfffffff7,0xffffe80b,
    0xff702fff,0x007fffff,0x00007ea0,0x04f98010,0x2bf91000,0x000003fe,
    0x3bffff6a,0xba80351d,0x03effffd,0xffdb7100,0x00e217bd,0x6f7ff6dc,
    0x6665400c,0x66665404,0xb9301364,0x0039bfff,0xbfffb930,0x5c0fa039,
    0x9300befe,0x40003bff,0x710006fe,0x9305bffb,0x3f601bff,0x8807ffff,
    0x24ffffff,0x7407ffff,0xf007ffff,0x2000000b,0x8005f8ee,0x17e2006e,
    0xf9000fee,0x000ff405,0x0bf013ee,0x5407e800,0x07d50bef,0x000fd400,
    0x3fff7260,0x07fe61de,0x3bfee000,0x005ffd30,0x77ffcc00,0xedffedcc,
    0xdffff905,0x03ffdb99,0x677ff540,0xfabffeec,0x3bffa601,0x02fffecc,
    0xd01ffffe,0x2fcfffff,0xb9bfff90,0x64007fff,0xffdcdfff,0x6427c43f,
    0x41ffdcff,0x1ffedffb,0x07ff8800,0xddeffd80,0x37fea4ff,0xdd301ffe,
    0x4cc40033,0x7d9980df,0x07d99980,0x00000bf0,0x03f67f30,0x7400dd00,
    0x001fd01f,0xdf1017e6,0x01be6001,0x4c0003f2,0x00ff404f,0x00fd4000,
    0xdfffc880,0xfadffedc,0x7540001f,0xdff502ef,0xff980003,0xbff9100b,
    0xa806f760,0xefc800ff,0x3fffaa01,0x407ff901,0x33105fea,0xb33300fb,
    0x3a207eef,0xdfd300df,0x06ff4401,0xf50efe98,0x7c45fc87,0xea87be26,
    0x2da8000f,0x441ce800,0x21ef99fd,0x1f900ffb,0x00fe6000,0x07d800fb,
    0x00000bf0,0x0fea1f90,0x2e00dd00,0x017e603f,0x7d4007f4,0x00fe8805,
    0x90003f98,0x02fc401f,0x01fa8000,0x00dfe980,0x005fffb1,0x01ffecc0,
    0x000dffb8,0x36007f90,0xfb80005f,0x002fdc05,0xdf503ffb,0x013f2001,
    0xffd800fb,0x007fd06f,0x3fe817ee,0xfd1df700,0xf882fc41,0x9f301fb4,
    0x00000000,0x407f7fc4,0x03f504f9,0x0fd40262,0xfb001f60,0x3bbbfe00,
    0x002bdeee,0x01be2fc0,0xbf300dd0,0xb807f700,0x13ee002f,0x74005fb0,
    0x80df0006,0x000003f9,0xf88003f5,0xfff8802f,0xffc88000,0x7e44000c,
    0x374000cf,0x000bf100,0x6f881fa0,0x441fe800,0x7ec000ef,0xb001f601,
    0x0ff2017f,0xf907f900,0xfffc8007,0xf700fe43,0x07e405fb,0x00000000,
    0x7e405ff9,0xfb03f880,0xb003f209,0x007d800f,0xffffffff,0x0003dfff,
    0x00fc85f5,0xfd101ba0,0x403fa001,0xfd8005f9,0x8009f702,0x7d4001fb,
    0x0005f802,0x8003f500,0xfe8802fd,0x7dc005fb,0x4c0000df,0x32003ffd,
    0x006a000f,0xfb03e400,0x83f70003,0xdf0001fd,0x36003ec0,0x0017e607,
    0x0bf307f4,0xf10ffa00,0x07ff880b,0x000027cc,0x0ff50000,0x0bf04f98,
    0x1ba0fff1,0xfb001f60,0x73017e00,0xfd8007ff,0xb0027cc0,0x002fc809,
    0x07f417e6,0x207f4400,0xf88006f9,0x007ec004,0x00000fe4,0xf5000fd4,
    0x25fd1009,0xffa802fc,0x5400001e,0xf9802efe,0x0000001e,0x017e07c8,
    0x037c1c40,0x3601f900,0x703ec007,0x3ea0003f,0x40007ee2,0x017cc2fa,
    0x2fc02fec,0x00000000,0x0bf00bf5,0x3f7ee1f6,0x7d804f82,0xf803ec00,
    0x03fd1005,0x3f417e20,0x09f50000,0xfb85f900,0x9be60003,0xb0000ff8,
    0x13e2001f,0x0002fc40,0xb000fd40,0x45fd100f,0x3fa605f8,0x4000002f,
    0x5401effb,0x09abceff,0xecca8800,0x07dabcee,0x400007f3,0x260003f8,
    0x800fb01f,0x001f607d,0x01f64f88,0x7d44f880,0x803fc801,0x0000006d,
    0xcbdedb98,0x706d803f,0x5f8fd81f,0x3ec017cc,0x7c01f600,0x01fe2005,
    0x2fb817d4,0x0ef88000,0x221fd000,0xfb80006f,0x40003fb4,0x3f7002fa,
    0x000fd400,0x8007ea00,0x1ff4405f,0x7fecc3ec,0x20000003,0x200dffc8,
    0xfffffec8,0x7e4400ce,0xfffeffff,0x05f507ff,0x7ffd4000,0xffffffff,
    0x3fffffff,0x7d800fb0,0xd00017a0,0x20002f4d,0x4007dc6e,0xfffffffb,
    0x65c7ffff,0xeeeeeeee,0xcdeeeeee,0x7fffec43,0xffffffff,0x7fffffff,
    0xa7c45f30,0x400fdc7d,0x03ec007d,0x7dc005f8,0x2207e801,0xfd80005f,
    0x57e60001,0xb00001fd,0x00007fdf,0x01ba00df,0x4006fe98,0xeeeeeedb,
    0xeeeeeefe,0x409f13de,0x1f903fe8,0x0033ff22,0x64400000,0xa9800cff,
    0x302ffecb,0x22035dff,0x03f707ea,0x66fcc000,0xcccccccc,0x2ccccccc,
    0x7d800fb0,0xd00017e0,0x20002fcd,0x4007e46e,0xcccccdfa,0x3a0ccccc,
    0xffffffff,0xffffffff,0x277fea5f,0x666fe4c0,0x4ccccccc,0x8fdc9f10,
    0x401f22fa,0x03ec007d,0x7cc005f8,0x2027c403,0x2e0000fd,0xfc80003f,
    0x400003fd,0x900005fe,0x03f9803f,0x07f9ff70,0x7ff41551,0xffffffff,
    0x5fffffff,0x3fa207f3,0x7d47ee03,0x000001ef,0x17ff4c00,0x44fd9800,
    0x32002ff8,0x0005f507,0x00027c40,0xd800fb00,0x0001ba07,0x000374bf,
    0x003f717e,0x000007f7,0x03fe6000,0x00007f50,0x97e3ecdd,0x00fb005e,
    0x0bf007d8,0x5c03f980,0x01fd401f,0x0006f980,0x0001bfa0,0x001dff10,
    0xc809f100,0x0dfc800f,0x4ffb81fb,0x8007ea00,0x03fe884f,0x3ff223e4,
    0x0000000d,0x001ffec4,0x3f20fc80,0x883e4001,0x7400003f,0x36000006,
    0x903ec007,0x3e20001f,0x40003f23,0x017cc3f8,0x00002fe4,0x02fb8000,
    0x80005fa8,0xfd89f17c,0xfb004f88,0xf007d800,0x01fb800b,0x06f80374,
    0x0001fd00,0x00017d40,0x017f3fa0,0x3e03ec00,0xf88bf005,0x2000fec5,
    0x1ba001fa,0x1ba00ff6,0x0067fec4,0x3f220000,0x003a80cf,0x01ba3f88,
    0x06f81f20,0x00fec000,0x007d8000,0x05f703ec,0xfb8bee00,0x85f70002,
    0x7fe803f8,0x00000000,0xdf5001f7,0x53f50000,0xf9afa83f,0x001f9002,
    0x2fc01fe6,0xf301fa00,0x9999999d,0x8003fd99,0x400002fc,0x200002fa,
    0x007f93fc,0x2a05f500,0x82fa802f,0x00bf12fb,0x64003f50,0x2013f61f,
    0x7f4c04f9,0x7000003f,0x3ec03bff,0xbf27c400,0x207e8800,0x510003fc,
    0x00006f88,0x26001f90,0x007f407f,0x3fa1be60,0x837cc000,0x7ffcc07e,
    0x00000001,0xfb802f98,0x7cc0001f,0xf7bf07db,0x00fee001,0x7c01ffee,
    0x07fd1005,0xffffffc8,0x4fffffff,0x2017ea00,0x0bea002c,0x22fd4000,
    0xf80001fe,0x3200fb05,0x3ee3fa07,0x01fa8003,0x3f63be20,0x001fd004,
    0x000bbfaa,0x0177f540,0x2e0017f4,0x4003fa2f,0x7f407ffa,0x07fd4000,
    0x5c0017ea,0x7007f701,0x5f980fff,0x203fa200,0x3a2005f9,0x407f300f,
    0x4c06f9fd,0xf8000003,0x37ffd405,0xfdf00e60,0x01bbf209,0x7e406f98,
    0x0bf007ef,0x804ffa88,0x03ec005f,0xf800ff88,0x00bea005,0x103be600,
    0xc80001ff,0x8027c40f,0x3b3e607d,0x1fa8000f,0x27ffdc00,0x8002fc80,
    0x0001dffb,0x4007ffd3,0xf7003ffe,0xd804fb8d,0x7cc07eff,0xffd8802f,
    0x003bfb03,0x7cc0ffee,0x3f7fe406,0x200f7e40,0x3f203fea,0x1ff5401e,
    0x3f207f60,0x3ee09f93,0x00544006,0x3ea09f90,0xf903feff,0x01ffd80f,
    0xc800bff5,0xfdb98bef,0x0defd8cf,0x33333be0,0x03fffecc,0x54002fa8,
    0x01fd802f,0x7d400bf0,0x1fe80002,0x8000bf30,0x00fdc3f9,0x3f200fc8,
    0x3f50003f,0x01fff000,0x0005fe88,0x0033ff22,0x0067fec4,0x2f7fbfa0,
    0xdfd7331a,0x113bfd01,0x919ffb73,0xd5019ddf,0x751137bf,0xb803dffb,
    0x9889acff,0x403fffcb,0xdb98befc,0xdefd8cff,0x2b3fee01,0x05ffb531,
    0x2359ff70,0x802ffda9,0xfc98bff8,0x2273fa25,0x4000efea,0x7e4006fe,
    0xbefc98ac,0xb88cfdaf,0x7dc00dfe,0x001ffc07,0x7fffffe4,0x0bfff62e,
    0xfffffff8,0x36003eff,0x05f88007,0xbf0027dc,0x0017d400,0xf700bf60,
    0x46e80009,0x0fea006e,0x0000ff98,0xfd8003f5,0x531acffe,0x00007ff9,
    0x4033ff62,0x000cffc8,0x3ffeeb90,0x0bffffff,0xfffff910,0x7fe43dff,
    0x3ff201ff,0x1dffffff,0x3fff6200,0x0befffff,0xfffff900,0x7ffec5df,
    0x7ffec402,0x000dffff,0x3fffff62,0x22000dff,0x40cffffe,0x3effffc8,
    0x06ff8800,0xfffffc80,0x3ff61d15,0x00002fff,0x65cc0000,0x7c0000ab,
    0x0099999e,0x0004f880,0x1be201fb,0x5400bf00,0x3ee0002f,0x005fb004,
    0x3f98fdc0,0x440ff400,0x50004ffe,0xa7ec003f,0xffffffd9,0x800000ef,
    0x7dc3ffe9,0x800001df,0x0aaccba9,0x37995100,0x26200001,0x0009acca,
    0x2b32a620,0x32e60001,0x200000ab,0x009bcb98,0x2f2e6200,0x95100009,
    0x1bb88015,0x00e54000,0x01bca880,0x0000ddcc,0x00000000,0x000bf000,
    0x8000fdc0,0x03fd03f9,0x2a005f80,0xdf30002f,0x007f4400,0x1fb4f880,
    0x9bff9800,0xefdbfeb8,0x07ea001d,0x5442fdc0,0x00009bcb,0xb4fea800,
    0x000005df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00bf0000,0x00037400,0x00fee1be,
    0xfa8017e0,0x0fe88002,0x0037cc00,0x00bf1fb0,0x3ffffa20,0x07fff12f,
    0x75001c40,0x00000000,0x003b95c0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0xeeeffeec,0xd9801dee,0x03deeffe,0x77ff76dc,0xddddf91d,0xdddddddd,
    0x3b6a0bfd,0xeeeefeee,0xffd9102d,0x322019dd,0x00ceffee,0x017ffd40,
    0x02b2e600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe600,0x3fffffff,0xfffffa80,0x7fec05ff,0xf92fffff,0xffffffff,
    0x0bffffff,0x3ffffff2,0x304fffff,0x1dffffff,0x3ffffe60,0xfe8000ef,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00002000,0x2a001000,
    0x301ccccc,0x88399999,0x881ccccb,0xcb81ceda,0xcccccccc,0x6543cccc,
    0x10bccccc,0x45999997,0xccccccc9,0x99999301,0x200e2379,0xcb88001a,
    0x001ccccc,0x71006a00,0x1a8000cc,0x00000980,0x01b30000,0x2e603620,
    0x9999800d,0x2aea6009,0x2200c001,0x3102aaaa,0x40003595,0xdddb1004,
    0xdddddddd,0xdddddddd,0x17fffeeb,0x2e5ffffd,0xeeeeeeee,0xeeeeeeee,
    0x00703eee,0x2009b264,0x0002ddb8,0x3b260b2a,0x12665c0c,0x079dffb7,
    0xb32ccb88,0xfeb83bff,0x3ffe00df,0xffd05fff,0xffb8dfff,0x7fdc2fff,
    0x7f45ffef,0xffffffff,0x7f46ffff,0x92ffffff,0x4dffffff,0xfffffffd,
    0xfffffd05,0x03be69ff,0x54003fd8,0x2fffffff,0x09f90000,0x3fc87f44,
    0x4fc80988,0x26004f80,0x200adfec,0x981cffd9,0x7fc400ef,0x1fdffb10,
    0xfffff880,0xffffe981,0x3fa600df,0xff881dff,0x7ff547ff,0x8004ffff,
    0xffa804fc,0xffffffff,0xffffffff,0xffff57ff,0x1ffffd89,0xfffffff9,
    0xffffffff,0xf109ffff,0x24fd8801,0x7f4405fc,0x14404ffe,0xf89bfffa,
    0x3fe67fff,0x9bffd37f,0x7dc0bffb,0xddffbdff,0xdbffb0ff,0x7fd440df,
    0x7fd4c01a,0xfa99880a,0x215dfd12,0x27fa3fd8,0x99999999,0xd9982fe9,
    0x7fd4099f,0xfd99819b,0x54cc0199,0x77e409df,0x009ff300,0xfb999988,
    0xefc80002,0x447ff300,0xfffc8bfe,0x00bf93ff,0x5fe4013e,0xb80fdb99,
    0x86eb9acf,0xff100efa,0x0f98dc45,0x2ffffd40,0xb98577d4,0xfffb81ff,
    0xff82ffff,0x55ed46ff,0x002fca88,0x000bffee,0x26fb0000,0x7e42ffff,
    0x00000fff,0x8803e200,0x0efc83fe,0x3f22fe88,0x2a7e880e,0xf71fffff,
    0x4c45ffff,0x902efafe,0x7fcc40bf,0x37be60ef,0x201fdc4f,0x7cc00ef9,
    0x35f3001f,0xd05409fd,0x00ff200d,0x5ff301f9,0x000fea00,0x7fec03f9,
    0x009ff301,0x0002fa80,0xf9807fec,0xfffe884f,0xfffecace,0x009f000d,
    0x2227402e,0xa82f883f,0x17fc40ef,0xf9003e60,0xef883fff,0xf98df100,
    0xffea8aef,0x02ffff40,0x7cc01b60,0x0000fe8e,0x7c5f6000,0x7fd41fff,
    0x0000007f,0x7cc0efc4,0x03bee02f,0x3df703fd,0xff717f44,0x3fea5fff,
    0xffd81fff,0x00fe400e,0x3f603ffe,0x806f885f,0xff301ff9,0x7efcc003,
    0x036c002f,0x7e4027e4,0x000ffdc0,0x0df001ba,0x2a03ffd0,0x2a0005ff,
    0xfb10002f,0x17fea03f,0xf703ff98,0x027c001f,0x12a3dc00,0x1df506c8,
    0x2600bfe2,0x7fffc00f,0x5400fc84,0x741bf63f,0x27ffec5f,0x03e42620,
    0xef987fc4,0xb0000000,0x207fffcf,0x0006fff9,0x0fba8000,0x2a007fea,
    0x980761ff,0x43ffccff,0x747ffff8,0xdfb06fff,0xf013e001,0x81bea03f,
    0x3ff3007d,0x4000ef98,0x8001fff9,0x02fdc029,0x3bf20fc8,0x02fb8000,
    0xd1005f50,0x3fee05ff,0x05f50005,0x05ffd100,0xf901bfea,0x4c3fb805,
    0x02a09f01,0x36002f40,0x3e7bea06,0x01f3002f,0x407fffcc,0x7c9f005e,
    0xc8df702f,0xfeb83fff,0x807fffff,0x02fd41fe,0x27d80000,0xff887ffe,
    0x0000005f,0x3be2e813,0x01be6000,0x03dffb10,0x2a033b26,0x003f602c,
    0x02fc06e8,0x03e405f3,0x3e63ff30,0xef98000e,0xf5000000,0x447e400d,
    0x220005fd,0x00fd005f,0xc817ffc4,0x54000eff,0x7f44002f,0x1dff703f,
    0xe802fc40,0xf0e77f47,0x0fff6a29,0x0077654c,0xfa805f30,0x3e6002ff,
    0x13ffee00,0x15e8027c,0x1fe601ff,0x7445fff7,0xecaaacef,0xc81fe407,
    0x8000003f,0x41bff67d,0x332a3fff,0xcccccccc,0xcccccccc,0x3737fa2c,
    0x08800047,0x00011000,0x001f6000,0x205f80fb,0x01f202f9,0x1df7fd10,
    0x00be6000,0x077cc000,0xdfd3f900,0x03f90000,0x4c003f98,0xff903fff,
    0x17d4001d,0x07ffd300,0x5003fff2,0x87ee005f,0xfceffec8,0x03dfffde,
    0x8007fff2,0xff8803fa,0x03e6000e,0xd00fffd8,0xff93e00d,0xfa8df903,
    0x80ff21ff,0x017ea07c,0x000005fd,0x17fee7d8,0xffb17ff4,0xffffffff,
    0xffffffff,0x0bdca89f,0x00000000,0x6c000000,0x203ec007,0x80be605f,
    0xff88007c,0x3e60000e,0xf8800002,0x7fe4000f,0x40004fff,0x07ec04f8,
    0x27ffcc00,0x000effd8,0x3e6005f5,0xfff904ff,0x003f7003,0x764c0bea,
    0x00bdffff,0x200ff260,0xff8803fb,0xf3000efc,0x01fffc01,0x2fb803f9,
    0x3fe21bf6,0xd07ffcc4,0xf307d80d,0x0ff8801d,0x9f600000,0xffb04ffa,
    0x00000003,0xd9806e40,0x00000004,0x00fb0000,0x02fc07d8,0x03e405f3,
    0x017ffd40,0x0005f300,0x001fe880,0xfc89ffc8,0x3f60000e,0x0009f100,
    0x203bffa2,0x5003fffb,0x3ff2005f,0x6fff881f,0x2005f500,0xffe801fb,
    0x07e40003,0xf1005f90,0x003bea5f,0x7fd403e6,0x501fe807,0xcfff88bf,
    0x440fffc9,0x883e47ff,0x0fe887fd,0x000df300,0xff33ec00,0x003ff205,
    0x54000000,0x3ffb04ff,0x00000000,0x800fb000,0x302fc07d,0x003e405f,
    0x0bfa7bee,0x0017cc00,0x000bfa00,0x3fe607e4,0x07f30002,0x6c0007f2,
    0xff980eff,0x0bea003f,0x81fffc80,0x9805ffe8,0x01f9004f,0x00fecfb8,
    0x220fe200,0xff8801ed,0x20077d42,0x7ff900f9,0x57bfd300,0xf501dfb7,
    0x03ffffff,0x7df11bfe,0x9fdffb75,0x20017cc9,0x000000fa,0x300fe8fb,
    0x000000bf,0x81ffcc00,0x00000ffb,0xd8000000,0x203ec007,0x80be605f,
    0x37ee007c,0x0005fd10,0x400005f3,0x320002fd,0x01fe880f,0x17e0fd00,
    0x077fec00,0x0017ffcc,0xf7000bea,0xffd101df,0x801fd009,0xb7cc05f9,
    0x260006f9,0x006f4c2f,0xfa817fc4,0x403e600e,0x7e4006fe,0x4403efff,
    0x200cefec,0xfffa84fd,0xdeeb8cff,0x00000000,0x00414c00,0x00000002,
    0x13006200,0x00000000,0x001f6000,0x205f80fb,0x01f202f9,0x7f442fdc,
    0x017cc003,0x803fc800,0x4c03f200,0x5f50006f,0xc8002fa8,0xfff105ff,
    0x05f50005,0x01dff500,0x9807ffd1,0x3fd100ef,0xf707fc40,0x2202aa09,
    0x413ea0ee,0x00bfe238,0x33221df5,0x0cccdfdc,0x220001d9,0x20000009,
    0x026200c9,0x00000000,0x00000000,0x00000000,0x00000000,0x7d800000,
    0x3e03ec00,0xc80be605,0x205fc807,0x26003fd8,0xfb80002f,0x901f9804,
    0x01fdc01f,0x03746f80,0x8827fdc0,0x50001ffe,0x3ea0005f,0x0bff606f,
    0x89bfffb8,0x203fffb9,0x82fe82fd,0xfdbbefe9,0x333be21e,0x50fdcccc,
    0x4bea005f,0xccccccb8,0x000000bc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x203ec007,0x80be605f,0x02fe407c,
    0xf3003fd8,0x5fa80005,0x3205f500,0x007f400f,0x3f98fdc0,0x027fd400,
    0x40003ffd,0x260002fa,0x3ff605ff,0xfeaefc81,0xfeaeffff,0xf104f983,
    0x676dd40d,0x99999903,0x80009999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07d800fb,0x05f302fc,
    0x0bf903e4,0x9804fd80,0x3e60002f,0x40bea006,0x1fd400fc,0xfdafc400,
    0x0ffe6000,0x0000efd8,0x200017d4,0x3f204ff9,0xa83bee1f,0x3fa22bcb,
    0x00c40282,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1f6003ec,0x17cc0bf0,0xffb70f90,
    0x36a05bdd,0x912dffee,0xdddfb999,0x207bdddd,0xeeeeeff8,0xfeeeeeee,
    0x3bffb6e2,0xbdff00de,0x7f7e4005,0x0bfe2004,0x7000efc8,0xfddddddd,
    0x9ddddddd,0x80ffa200,0x003726fc,0x00007b10,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdeffeda8,0xdffd9103,0x3ffb661b,0x3def984e,0xfb1defc8,0x209fffff,
    0x4ffffffc,0xfffffff5,0xdfffffff,0x3ffffe60,0xffffffff,0x3fff62ff,
    0xf701ffff,0x7c4009ff,0x3a6000ff,0x8006ec02,0xffffffe8,0xffffffff,
    0x9b1000ef,0x0000ea80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9000000,0x20bfffff,
    0x1fffffe8,0x1dfffff5,0xc85fff98,0x00002fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_47_latin_ext_x[560]={ 0,9,5,3,4,3,5,9,12,6,0,2,6,3,
9,4,4,4,3,3,4,3,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,2,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,2,1,1,1,2,3,4,0,11,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,4,2,4,1,
11,2,6,0,0,0,0,3,0,-1,6,2,6,7,8,1,3,9,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,3,0,3,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,3,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,2,1,2,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,2,0,2,0,2,0,2,2,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,4,3,4,3,4,3,4,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,2,3,
2,4,4,4,4,4,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,2,5,5,5,5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,2,0,0,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_47_latin_ext_y[560]={ 34,7,9,6,6,8,12,8,8,8,8,11,27,21,
29,5,7,8,7,7,8,8,7,8,7,7,16,16,11,18,11,9,7,10,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,8,5,8,8,43,7,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,16,15,10,16,16,16,16,16,16,8,8,8,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,34,16,6,9,13,10,
8,8,9,9,7,16,21,21,9,5,3,9,7,7,7,16,8,18,33,8,7,16,8,8,7,16,1,1,1,4,
3,1,10,9,1,1,2,3,1,1,2,3,10,4,1,1,2,4,3,15,8,1,1,2,3,1,10,8,7,7,
7,9,9,6,15,15,7,7,7,9,7,7,7,9,8,9,7,7,7,9,9,12,14,7,7,7,9,7,8,9,
5,10,2,7,10,15,1,7,2,7,3,8,2,7,2,8,10,8,5,10,2,7,3,8,10,15,2,7,2,7,
2,7,3,8,9,6,2,2,10,8,4,9,5,10,2,7,10,7,3,16,10,7,2,7,10,8,16,1,0,10,
8,10,8,10,8,10,8,1,7,10,15,2,7,8,9,15,5,10,2,7,1,7,10,15,1,7,10,16,2,7,
1,7,2,7,9,15,2,7,10,10,2,8,10,10,3,9,5,10,2,7,1,6,1,7,10,16,2,7,2,7,
3,1,7,3,8,2,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,15,8,8,8,8,8,8,8,8,8,8,8,8,8,7,15,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,2,7,2,7,2,
7,2,7,1,4,1,1,1,2,1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-1,1,7,1,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_47_latin_ext_w[560]={ 0,6,15,19,17,19,16,7,8,7,16,20,9,19,
7,17,17,17,17,18,16,18,17,16,17,17,7,10,20,21,20,15,16,25,22,21,21,21,21,22,21,17,22,23,
21,25,24,21,20,21,24,19,20,23,25,25,23,21,17,7,16,7,17,26,8,21,23,20,23,20,19,22,22,19,
14,21,19,25,21,20,23,23,20,17,20,22,23,23,21,21,17,9,3,9,19,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,16,20,17,22,
3,20,13,25,14,21,22,19,25,27,13,20,12,11,8,22,19,7,8,11,14,21,25,26,25,15,25,25,25,25,
25,25,25,21,21,21,21,21,17,17,17,17,23,24,21,21,21,21,21,15,23,23,23,23,23,21,20,20,21,21,
21,21,21,21,25,20,20,20,20,20,19,19,19,19,20,21,20,20,20,20,20,20,21,22,22,22,22,21,23,21,
25,21,25,21,26,23,21,20,21,20,21,20,21,20,21,23,23,23,21,20,21,20,21,20,23,20,21,20,22,22,
22,22,22,22,22,22,21,22,21,22,17,19,17,19,17,19,17,19,17,19,25,21,22,15,23,21,20,21,19,21,
19,21,19,21,19,22,19,24,21,24,21,24,21,23,21,18,21,20,21,20,21,20,25,25,24,20,24,20,24,20,
19,17,19,17,19,17,19,17,20,20,20,20,20,20,23,22,23,22,23,22,23,22,23,22,23,23,25,23,21,21,
21,17,17,17,17,17,17,19,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,23,21,21,19,21,21,21,
21,21,21,21,21,21,21,21,21,21,23,22,21,21,21,21,21,21,21,21,21,21,21,21,21,24,23,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,25,21,17,19,21,
20,23,22,23,22,23,22,23,22,23,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,25,21,25,25,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_47_latin_ext_h[560]={ 0,28,12,31,32,27,23,13,32,32,16,22,14,3,
6,33,28,26,27,28,26,27,28,27,28,28,19,23,22,9,22,26,30,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,30,24,26,24,25,24,24,24,24,24,32,33,32,12,3,7,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,18,20,25,19,18,19,18,26,18,32,32,32,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,26,28,25,17,24,
32,29,4,26,13,18,12,3,26,2,13,25,15,15,7,26,29,6,8,14,13,18,26,26,27,26,33,33,33,30,
31,33,24,32,33,33,32,31,33,33,32,31,24,30,34,34,33,31,32,15,28,34,34,33,32,33,24,27,28,28,
28,26,26,29,20,26,28,28,28,26,27,27,27,25,27,25,28,28,28,26,26,20,22,28,28,28,26,35,34,33,
29,25,32,28,30,25,34,28,33,28,32,27,33,28,32,27,24,27,29,25,32,28,31,27,30,25,32,28,33,35,
33,35,32,34,32,36,32,32,24,26,30,25,29,24,32,27,30,33,31,18,25,35,33,35,31,33,18,33,34,31,
33,24,26,24,26,24,26,33,27,31,26,32,27,26,26,27,30,25,33,28,34,28,24,20,33,27,31,25,32,27,
34,28,33,28,32,26,33,28,33,33,32,27,24,25,32,26,30,25,33,28,34,29,34,28,30,24,32,28,32,35,
31,33,27,31,26,32,27,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,31,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,20,26,26,26,26,26,26,26,26,26,26,26,26,26,28,20,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,32,28,32,27,33,
28,33,28,34,31,34,34,34,33,34,34,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,40,36,33,28,35,29,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__courier_47_latin_ext_s[560]={ 495,498,410,312,440,272,138,346,503,50,237,
155,307,27,503,171,22,1,87,448,399,433,404,333,422,143,504,496,198,426,219,
296,396,22,457,312,413,435,293,416,27,493,371,444,72,418,468,439,94,27,388,
192,272,394,112,362,88,66,48,289,495,124,369,47,466,258,91,280,44,301,373,
68,433,165,72,24,353,23,1,346,115,185,71,240,350,487,131,463,49,474,92,
297,499,1,475,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,495,505,272,
153,219,49,507,167,457,327,354,197,387,27,258,74,332,200,266,254,457,304,188,
495,448,295,317,155,144,117,139,79,426,346,372,1,246,189,336,486,477,404,1,
332,89,386,58,159,138,431,334,380,279,177,76,279,24,310,1,340,458,23,1,
412,289,311,400,170,230,274,437,209,463,484,66,252,145,350,452,330,472,131,61,
1,488,334,378,416,176,377,363,333,273,217,426,418,248,109,98,161,49,306,450,
82,364,40,401,23,127,467,307,165,248,189,226,67,23,321,290,292,76,241,174,
356,253,171,294,194,355,25,378,49,441,463,226,355,413,221,208,206,423,213,480,
107,272,177,174,127,317,87,115,1,110,149,48,199,398,184,19,162,39,115,59,
452,105,221,95,244,1,212,236,493,100,46,215,183,136,204,1,390,321,391,67,
88,482,370,116,386,69,125,269,393,301,48,258,237,11,251,315,285,132,1,372,
262,45,440,92,144,68,225,456,480,196,248,222,149,45,276,127,354,456,32,233,
284,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,485,411,411,139,
411,411,411,411,411,411,411,411,411,411,411,411,411,461,367,411,411,411,411,411,
411,411,411,411,411,411,411,411,296,322,411,411,411,411,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,329,103,
156,313,182,342,158,1,286,92,356,472,402,230,239,263,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,
411,411,411,1,27,204,422,103,122,411,411,411,411,411,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411, };
static unsigned short stb__courier_47_latin_ext_t[560]={ 35,144,398,144,77,237,373,398,42,111,398,
373,398,38,398,77,208,294,237,177,266,237,177,237,208,208,348,294,373,398,373,
266,144,373,348,266,348,348,348,266,348,321,321,321,348,321,321,266,348,177,348,
294,348,321,373,348,373,373,373,111,1,111,398,38,398,373,266,373,266,373,294,
266,294,266,1,321,294,398,398,373,266,266,398,373,321,373,398,373,398,294,398,
111,42,111,398,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,
294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,35,144,208,
321,398,348,77,177,406,294,398,398,398,38,294,38,398,321,398,398,398,294,177,
398,398,398,398,398,294,294,266,294,42,77,77,177,144,77,348,111,42,42,144,
144,77,42,111,144,348,144,1,1,77,144,111,398,237,1,42,42,77,77,373,
237,208,208,208,294,266,177,373,266,208,208,237,266,237,237,237,321,237,321,208,
208,177,266,266,373,373,208,177,208,266,1,1,77,177,321,111,208,177,321,1,
208,42,208,111,266,77,177,111,237,348,237,177,321,144,177,144,237,177,321,111,
208,42,1,42,1,111,42,111,1,111,111,348,266,144,321,177,348,111,237,144,
77,144,398,321,1,42,1,144,77,398,77,42,144,77,348,294,348,294,348,294,
42,237,144,294,111,266,294,294,237,177,321,77,208,42,208,348,373,77,237,144,
321,77,237,42,177,77,208,111,294,77,237,77,77,111,237,348,321,111,321,144,
321,77,208,42,177,42,208,144,348,111,208,111,1,144,42,237,144,294,111,237,
294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,266,294,294,144,
294,294,294,294,294,294,294,294,294,294,294,294,294,266,373,294,294,294,294,294,
294,294,294,294,294,294,294,294,177,373,294,294,294,294,294,294,294,294,294,294,
294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,111,208,
111,237,42,177,42,237,1,144,1,1,1,42,1,1,294,294,294,294,294,294,
294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,
294,294,294,1,1,42,177,1,177,294,294,294,294,294,294,294,294,294,294,294,
294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,
294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,
294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,294,
294,294,294,294,294,294,294,294,294, };
static unsigned short stb__courier_47_latin_ext_a[560]={ 398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_47_latin_ext(stb_fontchar font[STB_FONT_courier_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_47_latin_ext_s[i] + stb__courier_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_47_latin_ext_t[i] + stb__courier_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_47_latin_ext_x[i];
            font[i].y0 = stb__courier_47_latin_ext_y[i];
            font[i].x1 = stb__courier_47_latin_ext_x[i] + stb__courier_47_latin_ext_w[i];
            font[i].y1 = stb__courier_47_latin_ext_y[i] + stb__courier_47_latin_ext_h[i];
            font[i].advance_int = (stb__courier_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_47_latin_ext_s[i] + stb__courier_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_47_latin_ext_t[i] + stb__courier_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_47_latin_ext_x[i] + stb__courier_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_47_latin_ext_y[i] + stb__courier_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_47_latin_ext_LINE_SPACING
#endif

