// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT        472
#define STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_50_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_50_latin_ext_LINE_SPACING          23

static unsigned int stb__courier_50_latin_ext_pixels[]={
    0x01ea8000,0x00000000,0x00000040,0x080000aa,0xb5000000,0x00000000,
    0x001bfa00,0x00000000,0xff980006,0x00ffe202,0x22000000,0x007d002e,
    0x000004c0,0x666665c4,0x01cccccc,0x00000000,0x00000500,0x03100000,
    0x08000028,0x01a80010,0x0000014c,0x00ffb800,0x03e88000,0x027d4000,
    0x06fc8000,0x007f7000,0x0ffb8000,0x07744000,0x6fe80000,0x02ffffd8,
    0x88000000,0xf30000fe,0x1ffc405f,0x0cfda800,0x01be2000,0xe80013ea,
    0x4c00002f,0xfffffffe,0x4006ffff,0x000002fa,0x000bf600,0x007d3000,
    0x3a20ff20,0xf100000f,0x2005f70d,0xff302ffb,0x70fa8009,0x77e4000d,
    0xfb000001,0x7e400001,0x00000dff,0x00003bf6,0x00bfffb1,0x07bf2000,
    0xffff5000,0xfd000003,0x5fddd70d,0x80000000,0x20004fe9,0x3e202ff9,
    0xbfc8003f,0x20001fda,0x3fe203fe,0x3fa20002,0x00000003,0x1ffcc000,
    0x22000000,0x000003fe,0x00017fd4,0x3bea1bf9,0xfd100001,0x000efb85,
    0x3ee09ffb,0x3fe2006f,0x88001f90,0x00000efd,0x00005f30,0x3f67bfa2,
    0x7440001f,0x4c0000df,0x0efd9dfe,0xdfb10000,0xffc80001,0x0003ffaa,
    0x2a037f40,0x0000002f,0x000ffea0,0x4405ff30,0x7c4003ff,0x30002641,
    0x75c439ff,0xfb00005f,0x00000009,0x4ff98000,0xd3000000,0x8000005f,
    0x80001ffb,0x00dfcefa,0x87fd1000,0x26000efb,0x3db100de,0xf927ec00,
    0x2ff44001,0x3b200000,0xffa80002,0x001ffdc4,0x0004fe98,0x7e43ffb8,
    0x7440002f,0x6c40005f,0x37fa60ef,0x9d900000,0x0002fa80,0x5ff70000,
    0x5dd10000,0x00177440,0x001e61ae,0xfdffff70,0x30001bff,0x5c5fc839,
    0x00bb8003,0x88000654,0x200005fe,0x07be21c9,0x64000077,0xb88001ef,
    0x2227f4c3,0xfe88002c,0x0007fd44,0xf9800000,0x8003f20f,0x000004fe,
    0x0004fff8,0x74c0bfea,0x7fcc004f,0xffb80003,0x009ff501,0x00027f40,
    0x6c417fe2,0x000000ef,0x0000bea0,0x07ff2000,0x00000000,0x06a87980,
    0xffec8800,0x3a0002de,0x3ea2a86f,0x3fe6002f,0x017fe203,0x00efd880,
    0x226fe800,0x017fd40c,0x03bf6200,0x20ffe400,0x00ffd828,0x3ea27f40,
    0x0000001f,0xf913f600,0x00154001,0x7ffc4000,0x07aa0005,0x98009b10,
    0xbb00002e,0x004d8801,0x20000b60,0x1eb803e9,0x2a000000,0x0000002f,
    0x00000ef8,0xe8000000,0x0000fa63,0xfe800000,0x02ffa806,0xf00bfe60,
    0xfb0000bf,0xdfd0000b,0x005ff500,0x0005fc80,0xc8007fdc,0x27cc007f,
    0x00000fec,0x1ff30000,0x4c000fc8,0xc8000002,0x000001ef,0x00000000,
    0x00000000,0x00000062,0x00000000,0x000005f5,0x00000100,0x54000000,
    0x0005fefe,0x44000000,0x0033000a,0x05100330,0x000d4000,0x98005440,
    0x02980001,0x80035000,0x1018000a,0x00000001,0xfc85fd80,0xfdfd5000,
    0x00000009,0x00000000,0x00000000,0x7ecc0000,0x000003ef,0x00000000,
    0x00c405f5,0x22000000,0x0000003e,0x0005cc00,0x00004c00,0x00000000,
    0x1a800000,0x000014c0,0x03500000,0x00000298,0x00000000,0xcccccca8,
    0x66665400,0x417fc43c,0x47f000fc,0x000001fa,0x00000000,0x00000000,
    0xbd000000,0x00007ea3,0x9500004c,0x99999999,0x3ea07999,0x3ffb6e22,
    0x40001bdf,0x00acdca8,0x6665c7fb,0x3220cccc,0x4ccccccc,0x40000000,
    0xdefffec8,0x0e666543,0x33333331,0x4ccccc40,0x4cccc419,0x26620199,
    0x64019999,0x7ff501ff,0x99999880,0x26662019,0x7e401999,0x07ff501f,
    0x99999988,0x26666201,0x2e600199,0x9000acdd,0x07ffffff,0xffffffe8,
    0x3203fee1,0xc86a800f,0x13000005,0x66654000,0xcccccccc,0x6666543c,
    0x665400cc,0x332a3ccc,0x5400cccc,0x803ccccc,0x0005c879,0xbdfffd91,
    0x1cccca87,0x3ffffffa,0x05ffffff,0x3ffa25f5,0xefffdcce,0x7ffd4000,
    0x20dfffff,0x7fffc5fb,0x3ea1ffff,0x7fffffff,0x26666662,0x26666201,
    0x3fea0199,0xeffeccef,0x29ffff90,0xfffffff8,0xffff985f,0xff14ffff,
    0x0bffffff,0xfffffff3,0x1ffec09f,0x2205ffb8,0xffffffff,0xfffff985,
    0x3f604fff,0x0bff703f,0x7fffffc4,0xfff985ff,0x404fffff,0xfffffffb,
    0xfe8800cf,0x9330009a,0x05fe817f,0x099001f9,0x220000d5,0x3defffec,
    0xd0e66654,0xffffffff,0xfc8bffff,0x403fffff,0x1ffffffe,0x7ffffff9,
    0xfffffe80,0x4c2e401f,0xfffa8007,0x0effecce,0x989ffff9,0x99999999,
    0x5f505f99,0x74c09ff3,0xff9001ff,0x3f6e637b,0x980efaaf,0x41fc9999,
    0xe9999998,0xffffff17,0xfff30bff,0x909fffff,0x77e407ff,0x5c09afc8,
    0x1cccdfdc,0x9ff99970,0x6fee5c39,0x99701ccc,0x40399ff9,0xdb100de9,
    0xdfdcb803,0x99701ccc,0x40399ff9,0xdb100de9,0xdfdcb803,0x99701ccc,
    0x20399ff9,0x88acefd8,0x801ffeca,0xf88004fa,0x904ff886,0x81f3001f,
    0xfa80003d,0xffecceff,0x9ffff90e,0x99999998,0x885f9999,0x30009afe,
    0xe8817f93,0x330009af,0xf30017f9,0x64005c81,0x3bf203ff,0x0009afc8,
    0xdfa82fc0,0xdf9001ef,0x077ec401,0x07fffee0,0x2001fc80,0x37f72e7e,
    0x99701ccc,0x98399ff9,0xff9801ef,0x17dc00fe,0x5c07e800,0x0fd0002f,
    0xb8000000,0x0fd0002f,0xb8000000,0x0fd0002f,0xc805fe98,0x0fe802ff,
    0x541fdc00,0x01f903ff,0x3f6abba0,0x7fe40000,0x323bf203,0x400009af,
    0x009f505f,0x7d40df10,0x06f88004,0x7dc56f40,0x07be6001,0x03fbfe60,
    0xa82fc000,0x64001fff,0x017f604f,0x4004ff98,0x1fa001fc,0x74000bee,
    0x8007fa07,0x5c00fffa,0x0fd0002f,0xd0002fb8,0x0000000f,0xd0002fb8,
    0x0000000f,0xd0002fb8,0x01ffc40f,0xa801ff70,0x837c004f,0x0f702ffb,
    0x067f5c40,0x07be6000,0x03fbfe60,0xd02fc000,0x3fb8001f,0x20007f40,
    0x644003fb,0x74002dff,0x3fea001f,0xbf00000f,0x000ffea0,0x2fd41fa2,
    0x01fff600,0x74003f90,0x0002fb87,0x00ff20fd,0x7003ff20,0x1fa0005f,
    0x20005f70,0x0000007e,0x80017dc0,0x0000007e,0x80017dc0,0x00ff207e,
    0x3a017ea0,0x07f7000f,0x00003ff2,0xfe800000,0x3ffea001,0x0bf00000,
    0x3e0027d4,0x004fa806,0x0200037c,0x000ff200,0x00003ff2,0x07fa82fc,
    0x3a07ea00,0x3bee000f,0x3f2003fb,0x2e1fa001,0x0fd0002f,0x7c4001fa,
    0x017dc00f,0x7dc07e80,0x00fd0002,0xfb800000,0x00fd0002,0xfb800000,
    0x20fd0002,0x3a0006f9,0x027d402f,0x1ff607f8,0x99998800,0x00009999,
    0x32000ff2,0xf00000ff,0x000fe80b,0x3fa007f7,0x007f7000,0x0fd00000,
    0x003fe200,0xfa82fc00,0x0fe60005,0x7cc009f7,0x2007f88f,0x1fa001fc,
    0x74000bee,0x4000df07,0x17dc00ff,0x5c07e800,0x0fd0002f,0x0073332a,
    0x01999997,0xe80017dc,0x39999507,0xcccccb80,0x000bee00,0x02fd83f4,
    0x201bea00,0x1fdc00fe,0x2000dfd0,0xfffffffb,0x3a0007ff,0x1ff10007,
    0x017e0000,0x1fe009f5,0xf004fa80,0x4ccc000f,0x0037c000,0x00001ff0,
    0x01fd417e,0x1ff17e00,0xb87fe200,0x03f9003f,0x17dc3f40,0xf887e800,
    0x03f60004,0x20005f70,0x017dc07e,0xffd07e80,0xfff805ff,0x3ee01fff,
    0x20fd0002,0x402ffffe,0x01ffffff,0x74000bee,0x0005f987,0x7d400fe8,
    0x3e03fc04,0x9910006f,0xfbdf9999,0x01be0005,0x0000ff80,0x1fd00bf0,
    0x4003fb80,0x1fdc00fe,0xfffb7300,0x88019fff,0x3f60004f,0x0bf00000,
    0xf0000fea,0xb0027c4d,0x005f887f,0x3f4003f9,0xe80017dc,0x0004f987,
    0x5f7003f6,0x701fa000,0x1fa0005f,0x802fb998,0x201fc999,0xfd0002fb,
    0x017dccc0,0x00fe4ccc,0x3a0005f7,0x0002fa87,0xfe803fa8,0xe807f700,
    0x5400007f,0x8005f8bf,0x360004f8,0xbf00000f,0xf809f500,0x04fa8007,
    0xffa803fc,0xedccdeff,0x13e602ff,0x000fd800,0x3ea0bf00,0x93e20005,
    0xbf9003f9,0x7e401be0,0x2e1fa001,0x0fd0002f,0xff80017e,0x0017dc00,
    0x17dc07e8,0xa807e800,0x0fe4002f,0x20005f70,0x02fa807e,0xf700fe40,
    0x21fa0005,0x980001fb,0x03fa805f,0xffd801fd,0x3f600000,0x98001fb0,
    0x3f60004f,0x0bf00000,0x7dc03fa0,0x01fd0003,0x75c00fee,0x3faa00ac,
    0x80017e01,0xf00000ff,0x001bea0b,0x0bee3fa8,0x7e81bea0,0x4003f900,
    0x002fb87e,0x01fa0fd0,0x2007fc40,0xfd0002fb,0x0002fb80,0x05f500fd,
    0x2e01fc80,0x0fd0002f,0xc8005f50,0x00bee01f,0x07ec3f40,0x006f8000,
    0x03fa81fd,0x5101ffc8,0xf52fc400,0x00bf0007,0x00007fc0,0x7f5005f8,
    0x40003fa0,0x01fd03fa,0x1be60000,0xf10007e8,0x3e00001f,0x005ff505,
    0x1fc87f60,0x9007fc40,0x03f9001f,0x17dc3f40,0xf907e800,0x1ff70005,
    0x0002fb80,0x02fb80fd,0xf500fd00,0x01fc8005,0x74000bee,0x002fa807,
    0x5f700fe4,0x3a1fa000,0x1fa00007,0x3fa1fd40,0x02ffb800,0x3ee001f9,
    0x740037c2,0x1ff10007,0x017e0000,0x1fd40fe8,0x503fa000,0x8000007f,
    0x05f900fd,0x001ff700,0x7d417e00,0x7dc000ff,0xd1007ec5,0x01fc805f,
    0x3a001fc8,0x0002fb87,0x03fe20fd,0x00fff980,0xe80017dc,0x0017dc07,
    0x2fa807e8,0x700fe400,0x1fa0005f,0x9000bea0,0x017dc03f,0x06f87e80,
    0x801fa000,0x009f50fe,0x7e40ffe6,0xc81fd000,0x17e4001f,0x007fdc00,
    0x2005f800,0x007f43fa,0xfd0fea00,0xc8000001,0x01ff101f,0x007ffcc0,
    0xf505f800,0x26001bfd,0x00fe40ff,0x1fb009fb,0x4003f900,0x002fb87e,
    0x2fdc0fd0,0x0fefe880,0x80017dc0,0x017dc07e,0xfa807e80,0x00fe4002,
    0x3a0005f7,0x002fa807,0x5f700fe4,0x3a1fa000,0x1fa00007,0x1fd3fa80,
    0xc827fc00,0x85f9800f,0x7c4004f9,0x3fe6000f,0xbf00000f,0xf50fe800,
    0x3fa00009,0x00009f50,0x5c03f900,0xdfd1005f,0x3e00001f,0xff75f505,
    0x82ffc805,0x0bf702fb,0x7e401fa0,0x2e1fa001,0x0fd0002f,0x2a01efd8,
    0x400fcaff,0xfd0002fb,0x0002fb80,0x05f500fd,0x2e01fc80,0x0fd0002f,
    0xc8005f50,0x00bee01f,0x07ec3f40,0x037c4000,0x013effa0,0x3f20df90,
    0xd02fc800,0x0bf7000f,0x03fbfa20,0x002fc000,0x007f4fea,0xfd3fa800,
    0xa9980001,0x3f91aaab,0x201efd80,0x00fcaffa,0x2a0bf000,0x59dff52f,
    0x03dffb75,0x3be60fea,0x200df000,0x1fa001fc,0x74000bee,0xcdffc807,
    0x91ffecaa,0x02fb801f,0xfb80fd00,0x00fd0002,0xfc8005f5,0x000bee01,
    0x17d403f4,0xb807f200,0x0fd0002f,0x300003f7,0xffa800bf,0x7fcc000f,
    0xe800fc81,0x000bee07,0xfa807bf6,0x0000fcaf,0xfd000bf0,0x800009f7,
    0x0004fbfe,0xffffff91,0x03ffffff,0x559bff90,0x3f23ffd9,0x0bf00000,
    0xffd98bea,0x403fffff,0x0ffc45f8,0x3664f880,0xefeeeeee,0xe85eeeee,
    0x0002fb87,0x3fa600fd,0x20deffff,0x17dc00fc,0x5c07e800,0x0fd0002f,
    0xc8005f50,0x00bee01f,0x7d403f40,0x00fe4002,0x3a0005f7,0x0002fa87,
    0xe8003fa8,0x9fb0004f,0xf9801f90,0x0017e204,0x5566ffe4,0x1f91ffec,
    0x017e0000,0x003ffea0,0x1fff5000,0x9fff7000,0xd9555559,0x3a6003ff,
    0x0defffff,0x400003f2,0x205f505f,0x2000aba8,0x00bfa0fe,0x3fea3fb8,
    0xffffffff,0x740effff,0x0002fb87,0xb98800fd,0x801f900a,0xdf0003f9,
    0x0003f980,0x05f500df,0x2601fc80,0x0df0003f,0xc8005f50,0x00fe601f,
    0x2fcc37c0,0x007f4000,0x80007f40,0x00fc86fa,0x3f600fe4,0xffd30000,
    0x641bdfff,0xbf00000f,0x013fa000,0x027f4000,0x0067fd40,0x44001fc8,
    0x1f900ab9,0x417e0000,0x800002fa,0x009f94fa,0x00007fc4,0x7f30fd00,
    0x001be000,0x4007e400,0x5fa8004f,0xa8004f80,0x02fa805f,0x3e00fe40,
    0x05fa8004,0x64002fa8,0x0027c01f,0x2fd82fd4,0x01bea000,0x00013ea0,
    0x00fc85ff,0x1fd4037c,0x2ae62000,0x0001f900,0x740017e0,0xd000000f,
    0xff98001f,0x00fe4000,0x00fc8000,0x505f8800,0x2000005f,0x4006fbfe,
    0x000003fc,0x004f8374,0x00005fa8,0xdb001fb0,0x007f9000,0x7f9000db,
    0x8005f500,0x036c01fc,0x5401fe40,0x0fe4002f,0x32001b60,0x00df103f,
    0x40017f40,0x5c0000fe,0x5007e46f,0x01be007f,0x07e40000,0x02fc4000,
    0x00027d40,0x8004fa80,0xfc8002fb,0xfb000001,0x7f300001,0x0000bea0,
    0x007ffd40,0x0000df30,0x1b60bf00,0x000ff200,0xb8037c00,0x3fa2003f,
    0x003fb801,0x26007fa2,0x3fea004f,0x001fdc01,0xf3003fd1,0x0ffd4009,
    0x8800fee0,0x0ff201fe,0x0017ee00,0x200013ea,0x03f22ff8,0x9999afd8,
    0x1fd99999,0xfd800000,0x3f980000,0x000fe800,0x001fd000,0x32000fb0,
    0xf000001f,0x3ee0000d,0x0005f501,0x017fe200,0x0001ffa8,0xb81fd400,
    0x3fa2003f,0xfa800001,0x03ff1004,0x2007fd10,0xe8801ff8,0x1ff1003f,
    0x03fff900,0x8801ff88,0xff1003fe,0x3fff9001,0x801ff880,0x7c403fe8,
    0x3fee004f,0x00fe8000,0x64df7000,0xffff100f,0xffffffff,0x000009ff,
    0x20000df0,0x7d4002fc,0xf5000004,0x03f60009,0x003ff500,0x009f5000,
    0x540ff100,0xd000002f,0xb803dfff,0x000002ff,0xff100fe8,0x07fd1003,
    0x3ff30000,0x017fcc00,0x9800dfd1,0x3fa202ff,0x01fec006,0x03fbdfd1,
    0x4405ff30,0x7ec006fe,0x37bfa203,0x2ff9801f,0x401bfa20,0x6400dfe8,
    0xfa8001ff,0x7ec00004,0x3ee01f91,0xcccccccd,0x007ecccc,0x027d4000,
    0x007fc400,0x00003fa0,0x80007f40,0x3f2004fc,0x400001ff,0x40001ff9,
    0x3ea02fe9,0xfc800002,0x337bff95,0x001dfd95,0x4fe88000,0x1017fcc0,
    0x00000dfd,0x30007ff3,0xb5337bff,0x30001bff,0xb5337bff,0x88001bff,
    0xeca9beff,0x7ddf94ff,0x9bdff980,0x00dffda9,0x4df7fc40,0xf94ffeca,
    0xff9807dd,0xffda99bd,0x7fec000d,0xffdb99bd,0x2aaa201e,0xaacfeaaa,
    0x23880001,0x001fa039,0x00000bee,0x0000ffcc,0x5000bfe6,0x2000009f,
    0x260004fa,0x7f4c00ff,0x00001fde,0x9500ffe6,0xfd975799,0xf955303f,
    0x00355559,0x3a637d40,0x4fffffff,0x99710000,0x07ffb957,0x26f7fe60,
    0x00dffda9,0x56665c40,0x003fffda,0x3ffff660,0x40003fff,0xffffffd9,
    0x3a60003f,0x1effffff,0x2017fff2,0xffffffd9,0x3a60003f,0x1effffff,
    0x2017fff2,0xffffffd9,0x3ee0003f,0xbfffffff,0x7fffe400,0x7fffffff,
    0x4c000000,0x5f88004f,0xff980000,0x5e665403,0x03ffecba,0xd5555551,
    0x8003559f,0xeaaaaaa8,0x8001aacf,0xb999bffb,0xdf94ffec,0x65c407dd,
    0xfffdaacc,0xfffff803,0xd01dffff,0xffffffff,0x3e2000df,0x7995100f,
    0xfb800003,0x2effffff,0x7ffecc00,0x0003ffff,0xfffffff5,0x400003df,
    0x0009bcb9,0x4de5cc00,0x99500000,0x00000137,0x00137973,0x26f32a00,
    0xb9800000,0x000009bc,0x00579951,0x55555544,0x000aaaaa,0x0fe40000,
    0x000fd800,0x2ab332e2,0xf803fffd,0xffffffff,0x3fff201d,0xffffffff,
    0x7ffe4007,0xffffffff,0xffd50007,0x43bfffff,0x204ffffc,0xfffffffa,
    0x551001ef,0x10015555,0x55555555,0x0ec00015,0x40000000,0x001aaaa9,
    0x13797300,0xaaa98000,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00037c00,0x7d4007f5,0xefffffff,
    0x55551001,0x2a200355,0xaaaaaaaa,0x544000aa,0xaaaaaaaa,0x540000aa,
    0x0001accb,0x2aaaaa60,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x003fa800,0x260037c0,0x001aaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00fd8000,0x000fe400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0xbdddffdb,
    0xeeeeb803,0x00004eef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffa80000,0x02ffffff,
    0x7fffffec,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x99999998,0x99999999,0x20009999,
    0x00002ec8,0x000000c4,0x000004c0,0x02600000,0x18000000,0x00002000,
    0x00002000,0x00000180,0x00800003,0x01910011,0x00001710,0x11000008,
    0x00003000,0x00016c40,0x40000000,0x70000001,0x03700009,0x800006e0,
    0xfffffffe,0xffffd000,0xffffffff,0x5fffffff,0x07ffe400,0x07fb0000,
    0x7e400000,0xffffc803,0xf0000004,0x0000003f,0x8001fd88,0x000002f8,
    0x0000df30,0x0000bf60,0x00005fb0,0x0bf303f6,0x5405ff30,0x200001ff,
    0x5c0003fc,0x77cc005f,0x7cc00000,0x000004ff,0x400017a6,0x00000ef9,
    0x003bff60,0x101ffc40,0x03f507fd,0x3bbb2354,0xd000ffee,0x9999999f,
    0x999999fd,0x74005fb9,0x00002fff,0x00013fe6,0x003bf600,0x013fbbaa,
    0x7fd40000,0x10000002,0x26000bfd,0x8000003f,0x00002ffa,0x00077ec4,
    0x00efd880,0x4c5fd800,0xff5001ff,0x005ff709,0x0077ec00,0x003ff900,
    0x0001dfb0,0x3faffee0,0x5400000e,0x200003ff,0x00000efd,0x7fe6ff4c,
    0xbfd30002,0x304ffa81,0x007e40df,0x6e8007e4,0xf7007ec0,0x37fd4005,
    0x7f440000,0xd1000005,0xf30001bf,0x40000009,0x00003ff9,0x0027fcc0,
    0x00007f30,0x002ffb80,0x02ff4400,0x0bfd1000,0x317f2000,0xe88005ff,
    0x1efd88ef,0xbfd10000,0x77ec0001,0x3ff20000,0x3f620001,0x00bff21e,
    0x017fdc00,0x0ffe4000,0x3ffa8000,0x40013fea,0xff91efd8,0x903fd805,
    0x01f9001f,0x1fb01ba0,0x20017dc0,0x20000028,0x0000efd8,0x0013fa60,
    0x00004f98,0x027f4c00,0x3ffa8000,0x01fcc000,0x3ff90000,0xff980000,
    0x3e600004,0xf900004f,0x017fc41d,0xbfdff900,0x3a600001,0x3a20004f,
    0xa80000df,0xe88002ff,0x4ffa80df,0x0ffe4000,0xff500000,0xffc80005,
    0x00dfe982,0xdfdff700,0x01ff3001,0x1f9001f9,0xfb01ba00,0x0017dc01,
    0xd8000000,0x980000ef,0x4c0003ff,0x0000004f,0x0005fe88,0x0017fdc0,
    0x0001fcc0,0x000efd80,0x01ffd400,0x07ff5000,0x83bee000,0x80003fe8,
    0x00003ffa,0x8000ffe6,0x00005fe8,0x2001ffcc,0x7f4403fc,0x1dfb0000,
    0xf3000000,0x3e60007f,0x01fec00e,0x009fd300,0x0fc84fe8,0xd000fc80,
    0x200fd80d,0x000002fb,0x0fee0000,0x00bf2000,0x0013e600,0x1fd80000,
    0x07ba0000,0x01fcc000,0x06fd4000,0x17f40000,0x0bf60000,0x40ef8000,
    0x200003fb,0x6c000019,0x7dc0002f,0xd3000003,0x4001000d,0x1bf50000,
    0x4c000000,0x0060006e,0x28800018,0xc87fa800,0x00fc800f,0x0fd80dd0,
    0x9800bee0,0x40000000,0x00200000,0x0027cc00,0x00200000,0x80001000,
    0xcefdccc9,0xcccccccc,0x0006000c,0x00008800,0x00000880,0x00001004,
    0x11000000,0x00020000,0x00002000,0x02800000,0x02000000,0x00000000,
    0x7fc00000,0x64007e42,0x80dd000f,0x0bee00fd,0xefffec88,0x6666543d,
    0x00000001,0xf9800000,0x00000004,0x00000000,0x7ffffec0,0xffffffff,
    0x00002fff,0x00000000,0x00000000,0xb7300000,0x0000159b,0x00000000,
    0x98000000,0x000acddb,0x00000000,0x75000000,0x020359d9,0xacecba80,
    0x17f20101,0x1f9001f9,0xfb017600,0xa807cc01,0xfeccefff,0xffff90ef,
    0x376e6009,0x300000ac,0x00159bb7,0x32a09f30,0x80bccccc,0x19999998,
    0x26666620,0x4cccc419,0x26620199,0x4c419999,0x9999cfb9,0x40099999,
    0xfffffffe,0x97500000,0x0020359d,0x2b3772a2,0x4ccc4041,0x26201999,
    0x80199999,0xfffffffb,0x998800cf,0x99999999,0x33019999,0x33333333,
    0x33013333,0x33333333,0x70013333,0xffffffff,0x33330019,0x26660013,
    0x99998099,0x99999999,0x01999999,0xfffffd70,0x03647fff,0x7fffff5c,
    0x41b23fff,0x03f20ff9,0x00003f20,0x90000fd8,0x77e407ff,0x8009afc8,
    0xfffffffb,0xf70000cf,0x9fffffff,0x827cc001,0xfffffffd,0x7ffffc41,
    0xff985fff,0x14ffffff,0xffffffff,0xfffff30b,0x3e609fff,0xdd900003,
    0x001ffddd,0xffffeb80,0x1b23ffff,0xffffff70,0x45f11bff,0xfffffff8,
    0xffff985f,0xb104ffff,0x951159df,0xfc803ffd,0xffffffff,0xf87fffff,
    0xffffffff,0x3fffffff,0x3ffffffe,0xffffffff,0x9dfb103f,0xffd95115,
    0x7fffec03,0x7ffc02ff,0x3fe0ffff,0xffffffff,0xffffffff,0x3f6200ff,
    0xf7511bdf,0x440fb3df,0x511bdffd,0x0fb3dff7,0x01f927fc,0x00001f90,
    0x4c0007ec,0xff9801ef,0xfd8800fe,0xeca88ace,0x362001ff,0xca88acef,
    0xf3001ffe,0x4e7fd409,0xbfb97009,0x32e03999,0x21ccffcc,0xcccdfdcb,
    0xff999701,0x0fe60399,0x1f900000,0x3ff62000,0xff7511bd,0x3a20fb3d,
    0xb5309bff,0xcb87fbff,0x01cccdfd,0x99ff9997,0x00bfd303,0x7e405ff9,
    0xcccccccd,0xa87ecccc,0xfecccccc,0x0bcccccc,0x3333332a,0xccccccfe,
    0x05fe980b,0x9302ffc8,0x80179dfb,0x43cffdca,0xccdfdcca,0xcccccccc,
    0xd100fecc,0xff7001bf,0x37fa20ff,0x7fffb800,0x0fc9ff60,0x0000fc80,
    0x20003f60,0x3ea001fe,0x7f4c00ff,0x02ffc805,0xc805fe98,0x4f9802ff,
    0x8007ff50,0xfd0002fb,0x0002fb80,0x07f300fd,0x0fc80000,0x0dfe8800,
    0x07fffb80,0xf98019fb,0x05f703ff,0xf881fa00,0x3fee003f,0x4003f900,
    0x7e4006f9,0x0fc80000,0x00ffe200,0x2200ffb8,0x7e4000fe,0x002fb803,
    0x9fb00fc8,0x07ff9800,0xf98009fb,0x43ff207f,0x0fc800fc,0x03f60000,
    0x0007f900,0x7c401ff9,0x3fee003f,0x00ffe200,0x4c00ffb8,0x01ffb84f,
    0x0002fb80,0x02fb80fd,0xf300fd00,0xc8000007,0x4fd8000f,0x43ffcc00,
    0x3e6005fb,0x005f703f,0x3fc81fa0,0x905fa800,0x3fa2003f,0x007e4001,
    0x0007e400,0xf50007f9,0x005fa80b,0x7dc017ea,0x80fc8002,0xf50006fb,
    0x000df70f,0xffb81fea,0xf9001f91,0x7ec00001,0x003f4000,0x3200ff88,
    0x5fa8003f,0x2000ff20,0x27cc05fa,0x40003bf2,0xfd0002fb,0x0002fb80,
    0x07f300fd,0x0fc80000,0x0037dc00,0x0fd87fa8,0xb81fe400,0x0fd0002f,
    0xe8001be6,0x001fc82f,0xf90007f9,0x1f900001,0x001be600,0x7e402fe8,
    0x001fd003,0x32000bee,0x001ff80f,0x07fe1fe0,0x2a07f800,0x001f92ff,
    0x400001f9,0x37c000fd,0x201ff000,0x3a0006f9,0x006f982f,0xf980bfa0,
    0x001bfb14,0x80017dc0,0x017dc07e,0xf9807e80,0x64000003,0x0ffc000f,
    0xdf0ff000,0x207f5000,0xfd0002fb,0x8000bf60,0x01fc86fa,0x90005fa8,
    0xf900001f,0x00bf6001,0x4406fa80,0x1fe400ff,0x0005f700,0x04fa81f9,
    0x3ea36400,0x03640004,0x03f27ff3,0x00003f20,0x22000fd8,0x3f60004f,
    0x0005fb00,0x17ec37d4,0x40df5000,0x04fe8cf9,0x002fb800,0x2fb80fd0,
    0x300fd000,0x8000007f,0x3ea000fc,0x43640004,0x03b0006f,0x74000bee,
    0x0005f987,0x0fe40fe8,0x0003fe20,0x400007e4,0x5f9800fc,0x00fe8000,
    0xdf302fd4,0x002fb800,0x00fe87b8,0x07f40800,0xf1004000,0x2003f29f,
    0x200000fc,0x3e6000fd,0x03f60004,0x200017e6,0x017e60fe,0x4c03fa00,
    0x002fffdf,0x0002fb80,0x02fb80fd,0xf300fd00,0xc8000007,0x03fa000f,
    0x1fa02000,0x0bee0000,0x7d43f400,0x3fa80002,0x3f6007d4,0x03f20002,
    0x003f2000,0x20000bea,0x2fd803fa,0xb8003fd0,0x8080202f,0xf000007f,
    0x2000000f,0x001f95ff,0x400001f9,0x2fc000fd,0x501ff000,0xf500005f,
    0x00017d47,0xff981fd4,0x0002feaf,0xe80017dc,0x0017dc07,0x3f9807e8,
    0x7e400000,0x001fe000,0x003fc800,0x0017dc00,0x01fb87e8,0x005f9800,
    0x40005fb8,0xc80000fc,0x01fb800f,0x805f9800,0x1fdc0ff8,0xf017dc00,
    0x017e2007,0x017e2000,0x3fe20000,0xf9001f94,0x7ec00001,0x003f4000,
    0xfb80ff88,0x5f980001,0x200007ee,0x3df305f9,0x8000bfe2,0xfd0002fb,
    0x0002fb80,0x07f300fd,0x0fc80000,0x000bf100,0x01ff4400,0x005f7000,
    0x03f61fa0,0x0037c000,0x00003be6,0x900001f9,0x01fb001f,0x401be000,
    0x01be65fa,0xf8817dc0,0x009f3004,0x009f3000,0x7ff30000,0x3f2003f2,
    0x3f600000,0x017e4000,0x6c07fdc0,0xdf00000f,0x800007ec,0x989f306f,
    0xf70002ff,0x01fa0005,0x3a0005f7,0x003f9807,0x007e4000,0x00004f98,
    0x4dfff4c0,0x0bee0000,0x3f43f400,0x00fd0000,0x80001fe8,0xc80000fc,
    0x007e800f,0xd801fa00,0x0003fd2f,0x27c40bee,0x0003f980,0x0003f980,
    0x92ffa800,0x01f9001f,0x007ec000,0x8003fe20,0x7e80fff9,0xe9fa0000,
    0x1fa00007,0x7fcc27cc,0x02fb8002,0xfb80fd00,0x00fd0002,0x000009f3,
    0xf3000fc8,0x20000007,0xbcefffea,0x00bee001,0x037c3f40,0x400fd000,
    0x900003fc,0xf900001f,0x000df001,0xf1003f40,0x40009f9f,0xfffffffb,
    0x7f3004ff,0x7f300000,0xf9000000,0x2003f23f,0x200000fc,0xfb8000fd,
    0xfdfd1005,0x0000df01,0x000df3f4,0x4f983f40,0x8003ff30,0xfd0002fb,
    0x0002fb80,0x03fe00fd,0x7e400100,0x007f3000,0xca880000,0x00cffffe,
    0xe80017dc,0x00007e87,0x37d401fa,0x01f90000,0x001f9000,0x740000fd,
    0x37fd4007,0x3bbee000,0x04feeeee,0x00007f30,0x00007f30,0x321ffb00,
    0x00fc800f,0x003f6000,0x500f7ec0,0xd01f95ff,0x3f40000f,0x740000fd,
    0x4c09f307,0x3ee001ff,0x80fd0002,0xfd0002fb,0x2013f600,0x9001fda8,
    0x0fe6001f,0x10000000,0x401dfd73,0xfd0002fb,0x00001fb0,0xff100df1,
    0x7e400001,0x0fc80000,0x0000fd80,0xd8006f88,0x7dc0002f,0x2009f102,
    0x800004f9,0x000004f9,0x03f26fe8,0x20003f20,0xffeeeed9,0x004eeeee,
    0x9559bff9,0x03f23ffd,0x200003f6,0x003f66f8,0x4c1be200,0x0ffcc04f,
    0x0002fb80,0x02fb80fd,0x2200fd00,0xa999adfe,0x005fffdb,0x7cc003f2,
    0x00000004,0xb80ffdc0,0x0fd0002f,0x300003f7,0x05fb00bf,0x00fc8000,
    0x800fc800,0x980001fb,0x1fc8005f,0x817dc000,0x1be004f8,0x037c0000,
    0x1ffc0000,0x1f9001f9,0xffff5000,0xffffffff,0x7ff4c00b,0x320defff,
    0x001fb80f,0x3ee5f980,0x5f980001,0xf3009f30,0x05f7003f,0xf701fa00,
    0x01fa0005,0xfffffd88,0x001cffff,0xdf0007e4,0x00000000,0x3ee0bf50,
    0x50fd0002,0xf500005f,0x805fb807,0x03f20018,0x003f2000,0x20000bea,
    0xfc8003fa,0x17dc0001,0x3f4007d0,0x07e80000,0x7fd40000,0x3bae3f20,
    0xeffeeeee,0x1deeeeee,0x20000000,0xf900ab98,0x0005f501,0x17d47f50,
    0x71fd4000,0xc809fddd,0x05eefffe,0x3a0005f7,0x0017dc07,0xa98007e8,
    0x0009accc,0xe8003f20,0x00000007,0x3ee0fd00,0x30fd0002,0xfd0000bf,
    0x007fc401,0x1f90036c,0x01f90000,0x0000bf30,0xf90001fd,0x2fb80003,
    0xfd831000,0xfd800001,0x36000001,0x7ec7e45f,0xffffffff,0xffffffff,
    0x00000001,0x980fc800,0xfe80005f,0x00017e60,0xfffc83fa,0x7ffec04f,
    0xf980efff,0x80df0003,0xdf0003f9,0x00000000,0xfb0007e4,0x13000003,
    0x40fdc000,0xdf0003f9,0x8000bf60,0x0ff406fa,0x32007d80,0xfc80000f,
    0x005fb000,0x80037d40,0x5c0001fc,0x8f90002f,0x800006f9,0x000006f9,
    0x0fc83ff1,0x88000000,0x000001cb,0xfd807ec0,0x1bea0002,0xa8000bf6,
    0x0000006f,0x2a0013e0,0x004f805f,0x88005fa8,0x200001cb,0x3e6000fc,
    0x5f800006,0x40bea000,0x5fa8004f,0x4000df10,0x13f202fe,0x32007d80,
    0xfc80000f,0x00df1000,0x80017f40,0x5c0001fc,0x1fb0002f,0x40003fc8,
    0x001fe41a,0x0df706a0,0x000001f9,0x01fff900,0x37c00000,0x4000df10,
    0x06f882fe,0x000bfa00,0x06d80000,0xd803fc80,0x03fc8006,0x00fffc80,
    0x001f9000,0x40003fc8,0x8001fe1a,0x00db01fc,0x7e407f90,0x05fb8003,
    0xfb001be6,0x0007e400,0x90007e40,0xbf70007f,0x00fe4000,0x000bee00,
    0x3fe207ec,0x87fb0001,0xb0001ff8,0xc82ff87f,0x0acc800f,0xfffc8000,
    0x50000000,0x03fc809f,0x3205fb80,0x5fb8003f,0x00bdb800,0x001fdc00,
    0xf7003fd1,0x0ff44007,0x07ffe400,0x00fc8000,0x000ffc40,0x0bfe3fd8,
    0xb81fa200,0x3fa2003f,0x013fe201,0xd100ffb8,0x07d8003f,0x00003f20,
    0xf88003f2,0x3fee004f,0x07f20000,0x005f7000,0x3e603f60,0x3fa2002f,
    0x005ff306,0x3ee37f44,0x3001f906,0x100009f9,0x00000bf9,0x1007fe60,
    0x7dc009ff,0x13fe200f,0x000ffb80,0x0006ec88,0x4400ffc4,0xff1003fe,
    0x07fd1003,0x017f2200,0x000fc800,0x2002ff98,0x7ffc6fe8,0x027ec001,
    0xd1003ff1,0xbfd1007f,0x01ffc801,0x36000ff6,0x003f2007,0x0003f200,
    0xc801bfd1,0x640001ff,0x7dc0001f,0x01fb0002,0x26013fe6,0x7fcc05fe,
    0x85fe9804,0x01f901ff,0x80003cc0,0x000002f8,0x1003ff98,0xfc801bfd,
    0xdfe8801f,0x00ffe400,0x00017c00,0xe880bfe6,0x7fcc006f,0x01bfa202,
    0x0005f100,0x80007e40,0xe9804ff9,0x2ffff85f,0x805fd880,0x3a202ff9,
    0x7fec006f,0xffdb99bd,0x017ea01e,0xf9003ec0,0x1f900001,0x37ff6000,
    0xeffdb99b,0x1fc80001,0x017dc000,0x2a00fd80,0xa99bceff,0x5003ffec,
    0x53379dff,0xf507ffd9,0x9007e409,0x000bb337,0x20001f60,0xdaacccb8,
    0xd8003fff,0xdb99bdff,0x6c001eff,0xdb99bdff,0xb8001eff,0x000fb99b,
    0x9bdff980,0x00dffda9,0x9bdff980,0x00dffda9,0x0003ec00,0x80003f20,
    0x99bceffa,0xf03ffeca,0x357dfd3b,0x1dff9533,0x2f7fe600,0x0dffda99,
    0xffffb800,0x400bffff,0xeeeeeefa,0xeeeeeeee,0x7777647f,0xeeeeffee,
    0x3bb21dee,0xeeffeeee,0x401deeee,0xfffffffb,0x6cc000bf,0xeeffeeee,
    0x76404eee,0xeeeeefee,0xeeeeeeee,0xfb800ffe,0xdfffffff,0xfffb8001,
    0x01dfffff,0x40388071,0x001dfffa,0x0001fb80,0xffffffa8,0x20001eff,
    0xfffffffb,0xf70000bf,0x7fffffff,0x3fa60001,0x200002ef,0xffffffd9,
    0x6cc0003f,0x3fffffff,0x01fb8000,0x777775c0,0xeeeeffee,0xb801deee,
    0xffffffff,0xfc8f601d,0xefffffff,0xffd98002,0x003fffff,0x2bcca880,
    0x3fffea00,0xffffffff,0x7ec7ffff,0xffffffff,0x22ffffff,0xfffffffd,
    0xffffffff,0x79951002,0x7fd40005,0xffffffff,0x7ff406ff,0xffffffff,
    0xffffffff,0x2a2000ff,0x00001bcc,0x00379951,0x01100000,0x000c4000,
    0x55555300,0xa8800003,0x00002bcc,0x00af32a2,0x00001000,0x09bcb980,
    0x65cc0000,0x1000009b,0xfffb0003,0xffffffff,0x03ffffff,0x0de65440,
    0x332a6000,0x300001ac,0x00013797,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x1000000d,0x2e00005b,0x00037001,0x40000000,
    0x0dc00008,0x00002a80,0x00000130,0x80000310,0x98000029,0x00053002,
    0x00003fee,0x00011000,0x00dc006e,0x1b800640,0x00080000,0x005b1000,
    0x02a00150,0x00002600,0x00440000,0x00100000,0x64000000,0x00001fff,
    0x0027ff4c,0x880ffe20,0x880003fe,0x4000004d,0x37c0007c,0x0002fc40,
    0x00027dc0,0x001bea00,0x27f7f540,0x1bfb0000,0x80037e40,0x00000ffb,
    0x0017ea00,0x3e2017e2,0x02fc4005,0x000027cc,0x00000ff3,0x4009ffd3,
    0x36202ff8,0x2fe8003f,0x40000000,0x000004fb,0xdb007f70,0x88000017,
    0x03ffbefe,0xd9ff7000,0x4c0001df,0x7fd40dfe,0xfe980004,0x000000ef,
    0x740001fb,0x027ec02f,0x07bf2000,0xffb80000,0x47f00002,0x100001fa,
    0xfd883dfb,0xff70000e,0x20000001,0xd0001ffc,0x03fd805f,0x7401ff80,
    0xf500003f,0xb800007f,0x00dfecff,0xd309ff50,0x3ea000bf,0x0000003f,
    0x0003ff90,0x01df9000,0x003fff70,0x993fea00,0x20000dfe,0x3ff21ffd,
    0x3f620001,0x005ff91e,0xf97ff700,0xb000005f,0x7d40001f,0x0ffb882f,
    0xdfb10000,0x64000001,0x500001ff,0x0000b90d,0xfd32ffb8,0xffb8000b,
    0xd8000000,0x2e0000ef,0xffb882ff,0x1efb8000,0x000efc88,0x002ffb80,
    0x90ffec00,0x3a2003ff,0x07ff70ef,0x04ff9800,0x7ec00000,0x4000000e,
    0x4000efd8,0xb80006fb,0xefd882ff,0x6ff44001,0x003ffa80,0x77f7fdc0,
    0xffd80000,0x0013fea1,0x37ff2a20,0xfc80022b,0xfffecdff,0xfd100002,
    0xd800000b,0x200000ef,0x0006a84c,0xffdff980,0xeea80003,0x22000000,
    0x80000efd,0xfecdfffc,0x360001ff,0xffecdfff,0xfc80001f,0x2200001f,
    0xffb80dfe,0x37ff2003,0x100001ef,0x00000bfd,0x001bfd10,0x5fe88000,
    0x007f6000,0xb801df00,0x27dc004f,0x0003fa60,0x0009fd30,0x301bfd10,
    0x20001bfd,0xffffffe9,0x2003faef,0xdfffffe9,0xff300000,0x44000009,
    0x00000dfe,0x00f607cc,0x77f44000,0x00000001,0x17fa2000,0xffd50000,
    0x00019fff,0xfffffd50,0xfb000019,0xc800001d,0x07f4c04f,0x01bff500,
    0x5fe88000,0x3a200000,0x8000004f,0x40004ff9,0x040002fb,0x11000100,
    0x80000c00,0xf5000028,0x003fb009,0x4c39ff70,0x004fffeb,0x0001a988,
    0x0003fb80,0x0027cc00,0xb55dd000,0x8000001f,0x0000000b,0x27dc0000,
    0x53100000,0x22000003,0x200001a9,0x00000df9,0x00600088,0x00000e20,
    0x00003fb0,0x0000fee0,0x001fe400,0x0001fd40,0x00000000,0x00000000,
    0x02000800,0x007fe200,0x00009ff3,0x00200000,0x00040000,0x3fae2000,
    0x5400000c,0x00014c01,0x04000000,0x00000000,0x00000000,0x00000060,
    0x00000000,0x00040000,0x00002000,0x00008800,0x44007f50,0x01999999,
    0x26666662,0x372e6001,0x88081acd,0x01999999,0x26666662,0x00000001,
    0xf7002fd8,0x6e5cc009,0x00081acd,0x00000000,0x00000000,0x1ffc8000,
    0x0007ff50,0x00000000,0x6dcc0000,0x22000acd,0x01999999,0x26666662,
    0x00000001,0x33333330,0x03333333,0x59bb9510,0x00000083,0x00000000,
    0x00000000,0xf8801fd4,0x5fffffff,0xffffff98,0x7f5404ff,0xefffffff,
    0xfff88f92,0x985fffff,0xffffffff,0x26666204,0x00009999,0x0760037c,
    0x3ffffaa0,0xf92effff,0x33333100,0x80001333,0x99999999,0x99999999,
    0x99880199,0x00999999,0x0fff6000,0x5c02ffdc,0x0ccccccc,0x4cccc000,
    0x99999999,0x01999999,0xffffff70,0xf88019ff,0x5fffffff,0xffffff98,
    0x266624ff,0x09999999,0xfffb0000,0xffffffff,0x7dc0bfff,0xdfffffff,
    0x4c402f88,0x09999999,0x4cccc000,0x09999999,0x4cccc000,0x33331001,
    0x0fea0333,0xcdfdcb80,0x999701cc,0x6c0399ff,0xa88aceff,0x0feeffec,
    0x666fee5c,0xf999701c,0x3ee0399f,0xffffffff,0x17e20007,0x3ff60000,
    0xeca88ace,0x200feeff,0xfffffffb,0x3e0007ff,0xffffffff,0xffffffff,
    0x3ee00fff,0xffffffff,0x3a600007,0x03db100d,0xfffffff0,0x7ec0003f,
    0xffffffff,0xffffffff,0x3f6201ff,0xeca88ace,0x6e5c01ff,0x701cccdf,
    0x399ff999,0x3fffffe2,0x03ffffff,0xcccc9800,0xccdfeccc,0xffe881cc,
    0xffb5309b,0x7fdc07fb,0x7fffffff,0x3fffe000,0xffffffff,0x74003eff,
    0x402fffff,0xfffffff8,0x003fa85f,0xd0002fb8,0x0efe880f,0x0fffc880,
    0x20005f70,0xccc8807e,0x2fdefccc,0x001be000,0x00efe880,0x00fffc88,
    0x33333322,0x0002fdef,0x99bfb995,0x99999999,0x4401fd99,0xefcccccc,
    0x000002fd,0x4ccc0000,0x0001fd99,0x33ff3326,0xcccccfec,0x301feccc,
    0xff900bfd,0x005f7005,0x665c1fa0,0xccccfecc,0x8000000c,0x9fb002fb,
    0x3fff9801,0x33333220,0x002fdefc,0x9bfb9950,0xfdb99999,0x32a003df,
    0xb806ffdc,0x1ccfeccc,0xb8003fa8,0x0fd0002f,0xb8005fd8,0x05f700ff,
    0x8001fa00,0x005f8bfa,0x0000bf60,0x5c002fec,0xfa8000ff,0x80005f8b,
    0xfc8002fb,0x8bfa8000,0x0000005f,0x1fc80000,0xd97e0000,0x881fc807,
    0x3ee003ff,0x017dc00f,0x36007e80,0x0000000f,0xf7005f70,0x1ffcc00b,
    0x7c5fd400,0x2fb80005,0x01ffc880,0x01ff7d40,0xfa803f60,0x02fb8003,
    0x7d40fd00,0x1ff0000e,0x4000bee0,0x3f60007e,0x20001fb0,0x0000bff8,
    0x40003bea,0xfd8000ff,0x80001fb0,0xfc8002fb,0xb0fd8000,0x0000001f,
    0x1fc80000,0x47f50000,0x81fc807d,0xfa8003fc,0x0017dc05,0x3f6007e8,
    0x00000000,0x1fb005f7,0x003fc800,0x01fb0fd8,0x002fb800,0xa8003bea,
    0x2000febf,0x0fea00fd,0x000bee00,0x03ff03f4,0xf703e400,0x01fa0005,
    0x7f52fc40,0x7ff4c000,0x3e000ace,0x1f20001f,0xfa97e200,0x17dc0003,
    0x0007e400,0x03fa97e2,0x00000000,0x0000fe40,0x01f61fc8,0x0df307f2,
    0x7017f400,0x1fa0005f,0x0000fd80,0x05f70000,0xf5000df0,0x25f88007,
    0x5c0003fa,0x1fdc002f,0xbf57f500,0x1007ec00,0x5f7000df,0x541fa000,
    0x0440005f,0x20005f70,0x5f70007e,0xa80006f8,0x2dfffffd,0x00017ea0,
    0x5f700011,0x5c0006f8,0x0fc8002f,0x3e17dc00,0xccca8006,0x6665c01c,
    0x7e4000cc,0x8fd00001,0x41fc807d,0x2a0002fd,0x00bee06f,0xfb003f40,
    0x00000001,0x1be00bee,0x2000ec00,0x0037c2fb,0x2000bee0,0x4fea005f,
    0x1fb002fd,0x4002fe80,0xfd0002fb,0x0000bf60,0x0005f700,0x7f4001fa,
    0x0000fe40,0xdffdb730,0x0005fb01,0x03fa0000,0x5c0003f9,0x07b8002f,
    0x7e40fe80,0x7fff4001,0x7fffc02f,0x7e4001ff,0x4f880001,0x07e403ec,
    0xd0000bf3,0x00bee01f,0xfb003f40,0x00000001,0x1fa00bee,0xfe800000,
    0x0000fe40,0xfd0005f7,0xf89fd400,0x801fb006,0x7003eff8,0x1fa0005f,
    0x000007fc,0x4000bee0,0x5f98007e,0x00004f98,0xf07ff220,0x0000001f,
    0x9f30bf30,0x017dc000,0x26000401,0x004f985f,0x802fb998,0x001fc999,
    0x40000fe4,0x403ec2fa,0x0017d459,0xfb81fd40,0x00fd0002,0x000007ec,
    0x802fb800,0x000003fc,0x4f985f98,0x00bee000,0x5400ff10,0x200ff23f,
    0xffc800fd,0x005f7007,0x1be21fa0,0x3ee00000,0x00fd0002,0x1fa05f90,
    0x3ea00000,0x0001be26,0x817e4000,0x3ee0007e,0x0000fe02,0x07e817e4,
    0x000bea00,0xfc8003f9,0x0fd80001,0x5c0143ec,0xf980001f,0x0005f705,
    0x0fd801fa,0x70000000,0x7fd1005f,0xfc800000,0x4000fd02,0x7d4002fb,
    0xd0fea005,0x00fd801f,0x8005ffdc,0xfd0002fb,0x00009f30,0x0005f700,
    0x1fa001fa,0x00002fb8,0x9f30fd80,0x20000000,0x00bee07e,0xf8817dc0,
    0x0fd00004,0xa80017dc,0x0fe4002f,0x0007f200,0x51f61be0,0x00fd803f,
    0x2e0df000,0x0fd0002f,0x00007ec0,0x02fb8000,0x137ffd30,0x07e80000,
    0x5c000bee,0x3fea002f,0x50fea001,0x00fd809f,0x2e0007fc,0x0fd0002f,
    0x000009f3,0x20005f70,0x27cc007e,0x0000bf10,0x3e65f500,0x80000004,
    0x17e204f9,0x8817dc00,0xf980004f,0x0017e204,0x320017d4,0x0fe4001f,
    0x213e6000,0x2017dc7d,0x3a00007e,0x0005f707,0x0fd801fa,0x70000000,
    0xfea8005f,0x001bceff,0xf8813e60,0x05f70005,0x000fff20,0x03fb07f5,
    0x9f3007ec,0x005f7000,0x13e61fa0,0x3ee00000,0x00fd0002,0x7ec01fc8,
    0x00059000,0x013e67f5,0x3f200000,0x0007ec01,0x7fffffdc,0x80004fff,
    0x07ec01fc,0x0017d400,0xf90007f2,0x2fb80003,0xffffffd8,0x00037c02,
    0x0bee0fd0,0xb003f400,0x0000001f,0x4000bee0,0xffffeca8,0x0fe4000c,
    0x20003f60,0xdb9882fb,0xa8002ffe,0x206f983f,0x0fea00fd,0x000bee00,
    0x027cc3f4,0x33333330,0x00bee033,0x3e003f40,0x803fa806,0xfc8006f8,
    0x4c009f31,0x19999999,0xf500df00,0xddf70007,0x09fddddd,0x500df000,
    0x5f50007f,0x001fc800,0x20000fe4,0xeefd80fd,0x3f402fee,0x20fd0000,
    0xfd0002fb,0x0007ec00,0x7dc00020,0x73100002,0x7c001dfd,0x003fa806,
    0xffffffb8,0x00bfffff,0x3207f500,0x401fb03f,0xfb8003fa,0x10fd0002,
    0xfff1009f,0xdfffffff,0x20005f70,0x0fea007e,0x7c4037c0,0x9be6002f,
    0xff8804f8,0xffffffff,0x801fd406,0x2fb8006f,0x80009f10,0x0df003fa,
    0x8005f500,0x7e4001fc,0x82fc0001,0x2017dc7d,0x880000fd,0x005f706f,
    0xfd801fa0,0x0be20000,0x000bee00,0x00ffdc00,0x6f801fd4,0xeeefb800,
    0x01fffeee,0x881fd400,0x00fd80ff,0x2e000fea,0x0fd0002f,0x665c01be,
    0x2cfecccc,0xd0002fb8,0x4d7ec00f,0x99999999,0x7fc401fd,0x1ffa803f,
    0xccb8037c,0x2cfecccc,0x4ccd7ec0,0xfd999999,0x817dc001,0x6c0004f8,
    0x999999af,0x001fd999,0x320017d4,0x0fe4001f,0x339f5000,0xfa8fd333,
    0x000fdc01,0xfb82fcc0,0x00fd0002,0x840007ec,0xfb8003fa,0x2a000002,
    0x9afd805f,0x99999999,0x7dc001fd,0x03ffb102,0x501fd400,0x401fb09f,
    0xfb8003fa,0x20fd0002,0xfd80007e,0x0005f700,0x7fc401fa,0xffffffff,
    0x4404ffff,0x9abffeef,0x82ffeba9,0xfd80007e,0x7fffc400,0xffffffff,
    0x7dc004ff,0x8000fa02,0xfffffff8,0x4fffffff,0x0017d400,0xf90007f2,
    0x7fe40003,0x87ffffff,0x002fa800,0xf703fa80,0x01fa0005,0x6c000fd8,
    0x70007f56,0x8000005f,0x7ffc407e,0xffffffff,0x5c004fff,0x17fe402f,
    0x403fa800,0x007ec1fe,0xf30007f5,0x41be0007,0x6c0000fc,0x007f300f,
    0x7dc01be0,0xcccccccd,0x807ecccc,0xfffff74e,0x32019fff,0x7ec0000f,
    0x666fdc00,0xcccccccc,0x7dc007ec,0x80310002,0xcccccdfb,0x7ecccccc,
    0x0017d400,0xddd707f2,0xddffdddd,0x03bddddd,0x666667f4,0xf30007ec,
    0x1fd0000b,0x4000fe60,0x03f6006f,0x0feafd00,0x3007ee00,0x0fdc0001,
    0x9999bf70,0xd9999999,0x02fb800f,0x8001ffa8,0x37cc03fa,0x3fa803f6,
    0x0009f000,0x0fee0bf5,0x401fb000,0x5fa8004f,0x7000fd00,0xd510005f,
    0x7f70037f,0x00fd8000,0x7dc003f4,0x00bee002,0x1fa03e40,0x800bee00,
    0x7e4002fa,0x7ffffe41,0xffffffff,0xf102ffff,0x1003ec09,0x20002fd8,
    0x027c06fa,0xb002fd40,0x57e8001f,0x1fb0007f,0x20005f80,0x01fa02fa,
    0xb800bee0,0x1df3002f,0x803fa800,0x803f62fc,0xdb0003fa,0x207f9000,
    0x20000ff8,0x01b600fd,0x2600ff20,0x5f88004f,0x003f6000,0x00007fc4,
    0x27cc01fb,0x002fc400,0x360005f7,0x009f300f,0x5400bf10,0x0fe4002f,
    0x0019f900,0x7d80bea0,0x6f88f900,0x00bfa000,0x7f9000db,0x0007ec00,
    0x001fd5fa,0x1fe01fe2,0x301fc800,0xbf10009f,0x0017dc00,0xfa800bf7,
    0xb0ff8803,0x01fd401f,0x2003fb80,0x3ea01fe8,0x03f60006,0x22003fb8,
    0x1fc801fe,0x001fb000,0xa8003f60,0x3f60006f,0x0007f200,0xfb8007ec,
    0x01fb0002,0x6c0007f2,0x09f3000f,0x000ffd40,0xfd80009f,0x6c01f600,
    0x001fe40f,0x7dc02fdc,0x07fa2003,0x4000fd80,0x8007f57e,0x2ff805fa,
    0x207e8800,0xfb0001fc,0x00bee001,0x54005fb0,0x29f7003f,0x0bf200fd,
    0x00ffc400,0x6401ff44,0xfd8000cf,0x007fe200,0x7c00ffa2,0x0fea0006,
    0x0007ec00,0x200033f2,0x01be00fd,0x7003fa80,0x3f60005f,0x4000df00,
    0xff1003fa,0x3fff9001,0x0003e600,0x07d80df0,0xff881fb0,0x03fee004,
    0x2007fe20,0x6c003fe8,0x9bf4000f,0xff3003ff,0x03fff001,0x3e04fd80,
    0x0fea0006,0x20017dc0,0x3ea006f8,0x367fa003,0x003fe00f,0x202ff980,
    0xb1006fe8,0x754007ff,0x17fcc00f,0x200dfd10,0x7c0003fa,0x01fb0006,
    0x03ffd880,0x5403faa0,0x37c0003f,0x0002fb80,0x07f501fb,0x2006f800,
    0x3fa203fd,0xf1001fde,0x1fcc0003,0x7ec01f60,0x00dfe880,0x3000ffe4,
    0x7f4405ff,0x00fd8006,0xbff33f40,0x017fc401,0x802ffff8,0x3ea05fd8,
    0x037c0003,0xb8002fb8,0x07f5003f,0x07eefcc0,0x00027f54,0x4cdeffcc,
    0x000dffda,0x55e77fd4,0xfffca999,0x7bff3004,0x1bffb533,0x0003f600,
    0xb0003f90,0x3ea0001f,0x999abcef,0x204fffca,0x640000fd,0x02fb801f,
    0xfb01fb00,0x1fc80001,0x37dff100,0x329ffd95,0xed803eef,0x7002fb9b,
    0x007d803f,0x7fec01fb,0xffdb99bd,0xff98001e,0xffda99bd,0x0fd8000d,
    0x3623f400,0xdb99bdff,0x37e003ff,0x99abefe9,0x00effca9,0x900003f6,
    0x05f7003f,0x2003fa00,0x7ec003fa,0x6fff40ff,0xfb300000,0x07ffffff,
    0x7ffe4400,0xbeffffff,0x7fecc000,0x803fffff,0xeeeffed9,0x7775c01d,
    0x2004eefe,0x6440006b,0xffffffff,0xed980bef,0x01deeeff,0x77f7775c,
    0x7f77644e,0xeeeeeeee,0xffeeeeee,0xddffdb30,0xeeb803bd,0x804eefee,
    0xffffffe9,0x17fff21e,0x17fff220,0xbdffdb30,0x3ffbb621,0xeeeeeeee,
    0x7dc00ffe,0xbfffffff,0x3f660000,0x03ffffff,0xffddddb0,0xdddddddd,
    0x20ffdddd,0xffffffeb,0x91ec001e,0xffffffff,0x3fb6605d,0x401deeef,
    0xeefeeeeb,0x77f77644,0xf5003eee,0xfdd909dd,0x8807dddd,0x15d40fff,
    0x97300000,0x40000137,0x1abccba8,0x79730000,0x3fea0013,0x02ffffff,
    0x7fffffec,0x0000006f,0x2f32ea20,0x7ffd401a,0x402fffff,0xfffffffd,
    0x7fffff46,0xffffffff,0x0fffffff,0xfffffff5,0xfffd805f,0x2006ffff,
    0x0009bcca,0xf5001800,0x223fffff,0xfffffffe,0xffffffff,0x79951000,
    0x73000005,0x22001379,0xfffffffe,0xffffffff,0x4407ffff,0x0001acca,
    0x566654c0,0x7fffd401,0x6c02ffff,0x6fffffff,0x7ffffff4,0x3f6004ff,
    0xffffe86f,0xfb805fff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x370003b1,0x20006e00,0x2e000009,0x40037001,0x00730039,
    0x8800c880,0x2666000b,0x99999999,0x54400000,0x041acddc,0x02a00350,
    0x0032a000,0x00ca8000,0x02ea0000,0x02002000,0x7000c800,0x400aa003,
    0x8000002a,0x0057002a,0x0002ea00,0x20033333,0x19999998,0x9800b980,
    0x01b50003,0x2e880000,0xfa8005d4,0x3e2002ff,0x0ffa203f,0x67ffdc40,
    0xf1002880,0x1ff4409f,0x401df900,0x4c0006fb,0x3fea02ff,0xfffff001,
    0xffffffff,0xb80007df,0xffffffff,0xff02f88d,0x027ec407,0x07bff200,
    0x3ff20000,0xc800001e,0x640006ff,0x07fea06f,0x300bf100,0x37fa009f,
    0x00bfb100,0xd006fd88,0x27ec40bf,0x37fe4000,0xfffffd00,0xffff8805,
    0x5c05ffff,0x3fee01ef,0x7ffe4000,0x32000001,0x017fe62f,0x13fefff2,
    0x40dfe980,0xd1004ffa,0x17fff9df,0xe9801fea,0x27fd40df,0x217fe400,
    0x0001efd8,0xfb84ffa8,0x332a002f,0xcccccdfd,0x01effedc,0x4dfff440,
    0xfbffb530,0x217fe607,0x0000dfe9,0x7ff9dfd1,0x3fa20000,0x0003ffce,
    0x00ffffc0,0x205fff00,0xf8004ffd,0x01ff401f,0x4c1efd88,0x26000dfe,
    0xd1004fff,0xdfe981df,0xfff80000,0xb995001f,0x99700dff,0x00399fd9,
    0xfd885ff9,0x3fa2001e,0x0003ffbd,0x7dc7f880,0x3bfa207f,0x001dfd10,
    0x7e47bf62,0x0fee002f,0x3ffdfff7,0x1efd8800,0x40005ff9,0xbfd34ffa,
    0x74400001,0x1efd88ef,0x00bee000,0x8007ff22,0x7cc00cfd,0x3f6203ff,
    0x007ff50e,0xf327fcc0,0xf98000bf,0x017fe64f,0x07ffd800,0x807fe400,
    0xb8001ffa,0xefc881ef,0x97fdc000,0xe8003ffa,0xff90003f,0x000ffee5,
    0x007ffc80,0x007fdf50,0x54000fd8,0x1bfd34ff,0x327fd400,0x00001bfd,
    0x3fea1fdc,0x209ff307,0x2e002ffc,0x000efeff,0xbfd91008,0x7fdc0001,
    0x80000efe,0x03ffefe8,0x3ff20000,0x40000dfe,0x3ea002fb,0x05fb800e,
    0x200ffe60,0x01ffdffc,0x20bfee00,0x8000efe8,0xfe882ffb,0xb880000e,
    0x0080001c,0x36000088,0xffecdfff,0xff50001f,0x30003ffd,0xfa8000df,
    0x0001ffef,0x000e5c40,0x00febfa8,0x20003f60,0x03ffefe8,0x4417fdc0,
    0x00001efd,0x6ffa81ff,0xfa805fb0,0x27f4c006,0x00000000,0x004fe980,
    0x01efc800,0xffa80000,0x5f700003,0x803fb800,0x7e4000fd,0x1bff5003,
    0x0f7c4000,0x10013f20,0x4fc803df,0x00000000,0x20000000,0xcfffffea,
    0x7f440000,0x7f50000d,0xbfd10000,0x00000001,0x3eafea00,0x003f6005,
    0x001ffc80,0x7dc00ef8,0x4fa80004,0x1106ffa8,0x20002200,0x00000028,
    0x01440000,0x00150000,0x00cc0000,0x005f7000,0x0df00bf0,0x4007f500,
    0x03000038,0x0c000440,0x00001100,0x00000000,0x35310000,0x00500000,
    0x0002fa80,0x000000a0,0x27f50000,0x1fb002fd,0x000a8000,0x00040010,
    0xf980fe80,0x0000005f,0x26620000,0x22019999,0x01999999,0x00000000,
    0x00000000,0x017dc000,0x37c03f40,0x0001d800,0x00000000,0x00000000,
    0x59bb9730,0xb9800103,0x0000acdd,0x00000000,0x017d4000,0x00000000,
    0x06b3b2ea,0x227f5004,0x01fb006f,0x00000000,0x7d400000,0x80bff304,
    0x1acddca8,0x99999804,0x99999999,0x3fffe209,0xf985ffff,0x4fffffff,
    0x33333331,0x33333333,0x99813333,0x99999999,0x22000009,0x99999999,
    0x5f700000,0x807f8800,0x2200007e,0x99999999,0x81999999,0x19999998,
    0x99999880,0x4ccccc09,0x33333000,0xfffd5001,0x25dfffff,0xfff7007c,
    0x019fffff,0x26666660,0x99999999,0x98819999,0x99999999,0x0bea0000,
    0x00333330,0x26666662,0xfffeb801,0x323fffff,0xfc8fea06,0x300fd803,
    0x33333333,0x33333333,0x26666033,0x99999999,0x3a000099,0x09ff101f,
    0x7fffffdc,0x42f88dff,0xffffffff,0xffffffff,0x337f72e3,0x999701cc,
    0x3fa399ff,0xffffffff,0xffffffff,0x3fffe2ff,0xffffffff,0x20003eff,
    0xfffffffb,0x700007ff,0x5fa8005f,0x0003fc80,0xffffff90,0xffffffff,
    0xfffff88f,0x3ea06fff,0x3fffffff,0x5ffffffb,0xffffff80,0x3bff600f,
    0xfeca88ac,0x2200feef,0xa88acefd,0x7c01ffec,0xffffffff,0xffffffff,
    0x3fee0fff,0xffffffff,0x2001bdff,0x3ffa02fa,0x7c402fff,0x5fffffff,
    0x37bffb10,0x27bfeea2,0xd0fea07d,0x80fd801f,0xffffffff,0xffffffff,
    0x7fc0ffff,0xffffffff,0x03ffffff,0x2205f980,0xffe884ff,0xffb5309b,
    0xccca87fb,0xcccfeccc,0xfb80bccc,0xd0fd0002,0x9999999f,0x999999fd,
    0x66545fb9,0xcccccdfd,0x01effedc,0xccccc880,0x002fdefc,0x2002fb80,
    0xe8801ffa,0xfc80003f,0xcccccccd,0xb87ecccc,0x2ccccefd,0x33332e20,
    0xfb930cef,0xca80179d,0xd103cffd,0xf91001df,0x3fa601ff,0x02ffc805,
    0x337f732a,0xcccccccc,0x220feccc,0xccccffcc,0x3fffeccc,0x5405f500,
    0x806ffdcc,0xccfecccb,0x00dfe881,0x207fffb8,0x027d43fa,0x332a03f6,
    0xcccccdfd,0xeccccccc,0x6666540f,0xccccfecc,0xd8000bcc,0x427fc01f,
    0x7cc00cfd,0x3f2003ff,0x017dc000,0x06e87e80,0x5f7007ec,0x2200bee0,
    0x00001ffc,0x00bf17f5,0x2005f700,0x26003ffc,0x0009bffe,0x26001fc8,
    0x009f306f,0x2209f100,0x7e4000fe,0x002fec03,0x7c407fdc,0x3fee003f,
    0x002fb800,0x0fd00fc8,0x01bfd510,0xf5002fa8,0xfd8007fd,0x0013f600,
    0x7d40fff3,0x3601fd83,0x017dc00f,0x90007e40,0x4c00001f,0x43ff806f,
    0x3e6005fb,0x03f2003f,0x0005f700,0xb01ba1fa,0x817dc01f,0x3ea002fb,
    0xfd80000e,0x80001fb0,0xdb9882fb,0x50002ffe,0x379dfffd,0x2003f900,
    0xbf101fe8,0x07f30000,0xf5002fd4,0x00efa80b,0xf901ff00,0x0bf50007,
    0x90005f70,0x001fa01f,0x2fa80bfb,0x1fd7f500,0xb807ec00,0xff50006f,
    0x7cc1fd40,0x7003f606,0x1f90005f,0x0007e400,0xf005fb00,0x000fd87f,
    0xf9001fe4,0x02fb8001,0x0dd0fd00,0x3ee00fd8,0x8005f702,0x440003fb,
    0x000fea5f,0xffffff70,0x017fffff,0xfd951000,0x32019fff,0x07f9001f,
    0xa80006f8,0x01fe402f,0x7fc00fe8,0x21f20001,0x3a0006f9,0x017dc02f,
    0x7e807e40,0x202fd800,0x7f5002fb,0x7ec00bf5,0x0003ff00,0x07f503fc,
    0x07ec0ff2,0x2000bee0,0x3f2000fc,0xdf100000,0xdf0bfa00,0x007f5000,
    0x2e0007e4,0x0fd0002f,0x00fd80dd,0x17dc0bee,0x0002fc00,0x00df0bee,
    0xeeeefb80,0x001fffee,0x3ae62000,0x01fc80ef,0x7e805fa8,0xb80b3220,
    0x07fc401f,0xf500ff20,0x8088000b,0x2a0002fd,0x017dc06f,0x7e807e40,
    0x206f8800,0x7f5001fd,0x7ec00bf6,0x0004fa80,0x07f50364,0x3f603fe2,
    0x0017dc00,0xf90007e4,0x3f200001,0xf85fd002,0x003b0006,0x2e0007e4,
    0x0fd0002f,0x00fd80dd,0x17dc0bee,0x0003f400,0x03f903fa,0x8817dc00,
    0x00001ffd,0xc83ff700,0x07fc401f,0xff703ec0,0x4007e40d,0x1be605fa,
    0x0000bf60,0x00017e60,0x2fb803fa,0x3a07b800,0x07f70007,0x7d400ff5,
    0x3600df13,0x000fe80f,0x0fea0080,0x0fd84fa8,0x40017dc0,0x07e4007b,
    0x037c4000,0x07e83fb0,0x1f900000,0x002fb800,0x80dd0fd0,0x0bee00fd,
    0x220017dc,0x3e60007f,0x0004f985,0xff900bee,0x20000005,0x007d45fa,
    0x7e400bf6,0x01fbfd00,0x2fd801f6,0xff003fd0,0xf5000001,0x7f500005,
    0x01017dc0,0x000fd004,0x3ffd53f4,0xf91fd400,0xf01fb007,0x5000000f,
    0x41fe807f,0x17dc00fd,0x20004010,0xb80000fc,0x07f6003f,0x000007f9,
    0xb8001f90,0x0fd0002f,0x00fd80bb,0x17dc03e6,0x0017ea00,0x0fd02fc8,
    0x4017dc00,0x00001ffa,0x7000fd00,0x0fdc00bf,0x81fd77c4,0x3fe2007e,
    0x4401fdc0,0x7000006f,0xf300003f,0xf017dc0b,0x00fd0007,0xffe87e40,
    0x21fd4005,0x07ec00fe,0x000017e2,0xf300fea0,0x5c00fd8d,0x000fe02f,
    0x00007e40,0xf90007fc,0x003fe881,0x007e4000,0x4000bee0,0x1fb0007e,
    0x017dc000,0x0003ff50,0x05f703f4,0x400bee00,0x09800ef9,0x007ee000,
    0x2000ef98,0x8bfa82fb,0x800dd05f,0x01be65fa,0x000027cc,0x00000fd8,
    0x817dc0df,0x7e8004f8,0xb8bea000,0x3ea004ff,0x36027d43,0x0027cc0f,
    0x01fd4000,0x01fb17e4,0x9f102fb8,0x03f20000,0x007f7000,0xffd30398,
    0x80000137,0x7dc000fc,0x00fd0002,0x80003f60,0xff9002fb,0x27cc0007,
    0x2000bf10,0x3ee002fb,0x0005f805,0xfe800bea,0x41fd4001,0x3e0fd1fc,
    0xd2fd8005,0x13e6003f,0x03f40000,0x5c0fd000,0x009f102f,0x4c000fd0,
    0x000ff83f,0x03fb07f5,0x0fe607ec,0x3ea00000,0xb0ff8803,0x02fb801f,
    0x200009f1,0x740000fc,0xa800000f,0x1bcefffe,0x007e4000,0x4000bee0,
    0x1fb0007e,0x417dc000,0x2ffedb98,0x00fe4000,0x2e0003f6,0x17ec002f,
    0xc8001fe0,0x07f9001f,0xfd09f300,0x13e20fdc,0x3f3fe200,0x013e6004,
    0x0037c000,0x7dc0fd00,0xffffffff,0x007e8004,0x3f213e60,0x307f5001,
    0x207ec0df,0x000003f9,0xf7003fa8,0xf7003f69,0xffffffff,0x3f200009,
    0x13ea0000,0x95100000,0x019ffffd,0x8001f900,0xfd0002fb,0x003f6000,
    0xfffffb80,0x0bffffff,0x806f8000,0xfb8003fa,0x037c4002,0x22000bfe,
    0x0df5007e,0xf313e200,0x3e627ccb,0xdff50003,0x004f9800,0x26666666,
    0x0001fa19,0x3bee07e8,0x4feeeeee,0x0007e800,0x0bea13e6,0xfc81fd40,
    0xf981fb03,0xa8000003,0x27fa003f,0x77dc00fd,0x4feeeeee,0x01f90000,
    0x0007f400,0x2e620000,0x64000efe,0x17dc000f,0x0007e800,0x5c0001fb,
    0xfeeeeeef,0x500001ff,0x01be007f,0x2000bee0,0x3ffe03fb,0x027ec001,
    0x00007fc4,0x7c2fb8bf,0x00017d46,0xf88005fb,0xffff8804,0xb6ffffff,
    0xf100001f,0x8817dc0d,0x07e8004f,0x2a13e600,0x07f5002f,0x3f603fe2,
    0x00027cc0,0x001fd400,0x801fbbf3,0x09f102fb,0x003f2000,0x0002fd40,
    0x7fdc0000,0x003f2001,0x20005f70,0x1fb0007e,0x817dc000,0x0001ffd8,
    0x9999afd8,0x1fd99999,0x0017dc00,0xfff00fe8,0xbfb1005f,0x000bf600,
    0x40fd8dd0,0x00bee0fd,0x8001fc80,0x9997006f,0x259fd999,0x980001fb,
    0x40bee05f,0x7e8004f8,0x20be6000,0x7f5002fa,0x7ec27d40,0x00006f80,
    0x4003fa80,0x5c00fffd,0x009f102f,0x0003f200,0x00000fec,0x05fa8000,
    0x70003f20,0x1fa0005f,0x0007ec00,0xfc805f70,0x3e20002f,0xffffffff,
    0x804fffff,0xeeefeeec,0xddf5003e,0xefe9df89,0xfca999ab,0x5fb800ef,
    0x1f601880,0x647f50df,0x3f20001f,0x007e8001,0x3ea0fd80,0x3fa80002,
    0x3e80bee0,0x0007e800,0x0bea07ee,0x3a01fd40,0x7407ec1f,0x32000007,
    0x3eeeefee,0x007ffc40,0x03e80bee,0x001f9000,0x2000bf30,0x00003ed9,
    0x0fc801fa,0x001fcc00,0xfb0006f8,0x17dc0001,0x000ffd40,0xccccdfb8,
    0xeccccccc,0xffffe807,0x2004ffff,0x91ec6ffd,0xffffffff,0x3fe2005d,
    0x3206d800,0xf109f30f,0x00007e4b,0xf90003f9,0x0fd80001,0x200017e6,
    0x0bee00fe,0x7e80c400,0x541f6000,0x07f5002f,0x07ec6f98,0x00000fec,
    0xffffffe8,0x0ffb805f,0x80017dc0,0x03f20018,0x0007f600,0x4cffffe2,
    0x07ee0000,0x40007e40,0x5fa8004f,0x001fb000,0x98017dc0,0x7e8000ef,
    0x002fb800,0x80000000,0x01acfda9,0xd800ff40,0x7e47ee07,0x03ecfd01,
    0x0007f200,0xb0000fee,0x002fd81f,0xf701bea0,0x41f20005,0x17e0007e,
    0xfa8017d4,0x362fc803,0x006f980f,0x00000000,0x0005f700,0x0fc801f2,
    0x0037c400,0xf5ffff98,0x17d4000b,0x8000fc80,0x3fc8006d,0x001fb000,
    0x70017dc0,0x4f9800bf,0x005f8800,0x00000000,0x7e4001ea,0xa81f6004,
    0x7e40fd2f,0xc8000dd1,0xff88001f,0x03f60000,0x74000df1,0x017dc02f,
    0x7e80fd80,0x207f7000,0x7f5002fa,0x361ff100,0x007f900f,0x00001a80,
    0x017dc000,0x9000fd80,0x2fc8001f,0x3fffe000,0x64000ff3,0x01f9001f,
    0x4007f700,0xb0001fe8,0x7dc0001f,0x017ec002,0x20003f90,0xc80000fd,
    0x000000ac,0xf98007f5,0x503ec006,0x4c0bf15f,0x8000bf4f,0xf50001fc,
    0x07ec000d,0x5c001fe4,0x02fb805f,0xfd01fb00,0x01ff5000,0x7d400bea,
    0x369f7003,0x03ff100f,0x000ff600,0x00005edc,0x360005f7,0x01f9000f,
    0x00037c40,0x2ff872e2,0x007e8800,0x220003f2,0xfe8801ff,0x03f60003,
    0x002fb800,0xdf0037c4,0x01fd4000,0x027e4c00,0x6ec98000,0x003fd100,
    0x2fe607d8,0x477c03fa,0x7e40004f,0x33f20001,0x80fd8000,0x2e004ff8,
    0x2fb800ff,0xd01fb000,0x2ff9800f,0x54013e60,0x27fa003f,0x3fe600fd,
    0x1bfa2002,0x06ec8800,0x000bee00,0xfc8007ec,0x00ff2000,0x0fffc000,
    0x8013f600,0xf30000fc,0x37f4405f,0x003f6000,0x8002fb80,0x3fa803fb,
    0x0037c000,0x0000f300,0xfb005f00,0x40fb0007,0x401fdcf8,0x0004fafd,
    0x10000fe4,0x54007ffb,0xbfd100fe,0x01ffc801,0x20005f70,0x007e80fd,
    0xf1013fa2,0x00fea00f,0x00fddf98,0x4c027fcc,0x200005fe,0x5f70002f,
    0x003f6000,0xf88007e4,0x3e000007,0xd8802fff,0x07e4005f,0x7bff3000,
    0x1bffb533,0x00fd8000,0x000bee00,0x3f6007f4,0x0fe40000,0xd99bc800,
    0x3ea00005,0x400fb9ad,0xfb0005fa,0x806fdf80,0x0003fdfa,0x40000fe4,
    0x9abceffa,0x4fffca99,0x9bdffd80,0x01effdb9,0x4000bee0,0x807e80fd,
    0x9003ffc8,0x7d4015df,0x7ffec003,0xceffa800,0xffeca99b,0x26ee0003,
    0x70000fb9,0x3f60005f,0x001f9000,0x00000fee,0xbefe9df8,0xffca999a,
    0xeeeec80e,0xeeeeffee,0xd9801dee,0x3fffffff,0x7776cc00,0xeeeeeffe,
    0x3fbbb204,0x5003eeee,0x76cc9ddf,0x01deeeff,0x77f7775c,0x7fd4004e,
    0x400001df,0x802effeb,0xeeeeeefa,0xeeeeeeee,0x27ff407f,0x017ffc40,
    0xfeeeed98,0x04eeeeef,0xffffc880,0x0befffff,0x3fffee00,0x800bffff,
    0xeeefeeec,0xeeeeeeee,0xb30ffeee,0xdddddffd,0x05ffffdd,0xc87ffc80,
    0x3eeeefee,0x007ffc40,0xffffff70,0x80003bff,0x002effe9,0x777f7764,
    0xeeeeeeee,0x20ffeeee,0xfeeeeeec,0xdeeeeeef,0x00003fe1,0x3ff23d80,
    0x2effffff,0x3fffff60,0xffffffff,0x5cc002ff,0xa80009bc,0xffffffff,
    0x3a05ffff,0xffffffff,0x9bff6004,0xfffffffa,0x7ffec02f,0x0006ffff,
    0x00000011,0x7ffd4001,0xffffffff,0x407fffff,0xfd002ffd,0x3fea003f,
    0xffffffff,0x440006ff,0x01abccba,0x5e654400,0x7fff4002,0xffffffff,
    0xffffffff,0xfffff50f,0xbdffffff,0x82a80005,0xfffffffe,0x00ffb805,
    0x1bcca880,0x00100000,0x3fffffa0,0xffffffff,0x0fffffff,0x3ffffff6,
    0xffffffff,0x00002e2f,0x6654c000,0x000001ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x006e0037,
    0x65d40000,0x00101ace,0x200036a0,0x19999999,0x26666620,0x02002000,
    0x4ccccc40,0x00099999,0x005b5000,0xddcb9800,0x320081ac,0x2c837000,
    0x26000000,0x0000000d,0x02000000,0x02000020,0x36a00020,0x0800000c,
    0x00000080,0x99999880,0x99999999,0x5c400009,0x2a002bcc,0xb980000b,
    0x33f6a000,0x400e5c40,0x5f8805f8,0xfffffd80,0x7ff5c02f,0x23ffffff,
    0xffc8006c,0x3ffe001f,0x86ffffff,0xfffffff9,0x206fc801,0x3e201ffa,
    0xffffffff,0x00003fff,0x077fff62,0xfffd5000,0x25dfffff,0x00bf107c,
    0x00fe89f3,0xffb80000,0x3ffe001f,0x3201ffff,0xffffffff,0x64005fff,
    0x07fea06f,0x5037e400,0xff5003ff,0x0b707fff,0x540df900,0x354001ff,
    0x3ffe035c,0xffffffff,0x003fffff,0xffffff70,0x0fff7009,0x0fffb800,
    0x4ffff880,0x01bfffe6,0x7fb00bfe,0xddddd700,0x3ff6205f,0xff7511bd,
    0x4400fb3d,0x03ffbefe,0x9bfb9950,0x372e0399,0xf800bdff,0x7ffb01ff,
    0xeccccb80,0x00cccccf,0xdffc8800,0x000cffd9,0x8aceffd8,0xeeffeca8,
    0x803ff00f,0x027d43fe,0xdfb10000,0x3e007ff7,0x00deeeef,0x3bbbbbae,
    0x003eeeee,0xfd817ffc,0xfff0004f,0x00fff603,0xff719ff3,0x00dfb37f,
    0x3603fff0,0x7e4003ff,0x32a03ec0,0xcfeccccc,0x00cccccc,0x89aefd80,
    0xffe802b9,0x3f60002f,0xff9802ff,0x3fff65ff,0x77dc01ff,0x00ffc881,
    0xd105f500,0xff7001bf,0x3fea00ff,0x0037fa64,0x26002fb8,0x7e4003ff,
    0x007fea06,0x00003f60,0x30bbfe60,0x22005ffd,0xc8800efe,0xdf700fff,
    0x01df9103,0x000001ff,0x3a61bfd3,0x037c00df,0x40000000,0xff500ffc,
    0x1bf20003,0x4c01ffa8,0x7ffe440c,0xdf90005f,0x000ffd40,0x00fd03f6,
    0x00007e40,0x8000bf70,0x0000fffc,0x4003ffee,0x3fe2fffe,0xd803ffff,
    0xffecdfff,0x3ea0001f,0x4004fd82,0xfb807ff9,0x1efd882f,0x2005f700,
    0x10002ff9,0x20001100,0x800000fd,0x7fdc03fe,0x005fd800,0x3600ffb8,
    0xffecdfff,0x007f701f,0x83ffa800,0x3e01efd8,0x00000006,0x01100100,
    0x00800800,0x03771000,0x08800800,0x7e87d800,0x003f2000,0x007fc400,
    0x0076e200,0x00076e00,0xfffb8395,0xfd5000ff,0x0019ffff,0x7dc2fa80,
    0x0ff50006,0xfb801df0,0x005f7004,0x00003ff5,0x7ec00000,0x08800000,
    0x3ea00600,0x1ff0000e,0xffffea80,0x1fe200cf,0x03ff0000,0x1be05fb8,
    0x2600d400,0x00000002,0x00000000,0x00000000,0xf87e8000,0x03f20006,
    0x01fd4000,0x00000000,0x7e440000,0x988002ef,0x2a00001a,0x000ffc2f,
    0x00100ff0,0x05f70004,0x0001efb8,0x6c000000,0x0000000f,0x03ff0000,
    0x1003e400,0x7e400353,0x02200002,0x0df00440,0x203ff900,0x00003ffa,
    0x00000000,0x9bb73000,0x00000015,0xf86f8000,0x03f20005,0x017dc000,
    0x00000000,0x01100000,0x00000000,0x027d45f5,0x0001b200,0x02fb8000,
    0x88003bf2,0x01999999,0x26666662,0x000fd801,0x0fffff40,0x17ea0000,
    0x00011000,0x00df1000,0x20000000,0xffd8006f,0x00bff703,0x99999988,
    0x4c000099,0x99999999,0x80099999,0xfffffffb,0x333000cf,0x33333333,
    0x33333333,0xbf11be00,0x007e4000,0x001fc800,0x4ccccccc,0x09999999,
    0x4cccccc4,0x99999999,0x44000001,0x99999999,0x3ea00000,0x00003fa2,
    0x26666602,0x99999999,0x40199999,0x1bfb02fb,0x7fffc400,0xf985ffff,
    0x4fffffff,0x00007ec0,0x007fbbb2,0x005fb000,0x4cccc000,0x99999999,
    0x05f90099,0x4ccccc00,0x26666201,0x40037c09,0xdb100de9,0x7ffdc003,
    0x07ffffff,0x3ffffe00,0xffffffff,0xfb103fff,0xd951159d,0xfff803ff,
    0xffffffff,0xffffffff,0x445f800f,0x3f20004f,0x1f900000,0x7ffffc00,
    0xffffffff,0x3ff23fff,0xffffffff,0x0007ffff,0x3fffee00,0x007fffff,
    0x7f8bea00,0xfff00000,0xffffffff,0xffffffff,0x217dc01f,0x70005fd8,
    0x3999bfb9,0x3ff332e0,0x07ec01cc,0x03f70000,0x00ff8000,0xffff0000,
    0xffffffff,0xf107ffff,0x3ff2000d,0xf886ffff,0x23ffffff,0x0000006f,
    0x66664400,0x02fdefcc,0x99999500,0x99999fd9,0xbfd30179,0x405ff900,
    0xccdfdcca,0xcccccccc,0x4400fecc,0x0027cc5f,0x00001f90,0xca8003f2,
    0xcfeccccc,0x20bccccc,0xcccccdfc,0x7ecccccc,0x91000020,0xbdf99999,
    0x2a00005f,0x000bf12f,0x3f732a00,0xcccccccd,0x0feccccc,0xfe88bee0,
    0x2fb80004,0x400fd000,0x200000fd,0x200001fb,0x000006f8,0x3333332a,
    0xccccccfe,0x003fb00b,0x99bfb930,0x3fb32e05,0x001be0bd,0x40000000,
    0x005f8bfa,0x000fc800,0xb800ffe2,0x2fb800ff,0x400fc800,0x01fcc4f9,
    0x0001f900,0x00003f20,0xfc8007e4,0x41be6001,0x5000007b,0x000bf17f,
    0x27ccbea0,0x7dc00000,0x00fc8002,0x37f44bee,0x02fb8000,0x6c00fd00,
    0x2e00000f,0x2600001f,0x0000004f,0x30001f90,0x7dc000bf,0x40fe4002,
    0x0000006f,0x21fb0000,0x400000fd,0x3f2000fc,0x05fa8003,0xc8002fb8,
    0x21fcc00f,0x320003fa,0xeec8000f,0xeeeeffee,0x0fc8002d,0x2003f900,
    0x1fb01fe8,0x1fb00000,0x200003f6,0x007f32fa,0x05f70000,0x5c01f900,
    0xeffff9af,0x17dc0001,0x2007e800,0x200000fd,0x200001fb,0x000004f9,
    0x0001f900,0x5c0007f6,0x0fe4002f,0x0000037c,0x2fc40000,0x800007f5,
    0xdf3000fc,0x017f4000,0x32000bee,0x77775c0f,0xefeeeeef,0x9000deee,
    0xffd0001f,0xffffffff,0x1f90007f,0x4007f200,0x07f603fc,0x4bf10000,
    0xa80003fa,0x0007f32f,0x005f7000,0x7dc01f90,0xffc8affd,0x5f70000c,
    0x801fa000,0x200000fd,0x200001fb,0x000004f9,0x0001f900,0x5c0013ea,
    0x0fe4002f,0x6654037c,0x665c01cc,0xb8000ccc,0x00037c2f,0x6c003f20,
    0x3ea0002f,0x0017dc06,0x3ffa07e4,0xffffffff,0x01ffffff,0x00001f90,
    0x400003f2,0x3f9000fc,0xe80bf500,0x0001101f,0x006f85f7,0x7f32fa80,
    0xf7000000,0x01f90005,0x220fffdc,0xf70005fd,0x01fa0005,0x00000fd8,
    0x04c407ee,0x4009f300,0x99999999,0x003f2001,0x8000fe80,0x7e4002fb,
    0xfe806f81,0x7fc02fff,0x8001ffff,0x00fe40fe,0x001f9000,0xd0000bf3,
    0x017dc01f,0x7dc03dc0,0x0000fe42,0x200001f9,0x900000fc,0x07f2001f,
    0xe801ff10,0x77fe442f,0x903fa002,0xfa80003f,0x00009f32,0x0005f700,
    0x0efb80f7,0x2000ff60,0xfd0002fb,0x0007ec00,0x2a1fb804,0x04fffffd,
    0xf8804f88,0xffffffff,0x01f9006f,0x0027d400,0x320017dc,0x3006f81f,
    0x33005f73,0x98003f93,0x004f985f,0x2003f200,0xa80002fa,0x80bee03f,
    0x3f200200,0x00007e41,0x200001f9,0x900000fc,0x03ea001f,0xfd005fb0,
    0xfffffb85,0x985f9800,0x7d40004f,0x00001be2,0x0080bee0,0x005f7002,
    0xfb8003fb,0x00fd0002,0x360007ec,0x3f23f706,0xeffdccef,0xb8037c01,
    0xfecccccc,0x01f9002c,0x000fe800,0x320017dc,0x4006f81f,0x7e4002fa,
    0x817e4001,0x3200007e,0x01fb800f,0x205f9800,0x00fe02fb,0x7ec0fc80,
    0x03f20000,0x007e4000,0x000fc800,0x4017ee00,0x7fffc3ff,0x2fc803ff,
    0xa8000fd0,0x0001fa2f,0xf80bee00,0x05f70003,0xb800df10,0x0fd0002f,
    0x20007ec0,0xfd5f707e,0x2037e409,0xfd80007e,0x003f2000,0x8007f700,
    0x7e4002fb,0x54006f81,0x0fe4002f,0xfb81fa00,0x1f900002,0x0001fb00,
    0x2fb81be0,0x40009f10,0x003ec0fd,0x00003f20,0x800007e4,0x300000fc,
    0x3fe001df,0x7ffffec3,0x2e07e801,0x3ea0002f,0x00007f62,0x2205f700,
    0x5f70004f,0x800ff200,0xfd0002fb,0x0007ec00,0x7ffdc1fa,0x204fc802,
    0x6c0000fc,0x03f2000f,0x001fe000,0xfc8005f7,0x54006f81,0x0fe4002f,
    0x4409f300,0xf900005f,0x000fd001,0x5f703f40,0x80013e20,0x0007e87d,
    0x800007e4,0x900000fc,0x3a00001f,0x9ff1001f,0x05ffff98,0x3e204f98,
    0x8bea0005,0x000006f9,0x4f8817dc,0x005f7000,0xfb801be2,0x00fd0002,
    0x3a0007ec,0x007ff707,0x07f7037c,0x000fd800,0x200003f2,0x3ee003fb,
    0x40fe4002,0x17d4006f,0x8007f200,0x07ec01fc,0x007e4000,0xd000037c,
    0x7fffdc0f,0x004fffff,0x3fd33331,0x333df333,0x00fc8001,0x001f9000,
    0x0003f200,0x8800ff20,0x1cb884ff,0xd803f900,0x5f50000f,0x40003fc8,
    0xffff701a,0x009fffff,0xc800bee0,0x05f7002f,0xd801fa00,0x83f4000f,
    0x7ec003fb,0x001ff100,0x90007ec0,0xf100001f,0x7ffdc00d,0xffffffff,
    0x6f81ffff,0x0017d400,0x6f8007f2,0x0003fa80,0x7e800fc8,0x81fa0000,
    0xeeeeeefb,0xffd004fe,0xffffffff,0x05ffffff,0x00007e40,0x00000fc8,
    0xa80001f9,0x7fc4006f,0x0df00005,0x20007f50,0x0ffc42fa,0x703fd800,
    0xdddddddf,0x3ee0009f,0x017e2002,0xe80017dc,0x003f6007,0x07ee0fd0,
    0x5401f900,0x3f60006f,0x003f2000,0x8017e400,0xeeeeeefb,0xffeeeeee,
    0x54006f81,0x0fe4002f,0xf003fa80,0x1f90000d,0x0001fb00,0x7dc0df10,
    0x2009f102,0xcffcccc9,0xcccefccc,0x03f2000b,0x007e4000,0x000fc800,
    0x0003fe20,0x05c4bff3,0x400fea00,0x5f50006f,0x4005ff30,0x3ee06fe8,
    0x0009f102,0xfb000bee,0x005f7001,0xfd801fa0,0xb83f4000,0x07e4001f,
    0x00033f20,0xfc8003f6,0xdf100000,0x000bee00,0x00df03f9,0x64002fa8,
    0x35fb001f,0x33333333,0xc80003fb,0x01fb800f,0x205f9800,0x09f102fb,
    0x3e22fc00,0x07e40004,0x00fc8000,0x001f9000,0x40017ec0,0x3be66ff9,
    0x26bf6001,0x99999999,0xfa8001fd,0x009ff302,0xfb80bfd3,0x0009f102,
    0xf5000bee,0x005f7009,0xfd801fa0,0xb83f4000,0x07e4001f,0x00fff620,
    0x2000fea8,0x200000fc,0x2fb802fd,0x7c0fe400,0x017d4006,0x22007f20,
    0xffffffff,0x04ffffff,0x4007e400,0xa80002fa,0x80bee03f,0xbf10003e,
    0x40004f98,0x900000fc,0x3200001f,0xbf70000f,0xffa83100,0x400ffdc6,
    0xfffffff8,0x4fffffff,0x202fa800,0x99bceffa,0x803ffeca,0x00fa02fb,
    0xeefeeec8,0xeff803ee,0x02fb80de,0x3b60fd00,0xeeeffeee,0xeeeeeeee,
    0x03f707fe,0x5000fc80,0x33579dff,0x09fff953,0x0000fc80,0x2e017e60,
    0x0fe4002f,0x3ea0037c,0x00fe4002,0x66666fdc,0xeccccccc,0x07e40007,
    0x0002fcc0,0x5f7007f4,0x98062000,0x401fcc4f,0xfeeeeeec,0xdeeeeeef,
    0x003f2001,0x0007e400,0x6c007fc4,0x543ffd46,0x6fdc02ff,0xcccccccc,
    0x8007eccc,0xffb802fa,0x1dffffff,0x0005f700,0xffffb062,0x9009ffff,
    0xf301dfff,0x21be0007,0xffffffe8,0xffffffff,0x707fffff,0x0fc8003f,
    0x3fff2200,0xbeffffff,0x00fc8000,0x00fec000,0xf9000bee,0xa800df03,
    0x0fe4002f,0x5c003f40,0x3f20002f,0x005fb000,0x2e037d40,0x0f90002f,
    0x0fea1fcc,0x3fffff60,0xffffffff,0x3f6002ff,0x1f900000,0x003fd000,
    0x0fff71f6,0x7e80ffe6,0x002fb800,0x710017d4,0x7000379f,0x1f20005f,
    0x20000000,0x5fa8004f,0x40000000,0x7e4001fb,0x97510000,0x80003579,
    0x400000fc,0x17dc05f9,0x3e07f200,0x017d4006,0xf3007f20,0x0bf10009,
    0x8007e400,0x3a0006f8,0x017dc02f,0xf500fd80,0x0002fa87,0x000033f2,
    0x900003f4,0x4fc8001f,0xff11f600,0x427f4409,0xf88004f9,0x017d4005,
    0x70001e60,0x3f60005f,0x00000000,0x7e40036c,0x00000003,0x32000fdc,
    0x0000000f,0x000fc800,0x200fe800,0x7e4002fb,0x4c006f81,0x3fea004f,
    0x000fe401,0x90000fd8,0x1fe4001f,0x402fdc00,0xfb0002fb,0xf70bea01,
    0x027c0005,0x00bf3000,0x0007e400,0x7d800df3,0x4d880188,0xb0001fc8,
    0x17d4001f,0x002fe600,0x80017dc0,0xdb8000fd,0x7dc0000b,0x07fa2003,
    0x00bdb800,0x8003f700,0x2e0000fc,0x200000bd,0x800000fc,0x0bee04fa,
    0xdf03f900,0x00ff8800,0x401fffc8,0x3ea0006f,0x01f90003,0x0027fc40,
    0xf7001ff7,0x03f60005,0x07f217dc,0x0007cc00,0x0005fb00,0x88007e40,
    0x3ec001fe,0x06f80000,0x800fea00,0x644002fa,0xfb8000fd,0x01fb0002,
    0x00dd9100,0x801ff880,0x40003fe8,0x70006ec8,0x0fc8003f,0x1bb22000,
    0x00fc8000,0x01fd0000,0xf9000bee,0xb000df03,0x77f4407f,0x0fea01fd,
    0x000df000,0xd10003f2,0xffc801bf,0x005f7001,0x7dc03f60,0x80007e41,
    0x044001f8,0x00017f62,0x36001f90,0x07d8003f,0x03fa8000,0x50037c00,
    0x1f40005f,0x0017dc00,0x40000fd8,0x7cc0002f,0x1bfa202f,0x005f0000,
    0xc8003f70,0x5f00000f,0x03f20000,0x27dc0000,0x64002fb8,0x8006f81f,
    0xca9beff8,0xddf94ffe,0x0001fb07,0xc8001fc8,0xffb0000f,0xffb7337b,
    0x17dc003d,0x900fd800,0x000fd83f,0x3ee6fb60,0x3b7bfe02,0x00000dff,
    0x7d4007e4,0x00fb0005,0x001fb000,0x3301fc80,0x3005f733,0x03f735bf,
    0x0005f700,0xbb8003f6,0x0000fb99,0x99bdff98,0x000dffda,0x3ee66ee0,
    0x01fb8000,0x40007e40,0x00fb99bb,0x001f9000,0x407fc000,0x7e4002fb,
    0x9999ef81,0xfffe9800,0x3f21efff,0xffdb35ff,0xb803bddd,0x4eefeeee,
    0x77777764,0xeeeeeeff,0x7ffdc01d,0x00bfffff,0xeefeeec8,0xeeeeeeee,
    0x00ffeeee,0x007d81f9,0x2fffe440,0x3bfff6a0,0x3bb20002,0xeeffeeee,
    0xf51deeee,0xdddddddd,0xffdddddd,0x3b660000,0x01deeeff,0x77f7775c,
    0x3ffffa4e,0xfb5002ff,0x764007df,0xeeeeefee,0xeeeeeeee,0x26000ffe,
    0x0002effe,0x3ffff660,0x80003fff,0x002effe9,0x3bbfbbaa,0xffdd701d,
    0x26001bdd,0x4002effe,0xfeeeeeec,0xdeeeeeef,0x9fdc0001,0xeeefeeda,
    0xdffddb03,0x3fffe1bd,0x95001fff,0x54001379,0xffffffff,0x7fffec02,
    0x7fec6fff,0xffffffff,0x002fffff,0x00579951,0xffffffe8,0xffffffff,
    0x00ffffff,0x00075093,0x004000c0,0xffffd800,0xffffffff,0xfff52fff,
    0xffffffff,0x00ffffff,0x3fffea00,0x6c02ffff,0x6fffffff,0x3333332a,
    0x80008001,0xfffffffe,0xffffffff,0x000fffff,0x80000010,0x0009bcb9,
    0xb8000800,0x2fffffff,0xffffff90,0x0010003f,0x3fffff60,0xffffffff,
    0xb80002ff,0xffffff71,0xfffd10bf,0x3323ffff,0x000bcccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0005cc00,0x80040040,
    0x19999998,0x26666620,0x01e54019,0x372a2000,0x2000009b,0x00000bda,
    0x26666662,0x98000099,0x99999999,0x99999999,0xcda80019,0x5c000000,
    0xeeeeeeee,0x5c001dee,0xeeeeeeee,0xa8001dee,0x000bdedb,0xddddddd7,
    0x0003bddd,0x40000031,0xdb800009,0xeeeeeeee,0xb80002de,0xeeeeeeee,
    0x00001dee,0x39800000,0x00000000,0x1000e600,0x54000397,0x20000fff,
    0x3fea06fc,0x3fffe201,0xf985ffff,0x4fffffff,0x2ffffea8,0xff5005b8,
    0x1bffffff,0x7ffdc000,0x005c82ff,0x3fffffee,0x40007fff,0xffffffff,
    0xffffffff,0x5000ffff,0x707fffff,0xff88000b,0xffffffff,0x7fc003ff,
    0xffffffff,0x7ec004ff,0x02ffffff,0x7fffffc4,0x03ffffff,0x0fbff660,
    0xffda8000,0x3fa0001d,0xffffffff,0x440005ff,0xffffffff,0x2003ffff,
    0xffffdca8,0x05ffffff,0x003fea00,0x7ffedc40,0x03ffffff,0x003fea00,
    0x02ffffcc,0x03fffd80,0x407ffe00,0x65c03ffd,0x01cccdfd,0x99ff9997,
    0xc9cff983,0x6fd9aeff,0x9bdffc80,0x01efdb98,0xc8bffa80,0x5feabeff,
    0x33332200,0x02fdefcc,0x3f732a00,0xcccccccd,0x0feccccc,0xb8bff980,
    0x6feabfff,0x33330000,0x01333333,0x26666600,0x00099999,0x442b7fa2,
    0x99802ffa,0x99999999,0xa8ef4000,0xf880001f,0x000fc88b,0x26666620,
    0x00009999,0x26666660,0x10009999,0x5f79dff9,0x1335f333,0x0bfee000,
    0x56ff4400,0xe9999999,0x5ff70003,0x7fffec00,0xffb8001f,0x3f20001f,
    0x007fea06,0xe80017dc,0xb1036a07,0x401bffff,0x5400efd8,0x64c003ff,
    0x7fffe440,0x7f500004,0x20000bf1,0xfc8002fb,0x440c9800,0x004ffffc,
    0x00000000,0x7ec00000,0x007fa203,0x1e600000,0x2e000172,0x00003e85,
    0x00000000,0x3bfea000,0x03f03e21,0x01ffc800,0x40037a00,0xffc8003e,
    0x7fffc001,0xb50002ff,0x00100005,0x17dc0011,0x0007e800,0x3600b2e6,
    0x3fe6005f,0x2e600002,0x3600001b,0x0001fb0f,0x90005f70,0x7300001f,
    0x00000037,0x00000000,0x9804fa80,0x0000003f,0x007985c8,0x05b83e80,
    0x00000000,0xf5000000,0xf81f10bf,0x3bf60001,0x07ea0000,0x6c003e80,
    0xfc8000ef,0x0000ffff,0x00000000,0x0005f700,0x000001fa,0x4c002fd4,
    0x0000006f,0x52fc4000,0xf700007f,0x01f90005,0x20000000,0x19999998,
    0x26666620,0x36e60019,0x74000acd,0x20db000f,0x99999999,0x00999999,
    0x02e40f98,0x17435c00,0x99998800,0x00009999,0x4ccccccc,0x99999999,
    0xefd81999,0x0fc0f880,0x00dfe800,0x20036400,0x37fa003d,0xff910000,
    0x0000005d,0x40000000,0xfd0002fb,0x4cccccc0,0x99999999,0x0000fe80,
    0x266607f9,0x33310019,0xb8003333,0x00037c2f,0x640017dc,0x3331000f,
    0x00133333,0x3ffffe20,0xff985fff,0x04ffffff,0x7fffffdc,0xfa800cff,
    0xf03f2004,0xffffffff,0x7fffffff,0xf715bd00,0x9f100003,0x2000f933,
    0xfffffffb,0x3e0007ff,0xffffffff,0xffffffff,0x1ffc0fff,0x00fc0f88,
    0x00004e80,0x0098009b,0x400013a0,0x4cccc008,0x99999999,0x81999999,
    0x00099999,0x20133333,0xfd0002fb,0x3fffffe0,0xffffffff,0x013ee3ff,
    0x740ff880,0x402fffff,0xfffffff8,0x03fa005f,0xb80003f9,0x07b8002f,
    0xffffff70,0x4000ffff,0xcccdfdcb,0xff999701,0x3f620399,0xeca88ace,
    0x07ec01ff,0xca83f700,0xcfeccccc,0x00bccccc,0x02dffc88,0x3ff66000,
    0x9910001c,0xfbdf9999,0x332a0005,0xcccccdfd,0xeccccccc,0x40bfe60f,
    0x000fc0f8,0x7d400000,0x00000000,0xfff00000,0xffffffff,0xffffffff,
    0x7fffec1f,0x7ffc02ff,0xfb80ffff,0x20fd0002,0xecccccca,0xbccccccf,
    0x00003fe0,0xdcca87f9,0xccb806ff,0x001ccfec,0x09f30bf3,0x202fb800,
    0x64400200,0xdefccccc,0x7dc0002f,0x80fd0002,0xfc805fe9,0x001fa02f,
    0x7e4005f7,0x00200000,0x00088000,0xf17f5000,0x5f70000b,0x541f9000,
    0x81f101ff,0x0000001f,0x0bf75103,0x00000000,0x3732a000,0xccccccdf,
    0xfecccccc,0x33bf7260,0x7ee5400b,0x05f703cf,0x2001fa00,0x4f8800fc,
    0x05f88000,0x000ffbea,0xfc8001fb,0x8000fd02,0x00fe02fb,0x45fd4000,
    0x7dc0005f,0x40fd0002,0x2e003ff8,0x00df00ff,0x005fb751,0x000007e4,
    0x00000000,0xd87ec000,0x7dc0000f,0x20fc8002,0x1f102ff9,0x220001f8,
    0x71fa2009,0x01dfdfff,0x13310000,0x5c000000,0x0fc8002f,0x4000fe88,
    0x17dc03fc,0x8007e800,0x3f9800fc,0x40df0000,0x000febfa,0xfd0003f6,
    0x00017dc0,0x13e205f7,0x87ec0000,0x2e0000fd,0x0fd0002f,0x54001fe4,
    0x205f885f,0x2fffffd8,0x0003f200,0x00026660,0x00000000,0x01fd4bf1,
    0x000bee00,0x4ff883f2,0x01f81f10,0x3fffb220,0x3fa22dff,0xe882fe23,
    0xd980002f,0x2effffff,0x70000073,0x1f90005f,0xa8017ea0,0x02fb805f,
    0x9000fd00,0x05f7001f,0xa81fa000,0x2005fabf,0x3e6000fd,0x0017e204,
    0x9f102fb8,0xbf100000,0x70001fd4,0x1fa0005f,0xd00037cc,0x503f985f,
    0x5f935bff,0x0007e400,0x7fffedcc,0xca800cff,0x65c01ccc,0x8000cccc,
    0x0037c2fb,0x2000bee0,0x0ffec0fc,0x007e07c4,0x6677ffd4,0xfeaeffed,
    0xdf902e44,0x3ff60001,0xffecccde,0x800007ee,0xfc8002fb,0x400ff200,
    0x2fb800fe,0x000fd000,0x3f9001f9,0x03f20000,0x02fd9fd4,0x64001fb0,
    0x007ec01f,0xfffffb80,0x0004ffff,0x37c2fb80,0x005f7000,0x17ec1fa0,
    0xa8df5000,0x42ff983f,0x3f2002fb,0x3ffea000,0xfedccdef,0x7fff402f,
    0x7fffc02f,0xfe8001ff,0x0000fe40,0xf70005f7,0x883ffd10,0x2200fc0f,
    0x32203ffd,0x04d84fff,0x00067f4c,0x64403dfb,0x332607ff,0x7dc00ccc,
    0x00fc8002,0xf9003fe2,0x00bee007,0x64003f40,0x00fd800f,0x203f9000,
    0x00df13fa,0x6f8003f6,0x0003fa80,0xddddddf7,0x000009fd,0x01fc81fd,
    0x0005f700,0x017e61fa,0xfa83fa00,0xfb82fe83,0x003f2002,0x200aceb8,
    0x4cc01fea,0x999802fb,0x7cc001fc,0x0004f985,0x20080bee,0x17ffd100,
    0x803f03e2,0xe8800dfc,0x01f982ff,0x9803fea8,0xff9000ff,0x2ffffe40,
    0x40017dc0,0x05fa807b,0xfb801be6,0x00fd0002,0xf9001f90,0x3f600003,
    0x7e47f500,0x000fd803,0x1be007f5,0x8817dc00,0x4c00004f,0x004f985f,
    0x20005f70,0x002fa87e,0x3ea3fa80,0xfb82fc43,0x003f2002,0x06f98000,
    0xc8005f50,0x17e4001f,0x2e0007e8,0x000fe02f,0x7ef7ffd4,0xbf500fc0,
    0x3f7fa200,0x000ed80f,0x7dc03df7,0x81fe2002,0x800ffffe,0x080202fb,
    0x3a05fb00,0x0bee001f,0x4003f400,0x2fb800fc,0x40fd0000,0x007f43fa,
    0x7ec003f6,0x9999999a,0x8001fd99,0x09f102fb,0x02fc8000,0x3ee000fd,
    0x70fd0002,0xf300003f,0x3e61fd4b,0x4005f703,0x000000fc,0x7d4007ec,
    0x00fe4002,0x2fb81fa0,0x205f7000,0x440004f8,0x0fc0fdca,0x8800ff88,
    0x209f74fe,0xfb1002fd,0x000bea07,0x3ffe6097,0x05f7004f,0x220001fc,
    0x01fdc0ff,0x4000bee0,0x0fc8007e,0x0003fa80,0x1fd40df0,0x1fb013ea,
    0xfffff100,0xffffffff,0x5f70009f,0x00001f40,0x02fb81fa,0x0002fb80,
    0x001fb0fd,0x3fa9be00,0x2fb82fcc,0x0003f200,0x003f9000,0xfc8005f5,
    0x813e6001,0xf70005f8,0x0013e205,0x0fc0f880,0xfb003fb8,0xf700fe8b,
    0x17ea001b,0x80000ffc,0x2006fffb,0x09f102fb,0x4cbf5000,0x2fb8006f,
    0x000fd000,0x9f3001f9,0x0bf10000,0x0fec1fd4,0xf7001fb0,0x9999999b,
    0x00fd9999,0x20005f70,0x27cc0018,0x7000bf10,0x1fa0005f,0xe80001fa,
    0x3fe0fea7,0x2002fb80,0x000000fc,0x7d400fe4,0x00fe4002,0xfd803f90,
    0xfffb8000,0x04ffffff,0xf03e2000,0x2003f203,0x01fb85fd,0x4c00ffa6,
    0xbdffa83f,0xffd00009,0x17dc005f,0x00004f88,0x007fa5fb,0x4000fea0,
    0x0fc8006f,0x0001fd00,0x3ea03fc8,0x3606f983,0x007e800f,0x5c002fb8,
    0x0f90002f,0x6c01fc80,0x17dc000f,0x6f87e800,0xa9fa0000,0xb85fc83f,
    0x03f2002f,0xaba99800,0x003f91aa,0xfc8005f5,0x201be001,0xfb8003fa,
    0xfeeeeeee,0x3e200004,0x07e80fc0,0x7f505fd8,0x005df700,0x3ffa20d7,
    0x01bdefff,0x002fffc4,0x3fffffee,0x00004fff,0x009f9ff1,0x20013e20,
    0xfc8005f8,0x009f7000,0x5007fc40,0x40ff207f,0x27cc00fd,0x002fc400,
    0x6c000bee,0x01be000f,0xf7000fea,0x21fa0005,0x3a00007e,0x7f40fea7,
    0x02fdaacf,0x10003f20,0xfffffff9,0x003fffff,0xfc8005f5,0x007f5001,
    0x3ee001be,0x0009f102,0x07e07c40,0x17f602fc,0x91004f88,0x0fc401bf,
    0xffd97510,0x3ea01bff,0x7dc000ff,0xfeeeeeee,0x3ea00004,0x37c0006f,
    0x001fd400,0xfd0007e4,0x0ff20001,0x3e207f50,0x400fd80f,0xfb0001fc,
    0x017dc001,0x5000fd80,0x01be007f,0x20005f70,0x000fd87e,0x3e66f880,
    0x3fffee04,0xf9000fff,0x7ffdc001,0xcaaaaacc,0xfa801ffe,0x00fe4002,
    0x9999afd8,0x1fd99999,0x8817dc00,0x2200004f,0x6f80fc0f,0xf3017f60,
    0x3fe98009,0x22000f50,0xfd82ffda,0x2fb8003f,0x00009f10,0x40002fd8,
    0x3a2003fc,0x0fc8000f,0x0017ee00,0x3ea01be6,0x3613ea03,0x0037c00f,
    0x5c007f50,0x1fb0002f,0x266bf600,0xd9999999,0x0bee001f,0x7dc3f400,
    0x5f980001,0x2a6017e2,0x32002aaa,0x9ff5000f,0x007f2001,0xf9000bea,
    0xffff1003,0xffffffff,0xfb8009ff,0x0000fa02,0x80fc0f88,0x00bfb07d,
    0x2e0005f7,0x3fb988df,0x1fe98000,0xb80037fc,0x009f102f,0x001fc800,
    0x800ffc40,0xf90003fc,0x0dfd8001,0x003ff500,0x1fe807f5,0x7f5007ec,
    0x006f8000,0x6c000bee,0xfff8800f,0xffffffff,0x2e004fff,0x0fd0002f,
    0x500005f5,0x0006f87f,0x800fc800,0x64000ff9,0x02fa801f,0x5c00fe40,
    0xccccccdf,0x07eccccc,0x80017dc0,0x07c40018,0x20fe407e,0xfd800efc,
    0x3fa60000,0x00003fff,0x1ff98fe6,0x405f7000,0x6400003e,0xfa80001f,
    0x1bf6202f,0x000fc800,0x5c01efd8,0x7f5002ff,0x7ec6f980,0x0003f600,
    0x2e003f90,0x1fb0002f,0x999bf700,0x99999999,0x1fcc00fd,0xf986f800,
    0x0fe80005,0x000007ec,0x2e003f20,0x1fc8002f,0x4002fa80,0x07e801fc,
    0x2002fb80,0xf90002fb,0x7c0f8800,0x7e4df301,0x06f9800e,0x00de8800,
    0x3a0001f5,0x700015c6,0x0620005f,0x0007f200,0x4deffd40,0x00dffba9,
    0x0003f200,0x4cdeffec,0x001efeca,0x3f200fea,0xdb303f62,0x03bdddff,
    0xefeeeeb8,0xfeeec84e,0xeeeeeeee,0xffeeeeee,0x8007e800,0x13e002fb,
    0x6c17ea00,0x3ea0002f,0x0004fa86,0x4007e400,0x3f90007d,0x8005f500,
    0x27cc01fc,0x002fc400,0x360005f7,0x03e2000f,0x65fe403f,0x3fd000ef,
    0x81ee0000,0xdf0003fb,0x2fb80000,0x000f9000,0x400003f9,0xffffffd9,
    0xfc80003f,0x3f660000,0x0dffffff,0x401fd400,0x81fb0ff8,0xfffffffa,
    0x7ffec02f,0xfe86ffff,0xffffffff,0xffffffff,0x7cc00fff,0x05f88004,
    0x32001b60,0x00df103f,0xff817f40,0x32000000,0x00fd800f,0x400ffd40,
    0x3ea004f9,0x00fe401f,0x7000fd80,0x3f60005f,0xf03e2000,0x77ffc403,
    0x407f9000,0x07e2000c,0x200077dc,0x400004fb,0xfb0002fb,0x01fc8001,
    0xefc88000,0x3200001b,0xfa80000f,0x20001bdf,0x9f7003fa,0x000003f6,
    0x00033e20,0x00bfa800,0xb0001fc8,0x0fee001f,0x201fe880,0xfb8003fc,
    0x0017ee05,0x800fc800,0x3f2004fc,0xff8801ff,0x1fffc800,0x500037c0,
    0x0bee007f,0x0007ec00,0x401f81f1,0x4c00cffd,0x017c06fe,0x7fdc0f50,
    0x1df7001e,0x2fb80000,0x001fb000,0x00001fc8,0x00003f50,0x80001f90,
    0x00003ffb,0x7f4007f5,0x00000fd9,0x00006b80,0x3e003d80,0x0fea0006,
    0x400ffc40,0x7c403fe8,0x3fee004f,0x202ff400,0x7e4004c8,0x00ff9800,
    0x0fef7f4c,0x2203fd80,0x201fdefe,0x7c0003fa,0x005f7006,0x88003f60,
    0xf900fc0f,0x3359ffdd,0x007ffb75,0x02ec005f,0x59bffbf7,0xfff75333,
    0xf7000003,0x03f60005,0x0003f900,0x0001b200,0x80007e40,0xdecdffd8,
    0x07e4c1ac,0x26003fa8,0x0000fddf,0x0003d800,0x8007c400,0x7c0003fa,
    0x0bfe6006,0x1006fe88,0xfc801bfd,0xefe8801f,0x9ff7311b,0x000fc800,
    0x73337ff7,0x3f29ffd9,0x3e203eee,0xfeca9bef,0x07ddf94f,0xc80001fb,
    0x02fb801f,0x4001fb00,0xb80fc0f8,0xfffd50ef,0x003dffff,0x0fdc00be,
    0xffb11d30,0x9fffffff,0x2e000001,0x1fb0002f,0x001fc800,0x000f7000,
    0x0003f200,0x3fffffe2,0xfdffffff,0x0fea05ff,0x01fffb00,0x8d700000,
    0x7400000a,0x00fd8142,0x000fe400,0x5337bff3,0x8001bffb,0xb99bdffd,
    0x2001effd,0xffffffd8,0xddd904ff,0xdddffddd,0xea83bddd,0xdfffffff,
    0x13ffff21,0xfffffd30,0x7ffe43df,0xddffdb35,0xeeb803bd,0x644eefee,
    0xeeeefeee,0xeeeeeeee,0x9300ffee,0x547f9999,0xdf52ccdf,0x57995301,
    0xccdf8001,0xfecccccc,0xcba88001,0x0000aacc,0x0017dc00,0x64000fd8,
    0x2000001f,0x00fdaadf,0xeeeeeec8,0xeeeeeeff,0x79df501d,0x3b2e6233,
    0xdd902dff,0x807ddddf,0x0000fff8,0xfdfe8800,0x5c00001f,0x3666fcdf,
    0x1deeeffe,0x7f7775c0,0xfb3004ee,0x07ffffff,0x7fffdc00,0x000bffff,
    0x599d9730,0xfffffd80,0xffffffff,0x997502ff,0x50000035,0x40013799,
    0xfffffffa,0x7ffec02f,0x7f46ffff,0xffffffff,0xffffffff,0xdd500fff,
    0x764bdddd,0x01b34eee,0xeee80000,0xaceeeeee,0x00000000,0x3bbb2000,
    0xeeeeeeef,0xfeeeeeee,0xdddb300f,0xdddddffd,0x36a00009,0xfb002eff,
    0xffffffff,0x05ffffff,0x74004000,0x5fffffff,0x000ffb80,0x0b260000,
    0xcb880000,0x3fffea0a,0x6c02ffff,0x6fffffff,0x9bcb9800,0x95100000,
    0x00000579,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffe8,0xffffffff,0x00ffffff,0xfffffff5,
    0x00dfffff,0x00008800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8000000,0x08002980,0x02e20000,0x01710000,0x00b88000,
    0x05500000,0x00aa0000,0x2e000000,0x000b8800,0x10350000,0x22000007,
    0x00200003,0x00000000,0x00000010,0x40000171,0x40000000,0x0400002a,
    0x00200000,0x00550000,0x7400ba20,0x2009b003,0xfe80005c,0x20037d42,
    0x300003fb,0x400003ff,0x00001ef9,0x00007be6,0x000df900,0x000df900,
    0x2fa80000,0x001ff980,0x227e4000,0x00000ff8,0x00007fd4,0x00000fec,
    0x00003ba2,0x00001fd8,0x0007fe60,0x0000fec0,0x006fc800,0x0007f600,
    0x000fe400,0x006fc800,0xf500df10,0x003fa009,0xd8000df1,0x00ffcc5f,
    0x01bfffb0,0x05ff7000,0x0ffdc000,0x3ff70000,0x3f600000,0x6c00000e,
    0x000000ef,0x8017e400,0x00002ffb,0x7441df90,0x5c00003f,0x440002ff,
    0x0003fffe,0x03ffff50,0xfffe8800,0xfa800003,0xe880003f,0x00003fff,
    0x00077ec0,0x1ffff440,0xffd10000,0xd800007f,0x3a0000ef,0x0bfe203f,
    0x3602fe40,0x3f60004f,0x8017fcc5,0xefd9dfe8,0xffa80001,0x3ea00003,
    0x2a00002f,0x200002ff,0x0000dfe8,0x0037fa20,0x99999988,0x26666201,
    0x000ffc99,0x0000ffea,0x7441df70,0x6400003f,0x540001ff,0x0dfe9cff,
    0x2bff2000,0x50003ffa,0x1bfd39ff,0x3fee0000,0xffa80002,0x000dfe9c,
    0x06ff4400,0x67fd4000,0x0000dfe9,0x7f4e7fd4,0x7440000d,0x4c0000df,
    0x3ae21cff,0x3fe2005f,0xffb510ad,0x17f20001,0x2a005ff3,0x1ffdc4ff,
    0x27fcc000,0x9ff30000,0x7fcc0000,0xfe980004,0x74c00004,0x7fc4004f,
    0x85ffffff,0xfffffff9,0xf98002ef,0xf700004f,0x027f441d,0x03bf6000,
    0x45ff9000,0x4001efd8,0x3a60efd8,0x3f2000df,0x07bf622f,0x03ff9000,
    0x45ff9000,0x0001efd8,0x0009fd30,0xd88bff20,0xf90001ef,0x0f7ec45f,
    0x04fe8800,0x3ffea000,0x00dfffef,0x77fff4c0,0x0001efff,0x7fc41df7,
    0x05ff7002,0x00013fe6,0x00013fa2,0x0004fe88,0x0013fa20,0x0003ff98,
    0x001ffc40,0xccdfdcb8,0xf999701c,0x8800037f,0x540004fe,0x027ec0ff,
    0x037f6000,0x01dfb000,0x4400bfee,0xdfb105ff,0x01dfb001,0x4000bfee,
    0x80000efc,0xff700efd,0xff880005,0xdfb00003,0x00bfee01,0x2e01dfb0,
    0x7cc002ff,0x8800003f,0x02deffec,0x7fff5c00,0x6e40003e,0x90017440,
    0x05d8801b,0x00bb1000,0x005d8800,0x0026c400,0x00005d30,0x00005d30,
    0x3a0005f7,0x36200007,0x0f5c0005,0x40000274,0x9d00004e,0x2007d300,
    0x1eb803e9,0xe9804e80,0x01bb0003,0x2013a000,0x4c0003e9,0x3a00002e,
    0x003e9804,0x1f4c0274,0x000ba600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02fb8000,0x0000fd00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0x1fa0005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x00000133,0x20000131,0x00000998,0x33000000,0x88000013,
    0x44000009,0x98000009,0x0bee0001,0x0003f400,0x000000cc,0x02600000,
    0x20000220,0x40000098,0x20000198,0x00000999,0x00000cc4,0x00000000,
    0x03300000,0x00000000,0x00099980,0x00e66654,0x0333332e,0xffffb730,
    0x200019ff,0xeffffec8,0x7ecc002d,0x32efffff,0x39999507,0xcccccb80,
    0x7fedcc00,0x000cffff,0xffffec88,0xc88002de,0x2deffffe,0xffdb5000,
    0x40039dff,0xfd0002fb,0xffdb5000,0x50039dff,0xb8039999,0x400ccccc,
    0x2dfffeb8,0x02effda8,0x3fffb220,0x50002def,0xbdffffdb,0xb73005c3,
    0x19ffffff,0x3fb6a000,0x2e1defff,0x33333260,0x9997000c,0xccca8799,
    0x6665c01c,0xdb5000cc,0x039dffff,0x03999950,0x0cccccb8,0x7ffedcc0,
    0xe800cfff,0x7c02ffff,0x501fffff,0x99bdffff,0x8005ffdb,0xdcceffea,
    0xd800cfff,0xecccdeff,0xfe87eeff,0x7fc02fff,0xf501ffff,0xb99bdfff,
    0x54005ffd,0xfdcceffe,0xd5000cff,0xffb99dff,0x3220019f,0xfeccdeff,
    0x5f7003ff,0x801fa000,0xccdeffc8,0x7403fffe,0x7c02ffff,0x201fffff,
    0xfecdfffc,0x333fee2f,0xfea803ff,0xfffdccef,0xffb1000c,0xffdb99bf,
    0xff509f39,0xdb99bdff,0x6c4005ff,0xedccdfff,0x324f9cff,0x03ffffff,
    0xfffffff0,0x17ffff41,0x3fffffe0,0x77fe4401,0x3fffeccd,0x17ffff40,
    0x3fffffe0,0xdffff501,0x5ffdb99b,0x05f73300,0x03f93330,0xa802b3ae,
    0xff9001fe,0x0f7f4c07,0x4403dfb0,0x73307ffc,0x9333005f,0x2b3ae03f,
    0x007faa00,0xe980fff2,0x7fe401ef,0x07bfa603,0x403dff30,0x5c00efea,
    0x0fd0002f,0x807bfe60,0x2600efea,0x99802fb9,0x37601fc9,0xfa8fea82,
    0x80ff620e,0x3a603ffc,0x7fcc01ef,0x3ff6600c,0x0aceb84f,0x2007faa0,
    0x2600cff9,0x6c44fffd,0x4c0009af,0x73301fd9,0x9333005f,0x77fcc03f,
    0x03bfaa01,0x802fb998,0x701fc999,0x7540159d,0x05f5001f,0x0001fc80,
    0xf700df30,0x3bee001d,0x000ff980,0x2fa80ff9,0x000fe400,0x5c06f980,
    0xdf7000ef,0x003bee01,0xf88077dc,0x17f2002f,0x20005f70,0x2ff8807e,
    0x2017f200,0x7e4002fa,0x3bea0001,0x0ff880ff,0x7000efb8,0x3fe201df,
    0x13ff2002,0x01be6000,0x64005ff1,0x02fa84ff,0x54037c00,0x0fe4002f,
    0x2002ff88,0x2fa805fc,0x000fe400,0x5006f980,0x1fc8005f,0x03f60000,
    0x4000ef98,0x02fb84fb,0xf501fe20,0x01fc8005,0x403f6000,0x5c000ef9,
    0x00ef984f,0xfd827dc0,0x02fd8003,0x74000bee,0x003fd807,0x7d402fd8,
    0x00fe4002,0x80fffe00,0x077cc3fa,0x6c13ee00,0x4fd8002f,0x01fb0000,
    0x6c0017ec,0x004f884f,0x2a013e20,0x0fe4002f,0xd8003fd8,0x017d402f,
    0x00007f20,0xfa800fd8,0x00fe4002,0x403f9000,0xfb0001fe,0x4002fa85,
    0x017d404b,0x00007f20,0x3fd01fc8,0xd0bf6000,0x3f60003f,0x0002fd42,
    0x0bee01fd,0x2a03f400,0x3fa0005f,0x000bea00,0xc80003f9,0x747e806f,
    0x5fb0001f,0x50005fa8,0x3200009f,0x00bf501f,0x37c13ea0,0x3ea07ff0,
    0x002fa803,0x2fd40fe4,0x401fd000,0x7e4002fa,0x3f200001,0x002fa801,
    0x00000fe4,0x13e603f9,0xf85f8800,0x5400001f,0x0fe4002f,0x03f90000,
    0x440009f3,0x0013e65f,0x0fec5f88,0x207f5000,0xfd0002fb,0x0001fd80,
    0x2fa80fea,0x000fe400,0x32013f20,0x0009f31f,0x03f62fc4,0x0001d800,
    0x3f603f90,0x40760000,0x0dff507d,0x3ea007ee,0x40fe4002,0x2a0001fd,
    0x00bea03f,0x00003f90,0x7d400fe4,0x00fe4002,0xaaaba998,0x3ee03f91,
    0x43f40002,0x009bdffa,0x0017d400,0x4cc007f2,0xf91aaaba,0x0005f703,
    0x00bee7e8,0x06e8fd00,0xb827c400,0x0fd0002f,0x440006e8,0x00bea04f,
    0x4c003f90,0x02fc8aab,0x05f72fa8,0x3747e800,0x99800000,0xf91aaaba,
    0x0001ba03,0xfc81fb80,0x007d80fe,0xfc8005f5,0x40006e81,0x0bea04f8,
    0x2003f900,0x1aaaba99,0x5f5003f9,0x201fc800,0xffffffc8,0x01ffffff,
    0xd80001f9,0xfffe880f,0x001bdeff,0xf9000bea,0x7ffe4403,0xffffffff,
    0x000fc81f,0x0fc87ec0,0x887ec000,0xeeeeeeff,0xeeeeeeee,0x5f705fee,
    0x881fa000,0xeeeeeeff,0xeeeeeeee,0x3ea05fee,0x00fe4002,0xfffffb73,
    0x9999bfff,0x27fb9999,0x6c0000fc,0x00017e0f,0xffffc880,0xffffffff,
    0x0000bf01,0x77c1fcc0,0x006f83fa,0xfc8005f5,0x7777fc41,0xeeeeeeee,
    0x05feeeee,0xf9000bea,0x7ffe4403,0xffffffff,0x02fa801f,0xfb80fe40,
    0xaaaaccff,0xd01ffeca,0x3f70000f,0x7f65d440,0xa800dfff,0x0fe4002f,
    0xaccfffb8,0xffecaaaa,0x80007e81,0x000fd1fb,0x3fe23f70,0xffffffff,
    0xffffffff,0x005f707f,0xff881fa0,0xffffffff,0xffffffff,0x00bea07f,
    0x3f203f90,0xdbaabcef,0xffffffff,0xfd4fffff,0x23f70000,0x000004f9,
    0x5599fff7,0x3ffd9555,0x00009f30,0x3ea2fc40,0x04f88df3,0xc8005f50,
    0x7fffc41f,0xffffffff,0x7fffffff,0x9000bea0,0x3ffee03f,0xcaaaaacc,
    0xfa801ffe,0x40fe4002,0x9000cffa,0x003f603f,0x0003f900,0x805ffb51,
    0x7e4002fa,0x00cffa81,0x1fb03f90,0xb1fc8000,0xfc80001f,0x000017e1,
    0x20005f70,0x002fc07e,0x017d4000,0x3fa07f20,0x4d7e401d,0x99999999,
    0x0001fb09,0x09f31fc8,0x9ff50000,0x207f2001,0x000004f9,0x6c7f2374,
    0x400bea0f,0x7e4002fa,0x00005f81,0x4002fa80,0xcffa81fc,0x003f9000,
    0xfc8005f5,0x0007fcc1,0x0fdc07f2,0x001fa000,0xa807fa60,0x0fe4002f,
    0x90003fe6,0x003f703f,0x07ee7e80,0x7e8fd000,0x7cc00000,0x80df0003,
    0x8000007e,0x7e4002fa,0xc8037d41,0x1fb8003f,0x3e3f4000,0x7cc00005,
    0x0fe4000f,0x000005f8,0x54df07e4,0x4003f23f,0x7e4002fa,0x00007e81,
    0x4002fa80,0x07fcc1fc,0x2007f200,0x7e4002fa,0x40017dc1,0x07f501fc,
    0x0006f800,0x7d407f30,0x20fe4002,0xfc8002fb,0x0003fa81,0x007f537c,
    0x17e46f80,0x13e00000,0x9017e600,0x8000005f,0x7e4002fa,0xc8017e41,
    0x3fa8004f,0x3a37c000,0x7dc00007,0x01fc8002,0x800000fd,0xf87f52fa,
    0xfa801fa6,0x40fe4002,0x000002fc,0x320017d4,0x0017dc1f,0x7d400fe4,
    0x20fe4002,0x3f90007d,0x0003be20,0x01f527dc,0xfa81ba00,0x20fe4002,
    0x3f90007d,0x0001df10,0x0ef893ee,0x989f7000,0x4000005f,0x3fc8006d,
    0x0002fcc0,0x000bea00,0x02fa83f9,0x1000df90,0x2e0001df,0x0017e44f,
    0x2000fb00,0x05f901fc,0xa7cc0000,0xf8fe40fc,0x00bea005,0xbf303f90,
    0xfa800000,0x20fe4002,0x3f90007d,0x4009f300,0x07ec1ffa,0x807fea00,
    0xf98004fb,0x000fee0e,0x09f3037c,0x360ffd40,0x7fd4000f,0x0009f701,
    0x4fb81df3,0x80ef9800,0x000003fc,0xfd000fea,0x007f9003,0x027cc000,
    0xf883ff50,0x2ffe8804,0x004fb800,0x7c40ef98,0x5910000f,0xf50003f6,
    0x03fe203f,0xf0164400,0x2fe61beb,0x3e6003f9,0x07fea004,0x00001fe4,
    0x54009f30,0x007ec1ff,0x2007fea0,0xfc800ff8,0x027e41ff,0x803fff90,
    0x3a2003fd,0x0077dc1f,0xf8813ee0,0xfffc800f,0x90027e41,0x7ec03fff,
    0x07fa2003,0xd1001fec,0x017f403f,0xf1025c40,0x7fd1003f,0x0017f400,
    0xff1025c4,0x3fff9001,0xfe801fd0,0x16cc06ff,0xe8800ff6,0x00bf701f,
    0x3f27ff50,0x3fff2004,0x0017ee01,0xfd80ffea,0xf7df03fa,0x07fc4003,
    0x00fffe40,0x710005fd,0x007fc409,0x320fffe4,0x3ff2004f,0x07fb001f,
    0x0fef7f44,0xd3003fe6,0x8803fbdf,0x7d400dff,0x1effb84f,0x801df700,
    0x3fa203fd,0x7fcc1fde,0x6f7f4c00,0x37fe201f,0x027fd400,0xa801bff1,
    0x7fcc04ff,0xffc8800c,0x017fc406,0x9800dfd1,0xc8800cff,0x1fec06ff,
    0x3fbdfd10,0xd101df50,0x209fbfff,0x7fc42ffb,0x27fd400d,0x2007bf60,
    0x3e64ffd8,0x77f4c00f,0x77ec01fd,0x4ffd8801,0x807f7dc0,0x4000fefc,
    0x3fa203fd,0x3e601fde,0xfc8800cf,0x01fec06f,0x83fbdfd1,0x74c00ff9,
    0x1001fdef,0xd9537dff,0x3bbf29ff,0x266ffee3,0x94ffecb9,0x2207dddf,
    0xa99acffd,0xf702ffdb,0x3359bffb,0x03fff753,0x537dff10,0x3f29ffd9,
    0x2ffee3ee,0xffecb999,0x07dddf94,0x3359ffb1,0x005ffb75,0x3359ffb1,
    0x005ffb75,0x26b3ff62,0xfffdca99,0x7bff3004,0x1bffb733,0x9ffb1000,
    0xfb953335,0xff1009ff,0xffd9537d,0x70fbbf29,0xff7337df,0x3bfb3f97,
    0x203dfd73,0x99acffd8,0x002ffdba,0x3357bff9,0x05dffb95,0x73337ff7,
    0x3f29ffd9,0xff903eee,0xb953357b,0xf5005dff,0x37fcc0df,0x5f7fc400,
    0x94ffeca9,0x36207ddf,0xa999acff,0x804fffdc,0xca9beff8,0xddf94ffe,
    0x4cdffdc7,0x94ffecb9,0x9807dddf,0xeffffffe,0x517fff21,0xfffffffd,
    0x7fffe43b,0x7fffd404,0x200dffff,0xfffd88e9,0x0cffffff,0x3fffa600,
    0x3f21efff,0x7ff545ff,0x21dfffff,0x204ffffc,0xfffffffa,0x7d4000df,
    0xdfffffff,0xfffa8000,0xceffffff,0x7fecc000,0x003fffff,0xfffffa80,
    0x00ceffff,0x3ffffa60,0x3ff21eff,0xffffb85f,0x7ecd52ff,0x5004ffff,
    0xffffffff,0xfe98001b,0xefffffff,0x7fff5402,0x321dffff,0x2604ffff,
    0xfffffffe,0x3e2002ef,0x027fc03f,0xffffe980,0x3ff21eff,0x7ffd405f,
    0xceffffff,0x3ffa6000,0x321effff,0x7f545fff,0x1dffffff,0x013ffff2,
    0x004de654,0x35997500,0x95300000,0x20001379,0xaacccba8,0x332a0000,
    0x2a00009b,0x0001accb,0x4de654c0,0x654c0000,0x800009bc,0x01accba8,
    0x2f2e6000,0x44000009,0x001accba,0x09bcca80,0x565cc000,0x0565c400,
    0x5e654c00,0x54400009,0x000abccb,0x00d665d4,0x32ea2000,0x00000abc,
    0x95000000,0x00001379,0x0d665d44,0x5e654000,0x2ea00009,0x00001acc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x07d002e8,0x002a8000,0x00026200,0x3ae00ba6,0x801bb000,0x174404d8,
    0x44003e80,0x0009bcca,0x002bcb98,0x00004980,0x00000000,0x2a200000,
    0x44000acc,0x20000009,0x00000009,0x00000062,0x00004000,0x00003980,
    0x20000000,0x0009800b,0x44000000,0x3fee003e,0xffffffff,0x00ffffff,
    0x9f500df1,0x2fe40000,0x50e665c0,0x09fffffb,0xb027fcc0,0x3f2001df,
    0x07ff301f,0xfa806f88,0x3fff2004,0x3002efff,0x5dffffff,0x007e4000,
    0xfff98000,0x4c0000ff,0x6c47ffff,0xfb3000df,0x03ffffff,0xeffffdb8,
    0x66665c2c,0x3ffb2201,0x66543def,0x3332a1cc,0x3fb6e21c,0xc801bdff,
    0xffffffff,0x000fffff,0x800005f7,0x3f6007fb,0x00002fff,0x03fe8800,
    0x00001ff8,0x2b372a20,0x3f27fb00,0x77dc7fff,0xeeeeeeee,0x00ffeeee,
    0xff880ffa,0xfd880002,0xffff800e,0xb9bfff92,0x22003dfd,0x3fa20efe,
    0x7fdc000d,0x801ffdc3,0x3fe203fe,0xbefe9802,0x04ffca99,0x54d67fd4,
    0xb0004ffb,0x2000001f,0x00ffeed8,0x7f76c400,0x017ffdc7,0x4de77fdc,
    0xfd301db9,0xffdb9bdf,0x27fffecb,0xccefffa8,0xff90effe,0x7fff49ff,
    0x9dffd12f,0x01dfffb9,0x777777e4,0x05eeeeee,0x04fffd88,0x03ff9000,
    0x17f775c0,0x22000000,0xff5005fe,0xfa800005,0xdfffffff,0xffa97ee0,
    0x017dc6ff,0xf3007ec0,0x7f5c439f,0xfe880005,0x5fdcc005,0xdf701dfd,
    0x57fe4001,0x20004ffa,0xefd8dfe9,0x33fe6001,0x017fae21,0xe980ffa2,
    0x03ff303f,0x2000ff62,0x000000fd,0x00001fb0,0x7ffd47e8,0x07ffa201,
    0x033fea00,0x7ec77ec4,0x7ff90099,0x7e477e40,0xfb99809a,0x2604ff9a,
    0x3f901ffe,0x7f4c0000,0x000efe9d,0x0003bf60,0x00002fa8,0x013fe600,
    0x0009ff30,0x46f7ff20,0xfaaffdb9,0x3fffe60e,0x4000fd45,0xfffa807f,
    0x00dfffef,0x027fcc00,0x04fffa80,0x54004fb8,0x0002ffff,0x0dfffd88,
    0xffffa800,0x800dfffe,0xff8803fc,0x4401fe81,0x7ec001fe,0x26200000,
    0x9fd99999,0xfd000019,0x7cc0db10,0xf98000df,0xddf7002f,0x0f7cc01f,
    0x07f7fcc0,0x0f7efd40,0xc80efc80,0xf700001f,0x02ffc87f,0x006ff440,
    0x000bea00,0x17fd4000,0x05fe8800,0x03bf6200,0x83ffff70,0x444ffff8,
    0x04f98003,0xbdffd910,0xff300005,0x7fd40007,0x001fe004,0x00003ba6,
    0x80007f70,0x2deffec8,0x400df100,0x027d44fa,0x6c005f98,0xf500000f,
    0xffffffff,0x00009fff,0x407f10fd,0x3a0003fe,0x7fdc002f,0x007fa00f,
    0x800fffa8,0x4001fffa,0x01fc84fc,0x01ffc800,0x22007ff5,0x500005fe,
    0x0000005f,0x80003ff7,0xb0005fe8,0x7fcc00bf,0x07ffff04,0x00bf2000,
    0x4c000000,0x7d40002e,0x007ec004,0x20000000,0x00000000,0xf8007f30,
    0xb0007e46,0x0fec001f,0xccc88000,0xccfecccc,0x7e80001c,0x9f900ee8,
    0x027dc000,0x900ffd80,0xff90007f,0x07ff5001,0xf90fd100,0x1bb00003,
    0x1004e880,0x5400007d,0x8000002f,0x200001eb,0x7d4000fd,0x3ffec005,
    0x002fffe8,0x0000fd00,0x00000000,0xc8005f50,0x0000001f,0x00000000,
    0x005f7000,0x003f47e8,0xf9300fee,0x265dffff,0x7ec00000,0x3f400000,
    0x7fcc07e6,0x03f60000,0x807fcc00,0xff10007e,0x00ff5001,0x3f20fd40,
    0x00000001,0x40000000,0x000002fa,0x02000000,0x8003fa00,0xd83fbefb,
    0x80001fff,0x330005f8,0x00000000,0x9000bea0,0x0198003f,0x01988000,
    0x004c4000,0xf000bea0,0x44006f8d,0x3bff205f,0xfeffdcbd,0xb0062003,
    0x0130001f,0x5fd001fa,0x006f8000,0x7c03fe20,0x03fe0006,0x80017ea0,
    0x00fe43f9,0x00000000,0x3ea00000,0x00026202,0x00000000,0x30027dc0,
    0x90ff11ff,0x00001fff,0x36a005f7,0x1ceffffe,0x00620000,0x20017d40,
    0x76d401fc,0x01ceffff,0xfffdb500,0x005c3bdf,0x3ffffb22,0x09f002de,
    0x1be1fc40,0x7f41f600,0x9ffb101e,0xfffeb980,0x007ec1bd,0xbefffda8,
    0xf8801fa0,0x2fc40005,0x203fa000,0x360004f8,0x03fa800f,0x3f22fc00,
    0x00000001,0x40000000,0x7f6542fa,0x0001deff,0x00000000,0x7c4003fe,
    0xf70fee1f,0x360000ff,0x7fe4400f,0xfffeccde,0x0e665c03,0x7bffffb5,
    0x00bea001,0x32203f90,0xfeccdeff,0x362003ff,0xedccdfff,0x204f9cff,
    0xdcceffea,0x6c00cfff,0x81fb001f,0x7fc4007d,0xe8027dc1,0xdffd104f,
    0x47fffb9b,0xffc800fd,0xd0effdce,0x017dc00f,0x0013e200,0x9f301fd0,
    0x007ec000,0x20001fd4,0xa88fe46f,0x7001accb,0x19999999,0xccccb800,
    0x50000ccc,0x6f7fec5f,0x303fffdc,0x99999999,0x19999999,0xccccccb8,
    0x13e2000c,0x7c43fd80,0x0037fd45,0x2602fc40,0x3aa01eff,0xffff00ef,
    0x337ffee5,0xa800effd,0x0fe4002f,0x500f7fcc,0xf9801dfd,0x3f6600cf,
    0x7ff904ff,0x00f7f4c0,0xfc803df3,0x2000fb85,0x1be61ffd,0xfa84f980,
    0x9fd300df,0xdfb003f6,0xfd1df501,0x880fec00,0x000df001,0x0bf00ff8,
    0x4007fc00,0x220005fa,0x7ee7e44f,0x1effffff,0x7fffffc0,0x7fc001ff,
    0x01ffffff,0xfd15f500,0x3bfea01b,0x7ffffdc0,0xffffffff,0x7fffc0ff,
    0x2001ffff,0xbf9003f9,0xbff31be0,0x07f50000,0x90017fc4,0x5fdcc0bf,
    0xdf900dfd,0x002fa801,0x3fe20fe4,0x817f2002,0x32002ff8,0x0efb84ff,
    0x401df700,0x2a21cff9,0x09f305fe,0xc8bffea0,0x20dc001f,0xf9003ff8,
    0x7d401fbb,0x3fbe600d,0x711fa007,0x403bfffb,0x3e60007d,0x000fd00f,
    0x2a003fe2,0x3ea0006f,0x56fffe43,0x3ffda999,0x64ccccc0,0x9998001f,
    0x0001fc99,0x005fd9f5,0xbfb8bfb1,0x99999999,0x3304fe99,0x003f9333,
    0x7d4017dc,0x3fe1fa06,0x0fd80003,0x2000ff60,0x3fea02fd,0x03fb804f,
    0x320017d4,0x001fec1f,0x2fd817ec,0x4c4fd800,0x7dc000ef,0x7fff4404,
    0x7403ffff,0x577cc01f,0x0001f63f,0x32001ff4,0x3fa00fff,0x07ffa800,
    0xeff99be0,0x903ffecd,0x3f20007f,0x005f900f,0x5001ff70,0x360005ff,
    0x005f541f,0x90007fea,0x3200003f,0xff50001f,0x2fe8005f,0x7e400bee,
    0x00fe4005,0xf8803f90,0x703f200f,0xdf00001b,0x0002fd40,0x3fea01fd,
    0x5017a004,0x1fc8005f,0xe80017ea,0x002fd40f,0x0ff44fa8,0x202fd800,
    0xffefffe8,0x0ffc404f,0x3f98efa8,0x220001be,0xfe88005f,0x009f700f,
    0xf8803ff4,0xd305ff35,0x01ff109f,0x00fffa80,0x4c001ff1,0xfa800fff,
    0x7dc000ff,0x6f980005,0x000fe400,0x0001fc80,0x1000bff5,0x00bee1ff,
    0x32001bee,0x03f6001f,0x6402fe88,0x5000001f,0x00fec07f,0x2a07f500,
    0x07ec005f,0xc8005f50,0x0007f61f,0x07ec3fa8,0x7cc3b000,0x17e20004,
    0x3105ffcc,0xff980bfb,0x1ffdb9ac,0x0037c7f3,0x80007dc0,0x1fb00ffa,
    0x003fd400,0x801df3bf,0x0efa81fe,0x1ffff300,0x8802fdc0,0xa800fefe,
    0x3000dfef,0x200001ff,0x3f2003fc,0x3f900001,0x03fea000,0xd897dc00,
    0x0077d400,0x9000fe40,0x027ec03f,0x01c407ec,0xe807f200,0x27c40006,
    0x64002fa8,0x00bea01f,0x03743f90,0xdd13e200,0x2fb80000,0x543f4000,
    0x77d400df,0x3fffaa00,0x8bee1dff,0x7d80007e,0x03fe2000,0x3e20037c,
    0x3ffbe007,0x906f9801,0xffb807ff,0x7ec00fd9,0x2bfea01e,0xafa800fc,
    0x7e402ffb,0x2200002f,0x07f2005f,0x00fe4000,0x0006fa80,0xf9800fe6,
    0x3f90000f,0xb817dc00,0x20fd005f,0x37c0007a,0xddddff10,0xdddddddd,
    0x20bfdddd,0x7e4002fa,0x000bea01,0x3bfe23f9,0xeeeeeeee,0xfeeeeeee,
    0x00002fc5,0xb00003f2,0x000ef81f,0x951009f7,0xfc8bf205,0x02fc0001,
    0x2203fe00,0x07f8005f,0x800fffa0,0xdff500fc,0xdfd97579,0x32003f61,
    0xecaacdff,0x001f91ff,0x3bfea5f5,0xeffdbaac,0x6f800001,0x0007f200,
    0x8000fe40,0x220004fa,0x3ff1005f,0x00fe4000,0xdf307f50,0x541be001,
    0x13e60007,0xffffff88,0xffffffff,0x507fffff,0x1fc8005f,0x777f76cc,
    0x11fc801d,0xffffffff,0xffffffff,0x27ccffff,0x01fa0000,0xfa87ee00,
    0x00374002,0x3e61fe80,0x13e60005,0x301fb000,0x0fd0009f,0x20037ec0,
    0x3f6202fb,0x0cefffff,0x74c003f6,0x0defffff,0x3ea003f2,0x3ffff662,
    0x00003fff,0xfc801fa0,0x3f900001,0x00fea000,0xd100df00,0xfc80005f,
    0x117e2001,0x3e2003ff,0x0007f504,0x0bf007f2,0x2fa80000,0x2a0fe400,
    0x2fffffff,0x17e1fc80,0x13e60000,0x01fb0000,0x321fc800,0x00fb8007,
    0xfc86f800,0x7c46e003,0x07f40004,0x7c0027c4,0x00bee007,0x26007f30,
    0x1fb009ba,0x0ab98800,0xf5001f90,0x02aea205,0x1fa00000,0x0001fc80,
    0x20003f90,0x7c0004fa,0x003fe805,0x4001fc80,0x00bfa0fe,0xd9303fb8,
    0x00fd000d,0x800000fd,0x7e4002fa,0xfc800001,0x00001fa1,0x200002fc,
    0x740001fb,0x54003747,0x7dc0002f,0x00dfe884,0x06e8ffaa,0xf807fc00,
    0x03fc4005,0x98007f30,0x6c00003f,0x9000000f,0x05f5001f,0x40000000,
    0x07f2006f,0x00fe4000,0x0005fa80,0x9fb013e2,0x07f20000,0x3f29f500,
    0x03fe2004,0xf8800be0,0x002fc804,0x00bea000,0x00003f90,0x17e41f90,
    0x03f40000,0x00fea000,0x07e8df00,0x0002fa80,0x6c407fe6,0xedcacdff,
    0x003e44ff,0x3a01ff30,0x03fcc007,0xf5001be0,0xfd800005,0xfb000000,
    0x005f5001,0x22000000,0x07f2005f,0x00fe4000,0x0007fa80,0x4fc80bea,
    0x07f20000,0x1beffa00,0xfa87f900,0x000fb9ad,0x3e600bee,0x2a000005,
    0x0fe4002f,0x23f40000,0x800005f9,0x200002fc,0x70000ef8,0x000fc89f,
    0xd00007e4,0xffb7007f,0x3019dfff,0x3f60007f,0x005f900f,0x36003fe4,
    0x07f2000f,0x01fb0000,0x01be0000,0x000017d4,0x03fb8000,0x00007f20,
    0xa8000fe4,0xfd0003ff,0x0017ee03,0x0003f900,0x4001fff5,0xffd706f9,
    0x07d8005d,0x0000ff20,0x20017d40,0x400001fc,0x03fc86f8,0x07fc4000,
    0x2e2c8800,0xef98004f,0x10027dc0,0x7e4000ff,0x57ec4005,0x000ff800,
    0x8807ffd4,0xfff1006f,0x005f9800,0x00000df1,0x000001fb,0x3ea009f5,
    0x0a600002,0x003fe200,0x00001fc8,0x2a0003f9,0x5c000fff,0x01df504f,
    0x3f200150,0x5ff88001,0x007fea00,0x17e20002,0x0005fd00,0x0bea0971,
    0x0003f900,0xfd03fd80,0x09710005,0xf5000bf7,0x003fd87f,0x7f407fa2,
    0x005fb001,0x001dfb10,0x2a001fb0,0xff1000ef,0x1fe401fd,0x003ffec0,
    0x7e4017ec,0xfd800002,0x7cc00000,0x05f5001f,0x06fe4000,0x8007fb00,
    0x900001fc,0x3ea0003f,0xf3000dfe,0x003bea0d,0x7e4013e2,0xfffe8001,
    0x17fdc01e,0x5f500000,0x0cff9800,0x06ffc880,0xfc8005f5,0x3f600001,
    0x033fe605,0x41bff220,0xd8801efd,0xdff884ff,0x027fd400,0x6c405ff3,
    0xffb8005f,0x1fb0000d,0x017fe400,0x03f63bee,0xb103ff88,0x1000fd5f,
    0x37e405ff,0x0fd80000,0x3fe60000,0x00bea003,0x3ffe8800,0x0037f440,
    0x80000fe4,0xf50001fc,0xc803df55,0x0ff981ff,0x2009f100,0x7e4001fc,
    0x337bff95,0x001dfd95,0x00fd8000,0xacffd880,0xffdca999,0x00bea04f,
    0x98003f90,0xeffdbacc,0x67fec400,0xfdca999a,0x7fe404ff,0xdca99abd,
    0x36202eff,0xba99acff,0xfa802ffd,0xfca99bdf,0x9acc80df,0x03fffdba,
    0x0007ec00,0x266f7ff2,0xfb0efdba,0xfd105bdd,0x5fd7337b,0x0077bbfa,
    0x4cdeffcc,0x0000efeb,0xfeaaaaa8,0x2e200aab,0xffdaaccc,0xcaa9803f,
    0x01aaaacf,0x677fdc00,0xcffcb99b,0x01fc8000,0x003f9000,0xa97f7764,
    0xba99bcff,0xff881efe,0x013e2001,0xf5000fe4,0xffffe98d,0x00004fff,
    0x80009b00,0xfffffffa,0xd980ceff,0x01deefee,0x7ddffdb1,0x3ffffe00,
    0x7d4003ff,0xffffffff,0xfd3000ce,0xdfffffff,0x7ffd4005,0x00dfffff,
    0x3ffff620,0x3f602fff,0x1bdfffff,0x00fd8000,0xffffda80,0x3f60cfff,
    0xfd103fff,0x747fffff,0x2002ffff,0xffffffd8,0xff300005,0xffffffff,
    0x7fffd409,0x001effff,0xfffffffd,0x10000dff,0xffffffd9,0x7775c05f,
    0xeeffeeee,0x71deeeee,0xfddddddd,0xdddddddf,0x7fffec3b,0x3ffff662,
    0x3fa04fff,0xeeeeeeef,0x74feeeee,0xfddddddd,0xdddddddf,0x403fe23b,
    0x001bcca8,0x00000000,0x2b32ea20,0xffffb801,0xfd102fff,0x2009ffff,
    0x0009aaa8,0x5665d440,0x5d440001,0x0000abcc,0x026f32a6,0xacba8800,
    0x37951001,0x0d700000,0x15973000,0x65440000,0x2000001b,0x000abca9,
    0x55554c00,0x9802aaaa,0x001aaaaa,0xaaaaaa88,0x00000aaa,0x00d65cc4,
    0x7fffffe4,0xffffffff,0xfff92fff,0xffffffff,0x05ffffff,0x26f2e600,
    0x7ffff400,0xffffffff,0xfff94fff,0xffffffff,0x45ffffff,0x0000001d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01353100,0x000c4000,
    0x5d3009d1,0x00000000,0x0ba6013a,0x20000000,0x2e4400ec,0x5e654c00,
    0x7510000a,0x00000359,0x00000017,0x400f5c00,0x0000006c,0x16e44000,
    0x3006a000,0x00000003,0x00d400a8,0x54000000,0x0000d400,0x88000000,
    0x02dc0019,0x310006a8,0x0e600013,0x3ffffee0,0x7ec40003,0xdfd003ff,
    0x007fee01,0xffff9800,0x0efe800f,0x0003ff70,0x013fea00,0x3a605ff7,
    0x3faa004f,0x03ffffff,0x7ffffdc0,0x880000ef,0x440003fe,0x003dffec,
    0xd103ffa8,0x36a000bf,0x000000cf,0x0001fffb,0x7d407ff2,0xfc80003f,
    0xffd803ff,0x003ff900,0x000efe44,0x6403ffa0,0x7ff401ff,0x000001ff,
    0xffffeda8,0xf902e1de,0x001fd005,0x3fffff66,0xa88732ef,0x7e407ffd,
    0x009f931c,0x7ffffdc0,0x83ffb001,0x00001efd,0x07ff76c4,0x6c2ffc80,
    0x004001ff,0x801ffff0,0x7fd44ffa,0x9ffd1003,0xdff75337,0x59ff9001,
    0x005ffb73,0x0027fcc0,0x3bbffea0,0x4c000eff,0x27fd45ff,0x7fff4400,
    0x17e60bff,0x1fffe800,0x07ffb000,0x00017fee,0x007fdff3,0x3f603fff,
    0xfff9003f,0x3ec41bff,0xd80fffc0,0x776403ff,0x000001fe,0x337fff62,
    0xf9cffedc,0x2e037d44,0xdffb006f,0xdffd999b,0xcaced8fd,0x5407ea07,
    0xff90001f,0x5c005fff,0x0dfe9bff,0xfd800000,0x2ffea000,0x4000dfe9,
    0xff9002f8,0x37fa200d,0x1001ffc8,0xfc801bff,0x8077dc05,0xa8000ffa,
    0x4c0003ff,0x77e443ff,0x77ec4000,0x0002ffb9,0x3fee1bfb,0x002ffccf,
    0x001bfee0,0xd100de98,0xfd80003d,0xfb803fa9,0x003ba604,0x7f54bbea,
    0x804ffbdf,0x37a604fb,0x007ee000,0x67fcc000,0x3fff6600,0x20bdfd84,
    0xd801ffc9,0x3f2201ef,0xb03e407f,0x0005f80d,0x00dffff3,0x07fffd30,
    0x7ec00000,0x7ff4c000,0x7f30004f,0x001fc400,0x003bfff6,0x36002fa8,
    0x01ff103f,0x5c004fb8,0xe80002ff,0x013ee02f,0x0f7ffe40,0x32035000,
    0x0001efff,0x00000298,0x3ea00000,0x00007f54,0x540a2000,0x0003ffff,
    0x1fb80000,0xff880000,0x13ff2002,0x3fbfffa2,0xf9802fff,0x0ff9000f,
    0x00fe07c8,0xaa8000d7,0x3f620001,0x40000002,0xd88000fd,0x3e60002f,
    0x003f6003,0x40013ee0,0x82fc4000,0x1ff002fc,0x007fee00,0x201be200,
    0xf50000fe,0x1000000b,0x00000035,0x00000000,0x3fa87f40,0x00000000,
    0x00002a60,0x7ffdc000,0xffffffff,0xfd8001ff,0x04fd8002,0x33bffb6a,
    0x005f7000,0x1f203fc4,0x035c02f8,0x10000000,0xb0000000,0x0040001f,
    0x400fe600,0x020002fb,0xfd000000,0x6400ff10,0x01b9003f,0x00fea000,
    0x080007ee,0x00000000,0x00000000,0xf7000000,0x0001fd47,0x00000000,
    0xb3000000,0xddddfddd,0x80019ddd,0xf50005fa,0xa8000009,0x025c002f,
    0x406d81f2,0x0000005e,0x00000000,0x00007ec0,0x07f30000,0x00000aa0,
    0xfb000000,0x44009f50,0x0000006f,0xf5005f70,0x00000005,0x00000000,
    0x00000331,0xdf100000,0x10003fa8,0x4c000013,0x20000099,0x20000999,
    0x400001fb,0x360000fd,0xf8000001,0x6400001f,0x4c07ee07,0x0000002f,
    0x00099880,0xfb006200,0x02620001,0x003f9800,0x00000000,0x3217e000,
    0x07f4001f,0x5c000000,0x00fd802f,0x00133300,0x01cccca8,0x0666665c,
    0xfffeda80,0x502e1def,0xb8039999,0x000ccccc,0x03fa85f9,0xffffd910,
    0xb98005bd,0xcffffffd,0x7edcc000,0x00cfffff,0x9880fdc0,0x00374000,
    0x80000000,0x009bdffa,0x3603e400,0x017ae23e,0xd9800000,0x2effffff,
    0x3ae60073,0x6c1bdfff,0xfd91000f,0x805bdfff,0xcefdccca,0xcccccccc,
    0x9999500c,0xccccb803,0xf500000c,0x8001fb05,0x000001fd,0x4c02fb80,
    0x36e6006f,0x0cffffff,0x2ffffe80,0x7fffffc0,0x7ffec401,0xcffedccd,
    0x7fff44f9,0x7fffc02f,0x5f9801ff,0xea803fa8,0xffdcceff,0x7fd400cf,
    0xedccdeff,0xffa802ff,0xedccdeff,0x3ee002ff,0x3ffff6a1,0x00bf004f,
    0x3332e000,0x8000cccc,0xefffffe8,0x1f2001bd,0xffbffb10,0x06200009,
    0x9bdffb00,0xfddffd99,0xdeffe880,0x363fffdc,0xffea800f,0xcfffdcce,
    0xfffffb00,0xffffffff,0x3fa05fff,0x7fc02fff,0x0001ffff,0x7e80ff98,
    0x5c2fc800,0x7304cccc,0xb8015bfd,0x3ff7102f,0xdffff500,0x5ffdb99b,
    0x05f73300,0x03f93330,0x30067fcc,0x3309fffb,0x333005f7,0x3fd003f9,
    0xfc807f50,0x3bfa603f,0x02b3ae01,0x5c01fea8,0x3aa00ace,0x23f7001f,
    0xfdcceffc,0x13e601ef,0x7ffc0000,0x001fffff,0x3fb2ea20,0xc800dfff,
    0x37975007,0x401764c0,0xdfb000fb,0x3ffe4403,0x201bff50,0x01fb4fe9,
    0x2603ffc8,0x33101efe,0x333339f7,0x98013333,0x99802fb9,0x20001fc9,
    0xdf01efc8,0x447f5000,0xc87fffff,0x1ffeefff,0xfd70bee0,0x3ae005ff,
    0x3faa00ac,0x005f5001,0xff101fc8,0x27fe4005,0xc8005f50,0x827d401f,
    0x3bee03fa,0x01df7000,0x01be6000,0x00df3000,0x033fabee,0x9f3037e4,
    0x4cc00000,0x001fc999,0xffda8800,0x0003e402,0x0befec98,0x9801fc80,
    0xff9000ff,0x400ffe20,0x200fddfc,0xf7000efb,0x03f9801d,0x017d4000,
    0xb8007f20,0x00efffee,0x3e60017e,0x3ecccc43,0x5c17dfd3,0xb0bee06f,
    0x001bffff,0x00df3000,0xf9000bea,0x000bf603,0x2fa813f6,0x200fe400,
    0x07f500fe,0x70003be6,0x6c00009f,0x6c00000f,0xfffb800f,0x204fc802,
    0x0000005f,0x00000fe4,0xc807fa60,0x3f260007,0x6c000bdf,0x02fb801f,
    0x7f41fe20,0x7ffe4003,0x001df300,0x7cc04fb8,0x7d400003,0x00fe4002,
    0x5fffff90,0x98005f80,0xf9bec04f,0xb80aa04f,0xfdb9882f,0xd800003f,
    0x02fa800f,0x7d40fe40,0x09f50005,0x320017d4,0x80fee01f,0x03fd03fa,
    0x000bf600,0x0000fe40,0x2e007f20,0x1be003ff,0x000007e8,0x0000fe40,
    0x951fcc00,0x7999fd99,0x6ffe5401,0xfea8000b,0x02fa801f,0x2fc425c0,
    0x07ff4400,0xb0001fe8,0x01fcc05f,0x00bea000,0x30003f90,0x201bffb7,
    0x4f98005f,0x17fdfec0,0x00bee000,0x00013faa,0xf5003f90,0x81fc8005,
    0x360000fd,0x000bea01,0x1be203f9,0x9f307f50,0x02fc4000,0x001fc800,
    0x400fe400,0x7ec003fb,0x0005f900,0x00fe4000,0xd0000fa8,0x777775cd,
    0x6d40deee,0x0000adff,0x0039ffd5,0x40000ffc,0xf50000fb,0x009f301f,
    0xf302fc40,0xfa800007,0x00fe4002,0x03bfa200,0x3e60017e,0x0fffec04,
    0x017dc000,0x00005fb0,0x7d400fe4,0x40fe4002,0x4000006e,0x7e4002fa,
    0xa805fb01,0x002fb83f,0x4cc03f40,0xf91aaaba,0x5d4cc003,0x03f91aaa,
    0xc8003f70,0x01ff100f,0x400b2200,0x7f7001fc,0x001be000,0x056ffecc,
    0x2fff6000,0xdffa8000,0x7d80009b,0x03fe2000,0xd0000bee,0x001fcc0f,
    0x000bea00,0x200003f9,0x005f85fd,0x7ec03f98,0xf700000e,0x07fc4005,
    0x555d4cc0,0x5003f91a,0x1fc8005f,0x000005f8,0x320017d4,0x805f981f,
    0x00fc83fa,0x4407ec00,0xfffffffc,0x401fffff,0xffffffc8,0x01ffffff,
    0x64001fb8,0x017ee00f,0x400ffea0,0xdf7001fc,0x04fb8001,0x056ec2a8,
    0x40159950,0x40000efd,0xefffffe8,0x02fc01bd,0x3203fe00,0x7ec0000f,
    0x0007f300,0x4002fa80,0x200001fc,0x0037c0fd,0x3f601fd4,0x3ee00000,
    0x81fd4002,0xffffffc8,0x01ffffff,0x64002fa8,0x0027cc1f,0x00bea000,
    0x3fd03f90,0xfd07f500,0x83f70000,0xaaccfffb,0x1ffecaaa,0x333ffee0,
    0xfecaaaaa,0x01fb801f,0x36007e40,0xfd8801ef,0x07f2004f,0x00f7fdc0,
    0x6400efb8,0x7f4c005f,0xf882ffee,0x54400005,0xdffffecb,0x0004f980,
    0x03f407ec,0x980fdc00,0x5400003f,0x0fe4002f,0x87f50000,0x2fb8007e,
    0x00003ec0,0xf1000bee,0x99fff70b,0xfd955555,0x05f5003f,0x7cc1fc80,
    0x54000004,0x0fe4002f,0x2aaabbea,0xcfcaaaaa,0x0003f61a,0x7fd43f90,
    0x03f9000c,0x40033fea,0x1fb801fc,0x4007e400,0x99abdffc,0x02effdca,
    0xb800fe40,0x9acdffdf,0x1fffba99,0x00077ec0,0x7ecc3bf3,0x00017dc1,
    0xffda8800,0x00027c42,0x03f603fa,0x203f9000,0x400003f9,0x7e4002fa,
    0x3e200001,0x20007ec5,0x03ec00fc,0x00bee000,0x9ff51fa0,0x007f2001,
    0xf9000bea,0x0000bf03,0x4002fa80,0x7ffd41fc,0xffffffff,0xf70fffff,
    0x27e80003,0x64000ff9,0x00ff981f,0x5c00fe40,0x07e4001f,0xffffe980,
    0x002effff,0x26003f90,0xffffd88e,0x00cfffff,0x00037fa2,0x3a36c0bd,
    0x00000007,0x06e83fd3,0x5c07fc00,0x3f40001f,0x00007f30,0x64002fa8,
    0x6c00001f,0x20017e47,0x007d807d,0x0017dc00,0x0ff987ec,0x400fe400,
    0x7e4002fa,0x00007e81,0x20017d40,0x555441fc,0xaaaaaaaa,0x3ea1acfc,
    0x737c0003,0x3f90005f,0x90005f70,0x03f7003f,0x4000fc80,0x0abcfca8,
    0x00fe4000,0x9fb75100,0xfe880155,0x02f98004,0x007e87ea,0x3e600000,
    0x30003e43,0x07f501ff,0x2606f800,0x5400003f,0x0fe4002f,0x51be0000,
    0x3fc4009f,0x00003ec0,0x36000bee,0x0005f70f,0x5f5003f9,0xc81fc800,
    0x2000002f,0x7e4002fa,0x1fd40001,0x800077c4,0x001f64fb,0x03ec0fe4,
    0xb801fc80,0x07e4001f,0x0007a800,0x0000fe40,0x3e6007a8,0x0f50003f,
    0x007ec7d0,0x007d42e0,0x1fcc6e80,0x80ffd800,0x70000ef8,0x01fcc09f,
    0x00bea000,0x00003f90,0x3fe227cc,0x009f7000,0xb80000fb,0x3fc0382f,
    0x3f2000fb,0x004f9801,0x3e207fea,0x5910000f,0xa8013e60,0x540001ff,
    0x009f703f,0x7ec1df30,0x0ffd4000,0x2a0007ec,0x1fb801ff,0x0007e400,
    0x00003fa8,0x400007f2,0x5d3003fa,0x007d4000,0x004fb8fe,0x01fdd3e2,
    0x0ff86f80,0x07ffd400,0x98004fb8,0x13e600ef,0x09f30000,0x000ffd40,
    0xfb05fb00,0x003fa007,0x700001f6,0x302fa85f,0x0007ecdf,0x22007fea,
    0xffc800ff,0x00bf701f,0x2207ff50,0xffc800ff,0x7d40001f,0x800ff603,
    0x27e41fe8,0x03fff900,0x7e4009f9,0x1fb801ff,0x0007e400,0x0006ec98,
    0x00003f90,0x0001bb26,0x501fc400,0x00ffc43f,0x1df75f88,0xa84fb800,
    0xff1000ef,0x1fec01fd,0x003fd100,0x880000df,0xffc800ff,0x000ee41f,
    0x3fcc13f2,0xd801fe40,0x7dc00007,0xfc82fcc2,0xc8013f24,0xfb001fff,
    0x6f7f4407,0x07bf601f,0x013ff620,0x7f4407fb,0x40001fde,0x3fe203fa,
    0x27fd400d,0x26007fcc,0x981fdefe,0x7f4c00ff,0xfb801fde,0x007e4001,
    0x00017c00,0x00000fe4,0x0000017c,0x21b606d8,0x6d403ffa,0x03dff75f,
    0x6403bee0,0x77dc02ff,0x3e200fd8,0x7fd400df,0x007fb004,0x6c01fb51,
    0x3bfa203f,0x6ffdc1fd,0x037ec401,0x7dc03bf2,0x00fb000f,0xf82fb800,
    0x307fcc0f,0xfe9801ff,0xf1001fde,0xfd9537df,0x0fbbf29f,0x4d5effe4,
    0x2effdca9,0x9beff880,0xf94ffeca,0x2a0007dd,0x7fec403f,0xfdba99ac,
    0x2ffee02f,0xffecb999,0x47dddf94,0xb999bffb,0xdf94ffec,0x07ee07dd,
    0x4001f900,0x0fb9adfa,0x01fc8000,0x26b7ea00,0x000000fb,0x7545df10,
    0x9dff701f,0xbfff9757,0x37ff7ee3,0xfba999ac,0x7fe401ff,0xfdba99bd,
    0x5bddfb0e,0x359ffb10,0x05ffb753,0x5677f440,0xfffdba99,0x5f7fc404,
    0x94ffeca9,0x7fd47ddf,0xca99acdf,0xfd800dff,0xefeb9adf,0x001f6001,
    0x3bfbbb20,0x5cdf7dc5,0xbffb83fe,0xffecb999,0x07dddf94,0xfffffe98,
    0x3fff21ef,0x3fffa605,0x02efffff,0x7ffff4c0,0x3ff21eff,0xddd7005f,
    0xa809ddfd,0xffffffff,0xffea800d,0x21dfffff,0x544ffffc,0xfffffffe,
    0x3ffff21d,0x3bfbbaa4,0xfdd701de,0x7001bddf,0x2005dffd,0xeeeeeeeb,
    0xeeeeeefe,0x7f5c01de,0x000002ef,0x7ffff440,0x7fec401e,0x41cfffff,
    0xfffd88e9,0x0cffffff,0xffffb500,0x7ec19fff,0x3ea03fff,0xdfffffff,
    0xffd88000,0xceffffff,0xfffd3000,0x7e43dfff,0xffda85ff,0x02ffffff,
    0x7ffffdc0,0xdd9100df,0xddddffdd,0x401bdddd,0x0efffffd,0x17ffffe4,
    0xfffffd50,0x7fe43bff,0x995004ff,0x20000137,0x0abccba8,0x5e654000,
    0x36000009,0x6fffffff,0x37995300,0x99750001,0x75000035,0x20003599,
    0xfffffffb,0xfffff902,0x008003ff,0x7ffffe40,0xffffffff,0x2002ffff,
    0x00000000,0x4000d54c,0x40009aa9,0xaacccba8,0x32e60000,0x4c00000a,
    0x0009bcca,0xaccca980,0x66540001,0x8800009b,0x0001abca,0x002b2e62,
    0xffffffd1,0xffffffff,0x4c00001d,0x75000bcb,0x00003599,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x001acca8,
    0x75c01754,0x00000000,0x007d9100,0x00000000,0x00000006,0x19801500,
    0xc801eb80,0x00000006,0x20737b60,0x013a03ca,0x00000ba6,0x00000000,
    0x00000188,0x00000000,0x0073332e,0x01999997,0x001665cc,0x001cc000,
    0x00730000,0x00000000,0x5e654400,0x7ff54001,0x000effff,0x36209ff3,
    0xcccb806f,0xbfd7304c,0xff700015,0x4c00003f,0xdeefffec,0xfec9801c,
    0x3fffa000,0x3aa0ffff,0x0ffd804f,0xa805ff70,0xbfd103ff,0x0efe4c00,
    0x3ff20000,0xfffcaeff,0x403bfa04,0xffd01ffb,0x001fffff,0xffffffe8,
    0x332e000f,0x3fff6a1c,0x3f200bdf,0x00004fff,0x7ffffff4,0x3ffe000f,
    0x7ffc02ff,0xee981fff,0x000efecd,0x3ff6a200,0x22000007,0x0007ffda,
    0x00ffea00,0x9df70000,0x2e00bfd9,0xda99acff,0xfd3003ff,0x06ff4c1b,
    0x3ffffe20,0xeefffc87,0x7ec001ff,0x900003ff,0xfffddfff,0x3f2a0dff,
    0x2000ffff,0xffeeeeec,0x003fffa0,0x3f605ffd,0x5ff9804f,0xb0027fd4,
    0x419fffff,0x220007e8,0x1bdffffc,0x6c2ffc80,0x3bb201ff,0x000ffeee,
    0x7f777764,0x3ffe000f,0x9bfff72f,0x2a01dffb,0x0004feee,0x77777640,
    0x4cc000ff,0x999802fb,0x427c41fc,0x200005e8,0x007dacee,0x2b3ba000,
    0x2000007d,0x00007ffe,0x3ea0bae0,0x006fe402,0x22005fd3,0x3ffb9efd,
    0x36666200,0x82fbfa67,0x7cc006fb,0xc80000ff,0x133101ef,0xadffffc8,
    0xc80000fd,0x01bff20f,0xee9817ea,0x3dfb1000,0x5c005ff7,0x9ffd51ef,
    0x50009ff7,0xbfdbfff9,0x9bffa800,0x90000dfe,0x3200001f,0x7dcc000f,
    0xf900dfdb,0x04f9801d,0x1f900000,0x00bea000,0xa8003f90,0x9000001f,
    0x4000000f,0x2000007c,0x00005ffd,0xb81b6000,0x1ff1005f,0x7fffdc00,
    0x9bec0001,0x00aa04ff,0x40000a20,0xd0000ff9,0x00fc839d,0x4c0fc800,
    0x0000003f,0x1efffc80,0xfa814400,0x5c002fff,0x360befff,0x7f4c005f,
    0x640004ff,0xf900000f,0xfff50001,0x807f7009,0x000004f9,0x20001f90,
    0x7e4002fa,0x017cc001,0x007c8000,0x01f20000,0x05f50000,0x64000000,
    0x5001fa07,0xde98009f,0xbfd80000,0x000002ff,0x4fb80000,0x1f900000,
    0x81f90000,0x000000fb,0x00bf5000,0x0014c000,0x3600bdd8,0x7ec4004f,
    0x0fc80002,0x01f90000,0x009ff500,0x13e602f4,0x7e400000,0x05f50000,
    0x2001fc80,0x000006e8,0x000001f2,0x000007c8,0x000007e4,0x304f9800,
    0x0df0007f,0x40000100,0x0001fffd,0xb0000000,0x2000001f,0xc80000fc,
    0x0013e60f,0x01000000,0x00000000,0x007fa000,0x64000020,0xf900000f,
    0x0bf50001,0x2600fd80,0x0000004f,0x2a0001f9,0x0fe4002f,0x037fb6e0,
    0x07c80000,0x1f200000,0x3f980000,0x22000000,0x2203fedc,0x07d8000c,
    0x6c000000,0x000000ef,0xd80000cc,0x32000007,0xfc80000f,0x30001720,
    0x00000003,0x00131000,0x37c40000,0x90000000,0x3200001f,0x2fa8000f,
    0x300fe400,0x0000009f,0x540003f2,0x0fe4002f,0x037ff6a0,0x902f4c00,
    0x3ee0000f,0x0001f202,0x05c87ec4,0x5c400000,0x00003ffe,0x00001fb0,
    0x007ec000,0x7f6d4000,0x001cefff,0x00000fb0,0x400007e4,0x540000fc,
    0xceffffed,0x00000001,0xffffec88,0x260002de,0x209bcdca,0x000003fb,
    0x0001f900,0x20003f20,0x7e4002fa,0x0013e601,0x007e4000,0x4002fa80,
    0x3aa001fc,0x3f22000e,0x001f202f,0x401ffd30,0xfb80007c,0x0c40005f,
    0x5fb88000,0x86f80000,0x304ccccb,0x0015bfd7,0x100001f6,0xd99bdff9,
    0xca807fff,0x0007fccc,0x0003f200,0x40003f20,0xccdeffc8,0xb803fffe,
    0x0ccccccc,0xdffd5000,0x19fffb99,0x7fff4c00,0xf13fffff,0xccccc98d,
    0xcccccccc,0x1f9000cc,0x03f20000,0x000bea00,0x27cc03f9,0xcccccca8,
    0x07e4000b,0x002fa800,0x26000fe4,0xdff5004f,0x0007c803,0x90033ff2,
    0x7f44000f,0x3332e02f,0x3ffff6a1,0x5c0000bd,0x2e00001f,0x7fffc44f,
    0xefffc87f,0x7d801ffe,0x3fe60000,0x3bfaa01e,0xfffffb00,0x6400000f,
    0xfc80000f,0xeff98000,0x03bfaa01,0xfffffff8,0xffc8001f,0x07bfa603,
    0x26b7ff20,0x9efeba88,0x3ffee0fc,0xffffffff,0x9000ffff,0x3200001f,
    0x2a00dc0f,0x0fe4002f,0x3f609f30,0x01ffffff,0x80007e40,0x7e4002fa,
    0x407d8001,0x9003ffd8,0xdfd3000f,0x001f2003,0x2006ffdc,0xff72ffff,
    0x1dffb9bf,0x027c4000,0x80ff8800,0x267d9998,0x3ee0befe,0x0007d806,
    0x4005ff10,0x266605fc,0x000007e9,0x200003f2,0x7c4000fc,0x17f2002f,
    0xf9333330,0x0efb8003,0x401df700,0xfb801efd,0x2fee3fbf,0x99999999,
    0x2004fe99,0x900000fc,0x013fea1f,0xfc8005f5,0xa813e601,0x00099cff,
    0x50000fc8,0x1fc8005f,0x2a06e800,0x32000eff,0x3ff22007,0x003e4004,
    0x800bffa6,0x0dfdbfb9,0x0001df90,0x20000fe6,0xfb002fe8,0x2a813fe6,
    0x00007d80,0xfb0007fb,0x001f6005,0x000fc800,0x4000fc80,0xfd8003fd,
    0x00fe4002,0x8001df30,0x0bf504fb,0x25fef980,0xbf9002fb,0x2a0fc800,
    0xafc8002c,0xfa803ffe,0x00fe4002,0x3fea09f3,0x0fc80003,0x005f5000,
    0x00dc1fc8,0xffb107f7,0x00f90007,0x0007bfea,0xffc801f2,0xffa8000c,
    0x83fb804f,0x03fa00b8,0x00ff6000,0x02ffbfd8,0x000fb000,0x4000bf50,
    0x07d800fe,0x03f20000,0x003f2000,0x20005fa8,0x3f2000fe,0x007fa001,
    0x3e217ec0,0xffb8000f,0x2e00bee6,0x0fc8006f,0x8003fff5,0x000dfffc,
    0xfc8005f5,0x2e13e601,0x900001ff,0x3ea0001f,0x20fe4002,0xeb9adffb,
    0x0dffb84f,0xfd999500,0x6c417999,0x026a63ff,0x33fb332a,0x7f4c0bcc,
    0x3ea0001e,0x217a004f,0xca9cefd8,0xd80002ff,0x7fec004f,0x3600001f,
    0x1fd80007,0x00fea000,0x800001f6,0xc80000fc,0x07f6000f,0x003fa800,
    0x7cc007f2,0x17e20004,0x6c0005f9,0x5003626f,0xf90001df,0x013fff21,
    0x001effb8,0x320017d4,0x913e601f,0x400001df,0xf50000fc,0x0ffd4009,
    0x6f7f6dc4,0x417ff441,0x77643ffb,0x0deeeeee,0x3ee1dff5,0x7644ffef,
    0xdeeeeeee,0x509ff910,0xbf5009ff,0x300fd800,0x019dffb9,0x04fd8800,
    0x000efd80,0x0003ec00,0x22000374,0x007d804f,0x003f2000,0x8003f200,
    0x7c40006e,0x007f2004,0x200017dc,0x0003ec7e,0xf3001fea,0x3f20001f,
    0x003fff30,0x001ffff5,0xc8005f50,0x453e601f,0x00000dfd,0xa80007e4,
    0xfff9007f,0x7fdc0003,0x3fcf980d,0x7ffb1000,0xeb885fe4,0xdff50005,
    0x09f9f103,0xc8005f50,0x0000001f,0x80027f44,0x800000fd,0x7c40007d,
    0xeeeeeeef,0xeeeeeeee,0x07d805fe,0x03f20000,0x003f2000,0x77777fc4,
    0xeeeeeeee,0x005feeee,0x7e4007f2,0x07ec0000,0xf98000df,0x07fe2007,
    0x260fc800,0x7ff4c01c,0xa8000fdb,0x0fe4002f,0x9fd19f30,0x3f200000,
    0x7ff50000,0x7ef7f440,0xefe98001,0x0fe3ba02,0x837fee00,0x07f503fa,
    0x01ffec40,0x5009f1db,0x1fc8005f,0x22000000,0x360004fe,0xfb000007,
    0xfff88000,0xffffffff,0xffffffff,0x0007d807,0x0003f200,0x44003f20,
    0xffffffff,0xffffffff,0x32007fff,0x00fd001f,0x3e23f700,0x06f80004,
    0x0005fd10,0x44000fc8,0x01f90dff,0x8005f500,0x37e601fc,0x00002fff,
    0x20001f90,0xa9aefffa,0xdf94ffec,0x3ff2007d,0x7c7ee00c,0x3ffa6003,
    0x2fc03982,0x00effa80,0x4027cbea,0x7e4002fa,0x00002201,0x00027f44,
    0x910001f6,0xddffdddd,0x1bdddddd,0x00002fc0,0x0000fb00,0x00007e40,
    0xbf0007e4,0x90000000,0x03f6003f,0x223f9000,0x5f80005f,0x0007fd00,
    0x70001f90,0x3000fc83,0x3bddfddb,0x3bffb620,0xafff983e,0x800002fe,
    0xf50000fc,0xffffffd9,0x2fffe43d,0x007bfa60,0x801fc9f3,0x0000dffb,
    0xfd8807f1,0xf27c403f,0x005f5009,0xfc881fc8,0x220002ef,0xd80003fe,
    0x7f440007,0xffffffff,0x00efffff,0x000001fa,0x000007d8,0x200003f2,
    0x1fa000fc,0x32000000,0x03f7001f,0x3f47e800,0x013e6000,0x400013f6,
    0x900000fc,0x3fee001f,0x102fffff,0x09fffffd,0x3fe23df3,0x7e400002,
    0x25f50000,0x0009bcca,0x013ff220,0x300fe374,0x80005ffd,0x3fee00ed,
    0x20ed800d,0x02fa804f,0x7dc0fe40,0x8000ffff,0x00003ff9,0x000000fb,
    0x02fc8000,0x0fb00000,0x07e40000,0x007e4000,0x00005f90,0x001fc800,
    0xf80007f5,0x0000fec6,0x4fc807f9,0x03f20000,0x007e4000,0x20000000,
    0x17fcc4f9,0x01f90000,0x000bea00,0x00f7f400,0x01fc1fb8,0x00019ff3,
    0x3f201fd8,0x85f7002f,0x02fa804f,0x7f40fe40,0x4002ffff,0x00003ff9,
    0x000001f6,0x0bf30000,0x1f600000,0x0fc80000,0x00fc8000,0x00017e60,
    0x003f9000,0x40003be2,0x027dc4fb,0x5c01fd00,0x6400005f,0xf900000f,
    0x00000001,0xf984f980,0xf900002f,0x0bea0001,0x01e40000,0x07f09f30,
    0x20000ecc,0x65400ee8,0xf09f1000,0x005f5009,0xffd81fc8,0x26001fff,
    0x400002ff,0x2000007d,0x20002cd8,0x000003fc,0x000007d8,0x200003f2,
    0x7e4000fc,0x20000003,0x3ee001fc,0x0ef98004,0xa8002fe8,0x03bea04f,
    0x7e4002a0,0x1f900000,0xbdb80000,0x04f98000,0x00003ff3,0x2a0001f9,
    0x0000002f,0x0fe0dd00,0xdd300000,0xdb000001,0xf5009f01,0x81fc8005,
    0x005ffff9,0x00007fea,0x00001f60,0x0007f950,0x440017f4,0x007d804b,
    0x003f2000,0x0003f200,0x22000bfa,0x07f2004b,0x4007fb00,0xff301fe8,
    0x07fdc005,0x8800efa8,0x01f9004f,0x003f2000,0x0dd91000,0x4c09f300,
    0x640001ff,0x5f50000f,0x00000000,0xfffffff1,0x00000fff,0x000017ea,
    0xfffffff8,0x3ea00fff,0x80fe4002,0x2a001cb8,0x24c001ff,0x00003ec0,
    0x20007a80,0x8800cff9,0x7d806ffc,0x3f200000,0x0fc80000,0x0cff9800,
    0x06ffc880,0x10007f20,0xfa801bff,0x1ffdc04f,0x9817fdc0,0x9f1000ff,
    0x0003f200,0x00007e40,0x98005f00,0x0ffcc04f,0x001f9000,0x0000bea0,
    0x4ccc0000,0x00cf9999,0x03fc8000,0x4ccc0000,0x00df9999,0x320017d4,
    0x2600001f,0xfc8000ef,0x0003ec00,0x6ccde440,0x7ec40005,0xca999acf,
    0xb004fffd,0x6400000f,0xfc80000f,0xffb10000,0xb9533359,0xc8009fff,
    0xfd88001f,0xdba99acf,0xff5002ff,0xfb7115bf,0x3fe203df,0x013e2001,
    0x800007e4,0x700000fc,0x001f7337,0xf9804f98,0x1f90001f,0x00bea000,
    0x00000000,0x100000fe,0x000005fb,0xa804f800,0x0fe4002f,0xddf50000,
    0xdddddddd,0x21ffdddd,0xffeeeec8,0xeeeeeeee,0x7fdc000d,0x500000df,
    0xffffffff,0xdb1019df,0xdddffddd,0x3b2003bd,0xeffeeeee,0x71deeeee,
    0xfddddddd,0xdddddddf,0xfffa803b,0xceffffff,0xeeeeeb80,0xeeeeffee,
    0x2a01deee,0xffffffff,0x7ec4000d,0x4fffffff,0x7777ff40,0xeeeeeeee,
    0xdddd74fe,0xdddffddd,0x2e3bdddd,0xfeeeeeee,0xeeeeeeef,0xffd3001d,
    0x3bae005d,0x7f6404fe,0x3ae5eeff,0xffeeeeee,0xdeeeeeee,0x0003f501,
    0x4c000000,0x00000cf9,0x26666bfa,0x00005e99,0x2037e660,0xdeefeed9,
    0xdffdb101,0xf500007d,0xffffffff,0xffffffff,0x3ffffa21,0xffffffff,
    0x10000eff,0x54400000,0x8801accb,0xfffffffe,0xb002ffff,0xffffffff,
    0x5fffffff,0x3ffffff6,0xffffffff,0x51001fff,0x90035997,0xffffffff,
    0xffffffff,0x9953005f,0x30000137,0x20035995,0xfffffffe,0xffffffff,
    0xffffffb4,0xffffffff,0x3ff63fff,0xffffffff,0x1fffffff,0x64000800,
    0x6c04ffff,0x0effffff,0xfffffffb,0xffffffff,0x000c03ff,0x90000000,
    0x000dffff,0x7fffffc0,0x0005ffff,0xfffff700,0xfffffb81,0xffd102ff,
    0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99300000,
    0x99999999,0x99999999,0x00005999,0x3fee0000,0x07ae0000,0x66541b20,
    0x5400cccc,0x003ccccc,0x000007d7,0x00000000,0xbceca880,0x2006c401,
    0x00000000,0x73100000,0x000157b9,0x00007100,0x44000000,0x00abdcb9,
    0x20133300,0x000bdca8,0x00001980,0x26660000,0x26019999,0x99999999,
    0x00000009,0x00660054,0xfffd9300,0x55c379dd,0x99999999,0x99999999,
    0x3fa49999,0x00001fff,0x001ff700,0x8817fdc0,0xfff905fe,0xfe807fff,
    0x401fffff,0x3002fffb,0x00003bfb,0x001dfc88,0x3fffea00,0x502effff,
    0x017c407f,0xfffe8000,0xffffffff,0xffea8003,0x4ffffdef,0x03f20000,
    0x7fffcc00,0xffffffff,0xffea8001,0x4ffffdef,0x5ffff100,0xfffffeb8,
    0x36a002ef,0x1ceffffe,0x3fffa200,0xffffffff,0xfffffb03,0xffd0ffff,
    0xffffffff,0x7ffec01f,0xffffffff,0x407ff203,0x90003ffa,0xfffddfff,
    0x000dcdff,0xeec92200,0x000001fe,0x0001ff70,0x7d44ffa8,0x57f4404f,
    0xf9330009,0xfff90017,0xffffb007,0x0374c19f,0x3fffff20,0x801f620d,
    0xa89bdffc,0xfb83ffdb,0x000fe602,0x77776400,0x2deeeeee,0x2b7f6200,
    0x1efba881,0x00fc8000,0xddddb100,0x1bdddddd,0x56fec400,0x1efba881,
    0x12fdca80,0x2a39dffb,0x64401ffc,0xfeccdeff,0x3b2003ff,0xeeeeeeee,
    0x999301de,0x505999fd,0xbfb99999,0xeec80799,0xeeeeeeee,0x0fffa02e,
    0x4002ffe4,0x33101efc,0x00000dc3,0x00fdc122,0xffb80000,0xfe880000,
    0x002ffc8e,0xf10009f5,0x7ffcc00d,0xa8efe400,0x3ffccffe,0x54bbea00,
    0x4ffbdffe,0x00efd880,0x3f627fd4,0x000fe600,0x00000000,0x44005ff5,
    0x640004fd,0x0000000f,0x02ffa800,0x4013f620,0x0dfe8afb,0x4c03fea0,
    0x3aa01eff,0x000000ef,0x8001f600,0x000002fb,0x201bd500,0x4c001ee8,
    0x1b8000ff,0x82440000,0x000001fb,0x0001dd50,0x077ffe40,0x0003fa00,
    0xa88007f7,0xf7029800,0x88005fff,0x7ffff502,0x8017f600,0x0bf72ff9,
    0x00003f98,0x2a000000,0xf70000df,0x07e4000b,0x00000000,0x400037ea,
    0xcfb805fb,0xbf7004ff,0x4005ff10,0x000005fc,0x8001f600,0x000002fb,
    0x00000000,0x2e0009f7,0x24400001,0x00001fb8,0x80000000,0xf50004fa,
    0x006f8009,0x1a800000,0x2a600000,0x00bf5000,0x3dfdff30,0x0003f980,
    0x10000000,0xf300009f,0x03f20007,0x80000000,0x00cc04f8,0xff700fe6,
    0x1fd8007f,0x6c001fec,0x0000002f,0x5c000fb0,0x0000002f,0xb0000000,
    0x06e0001f,0x20910000,0x000001fb,0x10000000,0x00fe8000,0x00007f70,
    0x00000000,0x1fd00000,0x17ff2000,0x0001fcc0,0xd8000000,0x3bbbb626,
    0x3f200bde,0x00fc8000,0x02666000,0x6c41b600,0x2b9efeef,0xff7007e4,
    0x47f70007,0x3a0005fa,0x04c4000f,0x000fb000,0x200017dc,0x00000019,
    0x0007d800,0x1000006e,0x0007ee09,0x00000000,0x7d400000,0x000ff004,
    0x00000000,0x40018800,0x220004fb,0x999500ff,0x99999dfb,0x20199999,
    0x401cccca,0x80cccccb,0x4fccc1fb,0x205fc999,0x0fc8005e,0x3f6e6000,
    0x00cfffff,0x3e881fb8,0x741f75c4,0x000fee05,0x03fb27c4,0x201fd400,
    0xeffffec8,0x03ec002d,0x8005f700,0xeffffeda,0x0000001c,0x20007d80,
    0x4400001b,0x2203f704,0x00000001,0x00062000,0xfb801fd0,0x33332603,
    0xcccccccc,0x665c0ccc,0x000ccccc,0xda87332e,0x00bdffff,0x200007fc,
    0xfffb03fb,0xffffffff,0x207fffff,0x402ffffe,0x81ffffff,0x640f104f,
    0x8005f303,0xfa8000fc,0xdccdefff,0x27c02ffe,0x0fe603e8,0x17dc0be6,
    0x374bf000,0x813e2000,0xdcceffea,0xb000cfff,0x17dc000f,0xdeffc880,
    0x03fffecc,0xccccccb8,0x9995000c,0x99999ff9,0x37039999,0x04880000,
    0x7fed43f7,0x2e004eff,0x0ccccccc,0x87332e00,0xbdffffda,0x027d4000,
    0xfff701fe,0xffffffff,0xff81ffff,0x01ffffff,0x5cbfffe0,0xffdcdfff,
    0x009f100e,0x440bf100,0x999cfb99,0x00999999,0x4017dccc,0x4c1fc999,
    0x440f100f,0x90013a06,0x9d70001f,0x0ff54015,0x05a80f98,0x209d03c8,
    0x3e0002fb,0xddddff15,0xdddddddd,0x20bfdddd,0x3a603ffc,0x07d801ef,
    0x200bee00,0x2a01eff9,0x3fe00efe,0x01ffffff,0xffffffb0,0xffffffff,
    0x0003709f,0x3f704880,0x3733fff2,0xff800dff,0x01ffffff,0x5cbfffe0,
    0xffdcdfff,0x07f4000e,0x7dc03fb8,0x9999999b,0x304fe999,0x03f93333,
    0xfdbfb980,0x01df900d,0x200007f3,0x07f3007f,0x02fa8000,0x1ee0fe40,
    0x80740788,0x2aaaa25c,0xabfeaaaa,0x01aaaaaa,0x706f9800,0x0200b60f,
    0x05f705c8,0xff8b7c00,0xffffffff,0xffffffff,0x00efb87f,0xd801df70,
    0x0bee0007,0x4005ff10,0x4ccc05fc,0x2001fc99,0x99fe9999,0x00999999,
    0x88000037,0x9fd5f704,0x003bf203,0x3f666666,0x5fdcc001,0xdf900dfd,
    0x81fd4001,0x17dc00fe,0x4005fc80,0xfa8001fc,0x3fb804ff,0x00002fb8,
    0x7f3001fd,0x2fa80000,0x320fe400,0x5b81e206,0xfffd9ee0,0xffffffff,
    0xffffffff,0x0fd80001,0x001d06c8,0x5f707b80,0xbf374000,0x3e600000,
    0x27dc000e,0xb8001f60,0x01fec02f,0x20017ec0,0x360001fc,0x006e0007,
    0x2e091000,0xfc803fff,0x03f90002,0x09fff500,0xe8007f70,0x401fd40f,
    0x6fb802fb,0x001fc800,0x2004ffa8,0x001fc85e,0x3003fb00,0xa800007f,
    0x0fe4002f,0x4478813a,0x3e601eca,0x55555510,0x5557fd55,0x00055555,
    0x13a07f20,0x7cc0003c,0x0002fb80,0x0007e9ba,0x0003fd00,0x07d80bf6,
    0xa80bee00,0x3fa0005f,0x007f2000,0x20007d80,0x4400001b,0x007ff704,
    0xfc8002fc,0x4ffa8001,0x50017a00,0x800fe87f,0x77d400d8,0x01fc8000,
    0x4005fa80,0x007ec0fd,0x801fc800,0x400003f9,0x7e4002fa,0xdf101fc1,
    0x1007ffdd,0x07e4003f,0xfc800000,0x00f03f81,0xf703f100,0x93740005,
    0x9800005f,0x3e20004f,0x8001f605,0x07f602fb,0x003fa800,0xd80007f2,
    0x006e0007,0x2e091000,0x03ec003f,0x8001fc80,0x7ec005fa,0xa87f4000,
    0x2600004f,0xf90000ff,0x05f50003,0x7e41fc80,0x3f900001,0xfeeeec88,
    0xceeeeeee,0x017d4000,0x09b07f20,0x7d4ccfc4,0x000fa802,0x200003f2,
    0x1aaaba99,0x209b03f9,0x7d40000e,0x0002fb80,0x005f99ba,0x0017dc00,
    0x07d81fa0,0xe80bee00,0x27c40006,0x0003f900,0x370003ec,0x04880000,
    0xfc8003f7,0x01fc8000,0x4002fa80,0x7d4001fc,0x00001fd3,0x80007fe2,
    0xfa8001fc,0x20fe4002,0xd00002fb,0xffff981f,0xffffffff,0x7d4001ff,
    0x20fe4002,0x261e206c,0x003dc03e,0x440003f2,0xfffffffc,0xc81fffff,
    0x80005b06,0x005f707b,0x0ff22fc0,0x00fc8000,0xd807ec00,0x0bee0007,
    0x77777fc4,0xeeeeeeee,0x005feeee,0xd80007f2,0x006e0007,0x2e091000,
    0x07e4001f,0x000fe400,0x320017d4,0xbfe8001f,0xd100004f,0xfc80005f,
    0x02fa8001,0x3e60fe40,0x0ff00003,0x4e7dcccc,0x00019999,0xfc8005f5,
    0x0f103d41,0x05d807a2,0x40007e40,0xaaccfffb,0x1ffecaaa,0x00b707a8,
    0x5f705d80,0x742fc000,0x4b88002f,0x2e0001fa,0x000fb01f,0xff8817dc,
    0xffffffff,0xffffffff,0x07f2007f,0x0007d800,0x1000006e,0x0007ee09,
    0xf90001f9,0x05f50003,0x8001fc80,0x0000fffa,0x00007fd0,0xf50003f9,
    0x41fc8005,0x880005f8,0x07f3005f,0x02fa8000,0x3e60fe40,0x34c0f101,
    0xfc8009d0,0x67fd4000,0x303f9000,0x300b603f,0x7dc13a09,0x217e0002,
    0x8800cff9,0x03f66ffc,0x203f9000,0xb801707d,0x0017e02f,0x07f20000,
    0x0007d800,0x1000006e,0x0007ee09,0xf90001f9,0x05f50003,0x0001fc80,
    0x200009fd,0x900004fd,0x5f50003f,0xf81fc800,0x7e40000f,0x007f3002,
    0x002fa800,0x82fc0fe4,0x541e4078,0x07e4002f,0x001ff300,0x0bf01fc8,
    0x81fa816c,0x05f702fa,0xd8827c00,0xa999acff,0x5c4fffdc,0x3f40001f,
    0x05f50fb0,0x1fa01fb8,0x32000000,0x1f60001f,0x0001b800,0x1fb82440,
    0x0007e400,0x54000fe4,0x0fe4002f,0x000fe800,0x0004fc80,0x20007f20,
    0x7e4002fa,0x0004fb81,0x4c003fe2,0x5400003f,0x0fe4002f,0x3eea17d4,
    0x1af880aa,0xf9000bf1,0x017dc001,0xfa80fe40,0x757bd102,0x0bf103bb,
    0x880017dc,0x7ffd404f,0xceffffff,0x0003fa80,0x50fb037c,0x01fc807f,
    0x00000bf2,0x0003f900,0x370003ec,0x04880000,0xfc8003f7,0x01fc8000,
    0x4002fa80,0xfa8001fc,0x5fb80004,0x0fe40000,0x0017d400,0x0ff407f2,
    0x004fc800,0x00000fe6,0xfc8005f5,0x6641f901,0x39501ccc,0x320003f6,
    0x01f6000f,0xf900fe40,0x05654401,0x7dc01fb0,0x07f30002,0x2b3fee20,
    0x00ef8801,0x6c09f700,0x6c03fa87,0x017e600f,0x3f900000,0x003ec000,
    0x80000370,0x003f7048,0xc8000fc8,0x2fa8001f,0x000fe400,0x200007f4,
    0x0a800efa,0x0003f900,0xfc8005f5,0x000bf301,0x4c001ff3,0x4c00004f,
    0x3fea004f,0x000bd101,0x20005f70,0x3f6000fc,0x0ffd4000,0x0000bd10,
    0x2fb805f7,0x003f9000,0x5c0006dc,0xef98004f,0x3ea1f600,0x6403f403,
    0x0000003f,0xd80007f2,0x006e0007,0x2e091000,0x07e4001f,0x000fe400,
    0x320017d4,0x27d4001f,0x03bea000,0x64013e20,0x2fa8001f,0xb00fe400,
    0x3ea001bf,0x0ff8002f,0x3fe20000,0x1fffc800,0x0007be60,0x300027e4,
    0x04fc8007,0x007fff20,0x20003df3,0x2fb804fc,0x800ff000,0x3f60002f,
    0x07fa2003,0x0bf50fb0,0xfe802fd4,0x04b88002,0x80007f20,0x06e0007d,
    0x20910000,0x7e4001fb,0x01fc8000,0x4002fa80,0x7f4001fc,0x3fe60000,
    0x009f1000,0x2a0007f2,0x0fe4002f,0x803dfb10,0xb0003ffb,0xfb51009f,
    0x101fec01,0x803fbdfd,0x26003fe8,0x000002fe,0x400ff980,0x01fdefe9,
    0x2003fe88,0xf7002fe9,0x09f50005,0x20001f80,0x5400dff8,0x07d804ff,
    0x07fa09f9,0x0067fcc0,0x0037fe44,0x6c0003f9,0x006e0007,0x2e091000,
    0x07e4001f,0x000fe400,0x320017d4,0x13ea001f,0x01ff8800,0x64013e20,
    0x2fa8001f,0x400fe400,0xa99bdffb,0x0002ffec,0x266b7fa2,0x4fffdba9,
    0x4df7fc40,0xf94ffeca,0xefb807dd,0x36ea21ac,0x000000df,0x26ffee00,
    0x4ffecb99,0x807dddf9,0x221acefb,0x800dfdba,0x43eefeec,0xfd98ace9,
    0x4ee4000f,0x6c4006b8,0xba99acff,0xdd502ffd,0x49dddffd,0xfea9adfd,
    0x7fec4004,0xdca999ac,0x64004fff,0x1f60001f,0x0001b800,0x1fb82440,
    0x0007e400,0x54000fe4,0x0fe4002f,0x2aaaaaa2,0x001aacfe,0x77777ff4,
    0xeeeeeeee,0xddddd74f,0xddddfddd,0x3663bddd,0x01deefee,0x7ddffdb1,
    0xffffea80,0x0000cfff,0xfffffd88,0x000cefff,0xffffffd3,0x2fffe43d,
    0x7fff6cc0,0x002dffff,0xddddddd7,0xdddddddd,0xea81bddd,0xdfffffff,
    0x13ffff21,0x3fffb660,0x002dffff,0x17fffffa,0x3bfffff6,0xffc88001,
    0xff50003e,0x1bffffff,0x7ffffdc0,0x3f625fff,0x0003ffff,0x3fffffea,
    0xb80cefff,0xfeeeeeee,0xeeeeeeef,0xeeeed89d,0xeeeeeeff,0x003704ee,
    0x3aa48800,0x01deefee,0xbddffdd7,0x3bbbbae1,0xeeeeffee,0xdb31deee,
    0x203bddfd,0x3eeffed8,0xfffffff9,0x800fffff,0xfffffffe,0xffffffff,
    0xffffff94,0xffffffff,0x3fee5fff,0x102fffff,0x09fffffd,0x2af2ea20,
    0xa8800000,0x0001accc,0x004de654,0x5dcc4000,0xffd8000a,0xffffffff,
    0xffffffff,0x5997501f,0x44000003,0x0000abb9,0x59973000,0x00020000,
    0x4de654c0,0x22000000,0x00001bcb,0x03599751,0xffffff90,0xffffffff,
    0xffd15fff,0xffffffff,0x701dffff,0x9999999b,0x99999999,0x5c999999,
    0x2fffffff,0xffffff90,0x3ffff23f,0xffffffff,0xf72fffff,0x05ffffff,
    0x3fffffa2,0x55555514,0x00155555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000040,0x0566edcc,0x372a2000,0x4c041acd,0x30009999,
    0x98813333,0x99999999,0x99980019,0x22019999,0x00099999,0x80004ccc,
    0x99999998,0x40019999,0x99999998,0x44001999,0x99999999,0x26200009,
    0x99999999,0x99950001,0xcccb8039,0x262000cc,0x09999999,0x4cccc000,
    0x99999999,0x81999999,0x99999998,0x99999999,0xc9809999,0x0101cccc,
    0x0379b953,0xbdb97100,0x4cc00059,0x99999999,0x4cc41999,0x22019999,
    0x01999999,0x2b3b2ea0,0x5cc00101,0x081acddc,0x00017c40,0xfffffb80,
    0x8000cfff,0xfffffffb,0x362f88df,0x02ffffff,0x7ffffff4,0x3fffffe0,
    0xefffffff,0x7fffc02d,0x986fffff,0x1fffffff,0x3fff6e60,0x2000cfff,
    0xffffffff,0xdeffffff,0x7ffffc00,0x4fffffff,0xfffff700,0xbfffffff,
    0x7ffc0037,0xffffffff,0xfd002cef,0xff805fff,0x7001ffff,0xffffffff,
    0x7fc000ff,0xffffffff,0xffffffff,0x3ffee0ff,0xffffffff,0xffffffff,
    0xffffc84f,0x7fd4d907,0x3fffffff,0xffffda80,0x002effff,0x7fffffec,
    0xffffffff,0xffffff15,0xfff30bff,0x809fffff,0xffffffeb,0x201b23ff,
    0xffffffea,0x80f92eff,0x400003f9,0x88acefd8,0x001ffeca,0x2137ffd1,
    0x3fdffda9,0x2f3bf726,0x7fee5400,0x7f665c3c,0xdccccccd,0x9500dffe,
    0x3999bfb9,0x37ff72e0,0xffffa80b,0xffedccde,0xfb995002,0x9999999b,
    0x5c07ffdb,0xcccdfecc,0x91001ccc,0x99999ff9,0x07fffd99,0x337f72e0,
    0xffdccccc,0xb99800ef,0xc999802f,0x9991001f,0x5fbdf999,0x3732a000,
    0xccccccdf,0xfecccccc,0x3ff32e20,0xcccccccc,0x4fdccccc,0x03ffffe8,
    0x9dffb1fb,0xdfd97315,0x2bbffa01,0x13ff2621,0xccccc980,0xcccdfecc,
    0x37f72e1c,0x99701ccc,0x20399ff9,0x11bdffd8,0xfb3dff75,0xaceffd80,
    0xeffeca88,0x0fe600fe,0x5fe98000,0x802ffc80,0x7cc00cfd,0x0ff883ff,
    0x401fe400,0xfd8801fb,0x017dc00f,0xb807ff30,0x3aa00ace,0x17dc001f,
    0x803fea80,0x400001fb,0xfea8807e,0x05f5000d,0x005ff930,0xf9000bea,
    0xbfa80003,0xb80005f8,0x0fc8002f,0x4c001be0,0x7fffc44f,0x33fff606,
    0x81ffb800,0xff9801ef,0x5f700001,0x000bee00,0x3fa203f4,0xfffb800d,
    0x01dfd107,0x01fff910,0x80001fcc,0x2e003ff8,0x17ee00ff,0x503ff980,
    0x2fcc00bf,0x2001fb80,0x17dc05fb,0x002ff980,0x006f9800,0xd10017dc,
    0x01fb803f,0x003f4000,0x7d4017f6,0x07fea002,0x9000bea0,0xfd80003f,
    0x80001fb0,0xfc8002fb,0x4001be00,0x7ffdc4f9,0x0fff602f,0xf81ff500,
    0x01be6006,0x8017dc00,0xfd0002fb,0x4004fd80,0xbfb07ff9,0x01ff7000,
    0x80001fcc,0xfa8003fc,0x0003f605,0x17ec07f9,0x7000fe80,0x2fd8003f,
    0x2a00bee0,0x000001ff,0xfb8003f6,0x02fcc002,0x000007ee,0x5fb000fd,
    0x8005f500,0x2fa806f9,0x000fe400,0x1fd4bf10,0x00bee000,0x6f803f20,
    0xd89f3000,0x7ec06fff,0x89f90004,0x0fe4005f,0x017dc000,0xd0002fb8,
    0x0037dc0f,0xefa87fa8,0x01ff0000,0x40001fcc,0x3a0006f9,0x000df02f,
    0x7fc407f5,0x001fe400,0xf88003f7,0x700bee04,0x000003df,0x2e001fc8,
    0x06e8002f,0x7fffffdc,0x000cdeff,0xdf1000fd,0x0005f500,0x2fa805f9,
    0x000fe400,0x06f85f70,0x0017dc00,0x0df007e4,0xff13e600,0x1fd803ff,
    0xa87fa000,0x01fd4001,0x8017dc00,0xfd0002fb,0x0000ffc0,0x003ff0ff,
    0x33263e40,0xccccefdc,0x00cccccc,0x540005fb,0x000df06f,0x0bf50076,
    0x2e0037cc,0x06f8001f,0xefc80bee,0xc8000000,0x0bee001f,0xf701fa00,
    0xfddddddd,0xfd007fff,0x00fee000,0xf10005f5,0x017d401f,0x80007f20,
    0x00fe40fe,0x0005f700,0x006f80f7,0x7fcc5f10,0x005d805f,0x0002fd40,
    0x200013e6,0x5f7002fb,0x541fa000,0x3640004f,0x100017ea,0xfffffd81,
    0xffffffff,0x5f982fff,0x80fe8000,0x4000007e,0x01fd02fd,0x8001fb80,
    0x40bee07e,0x80000dfd,0x1aaaba99,0x7dc003f9,0x02fc4002,0xd51007ee,
    0x007e80df,0x5f501fa0,0x80fee000,0x7e4002fa,0x0bf30001,0x5c0009f3,
    0x0080202f,0x0802037c,0x000fffe4,0x00fd0000,0x0002fa80,0xf7002fb8,
    0x41fa0005,0x080000fe,0x000017ec,0x9cfb9988,0x99999999,0x0005f500,
    0x7f907f50,0x7c400000,0x001fe40f,0x26000fdc,0x10bee05f,0x88000bfb,
    0xfffffffc,0x001fffff,0xf9000bee,0x001fb807,0x07e813f6,0xa803f200,
    0x9f10002f,0x20017d40,0xf90001fc,0x8001fa05,0x00fe02fb,0x1f7037c0,
    0x017ffa00,0x1f900000,0x007ec000,0x8017dc00,0xfd0002fb,0x00001fe0,
    0x000007fc,0x0001fcc0,0x200007ee,0x3fe885f9,0x3ea00000,0x4001be65,
    0x7dc001fb,0xe88bee03,0x7dc0004f,0xaaaaccff,0x001ffeca,0xfc800bee,
    0x00fdc00e,0x3f40bfa0,0x405f5000,0x3e0002fa,0x000bea06,0x3a0003f9,
    0x000bee07,0x4f8817dc,0x640df000,0xfff8801f,0x40000000,0xf70001fb,
    0x3ee0000b,0x005f7002,0x17e21fa0,0x1be20000,0x7cc00000,0x07ec0003,
    0x306f8000,0x00137ffd,0xfd2fd800,0x07ee0003,0x200ffb80,0x0dfd12fb,
    0x0cffa800,0x4003f900,0x32a202fb,0xfb800dfe,0x827cc001,0x3e60007e,
    0x000bea03,0x0bea07e8,0x0003f900,0x2fc409f3,0x102fb800,0x1be0009f,
    0xfa801fc8,0x0000004f,0x44003fa8,0x00001efd,0x3ee005f7,0x30fd0002,
    0x3000009f,0x0000009f,0xd0000fe6,0x3f40000f,0x3bfffaa0,0x440001bc,
    0x0003fcff,0x7e4007ee,0x4d7dc01f,0x001effff,0x4000ff98,0x3ee001fc,
    0xffffffff,0x2e006fff,0x06f8001f,0x7cc000fd,0x3fffffa4,0x5fffffff,
    0xfa807ec0,0x00fe4002,0x3600fe40,0xffb8000f,0x4fffffff,0xfffff000,
    0x003fffff,0xfc801df5,0xffffffff,0xffffffff,0x003fffff,0x001bff91,
    0x8017dc00,0xfd0002fb,0x00007f30,0x00009f30,0x000fe600,0x40000df0,
    0xd951007e,0x0019ffff,0xffb55555,0x0155555f,0x2666fee0,0xfffdb999,
    0xffdfb802,0x00cffc8a,0x2000bee0,0x3ee001fc,0xeeeeeeee,0x802effff,
    0x7e8001fb,0x4c000fd0,0x3bbbb24f,0xeeeeeeef,0xa807ec04,0x0fe4002f,
    0x54037c00,0xefb8003f,0x4feeeeee,0xdddff000,0x003ffddd,0x777e400a,
    0xeeeeeeee,0xeeeeeeee,0x6cc03fee,0x00002eff,0xf7002fb8,0x21fa0005,
    0x800003f9,0x000004f9,0x80007f30,0x3a00007e,0xd7310007,0x7fcc01df,
    0xffffffff,0x7005ffff,0xffffffff,0x5c007fff,0x7ec41fff,0x001f6005,
    0xf7000fe4,0x3fee6005,0x000fdc04,0x03f417e2,0x5409f300,0x3f60002f,
    0x4009f300,0x54001ffa,0x00df003f,0x3e205f70,0x40df0004,0x400001fc,
    0x200001fc,0x77dc03fa,0x70000802,0x0bee005f,0x7cc3f400,0xf9800003,
    0x26666004,0x26019999,0x7ec0003f,0x6f880000,0x3ff70000,0x001f9000,
    0xcccdfb80,0x000abccc,0xfb0077dc,0x003f6007,0x4003ff50,0x74c002fb,
    0x007ee04f,0x1fa07f70,0x202f9800,0x3a0002fa,0x401fe206,0x4001fffc,
    0x99999afd,0x01fd9999,0xf8817dc0,0x40df0004,0x2e2001fc,0x005f701c,
    0x2017dc00,0x2f8801fb,0x002fb800,0x3a0005f7,0x0004f987,0x8804f880,
    0xffffffff,0x07f306ff,0x001fb800,0x0005f980,0x20017ea0,0x5c0000fc,
    0xb800001f,0x01fd802f,0x32004fc8,0x2e001fff,0xfe88002f,0x4003f700,
    0x0fd01ff9,0x500fdc00,0x3e20005f,0x101fec04,0x003fbdfd,0x7fffffc4,
    0xffffffff,0x017dc004,0x1be0007d,0x3e6007a8,0x3f985fff,0x07f20000,
    0xf5003f70,0x05f70007,0x4000bee0,0x000df07e,0x5c01be00,0xfecccccc,
    0x007f302c,0x0002fa80,0x00003fa8,0x7e4003f4,0x0fdc0000,0x17dc0000,
    0x4c037c40,0x7f4c00ff,0x2e001fde,0x5f50002f,0x54007ee0,0x01fa02ff,
    0x7d407d80,0x05f50002,0xa9beff88,0xdf94ffec,0x9bf7007d,0x99999999,
    0xb800fd99,0x0310002f,0xb000037c,0x883fffff,0x3a00005f,0x800e9807,
    0xfb8003fa,0x005f7002,0x03f41fa0,0x007e8000,0x2600fd80,0x7cc0003f,
    0x0fe80005,0xf700004c,0x99999103,0x99999fd9,0x07ee0059,0x0bee0000,
    0x5c01fe40,0xcb999bff,0xddf94ffe,0x02fb807d,0x2e0bf100,0xfb73101f,
    0x007e807f,0x5f5017e0,0x007f2000,0x3fffffa6,0x3fff21ef,0x8007e805,
    0x3ee002fb,0x40f90002,0x3e00006f,0xe82fffff,0xbf00000f,0x3fa80000,
    0x001fb800,0x3e0007f3,0x0003fb06,0x0001f900,0x3e600fd8,0x2fd80003,
    0x21bea000,0x3ea0005f,0xccccc882,0xcccccfec,0x03f7003c,0x05f70000,
    0x5401be20,0xfffffffe,0x3ffff21d,0x0017dc04,0x3fee0df0,0xffffffff,
    0x07e800df,0xa807f700,0x7f88002f,0x4de65400,0x800bfd80,0xf88004f9,
    0x00bee005,0x6f807ec0,0x3fee0000,0x4fc80fff,0x03fc8000,0x01fd4000,
    0xf0007ec0,0x0bf50009,0x00001be6,0xb0000fee,0x01fcc01f,0x0037c400,
    0x0ff05fd0,0x000fe400,0x700003f2,0x7000003f,0x17e4005f,0x35997500,
    0xb800dd80,0x9f30002f,0x3bbbbee0,0x001bceee,0x3ea001fa,0x017d400f,
    0x0001ff40,0x90017c40,0x3f60003f,0x005f7000,0x37c03f60,0xff910000,
    0x00ff405d,0x000df300,0x8007f500,0x36c007f8,0x901fe400,0x1a80007f,
    0x80003fe2,0x13e600fd,0x01fe4000,0xff82fdc0,0x07e88002,0x0000fc80,
    0x00000fdc,0xf10017dc,0x4400000b,0x05f7000f,0x5c0bf200,0x7400001f,
    0x17fcc007,0x20017d40,0x000006fd,0x06f800f7,0x400fea00,0xfb0002fb,
    0x0001be01,0x3e600220,0x03fa0006,0x0fea0000,0x800bf500,0x3a2003fb,
    0x07fe201f,0x2a1fec00,0x3f60006f,0x0007fc00,0x013fe202,0xff00ffb8,
    0x4fd8003f,0x000fc800,0x0000fdc0,0x20017dc0,0x000000fd,0x17dc00d7,
    0x8077dc00,0x400001fb,0x3fa2007e,0x005f5004,0x00007fe4,0x5000f980,
    0x6f80007f,0x0005f700,0x037c03f6,0x2e000000,0x3a6000ef,0xbdb7002f,
    0x03ff9803,0x8001ff30,0xe8801ff8,0x2ff9803f,0x41bfa200,0xd8000cfc,
    0x027ec00f,0x440fed44,0x7e400dfe,0x3fffe01f,0x05fd8802,0x0001f900,
    0x00001fb8,0x54002fb8,0x1000004f,0xfb814c3f,0xdf951002,0x000fdc01,
    0x2201fa00,0x2a003ffc,0xefea802f,0x74000000,0xd81fc9ad,0x7e40000f,
    0x002fb801,0x1be01fb0,0x20000000,0xfb802ffc,0xfff5003f,0xff9801ff,
    0x0bfe200d,0x017fcc00,0x4c00dfd1,0xfe9804ff,0x0fff6205,0x400fea80,
    0x999adfe8,0x05fffdba,0x4cdeffec,0x401effdb,0xabefe9df,0xeffca999,
    0xeeeda800,0x05eeeeff,0xeefeeec8,0x002deeee,0x3bbfbbb2,0xeff803ee,
    0x200000de,0x323feefc,0xeeeefeee,0xffeeeeee,0xeeec80ef,0xdeeeeeef,
    0xffdb3002,0xfddddddd,0x32005fff,0xeeeeefee,0x0cfffeee,0xd9800000,
    0x3b664fff,0x01deeeff,0x77f7775c,0x7f77644e,0xeeeeeeee,0xffeeeeee,
    0xdffddb30,0x01bddddd,0x3a600000,0xca99acef,0x36001efe,0x802fffff,
    0x99bdffd8,0x0003ffdb,0x4cdeffcc,0x000dffda,0x4de77fd4,0x03ffeca9,
    0x579dff50,0xfff95333,0x3ff62009,0xcfffffff,0xffff7001,0x0017ffff,
    0x7fffe47b,0x002effff,0x3fffffee,0x400effff,0xfffffffe,0x2003ffff,
    0xfffffffd,0xfffc804f,0x4400000e,0x7fff40ab,0xffffffff,0x201bdfff,
    0xfffffffe,0x5003ffff,0xffffffff,0x005bdfff,0xffffffe8,0x0ceeffff,
    0x10000000,0xffffff50,0xffd805ff,0x746fffff,0xffffffff,0xffffffff,
    0xff50ffff,0xffffffff,0x000001df,0x7fffe440,0x8004ffff,0x00fffffa,
    0x3ffffae0,0x00001eff,0xffffffb3,0xfb80007f,0xdfffffff,0x7fe44001,
    0xefffffff,0xca98000b,0x00009acc,0x00af32a2,0x66654c00,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x15995300,0xbcc98000,0x99510000,
    0x40000035,0x0009bcb9,0x2f32a200,0x75100001,0x00035799,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26662000,0x99999999,0x99999999,0x4cccccc0,
    0x99999999,0x4ccccc40,0x99999999,0x33100019,0x33333333,0x33103333,
    0x33333333,0x33310001,0x13333333,0x99998800,0x00999999,0x00999980,
    0x03333100,0x33333331,0x30001333,0x22003333,0x01999999,0x99999998,
    0x99999999,0x4c001999,0x2003dedc,0x19999998,0x99999880,0x99999809,
    0x26666201,0x26662009,0x01999999,0x26666600,0x26666201,0x33333009,
    0x01333333,0x26666200,0x99999999,0x09999999,0x26666666,0x99998801,
    0x4ccc0999,0x33300099,0x00000133,0xffffffe8,0xffffffff,0x3e2fffff,
    0xffffffff,0x3fffffff,0x3ffffff2,0xffffffff,0x3ffae007,0xffffffff,
    0x21ffffff,0xfffffff8,0x003fffff,0x3fffffe2,0x03ffffff,0xffffff10,
    0x07ffffff,0x37ffffc0,0x7fffc400,0x3fffe25f,0xffffffff,0xffe814c3,
    0x7c402fff,0x5fffffff,0x3fffff60,0xffffffff,0x01ffffff,0xffffff70,
    0xfff8803d,0x206fffff,0xfffffffa,0x3ffff23f,0xfff886ff,0xff02ffff,
    0xffffffff,0x20059dff,0x6ffffffc,0xffffff88,0x7ffffc3f,0xffffffff,
    0x3fa003ef,0xffffffff,0xffffffff,0xffff92ff,0xe805ffff,0xffffffff,
    0xffffffb0,0xfffff805,0x3fffa0ff,0xffffffff,0x6667f403,0xccfecccc,
    0x2fdccccc,0x3333332a,0xccccccfe,0x3337f20b,0xcccccccc,0xffa807ec,
    0xcffcceff,0xeccccccc,0x66665c1f,0x0cccccfe,0x66665c00,0x0cccccfe,
    0x33332e00,0x0cccccfe,0x3bfb2a00,0x77e4001f,0x665c1cdf,0xccccfecc,
    0x21ffee0c,0x06ffdcca,0xcfecccb8,0x3332601c,0xccfeccff,0xfecccccc,
    0x0aefc801,0xb803ff93,0x2ccccefd,0x33332e20,0x37260cef,0x9702ccdf,
    0x2017bfd9,0xcccdfdcb,0xefffdccc,0x6fee4c00,0xd99702cc,0xcca817bf,
    0xcccccdfd,0x01effedc,0xcccccfe8,0xccccfecc,0x932fdccc,0x19999ff9,
    0xfdcccb80,0x3f7263cd,0x65400bce,0x7643cffd,0xeeeeeeee,0x037402de,
    0x2fb803f6,0x2001f900,0x3e6001fc,0x0dffe406,0x0fe403ec,0x00007ec0,
    0x00007d80,0x00001fb0,0x0017e7f6,0x4007f5df,0x7fec00fd,0x3fbea00f,
    0x007ec003,0x00fb2fc0,0x6f9803f9,0x2601bee0,0xf880004f,0x000bee04,
    0x3ea003f9,0x2ffc9802,0x4002fb80,0x2fb801fc,0x01ffc880,0x03f60374,
    0x0fd82fb8,0x00fec000,0xc8001fd1,0x0000003f,0x00fd80dd,0x7e400bee,
    0x003f9000,0xfc807fa2,0x201f601e,0x0fd801fc,0x0fb00000,0x03f60000,
    0xfdbec000,0xf57f7000,0x007ec007,0xf501bfea,0x6c001fd7,0x1fd4000f,
    0x03f900fb,0x1cc01fd8,0x0002fc40,0x5f701fcc,0x001fc800,0x7d4005f5,
    0x017dc01f,0x2e007f20,0x3bea002f,0xfb01ba00,0x4c17dc01,0x3e20004f,
    0x005fa806,0x000017ea,0x7ec06e80,0x400bee00,0x3f9000fc,0xb80ff200,
    0x03ec00ef,0x7ec00fe4,0xfb000000,0x3f600000,0x2fb00000,0x2fd004fa,
    0x3f6003fa,0xa807d000,0x2005fabf,0x7e4000fd,0x3f201f61,0x00037c01,
    0x20001be0,0x0bee02fa,0x2003f900,0x7cc002fa,0x0017dc06,0x3ee007f2,
    0x01fdc002,0x00fd80dd,0x03f40bee,0x2007f700,0x1fd003fc,0x74000000,
    0x7007ec06,0x03f2005f,0x5400fe40,0x00ffc05f,0x0fe403ec,0x00007ec0,
    0x00007d80,0x00001fb0,0x400fe9f6,0x007f54f9,0x7e4007ec,0xfd9fd400,
    0x001fb002,0x403ec7e8,0x17e201fc,0x40fd0000,0x3ee02cc8,0x77f76441,
    0xeeeeeeee,0x4eeffeee,0x40017d40,0x0bee02fc,0x7003f900,0x0bf0005f,
    0x03f60374,0x5f702fb8,0x003fa000,0x32007fc4,0x0000003f,0x03f60374,
    0xf9002fb8,0x007f2001,0x7d401ff1,0x900fb004,0x01fb003f,0x01f60000,
    0x007ec000,0x3ee7d800,0xfa87ec03,0x003f6003,0x7f5007f3,0x7ec01be2,
    0xb13e2000,0x801f900f,0x6c00005f,0x81bfee07,0x7ffcc0fc,0xffffffff,
    0xffffffff,0x0bea00ff,0x403fe200,0x7e4002fb,0x002fb801,0x01ba07e8,
    0x17dc01fb,0x98005f88,0x2fd4005f,0x2e00df30,0x0ccccccc,0xfb01ba00,
    0x8017dc01,0x1f5000fc,0x7402fd80,0x00fb000f,0x03f600b3,0x83ec0000,
    0x07ec0000,0x7c7d8000,0xfa97e206,0x003f6003,0x8fea0075,0x0fd803fc,
    0xfb0bea00,0xfd00b300,0x0fc80000,0x201fbfd0,0x2fee607d,0x99999999,
    0x01afd999,0x70002fa8,0x00bee07f,0xf7003f90,0x07f88005,0x01fb01ba,
    0x1fb017dc,0x001fc800,0x3fd02fd8,0x3ffffe00,0x36001fff,0x3007ec05,
    0x03f2001f,0x05fb8000,0xfb002fc4,0x7ec00050,0xfb000000,0x0002fd98,
    0x1f5c03f6,0x17dc7d80,0x0fea1fc8,0x0000fd80,0x1fd0fea0,0x2000fd80,
    0x143ec0fd,0x001fc800,0x2207ee00,0xfd03faef,0x4002fb80,0x5f5001fc,
    0x413e2000,0x7e4002fb,0x002fb801,0x0bb02fd4,0x3e600fd8,0x000fea00,
    0x3e2000df,0x001fdc0f,0x3f266666,0x7ec00001,0x3f200000,0xdf300000,
    0x004f9801,0x003f51f6,0x00003f60,0xffc8bec0,0x3f60000d,0x02fffa80,
    0x42fc47d8,0x01fd46f8,0x00001fb0,0x13ea1fd4,0x7c001fb0,0x0fd47d86,
    0x001fd400,0xf505f700,0x1ba0bf17,0xc8005f70,0x05f5001f,0xfb837c00,
    0x00fe4002,0xf50017dc,0xfd80003f,0x06f80000,0x8000fea0,0x01be65fa,
    0x000fe400,0x0003f600,0x0000fc80,0xf5003fd0,0x2e3ec007,0x1fb0002f,
    0x3f600000,0x0002effb,0xffc80fd8,0xd87d803f,0x2a1fdc1f,0x03f6003f,
    0x83fa8000,0x03f601fd,0x3ec27cc0,0x22000bee,0x2a00005f,0xfd1fc83f,
    0x5f7017e0,0x001fc800,0x740005f5,0x8005f707,0x2fb801fc,0x007ff900,
    0x0001fb00,0x36003f90,0x7ec0000f,0x00003fd2,0x220007f2,0xfeaaaaaa,
    0x01aaaaab,0x0000fc80,0xf7003fc8,0x7ffec005,0xb0002fff,0x2000001f,
    0x0003fffd,0x3e603f60,0x87d800ff,0x543f44f9,0x03f6003f,0x83fa8000,
    0x03f606f9,0x7ec17dc0,0x402fffff,0xfffffff8,0x002fffff,0x27e84f98,
    0x027c41fb,0x3fffffee,0xffffffff,0xffffd01f,0xffffffff,0xb80fd80b,
    0xffffffff,0x1fffffff,0x9882fb80,0x002ffedb,0x0001fb00,0xf1009f30,
    0xff10000b,0x400009f9,0xff8001fc,0xffffffff,0x02ffffff,0x00007e40,
    0xfc801bea,0x3bbf6001,0xb0002fee,0x8800001f,0x0000cffd,0xa8807ec0,
    0x360fb000,0xf509f30f,0x007ec007,0x207f5000,0x01fb03fc,0x3f603f60,
    0x402feeee,0xfeeeeed8,0x001deeee,0x2fcc4f88,0x03f989f3,0x777777dc,
    0xfeeeeeee,0xdddd901f,0xdddddddf,0xb80fd809,0xeeeeeeef,0x1ffeeeee,
    0xfffffb80,0x0bffffff,0x03f60000,0x403f4000,0x500002fb,0x80000dff,
    0xb98001fc,0xcfeccccc,0x00accccc,0x00007e40,0x5c001ff1,0x71f6002f,
    0x3f60005f,0x3ee00000,0x000007ff,0x200001fb,0x367f507d,0x003fa80f,
    0x800003f6,0x1ff103fa,0x3e001fb0,0x2fb8fb05,0x005f5000,0x3ee2fc00,
    0x0bea37c2,0xc8005f70,0x05f5001f,0x5c07ec00,0x0fe4002f,0x77777dc0,
    0x001fffee,0x000fd800,0xe805f700,0x7ec00007,0x7e400002,0x7ec00001,
    0x3f200000,0x0bf60000,0x4007f500,0x000fd47d,0x08000fd8,0x3ed7ff54,
    0x36004400,0xd808000f,0x17e7ba07,0xfb001fd4,0x2a010001,0x213ea03f,
    0xcfa800fd,0x47e99999,0xf30001fa,0x37400007,0x41fb03f6,0x17dc02fb,
    0x4007f200,0x3a0002fa,0x8005f706,0x2fb801fc,0x003ffb10,0x000fd800,
    0x4c0df100,0x6400004f,0x6400001f,0x6c00001f,0x3200000f,0xbf70000f,
    0x27c43100,0x0010fb00,0x20007ec0,0x433ff66d,0x06d8007d,0x360007ec,
    0x3ee07d86,0x07f501fe,0x20007ec0,0x807f506d,0x007ec1fe,0x7fffffe4,
    0x000087ff,0x80000fe6,0x7d437c7d,0xf7007f23,0x01fc8005,0x20005f50,
    0x05f704f8,0xb801fc80,0x17fe402f,0x01fb0000,0x807e4000,0x400001fc,
    0x400001fc,0x400001fc,0x200000fd,0xf88000fc,0x7c6d800f,0x001f6005,
    0x8001fb00,0xfb037a7e,0xd80fd000,0x43f4000f,0x1bfe207d,0x36003fa8,
    0x83f4000f,0x37cc03fa,0x3fa003f6,0x7ecccccc,0x17d40000,0x21f90000,
    0x25f884f9,0x17dc00fc,0x4007f200,0xf50002fa,0x000bee05,0x5f7003f9,
    0x003ff500,0x0003f600,0xdf04f980,0x3f900000,0x1fc80000,0x07ec0000,
    0x01f90000,0x2003fd00,0x8007f47d,0x2002007d,0x3f4000fd,0x74003ec0,
    0x0007ec07,0x301f61fa,0x01fd4035,0xe8001fb0,0x9007f507,0x2007ec5f,
    0x01f604f8,0x01fc8008,0x647ee000,0x3ecfd01f,0x20017dc0,0x5f5001fc,
    0x407f2000,0x7e4002fb,0x002fb801,0x00001df3,0x800001fb,0x003fa87e,
    0x001fc800,0x000fe400,0x0003f600,0x4000fc80,0x1f6004fc,0x1f600bf5,
    0x7ec03dc0,0x403f4000,0x07e8007d,0x3a0007ec,0x80007d87,0x3f6003fa,
    0xa83f4000,0x0ff8803f,0x2fa801fb,0x3e401f60,0x00007ec0,0x81fa5f50,
    0x700dd1fc,0x1fc8005f,0x0005f500,0x17dc0ff1,0x2007f200,0x3ee002fb,
    0x0fd80005,0x17dc0000,0x000003f6,0x000007f2,0x800003f9,0x200000fd,
    0x3e6000fc,0x6c3ec006,0x007d801f,0x0fd801fb,0x6c03f400,0x407e8007,
    0x3f4000fd,0x540003ec,0x03f6003f,0x3ea0fd00,0x369f7003,0x007ec00f,
    0x03f600fb,0x00006f88,0x02fc57d4,0x2017e9f3,0x7e4002fb,0x005f5001,
    0x7dc07fd0,0x00fe4002,0x360017dc,0x7ec0002f,0x7c400000,0x00017e25,
    0x0000fe40,0x00007f20,0x00001fb0,0xe88007e4,0x43ec001f,0x3ec01ef8,
    0x6c00fd80,0x03f4000f,0x3f4003ec,0xd0003f60,0x0000fb0f,0x7ec007f5,
    0xa83f4000,0x27fa003f,0x037c00fd,0x07ec01f6,0xc8005f90,0x3eafe606,
    0x27c77c03,0x20017dc0,0x5f5001fc,0x406fd800,0x7e4002fb,0x002fb801,
    0x200037c4,0x800000fd,0x005f70fd,0x007f2000,0x003f9000,0x000fd800,
    0x4003f200,0x7d8003fd,0x6c07ff70,0x801fb007,0x3f4000fd,0x74003ec0,
    0x0007ec07,0x001f61fa,0xd800fea0,0x83f4000f,0x3e6003fa,0x3e600fdd,
    0xd803ec03,0x00df100f,0x67c40df0,0x57ec01fd,0x02fb804f,0xa800fe40,
    0x3ff2002f,0x0017dc00,0x3ee007f2,0x03fb8002,0x0003f600,0x3f4fea00,
    0x3f900000,0x1fc80000,0x07ec0000,0x01f90000,0x2000bf50,0x37fa607d,
    0xd803ec1a,0x007ec00f,0x1f601fa0,0xfb01fa00,0xd87e8001,0x3fa80007,
    0x0003f600,0x00fea0fd,0x401fffb0,0x03ec01fb,0xfd980fd8,0x01fdc002,
    0x2a01bf7e,0xfb803fdf,0x00fe4002,0xea802fa8,0x2fb800ef,0x400fe400,
    0xfd0002fb,0x03f60001,0x4f7c0000,0x2000004f,0x400001fc,0xb30001fc,
    0xddffdddd,0x76409ddd,0xeffeeeee,0x51deeeee,0xdddddddf,0xfddddddd,
    0xfffd880f,0xeeeffeef,0xffeeeeee,0x3fbbbb60,0xeeeeeeef,0x27feeeee,
    0xffeeeed8,0xeeeeeeee,0x367feeee,0xeeffeeee,0xeeeeeeee,0xfdb17fee,
    0x803bdddf,0xeefeeeeb,0x7f7776c4,0xeeeeeeef,0x47feeeee,0xeeeefeec,
    0x07ffc403,0x37bffb66,0xdffddb10,0xdddddddd,0x7fec41ff,0xeeeeeeef,
    0x0fffeeee,0x4027ff40,0xb302fff8,0x07dddfdd,0x3bbffbb6,0xefeec80d,
    0xfeeeeeee,0x36a00cff,0x03eeefee,0xbddffddb,0x77f77641,0xf5003eee,
    0x3b6609dd,0xeeeffeee,0xc80004ee,0x80001fff,0xffeeeed9,0x204eeeee,
    0xeeeeeeeb,0xeeeeeefe,0xfff501de,0xffffffff,0x7ffec0bf,0xffffffff,
    0xff52ffff,0xffffffff,0x0fffffff,0x3ff72a20,0xffffffff,0xd10fffff,
    0xffffffff,0xffffffff,0x7f44ffff,0xffffffff,0xffffffff,0xfffd17ff,
    0xffffffff,0xffffffff,0x3ffffe6f,0x7e402fff,0x0effffff,0xffffffd1,
    0xffffffff,0xe8ffffff,0x5fffffff,0x540ffb80,0x11ffffff,0xfffffffd,
    0xffffffff,0x7ffff441,0xffffffff,0xfb003eff,0x3ffa005f,0xfffff701,
    0xffd10bff,0xd03fffff,0xffffffff,0x0019ddff,0xfffffff7,0xffffd10b,
    0x7ff43fff,0x04ffffff,0x541bff60,0xffffffff,0x0005ffff,0x0006ff98,
    0xffffff50,0x0dffffff,0x7fffffe4,0xffffffff,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26660000,0x33300099,0x04c00133,0x30000000,
    0x12a00000,0xb8009300,0x00000003,0x00000262,0x800003b7,0x80000198,
    0x4c000019,0x00008800,0x00c40031,0x00266600,0x00131000,0x04cc4002,
    0x40000000,0x0e666540,0x333332e0,0x40098000,0x44000019,0x00000001,
    0x99999930,0x3332e001,0x997103cc,0xfffd8017,0x7fc02fff,0x200fffff,
    0xdbefffd8,0x04c40002,0x0000fd10,0x4006fea8,0x3f6000fc,0x8000002f,
    0xeffffec8,0x7d40002d,0xda80006f,0x1deffffe,0x3b6a002e,0x01ceffff,
    0x7fff5c40,0xeffda82d,0xdffd5002,0x3ff6a017,0xfb73003e,0x019fffff,
    0xfffd9100,0x3ee05bdf,0xffffb300,0x20e65dff,0x401ccccb,0x50cccccb,
    0x7ffff41f,0x7ffffc02,0xa666441f,0x40dfffd8,0x402fffec,0x36a1cccb,
    0x00bdffff,0x04ccccb8,0x815bfd73,0x3ffffffc,0xffffff00,0xddffb81f,
    0x3f2603ff,0x5400bcdf,0x203dffcc,0xffddfff9,0x7644003f,0x22dfffff,
    0x00003fe8,0x0019ffb3,0x5c000fc8,0x00002eff,0x99dffd50,0x0019fffb,
    0x0017fe60,0xcdfffd88,0xf9cffedc,0x3bff2204,0x3fffeccd,0x9bfff900,
    0x7fdc5ffd,0x5c03ffcc,0x0efecdff,0x7f667fdc,0x3fffea04,0xffedccde,
    0x3ffaa002,0xcfffdcce,0x7ec07ec0,0xfecccdef,0xffe87eef,0x7ffc02ff,
    0x81f91fff,0x9802fb99,0x7d41fc99,0xceff9fff,0xbffb16fe,0x7fc03ffd,
    0xbfff72ff,0x401dffb9,0x87fffff8,0xffeefffc,0x04d7ec41,0x07f66600,
    0x0fee0fee,0x8001df50,0xcfe805fb,0x50007220,0xdb99dfff,0x09fd5dff,
    0xbff91000,0x03f20003,0x37ff2200,0x3f200001,0x3bfa603f,0x01750001,
    0x033fe600,0x04fffd98,0x5403dff3,0x6ec00efe,0xfa8fea82,0x40ff620e,
    0x77dc0efa,0x6c41bf30,0x159d704f,0x400ff540,0x3a603ffc,0x361fe1ef,
    0x3f2201ef,0x5f73307f,0x3f933300,0x17d40bd3,0x2207f200,0x643fffe9,
    0x7d43fedf,0x6dfdcc06,0x1df900df,0x3ecccc40,0x5c17dfd3,0x002fa86f,
    0x05f837c0,0x17ee01fa,0x400ef980,0x880005fb,0x32203ffd,0x80004fff,
    0x0002effb,0x300007e4,0x00019ffb,0x7000efb8,0x000001df,0x002ff880,
    0x3e213ff2,0x17f2002f,0xffdf5000,0xd01ff101,0x753ee01f,0x00fe880f,
    0x406f9800,0xf7000efb,0xf989f71f,0x0ff9000f,0x64002fa8,0x2a02ffff,
    0x0fe4002f,0xf107ffd0,0x07fa07ff,0x009fff50,0xbec007f7,0x0aa04ff9,
    0x880013e2,0xfb80504f,0x803fd800,0xfc801ff8,0xdfc80002,0x2ffe8800,
    0x3ffea000,0x1f900003,0xffd50000,0x3be60007,0x027dc000,0x3f600000,
    0x84fd8002,0xfd8003fd,0x7ffc0002,0xf70fea03,0x2fcfe807,0x00013ea0,
    0xef9807ec,0x7ffdc000,0x0017dc1f,0x2fa80ff1,0x056fe400,0x9000bea0,
    0x027f403f,0x17dc0bfb,0x8013fea0,0x2ff6005e,0x3e0002ff,0x540ffe06,
    0x0dd0003f,0xd007fa20,0x03f6005f,0x00bf5000,0x03ff7fa2,0x09ffd300,
    0x00fc8000,0x3ffea000,0x00ff4002,0x0002fd80,0x00bf5000,0xbf513ea0,
    0x007f4000,0xd00df900,0xfb807f8f,0x00fe806f,0xd01fc800,0x3f60003f,
    0x002fa80e,0x0bea025c,0x2003f900,0x7e4002fa,0xf901fa01,0x201fd403,
    0x7ec005fa,0x3fffb000,0x507d8000,0x07ee0dff,0x8007f200,0x9f900ef9,
    0x0017dc00,0x1001ff10,0x013ee9fd,0x0067fec4,0x007e4000,0x77fdc000,
    0x004f9801,0x00017e20,0x0007ec00,0x01fd83b0,0x000fea00,0xfc804fc8,
    0x3e009f11,0x01fc804f,0x981fc800,0x3e20004f,0x0007fe05,0x8005f500,
    0x5f5001fc,0x201fc800,0x00fe407e,0x2fa807f5,0x800fe400,0x80000efd,
    0xfefc81fb,0xc8007d80,0x5fb8001f,0x44006fa8,0x3ee0006f,0xe8bfb003,
    0x3ff2200f,0x2000001d,0x000000fc,0x401bff91,0x740002fb,0xd0000007,
    0xdd00000d,0x04f88000,0xf9155730,0x265f5005,0x05fd003f,0x99805f50,
    0xf91aaaba,0x0005f703,0x3fea07e8,0x400009bd,0x7e4002fa,0x005f5001,
    0x1fa01fc8,0x7d403f90,0x0017d403,0x7ec007f2,0x7f300000,0xf07f5df0,
    0x0fec400d,0x449fb000,0xfb8000ff,0x01f90002,0x3f70bfb0,0x00bbfee0,
    0x03f20000,0xfb300000,0x01f9019f,0x730fd800,0x99999999,0x99999999,
    0x0005f879,0x7777fc40,0xeeeeeeee,0x05feeeee,0xfffffb73,0x9999bfff,
    0x27fb9999,0xdfb002fb,0xdddddddd,0xff9107fd,0xffffffff,0x01f903ff,
    0x200fd800,0xefffffe8,0x3ea001bd,0x00fe4002,0x64002fa8,0x901fa01f,
    0x01fd403f,0xf9000bea,0x001f6003,0x7d45f880,0x04f88df3,0x0001dd10,
    0x0bfa5fd0,0x0006e800,0x0bfb00fd,0xffd50fea,0x2e600007,0xeccccccc,
    0xcccccccf,0xd500003c,0x007e87ff,0xffd1fb80,0xffffffff,0xffffffff,
    0x0013e63f,0xfffff100,0xffffffff,0x0fffffff,0x5579dff9,0xffffffb7,
    0x9fffffff,0x7e4007f2,0xffffffff,0x7fdc4fff,0xaaaaaccf,0x7e81ffec,
    0x01fb8000,0xffecba88,0xfa800dff,0x00fe4002,0x64002fa8,0x901fa01f,
    0x01fd403f,0xf9000bea,0x001f6003,0x1fc8dd00,0x017d41fb,0x00006fd4,
    0x04fdff88,0x00ffaa00,0xbfb017e0,0xff727c40,0x6c00003f,0xffffffff,
    0xffffffff,0x00001fff,0x7ecbffd1,0x8fe40000,0x99999998,0x99999999,
    0x13e61999,0x017e0000,0x0eff4000,0x2666bf20,0x09999999,0x3f6003f7,
    0x9ff50001,0x207f2001,0x640000fd,0x2a20001f,0x7d402ffd,0x00fe4002,
    0x64002fa8,0x901fa01f,0x01fd403f,0xf9000bea,0x001f6003,0x37c1f900,
    0x007e47f5,0x000013ee,0x40017fea,0x00ffffe8,0x6c0df033,0x227cc05f,
    0x000cffe9,0x99999880,0x99afd999,0x00199999,0x85dff700,0x740001fb,
    0xf0000007,0xfd00000b,0xdf500000,0x000ff200,0x7f400bea,0x0ff98003,
    0x5c0fe400,0x3f40001f,0x3fd30000,0x20017d40,0x5f5001fc,0x201fc800,
    0x00fe407e,0x2fa807f5,0x800fe400,0x5400007d,0x6f87f52f,0x2fd881fa,
    0x4c000510,0xe88004ff,0x885f99ef,0xd83ec6ff,0x02fb805f,0x0007ffd5,
    0x001f9000,0xffea8000,0x0007f503,0x000006f8,0x00000fd0,0x800005f9,
    0x9f9002fc,0x007f1000,0x2e0017fe,0x1fc8002f,0x40003fa8,0x4c00006f,
    0x00bea03f,0x2a003f90,0x0fe4002f,0x1fc80fd0,0xf500fea0,0x01fc8005,
    0x80000fb0,0xc81f94f9,0x7e40bf1f,0xdccccccd,0xfe88000f,0x7e4002fe,
    0x3ee17e43,0x320fe43d,0x0fd800ef,0x0177fdc0,0x01f90000,0x3f660000,
    0x3be200cf,0x09f70000,0x3f200000,0x7cc00002,0x7d400005,0x00df9002,
    0x3e601be0,0x07d8007f,0xf103f900,0x3ee0001d,0x0000fa84,0x017d40dd,
    0x4c007f20,0x3fea004f,0xf901fa01,0x201fd403,0x7e4002fa,0x000fb001,
    0x21bebf00,0x203f9bf9,0xeeeeeeeb,0xd8000eee,0x001ff8bf,0x1ff10ff1,
    0x37cc07f4,0xf3001df9,0x3ff2200d,0xc800001d,0x4400000f,0x7000dffc,
    0xdf30009f,0x20000001,0x10000ff8,0x003fc859,0x2013e200,0x8002ffe8,
    0x77ec01fc,0x07ec001f,0x407fea00,0xf98004fb,0x003fb80e,0x27cc0df0,
    0x003ff500,0x32003fe2,0x1fa01fff,0x7d403f90,0x0017d403,0x3ec007f2,
    0x57ec0000,0x3f7df03f,0x20000000,0x03be65fb,0x7d417ea0,0x7e40df34,
    0xd000efcb,0xfd88003f,0x200000cf,0x100000fc,0x0003dff9,0x744007fb,
    0x0000001f,0x54002fdc,0x02fe83ff,0x7f44b880,0x37fff400,0x5f88b660,
    0x3be77e60,0x7e4b6200,0x3fff2004,0x800ff601,0xdf701fe8,0x04fb8001,
    0x32003fe2,0x36001fff,0x3bfa203f,0x01fa01fd,0x1fd403f9,0x9000bea0,
    0x01f6003f,0x3fbee000,0x01fdf900,0xf3000000,0x805fb81d,0x27f602fb,
    0x3fe203fc,0x7f9000ef,0x7ff4c000,0x1f900003,0xdff70000,0x7fc40005,
    0x27fd400d,0x001dc800,0x1003dfb0,0x3e609ffb,0xfc8800cf,0x4077d46f,
    0x4fdfffe8,0xfb85ff70,0xfb1ff985,0x4cbfee09,0x7f4c00ff,0x3e201fde,
    0x7fd400df,0x07bfee04,0x20077dc0,0x3fa203fd,0x22001fde,0xeca9beff,
    0x7ddf94ff,0x1fc80fd0,0xf500fea0,0x01fc8005,0x00000fb0,0x7cc0dff5,
    0x0000006f,0xfb01ff88,0x202fa807,0x400ffef8,0x4c00cffd,0x500006fe,
    0x80005fff,0x2a0000fc,0x00003ffe,0x3359ffb1,0x005ffb75,0x001bfea0,
    0x9abdffc8,0x2effdca9,0x567fec40,0xffdca999,0x37df704f,0x3f97ff73,
    0xfd733bfb,0x2b7f603d,0x3a22ffb9,0xffeb9adf,0x4cdffdc2,0x94ffecb9,
    0xb107dddf,0x753359ff,0xfb805ffb,0x99acdffd,0x01fffba9,0xa9beff88,
    0xdf94ffec,0x3fa6007d,0x21efffff,0xdb35fffc,0xf905bdff,0xddf507dd,
    0x77f76cc9,0xfdb101de,0x3b227ddf,0xeeeffeee,0x00deeeee,0xf00ffe20,
    0x0000009f,0x74407fb0,0x013e601f,0xfc807ff7,0x99acffee,0x003ffdba,
    0x2effb800,0x001f9000,0x019ffb30,0xfff50000,0x01bfffff,0x02ffcc00,
    0x3fffa600,0x02efffff,0x7ffffd40,0x00ceffff,0x7fffffdc,0x7ffecd52,
    0xffd804ff,0xfc882eff,0x500cffff,0xfffffffd,0x7fffe43b,0x3fffea04,
    0x800dffff,0xfffd88e9,0x0cffffff,0x3fffa600,0x3f21efff,0x654005ff,
    0x2a0009bc,0x83ffffff,0xfa85fffc,0x3ffee6ff,0xd102ffff,0x229fffff,
    0xfffffffe,0xefffffff,0x00000000,0x7dc00000,0x00ff9804,0xffa803fa,
    0x543bee01,0xfffffffe,0x2000001e,0x000dffc8,0x910007e4,0x00003bff,
    0x37995300,0x2ea00001,0x75100000,0x00015799,0x1accba88,0x15973000,
    0x00acb880,0x20072e60,0x2a001cb8,0x0001accb,0x4de654c0,0x5d440000,
    0x000aaccc,0x026f32a0,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf5000000,0x02fd400d,0xff301df5,0x03bea0df,0x02af32a6,0xd9800000,
    0x07e4006f,0x003dfb00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8001ff10,0x3ff204fc,0xcaffc99b,0x03663eef,
    0x00000000,0x51000e60,0x0002a800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x74000bfa,0x3ffee02f,0x3ffa1fff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8800000,0x03eeeffe,0x3ffbbb62,0x5995102e,
    0x400e4001,0x664c001b,0xcccccccc,0x5c0ccccc,0x0ccccccc,0x99999500,
    0x6664c799,0x64c0cccc,0x500ccccc,0x41999999,0xccccccc9,0x9999500c,
    0x88007999,0x98dc400c,0x0970000d,0x00000000,0x20000980,0x03000018,
    0x33333220,0x16666641,0x99999997,0x99999999,0x03999999,0x77754008,
    0xeeeeeeee,0xeeeeeeee,0xbdc980de,0x002a0000,0x77776c35,0xeeeeeeee,
    0x912eeeee,0xbbbbbbbb,0xbbbbbbbb,0xbbbbbbbb,0x6eee447b,0xdddddddd,
    0xdddddddd,0x003ddddd,0x7fffff44,0x3ffa604f,0x0004ffff,0x402ff880,
    0x3ee003ff,0xffffffff,0x40ffffff,0xffffffff,0xffffb001,0x3f61ffff,
    0x41ffffff,0x2ffffffd,0xffffffd0,0x7ffffe43,0xffd02fff,0x01ffffff,
    0x880bfa60,0x81ff33fe,0x7e40aba9,0x400f5006,0x8ba6004e,0xffffeda8,
    0xffd8800c,0x90002eff,0xfff1001f,0xfffe83ff,0xfffff53f,0xffffffff,
    0xffffffff,0xdffd505f,0xffff9019,0xffffffff,0xffffffff,0xffffb81d,
    0x7ec2802f,0x23ff700f,0xffffffff,0xffffffff,0xffff53ff,0xffffffff,
    0xffffffff,0x4dffffff,0xfffffff8,0xffffffff,0xffffffff,0x000006ff,
    0x00000000,0x2a02ffb8,0x7f7003ff,0x33333333,0x2609fd33,0x01fc9999,
    0x277ea620,0x99cffa81,0x13bfd300,0x0bff9980,0x99cfc988,0x7fcccc00,
    0x3fe60019,0x717fa204,0xffff53ff,0x1df919ff,0x4007f200,0xff9804fe,
    0x2f3bfee1,0x7dc05fec,0xdffcbbdf,0x1bfea000,0x07ffffc0,0x98bffff6,
    0x99999999,0x99999999,0x6c2fb999,0x1fffffff,0xc8000000,0x07ff51ef,
    0x3fff17dc,0x76cfff60,0xeeeeeeee,0xeeeeeeee,0x22222222,0x88888888,
    0x88888888,0x11100888,0x11111111,0x11111111,0x00011111,0x00000000,
    0x1ffdc000,0x7009ff50,0x17f2005f,0x0003f900,0x3fea09f3,0x0ffa2003,
    0x200ffa20,0xfa8006f8,0x2ffcc004,0x2e0dff30,0xbabcffff,0x000efffd,
    0x744007f2,0x0ffe604f,0x501fb806,0x17f203df,0x27e7fcc0,0x43ffff40,
    0x001ffffc,0xc8bee000,0xffd9beff,0x0000000f,0xfd303bee,0xeb8df709,
    0x0037a604,0x00000000,0x00000000,0x00000000,0x00000000,0xfb813ff2,
    0x017dc05f,0x640037dc,0x4f98001f,0x8002ffb8,0x3a204fe8,0x07f2002f,
    0x4001fb00,0x3e606ffa,0x37fa00ef,0x003ff700,0x22001fc8,0x3ff984fe,
    0xf10bf000,0x02fc801f,0x3fd8ff44,0x437ffec0,0x000ffffb,0x4cbee000,
    0x5ff884ff,0x3a000000,0x3bfd100d,0x0001dfb3,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13ff6000,0x2205ffc8,0x077d400d,0x000fe400,
    0x3bf227cc,0x3fa20001,0x002fe884,0xf3002fcc,0x77fdc00b,0x01fff500,
    0x7d4037cc,0x00fe4005,0xf993fa20,0x65d4c03f,0xfa85faac,0xd80bf002,
    0x807fe23f,0xf985fffb,0x000007ff,0x0ffb97dc,0x0000ffb0,0xfc800400,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x2fff4000,
    0x001dffb0,0x0003fe60,0x4c000fe4,0x01dfb14f,0x993f6000,0xfb0002ff,
    0x007f2001,0xb807ffdc,0x7ec01fff,0xb83fb001,0xa81fc81b,0x39fd100c,
    0x7ecc07ff,0x5fffffff,0xfd001fb8,0x7cc2fe40,0x9fff500f,0x00dfff10,
    0x92fb8000,0x87fcc0bf,0xaaaaaaa8,0xaaaaaaaa,0x001aaaaa,0x00059730,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa20000,0xdffd00ef,
    0x1ff88001,0x007f2000,0x3fa33e60,0xfd800005,0x0002ff9c,0x3e2013ea,
    0x3fff9006,0x00bffee0,0x2fa801be,0xc8e77ff4,0xfffda89f,0x3fffa202,
    0x277fe203,0x90bf5311,0x41f6001f,0x1bee06fa,0xf81fffcc,0x000005ff,
    0x06fc97dc,0x7fec3fea,0xffffffff,0xffffffff,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x880efff8,0x1000effe,
    0xc80005fd,0xef98001f,0x0000efff,0x01fffd80,0x400fe800,0xffd802fb,
    0x5fff902f,0x400bf100,0xffda84f9,0xfffefeef,0xff9801ce,0x2017ec06,
    0x002fa85f,0x01ff10bf,0xff884fc8,0x09ffd02f,0x2fb80000,0x3fa03ff5,
    0x33332e66,0xcccccccc,0x2ccccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff98000,0x1ffff106,0x0007fd00,0x30003f90,
    0x5ff95fff,0xff980000,0x7f700005,0xfd807e80,0xfff903ff,0x017e2009,
    0x6d403f98,0x01beffff,0x13fbfe60,0x2fcc06e8,0x320077c4,0x017f443f,
    0xfff83fe8,0x005ffb00,0x12fb8000,0x7dc43dff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffd8000,0x05fffb02,
    0x00009fb0,0x260007f2,0x13fa61ef,0x6ffd4000,0xdf00005f,0x4401fd40,
    0xe880effe,0xfd001fff,0x8017dc00,0x4000fffb,0x4fe8bff9,0x3f201f90,
    0x01bf505f,0x13f617ee,0x741ff880,0x07ff207f,0x5f700000,0x7e77ffd4,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd80000,0x5fff901f,0x0009f900,0x4000fe40,0x0dfb04f9,0x91ffa800,
    0xf90000bf,0x4003f605,0x880effe8,0xc800effd,0x01fd002f,0x0bf9ff30,
    0xd11ffcc0,0x59ff109f,0xdffdfdb7,0x579ff709,0xbf01dfd9,0xb85f3000,
    0x01fe605f,0x0bea0000,0xbffffff5,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1fffc800,0x003fff70,0x80000bf7,
    0xf98001fc,0x0013f604,0x3f20ffd4,0x3e20000e,0x4005f986,0x3605ffe8,
    0x7c400eff,0x027e400f,0x07fb1fe8,0xd107ff30,0xfffd509f,0x17ffe5df,
    0x7fffff4c,0x40000003,0x0004c009,0x881c4000,0x0002cddb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,0xff500eff,
    0x1df5003f,0x32001500,0x4f98001f,0x0007fe20,0x3f201df5,0x3f60000e,
    0x8000fe41,0x3f205ffd,0x2ffd805f,0x801ffd88,0x07fe24fc,0x2203ff98,
    0x033104fe,0x00133000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1dff5000,0x003bfe60,
    0x22003bea,0x03f9004f,0xa809f300,0x3bee006f,0x0077dc00,0x3e25f980,
    0x7fec0006,0x817ff204,0xcceffffc,0x00fffffd,0x3bea1bea,0x1007fd00,
    0x000007fd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0xff300dff,0x1ff3001d,
    0x4013e200,0xf98001fc,0x801fd804,0xf7000efb,0x3fa0001d,0x00005f70,
    0x7dc07ff9,0x98efc84f,0x73fffffd,0x03fe01ff,0x02d827e4,0x0000b620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x3a205ff9,0xff8800ef,0x013e2001,
    0x4c000fe4,0x05f9804f,0x200077dc,0xa8000efb,0x0000dd4f,0xf5017fdc,
    0x4077d47f,0x06fb8099,0x002c803b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfe800000,0x002ff404,0xdddddffd,0xfddddddd,0x3bbbbae9,0xeeeeffee,
    0xdd51deee,0x40bddffd,0xd70deefe,0x01bdddff,0x3fffbbae,0x77f4000d,
    0x5c00003f,0x3fea01ff,0x20001931,0x0000003a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74400000,0x4004e803,0xfffffffe,0xffffffff,0xffffff94,
    0xffffffff,0x3ff25fff,0x00efffff,0x2e1dfff5,0x1fffffff,0xffffff90,
    0xffb8001d,0xa800000f,0x0174c01e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_50_latin_ext_x[560]={ 0,10,5,4,4,4,5,10,13,6,0,3,6,4,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,3,1,0,0,1,2,4,0,0,0,4,1,9,3,0,3,2,2,4,2,1,4,
3,4,4,0,2,3,0,2,3,4,3,1,1,1,2,3,5,0,12,0,4,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,10,4,2,4,2,
12,3,6,0,0,0,0,4,0,-1,7,3,7,7,9,1,3,9,9,8,6,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,3,3,
3,3,3,3,0,3,2,2,2,2,4,4,4,4,2,2,3,3,3,3,3,3,2,1,1,1,1,3,0,3,
0,3,0,3,0,3,2,3,2,3,2,3,2,3,3,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,2,1,2,1,4,4,4,4,4,4,4,4,4,4,0,0,3,3,1,4,3,2,4,2,
4,2,4,2,4,1,4,0,2,0,2,0,2,0,2,2,0,3,0,3,0,3,0,0,1,3,1,3,1,3,
3,4,3,4,3,4,3,4,3,3,3,3,3,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,2,3,
2,4,5,4,5,4,5,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,3,5,5,5,5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,4,4,0,
3,1,1,1,1,1,1,1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,3,0,0,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_50_latin_ext_y[560]={ 36,8,9,6,6,8,12,8,8,8,8,12,29,22,
30,6,8,8,8,8,8,8,8,8,8,8,17,17,12,19,12,10,8,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,6,8,8,46,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,17,17,17,17,17,17,8,8,8,20,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,17,7,10,14,10,
8,8,9,10,7,17,22,22,10,5,3,9,8,8,7,17,8,19,35,8,7,17,8,8,8,16,1,1,1,4,
3,1,10,10,1,1,2,3,1,1,2,3,10,4,1,1,2,4,3,15,9,1,1,2,3,1,10,8,7,7,
7,9,9,6,16,16,7,7,7,9,7,7,7,9,9,9,7,7,7,9,9,13,15,7,7,7,9,7,8,9,
5,10,2,8,10,16,1,7,2,7,3,9,2,8,2,8,10,8,5,10,2,8,3,9,10,16,2,8,2,7,
2,8,3,9,10,6,2,2,10,8,4,9,5,10,2,8,10,8,3,17,10,8,2,7,10,8,17,1,0,10,
8,10,8,10,8,10,8,1,7,10,16,2,8,8,10,16,5,10,2,8,1,7,10,16,1,7,10,16,2,8,
1,7,2,7,10,16,2,8,10,10,2,8,10,10,3,9,5,10,2,8,0,6,1,7,10,17,2,7,2,7,
3,1,7,3,9,2,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,16,8,8,8,8,8,8,8,8,8,8,8,8,8,7,16,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,2,8,2,8,2,
8,2,8,1,4,1,1,1,2,1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-1,1,7,1,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_50_latin_ext_w[560]={ 0,6,16,19,18,19,18,7,8,8,17,21,10,19,
8,18,18,18,19,19,18,19,18,18,18,18,8,11,22,23,22,16,18,27,23,22,22,23,22,23,23,18,23,25,
22,27,25,23,22,23,26,20,21,24,27,26,24,23,19,8,17,8,18,28,8,21,24,21,24,22,21,23,24,19,
15,22,19,27,22,21,24,24,22,19,21,23,25,25,23,23,17,10,3,10,19,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,17,22,19,23,
3,21,14,27,15,22,24,19,27,29,13,21,12,12,8,23,20,8,8,11,15,23,27,27,27,16,27,27,27,27,
27,27,27,22,23,23,23,23,18,18,18,18,25,25,23,23,23,23,23,16,24,24,24,24,24,23,22,22,21,21,
21,21,21,21,26,21,22,22,22,22,19,19,19,19,22,22,21,21,21,21,21,21,23,23,23,23,23,23,24,23,
27,21,27,21,28,23,22,21,22,21,22,21,22,21,22,25,25,24,23,22,23,22,23,22,25,22,23,22,23,23,
23,23,23,23,23,23,23,24,23,24,18,19,18,19,18,19,18,19,18,19,27,22,23,17,25,22,21,22,19,22,
19,22,19,22,19,23,19,25,22,25,22,25,22,24,22,20,23,21,23,21,23,21,27,26,26,22,26,22,26,22,
20,19,20,19,20,19,20,19,21,21,21,21,21,22,24,23,24,23,24,23,24,23,24,23,24,25,26,25,23,23,
23,19,17,19,17,19,17,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,23,23,20,23,23,23,
23,23,23,23,23,23,23,23,23,23,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,26,25,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,27,21,18,19,23,
21,24,23,24,23,24,23,24,23,24,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,27,21,27,26,24,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_50_latin_ext_h[560]={ 0,29,13,33,35,29,25,14,34,34,17,23,14,3,
7,34,29,28,28,29,28,29,29,29,29,29,20,24,23,9,23,27,31,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,32,26,27,26,27,26,26,26,26,26,34,34,34,13,3,7,21,29,21,29,21,28,29,28,28,
37,28,28,20,20,21,29,29,20,21,27,20,19,20,19,28,19,34,34,34,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,28,29,26,18,26,
34,31,5,27,14,19,13,3,27,3,13,27,15,16,7,28,31,7,9,15,14,19,28,28,28,29,35,35,35,32,
33,35,26,34,35,35,34,33,35,35,34,33,26,32,36,36,35,33,34,16,29,36,36,35,34,35,26,29,30,30,
30,28,28,31,21,28,30,30,30,28,29,29,29,27,28,27,30,30,30,28,28,21,23,30,30,30,28,38,37,36,
31,27,34,29,32,26,36,30,35,30,34,28,35,29,34,29,26,29,31,27,34,29,33,28,32,27,34,29,35,38,
35,37,34,36,34,39,34,34,26,28,32,27,31,26,34,28,33,35,33,19,27,37,35,38,34,36,19,35,36,34,
36,26,28,26,28,26,28,35,29,34,28,34,28,28,27,29,32,27,35,29,36,30,26,21,35,29,34,28,34,28,
36,30,35,30,34,28,35,29,36,36,34,29,26,27,34,28,32,27,35,29,37,31,36,30,33,26,34,30,34,38,
33,35,29,33,27,34,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,27,28,28,33,28,28,28,
28,28,28,28,28,28,28,28,28,28,27,21,28,28,28,28,28,28,28,28,28,28,28,28,28,30,21,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,34,29,34,28,35,
29,35,29,36,33,36,36,36,35,36,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,42,38,35,30,37,31,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__courier_50_latin_ext_s[560]={ 499,505,308,397,103,1,26,502,499,499,222,
92,500,423,496,486,171,112,1,151,328,354,261,1,154,173,503,498,69,364,114,
26,275,425,303,92,350,453,477,115,365,23,43,253,90,160,211,161,230,93,389,
185,416,67,438,288,1,466,42,269,227,29,289,473,503,280,414,181,58,203,1,
305,47,72,165,320,343,396,424,137,329,280,447,326,139,372,153,470,129,115,69,
357,508,496,388,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,499,496,192,
265,202,206,508,456,408,345,257,179,325,423,273,443,350,301,496,496,500,363,411,
500,502,500,273,45,443,415,387,21,415,146,75,198,302,198,237,38,429,174,61,
373,362,343,467,330,373,117,67,91,381,349,286,240,477,138,163,1,111,405,327,
213,67,442,301,369,391,313,226,438,183,133,395,151,457,394,374,492,216,177,89,
111,257,194,347,159,45,43,371,418,304,71,181,475,359,323,1,488,143,279,230,
323,453,279,394,282,476,110,334,235,339,210,387,469,310,20,1,67,172,396,443,
87,26,141,122,279,262,43,184,29,245,159,315,413,74,157,294,490,208,460,417,
250,457,87,441,231,370,53,85,115,107,347,210,136,1,188,131,137,257,113,277,
470,43,417,297,368,92,471,373,66,251,419,298,132,451,1,62,253,443,190,143,
44,88,21,253,478,1,23,170,480,394,38,21,188,66,105,1,226,41,258,226,
249,322,464,254,335,274,206,49,399,211,345,238,95,25,323,439,476,139,191,239,
90,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,1,23,23,436,
23,23,23,23,23,23,23,23,23,23,23,23,23,200,302,23,23,23,23,23,
23,23,23,23,23,23,23,23,156,346,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,115,236,
22,174,299,83,50,127,328,278,377,402,426,226,303,353,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,1,119,270,230,206,432,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23, };
static unsigned short stb__courier_50_latin_ext_t[560]={ 36,117,450,153,81,283,426,253,1,44,450,
426,370,450,330,117,283,313,313,283,283,253,253,253,253,253,153,188,426,450,426,
371,188,370,370,371,370,370,370,371,399,399,371,370,399,399,399,370,370,188,399,
370,399,371,399,399,426,399,399,153,153,153,450,450,174,426,253,426,283,426,342,
253,342,342,1,313,313,426,426,426,253,253,426,426,370,426,450,426,450,342,450,
117,44,81,450,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,36,153,253,
399,450,370,1,188,450,342,450,450,450,450,342,450,450,342,426,313,299,313,188,
385,268,283,450,450,313,313,313,283,81,81,81,188,153,81,399,153,44,81,153,
153,44,44,117,153,370,188,44,44,44,153,117,450,253,44,44,81,153,44,370,
283,222,222,222,283,283,188,426,283,222,222,222,313,253,253,253,342,313,342,222,
222,222,313,283,426,426,222,222,222,283,1,1,1,188,342,153,222,188,370,44,
222,44,222,117,283,44,253,117,253,399,253,188,342,117,253,188,313,188,342,117,
253,81,1,81,1,117,44,153,1,153,153,399,283,188,342,188,399,153,283,153,
81,153,450,342,1,81,1,153,44,450,81,44,153,44,399,313,399,313,399,313,
81,253,117,313,117,342,313,342,253,188,342,81,253,1,222,399,426,81,283,117,
313,117,313,44,188,117,222,117,283,81,283,44,44,117,283,399,342,117,283,188,
342,81,222,1,188,44,222,188,370,117,222,117,1,188,44,253,153,342,117,313,
313,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,371,342,342,153,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,426,342,342,342,342,342,
342,342,342,342,342,342,342,342,222,426,342,342,342,342,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,117,283,
117,313,44,283,81,283,1,153,1,1,1,81,1,1,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,
342,342,342,1,1,81,222,1,188,342,342,342,342,342,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342, };
static unsigned short stb__courier_50_latin_ext_a[560]={ 424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_50_latin_ext(stb_fontchar font[STB_FONT_courier_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_50_latin_ext_s[i] + stb__courier_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_50_latin_ext_t[i] + stb__courier_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_50_latin_ext_x[i];
            font[i].y0 = stb__courier_50_latin_ext_y[i];
            font[i].x1 = stb__courier_50_latin_ext_x[i] + stb__courier_50_latin_ext_w[i];
            font[i].y1 = stb__courier_50_latin_ext_y[i] + stb__courier_50_latin_ext_h[i];
            font[i].advance_int = (stb__courier_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_50_latin_ext_s[i] + stb__courier_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_50_latin_ext_t[i] + stb__courier_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_50_latin_ext_x[i] + stb__courier_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_50_latin_ext_y[i] + stb__courier_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_50_latin_ext_LINE_SPACING
#endif

