// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT        198
#define STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_28_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_28_latin_ext_LINE_SPACING          13

static unsigned int stb__courier_bold_28_latin_ext_pixels[]={
    0x04000000,0x04000400,0x00022000,0x0c400004,0x40022000,0x01400100,
    0x90000200,0x00044079,0xc8800400,0x00cccccc,0x00300000,0x000a1440,
    0x00000010,0x32a01440,0x220001cc,0x0002a20a,0x0ecc0088,0x00000000,
    0xcccccc80,0x03cccccc,0x05cc0000,0x001ca800,0x00db8000,0x000fe600,
    0x362002e8,0x0ff2002f,0x0027d400,0x50001fe4,0x7dc000df,0x7d05f003,
    0x0003b600,0xf8000f74,0x00fee06f,0x80374c00,0xccccccc8,0x00bae000,
    0x0001bf10,0x01fd3bf3,0x000dd100,0x4c0005d7,0x3ffe203f,0x3f60002f,
    0x40017f24,0x2fe405f9,0x00faa000,0x3e0175c0,0xffffffff,0x05d06fff,
    0x33aa007b,0x6ff8001f,0x3e21aa00,0x000bff00,0x40003bee,0x3fea005b,
    0x3a600dff,0x2000efff,0x26000efc,0x000efffe,0x800077dc,0xfb000dfc,
    0x803fb315,0x00443f20,0x8002ff98,0x2fec06ff,0x07fea000,0x20010080,
    0x00cfffd8,0x8003bee0,0x0219fb10,0x001ffa80,0x033fff62,0x113fa820,
    0x00bffae0,0x3ea2fb80,0x0efb8003,0x80037e40,0x00dfffc8,0x19fffb10,
    0x3fbbbfe0,0x06ffeeff,0x017dc3db,0x000b71e8,0x7c400bfd,0x640dd10c,
    0x7e4001ff,0x37a0000d,0x91efa801,0x4bfe60df,0xfc800ffb,0x97fcc004,
    0xf7000ffb,0x27ec000b,0x3fffa200,0x537c403f,0xfd1003f4,0x64000005,
    0xdf50005f,0x217e4001,0x7fcc02fb,0x000efc8b,0x26003fe6,0x00fe865f,
    0x2000efa8,0xefc8bff9,0x0c5be200,0x17fc40fd,0x80000000,0xfc800dfb,
    0xcfe88006,0x4c01ffb8,0x0efc8bff,0x93fa3ff8,0xfff306fc,0x66400bff,
    0x030003d8,0xfffff700,0x02ffc405,0x200013a0,0x839804ff,0x88191049,
    0x002b800c,0x06440c88,0x40003980,0x2e20002c,0x209d1002,0x02c8006d,
    0x02540000,0xa8004a80,0x200fd41f,0x006d41d9,0x22003220,0x001d903f,
    0x3b300095,0x3a200da8,0x7c40db04,0x0000262f,0x401dc000,0xfffffffc,
    0x0b6203ff,0x1d9803b3,0x1ffc06d4,0x037e49fd,0x10002f2a,0x880019fb,
    0x97100019,0x3ffb0015,0x000dc400,0x000032a0,0xc8800000,0x1988001d,
    0x00000000,0x26201db8,0x00000001,0xfffea800,0xa882ffff,0x00002a20,
    0x00000000,0x00000000,0x00000000,0xf1000000,0xbffffb7f,0x9fffb103,
    0x00dfffd8,0xffff8800,0x06ffffff,0x40000000,0xc93fa2ff,0x0000005f,
    0xfffe9800,0x01effebf,0x27fcc000,0x04ecf880,0x50013100,0xfffffffd,
    0x13fff625,0x201bfffb,0x3000fabe,0xfd7ffffd,0x3ff623df,0x6fffec4f,
    0x59fd9100,0x3a60ffea,0xffebffff,0x7999711e,0x2f333261,0x9bfd9100,
    0x3ffff601,0xfd82ffff,0x44017f24,0x100cdfec,0x26179997,0x100bcccc,
    0x2019bfd9,0x30bcccb8,0x22179999,0x930bcccb,0x2e217999,0x9930bccc,
    0x32e21799,0x99930bcc,0x332e2179,0x999930bc,0xffff8817,0x41ffffff,
    0x227ffffa,0x101fffff,0x735bdfb7,0x67ff5cc1,0x4c00bccc,0xb9beffdb,
    0x3bf6e200,0x36e0b9ad,0x1d993fa0,0x7dffb730,0x665c4173,0x999930bc,
    0xffffb817,0x4fffffff,0x21799971,0x80bcccc9,0x297006fe,0x7f4c0078,
    0xeffebdff,0xffffff91,0x3ffea5ff,0x3fffe27f,0x0b67881f,0x3ffffee0,
    0x54ffffff,0x7c4fffff,0xfb81ffff,0xffffffff,0x7fffdc0f,0x4fffffff,
    0x2bfffff9,0x83fffffe,0xfffffffb,0xccccb882,0x2fb82ffc,0x3ee00fea,
    0x82ffffff,0xd5fffffc,0x707fffff,0x5fffffff,0xbfffff90,0x4ffffffa,
    0xd5fffffc,0x327fffff,0xfd5fffff,0x3f27ffff,0xffd5ffff,0x3ff27fff,
    0xfffd5fff,0xfff887ff,0xfffdaadf,0x20effdc1,0xf502ffe9,0xffffffff,
    0x000df907,0xfffffff5,0x3fea07ff,0x3fffffff,0xa8027f40,0xffffffff,
    0x3ffff23f,0xfffffd5f,0x4e7ffcc7,0x0aefffeb,0x2bfffff9,0x83fffffe,
    0x1d3007fd,0x7fdc00b7,0xffffffff,0x9999714f,0x7fdc5ff9,0x17ff4c1d,
    0x300f79d0,0xfd739fff,0x7dc15dff,0x7ff4c1df,0xcdfffb82,0x4c1ffffe,
    0xfeb9cfff,0xfb30aeff,0x3b6a5bdf,0x7fdc0dff,0x3fffdcdf,0x005ff100,
    0xdfffb800,0x4c3fffdc,0xb52deffd,0xfb81bffd,0xfffdcdff,0x6f7fecc3,
    0x1bffdb52,0x4b7bff66,0x30dffeda,0x2a5bdffb,0xb30dffed,0x36a5bdff,
    0xfb30dffe,0x3b6a5bdf,0x7fc40dff,0x84ff980f,0x4ff887fd,0x97bfff50,
    0xf909fffd,0xfffb800d,0x4fffdcce,0xcbdfffa8,0x7404fffe,0xfffb804f,
    0x4fffdcce,0x4b7bff66,0x20dffeda,0xffd80ffe,0x6f7fecc4,0x1bffdb52,
    0x2003ff70,0xf3001dfb,0xffd739ff,0xf88015df,0x443fec2f,0x664404ff,
    0x80ffe801,0xffb04ffd,0xf309ff10,0xfffd81df,0x6c07ff40,0x1ff984ff,
    0xff30ff50,0x0ffe981d,0x002ff880,0x03bfe600,0xf981ffd3,0x30ff501f,
    0xfe981dff,0x80ffcc0f,0x1ff987fa,0xff30ff50,0x261fea03,0x0ff501ff,
    0x3ea03ff3,0x409ff107,0x3ff986fd,0x7cc07fec,0x4ffb80ef,0x22006fc8,
    0xff880eff,0x4077fcc4,0x7f404ffb,0x077fc404,0x3e627fc4,0xf0ff501f,
    0x13fea0bf,0x7d407fe6,0x00bfea07,0x0ffe8000,0x1004ffd8,0x3ff985ff,
    0x22007fec,0x5ff80099,0x2609ff50,0x07fec3ff,0x3ee07ff4,0x2ffc4fff,
    0xf984ffa8,0xd0ff501f,0x3fe201ff,0x32ff8805,0xffd8dffd,0x00ffe84f,
    0xff98bff1,0xfd0ff501,0x17fe201f,0x3ea03ff3,0x501ff987,0x03ff30ff,
    0x3fe61fea,0xf30ff501,0x41fea03f,0x3ea03ff8,0x30ffd80f,0x3ff209ff,
    0x320ffa00,0x3ff6006f,0xf90bf200,0x01ff401f,0xffb013fa,0x2617e401,
    0x8ff501ff,0x3fe02ff8,0x501ff984,0x17fd40ff,0x79999950,0x4c17fe00,
    0xff1004ff,0x261ffb05,0xfd9104ff,0x2207dfff,0x13fe02ff,0xff30ffd8,
    0x985ff109,0x227fdeff,0x13fe02ff,0x7d407fe6,0x2017fc47,0xff8807fc,
    0x4cdfff72,0x7c44ffff,0x23fe402f,0xff501ff9,0x6402ff88,0x80ffcc7f,
    0x1ff987fa,0xff30ff50,0x261fea03,0x0ff501ff,0x3ea03ff3,0x40fff107,
    0x7ff307fd,0x7f403ff6,0x64064c05,0x9ff0206f,0x0bfd0100,0x7f400c98,
    0x4027fc04,0x501ff980,0x20bff0ff,0xff984ff9,0x5c0ff501,0xfff101ff,
    0x8803ffff,0x13fe02ff,0x4c17fc40,0x01ffb3ff,0x3ffffff2,0x0bff03ff,
    0xf9813fe6,0x301ffb3f,0x7ff441ff,0x3fe0ffa9,0x309ff305,0x1fea03ff,
    0xf9801ff3,0x17fc400f,0xfc98dfd5,0x007fcc4f,0xff983fe6,0xf98ff501,
    0x07fcc00f,0x3ea03ff3,0x501ff987,0x03ff30ff,0x3fe61fea,0xf30ff501,
    0x41fea03f,0x641dfff8,0x3ff604ff,0xff104ff9,0x7fd40005,0x2fedb98a,
    0x10005ff1,0x4c0005ff,0x0aadfeaa,0x80017fc4,0xff501ff9,0xfb01ffd0,
    0x03ff309f,0x7fd81fea,0x7fff7640,0x05ff804f,0x22009ff3,0x3ffb02ff,
    0x66cc09ff,0x07fea9ab,0xffb01ffd,0xf9ffd809,0xd8ff704f,0x45ff12ff,
    0xffd80ffe,0x501ff984,0x807fb8ff,0x7c401ff8,0xd837e42f,0x403fdc4f,
    0x3fe61ff8,0xfb8ff501,0x21ff8807,0xff501ff9,0x2a03ff30,0x01ff987f,
    0x3ff30ff5,0x3e61fea0,0x20ff501f,0xeefffff8,0x7cc06fff,0xf300ffff,
    0xfe80003f,0x2fffffff,0x30003ff3,0x7c0003ff,0x5fffffff,0x8000ffcc,
    0xff501ff9,0x739fff30,0xf309fffd,0x81fea03f,0xff3006fe,0xffd00fff,
    0x009ffb01,0x7cc0bfe2,0x2000ffff,0x301ff518,0xfd739fff,0xff9809ff,
    0xff500fff,0xf993ff23,0x33ffe61f,0x84fffeb9,0xff501ff9,0x4c00ffa8,
    0x7fc401ff,0xfd837e42,0x2007fd44,0x3fe61ff9,0xfa8ff501,0x0ffcc00f,
    0x3ea03ff3,0x501ff987,0x03ff30ff,0x3fe61fea,0xf30ff501,0x41fea03f,
    0xffffeff8,0xfd800dff,0x3fe604ff,0x7f540001,0x261cffff,0x7ffe41ff,
    0x3ff32eff,0x7ffec000,0x7cc3ffff,0x7fffe41f,0x07fe62ef,0xffc83fd4,
    0x4fffffff,0xf501ff98,0x013fe60f,0x17fd7fe4,0x273ffe60,0x004fffeb,
    0x7ec05ff1,0xfea804ff,0x00ffffff,0xfffffff9,0xffb009ff,0x5ffcc09f,
    0x3fd46ffa,0x7fffffe4,0xff984fff,0xf88ff501,0x03fd401f,0x3f217fc4,
    0xf889fb06,0x23fd401f,0xff501ff9,0x5401ff88,0x80ffcc7f,0x1ff987fa,
    0xff30ff50,0x261fea03,0x0ff501ff,0x3ea03ff3,0x715ff107,0x4c003799,
    0x7fc00fff,0x55300002,0xd0bfe201,0x49ffffff,0x000002ff,0xfd0bfe20,
    0x4c9fffff,0x0ff501ff,0x67ffffd4,0x1ff984fe,0x3f60ff50,0x29ff001f,
    0xffc806fe,0x4fffffff,0x405ff100,0x6400fff9,0xffffffff,0x3ffea00f,
    0x804fecff,0x7c00fff9,0x740fffef,0xffff506f,0xf109fd9f,0x21fee07f,
    0x37f405ff,0x3217fc40,0xf09fb06f,0x46fe80bf,0xff703ff8,0xfe80bff0,
    0xb81ffc46,0x03ff887f,0x7ff10ff7,0x3e21fee0,0x10ff703f,0x1fee07ff,
    0x00017fc4,0x6c027fcc,0x7500005f,0xa889fd00,0x7ec5feaa,0x17300005,
    0x5444fe80,0x7c45feaa,0x00ff703f,0x13fa1351,0x7dc0ffe2,0x005ff887,
    0x3fea3ff5,0xffffa801,0x1004febe,0x7fcc05ff,0x6fffdc04,0x00ffdaaa,
    0x9fd09a88,0x009ff300,0xc83ffff7,0x4d4402ff,0x3fa09fd0,0xb85fe886,
    0x5ff903ff,0xb81ff700,0x84fe887f,0xff903ffb,0xd10dfd05,0x07ff70bf,
    0x3fa0bff2,0xd05fe886,0x0bfd10df,0x3fa21bfa,0xd10dfd05,0x21bfa0bf,
    0xff105fe8,0xffb00005,0x07ff5001,0xff301f4c,0x01ffc803,0x7ff513fa,
    0x3e01f4c0,0x0ffe405f,0xdfd09fd0,0x000bfd10,0x3fa05ff3,0xc85fe886,
    0xdfd002ff,0x22004ff8,0x4013fa0a,0x3f600ffb,0x077ec00f,0x40007fdc,
    0xfd802ff9,0xdfff000f,0x09ffb535,0x205ff300,0xea9beffb,0xbffb01ff,
    0x0bffb535,0xdff95553,0x9317ff50,0xfb03dfff,0xffb535bf,0x2fbfee0b,
    0xb01ffea9,0xfb535bff,0x3bfee0bf,0x01ffea9b,0xd537dff7,0x3fee03ff,
    0x1ffea9be,0x537dff70,0x3ee03ffd,0xffea9bef,0x159ff501,0x7dd54400,
    0xfe8800df,0xfba99adf,0x007e406f,0x2673ffe2,0x444ffca9,0xa99adffe,
    0x7e406ffb,0x67ffc405,0x4ffca999,0xa9beffb8,0x54401ffe,0x00ffecaa,
    0xd537dff7,0x0bff03ff,0x2ab7fe60,0x20007fea,0xaa982ff9,0x5446ffca,
    0x400dffba,0xeb98aefc,0x2201bfff,0x0ffecaaa,0xdffbaa88,0xffffb800,
    0x00dfffff,0x7f655544,0x3fff600f,0x2204ffff,0xfffffffe,0x7fffec0d,
    0xff880fff,0xffffffff,0x7fff440f,0x200dffff,0xfffffffd,0x3fffa204,
    0x200dffff,0xfffffffd,0x7fffec04,0x7ec04fff,0x04ffffff,0x7fffffec,
    0x7ffec04f,0xff04ffff,0x003fffff,0xfffffff3,0x7ffec00f,0x01ffffff,
    0xffa802d4,0xffffffff,0xfffffb04,0xb003ffff,0xffff5005,0x09ffffff,
    0x3ffffff6,0x7ffdc04f,0x6c02ffff,0x4fffffff,0x32001b70,0xffffffff,
    0xaaa8802f,0x7ec0ffeb,0x20ffffff,0xfffffff9,0x7fffc407,0xffffffff,
    0xfffffb80,0xfff982ff,0x4c07ffff,0xfffdbeff,0xfffb803f,0xb802ffff,
    0x002fffff,0x07fffff7,0x33bffff2,0x3fffe600,0x205ffedf,0x03fffffb,
    0x5fffff70,0x3fffee00,0xfff7003f,0x3ee005ff,0x7002ffff,0x005fffff,
    0x0bffffee,0x7ffffdc0,0x3ffffa02,0xff9801ff,0x006fffff,0x7ffffedc,
    0x0074400d,0xfffff910,0xfdb803bf,0x800dffff,0x3f22005b,0x01dfffff,
    0x17ffffdc,0x7ffffd40,0xfff7001d,0x400005ff,0xffffffff,0x7fdc06ff,
    0xc82fffff,0x40ceffff,0xfffffff9,0xfffda806,0x05fffdef,0x3bfffff5,
    0x3ffffe60,0x7fe406ff,0xa8002a20,0x01dfffff,0x800054c0,0x998800a9,
    0x04d4c000,0x000a9800,0x20001530,0x530000a9,0x02a60001,0x00054c00,
    0x30000a98,0x26620015,0x99980019,0x4c000099,0x00040009,0x00035310,
    0x17000266,0x06a62000,0x0002a600,0x98000666,0x5400000a,0x3ff501ff,
    0x7ffffd40,0x0266201d,0x02666660,0x00135100,0x98006660,0x98009999,
    0x2600001d,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2057ff54,0x402dffb9,0x00000199,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffa8000,0x3ffe27ff,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0xd89ffffd,0x000effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x930b3260,0x00000039,0x00008000,
    0x0c000c11,0x00304400,0x50ba6000,0x0000003d,0x4c0174c0,0x200f542e,
    0x017220cd,0x40000440,0x00000000,0x000ae000,0x00000000,0x0220015c,
    0x30000000,0x03999500,0xd507aa00,0xa8000001,0x0007541e,0x40000000,
    0x10260008,0x54000001,0x1ffdc3ff,0x5001d900,0x7001f10d,0x5f98005f,
    0x7ec005f7,0x5d7e6001,0x02eb802f,0xfb19ff10,0x2eb8001d,0x07fd4000,
    0x6c67fc40,0x7fdc00ef,0x8003ffaa,0x260003fb,0xfc88006e,0x02eb804e,
    0x003ff700,0x5c005d70,0x8002e2ef,0x32001ffb,0x3ae0002f,0x07ec4002,
    0x00bfffe0,0x6c67fc40,0xb84d806f,0x8cff8805,0x435c06fd,0x3b6600f9,
    0x000b9cef,0x3e6009f5,0x5403fe27,0x5400f886,0x1ffdc3ff,0x1ffff4c0,
    0x74433e20,0x009fb006,0x2fdcffcc,0x003fe880,0x17ee7fe6,0x19fffb10,
    0x9fffb100,0xfffd8800,0xefb8000c,0x3ff62000,0x3fa6004f,0xfc8001ef,
    0xff50000d,0xfffc8003,0xffb102ff,0xfa80019f,0x3f62001f,0x7dc00cff,
    0x02feefed,0x8007fea0,0x44004fe8,0x800cfffd,0xeb803fe8,0x220002ff,
    0x7004fffd,0x8027d45f,0x804fffd8,0x0dd10cf9,0x7fffffe4,0xefc804ff,
    0x44df3000,0x19f100ff,0x00001ba2,0xe8affb80,0x7ffdc05f,0xffb802ff,
    0x3e202bcf,0x1005fa9f,0x7c4005ff,0x4405fa9f,0x0efc8bff,0x8003b500,
    0xefc8bff9,0x002fc000,0x20003b50,0x9fb0004c,0x077d4000,0x2fbfe600,
    0xbff980dc,0x4000efc8,0x3fe6001a,0x200efc8b,0x00bbee29,0x640006a0,
    0x7ff3004f,0x4401df91,0x3e2001ff,0xda80002f,0x7fff4001,0x6d4000ef,
    0x3fff2001,0xfff501ff,0x0dfffb9b,0x08005fc8,0x7fdc0088,0x00002fff,
    0xb7032e00,0x01597100,0xffffff98,0x219100ff,0x0762004a,0x12a19100,
    0x1b507660,0xd9800000,0x44006d41,0x0002a20a,0x882a2000,0x00b2000a,
    0x20009500,0xd9800ffc,0x00006d41,0xb5076600,0x00000001,0x80254000,
    0x006d41d9,0xf8800191,0x0000002f,0x000e64c0,0x32e20000,0x207fec02,
    0x1e406ff8,0x44000000,0x7ec00acb,0xffeaefff,0x00006fff,0x3ffa0000,
    0x01fffece,0x00000000,0x10000000,0x0019bfd9,0x27ec0000,0x32e20bf9,
    0x99930bcc,0x49fb0179,0x000005fc,0x3f600000,0x20000005,0x9beffdb9,
    0x7100000b,0x32617999,0x7100bccc,0x1735bdfb,0x00000000,0x3fe20000,
    0x09fffd72,0xadefdb88,0x000000b9,0x273bfb66,0x3a00000b,0x009f904f,
    0x6665c400,0x7999930b,0xff880001,0xfffdefff,0x99306fff,0x05999999,
    0x066ff644,0x7c42ff98,0x7999710f,0x2f333261,0xcefed980,0x3b2200b9,
    0xd9800cdf,0x00b9cefe,0xfffffff7,0x33332a05,0x0e6665c2,0x0fea2fb8,
    0xafffffe4,0x83fffffe,0x80fea2fb,0xccccccca,0x997102cc,0x99999999,
    0x37fa6207,0x07332e01,0x2a059995,0xffffffff,0x3332e23f,0xcccccccc,
    0xbfffff90,0x0ffffffa,0x3fffffea,0xcca83fff,0xc9803ccc,0xbccccccc,
    0x333332a0,0x5ff1003c,0x81fffffa,0xfffffffa,0xccca83ff,0x3f2003cc,
    0x4fffffff,0x333332e2,0x20cccccc,0x0b881efc,0x2a0e665c,0x3ff22ccc,
    0xfffd5fff,0x333267ff,0x80bccccc,0xb8efecb9,0xf06feccc,0xffffffff,
    0x3fffee0f,0xff982fff,0x3ff22980,0xfffd5fff,0xfffc87ff,0x704fffff,
    0x5fffffff,0x7ffffe40,0xffb84fff,0x3fffdcdf,0x7fffffc4,0xffffff51,
    0x7ecc0000,0xfdb52def,0x400001bf,0xfffffffc,0xfffb04ff,0xffffffff,
    0xfffff90d,0xfffa87ff,0x3fffe27f,0x77ffdc1f,0x24fffdcc,0xfffffffb,
    0xb30fffff,0x36a5bdff,0x7d40dffe,0xffecbdff,0x7fffc44f,0x7f401fff,
    0xffffffff,0xffffff15,0xff1005ff,0x37bfff35,0x2f7ffea0,0x444fffec,
    0x1fffffff,0xcdfffa80,0x3ee6fffd,0xffffffff,0x3fe60fff,0xf500acef,
    0x7fc4ffff,0xffb31fff,0x3fb6a5bd,0xffffd0df,0x80bfffff,0x0df906fc,
    0x3ffbbbae,0xfffb83ee,0x83fffdcd,0x300acffe,0x2a5bdffb,0x2a0dffed,
    0xffdcdfff,0xdfffb86f,0xa83fffdc,0xffdcdfff,0x077fcc6f,0xfb03ffa6,
    0x76c49ddf,0x00003ffe,0xfa80ffcc,0xfc800007,0xfffeeeef,0xfbffb503,
    0x0dffdddf,0xfffffffb,0x2fffd889,0x2227ffec,0xff880eff,0x3bfff664,
    0x0ffeeeee,0x7d407fe6,0x80eff987,0xeec84ffb,0x5404ffff,0xeefffeed,
    0x3ffbae1d,0xf8800dee,0x404fffdf,0xfb80eff9,0xffeec84f,0xffd804ff,
    0xb337fc40,0xdddddfff,0xffa81ffd,0x441effff,0x7ec2fffd,0x0ffcc4ff,
    0x76d47fa8,0x1deefffe,0xfc837e40,0x40ff5006,0x74c0eff9,0x7ffd40ff,
    0xff982dff,0xfb0ff501,0x46ff881f,0x74c0eff9,0x07fec0ff,0xffd1bfe2,
    0x217fe201,0x37e403ff,0xfb1bffa6,0x3ff309ff,0xfd31fea0,0x4fffd8df,
    0x7fc45fc8,0x7d7fc00e,0x4c1bf20f,0x201aefea,0x7fec3ffb,0x200ffd81,
    0x06fc82fc,0x7fcc1ff5,0xf90ff501,0x01ff401f,0x00fffff3,0xf8804fe8,
    0x7fc4002f,0xfc802fff,0x80ffa00f,0x807ffff9,0x09f904fe,0x3fea0df9,
    0xfffda880,0x3ffb82ff,0x7cc0ffec,0x80ff501f,0x7e4004fe,0x200df906,
    0x3ffa07fa,0x10bff100,0x8bfffff7,0xff501ff9,0x3f209fd0,0x8807ff44,
    0x827f45ff,0x0bfe24fc,0x9ff0ff90,0x8bfb37fc,0x3e66fffb,0xff984fff,
    0xfb8ff501,0x3ffe66ff,0x745fc84f,0x6fcc01ff,0x1bf20ff9,0x3600bfb0,
    0x09ff51ff,0x402013fe,0x7f98c6fc,0xfa80ffcc,0x4c05fe87,0x2bff200c,
    0x3fa002ff,0x02ff8804,0x7ffffc40,0x405fe802,0x3ff200c9,0x7e402ffa,
    0xc80b881e,0x07f98c6f,0x20dff730,0x9ff51ffd,0x5407fe60,0x027f407f,
    0x7e41bf20,0x20ff5006,0x7e402ff8,0x7ff5c407,0x5407fe60,0x81efc87f,
    0x0bfe20b8,0xefc8ff90,0x3e60b881,0x07fcc00f,0x7ffd57fa,0xfd509fd1,
    0x84ffc98d,0xff501ff9,0xc98dfd50,0x24fb84ff,0xfc803ffd,0x9cd9ff9b,
    0x02fec03f,0xff8eff88,0x005ff106,0x5fb37e40,0x03ff30f2,0x5ff11fea,
    0x29ff0000,0x3fa006fe,0x02ff8804,0x7ff7fc40,0x0bfe203f,0x753fe000,
    0x7ffcc06f,0x7e400ace,0x11e4bf66,0x0ffcc09d,0x7fc77fc4,0x407fe606,
    0x27f407fa,0x641bf200,0x0ff5006f,0xf3003fe6,0xfe812a1f,0x5407fe64,
    0xefff987f,0x1ff300ac,0x260ff980,0x00acefff,0xff100ff7,0xffb6fd83,
    0x640ffe7f,0x309fb06f,0x1fea03ff,0x4fd837e4,0x027fdc10,0xdff99fe8,
    0xbfb000ff,0x7fffd400,0x03ff301f,0x667fe400,0x3fe603ff,0xf98ff501,
    0x7d40001f,0x003ff51f,0x3e2013fa,0x7fc4002f,0x304ffe8a,0xa80003ff,
    0x03ff51ff,0xffffffa8,0x99ff901e,0x3fea07ff,0x203ff501,0x01fffffa,
    0x7d407fe6,0x4027f407,0xaaffdaa9,0x5401bf22,0x00ff707f,0x0ffa3ff1,
    0x3ff327f4,0x7d41fea0,0x41efffff,0xff8807fb,0x7ffffd41,0x07fd41ef,
    0xf907fe60,0x7dbfffef,0x20df902f,0x1ff984fd,0x3f20ff50,0x9809fb06,
    0xff1006ff,0x03ffffe6,0x2002fec0,0x2604fffd,0x7ffe41ff,0x7fe42eff,
    0x2603ffff,0x8ff501ff,0x40001ff9,0x027fc6fe,0xf8804fe8,0x3ee6002f,
    0x5bffd12f,0x000ffcc3,0x9ff1bfa0,0xfffb5100,0xfff905ff,0x3ee07fff,
    0xfda9abff,0x7ffec07f,0x80ffcc04,0x27f407fa,0x3ffffea0,0xdf93ffff,
    0x3fd40ba6,0x4c00ffa8,0x39fff1ff,0x4c3ffb51,0x0ff501ff,0x7fffed44,
    0x003fea2f,0xb5103ff3,0x445fffff,0x3fd401ff,0x67fd7fdc,0x902ffaff,
    0x213f60df,0xff501ff9,0x7ec1bf20,0x03ffe204,0x7e577dc0,0xb000ffff,
    0xff8800bf,0x217fc406,0x4ffffffe,0x7ff77fe4,0x407fe603,0x02ff87fa,
    0x2b7fe600,0xd007feaa,0x5ff1009f,0xffff0660,0x7fffff45,0x8000bfe0,
    0xeaaadff9,0xfb98007f,0xeeffc86f,0xfff503ff,0x5fffffff,0x806ff880,
    0xff501ff9,0x4404fe80,0xfffffffe,0x3f2df91e,0x220ff505,0x3fd401ff,
    0xffffffff,0x01ff98bf,0x5cc00ff5,0x07fe26ff,0x2600ff50,0x2ffc6ffb,
    0x3ea1bfa0,0xeff8efef,0x0df901ff,0x3fe213f6,0x320ff703,0x409fb06f,
    0x13a22ffd,0x7fffffec,0x3fa007f9,0x04fe8004,0x55444fe8,0x6fc85fea,
    0x22144ffa,0x0ff703ff,0x64000bfb,0xffffffff,0x04fe802f,0xf882ff88,
    0x717ffec7,0xfd8bffff,0x3ff20005,0x2fffffff,0x3e604e88,0xfd37e41f,
    0xcce88a27,0x01dfffff,0xf1009fd0,0x01fee07f,0x800009fd,0x20bf96fc,
    0x17fe07fa,0x77e4dfd0,0x882effff,0x8ff703ff,0x3fe604e8,0xfd017fe1,
    0xf302744d,0x81ffdc3f,0xff982ffc,0xffffb4ff,0x221fee01,0x0dfd04fe,
    0x3ee0bfd1,0x904fe887,0x87fa89ff,0xffdccff8,0x4c075088,0xfe8003ff,
    0x01ffc804,0x9bf213fa,0xe87f90c9,0x85fe886f,0x3a603ffa,0xffffff83,
    0xe806ffff,0x2ff8804f,0x0000ff98,0x980ffea0,0xfffff83e,0xa86fffff,
    0x3ff501ff,0x43266fc8,0x7f7103fc,0x04fe8001,0xfd10dfd0,0x004fe80b,
    0xfcaffc00,0x5c0dfb05,0x5ff903ff,0xd017fa20,0x8bfd10df,0xff501ffa,
    0xc81ffdc3,0x07fea2ff,0x3f60ffd4,0xffda9adf,0x3ffff105,0xa81fffea,
    0xffc98bff,0xeffb81ef,0x01ffea9b,0xf9317ff5,0xffa83dff,0x540ffa85,
    0xf03fe65f,0x3af3223f,0xfe8001ff,0xcfff8804,0x4ffca999,0x3fa06fc8,
    0x4df7fdc4,0xe881ffea,0xba99adff,0x0ffd46ff,0x7401ffa8,0x2ff8804f,
    0x5c00ff98,0xffe8801d,0xffba99ad,0xa80ffd46,0x7ffdc1ff,0x7ffda9ab,
    0x3fa06fc8,0x0037e604,0x2e009fd0,0xfea9beff,0x027f401f,0xfd755100,
    0x2f7ff25f,0x403ffd99,0xda9adffd,0x27f405ff,0x26fbfee0,0x7dc1ffea,
    0xfda9abff,0xadffd87f,0x5c5ffda9,0xda9abfff,0xffe887ff,0x00dfffff,
    0xff89fffe,0x3ffe206f,0xffffffff,0xfffffd80,0x3fe204ff,0xffffffff,
    0x57fff10f,0x41ff9555,0xfc99dfda,0x2ffbaabf,0x07fffff5,0x6ff55440,
    0x3fea00aa,0xffffffff,0x557fed44,0x84feaaaa,0xfffffffd,0x7fffec04,
    0x2a1fffff,0x5cc0affe,0x2aa22dff,0x0aaadfea,0x2b3feea6,0x00ffcaaa,
    0xd801ff22,0xffffffff,0x2bffaa1f,0x16ffdcc0,0xfffffff5,0xfda85fff,
    0xeaaaaaaf,0x9f95504f,0xbfd55100,0xffd80155,0x884fffff,0xaadfeaaa,
    0xfff5000a,0x7fe49fff,0x04ffffff,0xfffffe88,0x7ec00dff,0xffffd804,
    0xffa84fff,0xffffffff,0xffffe882,0x7d40dfff,0xffffffff,0x3ffee02f,
    0xffe803ff,0x202ffec4,0xedfffff9,0x3fee05ff,0xf9802fff,0xffedffff,
    0x3ffffe25,0x50ffffff,0xffffffff,0x5fffffff,0x00177fec,0x3ffffffe,
    0x7fe4406f,0x5c1dffff,0xffffffff,0xf704ffff,0x2005ffff,0xdfffffdb,
    0x3ffffea0,0x3ffffe27,0xfffffd1f,0x3e29ffff,0xffffffff,0xf300ffff,
    0xdb800dfd,0x20dfffff,0x27fffffa,0x1ffffff8,0xffff99d1,0xfffb83bf,
    0xffffffff,0x5fffd04f,0xffffff00,0xff700dff,0x3fa05fff,0xffffffff,
    0xffff5004,0xfff9307b,0xfb8007df,0x7003ffff,0x3fee005f,0x9d102fff,
    0x3bfffff9,0xfffffb80,0xff99d103,0x2003bfff,0x3f6000a9,0x027fd42f,
    0x00009a98,0x53000153,0xfff88013,0xffffffff,0xb9fffd10,0xffffffff,
    0x6400005f,0x3fffffff,0x806a6200,0xffffffe9,0x404fffff,0x260000a9,
    0xfffd3009,0xffffd89f,0xfffff70e,0x7ec5dfff,0xffffffff,0x36e00fff,
    0x2660001d,0xffffd300,0xeffffd89,0x01353100,0x3fffffa6,0x04ffffff,
    0x32005951,0x3fffffff,0x7002a600,0xffffffff,0x0998005d,0x00015100,
    0x00000a98,0x80015300,0x40009a98,0x4c4000a9,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13000000,0x00000088,0x00000000,0x0a200c00,
    0x00030000,0x00000011,0x44000000,0x66665c00,0x00730002,0x00000011,
    0x80003710,0x02200008,0x9710a800,0x05799999,0x32a02c98,0x6664c2cc,
    0x113a00bc,0x0000007b,0x20008813,0x800003d8,0xb82cccb9,0x88075c1d,
    0x33332a0b,0x5cc003cc,0x7541ea80,0xccb85c40,0x999710bc,0x1e665c79,
    0x227f9800,0xefb800ff,0x2e6002e2,0x0b9beffd,0x0002eb80,0x3fa00fd8,
    0xfd880003,0x00fec000,0x0001eb80,0x5000175c,0x7ffd409f,0xfb8004ff,
    0x001fe806,0x2b7bf6e2,0x33e200b9,0x9f50004e,0x013ea000,0xffba7e40,
    0xffffffff,0x109ffd02,0x6c1fffff,0x203fffff,0x2ffb9efd,0xcefec980,
    0x226fa800,0xffb000ff,0x17177dc0,0x27ffff40,0x7f4dffcc,0x7c53f605,
    0x2fffffff,0x109ffb00,0x0dfb19ff,0x3fffa9fb,0xfffff94f,0xfffff53f,
    0x300ff623,0x007fc4df,0x3bbfb7ee,0x7ffd402f,0x03ffffff,0x033fff62,
    0x00ffa200,0x98000ffb,0xe98002fe,0x3fa2002f,0xd88004ff,0x4000cfff,
    0x32200efc,0x4004ffee,0xe9800dfc,0xfffa802f,0x03ffffff,0x4003c52e,
    0xc8000efc,0xf88000ef,0xdfffb34f,0x03ffffdd,0xd903fff5,0x76d49fff,
    0x7d401dff,0xfb800eff,0x02ffffff,0x0ff137cc,0x6413fe60,0x2feefedf,
    0x13ffb6a0,0x01fffec4,0xfeeb93f6,0xa800deef,0xfb101eff,0x53f607ff,
    0xb31deffe,0x3e29dfff,0x3fea4fff,0x0440400f,0x5df714c0,0xcefffb80,
    0x304fffdc,0x1df917ff,0x017fc400,0x8001ffcc,0x20001ff9,0xf9803fe8,
    0x006fd8bf,0x3f22ffe6,0x0bf9000e,0x4009fd00,0x744004fb,0x3ffea03f,
    0x4fffecbd,0x016e3a60,0x2000bf90,0x320005fc,0x237e40ff,0x3e06ffa8,
    0xffff103f,0x000ffa83,0x3ee007b1,0xfffdbdff,0x00440402,0x5300ffd8,
    0xb00177dc,0x00db809f,0xff884fe8,0x02fec002,0x3fa01da8,0x7e409fd4,
    0x2077fe46,0x0001fffc,0xf8800000,0x4ff880ef,0x0da83b30,0x80036200,
    0x930006fe,0x0ae00001,0x1b503660,0xb5076600,0x000f2001,0x310027f4,
    0x98164000,0xffb80eff,0x00efdc04,0xc8000f20,0x3fe20003,0xf706fc84,
    0x8827f40f,0x7d46ffff,0x9800000f,0x7f4c0dff,0x3000000f,0x00000bff,
    0x00009fb0,0x7fc427f4,0x027f4002,0x3a9fd000,0x45bf204f,0xfb80effd,
    0x764401ff,0x91000cdf,0x6c019bfd,0x8bf200ff,0x0003ccb8,0x3fea0000,
    0x00000002,0x00000000,0x00000000,0x997009fd,0x80000599,0x3fa00ffc,
    0x00000003,0x2e000000,0x06fc81ff,0x27f40dfb,0x4ffdff88,0x99503fea,
    0xcccc9859,0x403ffa0b,0x99505ff8,0x32007999,0x332a01ff,0x6c003ccc,
    0x9999714f,0xfe805799,0x002ff884,0x666427f4,0xcccccccc,0x3fa9fd3c,
    0x3a3bf204,0x3fee05ff,0x3ffee00f,0x5c02ffff,0x2fffffff,0x81009ff0,
    0x0006fffc,0x0f33332a,0x4406fe80,0xbccccccb,0x6665c402,0xcccccccc,
    0xccccca80,0x79993003,0x86f33263,0xccccccb8,0x200ccccc,0x7fd404fe,
    0x32604fff,0xbccccccc,0x93017fa0,0x99999501,0x99993007,0x54179999,
    0x664c2ccc,0x7fc00bcc,0x54cdf905,0x3fa04ffe,0xfb5ff104,0x883fea3f,
    0x360fffff,0xf13fffff,0x87fc805f,0xfffffff8,0x206fe801,0xfffffff8,
    0x5d3f6001,0xffffffff,0x09fd02ff,0xe8005ff1,0xfffff84f,0x6fffffff,
    0x813fa9fd,0x05fffffc,0xf703ffd4,0xfffb9bff,0x37ffee07,0x443fffdc,
    0xd98002ff,0xf10006ff,0x03ffffff,0xb807fea0,0xffffffff,0xfff702ff,
    0xffffffff,0xffff881f,0xfe801fff,0xfffd5fff,0x7fffdcdf,0xffffffff,
    0x1013fa00,0x409ffdd9,0xfffffffe,0x05ff15ff,0x3fffe200,0x7f401fff,
    0xffffffff,0x1fffff15,0x1fffffec,0x3203ff70,0xffffffff,0x8827f405,
    0x56ff8aff,0xffec81ff,0x3ffb6a4f,0x801ff31d,0xeec80ffa,0xf804ffff,
    0x7f76405f,0x36004fff,0xdfffb34f,0x03ffffdd,0x5ff109fd,0xf84fe800,
    0xefffeeef,0x29fb6ffe,0x3ff204fe,0x2601ffff,0xdff307ff,0x40ffe981,
    0x74c0eff9,0x07fe60ff,0x006fc800,0x3fffbb20,0x17fa004f,0xeefffd98,
    0x981ffffe,0xeeeefffd,0xec80ffee,0x804ffffe,0xb52dfffa,0x7ecc5dff,
    0xeeeeeeff,0x13fa00ff,0x5409fd00,0xeefffeed,0x003ff31d,0x7fff7640,
    0x776d404f,0x21deefff,0x2a4fffec,0x201dffed,0x3ff206fe,0x805fffff,
    0xff881efe,0xff57ff72,0x3ffff101,0x3ee0ffa8,0x01ff8807,0x01ffffe6,
    0x26007ff3,0x2007ffff,0x237e44fd,0xfe86ffa8,0x302ff884,0xf84ffa83,
    0xfc93fa3f,0x13fa3d56,0xffdfffc8,0x0dff101f,0x7c403ffa,0x807ff45f,
    0x3fe65ff8,0x7ffffe41,0x3337e42e,0xffff3000,0x0ffdc00f,0xf511bf20,
    0x837e40df,0x3e600ffa,0xf9007fff,0x6413fa0d,0x01ff506f,0x3a0027f4,
    0x13fa004f,0x0000ffcc,0x03ffffcc,0xf1013fa0,0xffa83fff,0x80bfea00,
    0xffcaaffc,0x7ffdc01f,0xfd17fc42,0xf101ff7f,0xffa8dfff,0x3003fe60,
    0x7fe403ff,0x3ea02ffa,0x5ff9002f,0x3f6005ff,0xfb837e44,0xf884fe87,
    0x327f882f,0x3ff81fff,0x06fc93fa,0x7fe409fd,0x201fff31,0x2ff885ff,
    0xff13fe40,0x227fc805,0x7fff42ff,0x7fe44fff,0x004ffffc,0x0bfebff2,
    0x202ffc40,0x0ff706fc,0x7cc637e4,0x7d7fe407,0x06fc802f,0x1bf209fd,
    0xfd01fe63,0x04fe8009,0xff813fa0,0xffc80002,0x3a002ffa,0x7ffc404f,
    0x007fd46f,0x6fc80dfd,0x7007ffd4,0xff885fff,0x3ffffe62,0xffdff880,
    0xff03fea4,0x407fa803,0x40dfd4ff,0xff002ffa,0x6c01bfa9,0xd837e44f,
    0x884fe86f,0x0ff982ff,0xff03fff9,0xbf927f45,0xfc813fa0,0xf81ffd46,
    0x00ff984f,0xff987fcc,0xd07fcc00,0xeaaa889f,0xffffc85f,0xf006ffff,
    0x801bfa9f,0x3f200ffb,0x640dfb06,0x1e4bf66f,0x37f53fe0,0xfe837e40,
    0x7ecdf904,0x4fe80792,0x0027f400,0x2fec09fd,0xea7fc000,0x13fa006f,
    0x9ffbff10,0xf9807fd4,0x437e402f,0x3f606ff9,0x42ff881e,0x880ffffc,
    0x51ffdaff,0x05fd81ff,0xff5037f4,0x4c07fea3,0xffa803ff,0xb003ff51,
    0x266fc89f,0xfe84ffea,0x982ff884,0x13fea0ff,0x24fe836e,0x3a1931d9,
    0x21bf204f,0x3fd80ffc,0xf8807fb8,0x100ff71f,0x0ffe43ff,0xff909fd0,
    0x3ffb559f,0xf51ffa80,0x3fe2003f,0xa99bf204,0x3f204ffe,0x003ffccf,
    0x3fea3ff5,0x667fe401,0x904ffccc,0x07ff99ff,0x20027f40,0x3fa004fe,
    0x80ffea04,0x3ff503e9,0x74007fea,0x57fc404f,0x1ff51ffd,0xb501ff60,
    0xffb835ff,0x884fe82c,0x3a0acffb,0xff880fff,0xff56ff8a,0x903ffb81,
    0x37f405ff,0x7fc413fe,0x7c6fe804,0x44fd804f,0xfffffffc,0x4c9fd05f,
    0xaaacffba,0x7f40ffca,0x409fd004,0x209fd4fd,0x221aefda,0x0a20adff,
    0x26007fd4,0x01ff51ff,0x3e21ff98,0xca999cff,0x2ffc84ff,0x7f403ff8,
    0x90027fc6,0x3ff201ff,0x05ffffff,0x7fffffe4,0xf8dfd003,0x7ffe404f,
    0x04ffffff,0x7ffffff9,0x7f5554c0,0x7401aaad,0x13fa004f,0x9adffe88,
    0xd06ffba9,0x004ff8df,0xff8809fd,0xff56ff8a,0x407ff301,0x1ffffffb,
    0x3a07ffec,0xffffb84f,0x03ffe65f,0x7fdcbfe2,0xfd80ffab,0xffda9adf,
    0x2b7fe605,0x3e07feaa,0x6ffcc06f,0x807feaaa,0x7ffe44fd,0x3a05ffff,
    0xfffff14f,0xffffffff,0xd004fe81,0xea7f409f,0xffffb84f,0x3fff21ff,
    0x03ff1006,0x3fe27fa8,0x543fd401,0xffffffff,0x06fc84ff,0x7fcc09fd,
    0x07feaaad,0x640ffe20,0x5fffffff,0xfeeffc80,0xdff9803f,0x407feaaa,
    0xfffffffc,0xdff904ff,0x3e607ffd,0xffffffff,0x13fa00ff,0xd804fe80,
    0xffffffff,0xadff981f,0xd007feaa,0x2ff8809f,0x1ff57ff7,0x4c01ffb0,
    0x40effffe,0x7f40dff8,0xffffe984,0x4407fe43,0x2fffa2ff,0xfff900ff,
    0xc80bffff,0xffffffff,0x03ff902f,0x7fffffe4,0x7ec02fff,0x6557fe44,
    0x9fd01fff,0x7fffffec,0x40ffffff,0x9fd004fe,0x4fea7f40,0xdffffe98,
    0x10fffe20,0x3a02ffc0,0x202ffc6f,0xff9106fe,0x203bffff,0x09fd06fc,
    0x7fffffe4,0x36002fff,0x55ff907f,0xc803fff9,0x144ffa6f,0xffffffc8,
    0x3f202fff,0x3209fd06,0x144ffa6f,0xffffffd1,0xfe80bfff,0x013fa004,
    0x7ffffedc,0xffff900d,0x005fffff,0xff8809fd,0x3fefffa2,0x0027fc40,
    0x09fd0000,0x7fc40000,0x3ffffe62,0x3fffee00,0xffff803e,0x06ffffff,
    0x7fc0bff3,0xffffffff,0x3227ec06,0x07ffd46f,0x000027f4,0x7f4013fa,
    0x7f53fa04,0xfd000004,0x40ffee07,0x7fdc2ffc,0x005ff903,0xf9003531,
    0xf813fa0d,0xffffffff,0x3fe6006f,0x7d46fc83,0x9bf200ff,0xf07f90c9,
    0xffffffff,0x837e40df,0x4df904fe,0x007f90c9,0x009fd000,0x260027f4,
    0xfff800bf,0x6fffffff,0x4404fe80,0x3ffe62ff,0x07fe40ff,0x003d8800,
    0xd8800ffe,0x85ff1003,0x200ffffc,0x2a1cfffd,0x501ffa83,0x3ff603ff,
    0x501ffa80,0x27ec03ff,0x3fe61bf2,0x4404fe86,0x0bfb003d,0xfe813fa0,
    0x4c009fd4,0x05ff803d,0x2a6b7ff6,0xffb05ffd,0xbffb535b,0x400f6200,
    0x09fd06fc,0x7d407fea,0x1bf6001f,0x3fe61bf2,0xe81bf206,0x80ffd44f,
    0xdf901ffa,0x7e413fa0,0xa813fa06,0x27f4002d,0x8009fd00,0x7d400ef9,
    0x03ff501f,0x7c404fe8,0x7fffe42f,0x0013fe20,0x4c03fda8,0x2a001ffd,
    0x7dc403fd,0x3ffa0acf,0xffffb00f,0x43ffffff,0x4c0affea,0xf982dffb,
    0x57ff544f,0x16ffdcc0,0x549ff973,0x7dc1affd,0x013fa2cf,0xf9007fb5,
    0xd553019f,0xfe8155bf,0x0179dfd4,0x200ff544,0x7ff44018,0x00dfffff,
    0xffffffd1,0x36a001bf,0x7fed403f,0x216ff542,0x4c0affea,0x3002dffb,
    0x7fed45ff,0x167fdc1a,0x2aabff6a,0x2a4feaaa,0x5cc0affe,0x7ed42dff,
    0xbff510ae,0xaaffda85,0x04feaaaa,0x4c01fd71,0xaadfeaaa,0x3aaaa21a,
    0x200aaadf,0x2a04fcba,0x5cc0affe,0x2aa22dff,0x0aaadfea,0x82b3fee2,
    0x3ee0fffe,0xdfb0000f,0x5ffe807f,0x0ffbf600,0xbfffff70,0xf807ffcc,
    0xffffffff,0x3fffea5f,0x3fffe27f,0x27fd81ff,0x27fffffa,0x1ffffff8,
    0x2e9ffffd,0x41ffffff,0x9fb0fffd,0x01ff7ec0,0x7c27ff44,0x5fffffff,
    0xfffea7ec,0x3fbfa04f,0x3ee00001,0x7003ffff,0x007fffff,0x301ff7ec,
    0x2e7fffff,0xf51fffff,0x7c4fffff,0x001fffff,0x3ffeebfd,0x7fec1fff,
    0xfffff70f,0x9fffffff,0x9fffffea,0x1ffffff8,0x2bfffff3,0x71fffffd,
    0xffffffff,0x3e09ffff,0xff300fef,0xffffffff,0x3ffffa1f,0x204fffff,
    0xf502fffe,0x7c4fffff,0xfd1fffff,0xffffffff,0x7ffffdc9,0xe83ffe65,
    0x3220005f,0x02da803d,0x401ee440,0x43ffffe9,0x57500ffc,0x302f2a23,
    0xd89ffffd,0x880effff,0x3fffa63d,0x7fffec4f,0x7dddb50e,0x3bffffa6,
    0xa86ffc40,0x0f72201d,0xd81dc880,0x3fffffff,0xeeed8ed4,0x0f76601d,
    0x054c0000,0x000a9800,0x4403dc88,0xd31efffe,0x3a61dfff,0x7ec4ffff,
    0x3000efff,0x3fffa63b,0x6ffc40ef,0xfffffd30,0x29ffffff,0x44ffffe9,
    0x10effffd,0x2e7ffffd,0xd30effff,0xffffffff,0x36a09fff,0x3ffa202d,
    0x5fffffff,0x3fffffee,0x65402eff,0x3fffa602,0x7fffec4f,0xfffff70e,
    0x74c5dfff,0x7e43ffff,0x00036a0f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x42aaaaaa,0x30bcccb8,0x26179999,0xcccccccc,0x9999710b,
    0x19999999,0x7776e4c0,0x3700003e,0x79999950,0x004c0000,0x2aaaaaa8,
    0x55555500,0x00f54005,0x02001880,0x40a19800,0x813001ca,0x88130008,
    0x00173000,0x15555554,0xaaaaaa80,0x00173002,0xd500332a,0xd100ea83,
    0x9b007649,0x5c02e441,0x00075c1d,0x54c002e6,0x401aaaaa,0x00004409,
    0x3aa00000,0xea807541,0x00007541,0x33332a20,0x3ffea0bc,0x3f21ffff,
    0xffd5ffff,0x3ffa7fff,0x5fffffff,0xfffffff7,0x201fffff,0xfffffffb,
    0x87f00004,0xfffffff8,0x3fc80001,0xfffffa80,0x7fd401ff,0x001fffff,
    0xf50009fb,0x00ff200d,0x0fed3ea0,0x7cc02ffc,0x3003fe26,0x007fc4ff,
    0xfa8037f4,0x01ffffff,0x7fffffd4,0x05ff801f,0x8803ff90,0x06fd8cff,
    0x02ff9fea,0x3feabfee,0x9bff9803,0xff8005fe,0xffffd005,0x3fcc0bff,
    0xdf701ff1,0x3ee005c5,0xf1002e2e,0x40dfb19f,0x6fd8cff8,0x01efedc0,
    0xfffffff7,0x999883ff,0x7fecc099,0xffdb51de,0x3fbb6a3b,0xb31deeff,
    0xdddddfff,0xdf101ffd,0x09f53335,0x907f3000,0x09ffffdd,0x027ec400,
    0x13333310,0x26666200,0x13fa0009,0x801df700,0x00efffe9,0x7fb1bf70,
    0x260076e0,0x003fe26f,0x07fc4df3,0x1002ff40,0x00133333,0x02666662,
    0xc802ff40,0xfd8801ff,0xbfdc04ff,0x74c01ff8,0x22001eff,0x0003fffd,
    0x4cc00bfd,0x7cc01999,0xf703fe26,0x05fddfdb,0x777f6fdc,0xffd8802f,
    0xffd8804f,0x77fec04f,0xeffc84ff,0x00bfccfc,0x80ffcc00,0x27f407fa,
    0x7d41bf20,0x883fa80f,0x3332e23f,0x9999930b,0x7fcc03ff,0x3a0007ff,
    0x0000003f,0x5fe80000,0x2017ee00,0x1ff72ff9,0x7f95f980,0x44040000,
    0x01101000,0x00002a20,0x88000000,0x4000000a,0x7fc801da,0x32003ff3,
    0x036e0004,0x000a8800,0x00544151,0x8a602202,0x14c02efb,0xa8005df7,
    0x0ed4001d,0x74c37f20,0x4d7fe21f,0x64c2fbbf,0xbccccccc,0x5407fe60,
    0x027f407f,0x3e631bf2,0x2a0bf907,0x3fffff20,0xffffffd5,0xfaffc80d,
    0x0370002f,0xccccb881,0x0ccccccc,0x3ccccca8,0x7fffdc00,0x801cc03c,
    0x006440c8,0x0002a8e2,0x00000000,0xec880000,0x97100cdf,0x33261799,
    0x00000bcc,0x32000000,0x001ff36f,0x00000000,0x927ec000,0x000000bf,
    0x00000000,0xef880000,0xff71fd40,0x0beefe63,0xfffffffd,0x0ffccbff,
    0x7f407fa8,0xfb37e404,0xffd10f25,0xfd9801df,0xfdb51def,0x9ff009bf,
    0x44001bfa,0xff737d41,0xffffffff,0xfff881ff,0x9801ffff,0xfffffffe,
    0x00066600,0x00000333,0x32e01eb8,0x666541cc,0x33332e22,0x0ccccccc,
    0x3333332a,0xff702ccc,0x905fffff,0x3abfffff,0x933fffff,0x79999999,
    0x7fffec41,0x33332604,0x440bcccc,0x1ffb9efd,0x666665c4,0xcca800ac,
    0xb8803ccc,0xcccccccc,0x2fb80ccc,0x664c0fea,0x0bcccccc,0x99999993,
    0x66654179,0x5e6664c2,0x99999710,0x41999999,0xccccccca,0x20fee2cc,
    0x43fee5f8,0x542fbbf9,0xeefffeed,0x407fe61d,0x27f407fa,0x3f33ff20,
    0x2b7f203f,0x7cc03ffd,0x00ff501f,0x7fd47fea,0xffd91001,0x21fff9bf,
    0xeeefffd9,0xc80ffeee,0x04ffffee,0xeaadfff8,0x7fe441ff,0x880edfff,
    0xedfffffc,0xb1bffa60,0x9fd09fff,0x9ffffea0,0x71fffff8,0xffffffff,
    0x7e41ffff,0xffffffff,0xcdfffb84,0x6cc3fffd,0xdb52deff,0x3ffa1bff,
    0x5fffffff,0x13ffffea,0xffffffe8,0x3ff65fff,0xefffffff,0xffffff70,
    0x7c409fff,0x01ffffff,0x7fffffdc,0x00ffffff,0xffffd000,0x3abfffff,
    0xffffffff,0xfffff15f,0x7ffffec1,0xffffff73,0x41ffffff,0xfffffffc,
    0x30bf24ff,0xa7fccbf9,0x402fbbf9,0x3fe604fe,0xe80ff501,0x7ffe404f,
    0x3f203fff,0x40bbfee1,0xff501ff9,0xff1bfa00,0xfffd1009,0x03ffffff,
    0x3fea0df9,0x3fffe600,0x20ffd407,0x7ff40ff8,0x83ffffff,0xfffffffe,
    0x9bffee3f,0xf84ffff9,0xfffb105f,0x24fffd85,0xeeefffd9,0x320ffeee,
    0xffeeeeff,0x077fcc3f,0xf303ffa6,0x51fea03f,0xddfffddb,0xffcca83b,
    0x3fbb6a04,0x3a1deeff,0xffffffff,0xdffb30ff,0x0bffffdd,0x7ffff764,
    0x7ffecc04,0xffeeeeee,0xdb500000,0x3bddfffd,0x3fffbb6a,0x3fb21dee,
    0x3fb6a4ff,0xfffb31df,0xffdddddd,0x7777fe41,0x3f63fffe,0x8bfffd30,
    0xbbfbdffc,0x027f402f,0x3ea03ff3,0x2027f407,0x3ffeeffc,0xc88ffe20,
    0x1ff984ff,0xf300ff50,0xffd555bf,0xbeffe880,0x906fffc9,0x0ff318df,
    0x2ffaffc8,0x1541bf60,0x2a6b3fea,0x7fd43ffd,0x3ffda9ac,0x32637f54,
    0x2ffc44ff,0xfb0ffee0,0x41bf203f,0x17f20ffa,0xfe81dff1,0x8bff100f,
    0xff501ff9,0x2004fe80,0x3fa004fe,0x56ffcc04,0x7c40aefd,0x1ffecc2f,
    0x1ffffe60,0xfa837e40,0x8dffd30f,0x7404fffd,0x09fd004f,0x41ffff88,
    0x6fc80ffa,0x7e41ff50,0xd077fc45,0x2fce7ecf,0x5dffffe4,0x027f402f,
    0x3ea03ff3,0x2027f407,0x44ffa6fc,0x21dff982,0x7fcc6fe9,0x900ff501,
    0xffffffff,0x17fe405f,0x07fffff3,0xc97ecdf9,0xfea7fc03,0x8013fa06,
    0x75c0affb,0x2057fdc1,0x06fc81eb,0x6ff989fb,0xf51ffd80,0x237e409f,
    0x5fc8ff31,0x3e20fff4,0x23fe402f,0xff501ff9,0x2004fe80,0x3fa004fe,
    0xf93ff804,0x40bfe20d,0x3f200ffe,0xc802ffaf,0x27f98c6f,0x3e66fffb,
    0x7f404fff,0x809fd004,0x546ffff8,0x46fc80ff,0x5fc8ff31,0x5fa0fff4,
    0x4417e4f8,0x02fbbfda,0xff1027f4,0xd01ff207,0x26fc809f,0x107f90c9,
    0x7ec19ffd,0x5407fe62,0xffff807f,0x06ffffff,0xfff99bfa,0xffc85fea,
    0x5003ffcc,0x07fea3ff,0x88007fdc,0x1bdeffff,0xbdffff10,0x837e4037,
    0x3ffd44fd,0x7c77fc40,0xb37e406f,0x9f70f25f,0x7cc1ffec,0x07fcc00f,
    0x3ea03ff3,0x0027f407,0x7f4009fd,0xfb3ff804,0x40bfe20b,0x3fe02ff9,
    0xf900dfd4,0x43c97ecd,0x7e4c6fea,0x027f404f,0x7c404fe8,0x3ea4ffdf,
    0x366fc80f,0x4fb8792f,0x5fa0fff6,0x3017e3fa,0xe805f77f,0x43ff404f,
    0x7f405ff8,0xd037e404,0x77fd409f,0x7fcc9f51,0xa80ff501,0x3ff501ff,
    0x3e25ff10,0x90df92ff,0x07ffffff,0x9ff1bfa0,0x4cb7fe20,0x7f540feb,
    0x504fffff,0x9ffffffd,0x7ec1bf20,0x007ffdc4,0x0fffffd4,0x3f33ff20,
    0xff70403f,0x201fee09,0x3fe61ff8,0xe80ff501,0x13fa004f,0xb104fe80,
    0xffffffff,0x02ff885d,0x7fd40ffe,0xc803ff51,0x03ffccff,0x4fd837e4,
    0xe8027f40,0x57fc404f,0x1ff51ffd,0xff99ff90,0x3fee0807,0x577cfd04,
    0x5fcc05f8,0x27f402fb,0x26fbfee0,0x5442ffeb,0xaaadfeaa,0x2abff6a0,
    0x04feaaaa,0x1fffffc8,0x7d407fe6,0x2bffaa07,0x16ffdcc0,0x7ff467fc,
    0x3f217fa2,0x803ffeef,0xeaaadff9,0x3fff607f,0x300fffff,0x09fffb95,
    0x7ffee54c,0xfb06fc84,0x01fffb89,0x009fffb0,0x7ffffff9,0x81bfe600,
    0x7cc00ffa,0x407fe61f,0x27f407fa,0x4009fd00,0xfff504fe,0x9fffffff,
    0x3a02ff88,0xf8dfd04f,0x7ffe404f,0x7e403fff,0xe809fb06,0x09fd004f,
    0xff8aff88,0xf901ff56,0x007fffff,0xfd81bfe6,0x1fffff70,0x17ddfcc0,
    0x32013fa0,0x4fffffff,0xffffffe8,0xfff74fff,0xffffffff,0x3fea009f,
    0x81ffc41d,0xfff507fb,0x7ffc4fff,0x7ff41fff,0x3fee3ffe,0x3fa6fc83,
    0x3ff20513,0x2fffffff,0x3ffffea0,0xd807f42d,0xd807f46f,0x887fb86f,
    0x7ffe44fe,0x0dff1001,0x3fbbff20,0xfff8803f,0x007fe200,0x1ff98ff5,
    0xfe80ff50,0x3aaaa604,0x201aaadf,0x3f6a04fe,0x0beffcdf,0xfd017fc4,
    0x55bff309,0xfc80ffd5,0x403ffeef,0x09fb06fc,0xfd004fe8,0x72ff8809,
    0x01ff57ff,0x7ffddff9,0x01fff100,0xdd910fdc,0x5dfcc01b,0x027f402f,
    0x0cfffe98,0xffffff70,0x3fa65dff,0xffffffff,0xc835c4ff,0x10dfd02f,
    0x3fa60bfd,0x7fec4fff,0x7fcc0eff,0xffeb9cff,0x266fc80e,0xff07f90c,
    0xffffffff,0x1efe880d,0x89aeff88,0x3e25feb9,0xeb989aef,0x8bffa85f,
    0x21efffc9,0x74007ffa,0x4df9004f,0x360513fe,0xf13a22ff,0x46fe80bf,
    0xff703ff8,0xf504fe80,0xffffffff,0x13fa01ff,0x3fe1ff50,0x405ff103,
    0xfffc83ff,0x02ffffff,0x13fe9bf2,0x360df905,0x027f404f,0x7c404fe8,
    0x3efffa2f,0x3a6fc80f,0x3f60513f,0xfa93a22f,0x2fe60003,0x27f402fb,
    0x8003be00,0xc80005fa,0xe80fd81f,0x7dff701f,0x003ffd53,0x4413e200,
    0xffffffff,0x0df900ef,0x3fea27f4,0x803ff501,0xfff104fe,0x3fffffff,
    0x7fffffc4,0xf881ffff,0xffffffff,0x00ff60ff,0x32009fd0,0x7e43266f,
    0x2a27fe43,0x81ffdc7f,0x6fe82ffc,0x7405fe88,0xfffd104f,0x0bffffff,
    0x3ea027f4,0x102ff88f,0x3fe605ff,0xffffff81,0x3206ffff,0x7e43266f,
    0x7443fdc3,0x027f404f,0x7c404fe8,0x3fffe62f,0x266fc80f,0xfc87f90c,
    0xf13fd44f,0x5fcc000d,0x555442fb,0x00aaadfe,0x4015cf74,0x000c9cf9,
    0x6c5b7f90,0x5ffeeeef,0x7ffffec0,0x200004ff,0x7f45cdf8,0xceffffef,
    0x55ffb500,0x49fd5555,0x4c0affea,0x3602dffb,0x3fbb604f,0xd82effff,
    0xefffffee,0x3fffe602,0x005ffedf,0x2009fd00,0x93fa06fc,0xffa85ffa,
    0x4d6ffec0,0xf705ffda,0xffd537df,0x004fe803,0xfe800bf3,0xf8bfdc04,
    0x05ff102f,0xff50dff3,0x407fea03,0x13fa06fc,0xf9317ff5,0x7f403dff,
    0x809fd004,0x7fe42ff8,0x06fc80ff,0x5ffa93fa,0x3ee0ffa8,0x2207661d,
    0xdfcdfdcc,0xfffffd0c,0xa809ffff,0xfb003fff,0x220001ff,0x3ff62ffe,
    0x800dffff,0x02fffffb,0x5ffb8000,0x0a88ffea,0x7ffffdc0,0x4fffffff,
    0x4ffffff5,0x1ffffff8,0x22001930,0x310009a9,0x54c00135,0x44000009,
    0x0aadfeaa,0x555ffb50,0x229fd555,0xaaaabfff,0x7f440ffc,0x0dffffff,
    0x3fffff60,0xaaa884ff,0x00aaadfe,0x10193bf1,0x55bfd555,0xf37fb815,
    0x33fea03f,0x1fffdcaa,0x2057ff54,0x542dffb9,0xaaaaaffd,0x7fc44fea,
    0xffffffff,0xfd55510f,0x2a21555b,0xaaadfeaa,0x2b3fee20,0x503fffa0,
    0x55555ffb,0x3fe29fd5,0xfcaaaabf,0x777fec0f,0xfff981ff,0x71fffeef,
    0xffffffff,0x0351005d,0x0000a980,0x40000008,0x000000a9,0x001e4408,
    0xfffffe98,0x34ffffff,0xd89ffffd,0x000effff,0x00000000,0xf0000000,
    0xdfffffff,0xffffff70,0x29ffffff,0xfffffff8,0xf700ffff,0x2007ffff,
    0x02fffffb,0xfffffffd,0x7fec09ff,0xffffe80f,0x544fffff,0x701ff15f,
    0xffffffff,0xfffa87ff,0x3ffe27ff,0xfff71fff,0xffffffff,0xffff309f,
    0x74bffdbf,0xffffffff,0xfffffd4f,0x7dc9ffff,0x3e65ffff,0x3ffee0ff,
    0xffffffff,0xfffff14f,0x81ffffff,0x01befdb8,0x09986662,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffff2,0xfffe983f,0xffffffff,0xffffff14,0x801fffff,0x530000a9,
    0xffffb801,0x402effff,0xfff700a9,0x05dfffff,0xe9804413,0xbdefffff,
    0xffffe980,0x77fffec4,0xfffffd30,0x09ffffff,0x2e004d4c,0xffffffff,
    0xfffff72e,0x74c5dfff,0x7e43ffff,0x3fffa60f,0xffffffff,0xffffff14,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04020000,0x00000000,0x26288000,0x00131001,0x01008000,0x00004020,
    0x00000000,0x0007b500,0x0cc00288,0x1db80000,0x00001008,0x00066000,
    0x00510000,0x004c0000,0x98000000,0x00066001,0x00000000,0x0040004c,
    0x4c000100,0x4000a001,0x33300198,0x07e607d4,0x003dfeb8,0x107bfb71,
    0x01f5419f,0x27d47f44,0x3fafffaa,0x1bd01eff,0x3ea0274c,0x2a00fcc0,
    0x100fcc0f,0x803fa89f,0xb5000de9,0x2001bdfd,0x0003daea,0xd8801fd1,
    0xffbdffff,0x3fb2205f,0x887ff52c,0x2017c41f,0x81b621ed,0xffdbfffc,
    0x3ea00dff,0xc800fdc3,0x42fa803f,0x2fd800fc,0x01bd3000,0x0027dc00,
    0xd88007f9,0x2e00cefe,0x20002dfd,0x7dc003fc,0x03fc8003,0x3004fb80,
    0x3a6001df,0xffebffff,0x44dff11e,0x20dd31df,0x4fffffe8,0x7ffffe40,
    0xdaefc81f,0x7f4400ef,0x7e40efaa,0xffffffff,0xcaffb81f,0x6fc401ff,
    0xf100dd31,0x201ba63b,0x0efdaefd,0x1ffffe40,0x3fffff60,0x32d802ff,
    0x3ff5000d,0xfffffa80,0x0fffffff,0xffffffb8,0xee80ffff,0xa801fb32,
    0x02ffbbff,0xfffffff1,0x205fffff,0x5feadfe8,0x2013fa00,0x5feadfe8,
    0x009fd100,0x03ffffc8,0x000dfd80,0x54017f62,0x1fffffff,0xffffffd8,
    0x13f62000,0xefffe980,0xfefe9801,0x0bfb000e,0x401ffa80,0xfffffffb,
    0x3fe4ffff,0x77fffd45,0xf9dffb01,0x3ff605ff,0x2a05cbdf,0xfd004ffe,
    0x9101df33,0xf735dfff,0x3ffa609f,0xfff5000d,0x3ea003df,0x5001efff,
    0xfb009fff,0x209fd31b,0xfdbdfffa,0x575400ff,0x77cc003e,0x5fffc400,
    0xcffffca9,0xcdfffb81,0x301ffffe,0x007ffffd,0x003bff62,0x37ffff93,
    0x401fff95,0x4003fffb,0x3f2004fe,0xfc8002ff,0x31bfb003,0x7ec009fd,
    0x13f20004,0xd7bfff10,0x7fdc1dff,0x004ffecf,0xf9800ffa,0x403ff73f,
    0x1ff72ff9,0x0003fd80,0x3e601fd3,0xffeb9cff,0x13fa0aef,0xff100dcc,
    0xfd87fd89,0x1c88005f,0x01c46e00,0x3f217fe6,0x80016406,0x730001b9,
    0x03910003,0x40ae0ae0,0x7fd40cf9,0x002da802,0xffb00388,0x01fff303,
    0xfd81dff3,0x15cc00ff,0x2003b800,0xf981fff8,0x0064c05f,0x20027f40,
    0x2a0000c9,0x57057001,0x00015400,0x3fee014c,0xfd17fdc1,0x001ffb8b,
    0x0c880037,0x19300644,0x0d400c88,0x402e2000,0xffd80ffe,0x0603fd84,
    0xfa83ff90,0x017fea1f,0x4000ccc0,0x03ff3001,0x4cc40ff7,0x80000000,
    0x03100018,0x00133100,0x0003ff80,0x004cc400,0xffc817fe,0x5c0ffe80,
    0x2204ffff,0x00000099,0x640bff10,0x0001807f,0x4c4009fd,0x4cc40009,
    0x00000000,0x64000000,0x13ff886f,0x0bff05ff,0x00098098,0x20001331,
    0x00030001,0x417fe006,0x2fc84ffa,0x1efffedc,0x7fc437ec,0x1001bfa3,
    0xdbfffff9,0x3fff6e01,0x07fe603d,0x3faa1fee,0x20dcdfff,0x7ec6ffe9,
    0x3f6204ff,0x4402efff,0x02effffd,0x6fffff54,0x3ea000dc,0x1bffa62f,
    0x5409fffb,0xdcdffffe,0xf701ffc0,0x42ff881f,0x47fdeff9,0xeffffec8,
    0x8dffd303,0xf104fffd,0x07fdc07f,0x1efffedc,0xffcccc98,0x221bccce,
    0x3effffec,0x3fffb220,0xffd303ef,0x44fffd8d,0x7ec6ffe9,0x7ff4c4ff,
    0x227ffec6,0x7fcc0ffb,0xf901ff52,0xdfffb50f,0x209fff51,0xeffffec8,
    0xfffdb803,0x7fedc03d,0x7edc03df,0xff883dff,0x2e13fe02,0x3ffff61f,
    0x27fc4fff,0x7ff15fd8,0x7405bdb5,0xffffffff,0xfffffd83,0x3ff304ff,
    0xffd8ff70,0x2fffffff,0xf99bffee,0xff504fff,0x0bffffff,0x3fffffea,
    0xfffb05ff,0x05ffffff,0x46ffdcb8,0x3e66fffb,0xffb04fff,0x5fffffff,
    0x3fa06fe8,0x107fcc0f,0x1ff53ffd,0x7fffffe4,0xfffb83ff,0x13fffe66,
    0xfd037fc4,0xfffffb0d,0xfffd09ff,0xffffffff,0x7ffffe4b,0xff903fff,
    0x07ffffff,0x7ccdfff7,0x7fdc4fff,0x3fffe66f,0x337ffdc4,0xf989ffff,
    0xffeb9aef,0xf885ff30,0x7fffc0ff,0xffffffff,0xfffffc85,0x3f603fff,
    0x04ffffff,0xfffffffb,0x3ffff609,0x5ff84fff,0xf309ff30,0x26ffff61,
    0x3fe5ffda,0x3e6df903,0x4fffffef,0xa9acffa8,0x7fec3ffd,0x5ffda9bf,
    0xfb81ff98,0x273fff27,0x542fffca,0x7fe4c6fe,0xacfff984,0x4c3ffeb9,
    0xeb9acfff,0x7ffe43ff,0x2fffca9c,0x3ffffea0,0x4c6fea81,0xffc84ffc,
    0xfffca9cf,0x30effe42,0xfb81fffb,0xf897fec7,0x2af3662f,0xd507fea9,
    0x4ffc98df,0x43bfff10,0x7ec4ffd9,0xffda9bff,0x7f776d45,0x22deeeff,
    0xea9abcd9,0x579b307f,0x2a0ffd53,0x7fe4c6fe,0x4c6fea84,0xfea84ffc,
    0x427fe4c6,0xfffffffb,0xfb077fc2,0x9bdb83ff,0xfdaefffb,0x55e6cc1f,
    0xfb07fea9,0xffb537ff,0x9bfffd8b,0x7ec5ffda,0xffda9bff,0x6c07ff45,
    0x7fd404ff,0x3e3ff904,0x2adf903f,0xffdfffff,0x057fdc3f,0x4ffa87ae,
    0x5c43ff90,0xbfdc1bff,0xff305ff8,0x360df905,0x02ffd84f,0x7fec1ffd,
    0x221ffd02,0x5ff305ff,0x7fffec40,0x360df904,0x82ffc44f,0xffd82ff9,
    0xfffffeef,0xfc8ffd40,0x807fe64f,0x201ff518,0x09fb06fc,0x3bffffe2,
    0x7d46fffe,0x03ff904f,0x44004fe8,0x1001ff51,0x6403fea3,0x209fb06f,
    0x09fb06fc,0x27ec1bf2,0x7fffffd4,0x67ffdc1f,0x202fffff,0xf11ffe88,
    0xf51880bf,0x04ffa81f,0x3fea3ff9,0x2a3ff904,0x3ff904ff,0x5ce7ffcc,
    0x6404fffe,0x7ff100ff,0xafec0ffe,0xd10dfff9,0xffff88ff,0xffc81bde,
    0x747ff100,0x7dc7ffff,0x6405ff57,0xb06fc80d,0x99dff09f,0x5ffb9999,
    0x666677fc,0xf52ffdcc,0x006e405f,0xc83ffe98,0xa89fb06f,0x037202ff,
    0x3fffff62,0x7cc0ffef,0x546ffabf,0xfffea87f,0xf900ffff,0x4413f60d,
    0xfffffeff,0x07fe40df,0x7403ff88,0xffea804f,0x500fffff,0xfffffffd,
    0x6c1bf201,0x20df904f,0x0df904fd,0xfff313f6,0x81fffd7b,0xfefffffd,
    0x7ffecc0f,0xfecccfff,0xffffea87,0x7fe40fff,0x327ff100,0x7ff100ff,
    0x7c403ff2,0x7fffe43f,0x404fffff,0xafec04fe,0x29ff06fd,0x7dc0fff8,
    0x7fff541f,0x27f44fff,0xffc97f60,0xbbfdc4ff,0x3f20007f,0xf889fb06,
    0xffffffff,0xfff14fff,0xffffffff,0x001fee9f,0x6437f400,0xb89fb06f,
    0xb980007f,0x0ffa8bcc,0x0fffeff8,0x3ff237f4,0x0fffffff,0x3f60df90,
    0x715ff104,0x3fa037b9,0x202fec04,0x7fe404fe,0x0fffffff,0xffffffc8,
    0xdf900fff,0x7e413f60,0x3209fb06,0xc89fb06f,0x1ffd41ff,0x7ed6fed4,
    0x7ffffe47,0xffffffff,0x3ffff20f,0x740fffff,0xeafec04f,0xeafec04f,
    0x42fec04f,0xecfffffa,0x037ec04f,0x3fee9ff1,0xff1ffcc0,0x205ff109,
    0x4fffdca9,0xff881bf6,0xbb7dc004,0xf90000ff,0x3e13f60d,0xeeeeeeff,
    0x3ffe3eee,0xeeeeeeee,0x001ff73e,0x90ff7000,0x713f60df,0x000001ff,
    0x3ee03fea,0x7fe41fff,0x2b7ffee2,0x900ffdaa,0x413f60df,0x6c002ff8,
    0x13fe206f,0x7dc09fd0,0xfdaaadff,0x6fffdc0f,0x00ffdaaa,0x13f60df9,
    0x4fd837e4,0x3f60df90,0xfe82ff44,0x25ffa805,0xeaaceff9,0xeeeeeeff,
    0x55bfff70,0xfd81ffb5,0x6d3fe206,0x53fe206f,0x3fe206fd,0x7426a204,
    0x17fdc04f,0xff32ffb8,0x360ffc87,0x0ffdc0ff,0x9bf601fd,0xff702ffb,
    0x35fe8005,0x81a809ff,0x4fe887fb,0x4000ffe8,0x26000ffe,0x00d404ff,
    0x3ee1bf60,0x4c4fe887,0x00d404ff,0xf807fd40,0xfda9aeff,0x4077ec4f,
    0xff700ffb,0x2209fd10,0x7dc002ff,0x05ff702f,0x3f603fd8,0x40ffb80e,
    0xffb80efd,0xd10ff700,0x21fee09f,0xff704fe8,0xfd89fd10,0x9809fd05,
    0x3fea1ffe,0x2007ff40,0xffb80efd,0xb817fdc0,0x05ff72ff,0x7fdcbfee,
    0x005ff702,0x22017fcc,0xeb8adfff,0x67ff46ff,0x7cc5ffc9,0x7ffb9adf,
    0x226bbfe2,0x3e25feb9,0xfeb8adff,0xdba9806f,0x33ffa3ff,0x6fea9889,
    0xc98bffa8,0x7cc1efff,0xca989bef,0x3bfe61ed,0xedca989b,0x2273ffa1,
    0x226fea98,0xdb999ade,0xbffa84ff,0x1efffc98,0x444e7ff4,0x2006fea9,
    0x40affca8,0xfffffffb,0x77e40dff,0xfffeb98a,0x8bffa81b,0x81efffc9,
    0x000acffa,0x715bfff1,0x7100dffd,0x4577e401,0x1bfffeb9,0x2e62bbf2,
    0xa81bfffe,0xffc98bff,0xbffa81ef,0x1efffc98,0xc98bffa8,0x3ee1efff,
    0xffda9acf,0x3fae6aa2,0x6ffc42ff,0x9dfffd99,0x3bf24eb9,0xfffeb98a,
    0x37ffe21b,0x26ffeb8a,0xb8adfff8,0x3fe26ffe,0xffeb8adf,0x32aaa206,
    0xe8800ffe,0xefffffff,0x7ffffc40,0xfffb80ef,0x3e22ffff,0xffffffff,
    0x7fff441f,0x400effff,0x45fffffc,0xfffffff8,0xff883fff,0xffffffff,
    0x7fffdc0f,0x43ffffff,0xfffffffb,0x3fe23fff,0xffffffff,0x3ffffe23,
    0x880effff,0xffffffff,0x3fe20fff,0xffffffff,0xffff3003,0x3fe61fff,
    0x3ffffdbe,0xffffff10,0x81ffffff,0xfffffff8,0x3fe0ffff,0x001fffff,
    0xffffffd1,0xaaa881df,0xaaaaaaaa,0xffffff10,0x21ffffff,0xfffffff8,
    0x440fffff,0xffffffff,0x7fc40fff,0xffffffff,0x7fffc40f,0x0fffffff,
    0xffffffd1,0x7fffccbf,0xff903fff,0xffffffff,0x7fc4ffff,0xffffffff,
    0x3ffa20ff,0x40efffff,0xffffffe8,0x7ff440ef,0x00efffff,0xfffffff7,
    0x7fec4005,0x3a604eff,0x2e00efff,0xd82ffffe,0xefffffee,0xffffb102,
    0x3fee009d,0xfc880bef,0x03efffff,0x37ffffe6,0xfd305ffe,0x07bfffff,
    0x3fffffa6,0xffc883df,0xa83effff,0x4ffffffe,0x7ffffcc0,0xc885ffed,
    0x3effffff,0x3fffe600,0x83ff26ff,0xfda800a8,0xfffdefff,0xfffff305,
    0xfe8bffdb,0x001fffff,0x3bffff62,0xfffffd04,0x4bffffff,0xdeffffda,
    0x7ed45fff,0xfffdefff,0xfffff305,0x260bffdb,0xfedfffff,0xffff305f,
    0x90bffdbf,0xd09fffff,0x801bffff,0xdedffffc,0x541dffff,0xfdeffffd,
    0xffd885ff,0x36204eff,0x204effff,0x4effffd8,0x7ffffd40,0x2a20001d,
    0x00262000,0x31001a88,0x54400135,0x00988000,0x03355310,0x0004d4c0,
    0x000cd4c4,0x20033531,0x8019aa98,0x40009a98,0x440009a9,0x00019aa9,
    0xb3026666,0x35100003,0x26a60001,0x33331000,0x00a88000,0x7fffffe4,
    0x883fffff,0x5440009a,0x35300009,0x13530001,0x01353000,0x4400a880,
    0x0a98001a,0x9a8801a8,0x01510000,0x4000a880,0x4cc000a8,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03300000,0x88004c00,0x00080001,
    0x2000ee44,0x41a80008,0x260d4019,0x51054401,0x04cc4001,0x100e5400,
    0x99999999,0x98350599,0x00011001,0x5c000013,0x5dc404cc,0x02c98001,
    0x5c000000,0x000ee4cc,0x00000660,0x00260000,0x00000000,0x0164c000,
    0x00000000,0x00000000,0xc8800220,0x1ccccccc,0x0004fb80,0x3ee007f9,
    0x0ff20004,0x00fabe80,0x0e47ff90,0x7fc4ff50,0x7c4ff500,0xc93f600f,
    0xffea805f,0x800dcdff,0x3fe206ff,0xffffffff,0xff13fd44,0x9ffe4401,
    0x17ec01c8,0x7ffd4000,0x3ffee00f,0xd501fdbe,0x2007ffff,0x9adefdb8,
    0xfff5000b,0x203ff31f,0x40cdfec9,0x2e62e24d,0xf100cdfe,0x801f5419,
    0xeda803fc,0x5cc01def,0x0b9beffd,0x0003db10,0xf8801ffb,0x9511fd44,
    0xb730003d,0x6440000f,0x8800cdfe,0x03913ffc,0x3fffffe2,0x2fec07ff,
    0x027ec400,0x80037f20,0x00efefe9,0x9005b3c4,0x3ffffb9f,0x1ba2fc40,
    0x03745f88,0x03fa8bee,0x7fffffec,0xfe802fff,0x3bbfe205,0x44ffeeee,
    0x203745f8,0xffffdcfc,0x027f4401,0x07ff6400,0x3ffffee0,0xfdffd00d,
    0xffa803ff,0x3fffffff,0x1ffd9100,0x3fee03ee,0x3e2fffff,0x3fffff64,
    0xf902ffff,0x803df95f,0x74c04fd8,0x3fffffff,0xffffff50,0xff707fff,
    0xfc8009ff,0xb5df9006,0x7ffe41df,0x7fff8001,0xfff70000,0xc805ffff,
    0x1ffffdcf,0xddddff10,0x1fec07dd,0x002fe800,0x2600df70,0x01ff72ff,
    0x1007bce8,0x000eed43,0x00000000,0x39fff900,0x005fff95,0x203fa006,
    0x00002ff9,0x01dea862,0x8000ff20,0x04cffdca,0x5ffdfff5,0x7447fea0,
    0x3ffea04f,0x4fffecbd,0xb87fd400,0xcdfffb84,0x1fabfffd,0x3337fffa,
    0xd302ffff,0xfd0019ff,0xbfff7007,0xb83fffb9,0xfdccefff,0x4f7dc4ff,
    0x0c006fd8,0x13ffea00,0x4000fdc4,0x70000fb0,0xffb9bfff,0xd50c407f,
    0x17fc403b,0x0000d400,0x39800037,0xc8819300,0x00e64400,0x31000180,
    0x00006000,0x20bff100,0x18802ff9,0x1ff20100,0x40009988,0x50000998,
    0x51330003,0x2a057ff9,0x01ffd0ad,0x07fb8df9,0xf701dff3,0x2a19809f,
    0xf98688ff,0x7ff4c0df,0x417ff45f,0x3200fffa,0x4006e002,0x4ff987fa,
    0x2203bfe2,0x541d44ff,0x02662003,0x5c01c880,0x1f60001f,0x1dff3000,
    0x000ffe98,0x017fc400,0x0004cc40,0x31000188,0x00062000,0x5c001331,
    0x403dfffd,0x2effffd8,0x6fffedc0,0x46ffe983,0x7d44fffd,0x4037202f,
    0x2effffd8,0x445fe800,0x3effffec,0x3fffb220,0x000003ef,0x33ffff62,
    0x54400ffb,0xc84ff89a,0x41bfea6f,0x3fa00ffc,0xffffd883,0x3a00ffbc,
    0xdff100ff,0x7dc09fb0,0x0000003f,0x3f609f10,0xc803ff65,0x5400002f,
    0xdcdffffe,0x1fb80000,0x07d815c0,0x1ffd03a8,0xe997fe20,0x7ffec6ff,
    0xcabff884,0xffd9102b,0xb1007dff,0x805dffff,0x2effffd8,0x7fffec40,
    0xffd9102e,0xfd807dff,0x04ffffff,0xfffffff5,0x3fff60bf,0x7dc4ffff,
    0x3ffe66ff,0x003fdc4f,0xffffff50,0x7cc00bff,0x7fffe42f,0xf903ffff,
    0x7fffffff,0x3ffff620,0xffffa804,0x00ffffff,0xddffffd5,0xf3df90df,
    0x3fa05fff,0x2a064c05,0xffffffff,0x5ff100ff,0x2887fc80,0x3625ff80,
    0x4404ffff,0x004ffffd,0x7fc7ff10,0xfd880804,0xfd804fff,0xffffffff,
    0x3fffff22,0x7dc4ffff,0x20dfd301,0x3ff6207d,0x2017fc40,0x3ffee7fc,
    0x13fffe66,0x3fffffe2,0x7ffe40ef,0x203fffff,0xfffffffa,0xffff505f,
    0x2a0bffff,0xffffffff,0xfffffc85,0xffb03fff,0xbffb537f,0x9acfff98,
    0x7ec3ffeb,0xffda9bff,0x2637f545,0x7fdc4ffc,0xfff98000,0x3ffeb9ac,
    0xb30ff900,0xffd53579,0x26af3660,0xff507fea,0xf8809fff,0xffeaadff,
    0xfffb80ff,0x87ffffff,0xffffaefc,0x002ff885,0xaadfff88,0x300ffffe,
    0xff9801ff,0x33333220,0x6feccccc,0x13ffffea,0x9fffff50,0x3fff5000,
    0x4000bfe2,0x04fffffa,0x54e7ffe4,0x3f22fffc,0xffffffff,0x910bf224,
    0xfb301dff,0x2effb813,0x4c00ff98,0x1bfaa0ff,0xf109ff93,0xdfffffff,
    0x4d5e6cc1,0xff307fea,0xffd7359f,0xacfff987,0x4c3ffeb9,0xeb9acfff,
    0x5e6cc3ff,0xa87fea9a,0x3ff904ff,0xfe817fec,0x209ff50f,0x37e41ffc,
    0x7fcc4fd8,0x3f60d404,0x01ffd02f,0x3100bff0,0x22003fea,0x2a01ff51,
    0x6c04ffcc,0xfffa81ff,0x85fffcc0,0x640fffda,0xbfff936f,0x8001ff98,
    0xffa81ffd,0x00ff700f,0x7fcc3ff1,0xffffffff,0x7e6547ff,0xfcca804f,
    0x3fee004f,0x07fe64ff,0xffcca800,0x417fe204,0x3ff22ff9,0x1fffeccc,
    0x53fffffd,0xf8337fff,0xe9afffff,0xfb819cff,0x41ff8807,0x09fb06fc,
    0x7dc46f72,0x7d46204f,0x02ffd80f,0x7fec1ffd,0x6c1ffd02,0x1ffd02ff,
    0x0ffa8c40,0xf8807fe4,0x333bfe3f,0x2ffdcccc,0x3e201ff9,0xd837e43f,
    0x9cffe84f,0x46fea988,0xccccceff,0x4c02ffdc,0xffd502ff,0x201fffff,
    0xffffffea,0x04fe800f,0xffd02ffc,0x883ffc81,0x37e41fff,0xff31ffdc,
    0x0bff0003,0xfa807ff4,0x0ffcc00f,0xdddddff3,0x40ffdddd,0x7f4004fe,
    0x3bff6004,0x320ffcc2,0x02efffff,0xffa813fa,0xfa837202,0x887ffea4,
    0xffdaaaaa,0x54c7fc8d,0xeffcaaaa,0x2a4fffea,0x7fcc00ff,0xfd837e41,
    0x46fe8004,0xffffffea,0xcceff80f,0x2ffdcccc,0x33333bfe,0x3e2ffdcc,
    0xccccccef,0x7f542ffd,0x40ffffff,0xafec04fe,0xfffffff8,0xfd4fffff,
    0x645fd809,0x109fb06f,0xffffffff,0x7ffc47ff,0xffffffff,0x83fe404f,
    0xfffffffc,0xfffc80ff,0x00ffffff,0x3e204fe8,0x03fee02f,0x3f201ffd,
    0xd837e41f,0x0017fc5f,0xfb80bfe2,0x03ff100f,0x7fc47fa8,0xd037ec03,
    0x4fe8009f,0x4413f200,0x7fff42ff,0x3fa04fff,0x001fee04,0x1fffa84c,
    0xa97ffd40,0x7f4c07ff,0xf935fb3f,0x5007fe25,0x20df90ff,0xfb8004fd,
    0x3fffff27,0x7c40ffff,0xffffffff,0xfff14fff,0xffffffff,0x3fffe29f,
    0xffffffff,0x3fffff24,0x7ec0ffff,0xf93fe206,0xeeeeeeff,0x0dfb3eee,
    0x3f227fc4,0x2209fb06,0xeffffffc,0xeeefff83,0x03eeeeee,0x7fdc2ffc,
    0xffdaaadf,0x56fffdc0,0x800ffdaa,0x3fe204fe,0xb03ff203,0x07fe40ff,
    0x3fdc1bf2,0xf10017f6,0x07fe407f,0xfe80bff0,0x2607fe86,0x13fa04ff,
    0x4009fd00,0x13fa00b8,0x0bfd5551,0x3ee04fe8,0x3ea0000f,0x7fec01ff,
    0x0fddf10d,0x550f7fdc,0x0bff27cc,0x6fc86fe8,0x70009fb0,0x37ffeeff,
    0x80ffdaaa,0xeeeeefff,0x3fe3eeee,0xeeeeeeef,0x3bffe3ee,0xeeeeeeee,
    0x55bfff73,0xfb81ffb5,0x45ff702f,0x2e000ffe,0x5ff702ff,0xfe887fb8,
    0x4e7d4404,0x003ffa01,0xb05ff300,0x1ff701df,0xfb80efd8,0x04fe800f,
    0xff8837fc,0x817fe40f,0x96fc86ff,0x3ea3fdcb,0xf8fa603f,0x1fff106f,
    0xc81ffdc0,0x3ffc82ff,0x7405ffb0,0x27f4004f,0x3ff20000,0xd013fa01,
    0x27fcc09f,0x3fea06a0,0x42ee801f,0x3207e9fd,0x0ff4c03f,0x3f207ff7,
    0x887fb82f,0x740084fe,0x701dfb6f,0x1ffd01ff,0x00ffe800,0x0007ff40,
    0xff701dfb,0xadfff881,0x4c6ffeb8,0xa989beff,0xfff11edc,0xdffd715b,
    0x9317ff50,0x9803dfff,0x7fcc01ff,0xdca989be,0x41ff201e,0xeb98aefc,
    0x3f21bfff,0xffeb98ae,0x27f401bf,0x26fbfee0,0x1bfffec9,0x2273ffe2,
    0x2a22ffda,0x9bff9efd,0x7ff446fe,0xffba99ad,0x26fbfee6,0x1bfffec9,
    0x26b7ff60,0x3a05ffda,0xffc9beff,0x027f405f,0x10013fa0,0x9cfff880,
    0x04ffca99,0x3fa027f4,0xea9889cf,0x0fffd46f,0x3ea005b1,0x40007e9d,
    0xffd81ffa,0x5ffda9ad,0x9317ff50,0x7cc3dfff,0xfd9999bf,0x315df93f,
    0x837fffd7,0x989beff9,0x3e61edca,0xca989bef,0x3bfe61ed,0xedca989b,
    0x7315df91,0x8837fffd,0xfffffffe,0xffffb80e,0x23ffffff,0xffffffe8,
    0xfff880ef,0xffffffff,0x09f99700,0xffffff70,0x7407ffff,0xffff105f,
    0xffffffff,0x3ffffe21,0x0fffffff,0x37faaaa6,0xffd81aaa,0xffffffff,
    0x7fffd47f,0x7e45ffff,0xfffeefff,0xfffb02ff,0x83ffffff,0xfffffffd,
    0x2207ffff,0xfffffffe,0x3ffa600d,0x40dfffff,0xadfeaaa9,0x5554c1aa,
    0x01aaadfe,0xfa80dff1,0xffffffff,0x75554c4f,0x441aaadf,0xffffffff,
    0x3ffea3ff,0x06fdaaac,0xbfffffb0,0x037f6000,0x7fffff44,0xff100dff,
    0xffffffff,0x3fffe21f,0x226fffff,0xffffffff,0x7dc0ffff,0xffffffff,
    0x7fffdc3f,0x43ffffff,0xfffffffb,0xfff13fff,0xffffffff,0xfffd881f,
    0x7f4c04ef,0x83dfffff,0x4effffd8,0x7ffffcc0,0x3605ffed,0xd3002fff,
    0x7bffffff,0x2a00fc80,0xfdeffffd,0x7fed45ff,0x5fffdeff,0x3fffffea,
    0xb80fffff,0xfdefffff,0xffe985ff,0xfea83fff,0xfffeabff,0x7ffedc03,
    0xff700dff,0xfffbdfff,0xffff700b,0x3f22007f,0xfa83ffff,0xffffffff,
    0xffff50ff,0x1fffffff,0x100fff10,0xbffffff9,0xfffffa83,0x40ffffff,
    0xffffffc8,0x7ffff43e,0x006fffff,0x03ff9331,0xaaefe880,0xffff701b,
    0xfff3007f,0x8bffdbff,0xffffffd9,0xffffda83,0x305fffde,0xbffffffd,
    0x3fffa607,0xd303dfff,0x7bffffff,0xeffffda8,0x4405fffd,0x54c4000a,
    0x02a20019,0x00135300,0x10001510,0x00003353,0x00026a20,0xd1001351,
    0xffffffff,0x1aa980bf,0x01a98800,0x0002a600,0x54c00133,0xa980001a,
    0x02a60000,0xfffffe88,0x3a25ffff,0xffffffff,0x0026205f,0x44035310,
    0xfffffffe,0x2a6205ff,0xfffd019a,0x0dffffff,0x04fff980,0x7ffffcc0,
    0x0054c05f,0x0004d4c0,0x10033531,0x22000135,0x220019a9,0x220019a9,
    0xa88019a9,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x35001008,0x000c4000,0x00000000,0x04000500,0x00198000,
    0x00000198,0x00cb8000,0x03330000,0x0000e540,0x99970000,0xfe980000,
    0x3fff626f,0x00ccca84,0x27ffec40,0x0037fff6,0x32e20088,0x2e03cccc,
    0x8802cccc,0x5cc00099,0xccc982cc,0x8000200b,0x65c40008,0x2203cccc,
    0x03cccccb,0x00013310,0x40056544,0x802ccccb,0x932ccccb,0xf981f503,
    0x3dfff701,0x206f9800,0x403efec9,0xd9804db9,0x00b9cefe,0x8001fe88,
    0x5c0003fc,0x3fff204f,0x00dffffb,0x17a60ee8,0x7c403b30,0x2199712f,
    0x100bdfdb,0xdbfffff9,0x81ffe601,0x0003dfdb,0x03fffea0,0x1ba21ed8,
    0xf99bffee,0x7fc44fff,0x7d4001ff,0x3fe27fff,0x3ff21fff,0x3bfff56f,
    0xffffff50,0xffff301f,0x3ffd009f,0xffffd800,0x27ffffc0,0x498f7f54,
    0x89ffe440,0x3ffea01c,0xf300ffff,0x01ffffff,0x3ffffb22,0x3faa003e,
    0x501dffef,0x809fffff,0xb4fffffa,0x23bf10df,0x19f106e9,0x7dc00bd3,
    0xffff700e,0x7e4c1dff,0x7e404fff,0x4fffffff,0x0017f4c0,0x03bfbfa6,
    0x8037f600,0xffffffff,0xffa805ff,0x6402ffbb,0xc8fdc05f,0xfffeafff,
    0xffe80fff,0x03ffffff,0x6fd40fb2,0x00002fdb,0x401ffd91,0x2ffbbffa,
    0xc98dfd50,0xffec84ff,0xdffb8001,0x217ff4c1,0xffdfffff,0x00006fff,
    0x013ffbb2,0x5000bff1,0xfd709ffd,0xbef883df,0x6405feff,0x1ffffdcf,
    0x00000000,0x3ffffff2,0xdfb803ff,0x207f6a21,0x04ffeec8,0xa7ff7644,
    0xfff505d9,0x83ee03df,0xdfb800fa,0x9bfff700,0x7ff4dffd,0x3ea04fff,
    0xfffdcdff,0x007fe206,0x3ee5ff30,0x13f6000f,0x33fff660,0x800ffcaa,
    0x800dffe8,0x32d406fc,0x7bfffffb,0xffa8dffb,0x3ffda9ac,0xbf104000,
    0xffa80000,0x77fec400,0xe837e400,0x03ff104f,0x221ff600,0xfeb984ff,
    0x6eaaefff,0xfd800180,0x00ffd404,0x7c07fb80,0x7644503f,0xd50c400b,
    0x00c4003b,0x20026620,0xea9abcd9,0x017dc07f,0x9fd007f6,0x3a4fe800,
    0x200dcc01,0x003ea0fb,0x1dfd00e6,0x9d71ffb8,0x7ec09fd5,0x037fc40f,
    0x93000171,0x2000c881,0x3ff2002a,0x2003ff82,0x1bf2003b,0xfff881d0,
    0x70ffdc0e,0x1eb815ff,0xffea8000,0x50cc0002,0x0ee001ff,0xfe837e40,
    0x4c3ff104,0x87ff3001,0x3f200ffd,0x36e004ff,0xb003dfff,0x05fd809f,
    0x80ff7006,0x033003ff,0xfb100000,0x2205dfff,0x3effffec,0x7fd46200,
    0xff59f100,0x03ec5bff,0xfd0013fa,0x80000ee9,0x05ea8df8,0x207fe000,
    0x9fb03ff8,0xfc827f40,0x00044004,0x00cc0000,0x9fd06fc8,0x6400cc00,
    0xffffffff,0x3ffe203f,0x223ff880,0x1bdeffff,0x5401ea80,0x1b882ffd,
    0x9ffffb10,0x10001ff7,0xe837e401,0xb7ff104f,0x801bffff,0x9ff30ffd,
    0x002ffc80,0x3ffffff6,0x9cfd804f,0xfc8ff80b,0x04fffbcf,0x3ff80ff7,
    0x7fdfffe4,0xfb100dff,0xf5009fff,0xbfffffff,0xffffff90,0x7f5407ff,
    0x00ffffff,0x64cfdcd7,0x7403f10f,0x27f4004f,0x3ffff620,0xdfffa804,
    0xff94da89,0x9fffffff,0x2ff980c4,0x7e409fb0,0x640b881e,0xfff56fff,
    0xefffb83b,0x177ff540,0xfff7fff9,0x37e401bf,0xffc84fe8,0x0dffffbf,
    0xffffff88,0x2206ffff,0x0ffe02ff,0xffffffd5,0x004fd809,0x4ffb8ff1,
    0xffffffa8,0xfc80ffff,0xbfff56ff,0x3a0df903,0xffff104f,0x05ffffff,
    0xffd9ffcc,0x0037e400,0xb537fffb,0xffd80bff,0xfa7cc5ff,0xffffffff,
    0x7c07fb84,0x7ffffc3f,0x505fffff,0x809fffff,0xb9acfff9,0x66cc3ffe,
    0x07fea9ab,0xfffffff9,0xa93601ff,0x03e8be27,0x026c53fa,0xff5013fa,
    0x54009fff,0x93effda9,0xffffffff,0x3ff6009f,0x4c09fb00,0x00acefff,
    0x3f7ffffe,0x7fc6ffff,0x7fe42fff,0x3fffe5ff,0x05ffffff,0x27f41bf2,
    0x7ffffffc,0xd7305fff,0x179999ff,0xf00ffc40,0x372a607f,0xfc884fff,
    0x74c3304f,0x109ffb16,0xfd55bfff,0xfff01fff,0xfffffbff,0xd10ff90d,
    0x3ffe209f,0xfffeaaef,0x3e7ff600,0x06fc804f,0x3209ff50,0x3ffa01ff,
    0x987542ff,0xfeaaefff,0x7c07fb87,0x7ffecc3f,0x00ffcaac,0x809ff995,
    0xffd02ffd,0xffa8c401,0x56fffdc0,0xf00ffdaa,0x37ee7d47,0x74fe8172,
    0x27f405ff,0x27fe6540,0x77fedc40,0x667fe41c,0x801fffec,0x3f603ffd,
    0x7fffd404,0xeb981eff,0xeaaeffff,0xb97fecc6,0x0dffa8ac,0x2b3fff66,
    0xf900ffca,0x2613fa0d,0xcaacfffd,0x1bf200ff,0x807fe200,0x403fa4fe,
    0x7ffd46fd,0xffffd04f,0x35dff73f,0xa81ffd81,0xeb980fff,0xeaaeffff,
    0x98bffc86,0x881dfffc,0xffa82fff,0x3fffe605,0x06fc800f,0x2201ff90,
    0xffea83ff,0xff8100df,0x703fea0e,0x83ff80ff,0x3ff82ffc,0x7c04fe80,
    0xccccccef,0x7f542ffd,0x40ffffff,0xffb80efd,0x77d47d00,0xd02ec0ff,
    0x803fe69f,0x7f4004fe,0x5f7fec04,0x24fa82b9,0x4401fffa,0x7ec04ffe,
    0xffda8804,0xff902fff,0x3fee009f,0xff36ff88,0xf05ff905,0x5ffb507f,
    0x40eff4c1,0x3ff82ffc,0x2001bf20,0x3fa01ff8,0x135dff14,0x7ccbfd73,
    0x54401cff,0x8cffe98a,0x02ffc5fd,0x7e401ffd,0xff9004ff,0xffffffff,
    0x06ff881f,0xffb01ffa,0x6d54409f,0x80aaaaff,0x2fec04fe,0x017ffff2,
    0xff987ff0,0x3d53fdc1,0x37e41ffc,0xfe804fe8,0x3fffe204,0xffffffff,
    0x3fffff24,0x7e40ffff,0xffeb98ae,0x2a5c81bf,0x03f8dd17,0xe80093fa,
    0x27f4004f,0x7fdc2f20,0xfa84c2ff,0x7f4401ff,0x04fd805f,0x06ffb980,
    0x4c005ff9,0x9fffbaff,0x6fc80ffb,0xff989fd0,0xfff34fff,0x06fc81ff,
    0x37e409fd,0x00ffc400,0x3ffe27fd,0x1fffffff,0x20007ff2,0xff71effc,
    0x7017fc4b,0x7fe401ff,0x3fff2002,0x5ffedfff,0x2e03ff88,0x3fe600ff,
    0x3fff200f,0x87ffffff,0x3fe206fd,0x27ff7ec4,0xf30ffe00,0x367fb83f,
    0x905ff14f,0x013fa0df,0xfff013fa,0xdddddddd,0x37ffee7d,0x40ffdaaa,
    0xfffffff8,0x540fffff,0xf12fc88f,0x7403f33b,0x27f4004f,0x0013fa00,
    0x20db11bf,0x4c01fffa,0xfb004fff,0x9813a209,0x06fc81ff,0xffecff80,
    0xf906fddf,0xd113fa0d,0x3625dfff,0x6fc85fff,0x7e409fd0,0x1ff88006,
    0xeed8ffe0,0x42efffff,0x107504fe,0x77c47ffd,0x80ffe25f,0x3f200ffc,
    0x4f7e4006,0xff1000aa,0x203fe409,0x75404ff9,0xffffffff,0x702ffb84,
    0xfb2885ff,0x43ff8009,0x3fdc1ff9,0x07fe69fd,0x27f41bf2,0x3a027f40,
    0x3f6000ff,0x80ffb80e,0xdeffffda,0xdf885fff,0x7d30eee9,0x04fe80dd,
    0x20027f40,0x3ea004fe,0xff507e60,0xfffa803f,0x413f6003,0xff501ffa,
    0x000df903,0xffdffffb,0x1bf209ff,0x000027f4,0x9fd06fc8,0x01037e40,
    0xff807fe2,0x017f7102,0x07fc1bf2,0x1fd037e2,0x106ff8bf,0x7e401fff,
    0x037e4006,0x107ff880,0xffd80dff,0x22000000,0xeb8adfff,0x27ec06ff,
    0xf30ffe00,0x8ffec43f,0x0ffd9dfe,0x9fd06fc8,0x9809fd00,0xa989beff,
    0x5df91edc,0x7fffd731,0x8826a203,0x033e604f,0x3a007744,0x27f4004f,
    0x8013fa00,0xa87ea1f9,0x8b621fff,0x4002fffc,0xfff704fd,0xfffb5357,
    0x2001bf20,0xff9ffffb,0x0df902ff,0x6c4013fa,0x06fc800b,0x7fd409fd,
    0x2fedb98a,0x4067fdc4,0x3e601ffb,0x7dff101f,0x003ffd95,0x71be73ee,
    0xd9337dff,0x32037fff,0x37e4006f,0x7ffdcc00,0xffeb99be,0x7fdd5442,
    0x1db8000d,0xffffe880,0x54c0efff,0xaaaefeaa,0x8b7fea01,0x3ff62ffb,
    0xffffe8ff,0xaffda83f,0x3077fa60,0x55bfd555,0xffff7035,0x27ffffff,
    0xfffffff8,0x000fffff,0x4c07677c,0xfda99bef,0xeaaa980e,0x4c1aaadf,
    0xaadfeaaa,0x75554c1a,0x401aaadf,0x2a5eaaee,0xdaaacfff,0x59fff96f,
    0x221b7555,0xaaefeaaa,0xfffff50a,0x445fffff,0xaaaffdaa,0x7ffcc00a,
    0x501fffb4,0x74c15ffb,0xfda801df,0x57fed403,0x8077fa60,0xfffffffe,
    0x7fffe42f,0x817fffa5,0x3604fccc,0xffffffff,0xfffff001,0xffffd89f,
    0x7fffffff,0x2bff6aa2,0x3ee00aaa,0x7ffc4006,0xffffffff,0x7fffcc4f,
    0x44007fff,0xfb1007fc,0xf509dfff,0xffffffff,0xfff703ff,0xffff51ff,
    0x4d7ffee3,0xf984ffff,0xff34ffff,0x3fea1fff,0xffffffff,0xfffe980f,
    0x6d43dfff,0xffdeffff,0xfea8005f,0x3ffb2604,0xff980bdf,0xffffffff,
    0xfffff30f,0x21ffffff,0xfffffffa,0x2600ffff,0x3fa1dffd,0xffffffff,
    0xffffff96,0x3fa7ffff,0xffffffff,0xfff99d15,0xffc83bff,0x7fffffff,
    0xf51fff80,0xffff30ff,0x3fffe69f,0x3fbf600f,0x3fffe603,0xfffff34f,
    0x3fffaa01,0xfea81cff,0x37ffa3ef,0x07fff600,0x7dffff70,0x64ccc001,
    0xfffb80ef,0x5fffdeff,0x3ffffff2,0x3e607fff,0xfffd8004,0x2fffffec,
    0xffffff98,0x3be6006f,0x0a88006f,0x3ffffa20,0x80dfffff,0x88dfffe9,
    0x26005ffe,0x3fffa201,0xbfffb12e,0x7fffff44,0x4405ffff,0xa88019a9,
    0x00000009,0x22004c40,0xfffffffe,0x3ffa25ff,0x5fffffff,0x3fffffa2,
    0x1005ffff,0xfffffd01,0x3f2dffff,0xffffffff,0xfffff74f,0x2205dfff,
    0xfd5009a9,0x9fffffff,0xff8dfb00,0xefffe885,0x0bfffb12,0x4403ec88,
    0xb12efffe,0x5300bfff,0x98800015,0x00151000,0x54000044,0x2a603fff,
    0xffea801a,0x04ffffff,0x26000004,0x999800aa,0xdb800099,0x0000001d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33332e20,0x6544003c,0x01b8800a,
    0x00076600,0xc8800310,0xbcca8003,0x01a83501,0x802664c0,0x542bccb9,
    0xaaaaaaaa,0x99300aaa,0x45999999,0x30bcccb8,0x30179999,0x32e2003b,
    0x9970003c,0x65400599,0x6665400c,0x66654001,0x816664c1,0xccccccb8,
    0x2e23cccc,0x32e3cccc,0x665c43cc,0x200acccc,0x5c2cccca,0x0001cccc,
    0x00000000,0xccccca80,0xcccb8803,0x100acccc,0x59999999,0x66665c40,
    0x22000acc,0xccccccca,0x3332e23c,0xcccccccc,0x99999930,0x3e601799,
    0x00ffffff,0xffeffea8,0x017ee01d,0x8005fc80,0x2effffd8,0x001ffc80,
    0xdffffffb,0x3fe67fa8,0x1fffa000,0x3fffff60,0x05000a6f,0x3ffffffe,
    0x3fff27ff,0xffffd5ff,0x00bf907f,0x001bfff2,0x13ffffea,0x401ffc80,
    0x2002ffff,0x227ffffa,0xd81fffff,0xffffffff,0x3ff26fff,0xffa9ffff,
    0x3fee1fff,0xcfffffff,0x7ffffc40,0xfffff51f,0x3f22000f,0x00007f93,
    0xf8801fa8,0x01ffffff,0x7fffffe4,0xfa83ffff,0x07ffffff,0x3fffffee,
    0x6cc04fff,0xffffffff,0x3ffee6ff,0xffffffff,0xfffffd0f,0x000bffff,
    0x8877ee00,0x7f4c1fda,0x001deeff,0xf5001bf2,0xbfffffff,0x800ffb80,
    0xfffefffc,0xdd12fcc6,0x3fffdc00,0x3fbffea0,0x5000a6ff,0x3fbbbae0,
    0x3f663eef,0xfdb52def,0x0df901bf,0x01bff660,0x3ffbb220,0x07ff2004,
    0x005ffd70,0x227ffec4,0xb505fffd,0xdddffbff,0x7feccdff,0xffff14ef,
    0xeeffd989,0xd86ffffe,0x3624eeff,0x8003ffee,0xffd5fffb,0x3600005f,
    0xfdd9004f,0xd9809fff,0xffeeefff,0x7f6c42ff,0x2603eeef,0xffeeeffd,
    0xfff505ff,0xfdddffff,0x7ffeccdf,0xffeeeeee,0xfffddb50,0x00003bdd,
    0x20985f70,0x3ffea1fd,0x2001ffff,0x3e6006fc,0xfeb9acff,0x8004c03f,
    0x000185ff,0xfffff100,0x4185fe80,0xa8014002,0x07fe607f,0xdf903fd4,
    0x006fc800,0x0004fe80,0x00bfe200,0xf913fea0,0xf5ff005f,0x6437e41f,
    0x077fe46f,0x6cc2ff88,0x03ff83ff,0x2a0037e4,0xb10dfffe,0x0005dfff,
    0x4c004fe8,0x9007ffff,0x0dfd30df,0x2aaabfee,0x85ff1019,0x7cc3ffd9,
    0x0ff98aff,0x1bf21bf2,0xfe807fd4,0x1bffa604,0xf109fffb,0x9f7ff5c9,
    0x226fc87d,0xffffd800,0xd83fffff,0x1ffd02ff,0x0bfe0000,0xfc800000,
    0x7fc07fdf,0x14002802,0x2607fa80,0x0ff501ff,0xfffffff9,0x9bf207ff,
    0x4fe80019,0x3e200000,0xffb0002f,0x2013fe63,0x20ff9df9,0x16fc86fc,
    0x4401dffb,0x1ffd02ff,0x9bfe4ff8,0xfd3005fd,0x3aa03dff,0x0001dfff,
    0xfc8009fd,0xc802ffaf,0x20ff706f,0xfffffffb,0x17fc40df,0x3f60ffe8,
    0xc83fe61f,0x8c6fc86f,0x13fa07f9,0x266fffb8,0x6b84ffff,0x53ee6fee,
    0x5ffe41f8,0x880beffe,0xffffffff,0xceff86ff,0xffdccccc,0xffffff92,
    0x7f5c9fff,0xfb1002ff,0x26009fff,0xb87fbcff,0xfffffffe,0x0a00142e,
    0xf303fd40,0x11fea03f,0xffffffff,0x3ff20dff,0x004ffffc,0xfb1013fa,
    0xf1009fff,0x3fffae5f,0x23bfe204,0xfc800efe,0x9cd9ff9b,0xe8efc83f,
    0xff8805ff,0xe85ff302,0x23fff55f,0x7ec404fe,0xf7002eff,0x80019fff,
    0x7fc004fe,0xf900dfd4,0x20dfd10d,0xfdcccffb,0x17fc45ff,0x3fe2ff98,
    0x66cffcc3,0x26fc83f9,0x740792fd,0x37f5404f,0x3613ff26,0x74570ba4,
    0x7ffffe43,0xd7306fff,0x179999ff,0xffffff88,0x94ffffff,0xffffffff,
    0x7fffec9f,0xffff5002,0x3ffa009f,0xffd87fb8,0x5fffffff,0x400a0014,
    0x3fe607fa,0x730ff501,0x79999ffd,0x3ffff201,0xd006ffff,0xfffa809f,
    0xff8804ff,0x0fffffd2,0x1fffffa8,0xff33fd00,0x7e401ffb,0xb805ffff,
    0x42ccdffc,0xdb7ec4ff,0x07ff3fff,0x0fffff22,0x3fff2200,0x2666603f,
    0x00999dfe,0x7fd47fea,0x667fe401,0x703fffec,0x11ff60ff,0x9ffc05ff,
    0x7fcc1ff9,0x3f200ffd,0x003ffccf,0xdf9009fd,0x4fe13f60,0x22e400f9,
    0xdaacfffc,0x1bf202ff,0xeeefff80,0x93eeeeee,0xffd999ff,0x7fe5c43f,
    0x3f32a002,0x3ffa804f,0xf9710ff7,0x817999bf,0xa8014002,0x07fe607f,
    0xdf903fd4,0xcfffc800,0x801ffdaa,0xcca804fe,0xff8804ff,0x1bdfff9a,
    0x04fffd80,0x3fe6ff10,0x3f200fff,0x201fffff,0xfffffff9,0x3f227f47,
    0x3edffff7,0xffffb82f,0x6440000c,0x7f42ffff,0xffffffff,0x8dfd04ff,
    0x7fe404ff,0x0fffffff,0x3ea0ff70,0x80bfe21f,0x30ff54fe,0x401fffff,
    0x3ffffffc,0x9009fd00,0x213f60df,0xbb00f33e,0xff82ffc8,0x7fff6443,
    0x3fa03dee,0x93ea000f,0x3e01fffa,0x9fd0002f,0x2e6ff880,0x017fc07f,
    0x74ca0014,0x4c0ff502,0x0ff501ff,0x320037e4,0x03ff82ff,0x74004fe8,
    0xdff8804f,0xfb004fff,0x09ffffff,0xffcaefb8,0x3f200fff,0x01fffdff,
    0x3bbbffb6,0x3ee27f43,0xaffcffaf,0xfffa82ff,0x4c0000cf,0x6c2efffd,
    0xffffffff,0xff984fff,0x07feaaad,0x7fffffe4,0xfb80efff,0xf88ff907,
    0x553fa02f,0x7ffcc0ff,0x3ff200ff,0xd003ffee,0x0df9009f,0xe97213f6,
    0xf90fe082,0xf513fa0d,0xffffffff,0x2fbfe601,0x1edca989,0x0fffd426,
    0x4000bfe0,0x7fe404fe,0xff01fee2,0x28005005,0x1fea0bf9,0xf501ff98,
    0x0037e40f,0x27f41bf2,0x20027f40,0xff8804fe,0xb0002fff,0x7fec009f,
    0x07f9ffff,0xff98ffe4,0x0bfe200f,0x7fd43ff8,0xfeff8efe,0x3ffee01f,
    0x644000cf,0x2203ffff,0x99dfe999,0xffff9009,0x405fffff,0xffc986fc,
    0x999ffb85,0x7c45ffb9,0x44ffe02f,0x4ffcc2ff,0xd37e406f,0xfe80a27f,
    0xb06fc804,0x2e1f509f,0xf35ea9cf,0xfd06fc83,0xfffec889,0x7dc03dee,
    0xffffffff,0x1fffa83f,0x0002ff80,0x7fc409fd,0xefffffff,0x5005ff01,
    0x0bf92800,0xff881fea,0x640ff703,0x37e4006f,0xfe804fe8,0x027f4004,
    0x17ffffc4,0xdfd55500,0x7fc40355,0x088ffdcc,0xa8df9075,0x3fe203ff,
    0x983ff302,0xffb4ffff,0xfc8801ff,0xf7003fff,0xd0009fff,0x3ffe009f,
    0x6fffffff,0xfd81bf20,0xfffffb87,0x7c40dfff,0x43ff302f,0x47fcc6fe,
    0xdf907508,0x03fc864c,0xff7009fd,0xf109fd10,0x4677ed4b,0x06fc86e8,
    0x37e409fd,0x3ffa6010,0xa83dffff,0xff001fff,0x13fa0005,0xffffff88,
    0xff03ffff,0x28005005,0x1bf60bf9,0xfd10dfd0,0x1037e40b,0x3fa0df90,
    0x004fe804,0x7c4027f4,0x003fffef,0x99dff997,0xf32fd405,0x641ff81f,
    0x00ffc86f,0xff305ff1,0xffff881f,0x00ffff51,0x177ffecc,0x0cffffa8,
    0x009fd000,0x3ea03ff5,0x40df901f,0x7fdc0ffb,0x102bceee,0xdff305ff,
    0x3e65ffb8,0x320ffc0f,0x413fa06f,0xffa804fe,0xefffc98b,0x100cf981,
    0x0df901dd,0xffa813fa,0x2fecb98a,0x80677e20,0x3621fffa,0x0005ff02,
    0xcc8813fa,0x2ffdcccc,0x0a00bfe0,0x37ff2500,0x03ffd99b,0x54df7fdc,
    0x3ea01ffe,0xfedb98af,0xfe837e42,0x004fe804,0x7c4027f4,0x04ffe8af,
    0x35dfd550,0x4cefed40,0xfbaabffc,0x2bbf6a2f,0x02b7fe21,0xb9559ff5,
    0x3fe05fff,0x1bffe27f,0x3fffa600,0xbfffd30d,0x4fe80003,0x057ff540,
    0x50b7fee6,0x95555dfb,0xfd98dffb,0x5400aaaf,0xfdcaacff,0xfffc81ff,
    0xbaabffdd,0x3ff6a2ff,0xfeaaaaaa,0xbfd55514,0xff101555,0xffffffff,
    0x37df301f,0x501dfb53,0xfea85ffb,0x3fffa02d,0x202fffff,0xf5029af9,
    0xfb5559ff,0x67fdd4cd,0x2aa600aa,0x1aaadfea,0x17fe5440,0x2b3feea6,
    0x400282aa,0xffffff92,0x3f6009ff,0x04ffffff,0xffffffe8,0x3ff6a2ff,
    0x216ff542,0xadfeaaa9,0x5554c1aa,0x41aaadfe,0xfd12ffb9,0x3ee035bf,
    0x82ffffff,0xfffffffa,0xffffffff,0xffffff72,0x737ffe43,0xffffffff,
    0x7ff407ff,0x002ffec4,0x3abfff50,0x00002eff,0x7fd409fb,0x3fe27fff,
    0xff71ffff,0xffffffff,0x7ffd43ff,0x2e07ffff,0xffffffff,0x3ff203ff,
    0xffffffff,0xffff72ff,0xffffffff,0x3fffffa9,0xf304ffff,0xffdbffff,
    0x7ff64c0b,0xff980bdf,0xfff74fff,0x3f6605ff,0x801dffff,0xffd06ffe,
    0xdfffffff,0x3fffffe2,0xfff507ff,0xffffffff,0x7ffff401,0xfffff13f,
    0x285fffff,0xff931400,0xb8007dff,0x002fffff,0x9fffffd5,0x7ffffcc3,
    0x3fffff73,0x3fffffe6,0xf50fffff,0xffffffff,0x7fffc1ff,0x3fffffa2,
    0xffffe980,0xffe880ef,0xfffffdcf,0xfd32ffff,0x7c41bfff,0x3ffa63ff,
    0x00cdefff,0x3ea17fec,0xeb80004f,0x00007d72,0x3a601ea8,0x7ec4ffff,
    0xfd30efff,0xdfffffff,0xfffe8819,0x3a604fff,0xbdefffff,0xffdb9800,
    0x2fffffff,0xffffffd3,0x2e9fffff,0xffffffff,0x04d4c02e,0x80131000,
    0x32efffe8,0x001dfffd,0x55000133,0x3ffffa01,0x366fffff,0x4fffffff,
    0xfffffd10,0xc80bffff,0x361effff,0xffffffff,0x5555641e,0x2aaaaaaa,
    0x80001510,0x530000a9,0x3ffa2015,0xfffd31ef,0x3fffa21d,0x25ffffff,
    0xffffffe8,0x7fec5fff,0x3fffee2f,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98599950,0x710bcccc,0xca839999,0x2e203ccc,0xccc80bbd,
    0xcccccccc,0x9999713c,0x20015799,0x0001cec9,0x40275c00,0x4cc002ea,
    0x0c022001,0x22000c00,0x00000099,0x4c04c033,0x02662000,0x666665c4,
    0x01cccccc,0x99950100,0x95007999,0x00799999,0x26379993,0x6541bccc,
    0x2a3ccccc,0x3332e21c,0xa802bccc,0x03cccccc,0x3637ff4c,0xccc84fff,
    0xcccccccc,0x03332a3c,0x4416664c,0x03cccccb,0x26379993,0x5c41cccc,
    0x0acccccc,0x333332a0,0x65c2cccc,0x666541cc,0x20e665c2,0x3e22ccca,
    0x3f60ffff,0xff73ffff,0x7fc4ffff,0xfb81ffff,0xff84ffff,0xffffffff,
    0xffff56ff,0x05ffffff,0x5fffffd8,0x22640600,0x6401fff8,0xffc8804f,
    0x880edfff,0xff50effd,0xffdb809f,0xfd9103df,0x2607dfff,0x7fec6ffe,
    0xfda89d4f,0xfffa8eff,0x7fff5404,0xffb0dcdf,0xffffffff,0x418807ff,
    0x3ffe26fa,0x202fffff,0xfffffff8,0x7fff402f,0xdffffd5f,0x7fffffc4,
    0x5cbff2ff,0xffffffff,0xfff102ff,0x405fffff,0x3e66fffb,0xfff84fff,
    0xffffffff,0x9ffff16f,0x03ffff60,0xfffffff5,0xbffffd01,0x71bffff6,
    0xffffffff,0xfff9019f,0x49ffffff,0x227ffffa,0xf51fffff,0x7fc4ffff,
    0x3fb21fff,0x3fb6a4ff,0xfffb11df,0xfffec87d,0xfefff885,0xeeeff82f,
    0x6ffeefff,0xdddffdb1,0x2605ffff,0x1ffdceff,0x37fff6e0,0x3ffe13e3,
    0x40054400,0xfffffffe,0xffffe83f,0x4fffffbf,0xffffffb0,0xffff909f,
    0xf707ffff,0x7ffccdff,0x7fc5f8cf,0xffffffff,0xfffb05ff,0x25ffffff,
    0xeeefffd9,0x883ffeee,0xfcdfffec,0x3fbb20ff,0x5c00deef,0x0deeffee,
    0x96fffd40,0x5c2effda,0x0deeffee,0x7fecc9d9,0xffffeeef,0xdffdd701,
    0xfea801bd,0x427fe546,0xfffeeeff,0x3f26ffee,0x7fc40fff,0x500004ff,
    0x36a5bfff,0x7ecc2fff,0xffffeeef,0xeeeffc86,0x3623fffe,0x7fec2fff,
    0x3fff624f,0x427ffec4,0x541ffff8,0x0ffc80ff,0x2e05ff30,0x7fc02a7f,
    0x6fc93fa3,0x3ea23fdc,0xc8df907f,0x3ffff605,0x02f9dfff,0x54000015,
    0xfda9acff,0x5e7fe43f,0xfdaeffff,0x5fffec1f,0x4c5ffda9,0xfea9abcd,
    0xa8dfd507,0x41fdeffc,0xfffb9bdb,0x641ffdae,0xfca9cfff,0x02fec2ff,
    0xffe887ff,0x1fffffff,0x0005ff10,0xc8005ff1,0x409fd06f,0x03d02ff8,
    0xffa88df9,0x017fc406,0x7ec1bf20,0x3fa3ff84,0xfff1bf24,0x6fffc87f,
    0x3f660000,0xffaaaaae,0x42ff881d,0x7e43ffd9,0x4077fc45,0x7fec3ffb,
    0xe8bff701,0xfff102ff,0x80ffa8df,0xffb03ff8,0x4007fe40,0xc93fa3ff,
    0xb83fdc6f,0x04fe80ff,0x26ffff60,0x006fffda,0x3fee0000,0x3e0f5c0a,
    0x4bffee4f,0x3fea5ff8,0x403ff904,0x201ff518,0xbffb06fc,0xffe88805,
    0x7c4bff11,0x85ff305f,0xfe8625fd,0x2fbffa22,0x206fffc9,0x00152ff8,
    0x0298bfe2,0x4fe837e4,0x320bfe20,0x2e0df904,0x17fc407f,0x6c1bf200,
    0x3a3ff84f,0xff1bf24f,0xffff8fff,0xffffd886,0x3fffe604,0xffffffff,
    0x817fc40f,0x17f20ffe,0x7ec03ffd,0x809ff51f,0x7ff93ffd,0x7feffc40,
    0x6c03fea4,0x04ff887f,0x3e00ffe6,0xfc93fa2f,0xfb83fdc5,0x006fc80f,
    0x3f209ff5,0x9998003f,0x19999999,0x6f7fffc4,0x21ff981b,0xecccfff8,
    0x403ff27f,0x7f543ff8,0x00ffffff,0x13f60df9,0xfffffd98,0x27fecccf,
    0x37202ffa,0x1ff2fec0,0x2ffc836a,0x0fffffe6,0x37f67fc4,0xf32ff880,
    0x837e407f,0x3fe204fe,0x1bf20382,0x3e2037ec,0x37e4002f,0x2ff84fd8,
    0x45fc93fa,0xf72ffeff,0xff50dfdf,0xeb809fff,0xfcccccff,0x2ff883ef,
    0x7dc5ff30,0x100fff64,0x0dff1dff,0x3ff7ffa0,0x6d7fc405,0x01ff51ff,
    0xff70bfea,0x0fffc401,0x4fe836e0,0x0ff70766,0xeca8fff1,0x3202ccff,
    0x9ff100ff,0xffffe800,0x4fffffff,0x7fffff54,0x743fdc4f,0xffffffff,
    0xfd809fd0,0x3fffff25,0xf900ffff,0x6413f60d,0xffffffff,0x70ffffff,
    0x3f6000ff,0x202ffcce,0x3ffe66fe,0xff105fea,0x22009fff,0x07ff32ff,
    0x66667fe4,0x3e204ffc,0x37e4002f,0x809ffd53,0x64002ff8,0x509fb06f,
    0xb327f41b,0x6febff83,0x20df9dfd,0x804ffcca,0xcccccffc,0xffcb84ff,
    0x27fc2ccd,0x004ffb82,0x03fffff5,0x1bfffa20,0x3e2bfe20,0x401ff56f,
    0x02ff45fe,0x2edfffd1,0x27f400ef,0x5d57fdc0,0x3e23fffe,0x2fffffff,
    0xfd809fd0,0x6c2cc985,0xffffffff,0x95304fff,0x7d49fffb,0x777ffc1f,
    0xdfb0eeee,0xfba7fc40,0xfdaaadff,0x20df900f,0xeff984fd,0xeeffeaac,
    0xff70eeee,0xfffb0001,0x3e205fff,0x25fff12f,0xfff906fc,0x7fc4005d,
    0xff900aa2,0x9fffffff,0x0017fc40,0x3ffffff2,0xff8805ff,0x43fdc002,
    0x4c404fe8,0x3e009dfe,0xffcffabf,0xfe806fca,0xffffc804,0x4c4fffff,
    0x7fffffff,0xff9827f4,0x7ffec006,0x7ffd4004,0x72ff8801,0x01ff57ff,
    0xffa8ffdc,0x3f7ff602,0x402ffecf,0xffb804fe,0x83ffffff,0xdefffeec,
    0x440dfb00,0x0ffd84ff,0x99999998,0x07f41999,0x3fe66fd8,0x003ffea4,
    0x3ee05ff7,0x701dfb2f,0x1fee01ff,0x3ea13fa2,0x007ff40f,0x35013fe6,
    0xffffffd8,0x3a33fe02,0x517fa2ff,0x2609ffff,0x205ff101,0xffffc819,
    0x204fffff,0x03302ff8,0xfffffff9,0x0bfe200b,0x5ffcc0cc,0x1efffc98,
    0xffffffd0,0x74ffe09f,0x0df96fff,0xf9009fd0,0xffffffff,0xddffdb09,
    0x884fe87d,0x44000fff,0x744006ff,0xf8805fff,0x3efffa2f,0x53fe200f,
    0x9ffc06fd,0x804ffffd,0xffb804fe,0x800cefff,0xffb804fe,0x885ff702,
    0x200003ff,0x989aeff8,0x7fec5feb,0x9dffffab,0x3fe24ec9,0xffeb8adf,
    0x262bbf26,0x81bfffeb,0xfc98bffa,0x7fc41eff,0xdfffd99d,0x7f44eb99,
    0xea9889cf,0xff2fec6f,0x7f7ff403,0xb8ffee3f,0x882fffff,0x05ff107f,
    0x0df90ff1,0xff8813fa,0xfc87f882,0x1fffcaaf,0x882ff880,0xffffd07f,
    0x01ffffff,0xffffffff,0x7dcffe0b,0x00df93ff,0xdf9009fd,0x7c413fa0,
    0x20ffe02f,0x13a22ffd,0xb0013fa0,0x809ffbff,0x3fe62ff8,0x7e400fff,
    0x2203ff9f,0xffff11ff,0x009fd001,0x22000ff7,0xff8804ff,0xffeb8adf,
    0x0006fa86,0x7ffffc40,0x4c1fffff,0xfdffffff,0x447fffff,0xfffffffe,
    0x3fffe20e,0xffffffff,0x7ffffc40,0x40ffffff,0xfffffffc,0x47ffffff,
    0xfffffff8,0x2fec3fff,0xfff98095,0xeffeb9cf,0x3febbee0,0x880ff982,
    0x0ff982ff,0x4fe837e4,0x260bfe20,0x237e40ff,0x4400fffa,0x0ff982ff,
    0xcefffd98,0x55105ffe,0x7c035bfd,0x21fff13f,0x4fe806fc,0xfd06fc80,
    0x40bfe209,0x7fe41ff9,0x7403fd44,0x3ff2004f,0x4407ffb4,0x7ffe42ff,
    0x7ffcc00f,0x6ff400ff,0x02effd99,0xfb804fe8,0x5ff50007,0x7f441730,
    0x0effffff,0x22001fd8,0x7f76c00b,0x302effff,0x3f25fffd,0xd881dfff,
    0x504effff,0xfbdffffb,0x3fe60bff,0x5ffeceff,0xdbffff90,0x03bffffb,
    0xffffff91,0x00bfb07d,0xffffff88,0x1080efff,0x1ff305ff,0xf305ff10,
    0xd06fc81f,0x17fc409f,0x3f207fcc,0x406ff986,0xff982ff8,0xfe82a200,
    0x009fd000,0x916547ff,0x09fd00df,0x3fa0df90,0x305ff104,0x7fd41fff,
    0x400ffa85,0xff5004fe,0x882ffe8b,0x3a0acffb,0xfe800fff,0xffa805ff,
    0x2fffffff,0xadfeaa98,0xaffd980a,0xffb800aa,0xfeaaaabf,0x7fffec43,
    0x0013e04e,0x4c4009f9,0x0330009a,0x54400351,0x01351000,0x0002a600,
    0x00d4054c,0x819aa988,0xaaaefea8,0x7f7ff400,0x300cefff,0x5559ff75,
    0x54c1ff95,0xaaaacffb,0x3f6a0ffc,0xbff510ae,0xcffba985,0x0ffcaaaa,
    0x706bff6a,0xba9859ff,0xcaaaacff,0x774000ff,0xeaa982b9,0xf980aadf,
    0x6d440adf,0x5554c1ff,0x41aaadfe,0x510aefda,0xff505bff,0xfffb9559,
    0x55fffc45,0x80ffcaaa,0xaadfeaa8,0x2fffa880,0x2e17ffdc,0x265fffff,
    0xfa800fff,0xff9001ff,0x01dfddff,0xffffffff,0xfffffa8b,0x7fe407ff,
    0xffffffff,0x002a203f,0x0766000e,0x00000000,0x00000000,0x00000000,
    0x3ff20000,0x205fffff,0x02a23ffa,0xffffff10,0x1fffffff,0x3fffffe2,
    0x0fffffff,0x2bfffff3,0x11fffffd,0xffffffff,0x2e1fffff,0x41ffffff,
    0xff10fffd,0xffffffff,0xa8001fff,0xfff83fff,0x545fffff,0x7c7fffff,
    0xf51fffff,0xffffffff,0x3ffea1ff,0xffffb5ff,0x7fffdc3f,0x43ffffff,
    0xfffffff8,0xff80ffff,0x86ffffff,0x51fffffc,0x4c7fffff,0x643ffffe,
    0xdff000ff,0x01a98800,0xffffffb0,0xfffe887f,0x74c04fff,0xffffffff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x20000000,0xffffffea,
    0x000f2203,0xffffffd8,0x20ffffff,0xfffffffd,0xd10fffff,0x3ee7ffff,
    0x3f60efff,0xffffffff,0xffd30fff,0xff881dff,0x3ffff60d,0xffffffff,
    0x01a88000,0xfffffffb,0xffffe887,0x77fffe44,0xfffffd10,0x744bffff,
    0xff73ffff,0x7f4c1dff,0x0cdeffff,0xffffff88,0xc80fffff,0x3fffffff,
    0x0dfffea8,0x03dfffd1,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00c40000,0xfb1bffa6,0x21db09ff,0xc89d3098,0x0044003e,
    0x000c4130,0x7fe40198,0x4fffffff,0x70015033,0xea81dfff,0xffd72eff,
    0x3ffaa3df,0x881803ef,0x47bffee0,0x202effea,0xffb100b8,0x3fffaabf,
    0x7ffec40d,0x0000004f,0xdb04e880,0x26200401,0x99999999,0x764c0999,
    0x8000000b,0x665c2aa8,0xcccccccc,0x5c7ff62c,0x806c42ff,0x009801b9,
    0xa87d70cc,0x44440cc1,0x88888888,0x44444408,0x0c088888,0x3bbbbbaa,
    0xeeeeeeee,0x0000002e,0xb1000000,0x705dffff,0x7fccdfff,0x77fc44ff,
    0x7ffdfffe,0xfc83ffea,0xbfff56ff,0x76ffec43,0x4fffccff,0xff7fff90,
    0xff901bff,0x9fffffff,0x03fd0bf2,0x42fffff8,0xfd5ffffc,0x3f27ffff,
    0x2206ffff,0xfd27d46e,0x3ff27fff,0x0ff605ff,0x47ffffcc,0x42fffffc,
    0x04fffffa,0x441cfeb8,0x2e22dfdb,0x2ffd41ec,0x7d407ff6,0xfffff300,
    0xffffffff,0x7ffffdcd,0x16ff6d41,0xa81cfdb8,0x3ffea5ff,0xffffffff,
    0x21ff91ff,0x0fcc2ffb,0x70ffff62,0xfb817ec9,0x261fff34,0x643fe27f,
    0xffffffff,0x3fffffff,0xfffffffb,0x9bfe29ff,0xfffffffe,0xffffffff,
    0x00000005,0xffa80000,0x85ffffff,0x7e4c6fea,0xffffb84f,0x222fffff,
    0x7fffc6ff,0x6fffffdf,0x3fffffe6,0x1fffffff,0xfffffff8,0xffc85fff,
    0x1fffeccc,0x2ff893f6,0x5cbff660,0x0dffa8ac,0x445fff71,0x300beffa,
    0x077dc3ff,0x2a3fffb3,0x3a00cfff,0x3ff6a04f,0x059fff11,0x013ff32a,
    0x41fd79fb,0xb1fdbdfc,0xffb03fff,0x209ffb1b,0xf980eff8,0xffffffff,
    0x3fa6ffff,0x6e45fb8a,0x7ec0fdbc,0x7e44fece,0x3bbb620f,0xeeeeeeee,
    0xffa9fee4,0xfb0ffcc0,0x3f2bffff,0xd89fb11f,0x89ffe25f,0xffd3745f,
    0xffffffff,0x36bfffff,0xffffffff,0x21fff34f,0xccccccb9,0xbccccccc,
    0x00000000,0x7fcc0000,0xffeb9acf,0xfb06fc83,0x2b3ffa09,0x30305ffd,
    0x5dffffd7,0xfffa8dd5,0xe9dffe9c,0xfffd985f,0x40ffcaac,0x3ffea4fa,
    0x3e65fe81,0x23fee03f,0x5ff36ff8,0xfa83ff70,0x87fea02f,0xff700efc,
    0x305fff9f,0x5d53fa37,0x7cc7fd40,0x3fa001ef,0x7f31ec04,0xf70fe608,
    0x3ffff603,0xfffd104f,0x4ccccc0b,0x6fd99999,0x40fe8bf3,0x2a3fbca8,
    0xff07e42f,0xfa800009,0x9991fe26,0x22bfea9f,0x85fffffe,0x107fb3fc,
    0x2aa20005,0xaaaaaaaa,0x110aaaaa,0x11111111,0x0001f641,0x00000000,
    0xffb00000,0x903ffa05,0x213f60df,0x3fe43ff8,0x27ffe400,0x3f65fe80,
    0x7e41fee6,0x983ff82f,0x203fff50,0xff30efe8,0x2ebfe609,0x0ffb9fff,
    0x7f45ff88,0x44bfee06,0x7d400efd,0xfd01ffff,0xffffffff,0xffdffa89,
    0x04fe8006,0x2e07f620,0x0fdc0ffe,0x409fffb0,0x04ffeffd,0xf8b7e400,
    0x3ff63fc6,0x21f23fff,0x01ff33f8,0x45f98000,0x8fffec7f,0x7ffe42c8,
    0x00d46a05,0x00000000,0x00000000,0x00000000,0x77fc0000,0xfdcccccc,
    0xd837e42f,0x40ffa84f,0x64001ffa,0x3fa002ff,0x7fb97f64,0x3fa0df90,
    0x07ffea04,0x2a1dff10,0xd9ff05ff,0x0dfbbfff,0xffa8ffe4,0x225ffb02,
    0xfb000ffe,0x7fdc09ff,0x1fffffff,0x7fffffd4,0x027f4004,0xb502fe98,
    0x01fb83ff,0x6417fff6,0x05ffb4ff,0xfb37e400,0x7d49fb5b,0x7cc7f30a,
    0x4fb87dc2,0xfffffd88,0x0dffffff,0x885f89f1,0x0373000a,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfffffff8,0x644fffff,0x309fb06f,
    0x07fc85ff,0x4006fc80,0xb97f64fe,0x20df907f,0xfff504fe,0x25ffb003,
    0xfb01efe8,0xffffdfff,0xeaffc409,0x3bfea06f,0x8809ff90,0x04fffffd,
    0x0effff54,0xfeaeffa8,0x13fa005f,0x2007fee0,0x80fdc5f9,0x45fffffd,
    0x3fa25ffa,0xdf90001f,0x077fff4c,0xdffb9bf5,0x7f677f45,0x3ea03f64,
    0xffffffff,0x0721ffff,0x00000057,0x00000000,0x00000000,0x00000000,
    0x80000000,0xeeeeefff,0x7dc3eeee,0xf04fe887,0x17fea5df,0x001bf200,
    0x72fec9fd,0x41bf20ff,0xfffa84fe,0xdfb0b621,0x7017fa23,0xfff3ffff,
    0xbffc805f,0x7f4403ff,0x209ff50e,0xfe8dffe8,0xfff300df,0x3fea01ff,
    0x005ffd10,0xfd8813fa,0x30cc19ae,0x057e44bf,0x7fed3ff6,0xf103bfa4,
    0x3f2000bf,0xb701ca85,0xa85dd9df,0x016c1cfd,0x99999995,0x00059999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa00000,0xffa8000f,
    0xefffc98b,0x7ffffcc1,0x6dc0efff,0x800df903,0xb97f64fe,0x20df907f,
    0x7ffd44fe,0x26fdaaac,0x7fd10dfd,0x29fff300,0x4400fffd,0x2007ffff,
    0x9fd10efc,0x226ffea8,0xfe81efff,0xc985ffbf,0xdff11bff,0xeaaa9855,
    0x2a1aaadf,0x24ffffff,0xb0efffff,0x2e9fffff,0x8ffec4ff,0x03b300da,
    0x000ba600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5f7fcc00,0x1edca989,0x7fffffc4,0xf10fffff,0xffffffff,
    0x87ffccdf,0xaaffdaa8,0xbff300aa,0x7dc7bf61,0x57fed41f,0xe877fa60,
    0xffffffff,0xee87f76f,0x47ffe001,0xf9007ffa,0xfa8007ff,0xffa97e45,
    0xfff93fff,0x97fd43ff,0x3fe20ffc,0xff70ffff,0x3ffea7ff,0xffffffff,
    0x55555510,0x440aa983,0xd10aaaaa,0x00017209,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff70,
    0xf307ffff,0xffdbffff,0x5457fc4b,0x226fb8ac,0x3fff27ff,0x87ffffff,
    0xfb7ffff9,0x5fff71ff,0x53ffffe6,0xd0fffff9,0xffffffff,0x026062df,
    0xff8dfb00,0x0fff1005,0x42a0a600,0x51efffe8,0xc81bfffd,0x7fec1e43,
    0x77ff45ff,0xfffffd11,0x000bffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff4c000,
    0x403dffff,0x088009a9,0x82a204c0,0xffffffea,0xffe884ff,0x2ebffb4f,
    0xffd10eff,0x3ff625df,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03353100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_28_latin_ext_x[560]={ 0,5,3,1,2,1,2,5,6,2,2,0,5,2,
5,2,2,2,1,1,1,1,2,1,2,2,5,4,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,6,2,3,2,-1,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-1,3,0,3,3,5,0,1,5,4,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_28_latin_ext_y[560]={ 20,3,5,3,2,4,6,4,4,4,4,5,16,11,
17,2,3,3,3,3,4,4,3,4,3,3,9,9,5,9,5,4,3,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,4,2,4,3,24,3,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,9,9,9,9,9,9,4,4,4,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,20,9,3,5,7,5,
4,4,4,5,3,9,11,11,5,1,2,2,3,3,3,9,4,10,19,3,3,9,3,3,3,9,-1,-1,-1,0,
0,-1,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,6,7,3,3,3,4,3,4,4,
1,5,-1,3,5,8,-1,3,-1,3,0,4,0,3,0,4,5,4,1,5,-1,3,0,4,5,8,0,3,-1,3,
-1,3,0,4,4,2,-1,-1,5,4,0,4,1,5,-1,3,5,4,0,9,5,4,-1,3,5,4,9,-1,-1,5,
4,5,4,5,4,5,4,-1,3,5,8,0,3,4,4,8,1,5,-1,3,-1,3,5,8,-1,3,5,8,0,3,
-1,3,-1,3,4,8,0,3,5,5,0,4,5,5,0,4,1,5,-1,3,-1,3,-1,3,5,9,-1,3,-1,3,
0,-1,3,0,4,0,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,7,4,4,4,4,4,4,4,4,4,4,4,4,4,2,8,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,0,3,0,
3,0,3,-1,1,-1,0,-1,0,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-6,-2,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_bold_28_latin_ext_w[560]={ 0,5,9,13,11,12,12,4,7,7,11,14,6,11,
5,11,11,11,12,13,12,13,12,12,11,12,5,7,15,15,15,11,11,17,15,14,14,14,14,15,15,11,15,15,
15,17,16,15,14,15,16,13,14,15,17,17,15,15,13,6,11,6,11,17,5,14,16,14,16,14,14,15,15,13,
10,15,13,17,15,13,16,16,14,13,14,15,15,16,15,15,11,7,3,7,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,14,13,15,
3,13,9,16,9,14,15,11,16,17,9,14,8,8,5,15,13,5,6,7,9,14,15,18,15,11,17,17,17,17,
17,17,17,14,14,14,14,14,11,11,11,11,15,16,15,15,15,15,15,11,15,15,15,15,15,15,14,14,14,14,
14,14,14,14,17,14,14,14,14,14,13,13,13,13,13,15,13,13,13,13,13,14,15,15,15,15,15,15,16,15,
17,14,17,14,18,15,14,14,14,14,14,14,14,14,14,18,15,16,14,14,14,14,14,14,15,14,14,14,15,15,
15,15,15,15,15,15,15,15,15,15,11,13,11,13,11,13,11,13,11,13,15,15,15,10,15,15,15,15,13,15,
13,15,13,15,13,15,13,16,15,16,15,16,15,16,14,13,15,13,15,13,15,13,17,17,16,14,16,14,16,14,
13,13,13,13,13,13,13,13,14,14,14,16,14,14,15,15,15,15,15,15,15,15,15,15,15,15,17,16,15,15,
15,13,11,13,11,13,11,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,14,13,13,13,13,13,13,13,13,13,13,13,13,13,17,16,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,14,11,13,15,
13,15,15,15,15,15,15,15,15,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,14,17,17,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_bold_28_latin_ext_h[560]={ 0,18,7,20,22,17,15,9,20,20,11,15,8,4,
4,21,18,17,17,18,16,17,18,17,18,18,12,14,15,8,15,17,20,15,15,17,15,15,15,17,15,15,16,15,
15,15,15,17,15,20,15,17,15,16,15,15,15,15,15,20,21,20,9,4,5,13,17,13,17,13,16,18,16,16,
22,16,16,12,12,13,18,18,12,13,16,12,11,11,11,17,11,20,20,20,6,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,17,18,15,12,15,
20,19,4,16,8,11,9,4,16,3,8,18,10,10,5,17,19,4,6,10,8,11,17,17,17,17,21,21,21,20,
20,21,15,21,21,21,21,20,21,21,21,20,15,20,22,22,22,21,21,10,18,22,22,22,21,21,15,17,18,18,
18,17,17,18,13,17,18,18,18,17,17,17,17,16,17,16,18,18,18,17,17,14,15,18,18,18,17,23,22,22,
19,16,21,18,19,16,22,18,22,18,21,17,21,18,20,17,15,17,19,16,21,18,20,17,19,16,20,18,22,23,
22,23,21,22,21,24,21,21,15,16,20,16,19,15,21,17,19,20,20,11,16,22,22,23,20,21,11,21,21,20,
21,15,16,15,16,15,16,21,17,20,17,20,17,16,17,18,20,16,22,18,22,18,15,13,21,17,20,17,20,17,
22,18,22,18,21,17,21,18,22,22,20,17,15,16,21,17,20,16,22,18,22,18,22,18,19,15,21,17,21,23,
20,21,17,20,16,20,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,21,16,16,16,
16,16,16,16,16,16,16,16,16,16,17,14,16,16,16,16,16,16,16,16,16,16,16,16,16,19,13,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,18,20,17,21,
18,21,18,22,20,22,21,22,21,22,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,26,23,21,18,23,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__courier_bold_28_latin_ext_s[560]={ 509,503,353,116,49,15,305,507,383,501,192,
386,330,430,396,278,15,53,40,158,121,498,27,165,391,403,46,378,354,337,370,
362,264,401,419,268,450,483,1,374,64,498,163,304,113,160,270,466,333,349,96,
65,318,179,287,336,254,238,224,480,83,409,272,412,384,447,281,497,233,1,134,
491,210,240,173,254,226,67,85,433,267,203,52,401,195,16,145,128,176,298,101,
453,433,307,370,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,509,502,446,
348,32,270,476,346,402,17,310,161,284,430,466,448,300,298,234,243,390,265,276,
442,363,252,320,113,431,447,217,205,327,65,127,391,365,231,286,216,112,161,281,
17,204,249,345,194,320,218,157,200,232,17,1,260,220,248,280,296,481,465,435,
253,328,1,434,193,178,61,479,135,31,16,46,90,208,348,390,107,239,390,477,
463,449,76,105,386,16,375,359,343,119,93,328,345,428,435,404,236,378,450,361,
188,407,143,312,404,389,82,130,283,208,222,413,420,436,113,163,150,330,65,235,
128,391,77,437,125,265,469,33,19,145,49,192,34,206,406,290,178,497,1,318,
90,78,220,374,1,17,35,487,373,204,357,190,437,176,80,497,48,483,32,343,
261,111,315,127,332,143,357,176,68,46,329,33,1,91,54,465,415,95,79,290,
314,416,250,77,458,107,472,451,191,422,40,422,376,461,159,145,50,296,482,62,
1,485,97,453,172,61,486,302,129,137,94,249,46,1,203,28,32,80,250,419,
92,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,319,149,149,235,
149,149,149,149,149,149,149,149,149,149,149,149,149,302,363,149,149,149,149,149,
149,149,149,149,149,149,149,149,360,462,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,145,313,
104,334,121,284,171,251,216,178,312,155,264,187,141,184,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,1,62,217,416,109,397,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__courier_bold_28_latin_ext_t[560]={ 1,51,183,73,28,132,166,94,51,1,183,
150,183,183,183,51,94,132,132,94,150,113,94,113,94,94,183,166,150,183,150,
113,73,150,150,113,150,150,167,113,167,150,150,150,167,167,166,113,166,51,167,
132,166,150,166,150,167,167,167,51,51,51,183,183,183,166,132,166,132,183,150,
94,150,150,1,150,150,183,183,166,94,94,183,166,150,183,183,183,183,132,183,
51,51,51,183,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,1,72,72,
166,183,150,51,72,183,150,183,183,183,183,132,183,183,94,183,183,183,132,73,
183,183,183,183,183,113,113,132,132,28,51,51,51,51,51,150,51,51,51,28,
73,51,51,28,73,150,73,1,1,1,51,51,183,94,1,1,1,28,28,150,
113,94,113,94,113,113,113,166,113,113,113,113,113,113,113,113,150,113,132,94,
94,94,113,113,166,167,94,94,94,113,1,1,1,72,132,28,94,72,132,1,
94,1,94,28,113,28,94,73,113,167,113,72,132,28,94,73,113,72,150,73,
94,1,1,1,1,28,1,51,1,51,51,167,150,73,132,72,167,28,132,72,
73,73,183,132,28,28,1,51,28,183,28,51,51,51,167,132,167,132,167,132,
51,132,51,132,51,132,132,132,94,73,132,28,94,28,94,150,166,51,132,51,
132,51,132,28,72,28,72,28,132,28,94,1,1,51,132,167,150,28,113,73,
150,1,94,1,94,28,72,72,167,28,132,28,1,73,28,132,73,150,73,113,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,113,150,150,28,
150,150,150,150,150,150,150,150,150,150,150,150,150,113,166,150,150,150,150,150,
150,150,150,150,150,150,150,150,72,166,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,73,94,
73,113,28,94,28,94,1,73,1,28,1,28,1,1,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,1,1,28,94,1,72,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150, };
static unsigned short stb__courier_bold_28_latin_ext_a[560]={ 237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_28_latin_ext(stb_fontchar font[STB_FONT_courier_bold_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_28_latin_ext_s[i] + stb__courier_bold_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_28_latin_ext_t[i] + stb__courier_bold_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_28_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_28_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_28_latin_ext_x[i] + stb__courier_bold_28_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_28_latin_ext_y[i] + stb__courier_bold_28_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_28_latin_ext_s[i] + stb__courier_bold_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_28_latin_ext_t[i] + stb__courier_bold_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_28_latin_ext_x[i] + stb__courier_bold_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_28_latin_ext_y[i] + stb__courier_bold_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_28_latin_ext_LINE_SPACING
#endif

