// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT        214
#define STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_29_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_29_latin_ext_LINE_SPACING          14

static unsigned int stb__courier_bold_29_latin_ext_pixels[]={
    0x00000000,0x26000000,0x80000005,0x00000009,0x00000040,0x00000400,
    0x00040000,0xa8001c88,0x00aaaaaa,0x4cc40000,0x00200000,0x4ccccccc,
    0x00199999,0x4c0e4000,0x20000004,0x00998099,0x00000644,0x80004cc4,
    0x00019999,0x01c88000,0x31000000,0x1000c003,0x6c400008,0x01f60005,
    0x1000db00,0xf700003f,0x00df3003,0x0000bea0,0x200001bb,0x9f1000fb,
    0xd90013aa,0x1f900001,0x4fffa800,0x3bbb6600,0xfa803eee,0xfe81ba23,
    0x880003ff,0x7fc02ffe,0xffffffff,0x13a01fff,0x740ee800,0x03f50006,
    0xf117fe60,0x7ffdc0df,0x413a2003,0x4004fffe,0x07fffff8,0x8007dc00,
    0x0004fffa,0x401b61f7,0xfc801ffd,0xf55fa806,0x4402fdcb,0xe88003fe,
    0xfd10003f,0x00b70007,0x200df900,0xd10007fb,0x6c40007f,0x7e40001e,
    0x7ff4c005,0x1ffa8003,0x007b6000,0xdfb5ff90,0x20000001,0x03fea5fd,
    0x00ffffe2,0x034d6e00,0x3ffffffe,0x01ffffff,0x20003bf2,0x2feccff9,
    0x006fc800,0xff117fe6,0x3abbf60d,0x7fd400df,0x09ffff01,0xfffff880,
    0x17f60007,0x7ed7fe40,0x57f2000e,0xffb003fd,0x01ffd003,0x4ff77fb8,
    0x7fcc07fd,0x2ff98002,0x05ff3000,0x001bf600,0x70027f44,0x6c4000ff,
    0x926c005f,0x44007aa5,0x7b1004fe,0x002e98e4,0x6c00bfe6,0x07aa1b14,
    0x7dc1bf30,0x442e9804,0x41b8803d,0x3fea202b,0x34c80003,0xaadff80f,
    0xffcaaffd,0x0077dc01,0x16ffe4c0,0x002fec00,0x55106aa2,0xfc89f705,
    0x807bee03,0x8004ffa8,0x007fdaa8,0x3004fe88,0x027dc1bf,0x3fe8dfc8,
    0x002aaa00,0x3f200f66,0x0dc4ff97,0x40007b60,0x360001ec,0x3f60001e,
    0x07f50005,0x2bff6a20,0x2000aaaa,0xff1001fc,0x5400ff20,0x1be6003f,
    0x220027dc,0x07f8807e,0x201007f9,0x989f7000,0x8000006f,0x880003ff,
    0x7fc03fdf,0xff99ff24,0x004f9801,0x7f500000,0x10000000,0x01bf0020,
    0x00013fe0,0xf7000ff9,0x01008005,0x03f9a7c0,0x20000000,0x00ff97fc,
    0x40001110,0x50000028,0x00006001,0x7fffc001,0x1fffffff,0x33000200,
    0x01000a20,0x05401300,0x33000800,0x5cc00a20,0xaaa98bcc,0x02a02a00,
    0x980aaa88,0x27ff01aa,0x8000acca,0x24ff800a,0x07fe67fc,0xcb980000,
    0x0aaa98bc,0x54400080,0x55512aaa,0x554c1555,0x202aaaaa,0x327fc000,
    0xf9001555,0x4002000f,0xa980aaa8,0x0020401a,0x2aaaaaa6,0x7997302a,
    0x64155531,0x008ff97f,0x8004ffc8,0x4000fefb,0x3fdc1ba8,0x26379730,
    0x55440aaa,0x41aa980a,0xfffffffe,0x3ea01fff,0x3301ba23,0x01333013,
    0x00157510,0x33301333,0x15751001,0x30133300,0x7fe40133,0xfffeffff,
    0x98099987,0x7ffcc099,0x3fff60ff,0xffdff85f,0x300effff,0x13330133,
    0x9ff22fe8,0x4ccc0ff8,0x20099980,0xeffffffc,0x99987fff,0x44099980,
    0xfbffffff,0x72ffffff,0xffffffff,0x06aea20b,0x7fdd3fe0,0x7e402fff,
    0x2ab88007,0x3ffffe60,0x17ffff60,0x33301333,0xfffffb81,0xffc85fff,
    0xfffeffff,0x3fe5ff27,0x474c09f5,0x8f4001e8,0x3ff2004b,0x6ffbcfff,
    0xdfffff90,0x7ccffffd,0x3f60ffff,0x7e445fff,0x8019999f,0x03fea5fd,
    0x57ffffea,0x05fffffa,0x3bfffff2,0xfffffa80,0xbfffff55,0x7ffffe40,
    0xffffa80e,0xfffff55f,0xfffffb0b,0x4dffffff,0x55fffffa,0x4cbfffff,
    0x320fffff,0xff84ffff,0xffffffff,0x3fffea0e,0xfffff55f,0x1ff214cb,
    0x7fffd455,0xfffff55f,0xfffffb0b,0x4dffffff,0x55fffffa,0xf8bfffff,
    0xffafffff,0xf72fffff,0xbfffffff,0xfffffc88,0x29ff06ee,0x02fffffc,
    0xd9003fe4,0xbf9fffff,0x07ffffcc,0x2a9ffff9,0xf55fffff,0x7dcbffff,
    0x5fffffff,0x7fffffec,0x326fffff,0x7ecff97f,0x01e9a606,0x803c9740,
    0xffffffe8,0xfd81ffff,0xffffffff,0x3ffe67ff,0x3fff20ff,0x007fb84f,
    0x02b83710,0x2dfffff9,0x87fffffb,0xffffffe8,0x7ffe42ff,0xffff76ff,
    0xfffd10ff,0xc85fffff,0xf76fffff,0xfa8fffff,0xffd713ef,0xffffc83f,
    0xfffff76f,0x706ff88f,0x3ffe07ff,0xdffb30be,0xb7ffffe4,0x07fffffb,
    0x3f203fe4,0xff76ffff,0xffa8ffff,0xfffd713e,0xfffffc83,0xffffff76,
    0x21ff9330,0x22ffa999,0xfe999998,0x7fffff45,0xff81ffff,0x01dfffac,
    0x3600ff90,0xffffffff,0x837fc47f,0x3ff23ffb,0xfff76fff,0x99988fff,
    0x3ea5fe99,0xffd713ef,0xf77fc83f,0x3a03ff4d,0xfa8006ee,0xffd800ee,
    0xfffc989d,0x13effa83,0x103fffd7,0x3fee0dff,0x000ff703,0xcffa8000,
    0x37fea60a,0x89dffd80,0x541fffb9,0x2a60acff,0xffd80dff,0xfffb989d,
    0x0567fd41,0xe81bff53,0x7ff980ff,0x4159ff50,0xb80dffa9,0x06ff82ff,
    0x7ec07ffe,0x2b3fea1f,0x037fea60,0xf500ff90,0x7d4c159f,0x07ff40df,
    0xfa83ffcc,0x3ea60acf,0x3fee00df,0x802ff880,0x37fee5fd,0x1fffb98a,
    0x4fffeff8,0x403fe400,0xa88adffd,0x7dc0fffe,0xa86ff82f,0x2a60acff,
    0xfb000dff,0x4c07ff4b,0x17fc87ff,0x007ffc39,0x18800066,0x909ff700,
    0xffd0dfff,0x40fff301,0x6ff82ffb,0x1001fee0,0x55550555,0x7c05ff10,
    0x04ffb83f,0xff88dff3,0x2e0ffe02,0xdff304ff,0x3e02ff88,0x205ff83f,
    0x5ff107fe,0xf881ffc0,0x017fdc6f,0x7fcc0bff,0xf80bfe23,0x07fc803f,
    0x3e02ff88,0x205ff83f,0x5ff107fe,0x2e01ffc0,0x2ff880ff,0x3f65fd80,
    0xf03ff706,0x0005ffff,0xffa80ff9,0x103ff605,0x2ffb8dff,0x3e02ff88,
    0x97f6003f,0x1ffa05ff,0xfff81ff2,0x19999881,0x6665cc00,0x5437fc02,
    0x7c2fffff,0x81ffa05f,0x7fdc6ff8,0x801fee02,0x3a0ffffb,0x7c40ffff,
    0x20ffe02f,0x7fdc06ff,0xf80bfe22,0x406ff83f,0x3fe22ffb,0xf10ffe02,
    0x83fe407f,0x3fe02ff8,0xf8bfee03,0x02ffc06f,0x2ff893fe,0x3200ffe0,
    0x2ff8807f,0xff10ffe0,0x883fe407,0x0ffe02ff,0xf101ff70,0x4bfb005f,
    0x0ff106fd,0x03bffffe,0xc80ff900,0x837cc07f,0x1bfe2ffb,0xff017fc4,
    0x8afec007,0x1ff203ff,0x7fc41ff2,0x7ffff42f,0xffa802ff,0x82ffffff,
    0x7fcc2ff8,0x3e24ff9f,0x01ff203f,0x37fc5ff7,0x4403fee0,0x83fffea0,
    0x440ffffe,0x0ffe02ff,0xff005ff1,0xf017fc47,0x02ff887f,0x3fe23ff8,
    0x3e0ffe02,0x41ffe06f,0x3fe02ff8,0xfbb7fc03,0x0fffc02f,0x3e22ffa8,
    0x00ffe02f,0x3e201ff2,0x20ffe02f,0x1ffe06ff,0xff017fc4,0x80ffb807,
    0xfd802ff8,0x0077fee5,0xdffbdff0,0x03fe4001,0x02a017fa,0x5ff76ff8,
    0xf80bfe20,0x97f6003f,0x1ffe06ff,0x99ec5ff2,0x7ffc2fff,0xb805ffff,
    0xffffffff,0x10ffcc0f,0x17fa3ffd,0x3ffc0dff,0xffbb7fc0,0x567fcc02,
    0x446fedb9,0x7dc40ffc,0x017fc40f,0x1ff987ff,0x3e25fe80,0x30ffe02f,
    0xbfd003ff,0xff017fc4,0x705ffb07,0x3fe20fff,0x700ffe02,0x00dff5ff,
    0x2217dfff,0x3e20fffb,0x40ffe02f,0xccffecb9,0x405ff102,0x2ffd83ff,
    0xf107ffb8,0x01ffc05f,0x3e203fee,0x25fd802f,0xbdffffe8,0xfca7fc01,
    0xff9001ff,0x001ffc40,0x7fd7fdc0,0x80bfe206,0x3f6003ff,0x2e0bff65,
    0x77fc87ff,0x0fffeaff,0xfffff551,0xb8355001,0x07fdc2ff,0x37ec7ffb,
    0x3ee0bff6,0xaffb807f,0xffb006ff,0x0dffffff,0xff701ff7,0x202ff881,
    0x07fdc3ff,0xff137ec0,0x2e1ffc05,0x6fd800ff,0xff80bfe2,0xadfff983,
    0x107fffea,0x1ffc05ff,0x17ffffc0,0x7fffffc0,0x441ffffe,0x0ffe02ff,
    0x7ffffffc,0x2ff881ff,0x3e60ffe0,0xffeaadff,0x05ff107f,0x66541ffc,
    0x10bccffd,0xbfb005ff,0xfffffd88,0x7fdcc0ef,0x2f3fff24,0x3fb332a0,
    0xf30bcccf,0x3e00005f,0x2202ffff,0x0ffe02ff,0x3e65fd80,0xffeaadff,
    0xf97fc87f,0x413ffeaf,0x03ffdff9,0xf3555310,0x92ffa87f,0x44fe8bff,
    0xeaadfff9,0xff007fff,0x26005fff,0x2efffffe,0xf701ff70,0x02ff881f,
    0x3ff30ffe,0x7c4bfd00,0x30ffe02f,0xbfd003ff,0xff017fc4,0x3fffee07,
    0x107fffff,0x1ffc05ff,0x037ffdc0,0xffffeff8,0xff881eff,0x640ffe02,
    0xdfffffff,0x202ff880,0xfff703ff,0x0fffffff,0xff80bfe2,0x7ffffd43,
    0xff16ffff,0x20bfb005,0xeffffda8,0xb93fffe0,0xf34fffff,0xffffffff,
    0x0bfe29ff,0x7ffdc000,0x017fc406,0x7ec007ff,0x7ffffdc5,0xfc87ffff,
    0x3fe6ff97,0xb1ff902f,0xfff700ff,0x889fffff,0x0effacff,0x3ee0ffe2,
    0xffffffff,0xdfff7007,0x03553000,0xf701ff70,0x02ff881f,0x7ff10ffe,
    0x223ff880,0x0ffe02ff,0xf8807ff1,0x80bfe23f,0x3fa603ff,0x07fddfff,
    0x7fc05ff1,0x05fff003,0x32e2ffe0,0x3fe202bc,0x000ffe02,0x405ff100,
    0x3fa603ff,0x07fddfff,0x7fc05ff1,0x7ffff443,0xff13ffff,0x00bfb005,
    0xfc8bff22,0x3ffa64ff,0xfffb11ef,0x5dffffff,0x000027f4,0xf8805fff,
    0x00ffe02f,0xfe985fd8,0x87fddfff,0x6cff97fc,0x2bff00ef,0x3f602ffa,
    0xffffffff,0xfffffe84,0x980ffe41,0xfdcefffe,0x0bffe007,0x4002a600,
    0xffb80ffb,0xf105ff80,0x01ffd05f,0x3fe0ffe4,0xd05ff105,0x7fe401ff,
    0xf882ffc1,0x0a98802f,0x2ffc0ff7,0x8802ff88,0x3fe006ff,0x0bff0003,
    0x2200bfe2,0x0bff001a,0x2200bfe2,0x40ff70a9,0x5ff105ff,0x2ff98000,
    0xdf15fe80,0x0005fe80,0x6fc80000,0xdff10000,0x4417fe00,0x3fa002ff,
    0x5c2a6205,0xf97fc87f,0x3fea008f,0x7dc17fe2,0xfa999cef,0xffffa84f,
    0x402ffd42,0x01fee198,0x80037fc4,0xff7004ff,0x80ffd881,0xffd80ffd,
    0x505ffa80,0x1ffb0bff,0xf501ffb0,0x17fea0bf,0x3f603ff6,0xdfd0000f,
    0x6c07fec0,0xffb800ff,0x00ffe002,0x6c07fec0,0xffd800ff,0x80ffd800,
    0xd0000ffd,0x07fec0df,0x00007fec,0xf1003fee,0x40ffea9f,0x6dc05ff8,
    0x03da8002,0xb102ffd4,0x17fdc03f,0xd80ffd80,0xff1000ff,0x86fe8007,
    0x00ff97fc,0x3ff23ff4,0x980ffd80,0xfffd04ff,0x1fffb537,0x01bfa000,
    0x80017fdc,0xff3003fc,0xffff7339,0xcfffa817,0x204ffda9,0xda9beffc,
    0xffa80fff,0x4ffda9cf,0x26fbff20,0xa80fffda,0xfda9cfff,0x5333004f,
    0x7d409ffb,0xffda9cff,0x3fe66604,0x9ff3000f,0xffa80013,0x4ffda9cf,
    0x001ff700,0xb539fff5,0x266009ff,0x204ffda9,0xda9cfffa,0x998004ff,
    0x4c47ffc9,0x52ffeb99,0xb537bfff,0xfc807fff,0x7f54001f,0x5f7fec02,
    0x2fffba9a,0x07ffcccc,0x9cfffa80,0x3104ffda,0x03ffd733,0x7fed4ccc,
    0xff77fb84,0x33bfe600,0xc83ffdcc,0xfda99bff,0x3ee0aeff,0xffffffff,
    0x5333001f,0x4cc09ffb,0x0000fff9,0x7f4001d1,0xffffffff,0xffffb84f,
    0x6c00efff,0xefffffff,0x3fffee01,0x6c00efff,0xefffffff,0x3fffee01,
    0x4c00efff,0xefffffff,0x7fffdc00,0xf980efff,0x1fffffff,0x7fffff40,
    0x7fdc003f,0x00efffff,0xfb8016e0,0x0effffff,0x7ffffcc0,0x7dc00eff,
    0x0effffff,0x3fffe200,0x3fee1fff,0x2a4fffff,0xffffffff,0x6f7c05ff,
    0x37ba001f,0xfffc803f,0x24ffffff,0xfffffff9,0xfff7001f,0x701dffff,
    0x9fffffff,0x3ffffe60,0x4f980eff,0x3f2009f3,0xffffffff,0xfffff887,
    0x4fffffff,0xffb7fff3,0xf3001bff,0x0dffffff,0x3fffffe6,0x2d8001ff,
    0x7fff4400,0x01effddf,0x09ffffd3,0x7ffffd40,0xffe9800c,0x3ea004ff,
    0x800cffff,0x04ffffe9,0xffffff50,0x3fa60019,0x3e604fff,0x2fffffff,
    0x3ffffe20,0xe98004ff,0x4004ffff,0x74c000f8,0x5004ffff,0x19ffffff,
    0x3fffa600,0xff98004f,0x7e41dfff,0x443effff,0xfffffcde,0x4feb802f,
    0x02ff5400,0xfffffb70,0xffff985d,0x2002ffff,0x04ffffe9,0x3bfffff2,
    0x3fffea03,0x00000cff,0xddddfff0,0xb305ffdd,0xff9fffff,0x07ff23df,
    0xffa80035,0x300cffff,0xffffffff,0x00030005,0x80004d44,0x220001a8,
    0x3510001a,0x00d44000,0x8001a880,0x0001aaa8,0x544006a2,0x800aaaaa,
    0x01aaaaa8,0x000d4400,0x220002c8,0xaa88001a,0x2a20001a,0x55440001,
    0x2aaa600a,0x026a6000,0x00000000,0x4400a880,0x00aaaaaa,0x20035100,
    0x1000aaa9,0x00003555,0x202ffa80,0x0d5405ff,0x00016cc0,0x00355510,
    0x2aaaaaa2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x75400000,0x75c41cff,0x00000bff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0x41ffffff,0x05fffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffd300,0xfffffb8b,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01b80c88,0x0064c1d4,0x100016c4,0x00ea0000,0x006e0322,
    0x00001000,0x05704880,0x11000000,0xc8804000,0x00001b80,0x002aea60,
    0x00007220,0x06e00191,0x0ae00126,0x0ae09100,0x00000000,0x26600000,
    0x00998819,0x20001c88,0x01333101,0x3ee00288,0xd3000db0,0x03640007,
    0x2a00d900,0xff10001f,0x9013fa67,0x03fee1df,0x2001bee0,0x40003ff8,
    0xff8805fc,0x9009fd33,0x2ffb801d,0x44036400,0x001fcc4f,0x640001d9,
    0x644004ff,0x33ff985f,0xe88007fd,0x3fffee06,0xa805feff,0x70003ffe,
    0xdb007fff,0x26006e81,0x1000dffe,0x003f989f,0x7400fd40,0x20017dc6,
    0x3fea02e9,0xffd2ffff,0x7f5409ff,0x1fd8004f,0x06ffffc8,0xf9005ff1,
    0x5000ff6b,0xd10003ff,0xfd10009f,0x0ffa2007,0x7f7f4c00,0xdff7003f,
    0x3f6003df,0x7fcc001f,0xbfb10005,0x7f7f4c00,0x5ff3003f,0x017ffe40,
    0xc8027f44,0x007fdcef,0x40017fcc,0x001e88e9,0x74c1bffa,0x8003ffef,
    0xffd80ffc,0xffffffff,0x3afff200,0xfb1000ef,0x401bfd7d,0x2feccff9,
    0xfb7ff700,0x3bf2003f,0x40007fdc,0x7cc00efc,0x8013fa1f,0x3ee00ffb,
    0xff3fffff,0x3f20bfff,0x800efebf,0xff904fe8,0x3ff60fff,0x746fe401,
    0x77dc003f,0x3ff98000,0x02ff9800,0x0027f440,0x8003df90,0xd5003fe9,
    0x05ffffff,0x40007720,0xf90003fd,0xfe98003d,0x017fea03,0xb8007ff3,
    0x8001cefd,0x4c003fe9,0x7cc007a6,0x77e400cf,0x5ff88000,0x88bdffd8,
    0x300fffb9,0x027dc1bf,0x1fe44fb8,0x0b7ff260,0xf50f7c40,0x77edc00d,
    0x3f60001c,0x930ee005,0x03bf2001,0x86bff660,0x980afffd,0x013ee0df,
    0x7e405ff1,0xff980aaf,0x7f34f806,0x00df8800,0x0003f900,0xc80007f6,
    0x0060000f,0x3ee00100,0x4fffffff,0x35000000,0x00018000,0xdfb01f62,
    0x0001fc80,0x36200002,0x6eee8007,0x801ff200,0x3fee0001,0x702ffd42,
    0x010080ff,0x00010080,0x02201000,0x20000200,0x000003f9,0x2002fc40,
    0x3ff627fc,0x0880400e,0x3200ecc0,0x17fe407f,0x40002040,0x00000000,
    0x00100000,0x002aea20,0x0dd11fd4,0x64cdf7f4,0xba9804ff,0x47f5000a,
    0x4ccc06e8,0x00099980,0x00df9002,0x80999800,0x08000999,0x80033000,
    0xba8807fc,0x6fe8001a,0x4d807fd8,0x00aba880,0x4ccccc40,0x57530019,
    0x57530001,0xaba88001,0x00040000,0x000aba88,0xbfe40004,0x000effe8,
    0x30035751,0x7e403333,0x01bfe207,0x00055d44,0x00333331,0x4ccccccc,
    0x4c409999,0x99999999,0x26666201,0xfffc8001,0x7ec00eff,0x2603fea5,
    0x02fb82ff,0x3fffffee,0x97f605fe,0xffa80ffa,0xfff55fff,0x99988bff,
    0xf9009999,0x2666620d,0x7fd40999,0xfff55fff,0x33330bff,0x13333333,
    0x0ccccc40,0x440ff900,0xeefffffc,0x82ffa806,0x900005ff,0x01dfffff,
    0xffffff90,0x3ee05fff,0x5fefffff,0x7ffffdc0,0x7e405fef,0x000effff,
    0x33333333,0x3f201333,0x200effff,0x00199998,0x3ffe7ff2,0xfff91005,
    0xf88dddff,0x3207ffff,0x0bfee07f,0x3fffff20,0x7fff400e,0x7d402fff,
    0xffffffff,0x7fe44fff,0x7fffffff,0xffffffd0,0x3ffa2005,0x02ffffff,
    0x205706e2,0x4000cff8,0xfffffffd,0x37100fff,0xfff902b8,0x3ffeedff,
    0x3fff27ff,0x86ffffff,0xfffc86fc,0x26ffffff,0x76fffffc,0x54ffffff,
    0xffffffff,0xfd04ffff,0x005fffff,0xffe81ff2,0x1fffffff,0x7c437f40,
    0x7440003f,0xffffffff,0x7fffec02,0xd83fffff,0xffffffff,0xfffb00ff,
    0x1fffffff,0xfffffd10,0x7d405fff,0xffffffff,0x7f442fff,0x2fffffff,
    0xffffffe8,0xfffc803f,0x3fa006ff,0xffffffff,0x3ffffe21,0xd81ff207,
    0x3fa200ff,0x2fffffff,0x3fffffe0,0x7ffdc05f,0xffffffff,0x7fffe44f,
    0xf07fffff,0x0bffffff,0x2277ff60,0x001fffb9,0x6fffec00,0x6ffec01b,
    0xfffb988b,0x7d400000,0x3ea60acf,0x3fff60df,0x0fffffff,0x7fec37e4,
    0xffffffff,0x82b3fea0,0x2e0dffa9,0xffffffff,0xff04ffff,0x00bfffff,
    0x7fdc1ff2,0xfffb98ad,0x20ffea01,0x99882ff8,0xbffb0199,0x3fff7313,
    0x7dd55440,0xffd81adf,0xffb988bd,0xbdffd80f,0x0fffb988,0x989dffd8,
    0xf901fffb,0xffffffff,0xffd85fff,0xfffb989d,0x7fffffc1,0xffc804ff,
    0xb805ffff,0xfb98adff,0x6d5441ff,0x81ff207f,0x7fec07fe,0xfffb989d,
    0xfff55101,0xfd9801ff,0xfaaaaaaf,0x557fe44f,0x106ffdaa,0x1fffff55,
    0x304ffb80,0x2aa88dff,0xd882aaa8,0x82dfffff,0x3ee05ffa,0xa82aa887,
    0x2ff882aa,0x5510ffe0,0x1555ffb5,0x4439ff70,0xaaffdaaa,0x017fc40a,
    0xffb307ff,0xff555555,0x3feaa209,0x2e200fff,0x0dfb06ff,0xfe807fee,
    0xb85ff107,0x47ffffff,0xff304ffb,0x03ff800d,0x7dc0bff5,0x205ffa87,
    0x4ffb87fb,0x4c0dff30,0xaadffbfe,0x3fee2ffb,0x88dff304,0x02adffaa,
    0xfd7fff90,0x06fd80df,0x7e403ff7,0xf81ff207,0x13fee06f,0x26037fcc,
    0x803ffdff,0x13fe07fb,0xfff88ff9,0x7effcc00,0x037fc03f,0x7fdcbfee,
    0x3fffa0ff,0xffd9100f,0x07fd87ff,0x7ffdc4d8,0x3ffffa0f,0xf017fc40,
    0x07fc807f,0x206fff88,0x7fc407fc,0x5c0ffe02,0x013fe07f,0x07ffbff3,
    0xd817ffe4,0x40ff106f,0x3fe03ff9,0x7ffffdc3,0x01bfe0ff,0x7c005ff7,
    0x00ffb03f,0x00ffb09b,0x80dff09b,0x3fe02ffb,0x3fe23ff9,0xf701bfe2,
    0x013fe05f,0x7e43ff90,0x41bf603f,0x3fe407f8,0x3e20ff90,0x01bfe05f,
    0x7e405ff7,0xb807fd8f,0x7ec7227f,0x3fa37dc2,0x8ffc802f,0x3fe207fd,
    0xf53ff802,0x7ff41fff,0xeb8800ff,0x002ffc7f,0x20ffffa8,0x440ffffe,
    0x0ffe02ff,0xf500ff90,0x3fe409ff,0xf80bfe20,0x44ff703f,0xc805fb1c,
    0x207fd8ff,0xf704fffa,0xfb0003bf,0x42fec01f,0x21ffcaa8,0xff802ff8,
    0x40ffe003,0x3e0005ff,0xff10005f,0x207ff005,0x467ff6f9,0x05ff11ff,
    0x3fe07ff0,0x43fe4004,0xff700ffe,0x3f20003b,0x441ff207,0x5ff105ff,
    0x7c07ff00,0x805ff55f,0x457f27fb,0x3f63e882,0x2bff004f,0xff302ffa,
    0x44bfd003,0x7dc40ffc,0x5407aa0f,0x07ff11ff,0x07fe4400,0xf103fee2,
    0x01ffc05f,0x3f201ff2,0x03fe401f,0xff80bfe2,0x7e4ff703,0xbff00515,
    0xd880bfea,0xfffd106f,0xf98037bf,0x17fdc04f,0x7cc1ff50,0x05fe801f,
    0x3e20ffe0,0xff10003f,0x3fe60007,0x905fe801,0x3f6ffe9f,0x07fe64ba,
    0x7fc17fa0,0x43fe4004,0xfd104ff9,0x0037bfff,0x7fc81ff2,0x7cc1bfe0,
    0x05fe801f,0x2ffc5ff5,0x3fbbfee0,0x7fdc006f,0x45ff5005,0x1ff705ff,
    0xfb8dfb00,0x20ffb80f,0x4ff905fe,0x99882ff8,0x1ff70199,0xf881ff70,
    0x00ffe02f,0xdf900ff9,0x880ff900,0x0ffe02ff,0x7ff77fdc,0x8bfea006,
    0x3fe405ff,0xfffffb10,0x3ff201df,0xadffe800,0x0ffeca99,0x36003fee,
    0x7ff0026f,0x3105ff10,0xff883333,0x19999882,0x6c007fdc,0x3e3fd06f,
    0xfb84ffef,0x06fd800f,0x754009ff,0x7fec2cff,0xfffd882c,0x6400efff,
    0x81ff207f,0x1ff707fe,0x3a0dfb00,0x007fe47f,0xdffffff7,0x077fcc00,
    0x7e47fe80,0x01ff980f,0x7fdc5fe8,0x3e0ffb80,0xfdb9aeff,0x70bfe24f,
    0x0fffffff,0xff701ff7,0x202ff881,0x3fe403ff,0x64037e40,0x17fc407f,
    0x3ee07ff0,0x006fffff,0x1ff91ffa,0x4403fe40,0x0effffda,0x9802ffc4,
    0xffffffff,0x3fe60fff,0xf55fe801,0x441ffc09,0x7ffdc2ff,0x3fe27fff,
    0x7ffffdc2,0x007fe67f,0x9fe217fa,0x984fffff,0x5fe801ff,0x2e009ff0,
    0x23ffffff,0x102ffff9,0x1dffffb5,0xf903fe40,0x40ffe40f,0xfe801ff9,
    0xcceff985,0x2e03ffdc,0x06feccff,0x083fff10,0x999dff30,0xff107ffb,
    0x43ff8807,0xffb80ffb,0x3fffffa0,0x7fc1ffff,0x7ffffdc3,0x07fdc0ff,
    0x3e207fdc,0x00ffe02f,0xdf900ff9,0x880ff900,0x0ffe02ff,0x7f667fdc,
    0x9dff3006,0x407ffb99,0xc88007fc,0x0ffe42ff,0xfffd9100,0xf8817dff,
    0x9ffc403f,0x0ffe06fc,0x3fee1ffc,0x3e0fffff,0x7fffdc3f,0x7ff10fff,
    0xb83ff880,0xfeffeeff,0x03ff883f,0xff81ffc4,0x3a619304,0x6c1effff,
    0x91000eff,0x3fe405ff,0x7d40ff90,0x03ff884f,0x7e41ffc4,0xffffffff,
    0xfc9fee07,0x7fec0ae5,0x7e40fec3,0xffffffff,0x401ffd07,0x7fdc1ffc,
    0x2e0ffb80,0xbfffffdf,0xa885fd80,0xfb81ffca,0x80ffb80f,0x5ff105ff,
    0xc807fc80,0x07fc806f,0xff105ff8,0xfc9fee05,0x7fe40ae5,0x7fffffff,
    0x3e21ff20,0xf12ff406,0xa98000bf,0x07ff4009,0x3f23ff90,0x205ff107,
    0xcaa885fd,0x42fec1ff,0x41ffcaa8,0x3f200ffe,0xffffd81f,0xd01fcbff,
    0x7fe401ff,0x3609ff01,0x2200003f,0x02ff406f,0x3fe40ff9,0x3a03ffa0,
    0x3ff200ff,0xeeefff81,0x702ffeee,0xff30b8ff,0xff0bff90,0xdddfff07,
    0x505ffddd,0x3fea0bff,0x440ffb85,0x3f600ffd,0x0bfee00f,0xfb80ffa8,
    0x07fec40f,0x7ec07fec,0x03fe400f,0x7e4037ec,0x80ffd807,0xff700ffd,
    0x20ff30b8,0xeeeeefff,0xff902ffe,0x2207ff50,0x07fee5ff,0x00bd8800,
    0xf505ffa8,0xb83fe4bf,0x5ff701ff,0x2e07fd40,0x3fea02ff,0xa82ffd40,
    0x57ff05ff,0x2d987ff5,0x7d417fea,0x413fe05f,0x5ecc05fe,0x81ffd400,
    0x3f205ff8,0x701ff207,0xbff509ff,0x2a17fea0,0x17fe02ff,0xff503fdc,
    0xf837fd41,0x017fd43f,0x3ff20bff,0xfffda9be,0x99cff980,0x00bffffb,
    0xffd00ff9,0xfd95335b,0x39ff301f,0x17ffff73,0xa9cfffa8,0xfc804ffd,
    0x0fff2207,0x2a01ff20,0xfda9cfff,0x81fee04f,0x7fd40ffa,0x5417fe02,
    0x3fea1dff,0xffda9bdf,0x001bfe3f,0x200bfd10,0xda9beffc,0x3ff20fff,
    0x6ffcaace,0x4d6fff40,0x80ffeca9,0xa99adffe,0xfc80ffec,0xffda9bef,
    0x7c6fa80f,0x3237dc3f,0xfda9beff,0x13fe00ff,0x3a602ff4,0x7ffd404f,
    0xfffda9bd,0xc81ff203,0xf881bcff,0xeffc80ff,0x0fffda9b,0x20e7ff54,
    0x20bffeb8,0xccccffea,0x3e0ffdcc,0xcccccdff,0x3ffaa3ff,0x7ff5c41c,
    0xffffd80b,0x3a01efff,0xffffffff,0x0ff904ff,0xffffff30,0x201fffff,
    0xfffffffe,0xffb84fff,0x80efffff,0xcffeccb8,0x3fff61cc,0xfeccb880,
    0xf701cccf,0x1dffffff,0x333ffaa0,0x0ffdcccc,0x1073ffaa,0xd017ffd7,
    0x7ffd4fff,0x5fffffff,0x8000bfee,0x2006fdfb,0xfffffffd,0x7fffdc1e,
    0x400effff,0xfffffff9,0xf980ffff,0xffffffff,0xfffb00ff,0x503dffff,
    0xff933dfd,0x0ffd999d,0xfffffffb,0xff97303d,0xff99999d,0x27efe40b,
    0x3ffffea0,0x545fffff,0xccffeccc,0xffff90bc,0x05ff501f,0x3ffffff6,
    0x7ffdc1ef,0x3ff60fff,0xfff75fff,0xffffffff,0x3ffe21ff,0xffffffff,
    0xffffff73,0x7ffffec1,0xfffff505,0xffe88019,0x1effddff,0x22009f30,
    0xefffffec,0x3ffa200b,0x1effddff,0x9ffffd30,0x7ffffec0,0xd50fffff,
    0x3fff6019,0x0fffffff,0x9ffffd30,0x7ffffdc0,0xffffffff,0xffffff70,
    0x7ffffec1,0x224fc885,0xfffffcde,0x0037ec2f,0x0077f620,0x9fffff50,
    0x3ffee201,0x91000dff,0x7dfffffd,0x7ff64401,0x400befff,0x0cfffffa,
    0xffffffa8,0xffffffff,0xffff507f,0x3ffe019f,0xffffffff,0x3fa605ff,
    0x66f4400d,0x42ffffff,0xfffffff9,0xff94ffff,0x07640bff,0x9fffff50,
    0xffffd301,0xfffffb8b,0xfffffd33,0x1fffffff,0x3fffffe2,0xd33fffff,
    0xfb8bffff,0x4403ffff,0x9a88001a,0x00008000,0x100026a6,0x22000135,
    0xffeb801a,0x05ffffff,0x7ffff5c0,0x8805ffff,0xffe9801a,0xffffffff,
    0xfffd30ff,0xffffb8bf,0x54c0003f,0x003d5009,0x22000000,0x0d44001a,
    0x04d4c000,0x009a9800,0x4401a880,0xffccfffe,0x7fffffff,0x6400d440,
    0xffffffff,0x0005ffff,0x804d4c00,0xffffffd8,0x0002efff,0x001a8800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03910000,0x1b80c880,0x4cc00000,0x00001999,0x22000000,
    0x20010002,0x33300998,0x03333101,0x00001c88,0x98800000,0x44001999,
    0x000dc40b,0x00000002,0x00191075,0x001cc15c,0x40000e44,0x71002bb9,
    0x00000055,0x44000722,0x20ea001c,0xcb8800c8,0x41260040,0x0000001c,
    0x07220000,0x2e200000,0x54033321,0x26003fff,0x07fd33ff,0x02fb8dd0,
    0xfffffff5,0x200019ff,0x3a60006c,0x8013fa02,0x7f403ff8,0x7ffd46ff,
    0x3ffee6ff,0x3ffaa07f,0x000bee03,0xfd01f200,0x07ffffff,0x754bfea0,
    0x1fee002f,0x0fe46e80,0x3f20fe40,0x437f6000,0x754006fc,0xb10003ff,
    0x6409ffff,0xfcfffffe,0x17dc6e85,0x01fff540,0x00fffaa0,0xffb877e4,
    0x7fffcc00,0x7cc06eac,0x22017d43,0x000fe45e,0x402fb8dd,0x9803fffa,
    0x4fffffff,0x3a3fff10,0xbffc80ff,0xd3000efe,0x3007ffdf,0x827f43ff,
    0xfffffffb,0x2001ffff,0x70004fe8,0x7fec01df,0x0bff3001,0x1fffffc4,
    0x4ffffff7,0x907ffffc,0x01dfd7ff,0x40000ffb,0x7fc04fe8,0x04ffffff,
    0x3ffbfea0,0x0ffec002,0xfd0ffcc0,0x9bff1009,0xc88009fd,0x000dfeff,
    0x3bfafff2,0x7ffec000,0xfffb06ff,0x8fffffff,0x13fa1ff9,0xdfd7ff90,
    0xd7ff9001,0xff7001df,0xd7003dfd,0x03fffb13,0xdfb9bfb0,0x7c1ff500,
    0x3ff3003f,0xff9027f4,0x4401dfd7,0x1ccccccb,0x369fff50,0x20df987f,
    0x7e4004fb,0x30ee000e,0x7fecc019,0xfffebaaa,0x03ff9800,0x801df900,
    0x32005ff9,0x7fdc401d,0x3fea60ff,0x3fed4c0d,0x9f706fcc,0x0005ff50,
    0x1007fd10,0x055bff55,0x01bfb100,0x4009b300,0x8005cc3b,0x003dfec9,
    0x000ffea0,0x27dc1bf3,0x11bff300,0x5bffb013,0x1fffd511,0x0064c3b8,
    0x27dc1bf3,0xfb837e60,0x07fd3004,0x20029800,0x00befeb8,0x00b98570,
    0x01930ee0,0x4fb837e6,0xffa80000,0x020ff94f,0x00180004,0x3fdc0000,
    0xc802ffb8,0x9f10001f,0x00fff400,0x7ffc4000,0x204ff85f,0x020107fc,
    0x80006fe8,0xff8001fc,0x00180004,0x00000000,0x88000040,0x02010000,
    0x803ff700,0x3f605ffa,0x0200000f,0x01008004,0x22000300,0x10000aba,
    0x00000000,0x80201000,0x99980999,0xb9fffcc0,0x404ccc6f,0x71000999,
    0x13330055,0x2e013330,0x07ff107f,0x00200000,0x1009ff50,0xff100557,
    0x4ff85fff,0x7101ff20,0x2ffb8055,0x20000000,0x4cc004ff,0x22001999,
    0x99999999,0x10099819,0x4cc40133,0x26200199,0x01333009,0x4c406662,
    0x07fc8019,0x7cc07fc8,0x4ccccc46,0x01330099,0x26602662,0x99999999,
    0x99999809,0xfffc8000,0x26600eff,0x99999999,0x26662009,0x26660019,
    0x99999999,0x4ccccc40,0x7ffd4099,0xffff55ff,0x97ffccbf,0xffff55f9,
    0x3fffeabf,0x3ffb205f,0x2a5fcfff,0xf55fffff,0xf70bffff,0x407ff20f,
    0x13310099,0x03333330,0x900ffe80,0xf9fffffd,0xff7ff10b,0x9027fc1f,
    0x3ffb20ff,0xf85fcfff,0x2662006f,0x80133300,0xff5004ff,0x9fffffff,
    0x7fffe401,0x267fffff,0x7e46ffff,0xffe83fff,0xe802ffff,0x7fd46fff,
    0x7ff46fff,0x3ffa1fff,0x55442fff,0xd01aaffd,0x641500bf,0xffffffff,
    0x3fffe66f,0x9ffffe46,0xfffffffa,0x2a4fffff,0xffffffff,0x7ff4401d,
    0x42ffffff,0xfffffffa,0xd04fffff,0x05ffffff,0xffffffa8,0x24ffffff,
    0xfffffffc,0x3fff26ff,0xffff76ff,0x8fffc4ff,0xffff94f8,0x3fffeedf,
    0xffffb07f,0x64ffffff,0xf76fffff,0xf70fffff,0xffd9555f,0xdffff30d,
    0x53ffffc8,0xffffffff,0xffc8019f,0xfffffd81,0xf887ffff,0x3e5ffabf,
    0x21ff204f,0xfffffffd,0x1ffb87ff,0x46fffe80,0x06fffffa,0x7dc013fe,
    0xffffffff,0xfff901ff,0x4fffffff,0x20effff9,0xf85ffffe,0x05ffffff,
    0x1fffffc4,0x4ffffff7,0x2ffffff8,0x0ffffffe,0xfffffff9,0x03ff881f,
    0xfffffd80,0xf30fffff,0x7f41dfff,0xfff75fff,0xffffffff,0x7fffdc9f,
    0x05ffffff,0x26277ff6,0x3ee1fffb,0xffffffff,0xfff04fff,0xb80bffff,
    0xffffffff,0x3f64ffff,0xffffffff,0x2b3fea0f,0x037fea60,0x50ec3fff,
    0x54c159ff,0xffd80dff,0xffea88ad,0x2b3fea0f,0x037fea60,0x3fffffee,
    0xff980dff,0x3ffa0eff,0xffff75ff,0x3fffffff,0x3617fdc0,0xea88adff,
    0x7fc40fff,0x3fe5ffb3,0xfb1ff204,0xfd5115bf,0x5ff881ff,0x7ffffc40,
    0x3ffffee3,0x8013fe07,0xbaaaffd9,0xfc80fffe,0xffdaaaaf,0x21ffecc6,
    0x880afff8,0x0fffffaa,0x7fffdc40,0x037fea60,0x8835bff3,0xfa84ffba,
    0x85ffffff,0x88002ff9,0xaaffdaaa,0x1ffecc0a,0x982bffe2,0xaaaaaffd,
    0x7fd44ffa,0xfffdbaad,0x304ffb84,0xffd98dff,0xffaaaaaa,0xfff55104,
    0xfd9801ff,0xfaaaaaaf,0x36aaa24f,0x440aaaff,0x0ffe02ff,0xf8803ffa,
    0x20ffe02f,0x3f605ffa,0x80bfe20f,0xfff703ff,0x401fffff,0x7c43ffd9,
    0x3f660aff,0xffebaaaf,0x49ff300f,0x3f605ffa,0x89ffc40f,0x409ff6ff,
    0x17fea7fc,0xfc80ffd8,0x7fdc401f,0x3fea60ff,0x413fe00d,0x83fdc0c9,
    0x7fc82ffb,0x4407ffc4,0x3ff20fff,0xfdff9803,0xfff8803f,0xf04ff85f,
    0xf3154c9f,0x07fc805f,0x00017fc4,0x7c403fe4,0x0fff20ff,0x9ff03fdc,
    0xff107ff0,0x406ff83f,0x3fdc2ffb,0xf9809ff0,0xb803ffdf,0x813fe07f,
    0x7fc407fc,0x3a0ffe02,0x17fc407f,0xff907ff0,0x7c46f980,0x40ffe02f,
    0xfe999ffb,0x7ffc405f,0x5c0fff20,0x05ff707f,0x7fc97fe2,0x7c437cc0,
    0x3f3fee3f,0xc9ff204f,0x837cc07f,0xf8804ff8,0x4ff85fff,0xfd827fc0,
    0xf883fdc3,0x746fb83f,0x3fea02ff,0x200bff35,0x07fd8ffc,0x2fffff88,
    0x5fe827fc,0x7fd4bffa,0x403fe401,0xc80004fe,0xbff5007f,0xfb817fe6,
    0x17ec7227,0xff981ffc,0x200bfe24,0x13fdc3ff,0x900bf639,0x00ffb1ff,
    0xd8e44ff7,0x01ff202f,0x7fc05ff1,0x4407fd83,0x0ffe02ff,0x02a017fa,
    0x7fc05ff1,0xd88ff703,0x7fd405ff,0x5c0bff35,0x07ff107f,0x5fe93fe6,
    0xff880a80,0x27ffff43,0x2ff4ff90,0xffb00540,0xffff8801,0x2027fc2f,
    0x8bfd04ff,0x3ff907fb,0x7fec7d10,0xeaffd804,0xbff000ff,0xf100bfea,
    0x7c1fff7f,0x26dfb04f,0x1ff74fff,0xc807fc80,0xfc80006f,0x2bff6007,
    0x3ee00ffe,0x81457f27,0x9ff603ff,0xfe801ff9,0xbf93fdc5,0x57fe00a2,
    0x7dc02ffa,0x01457f27,0xff101ff2,0x5c1ffc05,0x17fc405f,0xff887ff0,
    0x5ff10003,0xfb81ffc0,0x805ffd07,0x0ffeaffd,0x7e41fee0,0x27ff501f,
    0x20003ff8,0x7fcc3ff8,0x5ff204ff,0x80003ff8,0x7c404ff9,0x3e0fffbf,
    0x827fc04f,0x57fdc5fe,0x06ffecaa,0x200bff70,0x02fffff8,0x7fc5ff50,
    0x55ffc405,0x413fe5ff,0xffff97fc,0x3f201ff2,0x05ffa807,0x7e407f62,
    0x3ffe2007,0x7fdc02ff,0xf806ffee,0xb9fee03f,0x6fd800ff,0x7ff77fdc,
    0x8bfea006,0x7fdc05ff,0x2006ffee,0x7fc407fc,0x0c0ffe02,0xf017fc40,
    0x02ff987f,0x405ff100,0xffea83ff,0x3ffe20ac,0xffff100b,0xaffb805f,
    0x06ffecaa,0x7fccbfee,0xff710002,0x7ffe437b,0x7cdff204,0xfb00002f,
    0x5ffc401f,0x13fe5ffa,0x33bff2e6,0x45ffcccc,0xfffffffb,0xff9800df,
    0x3fea000e,0x1ffa005f,0x7c401ff9,0x3e5ffb3f,0xf1ff704f,0xdfb5ffff,
    0x200ff900,0xa9abeffd,0xf902fffb,0xfffa800f,0xffffb805,0x3ff806ff,
    0x7cc3fea0,0x45fe801f,0x6ffffffb,0xf91ffa00,0x7ffdc01f,0x32006fff,
    0x17fc407f,0x40007ff0,0x3fe02ff8,0x0017fc43,0x3e02ff88,0x7fffdc3f,
    0x7ffd43ff,0x17ffea05,0x3ffffee0,0x3600dfff,0x05ff10ff,0x3fffee00,
    0x027ff47f,0x0bfe2ff9,0x1ffcc000,0x3f67ff10,0xff09ff2f,0xffffffff,
    0xffb8bfff,0x00ffffff,0x041fff88,0x8007fec0,0xdccceff9,0x3fe203ff,
    0x3fedff13,0xff7ff504,0x0bfd9ff7,0x6400ff90,0xffffffff,0x01ff204f,
    0x2003ff60,0x6feccffb,0x2e03ff80,0x07ff10ff,0x7dc3ff88,0x006feccf,
    0xb999dff3,0x7fdc07ff,0x2006fecc,0x7fc407fc,0x040ffe02,0xf017fc40,
    0x009fd07f,0xf80bfe20,0x7fff4c3f,0x3ffc81ef,0x4007fec0,0xfffffffb,
    0x1bfe200f,0x260009fd,0x4c4ffffe,0x9ff204ff,0x200004fe,0x3fe207fe,
    0x3fedff13,0xfffffc84,0x5fffffff,0x74ccffdc,0xffd805ff,0x3200fec3,
    0x3ff2007f,0x7fffffff,0xfb8ffe20,0xf304ffcf,0xffb1ffdf,0xff9009ff,
    0xfffdb800,0x7e402eff,0x07fc8007,0x2fe4ff70,0x407ff057,0x07ff46fd,
    0xfb83ff90,0x02b97f27,0xfffffff9,0x3fdc0fff,0x9015cbf9,0x0bff00ff,
    0x3f20bfe2,0x105ff806,0x0df905ff,0x882ffc00,0x000002ff,0x5c01ff20,
    0xffe999ff,0x90ffee05,0x000000df,0xfc9ff200,0x3ea00006,0x47ff103f,
    0x04ffcffb,0x8ff70000,0x3205ffd8,0x03ff85ff,0xff003fe4,0xfddddddf,
    0x0ffe205f,0x209ffffd,0xf55ffff8,0xff007fff,0x06fc000b,0x000ff900,
    0x3ee00ff9,0x87f985c7,0xbff103ff,0xf505ffa8,0xb8ff70bf,0x3fe0ff30,
    0xfeeeeeef,0xb8ff702f,0x7e40ff30,0x80ffd807,0x7fd80ffd,0xd80ffd80,
    0x5ffa80ff,0xfb07f620,0x01ffb01f,0x0002f620,0xfb803fe4,0x42ffec47,
    0x7d40fff8,0x07f6205f,0x8002f620,0x17fea7fc,0xe801fd88,0x87ff106f,
    0x004ffffe,0xf70017b1,0x20bffa0f,0x7ff06ffa,0x5007fc80,0x2ffc05ff,
    0x7cc3ff88,0x3fe04fff,0x3fffe3ff,0x7ede6442,0x3fe0003f,0x01ff2002,
    0x5c01ff20,0x03fea07f,0xffd107ff,0x37dff905,0x701fffb5,0x07fd40ff,
    0xff80bfea,0x540ff705,0x0ff900ff,0x539fff50,0x04c09ffb,0x4e7ffd40,
    0x3604ffda,0xba9abeff,0x7fd42fff,0x4ffda9cf,0x017fa200,0xb803fe40,
    0x85ffd07f,0xffb04ffb,0xff75357d,0xbfd1005f,0x7fecb880,0x4d5f7fec,
    0x802fffba,0xff882ffa,0x27fffcc3,0x405fe880,0x20acffea,0x3e0bfff8,
    0xcccccdff,0xecb983ff,0xd502ccff,0xeb8839ff,0x3ee20bff,0x3ff21bdf,
    0x3fffa04f,0x50bfff60,0x00dfffff,0x81fb2660,0xcffeccb8,0xd97301cc,
    0x2a0599ff,0xcccccffe,0x3ee0ffdc,0xffecccef,0x3fff604f,0xa81effff,
    0xcccccffe,0x3aa0ffdc,0x75c41cff,0x3faa0bff,0xdccccccf,0xd99710ff,
    0x203999ff,0xfffffffb,0xf700000e,0x1dffffff,0xfffffc80,0xf704ffff,
    0x1dffffff,0x1bf7ee00,0xffecb980,0xffd502cc,0x7ffc4159,0x401dfd0b,
    0xfffffffc,0xdfb804ff,0x7ffec06f,0xffffc87f,0x004fffff,0xff711bfe,
    0x7ffe437b,0x6fdfb804,0x3ffffee0,0xafffd43f,0xfffffff8,0xfe83ffff,
    0x1fffffff,0x7fffffdc,0x3fffff60,0x3ffffee5,0xb027ff47,0xfffa8dff,
    0x04fffd81,0x1bfff200,0xffffffd8,0xfe80ffff,0x1fffffff,0x7fffffdc,
    0x0fffffff,0xfffffff7,0xf500bfff,0x7019ffff,0xffffffff,0x2e1fffff,
    0x20ffffff,0x75fffffd,0xffffffff,0x361fffff,0xffffffff,0xffd300ff,
    0x000009ff,0x09ffffd3,0x7fffedc0,0x7f4c02ef,0x44004fff,0x3a001dfd,
    0xffffffff,0x7ffffdc1,0xafffd43f,0xfdb801eb,0x002effff,0xa803bfb1,
    0xb707fffe,0x05dfffff,0x2e0ffb80,0x747fffff,0xfd8804ff,0x3ffa601d,
    0xffc81eff,0xffffff13,0x707fffff,0xbfffffff,0xffffe981,0x7ffffdc5,
    0x3ffffa63,0x9027fcc4,0x1fff07ff,0x440000c0,0x3ae00cda,0xffffffff,
    0xfffff705,0xfe981bff,0xffffffff,0xffd30fff,0x039bffff,0x4c01a880,
    0xfffffffe,0xd30fffff,0xfb8bffff,0xfd33ffff,0xffffffff,0x3fae1fff,
    0x5fffffff,0x0001a880,0x001a8800,0x40005440,0x000001a8,0xfffffb80,
    0x7f4c0dff,0xfc81efff,0x5440003f,0x00000000,0x0002a200,0xffe98bb0,
    0x27fcc4ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88aa0002,0x7019100b,0x00644003,
    0x06e03220,0x1b881710,0x1b80c880,0x01000000,0x40099880,0x401b80c8,
    0x40199998,0x88057048,0x880040cb,0x44001aba,0x3910001c,0x33333100,
    0x26660133,0x20099980,0x0000ab98,0x26666200,0x04000019,0x65c40000,
    0x26620040,0x00000199,0x10000000,0x88013333,0x880040cb,0x200220cc,
    0x99999999,0x00000999,0x8801bf20,0x20bf90ff,0x7fd32ff9,0x0fffea00,
    0xd33ff980,0x2ffa807f,0xf3005fd5,0x00ffa67f,0xfffffff3,0x00df9009,
    0x26027fdc,0x07fd33ff,0x7fffffe4,0x989f100f,0x3ffe603f,0x4406eacf,
    0xeefffffc,0x1fff5406,0x0fffaa00,0xffffffc8,0x3fea6fff,0xfff55fff,
    0xfff30bff,0xfff307ff,0xd809ffff,0x07ffffff,0x801ea000,0x3fe606d8,
    0x206eacff,0x2ffffffe,0x7fffcc00,0xf9804fff,0x04ffffff,0xffffedb8,
    0xfff305ff,0x300dd59f,0xdd59ffff,0x7ffffd40,0x4fffffff,0x400fdc00,
    0xf3000ffe,0x9817fa3f,0x003ffefe,0x1dfd7dfb,0x3fbfa600,0xdff5003f,
    0x74c005ff,0x8803ffef,0x1ccccccb,0x000ffe80,0xd3009ff7,0x9807ffdf,
    0x03cccccc,0x3fee77e4,0x3f627ae0,0x7ff401ff,0x1fffffff,0xdfd7ff90,
    0xd7ff9001,0xfffb01df,0x1fffffff,0x5bfffff2,0x47fffffb,0xffcbdff9,
    0x66665c42,0x3ff601cc,0x007fcccc,0x2003f200,0x3ae03fe8,0x01fffd89,
    0x3ffffffe,0x665c4005,0x8801cccc,0x1ccccccb,0x3ffffa20,0x702dffef,
    0x3fffb13d,0xfb13b700,0x7fdc03ff,0xffffffff,0x3f2004ff,0x009d3006,
    0x4fe8ffd4,0x000efc80,0x1fdc1bf5,0x003bf200,0x001bfb10,0x0003bf20,
    0x04e98000,0x8006aa20,0x00000efc,0x1cefdb80,0xb8029800,0xfb98adff,
    0x0df981ff,0xbf3013ee,0x54427dc1,0xaaaffdaa,0x0567fd40,0xd81bff53,
    0x002fcc4f,0xfd06f880,0x26026660,0x807fa999,0x98002ff9,0xffaa8802,
    0x00000fff,0x3a000000,0xf8ef8bff,0x00298005,0xd9801540,0xaaaaaaff,
    0x9fd004ff,0xfa800000,0x2009ff0f,0x01008001,0x30000600,0x00030000,
    0x0002aea2,0x18000000,0xe88fea00,0x4c002006,0x09998099,0xff706fd8,
    0x0814cc43,0x40020100,0x7fc407fc,0xf30ffe02,0x3311fa0d,0x20133333,
    0xa8d904fa,0xf55fffff,0x0bffffff,0x31003db0,0x01333333,0x7ffbff30,
    0x26666600,0x00999999,0x00666662,0x8ef93fe6,0x0133105f,0x31002666,
    0x5c003333,0x013fe07f,0x33300fea,0x33333333,0x7c3fee01,0x4ccccc3f,
    0x19999999,0x06666620,0x4ccccc40,0x22019999,0x20019999,0x99999999,
    0x3f200999,0x100effff,0x13333333,0x0aaaaa20,0x33333310,0x52fec013,
    0x266201ff,0x54099999,0xf55fffff,0xfd8bffff,0x7d4ff106,0x310007ff,
    0x80133013,0x7fc407fc,0xf70ffe02,0x7e43f609,0xffffffff,0x017fecc6,
    0x6fffffc8,0xdffffff7,0x864c0001,0xfffffffc,0x7fe406ff,0x7d407fd8,
    0xffffffff,0xffd04fff,0xb805ffff,0x3e3be1ff,0x46fffe85,0x06fffffa,
    0x5ffffffd,0xc89fee00,0x02005fb1,0xffffffa8,0x44ffffff,0xfccffeb8,
    0xffff0aef,0xffffffff,0xffffd03f,0xff9005ff,0xffffffff,0x3fffffa0,
    0x7ffd402f,0xffffffff,0xfffe884f,0x642fffff,0xffffffff,0x7fffc46f,
    0x3fff207f,0x06ffffff,0x902b8371,0xffffffff,0x7fffe4df,0xfffff76f,
    0x01dffb8f,0x007fffb8,0x55ffffc8,0x201fffff,0x7fc407fc,0xf90ffe02,
    0x87ffecc5,0xfffffffd,0xfff30fff,0xf5001bff,0x7d4c159f,0x971001df,
    0x6d3fe637,0xffffffff,0x57fe00ff,0x3ee02ffa,0xffffffff,0xfff04fff,
    0xa80bffff,0x3e3be3ff,0x7ffffc45,0x3ffffee3,0xffffff07,0x9fee00bf,
    0x500515fc,0x21317997,0xfffffffb,0x744fffff,0xffffffff,0xfffff4ff,
    0xffffffff,0xffffff03,0xfff900bf,0x0fffffff,0x3ffffffe,0x7fffdc05,
    0xffffffff,0x89dffd84,0x361fffb9,0xffffffff,0x3ffe20ff,0x3ff607ff,
    0xffffffff,0xffb00000,0xffffffff,0x0567fd41,0x881bff53,0x1bdffffe,
    0x000ffb30,0x2efffffb,0x901fffff,0x2ff880ff,0x3fb0ffe0,0x43ffffe6,
    0xaffdaaa8,0x22bf20aa,0x4403ffea,0x0ffe02ff,0x3ffffa60,0x511fffff,
    0x555ffb55,0xf17fd401,0xffd980bf,0xffaaaaaa,0xfff55104,0x7fc401ff,
    0x0bf1df0e,0x41ffff71,0x100dffa9,0x1fffff55,0xfddff700,0x3fa600df,
    0x25ffffff,0xaaaaffd9,0x7dc4ffaa,0xffffffff,0xb55bff2e,0x3ff955ff,
    0xffff5510,0xaffc801f,0x06ffdaaa,0xfffff551,0xaffd9801,0x4ffaaaaa,
    0xf9827fdc,0x36aaa26f,0x300aaaff,0x5440ffb3,0xaaaffdaa,0x54155440,
    0x555442aa,0x40aaaffd,0x3fe02ff8,0xffffb103,0xff701dff,0x5ffb1000,
    0x00ffecc1,0xff880ff9,0xfb0ffe02,0x3f62ff21,0x540ff900,0x3bff224f,
    0x405ff100,0x7fcc03ff,0xfffffeff,0x801ff202,0x07fe47fe,0xff81fee0,
    0x7effcc04,0x7ffcc03f,0x105f8efd,0xff0bffff,0xfbff3009,0xfff7007f,
    0x3a00dfff,0xffffffff,0xff03fdc7,0x7d57f609,0xf927fc1f,0x300ffccf,
    0x807ffbff,0x7ffc47fc,0x7effcc00,0x07fb803f,0x0dff13fe,0xf902ffb8,
    0x07fc800f,0xfb81ff20,0x3ffa0fff,0x1ff200ff,0x7c05ff10,0x7ed4403f,
    0x7dc0efff,0x80379957,0x0ff707fc,0x7c407fc8,0xb0ffe02f,0x7ecdf11f,
    0xe80ff900,0x3ff660df,0x202ff882,0x3fe603ff,0xffff31cf,0x803fe407,
    0xdccceff9,0x3fdc03ff,0x00bf6391,0x0ffb1ff9,0x1dfffb30,0x3ffe20bf,
    0x027fc2ff,0x3fec7fe4,0x7667fdc0,0xaffa806f,0xf71bf660,0x2fd8e44f,
    0x3feabfd0,0xff927fc0,0xf900ffcc,0xb80ffb1f,0x017ff46f,0x3fec7fe4,
    0x3913fdc0,0x2ff88bf6,0xf903ff80,0x07fc800f,0xfa81ff20,0x3ffa0fff,
    0x1ff200ff,0x7c05ff10,0x7e44003f,0x7fffdc2f,0x3203ffff,0x80ff707f,
    0x7fc407fc,0xfb0ffe02,0x07ecdf11,0x6c407fc8,0x1ffdc3ff,0xff80bfe2,
    0x98bff203,0x00ffffff,0x3f200ff9,0xffffffff,0xf93fdc07,0x3fe00a2b,
    0x2005ff55,0x05f8efa8,0x1fff7ff1,0x7fc027fc,0xb805ff55,0x2b97f27f,
    0x21adffa8,0x93fdc1c8,0x7cc0a2bf,0x41ffb9df,0x89ff22fe,0x57fe00ff,
    0x3a202ffa,0x4013ff63,0x05ff55ff,0x57f27fb8,0x00ffcc28,0x7fc82ff4,
    0x003fe400,0xfc880ff9,0x07fdc40f,0xf880ff90,0x10ffe02f,0x45fe80df,
    0xfffffffb,0x0ff903ff,0xff901fee,0x260bff00,0xc87ec2ff,0x900fd9cf,
    0x3fee00ff,0xf11be62f,0x01ffc05f,0x7ffc4dfd,0xf901ffbb,0x3bffe00f,
    0x2ffeeeee,0x3fbbfee0,0x3fea006f,0xf0017fe2,0x3e20bf1d,0x3e5ffabf,
    0x17fd404f,0x7fb80bff,0xd07f985c,0x19dfffff,0xffddff70,0x7fffcc0d,
    0x26ffffff,0x2a3fe429,0xf8bfea02,0x3fee005f,0x45ff5005,0x7fdc05ff,
    0x2e06ffee,0x6fd800ff,0xc800ff90,0x1ff2007f,0x2e03fee0,0x1ff200ff,
    0x7c05ff10,0x81ffd43f,0x7fdc5ff8,0x417fa63f,0xeeeeeffc,0x3fe407fe,
    0x6c0fff40,0x88fe41ff,0x904ffffe,0x7ec400ff,0x447e99df,0x0ffe02ff,
    0xfe89ffc4,0x205ff33f,0xffa807fc,0xb817fe02,0x06ffffff,0xff91ffa0,
    0x7c77c001,0x367ff105,0x809ff2ff,0x07fe47fe,0x7d40ff70,0xfffc880f,
    0x7dc2ffff,0x206fffff,0xfffffff9,0x3200ffff,0x3ff4007f,0x26003ff2,
    0xfd000eff,0x200ffc8f,0x6ffffffb,0x2007fe60,0x0ff905fe,0x2007fc80,
    0xffb807fc,0x200ffb80,0x7fc407fc,0xf50ffe02,0xfb537bff,0x1ffb87ff,
    0xff907fc8,0xffffffff,0xffeccb88,0xff981ccc,0x5ffeb9cf,0x664c2fa8,
    0x00ff901c,0x9ffffd50,0x3e02ff88,0x23bfe03f,0x3ff23ffe,0xa80ff900,
    0x5c41cffe,0xfb80bffe,0x006feccf,0xb999dff3,0x77c007ff,0x7ff105f8,
    0x27fdbfe2,0x999dff30,0x3aa07ffb,0xccccccff,0x22080ffd,0x20fffdba,
    0x6feccffb,0x567fdcc0,0x6400affe,0x3fe6007f,0x3ffdccce,0x20fffc40,
    0x99dff300,0x5c07ffb9,0x06feccff,0xf100ffe2,0x01ff207f,0x9ffd9995,
    0x3f201799,0x80ffb807,0x3f200ffb,0x017fc407,0xfffa87ff,0x5fffffff,
    0xff707fb8,0x3bbbff20,0x7ec7feee,0xffffffff,0xffffb80f,0xf980efff,
    0x0ff90004,0x5dfd1010,0x7c417fe0,0x3fff602f,0x1bfe64ff,0x3ee07fc8,
    0x360fffff,0xb85fffff,0x2b97f27f,0xffffff90,0x7c00ffff,0xff105f8e,
    0x7fe7fdc7,0x3ffff204,0xb87fffff,0xffffffff,0x740fffff,0x45ff301f,
    0xb97f27fb,0xfb2ff982,0x01ff200d,0xffffffc8,0x7ec07fff,0x640fec3f,
    0xffffffff,0xc9fee07f,0xffd0ae5f,0x80ffe401,0x3fe607fc,0xffffffff,
    0x00ff904f,0xff701ff7,0x403fe401,0x5ff105ff,0xfffcde88,0xff702fff,
    0x7e41fee0,0xfb8ff707,0xffffffff,0x3fff6205,0x007fc04f,0x2e03fe40,
    0x205f980f,0xffd80ffd,0x3fffe200,0x2fffeb9d,0xe981ff20,0x7dc5ffff,
    0xfb83ffff,0x07f985c7,0xdddddfff,0x3e005ffd,0xff105f8e,0x4ffffe87,
    0x3bbbffe0,0x4c2ffeee,0xfffffffe,0x220fffff,0xb99acfff,0x1fee0ffd,
    0x261fe617,0x00bfb1ff,0xff801ff2,0xfeeeeeef,0x0bff902f,0xdfff07ff,
    0x5ffddddd,0x2171fee0,0x2ffd47f9,0x3205ffa8,0x3ffa207f,0xefffffff,
    0x700ff902,0xffd881ff,0x201ff200,0xffd80ffd,0x00df9800,0x7fb83fdc,
    0x3ee0ff90,0x003be207,0x5400bf60,0x813222ef,0x0fe407fc,0xff3027e4,
    0x9ffb539f,0xffffe880,0x402fffff,0x400007fc,0x0ff700fc,0x3ea07fd4,
    0x017fe02f,0x882fc77c,0x7ffcc3ff,0x05ff504f,0x88002ffc,0xfffff04f,
    0xb89fffff,0x03fea07f,0x17fa3ff5,0xa803fe40,0x17fe02ff,0x7fc1bfea,
    0xf017fd43,0x81fee0bf,0x7fe40ffa,0xfffda9be,0x001ff200,0x7e4001ff,
    0x9cff9807,0x0bffffb9,0xf500ff90,0xffb539ff,0x00f7c009,0x3fdc1fee,
    0xff707fc8,0x0dcefc40,0x0735f900,0xffddff90,0x7f665c4b,0x7e41cccf,
    0x1ffeeeee,0x7ffffdc0,0x7f400eff,0xdfffffef,0xfeccb881,0x0001cccf,
    0xd516d7ec,0x999999ff,0x7f541ffb,0x7f5c41cf,0xfccb80bf,0x222cefae,
    0x321bdffb,0xfea84fff,0x7f5c41cf,0x7cc000bf,0x7f7e45bc,0x543fffff,
    0xcccccffe,0x7d40ffdc,0x4c09ff0f,0x2ccffecb,0x839ffd50,0x20bffeb8,
    0xccccdfff,0x3faa3ffc,0x7f5c41cf,0x3ffaa0bf,0xfdcccccc,0xffffd80f,
    0x5c41efff,0xcccffecc,0x0dcf7c01,0x7ff665c4,0xffd01ccc,0xffffffff,
    0x3fb32e29,0xf701cccf,0x1dffffff,0x0df93300,0x505fff54,0x75417ffb,
    0x3faa1bff,0xfff900bf,0x7ffc4007,0xbffb7006,0xfffffd87,0x320fffff,
    0x1fffffff,0xffffd300,0x4bff5009,0x7fec00a8,0xffffffff,0x3fa60000,
    0xfffff72f,0xffffffff,0x3ffffee1,0x3ffff60f,0x7fffc45f,0x2e5fffdf,
    0x747fffff,0x7ffdc4ff,0x3ff60fff,0xd8005fff,0x2a6206ff,0xffffb81a,
    0xffffffff,0xfd3fcc0f,0x7ffffc05,0x7dc1ffff,0x360fffff,0xf15fffff,
    0xffffffff,0x3ffee7ff,0x3ff60fff,0xfff75fff,0xffffffff,0x3fea01ff,
    0xfd80cfff,0xffffffff,0x3ffee00f,0xfffffd83,0x880fffff,0xfddffffe,
    0xffffb1ef,0x01ffffff,0x13ffffa6,0x05fefd80,0x2bfffff3,0x35fffff9,
    0x2effffff,0x205fffff,0xb88002b9,0x2e00000b,0xfffffffe,0x4cccc45f,
    0x35100009,0x0004d800,0xffffffd7,0x20000bff,0x7ffff4c1,0xffffffff,
    0xbffffd30,0x3fffffb8,0x33099988,0xffffe983,0x2627fcc4,0x5c5ffffe,
    0x003fffff,0x30000310,0xfffffffd,0x301fffff,0x3f201441,0x0dffffff,
    0x2fffff4c,0x4fffffee,0xfffffff8,0xfd33ffff,0xffb8bfff,0xffd33fff,
    0xffffffff,0x1a8801ff,0x7ffff5c0,0x9805ffff,0xfffd702b,0x80bfffff,
    0x75c009a8,0xffffffff,0x001a8805,0x100cdb88,0x227ffffb,0xb13ffffd,
    0x3a69ffff,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5d440000,0x0000001a,0x00000000,0x000000a8,0x00000000,
    0x00005400,0x00000000,0x51000000,0x00000000,0x00054000,0xab988000,
    0x00044000,0x0aa003a8,0x98800126,0x00000609,0x26666666,0x5000c001,
    0x06f2e655,0x75000000,0x57953000,0x200ae600,0x4c057048,0xc8000099,
    0x00efffff,0x2001b600,0x001f72f9,0xfa801b62,0x00fe6005,0x900013e0,
    0x1ba8800f,0x5f503fdc,0x007ae000,0x2745b200,0x200fa600,0x0000fefb,
    0x1ec801f2,0x13fba000,0x4c03e400,0x004fffff,0x44003ff5,0xd801effd,
    0x01ff90df,0x29fffd00,0x1f2005fc,0xfffffff0,0xdf9003ff,0xfbfffd00,
    0xa809ffff,0x401ba23f,0x801effd8,0xefffffe9,0xffffd101,0x313e201b,
    0x3fffe07f,0x3fa20003,0x2fffffff,0x01ff4400,0x3ee3bea0,0x07fd3005,
    0x7003fe40,0xdf9000df,0x4fe88001,0x3ffff200,0x206ffbcf,0x88004fe8,
    0x360002ff,0x002fe8cf,0x3a003fee,0xd1000971,0x7fcc009f,0xf15b8002,
    0x27f44001,0x3ffffe60,0xffc802ff,0x7bff3002,0xff9007ff,0x20001dfd,
    0xdf94ffff,0x809fb100,0xffffffff,0x0ffe802f,0x7ffffec0,0x202fffff,
    0x03fea5fd,0xff79ff30,0x7fffc407,0x440fffff,0x5fffffff,0x3f73bf20,
    0x7ffff106,0x6ffec000,0x0fffb989,0x005ff300,0x5fb8ef98,0x005ff300,
    0x32007fc8,0xdf70007f,0x0ffe6001,0x7ffff440,0x01ffffff,0x4002fec4,
    0xd8004fe8,0x002fe8cf,0x74003bf2,0xe8800792,0xfe98003f,0xf8ad4003,
    0x07ff3000,0xd519ffd0,0xdd8803ff,0x445fb000,0xfe9800fe,0x7d440003,
    0xd101324f,0x5bff007f,0x20035555,0xff7003d9,0x17fa617f,0x015c1b88,
    0x1fd317f4,0x4cb7fea0,0x7fdc5ffb,0x02ffd98c,0x802fbf6e,0x0003ffa8,
    0x3e609ff7,0x03db006f,0x17e1db00,0x8001ed80,0x4009bffd,0x260007fc,
    0x03f9004f,0x44effec0,0x003fffc9,0x6c0007f2,0x4fe6000f,0x3e2002fa,
    0x777d4005,0x00fe4000,0x000fb100,0x64007ffd,0x4ff9801f,0x0001ffcc,
    0x80010040,0x3fe00000,0x5f900d34,0x000ffe00,0x5ff70000,0x0000ff70,
    0xb8010040,0xfe8ffb01,0x400ffe85,0x0ffe2000,0x2037fc00,0x00001ffb,
    0x00000400,0x7ffff4c0,0x1ff202ff,0x00000000,0xfc84ffb8,0x000006ff,
    0x04080000,0x88000400,0x00000001,0x00260000,0x1ffc8000,0x2a605ff8,
    0x98031ccc,0x8031ccca,0x031ccca9,0xf1bcca88,0x04002a9f,0x0007ff00,
    0x004de5d4,0x3ee03fee,0x4155440f,0xaa882aaa,0x002aaa82,0x3fe27fd8,
    0x101ffb83,0xf1003795,0x06f32a7f,0xf802ff88,0x2cca883f,0x220072e6,
    0x54001bca,0x2e009bcb,0xffffffff,0x001ff205,0x40037951,0x7c01bca8,
    0xffffa86f,0x5e5d402f,0x0aaa2009,0x2a20aaaa,0x02aaa82a,0x18e6654c,
    0x0b332e60,0x55055510,0x665cc055,0x1554402c,0x73015554,0x7ec05999,
    0xb10ff907,0xffffffff,0xffffb109,0xb109ffff,0xffffffff,0x3fffee09,
    0x404ffdff,0x379732aa,0xfedeff80,0x7ffd403d,0x2e02ffff,0x0ffb80ff,
    0xe83fffee,0x3ee0ffff,0x3ffa0fff,0x3ee000ff,0x20bfe65f,0x7f443ff9,
    0x202fffff,0xffffdff8,0xffa80dff,0x644fe801,0xfbdfffff,0xfd103fff,
    0x805fffff,0xfffffffa,0x217dff02,0xfff95ff9,0xffffffff,0xffffd10d,
    0x7f4405ff,0x882fffff,0x7ffcc2ff,0xff504ff9,0x705fffff,0x7f41ffff,
    0x3fee0fff,0x3fffa0ff,0xfffd880f,0x544fffff,0xffffffff,0x0ffffb82,
    0x503ffffa,0xffffffff,0x1ffff705,0x207ffff4,0xfffffffa,0x505fe82f,
    0x7ffc43ff,0x6fffffff,0x7fffffc4,0x7c46ffff,0xffffffff,0xffffc86f,
    0x04ffffff,0x3ff7fffa,0x3fe04fff,0x0dffffff,0xffffffc8,0xff703fff,
    0x541ff701,0x3fa0ffff,0x3fea0fff,0x3fffa0ff,0x7ffec00f,0x42ffc0ff,
    0x3fa24ffe,0x2fffffff,0xffffff10,0xb81fffff,0x6fd800ff,0x7ffffff4,
    0x43ffffff,0xffffffe8,0xfff902ff,0x87ffffff,0x3fc82ffa,0xfffffffd,
    0x443fffff,0xfffffffe,0xfffe882f,0x4c2fffff,0x3ffa21ff,0xff90bfd1,
    0x7fffffff,0x20ffffa8,0x2a0ffffe,0x3fa0ffff,0x7fc40fff,0xffffffff,
    0x7ffffdc6,0x7d40ffff,0x3ffa0fff,0x7ffdc0ff,0x40ffffff,0x3a0ffffa,
    0x7dc0ffff,0xffffffff,0xf9827f40,0x2b7ff61f,0xd8dff930,0xf930adff,
    0xadffd8df,0x98dff930,0xfd50bfff,0x7fec09ff,0xffffffff,0xbbffff02,
    0xffa89fff,0xfff510af,0x701ff701,0xffc881ff,0x207fdc40,0x5c40ffc8,
    0x3fe600ff,0xffd84fff,0x2bfff912,0x2a2dffe8,0xff882ffe,0xffb51cff,
    0x801ffa8b,0x88dcc5fe,0xfe88fffe,0x8b7ffa26,0x7d42ffea,0xff510aff,
    0x3037ec1f,0x7ed55544,0x221aaaaf,0x3aa2dffe,0x3ffa22ff,0x8bffaa2d,
    0x3ff60ffb,0xff51bf63,0x3fea215f,0x07fe440f,0x9103fee2,0xffb881ff,
    0x856ffec0,0xaa86ffc9,0x4417fdc1,0x7dc40ffc,0x5c1aa80f,0xffc882ff,
    0x407fdc40,0x17fdc1aa,0x7fcc13fa,0x6c0dff11,0x81bfe25f,0x1bfe25fd,
    0x7ff45fd8,0x809ffd01,0xd30bfffb,0x107260bf,0x7fec1ffd,0xa8bff301,
    0x3660bffd,0x7fdc0bff,0xb80ffb80,0x0ffb80ff,0x7fff6dc0,0x7f7ffcc2,
    0xff56ffff,0x217fe209,0xfb02fff8,0x01ffcc3f,0x5440ffe2,0x3ee3ffda,
    0x209ff52f,0x7fec5ff8,0x64bff301,0x3f20006f,0x827fd407,0x3fea5ff8,
    0x54bff104,0x8bff92ff,0x0ffec4fe,0xfb85ff98,0x80ffb80f,0xffb80ffb,
    0xd81bfe20,0x5553105f,0x3ee07ff3,0x00ffb80f,0xff355531,0x203fee07,
    0x53100ffb,0xe87ff355,0x23ff505f,0x32203ffa,0x880ffea1,0x80ffea1c,
    0x037fc1c8,0xfb809ff7,0x007fb82f,0x3fe2ffa8,0xffffffff,0x3ffe67ff,
    0x3fffa6ff,0x407fdc4f,0xffb80ffb,0x000ffb80,0xf503ffea,0x9ffdffff,
    0xfc803ff2,0x206ff887,0x7ff43ffa,0x707ff200,0xffffffff,0x327fffff,
    0x1ff200ff,0xffffffff,0x7d4fffff,0xfc80302f,0x007fe407,0x07fe4ff9,
    0x7fc4ff90,0x220effac,0x7fffc3ff,0xffffffff,0xb80ffb87,0x0ffb80ff,
    0x3ea0ffb8,0x2072203f,0xfffffffb,0x01ff704f,0xff701ff7,0x09ffffff,
    0x3ee03fee,0xffffb80f,0x7e44ffff,0x2e1ff907,0x7dc000ff,0x7fdc000f,
    0x1ffc4000,0xb809ff10,0x0ffb80ff,0x89ffc400,0xffffffff,0xb10fffff,
    0x7e47ffff,0x7fdc1eff,0xb80ffb80,0x0ffb80ff,0x417fd400,0xffbacdb8,
    0xfa80bfd2,0x027fc41f,0xbff713fe,0xfd17fea0,0xffffffff,0x3a9fffff,
    0x8ffd405f,0xfffffff8,0x20ffffff,0xfc99cfff,0x01ff204f,0xffa80bfd,
    0xfa80bfd1,0x3ffffa1f,0x10ffe41f,0xffffffff,0xb81fffff,0x0ffb80ff,
    0xfb80ffb8,0x003fee0f,0x3fffff60,0xf704ffff,0x81ff701f,0xfffffffd,
    0x1ff704ff,0xfd81ff70,0xffffffff,0x7c17fd44,0x00bfea7f,0x8005ff50,
    0xf8002ffa,0x13fea05f,0xf701ff70,0xff98001f,0x3333bfe3,0x04cccccc,
    0x0ffb8000,0xfb80ffb8,0x00ffb80f,0x401ffc40,0xff90fff8,0x207fec01,
    0x3e606ff8,0xbeffc83f,0x20fffda9,0xd99aeffa,0xcccccdff,0x6c01ff92,
    0x33bfe0ff,0xcccccccc,0x7ffffdc4,0x3f203fff,0x007fe407,0x3ff21ffb,
    0xa83ff600,0x7d42ffff,0xcceff85f,0x4ccccccc,0xfb80ffb8,0x80ffb80f,
    0x3fea0ffb,0x77fdc002,0x4ffa999c,0xf701ff70,0x677fdc1f,0x04ffa999,
    0xff701ff7,0x4e77fdc1,0x444ffa99,0x27fcc5ff,0x3980dff1,0x7301bfe2,
    0x26037fc4,0xe807ff43,0x7fdc04ff,0x4c0ffb80,0xd87ff200,0x100002ff,
    0xff70017b,0x80ffd881,0x7ec40ffb,0x7fdc000f,0x1ffecc01,0x3e609ff5,
    0x1fff885f,0x2e03ffb0,0xefffffff,0x320ffd41,0x7fd403ff,0xd8bff304,
    0xb10002ff,0x805dffff,0x7fd405fa,0x54bff304,0xbff304ff,0x537fffd0,
    0xfb01fffb,0x3ee0005f,0x07fec40f,0x36207fdc,0x1bfe20ff,0x07fec730,
    0xfb827fcc,0x07fec40f,0xff301ffb,0x103fee09,0x7fec1ffb,0xd84ff980,
    0xfffcadff,0x4d6ffec0,0x22ffda99,0x999adffd,0x3f62ffda,0xda999adf,
    0x3ffea2ff,0xfffec9ad,0x1ff700be,0x7c41ff70,0xfca99acf,0x67ffcc6f,
    0x5fdca99b,0x805fe880,0xfb99cff9,0x7cc0bfff,0xfffb99cf,0x26ffa0bf,
    0x47ffcba9,0xfffeb9ba,0x9cfffe85,0x4c2fffdb,0x9adffffc,0x5405ffeb,
    0x80cfffff,0xfd9aeff8,0xfdb9afff,0x273fffa2,0x4c2fffdb,0xa99bcfff,
    0x3f205fdc,0x002a001f,0x2e73fffa,0x7f42fffd,0xffdb9cff,0x7fffdc2f,
    0x01ffffff,0x3379fff3,0xf30bfb95,0xfff7339f,0xcff9817f,0xbffffb99,
    0x26b7ff60,0x92ffda99,0xfb5337ff,0xf9815dff,0xfffb99cf,0x37ff90bf,
    0x5dfffb53,0x99cff981,0x90bffffb,0xfb5337ff,0xfe815dff,0x882fffff,
    0xfffffffe,0x7ff446ff,0x6fffffff,0x7fffff44,0xfc86ffff,0xffffffff,
    0xfda84fff,0x3ff660bf,0x3ffffa0b,0xa81fffff,0xffffffff,0x6fdc07ff,
    0xfffd006f,0x9fffffff,0xffffffd0,0x3e29ffff,0xffffffff,0x3fffe22f,
    0xfd105fff,0x5fffffff,0xffffff88,0x0fffffff,0x0efffe40,0x7ffe4371,
    0xffffffff,0x3fa24fff,0x2fffffff,0xffffff50,0x640fffff,0x9999307f,
    0x79999999,0xfffffe88,0xfe882fff,0x2fffffff,0x7edfffcc,0x5400dfff,
    0xffffffff,0xfffd07ff,0x9fffffff,0xffffffd0,0x7449ffff,0xffffffff,
    0x3fffe26f,0xffffffff,0xfffffe84,0xf14fffff,0xffffffff,0xffd09fff,
    0xffffffff,0x3ffffe29,0x4fffffff,0x17ffff44,0xfffff910,0xf91019ff,
    0x19ffffff,0xfffff910,0x3aa019ff,0xffcfffff,0x7ffcc1ef,0x3fffa6ff,
    0x3fff224f,0x2600dfff,0xfffffffd,0x6fec401d,0xfffd1001,0x03dffbbf,
    0xbbffffd1,0x7f543dff,0x80dfffff,0x01effffd,0xdffffec8,0xdbfffb01,
    0x019fffff,0xffffffb8,0x7dc5ffef,0xfededfff,0xec80beff,0x401dffff,
    0xffffffd9,0x1bee01df,0x7ffffff4,0x81ffffff,0x1dffffec,0x7ffff640,
    0x41ffc81d,0x7ecc001a,0x1dffffff,0xbffffd10,0xd103dffb,0xffbbffff,
    0xfffc883d,0x4c0cffff,0xfcfffffd,0xfe881eff,0xeffddfff,0x3ffff661,
    0x81efffcf,0xddffffe8,0x3f661eff,0xfffcffff,0x0015101e,0x04d554c4,
    0x4d554c40,0xaaa98800,0x35310009,0x7ffec400,0x3bfff23f,0x01aa9881,
    0x04d54c40,0x51000000,0x35100013,0x4d4c4001,0x001a8800,0x40003510,
    0x3e001aa8,0xffffffff,0x015302ff,0x2a200153,0xaa988001,0x05b10009,
    0x3ffffff2,0x00efffff,0x220006a2,0x016cc01a,0x2aa62000,0x26a20009,
    0x09a88000,0x5554c400,0x01aa8009,0x00135100,0x10001aa8,0xaa800135,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32a00000,0xadca89ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x004cc400,
    0x2e000e44,0x33303a81,0x33333333,0x01331000,0x97300008,0x15553179,
    0x006f2a20,0x00000000,0x5c122000,0x05dcc002,0x65c4554c,0x207200ab,
    0x0722003a,0x2b80c880,0x39000000,0x6441d400,0x01555100,0x11003553,
    0x23555100,0x0001bcca,0x98aaa600,0x019101cb,0x0aaa6057,0x2200aaaa,
    0x8000001c,0x551bcca8,0x70191035,0x00000003,0x02fc83ba,0x09fffd00,
    0x004fffa8,0x2fec53fa,0x7fffffc4,0x4007ffff,0x2604fffe,0x2a88ceff,
    0xffffff90,0xf90ffffd,0x001dffff,0x3b200bb1,0x20ee8000,0x27c402fc,
    0x32200fe6,0x2e3fffff,0xffffefff,0x88bd00ef,0xfff5005e,0x313e2009,
    0x20ee807f,0xfe9802fc,0x3df9004f,0x3e603fee,0x3f60ffff,0xfb505fff,
    0x3fe205ff,0xfffffdff,0x3a6000df,0x3ffffa04,0x0effffc9,0xfe99ffc4,
    0x47fffb84,0x200ffffe,0xa804fffa,0xf5000bee,0xffbfffff,0x2ff989ff,
    0x22007fd3,0x0f880aba,0xfd0ffcc0,0x3ffa0009,0x2bff204f,0xd8800efe,
    0x880cffef,0xffffffff,0x7fc007ff,0x3fa204ff,0xd85fffff,0xffffffff,
    0x7fe46fff,0x00ffffff,0x4c00bfa6,0x3e6002ff,0x2013fa1f,0x06fdcefc,
    0xfffffe88,0x3fffee4f,0x06ffffff,0x3ff99df5,0xfd5ff900,0x9df9001d,
    0xff980ffb,0xf9013fa1,0x003dfb7f,0x03dfdff7,0x83ffffe6,0xc84ffffc,
    0x03ffffff,0xfffffffd,0x001fffff,0x7ec03ff5,0xffffffff,0xefe983ff,
    0xfff503ff,0x0ffffe8f,0xdfb5ff90,0x3f77f601,0xffffb805,0xffffffff,
    0xffefe983,0xffff9003,0x007d41df,0x002e61dc,0x0e7fd4c0,0x9f706fcc,
    0x0177d400,0x2aaab3fe,0x44007fea,0x75c04ffa,0xfa85ffff,0xffd713ef,
    0x2eff983f,0x2609ff93,0x74c002ff,0x30ee003f,0x3f6e0017,0x7f4400be,
    0xf3030adf,0x3f221bff,0x9ffb500f,0x41bf3003,0xfb7004fb,0x8770017d,
    0x37e200b9,0x4c017ea0,0xff8804fe,0x107ff706,0xfff77dff,0x3fffe601,
    0x01bff262,0x71003df7,0x2a3bffff,0x03bf200d,0x710ff910,0x1bf301ff,
    0x1fc427dc,0x7fcc03f5,0x3fff262f,0x06fe400d,0x7ffff440,0x1f72ffff,
    0x50000000,0x07fffffd,0x22000201,0x880db800,0xff0004ff,0x56ffdc09,
    0x7ff40ffe,0xb87ff980,0x06fe81ff,0x220003db,0x0000007d,0x3fa20010,
    0x9ff1004f,0x0005ff10,0x00020100,0x80000002,0x08001100,0x20bfee00,
    0x1ff706ff,0xff017fd4,0x07ff203f,0x2a000df8,0x30003fff,0xb83fdc00,
    0x020100ff,0x80fe07dc,0xff900ffd,0xd8006009,0xfb989dff,0x2005fbff,
    0x2001bca8,0xff1bcca8,0x1bca8809,0x4de5d400,0x5ff50000,0x8de65440,
    0x82a204ff,0x2ffc4ff9,0xff90ffd0,0x0001ff60,0x97500000,0x5d400137,
    0x3ee009bc,0x3fe2003f,0x983ff882,0x4002cccb,0x2009bcba,0xaaa82aa8,
    0x3332e602,0x99973002,0x82aa8805,0xff102aaa,0x702ffb8d,0x02ffa8ff,
    0xff8817fe,0x2a000203,0xa88002ff,0x7fb801bc,0x5401ff70,0x4098bccb,
    0x807ea2f9,0x3fe205ff,0x3332e604,0x827fdc02,0x800dfff9,0xffffffe8,
    0x7fffdc02,0x104ffdff,0x5ffffffd,0xfffffa80,0xfd8002ff,0x3fffee07,
    0x204ffdff,0xfbacdcb9,0x407ff10f,0x3ffa87fc,0x5442ffc4,0xa8802aaa,
    0xf5002aaa,0x05ffffff,0xffffffa8,0x44ffd02f,0x417fc400,0x3fea3ff8,
    0x02ffffff,0x7fffffd4,0xffffb82f,0x03ffffa0,0xfffffff5,0x3ffea05f,
    0xb82fffff,0x3fa0ffff,0xff700fff,0xf7037fc5,0x03fff26f,0x3e204ff8,
    0x31554c4f,0x7fd40397,0x3ffa2000,0x2e02ffff,0x01ff707f,0xffffffd3,
    0xf99fb0bf,0x027fc18d,0xff509ff1,0x05ffffff,0xff701bfe,0xfffd1005,
    0x205fffff,0xfffffffc,0xfe884fff,0x2fffffff,0xffffff90,0x44007fff,
    0xfff904ff,0x9fffffff,0x3fffff20,0x3fe2ffff,0x741ffe06,0xfffdbeff,
    0x7ffffcc2,0x7fffcc07,0xfffc807f,0x03ffffff,0xfffffff9,0xcff887ff,
    0x101efffb,0x7ff105ff,0x7fffffdc,0xff900fff,0x7fffffff,0x20ffffa8,
    0x5c0ffffe,0xffffffff,0xffffb80f,0x540fffff,0x3fa0ffff,0x3fe00fff,
    0x5c05ff76,0x5ffff9ff,0xc80fffc0,0x3fffa2ff,0xeffffc9f,0x000ffa80,
    0xffffffd1,0x1fee05ff,0x7f407fdc,0x7fffffff,0x98cffb88,0x3ff62fec,
    0x709ff900,0xffffffff,0x02ff881f,0x74403ff8,0x3faa2dff,0x5fffcc2f,
    0x89fffd50,0x2a2dffe8,0x7fd42ffe,0xfff510af,0x0bfea001,0x542fffe6,
    0xfc84fffe,0xffffceff,0x20bff63f,0xff107ffb,0x109fffff,0x80ffffff,
    0x07fffff8,0x8857ffd4,0x7d40fffa,0xff510aff,0x7fffcc1f,0x882fffff,
    0x3ff882ff,0x3fee0d54,0x0afffa82,0x881fff51,0x7dc40ffc,0x5c1aa80f,
    0x835502ff,0xfc882ffb,0x07fdc40f,0xdff5ff70,0xfe8ffb80,0x3fe03fff,
    0xff930bef,0x7fffec1f,0x3fffffff,0x8800ffa8,0x3aa2dffe,0x0ffb82ff,
    0x2a07fec4,0x3f660aff,0x7ffe5406,0x5f7fdc2d,0x09fff930,0x5ff706aa,
    0xe801ff98,0x27fd405f,0x7f45ff88,0x89ffd01f,0xff104ffa,0x301ffd8b,
    0x3f600bff,0x203ffd07,0x7fd44ffe,0x2fffd41e,0xd55bfff3,0x3ee0ffff,
    0x06ffffff,0x401ff666,0x6c07fd99,0xbff301ff,0xf301ffd8,0x7fffccbf,
    0x20fffdbe,0x442dffb9,0xaa9883ff,0xfd83ff9a,0x0bff301f,0xff701ff7,
    0x2aaa6201,0x26203ff9,0x03ff9aaa,0xff701ff7,0xfffff801,0x933fdc02,
    0x3fe07fff,0xfffeffff,0xfffb881f,0x541b51df,0xccccffdc,0x104ffa82,
    0x9ff70bff,0x7ffff733,0x0d6ffd41,0xff950391,0x7e4015bf,0xffffefff,
    0x2aa6204f,0x7dc3ff9a,0x06fd800f,0xf9007fe4,0x2e06ff8f,0x07fe44ff,
    0xfff8ff90,0xffffffff,0x4ff8807f,0x7dc0dff0,0x81ffe44f,0x7fdc5ffc,
    0x7fffffff,0xb9cfff98,0x7e405ffe,0x03fe4007,0x3ffffffe,0x7c7fffff,
    0xffffffff,0x3fe27fff,0xd1ffd45f,0x443fffff,0x7ffdc3ff,0xf84fffff,
    0xffffffff,0xffb87fff,0xb80ffb80,0xffffffff,0xfffff704,0x3ee09fff,
    0x00ffb80f,0x4037ffdc,0x7fe887fb,0xffffdff0,0x7d403dff,0x7fdc03ff,
    0xffffffff,0x9007fe42,0xffff70ff,0x9fffffff,0xefffffe8,0xadffe80c,
    0x7e402db9,0xffefffff,0xfffff704,0xff989fff,0x405fe801,0x7fd405fe,
    0x4407ff11,0x02ff44ff,0x7fc47fea,0xffffffff,0x7d400fff,0x03ff882f,
    0xffd13fe2,0x213fe601,0xddffffe9,0x81ffc87f,0x3fe407fe,0x881ff200,
    0xffffffff,0xf10fffff,0xffffffff,0x7fc1ffff,0x325ff80f,0x7c45ffff,
    0x3ffff63f,0x444fffff,0xffffffff,0x5c0fffff,0x0ffb80ff,0x7fffffec,
    0xffd84fff,0x4fffffff,0xf701ff70,0x5fff001f,0x260ff700,0x8bff81ff,
    0xa802cdcb,0xfe9802ff,0xefffffff,0x2a02ff40,0x7ffdc1ff,0xeffdefff,
    0x7fffe441,0x51542fff,0x880dfdff,0x9ff1cdcb,0xffffffb0,0xff889fff,
    0x01ffc403,0xfd803ff2,0xa817fe0f,0x07fe44ff,0x7fc1ffb0,0xccccccce,
    0x7fd804cc,0xfa817fe0,0x80ffec4f,0x26203ffa,0xfd0ff70a,0x807fee0d,
    0x7e4007fc,0x6677fc07,0x4ccccccc,0x666677fc,0x6c4ccccc,0x00dfd06f,
    0xff72ff88,0xff53339d,0x999dff09,0x09999999,0xff701ff7,0x4e77fdc1,
    0x5c4ffa99,0xa999ceff,0x1ff704ff,0x8801ff70,0xff7006ff,0x7fc1ffc0,
    0x3fea0003,0x64000000,0x3ff600ff,0x5557fdc0,0x5d441000,0x3a00fffd,
    0x0005f30d,0xdff713fe,0x9ff53339,0x6401ffd0,0x7fd401ff,0xe8bff304,
    0x9ffd00ff,0xf304ffa8,0x02ffd8bf,0x04ff8800,0x7f403ffa,0x827fdc4f,
    0x74002ffd,0x80ffc86f,0x3f200ffc,0x03fe4007,0x2000bff6,0xc8002ffd,
    0x27fc42ff,0x6c7fee00,0x4ff980ff,0x0002ffd8,0xfd881ff7,0x203ff60f,
    0x7fec4ff9,0x704ff980,0xffd881ff,0x017fdc00,0x23f97fb8,0x3ff83ff8,
    0x03fea000,0x2016dc00,0xff304ffa,0x000ff70b,0x3fe603fd,0x5e85f302,
    0xd89ff000,0x4ff980ff,0xf505ffa8,0x3ffa00bf,0xfffdb9cf,0x56fffd42,
    0xbefffec9,0x273fffa0,0x4c2fffdb,0xa99bcfff,0x7d405fdc,0x3ffea02f,
    0xfffec9ad,0xbffd10be,0x0bffb515,0xffda9998,0x9beffa84,0x6406ffca,
    0x3fe4007f,0x2f3ffe60,0x45fdca99,0x99bcfff9,0x7445fdca,0xffeb9bef,
    0x7dccc402,0x26fff27f,0xaefffda9,0x2f3ffe60,0x85fdca99,0xfb99cff9,
    0xff90bfff,0xfffb5337,0x2fff215d,0xefffda99,0x4e7fcc0a,0x0bffffb9,
    0x07ffcccc,0x2bffaa20,0x2ffd9dff,0x004e7fcc,0x0007fd40,0x7401ffc8,
    0xfdb9cfff,0x07fb82ff,0x567ffc40,0x00ffdb99,0x004f87f1,0x906ffcc4,
    0xfb5337ff,0xfc815dff,0xffda9bef,0xffd1000f,0x05ffffff,0x3ffffff2,
    0x24ffffff,0xffffffe8,0xfff502ff,0xffffffff,0xc807fd80,0xffffffff,
    0x3e64ffff,0xffffffff,0xfffff300,0x3f601dff,0x1effffff,0x7ff66654,
    0x32a0bccc,0xcccffecc,0x7fffd40b,0x87ffffff,0xfffffffa,0xffa87fff,
    0x405fffff,0x2ffffffa,0x3fffffe2,0x44ffffff,0xfffffffa,0xffd07fff,
    0xffffffff,0x3ffffe29,0x4fffffff,0xfffffff1,0xd09fffff,0xffffffff,
    0x3ffe69ff,0x201fffff,0xfcfffffc,0x7f46ffff,0x003fffff,0x999ffb95,
    0xfbdf0059,0xfffe8803,0x702fffff,0xfff000ff,0x9fffffff,0xfdabfc80,
    0x3fffa000,0xfff13fff,0xffffffff,0xffffb09f,0x0003dfff,0x3bffffd9,
    0xffffea80,0x81efffcf,0x1dffffec,0x7fffecc0,0x5401dfff,0xffd5002f,
    0xdfff9fff,0xffffd883,0x3fea00cf,0x400cffff,0x0dfffffc,0x7fffffcc,
    0xf34fffff,0xffffffff,0xffb309ff,0x03bfffff,0x3fffff66,0xfb501dff,
    0xf7009fff,0xb305dfff,0xff9fffff,0xffb303df,0x03bfffff,0x37ffffa2,
    0x3661effd,0xffcfffff,0x3ff661ef,0xefffcfff,0xffffe881,0xf31effdd,
    0x5fffffff,0x67fff4c0,0x20efffe8,0xfffffff8,0xffffb804,0x02ffffff,
    0x90027f5c,0x03bffffd,0x640037cc,0xffffffef,0xeffc8803,0x7fffc003,
    0x3f664fff,0xfffcffff,0xffff501e,0x8800019f,0xa988001a,0x03510001,
    0x13553100,0x31000000,0x53100035,0x2aa20013,0x1a88001a,0x3ffff620,
    0x12efffff,0xfffffffb,0x4c405dff,0x220009aa,0x20009aa9,0x260009a8,
    0x355000aa,0x2aa62000,0x26a20009,0x00d54000,0x8000d540,0xa88009a8,
    0x000aaaaa,0xa880d440,0x3001aaaa,0xfffffffd,0x000001df,0x26001a88,
    0x54c40000,0x0188001a,0x55555100,0x000d5403,0x00003510,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x0003a82b,0x00000010,0x17997500,
    0x4cccc013,0x00130009,0x5d4c1330,0x19999800,0x00391000,0x01910750,
    0x03700110,0x09880075,0x002ae600,0x00999998,0x22199998,0x083b7100,
    0x06441d40,0x803a82b8,0x573000c9,0x00b98000,0x001a8800,0x020e5c40,
    0x04ccccc0,0x041cb880,0x09999980,0x33002620,0x15c12201,0x47332a60,
    0x06666601,0x22000040,0x911bfd00,0x400980df,0x3bf206fb,0x80fd4000,
    0xffffffe9,0xffff985f,0x7cc04fff,0x3ffea006,0xeffffe9b,0xfffff881,
    0xfffa8007,0x877e4004,0x7cc00ffb,0x8a7f402f,0xdb8805fd,0x2e0dffff,
    0xfffffdcf,0x3ffe600e,0xf104ffff,0x3e6fffff,0x7fffc40f,0x7e406eac,
    0x201ff71e,0x6fd88dfe,0x017ffdc0,0x05fffff3,0x00fffd80,0x0bffea00,
    0xffff9800,0x7cc06eac,0x04ffffff,0x567fffcc,0x7ffcc06e,0xfb84ffff,
    0x7fd40fff,0x27c40eff,0x7ec40fe6,0x4fffffff,0x3fffffc4,0x8002fcc0,
    0xfd882ffc,0x2600dfef,0x03fdc06f,0x64005fff,0x3fffa06f,0x887fffff,
    0x1ccccccb,0x7003fdc0,0xffffbfff,0xf881dfff,0x4007ffff,0x0efeaffc,
    0x3fbfee00,0x4ffa801e,0x7ff7ec40,0x7ffc400c,0x363fffff,0xffffffff,
    0x997102ff,0x22039999,0xf37fffff,0xd89ea83f,0xfb802fff,0x2201efef,
    0x00dffefd,0xbff5dfd1,0x37c47260,0x03f6f200,0x2fcc9800,0x227ae000,
    0x4401fffd,0x1ccccccb,0x7ec4f5c0,0x65c401ff,0xd81ccccc,0x7e41ffff,
    0xfc80ffff,0xf106fdce,0xffffffff,0xffff88df,0x3f2a207f,0xf000aaaf,
    0x7fd40bff,0x807fb802,0x00b2604b,0x3ea05fd8,0x1bf660af,0x1fee0000,
    0xdffff500,0x213ff225,0x007fdaa8,0x4fb837e6,0x01ff4c00,0x2001b910,
    0xf9002ffa,0x1b99559f,0x44d7ffec,0x000fffeb,0x7ed54400,0x14c01e67,
    0x013fa600,0x6402ffa8,0x007f623f,0x2000df53,0xb80000fc,0x4c00002f,
    0x00000002,0x000000a6,0x36603ff9,0x3f6e00ff,0xbffb00be,0x1bff2615,
    0x81ff6aa2,0xfffffffd,0x03df7007,0xff700088,0x0000e880,0xf500fea0,
    0x0e4435bf,0x02cccb98,0x557fed44,0xff100aaa,0x01bfa0bf,0x00800ff9,
    0x00040001,0x00088000,0x7ec017fa,0x0bff701f,0x000de544,0x202e9ff2,
    0x0001bca8,0x00110001,0x3ee00402,0xf90002ff,0x5f700001,0xccb98000,
    0x1554402c,0x54415554,0x02aaa82a,0x009bcba8,0xdf901fee,0xff100200,
    0x202fec0d,0x36a607fc,0x001aaaff,0x2f32ea00,0x7ed44098,0x50aaaaaf,
    0x01000003,0x3fffffa0,0xfffa80ce,0xf02fffff,0xffffffff,0xdff103ff,
    0x901ff201,0x355300ff,0x202aaa20,0x379732aa,0x2aaaaa60,0x2a62aaaa,
    0xaaaaaaaa,0x04ffa982,0xfe807f70,0x7fff440f,0xf9002fff,0x7f440a2f,
    0x202fffff,0x32e62aa9,0x55555101,0x55555100,0x21bf2a00,0x1f900fe9,
    0x2e03fb80,0x07f2202f,0xfffffff5,0xffff705f,0x07ffff41,0x741ffff7,
    0xf500ffff,0x05ffffff,0xdf901fee,0x0aaaaa20,0x2203ffa8,0x03fe401c,
    0xbcb8bfdc,0x3fa60001,0x45ffffff,0xffffffff,0xf3001fff,0x2aaaa609,
    0x882aaaaa,0xfffffffc,0x7ffffdc2,0xfe80ffff,0xffffffff,0x03ff881f,
    0xff901ff2,0x7ffff408,0x7ffffcc4,0x3f7fffa1,0xfb84ffff,0xffffffff,
    0x3ffffee7,0x7e47ffff,0x02004fff,0xe887fea0,0xffffffff,0x407fc802,
    0xffffffe8,0xfffe82ff,0xeffffc9f,0x3ffffe60,0x7fffcc07,0x0fe4007f,
    0x3201dff9,0x5ffd300f,0xfa817dc0,0x7ffdc1ff,0x40ffffff,0x3a0ffffa,
    0x3ea0ffff,0x3ffa0fff,0xfffc80ff,0x83ffffff,0x37e407fb,0x3fffffcc,
    0x0001ff70,0x0bd5ff90,0x3fffbfee,0xfd0004ff,0xffffffff,0xffffffe8,
    0x7001ffff,0x3ffee0df,0x87ffffff,0x3ff6ea20,0x2e0d540f,0xff9102ff,
    0x44033333,0x1fee03ff,0x27f4ff90,0x887ffffb,0x360fffff,0xffffffff,
    0x7ffdc2ff,0x27ffffff,0xfffffffb,0x7ffe47ff,0xeee8804f,0xeeeeeeee,
    0xbffd13ff,0x017ff545,0xfe881ff2,0x3ffaa2df,0x7ffffec2,0x23ffffff,
    0x07fffff8,0x3fffffc4,0xdd755770,0x5413ffa6,0x320abfda,0x95301eff,
    0x3f62159f,0x835500df,0xfc882ffb,0x07fdc40f,0x7103ff22,0xfffa81ff,
    0x1fff510a,0x7e407fb8,0xfffff886,0x00bfea07,0x3ffff200,0xffffb80f,
    0x003fffff,0xb3057fd4,0x3ff910df,0x22003333,0xff707ffc,0xffffffff,
    0xff301fe8,0x35553105,0x3fdc07ff,0x80ffe200,0xbfe407fb,0x7fe46ff8,
    0x3f62bd70,0xbfffb80f,0xfb8bfd30,0xfffb999f,0x2667fee2,0x9882fffb,
    0xff9804fe,0xffffffff,0x9ff53fff,0x9017fe20,0x27fd40ff,0xb885ff88,
    0xb51dffff,0x0ffb3301,0x81ff6660,0xcaefffec,0x20aa9eff,0xbffffff8,
    0xacacffea,0x7ffffec0,0xaaafffba,0x35553100,0x3fee07ff,0xb80ffb80,
    0x0ffb80ff,0xf980ffec,0x203fdc5f,0x366606fc,0x1bfe207f,0x7ec40730,
    0xff702fff,0x1bfa617f,0xff517ba6,0x80e4435b,0xf50007fb,0x3ee0dfff,
    0xfffb999f,0x2b3ffe22,0x40ffdb99,0xfffffffb,0x7ffec44f,0x201effff,
    0x3ee03ff8,0xd93fe407,0xff1ffa85,0x5c17fa5f,0x47fb82ff,0x3ffea5f9,
    0xff52fcc2,0x04fe805f,0xcccdff88,0x3ffccccc,0x7e401ff9,0x903fe407,
    0x3fe401ff,0x003fffa8,0x64007fc8,0xa898807f,0x3ff93fff,0x3dffb100,
    0x807ffffb,0xfb8dffe9,0xffffb82f,0xf704ffff,0x01ff701f,0xff701ff7,
    0xffffff81,0x47ffffff,0x3f2047fb,0x407fc806,0x999adffd,0xfb82ffda,
    0x2e00cfff,0x87fc81ff,0xffe82ffb,0x200cefff,0xf88007fb,0x3e601dff,
    0x20bffea5,0xffffffff,0x7ffec4ff,0x44ffffff,0xfffffffa,0x3fe204ff,
    0x901fee03,0x7ff100ff,0xff1bfff5,0x203fee07,0x3ea00ffb,0xffa802ff,
    0x04fe802f,0xfb80bff0,0xa80bfd2f,0x1ff201ff,0x7d405fe8,0x02ffa81f,
    0x800ff900,0xfb1007fc,0x3ffe63df,0x9fffd401,0x40fd12fb,0xff12fffb,
    0xffffd85f,0x704fffff,0x1ff701ff,0xf701ff70,0x7fffc41f,0xffffffff,
    0xfa9fee0f,0x3201bf24,0x7ff4407f,0x6fffffff,0x07ffffc8,0xff707fb8,
    0x3220bfd0,0x2fffffff,0x7000ff70,0xf50005ff,0x3bf205ff,0x43ffffff,
    0x999ceffb,0xeca84ffa,0x00bcccff,0xfc80ffe2,0x803fe407,0xffffddfe,
    0xff701ffb,0x201ff701,0xa801fffa,0xfd001fff,0x03ffa009,0xff90ffe8,
    0x007fec01,0x7fe40ff9,0x203ff600,0x90000ffa,0x7fc800ff,0x43fff880,
    0x2e01fdfe,0xd0a20dff,0x19ffb01f,0xf717e7ec,0xf53339df,0x03fee09f,
    0x3ee03fee,0x40ffb80f,0xccccceff,0x7dc4cccc,0x6fd9bf27,0x8807fc80,
    0xfffffffc,0xfdefc80c,0x707fb807,0x00ff88ff,0x7fedd441,0x007fb80f,
    0x17106fe8,0x003fff50,0x6c077e62,0x4ff980ff,0x4403fee0,0xb01ffc40,
    0x07fc80df,0xfbffff90,0x7dc0ffff,0x80ffb80f,0xa801fffa,0x3a001fff,
    0xbff7004f,0x54bff701,0xbff304ff,0x2a07fc80,0xbff304ff,0x0003fea0,
    0x32003fe4,0x0de8807f,0x00fe5fe4,0xfd8805f7,0xfb83db04,0x3ff62fac,
    0x704ff980,0xffd881ff,0x440ffb80,0x7fec0ffd,0x27fb8002,0x017fa7fc,
    0x98801ff2,0x84009aef,0x7fb807fc,0x3fb8ff70,0x3e603fd0,0x00ffb82f,
    0x01ffb011,0xfffa89fb,0x03ff8001,0xb5337ff9,0x3015dfff,0xd97339ff,
    0x6ffdc4df,0x02ffcc41,0x7d401ff2,0xfffe9fff,0x203fee06,0x7fd40ffb,
    0x3ea36c1f,0xd036c1ff,0x7fec009f,0xffffb9cf,0x4e7fff40,0x402fffdb,
    0x7ff407fc,0xfffdb9cf,0x001ff502,0x9001ff20,0x7cc000ff,0x0002fdaf,
    0x2001ff4c,0x23fcbff8,0xda99bffc,0x4c0aefff,0xffb99cff,0x7fcc0bff,
    0xffffb99c,0x33ffe60b,0x5fdca99b,0x7e4bff62,0x803ffc9f,0xff8007fc,
    0x03fe4003,0x7fb83fdc,0xfff8836c,0xffdb99ac,0x9acff980,0xfa86fedb,
    0xffdb9bef,0xb07ffea5,0x3f65d40d,0xffffff88,0x04ffffff,0xfffffffb,
    0x7fffe4df,0x03ffff66,0x9ffd9995,0xff101799,0x13ffeadf,0x305ffed4,
    0x3ea17ffb,0xfcccceff,0x9dfff51f,0x4c3ff999,0x2cceffcb,0x7ffff440,
    0xe881ffff,0xffffffff,0xfeccca82,0x220bcccf,0xfffffffe,0xffdca82f,
    0x9502cccc,0x999ffd99,0x76665417,0x00bcccff,0xffffff90,0x3fee0001,
    0xfffb8001,0xfff11fff,0xffffffff,0xffffd09f,0x09ffffff,0xfffffffd,
    0xffa89fff,0xffffffff,0x27ffff67,0x06fffffc,0x9ffd9995,0x2ea01799,
    0x665407ec,0xbcccffec,0x873ffaa0,0x171cffda,0x7fffffc0,0x3604ffff,
    0xffffffff,0xfffffb06,0x3feabfff,0xffccccef,0x0bfff901,0x7ffffecc,
    0x101efffc,0x7dfffffd,0x24fffe98,0x7cc2effc,0xffffffff,0x7ffd04ff,
    0x7cc17ffc,0x3fa6ffff,0xfffb4fff,0x5fffffff,0x3ffffff6,0x3fe2ffff,
    0x2fffffff,0xfffffb80,0x7ff6400d,0xff981dff,0xffffffff,0xfffec84f,
    0xfffb81df,0x2fffffff,0x7fffffcc,0xf34fffff,0xffffffff,0x262009ff,
    0x0004feb9,0x09557ffb,0x7edccc40,0x7fffecc5,0x81efffcf,0xddffffe8,
    0xfe881eff,0xeffddfff,0xffffd981,0x3aa1dfff,0xffe88dff,0xfff980ef,
    0xffffffff,0x0bfff904,0x7fffffcc,0xf35fffff,0x3e6dffff,0x9006ffff,
    0xffffffdf,0xfffe9807,0x7e402eff,0x362dffff,0xffffffff,0x0ae602ff,
    0x0001aa80,0x00006aa2,0x3ff62033,0xefffffff,0x641ff902,0xffd880ff,
    0x3fff23ff,0xfffffb1e,0x365fffff,0xffffffff,0x3fff22ff,0x000effff,
    0x220006a2,0x7fec401a,0xefffffff,0x3006a202,0xfffffffd,0xffd881df,
    0xefffffff,0xfffffb12,0x005dffff,0x001dffd0,0xffffffd0,0xfffb0003,
    0x0006aa01,0x40004d44,0x880009a8,0x00009aa9,0x7ec40153,0xffffffff,
    0x00ae202e,0xffffffb1,0x3a25dfff,0xfb13ffff,0x10007fff,0x98003553,
    0xa98001aa,0xffffd809,0x02ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01cc0000,0x00359510,0x80013330,
    0xbba88000,0x155c4001,0x055d4c00,0x40001000,0x19999998,0x00aba880,
    0x88000260,0x4cc01aba,0x00999809,0x33330000,0x04c40003,0x00019988,
    0x40001331,0xa8000998,0x0133001b,0x33002662,0x33333333,0x33333013,
    0x804cc001,0x33100998,0x4cc00333,0x80998819,0x99999998,0x00998199,
    0x2e601331,0x33002ccc,0x33333333,0x26666013,0x40260009,0x80fe46e8,
    0x807ffdb8,0xdfffffd8,0x7fff5000,0x9ffd7300,0x7fed4015,0x6402efff,
    0xfcfffffe,0x3fffee05,0x9805feff,0x00acffeb,0xffffff90,0x3f205fff,
    0x400effff,0xc88006f9,0x6eefffff,0x57ffffea,0x25fffffa,0xaaaaaaac,
    0x7c44aaaa,0x4007ffff,0xdfffffd9,0x00ffff50,0x009fffd0,0x0027fdc0,
    0x09dfffd3,0x83bfffa2,0xa83ffffb,0xffffffff,0x3ea2ffff,0xdfffffff,
    0xdffff302,0x1ffffe41,0x3ffffffa,0x3ffea03f,0xfffd2fff,0xffffc89f,
    0x267fffff,0x7e46ffff,0x3fea3fff,0x02ffffff,0xfffffff5,0xa89fffff,
    0xffffffff,0x07ffa02d,0x3ff83fe6,0x7fffffb8,0x7ffff440,0xfd006fff,
    0xefd807ff,0x81ffecac,0xfffffffa,0xfffb01ff,0x0fffffff,0x3ffffff6,
    0x3600ffff,0xffecacef,0xffffd801,0x443fffff,0xfffffffe,0x01fee02f,
    0x3fffffa0,0xff91ffff,0x3feedfff,0x000a7fff,0xfffff885,0x7fff4007,
    0xff73ffff,0xfff000ff,0x7dc0009f,0xfff1004f,0xf505ffff,0x7ec3ffff,
    0xffc85fff,0xffffffff,0x3ffee2ff,0x5fffffff,0x0fffffa8,0xf17ffffa,
    0x9fffffff,0x7ffffdc0,0xbfffff3f,0xffffffc8,0x3fe67fff,0x3ffa0eff,
    0x3ffee5ff,0x80ffffff,0xfffffffb,0x5c4fffff,0xffffffff,0xfff885ff,
    0x0b985703,0x7fffffd8,0xa96ffe40,0x7dc04ffd,0x3f603fff,0xa83fd102,
    0xfb98acff,0xadffd86f,0x0fffea88,0x445effec,0xb00fffb9,0x07fa205f,
    0xff755510,0xbffb035b,0x3fff7313,0x7001fee0,0xf7315bff,0x67fd43ff,
    0x37fea60a,0x105000a0,0x400ffb55,0xccabcffa,0x01ff660d,0x013fea20,
    0x001aa880,0xfd317ff7,0x13ff6609,0x2015fff1,0xadffbfe9,0x7cc2ffba,
    0xffdbaadf,0x4ffe984f,0x4417ffcc,0x02adffaa,0x21affd98,0x640afffd,
    0xfdaaaaff,0x1ffecc6f,0x502bffe2,0x02ffb835,0x5555ffb3,0xf309ff55,
    0xffb755bf,0x01bf909f,0x646a2000,0x82ffc07f,0x3fe206ff,0x3fb03fff,
    0x74435555,0x203fe61f,0x3fea0ffc,0xa83ff605,0x1fee05ff,0x377107ec,
    0x8003fd13,0x9ff703ff,0x511bfe60,0x55555ffb,0x5c1bf601,0x0bfe21ff,
    0x00143ff8,0x00ff900a,0xf7002fec,0x27fc000f,0x36000000,0x1005446f,
    0x7fe41fff,0xff9ff803,0x3e0bfe23,0x1fff883f,0x3a1fff88,0x4ff803ff,
    0xb13fe400,0x3f201dff,0x407ffc47,0x3f20fff8,0x2aa6203f,0x2e03ff9a,
    0x413fe07f,0xfff883ff,0xaaa88001,0x1ff2002a,0x3f201d90,0x3efff607,
    0xe9af983f,0xd10effff,0xff503c89,0x2603fe41,0x403fec6f,0xb12f984d,
    0x3a2fffdf,0x81ffc004,0x7fdc06ff,0x3fffffe2,0xd81fffff,0x88ff106f,
    0x0ffe02ff,0x64028005,0xffa9807f,0x700aaaad,0x06f32aff,0xaa993fe0,
    0x5555100a,0x01bf2005,0xf9affd40,0xf6f9805f,0x40ffc67f,0xbff303ff,
    0x323ffe60,0x9ff004ff,0xd17fc800,0x7dc01dff,0x5017ff46,0x17fe6bff,
    0xffffffb8,0x9fee04ff,0x205fb1c8,0xbff303ff,0xffff9800,0x1ff2007f,
    0x05ff8800,0x7ff1bff3,0x887ccd70,0x4401b23e,0x02ff46fe,0x017fe054,
    0x87ae6b80,0xf001b27c,0x05ff107f,0x7ff47ff0,0xffffffff,0x01dffb81,
    0x7c05ff10,0x0a00143f,0xfc80ff90,0xffffffff,0xffffb80f,0x7c03ffff,
    0xfffff74f,0xfffff985,0x01ff7007,0x3afff600,0x4fc800ff,0x975fb7ff,
    0xfd80ffe0,0x3fffea07,0x13fe005f,0xff3ff900,0x47d100bf,0xfd804ffd,
    0xb00ffeaf,0xffffffff,0x93fdc09f,0xff80a2bf,0x001ff603,0x0ffffff1,
    0x0003fe40,0x3fa07ffb,0xd83ff88f,0x27443e64,0x7e4401f5,0x0ffe23ff,
    0x00ffe200,0x10fa4d80,0xf0007d47,0x03ff307f,0xfc88bfd0,0x2019999f,
    0xbdffffe8,0x405ff101,0x200143ff,0x203fe402,0xfffffffc,0xffb80fff,
    0x3fffffff,0x7fe53fe0,0x7fc42fff,0x76407fff,0x01deeffe,0x3ffffe20,
    0x3e3fd003,0xd884ffef,0x45ffffff,0x3f200ffb,0x3e000eff,0x7fe4004f,
    0x70006fff,0x3e200bff,0xf702ffff,0xf53339df,0x77fdc09f,0x36206ffe,
    0x45ffffff,0x98000ffb,0x32007fd9,0xfd88007f,0x29ff705f,0x23f83ff8,
    0x20efeef9,0xfff702f8,0x02ff989f,0x882ff880,0x3f819999,0x2f8803f1,
    0x707ff002,0xdfb001ff,0x1000ff70,0xdffffffb,0x202ff881,0x200143ff,
    0x403fe402,0x999dfe98,0x8fffee01,0x3fe05fe9,0x01dfffac,0x103feccc,
    0xffffffff,0x3ee6200b,0x44019eff,0x3ffffe7f,0xfffff984,0x3fea1fff,
    0x13ffe600,0x8009ff00,0x5ffffffc,0x077fcc00,0x0bfff500,0x7cc07fec,
    0x3ffee04f,0x3e606fff,0x1fffffff,0x80003fea,0x3f2007fc,0x7ff44007,
    0x44dff105,0x264e83ff,0x7cc4fdcf,0x03dff901,0x10005ff1,0xfffb85ff,
    0x8a747fff,0xa8fcc01f,0x20ffe04f,0xfe801ff9,0x0007fb85,0x3ffff6a2,
    0x80bfe20e,0x200143ff,0x003fe402,0x7dc009fd,0x207fc81f,0x04fffeff,
    0x2a03fe40,0x0bcffecc,0xfffdd700,0x7dc01bdd,0xffeffeef,0x9dff9703,
    0x00ffb879,0x05ffffd1,0xc9827fc0,0x75fffe40,0xff1006ff,0xfd80083f,
    0x2fff200f,0xefffda99,0xccffb80a,0x7e5c06fe,0x7dc3ccef,0x0037ae0f,
    0xfc801ff2,0x3ffa6007,0x26fff205,0x6c83ff99,0x717d43e6,0x2037d40f,
    0xff0004fe,0xfffffb87,0x5d9b20ff,0x6fc9ee28,0x3e20ffe0,0x1ffc403f,
    0x00003fdc,0x7c45ff91,0x50ffe02f,0x7e402800,0x013fa007,0xff707fb8,
    0x17ffffc0,0x003fe400,0xc8000dfb,0x3ff6007f,0x1fcbffff,0xfb01ffc0,
    0x7e7fec0f,0x9ff001ff,0xff90ff60,0x401ffe43,0x0fec3ffd,0xf101ff20,
    0xffffffff,0xff709fff,0x20572fe4,0x9ff603ff,0xc803fff8,0x1ff2007f,
    0x027ffd40,0xfffffff1,0x9fa8bfff,0x7f91cfd8,0x8015017a,0xfb0006fc,
    0xff95510b,0xdf31fa83,0x97a1fb77,0x5ff107fc,0xc803ffa0,0x07fb81ff,
    0xfd01be20,0xf105ff8b,0x1400285f,0xe801ff20,0x1fee004f,0xfff03fdc,
    0xc8001dff,0x1bfe007f,0x3fb32a00,0x3e00cccf,0x43ffaabf,0x03ff82d9,
    0x3f20bfd1,0x01dff35f,0x3fa09ff0,0x7f43fe45,0x17ff200f,0xff900ffe,
    0xffffb300,0x05ffff9f,0xf30b8ff7,0x440ffe0f,0x17ff45fe,0x9003fe40,
    0xfff700ff,0xffff8807,0x86ffffff,0x21ded9ee,0x0002fccd,0x2205ffa8,
    0x0bfee1fd,0x6e80ffa8,0x646fbae2,0x5c1ff22f,0xbff501ff,0x5c17fea0,
    0x541100ff,0xbff103ff,0xfd80ffd8,0x0a00140f,0x7400ff90,0x1fee004f,
    0xdff03fdc,0x4001dffb,0xff3007fc,0x54c0b209,0x02aaffda,0x87ff1bea,
    0x83ff86fb,0xfa82ffe8,0x037fdc6f,0x5fe827fc,0x7fcc3fe4,0x20dff504,
    0x3fe403ff,0xf906aa00,0xa81fee01,0x83ff80ff,0x0a82ffe8,0x400ff900,
    0x7fe407fc,0x5555002f,0x019ff755,0x7e401dd1,0xd8009802,0xba9abeff,
    0x7ff42fff,0xfeca99ad,0x00ee880f,0xdff90bf2,0x0dff9559,0xa9beffc8,
    0xf300fffd,0xfdb7359f,0x5efffd4d,0x43fffda9,0xda9cfffa,0x400284ff,
    0x003fe402,0x7dc009fd,0x7c0ff707,0x03fff94f,0x7101ff20,0x9999bfff,
    0x76540ffb,0xd500bcff,0xdff933df,0xb8ffd999,0xfeccceff,0x7fdc45ff,
    0x6fffcc4f,0x77fe5cc1,0x5ffccccc,0xb0b3ffaa,0xfff859ff,0xffcccccd,
    0xffecb983,0x320002cc,0x3faa3dbf,0xdccccccf,0x77fdc0ff,0x5fffeccc,
    0xeccca800,0x10bcccff,0x99ffd997,0x77ffe439,0x03dccccc,0x0effe5c4,
    0xa9acfe88,0xfe802fec,0xfffc801f,0x84ffffff,0xfffffff9,0xd100ffff,
    0xfd95359f,0xfffff705,0xb001dfff,0xdfffffff,0xffffd803,0x3ea6ffff,
    0xffffffff,0xffff705f,0x0501dfff,0x66654280,0x0bcccffe,0x33bff2e6,
    0xfea81bcc,0x3ff6a0bf,0x93fee60b,0x20bcfffc,0xcffeccca,0x3fee0bcc,
    0xffffffff,0xffff506f,0xff50dfff,0xffffffff,0x5cffffff,0xffffffff,
    0x7fe40dff,0x3ffe3fff,0x7fffc7ff,0xffffffff,0xfffff75f,0x7fffcc7f,
    0xffffff12,0xd07fffff,0xffffffff,0x3fa20003,0xfffff72f,0xffffffff,
    0x7ffffdc1,0x00dfffff,0x7ffffcc0,0xb4ffffff,0xffffffff,0x3fff21ff,
    0x7fffffff,0x7ffffec0,0x3ff6e206,0xfd001cef,0x3f6e005f,0x202effff,
    0xfffffec8,0x6dc400be,0x201cefff,0xdfffffb8,0x3ffea000,0xe9800cff,
    0x42efffff,0xffffcde8,0x7f4c02ff,0x00a04fff,0x7fffcc50,0x4fffffff,
    0x3ffffffe,0x7fcc6fff,0xfff35fff,0x7fffcbff,0x3ffffee4,0xffffff34,
    0x4c9fffff,0xfffffffe,0xfd101dff,0x107fffff,0xff99fffd,0xffffffff,
    0x7fffff4c,0xfd502cdf,0x7fe43dff,0x7ffe44ff,0xffffffff,0xffffd35f,
    0x0effd83d,0xfffffff1,0xf707ffff,0x1bffffff,0x74c08000,0xffffffff,
    0x3a60ffff,0xcdffffff,0xffb10002,0xdfffffff,0x3ffffae5,0x3f25ffff,
    0xffffffff,0x7ff5407f,0x026004ff,0x80004c00,0x530000a8,0x04c00013,
    0x000d4400,0x40006a20,0x4c001aa9,0x5440009a,0xaaaac801,0x4aaaaaaa,
    0x3fffff62,0x322effff,0xffffffff,0x7ffec44f,0xffffb13f,0x327ffe47,
    0x223dfffd,0xfffffffd,0x00002eff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x20033333,0x99999999,0x99881999,0x44009980,0x20019999,
    0x09980998,0x5442aa98,0x333102aa,0x99813333,0x99999999,0x00980199,
    0x00839710,0x26666620,0x4ccc0999,0xda800099,0x06620043,0x26203310,
    0x01333009,0x00666666,0x13333330,0x00599700,0x06666620,0x19999880,
    0x4cccc008,0x99999809,0x19999999,0x01999988,0x13797500,0x99999980,
    0x01333000,0x22026662,0x33310199,0x00002a00,0x0a801930,0x00005c40,
    0x816665cc,0xfffffff9,0xffff501f,0xffffffff,0x5ffffc8f,0x01fffff5,
    0x5ffffffd,0xbffff900,0x43ffffea,0x3a0ffffa,0x7e40ffff,0xffffffff,
    0x3fffffe6,0x1fffffff,0x5fffeb88,0x33fffe60,0x75cc06ea,0xffffffff,
    0xfffff52f,0xb003bfff,0x5f95dfff,0x413fffa0,0x3a2ffff8,0x7fd46fff,
    0x3fea6fff,0xcfffffff,0xfffff300,0x201bffff,0xe8000fff,0x3fffffff,
    0x7fffff40,0x81ff53ff,0xfffffff9,0x7fffffc4,0x1fffffff,0x3ffffffa,
    0xfff5003f,0xf505ffff,0xffffffff,0xffff303b,0xffffc8df,0x3ffffa4f,
    0x3ffffa1f,0x017ea02f,0x4c6f2e20,0x1bea04ff,0x0007ffd0,0x3fffffea,
    0x7ffd42ff,0x902fffff,0xffffffff,0xfd8fffff,0xfff77fff,0xffff03ff,
    0xfb00bfff,0x3feeffff,0xfff51fff,0x7ffff41f,0x7ffffec0,0xff0fffff,
    0xffffffff,0xff903fff,0x75c0ffff,0x01fffd89,0x3ffffff6,0x72ffffff,
    0xffffffff,0x53e80bff,0x3e20bfff,0xff707fff,0x3ffe29ff,0x3ffee3ff,
    0x3ffee7ff,0xffffffff,0xfffffa81,0x42ffffff,0xf0004ff9,0x9fffffff,
    0xffffff80,0x83ff94ff,0xccccccb8,0x7fffffc1,0x1fffffff,0x3ffffffe,
    0xfffc804f,0x43ffffff,0xfffffffb,0x7d43ffff,0x360fffff,0xf15fffff,
    0x7c5fffff,0x203fffff,0x3a6007fc,0xffffffff,0x013e601f,0x005ffff9,
    0xffffffb8,0x7e4c0fff,0x4c01aabf,0xaaaaaffd,0x7ec47fda,0x3ff660af,
    0xfff55101,0xfd8801ff,0x3ff660af,0x207fe441,0x5440ffb8,0xaaaffdaa,
    0x36ab7fe0,0x1ffcaaff,0x76d6ffc4,0x2014c001,0xffbdfffc,0x22ffbaad,
    0xdbaadffa,0x22004fff,0x7ffc401a,0x4ffff83f,0x07fffdc4,0x981bff53,
    0xebaaaffd,0xfc980fff,0xffebaabf,0x003fee0f,0x6ffd5440,0xfaa8801a,
    0x3ee22adf,0x6ffc0000,0xcaaffdaa,0x3eaa21ff,0xfa802adf,0xff510aff,
    0xaffd981f,0x0fffdbaa,0x205fff4c,0x20affea8,0x441adff9,0x6404ffba,
    0xfff3007f,0x5fffffdf,0x7f540000,0x2a001eff,0x417fdc1a,0xdeeeeffa,
    0x40ff902c,0x7ff647fb,0xffeeeeee,0x37fe602d,0x7fc803ff,0x3ee0ff70,
    0x00ffb80f,0x9ff03fe4,0x3ff33fe4,0x2000ffb8,0x402aaaa8,0x3fe0effb,
    0xff0bfe23,0x03fff107,0x2f2e6555,0x37fff401,0x20bfffea,0xf85ffff8,
    0x20ff704f,0xff502ffb,0x747ff503,0x3263534f,0x04ff801b,0x3609ff00,
    0x2aaaa883,0x7fc93fe0,0x7fc07fe6,0x07ff6004,0x7e42ffcc,0x505ff307,
    0x3fe207ff,0x54c9ff05,0x900bfe62,0xfff300ff,0x3fffe639,0xfb800003,
    0x1001dfff,0x7ff35553,0xffffff50,0xff90bfff,0x26fa864c,0xfffffff8,
    0x05ffffff,0x1ff63ff2,0x7dc1ff20,0x701ff707,0x7fc801ff,0x7fc93fe0,
    0xff507fe6,0x3ffe6007,0x77f407ff,0xf889ffc0,0x981ffc1f,0x7fff44ff,
    0x04fffffd,0xe8bffffa,0xf882ffff,0x7fc2ffff,0x220ff704,0x3ff503ff,
    0x7fc57fa0,0xffeeffd8,0x67fc03ff,0x3fe004c8,0xff985b84,0x3fe07fff,
    0xff99ff24,0x75c9ff01,0xffffff02,0x0fffffff,0x3fe60ff9,0x2e0dfd03,
    0x4bfd01ff,0x3ff52ffe,0xc807fc80,0x3ffe62ff,0x00000fff,0x19ffff90,
    0x7ffffdc0,0xffa84fff,0xffeca99a,0x9fb3fe41,0x3ff62054,0xffdaaaaa,
    0x557fe009,0x3fe402ff,0xff707fb8,0x801ff701,0x8bfa07fc,0x03fe27fc,
    0x22003ffe,0x407fffff,0xdbff83ff,0x3ff84baf,0xffb1ff60,0xffffffff,
    0x3ff7fa05,0x5ffbff36,0xfff7ff10,0xfb827fc1,0x203ff907,0xff981ffa,
    0x3ff67f54,0x1fffffff,0x3fffbfe0,0x109ff001,0x3ffffe20,0xfc8bfa07,
    0x7c03fe27,0x221ffe4f,0xffffffff,0x640fffff,0x7ff5447f,0xd03ff701,
    0x9b7ec0df,0x1ff74fff,0x7f6665c4,0x742ccccf,0x2fffe26f,0x99931ffb,
    0x99999999,0xfff91007,0xffffb07f,0x509fffff,0x9ff103ff,0xffeeffc8,
    0xeeffc805,0x407feeee,0x17fe2ffa,0xddddff90,0x3ee0ffdd,0x00ffb80f,
    0x85103fe4,0x441547fc,0x80665ffe,0x2607fd99,0xfeff81ff,0x80ffe04f,
    0xfffb87fb,0x20bfd30b,0xd9ffccfe,0x882ff9ff,0x25ffabff,0x5ff704ff,
    0x0dffd955,0x3a60ffd4,0xfe8952ff,0x07ff50ef,0x027ffffc,0x30009ff0,
    0x14c0ffb3,0x40551ff2,0x417f64ff,0xccccceff,0xfc84cccc,0xffffeeef,
    0x317fe205,0xbfe407ff,0xff97fffc,0xffffffe8,0x11ffffff,0x3ffa27ff,
    0x3fa5ff33,0xffffffff,0xd3001fff,0x3ee3ffff,0xfa999cef,0x01ffa84f,
    0xfffc8bfd,0xfc805fff,0xffffffff,0x323ff407,0x3ff200ff,0x7fffffff,
    0xd881ff70,0x3fe400ff,0x7fed5440,0xffd100aa,0x0bff35ff,0x3ee07fc8,
    0xfffff80f,0xa80ffe04,0x17fdc0ff,0xcfe83fdc,0x8cffeff8,0x3ff882ff,
    0x13fe5ffb,0x7fffffdc,0x3ea00dff,0xffffeeef,0x2077f405,0xffd884fe,
    0x7fc001ef,0x1ff20004,0x800ff900,0xfb00c4ff,0x3f20005f,0xffffffff,
    0xb07fec04,0x7fdc01ff,0xdafffff8,0x7fffdc6f,0x5fffffff,0x7ff477fc,
    0x7e43ff23,0xffffffff,0xe9800eff,0x3f62efff,0x84ff980f,0xff981ffa,
    0x7e67fe43,0xeffc805f,0x07feeeee,0x3333bfe6,0x3f203ffd,0xfeeeeeef,
    0x53bff107,0x017ffff7,0x7f403fe4,0x0fffffff,0xfffbffd8,0x7e406ffc,
    0x207fe607,0x203ffeff,0x3fee03ff,0x5c07fdc0,0x94fe80ff,0xff11ffff,
    0x227ff105,0x209ff6ff,0xfffffffb,0x7ffd400f,0x804fffff,0x45fe85fe,
    0x305ffffc,0x413fe019,0x1ff200c9,0x800ff900,0x419304ff,0x99bcfff9,
    0xfc85fdca,0xfffdcccf,0x4ffe605f,0x7d404ff8,0xcffbffbf,0x7fc805fe,
    0xfffffd80,0x001bfe64,0xfffd8800,0x9bffc83f,0xaefffda9,0x2aaffea0,
    0x641fffca,0x2013f67f,0x0ff707fc,0x7fffffe4,0x3f207fff,0x6c0ff707,
    0xffffffff,0x1ff204ff,0x3fffff60,0x4ff80fff,0x00dffff5,0x3ff80ff9,
    0x01fcbff8,0x6fd80ffe,0xfb80ffb8,0xf34fe80f,0x0bfe2bff,0xffb8ffe2,
    0xff704ffc,0x0bffd333,0xceeeffa8,0x0bfd001b,0x7ffe4bfd,0x07fb04ff,
    0x1fec13fe,0xc800ff90,0x27fc007f,0x7fd43fd8,0xffffffff,0xd307fc87,
    0xb7f403ff,0x7cc01ffb,0xffd8ffef,0x7fc804ff,0xdffff880,0x02fffeb9,
    0xffc88000,0xff100cff,0xffffffff,0x7ffd49ff,0x81efffff,0x002e27fc,
    0x3fdc1ff2,0xddddfff0,0x3205ffdd,0x40ff707f,0xddffffc8,0x3f201eff,
    0xffb31007,0x8ffe2033,0xc803fffc,0x07fec07f,0x85b30ffe,0xbff103ff,
    0xf701ff70,0x6c9fd01f,0x05ff11ff,0xffe87ff1,0x8ff704ff,0x2a05ffd8,
    0x3a0001ff,0x2a5fe85f,0xd04ff9df,0x413fe09f,0x1ff205fe,0x800ff900,
    0x0bfd04ff,0xffffffb3,0x0ff903bf,0xf701ffcc,0x100dff5f,0x3eabffff,
    0xfc803fff,0xfffe8807,0x02ffffff,0xfffb8000,0xfd9800df,0xfffcffff,
    0x3bbfea1e,0xf900aacd,0x1ff2000f,0xffa83fdc,0x6417fe02,0x00ff707f,
    0x804fb82a,0x7e4007fc,0x9befd807,0x401cfffb,0x7fd407fc,0xf70ffe0e,
    0xe883ff8d,0x0ffb82ff,0xfe80ffb8,0xff88aa24,0x4c3ff882,0xf704ffff,
    0x40bffa0f,0x20001ffa,0x05fe85fe,0x27f413fe,0xbfd04ff8,0x2003fe40,
    0x7fc007fc,0x440bfd04,0x64009aee,0x13fe207f,0x05fffff0,0xf8ffffe0,
    0xfc802fff,0xfeffe807,0x001dffff,0xfe980571,0x50001eff,0xffb50035,
    0x5c40599b,0x01cccffe,0x21bffea8,0x2a1cffea,0x5c41cffe,0x3aa0bffe,
    0x3faa1bff,0x7dc000bf,0x332e239b,0x81cccffe,0xccffecb9,0xfffff302,
    0xca8dffff,0xcccffecc,0x77ffdc0b,0xeccceffd,0x33bfee7f,0x84fffecc,
    0x260bffda,0x3ea0bffd,0x6dc41cef,0x3ee20cff,0x3ff21bdf,0xcffea84f,
    0x2fffe20a,0x337ff6a0,0x3fea002c,0x83bfe63e,0xcceffcb9,0x264ffccc,
    0xccceffcb,0x32a5ffcc,0xcccffecc,0x7f65cc0b,0x97302ccf,0x99999dff,
    0x67c40bff,0x7ff54028,0xffdccccc,0x7ffe402f,0x3fffa007,0x00bfff60,
    0xff501bee,0x4000544b,0x7ff406fa,0x0000002e,0xfffffff5,0x3fff205f,
    0x200fffff,0x77fffffa,0x2edfffff,0x20ffffff,0x35fffffd,0x2effffff,
    0x005fffff,0xd87fffc4,0xffffffff,0x7fffc0ff,0x701fffff,0xffdfffff,
    0x7ffffcc9,0x84ffffff,0xfffffffb,0xf77fffff,0xffffffff,0xffff30bf,
    0x7ffff4df,0xffffff54,0x7ffffec1,0x3ffffee6,0x2e27ff47,0x43ffffff,
    0xff55fffa,0x05ffffff,0x7fffff50,0xff97fffe,0xffffffff,0x3ffe4fff,
    0xffffffff,0xffff35ff,0x9fffffff,0xfffffff8,0xffff81ff,0xffffffff,
    0x7ffec05f,0xfffff701,0x9fffffff,0x09fff300,0x2a37fec0,0xe9801fff,
    0x0004d803,0xd700f620,0x80000007,0xffffffe8,0xfffd500e,0xe880bfff,
    0xfd34ffff,0x3fa67fff,0x7fdc5fff,0xffb13fff,0x3ffa69ff,0xa88003ff,
    0x3fffae0b,0xc85fffff,0x5fffffff,0x004d4c40,0xffffffb1,0x2205dfff,
    0xffffffdb,0xffd37fff,0x039bffff,0x8fffff62,0xd11efffc,0xea8bffff,
    0x3a63ffff,0x7cc4ffff,0x7fff4c4f,0x3ffc81ef,0xffffffd1,0xffd1001d,
    0x3bff23df,0x3fffff22,0x4fffffff,0x3ffffff2,0x15ffffff,0xfffffffb,
    0xffc85dff,0x80dfffff,0xfffffffc,0x805fffff,0x3fa601ca,0xefffffff,
    0x3ff6002d,0x0fff2000,0x00003ffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0002a800,0x10aaa61c,0x03a25555,
    0x18e6654c,0x45e65d40,0x22014c09,0x98395102,0x654401bb,0x0072e62c,
    0x0006f2a2,0x40137975,0xaaa82aa8,0x41aaa982,0x980aaaa8,0x555441aa,
    0x2aaaaa60,0x5442aaaa,0x950cc99a,0x32aa8017,0xa9803797,0x4072e62a,
    0x55101aa9,0x10008015,0x88055555,0x2aa20aaa,0x0322001a,0x25c25c91,
    0x105004c0,0x15440375,0x95015730,0x99999999,0x71039999,0x20032003,
    0x654c0aaa,0xfffd880a,0xffffffff,0x2235532e,0x0dcc42aa,0xea800000,
    0x795101ff,0xff70f983,0x7fff41ff,0x6c41fa8f,0xffffffff,0xffffe984,
    0x3fe25fff,0xf99ccb8c,0x7fffcc2f,0x07ffff74,0x37fffff2,0x103ffffb,
    0x5ffffffd,0xfffffa80,0xfffb82ff,0x3ffffa0f,0x3fffffa0,0xffffff34,
    0xa7fffec3,0x70fffff9,0xffffffff,0x7fffccff,0xfffeffff,0xbfffd03f,
    0x209fffff,0xfc9ffffe,0x3fa0efff,0x7fcc4fff,0x9f301fff,0xfffff980,
    0x3fffe207,0xfffffa9f,0x20ff9805,0x83bea6f9,0xff300dfa,0x264fe883,
    0x2e1ffffe,0xff984fff,0x3fea1fff,0xffffffff,0x3622ffff,0x2e02efff,
    0x3ffc406f,0x07fffff2,0xfffffff5,0x2bffffff,0xdff33ffc,0x1fffffcc,
    0x300007b2,0x881dfffb,0x3ffffffe,0x3ffea1f9,0x3ffffa0f,0x3fe21fd8,
    0xffffffff,0xfffffe86,0x7ff47fff,0xffffffff,0x3ffffe21,0xffffffef,
    0xfffffe82,0x3fffffff,0x7fffff44,0xff902fff,0x7fffffff,0x20ffffa8,
    0x360ffffe,0xf13fffff,0x6c3fffff,0xff13ffff,0x3fee1fff,0x7fffffff,
    0x3fffffe2,0x6fffffff,0xffffffb0,0xfb05ffff,0xffffffff,0x7ffec7ff,
    0x7fffc43f,0x80df900f,0x07fffff8,0x27ffffe2,0x04fffff8,0xff70ffd4,
    0x2e1efb81,0xfff880ef,0x6c9ffd11,0x654bf31f,0x11c984fb,0x7fff44df,
    0xffffffff,0x2fbee2ff,0xfff506fd,0x21ffdc09,0x50bf1098,0x99999999,
    0x3ea17999,0x229ff12f,0x43fb32ef,0x88002ff9,0x883ffffc,0xfffffffe,
    0x7e445ecf,0x7ffdc40f,0x56ffec4f,0xa8dff930,0x3f660aff,0x7ffffc46,
    0x7ec3ffff,0xffffe8bf,0xb987ff89,0x11fffd11,0x7ff44dfd,0x0bffaa2d,
    0x2215fff5,0x6440fffa,0x7fdc40ff,0x20ffec40,0xf502ffd8,0x3ffe69ff,
    0x4ccffdc4,0xfe82fffb,0x26bff93f,0xfff702ff,0x417fa617,0x1dffffb8,
    0x0ffc81b5,0x3ff62bd7,0x401ff200,0xa807fd99,0x7ffd12ff,0x21ffb803,
    0xff701ffc,0x540ffe45,0x5ffeafff,0x30df10cc,0x6fa9809f,0x8bfe6000,
    0x307f60ff,0x207fffff,0xfdb886fd,0x400006ff,0x4ffe1ff9,0x445f82fa,
    0x3ee003fe,0xe880cfff,0x3faa2dff,0x0ffb81ff,0x441cffb8,0x17f606ff,
    0x4435bff5,0x32ffe81c,0x4ff83ffb,0xfb8fffe2,0xfb55102f,0xa97fdc7f,
    0xbff104ff,0xf301ffd8,0x01ff70bf,0xff301ff7,0x405ff887,0xfffeffe9,
    0x3ea5f983,0x4bfd02ff,0x7ff10ffb,0x2e0bfee0,0x3ffea07f,0x23ff5003,
    0x8bfd2fff,0xaffdadfb,0x3fe406fc,0x7d4ffcc0,0xffd801ef,0x7007ff61,
    0x17fe47ff,0x2fffffd4,0x260bfa60,0x3ffee04f,0x3fe60001,0x3fb8df32,
    0x3fafffa2,0xe82ff82f,0x306fccdf,0x33333333,0x07fc4133,0x207ea5fd,
    0x807d886e,0x01dffffa,0x7c413fea,0x01ff707f,0xff501ff7,0x740e4407,
    0x0cefffff,0x7cc4ff88,0xd07fe63f,0xffffffff,0xfffffb89,0xffffffff,
    0x6401ff93,0x7ffffc7f,0x7fffffff,0xfb80ffb8,0x41ffd00f,0xe8801ffc,
    0x5002ffff,0x7f405fff,0x7c43fee5,0x01ff703f,0x3ea01ff7,0x3fe2002f,
    0xf8dfffab,0x7ffff43f,0x00ffffff,0x3e601ff2,0x800fffef,0x3ffa3ffd,
    0x25ffd002,0xfa81fff8,0x7fd405ff,0xa809f302,0x260006fc,0x44bfa2ff,
    0x4fffa0fe,0x3e61fff9,0x3ea2fb86,0x7ffffcc6,0xffffffff,0x43f91fe3,
    0x05f911ee,0x3fffaa00,0x0ffc802e,0x2e03ff20,0x0ffb80ff,0x0000ffb8,
    0xffffff91,0x82ff985f,0x03fee4ff,0xfffffff9,0x7ffff49f,0xffffffff,
    0x80bfd4ff,0xfff11ffa,0xffffffff,0x0ffb81ff,0xf500ffb8,0x017fe27f,
    0x00efffd8,0x401fffa8,0x43fee5fe,0xff703ff8,0x201ff701,0x74000ffa,
    0xbffffddf,0x7fe441ff,0x01dfffff,0x7cc03fe4,0x01ffffff,0xe98fff44,
    0x7fec01ff,0x220bff63,0xb01ffffe,0x27cc01df,0x0001fc80,0x7fd45ff3,
    0x3fee5ffe,0xf937fd44,0xfffff105,0x3fea1fff,0xffffffff,0x717a5fff,
    0x7fffd41f,0xfd88004f,0x3a003fff,0x0ffd405f,0x7dc07fdc,0x02ffa80f,
    0x6dd44100,0x27fc0fff,0xffa8bfea,0x6667ff42,0xdff52ccc,0x9bffb335,
    0x3f259999,0x83ff600f,0xccccceff,0xfb84cccc,0x00ffb80f,0x0ffe5ffa,
    0x7fffec40,0x3fea01ff,0x25fe801f,0x7ff10ffb,0x2e03fee0,0x1ff500ff,
    0xffffc800,0x407ffffd,0x000ffffd,0xff300ff9,0x03fff91d,0x3623ffb0,
    0x3dfb01ff,0x2203bfa2,0x1fffeffe,0x2eafffa2,0x2b7eea22,0x3aeaaee1,
    0x3fe20006,0x067ff5c1,0x3fee0dfb,0x65440bb0,0x54c2aa9c,0xaaaaaaaa,
    0x220cc2aa,0x00159302,0x7fffec40,0x01ff9003,0x7dc07fec,0x07fec40f,
    0x26037fc4,0xf980ff43,0x4e7fec2f,0x3e20ffeb,0x0fffe65f,0xfc83ff50,
    0x27fd403f,0x7ec5ff98,0xff70002f,0x00ffd881,0x17ff3fea,0x237ffa20,
    0xfa82fffb,0x7436c1ff,0x443fee5f,0x1ff703ff,0x2a01ff70,0x7d4000ff,
    0xfffe9fff,0x3fffe606,0x0ff9004f,0x7dc3ff30,0x3ff7005f,0x3f60ffdc,
    0x40bfd10d,0xfff55ffe,0x3ffffe23,0x3ffff27f,0x3fffb26f,0x36c0001e,
    0x802e2030,0x0000001a,0x00000000,0xfffd3000,0x5ffa805d,0x260bff30,
    0xffba9dff,0xffd80bff,0xfda999ad,0x59fff12f,0x41ffb733,0xfffffff9,
    0x6ffec4ff,0x9afffffa,0xdff12feb,0x5ffffb35,0x7f45fb73,0xffdb9cff,
    0x67ffcc2f,0x5fdca99b,0xb99cff98,0x200bffff,0x401ffffe,0x360ffffa,
    0xff50cfff,0xff9999df,0xb8f7fd43,0xdff88bff,0x05ffed41,0x5417ffb3,
    0xccccffdc,0xb7ffc402,0x3a04fffa,0x81ffe9ff,0xcffeccca,0x3f6a0bcc,
    0x37ff62df,0x07f4c01b,0x21fdcdf3,0x3fea03fc,0x002ffd45,0x00131000,
    0x00000000,0x00000000,0x00000000,0x3fffaa00,0x3fffa01e,0x2fffeb9c,
    0x3fffffa0,0x884fffff,0xfffffffe,0x7fffc6ff,0x24ffffff,0xfffefff8,
    0x3e22ffff,0xffdfffff,0x324fffff,0xffffffff,0x24ffffff,0xffffffe8,
    0xfff502ff,0xffffffff,0x3fffffa0,0x204fffff,0x5405fffa,0xf55fffff,
    0x3f6bffff,0xffffffff,0xfffff32f,0xf17fff71,0x7ffccdff,0x3fffa6ff,
    0xfffff74f,0x805fffff,0x3ffe3ffe,0x225ff102,0x7ffcc3ff,0xffffffff,
    0xffffff14,0x1ffffe25,0x88a20a20,0x6c400881,0x0003b304,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01bffff7,0xffffffd1,0xfe8805ff,
    0xeffddfff,0xffff9102,0xfc819fff,0x3ffffffe,0x15552ff8,0xfe885fd1,
    0xffff33ff,0xfffb817d,0xfffededf,0xffec80be,0x6cc01dff,0xdfffffff,
    0xffffd101,0x803dffbb,0x74402ffe,0xfd12efff,0x3ff67dff,0xffffffff,
    0x2bfffb12,0xff89effb,0x3fff623f,0x3bfff23f,0xfffffd31,0xc801dfff,
    0x03ff20ff,0x441cc2a8,0xfffffffd,0x3ff62eff,0x3fee0eff,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07ffff91,
    0x37ffffb2,0x002a2001,0x9aaa9880,0x1aa98800,0x01100220,0x04cc054c,
    0x54c054c0,0x00351000,0x01355310,0x0004d440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb100000,0x0d4403ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05d98000,0x002d8000,0x00019d70,0x2e2164c0,0xbbbbbbbb,
    0x42bbbbbb,0x3baa0deb,0xeeeeeeee,0x30ceeeee,0x77777777,0x00000077,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31b203f8,0x5c3dffff,0x3f71ba3f,0xffd17ffc,0xffffffff,0x25ffffff,
    0x3fa3fff8,0xffffffff,0x2fffffff,0xfffffff9,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7443ff80,
    0x7efff44f,0x34ffbaff,0xf27f43ff,0x7ffdc5ff,0xffffffff,0x3a0effff,
    0x333261ff,0xcccccccc,0x3b23cccc,0xeeeeeeee,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x7f44dd97,
    0xfa97fcc3,0x2a0fffff,0x59305cc3,0x15000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,
    0x07f24fff,0x3ffa60d4,0x0000000e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00573000,
    0x0000cc00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_29_latin_ext_x[560]={ 0,5,3,1,2,1,2,6,6,3,2,1,5,2,
5,2,2,2,1,1,1,1,2,1,2,2,5,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,1,6,2,3,2,-2,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-2,3,1,3,4,5,0,1,5,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_29_latin_ext_y[560]={ 21,4,5,3,3,4,6,5,4,4,4,6,17,12,
18,2,4,4,4,4,4,4,4,4,4,4,9,9,6,10,6,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,2,4,4,26,3,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,11,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,21,9,3,5,7,5,
4,4,4,5,4,10,12,12,5,1,2,2,4,4,3,9,4,11,20,4,4,10,4,4,4,9,-1,-1,0,1,
0,-1,5,5,-1,-1,0,0,-1,-1,0,0,5,1,-1,-1,0,1,0,8,4,-1,-1,0,0,-1,5,4,3,3,
4,5,4,3,9,9,3,3,4,4,3,3,4,4,4,5,3,3,4,5,4,6,8,3,3,4,4,3,4,4,
1,5,0,4,5,9,-1,3,0,4,0,4,0,4,0,4,5,4,1,5,0,4,0,4,5,9,0,4,0,4,
0,4,0,4,5,3,0,0,5,4,1,5,1,5,0,4,5,4,0,9,5,4,0,4,5,4,9,-1,-1,5,
4,5,4,5,4,5,4,-1,3,5,9,0,4,5,5,9,1,5,0,4,-1,3,5,9,-1,3,5,9,0,4,
-1,3,0,4,5,9,0,4,5,5,0,4,5,5,1,5,1,5,0,4,-1,3,-1,3,5,9,0,4,0,4,
0,-1,3,0,4,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,8,4,4,4,4,4,4,4,4,4,4,4,4,4,2,9,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,0,4,0,
4,0,4,-1,1,-1,0,-1,0,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-6,-2,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_bold_29_latin_ext_w[560]={ 0,5,9,13,12,13,13,4,7,6,12,14,6,12,
5,12,12,12,13,13,13,13,12,13,12,12,5,6,16,15,15,12,11,17,15,15,15,15,15,16,15,12,15,16,
15,17,17,15,14,15,16,13,14,16,17,17,16,15,13,7,12,6,12,19,6,14,16,14,16,15,14,16,15,13,
10,15,13,18,15,14,16,16,14,13,15,15,16,17,15,15,12,8,3,8,13,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,15,13,15,
3,14,9,17,10,15,16,12,17,19,9,14,9,8,6,15,13,5,6,8,10,14,16,19,16,11,17,17,17,17,
17,17,17,15,15,15,15,15,12,12,12,12,16,17,15,15,15,15,15,11,16,16,16,16,16,15,14,14,14,14,
14,14,14,14,17,14,15,15,15,15,13,13,13,13,13,15,14,14,14,14,14,14,15,15,15,15,15,15,16,15,
17,14,17,14,18,15,15,14,15,14,15,14,15,14,15,18,16,16,15,15,15,15,15,15,16,15,15,15,16,16,
16,16,16,16,16,16,15,15,15,15,12,13,12,13,12,13,12,13,12,13,16,16,15,10,16,15,16,15,13,15,
13,15,13,15,13,15,13,17,15,17,15,17,15,16,15,14,15,14,15,14,15,14,17,17,16,14,16,14,16,14,
13,13,13,13,13,13,13,13,14,15,14,17,14,15,16,15,16,15,16,15,16,15,16,15,16,16,17,17,15,15,
15,13,12,13,12,13,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,17,15,14,14,14,14,14,14,14,14,14,14,14,14,14,18,17,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,14,12,13,15,
14,16,15,16,15,16,15,16,15,16,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,17,14,17,17,16,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_bold_29_latin_ext_h[560]={ 0,18,8,21,22,18,16,8,22,22,12,15,9,3,
4,22,18,17,17,18,17,18,18,18,18,18,13,15,15,8,15,17,20,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,20,16,17,16,17,16,16,16,16,16,22,22,22,9,3,6,13,18,13,18,13,17,18,17,17,
23,17,17,12,12,13,18,18,12,13,17,13,12,12,12,18,12,22,22,22,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,18,19,16,13,16,
22,20,4,17,8,11,9,3,17,4,9,19,10,10,6,18,20,4,6,10,8,11,17,17,17,18,22,22,21,20,
21,22,16,21,22,22,21,21,22,22,21,21,16,20,23,23,22,21,22,11,19,23,23,22,22,22,16,18,19,19,
18,17,18,19,13,17,19,19,18,18,18,18,17,17,18,16,19,19,18,17,18,15,15,19,19,18,18,24,23,23,
20,17,21,18,20,16,23,19,22,18,22,18,22,18,21,18,16,18,20,17,21,18,21,18,20,16,21,18,22,23,
22,23,22,23,22,24,21,21,16,17,20,16,20,16,21,17,20,21,21,12,17,23,22,23,22,23,12,22,22,22,
23,16,17,16,17,16,17,22,18,22,18,21,17,16,17,18,21,17,22,18,23,19,16,13,22,18,22,18,21,17,
23,19,22,18,21,17,22,18,23,23,21,18,16,17,21,17,21,17,22,18,23,19,23,19,20,16,21,17,21,23,
21,22,18,21,17,21,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,17,17,17,
17,17,17,17,17,17,17,17,17,17,18,14,17,17,17,17,17,17,17,17,17,17,17,17,17,20,13,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,18,21,17,22,
18,22,18,23,21,23,22,23,22,23,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,24,22,19,24,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_bold_29_latin_ext_s[560]={ 506,501,481,17,115,443,127,507,502,101,292,
435,447,124,98,287,280,15,28,451,42,373,199,64,126,465,503,504,1,465,481,
74,290,48,383,87,173,470,16,103,66,99,138,407,391,205,223,154,258,1,241,
186,336,200,399,417,374,438,424,494,165,142,434,104,502,497,493,52,78,146,246,
109,261,293,470,277,232,224,243,131,351,457,259,67,170,162,178,274,195,320,211,
264,498,191,48,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,506,506,66,
307,81,323,502,315,62,120,454,336,407,124,56,78,424,78,379,398,41,413,431,
72,34,389,491,352,348,328,311,33,65,17,46,463,437,246,339,328,230,35,373,
455,178,200,471,344,357,445,166,133,317,405,417,367,123,298,332,1,34,68,1,
336,234,265,289,365,274,203,113,459,140,50,242,167,153,139,297,1,95,189,93,
108,33,253,1,466,450,156,218,435,419,68,249,233,413,72,259,227,378,454,421,
188,149,308,108,293,18,323,389,338,486,16,397,412,421,183,1,387,481,367,96,
48,366,199,349,315,128,481,300,51,244,228,32,488,365,141,302,322,184,445,260,
141,128,305,428,349,333,366,449,391,319,433,480,196,407,306,239,351,119,290,474,
178,357,124,403,277,151,273,103,212,112,224,383,478,1,35,155,95,84,368,51,
383,212,268,377,498,466,429,214,58,273,1,283,84,31,15,112,87,197,396,484,
380,213,258,266,249,453,172,273,82,295,133,357,437,243,51,45,229,167,64,180,
193,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,208,217,217,313,
217,217,217,217,217,217,217,217,217,217,217,217,217,489,18,217,217,217,217,217,
217,217,217,217,217,217,217,217,330,34,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,78,474,
155,283,83,398,161,304,216,168,182,145,149,99,116,100,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,1,19,399,17,34,349,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217, };
static unsigned short stb__courier_bold_29_latin_ext_t[560]={ 20,53,192,76,29,119,175,53,29,53,192,
175,192,206,206,29,98,157,157,98,157,98,119,119,119,98,157,138,192,192,175,
157,76,175,175,157,175,157,175,157,175,175,157,157,157,175,175,157,175,98,175,
157,175,157,175,175,157,157,157,29,53,53,192,206,192,175,98,192,119,192,157,
119,157,157,1,157,157,192,192,192,119,119,192,192,157,192,192,192,192,119,192,
29,1,29,206,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,20,1,98,
157,192,157,1,76,206,157,192,192,192,206,157,206,192,98,192,192,206,119,76,
206,206,192,192,192,138,138,138,138,29,29,76,76,53,29,157,53,29,29,53,
53,29,29,53,53,157,76,1,1,29,53,29,192,98,1,1,53,53,53,175,
119,98,98,119,138,119,98,192,138,98,98,119,119,119,119,138,157,119,175,98,
98,119,138,119,175,175,98,98,98,98,1,1,1,76,138,53,119,76,157,1,
98,53,98,53,98,53,98,53,98,157,119,76,138,53,119,76,98,76,175,76,
119,29,1,29,1,29,1,29,1,76,76,175,138,76,175,76,175,76,138,76,
76,76,192,138,1,29,1,29,1,192,29,29,53,1,175,138,175,138,175,138,
53,98,53,98,53,138,175,138,119,76,138,29,98,29,98,175,192,53,119,53,
119,53,138,1,76,29,119,76,138,29,138,1,1,76,138,175,138,76,138,53,
138,29,119,1,98,1,98,76,175,53,138,53,1,53,29,138,53,138,76,138,
138,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,138,157,157,53,
157,157,157,157,157,157,157,157,157,157,157,157,157,119,192,157,157,157,157,157,
157,157,157,157,157,157,157,157,76,192,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,76,119,
76,138,29,119,29,119,1,76,1,29,1,29,1,1,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,1,1,29,98,1,76,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157, };
static unsigned short stb__courier_bold_29_latin_ext_a[560]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_29_latin_ext(stb_fontchar font[STB_FONT_courier_bold_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_29_latin_ext_s[i] + stb__courier_bold_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_29_latin_ext_t[i] + stb__courier_bold_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_29_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_29_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_29_latin_ext_x[i] + stb__courier_bold_29_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_29_latin_ext_y[i] + stb__courier_bold_29_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_29_latin_ext_s[i] + stb__courier_bold_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_29_latin_ext_t[i] + stb__courier_bold_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_29_latin_ext_x[i] + stb__courier_bold_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_29_latin_ext_y[i] + stb__courier_bold_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_29_latin_ext_LINE_SPACING
#endif

