// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT        244
#define STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_32_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_32_latin_ext_LINE_SPACING          15

static unsigned int stb__courier_bold_32_latin_ext_pixels[]={
    0x0001d400,0x28800020,0x0024c000,0x00400000,0x00000200,0x02000005,
    0x01102200,0x000d9800,0x10000280,0xcccca800,0x04002ccc,0x00100000,
    0x20002040,0x00a20002,0x40004080,0x20510002,0x00200028,0x20005440,
    0x3b6001eb,0xeeeeeeee,0x7704eeee,0x70000ee0,0x20766009,0x360000d9,
    0xd100005f,0x3fe6000f,0x05f10000,0x003ec800,0x0001bf10,0x200003be,
    0x400005f9,0x7e4002fc,0x40009f73,0x20000ffb,0x40000fd8,0x3b2001fd,
    0x04eeeeee,0x0000fee0,0x1000bf20,0x800fecfd,0x4000efe9,0x2000dffa,
    0x007f67e8,0x00077f4c,0x07f207ee,0x0017ea00,0x4007fdf7,0x3fa004ff,
    0xffffffff,0xfb05ffff,0x017fa63d,0x3006fd80,0x0ffe49ff,0x077f4400,
    0x27fcc000,0x017fdc00,0x80009b00,0x0000fff8,0x90003dfb,0x300003ff,
    0x880001df,0xf70006fd,0x640007ff,0x220001ff,0x220001ee,0x000006fe,
    0x017fa200,0x037f4400,0x7ed3fa20,0xfdff7005,0xff91007f,0xd1005ffd,
    0x4017f69f,0x03ffeffb,0x222bbe20,0xfb8005fb,0xa97c001f,0x017fe006,
    0xffffffe8,0x5fffffff,0xffbff910,0xfd100019,0x7f54001b,0x8002efee,
    0x00004ff8,0x90007ff5,0xf80003ff,0x7fc0002e,0x7fe40007,0x3ffb8002,
    0xd11da800,0x9800b665,0x6dc005fe,0x0f623b30,0x000efc80,0x30db8ed4,
    0x7fcc005b,0xb05c8004,0xefe88009,0x3fa60000,0xa7f44005,0xffb005fd,
    0xd013fea5,0x0ffee3df,0xbfb4fe88,0x54bff600,0x3ee004ff,0x001fffff,
    0x2000f7ec,0x400f31f8,0x3fa005ff,0x9eff999f,0x5405ff99,0x10002fff,
    0x220009ff,0x0000cffc,0x200007d3,0xf0001ff8,0xf980001d,0x5c40006f,
    0x7fa80000,0x01ff3000,0xf904fe80,0x01fec00d,0xfa817fc0,0x00132007,
    0x6fc827f4,0x000ffa00,0xff307fe2,0x09f90001,0x001fec00,0x05faa7dc,
    0x9b103360,0x3d984e80,0x2fd53ee0,0xd8819b00,0x66d44004,0x0efa8001,
    0x9d9d9000,0xeffca880,0x40accccc,0x237fc7fe,0x0b8805ff,0x00b62000,
    0x00006a00,0xa80000d4,0x02220000,0x00bb2000,0x10000000,0x01440003,
    0xc88064c0,0x00066001,0x2c880654,0x93000000,0x80072201,0x12e00019,
    0x130001e4,0x000cc000,0x00014188,0x10000000,0x00000283,0x50000000,
    0x05b50000,0xffffffb0,0xe8bfffff,0x3e37fc7f,0x4000005f,0x2003b83b,
    0x8003b83b,0x0005fef9,0x80bfa010,0x00005ffc,0x3b6e2000,0xaccc99ce,
    0x20001000,0x0003b83b,0x00000000,0x99730000,0xbcca8815,0x80000001,
    0x00000000,0x01000000,0xb9800000,0x65440acc,0x665cc1bc,0x004ccccc,
    0x36e20001,0xccc99cee,0xddb7100a,0x15999339,0x00000100,0x7ffffec0,
    0x44ffffff,0x237fc5fd,0xddb714fe,0x3bb2217d,0xffa80bde,0x2007fee2,
    0x3fee2ffa,0xf8a6c001,0xffb50000,0x13ff65bf,0x01744fcc,0x4b7b6e20,
    0xb80accc9,0xefffffff,0x2a04ffff,0x003dfffd,0x7fdc5ff5,0xdddb7101,
    0x3bbb2217,0xddb710bd,0x3bb2217d,0xdb710bde,0x3b2217dd,0xff30bdee,
    0xffe8bfff,0xdb711fff,0x3b2217dd,0x2a00bdee,0x203dfffd,0x0beeedb8,
    0x17bddd91,0x2fbbb6e2,0x7bddd910,0x7ff65401,0x710cb8ce,0x2217dddb,
    0x30bdeeec,0xe8bfffff,0xf31fffff,0xffffffff,0x7ffed40f,0xfff7003d,
    0xfffdffff,0xffff709f,0xffffdfff,0x3fffae09,0x2e20babe,0x910beeed,
    0x4417bddd,0xaaaaeffa,0x7c1c880a,0xfc864c6f,0xfb4fffff,0x109fffff,
    0x07fcc3ff,0xf30ffc40,0x23e8001f,0x7ec4001f,0xffffffff,0x64b700ff,
    0x3ffee005,0xfffeffff,0x7fffdc4f,0xffffffff,0xfffd883f,0x400dffff,
    0x3fe61ff8,0xfffff900,0x3ffff69f,0xffff94ff,0x3fff69ff,0xfff94fff,
    0x3ff69fff,0xff14ffff,0xffd8bfff,0xfff91fff,0x3ff69fff,0xd884ffff,
    0xdfffffff,0xfffffc80,0xfffffb4f,0x3ffff29f,0xffffb4ff,0x3ff609ff,
    0xffffffff,0xffffff92,0x3fffff69,0xfffff14f,0xfffffd8b,0xffffff31,
    0xfb10ffff,0x1bffffff,0x7ffffdc0,0xffffffff,0x7ffffdc3,0xffffffff,
    0x7ffff443,0x323fffff,0xb4ffffff,0x09ffffff,0xf0000bff,0xfffa80df,
    0xfff52fff,0x02205fff,0x80880022,0xcfa80008,0x7f44006e,0xffffdeff,
    0x2fe202ff,0xff7002fa,0xffffffff,0x7fc47fff,0xfff932df,0xfff1019f,
    0xffffdbdf,0x08808801,0x3ffffea0,0xfffff52f,0x3fffea5f,0xffff52ff,
    0x3ffea5ff,0xfff52fff,0x7f445fff,0x1dff702f,0x7fffffd4,0xffffff52,
    0xeffff885,0x40ffffed,0x2ffffffa,0x5ffffff5,0x3fffffea,0xffffff52,
    0xbffffb05,0x27fffffd,0x2ffffffa,0x5ffffff5,0xb817ff44,0x55440eff,
    0x47feaaaa,0xedeffff8,0xf880ffff,0xff932dff,0xff8819ff,0xfff932df,
    0xfffd019f,0x9ffffdbf,0x7fffffd4,0xffffff52,0x000bff05,0x3e00dff0,
    0xffd301ef,0x00000000,0x05ecc000,0x07bff600,0x500dfff7,0x3e2007dd,
    0xff932dff,0xffc819ff,0x05fff505,0xd307bff6,0x00000bff,0xd301eff8,
    0x07bfe0ff,0xff83ff4c,0x0ffd301e,0x7f417fea,0x03dff02f,0x7ec1ffa6,
    0x7ff4c1ef,0x203dff05,0xdff07fe9,0x41ffa603,0xfb81fffd,0x0f7fc4ff,
    0xf507fe98,0x0bffa0bf,0xfd8ffd00,0x7ff4c1ef,0x505ffc85,0xff905fff,
    0x0bffea0b,0xd307bfea,0x3dff09ff,0xf81ffa60,0xff80005f,0x80dff006,
    0xccc987fe,0x0e665cc2,0x2616664c,0x0001cccb,0x0effa800,0x02ffffe8,
    0x5ffc8000,0xd05fff50,0x7ffc03ff,0x00effa82,0xc985ffd1,0x665cc2cc,
    0x80dff01c,0x0dff07fe,0xdff07fe8,0x3a07fe80,0x37fd41ff,0xfe80dff0,
    0x00effa87,0xff05ffd1,0xf07fe80d,0x87fe80df,0x2e00eff9,0x037fc3ff,
    0xffe81ffa,0x0037fd41,0xdff53ff4,0x0bffa201,0x7fc03ffd,0x01ffe82f,
    0x3f20bffe,0x09ff302f,0x7fe80dff,0x00017fe0,0x7fc01bfe,0x2a3ff406,
    0x3e24ffff,0x7d43ffff,0x3fe24fff,0x32603fff,0x00eeeeee,0xf903ffd0,
    0x2a0dffff,0x01cdeedb,0xff00fff4,0x80dff05f,0xffe82ffc,0x537fcc01,
    0x7c49ffff,0xff03ffff,0xf07fe80d,0x07fe80df,0x7fe80dff,0xfd17fea0,
    0x037fc05f,0x3ffa1ffa,0x437fcc01,0x3ff406ff,0x7f406ff8,0x402ffb87,
    0x37fc1ff8,0xfa81ffa0,0x017ff45f,0xffd3ff40,0x46ff9803,0x7fe406ff,
    0x6406ff82,0x2ffb82ff,0x3fe07fa0,0xf03ff406,0xff0000bf,0x01bfe00d,
    0xfffa8ffd,0x7ffffc4f,0x27fffd43,0x80fffffe,0xfffffffe,0x50bff003,
    0x1ffd3fff,0x7fffffc4,0x3fe03fff,0x417fe406,0x3f600fff,0x005ff82f,
    0x7ffd4ffb,0x7ffffc4f,0xe80dff03,0x80dff07f,0x0dff07fe,0x7f407fe8,
    0x80dff51f,0x3ff406ff,0xfd802ffc,0x7406ff87,0x80dff07f,0x0ffd87fe,
    0x6ff81980,0x3a03ff40,0x0dff51ff,0xff9ffa00,0xf8ffb005,0x3ff600ff,
    0x200fff82,0xff982ffd,0x3e0100af,0x03ff406f,0x2ea20fff,0x8037fc00,
    0x3ff406ff,0x4c27fdc4,0xfb883ffc,0x3ffc984f,0x3ffffee0,0xff9806ff,
    0xd9fffcc4,0x3ffe61ff,0x2fffffff,0x6c01fff0,0x3ffd82ff,0x985fff10,
    0xff9004ff,0x427fdc43,0xff03ffc9,0xf07fe80d,0x07fe80df,0x7fe80dff,
    0xfeb7fd40,0x037fc02f,0x9ff31ffa,0xf07ff200,0x07fe80df,0x7fe80dff,
    0x40006ff8,0x3ff406ff,0x7f5bfea0,0xffd0002f,0x64013fe6,0x0fff61ff,
    0x6c17ffc4,0xfff103ff,0x3ffff605,0x7fc00ace,0xd03ff406,0xfdb77bff,
    0xeec887ff,0x00ceefff,0x7fe80dff,0x2a09ff30,0x9ff303ff,0x200ffea0,
    0x2fffffb9,0xd11ffd40,0x17fdc9ff,0xfb886aea,0x07ffb04f,0x2e0bffe2,
    0x7ec41eff,0x1ffd42ff,0x4c2ffb80,0x7ff504ff,0xfd01bfe0,0xd01bfe0f,
    0x01bfe0ff,0xffd00ffd,0xff00dff9,0x547fe80d,0xff7003ff,0x7406ff85,
    0x80dff07f,0x2ffc47fe,0x01bfe000,0xffd00ffd,0x4000dff9,0x07ff57fe,
    0xfb8bfee0,0x7fec41ef,0x1effb82f,0x017ffec4,0xfffffff9,0x01bfe01b,
    0x7fd40ffd,0xffffffff,0x7ffffe42,0xff03ffff,0x307fe80d,0x3fea09ff,
    0x209ff303,0xfb003ffa,0x980bff9f,0x1bff64ff,0x99803ff7,0x3ee0dff0,
    0x7fec41ef,0xdfffd02f,0x5fffffb7,0x7003ff98,0x4ff983ff,0x3e07ff50,
    0x83ff406f,0x3ff406ff,0x7f406ff8,0xffffa807,0x06ff802f,0x3fe63ff4,
    0x83ff7003,0x3ff406ff,0x7f406ff8,0x002ffc47,0xfd01bfe0,0xffff500f,
    0x7f40005f,0x2007ff37,0x7ff41ffb,0xffffdbef,0xdfffd02f,0x5fffffb7,
    0xfffeb980,0x6ff80eff,0x2a03ff40,0xbfffffff,0xffffe980,0xff01efff,
    0x307fe80d,0x3fea09ff,0x209ff303,0xf8803ffa,0x401ffd6f,0xfff76ff8,
    0xb80ffd81,0xfffffffe,0x3bfffa06,0x2fffffdb,0xfffffd10,0x885fffff,
    0xffb005ff,0x504ff981,0x1bfe07ff,0x3fe0ffd0,0xf83ff406,0x03ff406f,
    0x006fffe8,0x7fe80dff,0xd802ffc4,0x037fc0ff,0x37fc1ffa,0x3fe1ffa0,
    0x37fc0006,0x7401ffa0,0x40006fff,0x0bff17fe,0xd103ff60,0xffffffff,
    0x3fa205ff,0xffffffff,0x2ea2002f,0x6ff85fff,0x9803ff40,0x000009aa,
    0x3e03ff40,0x09ff306f,0x7cc0ffea,0x07ff504f,0x3ee7ff90,0x5fffc03f,
    0x7fc42fff,0x7ffff446,0x206fffff,0xffffffe8,0x6402ffff,0xfcdfffff,
    0x00ffe82f,0x7cc3ffc4,0x07ff504f,0xdff01ffa,0xff01ffa0,0xf01ffa0d,
    0x3fea00df,0x0ffd002f,0xffe86ff8,0x43ffc400,0x37fc07fe,0x7fc07fe8,
    0x000ffc86,0xff01ffa0,0x3ffea00d,0x3ff40002,0xf8801ffd,0x3fff207f,
    0x02ffcdff,0x6fffffe4,0x04a82ffc,0x7f43ff44,0x8037fc07,0x2a200018,
    0x05ff9000,0x7cc13fe6,0x07ff504f,0x7d413fe6,0x0fff803f,0xfb80dff1,
    0xfd84ffff,0x3fffa24f,0x6ffeecdf,0xeffffc80,0x3002ffcb,0x0bfee135,
    0xfb017ff2,0x09ff307f,0x7e40ffea,0x09ff302f,0x7cc0bff2,0x05ff904f,
    0x54013fe6,0x3f2006ff,0x09ff302f,0xfd80bff9,0x02ffc83f,0x3f209ff3,
    0x09ff302f,0x71009ff5,0x302ffc81,0x3ea009ff,0xfe80006f,0xb017ff27,
    0x353007ff,0x400bfee1,0x5ff709a9,0x6c03ff88,0x17fe41ff,0x9804ff98,
    0xff0003ff,0x3bfee00d,0x817ff440,0xfea86ff8,0x0dff103f,0xa807ffd5,
    0x17fec4ff,0x217fffe0,0x7fdc6ffd,0x00dff01e,0x5ff7054c,0x0ffec000,
    0xfb05ffe8,0x1bfe20df,0x5c0fffaa,0x7f440eff,0x1dff702f,0x702ffe88,
    0xfe881dff,0x5ffd002f,0x077fdc00,0x740bffa2,0xdffb05ff,0x103bfee0,
    0x3ee05ffd,0x7ff440ef,0x019fff02,0xff71bfa6,0x2ffe881d,0x005ffd00,
    0x746ff980,0xdffb05ff,0x0ffec000,0x83ffb000,0xf502fff9,0x1dff70ff,
    0x802ffe88,0x88004ff9,0xfd000fff,0xfffb7bff,0xacfff80b,0x3effffec,
    0xd959fff0,0x407dffff,0xcaaacffd,0x7fec05ff,0xffecbdff,0x417fec1f,
    0x0006ffc8,0x4000ffec,0x2607ffb8,0xecbcefff,0x3fe01fff,0xfffecacf,
    0xfffd03ef,0x0bfffb7b,0xdbdfffe8,0x7f405fff,0xfffdbdff,0x0dff5005,
    0x7bfffd00,0x4c0bfffb,0xecbcefff,0x3fa01fff,0xfffdbdff,0x6ffff405,
    0x205fffdb,0xbbcffff9,0xe85fffdc,0xffdbdfff,0xdff5005f,0xffd98000,
    0x677ffcc4,0x01fffecb,0x07ffb880,0x0fff7100,0x79dffff3,0x20bffffb,
    0xfdbdfffe,0x3e2005ff,0x0dd30001,0x7ffff440,0x5c00efff,0xffffffff,
    0xfb80ffff,0xffffffff,0xff880fff,0xffffffff,0xffff500f,0x5fffffff,
    0x959dff70,0x7bfffffb,0x7ffb8800,0xffffeb80,0x7d403fff,0xffffffff,
    0x7fffdc01,0xffffffff,0xffffe880,0x4400efff,0xfffffffe,0x7ff4400e,
    0x00efffff,0xfffffff9,0xffe8800b,0x00efffff,0x7fffffd4,0x74401fff,
    0xefffffff,0x7fff4400,0x400effff,0xfffffff9,0xe880dfff,0xefffffff,
    0xfffff900,0xfb100bff,0x1dffffff,0xffffff50,0xd7003fff,0x7fffffff,
    0xffffd700,0xff107fff,0xffffffff,0x3fa201df,0x0effffff,0x80017200,
    0xfc8002f8,0x2004ffff,0xcdfffffb,0x3ee04fff,0xffcdffff,0xffff904f,
    0x7fffffff,0xd77fff10,0x201bffff,0xffffffe8,0x0fffffff,0xfffffd70,
    0xfff005ff,0x007fffff,0x3fffff62,0xfff7000d,0x9fff9bff,0xfffffc80,
    0x7ffe4004,0x7e4004ff,0x2604ffff,0xffffffff,0xffc8002f,0x22004fff,
    0x0dfffffd,0x3ffff200,0x7fe4004f,0x22004fff,0xefffffdb,0xffffc803,
    0x3ffe604f,0x02ffffff,0x7fffffdc,0x3f6200ff,0x000dffff,0xffffffff,
    0x3fffe007,0x3203ffff,0xfffffdae,0xfff9003f,0xe88009ff,0x01760000,
    0x00035300,0x00004d4c,0xf8001353,0xaaaaaaff,0xffc86ffa,0x8800d444,
    0xbefffffd,0x3e04ffff,0x3fffffff,0xbfffd700,0x2a600037,0x26a60001,
    0x0d4c0000,0x006a6000,0x20035300,0xffffffec,0x2a60000d,0x0d4c0001,
    0x006a6000,0x00035300,0x20003530,0xfd9001a9,0x01bfffff,0xcefffd88,
    0x00d4c002,0x6ffff5c0,0x3fae001b,0x4001bdff,0x0000aa98,0x00000353,
    0x00005c00,0x00000000,0x7fd40000,0x217fe404,0x200005e9,0x0001aaa8,
    0x17bfffd7,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x41defffc,0x0deffeda,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0x7fff46ff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x42effffe,0x0dffffeb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2e077000,
    0x260b3003,0x0188000d,0x40000400,0x0400001a,0x003d9000,0x1d980002,
    0x00001000,0x5c400020,0x00080000,0xddd00002,0x40004003,0x000001d9,
    0x25c0f200,0x000ecc00,0x00000010,0x016c4000,0xbddddb70,0x20020000,
    0x0005eeeb,0x00017100,0x41dc0004,0x3b30003b,0x23dfb000,0xf5005fe9,
    0x8001fb09,0x5c003ffa,0xbabefffe,0x5fef9800,0x0fe88000,0x03ffa800,
    0x33bffb2a,0x3f200cb8,0x7c4004ff,0x2a00000e,0x5fd8004f,0x01fa2000,
    0x800077c4,0xe8802fff,0x7ffe4007,0x227dc004,0x3fb003fc,0x64005f98,
    0xf0003fff,0xfb80001d,0x2001fe44,0x800dfffb,0x06ffffff,0x203f4400,
    0x007ffff8,0x02fe9800,0x4007f700,0x3fee2ffa,0x7ffe4001,0x7fe44004,
    0x2000cffd,0x4febbdfd,0x05ffc800,0xfffffd10,0xb007ffff,0x80003e29,
    0xd0004ff9,0x3ff603ff,0xffffffff,0xfbefe982,0x3f2001ef,0xfc80001f,
    0x6ff8001f,0x09ff3000,0x000f7e40,0x26017ffc,0xfd3004ff,0x003dff7d,
    0x0dff1bfa,0x36f7fe60,0xfd3000ff,0x003dff7d,0x0002ffb8,0x0dff1bfa,
    0x3afff620,0x7f5c02ff,0x20006fff,0xec804ff9,0x400007ff,0xb0004ffa,
    0x7c4001df,0x003fe61f,0x7fdf7f4c,0x7fd4001e,0xfc88002f,0x8000ceff,
    0xfd001fe9,0xfffdbfff,0x7c7d009f,0x7ff50001,0x1bfe6000,0x76ffffec,
    0xe83fffff,0x0dfb10cf,0x002ffb80,0x0007bf60,0x97dfffb1,0x07ff7003,
    0x005ff700,0x2e009998,0x3fa003ff,0x401bf624,0x00ed42da,0x5bfffb50,
    0xb127f400,0xff5000df,0x0b6a0007,0x3f6003b5,0x001fee0d,0x2e000dff,
    0x7f4003ff,0x3ea00007,0xfe88002f,0x8088000d,0x93fa0008,0x88006fd8,
    0x1980000b,0x54000000,0x7f4c1eff,0xecfa804f,0x0bfe0006,0x82ffd800,
    0xfb81fffd,0x301a84ff,0x0ff50003,0x0037ee00,0xffffff90,0xff880dff,
    0x1fea0001,0x3fe20000,0x980d4001,0x00000001,0x2a0002a2,0x20003501,
    0x00000ff9,0x4c0a6000,0x037fc002,0x000ffc40,0x00003ff4,0x320003db,
    0x0000004f,0x03301a80,0x80000200,0x00100000,0x7cc0bff2,0x17b3004f,
    0x00054000,0xf30dff30,0x7fdc01df,0x00000803,0x0a200051,0x3fffe600,
    0x807ffffe,0x2880000a,0x33332e60,0x01504ccc,0x00001000,0x00000002,
    0x88000000,0x00000002,0x3e000080,0x0150006f,0x655ffa00,0x0000acee,
    0x00062000,0x102b32e6,0x40037995,0x3f6a0000,0x54003dff,0xaadfffec,
    0x7f65400c,0x40caadff,0x3fa02ffb,0x00000001,0x1ffe4000,0x22017fdc,
    0xffd701ff,0x001757df,0x00000000,0x75417ffb,0x0000007f,0xfffff500,
    0x000fffff,0xbfffb500,0xffda8007,0x36e203df,0xd910beee,0x2e217bdd,
    0x910beeed,0x0017bddd,0x3b6e2000,0xdd910bee,0x654017bd,0xcaadfffe,
    0x006ff800,0xffe80000,0xfffffffe,0x3bbb6e02,0x0000005e,0x8bfffff3,
    0x01fffffe,0x33bffb2a,0xfb100cb8,0x1bffffff,0xfffffb00,0x405fffff,
    0xfffffffd,0x7fcc2fff,0x4c0100af,0x0eeeeeec,0xeeeee980,0x01eeeeee,
    0xfd83ffc4,0x8819800f,0xfffffffe,0x3b6e23ff,0xeeeeeeee,0xdd9305ee,
    0x2001dddd,0x47d506ff,0xeeeeedb8,0x25eeeeee,0xeeeeedb8,0xff30bdee,
    0xffffffff,0x3bbbb6e2,0x880bdeee,0xfffffffd,0x7fec400d,0x80dfffff,
    0x4ffffffc,0x9ffffffb,0x3ffffff2,0xffffffb4,0xdddd9309,0xff9001dd,
    0x3f69ffff,0xb04fffff,0xffffffff,0xdff005ff,0x39ddb700,0x03deec98,
    0xfffffffd,0x3e05ffff,0x806fffff,0xeeeeeec9,0x7ffc400c,0x7ffec5ff,
    0xfffb01ff,0x5fffffff,0xbdffff10,0x201ffffd,0xdeffffe8,0x884ffffe,
    0xedeffffe,0xfd84ffff,0x00acefff,0xffffffe8,0xfffa803f,0xffffffff,
    0x81ffe402,0x740006ff,0xffedffff,0x3ffee4ff,0xffffffff,0xfffd07ff,
    0x2007ffff,0xf7002ffd,0xffffffff,0x7e4fffff,0xffffffff,0x2aaa23ff,
    0xf97feaaa,0xffffffff,0xfff887ff,0xffffedef,0xdffff100,0x81ffffdb,
    0x2ffffffa,0x5ffffff5,0x3fffffea,0xffffff52,0xfffffd05,0xff5007ff,
    0x3ea5ffff,0x442fffff,0xedeffffe,0xf804ffff,0x7ffcc06f,0x7fff46ff,
    0xfffe81ff,0xffda88be,0xfffeb81f,0xffff806f,0x805fffff,0xf702ffe8,
    0x3ff601df,0xffffedff,0x1effd83f,0xd82fff4c,0xfd981eff,0x1effd84f,
    0x904ffd98,0xbfffffff,0x7fffdc01,0xfa806fff,0xffffffff,0x3fe202ff,
    0x05ff880f,0x07bfea00,0x74c9ffd3,0xffffffff,0xf707ffff,0x0dffffff,
    0x37fffea0,0xfffd301b,0xffffffff,0x7fffd4ff,0x1effffff,0x3eaffd00,
    0xffffffff,0x77fec1ef,0x82fff4c1,0x74c1effd,0x3dff05ff,0x7c1ffa60,
    0xffd301ef,0x7ffffdc0,0x3fe006ff,0x0ffd301e,0x2607bff6,0xff804ffd,
    0x7fff4406,0x7fffe41f,0x06ffe80e,0x3e013ff2,0xfffc806f,0x003fffff,
    0x3fa0bff5,0x3fffb02f,0xa89fff70,0xfd100eff,0x0fff985f,0xf30ffe60,
    0x7fcc01ff,0x3ffae603,0x4c00efff,0x02fffffb,0x4cce7fd4,0x200effd9,
    0xff104ffb,0x7fe4000b,0x509ff302,0x333339ff,0xb980ffd3,0x002fffff,
    0xfffffffb,0x273fea07,0x7fe99999,0x9eff9988,0x3ff40009,0x27bfe662,
    0x0effa809,0xa85ffd10,0xfd100eff,0x80dff05f,0x0dff07fe,0xb9807fe8,
    0x002fffff,0x7fe80dff,0x200fff98,0xff803ff9,0x1fff5006,0x201fff88,
    0x3e202ffe,0x06ff806f,0x06fff260,0x507ffa00,0x3fe60dff,0x0ffee00e,
    0xf9803ffd,0x017fec6f,0x3ff606dc,0x000db802,0x0bfff751,0xbff9ffb0,
    0x543ffa80,0x7fc01fff,0x01bfe00f,0x202ffb80,0x4ff981fe,0x3601ffa0,
    0x005ffcff,0x3fffff6a,0x04ff984f,0xdff01ffa,0x03ff4000,0xffe80dff,
    0x237fcc01,0x7cc01ffe,0x406ff86f,0x0dff07fe,0xfb007fe8,0x200bff9f,
    0x3ff406ff,0x5c017fec,0x06ff800d,0xfb17ff20,0x0ffe809f,0x2007fec0,
    0x7dc006ff,0xff50001f,0x702ffe8b,0xff8805ff,0xd802ffc1,0x007ff47f,
    0x001ffd00,0x3a202540,0xb7fc407f,0x3e600ffe,0x0fffe22f,0xc809ff70,
    0xf30000ff,0x402015ff,0x476a4ff9,0x7fc405fc,0x0001ffd6,0x83fffd73,
    0x476a4ff9,0x37fc05fc,0x40ffd000,0x2ffc06ff,0x7fc7fd80,0xf0ffb005,
    0x07fe80df,0x7fe80dff,0xfd6ff880,0x0dff001f,0xffe87fe8,0x7fc00000,
    0x3ffa2006,0xd00dff72,0x7ff807ff,0x4006ff80,0x20001ffb,0xdff51ffe,
    0x4007fec0,0x027fcc19,0x3fe1ffc8,0x37fc0006,0x07ff1000,0x3201ffd8,
    0x07ff73ff,0xffd10ed8,0x03ffd009,0x8804ffa8,0x7fffec0b,0x7cc00ace,
    0x0a97fa4f,0xfb9ffe40,0x806a203f,0x7fcc3ffb,0x00a97fa4,0xd00037fc,
    0x037fc0ff,0x32009ff3,0x09ff31ff,0xff07ff20,0xf07fe80d,0x07fe80df,
    0xff73ffc8,0x80dff007,0x06ff87fe,0x06ff8000,0x7cfffcc0,0xffe801ff,
    0x0bff900f,0xb800dff0,0x2a0001ff,0x05ffd6ff,0x500037fc,0x3ee007ff,
    0x00bff12f,0x002ffc40,0x205fff30,0x7fc07ffa,0x00dff10f,0xa806ffd8,
    0xfff005ff,0x1bfa6019,0x3ffffff2,0xfff300df,0x800dffdd,0xdff10fff,
    0xf503fdc0,0xefff987f,0x7c006ffe,0x3fa0006f,0xa81bfe07,0xff7003ff,
    0x400ffea5,0x37fc2ffb,0x7fc1ffa0,0x403ff406,0xdff10fff,0xe80dff00,
    0x02ffc47f,0x037fc000,0x7ffffe40,0xffffd004,0xfffb535b,0x00dff003,
    0x0001ffb8,0x37fe7ff4,0x000bff10,0xb801ffcc,0x0bff11ff,0xdfffffd7,
    0x2e17fe23,0x1efffffe,0x79dffff3,0x40bffffb,0x7fec4ffa,0x1fff7002,
    0x003ffd00,0x2f3fffe6,0x05fffdcb,0xfffffd73,0xffff301d,0x5400dfff,
    0x17fec4ff,0xe884ffd8,0x7ffcc0ff,0x4006ffff,0x3a0006ff,0x81bfe07f,
    0xf7003ff9,0x00ffe63f,0x3fe0ffdc,0xf83ff406,0x03ff406f,0xffb13fea,
    0x406ff805,0x2ffc47fe,0x7fffff5c,0x3bbb6e1e,0x2deeefff,0x06fffe80,
    0x3fffffa0,0x03ffffff,0xb800dff0,0x540001ff,0x202fffff,0x20005ff8,
    0xfb005ff8,0x7437fc1f,0x5fffffff,0x3ffa1bfe,0xf15fffff,0xffffffff,
    0x7ec01dff,0xffcaaacf,0x2fff9805,0x006ff980,0x7fffffcc,0x800dffff,
    0x85fffba8,0xfffffff9,0x33ff6006,0x05ffcaaa,0xd9bffffb,0xff30bfff,
    0x00dfffff,0x20006ff8,0x1bfe07fe,0xb005ff88,0x17fe21ff,0x3e07fec0,
    0x83ff406f,0x3ff406ff,0x2ab3ff60,0x7c05ffca,0x43ff406f,0xfffe86ff,
    0xff15ffff,0xffffffff,0xf9801fff,0x3fa001ff,0xffffffdf,0x1bfe001e,
    0x403ff700,0xfffe8009,0x006ff806,0x2007ff40,0x3fec7ff8,0x7ff776d4,
    0x2a1ff61e,0x1effeeed,0x3fff6bb2,0x7c403fff,0xffffffff,0x3fe200ff,
    0x360ecc4f,0xb88002ff,0x3efffffd,0x7f4404a8,0x3a4ff987,0xff88046f,
    0xffffffff,0xffffc80f,0x81ffffff,0x1bfa4ff9,0x006ff801,0xff81ffa0,
    0x007ff406,0xffd1ffe2,0x87ff8801,0x37fc07fe,0x7fc07fe8,0x3fffe206,
    0x0fffffff,0xff01ffa0,0xb50ffb0d,0x43dffddd,0xfffffffc,0xf004ffff,
    0x7fe800df,0x00379971,0xb800dff0,0x0ff501ff,0x005fff50,0x40001ff9,
    0x7ec05ffc,0x017fe43f,0xff913fe6,0x04ff9805,0x80067dc4,0xfffffffc,
    0x3603ffff,0x25fd85ff,0x80006ff9,0x3e201df9,0x0ffec03f,0x3fb93fe6,
    0x3ff207fa,0xffffffff,0xfdde983f,0x300dffff,0xd1fdc9ff,0x037fc03f,
    0x7c0ffd00,0x2ffe406f,0xf90fff60,0x3ffd80bf,0xf302ffc8,0x0bff209f,
    0xf9027fcc,0xffffffff,0x7fe407ff,0x909ff302,0xff9805ff,0xf0000004,
    0x7fe800df,0x37fc0000,0x407fee00,0x7d400ffc,0x9ff5006f,0xfd017100,
    0x1bff60bf,0x980bffe6,0x7ffcc4ff,0x013fe602,0x7c003bea,0xaaaaaaff,
    0xff906ffa,0x6cffd01d,0x980002ff,0x3fe601ef,0x0fff502f,0x7c409ff3,
    0xaafff84f,0x6ffaaaaa,0x00eff880,0xf1027fcc,0x037fc09f,0x205ff980,
    0xffe806ff,0x20dffb05,0xffb05ffe,0x03bfee0d,0x2e05ffd1,0x7f440eff,
    0x2bffe02f,0xffaaaaaa,0x03bfee06,0xf305ffd1,0x7fcc05ff,0x001bb804,
    0xd001bfe0,0xf80000ff,0x7fdc006f,0x803ff901,0x3e002ffe,0xfd300cff,
    0x9dfff30d,0x03fffd97,0x2f3bfff2,0x84fffedb,0xbbcefffc,0x804fffed,
    0xfa806ffa,0x17fe404f,0x7407ffea,0x00dff17f,0x0dff3100,0x677fffcc,
    0x85ffffdb,0x3e604ff9,0x027fd44f,0x3e00bff2,0x4ff9806f,0xf813fe60,
    0xfd98006f,0x01bfe03f,0x2f3bffe6,0x301fffec,0xd979dfff,0x7f403fff,
    0xfffdbdff,0x6ffff405,0x205fffdb,0x7e404ffa,0x3fffa02f,0x05fffdbd,
    0x2f3bfff2,0x04fffedb,0x0001fff8,0xfe800dff,0x7fc00007,0x0ffdc006,
    0x2a01ffc8,0x7cc006ff,0xdcbbcfff,0xff505fff,0x3fffffff,0xfffffd80,
    0x03ffffff,0xfffffffb,0x4407ffff,0x2207fcef,0x41defffc,0x0deffeda,
    0xddddfffd,0x3eefffdd,0x7c40003f,0x3e207ece,0xffffffff,0x3b220eff,
    0xeeeeefff,0xf914ffee,0xda83bdff,0x200deffe,0x3b2206fe,0xeeeeefff,
    0xd914ffee,0xdddfffdd,0x3fff6219,0x910effff,0xddfffddd,0xfff5019d,
    0x03ffffff,0xffffffa8,0x74401fff,0xefffffff,0x7fff4400,0x880effff,
    0x41defffc,0x0deffeda,0xfffffe88,0x7ec00eff,0xffffffff,0x2f6203ff,
    0xd91004fd,0x19ddfffd,0x3ffffb20,0x36e000df,0xeefffeee,0x776d42de,
    0xeeeeeeff,0x3ff21fff,0x005fffff,0x7fffffcc,0x200dffff,0xdfffffd8,
    0xfffb3000,0x8017ffff,0xffffffd9,0xffd800bf,0x3ffee03f,0x7ff46fff,
    0xffd3ffff,0xffffffff,0x001beaff,0x01fffe40,0x3fff6bb2,0xffb83fff,
    0xffffffff,0xff74ffff,0xfe8dffff,0x203fffff,0x3fee04fd,0xffffffff,
    0xff94ffff,0xffffffff,0x3fffee7f,0x3f20efff,0xffffffff,0xffb103ff,
    0x2001bfff,0xdfffffd8,0x3fff2000,0x7e4004ff,0x2e04ffff,0x46ffffff,
    0x3ffffffe,0x3fffff20,0x3ff66004,0x00bfffff,0x007fffcc,0xffffffc8,
    0xff884fff,0x03ffffff,0xffffff10,0x1fffffff,0x7ffffffc,0xffffffff,
    0xffffff31,0x88005fff,0xefffffdb,0x00d4c003,0x026a6200,0x04d4c400,
    0x4c009800,0x42effffe,0x0dffffeb,0xfffffffd,0x004fffff,0x8000c000,
    0x2200aa98,0xfffffffd,0x34ffffff,0x85dffffd,0x0dffffeb,0xd8802e20,
    0xffffffff,0xd34fffff,0xffffffff,0x3ff623df,0x74c0acef,0xffffffff,
    0x1a9801ef,0x00d4c000,0x0006a600,0xd3003530,0xb85dffff,0x00dffffe,
    0x40001a98,0x40009a98,0x26000ba8,0xfffffffe,0xfffd901e,0x64001bff,
    0xffffffff,0x7f5c4fff,0xffffffff,0x3b21ffff,0x0dffffff,0x00d4c000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x003c81e4,0xeda80188,
    0x640000ee,0x40007903,0x00800000,0x3ba00000,0x0777441e,0x40000200,
    0x0f2001d9,0x1000025c,0x000274c0,0x80b220f6,0x0cc002da,0x00000500,
    0x0000b6a0,0x003b3000,0x00f20790,0x0f721ed4,0xb303b300,0x03366001,
    0x6f76d401,0x6f775c40,0x4400000b,0xdeeeeedb,0x260001bc,0x8130001d,
    0xdfb00c01,0x0017fa63,0xff807ff5,0x40000fff,0xbfd31efd,0x00fee000,
    0x007ec400,0x0df32fd8,0xf10bffe0,0xeca803ff,0x0caadfff,0x33ffee00,
    0x4c1fd800,0xf700005f,0x00bff209,0xf50dfe80,0x037f409f,0x05ffffb8,
    0xf70037f4,0xfd03fc87,0x3ffff60d,0xc8005fff,0x74004fff,0x0bfd31ef,
    0x261fffd0,0x2a005fff,0x07ff23ff,0x2fffff60,0xff880fd9,0x7fe45fff,
    0xfb04ffff,0x0bffffff,0x3fffffee,0x00dfffff,0x027ffe40,0x5fc9bf20,
    0x880eff98,0x0cffdffd,0x02ffe400,0x003fffae,0xfbffb100,0xf900019f,
    0xd300001f,0x3fea00bf,0xf007ff95,0xfff885ff,0x3ffff601,0x02ffffff,
    0xfebffe88,0x6ffcc01e,0x0000ffdb,0xf301ffc8,0x6c4000df,0x403ffdff,
    0xffc806fe,0xf102ffff,0x3fa001ff,0xfe82ffc6,0xddddd706,0x74c007dd,
    0x01effbef,0xffbffb10,0xbfff5009,0x003fffd8,0x3bfbbfea,0xb9df8801,
    0x3604ffff,0x2a2fffff,0x02ffffff,0xddddddd7,0x3fffa607,0xffffffff,
    0x7dfd3006,0x36003dff,0x321ffa7f,0x3ea03fff,0xd30002ef,0x3ff2003f,
    0xff500000,0xfd10005d,0xf500001d,0x3fe2009f,0x01fff32f,0x99809998,
    0xffffd101,0x9ffffdbd,0x641bfb00,0xffda807f,0x440002df,0x7f400efd,
    0x7dc0001f,0x6ff801ef,0x66fffcc0,0x17f200ee,0x6d42da80,0x000dff01,
    0x449fd000,0x7d4006fd,0xffb001ef,0x017fe601,0x009ffb10,0x00ee4408,
    0x077fff44,0x0001ffa2,0x339ff500,0x07fff933,0x7ec49fd0,0x74ffd006,
    0x4fffe86f,0x00005c40,0x03ff2000,0x00b88000,0x000bf900,0x70017fc0,
    0x4ffd8dff,0x7ec00000,0xffd981ef,0x53029804,0x00054400,0x5005fb80,
    0x10000bff,0x037fc007,0x0000fff2,0xff800000,0x40001006,0x0003301a,
    0x6ff80071,0x80037fc0,0x0000001a,0x09ffffd0,0x00000ffd,0xf304ff98,
    0x203500bf,0x4dfd0019,0xfffd86ff,0x80000803,0x87fe4000,0x00accca8,
    0x31000040,0x00980000,0x2617ff40,0x65cc0fff,0xcca8accc,0x3e63cccc,
    0x3fe600ff,0x80000003,0x0a200000,0x001ffd00,0x6ff80000,0x0007ff40,
    0xf0000000,0x7fed40df,0x000003df,0xff000000,0x006ff80d,0x76dc4000,
    0xdd910bee,0xffd017bd,0x7fe83fff,0x5f776dc4,0x7bddd910,0x204ff981,
    0x000006ff,0x5ff9bfe0,0x703fffc8,0x757dfffd,0xffeca801,0xc80cb8ce,
    0xffffd0ff,0xfd9500df,0x019719df,0x00000000,0x360dff50,0x3ffe23ff,
    0xfffddfff,0x3f66ffff,0x00db802f,0x777776dc,0x6d403dee,0x0003dfff,
    0x4ffb8000,0xeeedb880,0x401bcdee,0x3ff406ff,0x3bbbba60,0x21eeeeee,
    0x4c1ceedb,0x3fe3deec,0xffffd886,0xb500dfff,0xda85bddd,0x3b62deee,
    0xeeeeeeee,0xff84eeee,0xa837fc06,0x5c40deed,0xf90bdeee,0x369fffff,
    0x84ffffff,0x46ffbffe,0x7ffe47fe,0xfffb4fff,0xff989fff,0x209ff904,
    0x4c1ceedb,0x3e03deec,0x90bff15f,0xfe885fff,0xffffffff,0x3ffff603,
    0x82ffffff,0xfffb0ffc,0xffd80bff,0xffffffff,0xddddb712,0x500379bd,
    0xb881bddb,0x360bdeee,0xdff503ff,0xdffffff8,0xfffffffc,0x0003ffa6,
    0x7ffffcc0,0x81ffffff,0xffffffd8,0xedb800df,0xeeeeeeee,0x1fff06ee,
    0xfffffb80,0x0dffffff,0x9950dfd0,0x50599fff,0xffffffff,0x3fe65fff,
    0x7ff46fff,0x8dff1fff,0xedeffff8,0x7c40ffff,0x10ffffff,0x1fffffff,
    0x3ffffffa,0x5fffffff,0x7fc06ff8,0xfffff886,0x7ffffe45,0xfffff54f,
    0x3fffea5f,0xd7fe82ff,0x23ff47ff,0x2ffffffa,0x5ffffff5,0xa99cff98,
    0x981fffeb,0x746fffff,0x221fffff,0xfeefffeb,0x3fee2dff,0x7ffff41f,
    0x04ffffed,0xfdbffffb,0xf907ffff,0x5dfff71f,0xffffd803,0x3fffffed,
    0xfffffff7,0x201bffff,0x45fffff8,0x4ffffffc,0xff803ffe,0x7fdd4c0f,
    0xff555515,0x00037fcd,0x3fffffa0,0xf886ffff,0xffedefff,0x3fea00ff,
    0xffffffff,0xff707fff,0xfffe9809,0xffffffff,0xf98dfd06,0xffffffff,
    0x7ffffd42,0x12ffffff,0xc83ffffd,0xff0effff,0x41effd8d,0xfe85ffe9,
    0x7ec5ffff,0x3fa6ffff,0xffffffff,0xff85ffff,0xd837fc06,0x2a2fffff,
    0x42ffffff,0xfd301eff,0xf9bff40f,0x20ffd0ff,0xfd301eff,0x3fffe60f,
    0x02ffffff,0x83ffffd1,0x20effffc,0xfffffffc,0xf50fffff,0x77fd41ff,
    0x427ff4c1,0xfb81fffd,0xdffc84ff,0xd800dfff,0xffb81fff,0xffffd34f,
    0xdfffffff,0x7ffffec0,0x3ffffea2,0x80fff12f,0xff101ffe,0xf8b7fc0b,
    0x8800005f,0x09eff999,0x983dffb0,0x3a205ffe,0xffffefff,0xf107ffff,
    0xff5001ff,0xff933339,0x885d507f,0xffffffff,0x4e7fd41f,0x0effd999,
    0x2207ffd4,0x37fc1fff,0x2201dff5,0xfff82ffe,0xdff31009,0xf999ffe8,
    0x5ff999ef,0xd017fee2,0x3fa205ff,0x7f440eff,0xe80dff07,0xc9ffa07f,
    0x20ffd5ff,0x3ff406ff,0xffffff98,0xfa801fff,0x7ffc40ff,0xfffffa81,
    0x25ffffff,0x3f20fff9,0x89ff302f,0x2e00eff9,0xfffc83ff,0xff3004ff,
    0x1ffdc01d,0x26673fea,0x203fffc9,0x40efffe8,0x7fcc7fe8,0x817fec06,
    0x3fe05ff8,0xd70bff16,0x03dfffff,0x2a05ff80,0xfd100eff,0xaffa805f,
    0xfe999cff,0x00fff207,0x7cc13fe6,0xe998005f,0xff5019ff,0x01fffa87,
    0xffd8bff9,0x3fa6ff84,0x37fcc01f,0x13323ff4,0x47fe8bff,0xf2ffc6ff,
    0xfc807fff,0xfffd06ff,0x20ffd09f,0x3ff406ff,0xffe8ffd0,0xdff07fea,
    0xf307fe80,0xfffb99df,0x17ff2009,0xfa809ffb,0x305ff53f,0x2ffb8fff,
    0xff707fa0,0x81ff8805,0x02fffffc,0x8805ff70,0x27fcc1ff,0x7405ff98,
    0xfe84ffff,0x202ffd47,0xff104ffc,0xff37fc0b,0xfffffd0d,0xff800bff,
    0x007ffa05,0xfc80dff3,0x7f43ffad,0x01ffe207,0xff813fe6,0x1ffa0006,
    0x7c45ff30,0x3fa203ff,0x20dff72f,0x017fe6ff,0x7fec3fec,0x225fff50,
    0x23ff44ff,0x8affc6ff,0x5401ffff,0xffd07fff,0x7fe83fff,0xfe80dff0,
    0xf51ffa07,0x3e0ffdff,0x83ff406f,0x7fe44ff9,0xffe8804f,0x500dff72,
    0x0bfee5ff,0xff31bfe2,0x3602015f,0x019800ff,0x7ffffff9,0x001ffb00,
    0x09ff3033,0x3fa037fc,0x7f41ffff,0x202ffdc7,0xff104ffb,0xfb37fc0b,
    0xfdddb50f,0xff8003df,0x4017fe05,0x5ff407fd,0x3f633ffa,0x01ffe406,
    0x7e413fe6,0xfd00304f,0x221db00f,0xf9804ffe,0x01fff9ff,0x13fe6dff,
    0x320ffe40,0x9fff91ff,0xbfb13fe6,0x27f46ff8,0xe80bffb5,0xffd01dff,
    0x7fe8dff7,0xfe80dff0,0x361ffa07,0xff07ffff,0x307fe80d,0xfff509ff,
    0x3fff3005,0xf7003fff,0x407fee5f,0xfffd85ff,0x3e00acef,0xfc80006f,
    0x04fffc9f,0x200037fc,0xff904ff9,0xfbffe809,0x2a3ff46f,0x7fec06ff,
    0x40bff103,0x0bff26ff,0x0009ff30,0x3fe60bff,0x03ff9004,0x3fea3fe6,
    0x02d9cfcb,0x26037fcc,0xeba99cff,0x5fd81fff,0x4003ff40,0x32006ffd,
    0x204fffff,0x07ff56ff,0xf70bfee0,0x5ffffe5f,0x0e443ffa,0x01931bfe,
    0x6ff80dff,0xffebff40,0x7fc1ffa3,0xd03ff406,0xffff10ff,0xd01bfe0f,
    0x13fe60ff,0x4007ffdc,0x04fffffc,0x777ff6dc,0x540cefff,0xffff901d,
    0xf881bfff,0xfc80005f,0x0bfff70f,0x00017fe2,0x75339ff3,0xe803fffd,
    0x747ffd7f,0x03ffc47f,0x7c407ffa,0x99bfe05f,0x3e602fff,0x5ff8004f,
    0x2007ff50,0xdf702ffb,0x1bffbfea,0x405ffb00,0xfffffff9,0xdfd02fff,
    0x4007fe80,0x4000fffb,0x7c06fffe,0x007ff36f,0xff507fee,0x5fffff57,
    0x3e005ff7,0x1bfe006f,0xfe80dff0,0x3a1fff37,0x80dff07f,0xffc887fe,
    0x3fea1def,0x80dff07f,0x7f6447fe,0xffd84eef,0xfffe804e,0x7fffcc06,
    0xffffffff,0xfeb98003,0x220effff,0x2a0005ff,0x3ee0fffd,0x3e23deff,
    0x7cc0005f,0xffffffff,0x37fe802f,0x1ffa1fff,0xff803ffe,0xfddd910f,
    0x7c5bddff,0x77ffe46f,0xfffedbbc,0xff017a24,0x00ffe60b,0xfd80ffdc,
    0xdfffff54,0x06ff9800,0x3fffffe6,0x3fe01fff,0x003ff406,0x0005fff3,
    0xf803fff3,0x00bff16f,0xff303ff6,0x9ff9ff99,0x3e003ff9,0x1bfe006f,
    0xfe80dff0,0x7f57ff27,0xe80dff07,0xffffb87f,0x3ffec5ff,0x7f406ff8,
    0x7ffffdc7,0x7ffc42ff,0x7ffcc02f,0xffffd801,0x1effffff,0x7dd44000,
    0x037fc5ff,0x1fffff00,0x7fffffec,0x0001bfe0,0xfffffff3,0x3fa003ff,
    0x7f57ff27,0x302ffe87,0x7ffdcfff,0x6fffffff,0x3ff61bfe,0xffffffff,
    0x807fea3f,0xbff105ff,0x203ff600,0xffcacff8,0xe8006fff,0xdff301ff,
    0x09fffb99,0x3fa037fc,0x9fff1007,0xff801d98,0x3a6ff806,0x7fc400ff,
    0xffdff887,0xffdfff8f,0x00dff000,0x3fe037fc,0x3a3ff406,0xd07feaff,
    0x86ff80ff,0x2effffe9,0xfe83ffc4,0x2237fc07,0x0dfffffd,0x800dffa8,
    0x7ec006ff,0xa881ffa7,0x3a202540,0x007fe47f,0x0fffeb80,0x13ffffa6,
    0x40001ff9,0xfdcceff9,0xffd004ff,0x7feaffe8,0xf905ffb8,0x7ffec49f,
    0x23efffff,0xffb306ff,0x817fffff,0x3fe02ffb,0x003ffa05,0x3ea0fff1,
    0xdbffffff,0xffa8005f,0xc89ff305,0xdff04fff,0xb006ff80,0x0bfb0bff,
    0xff00dff0,0x202ffe4d,0xfff03ffd,0x3fff29ff,0x1bfe007f,0x7c06ff80,
    0x23ff406f,0x07fefffa,0x3e605ff9,0x8000004f,0xff302ffc,0x00000009,
    0xfd001bfe,0xf883ff4f,0x00ffe26f,0x7fd43ffb,0x000b8804,0x04ffa800,
    0x7fcc0b88,0x027ffe44,0x3fea3ff4,0xff887fef,0x0fffc41f,0x037fc000,
    0x7004d4c4,0x3fe205ff,0x017ff204,0x3f607ffb,0x8bffffff,0x7400310b,
    0x4ff981ff,0xf82fffa8,0x17fea06f,0x203bff20,0x6ff807fe,0x7f46ff80,
    0x0dffb05f,0xa97ffff4,0x2006ffff,0x3fa006ff,0x202ffc07,0xfffd87fe,
    0x1dff707f,0x002ffe88,0xf700164c,0xffe881df,0x00b26002,0x001bfe00,
    0x837fcffd,0x3fe66ff8,0x0fff502f,0x26019fff,0x0bb806fe,0x033ffe00,
    0x3e637f4c,0x2fffa84f,0x7ec3ff40,0xff907fff,0x005ffc8b,0x805ff980,
    0xffb802c9,0x805ffb03,0xffb05ffe,0xf517fc0d,0x003ff07f,0x3e617fea,
    0x1fff704f,0x2b2e6ff8,0x5402fffb,0xffd01fff,0xf00dff00,0xefff98df,
    0x1fffecbc,0xf1ffff60,0x7c00bfff,0x3ff6006f,0x1ffe4c0c,0x3e21ffa0,
    0x3fa07fff,0xfffdbdff,0x4ffc8005,0x37fffa00,0x005fffdb,0x00027fe4,
    0xff001bfe,0x51037fcd,0x77fffcc1,0x5ffffdbc,0xbcffff98,0x05fffdcb,
    0x8007ffc4,0xbbcffff9,0x4c5fffdc,0xfff704ff,0x443ff401,0xf107ffff,
    0x3ffe23ff,0x7f540002,0x4ffc803f,0x6ffffdc0,0x00efffcb,0x5e77ffcc,
    0x301fffec,0x1ffd41ff,0xf800ffe6,0xffd910ff,0xdffb09dd,0xff9b7f49,
    0xe805ffff,0xeeeeefff,0xec887ffe,0x0ceefffe,0xffa86fe8,0x1fffffff,
    0x22fffe40,0x2204fffc,0xeefffeec,0x3ffea00c,0x1ffff10f,0x3bfff220,
    0x1fffea1d,0xfffffe88,0x64000eff,0x22007fcc,0xfffffffe,0x3332000e,
    0x7644007f,0x0ceefffe,0xff8affc0,0x7ffc4005,0xffffffff,0xffff300e,
    0x1bffffff,0x17f5ecc0,0xfffff300,0x21bfffff,0x4eeffec8,0x444effd8,
    0x21defffc,0x3207fffa,0x0bff74ff,0xffffd980,0x66400eff,0x7fcc07fc,
    0xefffffff,0xffff5000,0x203fffff,0xedadffed,0xfeeeeeff,0x3fee004f,
    0xffffff73,0xffff885f,0x7fecbfb2,0xfe800dff,0xffffffff,0xfffc87ff,
    0x84ffffff,0xffb105fd,0x7001bfff,0xffa85fff,0x3fff203f,0x03ffffff,
    0xff13ffdc,0x7ffdc05d,0x7fec5fff,0xffffc807,0xffb0004f,0xff90007f,
    0xb0009fff,0xc8007fff,0xffffffff,0xf27fc04f,0x5d90007f,0x7ffffffb,
    0xfffb7100,0xf5007dff,0x71000fff,0x7dfffffb,0xffffffb8,0x7fffc42f,
    0x3ffffee2,0x03ffec5f,0x07fdd3fa,0x3ffff600,0xfd800eff,0xfb5003ff,
    0x0019dfff,0xfffffd88,0xffff700d,0xffffffff,0x009fffff,0xffb12fe8,
    0xf501bfff,0x302a21bf,0x7f400377,0xffffffff,0xffe987ff,0x81efffff,
    0x1a9800a8,0x07ffd400,0xd301fffc,0xdfffffff,0x88151003,0xfffe9801,
    0x3ffc42ef,0x00035300,0x0001ba88,0x10000d4c,0xd3000375,0xdfffffff,
    0x260c9803,0x9880000b,0x260000aa,0xab98001a,0x1a980000,0x3ffff620,
    0xdffa80df,0x3ffffa60,0x03ffc42e,0x000130a2,0x159dffb3,0x006ea200,
    0x000054c0,0xe8801a98,0xffeaefff,0xffffffff,0x00008004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3c800000,0xdd910790,0x03b30bdd,0x014003b3,
    0x4c000a00,0xed8040cd,0xb3004eee,0xb81e4003,0x64000004,0x4c007903,
    0x0000001d,0xd9800000,0x6cc0040c,0xb800040c,0x004c4005,0x44000000,
    0x001e880d,0x80001b50,0x002c883d,0x93003b30,0x19dddddd,0xb0000000,
    0x4c00f205,0x8800001d,0x23deeedb,0x903deeda,0x1000f207,0x47bf6000,
    0xffa85fe9,0xff986fff,0x4007ff24,0xfd0006fe,0xfffd800d,0xf80fd9bf,
    0x402fffff,0xb004fffc,0x205f983f,0xfffffff9,0x8f7ec01f,0xf9005fe9,
    0x3f6009ff,0x05ffffff,0xffffffd8,0x7fec005f,0x00fd9bff,0x26fffff6,
    0x7ec000fd,0xfffd3006,0x17ec003d,0xf3000bfa,0x8003fb0b,0x003fffd8,
    0x7d437fa0,0xffc8004f,0x7fffc04f,0x005fffff,0x0ff227dc,0x9f503fa0,
    0x07fff900,0x1fe44fb8,0x3fffffee,0xfffff8af,0x31efd82f,0xfb500bfd,
    0x44005bff,0x0cffdffd,0x6ffffd88,0xffddff50,0x3ffe6005,0x7ffcc000,
    0x73bf1000,0x3e09ffff,0x300dffff,0x3dff7dfd,0xdbdff980,0x3b6200ff,
    0x00deeeee,0x7feffec4,0x77f4c00c,0x5c01effb,0x3eeeeeee,0xeeeeeb80,
    0x3e2003ee,0x4ffffb9d,0x3ee77e20,0x22004fff,0xfa800efe,0x01fffeff,
    0x3e25ff88,0xefc8004f,0x4005febb,0xdffbeffa,0xffd88000,0x4c003ffd,
    0x1effbefe,0xffffff90,0xfe8007ff,0x54037fc6,0x0ffdbcef,0x3efbfa60,
    0x8dfd01ef,0x7ff4c6ff,0xffd0efff,0xfb101dff,0x4019ffbf,0xffffffd8,
    0x3ea000df,0x3fa002ef,0x33ff6206,0x027ec000,0x4004fd80,0xf00ee440,
    0x93fa00df,0xda806fd8,0x0002dfff,0x3bfea000,0x449fd002,0x000006fd,
    0x40800000,0x40801dc8,0x74001dc8,0xbff1005f,0x401bf621,0x006dc1db,
    0x7fffe440,0x3fe2000c,0x0013fa23,0x001effb8,0x3f624fe8,0x5ffe4c06,
    0x85b50001,0xfd7001da,0xfe803bff,0x541bf624,0xa80ed42d,0x3fa20cff,
    0xffa801ff,0x7ffc402e,0xeffffdef,0x002e2000,0x5500dfd0,0x00000000,
    0xf0008000,0x406a00df,0x02a20019,0x03b83b80,0x50005c40,0x00006603,
    0x00000000,0x00000000,0x37e4007b,0x00007fc4,0x00cc0000,0x06a01500,
    0x00071000,0x801980d4,0x00001ffb,0x02a20000,0x01a80d40,0x1ffcc000,
    0x001dfff3,0x7ec005c4,0x7ff4c1ef,0xe8000005,0x0000006f,0x20000000,
    0x03dfffda,0x76c41bfe,0x000003ee,0x5c5ff500,0x000001ff,0xdb710000,
    0x7bdddddd,0xdddd9301,0x36a001dd,0x75c40dee,0xb710bdee,0xbddddddd,
    0x74c00017,0x6c07fe24,0x0000002f,0x00000000,0x00000000,0x3ff70000,
    0x00000000,0x00000000,0xa9ffcc00,0x0000efff,0x01dff700,0xb88bffa2,
    0xeeeeeeed,0x3a05eeee,0xdddb716f,0x440379dd,0xeeeeeedb,0xdb710bde,
    0xdddddddd,0x3f620bdd,0x0dffffff,0xff706ff8,0x710009ff,0xdddddddb,
    0x3ff1017b,0xe9807fcc,0xeeeeeeee,0x3bb221ee,0xddd711ce,0x7fffe439,
    0x3fffffff,0xffffffe8,0xfff8803f,0x7ffe45ff,0xfff94fff,0xffffffff,
    0x676dc407,0x30fff98a,0x0ff620ff,0xddddd930,0xec98001d,0x000eeeee,
    0x7777764c,0x764c000e,0x800eeeee,0xeeeeedb8,0x05eeeeee,0x88007fee,
    0xeeeeeedb,0x225eeeee,0xeeeeeedb,0x225eeeee,0xeeeeeedb,0xdb710bde,
    0x7bdddddd,0xfbbff981,0xdb8805ff,0xdeeeeeee,0x007ffa0b,0x7fdcdff3,
    0xffffffff,0x3fa07fff,0xffffff76,0x903dffff,0xffffffff,0x3fee7fff,
    0xffffffff,0xff887fff,0xfffedeff,0x9837fc0f,0x8004fffd,0xfffffffc,
    0x1103ffff,0x7fd40110,0xffffffff,0x3ffff62f,0xfffff95f,0x7ffffd4b,
    0x81efffff,0xfffffffb,0xffffb006,0x7fffd45f,0xffff52ff,0x3dffffff,
    0xfffffb10,0x54bfffff,0x7fffd46f,0x7ffff403,0x74003fff,0x3fffffff,
    0x7ffff400,0x74003fff,0x3fffffff,0xfffffb80,0xffffffff,0x007fee07,
    0xffffffb8,0x7fffffff,0x3fffffee,0x7fffffff,0x3ffffff2,0xf93fffff,
    0xffffffff,0xfff987ff,0xf9006fff,0xffffffff,0x02ffc7ff,0x3fa67fd8,
    0xffffffff,0x3fa07fff,0xfffffd36,0x85ffffff,0xfffffffa,0xfd31efff,
    0xffffffff,0xffb0ffff,0x5ffe983d,0x3e6037fc,0xffa8004f,0xffffffff,
    0x5400001e,0xffffffff,0x3fea2fff,0xfff53fff,0xf33107ff,0x300133df,
    0x05fffff7,0x3bfffa20,0x883ff440,0x099eff99,0xfffffd10,0xb8bfffff,
    0x3ffff24f,0x7ffdc03f,0x4006ffff,0xfffffffb,0x7ffdc006,0x4006ffff,
    0xfffffffb,0xfffe9806,0xffffffff,0x07fee07f,0xffffe980,0xffffffff,
    0x3ffffa67,0xffffffff,0x3ffffea7,0x51efffff,0xffffffff,0xff983dff,
    0x804fffff,0xfffffffa,0xff31efff,0x03ff2009,0x33339ff5,0x740ffd33,
    0x4cfff46f,0x0fffdb99,0x9eff9988,0x39ff5009,0xffd33333,0x100effa8,
    0x37fc5ffd,0x0013fe60,0x9eff9988,0x2ccc9809,0x20e665cc,0x9999cffa,
    0x7cc0effd,0x05ff704f,0xb000dff0,0x00bff9ff,0x427ffff4,0x6ff807fe,
    0x177ff440,0xb8dffff3,0x917ff34f,0x3ee6007f,0x8002ffff,0x2fffffb9,
    0xfffb9800,0xb98002ff,0x002fffff,0x33339ff5,0x5c0ffd33,0x202601ff,
    0x9999cffa,0xfa87fe99,0x999999cf,0xf99887fe,0x310099ef,0x0133dff3,
    0x3f7fffe6,0x331004ff,0xa8133dff,0xff7002ff,0x204ff985,0x1bfa07fe,
    0x7ff40ffd,0x4037fc04,0x3fa04ff9,0x200fff47,0x1bfe6ff9,0xd939ff30,
    0xff80059d,0x3fffea06,0x3ffffe24,0x2a1ffd43,0xff981fff,0x005ff503,
    0xf8800dff,0x001ffd6f,0x07fffffa,0xdff00ffd,0x446ffa80,0x22ffffff,
    0x64bf94fb,0x3ff6003f,0xb0005ffc,0x00bff9ff,0x3ff3ff60,0x9ffb0005,
    0x3e600bff,0x81ffa04f,0xff501ffb,0x7409ff30,0x04ff987f,0xdff01ffa,
    0x806ff800,0xff51fff9,0x6ff8007f,0x400ffea0,0x7fcc1ffc,0x2fe476a4,
    0x7fe8dfd0,0x803ffe20,0xff9806ff,0x2fe476a4,0x7ec017fe,0xf301bfe7,
    0xffffffff,0x1bfe001b,0x44ffffa8,0x4c3fffff,0x3ffe22ff,0x207ff303,
    0xff802ffa,0x9ffe4006,0xfd003ffb,0xfe8dff7f,0x406ff807,0x3fe23ffc,
    0x2e5ffaef,0x7e47f94f,0x2dff1003,0x44000ffe,0x01ffd6ff,0xfd6ff880,
    0xff88001f,0x3001ffd6,0xc8ed49ff,0x07fee05f,0x3e607fe4,0x7e476a4f,
    0x2a4ff985,0xf80bf91d,0x37fc006f,0x2a1ffcc0,0x3e000fff,0x13fe606f,
    0x2607fec0,0xa97fa4ff,0xfd1bfa00,0x02ffc80f,0x3e601bfe,0x0a97fa4f,
    0x64013fe6,0x80dff1ff,0xfffffff9,0xff005fff,0x4ffb880d,0xd83ffc98,
    0x09ffd10e,0xfa81ffcc,0x06ff802f,0xf887ffc0,0x2ffd006f,0x1ffa3ffe,
    0xff01bfe0,0x877ff44f,0x453ee6ff,0x007f90ef,0x7fdcfff2,0x9ffe4003,
    0x64003ffb,0x07ff73ff,0xf73ffc80,0x9ff3007f,0x40152ff4,0xff901ffb,
    0x3a4ff983,0x3e602a5f,0x0a97fa4f,0x20037fc0,0xff9806ff,0x003ffc83,
    0xfff01bfe,0x87ff8801,0xffeefff9,0xd1bfa006,0x3ffa80ff,0x2601bfe0,
    0x6ffeefff,0x400ffea0,0x0dff2ffb,0x0affff98,0x3e00fff5,0x4ff9806f,
    0xb007ff50,0xff980dff,0xfeeeeeee,0x06ff802f,0xfb13fea0,0x2ffd005f,
    0xffd0fff9,0xf80dff00,0x1dffd17f,0x4fb97fe2,0x13ffbff6,0xf887ffc0,
    0x7ffc006f,0x800dff10,0xdff10fff,0x10fff800,0xff300dff,0x00dffddf,
    0xfc80ffdc,0x77ffcc1f,0xf9806ffe,0x06ffeeff,0x20037fc0,0xff9806ff,
    0x00fff883,0xfc80dff0,0x1ffec05f,0x7fffffcc,0x1bfa006f,0xff980ffd,
    0x201bfe04,0xfffffff9,0x00ffe606,0x6ff8ffdc,0x4077fcc0,0xff802ffc,
    0x04ff9806,0xfb807ff5,0x7fcc00ff,0xffffffff,0x06ff802f,0x2ab3ff60,
    0xe805ffca,0x757ff27f,0x06ff807f,0x7ff5ffec,0x98fff60e,0x3fff225f,
    0x4ffa806f,0xa8017fec,0x17fec4ff,0x6c4ffa80,0xff5002ff,0x402ffd89,
    0xfffffff9,0x7f76d406,0xfeeeeeef,0x7ffcc1ff,0x9806ffff,0x6fffffff,
    0x0037fc00,0xec881bfe,0x7dc3eeff,0x7fc02def,0x27ffc406,0x9837fec4,
    0x6fffffff,0xfd1bfa00,0x04ff980f,0x3e601bfe,0x06ffffff,0x6c017fe2,
    0x80dff0ff,0xff504ff9,0x00dff005,0x3ea09ff3,0x3ffe603f,0xffff9802,
    0x2fffffff,0x1006ff80,0xffffffff,0xfe801fff,0x7f57ff47,0x406ff807,
    0x0efffffa,0x443fff71,0x0155506f,0x5559ffb0,0x3600bff9,0xfcaaacff,
    0x9ffb005f,0x0bff9555,0x2ab3ff60,0x4c05ffca,0x6fffffff,0x7fffffc0,
    0xffffffff,0x7fffcc1f,0xf9806fff,0x06ffffff,0x20037fc0,0x3fee06ff,
    0x222fffff,0x7c07ffff,0xfffa806f,0xfffecbce,0x749ff302,0xdfd0046f,
    0x7dc07fe8,0x01bfe02f,0x6fe93fe6,0x003ffa04,0x37fcfff1,0x5413fe60,
    0x6ff802ff,0x504ff980,0x3fe207ff,0x260ecc4f,0x5ff503ff,0x200dff00,
    0xfffffffc,0x7403ffff,0x77ffd47f,0x06ff807f,0xbcffffd8,0xe84ffffd,
    0x7c40001f,0xffffffff,0x7fc400ff,0xffffffff,0x7ffc400f,0xffffffff,
    0x7fffc400,0x0fffffff,0xfe93fe60,0x3ffae046,0xffffffff,0x7fcc1fff,
    0x3011bfa4,0x237f49ff,0x0037fc00,0xfe981bfe,0x640dffff,0x7fc03fff,
    0xffff5006,0x403fffff,0x8fee4ff9,0x8dfd01fe,0x7fe407fe,0x201bfe01,
    0x8fee4ff9,0x17ff21fe,0x7fc7ffb0,0x827fcc06,0xff802ffa,0x04ff9806,
    0x3f607ff5,0x4c5fd85f,0x5ff503ff,0x200dff00,0xaaaaafff,0x7406ffaa,
    0xffffd87f,0x406ff807,0xffffffe8,0xf903ffff,0xffc8000b,0xffffffff,
    0x7ffe403f,0xffffffff,0x7fffe403,0x3fffffff,0x7ffffe40,0x03ffffff,
    0x3fb93fe6,0x000007fa,0x7f727fcc,0x3fe60ff4,0x1fe8fee4,0xf001bfe0,
    0x000000df,0x10037fc0,0x1bfffffb,0x204ff980,0xdfd04ff8,0x3e607fe8,
    0x037fc07f,0xf1027fcc,0x05ffe89f,0x6ff8dffb,0xa827fcc0,0x6ff802ff,
    0xa86ff880,0xffc83ffe,0x4c7fe80e,0x5ff503ff,0x500dff00,0xffc809ff,
    0x221ffa02,0xf807ffff,0x7ffec06f,0x2dfffffd,0x3221ff40,0xaafff806,
    0x6ffaaaaa,0x5557ffc0,0x06ffaaaa,0x55557ffc,0x406ffaaa,0xaaaaafff,
    0x2606ffaa,0x3fe204ff,0x002c9804,0xf8813fe6,0x027fcc4f,0x7fc09ff1,
    0x037fc006,0x0001ca80,0xf8801bfe,0x1541dfff,0xf3027fcc,0x7fd5449f,
    0x5443ff46,0x7fc03fff,0x04ff9806,0xff313fe6,0xffd979df,0xaaeff83f,
    0x504ff980,0xdff005ff,0x2b3ffe00,0x3effffec,0x7407ffea,0x81ffcc7f,
    0x76442ffa,0xeeefffee,0xdfff910c,0xffeda83b,0x3ff220de,0x3fea1def,
    0x7776447f,0x0ceeefff,0x54c3fff3,0x3ffe6000,0x5406ffee,0x7fe404ff,
    0x809ff502,0xff502ffc,0x02ffc809,0xfc809ff5,0x09ff302f,0x64027fcc,
    0xff3004ff,0x227fcc09,0x3e604ff9,0x01bfe04f,0x2000dff0,0xf0003ffd,
    0x3fe200df,0xfdffffff,0xffd911ff,0xdddddddf,0x3ffe69ff,0xfff916ff,
    0xfffffddd,0xfeeec88b,0x10ceeeff,0xdddfffd9,0x09ffdddd,0xfffffff5,
    0xffff03ff,0x7ff5c3ff,0x3ffb20de,0x3bbb224e,0x0ceeefff,0xffffffb8,
    0xd0ffffff,0xdddddfff,0x7f64fffd,0xfd911def,0x7ffe49df,0xffffffff,
    0xffffff73,0xfffffe8d,0x3fffee3f,0x3ffec5ff,0x3ffffff2,0x3a3fffff,
    0xb500001e,0x2019dfff,0x1defffc8,0x6f7ff6d4,0xbdfff910,0xeffeda83,
    0xdfff910d,0xffeda83b,0xfff910de,0xfeda83bd,0xfd910def,0xddddddff,
    0xcc809ffd,0x764407fc,0xeeeeefff,0xd914ffee,0xdddddfff,0x3229ffdd,
    0xeefffeee,0xddd910ce,0x19dddfff,0x2fe5ec40,0x7f776440,0x80ceeeff,
    0xfffffffc,0xf70fffff,0xffffffff,0x269fffff,0xf76fffff,0xffffffff,
    0xffc81bff,0xffffffff,0xfffff73f,0xffffffff,0x3ff6209f,0xff00dfff,
    0x3e63ffff,0xf53fffff,0x325fffff,0xffffffff,0xff703fff,0xfff9bfff,
    0x7fffff49,0x37ffffff,0x2bffffff,0x2ffffffc,0xffffffd3,0x3a63dfff,
    0x5c2effff,0x20dffffe,0x2effffe9,0x3a63ffc4,0xffffffff,0x000001ef,
    0xfb800988,0x746fffff,0x73ffffff,0x8dffffff,0x3ffffffe,0xdffffff7,
    0xffffffe8,0xffffff73,0xfffffe8d,0xfffff73f,0xffffffff,0xfffd809f,
    0x7fffdc03,0xffffffff,0xffff74ff,0xffffffff,0x3fff29ff,0xffffffff,
    0xffffff93,0x407fffff,0x802fffe8,0xfffffffc,0xfa83ffff,0xffdbacdf,
    0x3ff620be,0xffffffff,0x2aa24fff,0xfffb12aa,0x037bdfff,0x3fffffa6,
    0xb11effff,0xffffffff,0x009fffff,0x55500353,0xfffd8155,0xfffb11ef,
    0x3ffa61bf,0xefffffff,0x004d4c01,0x7ffffff4,0x367fffff,0xd32effff,
    0x001bffff,0x00000000,0x00000000,0x40000000,0x2effffe9,0x6fffff5c,
    0xdffffd30,0xffffeb85,0xffffd30d,0xfffeb85d,0xfffd30df,0xffeb85df,
    0xffb10dff,0xffffffff,0xa8809fff,0xffd8801b,0xffffffff,0xffb14fff,
    0xffffffff,0x3fa69fff,0xffffffff,0xffffd31e,0x03dfffff,0x3000ba88,
    0xfffffffd,0x20003dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000bbb60,0x00020f6a,0x00000000,
    0x0c000000,0x7fff6400,0x36e22fff,0xd910ceee,0x10017bdd,0x3bb6e200,
    0xeeeeeeee,0x8004005e,0xeeeeedb8,0x5100bdee,0xbdddddd9,0x3bbbb260,
    0x000000ee,0x00766000,0x30062031,0x80002601,0x02660008,0x000c0300,
    0x02d88ecc,0x200cc066,0x80033019,0x80620019,0x03c88001,0x20002620,
    0x440a2002,0x05440402,0x8007ffd0,0xe9aefffe,0xd8000007,0x3ffff606,
    0x08005fff,0x7e405fd0,0xfffb1004,0x645fffff,0x94ffffff,0x09ffffff,
    0x5c02ffe4,0xffffffff,0x007fffff,0xc805dfb3,0xffffffff,0x7f443fff,
    0xffffffff,0xffffe80f,0x80003fff,0x2a0003ec,0x6fe401ff,0xf803fea0,
    0x002fe43f,0x13bffb2a,0x7ffffecc,0x0f7d400c,0x4c005fd3,0x02fe89ff,
    0x01ba21ba,0x00dd10dd,0xb801ffdc,0x07fa60df,0x804fe880,0x03fffffb,
    0x800efe98,0x00fd80fc,0x7ffccbfd,0x007ffd01,0x7fe467d4,0x000003ff,
    0x3bae07f8,0x003eeeee,0x25bfffb5,0x3fa04ffd,0x35df9006,0x545fb333,
    0x52ffffff,0x05ffffff,0x00ba27e6,0xffffffd3,0x0fffffff,0x01ee3760,
    0xfffffff3,0x7cc3ffff,0xf9dfdeff,0xfff7009f,0x000dffff,0x000fff88,
    0x8802ffb8,0x3ffdaffe,0x756ffd40,0x3f6001ff,0x40ffffff,0xfffffffa,
    0x7fec00ef,0x2005ffbb,0x3fe8aff9,0xd98efdc0,0x8efdc02f,0xe9802fd9,
    0x401effff,0xffcaffe8,0x13fea004,0x3fffffa0,0x3fee06ff,0x7c403ffe,
    0x04fc98ae,0x7fdcfff1,0x0133103f,0x0e64c080,0x7cc00000,0x22000006,
    0xfffffffd,0x3e00ffff,0x03fd006f,0x3bfe0bf2,0x80ffd301,0x5401725b,
    0x99999cff,0x5f007fe9,0x4cc400fc,0xd8099eff,0xf1bf53ff,0x3fee600f,
    0x40002fff,0xfb8007ff,0x7fe4001e,0xfb1001ef,0x22001bff,0xecdffffe,
    0x677ffc45,0x805fffec,0x002ffffa,0x1ff4bfe2,0xfffffe80,0xffffd005,
    0xbff100bf,0x003ffb11,0x003dfff7,0x64017fcc,0xffecefff,0x52ffd84f,
    0xffc809ff,0x2a00efff,0x03bfa21c,0x00000000,0x33bbb6e2,0xddddd910,
    0x000009ff,0x37bfffa2,0x02ffffff,0xff8037fc,0xff01b302,0x407fe80d,
    0x002fabf8,0x7f409ff3,0xd95d9007,0x40dff000,0x37ea6ff8,0x3f6007f8,
    0x0005ffcf,0x5c0005c4,0x9d30000c,0x00bae000,0x01fffe88,0xf883ff88,
    0xdd8800ff,0xb0ec4000,0xbdb88005,0x5edc4000,0x505d3000,0x13a6003d,
    0x20076600,0x7cc1fff8,0x2066c0ff,0xda8804d8,0x4040001c,0x03ccccb8,
    0x3bbbb260,0xffc800ee,0xff94ffff,0x43ffffff,0xeeeeedb8,0x85eeeeee,
    0x7dc1effd,0x7fdc06ff,0x6cc0bcef,0x7c002fff,0x03ff406f,0x3001f754,
    0xc8ed49ff,0xbf91005f,0x0dff0003,0xbf52ffcc,0x3e200ff1,0x001ffd6f,
    0x00000000,0x00000000,0x00077fec,0x17fe4011,0x00000000,0x00000000,
    0x00000000,0x7fcc0000,0x003ffb04,0x00000000,0x3fffffa0,0x3fffa006,
    0xa803ffff,0x52ffffff,0x3bffffff,0xffffffb8,0x7fffffff,0x74077fd4,
    0xe982ffff,0x6fffffff,0x3fffffe2,0x01bfe004,0x00000ffd,0xbfd27fcc,
    0x00000054,0x7c40dff0,0x3e37ea6f,0x27ff9007,0xa8003ffb,0x801bcedc,
    0xaaceeeca,0x676e5401,0xedba801b,0x7cc01cde,0x400000ef,0x2e201ffd,
    0x198bdeec,0x56765440,0x3b72a000,0x951001bc,0x2200159d,0x98bdeecb,
    0x3bbb2a01,0x2e201aac,0x198bdeec,0xfd827fcc,0xeeeca81f,0xb7501aac,
    0xa8039bdd,0xfffd001d,0x7dc00dff,0x06ffffff,0x4c07bfe0,0x3fa607fe,
    0xffffffff,0x7ff47fff,0xfffffc81,0x77fffd46,0x3ee7fffe,0x05fff90d,
    0xfe80dff0,0x3bb6ea07,0xff9801cd,0x806ffeef,0x5cc2ccc9,0xff801ccc,
    0xa9fff406,0xf007f8df,0x1bfe21ff,0xffffe980,0xfd104fff,0xffffffff,
    0xffffd301,0x3e209fff,0xffffffff,0x98fff203,0x3ee20000,0x3ffee07f,
    0x0fffffff,0xffffff90,0xffe9809f,0x404fffff,0xfffffffc,0x7fffdc04,
    0x40ffffff,0xffffffe8,0xffb80fff,0xffffffff,0x2207ffc0,0x7ff447ff,
    0x0fffffff,0x3fffffe2,0x3fe03fff,0x3eaa6005,0xfb98006f,0xf002ffff,
    0x07fe80df,0x999cffa8,0x7c7fe999,0x9fffa85f,0x3ff60ffe,0x99ffe21c,
    0x77ff4c6f,0xd01bfe01,0xffff10ff,0x807fffff,0xfffffff9,0x7fffd406,
    0x3ffffe24,0x406ff803,0xdfceffe8,0xffa807f8,0x4017fec4,0xfffffff9,
    0xffc85fff,0xffffffff,0x7ffffcc2,0x985fffff,0xffffffff,0x3ffb02ff,
    0x005ffffb,0x3fffffa6,0xfffffb02,0x03ffffff,0xfffffffb,0x3fe60bff,
    0xffffffff,0xfffffb05,0x360bffff,0xffffffff,0x7fe41fff,0xffffffff,
    0x7ffffec2,0x41ffffff,0xfdbdfffc,0x7ffe44ff,0x2fffffff,0x3fffffe6,
    0xf882ffff,0xdff0006f,0x33ff6000,0xdff005ff,0x9807fe80,0x9ffa04ff,
    0x7fcc4ff9,0x223ffb3f,0x8bf906ff,0x7fdc1efe,0x80dff04f,0xfff987fe,
    0x2fffffff,0x3ffffe60,0x7fd406ff,0x7fffc4ff,0x06ff803f,0xdffffe88,
    0xffd807f8,0x5ffcaaac,0x56fffc40,0x47fff730,0x2a0aeff8,0x3fe21ffe,
    0xff730adf,0x4357507f,0xfd04ffb8,0xffffffff,0xffff9009,0x3ffea0bf,
    0xfff9510b,0x2dfffd85,0x88bfff51,0x730adfff,0xffd87fff,0xfff512df,
    0x0bfffa8b,0x45fff951,0x2a0aeff8,0x3fea1ffe,0xff9510bf,0xffffd05f,
    0xff88dfff,0x3ffaa0ae,0x710d5d41,0xfff309ff,0x0dff0010,0x3adff100,
    0x6ff800ff,0x4c03ff40,0x6476a4ff,0x88ffea5f,0x3fee4ffe,0x5407ff72,
    0x067fec40,0xff09ffb1,0x507fe80d,0x7fdc4357,0xe93fe604,0x7dc4046f,
    0x3ffc984f,0x2006ff80,0x7f8dfeb9,0x7ffffc40,0x00ffffff,0xfa81bff2,
    0x3dff10ff,0x7e44e881,0x3ffea06f,0xff84cc00,0xffffff06,0x803fffd9,
    0x2fffffd9,0x3603fff8,0x3ffe21ff,0x41fff100,0x3ea06ffc,0x1fff10ff,
    0xf83ffe20,0x3ff603ff,0x027bfe21,0x3fff89d1,0xd107ff60,0xdfffffff,
    0x04f7fc41,0x266013a2,0xff50dff0,0x03bfa21f,0xc8006ff8,0x07ff73ff,
    0xfe80dff0,0x24ff9807,0xf982a5fe,0x71bff64f,0x0bfee3ff,0x1fffe400,
    0xffd03fea,0x3006ff80,0x981bfe13,0xe8fee4ff,0x04ff981f,0xff007ff5,
    0x1bf5000d,0xfffc80ff,0xffffffff,0x337ffa03,0xfecccccc,0x3ffff61f,
    0xffd02bde,0x9999999b,0xfd703ffd,0x0dffffff,0xb837fffa,0x362006ff,
    0x3fe21fff,0x51be200f,0xffc80bff,0x3337ffa2,0xffeccccc,0xc80bff51,
    0x1fff12ff,0x7ec37c40,0x82bdefff,0x2200fff8,0xefffd86f,0x6c5fffeb,
    0x2bdeffff,0x7ffff5c0,0xffa86fff,0x07fff71f,0x7c0037fc,0x0dff10ff,
    0xfe80dff0,0xefff9807,0x3e206ffe,0x81fff76f,0xbff10ffd,0x7ff4c000,
    0xfb0ff20e,0x13fea05f,0xfffffeb8,0x3fe606ff,0x213fe204,0xff504ff9,
    0x00dff007,0x0ff1bf50,0xaaaafff8,0x206ffaaa,0xffffffff,0x23ffffff,
    0xffffffe8,0x7fffc0df,0xffffffff,0x3ffa23ff,0x6fffffff,0xf01fffb0,
    0xff9000ff,0x0027fd49,0x4c01ffc8,0x3fffe5ff,0xffffffff,0x03ff93ff,
    0xff55ff98,0x7f440009,0x0dffffff,0x40013fea,0x7cc1fff9,0x3ffa21ff,
    0x40dfffff,0xffffffe8,0xffb86fff,0x03fff31f,0x2a0037fc,0x17fec4ff,
    0xfd01bfe0,0xffff300f,0xff80dfff,0x442fffbf,0x5fff46ff,0x2013ae60,
    0xffdcfffb,0x2077fdc2,0xe883ffe9,0xffffffff,0x13fe606f,0xf984ff98,
    0x07ff504f,0x5000dff0,0x540ff1bf,0x7fe404ff,0xffffff02,0xffffffff,
    0xffdb7509,0x7ffc3fff,0xffffffff,0xffd14fff,0xffdd9bff,0x40bfee0d,
    0x44001ffc,0x13fea6ff,0x00ffe400,0xfff93fe6,0xffffffff,0x3ff94fff,
    0xf54ff980,0x7500009f,0x3fffffdb,0x40013fea,0xff904ffb,0xffdb7507,
    0x3fa23fff,0xfeecdfff,0x2fffc86f,0xdff002a2,0xacffd800,0x405ffcaa,
    0x3ff406ff,0x7ffffcc0,0x7fdc06ff,0xffd84fff,0x6ffffdc4,0x1007fffe,
    0x20bffffb,0xfebdfffe,0xffe886ff,0xffeecdff,0xfffec886,0xfeeeeeee,
    0x04ff984f,0xec887ff5,0xeeefffee,0x46fd400c,0xfffc887f,0x7f6d41de,
    0x7fec0def,0x9999999b,0x03930999,0xfd93ff66,0x999999bf,0xff709999,
    0x41bfe03d,0xffb04ffa,0x6ff88003,0x0003ffe2,0xfb017fea,0x4dffec5f,
    0x99999999,0x80bff509,0xfff12ffd,0x03930001,0x7c53ff66,0xfc8000ff,
    0x29ff301f,0xffb301c9,0x407bfee9,0xfffd86ff,0x7776dc03,0x3deeefff,
    0xffffff10,0x401fffff,0x37fc07fe,0xfd27fcc0,0xffff808d,0x906ffd85,
    0xffffffff,0x3f601507,0x3ff6201f,0x80efffff,0xff01effb,0xfffff70d,
    0xffffffff,0x09ff309f,0xff90ffea,0xffffffff,0x8dfa807f,0xffffb87f,
    0x7fff46ff,0x7fdc3fff,0xfb0cc00f,0x9bfe201d,0x4c00fffb,0x220bff61,
    0xff106ffc,0x47ff881f,0x27fe4028,0xd500fffa,0x05fffc47,0xb83ffee2,
    0x0cc00fff,0x8817fff1,0x3fa0fffb,0xb1f5403f,0x3fe201df,0x500fffa6,
    0x82ffd47d,0x1dfb2ffd,0x7edbfe20,0x6ffc882f,0x204fffe8,0xfffffff8,
    0x907fffff,0xffffffff,0x7e407fff,0x09ff302f,0x7dc9ff30,0xffb07fa3,
    0xffd97bff,0x7ff5403f,0x3f980bff,0x2a00ff30,0x204ffffe,0xfc882ffd,
    0xfffd886f,0xffffffff,0x6ff884ff,0x4c3ffea8,0xfffffffe,0x7d401eff,
    0xfe987f8d,0x75c2efff,0xd80effff,0xdbacefff,0xffd2fffe,0xffb957bf,
    0xefffd8bf,0xfffedbac,0x959dff72,0x7bfffffb,0xb7bfff50,0xffe89fff,
    0xffecbabc,0x77ffd41f,0xffecbaac,0x6ffffdc6,0x83ffffdb,0xbacefffd,
    0x2e2fffed,0xfdbdffff,0x7fd43fff,0xecbaacef,0x3fffa6ff,0xfffdcabd,
    0x33bffea5,0x6ffecbaa,0x2f7fffe2,0xfd0ffffd,0xfb957bff,0x3bfeebff,
    0xffffdcac,0x3fff63df,0x7fffe403,0x4fffffff,0x5555fff0,0x40dff555,
    0x7440effb,0xff9802ff,0xa93fe204,0xffffffff,0xff002fff,0x904fa80f,
    0x7fc400df,0xceffb801,0xfffffdca,0xdf10003d,0x567ffc01,0x3effffec,
    0x4001bee0,0x007f8dfa,0x8813ea00,0xfffffffe,0xffd2ffff,0xffffffff,
    0xfffe881d,0xffffffff,0xfffffd12,0xffffffff,0xfffffb01,0xffd81fff,
    0xffffffff,0xfffff702,0x03ffffff,0xfffffff5,0x3fa205ff,0xffffffff,
    0x7ffd42ff,0x02ffffff,0xfffffff7,0x7f43ffff,0xffffffff,0x7ffdc0ef,
    0xffffffff,0x7ffffcc1,0x3fa1ffff,0xffffffff,0xfffd10ef,0xffffffff,
    0x3ffea1ff,0x077d4000,0x404ffa80,0x3fa02ffc,0xfffcbdff,0x09ff3005,
    0xff8a7fcc,0xffffebbf,0x1bfe000d,0x9999df50,0xf8005ffd,0x3a20288e,
    0xffffffff,0x000fffff,0x81b9df88,0xfffffffb,0x700fffff,0x93006a7f,
    0x9ff3dfb9,0x7f700007,0x3fee0195,0x2dffffff,0x3ffff7ea,0x2e00bfff,
    0xffffffff,0x7ffec42d,0xffffbeff,0xfffd7104,0xff91019f,0x03bfffff,
    0xfffffda8,0x36601dff,0x02dfffff,0xffffffb8,0xfb302dff,0x805bffff,
    0xffffffda,0x7efd41df,0x0bffffff,0xfffffb50,0x36203bff,0x40dfffff,
    0xfffffdfa,0x7ec40bff,0xffbeffff,0x00ed44ff,0x019a7dc0,0x3bdfff91,
    0xdeffeda8,0xffffe880,0x4400efff,0xeeefffec,0x94ffeeee,0x01a889ff,
    0xa80bfb00,0xffffffff,0xfffc8003,0x3ff6200f,0xfffbefff,0x3f60004f,
    0xfff704ff,0x9fff9bff,0x27fffc40,0x3fffff60,0x001ffffe,0x0ffffc40,
    0x026aaa20,0x00d554c0,0x026aaa20,0x006aaa20,0x00135100,0x00026aa6,
    0x026aaa62,0x00035300,0x0026aaa2,0x10003530,0x00135553,0x8006aaa6,
    0x009aaa98,0x98006a60,0xa8801aaa,0x000001aa,0x417fffe0,0x6ffffffb,
    0x7ffffff4,0x3ffff203,0xfff7004f,0xffffffff,0x17a69fff,0x076a0000,
    0x55555510,0x2e200013,0x551002de,0x40000035,0x9a9802ca,0x9db30000,
    0xaaaa8801,0x001aaa8a,0x00377100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06f64c00,
    0xeffffe98,0x7ffff5c2,0x01a9800d,0x7fffec40,0xffffffff,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000005b5,
    0x80006200,0x0b700002,0x00007900,0x130004b8,0x02d40000,0x80001ec0,
    0x30198001,0x0b500003,0x00060180,0x2dc00014,0x00076600,0x013000a0,
    0x016c0062,0x2dc97000,0x8800f200,0x3260002d,0x76c0e4c1,0xeeeeeeee,
    0x006601ee,0x205e7540,0x0000a800,0x20ee0004,0x006a003b,0x2000bfd0,
    0x754005ea,0x1002dfff,0x40003dfb,0xfd8006fc,0x6c40000d,0xffc8005f,
    0x6fc80002,0x004fe800,0x5bfffd30,0x3741ba00,0x01bf2000,0x3a21efa8,
    0x3fa6002f,0xdf90000e,0x02ff9800,0x01dfd300,0xdf70ffa0,0x0013fa00,
    0x37dd7f60,0x004fe880,0x4000ffe2,0x42ffc6fe,0xfffffffe,0xf702ffff,
    0xffd0007f,0x01ff99ff,0x5433ffaa,0xffd7100d,0xffa807df,0x2007fee2,
    0x3e003ffe,0xffd0006f,0x3ffea005,0x5c01ffff,0x004ffeff,0x00077f44,
    0x000f7ec4,0x4005fe98,0x0dffffe9,0x0efe8800,0x0efe8800,0x3fffe600,
    0xfa804fff,0x005fb31d,0x003bfa20,0xff77ffb0,0x77fdc00b,0x3a2003ff,
    0xfa8000ef,0x7fdc004f,0xf9803ffe,0x01ffeaef,0x001dfd10,0x3f23bf60,
    0x4ff9800e,0x05fe9800,0x7ec5fc80,0xfffffe84,0x42ffffff,0x1effffe9,
    0x3ffae200,0xff104fff,0x1dfdffd9,0xffffffb0,0x3e201dff,0x003fe61f,
    0x400dfff3,0xfb0006ff,0xfff3003f,0x01dfff9f,0x7fd4fff2,0x017fa005,
    0x003ff200,0x8007ff10,0xffd14ff9,0x05fe8001,0x006fd800,0x3fb3fffe,
    0xffd801ff,0x20005fff,0x2a0005fe,0x2002ffff,0x9ff52ffd,0x0017fa00,
    0x2007fd30,0x9ff52ffd,0xbfffb100,0x0dfb0001,0xf51bf900,0x7ff3001d,
    0x2ff44000,0xb0080400,0x0ffec0bf,0xfb11bff1,0x3ff2003f,0x5c06ffff,
    0x2037fee1,0xfdfffff8,0x02205fff,0x7ff40022,0x01bfe002,0xc800dc40,
    0x3ff20cff,0xc881b904,0x000f6005,0x4000da80,0xea8002d8,0x4000eb82,
    0x2e00003d,0x1bff3005,0x88037fd4,0x40000bdb,0xd880003d,0x066c000d,
    0x1ec01362,0x03c88000,0x4d8819b0,0x000baa00,0x97000b70,0xd98006d4,
    0x09700001,0x17100000,0xd31bfe20,0x2003d505,0xffd8adff,0x22008003,
    0x7f4c1eff,0x4000001f,0x37fc0008,0x7c400000,0x00dfd06f,0x00000000,
    0x00000000,0x00000000,0x3f200000,0x03ffd81f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76e54000,0xf70001bc,
    0x4000007f,0x00fff880,0x02b3b2a2,0xff703fe8,0x216664c7,0x001cccb9,
    0x7d555440,0x00aaaaff,0x2f7bb2e2,0x1ffd4198,0xba80ffb8,0x001cdeed,
    0x39bddb75,0xcedca800,0x372a001b,0x32601bce,0x665cc2cc,0x2ccc981c,
    0x40e665cc,0x5cc2ccc9,0x7fe81ccc,0xc98bff30,0x665cc2cc,0x3b6e201c,
    0x03376a2d,0x2616664c,0x4401cccb,0x000aceca,0x0159d951,0x2b3b2a20,
    0x3b72a000,0x951001bc,0x7500159d,0x8039bddb,0x5cc2ccc9,0x97101ccc,
    0x22007999,0x003ccccb,0x3fffffa6,0xfd8004ff,0xcccb881f,0x32e2003c,
    0x4ffbacee,0xffffff90,0x4032609f,0xfff53ffa,0x7fffc49f,0x3f20003f,
    0xffffffff,0xfb83ffff,0xffffffff,0x407fee0f,0x3fe22ffa,0x3fffffff,
    0x3ffffe20,0x9803ffff,0xfffffffe,0x7fff4c04,0xfa84ffff,0x3fe24fff,
    0x7fd43fff,0x3ffe24ff,0x7ffd43ff,0x3fffe24f,0x307ff83f,0x7ffd4dff,
    0x3fffe24f,0xffff903f,0xffff99ff,0xffffa81d,0x3ffffe24,0x3ffff203,
    0x7e404fff,0x04ffffff,0x7fffffe4,0x7ff4c04f,0x404fffff,0xfffffffc,
    0xfffff104,0x2a07ffff,0x3e24ffff,0xff03ffff,0x200dffff,0x06ffffff,
    0xffffff30,0x400bffff,0xfff06ff8,0x2a00dfff,0xffffffff,0xfffd85ff,
    0x05ffffff,0xa8fff440,0x7fc4ffff,0x20003fff,0xfffffffd,0x44ffffff,
    0xfffffffd,0x3f21ffff,0x49ff300f,0xfffffff9,0xff302fff,0xffffffff,
    0x7fffcc05,0x05ffffff,0xfffffff3,0xffa8bfff,0x7fffc4ff,0x7fffd43f,
    0x1fffffc4,0xf13fffea,0xfb07ffff,0x4fffd05f,0x7c4ffffa,0xfb03ffff,
    0xffffffff,0xfa8dffff,0x7ffc4fff,0xfffb03ff,0x0bffffff,0x3ffffff6,
    0xffb05fff,0xbfffffff,0x3ffffe60,0xb05fffff,0xffffffff,0xffff30bf,
    0x05ffffff,0xf89ffff5,0xfd03ffff,0x200dffff,0x06fffffe,0x0adfff88,
    0x007fff73,0x7f40ffee,0xa806ffff,0xffdeffff,0x7fec6fff,0xfff512df,
    0xfff7100b,0x84ffb88d,0x3103ffc9,0x332a2033,0xcccfffcc,0x3ffea0ac,
    0xfff9510b,0x8807fe45,0x0d5d44ff,0x5409ff71,0x3fee21ab,0x5bfff104,
    0x0fffee61,0x215bfff1,0x443fffb9,0xfc984ffb,0x4ffb883f,0x883ffc98,
    0xfc984ffb,0x0dffb83f,0x883ffff2,0xfc984ffb,0x2359303f,0xe89ffffa,
    0x7fdc42ff,0x83ffc984,0x512dfffd,0xffd8bfff,0xfff512df,0x2dfffd8b,
    0x88bfff51,0x730adfff,0xffd87fff,0xfff512df,0x4435750b,0xf7104ffb,
    0x7ff9309f,0x37fd54c0,0xdff55300,0x40dff900,0xe800fffa,0x2aa601ff,
    0x7fc406ff,0x3fee21df,0x03ffe27f,0x9007ffc4,0x303fffff,0x3fea09ff,
    0x00bff903,0xff806ff8,0x87ff603f,0xff100ffc,0xff099809,0xf84cc00d,
    0x0dff906f,0xf907ffd4,0x7ffd40df,0xa827fcc0,0x9ff303ff,0x4c0ffea0,
    0x7ff504ff,0x3f7fffa0,0x4c1fffff,0x7ff504ff,0x3ffe2600,0x261bfe64,
    0x7ff504ff,0x100fff88,0x3fe21fff,0x1fff100f,0x4403ffe2,0x3ff20fff,
    0x43ffea06,0xf100fff8,0x099801ff,0x7fcc0dff,0x007ff504,0x7c001bfe,
    0xdffe806f,0xeccccccc,0x7fc401ff,0x01bfe006,0x3601fff5,0xbff51fff,
    0x202ffc80,0x300cfffe,0x3fea09ff,0x001fff03,0x7c406ff8,0x1be200ff,
    0x3e601ff9,0xfffeb84f,0x5c06ffff,0xfffffffe,0x99bffd06,0xffd99999,
    0x666fff43,0xffeccccc,0xa827fcc1,0x9ff303ff,0x4c0ffea0,0x7ff504ff,
    0x3ffffe60,0x4c0ffeff,0x7ff504ff,0x3fffb220,0xfcccdfff,0x27fcc0ff,
    0x7d43ffa8,0x97fe405f,0x7e405ffa,0x80bff52f,0x3ffa2ffc,0xcccccccd,
    0xbff51ffe,0xb82ffc80,0xfffffffe,0x413fe606,0xff003ffa,0x1bfe000d,
    0x3fffffe0,0xffffffff,0x01ffdc03,0xfc80dff0,0x3ffe605f,0x9803ff90,
    0x3bfa05ff,0x827fcc00,0xff983ffa,0x06ff8003,0x80027fd4,0xff501ffb,
    0x7ffff447,0x106fffff,0xfffffffd,0x3ffe0dff,0xffffffff,0x3ffe3fff,
    0xffffffff,0x7fcc3fff,0x207ff504,0xff504ff9,0x413fe607,0x36203ffa,
    0x6fe9efff,0xf504ff98,0xffff507f,0xffffffff,0xf983ffff,0x87ff504f,
    0x7cc01ffc,0x803ff95f,0x3ff95ff9,0x3e5ff980,0xffffffff,0xf93fffff,
    0x5ff9803f,0x3fffffa2,0x2606ffff,0x7ff504ff,0x001bfe00,0x7fc037fc,
    0xffffffff,0x7404ffff,0x3fe001ff,0x01ffe406,0x1ffc9ffe,0x5027fcc0,
    0x9ff3005d,0x320ffea0,0xdff0006f,0x004ffa80,0x2e07ff30,0xfffd12ff,
    0xdffdd9bf,0xbffffd10,0x20dffdd9,0xffffffff,0x24ffffff,0xffffffff,
    0x44ffffff,0xff504ff9,0x413fe607,0xff303ffa,0x00ffea09,0x84ffa84c,
    0xff504ff9,0xeffff987,0xffffffec,0x7cc1ffff,0x87ff504f,0x7cc01ffc,
    0x803ff94f,0x3ff94ff9,0x3e4ff980,0xffffffff,0xf94fffff,0x4ff9803f,
    0x9bffffd1,0x4c0dffdd,0x7ff504ff,0x001bfe00,0x7ec037fc,0x999999bf,
    0x22009999,0x7fc006ff,0x037fdc06,0x7fd4dff5,0x017fec05,0x04ff9800,
    0x3fd07ff5,0x01bfa000,0x0001fff1,0x7ff41bfe,0x203dff70,0xeffb86ff,
    0x360dff01,0x99999bff,0x36099999,0x99999bff,0x4c099999,0x7ff504ff,
    0x5413fe60,0x9ff303ff,0x000ffea0,0xf305fff3,0x0ffea09f,0xfff0bff7,
    0x03333335,0x3ea09ff3,0x02ffd43f,0x7fd4bff6,0xa97fec05,0x7fec05ff,
    0x266fff62,0x99999999,0xd80bff50,0x3dff72ff,0xf981bfe0,0x07ff504f,
    0x4001bfe0,0xffb806ff,0x200cc00f,0x7c003ffb,0x7ffcc06f,0x447ffd02,
    0x5c40bfff,0x00000fff,0xfd50dff1,0x005f987f,0x3a00fee0,0x1f5403ff,
    0xff70fff6,0x4417fecb,0xffd86ffc,0x06ffc882,0x9801fff7,0x007ffdc1,
    0x1bfe2066,0x440fffaa,0xffea86ff,0x50dff103,0x5c007ffd,0xff103fff,
    0x87ffd50d,0x7fcc4ffa,0xf880985f,0x3ffea86f,0x205fffc4,0xf10fffb8,
    0xfb8817ff,0x7fff10ff,0x0fffb881,0x3003ffee,0x05fffc43,0x6c3ffee2,
    0xffc882ff,0x21bfe206,0xf003ffea,0x3fe000df,0xdfffb006,0xfffdb759,
    0x00fff405,0x3201bfe0,0xfdabefff,0xfffb86ff,0xffffdbdf,0x800dcc03,
    0xfecacfff,0x3a63efff,0x50000000,0x7559dfff,0xf88dffd9,0xfffebeff,
    0x2b3bfee1,0xdfffffdc,0x2b3bfee3,0xdfffffdc,0xcefffd83,0x2fffedba,
    0x5677ffec,0x82fffedb,0xfecacfff,0xff03efff,0xfffd959f,0x3ffe07df,
    0xffffecac,0x65e7543e,0x7c05fffe,0xffecacff,0x7ffc3eff,0xfffffdbd,
    0x80fffdbd,0xfecacfff,0x7dc3efff,0xffdbdfff,0x7ffdc3ff,0xffffdbdf,
    0x6ffffdc3,0x83ffffdb,0xbacefffd,0x2e2fffed,0xfdbdffff,0x3fee3fff,
    0xfffdcace,0xfff03dff,0xffffd959,0xeeedb87d,0x2deeefff,0x7ff776dc,
    0x882deeef,0xfffffffe,0x3e02ffff,0x776dc06f,0xdeeefffe,0xfffffd82,
    0xf501ffff,0xffffffff,0x1fff9805,0xfffffb80,0x0fffffff,0xeeed9800,
    0xeeeeeeee,0x7fffdc1d,0x1fffffff,0xffffffa8,0x7fff442f,0xffffffff,
    0xfffd10ff,0xffffffff,0xffe881ff,0xffffffff,0x7fff442f,0xffffffff,
    0xfffffb82,0x0fffffff,0xffffffb8,0x80ffffff,0xfffffffb,0x3a0fffff,
    0x4fffffff,0xfffffb80,0x0fffffff,0x3fffffea,0xffffffff,0xfffb80ff,
    0xffffffff,0x7fffd40f,0x502fffff,0xffffffff,0x3ffea05f,0x02ffffff,
    0xffffffd1,0xa85fffff,0xffffffff,0x7fff442f,0xffffffff,0xfffb80ff,
    0xffffffff,0xfffff10f,0xffffffff,0x7fffffc4,0x07ffffff,0x3fffffee,
    0x7e402dff,0x3fffe201,0xffffffff,0xfffff707,0xfd9801bf,0x802dffff,
    0x7001fff9,0xf9bfffff,0x360009ff,0xffffffff,0xa85fffff,0xfffffffd,
    0x3ffae01d,0xffb102ff,0xfff7dfff,0xfffd889f,0xffffbeff,0x3fffee04,
    0x202dffff,0xfffffffb,0x3fee02df,0xfffcdfff,0x3fffee04,0x04fffcdf,
    0x37ffffee,0x7dc4fffc,0x001dffff,0x37ffffee,0xfa84fffc,0xececffff,
    0x201dffff,0xcdfffffb,0xfb304fff,0x805bffff,0xdfffffd9,0x7ffecc02,
    0xfb802dff,0xdfffffff,0xffffb302,0x3f6205bf,0xffbeffff,0x3fee04ff,
    0xfffcdfff,0x7ffffe44,0x44ffffff,0xfffffffc,0x8804ffff,0x00009aaa,
    0xfffffc80,0x04ffffff,0x0004d54c,0x44000d4c,0x9a98000a,0x7d400000,
    0xffffffff,0x2202ffff,0x0009aaa9,0x544002a2,0xa88001aa,0x440001aa,
    0x40009aaa,0x0009aaa8,0x00004d4c,0x40001353,0x4c0009a9,0x54c0001a,
    0x1a980009,0x98003530,0x2600009a,0x3530001a,0x006a6000,0x04d55440,
    0x8006a600,0x0001aaa8,0x00004d4c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32600000,
    0x5000e4c1,0x3b2a0001,0x001aacee,0x4002ec80,0x3b25eeeb,0x0f7b6e02,
    0x30002000,0x05400059,0x3332a200,0x8033b2a3,0x00e4c1c9,0x00062031,
    0x10001e44,0x00020000,0x00080000,0x3bbbbbb2,0x5c401dee,0x198bdeec,
    0x80cc0660,0xbdb74cca,0x00000037,0x060004c4,0x20180098,0x59951009,
    0x007bdb91,0x0001b500,0x00280001,0x80310188,0xf1bfa008,0xffd500bf,
    0xe8816a19,0xffffffff,0x401eb80f,0x22005ff8,0xff17ffff,0xffffd10b,
    0x654003df,0xcaadfffe,0x7ffff440,0x3ffaa002,0x7ec0b50c,0xffd8efff,
    0xdfd03fff,0x3f205ff8,0x003fea0d,0x8009fd10,0x03dfffda,0x77ff6540,
    0x2600cb8c,0x272200de,0x2deffda8,0x7ffffec0,0x2e05ffff,0xffffffff,
    0x10dd00ff,0xffff50dd,0x5ffffffd,0xc8af6dc4,0x200adffe,0x2ffffec8,
    0x221ef980,0x77cc03fd,0x6c0ff621,0xffffefff,0x70000eff,0xb71001ff,
    0x3a6000df,0x3f2000ef,0x503fea0d,0x7e407fdb,0x22027ec5,0xfeffecff,
    0xffff900e,0x05ffffff,0x9d7009ff,0x7ffec800,0x3ff613ae,0x006fffff,
    0xfffffffb,0xbfc85fff,0xf1006ea8,0xdfdffd9f,0x3ffff201,0xffffffff,
    0xfd8bf907,0x2bffa204,0x4c003ffd,0x362004ff,0xdfffffff,0xffffd800,
    0x02ffffff,0xfb813ff6,0xffffffff,0xfffb00df,0x03dfffff,0x3ffffff6,
    0x701fffff,0x0bf663bf,0x3fffffea,0x71ffffff,0xffd3ffff,0x260dffff,
    0xfffffffe,0xbcffc805,0xfc800eff,0x00effacf,0xfffffffb,0x0009ffff,
    0x64403dfb,0x006ffffe,0x3ffeffb8,0xb5ffd100,0xeff987ff,0x0080403f,
    0x6ffdc170,0x15dff100,0x7c0fff54,0x00f8805f,0x7c4ffd00,0x98f7fc40,
    0x3a202ffe,0xfedeffff,0x22fc4fff,0x417002fa,0x4400dffb,0x2efffffa,
    0x080409d5,0x3dfff900,0x02ff9800,0x3bfffe20,0x00ffffed,0x3b7ffff6,
    0x203fffff,0x3f202ffc,0xffdeffff,0xffd80eff,0x7ffd4000,0xfff9510b,
    0x7ffff405,0x3ffa205f,0x7ffb11cf,0x3fffffe6,0x4fffedff,0x66ffffc4,
    0xa803ffff,0x4003fffe,0x803fffe9,0x30affffa,0xfd800ffd,0x7ffe400d,
    0x6c006fff,0x09ff52ff,0x0f7ffe40,0x0007f708,0x10020000,0xe8813dff,
    0xd00bff04,0x3ff40007,0x89ff307d,0x3f604ffa,0xffd981ef,0x7f30fe64,
    0x40008000,0x0005ffff,0x07d30000,0x00076600,0xe983dffb,0xfffb05ff,
    0x09fff703,0x7fe402a8,0x4ffea83f,0x4000ffd8,0x3f603fff,0x5edc401f,
    0x83ffe800,0x7ff45ff8,0x7ffd42ff,0x5037fee0,0x32200fff,0x3b20000e,
    0x3dff3000,0x4003ff70,0xdff5004c,0xd800dff7,0x0026c40c,0x7dc013a6,
    0x3bb6ea03,0xb75001cd,0xd8039bdd,0x2bdeffff,0xceffca88,0x050acccc,
    0x259dd970,0x7cc0a7fe,0x81ffe43f,0x2600fff9,0x323743ff,0x3332600f,
    0x0e665cc2,0x000fffe0,0x05676544,0x00000000,0x403bfea0,0x7cc2ffe8,
    0x3fee00ef,0xffc80003,0x07ffe603,0x20021ffb,0x2200fff8,0xd000006f,
    0x237fc0ff,0xfb01fffe,0x807ff45f,0x00001ffd,0x3e600000,0x07ff504f,
    0x3a040000,0x0000006f,0x1fdc0000,0x7fffffc4,0x3e203fff,0xffffffff,
    0x3fffa203,0x360dffff,0xffffffff,0xe9805fff,0xfeffffff,0x3ff9807f,
    0x203fffb5,0xdb802ffd,0x7f67fd40,0xfffa8445,0x3fffe24f,0x037fc03f,
    0xfffffc80,0x32e204ff,0xa8803ccc,0x3b2a3ccc,0x01ffe80c,0x3ee37fcc,
    0x8ffc402f,0xccccccc8,0x3ea1cccc,0x44ffd805,0xeffedffd,0x009ff504,
    0xccccb880,0x40ffd003,0x17ff46ff,0x6d45ff70,0x887ff202,0xedc8acca,
    0x6654403d,0x033b2a3c,0xfa827fcc,0xacca883f,0x003dedc8,0x2e2037f4,
    0x97301bcc,0x66644159,0xcccccccc,0xf983fb81,0xffffffff,0xffff302f,
    0x05ffffff,0xfffedba8,0xffffb1ff,0x9fffffff,0xfffffa80,0x07ffffff,
    0xffcbff98,0x3ffa06ff,0x7ed40000,0x5feb98be,0xf89ffff5,0x7c03ffff,
    0xffd8006f,0x5fffffff,0xdffffff0,0xdffffb00,0x7fffffb1,0xfb005ff8,
    0x800ffd8f,0x3fffe619,0x2fffffff,0x5ff98004,0x7fffffec,0x7fd40eff,
    0x7ffc0004,0xfd006fff,0x3a37fc0f,0x1ffd407f,0x41fff100,0xfffefffd,
    0xfb00efff,0xffb1dfff,0xff307fff,0x20ffea09,0xfffefffd,0xd000efff,
    0xfffe80df,0x7ffcc0ff,0x3ffe66ff,0xffffffff,0x7503fb82,0x27fdc435,
    0x5c435750,0x01c984ff,0x5449ffb3,0xaaaaaeff,0x77ffc400,0xffffc88b,
    0xbbff9807,0xf04fffff,0x440000df,0x1cfffec9,0x2613fee2,0x7fc03ffc,
    0x7ffec006,0xbfff512d,0xdfffffd0,0xfffff900,0xffffffff,0xc8027fcc,
    0x01bfe1ff,0x7ffffcc0,0x12ffffff,0xdddddddd,0x8dffdddd,0xfeeffffc,
    0x7ffc46ff,0x3ffa0000,0xfd006fff,0x3a37fc0f,0x1ffd407f,0xd8bffb00,
    0xffffffff,0xff904fff,0xffffffff,0x9ff30fff,0x360ffea0,0xffffffff,
    0xfd004fff,0xffffe80d,0x7fffc40f,0x3fffe65f,0x2fffffff,0x06b7f6a6,
    0x1bfe1330,0xdff09980,0x2201dfb0,0x05ff86ff,0x40bff900,0xf9807ffe,
    0xfffd713f,0x005ff889,0xffffc980,0x13fe601c,0x3e01ffd4,0x3fe2006f,
    0x1fff100f,0x0dff5530,0x3fffea20,0x549d52ef,0xff7003ff,0x0017fe25,
    0x5556ffcc,0x3e25fffd,0xffffffff,0x4c7fffff,0x3faa0add,0x01fff43f,
    0x554c0faa,0xffd006ff,0x3fa37fc0,0x01ffd407,0x407fff44,0x30affffa,
    0x7d440ffd,0xd52effff,0x209ff309,0xff503ffa,0x3fa615ff,0x00dfd007,
    0xaf6c9ff7,0x7cc3ffc8,0xffdaaadf,0x3fffe25f,0x7f5c0fff,0x06ffffff,
    0x7fffff5c,0xfffe86ff,0xfffdcabd,0x0005ff85,0x7dc05ffd,0x3ff9807f,
    0x221fff98,0xffeb85ff,0xff71efff,0x017339df,0xfa827fcc,0x7f76443f,
    0x1deeeeff,0x6405ffa8,0x37fc02ff,0x17fffe00,0x400ffe60,0xbff11ffb,
    0x50ffc000,0xff88bfff,0xffffffff,0x4007ffff,0x7fd45ffa,0xecbaacef,
    0x6ff806ff,0x77ffed40,0x7f46ff83,0x01ffd407,0x407fffa2,0xfb81eff9,
    0x7fffc01f,0xfffd7005,0x77ff541b,0x81eff983,0xfe801ffb,0x35ff9806,
    0x3ff63fff,0x3ea1ff81,0x999885ff,0x3ffa2099,0x6fffffff,0xfffffd10,
    0xfd0dffff,0xffffffff,0x0bff01df,0x101bfe00,0xff300fff,0xf0ffea07,
    0xffffd0df,0x33b2bfff,0x09fffd51,0x7d413fe6,0x7fffd43f,0x5fffffff,
    0x4c01ffc8,0x37fc05ff,0x00fffe00,0xd802ffc4,0x01bfe0ff,0x3fea1980,
    0x00dff04f,0xf1001bfe,0xffff70df,0x3fffffff,0xe80dff00,0xf87fffff,
    0x203ff46f,0x3e603ffa,0x3e601fff,0x07ff504f,0x1003fff8,0x49ffffff,
    0x40ffffff,0xff504ff9,0x00dfd007,0x7ffe5ffe,0x8660fff4,0x0004fffa,
    0x9bffffd1,0xd10dffdd,0xdd9bffff,0xfbf50dff,0x17ffffff,0x40017fe0,
    0x7fc406ff,0x03ff9807,0x0ffb1bfe,0xdffdddb5,0x6cdffc03,0x04ff982f,
    0xfd887ff5,0xffffffff,0x01ffc81e,0x3e027fcc,0x37fc006f,0x003ffa00,
    0xffc8fff1,0xffa80000,0x0bffa04f,0x000bff10,0x3f6a0fff,0x1dffffff,
    0xa80dff00,0xf83ffffe,0x203ff46f,0xff503ffa,0xff9801df,0x807ff504,
    0x7ec006ff,0x3f21efff,0xff984fff,0x007ff504,0x3f600dfd,0x9fffff9f,
    0xffa805ff,0xf700c04f,0x1bfe03df,0x7c07bfee,0xcfc9806f,0x005ff801,
    0x5c03ffd0,0xff9807ff,0x47fe8333,0x7cc02ffc,0xd0bea04f,0x209ff30d,
    0x00003ffa,0x6c05ffa8,0x37fc02ff,0x001bfe00,0xfd80bff9,0x027fd43f,
    0x7fd405c4,0x37fe404f,0x000fff60,0xa880bff3,0x40009adf,0x200006ff,
    0x03ff45ff,0x3ee0bfea,0xf9800eff,0x07ff504f,0x00006ff8,0x13fe6000,
    0x7401ffd4,0xdff7006f,0xffbfffff,0x4fffa807,0x203ffe20,0xfc882ffd,
    0x82ffd86f,0x5006ffc8,0xfff005ff,0x3202ea20,0xfe980dff,0xbff9807f,
    0xdff11ff8,0x202fff98,0x3f204ff9,0x3e207e40,0x3ffea86f,0x10017700,
    0xb8817fff,0x7fc00fff,0x037fc006,0xd82fff40,0x9fff06ff,0x51bfa601,
    0x41889fff,0xf903fff8,0x201ca8df,0xf9804ffd,0xdff0002f,0x3fea0000,
    0x3203ff44,0x7ffe41ff,0x13fe6005,0x3e01ffd4,0x9300006f,0x3fe60015,
    0x007ff504,0x3e600dfd,0xfffbffff,0x3fea01ff,0xff70c44f,0x9dff707f,
    0xfffffb95,0x677fdc7b,0xfffffdca,0x3f66a03d,0xbdffe807,0x83fffedb,
    0xcbefffe8,0x3dfffffe,0xbeffec88,0x4ffebeff,0xbcefffc8,0x04fffedb,
    0x20bf0bea,0xfecacfff,0x4403efff,0xfb800fff,0xffdbdfff,0x6ff803ff,
    0x0037fc00,0x5e77ffcc,0x301fffec,0x9779ffff,0x7d4bfffb,0x43fe84ff,
    0xcacefffa,0x7fc1ffff,0xfecbacdf,0x6cd400ff,0xdff0007f,0xffb30000,
    0x37fff627,0x3ffeea20,0x09fffb10,0x13fe6022,0x3e01ffd4,0xf900006f,
    0x3fe600bf,0x007ff504,0x7fc00dfd,0xffffd6ff,0x427ffd40,0x3fff33fe,
    0xfffffd10,0xffffffff,0x3ffffa21,0xffffffff,0xfeff880f,0xffffa806,
    0x02ffffff,0xfffffff3,0x3fffffff,0xdfffffb8,0x0ffffffe,0xffffffb0,
    0x807fffff,0x02febcfe,0xfffffff7,0x201fffff,0x002febd9,0xfffffff5,
    0xddb705ff,0xbdddfffd,0x7ff76445,0x01deeeef,0x7fffffd4,0x7cc01fff,
    0xffffffff,0xffff50df,0xbffddddd,0xffffff70,0xff905fff,0xffffffff,
    0xfeff8805,0xeeedb806,0x2deeefff,0x7ffff5c0,0xffff70ef,0x7ffff47f,
    0x3bfffee2,0x0ffeeeee,0x837fffae,0x223effea,0xeefffeec,0x32001dee,
    0xeb807fbc,0x3aa0dfff,0x3b223eff,0xeeefffee,0x7fffb00c,0x541bffea,
    0xeeeeffff,0x02a25ffe,0xfffffd88,0x44ffffbe,0xefffffd8,0x204ffffb,
    0x5001dfda,0x7fffffff,0xfffc8801,0xfffecfff,0xefffe985,0x1efffea9,
    0x7fffecc0,0x9800bfff,0x5c03effd,0xfcdfffff,0x3fea04ff,0x7ecc007f,
    0x882dffff,0xffffffff,0x3ea7ffff,0xffffffff,0xfd8805ff,0x000dffff,
    0xfffffb71,0xffffc87d,0x5fffffff,0xfffffd10,0x7ff5c01b,0x001dffff,
    0x8803bfb5,0xffffffff,0x7c07ffff,0x20ffffff,0x21efffe9,0x7dc4fffd,
    0xffffffff,0xfff12fff,0x7ffc9fff,0xfff50fff,0xffffffff,0x7ffec00b,
    0x7fffc404,0x3fffe4ff,0xffff70ff,0x7fffffff,0xf83ffee0,0xfff904ff,
    0xffffffff,0x2aa2000b,0xaa88001a,0x0000001a,0x00135530,0x0006aa60,
    0x0006a600,0x00026a62,0x2a6000c4,0x57300009,0x0d4c0001,0x7ffffe40,
    0x24ffffff,0xffffffd8,0x4001efff,0x980001a9,0x3fff201a,0xffffffff,
    0x001a9805,0x000d54cc,0xfffc8000,0xffffffff,0x677f5404,0x0530000a,
    0x3fffffee,0x22ffffff,0x21effffd,0x224ffffc,0xfffffffd,0x54001eff,
    0xfffb001b,0x7ffe43df,0x3fffa64f,0x1effffff,0xfc8bff30,0xffff902f,
    0xbfffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00008000,
    0x04001d88,0x2e000ea0,0xb8805eee,0xcc99ceed,0x333260ac,0x0e665cc2,
    0x02200080,0x00044000,0x00000600,0x00bddd70,0x5cb3bb2a,0x65cc1bcc,
    0x79dd954c,0x5665cc01,0x0de65440,0x0017bbb2,0x91000a80,0xd91039dd,
    0x654039dd,0x5c01bced,0x005eeeed,0x4bddddb7,0xeeda81ed,0x372005ee,
    0xcca80000,0x002ccccc,0x0005e5c4,0x00003331,0x99999995,0x003d7005,
    0x02f2e200,0x3eee9800,0x77fff5c0,0xf5000bab,0xffb5005f,0x00db07bf,
    0x07ffff88,0x7fffffdc,0x54ffffef,0x7c49ffff,0x4c03ffff,0x3b200efe,
    0xa8003eff,0x40003fed,0x0006fdb8,0x3fffe200,0x7fff4c07,0xffffefff,
    0xfffff11f,0xfffffffd,0xfffff305,0xfffffe8b,0x0dffff11,0x9ffd5000,
    0x3ff616a1,0xfffd86ff,0xffe985ff,0x204fffff,0x06ffffff,0xdffffff0,
    0x3fa13fe6,0x1006ffff,0xd00005ff,0xdfffffff,0xfffd9100,0xfb009dff,
    0xfd0000df,0x0dffffff,0x40009ff0,0xfffffec8,0xffe8004e,0xfffd104f,
    0x07ffffff,0x8805ff70,0xfffffffd,0x2001be0d,0x2e07ffeb,0xffffffff,
    0xf53fffff,0xfff89fff,0x7fd403ff,0x77df502f,0x7cc003fd,0x40003fef,
    0x0006fffb,0x3fff6400,0xffffff30,0xffffffff,0x7fffffc1,0xffffffff,
    0x7ffffc43,0x7ffffec5,0x01bffb21,0xfd9ff100,0xfa81dfdf,0xffa83fff,
    0x7fcc3fff,0xffffffff,0xffffd705,0x3ffae00d,0x20fae6ff,0x06ffffea,
    0x777ff754,0x330003ee,0x10033333,0x2e615bfb,0x7ffc05fd,0x33300002,
    0x3e003333,0xfb10005f,0x3f6e615b,0x3ffee005,0xffffd04f,0x09ffffdb,
    0x4401ffb8,0xfedeffff,0x04f98fff,0x7ff554c0,0x3ffe20aa,0xffff932d,
    0x4ffb8819,0x803ffc98,0x2a0403cb,0xfb84004f,0xf8880003,0xd0000006,
    0x3ffa20ff,0xfffb511e,0x3ffa605f,0xffb309ef,0x2ffe883f,0x201dff70,
    0xb80006fe,0x4037fee0,0x7e403ffa,0x6fffc42f,0x7fff730a,0x000dff00,
    0x00f99bfe,0x7ec06fe8,0x6fffffff,0xd8000000,0x82fdc02f,0x00006ff9,
    0x17fe0000,0x2017ec00,0xff8805fb,0xffa84fff,0x27ff4c1e,0x360036a0,
    0x7f4c1eff,0x4000ffef,0xccfffcca,0x5417ff20,0xff302fff,0x00ffea09,
    0xff971000,0x0fee0005,0x037c4000,0x7fe80000,0x6c0bff70,0x7ff407ff,
    0x0bff900e,0x3fa0bff5,0x01bfa02f,0x54008000,0x7fdc03ff,0x5037fe42,
    0xff801fff,0x4dff0006,0x0dfd002e,0x339ff530,0x6e540003,0x7ec01bce,
    0x42ccccb9,0x1ffc85fb,0x32a20000,0x2a200ace,0xcccceffc,0x43fb00ac,
    0xf73addb8,0xfeffc80b,0x02ffc84f,0x00009ff3,0x4403bfea,0xb801fffe,
    0xffd2ceec,0xf807ffa0,0x9ff302ff,0x000ffea0,0x1dfff300,0x07f700c0,
    0x6f880220,0xcb801300,0x0ffd2cee,0xf8807ff6,0x17ff407f,0x7f41ffe0,
    0x037fd41f,0x77655bfa,0x65c400bc,0xfa803ccc,0x17fdc03f,0x33337ffa,
    0x1ffecccc,0x80037fc0,0xe800a6ff,0x9ff3006f,0x007bdb51,0x3fffffa6,
    0x29f304ff,0x0ffeeffd,0x2bfd03f2,0xded99cca,0xffffc803,0xffb04fff,
    0xffffffff,0x5c9f30bf,0x90fffdff,0x3ffe601f,0xffb84ff9,0xc887fa02,
    0xcccccccc,0x07ffa1cc,0x980dff30,0xeffffffe,0x0dff07ff,0xf302ffc8,
    0x0ffea09f,0x98007660,0x3fe985fd,0xf9007f70,0x2037c40f,0xfd306fd8,
    0xffdfffff,0x201ffe0f,0x7ff407fe,0x407fec00,0x7ff45ffa,0x7f7ff402,
    0x01efffff,0x1bfffffe,0x700ffea0,0xffff85ff,0xffffffff,0x37fc03ff,
    0x037fc006,0xfebffe80,0xfffff300,0x401dffff,0xfffffff9,0x47b85fff,
    0xf993a25d,0x3ee7fe22,0xfffffeff,0xffffb00e,0xb0bfffff,0xffffffff,
    0x8f709fff,0x4c3f60cf,0x37ffd02f,0xfff309ff,0xff302015,0xffffffff,
    0x802ffc5f,0x3fea07fd,0xffffffff,0x01fff07f,0xf9817fec,0x07ff504f,
    0x8800bfb0,0x17ffe47f,0x3aa03fb8,0x1be205ff,0xa84fffa8,0xffffffff,
    0xffb07fff,0x03ffcc03,0xf880fffa,0x47ffa07f,0xfe806ffa,0xffffffff,
    0xfffd02ff,0xff500dff,0x42ffb807,0xffffffff,0x04ffffff,0x0dfb37fc,
    0x2000dff0,0x02fffffe,0xfffffff3,0x3e20bfff,0xf730adff,0x6c6d87ff,
    0xa93e2f45,0xfffff55f,0xb09fffff,0x2a25bfff,0xfa985fff,0x0aaaaaef,
    0x207d4db0,0x7d427c48,0x209ff36f,0xaceffffd,0xfffff300,0x25ffffff,
    0xf9004ff9,0xdfff103f,0xffff9117,0x40fff60f,0xf302fff8,0x0ffea09f,
    0x5c0dff30,0x54fca9ac,0x5301dffd,0x6c435bfb,0x75103fff,0x7ec435df,
    0xfff882ff,0xfffc88be,0x0dff707f,0x3a03fff4,0xffb00fff,0xeb7fd40b,
    0xffe802ff,0xfeb89cff,0xf55300ff,0x7ff500df,0x6c2ffb80,0x99999bff,
    0x40099999,0x07ffe6ff,0x3000dff0,0x40bfffff,0x50affff9,0xff901ffd,
    0x07ffd40d,0xfdcfd8bf,0x1d53ec2f,0xa86fffdc,0x7ffc46ff,0x01fff100,
    0xbf0017fe,0x47d802ec,0xff31fff8,0x7fffe409,0x7cc0dfff,0xffdaaadf,
    0x00ffea5f,0x7e417fdc,0x1fffa05f,0x220f7fdc,0xf302fffd,0x7ffd50bf,
    0x1bfff620,0xefffffc8,0x98bfffd9,0x3ffffe20,0xdfffa8ff,0x7ff40aa9,
    0xffb8ffff,0x7e4099cf,0x1fffa05f,0x4e7fffc4,0x07ffffc9,0x56fffff4,
    0x01ffffc9,0x37fe7ff4,0x207ffe80,0xff804ffd,0x03ffa806,0x3ee17fdc,
    0x00cc00ff,0x0df937fc,0x4400dff0,0x01effffc,0x64077fcc,0xdffe82ff,
    0xeccccccc,0xfb17a1ff,0x0db07fff,0xfe85ffa8,0x202ffd47,0x332a2ffc,
    0x1cccceff,0x005d97a0,0x25ffc8db,0x5cc04ff9,0x0efffffe,0xfff50ffc,
    0x003ff98b,0xffd03ff9,0x03ffdc05,0xfb7dfffd,0x2605ffff,0xfecacfff,
    0x7cc3efff,0x9803ffff,0xdfffa8aa,0x4c45ff98,0xffd99999,0x5ffffcaf,
    0x74cccccc,0x6ff89eff,0xf7017ff4,0x7ffcc0ff,0xffffffff,0x7ffff407,
    0x2fffffff,0xfffffa80,0x09ffd002,0x7c037fcc,0x3ffa806f,0x2ffb876a,
    0xacefffd8,0x02fffedb,0x400237fc,0xfd1006ff,0x2600ffff,0x5ff504ff,
    0xfffffff0,0x7fffffff,0x74576364,0x2a027c0f,0x0ffd83ff,0xf3007ff2,
    0x3fffe2bf,0x05ffffff,0x800fa9b2,0x83ffe64f,0x22004ff9,0x4c5fffba,
    0x213ffea1,0xfb005ff8,0x80dff01f,0x3a207ff8,0xffffffff,0xfff302ff,
    0xffffffff,0x7fff41ff,0xffd88002,0x017ffa2f,0x2a37ffee,0x03fc99ef,
    0xfd93fff2,0x2037fc6f,0x6cc07ff8,0xedffffff,0x6fff407f,0x2effffff,
    0x1bfffa00,0x400ffe80,0x7fc00ffe,0x23ffa806,0x0bfee5fe,0x3fffffa2,
    0x02ffffff,0xf80037fc,0xfff5006f,0x3e600dff,0x05ff504f,0xffffffff,
    0x49ffffff,0x443b60fa,0x500be66f,0x1ffb07ff,0x2600ffe4,0x3fffa4ff,
    0x03ffffff,0x21df83ea,0x6c5f31e9,0xfeeeefff,0x202543ef,0x3ea07fe8,
    0x3ffa04ff,0x83ffc400,0x7fc406ff,0xffffc807,0x302ffcdf,0xdfffffff,
    0x7cc9fffb,0xff50006f,0x7f7e41bf,0x3bffa205,0x6f983662,0x21effe98,
    0x7fc6fefb,0x03ffc406,0xb1bccb98,0x17fe80ff,0x00057997,0x4005fff5,
    0x7f400ffe,0x037fc00f,0xdff1ffd4,0xf700ffe4,0xbfffffff,0x00dff005,
    0xc801bfe0,0x3006fe8c,0x3fea09ff,0x99bffd82,0x99999999,0x7ff57e20,
    0xfb3ff31f,0x83ffa801,0x3fea0ffd,0x217fec05,0x199eff98,0x3ee5f880,
    0x3f66ffff,0x3fffffa0,0x11ffffff,0xffd807ff,0x04fffa81,0x3602ffe4,
    0x3ffd03ff,0x003ffdc0,0x3fee1353,0x55bff302,0x3ff90015,0xefe80dc0,
    0x2fd77cc2,0x1009ff70,0x7ff909fb,0x46f9ff88,0x3ee01ffe,0xfd80007f,
    0x003ff407,0x01bfea00,0x4c07ffd0,0x6ff806ff,0x3e3ffa80,0x003ffa6f,
    0x0026bbea,0x2000dff0,0xfd0006ff,0x13fe600d,0x7dc17fd4,0x40cc00ff,
    0x42aa9bfc,0xa803fda9,0x0ffd83ff,0x102fffe2,0x3e01fff7,0x8175106f,
    0x2f2e23fc,0xffd0ff61,0xffffffff,0x817ffccb,0xffa87ffa,0x7f40c44f,
    0x0dffb05f,0x4c06ffe4,0x40007ffe,0xff301ffd,0x7ff70009,0x1cc1bf20,
    0x2fccff44,0xd1003710,0x202e20bf,0x646f8bfd,0xfe980dff,0xfd80007f,
    0x003ff407,0x00bffa00,0x103fffd0,0xff009ffb,0xeffe980d,0xffb7fff2,
    0x0cbee00d,0x0037fc00,0xd0006ff8,0x3fe600df,0x205ff504,0xbacefffd,
    0xc82fffed,0x7fb100df,0x20ffea00,0x7fdc0ffd,0xfffdbdff,0x37ffa03f,
    0x3fffecba,0xb100dfc8,0xff98007f,0x77fffcc4,0x5ffffdbc,0x7427ffd4,
    0x77ffcc3f,0x1fffecbc,0x3bfffa20,0xfffffecb,0x7dc4003d,0x13fe607f,
    0x2fffe600,0x00ffd730,0xefdcffc8,0x7fd40001,0xcffb8003,0x3fa22ffc,
    0xffecbeff,0x0003dfff,0xffd01ff6,0x7fd40000,0x3ff6e006,0xfebcefff,
    0x76dc0fff,0xeeefffee,0x3ffff62d,0xfffffff6,0x3bfe2001,0x3bb6e02f,
    0xdeeefffe,0x7f776dc2,0x42deeeff,0xfffeeedb,0x7643deee,0x3b20deff,
    0x7440deff,0xffffffff,0xff902fff,0x7ffd7579,0x3bffae00,0x213ffea4,
    0xfffffffa,0x7fd402ff,0xffffffff,0x579ff901,0x4007ffd7,0x23fffedb,
    0xfffffff8,0x2a0effff,0xeeeeffff,0xffa85ffe,0x1fffffff,0xfffff980,
    0xffffffff,0xfffd701f,0x4c07ffff,0xfb0004ff,0xffffffff,0xfffd800f,
    0x10003fff,0x20005ffb,0x5ffffffc,0x7fffffcc,0xffffffff,0x3ffb2001,
    0x7f644fff,0x000dffff,0x3ffffff2,0xfff8805f,0xffffffff,0x7fc42fff,
    0xffffffff,0x3ffaa7ff,0xdffff33e,0xcfda8003,0xfffff100,0xffffffff,
    0x3ffffe21,0xffffffff,0xffffff10,0x1fffffff,0x3fffffe6,0xffffff53,
    0x3fffee05,0x402dffff,0xcefffeca,0xffff1001,0x3fffe5ff,0xfffd981f,
    0xf5002dff,0x19dfffff,0xfffeca80,0x3e2001ce,0x21ffffff,0xffffdaec,
    0xfffc83ff,0xffffffff,0xffffb105,0x644001bf,0xecffffff,0x3fe05fff,
    0x03ffffff,0x8001ffc4,0xffffffd8,0x2a0003ef,0xd0001efd,0x09b99bff,
    0x0bff2600,0x3fffff22,0x05fffecf,0x3ffffe60,0xfff11fff,0x007fffff,
    0x3fffffe6,0xfd802fff,0xffffcfff,0xff900dff,0xffffffff,0x0a98009f,
    0xfc800000,0xffffffff,0x7ffe44ff,0xffffffff,0x7ffffe44,0x44ffffff,
    0x11effffd,0x01bffffb,0x009aaa88,0x00015100,0x437ffff6,0x9805fffc,
    0x2a60001a,0x2a20001a,0x3ff20000,0x4c405fff,0x3ff200aa,0xffffffff,
    0x01a9805f,0x01aa9800,0xbfffd700,0x03720037,0xddd95000,0xfb000039,
    0x3e0007ff,0x07ffffff,0x09fff900,0x0001aa98,0x3ffffb20,0x7fff644e,
    0x32000dff,0xdffffffe,0x554c0000,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xccccccca,0x99995002,0xa8005999,
    0x00bdeeed,0xca800144,0x00006540,0xdddb7100,0x3bbb2217,0x555530bd,
    0x55555555,0x776dc055,0x03deeeee,0x700003d7,0x017bdddb,0x0bddddb7,
    0x03eeed88,0x05ddb000,0x01dddb50,0x39ddb500,0x42deec98,0xeeeeedb8,
    0x36e201bc,0x36a3deee,0x6dc43dee,0x64c1ceee,0xa80bdeee,0x01cdeedb,
    0x0ceeec88,0x039ddb71,0xb7100000,0xdddddddd,0x33332a0b,0x00002ccc,
    0x3b2609d3,0x000eeeee,0x3ba60000,0xeeeeeeee,0x33bb6e1e,0x1ef764c1,
    0xffd03331,0x00dfffff,0x3ffffffa,0xffd1006f,0x20ffffff,0xb12effd8,
    0x225ff805,0x362004ff,0xf900bdff,0x369fffff,0x74ffffff,0x7cc0e000,
    0xffffffff,0x04ff81ff,0x3fffa200,0xff87ffff,0x5c06ffff,0x0004ffff,
    0xf007ffd0,0x8001ffff,0x46fffff9,0x21fffffe,0xfffffffb,0xfb81efff,
    0x8affffff,0x22ffffff,0x6ffffffb,0x7ffffff4,0x3ffffe23,0x6403ffff,
    0xf95fffff,0x700bffff,0xfec8005f,0xffffffff,0xfffd07ff,0x200dffff,
    0x98acedb8,0xffe80fff,0x003fffff,0x25fb3000,0xfffffffa,0xff32ffff,
    0xffe8dfff,0xfff31fff,0x33333301,0x99998003,0x3fa00199,0x7fffffff,
    0xdff9df90,0x3fe805ff,0xf98017f4,0x81ffffff,0x2ffffffa,0x5ffffff5,
    0xd01c000e,0xffffffff,0x017fe0df,0xfffffe80,0xfeb87fff,0x6cc06fff,
    0x00004fff,0xd7007ffd,0x88001fff,0x645fffff,0x260fffff,0xfffffffe,
    0x74c2ffff,0xd0efffff,0x4c1dffff,0x43ffffff,0x0ffffffb,0x3fffffe6,
    0x2a02ffff,0xf53fffff,0xd007ffff,0x7fec00df,0xffffffff,0x26607fff,
    0x88019999,0xfffffffd,0xff705fff,0x00dfffff,0xfffc8800,0xffffff55,
    0x225fffff,0x641ffffe,0xf10effff,0x000000ff,0xeff88000,0x5402a621,
    0x00bbfa62,0x3a000804,0x6ffeefff,0x4c07bfe0,0x8001c7fe,0x7cccc403,
    0x3fe009ef,0xdff10005,0x40054c43,0xff3006ff,0x26200009,0x3ff20009,
    0xfff50000,0x02fff881,0x26667ffa,0xa80fffdb,0x3fa20cff,0x3fee01ff,
    0x81ffec05,0x3ee21aba,0x27fcc04f,0xf002ffb8,0x3ff600df,0x9cffbacf,
    0x0007fe99,0xffffe880,0x05ffffff,0xfffffb98,0xff700002,0x3fea3dff,
    0xffd9999c,0x07ffd40e,0x3e07ffe2,0xeedba87f,0x664c01cd,0x6665cc2c,
    0x00ffea01,0x00000800,0x237fcc00,0x1bfe05fc,0x0038ffd0,0x5ff80070,
    0x9dff9510,0x40159999,0x40003ffa,0xff3006ff,0x00000009,0x0000ffc8,
    0xffb17ff2,0x207fe809,0xff984ffe,0x03bffe63,0xf80fff10,0x133000ff,
    0xffd81bfe,0xffffffff,0x7c00efff,0xfffc806f,0xfd0ffea0,0x9999710f,
    0xdffd1007,0x37fffcc5,0xffcffd80,0x7fd40005,0x7fd43fff,0x80fffd43,
    0x7fec5ffc,0x7c4dfd04,0xffffffff,0x9ffff503,0x1fffffc4,0x01ffee54,
    0x91599510,0x71007bdb,0x40079999,0x40182ffa,0x3ff406ff,0x001c000e,
    0x7fec17fe,0xffffffff,0xffdca85f,0x002ccccd,0x7cc01bfe,0x2ceec9cf,
    0xccccb880,0x43ff2003,0x00accca8,0xffa9fff4,0x03ff400e,0xf981ffd1,
    0x1dfff53f,0x40bff600,0x75c04ffa,0x6fffffff,0xffffff10,0xffffffff,
    0x06ff803f,0x7d41ffe8,0x21bf633f,0x06ffffff,0x7c46ffa8,0x402fffff,
    0x1ffd6ff8,0xfffd5000,0x5ff3019f,0x101fffc4,0x3fee5ffd,0xf997f606,
    0xffffffff,0xffffa82f,0x1fffffc4,0x0fffffee,0xfefffd80,0x00efffff,
    0x1bfffffe,0x003ff980,0x7f406ff8,0x038001c7,0xfd82ffc0,0xffffffff,
    0x7ffdc4ff,0xffffffff,0x00dff003,0x3fffffe6,0x3e00dfff,0x006fffff,
    0x7ff43ff2,0x7cc06fff,0x01fff9ff,0x7e407fe8,0x5dffcc2f,0x4c005fff,
    0x3ffd06ff,0x3ffffa20,0x206fffff,0xaaadffb8,0x00cffcaa,0xff806ff8,
    0xfdbffa85,0xffe82d9c,0xfc806fff,0x3bffe23f,0x7e405ffa,0x007ff73f,
    0x6ffffecc,0xe8876c01,0xff9804ff,0x201fff9f,0x0d5d44fc,0x2209ff71,
    0xfc984ffb,0x7fffd43f,0x3ff6003f,0xffffffff,0x3fffa04f,0x3e2006ff,
    0x6ff8005f,0x00e3ff40,0x3fe001c0,0x3bfea205,0xa80aaaaa,0xffffffff,
    0xff003fff,0x3ffe600d,0x5fffffff,0x3fffffa0,0x43ff2006,0x05fffffd,
    0x4fffffc8,0x77fff640,0x1ffd44ee,0x3fffffe6,0x3ffd0006,0xd106ff98,
    0xdd9bffff,0xff980dff,0xfeeeeeee,0xaaaaa82f,0x1aaaafff,0x3ea0ffe6,
    0x9806ffef,0xf806ffaa,0x3bffa27f,0xff80dff0,0x00dff10f,0x3dffff91,
    0x1bff6000,0xfffffc80,0x201fdc04,0x40dff099,0xff504ff9,0x7ff95107,
    0xffffa800,0x80ffd30a,0x806ffaa9,0xeefffeda,0x06ff801c,0x000e3ff4,
    0x17fe001c,0x10017fe0,0x555bff95,0x37fc0015,0xaffff980,0x980fff50,
    0x2006ffaa,0xfffb8ffc,0x3fa001ae,0x7fd406ff,0x0fffffff,0xff313fe6,
    0x009fffff,0xfc89ff70,0x3dff702f,0xf301bfe0,0xffffffff,0xfffc85ff,
    0xffffffff,0x05ff74ff,0x0dfffff5,0xf806ff80,0x1dffd17f,0xfa817fe2,
    0x017fec4f,0x05fffff7,0x07ffdc00,0x1bfffa00,0x3ae03e60,0x6fffffff,
    0x5413fe60,0x3fea03ff,0x77fcc003,0x001ffb81,0xfff00dff,0x0bffffff,
    0xfe80dff0,0x138001c7,0x05ff80bd,0x50005ff8,0xf80007ff,0xdff3006f,
    0x005ff901,0xfc801bfe,0x00dfffdf,0xffffff50,0x3f605fff,0x44ffffff,
    0x7fcc4ff9,0x04fffdff,0xf10fff80,0x17fec0ff,0x2037fe44,0xfffffff9,
    0x7e42ffff,0xffffffff,0xff54ffff,0xfffff507,0x06ff800d,0xffebffd8,
    0x80fff60e,0xcaaacffd,0x3fea05ff,0x30003fff,0x30005fff,0x20003fff,
    0xffffffe8,0x3e606fff,0x07ff504f,0x2001ffd4,0xff504ff9,0x01bfe007,
    0x3ffffff2,0x6ff802ef,0x00e3ff40,0x01ffa9c0,0x3fe017fe,0x7ff50005,
    0x06ff8000,0x2a09ff30,0xdff002ff,0x7fffe400,0x9988004f,0x80099fff,
    0x7fd407fe,0xa8fffcc3,0x64003fff,0x09ff73ff,0x65677fdc,0x3dfffffd,
    0x2a07ff30,0xaaa982ff,0xaaaafffa,0x2a17fe21,0x005fdbff,0x7d4037fc,
    0x710effff,0x3e203fff,0xffffffff,0x7fdc00ff,0x22002eff,0x0ecc4fff,
    0x80037fc0,0xcdffffe8,0x2606ffee,0x7ff504ff,0x001ffd40,0x7d413fe6,
    0x0dff003f,0x004ff980,0x3fe03ff4,0x738001c6,0x2ffc05ff,0x8002ffc0,
    0x40003ffa,0xff3006ff,0x00bfea09,0xf90037fc,0x0005ffff,0x74006fe8,
    0x0ffe407f,0xff50ffe6,0x7fcc001f,0x4401ffd6,0xfffffffe,0x80ffffff,
    0xff503ff9,0x01bfe005,0xff503ffa,0x00621717,0x7ec01bfe,0xffdbcfff,
    0x3ff204ff,0xffffffff,0xffc8803f,0xfd801eff,0x805fd85f,0x595006ff,
    0x7c07bfee,0x13fe606f,0xf501ffd4,0xff98007f,0x007ff504,0xf7001bfe,
    0xffc8009f,0x389ff302,0x3fee7000,0x009ff102,0x2a000bff,0x7c0003ff,
    0x9ff3006f,0x400bfea0,0x3f2006ff,0x003fffff,0x3fffffea,0x7f402fff,
    0x03ffe607,0xff907ff3,0xcffd8007,0xfd8805ff,0xffbeffff,0x7ff305ff,
    0x400bfea0,0xffc806ff,0x7c1ffd46,0x037fc01f,0x7fffff44,0x403fffff,
    0xaaaaafff,0x2006ffaa,0x0dffffd9,0xd01dff90,0x0dff00ff,0xfb3fff50,
    0xdff9105f,0x5437fc40,0x3ea03ffe,0x7fcc003f,0x007ff504,0xf9001bfe,
    0xffb8007f,0x17ff440e,0xfb9c000e,0x05ffb03f,0x2a20fff0,0x03ffa80b,
    0x8037fc00,0xff504ff9,0x01bfe005,0xffc9ffc8,0x2662004f,0x80099fff,
    0xffa887fe,0x83ff983f,0x2000fff8,0x02fffffa,0x706aaa20,0x1ffcc05f,
    0xf002ffa8,0xffd100df,0x87ff513b,0x7fc03ff9,0xdfffd806,0x02dfffff,
    0x32027fd4,0x754002ff,0x2a0cffff,0xffd01fff,0x700dff00,0xdff77fff,
    0xffffb959,0x3ffe07bf,0xffffecac,0x07ff503e,0x504ff980,0x3fe007ff,
    0x3ffe6006,0xfd03fd00,0xfffb7bff,0x4e00070b,0xcbdffffb,0xe800efff,
    0xfedbbdff,0x3ffa83ff,0x037fc000,0xf504ff98,0x1bfe005f,0xf70ffc80,
    0x36a00bff,0x02defffe,0x3bbfff22,0x46fffffe,0x3eeffec8,0x016f7fdc,
    0x006ffff8,0x6ddfdc00,0x37bffb20,0xbdffdb31,0x006ff801,0xffffffd1,
    0xffdddddf,0x7f776dc9,0x22deeeff,0x2a61fff9,0xfffc8800,0x7f6d41de,
    0x54000def,0xfd2fffff,0xddddddff,0xdd910fff,0x019ddfff,0xfd11bfb1,
    0xffffffff,0xf701ffff,0xffffffff,0x3b6a1fff,0x0ceeeffe,0x37fffae0,
    0x0fbffaa0,0xfffdddb7,0xc885bddd,0xeeeeffff,0xe883ffee,0xefffffff,
    0x27000380,0xfffffff9,0xf5000eff,0xffffffff,0x3fbb665f,0x03deeeef,
    0xfffdddb7,0xeb85bddd,0x3b20deff,0x76dc4eff,0xeeefffee,0x7ffed42d,
    0x37bffee0,0x3ffffe03,0xf700ffff,0xffffffff,0xffb81bff,0x222fffff,
    0x7007ffff,0x00007fff,0x30ffff88,0x2bffffff,0x2ffffffc,0x1002ff40,
    0xfffffffd,0x29ffffff,0xfffffff8,0x747fffff,0x3ee0001e,0x746fffff,
    0x03ffffff,0x2bfff700,0xfffffffe,0xfc87ffff,0xffffffff,0x3ff62004,
    0xfffbefff,0x3ffee04f,0x4fffcdff,0x3ffffffa,0xff104fff,0x7fc9ffff,
    0xff10ffff,0xffffffff,0xfffa8fff,0xffffffff,0x3ff201ff,0x00e04fff,
    0x3ff6a1c0,0x4000ceff,0xfffffffa,0x3ffffa0b,0x1fffffff,0x7fffffc4,
    0x0fffffff,0x7ffffff3,0x3fffffea,0xffffff12,0x8fffffff,0x360fffff,
    0x00ffffff,0xfffffff9,0x7ffec409,0x02cdefff,0xbfffffd3,0x03fffc81,
    0x001fff10,0xb02aa000,0x265dffff,0x00dffffe,0x4c001754,0xffffffdb,
    0x3f24ffff,0xffffffff,0x800004ff,0x2effffe9,0x6fffff5c,0x3b220000,
    0xffffffd1,0x30ffffff,0xfffffffd,0x5510003d,0xa9800035,0xffea8009,
    0x01efffff,0x87bffff6,0x644ffffc,0xffffffff,0x7ec44fff,0xffffffff,
    0x353002ef,0x55555700,0x55555555,0x00054c07,0x804d54c0,0xffffffea,
    0xff905fff,0xffffffff,0xffffd89f,0xffffb11e,0x7fffe41b,0x4fffffff,
    0x307fff5c,0x009ffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xceeeeedb,0x7764c01b,0x800ceeee,0xeeeeeec9,
    0x0000000c,0x3073bb6e,0x5c47bdd9,0xdeeeeeed,0x3b6e202c,0x01bceeee,
    0x7777764c,0x81b910ce,0x11ceeec8,0xa839ddd7,0x65cc2ccc,0x7776c1cc,
    0xeeeeeeee,0xddb714ee,0xdddddddd,0xabda80bd,0xddddb701,0x5c4017bd,
    0xeeeeeeed,0x3bb6a0bd,0x776d42de,0x776dc2de,0x02bceeee,0xdddddb71,
    0x7ddddddd,0x202f76d4,0x6d43deec,0x75c40dee,0x3260bdee,0x0ceeeeee,
    0x7776dc40,0x401bcdee,0xeeeeeeed,0x04eeeeee,0xddddddb7,0x00dddddd,
    0x000005d5,0x8ee00000,0x0ed402da,0xbdeecb88,0x3fee0198,0xffffffff,
    0xfffff01e,0xf00bffff,0xffffffff,0x01dfa80b,0x3fffe600,0x7ffff46f,
    0xfffff71f,0x3dffffff,0xffffff70,0x203dffff,0xffffffff,0xd8bff75f,
    0xf95fffff,0x7d4bffff,0x3fe24fff,0x7ff43fff,0xffffffff,0xfff75fff,
    0xffffffff,0x3fee0fff,0x7cc1ffff,0xffffffff,0x3ffff203,0x3fffffff,
    0xfffffff1,0x3ffffe21,0xffff30ff,0xdfffffff,0xfffffb83,0xffffffff,
    0xfffff14f,0x3fffe603,0xfffff11f,0xfffffc8b,0x3ffffe4f,0x5c05ffff,
    0xffffffff,0xfd00dfff,0xffffffff,0xf50bffff,0xffffffff,0xb00fffff,
    0x999500df,0x1cccb985,0x765440d9,0xfd2f40ac,0x79dfd97f,0xfff70dff,
    0x1fffffff,0x3ffffa60,0x2fffffff,0xffffffc8,0xffc802ff,0x03ffffff,
    0x0067ffec,0x7ffff440,0x77fffe44,0xfffffd30,0x1fffffff,0xfffffe98,
    0x82ffffff,0xfffffffc,0xa8bff33f,0xf53fffff,0x7d47ffff,0x7ffc4fff,
    0x7fff43ff,0xffffffff,0xfffd35ff,0xffffffff,0xffff30ff,0xffd03fff,
    0x03dfffff,0x7fffffd4,0x3a1effff,0x6c5fffff,0x746fffff,0xffffffff,
    0x3a60ffff,0xffffffff,0x3a4fffff,0xf905ffff,0x7ec1dfff,0x3ea2ffff,
    0x322fffff,0xffffffff,0x7fff4c03,0xffffffff,0xfffffd06,0xffffffff,
    0xdfffd10b,0xffffffff,0x805b300f,0x224ffffa,0xfd3fffff,0x3fffff20,
    0x64bf35ff,0xffffffff,0x7fec3fff,0xffffffff,0x4fff401f,0xfffdb999,
    0x37ff9300,0x7ff93000,0x3ffa6003,0xf70003ff,0xfff983ff,0x339ff502,
    0x09ffb733,0x26667ffa,0x300fffdb,0xf1037ff9,0x209ff305,0xfb882ffb,
    0x3ffc984f,0x7cccfff4,0x5ff999ef,0x4cce7fd4,0xc87fe999,0x01ec8aff,
    0x0aabbfe2,0xeff99880,0x3fff0099,0x1bfe6201,0x4ccf7fc4,0xa85ffeb9,
    0x99999cff,0x7ec4ffa9,0x7fc40fff,0xffd106ff,0x7fe881df,0x06fff260,
    0x339ff500,0x07fff933,0xff333ffd,0x0bff333d,0x67fd7fd4,0x007fe999,
    0x3fffea00,0x5fffffc4,0xfffd86f9,0xceffffff,0x7fffec1f,0x544fffff,
    0x9510bfff,0xfe805fff,0x813ffa07,0x20001ffb,0xb8001ffb,0x002fffff,
    0xf10effc8,0x7fcc09ff,0x20dff103,0x3ffa07fe,0x407fee04,0x07ff305c,
    0x7cc0bfea,0x87ff504f,0x237fc7fe,0x27fcc5ff,0xdff0ffd0,0xfffff000,
    0x001bdfff,0xffd00dff,0x2ffc4cc8,0x3e20dff0,0x1ffcc0ff,0xfd89ff30,
    0x7fdc4fff,0x3ffa06ff,0x07fe84ff,0x4000ffdc,0xff304ff9,0xff8ffd0b,
    0xf902ffc6,0xfe87ff5b,0x5c400007,0xffc984ff,0x7fec2ffe,0xfff511df,
    0x3bff70bf,0xff0fffa6,0x0ffec07f,0xe881ffa0,0x3ff700ff,0xfb800bb3,
    0x2013ee1f,0x1effffc8,0x477fec00,0x7cc05ffe,0x0dff103f,0xff881ffa,
    0x03ff700f,0x3fe601f3,0x205ff503,0xff504ff9,0x7fc7fe87,0x3e62ffc6,
    0x7e476a4f,0x001fff85,0x7ffffffc,0x7c01ffff,0x0ffd806f,0x3e25fff5,
    0x81bfe04f,0x7fcc1ffc,0x2ff876a3,0x07ffffec,0x40dfffff,0x41fffffe,
    0x7fdc07fe,0x4ff98001,0x3fa1bfe0,0x3fe37fc7,0x3eaffa05,0x01bf633f,
    0x13fe6000,0x20e7ffd4,0xf100fff8,0x3ffb05ff,0x3e25ff98,0x1be200ff,
    0xf901ffa0,0x3bfee05f,0x2e002fff,0x3fff11ff,0x3fff6600,0xfd1001df,
    0x801dffff,0xfda83ff9,0x80ffd04f,0xff702ffc,0xff980203,0x205ff503,
    0xff504ff9,0x7fc5fd87,0x3e627f46,0x0a97fa4f,0x4005ffb8,0xca999eff,
    0x7fc05ffe,0x91ffc806,0x3fe69fff,0x441bfe04,0x7fcc0fff,0x82997fa3,
    0x53ffcffd,0x40dffbff,0x46ffbffe,0x7fdc07fe,0x4ff98001,0xfb09ff90,
    0x7f46ff8b,0xf51ff304,0x5b39f97f,0xaaaaaaa8,0x982aaaaa,0x7ff504ff,
    0x9017fea0,0x0dff07ff,0x4ffa9ffe,0xffec8000,0x7d44eeef,0xffff703f,
    0x7dc001bf,0x001ffa1f,0x33ffffa6,0xffff8800,0xeff9800f,0xfffffeee,
    0xa80ffd00,0x3ff703ff,0xddff3000,0x5ffddddd,0x5413fe60,0x20e443ff,
    0x2064c6ff,0xffeefff9,0x3fffa806,0xf81bfe00,0x037fc07f,0xfff97fdc,
    0x407ff57f,0xffc886ff,0xeeeff986,0xffd806ff,0x3ffd7ff9,0xbff40dff,
    0x1ffa3ffe,0x0003ff70,0x75339ff3,0x9103fffd,0x64c6ff83,0x3eadf700,
    0xfb06ffef,0xffffffff,0xf989ffff,0x07ff504f,0xf3007ff6,0x81ffd0bf,
    0x3fea5ff8,0x7fd40004,0x0fffffff,0x3aa13fe6,0x8002ffff,0x02a21ffb,
    0xffffa800,0xfffb803f,0xffff3003,0x0bffffff,0x3e603ff4,0x03ff704f,
    0xfffff300,0x05ffffff,0x7d413fe6,0x7fccc03f,0x7fcc019e,0x406fffff,
    0xf0fffffa,0x81bfe0df,0x3fe01ffc,0xabffa806,0xfbafffff,0x33ffe02f,
    0x2ffffecc,0xffffff98,0xb7fd806f,0x3edff9ff,0x4dffa06f,0x0ffd0fff,
    0x8001ffb8,0xfffffff9,0x7c002fff,0xa7ec006f,0x06fffffa,0xfffffff9,
    0x89ffffff,0xff504ff9,0x007ff207,0xff909ff3,0x8fff6219,0x0000fff8,
    0x7fffffec,0x327fcc4f,0x019ffffb,0x1ffb8026,0xf7000260,0x9805ffff,
    0x801fffff,0xfffffff9,0xfd05ffff,0x04ff980f,0x04c03ff7,0x7fffffcc,
    0x102fffff,0xffd50dff,0x3fffea07,0x301fffff,0xdfffffff,0x7f7ffcc0,
    0x82fffadf,0x1ffa06ff,0xf300dff0,0xff9ff99f,0x7c03ff99,0xffffffff,
    0xffff302f,0xfb00dfff,0x3ffffe6f,0x7f40dff2,0x7f57ff27,0x00ffdc07,
    0xffff3013,0x003fffff,0x4400dff0,0xfffcacff,0x2aaa06ff,0xaaaaaaaa,
    0x04ff982a,0x3ea07ff5,0x17fec05f,0x7effffdc,0x7ff43fff,0x201f5403,
    0x7fd407fe,0xffffff53,0xb81bea03,0x0ff501ff,0x3ffffea0,0xeffe8803,
    0x7cc00eff,0x7fe5443f,0x407fe84f,0xff702ffb,0x261fea03,0x5ff503ff,
    0x656ffec0,0x83effffe,0xfffffffc,0x9ff303ff,0xfb8237f4,0xfffffd3f,
    0x221bfe0b,0x7fc05ffc,0xfdff8806,0xfdfff8ff,0x3fffe00f,0x200dffff,
    0x17fa3ff9,0xffe9ff60,0xe81bfe6f,0x757ff47f,0x0ffdc07f,0xff987fa8,
    0x4fffdcce,0x006ff800,0x3fffffea,0x0005fdbf,0x437fc400,0xf103ffea,
    0xfb8817ff,0x7ffd40ff,0xffffffff,0x33bffea2,0x6ffecbaa,0x3203ff40,
    0xbdff71ff,0x3ff203ff,0x203ff700,0x3a600ffc,0x000cffff,0x3ff6dffb,
    0x01ffcc05,0xffd0dff3,0x701ffc80,0x3ff203ff,0xa81ffcc0,0x3fea02ff,
    0xffffffff,0x665c40ff,0x00bccfff,0x1fdc9ff3,0x99ff63fd,0x3e07ffff,
    0xffffffff,0x37fc01ff,0x4fffff80,0x80fffff9,0x00999eff,0x7dc7ff30,
    0x2a7fd802,0x1bfe3fff,0x7fd47fe8,0x7dc07fef,0x81ff901f,0x7fe44ff9,
    0x37fc004f,0xfffffb00,0x221717ff,0xff000001,0xfffd95bf,0x3fee07df,
    0xfffdbdff,0xddfff83f,0x6ffddfff,0x7fffffdc,0x401fffff,0x3fe607fe,
    0x3ee7910f,0x01ff901f,0x7e407fee,0xfffd981f,0x3f2001df,0x9ffd10ff,
    0x201ffcc0,0x3ff40ffd,0x5c0fff30,0x3ff901ff,0xf503ff98,0xfffc805f,
    0x4fffccef,0x3006ff80,0x7fc409ff,0x7dc3ffb4,0x3ffe04ff,0x0dffffff,
    0xd006ff80,0x3ea5ffff,0x7fc06fff,0x7ff30006,0xd1ff6000,0x037fc1ff,
    0xfffb0ffd,0x1ffb80ff,0xf983ff90,0x2fffa84f,0x801bfe00,0x0ffea2ff,
    0x000007fe,0x3fffffee,0x00ffffff,0xfffffff5,0x13f205ff,0xda83fc83,
    0xdfffffff,0x887fe801,0x2e03fffa,0x1ff901ff,0x6407fee0,0x3ff221ff,
    0x5c001eff,0x7fcc1fff,0x07ff303f,0x7f43ffcc,0x3fffa887,0x6407fee0,
    0x1ffcc1ff,0x8802ffa8,0x03bee0aa,0x98037fc0,0x3fe604ff,0xb79dff94,
    0x3e09dfff,0x009aaaef,0xd8037fc0,0x7ffc7fff,0x037fc05f,0x003ff980,
    0x3e00ffb0,0x21ffa06f,0x407ffff8,0xff901ffb,0x704ff983,0x3e001fff,
    0x1ff3006f,0x3e61ffd4,0x0175403f,0x3bfffee0,0x404fffcc,0xdfffffd9,
    0x10000001,0x00135553,0xdddfff91,0x50dfffff,0xdddffddb,0x41fffddd,
    0xeeffeeda,0x1fffeeee,0x05fffff5,0xffffd880,0x6ffffdc3,0xddffd910,
    0xffffdddd,0x77ffe44b,0x5fffffee,0xeffeeda8,0xfffeeeee,0x37bffb21,
    0x9dffd911,0x553ee000,0x7ff76cc1,0x6440ceef,0xeeeefffe,0xd14ffeee,
    0xffffffff,0x7fedc5ff,0x200ceeef,0xfffeeec8,0xfc80ceee,0x7ffe45ff,
    0xdfffb704,0x644019dd,0x3deeeffe,0x77ffe440,0x7ff6cc1d,0x3ff220cf,
    0x3fea1def,0xfeeda87f,0xfeeeeeef,0xffd911ff,0xdffb09dd,0xffdd9109,
    0xdb019ddf,0xffdb5bff,0x9ffddddd,0x0006fd80,0x20000153,0x000001a9,
    0x7dc00000,0xffffffff,0xfff80dff,0xffffffff,0x3fe0ffff,0xffffffff,
    0xfb1fffff,0x320007ff,0x10ffffff,0x29ffffff,0xfffffffb,0x0effffff,
    0x3fffffee,0x80dfffff,0xffffffff,0x1fffffff,0xbffffff3,0x3ffffff2,
    0xfff88002,0x7fffe45f,0x5c3fffff,0xffffffff,0x24ffffff,0xdfffffd8,
    0xfff30dff,0x07ffffff,0x7fffffe4,0xb83fffff,0x7fd42fff,0xffff983f,
    0x203fffff,0xfffffffb,0x3fea01ff,0x7ec6ffff,0x2e3fffff,0x45ffffff,
    0xfff87ffd,0xffffffff,0xff71ffff,0x885fffff,0x7e42ffff,0xffffffff,
    0x7ffffdc3,0xffffffff,0x4c04ffff,0x0000002d,0x00000000,0x6c400000,
    0xdeffffff,0x3ffae02c,0xffffffff,0x3fae0fff,0xffffffff,0x9d31ffff,
    0x7f4c0001,0x7fe44fff,0xffd31eff,0xdfffffff,0xfffb105b,0x037bdfff,
    0x7fffff5c,0xffffffff,0x3bffff61,0xbffffd32,0x3b260001,0x7fff4c0d,
    0x441effff,0xfffffffd,0x84ffffff,0x6c009a98,0xdfffffff,0x3fffa600,
    0x1effffff,0xf80fffa8,0xfffb03ff,0x401bffff,0xffffffe9,0x7fec405f,
    0x7f543eff,0x3a60dfff,0x442effff,0xffeb87ff,0xffffffff,0xffb11fff,
    0xf501bfff,0xffe981bf,0x41efffff,0xeaefffe8,0xffffffff,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5e76e540,0x1cdb8801,0x9805eed4,0x65cc2ccc,0x654401cc,0xba800ace,
    0x001cdeed,0x559ddd95,0x37b6e203,0x003376a2,0x2a200ed4,0x3b2a3ccc,
    0xbccb880c,0x15997301,0x79999710,0xcccca880,0x5e6664c1,0x85e65cc0,
    0x81bccca8,0xdc8acca8,0x332203de,0xcccccccc,0x3332a21c,0x056664c1,
    0x3b2332e6,0x017bb70d,0x2c885a80,0x009d03d5,0x16440326,0x00310030,
    0xaaa98028,0xaaaaaaaa,0xab882aaa,0x33333100,0x01333333,0x33000988,
    0x03ddd300,0xdb300000,0x8016c007,0x7ff4c05a,0x204fffff,0x93fffff9,
    0xa81dffff,0x3e24ffff,0x3203ffff,0x4fffffff,0xffffff10,0x74407fff,
    0xffffffff,0x7fffe40f,0xffffccff,0x05fe800e,0x477fffec,0x43fffffd,
    0x40fffffe,0x86fffff9,0x06ffffff,0x7ffffff4,0xffffff52,0x7ffffc4d,
    0xffffff97,0xfefffd81,0x80efffff,0xfffffff9,0x3f62ffff,0xff52ffff,
    0x7fcc9fff,0xefffffff,0x000fffff,0x2fe88df7,0xdfc85ff3,0x2077fc00,
    0x7ed47fe8,0x7f4c0dff,0x7dc00cff,0x3fffea02,0xffffffff,0x3f666fff,
    0x3fa21fff,0xffffffff,0x4c0effff,0x881efffe,0x00dffffd,0x7fccdff9,
    0x81fff51f,0xfffb01e8,0x22fcc1bf,0x37e404fe,0xffffff30,0xd10bffff,
    0xfdffffff,0xa8dfffff,0x7fc4ffff,0xffb03fff,0xbfffffff,0xffffff30,
    0x3205ffff,0xffffffff,0x7ffec2ff,0xffffffff,0x6ff806ff,0x7ffffe40,
    0x7fffffff,0x07fffff4,0x17ffffe2,0x1bfffffa,0xffffffb0,0x3ffffe63,
    0x3fffe26f,0xfffff56f,0xffffd81f,0x4fffffff,0xffffff98,0x322fffff,
    0xf31fffff,0x7cc9ffff,0xffffffff,0x04ffffff,0x3e60efd8,0x21ffd44f,
    0x3fa00efd,0xdffd10ef,0x5fcacff8,0x3f6affe2,0x07ffea04,0x7fffffd4,
    0xffffffff,0x3fbffe6f,0xffff50ff,0xffffffff,0x7fd43fff,0x442ffdbd,
    0x04fcabcd,0x7fc45ffd,0x50fff30f,0xffffb07f,0xfff31dff,0x206ff441,
    0xf100efe8,0x2e615bff,0x7fec3fff,0xfffffc8e,0x443ffe8a,0xfc984ffb,
    0xdfffd83f,0x0bfff512,0x7dc43575,0xaeff884f,0x307ffaa0,0x3ffea359,
    0x42ffe89f,0x199bfe0a,0xfffffa88,0xf709d52e,0xc8af6c9f,0x2aa603ff,
    0xfd9806ff,0x7fec40cf,0x4dff301d,0x009dffe8,0x215ffff5,0xff987fe9,
    0xfffdaaad,0x1ffff985,0x103dfff3,0x3fe3dffb,0x06ff88ef,0xfa83ffa2,
    0x89ff504f,0xfd101ffd,0x1dffd3df,0x3e67f808,0xff983fc2,0x55100fff,
    0x55555555,0x3eadff55,0x5c9ff10e,0xeeeeeeed,0x743deeee,0x303fcc1f,
    0xff10ff55,0x7c4fff0d,0x22ffa86f,0xfe88eff8,0x904fffff,0x404fe8df,
    0x3ea06ffc,0x91bfe0ff,0x7fcc9fff,0x504ff986,0xfff887ff,0x01fff100,
    0x0dff0998,0x8813dff1,0xff89804e,0xb9bfe64f,0xceffceff,0xfff02ffe,
    0x7fcc00bf,0x363fff35,0xdff001ff,0x21ffe200,0x7c00fff8,0x07fff56f,
    0x703dff30,0x43ff03ff,0x2205fffa,0xfffcfffe,0x87ff600e,0x1ffa0ffd,
    0xf70fff4c,0xdffa809f,0x440bffa0,0x0efffffe,0x017fb2a0,0xffd10df7,
    0x0001dfff,0x1fedbfe0,0x000017f2,0x83f60bf1,0x7fffffd8,0xfe82ffa8,
    0x2aa2ffc6,0x1076c6fd,0x80bffffb,0x7401ec5b,0xcccccdff,0xf31ffecc,
    0xdfff989f,0x40fffccc,0xff504ff9,0x405ffa87,0xfeb82ffc,0x06ffffff,
    0x7bdffffb,0x7ff64405,0xcccdffff,0xfff70fff,0xffffffff,0x00fffe05,
    0x7fe5ffe0,0x400fff4f,0x3f2006ff,0x027fdc3f,0x7ffef7fc,0x09ff3001,
    0x8660ffea,0x8804fffa,0x05fffffd,0x3f60ffd8,0x7d43ff47,0x17ff61ff,
    0x8877fdc0,0xfd104ffe,0xfd801dff,0x3ff202ff,0xe8effe81,0xf00005ff,
    0xfb13f2df,0xdd000009,0x59fb1ba0,0xbf90ff53,0x9fd17f60,0x037f7fcc,
    0x0005bb70,0xfffff800,0xffffffff,0xf05ff73f,0xffffffff,0x04ff983f,
    0xffc87ff5,0x12ffcc01,0xfffffffd,0x3fa20dff,0x0dffffff,0x7fffffd4,
    0xffffffff,0x3ff6a1ff,0x02dfffff,0x6c001bfe,0xfffff9ff,0x3e005ff9,
    0x3fe2006f,0x4007ffc7,0x4fffffff,0x209ff300,0x7d403ffa,0x7f4004ff,
    0xffb006ff,0x3fa3fec1,0x11fffb87,0x3600bffd,0xfff30dff,0x3fffa205,
    0xffb8800e,0x4077ec40,0xff10effc,0xff00009f,0x2e2ffe6d,0x3bb6e0ff,
    0xeeeeeeee,0x96fdc3de,0x3be22fda,0xf81ff930,0xd87f901f,0x0efedc3f,
    0x83930000,0x3fe001c9,0xffffffff,0xff74ffff,0xfffff887,0x4c1fffff,
    0x7ff504ff,0x4c01ffc8,0xfffd14ff,0xdffdd9bf,0xffedba80,0xfff31fff,
    0xffffd9df,0x03ffffff,0x01fffff1,0x2000dff0,0xffffeffb,0x2003ffdf,
    0x7e4006ff,0x009ff73f,0x3ff3fffe,0x7fcc00ef,0x407ff504,0x2004fffa,
    0x5fffffd8,0x360ffd80,0x983ff47f,0x3ff21fff,0x327fec05,0x3a203dff,
    0x00efffff,0x7fd45fb0,0x83fff504,0x0002fff9,0xfffd37fc,0x7ffd4bff,
    0xffffffff,0x7ec2ffff,0xfc85ffff,0x2fffffff,0x17d40bf1,0x000007ee,
    0x7f46fe80,0x2fff6005,0x99999999,0x8bff5099,0x999afffa,0x4ff98199,
    0xfa87ff50,0x97fec05f,0xff01effb,0x2603930d,0xbff74ffd,0x3335fff0,
    0x3ff60333,0xff804fff,0xfff30006,0xfffff7ff,0x037fc003,0x3e3bfe60,
    0xfff000ff,0x013ffea1,0x3ea09ff3,0x9fff503f,0xffd10188,0x01dfff9f,
    0xffb07fec,0x36207fe8,0x17fea1ff,0xff517fec,0x3ffa201b,0x20effe9e,
    0xffba9bc9,0x755bff90,0xa817fe47,0x7c0003ff,0x177f545f,0x3fffff62,
    0xffffffff,0x2ccca80d,0x2a732e60,0x3220142a,0x00002440,0xfb13f200,
    0x7ffdc009,0xff10cc00,0x3fffa23f,0xff880984,0x43ffea86,0x440bfff8,
    0xffb0fffb,0x0dff9105,0x3e201dfb,0x989ff56f,0x80985fff,0xfff9fffa,
    0x0037fc01,0x3adffff0,0x7c007fff,0xffd8006f,0x3e005ffe,0x0fffcc6f,
    0x2a09ff30,0xfffa83ff,0x74c3fe84,0xfff31eff,0x83ff603d,0x03ff47fd,
    0xfd30ffe4,0x2a0efd8b,0x7ff403ff,0x4dffd10e,0x2ffffff9,0x3ffffff6,
    0xa805710f,0x75c0000b,0x00000101,0x00000000,0x00000000,0x00020100,
    0x2b3bfff6,0x22fffedb,0xffecfffb,0xffdbdfff,0xacfff80f,0x3effffec,
    0x5effffdc,0x2e3ffffd,0xfdcaceff,0x3a3dffff,0xdcabdfff,0x3ffe5fff,
    0xfffffdbd,0x40fffdbd,0xbff52ffd,0xfffeec88,0x801deeee,0xff53fffd,
    0x776dc0df,0xdeeefffe,0x7fffcc02,0xffdb801f,0x3fff23df,0x3ffae0ce,
    0x3ffaa0df,0x3fffea3e,0x5ffeeeee,0x437ffff2,0x44ffffe8,0xfb1dfffc,
    0x33ffa3bf,0x2237d400,0xd09f53fd,0xeff8803f,0x443ff440,0x4cc409aa,
    0x00019999,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffa200,
    0xffffffff,0x7fffff42,0xffffffcf,0xfffb81ff,0xffffffff,0x7fffd40f,
    0x442fffff,0xfffffffe,0xd0ffffff,0xffffffff,0x7fd41dff,0xffffffff,
    0x40ffffff,0x217e43fa,0xfffffffa,0xb805ffff,0x3ffe0fff,0xfffff104,
    0xffffffff,0x0bfffb00,0xffffff10,0x3fffa21f,0xfffff14f,0x7ffffc9f,
    0xfffff90f,0x2bffffff,0x3ffffff9,0x5ffffff7,0x57ffffea,0xffd4fffd,
    0x2031007f,0x0044060a,0x37100ca8,0x54400000,0xaaaaaaaa,0x5554c0aa,
    0xaaaaaaaa,0xb881aaaa,0xcccccccc,0xbccccccc,0x00000001,0x00000000,
    0x00000000,0x3fffffee,0xffb02dff,0x3ffea3ff,0x3ee01dff,0xffcdffff,
    0xfffb304f,0x36205bff,0xfbefffff,0x37ea4fff,0xbfffffff,0xfffffa80,
    0xffffecec,0xd880001d,0xffffffff,0xff9801ef,0x9017fe45,0xffffffff,
    0xf3009fff,0x3f2003ff,0x7d44ffff,0x3ff61eff,0x3ff21eff,0x3fff24ff,
    0xffffffff,0x37ffff65,0xbffffb10,0x3bfff621,0x3a3dffb2,0x00001eff,
    0x00000000,0xff500000,0xffffffff,0x7ffff45f,0xffffffff,0x7c6fffff,
    0xffffffff,0xffffffff,0x0000007f,0x00000000,0x00000000,0x09aaa880,
    0x51035100,0x9a980015,0x06a60000,0x01aaa880,0x03555300,0x54c06a60,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0xffffffff,0x3ffa2fff,0xffffffff,0x7fffffff,
    0x7fffffec,0xffffffff,0x00006fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,0x99999999,
    0x2eea2099,0xbbbbbbbb,0x80abbbbb,0x99999998,0x99999999,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_32_latin_ext_x[560]={ 0,6,3,1,2,2,3,6,7,3,2,1,5,2,
6,2,2,2,1,1,2,1,2,2,2,2,6,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,5,1,-1,1,0,0,2,0,0,1,
2,0,1,-1,0,1,-1,0,1,2,2,0,0,-1,0,0,2,4,7,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,1,0,
7,1,4,-1,3,0,-1,2,-1,-2,4,1,4,4,5,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,2,1,2,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_32_latin_ext_y[560]={ 23,4,5,3,3,5,7,5,4,4,5,6,19,13,
19,3,4,4,4,4,5,5,4,5,4,4,10,10,6,10,6,5,4,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,3,5,4,28,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,23,10,3,5,8,6,
5,5,5,6,4,11,13,13,6,1,2,3,4,4,4,10,5,12,21,4,4,11,4,4,4,10,-1,-1,0,1,
0,-1,6,5,-1,-1,0,0,-1,-1,0,0,6,1,-1,-1,0,1,0,9,4,-1,-1,0,0,-1,6,5,4,4,
4,5,5,3,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
1,6,0,4,6,10,-1,4,0,4,0,4,0,4,0,5,6,5,1,6,0,4,0,4,6,10,0,4,0,4,
0,4,0,4,5,3,0,0,6,5,1,5,1,6,0,4,6,5,0,10,6,5,0,4,6,5,10,-1,-1,6,
5,6,5,6,5,6,5,-1,4,6,10,0,4,5,5,10,1,6,0,4,-1,4,6,10,-1,4,6,10,0,4,
-1,4,0,4,5,10,0,4,6,6,0,5,6,6,1,5,1,6,0,4,-1,3,-1,4,6,10,0,4,0,4,
0,-1,4,0,4,0,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,9,5,5,5,5,5,5,5,5,5,5,5,5,5,2,9,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,0,4,0,
4,0,4,-1,1,-1,0,-1,0,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-6,-2,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_bold_32_latin_ext_w[560]={ 0,5,11,15,13,13,13,5,7,7,13,15,7,13,
5,13,13,13,14,15,13,15,14,13,13,14,5,7,17,17,17,13,13,19,17,16,16,16,16,17,17,13,17,18,
17,19,18,17,16,17,18,15,15,17,19,19,17,17,13,7,13,7,13,21,7,16,18,16,18,16,15,17,17,15,
11,17,15,19,17,15,18,18,16,13,15,17,18,19,17,17,13,9,3,9,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,16,14,17,
3,15,9,19,11,16,17,13,19,21,9,15,9,9,7,17,15,5,7,9,11,16,17,20,17,13,19,19,19,19,
19,19,19,16,16,16,16,16,13,13,13,13,17,18,17,17,17,17,17,13,17,17,17,17,17,17,16,16,16,16,
16,16,16,16,19,16,16,16,16,16,15,15,15,15,15,17,15,15,15,15,15,15,17,17,17,17,17,17,18,17,
19,16,19,16,20,17,16,16,16,16,16,16,16,16,16,20,17,18,16,16,16,16,16,16,17,16,16,16,17,17,
17,17,17,17,17,17,17,17,17,17,13,15,13,15,13,15,13,15,13,15,17,17,17,11,18,17,17,17,15,17,
15,17,15,17,15,17,15,18,17,18,17,18,17,18,16,14,17,15,17,15,17,15,19,19,18,16,18,16,18,16,
15,13,15,13,15,13,15,13,15,15,15,17,15,16,17,17,17,17,17,17,17,17,17,17,17,17,19,19,17,17,
17,13,13,13,13,13,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,19,16,15,15,15,15,15,15,15,15,15,15,15,15,15,20,19,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,16,13,15,17,
15,17,17,17,17,17,17,17,17,17,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,19,16,19,19,17,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_bold_32_latin_ext_h[560]={ 0,20,9,23,24,19,17,10,24,24,13,17,9,4,
5,24,20,19,19,20,18,19,20,19,20,20,14,16,17,10,17,19,22,17,17,19,17,17,17,19,17,17,18,17,
17,17,17,19,17,23,17,19,17,18,17,17,17,17,17,23,24,23,10,4,5,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,23,23,23,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,19,21,18,14,17,
23,21,4,18,9,12,10,4,18,4,10,20,11,11,5,19,21,5,8,11,9,12,19,19,19,19,24,24,23,22,
23,24,17,24,24,24,23,23,24,24,23,23,17,22,25,25,24,23,24,12,22,25,25,24,24,24,17,19,20,20,
20,19,19,21,14,19,20,20,20,19,19,19,19,18,19,18,20,20,20,19,19,16,17,20,20,20,19,25,24,24,
22,18,23,20,21,17,25,20,24,20,24,20,24,20,23,19,17,19,22,18,23,20,23,20,21,18,23,20,24,25,
24,25,24,25,24,26,23,23,17,18,22,18,22,17,23,19,21,22,23,13,18,24,24,25,23,24,13,24,24,23,
24,17,18,17,18,17,18,24,19,23,19,23,19,18,19,19,23,18,24,20,25,20,17,14,24,19,23,19,23,19,
25,20,24,20,24,19,24,20,25,25,23,19,17,18,23,19,23,18,24,20,25,21,25,20,21,17,23,19,23,25,
23,24,19,23,19,23,19,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,19,18,18,23,18,18,18,
18,18,18,18,18,18,18,18,18,18,19,15,18,18,18,18,18,18,18,18,18,18,18,18,18,22,15,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,20,23,19,24,
20,24,20,25,23,25,24,25,24,25,25,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,26,24,20,27,22,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__courier_bold_32_latin_ext_s[560]={ 511,505,457,489,189,123,213,506,107,115,123,
366,449,365,502,105,34,454,368,325,497,287,310,406,455,170,506,500,456,407,55,
468,495,436,91,239,109,196,295,105,144,244,137,291,351,312,332,221,278,211,369,
1,388,103,310,258,73,488,474,320,215,246,365,379,493,72,252,492,177,1,171,
70,203,221,234,237,187,277,227,56,215,196,137,89,155,38,190,154,259,234,245,
358,300,368,477,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,511,500,93,
86,477,255,248,107,493,477,437,297,379,365,405,401,397,1,355,345,501,88,208,
506,469,502,425,314,159,138,120,106,332,169,41,17,1,71,404,119,152,203,81,
116,220,246,150,164,273,444,92,218,260,302,278,331,75,254,146,314,352,404,227,
88,322,65,48,18,1,141,103,303,82,99,289,389,373,357,420,70,436,52,273,
257,241,452,172,424,418,152,134,116,482,182,422,475,424,1,21,483,224,330,272,
438,493,407,17,17,52,341,254,67,1,51,58,388,133,374,285,245,158,305,229,
276,370,355,19,373,37,74,141,56,392,328,348,370,463,271,410,402,346,320,194,
1,271,174,287,123,159,325,178,34,209,457,441,98,388,126,338,37,322,19,354,
88,436,415,418,378,383,425,351,336,304,444,177,391,337,358,382,18,69,204,452,
155,229,401,391,262,136,469,55,35,1,424,441,425,342,49,180,460,397,137,434,
18,296,185,407,176,289,339,123,162,322,468,471,307,282,91,17,268,256,378,488,
36,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,270,121,121,252,
121,121,121,121,121,121,121,121,121,121,121,121,121,31,460,121,121,121,121,121,
121,121,121,121,121,121,121,121,37,440,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,61,293,
197,188,1,306,457,223,236,360,200,475,164,493,128,110,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,1,39,195,203,21,477,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121, };
static unsigned short stb__courier_bold_32_latin_ext_t[560]={ 1,56,226,56,31,149,208,189,56,56,226,
189,226,237,161,31,128,149,149,105,169,149,105,128,105,128,105,128,189,226,208,
128,80,189,208,149,208,208,208,149,208,208,189,189,208,208,208,149,208,81,208,
169,208,189,189,208,208,189,189,80,56,80,226,237,226,226,169,208,169,226,189,
169,189,189,31,189,189,226,226,226,169,169,226,226,189,226,226,226,226,169,226,
56,56,56,226,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,1,105,105,
189,208,189,56,105,232,169,226,226,226,237,169,237,226,128,226,226,226,169,105,
200,226,149,226,226,169,169,169,169,31,31,81,105,81,31,208,31,31,31,81,
81,31,31,81,81,189,80,1,1,31,80,31,226,105,1,1,31,31,31,208,
149,128,128,128,149,149,105,226,149,128,128,128,128,128,128,128,189,128,189,128,
128,128,128,149,208,189,128,128,128,128,1,31,31,80,189,81,105,105,189,1,
105,31,105,56,128,56,105,80,149,208,169,105,169,81,105,80,105,105,169,80,
105,31,1,31,1,31,1,56,1,80,80,189,169,80,169,80,189,80,149,105,
105,80,226,169,56,56,1,81,56,226,31,31,81,31,208,169,208,169,208,169,
56,149,56,149,56,149,169,149,149,56,169,56,105,1,105,189,226,56,149,56,
149,56,149,1,105,31,105,31,149,56,105,1,1,56,149,208,169,56,149,56,
189,31,128,1,105,1,128,105,208,56,149,56,1,56,31,169,56,149,80,149,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,149,189,189,56,
189,189,189,189,189,189,189,189,189,189,189,189,189,169,208,189,189,189,189,189,
189,189,189,189,189,189,189,189,105,208,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,81,105,
81,149,31,128,1,128,1,80,1,1,1,1,1,1,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,1,1,56,128,1,80,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189, };
static unsigned short stb__courier_bold_32_latin_ext_a[560]={ 271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_32_latin_ext(stb_fontchar font[STB_FONT_courier_bold_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_32_latin_ext_s[i] + stb__courier_bold_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_32_latin_ext_t[i] + stb__courier_bold_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_32_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_32_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_32_latin_ext_x[i] + stb__courier_bold_32_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_32_latin_ext_y[i] + stb__courier_bold_32_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_32_latin_ext_s[i] + stb__courier_bold_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_32_latin_ext_t[i] + stb__courier_bold_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_32_latin_ext_x[i] + stb__courier_bold_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_32_latin_ext_y[i] + stb__courier_bold_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_32_latin_ext_LINE_SPACING
#endif

