// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT        265
#define STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_33_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_33_latin_ext_LINE_SPACING          16

static unsigned int stb__courier_bold_33_latin_ext_pixels[]={
    0x0001c400,0xa8000030,0x0980001e,0x00000000,0x00000001,0x00000000,
    0x80000010,0x00100000,0x20004020,0x09999999,0x01aaa800,0x500002a2,
    0x35550355,0x44000800,0x10002aaa,0x33333333,0x00333333,0x4c0006e2,
    0x20005102,0x0530001a,0x220000a2,0x0171000b,0x8054006a,0x2053001a,
    0x7d400038,0x6b80000f,0x3fee0000,0x27e40001,0x004e9800,0x4002fc80,
    0xe98003fa,0x03f30004,0x4f8800fa,0x12fb8000,0x980001f9,0x3fe2003f,
    0xd801ff42,0xffffffff,0x27ff4001,0x8000bf90,0xffe83fff,0x7ffb1004,
    0x3ffffe00,0xfffe8000,0xffffffff,0xfd801fff,0xdfd8001f,0x8007fea0,
    0x8004ffd8,0x3fea0dfd,0x3fa60001,0x309f3002,0x5ff3009f,0xd802fec4,
    0x001fc80f,0x0007ff70,0x00003f30,0x80007ff6,0x8000efd8,0x001efffc,
    0x000efd88,0x01bfffb1,0x07bfff20,0xf90df100,0x0dfa8005,0x37f62000,
    0x5c0002ff,0x7fcc005f,0x0017fe24,0xffe80000,0x001ffa04,0xfd07fff0,
    0x2372009f,0x7fc400fa,0xe8000fff,0xffffffff,0x01ffffff,0x8003fff8,
    0xffdaffe8,0x3bfea004,0x22001eff,0x4ffdaffe,0x13fea000,0x5137fd00,
    0x3ee001fd,0x00effbdf,0x9315df30,0x3f2000bf,0xbb00001f,0xdfb00001,
    0x7f440001,0x7f4c000d,0x004ffdaf,0x4003bfa2,0xffeaeffa,0x2bffa602,
    0x64004ffd,0x06fecdff,0x97a61710,0x50a88029,0x200a61bf,0x4c7f30b8,
    0xb81b7002,0x2053000d,0xccb80028,0x001ffa02,0x97059990,0xe8ba0059,
    0xffea8803,0xcffe8000,0xcccffecc,0xfb801ffe,0x3f20000d,0x2a001eff,
    0x3ffb14ff,0xefffc800,0x3fee0001,0xfff98003,0x4c003fff,0x8004fffe,
    0x1ffffffc,0x00ef8800,0x03ffe000,0x00099000,0x20009f90,0x3fea0dfd,
    0x009fd001,0x7fdc4ff8,0x541bfb00,0x2e2001ff,0x001cfffe,0xf8844bfb,
    0x127f401f,0x7ec02ff8,0x01ff8865,0x3fe00000,0x0003fe82,0x000ffd00,
    0xb9000000,0x6c001f73,0xfe8000ff,0xc83ff60f,0x000001ff,0x400274c0,
    0x02ea82ea,0x0004e980,0x40001ff8,0x0000adc9,0x880007b2,0x40001cdb,
    0x20000088,0x00000ffe,0x2200b220,0x40660001,0x00aa0028,0x01440660,
    0x000a2033,0xfb800188,0x801fd103,0x07fa02fc,0x3a207f70,0x0000000f,
    0x0bf607f6,0xffda8000,0xefffffff,0x00000004,0x8007dfb1,0x00620ffd,
    0xffd83ffa,0x1007ff20,0x00000133,0x00000000,0x40840000,0x00000000,
    0x00000402,0x27fe4000,0x00a88000,0x5665cc00,0x0003ffa0,0x80000000,
    0x00002db8,0x004cc400,0x00266200,0x10000040,0x00200100,0x7dffd900,
    0x2dfffd98,0x64008020,0xfffffffe,0xfffffb2f,0x3fffffff,0xfffffd90,
    0xffffffb3,0x0002005f,0x7fe4ffec,0xfd80ceff,0xf907fec7,0x3ffaa03f,
    0xefff9dff,0xabcb9804,0xcba88000,0x4cc010ac,0x99998099,0xd0bfe200,
    0xba88007f,0x88010acc,0x01ff42ff,0x26026666,0xd5000999,0x80005f33,
    0x26000098,0xcffffffe,0x7f646ffd,0x7fecc3ef,0x3ffb22df,0x7ffecc3e,
    0x3efba02d,0xfffec804,0x502fffff,0xf3bffffd,0x75409dff,0xff9dffff,
    0x999984ef,0x00999980,0x33013333,0x26660133,0x09999809,0x3fffffcc,
    0x1bfffff2,0x33013333,0xfff98133,0x2fffffff,0xffffffd5,0xf10bffff,
    0xf9ffffff,0x5fffffff,0x98099998,0x3f600999,0xffffffff,0x22fdc1ef,
    0x1fea0ffd,0x7fffffec,0x1fffffff,0xfffffd30,0x3fa2007f,0xfeffffff,
    0x7ffffd45,0xfffff35f,0x93fe60df,0xd1005ff8,0xdfffffff,0x27fcc0bf,
    0x3ea0bff1,0xf35fffff,0x00dfffff,0x8002649b,0x9befffea,0xf704efff,
    0xffffffff,0x7fcc3fff,0x7fe47fff,0xfff36fff,0xfffc8fff,0x54f306ff,
    0x7fffcc07,0x82ffffff,0xfffffffd,0x81ffffff,0xfffffffd,0x51ffffff,
    0x2bffffff,0x6ffffff9,0x3fffffea,0xffffff35,0x7ffffd4d,0xfffff35f,
    0xffffd8df,0x7ffff4c4,0xffffff53,0x3ffffe6b,0x7fffec6f,0xe82fffff,
    0xffc8007f,0xffe9ffff,0xf52fffff,0x26bfffff,0x06ffffff,0xbffffffb,
    0x183fffff,0x04c0ffd8,0x76ffffe4,0x4fffffff,0xffffff70,0x4c01bfff,
    0xffffffff,0x7fdc7fff,0xff56ffff,0x201fffff,0x006dc0db,0x7fffffcc,
    0x407fffff,0x806dc0db,0x6ffffffb,0xfffffff5,0xfa9ea801,0xfffd8001,
    0xffffffff,0x7ffcc1ff,0xfffdb9be,0xffffd83f,0x7ffff4c4,0x13ffff63,
    0x07ffffd3,0x4035c3e2,0xfffffffd,0x7ffe42ff,0xfffffedf,0xfffc84ff,
    0xfffffedf,0x3ffee4ff,0xfff56fff,0x3ee1ffff,0xf56fffff,0x21ffffff,
    0x6ffffffb,0xfffffff5,0x104ffd81,0x7fdc1fff,0xff56ffff,0x001fffff,
    0x3fa0bfee,0x7ff80007,0x7dcbfee0,0xf56fffff,0x01ffffff,0xa83bfffb,
    0xfd806ffd,0xfff9800f,0x3fff660c,0x3bffe606,0x6fffca9b,0x79dfff30,
    0x1ffff953,0x667ffdc4,0x37ffb2e1,0x26000001,0xa9bcefff,0x000ffffc,
    0xfffb8800,0x3fb2e1cc,0xff9001df,0xfff90009,0xfffffdbf,0xbffd0bff,
    0x09ffff10,0x7c413ff6,0x4ffd80ff,0x801fff10,0x0002fefd,0xff317fdc,
    0x7fecc19f,0x9fff306f,0x37ffecc1,0x667ffdc4,0x37ffb2e1,0x33ffee21,
    0x3ffb2e1c,0x3ffee21d,0x3fb2e1cc,0xfff881df,0x444ffc80,0x21ccfffb,
    0x01dffecb,0x3a0bfee0,0xff80007f,0x44bfee07,0x21ccfffb,0x01dffecb,
    0x7c40dffb,0x7fec00ff,0x05ffc800,0x7441bffa,0xfff305ff,0x40bffd07,
    0xffd07ff8,0x002ffb80,0x2fff4000,0x000fff10,0x407fe800,0x04002ffb,
    0xcfffa800,0x1bfff660,0xfd82ffe4,0xf880ffff,0x4ffc80ff,0x901fff10,
    0x2e6009ff,0xffb80000,0xe817ff22,0xbff906ff,0xd037ff40,0x2ffb80ff,
    0xfb80ffd0,0x80ffd02f,0x3f202ffb,0x07ffc44f,0x7dc07fe8,0x7fdc002f,
    0x0007fe82,0x3ee07ff8,0x203ff42f,0x3f602ffb,0x1ffe403f,0x2003ff60,
    0x3ee01ffe,0x0bff906f,0x2a0fff98,0x6fc806ff,0xfb80ffd0,0x7ffec42f,
    0x3fffed45,0x64037fd4,0x7ffec46f,0x3fffed45,0x7dc07fe8,0x4ccc402f,
    0x32000999,0x3ffa05ff,0x903ffd06,0x07ffbfff,0xff113ff2,0x27fe401f,
    0x2003ffe2,0x80001998,0x3ffa2ffb,0x41bfee01,0x3ee01ffe,0x01ffa06f,
    0x3fa05ff7,0x817fdc07,0x7fdc07fe,0x83ffe202,0x3fa04ffc,0x017fdc07,
    0x3a0bfee0,0xff80007f,0xd0bfee07,0x2ffb80ff,0x5007ff60,0xffd809ff,
    0x407ff800,0xffd06ff8,0x45ff9003,0xb8802ffd,0xb80ffd00,0x7ffdc2ff,
    0x7ffff45f,0x802ffd87,0x7ffdc0b8,0x7ffff45f,0xb80ffd07,0x3ff202ff,
    0x004fffff,0xfb807ffa,0x50dff06f,0x9ff55fff,0xc83ffe20,0x7fc404ff,
    0x813ff20f,0xfffffed9,0xff70001d,0x2203ffc5,0x0fff06ff,0x3a06ff88,
    0x17fdc07f,0x7dc07fe8,0x80ffd02f,0x7e402ffb,0x01fff14f,0x3ee03ff4,
    0x7fdc002f,0x0007fe82,0x3ee07ff8,0x203ff42f,0x3f602ffb,0x1ffe405f,
    0x2003ff60,0x3ee01ffe,0x00dff06f,0xffe93fe6,0x7fe80000,0x2217fdc0,
    0x75c5fffd,0xffe87fff,0x3f620000,0x7ff5c5ff,0x80ffd07f,0x3f602ffb,
    0x0fffffff,0x880fff00,0x4ff986ff,0xf9a7ffc4,0x53ff205f,0xc800fff8,
    0x1fff14ff,0x3ffffe20,0x001fffff,0x3fa2ffb8,0x1bfee01f,0xf700fff4,
    0x03ff40df,0x7f40bfee,0x817fdc07,0x7fdc07fe,0x47ffc402,0x7f404ffc,
    0x017fdc07,0x3a0bfee0,0x2da881ff,0xf703ffc0,0x407fe85f,0x3f602ffb,
    0xfff502ff,0x00ffd803,0x3a04ffd8,0x4ff986ff,0x7cbff100,0xfd00006f,
    0x02ffb80f,0x7fc0bff1,0x0006ff87,0x7c0bff10,0x80ffd07f,0x2e202ffb,
    0x3fffffcc,0x403ffd00,0xffa86ffb,0xf17ffa24,0x7ffc40df,0x1004ffc8,
    0x9ff91fff,0xceffff80,0x8007fffd,0x3ff62ffb,0x41bffa04,0x3fa04ffd,
    0x01ffa06f,0x3fa05ff7,0x817fdc07,0x7fdc07fe,0xfdffc802,0x3ff400ff,
    0x000bfee0,0xff905ff7,0xfffdb7bd,0x03ffc01f,0x7fe85ff7,0xb017fdc0,
    0x737dffff,0xb109fffb,0xdfffffff,0x2fffea05,0x1bfff220,0xf800ffea,
    0x441bfe6f,0xd0199999,0x2ffb80ff,0x7c0bff10,0x106ff87f,0x20333333,
    0x3fe05ff8,0xb80ffd07,0xff5002ff,0x3600dfff,0x3ffa04ff,0x366ff986,
    0x3fe20fff,0x7effe405,0x3f2000ff,0x400fffdf,0x1ffd0098,0x22ffb800,
    0x220bfffa,0xf506fffc,0x7e4417ff,0x1ffa06ff,0x3a05ff70,0x17fdc07f,
    0x7dc07fe8,0xfff8802f,0x7fe804ff,0x0017fdc0,0x3e60bfee,0xffffffff,
    0x3fff625f,0x24efffff,0x3ff42ffb,0xd80bfee0,0xffffffff,0xff706fff,
    0xffffffff,0x67fffec0,0x86fffffd,0xf1005ff9,0x5437fcbf,0x7fffffff,
    0x7dc07fe8,0x0bff102f,0x37fc3ffc,0x7fffffd4,0x05ff887f,0x3ff41ffe,
    0x400bfee0,0x1ffeaffd,0x0bfffa80,0x21bfff22,0xffb8fff8,0x01ffd41f,
    0x13ffffe2,0xfffff100,0x554c4009,0x001ffd9a,0x3f617fdc,0xfffdcfff,
    0x3ff606ff,0xffffdcff,0x01ffa06f,0x3fa05ff7,0x817fdc07,0x7fdc07fe,
    0xffff9002,0x80ffd001,0x5c002ffb,0xffd302ff,0xb83bffff,0xffffffff,
    0x5ff71fff,0x7dc07fe8,0x33ff602f,0x3fffffff,0x3ffff660,0x2203efff,
    0xfffffffe,0xdff06fff,0xe93fea00,0xffffc87f,0x7f41ffff,0x817fdc07,
    0x3fe05ff8,0xfc87fe87,0x1fffffff,0xff02ffc4,0x701ffa0f,0xff1005ff,
    0x4013feef,0xfdcffffd,0xfd06ffff,0xd07fff9f,0xff9005ff,0xf90001ff,
    0x91001fff,0xffffffff,0xffb8003f,0x7ffff442,0x06ffffff,0x3fffffa2,
    0x206fffff,0x7fdc07fe,0xb80ffd02,0x0ffd02ff,0x1002ffb8,0x3a009fff,
    0x17fdc07f,0x00bfee00,0x44015553,0xfffffffd,0x0bfee5ff,0xffb80ffd,
    0x223ff602,0x000abcca,0x3fee0000,0x6ffbefff,0xd005ffd0,0x07fec5ff,
    0x3ff332e2,0x00ffd83f,0x7c407ff2,0x21ffe05f,0x65c40ffd,0x883fffcc,
    0x1ffe05ff,0xf9007fec,0x9ff9003f,0x2003ffe2,0xffffffe8,0xf506ffff,
    0xf709ffff,0xff1001df,0x3e20009f,0xff9804ff,0xffffffff,0x7fdc001f,
    0xfffff702,0x700dff7d,0xf7dfffff,0x07fec0df,0x3603ff90,0x3ff200ff,
    0x401ffb01,0xf1001ffc,0x3f6001ff,0x07ff200f,0x005ff700,0xc8000003,
    0x07fec2ff,0x6c03ff90,0x400000ff,0x2a600009,0x20dff11a,0x7dc06ffb,
    0x027fdc6f,0x7e407ff4,0x03ffa04f,0xff037fc4,0x009ff70f,0xff101ffd,
    0xc83ffc0d,0x3ffa04ff,0x20fff800,0x2e003ffc,0xfacfffff,0x3fffa06f,
    0x01fffb86,0x001fff10,0x003ffe20,0x79dffff1,0x003fffb9,0x4c02ffb8,
    0x0dff11aa,0xf88d54c0,0x13ff206f,0xf900ffe8,0x07ff409f,0x3a04ffc8,
    0xffb000ff,0x27fe4009,0x8001ffd0,0x7fc00ffe,0x3a000005,0x27fe40ff,
    0x6c01ffd0,0x200000ff,0x00001ffd,0xfd813fea,0xfffb81ef,0x067ffc42,
    0xa80ffe88,0xffd82fff,0x21ffe206,0xf887ffd9,0xfd100cff,0x0fff101f,
    0x2a0fffb3,0xffd82fff,0x45ffa806,0x88006ff9,0x81bfe21a,0xcceffffd,
    0x2004fffe,0x20004ffd,0xfb804ffd,0x3ff900ef,0x01ffe800,0x004ffa80,
    0x5027fd40,0xffb05fff,0x17ffd40d,0xf5037fec,0xdffb05ff,0x03ffe600,
    0x82fffa80,0x22006ffd,0xff807ffb,0xb8800006,0xfffa87ff,0x406ffd82,
    0x00000ffd,0x0000bffa,0x1017ff4c,0xd99bffff,0x3ee09fff,0xedccdfff,
    0xfb00ffff,0xfffb9fff,0xeffe803f,0xfffffecb,0x7fffdc1d,0xfffedccd,
    0x7dffd00f,0xbfffffd9,0x9ffffb03,0x003ffffb,0x9999bffb,0x00003fff,
    0x3ea09ff5,0xffffffff,0x3e6004ff,0xf30000ff,0xff9001ff,0x3fff9107,
    0x1ffee200,0x0bffa600,0x2ffe9800,0x67fffec0,0x401ffffd,0xfdcffffd,
    0x7ec01fff,0xfffdcfff,0xdddb701f,0x4003bfff,0xfdcffffd,0xdd901fff,
    0x07ffffdd,0x8000bb10,0xfffeeec8,0xffffb03f,0x03ffffb9,0x3bbfff6e,
    0x64c0001c,0x76d4001f,0x0effffee,0x7ffff4c0,0x6403ffff,0xffffffff,
    0x7ec06fff,0x2fffffff,0xfffffa80,0x4fffffff,0xffffffc8,0x206fffff,
    0xfffffffa,0xb04fffff,0xffffffff,0xffff1005,0x9fffffff,0xffe98000,
    0xbcfff883,0x01effffd,0x7ff776dc,0xedb801df,0x01dfffee,0x65efffdc,
    0xdffffffd,0x3fbbbb21,0x36a03fff,0xeffffeee,0xeeeda800,0x800effff,
    0xfffffffd,0xfffb002f,0x005fffff,0x3ffffff6,0xfff302ff,0x0bffffff,
    0xfffffd80,0xff502fff,0x07ffffff,0x00003e60,0xfffffff7,0xffffd807,
    0xf102ffff,0xbfffffff,0x00b90000,0xfffffff0,0x7e4001df,0x001effff,
    0xfffffdb1,0x3ee003bf,0x000effff,0x3bffffea,0x101efffb,0xffffffdb,
    0xfff5003b,0xdfff7dff,0x7fffdc03,0xff9000ef,0xffffffff,0xdb5001ff,
    0x1dffffdd,0xa88bff90,0xfff98009,0x05ffffff,0x7fffffcc,0xfe805fff,
    0xffffffff,0xff54ffff,0x07ffffff,0xfffffff8,0xfff000ef,0x01dfffff,
    0x7ffffdc0,0x7fdc000e,0x4000efff,0x0efffffb,0x3ffffa20,0x8002ffff,
    0x0efffffb,0x3ffffa20,0x0ba002ce,0x3ffa6000,0xf7002cef,0x801dffff,
    0xfffffffd,0x07d40002,0x7fffe400,0x30000bdf,0x53000035,0x54c00035,
    0x2a600009,0xa980000a,0x5530001a,0x9a980001,0x5fffc000,0xfdaaaaaa,
    0xfffe803f,0x300effff,0x880001df,0xfffffffe,0x7ff4402f,0x02ffffff,
    0xfffffc88,0x1efffdcf,0x9dffffd1,0xffff9003,0x640017bf,0x0bdfffff,
    0x01353000,0x009a9800,0x004d4c00,0x98000000,0x0000009a,0x00000040,
    0x04d4c000,0x80000000,0x0000002c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x405ffa80,0xfc806ff9,0x00bdffff,0x00000000,0x88000000,
    0x00001aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffec40,0x7ffec43e,0x000003ef,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0x5c7fffff,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffecc0,0x7ffecc4f,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x00000001,0x00005d30,
    0x4c007b30,0x20007102,0x88000008,0x06ec003d,0x002e0000,0x40035000,
    0x80051029,0x0080004d,0x206e2000,0x0aaaaaa8,0x447aa000,0x00b8003e,
    0x54011000,0x22000002,0x3d50003d,0x2e000fa2,0x8814c00e,0x00000002,
    0x55510017,0x2a000015,0x000a8002,0x2a200f54,0xffd10000,0x3fd80007,
    0x09ff1000,0x17fd4000,0xf901fb00,0x4ffc8003,0x3fe60000,0x0f7ec003,
    0x7ff44000,0xfd880003,0x1bfb004f,0xb000ffd4,0x2a0001df,0xfb00006f,
    0xfffffb0d,0x3ea0003f,0x003ff98f,0x000fffa2,0x3ea0bf70,0x9800001f,
    0xfa8003ff,0x003ff98f,0x3601bf62,0x07fea0df,0x0007fb00,0xe807ffd1,
    0x0002ffff,0x98f7ff4c,0x01ff702d,0xf003ff20,0xfb8007ff,0x000dffef,
    0x000fffa8,0x001bfd30,0x003ffb80,0x64c577cc,0x4f54005f,0xb80002f9,
    0xf90003ff,0x7dc0005f,0x000dffef,0xdffdff50,0xaffe9803,0xd8003ffd,
    0xfc8001ff,0x7cc0000f,0xffffe86f,0xfa8001ff,0x004ff99f,0x37ffbfee,
    0x1ffc8000,0x000bff50,0x003ffb80,0xff99ffa8,0x3bfa6004,0xaffe9800,
    0x54003ffd,0x2e000fff,0x00dffeff,0x005ffffd,0x7ee7fc40,0xf902ffef,
    0xffd8801f,0x3ffff801,0x267ff900,0x44000ffe,0x440006ff,0x2e0006fd,
    0xf90001ff,0x003fffff,0x001324d8,0x0005ff50,0x8001ffb8,0xffd33ffc,
    0x4ffa8001,0x9003ffb1,0x0003dfff,0x10007fdc,0x00117ffd,0x220fff60,
    0x01ffeaaa,0xfe8ffcc0,0x4fff2003,0x1000ffe9,0xff803dfd,0xf500001f,
    0xff30005f,0x8800ffa3,0xfc8004ff,0x88001eff,0x3f2006ff,0x01ffd33f,
    0x005ffb51,0x3faa1b80,0x07ff602e,0x2001dfb0,0x9006ffc9,0x001d703b,
    0x00001730,0xdb800172,0x6dc40000,0x3d50001c,0xa80003f5,0xb300001d,
    0x01b90003,0xea8001d7,0x3002ea82,0x2a00009d,0xffc8800d,0x00ffffff,
    0x003ffe20,0x30007ff6,0x20016c3b,0x00eb81dc,0x7001bf70,0x20000bff,
    0xb30000da,0x220016c3,0x3a60002d,0x05cc0004,0xd703b900,0x017fe401,
    0xd8008000,0x026401ff,0x000ffe80,0x00000000,0x00000000,0x40000000,
    0x00004ffc,0x04020000,0x00000000,0x00000000,0xffff8000,0x02ffffff,
    0x4013ff20,0x00001ffd,0x80000000,0x3fe20028,0x0000000f,0x00000000,
    0x00000000,0x32000000,0x330002ff,0x33330133,0x001ffd81,0x03ff6000,
    0x0abcb980,0xccba8800,0x4ccc010a,0x09999809,0x15797300,0x57973000,
    0x00040001,0x30133330,0x7c401333,0x201ff42f,0x99809999,0x33100099,
    0x01333333,0x086f32a0,0x15797300,0xbdfffa80,0x003fffdb,0x2001fff1,
    0x99801ffd,0x99998099,0x2f32a000,0x55544021,0xfc800aaa,0xca80004f,
    0x4c0021bc,0x4000abcb,0x010bccba,0x21799750,0x2f32a000,0x32ea0021,
    0x7e4010bc,0xffffb32f,0xfffffa89,0xfffff35f,0x20ffecdf,0x99999999,
    0xb0099999,0xfd3001ff,0x007fffff,0x3fffffa2,0x7d45feff,0xf35fffff,
    0x40dfffff,0xffffffe9,0xfffd3003,0x22007fff,0x00999999,0xffffff50,
    0x3ffffe6b,0x49ff306f,0xff505ff8,0x3e6bffff,0x406fffff,0xfffffffe,
    0xfb303fff,0xfbdfffff,0x7fff4c09,0x3f603fff,0x01ff981f,0x4009ff90,
    0x3ea01ffd,0xf35fffff,0x40dfffff,0xffffffd9,0xffd84fde,0x8801ffff,
    0x98000fff,0xeffffffd,0x3fa604fd,0x803fffff,0xffffffea,0xffd505fd,
    0x0bfbffff,0x7ffffecc,0xd504fdef,0xfbffffff,0x64bff20b,0x22ffffff,
    0x6ffffffb,0xfffffff5,0x7cc7ff61,0xffffffff,0xb03fffff,0xffb801ff,
    0xdfffffff,0x3fffe600,0x7fffffff,0x7fffffdc,0xffffff56,0xffff701f,
    0x01bfffff,0x7fffffdc,0x3200dfff,0x4fffffff,0xfffff700,0x3fffeadf,
    0x1b700fff,0xff700db8,0x3eadffff,0x00ffffff,0xfffffff1,0xf30bffff,
    0xffffffff,0x3fee0fff,0xdfffffff,0x700ffe80,0x3ffe2007,0x07ff6000,
    0xffffffb8,0xffffff56,0xffff301f,0xffffffff,0xffffffd0,0x0fff2003,
    0xfffff300,0x0fffffff,0x3fffffee,0xf500dfff,0xffffffff,0xffff50ff,
    0x0fffffff,0x3fffffe6,0xa87fffff,0xffffffff,0x5ff907ff,0x37fffff2,
    0x33ffee20,0x3ffb2e1c,0x5c7ff61d,0xffffffff,0x03ffffff,0x7cc01ffb,
    0xfca9beff,0xfff306ff,0xff95379d,0x7fdc41ff,0x3b2e1ccf,0xff981dff,
    0xffca9bef,0xdfff306f,0xdfff9537,0x7ffffec0,0xb8800fff,0x2e1ccfff,
    0x001dffec,0xfffb8800,0x3fb2e1cc,0x664c01df,0xbcdffecc,0x677ffcc0,
    0x7fffebaa,0x9befff98,0xb86fffca,0x0000aeff,0xb0017fee,0x7dc403ff,
    0x32e1ccff,0xf981dffe,0xebaaceff,0xaa887fff,0x1001ffea,0x7cc00fff,
    0xebaaceff,0xff987fff,0xffca9bef,0xefff886f,0xffffca9c,0x33bffe20,
    0x0ffffca9,0x5677ffcc,0x47fffeba,0xa9cefff8,0xc80ffffc,0xefffbaff,
    0x203ff401,0x7fec2ffb,0x33bff2e1,0xffdccccc,0x201ffb03,0xf305ffe8,
    0xbffd07ff,0xe83ffc40,0x17fdc07f,0x982fff44,0x7f443fff,0x7fff305f,
    0x3ff32e20,0x3a003fff,0x17fdc07f,0x3fa00000,0x017fdc07,0x201ffd80,
    0xf700efff,0x5ffe88ff,0x887fff30,0x2cefffff,0x00fffc00,0x2007ff60,
    0x7fdc07fe,0x01dfff02,0x3601ffee,0x3f6001ff,0xdfff003f,0x11ffee01,
    0x3e60bffd,0x37fd43ff,0x2a0fff98,0xfff306ff,0x00efff81,0xffa8fff7,
    0x01fff306,0xbfffdff9,0x80ffd001,0x7fec2ffb,0x702ffc41,0x3ff207ff,
    0x05ffc82e,0xf507ffcc,0x0df900df,0xff701ffa,0x80bff905,0x3f20fff9,
    0x7ffcc05f,0x7fffd400,0x1ffa006f,0xd885ff70,0x7ed45fff,0x0ffd07ff,
    0x0002ffb8,0x3e603ffb,0x47fe806f,0x7cc05ffc,0x7ffd40ff,0x802fffff,
    0xd8005ffa,0x7fe801ff,0x4c17fdc0,0x7fe806ff,0x001ffd80,0x2601bfe6,
    0x7fe806ff,0x2602ffe4,0x3fee0fff,0xf71ff602,0x23fec05f,0xfe806ff9,
    0xb017fdc7,0x3fff20ff,0x3fa004ff,0x217fdc07,0x7fc41ffd,0x05ff5045,
    0xd0bfffe6,0xff9003ff,0x4017fec5,0x0ffd00b8,0xfe82ffb8,0x2ffc801f,
    0x32007ffa,0x7fec02ff,0xd001ffea,0x2ffb80ff,0x22ffffdc,0xd07ffffe,
    0x2ffb80ff,0x03ffb000,0x2a00bfee,0x00fff44f,0x54417fe4,0x1fffffed,
    0x000fff40,0x7400ffec,0x17fdc07f,0x54017fdc,0x1ffd804f,0x017fec00,
    0x2a00bfee,0x00fff44f,0xff517fe4,0x2a16cc0b,0x0b6605ff,0xf5005ff7,
    0x205ffa89,0xfff902d9,0x3a001bff,0x17fdc07f,0xff107ff6,0xee8b7d4b,
    0x5ffff300,0xf3006ff8,0x007ff49f,0x203ff400,0x6ff82ffb,0x7c9ff300,
    0x9ff3006f,0xfbbffc40,0x0ffd004f,0x6c42ffb8,0x7f5c5fff,0x0ffd07ff,
    0x0002ffb8,0x3f603ffb,0x3fe0000f,0x09ff3006,0x0bffd710,0x80037fd4,
    0xfe801ffd,0x417fdc07,0x00000ffd,0x2000ffec,0x7ec06ffa,0x3fe0000f,
    0x89ff3006,0x001befff,0x006fbffe,0x00007fec,0x006fbffe,0xffffff90,
    0x0ffd001d,0x7ec2ffb8,0x4f7fc41f,0x9000ffd9,0xff983bff,0x4bff1004,
    0xd00006ff,0x2ffb80ff,0x88027fcc,0x09ff35ff,0xc817fe20,0x1fff14ff,
    0xb80ffd00,0xbff102ff,0xfe83ffc0,0x017fdc07,0xf01ffd80,0x7cc000df,
    0xbff1004f,0xff880f22,0x00bffa07,0x400ffec0,0x7fdc07fe,0x0006ff82,
    0x001ffd80,0x3e02ffe8,0x3e60006f,0xbff1004f,0xffffffa8,0x3fea00bd,
    0x00bdffff,0x50000dff,0x7bffffff,0x9affc801,0x7401ffff,0x17fdc07f,
    0xff107ff6,0x03ffffff,0x2a03ff60,0x3fe003ff,0x4c41bfe6,0xfd019999,
    0x42ffb80f,0x3e003ffa,0x007ff56f,0xfff037fc,0x401ffe41,0x7fdc07fe,
    0x40bff102,0x0ffd07ff,0x0882ffb8,0x440ffec0,0x2a0006ff,0x3fe003ff,
    0x7c03ff76,0x0dff307f,0x00ffec00,0x3ee03ff4,0x037fc42f,0x0ffec000,
    0x837fd400,0x20006ff8,0x3e003ffa,0xfffe986f,0x2604ffff,0xfffffffe,
    0x0037fc44,0xffffe980,0x3f204fff,0x3fffd32f,0x2e03ff40,0x0ffec2ff,
    0x3fffffe2,0xffb001ff,0x00bff301,0x6ff97fe2,0xffffffa8,0x407fe87f,
    0x7fcc2ffb,0x2bff1005,0xf1005ff9,0x17fea0bf,0xfd00dff3,0x02ffb80f,
    0x7fc0bff1,0xb80ffd07,0x07fc42ff,0x3e03ffb0,0x3e60006f,0xbff1005f,
    0x9107bff2,0x3ff609ff,0xfffd7003,0xbfffffff,0x5c07fe81,0x06ff82ff,
    0x1ffd8000,0x03ffd000,0x98001bfe,0xff1005ff,0x7fedcc0b,0x5cc05fff,
    0x45fffffd,0x400006ff,0xfffffdb9,0x17fff545,0x3bfffff3,0x7dc07fe8,
    0x20ffec2f,0xffeefff8,0x1ffb001f,0x5401bfe0,0x21ffa4ff,0xfffffffc,
    0x203ff41f,0x6ff82ffb,0x7c9ff500,0x9ff5006f,0x3337ff60,0x401fffcc,
    0x7fdc07fe,0x40bff102,0x0ffd07ff,0x7d42ffb8,0x07ff602f,0x20003ff4,
    0xff5006ff,0x3bffff29,0x80ffffec,0x3e007ff9,0xffffffff,0x7f43ffff,
    0x417fdc07,0x800007fe,0x70001ffd,0x1ffa0bff,0x00dff000,0x98013fea,
    0x2001fffc,0x3a1fffc9,0x4000007f,0x3a1fffc9,0x3ea2ffff,0x6c4fffff,
    0x3ff200ff,0x220ffec1,0x83ff25ff,0x01ffb00a,0x3a00bffa,0x03ff62ff,
    0xfff99971,0x401ffb07,0xffe81ffc,0x22ffe802,0xfe802ffe,0xffff882f,
    0x4fffffff,0x9007fec0,0x3fe203ff,0x6c1ffe05,0x3ff200ff,0xb01ffdc1,
    0x3fee03ff,0x3ffa0001,0x72ffe802,0xffffffff,0x3ff209ff,0x3fff2003,
    0xffffffff,0x007fec1d,0xff703ff9,0xfd800003,0x3fe0001f,0x01ffb81f,
    0x00bffa00,0x1db8bffa,0xb71ffdc0,0x23ffb803,0x20001ffb,0x7fdc01db,
    0x8bfffae3,0x1effffd8,0xfd027fe4,0x41ffd81f,0x93a65ff8,0x1ffb06fb,
    0x701bfee0,0x4ffb8dff,0xc80ffe80,0x3ffa04ff,0x406ffb80,0x7fdc6ffb,
    0x837fdc06,0xfffffffc,0x200fffff,0x3fa04ffc,0x0dff100f,0xffc83ffc,
    0x703ffa04,0x3ff407ff,0x200dff30,0x037fdc3b,0xde89bfee,0x2dfffffc,
    0x001fff10,0xffc80000,0x203ffa04,0x77006ff9,0x003ffb00,0x4c27fdc0,
    0x877006ff,0x7dc06ffb,0x202ffc6f,0x17fe4ffa,0x7cc9ff50,0xf877006f,
    0x27fd405f,0xffa80000,0x86ffd82f,0x7fc41ffd,0x407fec05,0x3f600ffe,
    0xfffb81ef,0x067ffc42,0xa80ffe88,0xffd82fff,0x07bff606,0x360bffee,
    0xffb81eff,0x57fff02f,0xffb55555,0x17ffd407,0xf1037fec,0xfffb30ff,
    0x20bffea0,0xffb86ffd,0x06ffc80d,0x880f7ff4,0x7fec2ffd,0x2fffb81e,
    0x200ffec0,0x80004ffc,0xff5001c9,0x0dffb05f,0x880f7ff4,0x7ec02ffd,
    0x3e20001f,0xeffe80ff,0x85ffb101,0xfb81effd,0x3ffe22ff,0x27ffd304,
    0xd304fff8,0xeffe87ff,0x25ffb101,0xd304fff8,0x375007ff,0xffffd800,
    0x81ffffdc,0x7fc41ffd,0x107ff405,0xf880bff7,0xfeccdfff,0xfff704ff,
    0xffdb99bf,0x3ff601ff,0xffffdcff,0x3fffe201,0x4fffeccd,0x9bffff10,
    0x209fffd9,0x7cc05ffa,0x7ffec06f,0x1ffffdcf,0x65f7ff40,0x1dfffffe,
    0xdcffffd8,0xfb81ffff,0xfeccefff,0x7f4402ff,0xfeccceff,0x7fc40fff,
    0xffeccdff,0x1ffd804f,0x003ffe20,0x013ff600,0x6e7fffec,0x2201ffff,
    0xcccefffe,0x400ffffe,0x40001ffd,0xfe884ffc,0xfeccceff,0x7fc40fff,
    0xffeccdff,0x7fffc44f,0xffffdcdf,0xfffff10f,0xfffffb9b,0xefffe881,
    0xffffeccc,0xbfffff10,0x1fffffb9,0x005fff00,0xffffffd8,0x1ff902ff,
    0x3fffff62,0xffffffff,0x0bfffe0f,0x3ffffa60,0x6403ffff,0xffffffff,
    0x7ec06fff,0x2fffffff,0xffffe980,0x4c03ffff,0xfffffffe,0xfffd883f,
    0x7fec43ef,0x3f603eff,0x2fffffff,0xfffffa80,0x4fffffff,0xffffffb0,
    0x3fa605ff,0xffffffff,0xfffd1001,0x5fffffff,0x3ffffa60,0xb003ffff,
    0x7fdc03ff,0xbbc80004,0x3ff6006f,0x02ffffff,0xfffffe88,0x5c2fffff,
    0xfffffffe,0x2000dfff,0xfd107ff8,0xffffffff,0x3ffa605f,0x83ffffff,
    0xfffffff8,0x222fffff,0xffffffff,0xd102ffff,0xffffffff,0x7ffc45ff,
    0xffffffff,0x65e4402f,0xffb8005f,0x3200efff,0xffff70ff,0xffffffff,
    0x7ffc1fff,0x7ffe4004,0xb1001eff,0xbffffffd,0x3ffee003,0x64000eff,
    0x01efffff,0x3fffff20,0xffff701e,0xfffb8fff,0x7dc07fff,0x000effff,
    0x3bffffea,0x201efffb,0x0efffffb,0xffffd980,0x5c4001df,0xcefffffd,
    0xffffc800,0x3ee001ef,0x007fd407,0x3fffe200,0x7ffdc003,0x22000eff,
    0xefffffdb,0xfffff80c,0xffffffff,0x037e4003,0xfffffb71,0xff90019d,
    0x6403dfff,0xfffffcae,0xcaec80cf,0x0cffffff,0x7ffedc40,0xec80ceff,
    0xffffffca,0xfff9800c,0x2a60002f,0x44370009,0xfffffffd,0x0fffffff,
    0x980002e6,0xa980001a,0x2a60001a,0x54c00009,0x0d4c0001,0x7fffecc0,
    0x7ffecc4f,0x353004ff,0x554c0001,0x4d4c0000,0x03530000,0x04d44000,
    0x001a9800,0x13003710,0x32e60000,0x26a60002,0x9a880000,0x7fffe400,
    0xdfffffff,0x40008001,0x300009a8,0x26200035,0x4c4001aa,0x220001aa,
    0x4c40009a,0xc98001aa,0x0000001c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00005c00,0x170007aa,0x79975000,0x40660021,
    0x19b00028,0x36400000,0x2000c400,0x0330000b,0xca8000a2,0x4cc021bc,
    0x00199999,0x80002e00,0x880000dc,0x1501dc2c,0x00174c00,0x51029800,
    0x00038800,0x001440a6,0x36001b20,0x80cc000c,0x01540028,0x1a805400,
    0xd887b300,0x00ccc403,0x00013333,0x55300b91,0xfe880355,0xff90003f,
    0x3ffa2001,0xfffd5003,0x80bfbfff,0x07fdc4ff,0x0077ec00,0x1bfa2000,
    0x02ffd980,0x003ffe88,0x7fdc4ff8,0x3ff66000,0x4fdeffff,0x3fffffe6,
    0x002effff,0x007ffd10,0x0007bf20,0x3ea1ffb0,0x00ffb82f,0x5001ffb8,
    0xbfb001df,0x800ffd41,0x8001efea,0x3fea0dfd,0x6fe88001,0x00efd800,
    0xfb837fa0,0xffe9801f,0x2005b31e,0x3f622ffa,0x41ffb005,0xffd01ffc,
    0xfff889ff,0x22006fff,0xffd805fe,0xff704fff,0x2001bffd,0x7001ffd8,
    0x01bffdff,0x7fffffd4,0x4c07ffff,0x2ffeaeff,0x0bff2000,0x6ff4c000,
    0x3fffa000,0x7f7fdc03,0x3e6000df,0x02ffeaef,0x3ffffe60,0x27ffffff,
    0xfffffffb,0x006fffff,0x6fff7fdc,0x2ffc8000,0x4fff7000,0x7e40fff9,
    0x0ffec00f,0x007fff00,0xffb5ffd3,0x3bff2007,0x74c004ff,0x03ffdaff,
    0x00dfe980,0x003ffb00,0x3f6bffa6,0xcff8803f,0x02ffeffd,0x3ef7ff20,
    0xdf7000ef,0xff107fa8,0x7d43ffff,0x00ffffff,0xb004ffa8,0x909fffff,
    0x3ffa67ff,0x00efd800,0x3a67ff90,0xfff880ff,0xfffca9ce,0x7fec400f,
    0xb80000df,0x440001ff,0x7cc004ff,0x7fe402ef,0x001ffd33,0x06fffec4,
    0x9dfff300,0xffffd755,0xcceffdb8,0x04ffffdc,0x3a67ff90,0xfa8000ff,
    0xffe8001f,0x3627ff43,0x3bf601ff,0x0ffec000,0x3dfff900,0x54bff600,
    0xfc8006ff,0x88001eff,0xb80004ff,0x3f2001ff,0x2e001eff,0x00bbfaa1,
    0x13fffa60,0x20040200,0x46ffffca,0x02dffdca,0x2003ff98,0x80accffd,
    0x00eb81dc,0x6e4004c8,0xfa80eb80,0x1fff306f,0x000fea00,0x0003b300,
    0xc8002d88,0x1dc801ff,0xa8000eb8,0xfff8003f,0x0fff700e,0xf710bff1,
    0x3b9001ff,0x20001d70,0x7d4001d9,0x7ffd40ff,0xc807ff60,0x1b88000c,
    0x004e9800,0x1b220674,0x00274c00,0x00005b10,0x26000ecc,0x0200004e,
    0x007b2000,0x7f400000,0xffb83fff,0x003b3003,0x0000ffd8,0x00000000,
    0x202ffb80,0x000007fd,0x00000000,0x03ffb000,0x00000000,0x00dff300,
    0xbff10ffd,0x0017fec0,0x00000000,0xfd04ffe8,0x00ffec7f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0abcb980,0x80000000,0x000abcb9,
    0x81fffffd,0x00003ffb,0x9807fec0,0x99999999,0x99809999,0x09999999,
    0x33333330,0xbff50133,0x31016cc0,0x00133333,0x99999998,0x00999999,
    0x4ccccccc,0x00999999,0x26603ffb,0x33310199,0x33333013,0xfb800333,
    0x84fa802f,0x3f605ff8,0x0266601f,0x1004ccc4,0x01333333,0x807ffcc0,
    0x3ff67ffb,0x26666661,0x4c099999,0x99999999,0x99998099,0x40099999,
    0x09999998,0x26666600,0x00999999,0x26666662,0x4cccc000,0x44099999,
    0x99999999,0x20199999,0xffffffe9,0x00ccc403,0x98013333,0x3ffffffe,
    0xffeffe80,0x981ffdc5,0x01999999,0xf303ff60,0xffffffff,0x4c7fffff,
    0xffffffff,0x3fe65fff,0xffffffff,0xbefff85f,0x7ffe4001,0x3004ffff,
    0xffffffff,0x07ffffff,0x3fffffe2,0xffffffff,0xf03ffb03,0x41ffffff,
    0x3ffffffc,0xfffffff3,0xb005dfff,0x880001ff,0xffc885ff,0xfffff107,
    0xfffffa8d,0xfffffc84,0x3f2004ff,0x8fffc05f,0xfff31ffd,0xffffffff,
    0x7ffffccd,0x26ffffff,0xfffffff9,0xf905ffff,0x09ffffff,0x3ffffe60,
    0x06ffffff,0xfffffff9,0x3ffe6009,0xffffffff,0x3fffffa5,0xffffffff,
    0xffffb81f,0x80dfffff,0x444ffffe,0x06ffffff,0xfffffff7,0x7f401bff,
    0x2e2fff9f,0x7ffcc3ff,0xefffffff,0x207fec02,0xfffffffb,0x3fffffff,
    0x3fffffee,0x2e7fffff,0xffffffff,0xffa87fff,0x00bdffff,0x7fffffec,
    0xffb800ff,0xffffffff,0xf303ffff,0xffffffff,0x207fffff,0x7fcc1ffd,
    0x3a2fffff,0x75ffffff,0xffffffff,0xf80dffff,0xf880006f,0xffdcccef,
    0xfff303ff,0xfffc8dff,0xfffd85ff,0x000fffff,0xfe807ffb,0x261ffb3f,
    0xffffffff,0x3fe66fff,0xffffffff,0x3fffee6f,0x7fffffff,0xffffffb0,
    0xff3001ff,0xffffffff,0x3fff60df,0x800fffff,0xfffffffb,0x3fa7ffff,
    0xffffffff,0x4c1fffff,0xca9befff,0x7fc46fff,0x3ea1ffff,0x40ffffff,
    0xa9befff9,0x3a06fffc,0x0fffb8ff,0xffb87ff7,0xffffffff,0x3ff606ff,
    0xceffcb80,0xffdccccc,0x3b332e23,0x21cccdff,0xffecccb8,0xd301cccd,
    0x9fffffff,0x7fe65c40,0x97003fff,0x99999dff,0x5407ffb9,0xcfffbffc,
    0xb03ffdcc,0xfff701ff,0xecb98599,0x3f6e0dff,0xffdcccef,0xdff104ff,
    0xfff10000,0x7fffffff,0x1fffda80,0x05ffff44,0x7ffe65c4,0xffd003ff,
    0x94ffc805,0x3bfe61ff,0xfffccccc,0x333bfe65,0x25fffccc,0xffecccb8,
    0x7101cccd,0x7fffff99,0x99dff300,0x0bfff999,0x3fff32e2,0xcb8803ff,
    0xccdffecc,0x333ffa1c,0xecccffec,0x3ffa21ff,0x87fff305,0x46ffffca,
    0x42dffdca,0xf305ffe8,0x3ffa07ff,0x3ee9ffd0,0xeffdb83f,0xffffdccc,
    0x201ffb04,0x3ee05ff8,0x0ffec03f,0x007ff600,0xffffb730,0xfff500bf,
    0x7c400dff,0x0ffee05f,0xdff3ff30,0x64c3ffa8,0x3ffa07ff,0x82ffc800,
    0xfb885ff8,0x0dff00ff,0xffff1000,0x007fffff,0xf113ffa2,0x3ea007ff,
    0xf006ffff,0xffb801ff,0x7fcc5915,0x20fffc84,0xffc84ff9,0x0ffec00f,
    0x7fffd400,0x4ff9806f,0x800fffc8,0x06fffffa,0x403ffb00,0x3ff60ffe,
    0xfc87ff20,0x7ffcc05f,0x3ffffe80,0xfc83ffb8,0x7ffcc05f,0xf30ffe80,
    0x07ff73ff,0x2e217fe2,0xffd80fff,0x08bff100,0xfb00bfea,0xffd8003f,
    0x7e4c0001,0x7fec01ff,0x1001ffea,0x3ea08bff,0x477e402f,0x1ffd46ff,
    0xd813fffe,0x8bffa1ff,0xff881ffd,0x40bff605,0x880007fe,0xffbaaeff,
    0xff3001ff,0x02ffec3f,0xffd5ffb0,0x07ff9803,0x2606ffa8,0x7ffd44ff,
    0x2a27fcc2,0xfd802fff,0xffd8001f,0x4c01ffea,0x7ffd44ff,0xd5ffb002,
    0xfb0003ff,0x07ff403f,0x7fe41ffb,0x2007ffa1,0xffe82ffc,0x7fdc0fff,
    0x801ffe83,0xffe82ffc,0x3efbff20,0x0bff103f,0x7ec17fec,0x4bff100f,
    0x01dd16fa,0x4001ffd8,0x6dc01ffd,0x01ffdc01,0x3feefff1,0x4bff1004,
    0x01dd16fa,0xeff8cfe8,0x41ff8bc8,0x3205fffe,0xbfff32ff,0x7c407ff4,
    0x07ff605f,0x0000ffdc,0xfd317fe2,0x3f2003ff,0x01fff56f,0x7ddffe20,
    0x3ffcc04f,0x1037fd40,0x7ffc47ff,0x223ff884,0xfb004fff,0xff88003f,
    0x8809ff77,0x3ffe23ff,0x2fff1004,0xd8004ffb,0x1ff601ff,0x7fe41ffb,
    0x4c01bfe1,0xeffe84ff,0x1ffdc5ff,0xf98037fc,0x40ffe84f,0x03fffffe,
    0x7ec0bff1,0x00ffd81f,0xfb33dff1,0xffd8001f,0x0ffec001,0xf5017fe0,
    0xa7fe409f,0x8800fff8,0xffd99eff,0x27fe2000,0x8ffaeff8,0x7ffb882a,
    0x7e4ffee0,0x0fff0fff,0x32217fe2,0x3fe607ff,0xf1077006,0xdffd10bf,
    0x7e7ff400,0x3f2002ff,0x01fff14f,0x5c00fff8,0x9506a5ff,0x817ffa21,
    0xbffd10ca,0x00ffec00,0x7c53ff20,0x865400ff,0x2005ffe8,0xfff14ffc,
    0x1ffd8001,0xffb17ee0,0xff33fd41,0x17fe2009,0x3ffe7ffa,0xf30ffee2,
    0x3fe2009f,0x540ffe85,0x103fffff,0xff910bff,0x403ff60f,0xfffffff8,
    0x7fec001f,0x0ffec001,0x209fff10,0x3e03ffe9,0x0fff20ff,0x3ffffe20,
    0x2e001fff,0xfffff17f,0x1ffb005f,0x7f53fea0,0x0dff2fff,0x3333bfe2,
    0x403ffffd,0xb101effe,0x5ff885ff,0x009fff10,0x17ffffe6,0x641fff00,
    0x7ff403ff,0xca7fe402,0x3ff600ff,0x3ff6000e,0x3ff6000e,0x07ffc001,
    0xd8007ff9,0x3e000eff,0x0fff20ff,0x803ffb00,0x4c0ffd81,0x800ffea0,
    0x8ffe86ff,0xff70fffb,0x003ffa87,0x3ffa1bfe,0x3ffffd80,0x999dff10,
    0x207ffffb,0xff100ffd,0x03ffffff,0x001ffd80,0xf100ffec,0xfb9bffff,
    0x2a01ffff,0x37fcc5ff,0x7ffffc40,0x36001fff,0xfffff15f,0x3ffb005f,
    0x3e77fe60,0xff8dffff,0xfffff105,0x007fffff,0x99dfffd1,0x21ffffd9,
    0xdfffffd8,0x1f7ffd41,0x07fffe40,0x98bff500,0x7fec06ff,0xc97ff403,
    0xfff700ff,0x7ffdc003,0x0ffec001,0x98bff500,0x3ee006ff,0x3ea001ff,
    0x037fcc5f,0x0007ff60,0xf3003ff6,0x3fe200bf,0xfd0ffe85,0x30ffee9f,
    0x3e200bff,0x3fff625f,0x3ffe23ef,0xffff103f,0x07ffffff,0xf8807fec,
    0x1fffeeff,0x00ffec00,0x8807ff60,0xffffffff,0x3602ffff,0xfccccdff,
    0x7fc401ff,0x01fffeef,0xf99dff10,0x003ffdff,0x3e203ffb,0xffbffcdf,
    0xf104ffaf,0xffffffff,0x7ff44007,0xffffffff,0x3ffffee2,0xfffc84ff,
    0x05ffd007,0xccdffd80,0x201fffcc,0x3e205ffc,0x03ffb1ff,0x4007fff3,
    0x8003fff9,0x36001ffd,0xfccccdff,0xff9801ff,0x7fec003f,0xfffccccd,
    0x07ff6001,0x003ff600,0x7d401bfe,0x30ffe84f,0x7ff73fff,0x2a00dff0,
    0x3ffee4ff,0x7fd47fff,0xffff103f,0x807fffff,0xff100ffd,0x1507fe4b,
    0x001ffd80,0x3200ffec,0xfffffcae,0x3fe200cf,0xffffffff,0x2ffc404f,
    0x80541ff9,0xfffffffa,0xd800ffae,0x3ffe01ff,0xeffc8ffe,0xdff104ff,
    0x3ffff755,0x7fedc400,0x440cefff,0x1efffffd,0x2007dfd0,0x22001ffd,
    0xffffffff,0x3e604fff,0xdff700ff,0x3e20ffec,0x42f444ff,0x7444fff8,
    0x00ffec05,0xffffff88,0x404fffff,0x7444fff8,0xfffff105,0x09ffffff,
    0x000ffec0,0x74007fec,0xffe802ff,0x320ffe82,0x83ffbeff,0xfe802ffe,
    0x3fff662f,0x3ffd83ef,0x755dff10,0x6c03ffff,0xbff100ff,0x0df7274c,
    0x4001ffd8,0x44001ffd,0xf9001ef9,0xffffffff,0x7c401fff,0xfb93a65f,
    0xdddff906,0x5c426dff,0x403ffb01,0xf56fffff,0x2207ffff,0x7ff4c5ff,
    0x3df0001f,0x00000001,0x8007ff60,0xfffffffc,0x200fffff,0xfff04ffd,
    0x360ffec7,0x1ffa86ff,0x7d437fec,0x07ff601f,0x7ffffe40,0x0fffffff,
    0x2a1bff60,0xfffc81ff,0xffffffff,0x3ffb000f,0x01ffb000,0xb80dff70,
    0x1ffd06ff,0x3fffffe8,0x5c06ffb8,0x000006ff,0x74c5ff88,0xffb01fff,
    0x017fe201,0x7ec01ffb,0x7fec001f,0x1ff88001,0x557fff00,0x7ffb5555,
    0x202ffc40,0x3ff80ffd,0x3ee1bfe2,0x403ffb06,0x3e3ffffe,0xf102ffff,
    0xdffd10bf,0x00bfe000,0x000ab880,0x001ffd80,0x2aaafffe,0x03ffdaaa,
    0xf703ffea,0x0ffec1ff,0xf701fff9,0x07ffe45f,0xfb017fdc,0x3ffe003f,
    0xdaaaaaab,0xfff903ff,0xf05ff701,0x555557ff,0x2007ffb5,0xd8001ffd,
    0xffb000ff,0x5fff703d,0xf503ffa0,0x3607ffff,0xffb81eff,0x2ae2002f,
    0x17fe2000,0x6c1bffa2,0xbff100ff,0x200ffe80,0x6c001ffd,0xf88001ff,
    0x7fd400ff,0x037fcc05,0xfe80bff1,0x10ffcc0f,0x1ffb0dff,0x203bff70,
    0x321ffffd,0xf101ffff,0x3ffe20bf,0x1fff8004,0x0fff5000,0x03ffb000,
    0x3017fea0,0xffe80dff,0x3627ff44,0x5fff51ff,0x7d4bfee0,0x5ff702ff,
    0x400ffec0,0x7cc05ffa,0x2fffa86f,0xfa85ff70,0x37fcc05f,0x001ffd80,
    0x1000ffd8,0xd99bffff,0x7f409fff,0xffffd80f,0xbffff103,0x09fffd99,
    0x007ffa80,0x7c417fe2,0xbffd84ff,0xffffb11a,0xffffffff,0x3ff621ff,
    0xefffffff,0x3ffff623,0x03efffff,0x817f5f74,0x3effffd8,0x77fffec4,
    0x3ffff623,0xffffffff,0xffdb10ff,0xfffffb7d,0x01ffffff,0x905ffff1,
    0xff98dfff,0x7fec40ff,0x7d41dfff,0xee803eff,0xa8002fdb,0x4001febb,
    0xffffffd8,0xffd883ef,0x7ec43eff,0xf503efff,0x07ffd4ff,0x7ff43ff2,
    0xffffffff,0xffffd2ff,0xffffffff,0x3ffff625,0x23efffff,0x3effffd8,
    0x77fffec4,0x3fffffa3,0x2fffffff,0x7dffffb1,0xeffffd88,0x3ffff623,
    0x83efffff,0xffffffd8,0x7f4c02ef,0x3fffffff,0xdffffb10,0x1ffffc47,
    0xfffffd30,0xa8007fff,0x4401febb,0x1dfffffd,0xb1f7ffd4,0xf79fffff,
    0xffffffff,0x21ffffff,0xfffffffb,0x3ee7ffff,0xffffffff,0x7fec07ff,
    0x3ffee06f,0x7fdc7fff,0x3ee7ffff,0xffffffff,0x70ffffff,0xffffffff,
    0xffffffff,0x3fe601ff,0x4fffb83f,0xfb87fff8,0x84ffffff,0xc807fffc,
    0xb0006fff,0x7000dfff,0xffffffff,0xffff70ff,0xfffb8fff,0x3f207fff,
    0x905ff50f,0x3fffa1ff,0xffffffff,0xfffffd2f,0x5fffffff,0x3fffffee,
    0x2e7fffff,0x47ffffff,0x7ffffffb,0x3ffffffa,0x72ffffff,0x8fffffff,
    0x7ffffffb,0x3fffffee,0xb87fffff,0xffffffff,0xfff9007f,0x7dc03dff,
    0x547fffff,0xfc803fff,0x001effff,0x806fffd8,0xfffffffb,0x27fffc84,
    0x8dfffffd,0xfffffffd,0x0fffffff,0xffffffb1,0x6c47dfff,0xffffffff,
    0x1a8803ef,0x7fffecc0,0x7ffecc4f,0x3ff624ff,0xffffffff,0xfd10ffff,
    0xfffb7dff,0xffffffff,0xa8154401,0xffc81fff,0xffffd886,0x7dfd01ef,
    0x0000d400,0x00017971,0xffffffb1,0xffb307df,0xfd989fff,0x5c04ffff,
    0x43701541,0xfffffffe,0xfd2fffff,0xffffffff,0x3f625fff,0xffffffff,
    0x3fff663e,0x7fecc4ff,0x3ffa4fff,0xffffffff,0xfffb32ff,0xffd989ff,
    0x3f624fff,0xffffffff,0xfffd983e,0x003effff,0xd9800d4c,0xd83effff,
    0x2a6003ff,0x65c40001,0xffd8800b,0xfd01efff,0x66665c7d,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05d30000,0x01a80540,0x00e20350,
    0x0f621ecc,0x003d5000,0x05300000,0x333100a2,0x4c001333,0x10007102,
    0x5551009b,0x02e00155,0x03333300,0x80013331,0x0000000b,0x0002aa98,
    0x21599751,0x2a017000,0x776d4001,0x200ceeee,0x01ec43d9,0x33333333,
    0x01540013,0xb10f6600,0x09999807,0x40099998,0xeeeeeeda,0x0055000c,
    0xddddd910,0x500005bd,0xd12f4400,0x3ea0000b,0x5ff3002f,0xe802fec4,
    0x800fd80e,0x3ff20ffd,0x1ff90001,0x03bee000,0x541bfb00,0xfffb01ff,
    0x00dfffff,0x07f203f6,0x404fe980,0x1ffffff8,0x01fff440,0x7fffffcc,
    0xfffff92f,0x7ffd1009,0x01df7000,0x005ffc80,0x7fffff44,0x4c05feff,
    0x005f884f,0x7fffffec,0x3ff601ff,0xf307ff20,0xffffffff,0xfe980bff,
    0x005b31ef,0xffc83ff6,0xfffffa81,0xfffff15f,0x7ffec0df,0x401fffff,
    0xb31effe9,0x7fffcc05,0x0005ffff,0x6400bf62,0x05ff51ff,0x02ffc800,
    0x7d6ffe40,0xbf5001ef,0x009f9315,0x0ff51bee,0x03ffb100,0x01fffc00,
    0x36bffa60,0x3ffa03ff,0x07ffffff,0x9315df30,0x7fd400bf,0xffff9804,
    0x3fee01ff,0x2e00dffe,0x4fffffff,0x0dfffffd,0xdffeffb8,0x0fffe000,
    0x00bff900,0x7fffffcc,0x807fffff,0xfea89cfd,0x99988001,0x7dc00999,
    0x7dc3fd46,0xffffffff,0x3fe207ff,0x2ffeffdc,0xfa8df700,0xfffff707,
    0x3fffeadf,0x26200fff,0x40099999,0xeffdcff8,0x999802ff,0x20000999,
    0x32005fe9,0x05ff91ff,0x00f7e400,0x4fffe980,0xffffd800,0x402000ef,
    0x1dfb0000,0x1ffd8000,0xdfff9000,0xfdcc9803,0x2001ccef,0x1ffffffc,
    0x005ff500,0x0fff65cc,0xfd33ffc8,0x3f6e201f,0xff50bcef,0x7e4039ff,
    0x01ffd33f,0x0007ff60,0x26007995,0xa9bcefff,0x400ffffc,0x4ffffff8,
    0x10000000,0x665c4020,0xcccdffec,0xfd50dc01,0x1008005d,0x67ffdc40,
    0x3ffb2e1c,0x4000002d,0x0bbfaa1b,0x00008040,0xd8009ff5,0x03ff91ff,
    0x00065c00,0x0000f640,0x00037b71,0x09900000,0x006e2000,0x0009d300,
    0x40007ff5,0x4001cdb8,0x360001d9,0x03b901ff,0xff9801d7,0x0ffffcc5,
    0x75c0ee40,0x00371000,0x3ffa0000,0x01ffe205,0x000bdc98,0x055e5cc0,
    0xfb000000,0x0200003f,0x3a000000,0x17fdc07f,0x98099998,0x04000999,
    0x742ff880,0x3fe8003f,0xb0ffd800,0x000003ff,0x00000000,0x13333000,
    0x00133330,0x00000000,0x3ea00000,0x0000003f,0x7ec00000,0x06aaa61f,
    0x4bff3000,0x000efffa,0x00000000,0x37fd4000,0x00037e40,0x7ff4c000,
    0x4c03ffff,0x99999999,0x01ffd800,0x26019988,0x33300999,0x33333333,
    0x0ffd0133,0x7d42ffb8,0xf35fffff,0x30dfffff,0x33333333,0x127fcc01,
    0x13000bff,0xffe80620,0x1001ffb0,0x4ccc0333,0x33333009,0x99980033,
    0x99999999,0x3ffea099,0xfff35fff,0x3330dfff,0x02666201,0x26666666,
    0x80999999,0x99999999,0x20099999,0x98003ffa,0x99999999,0x33333100,
    0xffb00013,0x17fffea3,0x2bff3000,0x800dfffb,0x99809998,0x33333019,
    0x2a013333,0x00fffffe,0x44017fec,0x4ccc400b,0xb8000999,0xffffffff,
    0x7ffcc0df,0xffffffff,0x00ffec05,0x113ffffa,0x4dffffff,0xfffffff9,
    0x3fffffff,0x7dc07fe8,0x7fffdc2f,0xffff56ff,0x3fe61fff,0xffffffff,
    0x7036e05f,0x0260001b,0xff107ff3,0x03ffd33f,0x44ffffe8,0x6ffffff8,
    0x3fffffe6,0x2603efff,0xffffffff,0x23ffffff,0x6ffffffb,0xfffffff5,
    0x3ffffe21,0x7ffffd46,0xffffff34,0xffffffff,0x7ffffcc7,0xffffffff,
    0x0ffea03f,0xfffff980,0x45ffffff,0xfffffffd,0x7fec006f,0x0bffff51,
    0xddff9800,0xf5005fff,0x3e2bffff,0xf30fffff,0xffffffff,0xfffd0bff,
    0xfe801fff,0xf900000f,0x09ffffff,0xbefff980,0x46fffca9,0xfffffffb,
    0x6c07ffff,0x3fe201ff,0x3ea1ffff,0x70ffffff,0xffffffff,0x07ffffff,
    0xffb80ffd,0x67ffdc42,0x3ffb2e1c,0x3fffee1d,0x7fffffff,0xb8800000,
    0xfbcefffd,0x3ffa64ff,0xffffffff,0xffff881e,0x3ffea1ff,0xff70ffff,
    0xffffffff,0xfff703df,0xffffffff,0x7dc47fff,0x32e1ccff,0x3e61dffe,
    0x7e46ffff,0xff75ffff,0xffffffff,0x7dc7ffff,0xffffffff,0x203fffff,
    0x2e003ffa,0xffffffff,0x7ff47fff,0x07ffffff,0x730ffec0,0x98000bff,
    0x1fffffff,0xfffff900,0x3ffffeaf,0xfffff71f,0x0fffffff,0x1fffffd7,
    0x0006ff80,0x3fffff60,0xd1000fff,0x3fe60bff,0x3332e23f,0x1cccdffe,
    0x200ffec0,0x46ffffca,0x42dffdca,0xccceffcb,0x83ffdccc,0x7fdc07fe,
    0xb80ffd02,0x665c42ff,0xcccdffec,0x4c000001,0xffffffff,0x7fdc6fff,
    0xffffffff,0xff9504ff,0xfdca8dff,0x7ff5c2df,0xffffdccc,0xeffcb80f,
    0xfdcccccc,0x407fe83f,0xfda82ffb,0x7ff441ff,0x3ff2e0bf,0xdcccccce,
    0x7fe5c3ff,0xdcccccce,0x3fea03ff,0x332e2003,0xcccdffec,0x7fee64c1,
    0x6c001cce,0x2ffc41ff,0x3ffe6000,0x801fffff,0x21ceffc8,0x222fffca,
    0xdffecccb,0xfd801ccc,0x837fc00f,0x01999998,0x3fff32e2,0xff9003ff,
    0x0fff980b,0x0007ff60,0x3a003ffb,0xfb83ffff,0x0bff103f,0x7f41ffdc,
    0x817fdc07,0x7fdc07fe,0x01ffd802,0x517fff62,0x260ffffb,0xedceffff,
    0x6440ffff,0xffeefffe,0x7f400cef,0xffb83fff,0x301ffb03,0x3e20dfff,
    0x0ffee05f,0xff701ffa,0x13ffa205,0x2207fff1,0x3fee05ff,0x205ff883,
    0x3ea03ffb,0x802e603f,0x2a001ffd,0x360003ff,0x2ffc41ff,0x7cc00133,
    0xfffebfff,0x05ff9801,0x3f601bfe,0xffd8001f,0x5437fc00,0x7fffffff,
    0xfffffa80,0x03ffd006,0x6c05ff90,0x7ec001ff,0xfffd001f,0x3ffb81ff,
    0x208bff10,0x7fe82ffa,0xe817fdc0,0x17fdc07f,0x700ffec0,0xfe8bffff,
    0xff887fff,0x3ffe60df,0xbff303ff,0xe8017fe2,0x5c0fffff,0x1ffb03ff,
    0x207ffe60,0xf5045ff8,0x80ffd05f,0x3e602ffb,0x17ff61ff,0x5045ff88,
    0xbff105ff,0x80bfea08,0x3fe03ffa,0x007ff603,0x0003ffa8,0xff107ff6,
    0x7dffff9d,0x43fff300,0xf9807ffd,0x01bfe05f,0x20007ff6,0x7f400ffd,
    0xfffffc87,0x7ec01fff,0x801ffeaf,0xff3006ff,0x00ffec09,0x4007ff60,
    0x45ffeffe,0xff103ffb,0xee8b7d4b,0x5c07fe80,0x0ffd02ff,0xd802ffb8,
    0x3f6201ff,0x7ff5c5ff,0x45ffa87f,0x7ffefff8,0x3e69ff30,0x3ffa005f,
    0x7fdc5ffe,0x401ffb03,0xff885ffa,0x7745bea5,0x5c07fe80,0x7fe402ff,
    0x401fff56,0x5bea5ff8,0xff880ee8,0x7745bea5,0x40ffea00,0x3f605ff8,
    0x3fea001f,0x3ff60003,0x7ffffc41,0x404fffff,0xffe85ff9,0x02ffcc03,
    0xffb00dff,0x1ffb0003,0x440ffd80,0x3fffcccb,0xfbbffc40,0x27fcc04f,
    0x205ff880,0x6c001ffd,0xffd001ff,0x7dc5fff3,0x3dff103f,0xb001ffb3,
    0x7fe403ff,0xb80ffd01,0xffd802ff,0x05ff8801,0x3ff61ffe,0x23bffa20,
    0xffa81ffe,0x4009ff34,0x2fff9ffe,0x7ec0ffee,0x1bfe200f,0x3667bfe2,
    0x7fe800ff,0x4017fdc0,0x2fffcffe,0x4cf7fc40,0xf8800ffd,0x0ffd99ef,
    0x40ffea00,0x3f605ff8,0x3fea001f,0x3ff60003,0x7ffffc41,0x01ffffce,
    0x3e617fe6,0x3fe600ff,0x201bfe05,0xd8001ffd,0x7fdc00ff,0x00ffe804,
    0xff8a7fe4,0x0ffea00f,0x3606ff80,0x7ec001ff,0x1ffd001f,0x3ee1fff7,
    0xffff103f,0x9003ffff,0x3fe209ff,0x80ffd00f,0xfd802ffb,0x5ff8801f,
    0x3fe1ffe0,0x43bffa27,0x3ff22ffc,0xffffffff,0x8ffe803f,0xff70fffb,
    0x003ff607,0xfff10fff,0x003fffff,0xffb80ffd,0xffff9802,0xfff8805f,
    0x801fffff,0xfffffff8,0x3fea001f,0x40bff103,0x2a001ffd,0x360003ff,
    0x7ffc41ff,0x027fdc1e,0x3f20bff3,0x3ffe604f,0xffffffff,0x01ffd806,
    0x400ffd80,0x100cfff8,0xff801ffd,0x80fff20f,0xf1005ff9,0x0ffec0bf,
    0x007ff600,0xffe87ff4,0x2207ff74,0xffffffff,0x2fffa801,0xd037fec4,
    0x2ffb80ff,0x801ffd80,0x3fe05ff8,0xe88ffe87,0x3ffa0fff,0xffffff11,
    0x0fffffff,0x3fa1ffd0,0x207ff74f,0x7f400ffd,0x7fffc40f,0xe801ffff,
    0x17fdc07f,0x0ffffc80,0xfffff880,0xf8801fff,0x1fffffff,0x7ffff540,
    0xffffffff,0x07ff605f,0x003ffa80,0xf107ff60,0xdff101df,0xfffffb10,
    0x7fffc43b,0x7fffcc0d,0x6fffffff,0x001ffd80,0xb800ffd8,0xdccdffff,
    0x200ffffe,0x7fcc5ffa,0x8037fc06,0x3f604ffa,0x3ff6201f,0xefffffff,
    0x261ffd03,0x3ffb9fff,0xfddfff10,0x3f6003ff,0xfffdcfff,0x01ffa01f,
    0xfb005ff7,0xbff1003f,0x7ec3ffc0,0x21fffecf,0x7f5c7ffa,0xeffeeeff,
    0x0ffe802d,0xff73fff3,0x003ff607,0xfff10ffd,0x003fffdd,0xffb80ffd,
    0x0bffa002,0x777ffc40,0xf8801fff,0x1fffeeff,0x7fffffc0,0xffffffff,
    0x07ff605f,0x203ffa80,0x3ffb00b9,0x3e05ff88,0xffffb86f,0x7fe44fff,
    0x7ffcc3ff,0xffeeeeee,0x01ffd806,0x7fffff5c,0x80dfffff,0xfffffffc,
    0x6c06ffff,0xfccccdff,0x3ffa01ff,0x02ffe802,0xfb807ff6,0xffffffff,
    0x1ffd07ff,0x7fdf7fe4,0x64bff103,0x4402a0ff,0xfffffffc,0x07fec02f,
    0xb003ff90,0xff1003ff,0x4c3ffc0b,0x11ffffff,0x3209ffd7,0x05ff71ff,
    0xf907ff40,0x207ff7df,0x3e200ffd,0x25ff886f,0x202a0ffc,0x3f200ffd,
    0x3ff6001f,0x4bff1001,0x202a0ffc,0x3ff25ff8,0xffd702a0,0xffffffff,
    0x7ec0bfff,0x3fea001f,0x6c0ffe03,0x2ffc41ff,0xfb10dff0,0x983dffff,
    0x7cc0dfff,0x01bfe05f,0xf8807ff6,0xffffffff,0xb103ffff,0xbffffffd,
    0xffff8803,0x4fffffff,0x701bfee0,0xffd80dff,0x3fff6201,0x3effffff,
    0xfe81ffd0,0xf103ffff,0xf7274cbf,0xfffe980d,0xffc800ef,0x003ffa04,
    0x22007ff6,0x1ffe06ff,0x5f7fffe4,0x00effffd,0x3ff23ffb,0x03ffa001,
    0x07fffffd,0xf9803ff6,0x25ff885f,0x21bee4e9,0x3fa04ffc,0x3ff6000f,
    0x4bff1001,0x21bee4e9,0x93a65ff8,0x000006fb,0x4003ffb0,0xff103ffa,
    0x107ff60b,0x37fc0bff,0xf9800000,0x01bfe05f,0xf9007ff6,0xffffffff,
    0x26001bff,0x3f2001aa,0xffffffff,0x3f600fff,0xfffb81ef,0x00ffec02,
    0x4003ff30,0x7fd40ffe,0xff103fff,0x00ffd80b,0x2000bfe8,0xfd82fffa,
    0x3ffb006f,0x30fff100,0x3f60fffb,0xffffffff,0x87fec05f,0x3a001ffc,
    0x7ffd40ff,0x1ffb03ff,0x20fffa20,0x7ec05ff8,0x17ffd40f,0x20037fec,
    0xf1001ffd,0x0ffd80bf,0x3602ffc4,0xab8800ff,0x1ffd8000,0x40ffea00,
    0xffb05ff8,0x205ff883,0x644006ff,0x2ffcc002,0xfb00dff0,0xff98003f,
    0x2ae20001,0x5fffc000,0xfdaaaaaa,0x3ffe203f,0xfffeccdf,0x01ffd804,
    0x00c53ea0,0x7ec07ff4,0xff103fff,0x00ffe80b,0x00151fe8,0x373ffff6,
    0xb001ffff,0x3fa003ff,0xfffecbef,0x3ff61dff,0xdfffffdf,0xb0ffe803,
    0x7f4001ff,0xffffd80f,0x881ffb03,0xf106ffea,0x0ffe80bf,0xdcffffd8,
    0x4001ffff,0xf1001ffd,0x0ffe80bf,0x3a02ffc4,0xffa800ff,0x1ffd8007,
    0x40ffea00,0x2aa25ff8,0x7fc41ffe,0x001bfe05,0x4c00bff7,0x1bfe05ff,
    0x0007ff60,0x00511df3,0x400fff50,0x7cc05ffa,0x7ff4c06f,0x83ffffff,
    0xffffffd8,0x7403efff,0xb100ffef,0x447dffff,0x6c43ffff,0xffffffff,
    0x00ffffff,0x04ffffa8,0x3fffff60,0xfb102fff,0xffffffff,0x3ffea07d,
    0xffffffff,0x43fff34f,0x7f4001a8,0x2003ffa7,0x3effffd8,0x10ffffe2,
    0xfffffffb,0x883fffff,0xfffffffd,0x0fffffff,0xffffffb0,0xfb1005ff,
    0x7dffffff,0xfffffb10,0xffffffff,0x3fff621f,0xffffffff,0x5d400fff,
    0x36201feb,0xffffffff,0x7ff543ef,0xffffffff,0xfff15fff,0x7f643fff,
    0x3fae1eff,0xbb802eff,0xec800ffb,0x3f23efff,0xfb12efff,0xffffffff,
    0xfffd007d,0x5dd4001f,0x7ec401fe,0x6c43efff,0x403effff,0x1efffffc,
    0xffffff70,0x80ffffff,0x2e02efd9,0x47ffffff,0x7dc3fffa,0xffffffff,
    0x00ffffff,0x001bfd70,0xefffffb8,0x3fffee00,0x7fffffff,0x3ffffea0,
    0x21efffbe,0xd00001fe,0x803fecdf,0x7ffffffb,0x2e1fffd4,0xffffffff,
    0xfb81efff,0xffffffff,0x00ffffff,0x3bffffee,0xffff7000,0x70ffffff,
    0xffffffff,0x1fffffff,0x3fffffee,0xffffffff,0x7ffec00f,0x7fffdc06,
    0x7fffffff,0x7ffffffc,0xffffffff,0xffffff35,0x3ffffe63,0xfffff15f,
    0xfffd00df,0xffff300b,0x3ffeafff,0xfff76fff,0xffffffff,0x7dfb300f,
    0x6fffd800,0xfffffb80,0x7fffdc7f,0x353007ff,0xffffb100,0x07dfffff,
    0x7fecc000,0xffd83eff,0x7fffec43,0xffffffff,0x000000ff,0x4004d4c0,
    0xffffffd8,0x9803efff,0x000000aa,0x64c39300,0xfffb3001,0x7ffb07df,
    0xfffffd88,0x2202cdff,0xfffffffd,0x0fffffff,0x0009a980,0x7ffffec4,
    0xfd883eff,0xffffffff,0xb10fffff,0xffffffff,0x01ffffff,0x400bcb88,
    0xffffffd8,0x75c3efff,0xffffffff,0x265fffff,0x360ccccb,0x322effff,
    0x803effff,0xb000bcb8,0x227dffff,0x13effffd,0xfffffffb,0x00007dff,
    0x01797100,0xfffffb30,0xffffd989,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3076a000,0x2e00005b,0xb9803ded,0x26000abc,0x001ec42d,
    0xb500006a,0x19dddddd,0x0bdeca80,0x0b220000,0x03b10000,0x66665d44,
    0xeeda803c,0x000ceeee,0xaaaaaa88,0xdddb500a,0x10019ddd,0x01333333,
    0x33333300,0x13333333,0x00031000,0x0000c413,0x20000000,0x00001cd9,
    0x21400014,0x0000000a,0x00000198,0x8000d400,0x5c400009,0x8571002d,
    0x6ff80bda,0x20003ff4,0x4fffffd8,0xfffffd30,0x3ff6007f,0x2003ff20,
    0xd50dfffb,0x3fff6003,0x201fffff,0x0efffffc,0x15997300,0x00007ff4,
    0x3e609f50,0x6fffffff,0xfffffd80,0x93001fff,0xfffffffd,0x3fff609f,
    0x401fffff,0xfffffffc,0x3ffe6004,0xffffffff,0x5c003fff,0xafdc006f,
    0x836407f9,0x9d3000fa,0x373e6000,0xd880000f,0xfd10002f,0x6c80ff63,
    0xfb101f50,0xffffb5ff,0x506c801b,0x3fdc001f,0x002fe800,0x013efba0,
    0x7fcc7ffa,0x644fd84f,0x7ec0005f,0xb85fffff,0xffffffff,0x37dc00ef,
    0x3e601bea,0xffeffecf,0x26662000,0x3f200999,0x0effcadf,0x3ffffa60,
    0x06ffdcff,0x41fe4000,0xccccfff9,0x331006fd,0x20013333,0xeffffffb,
    0x2201deff,0x00999999,0xffffffd8,0xff7000ff,0xffffffff,0x4007ffff,
    0x2e001ffc,0x03ff99ff,0x3fa21fe4,0xefffc800,0x7b26c001,0x5fe98000,
    0x29fd1000,0x3f200efd,0x5c07f443,0xffffffff,0x2e01ffff,0x007f443f,
    0x0001ffb0,0x30009ff5,0x7f403d4f,0x0dfff90f,0x20000402,0xa98bfff9,
    0x5f7ffcc0,0x05fffca9,0x22001008,0x077fee0b,0x3e600000,0x702ff83f,
    0xffffffff,0x3303ffff,0x33330133,0xf903ff73,0x001be60b,0x7ffdc000,
    0x05fb7f9c,0x97100000,0x07fffff9,0x677fe5c0,0xffdccccc,0x0efe8803,
    0x267fee00,0xff8803ff,0x403ffdce,0xffdaffe9,0x2e972004,0x13fe6000,
    0xda7f4400,0x7fc400ef,0x103ffdce,0xbffffffd,0x440bfffb,0x3ffdceff,
    0x00ffec00,0x005fe980,0x006b87c4,0x37ffe413,0x2e000000,0x7f4404ff,
    0x7fff305f,0x40000000,0x99998000,0xd8099999,0x309f905f,0xb737dfff,
    0xfa87ffff,0xf35fffff,0xffffffff,0x7c40bfa0,0x4cccc405,0x3fa00099,
    0x3f6ff12f,0x33333302,0x13333333,0xfffff500,0x5ff8800d,0x200ffee0,
    0x7c000dfb,0x4005fb1f,0x03efffc9,0x3ea0dfd8,0xfdf1001f,0x3fe8000f,
    0x4d3ee000,0xf93000ef,0xfb007dff,0x7ff887ff,0x77ffe4c0,0x1ffd8003,
    0x0bf62000,0x05fdfb00,0x1bffee00,0x26666662,0x7fe40000,0x02ffe401,
    0x3303ffe6,0x26662013,0x26666200,0xff300099,0xffffffff,0x302ff8bf,
    0x0bffd0df,0xb89ffff1,0x56ffffff,0xffffffff,0x40bfd105,0x3fff200a,
    0x1004ffff,0xdbfc4fff,0x7fffcc2f,0xffffffff,0xffd803ff,0x2001ffea,
    0xf5045ff8,0x0051005f,0x00188260,0x198002a0,0xb8800510,0x00980002,
    0x0060c400,0x36000a80,0x3ffb02ff,0x80002a00,0x80001ffd,0x01730001,
    0x2fffdc00,0x3ffffff2,0x7e40004f,0x07ff401f,0xf897fec0,0x7d46ffff,
    0xfc84ffff,0x04ffffff,0xffffff70,0x4cffffff,0x7edcc0ff,0xd82ffe46,
    0x220fffff,0x21ccfffb,0x0bdffecb,0x1effffb8,0xffffd800,0x9800ffff,
    0x6dfe26ff,0x7fffdc2f,0xffffffff,0x7fc403ff,0x4009ff77,0x5bea5ff8,
    0x98800ee8,0x01300009,0x00098800,0x00013310,0x804c0000,0x00000009,
    0xfd800260,0x03ff900f,0x3f600000,0x9988001f,0x33310001,0xfa93ea00,
    0x7ffec4ff,0x000fffff,0x7fffff64,0x2ffc42df,0xf33ffa80,0xfc8dffff,
    0xfd85ffff,0x0fffffff,0xecccb880,0x21cccdff,0x7ffe47fa,0x40fff46f,
    0x3ffdfffc,0x7dc07fe8,0xbdff302f,0x88007fff,0xfffffccb,0x23fff003,
    0x705fb7f8,0x9999dff9,0x807ffb99,0xfff14ffc,0x3bfe2001,0x000ffd99,
    0xdfffff91,0x36e203d9,0x001cefff,0xbdffffb1,0xfffc8803,0x221eceff,
    0x6d45fffd,0xd7107fff,0x3ee3dfff,0xffd884ff,0x7ffed45f,0x3ff6e207,
    0x7ec01cef,0x23ff900f,0x545fffd8,0x5c47fffd,0xefffeeee,0xd982deee,
    0x1dfffffe,0x7fff6cc0,0x3f601dff,0x89fff30f,0xffffccb8,0x3fe6003f,
    0x6fffffff,0x88027fcc,0x3ff6a5ff,0x7fff441f,0xfccb880b,0x0003ffff,
    0x7d403ffb,0x3f7fff25,0x7d437fc6,0x84ffaaff,0x7fdc07fe,0x744bf702,
    0xa8002eff,0x006fffff,0xff15dff9,0x7fc40bf6,0x00ffee05,0x7fe41fff,
    0xffff1003,0x3003ffff,0xffffffff,0xffd109ff,0x05ffffff,0xffffffb8,
    0xff304fff,0xffffffff,0x2ffffdc9,0x41fffffa,0xfffffffd,0x0dfffffe,
    0xd17fffee,0x220fffff,0xfffffffe,0x03ff602f,0xffb8ffe4,0x7fff45ff,
    0x7fffec7f,0xffffffff,0x3ffe20ff,0x1fffffff,0xffffff10,0x3a03ffff,
    0x7fff11ff,0x7ffffd40,0x7ffec006,0x542effff,0x3fe003ff,0x227ff446,
    0x5003fff8,0x00dfffff,0xb807ff60,0x267ff15f,0x113fe66f,0x3fe69fff,
    0x5c07fe85,0x5ff102ff,0x00dfffb8,0x3fabff60,0xfff9001f,0x40bf6ffd,
    0xf5045ff8,0x2ffd405f,0x4401bfe6,0xffffffff,0xeffff801,0x45fffedd,
    0xdcefffe8,0xf703ffff,0xffd9dfff,0xffff07ff,0xbfffdbbd,0x22fffec4,
    0x907fffeb,0xfffdbfff,0x49fffbff,0x5c5fffd8,0xe887fffe,0xffdcefff,
    0x1ffb03ff,0x6c47ff20,0x7f5c5fff,0x7ffdc7ff,0xffffffff,0xffff86ff,
    0x07fffdce,0x373bfffe,0xfff07fff,0xb017ffc5,0x03ffd5ff,0x807ff200,
    0xf1004ff9,0x3fff30bf,0xb002ffec,0x03ffd5ff,0x403ffb00,0x4cdf55fb,
    0x893fea6f,0x37fc5ffe,0x3ee03ff4,0x13ff202f,0x005fff91,0x3feefff1,
    0x3ffae004,0x2205fb7f,0x45bea5ff,0x3ff600ee,0xfffccccd,0xefff8801,
    0x4c01fffe,0xffa80eff,0x40f7ff44,0x7cc2fffb,0x7e440dff,0x3bfe60ff,
    0x884ffa80,0x1ffe05ff,0x7fff4098,0x881fff32,0x1ffe05ff,0x2e07bffa,
    0xffd82fff,0x883ff900,0x1ffe05ff,0x7feccccc,0x3100999a,0x403ffa01,
    0x1ffd0098,0x3e2fff88,0xfff101ff,0x40013fee,0x3e201ffc,0x9ff5006f,
    0x7d5bff20,0xff1000ff,0x0013feef,0xfb807ff6,0x37ccdf35,0x7fecdff3,
    0x217fe20f,0x7fdc07fe,0x177fdc02,0x9007ffa6,0x3ffe29ff,0xbfdcc000,
    0xdff102fd,0x001ffb33,0x3fffffe2,0x804fffff,0x3ff25ff8,0x3ffa02a0,
    0x105d41ac,0x7dc01fff,0x02ffe45f,0xffd13ff6,0x80ba8359,0x3fe05ff8,
    0xfdaa9807,0x21ffec5f,0x3fe05ff8,0x007ffc47,0x7eccbff7,0xffc84eff,
    0xf02ffc41,0x3ff600ff,0x554c4001,0x401ffd9a,0xfd9aaa98,0x1fffcc1f,
    0x3f203ffd,0x01fff14f,0x803ff900,0xfe801ffe,0x33ffa02f,0x32002fff,
    0x1fff14ff,0x01ffd800,0x8bfe97ee,0x3ffe26f9,0x541fffb8,0x07fe83ff,
    0x54017fdc,0x7ec1efff,0x907ffc05,0xf10007ff,0x7c40bf6f,0x1fffffff,
    0xfffff900,0x1fffffff,0x265ff880,0x2e1bee4e,0xceffffff,0x405ffa81,
    0x7ff47ff8,0xeeeeeeee,0x7fdc6ffe,0x01ceffff,0xff817fe2,0xffffd307,
    0xdddddfff,0x5ff88bff,0xff51ffe0,0x27ff880b,0x1ffffffd,0x3e20ffe4,
    0x01ffe05f,0x8800ffec,0xfffffffc,0xff9101ff,0x3fffffff,0x364fffa8,
    0x83ffe07f,0xc8003ffc,0x7fdc01ff,0x037fdc06,0x17ffffe6,0x641fff00,
    0x7ec003ff,0xb97ea01f,0x20ffffff,0x3fffcffe,0xfe82ffe8,0x017fdc07,
    0x23fffc88,0x3fea07f8,0x0037fcc5,0x02fdbfc4,0xfffffff1,0x3ffe003f,
    0xdaaaaaab,0x7fc403ff,0x407fec05,0xfffffffc,0x00ffec4f,0xfff0ffec,
    0xffffffff,0xff90ffff,0x09ffffff,0xff817fe2,0xfffffc87,0xffffffff,
    0x7fc45fff,0xfb1ffe05,0x3ffb003f,0x17ffffaa,0xff107ff2,0x803ffc0b,
    0xf9801ffd,0xffffffff,0xfff981ff,0xffffffff,0x12fffd41,0x17fea039,
    0x9000dff3,0xffd003ff,0x5fff701d,0x1ffff900,0x22ffd400,0x6c006ff9,
    0x1be201ff,0x45ffffb3,0x84fffffa,0xfe80effb,0x017fdc07,0x3bbff620,
    0x3ff605ff,0xfffccccd,0xdbfc4001,0xdfff102f,0x5003fffd,0xff980bff,
    0x02ffc406,0x54403ffa,0x5ffffedb,0x3a00fff2,0x3fffa0ff,0xffffffff,
    0xb75107ff,0x10bffffd,0x3ffc0bff,0x2f7bffe6,0xffffffec,0x7fc46fff,
    0xf91ffe05,0x1ffd007f,0x83ff9000,0x3fe05ff8,0x03ffb007,0xceffff88,
    0x41fffdcb,0xbceffff8,0x5c1fffdc,0x36006fff,0xfccccdff,0x7e4001ff,
    0xfff9801f,0xfffeccdf,0x0bffa005,0x99bffb00,0x003fff99,0x3e00ffec,
    0xd0133107,0xff70dfff,0x03ff603f,0x0001ffc8,0x03dffff7,0x3fffffe2,
    0x004fffff,0x02fdbfc4,0x7fe4bff1,0xffd882a0,0x7ec43eff,0x6c43efff,
    0xffffffff,0x20ffffff,0x3fea02d9,0x01fff30f,0x3f637fdc,0x5b30003f,
    0x207ffd40,0x3fe06ff8,0x6c2ffdc7,0x3e2004ff,0x31ffe06f,0x7dc01fff,
    0xfff0006f,0x7c0dff10,0x1ff9007f,0x00effb80,0xffb83ff9,0x83ff900e,
    0x1007fffc,0xffffffff,0xc8009fff,0xff3001ff,0x7fffffff,0x01ffd800,
    0x3ffffe20,0x04ffffff,0xd007ff60,0xffb0007f,0xffd99dff,0x27fe409f,
    0xa801ffd0,0x807ff500,0xfffffffc,0x000fffff,0x817edfe2,0x93a65ff8,
    0x3ffee6fb,0x7fdc7fff,0x7dc7ffff,0xffffffff,0x20ffffff,0x3f602ffd,
    0x077ffe2f,0xa87fff51,0x54c02fff,0xd80bff60,0x3ffc42ff,0x2a3ffecc,
    0x7ff4c5ff,0x7c414c0f,0x7ffd987f,0x441dfff8,0x4003fffa,0xf886ffb8,
    0x7ffd987f,0x9009d300,0xff9107ff,0x83ffc83f,0x641fffc8,0x06e26fff,
    0x3ffffff2,0x00ffffff,0x8003ffa0,0xdfffffd8,0x1ffd8002,0x3ffff200,
    0xffffffff,0x03ffb000,0x54006fb8,0xffffffff,0x7d404fff,0x6ffd82ff,
    0xfd02fcc0,0xabfff805,0xffdaaaaa,0x6dfe2003,0x0bff102f,0xfb30ffd8,
    0xd989ffff,0x444fffff,0xfffffffd,0x0fffffff,0x2f3bfffa,0x20ffffdc,
    0xdbeffffa,0xd80dffff,0xdcbdffff,0x3fa6fffe,0xfdcbceff,0xffe80fff,
    0xffffecbe,0x3bffe1df,0xefffffdb,0xe84fffdb,0xffecbeff,0x3ea1dfff,
    0xffdbefff,0x6cc00dff,0x03ffffee,0xfd97dffd,0x003bffff,0x6fffdc00,
    0xfffffdcb,0xbfff71df,0xfffffb97,0x3ffe63bf,0xff07ffa3,0x5555557f,
    0x26007ffb,0x744007ff,0x5c42efff,0x01ffd800,0x2aafffe0,0x3ffdaaaa,
    0x003ffb00,0x45f70bfb,0xfdbcfff8,0xb001efff,0xfdb9ffff,0x6fa803ff,
    0x5403ff30,0x7fcc05ff,0x6dfe2006,0x0bff102f,0x0000ffe8,0x80000ef8,
    0xfffd82fc,0xffffffff,0xfffff982,0x2205ffff,0xfffffffd,0x3f66ffff,
    0xffffffff,0xfff502ff,0xffffffff,0x7fffd49f,0xffffffff,0xfa84ffff,
    0xffffffff,0x7fcc4fff,0x5fffffff,0xfffffb00,0x7ffd409f,0xffffffff,
    0xfffdd34f,0xdfffffff,0xfffffe89,0xffffffff,0x3fffffa4,0xffffffff,
    0xfe833ae4,0x017fea0f,0x32a0dff3,0x005ffeaa,0x3fffffa2,0x05ffddff,
    0x5001ffd8,0xff980bff,0xffffd886,0x83efffff,0xffeefff8,0x117ff22f,
    0xfb000135,0x5fffffff,0x999ff500,0x220bffd9,0x43effffd,0x3effffd8,
    0x3ff99730,0x36239bfd,0xffffffff,0x00ffffff,0x5cf7c400,0x27fa0003,
    0x3fb7ea3a,0x01dfffff,0x3fffff66,0xfff5003e,0x17dfffff,0x7fff6fd4,
    0x5401dfff,0xfbefffff,0x7f4c1eff,0xfddecfff,0x2a03efff,0xfbefffff,
    0xfd981eff,0x003effff,0x0b3bffee,0x3ffffea0,0xb1efffbe,0xffffffff,
    0x43ffffff,0xffffffc8,0x21efffdc,0xffffffc8,0x01efffdc,0xffb10a88,
    0xfd887dff,0x3e23efff,0x00ffffff,0x3ffffee0,0x4fffffff,0xfffffd88,
    0xfd883eff,0x6c43efff,0x2e3effff,0xffffffff,0xfb307fff,0xf987ffff,
    0xb800000e,0x00efffff,0xffffff50,0x3ee01dff,0x5c7fffff,0x07ffffff,
    0xfdfffff9,0x3feebfff,0xffffffff,0x000fffff,0x06fffc80,0x3fffea00,
    0x13555100,0x001a8800,0x066aa620,0x09aaa880,0x00554c00,0x44055440,
    0x2a60009a,0x2a20000a,0x00000001,0x2a002aa6,0xffffffff,0x105fffff,
    0x10003555,0x00003555,0xffffff70,0xfffffb8f,0x7fffec7f,0x7fd4001e,
    0xfffdccdf,0xffff703d,0x70ffffff,0x8fffffff,0x7ffffffb,0x3fffff62,
    0x403effff,0x00001aa8,0x04d4c000,0x2aaaa200,0x6cc01aaa,0x4c4fffff,
    0x04fffffd,0x71799971,0x3f621799,0xffffffff,0x000fffff,0x0017b500,
    0x001cc980,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffd98,0x7fffecc4,0x165d444f,0x4c011000,
    0x7ffec400,0x983effff,0x44fffffd,0x4fffffd9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20018800,0x0cc004e9,
    0x00988000,0x88000000,0x20000099,0x28000098,0x00000000,0x0054000a,
    0x00005000,0x00000000,0x026000a0,0x00402000,0x55555555,0x00055555,
    0xa8015555,0x002ea82e,0x0dc40000,0x02aaa880,0x0026a000,0x15553000,
    0x44000000,0x00cdb801,0x20003d90,0x80000ce9,0xf9000ff9,0x1fec001f,
    0xfffd8800,0xdfffbbef,0xf880fa82,0xfffea802,0x4efff9df,0x64ffff5c,
    0x004fffff,0x8002fd88,0x980004e9,0x7cc001fe,0x6c40001e,0x9d30002f,
    0x076c4000,0x17ec4000,0x000bfe00,0x3fa17fc4,0xfffffd03,0x0dffffff,
    0x3ffffd80,0x446ffcc0,0x36402ffd,0x36000fa8,0x7fc401ff,0x900007ff,
    0x9515bfff,0xfffb0003,0x03d9007f,0x007fcc00,0x980bfff3,0x4004fffe,
    0x002ffffb,0x800ffea0,0x26001ffd,0x7dc005ff,0xffffffff,0xf986ffff,
    0x6c01fd85,0xffffffff,0xf11fffff,0xffffffff,0x003dffff,0x20017fa6,
    0x001efffc,0x0009ff50,0x4000bff2,0x90005fe9,0x8003dfff,0x003ffffa,
    0x0017fa60,0x20013fea,0x3fe24ff9,0xfffffd05,0x0dffffff,0x3ffffc80,
    0xffffe980,0x43fc802e,0x3e000fe8,0x7fc403ff,0x500007ff,0xffffffff,
    0xfffb0009,0x7ff4c07f,0xffb8004f,0x2fffcc03,0xff5bff70,0xffe8803d,
    0x8004ffcb,0x6c002ffc,0x744001ff,0xffa800ef,0xffffddff,0xfb02efff,
    0x80bfd99f,0xfedffffc,0x44ffffff,0xfffffffc,0x0ffffece,0x0027fd40,
    0x3f6bffa6,0x7fdc004f,0x7fdc0003,0x27fd4003,0x57ff4c00,0xfb004ffd,
    0x01dff79f,0x004ffa80,0x0017fa60,0x01b7036e,0x33333ff6,0x005ffdcc,
    0x003ffd98,0x88013ff2,0x3ffdceff,0x006fdc00,0x003ff544,0xffffd500,
    0x2a20005f,0xff903ffd,0x001dff7b,0x5c00bff2,0x5ff301de,0x32037ec4,
    0x0bfea0df,0x001ef880,0x000cffd8,0x7c403fd8,0xfff985ff,0x7f5c403f,
    0x3e600bef,0x3f660cff,0x7fec06ff,0x7ff4c0ef,0x0017f406,0xff506fec,
    0x07fe2003,0x07fcc000,0x0005fd00,0xffa837f6,0x10f7d401,0xfe8009fd,
    0xfe880002,0x50000002,0x1ffe409f,0xffffd100,0x066009ff,0x3fff2600,
    0x0000003e,0x40001ffa,0xffedfffd,0x7fdc0004,0x222ff983,0xef9805fd,
    0x0a800001,0x02880330,0x01500051,0xfffffb80,0x26000dff,0x02ffe400,
    0x4007fff3,0xbff90019,0x2037ff40,0x3a206ffd,0x002601ff,0x02880cc0,
    0x000004c0,0x01300062,0x2880cc00,0x02a02880,0x00001300,0x00000018,
    0x007ff400,0x7e4cc4cc,0x988009bf,0x00540000,0x80013100,0x004c47fe,
    0x7c42b2e0,0x133000ff,0x0a81ffdc,0x00a00350,0x0ccc0000,0x00ccc400,
    0x40066600,0xfffffffd,0x098802ff,0x401ffd80,0x98803ffd,0x3ffd0019,
    0x2037fdc0,0x7dc03ffd,0x0666203f,0x00013000,0x40000988,0x04c00009,
    0x00262000,0x00000000,0xd8800000,0x7ed45fff,0x7cc007ff,0x3ff6606f,
    0x3ffbaeff,0x7fffec40,0x000001de,0xdffffb10,0x3ffd003b,0x09fffff9,
    0x3fee1880,0x3fff6605,0x03ffbaef,0x00000000,0x3fffaa00,0x981dbdff,
    0xdfffffed,0xfffd5001,0xb83b7bff,0xfcacffff,0xffb103ff,0x3a03bdff,
    0x7fdc00ff,0xfffdb303,0x7fc03bff,0x037fc407,0xf5007ff6,0xffed989f,
    0x8801dfff,0x1cefffdb,0xffffb100,0xb71003bd,0x0039dfff,0x9dfffb71,
    0x3ff62003,0xb101deff,0xfda8bfff,0x7fec47ff,0x7ffed45f,0x2fffec47,
    0x71ffff6a,0xfe8bffff,0x64007fff,0xfff703ff,0xffffffff,0x7fffdc07,
    0x204fffff,0x0fffffea,0xfffff700,0xe809ffff,0xffffffff,0x36601eff,
    0xfebfffff,0xffffb80f,0x3fffffff,0xfffffd50,0xfffd5001,0x880001ff,
    0xfffffffd,0x7fc44fff,0xffffffff,0x3fff6201,0x4fffffff,0x2e0fffe2,
    0xfffb82ff,0x84ffffff,0x3e203ffd,0xfff883ff,0x1fffffff,0x5c03ffd0,
    0x7fec06ff,0x117ff405,0xffffffff,0x7f4403ff,0x2fffffff,0x7ffffdc0,
    0x2204ffff,0xfffffffe,0x3ffa202f,0x02ffffff,0x7fffffdc,0xffb84fff,
    0x7fff45ff,0x7fffdc7f,0x3fffff45,0xd17fffee,0xd88fffff,0x7f5c5fff,
    0x7fc007ff,0xffffb80f,0xffffffde,0xdffff703,0x07ffffd9,0x3ffffffa,
    0xffffb800,0x3ffffece,0x3fffffa0,0x0fffffdf,0xffffffc8,0x5c1fffff,
    0xffdeffff,0xfd03ffff,0x001fffff,0x1ffffffd,0xfffd8000,0xfffffdde,
    0xceffff85,0x3607fffd,0xffddefff,0x3fea5fff,0xb81dd106,0xfeceffff,
    0x7fdc3fff,0x7fff901f,0x33bfffe0,0xfb07fffd,0x37ff409f,0x40bfff60,
    0x7fc0fffb,0xfffdceff,0xdfffd107,0x07ffffb9,0x33bfffee,0x883ffffe,
    0xfdcefffe,0xfe883fff,0xfffdceff,0xffff703f,0x7ffffd9d,0x45fffd88,
    0x447fffeb,0x75c5fffd,0x7ec47fff,0x7ff5c5ff,0x0bff107f,0xf3003ffc,
    0xbfff30df,0x7fffe443,0x0dfff983,0x407ffe44,0x0fffffeb,0x06fffcc0,
    0x403fff22,0x222efffe,0x7dc5ffeb,0xffdbdfff,0x3fe62fff,0x3ff221df,
    0xffd703ff,0xd7001fff,0x001fffff,0x5fff7013,0x10bffd10,0x03ffa013,
    0x220bffee,0x3fee5ffe,0x7ffcc003,0x7ffe440d,0x3bfffa20,0xfffffc9b,
    0x3a013103,0xfffa80ff,0x3fff220b,0x7fffec06,0xffffc9be,0xfd009884,
    0x3dffd01f,0x985fff70,0x6440dfff,0x7ff40fff,0x2fffb81e,0x5c0f7ff4,
    0x7fcc2fff,0x7fe440df,0x05ff880f,0x7fc41ffe,0x441ffe05,0x1ffe05ff,
    0xff02ffc4,0x1ffe400f,0xf7037fe4,0xbff907ff,0x804ffd80,0x7e400ffd,
    0x27fec05f,0x300fffe8,0x3fe23fff,0x7fec40df,0x81bff24f,0xb003fffb,
    0xfb0001ff,0x3ffe801f,0xf101fffc,0x554c409f,0xf81ffd9a,0x3fe203ff,
    0x0013fee4,0xfd80bff9,0x7fff444f,0xffffffff,0x5554c403,0xfb01ffd9,
    0xfffb9fff,0xffd80dff,0xffffffff,0x554c405f,0x441ffd9a,0x3ee00fff,
    0x02ffe45f,0xff893ff6,0x97fee00f,0x2e00fff8,0x2ffe45ff,0x2213ff60,
    0x1ffe05ff,0xff02ffc4,0x817fe20f,0xbff107ff,0xf003ffc0,0x5ffd01ff,
    0x41fffc40,0xeeeeeffe,0x06ffeeee,0x7400ffd8,0xeeeeeeff,0xd06ffeee,
    0xffe809ff,0x203fff53,0x3fa5fff9,0x3ffe202f,0x01ffb003,0x401ffb00,
    0x3e26fff9,0x0edc00ff,0x7ffffe44,0x7c41ffff,0x0edc00ff,0x0401fff5,
    0x3bbbbffa,0x6ffeeeee,0xfffffc88,0x103ffdef,0xfffffff9,0x3fa203ff,
    0xffffffff,0x67fec06f,0x3fffffff,0x3ffff220,0x541fffff,0x7fc405ff,
    0x7777ff47,0xffeeeeee,0x1017fea6,0x2ffd4fff,0xfd1ffe20,0xdddddddf,
    0xf10dffdd,0x83ffc0bf,0x3fe05ff8,0x40bff107,0xbff107ff,0x9803ffc0,
    0x0fff06ff,0xff07ff90,0xffffffff,0xb00fffff,0xfff801ff,0xffffffff,
    0xffd07fff,0x94ffa803,0xffe80bff,0x3201ffe4,0xffb003ff,0x1ffb0001,
    0x264fff80,0x260005ff,0xffffffff,0x7fcc1fff,0x3ffa0005,0x87ff262d,
    0xffffffff,0x07ffffff,0x54af32a6,0xfff983ff,0xffffffff,0x7fffdc01,
    0x406ffbef,0x99950ffd,0x7ffcc015,0xffffffff,0x400ffec1,0x3ffe1ffd,
    0xffffffff,0x3ff67fff,0xb1ffd801,0xffb003ff,0x7fffffc3,0xffffffff,
    0x205ff887,0xbff107ff,0xf883ffc0,0x41ffe05f,0x3fe05ff8,0x07ff9007,
    0xfb003ffe,0xffffd07f,0xffffffff,0x1ffb00ff,0xfffffe80,0xffffffff,
    0x805ffd07,0x9ff94ffb,0x3e3ffd80,0x7fec00ff,0x01ffb003,0x801ffb00,
    0x37fcc1a8,0xffff8800,0xfffdcbce,0x0037fcc1,0xffffff50,0x7f47ffff,
    0xffffffff,0x0007ffff,0xff887ff5,0xfdcbceff,0x553001ff,0xb01bfe23,
    0xf10001ff,0xb979dfff,0xffc83fff,0x20ffe803,0xfffffffe,0x27ffffff,
    0xfe803ffc,0x007ff90f,0x7ff41ffd,0xffffffff,0xff887fff,0x441ffe05,
    0x1ffe05ff,0xff02ffc4,0x81bfe20f,0xfff007ff,0x80fff601,0xfd83fff8,
    0x6c00003f,0x7fec00ff,0xffe80003,0xa97ff405,0xff100fff,0x01ffec3f,
    0x2007fff1,0xd8000ffd,0x3e0000ff,0xfb8001ff,0x3ff900ef,0x0003fff0,
    0x7fffffd4,0x1ffec5ff,0x7d400000,0x077fdc3f,0x0001ffc8,0xfb013fea,
    0xff70001f,0x07ff201d,0x5c01fff3,0x1ffec6ff,0x0fff9800,0xf99bfee0,
    0x3fee00ff,0x001ffec6,0xf81bfe20,0x0dff107f,0xff883ffc,0x441ffe06,
    0xffd987ff,0x06ff9807,0x2607bfee,0xfa83fffd,0x054c02ff,0x2007fec0,
    0x4c02fffa,0x5fffd00a,0x0fffb881,0x3207fff1,0x77fdc6ff,0x3fffd981,
    0x001ffb00,0x0001ffb0,0x3006fff4,0x0fff21fd,0x207fff22,0x2600dffe,
    0xffc980fe,0xffa80cff,0x0054c02f,0x643ffa80,0xffc883ff,0xfd30001f,
    0x0ffd805f,0x83ffc800,0xf81fffc8,0x7d441dff,0x7ffd43ff,0x3e054c02,
    0x7d441dff,0x6fffc3ff,0x1fffd441,0x300bffea,0x0fff1015,0x220fffb3,
    0xffd987ff,0x30fff107,0x7f40fffb,0xfffecbef,0x3f201dff,0x7fff403f,
    0xffffebcf,0x7fec1dff,0xfedcbdff,0xffd806ff,0xffffd800,0xfffedcbd,
    0x7ffff646,0xfffdbdff,0x7fffdc3f,0x2ffffcad,0xbcffffe8,0xdffffffe,
    0x007fec01,0x2007fec0,0x7fcc1dec,0xeccaccff,0xfff72fff,0xffffb97b,
    0x7fcc3bff,0xeccaccff,0x3f602fff,0x7ffec01f,0xffedcbdf,0x3b6a006f,
    0xf71deffe,0xffb97bff,0x203bffff,0xfffeeeda,0xffb700ef,0x20039ddf,
    0xdcbdfffb,0x1dffffff,0x2fbfffea,0x80dffffd,0xcbdffffd,0x546fffed,
    0xfdbeffff,0x7d40dfff,0xffdbefff,0xffd80dff,0xfedcbdff,0xdffd06ff,
    0xfffffd97,0x7dffd03b,0xbfffffd9,0x97dffd03,0x3bfffffd,0xffffff50,
    0x09ffffff,0x22007ff4,0xfffffffe,0x45ffffff,0xffffffd8,0x5c6fffff,
    0xfffffffe,0x6c40dfff,0xffffffff,0x3fe26fff,0xffffffff,0xf904ffff,
    0xffffffff,0x3fffa209,0xffffffff,0x3ffae5ff,0xffffffff,0x3fffae0d,
    0xdfffffff,0x50bfff30,0xffffffff,0xffe8bfff,0xffffffff,0x7fd44fff,
    0xffffffff,0x0ffec05f,0x3ffff620,0x6fffffff,0x3ffffe00,0x3ffa6fff,
    0xffffffff,0xfff04fff,0x01dfffff,0x3fffffe2,0x3fa005ff,0xffffffff,
    0x7cc4ffff,0xffffffff,0x3fff6205,0xffffffff,0xfffff986,0x2605ffff,
    0xffffffff,0x3ff6205f,0xffffffff,0xffff506f,0xffffffff,0xfffff509,
    0x9fffffff,0xffffff50,0x09ffffff,0x3bffffea,0x201efffb,0x3f2003fa,
    0xfddfffff,0xff502eff,0x7dffffff,0x7ffffc41,0xffffffff,0xfffff503,
    0xd817dfff,0xffebffff,0x5401efff,0x1efffffe,0xfffffc80,0x2efffddf,
    0xfffffff1,0x27ffffff,0xfffffff8,0x13ffffff,0x36609fff,0xefffffff,
    0xffffc883,0xefffdcff,0xffffd981,0xc803efff,0xff5000ff,0x7dffffff,
    0x7ffe4001,0x3223ffff,0xdcffffff,0xf901efff,0x017bffff,0xffffffd8,
    0x3f22002f,0xfdcfffff,0xfd981eff,0x003effff,0xfffffff5,0x366017df,
    0x03efffff,0xfffffd98,0xfff5003e,0x17dfffff,0x7ffffd40,0x01efffbe,
    0x7dfffff5,0x2a03dfff,0xfbefffff,0x54c01eff,0x0000000a,0x0009aa98,
    0x066aa620,0xffffff90,0x01bfffff,0x019aa988,0x026aa600,0x01555100,
    0x01355300,0x3fffff20,0x0dffffff,0x3ffffff2,0x20dfffff,0x4c400cda,
    0x88019aaa,0x20001aaa,0x019aaa98,0x2000f660,0x0019aa98,0x55440000,
    0x0000001a,0x22000000,0x40001aaa,0x220001a8,0x80019aa9,0x220001a8,
    0x2620001a,0x980019aa,0x260000aa,0x260000aa,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x08040000,0x337b2e00,0xcedb9801,
    0x002a8001,0x0000ccc0,0x54155530,0x00040201,0x22000201,0x9802ceca,
    0x004000aa,0xd884e880,0x983e8804,0x2aaa604d,0x40aaaaaa,0x545fffd8,
    0x4c06fffd,0x802ceedc,0x00eb81ec,0x00adeca8,0x00009800,0x22001a80,
    0x03720009,0x5cc003b2,0x00c40002,0x00008800,0x20000031,0x40000000,
    0x10000998,0x2e0003ff,0x203fd46f,0xffffffe9,0x3ffff204,0x3ee004ff,
    0x7f54003f,0x1dbdffff,0xffffd800,0xf703ff93,0xb807fa8d,0x803fd46f,
    0xffffffe9,0xffffd503,0xffd9801b,0x3fe2000c,0x009ff71e,0x3ee3dff1,
    0x3fff204f,0x47ffffff,0x745ffffb,0x3606ffff,0xdfffffff,0x4cfff200,
    0x7ec00ffe,0x001fffff,0x22013f20,0x1ffc800a,0x3ab7ff6a,0xc803ffff,
    0x1ffd33ff,0x09fff100,0x803fe600,0x70ffffd9,0x4005bfff,0x2e6006fa,
    0x3f880abc,0x8009d300,0xefffffc8,0x3ee001ec,0xffd8003f,0x4c07ff20,
    0xffffffff,0xffffc85f,0xb004ffff,0x36200bff,0xffffffff,0xfd8004ff,
    0x5ff73fff,0x7e41ffb0,0x07fec01f,0xf9803ff9,0x4fffffff,0xffffffa8,
    0x37fe606f,0x6c4007fd,0x003ffeff,0x3ffbff62,0x7fffe403,0x20ffffff,
    0x5c5fffd8,0xf906fffe,0xffffffff,0xfeffb80b,0x7fec00df,0x00efffff,
    0x0077f440,0x7dc02fe4,0x3ffffa1f,0x5fffffff,0xffeffb80,0xfff1000d,
    0x7ff50007,0xfffffc80,0xffffffeb,0x02ffc801,0xfffffe98,0x401fd43f,
    0x801efffc,0xfffffff9,0x54004fff,0x6cc004ff,0xfd01ec43,0xff9317df,
    0x9dfff85f,0x801fffd9,0xfb001ee9,0xfffbbdff,0x51000bff,0x07d47ffb,
    0x0f621ecc,0x7b10f660,0xbefff980,0x3ffa0531,0x03fffdce,0x017d41fb,
    0x0077fdc0,0x00effb80,0xcccdffc8,0xff100bcc,0x4437fc0b,0xf731cfff,
    0xfd8805ff,0xfffa803f,0x05ffea9c,0x0037fe60,0xfa803ff4,0x3ffffaa0,
    0x2fffecef,0x02ffe980,0x8001a880,0xe9802ffc,0xffffffff,0x6c03ffee,
    0xffb801ef,0xdfffffff,0x74c03f70,0x04ffdaff,0x6ef7fffc,0x8005fffe,
    0x00000fe9,0x80fff880,0x3fea4ffc,0x005ffc84,0x2fffb800,0x005ffe88,
    0x3e8ffee0,0x00000000,0x01dfff30,0xf31bfe20,0xf0bf10df,0x00e2000d,
    0xc800e200,0xf88001ff,0x41bfe05f,0x9ff701db,0x6c002e00,0x0ffe82ff,
    0x8009fb00,0x05d007fe,0xb83ffff1,0x02e005ff,0xf1000000,0xffb0003d,
    0x05d43dff,0x3001bf50,0x9537dfff,0x0ff3dfff,0x3ea0dfd8,0x1dff301f,
    0x0009ff50,0x1310000c,0x20bff300,0x3ff25ff9,0x00fff882,0xff801998,
    0x13fe203f,0xff704cc0,0x098016e7,0x03331000,0x0037ffa0,0xff85ff98,
    0x5f88df07,0x40000000,0xff900199,0xbff10003,0x80037fc0,0x13005ff8,
    0x20dff100,0x31002ffa,0x00ffd000,0x3bfe20b7,0x100dff00,0x00000333,
    0x20001500,0x0004fffd,0x7ff4400a,0xfffff305,0x51019805,0x1acffe80,
    0x000005d4,0xffffb100,0x3fe203bd,0x749ff707,0x07ff607f,0x7fffff54,
    0x3fe21dbd,0x00edc00f,0x5dffffb3,0x22007ff7,0x1cefffdb,0x7fff6cc0,
    0xff301dff,0xbff3000f,0xc837fe44,0x403f913f,0x545fffd8,0x5407fffd,
    0xbdfffffe,0x9affc81d,0x7c4009ba,0x01bfe05f,0x8827fe40,0x1cefffdb,
    0x2207ff50,0x262005ff,0x7ffed400,0x4effffff,0x205ff880,0xfdb306ff,
    0x003bffff,0x8000274c,0x3ffd8008,0xf9000000,0xfff980bf,0xb8000002,
    0xceffffff,0x3ffaa001,0xf7000fff,0xffffffff,0x833ffa09,0x3f62fffa,
    0x2fff881f,0x7ffffec4,0x264fffff,0xb80005ff,0xffffffff,0xe8803fff,
    0xffffffff,0xfffff102,0x903fffff,0x2b2ea9ff,0x237fe600,0x103ffffd,
    0x44dfffff,0x3fffee4a,0x3fffff45,0xfffffd88,0xc84fffff,0xffffffff,
    0x817fe203,0x551006ff,0xd103fffb,0xffffffff,0x405ff705,0x7fed47ff,
    0x3ffffead,0xffffffb0,0x03ffffff,0x3e05ff88,0xffff886f,0x01ffffff,
    0xd980ff90,0xff70ffff,0x7fec05bf,0xffff1000,0xdfffffff,0xd801ffe8,
    0xffea82ff,0xffeb80df,0x7ffe40df,0x004fffff,0x1ffffffd,0xdffff700,
    0x07ffffd9,0xffdffff3,0x4ffc8bff,0x6c3fffd8,0xffddefff,0x3fe65fff,
    0x7fdc0006,0xffffdeff,0x7f4403ff,0xfffdceff,0xdffff03f,0xb0ffffb9,
    0xffffd7ff,0x37fe603d,0x02fffffa,0x6dc4ef54,0xffb10fff,0xfffeb8bf,
    0xbdfffb07,0x0bfffffb,0xfffffff9,0x3fe20bff,0x201bfe05,0x3ffffff9,
    0xcefffe88,0x643ffffd,0x3ffa01ff,0x3fffffa0,0x85ffffff,0xffffffea,
    0x8805ffff,0x1bfe05ff,0x6e77fffc,0xe9807fff,0x3ff200ff,0xfffebfff,
    0xffb01fff,0x3ffe2001,0xffffffff,0x98037fc6,0xffff84ff,0xffff83ff,
    0xdba882ff,0x805ffffe,0x0fffffeb,0x06fffcc0,0x203fff22,0xfffffffc,
    0x5fffcc0f,0x4ffffc88,0x220bffee,0x7ffc5ffe,0xfff30001,0x7ffe443b,
    0x77ff403f,0x82fffb81,0x1ffd0098,0xffffffe8,0xf981ffff,0xffffd8df,
    0x7edc402f,0xf880beff,0x21ffe05f,0xe882fffb,0xfffb85ff,0x3fffebce,
    0xe987ff88,0xffa806ff,0xfe81ffff,0xfffb81ef,0xe807ff22,0x3ffaa0ff,
    0xffecefff,0x01ffa02f,0x40bff100,0x013106ff,0x6c403ffa,0x2600ffff,
    0xfffffffe,0xb03ffeef,0x3e2001ff,0xffffffff,0x13fe65ff,0x5c2ffc40,
    0x988dffff,0x1dffff71,0xffa80b66,0x7fec000f,0x02ffe400,0xfd113ff6,
    0x9fffffff,0xffffff90,0x7fcbffff,0x13fe203f,0x4c01bffd,0x1bff20fe,
    0x203fffb8,0x2e00fff8,0x2a6205ff,0x41ffd9aa,0xbbfffffe,0xff986fff,
    0x3fffae25,0x7fff5c42,0x7fc400bd,0x3e1ffe05,0x3fe203ff,0xf7017704,
    0xdfff10ff,0xfffffd97,0xfeda803b,0x3fe20fff,0x97fee00f,0x3fa01ffc,
    0x7fffc40f,0xd02ffdc1,0xf88000ff,0x01bfe05f,0xfb355531,0xffff303f,
    0x3f60019f,0x2ea1efff,0x001ffb00,0xff513fe2,0x03ffa8bf,0x7d41bfe0,
    0x447ff64f,0x17fec6ff,0x8005ffb0,0x7f400ffd,0xeeeeeeef,0x7f46ffee,
    0xffeb9dff,0xffffd82f,0xf13ffdff,0x1db801ff,0x667fffcc,0x2fffecca,
    0xf880bffa,0x3fea03ff,0x43ffc405,0xffffffc8,0x7fec1fff,0x17ffc46f,
    0x7e417fe6,0x37ffee5f,0x4402da8b,0x1ffe05ff,0xb801fff1,0xfff0001d,
    0xfffff883,0xffffffff,0x3ffa6004,0x1017fea6,0x17fe4fff,0xf881ffd0,
    0x0dff00ef,0x90003ff4,0x4c5dfffd,0x441dfffd,0xfffffffc,0xfffe81ff,
    0x7fec000b,0xfff9004f,0x7dffffff,0xffa8bfa0,0x05ff985f,0x220bff10,
    0x9fff16ff,0xffd13fea,0xffb979df,0xfd8001ff,0x7fffc00f,0xffffffff,
    0x3ffe67ff,0x505ffc80,0xff93bffb,0x0017fe63,0xffffff50,0xf8bfffff,
    0x3ffc807f,0x2007ff60,0x3fe61ffd,0xffffffff,0x07ffe41f,0x3e627fe4,
    0xa9ffa05f,0xffff30ad,0x17fe205f,0x7fcc7ff8,0xc8000005,0x7ffc42ff,
    0xffcfffff,0x7c4001ef,0x03ffb0ff,0x3ea3ffb0,0x21ffe03f,0x3fe05ff8,
    0x001ffa06,0x7fffffc4,0x3fffff66,0x3ffffe64,0x41ffffff,0x0000eff9,
    0x2a007ffb,0xffffffff,0x4100ffff,0x3e05fffa,0x9ff5006f,0x7dc7ff40,
    0x85ff97ff,0xfffffffd,0x8002ffff,0x7f400ffd,0xffffffff,0x3ee7ffff,
    0x0fff104f,0x987ffc40,0x980006ff,0xfffffffd,0x00fff83e,0xf901ffec,
    0x1ffd007f,0x33bfffe2,0x41fffdcb,0xff304ffa,0x205ff98b,0x3fa01ffc,
    0xf106ea8b,0x23ffc0bf,0x00006ff9,0x442ffc80,0x01aaaeff,0x97fe4000,
    0xfe803ffc,0x209ff10f,0xff885ff8,0xe81bfe05,0x3f20007f,0x3a62efff,
    0xff11efff,0xfb979dff,0x3ffb83ff,0xffd80a60,0xfffb1000,0x9fffffff,
    0x0bfff500,0xe802ffe8,0x3ff202ff,0xeaffffea,0x76fd40ff,0x1dffffff,
    0x01ffb000,0x0003ffd8,0x7fc07ff7,0x9ffd1007,0x0001fff8,0x335df310,
    0x101ffec0,0x7cc07fff,0x3fee00ff,0x403bfee6,0x7fcc1ffc,0x989ff706,
    0x5c1735ff,0x89f302ff,0x6ff882fb,0x3fe1ffe0,0x4000001f,0x7fc41fff,
    0x6c000005,0x1fff31ff,0x3a37fdc0,0x3ffc80ff,0x3e05ff88,0x01ffa06f,
    0xf7000000,0x3ff201df,0x9827fdc1,0x1ffb01ff,0x20000000,0xb805fffa,
    0x3ee00eff,0x77fd406f,0xffefffff,0x9efa8807,0x7fec0000,0x17ffd400,
    0xff982a60,0x05ffb80f,0xe86ffea8,0x3a600dff,0x04ff800f,0x981effb8,
    0x7c03fffd,0x7d441dff,0x0fff23ff,0x207fff22,0x7f443ffe,0xfaffcc3f,
    0x407ffa4f,0x427cc2fb,0xfd987ff8,0x0dffe87f,0xdb83fa60,0x21ffee02,
    0x10005ff8,0x3ffd4017,0x51077ffe,0xffc87fff,0x03ffea0d,0xff817fe2,
    0x207ffa06,0x44002da8,0x7fe400ab,0x1fffc883,0x305fffcc,0x3f607ff9,
    0x5d40000f,0x3ffea001,0xffd81a85,0x1fffb80e,0x7ffffc40,0x05ffffeb,
    0x00013fe0,0x36003ff6,0xdcbdffff,0x7fc6fffe,0xfffdceff,0x3337aa3f,
    0x980ffffe,0xcaccffff,0x202fffec,0x802fee88,0xebcffffe,0x1dffffff,
    0x7dffff50,0x41bffffb,0xdcbdfffb,0x1dffffff,0x373bffe6,0xfb10ffff,
    0x7fff7fff,0x2201fffb,0xe807e45f,0xffecbeff,0x3e61dfff,0xccaccfff,
    0x3fe2fffe,0xfeccccef,0x5ff883ff,0x9bffd000,0xbfffd997,0xbeffffa8,
    0x40dffffd,0xfecfffe8,0xbff104ff,0xf9037fc0,0xffdb7bdf,0x7d4001ff,
    0x7ffdc07f,0xffffdcbd,0x3ff21dff,0xfffffeff,0x001ffb03,0x802fff80,
    0xfb85fffa,0xdffff887,0x05fffecc,0x71ffffd0,0x3007ffff,0x4003fdd1,
    0xffffffeb,0x440dffff,0xfffffffd,0x7446ffff,0xffffffff,0x7ffffec4,
    0x3ea01eff,0xffffffff,0x77fc05ff,0xfe8801fe,0xffffffff,0x2605ffff,
    0xffffffff,0xffffd05f,0xffffffff,0xffffb89f,0x3ee2ffff,0xffceffff,
    0x6403ffff,0x205fdbef,0xfffffffa,0x544fffff,0xffffffff,0x7fdc5fff,
    0xffffffff,0x0013fe05,0x7fffffec,0xf305ffff,0xffffffff,0x7fffcc0b,
    0xfd905fff,0x7ecc5dff,0xff981dff,0xffffffff,0x3aeea005,0x7fff402f,
    0xffffffff,0x3ff624ff,0x1dffffff,0x3ffffff2,0x8803efff,0x4c05fcbc,
    0xffffffff,0xe980ffff,0xffffffff,0x3fff2003,0x03ffff15,0x03fddff0,
    0x3ffffe20,0xffffffff,0xfffff503,0x1017dfff,0x5dfffffb,0xdffffd50,
    0x3ff66005,0x03efffff,0x004ffda8,0x7fffffe4,0x02efffdd,0x7ffffecc,
    0x3ff2203e,0xffdcffff,0xffdb81ef,0x7ecc1eff,0xffd8beff,0xfc8803ff,
    0x7d400cff,0xffbeffff,0xffd981ef,0x03efffff,0xffffffd5,0x02fc805d,
    0xffff9100,0x9807dfff,0x3efffffd,0xffffea80,0xfffff104,0x7fffecdf,
    0xfffd304f,0x8003bfff,0x8806fffd,0xcffffffc,0xb81efffd,0x41cefffe,
    0xfffffffa,0x400fffff,0x402ffff9,0xfffffffb,0x201fffff,0x1efffffc,
    0x17ffd400,0x2a00fffb,0x64004ffe,0xffffffff,0x4400dfff,0x40019aa9,
    0x351001a8,0x2a620001,0x880019aa,0x2aa60000,0x51000009,0xaaa88003,
    0x2aa20001,0x2aa20000,0x000a8000,0x8000554c,0x019aaa98,0x01355310,
    0x33000000,0x22000355,0x3510001a,0xdffff900,0x77fff4c5,0x05554c01,
    0x02f2e000,0x01aaa880,0x7ec40000,0xffffffff,0x3993004f,0xfffff700,
    0x3fffffff,0x00035300,0x3e63ffc4,0x0004005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1f4c1f4c,0x21f7ff64,0x02dfffd9,0x13333333,
    0x26666600,0x0ccc0099,0x40059731,0x09999999,0xd8819d00,0x004c4005,
    0x50017300,0x005d505d,0x804d554c,0x04de5440,0xb109d100,0xaaaa980b,
    0x6edc400a,0x2e60000b,0x5100003d,0x510000b7,0x00155555,0x15555551,
    0x0baa06a2,0x4cc40baa,0x00cccc00,0x4ccccccc,0x0776a000,0x5bb50013,
    0xdda80098,0x544004c1,0x00a20000,0x00080400,0x98006dc4,0xbff302dc,
    0xf30fff21,0xfc8fffff,0xfd86ffff,0x1fffffff,0x7ffffec0,0xffa81fff,
    0xfffff37f,0xfffd80bf,0x801fffff,0xbff52efe,0xffffb100,0x7d4003bd,
    0xdff9805f,0x802ffd88,0xffffffea,0x3b3be61e,0x03ffffff,0x7dc7bfa0,
    0x3fff605f,0x3e601fff,0x001ffeff,0x027fffcc,0x3fffd400,0x7ffec000,
    0xfd801fff,0xfb1fffff,0x8dffa81f,0xfb81ffd8,0xff886fff,0xfb00ffff,
    0x3fffffff,0xbffff900,0xfc807fb3,0x4fc9dfff,0x6ffffe40,0xfc803fd9,
    0x0ffe0005,0xc89fb000,0x3b2a205f,0xfd001fff,0x3fa601ff,0xfb02ffef,
    0xfe989fff,0xcca83fff,0x804ccccc,0xccccccca,0xffffb80c,0xfffffffc,
    0x3332a04f,0x800ccccc,0x4ffeffc8,0xfffffb80,0x7004ffff,0x3a600dff,
    0x802effff,0xfffffff9,0x3fff23ff,0xffffffff,0xffd8800d,0x7ec04ffe,
    0x201fffff,0x017ea2c8,0x09f97910,0xff793000,0xfffd0000,0xfd003fff,
    0x363fffff,0xffea80ff,0xffb01eff,0xfff50fff,0x32a03fff,0x04cccccc,
    0xfe99ef88,0x77c00eff,0x0efffe99,0x3a67be20,0xe800efff,0x5d44007f,
    0x01aaadff,0x3fa37fc0,0xfffff307,0x3fa003ff,0x7fdc00ff,0x27fec00d,
    0x000fff88,0x88000000,0xcffffffb,0x02fffc99,0xff500000,0xfff7003d,
    0xffffd9df,0x05fd1007,0x00cffc80,0x979dffd0,0x7fe43ddb,0xfda9acff,
    0x3ea005ff,0xaa8801ef,0x4001ffea,0x2e0006fb,0x2200004f,0xa880007f,
    0x801ffeaa,0x1ffeaaa8,0xffc881b2,0x77fe4404,0x5fff9701,0x01000000,
    0x202005b7,0x701002db,0x3ff4005b,0x3ffff600,0x000fffff,0x05b3076a,
    0x3fffffee,0x7dd5001f,0x4400a600,0xffc80fff,0x00026004,0xd000ccc4,
    0xf901dfff,0x000000bf,0xff9801c4,0x7fe440df,0x4000000f,0x3fe20029,
    0x3fff2007,0x05fff501,0xb0001c40,0xff1003ff,0x5c0003ff,0x2200004f,
    0xd800007f,0xfd8001ff,0x5003f11f,0x13fe6003,0x400dff10,0x00000098,
    0x00013000,0x20006662,0x6d4007fe,0x4eeefffe,0x91000000,0x03ffb159,
    0x26620000,0x89ff9000,0x2200fff8,0x1cefffdb,0x7fff6cc0,0x7f401dff,
    0xdff100ff,0x517fff62,0x000ffffb,0x5ffc8044,0x0027fec0,0x26000000,
    0x3ee005ff,0x37fe401f,0x00013100,0x64007ff6,0x79103ffe,0xa8027dc0,
    0x01fe200d,0x7ec0065c,0xffd8001f,0x000007b1,0xf8809ff3,0x7fec406f,
    0xb101deff,0xfda8bfff,0x36e207ff,0x401cefff,0xfffffed9,0x3ff6601d,
    0xefffffff,0x317fe204,0x00000001,0x00007ff6,0xfffffc88,0xff101ece,
    0x027fe41f,0xffffffd1,0x3fe205ff,0xffffffff,0x007ffa01,0x3ffeedff,
    0x7ffff45f,0xffffd987,0x85bfff70,0xeeeeeffe,0x26ffeeee,0xfffffff8,
    0x3e26ffff,0xffffffff,0x3ff626ff,0x362005ff,0x0fff8803,0x3ab7ff6a,
    0x4003ffff,0x00a89ffd,0x7d40ff98,0x09f700ff,0x203ffd88,0x7f4c07f8,
    0x1ffd802f,0x01ffd800,0xfffffea8,0x027fcc00,0xfb81bfe2,0xffffffff,
    0x5ffffb84,0x83fffff4,0xffffffe8,0xfff102ff,0x3fffffff,0x3fffff60,
    0x1fffffff,0xfb7bff10,0xd5007fff,0x001fffff,0x0001ffd8,0xffffff30,
    0x6409ffff,0x1fff14ff,0x3bfffa20,0x03ffffdc,0xfb9dffff,0x3ff40fff,
    0xfd8bffc0,0x7ff5c5ff,0xffffc87f,0xfffffebf,0x3ffffe1f,0xffffffff,
    0x3fffe27f,0x6fffffff,0x3fffffe2,0x2a6fffff,0x005fffff,0x26666666,
    0xffd99999,0x3fffffa1,0x05ffffff,0x3ff7ff60,0x221fd005,0x2e03fffd,
    0x3ffee04f,0x81fe200d,0xb005fffb,0x005dc3ff,0x3a007ff6,0x00ffffff,
    0x22027fcc,0xfff706ff,0xffffd9df,0x5fffd887,0x43ffff5c,0xdcefffe8,
    0xff03ffff,0xfffb9dff,0x3fffaa0f,0x5fffffff,0x3ffffe20,0x405fffff,
    0x0ffffffe,0x00ffec00,0xeffff800,0x05fffedd,0x3f23ffe2,0x3bffa04f,
    0x82fffb81,0x1ffd0098,0x3e01ffa0,0x02ffc47f,0xffd30fff,0xddffffff,
    0x7fff47ff,0xffffffff,0x3ffe27ff,0xffffffff,0x3ffffe25,0x25ffffff,
    0x05ffffd8,0xffffff10,0xffffffff,0x7fff547f,0xfffeceff,0xffffb002,
    0xdcded8bf,0xbfff74fe,0xffdd9101,0x3ffa619d,0x3fb6e02f,0xffd30def,
    0x7fec005d,0xd809ff71,0xfeb801ff,0x4c00ffff,0x7fc404ff,0x0dfff986,
    0x407ffe44,0x3fe05ff8,0x81effe87,0x9882fffb,0x801ffd00,0xf10007fe,
    0xffbdffff,0x7f5c05ff,0x4000ffff,0x33001ffd,0x0eff9813,0x6404ffa8,
    0x00fffdff,0x5c01fff1,0x2a6205ff,0x01ffd9aa,0xfff00ffd,0x3e05ff88,
    0x7ffec07f,0xd82ea1ef,0xf10003ff,0x5fffa89f,0x3ea27fc4,0x3fe605ff,
    0xffff1005,0xffffffff,0xff887fff,0x2ffdc1ff,0x7ffffd40,0xffffda84,
    0x9afffe9c,0x3ffa20cc,0xffb9efff,0x41bdcadf,0xaefffffc,0xcc9cfffc,
    0x91ffd801,0xffd80bff,0x0ffd8001,0x2027fcc0,0xffc86ff8,0x427fec05,
    0x3fe05ff8,0x007ffc47,0x4c40bff7,0x1ffd9aaa,0x8003ff40,0x5c0efff8,
    0x3f6004ff,0x7fec000f,0x0fffb801,0x41acffe8,0x7fc400ba,0x3ea04fff,
    0x3ffc405f,0x7ffffe44,0xfd01ffff,0x88fff00f,0x1ffe05ff,0x009fffb0,
    0x300bffea,0x2a2fe815,0x5fd05fff,0x202fffd4,0xf1005ff9,0xddddddff,
    0x87ffdddd,0xff00eff8,0x7ffec40d,0x2e0801df,0xff88dfff,0xffd3001f,
    0xfffff75d,0xdffd5009,0x200bffa3,0x3db31ffd,0x001ffd80,0x4c00ffd8,
    0x7fc404ff,0xeeeffe86,0xffeeeeee,0x205ff886,0x2ffd47ff,0x221ffe20,
    0xfffffffc,0xffec81ff,0x04efffff,0x880eff88,0x3f6006ff,0x7fec000f,
    0x02ffd801,0xdffffff7,0x7fe40039,0x3ff600ff,0x21ffd801,0xfffffff9,
    0xfd01ffff,0x88fff00f,0x1ffe05ff,0x8007ffb0,0xcbdffffd,0x086fffed,
    0x1017ffea,0x402fffd4,0x3e005ff9,0x5ff9007f,0x3e05ff88,0xffff106f,
    0x74c003ff,0x3ff62fff,0xfffc801f,0x3a23ff14,0xfffb100f,0x017ffe47,
    0x4000ffec,0xd8001ffd,0x7fcc00ff,0xff893e64,0xffffff86,0xffffffff,
    0x205ff887,0x0ffec7ff,0xf30ffec0,0xffffffff,0xfff883ff,0xffffffff,
    0x02ffc400,0x7ec00dff,0x7fec000f,0x02ffc401,0x3ffffff2,0xff1004ff,
    0x3ffc809f,0xf10ffe80,0xb979dfff,0x3fa03fff,0x447ff807,0x1ffe05ff,
    0x8001ffb0,0xffffffd8,0x206fffff,0x2005fffa,0x3005fffa,0x7ec00bff,
    0x0ffe801f,0xff02ffc4,0x3bffe20d,0xff7001ff,0x777d419f,0x3ffa201f,
    0x3f60dc1e,0x1efff982,0x00bfbfe6,0x20007ff6,0xd8001ffd,0x7fcc00ff,
    0xff89ff24,0xfffffe86,0xffffffff,0x205ff887,0x1ffe47ff,0xf887ff40,
    0xdcbcefff,0xffc81fff,0x4fffffff,0x205ff880,0x3f6006ff,0x7fec000f,
    0x00ffd401,0x7ff6dd44,0xff8805ff,0x7ffcc00f,0xb9bfee00,0xff900eff,
    0x201ffa03,0x37fc46ff,0xfd80fff0,0xff50000f,0x7dffffff,0x17ffea01,
    0x05fffa80,0x8017fe60,0x7dc06ffb,0x05ff886f,0x8ba81bfe,0xfb001ffd,
    0xe9ff883d,0x0ffea01f,0x5c07fe40,0xcbfe83ff,0x1ffd802f,0x01ffd800,
    0x400ffd80,0x3ff64ff9,0xfb0bff30,0xf880007f,0x31ffe06f,0x7dc01fff,
    0x03bfee6f,0x3a00ffe4,0xff10007f,0x0037fc0b,0xd8001ffb,0x27ec01ff,
    0x7d405b30,0x7fec00ff,0x3bfff004,0x23fffa88,0xfc883ffc,0x0ffd01ff,
    0x7c45ff98,0x7ffd987f,0x0007fec0,0x066ffe20,0x217ffea0,0x5fffa81a,
    0xbff301a8,0x0dffe800,0x882fffb8,0x1bfe05ff,0x800ffec0,0x3a9fb028,
    0x4005401f,0x2a01ffd8,0x5f95fc80,0x003ffb00,0x0003ffb0,0xf9801ffb,
    0x5c3ff64f,0xfffa83ff,0x44054c02,0xffd987ff,0x41dfff87,0x323fffa8,
    0xffc883ff,0x07ff401f,0x7c416d44,0x01bfe05f,0x4000ffd8,0x37c01ffd,
    0xd80bff60,0x3fe602ff,0xfff5000f,0xffffb7df,0x6fffdc1b,0xfffffdcb,
    0xfffb11df,0x7f5d445d,0xbeffe82f,0xdfffffec,0x001ffb01,0x0114f980,
    0xb85fffa8,0x2fffd47f,0xff983fdc,0x7ffcc005,0xfffeccdf,0x40bff104,
    0xffb006ff,0xffa80003,0x000dffee,0x006ff4c0,0x7f77fcc0,0x7fec00ef,
    0x1ffd8001,0x00ffd800,0x6cffffa6,0x1fffcdff,0x7bffffb0,0x0dfffdb9,
    0x3b2fbffa,0x21dfffff,0xdbeffffa,0x2e0dffff,0xfdcbdfff,0x01dfffff,
    0xd979dff9,0xf881ffff,0x01bfe05f,0x4000ffd8,0x3e201ffd,0x77fff401,
    0xffffdcbc,0x3fbbb6e0,0xf3001dff,0xffffffff,0x3ffffa0b,0xffffffff,
    0xfffff74f,0x37fffe4b,0xffffffa8,0x24ffffff,0xfffffffc,0x7c003eff,
    0x3e605fef,0xffffffff,0xfff30fff,0xffffffff,0x3fff661f,0x803effff,
    0xfffffffa,0xffd904ff,0x7fecc5df,0x3ffae1df,0xffffffff,0x3fee001d,
    0x000effff,0x0013fee0,0xffffffa8,0x3fffae1e,0xdfffffff,0x3ffffae0,
    0x0dffffff,0x3fffffae,0xb0dfffff,0xfb1fffff,0x407fffff,0xffffffd8,
    0x506fffff,0xffffffff,0xf989ffff,0xffffffff,0xfffffd05,0xffffffff,
    0x3fffe609,0x45ffffff,0x22efffec,0x43efffeb,0xffffffeb,0xb10dffff,
    0xffffffff,0xfb0007df,0xffffffff,0x7ffcc5ff,0x05ffffff,0x3ffff660,
    0x3f2203ef,0xfdcfffff,0xffd11eff,0x7ffdc5df,0x3ffea00d,0xefffbeff,
    0xffffff51,0x01ffffff,0x00f7f540,0xfffffff7,0x2e3fffff,0xffffffff,
    0xffb1ffff,0xffffffff,0x3fff6200,0xff101eff,0x7ecdffff,0xff14ffff,
    0xffffffff,0x20009fff,0x0004ffc9,0x3333bff2,0xd910001e,0x7fffc1bf,
    0xffffffff,0x3ffffe3f,0xffffffff,0xffffff13,0x7fffffff,0x453fffaa,
    0x004ffffe,0xfffffff5,0x7d4017df,0xffbeffff,0xffd981ef,0x2203efff,
    0xcffffffc,0x201efffd,0xffffffe9,0x7fffcc2d,0xffff15ff,0x7ffc4fff,
    0xffffffff,0xffff73ff,0xffffffff,0xfdbf5000,0x83bfffff,0xffffffe8,
    0x510002ff,0xaaa88003,0x54400001,0x02aa6000,0x3ffff620,0x04ffffff,
    0xff700100,0xffffffff,0x3ffee3ff,0xffffffff,0xffffd51f,0x0007dfff,
    0xf9001353,0x74c5dfff,0x3f21efff,0xffffffff,0x50001eff,0x0001dfff,
    0x3ffffff2,0xff30003f,0x7ffe43ff,0xffffffff,0x3ffff21d,0xdfffffff,
    0x3fffff21,0x0dffffff,0x0006a200,0x00cd54c4,0x000554c0,0x88003510,
    0x80001aaa,0x6c009aa9,0x322effff,0x643effff,0xffffffff,0xfb10dfff,
    0xffffffff,0x5100007d,0x00001355,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66f65440,0x00010000,
    0x500aaaa0,0x00037997,0x00437995,0x44000040,0x010accba,0x4ccccc40,
    0xaa880999,0x1000aaaa,0x75000015,0x40021799,0x400abcb9,0x000aaaa8,
    0x30133330,0x4c001333,0x4c409aaa,0x99999999,0x54c19999,0x200001aa,
    0x30002aa9,0x22001597,0x26660099,0x4ccccc00,0x99999999,0x01999980,
    0x10133331,0x01333333,0x40ccccc0,0x33009998,0x04ccc013,0x98099988,
    0x4cc40199,0x40009999,0x99999999,0x5bb73000,0xfffff701,0x951007ff,
    0x0037bffd,0x10ffff50,0xfffffff9,0xffd98019,0x4fdeffff,0x7ff65440,
    0x3a2001bd,0xefffffff,0xfffe805f,0x3fffffff,0x7fffffec,0x00bf9001,
    0x7ffff540,0x2605fdff,0x3ffffffe,0x0bffffa0,0xfffff500,0x3fffe6bf,
    0x7f5406ff,0x51efffff,0x33333333,0x23533333,0x005ffffa,0x017ff200,
    0x3ffffee0,0xfffd101d,0xffff98df,0xffff883f,0xffffffff,0x7fffc3ff,
    0x3ff20fff,0x3f63ffff,0x6fffffff,0x7ffffcc0,0xffff92ff,0x7fffc49f,
    0x7fffd46f,0x7fffd43f,0xfffff15f,0xffff901f,0x26009fff,0xffffffff,
    0xf900cfff,0xfc8dffdf,0xffffffff,0x37ffe604,0x005fffdc,0x7c3ffff4,
    0xffffffff,0x3ffe606f,0xffffffff,0x37ffe607,0x805fffdc,0xfffffff9,
    0x4407ffff,0xffffffff,0x7ff45fff,0xd001ffff,0x3ea000ff,0xffffffff,
    0xffff707f,0x01bfffff,0x005ffffd,0xffffffb8,0xffffff56,0x3ffe601f,
    0x53ffffff,0x2a330001,0x0005ffff,0x0017ff20,0xfffffff7,0x3fffe60d,
    0x3fff20ff,0xfff986ff,0xffffffff,0x3fe63fff,0x3a2fffff,0x25ffffff,
    0xfffffffe,0x7ffdc07f,0xffd4ffff,0x7fccdfff,0x3f20ffff,0x7e45ffff,
    0xff57ffff,0xfb03ffff,0x1fffffff,0xfffff700,0xdfffffff,0x7ec39501,
    0x15bfff32,0x303fffb5,0x3f2605ff,0xffff7005,0x59dfff0f,0x307fffb5,
    0x7559dfff,0x260ffffd,0xbf9302ff,0x677ffcc0,0xffffca9b,0x66664c00,
    0x40bcdffe,0x1ffeaaa8,0x000ffd00,0x539dfff1,0x981ffff9,0xca9befff,
    0xda886fff,0x5c4002ff,0x2e1ccfff,0x201dffec,0xdcbceffe,0x000151ee,
    0x2ffdcc33,0x79950000,0xadfff800,0xb701ffea,0xfd887fff,0xf9501cff,
    0x999fff7f,0xffb87ffb,0x65cc2ccf,0x3260dffe,0x1cceffdc,0x77fedc40,
    0xffff50bc,0xfffea839,0x67fff442,0x677fe440,0x0ffff2e1,0x7ffe65c4,
    0xdb8803ff,0xfdccceff,0xe8805fff,0x209ff92f,0x6fcc4ffd,0x405fc800,
    0x87fffff8,0xdff506ff,0x201dfff0,0xdf987ffb,0x17f204c0,0xf102fff4,
    0x3f6000ff,0x3ff6001f,0x00ffd001,0x260dff50,0x3fa20fff,0x7fff305f,
    0x000bff20,0x3ee03ff4,0x1bfe202f,0x4c000540,0x002ffc41,0x7cc00000,
    0x4026c46f,0x7f444ffe,0x9ff9803f,0x1ffd46ff,0x64007ff4,0x3fea02ff,
    0x5ff98003,0x00ffffcc,0xf98bffd1,0xff7103ff,0xf755555d,0xfa8015df,
    0x2006ffff,0xff305ff9,0x3ffee03f,0xf981bf25,0x7ec7fc5f,0x320befff,
    0x37ff603f,0x04fd87fe,0xdff31ffe,0xff0ffd00,0x777ffe41,0xffa87f92,
    0x006fc806,0x4003ffb0,0x36a01ffd,0xffffffff,0x5ff704ef,0x3f23fec0,
    0x7ffcc05f,0x002ffc80,0xfb80ffd0,0x17fe602f,0x4c000540,0x332ffc41,
    0x80000001,0x20004ff9,0x3f21fff9,0x1df9005f,0x3ffa8dff,0x3fa1ffd8,
    0x807ff62f,0x98003ffa,0x3ffea5ff,0xfff9800e,0x20bfff14,0xfffffff8,
    0xffffffff,0x757fec05,0xff3001ff,0x817fe40b,0x510effd9,0x327fdc01,
    0x333f665f,0x982fc4fd,0x07fe8fff,0x237fc403,0xfa802ffb,0xdfb17cc4,
    0x2fc7fd97,0x2200bff6,0xffb0000b,0x0ffec003,0xffffffb0,0x03ffffff,
    0x6cc0bff5,0x400fff42,0xffc82ffc,0x9ffffb32,0xf701ffa0,0xfffd885f,
    0x3effffff,0x0cc00054,0x3ff3bfe2,0xea803eff,0x000fffff,0x8000dff1,
    0xfff56ffc,0x233fa001,0xf8bc8eff,0x32ffc81f,0x7ff4bfff,0x00ffea00,
    0x7dd7fe60,0x2a000dff,0x6ffebfff,0x7ffffec0,0xffffffff,0x5ffe203e,
    0xf3004ffb,0x0fff40bf,0x88027ec0,0x91ee3ffe,0x1f60fb8f,0x7fe9fff4,
    0x1fff4400,0x80003ff6,0xf113e67b,0x3ffa3ec7,0xd8000000,0x3f6001ff,
    0x3ffaa01f,0xffffffff,0x2fbffe05,0x00dff001,0x3f213fe6,0xfffff92f,
    0x80ffd05f,0x7fd42ffb,0xffffffff,0x4000547f,0x7fffc419,0x04ffffff,
    0x7ffffff4,0x3fff3000,0x7ff40003,0x1003fffd,0x5dff13ff,0x2e0551ff,
    0xffff93ff,0xf501ffe1,0xff30007f,0x00bfffbb,0x3ffffee0,0x5ff9800f,
    0x3201bfe0,0x1fff14ff,0x98bff300,0x5007ffec,0x3ff600bf,0x4f91b60f,
    0x07ea0fd9,0x3ff4dff7,0xffffc980,0x00037fc1,0xa80fb9b6,0x6ff87ea0,
    0xfb000000,0x7fec003f,0x00ffd001,0x3ffffea0,0xff980bdf,0x0bff1004,
    0x3ff25ff9,0xfe80dfff,0x217fdc07,0xffffffd8,0x0544ffff,0x3e20cc00,
    0xffceffff,0x3fae01ff,0x6400ffff,0xffffffff,0xfff98004,0x3ee005ff,
    0xffffff17,0xd4ffa805,0x3fe5ffff,0x01ffd406,0x7ffffcc0,0x360001ff,
    0x3001ffff,0xffffffff,0xff00dfff,0x01ffe41f,0x7fffffcc,0x4c2fffff,
    0x1ffdccef,0x0ffff440,0xffdf917e,0x223f985f,0x1ffa2fff,0x3fffff20,
    0x0037fc41,0x006d97e0,0x837fc7f3,0x81999998,0x0ffec008,0x003ffb00,
    0x98001ffa,0xfffffffe,0x001ffd44,0x5ff90dff,0x803dfff7,0x7fdc07fe,
    0x017fe602,0x0cc00054,0x707bffe2,0x7ec009ff,0x7fffc00f,0x007fffff,
    0x7fffeccc,0x5fd8009a,0x5ffffff1,0xf9dff980,0xff8dffff,0x01ffd405,
    0x7ffffcc0,0x50001fff,0x4c00dfff,0xffffffff,0x7d406fff,0x037fcc5f,
    0x7fffffcc,0xc83fffff,0x402efffe,0xe82fffe8,0x37f77e46,0xbff917d4,
    0xfd807fe8,0xdff00cff,0x326e8000,0x7c5f5007,0xffffa86f,0x3fe27fff,
    0x007ff600,0xd001ffd8,0x730000ff,0x4bfffffb,0xf1005ff9,0xfdff90bf,
    0xfd001bff,0x02ffb80f,0x54017fe6,0x44198000,0xff880eff,0x03ff6006,
    0xfffddb50,0x7cc005bd,0xffffffff,0x677fc405,0x1ffefffc,0x7e6ffc40,
    0xffafffbf,0x01ffd404,0xfff98173,0x01fffebf,0x7ffffcc0,0xdfff3005,
    0xdffddddd,0xccdffd80,0x401fffcc,0xeeeefff9,0x203fffff,0xffff3000,
    0x4f91f203,0x987e44fb,0x3ff41fff,0x200ffdc0,0x640007fe,0x3200be67,
    0x321ffa0f,0xffffffff,0x6c05ff51,0x3f6001ff,0x0ffd001f,0xff930000,
    0x8037fc3f,0xffc84ffa,0x3a004fff,0x17fdc07f,0x200bff30,0x4198000a,
    0x3fe05ff8,0x03ff6006,0x006ff880,0x003ffb00,0x7fffffd4,0x800ffaef,
    0xc8ffefff,0x404ffeff,0x3fe03ffa,0xb0fffcc3,0x74400fff,0x03fffeff,
    0x3e05ff98,0x3ffe206f,0xffffffff,0x42ffcc04,0x00fffda8,0x3fffea00,
    0x644bea01,0x742ff21f,0x3fffff66,0x01efffff,0x3ee00f62,0x3ea0001f,
    0x2622fb62,0xffb1ba4e,0xfcccb881,0x0ffee3ff,0x2001ffd8,0xfd001ffd,
    0x03b7000f,0x3fa3ffb8,0x2ffe802f,0xdfffffc8,0x01ffb000,0xf300ffe4,
    0x002a00bf,0xbff10660,0xb0037fc0,0x7d4001ff,0x2660005f,0x099affd9,
    0x7777fe40,0x2e2136ff,0xdfffff01,0x0fffffea,0x2207ff50,0x2ffcc5ff,
    0xd801fff4,0xfffa8eff,0x02ffcc02,0x7fe40dff,0xffffffff,0x3fe600ff,
    0x01ffec05,0x77ffdc03,0xfd8ef800,0x2f3fa3ff,0x3ffffa3f,0x5fffffff,
    0xdff30000,0x3be0ee00,0xdffffd30,0xff70fee1,0x41ffd009,0x3fa03ffb,
    0x0ffec007,0x8007fe80,0x7fd405ff,0x701bfee4,0x3ff20dff,0x800effff,
    0x3fa04ffc,0x17fe600f,0x4c000540,0xf02ffc41,0x7fec00df,0x13ff2000,
    0x3ffe6008,0x05ffffff,0xdff11ffc,0x3fa0df70,0x3ffe3fff,0x7fd402ff,
    0x98bff103,0xfff985ff,0x07ffe400,0x4c03fff7,0x1bfe05ff,0xaaabfff8,
    0x03ffdaaa,0xf5017fe6,0x05fb109f,0x001bfffb,0x2aaa37ea,0x83beea20,
    0xfffffffe,0x0001dfff,0x407bffa0,0x7d42ffd8,0xf705dd45,0xcfff881d,
    0x41ffd100,0xfc80dffb,0x7fec006f,0x03ffd001,0x7fc45b51,0x7ffd304f,
    0xb81effd8,0xff902fff,0x03ffff35,0xd82fffa8,0x7fcc06ff,0x00015005,
    0x05ff8833,0xfd801bfe,0xffd3000f,0x4017f205,0xf3001ffd,0x437fc43f,
    0xffd80ffd,0x3fff21ff,0x1ffd401f,0x7cc5ff88,0x09ff905f,0x6c17ffdc,
    0xff300eff,0xa837fc0b,0x7fcc05ff,0x417fe606,0x4c3ffd98,0x7ff445fe,
    0x7d40604f,0x1df7101e,0x807fe800,0xe8800ab9,0xecccefff,0xfa80ffff,
    0x1df7101e,0x37fffee0,0xffffedcc,0x3bfffee0,0x02fffecc,0x800ffec0,
    0xedbdeffc,0xff10ffff,0xffb9bfff,0xff881fff,0xffeccdff,0x4bff204f,
    0x401fffe9,0xfdcffffd,0x7cc01fff,0x0015005f,0x5ff88330,0xd801bfe0,
    0x7ec400ff,0xffffffff,0x3aa07fff,0x0dffffff,0xbeffed88,0xfffffffd,
    0xfc80ffff,0x7ffcc6ff,0xfffea80f,0xffffffff,0xfffb15ff,0x7fc43bff,
    0xffb30dff,0x7f541bff,0x7fe44eff,0x3ff63eff,0xffb12eff,0xfd887dff,
    0x3623efff,0xffffffff,0x20ffffff,0xffb84ffa,0xffffffff,0xbff504ff,
    0x1dffb759,0x3fff6a00,0xfff101df,0x3ffa2009,0xffffffff,0x337fea02,
    0x00effdba,0x7fffffe4,0x4c6fffff,0xfffffffe,0x7f5c01ff,0xffffffff,
    0xfff980df,0x5fffffff,0x3fffffe2,0x02ffffff,0xffffffd3,0x3faa07ff,
    0x3ffe62ff,0xffb01dff,0x05ffffff,0x3fffff6a,0x541dffff,0x32198000,
    0x2e1efffe,0x5c2efffe,0xfffffffe,0x3ea0dfff,0xffffffff,0x3e05ffff,
    0xffffffff,0xfffffb83,0xffffffff,0xb80fffff,0xfff84fff,0xffffff07,
    0xffffffff,0x3fffeebf,0x7fe44fff,0xffff93ff,0x7fff45ff,0xfff30fff,
    0x3feaffff,0xff76ffff,0xfb8fffff,0x2e7fffff,0xffffffff,0x42ffffff,
    0xfff702fe,0xffffffff,0x7f5cc0df,0x4002dfff,0x5ffffffe,0x009fff10,
    0x7fffedc4,0xb9800cef,0x02dffffe,0x3fffb620,0x2601dfff,0x1dfffffd,
    0xffffff80,0x3fffffff,0xfffffd30,0x95d903bf,0x19ffffff,0xfffff900,
    0x7fff403d,0x3fffea2f,0x3fee04ff,0x3600efff,0xffffffff,0x00545fff,
    0xfff98cc0,0xfff15fff,0x7fc4dfff,0xffffffff,0x3f623fff,0xffffffff,
    0x3ae00dff,0x0dffffff,0xbefffe88,0xfffffffd,0xfa80ffff,0x6ffc81ff,
    0xfffffd70,0xffffffff,0x3ffff62b,0x7ffcc1ef,0xffffd30d,0x7fff541b,
    0x7fffec4f,0xffffb13e,0x3fff667d,0x7fecc4ff,0x3f624fff,0xffffffff,
    0x00980cef,0x3fffffee,0x06ffffff,0x40003510,0x1effffeb,0x00006a20,
    0x40001351,0x300001a8,0x53000355,0xfffc8003,0xffffffff,0x5554c01d,
    0x554c4000,0x03530001,0x8bfffae0,0x1effffd8,0x8009a980,0xffffffea,
    0x5d41efff,0xaaaaaaaa,0x361baaaa,0x322effff,0x643effff,0xffffffff,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x00333333,
    0x130776a0,0x26666660,0x4cccc001,0x99999999,0x99999809,0x99999999,
    0x26666601,0x26620099,0x81999809,0x99999998,0x33333000,0xd8813333,
    0x7f545fff,0x266207ff,0x41809999,0x99999998,0x81999999,0x4c401998,
    0x33330099,0x10003333,0x4ccc0333,0x27644009,0x33310062,0x44001333,
    0x01999999,0x4cccc400,0x80099999,0x33330009,0x98800333,0x00099999,
    0x10062000,0x4cc00333,0x99999999,0x00999809,0x4c413331,0x99999999,
    0xeb819999,0x220000ee,0xfff304ca,0x9dffffff,0x3ffff200,0x7cc3fd9d,
    0xffffffff,0x3ffe603e,0xffffffff,0x3fe63fff,0xffffffff,0xd80fffff,
    0xffffffff,0xfffffa81,0xffffff15,0x7fffff41,0x3e604fff,0xffffffff,
    0x3ffee5ff,0x7ffff45f,0xfffffb07,0x7ff4dfff,0xffffffd0,0xffffffff,
    0x0fffff43,0x49ffff90,0xfffffff9,0xe802efff,0x7c44ffff,0x306fffff,
    0xf55fffff,0x7fffec0f,0xe806ffff,0xffffffff,0xca8804ff,0xffffffff,
    0xfb103fff,0xf303ddff,0xffffffff,0xfffd809d,0x006fffff,0x3fe604c0,
    0x7fff6cc3,0x3e601dff,0xffffffff,0x3ffe26ff,0x7ffd46ff,0xffffd4ff,
    0xffffffff,0x5ffe83ff,0x3fffa000,0xfffff505,0x3dffffff,0x74cf7c40,
    0x7dc0efff,0xffffffff,0xffb81eff,0xffffffff,0x3ee3ffff,0xffffffff,
    0x80ffffff,0xccccccca,0xfffff904,0x3ffffeaf,0xfffff11f,0x5c0dffff,
    0xffffffff,0x3f627fff,0x7ff5c5ff,0xffffd07f,0x3e2fffff,0xffffd1ff,
    0xffffffff,0x3ffe23ff,0xfff104ff,0x7ffdcbff,0xffffffff,0x3ffe206f,
    0x3fea1fff,0xc80fffff,0xffffc8bf,0x3ffffa02,0x4407ffff,0xffffffff,
    0x300effff,0xffffffff,0x07ffffff,0x3ffffffa,0xfffffa85,0x1effffff,
    0xffffffd0,0xb8800fff,0xfbcefffd,0x3ffe24ff,0x1fffffff,0xffffff30,
    0x4cdfffff,0x646fffff,0xfd5fffff,0xffffffff,0x443fffff,0x20001fff,
    0x2e05fccb,0xfdcccffe,0x0200ffff,0xfeb80b6e,0xfffdcccf,0xffcb80ff,
    0xdcccccce,0x7fe5c3ff,0xccccccce,0x00000fff,0x873bff22,0x542fffca,
    0xbcccfffc,0x3332e201,0x1cccdffe,0x3e05ff88,0xfb99307f,0x754399df,
    0x999ffd0f,0xfd999ffd,0x7fff543f,0xffffb80f,0x77fedc0d,0xffffdccc,
    0x3fff2a04,0x7fee546f,0x9930202d,0xfdcc9801,0xa801ccef,0xdcccfffc,
    0xf986ffff,0xfffeffff,0x83ffdccc,0xfffdfffb,0x99ffd702,0x1fffffb9,
    0xdffb9930,0x7cc00399,0xffffffff,0xffff86ff,0x07fffdce,0x9999dff3,
    0xda8bfff9,0x7f441fff,0x9ffd0bff,0x999ffd99,0x7fd43ffd,0xbf300005,
    0x980ffd80,0x00006ffe,0xf301ffb0,0x3fe20dff,0x20ffee05,0x7f405ff8,
    0x4c00000f,0x1bfe05ff,0xbcccffe8,0xffb0019a,0x0bff1003,0x7d403ffc,
    0xfe93603f,0xc83ff60f,0x7ffec1ff,0xffffe83f,0x10bff102,0xe801fff7,
    0xfb83ffff,0x04c4003f,0x00ffea00,0xf983ff40,0x3ffe62ff,0xa8dff11d,
    0x1ffe83ff,0xffd80171,0x06ffe980,0x4001ffd4,0xdceffff9,0x880ffffe,
    0x01ffd009,0xff909ff3,0x9ffd101f,0x743fff88,0x83ff60ff,0x3ff21ffc,
    0x4c006600,0x07fec05f,0xa82fff98,0x00fffffe,0xf300ffd8,0xbff103ff,
    0x20bfea08,0x36045ff8,0xfffea87f,0xff9800ff,0xe81bfe05,0xffffffff,
    0x7fec00df,0x05ff8801,0x3ea01ffe,0x741d703f,0x83ff60ff,0x7fec1ffc,
    0x7ffd47ff,0xbff102ff,0x2017fec0,0x40fffffe,0xfda83ffb,0xffffeadf,
    0x87ff5003,0x07fe8019,0xffc93fee,0x51bfe20e,0x1ffd07ff,0x00ffd800,
    0x5405fff3,0x220023ff,0x3e60dfff,0x2203ffff,0xffd9aaa9,0x544ff981,
    0x3e602fff,0x17ff61ff,0xffd83ffa,0xff87ff20,0xfbdffd8c,0x7cc03fff,
    0x007fec05,0xffd0bff5,0xb001ffff,0x7fd401ff,0x2a5ff885,0x101dd16f,
    0x537d4bff,0xffffd09f,0xff3001ff,0xd037fc0b,0xffddddff,0x7ec01fff,
    0x5ff8801f,0x2a01ffe0,0xd83b03ff,0x907fec7f,0xeffd83ff,0x3bff63ff,
    0xbff102ff,0x200ffec0,0x45ffeffe,0xffe83ffb,0xffffffff,0x3ffa805f,
    0xfd00bfee,0xd2ffcc0f,0xeff881ff,0x81ff8bc8,0x6c004ffd,0x3fea00ff,
    0x2effea05,0x7fd403ff,0x7f7ffc45,0xfffc887f,0x81ffffff,0x3fe23ff8,
    0x6ffc804f,0xfb01fff5,0x320ffd8f,0x51ff31ff,0xffffffff,0x2fcc09ff,
    0x335ffd10,0xb86ff881,0x00fffffe,0x2200ffd8,0xeff886ff,0x800ffd99,
    0x3ff25ff8,0xfffeb800,0xff9800ff,0xe81bfe05,0xffea887f,0x007ff602,
    0xff817fe2,0x03ffa807,0xffb1bf20,0x7ec3fd41,0xff36ffbf,0x2205ff9d,
    0xffc885ff,0xf9ffe807,0x0ffee2ff,0x3fffffaa,0x02fffece,0xffd1ffd4,
    0x207fe809,0xbff13ffd,0xff7dff10,0x3fe60551,0xffd1001f,0xff881335,
    0x3fffea06,0x7fec04ff,0x23bffa20,0x3fe61ffe,0xffffffff,0x2219501f,
    0x3a005ffe,0x02fffcff,0x0ffd8bf7,0x14fb9fea,0xdbfffffd,0x3e603fff,
    0xfffff885,0x7f40ffff,0x00ffd807,0x7c00ffd8,0xffff887f,0x8801ffff,
    0xffffffff,0x0ffd8001,0xfffff980,0x06ffffff,0xffb81ffa,0x007ff604,
    0xff81bfe2,0x03ffa807,0x07fec0c0,0x27ff6026,0xbffdaffe,0xff102ffc,
    0xfffb999d,0x1ffd007f,0x3ee1fff7,0xffff103f,0x405ffb83,0x3fea3ffa,
    0x543ff401,0xff51fffc,0xfffff107,0xfffa805f,0xff886626,0x0fffffff,
    0xff503ff4,0xf801bfff,0x3bffa27f,0x3e25ff90,0xdcbcefff,0xfb001fff,
    0x7cc001df,0x0c05ffff,0x82607fec,0x2fffcc49,0xdd90bff6,0x3ea3bdff,
    0xffffffff,0x2007fec2,0xfd800ffd,0x07ff400f,0x3fffffe2,0xff8801ff,
    0x01ffffff,0x800ffd80,0xfffffff9,0x3a06ffff,0x17fe607f,0xf001ffd8,
    0xfffd30ff,0x007ff500,0x3ffaaa60,0x3f600aab,0xffeffa8f,0x102ffc8f,
    0xffffffff,0x3fa007ff,0x2e9ffd0f,0xdff103ff,0x501bfe01,0xd00087ff,
    0xfffdddff,0x17fdc9ff,0x7fffffc4,0x3fffee02,0x2a7ffb4f,0xffffffff,
    0x407fec2f,0x02effffb,0xfd11ffd0,0x8fff41ff,0xf900effb,0xfff7003f,
    0xfff90003,0xffb0001f,0xdff30001,0xfd89ff50,0x322effff,0x3deefffd,
    0x6c00ffe8,0xffd800ff,0x443ff400,0xfffeefff,0xefff8801,0x8001fffe,
    0xf9800ffd,0xeeeeeeff,0x1ffa06ff,0x3603ffc8,0xff9001ff,0xffffd97d,
    0x7fd403bf,0xf502e603,0xffffffff,0xf87fec0d,0xff94ffff,0x3fffe205,
    0x003fffff,0x7fcc3ffa,0x103ffb9f,0x37fc0bff,0x980ffea0,0xffffe80b,
    0x543fffff,0xfff884ff,0xff101ffe,0xff5fffbf,0x7ffee4bf,0xffe83dee,
    0x3ffffea0,0xffb0e605,0x543fffd9,0x0fff27ff,0x007fff22,0x0007fff3,
    0x80017ff4,0x98000ffd,0x4ff984ff,0x07fec000,0x3601bfe0,0xffd800ff,
    0x21bfe200,0x3ff25ff8,0x3fe202a0,0x0003ff25,0x26003ff6,0x1bfe05ff,
    0x9999ffe8,0x201fffc9,0xf3001ffd,0xffffffff,0x7d409fff,0x70ffe03f,
    0xffffffff,0x87fec0df,0xf90ffffb,0x3bfe205f,0x1ffffbaa,0x641ffd00,
    0x03ffbeff,0x7fc0bff1,0x01ffd406,0xfffd07ff,0x101bdfff,0xdff10dff,
    0x7fdc0ff5,0xdfffff94,0x801ffb03,0x3ffea6ff,0x3fe03fff,0x3ffffe63,
    0x9ffd711f,0x65efffdc,0xdffffffd,0x44fff881,0xffb005e8,0x3ff60003,
    0x4ff98000,0x04c4ff98,0x401ffb00,0xfd805ff9,0x0ffd800f,0x2217fe60,
    0xb93a65ff,0x25ff886f,0xfb0004e9,0xbff3001f,0xfd037fc0,0xffffffff,
    0x1ffd807f,0x3fffee00,0x1efffbdf,0x440ffea0,0xecca85ff,0x200accff,
    0xfff10ffd,0x8817fe4b,0x7ff4c5ff,0x0ffe801f,0x1ffffff4,0x3e05ff88,
    0x1ffd406f,0xfe85ff88,0x1ffe8007,0x11ab7fc4,0xd0ffec15,0x3605ffff,
    0x3fe600ff,0x3f3bfee5,0x89ff303f,0xdbeffffc,0x740effff,0xffffffff,
    0xd84fffff,0x1ffa86ff,0x001ffd80,0x0001ffb0,0xff309ff3,0xb002fe89,
    0x3fa201ff,0x0ffd803f,0x100ffd80,0xff107ffd,0x40ffd80b,0x00005ff8,
    0x26003ff6,0x1bfe05ff,0xffffffe8,0xfd801def,0x5544001f,0x200bfe21,
    0xff103ffa,0x00ffd80b,0x7e41ffb0,0x40bff21f,0xfe885ff8,0x0ffe806f,
    0x1fffffd4,0x3e05ff88,0x1ffd406f,0xfe85ff88,0xfffc8007,0x2e1bfe20,
    0x98bff26f,0x3f607fff,0x7ffd100f,0x07ff52b8,0xffb17fe6,0xffffffff,
    0x3fff220b,0xfffdcfff,0x07ffe41f,0x6c017fdc,0xfb0001ff,0xff30001f,
    0x989ff309,0xffd804ff,0x37ff5440,0x800ffd80,0x75440ffd,0xbff106ff,
    0x440ffe80,0x200005ff,0xf9800ffd,0x81bfe05f,0x01999ffe,0x001ffd80,
    0x511df100,0x881ffd40,0x7fec05ff,0x01ffb000,0x2205ff90,0xfff105ff,
    0x80ffe809,0x103ffffd,0x37fc0bff,0x440ffea0,0x07fe85ff,0xbeffe880,
    0xfd86ff89,0x9bfff50f,0x05dffffb,0xea881ffb,0x7fd406ff,0x6cbff303,
    0xffffdfff,0xaa8803df,0x2077c41a,0xf702fffa,0x3ffb005f,0x03ff6000,
    0x213fe600,0xfe984ff9,0xffffb105,0xffffffff,0xffffd703,0x1bffffff,
    0x3fffff62,0x1fffffff,0x7ffffec4,0xffffffff,0xffffb10f,0x7001bfff,
    0xfffffffd,0x7641bfff,0x3f23efff,0x3b22efff,0x2dffffff,0x3ffff620,
    0x03efffff,0x3ffff600,0x3ffffaa1,0xffffffff,0x7ffec45f,0x882effff,
    0x43effffd,0x3effffd8,0x3fffff62,0x77ffd41d,0x7fffec43,0x3fffe23e,
    0xefffec83,0x37fff662,0x3ffffaa1,0xffffffff,0x3fffb25f,0x8802dfff,
    0xfffffffe,0xffffffff,0x3fffffa0,0x226fffff,0xfffffffd,0xa81fffff,
    0xfffffffe,0x35ffffff,0x0d443fff,0x3be20000,0xffffd3ca,0xffffffff,
    0xffffb105,0x4407dfff,0xfffffffd,0xffeb802e,0xfffd31ef,0x705fb105,
    0xffffffff,0xf103dfff,0xffffffff,0x3ee7ffff,0xffffffff,0xffb81eff,
    0xffffffff,0xf70fffff,0xffffffff,0xffff8809,0xffffffff,0xfffff33f,
    0x3fffeaff,0xffff16ff,0x40dfffff,0xfffffffb,0x0007ffff,0xff0fbf22,
    0xffffffff,0xb8bfffff,0xffffffff,0xffffb87f,0x3fee0fff,0x3ee7ffff,
    0x84ffffff,0x7dc7fffc,0x547fffff,0x7fc43fff,0x3f66ffff,0x3fe4ffff,
    0xffffffff,0xf15fffff,0xffffffff,0x3ffa200d,0xffffffff,0x3220ffff,
    0xffdfffff,0x3fffee2e,0xefffffff,0xffffff01,0xffffffff,0x000ff4bf,
    0xfffb0000,0x3fffffab,0x2fffffff,0xffffffb8,0x3ee07fff,0xffffffff,
    0x7fffc407,0xffffb5ff,0xfd880c0b,0xcdffffff,0x7fffe402,0xdfffffff,
    0xfffffb10,0x44059bff,0xfffffffd,0x0fffffff,0xffffffb1,0xff9003bf,
    0xffffffff,0x7ffec1bf,0xfffb13ef,0x7ffe47df,0x202effff,0xffffffd8,
    0x0003efff,0x3fffae00,0xffffffff,0x7ff4c5ff,0x83efffff,0x4fffffd8,
    0x7ffffec4,0x3ffff624,0x7dfd01ef,0xeffffd98,0xc83ffd83,0x262effff,
    0x2e1efffe,0xfffffffe,0x25ffffff,0xfffffffc,0x6dc4002e,0xffffffff,
    0xa9880fff,0x7fec400a,0x2cdfffff,0x7ffff5c0,0xffffffff,0x0000005f,
    0xfd0ac980,0xffffffff,0xfb105fff,0x7dffffff,0x7fffecc0,0xc803efff,
    0xd31effff,0x00005dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x26600999,0x06a00099,0x801a8800,0x000001a8,0x00035100,0x33310020,
    0x01998000,0x00026200,0x00030044,0x09800026,0x800c0130,0x5c000008,
    0x80266200,0x545fffd8,0x4007fffd,0x26000098,0x00000c40,0x44000011,
    0xffffffff,0x01006fff,0xffffb504,0x7fff643b,0x044060df,0xdfffd980,
    0x13bffb21,0x01bfffd5,0x01bfffd7,0xfec80098,0xfffb14ef,0x3b2a03bf,
    0x3ffea01c,0x7fd46fff,0xb806ffff,0xf70000ff,0x3bff900f,0x5c000000,
    0x09800fff,0xed983f30,0x01dfffff,0xfffffd50,0x6c403b7b,0x01deffff,
    0x20dffea8,0x4404fffc,0x1cefffdb,0x7fff5c40,0x09fff71e,0x2aa61df9,
    0x3621ff70,0x7f545fff,0x889f37ff,0xcefffffc,0x3fffee1e,0x3fffff45,
    0x756ffed4,0x9103ffff,0xbfff7fff,0x019fffb3,0x43ffff66,0x5c2dfffb,
    0x23fd103f,0xfffffff8,0xb806ffff,0xfd3ec41f,0x229fffff,0x3fffffff,
    0x05fb09f5,0x9fffffb0,0x3fffffe2,0x3fffffe1,0xffffff83,0x301bee02,
    0x53ffffff,0x0bffffff,0x0bffdff9,0x3fffffee,0x7ffffdc7,0x0ffa807f,
    0x01ffb000,0x0cffffc8,0x3aa00000,0xb700ffff,0x5c39dfff,0x3fffe22f,
    0x01ffffff,0x3fffff62,0x704fffff,0xffffffff,0x7ffd409f,0xfffd9eff,
    0xffd105ff,0x05ffffff,0x7fffffec,0xdfffffef,0x3fbbffa0,0x1fffdfff,
    0xe8bffff7,0x9f77ffff,0x7fffffcc,0x3624ffff,0x7f5c5fff,0xfffe87ff,
    0xffffffff,0xfffffa85,0xffffffff,0xfff905ff,0xffffd7ff,0x27ffc3ff,
    0x7c4fffa2,0xffffffff,0x37ec05ff,0xfeb93fa2,0x3f21efff,0x3a0dffff,
    0x13fe60df,0x3ffffd50,0x22ffffec,0x88dffffb,0xdffff719,0x007fec01,
    0x437ffff6,0x42fffffd,0x1fd10ef8,0x33bffae0,0x7ffe5c41,0x0015001c,
    0x400ffec0,0x03fffffb,0x7ff4c000,0xfe881eff,0x4fffffff,0xffff81fd,
    0x07fffdce,0x377bfff6,0xb85fffff,0xfeceffff,0xff983fff,0xffffffef,
    0x444fffdf,0xfdcefffe,0xff903fff,0xfffffdbf,0x7cc9fffb,0xffffffff,
    0x3ff624ff,0x7fff545f,0x3fe1fe8f,0xffeddeff,0x05ff885f,0x3faa1ffe,
    0xfeceffff,0x7fec42ff,0xffffdeff,0x981fffdf,0xfffffffe,0x2e3ffeef,
    0xffd14fff,0x513fe21d,0x7440bfff,0x17fe60ef,0xfa837fd4,0x1dfd106f,
    0x6c02ffcc,0xfff35fff,0x93fea03f,0xdff11ffd,0x001ffb00,0xffe99ffa,
    0xfb06e00d,0x037fcc05,0x00017fea,0x03ffb000,0x3ffff220,0x6c40002f,
    0x102effff,0xfbbffffd,0x109fbfff,0x03ffa013,0x220bffee,0x7fcc5ffe,
    0x7fe440df,0x9a7ff40f,0xf32ffffe,0x77ff41ff,0x02fffb81,0x2fffe813,
    0x7d41fff3,0xfffecfff,0x40bff106,0x265fffff,0xffa80eff,0x205ff884,
    0xfff107ff,0x05ffb83f,0x3f21dff9,0x05ff90ef,0x1effffd8,0xfff702ea,
    0xe81dffd9,0x17ffea2f,0x2a0efe98,0x7ff405ff,0x203ffe82,0x3e61ffe8,
    0x7fdc00ef,0x00efffef,0x7fc5bfe2,0x889ff54f,0x8ffd8add,0xffd02eb9,
    0x000fffee,0x3fa01ff2,0x0bff601f,0xfb000000,0xfd98003f,0x4001efff,
    0x3fffffc8,0x05f7ff40,0x803fffee,0xfd9aaa98,0x03fff81f,0xff913fe2,
    0x24ffd80b,0x7fcc7ff8,0x89ffe46f,0x3ee00fff,0x6d54c05f,0x1ffec5ff,
    0xff98bff7,0x40bff107,0xfe80cfff,0x05d41acf,0xff02ffc4,0x03bfe20f,
    0xffc837fc,0xfb8bff21,0x7ffec02f,0x7ffdc004,0x54100eff,0x3ea05fff,
    0x17fee0ff,0xf31bfea0,0xffd100df,0x00f7fcc5,0x37ffffea,0xb8ffe800,
    0x5ff97fff,0xffffffb8,0xd07fffff,0x05fffdff,0x00efd880,0xf305ffb8,
    0x000000ff,0x0003ffb0,0x37ffffa6,0xffffb801,0x7fc400cf,0x1bfee00f,
    0x7ffffe44,0x7c41ffff,0x0edc00ff,0x3bbbbffa,0x6ffeeeee,0x3fe13fe6,
    0xffeeeeef,0x880bff55,0xffe987ff,0xeeefffff,0x3f65ffee,0x81ffd81f,
    0x3fe05ff8,0x3fffee07,0x2201ceff,0x1ffe05ff,0xff02ffc4,0xc87ff20d,
    0x0bfee2ff,0x0007ffb0,0x003ffff2,0xb817ffea,0x3ff61fff,0x87ffa006,
    0xf3003ffd,0x7ffdc7ff,0x7fffec01,0xd5ff9001,0xffd5ffff,0xfffff981,
    0x04ffffff,0xfffffffd,0x37fea005,0x1fff1000,0x2607ff90,0xeeeeeeec,
    0x223deeee,0xfffeeeec,0x002deeee,0x33ffffea,0xffffea80,0x5ff5000d,
    0x987ff880,0xffffffff,0x7fcc1fff,0x3ffe0005,0xffffffff,0x3fee7fff,
    0xfffffd82,0xffb6ffff,0x43ffb003,0xfffffffc,0xffffffff,0x203ffa5f,
    0xff882ffc,0x901ffe05,0xffffffff,0x817fe209,0xbff107ff,0xfc837fc0,
    0xb8bff21f,0x7fec02ff,0xffe88000,0x7fd404ff,0x7ffcc05f,0x007ffee3,
    0xff9affdc,0x3bff6007,0x409ffd10,0xffffffd8,0xfeffa802,0x7ffeffff,
    0x3ffff6a0,0x3fa00bef,0x3fffebff,0x001ffe40,0x3e21ffe4,0xfffb00ff,
    0xffffffff,0x3ff63fff,0xffffffff,0x4000ffff,0x12fffffc,0x03fffffb,
    0x801ffd80,0x3fe21ffd,0xfdcbceff,0x37fcc1ff,0xffffd000,0xffffffff,
    0x427fdcff,0xffffffff,0x07ff96ff,0x3e61ffd0,0xfecbdeff,0xffffffff,
    0x3a0bff26,0x5ff880ff,0x2201ffe0,0xffffedba,0x206ff885,0xbff107ff,
    0xfc837fc0,0xb8bff21f,0x7fec02ff,0x7ff44000,0xf504ffff,0x88350bff,
    0x3fe63ffe,0x3fff001f,0x36007ffb,0x3ffa24ff,0x3fffa202,0x403fffeb,
    0xebfffff8,0x4405ffff,0x803fffff,0xffd10ffe,0x3fff201f,0x9801eeee,
    0x2ffdc7ff,0xffffff70,0xdfffffff,0x3ffffee1,0xffffffff,0x3ff22006,
    0x7ec43fff,0x2001efff,0xfe803ffc,0x03bfee0f,0x7fc0ffe4,0xffb0001f,
    0x3fe60007,0x027ffcc6,0x7007ffcc,0x2ffdcdff,0xa8027fec,0xff912eff,
    0x81bfe20d,0x05b307ff,0x2207ffd4,0xffd987ff,0x40bff107,0x3ff906ff,
    0xff717fe4,0x00ffd805,0x23bffa20,0x7d44fffb,0x07fb85ff,0x7f449ff9,
    0xeffb802f,0xfd800fff,0x07bfe22f,0x21fffe98,0x7404fffd,0xffb8ffff,
    0x7fec03ff,0x7401ffff,0x05ffe87f,0xfffffff9,0x8bffa007,0x4c401ffe,
    0x99999999,0x33330199,0x13335ffb,0x7fffdc00,0x3fa600cf,0x9801dfff,
    0x3ee00fff,0x41ffe46f,0xe81fffc8,0x3a600dff,0x0bffea0f,0x7fc41530,
    0xffffb13f,0x7ffc2981,0x7ffd441d,0xd317fea3,0x42981fff,0xffeffffb,
    0xff880eff,0x07ffe987,0x7ec05ffb,0xbeffe82f,0xdfffffec,0xf02ffc41,
    0x87ff20df,0x3fee2ffc,0x007fec02,0x5c1dffd0,0xfff32fff,0xffffffff,
    0x13fea01f,0xff005ff9,0xfb007fff,0x02ffc43d,0x87bffff2,0x02effffc,
    0x3e2bfff9,0x3ea01fff,0x06ffd8ff,0x1bffffd7,0x0fbfffe6,0x3fea0000,
    0x000dff35,0x7fec0000,0xffea8001,0x2a000dff,0x00cfffff,0x220efffc,
    0x7dc3fffb,0xffdcbdff,0x261dffff,0xcaccffff,0x6c2fffec,0xdcbdffff,
    0x7dc6fffe,0xffffedff,0x4fffcbff,0x2fbfffea,0x40dffffd,0xffdbefff,
    0xffdbefff,0xfffff54f,0x1dffffff,0xd97dffd0,0x83bfffff,0xcbcefffe,
    0xa80ffffd,0xffffffff,0x3b24ffff,0x3662efff,0xfb11dfff,0x3ff25dff,
    0x87dff73e,0xfffffffc,0xdfd03eff,0x2e5ff701,0xffffffff,0x2201ffff,
    0x03fd41fe,0x007fffdc,0x0ff217e6,0xffffff30,0x3ffffe2b,0x5fff506f,
    0x3203ffec,0x1ffd12ff,0xffffff88,0x3ffff22f,0xf800000f,0x03ffd9ff,
    0x36000000,0x3a6001ff,0x001effff,0x3ffffee0,0x3fffea03,0xdffffdce,
    0xfffffe80,0xffffffff,0x7ffffd44,0x85ffffff,0xffffffd8,0xd86fffff,
    0xebffffff,0x5fffffff,0x7fffffcc,0xff505fff,0xffffffff,0x29ffffff,
    0xfffcdffe,0xa82fffbe,0xffffffff,0x7ec4ffff,0xffffffff,0x3fea02ff,
    0xfffbefff,0xfffff11e,0x7fffecdf,0xfffff54f,0x5dffff2f,0xff50ffff,
    0xffffffff,0x017301ff,0xffff714c,0xffffffff,0x06205003,0x013ffe20,
    0x36001004,0x321effff,0x102effff,0x5ff98fff,0x3621ecc0,0xfffff903,
    0x7fff441b,0xf7000004,0x001fffbf,0x7ec00000,0xffd8801f,0x00002eff,
    0x5fffff91,0x3ffffe60,0x2205ffff,0xcffffffc,0x981efffd,0xfffffffd,
    0x7ffd403e,0x0befffff,0x25ffff90,0x3effffe8,0xfffffb30,0xffe9807d,
    0xffddecff,0x13ea3eff,0x2a01df30,0xfbdfffff,0x6fd41eff,0xdffffffe,
    0x01553001,0x3bffff20,0x3bfffa62,0x7dfffb11,0x7dd3fff2,0x3ff624ff,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff100000,0x40009fff,0x360005f9,0x7fd401ff,0x00003fff,0xbffffb30,
    0x3ffff660,0x551003ef,0x4c400035,0x40019aaa,0x0019aa98,0x0d4c06a2,
    0x0006a200,0x2a202aa2,0x00000009,0x88000353,0x00009aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffb0000,0x7dc0003f,0xff90000f,0xcfffd801,0x98000000,0x4401fffe,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x3faa0000,
    0x0000ffff,0xdddb7100,0xdddddddd,0x00203ddd,0x02b3b726,0x3227ddd1,
    0x599911cc,0x666665cc,0xaccccccc,0x42fffc40,0x000cdeca,0x09800180,
    0x99999988,0x99999999,0x33331019,0x33333333,0x20103333,0x66666440,
    0x03cccccc,0xfff30000,0x3d88000d,0x013a6000,0x000033a6,0x013aa000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fff4000,
    0x44000fff,0x7ffd402e,0xffffffff,0x5c1fffff,0xff00efff,0xff0bffff,
    0x8bffe27f,0xfff33fff,0xffffffff,0xfa8bffff,0x7ffe41ff,0x07d01fff,
    0x207ffee2,0xb1fff418,0xffffffff,0xffffffff,0x7ffec5ff,0xffffffff,
    0x2fffffff,0x26fa8df7,0xfffffff9,0x0006ffff,0x00bffa00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x70000000,0x01fffffd,0x201ffd80,0xfffffff9,0xffffffff,0x3ffff61f,
    0x6c1881ff,0xf17ff41f,0x8fff43ff,0xfffffff8,0xffffffff,0x2e27fe45,
    0x1ff712ef,0xff885f88,0x3a23ffff,0x4dfff33f,0xffffffff,0xffffffff,
    0x3ffe4fff,0xffffffff,0xffffffff,0x7e41ffb4,0xfffff30f,0x0dffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x32000ffd,0x4400efff,0x99999999,
    0x51ffd999,0xdff73bff,0xfddfb710,0x3a1ffd85,0x83ff60ff,0xaaaaaaa8,
    0x81aaaaaa,0x07f40ffe,0x3fe21fe4,0x7ef7ff43,0x3ffe9cff,0xdca8fffe,
    0xdddddddd,0xcddddddd,0x33333260,0xcccccccc,0xb30bcccc,0x4443c885,
    0x88888888,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4003ff60,0x06fffffa,
    0x8ffe4000,0x07fdc6fc,0xffddfff3,0x320ffc85,0x003fe47f,0x44ff8800,
    0x49f506f8,0xf11ffe89,0x3fff21df,0x0d40efff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2003ff60,0xfffcfff9,0x3f200004,
    0xf989fb1f,0xf90bfa1f,0x7dc7fb85,0x00037dc6,0xe80ffb80,0x3e2fe82f,
    0x36e1fedf,0x77fffd40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ffb0000,0x55fff880,0x00007fff,0x7fe47ff2,0x9fd1ff20,
    0x45bffd75,0x22fd46fa,0x7ffec5f9,0xffffffff,0x13f62eff,0x7e5effcc,
    0x27ff5c5f,0x00597100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x400ffd80,0x7fdc6ffe,0xfc80002f,0xd9fff31f,0xffe989ff,
    0x225ffeff,0x221fc45f,0x3fffe64f,0xffffffff,0x03fe6fff,0xcffffea8,
    0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00ffd800,0x3203ffee,0xb80007ff,0x3ffee0ff,0x35100eff,0x20720262,
    0xfec81301,0xffffffff,0x06e2dfff,0x0004d4c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x3ea00ffd,0x01bf601f,
    0x2617a200,0x00003dec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ae00000,0xffffffff,0x00260dff,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff880,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffc80000,0xffffffff,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_33_latin_ext_x[560]={ 0,6,3,1,2,2,3,6,7,3,2,1,5,2,
6,2,2,2,1,1,2,1,3,2,2,3,6,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,5,1,-1,1,0,0,2,0,0,1,
2,0,1,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,4,7,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,3,1,-1,2,-1,-2,4,1,4,4,5,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,2,1,2,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_33_latin_ext_y[560]={ 24,5,6,4,3,5,7,6,5,5,5,7,20,14,
20,3,5,5,5,5,5,5,5,5,5,5,11,11,7,11,7,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,4,29,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,4,6,8,6,
5,5,5,6,5,11,14,14,6,1,2,3,5,5,4,11,5,12,22,5,5,11,5,5,5,11,0,0,0,1,
1,-1,6,6,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,9,5,0,0,0,1,0,6,5,4,4,
4,6,5,4,10,10,4,4,4,5,4,4,4,5,5,6,4,4,4,6,5,7,9,4,4,4,5,4,5,5,
2,6,0,4,6,10,0,4,0,4,0,5,0,5,0,5,6,5,2,6,0,4,0,5,6,10,0,5,0,4,
0,4,0,5,6,3,0,0,6,5,1,6,2,6,0,4,6,5,0,11,6,5,0,4,6,5,11,0,-1,6,
5,6,5,6,5,6,5,0,4,6,10,0,5,6,6,10,2,6,0,4,0,4,6,10,0,4,6,10,0,5,
0,4,0,4,6,10,0,5,6,6,0,5,6,6,1,6,2,6,0,4,-1,4,0,4,6,11,0,4,0,4,
1,0,4,0,5,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,9,5,5,5,5,5,5,5,5,5,5,5,5,5,3,10,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,0,5,0,
5,0,5,-1,2,-1,0,-1,0,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-6,-2,0,4,0,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_bold_33_latin_ext_w[560]={ 0,5,11,15,14,14,13,5,8,7,14,16,7,13,
5,14,14,14,14,15,13,15,13,13,14,13,5,8,18,17,17,14,13,20,17,17,17,17,17,18,17,14,17,18,
17,20,19,17,16,17,19,15,16,18,20,19,18,17,14,7,14,8,14,21,7,16,18,16,18,17,15,18,18,15,
12,17,15,20,17,16,18,17,16,14,16,17,18,19,17,17,14,9,4,9,15,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,5,13,17,14,17,
4,16,10,19,11,16,18,13,19,21,10,16,9,9,7,17,15,5,7,9,11,16,18,21,18,13,20,20,20,20,
20,20,20,17,17,17,17,17,14,14,14,14,18,19,17,17,17,17,17,13,18,18,18,18,18,17,16,16,16,16,
16,16,16,16,19,16,17,17,17,17,15,15,15,15,15,17,16,16,16,16,16,16,17,17,17,17,17,17,18,17,
20,16,20,16,21,17,17,16,17,16,17,16,17,16,17,21,18,18,17,17,17,17,17,17,18,17,17,17,18,18,
18,18,18,18,18,18,17,18,17,18,14,15,14,15,14,15,14,15,14,15,18,18,17,12,18,17,18,17,15,17,
15,17,15,17,15,17,15,19,17,19,17,19,17,18,16,15,17,16,17,16,17,16,20,19,19,16,19,16,19,16,
15,14,15,14,15,14,15,14,16,16,16,18,16,17,18,17,18,17,18,17,18,17,18,17,18,18,19,19,17,17,
17,14,14,14,14,14,14,15,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,15,16,16,16,
16,16,16,16,16,16,16,16,16,16,19,17,16,16,16,16,16,16,16,16,16,16,16,16,16,20,19,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,16,14,15,17,
16,18,17,18,17,18,17,18,17,18,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,16,20,19,18,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__courier_bold_33_latin_ext_h[560]={ 0,20,9,23,25,20,18,9,24,24,13,17,9,4,
5,25,20,19,19,20,19,20,20,20,20,20,14,17,17,9,17,19,22,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,23,18,19,18,19,18,18,18,18,18,24,25,24,11,4,6,15,20,15,20,15,19,21,19,19,
26,19,19,14,14,15,21,21,14,15,19,14,13,13,13,20,13,24,24,24,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,20,21,18,15,18,
24,22,4,19,9,13,10,4,19,4,10,21,10,11,6,20,22,5,8,10,9,13,19,19,19,20,24,24,24,23,
23,25,18,24,24,24,24,23,24,24,24,23,18,23,25,25,25,24,24,13,22,25,25,25,24,24,18,20,21,21,
21,19,20,21,15,20,21,21,21,20,20,20,20,19,20,18,21,21,21,19,20,17,18,21,21,21,20,27,26,26,
22,19,24,21,22,18,25,21,25,21,25,20,25,20,24,20,18,20,22,19,24,21,24,20,22,19,24,20,25,27,
25,27,25,26,24,28,24,24,18,19,23,18,22,18,24,20,23,24,24,13,19,26,25,27,24,25,13,24,25,24,
25,18,19,18,19,18,19,24,20,24,20,24,19,18,19,21,23,19,25,21,25,21,18,15,24,20,24,20,24,19,
25,21,25,21,24,20,25,20,26,26,24,20,18,19,24,19,23,19,25,21,26,21,25,21,23,18,24,20,24,27,
23,24,20,24,19,24,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,23,19,19,19,
19,19,19,19,19,19,19,19,19,19,20,16,19,19,19,19,19,19,19,19,19,19,19,19,19,22,15,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,24,20,24,19,25,
20,25,20,26,23,26,25,26,25,26,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,30,27,24,21,27,23,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_bold_33_latin_ext_s[560]={ 511,506,349,492,224,185,345,343,252,261,464,
39,379,484,423,239,302,486,1,269,36,235,154,333,35,50,504,501,74,361,56,
50,110,463,484,65,36,54,72,103,106,141,122,407,389,210,251,189,307,38,231,
173,465,225,1,369,426,447,432,504,323,181,286,429,501,111,418,128,453,145,244,
119,277,296,258,207,140,306,288,183,138,84,327,255,156,270,390,444,426,16,358,
125,477,500,407,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,511,500,52,
312,220,330,269,164,473,83,331,373,301,484,16,451,320,449,498,502,502,251,202,
504,399,501,387,409,277,255,236,389,231,355,319,74,1,93,348,175,86,482,1,
385,376,19,34,335,1,365,206,57,1,408,446,344,124,38,114,151,57,76,124,
168,466,157,18,416,137,483,200,81,66,191,243,17,1,488,472,470,437,271,209,
226,174,399,120,22,396,297,279,261,315,60,326,221,181,51,296,102,236,414,338,
35,289,1,406,64,188,218,21,98,359,347,218,363,39,309,94,400,258,120,112,
366,399,126,455,145,19,362,277,22,228,190,445,451,441,20,95,90,148,384,350,
261,246,270,344,288,170,113,209,440,479,163,307,130,254,175,312,289,296,378,220,
1,317,464,354,426,202,482,68,415,317,34,75,398,356,292,324,163,484,403,193,
420,155,103,374,277,424,327,49,492,390,1,345,271,391,335,193,433,458,381,422,
85,492,431,307,342,270,380,403,156,135,472,213,78,56,274,437,289,138,340,153,
168,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,184,260,260,22,
260,260,260,260,260,260,260,260,260,260,260,260,260,452,93,260,260,260,260,260,
260,260,260,260,260,260,260,260,143,235,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,65,372,
304,328,381,285,418,200,239,456,202,437,183,474,164,133,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,1,96,104,360,41,474,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260, };
static unsigned short stb__courier_bold_33_latin_ext_t[560]={ 1,108,250,83,32,154,216,250,58,58,235,
235,250,250,250,32,154,175,196,154,196,154,154,132,154,154,132,175,235,250,235,
196,108,196,196,196,216,216,216,196,216,216,196,196,196,216,216,196,216,108,216,
196,216,196,235,196,196,216,216,58,32,83,250,250,227,235,132,235,132,235,196,
132,196,196,1,196,196,235,235,235,132,132,235,235,196,235,235,235,235,175,235,
58,32,32,250,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,1,108,132,
196,235,196,58,108,250,196,250,235,250,250,196,250,250,108,235,196,208,154,108,
147,250,216,250,235,175,175,175,154,58,58,58,108,108,32,196,58,58,32,58,
83,58,58,58,83,216,83,32,32,32,58,58,235,108,32,32,32,83,83,216,
154,108,132,132,175,154,108,235,154,132,132,132,154,154,132,132,175,132,216,132,
132,132,175,154,235,216,132,132,132,132,1,1,1,108,175,83,132,108,216,32,
132,32,132,32,154,32,154,83,154,216,132,108,175,83,108,83,132,108,175,83,
132,1,1,1,1,32,1,83,1,83,83,196,175,83,216,108,216,83,132,83,
83,83,250,175,1,32,1,83,32,235,83,32,83,32,216,175,216,175,216,175,
83,154,58,154,58,175,216,175,108,83,175,32,108,32,108,216,235,58,154,58,
154,58,175,32,108,32,108,58,154,32,175,1,1,58,154,216,175,32,175,83,
175,1,108,1,108,32,108,83,216,58,154,58,1,108,58,154,58,175,58,175,
175,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,175,196,196,108,
196,196,196,196,196,196,196,196,196,196,196,196,196,154,235,196,196,196,196,196,
196,196,196,196,196,196,196,196,108,235,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,58,154,
58,175,1,154,1,154,1,83,1,1,1,1,1,32,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,1,1,58,108,1,83,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196, };
static unsigned short stb__courier_bold_33_latin_ext_a[560]={ 280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_33_latin_ext(stb_fontchar font[STB_FONT_courier_bold_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_33_latin_ext_s[i] + stb__courier_bold_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_33_latin_ext_t[i] + stb__courier_bold_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_33_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_33_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_33_latin_ext_x[i] + stb__courier_bold_33_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_33_latin_ext_y[i] + stb__courier_bold_33_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_33_latin_ext_s[i] + stb__courier_bold_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_33_latin_ext_t[i] + stb__courier_bold_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_33_latin_ext_x[i] + stb__courier_bold_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_33_latin_ext_y[i] + stb__courier_bold_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_33_latin_ext_LINE_SPACING
#endif

