// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT        352
#define STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_39_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_39_latin_ext_LINE_SPACING          18

static unsigned int stb__courier_bold_39_latin_ext_pixels[]={
    0x001d9000,0x00000000,0x0b880008,0x40000a60,0x200003d9,0x260001d9,
    0x01440001,0x000a2000,0x55555553,0x55555555,0x00040155,0x38838800,
    0x00b80000,0x27774c00,0x33333220,0x003ccccc,0x20000370,0xd904eee9,
    0x880003dd,0x30300000,0x03030000,0x000e5400,0x003ec880,0x037776d4,
    0x02200000,0x2000e540,0x0000ffe8,0x00001b20,0x5c004fc8,0x003fa03f,
    0x00bff500,0x00ffee00,0x0027fdc0,0x000dffa8,0x00dffa80,0xffffff90,
    0xffffffff,0x3e203fff,0x5c00001f,0x03ff50ef,0x01fec000,0x17ffea00,
    0xfffffd30,0x000bffff,0x20000bfe,0xfb05fffa,0x540005ff,0x7440007f,
    0x005fd11f,0x7447fa20,0x7f44002f,0xb80005ff,0xf1001fff,0x000fffff,
    0x037dc000,0x30037fcc,0x00005fff,0x000017d4,0x0017ff44,0x3f607fea,
    0x7fe40007,0xfc80000e,0xfe88005f,0x1001efff,0x07fffffb,0x3fff6200,
    0xffc803ff,0xffffffff,0x1fffffff,0x000fffa0,0xffbff700,0x3a200005,
    0xfa80004f,0x000005ff,0x04fe9800,0x2fffd400,0x002fffd8,0x000bff90,
    0xfe8b7fc4,0xff88000f,0x001ffd16,0x03f71fb8,0x2fffd800,0xfffff100,
    0x2000000f,0xfa803ffd,0xdff5007f,0x7c400003,0xe9800004,0xfd0002ff,
    0x7fffb9df,0x27fec000,0x7ff44000,0xfffb8004,0x404fffbb,0xfeadfff9,
    0x3e6000df,0xdffeadff,0x3ffff200,0xffffffff,0x201fffff,0x0004ffd8,
    0x1bfd30c4,0x42880054,0x000a22fe,0x4027774c,0x00054028,0x11fec451,
    0x7774c005,0x03ddd904,0x05ffd880,0x23bfe600,0x8001ffe8,0xfe88eff9,
    0x45e8001f,0x7cc0003f,0x6dcc006f,0x000007ff,0x801fff44,0xff007ffa,
    0xa800001b,0x200000cf,0x0001eff9,0x3fffff62,0x3ee0003f,0xfb00003f,
    0xff30005f,0x17fec43d,0xfc85fff0,0x3ffe004f,0x9027fe42,0x7ffb8dff,
    0x400fffcc,0x10005ffc,0x7ec187ff,0x549ff006,0x0002ff41,0x81ffc400,
    0x3fe006fd,0x0bfd05c4,0x80000000,0x20003ffe,0xfe88eff8,0xff88000f,
    0x00ffe88e,0x3ea1f700,0x01880001,0x01ffea00,0xfff88000,0x1ffea002,
    0x00001dc0,0x0006ffc8,0x0003bf20,0x05e6e4c0,0x00726000,0x001db800,
    0x6dc07b10,0x4c033201,0x0332002d,0xff9016cc,0x4c7ffb8d,0xf5001fff,
    0xff30001f,0x807fe809,0x3e205ff8,0x8000006f,0xffd04ff9,0x817fe200,
    0x00006ff8,0x3fe60000,0x77d40002,0x0001df30,0x77cc3bea,0x3fe20000,
    0x000006fe,0x0fff5000,0x77d40000,0x3ffd4001,0x00039300,0x007ffc80,
    0x00006200,0x00000000,0x00350000,0x00000000,0x90000000,0x7ffb8dff,
    0x000fffcc,0x65c00031,0x80164c00,0x0e5401ca,0x4cccccc0,0x2e009999,
    0x0059300c,0x32a00e54,0x4cccc401,0x26666219,0x30009999,0x20600001,
    0x18180001,0x5b710000,0xdca98000,0x133310ac,0x733ffd40,0x80001599,
    0xfff50001,0x17fffa00,0x1dc88000,0x64000000,0x6e54c05f,0x133310ac,
    0x00266620,0x20013333,0x000effea,0x4ccccccc,0x4cc40999,0x4cccc009,
    0xcdca9800,0x8133310a,0x7fdc5ffc,0x007ffc47,0x01730175,0x00000000,
    0xfffb8000,0xffffffff,0x00000006,0x3ffa0000,0xfe9fffff,0xffffffff,
    0x00000002,0x00000000,0x20000000,0xffffffd8,0xeffffecf,0xeafffa80,
    0x4effffff,0x54000000,0x1fb807ff,0x000003f5,0x6dd40000,0x3fee1cde,
    0xfffd881f,0xffecffff,0x3ff60eff,0x7d40efff,0x803fffff,0x004ea9de,
    0xfffffff7,0x7ecdffff,0x540effff,0x03ffffff,0xffffffb1,0xdffffd9f,
    0xf70ffea1,0x40dfd0ff,0x7fcc4ffa,0x55554406,0xaaaa881a,0xaaaa881a,
    0xaaaa881a,0xffffe81a,0x6fffffff,0x06aaaaa2,0x06aaaaa2,0x06aaaaa2,
    0x06aaaaa2,0xfffffff3,0xffffff7f,0x8805ffff,0x10bceeca,0x55555103,
    0x55555103,0x76dd4003,0x551001bc,0x55103555,0x3ea03555,0xffffffff,
    0x2fffffff,0xffffffa8,0x5fffffff,0x35555510,0x35555510,0xd807ffa8,
    0x200027c5,0x10acdca9,0xd3001333,0xbfffffff,0xf50dfff7,0xffffffff,
    0x5fffffff,0x3fffffe2,0x7fffec2f,0x0fcc07ff,0x3ffa00f7,0xffffffff,
    0xfffff16f,0xfffd85ff,0xffa87fff,0xffffffff,0x22ffffff,0x3ffdc0ba,
    0xff900dcc,0x207ffa8d,0xfffffff9,0xfffff50f,0x7ffccfff,0xf50fffff,
    0x8fffffff,0xfffffffb,0xff36ffff,0x21ffffff,0xfffffffa,0x3ffffe67,
    0xfff50fff,0xfd8fffff,0xd9ffffff,0xffffffff,0xfffd502f,0xff9fffff,
    0x7ffffcc7,0xfff50fff,0x980fffff,0xfffffffe,0x3ffe600d,0xf50fffff,
    0x8fffffff,0xdefffff8,0xfffffffe,0xffff506f,0xfffddfff,0xfff98bff,
    0xf50fffff,0x4fffffff,0xfb807ffa,0x20003f50,0xffffffd8,0xeffffecf,
    0xfffff900,0xffffffff,0xffff885f,0xffffedef,0x7ec6ffff,0x540effff,
    0x03ffffff,0x00db1fc4,0x3fffffea,0x366fffff,0x40efffff,0x3ffffffa,
    0x77ffffc4,0xffffffed,0xff7006ff,0x3b62000f,0x2e03fd81,0xffffffff,
    0xffffff92,0x3ffee3ff,0xf92fffff,0x3fffffff,0x33333330,0x3feedffb,
    0x92ffffff,0xffffffff,0x3ffffee3,0xfff92fff,0x883fffff,0x10fffa99,
    0xfff33333,0xfffff905,0xffffffff,0x7ffffdcd,0xfff92fff,0x203fffff,
    0xfffffffc,0xf701efff,0x5fffffff,0x3ffffff2,0x3fff61ff,0x7fff4c0d,
    0x3fea00cf,0xfe982fff,0x3ffee5ff,0xf92fffff,0x3fffffff,0x2201ffea,
    0x0006feff,0xfffffff5,0xffffffff,0xffff705f,0xffffd9bf,0xfffb09ff,
    0xfffe981b,0xfff500cf,0x0fffe807,0x5fdbfb00,0x99999800,0x546ffd99,
    0x7f403fff,0xfffd80ff,0x7fff4c0d,0x3ee000cf,0x0000007f,0x3ffff620,
    0x3ffa65ff,0x3624ffff,0x25ffffff,0xffffffe9,0x6ffc8004,0xffffffb1,
    0x7ffff4cb,0x3ff624ff,0x3a65ffff,0x04ffffff,0x1007ffcc,0xffc85fff,
    0xfedcefff,0x3627ffff,0x25ffffff,0xffffffe9,0xfffff704,0xfffffd9b,
    0xffffb103,0x7ff4cbff,0x3ea4ffff,0x3fe204ff,0x7fd404ff,0x7ff400ff,
    0x3ffff627,0x3ffa65ff,0x7f44ffff,0x05b71004,0x3fffe200,0xffffedef,
    0xf986ffff,0xfe983fff,0x7fd40fff,0x3ffe204f,0x37ff404f,0x009fff30,
    0x0016f5c4,0x21bff200,0x3e606ffe,0xfffa84ff,0x3fffe204,0x3ffdc004,
    0x40000000,0xf9807ffb,0xfff701ff,0x03fff300,0x71bff200,0xff300fff,
    0x1ffee03f,0x007ffe60,0x8803ffe6,0x3fea2fff,0xfe980bff,0x7ffb87ff,
    0x01fff980,0x107ffff3,0x5c0dfffb,0xff9807ff,0x07ffdc1f,0x013ffea0,
    0x1005fff5,0xffb83fff,0x1fff9807,0x00000010,0x40dfffe8,0x0cffffe9,
    0x203fffd0,0x44fffffa,0x5400fffb,0x7d404fff,0xfffd03ff,0x00000001,
    0x5437fe40,0xffd03fff,0x1fff701f,0x04fffa80,0x003ffdc0,0x44026662,
    0xf7009999,0xfff300ff,0x01ffee03,0x0007ffe6,0x3ee37fe4,0xfff9807f,
    0x00fff701,0x3003fff3,0x7c401fff,0x3fffa2ff,0x87ffe803,0xf9807ffb,
    0xfffd01ff,0x4fffb803,0x300fff70,0xffd83fff,0x4fff8805,0x007ffd40,
    0x7dc3ffe8,0xfff9807f,0x55550001,0x40015555,0x2204fffa,0xf704ffff,
    0x3fe607ff,0x360fffff,0xff8805ff,0x7ffe804f,0x004fff98,0x2b3332e6,
    0xff900000,0x21fffa0d,0xfb04fff9,0xfff100bf,0x7ffb8009,0xffffd100,
    0xfffffd0d,0x01ffee09,0x5c07ffe6,0xff9807ff,0xff90001f,0x807ffb8d,
    0xf701fff9,0xfff300ff,0x1fff3003,0xf17ffc40,0x3ea007ff,0x07ffb85f,
    0xb81fff98,0xfb003fff,0xfff701ff,0x83fff300,0xff004ffe,0xfffa809f,
    0x89ffd001,0xf9807ffb,0x7c4001ff,0xffffffff,0x3ffee004,0x27ffd400,
    0xd106ffc8,0x7fff9fff,0xf8027ff4,0xffa804ff,0x07fff43f,0x3ffff620,
    0x00cfffff,0x837fe400,0x7f43fffa,0x9ffd00ff,0x013ffe00,0x200fff70,
    0x46fffffa,0x4ffffff9,0x300fff70,0x3ee03fff,0xfff9807f,0xdff90001,
    0x9807ffb8,0xff701fff,0x3fff300f,0x01fff300,0xf997ffc4,0x3fa001ff,
    0x807ffb82,0xfd81fff9,0x3fe6006f,0x07ffb82f,0x6c1fff98,0xff8805ff,
    0x7ffd404f,0x3fff9803,0x4c03ffdc,0x0b981fff,0xffffffa8,0x36007fff,
    0xff8805ff,0x07ffd04f,0x7fd7fff6,0x017ff64f,0x4013ffe2,0x3fea7ffe,
    0xfffd804f,0xffffffff,0x7fe40005,0xa9fffa06,0x3f604fff,0xfff8805f,
    0x3ffdc004,0xffffe880,0xfffffd86,0x00fff704,0x2e03fff3,0xff9807ff,
    0xff90001f,0x807ffb8d,0xf701fff9,0xfff300ff,0x1fff3003,0xb97ffc40,
    0x200007ff,0xf9807ffb,0x3ffe81ff,0x427ff400,0xf9807ffb,0x7ffdc1ff,
    0x27ffdc00,0x07fffea0,0x41fffe88,0xf9807ffb,0x37fc41ff,0x7ffffec4,
    0xd002ffff,0x3fe009ff,0x05fff04f,0x7ecdfff7,0x03ffee5f,0x009fff70,
    0x7f4fffea,0xffb800ff,0xfffeefff,0x320003ff,0x3fea06ff,0x01fffd3f,
    0x2007ffdc,0x9804fffb,0xaafffcaa,0x7fec400a,0x9ffd3106,0x201ffee0,
    0xf701fff9,0xfff300ff,0x3ff20003,0x403ffdc6,0xf701fff9,0xfff300ff,
    0x1fff3003,0xd97ffc40,0x200004ff,0xf9807ffb,0x2fff81ff,0x42ffe400,
    0xf9807ffb,0x7ffcc1ff,0x3fffe606,0x7fffd404,0x7ff5443f,0x07ffb85f,
    0x541fff98,0xff8807ff,0x9005ffff,0xff100bff,0x3fff309f,0x20ffff98,
    0x3fe67ffb,0x3ffe606f,0x3ffa004f,0x004fffaf,0x3e6026ea,0x320004ff,
    0x7ff406ff,0x404fffaf,0x2606fff9,0x6c04ffff,0xffffffff,0x7e401fff,
    0x27fec06f,0x9807ffb8,0xff701fff,0x3fff300f,0x1bff2000,0xf300fff7,
    0x3fee03ff,0x1fff9807,0xffcaaa88,0x220aaabf,0x7fff2fff,0x7fdc0000,
    0x1fff9807,0x000fffcc,0x3ee1ffee,0xfff9807f,0xaefffc81,0xfffff710,
    0xffffa809,0xfffeefff,0xffb80eff,0x1fff9807,0x5c03ffd4,0x0fffdfff,
    0x00fffb80,0x4c27ffdc,0x3fe22fff,0x37fdc2ff,0x42bbfff2,0x4fffffb8,
    0x3fffea00,0x00000fff,0x00037fe4,0xfa80dff9,0x00ffffff,0x0aefffc8,
    0x9fffff71,0xfffffe80,0x03ffffff,0x36037fe4,0xfff704ff,0x03fff300,
    0x2601ffee,0x90001fff,0x7ffb8dff,0x01fff980,0xf300fff7,0xfffa83ff,
    0xffffffff,0x5fff10ff,0x0000fffe,0x9807ffb8,0x7fc41fff,0x7fdc001f,
    0x807ffb86,0xe881fff9,0xffffffff,0x404fffff,0xfffffffa,0x1effffff,
    0x300fff70,0xffa83fff,0x8efff807,0xf9804fff,0x3fe606ff,0x9fff04ff,
    0x6c27fff4,0x7ff445ff,0xffffffff,0x74004fff,0x003fffff,0xeffedc88,
    0x0006ffee,0x3a01bff2,0x003fffff,0xffffffd1,0x9fffffff,0xffffea80,
    0x00dfffff,0x36037fe4,0xfff704ff,0x03fff300,0x2601ffee,0x90001fff,
    0x7ffb8dff,0x01fff980,0xf300fff7,0xfffc83ff,0xffffffff,0x5fff11ff,
    0x00013ffa,0x9807ffb8,0xfff81fff,0x2ffec002,0x4c03ffdc,0xfd301fff,
    0xffffffff,0xfa809fff,0xffffdaff,0x7dc03fff,0xfff9807f,0x203ffd41,
    0xffb2fffa,0x3fff200f,0xfff710ae,0x3ffa09ff,0x20bfff96,0xfe983ffe,
    0xffffffff,0x54004fff,0x000fffff,0x3fffff22,0x06ffffff,0x01bff200,
    0x03ffffea,0xffffe980,0xffffffff,0x40000004,0x7ec06ffc,0x0fff704f,
    0x203fff30,0xf9807ffb,0xf90001ff,0x07ffb8df,0x701fff98,0xff300fff,
    0xfffd883f,0xefffffff,0x6cbffe24,0x200005ff,0xf9807ffb,0x4ffe81ff,
    0x41fff400,0xf9807ffb,0x7fdc01ff,0xfeaeffff,0x3ffd404f,0x00357751,
    0x2601ffee,0x7fd41fff,0x53ffec07,0xd1005fff,0xffffffff,0x209fffff,
    0xfffbfffd,0x2fffa80e,0x3ffffee0,0x04ffeaef,0x03fffe80,0x7fffff40,
    0x6fffffff,0x1bff2000,0x01ffff40,0xfffffb80,0x04ffeaef,0x7e400000,
    0x27fec06f,0x400fffa8,0xf500fffa,0xffa801ff,0xff90000f,0x00fffa8d,
    0xa807ffd4,0x7d400fff,0x400000ff,0xff92fff8,0x2a00001f,0x7d400fff,
    0xfffc80ff,0x5fff5000,0x801fff50,0x3000fffa,0x7ff41575,0x03ffd403,
    0x0fffa800,0x207ffd40,0x3e207ffa,0x2fff44ff,0xffffe880,0xffffffff,
    0xfffff304,0xfff103ff,0x5753001f,0x001fff41,0x0007fff4,0x7bfffffb,
    0x0dfffb97,0x037fe400,0x000fffe8,0xd055d4c0,0xd88007ff,0xffc8004f,
    0x827fec06,0x6404fff8,0x3fe206ff,0x37fe404f,0x89ffd000,0x6404fff8,
    0x3fe206ff,0x37fe404f,0x7fd40000,0x09fff31f,0xff881a80,0x37fe404f,
    0x805fffa8,0xf106fff8,0xffc809ff,0xff880006,0x3ffd402f,0xfff88000,
    0x437fe404,0x3ee07ffa,0x7ffdc0ff,0x3ffee000,0xffeaefff,0x3ffff204,
    0xfffe883f,0x7fc40002,0x7fd4002f,0x3fe2003f,0x3ff202ef,0x3ffa0006,
    0x3fffa804,0x3e200000,0x7e4002ff,0x7e4001ff,0x3ffee07f,0x03fffe04,
    0x202fffd4,0xf500ffff,0x2a000bff,0xfff82fff,0xbfff500f,0x00ffff80,
    0x000bfff5,0xd8fffb00,0xe8803fff,0xffff80ff,0x0bfff500,0x1027ffe4,
    0x7c05fffd,0xff500fff,0xf90000bf,0xffa801ff,0x3fe00007,0xfff500ff,
    0x40fff50b,0xff885fff,0xaa88004f,0x80fffa0a,0x0bfffff8,0x09ffff73,
    0x1fff9000,0x0fffe800,0x07ffea00,0x006ffe98,0x007fff50,0x0001fffd,
    0x07ffe400,0x07ffee00,0x17fff500,0x3ffffaa2,0xffff700d,0x3ffee639,
    0x7ffdc00f,0xfff731cf,0x9999801f,0x80ffffda,0x31cffffb,0x801ffff7,
    0x31cffffb,0x001ffff7,0x764ccc40,0x7f445fff,0x2621aeff,0xb82ffffb,
    0x731cffff,0xe801ffff,0x730aefff,0xb80bffff,0x731cffff,0x2001ffff,
    0xfeb99998,0x7dc406ff,0x000099ff,0x8e7fffdc,0x80ffffb9,0xff507ffa,
    0xffffffff,0x40000fff,0x3202fff9,0xffffffff,0x006fffff,0x3ae66662,
    0x4c406fff,0x0cfffb99,0x33ffea00,0x3fff6a20,0x99880aff,0xffffda99,
    0x7dcccc41,0x40000cff,0xfeb99998,0xd50006ff,0xfff1000f,0xffffffff,
    0x3607ffff,0xffffffff,0xfb003fff,0xffffffff,0x7fdc07ff,0xffffffff,
    0x3ffff603,0x3fffffff,0xfffffb00,0x07ffffff,0x3fffa200,0x80efffff,
    0xffffffe8,0x6fffffff,0x3fffff60,0x03ffffff,0xffffff98,0x0effffff,
    0xfffffd80,0x03ffffff,0xffffffb0,0x6c03ffff,0xffffffff,0x7fec0006,
    0xffffffff,0x0bff103f,0x3ffffff6,0x2fffffff,0xfff90000,0x3fffea01,
    0xffffffff,0xffb000cf,0xffffffff,0x7fffec03,0x01ffffff,0xffffff10,
    0xffffffff,0x7fdc5fff,0xffffffff,0x7ffffec2,0x001fffff,0xffffffb0,
    0x0003ffff,0x5c0013e2,0xffffffff,0x04ffffff,0xffffffb1,0x44007fff,
    0xfffffffd,0x7ffc03ff,0x3fffffff,0x7fffec40,0x003fffff,0x3fffff62,
    0x0003ffff,0x3fffffea,0x3a200eff,0xffffffff,0x6c404fff,0xffffffff,
    0x3fa6003f,0xffffffff,0x3ff62004,0x3fffffff,0xfffff300,0x403fffff,
    0xfffffff8,0x20002fff,0xffffffd8,0x0c403fff,0xffffff88,0xffffffff,
    0x26662005,0x06fffeb9,0xf75ffff1,0x05dfffff,0x7ffffcc0,0x201fffff,
    0xfffffff8,0x2005ffff,0xfffffff9,0xffffffff,0x3ffffe4f,0x443fffff,
    0xffffffff,0x98005fff,0xffffffff,0x3a0001ff,0x7fdc0006,0xfebeffff,
    0x7d401dff,0x01efffff,0xfffff500,0xff7003df,0x037dffff,0x7ffffd40,
    0xf50001ef,0x03dfffff,0xfffe8800,0x8800bdff,0xfffffeca,0x3ea002de,
    0x01efffff,0xfffff700,0x2a0005df,0x1effffff,0x7fffec00,0xd800bdff,
    0xffffffff,0xff500006,0x003dffff,0xabfffb80,0xfcaaaaaa,0xffe800ff,
    0xffffffff,0x87fff700,0x00009aa9,0xbffffffb,0xfffb0017,0x5fffffff,
    0xfffe9800,0xffdbefff,0x3fee1dff,0x01beffff,0xfffffffb,0x20005fff,
    0xdffffffd,0x3ee0000b,0x77300001,0x22000015,0x000009aa,0x00013551,
    0x00013333,0x0009aa88,0x01355100,0x19988000,0x9aa88000,0x55440000,
    0x51000009,0x44000035,0x200009aa,0x00019998,0x13333331,0x55100000,
    0x3e000013,0xff8805ff,0x7ffcc04f,0x1fffffff,0x0017fe60,0x33331000,
    0x26662000,0x00009999,0x00d5e54c,0x00999980,0x33333310,0x31000013,
    0x40000333,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2b3ffee2,
    0xfffd5100,0x7ffec015,0x800bdfff,0x00000029,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ee00000,
    0x0fffffff,0x7fffffdc,0x266200ff,0x00000019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffc8,0x7ffe42ff,0x002fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xefffffd9,0xffffd984,0x000004ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x11000000,0x01000000,0x80004000,
    0x200002b8,0x00b980ba,0x00000200,0x93000060,0x2a000003,0x2000000d,
    0x00880001,0x00000600,0x2001d980,0x013201d9,0x80008000,0x05b300cb,
    0x00110000,0x70001800,0x00b66019,0x00000110,0x54000010,0x2a00000d,
    0x1320000d,0x40002d88,0x000003fe,0x00003fd1,0xf9000bf9,0xf500001f,
    0x06ff989f,0x003df300,0x07fd1000,0x17fffa00,0xffd88000,0x4400003f,
    0x6c0003fe,0x6fd8004f,0xfa800000,0x3ff2004f,0x007ff4c4,0x13f62000,
    0xb85fff00,0x400005ff,0x100006fb,0xff0007fd,0x05ffb85f,0x0001ff40,
    0x001fe980,0x1fffec40,0x3ff62000,0x3ff0003f,0x00017f20,0x0000bff9,
    0x000fffa8,0x00fff620,0x000bffa0,0xf51bff20,0x3e2000ff,0x200002ff,
    0x8000ffe9,0x003f51fb,0xfffff500,0x300001df,0x80001ffd,0x2000dffb,
    0x00003fff,0x0017ff20,0xf93dffd1,0x800005ff,0x4001ffe8,0xfe9cfffa,
    0x200000ef,0x80003ffd,0x8000ffe9,0xfe9cfffa,0x7dc000ef,0x5400005f,
    0x540006ff,0x0dffffff,0xffffa800,0x6c000eff,0xff910aff,0xff900005,
    0xf700001d,0x4c0001df,0xf0003ffe,0x100007ff,0x07fb03db,0x1fff4400,
    0x77fd4000,0xf8bb0001,0x7fe40004,0x03fff92f,0x0f7fd400,0xeffb8000,
    0x0fffb000,0xffb10000,0x7fdc0009,0x0000dfff,0x017ffcc0,0xffffd880,
    0x2200004f,0x80003ffe,0x0001effa,0x3fffff62,0x3fee0004,0xfc80000e,
    0x320000ef,0xfff92fff,0x7ffe4003,0x003fff92,0x7fffffc4,0x200005ff,
    0x0000effa,0x00017ff2,0x0003fff1,0x0001fffc,0x20000000,0x20004ffd,
    0x0000effb,0x00fd43ee,0x3037fe00,0x2e000bfd,0x00000eff,0x4007ffd4,
    0x0003fffa,0x001ffe40,0x01fff440,0x77fd4000,0xffa80000,0x2200001e,
    0x80002fff,0x0000effb,0x003dff50,0x01fff500,0x027fe400,0x037fe200,
    0x7c009fd3,0x2ff4c0df,0x3fff6200,0x800003ff,0x20002fe9,0xb80003ff,
    0x310000ef,0x33339fff,0x00000133,0x1fee0000,0x004fe800,0x6feff880,
    0x40198000,0x9fd0000a,0x74400000,0xdffd003f,0x1da80000,0x005c0000,
    0x0dfd8000,0x00e20000,0x07bee000,0x027f4000,0x001c4000,0x00ffa200,
    0x001ffc40,0x05401980,0x0a803300,0x03531000,0x00300000,0x00000980,
    0x7f440006,0xffffffff,0x2204ffff,0x4cc00999,0x22000099,0x00620001,
    0x02db8800,0x00000000,0x00000310,0xffa80060,0x5d40002f,0x4000b980,
    0x00b980ba,0x00031000,0x80000000,0x0c400001,0x00000000,0x20000c00,
    0x00000009,0x00000000,0x00000000,0x00000000,0xff500000,0xffffffff,
    0x360fffff,0x40efffff,0x3ffffffa,0x00000000,0x00000000,0xbcedba80,
    0x00000001,0x3a000000,0x2a0006ff,0x37fcc4ff,0x989ff500,0x000006ff,
    0xdb750000,0x00000379,0x00000000,0x06aaaaa2,0x06aaaaa2,0x00000000,
    0x55554400,0xaaaa881a,0xd951001a,0x2062179d,0x81aaaaa8,0x01aaaaa8,
    0xbcedba80,0xdd970001,0x8006239b,0x01bcedba,0xfffffe88,0xffffffff,
    0xfffff884,0x7ffec2ff,0x55447fff,0xaa881aaa,0x55301aaa,0x55555555,
    0xaaaa8015,0x0000aaaa,0x7fffff4c,0xa9800dff,0x2aa201aa,0x555300aa,
    0x55555555,0x2e015555,0x90001fff,0x7ffa8dff,0x51bff200,0xa8800fff,
    0xaaaaaaaa,0x01aaaaaa,0x7fffff4c,0xa9800dff,0x2aa202aa,0x55301aaa,
    0x55555555,0x4c155555,0xffffffff,0xffffff50,0x555530ff,0x15555555,
    0xaaaaaa80,0x3e6000aa,0x0fffffff,0xfffffff5,0x7fff540f,0xffcfffff,
    0x3ffffe63,0xfff50fff,0x200fffff,0xffffffe9,0xff5000df,0xfdffffff,
    0xffe9805f,0x00dfffff,0x9cfff988,0x6c019999,0x40efffff,0x3ffffffa,
    0x3fffffe6,0xffff50ff,0xffe8ffff,0xffffffff,0xff883fff,0x4fffffff,
    0x3fff2000,0xefffffff,0x3ffffa01,0x7ffdc0ff,0x3fe24fff,0xffffffff,
    0x1fffffff,0x0017ffe0,0x7ec0f6c4,0x07b62003,0xfc800ff6,0xffffffff,
    0x5fffffff,0x3fffff20,0x01efffff,0x13fffffa,0x3fffffea,0xffff10ff,
    0xffffffff,0x5c3fffff,0xffffffff,0xffffff92,0x7fff43ff,0xffffffff,
    0xfff883ff,0x04ffffff,0x3ffffee0,0xfff92fff,0x903fffff,0xffffffff,
    0x5cdfffff,0xffffffff,0xffffff92,0xffc803ff,0xffffffff,0x7ffdc01e,
    0xffffffff,0x3fff205f,0xefffffff,0x07fff001,0x1fffd400,0x703fffa0,
    0xffffffff,0x3fffff25,0xfff11fff,0xffffffff,0xff50bfff,0xffffffff,
    0x3ffee000,0xfffecdff,0xfff881ff,0x7ec2ffff,0x2a6fffff,0xffffffff,
    0xffffffff,0x3ffee01f,0x00000001,0x3a000000,0xffffffff,0xffffffff,
    0xfffff705,0xfffffd9b,0xfffff103,0xfffc83ff,0xf51fffff,0xffffffff,
    0xffffffff,0x7fffec43,0x3ffa65ff,0x3e24ffff,0xffffffff,0xa85fffff,
    0xffffffff,0x3f62007f,0x265fffff,0x4ffffffe,0xefffffc8,0xfffffedc,
    0x3ffff627,0x3ffa65ff,0x5c04ffff,0xecdfffff,0x301fffff,0xb9bfffff,
    0x20dfffff,0xcdfffffb,0x01fffffe,0x0003fff8,0xf3037ff4,0xffb109ff,
    0x74cbffff,0x44ffffff,0xffffffeb,0x81efffff,0xffffffd8,0x4c002fff,
    0xd883ffff,0xff906fff,0xf981bfff,0x6c2effff,0xffffffff,0xffffffff,
    0x17ffe201,0x00000000,0xfea80000,0xffffdeff,0x85ffffff,0x883ffff9,
    0xf906fffd,0x98dfffff,0x5ffffffd,0x7fffffec,0xffffffff,0x7ffb81ff,
    0x81fff980,0xffffffeb,0x81efffff,0xffffffd8,0x5c002fff,0xff9807ff,
    0xffffa81f,0xfffe980b,0x807ffb87,0x4c01fff9,0xd883ffff,0xffb06fff,
    0xffd8817f,0xffff986f,0x6fffd883,0x003fff80,0x81fffd40,0x2e00fffe,
    0xff9807ff,0xfff5001f,0x7ffc4000,0x74005fff,0x7dc01fff,0x3ff604ff,
    0x5fffb02f,0x405ffc80,0x6401fff8,0x31000fff,0x26620133,0x33310099,
    0x26666201,0x99ff3000,0xbffb0bff,0x803fffd0,0x2a04fffb,0x103fffff,
    0x7e403fff,0x7ffc405f,0x807ffb81,0x5001fff9,0x44000fff,0x05ffffff,
    0x403ffdc0,0xfe81fff9,0xffe803ff,0x807ffb87,0x7401fff9,0x7dc01fff,
    0x5fff84ff,0x7437ff40,0x7dc01fff,0x7ffc04ff,0xffe80003,0x04fff987,
    0x4c03ffdc,0xf5001fff,0x7dc000ff,0x00fffdff,0x007fff70,0x4403fff6,
    0x7d40ffff,0xffc805ff,0x0fffc405,0x013ffe20,0x0dffffd1,0x89fffffd,
    0x86ffffe8,0x04fffffe,0xff95ff90,0xb8bffb0b,0xfb003fff,0x3fea01ff,
    0xf880ffff,0x3ff201ff,0x0fffc405,0x4c03ffdc,0xf5001fff,0x7dc000ff,
    0x00fffdff,0x201ffee0,0xff81fff9,0xbff5003f,0x300fff70,0x7dc03fff,
    0xffb003ff,0x17ffc41f,0xf713fea0,0x3f6007ff,0x3ffe00ff,0xffa80003,
    0x07fff43f,0x201ffee0,0x5001fff9,0x7c000fff,0x4fff8eff,0x00dffb00,
    0x5017ffcc,0x7fc4bfff,0xffc800ff,0x3ffe0a85,0x0fffd800,0x3ffffea0,
    0x7ffffcc6,0x7fffd44f,0x7fffcc6f,0xffd004ff,0x3f217ff2,0x037fec4f,
    0x205fff30,0x5ffffffa,0x201fff88,0x20a85ffc,0xffb80fff,0x1fff9807,
    0x00fff500,0x7c77ffc0,0x3ee004ff,0xfff9807f,0x00fffcc1,0xff705fd0,
    0x3fff300f,0x0037fec0,0xfe85fff3,0x40cc805f,0x26006ffd,0x3fe02fff,
    0xfd00003f,0x27ffd4ff,0x403ffdc0,0x5001fff9,0x2a000fff,0xfffb2fff,
    0x00fffa00,0xd809ffd0,0xfffb2fff,0x17ff2005,0x02fe4dfd,0x203fff98,
    0x86ffffe8,0x44fffffd,0x86ffffe8,0x04fffffd,0xff95ff88,0x3fea772b,
    0x001fff42,0x7d413ffa,0x42fffdff,0x3201fff8,0x937f45ff,0x1ffee0bf,
    0x007ffe60,0x8003ffd4,0xffb2fffa,0x3ffdc00f,0x20fffcc0,0x00007ffb,
    0x2601ffee,0x3fa01fff,0x7ff4003f,0x5f7ffdc4,0x1fff4001,0x813ffa00,
    0x54404fff,0x9fffd400,0xb800fffe,0xff9807ff,0xfff5001f,0x9fff6000,
    0xf802fffa,0x7e4002ff,0x7ffc405f,0x005fffbf,0xff897ff2,0x3f60000f,
    0xffd8807f,0x9ffd3106,0x41bff620,0x804ffe98,0xbff93ffb,0x20eebff3,
    0x64002fff,0xfff505ff,0x441ffff1,0x3f201fff,0x03ffe25f,0x403ffdc0,
    0x5001fff9,0x36000fff,0x3ffea7ff,0x0fff7002,0xd83fff30,0x200004ff,
    0xf9807ffb,0x3ffe01ff,0x2ffe4002,0x3fffffa2,0x7fc01bdf,0x7fe4002f,
    0x2bbffa05,0xfffd9510,0xf5fffd00,0x3ee009ff,0xfff9807f,0x0fff5001,
    0x89fff100,0x7cc05ffe,0x7dc001ff,0xfffa807f,0x2000ffff,0xfffffffc,
    0x260001ff,0xfc803fff,0x27fec06f,0xd80dff90,0xffd804ff,0xffffff90,
    0x0fffcc0f,0x41ffee00,0xfff77ffa,0x00fffc49,0xfffffff9,0x3ee003ff,
    0xfff9807f,0x0fff5001,0x89fff100,0xf7005ffe,0xfff300ff,0x003fff83,
    0x01ffee00,0x4c07ffe6,0x5c001fff,0xffe887ff,0x3fffffff,0x001fff98,
    0xf703ffdc,0xffffffff,0xa803ffff,0x0fffffff,0x00fff700,0x2003fff3,
    0xb8007ffa,0x7fdc0fff,0x3ffe200f,0x37fdc001,0xfffffd80,0x7ffe4002,
    0x01ffffff,0x037ff400,0x36037fe4,0x3ff204ff,0x027fec06,0xfff937fc,
    0x7c40ffff,0x7dc001ff,0x4fff506f,0xff11fffe,0x7ffe403f,0x01ffffff,
    0x300fff70,0x2a003fff,0xfb8007ff,0x7ffdc0ff,0x07ffb800,0x7c1fff98,
    0x200003ff,0xf9807ffb,0xfff101ff,0x6ffb8003,0x3ffff6e0,0x7c45ffff,
    0x7dc001ff,0x7fff406f,0xffffffff,0xffffd004,0x7fdc007f,0x1fff9807,
    0x00fff500,0xf10bfff0,0xfff809ff,0x2ffec002,0x5ffff880,0xffffc800,
    0x001fffff,0x017ffd40,0xfb01bff2,0x37fe409f,0x5013ff60,0x7ffe49ff,
    0x7fc07fff,0x7fec002f,0x4cfff505,0xfff16fff,0x7fffe403,0x001fffff,
    0xf300fff7,0x3ea003ff,0xfff8007f,0x04fff885,0x9807ffb8,0x7ff41fff,
    0x3ee00004,0xfff9807f,0x00bffe01,0x200bffb0,0xfffffeca,0x0017ffc5,
    0x91017ff6,0xdfffffff,0x7fd40039,0x2e000fff,0xff9807ff,0xfff5001f,
    0xffffa800,0xffffffff,0x027ff407,0x800fffa0,0x8000fffb,0xfbaaeffc,
    0xe80001ff,0x7fe406ff,0x027fec06,0xfd80dff9,0x7ffe404f,0xfdffffff,
    0x27ff406f,0x40fffa00,0x7fe47ffa,0x01fff8bf,0x2eabbff2,0xf7001fff,
    0xfff300ff,0x1ffea003,0xfffff500,0xffffffff,0x00fff700,0xfd83fff3,
    0x2e00005f,0xff9807ff,0x13ffa01f,0x007ffd00,0xd1fffea0,0xfe8009ff,
    0x9551003f,0xfe800035,0x7dc003ff,0xfff9807f,0x0fff5001,0xfffffd80,
    0xffffffff,0x03fff202,0x017ffd40,0x000fff50,0xfff17ff2,0x20005cc1,
    0x3202fffb,0x7fec06ff,0x01bff204,0xff809ffb,0xdfffffff,0x7e404ff8,
    0xff5000ff,0x1ffea05f,0x3febfffa,0x17ff201f,0x05cc1fff,0x2007ffd4,
    0x5000fffa,0xfd800fff,0xffffffff,0x5402ffff,0x7d400fff,0x7ffe40ff,
    0xff500000,0xfffa801f,0x03fff200,0x317ffd40,0x3fe200bb,0x03fff22f,
    0x017ffd40,0xfd000000,0xfa8001ff,0x7fd400ff,0xfff5000f,0x7fffc400,
    0xffffffff,0x3fea05ff,0xfff8805f,0x3ffd4006,0x45ffc800,0x17fe23fb,
    0x81bffe00,0x7ec06ffc,0x1bff204f,0x4c09ffb0,0xffeeeeff,0x0dc4515f,
    0x2017ffea,0x2a06fff8,0xfff987ff,0x3201ffff,0x11fdc5ff,0xfff10bff,
    0x06ffc809,0x801ffea0,0xfffffff8,0x5fffffff,0x027ffc40,0x3e61bff2,
    0x0d4004ff,0x2027ffc4,0x7d406ffc,0xff8805ff,0x01ffe46f,0x3ea3fff8,
    0xff8805ff,0x3fa6006f,0xffa80002,0xff88003f,0x37fe404f,0x00fff500,
    0x555fffdc,0xffcaaaaa,0x3fff200f,0x3fffa204,0x3ffd4002,0x05ffc800,
    0x8007ffa8,0xf901fffb,0x7ffdc0ff,0x81fff204,0x2e04fffb,0x2ffe42ff,
    0x7e40ffd8,0x3fa204ff,0x3fea02ff,0xfffff907,0x2ffe403f,0xf83ffd40,
    0xff500fff,0x7fd400bf,0x3ffee007,0xaaaaaaab,0x7c00fffc,0xff500fff,
    0x3fff60bf,0x0ffe8803,0x500ffff8,0xf900bfff,0x7f4409ff,0x7fff42ff,
    0x17ffdc01,0x8813fff2,0x2002fffe,0x80006ffc,0x0000fffe,0x2a01ffff,
    0x2a005fff,0x3fe007ff,0xfff8805f,0x77fff404,0xffff730a,0xfff5000b,
    0x17ff2000,0x001ffea0,0x5417ffe2,0xd510bfff,0x201bffff,0x510bfffa,
    0x01bffffd,0xff903ffa,0x20bffe0b,0x30aefffe,0x80bffff7,0xff107ffa,
    0x6403ffff,0xffa805ff,0x9ffff707,0x3fffee63,0x1ffea000,0x805fff80,
    0x5c04fff8,0x731cffff,0x2201ffff,0x21aefffe,0x2ffffb98,0x1cffffb8,
    0x01ffff73,0x2bbfffa0,0xbffff730,0x59ffffd0,0x3fffae61,0xefffe80f,
    0xffff730a,0x6ffa800b,0x5cccc400,0x0000cfff,0x239ffff7,0x00ffffb9,
    0x3ff2aaa6,0x440aaaaf,0x00acfffb,0x15fffd51,0x3ffffe60,0xefffffff,
    0xf9553000,0x801557ff,0xaaeffda8,0xfcaaaaaa,0xff90007f,0xffff103f,
    0xffffffff,0xff107fff,0xffffffff,0x4c7fffff,0xb512fffb,0x55555dff,
    0xff307fff,0xffffffff,0x64401dff,0x540aafff,0x881fffff,0xaaaeffda,
    0xffcaaaaa,0x3ffff607,0x3fffffff,0x7e5554c0,0x40aaaaff,0x0acfffb8,
    0x5fffd510,0x7fffec01,0x3fffffff,0x7ffff440,0xffffffff,0x3fff606f,
    0xffffffff,0x3ffe6003,0xffffffff,0xfffe80ef,0xffffffff,0xff303fff,
    0xffffffff,0x10001dff,0x7fec009f,0xffffffff,0xfffb0001,0xffffffff,
    0x7ffff407,0xffffffff,0xfffff73f,0xffb81fff,0x00ffffff,0xffffffd3,
    0x64009fff,0xffffffff,0xff102fff,0xffffffff,0xffffffff,0x3ffe2000,
    0xfffff704,0xffffffff,0x3ffee09f,0xffffffff,0xfff34fff,0xffffdfff,
    0xffffffff,0x3fa607ff,0xffffffff,0x7fffcc04,0x7ec1ffff,0x7fc41fff,
    0xffffffff,0x7fffffff,0x3ffff620,0x403fffff,0xfffffffe,0x73ffffff,
    0xffffffff,0xfffffb81,0xfb100fff,0xffffffff,0x3ffa2007,0xffffffff,
    0x7fec404f,0x3fffffff,0xfffe9800,0x04ffffff,0x3ffffff2,0x4fffffff,
    0x7ffff4c0,0x004fffff,0xf8801b20,0xffffffff,0xb10005ff,0xffffffff,
    0x7ffc407f,0xffffffff,0xfff95fff,0xc85fffff,0xffffffff,0x7fffdc02,
    0x74002eff,0xffffffff,0xff504fff,0xffffffff,0xffffffff,0x2ffe4000,
    0xffffff70,0x3bfffd7d,0x7ffffdc0,0xdfffebef,0xffffff71,0xffffffff,
    0x7fffffff,0xfffffb80,0xffb802ef,0x43ffffff,0x541ffff8,0xffffffff,
    0xffffffff,0xfffa807f,0x4401efff,0xffffffff,0x95ffffff,0xffffffff,
    0xfffffc85,0x7d402fff,0x01efffff,0x7ff65440,0x002defff,0x3fffffea,
    0x7dc0001e,0x02efffff,0x7fe4ef4c,0x01dfffff,0x3ffffee0,0x2a0002ef,
    0x7fec001f,0xffffffff,0x7fd40002,0x801effff,0xffffffeb,0x31dfffff,
    0x9dfffffb,0xfffffb30,0x5544009d,0x3f6a0001,0xffffffff,0x3fff200d,
    0xffffffff,0x007fffff,0x4c00ee40,0x80000abb,0x1000abb9,0x93dffffb,
    0xffffffff,0x007fffff,0x10006aa2,0xbffffffb,0x03fff701,0xfffffff9,
    0xffffffff,0x554400ff,0x3fae0009,0xffffffff,0xffb31dff,0xb309dfff,
    0x09dfffff,0x004d5440,0x09aa8800,0x4d544000,0x54400000,0xa980001a,
    0x200009aa,0x00001aa8,0x26200053,0x00999999,0x4d544000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00880000,0x26019700,0x5b30001d,
    0x00220000,0x00080000,0x05b80766,0x0003b900,0x0000cb80,0xedb80880,
    0x0006eeee,0x2e000110,0x003b300c,0x02d88132,0x00008800,0x000da800,
    0xdddb7100,0x20000005,0x22000008,0x3100003c,0x300cb801,0x5555403b,
    0x009aaaaa,0x2a05dc00,0xdd97000b,0x0006239b,0x6d400003,0xff700000,
    0x3dff0007,0x8004ffb8,0x000cfffb,0x0001ff40,0x802fe400,0x3ff106fb,
    0x06ff8800,0xfffd3000,0x7cc00005,0x3fffe62f,0x80007fff,0xf8003ffb,
    0x27fdc1ef,0xf901ff80,0x5fc8000b,0x000efa80,0x00ffff62,0x3f23fd30,
    0x0003ffff,0x00ffa800,0x06fe8800,0x7fff4c00,0x83dff05f,0xff884ffb,
    0xffffffff,0xa8003fff,0x13fe64ff,0xffffff50,0x005ffdff,0x8000dff3,
    0x003fffd8,0x00ffff80,0x4e7ffd40,0x2000effe,0xefffffe9,0x3ff20002,
    0xb1000004,0x3e6005ff,0x1ffa61cf,0x01ffea00,0x3fffee00,0x80000dff,
    0x3fe65ffe,0x007fffff,0x00ffff80,0x4e7ffd40,0xb000effe,0x3f2215ff,
    0xfb10002f,0xdffd007f,0x3fffea00,0xfd000eff,0x3ffff2bf,0x4000003f,
    0x80005ffb,0x0001fffa,0x3fffffee,0xcfffa84f,0xa80effe9,0xffffffff,
    0x1fffffff,0xc9bff200,0x3fee06ff,0xffffffff,0xffc805ff,0xff50002f,
    0x001dffff,0x003fff40,0xfffffd88,0x7ffd4003,0x007fff73,0x0077fe40,
    0x7ffd3000,0xffffb800,0x4001ffff,0x89cfffda,0x77fec001,0x00fffd89,
    0x0fffe600,0xfffb9973,0xfffd0000,0x3ff62000,0x44003fff,0xffffffff,
    0xffd10005,0x3fff2007,0x97ffe402,0x5c01fffc,0xf9513fff,0x000007ff,
    0x0002ffec,0x00077fdc,0xffffff30,0x3f6209ff,0x2203ffff,0xfffffffd,
    0xffffffff,0x4bffb000,0xff305ffd,0xffb9bfff,0xf700dfff,0xf90003ff,
    0x3fff25ff,0x5dd30001,0xeffb8000,0x1efd8001,0x0003fec4,0x0003bfea,
    0x007ffe60,0x7ffff540,0x3fa6001d,0xffffffff,0x09ff3004,0x40007ff5,
    0x5400fffd,0x980007ff,0x5c0002ee,0x10001eff,0x07fffffb,0x07ffe200,
    0x07fff880,0x3a606ffc,0x3ffe205f,0x03fff80f,0x7ffd0000,0xbff30000,
    0xffe80001,0x00bb99cf,0x000f7fdc,0xd730bff9,0x3600bfff,0x17ff65ff,
    0x205fffec,0x806fffd8,0xf0004fc8,0x5fe981bf,0x00000000,0x14400071,
    0x200006a0,0x80002fe9,0x80000efc,0x4c0009a9,0xffffffff,0x2a007fff,
    0x8000a201,0xa804fff9,0x000007ff,0x00388000,0x00353100,0x000efb80,
    0x203fffd8,0x70054019,0x3fe09fff,0x9800003f,0x300002ff,0xf100007d,
    0x44000bff,0x5ffc8003,0x803fff40,0x3ffa4ffe,0x80bfff04,0x00006ffe,
    0x0a803300,0x00000000,0x00000000,0x00006000,0x000000c4,0xffffe800,
    0xffffffdf,0x00000000,0x001fff90,0x0000fff5,0x00000000,0x18000000,
    0x3ffe6000,0x74000006,0xfff00fff,0x09999887,0x00009800,0xf3000000,
    0x000005ff,0x80bff900,0xe800fffa,0x13ffa4ff,0x500bffe2,0x000009ff,
    0x88000000,0x10bceeca,0x3b2a2003,0x00310bce,0x337bb2a2,0x00000061,
    0x20000000,0x1cdeeca8,0x6fffcc06,0x03ffe4c0,0xaaaaaa98,0x8001aaaa,
    0x5004fff8,0x44000fff,0x21cdeeca,0xbdd97001,0xa8006239,0x001bcedb,
    0x3f600000,0x765c02ff,0x50311cde,0x7fc09fff,0x3ffff63f,0x000005ff,
    0xeeeedb80,0x3ea0006e,0xaa9800ff,0xaaaaaaaa,0xff901aaa,0x07ffb80b,
    0x7fc7fff0,0x0bffd03f,0xaa981990,0xaaaaaaaa,0xaa981aaa,0x2aaa201a,
    0x3ffaa00a,0xfcffffff,0x3ffaa03f,0xfcffffff,0x3ffa203f,0xfeffffff,
    0xaaaa804f,0x4000aaaa,0xaaaaaaa9,0x01aaaaaa,0x3fffffa2,0x84ffefff,
    0x3e00fffa,0xfffd805f,0xffffffff,0x7fe4005f,0xfff5000f,0xfffd1000,
    0xffdfffff,0x7fffd409,0x2ffeffff,0x7ffff4c0,0x4400dfff,0xaaaaaaaa,
    0x7ffcc001,0xfffff505,0x85ffdfff,0x3e00fffe,0xffff13ff,0x5501ffff,
    0x35555555,0xfff98001,0x8007ffff,0x19fffb98,0x7ffffec0,0xffffffff,
    0x40bff903,0x2205fffb,0xccdfffca,0x5c0bdfff,0x001befff,0x7fffffec,
    0x3fffffff,0x7ffffff4,0x7ffffdc0,0xffffc84f,0xffffffff,0xffff906f,
    0xffffffff,0x3ffe60df,0xffffffff,0x3fe206ff,0x4fffffff,0x7fffec00,
    0xffffffff,0xffff303f,0xffffffff,0x3fff10df,0xff800c40,0xffffffff,
    0x22007fff,0x2a005fff,0x7cc007ff,0xffffffff,0xf706ffff,0xffffffff,
    0x7e40bfff,0xffffffff,0xfff701ef,0xdfffffff,0x87ffe800,0xfffffffb,
    0x7c5fffff,0x7ffc05ff,0x3fffffe3,0x7fffc45f,0xffffffff,0xfff3003f,
    0x400fffff,0xffffffe8,0xffb05fff,0xffffffff,0x3f207fff,0xeca999ef,
    0x3a02ffff,0xffffffff,0x21ffffff,0xffffffe8,0x7fec01bd,0xffffffff,
    0x3fe23fff,0x6c2fffff,0x46ffffff,0xcefffffc,0x7fffffed,0xefffffc8,
    0xfffffedc,0xfffffb87,0xffffecde,0x3ffea07f,0x07ffffff,0x7ffffec0,
    0xffffffff,0xfffffb83,0xffffecde,0x9fffd07f,0xfeb80003,0xffffffff,
    0x3ee003ef,0x3ea001ff,0x3fee007f,0xfecdefff,0xf987ffff,0xfdcdffff,
    0xf706ffff,0xfd9bffff,0xfb03ffff,0xffffffff,0x7ec001ff,0x3ffe60ff,
    0xfffdcdff,0x3ffe66ff,0x45fffc04,0x01cffffd,0xfffffff5,0xffffffff,
    0xb9973003,0x7e400fff,0xffffffff,0xfffd82ff,0xffffffff,0xfff903ff,
    0xffffffff,0x7ffc407f,0xffffffff,0x7442ffff,0xffffffff,0xffffb03f,
    0xffffffff,0xffffc87f,0x7ffcc0df,0x3fea2eff,0xfe980bff,0x7ffd47ff,
    0xffe980bf,0x7fffcc7f,0xffff500b,0x7fffec40,0x002fffff,0x3ffffff6,
    0x3fffffff,0x05ffffcc,0x707fffa8,0x7bffffff,0x3f200003,0x3fe0006f,
    0x7fd4005f,0xffff3007,0x3ffea017,0x0bfffd87,0x437ffec4,0x883ffff9,
    0xe986fffd,0xffffffff,0x7fdc003e,0x2ffff61f,0x37ffec40,0xf807fff5,
    0xffffedff,0x7ffec402,0xffffffff,0x4000ffff,0x26007ffa,0xffffffff,
    0xffd80fff,0x1ffff305,0x3fffff20,0x01ffffff,0xfffffdb8,0x4effffff,
    0x3ffff6e0,0xfd85ffff,0xffff305f,0x0bfff601,0x7417ffec,0xfe803fff,
    0x1ffff47f,0x363fff40,0xfb802fff,0x3fe2006f,0x2005ffff,0xff305ffd,
    0xfffd81ff,0x06ffb802,0x3ffffff6,0x40002eff,0x70006ffc,0xa8005fff,
    0xffb007ff,0xdff7005f,0xe80bfff0,0xfffe86ff,0x27ffdc01,0x001bff20,
    0x7c7fff50,0x7ff405ff,0x007ffee6,0xffffffff,0x5ffc8003,0x5fffeb98,
    0x03ffd400,0x7ffe5540,0x3ff601ab,0x2ffff885,0x3fffff20,0x006fffff,
    0xfa87ffd4,0x654000ff,0x45fffffe,0xff885ffd,0x3fe202ff,0x7ffd40ff,
    0x007fff05,0xfff17fea,0x97fea007,0x1004fff9,0x7dc009ff,0x00fffdff,
    0xf10bffb0,0xff985fff,0x9ff1004f,0xffffda80,0x0003ffff,0x4001bff2,
    0xa8006ffe,0xff9807ff,0x9ff1004f,0x402fff88,0x7fdc4ffa,0xfffb003f,
    0x037fe401,0x53ffe600,0x5402fff8,0x3fff64ff,0x7ffffc00,0xfc8000ff,
    0x3fff405f,0x01ffea00,0x00fffa80,0xfe84ffd8,0x7fe403ff,0xfffb999e,
    0x3fea005f,0x001ffea7,0xb1fffea0,0xfffd09ff,0xbfff5007,0x407fffc4,
    0x2001fff9,0x3ffe62fe,0xb8bfa001,0x22001fff,0x77ffc002,0xb004fff8,
    0xfffd09ff,0x03fff707,0x51001440,0x3fffffb7,0x1bff2000,0x0bffea00,
    0x01ffea00,0x8007ffee,0x0bffd028,0xffd81990,0x3ffe6006,0x01bff202,
    0x4bfff100,0xcc805ffe,0x201fffa0,0xefffffff,0x2ffe4000,0x003ffea0,
    0x0007ffa8,0x2003ffea,0x7fe43ffb,0x5ffc805f,0x05ffffa8,0x7dcfff70,
    0x00bb307f,0xfb8bffe2,0x2fffe43f,0x25fffb00,0xf702fffd,0xf70000ff,
    0xf90000ff,0x800000df,0xffb2fffa,0x0ffee00f,0x320bfff9,0x000006ff,
    0x27ffdc40,0x06ffc800,0x006ffe80,0x900fff50,0x40000dff,0x01befffb,
    0x001fff40,0xfc813ffa,0x7c40006f,0x3ffee4ff,0x3f6001be,0x7ffc00ff,
    0x00efffff,0x7017ff20,0xfa800fff,0x3ea0007f,0xcc8800ff,0x03bffea0,
    0x4c17ff20,0x2203fffe,0xdaafffda,0xffc82fff,0x47fff003,0x3fea0cc8,
    0x3e2000ef,0x5fffbfff,0x0013ff60,0x0013ff60,0x0013ffa0,0x4fffb000,
    0x8802fffa,0x3ffea0cc,0x09ffd00e,0x01f5c000,0x8002fff4,0x4c006ffc,
    0x50003fff,0xffd00fff,0x74400009,0xbdffffff,0x017ffc01,0xc817ff20,
    0x540006ff,0x3fa23fff,0x1bdfffff,0x007fff20,0xffd17fff,0x3f2003ff,
    0x3ffee05f,0x3ffd4005,0x1fff5000,0x3ffe6000,0xbff9001f,0x07fffcc0,
    0x7fffffdc,0xffffffff,0x007fffa2,0x9805fff7,0x8001ffff,0xfffffffa,
    0x00fffe00,0x00fffe00,0x00fffa00,0xfff88000,0x002fff44,0x01ffff98,
    0x0000fffa,0x7401fff8,0xf90005ff,0xffd800df,0x3fea0007,0x03ffe807,
    0x7ff44000,0x3fffffff,0x001fff98,0xf903ffdc,0xfb8000df,0x7ff442ff,
    0x3fffffff,0x402fffb8,0xffd13fff,0xff9003ff,0xfd95333d,0xa8005fff,
    0x2a0007ff,0x88000fff,0x8803fffe,0x02aeffea,0x415dfff7,0xfffffffe,
    0x5fffffff,0x2b3ffffa,0xffffd730,0x7fff4401,0x3ff60003,0x7fc02fff,
    0xff80003f,0xfe80003f,0xddd9303f,0xb805bddd,0x7fdc0fff,0x7f44000f,
    0x7ff403ff,0xdddd9303,0x7fcc5bdd,0xfff500df,0x640164c9,0x3e6006ff,
    0x551003ff,0x55fff955,0x7ff41555,0xdddd9303,0x6dc05bdd,0xffffffff,
    0x00fffc45,0xc81bfee0,0x640006ff,0xfb700fff,0xbfffffff,0x103fff98,
    0xfd87fff5,0x900abfff,0xffffffff,0x0007ffff,0x4000fff5,0x8000fffa,
    0x8804fffd,0xffffffff,0xfffffb07,0x7fffff54,0xefffffff,0x3fffffa2,
    0xffffffff,0x7ffec03f,0x7fc40004,0xffe805ff,0xffe80004,0xffe80004,
    0xfffff884,0x201fffff,0xff885fff,0x7fec004f,0x4ffe804f,0xffffff88,
    0xff31ffff,0xf9559fff,0x7f43ffff,0x06ffc807,0x003fff60,0x3fffffee,
    0xffffffff,0x109ffd0f,0xffffffff,0xd95003ff,0xf8bfffff,0x7ec002ff,
    0x1bff205f,0x0fffd000,0x3fffb2a0,0x3ffe25ff,0xfffffb85,0x7ffffdc3,
    0xfffc83ff,0xffffffff,0xfff50001,0x7ffd4000,0x7ffdc000,0xfffa8306,
    0x81ffffff,0x41ffffe8,0xe99dffe8,0xffc80dff,0xffffffff,0x7dc04fff,
    0x800306ff,0xd800fffb,0xd80005ff,0xc80005ff,0xffff05ff,0x03ffffff,
    0x3fffffea,0x07ffffff,0x41bffee0,0xf82ffe41,0xffffffff,0xfffff11f,
    0xffffffff,0x00fffc49,0x4401bff2,0xfb004fff,0xffffffff,0x25ffffff,
    0xfff05ffc,0x3fffffff,0xffff5000,0x4004ffe8,0x3f203ffe,0x076c406f,
    0x001bffe2,0x3e3fffd4,0x7fec0fff,0x7fe43fff,0xc84fffff,0xffffffff,
    0x2a0006ff,0x2a0007ff,0x26000fff,0xfd80ffff,0x7ffffe45,0x3fe604ef,
    0x49ffd04e,0xbd304ffe,0xffffff93,0xff9803bf,0x05fd80ff,0x401ffea0,
    0x0000fffc,0x0007ffe4,0x4c1bfee0,0xfffdcccb,0x3ffff602,0xffffffff,
    0xfff9802f,0x2e5fd80f,0x997306ff,0xf85fffb9,0xffffffff,0x7fc43fff,
    0x2ffe401f,0x00fffc80,0xfffffb30,0xdfffffff,0x9837fdc9,0xfffdcccb,
    0x44017662,0x3ff22fff,0xfff5000f,0x037fe405,0xff90ffee,0x802ecc5f,
    0x3f22fff8,0x7fecc3ff,0x7fecc3ff,0xfc81dfff,0xffb999ef,0xf50005ff,
    0x7e4000ff,0x3fe2007f,0xfff882ff,0x40000000,0x3ffe3fff,0x6ff4c003,
    0xfff88009,0x0fff882f,0x00fff500,0x0013ffe6,0x27ffcc35,0xff986a00,
    0xfff7002f,0x7ffffc40,0xffffffff,0x7ffc405f,0x0fff882f,0x2005fff3,
    0xada87ffb,0xcfffffda,0x01fff881,0x44027fec,0x00005fff,0x2fff9800,
    0xc8fff700,0xfff003ff,0x02fffd47,0x2037ffc4,0x7e406ffc,0x1fffe25f,
    0x3e007ff9,0x3ffe23ff,0x20000007,0xffa85ffc,0xfa8005ff,0x3fe0007f,
    0x3ffa006f,0x3fff304f,0x0000c400,0xfff8bffe,0x05fc8003,0x413fffa0,
    0x5001fff9,0x7ec00fff,0xfe8803ff,0x0ffff60f,0xf83ffa20,0xfb801fff,
    0x3ffee07f,0xaaaaaaab,0x3a00fffc,0xff304fff,0x0ffffc3f,0x803ffdc0,
    0x7c407ffa,0x3fe601ff,0xfffb802f,0x03300001,0x00ffffc0,0x3fa3ffdc,
    0x7fdc01ff,0x27ffe42f,0x05fffd10,0x6406ffc8,0x3fff25ff,0x00ffff43,
    0xfb0bffee,0x262007ff,0xbff90000,0x0ffffa60,0x00fff500,0xffb53771,
    0x3ff2007f,0x3ffe605f,0x13ffe001,0x8bffe200,0xc8002fff,0xffc806ff,
    0x3ffe605f,0x0fff5001,0x77fff440,0x3fee621a,0x3ffa22ff,0x2e621aef,
    0x3ea2ffff,0x2609cfff,0x207ffeca,0xf8805fff,0xfff904ff,0x0fffcc0b,
    0x139ffff5,0x3fff654c,0x407ffa80,0x0bdffff8,0x01ffff93,0x005fff88,
    0x03dff700,0x39ffff50,0x7ff654c1,0x67ffff47,0xfffd730a,0xdfffd01f,
    0x3ffee615,0x6ffc805f,0xf8affe40,0x7ff40fff,0xd730acff,0xf981ffff,
    0xff9006ff,0xffc8001d,0x3fffe605,0x1ffea000,0x3fffff60,0xff5006ff,
    0x555557ff,0x003fff75,0x000fff64,0x7c47ffe2,0x2a6002ff,0x2a02ffcb,
    0xaaabffff,0x1fffbaaa,0x3ff2aa60,0x4400aabf,0xfffffffe,0x86ffffff,
    0xffffffe8,0x6fffffff,0xffffffc8,0xffffffff,0xcfffb887,0xffd5100a,
    0x7ffd415f,0xaaaaaabf,0x7e41fffb,0xffffffff,0x007fffff,0xf880fff5,
    0xffffffff,0xb801ffff,0x00001fff,0x200bffb3,0xfffffffc,0x7fffffff,
    0x7ffffff4,0xffffffff,0xfffff303,0xdfffffff,0x3f6aa201,0xaaaaaaff,
    0xff75ffea,0xffffd09f,0xffffffff,0x3ff607ff,0xffea802f,0xffd51003,
    0x3fee055d,0x55440aef,0xaafffcaa,0x3ff60aaa,0x001fffff,0xfffffff7,
    0xffffffff,0xf9bf7003,0xff88003f,0x01fff11f,0x7ff7ffc0,0x3fffee01,
    0xffffffff,0xff901fff,0xffffffff,0xffe8805f,0xffffffff,0x3ffa204f,
    0xffffffff,0x3fff204f,0xffffffff,0x7ffdc3ff,0x5c0fffff,0xffffffff,
    0xffffff70,0xffffffff,0xffff903f,0xffffffff,0x3fe6007f,0xfffeb806,
    0x1fffffff,0x00dffd00,0xfb9df100,0x7ffe400d,0xffffffff,0x7ffe43ff,
    0xffffffff,0x7f4c04ff,0xffffffff,0x3fffee04,0xffffffff,0xfd5fffff,
    0xfff901ff,0xffffffff,0x7fc409ff,0x33be605f,0xff8804fe,0x07ffffff,
    0x5cfffffb,0xffffffff,0x0fffffff,0x1bffffb1,0x7fffdc00,0xffffffff,
    0xfb801fff,0xb0006fff,0x005fd8bf,0x02ffff5c,0x3fffffee,0xffffffff,
    0xffffd01f,0x9fffffff,0xffd95100,0x005bdfff,0xffffd951,0x91005bdf,
    0xfffffffd,0x3fff205d,0x642fffff,0xffffffff,0xffffff72,0xffffffff,
    0x3fb2203f,0x2effffff,0x004fe800,0x3fffff6a,0x3fe001ce,0xe880002f,
    0x4002ffff,0xfffffec8,0xbd302eff,0xffffff93,0x7dc003bf,0x02efffff,
    0x7fffffec,0xffffffff,0x5ff95fff,0x3f277a60,0x1dffffff,0x203ffa80,
    0x00fffff9,0xffffffa8,0xfe881fff,0xfffb1fff,0xffffffff,0x3305ffff,
    0x3ffee000,0xffffffff,0x5001ffff,0x400015b9,0x4c000100,0xfffb800a,
    0xffffffff,0xb501ffff,0xffffffff,0x510001bf,0x88000135,0x400009aa,
    0x4009aaa9,0xefffffd9,0xffffd984,0x3ffee4ef,0xffffffff,0x3001ffff,
    0x00013555,0x2a600008,0x9d70000a,0x65c40000,0xa980001c,0x300009aa,
    0x00013555,0x3000d544,0xfffffffb,0xffffffff,0x40004cbf,0x0009aaa9,
    0x6dcc00c4,0x3ff2000b,0x204effff,0x3664eff9,0xffffffff,0x004effff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07660197,0x1b501e40,0x036a0000,0x4c099000,
    0x0b98001d,0x40790000,0xa80000da,0x5400000d,0xd880000d,0x00012e02,
    0x2aa60006,0x2aaa202a,0x0bda81aa,0x700f4c00,0x8072a00b,0x812e01d9,
    0xeeeeedb8,0x2613aa00,0xca8000dd,0x213aa00c,0xaa800dd9,0xa981aaaa,
    0xaa880aaa,0x01aaaaaa,0x000b9800,0x3bb2a200,0x200061cd,0x400003d8,
    0x0bceeca8,0xeeeea831,0xeff802ce,0x4027fdc1,0x3620eff9,0x440003ff,
    0x0003fffd,0xfc83dff1,0x3faa004f,0x013223ff,0x220eff98,0x20003ffd,
    0x003fffd8,0x3fffd880,0x6ffdc000,0x007ffa60,0x0037fcc0,0x09fffffd,
    0xfffffff5,0x3fffe21f,0x417f2001,0x7cc00ff9,0x13ff206f,0x2e01ffd3,
    0x0fffffff,0xfb0bffa0,0x7ec4009f,0x3ffa05ff,0x3027fec2,0xffffffff,
    0x7ffffecd,0x3fffee4f,0x06ffffff,0x7fffd500,0xd1002644,0xffffffff,
    0x54009ffd,0x0000efff,0x7fffff54,0x23ffcfff,0xfffffffa,0x67ffd400,
    0x000effe9,0xff57fff7,0xfa8000bf,0x00efffff,0x9cfffa80,0x1000effe,
    0x9fffdfff,0xfb800dff,0x5fffabff,0x3ffea000,0x0000efff,0xdffffff5,
    0x7fec0001,0x03fffbaf,0x0bfff600,0x3ffffe20,0x7ffe41ff,0xf11fffff,
    0x2003ffff,0xd511cff9,0xfff500df,0x4f7ff440,0x2e02fffc,0x0fffffff,
    0xf907ffa0,0x7fe4007f,0x3ffa05ff,0x501ffe41,0xffffffff,0x3ffffe1f,
    0x3fff66ff,0xffffffff,0x7ffc4000,0x6ffcfffe,0xfffff300,0xffffffff,
    0xfffb100d,0x20007fff,0xfffffffc,0x26ffffff,0xfffffffa,0xfffd8800,
    0xe98003ff,0x002fffff,0xc97ffe40,0x88001fff,0x03fffffd,0xfa867cc0,
    0x8001ffff,0x2fffffe9,0x3fff2000,0x003fff92,0xf92fffc8,0x540003ff,
    0x01efffff,0x0fffe400,0xfffffc80,0x7ffecc6f,0x7ed45fff,0x3f2004ff,
    0x1fffffff,0x807ffa80,0x0efffffb,0xffdcca80,0x20ae200f,0x3e2003b8,
    0x2200cfff,0x403b882b,0xffffffd8,0x3ffff24f,0x3ffa62ef,0x3effffff,
    0x50cf9800,0x003fffff,0xbdfffff7,0xffffffd9,0x8dfff880,0x4005ffe9,
    0xcefffffc,0x7fffffed,0x3333ffea,0x77fdc001,0x7fe40001,0xff80000d,
    0x02ff4c0d,0x03dff700,0x16e44000,0x6ffe4000,0x6ffc0000,0x002ff4c0,
    0xfd3037fe,0xfd88000b,0xb100004f,0xff50007f,0x3e207fff,0x3ff201ff,
    0x7ffd4006,0xf5000dff,0x3fa200ff,0xff50003f,0x0000001f,0x000fffd4,
    0x7fec0000,0xffffd885,0x06ffc802,0x37220000,0xffff3002,0x3ffea017,
    0x417fdc07,0xf5001ffc,0xd3017fff,0x7fd4ffff,0x03880007,0x000a6000,
    0x05401980,0x000e2000,0x40000000,0x33000029,0x4c000a80,0x00005401,
    0x000001a8,0x3ffea000,0xff880fff,0x1ffee01f,0x004d4c00,0x001ffea0,
    0x7d400017,0x000000ff,0x001ffea0,0x7fec0000,0x7ffff445,0x0dff9001,
    0x80000000,0xb802fffd,0x054406ff,0x7f400530,0xffe803ff,0x001ffea7,
    0x00000000,0x00000000,0x55100000,0x55103555,0x00003555,0x00000000,
    0x013bbb6e,0x00000000,0xfa800000,0x885fffff,0x3ee01fff,0x0000007f,
    0x0007ffa8,0x7ffd4000,0x2aaaaa20,0xaaaaa881,0x01ffea01,0x379db750,
    0x25ffd800,0x00effff9,0x001bff20,0x79db7500,0x9fff3003,0x013fe200,
    0x3fe00000,0xbff5003f,0x2003ffd4,0xaaaaaaa9,0x5400aaaa,0x0aaaaaaa,
    0xaaaa9800,0x5555300a,0xaaaa9815,0xaaaaaaaa,0xf30aaaaa,0x1fffffff,
    0x3fffffea,0xaaaaa87f,0x0009aaaa,0x10555550,0xf5035555,0x000bffff,
    0x80aaaa60,0x01aaaaa8,0x55555553,0x55555555,0x37ffea01,0x7fc42fff,
    0x1ffee01f,0x55555540,0x3ea000aa,0xaaaaa87f,0x00009aaa,0x3e61fff5,
    0x0fffffff,0xfffffff5,0x01ffea0f,0x7fffff4c,0xfb000dff,0x3fffeabf,
    0x7fe4000e,0xfd300006,0x1bffffff,0x00fffdc0,0x2aa00510,0x00aaaaaa,
    0x007ffe60,0x3fea2fe8,0x3fffa007,0xffffffff,0xfff883ff,0x04ffffff,
    0x7fffffc0,0x7ffec3ff,0x3f25ffff,0xffffffff,0xffffffff,0xffffff71,
    0x3fff25ff,0xf11fffff,0xffffffff,0x2007ffff,0xfffffff8,0xffffff51,
    0xfffffa8f,0xffe80005,0xffa84fff,0x10ffffff,0xffffffff,0xffffffff,
    0x3ffea03f,0x220ffff8,0x3ee01fff,0x7ffc407f,0x04ffffff,0xf89ffea0,
    0xffffffff,0x2000ceff,0xff70fffa,0x25ffffff,0xfffffffc,0x07ffa81f,
    0xffffffc8,0x801effff,0xfffbdffd,0xff90005f,0xff90000d,0xffffffff,
    0x1bff203d,0x3fe20000,0x4fffffff,0x01ffee00,0x01ffea00,0x7fffffc4,
    0xffffffff,0xfffffa85,0x2007ffff,0xfffffff9,0x7ffffc5f,0x3ff27fff,
    0xffffffff,0x1fffffff,0xffffffb1,0x7ffff4cb,0x3ffea4ff,0xffffffff,
    0x5401ffff,0x3fffffff,0xfffffff9,0x5ffeca83,0x7ffc4000,0x7e41ffff,
    0x1fffffff,0xfffffff5,0xffffffff,0x3fea03ff,0x449fff77,0x3ee01fff,
    0x7ffd407f,0x07ffffff,0xfa9ffea0,0xffffffff,0x002fffff,0x3621fff5,
    0x25ffffff,0xffffffe9,0x80fff504,0xcdfffffb,0x01fffffe,0x7fffffec,
    0x3f20006f,0x7dc0006f,0xfecdffff,0xfe81ffff,0xa800004f,0xffffffff,
    0x3ff6007f,0xffa80004,0x3ffae007,0xffffffff,0xffd881ef,0x2fffffff,
    0x3ffff600,0x7f5c1eff,0x323fffff,0xffffffff,0xffffffff,0x03ffdc1f,
    0x220fffcc,0xfffffffd,0xffffffff,0x3fff6200,0xffb30dff,0x7e40bfff,
    0xfc80005f,0x4c6fffff,0x5ffffffd,0x7fffffec,0xffffffff,0xfff501ff,
    0xf88ffff4,0x3fee01ff,0x7ffec407,0x02ffffff,0x6c4fff50,0xffffffff,
    0x02ffffff,0x5c0fffa8,0xff9807ff,0x1ffea01f,0x83ffff98,0x406fffd8,
    0xfffffffd,0xff90005f,0x7fcc000d,0xffd883ff,0x03ffe86f,0xffd88000,
    0x2fffffff,0x007fff00,0x00fff500,0x007ffa80,0x3ffffe20,0x7fec005f,
    0x17ffc005,0xff71bff2,0x41fff98f,0xf9807ffb,0x3ff201ff,0xfffeb985,
    0x05ffd805,0x32027ff4,0x200005ff,0x03fffffa,0x6403fff1,0x7fc405ff,
    0x4fff501f,0xff16fff9,0x7ffd403f,0x3ffe2002,0xf5005fff,0x0fff50ff,
    0x1ffffb73,0x40fffa80,0xf9807ffb,0xffb101ff,0x0ffff40f,0x813ffee0,
    0xfffffffd,0xfc8005ff,0x3fa0006f,0x7fdc01ff,0x81fff44f,0xeeeeeec9,
    0xfff1002d,0x3e00bfff,0xa80003ff,0x540007ff,0x2e0007ff,0x0fffdfff,
    0x31bff200,0x7fc41555,0x237fe41f,0x7fcc7ffb,0x03ffdc1f,0x900fffcc,
    0xffe80bff,0x05ffd807,0x32027ff4,0x799735ff,0x7fd40013,0xf880ffff,
    0x3ff201ff,0x0fffc405,0x7e47ffa8,0x1fff8bff,0x3ffffe20,0xdfffb801,
    0xfa800fff,0x07ffa87f,0x202fffe4,0x7dc0fffa,0xfff9807f,0x5ffffc81,
    0x007fff70,0x6c03fff6,0xfea9ffff,0x7e4006ff,0x076c406f,0x2007fff7,
    0x3fa0fffd,0xffff884f,0x01ffffff,0xffdfffb8,0x4ffe800f,0x7ffa8000,
    0x3ffd4000,0x1dfff000,0x5c009fff,0x7ffec7ff,0x903ffe62,0x7ffb8dff,
    0x2e0fffcc,0xff9807ff,0x17ff201f,0x801fff50,0x7f405ffd,0x77fe404f,
    0xeffffffd,0xffff5001,0xfff10bff,0x42ffe403,0x403ffe0a,0xffe87ffa,
    0x401fffaf,0x805ffffc,0xfff8efff,0x87ffa804,0xfe807ffa,0x3fea01ff,
    0x03ffdc0f,0x220fffcc,0xb01fffff,0x7cc00dff,0xdffb02ff,0x03fffd81,
    0x701bff20,0x37fec7ff,0x45fff300,0xfff05ffc,0x3fffffff,0xf1dfff00,
    0xffb009ff,0xff50000b,0xffa8000f,0xfff50007,0x801fff65,0x3fe0fffa,
    0x1ffea5ff,0xff717ff2,0x40fff88f,0xf9807ffb,0x3ff201ff,0x03ffdc05,
    0x3a02ffec,0x7fe404ff,0xffffffff,0xffa801ff,0x442fffdf,0x3f201fff,
    0xf937f45f,0x43ffd40b,0xfffffff9,0x3fffa201,0x7ffd403f,0x500fffb2,
    0xfff50fff,0x09fff100,0x2e07ffd4,0xff9807ff,0xffffe81f,0x007ffd03,
    0xfb04ffe8,0xffff10bf,0x037fe400,0xffe97ff2,0x27ff4003,0x2e60dff7,
    0x2fffdccc,0xb2fffa80,0xff900fff,0xfa80001f,0x7d40007f,0xffb0007f,
    0x017ffd4f,0xf51fff98,0x3ee1ffff,0x43ffa87f,0x6fe87ffb,0x9807ffb8,
    0x3f201fff,0x3ffee05f,0x05ffd805,0x32027ff4,0xeeffffff,0xa806ffff,
    0xffff8fff,0x807ffe20,0x3fe25ffc,0x3fea000f,0xfffff907,0x7ffd403f,
    0x7ffd801c,0x500bffea,0xfff50fff,0x817ffa00,0x7dc0fffa,0xfff9807f,
    0x0dffd501,0x9000bffe,0x3ff60bff,0x07fff505,0x901bff20,0x17ffcbff,
    0x997ff200,0xf7002fff,0x3ff600ff,0x00bffea7,0x8009fff3,0x01ffea1a,
    0x00fff500,0xe89fff10,0xff1005ff,0x3ffff65f,0x20dff92f,0x3ffdc0ba,
    0x7fdc0dcc,0x1fff9807,0x267bff20,0xffffeca9,0xefffd802,0xffeeeeee,
    0x7ffe404f,0x3ff220df,0xbffd400f,0x3e24fffb,0x3ff201ff,0x1fffffff,
    0x41ffea00,0x1ffffff8,0x401ffee0,0x7f44fff8,0x3ffd405f,0xc803ffd4,
    0x3fea06ff,0x03ffdc0f,0x700fffcc,0xfff30fff,0x7ffb8003,0x6c0bffb0,
    0xfc800fff,0xaffe406f,0x4001fff9,0x7ffc7ffb,0x7ffb801f,0x44fff880,
    0xfd805ffe,0xfe8803ff,0x00fff50f,0x007ffa80,0x5c0fffb8,0xff000fff,
    0xfffff17f,0x017ff6bf,0x800fff70,0xf9807ffb,0x3ff201ff,0xffffffff,
    0xffb003ff,0xffffffff,0xfc809fff,0xfff103ff,0x27ffa805,0xff11fffe,
    0x7ffe403f,0x01ffffff,0x55fff910,0xfffffa81,0x01ffee01,0x2e07ffdc,
    0x3ea00fff,0x07ffa87f,0x540fff70,0x7fdc0fff,0x1fff9807,0x221ffea0,
    0x5c001fff,0x7f5446ff,0xff981aef,0x55440adf,0xaaaafffd,0x15ffeaaa,
    0xb8003fff,0x7ffd46ff,0x32a609cf,0xfb807ffe,0x7ffdc0ff,0x7fff4400,
    0x3ee621ae,0xfff52fff,0x7ffa8000,0x85fff800,0xd004fff8,0xbfff59ff,
    0x9ffd1fff,0x07ffb800,0x403ffdc0,0x3201fff9,0xffffffff,0x36001fff,
    0xffffffff,0x404fffff,0x7f405ffc,0x3ffd404f,0x3e2dfff3,0x3ff201ff,
    0x1fffffff,0xfffff980,0x7fec1fff,0x3fee01ff,0x0bfff007,0x5409fff1,
    0x7ffa87ff,0x40fff700,0x7dc0fffa,0xfff9807f,0x41ffea01,0x6c002fff,
    0x3ffe65ff,0xd86fffff,0xf73fffff,0xffffffff,0xffffffff,0x0017ffcb,
    0x3f217ff6,0xffffffff,0x807fffff,0xff885fff,0xffe8804f,0xffffffff,
    0x3fea6fff,0x7fd40007,0x7ffd4007,0xffffffff,0xbffb007f,0xfff3dffb,
    0x8007fff5,0x5c007ffb,0xff9807ff,0x3fff201f,0x6fffffff,0x677fec00,
    0xffcccccc,0x2ffe404f,0x5013ffa0,0xfffc8fff,0x201fff8b,0xfbaaeffc,
    0xffb801ff,0x43ffffff,0x201ffff8,0xfa807ffb,0xffffffff,0x3ea07fff,
    0x07ffa87f,0x540dff90,0x7fdc0fff,0x1fff9807,0x741ffea0,0x7f4004ff,
    0x3fffea3f,0x4c0fffff,0xfb5fffff,0xffffffff,0xffffffff,0x0027ff4b,
    0x7e40fffa,0xffffffff,0x5403ffff,0xffffffff,0x1007ffff,0xfffffffd,
    0xfa89ffff,0x7d40007f,0x7fec007f,0xffffffff,0xfc802fff,0xfd4fffef,
    0x005fffdf,0x4007ffb8,0x5400fffa,0x3f200fff,0xffb999ef,0x3f6005ff,
    0x27ff405f,0xd017ff20,0xffa809ff,0xfafffe87,0x3ff201ff,0x7307ffc5,
    0xffffd881,0xffb80dff,0x1ffee01f,0x3fffff60,0xffffffff,0x50fff502,
    0x3f600fff,0x3ffea05f,0x007ffd40,0xa803ffea,0xfff907ff,0x3ffea001,
    0x3ffff622,0xffd03eff,0x3ff663bf,0xffffffff,0x25ffffff,0x5000fffc,
    0x64405fff,0xfffffffe,0xfffb002e,0xffffffff,0x2a2005ff,0xefffffec,
    0x07ffa82d,0x03ffd400,0xffffff10,0xffffffff,0xffff700b,0x3ffee3ff,
    0x5c001fff,0x7c4007ff,0x7fe404ff,0x42ffe406,0x005ffffa,0xfe80bffb,
    0x2ffe404f,0x5013ffa0,0xfff30fff,0x6403ffff,0x11fdc5ff,0x00000bff,
    0x80fff700,0xfffffff8,0x5fffffff,0xf50fff50,0x3ffe00ff,0x03ffea03,
    0xc809fff1,0x7fd406ff,0x0bfff507,0x00dfff10,0x00000000,0x02fffd40,
    0x0037ffc4,0x0026aaa6,0xffffff88,0xffffffff,0x3bf90005,0x07ffa801,
    0x03ffd400,0x557fff70,0xff955555,0xfffa801f,0x3ffe67ff,0x5c000fff,
    0xff8007ff,0xfff500ff,0x05ffc80b,0x007fffd3,0xfe80bffb,0x2ffe404f,
    0x5013ffa0,0x3ff20fff,0x3201ffff,0xffa805ff,0x00188007,0x701ffee0,
    0x55557fff,0x1fff9555,0xf50fff50,0xfff900ff,0x07ffd405,0xa807fffc,
    0x7d405fff,0xfff900ff,0x7fff4409,0x00198002,0x4000c400,0x2204fffc,
    0x4002fffe,0x3ee00018,0xaaaaabff,0x00fffcaa,0x800efc80,0x40007ffa,
    0x3e007ffa,0xff8805ff,0x7ffd404f,0x7fff44ff,0xffb8007f,0xfffb8007,
    0xfff731cf,0x5ffc801f,0x03fffe60,0xe80bffb0,0x7fe404ff,0x027ff405,
    0x7c41ffea,0x201fffff,0xfa805ffc,0xfff8007f,0x7ff44004,0x02fffc06,
    0x5427ffc4,0x7ffa87ff,0x037ffe40,0x2e03ffea,0x731cffff,0x9801ffff,
    0x3fa03fff,0xf730aeff,0x3000bfff,0x00005fff,0xd0013ffe,0x2615dfff,
    0x005ffffb,0x8004fff8,0xf8805fff,0xfc8004ff,0x7fd400ff,0x5554c007,
    0xaaaafffc,0x67ffdc40,0xffd5100a,0x3fe6015f,0x7fdc1fff,0x553007ff,
    0x1555fff9,0x3ffff600,0x3fffffff,0x3bffaa20,0xdfff702a,0xffea8815,
    0x7fd440ae,0x75440adf,0x5440aeff,0x880adfff,0x40aafffc,0x81fffffa,
    0xaaeffda8,0xfcaaaaaa,0xfec8007f,0xfffb001f,0x3fee209f,0xd5100acf,
    0x7d415fff,0x7ffe447f,0xffdcaaab,0x7ecc0fff,0xb00fffff,0xffffffff,
    0x3e007fff,0xf982ffff,0xffffffff,0x0000efff,0x0000fffb,0x8007ffb2,
    0xfffffff9,0x00efffff,0x01ffec80,0x59fff710,0x3ffaa201,0xba9800af,
    0x7d403fec,0x205fffff,0xfffffffe,0x73ffffff,0xffffffff,0xfffffb81,
    0xff880fff,0xfff987ff,0xfffd806f,0xffffffff,0xfffd8801,0x03ffffff,
    0x3fffffe2,0xfffb07ff,0xffffe8ff,0xfff51fff,0xfd89ffff,0x7c6fffff,
    0x44ffffff,0xfffffff9,0x7fffec1f,0x7ffffc41,0xffffffff,0x2007ffff,
    0x01ffcdfb,0x0effff98,0xffffffb8,0x7ffdc0ff,0xf50fffff,0x7fffc4ff,
    0xffffffff,0xffc82fff,0x100fffff,0xfffffffb,0x7cc007ff,0xfd306fff,
    0xffffffff,0x37f60009,0x20000ffc,0x01ffcdfb,0x7ffff4c0,0x004fffff,
    0x1ffcdfb8,0xfffffb80,0x7fdc0fff,0x00ffffff,0x0fff7ff4,0x3ffffea0,
    0xfff881ff,0xffffffff,0xfff95fff,0xc85fffff,0xffffffff,0x09ffff02,
    0x2017fffa,0xfffffffe,0x2003ffff,0xeffffffa,0x7fffd401,0x881fffff,
    0xf11ffffe,0x7fffffff,0x3ffffff2,0x3fffe27f,0xff30ffff,0xb8ffffff,
    0xffffffff,0x0ffffc43,0x3fffffea,0xffffffff,0x2e007fff,0x2006ffff,
    0xf900dfff,0x5fffffff,0xffffffc8,0x4bff12ff,0xfffffffa,0x1effffff,
    0xffffff50,0xfffa801f,0x8001efff,0x5c03fffa,0x2effffff,0x3fff6000,
    0x7dc0004f,0x20006fff,0xeffffffb,0xfff70002,0x3ff200df,0x42ffffff,
    0xfffffffc,0x7ff5402f,0xfffa805f,0xd700ffff,0xffffffff,0x3663bfff,
    0x84efffff,0xefffffd9,0x0bfffa04,0x4027ffdc,0xffffffea,0x8000dfff,
    0x20009aa8,0xeffffffc,0x13bfe604,0xbfffffd7,0x3ffff661,0x7ff5c2ef,
    0x7f643eff,0x6c42efff,0x0dffffff,0xc81fffb8,0xffffffff,0xffffffff,
    0x56e54007,0x20054000,0xefffffd9,0xffffd984,0x640c44ef,0xffffffff,
    0xa8802bde,0x2002aaaa,0x00009aa8,0x2a200198,0x2a00001a,0x500002cc,
    0x000015b9,0x00003551,0x4002b72a,0xefffffd9,0xffffd984,0x2a2004ef,
    0x55551000,0x00000035,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0da80000,
    0xd8813200,0x300cb802,0x01ec003b,0x540003b3,0x0300000d,0x99999100,
    0x80079999,0x0003eeea,0x00000ae2,0x3333332a,0x54001ccc,0xcccccccc,
    0x1764001c,0x54001f5c,0x00dd984e,0x00000b98,0x80000173,0x01bcedba,
    0xb309d500,0x2754001b,0x80006f4c,0x32a000b9,0xcccccccc,0x00031001,
    0x00aa0000,0x3333332a,0x00001ccc,0x00001f4c,0xffb10000,0x07fe007f,
    0x7fc02fe4,0x027fdc1e,0xfd00ff98,0xffb10007,0x7cc0007f,0x7fe4006f,
    0xffffffff,0x3ffee000,0xfff90004,0x00174c3d,0xfffffff8,0x7c004fff,
    0xffffffff,0x3fea004f,0x007ffcc6,0xfb0bffa0,0x7ff5409f,0x4013223f,
    0x223fffea,0x7f4c004c,0x0dffffff,0x217ff400,0x3e004ffd,0x27fec2ff,
    0x005ff800,0x3ffffffe,0x76404fff,0x0002efff,0x201fe000,0xffffffff,
    0x200004ff,0x00004ffb,0x2a02fe40,0x0dffffff,0x8857fec0,0xfa802ffc,
    0xeffe9cff,0x8bbfe000,0x4001ffd9,0xeffffffa,0xfffd8000,0x332e2002,
    0x01cccccc,0x027ffdc0,0x7ff7fe40,0x003ffcdf,0x99999930,0x98001799,
    0xcccccccc,0x3fe6000b,0x003ffc46,0x3f20fff4,0xdfff103f,0x0dff9fff,
    0xffdfff10,0x400dff9f,0xfffffffc,0x2002ffff,0x7fe41ffe,0x07ffa003,
    0x30007ff9,0x64c00fff,0xbccccccc,0xffffb100,0x00005fff,0x801ff300,
    0xccccccc9,0x900000bc,0x54000bff,0x2e1cdedb,0xff901fff,0x07fff25f,
    0xffffff88,0x362005ff,0x003fffff,0xffffff98,0x7e4003ff,0x3fff92ff,
    0x1fffc800,0x80000000,0x8003eeea,0xfffb12fd,0x000000bf,0x00000000,
    0x0e4c05d4,0x4415c400,0x433e603b,0x01fffffa,0xff50cf98,0x2e003fff,
    0xecdfffff,0x000fffff,0x07710571,0xb882b880,0xfff50003,0x74000000,
    0xffdabeff,0x4000002f,0x000007fb,0x3ffa2000,0xffd30004,0xf7bfffff,
    0x3fe20dff,0x027f4c0d,0x3fffff62,0xdff70003,0x7ecc0003,0x8002efff,
    0x7f4c0dff,0x1fec4005,0x4c05d400,0x0000000b,0x00736a00,0x00000000,
    0x00000000,0x00000000,0x00005b91,0x4c005b91,0xd883ffff,0x00006fff,
    0x00000000,0x000fff50,0x17fee000,0x2a217fe2,0x440aaaaa,0xfcaaaaaa,
    0x0000005f,0x00bff200,0x7ffffe40,0xffffffff,0x5006602f,0x06a62001,
    0x000e2000,0x001a9880,0x01500660,0x7d400000,0x037fcc4f,0x00000000,
    0x36ea0000,0x51001bce,0x51035555,0x00035555,0x00000000,0x00000000,
    0x0ffff400,0x013fff20,0x00000000,0x3ffea000,0xaaaa9802,0x0aaaaaaa,
    0xfc8077f4,0x7ffffcc7,0xfff50fff,0x5fffffff,0xaaaaaa80,0x200000aa,
    0xf70001c9,0xfd9bffff,0x009fffff,0x00000000,0x00000000,0x00000000,
    0x7fe40000,0x803ffd46,0x01999998,0x55555500,0x98000155,0xfffffffe,
    0x3ffe600d,0xf50fffff,0x0fffffff,0xaaaaaaa8,0xaa98000a,0xaaaaaaaa,
    0xaaaa980a,0x0aaaaaaa,0x202aaa98,0x81aaaaa8,0xd003fffb,0x55301fff,
    0x55555555,0x30155555,0x54403555,0x64400aaa,0xccffffff,0x7fffff41,
    0xffffffff,0x4c07ff53,0x3ffee1ff,0xf92fffff,0xffffffff,0x3ffe201d,
    0x04ffffff,0x3a600000,0x7fffcc1e,0xffffe983,0x2aaaa600,0x0aaaaaaa,
    0xaaaaaa98,0x980aaaaa,0xaaaaaaaa,0x0aaaaaaa,0xaaaaaa98,0xaaaaaaaa,
    0xaaaa980a,0xaaaaaaaa,0xaa980aaa,0xaaaaaaaa,0x07b6200a,0xff100ff6,
    0x00ffffff,0xffffff88,0x20004fff,0xfffffffc,0xf701efff,0x5fffffff,
    0x3ffffff2,0xfff881ff,0x04ffffff,0x7fffff40,0xffffffff,0x3fffffa3,
    0xffffffff,0x3fffffa3,0xfffffa84,0x3ff60fff,0x3ffe6006,0x3ffffe22,
    0xffffffff,0x7f41ffff,0x5c0fffff,0x04ffffff,0xfffffff5,0x7fc4dfff,
    0xffffffff,0xff95ffff,0x117fc403,0xbffffffd,0x7fffff4c,0x7fd403ef,
    0x7fffffff,0xb7310000,0x27ffcc37,0x5407fffa,0xd04fffff,0xffffffff,
    0x747fffff,0xffffffff,0xf13fffff,0xffffffff,0xffffffff,0x7ffffc43,
    0xffffffff,0x3e21ffff,0xffffffff,0xffffffff,0x7fffff41,0xffffffff,
    0x54000003,0x7fffffff,0x7fffd400,0x007fffff,0xbfffff70,0x3fffffd9,
    0xfffffb10,0x7fff4cbf,0xff504fff,0xffffffff,0x7fffc400,0xffffffff,
    0xffff15ff,0xffffffff,0x3ffe2bff,0x7e41ffff,0x1fffffff,0xd000fffa,
    0x7ffd47ff,0xffffffff,0x21ffffff,0xfffffff8,0x7ffffec2,0xffffa86f,
    0x7fffffff,0x7fffff5c,0x1effffff,0x3f6e0ffb,0x7ffb82ff,0x01fff980,
    0xfffffb10,0x0005ffff,0x7fffff54,0x3ffffdff,0x4c0fffee,0x0fffffff,
    0x7fffffc4,0xffffffff,0xffffff15,0xffffffff,0x3ffffeab,0xffffffff,
    0x3ea1ffff,0xffffffff,0xffffffff,0x3ffffea1,0xffffffff,0x3e21ffff,
    0xffffffff,0x005fffff,0x7ff44000,0x4007ffff,0xffffffd8,0x4c002fff,
    0xd883ffff,0x3ee06fff,0xfff9807f,0x3fff6201,0x02ffffff,0x3ffffae0,
    0xefffffff,0x3ffffae1,0xefffffff,0x3fffff21,0x7ffecc6f,0x3fe25fff,
    0x7fec002f,0x7ffffec5,0xffffffff,0x7fe41fff,0x7cc0dfff,0x442effff,
    0x889dffff,0x400ffffa,0x7f407ffa,0x7ffff546,0x07ffb82f,0x001fff98,
    0xffffff10,0x3fee000b,0xffffffff,0x7fe44fff,0x9fffd106,0xfd707fff,
    0xffffffff,0x7f5c3dff,0xffffffff,0x3ff61eff,0xffffffff,0x41ffffff,
    0xfffffffd,0xffffffff,0x7fffec1f,0xffffffff,0x75c1ffff,0xffffffff,
    0x4c41efff,0x33310099,0x5ccc4013,0x440007ff,0x05ffffff,0x00ffff40,
    0x5c13ffee,0xff9807ff,0x3fe2001f,0x0005ffff,0x8003ffd4,0x2a007ffa,
    0x103fffff,0xff983fff,0x7fdc000f,0x80bff906,0xfb01fff8,0x3ff605ff,
    0x7fff902f,0x201ffea0,0x7fc07ffa,0x37fffe64,0x7ffb82ff,0x01fff980,
    0xfbfff700,0xfc8001ff,0xfedeffff,0xfe86ffff,0xbfffb03f,0x54013ffe,
    0xf50007ff,0x7fe400ff,0x0fffc405,0x4405ffc8,0xff901fff,0x1fff880b,
    0x407ffa80,0x86ffffe8,0x04fffffe,0x000fff50,0xffdfffb8,0xfff7000f,
    0x3fff6007,0x807ffb80,0x2001fff9,0xfffdfffb,0x3fea0000,0xfff50007,
    0x7fffd400,0xfff880ff,0x00fffcc1,0x641bff20,0x7fc405ff,0xffff101f,
    0x05fffa81,0xf803fffa,0x7ffa805f,0xffd27fc0,0x705ff117,0xff300fff,
    0x3fe0003f,0x04fff8ef,0x0bffff20,0x1fffffd1,0xfb82fff8,0x17ff66ff,
    0x003ffd40,0x2007ffa8,0x7c405ffc,0xbff901ff,0x01fff880,0xf880bff9,
    0xffa801ff,0x7fffd407,0x7fffcc6f,0xff5004ff,0xfff8000f,0x004fff8e,
    0x4c00dffb,0xffb82fff,0x1fff9807,0x23bffe00,0x20004fff,0x50007ffa,
    0x7d400fff,0x885fffff,0x7fc41fff,0x7fec002f,0x50bff905,0x5007ffc1,
    0x7fc4bfff,0x3ffe00ff,0xf5001804,0x14ff80ff,0x17fc4bff,0x4c03ffdc,
    0xa8001fff,0xfffb2fff,0x077ffc00,0x3fffffa2,0x07ffe65f,0x5c1ffff3,
    0xff5007ff,0x3fea000f,0x17ff2007,0x00fff82a,0x4150bff9,0xff900fff,
    0x7ffc150b,0x07ffa800,0x37ffff44,0x27ffffec,0x007ffa80,0x6cbffea0,
    0xffd007ff,0x4ffe8007,0x9807ffb8,0xf5001fff,0x1fff65ff,0x07ffa800,
    0x00fff500,0x7fefffd4,0x0fffc42f,0x20027ffc,0xff903ffe,0x3f26fe8b,
    0x2fffd805,0x4405fffb,0x00003fff,0xff01ffea,0xf887fe69,0x07ffb82f,
    0x001fff98,0x3ea7ffd8,0xff9802ff,0x7fff441f,0x3e67ffdd,0x3ffe22ff,
    0x037fdc2f,0x0007ffa8,0x6400fff5,0x937f45ff,0x2ffe40bf,0x05fc9bfa,
    0xdfd17ff2,0xfa802fe4,0xffb1007f,0x3ffa620d,0x0fff5004,0x53ffec00,
    0xff005fff,0xffc8005f,0x807ffb85,0xb001fff9,0x7ffd4fff,0xfff50002,
    0x1ffea000,0xf8fffa80,0x3fe20fff,0x0fffd81f,0x05fff500,0xff897ff2,
    0xff88000f,0x05fffbff,0x0006fff8,0xf01ffea0,0x893fe29f,0x7ffb82ff,
    0x01fff980,0x227ffc40,0xfb805ffe,0x7fff446f,0x7c3fff55,0x3fffa4ff,
    0x005ffd84,0x2000fff5,0x32007ffa,0x3ffe25ff,0x97ff2000,0x2000fff8,
    0x3fe25ffc,0xff50000f,0x37fe400f,0x4013ff60,0x10007ffa,0xffe89fff,
    0x0fffcc05,0x21ffee00,0xf9807ffb,0xff8801ff,0x02fff44f,0x007ffa80,
    0x400fff50,0xfff77ffa,0x40fffc49,0x8805fff9,0x3f206fff,0xffffffff,
    0xfff50001,0xb001ffff,0x54403fff,0x07ffa800,0x9ffd27fc,0xf705ff13,
    0xfff300ff,0xfffb8003,0x007ffdc0,0xfe893ff6,0xfff10eff,0xfcb7ff45,
    0x7ffd05ff,0x01ffea00,0x003ffd40,0xfffffff9,0x7e4003ff,0xffffffff,
    0x3fff2001,0x01ffffff,0x00fff500,0x36037fe4,0xff5004ff,0x3fee000f,
    0x07ffdc0f,0x003fff10,0xfb86ffb8,0xfff9807f,0x0fffb801,0x0007ffdc,
    0x8003ffd4,0x2a007ffa,0x3fffa7ff,0x203fff11,0x2204fffe,0x3202fffe,
    0xffffffff,0x3f60001f,0x3002ffff,0x2239ffff,0xa806ffeb,0x27f407ff,
    0xfffffff3,0x00fff709,0x8003fff3,0xff885fff,0xb7fec04f,0x20efffe8,
    0x3f60fff9,0x0efffbff,0x002fffa8,0x2000fff5,0x32007ffa,0xffffffff,
    0x3ff2001f,0x1fffffff,0x3ffff200,0x001fffff,0x400fff50,0x7ec06ffc,
    0xfff5004f,0x17ffe000,0xf013ffe2,0xfd8005ff,0x07ffb85f,0x801fff98,
    0xff885fff,0xffa8004f,0xfff50007,0x33ffd400,0x3fe2dfff,0xffff101f,
    0x3fee615d,0x7fe405ff,0x1fffffff,0x3ffe2000,0x7fec005f,0xffffffff,
    0x7fd400ff,0x262fec07,0x87fffffe,0xf9807ffb,0x3ea001ff,0xffffffff,
    0x7dc07fff,0xefffeaff,0x2637fe40,0x1fffffff,0x00ffff88,0x000fff50,
    0xc801ffea,0xffffffff,0x3ff2001f,0x1fffffff,0x3ffff200,0x001fffff,
    0x400fff50,0x7ec06ffc,0xaaaa984f,0xaaaafffc,0x3ffea00a,0xffffffff,
    0x27ff407f,0x20fffa00,0xf9807ffb,0x7fd401ff,0xffffffff,0xfa8007ff,
    0xff50007f,0x3ffd400f,0x3e2ffff2,0x3fe601ff,0xffffffff,0x7e400eff,
    0xfffbaaef,0x7fdc0001,0xffd8000f,0xffffffff,0x07ffa803,0x5d4437dc,
    0xffa81bcb,0x7ffd400f,0x3fff6000,0xffffffff,0x3fe602ff,0x40efffff,
    0xfc84fffb,0xe883ffff,0x2a002fff,0xf50007ff,0x7fe400ff,0x1fffbaae,
    0x2bbff200,0x001fffba,0x2eabbff2,0x50001fff,0x7e400fff,0x27fec06f,
    0x3fffffee,0xffffffff,0xffffb00f,0xffffffff,0x7ffe405f,0x5fff5000,
    0x801fff50,0x6c00fffa,0xffffffff,0x002fffff,0x8003ffd4,0x2a007ffa,
    0xfffe87ff,0x4c01fffa,0xfffffffe,0xff9004ff,0x260fff8b,0x3fea000b,
    0x3fee0007,0x02efffff,0xa80fff50,0x220000ff,0x7e404fff,0x3fe2006f,
    0xffffffff,0x6405ffff,0x10ffffff,0x03ffffd3,0x17fffff1,0x13fffee6,
    0x00fff500,0x801ffea0,0x7ffc5ffc,0x7e402e60,0x307ffc5f,0x17ff2017,
    0x05cc1fff,0x003ffd40,0xfd80dff9,0x7fffec4f,0xffffffff,0xff882fff,
    0xffffffff,0x2a05ffff,0xf8805fff,0xfff106ff,0x06ffc809,0x7fffffc4,
    0xffffffff,0x3ffd4005,0x07ffa800,0x261ffea0,0x1fffffff,0xfffff900,
    0x7e4005bf,0xf11fdc5f,0x7fd400bf,0xffc80007,0x7d4000bf,0x27fc407f,
    0x3fffe000,0x0bfff500,0x55fffdc0,0xfcaaaaaa,0x3fe200ff,0xffffffff,
    0xf901ffff,0xffffffff,0x000dffff,0x2000fff5,0x32007ffa,0x11fdc5ff,
    0x3ff20bff,0xff11fdc5,0x717ff20b,0x02ffc47f,0x9003ffd4,0x7fdc0fff,
    0x7ffecc4f,0xffffffff,0xfff704ff,0x55555557,0x6401fff9,0x3a204fff,
    0x3fe02fff,0xfff500ff,0xbfffb80b,0xcaaaaaaa,0x2a000fff,0xf50007ff,
    0x7fd400ff,0xfffff907,0xffd1003f,0x051019ff,0x5402ffe4,0x3ea007ff,
    0xfa80007f,0xff50007f,0x01ffb00f,0x3ffee004,0xfff731cf,0x7ffc001f,
    0x4fff8805,0x3fffff60,0xefffffff,0xfffff500,0xffffffff,0xff500019,
    0x3fea000f,0x17ff2007,0x641ffea0,0xffa805ff,0x00bff907,0xf500fff5,
    0x7fd400ff,0xffd510bf,0xff001bff,0xbfff0009,0x09fff100,0x0aefffe8,
    0x0bffff73,0x1cffffb8,0x01ffff73,0x8805fff8,0x2a004fff,0xf50007ff,
    0x7fd400ff,0xfffff107,0xffe8803f,0xbcefffff,0xff905ffd,0x0fff500b,
    0x003ffd40,0x803ffd40,0xfffcaaa9,0x7cc0aaaa,0x06fb81ef,0x7fffffec,
    0x003fffff,0x159fff71,0x3fffaa20,0x7fffe40a,0xdffffffd,0xffff100b,
    0xffffff75,0x7d40005d,0xff50007f,0x2ffe400f,0xc83ffd40,0xffa805ff,
    0x00bff907,0xf500fff5,0x7fc400ff,0xffffffff,0x203fffff,0x10021ff8,
    0x0159fff7,0x2bfffaa2,0xfffff300,0xdfffffff,0xffffb001,0x7fffffff,
    0x67ffdc40,0xffd5100a,0x5553015f,0x5555fff9,0xf9555301,0x015555ff,
    0x155fff91,0x1fffffa8,0x7ffffe40,0xffffffff,0x7fed446f,0xaaaaaaae,
    0x4c07ffca,0xabfffcaa,0xff88000a,0xffffe806,0xffffffff,0x77ffe43f,
    0x406fffed,0xffffffd8,0xf7003fff,0x1fffffff,0xffffffb8,0xffff10ff,
    0x800dd443,0x54c3fffb,0xa980009a,0xaafffcaa,0xaaa980aa,0xaaaafffc,
    0x77fed440,0xaaaaaaaa,0x6d447ffc,0xaaaaaeff,0x47ffcaaa,0xaaeffda8,
    0xfcaaaaaa,0xcaaa987f,0x0aaaafff,0x3ffffee0,0xffffffff,0x5efec04f,
    0xfff701fe,0xb81fffff,0xffffffff,0xffffd300,0x009fffff,0x7ffffec4,
    0x2e03ffff,0xffffffff,0x7ffffdc0,0x3ffa0fff,0xffffffff,0x3ffa3fff,
    0xffffffff,0x3fe63fff,0x41ffffff,0x401ffffd,0xfffffffe,0x1fffffff,
    0x3fffffe2,0xffffffff,0x3f207fff,0xffffffff,0xfd8002ff,0x7fffc403,
    0xffffffff,0xfffc85ff,0x000effff,0xdffffff5,0x7ffe4003,0x642fffff,
    0xffffffff,0x0007ffa2,0x0017fe60,0x3ffffa00,0xffffffff,0x3ffffa3f,
    0xffffffff,0xfffff13f,0xffffffff,0x7c4fffff,0xffffffff,0xffffffff,
    0x3ffffe27,0xffffffff,0x7f47ffff,0xffffffff,0x2e03ffff,0xbeffffff,
    0x401dfffe,0x00fffff9,0xfffffff9,0xffffc85f,0x5c02ffff,0x2effffff,
    0xffff5000,0xfc803dff,0x2fffffff,0x7fffffe4,0xffff12ff,0xffffffff,
    0x3ffe2bff,0xffffffff,0x3fee5fff,0x43ffffff,0x401ffff8,0x999bdefa,
    0xa82dffdb,0xffffffff,0xffffffff,0x3fffa07f,0xffffffff,0x5c000004,
    0xfffffffe,0x101dffff,0x0059bd95,0x0026aa20,0x3ffff660,0xffd984ef,
    0x5444efff,0x0a600000,0x3fe20000,0xffffffff,0xff15ffff,0xffffffff,
    0x3eabffff,0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0x3ea7ffff,
    0xffffffff,0xffffffff,0x3ffffe27,0xffffffff,0xabb9805f,0xdb880000,
    0x3ff6601b,0xd984efff,0x04efffff,0x0006aa20,0x009aa880,0xfffffb30,
    0xfffb309d,0xfeb89dff,0xffffffff,0x3fae1dff,0xffffffff,0x3f621dff,
    0x80dfffff,0x0001fffb,0x3fff2000,0xffffffff,0x207fffff,0xffffffda,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0xffffd700,
    0xbfffffff,0x7ffff5c3,0xdfffffff,0x3fffff21,0xffffffff,0x7fe47fff,
    0xffffffff,0x47ffffff,0xfffffffc,0xffffffff,0x7fff5c7f,0xffffffff,
    0x0000001d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaa800000,0x00aaaaaa,
    0xcccca800,0x201ccccc,0x81aaaaa8,0x01aaaaa8,0x55555553,0x53015555,
    0x55555555,0x01555555,0xdddb7510,0x20019ddd,0x0400001a,0x7ee4c000,
    0x04ffffff,0x0000a880,0x40198051,0x000c4028,0x220000a2,0x33000009,
    0x00998001,0x00364000,0x1f4c7d30,0x01700a60,0x80006600,0x0005c029,
    0x2001ea80,0x000a200a,0x88000131,0x40388001,0xff10001a,0x9fffffff,
    0xffff0000,0x09ffffff,0x3fffffe6,0xffff50ff,0xffd8ffff,0xffffffff,
    0xfff13fff,0xffffffff,0x03ffffff,0x7fffff64,0x03ffffff,0x0077ff54,
    0x0027f400,0xffffff50,0x8009ffff,0x8004fffc,0x7fc80efd,0x5c0f7e40,
    0xff5000ff,0xfd98001b,0x000cffff,0x77fffecc,0xffff7103,0x40001bff,
    0x8000ffe8,0x9ff34ffa,0xf500ff80,0x7ff90009,0x403fe000,0xc80005fa,
    0xff5002ff,0x005ff505,0x19ffffd7,0x3ffb2200,0x5fb003df,0x7f41fe20,
    0x7ffd43ff,0x07ffffff,0xcccc9800,0x700bcccc,0xffffffff,0x3fffff25,
    0x3ffe1fff,0xffffffff,0xfff55fff,0xffffffff,0x03ffffff,0xffffffb1,
    0x19dfffdf,0x4ea9de80,0x37fcc000,0xefffa800,0x4ffeeeee,0x2e33e600,
    0x7fd4002f,0x09ffd33f,0xd34fff98,0xfb100bff,0x2007ffff,0xfffffffc,
    0xfd8802ff,0x2fffffff,0x7fffffd4,0x8003ffff,0x8002fff9,0xdff35ffa,
    0x985fe801,0x3a6003ff,0x001effff,0x7fc42ff4,0x3f620003,0x3fa2004f,
    0x6ffd88df,0xfffffd80,0x74401fff,0x5fffffff,0xe80ffc80,0x5fffb06f,
    0xfffffd88,0x0002ffff,0x7f440000,0x265fffff,0x5ffffffe,0x7fffff5c,
    0x1effffff,0x3ffffff6,0xffffffff,0xffff81ff,0xdfb6fdae,0x7b87e600,
    0x3ffd4000,0x01ffd800,0x6c8013fe,0x74c002f4,0x03fffeff,0xffdffd10,
    0xfff3007f,0x01bffd5b,0x7fffffdc,0x201fffff,0xffffffe8,0x3fe62fff,
    0xffffffff,0x3ea002ff,0xfa8000ef,0x01dff35f,0xd9bfff50,0x2e001dff,
    0xfffbbfff,0x3ffea003,0x00effecd,0x05ffd100,0xffffb100,0xfd8019ff,
    0xffffffff,0xfffd100f,0x09ffffff,0xdcefff88,0xff902fff,0xfff8803f,
    0x00005fff,0xfff70000,0x03fff300,0x801ffea0,0x7c405ffc,0x7ffd41ff,
    0x37edbf23,0x1b63f880,0x0fff5000,0xd013fe00,0x87d4007f,0x320003f8,
    0x8000dfff,0x001efffb,0xffc85fff,0xbffff304,0xdfffd735,0x3ffffa20,
    0x643c98bd,0xb99aefff,0x1007fffd,0x20001bff,0x03bfa5ff,0xfffffa80,
    0xff5001ef,0x0fff4c1d,0xfffff500,0x6c0003df,0x540001ff,0xa802ffff,
    0xeb9cffff,0xff906fff,0xfffb39ff,0xffe9803f,0x2e02ffff,0x7dc00fff,
    0x00fffdff,0x555554c0,0xaaaaaaaa,0x7ffb80aa,0x01fff980,0x400fff50,
    0x7c405ffc,0x7ffec1ff,0x37edbf20,0x5fdbfb00,0x7ffa8000,0x05ff8800,
    0x3e000fdc,0x0000ffcf,0x20001f4c,0x664003e9,0x2e05b300,0xffb02fff,
    0xfffe883f,0x7ff3000e,0x00fffe40,0x5c0003c8,0x88001d43,0x4002cdcb,
    0x036e03d8,0x59b97100,0x01950000,0x03362000,0x407fff40,0x7c41fffd,
    0x7fc40dff,0x9b95004f,0x7ffa8017,0xf8efff80,0xff1004ff,0xffffffff,
    0x3fffffff,0x300fff70,0x2a003fff,0x3f2007ff,0x3fe0a85f,0x22fff40f,
    0x00dfb6fc,0x0016f5c4,0x003ffd40,0x00bfff22,0x33f22000,0x00000001,
    0x00000000,0x2a06ffd8,0x7fec2fff,0x044000df,0x00fffe20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x413ffe20,0x7dc5fff8,0xdff901ff,
    0x7c400000,0x7ffd406f,0x200fffb2,0xfffffffa,0xffffffff,0x7ffb81ff,
    0x01fff980,0x400fff50,0x37f45ffc,0xdffd0bf9,0x0dfb6fc8,0xa8000000,
    0x3ee007ff,0x00cfffff,0x80000000,0x01accb98,0xbcccba80,0x32ea0011,
    0x36011bcc,0x3fe205ff,0x17ffe63f,0xff880000,0x665d402f,0x980011bc,
    0x10000acb,0x00359973,0x3332ea20,0x9998800a,0x13333100,0x332ea200,
    0xa88000ac,0x200acccb,0x3202fff9,0x2ffec6ff,0x401fff10,0x0accccb9,
    0x6c05ff80,0x3ffea7ff,0xffffb002,0xffffffff,0xf703ffff,0xfff300ff,
    0x1ffea003,0x225ffc80,0xfc800fff,0x6dbf21ff,0x9973006f,0x22001599,
    0xfffb9999,0xf8099999,0xffffceff,0x4ccc4002,0x13333100,0xfffffb80,
    0xea804fff,0xefffffff,0xffd500ff,0xffdfffff,0x00fffb81,0x7ec3fff9,
    0x000000ff,0x5403fff6,0xfffffffe,0x36600ffe,0xceffffff,0xffff7000,
    0x2009ffff,0xffffffc8,0x221ffdff,0xe86ffffe,0x404fffff,0xffffffc8,
    0x201ffdff,0xffffffc8,0x2a1ffdff,0x3ea00fff,0x01fffc7f,0xfb10bffa,
    0xffffffff,0x027f4019,0xfe89fff1,0x7fe4005f,0x0fffc405,0x4c03ffdc,
    0xf5001fff,0x7fe400ff,0x1fffffff,0x1efff980,0x81bf6df9,0xffffffd8,
    0xd300cfff,0xffffffff,0xbfffffff,0xfb117fcc,0xe8803dff,0xfe86ffff,
    0xd104ffff,0xffffffff,0x3f603dff,0xffffffff,0xffd82fff,0xffffffff,
    0x7ffcc2ff,0x3ffea21d,0xb9afffc7,0xa8000acd,0x06fffeba,0xfffffffb,
    0x205fffff,0xfffffff9,0x2200efff,0xfffffffe,0x2a01efff,0xffffffff,
    0x2a3fffff,0x4c6fffff,0x04ffffff,0x3fffffea,0x3fffffff,0xffffff50,
    0x7fffffff,0xd01fffc4,0x3fe21fff,0x27fec02f,0x3ffffff6,0x205fffff,
    0x3fee03fd,0x07ffdc0f,0x80bff900,0xfb81fff8,0xfff9807f,0x0fff5001,
    0x7ffffe40,0x5001ffff,0xdfddffff,0xffd81bf6,0xffffffff,0xffff705f,
    0xffffffff,0x741fffff,0xffffa86f,0xffff500d,0xffff98df,0xffe884ff,
    0xfffeefff,0x7fd40fff,0xffeeefff,0x7fd43fff,0xffeeefff,0xffc83fff,
    0xffffefff,0x2fffe22f,0x2ffffffc,0x3ffffe00,0xffa80fff,0xffeeefff,
    0xffa83fff,0xfffeefff,0xfe880eff,0xffeeffff,0xf880ffff,0xfeefffff,
    0x224fffff,0xd86ffffe,0x104fffff,0xddffffff,0x09ffffff,0xdffffff1,
    0x9ffffffd,0xf906fff8,0x3fe25fff,0x37fe401f,0x3bffffee,0x03fffffe,
    0x7ffc01f7,0x04fff885,0x2a17ff20,0x2e03ffe0,0xff9807ff,0xfff5001f,
    0x7fffe400,0x001fffff,0x3fffffea,0x7dc0dfb6,0xffeeffff,0xfe983fff,
    0xffffffff,0x45ffffff,0xfc81effb,0xfe882fff,0xffd86fff,0xffd84fff,
    0x3aa20aef,0x7fe44fff,0x7fdc40af,0x57ffe42f,0x17ffdc40,0xffffffe8,
    0x7fcc4fff,0xffffffff,0xff9804ff,0x903fffff,0xb8815fff,0x7fcc2fff,
    0xffd884ff,0x7ffec0ef,0x3faa20ae,0xfffe84ff,0x7ff5440d,0x6ffd884f,
    0x09ffd310,0x1037fffa,0xd09fffd5,0xa881bfff,0x7ec4fffe,0x7ffd43ff,
    0x3fff13ff,0xa86ffc80,0xfff9809b,0xfff50004,0xffffffff,0x7fe400ff,
    0xbf937f45,0x201ffee0,0x5001fff9,0x7e400fff,0xfffbaaef,0x7edc4001,
    0x80dfb6ff,0xff9809ba,0x2666204f,0x999fffb9,0xfff90099,0x7fffb107,
    0x41bff620,0x4c4ffe98,0x2200efff,0x3f61fffe,0x37ee01ff,0x00fffec0,
    0xfd101bf7,0xffffffff,0xfffffa89,0xfffffeff,0xffffd801,0xffd81fff,
    0x037ee01f,0xc803fff9,0x3fe62fff,0x3fa200ef,0x3ffee1ff,0x27ffc404,
    0x6c06ffc8,0xfffb84ff,0x27ffc404,0x1013ffee,0xff889fff,0xfffeceff,
    0xfff14fff,0x06ffc803,0x00dff900,0x3fffff60,0xffffffff,0x4bff9002,
    0x7000fff8,0xff300fff,0x3fea003f,0x17ff2007,0x05cc1fff,0x3f6dfb00,
    0xffc80006,0x3ffd4006,0x77ffdc00,0x01fffb82,0xfd80dff9,0x67ffdc4f,
    0xaaaaaaaa,0x3ee4fffb,0x1acdffff,0x7fffdc02,0x8021acdf,0xfefffffd,
    0x3e63ffff,0x711dffff,0x2200dfff,0x1ffffea9,0x6fffffdc,0x7fc021ac,
    0xbfff003f,0x5567ffdc,0xfbaaaaaa,0x1bff24ff,0xc817fdc0,0x7fec06ff,
    0x006ffc84,0xffc85ff7,0x05ff7006,0xfffffff7,0x227fffff,0x7e401fff,
    0xfdb9106f,0x0dffdddf,0xfffff100,0xffffffff,0x3ff200bf,0x1fffffff,
    0x00fff500,0x2001fff5,0x32007ffa,0x11fdc5ff,0x7e400bff,0x9100dfb6,
    0xfdddffdb,0xffa800df,0xffd30007,0x4ff981bf,0xd80dff90,0x7ffec4ff,
    0xffffffff,0x745fffff,0xffffffff,0x3ffa00df,0xdfffffff,0x7dfff700,
    0x3ffff261,0x03ffffe1,0x0007fff2,0x3a17fff2,0xffffffff,0xfff980df,
    0x4fff9000,0xfffffffd,0xffffffff,0x013ffa5f,0x3ff202a8,0x427fec06,
    0x2a004ffe,0x004ffe82,0xfffa80aa,0xfffbffff,0xb00bffe1,0xffc88bff,
    0xffffffff,0xffb8006f,0xaaaaaabf,0x800fffca,0xfffffffc,0xff3001ff,
    0x6ffe803f,0x01ffea00,0xa805ffc8,0x3f2007ff,0x6440dfb6,0xffffffff,
    0x54006fff,0x5c0007ff,0x7e43ffff,0x80dff907,0x7ff44ffd,0xffffffff,
    0x47ffffff,0xffffffb8,0x7103ffff,0xffffffff,0xfffb07ff,0x8fffee01,
    0xf302fffe,0x360005ff,0xffb887ff,0xffffffff,0x003ffdc3,0x3fa3fff3,
    0xffffffff,0x7fffffff,0x0000bffe,0x6c06ffc8,0x2fff84ff,0x2fff8000,
    0x6e440000,0x7ffa8cef,0x3a01fff4,0x7fff44ff,0xffffffff,0xfff8006f,
    0x4fff8805,0xfffffc80,0x2001ffff,0xf500efff,0x7d400bff,0x3ff2007f,
    0x07ffa805,0x37edbf20,0xffffffd0,0x0dffffff,0x007ffa80,0xdfffc880,
    0xf905ffec,0x4ffd80df,0x7fffffec,0xffffffff,0x973107ff,0x5ffffffd,
    0x7f65cc40,0x7c2fffff,0x7ffc05ff,0xd017ff65,0x2a0009ff,0x73100fff,
    0xffffffd9,0x007ffcc5,0x3f67ffa8,0xffffffff,0x7fffffff,0x0000fffe,
    0x6c06ffc8,0x3fff84ff,0x3fff8000,0xd1000000,0x4ffc8dff,0xfb1fffc0,
    0x977bffff,0x400dfffb,0x0acfffb8,0x5fffd510,0x577fe401,0x001fffba,
    0x473fffee,0x01ffffda,0x3ff2aaa6,0x441aaaaf,0xaaaeffda,0xffcaaaaa,
    0x6dbf2007,0xffffb06f,0xffb977bf,0xffa800df,0x3aa00007,0x01ffffff,
    0xfd80dff9,0x57ffdc4f,0x99999999,0x36e19999,0x3ffea201,0x5100edc5,
    0x7fc4bfff,0x2ffec02f,0x2201fff9,0x30003fff,0x0edc1fff,0x8bfff510,
    0xfb003fff,0x57ffdcbf,0x99999999,0x3f619999,0x3200005f,0x7fec06ff,
    0x005ffd84,0x005ffd80,0xfffb0000,0x00fffa87,0x3e23fff7,0x3f202eff,
    0xfff7006f,0xb81fffff,0xffffffff,0xf8bff900,0x802e60ff,0xfffffffe,
    0x3a03ffff,0xffffffff,0xf13fffff,0xffffffff,0xffffffff,0xdb7e400f,
    0xefff886f,0x01bff202,0x000dff30,0xcfffe880,0x01bff200,0xff989ffb,
    0xf10000ef,0xfff700df,0x201bfe21,0x3fa0fffb,0x3ffe206f,0x413ffea3,
    0x0002fffb,0x7fc4dffb,0x0fffb806,0x900bfff6,0x7fcc7fff,0x2e0000ef,
    0xb3002fff,0x81fff209,0xfb84fffb,0x9b3002ff,0x002fffb8,0x6c4009b3,
    0xff885fff,0x6ffe884f,0x9807ffea,0xf9006ffe,0x5fffffff,0xffffffc8,
    0xbff902ff,0x3fe23fb8,0x7fffec05,0x403fffff,0xffffffff,0x55ffffff,
    0xffffffff,0xffffffff,0xb7e400ff,0xfffa86fd,0x1bffa601,0x0013fa00,
    0x7fc403d5,0x07ffc805,0x3213ffee,0x40abefff,0xf52fedb9,0x54415fff,
    0x3ea7ffeb,0x2a20afff,0x7dc7ffeb,0xd730bdff,0xffe83fff,0xfff931bf,
    0x073fe61f,0x8ffff6a2,0x20affffa,0x47ffeba8,0x21dffffa,0x0ffffe98,
    0x55f7ffe4,0x17f6dcc0,0x03bffff1,0x05fff931,0x2217fff5,0x0dffffea,
    0x0effffc4,0x17ffe4c4,0x03bffff1,0x45fff931,0xff9311b8,0x7fec0dff,
    0xfffb8aef,0x33ffea2f,0x3fff6a20,0x6cc00aff,0x84efffff,0xffffffd9,
    0x017ff205,0x2e01ffea,0x1efffffe,0xffffeb80,0xdfffffff,0x3fffff21,
    0xffffffff,0x32007fff,0xf50dfb6f,0x6d4419ff,0x00afffff,0x7ec00040,
    0x4037f404,0x510bfffa,0x01bffffd,0xfffffffd,0xdfffffff,0x3fffffee,
    0xffffffff,0x3ffffee4,0xffffffff,0x7fffc44f,0xffffffff,0xfffffa85,
    0x23ffffff,0xfffffffc,0x0effffff,0x3fffffee,0xffffffff,0xfffffa84,
    0xefffffff,0xfffffd00,0xffffffff,0xffff98df,0xffffefff,0xff882fff,
    0xffffffff,0x4c3fffff,0xefffffff,0x2fffffff,0x7fffffcc,0xffffffef,
    0xfffff12f,0x01ffffff,0x7fffffc4,0x7c45ffff,0xffffffff,0xffffffff,
    0x54000002,0x7fe401ef,0x07ffa805,0x002bff20,0x0007ff00,0x00f7d400,
    0x37edbf20,0x7fffffc4,0xffffffff,0x2aa62fff,0xaaaaaaaa,0xe80aaaaa,
    0x13fea04f,0x3ffffe20,0xffffffff,0x7fec43ff,0xffffffff,0xfff34fff,
    0xffffffff,0xfff98bff,0xffffffff,0xffd105ff,0xbfffffff,0x7ffffdc0,
    0x7c45ffff,0xffffffff,0x7cc0dfff,0xffffffff,0x2605ffff,0xffffffff,
    0x36200eff,0xffffffff,0xa84fffff,0xffffffff,0x204fffff,0xfffffffb,
    0x4fffffff,0xffffffa8,0x4fffffff,0xffffff50,0x9fffffff,0x7fffffc4,
    0xa800cfff,0xffffffff,0xfffff305,0xffffffff,0x00009fff,0x8514fc80,
    0xaaeffda8,0xfcaaaaaa,0x97f2007f,0x1ff10000,0x32000004,0x2e20514f,
    0xffd6fecc,0x7ffcc159,0xffffffff,0xf54fffff,0xffffffff,0xffffffff,
    0x9999dfd0,0x003fffd9,0x3fffffee,0xffffffff,0xfffff504,0x839fffff,
    0xffffecfc,0xf901efff,0xffffffd9,0xed8803df,0x03efffff,0xfffffea8,
    0xfffb303f,0x09ffffff,0x7fff67e4,0x801effff,0xfffffec9,0xff5000be,
    0xffffffff,0x7fe44039,0xcfffffff,0xffffb801,0xfffebeff,0xfff9101d,
    0x39ffffff,0xffffc880,0x81cfffff,0xdffffffb,0x7fecc001,0x74c05fff,
    0xbeffffff,0x01dffffd,0x7fcc0000,0xfff12ffe,0xffffffff,0x0fffffff,
    0x7e5ffcc0,0x7bfd0006,0x400003fd,0x81ffeffa,0xeffffffe,0x4c4fffff,
    0xeffffffe,0x1dffffdb,0xfffffff7,0xffffffff,0xfffe81ff,0x2fffffff,
    0x7fffdc00,0xfffebeff,0x5dcc401d,0x54c0019a,0x40009aca,0x009acaa9,
    0x001aa880,0x00355530,0x2aaaaa62,0xcaa98001,0x5100009a,0x98800037,
    0x80019abb,0x9aacba98,0xabb98000,0x54c40000,0x0009aacb,0x5565d4c4,
    0x1aa98009,0x03530000,0x1abca980,0x00000000,0x2a1dfff9,0xffffffff,
    0xffffffff,0x7fec007f,0xf50004ff,0x0001ffff,0x06fffd80,0x3ffffff7,
    0x203dfffd,0x001abca9,0x3fffffa2,0xffffffff,0xfffe84ff,0x01ceffff,
    0x02aee600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3206a200,
    0xffffffff,0xffffffff,0x3dca8007,0x5edcc000,0x51000000,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x332ea199,0x8053000a,
    0x00a0000b,0x91762000,0x04ccc40d,0x00999988,0x10001ec8,0x02666201,
    0x00133330,0x8000f540,0x980000dd,0x22005400,0x32e61999,0x800009bc,
    0x014000ec,0x28800062,0x1ea80000,0x00376000,0x79975100,0x004cccc3,
    0x00000a20,0x00003e98,0x330007aa,0x26000a80,0x310acdca,0x05000133,
    0x003d9000,0x7405b910,0xffebffff,0xf804ffff,0x009f500f,0x003dfd30,
    0x45ffa200,0x7f440ffe,0xffe86fff,0xfd804fff,0x7fe4002f,0x3ffff60e,
    0x7ffd40ef,0xc8003fff,0xfd0002ff,0x7c40003f,0x04fe984f,0x2bfffff6,
    0xfffffffe,0xffb10003,0x0f7e4003,0x40007fdc,0x0000dffa,0x0005ff90,
    0x8000fff4,0xfffffffb,0x5fffffad,0x01bff500,0x4ffb8000,0x5ff90000,
    0x884ff800,0xfd8805fe,0xecffffff,0x800effff,0x0001efe9,0x9000bff6,
    0xff101fff,0xffffffff,0xe80bffff,0x03ff985f,0x7ffffdc0,0x7f440004,
    0x82ffe89f,0x46fffffa,0x4ffffff9,0x04ffe880,0x29ffff10,0xfffffff8,
    0x7ffffec2,0x3fa2007f,0x3a60004f,0x360002ff,0xfff91eff,0x3fffe203,
    0xffffffff,0x000dffff,0x000bffa6,0x3a69fff3,0x6c4005ff,0x003fffff,
    0x013ffa20,0x05ffd300,0x7ffff440,0xffffffff,0x2200ffff,0x03fffffd,
    0x1bff9000,0xffe88000,0xeffc8004,0x805fff71,0xfffffffa,0xffffffff,
    0x7ffe402f,0xd10003ff,0x7dc009ff,0xfffb00ff,0xffdfffff,0x7d405fff,
    0xeffecdff,0xdffd1000,0x003dffb5,0xd13ffd10,0x3fa203ff,0xffd86fff,
    0x32004fff,0xffb805ff,0x3fff66ff,0x7fd40eff,0x1003ffff,0x00005ffd,
    0x0009ffb1,0x7ff7ffdc,0x7ffec01e,0xeeffffff,0x006fffff,0x0003fff5,
    0x3ffbffa2,0x7fcc003f,0x0dffeadf,0x17ff4c00,0xffd88000,0xffffd004,
    0xffffffdf,0x4c09ffff,0xffeadfff,0xfd10000d,0xd300009f,0x5c0005ff,
    0x1effefff,0x7ffffc40,0xfffffede,0x3a606fff,0xeffeadff,0xbff90000,
    0x200dd400,0x42fffff9,0x5404fff9,0x1effffff,0x713ff600,0xf9000dff,
    0x007fee3f,0x441bff62,0x4004ffe9,0x7dc02ffb,0x7fd46fff,0x7fff403f,
    0x07ff6000,0x3ff90000,0x7ff4c000,0x7fdc003f,0x2a20bfff,0xf803fffe,
    0xb80000ef,0x8001efff,0x7fe42fff,0x0f7ec004,0x7fe40000,0x77ffe401,
    0x7fffe4c1,0x2fff803f,0x80027fe4,0x00002ffb,0x00003dfb,0x009fffb1,
    0x3037fff6,0x019ffffd,0x7dc3ffe8,0x3ee0005f,0x4400003f,0xf900efff,
    0xb97100df,0x3b700059,0x20013620,0x007220c9,0x7406ffc8,0xc98004ff,
    0x7fffd400,0x206ffe86,0x4004fff9,0x000000ca,0x2e000095,0xffa8001e,
    0x3fe202ff,0x01dc00ff,0x00fa2000,0xb300cc80,0x00ca8005,0x032a0000,
    0x00efff98,0x00bfffee,0x16cc0332,0x001c9800,0x00032a00,0x2003d700,
    0x2204fffa,0xb804ffff,0x007b300d,0x0000c980,0x017ffc40,0x0001fff5,
    0x00000000,0x7e400000,0x27ff406f,0xff300000,0xfff50bff,0x03fffa07,
    0x00000000,0x00000000,0x402fffd4,0x0002fff9,0x00000000,0x00000000,
    0xf5000000,0xffb005ff,0x0000005f,0x00000000,0x80000000,0x5400fffb,
    0x00004fff,0x20000000,0xfff88008,0x03ffea01,0x002b2e60,0x10099988,
    0x22013333,0x33100999,0x7fe40133,0x027ff406,0x0d665cc4,0x13fffe60,
    0x7cc3fff4,0x4cc404ff,0x33331009,0x02666201,0x004cccc4,0x566665cc,
    0x3ffea000,0x09fff002,0x0d665cc4,0x00999880,0x00133331,0x000565cc,
    0x002b2e60,0x01597300,0x200fff90,0x1002fffa,0x00359973,0x50599750,
    0xb9800379,0x000acccc,0x002b2e60,0x22017ff6,0x73004fff,0x00159999,
    0x59999730,0x07ff1001,0x201fff88,0xb300fffa,0x9dffffff,0x3fffa201,
    0xffffe86f,0x7fff444f,0xffffe86f,0x1bff204f,0xb809ffd0,0xffffffff,
    0x7ffff104,0xd0fffea0,0x3a201fff,0xfe86ffff,0x7444ffff,0xfe86ffff,
    0xb104ffff,0xffffffff,0xff50019f,0x3ffa001f,0xfffff704,0x3a209fff,
    0xfe86ffff,0x4c04ffff,0xeffffffd,0xffb3000c,0x019dffff,0x3ffff660,
    0xfb00ceff,0x3fe600bf,0xfffb802f,0x404fffff,0xffffffc8,0xffffe88e,
    0x7ffec405,0x0cffffff,0xffffb300,0x3a019dff,0xfff004ff,0x7ffec409,
    0x0cffffff,0x7fffec40,0x00cfffff,0xf101ffee,0x7fd403ff,0xffff980f,
    0x0effffff,0x6fffffa8,0x7fffffcc,0x7ffffd44,0x7ffffcc6,0x1bff204f,
    0x2209ffd0,0xfffffffe,0xff81efff,0x3ffa03ff,0x813ffea7,0x46fffffa,
    0x4ffffff9,0x37ffffd4,0x3fffffe6,0xfffffb04,0x0bffffff,0x007fff50,
    0xe885fff1,0xffffffff,0x7fd41eff,0x7fcc6fff,0x2604ffff,0xffffffff,
    0x7cc00eff,0xffffffff,0x7fcc00ef,0xffffffff,0x0fffb80e,0x02fffb80,
    0x3fffffa2,0x01efffff,0xfffffff7,0xffffffff,0x3ff601bf,0xffffffff,
    0xfff9805f,0xefffffff,0x805ffd80,0x3604fff8,0xffffffff,0x7ec05fff,
    0xffffffff,0x3ff205ff,0x0fffc407,0xa81fff50,0xfeefffff,0x440effff,
    0xd86ffffe,0x444fffff,0xd86ffffe,0x204fffff,0x7f406ffc,0xfffe884f,
    0xffffeeff,0x7fffc0ff,0x4fffea02,0x2200fffe,0xd86ffffe,0x444fffff,
    0xd86ffffe,0x704fffff,0xfddfffff,0xa807ffff,0x7401ffff,0x3fa20fff,
    0xffeeffff,0x3a20ffff,0xfd86ffff,0xf504ffff,0xffddffff,0x2a01dfff,
    0xfeefffff,0x500effff,0xfddfffff,0x981dffff,0x7cc05fff,0xfd102fff,
    0xffddffff,0xf701ffff,0xffffdfff,0xffffdfff,0x3fffee09,0xfffffeef,
    0x3fffea03,0xfffffeef,0x07ffdc0e,0x813ffee0,0xeefffffb,0x203fffff,
    0xeefffffb,0xb03fffff,0x7c401fff,0x3fea01ff,0x3fffe60f,0xefffd884,
    0x06ffd880,0x209ffd31,0x3106ffd8,0x7e409ffd,0x3ffee07f,0xaefffd84,
    0x3fffaa20,0x00ffff44,0x3febfffa,0xffb1004f,0x3ffa620d,0x0dffb104,
    0x813ffa62,0xff9809ba,0x7ffd404f,0xffea83ff,0x77ffec5f,0x3ffaa20a,
    0x6ffd884f,0x09ffd310,0x109ffff3,0x981dfffb,0xd884ffff,0x7cc0efff,
    0xfd884fff,0x7ff40eff,0x7fe441ef,0xffb02fff,0x754415df,0x37504fff,
    0x14ffffd8,0x2a01fffd,0xfff9809b,0x9ffff304,0x1dfffb10,0x3037ffcc,
    0xa809ffff,0xfff9809b,0x404dd404,0xfd04fff9,0x3ee203ff,0xff502cff,
    0x0fffe41f,0x40bfff20,0x7ec06ffc,0x1bff204f,0x6409ffb0,0x3ae23fff,
    0x260dffff,0x2200efff,0x3f61fffe,0x7fd401ff,0x000fffff,0xfb01bff2,
    0x37fe409f,0x0013ff60,0xa80dff90,0xefffffff,0x0efffffe,0x803bffe6,
    0xc81fffe8,0x7fec06ff,0x01fffc84,0x3217ffe4,0x7e401fff,0x7ffe42ff,
    0x17ffe401,0x3fffffa2,0xfffffffe,0xefff982f,0x3fffa200,0x3ffea001,
    0x01fffd46,0x20dff900,0x6401fffc,0x7fe42fff,0xff710aef,0x00009fff,
    0x0000dff9,0x3fa0dff9,0xfffa82ff,0xfa83ffff,0x0fffe0ff,0xc82fffc0,
    0x7fec06ff,0x01bff204,0x7e409ffb,0xffffffff,0x73ffffff,0x55559fff,
    0xfff75555,0x007ffe49,0x1ffffff4,0x01bff200,0x7e409ffb,0x27fec06f,
    0x3ffb7220,0x406ffeee,0xfffffffa,0x0effffff,0x5567ffdc,0xfbaaaaaa,
    0x6ffc84ff,0x7c27fec0,0xfff003ff,0x003fff8b,0xfff8bfff,0x0bfff003,
    0xfffffff1,0x5fffffff,0x559fff70,0xf7555555,0xb95109ff,0x5bfffddf,
    0x0dfff555,0x77ff6e44,0xff06ffee,0x3ffe007f,0x7ffff445,0xffffffff,
    0xedc8804f,0x6ffeeeff,0xffedc880,0xf06ffeee,0xff907fff,0x50bfffff,
    0x3fe61fff,0xfff9000f,0xb01bff20,0x7fe409ff,0x027fec06,0xfffffff9,
    0xffffffff,0x3fffff69,0xffffffff,0x3ff25fff,0xffff5007,0xffc8001f,
    0x027fec06,0xfd80dff9,0xfff9104f,0xffffffff,0xafffa80d,0xfffffffd,
    0xfffffb03,0xffffffff,0xff90bfff,0x44ffd80d,0x9000fff9,0x7ffccfff,
    0x4fff9000,0x9000fff9,0x7fdc0fff,0xfadfffff,0xfffd82ff,0xffffffff,
    0x545fffff,0xffffffff,0xffffffff,0xffc887ff,0xffffffff,0x0fff986f,
    0x30fff900,0xfffffffd,0x409fffff,0xffffffc8,0x206fffff,0xffffffc8,
    0x886fffff,0xd884ffff,0x81dfffff,0xff70fffa,0x7ffcc00f,0x406ffc81,
    0x3f204ffd,0x27fec06f,0xffffff90,0xfffd7fff,0x3ffffa3b,0xffffffff,
    0x3e67ffff,0x3ffa005f,0xffc8003f,0x027fec06,0xfd80dff9,0xffffd04f,
    0xffffffff,0x27ffa80d,0x009bcca8,0x3ffffffa,0xffffffff,0x6ffc87ff,
    0x2e27fec0,0x3e6007ff,0x0fff71ff,0xb8fffcc0,0x3e6007ff,0x2e6201ff,
    0xfff10abc,0xfffffd05,0xffffffff,0x7fecffff,0xffffffff,0xffffffff,
    0xffffe87f,0xffffffff,0x007ffb86,0x5c07ffe6,0xaeffffff,0x3fa04ffe,
    0xffffffff,0x3fa06fff,0xffffffff,0xff986fff,0x500004ff,0x7ffccfff,
    0x0fff5000,0xfb01bff2,0x37fe409f,0xc813ff60,0x1accaeff,0xfffffb00,
    0xffffffff,0x0cb8ffff,0x03fffa00,0x01bff200,0x7e409ffb,0x27fec06f,
    0x6fffffec,0x6fffdcbb,0x003ffd40,0x3fffff60,0xffffffff,0xffc87fff,
    0x227fec06,0x5000fff9,0x7ffccfff,0x4fff5000,0x5000fff9,0x88000fff,
    0xffd82fff,0xffffffff,0x57ffffff,0x97bdffff,0xfffffffd,0xfd8fffff,
    0xcbbdffff,0xf986fffd,0xff5000ff,0x1575300f,0xfd81fff4,0xcbbdffff,
    0xfb06fffd,0x977bffff,0xf50dfffb,0x0000bfff,0xfff1bff2,0x17ff6007,
    0x36037fe4,0x3ff204ff,0x027fec06,0x4000dff9,0x999afffb,0x99999999,
    0x7d400019,0xf90003ff,0x4ffd80df,0xb01bff20,0xfff889ff,0x1bff202e,
    0x000fff50,0x99afffb8,0x99999999,0x6ffc8199,0x7c27fec0,0xffb003ff,
    0x003fff8b,0xfff8bffb,0x0bffb003,0x2fff8800,0x99afffb8,0x99999999,
    0x5fff9199,0x339fff50,0x44333333,0x3202efff,0x7fff06ff,0x017ff600,
    0x82fff880,0x202efff8,0xff886ffc,0x3ff202ef,0x6ffffa86,0xbfff0000,
    0x402fffd8,0xf903fffc,0x7ffdc0ff,0x81fff204,0x3204fffb,0x260006ff,
    0x0000efff,0x7fff4000,0xfff90000,0x027ffdc0,0x7dc0fff9,0x7ffd44ff,
    0x1bffa601,0x000fff50,0x00efff98,0x07ffc800,0x3613ffee,0x7e402fff,
    0x7ffec3ff,0x1fffe402,0x900bfff6,0x80007fff,0xf982fff8,0x70000eff,
    0xff901fff,0x7fd400df,0x3ffa601f,0x05fffb06,0x003fffc8,0x203fff20,
    0x2601fffa,0xffa86ffe,0x3ffa601f,0x7ffffb86,0xeca99800,0x7fd43fff,
    0x3a621dff,0xf500ffff,0x3aa217ff,0x500dffff,0x2a217fff,0x00dffffe,
    0x8000dff9,0x0abefffc,0x017f6dcc,0xff733310,0x2a00019f,0xd510bfff,
    0x201bffff,0x510bfffa,0x41bffffd,0x220cfffa,0xafffffda,0x9fffb880,
    0xff900009,0xb98157df,0xffa82fed,0xffd510bf,0xffa81bff,0x3a621dff,
    0x7d40ffff,0x2621dfff,0x540ffffe,0x221dffff,0x00ffffe9,0xfff33100,
    0xdfff9017,0xedb98157,0x3bfff32f,0x3fffff66,0x47fd930c,0x220cfffa,
    0xafffffda,0x6ffffd40,0x3fffa621,0x4ccc400f,0x06fffeb9,0x4419fff5,
    0xafffffda,0x833ffea0,0xfffffda8,0x3fffe60a,0x3ffe6005,0x505fffff,
    0xffffffff,0x401dffff,0xfffffff8,0xffffffff,0xfffff883,0xffffffff,
    0x6ffc83ff,0xfffe8000,0xffffffff,0x3f666fff,0x7ffffec4,0x001fffff,
    0xffffff88,0xffffffff,0xffff883f,0xffffffff,0xfff13fff,0xffffffff,
    0x45ffffff,0xfffffffd,0xffd0006f,0xffffffff,0xf10dffff,0xffffffff,
    0x87ffffff,0xfffffffa,0x00efffff,0xfffffff5,0x01dfffff,0x3fffffea,
    0x0effffff,0xfffe8800,0xe85fffff,0xffffffff,0x26ffffff,0xfffffffe,
    0xffffffff,0x3e27ffff,0xffffffff,0xffffffff,0x7ffffd42,0xefffffff,
    0x7fffec00,0x01ffffff,0xfffffff1,0xffffffff,0x3ffe25ff,0xffffffff,
    0x22ffffff,0x2002ffff,0xfffffffc,0x7fffcc06,0x0effffff,0xfffffb80,
    0xffffffff,0xffff704f,0xffffffff,0x9ff709ff,0xffb10000,0xffffffff,
    0x7fec9fff,0xfffff11f,0x0bffffff,0x3fffee00,0xffffffff,0xfff704ff,
    0xffffffff,0x7fcc9fff,0xffffffff,0x14ffffff,0xffffffff,0xb10005ff,
    0xffffffff,0x209fffff,0xfffffffb,0x4fffffff,0xffffff98,0x400effff,
    0xfffffff9,0x4c00efff,0xffffffff,0x50000eff,0xffffffff,0xffd881ff,
    0xffffffff,0x3fa24fff,0xffffffff,0xffffffff,0x7fffcc5f,0xffffffff,
    0xf984ffff,0xffffffff,0x7fcc00ef,0xffffffff,0x7fffcc01,0xffffffff,
    0x3e64ffff,0xffffffff,0x4fffffff,0x3000ff66,0x159dffff,0xfffd9300,
    0x40017dff,0xeffffffb,0x01dfffeb,0x3fffffee,0x1dfffebe,0x0002ff88,
    0x3ffffea0,0x41cfffff,0x7fec7ffb,0xffffffff,0x3fee0002,0xfebeffff,
    0x3ee01dff,0xebefffff,0x74c1dfff,0xbeffffff,0x21dffffd,0xfffffffd,
    0x7d40006f,0xffffffff,0x7fdc01cf,0xfebeffff,0xd9301dff,0x17dfffff,
    0x3ffb2600,0x000befff,0xfffffd93,0x4400017d,0xfffffffe,0x3ffea04f,
    0xcfffffff,0xfffffb01,0xfffb7d9b,0x3a605bff,0xbeffffff,0x01dffffd,
    0xfffffd93,0x3f60017d,0x0bdfffff,0xffffd300,0xfffb7dff,0xffe983bf,
    0xfdbeffff,0x0001dfff,0x00004c40,0x00006ea2,0x0002aee6,0x002aee60,
    0x00000080,0x03357731,0x33101530,0x00133333,0x055dcc00,0x55dcc000,
    0x79530000,0x33100035,0x00013333,0x4d5dcc40,0x57730001,0x75100001,
    0x75100003,0x75100003,0x31000003,0x40033333,0x019abb98,0x88055cc0,
    0x2a6001ab,0x00001abc,0x40003751,0x00019998,0x00d5e54c,0x35795300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0x1b88004d,
    0x02800550,0x0013a200,0xddd93000,0x80b7223d,0x005501b8,0x00000020,
    0x03dddd93,0x00af3260,0x80000200,0x802cddb9,0xeeeeeeea,0x2eeeeeee,
    0x000ec800,0x5c400004,0x22005501,0x5400cc02,0x000b980b,0xa8002880,
    0x0005eeed,0x00675c00,0xdd880000,0x03ec8801,0x1b800000,0x5e665d40,
    0x5d440011,0x2000accc,0xf9804ffd,0xffd8006f,0x401ffe41,0x8001efe9,
    0x0000eff8,0xfffffd00,0xd81ffee3,0x1ffe41ff,0x1dffb880,0x74000154,
    0x001fffff,0x17dffffb,0x5c401db7,0x014c1dfe,0xffffff90,0x7ffdc03d,
    0xffffffff,0x22003fff,0xb8800ffe,0x01541dff,0x7e41ffd8,0x1efd803f,
    0x7d407fc8,0x037fcc4f,0x037fea00,0x7ffffc40,0x26000007,0x88003fff,
    0x3ff2002b,0x1fffb806,0x3b6ea000,0x0df101bc,0x3fffffaa,0x200ffeff,
    0xffffffc8,0x501ffdff,0x5c03ffff,0xf8000eff,0x27fec2ff,0x3ffffee0,
    0xfffa8004,0xfe800001,0xff51ffff,0x217ffc0f,0xfd004ffd,0xf939ffff,
    0xffb0000f,0x2a003fff,0xffffffff,0x3ffa01ff,0x7fc9cfff,0xfffff900,
    0x2e01ffff,0xffffffff,0x03ffffff,0x005ffd30,0x33fffffa,0xff007fc9,
    0x04ffd85f,0xd33fff98,0xffc809ff,0x003ffd46,0xfffffd88,0xffff8803,
    0x2000007f,0x8005fffa,0xf7000ffc,0xfffb00bf,0xffd30005,0x81bfffff,
    0xfffd86fa,0xffffffff,0xffff502f,0xffffffff,0x3ffee07f,0x1bff902f,
    0x217ea000,0xfd100ee9,0x3dffd5df,0x2ffe9800,0x6dc40000,0x17a21fff,
    0xee985fa8,0x9bffa800,0x03fffffd,0xffda8800,0x3f62001f,0x01dfffff,
    0x3f66ffea,0x9803ffff,0xffdeffff,0xfff505ff,0x99999999,0xf5007fff,
    0x3ea003df,0xffffd9bf,0x0bf5003f,0x26001dd3,0x3fffeffe,0xd81ed880,
    0xff98003f,0x0dffeadf,0x3ffedcc0,0x3fa00000,0xffe8001f,0x013e6002,
    0x2001bfe6,0xfffffffc,0x3ee1efff,0x7ffffd45,0xfffffeee,0xfffff883,
    0xfffffeef,0xdffd104f,0x0013fea0,0xffb00000,0x006ffb87,0x0007fd88,
    0x43fff300,0x000001fa,0xbff702a0,0x99300005,0x099bfffb,0xffffffc8,
    0x40a806ff,0x7002dffa,0x7ec43fff,0x5ff880ff,0x00fffd40,0x200077fc,
    0x16ffdc0a,0x40000000,0x000dfffc,0xff800000,0x027fe42f,0x0007ffb8,
    0x00009800,0x64007fff,0x0031000f,0xbfffff70,0x5fffffd9,0xfff90bfa,
    0xfffb8815,0x0dfffe82,0x27fff544,0x2c880660,0x80000000,0x07b101db,
    0x0001dc00,0x11fff980,0x0000007f,0x00000400,0xdfffdd93,0xdffe809d,
    0x005fff52,0x3f600040,0x1fff986f,0xfd801730,0x0079006f,0x00001000,
    0x3e980000,0x00000000,0x16cc0332,0x007ffb80,0x40000000,0xf3003fff,
    0x98000005,0xd883ffff,0x86feffff,0x2e01fffd,0x7ffdc0df,0x27ffc404,
    0x00000000,0x06b32e62,0x00000000,0x32ea2000,0x3fff30ac,0x65cc0126,
    0x8000accc,0x0accccb9,0xccba8800,0x03fff30a,0x3ee02620,0x973000ff,
    0xffd80015,0x02fffa85,0x13ffe200,0x4cc40000,0x33331009,0x565cc001,
    0x40000000,0x31009998,0x00001333,0x9ffee000,0x009bccb9,0xcccba880,
    0xff98800a,0x999999cf,0x26200ea0,0xd001accb,0xfb803fff,0xfb80efff,
    0x1acdffff,0x037fe402,0x0002ffb8,0x0cccccc4,0x7fffdc00,0x8804ffff,
    0x00199999,0x0cccccc4,0x7fffe400,0xfffadfff,0xfffb1001,0x19ffffff,
    0xffffd880,0x00cfffff,0xffffff90,0x03fff5bf,0x84d54c40,0x36604ffe,
    0xceffffff,0x25ffd800,0x00fffea8,0x07ffea00,0x33333331,0x21333333,
    0x86ffffe8,0x04fffffe,0x7ffffecc,0x26200cef,0x99999999,0xfd109999,
    0xffd0dfff,0x26209fff,0x99880199,0x3ffee019,0xffffffea,0xff91002f,
    0xfbffffff,0x7fff443f,0xffffffff,0x3ee004ff,0x4fffffff,0x00fffee0,
    0xd00ffff4,0xffffffff,0x3ffa01bf,0x000aa004,0xfffffe88,0x3fa2007f,
    0xffffffff,0xffe881ef,0x1007ffff,0xfffffffd,0x7fff4c00,0xffffffff,
    0xffb001ff,0xffffffff,0xfffd80bf,0xffffffff,0x7fff4c05,0xffffffff,
    0xffa801ff,0xfccfffff,0xffff306f,0x1dffffff,0xf95ffd80,0x0009ffff,
    0xfc86ffd8,0xffffffff,0xff54ffff,0xff98dfff,0x2604ffff,0xffffffff,
    0xff900eff,0xffffffff,0x3fea9fff,0x7fcc6fff,0xfc84ffff,0x901fffff,
    0x03ffffff,0xfffffff7,0x1bffffff,0x7ffffd40,0xffffffff,0x3ffffea3,
    0xffffffff,0xffe8807f,0xffffffff,0x06ffd81e,0x80bffe60,0xffffffb8,
    0xff83ffff,0x0000002f,0x3fffffea,0xffd1007f,0xfffddfff,0xffa81fff,
    0x007fffff,0xfffffff5,0x3ffa200f,0xfffeefff,0x7001ffff,0xfddfffff,
    0x5c07ffff,0xfeefffff,0xd103ffff,0xfddfffff,0x03ffffff,0x7ffffec4,
    0x7fffffff,0xefffffa8,0x0efffffe,0x3e77ff60,0x003fffff,0x213ffe20,
    0xfffffffc,0x14ffffff,0xb0dffffd,0x209fffff,0xeefffffa,0x80efffff,
    0xfffffffc,0x14ffffff,0xb0dffffd,0xf09fffff,0x09ffffff,0x3ffffffe,
    0xfffffb84,0xffffeeff,0xffff105f,0xffffddff,0x7ff449ff,0xffffffff,
    0x74404fff,0xfeefffff,0x740fffff,0x7f4003ff,0xcb98804f,0x2ffffffe,
    0x0001fffc,0xfffd1000,0x3600ffff,0x220aefff,0x444fffea,0x7ffffffe,
    0xffffd100,0x3f200fff,0x7ec41eff,0x2001ffff,0xff9809ba,0x04dd404f,
    0xc827ffcc,0x6c41efff,0x201fffff,0xddeffffd,0x0ffffffe,0x213fffe6,
    0x00efffd8,0x3ffebffb,0x0002ffff,0xf903fff5,0xffffffff,0xd887ffff,
    0xfd3106ff,0xffff309f,0xdfffb109,0xfffffc81,0xffffffff,0x837fec43,
    0xb84ffe98,0x01ffffff,0x3ffffff7,0x7fffff70,0x07ffff50,0x881bfffd,
    0x884fffea,0x999cfff9,0xffb00199,0x754415df,0x7ffc4fff,0x2ffe4002,
    0x2a201db8,0x7fec5fff,0x3fe00005,0x733101ff,0xff300fff,0x7f4401df,
    0xb99881ff,0x4c4007ff,0x9807ffb9,0x7dc05fff,0x00001fff,0x00037fe4,
    0x7cc37fe4,0x7fdc05ff,0xfff701ff,0xffff505f,0x0fffe45f,0x40bfff20,
    0x3f6a5ffd,0x8003ffff,0xff906ffd,0xff73333b,0x3ff209ff,0x427fec06,
    0x6401fffc,0x7fe42fff,0xffb9999d,0xdff904ff,0x104ffd80,0x7fd47fff,
    0x81bff60f,0x201ffffb,0x2e0ffff8,0x7c404fff,0x3ffe04ff,0x3fe60003,
    0x3fa200ef,0x3fff31ff,0x87ffb800,0xfb806ff8,0x3ffee0ff,0x309b3002,
    0x2a009fff,0xffb807ff,0xaaaaaacf,0x04fffbaa,0x0003ffd4,0xf700fff5,
    0xffd001ff,0xdc88003f,0xffeeeffe,0xfedc8806,0x86ffeeef,0xe800fffb,
    0xfff01fff,0x7ffcc03f,0x00fffe3f,0xfd82fffc,0xfffa885f,0x3fe2001f,
    0x87ff504f,0x204ffff9,0x7ec06ffc,0x03fff84f,0xfa8bfff0,0x7fffcc3f,
    0x01bff204,0x7f409ffb,0x8bfff65f,0x3ee04fff,0xffa804ff,0x01bff21f,
    0xff017fdc,0x7dc0007f,0xaaaaacff,0x4fffbaaa,0x8003fff1,0xffa86ffc,
    0x2ea20aff,0x7fc47ffe,0xc9881dff,0x7fe42fff,0xfff5000f,0xfffffb00,
    0xffffffff,0xfa80bfff,0x3ea0007f,0x5ffd807f,0x03fff700,0x3ffff220,
    0x6fffffff,0x3ffff220,0x6fffffff,0x7005ffd8,0xff103fff,0xfff9009f,
    0x003ffe67,0xfd83ffe4,0x3ffe605f,0x3ffea004,0x54199101,0x6404ffff,
    0x7fec06ff,0x007ffcc4,0x6447ffc8,0x3fffea0c,0x037fe404,0xfc813ff6,
    0xdffff16f,0xb80bffe6,0xff001fff,0x027ff47f,0xfff80550,0x3ff60003,
    0xffffffff,0x25ffffff,0x6c002fff,0xfffb85ff,0xffffffff,0xff984fff,
    0xffefffff,0x742fffff,0x3ea002ff,0xfffe807f,0xffffffff,0x407fffff,
    0x20007ffa,0xfe807ffa,0xfff3003f,0x3fffa003,0xffffffff,0x3fffa06f,
    0xffffffff,0x03ffe86f,0x503fff30,0xf5007fff,0x1ffee5ff,0x81fff980,
    0x7e405ffd,0x3ff6006f,0x7ffd4006,0x6ffc804f,0x2e27fec0,0x3e6007ff,
    0x7fd401ff,0xffc804ff,0x027fec06,0xff71fff5,0xfff71fff,0x03ffdc01,
    0x7fcbffb0,0x7c00002f,0x3a0003ff,0xffffffff,0xffffffff,0x0013ffa7,
    0xff307ffd,0xffffffff,0x7d40bfff,0xffffffff,0x7cc4ffff,0x7fd4005f,
    0xffffd807,0xffffffff,0x5407ffff,0x2a0007ff,0xffe807ff,0x3fff5004,
    0xfffffb00,0xfffb977b,0x3ffff60d,0xffdcbbdf,0x04ffe86f,0x503fff50,
    0xf7005fff,0x3ffe63ff,0x0fff5000,0xf5017ff6,0xff1001ff,0x7fd4009f,
    0xff9004ff,0x44ffd80d,0x5000fff9,0xffa80fff,0xff9004ff,0x04ffd80d,
    0x3fabffe2,0xffdcffff,0x07ffdc06,0x3e4ffe80,0x400003ff,0x20003fff,
    0xfffffffd,0xffffffff,0x03fff27f,0x817ffd40,0xffffecfc,0x8801efff,
    0xfffffffc,0xffb81cff,0x3ffd4001,0x4d7ffdc0,0x99999999,0x7d401999,
    0x3ea0007f,0x6ffc807f,0x03fff900,0x02efff88,0x3e21bff2,0x3f202eff,
    0x06ffc86f,0x103fff90,0xfd009fff,0x1fffc1ff,0xb05ffd80,0x2604cbff,
    0xfa801fff,0xff5001ff,0x7e4009ff,0x27fec06f,0xd801fffc,0x3fea05ff,
    0x3f2004ff,0x27fec06f,0x3ffbffa0,0xffffffff,0x17ffdc04,0xb17ffc40,
    0x80000bff,0x20003fff,0x999afffb,0x99999999,0x17ffea19,0x01bffe20,
    0x09dfda98,0xefd98800,0x3fa009aa,0x7ffa8004,0x0efff980,0x7fd40000,
    0x3fea0007,0x3fffa807,0x0ffffcc0,0x807ffea0,0xfa86ffe9,0x3fa601ff,
    0x3fffa86f,0x0ffffcc0,0x200ffff8,0x7ec6fff9,0x7fe402ff,0x2bffb03f,
    0x3fee0ffc,0x6ffd800f,0x9ffff500,0x3ff20310,0x13ffee07,0x900bfff6,
    0x3ea07fff,0x01884fff,0x7dc0fff9,0x7fe404ff,0xfffaffff,0x7dc02fff,
    0x7ec00fff,0x3ffee1ff,0x409b3002,0x54404fff,0x0efff980,0x7ffe4000,
    0x3fffa204,0x1efc8002,0x0f7e4000,0x80037c40,0xf9007ffa,0x98157dff,
    0x5402fedb,0x2a0007ff,0xffd007ff,0xffc883bf,0x2a01bfff,0x2a20cfff,
    0x0afffffd,0x8833ffea,0xafffffda,0x0effff40,0x3fffff22,0xefffa81b,
    0x1fffea82,0x0effffd4,0x1ffffd31,0x8effea88,0xffd35ffe,0x9fff100f,
    0x9ffff500,0xf507ff10,0x3aa217ff,0x540dffff,0x221dffff,0x80ffffe9,
    0x884ffffa,0xfffa83ff,0xfffd510b,0x7fd401bf,0xfffd4fff,0x7ed401ff,
    0x220bffff,0x444fffea,0x881dffff,0xd02fffc9,0x2a215dff,0xf907ffec,
    0x98157dff,0xfe82fedb,0xf730aeff,0x2000bfff,0x0000fffc,0x2007fff2,
    0xaaa8800b,0xaaafffca,0xfffe80aa,0xffffffff,0x2aa26fff,0xaafffcaa,
    0x55440aaa,0xaafffcaa,0x7fc40aaa,0xffffffff,0x5fffffff,0xffffff10,
    0xffffffff,0x3fe25fff,0xffffffff,0x2fffffff,0x3fffffe2,0xffffffff,
    0xffd85fff,0xfffeefff,0xfff504ff,0xffffffff,0xfff981df,0xfffcffff,
    0x803fffff,0x5401fffa,0xaaaeffff,0x886ffcaa,0xffffffff,0x3fffffff,
    0x7fffffd4,0x0effffff,0xaeffffa8,0x6ffcaaaa,0xffffff88,0xffffffff,
    0xffff103f,0x3fffee3f,0x3ffffe07,0xffffffff,0xf306ffff,0xfdffffff,
    0x05ffffff,0x3fffffee,0x1fffffff,0xffffffd0,0xffffffff,0xfffff30d,
    0xdfffffff,0xbbdc8001,0xdb8003fe,0x0003febb,0xffffff70,0xffffffff,
    0xfffd881f,0xffffffff,0xffff74ff,0xffffffff,0x3fee1fff,0xffffffff,
    0x540fffff,0xffffffff,0xffffffff,0x3fffe607,0xffffffff,0x3e64ffff,
    0xffffffff,0x4fffffff,0x7fffffd4,0xffffffff,0xffd887ff,0xffffffff,
    0x3ffe600d,0xefffffff,0xfffffb80,0xfffffaff,0xff7006ff,0xfffff00d,
    0xffffffff,0x3ffee0ff,0xffffffff,0xff984fff,0xffffffff,0xfffff00e,
    0xffffffff,0x3ffee0ff,0xffffffff,0x3fa04fff,0x3ffe26ff,0xffff305f,
    0xffffffff,0x403dffff,0xfffffffa,0x04ffffff,0x7ffffff4,0x204fffff,
    0xffffffd8,0x4fffffff,0xfffffd30,0x0009ffff,0x03fffffa,0x3ffffa00,
    0xfb00000f,0xffffffff,0x05ffffff,0x3fffffea,0x361cffff,0xffffffff,
    0x2fffffff,0xfffffffb,0xffffffff,0x3ffff205,0xfffbdfff,0x7f4c02ef,
    0xdbefffff,0x4c1dffff,0xeffffffe,0x1dffffdb,0xffffff90,0xdffff7bf,
    0x7fff5405,0x3002efff,0xdfffffd9,0x3ff62017,0xfff93eff,0x22001bff,
    0xfff801ed,0xffffffff,0x3ee07fff,0xebefffff,0x9301dfff,0x7dfffffd,
    0x7ffffc01,0xffffffff,0x3ffee07f,0xffebefff,0x3ff201df,0x1fffec3f,
    0x5ffffd90,0xfffffffd,0x3ff22007,0xcfffffff,0xfffc8801,0x01ceffff,
    0xffffff50,0x0039ffff,0xdffffff7,0x764c0005,0x730002ef,0x00007dfd,
    0x7ffffecc,0xefffffff,0xabb98804,0x3ff66019,0xffffffff,0x3f664eff,
    0xffffffff,0x9804efff,0x0000aaba,0x03579530,0x55e54c00,0xba980001,
    0x880000aa,0x0000abba,0x00006ea2,0x00357510,0xffff8000,0xffffffff,
    0xbb9807ff,0xa880000a,0x3ffe001b,0xffffffff,0xb9807fff,0x2a0000ab,
    0x7fd40fff,0x2a20001f,0x10001abb,0x13559753,0x59551000,0xb9880003,
    0x200019ab,0x00001aa8,0x02000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x801eeeec,0xe8002bb9,0xeeeeeeee,0x04400bde,
    0x00880000,0x80530000,0x0003000b,0x02600c40,0x98000800,0x26001400,
    0x4cc01400,0x57995109,0x26662001,0x00e5cc09,0x0003ae00,0x00000988,
    0x4c0026c4,0x50000bdc,0x010001bd,0x00664400,0x33260000,0x200accde,
    0xaaaaaaa8,0x0010001a,0x542aa980,0x200bdedb,0x6eeeeedb,0x36e07762,
    0x006eeeee,0x3ffffa00,0x3ff6201f,0x3e001eff,0xffffffff,0xec984fff,
    0x0000beff,0x007ff6e6,0x807fc000,0xfb7304fa,0x7fc0000d,0x02fec40d,
    0x01fd9510,0x4c1ffcc0,0xff3003fe,0x207ff507,0xfbeffff9,0x02efffff,
    0xa7fffff4,0x3effffe9,0x0ffec400,0x3fff6e00,0xa80003ef,0xfe8005ff,
    0xff0003ff,0x3ee200bf,0x201541df,0x00003ffa,0xfffffd30,0x3e03ffff,
    0xffffffff,0x3faa004f,0xf301c42e,0x3fa2ffff,0x82ffffff,0xfffffff9,
    0xf31bff27,0x0fffffff,0x7fff4000,0x3ff601ff,0x000fffdd,0xffffffff,
    0xf889ffff,0x05ffeeff,0xfffff700,0x3a000003,0x83ff985f,0x006ffffb,
    0x4bffee00,0x4c02fffb,0x0fffffec,0x877fec00,0x2000fffc,0xfc88dffe,
    0xfff900ff,0xffffffff,0x3e605fff,0xfcdfffff,0x1fffffff,0x07ffd300,
    0xfffffd80,0x0001efff,0x0001dff7,0x0007fffd,0x200dfff1,0x9cfffffe,
    0xfb3307fc,0x013333bf,0xffff8800,0x4fffffff,0xffffff90,0x2e005dff,
    0xb9efffff,0xfff702ff,0xfffff5ff,0x983fffff,0x7fffffff,0xff31bfee,
    0x00ffffff,0x7fedc400,0x43ff501f,0xff004fe8,0x999999bf,0x0bc88179,
    0x20003fe6,0x01ffbbc8,0xfff50000,0x01dffd9b,0x00dfb791,0xefffa800,
    0x7ec01eff,0x0fffffff,0xffffc800,0xc8000dff,0x0dffffff,0x3ffffa60,
    0xfffeefff,0xfffb00ff,0xffffffff,0x3009fffd,0x44003fff,0xfffffffe,
    0x4000ffff,0x20005ffd,0x20002cb9,0xfa803ffd,0xffffd9bf,0xffffc83f,
    0x07ffffff,0x7fffec00,0x1fffeecd,0xff000000,0xfffff919,0x7ffec40b,
    0xcbefffff,0xb986ffff,0x4c7ffdcc,0xdccb984f,0x800007ff,0xf901fff9,
    0x200df70b,0x00002fff,0x0000bfea,0x00003ff1,0x7ffffd40,0x6fc801ef,
    0xfd880000,0xff8804ff,0x0fffffff,0xfffd3000,0xfe980007,0x3f2002ff,
    0x2e20dfff,0x26202fff,0xbffffffe,0xf001bb30,0xfd8001df,0xfc9adfff,
    0x2a005fff,0x000003ff,0x80026000,0x16ffdc0a,0xffffffc8,0x0006ffff,
    0x01037ffc,0x19800000,0x005f7f4c,0x6fffffdc,0x03fffd81,0x3ee3ffd4,
    0x07ffa800,0xfff98000,0xf307fb01,0x0bffe00d,0xffdb5000,0xff10000d,
    0x88000003,0x2002cdcb,0x000006fc,0xfc8007aa,0x0fffbbdf,0x006e4000,
    0x001b9000,0x204fffc8,0xfe803fff,0x0001efff,0x7c40025c,0x3ffa05ff,
    0x0591000f,0x00000000,0x40040000,0x99effd98,0x7c400019,0x300002ff,
    0x00001597,0x7fdc0008,0xff100eff,0x7ffa809f,0x7d400be6,0xba88007f,
    0xfff30acc,0x321bee03,0x5fff005f,0xfffd8000,0x4400802f,0x044001ff,
    0xf9000000,0x0008800d,0x3ea04000,0x000000ff,0x20000000,0x7f406ffc,
    0xfffe804f,0x00000005,0x500fffd4,0x00005fff,0x88004000,0x99999999,
    0x88099999,0x00199999,0x9732ffe4,0x54c40057,0x20001fff,0xffffffd9,
    0x999800ce,0x15799510,0x1dfff700,0x405ffd80,0x00ea7ffa,0x4007ffa8,
    0xfffffffc,0x101fffad,0xff913bff,0x2fffe005,0x002bddca,0x407ffae6,
    0x3e206fd8,0x3fee001f,0x4cccc400,0x37e40019,0x203ff700,0x01999998,
    0x03ffea00,0x04cccc40,0x330072e6,0x2f32a213,0xdff9000a,0x804ffe80,
    0x20005ffe,0x4c099998,0x7fd101cb,0x307fff00,0x332a2133,0xfd0000ab,
    0xffff9007,0xffffffff,0x7fff449f,0x64007fff,0xffffdeff,0x7e402eff,
    0x001fffff,0xffffff30,0x201dffff,0xfbeffff9,0x02efffff,0x4007ffdc,
    0x7d406ffc,0x3ea0007f,0xffd3007f,0xffffffff,0x7dc03fff,0x544fffff,
    0xfffff83c,0x00dfffff,0x2e17fe20,0x3e207fff,0xffe9801f,0xfffd102f,
    0xc800ffff,0xffe9806f,0x7fff442f,0x20007fff,0xe800fffa,0xd34fffff,
    0x987dffff,0xffbeffff,0x802effff,0x7f406ffc,0x4ffe804f,0xffffd000,
    0x3fffa69f,0x700103ef,0x7fcc3fff,0xffffbeff,0x4c002eff,0xffc806ff,
    0xffffffff,0x3fea4fff,0x007fffff,0x7fffffe4,0x01ffffff,0x3ffffffe,
    0xfffa8001,0xffffeeff,0xfffc80ef,0xffffffff,0x3ee02fff,0xdff9007f,
    0x007ffa80,0xb51ffea0,0x7ffff445,0xfffffeef,0x7f4c01ff,0xffda8bef,
    0xfffff87f,0x1fffffff,0xe893f600,0x2201efff,0x7fe401ff,0x3fea03ff,
    0x007fffff,0x3f2037e4,0xffa83fff,0x007fffff,0x003ffea0,0xbffffff3,
    0xfffffff9,0x7fffe43f,0xffffffff,0x7fe402ff,0x027ff406,0x40027ff4,
    0xdffffff9,0xfffffffc,0xfe88001f,0x7fffe47f,0xffffffff,0x3f2002ff,
    0xfffc807f,0xffffffff,0x3ffa23ff,0x4007ffff,0xeffffffc,0x00fffffe,
    0x3ffffff7,0xffff9800,0xefffd884,0x7ffff4c0,0xfffeefff,0xfff700ff,
    0x01bff200,0x4000fff5,0x3fe67ffa,0x3dfff92f,0xfffffd88,0x3f6a2001,
    0xe80cefff,0xfedfffff,0x6fec6fff,0x70ffecbc,0x2209ffff,0xccdffdcc,
    0x37fffaa0,0x7fff4400,0xc9807fff,0x21ccffec,0x00dfffe9,0xffffffd1,
    0x7fd4000f,0xfffd800f,0xffffffff,0x3a64fffe,0xefffffff,0x00fffffe,
    0xfd01bff2,0x9ffd009f,0x3fff6000,0xffffffff,0x4004fffe,0x4c4fffe8,
    0xfffffffe,0x0fffffee,0x3ffff540,0x4ceffe40,0x4ffffb99,0xfff73310,
    0xffffc800,0x3fff220c,0x7ffd4c01,0x7ffe4001,0x17ffe401,0x0dffffc8,
    0x40bffee2,0xf9007ffb,0x7ffa80df,0x9ffea000,0xff9cfffb,0x7ffdc05f,
    0x7ed4401f,0x401befff,0x6cc2cefb,0x3fee3fff,0xe9bfffff,0xaaa9efff,
    0x3ffffee0,0xffd8bfff,0x01bb9bff,0x3ffdccc4,0x7fffff40,0xfffc8dff,
    0x100aa9bf,0x00fff733,0x007ffd40,0xffffe988,0x1bb30bff,0x1bffff90,
    0x017ffdc4,0xfe80dff9,0x4ffe804f,0x3fa62000,0x30bfffff,0x744001bb,
    0x3f206fff,0x2e20dfff,0xfb102fff,0x500fffff,0xfff987ff,0xfff5004f,
    0x3fffc800,0x007fff10,0x8003fff1,0xff003fff,0x3fff20bf,0x40fffe04,
    0xf9007ffb,0x7ffa80df,0x9ffea000,0xffbafff8,0xfffe800f,0xffffb501,
    0x0000337d,0x5446ffe8,0xffc8aaca,0x3fff53ff,0x99999988,0x9dffffa8,
    0x03effffd,0x3007ffa8,0xf5333333,0xff31bfff,0xfff5005f,0x7ffd4000,
    0x7fff4000,0x7e4001ef,0x3ffe04ff,0xeffda883,0xdffe980a,0xffeaa980,
    0x00aaaaad,0x3bffffa0,0xfe880001,0x3f200eff,0x3ffe04ff,0xfffffd03,
    0x19910017,0x027fffd4,0x800fff50,0x7f405ffc,0xfff8804f,0x3ffe6001,
    0x0fff9000,0xfd01bff2,0x1ffee09f,0x2037fe40,0x20007ffa,0x8dc47ffa,
    0xf7005ffd,0xfff303ff,0xfffb117d,0xf500001b,0xffd500ff,0x3ffe21bf,
    0xffb1001f,0x33ffa5ff,0x5400ffdb,0x220007ff,0x3a2ffffd,0xfa802fff,
    0x3ea0007f,0x7f4000ff,0xf90005ff,0x4ffe80df,0xffffffd8,0x7ffffe46,
    0x3ffffa3f,0xffffffff,0xfffd003f,0x3e60000b,0x6400efff,0x7ff406ff,
    0x2ffffa84,0xfffa8000,0x7fd4004f,0x2ffe4007,0x2013ffa0,0x2001fff8,
    0x26007ffb,0xffc81fff,0x827ff406,0xf9007ffb,0x7ffa80df,0x1ffea000,
    0x2007ffd0,0x7701fff9,0x7ffffcc1,0x4c0000ff,0xf9101fff,0xffd87fff,
    0xffb801ff,0x3ff30cff,0x7d404fd8,0xff70007f,0x7fdc19ff,0xffa802ff,
    0x3fea0007,0x7ff4000f,0x3ff20005,0x427ff406,0xffffffff,0x3fffffa1,
    0xfffff14f,0xffffffff,0x3ffa00bf,0xff500005,0xf9001dff,0x4ffe80df,
    0x000fffd8,0x4ffffa80,0x07ffa800,0x202ffe40,0xf8804ffe,0x3e6001ff,
    0xff5000ff,0x01bff20f,0x3ee09ffd,0xdff9007f,0x007ffa80,0xd01ffea0,
    0x3ea009ff,0x3fa001ff,0x00bfd52e,0x81fff980,0x40dfffe8,0x01ffcffa,
    0x40f7ffe4,0x405fe81a,0xc8007ffa,0x7cc1efff,0xa802ffcf,0x2a0007ff,
    0x74000fff,0x320004ff,0x7ff406ff,0xffffea84,0x7ffed44e,0x3ffae1df,
    0xffffffff,0xffd001df,0xff700009,0x7e400bff,0x27ff406f,0x200fffe2,
    0x7fffd402,0xfff50004,0x05ffc800,0x44027ff4,0x7c001fff,0xffb003ff,
    0x01bff20b,0x3ee09ffd,0xbff9007f,0x007ffa80,0x901ffea0,0x3f200dff,
    0xff1001ff,0x000ff983,0x441ffea0,0xff882fff,0x7401ff9d,0x7ec004ff,
    0x3ffd402f,0x827ff400,0x02ff8efe,0x0007ffa8,0x0003ffea,0x40009ffd,
    0x7f406ffc,0x0000004f,0xfd000000,0xfd80009f,0x64004fff,0x7ff406ff,
    0x404fff84,0xfff505ff,0x5003109f,0xfc800fff,0x27ff405f,0x00fffc40,
    0x00bfff60,0x3207fff9,0x7ff406ff,0x00fff704,0xf5013ffa,0x7d4000ff,
    0x7ffd407f,0x7fffcc03,0x20df5001,0x801541fe,0x2ea06ffe,0xf31ffb00,
    0x00b9803f,0x00bffa20,0x2001ffea,0x3ff901b9,0x3ea00bfe,0x3ea0007f,
    0x7f4000ff,0x3f20004f,0x27ff406f,0x0000c400,0x40000988,0x10004ffe,
    0x007ffffd,0xe80dff90,0xfffe84ff,0x50fff300,0xf109ffff,0x7ffa807f,
    0x02ffe400,0x22013ffa,0x54001fff,0x221dffff,0x00ffffe9,0xfe80dff9,
    0xfffc884f,0x1fffd402,0x001ffea0,0xe807ffa8,0x6441dfff,0x01bfffff,
    0x7c40ff98,0x2bbfee0f,0x7fff5441,0xbff70003,0x0007ff95,0x02fffa80,
    0x000fff50,0xaaeff980,0x7d400cff,0x3ea0007f,0x7f4000ff,0x3f20004f,
    0x27ff406f,0x027ffc00,0x03bff200,0x027ff400,0x7ffff4c0,0xdff90002,
    0xb84ffe80,0xcaadffff,0x2a0ffffe,0xaaaeffff,0x226ffcaa,0xfffcaaaa,
    0x440aaaaa,0x40aeffea,0x0adfffa8,0x7ffdd544,0xa800aaac,0xffffffff,
    0x880effff,0x80aeffda,0x260dffe9,0x46ffffff,0x46fffeeb,0xffcaaaa8,
    0x40aaaaaf,0xffcaaaa8,0x20aaaaaf,0xfffffff8,0xffffffff,0xcff805ff,
    0xfb8ff910,0xffffffff,0x0006ffff,0x3ffffff6,0x900002ff,0x2a201dff,
    0xafffcaaa,0x0000aaaa,0xfffffff9,0x5555447f,0xaaaafffc,0xcaaa980a,
    0x0aaabfff,0xdffeaa98,0x200aaaaa,0x0aeffda8,0x00dffe98,0x00fff5c0,
    0x07ffd500,0x7ff554c0,0x00aaaaad,0x59fffff1,0x9d755555,0xaeffda88,
    0x0dffe980,0xffffffd8,0x20ffffff,0xffffffff,0x77ffffff,0xffffffff,
    0x1fffffff,0x7ffffff4,0xfffff10f,0x7ffc4dff,0xffffffff,0xfff9800f,
    0xefffffff,0xfffffb00,0xffffc8df,0xffff73ff,0xffff8fff,0x3ffee2ff,
    0xffffffff,0xff70ffff,0xffffffff,0x541fffff,0xffffffff,0xffffffff,
    0xdfffa807,0xffe82fff,0xffffffff,0x2e0000ef,0x3ffdcccc,0xffe98000,
    0xffff7044,0xffffffff,0x50001fff,0x9ff99999,0x3ffffee1,0xffffffff,
    0x3fffa0ff,0xffffffff,0x3fffa3ff,0xffffffff,0xfffb03ff,0xffc8dfff,
    0xb803ffff,0x002ffcdf,0x4fecef98,0xfffffd00,0xffffffff,0xfffff107,
    0xffffffff,0x7ffec5ff,0x7fe46fff,0x6c43ffff,0xffffffff,0x7fffc3ef,
    0xffffffff,0xffffb7ff,0xffffffff,0x3fe25fff,0x30ffffff,0xffffffff,
    0x7fffffd4,0x02ffffff,0xffffd930,0x7fc017df,0x21ffffff,0x4ffffffe,
    0x0bbfffb6,0xd87dfff9,0xffffffff,0x2fffffff,0xfffffffb,0xffffffff,
    0xfffff905,0xffff7bff,0x3fea005d,0xd7102fff,0xffffffff,0xe8800005,
    0x0001efff,0x7fffffec,0xffffb5ff,0xffffffff,0x00005fff,0x365ffffb,
    0xffffffff,0x2fffffff,0x3ffffffe,0x5fffffff,0xfffffff1,0xbfffffff,
    0x3fffffe0,0x3fffa1ff,0xfa804fff,0x30006fff,0x001fffff,0xfffffff1,
    0xbfffffff,0xffffff10,0xffffffff,0x7ffffc7f,0x3ffa1fff,0xd704ffff,
    0x05bfffff,0x3ffffffe,0x7fffffff,0xffffffb3,0x9dffffff,0xeffffeb8,
    0x7ffff644,0x7fffe42e,0x04ffffff,0x00375100,0x77ffff54,0x7fffed44,
    0x3530001d,0x3ffff660,0xffffffff,0x3fff664e,0xffffffff,0x5d4c04ef,
    0x200000aa,0x1000aaa8,0x00135553,0x3ffa2000,0x6c0001ef,0xffffffff,
    0xfffffb36,0xdfffffff,0x3f600009,0xffb32eff,0xffffffff,0xfea89dff,
    0xffffffff,0x3fae1dff,0xffffffff,0xfd501dff,0xda89dfff,0x001dffff,
    0x00015b95,0x0005edcc,0xffffffd7,0x03bfffff,0xfffffff1,0xffffffff,
    0x7ffff549,0x7ffed44e,0x018801df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55440000,0x01aaaaaa,0xeeeeeda8,0x5544000e,0x01aaaaaa,0x8000ae20,
    0x4401aaa8,0x180aaaaa,0x2b3bb726,0x00000001,0x026a6200,0x55554400,
    0x4c01aaaa,0x400b980b,0x81aaaaa8,0x01aaaaa8,0x009a9880,0xdddd3000,
    0x76e5c403,0x544002cd,0x310bceec,0x676dd400,0x2a20001b,0x061cdeec,
    0x66f765c0,0x54c00311,0xaaaaaaaa,0x015c401a,0xccccca80,0xcccccccc,
    0x95002ccc,0x20399bd9,0x6eeeeedb,0xeeedb880,0x3b6e0002,0x200004ee,
    0xfffff000,0x409fffff,0xfffffff8,0x7ffc000f,0x4fffffff,0x003ffb00,
    0xdfffff70,0x3ffffe60,0x377fe1ff,0xffffffff,0x7ffd400d,0x8800000f,
    0xeffffffb,0x7fffc002,0x04ffffff,0xfff0dff3,0x7ffffcc0,0xfff50fff,
    0x100fffff,0xdffffff7,0xffe80005,0xffd982ff,0x1effffff,0x7ffff540,
    0x3ffcffff,0x7ffff4c0,0x2000dfff,0xffffffe8,0x204ffeff,0xfffffffa,
    0xd802ffef,0xffffffff,0x3205ffff,0x038000ff,0x74c03800,0xffffffff,
    0x3fffe61f,0xfc807fff,0x0003ffff,0x0bfffff5,0x3dff7000,0xfffffc80,
    0x2202efff,0xffffffff,0x7ffe4000,0x02efffff,0x0005ffd0,0x1ffffffb,
    0xffffff70,0x3fffe67f,0xffffffff,0x3ff201ef,0xb800004f,0xffdeffff,
    0xf9001eff,0xdfffffff,0x11ffea05,0x3ee01fff,0x2fffffff,0xfffffff9,
    0x7ffdc03f,0xeffffdef,0xfffb8001,0x7ffdc2ff,0xffffffff,0xffff901f,
    0xffffffff,0x7ffe40df,0xefffffff,0xffff9801,0xffffffff,0xffff706f,
    0xffffffff,0xfffff00b,0xffffffff,0x017ff40f,0x1c0001c0,0xffffff10,
    0x4c9fffff,0x7fffffff,0xfffffc80,0xfff50003,0xf0000bff,0x0000bfff,
    0x3732e600,0x00000fff,0x1fffc000,0x7fff4c00,0xfffb104f,0x3fea1bff,
    0xecceffff,0xd00fffff,0x00001fff,0x981dffd8,0x0003ffeb,0x907fb000,
    0x7fec409f,0x3a65ffff,0x04ffffff,0x26077ff6,0x2003ffeb,0x2ffffff8,
    0x77ffffdc,0x86ffffec,0xcefffffc,0x7fffffed,0xbfffff70,0x3fffffd9,
    0x7ffffdc0,0xffffecde,0xffff987f,0xffffdcdf,0xffeb806f,0xffffffff,
    0x0fffe03e,0x20000e00,0x3ffff603,0x1fffeece,0x7fee65cc,0xffca8807,
    0x32a0003f,0x40005ffe,0x005ffff8,0xff500000,0x0000001f,0x003fff80,
    0x400fffe0,0x7fd45ffd,0xffb103ff,0x7fff10bf,0xffd80000,0x05ffb002,
    0x00000000,0x403ffdc0,0x3601fff9,0xffb002ff,0x3fff2005,0x7fdc2fff,
    0x7fec409f,0x3fffea2f,0xfffe980b,0x3ffff987,0x06fffd88,0x017ffff3,
    0x361fffea,0x6c40bfff,0x20006fff,0x3e006ffc,0x038003ff,0x3fe03800,
    0x5400205f,0x7fc007ff,0xfc80003f,0xfb80005f,0x999881ff,0x13333100,
    0x03ffea00,0x3332e600,0xf31000ac,0x333339ff,0x3fff8013,0xa8bffb00,
    0xfd802fff,0x7ffdc2ff,0x3ea00000,0xaaaaa98f,0x400ffd80,0x01accb98,
    0x7dc00000,0xfff9807f,0xa81ff501,0xfb098bcb,0xfff9801f,0x7d42fffe,
    0x3ffe206f,0x00ffffa4,0x3fa1fffa,0x7fdc01ff,0x2fffd84f,0xf86ffb80,
    0x7ff405ff,0x3ff20006,0xfff98806,0x0999999c,0x07000070,0x000bffe2,
    0x001ffea0,0x00007fff,0x0000bff9,0x3ffa2062,0xfffe86ff,0xff5004ff,
    0x3f62001f,0xffffffff,0xffff100c,0xffffffff,0x7ffc0bff,0x8bffb003,
    0x3a006ff8,0x1ffec6ff,0x332e2333,0xf9ffc00a,0x1dffffff,0xff7027ec,
    0x09ffffff,0x33333310,0x03ffdc00,0xf80fffcc,0x3fff623f,0x13f65fff,
    0xff3fffd0,0x807fd05f,0x3ffe5ffd,0x8bff5003,0xb003fffb,0x7fcc1fff,
    0x9ff1004f,0x402fff88,0x20004ffa,0x3a206ffc,0xffffffff,0x384fffff,
    0x4c438000,0x999bfffa,0x7fd40019,0x1fffc007,0x00266662,0x32e6bff9,
    0x400009bc,0x46fffffa,0x4ffffff9,0x51fff500,0x7ffec07b,0xffffffff,
    0xfffff505,0xffffffff,0x1fffc0ff,0xb85ffd80,0x3fee001d,0xffab7fc7,
    0xfffffbff,0x4cbf503f,0x6fdbacfd,0x7f4437c4,0xffffffff,0xffe881ef,
    0x2007ffff,0xf9807ffb,0x45fa81ff,0xffc9cffe,0xfa81be26,0x05fff4ff,
    0x9fff1002,0x8007ffe6,0x37fec2fe,0x45fff300,0x2001fffb,0x0bffd028,
    0x40001990,0x3ea06ffc,0xffffffff,0x387fffff,0x3f238000,0xffffffff,
    0x5003ffff,0xff800fff,0x3ffff63f,0x3ff205ff,0xffffffde,0x3a20001e,
    0xfd86ffff,0x5004ffff,0x3fffdfff,0x3ffffee0,0x3fffffee,0xfffffe88,
    0xffffffff,0x00fffe04,0x0002ffec,0xf31fff88,0x3ffffa5f,0xffffffff,
    0x7e43fd82,0x3fe0fe41,0x3ffffa20,0xfffffeef,0x7fffd40f,0x2e007fff,
    0xff9807ff,0x2a3fd81f,0x7c5f986f,0xffff880f,0x0005fff0,0x2e3fffb1,
    0xd00007ff,0xfe8007ff,0x01bff24f,0xefffb800,0x2000001b,0x3a206ffc,
    0xffffffff,0x384fffff,0x3fe38000,0xffffffff,0x5006ffff,0xff800fff,
    0xfffff13f,0x3f201fff,0xffffffff,0x40001fff,0x3106ffd8,0x2a009ffd,
    0x2fffffff,0x26026ea0,0x26204fff,0x9999cfff,0x3fff8019,0xf8bffb00,
    0xffffffff,0xffffffff,0x7d4df92f,0xfeffffff,0x1fe87fff,0x0bf60fe4,
    0x7ffec5f9,0x3faa20ae,0x7ff444ff,0x2007ffff,0xf9807ffb,0x21fe81ff,
    0xc83702fd,0x3fffc82f,0x8800bffe,0x366ffffb,0xf00004ff,0xfc8005ff,
    0x013ffa5f,0xfffe8800,0x001bdfff,0x01bff200,0x273ffe62,0x0e019999,
    0xffc8e000,0xffffffff,0xf5002fff,0xfff800ff,0x3fffffe3,0x3fff205f,
    0xfffeefff,0xfc80006f,0x27fec06f,0xfffffc80,0xfc80003f,0x3fff806f,
    0x0fffe000,0x3e2ffec0,0xffffffff,0xffffffff,0xfa83d73f,0x7fe44fff,
    0x3207fc0f,0x86ffdacf,0xdfff34fa,0x7fff4401,0xffb99881,0x1ffee007,
    0x207ffe60,0x003fa0ff,0x7fcc4fa8,0x017ffc6f,0x7ffffec4,0x00fffe1f,
    0x07ffe600,0x74fff700,0x400003ff,0xffffffe8,0x80003fff,0x3e006ffc,
    0x038003ff,0xfa983800,0x19999bff,0x03ffd400,0x362fffe0,0x801cffff,
    0x20dffffc,0x000fffc8,0x2037fe40,0x75404ffd,0x00cfffff,0xdffdb910,
    0x220dffdd,0xaadfffaa,0xfff000aa,0x17ff6007,0xffffffff,0xffffffff,
    0xffa807ff,0x2fff985f,0x7ffe43fc,0x4fa80dff,0x5559fff7,0xff755555,
    0x7ffa809f,0x01ffee00,0x3e07ffe6,0x2a003f47,0x0fffec4f,0x2a00bffe,
    0x40efffff,0x80003fff,0x4001fff8,0x3ffa6ffb,0xdddd9303,0x6dc05bdd,
    0xffffffff,0xc802c985,0x3fe006ff,0x0038003f,0xfff10380,0xff500003,
    0xdfff800f,0x002ffffe,0x440ffff2,0x40002fff,0x7ec06ffc,0xfffb104f,
    0x22003fff,0xfffffffc,0xfb86ffff,0xffffffff,0xff802fff,0xffd8183f,
    0x556fff45,0xaaaaaaaa,0x5403fffa,0xfff00fff,0x7e41fe87,0xc80efdac,
    0xfffffb2f,0xffffffff,0xfa80bfff,0x3fee007f,0x1fff9807,0x07f61fe8,
    0x3ea2fc80,0x2fff85ff,0x2efffa80,0x0009ffd0,0x000bffe0,0x7ff4bffb,
    0xfffff884,0x801fffff,0xfffffeca,0x6403ff45,0x3fe006ff,0x0038003f,
    0xfff10380,0xff500003,0xffff800f,0x4001ffff,0x7f405ffc,0x19db304f,
    0xb01bff20,0x3ff209ff,0x000fffff,0xfffffffd,0xb0dfffff,0xffffffff,
    0xf009ffff,0x44ff87ff,0x7fec5ffd,0x3ffe2005,0x03ffd401,0x2fd87fff,
    0x0df90fe4,0x3fffa1fd,0xffffffff,0x407fffff,0x2e007ffa,0xff9807ff,
    0x322fd81f,0x1fd0204f,0x4cd7fff4,0x803fff99,0x7ec06ff8,0xfd00005f,
    0xffe8009f,0x7c17ff23,0xffffffff,0xffa8001f,0x07ffe27f,0x400dff90,
    0x38003fff,0xf1038000,0x500003ff,0xff800fff,0x000fffff,0x7405ffc8,
    0xfffd04ff,0x01bff209,0x3ea09ffb,0x00fffdff,0xdfffffd8,0x6fffdcbb,
    0xfffffea8,0x00efffff,0x3e63fff8,0x22ffec6f,0x2e007ffb,0x7d400fff,
    0x0fffe07f,0x57ec4bf7,0x7c433f60,0x3fffff66,0xffffffff,0x7d407fff,
    0x3fea007f,0x7ffd400f,0x3e25fb80,0x89faa1cf,0x3fffea6f,0xffffffff,
    0x175c00ff,0x003fff20,0x03fff200,0x717ffd40,0x32e60dff,0x22fffdcc,
    0xff1005d9,0x07ffe25f,0x400bff90,0x38003fff,0xf1038000,0x500003ff,
    0xff800fff,0x00efffff,0x202ffe40,0xff884ffe,0xdff906ff,0x204ffd80,
    0x0fffa8ba,0x177ffc40,0xf00dff90,0x7c0007ff,0x1ffea3ff,0xffa87ffd,
    0xfff8804f,0x07ffa806,0xff10fffe,0x43ffffe5,0x4fc8ffe8,0x266bffee,
    0x99999999,0x7fd40199,0x3ffe2007,0x837fe404,0x3fea2ff8,0x323fffff,
    0x3fffea4f,0xffffffff,0x300002ff,0xa8009fff,0x02fffd41,0x2637ffc4,
    0xf7002fff,0x03ffc8ff,0x3e27fff0,0x7fec01ff,0x0fffe004,0x20000e00,
    0x03fff103,0x0fff5000,0xffffff80,0x32000eff,0x7ff405ff,0x07fffb04,
    0xfb81fff2,0xff5004ff,0xfffa801f,0x1bffa601,0x1013ffe0,0x47fff015,
    0x3fe27ffa,0x3fffe82f,0x0bfffa20,0xf81ffea0,0x8ffb83ff,0x64c3cccb,
    0x3e61ffcb,0x00000eff,0x2003ffd4,0xf500ffff,0x7fdc0bff,0x2f7fb220,
    0xfa87ff20,0xffffffff,0x000effff,0x0ffff600,0x903ffa20,0x74409fff,
    0xfff82fff,0x7ffb801f,0x200ffff4,0xff12fffb,0x7ffcc03f,0x13ffe002,
    0x001c1510,0xfff881c0,0xffa80001,0x5fffc007,0x01ffffe8,0xe80bff90,
    0x06e604ff,0x10bfffa8,0x1bffffd5,0x01fff500,0x20cfffa8,0xfffffda8,
    0x3bffa00a,0x3ffb2a21,0x867ffcc7,0xfd88fffa,0xfff881ff,0xff7109df,
    0x3ea00bff,0x0fffe07f,0xc800f7ec,0xfffc83ff,0x6dcc0abe,0x7fd402fe,
    0x7ffdc007,0xfff731cf,0x1efd801f,0x887ff900,0x99999999,0x0002fff9,
    0xefffe880,0x3fee621a,0xfffe82ff,0xfff730ae,0x3ffea0bf,0x32a609cf,
    0x7ff47ffe,0xd730acff,0x3e21ffff,0x930bdfff,0x4001ffff,0x510aeffe,
    0x01cfffd9,0xff881c00,0xfa80001f,0x7ffc007f,0x3ffffd13,0x80bff900,
    0x40004ffe,0xfffffff8,0xffffffff,0x32aaaa23,0xaaaabfff,0x3ffffe20,
    0xffffffff,0xf902ffff,0xffffffff,0x3ee1ffff,0xff57ffff,0x0bffffff,
    0x7fffffdc,0x0effffff,0xbfffc880,0x827ffcc0,0x880cffe8,0x3a04ffda,
    0xffffffff,0x26ffffff,0xffcaaaa8,0x00aaaaaf,0x3ffffff6,0x803fffff,
    0x880cffe8,0x4004ffda,0x0cfffba8,0x00eff540,0x7fffff44,0xffffffff,
    0xfffff306,0xdfffffff,0x7fffe401,0xffffffff,0x7fff47ff,0xffffffff,
    0x3fe23fff,0xffffffff,0x5c001fff,0xffffffff,0x071fffff,0x55447000,
    0xaaacfffb,0x555100aa,0x555fff95,0xffa88155,0x7fffec3f,0x7f5440ab,
    0x7d440aef,0x0000adff,0x3fffffee,0xffffffff,0xffffff74,0xffffffff,
    0x7fffcc3f,0xffffffff,0x3a04ffff,0xffffffff,0x3ff23fff,0xff98ffff,
    0x00efffff,0x7fffffd4,0x800dffff,0xfffffffa,0x9fffff50,0x6ffffe40,
    0x02ffffec,0x7ffffec4,0xffffffff,0xffffff74,0xffffffff,0x3ff6201f,
    0x3fffffff,0x7fffe400,0x2ffffecd,0x7fffd400,0x3e00ffff,0xd1004fff,
    0xffffffff,0xe9809fff,0xffffffff,0xfff9004f,0xffffffff,0xfffc87ff,
    0xffffffff,0xffeb84ff,0xffffffff,0xfffd0001,0xffffffff,0x9c0001c9,
    0xfffffff8,0x0fffffff,0x7fffffdc,0xffffffff,0xfffff70f,0xfffffb87,
    0x3fff63ff,0x7ffc6fff,0x0004ffff,0x7fffffdc,0x1dfffebe,0xfffffffb,
    0xffffffff,0xffffe987,0xfffdbeff,0x3f2201df,0xceffffff,0x77ffecc0,
    0x3ffffea3,0xff91000d,0x005dffff,0x7fffffe4,0xfffff93f,0xfffc980d,
    0x000bffff,0x3fffffea,0x361cffff,0xffffffff,0x2fffffff,0x7ffffd40,
    0x930001ef,0x7fffffff,0xfff90001,0x405fffff,0x2003fffd,0xffffeca8,
    0x2e002def,0x2effffff,0x7ff64400,0x02efffff,0xfff93bd3,0x803bffff,
    0xefffffda,0x3220001c,0xefffffff,0x40001c1c,0xffffff53,0xffffffff,
    0xfffffd85,0xffffffff,0xffffb2ff,0xffffc87f,0xfff14fff,0x261fffff,
    0x7fffffff,0x57730000,0x3ff66001,0xffffffff,0x5300dfff,0x00003579,
    0x02ab2aa2,0x06a62000,0x13551000,0xfffb1000,0x3f621bff,0x31002dff,
    0x80003555,0x019abb98,0x3fffff66,0xefffffff,0x26aa2004,0x53100000,
    0x88000355,0x4ffffffd,0x0001a980,0x0004d544,0x0006aa20,0x09aaa980,
    0x35553000,0x15530001,0xaa880000,0x666401ac,0xcccccccc,0x23cccccc,
    0xfffffffc,0x984fffff,0xfffffffd,0x24efffff,0x43ffffd9,0xdfffffd9,
    0x3ffffae1,0x7fff643e,0x000002ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd5000000,0x54c007dd,0x2aa201aa,0xb93000aa,0xa98017bd,0xaaaaaaaa,
    0xaaaaaaaa,0x55555540,0x0aaaa981,0xaaaaaa98,0x1aaaaaaa,0x201aaa98,
    0x980aaaa8,0xaaaaaaaa,0x2aaa6001,0xaaaaaaaa,0xa980aaaa,0xaaaaaaaa,
    0x0aaaaaaa,0x5555554c,0xa80aaaaa,0x9aaaaaaa,0x00000000,0x55555540,
    0x988000aa,0x33310099,0x55554013,0x01aaaaaa,0xaaaaaa98,0xaaaaaaaa,
    0x03000aaa,0x2aaaaa20,0x20001aaa,0xaaaaaaa8,0xaaaaaaaa,0x2aaa6001,
    0xaaaaaaaa,0x2aaa981a,0x03555500,0x5555554c,0x54c0009a,0x2aa202aa,
    0x0f5c1aaa,0x04fffb80,0xffffffd0,0xfffffa81,0x7ffe403f,0x3202ffff,
    0xffffffff,0xffffffff,0xfffff31f,0x7fecdfff,0x7ec4ffff,0xffffffff,
    0x7f43ffff,0x5c0fffff,0x24ffffff,0xfffffffc,0x7c405fff,0xffffffff,
    0xffffffff,0x7fffffc1,0xffffffff,0x3fa1ffff,0xffffffff,0xff13ffff,
    0xffffffff,0x000019df,0x440f74c0,0xffffffff,0x3fe2004f,0xffe86fff,
    0xff984fff,0xffffffff,0xf900dfff,0xffffffff,0xffffffff,0x7fff4c03,
    0xfffb83ed,0x6fffffff,0xffffc800,0xffffffff,0x4c05ffff,0xfffffffc,
    0x5fffffff,0x07fffffc,0x3ffffea0,0x7ffffc45,0xceffffff,0x7ffff400,
    0xffffa84f,0xffb0ffff,0x9fff7005,0xfffff100,0xfffd87ff,0x3ee06fff,
    0xffffffff,0xfffff900,0xffffffff,0x3ea3ffff,0xffffffff,0xfffffff0,
    0xfffffd8d,0xffffffff,0x3ffffe23,0x7ffec2ff,0x3ffa6fff,0xffffffff,
    0x7fffd407,0xffffffff,0x261fffff,0xffffffff,0xffffffff,0xffff11ff,
    0xffffffff,0x3ffeabff,0xffffffff,0x88002fff,0x3e61bdb9,0xfffa84ff,
    0x07ffffff,0x3ffffea0,0x7ffffcc6,0xffffa84f,0xffffffff,0xffc83fff,
    0xffffffff,0x1fffffff,0xffffff70,0xfffd81ff,0xffffffff,0x7fff4000,
    0xffffffff,0x205fffff,0xfffffffc,0xffffffff,0x3fffe65f,0x7fec04ff,
    0x7fd47fff,0xffffffff,0xf102ffff,0x83ffffff,0xfffffffc,0x09ffb11f,
    0x003eeea8,0x1dfffffb,0xffffffa8,0xdffff103,0x20bfffd9,0xfffffffc,
    0xffffffff,0xfffb11ff,0x7e49ffff,0x6c2effff,0xffffffff,0x643fffff,
    0x40dfffff,0x2efffff9,0x3fffffaa,0xd803efff,0xffffffff,0xffffffff,
    0x7ffffe41,0xffffffff,0x3ae1ffff,0xffffffff,0xfb11efff,0xffffffff,
    0x005fffff,0x3fffffaa,0x3ffffdff,0xfffffd88,0x1002ffff,0xb0dffffd,
    0x109fffff,0xfffffffb,0xffffffff,0xfffffc83,0xffffffff,0xf981ffff,
    0xffffffff,0x7ffff4c0,0x003effff,0xdefffea8,0xffffffff,0xfff705ff,
    0xffffffff,0x8bffffff,0x0ffffffc,0xffffff30,0xfffffb07,0xffffffff,
    0x3fff205f,0x7ecc6fff,0xc85fffff,0x000005ff,0x640ffff6,0x7d403fff,
    0x27fdc2ff,0x7dc6ffc8,0x0fffcc7f,0x6c42ffec,0xfb02ffff,0x3ffe60bf,
    0x5fffb00f,0x80bfff60,0x0002fff8,0x2202ffe4,0xff701fff,0x3fff300f,
    0x007ffa80,0xb730fff5,0xb801ffff,0xffffffff,0x004fffff,0xbffffff1,
    0x6ffd8800,0x09ffd310,0xa885ffd8,0x7e46fffc,0x23ffdc6f,0xfd81fff9,
    0x1efdacff,0x006ffc80,0x333fe600,0x5ffd85ff,0xbdffffb8,0xfd85ffd9,
    0xffffb85f,0xffff903f,0x7ffd405f,0x7ffedcc0,0x3ffea01f,0xfff103ff,
    0x017fdc03,0xfff88000,0x37ffcc0f,0x9837fe40,0x71bff202,0xfff98fff,
    0x445ffd81,0x201ffffe,0xff885ffd,0x3fe202ff,0x7ffd40ff,0x7fffc405,
    0x3defffff,0x202ffe40,0xf701fff8,0xfff300ff,0x07ffa803,0xc80fff50,
    0x3f205fff,0xfedeffff,0x2006ffff,0xfffdfffb,0x37fe4000,0xb013ff60,
    0xffc80bff,0x2e37fe47,0x7ffcc7ff,0x0c4fff81,0x00dff900,0x657fe400,
    0x5ffd85ff,0x20ffffd4,0xffd85ffc,0xfffffb85,0xfffff886,0x3ffea02f,
    0x17fff200,0xffffffa8,0x01fff880,0x2662064c,0xa8001999,0x3fa25fff,
    0xffc800ff,0xdff90006,0x7cc7ffb8,0x5ffd81ff,0x03bfffe6,0xfd09ffb0,
    0xff5007ff,0x7fffc4bf,0x7fffc400,0xffffffff,0x0bff900e,0x807ffc15,
    0x20a87ffb,0xfa807ff8,0xfff5007f,0x03fffd00,0x885ffff9,0x00fffffe,
    0xff1dfff0,0xffc8009f,0x027fec06,0xf5017ff6,0x37fe43ff,0xff31ffee,
    0x09fff03f,0x037fe400,0x32ffd000,0x4ffc85ff,0x6417fff4,0x4ffd85ff,
    0xffffffb8,0x7ffffdc2,0x3ffea02f,0x0fffec00,0xffffffa8,0x01fff885,
    0x7ffff440,0xfb0007ff,0x3fff27ff,0x0fff5003,0x717ff200,0xfff88fff,
    0xf55ffd80,0x7001dfff,0xfffc87ff,0x3fff6005,0x005fffb2,0xddddfff1,
    0x0ffffffd,0xdfd17ff2,0xff702fe4,0x360ffd8f,0x7ffa804f,0x00fff500,
    0xff09fff1,0xffe881df,0xa805ffff,0xfffb2fff,0x06ffc800,0x36027fec,
    0x7ff405ff,0x2e2ffe47,0x7ffc47ff,0x00fffd80,0x00dff900,0x657fe200,
    0xf53b95ff,0x27ffcc5f,0x3b95ffc8,0xff705ff7,0xff8dffff,0x202fffef,
    0x4400fffa,0xff504fff,0x885fffbf,0x75401fff,0xffffff51,0x3e2000ff,
    0x5fffbfff,0x0bffe200,0x70ffea00,0x0dfd0fff,0x3fef7ff6,0x322005ff,
    0x3bffea0c,0x3ffe2000,0x005fffbf,0x2205fff1,0xfc81fffd,0x03ffe25f,
    0x747ffb80,0xa80042ff,0xff5007ff,0x17ffa00f,0xe883fff3,0x7ffddfff,
    0x2a7ffd80,0x32002fff,0x7fec06ff,0x42ffec04,0x45fffeb9,0x7fdc3ffa,
    0xf307ff87,0x32000bff,0x700006ff,0x37ff27ff,0xb8775ff9,0xff902fff,
    0x0ee9ff3b,0x7fdfffdc,0xf7fff51f,0x7fd405ff,0x6ffd800f,0xff1fff50,
    0x7ffc41ff,0x44bff201,0x7ffffffe,0x3ffea000,0x4c00ffff,0xfffffffd,
    0x175002df,0xb987ffb8,0xfffffb01,0x30000dff,0x0003ffff,0xfffffff5,
    0x3ffe2001,0x13ffe202,0x3ffffff2,0x2e001fff,0xffffffff,0xff50003f,
    0x1ffea00f,0x2e37fe40,0x7ff446ff,0x03fff55f,0x3a27ffc4,0x3f2005ff,
    0x27fec06f,0x3fffff60,0xffffffff,0xffb83a80,0xf101b987,0x90005fff,
    0x20000dff,0xfff90ffd,0x7dc0ffff,0xfff900ff,0xf700dfff,0x2bfff1ff,
    0xfff8effe,0x7fffec42,0xc84fffff,0xfff507ff,0xf893ffee,0xffd881ff,
    0xffb99884,0x7fec0007,0xfe802fff,0xffffffff,0x2e0000ff,0xfd8007ff,
    0x5fffffff,0x3ffa2000,0x3f60003f,0x2002ffff,0x6c02fff8,0xfffc86ff,
    0x01ffffff,0x3ffffee0,0x0003ffff,0x2a00fff5,0xff7007ff,0x224ffd8f,
    0xf10efffe,0x7fdc05ff,0x07ffdc0f,0x406ffc80,0x7ec04ffd,0xffffffff,
    0x5c005fff,0x744007ff,0xd30fffff,0x3ff2019b,0xdff00006,0x7fffffe4,
    0x81bff207,0x7ffffffc,0xf97ffb80,0x17fff7ff,0xffb85fff,0xffffffff,
    0x83ffd40f,0x3ffa7ffa,0x83fff11f,0xa802ffe8,0xea8007ff,0xefffffee,
    0xfff901de,0xdfffffff,0x7ffb8000,0xffffd800,0x005fffff,0x009fffb0,
    0x5ffff880,0x17ffc400,0x3213ffa0,0xffffffff,0x3fee001f,0x3fffffff,
    0x0fff5000,0x401ffea0,0x7fec7ffb,0x1dfffd16,0xf007ffcc,0xfff10bff,
    0x1fff2009,0x404fffb8,0xfffffffd,0x04ffffff,0x3fffff6a,0x100cefff,
    0xbffffffd,0x640ffff2,0xa80006ff,0x3fff24ff,0x3ee07fff,0x3fff206f,
    0xfb807fff,0xfffff17f,0x0bffe2ff,0xfffffff1,0xff50dfff,0x99ffea0f,
    0xfff16fff,0x001ffd83,0x3000fff5,0x9fffb999,0x54c01999,0xaacfffba,
    0x7fdc0000,0xfffd8007,0x6fffea9f,0x37ffdc00,0x7fdc0018,0x7fc4000f,
    0x3ffea02f,0xaaeffc82,0x2001fffb,0xfcccfffb,0xf50002ff,0x3fea00ff,
    0x8dff9007,0xffeafffb,0x37fe40ef,0xffffff50,0x0fffffff,0x42fffea0,
    0xdffffeb9,0x33bff601,0xffeccccc,0xfffd05ff,0xffffffff,0x37ffee07,
    0xffebfffd,0x0dff904f,0xf900ed88,0xffffffff,0x7d40dffb,0xdff900ff,
    0xf700dffb,0x7fffecff,0x05fff14f,0x57fff951,0xfff70155,0xf91ffea0,
    0x3fff17ff,0x2a000ca8,0xa80007ff,0x30000fff,0x00003fff,0x4003ffdc,
    0x7ec0effd,0xff3003ff,0x0bfb01ff,0x003ffd40,0x4cdfffc4,0xffffcaa9,
    0x7c5ffc80,0x402e60ff,0x7ff47ffb,0xfff50001,0x01ffea00,0x3e62ffec,
    0x0effffff,0xb027ffdc,0xffffffff,0x005fffff,0xfffffff1,0xffffffff,
    0x017ff607,0xb01ffff3,0xffffffff,0x3fa03fff,0xfffff15f,0x3f2019ff,
    0x1ffdc06f,0xfffffff8,0x04ff8dff,0x640bffe2,0x04ff8dff,0x3e67ffb8,
    0xff10ffff,0x7ffd405f,0x05ffd800,0xffd0fff5,0x003fff5f,0x00fff500,
    0x3fee6660,0x2000999f,0x0000fffb,0x001ffee0,0x3e217ff6,0xff8807ff,
    0xfff882ff,0x0fff5000,0xfffff100,0xffffffff,0x717ff203,0x82ffc47f,
    0x2fd47ffb,0x0fff5000,0x401ffea0,0xffc83fff,0xd310ffff,0x2203ffff,
    0xffffffff,0x05ffffff,0xffffff70,0xffffffff,0x017ff609,0x220fffea,
    0xcfffdcca,0xfff101bc,0x7ffffd45,0x1bff200f,0xf30bff90,0xfffddddf,
    0x41b88a2b,0xff905ffe,0x81b88a2b,0x7ff47ffb,0x0bffe25f,0x800fffa8,
    0xff504fff,0xfffff30f,0x500003ff,0xf9000fff,0xffffffff,0x3f6005ff,
    0x200000ff,0xd8007ffb,0xfff505ff,0x4fffe807,0x003fff30,0x2001ffea,
    0xfffffff8,0x200effff,0xfa805ffc,0x0fff707f,0xfff50000,0x01ffea00,
    0x220bfff2,0xffffffff,0x01ffffff,0x2aafffee,0xffcaaaaa,0xfff7000f,
    0xffd59dff,0x3ff603bf,0x09ffd005,0x200fff70,0x7e43fff8,0x7e405fff,
    0x2ffe406f,0x3f217fdc,0x41ffb05f,0xfc85fffc,0x81ffb05f,0x7fd47ffb,
    0x0bffe21f,0x400fffa8,0xf502fffc,0x3fff20ff,0xfd981fff,0x3ffd400c,
    0x5cccc400,0x01999fff,0x80bfff10,0xff7002fd,0xbffb000f,0x807ffec0,
    0x2605fffc,0xf5001fff,0xff1000ff,0x559999bf,0x0bff9001,0x2e0fff50,
    0x800007ff,0xf5007ffa,0xfffc80ff,0xfffffb06,0xdfffffff,0x05fff801,
    0x004fff88,0xfd02aea2,0x0bffb009,0x007fff10,0x7c00fff7,0xff50aeff,
    0x7e4039ff,0x2ffe406f,0x3f207ff4,0x45fff05f,0x644ffff8,0x5fff05ff,
    0x9987ffb8,0x017ffc41,0x6401fff5,0x3ea06fff,0xffff107f,0xfffd03ff,
    0x07ffa809,0x3ff2aa00,0xf7001abf,0x5555bfff,0x40dff955,0xafffcaa9,
    0x3aa200aa,0xf981aeff,0x3ea0adff,0xaaaabfff,0x01fffbaa,0x3fff2aa6,
    0x5cc00aab,0x1aaacfff,0xdffb5100,0x55555555,0xfb50fff9,0x015555ff,
    0xfcaaa980,0x40aaaaff,0xaabfffc8,0xfffffdca,0xdffffc80,0xbdffffff,
    0x3ffee200,0xfd5100ac,0x000015ff,0x2a2043ff,0xaaaaeffe,0xffffecaa,
    0xff955301,0x6401555f,0xffffffff,0x222fffff,0xaafffdaa,0xffeaaaaa,
    0x4bffee65,0xaaeffda8,0x43fffaaa,0xcefffffa,0xaaaaeffe,0x3622fffa,
    0x100aafff,0x019fff75,0x557fff91,0xfffffb95,0x3fff2203,0x7ffd40aa,
    0x7ffc41ff,0x2aaaa25f,0xaaaafffc,0x7fffc00a,0x05ffffff,0x7ffffff4,
    0xffffffff,0xffffb06f,0x3fffffff,0xffffff30,0xfffb0dff,0x3ffee7ff,
    0xffffffff,0xf901ffff,0xffffffff,0x3ff205ff,0xffffffff,0x7fffc405,
    0xffffffff,0x7c7fffff,0xffffffff,0xffd003ff,0xffffffff,0x3fe27fff,
    0xffffffff,0x882fffff,0x2a21ffff,0xfff7001b,0xb81fffff,0xffffffff,
    0x6fe40000,0xfff32fdb,0xffffffff,0x0bffffff,0x3ffffff6,0x201fffff,
    0xfffffffe,0xf75fffff,0xffffffff,0xffffffff,0x3ffffe6b,0xffffffef,
    0xffffffff,0xfffffb83,0xffffffff,0xf32fffff,0x1fffffff,0xffffffa8,
    0x3ffe20ff,0xffffffff,0xf302ffff,0x3fffffff,0x81ffffd8,0xff72fffd,
    0xffffffff,0x201fffff,0xfffffff8,0x3e207fff,0xffffffff,0x3fffffff,
    0xffffffd0,0x507fffff,0xffffffff,0xffff981f,0xfffff75f,0xffffffff,
    0x3ffa03ff,0xffffffff,0xffffd04f,0x0fffffff,0xffffffa8,0xffffffff,
    0x3fe67fff,0xffffffff,0xfff8804f,0xffffffff,0xfff55fff,0xffffffff,
    0x7f403dff,0xfc80001f,0x2fffffff,0x7fffffe4,0x4c0002ff,0xf51fffff,
    0xffffffff,0xbfffffff,0x3ffffa01,0x3fffffff,0x7ffffe40,0xb1dffedf,
    0xffffffff,0xffffffff,0x3fffeebf,0xffffffff,0xffffffff,0xfffd303f,
    0xffffffff,0x2e5fffff,0xffffffff,0x7ffffdc2,0x3fea2fff,0xffffffff,
    0x2e01efff,0xffffffff,0x0ffffc43,0x3ff60b98,0xffffffff,0x202fffff,
    0xffffffec,0x7f5c02ef,0xffffffff,0x2a03efff,0xfffffffe,0xfd880dff,
    0x03efffff,0x2e3bfffd,0xffffffff,0x1fffffff,0xfffffb50,0x201bffff,
    0xffffffda,0xfc802eff,0xffffffff,0x7fffffff,0x7fffff64,0x7001dfff,
    0xfffffffd,0x643bffff,0xffffffff,0xa8802bde,0xfb300000,0x309dffff,
    0x9dfffffb,0x36e20000,0x3fff621c,0xffffffff,0x75401cef,0xffffffff,
    0xa98800df,0x7ecc00aa,0xffffffff,0x5fffffff,0x3dffffb1,0xfffffff9,
    0x07ffffff,0xfffeca88,0xffffffff,0xffffb12f,0xffb109df,0xd909dfff,
    0xdfffffff,0xfb10057b,0x01bfffff,0x4003fff7,0xffffffd9,0x4effffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99730000,0xa8001599,0xaaaaaaaa,0xaa880009,0x01aaaaaa,
    0x2aaaaa20,0x22001aaa,0xaaaaaaaa,0x5500a981,0x55510555,0x2aaa2035,
    0x01aaaaaa,0xaccb9880,0x2aaa6001,0x0009aaaa,0xaaaaaa88,0x554401aa,
    0x55440aaa,0x2aa601aa,0x2aaa201a,0x5555300a,0x2aaa6015,0xaaa880aa,
    0x2aa201aa,0x4c001aaa,0x02a6000b,0x28800000,0x44000000,0x0000000b,
    0x0ecc0000,0x59999730,0x97310001,0x93000359,0x02f26017,0x0565cc00,
    0xffffb100,0x019fffff,0xffffff88,0x3fffffff,0xfffff700,0x00dfffff,
    0xfffffff7,0xf700dfff,0xffffffff,0x237fdcdf,0xfffffff8,0xffffff51,
    0xfffffc8f,0xefffffff,0xffffb801,0x2204ffff,0xffffffff,0x000cefff,
    0xffffffff,0x3fe209ff,0xf51fffff,0xf0ffffff,0x81ffffff,0x4ffffffb,
    0x7ffffffc,0x7fffec3f,0x3fee5fff,0x40ffffff,0xfffffffa,0x5ff8800f,
    0x07fff300,0x3fe00000,0x88000006,0x99887ffd,0x33331009,0xb9802741,
    0x87f700bc,0xffffffd8,0x7000cfff,0xffffffff,0xffff5009,0x7fffc49f,
    0xffb3005f,0x019dffff,0xffffffd8,0x405fffff,0xfffffffa,0xffffffff,
    0x7fffec01,0x0fffffff,0x7ffffec0,0x00ffffff,0x7fffffec,0xfb0fffff,
    0x7ffd43ff,0xff93ffff,0x743fffff,0xffffffff,0x04ffffff,0xffffffd1,
    0x503dffff,0xffffffff,0x05ffffff,0xffffff90,0x3ea05dff,0x93ffffff,
    0x3fffffff,0x7fffffcc,0x7fffec2f,0x3ffe66ff,0x7c5fffff,0x7fffffff,
    0x3ffffff2,0x7ffe42ff,0x801fffff,0xf7007ffa,0x0005dfff,0x03ffc400,
    0xff910000,0x3fe21fff,0xffe86fff,0x0ff34fff,0x7ffffecc,0x0ff20cef,
    0xfffffffb,0x880bffff,0xfffffffe,0xf301efff,0x39ffffff,0xbfffffff,
    0xfffff980,0x00efffff,0x3bffffee,0x03fffffe,0x3fffff62,0xffffffff,
    0x3fa600ff,0xefffffff,0xfffe9803,0x03efffff,0xfffffe98,0x3ea3efff,
    0x3ff620ff,0xfb30dfff,0xea8bffff,0xffffffff,0x43ffffff,0xefffffe8,
    0x0ffffffe,0xffffffd8,0xffffffff,0x44000002,0x0dfffffd,0xbfffffd3,
    0xdfffff90,0xfffff981,0x7fffec2e,0x7f5c1eff,0x223fffff,0x5ffffffe,
    0xfffffe98,0xfff5005f,0x3fff6200,0x00001eff,0x00005d90,0x3ffffee0,
    0x3fffea3f,0x7fffcc6f,0x20ff74ff,0xfffffff9,0x3fd1ffff,0xefffffb8,
    0x03fffffe,0xdfffffd1,0x1ffffffd,0xfefffe88,0xefffffff,0xf504ffff,
    0xffddffff,0x5401dfff,0xfff9809b,0x0bff9004,0x0bfffd73,0x0037fe40,
    0x0037fe40,0x4037fe40,0x0bffb06e,0x2204ffe8,0x6dc42fff,0x3f61ffff,
    0x2a20aeff,0xf504fffe,0xfdb981ff,0x00001fff,0x405ffd80,0x3a204ffe,
    0xffd03fff,0x2ffec09f,0x40bffe00,0xd003fff9,0xfa800dff,0x7f54007f,
    0x000dffff,0x00000000,0xbfffffd5,0xffffe883,0xfffffd86,0xfa85fe8c,
    0xffeeffff,0x07fcffff,0xff301375,0x3fff609f,0x3faa20ae,0x7ffec4ff,
    0xfffffd12,0x03fffa2b,0x109ffff3,0x001dfffb,0x8037fe40,0x7f405ffc,
    0x3ff2007f,0xffc80006,0xffc80006,0xd80fdc06,0x7ff405ff,0x0bffe204,
    0xf33fffa8,0x74401dff,0xffa81fff,0x3fff200f,0x26666205,0xffb50019,
    0xddddddff,0x03bdfffd,0x90bfffe2,0xfc80bfff,0x05554c6f,0x6c03fff1,
    0xff9807ff,0x7fd4003f,0xfff70007,0x00019fff,0x26000000,0x2efffffd,
    0x837fec40,0xfffffe98,0x7fffcc0f,0xffffd884,0x3f20002f,0xefff986f,
    0x3fffa200,0xf313ffe1,0x7d41ffff,0x7ffe44ff,0x17ffe401,0xdffdb910,
    0x200dffdd,0x7d405ffc,0xff9000ff,0x640014cd,0x05dc46ff,0x206ffc80,
    0x3ff603f9,0x027ff405,0xe805fff1,0x9fff75ff,0x55555555,0xf509fff7,
    0xffd801ff,0x7fff441f,0xff007fff,0xffffffff,0xffffffff,0x7fffcc0d,
    0x01dfff71,0x7ec7ffb8,0x3ffe62ff,0x0bffea00,0x001fffb0,0x0007ffa8,
    0x3fffff22,0x0000003f,0x3fff2200,0x32002fff,0x7fec06ff,0xffc80cff,
    0x7ffe401f,0x7f6e4405,0x86ffeeef,0xaaacfffb,0xffbaaaaa,0x03fff34f,
    0x555bffff,0xff8dfff5,0xbfff003f,0xfffff910,0x0dffffff,0x7017ff20,
    0x7e400fff,0x04ffe9ef,0x3637fe40,0xff9006ff,0x36025c0d,0x7ff405ff,
    0x0bffe204,0x3f6bffb0,0xffffffff,0x5fffffff,0x400fffa8,0x7d44fff8,
    0x07ffffff,0xfffffd70,0xffffffff,0xfb805dff,0xffffaeff,0x0fffa801,
    0xfa97fffe,0x5fff807f,0x013ffe20,0x001ffea0,0x3ffff620,0x000002ef,
    0x3fff2200,0xc8003fff,0x7fec06ff,0x01fffc05,0x9106fff8,0xffffffff,
    0xffb0dfff,0xffffffff,0x2bffffff,0xff907ffb,0xffffffff,0x07ffccff,
    0xe87ffc80,0xffffffff,0x9006ffff,0x7fdc0bff,0x3ff2005f,0x006fffff,
    0x3fe37fe4,0xffc800ff,0x7fec0006,0x027ff405,0x5405fff1,0xfffd3fff,
    0xffffffff,0x50ffffff,0xfb001fff,0xfffe88df,0x6c007fff,0x7ff405ff,
    0x3fff2004,0x3002ffff,0x3fea3fff,0xfff70fff,0x03fff700,0x9807ffee,
    0xffdccccb,0x0acccccf,0x7fff4c00,0x97301eff,0x99999999,0x20159999,
    0xcffffffb,0xdff90000,0x204ffd80,0x9000fff9,0x3ffa0fff,0xffffffff,
    0xfffe86ff,0xffffffff,0xf97fffff,0x3ffea0df,0xffffffff,0x801ffee7,
    0x3f61fff9,0xcbbdffff,0x9006fffd,0x95333dff,0x005ffffd,0x7fffffe4,
    0x7fe4001e,0x8037fe46,0x40006ffc,0xeeeefffd,0x04fffeee,0x4c0bffe2,
    0xffb2fffe,0xffffffff,0x2fffffff,0xffffffd8,0xffc84fff,0xff733107,
    0xfffd800f,0xfeeeeeee,0x7ec004ff,0x2003ffff,0xffb2fff8,0x3ff25fff,
    0x4fff8806,0x540dffd0,0xffffffff,0xffffffff,0xffd50007,0x7d41bfff,
    0xffffffff,0xffffffff,0x3ffffaa0,0x640001df,0x7fec06ff,0x01ffee04,
    0x6c1fff98,0xbbdfffff,0xd86fffdc,0xffffffff,0xffffffff,0x320fff97,
    0xffffffff,0xff30ffff,0x3fea001f,0x0bbffe27,0x9006ffc8,0xffffffff,
    0x4007ffff,0xcfffffea,0x6ffc8000,0xf9000ba8,0xfd8000df,0xffffffff,
    0x2204ffff,0xdbaacfff,0x2e5fffff,0x9999afff,0x99999999,0xffffff71,
    0xa81fffff,0xffa807ff,0x7ffec007,0xffffffff,0x7c4004ff,0xf8006fff,
    0xffff8bff,0x0bffb5ff,0x503fff60,0x7dc05fff,0xffffffff,0xffffffff,
    0xffc88000,0x3ee3ffff,0xffffffff,0xffffffff,0xfffffb10,0xf900005f,
    0x4ffd80df,0x003ffe60,0x3e23ffd4,0x3f202eff,0xafffb86f,0x99999999,
    0xff519999,0x9ffff05f,0x33333333,0xb003fff8,0x7ffd4bff,0x1bffa601,
    0x7ffffe40,0x01ffffff,0xfffffb10,0x7e40001b,0xfc80006f,0x7ec0006f,
    0xffffffff,0x2204ffff,0xffffffff,0x260effff,0x0000efff,0xfffffff1,
    0xff50dfff,0x0fff500f,0xfffffd80,0xffffffff,0x7ffe4004,0x7f4002ff,
    0xfdfffacf,0x04ffe8ff,0xd87fff30,0x764407ff,0xffffffff,0x03dfffff,
    0xfffffb80,0x7fec40cf,0xffffffff,0x983effff,0x1efffffe,0x1bff2000,
    0xf809ffb0,0xffb003ff,0x01fffa8b,0x261bffa6,0x0000efff,0xf98bfff3,
    0x6c006fff,0x7e402fff,0x3ffea3ff,0x3ff6a20c,0x6400afff,0xffffffff,
    0xff7006ff,0x880dffff,0xdff900dd,0x900ed880,0xed880dff,0xcceffd80,
    0xfffccccc,0x3fffe204,0xcfffffff,0xbefffc80,0x7f6dcc0a,0x3fff2a22,
    0xfb80aaab,0x7ffa807f,0x677fec00,0xffcccccc,0x3fea004f,0x001fffff,
    0x3ff77ff6,0xffafff9e,0x3ffa003f,0x013ffe26,0x007ffa80,0xffffd500,
    0x000003bf,0x3fffaa00,0xc8000dff,0x3fee07ff,0x7ffec04f,0x1fffe402,
    0x8833ffea,0xafffffda,0x5f7ffe40,0x7f6dcc0a,0x44ffff62,0x0cffffff,
    0xfa87fd93,0x2621dfff,0x220ffffe,0xffffffff,0xffffffff,0x3bff202f,
    0xffffb999,0x7fffd405,0x7dc06fff,0x0dff903f,0xf903ffb8,0x3ffb80df,
    0x7405ffd8,0x3fe204ff,0xcdefffff,0x7ffff401,0xffffffff,0xfffa86ff,
    0x05ffd800,0x4007ffa8,0x7f405ffd,0xfff3004f,0x01dfff9f,0x3ffbff20,
    0xffdffd4f,0x7fdc005f,0x01fff91f,0x03ffd400,0x3fff6600,0x00002eff,
    0xfff70000,0x40019fff,0x730bfffa,0x03bffffd,0x0effffd4,0x1ffffd51,
    0xffffff88,0xffffffff,0x7ff42fff,0xffffffff,0x3e26ffff,0xffffffff,
    0xffffffff,0xfffa87ff,0xffffffff,0xfff980ef,0xffffffff,0x204fffff,
    0xffa85ffc,0x3fea05ff,0x406ffcdf,0xff905ffd,0x05ffc80d,0xfc80dff9,
    0x05ffd85f,0xf1027ff4,0x440005ff,0xfffffffd,0x84ffffff,0xf800fffa,
    0xffa804ff,0x2ffec007,0x2013ffa0,0xf92ffff8,0x3ee00bff,0xf71fffff,
    0x003fffff,0xffafffc4,0x7d40005f,0xf910007f,0x005fffff,0x10000000,
    0x7ffffff9,0x3fffe200,0xffffffff,0x3ea03fff,0xffffffff,0xf300efff,
    0xffffffff,0x9fffffff,0xfffffd88,0xffffffff,0x7ffffd44,0xffff9cff,
    0x306fffff,0xffffffff,0x74c01dff,0xbeffffff,0x01effffd,0x74c17ff2,
    0x32e03fff,0xd80dff91,0xdff905ff,0x905ffc80,0xffc80dff,0x405ffd85,
    0x3e204ffe,0xa80002ff,0xffffffff,0xff501cff,0xfffc801f,0x07ffa802,
    0x202ffec0,0xfe804ffe,0x7ffec4ff,0xffffa804,0x3fffe67f,0x7e4000ff,
    0x02fffbff,0x03ffd400,0x3ffff220,0x000003ff,0xfd880000,0x802effff,
    0xfffffffb,0x4fffffff,0x7ffffcc0,0x00efffff,0x7fffff4c,0xffffdbef,
    0xffff501d,0x39ffffff,0x3ffffa60,0x3ffffa24,0x764c02df,0x0befffff,
    0x35795300,0xf9009fb0,0x7ffcc0bf,0xdff9000f,0x905ffd80,0xffc80dff,
    0x80dff905,0xffd85ffc,0x027ff405,0x0005fff1,0x4dffec40,0x1fff5001,
    0x037ffe40,0x4007ffa8,0x7f405ffd,0x7ffec04f,0x3fffe885,0x7ffffd40,
    0x3fffff44,0x7fffcc00,0xa80006ff,0x3ea007ff,0x00cfffff,0x00b98000,
    0xffe98000,0x5c01efff,0xbeffffff,0x801dfffe,0xfffffec8,0x2a6000bd,
    0x80001abc,0x019abb98,0x98055cc0,0x510000ab,0x80000037,0xa88552fe,
    0x702aeffe,0x3015dfff,0x55fffb55,0xffd55555,0x7fed544b,0xaaaaaaaf,
    0x2aa25ffe,0xaaaafffd,0x25ffeaaa,0x0aeffea8,0x56fffd44,0x67ffdcc0,
    0x40001aaa,0x644001ff,0xcaaabfff,0x81fffffd,0xffcaaaa8,0x40aaaaaf,
    0x0aeffea8,0x16fffd44,0x17fffe44,0x0bffffb8,0x3fffff30,0x07ffffb8,
    0xfffffd00,0xff500007,0x3ffea00f,0x00001dff,0x000dff10,0x7fff5400,
    0xbb9800ff,0x4400000a,0x000001ba,0x00000000,0x00000000,0x7dc00000,
    0xff10ffff,0x0fffffff,0x71fffff6,0xffffffff,0xffffffff,0x3fffeebf,
    0xffffffff,0xf75fffff,0xffffffff,0xffffffff,0x7fffff4b,0xffff51ff,
    0x7fe49fff,0xffffffff,0x33fa0005,0x7fc404eb,0xffffffff,0xb82fffff,
    0xffffffff,0x0fffffff,0x3ffffffa,0xfffff51f,0x7ffccbff,0x7ec3ffff,
    0x80ffffff,0x987ffff8,0x0006ffff,0x01fffff5,0x0dff1000,0x0bbffee0,
    0xff100000,0x7000000f,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x23fffc88,0xfffffffa,0xffe881ff,0x3fff61ff,0xffffffff,
    0xb5ffffff,0xffffffff,0xffffffff,0x3ffff6bf,0xffffffff,0xf15fffff,
    0x7fffffff,0x3ffffff2,0x3ffffa7f,0x07ffffff,0x3fffee00,0x7fffd406,
    0xffffffff,0xfffb01ef,0xffffffff,0x3e25ffff,0x3fffffff,0xfffffff9,
    0x7ffffdcf,0x7fffc5ff,0xff01ffff,0x3ffa09ff,0x3fe0005f,0x200004ff,
    0x372002ec,0x20000002,0x000002da,0x0007d710,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff90180,0x4c09dfff,0x7ecc4eff,0xffffffff,
    0x5fffffff,0xffffffb3,0xffffffff,0x3ff66bff,0xffffffff,0x25ffffff,
    0xdfffffeb,0xfffffb30,0x7ffed45d,0x02efffff,0x05f6d400,0x7ffff640,
    0x02bdefff,0x7ffffecc,0xefffffff,0x7ffff5c4,0xfffb10df,0x7ec45dff,
    0x541dffff,0x04effffe,0x5c0bfffa,0x20004fff,0x0001fffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a200000,0x000acccb,0x97500000,
    0x40023799,0xca82ccba,0x9998801b,0x13333100,0x02666660,0x00ccccc4,
    0x22013331,0x33100999,0x33333333,0x99881333,0x5c459951,0x333000bc,
    0x2af32a21,0x33331000,0x201cb981,0x88019998,0x33101999,0x33331033,
    0x33331003,0xca800033,0x2e01b800,0x0032a001,0x0c400393,0x00440310,
    0x03100110,0x99730000,0x99999999,0x19999999,0x54005100,0x4cc04ccc,
    0x77765401,0xeeeeeeee,0x401beeee,0xc8800098,0xffffffff,0x3fa21ffd,
    0x207fb003,0xffffffea,0xc880ffef,0x8effffff,0x05ffffe8,0x0dffffd1,
    0x89fffffd,0xfffffffb,0x3ffffa25,0x3fe62fff,0x3a25ffff,0xc85fffff,
    0xffffffff,0xf14fffff,0xfff9ffff,0xfffff79f,0x3ffe601d,0xfffffbef,
    0x7ff402ef,0xffd34fff,0xffc87dff,0xf901ffff,0x6c3fffff,0x71ffffff,
    0x3fffffff,0xfffffd10,0x7c4000ff,0x1ffc405f,0x4c017fc4,0xff500eff,
    0x41fea00f,0xfffc87fa,0x76dc40ce,0xffd7103f,0x76c403bf,0xfffa83ef,
    0xffffffff,0xffffffff,0x002fd801,0xd907fffd,0x105dffff,0xffffffff,
    0xffffffff,0x3fb20dff,0xf5002fff,0xffffffff,0x7dc7ffff,0xeffdabff,
    0x40fffd9c,0xfffffffd,0xb82fffff,0xffffffff,0xffffffff,0x7fffd40d,
    0x7fffcc6f,0x7fff44ff,0xf50fffff,0xbfffffff,0x7fffffdc,0xfffff50f,
    0xfffc81ff,0xffffffff,0xffff74ff,0xffffffff,0x0bffffff,0x3ffffff2,
    0xffffffff,0xfffff302,0xfffff9bf,0x7ffc3fff,0xff04ffff,0x229fffff,
    0x4fffffff,0xfffffffd,0xfffff509,0x54000fff,0xffc807ff,0x404ffc84,
    0x540efffa,0x5c00ffff,0x4ffb84ff,0x7fef7ff4,0x3ffffe26,0xfbfffb03,
    0xfff501ff,0x7dc1dfff,0xffffffff,0xffffffff,0x7fe401ff,0x7ffc401f,
    0xeefff887,0xfff887ff,0xffffffff,0x5fffffff,0x7f7ffec4,0x7fc405ff,
    0xffeeffff,0x3e64ffff,0xffffffff,0x546fffff,0xeeefffff,0xb83fffff,
    0xfffeffff,0xfffeffff,0x7fff444f,0xffffd86f,0x7fffdc4f,0x7ff44fff,
    0x222effff,0x44fffffe,0x85fffffe,0xfffffffc,0x13ffffff,0xdffffffd,
    0xfdffffff,0xfd301fff,0xddffffff,0x201fffff,0xfffffffd,0xfffeffff,
    0x3ffffee4,0xffff701f,0x7ffe43ff,0xfff71fff,0xd103ffff,0x0fffffff,
    0x03ffd400,0x640dffc8,0x7fec05ff,0xffff50ef,0x85ffc807,0x7fd44ffd,
    0xcc8bfe22,0x39703fea,0x7fc44fe8,0x25fffeff,0xfffffec8,0xffffffff,
    0x2a01ffff,0x200effff,0x1103fffa,0x97307fd0,0x99999999,0x17999999,
    0x710befd8,0x7ff407ff,0x7f5440df,0x7ffdc4ff,0xffffffff,0x7ffe40ff,
    0x7ffdc40a,0xfd837502,0xffd14fff,0xdffb101f,0x13ffa620,0x3037ffcc,
    0x5c01bfff,0xf30dffff,0x3203dfff,0xb9999dff,0xfb84ffff,0xfff50eff,
    0x0bffe65f,0x0dffffc8,0x80bffee2,0xfffffe98,0x81bb30bf,0x3ea3fff8,
    0x1bff60ff,0x260fffb8,0x801cfffe,0x07ffb998,0x7fd43710,0x7e40aa27,
    0x77fec0ef,0x3bfff600,0x203ffffb,0x6c45ffd8,0x82c885ff,0x07fd04fe,
    0x3627f440,0xffd30cff,0x3e600005,0xfff301ff,0x7e40dfff,0x3b6e206f,
    0x0004feee,0x05ff1000,0x7fdc1bf6,0x7ffc404f,0xdffffd84,0x82ffffeb,
    0x2e01fffd,0x7d4000df,0x7ffd46ff,0x80dff903,0x3f204ffd,0xfff901ff,
    0xffff3003,0x1dffff7d,0x261ffd40,0xf704ffff,0x7ffcc1ff,0x9017ffc2,
    0x7fc09fff,0xfffe803f,0x7f4001ef,0x8bfff65f,0x3ea04fff,0xdfff70ff,
    0x3fea0003,0xbfffd007,0xffd7fff9,0x3fff607f,0x00f7fec1,0xfffffffb,
    0x2fff4407,0x0017ffa2,0x3fa05ff7,0x7ff64403,0x207ff41f,0x00003ffb,
    0xf103fff3,0x9fffdfff,0x4c0bffa0,0xffffffff,0x50000004,0x07fcc0ff,
    0xb8037fe4,0xfffe82ff,0x41fffd40,0xcdfffffb,0x9510021a,0xbfffddfb,
    0xdfff5555,0xb01bff20,0x7fc409ff,0x5fff885f,0x3fffa600,0x8805ffff,
    0x3ffea0cc,0x1ffee04f,0xff83fff3,0x1bff202f,0xd009ffd0,0x2000bfff,
    0xfff16ffc,0x0bffe6df,0xfd9fffa8,0x20000dff,0xf8807ffa,0xffffffff,
    0x205fffff,0x7ec2fffd,0x3ff602ff,0x3e603fff,0x7ffcc6ff,0x27fec005,
    0xf9807fd0,0x6ff85fff,0x0004ff98,0xd03fff30,0xffd19fff,0x06ff987f,
    0x5337dff1,0x266209fb,0x99999999,0x4c099999,0x0ff701ff,0xa8013ffa,
    0x03fff882,0x3fa0bffd,0xffffffff,0x3ffea00d,0xffffffff,0x7fffffff,
    0xd80dff90,0x7fe404ff,0x17ffdc1f,0x3fffa200,0x2a0004ff,0x5c04ffff,
    0x7ffcc7ff,0x9017ffc1,0xffe80dff,0x05ffe804,0x23ffea00,0xb8fffffb,
    0x3ea00fff,0x2fffffff,0x3ffd4000,0xfffffa80,0xdfffffff,0x3fffe200,
    0x07fffe22,0x07ffffd4,0x20efffa8,0x2006fffa,0x7403ffe8,0xfca8803f,
    0x20fff44f,0x00003ffc,0xfd83fff3,0x3ffe65ff,0x40bfee2f,0x7f4c0ffa,
    0xfffffe84,0xffffffff,0x7fc3ffff,0x827fd41e,0x80002fff,0xf700fffa,
    0x3fee20ff,0xffffffff,0xfffffd83,0xffffffff,0x07ffffff,0xfd80dff9,
    0x7ffc404f,0x0037ffc5,0x2fffffd8,0xffff5000,0x8fff7009,0x7fc1fff9,
    0x1bff202f,0xd009ffd0,0x440009ff,0xfffeafff,0x06ffdcff,0x7fffffd4,
    0x20004fff,0x4c007ffa,0xeffffffc,0xfffd800b,0x0ffffa24,0x7fffffd4,
    0xfffe880e,0x0ffffa23,0x00bffea0,0xf9000ffa,0x5f7fdc1f,0x000fffc9,
    0x43fff300,0x540efffb,0xdfb0ffff,0xedcefe80,0xf30effff,0xffffffff,
    0xffffffff,0xefff98df,0xf00efffd,0x300007ff,0x3f205fff,0x65cc406f,
    0x2ffffffe,0x37bfffea,0xfffffecb,0x07ffffff,0xfd80dff9,0xfffc804f,
    0x005fff71,0xfffffe88,0x7d4004ff,0xf7004fff,0x1fff98ff,0xf9017ffc,
    0x4ffe80df,0x004ffe80,0x7ff7ff40,0xffffffff,0x7fffd404,0x05ffffcc,
    0x00fff500,0x3fffffa0,0xfffe8803,0x07fffa22,0x7f7fffd4,0xff900eff,
    0x3fffc87f,0x01bffb10,0x5000ffa0,0xfffe81ff,0x0003ffff,0xf87ffe60,
    0xff700fff,0x3007febf,0xfdfffffb,0x7ffec3ff,0xffffffff,0x83ffffff,
    0xcfffffe9,0x017ff600,0x42fffc00,0xdb84fff8,0x3ffea201,0x20bfff25,
    0x999cfffa,0xf9019999,0x4ffd80df,0xf5fff880,0xe8800dff,0xfffcffff,
    0xfff5005f,0xf703109f,0x1fff98ff,0xf9017ffc,0x4ffe80df,0x004ffe80,
    0x7ffffe40,0xffffffaf,0x17ffd402,0x005ffff7,0x000fff50,0xfffffff9,
    0x77ff4403,0x037ffa20,0xd9ffffd4,0xf500efff,0xfffa89ff,0xccfffe83,
    0x332e2ecc,0xf52cceff,0x7ffb979d,0xfffffb10,0xff000007,0x401ffe8f,
    0x00334ffc,0x1988d544,0x26666660,0x99999999,0x09aa9801,0x02fffb80,
    0xffb09b30,0x3ffaa39f,0x037fc42f,0xfb87ffdc,0xfffc80ff,0xfff90006,
    0x027ffdc0,0xffcfffc8,0x3fe6002f,0xfff50eff,0x7fd401df,0x3ff884ff,
    0x3e63ffdc,0x17ffc1ff,0xe80dff90,0xffe804ff,0x7fd40004,0xfffd4fff,
    0xffa801ff,0x7fffd40f,0x3ffd4000,0x3bffe600,0xd106fffa,0xffe889ff,
    0x3fffe604,0x037ffec3,0xe989ffd1,0x7fff43ff,0xf15fffff,0xdfffffff,
    0x3fffffe6,0x5e5d405f,0xd7000000,0x7001b887,0x00000017,0x00000000,
    0xdffff880,0xfffc9881,0x7fffff42,0x43ffffff,0x20affffa,0x27ffeba8,
    0xb31dfff9,0x219fffff,0xf503fec9,0x3aa217ff,0x800dffff,0x6ffffff8,
    0x3fffee00,0x7fffd40f,0xffffa82e,0xfcaaaaae,0x3fff226f,0x82fffe61,
    0x5440cfff,0x980aeffd,0xa980dffe,0xaaadffea,0xff1000aa,0x3fee3fff,
    0x7e4c07ff,0x7fe41bff,0x5440aadf,0xafffcaaa,0xfd00aaaa,0x3fff23ff,
    0xe82ffd82,0x7fdc02ff,0x1fffb03f,0x443ffd80,0x26623ffd,0x20999999,
    0x19999998,0x00abbaa8,0x00000000,0x00000000,0x00000000,0x7fcc0000,
    0xffefffff,0x362fffff,0xffffffff,0x2e3fffff,0xffffffff,0x44ffffff,
    0xfffffffe,0xffffffff,0xf107ffff,0xffffffff,0x07ffffff,0x5fffffb0,
    0x3ffffe00,0x3ffe66ff,0x7fc5ffff,0xffffffff,0xff37ffff,0x3e6dffff,
    0x3ffe7fff,0x3fff61ff,0x7fe46fff,0x3fa3ffff,0xffffffff,0xd003ffff,
    0x7fc4dfff,0x3ff605ff,0x225fffff,0x27fffffe,0xfffffffb,0xffffffff,
    0x743ffd80,0x01ef82ff,0xfd1001df,0x003fc807,0x1bee0df7,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ea00000,0xffffffff,0x3ee4ffff,
    0xffffefff,0x30ffffef,0xffffffff,0x10bfffff,0xfffffffd,0xffffffff,
    0x7dc0bfff,0xffffffff,0x804fffff,0x006ffff9,0xfffffff1,0x3fffea1f,
    0x7ffc6fff,0xffffffff,0xfff77fff,0x3fe6ffff,0xffff1fff,0x7ffffc5f,
    0x3ffa1fff,0xff14ffff,0xffffffff,0x200bffff,0x7ec3fffc,0x3ffa03ff,
    0x546fffff,0xb1ffffff,0xffffffff,0x5fffffff,0x79107910,0x00000000,
    0x40110000,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffff91,0xfa839fff,0x159750ef,0x9f91ffee,0xfffffffd,0xfffd803d,
    0xfdbecdff,0x802dffff,0xeffffffb,0x01dfffeb,0x007fffb0,0x77ffff5c,
    0x7ffffe43,0x7ffffc2d,0xffffffff,0xffffb17f,0x3bffe65d,0x517fffe4,
    0x89dffffd,0x1dffffda,0x3fffffae,0x1dffffff,0x81fff500,0x2a01fffa,
    0x2efffffe,0x24efffd8,0xffffffd9,0x4effffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaacba988,
    0x0032a009,0x2a600e54,0x40009aca,0x57100ab9,0x2ee60003,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bbaa000,
    0x817bba64,0x00018800,0x33333100,0x33333333,0x01333333,0x44444444,
    0x88888888,0x37100888,0xaaa98aa0,0xaaaaaaaa,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x97ffea00,0xf706fff9,
    0x3fffa605,0x3f660204,0x3ffffa0c,0xffffffff,0xffffffff,0x7fffec4f,
    0xffffffff,0xffffffff,0x20ffec3f,0xfffd2ffc,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x27ffcc00,
    0x7ec17ffe,0xfffffa83,0x07fdc0df,0x3e69fffd,0xffffffff,0xffffffff,
    0x267fffff,0xffffffff,0xffffffff,0x47ffffff,0x7fec2fff,0xffffffd4,
    0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x7f43fff8,0x43dfb04f,0xfffffff9,0x7fff71ef,0xd9bfffe2,
    0xffffffff,0xffffffff,0x744fffff,0xffffffff,0xffffffff,0x545fffff,
    0x90ee985e,0xdddddddd,0x005ddddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0x81ffec1f,0xffb0fffd,0xffffd39f,
    0x641ffffb,0x88882fff,0x88888888,0x08888888,0x2aaaaa60,0xaaaaaaaa,
    0x00aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3a000000,0x17fe40ff,0x4bfeef32,0x3f624ffc,0x82ffffff,
    0x000000b9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x83ff70ff,0x10ffffff,0x3ffee077,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff50df70,0x2efec981,0x05edcc00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x080df10b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a017000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_39_latin_ext_x[560]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,7,1,-1,1,1,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,1,2,0,
8,1,4,-1,4,1,-1,3,-1,-2,4,1,5,5,7,0,2,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,2,2,2,2,2,2,2,2,2,2,0,-1,1,2,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,2,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_39_latin_ext_y[560]={ 28,5,7,4,4,6,8,6,5,5,6,8,23,16,
23,3,5,5,5,5,6,6,5,6,5,5,12,12,8,13,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,3,6,5,34,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,28,13,4,7,9,7,
6,6,6,7,5,13,16,16,7,1,2,3,5,5,5,12,6,14,26,5,5,13,5,5,5,13,-1,-1,0,1,
1,-1,7,7,-1,-1,0,1,-1,-1,0,1,7,1,-1,-1,0,1,1,11,5,-1,-1,0,1,-1,7,6,5,5,
5,6,6,4,12,12,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,8,10,5,5,5,6,5,6,6,
2,7,0,5,7,12,-1,5,0,5,0,6,0,5,0,6,7,6,2,7,0,5,0,6,7,12,0,5,0,5,
0,5,0,6,7,3,0,0,7,6,1,6,2,7,0,5,7,6,0,12,7,6,0,5,7,6,12,-1,-1,7,
6,7,6,7,6,7,6,-1,5,7,12,0,5,6,7,12,2,7,0,5,-1,5,7,12,-1,5,7,12,0,5,
-1,5,0,5,7,12,0,5,7,7,0,6,7,7,1,6,2,7,0,5,-1,4,-1,5,7,12,0,5,0,5,
1,-1,5,0,6,0,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,11,6,6,6,6,6,6,6,6,6,6,6,6,6,3,11,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,5,0,5,0,
5,0,5,-1,2,-1,0,-1,0,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-7,-2,-1,5,-1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_bold_39_latin_ext_w[560]={ 0,6,13,17,16,17,16,5,8,8,16,19,8,15,
6,16,16,16,17,17,16,17,16,16,16,16,6,9,21,21,21,15,15,23,20,19,20,20,20,20,21,16,21,21,
19,23,22,21,18,21,22,17,19,21,23,23,21,21,17,9,16,9,16,25,7,19,21,19,21,18,18,20,21,17,
14,19,17,23,20,19,21,21,19,17,19,20,21,22,21,21,16,10,5,10,17,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,16,19,17,21,
5,19,12,22,13,19,21,15,22,25,12,19,10,11,7,20,17,6,8,10,13,19,21,24,21,16,23,23,23,23,
23,23,23,19,20,20,20,20,16,16,16,16,21,22,21,21,21,21,21,15,21,21,21,21,21,21,18,19,19,19,
19,19,19,19,23,19,18,18,18,18,17,17,17,17,18,20,19,19,19,19,19,19,20,20,20,20,20,21,21,21,
23,19,23,19,24,21,19,19,19,19,19,19,19,19,20,24,21,21,20,18,20,18,20,18,21,18,20,18,20,20,
20,20,20,20,20,20,21,21,21,21,16,17,16,17,16,17,16,17,16,17,21,21,21,14,21,19,21,19,17,19,
17,19,17,19,17,20,17,22,20,22,20,22,20,21,19,18,21,19,21,19,21,19,23,23,22,19,22,19,22,19,
17,17,17,17,17,17,17,17,19,19,19,21,19,19,21,20,21,20,21,20,21,20,21,20,21,21,23,22,21,21,
21,17,16,17,16,17,16,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,19,18,18,17,18,18,18,
18,18,18,18,18,18,18,18,18,18,23,20,18,18,18,18,18,18,18,18,18,18,18,18,18,24,23,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,19,16,17,21,
19,21,20,21,20,21,20,21,20,21,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,23,19,23,23,21,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__courier_bold_39_latin_ext_h[560]={ 0,24,10,28,29,23,21,12,29,29,15,20,11,4,
6,29,24,23,23,24,22,23,24,23,24,24,17,20,20,11,20,22,26,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,27,21,22,21,22,21,21,21,21,21,28,29,28,12,5,6,17,23,17,23,17,22,24,22,22,
30,22,22,16,16,17,24,24,16,17,22,17,16,16,16,24,16,28,28,28,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,23,26,21,17,21,
28,25,5,22,11,15,12,4,22,5,12,25,13,13,6,24,25,6,9,13,11,15,23,23,23,23,29,29,28,27,
27,29,21,28,29,29,28,27,29,29,28,27,21,27,30,30,29,28,28,15,26,30,30,29,28,29,21,23,24,24,
24,23,23,25,17,23,24,24,24,23,23,23,23,22,23,22,24,24,24,23,23,20,21,24,24,24,23,31,30,30,
26,22,28,24,26,21,30,24,29,24,29,23,29,24,28,23,21,23,26,22,28,24,28,23,26,21,28,24,29,31,
29,31,29,30,28,33,28,28,21,22,27,22,26,21,28,23,26,27,28,16,22,30,29,31,28,29,16,29,29,28,
29,21,22,21,22,21,22,29,23,28,23,28,23,22,22,24,27,22,29,24,30,24,21,17,29,23,28,23,28,23,
30,24,29,24,28,23,29,24,31,30,28,23,21,22,28,23,27,22,29,24,30,25,30,24,26,21,28,23,28,31,
27,29,23,28,22,28,23,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,
22,22,22,22,22,22,22,22,22,22,23,18,22,22,22,22,22,22,22,22,22,22,22,22,22,26,18,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,24,28,23,29,
24,29,24,30,27,30,29,30,29,30,30,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,35,31,29,24,32,26,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__courier_bold_39_latin_ext_s[560]={ 506,122,291,436,125,23,350,506,307,280,291,
299,450,404,332,164,469,164,283,296,249,41,279,220,262,452,503,501,361,473,319,
266,402,263,309,282,221,162,183,324,107,204,363,81,367,435,481,302,129,303,23,
345,61,204,275,251,229,121,103,498,233,304,433,365,504,428,356,1,1,448,424,
440,481,1,274,461,443,163,187,491,213,335,208,39,385,81,102,228,124,129,146,
336,277,242,314,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,506,501,368,
41,21,19,506,166,391,226,459,344,411,404,144,339,398,146,364,386,504,82,108,
504,305,375,495,308,124,81,59,322,62,421,454,154,222,144,387,478,212,361,77,
325,404,127,1,246,459,280,1,41,168,411,347,328,488,105,484,445,314,190,143,
200,481,400,461,119,99,126,57,481,103,235,357,19,56,1,38,186,161,435,315,
295,275,180,275,341,242,172,151,40,312,89,462,83,443,40,253,486,1,1,355,
412,467,371,1,378,21,432,283,74,167,139,26,167,56,352,198,420,86,148,35,
207,41,168,104,68,199,441,433,25,131,153,207,374,263,356,385,189,18,106,69,
136,98,273,80,333,142,131,369,316,251,260,359,391,181,87,476,67,494,46,22,
338,301,219,222,175,201,122,456,1,178,415,238,20,397,332,411,467,336,263,413,
243,108,181,23,314,289,244,454,463,220,226,189,63,66,398,330,60,86,254,200,
1,487,391,419,186,375,61,47,287,42,333,490,146,346,86,237,472,339,395,295,
396,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,102,405,405,377,
405,405,405,405,405,405,405,405,405,405,405,405,405,439,407,405,405,405,405,405,
405,405,405,405,405,405,405,405,418,383,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,18,193,
1,146,316,420,382,254,289,115,252,250,230,271,311,209,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,1,111,292,376,46,467,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405, };
static unsigned short stb__courier_bold_39_latin_ext_t[560]={ 30,183,340,68,68,232,279,156,68,68,324,
302,324,340,340,68,156,232,232,156,256,232,156,208,156,156,256,207,302,324,302,
256,127,279,279,256,279,279,279,256,302,279,256,279,279,279,279,256,302,127,302,
256,279,256,302,302,302,279,279,98,37,98,324,340,279,302,208,324,232,302,256,
183,256,279,1,256,256,324,324,302,183,183,324,324,256,324,324,324,324,183,324,
98,98,98,340,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,
256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,30,183,127,
279,324,279,1,156,340,256,324,324,324,340,256,340,324,156,324,324,286,183,156,
293,340,324,324,324,232,232,232,232,68,37,98,127,127,37,279,98,37,37,127,
127,37,37,127,127,279,127,37,37,37,98,98,324,127,37,1,37,98,37,279,
208,183,183,183,208,208,156,324,208,183,183,183,208,208,208,208,256,208,232,183,
183,183,208,208,302,279,183,183,183,208,1,1,37,127,256,98,156,156,302,1,
156,37,156,68,208,68,156,98,208,302,208,156,256,127,156,98,208,156,302,127,
156,68,1,68,1,68,1,98,1,98,98,302,232,127,232,127,302,127,232,156,
127,127,324,256,1,68,1,98,68,324,68,68,98,68,302,232,302,232,302,256,
37,232,98,232,98,232,256,232,183,127,232,68,183,1,156,279,302,68,232,68,
232,98,232,37,156,68,156,68,208,68,156,1,37,98,208,279,256,98,208,127,
256,37,156,1,156,1,183,156,279,98,208,68,1,127,68,208,68,232,68,208,
232,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,68,
256,256,256,256,256,256,256,256,256,256,256,256,256,208,302,256,256,256,256,256,
256,256,256,256,256,256,256,256,127,302,256,256,256,256,256,256,256,256,256,256,
256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,98,183,
98,232,37,183,37,183,1,127,1,37,1,37,1,1,256,256,256,256,256,256,
256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,
256,256,256,1,1,37,183,1,127,256,256,256,256,256,256,256,256,256,256,256,
256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,
256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,
256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,
256,256,256,256,256,256,256,256,256, };
static unsigned short stb__courier_bold_39_latin_ext_a[560]={ 331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_39_latin_ext(stb_fontchar font[STB_FONT_courier_bold_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_39_latin_ext_s[i] + stb__courier_bold_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_39_latin_ext_t[i] + stb__courier_bold_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_39_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_39_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_39_latin_ext_x[i] + stb__courier_bold_39_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_39_latin_ext_y[i] + stb__courier_bold_39_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_39_latin_ext_s[i] + stb__courier_bold_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_39_latin_ext_t[i] + stb__courier_bold_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_39_latin_ext_x[i] + stb__courier_bold_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_39_latin_ext_y[i] + stb__courier_bold_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_39_latin_ext_LINE_SPACING
#endif

