// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_40_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_40_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_40_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT        368
#define STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_40_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_40_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_40_latin_ext_LINE_SPACING          19

static unsigned int stb__courier_bold_40_latin_ext_pixels[]={
    0x003b3000,0x00064400,0x00000000,0x06a00000,0x00000000,0x00000053,
    0x00000000,0x40000044,0x00000101,0x00000011,0xaaaa9800,0x002aaaaa,
    0x00000000,0x00980000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80aaaa00,0x7ff70001,0x03740000,0x0db10000,0x2a03f980,0x3620002f,
    0x3f20006f,0xff700002,0x7f500001,0x1fd40000,0x01fe8000,0x837ea000,
    0x200004fb,0xdd0007e9,0x7c400001,0xffffffff,0xfd1002ff,0x000df907,
    0x00076c40,0x013ffee0,0x00fe4000,0x00006f40,0x7545f700,0x01ff9804,
    0x0fea0000,0x0017dc00,0x03fffe00,0xd8003bf6,0x200005ff,0x000001fc,
    0xa800dff3,0x3fe880ff,0x5ffd3000,0xfffd3000,0x7ec0001b,0x6c40005f,
    0x0001efff,0x07bfff62,0x07ff3000,0x5ffec000,0x00001efe,0x20005ff5,
    0x00002ffe,0x26666662,0x2e000999,0x7ffc47ff,0xfe980002,0x3e20000f,
    0x0002fb9d,0x007ff620,0x003fff10,0x27ff7000,0xfc804ffa,0x9000003f,
    0x320009ff,0x200004ff,0x7c40ffff,0xfe8802ff,0x2200004f,0x7000003f,
    0x88003dff,0xea88beff,0xfa8001ff,0xfc8002ff,0x02fffeff,0x027ff440,
    0x3bffea00,0xa8003fff,0x3fffefff,0x1ff44000,0xfff50000,0x7dc00009,
    0x3a60001e,0x000003ff,0x3fe60000,0x001ffe86,0x017ffd40,0x0db1f200,
    0x3ffa6000,0xfff30003,0x7e400005,0x01dff55f,0x000bffd0,0x05ffd880,
    0x06ffec00,0x7fffc000,0x017ffc40,0x00017fec,0x0017fea0,0x01dff900,
    0x3fffea00,0x8003ffff,0x8001eff9,0xff71effd,0x3fe2007f,0x7dc0002f,
    0xbffd32ff,0x97ffdc00,0x2005ffe9,0xa93223fc,0x45fb006f,0x03ba61c8,
    0x0db8ff20,0xb1001bea,0xb0000bff,0x03ba605f,0xb880b980,0x7fdc0001,
    0xfb80001e,0x200017a0,0x0002fffa,0x0027ff44,0xfaa7fe40,0xffd000ef,
    0x7440000b,0x700003ff,0x80001dff,0xff882aaa,0x01ec802f,0xfffb8000,
    0xff500002,0xfb300009,0x0003dfff,0x200037f2,0xfd884ff8,0x03df3006,
    0x01bfd000,0x3a001ff9,0x0ffc80df,0x407ff880,0x7cc02ffd,0x1ffe406f,
    0xb01ffe20,0xf90005ff,0x7cc0005f,0x07ff906f,0x40000000,0x0000dff9,
    0x5fb7df10,0x1dff0000,0x7fec0000,0x3fe20001,0xd0017fe4,0x40000bff,
    0x00002ffd,0x0002ffd4,0x0bffe200,0x00000980,0x0007ffcc,0x0002d880,
    0x00009980,0x04c00008,0x01800260,0x30062000,0x200c4003,0x13f60019,
    0x3a00df50,0x0ffcc03f,0x2a027ec0,0x36a0006f,0x1ff40000,0x0000ff98,
    0x36200000,0xda800003,0x900003ef,0x50000019,0x3d80001b,0xcb980264,
    0xccccefff,0x2a002ccc,0x3000000d,0x8000005b,0xb802fff8,0x00004fff,
    0x00000144,0x1000bb80,0xeea80000,0x0000000b,0x00000000,0x00080000,
    0x00200100,0x20000010,0x00001000,0x00040000,0x66665cc0,0x99997302,
    0x00000003,0x00000040,0x00000000,0x3e200000,0xffffffff,0x02ffffff,
    0x00000000,0xcccca880,0x0ccccccc,0x8805fff1,0x003fb9df,0x00000200,
    0x7e404d4c,0xffd9104f,0x999519df,0xdfb80159,0x951005fd,0x99999999,
    0x665cc199,0x997302cc,0xccb98399,0x997302cc,0x76440399,0xca8cefff,
    0x0000accc,0x00000000,0x44000000,0x06fc83fe,0x3e000000,0x42ffffff,
    0xfffffff9,0x00000001,0x51000000,0x00000135,0x0d4c0000,0xfffff300,
    0xffffffff,0x262007ff,0x300001aa,0x7fe40035,0xffffffff,0x5fff11ff,
    0x036c7c80,0xfffd9100,0x9999519d,0xffe98017,0xff72efff,0xffff50bf,
    0xffdfffff,0x4f80bfff,0x3f2007ea,0xffffffff,0x3ffe1fff,0x7cc2ffff,
    0x21ffffff,0x2fffffff,0x7fffffcc,0xffffa81f,0xffefffff,0xdd915fff,
    0x5c19dfff,0x0ceffffe,0xdfffdd91,0x7fff5c19,0xdd910cef,0x5c19dfff,
    0x0ceffffe,0xf88fff70,0x3b2202ff,0x20cefffe,0xceffffeb,0xffffff10,
    0xffffa87f,0xdd912fff,0x5c19dfff,0x0ceffffe,0xdfffdd91,0x7fff5c19,
    0x2e600cef,0x9dfffffe,0x3bb223ea,0x2e0cefff,0x0ceffffe,0x7ffff4c0,
    0xedb803ef,0xeeeeffff,0xfa803dee,0xabefffff,0xffd3002d,0xd807dfff,
    0xffffffff,0xff11ffff,0x20fb805f,0xff50005e,0xdfffffff,0x20bfffff,
    0xffffffc8,0xffffefff,0x7ffffe41,0xffffffff,0x3e206fff,0x3600be63,
    0xffffffff,0xff11ffff,0xa87fffff,0x2fffffff,0xfffffff1,0xfffffa87,
    0x7ffe42ff,0xffffffff,0xf76fffff,0x9fffffff,0x3fffffea,0xffff75ff,
    0x3ea9ffff,0x5fffffff,0xfffffff7,0x3fffea9f,0xf305ffff,0x03ffd0df,
    0x7fffffdc,0xffff54ff,0x754bffff,0xb80cefff,0x2e4ffffe,0xffffffff,
    0xffffff54,0x3ffeebff,0xf54fffff,0xbfffffff,0xfffffb10,0xffffffff,
    0x3ffffee1,0xfff54fff,0x20bfffff,0xffffffc8,0xd000dfff,0x44000bff,
    0xfffffffe,0x4407ffff,0xfffffffc,0xd9100dff,0xfddddddd,0x3ffe23ff,
    0x6df7c402,0xffc8002f,0xffffffff,0x86ffffff,0xffffffe8,0xffffffff,
    0x77fffcc3,0xffffdbac,0x6c01ceff,0x1007d99e,0xddddddd9,0x7543fffd,
    0xb80cefff,0x544ffffe,0x80cefffe,0x44ffffeb,0xaceffff9,0xffffffdb,
    0xffff51ce,0x3e67ffff,0x4fffffff,0xfffffff5,0x3fffe67f,0xff54ffff,
    0x27ffffff,0xfffffff9,0x202e604f,0x7fd401b8,0x33ffffff,0xffffffff,
    0x05fff889,0x2a17ffe4,0xffffffff,0xffffff33,0x3ffea9ff,0xf33fffff,
    0x9fffffff,0xfffffe88,0xffffffff,0xfffff52f,0x3fe67fff,0x84ffffff,
    0xffffffe8,0x01ffffff,0x0005ffe8,0x3ffffff6,0x1fffffff,0xfffffd10,
    0x3fffffff,0x3ffe6000,0x003fff11,0x0007dfb5,0x59dffff3,0xffffffb7,
    0xfffb039d,0xffb5359f,0xfe88bfff,0xfff703ff,0x7f4c00ff,0x200002ff,
    0x7c41fff9,0x7fe405ff,0xbfff102f,0x42fffc80,0x703fffe8,0x2a0fffff,
    0x42ccfffd,0xaefffcb9,0x33fff6a0,0x7fe5cc2c,0x3f6a0aef,0x5cc2ccff,
    0x00aefffc,0xfda80000,0x5cc2ccff,0x80aefffc,0xf101fffc,0x3f6a0dff,
    0x5cc2ccff,0x20aefffc,0x2ccfffda,0x77ffe5cc,0x7ffff40a,0xffca99bd,
    0x3f6a3fff,0x5cc2ccff,0x80aefffc,0x9acffffd,0x0fffffb9,0x002fff40,
    0xadffffb8,0xfffffb99,0x9ffffb01,0xffff7335,0xff30001f,0x0027543f,
    0x7f440002,0xfff703ff,0x7ffd40ff,0xffff901e,0x04fffa8b,0x003fffdc,
    0x40000154,0xfc81fff9,0xfff101ff,0x1fffc80d,0x50dfff10,0xfb809fff,
    0x3fee07ff,0x4ffe800f,0x001fff70,0x3ee09ffd,0xffe800ff,0x40000004,
    0xe800fffb,0x3fe204ff,0x5fff905f,0x007ffdc0,0xfb827ff4,0xffe800ff,
    0x1ffffb84,0x0ffffa60,0xd001fff7,0x3fea09ff,0xffb101ef,0x5ffe809f,
    0x3fffb000,0x07fffa20,0x407bffea,0x004fffd8,0x001fff98,0x3ea00000,
    0x7fdc04ff,0xffff107f,0x3fffea01,0x1ffee1ff,0x003fff40,0x98000008,
    0xff881fff,0x5fff905f,0x05fff880,0xf705fff9,0x3ffa00ff,0x03ffee07,
    0x5c13ffa0,0xfe800fff,0x1fff704f,0x309ffd00,0x71099997,0x5c099999,
    0xfe800fff,0x7ffe404f,0x037ffc41,0x2003ffee,0xff704ffe,0x9ffd001f,
    0x003fffd0,0xfb85fff3,0xffe800ff,0x0ffff884,0x01fffd80,0x40017ffa,
    0x7d404fff,0x7ffc41ff,0xfffd800f,0x7ffcc001,0x3ffae001,0x004effff,
    0x7401ffee,0xfff707ff,0x3fffe605,0x3ff65fff,0x0fff9006,0xfffeca88,
    0x80000cef,0xf901fff9,0xfff883ff,0x3fff9006,0xb06fff88,0x3f200dff,
    0x3ffee07f,0x04ffe800,0xd001fff7,0x3fee09ff,0x4ffe800f,0x3fffffcc,
    0x7ffffff4,0x01fff700,0x8809ffd0,0x7fe46fff,0x7ffdc02f,0x04ffe800,
    0xd001fff7,0xfff889ff,0x03ffa003,0xd001fff7,0xfff709ff,0x3ffe6005,
    0x017ffa05,0x4027ffc0,0xfffb87fe,0xbfff3002,0x1fff9800,0xfffff300,
    0x001fffff,0x6401bff6,0xdffb07ff,0x33fffa20,0x3ffa7ffd,0x0fff9005,
    0x7fffffd4,0x004fffff,0x80fffcc0,0x7e46fff8,0xff1002ff,0x2fffc8df,
    0x200bffd0,0x3ee07ffc,0xffe800ff,0x01fff704,0x2e09ffd0,0xfe800fff,
    0x7fffd44f,0xffffe87f,0xfff700ff,0x09ffd001,0x223fff90,0xfb806fff,
    0xffe800ff,0x01fff704,0xfa89ffd0,0x366001ff,0x00fffb83,0xfd84ffe8,
    0x7fe4006f,0x017ffa07,0x017ffe40,0x3ff602a2,0x3ffe4006,0x87ffe600,
    0xfff982c9,0x3fffffff,0x00bffb00,0x7f41fff2,0xbfffb04f,0x7e47ffee,
    0xfffb007f,0x7ffffe40,0x3fffffff,0x3ffe6000,0x47fff201,0x4006fff8,
    0xff11fffc,0x3ffe40df,0x207ffd80,0xe800fffb,0xfff704ff,0x09ffd001,
    0x2003ffee,0xedb84ffe,0xeed987ff,0xff700fff,0x9ffd001f,0x2dfff100,
    0xb802fffc,0xfe800fff,0x1fff704f,0xc89ffd00,0x200007ff,0xe800fffb,
    0x4ffe84ff,0x07ffd400,0x4406ffd8,0x7fffd42a,0x3a000ace,0x7d4004ff,
    0x3e6000ff,0x07ffe1ff,0x3fff32e6,0xf9006fff,0x3ff600ff,0x82fff887,
    0xf30ffffb,0x3ffee5ff,0x3fffcc02,0x9bdfff30,0x0ffffd95,0x0fffcc00,
    0x32dfff10,0x44002fff,0xfff96fff,0x17ffdc05,0x81fffe60,0xe800fffb,
    0xfff704ff,0x09ffd001,0x2003ffee,0x3ee04ffe,0x7ffdc07f,0x01fff700,
    0x2009ffd0,0xfffbfffc,0x1fff7006,0x209ffd00,0xe800fffb,0x2fff44ff,
    0xfff70000,0x89ffd001,0x4002fff8,0xf902fff9,0x32a237ff,0x7e44fffe,
    0xceffffff,0x0bffe202,0x05fff300,0x88fffcc0,0x7c402fff,0x01ffffff,
    0x402fffa8,0xf987fff9,0x7ffcc2ff,0x4fffe21f,0x101ffff8,0x880ffffd,
    0x07ffe401,0x1fff9800,0x7dfffe40,0xf90006ff,0x0dfff7ff,0x01ffff88,
    0x40ffffd1,0xe800fffb,0xfff704ff,0x09ffd001,0x2003ffee,0x3ee04ffe,
    0x7ffdc07f,0x01fff700,0x2009ffd0,0xfffffff8,0x1fff7002,0x209ffd00,
    0xe800fffb,0x27ff44ff,0xfff70000,0x89ffd001,0x8001fff9,0xff503fff,
    0xffffffff,0xff70bfff,0xffffffff,0x03fff303,0x007fff00,0xf88fffcc,
    0x7fdc02ff,0x805fffaf,0x101ffff8,0xf10ffffd,0x7ffc47ff,0x17ffc43f,
    0x237ffff7,0x7fffffb9,0x98ccc400,0x30001fff,0xf8803fff,0x02ffffff,
    0xfffff100,0xff7005ff,0x3ee637ff,0x2e07ffff,0xfe800fff,0x1fff704f,
    0x209ffd00,0xe800fffb,0x3fee04ff,0x07ffdc07,0x800fffb8,0x32004ffe,
    0x006fffff,0x2003ffee,0xff704ffe,0x9ffd001f,0x0004ffe8,0x003ffee0,
    0xff113ffa,0xff88005f,0x3fff202f,0xffffffff,0xffd9301e,0x87ffffff,
    0x4002fff8,0x2002fff8,0xff11fff9,0x6ffe805f,0x7001fffb,0x2637ffff,
    0x07fffffb,0x7ff4bfff,0x0fffa85f,0x7ffffff4,0x7fffffff,0xffffd980,
    0x01ffffff,0x03fff300,0xdfffff90,0xfffc8000,0x3fa006ff,0xffffffff,
    0x2e07ffff,0xfe800fff,0x1fff704f,0x209ffd00,0xe800fffb,0x3fee04ff,
    0x07ffdc07,0x800fffb8,0x22004ffe,0x002fffff,0x2003ffee,0xff704ffe,
    0x9ffd001f,0x0005ffe8,0x003ffee0,0x3fe13ffa,0x7fd4003f,0x7ffdc00f,
    0x02dfffff,0x3ff6ea20,0x7ffc1fff,0x7ffd4003,0x3ffe6000,0x405fff11,
    0xff33fffa,0x3ffa007f,0xffffffff,0xffd07fff,0x41bfff2f,0xfd887ffc,
    0xffffffff,0x36207fff,0xffffffff,0x0001ffff,0x1003fff3,0x005fffff,
    0xfffff880,0x3ff62002,0xffffffff,0x3fea07ff,0x4ffe800f,0x001fff50,
    0x3ea09ffd,0xffe800ff,0x01ffee04,0x2a01fff7,0xfe800fff,0x7fe4004f,
    0x7fd4006f,0x4ffe800f,0x001fff50,0xffd89ffd,0x3ea00007,0xffe800ff,
    0x005ffd84,0x8803ffdc,0x0009bca9,0x7fff9100,0x4005ffd8,0x4c007ffb,
    0xfff11fff,0x07ffec05,0x2200dffd,0xfffffffd,0x907fffff,0xffffbfff,
    0x0bfff101,0x7fffffd4,0x107ffcbf,0xfffffffd,0x03ffffff,0x07ffe600,
    0x037ffe40,0x6fffc800,0xffff5000,0xfff97fff,0x017ffcc0,0xf981fffc,
    0xfff802ff,0x05fff303,0x5c07fff0,0x7fdc07ff,0x5fff300f,0x007fff00,
    0x002fffd8,0x4017ffcc,0xff303fff,0x7fff005f,0x001fffb8,0x05fff300,
    0xf907fff0,0x3e2005ff,0x000006ff,0x6c007fa6,0x7ffe46ff,0xdfff1002,
    0x1fff9800,0x2205fff1,0x7fdc5fff,0x3fea001f,0xfcbfffff,0xffff107f,
    0x3f605fff,0xba8802ff,0x41ffee1a,0xacfffffd,0x1fffdcaa,0x3fff3000,
    0x0bfff600,0x7ffec000,0x5d440002,0x81ffee1a,0x4c06fff8,0xff102fff,
    0xfff980df,0x0dfff102,0x202fff98,0x7dc07ffb,0xfff100ff,0x2fff980d,
    0x1bffe600,0x1bffe200,0x205fff30,0x4c06fff8,0x7fc42fff,0x05d4006f,
    0x301bffe2,0xff305fff,0x3ff600df,0x13f2002f,0x802ffe40,0x7fcc7ffc,
    0xfffb006f,0x7ffc8005,0x5c0bffe2,0x7fc41fff,0xba88005f,0x81ffee1a,
    0x84fffffb,0x005fffd8,0x886ffe80,0x2601ffff,0x90001fff,0xf3001fff,
    0x20000dff,0x0006fff9,0x037ff400,0x4c0bfffa,0x3a00ffff,0xff302fff,
    0x7ff401ff,0xffff302f,0x0fffdc01,0x00fffea8,0x4c0bfffa,0x2000ffff,
    0x0002fffd,0x2605fffd,0x3a00ffff,0xff302fff,0xfffb01ff,0xbff9001b,
    0x205fffd0,0x700ffff9,0x2201dfff,0x2005fffd,0xe801fffa,0x7cc03fff,
    0xfffb86ff,0xfffb100e,0xdfff000b,0xe817ffc4,0x99999fff,0x0000fffd,
    0x881bffa0,0x32cfffff,0x01ffffd7,0x4fff9800,0x202fffa8,0x001fffd9,
    0x200dfff0,0x0002fffd,0x005fffb0,0x7ffcc000,0x7fffd404,0xfffb98be,
    0x7ffd403f,0xffb98bef,0x7fd403ff,0xfb98beff,0x7cc03fff,0xfd731dff,
    0x2017ffff,0x8beffffa,0x03ffffb9,0x7ffd4ccc,0x3fea0006,0xfb98beff,
    0x7d403fff,0xb98befff,0xd103ffff,0x2359ffff,0x6fffeba8,0xbeffffa8,
    0x3ffffb98,0x5ffffec0,0xffffd731,0x7ffcc001,0xffffe800,0xffd731be,
    0x3ff609ff,0xfd731bff,0x26201fff,0xffffc999,0x20bffe24,0xfffffffa,
    0x03ffffff,0x9fff3000,0x7ffffdc0,0xffffffff,0x2666002f,0x2ffffc99,
    0x0adfff98,0xfffffb53,0x3331015b,0x09fffd73,0x3ffea666,0x26660006,
    0x0006fffa,0xf9333330,0xf9005fff,0xffffffff,0x3f200dff,0xffffffff,
    0xff9006ff,0xffffffff,0x3ffe00df,0xffffffff,0x3207ffff,0xffffffff,
    0x3f206fff,0xffffffff,0xff90004f,0xffffffff,0x3ff200df,0xffffffff,
    0xfffd806f,0xffffffff,0xff902fff,0xffffffff,0xfff100df,0xffffffff,
    0xb10005ff,0x3fff600f,0xffffffff,0xf100efff,0xffffffff,0xd505ffff,
    0xffffffff,0x0ffe81df,0xffffffd8,0x6fffffff,0x4ccccc00,0x502ffffc,
    0xffffffff,0x03dfffff,0x3fffff20,0x205fffff,0xfffffffe,0xffffffff,
    0x3fffea7f,0x86ffffff,0xfffffffc,0x32004fff,0xffffffff,0xf90004ff,
    0xffffffff,0x7fe400bf,0xdfffffff,0x3fff2000,0x0dffffff,0x3ffff200,
    0x00dfffff,0xffffff50,0xffffffff,0x7ffe401f,0x0dffffff,0xffffff10,
    0x00ffffff,0x7ffffe40,0x000dffff,0x3ffffff2,0xb000dfff,0xffffffff,
    0xc803dfff,0xffffffff,0xfb1000df,0xffffffff,0x3e60001d,0xffff9002,
    0xffffffff,0xfd8803df,0xffffffff,0xffffd00e,0x01dfffff,0xfff10351,
    0xffffffff,0x9003ffff,0xffffffff,0x7ffc09ff,0xffffeabf,0x3e2003ff,
    0xffffffff,0x7ffcc05f,0xffffffff,0xd0ffffff,0xffffffff,0xfff881df,
    0xffffffff,0xffff1007,0xffffffff,0xffff1000,0x0bffffff,0xffffd300,
    0x260007ff,0x3ffffffe,0xfffd3000,0x50007fff,0x9fffffff,0x007dfff9,
    0xffffffd3,0xffffd007,0x0bffffff,0xfffe9800,0x30003fff,0x7ffffffd,
    0xfffb5000,0x007dffff,0x7fffff4c,0xff50003f,0x009dffff,0x26004e80,
    0xfffeb9ed,0x4002ffff,0xeffffffa,0x7fffe404,0x000befff,0xaabfffb8,
    0xffaaaaaa,0x7ffc405f,0x5fffffff,0x313ffee0,0x20001575,0xfffffffe,
    0xffb3003d,0xf79fffff,0x7e47dfff,0xbdffffff,0xfffffd00,0x00bfffff,
    0x7ffffff4,0x0005ffff,0xfffffffd,0x9880007b,0x100000ab,0x00001573,
    0x0002ae62,0x006aee60,0x0ab98800,0x55554c00,0x0001aaaa,0x002ae620,
    0x055cc400,0x5d4c4000,0x4c40000a,0x100000ab,0x00001573,0x30000193,
    0x00013575,0x000ab988,0x02aaaaa2,0x0dfff000,0x003fff20,0xfffffffb,
    0x5ff9805b,0x54c00000,0x20001aaa,0x001abba8,0x0aaaaa88,0x55555300,
    0x30003555,0x55555555,0xaa980003,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc9800000,0x101befff,0x05bfffb7,0x01aaaa98,0x000054c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfffffffb,0x7fffc42f,0x0004ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0xffffffff,0x7ffffd43,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6cc00000,0x0dffffff,0xfffffec8,0x0000002d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x81555440,0x5302aaa8,0x80001555,0xeeeeeeeb,0xeeeeeeee,0x151004ee,
    0x00000000,0x00005c00,0x00000000,0x00004c00,0x0a600000,0x80000330,
    0x0298001a,0x0e6000cc,0x00000550,0x00544000,0x00017000,0x00000b80,
    0x00000000,0x066014c0,0x30000000,0x1802a807,0x01b62000,0x41bffe60,
    0xfe85fffb,0x0001ffff,0x7fffffe4,0xffffffff,0xf8805fff,0x400001ff,
    0x013aa2fb,0x00bffa60,0x004ea800,0x000017dc,0x0009fff7,0x801b6200,
    0x7e440efe,0xfb00000f,0x1dfd000f,0x000ffc88,0x7fc407fa,0x4ea80000,
    0x01ffa000,0x0bffa600,0x3ffa6000,0x75400002,0xed880004,0x0dfe8003,
    0x0007fec4,0x20000fee,0x1ff101fe,0x00077ec0,0x0003ffe6,0x2e0dfff3,
    0x7fc45fff,0x0001ffff,0x7fffffe4,0xffffffff,0xfb805fff,0x200005ff,
    0x9ff53ffb,0xffffc800,0x5c0000df,0x7dc005ff,0xf880004f,0x0003fb9d,
    0x007ffcc0,0xd53fffb8,0x10000bff,0x70007ffd,0x3faa7fff,0x77ec005f,
    0x0007fe80,0x0005ffb8,0x0003fff1,0x6fffffe4,0xfff90000,0x00001bff,
    0x0000bff7,0x8003fff9,0xff53fffb,0xff70009f,0xefd80009,0x2207fe80,
    0x2e002fff,0x98001fff,0xff706fff,0xffffb0bf,0xfc80003f,0xffdcccff,
    0xfffcccdf,0x3fff9805,0xbff90000,0x4003bfea,0xfdaeffe9,0xfb0001ff,
    0xfb0001bf,0x640001bf,0x000036c7,0x8003fff7,0xfffefffa,0xff980003,
    0x3ea0003f,0x03fffeff,0xcefff980,0x0002fffd,0x0006ffec,0x003fff98,
    0xdaeffe98,0x26001fff,0xffdaeffe,0x3f60001f,0xd80000df,0xa8002fff,
    0x3fffefff,0x3bff2000,0xfff30000,0x05fffb9d,0x8017ffc4,0x0000effc,
    0x22055551,0x3ee02aaa,0x640001ff,0x7ffcc7ff,0x802fff41,0x80000ceb,
    0xdff54ffc,0x1fff4001,0x8003ffee,0x0004ffe8,0x00077fdc,0x017a0fb8,
    0x077fe400,0xfffd8800,0xf880000e,0x880001ff,0x000efffd,0x3ffffea0,
    0x220003ff,0x50004ffe,0x9dfffffb,0x7ffd007b,0x000fffb8,0xffb87ffd,
    0x7f44000f,0x2a00004f,0x220006ff,0x000dfffd,0x00effb80,0xfffff500,
    0xff8807ff,0x5ff9802f,0x00000000,0x001fffa8,0x263ffe40,0x7ff41fff,
    0x80000005,0x17fe4ff8,0x44077200,0x7fe4005d,0xff300003,0x3be2000b,
    0x80002fdb,0x00005ff9,0x400007d5,0x00000efb,0x00001f54,0x00179d97,
    0x003ffc80,0xffffff90,0x803fffff,0x0bb101dc,0xd880ee40,0x3ffc8005,
    0x02880000,0x007d5000,0x05ff9800,0x5e765c00,0x2fff8800,0x0002d880,
    0xf5000000,0xc80003ff,0x7ffcc7ff,0x802fff41,0x1ec00000,0x00000132,
    0x003b5000,0x003d8800,0x00fbf6a0,0x0016c400,0x40000000,0x00000001,
    0x00000000,0xa8000ed4,0xffffffff,0x0003ffff,0x00000000,0x0000ed40,
    0x00000000,0x0f220000,0x44000000,0x00002fff,0xccccb980,0xcccb89cc,
    0xa83ccccc,0xfec89fff,0x2e00acef,0x7ffcc6ff,0x8827fe41,0x8cefffec,
    0x00acccca,0x98000000,0x0000001a,0x80000000,0x00000000,0x001a9800,
    0x320ffa20,0x0000006f,0x006a6000,0x7c000000,0xdaabefff,0x0003ffff,
    0xaa880000,0x00000009,0x13551000,0x9aa88000,0x00000000,0x3e200000,
    0x2a6002ff,0x3ffe2001,0xfeafffff,0xffffffff,0xfdfffa86,0xffffffff,
    0x987ff103,0x7fd41fff,0xfffffa81,0xfffeffff,0x000005ff,0xffffd300,
    0x000007df,0x00000000,0x00000000,0xffffe980,0x7dc003ef,0x17ffc47f,
    0xfffdd910,0x7ff5c19d,0x4c00ceff,0x3efffffe,0x30000000,0x7f40bfff,
    0x3fbb222f,0x3ae0ceff,0x00ceffff,0x3ffffae6,0x003ea9df,0xd7300000,
    0x53bfffff,0xfeb9807d,0xea9dffff,0x44000003,0xcefffeec,0x3ffffae0,
    0x5fff10ce,0xffffe980,0x7fc403ef,0xfbffffff,0xffffffff,0xffffa86f,
    0xffffffff,0x303104ff,0x01103fff,0xfffffff9,0xffffffff,0x3fbb22df,
    0x3ae0ceff,0x00ceffff,0xffffff91,0x5401bfff,0xfffffffd,0x542deeff,
    0xfffffffd,0x202deeff,0xffffffeb,0x7fe4004e,0xffffffff,0x32205eef,
    0xffffffff,0xff3000df,0x403ffd0d,0xfffffffb,0xfffff54f,0x3220bfff,
    0xffffffff,0x3fae00df,0xffffffff,0x44eeefff,0x2a01fffa,0x7fffdc5e,
    0xff54ffff,0x0bffffff,0xffffffb1,0x1fffffff,0x677ffed4,0xdeffeb80,
    0xffffb103,0xffffffff,0xfffb101f,0xffffffff,0x7ff5c1ff,0xffffffff,
    0x2e4eeeff,0xffffffff,0xffffff54,0x3ffe2bff,0xffff9102,0x01bfffff,
    0x7ff776dc,0xeeeedaaf,0xfa86fffe,0xacdfffff,0x04ffffec,0x007ffe60,
    0x677fffcc,0xfffffdba,0xfff71cef,0x2a9fffff,0xffffffff,0xffffe885,
    0xffffffff,0xffffff01,0xffffffff,0x7ffffc1f,0xffffffff,0xfff980ff,
    0x0fffffff,0x3ffff200,0xffffffff,0xfffd107f,0xffffffff,0x02e6003f,
    0xff5006e2,0x27ffffff,0xfffffff9,0xfffe884f,0xffffffff,0xffffa81f,
    0xffffffff,0x445fffff,0x4000dfff,0xfffffffa,0xfffff33f,0xfe889fff,
    0xffffffff,0xf12fffff,0x87ffffff,0xfffffffa,0x7ffff442,0xffffffff,
    0x7ff442ff,0xffffffff,0xff52ffff,0xffffffff,0xbfffffff,0x7fffffd4,
    0xffff33ff,0x3e29ffff,0xffe882ff,0xffffffff,0xff1001ff,0x6ffc805f,
    0x1effffa8,0x03ffff50,0x007ffe60,0x40ffffa2,0xa87ffffb,0xffffffff,
    0xffffff33,0xfffb09ff,0xff73359f,0xffd01fff,0xffffffff,0xffe8ffff,
    0xffffffff,0xff307fff,0xffffffff,0x7ffe4007,0xffffffff,0xfffb07ff,
    0xff73359f,0x00001fff,0x7ffed400,0x7e5cc2cc,0xfd80aeff,0xb99acfff,
    0x4c0fffff,0xffffffff,0xffffffff,0xffffe85f,0xfb5000ad,0xb98599ff,
    0x40aefffc,0x9bdffffe,0xfffffca9,0x3fffffe3,0x7fffd43f,0x7ff41fff,
    0xca99bdff,0x743fffff,0x99bdffff,0x3fffffca,0xfffffff3,0xffffffff,
    0xffda8bff,0x65cc2ccf,0xf10aefff,0xfffb05ff,0xff73359f,0xf1001fff,
    0xffc805ff,0x0ffffa86,0x01fffcc0,0x801fff98,0x5c04fffa,0xfb507fff,
    0xb98599ff,0x40aefffc,0x101efffa,0x7109fffb,0xbfff9999,0xb8837999,
    0xdfffcccc,0x2601bccc,0xfffffccb,0x3ff2006f,0xeccccccf,0xffa86fff,
    0xffb101ef,0x0000009f,0x800fffb8,0xff504ffe,0x3f6203df,0xfeb984ff,
    0xccccccff,0x985fffcc,0xffffffff,0x7ffdc02d,0x84ffe800,0x201ffffb,
    0x223fffe9,0x704ffffb,0xb839ffff,0x2601ffff,0x3ee3fffe,0x3a601fff,
    0x3ae63fff,0xcccccfff,0x85fffccc,0xe800fffb,0x7ffc44ff,0x0f7ffd42,
    0x04fffd88,0x402fff88,0xffa86ffc,0xdff9003f,0x07ffe600,0x401ffee0,
    0x3ee07ffe,0xffe800ff,0x0ffff884,0x01fffd80,0x002fff88,0x005fff10,
    0x7ffffc40,0xff9001ff,0x3fffe60d,0x07fffc41,0x20fffec0,0x884cccb9,
    0x204ccccb,0xe800fffb,0xfff884ff,0xfffd800f,0x00fff901,0x3ea0bffb,
    0xffffffff,0x1fff701e,0xd09ffd00,0xf3003fff,0xfff505ff,0x13fff20d,
    0x400ffff4,0x3fa2fff9,0xff9801ff,0x07ffc82f,0xfb85ffd8,0xffe800ff,
    0x117ffc44,0xb001ffff,0xf8803fff,0x7fe402ff,0x01fffa86,0x001fff50,
    0xb003fff3,0x3f200dff,0x3ffee07f,0x84ffe800,0x3002fffb,0xf100bfff,
    0x220005ff,0x20002fff,0xfffafffb,0x0dff9005,0x707ffff1,0x26005fff,
    0x3fe65fff,0xffe87fff,0xf700ffff,0xffd001ff,0x05fff709,0x417ffe60,
    0xfd807ffc,0x3f6e205f,0x0fffffff,0x800fffb8,0x7fc44ffe,0x3ffa003f,
    0x87fffb00,0xf106fffa,0x7f4007ff,0x07fff10f,0x6407ff40,0xffd807ff,
    0x00fffb85,0x7c44ffe8,0x3ffee2ff,0xbfff3002,0x02fff880,0x7d437fe4,
    0xff7002ff,0xfff3001f,0x0bffd003,0xb81fff20,0xfe800fff,0x06ffd84f,
    0x403ffe40,0x0002fff8,0x0005fff1,0xffdb7ff4,0x5ffc800f,0xb04fffe8,
    0xfc800dff,0x3fffea7f,0xffffe87f,0xfff700ff,0x09ffd001,0xc800dffb,
    0xfff907ff,0x3fee4c88,0x3f6e6003,0xffb85fff,0x4ffe800f,0x000fffd4,
    0x7fc407b3,0xffff11ff,0x07ffea03,0x3ea3d980,0x366001ff,0x88fff903,
    0x20ffee4c,0xe800fffb,0x7ffc44ff,0x001bff62,0xf880fff9,0x7fe402ff,
    0x05fffa86,0x200dffd0,0xc801fff9,0xffb007ff,0x07ffdc0f,0x7427ff40,
    0x7d4004ff,0x7fc400ff,0xff10002f,0x3ea0005f,0x7fff33ff,0xc87ff500,
    0x3fa06fff,0x7fd4004f,0x3ffb6e0f,0xffeed987,0x1fff700f,0xd09ffd00,
    0xfa8009ff,0x7ffc80ff,0xcc897fec,0xfe880080,0x0fffb87f,0x644ffe80,
    0x000007ff,0x3f2dfff5,0x3ff204ff,0xffc80007,0x7e400007,0x897fec7f,
    0xfffb80cc,0x44ffe800,0x3fa2fff8,0x7fd4004f,0x3ffe200f,0x437fe402,
    0x403ffffa,0x2605fffc,0xcdfffdcb,0x5fff702c,0x07fff980,0x2003ffee,
    0x7fc44ffe,0x7fcc002f,0x7ffc402f,0xfff10002,0x3ff60005,0x01bffa0f,
    0x3ffea14c,0x5fff100f,0x2fff9800,0x5c07ffb8,0xff700fff,0x9ffd001f,
    0x002fff88,0x6417ffcc,0xfe999fff,0x06fb804f,0x5c1fffa8,0xfe800fff,
    0x02fff44f,0xfffb0000,0xe80dfffb,0xe80005ff,0x400005ff,0xe999fffc,
    0xff7004ff,0x9ffd001f,0xf12fff88,0xf98005ff,0x3fe202ff,0x37fe402f,
    0x6fffffd4,0x3fff6a21,0xffff900f,0xbfffffff,0x03ffff10,0x81ffffa2,
    0xe800fffb,0x7ffcc4ff,0x3fff8001,0x017ffc40,0x02fff880,0x45fff880,
    0x8001fffb,0x202ffff9,0x8001fff9,0xffb83fff,0x07ffdc07,0x800fffb8,
    0x7fcc4ffe,0xfff8001f,0xfffffc83,0xf804ffff,0x7fe403ff,0x07ffdc0f,
    0x3a27ff40,0x000004ff,0x3fffffe2,0x27ff401f,0x27ff4000,0x3ff20000,
    0x4fffffff,0x01fff700,0xf889ffd0,0x3fff32ff,0x47fff000,0xfffcccb9,
    0x7e41bccd,0xffffa86f,0xffffffff,0x3fa02fff,0xffffffff,0xfff706ff,
    0x3fee637f,0x3ee07fff,0xffe800ff,0x017ffc44,0x00bffe20,0x0005fff1,
    0x000bffe2,0xf107ffee,0xe8800bff,0x7c404fff,0x7c4002ff,0x7ffb82ff,
    0x807ffdc0,0xe800fffb,0x7ffc44ff,0x7ffc4002,0xfffffc82,0x4404ffff,
    0xf302ffff,0xfff70fff,0x89ffd001,0x00004ffe,0x7ffffd40,0x04ffe803,
    0x04ffe800,0x7ffe4000,0x04ffffff,0x001fff70,0xff889ffd,0x05fff12f,
    0x52fff880,0xffffffff,0x647fffff,0xfffa86ff,0xffffffff,0x6cc03fff,
    0xffffffff,0x3ffa02df,0xffffffff,0x3ee07fff,0xffe800ff,0x003fff84,
    0x2007ffd4,0x0002fff8,0x0005fff1,0x3333fffd,0x001fffb3,0x802fffec,
    0x54003fff,0xffb80fff,0x07ffdc07,0x800fffb8,0xfff84ffe,0x7ffd4003,
    0xfffffc80,0x4404ffff,0xacefffff,0x84fffffd,0xe800fffb,0x2fff44ff,
    0x7e400000,0xffd006ff,0xffd0000b,0xfc80000b,0xffffffff,0x1fff7004,
    0x889ffd00,0x3ffe2fff,0x7ffd4003,0xffffff90,0x9fffffff,0x7d437fe4,
    0xffffcaff,0x0000dfff,0x7fec4000,0xffffffff,0x3fee07ff,0x4ffe800f,
    0x4005ffd8,0xf8807ffb,0xf10002ff,0xfa8005ff,0xffffffff,0x7003ffff,
    0x3501dfff,0x4005ffd8,0xff707ffb,0x0fffb80f,0x001fff50,0xffb09ffd,
    0x7ffb800b,0x333fff90,0xf8809ffd,0xffffffff,0xf506ffff,0xffd001ff,
    0x007ffd89,0xfff88000,0x0fffb002,0x0fffb000,0xfffc8000,0x04ffe999,
    0x001fff50,0xff889ffd,0x017ff62f,0x6c4fff70,0xffffffff,0x3f20dfff,
    0x1fffa86f,0x01359751,0xa8000000,0xbfffffff,0x3ea07ffc,0xffe800ff,
    0x02fffc84,0x00dfff10,0x0005fff1,0x000bffe2,0xfffffffb,0x0dffffff,
    0x03ffff30,0x7fe45ff7,0xfff1002f,0x01ffee0d,0x2601fff7,0xff802fff,
    0x2fffc83f,0x0dfff100,0xffb1fff2,0x3fa1ecc7,0xffffffff,0xff300dff,
    0x7fff005f,0x001fffb8,0x7ffc4000,0x3fff7002,0xfffb8000,0x3f200001,
    0x31ffec7f,0x5fff307b,0x887fff00,0x3ff22fff,0xfff1002f,0xfd80000d,
    0x1fffa86f,0x7e400000,0x2a20000d,0x1ffee1ab,0x802fff98,0xff983fff,
    0xfffb006f,0x5fff1005,0x3ffe2000,0x3ffe2002,0xffffffff,0x2201ffff,
    0xfb03ffff,0x37ffcc9f,0x02fffd80,0xfb80fff7,0xfff100ff,0x2fff980d,
    0x006fff98,0x3205fffb,0x066c47ff,0x564c3ffb,0xdfffffc9,0x37ffc402,
    0x10bffe60,0xa800dfff,0xfff1000b,0x3ffe2005,0x885d4006,0x54006fff,
    0x47ffc80b,0x3ff60cd8,0x037ffc41,0xf10bffe6,0x7ffcc5ff,0x5fffb006,
    0xfff80000,0x01fffa85,0x3fea0000,0xd000003f,0x7fc40dff,0x7ffcc06f,
    0x1dfff702,0x17fff620,0x017ffc40,0x02fff880,0x2afffee0,0xfaaaaaaa,
    0x3ffa05ff,0x17ffa04f,0x201dfff7,0x205fffd8,0xd501fffb,0x7f401fff,
    0xfff302ff,0x3ffee01f,0xfffb100e,0x03ffe40b,0x4403fff8,0x3a002fff,
    0xff302fff,0xfffb01ff,0xbff9001b,0x0bffe200,0x0dfffd80,0x365ffc80,
    0xc800dfff,0x7ffc85ff,0xd07fff00,0x3e605fff,0x7fc40fff,0x77ffdc2f,
    0xbfffb100,0xffa80000,0x1fffa83f,0x3ea00000,0x800004ff,0x7404fff9,
    0xff302fff,0x7fec01ff,0xfd731bff,0x22001fff,0x10002fff,0x7c005fff,
    0xff9006ff,0xdfff901f,0xd85ffe80,0x731bffff,0x401ffffd,0x731dfff9,
    0x17fffffd,0x3bfffea0,0xffffb98b,0x7fffec03,0xfffd731b,0x3ffe401f,
    0x403fff80,0x2002fff8,0x8beffffa,0x03ffffb9,0x59ffffd1,0x3ffaea23,
    0xfff1006f,0x7ff44005,0x7511acff,0x744dfffd,0x11acffff,0x0dfffd75,
    0x3e00fff9,0xfffa83ff,0xffb98bef,0xfff883ff,0xbffffd82,0xffffd731,
    0x4ccc0001,0x81ffffda,0x009afffb,0x5fb50000,0x4cccc000,0x02ffffc9,
    0x5f7fffd4,0x3ffffb98,0x7ffffc40,0xffffffff,0x99995102,0x5999bfff,
    0xcccca881,0xacccdfff,0x77ffe4c0,0xffb7101b,0x7ffcc5bf,0xccccccdf,
    0xf885fffc,0xffffffff,0xf802ffff,0xffffffff,0x07ffffff,0x3ffffff2,
    0x806fffff,0xfffffff8,0x02ffffff,0x99fffd71,0xf9999999,0xff8807ff,
    0x7fe4002f,0xffffffff,0xfffd806f,0xffffffff,0x2e602fff,0xccdfffcc,
    0xfffd800a,0xffffffff,0xffd82fff,0xffffffff,0x2e22ffff,0xccccfffe,
    0xfffccccc,0xfffff903,0x0dffffff,0x220bffe2,0xffffffff,0x002fffff,
    0xffffff90,0xffc89fff,0x0effffff,0x0ed80000,0xffffc800,0x05ffffff,
    0xffffff90,0x00dfffff,0x3fffff62,0x200effff,0xfffffffd,0x47ffffff,
    0xfffffffd,0x27ffffff,0xfffffffb,0x7fffc42f,0xff54ffff,0xffffffff,
    0x20bfffff,0xffffffd8,0x5000efff,0xffffffff,0x1fffffff,0x7ffffe40,
    0x000dffff,0xffffffb1,0x2201dfff,0xffffffff,0xffffffff,0xfff803ff,
    0xfffc8001,0x0dffffff,0xfffffb00,0x3dffffff,0x7ffffe40,0x05ffffff,
    0xffffffb0,0x03dfffff,0x7fffffec,0x21efffff,0xfffffff8,0xffffffff,
    0x3f203fff,0xffffffff,0x03ffa00d,0x7ffffec4,0x000effff,0xffffff10,
    0xff889fff,0xffffffff,0x7dc00004,0xfff88001,0x5fffffff,0x7fffe400,
    0x00dfffff,0x7ffffd40,0xfff804ef,0xffffffff,0x3fe0ffff,0xffffffff,
    0xf90fffff,0x7fffffff,0xffffffa8,0xffff56ff,0xffffffff,0xfa80bfff,
    0x04efffff,0xfffffa80,0xefffccff,0xfffe9803,0x50003fff,0x9dffffff,
    0xfffffa80,0xffffffff,0x803fffff,0x260007fd,0x3ffffffe,0xfffda800,
    0x803effff,0xfffffffd,0x2007ffff,0xffffffda,0xfb5003ef,0x7dffffff,
    0xffffff50,0xffffffff,0x9807ffff,0x3ffffffe,0xa801a880,0x4effffff,
    0xfffe8000,0xfd02dfff,0xffffffff,0x7c400003,0x3ffa0004,0x03dfffff,
    0xffffd300,0x880007ff,0x2a000ab9,0xfffffffe,0x543effff,0xfffffffe,
    0x263effff,0xdffffffd,0xffffec80,0xffff52df,0xffffffff,0x2200bfff,
    0x80000ab9,0x0001abb9,0x002ae620,0x055cc400,0xffffd900,0xffffffff,
    0x2007ffff,0x9880000a,0x880000ab,0x4000aba9,0xffffffd9,0x8002efff,
    0x000aba98,0x02aea620,0x3ffffb20,0xffffffff,0x1003ffff,0x00001573,
    0x00ab9880,0x5554c000,0x55553001,0x00001555,0x98000288,0x0001aaaa,
    0x002ae620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x880006a0,
    0x000a200a,0x00b8806e,0x00000000,0x17000000,0x00000000,0x0001c400,
    0x88000000,0x75c00002,0x00000003,0x80198053,0x0aaaaaa9,0x00000000,
    0xaa880000,0x800001aa,0x0a600100,0x0cc00330,0x400006a0,0x0530000b,
    0x00000198,0x44000600,0x3620003b,0xf70003ff,0x07ff705f,0xf9037d40,
    0x7dc00009,0x4c000002,0xfe98006e,0xd880002f,0xa800003e,0x00001eff,
    0x400007f2,0x00001ffa,0x7001fff3,0x3a00005d,0x7fec40df,0x3ffffe00,
    0x00002fff,0x0000ed88,0xfa8036c4,0x0005ffff,0xfb13fa20,0x81bff00b,
    0x8800ffd8,0x7f440dff,0x7f4c0006,0xdfe8002f,0x007fec40,0x00019d70,
    0x710bbfae,0x017ff201,0x3ffffea0,0x7fc4001e,0xfffd88df,0x13fe6000,
    0x0000ffea,0x0001ffe4,0x00dff500,0xdfffffc8,0x3ff20000,0x9100001f,
    0x009fffff,0x02ffd880,0x06ffc800,0x3fff6000,0x03ffc800,0x3fffb800,
    0x4c09fff5,0xffffffff,0x74c00002,0x260000ff,0xfd800fff,0x0005ffff,
    0xf89ffea0,0x7fdc01ff,0x09fff52f,0xb977fec0,0x20003fff,0x0dfffffc,
    0x4fffee00,0x2004fffa,0x8004fff9,0x9dfffffd,0xffb02ffb,0x7fec005f,
    0x03fffcaf,0x7fffec40,0xd8000dff,0xffecdfff,0x7440000e,0x000004ff,
    0x4003bfee,0xfdaeffe8,0xfb0002ff,0x300005ff,0xffd5bffd,0xfd30003d,
    0xd880007f,0x200005ff,0x1005fff8,0x0000bffb,0xfffdfff5,0xffffb007,
    0x00005fff,0x0017ffd4,0x003fff70,0x17ffffaa,0x7ffb8000,0x2007ffea,
    0xfffefffa,0xfffb8003,0x0002fffe,0xfb5dffd3,0x7d4003ff,0x03fffeff,
    0x02fffdc0,0x3273fe60,0x206fffff,0x9006fff9,0x7f4c1bff,0xffa8001f,
    0x640002ff,0x0effffff,0x7ffcc000,0x36000003,0x3a000dff,0x7ffdc4ff,
    0x6ffa8000,0x7ffd0000,0x4006ffb8,0x0002fffa,0x0003ffe8,0x00fffe40,
    0x003bff20,0xbfffb100,0xfa998001,0x700002ff,0x40003dff,0x8000effc,
    0x0005ffe8,0xfa9fff20,0xfb1000ff,0x40001bff,0x00cfffe8,0x70fffa00,
    0x44001fff,0x000dfffd,0x001fff88,0x7ff540a8,0x7fff400b,0x202ea803,
    0xb10000ec,0x2600001b,0x0002cddc,0x0003ffd0,0x027fd400,0xd880ee40,
    0x00a20005,0x300dc800,0xeff8009b,0xff980000,0x7c400002,0xf50005ff,
    0x2a00009f,0x7c40003e,0x980002ff,0x20000dff,0x40005ff9,0x00005ffe,
    0xffb9bff2,0x03ea8007,0x00bae000,0x44077200,0x7d50005d,0x00150000,
    0x54001000,0x00006fff,0x00000000,0x70000000,0x80000019,0x000002d9,
    0x00000000,0xc8000000,0x2600000c,0xfc800000,0x260001ff,0x0000002d,
    0x17ffc400,0x01ec4000,0x0016c400,0x002fff40,0x5cdffb00,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x5fffd000,0x19a98800,0x83fe8800,
    0x440006fc,0x000019a9,0x00000000,0x2aa62000,0xa9880001,0x00000019,
    0x80000000,0x0aaaaaa9,0xfff88000,0x00000006,0x006aa620,0x02fff880,
    0x00000000,0x3ffa0000,0x33332a25,0x5ffd802c,0x0001fff2,0x00000000,
    0x00000000,0x44000000,0xcefffeec,0x3ffffae0,0x7ffd40ce,0xffeca805,
    0x4dacefff,0x223ffdc0,0x54002fff,0xefffffec,0x00004dac,0x00000000,
    0x7ffffd40,0x802dabef,0xfffffeca,0x3004dace,0xfffffffb,0x0019dddf,
    0x7ffc0000,0x002fffff,0x02fffb80,0xa8000000,0xbeffffff,0xff1002da,
    0x0000005f,0x40000000,0x3ff65ffe,0x403fffff,0x3ff25ffe,0xfffffc86,
    0xffffffff,0x3ae4eeef,0xeeffffff,0xb5001bce,0x7019dfff,0xc87bdffd,
    0xffffffff,0x645eefff,0xffffffff,0x2e5eefff,0xffffffff,0xffffff54,
    0xffff0bff,0x7fffdc01,0xffffffff,0x1bfe601f,0xb8007ffa,0xffffffff,
    0x201fffff,0xffffffeb,0x3220004e,0xfffffffe,0xeeefffff,0x7ffff441,
    0x7fffffff,0x7ffffdc0,0xffffffff,0xffffd801,0xffffffff,0x3fffae3f,
    0xbceeefff,0xffff3001,0x0005ffff,0x200dfff0,0xffffffeb,0xfe88004e,
    0xffffffff,0xff1007ff,0xffb5005f,0x3fae05df,0x911cefff,0xdffffffd,
    0xffd0007b,0x7fffff4b,0xffda84ff,0xffffffff,0xfff91dff,0xffffffff,
    0x2bffffff,0xfffffffa,0xdfffffff,0x3fffe200,0x7fd43fff,0x322fffff,
    0xffffffff,0x647fffff,0xffffffff,0x2a7fffff,0xffffffff,0xffffff33,
    0xfff909ff,0x3ffff605,0xffffffff,0x05cc03ff,0xfb000dc4,0xffffffff,
    0x207fffff,0xfffffff9,0xb0000fff,0xffffffff,0xffffffff,0xffffd83f,
    0xffffffff,0xffffb01f,0xffffffff,0xffb007ff,0xffffffff,0x3fea5fff,
    0xffffffff,0x800dffff,0xfffffffd,0x7fd40002,0xfff9803f,0x0fffffff,
    0x7fffec00,0xffffffff,0xfff8801f,0x7fffc402,0x7fcc0fff,0x95ffffff,
    0xffffffff,0xe8005fff,0x3fff65ff,0xff80ceef,0xffffffff,0xf96fffff,
    0xffffffff,0xffffffff,0x3ffffe6b,0xffffffff,0x3fe00fff,0x543fffff,
    0x1fffffff,0x3ffffff2,0x7fffffff,0x7fffffe4,0x7fffffff,0x667ffed4,
    0x7ffe5cc2,0xfffb80ae,0xdffffd83,0xffea999b,0x000003ff,0x37ffff60,
    0xffea999b,0xfff303ff,0x7fffffff,0x3fff2000,0xffffffff,0x21ffffff,
    0x9adffffb,0x1fffffb9,0xbdffffd8,0xfffea999,0xcca8803f,0xcdfffdcc,
    0x3fffe62c,0xffffffff,0x3000ffff,0x005fff53,0x007ffe80,0xfffffff3,
    0x5c007fff,0x99adffff,0x01fffffb,0x802fff88,0x5fffffff,0x7fffffc4,
    0xffff94ff,0x3fffffff,0x8dffe800,0x804ffffe,0xfffffffe,0x5fffffff,
    0xb999fff9,0xf999bfff,0x7f5ccbff,0xfdccccff,0x2205ffff,0x704ffffb,
    0xc839ffff,0xcccccfff,0x646fffec,0xcccccfff,0xb86fffec,0xfe800fff,
    0x3ffea04f,0x0ffffd44,0x00fffee0,0x7fd40000,0x7fdc01ff,0x332e603f,
    0x06ffffff,0xfff95100,0x9999fff7,0x7ec3fffb,0xffd101ff,0xffffa83f,
    0x1fffdc01,0x3fff3000,0x7fff5cc0,0xfffdcccc,0x7c4005ff,0x2a0002ff,
    0x26003fff,0xfffffccb,0x3ff6006f,0xfffd101f,0x5fff1003,0xfffb7300,
    0xfcb985ff,0x9510aeff,0x799fffb9,0xdffd0003,0x005fffff,0x37fff2e2,
    0xacefffcc,0xf98fff90,0x2fff41ff,0xa883ffe4,0x5401fffe,0xff906fff,
    0x1bff209f,0x20ffffcc,0xff306ffc,0xfff703ff,0x09ffd001,0x3a2fffc4,
    0xfd001fff,0xcccb983f,0xccccb884,0x03fffd04,0x4007ffa0,0xfffffff8,
    0x3fe60001,0x4c0fffad,0x3ffe1fff,0x0fffd404,0x4007fffa,0x20001ffe,
    0xc801fff9,0xfd5107ff,0x7c4003ff,0x3a0002ff,0x10000fff,0x3fffffff,
    0x013ffe00,0x1003fff5,0x54005fff,0x206fffff,0x7d405ffd,0x740000ff,
    0x1fffffff,0x2fff9800,0x3f20fffe,0x0fffcc7f,0x3f217ffa,0x7ffcc07f,
    0x3fffd803,0x9037ffd4,0xfff10dff,0x0dff907f,0x207ffff1,0xe800fffb,
    0x7ffc04ff,0x00fffea7,0x7fcc5fa8,0xffe87fff,0x7d40ffff,0x3ea003ff,
    0x3ffee005,0x0005fffa,0x3feabfee,0x0fffcc0f,0xfd009fff,0x03fffa8f,
    0x00017ea0,0x9003fff3,0xff980fff,0x3fe2003f,0xff30002f,0x7dc0009f,
    0x05fffaff,0xd009fff0,0x3fe200ff,0x3fea002f,0xfb04ffff,0xfffa80bf,
    0x7ff40000,0x0002ffff,0x3e23fff3,0x7ffc82ff,0x3a0fffcc,0x7ffc85ff,
    0x804fff80,0xf11ffff8,0x7e403fff,0x4fffe85f,0xfd0bff90,0x7fdc09ff,
    0x4ffe800f,0xf73fff40,0x500003ff,0xd0ffffff,0x81ffffff,0x0001fffb,
    0xdb7ff400,0xd0000fff,0x1fff51ff,0x907ffc42,0xa8805fff,0x00fffdc0,
    0x7cc00000,0xffc801ff,0x04fff807,0x00bffe20,0x007ffec0,0x36dffd00,
    0xfc800fff,0x054402ff,0x02fff880,0x3ffffea0,0x5ffd81ff,0x007ffd40,
    0x3ffffa00,0xa8002fff,0xfff11fff,0x98dff705,0x7fe41fff,0x407ffc84,
    0x5002fffa,0x3ff2dfff,0x1ffd404f,0xa81bfff2,0x7ffe43ff,0x07ffdc06,
    0x2027ff40,0x3ff67fff,0x36e00007,0xed987ffe,0x7ec0fffe,0x4000007f,
    0xff33fffa,0xff10007f,0x323ffead,0xfa8dfd6f,0x00acefff,0x000fffb0,
    0x3fe60000,0x7ffc801f,0x017ffd40,0x005fff10,0x009fff30,0x99fffd40,
    0xfa803fff,0x00acefff,0x17ffc400,0xf7fff500,0xbffb0dff,0x00fffa80,
    0x77fff400,0x3003ffff,0xb99fffb7,0x4415bfff,0x7ffcc3ff,0x640ffd41,
    0xff9107ff,0x7ec001ff,0x06fffdff,0xfffa8530,0x2a14c00f,0x5c00ffff,
    0xfe800fff,0x3ffe204f,0x0017ffa5,0x01ffee00,0xfe81fff7,0x4000005f,
    0x3fa0fffd,0xffa8006f,0xff5fff54,0x7fe4063f,0x2cefffff,0x0017ffa0,
    0x7fcc0000,0x7ffc801f,0x1ffff910,0x17ffc400,0x0fffe400,0x1fffb000,
    0xc8037ff4,0xefffffff,0xff88002c,0x3fea002f,0x43fffd8f,0x7d405ffd,
    0x740000ff,0xffff95ff,0xffffc809,0xffffffff,0x4c0c46ff,0x00881fff,
    0x9999fff9,0x09fffffd,0xfffff880,0xf30001ff,0x30005fff,0x7005ffff,
    0xfd001fff,0x7ffd409f,0x0013ffa4,0x01ffee00,0xfe81fff7,0x2000004f,
    0x7dc5fff8,0x7ec001ff,0xfffff51f,0xff7005ff,0xffffffff,0x009ffd03,
    0x3e600000,0xffc801ff,0xffeccccf,0x44004fff,0x44002fff,0x20005fff,
    0x7dc5fff8,0xff7001ff,0xffffffff,0x7ffc4003,0x3ffea002,0x20ffff88,
    0x7d405ffd,0x740000ff,0x3ffee5ff,0x3fff605f,0xffffffff,0x9800ffff,
    0x64001fff,0xffffffff,0x0003ffff,0x07fffff5,0x3fffa200,0xffe88004,
    0xfff7004f,0x09ffd001,0xfd1fffdc,0x3ff6a09f,0x82dfffff,0x7dc07ffb,
    0x27ff40ff,0xfffffda8,0x3ee02dff,0x7ffc41ff,0x53ffc005,0x5fffffff,
    0x3ffb2600,0x43ffffff,0xfb504ffe,0x5bffffff,0x7cc02754,0xffc801ff,
    0xffffffff,0xf88003ff,0x7e4002ff,0x2e0001ff,0x7fc41fff,0x3b26005f,
    0xffffffff,0xccccb983,0xbcccdfff,0x21fff501,0x3f65fffb,0x7ffd405f,
    0xff730000,0xffffa8bf,0x3f660ace,0xffffffff,0x3003efff,0xc8003fff,
    0xffffffff,0x40002fff,0x0006fffc,0x0017fff6,0x002fffec,0xd001fff7,
    0x7fe409ff,0x417ffa1f,0xfffffffe,0x7ffb86ff,0x207ffdc0,0xffd05ffe,
    0xdfffffff,0x4cffff40,0x0fffd999,0x33bff500,0xfffffff7,0xb7510005,
    0x743fffff,0xfffd05ff,0x4dffffff,0x7cc00ffe,0xffc801ff,0xffffffff,
    0xff10002f,0x7fc4005f,0x7f40006f,0xd99999ff,0x88000fff,0xfffffdba,
    0x3ffffee1,0xffffffff,0xfffa84ff,0x6cbfffa0,0x7fd405ff,0x7dc0800f,
    0x7c45ffff,0x07ffffff,0x7fdcdffb,0xfff98007,0x7ffe4001,0xffffffff,
    0x7fc40002,0xff70002f,0x403501df,0xa80efffb,0x00fffa81,0x3e04ffe8,
    0x3ff20fff,0xfffffb06,0xf70bffff,0xfffb80ff,0xd837fe40,0xffffffff,
    0xffff505f,0xffffffff,0x3ff2007f,0xafffffff,0x80001fff,0x323fffc8,
    0xfffb06ff,0x2bffffff,0x4c02fff8,0xfc801fff,0xffffffff,0xf10002ff,
    0x7dc005ff,0x2a0002ff,0xffffffff,0x003fffff,0x3fffc880,0x3ffffff2,
    0xffffffff,0x0fffa86f,0x363fffe6,0x7fd405ff,0x92fec00f,0xa8bfffff,
    0xffffffff,0x325ffd80,0xf98007ff,0x7e4001ff,0x7fff447f,0x3e20002f,
    0xf98002ff,0xffb81fff,0x1ffff982,0x7cc2ffb8,0xfff802ff,0x89fff703,
    0x32607ffa,0x05fffccc,0xfb80fff7,0x3ffd40ff,0xff999930,0x7ffec0bf,
    0xffffffff,0xffd006ff,0x1fffffff,0x7f4c0df9,0x4dffb001,0x32607ffa,
    0x25fffccc,0x5402fff8,0xfc801fff,0x7fff447f,0xff88002f,0x3ffe002f,
    0x7fec0006,0xffffffff,0xfd306fff,0x9bff6003,0xffffffd9,0xdfffffff,
    0x40fffa81,0xffdcfffc,0x07ffd405,0x261fff10,0xc85ffffd,0x03effffe,
    0x7fe4bffd,0xfff98006,0x3ffe4001,0x01ffffd8,0x05fff100,0x3ffff880,
    0xf889ffb0,0xffb03fff,0x06fff889,0xe817ffcc,0x7fc41fff,0x3ffe004f,
    0x80fff703,0x7c40fffb,0x3fe004ff,0xffff103f,0xffffffff,0xf9803fff,
    0xffdcccef,0x90cb810f,0x3f200bff,0x13ffe27f,0x223fff80,0x7dc02fff,
    0xfff9007f,0x07ffff60,0x05fff100,0x00bffee0,0xfffff880,0xffffffff,
    0x5ffc81ff,0x00fff900,0xfffa8000,0xfffffe80,0x7ffd405f,0x07ffe600,
    0x7f400000,0x01bff64f,0x007ffe60,0x640fff90,0x8000ffff,0x4002fff8,
    0x3a04fffe,0x7fff45ff,0x217ffa04,0xf302fffe,0xff501fff,0x3fffa0bf,
    0x07fff002,0x5407ffee,0xfe80fffe,0xfff002ff,0x2fffee07,0xaaaaaaaa,
    0x7dc05fff,0x07ffd43f,0xffea7fcc,0x7ffcc03f,0x017fff46,0x3e23fff8,
    0x3fe203ff,0xfff9005f,0x07fffe40,0x05fff100,0x001bffa0,0x557fff70,
    0xff555555,0x7fffd0bf,0x06fff980,0xf5000310,0xfff301ff,0xfa80bfff,
    0x3fe600ff,0x0013001f,0xfb27ffc0,0xff3000bf,0xffc8003f,0x2fffec07,
    0x17ffc400,0x0dfff900,0x3f25ffe8,0x7ff406ff,0xeffffa85,0xffffb98b,
    0x05fffd03,0x2fbfffe6,0xffd95309,0x3ffe607f,0xfffd731d,0xff9817ff,
    0x5309beff,0x207fffd9,0xf9006fff,0x7ff401ff,0x407ffd41,0xfffd7ffb,
    0x3ae637df,0x7cc4ffff,0x309befff,0x47fffd95,0x2ceffff8,0x07ffff73,
    0xb01fff20,0x4400bfff,0xfa802fff,0x7c0003ff,0xff9006ff,0xffffe81f,
    0xffd731be,0xff3009ff,0x7fd4005d,0xffff900f,0xfffa80bf,0x07ffe600,
    0x007bfee0,0xfe8fffe0,0xb973005f,0x0599bfff,0x67fff5c4,0xffff880b,
    0x665cc02c,0x0accdfff,0x9bffff30,0xff999999,0x3fffe6bf,0xcccccccd,
    0xff905fff,0xffffffff,0x3ffea0df,0x7fffdc06,0xffffffff,0x3fe03fff,
    0xffffffff,0xb87fffff,0xffffffff,0x3fffffff,0x5f7ffe4c,0xfffb7101,
    0xfffba85b,0xfffdb88b,0xffeccccc,0xffffffb7,0xffffffff,0xffff701d,
    0xffffffff,0x7fc47fff,0xffffffff,0xb8804fff,0x80bcfffe,0x42cffff8,
    0xffccccb9,0x41bcccdf,0x0000fffe,0x37dfff93,0x3fff6e20,0x3ffff62d,
    0xffffffff,0xd8800eff,0xf93007ff,0xf88379ff,0xb985ffff,0xcccfffdc,
    0xfffdcccc,0x5ffe9801,0x22fff800,0xfc803ffe,0xffffffff,0xfff885ff,
    0x81ffffff,0x03fffff9,0xfffffff9,0x2a0bffff,0xffffffff,0x5fffffff,
    0xfffffff5,0xffffffff,0x7fffe40b,0x00dfffff,0x7003fffb,0xffffffff,
    0x03bfffff,0x7fffffd4,0xffffffff,0xffffb80f,0xffffffff,0x3ffee1df,
    0x442fffff,0xffffffff,0xffffff54,0xfffffffd,0xffffffff,0x3ffffff2,
    0xefffffff,0x3fffee01,0xffffffff,0x7ff541df,0xffffffff,0xffff8803,
    0x981fffff,0xf73fffff,0xffffffff,0x49ffffff,0x70003fff,0xffffffff,
    0xfffff885,0xfff94fff,0xffffffff,0xdb003dff,0x9803ff99,0xffffffff,
    0x2ffffd43,0x3fffffee,0xffffffff,0x2201ffff,0x007fdbde,0x3ee0ffc8,
    0xfffe801f,0xffffffff,0xfffffa86,0xf703ffff,0x3f60bfff,0xffffffff,
    0xfff507ff,0xffffffff,0x3eabffff,0xffffffff,0x05ffffff,0x7fffff4c,
    0x27fdc03f,0xfffd9100,0x019fffff,0x3ffffea0,0xefffccff,0x3ffb2203,
    0x0cffffff,0xffffffc8,0x7ffd43ff,0xf96fffff,0xffffffff,0xffffffff,
    0x366fffff,0xffffeb9e,0x91002fff,0xfffffffd,0xfc98019f,0x02dfffff,
    0xffffff50,0x3ee07fff,0xfff95fff,0xffffffff,0x7dcdffff,0x3ff20005,
    0x43ffffff,0xfffffffa,0xd73db36f,0x5fffffff,0x7ffff400,0xffffa805,
    0xfd84ffff,0x7ffec5ff,0xffffffff,0x1fffffff,0x3ffffe20,0x10110003,
    0x3ff66001,0xdfffffff,0xffffd902,0x7ec019ff,0xffb301df,0xdfffffff,
    0x3fffea05,0xffffffff,0xfff55fff,0xffffffff,0x200bffff,0x2000ab98,
    0x5440001a,0x200019ab,0x0001abb9,0x066aea20,0xfffffb30,0xffd901bf,
    0x3625bfff,0xebaeffff,0xffffffff,0x4c07ffff,0x00009aba,0x00cd5d44,
    0x001ba880,0xfffffd90,0x7fec019f,0xffffb31d,0xffffffff,0x800003bf,
    0xffffffd9,0xfffec80d,0x54c02dff,0x880009ab,0x9000bedc,0x3bffffff,
    0x98bfff10,0xfffffffd,0xffffffff,0x764c01ff,0x0000003d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x801c9800,0x000d4019,0x00198053,0x800005c0,0x8801aa98,
    0x801aaaaa,0x02e200b8,0x540ae200,0x8073000b,0x0000002a,0x05440150,
    0x00053000,0x98002e00,0x80530000,0x013aa019,0x44015000,0x00310002,
    0x0009aa88,0x00001700,0xa98000b8,0x1000aaaa,0x20003353,0x000dc02a,
    0x100002e0,0x002ea057,0x0bdeca88,0x407ff980,0x7440dff8,0x37fa006f,
    0x007fec40,0x017ff4c0,0xfffff500,0x985b57df,0x2fffffff,0xfc817ee0,
    0x3ffc8003,0xe8037fcc,0x01ff101f,0x00067640,0xe983ffa8,0xff90004f,
    0x2600001b,0xfd802ffe,0x7f4000ef,0x07fec40d,0x0003fff8,0xf505ff70,
    0x7f44007f,0x7f5cc06f,0xea9dffff,0x3ffa6003,0xfe980002,0xfff3002f,
    0x5405ffff,0xefffffec,0x7c404dac,0x00df300f,0x00bffa60,0x4c3ffc80,
    0xff3006ff,0x805fffff,0x6c00fffe,0xfff72eff,0x7ffdc007,0x009fff53,
    0xbfffff90,0x7ff44001,0xffffffff,0x7fffcc7f,0x3e605fff,0x02ffa83f,
    0x5c4ffe80,0xdfb007ff,0x400ffd01,0x0003fffa,0x7e43bffa,0x74c001ff,
    0x002fffff,0x7ffffe40,0xffff100d,0x7fdc001d,0x09fff53f,0x0003fff4,
    0x88dfff88,0x1000fffd,0x103fffff,0xfffffffb,0x01ffffff,0xbfffff90,
    0x3ff20001,0x5c00dfff,0x2fffffff,0xffffff70,0x3fffffff,0xf885ff80,
    0xffc8005f,0x8000dfff,0x7fdc4ffe,0xffff9807,0x702ffffe,0x2e00bfff,
    0x2fffefff,0xefffa800,0x4c003fff,0xffdaeffe,0xfffb001f,0xffffffff,
    0x7ffcc3ff,0x6c02ffff,0xffeccfff,0x3dd30006,0x3003fd88,0xffb9dfff,
    0x7fdc005f,0x7e40005f,0x01efffff,0x5dfffe40,0x98005fff,0xffdaeffe,
    0xffffb01f,0xfffa800b,0x5c03fffe,0x00002fff,0xffffffb1,0x7fec001b,
    0xffe885ff,0xffffffff,0x2602ffff,0xffdaeffe,0x3fa6001f,0x1fffdaef,
    0x3ffffa60,0xfffd82ff,0xffffffff,0x7d403fff,0xfffdcdff,0x3ffa6001,
    0x01fffdae,0x220f74c0,0x7fc403fd,0xfff710bf,0x007fffa0,0x0cfffe88,
    0x3ff62000,0xfe8000df,0x07ffdc3f,0x37fffee0,0xffffb99a,0x2fffe61f,
    0xffb10009,0x001bffff,0x54000000,0x3fffffff,0x0fffc400,0x7ff54000,
    0xffa8003f,0x0fff621e,0xb87ffd00,0xfb300fff,0xfb1000ff,0x3e001bff,
    0x400006ff,0x002ffffa,0xd01efff8,0x337bffff,0x7fffff95,0x2e1fff40,
    0xfd000fff,0x0fffb87f,0x7ffd4c40,0x6ffffec2,0xffea999b,0xffb803ff,
    0x002fffff,0x3ee1fff4,0x000000ff,0x704ffc80,0xfffa83ff,0x05d70005,
    0x01f54000,0x2203b900,0xfffd805d,0x3fffd101,0x0017ffcc,0x01cddc98,
    0x00000000,0x002f3b2e,0x00000a80,0x40007b22,0x07ae03e9,0x2203b900,
    0x7ffd405d,0x07d50001,0x02fffb80,0x06ec4000,0x1fffc400,0x01ffffb8,
    0x80ffffa6,0x0bb101dc,0xd880ee40,0x3ffe2005,0x07fffea2,0x007fff70,
    0x00f3b2e2,0xd880ee40,0x80000005,0x3e206ff8,0x17fff43f,0x00000000,
    0x00000000,0xa809fff0,0x3fe61fff,0x0000002f,0x006a6000,0x00000000,
    0x00000000,0x00000000,0x1fff9800,0x44000000,0x00006fff,0x7fc40000,
    0x3fffd02f,0x05fff300,0x00000000,0x5fff1000,0x800ffff4,0x00001ffe,
    0x05555300,0x00000000,0xfd00ffea,0x037ffccb,0x00000000,0x00000000,
    0x3a013ffe,0x17ffcc7f,0x00000000,0x3fffffa6,0x0000003e,0x00000000,
    0x00000000,0x7cc00000,0x000001ff,0x01fffc80,0x20000000,0xf882fff8,
    0x3fa003ff,0x0000000f,0xf8800000,0x7fff52ff,0x002fd400,0x7ffc4000,
    0x440007ff,0xcefffeec,0x3ffffae0,0x03ff70ce,0xffb37f4c,0xffd7005f,
    0x009dffff,0xfffffda8,0x2deeffff,0x77fffedc,0x7ff6441d,0x7fe43eef,
    0x2054402f,0x7002fff9,0xdffffffd,0x7e440009,0xffffffff,0x3ff6a00d,
    0xefffffff,0x7fed42de,0xefffffff,0x7fed42de,0xffd702ef,0x2e039dff,
    0xeffffffe,0x7fed4004,0xefffffff,0xfff302de,0x3fffae03,0xffffffff,
    0xf104eeef,0xeb800bff,0xeeffffff,0x3e2001bc,0xfffa82ff,0x70f66001,
    0xfffffffd,0xdddfffff,0xdfffd709,0x7fff5c19,0x3fe200ce,0x03fff72f,
    0x3ffae000,0xffffffff,0x2e4eeeff,0x007fffff,0x7ffffdc0,0xfff54fff,
    0x36bfffff,0x7fec40ff,0x1fffa6ff,0x3ffffe60,0x000fffff,0x3ffffffe,
    0xffffffff,0xffffff30,0xfffc8dff,0x2a3fffff,0x0aceffff,0x05fff300,
    0xffffff30,0x0001ffff,0xffffffd1,0x03ffffff,0x3ffffffe,0xffffffff,
    0x3fffffe0,0xffffffff,0xfffff10f,0xfff981ff,0x985fffff,0xffffffff,
    0x3fe000ff,0xffffffff,0x980fffff,0xffa81fff,0xffffffff,0x5fffffff,
    0x007fff60,0x7fffffd4,0xdfffffff,0x2fff8800,0x0007ffc8,0xffffffa8,
    0xffffffff,0x7fd45fff,0xf34fffff,0x0bffffff,0xfd97ffc4,0xf500007f,
    0xffffffff,0xffffffff,0x7ffff44b,0x7fd40007,0x33ffffff,0xffffffff,
    0xff51bfa9,0x7fcdffff,0xfff9806f,0x3fffffff,0x3ffffa00,0xffffffff,
    0x3fffe27f,0x7dc5ffff,0x2fffffff,0x7fffffe4,0x3e602cef,0xff9802ff,
    0xffffffff,0xfffd8003,0xffb99acf,0xffe80fff,0xffffffff,0x7ff47fff,
    0xffffffff,0x7ffc7fff,0x7c45ffff,0x4fffffff,0xffffff98,0x2003ffff,
    0xfffffffe,0x07ffffff,0xf303fff3,0xffffffff,0xffffffff,0x27ffcc0b,
    0xfffff980,0xffffffff,0x7fc402ff,0x05ffe82f,0xffff9800,0xffffffff,
    0x4c5fffff,0x4fffffff,0xfffffff1,0x97ffc409,0x00005ffe,0xfffffff3,
    0xffffffff,0xff910bff,0xfb50000f,0xb98599ff,0xd0aefffc,0x77ffccbf,
    0xfff16feb,0x332e600b,0x06ffffff,0x33332e20,0xbcccdfff,0x67fff4c1,
    0xecca80bc,0xff702fff,0xffffffff,0x05fff303,0x3ff32e60,0x4006ffff,
    0x101efffa,0x7109fffb,0xbfff9999,0xb8837999,0xdfffcccc,0x5cc1bccc,
    0x42fffffd,0xaefffcb9,0xff997300,0x400dffff,0xffccccb8,0x01bcccdf,
    0x2605fff3,0xcccfffeb,0xfffccccc,0x07ffec05,0xdfffd980,0xffffdccc,
    0x3fe600ff,0x04ffe82f,0xffd73000,0x9999999f,0xd30bfff9,0xb9859fff,
    0x200bfffe,0xffd2fff8,0x5cc00009,0xccccfffe,0x5fffcccc,0x000fff90,
    0x003ffee0,0xbfd13ffa,0xdfb1ffec,0x0013ffea,0x3fffffe2,0x3e20001f,
    0xff9002ff,0x6ffd800f,0x7fff64c0,0x4c3fffff,0x88002fff,0x1fffffff,
    0x1ffff100,0x03fffb00,0x005fff10,0x00bffe20,0x6fffffa8,0x8017ff60,
    0xfffffff8,0x3fe20001,0x3fe2002f,0x3ff202ef,0x05ffd807,0x0027ffcc,
    0x2603fff3,0xb506fffe,0xffd03fff,0xfc800009,0x5ffd807f,0xb80dff90,
    0xff8807ff,0x209ffd2f,0xffffffda,0x7ffc82df,0x905ffd80,0x20000fff,
    0xe800fffb,0xf2ff44ff,0xf76fd8df,0xf70007ff,0x0bfff5ff,0x17ffc400,
    0x4c7ffb80,0x7ff43eee,0x36ea2005,0x261fffff,0xb8002fff,0x5fffafff,
    0x05fff700,0x017ffe60,0x000bffe2,0x0017ffc4,0x9ffffff5,0x8017ff60,
    0xfffafffb,0x3fe20005,0x7fec002f,0xfff906ff,0x00bffb00,0x2001fffd,
    0x2201fff9,0x7ec2fffe,0xffd06fff,0xfc80000b,0x5ffd807f,0xb80dff90,
    0xff8807ff,0x20bffd2f,0xfffffffe,0x7ffc86ff,0x905ffd80,0xffd71fff,
    0x3ee007bf,0xffe800ff,0xff8aff44,0xffcb7ec4,0xffe8002f,0x001fffb6,
    0x00bffe20,0xf907ffd4,0x4fff8dff,0x3ff22000,0x0bffe63f,0x6dbffa00,
    0xfd800fff,0x7fe4006f,0x2fff8807,0x5fff1000,0x7fffd400,0xffd81fff,
    0x5bffa005,0x0000fffd,0x8005fff1,0x80fffffa,0x26447ffc,0xf5007ff7,
    0x3e6007ff,0x7fcc01ff,0x7ffffc6f,0x00fffb03,0x47ffc800,0x0ffee4c8,
    0x2e037fe4,0xff8807ff,0x20dff92f,0xfffffffd,0x7ffc85ff,0x7ff72644,
    0x3fffff20,0x0effffff,0x007ffdc0,0x3fa27ff4,0xdfb1ffa5,0x000fffee,
    0x3e67fff5,0xf10003ff,0x3e6005ff,0x3fffe1ff,0x30fffe1f,0x3f6003fd,
    0x0bffe66f,0x27fff500,0xe803fff9,0x7d4004ff,0x7fc400ff,0xff10002f,
    0x7fd4005f,0xd86fffbf,0xff5005ff,0x0fffe67f,0x17ffc400,0x3ffffa00,
    0xd8fff905,0x019912ff,0x401fffa0,0xc801fff9,0x3ff20fff,0xfff706ff,
    0x7e400003,0x897fec7f,0xdff900cc,0x807ffb80,0xff52fff8,0x66664c0f,
    0xff905fff,0x912ffd8f,0x3fff2019,0xffffffff,0x3fee00ef,0x4ffe800f,
    0xdff92ff4,0x3eadfd37,0x7ec004ff,0x1bffa0ff,0x17ffc400,0x32fff880,
    0x227fffff,0x7fe42fff,0x4fff9005,0x4002fff9,0x3fa0fffd,0x7ffc406f,
    0x7ffcc002,0x17ffc402,0x2fff8800,0x23ffea00,0x7ec3fffd,0xfffb005f,
    0x0037ff41,0x002fff88,0x8077ffe2,0xe999fffc,0x2a0004ff,0xf9803fff,
    0xffa801ff,0x7ffe441f,0x06fff881,0x7e405d40,0xffe999ff,0x3fff2004,
    0xc9999999,0xff8807ff,0x09fff12f,0xc81fffc0,0xfe999fff,0x3ff2004f,
    0xfdbcefff,0x3ee02fff,0xffe800ff,0x3fa37ec4,0x89ffffff,0x22005fff,
    0x7fdc5fff,0xff88001f,0x3ffe002f,0xdfffff93,0xfd07ffe6,0xff9807ff,
    0x0bffe66f,0x45fff880,0x2601fffb,0xf8001fff,0x7fc403ff,0xff10002f,
    0x7fd4005f,0x0ffff88f,0x22017ff6,0x7fdc5fff,0xff88001f,0x3fe6002f,
    0x7ffe401f,0x04ffffff,0x037ffc00,0x400fffcc,0xf982fff8,0xfffb02ff,
    0xbff9001b,0xffffff90,0x64009fff,0xffffffff,0x807fffff,0x3fa2fff8,
    0xfff002ff,0x3ffff207,0x004fffff,0x213ffff2,0x2e04fff8,0xfe800fff,
    0x223fe44f,0x2ffffffd,0x5c00dfff,0x7fc41fff,0xff88005f,0x3ffe002f,
    0xfffffff4,0xe81fff53,0x31beffff,0x49ffffd7,0x2002fff9,0x7c41fffb,
    0x3fe205ff,0x7fc4002f,0x7ffc402f,0xfff10002,0x7ffd4005,0x6cbfff70,
    0xffb805ff,0x2fffc41f,0x17ffc400,0x03fff300,0xffffffc8,0x40004fff,
    0x4c02fffb,0xff001fff,0x5fff107f,0x3ffffa20,0xfd7511ac,0xfff90dff,
    0x09ffffff,0x7ffffe40,0xffffffff,0x2fff8807,0x2fbfffe6,0xffd95309,
    0x3fff207f,0x04ffffff,0x80bfff20,0x3ee07ffd,0xffe800ff,0x4407fd44,
    0x3fa1aaaa,0x3ffa007f,0xfd99999f,0x7c4000ff,0x3fa002ff,0xfcfff9df,
    0x87ffbbff,0xfffffffd,0xefffffff,0x00bffe60,0x999fffe8,0x00fffd99,
    0x5000fffe,0xf8801fff,0xf10002ff,0x7d4005ff,0x3fffa0ff,0xd00bffb2,
    0x33333fff,0x8001fffb,0x2002fff8,0x6401fff9,0xffffffff,0x7c40004f,
    0x7fcc06ff,0x7fff001f,0x805fff10,0xfffffffd,0x2fffffff,0xffffffc8,
    0x32004fff,0xffffffff,0x807fffff,0x7dc2fff8,0xffffffff,0x03ffffff,
    0xfffffff9,0x7e4009ff,0x3ffdc07f,0x001fff70,0xff989ffd,0xfffc8002,
    0xffffa802,0xffffffff,0x7fc4003f,0x3ff6002f,0xfe8fffce,0xc87ffcef,
    0xffffffff,0x41efffff,0x5002fff9,0xffffffff,0x407fffff,0x5c005ffd,
    0xff8807ff,0xff10002f,0x7fd4005f,0x3fffe60f,0x5405ffd8,0xffffffff,
    0x003fffff,0x0017ffc4,0xc803fff3,0xfe999fff,0xfc80004f,0x3fe601ff,
    0xfff9801f,0x02fff882,0xffffffd8,0x01efffff,0xd333fff9,0x7e4009ff,
    0xaaaaaaff,0x8807ffda,0xffb82fff,0xffffffff,0xf901dfff,0xffd333ff,
    0x3ffe4009,0xa81ffee0,0xfe800fff,0x006ff84f,0x806fff98,0xfffffffd,
    0x06ffffff,0x017ffc40,0xffffff90,0x3fbffeeb,0xb9ed986f,0xfffffffe,
    0x05fff302,0x3fffff60,0xffffffff,0x0bfff206,0x037ffc40,0x0017ffc4,
    0x002fff88,0xf903ffea,0x0bffb9ff,0xffffffd8,0x6fffffff,0x17ffc400,
    0x03fff300,0x7ec7ffc8,0x000f663f,0x4c0bfff1,0xfb801fff,0xfff880ff,
    0xfffb5002,0x807dffff,0x7fec7ffc,0x7e40f663,0x3ffdc06f,0x817ffc40,
    0xfffffec8,0x6400cfff,0x1ffec7ff,0x3ff207b3,0x03ffdc07,0xf005fff3,
    0x5ff907ff,0xfffe8080,0x3fffe202,0xffffffff,0x22001fff,0x2e002fff,
    0x33ffffff,0x0bffffff,0x04f7e4c0,0x00bffe60,0x3fffffe2,0xffffffff,
    0xdfff301f,0x0bfff600,0x00bffe20,0x017ffc40,0xd01fff50,0x0bffffff,
    0x7fffffc4,0xffffffff,0x3fe2001f,0x3fe6002f,0x3ffe401f,0xffd83362,
    0x7ffe4001,0x03fff301,0x220fff90,0x44002fff,0x2000affb,0x66c47ffc,
    0x3207ff60,0x7fdc06ff,0x2fff8807,0x33575100,0x23ffe400,0x3ff60cd8,
    0x407ffc81,0x3e207ffb,0x7fcc06ff,0x2fff882f,0x7d42fea8,0x3fee06ff,
    0xaaaaaabf,0x005fffaa,0x800bffe2,0x0ffffffa,0x13fffffa,0x001df700,
    0x7005fff3,0x55557fff,0xbfff5555,0x077ffdc0,0x05fffd88,0x005fff10,
    0x00bffe20,0x980fffa8,0x05ffffff,0x2aafffee,0xffaaaaaa,0x3fe2005f,
    0x3fe6002f,0x3ffe401f,0x003fff80,0x982fffc4,0x7d401fff,0xfff105ff,
    0x1ff50005,0x07ffc800,0xf907fff0,0x7ffb80df,0x02fff880,0x64000260,
    0xfff007ff,0x80fff907,0x7f407ffb,0xfff302ff,0x3ffee01f,0x1fffeddf,
    0xf02fffe8,0x3f200dff,0xff1000ff,0x7fcc005f,0x7fdc6fff,0x5c003fff,
    0x7cc01fff,0xfff802ff,0x1fff9006,0x5ffffec0,0xffffd731,0x3ffe2001,
    0xfff10002,0x7ffd4005,0xfffff900,0x037ffc0b,0x000fffc8,0x2005fff1,
    0x400fffc8,0xff007ffc,0xffb0007f,0x3fff301f,0x0ffffdc0,0x001bfff0,
    0x002fffa8,0x7c01fff2,0x6ffc83ff,0x403ffdc0,0xb002fff8,0xc8001bff,
    0xfff007ff,0x80fff907,0x7d407ffb,0xb98befff,0x5c03ffff,0xffffffff,
    0x8bfff503,0x1befffc9,0xbfffb710,0xcccca885,0xacccdfff,0xfffff100,
    0xfffff987,0xdd551002,0xfff980bf,0x3261dfff,0x101befff,0x05bfffb7,
    0x3fffffe2,0x2fffffff,0xf9999510,0x15999bff,0xfcccca88,0x0acccdff,
    0xbcfffc98,0x7ffffc41,0xefffc985,0xffb7101b,0xcca885bf,0xccdfffcc,
    0x7ffdc0ac,0x3fae206f,0xccccccff,0x03fffccc,0x44fff980,0xccdfffc8,
    0xfffffecc,0x7fffec03,0xec9a8804,0xfeb8805f,0xccccccff,0x23fffccc,
    0x1bfffea8,0x5ffff544,0x3ffff621,0xfd7002ff,0x3ae2007f,0xcccccfff,
    0x3fffcccc,0x2ffff6a2,0x7ffed441,0x3fff201b,0xffffffff,0xdd951006,
    0xffe8017b,0xfffff70f,0xff885fff,0x24ffffff,0xfffffffd,0x07ffffff,
    0x203ffffe,0x001ffffe,0x09fdbffb,0xffffff98,0xfffff75f,0xff885fff,
    0x04ffffff,0xffffffb1,0x6c01dfff,0xffffffff,0x6c7fffff,0xffffffff,
    0x4c7fffff,0xffffffff,0x2ffffd43,0x3fffffee,0x7ffc42ff,0x364fffff,
    0xffffffff,0x227fffff,0x102fffff,0xffffffff,0xffffffff,0x360007ff,
    0xfff30fff,0xffffffff,0x100bffff,0x801fffff,0x05fedffd,0x7fffffc4,
    0xffffffff,0x3fa3ffff,0x13ffffff,0xffffffff,0x3ffffee3,0x6f4c02ff,
    0xf8805feb,0xffffffff,0xffffffff,0x3ffff63f,0x3ff60fff,0x201fffff,
    0xfffffffc,0x00000dff,0x327ff980,0xffffffff,0x7ffffd43,0x3ffe6fff,
    0xffffffff,0xfd00ffff,0x3fee0dff,0xff5000ff,0xf9803fff,0x93ffffff,
    0xffffffff,0xfffffa87,0x7d406fff,0x04efffff,0xfffffff8,0xffffffff,
    0x3fffffe0,0xffffffff,0x3fffea0f,0xfd84ffff,0x7ffe45ff,0x543fffff,
    0xffffffff,0x3fffffe6,0xffffffff,0x0bfffa0f,0xffffffa8,0xffffffff,
    0x0003ffff,0x3ea3fff3,0xffffffff,0x003fffff,0x201fffe6,0x01fffffa,
    0x7fffffd4,0xffffffff,0xff13ffff,0x2bffffff,0xfffffff9,0xfffff33f,
    0xffa805ff,0xfa801fff,0xffffffff,0xffffffff,0xfffff13f,0x7ffc5fff,
    0x403fffff,0xffffffe9,0x40000003,0x3ff660a8,0xc80dffff,0x2dfffffe,
    0x3fffffaa,0x3effffff,0x40ffff60,0x8007fff8,0xc8800bc9,0x261bcccc,
    0xdffffffd,0xffffec80,0x731002df,0x7f540015,0xffffffff,0x7f543eff,
    0xffffffff,0xffc83eff,0x881dffff,0x7ecc5fff,0x80dfffff,0xdfffffec,
    0x3ffffaa2,0xefffffff,0x40055443,0xffffffec,0xffffffff,0x2e0003ff,
    0x7fff644e,0xabdeffff,0x01530000,0x80055cc0,0xffffffec,0xffffffff,
    0x3ffae3ff,0x3b21dfff,0x20dfffff,0x1cccccb8,0x02deda80,0x3ffffb20,
    0xffffffff,0x3ae3ffff,0x544effff,0x0dfffffe,0x01573100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00018000,0xfffffd91,
    0x5c007bdf,0x3deffffe,0x37bffb22,0x502b8803,0x554c0017,0x01aaaaaa,
    0x55555500,0x98001555,0x002b881b,0x00000600,0x2a000022,0x702efffd,
    0x39dffffd,0x000d4c00,0x3fffffae,0x01bceeef,0xba815c40,0x00006000,
    0x000aaaa2,0xbcedc980,0xaaaaa800,0x4000aaaa,0x017502b8,0x55555540,
    0x00000aaa,0x00000053,0x00080020,0xaaaaa980,0x9d90001a,0x7f5c0001,
    0xc805c42e,0xffffffff,0xfa802fff,0xffffffff,0xffffff92,0x3ffc805f,
    0xb8037fcc,0xffffffff,0x7f4002ff,0xffffffff,0xfff1000f,0x0005ffb0,
    0x442efeb8,0x3f26000b,0x400d40cf,0xfffffff8,0x7ffffcc0,0x74c05fff,
    0x03efffff,0x7fffffd4,0xffffffff,0x7ff9000d,0xb806ff98,0x05c42efe,
    0x037ffd40,0xffffb800,0x7ff405ff,0x7fffffff,0x21ffec00,0xfd006ffa,
    0xffffffff,0xff90000f,0x80000001,0x5fc803fa,0x3fb2a200,0xffffffff,
    0x7ffd4006,0xfffb0003,0x5ff73bff,0x3fffff20,0x01ffffff,0xffffff98,
    0xfff91fff,0xe803ffff,0x3ffdc4ff,0xffffe980,0x001effff,0x7fffffdc,
    0x2a005fff,0x7ffc0fff,0x3ff60003,0xffb9dfff,0xffff3002,0x0ffb37ff,
    0x3fffffe0,0x7fffc45f,0x9104ffff,0xffffffff,0x3fe601bf,0xffffffff,
    0x00ffffff,0x7dc4ffe8,0x7ffec07f,0x2ffb9dff,0x06fffa80,0xffffc800,
    0x3201ffff,0xffffffff,0x7ff4005f,0x803ffdc4,0xfffffffc,0x220005ff,
    0x00004ffd,0x805fc800,0xe9800fff,0xffffffff,0x4006ffff,0x8005fffb,
    0xffc9cff9,0x2a206fff,0xccfffdcc,0x3ae6001b,0x221bcfff,0x01cfffff,
    0x6c41ee98,0x0000003f,0x20000000,0x0efa84fd,0x39ff3000,0x0dfffff9,
    0x754f7ec0,0x002fffff,0xfffffb73,0xfffcb985,0xffe880ae,0xffffffff,
    0xfd7301ff,0xfb9999ff,0x300bffff,0x3fd883dd,0x3273fe60,0x006fffff,
    0x000dfff5,0xdeffff98,0x000006ff,0x881dd500,0x000003fd,0x7ffd3000,
    0x20000000,0x7fc404fe,0x7ffdc02f,0xfbaffdff,0xf88001af,0x150001ff,
    0x00bffea8,0x003ffea0,0x10dff900,0x005ffffd,0x00000000,0x00000000,
    0x50000000,0x0bffea81,0x3f20a200,0xfa8002df,0x3606ffff,0x3ff605ff,
    0xfba9acff,0x7e406fff,0xffd5107f,0x0000003f,0x7ffd502a,0x2aaa2001,
    0x7fec0002,0x0000042f,0x00000000,0xf8800000,0x000002ff,0x807ff500,
    0x2202fff8,0xff73ffff,0x0003ff51,0x000000a8,0x3fea0001,0x7e40000f,
    0x7fffcc6f,0x0000001f,0x641ff440,0xa980006f,0x00000001,0x00040000,
    0x20000800,0x4ffffffa,0x2a0bffb0,0xd101efff,0x7e409fff,0x7ffcc07f,
    0x00000003,0x00000008,0x006fff80,0x00000000,0x00000000,0x0007bea0,
    0x9dfffdd9,0x7ffff641,0x400fffff,0x2e02fff8,0x3fee3fff,0x0001ffa8,
    0x54c00000,0x3fea0001,0x7e40000f,0x3fffea6f,0x0000000e,0x447ffb80,
    0x98002fff,0x3efffffe,0x00000000,0x00000000,0xfff50000,0xfb03ffff,
    0xffff10bf,0x5fffd001,0x201fff20,0x00004fff,0x00000000,0xfff88000,
    0xfeec8803,0x3ae0ceff,0x00ceffff,0xfda80000,0xffffffff,0x0c002dee,
    0xffb82a20,0x54ffffff,0xffffffff,0xff700dff,0xfd8137df,0x547fdc7f,
    0x000001ff,0xfffe9800,0x54003eff,0x40000fff,0xfff76ffc,0x3ae001df,
    0xffffffff,0x4eeeffff,0x3a1bfe60,0x322001ff,0xffffffff,0xfd7000df,
    0x09dfffff,0xefffda80,0xffffd702,0x3fae039d,0x04efffff,0xf7fff500,
    0xbffb0dff,0x005fff70,0x6417ffe6,0x7fd407ff,0xfffb502f,0xddffffff,
    0xfffda85b,0xeeffffff,0xcccb982d,0x10001ccc,0xf7005fff,0x9fffffff,
    0x3fffffea,0x3ff6a5ff,0xfeb80cef,0x7ffc3def,0xffffffff,0x4000ffff,
    0x54dff300,0xffffffff,0xffffff33,0x5c01bfff,0xffffffff,0x8fffd0ef,
    0x1ffa8ffb,0x3ffffae0,0xffffffff,0x32204eee,0xffffffff,0xff5000df,
    0xfc80001f,0x5ffffcff,0x3fffea00,0xffffffff,0x405fffff,0x01b880b9,
    0x3ffffa20,0xffffffff,0x7fffcc01,0x00ffffff,0xffffff10,0xffff981f,
    0xf985ffff,0xffffffff,0xffa8000f,0x43fffd8f,0xffd85ffd,0x37fe4006,
    0x9107ffc8,0x3e01ffff,0xffffffff,0x20ffffff,0xffffffff,0x0fffffff,
    0x3fffffe2,0x2a2002ff,0xaacfffba,0xfffff500,0x3fe67fff,0x14ffffff,
    0x7fffffff,0xffffffa8,0x3ffffa2f,0xffffffff,0xeca8807f,0xff98adff,
    0x3ff6a0ff,0x65cc2ccf,0x401befff,0xfffffffc,0xffb2ffff,0x547fdc1f,
    0xfff501ff,0xffffffff,0x0bffffff,0x3fffffa2,0x1fffffff,0x00fffa80,
    0x7fffe400,0x2002ffff,0xfffffff9,0xffffffff,0x000005ff,0x67fffec0,
    0xffffb99a,0x3ffe600f,0x3fffffff,0x3ffffe00,0x7ffc45ff,0x984fffff,
    0xffffffff,0xfa8003ff,0xffff88ff,0x3a17ff60,0x7d4004ff,0xfffc80ff,
    0xfffecccc,0x3ffa04ff,0xffffffff,0x7ff47fff,0xffffffff,0x7fcc7fff,
    0x02ffffff,0xffffff30,0x207fffff,0x2ccfffda,0x77ffe5cc,0x3ffffe0a,
    0x7ffd43ff,0x2e21ffff,0xdfffcccc,0x6c01bccc,0xffffffff,0xb85fffff,
    0xfe800fff,0xfffc804f,0xffffdeff,0x49fff73f,0x1ffa8ffb,0xffffff30,
    0xffffffff,0x3f60bfff,0xb99acfff,0x400fffff,0x0000fffa,0x7fffffe4,
    0x26002fff,0xcccfffeb,0xfffccccc,0x20000005,0x101efffa,0x9809fffb,
    0xfffffccb,0x36e6006f,0x4c2fffff,0x0aefffcb,0xfff99730,0x5000dfff,
    0x3fee1fff,0x117ff65f,0x98005fff,0xffc81fff,0xffffffff,0x65c403ff,
    0xcdfffccc,0x65c41bcc,0xcdfffccc,0xedb81bcc,0x002fffee,0xfffffff7,
    0x5c0bffff,0xfe800fff,0xfffb884f,0xffff704f,0xfff10039,0xfffd8005,
    0xffffffff,0xfff705ff,0x09ffd001,0x83ffff88,0xfd13fffb,0x1ff739ff,
    0x5cc03ff5,0xccccfffe,0x5fffcccc,0x01efffa8,0x809fffb1,0x0800fffa,
    0x3fffff20,0x003fffff,0x6c03ffe4,0x665cc5ff,0xcccb884c,0xffff104c,
    0x3fffb001,0x3fffe200,0x54001fff,0x206fffff,0x22005ffd,0x1fffffff,
    0x07ffd400,0x3f65fffd,0x0fffcc5f,0x0fffe200,0x3ffffff2,0x002fffff,
    0x005fff10,0x00bffe20,0x017ffc40,0xfffffd88,0x201effff,0xe800fffb,
    0x3fea04ff,0x9fff906f,0x17ffc400,0xbffffb00,0xffffb759,0x3ffee03f,
    0x04ffe800,0xd017ffe4,0x7ff445ff,0xfa8ffeff,0x7ffc801f,0x445ffd80,
    0xd800ffff,0x3ea01fff,0x2fec00ff,0x91ffffc8,0x4005ffff,0xfd807ffc,
    0x3fffe65f,0xffffe87f,0xfffb80ff,0xbfff3002,0x2bffee00,0x54005fff,
    0x04ffffff,0x5c00bffb,0x5fffafff,0x07ffd400,0xfb1ffff3,0x2fff88bf,
    0x17ffc400,0x7fffffe4,0x002fffff,0x005fff10,0x00bffe20,0x017ffc40,
    0x02fff880,0x003ffee0,0xfb013ffa,0xfffa87ff,0x7ffc4006,0xdfffb002,
    0xffffe883,0x1fff705f,0x809ffd00,0x75405ffe,0xffffd885,0x01ffa8ff,
    0xd807ffc8,0x7ffdc5ff,0xbfff3002,0x007ffd40,0xf901fff1,0xfffa81ff,
    0x1fff2006,0x1ffdc991,0x0ffffff5,0x1ffffffd,0x800dffb0,0xfd007ffc,
    0x03fff6df,0xfffffa80,0x5ffd81ff,0x6dbffa00,0x2a000fff,0x7fe40fff,
    0xf85ffdcf,0x7d4003ff,0x7ffc80ff,0x17ffff44,0x17ffc400,0x2fff8800,
    0x5fff1000,0x3ffe2000,0x3ffee002,0x04ffe800,0x88ffffc4,0x4001ffff,
    0xf002fff8,0xffd10dff,0x705fffff,0xfd001fff,0x3fff809f,0xfdb88000,
    0x01ffa8ff,0x6447ffc8,0xfb0ffee4,0xffc800df,0x03ffea07,0xc81fff98,
    0xfff906ff,0x1fff2007,0x33225ffb,0x3fff6dc0,0x7fff76cc,0x004ffe80,
    0x2007ffd4,0xff33fffa,0x7fd4007f,0xd86fffbf,0xff5005ff,0x0fffe67f,
    0x80fffa80,0x5ffffffe,0x4005fff8,0xff907ffc,0x3ffff60f,0x7ffc4001,
    0xfff10002,0x3fe20005,0xff10002f,0x7fdc005f,0x4ffe800f,0x96fffa80,
    0x10009fff,0xf3005fff,0xffe883ff,0x84fffaef,0xe800fffb,0x7ffc04ff,
    0x7dc00005,0x801ffa8f,0x7fec7ffc,0xfe819912,0x7fd4004f,0x1fff500f,
    0x40fffcc0,0x3fa06ffc,0xfff9007f,0x09ffd333,0x203ffdc0,0x7c40fffb,
    0x7cc002ff,0x7fec02ff,0x01bffa0f,0xfd8fffa8,0x2ffec3ff,0x20fffd80,
    0x2a006ffe,0xff980fff,0xfc85ffff,0xff1002ff,0x1fff20df,0x00ffffc8,
    0x00bffe20,0x017ffc40,0x02fff880,0x05fff100,0x007ffdc0,0xd8027ff4,
    0x6fffdfff,0x5fff1000,0x88dff900,0xfd0efffe,0x1fff70bf,0x809ffd00,
    0x0000fffe,0x3ea3fee0,0xfffc801f,0x04ffe999,0x0017ffc4,0x540bffe6,
    0x3e600fff,0x6ffc81ff,0x00fffea0,0x3ffffff2,0x2e004fff,0x7fdc07ff,
    0x0fffcc0f,0x01fffc00,0xfb8bfff1,0xff5001ff,0x1ffff11f,0x4402ffec,
    0x7fdc5fff,0xfff5001f,0x3ffff201,0x6fff885f,0x05fffb00,0xfb01fff2,
    0x7c400bff,0xf10002ff,0x220005ff,0x10002fff,0x5c005fff,0xfe800fff,
    0xfff1004f,0x0003ffff,0x200bffe2,0x3fa25ffd,0x3ff20eff,0x00fffb86,
    0x6404ffe8,0x32604fff,0x51ff7003,0xff9003ff,0x9fffffff,0x01fff980,
    0x263fff80,0xccfffdcb,0xffdccccc,0x3ffae21f,0xffe80bcf,0xff900acf,
    0x9fffffff,0x03ffdc00,0xf103ffee,0xf88005ff,0x3fee02ff,0x2fffc41f,
    0x70fffa80,0x7fecbfff,0x1fffb805,0x402fffc4,0x1bcfffc9,0x2fffffc4,
    0x00efffd8,0x10bfffb1,0x179fffd7,0x59ffff10,0x05fff100,0x0bffe200,
    0x17ffc400,0x2fff8800,0x03ffee00,0x8013ffa0,0x03fffffa,0x0bffe200,
    0x223fff20,0x740efffe,0xfffb84ff,0x04ffe800,0x5f7fffc4,0x3fffeb98,
    0xfa8ffb80,0xfffc801f,0x04ffffff,0x0017ffc4,0x7dcbffe2,0xffffffff,
    0xffffffff,0xfffff31f,0xfa83ffff,0xc80fffff,0xffffffff,0x3fee004f,
    0x07ffdc07,0x2001fffc,0x3a00fffa,0x99999fff,0xa800fffd,0x3ffa0fff,
    0x00bffb2f,0x3333fffd,0x401fffb3,0xfffffff9,0x7fffd43f,0xffffd105,
    0x3ffae637,0x7ffc40ff,0x81ffffff,0x03fffff9,0x0017ffc4,0x002fff88,
    0x005fff10,0x00bffe20,0x800fffb8,0x64004ffe,0x40006fff,0xb802fff8,
    0xfffdcfff,0x17ffd40f,0x4007ffd4,0xfb804ffe,0xffffffff,0xfb803fff,
    0x801ffa8f,0xfffffffc,0xfff804ff,0x7ffd4003,0xffffffb0,0xffffffff,
    0x3ea3ffff,0xffffffff,0xfffffe82,0x99fffc81,0x2004ffe9,0x7dc07ffb,
    0x5ffd80ff,0x03ffdc00,0xfffffff5,0x07ffffff,0x4c1fff50,0xffd8ffff,
    0x7fffd405,0xffffffff,0x3ffea03f,0xd84fffff,0x3e205fff,0xffffffff,
    0xfa82ffff,0xffffffff,0xbffff703,0x02fff880,0x05fff100,0xfb999730,
    0x57999bff,0x2fff8801,0x03ffea00,0x0013ffa0,0x0005fff1,0x802fff88,
    0xfffffff8,0x3fffd41f,0x802fff98,0xf7003fff,0xffffffff,0x3fee00df,
    0xc801ffa8,0xfe999fff,0x5ffd804f,0x33ffdc00,0xfffffffb,0xffffffff,
    0x7ff643ff,0xf504efff,0x3f209dff,0x31ffec7f,0x1ffee07b,0x901fff70,
    0x22005fff,0x3f606fff,0xffffffff,0xa806ffff,0x7fe40fff,0x405ffdcf,
    0xfffffffd,0x06ffffff,0x7fffffe4,0x5fff881d,0x7ffff440,0x00efffff,
    0x3fffffb2,0x3ff600cf,0x7ffc401d,0xfff10002,0xffffb805,0xffffffff,
    0x7c404fff,0x3e6002ff,0xfff802ff,0x7ffc4003,0x7fc40002,0xfff7002f,
    0x36a25fff,0xf104ffff,0xff980dff,0x3f6a002f,0x03efffff,0x3ea3fee0,
    0x7ffc801f,0x7b31ffec,0x002fffc8,0x000dfff1,0x00000000,0xb11fff20,
    0x40ffec19,0x7dc07ffb,0xfff980ff,0x5fffb006,0x3ffffe20,0xffffffff,
    0x7fd401ff,0xffffe80f,0x3fe205ff,0xffffffff,0x001fffff,0xf7000000,
    0x17dfffff,0x00000000,0x002fff88,0x805fff10,0xfffffffc,0xffffffff,
    0x0fffd406,0x0dfff100,0x002fff98,0x0017ffc4,0x00bffe20,0xfffffff8,
    0x3fffffff,0x817fff40,0x000ffff8,0x00cfff98,0xfa8ffb80,0x7ffc801f,
    0xffb066c4,0x037ffcc3,0x002fffd8,0x2000004c,0x7e400018,0x7fff007f,
    0x203fff70,0x700fffea,0x2201dfff,0x2e05fffd,0xaaaabfff,0x5fffaaaa,
    0x407ffd40,0x5ffffff9,0x2afffee0,0xfaaaaaaa,0x4c0005ff,0xffd80000,
    0x01501eff,0x00001300,0x000bffe2,0x2017ffc4,0xffffffd9,0xdfffffff,
    0x07fff401,0x0bfffa00,0x007fffcc,0x00bffe20,0x05fff100,0x3fffff60,
    0xffffffff,0xffffa802,0xfffb98be,0xff10003f,0x3ee0005f,0x801ffa8f,
    0xff007ffc,0xefffb87f,0xbfffb100,0x0dffd800,0x9fff0000,0x1fff2000,
    0x4c1fffc0,0xd731dfff,0x017fffff,0x46fffff6,0x0ffffeb9,0x401bffe0,
    0x2a00fffc,0xff900fff,0x7fc0bfff,0xfff9006f,0x3ff60001,0xffb0000d,
    0x7bdfffff,0x4001fff9,0x0000dffd,0x0017ffc4,0x002fff88,0x1001dfb0,
    0xfff93377,0xfff5000d,0xff7317df,0xf10007ff,0x544005ff,0xdfffcccc,
    0x7e40accc,0xfffedfff,0x2001ceff,0xfffffffc,0x0006ffff,0x400bffe2,
    0x9ffdcca8,0x201bdffb,0xff007ffc,0xffffb07f,0x3ffae637,0x75c000ff,
    0x900003ff,0x44003fff,0xcccfffeb,0xffcccccc,0xfffff03f,0xffffffff,
    0x3fe20fff,0xffffffff,0xf9302fff,0x22037dff,0x82dfffdb,0x1bcfffc9,
    0x2fffffc4,0x5f7ffe4c,0xfffb7101,0xfd70005b,0xff70007f,0xffffffff,
    0x005fffff,0x001fff5c,0xff999951,0x815999bf,0xffcccca8,0x00acccdf,
    0xfb003fe8,0x3fffffff,0x3fff2000,0xffffffff,0x332e6006,0x0accdfff,
    0x3fffff60,0xffffffff,0x87fffe27,0x0000ab98,0x3ffffff2,0x0000dfff,
    0xd8007ffc,0xfeffffff,0x440fffff,0xcccfffeb,0xffcccccc,0xffff883f,
    0xffffffff,0x37a6002f,0x40005feb,0x03ffbceb,0xffffff10,0xffffffff,
    0x2a07ffff,0xffffffff,0x0fffffff,0xfffffb10,0x201dffff,0xfffffffb,
    0x7fffc42f,0x3e64ffff,0x3fffffff,0x22ffffd4,0xfffffffb,0x7fffc42f,
    0x3004ffff,0x00bfd7bd,0xffffffd0,0xffffffff,0x2f7a600b,0x3f6005fe,
    0xffffffff,0x7ec7ffff,0xffffffff,0xb807ffff,0xb04fcbef,0x7fffffff,
    0xfffc8000,0x0dffffff,0xfffff900,0x0bffffff,0x7ffffffc,0xffffffff,
    0x000bffa0,0xfffd3000,0x00007fff,0xfb8017ee,0xfdbfffff,0x7fc45fff,
    0xffffffff,0xffffffff,0xffffb103,0x01dfffff,0xfffffa80,0x7fe40001,
    0x3ea007ff,0xffffffff,0xffffffff,0x3ffea03f,0xffccffff,0xffa803ef,
    0x404effff,0xfffffffc,0x7fffd43f,0x3ea6ffff,0x4fffffff,0x645fffd8,
    0xffffffff,0x7ffffd43,0xf5006fff,0x0003ffff,0x3559dff5,0x039fffb7,
    0x7ffffd40,0x3fffe001,0xffffffff,0x3ffe0fff,0xffffffff,0x4400ffff,
    0x103fffff,0x03dffffd,0x3ffa6000,0x4003ffff,0xfffffffd,0x2a07ffff,
    0xfffffffe,0x443effff,0x0000001b,0x0002ae62,0x00000000,0x7ffffd40,
    0xffffffff,0x403fffff,0xeffffffa,0x3b6a0004,0xb700002d,0xec80039d,
    0xffffffff,0xffffffff,0x1abb9803,0x2e620000,0xffb3000a,0x901bffff,
    0x5bfffffd,0xffffffc8,0x5fff881d,0x7ffffecc,0xffec80df,0x2002dfff,
    0x0002deda,0x00004002,0x8005bdb5,0xffffffea,0x43efffff,0xffffffea,
    0x03efffff,0x007bd710,0x00001531,0x002ae620,0x7fffecc0,0x02efffff,
    0x00000000,0x00000000,0x00000000,0xffffec80,0xffffffff,0x1003ffff,
    0x00001573,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaa0000,0x00aaaaaa,0x55555500,0x00001555,0x70000000,
    0x7776d417,0xeeeeeeee,0x7fff5c2d,0xffffffff,0x0004eeef,0xa9880000,
    0x82aaaaaa,0xceeeeeec,0x3bbbb6e0,0xffd700ce,0x009dffff,0x00000000,
    0x00039855,0x2a200000,0x00000000,0x00400000,0x00000000,0x50000000,
    0x00000003,0x5c438800,0x03500000,0x00017100,0xfffd0018,0x0fffffff,
    0xfffffd00,0x000fffff,0x00017dd5,0x6404d4c0,0x3fffa4ff,0xffffffff,
    0xfff50fff,0xffffffff,0x0bffffff,0x02dfb880,0x7fffe400,0x5c7fffff,
    0xffffffff,0xffffff54,0xfff30bff,0x1fffffff,0x1fd40000,0x27fc8000,
    0x3f601ffa,0x0001ba00,0xfb009fd3,0x73037401,0xfd913999,0x910039df,
    0x519dfffd,0x40159999,0x01ba00fd,0x0004fa80,0x0037ec40,0x00176440,
    0x225ff300,0xd80004fe,0xefc8006f,0xfff88001,0x7fffe400,0x005fffff,
    0xffffffc8,0x5c005fff,0x0005fddf,0x7fffff4c,0x4bfff72e,0xfffffffe,
    0x27ffffff,0xfffffff9,0xffffffff,0x7f4005ff,0xb0003fdc,0xffffffff,
    0xfffa8fff,0xf33fffff,0x9fffffff,0xffffff30,0x0007ffff,0x3dfffb10,
    0xa7fe4000,0x7f405ffb,0x001ff704,0x003ffea0,0x7fdc13fa,0xdfffff00,
    0xffffffff,0x7fffd407,0xffefffff,0x3fa05fff,0x001ff704,0x1efffd88,
    0xffe98000,0x7f540002,0x40000cff,0xffd16ff9,0x7f440001,0xff98003f,
    0x7fdc002f,0x0000003f,0xf8000000,0x20007ea4,0xffffffc8,0xffffefff,
    0x33332e21,0xbcccdfff,0x7fff5cc1,0xcccccccc,0x26005fff,0x2001b62f,
    0x999beffb,0xda87fc99,0x4c2ccfff,0x0aefffcb,0xfff99730,0x8000dfff,
    0xfffefffa,0x4ffc8003,0xf900bff7,0x3fee639f,0xdff90005,0x33ff2001,
    0x20bff731,0xfffffff8,0xffffffff,0xfffffc83,0xffffffff,0x3ee06fff,
    0xbff732cf,0xefffa800,0x20004fff,0x0002fffa,0x7ff7ffe4,0xff50002e,
    0x03fff31d,0x17ffcc00,0x7ffd3000,0x0fffc400,0x00000000,0x8fe20000,
    0x744002f9,0xffffffff,0x03ffffff,0x002fff88,0x3601fff2,0x3ea005ff,
    0x36001ee0,0x1ff200ff,0x4007ffdc,0x22004ffe,0x1fffffff,0x5fff7000,
    0x8017ffa6,0xbff54ffb,0x7fffec00,0x8000efff,0xd8005ffc,0xefffffff,
    0x3fff6a00,0xfebbdfff,0x7ffcc7ff,0xffdbacef,0x01ceffff,0x7fffffec,
    0x3ea000ef,0xdffd33ff,0x1dff5000,0xeffe8000,0x005fff70,0xfd0eff88,
    0x7cc0003f,0x880001ef,0x0c003ffd,0x00000000,0x3db00000,0xfb000fb3,
    0xb5359fff,0x00bfffff,0x800bffe2,0xfd807ffc,0x46fc005f,0xff8004fa,
    0xb837d405,0xfe800fff,0x3fee004f,0x005fffaf,0xf901bfd0,0x8ff6001f,
    0xfb8005fb,0x000cffff,0x40007fd0,0x0cfffffb,0x3dffff00,0x221fff70,
    0xf703fffe,0xb800ffff,0x00cfffff,0x5c077ec0,0x7e4001ff,0x7cc0000d,
    0x05fe883f,0xf8877d40,0x7dc0001e,0x6400000d,0x5c00005f,0xeffffffe,
    0x7ff5c004,0xffffffff,0x804eeeff,0x002fffe9,0x80f7ffd4,0x005ffffc,
    0x4005fff1,0x26447ffc,0xb8007ff7,0x8001efff,0x0dc00fff,0x800fffb8,
    0x3a004ffe,0x1fffb6ff,0x98031000,0x00404001,0x00026200,0x40000220,
    0xff800098,0xfff100ef,0x013ffea7,0x000ffff7,0x88000262,0x8000c402,
    0x02600001,0x03000150,0x00c00001,0x00010000,0xfffff980,0x000fffff,
    0xfffffff5,0xffffffff,0x15400bff,0x7fffc400,0xfffff500,0xfff1003f,
    0x3ffe4005,0x6644bff6,0x01b88000,0xeffffb80,0xfff70001,0x09ffd001,
    0x4cfffea0,0x00003fff,0x00000001,0x20000000,0x00000000,0x7c03fff8,
    0x0fff74ff,0x001fffa0,0x01000000,0x00010000,0x00000000,0x00000000,
    0x22000100,0xffff300a,0x07ffffff,0x3ffffe60,0xffffffff,0x4005ffff,
    0xfffb8000,0xfffff302,0xff100bff,0x7fe4005f,0x4ffe999f,0x40000000,
    0xfffffffc,0xfffb8003,0x04ffe800,0x741fffb0,0xb30006ff,0x55bffffd,
    0xeca88017,0x4000acef,0xacefeca8,0x3fb66000,0x0baadfff,0x77ff6540,
    0xfff000bd,0xb4fff807,0x3f200dff,0x9997307f,0x99997109,0xfeca8809,
    0x000cefff,0x3fffb2a2,0x70000cef,0x39dfffdb,0x99730173,0x99971099,
    0x76dc0099,0xb99cefff,0x3fb2a200,0x000cefff,0x65cc0dff,0x6ffffffc,
    0x3ffae600,0xcccccccf,0x5105fffc,0x9dffffd9,0x0dffb001,0x373fffa2,
    0xff8807ff,0x3ff2002f,0x4fffffff,0x99997300,0x99999710,0x326fbfe0,
    0x2002efff,0xe800fffb,0xff8804ff,0x0fffdc5f,0xffffb100,0x9fffffff,
    0x7ffffdc0,0x7004ffff,0xffffffff,0xffd8809f,0xffffffff,0xfffb104f,
    0x07ffffff,0xf807fff0,0x0bffd4ff,0x261fff20,0xe87fffff,0x00ffffff,
    0xfffffff5,0x5009ffff,0xffffffff,0x4c009fff,0xfffffffe,0x7cc6ffff,
    0xfe87ffff,0x400fffff,0xffffffe9,0x506fffff,0xffffffff,0xf9809fff,
    0xff8801ff,0x001fffff,0x6c03ffe4,0xfffa85ff,0xffffffff,0x827ff404,
    0xff75fffd,0xfff8803f,0x3fff2002,0x04ffffff,0x7fffff98,0xffffffe8,
    0x261ffc40,0x801efffe,0xe800fffb,0xffb804ff,0x2fffc41f,0xfffffd00,
    0xdfffffff,0x3ffffee0,0x05ffffff,0x7fffffdc,0x205fffff,0xfffffffe,
    0xa86fffff,0xffffffff,0x200effff,0x7fc03fff,0x00fff94f,0x3ea1fff6,
    0xfe87ffff,0x900fffff,0xffffffff,0xc807ffff,0xffffffff,0xb803ffff,
    0xffffffff,0x20ffffff,0x87fffffa,0x0ffffffe,0x3ffffee0,0xffffffff,
    0xffffc80f,0xffffffff,0x0bffea03,0x3ebffee0,0x7e4005ff,0x5ffd807f,
    0xffffffc8,0x03ffffff,0xf705fff1,0x3fe61fff,0x7ffc402f,0x3fff2002,
    0x04ffffff,0x7fffffa8,0xffffffe8,0xb81ffd80,0x5c04ffff,0xfe800fff,
    0xfffe804f,0xffd99999,0xfffa800f,0xffdcbcef,0xfffb86ff,0xffdcacef,
    0xfff705ff,0xffb959df,0xfff50bff,0xffb979df,0xfff88dff,0xffdbceff,
    0x3fe04fff,0xa7ffc03f,0x4c02fffb,0xdb707fff,0xddb30fff,0x3e601fff,
    0xecacdeff,0x7cc07fff,0xecacdeff,0x7cc07fff,0xdbbcffff,0x40ffffff,
    0x987ffedb,0x00fffeed,0x79fffff3,0xffffffb7,0xbdfff301,0xffffd959,
    0x01fffdc0,0xffdb7ff4,0x3ff2000f,0xff726447,0xbdfff307,0xffffd959,
    0x30bffe60,0x7c43ffff,0x7fc403ff,0x3ff2002f,0x4ffe999f,0xfffdb700,
    0xfffddb30,0x09fff301,0x03dfffb1,0x2003ffee,0x7d404ffe,0xffffffff,
    0xc803ffff,0xfb100fff,0xffffa8bf,0x9fffd302,0x02ffffa8,0xc89fffd3,
    0xfb100fff,0xefffe8bf,0x3ffff500,0xf00fffe0,0x3ffe29ff,0xfffd101f,
    0x07ffb80f,0x1007ffdc,0x0fffc803,0x3f200c40,0x3ffa00ff,0x3ffea04f,
    0x0fff700f,0xd00fffb8,0x7d409fff,0x03100fff,0x900fffc8,0xfa809fff,
    0x7fff33ff,0x23ffe400,0x19912ffd,0xff900620,0x7fff101f,0x21ffffc4,
    0x4402fff8,0x32002fff,0x1ffec7ff,0x7fdc07b3,0x07ffdc07,0x81efffa8,
    0xa81fffea,0xfe800fff,0x7ffec04f,0xffffffff,0xffb806ff,0xdd8809cf,
    0x00fffec1,0xfb1fffa2,0xfe8803ff,0x67ffdc7f,0x21dd8809,0x400efff9,
    0x5cc6fffa,0xf00adfff,0x7ffdc9ff,0xfff731bf,0xffb80fff,0x07ffdc07,
    0x26333100,0x44001fff,0x3fff3199,0x013ffee0,0xfb81ffee,0x7ffdc07f,
    0x04fffb80,0x2007ffb8,0xfff31998,0x13fff603,0x741fffb0,0x3f2006ff,
    0xffe999ff,0x26620004,0x203fff31,0x3ffa5fff,0x0fffa85f,0x017ffc40,
    0xd88fff90,0x407ff60c,0x7dc07ffb,0x3fa200ff,0x7e440dff,0x1fff985f,
    0x01fffc40,0xfffffff1,0xffffffff,0xffff9803,0x00acdeff,0x5c00fffe,
    0x3ffe1fff,0x3fff7003,0x7fffffcc,0xf700acde,0x99999bff,0xfffd9999,
    0x3ffffea1,0x9fff06ff,0xffffffe8,0x7fffffff,0x203ffdc0,0x4c00fffb,
    0xfffffffd,0xd9801fff,0xffffffff,0xdff901ff,0x817fe200,0x7dc07ffb,
    0x6ffc80ff,0x80bff100,0xffffffd9,0xfd01ffff,0x7fc40bff,0x0fffdc5f,
    0xfffffc80,0x4004ffff,0xffffffd9,0xfd01ffff,0x1bfff2ff,0x4403ffe4,
    0x32002fff,0xfff007ff,0x01ffee07,0x8801fff7,0xc83ffffc,0x7ffc40ff,
    0x17ffe403,0x557fff70,0xff555555,0xfff700bf,0x9fffffff,0x003fff30,
    0x7ccfffe2,0xff1001ff,0xffffb87f,0x84ffffff,0xfffffffd,0xffffffff,
    0xffff71ff,0x3fe0ffff,0x7ffec44f,0xffffffff,0x3ffdc07f,0x403ffee0,
    0xffffffd8,0x01ffffff,0x3fffff62,0x1fffffff,0x400bffd0,0x3ffdc018,
    0x203ffee0,0x22005ffe,0x3fff6201,0xffffffff,0xdffff01f,0x20fffdc0,
    0x9005fff8,0xffffffff,0x3f62009f,0xffffffff,0xff901fff,0x01ffffbf,
    0x100bfff1,0x64005fff,0xfff007ff,0x01ffee07,0x2001fff7,0x20efffe9,
    0xffe83ff9,0xffff101f,0x037ffc01,0x800fffc8,0xffffffd9,0x3ee1efff,
    0x3fa000ff,0x01fff75f,0x4c2fff40,0xfffffffd,0x3ff61eff,0xffffffff,
    0x3fffffff,0xdfffffb1,0x40fffe05,0xfffffffa,0x5c07ffcb,0x7fdc07ff,
    0xfffe880f,0xffffffff,0xffd101ff,0xffffffff,0x3fe03fff,0x5c00003f,
    0x7fdc07ff,0x03fff80f,0xfffd1000,0xffffffff,0x3ffe03ff,0x3fffa07f,
    0xffd99999,0xfffc800f,0x04ffffff,0xfffffe88,0xffffffff,0xfffff101,
    0x3ff605ff,0x6665442f,0xcccdfffc,0x7ff5c40a,0xcccccccf,0x703fffcc,
    0xffb80fff,0x7fd4000f,0x0fffedff,0xbeffff98,0x3ffffb88,0x7dfff930,
    0x3ff6e203,0x2a6002df,0x6ffffedc,0x8007ffe6,0xfff33fff,0x1fffc003,
    0x3fb72a60,0x3ff26fff,0xffffffff,0x3fffffff,0x1fffc000,0xb86aea20,
    0x7fdc07ff,0x07ffdc07,0x67ffffec,0xfffdcaaa,0xfffffb01,0xffb95559,
    0x13ffa03f,0xfff70000,0x80fffb80,0x00004ffe,0x59fffffb,0x3fffb955,
    0x1fffff10,0xffffff50,0x7fffffff,0x33fff900,0xb009ffd3,0x559fffff,
    0x03fffb95,0x27ffffdc,0x42fffec4,0xfffffffd,0x27ffffff,0xfffffff8,
    0xffffffff,0xff703fff,0x0fffb80f,0xfffd8800,0x3f204fff,0xffffffff,
    0xfff706ff,0x885fffff,0xffffffff,0x4402eb84,0x3fa1fffd,0xfff7005f,
    0x802fff41,0x3ae0fffb,0x7ffec402,0x005fff51,0xff300000,0x7f40003f,
    0x3ffdc06f,0x103ffee0,0x4c03ffff,0xff881fff,0x3fe601ff,0x0dff901f,
    0x7ffb8000,0x407ffdc0,0x80006ffc,0x201ffff8,0xf981fff9,0xfd81ffff,
    0xffffffff,0xc806ffff,0x1ffec7ff,0x7ffc47b3,0x3ffe601f,0x3fffe201,
    0xffd732cf,0xffff01ff,0xffffffff,0x3fea1fff,0xffffffff,0xffffffff,
    0x80fff703,0x0000fffb,0x0077ffee,0x3ffffff2,0xf900dfff,0x7fffffff,
    0xffffffa8,0x7ffc46ff,0x27ffc400,0xa809fff9,0x7fe46fff,0x7ffd404f,
    0x003ffe26,0x3e29fff1,0x02002fff,0x3fff2000,0xfff30000,0x1fffb809,
    0x81fffd50,0x2602fffa,0xfa81fffd,0x3f6602ff,0xfff501ff,0x0bb22009,
    0xa80fffdc,0xfa80fffe,0xd91004ff,0x017ffd45,0x303fffb3,0x883fffff,
    0xffffffff,0x1fffffff,0x223ffe40,0x47ff60cd,0x2602fffa,0x2e01fffd,
    0xffffffff,0x02ffffff,0xffffffd5,0x87dfffff,0xffffffec,0xffffffff,
    0xfff703ff,0x3fffaa03,0xc805f500,0x3aa000ff,0x03ffffff,0x7ffffecc,
    0xffec80df,0x7d42efff,0x5109cfff,0x4c7fffd7,0x10aeffff,0x87ffffb3,
    0x0aeffff9,0x7ffffb31,0x4e7fffd4,0xfffd7510,0x6ffffdc7,0x3b6e621b,
    0x331000ef,0x00ffffb7,0xff933333,0xff9805ff,0xffd731df,0x7cc17fff,
    0xb530adff,0x15bfffff,0x856fffcc,0xfffffda9,0x7ff440ad,0x5ccc1aef,
    0xff306fff,0x3fae63bf,0x440bffff,0x41aefffe,0x26fffb99,0x30adfff9,
    0xbfffffb5,0x7fffc415,0x5fffdc0f,0xaaaaaaaa,0x7e405fff,0x7fff007f,
    0x42b7ffe6,0xfffffda9,0x7ffd40ad,0xffffffff,0x74001eff,0x000000df,
    0x3e601ffc,0xfd731dff,0xb017ffff,0x1ffb80bf,0x0bffa800,0x74000000,
    0xffff503f,0xffffffff,0xff981fff,0xffffffff,0xff303fff,0xffffffff,
    0xffa87fff,0xffffffff,0x6c0fffff,0xffffffff,0x2fffffff,0x7ffff440,
    0x3201ffff,0xffffffff,0xfff005ff,0xffffffff,0xfe8fffff,0xffffffff,
    0x7fffffff,0x7ffffff4,0xffffffff,0xfff887ff,0xffffffff,0x3e06ffff,
    0xffffffff,0x87ffffff,0xfffffff8,0xffffffff,0x7fffff46,0xffffffff,
    0x7fec7fff,0x06fff85f,0x401fff90,0xff007ffc,0x7ffff47f,0xffffffff,
    0x7fc7ffff,0xfffeabff,0xf0003fff,0x8000005f,0x7c0267f9,0xffffffff,
    0x87ffffff,0x3fe206fd,0x0ff50007,0xf3000000,0xff88261f,0xffffffff,
    0xd101ffff,0xffffffff,0xfe8805ff,0xffffffff,0xffff882f,0xffffffff,
    0xffd881ff,0xffffffff,0x5c00ffff,0xffffffff,0x3fffe202,0x05ffffff,
    0x3ffffea0,0xffffffff,0x3ffe60ff,0xffffffff,0x20ffffff,0xfffffff9,
    0xffffffff,0xfff980ff,0xffffffff,0x3ea00eff,0xffffffff,0x80ffffff,
    0xfffffff9,0x0effffff,0x7fffffcc,0xffffffff,0x3fa60fff,0x3fff261e,
    0xfb7101be,0xeb885bff,0xcccccfff,0x3fffcccc,0x3fffffe6,0xffffffff,
    0xfff70fff,0x00aba989,0x6577e400,0xf800003f,0xf506feef,0xffffffff,
    0x81ffffff,0xcccccffd,0x0004fffd,0x03faf3fe,0x3fa00000,0x67e46fee,
    0xfffffffe,0xfec8803f,0x01ceffff,0xffffd910,0x7e4039df,0xffffffec,
    0xfe9803ff,0xffffffff,0xff9800bd,0x802cefff,0xfffffffe,0xffa8003d,
    0xfccfffff,0xfd983eff,0xbcffffff,0x983effff,0xfffffffd,0x3effffbc,
    0x3ffff220,0x02efffff,0xffffff50,0x7dfff99f,0x7fffe440,0x02efffff,
    0x3fffff66,0xffffbcff,0xffb8103e,0x42ffffff,0xfffffff8,0xfffff14f,
    0xffffffff,0x987fffff,0xfffffffd,0x3effffbc,0x00017fe6,0x3fffe600,
    0xb800003f,0x2a03ffff,0xcfffffff,0xd83efffc,0xffffffff,0x640005ff,
    0x000fffff,0xfffa8000,0x6554404f,0x310001ab,0x88000157,0x10000ab9,
    0x00357955,0x35595310,0x2aa20001,0xaa98000a,0x300001aa,0x40003577,
    0x001abba8,0x0d5dd440,0xba988000,0x00009abc,0x00035773,0x57975310,
    0x5d440013,0x200001ab,0xfffffffc,0x7fffd43f,0xff56ffff,0xffffffff,
    0xffffffff,0x2aeea207,0x00a98001,0xd7300000,0x4000007b,0x73000ba8,
    0xfb000357,0xbfffffff,0x36a00007,0x000001ce,0x00005d40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0xdffffffd,0xffffec80,0x3ffb22df,0xffffffff,
    0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0002a000,0x20000000,0x0a60001a,0x3da80000,
    0x00000000,0x00000a60,0x880014c0,0x0000000b,0x00000000,0x00003500,
    0x00000000,0x00000000,0x06aaaa20,0x50015000,0x00f6407d,0x00005440,
    0x0159d951,0x20003100,0x02ccccb9,0x03999973,0x36e20000,0x332e600b,
    0xffec88cc,0x40000cdf,0x54004fe9,0x007ee02f,0x00dfb100,0x0006ff40,
    0x007ff400,0xeffeca80,0x5999972d,0x003bfa00,0x0ffc8000,0x00efd800,
    0x01fdc000,0x00de9800,0x37ec4000,0x00fee000,0x641ff440,0xf700006f,
    0x54000007,0x005fffff,0x7009fd10,0x7f4c3dff,0x7fc4002f,0xffa8001f,
    0x004fffff,0x833bffea,0xffff80a9,0x7fcc2fff,0x201fffff,0x36000cea,
    0xff105fff,0xfffbffff,0x05ffffff,0x07ffea00,0x101df900,0x4c0005ff,
    0x20002ffe,0x0001effa,0x00bffe20,0xfffffb10,0xfffddfff,0xff5007ff,
    0x8800003d,0x30004ffd,0x00005fff,0x03dfffb1,0x7fffe400,0xfd300002,
    0x3620005f,0x4001efff,0x7fc47ffb,0x3620002f,0x0001efff,0xfffffc80,
    0xfffa8005,0x7fff9001,0x0007fff9,0x800bfff7,0xfffffffa,0xff7004ff,
    0xffdbffff,0xfffff88b,0x7ffd43ff,0xc882ffff,0x8802efff,0x880fffff,
    0xffffffff,0xffffffff,0x7fdc005f,0xff98001e,0xffea88ad,0xfff50000,
    0xff500005,0x2200005f,0x26002fff,0xffffffff,0xffffffff,0xfff3004f,
    0x3a600005,0x4c0003ff,0x20003ffe,0xfffefffa,0x7ff4c003,0x000dfffe,
    0x00bffea0,0x7f7ffd40,0x3e6003ff,0x01ffe86f,0xfdfff500,0x800007ff,
    0x05ffffe8,0x00f7fdc0,0x3ffffa60,0xff30001e,0x7fcc007f,0xfffedeff,
    0xffb7001f,0x05ffffff,0x19dfffd5,0x9ffffd70,0xffdffd30,0x7fd4019f,
    0xdb501fff,0x9dffffff,0x7fffffb7,0x037fee00,0xffffb800,0x0002ffff,
    0x0003dff3,0x00fff4c0,0x17ffc400,0xfffff880,0xffffebbd,0x000cefff,
    0x000bffa2,0x005fff10,0x0fff6200,0x4bffee00,0x3005ffe9,0x3f627fff,
    0xfa8000ef,0xf70000ef,0x3ffa65ff,0x202e6005,0xf70001b8,0x3ffa65ff,
    0x4c400005,0x8009dffe,0x0000dffb,0x0000fff2,0xc80033ae,0x7fd43fff,
    0xfeb8806f,0x407fffff,0x6405fff8,0xffa82fff,0x0dffd13f,0x07ffffcc,
    0x3ffffea0,0x3ffff702,0x0009fd00,0x3ffffa60,0x3f20001d,0x8800000d,
    0x880003fd,0xfb002fff,0xfb101dff,0x8000bfff,0x540004fd,0x800001ef,
    0xfe8005fc,0x00ffc80d,0xfb81efc8,0xdfc8002f,0x37fa0000,0x000ffc80,
    0xfe800000,0x00ffc80d,0xffff8800,0x403fffff,0x500004fe,0x00000003,
    0xb82fffc4,0x7ec01fff,0xfffcdfff,0x0fffe403,0xb06fff88,0x3ff703df,
    0x3ffffe20,0x7fffd400,0x2fffdc01,0x00000440,0x00000cc4,0x10000003,
    0x3fe20000,0xfff9802f,0x7fff4406,0x00080005,0x00000300,0x03100008,
    0x05100198,0x06000288,0x30062000,0x00000003,0x03300620,0x7554c000,
    0x400aaeff,0x00000008,0x32000000,0x3fe00fff,0x16f5c03f,0x8803fff6,
    0xff905fff,0x100a205f,0x7ffff803,0x06fffa80,0x000dffb0,0x00080000,
    0x00000000,0x3e200000,0xffb802ff,0xfff9802f,0x00000005,0x00000000,
    0x00000000,0x00000000,0x4c000000,0xb884cccb,0x0004cccc,0xdb700000,
    0x3fa3bdff,0x0000005f,0x37bffb2a,0x7654000b,0x400bdeff,0x7e405ffd,
    0x7f40005f,0x7ffe405f,0x037ffc41,0x7ffc0000,0xfffa807f,0x1fff7002,
    0x77ff6540,0x951000bd,0x19dffffd,0x99997300,0x99999710,0x13332e60,
    0x133332e2,0x666665cc,0xccccdfff,0x01fff22c,0x1005ffe8,0x159dfd95,
    0x7ff6d400,0x3bfb222d,0x3fb2a002,0x4000bdef,0xbdeffeca,0x6665cc00,
    0xccccb884,0xfd951004,0x8800159d,0x0acefeca,0x3ffffe60,0xfffffe87,
    0xcccb880f,0x332a00ac,0xfd300bcc,0xbfffffff,0x9950bffd,0x99999999,
    0x36209999,0xffffffff,0xffd8803f,0x3fffffff,0x7013ffa0,0xcb980fff,
    0xffa8bcee,0x3ffe201f,0x017ffe46,0x333332e6,0xfffe801c,0x2fffa806,
    0x01fff700,0xffffffb1,0xfa807fff,0xffffffff,0x3fe604ff,0xffe87fff,
    0x7cc0ffff,0xfe87ffff,0x540fffff,0xffffffff,0xffffffff,0x00dff93f,
    0x5c02fff4,0xffffffff,0x7ffcc04f,0xf9cfffff,0x404fffff,0xffffffd8,
    0xd8803fff,0xffffffff,0xffff303f,0xffffd0ff,0xffb801ff,0x4fffffff,
    0xfffff700,0x2a09ffff,0xe87fffff,0x80ffffff,0x4ffffffe,0xffffff70,
    0xfffff50f,0xffffffff,0xffff90bf,0xffffffff,0xffff50ff,0xffffffff,
    0x3ffea01d,0xffffffff,0x3fff80ef,0x40fffcc0,0xffffffc8,0x02fffcff,
    0xf88fffe4,0x7fc406ff,0x02ffffff,0x805fffd8,0xb005fffa,0xfff50dff,
    0xffffffff,0x3ff201df,0xffffffff,0xfff503ff,0xfffd0fff,0xffa81fff,
    0xffe87fff,0x7d40ffff,0xffffffff,0xffffffff,0x003fff54,0xb80bfff3,
    0xffffffff,0x3ee05fff,0xffffffff,0xffffffff,0xfffff504,0xdfffffff,
    0x3fffea01,0xffffffff,0x7fffd40e,0xffffe87f,0x3fee00ff,0xffffffff,
    0x7ffdc05f,0xffffffff,0xfffdb705,0xfffddb30,0xfffffd01,0x3fff20bf,
    0x3e20ffff,0xdbbcffff,0x85ffffff,0xfffffffc,0x47ffffff,0xcefffff8,
    0x4fffffdb,0xefffff88,0xfffffdbc,0x017ffc44,0xf307ffe6,0xffffffff,
    0x807fffff,0xff96fff8,0xfff9805f,0x802fffff,0xa804fffd,0x6403ffff,
    0x7fc44fff,0xfdbcefff,0xf304ffff,0xd959bdff,0x6dc0ffff,0xed987ffe,
    0xdb80fffe,0xed987ffe,0xeb80fffe,0xfffeeeee,0x0ceeeeee,0x401ffff1,
    0x205fffe8,0xaceffffb,0x05ffffdc,0xf97bfff3,0xf9dfffff,0xff883fff,
    0xfdbcefff,0xf884ffff,0xdbceffff,0xb84fffff,0xd987ffed,0x700fffee,
    0x959dffff,0x20bffffb,0xaceffffb,0x05ffffdc,0xf701ffee,0xffb301ff,
    0x466639df,0x2efffed8,0x406fffec,0x85ffffe8,0xeeeefffc,0x45fffffe,
    0x500efffe,0xfe83ffff,0xff500eff,0x7ffc43ff,0x0fffcc02,0x2f3ffffa,
    0xfffffeba,0xbfffc805,0xb7006fff,0x05fffddd,0x009fff90,0x3bfffff5,
    0x1ffffe98,0x8077fff4,0x101ffffa,0x0fffc803,0x203ffdc0,0x2e00fffb,
    0x7fdc07ff,0x3fe2000f,0xfffb002f,0x7fdc417f,0xff505fff,0x3fa605ff,
    0x703104ff,0x7ccbffff,0x7fff45ff,0xffff500e,0x0efffe83,0x03ffff50,
    0xf701ffee,0xfff501ff,0x3ffa605f,0x7fffd44f,0x9fffd302,0x701ffee0,
    0x7fc01fff,0x8fffe64f,0x7d41fffa,0x7f4405ff,0x6ffb85ff,0x45ffff98,
    0x400efff9,0x3e66fffa,0x7d400eff,0x3ffe26ff,0x0fffcc02,0x203dfff9,
    0x806ffffc,0xfffffff8,0xfff10002,0x7fff7005,0xfffff500,0xffffffff,
    0xfff983ff,0x7ffd400e,0x23331006,0x5c01fff9,0x7fdc07ff,0x1ffee00f,
    0x001fff70,0x0017ffc4,0xfffffffb,0xbfffffff,0x007fff60,0x200fffd1,
    0x0ffff899,0xf987ffec,0x7d400eff,0x3ffe66ff,0x7ffd400e,0x80fff706,
    0xfd80fffb,0x7f4401ff,0x0fffec7f,0x41fffa20,0x7dc07ffb,0x3ff600ff,
    0xc9bfff26,0xfffb87ff,0x5fffa800,0x7cc4ff98,0xffb85fff,0xccccccdf,
    0x0fffeccc,0x999bfff7,0xfd999999,0x3ffe21ff,0x0fffcc02,0xd803ffff,
    0xf9007fff,0x000dffff,0x4017ffc4,0xa802fffa,0xffffffff,0x82ffffff,
    0xcccdfffb,0xfecccccc,0xffb300ff,0xffffffff,0x07ffb803,0x7007ffdc,
    0xffb80fff,0x3fe2000f,0x3fa2002f,0xffffffff,0xff05ffff,0x3fee007f,
    0xffec881f,0xccefffff,0x72fffdcc,0x9999bfff,0xffd99999,0x37ffee1f,
    0xcccccccc,0xb80fffec,0x7fdc07ff,0x03fff80f,0x7c3fff70,0xff7003ff,
    0x0fff703f,0x200fffb8,0xfff0fffb,0x17ffa3ff,0xf801bff6,0x987305ff,
    0xfb05ffff,0xffffffff,0xffffffff,0x3fffff63,0xffffffff,0x3fe1ffff,
    0x7ffd403f,0x00bfff11,0x200ffff1,0x02fffff8,0x0bffe200,0x007ffea0,
    0x3f2bffea,0x0cffffff,0xffffffb0,0xffffffff,0xfd883fff,0xffffffff,
    0x7dc01fff,0x7ffdc07f,0x01ffee00,0x4001fff7,0x8002fff8,0xffffffea,
    0x985ffdae,0xf1001fff,0xfffb87ff,0xffffffff,0xffffffff,0xffffffb3,
    0xffffffff,0x3ff63fff,0xffffffff,0x1fffffff,0x5c07ffb8,0x7fcc0fff,
    0xfff1001f,0x007ffe67,0x5c1fffc4,0x7fdc07ff,0x3ffe600f,0xcfffffaa,
    0xfe83fff8,0x3ffa004f,0xffff5005,0x7fffec0b,0xffffffff,0xfb3fffff,
    0xffffffff,0xffffffff,0x202ffec7,0x3fea7ffb,0xdfff003f,0x37ffe400,
    0x3ffe2000,0x00fff002,0x5447ffea,0x6c00abcb,0xffffffff,0xffffffff,
    0x3fffa23f,0xffffffff,0x7fdc01ff,0x07ffdc07,0xb80fff70,0x22000fff,
    0x20002fff,0x361acca9,0xfffb85ff,0x57ffa000,0xffffffe8,0xffffffff,
    0xb4ffffff,0xffffffff,0xffffffff,0x3ffff67f,0xffffffff,0xb83fffff,
    0x7fdc07ff,0x07ffdc0f,0x2ebffd00,0x3a000fff,0x7ffb85ff,0x007ffdc0,
    0x3ff73ffe,0xfffaffff,0x005ffd81,0x2a017ffe,0x6405ffff,0xffffffff,
    0xffffffff,0xfffff93f,0xffffffff,0x7dc7ffff,0x37fec06f,0x2007fff3,
    0x36005fff,0x40002fff,0x1002fff8,0x3fea0017,0x7e40001f,0xffffffff,
    0xffffffff,0x3fffff63,0xffdcaaac,0x3ffdc01f,0x803ffee0,0x7dc07ffb,
    0x3e2000ff,0x000002ff,0x3e617ff6,0x3fe001ff,0xbffff53f,0xffff9559,
    0xffffffff,0x3fffff29,0xffffffff,0xff93ffff,0xffffffff,0x7fffffff,
    0xb80fff70,0x7fcc0fff,0x3ffe001f,0x003fff33,0x7dc1fffc,0x7ffdc07f,
    0x7fffec00,0xfefffeff,0x1fff907f,0x0bfff300,0x05ffffa8,0x002fffa8,
    0x017ffd40,0x17ffc400,0x224fff88,0xf9805fff,0xff3003ff,0xf10000df,
    0x000005ff,0x0007ffea,0x005fff50,0x1ffff880,0x007ffe60,0xfb80fff7,
    0x3fee00ff,0x07ffdc07,0x003ffe00,0x5ffd8000,0x200bffd0,0xff90fffb,
    0xdfff103f,0x17ffd400,0x3ffea000,0x3ee00002,0x7ffdc07f,0x005ffe80,
    0x7f41fff7,0xfff7005f,0x03fff701,0x003fffaa,0x3ffffff7,0x0dffffff,
    0x1017ffea,0x540bfffd,0xa884ffff,0x0bfffe20,0x7ffc4080,0x7c02002f,
    0xfffb06ff,0x02fffe81,0x800ffff4,0x0002fffd,0x002fff88,0x3fff5000,
    0xfff88000,0xf502002f,0x7ecc05ff,0x7fdc01ff,0xfffd501f,0x0fffdc01,
    0x00fffea8,0x0002fe40,0x417ff600,0x5404fffc,0x3fee6fff,0xffffa80f,
    0xfff88102,0xf102002f,0x04005fff,0x203fff70,0xc80fffea,0x7d404fff,
    0x7ffe46ff,0x37ffd404,0x31dfff98,0x7fffffd7,0x7fffcc01,0xfffff96f,
    0x77ffec09,0x3ffee60a,0x7d41beff,0xffb04fff,0xbdffffb8,0x3fb6e621,
    0x3fffee0e,0x36e621bd,0x7fdc0efe,0xfffb31ef,0x9ffff30b,0x4fffe981,
    0x3fea6660,0xf100006f,0x000005ff,0x026bffee,0xffffb800,0x36e621bd,
    0xfff30efe,0x3f6a615b,0x00adffff,0x263bfff3,0xbfffffeb,0x3bfff300,
    0x3ffffae6,0x004000bf,0xfb330000,0xfff301df,0x366215df,0x3e23ffff,
    0xffb32eff,0x2e63dfff,0x3fee0ffe,0x2621bdff,0x2e0efedb,0x21bdffff,
    0x0efedb98,0x31dfff98,0x7fffffd7,0xeffff981,0xfffb310a,0xffff987f,
    0xffb310ae,0x7ffc07ff,0xffffffff,0x7c07ffff,0xff13ffff,0x7c405fff,
    0xffffffff,0xffffffff,0xfffff52f,0xff999999,0xffffd85f,0xffffffff,
    0x7fec2fff,0xffffffff,0xe82fffff,0xffffffff,0xfff701ff,0xffffdfff,
    0xfff901ff,0x9fffffff,0x6665cc00,0xcccdfffd,0x06fec41b,0xffffff90,
    0x20001dff,0xfffffffd,0xffffffff,0x3fffffa2,0xffffffff,0x3fe07fff,
    0xffffffff,0x207fffff,0xffffffff,0x7fffffff,0x6666664c,0xcccccccc,
    0xffc8002c,0x1effffff,0x7fffffcc,0x3fffffff,0xffffffd8,0xffffffff,
    0x43ffffff,0xfffffffd,0xffffffff,0x7ffffec2,0xffffffff,0xffff02ff,
    0xffffffff,0xff30ffff,0xffffffff,0x3e607fff,0xffffffff,0x5403ffff,
    0xffffffff,0x0fffffff,0x83ffff60,0x400ffffd,0xffffffe9,0xffffffff,
    0xfffff3ff,0xffffffff,0xffd885ff,0xffffffff,0x6c40ffff,0xffffffff,
    0x80ffffff,0xfffffff9,0x7fe401ff,0xffffffff,0xffff881e,0x7fffffff,
    0xfffff700,0xffffffff,0x7ffdc9ff,0xfffff103,0x009fffff,0x3ffff620,
    0xffffffff,0x3ffe60ff,0xffffffff,0x00ffffff,0xfffffff5,0xffffffff,
    0x3fffea01,0xffffffff,0xfff50fff,0xffffffff,0x07ffffff,0x7ffffc40,
    0x884fffff,0xfffffffe,0x3f602fff,0xffffffff,0xffffffff,0x7fec41ff,
    0xffffffff,0x6c40ffff,0xffffffff,0x00ffffff,0xfffffff5,0xffffffff,
    0xffffd101,0x05ffffff,0xfffffe88,0x002fffff,0xfffffff5,0x07dfff99,
    0x545fffb8,0x2e006fff,0xefffffff,0x0dffffea,0xffffffff,0x5fffffff,
    0x3ffffa60,0x0bdfffff,0x3ffffa60,0x0bdfffff,0x3ffff620,0xfd3001ef,
    0x07ffffff,0xffffffe8,0x9005ffff,0xffffffff,0xdfffffff,0xd00fffcc,
    0xffffffff,0xe980003f,0xffffffff,0xfd980bdf,0xbcffffff,0x403effff,
    0xfffffffa,0x03efffcc,0x7fffffd4,0x3efffccf,0x3fffffee,0xffffffff,
    0x74004fff,0xffffffff,0xffd9102f,0x0039dfff,0x7dfffff9,0xfffff99f,
    0x7f4c019d,0xffffffff,0x3fa600bd,0xffffffff,0x7fd400bd,0xfccfffff,
    0x32203eff,0xcefffffe,0xffd91001,0x0039dfff,0x00357730,0x82fff980,
    0x98004fff,0x2000abba,0xffffffff,0x2fffffff,0x55654c40,0xa9880009,
    0x00009aac,0x20001373,0x001acb98,0x2aaaaaa6,0x366001aa,0xffffffff,
    0x41dfffff,0xaa9801a8,0x000aaaaa,0x2b2a6200,0x2a20009a,0x00001abb,
    0x0006aee6,0x00d5dcc0,0xfffffb10,0xffffffff,0x30003dff,0x15555555,
    0x02ae6200,0x00d5cc00,0x88001575,0x009aaca9,0xaaca9880,0x77300009,
    0x22000035,0x40000ab9,0x0000ab98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x29800000,0x0001a800,0x80000000,0x001aaaa8,0xa9800000,
    0x00000001,0x00000080,0x0a800000,0x806f4400,0x2a0003ea,0x22000001,
    0x0d41aaaa,0x213332e6,0x04ccccb8,0x000aaaa6,0x4c07b600,0x8000005d,
    0x6dcc00a8,0x20002cde,0x0274c000,0x008005d7,0x00000000,0xd9510000,
    0x0000059b,0xfb800100,0x3fe2001f,0x77d40004,0x001ff441,0x7ffffd40,
    0x41efa805,0x22003fe8,0x04fffffc,0xfffdb700,0x4017339d,0x004fffd8,
    0xe883df50,0xe880003f,0x7fc4005f,0x13ff622f,0x027fec00,0x7ffd4000,
    0x4fff65ff,0x87fffff9,0x0ffffffe,0x0fffffe8,0x7ff40000,0x0037fe44,
    0x0fffc000,0x7ffffe44,0x2a001eff,0xf5003fff,0x7ff4c3df,0x7ff6cc03,
    0x80baadff,0xfb54ccca,0x6c007dff,0x301ba00f,0xbffffffd,0x0d4c0001,
    0xc800fdc0,0xfc8005ff,0xfd0000df,0x07ffb89f,0xffffd800,0x4ffe805f,
    0x8803ffdc,0xffffffff,0xffd3000e,0xffffffff,0x3ffea0df,0x4000efff,
    0x7fdc4ffe,0x7fcc0007,0xffa8001f,0x0dfffadf,0xffff8800,0x7ec00000,
    0x3fe5ffff,0xfffff55f,0xfffffd0f,0xffff981f,0x400000ff,0xfeaeffe9,
    0x3e6001ef,0xfff3001f,0xffffe887,0x01ffffff,0x00ffffd0,0x7de7ffdc,
    0x3f6204ff,0xffffffff,0x7ffdc4ff,0xfffffdff,0xfe801eff,0x201ff704,
    0xfffffff9,0x26000fff,0x3efffffe,0xe8807fb0,0x2e0004ff,0xc8001eff,
    0x37fcc3ff,0x7ff4c000,0xffc805ff,0x8037fcc3,0xfffffffe,0xffb805ff,
    0xffffffff,0x7c40ffff,0x4ffb8aef,0x21ffe400,0x20006ff9,0x0001effb,
    0x3fffff62,0x7ffc0002,0xe9800006,0x36a5ffff,0x3ffb6e3f,0xffeed987,
    0xffffd80f,0x9000000f,0x009fffff,0x4007ff90,0x7fec1fec,0xffffdfff,
    0xffb800ef,0x7f4c004f,0x7401efff,0xffffffff,0x7dc6ffff,0xffffffff,
    0x00ffffff,0xb98e7fe4,0xfff105ff,0xffffddff,0xfff9100d,0x1bffffff,
    0x7f402fe8,0xfa80003f,0x2a8000ff,0x00001730,0x802fff44,0x0017302a,
    0x737dfff5,0x4c05fffd,0xbbcfffff,0x0ffffffd,0x3ea07fd4,0x302a8007,
    0x3ee00017,0x500000ef,0x00001bff,0x00003bb3,0x22fff440,0x7ffb81fa,
    0x007ffdc0,0x0001fff7,0x0f7f4c00,0x05ffe800,0x3fe63640,0x7ff4c2ef,
    0x0151003f,0x027fdc00,0x677fffd4,0x6ffffdcb,0x7ffff644,0xfffdbcef,
    0xfffd804f,0x700effff,0x7543bfff,0x3a203fff,0xffffffff,0xff11ffff,
    0x00ffcc01,0x05fd1000,0x00000000,0x0017ffa0,0xfff70000,0x04fff981,
    0xa813fffa,0x7e40ffff,0x0003ff04,0x7ec00000,0x28800004,0x00000000,
    0x4bffd000,0xfff703f8,0x00fffb80,0x0003ffea,0x0000a000,0x5400bffd,
    0x17ffdc1f,0x005fff98,0x00cc0000,0x100fffc8,0x3ee0bffb,0xffd04fff,
    0x3ffee00d,0x3fe00cff,0xfff880ff,0x3ffff606,0xfffb99ac,0x805fd9ff,
    0x02000000,0x00000000,0x005ffe80,0x7fe40000,0x20bffd07,0xb804fffb,
    0x85fb87ff,0x40000ff8,0x02200000,0x00000000,0x00000000,0x05d97ffa,
    0xf701ffee,0x7fd401ff,0x8000000f,0x7ff40000,0x3613e005,0x7fec06ff,
    0x40000007,0x3ffee000,0x1dd8809c,0x407fff70,0x44007ffc,0xfff88009,
    0x07ffee05,0x407bffea,0xffffffd8,0x00000001,0xfd950000,0x80017bdf,
    0x1deffedb,0x2200bffd,0x0acefeca,0x30fff900,0x3f209fff,0xbff1006f,
    0xfc83ff50,0x3b2a2007,0x00ceffff,0x20000000,0xcefffedb,0xb7000b99,
    0x339dfffd,0xfdb70017,0x3ffa3bdf,0xfff70065,0x00fffb80,0x3223ffea,
    0x00cdfffe,0xfffd9510,0x730019df,0x999dfff9,0x80c59999,0x3a00fffc,
    0x02a006ff,0xfffdb300,0x981755bf,0xdeffffff,0xffb800ac,0x07ffdc07,
    0xff980000,0x3ffe202f,0x07fffc42,0x0ffffec0,0x33332e60,0x973001cc,
    0x00399999,0x7ffffec4,0x9803ffff,0xfffffffe,0x805ffedf,0xfffffffb,
    0xffc804ff,0x3ffff6a7,0x00bffd02,0xbffb00c4,0x2007ffd7,0xfffffffa,
    0x9804ffff,0x223ccccb,0x400befec,0xffffffe9,0x406fffff,0xffffffe9,
    0x206fffff,0xffffffe9,0x05ffedff,0x701ffee0,0x7d401fff,0xfffffdff,
    0x5402ffff,0xffffffff,0x3e204fff,0xffffffff,0x02ffffff,0xa81fffd4,
    0xfd004fff,0x3ff6200f,0xffffffff,0xffffb84f,0x04ffffff,0x2e03ffdc,
    0x97300fff,0x80399999,0x2203fff9,0x7fdc4fff,0xfff3002f,0xffff880b,
    0x8802ffff,0xffffffff,0xffff5002,0xffffffff,0x3ffea01d,0xffffffff,
    0x7dc05fff,0xffffffff,0x7fe405ff,0xdfffffd7,0x001fffc0,0xffffd100,
    0x0ff5cc9f,0x3ffffff2,0x03ffffff,0x3fffffe2,0xffffff76,0x3ffee05f,
    0xffffffff,0xff700fff,0xffffffff,0xf501ffff,0xffffffff,0x00bfffff,
    0x2e03ffdc,0x3ea00fff,0xffffffff,0x205fffff,0xfffffffc,0x303fffff,
    0xffffffff,0x7fffffff,0xdffff880,0xffffca8a,0x03fff001,0xffffffd0,
    0x0dffffff,0x3fffff66,0x701effff,0xffb80fff,0xffff880f,0xf802ffff,
    0x3ffa05ff,0x037fec5f,0x301fff20,0xffffffff,0xffff3005,0x1005ffff,
    0x79dfffff,0x09fffffb,0x79fffff1,0xffffffb7,0x7fffdc0b,0xfffdcace,
    0x5fff205f,0x1fffffff,0x0009ffd0,0x339d9700,0x83ffffd9,0xacdefff9,
    0x207fffec,0xfffffff8,0xfffffffe,0xffff986f,0xfffdbbcf,0xff980fff,
    0xfdbbcfff,0x440fffff,0xbbcfffff,0x5ffffffd,0x01ffee00,0x5401fff7,
    0xceffffff,0x2ffffeca,0x9bdfff30,0x0ffffd95,0x7ffff6dc,0x3deeeeee,
    0xfffff300,0x07ffffff,0x00bffee0,0x79dffff5,0x0dffffb9,0xffdb9530,
    0x3fee0dff,0x07ffdc07,0x7fffffcc,0xffe802ff,0xffffb80f,0x0027ff46,
    0x7003ffea,0x5fffdddb,0x3bbb6e00,0xfe802fff,0xff500eff,0xfffd83ff,
    0xfffe880d,0xffff505f,0x3fffa605,0x2efff904,0x1fffffff,0x0006ffc8,
    0x3fff2600,0x3100adff,0x00fffc80,0x3ffffb6a,0xfdbfffff,0x4fffe87f,
    0x03fffea0,0xa813fffa,0x7ec0ffff,0xfe880dff,0x2e005fff,0xfd501fff,
    0x7fd401ff,0xff702fff,0x006201ff,0xd001fff9,0x40000bff,0xfffffffc,
    0xffb806ff,0x7e402fff,0xffb100ff,0x4402eb8b,0xfb81fffd,0x7ffdc07f,
    0xfdddb700,0xff7005ff,0x3fee25df,0x3fe27fff,0x7fcc002f,0x7fc4001f,
    0xff10002f,0xfff9805f,0x7ffd400e,0x017ffea6,0x20bfffd1,0x4401fffd,
    0xff907ffe,0xffffda8f,0x27ffd41f,0x502ec880,0x5bfffff9,0x33310001,
    0x4007ffe6,0x2ffffffc,0x3fee0e4c,0x7ffb804f,0x804fffb8,0x7fd47ffb,
    0x7ff4405f,0x3fee005f,0xffd730df,0x2a017fff,0x5c01ffff,0x31004fff,
    0x07ffe633,0x0017ffa0,0x7ffff440,0x01ffffff,0xffffffb1,0xcfffb803,
    0x21dd8809,0x4400fff8,0xffb84fff,0x07ffdc07,0x02fff880,0xfdffffd0,
    0x1fffffff,0x0007ffe6,0x1000fffe,0x20005fff,0x5c02fff8,0xccccdfff,
    0xffeccccc,0x01fff70f,0x20bfff50,0xf7003fff,0xfff903ff,0x1bfff220,
    0x35dfffd1,0x6fffb998,0x6fffffe4,0x3000aa9a,0xfffffffb,0x32003fff,
    0x000effff,0x4401bff2,0x6ffc85ff,0xb8bff100,0xfa800fff,0x3ee005ff,
    0xffffffff,0x07ffffff,0x2009fff5,0x36606ffd,0xffffffff,0xffe801ff,
    0xffd00005,0xfffd9fff,0xfffd01ff,0xf30019ff,0x9bdfffff,0x3ffea015,
    0xd75109cf,0x6d447fff,0xd981bfff,0x8800bfff,0xf3002fff,0xffffffff,
    0x7fc4dfff,0x7fc4002f,0x7fc4002f,0xff10002f,0xfffd805f,0xffffffff,
    0xb1ffffff,0x7fc00dff,0x1fff985f,0x07fff100,0xfd80fff9,0x7ffc40ff,
    0xffffffff,0x3e26ffff,0xffd12dff,0x7ec409ff,0xffffffff,0xf9001fff,
    0xfd0009ff,0x80c400bf,0x22005ffe,0x006ffd81,0xb8017ffe,0xffffffff,
    0xffffffff,0x02fffa80,0xb10fff70,0xffffffff,0xd003ffff,0x70000bff,
    0xd985dfff,0x7fcc5fff,0xfb8003ff,0xffffffff,0xffffa84f,0xffffffff,
    0x3ff60fff,0x2a1fffff,0x07ffffff,0x002fff88,0x3fffff62,0x7c4ffdbf,
    0x7d4004ff,0x7c4000ff,0xf10002ff,0xffd805ff,0xffffffff,0x3fffffff,
    0x74009ffd,0xfffb85ff,0x17ffa000,0xf101fff2,0xfff305ff,0xffffffff,
    0x42a81dff,0xfffefff8,0xffffe884,0xffffffff,0xdff9001f,0x0fffe000,
    0x1fffc000,0x27ff4000,0x00bffd00,0x7fffffdc,0xfffccfff,0x3fff503e,
    0x83ffea00,0xffffffe8,0x1fffffff,0x005ffe80,0x01fffd80,0xfc8ffff1,
    0x260001ff,0xfffffffd,0x3fe21eff,0xffffffff,0x7fc1ffff,0x23ffffff,
    0xfffffffb,0x17ffc400,0x5eedd400,0x6c3fff88,0x7e4005ff,0xff88007f,
    0xff10002f,0xfffc805f,0xffffffff,0xb3ffffff,0x7fc00bff,0x1fff985f,
    0x20fffe00,0xff807ffc,0xfff9104f,0x5dffffff,0x70f7ec00,0xfffd85ff,
    0xdcaaacff,0xf9001fff,0x3fa000df,0xfd00004f,0xfb00009f,0x7ffc00bf,
    0x3ffee005,0x000abcca,0x001fffa8,0xffd8fff7,0xcaaacfff,0xe801fffd,
    0xf80005ff,0x7fdc05ff,0x013ffe1f,0x32a60026,0x46ffffed,0xffffecfc,
    0xd503ffff,0x41bfffff,0x3effffd8,0x02fff880,0x3fff6000,0x017ffe41,
    0x006fff88,0x002fff88,0x805fff10,0x0002fffa,0x4007ffe4,0xfd05fff9,
    0x3fee00bf,0x27ffc80f,0x05ffe82a,0x55ffe4c4,0x2ff80009,0x3fe24fe8,
    0x3fe601ff,0xdff9001f,0x1bff2000,0x37fe4000,0x7ffe4000,0x5fff9800,
    0x01ffee00,0x4fffa800,0x44dffb00,0x2601ffff,0xfe801fff,0xff80005f,
    0x7ffd404f,0x9017ffe1,0x0175c3ff,0x807fff62,0x01affca8,0x20000000,
    0x0002fff8,0x30dfff90,0xb001dfff,0x10005fff,0x20005fff,0x4402fff8,
    0x2002ffff,0x02fffd40,0x417fffa2,0x5404fffc,0xff906fff,0xf88ffeef,
    0xff5003ff,0x7fc40007,0x3ea5fb80,0x3f6602ff,0xff9001ff,0x3fea000d,
    0x5d91004f,0x004fffa8,0x7fd45d91,0x7ff4405f,0x3fee005f,0x3ea00007,
    0x7dc02fff,0x3ffea4ff,0x3fff6602,0x06ffd801,0xffb01544,0x3fff401f,
    0xe807fff6,0x1fff13ff,0x04fff880,0x0002ffa8,0x10000130,0x80005fff,
    0x00efffd8,0x401dfff7,0x0005fffd,0x0005fff1,0x200bffe2,0x1bdffffb,
    0x3bfb6e62,0x2bbfff60,0x3fffee60,0x7fcc1bef,0xb310aeff,0xb887ffff,
    0xffd9fffe,0x2fffd88f,0x07fff500,0x6c17fc00,0x37ffe64f,0xfffb530a,
    0xc8015bff,0xd10006ff,0x9835dfff,0x446fffb9,0x41aefffe,0x46fffb99,
    0x20aefffd,0xefffffb9,0x7ffb801b,0xfda88000,0x109cffff,0x41ffffb3,
    0x30adfff9,0xbfffffb5,0x7ffe4015,0xffd9511b,0x3ffea09f,0xfdb989ce,
    0x7ffd44ff,0xfeca9adf,0xffff54ff,0x3aea2139,0xfa803fff,0x6c0003ff,
    0x20000dff,0x9802fff8,0xffba88ab,0x7ec01fff,0xd731bfff,0x3001ffff,
    0xfffb9997,0x9837999b,0xfffdcccb,0xd81bcccd,0xffffffff,0x2fffffff,
    0x3fffffe2,0xffffffff,0x7cc2ffff,0xffffffff,0x7cc3ffff,0xfcffffff,
    0x6fffffff,0xfdbbda80,0x3bf60006,0xfd0bfea1,0xffffffff,0xffffffff,
    0xffecca88,0x0acccccf,0x7ffffc40,0xffffffff,0xfff886ff,0xffffffff,
    0x7c46ffff,0xffffffff,0xffffffff,0x3ffdc02f,0x3ffe2000,0xffffffff,
    0x2fffffff,0xffffffe8,0xffffffff,0x3fea07ff,0xffffffff,0xfd105fff,
    0xffffffff,0xffb03fff,0xffffffff,0x3ffea9ff,0xffffffff,0x2a00ffff,
    0x006fdbbd,0x01fff5c0,0xfdcccb98,0x1bcccdff,0x7ffffffc,0x8802ffff,
    0xffffffff,0x802fffff,0xfffffffb,0xffffffff,0xffffff74,0xffffffff,
    0xfffd889f,0xffffffff,0x7f4c0fff,0xffffffff,0x3fffffff,0xfffffe88,
    0xb82fffff,0xafffffff,0xffffffff,0xffffd802,0x3e20004f,0x85fffeff,
    0xfffffff9,0xffffffff,0x3fffa0ff,0xffffffff,0xff9806ff,0xffffffff,
    0xf300efff,0xffffffff,0x301dffff,0xfffffffd,0xffffffff,0x6ffa807f,
    0x7ffcc000,0xffffffff,0x03ffffff,0xfffffff3,0xffffffff,0x7fe401ff,
    0xffffffff,0x3f6201ef,0xffffffff,0xfffd100e,0xdfffffff,0x3ffffe23,
    0xffffffff,0x7ffec01f,0xd30003ff,0x700bfd7b,0xffffffff,0x9fffffff,
    0x3fffffe2,0x2001efff,0xffffffd8,0x9000efff,0xffffffff,0xdfffffff,
    0x3ffffff2,0xffffffff,0xfffd306f,0x7bffffff,0x7fffdc01,0xffeaefff,
    0xd9100dff,0x39dfffff,0x3ffff220,0xfffff54e,0x3f22005d,0x40000dff,
    0x04ffffe9,0x3fffff66,0xffffbcff,0x7ffffc3e,0xffffffff,0xfc8800ff,
    0xffffffff,0xffc8802e,0xefffffff,0xffffb802,0xffeaefff,0x7c400dff,
    0xec80004f,0xffdaffff,0x00dfffff,0x7ffffecc,0xffffbcff,0xfffb803e,
    0x02dfffff,0x3ffffb20,0xfb800def,0x1cffffff,0xfffecfc8,0x003fffff,
    0x01bfff91,0x3fffea00,0xfffc801f,0xffffffff,0x3ae6ffff,0x02efffff,
    0x3fffea00,0x4c004eff,0xfffffffd,0x1dffffff,0xffffffb3,0xbfffffff,
    0xaca98803,0xa980009a,0x00000abb,0x00015731,0x04ddd440,0x00009800,
    0x80055cc0,0x001abba8,0xfffffea8,0x3effffff,0x65d4c400,0x880009ab,
    0x09abcba9,0xabba9800,0x03100000,0x2a200000,0x40009aca,0x001abba8,
    0x2f2a6200,0x4c400009,0x310000ab,0xa8800135,0x0001abca,0x2a000026,
    0xb3002ded,0xffffffff,0x03bfffff,0x00003571,0x000ab988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00288000,0x95000000,0x50059bdb,
    0x55555555,0x55510155,0x55555555,0x3a605555,0x800bae04,0x0db102ec,
    0x37b2e200,0x000c401b,0x00795000,0x2603bb00,0x1e54004e,0x2aaa6000,
    0x2a000aaa,0x807b203e,0x0aaaaaa9,0x2aa62000,0x54c00001,0x2980019a,
    0x4077a000,0xca8004ea,0x36e60003,0x880000bd,0x00002db9,0x000d7510,
    0xb102ec80,0x5530000d,0x5c000001,0xcb9801ff,0x3b223ccc,0x3ee00bef,
    0xefffffff,0x3ffffa02,0x5fffffff,0x7fffffd4,0xffffffff,0x43dff507,
    0x2003ffe9,0x7fdc4ffd,0x3f66000f,0x04ffffff,0x00007ff3,0x1effff98,
    0x7f400bf2,0x037fe43f,0x1effffa8,0xfff007f2,0x005fffff,0xd30f7fdc,
    0x3ffa05ff,0x002fffff,0xfff933b7,0x0007dfff,0x3fffff66,0xfc802eff,
    0xff88006f,0x037fe43f,0x3dffff50,0xffb00fe4,0x0009ffff,0x0bffffa6,
    0xffb30000,0xd80000ff,0x3fee0dff,0xdddb700f,0x3ffff661,0x400001df,
    0xf8805ffc,0xf76fffff,0x05ffffff,0xfffffffb,0x3a05ffff,0xffffffff,
    0x3ea0ffff,0xffffffff,0x207fffff,0xffbcfffb,0x7f44004f,0x1fffeaef,
    0x3fffe600,0x507fffff,0x40000bff,0xfffdfff8,0x3001ffed,0xffd5dffd,
    0xfff1001d,0xffdbfffb,0x7fffcc03,0x4002ffff,0xffcbfffc,0xffff103f,
    0x1005ffff,0xffffffff,0x01bfffff,0x7ffffdc0,0x807fffff,0x8001ffff,
    0xfeaeffe9,0xff1000ef,0xfdbfffbf,0x37fe603f,0x000ffc9a,0x2ffeffb8,
    0x7fd40000,0x400007fe,0xfdaeffd8,0xfff501ff,0xffff71ff,0x003fffff,
    0x0bffb100,0x3ffffe20,0xfffffeff,0x7fd46fff,0xfffdefff,0xffe80fff,
    0xffffffff,0x7fffd45f,0xffffffff,0x7f4c07ff,0x0001efff,0x33ffffee,
    0x3ffe6000,0x4ffcdfff,0x3fffbb66,0x000ceeee,0xfb10df88,0x90007fff,
    0x007fffff,0xfe8867c4,0xfd803fff,0x02ffffff,0xffffe980,0x7ffe401e,
    0xa802ffff,0xffffffff,0x1fffffff,0xfffff980,0x07ffffff,0x000fffd8,
    0xfffff910,0x0cf88007,0x07ffffd1,0x009ff008,0x0bfe2220,0x2e220000,
    0x7000007f,0x01bfffff,0x6fffffd4,0xffffffff,0x40000eff,0x54003ffe,
    0xffffffed,0x7ffdbfff,0x4c1fffdc,0xfe84fffc,0x999999df,0x9fff9809,
    0xe9999999,0xff7006ff,0x3a200009,0x7cc002ef,0x040adfff,0x3ffffff6,
    0x002fffff,0x005e5400,0x03dfd300,0x05e54000,0x3fea6600,0x3f20002f,
    0x54cc003f,0xfa802fff,0x99acffff,0x06ffffca,0x9adfffc8,0x801ccba9,
    0x80002ed9,0x0001effa,0x0005e540,0x00bff262,0x005ff100,0x03fdc000,
    0xffd10000,0x3ff6a005,0x89beffff,0x005fffeb,0x000bfe20,0xffffff90,
    0x6441c985,0x3ffe201d,0x004ffe85,0xf8809fb0,0x066003ff,0x002a0000,
    0x0bffff30,0x7fff6cc0,0x00ceeeef,0x00000000,0x02000014,0x7ffc4000,
    0x00cc0002,0x05fff100,0x01dfff50,0x01ffff44,0x0001bffa,0x28800000,
    0x00000000,0x02ffffe4,0x017fc400,0x0ff70000,0x01500000,0xfffffa80,
    0x0ffff104,0x00008800,0x0effffc8,0xff900000,0x009ffd0f,0x7fdc0040,
    0x0000001f,0xffd00000,0x7e40009f,0x8800007f,0x0acefeca,0x20000000,
    0xffffeca8,0xf10000ce,0x000005ff,0x2fff8800,0x02fff980,0x00ffff88,
    0x00013ffe,0x00000000,0x09999730,0x09999971,0x0efffea8,0xf8805d40,
    0x0e4c002f,0x2003fdc0,0x000001c9,0x02ffffd4,0x0003fff2,0x3f200000,
    0x000004ff,0x7f42fff4,0x0000224f,0xb98dffd0,0xcb884ccc,0x51004ccc,
    0x0159dfd9,0x004fff98,0xb9bffe40,0x4003effe,0xfffffffb,0x65cc04ff,
    0x3b223ccc,0xff500bef,0xffffffff,0xff10009f,0x9995005f,0x99999999,
    0xff100999,0x1bfe005f,0x23fff980,0x4fffccb8,0x66665400,0xcccccccc,
    0x4ccca84c,0x07dfffb5,0x7fffff98,0xffffffe8,0x0bff5000,0x440fffa6,
    0xfb1002ff,0x0ff700bf,0x41bff220,0xccccccb9,0xbfff5001,0x03fff500,
    0xb54ccca8,0x0007dfff,0x0000dff9,0x1fffec40,0x7f6f7ff4,0x40002dff,
    0x3e63fff9,0xfe87ffff,0x400fffff,0xfffffffb,0x3ff604ff,0x7e40001f,
    0xffffffff,0xfb801eff,0xffffffff,0xfff105ff,0x3feedfff,0xc82fffff,
    0xffffffff,0x4003ffff,0xc802fff8,0xffffffff,0x807fffff,0xffbbfff8,
    0x80015102,0x3ff64fff,0x4004ffff,0xfffffffc,0x47ffffff,0xfdfffffb,
    0x1effffff,0xffffff50,0xffffffd0,0x43fe4001,0x101ffffc,0xff5005ff,
    0xff7009ff,0x9ffff500,0xffffff10,0x3ea005ff,0xff9800ff,0x3ffee01f,
    0xfffffdff,0x32001eff,0x200006ff,0xffffeec9,0xffffe80e,0x0dffffff,
    0x3fff7000,0x3fffffd4,0x7ffffff4,0x3fffee00,0x5fffffff,0x36edfff0,
    0xc800ceff,0xffffffff,0x200effff,0xaceffffb,0x85ffffdc,0xfffffff8,
    0xfffffffe,0xefff986f,0xfffecacd,0x7ffc4007,0xfc8ffaa2,0xffffffff,
    0x8807ffff,0x5fffffff,0x99999988,0x99999999,0x3ffa5ffd,0x4004ffff,
    0xfffffffc,0x47ffffff,0xfffffffb,0xffffffff,0xfffdb700,0xfffddb30,
    0x6c40a881,0x3fffa65f,0x0bfe201e,0x2ffffd88,0x440ff700,0x303ffffd,
    0xffffffff,0x3ffea005,0x2fff8800,0x3ffffee0,0xffffffff,0xff9000ff,
    0x7f40000d,0x01ffffff,0xfffffffd,0x000dffff,0x36e1bffa,0xed987ffe,
    0xf700fffe,0xb959dfff,0xff0bffff,0xfffffd9f,0xffc803ff,0xfdbcffff,
    0xff504fff,0x3fa605ff,0xfeda84ff,0xffffffff,0x3107ffdb,0x00fffc80,
    0xf8bffe20,0x3fff27ff,0xfffeeeee,0xff8805ff,0xe84fffff,0xffffffff,
    0xffffffff,0x3fbb667f,0x7e4004ff,0xfeeeeeff,0x6445ffff,0xcefffffe,
    0x04ffffdb,0x2e03ffdc,0x7ff40fff,0x89ffffef,0x503ffffc,0xfffffffd,
    0x6ffffdc7,0x7fffe400,0x3fea5fff,0x6dc00dff,0x02fffeee,0x001fff50,
    0x4405fff1,0xefffffec,0x4ffffdbc,0x00dff900,0x7ffffc00,0xffb00eff,
    0xffd77dff,0xf98007ff,0x3fee03ff,0x07ffdc07,0x817fffd4,0x224fffe9,
    0xffffffff,0x201fffff,0x883ffffc,0xffb05fff,0xffe8803f,0x7fffe407,
    0x00e4c2ff,0xff319988,0x7fc4003f,0x1ffff12f,0x3e61bfee,0xd8805fff,
    0x02ffffff,0xfffffffd,0xffffffff,0x7ffc0fff,0x37fdc004,0x02ffffcc,
    0x209ffff7,0x7dc06ffe,0x7ffdc07f,0x7ffff4c0,0xffffaaef,0x2a2cca8e,
    0xfffffffe,0xaffffe9b,0x640ceeca,0xdfffffff,0x9affffd8,0xff1003cc,
    0x3fea005f,0xfff8800f,0xffffb802,0x00dffd04,0x0001bff2,0xfffffda8,
    0x15bb106f,0x01fffd30,0x00fffdc0,0xfb80fff7,0xfffd80ff,0x3fff4401,
    0xfffffff3,0x0dffff9b,0xb017ffe4,0x3ffe0fff,0x3fff7003,0x77fffe40,
    0xffb30000,0xffffffff,0x7ffc4003,0xf993fee2,0x7fffcc4f,0xffffb805,
    0x3fa00cff,0xffffffff,0xffffffff,0x013ffe07,0xf989ff30,0x7dc05fff,
    0x3ff203ff,0x03ffdc07,0x4403ffee,0xfffb1199,0x17ffe27f,0x9ffff700,
    0xffffffb1,0x7ffdc003,0x0dffd0df,0x00bffe20,0x4007ffd4,0xb802fff8,
    0x3f203fff,0xd995107f,0x99999fff,0x5c400015,0x0005ffff,0x800bffea,
    0x7dc06ffe,0x7ffdc07f,0x003fff80,0x3e23fff7,0x220dffff,0xf903fffd,
    0x7ffb80ff,0x001fff98,0x6407fff1,0x10004fff,0xfffffffb,0x003fffff,
    0x2217ffc4,0x7fcc3980,0x7f4405ff,0x803fffff,0x9999dffe,0xd9999999,
    0x3ffe06ff,0x4c398004,0xb805ffff,0x7fdc07ff,0x1ffee00f,0x001fff70,
    0x837fffee,0x3005fffe,0x363dfffd,0x6fea9bff,0xefffe980,0x01bfff22,
    0x8017ffc4,0x8800fffa,0xfb802fff,0x7ffdc07f,0xfffffe80,0xffffffff,
    0xfe880006,0x3e0000ff,0xff3003ff,0x7ffb807f,0x207ffdc0,0x1001fff9,
    0x7ffc7fff,0xfff880ff,0x80fff905,0xffb87ffb,0x3ffa000f,0x01bff205,
    0x7ffff440,0xffffffff,0x3fe2001f,0xff50002f,0xff700bff,0x005fffff,
    0xe800dff9,0x3ffe05ff,0xffa80004,0xff7005ff,0x0fffb80f,0x701ffee0,
    0xd8801fff,0x7dc2ffff,0xfc805fff,0x17f44fff,0xfc807fe6,0x7fcc4fff,
    0xff1006ff,0x3fea005f,0xfff8800f,0x07ffb802,0x7c07ffdc,0xffffffff,
    0x00ffffff,0x2fffa800,0x17ffa000,0x00fffe40,0xf701ffee,0xfffb81ff,
    0x97ffa000,0x3a02fffd,0xfff907ff,0x987ffb80,0x3e001fff,0x3ff203ff,
    0xfffb0006,0xb95559ff,0x44003fff,0xa8002fff,0x3005ffff,0x5fff7fff,
    0x03fff700,0x80fffe20,0x40004fff,0x005ffffa,0xf701ffee,0x7fdc01ff,
    0x07ffdc07,0x037fffe0,0x0bfd9ff3,0x01efffd8,0x201ff701,0x441efffc,
    0x006fcefe,0x2005fff1,0x9800fffa,0xfb802fff,0x7ffdc07f,0xffffea80,
    0xefffffff,0x3fe00003,0x3fa0004f,0xdffd004f,0x80fff700,0x7cc0fffb,
    0x3fe001ff,0x01fff23f,0xf901fff7,0x7ffb80ff,0x200bffd0,0x3200fffb,
    0xf88006ff,0x3e601fff,0x3e2001ff,0x7d4002ff,0x44005fff,0x005fff12,
    0x200dfff3,0x3e02fffd,0x2a0004ff,0x4005ffff,0x7dc07ffb,0x3fee00ff,
    0x07ffdc07,0x740bbfe0,0x405fe8ef,0x5c003ffd,0x3ff205ff,0xf93ff903,
    0x3ffe200d,0x1fff5002,0x03fff300,0xb80fff70,0x00000fff,0xfff00000,
    0x3fe20009,0xfff9803f,0x07ffb804,0x7407ffdc,0xff7005ff,0x17ffdc1f,
    0x320fffb0,0x7fdc07ff,0x09fff907,0x406fffa8,0xa8006ffc,0x36602fff,
    0x22001fff,0x2a002fff,0xa884ffff,0x2fff8800,0x1bfffb00,0x02fffe40,
    0x40013ffe,0x884ffffa,0x0fff700a,0x200fffb8,0xd501fffb,0x29801fff,
    0x7f47ff20,0x00054405,0x51017ff6,0x64ffea01,0xfff1006f,0x3ffea005,
    0x0fffb800,0x407ffb80,0x4000fffb,0x00880009,0x5c3fff70,0xfffc800b,
    0x1fffc801,0x01fffb80,0x901fffd5,0xfa809fff,0x7ffcc6ff,0x0bfff106,
    0xf701fff2,0x3ffe60ff,0xfb310aef,0xfc807fff,0xff98006f,0xfb530adf,
    0x015bffff,0x005fff10,0x413fffea,0xff8807fd,0xfff1002f,0x3aa637ff,
    0x7c00ffff,0xfa8004ff,0xffb04fff,0x701ffee0,0x7cc01fff,0xfd731dff,
    0x0017ffff,0x333ffe60,0x00001eff,0x0013ffa6,0xd99fff10,0xff1005ff,
    0xff93005f,0x7f44017f,0xfff7006f,0x00fffb80,0x007bfee0,0x84ceffcc,
    0x7fffda98,0x466fffee,0x6fffda98,0x00dffd00,0x4c77ffe6,0xbfffffeb,
    0x77fffcc0,0xfffb310a,0xbfffb07f,0xfffd7317,0xfffea887,0x7ff5441b,
    0xfff982bf,0xffffffff,0xcca883ff,0xccccfffe,0x3ffa00ac,0xffffffff,
    0x47ffffff,0xffccccb9,0x41bcccdf,0xccfffffa,0x2fffcccc,0x3f3332e6,
    0x2ccccdff,0xffffff50,0x5fffffff,0xfff99710,0xa803799d,0xcccfffff,
    0x22fffccc,0x1bfffda8,0x0bfffd98,0x3fffffe0,0xffffffff,0xff70007f,
    0x0dffffff,0x3ffee000,0xff980002,0x47ffffff,0xffdcccb9,0x21bcccdf,
    0xfffffff9,0x3fffbea0,0x7ed4402f,0xfd981bff,0xd3000bff,0x3ee00bff,
    0xffffffff,0x2a3fffff,0xffffffff,0x01ffffff,0x004fff98,0x3ffffffe,
    0xffffffff,0xfffff987,0xffffffff,0xfffff303,0x0dffffff,0xfffffffd,
    0x7ffffec3,0xffe882ff,0xffffffff,0xfffffd02,0xffffffff,0x7fffcc0d,
    0xffffffff,0xf70fffff,0xffffffff,0x49ffffff,0xffffffff,0x2fffffff,
    0xfffffff7,0xffffffff,0x3fffa60b,0x1effffff,0xffffff88,0x03ffffff,
    0x3ffffffe,0xffffffff,0x3fffff62,0x3ffea1ff,0x3ea07fff,0xffffffff,
    0x00ffffff,0xaaaaa980,0x40000efe,0x040effd8,0xaaaa8800,0x3ee1ffda,
    0xffffffff,0x54ffffff,0x1fffffff,0x37ffffec,0x7ffffec0,0x3ffea1ff,
    0x74407fff,0x1007fdbd,0xffffffff,0xb03fffff,0xffffffff,0x2005ffff,
    0x2000fff9,0xfffffffa,0xffffffff,0xffffe880,0x02ffffff,0x7fffffd4,
    0x7c41ffff,0x2fffffff,0x3ffffffe,0xffd9103f,0x4039dfff,0xffffffff,
    0x0fffffff,0x3ffff660,0xfffbcfff,0x3fff23ef,0xffffffff,0x3fe6ffff,
    0xffffffff,0xf92fffff,0xffffffff,0x0dffffff,0xffffffb8,0x3ffe604f,
    0xffffffff,0x3fffe05f,0xffffffff,0x3ffe2fff,0x2e3fffff,0x0fffffff,
    0x3ffffea0,0xefffccff,0xff900003,0xb80009ff,0xffffffff,0xfb80001f,
    0x3ff26fff,0xffffffff,0x366fffff,0x544efffe,0x800cffff,0xffffffff,
    0x3ffffee3,0x3fe200ff,0x26003fff,0xfffffffc,0x3aa00dff,0xffffffff,
    0x1fe4000c,0x7fffd400,0xfffccfff,0x3fb2203e,0x01ceffff,0xfffffb30,
    0x3fae019f,0x7545ffff,0x00dfffff,0x000ab988,0xffffffd5,0x07dfffff,
    0x06aeea20,0xffffb300,0xffffffff,0x7fffc3bf,0xffffffff,0xffb32fff,
    0xffffffff,0x2005bfff,0x9000aba8,0xfffffffd,0x7fc03bff,0xffffffff,
    0x2a2fffff,0x0dfffffe,0x3bffff62,0x35773003,0x32000000,0x0004ffff,
    0x7fffffdc,0x80003fff,0x265ffffb,0xfffffffd,0x1dffffff,0x00551000,
    0xfffffea8,0x3fff620d,0xec9803ef,0x2a60003d,0x4002aaba,0x01aaba98,
    0x4c000000,0x00001abb,0x00015731,0x004d5d44,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa9800000,0x220aaaaa,0x0000000a,0x53000000,0x53100003,
    0xa8800035,0xb730002c,0xa98037bd,0x000002aa,0x002aaaa8,0x53000000,
    0x4c400335,0x440001aa,0x400009aa,0x00019a98,0x554c0000,0x8000aaaa,
    0x1002aaa8,0x00035555,0x776e5400,0xa80000bc,0x00bceedc,0x3dffec88,
    0x3bfff6a0,0x26a6002d,0x3f660000,0xefffffff,0xdd700cee,0x9ddddddd,
    0x2005cc00,0xbdeffeca,0xfffff800,0xfff12fff,0x007fe601,0xfb84fd80,
    0x7f4c000e,0x003effff,0x7fffffd4,0x2202dabe,0x02fffeca,0x7ffffcc0,
    0x7c40dfff,0x0007ffff,0x7fffd400,0x00ffcc05,0x3ff66000,0x82efffff,
    0xfffffeb8,0xd73000cf,0x53bfffff,0xfeca807d,0xdaceffff,0x55555644,
    0xaaaaaaaa,0xfff85aaa,0x002fffff,0x806fffa8,0x05fffffa,0xfffc8000,
    0x0cffffff,0xffffc800,0x00cfffff,0x3ffffff2,0xfffff882,0xffc807ff,
    0x8001dfff,0xfffffffd,0x03ffffff,0xfffffffd,0xfd001fff,0xffb105ff,
    0x7fffffff,0x7ffffcc0,0xfff32fff,0x00fff205,0x207ffcc0,0x91004fff,
    0xffffffff,0xfe8801bf,0xffffffff,0xffd987ff,0x002fffff,0x3fffffea,
    0x2e0fffff,0x007fffff,0x7fff4000,0x1ffe405f,0xfff70000,0xffffffff,
    0x7ffffec4,0x01ffffff,0x3fffff62,0xffffffff,0xfffff700,0xffffffff,
    0x1c000243,0x3fffffe6,0xfa8002ff,0xffd806ff,0x00005fff,0x2b3bffa2,
    0x1ffffdb9,0x9dffd100,0xffffb735,0x3fffee03,0xffff01ff,0x7440dfff,
    0xffffffff,0x7ffec001,0xffffffff,0x555102ff,0x03555555,0x8bffff30,
    0xfffffffa,0x00efffff,0xfffffffb,0xe807f645,0xf10005ff,0x05ffb0ff,
    0xfffffd10,0x3fffffff,0x7ffffec0,0xffffffff,0x7fffffc1,0xf5002fff,
    0xffbfffff,0x7f44bfff,0x00007fff,0x3ffffee0,0x02fff405,0xffff9800,
    0x7fffffff,0x3fffffea,0x0effffff,0xfffffe88,0xffffffff,0xffffd82f,
    0xffffffff,0x000123ff,0x3ffff60e,0xa8002fff,0xea806fff,0x0005ffff,
    0x805fff30,0x4c02ffe9,0x74c02fff,0xfff502ff,0x7edcc03d,0x3f600cff,
    0xffffffff,0x66544005,0xcdfffdcc,0x0000002c,0x449ffff1,0xbcefffff,
    0x04fffffd,0x17ffd4cc,0x5ffe81b6,0x202e6000,0xffb002b8,0xf73359ff,
    0xf701ffff,0x7335bfff,0xe83fffff,0xfffeffff,0x9fffd002,0x7fff5443,
    0x03ffe442,0xfff88000,0x7f405fff,0xf900005f,0x75337bff,0x7ffd4399,
    0xffc99bdf,0xfffe84ff,0xfca99bdf,0x7ec3ffff,0x999bdfff,0x23ffffea,
    0x20380004,0x02fffa99,0x02aaa880,0x017ffa20,0x037fa200,0x807ff440,
    0x1000dfe8,0x3fa01ffd,0xfff5004f,0x77ffcc01,0x0fffd99b,0xfff98000,
    0x00000001,0x7f41bfd7,0xff500eff,0xff1003ff,0xd007dc5f,0x00000bff,
    0xdfff5000,0x3fff6203,0x01fffd84,0x983fffd1,0xfff88acd,0x5fff8802,
    0x213ffe60,0x00007ffc,0xffffffb0,0x05ffe80b,0x0dffd000,0x00fffa80,
    0xff71fffe,0x7f4c03ff,0x3ffea3ff,0x7ffdc01f,0x0e000123,0x00bffe20,
    0x3fa00000,0xfc80005f,0x3ffb220e,0x0dfd14bc,0x3bae3bf2,0x7441beee,
    0x09ffd06f,0x803ffea0,0xfc82fffa,0xff300004,0x6544003f,0x000acefe,
    0x0efff980,0x037ffd40,0xf897ffc4,0xfffcb983,0xccccccce,0x44000002,
    0xd800ffff,0x7ffc1fff,0x0fffd404,0x017ffc40,0x2007ffcc,0xffc86ffd,
    0xf9800007,0x85ffdeff,0xcefffcb9,0x02cccccc,0x8009fff0,0x7dc06ff8,
    0x3fffa0ff,0x2fff9801,0x4007fffa,0x00121ffe,0x3fe200e0,0x0000002f,
    0x0005ffe8,0xfd30ffc4,0x21ffffff,0x7fc41ff8,0xffffffd1,0x81ff88df,
    0xf5004ffe,0x7fdc01ff,0x30000007,0x2e003fff,0xffffffff,0x7dc0004f,
    0xcccccdff,0xfffecccc,0x17ffc400,0xfffff103,0xffffffff,0x32e605ff,
    0x801ccccc,0x3002fffb,0xfff8bfff,0x007fe804,0x2005fff1,0xffe802db,
    0xb8fffc86,0x003dfffe,0xfd9fffe8,0x7fffc45f,0xffffffff,0xcb882fff,
    0xcccefffc,0x5b701bcc,0x11fffa80,0x74007fff,0x7fff50ff,0x122fd400,
    0x2200e000,0x73002fff,0x03999999,0x512fff40,0x20599999,0x96ff45fb,
    0x3f20ffb8,0x3ee2fdc5,0x42fda99c,0x4ffe85fc,0x01fff500,0x0007ffd4,
    0x7ffcc000,0xffffb801,0x5fffffff,0x3fff6000,0xffffffff,0x01ffffff,
    0x2017ffc4,0xfffffff9,0xffffffff,0xfffff883,0xfd802fff,0x7fe4006f,
    0x017ffe47,0x7c4002a2,0x400002ff,0xfc84fff9,0xffffffff,0xf7000eff,
    0x17ff69ff,0xfffffff3,0xffffffff,0xfffffb07,0xffffffff,0x7f40001f,
    0x07ffea6f,0x3ee3d980,0x480001ff,0x88038000,0xf8802fff,0x2fffffff,
    0xd97ffa00,0x3fffffff,0x1bea3fe8,0x8ff507ec,0x21fdc3fe,0x43fd45f8,
    0xf5004ffe,0x7fc401ff,0x8000002f,0x5c01fff9,0xcaceffff,0x005ffffd,
    0xffffffb0,0xffffffff,0xf8807fff,0xedb802ff,0xeeeeffff,0xff304eee,
    0x05ffffff,0x8009ffd0,0x3ea0fffa,0x00acefff,0x17ffc400,0xffd10000,
    0xffff905f,0xffffffff,0xfff8801d,0x70bffb0f,0xddffffdb,0x207bdddd,
    0xfffffffe,0x1fffffff,0xfffd8800,0x001fff24,0x001fff60,0x1c000240,
    0x017ffc40,0x7fffffcc,0x3fa002ff,0x3ffffa5f,0x1ff84fff,0x20c40ff2,
    0x07fe0ff8,0x27ec47f7,0xffd03fe2,0x3ffea009,0x9fff3300,0x00000133,
    0xa807ffe6,0xd302ffff,0x90009fff,0xffffffff,0xffffffff,0xfff8807f,
    0x2fff4002,0xdddb7000,0xf8805fff,0x7cc002ff,0x7ffe42ff,0x02ceffff,
    0x02fff880,0xfffd1000,0x3ffff20d,0xfffdbcef,0x7ffe402f,0xd017ff63,
    0x26000bff,0xeefffeec,0x003deeee,0x7ffffecc,0x0017ffa1,0x0017ffa0,
    0x1c000240,0x017ffc40,0xffeeedb8,0x3ffa002f,0x3bffff65,0x20ff80ce,
    0x7f4000fd,0xdf703fe1,0xd01dffdd,0x04ffe83f,0xb81fff50,0xffffffff,
    0x00000eff,0xb00fffcc,0xe8803fff,0x333107ff,0x017ffd41,0xfff88000,
    0x2fff4002,0xfff10000,0x1fff9805,0x83fff800,0xfffffffb,0x22001fff,
    0x80002fff,0x00ffffe8,0x109ffff9,0x7cc09fff,0x2ffec6ff,0x0017ffa0,
    0x0027ffc0,0x7ffff440,0x27ff42ff,0x27ff4000,0x00048000,0xfff88038,
    0xfff10002,0x6fff4005,0x04ffffe8,0x03f60ff8,0x7fc3ff00,0x7ffffdc0,
    0xe83ff00f,0xff5004ff,0xffffe81f,0x2fffffff,0x9804ea80,0x3fe01fff,
    0xfff7003f,0x47fffb03,0x002ffff8,0x7ffc4002,0xffcca802,0x0bccccef,
    0x2fff8800,0x017ffc40,0x40bffe20,0xfffffec9,0xf1003fff,0x980005ff,
    0x200fffff,0x3602fffc,0x3ffa07ff,0x02ffec2f,0x00017ffa,0x00027ffc,
    0x6fffffc4,0x004ffe81,0x504ffe80,0xfffffffb,0x2000125b,0x2fff8803,
    0x5fff1000,0x7f7ff400,0xd002ffff,0x001fe45f,0x17f41ff3,0x3fea73ee,
    0x740ff983,0x205c44ff,0x7dc0fffa,0xffffffff,0xffe800ef,0x0fffcc00,
    0x001fff98,0xf887fff1,0xfffb86ff,0x2e621bdf,0x4400efed,0x7e402fff,
    0xffffffff,0x88006fff,0xff802fff,0x7fd4003f,0xdba8800f,0x801fffff,
    0x0002fff8,0x07bfffea,0xb80fff90,0xfff507ff,0x80bffb0b,0x00005ffe,
    0x00009fff,0x403dfff1,0x80005ffe,0xffd05ffe,0xdfffffff,0x00e00012,
    0x000bffe2,0x0017ffc4,0xfffffffd,0x51fec003,0x3ee140df,0x3ee1fec6,
    0xf70bfa23,0xe89ffd0d,0x07ffd47f,0xcfff9998,0xfff10009,0x1fff9805,
    0x001fff70,0x3ea2fff4,0xfffb01ff,0xffffffff,0x8805ffff,0x7ec02fff,
    0xffffffff,0x88007fff,0xfd802fff,0x7fdc005f,0xff910007,0xfff1007f,
    0x3fee0005,0xfc800eff,0x3ffdc07f,0x567fffc4,0x1effeaaa,0x0017ffa0,
    0x0027ffc0,0x400ffe80,0x80007ffd,0xffb06ffc,0xbfffffff,0x00e00012,
    0x000bffe2,0x0017ffc4,0x5ffffffd,0x746fa800,0xfea89bef,0xdf50ff62,
    0xf316fe44,0x20ff615f,0x3fe24ffe,0x03ffea1f,0x007fff10,0x402fff88,
    0xf301fffa,0x7fc003ff,0x02ffec3f,0xffffffb1,0xffffffff,0x2fff8801,
    0x7fff6cc0,0x2dffffff,0x2fff8800,0x02fffc80,0x4cdfff10,0xffb001fe,
    0x5fff100d,0xffff9000,0x3ff2001d,0x43ffdc07,0xfffffffa,0x4fffffff,
    0x000bffd0,0x0013ffe0,0x5c0164c0,0x40001fff,0x32607ffa,0x25fffccc,
    0x80380004,0x0002fff8,0x4005fff1,0xfffffffe,0x127fc002,0xbffffffd,
    0x7fc07fd4,0x45ffffd4,0x0ffabffb,0x3e64ffe8,0x1ffee2ff,0x00bffea0,
    0x805fff10,0x7f407ffb,0xfff7005f,0x800fff81,0xffffffe9,0x800bdfff,
    0x4002fff8,0x00005ffe,0x200bffe2,0xb006fff9,0x7fe45fff,0x0fff9005,
    0x005fff10,0x05ffffd8,0x203ffe40,0xffa87ffb,0xffffffff,0xfd06ffff,
    0x3e0000bf,0x000004ff,0x06fff880,0xff885d40,0x3ffe004f,0x0e000123,
    0x00bffe20,0x017ffc40,0xffdfffd0,0x7d4007ff,0x5ef6541f,0x5413fea0,
    0x3ccc99ff,0x04ffbbb8,0x7fcc9ffd,0x01bff62f,0x1007fff2,0x203fff88,
    0x6405fff8,0x7d404fff,0x1ffd46ff,0x33fee200,0xf880009a,0x7ec002ff,
    0x802a806f,0x7002fff8,0x2201dfff,0x7f45fffd,0x7fcc03ff,0xfff8806f,
    0xfffd1002,0xff90009f,0x87ffb80f,0xfffffffa,0x2effffff,0x880dffb0,
    0x27ffc02a,0xd8000000,0xc800dfff,0x3fffa5ff,0x47fff002,0x80380004,
    0x0002fff8,0x4005fff1,0xfff95ffe,0x7fe4009f,0x0dff5003,0x5003ffc8,
    0x3fe60dff,0x7fff30df,0x80bfff71,0x5c07ffe8,0xffff10ef,0x3fee659d,
    0x7fcc03ff,0xb310aeff,0xfc87ffff,0x07fb0006,0x5fff1000,0xbfffc800,
    0xfffd9510,0x2fff8809,0x3ffff600,0xfffd731b,0xffffe81f,0xffd731be,
    0xff1009ff,0xfff3005f,0x320005ff,0x7fdc07ff,0x3ff60007,0x5fffe405,
    0xfffd9511,0x027ffc09,0x44001000,0x1acffffe,0xdfffd751,0x5f7fffcc,
    0xffd95309,0x4000247f,0x2fff8803,0x5fff1000,0x72fff400,0x400bffff,
    0xa881dffd,0xd800effc,0xca881dff,0xffb80eff,0xff98ffff,0x1fffffff,
    0xdffff710,0xf9999999,0x3ffe25ff,0xffffffff,0xff3004ff,0xffffffff,
    0x3ff07fff,0x2b7f6000,0x65cc00dc,0xcdfffccc,0x3ea01bcc,0xffffffff,
    0x2e64ffff,0xdfffdccc,0xf101bccc,0xffffffff,0xfb05ffff,0xffffffff,
    0x01dfffff,0xfff99995,0x4415999b,0xccefffff,0x2fdccccc,0x2ffff6a2,
    0x7ffed441,0xd971001b,0x7d405dff,0xffffffff,0x2a25ffff,0xccefffcc,
    0x26001bcc,0x36003ffe,0xffffffff,0x42ffffff,0xfffffffb,0xffffffff,
    0x0e000123,0xff999973,0x837999bf,0xffdcccb9,0x41bcccdf,0x545fffb9,
    0x0aceffff,0x77fffdc0,0x04ffffec,0x77fffdc0,0x04ffffec,0x3ffffff2,
    0xfffffe8a,0x3ffa02ff,0xffffffff,0x21ffffff,0xffffffea,0x4003ffff,
    0xffffffe8,0x5702ffff,0x7ffcc000,0x3fee01ff,0xffffffff,0x204fffff,
    0xfffffffd,0xf70effff,0xffffffff,0x09ffffff,0x3fffff62,0x900effff,
    0xffffffff,0x03dfffff,0xfffffffb,0x4fffffff,0xfffffff8,0xffffffff,
    0x3fffff65,0x3fff60ff,0x4c01ffff,0xffffffff,0x3ffff204,0xefffffff,
    0xffffff11,0xffffffff,0x3fff6009,0x7ffec007,0xffffffff,0xffff701e,
    0xffffffff,0x000243bf,0xfffff71c,0xffffffff,0x3ffee9ff,0xffffffff,
    0xff74ffff,0xff88bfff,0x807fffff,0xffffffc8,0x910001cf,0x9fffffff,
    0xfffd9803,0x3fffa24e,0x7ffc02ef,0xffffffff,0x306fffff,0xbffffff9,
    0x3b220005,0x1cefffff,0x6d400000,0x7fe402df,0xffffffff,0x406fffff,
    0xfffffffb,0x7ffe42df,0xffffffff,0x5406ffff,0x4effffff,0x75cf6cc0,
    0x2fffffff,0x3fffffe0,0xffffffff,0xfffff11f,0xffffffff,0x3ffe2fff,
    0x3e2fffff,0x3fffffff,0x7ffffd40,0x7dc06fff,0xdfffffff,0x7ffffcc2,
    0xffffffff,0xfff7006f,0xffb5000b,0x07dfffff,0xffffd910,0x9019ffff,
    0x7e470000,0xffffffff,0x96ffffff,0xffffffff,0xdfffffff,0x17fffff2,
    0xfffffff5,0x554c001f,0x2000009a,0x0009aaa9,0x00ab9800,0xfffffd50,
    0xdfffffff,0x3751001b,0xb9880000,0x0000000a,0x3ff66000,0xffffffff,
    0x3001dfff,0x4c035795,0xfffffffd,0x1dffffff,0x01573100,0x9aba9800,
    0xfffda800,0xffffffff,0x3fffe23e,0xffffffff,0x3fae7fff,0x7544efff,
    0x00dfffff,0xfffffec8,0xca98801d,0x7f64009b,0xffffffff,0x26001dff,
    0x4c40001a,0x40000aba,0x4019aba8,0xcccccccc,0xcccccccc,0x3fff665c,
    0xffffffff,0xffb31dff,0xffffffff,0x3663bfff,0xec85ffff,0x003effff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x003ca800,0x3bbbbae0,0x4404eeee,0x0001cccc,
    0x00000800,0x00002f26,0x3bbbbb6e,0x5c004eee,0xeeeeeeed,0x3bb2204e,
    0x2e0cefff,0x0ceffffe,0xfffffdb3,0x5c007bdf,0xeffffffe,0x44001bce,
    0xffffffec,0xeeffffff,0x3fff6a1e,0xffdb80be,0x7ffe43ef,0xffffffff,
    0x7fed45ee,0xefffffff,0xffeb82de,0x3fae0cef,0x0000ceff,0x3bb6e000,
    0x3b6e0cee,0x5cc0ceee,0xcb884ccc,0x4c004ccc,0x70099ccb,0xdddddddd,
    0xdddddddd,0x4400009d,0x0000000a,0xfffecb88,0xefffffff,0x3ffb221e,
    0x03deffff,0xdffff500,0x3a00fe43,0xffffffff,0x3fee00ff,0x4400007f,
    0xeffffeca,0xfe88000c,0x0fea3fff,0xfffffe80,0x000fffff,0x3ffffffa,
    0xf700ffff,0x9fffffff,0x3fffffea,0xffffb5ff,0x5fffffff,0xfffff300,
    0xffffffff,0x3ff6001b,0xffffffff,0x1fffffff,0xfffffff1,0xfffff989,
    0x3fff21ff,0xffffffff,0x7fffc7ff,0xffffffff,0x3fea0fff,0xf34fffff,
    0x8bffffff,0x00000cfd,0x3fffffea,0xfffff34f,0x7ffccbff,0xfffd87ff,
    0xf9000fff,0x05ffffff,0xfffffff9,0xffffffff,0x00800bff,0x5c00dff3,
    0xf910004f,0xffffffff,0x3fffffff,0x7fffffec,0x002fffff,0x7fefffc4,
    0x401ffedf,0xaaaaaaa8,0x7fec01aa,0x2a00003f,0xffffffff,0x6c004fff,
    0xdefffdff,0x2a2004ff,0xaaaaaaaa,0x55544001,0x01aaaaaa,0x3fffffea,
    0xffff33ff,0x3f29ffff,0xffffffff,0xff9801ff,0xffffffff,0x802fffff,
    0xfffffffc,0xffffffff,0xffff11ff,0xff989fff,0x321fffff,0xffffffff,
    0x747fffff,0xffffffff,0x4c7fffff,0x4fffffff,0xfffffff1,0x1ffffd49,
    0xfff98000,0xff13ffff,0x4c9fffff,0xe87fffff,0x00ffffff,0xffffffc8,
    0xfffc84ff,0xffffffff,0x05ffffff,0x6fff6544,0x0ffff98a,0x001fff00,
    0xfffffe88,0xffffffff,0x3f21ffff,0xffffffff,0x7c4001ff,0xffffd10c,
    0x40000007,0x00006fff,0x7fffffe4,0x03ffffff,0xffc87b60,0x000005ff,
    0x40000000,0x2ccfffda,0x77ffe5cc,0xfff9510a,0x0037999d,0x66fffe4c,
    0xfffffdcc,0x7e54401f,0xccfffbff,0x21fffdcc,0x0dffffc9,0x2cffffb8,
    0x6667ffe4,0x6fffeccc,0x7e6665c4,0x1bcccdff,0x2cfffe98,0x5ffff5cc,
    0x3ffffe60,0xea80002e,0x5cc2cfff,0x5c0bfffe,0xd987ffed,0x400fffee,
    0xfffffffa,0xfffc81ff,0xdfffdccc,0x05fffccc,0x3ffffff6,0x5fffffff,
    0x05fff100,0x7ffff440,0xccfffeef,0x21fffdcc,0xfffdcca8,0x00001bcc,
    0x00005e54,0x5fff3000,0xff980000,0xfecacdef,0x980007ff,0x100000cc,
    0x00000000,0x800fffb8,0x3fe04ffe,0x9aaaaadf,0x3fff3001,0x1bfff660,
    0x7d6ffcc0,0x7ffcc0ff,0x06fffa81,0x3209fff9,0xfff306ff,0xfff1003f,
    0x37fe4005,0x4c1ffee0,0x1efffffe,0x3ff62000,0x9999999f,0x2e01fffc,
    0x7fdc07ff,0x7ffe400f,0x3201bb12,0x7ffcc7ff,0xd82fff41,0xffffffff,
    0x005fffff,0x400bffe2,0x0aefffe8,0xf981fff7,0x3fea01ff,0x0000000f,
    0xffeca800,0x7e400bde,0x1000006f,0x0fffc803,0x20000000,0xffffeca8,
    0xcb9800ce,0xccb884cc,0x3fee04cc,0x4ffe800f,0x3fffffe0,0x03ffffff,
    0x100fffcc,0x7005fffd,0x1fff55ff,0xb01fff98,0xff989fff,0xdff900ef,
    0x07ffff10,0x00bffe20,0x5c06ffc8,0x7fdc07ff,0x000dffff,0x7fffffec,
    0xffffffff,0xfb80ffff,0x7ffdc07f,0x02fff400,0xf31fff20,0x5ffe83ff,
    0xcdffffd8,0xfffffdba,0x3ffe2001,0xdfff9002,0x40fffb81,0x2a01fff9,
    0x40000fff,0xccccccb9,0x3ff62001,0x3fffffff,0x654bffa0,0xeffd98cc,
    0x9988000c,0x803fff31,0xfb54ccca,0x2a007dff,0xffffffff,0x3e604fff,
    0xfe87ffff,0x700fffff,0xfd001fff,0x7fffc09f,0xffffffff,0xfff300ef,
    0x6fff8803,0xfa8ffe80,0x3fe210ff,0xffff100f,0x00ffff43,0xffd0bff9,
    0x7fc4009f,0x3ff2002f,0x03ffdc06,0x7ffffe44,0xffd000cf,0xffffffff,
    0xffffffff,0x80fff703,0x6c00fffb,0x32000fff,0x7ffcc7ff,0x362fff41,
    0x7441efff,0x005fffff,0x400bffe2,0xfb80ffff,0x3fe210ff,0x3ffea00f,
    0x2002eb88,0xfffffff8,0xfff5002f,0xffffffff,0x6ff881df,0xffbffff7,
    0x005fffff,0xffffffb3,0x5c03ffff,0xffdfffff,0x01efffff,0x7fffffe4,
    0x03ffffff,0x0ffffff5,0x1ffffffd,0x003ffee0,0xff813ffa,0xdcccccef,
    0xf304ffff,0xff7003ff,0xb7fc403f,0x6fc8fffa,0xffa80dfd,0x09fff96f,
    0x7e43ffa8,0x7c4006ff,0x3f2002ff,0x3ffdc06f,0xffffb100,0xd73007ff,
    0x99999fff,0x59fffd99,0x701ffee0,0xfb801fff,0x3ee004ff,0x0fffcc6f,
    0xfff13ff6,0xffffd10d,0x22005fff,0xfa802fff,0xfff704ff,0x17fabf91,
    0xff7fff50,0x3e6001ff,0x2fffffff,0xfffff880,0xffffdbce,0xc8ffd44f,
    0xffffffff,0x100fffff,0xfffffffb,0x403fffff,0xfffffffb,0xffffffff,
    0x3bffe600,0xfffecacd,0x3ffb6e07,0xffeed987,0x1fff700f,0x409ffd00,
    0x3e204fff,0xffc986ff,0xa80aaacf,0x3ea02fff,0xf5fff54f,0x640063ff,
    0x6fffdfff,0xffa85300,0x7c4000ff,0x3f2002ff,0x999999ff,0x8007ffc9,
    0xefffffe9,0x9fffc802,0xfc999999,0x3ffdc07f,0x003ffee0,0x4007fffe,
    0x7fcc3ff8,0x30ffd41f,0xfe883fff,0x4fffaeff,0x05fff100,0x205fff70,
    0xfffafffb,0xfff50030,0x001fffff,0x7ff776dc,0xfffe802f,0xffff500e,
    0xfb12fe43,0xd97dffff,0xfd107fff,0xffffffff,0x4403ffff,0xefffffec,
    0x4ffffdbc,0x3f200c40,0x7fdc00ff,0x07ffdc07,0x800fffb8,0x3fe04ffe,
    0x7ffe404f,0xffffff10,0x881fffff,0x3f603fff,0xfffff51f,0xf88005ff,
    0x01ffffff,0x5ffff300,0x5fff1000,0x7fffe400,0xffffffff,0x3aa0007f,
    0x01efffff,0x3ffffff2,0x7fffffff,0x203ffdc0,0x4400fffb,0x2006fffe,
    0x1fff9818,0x37fe4088,0x43bfffa2,0x76dc5ffe,0xefffeeee,0x90bdeeee,
    0x3ee01fff,0x02ffffff,0x3ffffea0,0x440001ef,0x7cc02fff,0x7d400eff,
    0x303266ff,0xf889ffff,0xfffd84ff,0xdcaaacff,0xfb801fff,0xffd04fff,
    0x1998800d,0xb803fff3,0x7fdc07ff,0x1fff700f,0x409ffd00,0x7cc04fff,
    0xffff71ff,0x5fffffff,0x7c07fff0,0x3fffea7f,0xa8002fff,0x004fffff,
    0x09fffd10,0x0bffe200,0xfffffc80,0xffffffff,0xffb80007,0xc80dffff,
    0xffffffff,0x407fffff,0x7dc07ffb,0x3fa200ff,0x3fe4ffff,0x7d4cc03f,
    0x6c019bff,0x3ffa25ff,0x9bff20ef,0xfffffffa,0xffffffff,0x0dff94ff,
    0x7fffffdc,0xfff7002f,0x00007fff,0x700bffe2,0x9999bfff,0xffd99999,
    0xfff9801f,0x88dffb04,0x2601ffff,0xfb801fff,0x3ff203ff,0xfffd9807,
    0x1fffffff,0x203ffdc0,0xf700fffb,0xffd001ff,0x027ffc09,0x7c43fff2,
    0xffffffff,0x3fff80ef,0x733bff50,0x5fffffff,0x3fffee00,0x5fffffff,
    0x17fff600,0x2fff8800,0x3ffff200,0xffffffff,0x6440007f,0x0cffffff,
    0xffffffc8,0x7fffffff,0x80fffdc0,0x100fffea,0xfffffffd,0x01ffff33,
    0xfffffff5,0x3207ffff,0xffe88fff,0x27ff40ef,0xfffffff5,0xffffffff,
    0x1ffee7ff,0xffffffb8,0x7ff5402f,0x0400cfff,0x05fff100,0xffffffd8,
    0xffffffff,0x7cc01fff,0xdff901ff,0x202fffa8,0x801fffd9,0x7dc07ffb,
    0xffb100ff,0xffffffff,0xffb803ff,0x07ffdc07,0x800fffb8,0x3fe04ffe,
    0x3ffe204f,0xafffa886,0xfff10199,0x3ffff205,0xffafffff,0x5551001f,
    0x5559fff7,0x3ffee003,0x8801a80e,0x32002fff,0xaaaaafff,0x007ffdaa,
    0x3ffffee0,0x3ff200df,0xaaaaaaaf,0x7d407ffd,0xfd731dff,0x7017ffff,
    0xfff5bfff,0x20ffff9d,0xfffffffe,0xf707ffff,0xffffb9ff,0x42fffa81,
    0xfeeeeeca,0xdeeeeeff,0x407ffe63,0xfffafffb,0xffffb101,0xfd801fff,
    0x5fff1004,0xfffffd80,0xffffffff,0x4c03ffff,0xff901fff,0xadfff98d,
    0xffffb530,0x7dc015bf,0x7ffdc07f,0xffffe880,0xffffffff,0x3ffdc01f,
    0x403ffee0,0xe800fffa,0x3ffe04ff,0xfdcbaaad,0xff303fff,0xfff5003f,
    0x3ffffa03,0xfc8fffff,0x3fe20006,0xff98002f,0x2ffb81ff,0x017ffc40,
    0xb80dff90,0xea8007ff,0x01efffff,0x5c06ffc8,0x7fc407ff,0xffffffff,
    0xd87fffff,0x3fff26ff,0xf700efff,0xffffffff,0x3fe209ff,0x41ffffff,
    0x2007fffa,0xf002fff8,0x3fee07ff,0x2e06fd8f,0xffffffff,0x01ffe200,
    0x2017ffc4,0xfffffffc,0xffffffff,0x7fcc03ff,0x0dff901f,0xfffffffd,
    0xffffffff,0x3ffdc0ff,0x203ffee0,0xacfffffd,0x1fffdcaa,0x203ffdc0,
    0xf300fffb,0xfff005ff,0x7ffffc07,0xffffffff,0x07ffe603,0x4c1fff20,
    0xfdccceff,0x0cb810ff,0xff755510,0x8015559f,0xb03ffff8,0xff8809ff,
    0x3ff2002f,0x03ffdc06,0xfffffd30,0x7fe4005d,0x03ffdc06,0x7fffffd4,
    0xffffffff,0x21fffc0f,0x02fffffe,0x7ffdd544,0x7dc00aac,0x512fffff,
    0x009ffffb,0x8017ffc4,0xfb80effd,0x0ca810ff,0xff79fff3,0x7ffcc01f,
    0x2fff8801,0x017ffd40,0xfff98000,0x30dff901,0xffffffff,0xffffffff,
    0x1ffee01f,0x881fff70,0x2601ffff,0x7dc01fff,0x7ffdc07f,0x0dfff100,
    0x202fff98,0xffffffff,0x4c01efff,0x7d401fff,0x7ff706ff,0x980fffa8,
    0xfff704ff,0xffffffff,0x4fffe80b,0x1017ffa0,0x64005fff,0x7fdc06ff,
    0xfffd8807,0xc8003fff,0x7fdc06ff,0xffff5007,0xfff99fff,0x8bfff07d,
    0x00fffff9,0x007ffe60,0xfffffff0,0x7fffffff,0x2fff8800,0x1dfff700,
    0x980fffb8,0x542ea4ff,0x3e600fff,0xff8801ff,0x7ffc402f,0x4002002f,
    0xf901fff9,0x3ff660df,0xfbcfffff,0x2e04ffff,0x7fdc07ff,0x17ffd40f,
    0x03fffb30,0x501fffb8,0x7401fffd,0xff302fff,0x7ffc01ff,0x0aaaaaad,
    0x03fff300,0x80ffffdc,0x7fd41ffe,0x07ffb80f,0x3ffea662,0x7e40199b,
    0x7ff406ff,0x17ffc405,0x80dff900,0x32207ffb,0x0cffffff,0x0dff9000,
    0x2007ffb8,0x2e1abba8,0x3ffa01ff,0xffe989bf,0xf3000aef,0x7ec003ff,
    0xffffffff,0x8002ffff,0x1002fff8,0x5c3dffff,0xffb80fff,0x03ffea06,
    0x801fff98,0xb802fff8,0x21bdffff,0x0efedb98,0x80fffcc0,0x54406ffc,
    0xff981abb,0x03ffdc00,0xf303ffee,0x2a615bff,0xadfffffd,0x3bfff300,
    0x3ffffae6,0xfff500bf,0xff7317df,0x3ee607ff,0x0bccceff,0x3fff2200,
    0xffeccccd,0xfba83fff,0xfdb88bff,0xecccccff,0x32a207ff,0x0bcdfffc,
    0x37fffe60,0xfccccccc,0x332a25ff,0xccdfffcc,0x7f5440ac,0x75441bff,
    0x7dc1bfff,0x00dfffff,0xfffd5100,0xffeb8837,0xc80001bf,0x7ffd404f,
    0xffffffff,0x975106ff,0x599bfffb,0x3ffff201,0xefffffed,0xff10001c,
    0x7fd4005f,0xffddffff,0xfecccccf,0x7ee5cc7f,0xccccccff,0x4c1fffdc,
    0xfffdcccb,0xd81bcccd,0xffffffff,0x2fffffff,0x33fff260,0x0fffec42,
    0x8afdc000,0x3ff6a20b,0xffd981bf,0x7fff40bf,0xffffffff,0x207fffff,
    0xffffffff,0x7fffffff,0x3fffff20,0x06ffffff,0xfffffff9,0x1001ffff,
    0xffffffff,0xbfffffff,0xffffff50,0xfffffffd,0xffffffff,0x7fffff40,
    0x500fffff,0xffffffff,0xbfffffff,0x7fffffec,0x7fffffff,0x7ffffff4,
    0xfffff13f,0x3fea3fff,0x0001efff,0x7ffffff4,0xfffff13f,0x80005fff,
    0x86fbbffa,0xfffffffd,0x81ffffff,0xfffffffc,0xf885ffff,0x2e621fff,
    0xf880000a,0x7d4002ff,0xffffffff,0xffffffff,0x3fffee7f,0xffffffff,
    0x21ffffff,0xfffffffb,0xffffffff,0x7fffec44,0xffffffff,0xfff500ff,
    0x3e27ffff,0x001fffff,0x7ffffc40,0x3fffff64,0x3ffea1ff,0x7fcc7fff,
    0xffffffff,0x0fffffff,0xffffff50,0xffffffff,0x7ffe401f,0x0dffffff,
    0xffffffb0,0x005fffff,0xfffffff5,0x7fffffff,0x3fffff20,0xffffffff,
    0xffffffff,0xfffff107,0x05ffffff,0x3fffffea,0xffffffff,0x3ffffe5f,
    0xffffffff,0xffff10ff,0x3e6bffff,0x3fffffff,0x005dfff5,0xfffff100,
    0x3fe6bfff,0x03ffffff,0xffffe800,0xfffff705,0x07dffbdf,0x3ffffffa,
    0xd06fffff,0x000005ff,0x0003ffe0,0x3fffff66,0xffffffff,0x3ff67fff,
    0xffffffff,0xffffffff,0x3fffff21,0xffffffff,0xffd306ff,0xbfffffff,
    0x7ffdc017,0xff35ffff,0x0005ffff,0x43ffff70,0xffffffff,0x3ffffee3,
    0x7fecc0ff,0xfbcfffff,0x5403efff,0xcfffffff,0x803efffc,0xffffffe9,
    0x7ffecc03,0x04efffff,0x3ffffb20,0x0acdefff,0x3ffff620,0xffffebae,
    0xffffffff,0x3fffae07,0x204effff,0xfffffffa,0xffffffff,0x3ffffaa5,
    0xefffffff,0x7ffff5c3,0x3ffb21df,0x3b20dfff,0x75c00003,0x21dfffff,
    0xdfffffec,0xdb880000,0x2a6200be,0x6cc001ab,0xffffffff,0x037102ef,
    0x75c00000,0xdb980004,0xffffffff,0x3667ffff,0xffffffff,0xffffffff,
    0x3fff661f,0xffffffff,0x4c401dff,0x0009aaca,0x3fffff62,0x3bffb21d,
    0x0cc00004,0x7fffff54,0x3fff620d,0x2ea203ef,0x200001ab,0x0001abb9,
    0x002ae620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd9100000,0xbdffffff,0x3fb22007,
    0x3defffff,0x3fff6e00,0xeffd800e,0x7fed40ce,0xffd702ef,0xeb839dff,
    0xeeffffff,0xfda801bc,0xffffffff,0x4eeeffff,0xfffffd91,0xdec87bdf,
    0xddddd700,0x0009dddd,0x7fe4c000,0xdeefffff,0x3fae00bc,0x223defff,
    0x03deffec,0x7fffff5c,0x75c004ef,0xffffffff,0xda803cef,0xb80cefff,
    0x543deffe,0x80cefffd,0x43deffeb,0xdeffffdb,0x7fff6441,0x7ff5c3ee,
    0xceeeffff,0xfec8801b,0xb80ceeff,0x1deffffe,0x3fffffae,0x401bceef,
    0xfffffffc,0xefffffff,0x3ffae4ee,0xffffffff,0x004eeeff,0x000013aa,
    0x59301100,0xffffffc8,0x802fffff,0xfffffffc,0x8802ffff,0x03ffffff,
    0x7fffffc4,0x3ffffe23,0x7ffcc0ff,0x265fffff,0xffffffff,0x00dfffff,
    0xfffffff1,0xffffffff,0x3ff2bfff,0xffffffff,0x09fff32f,0x3ffffffa,
    0x0000ffff,0xfb1eeb80,0xffffffff,0x505fffff,0xffffffff,0x3ffff25f,
    0xff302fff,0xffffffff,0x3ffea001,0xffffffff,0xf101efff,0x87ffffff,
    0xfffffffa,0xffffff12,0xffffa87f,0xfff32fff,0xc8dfffff,0xffffffff,
    0xffffff53,0xffffffff,0x7ffe401b,0x4c3fffff,0xffffffff,0xffffff56,
    0xbfffffff,0x3ffff201,0xffffffff,0xf55fffff,0xffffffff,0xffffffff,
    0x0fffc00b,0xdd000000,0x325fffb8,0xffffffff,0xfc801fff,0xffffffff,
    0xff8801ff,0x6407ffff,0x43ffffff,0x5fffffff,0x7fffffc4,0x3ffe64ff,
    0xffffffff,0xff02ffff,0xffffffff,0xffffffff,0x3fffff2b,0x31ffffff,
    0x2a20bfff,0xaaaaaaaa,0x75400001,0xfff94fff,0xffffffff,0xf989ffff,
    0xffffffff,0xffffff91,0x3ffe603f,0x3fffffff,0xfffff300,0xffffffff,
    0x3fe03fff,0x543fffff,0x1fffffff,0xfffffff1,0xfffff987,0xffff11ff,
    0xfb8bffff,0x2fffffff,0xfffffff3,0xffffffff,0x3ffee01f,0x4c2fffff,
    0xffffffff,0xffffff34,0xffffffff,0xffff905f,0xffffffff,0x26bfffff,
    0xffffffff,0xffffffff,0x3ff6005f,0xd9510000,0xf88159df,0x87ffffc7,
    0xfffdcca8,0x51001bcc,0x99fffb99,0x7ecc0037,0xf102ffff,0x305fffff,
    0x5fffffb7,0xefffcb98,0x7ffe4c0a,0xfffdcccd,0xdb981fff,0xcccccfff,
    0x5fffcccc,0xfffb9951,0xfda83799,0x00000003,0xfffffd30,0x3fff2a27,
    0xffecccce,0x75cc2fff,0x221bcfff,0x01cfffff,0x7ffe65cc,0x26006fff,
    0xcccfffeb,0xfffffecc,0xffffb880,0x9ffff704,0xffffc983,0xbffff704,
    0xcfffe983,0xecca80bc,0x75cc2fff,0xdccccfff,0x205fffff,0x2cefffdb,
    0xbfffb730,0x7ffecc17,0xfffdcccd,0x7fe40fff,0xfffdcccf,0x5fffcccd,
    0x33fffae6,0xfccccccc,0x2e2005ff,0xfff70001,0x4bffffff,0x7ffec7f9,
    0x03ffea06,0x3ffea000,0x3fee0000,0xff706fff,0xfa80dfff,0x3606ffff,
    0x3fe605ff,0xfffb301f,0x07ffd40d,0xa82fff40,0x7ec00fff,0x00000000,
    0x7ffffec4,0x09fff03f,0x41bfff26,0xfe886ffc,0x88002fff,0x1fffffff,
    0x037fe400,0x405fff91,0xf906fffa,0xffb809ff,0xfffe80ff,0x01fff205,
    0x640dffb0,0xfd5107ff,0xfff803ff,0x3fff9006,0x407ffe60,0x646fffe9,
    0x7ffcc7ff,0x642fff41,0xffd807ff,0x70000005,0xffffffff,0xbf71dfff,
    0x201dfd88,0x0000fffa,0x000fffa8,0x3ffffee0,0xffffe82f,0x7ffd406f,
    0xffb04fff,0x0fffcc0b,0x05fffd10,0x2003ffea,0xff505ffd,0x817d401f,
    0xccccccb9,0xfc880001,0x00cfffff,0xfb013ffe,0xdff901ff,0x1fffff98,
    0x5fff7000,0xc800bfff,0x7fc406ff,0x7ffec04f,0x037ffd43,0x646fffd8,
    0x7dc06fff,0x1f774c7f,0xfc817ffa,0x7ffcc07f,0x0fffe403,0x817ffe20,
    0x2201fff9,0x3f22fffe,0x0fffcc7f,0x3f217ffa,0x5ffd807f,0xfb800000,
    0xdcacefff,0x2fffffff,0x3ffea000,0x8013f620,0x0000fffa,0x3fffffee,
    0x7ffffd45,0x7ffd406f,0xfd81ffff,0x3ffe605f,0x37ffc401,0x220fffa8,
    0x0ffee0cc,0x8807ffd4,0xffff105f,0x0005ffff,0xffffffb8,0x4fff800d,
    0x40fffcc0,0x3fea6ffc,0x20000eff,0xfffb6ffe,0x37fe4001,0x013ffe20,
    0x223ffff1,0x2001ffff,0xff75fffe,0xffa801ff,0x1bfff20f,0x7e409fff,
    0x4fff807f,0x02fffc40,0x980bffee,0x7cc01fff,0x1fff26ff,0xfe83fff3,
    0x47ffc85f,0x0ffee4c8,0xff500000,0x3fa605ff,0x40004fff,0x3ee0fffa,
    0xff5002ff,0x7dc0001f,0x21fffdff,0x6ffdfffe,0x7dfffd40,0x5ffd86ff,
    0x007ffe60,0x2a07ffee,0x3fee0fff,0x54033223,0x07100fff,0x7fffffcc,
    0xd50002ff,0x03dfffff,0x2027ffc0,0xfc81fffa,0xdffff76f,0x7fd40001,
    0x07fff33f,0x1037fe40,0x5005fff9,0x3ff2dfff,0x7f44004f,0x1ffffdff,
    0x21fff980,0x3e1fffff,0x3ff203ff,0x17ffd407,0x007ffec0,0xf980fffd,
    0xffc801ff,0x98dff70f,0x7fe41fff,0x6c7ffc84,0x019912ff,0xffd80000,
    0x7ff4401f,0x7d40000f,0x3fff20ff,0x1fff5003,0x7ffdc000,0xff34fff9,
    0x80dffb9f,0xffd8fffa,0x82ffec3f,0xaacfffc9,0x2fffa80a,0x99afffa8,
    0x54005ffd,0x20000fff,0xfffeeedb,0x7ff4c002,0x8002efff,0x7f404fff,
    0x9fff907f,0x000bffff,0x741fffb0,0x3f2006ff,0xdb9999ff,0x000fffff,
    0xfffbfffb,0x3fe6000d,0x003fffff,0x3e65fff1,0xff13ffff,0x3ffe405f,
    0x0ffffc88,0x03fffa80,0x9807fff3,0xfa801fff,0x87ff11ff,0x7d41fff9,
    0x9fffc81f,0x804ffe99,0xeeeeeeec,0xeeeeeeee,0x00fffe0d,0x0017ffdc,
    0x983ffea0,0xf5000fff,0x5c0001ff,0x1fffb7ff,0xffb1fffb,0x8fffa80d,
    0x360ffff8,0x7ffc45ff,0xffffffff,0x41fffc40,0xfffffffa,0x7d4006ff,
    0x200000ff,0x1002fff8,0x7ffffffb,0x27ffc000,0x05fffe98,0xfffffff9,
    0xf880005f,0x7ffdc5ff,0xffff9001,0xffffffff,0x7fc4005f,0x001fffff,
    0x3ffffea0,0x9fffc004,0x36fffffc,0x7e403fff,0xfeccccff,0x2004ffff,
    0xffb06ffe,0xfff9801f,0x2fff8801,0x3ffe6062,0xff900881,0x9fffffff,
    0xfffffa80,0xffffffff,0xff34ffff,0x3fe2003f,0x7d40004f,0x400180ff,
    0x0000fffa,0x7fd5ffee,0xfb5fffdf,0xfffa80df,0x6cbfff70,0x7ffdc5ff,
    0xffffffff,0xa83fff82,0xffffffff,0x7fd4006f,0x2200000f,0x64402fff,
    0x0cffffff,0x77ffc000,0xffffeeee,0xfff900ef,0x05ffffff,0x0fffdc00,
    0x4017ffe2,0xfffffffc,0x02ffffff,0x7ffffd40,0xffe80003,0x7fc000ff,
    0xffffff4f,0x01fff53f,0x7fffffe4,0x03ffffff,0x217ffdc0,0x9805fff8,
    0xff001fff,0xfff3007f,0xfffc8003,0x04ffffff,0x7fffffd4,0xffffffff,
    0xfff74fff,0x2fff4001,0x3ffea000,0x7d400800,0x700800ff,0x7fff4fff,
    0xdffb1fff,0x20fffa80,0xffb2fffe,0xfffff88b,0x80efffff,0xffa83fff,
    0x6fffffff,0x07ffd400,0xff880040,0xfffb802f,0x0000dfff,0x7ffffffc,
    0x01ffffff,0x3ffffff2,0x0003ffff,0x3333fffd,0x001fffb3,0xfffffff9,
    0x5fffffff,0x6fffc800,0xfffc8000,0x7f4006ff,0xfcfff9df,0x07ffbbff,
    0x7fffffe4,0x002fffff,0x5c5fff88,0xf9801fff,0xfff001ff,0x3fff3007,
    0xffffc800,0x804fffff,0xeeeeeedb,0xdeeeeeee,0x03fff30b,0x001fffc0,
    0x003ffea0,0x7fd40bfb,0x42fec00f,0x3fea7ffb,0x3ff66fff,0x07ffd406,
    0xfb1ffff3,0x3fea20bf,0xf10199af,0xfff505ff,0x0bffb335,0x00fffa80,
    0x7c402fec,0xf91002ff,0x019fffff,0x3ffffe00,0x0cffffff,0x8ffffe40,
    0x002ffffc,0x7fffffd4,0x3fffffff,0xaafffc80,0xffecaaaa,0x3e2002ff,
    0x5c0002ff,0x5fffffff,0x33bff600,0xeffe8fff,0x7e407ffc,0xffffffff,
    0xf90002ff,0x37ffc1ff,0x01fff980,0x802fff98,0x4001fff9,0xe999fffc,
    0x000004ff,0x005fff80,0xb101fff7,0x7fd405bf,0x3ffe200f,0x01fff500,
    0x2e07ffc4,0x7fffc7ff,0x01bff62f,0xfc81fff5,0x05ffdcff,0x2007ffe6,
    0xfa81fffa,0x0ffee0ff,0x01fff500,0x2007ffc4,0x4002fff8,0xffffffd8,
    0xefff8003,0x01bcdeee,0xa81fff90,0x6c006fff,0xffffffff,0x806fffff,
    0xfc806ffc,0x3e2005ff,0x260002ff,0xffeaffff,0xfff9003f,0x3feebfff,
    0x6406ffef,0x7ff447ff,0xf98002ff,0x7fff54ff,0x07ffe600,0x003ffee0,
    0x0007ffe6,0xffd8fff9,0x0000f663,0x09fff900,0xb06fffa8,0x7d40ffff,
    0x3fe600ff,0x1fff501f,0x20fffcc0,0x7fdc7ffb,0x037fec6f,0x3a03ffea,
    0x05ffffff,0x2007ffe6,0xff507ffc,0x006e441f,0x803ffea0,0x4401fff9,
    0x30002fff,0x5dfffffd,0x027ffc00,0x837fe400,0x1003fffc,0xffffffff,
    0x3fffffff,0x006ffc80,0x4400fffd,0x10002fff,0x3e67ffff,0xfb802fff,
    0xf33fffff,0x80bfffff,0xffb07ffc,0xfd0003ff,0x03fffaff,0x00fffcc0,
    0x9803ffe4,0x64001fff,0x066c47ff,0x00003ffb,0x77fffcc0,0xfffb310a,
    0x3fffa07f,0x1fff500f,0x80fffcc0,0x2600fffa,0x7fdc1fff,0x21fffc47,
    0x7d406ffd,0xfff980ff,0x3e605fff,0x7fd401ff,0x1fff506f,0x3fea0000,
    0x3ffe600f,0x17ffc401,0x3ffaa000,0xf801efff,0xc80004ff,0x3ffa06ff,
    0x7fff7007,0x55555555,0xfc80bfff,0xfff5006f,0x3ffe2001,0xfffd0002,
    0x1ffffa8b,0x7ffffd40,0x3ffffa0f,0x3ffe404f,0x01ffff90,0xfcfffa80,
    0x3e6004ff,0x7fd401ff,0xfff3005f,0x7ffc8003,0x007fff00,0xfff98000,
    0xffffffff,0x3fee02ff,0x3ffea05f,0x07ffe600,0x3007ffd4,0xffb83fff,
    0x37fec007,0x403ffea0,0x05fffffc,0xb807ffe6,0xf501ffff,0x200001ff,
    0x2600fffa,0x7c401fff,0x700002ff,0x3bffffff,0x0027ffc0,0x5037fe40,
    0xff007fff,0x3ff200df,0x1bff200f,0x003ffec0,0x0005fff1,0x320dfffb,
    0x2600efff,0x5c6fffff,0x403fffff,0x7ec07ffc,0xff8005ff,0x001fffff,
    0xb807ffe6,0x3001ffff,0xc8003fff,0xfff007ff,0x00b22007,0x3ffffa20,
    0x02ffffff,0xcb982b98,0xccccfffd,0x1fffdccc,0x3fff72e6,0xdccccccc,
    0x3f661fff,0x5101bcff,0x205fffd9,0x1bcfffc9,0x2fffffc4,0xcdfffc88,
    0xffffeccc,0xffda883f,0x00accccf,0xfffb9730,0xb9999999,0x65cc3fff,
    0xcdfffdcc,0x10001bcc,0x9ffffff9,0xcefffb98,0x71000bcc,0x0179fffd,
    0x8159fffd,0x1befffc9,0xbfffb710,0xfffeb885,0xcccccccc,0x4c05ffff,
    0xcdfffccb,0x3f2600ac,0xff303fff,0x3e203dff,0x7cc3ffff,0x7102ffff,
    0x0179fffd,0x059ffff1,0x7ffffe40,0x3ff22005,0xfeccccdf,0x4c03ffff,
    0xcdfffdcb,0x3fae202c,0xccccccff,0x03fffccc,0x0003ffd0,0xfffffd91,
    0xb800039d,0xffffffff,0xffffffff,0xffff71ff,0xffffffff,0x23ffffff,
    0xfffffffa,0x7fffc42f,0x7cc5ffff,0x3fffffff,0x42ffffd4,0xfffffff8,
    0xffffffff,0xffffff05,0x00dfffff,0xfffffff7,0xffffffff,0x3fee3fff,
    0xffffffff,0x004fffff,0x3ffff620,0xfffff94f,0x01ffffff,0xffffff98,
    0x7fd41fff,0xff70ffff,0x85ffffff,0xfffffff8,0xfffff34f,0xffffffff,
    0x403fffff,0xfffffffc,0xf305ffff,0x8bffffff,0xfffffffb,0x1fffff04,
    0x03ffffd0,0xfffffff1,0xfff303ff,0x3e2007ff,0x3002ffff,0xffffffff,
    0xbfffffff,0xfffffc80,0x85ffffff,0xfffffff8,0xffffffff,0xfd003fff,
    0x9880003f,0x200000ab,0xfffffffd,0xffffffff,0xfffb1fff,0xffffffff,
    0x3fffffff,0x3fffffee,0x7ffcc4ff,0x546fffff,0xffffffff,0x85fffd84,
    0xfffffffa,0x3fffffff,0xffffff10,0x00ffffff,0xfffffffb,0xffffffff,
    0x3ff23fff,0xffffffff,0x006fffff,0x4fffe980,0xfffffffb,0xa805ffff,
    0xffffffff,0xffffe82f,0xfffff91f,0xffa87fff,0x56ffffff,0xffffffff,
    0xffffffff,0xfffd805d,0xffffffff,0xfffff707,0xfffc8fff,0xfd05ffff,
    0x3fee0dff,0xfffa80ff,0x03ffffff,0x00bffff7,0x003fffec,0xfffffff5,
    0x7fffffff,0xfffffd00,0x0dffffff,0xfffffff5,0xffffffff,0x26007fff,
    0x0000003d,0x7fecc000,0xffffffff,0x1fffffff,0xffffffb3,0xffffffff,
    0x3f623fff,0x80dfffff,0xdfffffec,0xfffffc82,0xfff881df,0xffffd905,
    0x159bdfff,0xffffeb80,0x802effff,0xffffffd9,0xffffffff,0xffb31fff,
    0xffffffff,0x0003bfff,0xd986ed40,0xffffffff,0xffd9004e,0x2a09dfff,
    0x3664efff,0x0dffffff,0xfffffec8,0x3fffb22d,0xffffffff,0xfb3003ce,
    0xffffffff,0x3ff6205d,0x6cc2dfff,0x01dfffff,0x2207fffb,0x3b207fff,
    0x0cffffff,0x0077ff60,0x003fffa8,0x7fffff64,0x00abdeff,0xfffffb30,
    0x205bffff,0xffffffec,0xffffffff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000020,0x00000000,0x00000000,
    0x00020000,0x00000000,0x00014400,0x00080000,0x2000b980,0x8000001b,
    0x884cccb9,0x884ccccb,0x1bccccca,0x666665c4,0xcccb981b,0x93001ccc,
    0xb8837999,0x0002cccc,0xccccb880,0x33332a0b,0x666540bc,0xcccccccc,
    0x665c44cc,0x32a00acc,0x2000bccc,0xd813a001,0xb300000d,0x71072601,
    0x10007bdb,0xfeca8800,0x000cefff,0xdfffdb70,0xa8017339,0x222dffed,
    0x2002efec,0xbdeffeca,0x76544000,0x2000acef,0xdffffed9,0x32600baa,
    0x764c1cef,0x332602df,0xccb884cc,0x50ff24cc,0x3f6a9999,0xc9803eff,
    0xeffc8ccc,0x05bffb51,0xa88f7fc4,0x5ffd10aa,0x3ccccb98,0x02fbfb22,
    0x0ffffff3,0x1ffffffd,0xffffffd8,0x3fffe0ff,0x220fffff,0xffffffff,
    0xffffa802,0x3ffe0fff,0x7e43ffff,0xd077d403,0x2bffffff,0xfffffffb,
    0x7ffffe46,0xffffffff,0x7fffff47,0xffff704f,0x3f600fff,0x01dfd006,
    0x80003ffd,0xffa81ffb,0x3ffffa62,0x3f3000ef,0x3fffea00,0x4fffffff,
    0x3fffa600,0xffffffff,0xfffff306,0xfff39fff,0xd8809fff,0xffffffff,
    0xfff7003f,0x09ffffff,0xfffffd88,0x04ffffff,0x3ffffff9,0x3fffffe6,
    0xfffff984,0xfffffd87,0x7dc7fd0f,0xfffdffff,0x501effff,0xffffffff,
    0xffffbfff,0x3fea0bff,0xfffffdff,0x224fffed,0x76ffffff,0x5fffffff,
    0x3fffffd4,0x7ffffff4,0x7fffff40,0xfff11fff,0x41ffffff,0xfffffff9,
    0xfffb802f,0xff11ffff,0x4c9fffff,0xff504fff,0x7ffffc9f,0xffff96ff,
    0xffc8ffff,0xffffffff,0x7ff47fff,0xf905ffff,0x01ffffff,0x3001fff0,
    0xfe883fff,0xff90002f,0xf8bff709,0x3ffb9aef,0x00ffe880,0xffffffc8,
    0x03ffffff,0xffffffb8,0xffffffff,0xfffffb80,0xffffffff,0xf504ffff,
    0xffffffff,0x5c01dfff,0xffffffff,0x3fa05fff,0xffffffff,0xffa86fff,
    0xfbffffff,0x4fffffff,0x3fffffcc,0x7ffffff4,0x3ee3ff88,0xffffffff,
    0x80ffffff,0xfffffffa,0xffffffff,0xfd02ffff,0xffffffff,0x441fffff,
    0xefffffff,0xffffffff,0x3fff6dc6,0x7fff76cc,0x7fff64c0,0x7fed43ef,
    0xdb82deff,0x02fffeee,0xfffffc88,0x7ffffdc4,0x3fffe20c,0x17fffd44,
    0x3dfffdb5,0x3bffff62,0x77ffe42e,0xffffeeee,0x7ffecc5f,0x223331ce,
    0x02efffed,0x002fff98,0xf885fff3,0x362003ff,0x5ffc85ff,0x3ee07fc4,
    0xefffd807,0x77ffcc00,0xfffecacd,0x7fffcc07,0xfffdbbcf,0xff980fff,
    0xffffcbdf,0xffffceff,0x7ffffc41,0xffffdbce,0xffff704f,0xfffb959d,
    0xffff50bf,0xfffb979d,0xffff98df,0xffffffdc,0x1ffffcef,0x43fff6dc,
    0x9fffeed9,0x3b220ffd,0xbcefffff,0x704ffffd,0xb7dffffd,0xf79fffff,
    0x3fa20bff,0xffffffff,0xeda81fff,0xffffffff,0x707ffdbf,0xffb80fff,
    0x3fffa00f,0x03fffa00,0x02fff880,0x3ffffa20,0x3fffff32,0x53fffea0,
    0x304ffffa,0x7f4c3fff,0x3fee04ff,0x5ffff986,0xf993ffe0,0x3ffea3ff,
    0x5fff3001,0x1fffd400,0x2013ffe6,0x6c45ffe8,0x80880eff,0x7fe406fd,
    0x18805fff,0x007ffe40,0x5409fffd,0x3100ffff,0x4bffff70,0x7f45fff9,
    0xff500eff,0xfffa83ff,0xfffd302f,0x00fffc89,0xfe8bffb1,0x3ffee1ff,
    0x3ffea6ff,0x80fff705,0x3ffffffb,0x09ffff70,0xfa81bffa,0xfff10eff,
    0x037fec5f,0x517dfff9,0x900bfffd,0x85ffffff,0xfff701c9,0x00fffb80,
    0x5413ffea,0x44004fff,0x44002fff,0xffdffffd,0x7d400eff,0xffffdfff,
    0x47ffe604,0x401efffc,0x7fcc4ff9,0x7fec05ff,0xc9bfff26,0x7bf707ff,
    0x715fff31,0x7fd407fb,0x6fffcc4f,0x8bfff300,0x000effe8,0xfb80fff6,
    0x04ffffff,0xf98ccc40,0xfff701ff,0x0fff7009,0x7ffc4cc0,0x87ffec0f,
    0x400efff9,0x7ec6fffa,0x7f4401ff,0x67ffdc7f,0x41dd8809,0xfff84fff,
    0x7ffec1ff,0x407ffb81,0x00befffb,0xc80fffee,0x3fea07ff,0x227ffc1f,
    0x3fa06ffc,0x0fffd07f,0x1dffff90,0x0fff7000,0x400fffb8,0xfe80fffe,
    0x7c4000ff,0xf90002ff,0x1bffffff,0x3fffea00,0x7cc04fff,0xdfffebff,
    0xf9873000,0xfb805fff,0xfffff0ff,0x7c17ffa3,0xfffeffff,0x00fffffe,
    0x9837ffea,0x7d40efff,0x7ffcc5ff,0xffd1000e,0x7fffcc07,0x402ffffb,
    0xffffffd9,0xf901ffff,0x3fe200df,0x3ffb2205,0xccefffff,0x72fffdcc,
    0x9999bfff,0xffd99999,0x01fffc1f,0x261fffb8,0xdeffffff,0xfff300ac,
    0x9ffff905,0x5fffb999,0xb80fff70,0xfb800fff,0x7ffdc07f,0x81fff500,
    0x7fe44fff,0x09fff106,0x9007ffea,0x40009fff,0x7dc07ffb,0x7fd400ff,
    0x27ffd43f,0x17ffc400,0xffff7000,0xff50009f,0xf3009fff,0xbfffffff,
    0x3fea0001,0xff3005ff,0xfffff55f,0x207fff19,0xfffffffe,0x07ffffff,
    0x6c4fffe8,0x3fee6fff,0x3ffe60ff,0xfff5001f,0x7fffc405,0x03ffff53,
    0xffffffb1,0x03ffffff,0x88017ffa,0x3fffee01,0xffffffff,0x3fffffff,
    0xfffffffb,0xffffffff,0x3ffe63ff,0x7fff1001,0xffffffb8,0xfb84ffff,
    0xffff507f,0xffffffff,0x80fff707,0xb800fffb,0x7fdc07ff,0x1fff500f,
    0x7e44fff8,0x5fff306f,0x00fffe20,0x8000dff9,0x7dc07ffb,0xffe800ff,
    0x03fffa0f,0x0bffe200,0x7ffec400,0x54000eff,0x804fffff,0xfffffff9,
    0x54001fff,0x4005ffff,0xfffdcfff,0x1fffafff,0xffffd710,0x19ffffff,
    0x27fff440,0x3217fff6,0x3ee0efff,0x7e400eff,0x3fa201ef,0x7ffdc4ff,
    0x3fffa20f,0xffffffff,0x7fff01ff,0xffd10000,0xffffffff,0xffffffff,
    0x3fff69ff,0xffffffff,0x73ffffff,0x74001fff,0xffd985ff,0xefffffff,
    0x4c1bff21,0xffffffff,0xfb84ffff,0x7ffdc07f,0x07ffb800,0xa807ffdc,
    0x7ffc0fff,0x8837fe44,0xff504fff,0x6ffc803f,0x3ffdc000,0x003ffee0,
    0x7ccfffea,0xf10004ff,0xd10005ff,0xffffffff,0x3ffea003,0x4c04ffff,
    0xff9cffff,0xf5001fff,0xb000bfff,0xfdffffff,0x00fffdff,0x3fffff66,
    0xffe8801d,0x1fffec2f,0x41dfff50,0x980efff9,0x20444ffe,0xfb05fffc,
    0x7ffecdff,0xdcaaacff,0xffd01fff,0xff500009,0xf9559bff,0xffffffff,
    0x3ff29fff,0xffffffff,0x3fffffff,0x4003fff3,0x54c03fff,0x6ffffedc,
    0x2e03ffee,0xffffffff,0xfb84ffff,0x7ffdc07f,0x07ffb800,0xa807ffdc,
    0x7ffc0fff,0xd037fe44,0x3ffa0fff,0x06ffc807,0x03ffdc00,0x4003ffee,
    0xfffb7ffe,0x3fe20001,0x7f4c002f,0xfffeafff,0x7ffd402f,0x04ffffdf,
    0xe88fffe6,0xfa806fff,0x0a884fff,0x3ffffee0,0xffffff9f,0x3fffa006,
    0x74400fff,0x7fec0eff,0xffe9801e,0x3bffa20e,0x7ffffec0,0x7ffc7fff,
    0x3fffa00e,0x01ffff89,0x6407ffe6,0xc80006ff,0xff881fff,0x3fea006f,
    0xfe80002f,0xfff7005f,0x220175c1,0xff51fffd,0xdfffb07f,0x1ffee000,
    0x001fff70,0xfb80fff7,0xfff500ff,0x644fff81,0x3fee06ff,0xffea8bef,
    0x6ffc805f,0x7ffdc000,0x1fffd501,0x37ffee00,0x20005fff,0x2002fff8,
    0x10effff9,0x207ffffb,0xf54ffffa,0x3e609fff,0x7ff441ff,0x3ffea03f,
    0x40ffb04f,0x96fffff9,0x009fffff,0x3ffffff2,0x3ffa205f,0x00dffd85,
    0x2077fec0,0x3f60effc,0xffffffff,0x1003ff60,0x3ffeadfd,0x3fff6602,
    0x09fff501,0xfb8bb220,0xfffa80ff,0xff88102f,0x202002ff,0x5404fffc,
    0x3fe26fff,0x7ffc400f,0x88dfff14,0x101fffff,0x80fffdc0,0x800fffea,
    0x7dc07ffb,0xfff500ff,0x644fff81,0xffd106ff,0xffffffff,0xffc803ff,
    0x7fcc0006,0xffd731df,0x20017fff,0x1fffffff,0xb9997300,0x7999bfff,
    0xffffb883,0x7fffc41f,0x3ffe61cf,0x7fffd44f,0x3fff2a22,0x3ffe60ad,
    0x3fea1bcf,0xcccccfff,0x3e02fffc,0xff13ffff,0xf3005fff,0xfffd1dff,
    0x20fff605,0x20003ffc,0xffa86ffb,0x04c0000f,0x3fe61880,0xfb530adf,
    0x815bffff,0x1aefffe8,0x37ffdccc,0x265dfff1,0x1efffffd,0x5c1ffd73,
    0x21bdffff,0x0efedb98,0x2bbfffe6,0xffffb310,0x67fffd47,0xffd75109,
    0x67ffe47f,0xfffffe98,0x1dfd731e,0x23bfff30,0xfffffeb9,0xffb5100b,
    0xffb3037f,0xffc9817f,0x37ffe0bf,0x02bfff21,0xfffffffd,0x1fffffff,
    0x7ff66544,0x0acccccf,0xffffff00,0xffffffff,0x3fee00ff,0xf7005fff,
    0xffffffff,0x49ffffff,0xffffffff,0x3fffffe1,0x9fff51ff,0xd8fffea0,
    0x7fffffff,0x7fffffe4,0xfffffff3,0xffffffff,0x7fffec05,0x03ffff60,
    0x447fff60,0x3dd06fff,0x0000bf60,0x3a203fa6,0x0000002f,0x7fffff40,
    0xffffffff,0xff887fff,0xffffffff,0x6c6fffff,0xffffffff,0xffffffff,
    0x7ec3ffff,0xffffffff,0x42ffffff,0xfffffff9,0x43ffffff,0xfffffffa,
    0xffffffff,0x3ffffe20,0xffffffff,0x3fffffff,0xfffffff0,0xffffffff,
    0x3ffff60f,0x3fea1fff,0x3e67ffff,0x3e7fffff,0xff92ffff,0x7ffd4bff,
    0xdfffffdf,0x3fa4fffe,0xffffffff,0x5006ffff,0xffffffff,0x1fffffff,
    0x3ffffe00,0xffff9001,0xffffffff,0x3fe2dfff,0x11ffffff,0xffffffff,
    0x2601fec5,0x3fffa0de,0x220fffff,0xf5ffffff,0xffffffff,0x05ffffff,
    0x2a2fffdc,0xf9006fff,0x05ffa87f,0x20000000,0x00000c01,0x7ffcc000,
    0xffffffff,0x80ffffff,0xfffffff9,0x0effffff,0xffffffd8,0xffffffff,
    0x441fffff,0xfffffffd,0x0fffffff,0xfffffe88,0x882fffff,0xffffffff,
    0x81ffffff,0xfffffff9,0xfffffd8e,0xf502ffff,0xffffffff,0x01ffffff,
    0xffffffff,0x7ffffdc7,0xffff70ff,0x3ffe3fff,0xffff94ff,0x88fffccf,
    0xffd10aaa,0x7fffffc5,0xffffffff,0xfff5000f,0xff99ffff,0x7dc007df,
    0x366005ff,0xffffffff,0x21dfffff,0x4effffeb,0x77ffff5c,0x6d400004,
    0x83efffff,0xf1dffffa,0xffffffff,0x05ffffff,0x7c17ffcc,0x0aa004ff,
    0x0000014c,0x00000000,0xd9800000,0xcfffffff,0x03effffb,0x3fffff22,
    0x402effff,0xbefffffc,0xfffffccf,0x3fa600ce,0xffffffff,0x3b2200bd,
    0x1cefffff,0x3ffb3f20,0x03ffffff,0x2fffff44,0x3bfffff6,0x7ffd401c,
    0xffccffff,0xffd503ef,0x6c41bfff,0x223effff,0x23effffd,0xf90dffff,
    0x0c985dff,0xea859100,0xffffffff,0x8003efff,0x0001abb9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1abba880,0x75310000,0x80013579,0x2ea01ab9,0x54c4000a,0x00009aac,
    0x00015731,0x06af2aa2,0x20157300,0x80009ba8,0x0001abb9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x764c0000,0x2e54402c,0xeeeedb88,0xeeeeeeee,0x984eeeee,
    0x99999999,0x00999999,0x540af2e6,0x55513ccc,0x40aaaa85,0x0ceedca8,
    0x66f65440,0x3bbba600,0x65c40081,0x05c4000b,0x30003500,0x3ae00001,
    0xffffffff,0xffffffff,0x2e0cefff,0xfffffffe,0xffffffff,0x70ceffff,
    0x99999999,0x00999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffcc,0x7fffe40f,0xfffff706,
    0xffffffff,0x4bffffff,0xfffffffc,0xffffffff,0x7fe40dff,0x7e40dfff,
    0xffff55ff,0x742ffff8,0x0fffffff,0xffffff30,0x3fff207f,0xf504f986,
    0x2605ffff,0x007bf20b,0x7ec4dfb1,0x1fffd42e,0xfe883df5,0x3ffffe63,
    0xffffffff,0xffffffff,0xffff33ff,0xffffffff,0xffffffff,0x3ff67fff,
    0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36000000,0x5fea9bef,0x837ffffc,0xfffffffb,
    0xffffffff,0xff15ffff,0xffffffff,0xffffffff,0x7fffec5f,0x7fd46fff,
    0x8dfff14f,0x65c1fffe,0x84fea9ab,0xecacfff9,0xfffe83ff,0xfb86fb81,
    0x43ffffff,0x3fe25ffa,0x5ffd302f,0x3a3fffec,0x3ffa7fff,0xf13ffdc4,
    0xffffffff,0xffffffff,0x25ffffff,0xfffffff8,0xffffffff,0xffffffff,
    0xffffffb2,0xffffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb80800,0x206fc840,0xeeeeeeda,
    0xeeeeeeee,0x3ffa5fff,0xffffffff,0xffffffff,0x739fff50,0x7fcc7fff,
    0xb17ffe3f,0x26601fff,0xfd87fb9a,0x441ff906,0xff705fff,0x7ffffd45,
    0xff55ffff,0x3ffe88df,0x3a17ffd4,0x3fa0ffff,0x5ff90fff,0x5cc6ff98,
    0xcccccccc,0xcccccccc,0x5c41cccc,0xcccccccc,0xcccccccc,0x32a1bccc,
    0xcccccccc,0x0004cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc81bfaa6,0x2000006f,0x554c5ffd,
    0xaaaaaaaa,0x641aaaaa,0x37fd43ff,0x7f45fff1,0x43ffdc4f,0xffffffea,
    0x8817fc47,0x3ffea2ff,0x25fff701,0xff73fffd,0x7fffffff,0x267ffb10,
    0xffb80eff,0x1fffd45f,0x005cc0aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff8800,0x01bf201f,0x5ffd8000,0x7f400000,0x7c7fe80f,0x0fff61ff,
    0xffb8dff5,0x47ffeeef,0x3fa00ff9,0x2a17ff63,0xf75fdbbc,0xffffa87f,
    0x7dc04fff,0x4401bf95,0x0000601b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fe40000,0x1bf203ff,0xffd80000,0x6c000005,0x3ffc41ff,0xffc83ffa,
    0xf12ffcc2,0x87fa81bf,0x3ff504ff,0x7f407ffc,0x0a63ffff,0x27ffff44,
    0x0000c080,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01ffd880,
    0x00000df9,0x9512ffec,0x99999999,0x15999999,0x3f22ffe4,0x2e3fec5f,
    0x27fc41ff,0x32615ff1,0x7fe41fff,0x4bff932d,0xfb304ff9,0x75000bff,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0ffe2000,
    0x000037e4,0x7fcbffb0,0xffffffff,0xffffffff,0xbffff11f,0xfc83ffff,
    0xff83fd46,0x7ffffe42,0x6c5fffff,0xefffffff,0x2003fee0,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1a800000,0xf901ffa8,
    0x6c00000d,0xffff15ff,0xffffffff,0x5fffffff,0x7fffffd4,0x445fb84f,
    0x501fb06f,0xdd7bfffb,0xfffb505b,0x009fb07d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fd40000,0x45fffeef,0xfffffffd,
    0x3200000e,0x3ffb23ff,0xffffffff,0x85ffffff,0x02ffffe9,0x401103b1,
    0x04000000,0x00000e60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff200,0x7fec0cff,0x00efffff,0x037a6000,0x31000000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x00000099,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_40_latin_ext_x[560]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,7,1,-1,1,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,5,8,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,1,2,0,
8,1,5,-1,4,1,-1,3,-1,-2,5,1,5,5,7,0,2,7,7,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,2,2,2,2,2,2,2,2,2,2,0,-1,1,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,2,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_40_latin_ext_y[560]={ 29,6,7,4,4,6,9,7,6,6,6,8,24,17,
24,4,6,6,6,6,6,6,6,6,6,6,13,13,8,13,8,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,4,6,5,36,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,29,13,4,7,10,8,
6,6,6,8,6,14,17,17,8,2,3,4,6,6,5,13,6,15,27,6,6,14,6,6,6,13,-1,-1,0,1,
1,-1,8,7,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,11,6,-1,-1,0,1,-1,8,6,5,5,
5,7,6,4,12,12,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
2,8,0,5,8,12,-1,5,0,5,0,6,0,6,0,6,8,6,2,8,0,5,0,6,8,12,0,6,0,5,
0,5,0,6,7,4,0,0,8,6,1,7,2,8,0,5,8,6,0,13,8,6,0,5,8,6,13,-1,-1,8,
6,8,6,8,6,8,6,-1,5,8,12,0,6,7,7,12,2,8,0,5,-1,5,8,12,-1,5,8,12,0,6,
-1,5,0,5,7,12,0,6,8,7,0,6,8,7,1,7,2,8,0,5,-1,4,-1,5,8,13,0,5,0,5,
1,-1,5,0,6,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,11,6,6,6,6,6,6,6,6,6,6,6,6,6,3,12,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,6,0,6,0,
6,0,6,-1,2,-1,0,-1,0,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-7,-2,-1,5,-1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_bold_40_latin_ext_w[560]={ 0,7,13,17,17,17,17,5,9,9,17,19,8,15,
7,17,17,17,17,17,16,17,17,16,17,17,7,9,21,21,21,16,15,23,21,19,20,20,20,20,21,17,21,22,
20,24,22,21,19,21,22,18,19,21,23,23,21,21,17,9,17,9,17,25,7,20,22,20,21,19,19,20,21,17,
14,20,17,24,21,19,22,21,20,17,19,21,22,23,21,21,16,11,5,11,18,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,17,21,
5,19,12,23,13,19,21,15,23,25,12,19,11,11,7,21,18,7,7,11,13,20,22,25,21,16,23,23,23,23,
23,23,23,19,20,20,20,20,17,17,17,17,21,22,21,21,21,21,21,15,21,21,21,21,21,21,19,19,20,20,
20,20,20,20,23,20,19,19,19,19,17,17,17,17,19,21,19,19,19,19,19,19,21,21,21,21,21,21,22,21,
23,20,23,20,25,21,19,20,19,20,19,20,19,20,20,24,21,21,20,19,20,19,20,19,21,19,20,19,20,20,
20,20,20,20,20,20,21,21,21,21,17,17,17,17,17,17,17,17,17,17,22,21,21,14,22,20,21,20,17,20,
17,20,17,20,18,21,18,22,21,22,21,22,21,22,20,18,21,19,21,19,21,19,23,23,22,20,22,20,22,20,
18,17,18,17,18,17,18,17,19,19,19,22,19,19,21,21,21,21,21,21,21,21,21,21,21,22,23,23,21,21,
21,17,16,17,16,17,16,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,18,19,19,19,
19,19,19,19,19,19,19,19,19,19,23,21,19,19,19,19,19,19,19,19,19,19,19,19,19,24,23,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,23,20,17,17,21,
19,21,21,21,21,21,21,21,21,21,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,23,20,23,23,21,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_bold_40_latin_ext_h[560]={ 0,24,11,29,30,24,21,11,29,29,16,21,11,4,
6,30,24,23,23,24,23,24,24,24,24,24,17,20,21,12,21,23,26,21,21,23,21,21,21,23,21,21,22,21,
21,21,21,23,21,28,21,23,21,22,21,21,21,21,21,29,29,29,13,4,7,18,24,18,24,18,23,25,23,23,
31,23,23,17,17,18,25,25,17,18,23,17,16,16,16,24,16,29,29,29,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,24,27,22,17,21,
29,26,5,22,11,15,12,4,22,4,12,25,13,13,7,24,27,6,9,13,11,15,23,23,23,24,30,30,29,28,
28,30,21,29,30,30,29,28,30,30,29,28,21,28,31,31,30,29,29,16,26,31,31,30,29,30,21,24,25,25,
25,23,24,26,18,24,25,25,25,24,24,24,24,23,24,22,25,25,25,23,24,20,21,25,25,25,24,32,31,31,
27,22,29,25,26,22,31,25,30,25,30,24,30,24,29,24,21,24,27,22,29,25,29,24,26,23,29,24,30,32,
30,32,30,31,29,33,29,29,21,23,28,22,27,21,29,24,26,28,29,16,22,31,30,32,28,30,16,30,30,28,
30,21,23,21,23,21,23,30,24,28,24,29,23,22,23,25,28,22,30,25,31,25,21,18,30,24,28,24,29,23,
31,25,30,25,29,24,30,24,31,31,29,24,21,23,29,23,28,22,30,25,31,26,31,25,26,21,29,24,29,32,
28,30,24,29,23,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,28,23,23,23,
23,23,23,23,23,23,23,23,23,23,24,19,23,23,23,23,23,23,23,23,23,23,23,23,23,27,18,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,29,24,29,23,30,
24,30,24,31,28,31,30,31,30,31,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,36,32,30,25,33,27,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_bold_40_latin_ext_s[560]={ 506,500,88,360,340,140,384,82,1,501,423,
444,130,263,182,216,422,118,136,44,176,62,139,80,356,467,503,501,173,47,317,
233,496,238,262,250,399,440,113,270,295,277,459,215,22,43,68,77,195,247,352,
99,420,149,375,328,306,284,259,96,286,400,494,211,166,1,289,22,57,67,213,
334,154,329,491,347,311,195,173,87,1,129,238,107,193,259,281,399,322,460,382,
325,505,253,147,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,506,504,474,
439,220,237,506,151,198,368,102,462,25,263,392,237,69,109,482,1,174,267,491,
190,139,13,116,441,445,419,397,374,234,65,211,200,153,189,213,337,462,319,357,
88,171,153,235,292,191,177,469,1,131,22,130,344,67,386,322,358,474,400,171,
99,483,398,377,220,158,46,43,119,195,24,215,37,19,1,482,59,440,84,151,
257,277,179,79,461,422,87,65,235,297,125,45,300,1,106,106,44,193,62,366,
462,380,419,422,221,442,200,304,242,91,343,25,19,431,295,1,402,107,1,265,
382,1,169,44,68,132,88,410,25,378,452,339,157,310,1,409,155,152,449,89,
328,170,304,416,23,153,110,65,339,360,318,198,44,277,134,21,1,241,488,277,
295,1,224,427,188,353,39,486,315,131,481,297,257,408,237,464,125,175,179,269,
23,398,199,450,277,113,219,77,409,258,391,68,430,378,333,402,39,479,375,365,
127,483,355,344,129,109,440,171,361,53,319,421,147,387,213,365,461,336,443,260,
316,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,296,291,291,346,
291,291,291,291,291,291,291,291,291,291,291,291,291,485,481,291,291,291,291,291,
291,291,291,291,291,291,291,291,449,149,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,11,312,
35,468,231,119,275,97,278,109,234,253,212,22,190,256,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,1,89,89,171,46,427,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291, };
static unsigned short stb__courier_bold_40_latin_ext_t[560]={ 31,189,353,70,38,215,289,353,101,70,334,
289,353,353,353,70,189,265,265,240,265,240,240,240,215,215,312,265,312,353,289,
265,101,312,312,265,312,312,312,265,289,289,265,312,312,312,312,265,312,131,312,
265,312,289,312,312,312,312,289,101,101,101,334,353,353,334,215,334,215,334,265,
161,265,265,1,265,265,334,334,334,189,189,334,334,265,334,334,334,334,189,334,
101,38,101,353,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,31,161,131,
265,334,289,1,161,353,265,353,334,353,353,265,353,353,189,334,353,353,215,131,
353,353,353,353,334,240,240,240,215,70,70,101,131,131,38,289,101,38,38,101,
131,38,38,101,131,289,131,1,38,38,131,101,334,161,1,1,38,101,38,289,
215,161,161,161,240,215,161,334,215,189,189,189,215,215,215,189,265,189,289,189,
189,189,240,215,312,289,189,189,189,189,1,38,1,161,289,101,189,161,289,1,
161,38,161,38,215,38,215,101,215,312,189,161,289,101,161,131,189,161,265,101,
189,70,1,70,1,70,38,101,1,101,101,289,240,131,289,131,312,101,215,161,
131,101,334,265,38,70,1,131,70,334,70,70,131,70,312,265,312,240,289,240,
70,240,131,215,101,240,289,240,161,131,265,38,161,1,161,289,334,70,215,131,
240,70,240,1,161,70,161,101,215,70,215,38,1,70,215,289,265,70,240,131,
289,38,161,1,161,38,161,161,289,101,189,70,1,131,38,189,70,240,70,240,
240,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,240,265,265,131,
265,265,265,265,265,265,265,265,265,265,265,265,265,215,312,265,265,265,265,265,
265,265,265,265,265,265,265,265,131,334,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,101,215,
101,240,38,240,38,240,1,131,1,38,1,70,1,1,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,1,1,70,189,1,131,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265, };
static unsigned short stb__courier_bold_40_latin_ext_a[560]={ 339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_40_latin_ext(stb_fontchar font[STB_FONT_courier_bold_40_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_40_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_40_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_40_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_40_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_40_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_40_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_40_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_40_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_40_latin_ext_s[i] + stb__courier_bold_40_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_40_latin_ext_t[i] + stb__courier_bold_40_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_40_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_40_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_40_latin_ext_x[i] + stb__courier_bold_40_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_40_latin_ext_y[i] + stb__courier_bold_40_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_40_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_40_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_40_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_40_latin_ext_s[i] + stb__courier_bold_40_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_40_latin_ext_t[i] + stb__courier_bold_40_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_40_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_40_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_40_latin_ext_x[i] + stb__courier_bold_40_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_40_latin_ext_y[i] + stb__courier_bold_40_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_40_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_40_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_40_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_40_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_40_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_40_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_40_latin_ext_LINE_SPACING
#endif

