// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT        384
#define STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_41_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_41_latin_ext_LINE_SPACING          19

static unsigned int stb__courier_bold_41_latin_ext_pixels[]={
    0x00791000,0x00011000,0x000c9800,0x00000000,0x2aaa6002,0xaaaaaaaa,
    0x0aaaaaaa,0x000032e0,0x00000000,0x00000000,0x0006e000,0x70000000,
    0x8002b805,0x99999999,0x1b800009,0x00000000,0x00006440,0x00001930,
    0x02a80004,0x00000000,0x00100100,0x00020020,0x00ffd300,0x003f9800,
    0x0bff2000,0x05f90000,0x07fcc000,0x3fffff20,0xffffffff,0x501fffff,
    0x000009ff,0x000003d9,0x002fbf22,0xd889d100,0xfe880006,0x2000004f,
    0xf98001fb,0x00ff300f,0x7fffffc4,0x006fffff,0x009ffd10,0x00f75c00,
    0x0fffea00,0x0ffee000,0x0f7dc000,0x005ffb00,0x3bf22000,0xfc80000b,
    0x02fd880c,0x44067e40,0x500002fd,0x00005fff,0x000037c4,0x005ffd88,
    0x0bffa200,0x37fdc000,0x7ffffe40,0xffffffff,0x901fffff,0x00000dff,
    0x00005ff5,0x09fb9fd0,0x9efe8800,0x40005ffa,0x1efffffb,0x77e40000,
    0x5ff88000,0x4006ff88,0xccccccca,0xb8001ccc,0x01efffff,0x37ffc400,
    0xffff9000,0x360001bf,0x880006ff,0x004ffffd,0x0000dffd,0x13f73fa0,
    0x3bff2000,0x00bffee1,0x5c3dff90,0x80002fff,0x0001fffb,0x00007e40,
    0x027ff440,0x7fff3000,0x3ff60000,0xfffc800e,0xffffffff,0x1fffffff,
    0x000fff90,0x00ffe600,0x322f9800,0xfc80000f,0x20003fff,0xfcafffe8,
    0x880004ff,0x20000dfe,0xfecdfffc,0x000001ff,0xfffd1000,0x009fff95,
    0x03fffcc0,0x577ff4c0,0x2002fffd,0x0004ffe8,0xfedfffb8,0x7fe401ef,
    0x4c00002f,0x0003f22f,0x373fff20,0x90002fff,0xfffb9fff,0xff700005,
    0xf000001d,0xd000005d,0x400007ff,0x0002fffa,0x400bffd0,0x9999fffc,
    0xb999dfff,0xff901fff,0x3260000f,0xcb83fa22,0x20fb8000,0xca8001fa,
    0xca837a61,0x37ff6001,0x00fffa60,0x13ee2c98,0xfc800197,0x02ffffff,
    0x2a01c980,0x3ff6001c,0x0fffa60d,0x04ffe800,0x544ffe80,0xfd001fff,
    0xf700007f,0x7ffe45ff,0x1bffe201,0x43f50000,0x300001fa,0x01bffffd,
    0xfffe9800,0x900000df,0x2000009f,0x0003fff9,0x0007fe20,0x01eff880,
    0x07ff5000,0xf87ffc80,0x7ffd44ff,0x00fff901,0x303ffa00,0x40027fd4,
    0x06e98df8,0x406ff880,0x2e006ff8,0x007b202e,0x5060ffe8,0x930009ff,
    0x000179db,0x7fcc1ffe,0x80bae005,0x540001ec,0x03db0001,0x22003b62,
    0xb00001ff,0x7fd301bf,0x02fffc80,0x237e2000,0x800006e9,0x00003ffc,
    0x0001ffe4,0x00000040,0x0009fff3,0x00100080,0x00000cd8,0x32000722,
    0x4fff87ff,0xd90fffd4,0xffffffff,0x005dffff,0xff980ffd,0xfff70004,
    0x3fe0005f,0x02ffc406,0x74000000,0x27fcc07f,0x40000000,0xbff106ff,
    0x00000000,0x00000000,0x00000200,0x26006006,0x00005fff,0x017fffdc,
    0x00098000,0x00013000,0x17df9100,0xdec80000,0x80000000,0x000006fd,
    0x00395000,0x7fc3ffdc,0x8fffd44f,0xfffffff9,0xffffffff,0x801b8807,
    0x220000ba,0x5cc0003b,0x000b9800,0xb8800000,0x000ba801,0x0055dd44,
    0x9802e600,0xba88000b,0x880000ab,0x0000abba,0x00000000,0xb0000000,
    0x00003fff,0x00003b88,0x00000000,0xcfe80000,0x000004fd,0xdb980000,
    0x3f60bdee,0x000001ff,0x3fffa200,0x0dff5005,0xff889fff,0x3ffffe27,
    0xffffffff,0x000005ff,0x00000000,0x3ae00000,0xb81dffff,0x02effffe,
    0xd5000000,0x39ffffff,0x009fffff,0x3aa00000,0x9cffffff,0x204fffff,
    0xffffffea,0x4fffff9c,0x3fffff62,0x04ffffff,0xaceedb98,0x6dcc0000,
    0x2000acee,0x0005fff9,0xa8800000,0x980aaaaa,0x001aaaaa,0x2b3bb6e6,
    0x2f980000,0x200003f2,0x000abba8,0x7fffec40,0xffbcffff,0x7fff5c7f,
    0xffeb81df,0xfc802eff,0x36005f72,0x84fff82f,0x765c43fc,0xcccccfff,
    0x55100acc,0x53015555,0x51035555,0x30155555,0x10355555,0x01555555,
    0x83555553,0xfffffff8,0xffffff85,0x5555446f,0xaaa980aa,0xff9101aa,
    0xffffffff,0x45ffffff,0x0aaaaaa8,0x1aaaaa98,0xfffff910,0xffffffff,
    0xfc885fff,0xffffffff,0x2fffffff,0xfffffff9,0x409fffff,0xffffffd8,
    0xd88003ff,0xffffffff,0x3fffa003,0x2aa60000,0x002aaaaa,0x7fffffcc,
    0x3fffa4ff,0x4407ffff,0xfffffffd,0x7d40003f,0x80007ea1,0xffffffea,
    0x5fffff9c,0x3ffffea0,0xffffffff,0x3ffe22ff,0xff85ffff,0x806fffff,
    0x0002f44f,0x80027ffc,0x30007ffc,0xffffffff,0x7fffff49,0x3ffe67ff,
    0x3a4fffff,0x7fffffff,0x3fffffe6,0x3fffa4ff,0x7fc7ffff,0xe84fffff,
    0x25ffffff,0xfffffff9,0x3ffffa4f,0xffd87fff,0xffffffff,0x1fffffff,
    0xfffffff3,0x7ffff49f,0xffd87fff,0xffffffff,0x1fffffff,0x7fffffec,
    0xffffffff,0xfff71fff,0xffffffff,0x3ffea09f,0xffffffff,0xfff5000d,
    0xffffffff,0xfff5001b,0xfff10009,0x3fffffff,0x7fffdc00,0xff16ffff,
    0x3fffffff,0x3ffffea0,0x0dffffff,0x31bf1000,0x322000dd,0xffffffff,
    0xffffffff,0xfffff982,0xfffffedf,0xffff84ff,0xffe84fff,0xd805ffff,
    0x0000fe26,0x40013ffe,0x70007ffc,0xffffffff,0x3ffffe2d,0xff71ffff,
    0x2dffffff,0xfffffff8,0xffff71ff,0x3e2dffff,0xffffffff,0x3bfff221,
    0xffff5102,0x7fffdc17,0xff16ffff,0x3fffffff,0x4effffd4,0xffffea88,
    0x3fee1bdf,0x16ffffff,0xffffffff,0x7fffd43f,0xffea889d,0x541bdfff,
    0x889dffff,0xdfffffea,0x6665cc1b,0x4fffcccc,0xffffff98,0xffffffed,
    0x7fffcc00,0xffffedff,0xffe800ff,0x7fcc000f,0xffffffff,0x3ffa2004,
    0x323fffff,0x5fffffff,0xffffff30,0xffffffdb,0x3fee0001,0xfb0002ff,
    0xffffffff,0xffffffff,0x3dfffd01,0xfffffb88,0xefffc880,0xffff5102,
    0x9df50017,0xf00001ff,0x320009ff,0xd10007ff,0x7fffffff,0x7fffffe4,
    0x3fffa25f,0x3f23ffff,0x25ffffff,0xffffffe8,0x3ffff23f,0xfff05fff,
    0x7ffd401f,0xffffe885,0x3ff23fff,0x225fffff,0x3602ffff,0xe883ffff,
    0x3fffffff,0x3ffffff2,0x3fffe25f,0x3ffff602,0x2ffff883,0x0fffff60,
    0x84fff800,0xa81efffe,0x7405ffff,0xfa81efff,0xfa805fff,0xfd8004ff,
    0xffffffff,0xfffa8007,0x3ff2601a,0x3fffa01f,0xffffa81e,0x0ee20005,
    0xffffb800,0xffea889d,0xc81bdfff,0xf900dfff,0x7c07ffff,0x3ea00fff,
    0x6d4005ff,0xf00001df,0x320009ff,0x540007ff,0x2601afff,0xf501fffc,
    0x64c035ff,0xff501fff,0x7e4c035f,0x3fee01ff,0x3fffa04f,0x2bffea01,
    0x3fff2601,0x027ffd41,0x80ffffa2,0x201afffa,0x541fffc9,0x74404fff,
    0xffa83fff,0x7ff4404f,0x3fe0003f,0x6fffe44f,0x3fffa200,0x1bfff902,
    0x17fff440,0x007fff40,0x7ff4cc40,0x4002ffff,0xb801fffa,0xff900fff,
    0x7f4401bf,0x000002ff,0x5ffff100,0x1ffffec0,0x206fff98,0x7ffffffa,
    0x813ffee0,0x0001fffe,0xfff00000,0x3ff20009,0x7fd40007,0xfffb801f,
    0x03fff500,0x201fff70,0xb801fffa,0x7f400fff,0xfffa80ff,0x0fffd405,
    0x207ffdc0,0xb800fffc,0x3ea03fff,0xffb801ff,0x07ffe40f,0x41fffdc0,
    0xb800fffc,0x20003fff,0x3fe64fff,0xfff3006f,0x6fff981f,0x1ffff300,
    0x03fffb80,0x3bffe200,0x54006fff,0xfb801fff,0xfff980ff,0xffff3006,
    0x55553001,0xa8005555,0x74404fff,0xff703fff,0x3ffe205f,0x202fffef,
    0xfa80fffe,0x544005ff,0x00009aba,0x0004fff8,0x8000fff9,0xb801fffa,
    0xff500fff,0xfff7003f,0x07ffea01,0x003ffee0,0xfd09fff7,0xffa803ff,
    0xfffb801f,0x8037fec0,0x2a03fff9,0xfb801fff,0x37fec0ff,0x83fff980,
    0xf3006ffd,0x7c0007ff,0x3fff24ff,0x3fff2002,0x017ffe42,0x805fff90,
    0x0007fff8,0x3f2bffee,0x3ea001ff,0xffb801ff,0x2fffc80f,0x0bfff200,
    0xffffff88,0x2001ffff,0xb800fffc,0xffb03fff,0x3fffa20d,0x204fff9d,
    0xfe84fffb,0xfda801ff,0xdfffffff,0x3ffe0001,0xfff90004,0xfffa8000,
    0x0fffb801,0x003fff50,0x2a01fff7,0xfb801fff,0xffe800ff,0x17ffea0f,
    0x007ffea0,0xfb03ffee,0x3fe600df,0x3ffea03f,0x0fffb801,0x98037fec,
    0xffd83fff,0x7fff3006,0x27ffc000,0x8800dffb,0x7fec3fff,0x7ffc4006,
    0x2fffb803,0x2fffd000,0x2004fff9,0xb801fffa,0xffd80fff,0x7ffc4006,
    0x3fffe603,0x04ffffff,0x401bff60,0xff03fff9,0x3fff609f,0x80bfff0e,
    0x3ea0fffe,0xffb805ff,0xffffffff,0xff0002ff,0x3f20009f,0x32a200ff,
    0x01fffa81,0x500fffb8,0xf7003fff,0x3fea01ff,0xfffb801f,0x4fffa800,
    0x2007fffa,0xb801fffa,0x7fe40fff,0xfffb800f,0x07ffea03,0x903ffee0,
    0xf7001fff,0xfff907ff,0x7fff7001,0x27ffc000,0xd0009fff,0x4fff8bff,
    0x05ffe800,0x006fff88,0x3a4fffa8,0x3ea007ff,0xffb801ff,0x04fff80f,
    0x405ffe80,0xfffffffd,0x3f6007ff,0xfff3006f,0x07fff107,0x6c3ffff7,
    0x7fd406ff,0x07fffa4f,0x3ffffee0,0xffffffff,0xfccca800,0x01bcceff,
    0x15bfff70,0xffffd951,0x01fffa81,0x500fffb8,0xf7003fff,0x3fea01ff,
    0xfffb801f,0x1fffd000,0x200bfff5,0xb801fffa,0x7fd40fff,0x7ff4404f,
    0x3ffea03f,0x0fffb801,0x2027ffd4,0xa83fffe8,0x74404fff,0x20003fff,
    0xfff14fff,0xdffb0007,0x001fffc4,0xc8037fec,0x6c002fff,0x3fee1fff,
    0xfff5002f,0x1fff7003,0x003fff88,0x8806ffd8,0xfffffe99,0xfff7002f,
    0x7fff7001,0x987fff30,0x7e42ffff,0xfffe807f,0x005fffa8,0x3359bdb1,
    0x07fffd73,0xffffffb8,0x00ffffff,0xffffff88,0xffffffff,0x00fffd41,
    0xa807ffdc,0xfb801fff,0xfff500ff,0x1fff7003,0x37ffea00,0x5000fffe,
    0xf7003fff,0xfff881ff,0x3fff602f,0x3ffea03f,0x0fffb801,0x017fffc4,
    0x107ffffb,0x6c05ffff,0x0003ffff,0x7fcd3ffe,0xffc8002f,0x00bffe67,
    0x401fff20,0x2006fff8,0x7c45fff8,0xff5006ff,0xfff7003f,0x02fff981,
    0x007ffc80,0x3ffbffe2,0xfff5006f,0xfffe8809,0x25fff883,0xd84ffff8,
    0xffa806ff,0x00fffedf,0x7ffc4000,0x7fffec04,0xffffffff,0xffff7002,
    0xffffffff,0x03fff507,0x201fff70,0xb801fffa,0xff500fff,0xfff7003f,
    0x7fff4001,0x2a005fff,0xfb801fff,0xfffa80ff,0xfeb98adf,0x2a03ffff,
    0xfb801fff,0xfffa80ff,0xfeb98adf,0xf503ffff,0x7315bfff,0x07fffffd,
    0xf27ffc00,0xfb0007ff,0x03fff8df,0x006ffd80,0x4007fff6,0xfc82fffb,
    0xffa801ff,0xfffb801f,0x003fff80,0x2006ffd8,0xffcafffb,0xfff8801f,
    0x3fff602f,0x4ffff03f,0xff05fffe,0x3ffa009f,0x0005ffff,0x26ab2aa6,
    0x6cc05ffe,0xffffffff,0x754004ef,0xefffffff,0x3fff500b,0x01fff700,
    0x2007ffea,0xf500fffb,0xff7003ff,0x7fd4001f,0x2000ffff,0xb801fffa,
    0xffb00fff,0xffffffff,0x5407ffff,0xfb801fff,0xfffb00ff,0xffffffff,
    0x7ec07fff,0xffffffff,0x003fffff,0xfe93ffe0,0xfff8005f,0x002fff44,
    0x30027ffc,0x3a00bfff,0xaaaabfff,0xa804fffc,0xfb801fff,0x5ffe80ff,
    0x04fff800,0x7cdfffa0,0xff5004ff,0xd7315bff,0x207fffff,0xffc9fffd,
    0xfff980ff,0xffff5003,0xf70001ff,0xffffffff,0x00000bff,0x2eea6000,
    0xfff5001a,0x1fff7003,0x007ffea0,0x5403ffee,0xfb801fff,0x7f4000ff,
    0x54004fff,0xfb801fff,0xff9100ff,0xffffffff,0x7d407fff,0xffb801ff,
    0xfff9100f,0xffffffff,0x7e4407ff,0xffffffff,0x0003ffff,0xffc93ffe,
    0x7ffcc007,0x003ffe43,0x000fffe6,0xa803fffb,0xffffffff,0x807fffff,
    0xb801fffa,0xffc80fff,0x7ffcc007,0x9fff5003,0xb003fff4,0xffffffff,
    0x07ffffff,0x3ffbffee,0xfffd01ff,0x7fff4003,0x7f4c004f,0xffffffff,
    0x00005fff,0x80000000,0xb801fffa,0xff500fff,0xfff7003f,0x07ffea01,
    0x003ffee0,0x01ffff50,0x01fffa80,0x400fffb8,0xffffffe9,0x203fff9c,
    0xb801fffa,0x74c00fff,0x9cffffff,0xe9803fff,0x9cffffff,0x20003fff,
    0x3fee4fff,0x3ffa004f,0x27ffdc1f,0x03fffd00,0x04fff980,0x7fffffec,
    0xffffffff,0x27ffc402,0xb83ffe40,0x3a004fff,0xfb001fff,0x7ffdc3ff,
    0x3fff2002,0xffffffff,0x3ffe03ff,0xf703ffff,0xfa800bff,0x22000fff,
    0xfffffffe,0x05ffffff,0x001ddb80,0x001bd700,0x804fff88,0x3e207ffc,
    0xffc804ff,0x13ffe207,0x001fff20,0x0013ffee,0x2013ffe2,0x22007ffc,
    0xff109bb9,0x7ffc407f,0x07ffc804,0x426ee620,0x2003fff8,0xf109bb98,
    0x7c0007ff,0x3ffe24ff,0xfffb801f,0x1ffff885,0x05fffb80,0x01fffd00,
    0x3fffffe2,0xffffffff,0xffff806f,0x17ffa200,0x00ffffc4,0x802fffdc,
    0x7c45fff8,0x74c006ff,0x9cffffff,0x3ee03fff,0xf705ffff,0xb8001fff,
    0x74004fff,0x89beffff,0x05fffaa9,0x037ffc40,0x1fffc400,0x07fffc00,
    0x80bffd10,0x2200ffff,0x7fc05ffe,0x3fa200ff,0xfff8005f,0xfff0000f,
    0x7ff4401f,0xff700005,0xffff803f,0x17ffa200,0x7ffdc000,0xff700001,
    0x3e60003f,0x7ffd43ff,0x3ffee02f,0xffff500f,0x7fffdc05,0xfff50000,
    0x2fffee09,0x99999999,0x6c01fffc,0xfd104fff,0x7fd407ff,0x3fee02ff,
    0xff7000ff,0x3fff905f,0x35731000,0x00fffe21,0x37bfffff,0x5ffffd73,
    0x1ffff000,0x7fffc400,0x02fff400,0x01fffe20,0x01fffc00,0x827ffec0,
    0x403fffe8,0xd104fffd,0xfd807fff,0xffd104ff,0xffb8007f,0x3f60004f,
    0xffd104ff,0x3a00007f,0xffd807ff,0xfffd104f,0x3fa00007,0x3a00007f,
    0x360007ff,0xffc81fff,0xeb98adff,0x6403ffff,0x98adffff,0x03ffffeb,
    0x07fff400,0x8803fff4,0x7cc04fff,0xb99cffff,0xc806fffe,0x98adffff,
    0x03ffffeb,0x2affffa0,0x4fffcaaa,0x7fdc0000,0x3ffee01f,0xffffffff,
    0xb8005fff,0x54004fff,0x32203fff,0xa8005fff,0x100005fd,0xf30003f9,
    0x7339ffff,0x300dfffd,0x339fffff,0x00dfffd7,0x39fffff3,0x0dfffd73,
    0x01ffff00,0x7fffcc00,0xffeb99cf,0x5c40006f,0x9806fffe,0x99cfffff,
    0x006fffeb,0x7fff5c40,0x75c40006,0x44006fff,0x00ffffda,0xfffffffd,
    0x009fffff,0x3ffffffa,0x04ffffff,0x3fffb800,0x33bfff2a,0xffca880a,
    0x3ea02cff,0xffffffff,0xfd001fff,0xffffffff,0x54009fff,0xffffffff,
    0x007fffff,0x07fff400,0xffffff98,0xffffffff,0xffff0003,0xfff98001,
    0xfda989be,0x01ceffff,0x00017d40,0x54000bd0,0xffffffff,0x5001ffff,
    0xffffffff,0x2003ffff,0xfffffffa,0x201fffff,0xffffffeb,0x20005fff,
    0xfffffffa,0x001fffff,0xffffffd5,0x2003ffff,0xfffffffa,0x001fffff,
    0xffffffd5,0x2003ffff,0xffffffea,0xd301ffff,0xffffffff,0xffc805ff,
    0xffffffff,0x7ffe4002,0x2fffffff,0x3ffa0000,0xffffff74,0xfffd09ff,
    0x401fffff,0xfffffffb,0x64002eff,0xffffffff,0x7ec002ff,0xffffffff,
    0x002fffff,0x7ffedc40,0x33fffe06,0xffffffda,0xffeb800d,0x5fffffff,
    0x7ffff400,0xffffffff,0x003fffff,0x40000bf1,0x5c0000fc,0xffffffff,
    0x7dc002ef,0xffffffff,0x7fdc002e,0xefffffff,0x3fffe202,0xffffffff,
    0x3fee0002,0xefffffff,0x3fffe002,0x1fffffff,0x7fffdc00,0x02efffff,
    0x3fffffe0,0x001fffff,0x3ffffffe,0x3601ffff,0xffffffff,0xfd3002ff,
    0x01bfffff,0x3fffa600,0x0000dfff,0xfc8f74c0,0x5fffffff,0xfffffff8,
    0x7ec402ff,0x00cfffff,0xffffd300,0x88001bff,0xffffffff,0x6fffffff,
    0xffffd500,0x03ffffff,0x5117ffee,0x7c400357,0xffffffff,0x22002fff,
    0xffffffff,0xffffffff,0x01fb004f,0x00174000,0xffffd880,0x10000cff,
    0x9ffffffb,0x3f620001,0x00cfffff,0xffffffe8,0x000fffff,0x7fffec40,
    0x6c000cff,0xffffffff,0xfb10001d,0x019fffff,0xfffffd80,0x4001dfff,
    0xfffffffd,0x7fe401df,0x2dffffff,0x0ab98800,0x2e620000,0x0000000a,
    0x7ffffecc,0xffea81df,0x2004efff,0x0001ab98,0x002ae620,0x9bfffb80,
    0xc9999999,0xfe801fff,0xffffffff,0x3bfe601f,0x7f400000,0xffffffff,
    0x644000ff,0xdfffffff,0x0dffffea,0x00003b00,0x31000000,0x40000357,
    0x0001ab98,0x006ae620,0x99999510,0x00017999,0x00d5cc40,0x99995100,
    0x44000037,0x20001ab9,0x1bcccca8,0x332a2000,0x54001bcc,0x002ccccb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00fffd00,0x2013ffe2,
    0xfffffffd,0x0b9801df,0xca880000,0xbccccccc,0x2ea20000,0x00000aac,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77ffe540,0xfca880ac,0x2202cfff,0x01bcccca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff700000,0x09ffffff,0xfffffffd,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffe4000,0xf85fffff,0xffffffff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fff6600,0xea81dfff,0x04efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0001c980,0x83fffe80,
    0x02ffffda,0x81c98000,0x00000bb8,0x20001644,0x80080000,0x00020000,
    0x00000200,0x04400040,0x20000220,0x00100000,0x01950001,0x64c00000,
    0x065c0001,0x08008000,0x7fffed40,0xf98004ff,0xff880fff,0x080001ff,
    0x1e440000,0x0030012e,0x32200003,0x020025c3,0x00ffee00,0x7fffd000,
    0xffffff88,0x7c400002,0x27fe40ff,0xdff30000,0x0f7dc000,0x104fd800,
    0xf70005fb,0xd300003d,0x4000007f,0x22002fe8,0x01fe206f,0x003df700,
    0xc80f7d40,0x77f4005f,0xb8000001,0x7c0004ff,0x6c0000ef,0x05fb104f,
    0x3fffffe2,0xf98004ff,0xff880fff,0x5c0001ff,0x880001ef,0x07ff26fe,
    0xf900fec0,0xfe880005,0x4007ff26,0x22001ffb,0x00004ffe,0xf10ffffa,
    0x005fffff,0x1fffa800,0x0002ffec,0x001fffb8,0x4ffffd88,0x1effc800,
    0x8007ffee,0x04ffffd8,0x3ffff200,0x4c00000d,0x22000fff,0x0ffb03ff,
    0x3fffa200,0xff30004f,0x27ff4c7f,0x0bffea00,0xffc80000,0x7d40000e,
    0x320002ff,0x3fee1eff,0xffff101f,0x0009ffff,0x101ffff3,0x0003ffff,
    0x13ffffa2,0x2ffe8800,0x6c009ffb,0x2ff980ef,0x3ffa2000,0x2009ffb2,
    0x8004fff9,0x0000effd,0x983fffe8,0x002fffeb,0x984fd800,0xc80001ee,
    0xb8000eff,0xeffedfff,0x7ffe4001,0x002fffec,0x3fb7ffee,0x3a6001ef,
    0x3fffdeff,0xfff70000,0xbffb0003,0x09ffb735,0xdbfff700,0x50003dff,
    0xfff9dfff,0x3fa60009,0x4400003f,0x0000dffd,0x007fff30,0x767ffe40,
    0x5cc02fff,0x04fffeed,0x0ffff980,0x01ffff88,0xedfffb80,0x44001eff,
    0x9ffb2ffe,0xbeffa800,0x00fffca9,0x25ffd100,0x3a004ffd,0x70002fff,
    0x00000dff,0x02fff980,0x00000000,0x037ff200,0x8bffee00,0x4001fffc,
    0x0dffffe9,0x8bffee00,0x9801fffc,0x3fee4fff,0x7e40003f,0xd10000ef,
    0xbfffffff,0x5fff7000,0x000fffe4,0x77fffec4,0x7f440002,0x3600003f,
    0x800004ff,0x0002ffe8,0x37ffffa6,0x9fff0000,0x00000000,0x22fffb80,
    0x2001fffc,0x9ff71ffe,0x3ffee000,0x001fffff,0x7dc7ffa0,0x3fea004f,
    0x7d40006f,0x0000000f,0x000bffe6,0x00000000,0x20004fd8,0xfe980dfd,
    0x5ff90003,0x01bfb000,0xf7007fd3,0x0bfb103d,0x02ffcc00,0xffffb800,
    0xbfb0002e,0x007fd501,0x0067fd40,0x009f9000,0x0017fc00,0x013f2000,
    0x00bff200,0x009fff00,0x80000000,0xfe980dfd,0xc87fe003,0x6cc0003f,
    0x000cffff,0x7f90ffc0,0x3fffe800,0x00010000,0xfff98000,0x002aea62,
    0x00000000,0x00600002,0x01300006,0x00c00c00,0x00030030,0x00000590,
    0x31000031,0x10000300,0x02000003,0x00110000,0x00020000,0x80000980,
    0x00004fff,0x0c400000,0x080000c0,0x00440000,0x00040000,0x001fffe6,
    0x3f660000,0xffffffff,0xfff984ff,0xfffffeaa,0x3fae01ce,0xeb81dfff,
    0x002effff,0x00000000,0x00000000,0x00000000,0x5c40e4c0,0x0000000b,
    0x80000000,0x0bb881c9,0x440e4c00,0x000000bb,0x00000000,0x3e000000,
    0xfd9004ff,0xb39fffff,0xffffffff,0x0000005f,0x00000000,0x00000000,
    0x03fffd80,0xceedb980,0xfffc800a,0xffffffff,0xffff984f,0xffffffff,
    0xfff882ff,0xff85ffff,0x006fffff,0x459dfd73,0x3ae60019,0x00662cef,
    0x2cefeb98,0x372a0066,0x0110beef,0x3bf72a20,0x100311bd,0xffc81fff,
    0xdca88004,0x0311bdef,0x2aaaaaa2,0xaaaaa980,0x07ffc401,0x88013ff2,
    0x7fe40fff,0x55554404,0xaaa980aa,0xaaa881aa,0xaa980aaa,0xca801aaa,
    0x110beefd,0x027ffc00,0x7fffffcc,0xffffdcff,0x02ffffff,0xaaaaaa88,
    0x881aaaaa,0x80aaaaaa,0x81aaaaa9,0x0aaaaaa8,0x1aaaaa98,0x3bb6e600,
    0xff3000ac,0x6c4001ff,0xffffffff,0x7fffdc03,0xffffffff,0xfffff984,
    0xffffffff,0xffff82ff,0xffe84fff,0x2605ffff,0xfffffffd,0x203ffcff,
    0xffffffd9,0x03ffcfff,0x3fffff66,0x3ffcffff,0xfffffd30,0x05ffdfff,
    0xffffffd8,0x04ffefff,0x360fffd4,0x7ec005ff,0xffffffff,0x7fcc4ffe,
    0x24ffffff,0xfffffffe,0x07ffea07,0x5400bffb,0x7fec1fff,0x3fffe605,
    0x3fa4ffff,0x27ffffff,0xfffffff9,0x3ffffa4f,0xfd307fff,0xdfffffff,
    0x3fe005ff,0xfff8804f,0xfccfffff,0xffffffff,0x7ffd402f,0xffffffff,
    0x3ffe66ff,0x3a4fffff,0x7fffffff,0x3fffffe6,0x3fffa4ff,0x4407ffff,
    0xfffffffd,0xfffb803f,0x3ffea004,0xffffffff,0x332e600d,0xfffccccc,
    0xfffff984,0xfea999bf,0x7e442fff,0xf5102eff,0x2a017fff,0xffffffff,
    0x05ffffff,0xfffffff5,0xbfffffff,0x3ffffea0,0xffffffff,0xffff985f,
    0xffffffff,0xfffd104f,0xffffffff,0x9fb00dff,0x2003dd30,0xffffffe8,
    0x6fffffff,0x7fffffdc,0xffff16ff,0x403fffff,0x1ee984fd,0x4c27ec00,
    0x3fee01ee,0x16ffffff,0xffffffff,0x3fffee3f,0xff16ffff,0x3fffffff,
    0xffffff98,0x4fffffff,0x009fff00,0x3ff332e2,0xcccca8cf,0x402fffdc,
    0xfffffffc,0x0fffffff,0xfffffff7,0x3fffe2df,0xf71fffff,0xdfffffff,
    0x3fffffe2,0xff501fff,0xffffffff,0x7fe401bf,0xfff3002f,0xfffdbfff,
    0x40001fff,0xff984fff,0x3ee00dff,0xffff06ff,0x2fffd401,0xffffff50,
    0xfffffdbd,0xffff50ff,0xfffdbdff,0xff50ffff,0xfdbdffff,0x88ffffff,
    0xddffffff,0x85ffffff,0xeffffff9,0xffffffed,0x40000007,0xeffffff9,
    0xffffffed,0x7ffff447,0x3ff23fff,0x005fffff,0x00000000,0x3ffffa20,
    0x3ff23fff,0x225fffff,0xfffffffe,0x3fffff23,0x7ffc45ff,0xfffddfff,
    0xff005fff,0x7fc0009f,0x7ffcc04f,0x7fff4c02,0xffffffff,0x3fffa24f,
    0x3f23ffff,0x25ffffff,0xffffffe8,0x3ffff23f,0xff305fff,0xffdbffff,
    0x3a01ffff,0xfd000fff,0xff503dff,0x7c000bff,0xfff984ff,0xfffc800e,
    0x04fffb80,0x4407fffa,0x881effff,0x447ffffc,0x881effff,0x447ffffc,
    0x881effff,0x647ffffc,0xfa82efff,0xfff85fff,0xfd980aef,0x000007ff,
    0x577fffc0,0x7fffd980,0x035fff50,0x00fffe4c,0x00000000,0xafffa800,
    0x3fff2601,0x35fff501,0x0fffe4c0,0x4177ffe4,0x005ffffa,0x40009fff,
    0x7cc04fff,0x331002ff,0x33bfff33,0x0d7ffd40,0x03fff930,0x806bffea,
    0x201fffc9,0xa81efffe,0xff05ffff,0x3ff200ff,0x3fa200df,0xff0002ff,
    0x9fff309f,0x0bffe200,0x5407fff4,0x3f205fff,0x7cc00eff,0x7ffe47ff,
    0x7ffcc00e,0x077ffe47,0xb1fffe60,0x7cc01fff,0x7ffdc5ff,0x7ffe800e,
    0x2e000000,0xe800efff,0xfff507ff,0x1fff7003,0x00000000,0x3fea0000,
    0xfffb801f,0x03fff500,0xb01fff70,0x7cc01fff,0xfff005ff,0x7ffc0009,
    0x17ffcc04,0x09fff000,0x003fff50,0x2a01fff7,0xfb801fff,0xfff900ff,
    0x7ff4401b,0x37ffc42f,0x037ffcc0,0x00ffff98,0x984fff80,0x3e002fff,
    0xfff704ff,0x03fffd09,0x80077ff4,0x7ff46ffd,0xdffb000e,0x000effe8,
    0xfff8dffb,0x23ffd805,0x000efff8,0xff909ff5,0xfd981fff,0x7c44ffff,
    0xf5000eff,0x3ffea09f,0x0fffb801,0x0fffffc8,0x7ffffecc,0xfffffc84,
    0x7fffecc0,0x3fff504f,0x01fff700,0x2007ffea,0xff80fffb,0x3ffd805f,
    0x009fff00,0x2027ffc0,0x0002fff9,0x2a013ffe,0xfb801fff,0xfff500ff,
    0x1fff7003,0x00dfff30,0x983fffe6,0xfc805fff,0x3f2002ff,0xff8002ff,
    0x4fff984f,0x09fff100,0xf507fff4,0x7fc40bff,0x3fe6004f,0x013ffe23,
    0x3e23ff98,0x3e6004ff,0x03ffec3f,0xff50f7cc,0x0cb8007f,0x7fffffd4,
    0x7ffffe40,0x1fffd44f,0x54032e00,0xfb801fff,0x7ffd40ff,0x7fe40fff,
    0x7d44ffff,0x640fffff,0x04ffffff,0x7003fff5,0x3ea01fff,0xffb801ff,
    0x07ffd80f,0xf001ef98,0x7c0009ff,0x7fcc04ff,0x3fe0002f,0xfffa804f,
    0x0fffb801,0x003fff50,0xf901fff7,0x7e4005ff,0x3ffea2ff,0x06ffd804,
    0x01fffc40,0x4c27ffc0,0xb800ffff,0x3ea02fff,0x3fffa4ff,0x07ffea01,
    0xffa85300,0x214c001f,0x4001fffa,0xefffb829,0xfffb8001,0xff100001,
    0xfb81ffff,0x5c4fffff,0x00001fff,0x400fffd4,0x7c40fffb,0x5c0fffff,
    0x44ffffff,0x0ffffff8,0x7fffffdc,0x03fff504,0x201fff70,0xb801fffa,
    0xffb80fff,0x400001ef,0x20004fff,0x7cc04fff,0x3e0002ff,0xffa804ff,
    0xfffb801f,0x03fff500,0xb01fff70,0xf8800dff,0x3ffe63ff,0x04fff806,
    0x005ffe80,0xf984fff8,0x2e00dfff,0x7400ffff,0xfffa8fff,0x03ffe405,
    0x07ffc800,0x0fff9000,0x7ffc4000,0x801bdfff,0x00007ffd,0x07ffedcc,
    0x27ffe5cc,0x0001fff6,0x007ffea0,0x2603ffee,0x980fffdb,0x984fffcb,
    0x980fffdb,0x504fffcb,0xf7003fff,0x3fea01ff,0xfffb801f,0xfffff880,
    0x40001bdf,0x20004fff,0x7cc04fff,0x3e0002ff,0xffa804ff,0xfffb801f,
    0x03fff500,0xf01fff70,0xfd0009ff,0x3fffc4bf,0x00fffe20,0x001bff60,
    0x3e613ffe,0x11bfffff,0x07ffffb5,0xfdbfff50,0xffe801ff,0xffd00005,
    0x3fa0000b,0x4c00005f,0xffffffff,0xbffd02df,0x3ea00000,0x7ffc00ff,
    0x002fff44,0x0fffd400,0x007ffdc0,0xf801fff5,0x3fea04ff,0x27ffc00f,
    0x801fffa8,0xf500fffb,0xff7003ff,0x3ffe601f,0x2dffffff,0x04fff800,
    0x013ffe00,0x0005fff3,0x54027ffc,0xfb801fff,0xfff500ff,0x1fff7003,
    0x003fff88,0x7fc6ffd8,0x3fe600ff,0xffc8002f,0x4fff8007,0xffffff98,
    0xffffffff,0x3ffa005f,0xe805ffff,0xd00005ff,0x20000bff,0x00005ffe,
    0xfffffe88,0x740effff,0x4ccc05ff,0x2a009999,0x7fc00fff,0x02fff44f,
    0x26666666,0x03fff500,0x401fff70,0x7c00fffa,0x3fea04ff,0x27ffc00f,
    0x801fffa8,0xf500fffb,0xff7003ff,0x7ff4401f,0xefffffff,0xccccc980,
    0xccccefff,0x66664c1b,0xacccefff,0x10bffe60,0x027ffc00,0x400fffd4,
    0xf500fffb,0xff7003ff,0x2fff981f,0x47ffc800,0x7c01fffd,0xfd8003ff,
    0xfff8006f,0xfffff984,0xffffffff,0x3ea000df,0x800fffff,0x00005ffe,
    0x0000bffd,0x00017ffa,0xfffec980,0x3a1fffff,0xfff305ff,0x1dffffff,
    0x801fff50,0x7ff44fff,0xfffff305,0xa81dffff,0xfb801fff,0x3fea00ff,
    0x27ffc00f,0x801fff50,0xff504fff,0xfff7003f,0x07ffea01,0x003ffee0,
    0x3ffffb26,0x3ea1ffff,0xffffffff,0x0fffffff,0xfffffff5,0x4bffffff,
    0x3ee2fff9,0x4fff800e,0x01fffa80,0x500fffb8,0xf7003fff,0x7fff01ff,
    0x8dffb000,0x7402fffc,0xff8005ff,0xfff8004f,0xbbfff984,0xefffffff,
    0xfffd0001,0x3ff6009f,0xffb00006,0x3f60000d,0x0000006f,0x3ffff6e6,
    0x641bff65,0xffffffff,0xfffa82ff,0x227ffc00,0xff906ffd,0xffffffff,
    0x01fffa85,0x200fffb8,0x7c00fffa,0x3fea04ff,0x27ffc00f,0x801fffa8,
    0xf500fffb,0xff7003ff,0xb730001f,0x7e4bffff,0xffffffff,0x1fffffff,
    0xfffffff9,0x4fffffff,0x3fa2fff9,0x4fff802f,0x01fffa80,0x500fffb8,
    0xf7003fff,0xbffd01ff,0x89fff000,0x6406fffa,0x7cc007ff,0xff8003ff,
    0x2fff984f,0x0026b2a6,0x1ffff500,0x03fff200,0x3fff2000,0xffc80000,
    0x1100000f,0x3fffa600,0x2a0fff70,0xffffffff,0xfffa80ff,0x227ffc00,
    0xff507ffb,0xffffffff,0x01fffa81,0x200fffb8,0x7c00fffa,0x3fea04ff,
    0x27ffc00f,0x801fffa8,0xf500fffb,0xff7003ff,0x2001101f,0xb10fffe9,
    0xffffffff,0x49dfffff,0xffffffd8,0x22dfffff,0x3fe2fff9,0x4fff803f,
    0x01fffa80,0x500fffb8,0xf7003fff,0xfff901ff,0x3fff9800,0x201ffff8,
    0x2004fffb,0x8001fffe,0xff984fff,0x4000002f,0x2004fffb,0x0003fffb,
    0x003fffb8,0x03fffb80,0x02ff9800,0x2a5fff30,0x55101fff,0x01fffb55,
    0xf003ffea,0xfffa89ff,0xb5555101,0xff101fff,0xfff9009f,0x00fffa80,
    0xf5027ffc,0xfff801ff,0x09fff104,0x440fff90,0xfc804fff,0x02ff987f,
    0x005fff30,0x20000000,0x3fe2fff9,0x4fff804f,0x04fff880,0x2207ffc8,
    0xfc804fff,0x9fff707f,0x0ffff400,0x102fffe4,0x7003ffff,0x3000bfff,
    0xff307fff,0x8000005f,0x2000ffff,0x001ffff8,0xfff88f66,0x8f66001f,
    0x001ffff8,0x7ffc8f66,0x27fff300,0x2006fff8,0x3ea07ffc,0x7ffc01ff,
    0x037ffc44,0x7c0fff90,0x3a200fff,0x7fd405ff,0x27ffc01f,0x803fff50,
    0x3fe04fff,0x3fa200ff,0x7fffc05f,0x17ffa200,0x4c01fff2,0x03003fff,
    0xfc800000,0x13ffe1ff,0x005fff30,0x8803fffe,0x7fc05ffe,0x3fa200ff,
    0xffff105f,0xbfff7003,0x07fffe20,0x02ffffa8,0x003fffee,0x207fff20,
    0x0002fff9,0x13ffee00,0x3bfff200,0x1fffb802,0x00bbfff2,0xfc87ffee,
    0xfb802eff,0x9fffb1ff,0x1fffe801,0x0033fff6,0xfa81fff2,0xffd503ff,
    0x9fffb09f,0x0fff9001,0x8827ffec,0x5403fffe,0xfd503fff,0x7fd409ff,
    0xfffd503f,0x27ffec09,0x03fffe88,0x8827ffec,0xfd83fffe,0x7f400cff,
    0xfff801ff,0xf0000004,0x4fff8fff,0x03fff620,0x827ffec0,0x403fffe8,
    0xd104fffd,0x7d407fff,0x3ee02fff,0x3f200fff,0x7fe405ff,0xeb98adff,
    0x2003ffff,0x07fffda8,0x0005fff3,0x07fffc00,0xffffd800,0xdba989ad,
    0x7ec1ffff,0x989adfff,0x1ffffdba,0x56ffffec,0xffdba989,0xffffb1ff,
    0xf733359f,0x7c41ffff,0x89acffff,0x7fffecb9,0x2bbffe20,0xffffea98,
    0x7ffc42ef,0xb989acff,0x207fffec,0x9cfffff9,0x06fffeb9,0x8aefff88,
    0xfffffea9,0xdfff102e,0xfffd5315,0x3e605dff,0xb99cffff,0x9806fffe,
    0x99cfffff,0xb06fffeb,0x359fffff,0xfffff733,0x3fffb001,0x2e200000,
    0x7fc5fffe,0xb99bdfff,0x2006ffff,0x9cfffff9,0x06fffeb9,0xcfffff98,
    0x6fffeb99,0xdffffc80,0xfffeb98a,0x7ffc403f,0x7fff400f,0xffffffff,
    0xfffb304f,0x5fffffff,0xfffffeb8,0xb8001dff,0xfffffffe,0xf90005ff,
    0xffffffff,0x20bfffff,0xfffffffc,0x5fffffff,0xffffff90,0xffffffff,
    0x7ffffecb,0xffffffff,0xfffa82ff,0xffffffff,0x7407ffff,0xffffffff,
    0x3fffffff,0x7fffffd4,0xffffffff,0x7ffd407f,0xffffffff,0xfffd001f,
    0xffffffff,0x3a07ffff,0xffffffff,0x3fffffff,0xffffff50,0x03ffffff,
    0x3ffffea0,0x1fffffff,0xffffffb0,0xffffffff,0xabdb805f,0xa80004ff,
    0xfffffffe,0x7fffc1ff,0xffffffff,0x7d4000ef,0xffffffff,0xf5001fff,
    0xffffffff,0x3a003fff,0xffffffff,0x9004ffff,0xf9009fff,0xffffffff,
    0x7ffec05f,0x2fffffff,0x7fffffc4,0x4006ffff,0xfffffff8,0x002fffff,
    0xffffff90,0x07ffffff,0xffffffc8,0x03ffffff,0x7fffffe4,0x43ffffff,
    0xfffffffb,0x3fffffff,0x3ffffaa0,0xffffffff,0x7ffcc03e,0xffffffff,
    0xea84ffff,0xffffffff,0x803effff,0xfffffffb,0x26002eff,0xffffffff,
    0x4fffffff,0xffffff30,0xffffffff,0x7ffdc09f,0x2effffff,0x7fffdc00,
    0x02efffff,0x3fffffee,0xffffffff,0xffffd803,0xff80000f,0xffffffff,
    0xffffda81,0x0effffff,0xffff7000,0x05dfffff,0xfffffb80,0x002effff,
    0x7fffffe4,0x4002ffff,0xd3002ffe,0x1bffffff,0xfffffc80,0xff02dfff,
    0xffffffff,0xfffd0009,0xffffffff,0x7ed40001,0xceffffff,0xfffb5001,
    0x039dffff,0x3ffff6a0,0x881cefff,0xfffeb9ed,0x000cffff,0xffffffd7,
    0x4c005bff,0xdffffffe,0x01dffffa,0x3fffffae,0x4002dfff,0xffffffd8,
    0xfe98000c,0xfadfffff,0x2601dfff,0xdffffffe,0x01dffffa,0x7ffffec4,
    0xb10000cf,0x19ffffff,0xeb9ed880,0xcfffffff,0xbfdb1000,0x3f600005,
    0x1dffffff,0x7fffe440,0x80003eff,0xffffffd8,0xfb10000c,0x019fffff,
    0x3fffa600,0x8000dfff,0x988002b8,0x5cc000ab,0x400acccc,0xcccccca8,
    0x9510001c,0x79999999,0x26200001,0x40001aba,0x001aba98,0x0d5d4c40,
    0x57551000,0xa9880003,0x200009ab,0x0009aca8,0x35753100,0xb9880001,
    0x5100001a,0x00001359,0x00135951,0x06ae6200,0xab988000,0xaa880001,
    0x000001ab,0x66544000,0x510001bc,0x00000157,0x00035731,0x00d5cc40,
    0x15731000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c000000,
    0x3b2200c0,0x00006fff,0x00007700,0x00000002,0x20055000,0x00000800,
    0x2000064c,0x00100000,0x04004001,0x06540000,0x00008000,0x80010010,
    0xbdefdca8,0x70000311,0x64c00009,0x59100002,0x97000000,0x00040000,
    0x00600880,0x00080080,0x00003910,0xfb000970,0x9017e403,0x00dfffff,
    0xffe88000,0x27ec0000,0x00efa800,0x3ffc8000,0xe981ff40,0xf700001f,
    0x7dc0007f,0x3f60001e,0x005fd304,0x3f6209fb,0x3f200002,0xfb80002f,
    0x3f60001e,0x005fb104,0x3ffffff6,0x04ffefff,0x01ffb100,0x7fff3000,
    0x9ff70000,0x36200000,0xb80000ff,0x2a0001ef,0x0ffd83ff,0x981ff400,
    0xfb8001fe,0xb100003f,0xfd8001ff,0x02ff980e,0x1bffffee,0xff980000,
    0x3a20002f,0xfb0002ff,0x8800007f,0x7ec04fff,0x3fff20df,0xffd80000,
    0xffb10006,0x320009ff,0x3fee1eff,0xeffc801f,0x007ffee1,0x17ff6200,
    0xfffb1000,0x3f20009f,0x3ffee1ef,0x7fff4401,0xffffffff,0xe98006ff,
    0x900003ff,0x0000bfff,0x00037ffa,0x03ffe980,0x7ffec400,0xffb0004f,
    0x03fff88d,0x906ffec0,0x20001fff,0x40005ffe,0x8003ffe9,0xca9beffa,
    0x6d400fff,0x00006fff,0x005fff50,0x01fffcc0,0x009fff00,0x2fffc800,
    0x5fffec40,0x0001effe,0x002fff44,0xfedfffb8,0xfc8001ef,0x2fffecff,
    0x33fff200,0x0002fffe,0x004ffe88,0x76fffdc0,0xc8001eff,0xfffecfff,
    0x7fffcc02,0xfffedeff,0x54007fff,0x00002fff,0x000fffe6,0x00effc80,
    0x2fffa800,0x7ffdc000,0x001effed,0x7f427fdc,0x7ec4000f,0x1effebff,
    0x77fe4000,0xfffa8000,0x3fee0002,0x01ffffff,0x001bff60,0x03bfea00,
    0x2fffa800,0xfff93000,0x0003337d,0x0037ffc4,0x09fffff5,0x0fffa000,
    0x17ffdc00,0x0003fff9,0x1bffffd3,0xfffd3000,0x200001bf,0x40003ffe,
    0x3f22fffb,0xe98001ff,0x800dffff,0x80aeffff,0x007fffd9,0x0007ffe6,
    0x000f6a00,0x01bfee00,0x03fff300,0x2fffb800,0x0007fff2,0x00054053,
    0x9fffff50,0x7fdc0000,0x7ffcc006,0xfd980001,0x4000cfff,0x00006ffd,
    0x0000dfb8,0x400077fc,0xffffffd8,0x0003ffff,0x8005fff7,0x0001efd8,
    0x0005ff10,0x74c06fec,0x3f20003f,0xfc80002f,0x2200002f,0xd80001ff,
    0x3fe980df,0x0bff2000,0x077ffdc0,0x003fff40,0x00001bf5,0x20000000,
    0x20000fe9,0x80000dfa,0xfe980dfd,0x00000003,0x01efd880,0x0ff98000,
    0x0037ea00,0x00022000,0x0006ffd8,0x20000100,0xfd0000cb,0xffffffff,
    0x3e000dff,0x0a0007ff,0x00020000,0x000c00c0,0x000004c0,0x10000013,
    0x80180000,0x00980001,0x01dfff10,0x0013fea0,0x00000001,0x00200000,
    0x00000200,0x00003003,0x02800000,0x00080000,0x00000008,0x9bff6000,
    0xefffffd8,0x00000003,0x7ffe4000,0xffffefff,0xffb8007f,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x5c003fff,
    0x0000000c,0xefdca880,0x000311bd,0x00000000,0x88000000,0x80aaaaaa,
    0x01aaaaa9,0x00000000,0x00000000,0x56776dcc,0x37fec000,0xfffffff9,
    0xfdca801f,0x20110bee,0xffffffda,0x3fffe004,0x3ffae20b,0xfffe8006,
    0xaaaa9800,0x98002aaa,0xaaaaaaaa,0x80aaaaaa,0x200aaaa9,0x4c0aaaa9,
    0xaaaaaaaa,0xaaaaaaaa,0x5554c0aa,0xaaaaaaaa,0x5554400a,0xaaaaaaaa,
    0x982aaaaa,0x101aaaaa,0x03555555,0x55555553,0x15555555,0x000fffdc,
    0x2aaaa600,0x2aaaa600,0xffffd800,0xffefffff,0x55555504,0x55555555,
    0x55501555,0x55555555,0x01555555,0x55555555,0x55555555,0x7fffcc15,
    0x3fa4ffff,0x87ffffff,0xaaaaaaaa,0x980009aa,0xaaaaaaaa,0xa980aaaa,
    0xaaaaaaaa,0xd8800aaa,0xffffffff,0x9bff6003,0xfffffffb,0x3fffa606,
    0xffefffff,0x7ffffc42,0xf1004fff,0x7fd409ff,0x7ffd4004,0x7fffc404,
    0x01ffffff,0x7ffffe40,0xffffffff,0x7ffff42f,0xfffe83ff,0x3ff24fff,
    0xffffffff,0xffffffff,0x3fffff21,0xffffffff,0xffff502f,0xffffffff,
    0xf8bfffff,0x6fffffff,0x7fffffc4,0x7ffe45ff,0xffffffff,0x3ff62fff,
    0x7f400007,0xe83fffff,0x04ffffff,0xffffffd1,0xdfffffff,0xffffff88,
    0xffffffff,0x3e21ffff,0xffffffff,0xffffffff,0x3fffe21f,0xffffffff,
    0x21ffffff,0xfffffffb,0xfffff16f,0x3e23ffff,0xffffffff,0x002fffff,
    0xfffffff9,0x5fffffff,0x7fffffe4,0xffffffff,0x3fffea02,0xdfffffff,
    0x16ffd800,0x59dffffb,0x3fffe601,0xffffffff,0x7fffc44f,0x1004ffff,
    0xba807fff,0x7fff4000,0x7fffcc00,0x04ffffff,0x7ffffe40,0xffffffff,
    0x3fffe22f,0x7fc45fff,0x326fffff,0xffffffff,0xffffffff,0x3fffa1ff,
    0xffffffff,0xff904fff,0xffffffff,0xbfffffff,0x7fffffcc,0x3fea0fff,
    0x47ffffff,0xfffffffc,0x2fffffff,0x00017ffa,0xffffff88,0x7fffc45f,
    0xff986fff,0xfedeffff,0x547fffff,0xffffffff,0xffffffff,0x3ffea1ff,
    0xffffffff,0x1fffffff,0x3fffffea,0xffffffff,0x3a21ffff,0x3fffffff,
    0x3ffffff2,0x3fffea5f,0xffffffff,0x7400efff,0xffffffff,0x24ffffff,
    0xfffffffe,0x4fffffff,0xffffff30,0xffffffdb,0x9effd801,0x804ffffe,
    0xdffffff8,0x5ffffffd,0xffeedb98,0x3ffe004f,0x200000bf,0xb004fffa,
    0xffffffff,0xffc800ff,0xffffffff,0x7e42ffff,0xd82fffff,0x23ffffff,
    0xfffffffc,0xffffffff,0x3fee1fff,0xffffffff,0xd301efff,0xfffbffff,
    0xffffffff,0xfffffe8b,0x7ff444ff,0x644fffff,0xffffffff,0x22ffffff,
    0x4cc05ffe,0xc8099999,0x82ffffff,0x3ffffffd,0x0aeffff8,0x87fffd98,
    0xfffffffe,0xffffffff,0x7fff41ff,0xffffffff,0x41ffffff,0xfffffffe,
    0xffffffff,0xfffa81ff,0x3ff2601a,0xffffe81f,0xffffffff,0x7dc06fff,
    0xffffffff,0x2e1effff,0xffffffff,0x01efffff,0x503dfffd,0xd80bffff,
    0xffffffff,0xdfff9003,0xbffff505,0x013ffe00,0xefffffc8,0x360000ac,
    0x22000fff,0xfffffe99,0x3ff2002f,0xd999999f,0xfb00ffff,0x7ffc0bff,
    0x9fffc83f,0x9dfff999,0x81fffb99,0xdfff9999,0xf1000999,0x37fff3ff,
    0x0bffd333,0x8033fffb,0x83fffa98,0x9999fffc,0x0ffffd99,0x7cc17ffa,
    0xffffffff,0x5fffd80e,0x40ffffe0,0x800efffb,0xf9107ffe,0x333335ff,
    0x03fff733,0x335fff91,0xff733333,0xfff9103f,0x33333335,0xf503fff7,
    0xff7003ff,0x3ff2201f,0xeb99999f,0x9803ffff,0x9dfff999,0x26660099,
    0x999dfff9,0x37fff200,0x3fffa200,0x3ffff602,0x36001fff,0x3e600fff,
    0xfff005ff,0x7ff44009,0x2dffffff,0x2fffcc00,0xefff8800,0x32006fff,
    0xfff307ff,0x7ffc405f,0x5fffc82f,0xff0fff90,0x1fffa89f,0x004fff80,
    0xff1dff30,0x0bffd07f,0x4001fff9,0xfc81fffa,0xffff307f,0x906ffd85,
    0xffffffff,0xfff105ff,0xbfff905f,0x03bffe20,0x7027fd40,0xfa801fff,
    0xfff701ff,0x1fffa801,0x801fff70,0xfa81fffa,0xffb801ff,0x3ffee00f,
    0x1bffe600,0x013ffe00,0x004fff80,0x200dfff3,0xb00ffff9,0x0bffffff,
    0x805fff80,0xff003ffd,0xff90009f,0xdfffffff,0x3fff6001,0xfff70001,
    0x003fff95,0x3e21fff2,0xfa803fff,0x3fe60fff,0xfff900ff,0xfa89fff0,
    0xfff801ff,0x7ff70004,0xfd07fff1,0x3fff70bf,0x2e3fffc4,0xffc80fff,
    0x3ffff887,0xf507ffb8,0xffffffff,0x3ffea01f,0x3fffe60f,0x07fff500,
    0x2e00cb80,0x26080fff,0xff700fff,0x7fcc101f,0x1fff700f,0x07ffcc10,
    0x400fffd4,0x2e00fffb,0x7ec00fff,0x7fc000ff,0x3fe0004f,0xfff9004f,
    0x7ffe4005,0xfffffb02,0x36001dff,0xef9807ff,0x09fff001,0x3ff6e200,
    0x805fffff,0x0005fff8,0x7fcdfffa,0xdff5004f,0x00bfffd0,0xfd27ffec,
    0x7fdc05ff,0x544fff87,0xff801fff,0xffd0004f,0x2a7fff13,0xf507ff92,
    0x7ffdc5ff,0x41fff21f,0xffe86ffa,0x3fff505f,0x36aaaa20,0x7ec00fff,
    0x3fffa4ff,0x07ffee02,0x3fee0000,0xf8bfa60f,0x3ffee06f,0xff8bfa60,
    0x83ffee06,0x1bfe2fe9,0x400fffd4,0x2e00fffb,0x7e400fff,0x7fc000ff,
    0x3fe0004f,0xdffb004f,0x3fff8800,0xff9fffb0,0xf7001dff,0x00003dff,
    0x0004fff8,0xffffb510,0x2fffc805,0x9fff5000,0x8803fff4,0x7ffe43fe,
    0x3fe2000e,0x5fffcaff,0x7c37fd40,0x3ffc44ff,0x004fff80,0xff17ff88,
    0xd37ff77f,0x7fff301d,0xb27ffff4,0x3fa20fff,0x077ffe43,0x006fff88,
    0x2201fff2,0xffcaffff,0x3ffec05f,0xffb80000,0x897fee0f,0x3ffee00a,
    0xa897fee0,0x83ffee00,0x02a25ffb,0x400fffd4,0x2e00fffb,0x3ea00fff,
    0xff8005ff,0x3fe0004f,0x9fff004f,0x0bffd000,0x7fcdbff6,0x7c401fff,
    0x1bdfffff,0x27ffc000,0xf5001300,0x7fc407ff,0x3f60006f,0x3ffee1ff,
    0xff502002,0xf50003ff,0x1fffffff,0xff05fb00,0x007f909f,0x20013ffe,
    0xfff14ffa,0x100bffdb,0x3fe69fff,0x3ffa7fff,0x3fea0406,0x7fec01ff,
    0xffc800cf,0xffff5007,0xe801ffff,0x000005ff,0xd999fff7,0xfb800fff,
    0xffecccff,0x7ffdc007,0x07ffeccc,0x007ffea0,0xb803ffee,0x6cc40fff,
    0x8002ffff,0x20004fff,0xf8804fff,0xfd8003ff,0x4dffb06f,0x02ffffe9,
    0x7fffffcc,0x8002dfff,0xf9004fff,0xbfff001f,0x017ffe40,0x45fff880,
    0x0006fff8,0x007ffff3,0x7ffffe40,0xff80002f,0xff80004f,0xffd8004f,
    0xffffff12,0x3ffe00df,0xffffff75,0x8017ffe3,0x803ffff9,0xacfffff8,
    0xffecb989,0x3ff2007f,0xe802ffff,0x4ccc05ff,0x2e009999,0xffffffff,
    0x7fdc007f,0x7fffffff,0x7fffdc00,0x007fffff,0x2007ffea,0x2e00fffb,
    0xfeeeefff,0x005fffff,0x0009fff0,0x4c027ffc,0xc8002fff,0x7f64c7ff,
    0x7fff446f,0xfd102ccf,0xffffffff,0x7ffc001d,0x0bffd004,0x104fff98,
    0x4000dfff,0xfc82fffb,0x744001ff,0x40004fff,0x05ffffe8,0x09fff000,
    0x09fff000,0x221fff00,0x6fffffff,0x3adffd00,0xf4ffffff,0x3a2009ff,
    0x2a004fff,0xffffffff,0x7fffffff,0x3fffa200,0xbffd005f,0x3ffffe60,
    0xb80effff,0xffffffff,0x7fdc007f,0x7fffffff,0x7fffdc00,0x007fffff,
    0x2007ffea,0x2e00fffb,0xffffffff,0x0004ffff,0x80013ffe,0xff004fff,
    0xffb0007f,0x7ffffdcd,0xfffffe86,0x3b2603ff,0xffffffff,0x09fff001,
    0x413fffe0,0x702fffea,0x40007fff,0xaaabfffe,0x004fffca,0x0037ffec,
    0x0ffff980,0x9fff0000,0x9fff0000,0xaeff9800,0xffffffba,0xfffb006f,
    0xffd9fff3,0x007fff1f,0x001bfff6,0x3fffffaa,0xefffffff,0x7ffcc003,
    0xdffb000f,0x3fffff20,0xb82fffff,0xffffffff,0x7fdc007f,0x7fffffff,
    0x7fffdc00,0x007fffff,0x2007ffea,0x2e00fffb,0xffffffff,0x40003fff,
    0x20004fff,0xfd004fff,0xfff000bf,0x7ffffe49,0x7ffffc46,0x26004fff,
    0x05ffffdb,0x2009fff0,0xcdffffff,0x06fffffd,0x8001fffe,0xfffffffa,
    0x07ffffff,0x03fffee0,0xff00072a,0x7c0000bf,0xf80004ff,0x7e4004ff,
    0xffffffff,0x9004ffcb,0x3fff9fff,0xfff9fff7,0xffff7005,0xb8039501,
    0xfffffffe,0x3e0002df,0x3ee005ff,0xffff507f,0x01ffffff,0x7e41fff7,
    0x7fdc006f,0x01bff20f,0x641fff70,0x3ea006ff,0xffb801ff,0x3ffee00f,
    0xffffeeee,0x3fe0000e,0x3fe0004f,0xfff9004f,0x3fff9800,0x1bffff66,
    0x3fffffae,0x4c00221d,0xf800fffe,0xfff004ff,0xffffffff,0x3ea03fff,
    0x360003ff,0xffffffff,0x02ffffff,0x82ffff98,0x7c006ff8,0x200005ff,
    0x80004fff,0x74004fff,0xffffffff,0x001ee9bf,0xfffffff7,0x3fffffe2,
    0x7ffcc01f,0x06ff882f,0x26aea620,0xfff80000,0x3ffea005,0xb5555101,
    0x3ee01fff,0x97fee0ff,0xff701ed8,0x12ffdc1f,0x3fee03db,0x897fee0f,
    0xfff881ed,0x07ffc804,0x2a07ffdc,0x000effff,0x0009fff0,0xb8027ffc,
    0x3a004fff,0x00001fff,0x8017fcc0,0xf802fff9,0xffb004ff,0xffffffff,
    0x7ff403df,0xff10000f,0xffffffff,0x80dfffff,0x504ffff8,0x7c001fff,
    0x200005ff,0x80004fff,0x26004fff,0xfcccceff,0x09b303ff,0x3fffffea,
    0x3fffffa4,0x3ffe200f,0x1fff504f,0x00004400,0x002fffc0,0x400dfff1,
    0x3ee07ffc,0x506540ff,0x3fee0bff,0xf506540f,0x3ffee0bf,0xff506540,
    0x03fffe0b,0x405ffe88,0xe880fffb,0xf0006fff,0x7c0009ff,0xff1004ff,
    0xff7003ff,0x008800bf,0x803ffe40,0xf803fff9,0x591004ff,0xbffffd73,
    0x7ffd4015,0x3fee0004,0x999999bf,0x01fffc99,0xb817fffa,0x3e000fff,
    0x200005ff,0x80004fff,0x2e004fff,0x7ffc44ff,0x303ffd03,0x45ffffff,
    0x07fffffb,0x702ffff4,0x2e001fff,0x00001dff,0xb0017ffe,0x90019fff,
    0x7fdc0fff,0x7ffc800f,0x001fff70,0x3ee0fff9,0xffc800ff,0x09fffb07,
    0x00ffffa2,0x2201fff7,0x8003ffff,0x20004fff,0x2a004fff,0x2e02ffff,
    0x2000ffff,0xb002eff9,0xe8019fff,0xff801fff,0x7fc0004f,0xfffd004f,
    0x7ff40001,0x9fff1007,0x03bfff20,0x000fffb8,0x00017ffe,0x0004fff8,
    0x2004fff8,0x7fc41ffd,0x07fff03f,0x8ffffff1,0x07fffff8,0x803bfff2,
    0x5000fffb,0x0000bfff,0x2002fffc,0xacfffff8,0xffecb989,0x3ffee07f,
    0x07ffc800,0x9001fff7,0x3fee0fff,0x7ffc800f,0x9fffff30,0xdfffd733,
    0x01fff700,0x00ffffcc,0x0013ffe0,0x4004fff8,0x8adffffc,0x3ffffeb9,
    0x7fff4400,0xffffd800,0xfb999acf,0xf800ffff,0x7c0004ff,0xff9804ff,
    0xf950005f,0x10159dff,0x59ffff95,0x66ffffcc,0xfdcccccc,0x332a00ff,
    0xbccefffc,0x3332a001,0x1bccefff,0x33332a20,0xccccefff,0x67ffe541,
    0xdfffcb89,0xfffccccc,0xbfffff03,0x0dffffd0,0x337fffe6,0xfdcccccc,
    0x66c400ff,0x0000ffda,0xdfff9995,0xf5003799,0xffffffff,0x0fffffff,
    0x99fffb73,0xd9999999,0xfdb98fff,0xccccccff,0x47ffeccc,0xccfffdb9,
    0xeccccccc,0x3fea07ff,0xffffffff,0x3ae601ff,0x702ccfff,0x8837dfff,
    0xfffcccca,0x441cccce,0xfffcccca,0x401cccce,0xfffffffe,0x004fffff,
    0x17fddee4,0x7ffffec0,0xffffffff,0x6664c2ff,0xccefffcc,0xff001bcc,
    0xfffb009f,0xfff70003,0xd09fffff,0xffffffff,0x3ffffea1,0xffffffff,
    0xff700fff,0xffffffff,0xff7003ff,0xffffffff,0x3ff601ff,0xffffffff,
    0xff53ffff,0xffdfffff,0xffffffff,0x3a07ffff,0xfb82ffff,0xff505fff,
    0xffffffff,0x01ffffff,0x4fffff98,0xffff7000,0xffffffff,0xfffd5003,
    0xffffffff,0xfff887df,0xffffffff,0x7fffffff,0x3fffffe2,0xffffffff,
    0x3e27ffff,0xffffffff,0xffffffff,0x7ffdc07f,0x2effffff,0x3ffffe20,
    0xfb03ffff,0x7ec1ffff,0xffffffff,0x363fffff,0xffffffff,0x03ffffff,
    0x7fffffe4,0x8002ffff,0x006fffff,0xfffffff7,0x7fffffff,0xffffffa8,
    0xffffffff,0xffe800ff,0x05ffe804,0xfffff900,0xfff0bfff,0x25ffffff,
    0xfffffffa,0xffffffff,0xffff900f,0xffffffff,0xffffb005,0xffffffff,
    0x3ffffa05,0xffffffff,0xffff94ff,0xffffffff,0xffffffff,0x3ffa07ff,
    0xffff107f,0x3fffea09,0xffffffff,0xa800ffff,0x0000cffe,0xfffffff9,
    0x005fffff,0x7fffff5c,0xf502dfff,0xffffffff,0xffffffff,0x7fffd4ff,
    0xffffffff,0x27ffffff,0xfffffffa,0xffffffff,0xd8807fff,0x0cffffff,
    0x7ffffd40,0xf105ffff,0x7f45ffff,0xffffffff,0x3a4fffff,0xffffffff,
    0x04ffffff,0xfffffe98,0xb30000df,0x22003bff,0xfffeb9ed,0xc80cffff,
    0xffffffff,0xffffffff,0x01ffc801,0x0000ffb8,0xffffffb3,0xfffd503b,
    0x7fd49dff,0xffffffff,0x00ffffff,0xffffffb3,0x2009dfff,0xffffffd9,
    0x2a04efff,0xfffffffd,0x10dfffff,0x57dffffb,0xfffffffd,0x07ffffff,
    0xe817fff6,0xff503fff,0xffffffff,0x01ffffff,0xd9800000,0xffffffff,
    0x220004ef,0x8009aba9,0xffffffec,0xffffffff,0x7ff647ff,0xffffffff,
    0x47ffffff,0xffffffec,0xffffffff,0x262007ff,0x764001ab,0x1dffffff,
    0x513bfea0,0xfffffffb,0x41bfffff,0xffffffda,0x0dffffff,0x02ae6200,
    0x00000000,0x00d5d544,0x3fffff62,0xffffffff,0x006a004e,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xaaaaaaaa,0x000009aa,
    0x0000b220,0x20000004,0x001001c9,0x01300220,0x00b26000,0x00001000,
    0x00440088,0x0001c980,0x00193000,0x10020020,0x15555555,0x01555550,
    0x00000040,0x3000c011,0x4c015555,0x401aaaaa,0x20001801,0x02000000,
    0x55554400,0x000aaaaa,0x00040040,0x000f2200,0x2002ee20,0xfff10cd9,
    0xffffffff,0x00005fff,0x0006ff98,0x0001efb8,0x404ffa80,0x4c003ff9,
    0x01be205f,0x0fffe600,0x13fa2000,0x00fe8000,0x320007f6,0x000003ff,
    0x4001ffdc,0xbf701ef9,0x3ffffe20,0xff12ffff,0x00bfffff,0x3ee05ff1,
    0x1ffd4007,0x3a007fec,0xb06fffff,0xffffffff,0x6403fb01,0xefb8002f,
    0x7dc00001,0x3fea001e,0xffffffff,0x9fb0003f,0x000bf620,0x003ff440,
    0x402fff40,0xfff53ffe,0xffffffff,0x001dffff,0x03fff700,0x7fff4400,
    0x3200004f,0x7e400eff,0x3e6001ff,0x00dfb02f,0x0bfff900,0xffffb800,
    0xfe80001e,0x003ff505,0x009ffd10,0xbffb1000,0x3ffe6000,0x417ffa63,
    0xfffffffa,0xffff55ff,0xf100ffff,0x3f621bff,0x7fec006f,0x01fffc46,
    0xfffffff1,0xffffff07,0xdfb05fff,0x005ff301,0x27fffec4,0x7fec4000,
    0xffb004ff,0xffffffff,0x3f2000bf,0x3ffee1ef,0xffa80001,0x7cc0002f,
    0x7f400fff,0x3ffffa4f,0xffffffff,0x40006fff,0x0000effc,0x3fb7ffee,
    0x220001ef,0xa800dffd,0x74006fff,0xfdb9acff,0xf980003f,0xd10003ff,
    0x9fffbfff,0xdffb8000,0x06ffca9b,0x37ff6200,0xfd100000,0xfa80009f,
    0xdfffceff,0xffffd100,0x3a23dfff,0x03ffffff,0xf7dffd30,0xb8001bff,
    0x0ffe84ff,0x7ffffec0,0x7ffe41ff,0xf506ffff,0xff9537df,0x3fee001f,
    0x01effedf,0xdbfff700,0xe9803dff,0xffffffff,0x320002ff,0xfffecfff,
    0xffb80002,0xff00001f,0xbfff00df,0x99fffc88,0xfffeb999,0xff90003f,
    0x7dc0001b,0x3fff22ff,0x9ffb0001,0x2ffff800,0x3fffe200,0x0004ffff,
    0x4000f6a0,0xd50dfff8,0xd80009ff,0xffffffff,0xffc80000,0xffd00005,
    0x36200007,0x002fffff,0x813fff91,0x03ffffe8,0xfffff700,0x014c0007,
    0x7fdc0015,0xf7306fff,0xffb803ff,0x01ffffff,0x645fff70,0x5c001fff,
    0x3ff22fff,0xfa98801f,0x00009bff,0xbffffd30,0xff500001,0x4c00001d,
    0xfff800cd,0x00fffb85,0x001bffe6,0x400027ec,0xfea80dfd,0x05ff0003,
    0x0dfff700,0xffffc880,0x0000002e,0x417fcc00,0x80006fc8,0x0cffffea,
    0x1fea0000,0x07fe2000,0x3fea0000,0x7fdc000d,0x7fffcc0f,0x74c0002f,
    0x000000df,0x7ffcc000,0xff503fff,0xffb3003f,0x6c0019ff,0x3fe980df,
    0x406fec00,0x26003fe9,0x00002fff,0x0005ff90,0x00027e40,0x7ffc0000,
    0x00fffb85,0x0007ffec,0x31000008,0x44000300,0xfff10000,0x0620005f,
    0x00000000,0x00980130,0x0004c000,0x00011000,0x00000020,0x3ee00031,
    0x3ffea0ff,0x200001ff,0x00000002,0xfffff300,0xfff501ff,0x00088003,
    0x00060060,0x2000c00c,0x0002fff9,0x00002600,0x00000020,0x42fffc00,
    0x6400fffb,0x00000fff,0x00000000,0xfb800000,0x000006ff,0x7f5cc000,
    0x000662ce,0x00000000,0x00000000,0x00000000,0x3ffee000,0x1dffff70,
    0x00000000,0x6776dcc0,0x7fcc000a,0xa85fffef,0x00001fff,0x3ffffae0,
    0x00000000,0x3ffe6000,0x00000002,0x80000000,0xaaaaaaa9,0x0aaaaaaa,
    0x3ee17ffe,0x3fea00ff,0x5555405f,0x09aaaaaa,0xaaaa9800,0xaaaaaaaa,
    0x0aaaa980,0x2aaaaa60,0x3ffff101,0xaaaaa980,0x4c0002aa,0xfffffffd,
    0x403ffcff,0xaaaaaaa9,0x55550002,0x55555555,0x80155555,0xaaaaaaa9,
    0xaaa88002,0x00aaaaaa,0x55555540,0xb8001aaa,0xfffc8fff,0x2a6000df,
    0x2a600aaa,0x8801aaaa,0xfffffffd,0x3fe6003f,0x42fffeaf,0x5301fffa,
    0x55555555,0x7fd41555,0x0000ffff,0x06aaaaa0,0x006aaaa6,0x000bffe6,
    0xaaaaaaa8,0xaaaaaaaa,0x554c00aa,0x002aaaaa,0xffffffc8,0xffffffff,
    0x2e17ffe2,0x6cc40fff,0xf102ffff,0xffffffff,0x005fffff,0x3ffffff2,
    0xffffffff,0x3fffffa2,0xfffffb06,0xff901fff,0x3ffe207f,0x1fffffff,
    0xffff5000,0xffffffff,0x3fe20bff,0xffffffff,0x3ffe2001,0xffffffff,
    0x1fffffff,0xffffff10,0x4003ffff,0xfffffffa,0x8803ffff,0xffffffff,
    0x003effff,0xfffdfff7,0xffe800bf,0xffb06fff,0x01ffffff,0x3fffffea,
    0x00dfffff,0xfaafff98,0x3fea0eff,0xffffc81f,0xffffffff,0xffff32ff,
    0x100001ff,0xbfffffff,0x7fffffec,0x17ffcc07,0x7fffc400,0xffffffff,
    0x01ffffff,0xfffffff1,0xc8003fff,0xffffffff,0x22ffffff,0xffb85fff,
    0xfffeeeef,0x3ea05fff,0xffffffff,0x0effffff,0x7fffff40,0xffffffff,
    0xfffff14f,0xffff07ff,0x505fffff,0x3e609fff,0xffffffff,0xffa8004f,
    0xfedeffff,0x307fffff,0xffffffff,0x7d4009ff,0xffffffff,0xffffffff,
    0xffff301f,0x09ffffff,0x7ffffec0,0x05ffffff,0xffffffa8,0xffffffff,
    0x7ffdc01e,0x00efffff,0xffffff10,0xfffff07f,0xf305ffff,0xfdbfffff,
    0x801fffff,0xffb2fff9,0x0fffd49f,0x7ffffff4,0xffffffff,0x3fffb2a4,
    0xffa80000,0x3e7fffff,0x1fffffff,0x00bffe60,0x3ffffea0,0xffffffff,
    0x301fffff,0xffffffff,0xfc8009ff,0xffffffff,0x3a2fffff,0xfffb84ff,
    0xffffffff,0xfffe804f,0xffffffff,0x5c06ffff,0xffffffff,0x21efffff,
    0xfffffffd,0x7ffffe41,0xfff306ff,0x7fffec0d,0x007fffff,0x0f7fffc4,
    0x3ffffe44,0xffffffb0,0xe800ffff,0xffffffff,0xffffffff,0x3fff601f,
    0x07ffffff,0x3ffffa60,0x02ffffff,0xffffffd0,0xffffffff,0x7ffdc01f,
    0x0effffff,0xfffffb00,0xfffc83ff,0xfd06ffff,0xff503dff,0xff980bff,
    0x3ffff12f,0x2e07ffea,0xffffffff,0x81efffff,0x0000fffb,0xffffffd0,
    0x7ffffe47,0x7ffcc05f,0xfffd0002,0xffffffff,0x03ffffff,0x7fffffec,
    0x64007fff,0x99999fff,0x20ffffd9,0xffb83ffd,0xffffffff,0x3f22003f,
    0xb99999ff,0x803ffffe,0xdfff9999,0x3ee00999,0x7306ffff,0x7c403fff,
    0x4cc407ff,0x2ffffffe,0x3bfff200,0x3fffcc00,0x3ffa6620,0x4002ffff,
    0x99afffc8,0xffb99999,0x74cc401f,0x02ffffff,0x7ffd4c40,0xfa80009b,
    0xb9999bff,0x206ffffd,0xfcfffffb,0x2000efff,0x06fffffb,0x203fff73,
    0x200dfffc,0x202fffe8,0x3ee2fff9,0x3fff56ff,0x7fccccc0,0x200999df,
    0x0000fffb,0x807fff20,0x9803fffa,0x19802fff,0x9afffc88,0xfb999999,
    0x4cc401ff,0x2ffffffe,0x41fff200,0x442ffff9,0xdfff703b,0xdffffddd,
    0x7ffdc001,0x1bffe600,0x013ffe00,0xffffff98,0x03fff503,0x800ffff8,
    0xfffefff8,0x3bffa006,0x0dffb000,0x3fbffe20,0xfb8006ff,0x7fd400ff,
    0xfff1001f,0x000dfffd,0x000bffe6,0x202fff98,0x703ffff9,0x3a63dfff,
    0x26006fff,0x03ffffff,0xf303fff5,0x3e600dff,0xff300fff,0xbfffe85f,
    0x2001fffa,0x2e004fff,0x57510fff,0xfff70003,0x1fffc401,0x017ffcc0,
    0x3ee0bfee,0x7fd400ff,0xfff1001f,0x400dfffd,0xff887ffc,0xfb8003ff,
    0x7ffd40ff,0xff7000ef,0xfffd801f,0x27ffc000,0xfffff300,0xfff501ff,
    0x1fffd803,0xcafffb80,0xf8801fff,0x3e6004ff,0xfff7003f,0x003fff95,
    0x080fffb8,0x4003ffe6,0xffcafffb,0xff98001f,0x3e60002f,0x7fd402ff,
    0x1fff707f,0x02fffe88,0xffffff30,0x3fff501f,0x005fff90,0x9817ffe4,
    0x7fcc2fff,0x01fffcff,0x8013ffe0,0xffebfffb,0x2003ffff,0x2200fffb,
    0xf9803fff,0x7fec02ff,0x80fffb84,0x003ffe60,0x7e57ffdc,0xff5001ff,
    0x0bfffd0d,0x03ffee00,0x01bfffa2,0x2007ffdc,0x4000fffc,0x26004fff,
    0x5fffefff,0x401fffa8,0xe802fffd,0x9fff37ff,0x03fff500,0x3a002980,
    0x9fff37ff,0x0fffb800,0x6ff8bfa6,0x4dfffa00,0x98004fff,0x20002fff,
    0xb802fff9,0xffb83fff,0x6fff980f,0xfdfff300,0xfff50bff,0x00dffb03,
    0x303fff88,0xff705fff,0x003fffff,0x70027ffc,0xffffffff,0x200bffff,
    0x2200fffb,0xf9803fff,0x7ff402ff,0x20fffb85,0x1bfe2fe9,0xf37ffe80,
    0x3a2009ff,0x77ffe43f,0xfff70000,0x3fffe201,0x0fffb803,0x017ffea0,
    0x8013ffe0,0xffeafff9,0x0fffd42f,0x007fffa0,0x7f49fff5,0x7ffc807f,
    0x7d400000,0x1fffa4ff,0x41fff700,0x02a25ffb,0xd27ffd40,0xf3000fff,
    0x4c0005ff,0xf8802fff,0xfffb85ff,0x07fff700,0xfd5fff30,0xfffa85ff,
    0x004fff81,0xf305ffe8,0x3ffa05ff,0x2001ffff,0x2e004fff,0xffffffff,
    0x804fffff,0x2200fffb,0xf9803fff,0x7ff402ff,0x20fffb85,0x02a25ffb,
    0xd27ffd40,0x40800fff,0x201ffffa,0xffb80dd9,0x3ffe600f,0x7ffdc01f,
    0x7ffecc40,0xfff8002f,0x3ffe6004,0x20efffaa,0x7c01fffa,0xffd807ff,
    0x0bffee1f,0x000bffd0,0x1fffd800,0x800bffee,0xecccfffb,0x360007ff,
    0x3fee1fff,0x7fcc002f,0x3e60002f,0xffd002ff,0x01fff70d,0x2007fff4,
    0xffaafff9,0x3ffea0ef,0x01fffc41,0x9837fec0,0xff302fff,0x4003ffff,
    0x2e004fff,0x9adfffff,0x806fffca,0xaaabfffb,0x3fffbaaa,0x02fff980,
    0x7dc2fff4,0xffecccff,0x3ff60007,0x0bffee1f,0x7fffcc00,0x31fff403,
    0x599fffd7,0x2fbffee0,0xddfff701,0xffffffdd,0x3ffe000b,0x3ffe6004,
    0x549fffb2,0x3e201fff,0x7fc406ff,0x37ffc45f,0x0017ffa0,0x5fff8800,
    0x0037ffc4,0xfffffff7,0x22000fff,0x7fc45fff,0x7fcc006f,0x3e60002f,
    0xffb002ff,0x7fff5ccf,0xfffb82cc,0xff980acd,0x49fffb2f,0x7cc1fffa,
    0xfc8002ff,0xfffc987f,0x7fe40acd,0x3e001fff,0x3ee004ff,0xff903fff,
    0xfffb801f,0xffffffff,0x99503fff,0x999bfffb,0xbfff9999,0xffffff70,
    0x2000ffff,0x7c45fff8,0xe88006ff,0xfe804fff,0xfffff14f,0x3607ffff,
    0xb80fffff,0xffffffff,0x0004ffff,0x98013ffe,0xfff12fff,0x07ffea3f,
    0x405fff98,0xfc82fffb,0x3ffa01ff,0x2e000005,0xffc82fff,0xfff7001f,
    0x0fffffff,0x0bffee00,0x8007fff2,0x0002fff9,0x400bffe6,0xfff37ffc,
    0x07ffffff,0x09ffffff,0x3e25fff3,0xfff51fff,0x007fff03,0xf98dffb0,
    0x5fffffff,0x0fffffc4,0x009fff00,0x3017ffdc,0xfb805fff,0xffffffff,
    0xb83fffff,0xffffffff,0xffffffff,0xfffb85ff,0x07ffffff,0x05fff700,
    0x8003fff9,0xf006fffd,0x3ffeabff,0x05ffffff,0x05fffff1,0xfffffff7,
    0x0007ffff,0x2004fff8,0x3ee2fff9,0x3fff56ff,0x01fffdc0,0x2aaffffa,
    0x04fffcaa,0x0001bff6,0xabfffe80,0x4fffcaaa,0xfffff700,0x000fffff,
    0x2aaffffa,0x04fffcaa,0x00bffe60,0x3ffe6066,0x2fff9002,0xfffffffa,
    0xfffb84ff,0xfff985ff,0x55bffee2,0xffe81fff,0x4fff8005,0x7fffffd4,
    0xfffa86ff,0x3ffe001f,0x3ffee004,0x0fffe200,0xffffff70,0xffffffff,
    0xfffff907,0xffffffff,0x70bfffff,0xffffffff,0x3fa000ff,0xcaaaabff,
    0x2e004fff,0xca80ffff,0xec97ffe1,0x1dffffff,0x413bfea0,0xeeeefffb,
    0x000effff,0x8013ffe0,0x7f42fff9,0x1fffabff,0x80bfffa0,0xfffffffa,
    0x07ffffff,0x0003fff2,0x3fffea00,0xffffffff,0xfff7007f,0x0037fe41,
    0x7fffffd4,0x7fffffff,0x0bffe600,0xf985ff70,0xffd002ff,0x7ffff64d,
    0xff881dff,0xff981dff,0x5ffff42f,0xfc81fffa,0x7fcc007f,0xfffec83f,
    0xffb02dff,0x7ffc003f,0x3ffee004,0x0fffe200,0x333fff70,0xfff53333,
    0xffffb307,0xffffffff,0x70bfffff,0x7fe41fff,0xfffa8006,0xffffffff,
    0xff3007ff,0xdff105ff,0x0002fffc,0x7ffdc000,0x77fffd40,0x9fff0000,
    0x17ffcc00,0x3f3fffe6,0xfff501ff,0xffffd80d,0xffffffff,0xfff702ff,
    0xfb000007,0xffffffff,0x005fffff,0x7dc1fff7,0x807b625f,0xfffffffd,
    0x2fffffff,0x05fff300,0x7cc4ffd8,0xff8802ff,0x0000004f,0x2617ffcc,
    0xfffcffff,0x04fffb81,0x007fffa0,0x7c000000,0x3ee004ff,0x3fe200ff,
    0x7ffdc03f,0x0fffe200,0x2e000000,0x3fee0fff,0xd807b625,0xffffffff,
    0x02ffffff,0x827fffc4,0xfff0fffa,0x0008800b,0x407ffdc0,0x006fffe8,
    0x4009fff0,0xfb82fff9,0x01ffffff,0x4407fffd,0xffffffff,0x6fffffff,
    0x03ffff10,0xf881ecc0,0xffffffff,0x06ffffff,0x540fffb8,0x417fea0c,
    0xfffffff8,0xffffffff,0x5fff3006,0x4c5ffe80,0xfa802fff,0x00c002ff,
    0x0bffe600,0x3fffffee,0xffff881f,0x5fffb801,0x00022000,0x004fff80,
    0x8803ffee,0x7dc03fff,0x3fe200ff,0x0110003f,0x03ffee00,0x2ffd4195,
    0xffffff88,0xffffffff,0x7fff406f,0x43ffee05,0x2e005fff,0x70001dff,
    0x3e201fff,0xf8003fff,0x3e6004ff,0xfffd02ff,0xff303fff,0x7fdc01ff,
    0x999999bf,0x01fffc99,0x005dfff9,0xf703fff7,0x333337ff,0x3fff9333,
    0x00fffb80,0xf707ffc8,0x333337ff,0x3fff9333,0x05fff300,0x7cc5ffe8,
    0x7fcc02ff,0x3f6001ff,0xf98000df,0xfffd02ff,0x3ea03fff,0x3ee02fff,
    0x70000fff,0x00003bff,0x5c009fff,0x3e200fff,0x7fdc03ff,0x3ffe200f,
    0xdffb8003,0x7ffdc001,0x07ffc800,0x3337fff7,0xff933333,0x3fff203f,
    0x3ffee00e,0x400bfff0,0x0005fffa,0x4c01fff7,0x4001ffff,0x26004fff,
    0xff302fff,0xfb03ffff,0xffe809ff,0x9fff1007,0x6ffffec0,0xfdba989a,
    0xffe81fff,0x9fff1007,0x00fffb80,0xfd07ffc8,0x3fe200ff,0xfff9804f,
    0x22fff402,0x2a02fff9,0x4004ffff,0x8003fffb,0xf302fff9,0x403fffff,
    0x8adffffc,0x3ffffeb9,0x3ffea000,0xfff80005,0x3ffee004,0x0fffe200,
    0x401fff70,0x8003fff8,0x4005fffa,0xc800fffb,0xfffd07ff,0x13ffe200,
    0x337fffe6,0xfdcccccc,0x0bfff0ff,0xffb59b10,0x7f5cc001,0xf702ccff,
    0xa8837dff,0xefffcccc,0xc981cccc,0x40acdfff,0x41fffffc,0x500ffff9,
    0x159dfff9,0xffff9510,0x3fff2059,0xffffffff,0x7e545fff,0x880aceff,
    0x2cffffca,0x67ffedcc,0xcccccccc,0x7e547ffe,0x880aceff,0x2cffffca,
    0x7ffee654,0xcccccccd,0x3f265fff,0xedcccdff,0x006fffff,0x1bfab3a6,
    0xbfff9300,0xfffc8159,0x7ff401ff,0xffffffff,0xb10004ff,0x001ffb59,
    0x3f3332a2,0x1cccceff,0x67fff5c4,0xdfffca82,0x7ff5c40b,0x32a20acf,
    0x800bdfff,0x0ffdacd8,0xfffdb980,0xcccccccc,0x6547ffec,0x80acefff,
    0xcffffca8,0x3ffffea2,0xffffffff,0x9ffd0fff,0xfffff300,0x7ffc4009,
    0x03ffffff,0x41fffffb,0xfffffffd,0x3fffffff,0x3fffffe6,0x7ffc45ff,
    0x7ffe41ff,0xfffff703,0xffd09fff,0x01ffffff,0x3ffffff2,0x43ffffff,
    0xfffffffb,0xffffe84f,0xff10ffff,0xffffffff,0xffffffff,0x7ffffdcf,
    0xffe84fff,0x70ffffff,0xffffffff,0xffffffff,0x3ffe6bff,0xffffffff,
    0x001effff,0x0bffffee,0xfffff980,0x7fc45fff,0xfc801fff,0xffffffff,
    0x3e60002f,0x2004ffff,0xfffffffd,0x3fffffff,0x3ffffff6,0x3fffea2f,
    0x7ff45fff,0x3a5fffff,0x5fffffff,0xfffff980,0xffff8804,0xffffffff,
    0x27ffffff,0xfffffffb,0xffffe84f,0xff50ffff,0xffffffff,0x21ffffff,
    0xd5003ffd,0x540019ff,0xffffffff,0xffff105f,0x7ffff45f,0xffffffff,
    0x3ffea4ff,0xa86fffff,0x7dc1ffff,0x3fff206f,0xf85fffff,0xffffffff,
    0x3fff6a02,0x81ceffff,0xfffffffc,0xfffff85f,0xff52ffff,0xffffffff,
    0xffffffff,0x7ffffe4f,0xfff85fff,0x92ffffff,0xffffffff,0xffffffff,
    0x3ffeabff,0xffffffff,0x8000dfff,0x4003efec,0xfffffffa,0xffffa86f,
    0xfffd3001,0x0001bfff,0x019ffd50,0x7fffff40,0xffffffff,0x3ffffe4f,
    0x3ff24fff,0x227fffff,0xffffffff,0x3fffffe6,0xfd5007ff,0xff50019f,
    0xffffffff,0xffffffff,0x7ffffe4f,0xfff85fff,0x52ffffff,0xffffffff,
    0xffffffff,0x0000ee21,0xfffd9000,0x5403bfff,0x7ed44eff,0xffffffff,
    0x7640dfff,0x02dfffff,0x7503fffb,0x7ffecc01,0xea81dfff,0x04efffff,
    0x03575310,0xfffffb30,0xffd503bf,0xec89dfff,0xffffffff,0xffffffff,
    0x3ffff667,0xfea81dff,0x264effff,0xfffffffd,0xffffffff,0x3ffb25ff,
    0xcdffffff,0x0000001a,0x7ffff640,0xfffb02df,0xab988003,0x00000000,
    0x7fffed40,0xffffffff,0x3fffaa0d,0x3f661dff,0x5c2dffff,0x2dfffffe,
    0x3fffffaa,0x8000002d,0xffffffec,0xffffffff,0x3ff667ff,0xa81dffff,
    0x4efffffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x22cefeb9,0xbd710019,0x22000101,0x00080deb,0x36600000,0x4030003d,
    0x6d400008,0x00066cc2,0x0000c011,0x2e026a60,0x04eeeeed,0x0002ee20,
    0x800cec98,0x88000bb8,0x8000ffff,0xa8006008,0x10beefdc,0xdb0cd981,
    0x005bdddd,0x8800c011,0x80aaaaaa,0x01aaaaa9,0x0406f5c4,0x207db300,
    0x00000000,0x55555530,0x01555555,0xffffffb8,0x0001efff,0x55100000,
    0x3f660001,0xffffffff,0x7d403ffc,0xf70cffff,0xfffa800b,0x0bf70cff,
    0x7ffff440,0x404fffff,0x4006fffe,0x3ffa86fe,0x1fff1000,0xa801ffec,
    0x0ffd83ff,0x7ffe4000,0x3ffea6ff,0x2005ffff,0x50005fff,0xf007ffff,
    0xf1000bff,0xa8001fff,0x0ffd83ff,0x3ffffa60,0x2ffeffff,0x7ffcfffa,
    0x200fffff,0xffe83ffa,0x3fffe600,0x3fa4ffff,0x07ffffff,0x19fffff5,
    0x3f6017ee,0xfd32efff,0x32000003,0x7ffe402f,0xffffffff,0x3f602fff,
    0xffffffff,0xdc88002f,0xffffffff,0x7fff5c03,0x3ea001ef,0xffffffff,
    0x205fffff,0xffecfff8,0x2004ffef,0xffecfff8,0x2004ffef,0xfffffffa,
    0x7f405fff,0xf3005fff,0x6ffd85ff,0x3fff5000,0xd8027ffc,0x7ffc46ff,
    0xffd10003,0x269fffff,0x5fffffff,0x0ffff500,0xfffff100,0x7fffa807,
    0xffff8800,0x37fec000,0x4c0fffe2,0xffffffff,0x3a4fffff,0xfffff4ff,
    0xffd80fff,0x017ffcc6,0xfffffff7,0x3fffe2df,0x441fffff,0xfffecfff,
    0x7dc04ffe,0xfefffcdf,0x400000ff,0x7401ffe8,0xffffffff,0x04ffffff,
    0x5555554c,0xe88001aa,0xffffffff,0x3ff203ff,0x01ffffff,0xffffffa8,
    0xfffffede,0x7067407f,0x0009ffff,0x7ffdc19d,0xaa88004f,0x02aaaaaa,
    0x1ffffd98,0xb81fff00,0xf50004ff,0x27ffc3ff,0xe84ffb80,0xfb0000ff,
    0x9fffffff,0x7fff7654,0xbfff1005,0xffff9000,0xbfff1007,0xffff1000,
    0x4ffb8001,0xf880ffe8,0xfddfffff,0x3e5fffff,0xdffff5ff,0xffb8039d,
    0x200ffe84,0xffffffe8,0x3ffff22f,0x19d06fff,0x027fffdc,0xffd31754,
    0x800003df,0xb803fff9,0xffffffff,0x01efffff,0xf8800000,0xeeeeefff,
    0xff903ffe,0xfffd75bf,0x7fffc403,0xfffc881e,0x7710007f,0xb8800001,
    0x0000000b,0x07fff300,0x14c02a20,0x1fff7000,0x800fffe2,0x0002a029,
    0x4e7fffd4,0x3fa00cca,0x3366005f,0x6ffe8000,0x0066cc00,0x53000000,
    0xffc80540,0xfffa82ef,0x7d7ffe5f,0x298004ff,0x2e001510,0x2601afff,
    0x8001fffc,0x80000bb8,0x800002ca,0x4001fffb,0xdfff9999,0x00000999,
    0x33fee000,0x107ff100,0xff703fff,0x77ffe407,0x3fffcc00,0x00000000,
    0x1c980000,0x2000bb88,0x00004fff,0xfff70000,0x00bffe21,0x64000000,
    0xe8002fff,0x000005ff,0x0017ffe0,0x00000000,0x3ff60000,0x3ffe600f,
    0x7fd7ffe5,0x0000004f,0x00fffd40,0x0007ffdc,0x00000000,0x1dff1000,
    0x9fff0000,0x55555100,0x55553015,0x07fd8035,0x7e417fc4,0x817fe02f,
    0xb000effe,0xaaa88dff,0xaa980aaa,0x26001aaa,0x00aceedb,0x40fff880,
    0x3e004ffc,0x000004ff,0x4fff9000,0x0002fff9,0xffb00000,0x3ffa000f,
    0x20000005,0x00005fff,0x00000000,0x05fff800,0x3fe3ffd8,0x009fff5f,
    0xfa800000,0xffb801ff,0x5555300f,0x55555555,0xaaaa9801,0x00002aaa,
    0x200004d8,0x7cc04fff,0x4fffffff,0x3ffffffa,0x01ffa07f,0xdff103fa,
    0x880ffc80,0x26004fff,0x3ffe63ff,0x3a4fffff,0x7fffffff,0x7fffec40,
    0x4003ffff,0x7ec1fffa,0x3ffe005f,0x55553004,0x80005555,0x3fe67ffc,
    0x2aaaa01f,0xaaaaaaaa,0x000aaaaa,0x2000bffd,0x55545ffe,0xaaaaaaaa,
    0x00aaaaaa,0x54c0bfff,0xaaaaaaaa,0xfeb80aaa,0x004fffff,0x2aaaaaa6,
    0x40aaaaaa,0xf9807ffd,0x7d7ffe1e,0xaa9804ff,0x2aa600aa,0xfff500aa,
    0x1fff7003,0xffffff90,0xffffffff,0xfffff105,0x003fffff,0xde980000,
    0x04fff800,0x7fffffdc,0xffff16ff,0x503fffff,0x01009ffd,0xfb809ff5,
    0x1fffa81f,0x3ee14c00,0x6fffffff,0xfffffff1,0x3fea03ff,0xffffffff,
    0x3f6000df,0x001ee984,0xf1013ffe,0xffffffff,0xd510003f,0xff955fff,
    0xfff8819f,0xffffffff,0x1fffffff,0x00bffd00,0x7c57ffa0,0xffffffff,
    0xffffffff,0x0bfff01f,0x3ffffff2,0xffffffff,0x3ffffe22,0xf9004fff,
    0xffffffff,0x5c5fffff,0x8001efff,0x9fff5fff,0xfffffe80,0xffffe83f,
    0xfffa84ff,0x0fffb801,0xffffffe8,0xffffffff,0xfffff984,0x004fffff,
    0x2055cc00,0xf804fff9,0x7f4404ff,0x23ffffff,0xfffffffc,0x7ffff4c5,
    0x7dc000df,0xfeca882f,0x07ffc81f,0xfffd1000,0x7e47ffff,0x05ffffff,
    0xbffffff3,0x1ffffffd,0x40000000,0x7cc04fff,0xffffffff,0x7fe4004f,
    0xffffffff,0xf50effff,0xffffffff,0xffffffff,0x3bb6e03f,0x2ceeffff,
    0x2abffd00,0xffffffff,0xffffffff,0xbfff01ff,0x3fffffa0,0xffffffff,
    0x7ffffc4f,0xfd004fff,0xffffffff,0x449fffff,0xbdffffff,0xf5fff801,
    0x7fc409ff,0x445fffff,0x6fffffff,0x801fffa8,0xfb80fffb,0xffffffff,
    0xb01effff,0xffffffff,0xb88000ff,0xcefffffd,0x804ffffb,0xf5004fff,
    0x64c035ff,0xffd81fff,0x03ffffff,0xf503ff20,0xd03fffff,0x80000bff,
    0x201afffa,0x201fffc9,0xa81efffe,0x0005ffff,0x3ffe0000,0xffffd804,
    0x007fffff,0x7ffffffc,0xffffffff,0x3ffffa2f,0xffffffff,0x981fffff,
    0xffffffff,0xe800ffff,0x3fffa5ff,0xffffffff,0x01ffffff,0x3ee0bfff,
    0xffffffff,0x441effff,0x4fffcccb,0xfffff700,0xffffffff,0xffff983d,
    0x02dfffff,0x3ffebfff,0x7fffe404,0xfffd82ff,0xffa83fff,0xfffb801f,
    0x3e666600,0x00999dff,0xfffe9988,0x50002fff,0xffffffff,0x0dffffff,
    0x4013ffe0,0xb801fffa,0x7fc40fff,0xdfffb10d,0xb8ffb005,0x1fffffff,
    0x0005ffe8,0x00fffd40,0xc807ffdc,0x2200dfff,0x0002fffe,0xbfff0000,
    0x3fa66200,0x002fffff,0x3ffffff2,0xffffffff,0x7ffe440f,0x9999999a,
    0xf981fffb,0xffffffff,0xfe800fff,0x7ffe445f,0x9999999a,0xf881fffb,
    0x4ccc04ff,0x999dfff9,0x13ffe000,0xff333300,0x401333bf,0xffffffe8,
    0x7fc0efff,0x009fff5f,0xf817fff6,0x3ea03fff,0xffb801ff,0x3ffe000f,
    0x3fe20004,0x006fffef,0xffffffa8,0xffffffff,0x9fff000e,0x07ffea00,
    0x203ffee0,0xfffb86ff,0x9bfa00df,0xfbadfff9,0x05ffe81f,0x7ffd4000,
    0x0fffb801,0x006fff98,0xc81ffff3,0x4c0fffff,0x04fffffd,0x016ffff4,
    0xffefff88,0x7d44006f,0xffeaadff,0x3fee01af,0x7ffd400f,0xffddb501,
    0x0039ddff,0x3ee17ffa,0x7fd400ff,0x3ffae21f,0x7ffc003f,0x3ffe0004,
    0x7ffc0004,0xfec98004,0x1fffffff,0x7ffd7ffe,0xffff1004,0x0bfff905,
    0x801fffa8,0x2000fffb,0x20004fff,0xffcafffb,0x3fe6001f,0xb989bfff,
    0x006fffff,0x54013ffe,0xfb801fff,0x4ffb80ff,0x3ffffd88,0x7fe4dfd0,
    0x3607fee3,0x400006ff,0xb801fffa,0xffc80fff,0x3ff2002f,0x3fffea2f,
    0x7ffe40ff,0x7d404fff,0xb801ffff,0xfffcafff,0x7ffc4001,0x201bff63,
    0x2080fffb,0xd000fff9,0x3a000bff,0xfffb85ff,0x3ffe6080,0x3fffff60,
    0x27ffc000,0x09fff000,0x04fff800,0xffdb9800,0x57ffe5ff,0x2a004fff,
    0x3e60ffff,0x7d400fff,0xffb801ff,0x3ffe000f,0x3ffa0004,0x009fff37,
    0x206fffec,0xffffffe8,0x09fff002,0x007ffea0,0x2203ffee,0xe981effe,
    0x7f40dfff,0xff71ffa6,0x01fff903,0x7ffd4000,0x0fffb801,0x4006ffd8,
    0x3e23fff8,0x5c0fffff,0x04ffffff,0x17ffffc4,0xf9bfff40,0x7c4004ff,
    0x1bffa3ff,0x983ffee0,0x01bfe2fe,0x0005ffe8,0xff70bffd,0xf17f4c1f,
    0xffffe8df,0x4fff8005,0x13ffe000,0x09fff000,0x3a600110,0xbfff0fff,
    0xb0013ffe,0x7ff49fff,0xfffa802f,0x0fffb801,0x013ffe00,0xd27ffd40,
    0x7fc00fff,0xfffe886f,0xf006fffe,0x3ea009ff,0xffb801ff,0xfffb100f,
    0xdfff7019,0x1bfa6fe8,0xff703ff7,0x5400007f,0xfb801fff,0x4fff80ff,
    0x45ffe800,0x80fffdb9,0x04fffcb9,0x06ffffec,0xe93ffea0,0x7cc007ff,
    0x17ffa2ff,0xb83ffee0,0x002a25ff,0x0005ffe8,0xff70bffd,0x12ffdc1f,
    0xffffa815,0x7ffc002f,0x3ffe0004,0x7ffc0004,0x017fcc04,0xff2fff98,
    0x013ffebf,0x95ffff10,0x2600bfff,0xfe802fff,0x7ffc007f,0xfffb0004,
    0x017ffdc3,0x220fffd4,0xfd8ffffe,0xfff800ff,0x3fff5004,0x01fff700,
    0x83ffffc8,0x3fa2ffe9,0xfb8bff26,0xffff881f,0x20f66001,0xb801fffa,
    0x7fc40fff,0xffd8003f,0x01fff506,0x7c04fff8,0xfb000eff,0x7ffdc3ff,
    0x7f6dc402,0xfffeeeff,0x3fee02df,0x7ffecccf,0x2fff4000,0x85ffe800,
    0xecccfffb,0x3ea007ff,0x7fc003ff,0x3fe0004f,0x7fc0004f,0x3ffe404f,
    0xf3fff980,0x13ffebff,0x3fffea00,0x2000ffff,0x7cc05fff,0x7fc005ff,
    0xff88004f,0x37ffc45f,0x223ffe40,0xf51ffffe,0xfff003ff,0x3ffea009,
    0x0fffb801,0xefffea80,0xfb2ffc41,0x5f7ffccd,0xff901ffc,0xff7005df,
    0x1fffa83f,0x40fffb80,0x8002fff9,0xff507ffc,0x4fff801f,0x8027ffc0,
    0x7c45fff8,0x7fe406ff,0xffffffff,0x703fffff,0xffffffff,0xfe8000ff,
    0xffd0005f,0xfffff70b,0x800fffff,0x7c004fff,0x3e0004ff,0x7c0004ff,
    0x7fec04ff,0x7ff400cf,0x3ebfff1f,0xf90004ff,0x005fffff,0x203fffd8,
    0x4003fffd,0xb8004fff,0xffc82fff,0x37fec01f,0x43ffffd1,0xf802fff9,
    0xff5004ff,0xfff7003f,0x7ffdc001,0xc9bfa23f,0x7fffdc7f,0x3f605fff,
    0x989adfff,0x1ffffdba,0x400fffd4,0xff80fffb,0xffd8003f,0x01fff506,
    0x7c04fff8,0xff7004ff,0x3fff905f,0x7ffffe40,0xffffffff,0xfff704ff,
    0x0fffffff,0x05ffe800,0x70bffd00,0xffffffff,0xfff800ff,0x27ffc005,
    0x09fff000,0x04fff800,0x67ffffec,0xfffb999a,0x2bfff0ff,0x10004fff,
    0x00bffffd,0x9fffff10,0xdfffd533,0x09fff000,0x57fffd00,0x9fff9555,
    0xb2fffc80,0xfb83ffff,0x332a20ff,0xccefffcc,0xfffa82cc,0x0fffb801,
    0x7ffec400,0x2e4ffffe,0x7ffd40ff,0x7e405fff,0xffffffff,0xa85fffff,
    0xfb801fff,0x5ffe80ff,0x04fff800,0xf801fff5,0x7ffc04ff,0x7fffd004,
    0xfff95555,0x7f764409,0xfffeeeff,0xff700cee,0xffffffff,0x5ffe8000,
    0x0bffd000,0xfffffff7,0xff800fff,0x7ffc005f,0xcccca804,0xcccefffc,
    0xfff001bc,0xffffd809,0xffffffff,0x3ffe2fff,0x0009fff5,0x007fffcc,
    0xfffffb80,0x1fffffff,0x04fff800,0x7ffffd40,0xffffffff,0x6fffd407,
    0x441ffffd,0x7fec5fff,0xffffffff,0x7d43ffff,0xffb801ff,0xff50000f,
    0x4c1dffff,0x533101ff,0x3fff2003,0xffffffff,0x3fff503f,0x01fff700,
    0x9800fff9,0xff503fff,0x4fff801f,0x4027ffc0,0xfffffffa,0x07ffffff,
    0x7ccfff90,0xffb802ff,0x01bff20f,0x00bffd00,0x2e17ffa0,0x3ff20fff,
    0x2fffc006,0x013ffe00,0xfffffff5,0xffffffff,0x9fff001f,0xfffffb80,
    0xffffffff,0xfafffc3f,0x7c0004ff,0x5c0005ff,0xffffffff,0xff0001ef,
    0xffd8009f,0xffffffff,0x7402ffff,0x1fffffff,0x21ffff4c,0xfffffffe,
    0x4fffffff,0x4027ffc4,0x40007ffc,0x882efff9,0x800004ff,0xffffffda,
    0x3e201cef,0xffc804ff,0x09fff707,0x80ffff40,0x7c00fffa,0x7ffc04ff,
    0xffffd804,0xffffffff,0xffc802ff,0x007ffe67,0xfb83ffee,0x007b625f,
    0x8002fffc,0xffb85ffe,0x897fee0f,0xbfff01ed,0x04fff800,0x7fffffe4,
    0xffffffff,0xfff801ff,0x5cf6c404,0xfffffffe,0xf5fff80c,0xf80009ff,
    0x980005ff,0xcffffffd,0x3ffe0000,0x3ffe2004,0xffffffff,0x5406ffff,
    0x8bffffff,0xeffffca9,0x7fffed40,0xffffffff,0x0ffff80d,0x817ffa20,
    0x7fcc04fa,0x003ffa04,0x7fd44000,0x7ffc001b,0x3ffa200f,0x3ffff105,
    0x0bfff700,0x200fffd4,0x7fc04fff,0x7ffc404f,0xffffffff,0xd806ffff,
    0x3ffea7ff,0x0fffb801,0xbff50654,0x09fff300,0x217ffa00,0x6540fffb,
    0x7c17fea0,0x7fc005ff,0x7fec404f,0xffffffff,0xf004efff,0x220009ff,
    0x7c01bffb,0x09fff5ff,0x05fff800,0x37fe2000,0xfff00001,0x7ffdc009,
    0x9999999b,0x401fffc9,0xfffffffe,0x0dffffff,0x003df900,0x104fffd8,
    0x6407fffd,0x27fcc06f,0x0809ff70,0x0bfe2000,0x13fff600,0x01ffff44,
    0x405ffff5,0x200ffffb,0xd503fffa,0x7c409fff,0x7fdc04ff,0x999999bf,
    0x01fffc99,0xff737fec,0xfff7001f,0x0fff9001,0x005fff90,0x2e17ffa0,
    0xfc800fff,0x0bfff07f,0x004fff80,0x0003ff70,0x0009fff0,0x7c00ffc4,
    0x09fff5ff,0x05fff800,0x07fe2000,0x4fff8000,0x01fffa00,0x9027ffc4,
    0xffffffff,0x00bfffff,0x98004fd8,0x99cfffff,0x406fffeb,0x7fec07fd,
    0x0fffe202,0x40017f62,0x4004fff8,0x9cfffff9,0x06fffeb9,0xadffffc8,
    0xffffeb98,0x77ffc403,0xfffea98a,0xff702eff,0x7ffe807f,0x09fff100,
    0x3ee5ffe8,0xffb800ff,0x7ffc800f,0x3f266ee2,0xd0000fff,0xfff70bff,
    0x0fff9001,0x8003fff6,0x90004fff,0x3e0000bf,0x220004ff,0x7fc03fff,
    0x009fff5f,0x005fff80,0x656ffc00,0xcca8803f,0xccefffcc,0x7fe541cc,
    0xa880acef,0x42cffffc,0xfecffffc,0x02dfffff,0xebaefb80,0xffff5006,
    0xffffffff,0xccffd803,0xefffcccc,0x7fffd400,0x05fffedd,0xffee8980,
    0x7ffd4000,0xffffffff,0xfffd001f,0xffffffff,0x3ffa009f,0xffffffff,
    0x2a3fffff,0x501ffffe,0x159dfff9,0xffff9510,0x97ffa059,0x5cc07ffc,
    0xccccfffd,0xffeccccc,0x3fffff27,0x32003fff,0x25fffffe,0xccfffdb9,
    0xeccccccc,0xfff707ff,0x665441bf,0xccefffcc,0xffa801cc,0x54406ebb,
    0xefffcccc,0x9801cccc,0x7c07ffe8,0xfffff5ff,0xcca807bf,0xbccefffc,
    0x7fe40001,0xfd803fff,0xffffffff,0xf73fffff,0x9fffffff,0xffffffd0,
    0x3ffe21ff,0x0055cc2f,0x7ffffc00,0x3ffee006,0x2effffff,0xfffffd80,
    0x01ffffff,0xffffff50,0xb8001dff,0x00ffcdff,0xfffffb80,0x002effff,
    0x7fffffe4,0x2002ffff,0xfffffff9,0xffffffff,0x13ffffa4,0x7fffffdc,
    0xfffe84ff,0xf80fffff,0x1bff24ff,0xffffff88,0xffffffff,0x3f27ffff,
    0x05ffffff,0x3ffffea0,0xffff15ff,0xffffffff,0x0fffffff,0x8fffffa2,
    0xfffffffd,0x3fffffff,0xeffffe80,0x3ffff600,0xffffffff,0x3ff203ff,
    0x3a00ffdd,0xfffff4ff,0x3ee01fff,0xffffffff,0x40001fff,0xd003efda,
    0xffffffff,0x29ffffff,0xfffffffc,0xfffff85f,0x3fa2ffff,0x8000003f,
    0x000dfec9,0x7ffffec4,0xffb000cf,0xbdffffff,0xeca88001,0x30002def,
    0x009fffff,0x7fffec40,0x30000cff,0xbffffffd,0xffd30001,0xff5bffff,
    0x7fec3bff,0x3fff205f,0xf85fffff,0xffffffff,0x261ffc82,0x3fea03ff,
    0xffffffff,0xffffffff,0x3ffffa27,0x7fcc003f,0xf55fffff,0xffffffff,
    0xffffffff,0x7ff440ff,0x3ffffa2f,0xffffffff,0xeb8804ff,0x7ff401df,
    0xffffffff,0x2a04ffff,0x404fffff,0xffff3ffd,0x7e40ffff,0xffffffff,
    0x00002fff,0xfffb5000,0xffffffff,0x3ff661bf,0xa81dffff,0x4efffffe,
    0x00000dc4,0x44000000,0x00001ab9,0x00000000,0x00772600,0x0d5cc400,
    0x57310000,0x2a200001,0x220009ac,0x7ecc02bb,0x81dfffff,0xefffffea,
    0x06202604,0x3ffffb20,0xffffffff,0xa887ffff,0x7300009b,0x64599999,
    0xfffffffe,0xffffffff,0x42ca807f,0xffffffda,0x0dffffff,0xfb500000,
    0xffffffff,0x8801bfff,0xb8802dda,0x33333323,0x3ff6600b,0xefffffff,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8800000,0x800080de,0xfffffffb,
    0x30001eff,0x0179ddb7,0xfffffb80,0x801effff,0xeeeedba8,0x4400deee,
    0xff70003c,0xdfffffff,0x10000003,0x2e000000,0xffffb804,0x01efffff,
    0x55555550,0x55555555,0x55300155,0x00555555,0x00000000,0x00000404,
    0x03500000,0x00000000,0x00003950,0x00000000,0x00000000,0x00000000,
    0x7d400150,0xf70cffff,0xfffd800b,0x3fffffff,0x7ffec400,0x003fffff,
    0x3ffffff6,0x2e02ffff,0xfffffffe,0x403fffff,0xd8002ffc,0xffffffff,
    0x000002ff,0x000037ec,0x3600ffc0,0xffffffff,0x7fc402ff,0xffffffff,
    0xffffffff,0x3fffe201,0x01ffffff,0x1baa0000,0x21fd8800,0x900003fb,
    0xf900005f,0xfc80003f,0x74400003,0x00005fff,0x00007f44,0x000009f7,
    0x54001ba6,0x000000df,0xf9807f62,0xff8805ff,0xfefffecf,0xaa98004f,
    0x01aaaaaa,0x7ffffd40,0x1effffff,0x55555300,0x7e403555,0xeeffffff,
    0x400cefff,0x30004ffe,0x55555555,0x36e60003,0x3f60bdee,0x000001ff,
    0x26007fe6,0xaaaaaaaa,0xffffa801,0xffffffff,0x01ffffff,0x3fffffe6,
    0x0004ffff,0x00bff700,0x647ffa20,0x440003ff,0x80001ffe,0x40004ffe,
    0x00005ffc,0x017dcbf2,0x0fffa800,0x37fee000,0x3ee00000,0xff30005f,
    0x3000001d,0x7ec01ffd,0xce801fff,0x13fffee0,0x40000000,0xdffffff9,
    0x0efffffe,0x7ec00000,0x3ffacfff,0x7fc009ff,0x0000005f,0x3fff6200,
    0xfbcfffff,0x000007ff,0x00007fdc,0x3fffa000,0xffffffff,0x01ffffff,
    0x7fffffec,0x00007fff,0x000effd8,0xf92ffe88,0xf98000bf,0xf00003ff,
    0xb0000bff,0x00001dff,0x0005e89f,0x001fffb8,0x01effc80,0x0effd800,
    0x3ffee000,0x3ea00002,0x3fe202ff,0x20004fff,0x00000bb8,0xffd10000,
    0xfff503df,0x4000009f,0xf10efff8,0x8013fe7f,0x00005fff,0xfff50000,
    0xffffffff,0xa885ffff,0x981aaaaa,0xfdaaaaaa,0x0000006f,0x35fff910,
    0xf7333333,0x331003ff,0x5ffffffd,0x3fa20000,0xfd10005f,0x017ff25f,
    0x03fff500,0x2fffc000,0xfffb8000,0x136c0001,0xfd80007f,0x200000ef,
    0x0002fffa,0x000bffd1,0x00fffe60,0x07bff200,0x9fffff10,0x00000000,
    0x2b3bb6e6,0x3fff2000,0x7fff4405,0x55555302,0x15555555,0xf117ffdc,
    0x8013fe7f,0xa800dfff,0xaaaaaaaa,0xaaaaaaaa,0xfffff300,0xfffffdbf,
    0xfff989ff,0x3a4fffff,0xffffffff,0x554c04ff,0x002aaaaa,0x003ffee0,
    0x4003fff5,0xfffefff8,0xff900006,0x7fe40007,0x0009ff32,0x000eff88,
    0x02fffc00,0x0dff3000,0xfcefa800,0x3ea0000f,0x3000005f,0x32000ffd,
    0x400003ff,0x0000ffe8,0x40037fe6,0x983fffff,0x2600aaaa,0x801aaaaa,
    0xffffffd8,0xffa803ff,0xfff3006f,0xffffc81f,0xffffffff,0x1fffb2ff,
    0x4ff9ffc4,0xffffda80,0x3e20bbdf,0xffffffff,0xffffffff,0xdfffd01f,
    0xffffb883,0x7fffdc0f,0xff16ffff,0xffffffff,0x3ffe201d,0x1fffffff,
    0x1fff7000,0x07ffcc10,0x95fff700,0x00003fff,0x980003b5,0x000f621d,
    0x000066c0,0x002fffc0,0x000f6200,0x0077f6a0,0x0007b300,0x004c8800,
    0x00003b50,0x20002e40,0x7f4003d8,0x7ff42fff,0xffb06fff,0x01ffffff,
    0x3fffffea,0x00dfffff,0x8007fff2,0x7f41fffc,0xffffffff,0xfb4fffff,
    0x9ffc41ff,0x3fa204ff,0xffffffff,0x3fffea4f,0xffffffff,0x81ffffff,
    0x900dfffc,0x887fffff,0xfffffffe,0x3fffff22,0x2600dfff,0xffffffff,
    0xf70004ff,0x17f4c1ff,0xfe800dff,0x09fff37f,0x00000000,0x00000000,
    0x2fffc000,0x00000000,0x00000000,0x00000000,0x00000000,0x74000000,
    0x3e21ffff,0x83ffffff,0xffffffff,0xffff982f,0xffffedff,0xdffb00ff,
    0x3fff8800,0x7fffffdc,0xefffffff,0x445fff91,0x209ff3ff,0xffffffe8,
    0x746fffff,0xffffffff,0xffffffff,0x37ffcc1f,0xffffff50,0x2bffee0f,
    0x3fff2601,0x3fff6001,0x07ffffff,0x41fff700,0x02a25ffb,0x24fffa80,
    0x40007ffe,0x000aaba9,0x00055c40,0x4c06aa60,0x7fc0001a,0x0000005f,
    0x57551000,0x54400013,0x00009aba,0x0000ab88,0x000aba98,0x26aeaa20,
    0x5d4c0000,0xffd800aa,0x7ffec1ff,0x7e41ffff,0x06ffffff,0x503dfffd,
    0x3e0bffff,0xfe8004ff,0xf333304f,0x81333bff,0xf10efffa,0x6c13fe7f,
    0xbaadffff,0xc887fffd,0x9999afff,0x1fffb999,0x8817ffdc,0xfffeffff,
    0x01fffa82,0x000fffb8,0x7fff4cc4,0xb8002fff,0xfecccfff,0x7ec0007f,
    0x3ffee1ff,0xfffb8002,0x4fceffff,0xfffeca80,0xb5001cef,0x23dfffff,
    0x02ffffe9,0x3ffffff6,0xffffffff,0x7ffe43ef,0x7fecc0ff,0x36a04fff,
    0xffffffff,0xffb5001d,0x3bffffff,0xffeca800,0x2001ceff,0xffffffc8,
    0xfda800df,0xdfffffff,0x3ffa6001,0xebdfffff,0x7fffe40d,0xfffff700,
    0x3ffee60d,0x1bfff901,0x17fff440,0x000fffe2,0x7c01bff6,0xffc804ff,
    0xf3ffacff,0xffff309f,0x41fffa03,0x5400fffb,0x7fec1fff,0xbfffd106,
    0xf509fff3,0xff7003ff,0x3e20001f,0x06fffeff,0xfffffb80,0x0007ffff,
    0xf117ffe2,0x7cc00dff,0xffffffff,0x3200ffff,0xffffffff,0x3ea00dff,
    0xffffffff,0xfffffffc,0xfffffa83,0xffffffff,0xf50fffff,0xc81fffff,
    0x04ffffff,0xfffffff7,0x805fffff,0xfffffffb,0x002fffff,0xfffffff9,
    0xa801bfff,0xffffffff,0x3ee03fff,0xffffffff,0xfc802fff,0xffffffff,
    0x7dc2ffff,0x3fe607ff,0xf503ffff,0xfff303ff,0x3ffe600d,0x0bffe60f,
    0x01fff200,0xc8027ffc,0x3fffffff,0xfff909ff,0x827fd403,0x2080fffb,
    0x7fc0fff9,0xdfffb04f,0x2a17ffe1,0xfb801fff,0xf70000ff,0x3fff95ff,
    0xffffb800,0x007fffff,0x20bffee0,0x8801fffc,0xfffffffe,0x02ffffff,
    0xfffffffb,0x40dfffff,0xfffffffb,0xffffffff,0x7fcc2fff,0xffffffff,
    0x7fffffff,0x3fffffe2,0x7ffffdc0,0xffff704f,0xffffffff,0x7ffdc01f,
    0xffffffff,0x7fec00ff,0xffffffff,0x3fee06ff,0xffffffff,0xff704fff,
    0xffffffff,0x7ec01fff,0xffffffff,0x5c4fffff,0x3e607fff,0x80ffffff,
    0xfc81fffa,0x3f2002ff,0x3ffe22ff,0x6ffe8003,0x009fff00,0x7fffff54,
    0xffd09ff3,0x2019700d,0x3a60fffb,0xf11bfe2f,0xfff707ff,0x437fec3f,
    0xb801fffa,0xd0000fff,0x3ffe6fff,0x7ffdc004,0x07ffffff,0x2ffffa00,
    0xfffcaaaa,0xefffa804,0xffca99ac,0xfffd82ff,0xfda99acf,0xfb105fff,
    0xfffb337b,0xfff93bff,0x9999730d,0x999dfff9,0xdb981599,0xcb980fff,
    0xdb104fff,0xd733359b,0x6c407fff,0xb999acde,0x3603fffe,0x99acffff,
    0x85ffffda,0xaceffff9,0xffffeca9,0xacded881,0xfffeb999,0xbffff503,
    0xffd95335,0xfffa89ff,0x3bffe606,0xffa85fff,0x06ffd81f,0x21fffc40,
    0xf8005fff,0xfff004ff,0xfb710009,0x3e13fe7f,0xb80005ff,0x3fee0fff,
    0xff302a25,0xffff987f,0x543ffe42,0xfb801fff,0xfa8000ff,0x1fffa4ff,
    0x41fff700,0x50006ffc,0xffffffff,0x00ffffff,0x4403fff9,0x7fd40fff,
    0x3fea01ef,0x7c4001ff,0x7fec6fff,0x3ffe002f,0xfffa8004,0x027ffc00,
    0x13ffe200,0x3ffe2000,0x3dfff504,0x0ffffd40,0x80bffff1,0x0006fffc,
    0x2213ffe2,0x6402ffff,0x7fcc4fff,0x3ffe605f,0x542fffea,0xfff81fff,
    0x5ffe8004,0x20037ff4,0xf003fff9,0x440009ff,0xd09ff3ff,0x70000fff,
    0xfd999fff,0xfff100ff,0x27fffc4b,0x7d437fec,0xffb801ff,0xffd8000f,
    0x0bffee1f,0x20fffb80,0x3b625ffb,0x7fffec01,0xffffffff,0x7fd402ff,
    0xc981acff,0x01fffd81,0x803fffb8,0xffffaaa9,0x02fffcc2,0x0009fff0,
    0xf801fff5,0x553004ff,0xbffd3559,0x56554c00,0xb05ffe9a,0xf7003fff,
    0x7ffcc7ff,0x7fffb006,0xaacaa980,0xfb85ffe9,0xff8804ff,0x2fffc42f,
    0xf55fff30,0x7fd41dff,0x1fffc41f,0x237fec00,0x2004fffb,0xf001fffe,
    0x440009ff,0xb09ff3ff,0x80005fff,0xfffffffb,0xfff007ff,0x82ffff4f,
    0xffa84fff,0xfffb801f,0x7ffc4000,0x037ffc45,0xa81fff70,0x817fea0c,
    0xfffffff8,0xffffffff,0x7fffc406,0x0bdeffff,0x4013ffe0,0xd505fff8,
    0xffffffff,0xffdddddf,0x7ffc00ff,0xfffa8004,0x027ffc00,0x3fffffee,
    0x805fffff,0xfffffffb,0xff05ffff,0x3fe2009f,0x3bffee5f,0xeeeeeeee,
    0x704fffee,0xffffffff,0xff90bfff,0x077dc00f,0xf301fffc,0x3fff65ff,
    0x307ffea4,0x90005fff,0xfff88fff,0xfffb801f,0x13ffe005,0xf3ff8800,
    0xdfff509f,0x40bb6a01,0xfffffffb,0xffb007ff,0x1ffff93f,0x507fff30,
    0xf7003fff,0xfb8001ff,0xfffc82ff,0x1fff7001,0x40fff900,0x999bfffb,
    0xffc99999,0x7ffcc01f,0xffffffff,0x02fff982,0xb11fff20,0xffffffff,
    0xffffffff,0x2001ffff,0xa8004fff,0x7fc00fff,0xfffd304f,0xffffffff,
    0x7ff4c0bf,0xffffffff,0xfff985ff,0x9fff2002,0xfffffffd,0xffffffff,
    0x7ff4c6ff,0xffffffff,0x6ffe85ff,0x3ff20000,0x4bffe600,0xf51ffff8,
    0x7fff03ff,0x0dffb000,0x405ffff9,0x000ffffc,0x80013ffe,0x09ff3ff8,
    0x26fffffa,0x07ffffc9,0xfffffff7,0x3ee00fff,0x1ffffeff,0x503fffd0,
    0xf7003fff,0xfe8001ff,0xcaaaabff,0xf7004fff,0xff9001ff,0x03fff40f,
    0x004fff88,0xffffffd7,0x7d41bfff,0x3ea001ff,0xffff10ff,0xffffffff,
    0xffffffff,0x3fe001ff,0xffa8004f,0x27ffc00f,0x7fffff44,0xffffffff,
    0xffffd105,0xffffffff,0x3fff50bf,0x87ffd400,0xfffffffd,0xffffffff,
    0x3ffa27ff,0xffffffff,0xfff85fff,0x04c00005,0xb8bffe60,0xfff56fff,
    0x00bffd03,0x3609fff0,0x98adffff,0x04ffffeb,0x0027ffc0,0x3fe7ff10,
    0xfffff304,0xbfffffff,0xc83ffee0,0x3fe006ff,0x703fffff,0x3ea0bfff,
    0xffb801ff,0x3fea000f,0xffffffff,0x5cc07fff,0xccccfffd,0xffeccccc,
    0xefffca87,0xfca880ac,0x2002cfff,0xfffedca9,0x0fffe22f,0x2e6ffc80,
    0x99acffff,0xeeeffffa,0x00eeeeee,0x0009fff0,0xf801fff5,0xfffe84ff,
    0xaa989bef,0xffd05fff,0x53137dff,0xf10bfff5,0x7e4007ff,0x3bfff26f,
    0xeeeeeeee,0x3a5eeeee,0x89beffff,0x85fffaa9,0x00006ffd,0x2fff9800,
    0x7d5ffff4,0x7ffc81ff,0x1fffcc00,0xfffffe88,0x4fffffff,0x04fff800,
    0x7cffe200,0x3ffe604f,0xffffffff,0x41fff701,0x3b625ffb,0xfffffb81,
    0x1ffff705,0x00bffe20,0xb001fff2,0xffffffff,0x05ffffff,0x3fffffe2,
    0xffffffff,0x7dc7ffff,0x4fffffff,0xffffffe8,0x027e40ff,0x3a37ffcc,
    0xf9800eff,0x3fff24ff,0x03ffff01,0x1ffec000,0x0fffd400,0xf113ffe0,
    0xfe801fff,0xffff885f,0x82fff400,0x9800effe,0x3fea4fff,0x7c40005f,
    0x7f400fff,0x0fffb85f,0x4c000000,0x7fcc2fff,0x81fffcff,0x2004fffb,
    0x2201fffe,0xfffffffd,0xf0002fff,0x440009ff,0x809ff3ff,0xffffffc8,
    0x7ffdc03e,0xff506540,0x3ffffe0b,0xffeb99bd,0x7ffc02ff,0x2fff4405,
    0xfffff100,0xffffffff,0x3fea0dff,0xffffffff,0xffffffff,0x7ffffe47,
    0xfff85fff,0x22ffffff,0xd802fff8,0x3fee0fff,0x3fa600df,0x3ffea2ff,
    0x5ffffa81,0xe9800110,0xffa8000d,0xfffd503f,0x03fffa89,0x217fff22,
    0x2203fffa,0xf705fffc,0x74c01bff,0x3fe22fff,0x822004ff,0x2203fffa,
    0xfa85fffc,0xf7000eff,0xf300101b,0xfff705ff,0xf103ffff,0xf7003fff,
    0x3ea00bff,0x1dffffff,0x13ffe000,0xf3ff8800,0x7ffc009f,0xfff7000e,
    0x0fff9001,0xfffffff7,0xbfffffff,0x07fffb00,0x00ffffa2,0x99bfffb8,
    0xfc999999,0xffd901ff,0xffffffff,0x8fffffff,0xffffffd9,0xfffea81d,
    0x7fcc5fff,0xa889aeff,0x446fffdc,0x89bffffe,0x6ffffc98,0x45f7ffc4,
    0xffffffc9,0x5ffeb98b,0x22000000,0xa98aefff,0x2efffffe,0x26fbffe6,
    0xffffda98,0x3fe61cef,0xda989bef,0x1cefffff,0x5fffff44,0xfffc9889,
    0xffffa86f,0xb9988ace,0xff33fffd,0xb53137df,0x39dfffff,0x9cffffd8,
    0xffd75311,0x02ffd85f,0x740bffe6,0x01ffffff,0x405ffff5,0x000ffffb,
    0x05dffff9,0xfff800a2,0x3fe20004,0x7c009ff3,0x3ee005ff,0xffc800ff,
    0x7ffffcc7,0xffffffff,0xfff3003f,0xfd7339ff,0xfe800dff,0xfff1007f,
    0xfc800009,0x2000000e,0xff981efb,0xffffffff,0x883fffff,0xfffffffe,
    0xb05fffff,0xffffffff,0xffffffff,0xca8fffff,0xcccccccc,0x1ccccccc,
    0x3fffffa0,0xffffffff,0x3fffa3ff,0xffffffff,0x23ffffff,0xfffffffe,
    0xffffffff,0x7ff443ff,0xffffffff,0x3ff605ff,0xffffffff,0x3a6fffff,
    0xffffffff,0xffffffff,0x3fffa23f,0xffffffff,0x3e61ffff,0x3fe606ff,
    0xffff302f,0x7fe403ff,0xeb98adff,0x9003ffff,0xffffffff,0x8bffb57b,
    0xffcccca8,0x01ccccef,0x9ffb9951,0x0059dff1,0x7300bfff,0x9999fffb,
    0xffd99999,0xacffff8f,0xdffffffd,0x7ffd4000,0xffffffff,0xff95001f,
    0x510159df,0x059ffff9,0x44bfe000,0xfd800001,0xffff8863,0xffffffff,
    0x3fa204ff,0xffffffff,0x7ffec04f,0xffffffff,0xffffffff,0x3ffffea5,
    0xffffffff,0x2607ffff,0xffffffff,0x4fffffff,0x3fffffe2,0xffffffff,
    0x3fe24fff,0xffffffff,0x4fffffff,0xfffffe88,0x804fffff,0xfffffffc,
    0x3fffffff,0x3fffffe2,0xffffffff,0x7fc44fff,0xffffffff,0x7c43ffff,
    0xff9304ff,0xfc8159bf,0x7401ffff,0xffffffff,0x5004ffff,0xffffffff,
    0xdfffffff,0xffffffd8,0xffffffff,0xfffffc83,0xfffffeff,0x01ffec03,
    0x3fffffe2,0xffffffff,0x3ee7ffff,0x55d445ff,0x7fdc0001,0xefffffff,
    0xffff7002,0xfd09ffff,0x1fffffff,0xbff90000,0x800005ff,0x23ffdffb,
    0xffffddfb,0x000cffff,0xffffffb7,0x3ff2007b,0xbdebefff,0x2dfffffe,
    0x7fffffd4,0xffffffff,0x2600ffff,0xdffffffe,0x41dffffa,0xffffffc8,
    0xffffeadf,0x7ffe440d,0xfeadffff,0x2e00dfff,0xdffffffd,0x3ff66003,
    0xefffffff,0xfffc881c,0xfeadffff,0xd700dfff,0xffffffff,0x06a2019f,
    0x7fffffcc,0x7ffc45ff,0xffc801ff,0xffffffff,0x3fff6002,0xffffffff,
    0x7f42ffff,0xffffffff,0xa84fffff,0xbeffffff,0x402fffff,0x7d400efa,
    0xffffffff,0xffffffff,0x03bfe67f,0x36200000,0x0cffffff,0x3ffff200,
    0xff85ffff,0x2fffffff,0xfff88000,0x400000ff,0x01ffffe8,0x26af2aa2,
    0x2ee60000,0x2ee60001,0x806ae602,0xffffffd8,0xffffffff,0x951003ff,
    0x22000135,0x000aacba,0x2ab2ea20,0x2e600000,0x4c40001b,0x0019abca,
    0x02ab2ea2,0x32aa6000,0x80001aac,0xfffffffa,0xffffa86f,0xfffd3001,
    0x8001bfff,0xaacdfffa,0x0befffdb,0xfffffda8,0xdfffffff,0x86666600,
    0x00001998,0xfffffd90,0xffffffff,0x0b98ffff,0x44000000,0x30001ab9,
    0xbffffffb,0xffffd503,0x800009df,0x00000aca,0x0002f260,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fff6400,0xffb02dff,0xb988003f,0x0c40000a,0x00000cc0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x002ee200,
    0x00000000,0x00400000,0x00191000,0x05300aa0,0x22000000,0x000e401c,
    0x2a200000,0x00000abb,0x001aba98,0x32600000,0x00032600,0x00015530,
    0x930000ea,0x4000c980,0x0001aba9,0x0006aa60,0x0000d544,0x00035531,
    0x40000370,0x0000001b,0x01a88000,0x03fa2000,0xffff5000,0x13ea0007,
    0xfe880000,0x9f700000,0x2a00374c,0x44002fff,0x7ec40dff,0xeeb8000f,
    0x06fb8001,0x26001bee,0xd50003fd,0x39ffffff,0xb89fffff,0xeaaffffe,
    0x0dffffff,0x0374c000,0x3f603fd8,0xffc88003,0x1004efff,0x0001bffb,
    0x3fd80ff6,0xffffd880,0xfffaaeff,0x3f6203ef,0x004fffff,0x7fffffd5,
    0x7fff5c00,0x4000dfff,0x0004ffe8,0x0027ff44,0x3bffffd7,0xdffffd70,
    0xfffec805,0x2a0002df,0x40000fff,0x00fd88ee,0x00effa80,0x7ffd4000,
    0xffc80000,0x200dff33,0xdfffffd8,0x3fff2000,0x00bfff52,0x00dfff10,
    0xf309ff30,0xffb0009f,0x7e44003f,0xffffffff,0x2fffffff,0xfffffff1,
    0xffffffff,0x2e0005ff,0xff9006ff,0x005ff703,0xffffffb8,0x7d402fff,
    0x003fffff,0xfb81ffc8,0x7ffd402f,0xffffffff,0x80ffffff,0xfffffffa,
    0x3ee01eff,0xefffffff,0x3fffe600,0x2fffffff,0xfffff700,0xff70003d,
    0x8803dfff,0x5fffffff,0xfffffff8,0x3ffff206,0x8004ffff,0x0001fffb,
    0x05f317cc,0x07ffee00,0x7ffdc000,0xffc80001,0x001dff55,0xfb5dfff3,
    0x7dc005ff,0x03fffeff,0x0ffff300,0x37fff600,0x000fffec,0x002ffff8,
    0x3ffffff6,0xffffffff,0x3ffe1fff,0xffffffff,0x3fffffff,0x077fe400,
    0xcefff880,0x4005fffd,0xfffffffb,0x3f202fff,0xdfffbbff,0x3ffe2000,
    0x05fffdce,0x7fffffdc,0xffffffff,0xff987fff,0xffffffff,0xfffb80ef,
    0xefffffff,0xfffff880,0xffffffff,0x3fffa200,0x004fffca,0xf95fffd1,
    0xfff809ff,0xfe84ffff,0x905fffff,0xffffffff,0x7ec005ff,0x880000ef,
    0x0007ea4f,0x002fffa8,0x0077fec0,0x9affe400,0xf8800eff,0x7ffdc3ff,
    0x3ff62000,0x740000ef,0x360004ff,0x1effffff,0x0dff7000,0x6ffffd40,
    0xfffea889,0x5441bdff,0xcffffffd,0xfffeca9a,0xbffb001f,0xffe98001,
    0x000dffff,0x37ffffee,0x2e03da9a,0x3f621eff,0x7f4c004f,0x00dfffff,
    0x2fbfffe6,0xffffdb99,0xfe80adff,0xfda9cfff,0x7fc45fff,0xffdabeff,
    0xfffb84ff,0xffca9acf,0x3ff606ff,0x0fffa60d,0x9837ff60,0x32202ffe,
    0x5102efff,0x5017ffff,0x9337ffff,0x5001ffff,0x80000bff,0x005fddfc,
    0x00ffe880,0x00bff500,0xe93fe600,0x376000ef,0x000db101,0x80000fee,
    0xc980001a,0x80003ced,0x3fe20029,0x3ff602ff,0x7fcc03ff,0x3f601fff,
    0xffb806ff,0x765c0004,0x7e4002cd,0x50004fff,0x01f5c07d,0x1cdecb80,
    0x05fffe80,0x07ffffe6,0x8837ffcc,0x3f20ffff,0xfff983ff,0x077fc40f,
    0x201fffd0,0x07b202eb,0xec80bae0,0x0ffff801,0x817ffea0,0xfb81fffd,
    0x3d9804ff,0xeb880000,0x100000cf,0x6cc00099,0x36200003,0x000065c3,
    0x00000000,0x00000000,0x40000000,0x4404fffa,0x4c03fffe,0xd801ffff,
    0x6cc01fff,0x00000002,0x03ffffb8,0x00000000,0xfff98000,0xffffa806,
    0x05fff701,0xfd0fffec,0x3fea01ff,0xb802883f,0x00001fff,0x70000000,
    0x7f409fff,0xfff301ff,0x03fff409,0x00000000,0x00000000,0x00000000,
    0x2aea6000,0x2a60000a,0x20000aab,0x0000aba9,0x026aeaa2,0x55753000,
    0x0fffc801,0x03fffb80,0x8037ffcc,0x0003fff9,0x20000000,0x0003fffe,
    0x98000000,0xfb800aba,0xffb002ff,0x1fff203f,0x7c5fff50,0x7ffc05ff,
    0x3fea0005,0xaba9802f,0x5c40000a,0xffd0000a,0xbfff501f,0x007ffe40,
    0x0005fff7,0x00000000,0x00aba980,0x00ab8800,0x40000000,0xffffffe9,
    0x200debdf,0xffffffe9,0x200debdf,0xffffffc8,0xfda800df,0xdfffffff,
    0x3ffa6001,0xebdfffff,0x01bff60d,0x201fffcc,0x2003fff9,0x00004fff,
    0x07ffffe4,0x3fffff66,0x04fffa84,0xfffff900,0xffffd981,0x7fe4404f,
    0x00dfffff,0x5c00fff9,0xff501fff,0x7ffec07f,0x807fff10,0x20007ffc,
    0x2e00fffd,0xefffffff,0xeca804fc,0x01ceffff,0x213ffee0,0x3601fffe,
    0x7fc406ff,0xfffff93f,0xffffd981,0xffffc84f,0x7ffecc0f,0x7e4404ff,
    0x0dffffff,0x3ffb2a00,0x6401ceff,0x4c0fffff,0x04fffffd,0x3ffffff2,
    0x2fffffff,0xffffff90,0x5fffffff,0x3ffffea0,0x03ffffff,0x3fffffee,
    0x02ffffff,0xffffffc8,0x2fffffff,0x4c01bff6,0x7cc03fff,0xff1003ff,
    0x3fffee7f,0xffffffff,0xffff53ff,0xfffc81ff,0xffd84fff,0x8035311f,
    0x0ffffffa,0x7fffffe4,0x3fffea04,0x3fffffff,0x000fffb8,0x2203fff7,
    0xf980efff,0x2fffc7ff,0x01ffff10,0x6fffd980,0xffffff30,0x1fffffff,
    0x7ffffe40,0x00dfffff,0x541fffd0,0x7f405fff,0xcfff805f,0x0ffffffa,
    0x7fffffe4,0x7ffffd44,0x7fffe40f,0x3fea04ff,0xffffffff,0xfffc803f,
    0xdfffffff,0xfffffa80,0x7fffe40f,0xfffb04ff,0xffffffff,0xffb09fff,
    0xffffffff,0xf709ffff,0xffffffff,0x2e09ffff,0xffffffff,0x200fffff,
    0xfffffffd,0x4fffffff,0x2003fff2,0x4c03fffb,0xb800efff,0xfff72fff,
    0xffffffff,0x3fe27fff,0x7dc0ffff,0xe84fffff,0xfffd8eff,0xfff104ff,
    0xffb81fff,0xf704ffff,0xffffffff,0xfa89ffff,0xfe8803ff,0x3ff601ff,
    0xffebbdff,0x7fff43ff,0x3ffffb00,0xffffea80,0xfe881fff,0xffffffff,
    0xfb02ffff,0xffffffff,0x2a00dfff,0x3ffa4fff,0x27ffc01f,0x7c6fff40,
    0x5c0fffff,0x44ffffff,0x0ffffff8,0x7fffffdc,0xfffff704,0xffffffff,
    0x7fffec09,0xffffffff,0xfffff886,0x7fffdc0f,0xfffa84ff,0xeca99adf,
    0x7d44ffff,0xa99adfff,0x44ffffec,0xaceffff9,0xffffeca9,0xacded881,
    0xfffeb999,0xbffff503,0xffd95335,0x7ffd49ff,0x7fff4404,0x7fffcc03,
    0x3ffea00d,0xfffff70f,0xffffffff,0x7fedcc7f,0xffcb980f,0xfefff84f,
    0xefffffff,0xfffdb981,0xfffcb980,0xeffff984,0xffeca9ac,0x3ffe21ff,
    0x3ff6202f,0x3fa201ff,0xffffffff,0x3fffc85f,0x2fffffa8,0x7fffff40,
    0xfff502ff,0xf953359d,0xffb05fff,0xb53359ff,0x200bffff,0xffa8fffe,
    0x4fff805f,0x735ffe80,0x7301fffb,0x7309fff9,0x7301fffb,0xf309fff9,
    0x5359dfff,0x03ffffd9,0x359ffffb,0xbffffb53,0x1fffb730,0x9fff9730,
    0x02ffff88,0xf127ffe4,0xfc805fff,0x3ffe24ff,0x7ffe405f,0x3fe20006,
    0xffff884f,0x27ffe402,0x405ffff1,0x403ffffd,0xbffffff9,0xffffb311,
    0x667ffdc9,0xffffeccc,0x0fffa80e,0x2227ffc0,0xffffffff,0x206fffff,
    0x7c00fffa,0x7ffc44ff,0x7ffe405f,0x6ffffdc6,0xffff7309,0xffb803ff,
    0xffffffff,0xdffff881,0xfffffc99,0x7ffec03f,0xf904ffff,0x7fc403ff,
    0x77ffd40f,0x3fffea01,0xdfffa801,0xf800fffe,0xffe804ff,0x007ffd45,
    0xfa813ffe,0x7ffc00ff,0x2ffffc44,0x51bfff20,0x5403dfff,0xf501ffff,
    0xfff801ff,0x027ffdc4,0xf717ffc4,0xff1009ff,0x37ffcc5f,0x03fffd80,
    0x4d56554c,0xffb85ffe,0xfff8804f,0x6ffffd42,0xfffeb98a,0x7fcc03ff,
    0xffffffff,0x544fffff,0xfff987ff,0xfff500ef,0x44fff801,0xfffffff8,
    0x3ffffd9c,0x801fff50,0x7fcc4fff,0xfffb006f,0xfffffc87,0xffffffff,
    0x3fe201ff,0xffffffff,0xffff706f,0xffffffff,0xfd95007f,0xf507ffff,
    0x30359fff,0x3fffb039,0x07fff700,0x3fffffa0,0x9fff005f,0xa8bffd00,
    0x7fc00fff,0x3ffea04f,0x227ffc00,0xb006fff9,0x7fec7fff,0xfffb801f,
    0x01fff503,0x7e44fff8,0x3bee007f,0x801fff20,0x3fee0efb,0xeeeeeeef,
    0x4fffeeee,0xffffff70,0x90bfffff,0x7dc00fff,0xffffd80e,0xffffffff,
    0x7fcc03ff,0xffffffff,0xf885ffff,0x7fffcc4f,0x3ffea00e,0x427ffc00,
    0x40efffff,0xa80ffff9,0x7fc00fff,0x77ffdc4f,0xeeeeeeee,0xd84fffee,
    0xffffffff,0x01ffffff,0x7dffffd1,0x0bfffff7,0x3ffffff6,0x01fffeff,
    0x7fffec40,0x7ffffc42,0x00bdefff,0x44013ffe,0xf5005fff,0x001fffff,
    0x3a013ffe,0x7ffd45ff,0x027ffc00,0xf801fff5,0x7ffdc4ff,0xeeeeeeee,
    0x24fffeee,0xf1004fff,0x3fea0bff,0x27ffc00f,0x0001bffa,0x0001bffa,
    0x3ffffff6,0xffffffff,0x7f4c6fff,0xffffffff,0xffe85fff,0x32200006,
    0xffffffff,0x403fffff,0xffbbfff9,0x01efffff,0x3fffe60c,0x7ffd400e,
    0x427ffc00,0xb00ffffd,0xff503fff,0x4fff801f,0x7fffffec,0xffffffff,
    0xfd306fff,0x77ffffff,0x3ee03fff,0xffa81eff,0xfff501ff,0xfff77fff,
    0x3fee0001,0xffff985f,0x2fffffff,0x002fff98,0xe801fff2,0x2004ffff,
    0xff805ffd,0x07ffd44f,0xa813ffe0,0x7fc00fff,0x7fffec4f,0xffffffff,
    0xf36fffff,0x7e4005ff,0x1fff507f,0x7c4fff80,0xf80005ff,0xd80005ff,
    0xffffffff,0xffffffff,0x3fffa27f,0xffffffff,0x5fff85ff,0xfe980000,
    0xf9cfffff,0x7fcc03ff,0x2af2a62f,0xfffa8001,0xffa800df,0x27ffc00f,
    0x501fffe4,0xff505fff,0x4fff801f,0x7fffffec,0xffffffff,0x54c07fff,
    0x3fea1acb,0x5fffb01f,0x01fffe40,0x3a157731,0x740006ff,0x3fae07ff,
    0xffffffff,0x07ffea0d,0x00fffa80,0x01ffff50,0x2037fdc0,0x7d43fff8,
    0x7ffc00ff,0x03ffea04,0xfd89fff0,0xffffffff,0xffffffff,0x003fff57,
    0x5407ffd4,0x7fc00fff,0x037fec4f,0x037fec00,0x77ffe400,0xeeeeeeee,
    0x3a5eeeee,0x89beffff,0x85fffaa9,0x00006ffd,0x426ee620,0x4c03fff8,
    0x00002fff,0x02ffffd4,0x801fff50,0xffb84fff,0x3ffe200f,0x00fffa84,
    0x3f227ffc,0xeeeeeeff,0xeeeeeeee,0x7fd40005,0x0dffd01f,0x005fff88,
    0x004fffb8,0x007ffdc0,0x7ff6e54c,0x3ffe22ff,0x1bff2003,0x04fffb80,
    0x007ffcc0,0xfa85fff5,0x7ffc00ff,0x03ffea04,0xfc89fff0,0xeeeeeeff,
    0xeeeeeeee,0x007fff15,0xfa837fe4,0x7ffc00ff,0x007ffdc4,0x03ffee00,
    0xbfff5000,0xfff88000,0x2fff400f,0x0007ffdc,0x7fdc0000,0x7ffcc01f,
    0x3ea00002,0x54005fff,0x7fc01fff,0x4fffa84f,0x20bffea0,0x7c01fffa,
    0x7ffd44ff,0x00000005,0x3a03fff5,0x7fc406ff,0x7fd4004f,0x640001ff,
    0x027e47ff,0x3a37ffcc,0xf9800eff,0x3fe004ff,0x7c4000ff,0x3ffa04ff,
    0x01fffa87,0xf5027ffc,0xfff803ff,0x02fffd44,0x077ff400,0x827ffcc0,
    0x7c01fffa,0x7ffd44ff,0x1bf7000e,0x003bffea,0xff886fdc,0x822004ff,
    0x2203fffa,0xfa85fffc,0xf7000eff,0x7f40001b,0xfff9807f,0xff500002,
    0x40ea0bff,0xd503fffa,0xff109fff,0x3ffa01ff,0x3fffa81f,0x89fffd50,
    0x004ffff8,0x2a000022,0xff901fff,0x7ffe405f,0xfff91002,0x2003105f,
    0x3e25fff9,0xffd802ff,0x37ffee0f,0x3fffa600,0x9fff7002,0x3fffa000,
    0x83fffb81,0xd503fffa,0x7d409fff,0xffd503ff,0xffff889f,0xf7022004,
    0x74c01bff,0xff502fff,0x3ffaa07f,0xffffd84f,0xd753119c,0x7fec5fff,
    0x53119cff,0x545fffd7,0x8aceffff,0xfffdb998,0x37dfff33,0xffffb531,
    0xffd839df,0x53119cff,0x005fffd7,0x6fffeb88,0x02fff980,0xffffa800,
    0x107ff505,0x5315dfff,0x5dfffffd,0x39dfff90,0x0dfffd73,0x22bbffe2,
    0xfffffea9,0x7fffd42e,0xb9988ace,0x0003fffd,0xa80fffd4,0x99bdffff,
    0x20ffffc9,0xfba89bc9,0xf983ffff,0x99899bef,0x22ffffda,0x9aeffff9,
    0xfffdca88,0x7ffff446,0xffc9889b,0x3fe006ff,0xf50000ff,0xf9335fff,
    0xff101fff,0xfd5315df,0x205dffff,0x98aefff8,0xefffffea,0x77fffd42,
    0xdb9988ac,0x3fa23fff,0x9889bfff,0x206ffffc,0x98aefff8,0xefffffea,
    0x7ffff442,0xffffffff,0x3fa21fff,0xffffffff,0x41ffffff,0xfffffffd,
    0xffffffff,0x3fffffa6,0xffffffff,0x3a23ffff,0xffffffff,0x1fffffff,
    0xfffffd50,0x403fffff,0xffffffeb,0x7d4001df,0xccccffff,0xd06ffecc,
    0xffffffff,0x7fffffff,0xffffff88,0x02ffffff,0x3ffffffa,0xffffffff,
    0x7fffec3f,0xffffffff,0x4c006fff,0xfffffffd,0xffffd83e,0xffffffff,
    0x7fffff44,0x705fffff,0xffffffff,0x8bffffff,0xfffffff9,0xffffffff,
    0xffffe883,0xffffffff,0xffffd705,0x00bfffff,0x3fffff60,0x203fffff,
    0xfffffffe,0xffffffff,0xfffffd03,0xffffffff,0xfffd87ff,0xffffffff,
    0x7446ffff,0xffffffff,0xe805ffff,0xffffffff,0x3fffffff,0x7fffffc4,
    0xffffffff,0xfffff883,0xffffffff,0xffff903f,0xffffffff,0x7ffc47ff,
    0xffffffff,0x44ffffff,0xfffffff8,0x3fffffff,0x3fffffe0,0x201fffff,
    0xfffffff8,0x74006fff,0xffffffff,0x06ffffff,0xfffffff3,0xffffffff,
    0xfffff309,0x809fffff,0xfffffff9,0xffffffff,0xfffffc84,0xffffffff,
    0x7ff4003f,0xffffffff,0xfffffc80,0xe83fffff,0xffffffff,0x7fff402f,
    0xffffffff,0xffff884f,0xffffffff,0x3fa204ff,0xffffffff,0xffff104f,
    0xffffffff,0xffd10005,0x07ffffff,0xffffff98,0xffffffff,0xffff304f,
    0xffffffff,0xff909fff,0xffffffff,0xd107ffff,0xffffffff,0x3e6009ff,
    0xffffffff,0x04ffffff,0xffffffd7,0xb8019fff,0xfffffffe,0x6cc00cff,
    0xffffffff,0xfc881cef,0xadffffff,0x00dffffe,0xffffffd7,0xd8019fff,
    0xffffffff,0xffff801d,0x04ffffff,0x7fffff40,0xffffffff,0x3ffa606f,
    0xffadffff,0xf9101dff,0x03dfffff,0x3ffffa60,0xffffadff,0xfffb301d,
    0x9dffffff,0xfff90003,0x0fffffff,0x7fffff5c,0xffd501df,0x2007ffff,
    0xffffffc8,0x2e02efff,0xfffffddf,0x7000cfff,0xbffffffb,0xffffe807,
    0x0fffffff,0xffd91000,0x26007dff,0xdffffffe,0x01dffffa,0x3fffffa6,
    0xdffffadf,0xffffb301,0x39dfffff,0xffffdb80,0x4c003dff,0xdffffffe,
    0x01dffffa,0x5566554c,0xcaa98001,0x88001aac,0x019abca9,0x2ab2ea20,
    0xaa980000,0x2001aacc,0x1bcccca8,0x66654400,0x8001cccc,0xfffffffe,
    0x6fffffff,0x09aca880,0x5d544000,0x9510000a,0x88000135,0x019abca9,
    0x99993000,0x20015999,0x22000ab9,0x200009ba,0x0aabbaa9,0xbcaa8800,
    0x2600009a,0x2a2001bb,0xcccccccc,0x7100000b,0x2a200015,0x800009ac,
    0x0009aca8,0x55e54c40,0x2e600019,0xa880001b,0x000009ac,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01540000,0x1a803700,0x1b803700,
    0x20000000,0x0064c049,0x00000000,0x15440000,0x00037000,0x006a00dc,
    0x2e200b88,0x2e620000,0x0000009a,0x4c039800,0x00000003,0x01375300,
    0xc980bb80,0x40e4c002,0x10000bb8,0xa9800001,0xb8000aab,0x002c980b,
    0x3fffae00,0x009fb10f,0x00155753,0x0009a980,0x88001573,0x4000dffd,
    0xfe984ffa,0x83ffb807,0xff906fe9,0xfd981fff,0x6c03ffff,0x00ff603f,
    0x40017e40,0x2e0002fe,0x50fffffe,0x039ffffd,0x013ffa20,0x2613fea0,
    0x3f6007fe,0x03ffb82f,0x27ffff62,0x4ffffffc,0x0dd30000,0xc81efe80,
    0x200002ff,0x7f5c03fb,0xfffeacff,0xfb801eff,0x01fff85f,0xc81fff10,
    0x754004ff,0x001b83ff,0xffffffd3,0x401bd7bf,0xfff85ffb,0xffa80001,
    0xff50ffff,0x3ffee03f,0x4fceffff,0xffffda80,0x3fe203ff,0x3fea004f,
    0x4002ffff,0xff71effe,0xffd1007f,0x0bfff23d,0x3fffffea,0x7ffffe40,
    0x0ffe403f,0x20017fdc,0x8002ffe8,0x88003ffd,0x9fffffff,0xfffffffd,
    0x7ffdc00f,0x74001eff,0xfff71eff,0x7ffcc007,0x0fffe88c,0x3ffffee0,
    0xffffffff,0x2a0000ef,0x7d4006ff,0xdffd34ff,0xfb100001,0x7ffc407f,
    0xffffffff,0x6c02ffff,0x7ffc46ff,0x3fff5002,0x2005ffd8,0xaefffffc,
    0xfc806fe9,0xffffffff,0x3602ffff,0x7ffc46ff,0xff980002,0xff30ffff,
    0xffff983f,0xffffffff,0x3fff200f,0x0effffff,0x006fff98,0xff77fffb,
    0xffc800bf,0x002fffef,0x3fbfff62,0xfff101ef,0xffb81fff,0x4403ffff,
    0xffdcefff,0x7fcc005f,0xfd10003f,0xffd000bf,0xffffffff,0x09ffffff,
    0x32bfffa2,0x64004fff,0x2fffefff,0xfffe9800,0x5400dfff,0xffffffff,
    0x4fffffff,0x1dff9000,0xdffd3000,0x00019fff,0x009ffd10,0xfffffffd,
    0xffffffff,0x417f4c01,0x7ec005fc,0x001ee984,0xff73bff1,0xd803ffff,
    0xffffffff,0x04ffffff,0x3f20bfa6,0x32a00005,0x3620fffe,0x7ffff447,
    0xffffffff,0xffffb02f,0xdfffffff,0x2007bf20,0x3a20effc,0x74c004ff,
    0x0000dfff,0x009ffff5,0x01fffb73,0x07fff973,0xfffffd30,0x7d4001bf,
    0xc80002ff,0x22000eff,0xfffffeca,0xffd9adff,0x41bffb02,0x4002ffe9,
    0x00dfffe9,0x7fffe400,0x3ff66002,0xc99adfff,0x4000ffff,0x0000dffd,
    0x017fffe4,0x3fff9800,0xffff7100,0xfb7337ff,0x000007ff,0x20000000,
    0x6fff4c1b,0x7fffd401,0xfeca99ad,0x00004fff,0xff700000,0x2a1fc41f,
    0x99acefff,0x82ffffca,0x9beffffb,0x04ffffeb,0x203ea800,0xf90002eb,
    0xdb100005,0xfffb8003,0x0fffe200,0x1cdecb80,0x0f7fc400,0x9ff70000,
    0x3ffee000,0x01982fff,0x1ec80bae,0x005f9000,0x006f4c00,0x1ffffd40,
    0x002fffb8,0x00013fee,0x0000ce98,0x0007ffa0,0x203bfffe,0x0005fff8,
    0x00000000,0x88008800,0x6402ffff,0x00004fff,0xff700000,0x7e42f41f,
    0x3fe201ff,0x1fffe80f,0x00ffff30,0x00000000,0x00000000,0x200fffb8,
    0x0003fff8,0x00cd8000,0x02d98000,0xdffff700,0x00000001,0x00000000,
    0xfffa8000,0x0fffe202,0x0002d980,0x90000000,0x3fe0001b,0x3ff200ef,
    0xabaa8807,0x00000009,0xabaa8800,0xfffb8009,0x2fff8804,0x002ae200,
    0x826ea600,0x1d30fffb,0x59ffff50,0xf3039303,0xffd809ff,0x5100000f,
    0x00013575,0x00555d4c,0x01575300,0x00fffb80,0x000fffe2,0x00001571,
    0x00000000,0x009fff70,0x055d4c00,0x00000000,0x00015710,0x4401fff5,
    0x00003fff,0x2eaa2000,0x0000009a,0x09fff000,0xb507ffc8,0xffffffff,
    0xfffc803b,0x7fecc0ff,0x36a04fff,0xffffffff,0x1fff201d,0x400efb80,
    0xeffffeca,0x3f62001c,0xb9dfffff,0xf8800fff,0xefffffff,0x77fc00bd,
    0x17ffd400,0x36a00f26,0xffffffff,0x3fee001d,0xfcefffff,0x7ffe4404,
    0x800dffff,0x2200fffb,0xca803fff,0x1ceffffe,0x00000000,0xfff70000,
    0xfc880001,0x0dffffff,0x3fffff20,0x7fffecc0,0xfeca804f,0x001cefff,
    0x4401fff5,0x80003fff,0xfda802a8,0xdfffffff,0x5cc40001,0x3fe0009a,
    0x3ffe404f,0x7fffffdc,0x02ffffff,0x1ffffff5,0xffffffc8,0xfffff704,
    0x5fffffff,0x001bffa0,0x3ffff200,0x0dffffff,0x7ffffdc0,0xffffffff,
    0xfff3000f,0xffffffff,0x40054405,0x7f41fffc,0x3ffee01f,0xffffffff,
    0x7ffcc02f,0xffffffff,0xfff500ff,0xffffffff,0x0fffb807,0x00fffe20,
    0xfffffff9,0x5c01bfff,0x4ffffffe,0x3fffae00,0x70004fff,0x40001fff,
    0xfffffffa,0xfa83ffff,0x640fffff,0x04ffffff,0x7fffffe4,0x400dffff,
    0x2200fffa,0xfd703fff,0x3aa1ffff,0xb81cffff,0xffffffff,0x2202ffff,
    0xfc9ffffd,0x004fffff,0xfc809fff,0xffffb87f,0xffffffff,0xffff880f,
    0x7ffdc0ff,0xff704fff,0xffffffff,0xfff01fff,0xfd80000b,0xffffffff,
    0x3f206fff,0xffffffff,0x00ffffff,0x7ffff5c0,0x00dfffff,0x1fffe200,
    0x5c09fff1,0xffffffff,0x100fffff,0xfffffffd,0x05ffffff,0xfffffff7,
    0x09ffffff,0x1007ffdc,0x7ec07fff,0xffffffff,0xff106fff,0x09ffffff,
    0x3ffffe20,0x70004fff,0x20001fff,0xfffffffb,0x44ffffff,0x0ffffff8,
    0x7fffffdc,0x3ffff604,0xffffffff,0x07ffd406,0x107fff10,0x3fffffff,
    0xfffffffb,0xffffb81f,0xffffffff,0xffff700f,0xffffffff,0xff801dff,
    0x3ffe404f,0x4d66f6c4,0x3fffeb99,0x1fffb730,0x9fff9730,0x2b37b620,
    0xfffeb999,0x006ffd83,0x3ffff600,0xffda99ac,0xfff985ff,0xfca99aef,
    0x000fffff,0x3fb72a60,0x10002fff,0xf98bfffd,0x3b6205ff,0xeb999acd,
    0xff503fff,0x953359df,0xf985ffff,0xa9acefff,0x01ffffec,0x4401fff7,
    0xffb03fff,0xb53359ff,0x3e0bffff,0x4fffffff,0x3ffffe00,0x70004fff,
    0x30001fff,0x359dffff,0x3ffffd95,0x0fffdb98,0x4fffcb98,0x59ffffb0,
    0xffffb533,0x07ffd40b,0x207fff10,0xfffffffe,0xffffffff,0x66f6c44f,
    0xffeb999a,0xffff503f,0xffffffff,0xff809fff,0x3ffe404f,0x9fff1000,
    0x00fffa80,0x00027ffc,0x2e13ffe2,0x80000fff,0x201efffa,0x741ffffa,
    0x3ea03fff,0xc800ffff,0xfff9804f,0xffe88006,0x7ffcc0ff,0xff880005,
    0x3fff904f,0x107ffc40,0xc80bffff,0xff706fff,0x3ffaa05f,0xefffa83f,
    0x3fffea01,0xfccca881,0x2a2004ff,0x04fffccc,0x01fff700,0x5ffff880,
    0x837ffe40,0x7c00fffa,0xfffa84ff,0x3ffea01e,0x1fff501f,0x81fffc40,
    0xffffeca8,0xfd9adfff,0xff10002f,0x7fecc09f,0xc99adfff,0x3e00ffff,
    0x7fe404ff,0xacaa9807,0x405ffe9a,0x7c00fffa,0x553004ff,0xbffd3559,
    0x01dfff50,0xfd837ee0,0xffb801ff,0x17ffea3f,0x03fffee0,0x005fff10,
    0x4001fffb,0x81ffffe8,0x2006fffa,0xe9aacaa9,0xfff505ff,0x3930359f,
    0x006fff98,0xf707fffb,0xd7315dff,0x85dfffff,0xb801fffd,0xff003fff,
    0xff80009f,0x9951004f,0x9999fffd,0x3fe60379,0xfffb006f,0x01fff507,
    0xfd84fff8,0xffb801ff,0x7fedc43f,0xffb982df,0x7fdc02ef,0x1982ffff,
    0xaacaa980,0x5405ffe9,0xf703ffff,0xff7305ff,0x3f2039df,0x3ffee07f,
    0xffffffff,0x07ffd405,0x7013ffe0,0xffffffff,0x3f60bfff,0x3119cfff,
    0x45fffd75,0xf1004fff,0x7ffdcbff,0x1fffd000,0xeffff980,0xfdca889a,
    0x3e6006ff,0xf701ffff,0xff700fff,0xffffffff,0x3ffe20bf,0xbdefffff,
    0xddfff700,0xdddddddd,0xf709fffd,0xffffffff,0x7fffffff,0x88027ffc,
    0xff005fff,0xff80009f,0xfffd004f,0xffffffff,0xff705fff,0xdddddddf,
    0x9fffdddd,0x801fff50,0xfff84fff,0xbfff1004,0xffffffd8,0x3fffe23f,
    0x3ee03fff,0x0000efff,0xfffffff7,0xa80bffff,0x3e202fff,0x7ffd43ff,
    0xc80fffff,0xffe987ff,0xffffffff,0x7fd405ff,0x27ffc00f,0xfffffe98,
    0x5fffffff,0xfffffd10,0xffffffff,0x3ffe63ff,0x9fff2002,0x32006ffd,
    0x7cc00fff,0xffffffff,0x03ffffff,0x3fffff50,0x07fffe40,0xfffffe98,
    0x5fffffff,0x3ffffe60,0x82ffffff,0xfffffffd,0xffffffff,0xfffb86ff,
    0xffffffff,0xf34fffff,0x7e4005ff,0x9fff007f,0x4fff8000,0xffffff00,
    0xffffffff,0xffffb07f,0xffffffff,0x50dfffff,0xff801fff,0x17ffcc4f,
    0xf8fff900,0x5fffffff,0x3fffffe2,0x3ffee04f,0xffd30004,0xffffffff,
    0xffa80bff,0x3ffe200f,0x7ffffdc3,0xffc80fff,0x7ffff447,0xffffffff,
    0x7ffd405f,0x427ffc00,0xffffffe8,0x5fffffff,0x3ffffe20,0xffffffff,
    0x07ffea3f,0xd0fffa80,0x7dc00bff,0x7fc400ff,0xffffffff,0x7004ffff,
    0x803dffff,0x881ffffd,0xfffffffe,0x05ffffff,0xfffffeb8,0x360dffff,
    0xffffffff,0xffffffff,0xffffb87f,0xfaefffff,0xff50dfff,0x7fd4003f,
    0x4fff800f,0x27ffc000,0xffffda80,0xffffffff,0xffffd80d,0xffffffff,
    0xa87fffff,0x7fc00fff,0x0fffd44f,0x41fff500,0xdfffffda,0x7ffff5c1,
    0x3ffee00d,0xffe88000,0xffffffff,0x7d405fff,0x3fe200ff,0x7ffec43f,
    0xff903eff,0xeffffe8f,0xffaa989b,0x7ffd405f,0x427ffc00,0x9beffffe,
    0x5fffaa98,0xffffeb80,0x40cfffff,0x2003fff8,0x3ff66ffc,0x3fff2007,
    0xfddfb800,0xcfffffff,0xffff9000,0xfffd001d,0xffffd03f,0xf553137d,
    0xa9800bff,0x2ffffedc,0x3bbbfff2,0xeeeeeeee,0xffb85eee,0x00abcbaf,
    0x007fff10,0xf8037fe4,0x7c0004ff,0x000004ff,0xddfff900,0xdddddddd,
    0xf50bdddd,0xfff801ff,0x01fffc44,0x000dff90,0x3fee0000,0xffe8000f,
    0xa989beff,0x5405fffa,0x3e200fff,0x900003ff,0x7ffc4dff,0x2fff400f,
    0x007ffea0,0xff889fff,0x7ff400ff,0x3fee6005,0x7f401aac,0xff9800ef,
    0x07ffee4f,0x03fffe20,0x3feea200,0xfb10009b,0x2001bfff,0x442fffff,
    0x7400ffff,0x09f905ff,0x54dfff30,0x00005fff,0x0003ffee,0x001dffd0,
    0x2009fff3,0x40004fff,0x80004fff,0x7fd40008,0x2a00005f,0x7fc01fff,
    0x0effe84f,0x04fff980,0x40000880,0x4000fffb,0x400ffff8,0x7d405ffe,
    0x3fe200ff,0xfd00003f,0x1fffd4bf,0x0bfff910,0x503fffa8,0xfa89fffd,
    0x3f2203ff,0x7c4005ff,0x3fee004f,0x3fa600df,0x3ffe62ff,0x7ffec00e,
    0x3e20000f,0x3fa2004f,0x7c004fff,0x7d43ffff,0x3f2203ff,0xfff885ff,
    0x0fffd802,0x009ffff1,0xfffb8044,0x7fdc0000,0x3fa600df,0xfff002ff,
    0xfff80009,0x7fcc0004,0xfff1002e,0x8044009f,0xd503fffa,0xff709fff,
    0x7f4c01bf,0x7dc002ff,0xf70001ef,0xfa8001ff,0x3f2203ff,0x7fd405ff,
    0x3ffe200f,0xff980003,0x3bffe64f,0xffda989b,0x101cefff,0x5315dfff,
    0x5dfffffd,0x4df7ffcc,0xffffda98,0xf1001cef,0x3a200dff,0x889bffff,
    0x86ffffc9,0x89cffffc,0xfffffb98,0x88000bcf,0xf9806fff,0x4003ffff,
    0x44fffff8,0x89befff9,0xfffffda9,0x3ffe61ce,0xca889aef,0x7d46fffd,
    0x88acefff,0x3fffdb99,0x000fffb8,0x7ffff440,0xffc9889b,0x3fe006ff,
    0x7fc0004f,0x7440004f,0xf5000fff,0x1159dfff,0x7fffb733,0x15dfff10,
    0xfffffd53,0xfffe885d,0xfc9889bf,0xa8006fff,0x70006fff,0x98001fff,
    0x989befff,0xefffffda,0x1fff501c,0x01fffc40,0xfffd7300,0xfffffe87,
    0xffffffff,0xfd03ffff,0xffffffff,0x47ffffff,0xfffffffe,0xffffffff,
    0x2b2203ff,0x1000ffcb,0xfffffffd,0x40bfffff,0xfffffffe,0xffffffff,
    0x322006ff,0x400ffcba,0xccefffff,0x5fdccccc,0x41fffffc,0xfffffffe,
    0xffffffff,0xffff33ff,0xffffffff,0xffb07fff,0xffffffff,0x70dfffff,
    0x00001fff,0xffffffd1,0x0bffffff,0x3f333326,0xbcccceff,0x666664c1,
    0xccccefff,0xbbdc801b,0x3f6002ff,0xffffffff,0x06ffffff,0xfffffffd,
    0xffffffff,0xffffe887,0xffffffff,0x566c4005,0xa8800ffd,0xccfffecc,
    0x3a01bccc,0xffffffff,0xffffffff,0x3ff6e23f,0xffb982df,0xff9002ef,
    0x0bffffff,0xfffffff1,0xffffffff,0x3fe609ff,0xffffffff,0x224fffff,
    0xffffffff,0xffffffff,0x3ffee04f,0x744007ff,0xffffffff,0x7ec404ff,
    0xffffffff,0xffffffff,0xffff9000,0xffff00df,0xffffffff,0x7e43ffff,
    0xff880fff,0xffffffff,0x4fffffff,0xfffffff1,0x9fffffff,0x7ffffe40,
    0xffffffff,0x0fffa83f,0xffd10000,0xffffffff,0x3fffee09,0xffffffff,
    0xff70ffff,0xffffffff,0x01ffffff,0x06fffff8,0xfffffc80,0xffffffff,
    0xffff303f,0xffffffff,0xfd109fff,0xffffffff,0xff30009f,0x3a009fff,
    0xffffffff,0x02ffffff,0xfffffff1,0xffffffff,0x7ffec9ff,0x3e23ffff,
    0x03ffffff,0x7fffffcc,0xf9100eff,0x5bffffff,0x01bffffd,0x7fffff4c,
    0xdffffadf,0x7fffe441,0xffeadfff,0x36200dff,0x0002ffff,0xffffffb7,
    0x7fd4007b,0xccffffff,0x003effff,0x0bffff62,0x3fffffe0,0xffffffff,
    0x3ffa62ff,0x3fff2204,0xfeadffff,0x3ee0dfff,0xffffffdd,0xd9800cff,
    0xffffffff,0xff101cef,0xb700000d,0x7bffffff,0x7ffffe40,0xffffffff,
    0xfff91fff,0xffffffff,0x803fffff,0x001dffd9,0xfffffb30,0x039dffff,
    0xfffffe98,0xdffffadf,0x3fff6e01,0x0003dfff,0x0033ffaa,0x7ffffffc,
    0xffffffff,0x3fff2203,0xfeadffff,0x3fe0dfff,0x25ffffff,0xfffffff8,
    0x7fffc404,0x8800ceff,0x000aacba,0x13595100,0x32ea2000,0x200000aa,
    0x26000029,0x440001bb,0x0001acba,0xf800a600,0xffffffff,0x3fffffff,
    0x751000a8,0x80001559,0x09abcaa8,0xbca98800,0x2e60019a,0x4c000000,
    0xfb1001bb,0xffffffff,0x449dffff,0xfffffffd,0x4effffff,0x10000000,
    0x03357953,0x26b2a200,0x77300000,0x00000003,0xfffffb50,0xbfffffff,
    0x59751001,0xfda80015,0x5c1dffff,0x00dffffe,0x00bccb88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x00ffffeb,0x0b8802e2,0x2e000000,
    0x4c029802,0x202ee003,0x154002c9,0xeeeec800,0xbdeeeeee,0x00022000,
    0x0c980930,0x000dc000,0x006f2e60,0x037006e0,0x33bb7220,0x80730001,
    0x40000039,0x00002ed9,0x00004400,0xdb801880,0x0001ffff,0x1bcec880,
    0xddddd300,0xdddddddd,0x26a605dd,0x4c400000,0x00000001,0x0ffffeb8,
    0x3e600000,0x200fffff,0xffb82ffd,0xedb98003,0xff100ace,0x903dff00,
    0xff7005ff,0x003fff0b,0x001bffb1,0xffffffe8,0x03ffffff,0xb84ffea8,
    0x203fd801,0xd10003fd,0x320009ff,0x004fffff,0x3a613fea,0xfffb806f,
    0x000dffff,0x7e40f7f4,0x0197002f,0x403ffec0,0x50004fd8,0x03707ffd,
    0x2ff65440,0x3ffffe60,0xa800001f,0x9adfffff,0x7ffd46ec,0xffffffff,
    0x36a2ffff,0x003fffff,0x1fff6540,0x20000000,0x0ffffffa,0x003eeb88,
    0xffffff10,0x67ffcc01,0x00fffe88,0x3ffff620,0xf983ffff,0x3fffb807,
    0x200dffd3,0x7fc46ffd,0x7ffd402f,0x3a002fff,0xffffffff,0x6403ffff,
    0x9affffff,0xffc806fe,0x002ffb81,0xefffffb8,0x3fff2001,0x1004fffc,
    0x3f23dffd,0x7fd402ff,0x5fffffff,0x9fffdc00,0x5006ffe9,0x7dc009ff,
    0xfffc807f,0x7ffe4002,0x6fe9aeff,0x7fff64c0,0x7fc405ff,0x0001ffff,
    0xffffe880,0x20ffffff,0xfffffffa,0xffffffff,0xfbdfff12,0x320001ff,
    0x003fffff,0x7cc00000,0xb80fffff,0x0001ffff,0x01fffb73,0xfffffe98,
    0x3ea000df,0xffffffff,0x1bee0eff,0x7f7ffd40,0x3a6004ff,0x405fc82f,
    0xffbbfffd,0xfffd005f,0xbddddddd,0x9dff8807,0x2ffffffb,0xcefff880,
    0x4005fffd,0xfcafffe8,0xff8804ff,0x800ffdc4,0xffefffc8,0x7ffc401e,
    0xfffffeff,0x7ff54003,0x2004fffe,0x4c006ffc,0xfffd805f,0x37fe2004,
    0xffffffb9,0x3ffff201,0x9805ffff,0x001fffeb,0x3ffae000,0x4c1cffff,
    0xeeeeefff,0x2fffeeee,0x09fd0332,0x3eb32600,0x0000003f,0xfffeca80,
    0x3ffffd80,0xfdcca800,0x5c03ccff,0x4002ffff,0xdffffff9,0x1ffffffd,
    0x6c4007fb,0x0001efff,0xeffc8000,0x00fffa60,0x0001bffa,0x3ff620d4,
    0x3fa6002d,0x00dfffff,0x306ffec0,0xfa805ffd,0x8007ff07,0x004ffffa,
    0x5419fff5,0x88006fff,0x001efffc,0x2003ffe4,0xff9801fb,0x20dc000f,
    0x401dffe9,0xffffffff,0x3fea005f,0x9800001f,0xffffffff,0x01fff04f,
    0x800fffc8,0x880006fe,0x000003ff,0x3ffee000,0x0ffffa80,0xfffed800,
    0x400effff,0xe8000de9,0xfa81efff,0x0ffdefff,0x004fa800,0x3aa00000,
    0x200bae03,0x00006ffe,0x20000880,0x001cdecb,0x76405d70,0xd82fdc01,
    0xed88004f,0x3ffee001,0x007ffd80,0x40013ea0,0x22007ffc,0x02a2003f,
    0x00110000,0x3ef7fff2,0x3ea005ff,0x800001ff,0xe8adfffc,0x2c980fff,
    0x106fff80,0x005fffb9,0x007ff100,0x5c000000,0x99300fff,0x26ea6003,
    0x003ffee0,0x7fe40000,0x7ff4405f,0x00001fff,0xaba98000,0x00000000,
    0x0000dffd,0x0002ae20,0x00000000,0x207fd400,0x00003ff8,0x03ffee00,
    0x0003fff2,0x7fe40000,0x0016e007,0x00000000,0x17ffa04c,0x21fffa80,
    0x0001aba8,0xfe881571,0x3ea0005f,0xfff703ff,0x220000df,0x000003ff,
    0x704dd4c0,0x80001fff,0xffffffd8,0x00fffb9d,0xff980000,0xfff3006f,
    0x2620005f,0x440009ab,0xfffffffc,0x0000000d,0x654dbffa,0xeca8001a,
    0x01ceffff,0x00000000,0x37fe2000,0x001ff910,0x7fdc0000,0x3fffd40f,
    0x05510000,0x7fffff64,0xefffffff,0x90000002,0x981fffff,0x04fffffd,
    0x8017ffa0,0xfea9fffa,0x00cfffff,0xffa83100,0xff90002f,0x7f65401f,
    0x13f2204f,0x4003ff88,0x362006fb,0x9dffffff,0x0000fffb,0x3fffffee,
    0xffffffff,0x3fffae00,0xf9004fff,0x7e4005ff,0xffb102ff,0xffff93ff,
    0x3ea009ff,0xffffffff,0x3fae03ff,0x004fffff,0x3ffffffa,0x9002ffff,
    0xffffffff,0x75c01bff,0x04ffffff,0xdffffd50,0x7fffe405,0x7ffdc1df,
    0x5443fffe,0xffffff71,0xffffffff,0x11fff707,0x09fffff9,0xfffffeb8,
    0x9ffffd50,0x7ffffcc3,0xffffffff,0x7fdc07ff,0xffffffff,0xff53ffff,
    0xfc81ffff,0x004fffff,0xa8017ffa,0xffffffff,0x02ffffff,0xdffffd70,
    0x00bffd19,0x801bffe0,0xffa80ffe,0x0ffe207f,0x0ffff4c0,0x7ffffdc0,
    0xffffffff,0xff90000f,0xffffffff,0x201fffff,0xfffffff8,0xdffb004f,
    0x3fff8800,0xffffff70,0xffffffff,0x7ffdc01d,0xffffffff,0xfff884ff,
    0x004fffff,0x3ffffffa,0x404fffff,0xfffffffd,0x106fffff,0xffffffff,
    0x3fffe009,0xff507fff,0x709fffff,0x227fffff,0xff76ffdb,0xffffffff,
    0xf707ffff,0xffffb1ff,0x7fc401ff,0xfd9fffff,0x0fffffff,0xfffffff1,
    0xffffffff,0xffffb80b,0xffffffff,0xffff13ff,0xfffb81ff,0x3a004fff,
    0x3ea005ff,0xffffffff,0x02ffffff,0x3fffffa6,0x6fffffff,0x3fffa800,
    0x887fea00,0x203ffffd,0xfb803ff8,0xfc804fff,0xffffffff,0x00ffffff,
    0xeffff980,0xfffca99a,0x3fe00fff,0x04ffffff,0x0009fff0,0x3ea0bffd,
    0xffffffff,0x04ffffff,0x59dffff3,0xffffd953,0xffffff03,0x7ec009ff,
    0xffffffff,0xffb03fff,0xb53359ff,0x3e0bffff,0x4fffffff,0xfffffb00,
    0x3ffe20df,0x5103ffff,0xfffd7357,0x3ffee7ff,0xffffffff,0xffb83fff,
    0xfffffd8f,0x7fff405f,0xffffffff,0x224fffff,0xccfffecb,0x00accccc,
    0x7fffffdc,0xffffffff,0x3fff6e63,0xfffcb980,0x17ffa004,0xfffffa80,
    0xfeb99acf,0xffa80fff,0xffffffff,0x8007ffff,0x6540fffc,0xffeb989a,
    0x3dffff70,0x37feea60,0x7ff4c0aa,0xff9802ff,0xca99aeff,0x00ffffff,
    0x03fffe80,0x03ffffea,0xffccca88,0xfff8804f,0x6ffd8003,0x3ffff660,
    0xffc99adf,0x7ffc40ff,0x7ffe405f,0xfccca886,0x3ee004ff,0xeb8aceff,
    0x7d40ffff,0x3ea01eff,0xca881fff,0x004fffcc,0x15dfff71,0x7dccb32e,
    0x5c402fff,0x1ceffffe,0x6667ffdc,0xeffffecc,0x88fffb80,0x5ffffffc,
    0x3ffb2a20,0x9adfffff,0xff902ffd,0xff70000f,0xfd99999f,0xf501dfff,
    0xfff801ff,0x17ffa004,0xeffffa80,0x17fff201,0x37fffff1,0x3ffffee6,
    0x7ffc001f,0xfffffe86,0xffd8afff,0x3fee03ff,0x26ffffff,0x10cffffc,
    0x03fffe80,0x03ffffea,0x0bfff500,0x01ffff70,0x804fff80,0x8002fff9,
    0x7d407ffc,0xff703fff,0x6fff985f,0x07fffb00,0x8009fff0,0x3fee00ba,
    0x0fffec4f,0x01fffdc0,0x4004fff8,0x3fe26ffe,0x13ffe26f,0x7ffff5cc,
    0x3fea01ce,0xeffff987,0x81fff700,0x05ffffda,0xffffffb8,0x3f201982,
    0xfa80007f,0xffff987f,0x1fff500e,0x004fff80,0xa8017ffa,0xe801ffff,
    0x3ff61fff,0xffd100ef,0x7d4005ff,0xfeb883ff,0xffb9ceff,0xeee98dff,
    0x3bbbb220,0xffeaadee,0xfffebaef,0x2fffd40d,0x07fffdc0,0x03ffee00,
    0x007fff40,0x4013ffe0,0xd8003fff,0x7fd406ff,0x3ffe202f,0x777ffdc3,
    0xeeeeeeee,0xf804fffe,0x000004ff,0xfff8dffd,0xbfff1004,0x013ffe00,
    0x2e1fff90,0xff51ffff,0xffffd05f,0x1799537d,0xf989ff10,0x2e00efff,
    0xfd100fff,0xffb805ff,0x90000eff,0x10000fff,0xfff989ff,0x3fea00ef,
    0x27ffc00f,0x00bffd00,0x802fffd4,0x3fe2fff9,0x7fcc01ff,0x3f6003ff,
    0x74c000ff,0x3fa2ffff,0x362000ff,0xfd8cffff,0x5c7fffff,0xfd000fff,
    0xffb101ff,0x0037fec9,0x8001fff9,0xfd004fff,0xfff000bf,0x0fffa809,
    0xb0fffe20,0xffffffff,0xffffffff,0x9fff00df,0x3f200000,0x0bffe67f,
    0x007ffc80,0xa8009fff,0xfffd2fff,0x03fff29f,0x2617dff1,0x02fffffe,
    0xeffff983,0x07ffdc00,0x809fff30,0x0004fffb,0x0003ffe4,0xffff9830,
    0x7ffd400e,0x027ffc00,0x400bffd0,0x2003fffa,0xfff14fff,0x3fff600d,
    0x1bffe002,0xbffff900,0x07fffe41,0xeffffa80,0x7d47ff71,0x01bff63f,
    0xb80fffc8,0xffd1ffff,0x7ffdc00b,0x27ffc000,0x00fffc80,0x00fffe60,
    0x4401fff5,0x7fec3fff,0xffffffff,0x7fffffff,0x004fff80,0x1fff7000,
    0x8007ffea,0xf800fffa,0x7c4004ff,0xffff9cff,0x20fffd7f,0x77ff4408,
    0x5401fffd,0x800dffff,0x6c00fffb,0x7fdc06ff,0x7e40000f,0x5000007f,
    0x001bffff,0xf801fff5,0x3fa004ff,0x3fea005f,0x3ffe002f,0x009fff55,
    0x4007fff2,0x3003fffa,0x985dfffd,0x400fffff,0x43ffffd8,0x26fd84fb,
    0x2e005ffe,0xffd80fff,0x0fffb3ff,0x007ffe40,0x4013ffe0,0x2004fffb,
    0x5401fffe,0x3e200fff,0x7ffe43ff,0xeeeeeeee,0x05eeeeee,0x0004fff8,
    0x21fff700,0x2003fff8,0xff006ffc,0xffd0009f,0xffffff9d,0x400bfff7,
    0x3fa21ffc,0x3fffea06,0x3ffee005,0x07ffdc00,0x001fff70,0x007ffc80,
    0xffffa800,0x3ffea005,0x027ffc00,0x400bffd0,0x1003fffa,0x3fe27fff,
    0xfffb005f,0x3fff6001,0x9ffff000,0xfbefe881,0x7ffec00f,0x3fe2000d,
    0x801fff64,0xf980fffc,0xfff70fff,0xffff1003,0x4fff8001,0x3ffff100,
    0x0bfff700,0x401fff50,0x7d43fff8,0x000005ff,0x00013ffe,0x3a37fec0,
    0xf9800eff,0xfff004ff,0xfff90009,0xffffdfff,0x74007fff,0x507fa84f,
    0x800bffff,0x1950fffb,0x200fffb8,0x0000fffb,0x0003ffe4,0x17fffea0,
    0x03fff500,0x2004fff8,0x2a005ffe,0xf7006fff,0x3fffc5ff,0x007ffe80,
    0xe801bffe,0x3ff901ef,0xfc801ff5,0x7fcc003f,0x07ffee1f,0x03fffe20,
    0xff305dc4,0xffd801df,0x7fc000ff,0x3fea004f,0x3fee02ff,0xffa800ff,
    0x3ffe200f,0x27fffc43,0x3e001100,0xdc8804ff,0x5fffa801,0x006fffdc,
    0x005fffd3,0x20013ffe,0xbffffffa,0x1ffffffc,0x220bfe00,0x7ffd40ff,
    0x2e07505f,0x6ff98fff,0x2e03fff4,0x40000fff,0x2200fffc,0x7fd401ca,
    0x207505ff,0xd503fffa,0x74009fff,0x3ea005ff,0x7cc04fff,0x3ff60fff,
    0x7ffdc04f,0x7fff5004,0x3ea01800,0x001ff54f,0xfff70003,0x0efff983,
    0x07fffec0,0x7fffe400,0xffb9889c,0x00bcffff,0x8009fff0,0x8adffffc,
    0x3ffffdb9,0x01fff500,0x541fffc4,0x8aceffff,0xfffdb998,0x04fff803,
    0x9adfffb8,0xfffda998,0x7fff441f,0xfc9889bf,0x3e006fff,0xf88004ff,
    0xf98fffff,0x4007ffff,0x47fb85fe,0x505ffffa,0x7f5cc7ff,0xbfffbbff,
    0x406fffb8,0x0000fffb,0x456fffdc,0xffffeca8,0xbffff500,0x220ffea0,
    0xa98aefff,0x2efffffe,0x00bffd00,0xfffffb73,0x3f26235d,0x7fc43fff,
    0x36609dff,0xb000ffff,0x00001fff,0x3733ffe2,0x00000cff,0x403bff62,
    0x89cffffc,0xfffffb98,0x74000bcf,0xffffffff,0xffffffff,0x66664c6f,
    0xcccefffc,0x3ffa01bc,0xffffffff,0xdb8805ff,0xb982dfff,0xfd82efff,
    0xffffffff,0x26ffffff,0xffccccc9,0x1bccccef,0x3fffffee,0xffffffff,
    0xffffd104,0xffffffff,0x3333260b,0xcccefffc,0x7ff401bc,0x3fffa5ff,
    0x7fdc005f,0xfa97fa62,0xccccffff,0xf36ffecc,0xfdffffff,0xffffffff,
    0xfecca885,0xbcccccff,0xffff1001,0xffffffff,0xfff503ff,0x999999ff,
    0x3fa0dffd,0xffffffff,0x23ffffff,0xffcccca8,0x22ccccef,0xfffffff8,
    0xffffffff,0xff505fff,0xffffffff,0x7c005fff,0x200006ff,0xfffffff8,
    0x300002ff,0xfd009ffd,0xffffffff,0xffffffff,0xffd8800d,0xffffffff,
    0x0fffffff,0xfffffff7,0xffffffff,0x7ffe401f,0x2fffffff,0xfffffb00,
    0x7ffc47ff,0xfc83ffff,0xffffffff,0xf73fffff,0xffffffff,0x1fffffff,
    0x7fffffec,0x05ffffff,0x7fffff44,0x704fffff,0xffffffff,0xffffffff,
    0x7fffe401,0x0ffffee2,0x3bfffa00,0x3ffa0fff,0xffffffff,0xff56ffff,
    0xfd9fffff,0x0bffffff,0xfffffffd,0x5fffffff,0x3fffee00,0xffffffff,
    0xfffffd03,0xffffffff,0x3ffe60df,0xffffffff,0x3f64ffff,0xffffffff,
    0xf33fffff,0xffffffff,0xffffffff,0x7ffdc01b,0xffffffff,0x3ffe2003,
    0x2a200002,0x2ffcaaaa,0xfff70000,0xfd880985,0xffffffff,0xffffffff,
    0xfffa8000,0xfccfffff,0x3f23efff,0xffffffff,0x1fffffff,0x7ffff4c0,
    0x3e000dff,0x5fffffff,0x3fffffe2,0xfffb304f,0x9dffffff,0x7ffffe43,
    0xffffffff,0x7ed41fff,0xefffffff,0x3ff6e001,0x203dffff,0xfffffffc,
    0xffffffff,0x3ffea01f,0x0ffffc47,0x7ffec400,0x7fff41ef,0xffffffff,
    0x3fb26fff,0xfe98dfff,0xff04ffff,0xffffffff,0x007fffff,0x7fffff54,
    0x3a00beff,0xffffffff,0x06ffffff,0x3fffffa6,0xdffffadf,0x3fffffa1,
    0xffffffff,0x3fffb24f,0xfffffcbf,0xb1001eff,0xbfffffff,0x0bf70001,
    0xffa80000,0x40001fff,0xfffffff8,0x3fea06ff,0xccffffff,0x003effff,
    0x0d65d440,0x3fff6200,0xffffffff,0x22004eff,0x50001ab9,0x3bfffffb,
    0xdffffeb8,0x5e54c400,0x3f62019a,0xffffffff,0x204effff,0x09abba98,
    0x0ddcc000,0xffffd880,0xffffffff,0x7fc404ef,0x0fffc84f,0x06ea6000,
    0x7ffffff4,0xffffffff,0xabba8006,0x3fff6a00,0xffffffff,0xa98000df,
    0x3a001abb,0xffffffff,0x06ffffff,0x009aca88,0x3ffff6a0,0xffffffff,
    0x2a62000d,0x100009bc,0x00137973,0x00000000,0x03dfffd5,0xffff8800,
    0x807fffff,0x001acba8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000a8800,0x055cc000,0x3b722000,0x180bcdee,0x337fb6e2,0xaa98000a,
    0x01aaaaaa,0x555554c0,0x98001aaa,0xc8000aba,0x4000002d,0x2a200008,
    0x54400aaa,0x9800aaaa,0xaaaaaaaa,0xfffda801,0x3baa4fff,0xffffda81,
    0x36a004ff,0x05ffffff,0x004cccc0,0x0aaa9800,0x0f7bb2e6,0x00000000,
    0x000d54c4,0x2aaaaa60,0x5c001aaa,0x4400000c,0x98800000,0xc98001aa,
    0x80017702,0x0beefdca,0x19998811,0x003ffb26,0xfffa8000,0xff90000f,
    0xffffffff,0x7fef7f43,0x3fffffff,0x3ffff600,0x03ffffff,0xffffffb0,
    0x1005ffff,0xfffffff9,0xdff3001b,0x36600000,0x01540dff,0x3ffffff5,
    0x3fffff20,0x3ff601ff,0xffffffff,0x3fffe203,0x3fa4ffff,0x7fffc45f,
    0x2004ffff,0xffffffff,0x3ffe6005,0x7cc0002f,0xff91ffff,0x03ffffff,
    0x81fffff9,0x4fffffd9,0x7fff5400,0x4001dfff,0xfffffffd,0xf5002fff,
    0x2a00009f,0x01b83ffe,0x7ffff540,0xf8801dff,0x2ffdc1ff,0xffffe980,
    0x2ffeffff,0x2e3fffea,0x000fffff,0x3fff2000,0xffc8001f,0xffffffff,
    0xfffff14f,0xffffffff,0xff7001bf,0xdfffffff,0x3ffee003,0x1effffff,
    0x7ffffd40,0x03ffffff,0x33fff733,0xa8000133,0x9cffffff,0xffb00ffc,
    0x3a09ffff,0x3fffffff,0x3ffffee0,0x201effff,0xfffffff8,0x117ff64f,
    0xffffffff,0x7fff4009,0x2005ffff,0x0006fffb,0xafffffb8,0xfffffffd,
    0x3fea0eff,0x7e40ffff,0x004fffff,0xddfffff3,0x001dffff,0x3fffffee,
    0x9001efff,0x90000dff,0x35dfffff,0x3e600dfd,0xffeeffff,0x3e600eff,
    0x37fe42ff,0x7ffffcc0,0xffffffff,0x45fffe64,0x000ffccc,0x3ffa2000,
    0xfffa8004,0xfffeeeff,0xfffff31f,0xfffdbdff,0x00001dff,0x40000000,
    0xfffffffb,0x44ffffff,0xfffffffc,0x0004ffff,0x3faa7bfa,0x2604ffff,
    0x00efffff,0xdffffff5,0x20000001,0xfffeedb9,0x5cc1fd44,0x04fffeed,
    0x3fbb6e20,0x3fa005ff,0x880002ff,0xfffffffe,0xfffeceff,0x3fffe25f,
    0x7ffdc0ff,0xfb804fff,0x6dc41bff,0x00001fff,0x0fff9000,0x9dff8800,
    0x1ffffffb,0x1bfffb80,0x0fffedc4,0xfd30bf90,0xffff8805,0xffffddff,
    0x3ffe25ff,0x000ffa86,0x00008000,0x440ffff2,0x3fffe609,0xffff701d,
    0x00000009,0x3fe60000,0xca9aceff,0x321ffffe,0xffffffff,0x20004fff,
    0x77fe4439,0x0dffd003,0x017ffe20,0x3e000000,0x007644ff,0x0004fff8,
    0x8802fff4,0x00006fff,0x7fffffd4,0x7fffcc1c,0x3fff6e62,0xfffcb980,
    0x06ffdc04,0x00fffcc0,0x7e400000,0x1b80007f,0x00efff4c,0x4006ffdc,
    0x0001fff9,0x77ffe400,0x5ffffa82,0x7d42fffc,0x0000000f,0x37fec000,
    0x17ffe600,0x07fffe60,0x26aeaa20,0x5d4c0000,0xfff8800a,0x7ffe405f,
    0x7ffed4c6,0x0001aaab,0xd0002200,0x7fc00bff,0x0000004f,0x2a4fff80,
    0x3ffe001f,0x7ff40004,0x3fff5005,0xffa80000,0x3ee03fff,0xfffa83ff,
    0x027ffc00,0x26667ff3,0x0dff3019,0x000ab880,0x000fff90,0x30008800,
    0x155307ff,0x0037fcc2,0x3fff6000,0x17ffe600,0xff509ffd,0x00000001,
    0x06ffd800,0x00fffc40,0x505fffa8,0xfffffffb,0x644003bf,0xdfffffff,
    0x0dfff300,0x20ffff60,0x2e20fffb,0x1000009a,0x20013573,0x3e005ffe,
    0xfffc84ff,0x7fecc0ff,0x3e004fff,0x000f64ff,0x80009fff,0xf9005ffe,
    0xab9880bf,0xffffa800,0x85fff803,0x7c00fffa,0x5bfa04ff,0xdffffffd,
    0x201ffcc2,0xeffffeca,0x7ff6401c,0xffffffff,0x00002eff,0xe98dfd00,
    0x32feffff,0x000007ff,0x6c02fffc,0x1ffec3ff,0x50007fd4,0x2e2001dd,
    0xfffd3002,0xf9000dff,0x7ffd800b,0xffffffb8,0x02ffffff,0xffffffa8,
    0xb83fffff,0xeeeeefff,0xffeeeeee,0xafffb84f,0x3fffffec,0xffffd880,
    0xffffffc9,0x05ffe804,0xf513ffe0,0xc81fffff,0x04ffffff,0x0013ffe0,
    0x0009fff0,0x1735ffe8,0x3627ffe0,0xfffbbfff,0x3ea00dff,0xffd004ff,
    0x01fff50b,0xf304fff8,0x3bff6a1f,0x7d42ffee,0x3ffff207,0x0dffffff,
    0xffffff98,0xffffffff,0x3ffae07f,0x3004ffff,0x7ffcc1ff,0x2a4fffdd,
    0xfffeb87f,0xfb004fff,0x3df300ff,0xfa82ffc8,0xffd8800f,0x3ff9002f,
    0xfffffb00,0x000000df,0x2e07ffdc,0xffffffff,0x200fffff,0xfffffffb,
    0x44ffffff,0xfffffffd,0xffffffff,0xfffb86ff,0xffffffff,0x7ffdc06f,
    0xffffffff,0x3a00efff,0x3fe005ff,0x7fffc44f,0x7ffdc0ff,0x3e004fff,
    0x7c0004ff,0x005444ff,0xffdeffe8,0xf75ff987,0xffffffff,0x2a01ffff,
    0xfd001fff,0x1fff50df,0x904fff80,0x4c5f989f,0x417fc46f,0xfffffffd,
    0x886fffff,0xffffffff,0x5fffffff,0xffffff10,0x3f2009ff,0x3a067f44,
    0x88bfe23f,0xffffffff,0xdfff7004,0x3fee0003,0x400ffa81,0x00dffffb,
    0x9009ffd0,0x0dffffff,0xcccccb80,0xcccccccc,0x442fffdc,0x999acded,
    0x303fffeb,0x359dffff,0x3ffffd95,0x7fffffec,0xffffffff,0xffb87fff,
    0xffffffff,0x3ea04fff,0xffffffff,0x04ffffff,0xf8017ffa,0xfdb984ff,
    0xfcb980ff,0x3fe004ff,0x7fc0004f,0x07ffe64f,0x3fffffa0,0x8ffdc1ff,
    0xfffffffa,0x05ffffff,0x2003fff5,0xffa86ffd,0x27ffc00f,0x2fcc3fe8,
    0x13fa07f4,0x359ffffb,0xbffffb53,0xfffd9710,0x59999999,0x7ffffc01,
    0xfd004fff,0xf983fd47,0x3fe27f42,0x04ffffff,0xffffff10,0x3ea0037b,
    0x3ff2a60f,0x7ff4c0ab,0x3ee002ff,0xca8804ff,0x4006fffc,0xfffffffe,
    0xffffffff,0x10003fff,0xff109fff,0xffc80bff,0x3bfff26f,0xeeeeeeee,
    0xb85eeeee,0x9adfffff,0x00ffffca,0x3fffff66,0xfffc99ad,0x0bffd00f,
    0x5027ffc0,0xff801fff,0x3ffe004f,0x7ffc0004,0x013fff64,0x3ffffffe,
    0x7d44fc85,0xb99cffff,0xff507fff,0x3ff6003f,0x00fffa86,0xff827ffc,
    0xda8afcc1,0x2a5fc86f,0x2a01efff,0x3201ffff,0x440007ff,0x4fffccca,
    0x7dc3ff00,0x22fe4004,0xfffccca8,0x3ffe6004,0x2dffffff,0xffe9be20,
    0x71ffffff,0x001bffff,0x13ffffee,0x01bff600,0xffffffd0,0xffffffff,
    0x9807ffff,0xfe9aacaa,0x6fff985f,0x27fffb00,0x0005fffa,0x0bfffee0,
    0x200fffe4,0x703ffffa,0x3fa05fff,0x3ffe005f,0x03ffea04,0x4009fff0,
    0x40004fff,0x3fee4fff,0x3ffa603f,0x5102efff,0x09ffff10,0xf501fff9,
    0x3f6003ff,0x1fffa86f,0x4427ffc0,0x7ffcc0ff,0xfa81efff,0x007fff65,
    0xc80fffee,0x800007ff,0xf8804fff,0x000bf20f,0xfff00bf5,0xffe88009,
    0xefffffff,0x76d43500,0xe9bdeeee,0xed8affff,0xfffd882e,0xd8003fff,
    0x7f4006ff,0xffffffff,0xffffffff,0xffff703f,0xbfffffff,0xdddfff70,
    0xdddddddd,0x3fe29fff,0x022004ff,0x3017ffdc,0xfa807fff,0x3fe202ff,
    0x0bffd03f,0x5027ffc0,0xff801fff,0x3ffe004f,0x7ffc0004,0x2033f624,
    0xffffffd8,0xfff10003,0x0bffe60b,0x4007ffea,0xffa86ffd,0xfffd503f,
    0xf307fe09,0x205fffff,0x13ffe5fb,0x12fffc40,0xdffffdd9,0x0007bddd,
    0xf8027ffc,0x000bf21f,0xfff00bf7,0x3b260009,0xffffffff,0xffc80001,
    0xfffb0cff,0xfffffd05,0x3f600019,0x7fec006f,0x7ffcc006,0x7ffff4c2,
    0xffffffff,0xfffffd85,0xffffffff,0x3ea6ffff,0x88acefff,0x3fffdb99,
    0x200fffb8,0x5403fff8,0x3e200fff,0xbffd03ff,0xfff83c88,0x03ffea04,
    0x4009fff0,0x40004fff,0x22004fff,0x5fffffff,0x3ffe2000,0x05fff303,
    0x2003fff5,0xff986ffd,0xfeb98aef,0xe82effff,0xf92fcc2f,0x269fd01f,
    0x32002fff,0x3fff27ff,0xffffffff,0xff0001ff,0x8bfa009f,0x7f4005fb,
    0x04fff804,0xffb73000,0x20010bff,0x21efffea,0x4c2ffffa,0x000cffff,
    0x0037fec0,0x8003fff2,0x3a20fffb,0xffffffff,0xd85fffff,0xffffffff,
    0xffffffff,0x7fffec7f,0xffffffff,0xffb86fff,0x3ffe200f,0x07ffd403,
    0x207fff10,0x7fe45ffe,0x5027ffc2,0xff801fff,0x3ffe004f,0x7ffc0004,
    0x3ffea004,0x0005ffff,0x4c0fffe2,0xffa82fff,0xdffb001f,0x3fffffa0,
    0xffffffff,0x227e43ff,0x437e45f9,0x3fff52ff,0x87ffd400,0xfffffffc,
    0x01ffffff,0x009fff00,0x1ff993f2,0x02ff8570,0x1004fff8,0x3ffa6001,
    0x09ffb10f,0x227fffec,0x42fffff8,0x0002fffc,0x800dffb0,0x2003fffa,
    0x7ff47ffd,0xa989beff,0xfc85fffa,0xeeeeeeff,0xeeeeeeee,0xfffffc85,
    0xffffffff,0x0fffb83f,0x00fffe20,0x4401fff5,0xffd03fff,0x7c4fff8b,
    0x3fea04ff,0x27ffc00f,0x009fff00,0x004fff80,0x3fabbfa2,0x3e20005f,
    0xfff303ff,0x03fff505,0x4c17ffa0,0xffffffff,0x4fffffff,0xfc987fcc,
    0x477f60be,0x3ffe27fa,0x9bff2003,0xffffedb8,0x002deeee,0x4013ffe0,
    0x3ff20ff9,0x25fea9bd,0xfff007fa,0x05ff3009,0x5cbffe60,0xfc81ffff,
    0xffd81eff,0x7ff42ffa,0xd8028806,0x7c4006ff,0xfb800fff,0x3ffe25ff,
    0x2fff400f,0x002fffd4,0x3fff6600,0xceffffff,0x01fff701,0x201fffc4,
    0x2200fffa,0xffd03fff,0x224fff8b,0x3ea03fff,0x7ffc01ff,0x13ffe004,
    0x09fff000,0x2fff4100,0x7fff1000,0x20bffe60,0xd001fffa,0x7f4c0bff,
    0xfadfffff,0xfe80dfff,0x49ffffb5,0x4fe8fff8,0x40077ff4,0x3204fff9,
    0x800007ff,0x3a004fff,0x7fffe45f,0x9fd10eff,0x013ffe00,0x4c01fff2,
    0xfff93fff,0x07ff707f,0x3fe2ffee,0x2037ff42,0x7ec04ff9,0xffb8006f,
    0x3fee01ef,0x3ffea0ff,0x3fff2203,0x4ffff885,0x22002200,0x019adffa,
    0x401fff70,0x5403fff8,0x3e200fff,0xbffd03ff,0x3ea4fff8,0x3fea02ff,
    0xfffd503f,0x27ffc009,0x13ffe000,0x0bffd000,0x1fffc400,0xa82fff98,
    0xf8801fff,0xcb9804ff,0x09ff109a,0xaa8bff98,0x74d4c0aa,0x7ffdc0ff,
    0x3ffa600d,0x3fff202f,0x800e5400,0x26004fff,0x6e5cc3ff,0x03ffa20a,
    0x4027ffc0,0x400cfffd,0xff31fffe,0x402601ff,0x5ff15ff8,0x202fffd8,
    0x7ec06ffb,0xffd0006f,0xd53159ff,0xf987ffff,0xa989beff,0xcefffffd,
    0x77fffd41,0xdb9988ac,0xfc803fff,0xfff70005,0x1fffc401,0x803ffea0,
    0xfa83fff8,0x3ffe2eff,0x0ffffa9e,0x2bbffe20,0xffffea98,0xfff002ef,
    0xfff80009,0x7ff40004,0x3fe20005,0x5fff303f,0x1dfffd98,0x0bfff620,
    0x01ff5000,0x2009ff70,0xe881ffe8,0x889bffff,0x06ffffc9,0x44efffdc,
    0xffffeca8,0x04fff800,0x8027fdc0,0x2001ffe8,0xfd804fff,0x99acffff,
    0x0fffffb9,0xd8000ae2,0xdffdcdff,0x37fffea0,0xfffdb98a,0x7fe65cc7,
    0x00bcccff,0xffffff98,0x5fffffff,0xffffffd0,0xffffffff,0xffd87fff,
    0xffffffff,0x806fffff,0x01db9efb,0x67fff5c4,0xdfffca83,0x7fedc40c,
    0xffb982df,0x3ffee2ef,0xffff2fff,0x009fffff,0xfffffffd,0xffffffff,
    0x666664c7,0xccccefff,0x66664c1b,0xcccefffc,0x6664c1bc,0xccefffcc,
    0x5cc01bcc,0x220befff,0x3e64fffc,0x21ffffff,0x6fffffe8,0x59ff0000,
    0x3ff205fb,0x7e5440ae,0x3fa202ff,0xffffffff,0xf9805fff,0xffffffff,
    0x260fffff,0xfffccccc,0x01bcccce,0x102bbff2,0x205fff95,0xffccccc9,
    0x1bccccef,0x3ffffff6,0xffffffff,0xf800002f,0xffffffff,0x7ffffec4,
    0x7fffffff,0x3fffffe2,0x07ffffff,0xfffffb10,0x407fffff,0xfffffff8,
    0xffffffff,0xfffc84ff,0xffffffff,0xf8803fff,0x7404ffff,0x4fffffff,
    0x3fffffee,0x7fffec6f,0x3fe23fff,0xf93fffff,0x367fffff,0x5fffffff,
    0xfffff300,0xffffffff,0x3ffea9ff,0xffffffff,0xf50fffff,0xffffffff,
    0x1fffffff,0x3fffffee,0xffffffff,0xfff301ff,0x7ecdffff,0xff55ffff,
    0x5c5fffff,0x01ffffff,0xffff7000,0x7ffd405f,0xffffedef,0xffe8801e,
    0xffffffff,0x3ffee004,0xffffffff,0x3fffee3f,0xffffffff,0x2a00ffff,
    0xfedeffff,0xf701efff,0xffffffff,0x1fffffff,0x3fffffee,0xffffffff,
    0x55000003,0x19ff7555,0xfffffe88,0x24ffffff,0xfffffff9,0x00ffffff,
    0x3ffffae0,0xc8800dff,0xdfffffff,0x0dffffea,0xfffffb30,0x039dffff,
    0x067fed40,0x3fffffe0,0x3fff24ff,0x7fc7ffff,0x25ffffff,0xfffffff8,
    0xbffffb34,0x7ffffec1,0x3fa6000d,0xfadfffff,0xff91dfff,0xffffffff,
    0x23ffffff,0xfffffffc,0xffffffff,0xfffff91f,0xffffffff,0x3ea05fff,
    0x0fffffff,0x4dfffffd,0x45efffec,0x02dffff8,0x6fed4000,0xffeb8803,
    0x002effff,0xfffffdb8,0xea8003df,0xefffffff,0x7fffe40b,0xffffffff,
    0x4401ffff,0xffffffeb,0x7ffe402e,0xffffffff,0xb11fffff,0xffffd73d,
    0x00019fff,0x3ffa6000,0xfff702ff,0x017dffff,0xffffffd9,0x0007dfff,
    0x0006ae62,0x05565d44,0x654c4000,0x800019ab,0x3ffaa000,0x3620dfff,
    0x42efffff,0xdfffffda,0x7ffff5c1,0xba88000d,0x65440001,0xfb10009a,
    0xffffffff,0x449dffff,0xfffffffd,0x4effffff,0x3fffff62,0xffffffff,
    0x7ff6404e,0x3f6a3eff,0x10002dff,0x00000175,0x2ea60000,0x3000009a,
    0x20000377,0x009acba9,0x3fffff62,0xffffffff,0x5d4c004e,0xfb10009a,
    0xffffffff,0x009dffff,0x00357551,0xfd100000,0x4c405dff,0x0001abca,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa2000,0xaa980aaa,0x44001aaa,0xbcdeeedc,0x55551001,0x35555555,
    0x6fffec88,0xffda8000,0x0004ffff,0x56776dcc,0xcccc9800,0xcccccccc,
    0x402ccccc,0xbdefdca8,0x3e200311,0x40000fff,0x22cefeb9,0xfffeb819,
    0x5400000f,0x02cdfedc,0x000032e0,0x0eeeed80,0x5555554c,0xaaaaaaaa,
    0x5440aaaa,0xaaaaaaaa,0x554c4000,0xaaa981aa,0xa998001a,0xaaaaaaaa,
    0x55442aaa,0x0aaaaaaa,0xaaaaa800,0x0001aaaa,0x09abaa88,0x00220000,
    0xdeedb880,0xaaaa8802,0xa80aaaaa,0xffff300a,0x7f49ffff,0x07ffffff,
    0xffffff90,0xa803ffff,0xffffffff,0x326fffff,0x006fffff,0x7ffffc40,
    0x10004fff,0xfffffffb,0x000b807f,0x3ff60480,0xefffffff,0xff8804ff,
    0xd98000ff,0xffffffff,0x3ea3ffcf,0x000fffff,0xffffc880,0x00dfffff,
    0x00027fd4,0xfffffa80,0x7ffffe40,0xffffffff,0x2e1fffff,0xffffffff,
    0xf1003fff,0x49ffffff,0x7ffffffd,0xffffb880,0xffffffff,0x3fea5fff,
    0xffffffff,0xfff1003f,0xffffffff,0x6d4007df,0xffffffff,0x3b20001d,
    0x002dceff,0xfffffff5,0x3ffea03d,0xffffffff,0x5c1bff63,0xffffffff,
    0xffffff16,0xfc803fff,0xffffffff,0x7fe404ff,0xffffffff,0xff70ffff,
    0x8000dfff,0xfffffff8,0xffa8004f,0xffffffff,0x001700df,0xffd10900,
    0xffffffff,0xf100dfff,0xa8001fff,0xffffffff,0x25ffffff,0x0ffffff9,
    0x7ffcc000,0xffffffff,0x3ff200ff,0xf8800006,0x640fffff,0xffffffff,
    0xffffffff,0x3fff61ff,0xffffffff,0xffff5005,0x7ffcffff,0x201fffff,
    0xfffffffb,0xffffffff,0x3fff65ff,0xffffffff,0xffff5005,0xffffffff,
    0xfb803dff,0xffffffff,0x44002fff,0xfffffffe,0xffff9807,0x80ffffff,
    0xfffffffd,0x3fe5ffff,0xffe881ff,0x323fffff,0x5fffffff,0x7ffffd40,
    0x1ffffeee,0x7ffff4c0,0xffffffff,0x37ffed44,0x76dcc000,0x4004fffe,
    0xdffffff9,0x0ffffffe,0x480000b8,0x7fffffcc,0xfffffede,0xfff8807f,
    0x3fea000f,0xfedeffff,0x547fffff,0x000fffec,0x7ffffcc0,0xfffffdef,
    0x01fff205,0x3fff2000,0x7fe40fff,0xffffffff,0xffffffff,0x3ffffaa1,
    0x02ffffff,0xfffffd10,0x7fffe47f,0x3ff206ff,0xffffffff,0xffffffff,
    0x3ffffa65,0x02ffffff,0x3fffffa0,0xffffffff,0x3fee01ff,0xffffffff,
    0x36000fff,0xffffffff,0xffffe807,0x84ffffed,0xffffffe9,0x3f22ffff,
    0x3fea00ff,0x3f2601af,0xffc801ff,0x0013103f,0x7fccccc4,0x7ec019df,
    0xf000006f,0xfe8009ff,0xffa81eff,0x000b85ff,0x7fffc480,0xffd980ae,
    0x4000007f,0x81effff8,0x07ffffc8,0x0001fff7,0x09cfff98,0x07fffea2,
    0x0003ffe4,0x3ffffe60,0x7ffe40ff,0xdfff9999,0x1fffb999,0xbfffa988,
    0xff900009,0x7ffd403f,0x3ffff203,0xbfffabdf,0x5ffe9999,0xbfffa988,
    0xff300009,0xb733337f,0x201dffff,0x99acded8,0x03fffeb9,0x99ffff50,
    0xf8803dff,0x3fa20eff,0x3ea6202f,0xd1009bff,0x1fffa80d,0x00fffb80,
    0x0006ffd8,0x04fff800,0x000dffb0,0x013ffe00,0x00dfffc8,0x70bfffa2,
    0x5c900001,0xe800efff,0x000007ff,0x0077ffe4,0x5c1fffe6,0x40000fff,
    0x2e01fff8,0xff903fff,0xfd80000f,0x40fffeff,0xfff87ffc,0x00fffd44,
    0x0005fff3,0x3bfffae6,0xfeeeeeee,0x7cc0bdff,0x7fc45fff,0x05ffe82f,
    0x000bffe6,0x405fff30,0x004ffff8,0x027ffc40,0x261fffc8,0x5fff5003,
    0x26005910,0x7e402fff,0x0fffd401,0x007ffdc0,0x00037fec,0x027ffc00,
    0x0006ffd8,0x009fff00,0x401bffe6,0x2e0ffff9,0xf1480000,0x2a001dff,
    0x000004ff,0x80077ff4,0xff706ffd,0x06aea21f,0xf807fe80,0x3ffb24ff,
    0xffffffff,0xf5002eff,0x1fff7dff,0xff87ffc8,0x0fffd44f,0x045fff30,
    0xfffffd00,0xffffffff,0xd8bfffff,0xff885fff,0x05ffe82f,0x2a0bffe6,
    0x5fff3000,0x0ffff980,0xaacaa980,0xb005ffe9,0x54000fff,0x80001fff,
    0x2602fff9,0xfffa804f,0x0fffb801,0xfffffd98,0xdfffffff,0xfff80001,
    0x4dffb004,0xefffffd8,0x13ffe003,0x017ffe40,0x5c5fff90,0xf5480000,
    0xcb8007ff,0xffffd700,0xff1009ff,0x7fcc009f,0xd7fff703,0x07ffffff,
    0xf8801510,0xffff35ff,0xffffffff,0x3a00ffff,0xfffbafff,0x7c3ffdc0,
    0x7ffd44ff,0x2bffe601,0xd801ffd9,0xffffffff,0xffffffff,0x3ffe24ff,
    0x2fff880e,0x80fff255,0x7f42fff9,0xfff9803f,0x3fffb802,0x3ffffee0,
    0x05ffffff,0x007fff70,0x00bffe20,0x0bffe600,0xff5006e8,0xfff7003f,
    0xfffffd01,0xffffffff,0xff0000bf,0x3ff6009f,0x3fffff26,0xff000fff,
    0x3ff6009f,0x7ffc4006,0x200002e3,0x003fff74,0x7fffc400,0xa804ffff,
    0x4c001fff,0x3fffee02,0xffffffff,0xffb00005,0x3fffe27f,0xffffffff,
    0xfb805fff,0x1fff75ff,0xff86ffa8,0x03ffc44f,0x3ffbffe6,0xf91003ff,
    0x555557ff,0x819fff75,0xf104fffa,0x35ff75ff,0x7fcc01dd,0x1fffea2f,
    0x00bffe60,0x2617ffe2,0xfffffffe,0x005fffff,0x001ffff1,0x0013ffe0,
    0x80bffe60,0x3ffea000,0x0fffb801,0xffffffc8,0xffffffff,0xfff80003,
    0x4dffb004,0xfffffffb,0x13ffe006,0x0027ffc0,0x0172fff4,0x3ff69000,
    0xff800007,0x04ffffff,0x0007ffc8,0xfffffb80,0xffffffff,0x3faa0004,
    0x32e20fff,0xccccfffe,0x4400accc,0xff70ffff,0xf05fb01f,0x07f909ff,
    0xffffff98,0x3ee001ff,0xaaaaabff,0xb83fffba,0xff102fff,0x00bffdbf,
    0xf317ffcc,0x6dd40dff,0x3cccdfff,0xe88dffd0,0xffffffff,0x005fffff,
    0x8013fff2,0xcffffcb9,0xf98001bc,0x500002ff,0xf7003fff,0x995101ff,
    0x9999ffff,0x20000379,0xfb004fff,0x3fff62df,0x2000acef,0xf8804fff,
    0xfd8003ff,0x00002e6f,0x002fff52,0x66654400,0xfe804fff,0xb800005f,
    0x9adfffff,0x006fffca,0x7ffff5c4,0x1fff203f,0x3fff6000,0x003ffee4,
    0x0009fff0,0x7fffffd4,0x7fdc000e,0xffffffff,0xfc83ffff,0xfff100ff,
    0x400bffff,0x7e42fff9,0xffff501e,0x9fffffff,0xfe8fff90,0x989befff,
    0x005fffaa,0x45fffff3,0x3ff20998,0xffffffff,0x7fcc003f,0xf500002f,
    0xff7003ff,0xdffb001f,0xf8002000,0xffb004ff,0x9ffffd3d,0x27ffc000,
    0x017ffcc0,0x173ffe40,0x3fa90000,0x4cccc05f,0x3e000999,0xffe804ff,
    0xfb800005,0xff903fff,0x7ff4001f,0x6402ffff,0x4c0007ff,0x7fdc6fff,
    0x5554400f,0x0aaadfff,0xffffd880,0xf70002ff,0xffffffff,0xb07fffff,
    0x7fc40fff,0x005fffff,0x000bffe6,0x3fffffee,0xc84fffff,0x3ffe27ff,
    0x2fff400f,0x7ffffcc0,0x3fffb0ff,0x3ffffff6,0x005fffff,0x0017ffcc,
    0x01fffa80,0x800fffb8,0xb8006ffd,0xfff800ef,0xffffb004,0x0007ffff,
    0xf004fff8,0xfb0007ff,0x00005cdf,0x305ffea4,0xffffffff,0xfff001df,
    0x0bffd009,0xfff70000,0x17ffcc05,0xbffffd00,0x0fff9003,0x2fffe800,
    0x7007ffdc,0xffffffff,0x5c01ffff,0x04ffffff,0xfff70198,0xffffffff,
    0xff907fff,0x3ffe201f,0x2005ffff,0x9802fff9,0x7ffff6c1,0xc80effff,
    0x3ffea7ff,0x3fff2203,0x7fffc405,0xfff5ffff,0x3fff669f,0x1dffffff,
    0x17ffcc00,0x3ea00cc0,0xffb801ff,0x6ffd800f,0x02ffe800,0xb004fff8,
    0x3fffffff,0x9fff0000,0x017ffa00,0x0b93ffe0,0xffb48000,0x3ffff20d,
    0x02ffffff,0xd804fff8,0x800006ff,0x2200fffb,0x3a003fff,0x32001eff,
    0x2e0007ff,0xffb85fff,0x3fff600f,0xffffffff,0xfffe882f,0x5c02ffff,
    0xfffb82ff,0xa9999999,0xffb83fff,0x5fff102f,0x4c009ffb,0x7dc02fff,
    0x2fff982f,0x4cdffd00,0x989befff,0xefffffda,0xbfff501c,0xff9fffd1,
    0x7ff405ff,0x7fcc0005,0x17fdc02f,0x003fff50,0xb001fff7,0xff000dff,
    0x9fff007f,0x3ffff600,0xf00005ff,0x3f2009ff,0x7fcc007f,0x00002e3f,
    0xa83ffdd2,0xffffffff,0xfff800ff,0x0fffc804,0x7fdc0000,0x3ffe200f,
    0x0bff2003,0x00fff900,0x37fffe20,0xfffdcccc,0xfffd501c,0xdfffffff,
    0x3ffffee0,0x7ec02fff,0x0fffb84f,0x20fffe20,0xf105fff9,0x03dd35ff,
    0x017ffcc0,0x3e613ff6,0xfff002ff,0xfffffe89,0xffffffff,0xfd83ffff,
    0x3fffe67f,0x3e201fff,0x4c0005ff,0x7ec02fff,0x3ffe204f,0x07ffc804,
    0x000dffb0,0xff009fff,0x3ff6009f,0x00efffff,0x027ffc00,0x004fffb8,
    0x0b87fffa,0xff548000,0x2aaa203f,0x000fffda,0xf7009fff,0x800007ff,
    0x2200fffb,0x22003fff,0xffc8002b,0xfff30007,0xffffffff,0x4401ffff,
    0x99dfff99,0x2fffe600,0x7402fff9,0xfffb85ff,0x0fffe200,0x440ffff4,
    0x7b302fff,0x017ffcc0,0x3e617ffa,0xff9802ff,0x7fffc43f,0xffffffff,
    0xf84fffff,0x7ffe45ff,0x7fcc06ff,0x7cc0004f,0x7ff402ff,0x07fffc05,
    0x00bffd10,0x2001bff6,0x7cc04fff,0xffb002ff,0x1dffff9f,0x27ffc000,
    0x1ffff880,0x45fffb80,0x1480000b,0x6400dfff,0x3fe007ff,0xfff8804f,
    0x0f66001f,0x1007ffdc,0x00007fff,0x01fff200,0x7ffffcc0,0xffffffff,
    0xfff001ff,0x9854c009,0x7f402fff,0x0fffb85f,0x40fffe20,0x441ffffb,
    0xffd02fff,0x0bffe603,0xf30bffd0,0xff9805ff,0xffc881ff,0xeadfffff,
    0xe80effff,0xfffe86ff,0x7ffdc03f,0xf3004403,0xffe805ff,0x27ffec05,
    0x03fffe88,0x000dffb0,0x6c409fff,0xfb000fff,0x3fffe6df,0xfff0001f,
    0x7ffd4009,0x3ffee02f,0x00005c0f,0x19fffb24,0x00fff900,0xc8027ffc,
    0xb802efff,0xffb81fff,0x3ffe200f,0x90000003,0x54401fff,0x3fffe61c,
    0xffffffff,0x3fe003ef,0x3e60004f,0x7ff402ff,0x00fffb85,0x440fffe2,
    0x10affffe,0xff105fff,0x3ffe607f,0x42fff402,0x2a02fff9,0x4404ffff,
    0xe80aacba,0x3fff603f,0xfffd99ad,0xffd102cf,0x1ffcc01f,0x402fff98,
    0x7cc05ffe,0xb99cffff,0x2006fffe,0xf8006ffd,0x99bdffff,0x006ffffb,
    0xfe99bff6,0xf8002fff,0x7e4004ff,0xb98adfff,0xb83ffffe,0x22480000,
    0x9acfffff,0xfffecb98,0x13ffe007,0xdffffd80,0xfdba989a,0xffb81fff,
    0x3ffe200f,0x00044003,0x456fffdc,0xffffeca8,0x7ffdc000,0x7e665400,
    0x01bcceff,0x7ffee654,0xcccccccd,0x3ae25fff,0x220acfff,0x0cdfffcb,
    0xffffff98,0xccdfffde,0x23fffccc,0xdfffdcca,0xfccccccc,0x7fe4c5ff,
    0xfeccccdf,0x0006ffff,0x14c7fe20,0x3fffffe6,0xffffffff,0x3fffee23,
    0xcccccccf,0x332a6ffe,0xcccdfffd,0x5fffcccc,0xfffffa80,0x1fffffff,
    0x3ff32e60,0xbcccccff,0xffffff01,0xdfffffff,0xffd93001,0xffffe88d,
    0x6664c2cc,0xccefffcc,0x3fa01bcc,0xffffffff,0x01704fff,0xffa89000,
    0xffffffff,0x987fffff,0xfffccccc,0x01bcccce,0xfffffff9,0xbfffffff,
    0xcfffeb88,0xdfffca82,0x7ff4400b,0x7ffc4005,0xffffffff,0xb8801fff,
    0x01cfffdc,0xfffffff7,0x201fffff,0xfffffffb,0xffffffff,0x3ffa5fff,
    0x3a5fffff,0x6fffffff,0xffffff30,0xffffffff,0x2e7fffff,0xffffffff,
    0xffffffff,0x3ffe25ff,0xffffffff,0x001fffff,0x7f7fec00,0x7fffe40f,
    0xffffffff,0x3ffffa4f,0xffffffff,0xff75ffff,0xffffffff,0xffffffff,
    0x3ffee00b,0x2effffff,0x3ffffe20,0xffffffff,0xffda80ff,0xffffffff,
    0xfffb800e,0xfffe86ff,0xff53ffff,0xffffffff,0x01ffffff,0x7fffffe4,
    0x2e02ffff,0xa8480000,0xfffffffe,0x43efffff,0xfffffffb,0xffffffff,
    0xffff900f,0xffffffff,0xfffffb07,0x7ffd45ff,0x5c05ffff,0x4002ffff,
    0xfffffffb,0x003fffff,0xffffffff,0xffffb01f,0xffffffff,0x3ffff205,
    0xffffffff,0x15ffffff,0xffffffff,0x7fffffcd,0x3f6207ff,0xffffffff,
    0xffffffff,0xffffff93,0xffffffff,0x7ccbffff,0xffffffff,0x00dfffff,
    0xffe98000,0xfffd505f,0xbfff9fff,0x7fffffc3,0xffffffff,0xfff92fff,
    0xffffffff,0xbfffffff,0x7ffec400,0x4c00cfff,0xffffffff,0x1fffffff,
    0x3ffff220,0x32003eff,0x446fffff,0xffffffff,0xffffff94,0xffffffff,
    0xfe9803ff,0x00dfffff,0x2400005c,0xfffffd70,0x3205bfff,0xffffffff,
    0xffffffff,0x3fff6a01,0x01ceffff,0xffffffff,0x7ffffe49,0x7fcc07ff,
    0xea8000ff,0xefffffff,0xfff1000b,0x03ffffff,0xffffffb3,0x4c09dfff,
    0xfffffffd,0xffffffff,0x3ffaa5ff,0x3aa2dfff,0x02efffff,0xffffb730,
    0xffffffff,0x3fff667f,0xffffffff,0x45ffffff,0xffffffec,0x001acdff,
    0x00b98000,0x00aaba98,0xfffffda8,0xffffffff,0x3fff662e,0xffffffff,
    0x05ffffff,0x01ab9880,0x7ffff640,0xefffffff,0x2aea2004,0xffd98000,
    0xffeb86ff,0xfb11dfff,0xffffffff,0x009dffff,0x00055cc4,0x99999997,
    0x99999999,0x26200999,0x44009aba,0xfffffffd,0x4effffff,0x35753100,
    0x3fffaa00,0x3f661dff,0x802dffff,0x40000aa8,0x001abba9,0x3ffffae0,
    0x000004ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa9800,
    0x4c01aaaa,0xaaaaaaaa,0xaaaaaaaa,0x55554c0a,0x2aaaa600,0xaaaaa880,
    0x01aaaaaa,0x0d555540,0x00d5554c,0x2aaaaaaa,0xaa8001aa,0xaaaaaaaa,
    0xaa980009,0xaaaaaaaa,0xaaa980aa,0x2aaa200a,0xaaaa880a,0xaaa80aaa,
    0xaaa880aa,0x00aaaaaa,0x2aaaa200,0xaaaaaaaa,0xa982aaaa,0x551002aa,
    0x2aa60355,0x2aa600aa,0xa9801aaa,0x02aaaaaa,0xaaaaa880,0x001aaaaa,
    0x55555555,0x55555555,0x55553015,0x55554c01,0xaaaaaa80,0x3000aaaa,
    0x55555555,0x01555555,0x03555553,0x2aaaaaa2,0x555554c1,0xaaaaaaaa,
    0x540aaaaa,0xaaaaaaaa,0x7ffec001,0x2fffffff,0xffffffd0,0xffffffff,
    0x7f43ffff,0xe83fffff,0x24ffffff,0xfffffff8,0xcfffffff,0x3fffe200,
    0x3ff65fff,0xf887ffff,0xffffffff,0x4403efff,0xffffffff,0x02ffffff,
    0xffffff90,0xffffffff,0x7ffffec5,0xffffd83f,0x3ffe24ff,0x12ffffff,
    0xbfffffff,0x7fffffd4,0x003fffff,0xffffffa8,0xffffffff,0x7ffc5fff,
    0xfc803fff,0x7f46ffff,0xfb06ffff,0x1fffffff,0xffffff10,0x4003ffff,
    0xfffffffb,0x0dffffff,0xffffff88,0xffffffff,0x7f41ffff,0xd83fffff,
    0x24ffffff,0xfffffffb,0xc803ffff,0xffffffff,0x42ffffff,0xffffffff,
    0x7ffffc46,0x3ff25fff,0xffffffff,0xffffffff,0xffffff11,0x7dffffff,
    0xfffff700,0x103dffff,0xffffffff,0xffffffff,0x3fe23fff,0x445fffff,
    0x6fffffff,0x3fffffea,0xffffffff,0xfff501ff,0x7fcfffff,0x41ffffff,
    0xfffffffa,0xefffffff,0xfffff501,0xffffffff,0xfe801dff,0xffffffff,
    0xf14fffff,0x0dffffff,0xdfffffff,0x7fffffd4,0xfff55fff,0x7ecfffff,
    0xffffffff,0xfc8005ff,0xffffffff,0xffffffff,0x3ffffe65,0x7ffc406f,
    0xff10ffff,0xf07fffff,0xffffffff,0xfffff305,0x009fffff,0x7fffffec,
    0xffffffff,0x7fffd43f,0xffffffff,0x21ffffff,0xfffffff8,0x7ffffc46,
    0x3fff66ff,0xffffffff,0xffffc805,0xffffffff,0x3ffe62ff,0x20ffffff,
    0xfffffffa,0x3ffff27f,0xffffffff,0x51ffffff,0xffffffff,0x3dffffff,
    0xfc800000,0xffffffff,0xffffffff,0x3ffff21f,0xfffd82ff,0x3fa23fff,
    0xffffffff,0x0fffffff,0xffffffd0,0x7ffffe47,0xffffd05f,0xffffffff,
    0x3fa03fff,0xffffffff,0x06ffffff,0x7fffffdc,0xefffffff,0x3fffff61,
    0xffffd84f,0x3ffa23ff,0x11efffff,0x7ffffffd,0x7fffff4c,0x002fffff,
    0xdffffe98,0xffffffff,0x7fec5fff,0x2e02ffff,0x44ffffff,0xfffffffd,
    0x7ffffe41,0x3ff606ff,0x7fffffff,0x3fffea00,0xffffffff,0x7f42ffff,
    0xffffffff,0xffffffff,0x7ffffec1,0xffffc82f,0x3ffea3ff,0xefffffff,
    0xffffc802,0xffffffff,0x7fff42ff,0x7444ffff,0x4fffffff,0x3ffffff2,
    0xffffffff,0x3fa1ffff,0xffffffff,0x00ffffff,0xffa80000,0x999999bf,
    0x81fffb99,0x3e05fffd,0x32203fff,0x99999fff,0x05fffeca,0xa807fff2,
    0x7cc03fff,0xb9999bff,0x00effffd,0x333fff91,0xffffd733,0xf3333007,
    0x01333bff,0x817fff62,0x100bfffe,0x8813fff9,0x203ffffe,0x9bfffa98,
    0xff880000,0x99bfff9f,0xb85ffe99,0x206fffff,0x02fffffe,0x1bffffee,
    0x00fffdcc,0x7fff4cc4,0x44002fff,0x9999effe,0x0fffffda,0x4d7ffe44,
    0xfb999999,0xffe881ff,0xffff106f,0x77ff4409,0x32000999,0x99999fff,
    0x80ffffd9,0x4019fffd,0x43fffa98,0x9999fffc,0xb999dfff,0x7fd41fff,
    0xdb9999bf,0x0006ffff,0x2fff9800,0x81fffa80,0xc82ffff8,0xfb805fff,
    0x3fe200ff,0x3ffee07f,0x0fffe200,0x405fff30,0x204ffff8,0x2600fffb,
    0xf8006fff,0x3e2004ff,0xffb82fff,0xfffb806f,0x7ffffcc0,0x5fff3002,
    0x7fcc0000,0xe83fff8e,0xfffa85ff,0xffa81fff,0x2602ffff,0x03ffffff,
    0x4003fff5,0xfffefff8,0x5ffe8006,0x41fffec0,0x5400fffb,0xff101fff,
    0xfffd09ff,0xdfffd00b,0x379bdddd,0x4c1fff20,0xf902ffff,0x7d4001ff,
    0x3ffe41ff,0x3ea27ffc,0x7ffcc1ff,0x3fffe602,0x7ffff5c3,0x7cc004ff,
    0x7cc082ff,0xfff500ff,0x7fffcc1f,0x0fffb800,0x807ffe40,0x2200fffb,
    0x7cc03fff,0x7fcc02ff,0xfff700ff,0x0fffd801,0x027ffc00,0x83fffea0,
    0x800ffff9,0x3ea0fffb,0x2001ffff,0x0002fff9,0x3e2ffee0,0x5ffe83ff,
    0xffffffa8,0xfffffd85,0x3ffe602f,0xfa80ffff,0x3ee001ff,0x1fffcaff,
    0x02fff400,0x2e17ffe2,0x26080fff,0x3e600fff,0x3ff23fff,0xffe800ef,
    0xffffffff,0x7ffc83ff,0x03ffff88,0xf887ffee,0x7ffdc7ff,0x7c3ffe40,
    0x7ffd44ff,0x017ffcc1,0xf89fffea,0x4fffffff,0x17ffcc00,0x6ff89fb1,
    0xd27ffec0,0x2e005fff,0x7f400fff,0x3ffee07f,0x0fffe200,0x005fff30,
    0x2e07fff7,0x7e400fff,0x7fc000ff,0xffc8004f,0x0ffffa5f,0xb87ffdc0,
    0x000effff,0x0017ffcc,0xf13ffd00,0x7e4aa7ff,0xffffa83f,0x3fe60fff,
    0x202fffff,0xfffefff9,0x01fffa85,0x7cdfffa0,0x7f4004ff,0x6ffe805f,
    0x260fffb8,0x01bfe2fe,0x2e7fffea,0xd001ffff,0xffffffff,0xa8bfffff,
    0xfffe86ff,0x17ffd405,0x643ffff7,0x7ffb87ff,0x7d44fff8,0x7ffcc1ff,
    0x3fffb802,0x3ffffffe,0x7fcc004f,0x11ffe62f,0xfff88015,0x05fffcaf,
    0x403ffee0,0x206fffc9,0x2200fffb,0x7cc03fff,0xff8802ff,0x1fff705f,
    0x02fffd40,0x0027ffc0,0x657fff44,0x2e005fff,0xfffc8fff,0xf98000df,
    0x100002ff,0x3ffe2fff,0xee9bffbb,0xfcfffa80,0x3fff24ff,0x2602fffc,
    0xfffeafff,0x00fffd42,0x3a4fffa8,0x7f4007ff,0x4fff805f,0x2e0fffb8,
    0x002a25ff,0x7fffffe4,0x3fa002ff,0xa99999ef,0x220ffffc,0x7ffe43fe,
    0x7ffcc00e,0x93ffffa3,0xffa87ffd,0x444fff86,0xfff987ff,0x5fff8802,
    0x3ff332a2,0x7fcc004f,0xfffdccdf,0xfff50000,0x001fffff,0x6667ffdc,
    0xffffffdc,0x2fffee01,0xfbaaaaaa,0xfb7503ff,0x07999bff,0x7dc1bffa,
    0x7ecc40ff,0xf8002fff,0xf30004ff,0x1fffffff,0x77ffdc00,0x0005ffff,
    0x000bffe6,0xf8a7fd40,0x05ffedff,0xfe9fffa8,0xefff88ff,0x2602fff9,
    0xfffaafff,0x07ffea0e,0x70fffec0,0x74005fff,0x7fec05ff,0xcfffb82f,
    0x007ffecc,0x7ffffec0,0x7ff4003f,0x1fffdc05,0x3fffea04,0x4fff8801,
    0x4ffffff3,0x5fb06ffe,0xf909fff0,0x05fff307,0xf01bffa0,0xf98009ff,
    0xffffffff,0x3f20000f,0x002fffff,0x7fffffdc,0x4fffffff,0x7ffffdc0,
    0xffffffff,0xffffa83f,0x4fffffff,0xf707ffc8,0xffddddff,0x000bffff,
    0x80013ffe,0x2ffffffc,0x7fffdc00,0x000effff,0x005fff30,0x44bff600,
    0x6fffffff,0xb8fffa80,0xfffbbfff,0x202fff9a,0xffb2fff9,0x0fffd49f,
    0x22fffc40,0x2006fff8,0xea885ffe,0xfb80ffff,0xffffffff,0x7f440007,
    0xe8005fff,0x7fc405ff,0x7ffcc05f,0x3ffe003f,0xffffff75,0x0017ffe3,
    0x30013ffe,0x36005fff,0x7ffc07ff,0x7ffcc004,0x0fffffff,0x3ffa2000,
    0xfb8005ff,0xffffffff,0x200effff,0xfffffffb,0x3fffffff,0xffffffb8,
    0xc84fffff,0xfff707ff,0xffffffff,0x7fc0009f,0xbaa8004f,0xaaffffff,
    0xffff7001,0x01dfffff,0x05fff300,0x43ffe000,0xfffffff8,0x8fffa806,
    0xfffffff8,0x405fff37,0xff12fff9,0x3ffea3ff,0x2fffb801,0x001fffc8,
    0xfffffffd,0x03ffffff,0x3fffffee,0x80007fff,0x004ffffd,0xe805ffe8,
    0x3fa205ff,0x7f4004ff,0xfffffd6f,0x013ffe9f,0x0013ffe0,0x2005fff3,
    0x7fc07ffc,0x7fcc004f,0xffffffff,0x7fcc0000,0xfb8000ff,0xffffffff,
    0x01ffffff,0xfffffff7,0x7fffffff,0x3ffffb60,0xc80effff,0xfff707ff,
    0xffffffff,0xfff80007,0x7ffd4004,0xffffffff,0xfffb801f,0xeffffcff,
    0x7ffcc000,0x26019802,0xffbaaeff,0x806fffff,0xff90fffa,0x3e67ffff,
    0x3fe602ff,0x5bffee2f,0xe801fffa,0xaaaabfff,0xd004fffc,0xffffffff,
    0x5c05ffff,0xffffffff,0x7e40007f,0x002fffff,0x2a02fff4,0x3f603fff,
    0xfd8006ff,0xecfff9ff,0x3fff8fff,0x04fff800,0x017ffcc0,0x7c07ffc8,
    0x7cc004ff,0x3ffea2ff,0xfff80000,0xfff70005,0xfff73301,0x3ffee0ff,
    0xa9999999,0x7cc03fff,0xffd002ff,0x3bffee0d,0xeffffeee,0x3ffe0000,
    0x99988004,0x0999dfff,0x3dfff700,0x01bfffa6,0x805fff30,0xff902ffb,
    0x7fffffff,0xf5009ff9,0x3ffe21ff,0xfff30fff,0x17ffcc05,0x3eaffffa,
    0x7fd401ff,0xffffffff,0xfd007fff,0xffffffff,0xffb8019f,0x01bff20f,
    0xfffffb80,0x3a001fff,0x3fa205ff,0xfff701ff,0x2039501f,0xfffcfffc,
    0xffcfffb9,0xfff8002f,0x7ffcc004,0x0dffd002,0x4004fff8,0x3e62fff9,
    0xff00006f,0x3ee000bf,0x7fc400ff,0xfffb81ff,0x0fffe200,0x005fff30,
    0x7dc13ffe,0x7ffd40ff,0xff0000ef,0xfd00009f,0x3ee000bf,0x7ff440ff,
    0x3fe6002f,0x27fec02f,0xffffffe8,0x1ee9bfff,0x20fffa80,0x264ffffd,
    0x3e602fff,0x7ffcc2ff,0x401fffcf,0xfffffffd,0x2fffffff,0xcceffe80,
    0x7000abcc,0x7fdc1fff,0x3007b625,0xff97ffff,0x3fa001ff,0xedccccef,
    0xf306ffff,0xff105fff,0x3fffee0d,0xffff17ff,0xf0003fff,0xf98009ff,
    0xff8802ff,0x27ffc04f,0x0bffe600,0x20000393,0x70005fff,0xf5001fff,
    0xfff707ff,0x1fffc401,0x00bffe60,0x5c0fffe6,0xfe880fff,0xff0006ff,
    0xaa88009f,0xaaefffaa,0xfff7002a,0x0dfff301,0x017ffcc0,0x3e617ffa,
    0xffccccef,0x509b303f,0x7fcc1fff,0x3ffe60ff,0x0bffe602,0x3fffffee,
    0x3ffe201f,0xffffffff,0xe806ffff,0xb80005ff,0x06540fff,0x7c40bff5,
    0x3ff64fff,0xfffd006f,0xffffffff,0x3ffe20bf,0x1fff504f,0xffffff50,
    0x7fffff49,0xfff8000f,0x7ffcc004,0x2fffa802,0x0027ffc0,0x000bffe6,
    0x0bfff000,0x03ffee00,0x5c2fffc0,0x3e200fff,0x7fcc03ff,0x7ffcc02f,
    0x1fff701f,0x0ffffe20,0x013ffe00,0xffffff50,0x01ffffff,0x201fff70,
    0x3003fffb,0xfe805fff,0x44ffb85f,0xfd03fff8,0x0fffa83f,0x3e62ffec,
    0x3fe602ff,0xffffd02f,0x7fdc03ff,0x999999bf,0x01fffc99,0x0002fff4,
    0x4007ffdc,0x3fa07ffc,0x7ff445ff,0xfffe805f,0xefffffff,0x17fffa03,
    0x980fffb8,0x22ffffff,0x07fffffb,0x009fff00,0x402fff98,0x401ffff9,
    0x4c004fff,0x00002fff,0x002fffc0,0x800fffb8,0xfb83fffb,0x3fe200ff,
    0x7ffcc03f,0x3fffea02,0x03ffee04,0x01ffff98,0x0027ffc0,0x002fff40,
    0x200fffb8,0x9800fffe,0x7f402fff,0x41ffd85f,0xff03fff8,0x0fffa87f,
    0x0bffe600,0x302fff98,0x03ffffff,0x8803fff4,0x7f404fff,0xfb80005f,
    0xffc800ff,0x1dfffb07,0x07ffff10,0xaaaeffe8,0x7e40099a,0x3ee00eff,
    0xfff880ff,0x7ffc47ff,0xff0007ff,0xff98009f,0x3ffea02f,0x3333264f,
    0xcccefffc,0x7edc41bc,0x1bcccdff,0x3332a000,0x1bccefff,0x7fff5cc0,
    0xdccccccc,0x221ffffe,0x0acfffeb,0x37fff2a2,0xfffc980b,0xffeccccd,
    0xd7306fff,0x20599fff,0x41befffb,0xffcccca8,0x01ccccef,0x7ffe6544,
    0x4c00acce,0x2ccfffeb,0xacdfffb8,0x3ff732a0,0xccccccdf,0x32a5fffc,
    0xcb89cfff,0xccccdfff,0x3663fffc,0x80acdfff,0xdfffdca8,0xdfffc981,
    0x7ffe40ac,0xffca81ff,0xa880acef,0x42cffffc,0xccefffca,0xb73002cc,
    0x99999fff,0xfffd9999,0xdffffd98,0xffffd980,0x7ffe541c,0x802cccce,
    0xccdffff9,0xffdccccc,0xfffff00f,0xdffffd0b,0x3f332a00,0x01bcceff,
    0x337fff26,0xffffedcc,0x3fffee6f,0xffffffff,0x3fa0ffff,0xffffffff,
    0xfb8001ff,0xffffffff,0xff301fff,0xffffffff,0xffffffff,0xfffffe89,
    0x3fffa5ff,0x7c45ffff,0xffffffff,0x1fffffff,0xffffff88,0xffb03fff,
    0x7fec1fff,0xffffffff,0x3603ffff,0xffffffff,0x3fe604ff,0x3fffffff,
    0x4ffffff8,0xfffffff7,0xffffffff,0x3feabfff,0xffefffff,0xffffffff,
    0xff53ffff,0x09ffffff,0xfffffffb,0x7fffcc3f,0x7c45ffff,0x7dc1ffff,
    0x4fffffff,0xffffffe8,0xffff70ff,0x7fffffff,0xfffff880,0xffffffff,
    0x2a7fffff,0x7fffffff,0x7fffffc4,0xffff70ff,0x7fffffff,0xfffffa80,
    0xffffffff,0xffd00fff,0xfff705ff,0xfff700bf,0xffffffff,0xffff301f,
    0xffffffff,0x7e43dfff,0xffffffff,0x1fffffff,0xfffffff1,0x005fffff,
    0xffffff90,0x05ffffff,0x3fffffea,0xffffffff,0x7fc44fff,0x26ffffff,
    0xffffffff,0x7ffffcc7,0xffffffff,0xfff500df,0x0bffffff,0x8bffffe2,
    0xfffffffe,0x4fffffff,0x3fffffa0,0x205fffff,0xfffffffa,0xfffb84ff,
    0xffff95ff,0xffffffff,0x2bffffff,0xfffffffc,0xffffffff,0x3fffffff,
    0xfffffff7,0xffffd0bf,0x7d45ffff,0x6fffffff,0x41ffffa8,0xfffffffc,
    0xfffff85f,0xffb2ffff,0xffffffff,0xfffa80bf,0xffffffff,0x7fffffff,
    0x3fffffee,0x3ffea0ff,0xfb1fffff,0xffffffff,0xffa80bff,0xffffffff,
    0x00ffffff,0x220ffffd,0xd804ffff,0xffffffff,0xfa82ffff,0xffffffff,
    0x40dfffff,0xffffffd8,0xefffffff,0x7ffff5c4,0x004effff,0xfffffb30,
    0x809dffff,0xffffffec,0xcdefffff,0xffffd700,0x7ff545bf,0xec82dfff,
    0xffffffff,0xec801acd,0x1dffffff,0x513bfea0,0xfffffffb,0x01bfffff,
    0x7ffffed4,0x6401dfff,0xdffffffe,0xdffff881,0xfffffb31,0xffffffff,
    0x362bffff,0xeabeffff,0xffffffff,0xb13fffff,0x3bffffff,0xfffffb50,
    0xfffd909d,0x3f605bff,0x7fecc1ff,0xa81dffff,0x4efffffe,0x3fffff66,
    0x801dffff,0xffffffec,0xffffffff,0x3ff227ff,0xec83efff,0x264effff,
    0xfffffffd,0x7d401dff,0xffffffff,0x0fffffff,0x40bfffb0,0x9803fffe,
    0xfffffffd,0x3b204eff,0xffffffff,0x00001acd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa880000,0x2600aaaa,0x00aaaaaa,0x00000cc0,0x9837a600,
    0x0000000b,0x00173000,0x910001a8,0x0000039d,0x00000191,0x554401e4,
    0x400009ab,0x000aaba9,0x26035530,0x0000001a,0x0aaba980,0x055c4000,
    0x00000000,0x00157530,0x2a201540,0x00000001,0x00000000,0x75000000,
    0x001ba883,0x09ab9880,0x7dddd100,0x3fffffee,0xfffd83ff,0x000fffff,
    0x00005ff7,0x3e6055cc,0x9fff14ff,0x00000001,0x01bff660,0x8002ffc8,
    0x2006fffd,0x3ee00ab8,0x3fffff23,0x7fffecc0,0x501ff14f,0xfffffffb,
    0x74c003bf,0xdfffffff,0xfb500deb,0x263dffff,0x202ffffe,0xdb1004fc,
    0x7fffdc05,0x04fcefff,0xffffeca8,0x7fe401ce,0x7ecc0fff,0x4404ffff,
    0xfffffffc,0xffc8800d,0x7ff4c4ff,0xffb502ef,0x4c1bffff,0xdffffffd,
    0x3ffffaa1,0x3fff202e,0x7fec1dff,0x3660dfff,0x443effff,0xfebffffd,
    0xfffb8eff,0x3f6203ef,0xfffc9fff,0xfa804fff,0xfffb0fff,0xf0bfffff,
    0xffffffff,0x13ff6005,0xffdb8800,0xffbcefff,0xffff54ff,0x0000007f,
    0x7fffe440,0x9ffd000f,0xfffff000,0x7ffed401,0x7ec2ceff,0xffffff53,
    0xfffffc81,0xb81ff74f,0xffffffff,0xc802ffff,0xffffffff,0xa82fffff,
    0xffffffff,0xffffffcf,0xdfff983f,0x8adeedb8,0xff987ffe,0xffffffff,
    0x3f200fff,0xffffffff,0xfffa80df,0x7fe40fff,0x2a04ffff,0xffffffff,
    0x7f403fff,0xf35fffff,0x05ffffff,0xfffffffd,0x7ffff47f,0x3fe5ffff,
    0x507fffff,0x9fffffff,0x7fffffd4,0x3ffff63f,0x3fee0fff,0xffffffff,
    0xffffffff,0xffff703f,0xffffffff,0x7e401dff,0x3ffe64ff,0xc82fffff,
    0x6fffffff,0x007fea00,0x7ffffd40,0xffffffff,0x3fffa26f,0x00002eff,
    0x7fffdc00,0x3fe004ff,0xffd8005f,0x3fff206f,0x4fffffff,0x7ffc4bfa,
    0x7fdc0fff,0xffb4ffff,0xffffff70,0x1fffffff,0x7ffffec0,0xffffffff,
    0xffffb84f,0xffffffff,0x42ffffff,0xfffffff9,0xffffffff,0x7ffff447,
    0xffffffff,0xffffb02f,0xffffffff,0xfffff10d,0xffffb81f,0xfff704ff,
    0xffffffff,0x3ff209ff,0xfeffffff,0xffffffff,0x7ffffec2,0x3fee1fff,
    0x23ffffff,0x6ffffffd,0xffffff10,0x7fffcc7f,0x3fee1fff,0x7cc7ffff,
    0xffffffff,0xffffffff,0xfff507ff,0xffffffff,0x7c09ffff,0xff980fff,
    0xff9800ef,0x000000ef,0x7ffffd40,0xffffffff,0xfffb80ef,0x0001efff,
    0x7fffd400,0x7c002eff,0xb88005ff,0xfffb00bd,0xffffffff,0x4c1ff5bf,
    0x980fffdb,0xfddfffcb,0xcded883f,0xffeb999a,0xffff503f,0xfd95335b,
    0xfb109fff,0xfffb337b,0xfff93bff,0xfffff70d,0xffffffff,0xefffa83f,
    0xffca99ac,0xfffd82ff,0xfda99acf,0xdb985fff,0xcb980fff,0xff984fff,
    0xca9aceff,0x5c1ffffe,0xfea9efff,0xc9dfffff,0x65446fff,0xa82bffff,
    0x41befffd,0x0aefffb8,0x3ee65997,0xfd982fff,0x7fcc6fff,0xc980bfff,
    0xf99dffff,0xfc9bffff,0xffb301ff,0x9335bfff,0xf301ffff,0x7fec07ff,
    0xfffb800f,0x40000003,0x9bfffff9,0xfffffb98,0x3fff2206,0x0000dfff,
    0x7ffff4c0,0xff0003ff,0x200000bf,0x9acffffd,0xfffffda9,0x1fff505f,
    0xffffff80,0x7fc40004,0xffff884f,0x27ffe402,0x3fffe200,0x417ffec6,
    0xfefffffc,0xc81fffff,0x3e201fff,0x7ffd40ff,0x3ffea01e,0x1fff501f,
    0x444fff80,0x6405ffff,0x7ff46fff,0x3fffe20f,0x3fff60ff,0x05fff902,
    0x2017ffe4,0x3fe26ffe,0x13ffe26f,0x1dffff70,0x03fffff3,0x745fffa8,
    0x3fe62fff,0x3ffea02f,0x5fff703f,0x401fff70,0xe804fffa,0x00000fff,
    0x6fffec00,0x7ffff440,0x7ec402ff,0x00cfffff,0x7ffecc00,0x0000cfff,
    0x00017ffe,0x07bffea0,0x0effffa8,0x801fff50,0x000aefff,0x26ab2aa6,
    0xffb85ffe,0xfff8804f,0xfaaa9802,0x7fcc2fff,0xdfffb85f,0x07fffaa1,
    0x2b3fffea,0xfd81c981,0xffb801ff,0x1fff503f,0x4c4fff80,0xfb006fff,
    0x3ffe27ff,0x2ffffc84,0x8837ffc4,0xff106fff,0xfff900df,0x47fffee1,
    0xa802fffa,0xffffffff,0xffa801ef,0x237fec1f,0x2a02fff9,0x3e202fff,
    0x3ffd83ff,0x407ffe80,0x0004fff9,0x6fff8000,0xfefffe88,0xfd3006ff,
    0x007fffff,0xfffff910,0xf000019f,0x00000bff,0x7003fffb,0x7d40bfff,
    0x7ffc00ff,0x3ffee004,0xffffffff,0x007ffc85,0x75403bee,0xffffffff,
    0xffeeeeef,0x0fffe87f,0x883fffa8,0xffffffff,0x3fe00bde,0xfff1004f,
    0x03ffea0b,0xfb89fff0,0xeeeeeeff,0xfffeeeee,0x505fff54,0xddddffff,
    0x640ffffd,0xffc82fff,0xfffa802f,0x29ffffd2,0x3000fffc,0xdfffffff,
    0x3ffea001,0x2637fec1,0x3ea02fff,0x3fe200ff,0x006ff83f,0x6c05fff7,
    0x98801fff,0x99999999,0x3fea0199,0x7fff441f,0x00fffd8f,0x3ffffaa0,
    0xff7002ef,0x003bffff,0x3e666660,0x09999dff,0x1fffc000,0x06fff880,
    0xf003ffea,0xfd3009ff,0xffffffff,0xffd0bfff,0x3620000d,0xffffffff,
    0xffffffff,0x7fc0ffff,0x17ffe05f,0x7fffffcc,0x982fffff,0x32002fff,
    0xfff507ff,0x44fff801,0xfffffffd,0xffffffff,0x0fff96ff,0x3fffffe2,
    0x0fffffff,0x88dfff10,0xf1006fff,0xffff39ff,0x01fffaff,0xdfffff30,
    0x1fffa800,0x3e637fec,0x3fea02ff,0x3ffe200f,0x8017fd43,0xf106fff8,
    0x7f440dff,0xffffffff,0x4fffffff,0x3a23ffe4,0xff51ffff,0xff70003f,
    0x203dffff,0xeffffffa,0xffd88002,0xffffffff,0x04ffffff,0x02fff980,
    0x403fff20,0x7c00fffa,0x7f4404ff,0xffffffff,0xff85ffff,0xf880005f,
    0xffffffff,0xffffffff,0x220fffff,0x3fa03fff,0x7ff5c06f,0xdfffffff,
    0x007ffea0,0xa80fffa8,0x7fc00fff,0x7fffec4f,0xffffffff,0xfb7fffff,
    0x7fffc0ff,0xffffffff,0x3fff600f,0x00ffff22,0xffceffe8,0xfffbffff,
    0x3ff62005,0x2003ffff,0x7ec1fffa,0x17ffcc6f,0x401fff50,0x7e43fff8,
    0x7ffec006,0x02fffb81,0x3fffffee,0xffffffff,0x3f60ffff,0x3fffa26f,
    0x0bffe61f,0x7ffec400,0x3fa24fff,0x003fffff,0x3ffffea0,0xffffffff,
    0x440fffff,0x7fd41999,0x3fea001f,0x1fff500f,0x404fff80,0x9beffffe,
    0x5fffaa98,0x0006ffd8,0xacffffb8,0xeffffa99,0xeeeeeeee,0x8837ff40,
    0x26004fff,0xffffedca,0x00fffe22,0xf506ffc8,0xfff801ff,0x777ffe44,
    0xeeeeeeee,0xff75eeee,0xffff503f,0xdddddddd,0x7ffcc01d,0x00ffff16,
    0xffffffc8,0xfffffffe,0xfffd1003,0x00bfffff,0xfb07ffea,0x2fff98df,
    0x803ffea0,0x64c3fff8,0x7ffcc000,0x407ffe84,0xfffffff9,0xffffffff,
    0x7ffe47ff,0x83ffffb2,0x8000fffb,0xffffffc8,0x7ffecc0c,0x30003fff,
    0xffffffff,0xffffffff,0xbfff90df,0x003fff88,0xfa81bff2,0x7ffc01ff,
    0x3fffe204,0x42fff400,0x0000fffb,0xf80fffe4,0xc8001fff,0xffc82fff,
    0x804fc82f,0x7f46fff9,0xff9800ef,0x3fff504f,0x544fff80,0x40005fff,
    0xfc84fffa,0x80001fff,0xffcafffd,0x7fd4003f,0xffcbffff,0x9801ffff,
    0xfcaffffe,0x5400dfff,0x7fec1fff,0x017ffcc6,0x4401fff5,0x00003fff,
    0xfa83fffa,0xcb9804ff,0xcccccccc,0x40accccc,0xffddfffa,0x7ffc41ff,
    0x7fe44005,0x401dffff,0xffffffea,0xccb88002,0xcefffccc,0xe80acccc,
    0xffe81fff,0xfff9800e,0x0fffea04,0x027fff54,0x4407fff5,0xfa85fffc,
    0xf7000eff,0x07ffea1b,0x417fffea,0xffff5008,0xffffd75b,0x02fff881,
    0x2e0fffd8,0x2600dfff,0xf502fffe,0x3faa07ff,0x7ffc44ff,0x8822004f,
    0x3e20ffff,0x1104ffff,0x3bffe600,0x88007fff,0x98ffffff,0x807fffff,
    0x21fffff9,0x00effffb,0xfb07ffea,0x2fff98df,0x803ffea0,0x0003fff8,
    0xd8fffee0,0x00000fff,0x3fffa000,0x74c1ffff,0x2e003fff,0x1effffff,
    0x7fffdc00,0x00001eff,0x4c009fff,0xff904fff,0x7f4c01df,0x3fe202ff,
    0xfeb98aef,0x302effff,0x3137dfff,0xdfffffb5,0xffffd839,0xd753119c,
    0x3fe25fff,0xffc98bef,0xb98bffff,0x7f445ffe,0xffffffff,0x7fcc5fff,
    0xa889aeff,0x446fffdc,0x89bffffe,0x6ffffc98,0x2bbffe20,0xffffea98,
    0x7ffd42ef,0x9988acef,0x323fffdb,0xfe99efff,0x98cfffff,0xb005ffeb,
    0x07ffffff,0x3ffffa00,0x17ffffa5,0xfffffb88,0xfffffd83,0x7ffecc0b,
    0x2ffff61c,0x83bfff30,0x2dfffdb8,0x2efffb98,0xfff10000,0x017ffe2d,
    0xf5000000,0x317fffff,0x1dffff95,0xffffd500,0xc80005ff,0x1dffffff,
    0x27ffc000,0x40dff700,0x9bfffff8,0xffffca88,0xffffe806,0xffffffff,
    0xffd03fff,0xffffffff,0x7fffffff,0x7fffff44,0xffffffff,0x3fff61ff,
    0xffffffff,0xffffffff,0x7ffff47f,0xffffffff,0x3ffe64ff,0xffffffff,
    0xe883ffff,0xffffffff,0xe805ffff,0xffffffff,0x3fffffff,0x7fffffec,
    0xffffffff,0x7ffff46f,0xffffffff,0xffffffff,0xffff9800,0xf90000ff,
    0x7fdc5fff,0x3ffe03ff,0x363fffff,0x5fffffff,0x3fffffe6,0xbffffb1f,
    0x8bffffe6,0xfffffffd,0x3ffffe23,0x900003ff,0xfff95fff,0x00000005,
    0xffffffd0,0xbfffffff,0xfffd9801,0x00003fff,0x3fffff22,0xff0000cf,
    0x7ff4009f,0x7fff4402,0xffffffff,0xfff3005f,0xffffffff,0x2209ffff,
    0xffffffff,0xffffffff,0x7fffc44f,0xffffffff,0xfffd83ff,0xffffffff,
    0xffffffff,0x33fffea5,0xfcefffff,0xfff10fff,0xffffffff,0x74409fff,
    0xffffffff,0xff3004ff,0xffffffff,0x909fffff,0xffffffff,0x87ffffff,
    0xfffffff9,0xfffffb9e,0x2006ffff,0x004ffffd,0x11fffea0,0x2203ffff,
    0xffffffff,0x3fffff63,0x3ffee6ff,0xffb2ffff,0x3ffe6fff,0x3fffe3ff,
    0x3e25ffff,0x04ffffff,0xbfff3000,0x0000dfff,0xfff90000,0xffffffff,
    0xfc880bff,0x00cfffff,0xffb30000,0x0007ffff,0x22009fff,0xfd1005ff,
    0xffffffff,0xff98009f,0xfadfffff,0x2200dfff,0xfffffffc,0xdffffead,
    0xffffd700,0x019fffff,0x77ffffe4,0xfffebdeb,0x7fc42dff,0xb82aa61f,
    0x6efdc6ff,0xffffffff,0xffb7000c,0x007bffff,0xfffffe98,0xdffffadf,
    0xffffb301,0x39dfffff,0x3ffffa20,0x3fffee0e,0x4c002dff,0x0000ffff,
    0x3213ffe2,0x3ae00fff,0x20dfffff,0xdfffffd9,0x3fffb222,0x37fff64e,
    0x1bffff32,0x7ffffed4,0x7fff5c1d,0x200000df,0x3ffffffd,0x19910000,
    0x7fffe400,0xffffffec,0x7ffdc02d,0x0001dfff,0xfffd5000,0x7c003fff,
    0xff7004ff,0xffdb8001,0x002dffff,0x026b2a20,0x32ea2000,0x980000aa,
    0x01aaccaa,0x3015dcc0,0x0b980357,0x1002ea00,0x01357955,0x00ddcc00,
    0x4d654400,0x54c40000,0x40019abc,0x75101bb9,0x00000015,0x00000000,
    0x00000000,0x00000000,0xff500000,0x0001ffff,0x400fff20,0x4c2ffff8,
    0xff5000ab,0x0005dfff,0x3fee0000,0xf000ffff,0x3f6009ff,0x5dcc0003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe000,
    0x3200005f,0x3fa004ff,0xf500003f,0x00005fff,0xff910000,0x3f6001ff,
    0x0097002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0x00001fff,0x88003322,0x6400001b,0x0000003e,0x02ec8800,
    0x00037a60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0006fff8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000551,0x04400000,0x20000310,0x00000cd9,0x00151000,
    0x55440173,0x000a2001,0x54c000dc,0x4cccc00a,0x99999999,0x20199999,
    0x3ba60198,0x3bbb21ee,0x33332a24,0xcccccccc,0x8801cccc,0x531001aa,
    0x00220035,0x00000000,0x5dc0bc98,0x3f22c980,0xffffffff,0x262fffff,
    0xcccccccb,0xcccccccc,0x40bccccc,0xddddddca,0xdddddddd,0x1cdddddd,
    0x00000000,0x20000000,0x3effffea,0x3ffffff6,0xfffd700d,0x3ffaa1ff,
    0x3fee1cff,0xffffffff,0x75c3ffff,0x04ffffff,0x3f605ff0,0xffd80004,
    0x1fdc0002,0x7ffc6e98,0x21bfee01,0x1effffeb,0x0ffedb88,0x0077d400,
    0xdfffffa8,0x3ffff620,0xffffffff,0x1fffffff,0x27ffff44,0x907fffc4,
    0x7ffcbfff,0xffffffff,0xffffffff,0xffffd705,0x3ffea03d,0x7c01efff,
    0x1f7ed407,0x0037ea00,0xffa87f44,0x09ff70ff,0x3ff23fff,0xffffffff,
    0xff12ffff,0xffffffff,0xffffffff,0x44ffffff,0xffffffff,0xffffffff,
    0xffffffff,0x00000000,0x00000000,0xffffffff,0xffffff51,0xfff107ff,
    0xffb3ffff,0x21ffffff,0xfffffffb,0x3fffffff,0x3fffffe2,0xffb004ff,
    0x01bff507,0x027ffc00,0x505ff900,0x7ffccbff,0x7fffb81f,0x7eefffdc,
    0xffffe85f,0x3fe6000f,0xeffb806f,0x3f24ffed,0xffffffff,0xffffffff,
    0x3fe61fff,0xf86fffff,0x7ffdc7ff,0xffffff14,0xffffffff,0x90dfffff,
    0xffffdfff,0xdddffd07,0x7fcc0bff,0xfffff900,0x4c9d301d,0x7d400eff,
    0xffffb0ff,0xf11bff25,0x3fff25ff,0xffffffff,0xfff32fff,0xffffffff,
    0xffffffff,0x261fffff,0xffffffff,0xffffffff,0xffffffff,0x00000000,
    0x00000000,0xdffffffd,0x3fffffe6,0xfffd02ff,0xffffffff,0x2e9fffff,
    0xffffffff,0x43ffffff,0xffffffff,0x13ffa004,0x0003bfee,0x40027ffc,
    0xfb84ffd8,0x7ffec0ef,0x3fffee1f,0xf3056cc4,0xfcbca83f,0xffd1000f,
    0x5ff809ff,0xffa87fdc,0xffffffff,0xffffffff,0x3fffa1ff,0x744fffed,
    0x7ffcc6ff,0x3fffff22,0xffffffff,0x5c2effff,0x3f661cff,0xff98181f,
    0x909ff300,0xffffffff,0x517ffcc3,0x3ee03fff,0x3ffee1ff,0x905fd31f,
    0x55554cbf,0xaaaaaaaa,0x3ffb20aa,0xffffffff,0xffffffff,0x76dc3eff,
    0xeeeeeeee,0xeeeeeeee,0x0002deee,0x00000000,0x32a20000,0x3ea0dfff,
    0x202cefff,0xffffeca8,0xfd9adfff,0x99fff72f,0xffffd999,0xccca881d,
    0x22004fff,0x7dc0dffe,0x20d401ff,0x06a24fff,0xc84ffe88,0xfe880eff,
    0xfffb9fff,0x3fe6004f,0x003fea02,0x7ffffff4,0xf1037203,0x6665cc5f,
    0xcccccccc,0x1fffdccc,0x7d41dff7,0x17ff60ff,0x0003fff1,0x417fa000,
    0xdc984ff8,0x302ffdee,0x7fd4bfff,0xfffffdff,0x41ffffaa,0x7e43fff9,
    0x77e440ef,0x00000003,0x00000000,0x00000000,0x00000000,0xf8800000,
    0x3ffea3ff,0xffb8004f,0x1982ffff,0x3e61ffea,0xf000efff,0xe88009ff,
    0x7fe40eff,0x9fffb02f,0xfb7bfff5,0xfff305ff,0x0effd88b,0x3ffffa20,
    0xa804ffff,0x200effdc,0xfd800ffa,0x2fffffff,0x03ff6200,0xfffa8000,
    0xfb07ff91,0x427fe45f,0x00000fff,0x202ff880,0x7ffec6fc,0x4c2fffff,
    0xb0ffcbac,0x3fa27fff,0x5fffffff,0x2a1ffd10,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fffe200,0x01efffd8,0xdffff700,
    0x13fe2001,0x01dffff3,0x0027ffc0,0x20ffff44,0xff84fffc,0xffffffff,
    0x544fffff,0x7f445fff,0xfe8800ff,0x004fffff,0x805ffffd,0x7dc00ffa,
    0xfffc9fff,0xffe8801f,0x7d400003,0x03ffb1ff,0x7fdc5ff9,0x0007fe83,
    0x80ffe000,0x3bff66fd,0x42ffbaab,0x26fffffc,0x7ec42ffa,0x805fffff,
    0x000f665b,0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,
    0x1bfffdbf,0x7ffdc000,0xf9830004,0x4000efff,0x10004fff,0xfc85fffd,
    0x7ffdc5ff,0xffffffff,0x3ff21eff,0x7fffcc5f,0x3ffa2001,0x2e2005ff,
    0x2a01fffd,0x3fea00ff,0x3fff62ff,0x3ffea00e,0xfa800003,0x09ff91ff,
    0x7fcc3fff,0x5cc6fd82,0xeeeeeeed,0xdeeeeeee,0x407ff40b,0x7ff14ffa,
    0xd885ff30,0x0442ffff,0x09ffff70,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff8800,0x003fffff,0x003ffee0,0x3fffea00,
    0xfff8000d,0xffb10004,0x7ffdc1df,0x7ff5c41f,0x2dffffff,0x10ffffd4,
    0x8009ffff,0x1ffffffb,0x05ff9800,0x7c403fea,0xffe83fff,0x3dff906f,
    0x3ea00000,0x9fff31ff,0x88fffb31,0x45fc81ff,0xffffffff,0xffffffff,
    0x7fc45fff,0x6ffecbef,0x7655f7f4,0x5503efff,0x01544000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff8800,0x0dffffff,
    0x0fffb800,0x7ffd4000,0x3fe0005f,0xfe88004f,0x7ffdc4ff,0x7ffd400e,
    0x3ea00fff,0x3fa21fff,0xff7004ff,0x03ffffff,0x540ffb00,0xfffb00ff,
    0x3fffe20b,0x037ffa23,0xffa80000,0x3ffff21f,0x6d82ffff,0x7fc45f30,
    0xffffffff,0xffffffff,0xfffe986f,0x7cc0dfff,0xffffffff,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,
    0xfffd8cff,0xffb8005f,0x3ea0000f,0x40005fff,0x44004fff,0x7dc2fffe,
    0xfe8805ff,0x404fffff,0x6c1fffe9,0x7dc04fff,0xfffecfff,0x89abc81f,
    0x5445ffba,0x41abffca,0x7cc06ffe,0xdfff54ff,0x00175555,0x0fffd400,
    0xffffffb1,0x6d400007,0xffffffff,0xffffffff,0x3772a01d,0x6764c01c,
    0x001aaa8b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc87fff1,0x5c002fff,0x50000fff,0x2a0bffff,0x09fff003,
    0x0f7ff440,0x400fffee,0xfffefffd,0x7fec402f,0x27ffdc1f,0x14ffffb8,
    0x443ffffd,0xffffffff,0x7ffff40f,0x3aa4ffff,0x0ef9800e,0xfffffff9,
    0x400007ff,0xd9507ff8,0x0000039d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0xffb83fff,
    0x7fdc006f,0xffa8000f,0x7ff505ff,0x009fff00,0x9037ffa2,0x26003dff,
    0xffa8ffff,0xfff7006f,0x44ffe983,0x444ffff9,0x64c6fffe,0x80beeffe,
    0xeeeeeeda,0x5c00001c,0xeeeeeeee,0x6400003e,0x0000003e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xbefffca8,0x66ffff41,0x7665441b,0xcccccfff,0xffff501b,
    0xd999999f,0x6664cdff,0xccefffcc,0x7fec1bcc,0x00dffa83,0xc87fff20,
    0xf3001fff,0xffd881ff,0x413ffe63,0x0006ffe8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x1fffffff,0x3fffffe6,0x3ffffa0f,
    0xffffffff,0xfffe82ff,0xffffffff,0xfff76fff,0xffffffff,0x741fffff,
    0x007f701e,0xfd07ff30,0x3fd8800d,0x3fc8df70,0x0001dc80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfe800000,0x2fffffff,0x7fffffe4,
    0x3fffffe1,0xffffffff,0xffffe83f,0xffffffff,0xffff96ff,0xffffffff,
    0x0003ffff,0x300c4000,0x2200c000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb3000000,0x09dfffff,0x89dffff1,0xffffffda,
    0x0dffffff,0xffffffe8,0xffffffff,0xfffffb16,0xffffffff,0x0000009d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_41_latin_ext_x[560]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
8,2,2,2,1,2,2,2,3,2,2,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,2,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,6,9,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,3,1,2,0,
9,1,5,-1,4,1,-1,3,-1,-2,5,1,5,5,7,0,2,8,7,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,2,2,2,2,2,2,2,2,2,2,0,-1,1,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,2,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_41_latin_ext_y[560]={ 30,6,8,5,4,7,9,7,6,6,7,9,25,18,
25,4,6,6,6,6,7,7,6,7,6,6,13,14,9,14,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,37,5,13,7,13,7,13,7,13,7,7,
7,7,7,13,13,13,13,13,13,13,8,13,13,13,13,13,13,7,7,7,15,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,30,14,5,8,10,8,
7,6,7,8,6,14,17,18,8,2,3,4,6,6,5,13,7,16,28,6,6,14,6,6,6,14,0,0,0,2,
1,-1,8,8,0,0,0,1,0,0,0,1,8,2,0,0,0,2,1,12,6,0,0,0,1,0,8,7,5,5,
6,7,7,5,13,13,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,9,12,5,5,6,7,5,7,7,
3,8,0,6,8,13,0,5,0,6,1,6,0,6,0,7,8,7,3,8,0,6,1,6,8,13,0,6,0,6,
0,6,1,6,8,4,0,0,8,7,2,7,3,8,0,6,8,7,1,13,8,7,0,6,8,7,13,0,-1,8,
7,8,7,8,7,8,7,0,5,8,13,0,6,7,8,13,3,8,0,6,0,5,8,13,0,5,8,13,0,6,
0,5,0,6,8,13,0,6,8,8,0,7,8,8,2,7,3,8,0,6,-1,5,0,5,8,13,0,6,0,6,
1,0,5,1,6,0,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,12,7,7,7,7,7,7,7,7,7,7,7,7,7,4,13,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,6,0,6,0,
6,0,6,-1,2,-1,0,-1,0,-1,0,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-7,-2,0,5,0,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_bold_41_latin_ext_w[560]={ 0,7,13,18,17,17,17,6,9,9,17,20,8,16,
6,17,17,17,18,18,17,18,17,17,17,17,6,9,22,22,22,16,16,24,21,20,20,21,21,21,22,17,22,22,
20,24,23,22,19,22,23,18,20,22,24,24,22,22,18,9,16,9,17,26,8,20,22,19,22,19,19,21,22,18,
14,20,18,24,21,20,22,22,20,18,20,21,22,23,22,22,16,10,4,11,18,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,18,22,
4,20,12,23,14,20,22,16,23,26,12,20,11,12,8,21,18,6,8,11,13,20,22,26,22,17,24,24,24,24,
24,24,24,20,21,21,21,21,17,17,17,17,22,23,22,22,22,22,22,16,22,22,22,22,22,22,19,20,20,20,
20,20,20,20,24,19,19,19,19,19,18,18,18,18,19,21,20,20,20,20,20,20,21,21,21,21,21,22,22,22,
24,20,24,20,25,22,20,19,20,19,20,19,20,19,20,25,22,22,21,19,21,19,21,19,22,19,21,19,21,21,
21,21,21,21,21,21,22,22,22,22,17,18,17,18,17,18,17,18,17,18,22,22,22,14,22,20,22,20,18,20,
18,20,18,20,18,21,18,23,21,23,21,23,21,22,20,19,22,20,22,20,22,20,24,24,23,20,23,20,23,20,
18,18,18,18,18,18,18,18,20,20,20,23,20,20,22,21,22,21,22,21,22,21,22,21,22,22,24,23,22,22,
22,18,16,18,16,18,16,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,20,19,19,18,19,19,19,
19,19,19,19,19,19,19,19,19,19,24,21,19,19,19,19,19,19,19,19,19,19,19,19,19,25,24,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,24,20,17,18,22,
20,22,21,22,21,22,21,22,21,22,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,24,20,24,24,22,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_bold_41_latin_ext_h[560]={ 0,25,11,29,31,24,22,12,30,30,16,21,11,4,
6,31,25,24,24,25,23,24,25,24,25,25,18,20,21,11,21,23,28,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,28,22,23,22,23,22,22,22,22,22,29,31,29,13,4,7,18,24,18,24,18,23,25,23,23,
31,23,23,17,17,18,25,25,17,18,23,18,17,17,17,25,17,29,29,29,9,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,24,27,22,18,22,
29,28,5,23,11,16,13,4,23,4,12,26,13,14,7,25,27,6,9,13,11,16,24,24,24,24,30,30,30,28,
29,31,22,29,30,30,30,29,30,30,30,29,22,28,31,31,31,29,30,15,27,31,31,31,30,30,22,24,26,26,
25,24,24,26,18,24,26,26,25,24,25,25,24,23,24,23,26,26,25,24,24,21,21,26,26,25,24,33,31,31,
27,23,30,25,27,22,31,26,31,25,30,25,31,25,30,24,22,24,27,23,30,25,29,25,27,23,30,25,31,32,
31,32,30,32,30,34,30,30,22,23,28,23,27,22,30,24,28,29,29,17,23,31,31,32,30,31,17,30,31,30,
31,22,23,22,23,22,23,30,25,30,25,30,24,23,23,25,28,23,31,25,31,26,22,18,30,25,30,25,30,24,
31,26,31,25,29,24,31,25,32,32,30,24,22,23,29,24,28,23,31,25,32,26,31,26,28,23,30,24,30,32,
29,30,25,29,24,30,24,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,29,23,23,23,
23,23,23,23,23,23,23,23,23,23,24,19,23,23,23,23,23,23,23,23,23,23,23,23,23,27,18,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,30,25,30,24,31,
25,31,25,32,29,32,31,32,31,32,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,37,33,30,26,33,28,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_bold_41_latin_ext_s[560]={ 510,502,274,127,83,212,449,505,499,91,127,
115,502,406,505,101,494,352,482,412,273,129,293,413,376,394,504,136,92,288,69,
235,492,316,65,191,491,361,20,150,87,157,44,198,221,267,292,107,341,48,133,
486,470,1,1,445,383,42,426,309,422,187,208,450,368,193,370,214,481,340,24,
209,212,172,24,67,88,455,480,297,231,353,49,278,252,318,385,408,432,471,70,
219,304,90,349,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,510,501,108,
467,259,175,506,471,393,443,325,145,238,406,358,423,261,335,226,183,377,61,89,
386,340,196,311,106,1,454,431,24,194,462,147,383,102,439,242,1,361,383,405,
146,474,492,49,267,110,1,1,376,399,45,308,166,147,323,300,233,427,316,406,
247,461,399,1,375,332,378,234,396,45,441,163,90,123,104,110,467,393,167,420,
65,450,148,416,26,47,356,1,311,353,71,39,62,196,83,101,168,244,426,85,
482,106,108,126,189,127,128,240,437,403,1,125,104,172,333,197,148,221,124,440,
41,167,317,211,272,339,339,294,26,396,373,334,144,365,424,71,1,355,169,430,
248,230,87,189,384,407,361,261,24,26,219,64,419,365,487,234,382,253,312,272,
67,290,331,226,284,68,291,314,312,25,382,1,83,476,289,357,360,25,248,1,
142,450,268,45,270,148,431,285,463,346,22,115,136,186,289,291,403,22,330,448,
212,453,271,180,23,430,86,342,335,250,188,163,226,319,144,254,487,313,275,230,
42,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,62,130,130,168,
130,130,130,130,130,130,130,130,130,130,130,130,130,43,146,130,130,130,130,130,
130,130,130,130,130,130,130,130,170,168,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,119,269,
207,24,487,205,464,183,294,68,249,189,203,256,157,278,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,1,94,225,310,48,408,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130, };
static unsigned short stb__courier_bold_41_latin_ext_t[560]={ 1,164,365,134,71,246,296,271,39,103,365,
343,343,365,284,71,193,246,220,193,296,246,193,246,193,193,246,343,343,365,343,
296,134,320,320,296,320,320,320,296,320,320,296,320,320,320,320,296,320,164,320,
271,320,296,343,320,320,320,320,134,1,134,365,365,365,343,246,343,246,343,296,
193,296,296,39,296,296,343,343,343,193,193,365,343,296,343,343,343,343,193,365,
134,134,134,365,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,1,220,164,
296,343,320,103,134,365,271,365,365,365,365,271,365,365,164,365,365,365,220,164,
365,365,365,365,365,271,246,246,271,103,103,103,134,134,1,320,134,71,71,71,
134,71,71,103,134,320,164,39,1,1,134,103,365,164,39,39,39,71,71,320,
246,164,164,220,220,220,164,343,220,193,164,220,246,220,220,246,271,246,271,164,
193,193,246,220,343,343,164,193,193,220,1,39,39,164,271,103,193,164,296,39,
164,39,193,103,193,39,193,103,220,296,246,164,271,103,193,134,193,164,271,103,
220,39,1,39,1,71,1,71,1,103,103,296,271,134,271,164,320,103,246,134,
134,134,365,271,39,39,1,103,71,365,103,71,103,39,296,271,296,271,296,271,
103,220,103,220,103,246,271,271,220,164,271,71,220,39,164,296,343,103,220,103,
220,71,246,71,164,39,193,134,220,39,220,1,1,71,246,296,271,134,246,134,
271,39,193,1,193,39,193,134,271,71,246,71,1,134,71,193,103,246,71,246,
271,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,271,296,296,134,
296,296,296,296,296,296,296,296,296,296,296,296,296,246,343,296,296,296,296,296,
296,296,296,296,296,296,296,296,164,343,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,71,220,
71,246,1,220,1,220,1,134,1,39,1,39,1,39,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,1,1,71,164,1,134,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296, };
static unsigned short stb__courier_bold_41_latin_ext_a[560]={ 348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_41_latin_ext(stb_fontchar font[STB_FONT_courier_bold_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_41_latin_ext_s[i] + stb__courier_bold_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_41_latin_ext_t[i] + stb__courier_bold_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_41_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_41_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_41_latin_ext_x[i] + stb__courier_bold_41_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_41_latin_ext_y[i] + stb__courier_bold_41_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_41_latin_ext_s[i] + stb__courier_bold_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_41_latin_ext_t[i] + stb__courier_bold_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_41_latin_ext_x[i] + stb__courier_bold_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_41_latin_ext_y[i] + stb__courier_bold_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_41_latin_ext_LINE_SPACING
#endif

