// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT        423
#define STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_43_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_43_latin_ext_LINE_SPACING          20

static unsigned int stb__courier_bold_43_latin_ext_pixels[]={
    0x002e2000,0x0001c000,0x00001000,0xaa980040,0xaaaaaaaa,0xaaaaaaaa,
    0x3d88000a,0x00002000,0x00002e00,0x0001b300,0x00a80cc0,0x00020000,
    0x0000a600,0xccc98000,0xcccccccc,0x00020001,0xb1016e00,0x01000005,
    0x00000000,0x00000020,0x00000040,0x025c0000,0x30001f64,0x000009ff,
    0x000000dd,0x00001fd3,0xb800ffa8,0xffffffff,0xffffffff,0x54001fff,
    0xf90006ff,0x5400000b,0x000001ef,0x0007fff9,0xfd893fa0,0xd8800005,
    0x2a00003f,0xfa80007f,0xfd801fff,0xffffffff,0xf10004ff,0x7c00003f,
    0x01bf203f,0x00fe9800,0x07ffff00,0x003fffea,0x0000dfb8,0x03fd3000,
    0x3ffffae0,0xb1000004,0x3ea03dff,0xfb8000ff,0x400001ff,0x000001fc,
    0x0007ffdc,0x01fff700,0xffffff70,0xffffffff,0x003fffff,0x000fffdc,
    0x000effb8,0x05ff9000,0x7ff4c000,0x0000efff,0x7fdf7f4c,0x4400001e,
    0x00002ffe,0x00005ff9,0x003ffff5,0x26666662,0x20000999,0x0003fff8,
    0xf503ffd0,0x2e00009f,0xf0000fff,0x3ea07fff,0x2e000fff,0x00000eff,
    0x007ffd40,0x7fffffc4,0xfb800004,0xb84fffff,0x64001fff,0x00001fff,
    0x000027cc,0x007fff20,0x1effd800,0xfffff700,0xffffffff,0x03ffffff,
    0x007bff60,0x03fff900,0x3fea0000,0xffc80002,0x3fffeadf,0x7fe44000,
    0xa800003f,0x00004fff,0x00001dfb,0x007fffea,0x30000000,0x00009fff,
    0xf99dfff3,0x00001fff,0x0003fff9,0xa81ffffc,0x4000ffff,0x0001fffc,
    0x05fff900,0x3ffffe20,0x2200004f,0xffabfffd,0x3ffee1ef,0x3bff6001,
    0xfc800000,0x8800001c,0x0000effd,0x01bffd10,0x567ffdc0,0xabfffdaa,
    0x01fffdaa,0x000effd8,0x05fff700,0x20ee9800,0x07ba64e9,0x217ffd40,
    0x2001fffb,0x10ed45fb,0x5c0003db,0x98002fff,0x9837a0ee,0xfa8001ee,
    0xfa801fff,0x03dd100d,0xeffe8800,0x7fd40000,0x01efffff,0x77ff4400,
    0x7ffc0000,0xffff503f,0xfff50001,0xfd800007,0x64c001ef,0x0004fffe,
    0x887bff60,0x3fee6ffd,0xbff5001f,0x7f400000,0x400000ff,0x00005ffc,
    0x40027fe4,0x7e42fffb,0x7ffe41ff,0x004ff801,0x1fff9800,0x0fff6000,
    0x2009ff90,0xfd300dfa,0x17ffc001,0x0017fee0,0x000f7fcc,0x6403ffd8,
    0x000004ff,0x640bffa0,0xb00005ff,0x100009ff,0x007bddb7,0x017ff200,
    0x00000000,0x01fff980,0x1bff7000,0x7ffc4000,0x3f200004,0xfb9baa04,
    0x591001ff,0xfe800000,0x400001ff,0x800003fc,0xf70002eb,0xfffc85ff,
    0x00fffe41,0x000000cc,0x40001fb1,0x7dc01ffb,0x0000002f,0x400ffd80,
    0x30004ff9,0x5c0001bf,0x7fdc01ff,0x20000002,0xff501ffc,0x7dc00007,
    0x00000004,0x003fc800,0x00000000,0x001fd880,0x0009f700,0x009fff10,
    0xf7000000,0xb98003ff,0xd3000000,0x0000009f,0x00000c40,0x0bffee00,
    0xfc83fff9,0x9b5001ff,0x00000003,0x9800cc00,0x06a60001,0x80054000,
    0x00000028,0x26003300,0x80000001,0x000cc00a,0x20000000,0x000001a9,
    0x00000000,0x00000000,0x44000000,0x01984fff,0x3ee00000,0xfd1001ff,
    0x00000bff,0x00000000,0x0001bfa2,0x0fffa800,0x2e0fffe4,0xffd007ff,
    0x4c0009ff,0x007b303d,0x90000000,0x3bfffffd,0x05bdddd5,0x00000000,
    0x00000000,0x3bbbb6e0,0x2eeeeeee,0x00000000,0x3b200000,0xa9dfffff,
    0x002deeee,0x76540000,0xb56eeeee,0xdddddddd,0x0000003d,0x10000000,
    0x3faa9fff,0x402befff,0xeeeeeedb,0xf72eeeee,0x3f2003ff,0x0002fc9b,
    0x0000d4c0,0x3bfb2e20,0x17fff43d,0x59dddd93,0x3bbbb6a0,0x21bfe21c,
    0x7c41fffc,0x13f9805f,0x3e0001fb,0x7ffc43ff,0x55554402,0x55440aaa,
    0x2601aaaa,0xfffffffe,0xffffffff,0x2aaaa21f,0x55440aaa,0x1001aaaa,
    0x39dffdd7,0x555440d4,0x5440aaaa,0x541aaaaa,0xffffffff,0x223fffff,
    0x0aaaaaaa,0x55555544,0x3b2e2001,0x4000acef,0xffffffe9,0xffffffff,
    0xcb8801ff,0x800acefe,0xfffffff8,0xfffff9ff,0x22ffffff,0xaaaaaaa8,
    0x55555440,0xaaaa881a,0x55440aaa,0x2201aaaa,0xfffeefff,0x1effffff,
    0xffffffa8,0x3fffffff,0x1003fff7,0x0006e89f,0xfffffeb8,0xdeeeea9d,
    0xffffb803,0xfcbfffff,0x7fffc7ff,0x7cc0ffff,0x46ffffff,0x3fff9028,
    0x3f200510,0x2000be60,0x7c44fff8,0x3fe603ff,0x0fffffff,0xfffffff3,
    0xfffa81ff,0xffffffff,0x2fffffff,0xfffffff3,0x3ffe61ff,0x00ffffff,
    0xffffff91,0x7ffbdfff,0x7fffffcc,0xfff30fff,0x21ffffff,0xfffffffb,
    0x33ffffff,0xffffffff,0x3fffe61f,0x400fffff,0xfffffffb,0xff5002ff,
    0xffffffff,0xffffffff,0xffffb805,0x402fffff,0xfffffff8,0xfffffaff,
    0x32ffffff,0xffffffff,0x3fffe61f,0xf30fffff,0xffffffff,0x3ffffe61,
    0xf880ffff,0xffffffff,0x2fffffff,0x7fffffdc,0x3fffffff,0x2003fff7,
    0x0002fc5f,0xffffffd3,0xffffffff,0x3fa203ff,0xffffffff,0x22ffffff,
    0xfffffff8,0x7fffd40f,0x32006fff,0x40001fff,0x003f21fa,0x64077e40,
    0x3fee00ef,0x2fffffff,0xfffffff7,0x7ffc45ff,0xfecbcdff,0x4effffff,
    0x3fffffee,0xfff72fff,0x05ffffff,0xffffffd3,0xffffffff,0x7ffffdcb,
    0xff72ffff,0x5fffffff,0x3ffffb22,0x3fffffff,0xfffffff7,0x3ffee5ff,
    0x02ffffff,0xffffffd3,0x809fffff,0xcdfffff8,0xfffffecb,0x3a604eff,
    0xffffffff,0x6dc04fff,0x77ffffff,0xfffffffd,0x3ffee5ff,0x72ffffff,
    0xffffffff,0x3fffee5f,0xf72fffff,0xffffffff,0xfffff105,0xfd979bff,
    0xec81ffff,0xffffffff,0xfff73fff,0x26ff2003,0xf50002fd,0xffffffff,
    0xffffffff,0xfffd105f,0xffffdfff,0xd509ffff,0x207dffff,0x2effffec,
    0x07fff200,0x373fe000,0x0040005f,0x3ffe2002,0x266fffff,0xffffffff,
    0x177ffec6,0x2fffffc8,0xffffff88,0x3ffe66ff,0x886fffff,0xefffffff,
    0xfffffffe,0x3ffffe26,0x3fe66fff,0x06ffffff,0x13fffa80,0xffffffff,
    0x7ffffccd,0xfd106fff,0xffdfffff,0x6c0dffff,0xf902efff,0x8805ffff,
    0xeffffffe,0x06ffffff,0x403ffec0,0xff12fffb,0x4dffffff,0xfffffff9,
    0x3fffe26f,0x3e66ffff,0x6fffffff,0xbfffff10,0x3fffea01,0xfffa8005,
    0x003fff73,0x013fff62,0x7ffffc40,0xfffecbcd,0x904effff,0x4439ffff,
    0x07ffffda,0x003fffe2,0x000dfff5,0x0003fff9,0x019ffb30,0x40000000,
    0x00adfffa,0x83fffd53,0x401ffff9,0x202ffffc,0x00adfffa,0x03fffd53,
    0x073ffffa,0xdffffd51,0x15bfff50,0x3fffaa60,0xfff50001,0xadfffa87,
    0xfffd5300,0x7fffec03,0x7ffecc1c,0xffff984f,0x7fffe401,0x7fffec02,
    0x7ffecc1c,0x3ff6004f,0x2fffb807,0x056fffd4,0x1fffea98,0x15bfff50,
    0x3fffaa60,0x3fffe201,0x7fff9805,0x3fffa800,0x8003fff7,0x360000b9,
    0xf902ffff,0x5405ffff,0x3602ffff,0x202fffff,0x7405fffb,0xc8002fff,
    0x00001fff,0x00000002,0x27ffcc00,0xa87ffd80,0xfd003fff,0x7fcc05ff,
    0xfffb004f,0x13fffee0,0x21bfff20,0xb004fff9,0x54000fff,0x7fcc3fff,
    0xfffb004f,0x17fffd40,0x07fffee0,0x2007fff5,0x2a02fffe,0x5c02ffff,
    0xb001ffff,0xff700fff,0x4fff985f,0x40fffb00,0xb004fff9,0xff880fff,
    0xff7000ff,0xffa8003f,0x03fff73f,0xf9800000,0x7e401fff,0xff102fff,
    0x7fe405ff,0x2206ffff,0xf701ffff,0x32000dff,0x80001fff,0x40019998,
    0x82eeeeda,0x2eeeeec9,0x009fff30,0x3f21fff6,0xff9001ff,0x7ffcc05f,
    0x0fffb004,0x800ffffa,0xff986fff,0xfffb004f,0x7ffd4000,0x027ffcc3,
    0xf107ffd8,0x2e005fff,0x7fe46fff,0xfff9001f,0x3fffe205,0xdfff7002,
    0x01fff600,0xf30bffee,0x3f6009ff,0x3ffe607f,0x0fffb004,0x006fff88,
    0x000fffe6,0x3ee7fff5,0x2aa601ff,0x01aaaaaa,0x01fffd40,0x502fffe8,
    0x7d40bfff,0x1fffffff,0x417ffee0,0x0002fffe,0x0003fff9,0xffffd951,
    0xf9805dff,0xf83fffff,0x03ffffff,0x2009fff3,0xffd87ffd,0xfff7000f,
    0x27ffcc05,0x987ffd80,0x64006fff,0xfff984ff,0x0fffb004,0x1fffd400,
    0x4013ffe6,0xff707ffd,0xffe800bf,0x03fff61f,0x817ffdc0,0x4005fffb,
    0xd801fffe,0xffb807ff,0x27ffcc2f,0x207ffd80,0xb004fff9,0xff880fff,
    0x3fe6005f,0x7fd4005f,0x03fff73f,0x3ffffffa,0x64006fff,0xf9001fff,
    0x3ff205ff,0xffff101f,0x409fff7b,0x5c1ffff8,0x20006fff,0x4001fffc,
    0xfffffff8,0x206fffff,0x3ffffff9,0x7fffffc4,0x9fff303f,0x21fff600,
    0x9001fffc,0x7cc05fff,0xffb004ff,0x09fff70f,0x980cc880,0xfb004fff,
    0x7d4000ff,0x7ffcc3ff,0x0fffb004,0x0003fff2,0x7e47fff5,0xff9001ff,
    0x3fff205f,0x7ffd4000,0x07ffd803,0x4c2fffb8,0xfb004fff,0x7ffcc0ff,
    0x0fffb004,0x007fff88,0x000fffee,0x3ee7fff5,0xfff881ff,0xffffffff,
    0x3fff6001,0x5fff7000,0xe81fff60,0xff98efff,0x7ffdc05f,0x017fff45,
    0x03fff900,0xfffffa80,0xffffffff,0x3fffae05,0xfffda83f,0xfff303ff,
    0x1fff6009,0x400bffea,0x2602fffe,0xfb004fff,0x5fff90ff,0xff980000,
    0xfffb004f,0x7ffd4000,0x027ffcc3,0xfd07ffd8,0xff1000ff,0x17ffd49f,
    0x02fffe80,0x1000fffd,0xfb009fff,0xfff700ff,0x04fff985,0x4c0fffb0,
    0xfb004fff,0xfff880ff,0xffe8804f,0x7fd4001f,0x03fff73f,0x3ffffff6,
    0x2004ffff,0x9001fffc,0x3fe05fff,0xffffb05f,0x4037ffc3,0xff71ffff,
    0xeda800df,0xeeefffee,0x7ffc401c,0xfdcbcdef,0x7cc01fff,0x7fd403ff,
    0x9fff303f,0x21fff600,0x400ffff9,0x202ffffb,0xb004fff9,0xfffb0fff,
    0xf9800001,0xffb004ff,0x7fd4000f,0x27ffcc3f,0xf07ffd80,0x3e000bff,
    0x3ffe66ff,0x7ffdc00f,0x0bfff02f,0x01bffe00,0x2e01fff6,0x7fcc2fff,
    0xfffb004f,0x027ffcc0,0x4407ffd8,0x203fffff,0x00ffffe8,0xb9fffd40,
    0x2a201fff,0xffffffca,0xfff5000f,0x3fffa007,0x84fff882,0x742ffffb,
    0xffb807ff,0x05ffff5f,0x7ffffd40,0xffffffff,0x200d4400,0x4c02fffc,
    0x7d403fff,0xfff303ff,0x1fff6009,0x8077fff4,0x02fffffb,0x4013ffe6,
    0xffe87ffd,0xf9800007,0xffb004ff,0x7fd4000f,0x27ffcc3f,0x887ffd80,
    0xd0004fff,0xfffe8fff,0xffff700e,0x9fff105f,0x1fffa000,0x201fff60,
    0x7cc2fffb,0xffb004ff,0x27ffcc0f,0x407ffd80,0xeffffff8,0xfffdb9ab,
    0xfa8002ff,0x3fff73ff,0x3ffff600,0xf3003fff,0xfb801fff,0xff882fff,
    0x7fffcc5f,0x007ffe84,0xfffbffff,0xfffb800d,0xffffffff,0x300000ff,
    0xf9809fff,0x7fd403ff,0x9fff303f,0x41fff600,0xacfffff9,0xfffffdb9,
    0x3ffe602f,0x0fffb004,0x0000fffd,0x009fff30,0x8001fff6,0x7cc3fffa,
    0xffb004ff,0x09fff10f,0x31fffa00,0x359fffff,0xffffffb7,0x09fff105,
    0x71fffa00,0xffffdddb,0xfb87bddd,0x7ffcc2ff,0x0fffb004,0x8027ffcc,
    0x7c407ffd,0xffffffff,0x4fffffff,0x7fff5000,0x2007ffee,0xff9ffff8,
    0x3ffa006f,0xfff500ef,0x3ffe05ff,0x1bfffe27,0xb802fffc,0x2fffffff,
    0x7ff64400,0xefffffff,0x3b726003,0xfffeefff,0x1fffcc04,0x40fffea0,
    0xb004fff9,0x7fdc0fff,0xffffffff,0x202fffff,0xb004fff9,0xfffb0fff,
    0xff300000,0x3ff6009f,0x3fea0007,0x27ffcc3f,0xd07ffd80,0x3e000dff,
    0xfffb85ff,0xffffffff,0xfd02ffff,0x3fe000df,0x3fffee5f,0xffffffff,
    0x3ffee3ff,0x027ffcc2,0x2607ffd8,0xfb004fff,0xfff880ff,0xffffffff,
    0x0003ffff,0x7dcfffea,0xffb801ff,0x03fffd4f,0x3ffffe20,0xfffdb9ac,
    0xffd02fff,0x3ffff63f,0x04fff980,0x3fffffe0,0x00000006,0x3ffff660,
    0xffffffff,0x1fffcc04,0x40fffea0,0xb004fff9,0xffb80fff,0xffffffff,
    0x2602ffff,0xfb004fff,0x3fff90ff,0xff980000,0xfffb004f,0x7ffd4000,
    0x027ffcc3,0xfb07ffd8,0xff1000ff,0x3ffee09f,0xffffffff,0xffb02fff,
    0xfff1000f,0x7ffffe49,0xffffffff,0x0bffee4f,0x2009fff3,0x3e607ffd,
    0xffb004ff,0xcfff880f,0xffffffd9,0x540000df,0xfff73fff,0x3fffd003,
    0x8013ffea,0xfffffffb,0xffffffff,0x99fff902,0x3203ffff,0x2e002fff,
    0x001fffff,0xf5000000,0xffffffff,0x809fffff,0x5403fff9,0xff103fff,
    0x3ff6009f,0xfffd8807,0xffbbefff,0x3ffe202f,0x0fffb004,0x0005fff7,
    0x04fff880,0x000fffb0,0x221fffd4,0xfb004fff,0x3ffee0ff,0x7ffe4002,
    0x3fff6202,0xffbbefff,0x5fff702f,0x2fffc800,0x3fffff62,0xdfffffff,
    0x10bffee0,0x36009fff,0x3fe207ff,0xfffb004f,0x24fff880,0x001abba8,
    0x4fffea00,0x5401fffb,0x7ffc5fff,0x3fea000f,0xffffffff,0xf302ffff,
    0x7fffffff,0x03fffe60,0x0dfffd00,0x1ee44000,0x3fffe600,0xfffeefff,
    0x7cc04fff,0x7fd403ff,0x17ffe03f,0x0037ffc0,0xfb86b2a6,0x7ffc02ff,
    0x0dfff005,0x000dfff3,0x00bfff00,0x8001bffe,0xff83fffa,0xdfff005f,
    0x03fffea0,0x07fffcc0,0x21aca980,0xf502fffb,0x26001fff,0x0000ffff,
    0x82fffb80,0xff005fff,0x5fff80df,0x80dfff00,0x0004fff8,0x3ffea000,
    0x803fff73,0x7e42fffd,0x6c4003ff,0xbeffffff,0x3602fffb,0x05ffffff,
    0x009fffd1,0x01ffff88,0x3fff2000,0x3fffa002,0xffa80acf,0x7ffcc04f,
    0x1fffd404,0x803fffb0,0x0004fffb,0x007fff60,0xb803fffb,0xffd04fff,
    0x5fc8009f,0x803fffb0,0x0004fffb,0x3607fff2,0x7dc01fff,0x3ff604ff,
    0xffe8805f,0xfb00003f,0x7fec03ff,0xffe8805f,0xb000003f,0xffb03fff,
    0xfffb803f,0x0fffec04,0x013ffee0,0x0009fff1,0x7ffe4000,0x403fff71,
    0xf987fff8,0x260006ff,0x3fee1aba,0x3ffe602f,0xfe980eff,0xfb8006ff,
    0x400006ff,0x1004fffd,0x9803ffff,0x7c404fff,0xffb306ff,0x7fdc07ff,
    0xfff701ef,0x2200005f,0xfb807fff,0xff701eff,0x3fea05ff,0x74401dff,
    0xffb82fff,0xfff701ef,0x7fc0005f,0xdfff707f,0x3fffee03,0x3fffe202,
    0xfffd300e,0x3e20000d,0x7fc407ff,0xfd300eff,0x00000dff,0x5c1fffe2,
    0xf701efff,0xfb805fff,0xff701eff,0xff8805ff,0x0000004f,0x2e1ffff1,
    0x3ee01fff,0xfffb04ff,0xfb000003,0xffe803ff,0xdb9bdfff,0x001fffff,
    0x00ffffc4,0x3ffa6000,0xbfff3002,0x7fffe440,0xcffff804,0xffffdb9a,
    0xfd00beff,0xb7359fff,0x0009ffff,0xbfffd510,0x3ffffa00,0xfffdb9ac,
    0x7ffe404f,0xca9acdff,0x01fffffd,0x359ffffd,0x09ffffb7,0xfffb5100,
    0x7ffff40d,0xfffdb9ac,0xfffa804f,0xfdb9bdff,0x0001ffff,0x2ffff544,
    0x7ffffd40,0xfffdb9bd,0x400001ff,0x05fffeb8,0x2b3ffffa,0x4ffffdb9,
    0x9ffffd00,0xffffb735,0x9fff1009,0xb5000000,0x7fd4dfff,0x3fffa00f,
    0xffffffff,0x400004ff,0x5c07fff8,0xffffffff,0x3fffffff,0x5fffc800,
    0x3f600000,0xffff1000,0xff97537b,0x17bfffff,0x3fffff20,0xffffffff,
    0xff103fff,0xffffffff,0x5c400dff,0xfffeeeed,0xf1001fff,0xffffffff,
    0x3600dfff,0xffffffff,0x4fffffff,0x3ffffe20,0x6fffffff,0x3bbb6e20,
    0x2ffffffe,0x3ffffe20,0x6fffffff,0x3ffff200,0xffffffff,0xdb71003f,
    0xfffffddd,0x3ff2003f,0xffffffff,0x20003fff,0xffeeedb8,0x2201ffff,
    0xffffffff,0x2006ffff,0xfffffff8,0x406fffff,0xeffffeda,0xb88003de,
    0xfffeeeed,0x1f641fff,0xffffff50,0xffffffff,0x5100001f,0x4c0bfffb,
    0xffffffff,0x1effffff,0x777764c0,0x01deffff,0x01fd4000,0x3fffff60,
    0xffffffff,0x203fffff,0xfffffffd,0xffffffff,0x3fffa604,0x0dffffff,
    0x3ffff200,0x2fffffff,0x7fff4c00,0x0dffffff,0x3fffee00,0xffffffff,
    0xffe9802f,0xdfffffff,0x3fffee00,0x2fffffff,0xffffe980,0x00dfffff,
    0x7ffffd40,0x01efffff,0x3fffff20,0x02ffffff,0x7ffffd40,0x01efffff,
    0x7fffdc00,0x02ffffff,0xfffffe98,0x000dffff,0x7fffff4c,0x200dffff,
    0xfffffff8,0x4001ffff,0xfffffffb,0x0002ffff,0xfffffffb,0xffffffff,
    0x3b722007,0xfffffeee,0x3fffa01f,0xfffffc9d,0xfff004ff,0xffffffff,
    0x440000df,0xffd0006f,0xffffffff,0x9fffffff,0xfffffd80,0xffffbbef,
    0xfffb800d,0x8003ffff,0xfffffffc,0x20002fff,0xfffffffb,0xfd710003,
    0x9dffffff,0xfffb8001,0xb803ffff,0xffffffff,0x7dc002ff,0x03ffffff,
    0x3fff2200,0x8004efff,0xfffffffc,0x10002fff,0xdffffff9,0x3ee00009,
    0xffffffff,0x7ffdc002,0x0003ffff,0x7fffffdc,0xfff8803f,0xffffffff,
    0x7ffdc001,0x3fffffff,0xffff1000,0xdddddddd,0x200dfffd,0xfffffffc,
    0x2a01ffff,0x2620ffff,0x7c000aba,0xffffffff,0x00007fff,0xb80003f2,
    0xffffffff,0xdfffffac,0xabba8800,0x54c00001,0x220000ab,0xbeffffec,
    0x2a600001,0x200000ab,0x001acaa9,0x01575300,0x7fff6440,0x40001bef,
    0x0000aba9,0x0055d4c0,0xfffd9100,0x000037df,0x00055d4c,0x3ffb2200,
    0x40001bdf,0x0000aba9,0x0055d4c0,0x3ffff6a0,0x8003dfff,0xeffffec8,
    0x7dc0001b,0xffb004ff,0xfff9003f,0x5fffffff,0x01fff980,0xffda8000,
    0xdfffffff,0x02200002,0x32ea2000,0x000001ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fff400,0x04fffa80,0xffffec88,
    0x32a001bd,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb71000,0x2a039dff,0x3dffffec,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffff20,0x7cc0ffff,0xffffffff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffb00,0xfa81ffff,0xffffffff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffb300,0x3b207dff,0x0cefffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001b3000,0x00002000,0x00040200,0x40000080,0x00000100,
    0x00000000,0x00002e60,0x00000b6a,0x03a80371,0x5401b880,0x75000003,
    0x00100000,0x05cc02b8,0xa8037100,0x00000003,0x00000100,0x18000020,
    0x064c0000,0x81ecc000,0x5c4003d9,0x0001d401,0xff900002,0x4c00007f,
    0x00000dfe,0x3ea3fd88,0x7e40000f,0xfd880005,0x2203fea3,0x01fffffd,
    0xfffda800,0x0001ffff,0x05fffe88,0x007ffc00,0x09ff7000,0x8005ffb1,
    0xfd884ffb,0x2200002f,0x00000ffd,0x26001fd3,0xffb81eff,0x13ff2004,
    0x8007ff62,0x000002ff,0x000017ee,0x80009f90,0x00005ff8,0x0005fff9,
    0x7c43fff8,0x3f2002ff,0x1ffd884f,0x00bf7000,0xfffffd30,0xfb00001d,
    0x800007ff,0xff52ffe8,0x7ec4000d,0x7440004f,0x0dff52ff,0x3ffffff2,
    0xfff80001,0x01ffffff,0xc9bfc800,0xff30003f,0x4400005f,0xff51efff,
    0xff1000df,0x3ffea3df,0x3a600006,0x500004ff,0x6c001fff,0xffd33fff,
    0x7fc4003f,0xdfff51ef,0x03ffe800,0x7fec4000,0xd1000004,0xa80007ff,
    0x20000fff,0xdfffffe9,0xfff88000,0x01fffc44,0x23dfff10,0x8006fffa,
    0x4004ffd8,0xfeadfffc,0x740003ff,0x00004fff,0x7d53ffa2,0xd30001ff,
    0x88000bff,0xfff54ffe,0x3fffee03,0xe80001ff,0xffffffff,0x27c40001,
    0x7d4001ba,0x400003ff,0xffefffd8,0xb10000cf,0x9fffdfff,0x3ea00001,
    0x900003ff,0x70003fff,0xdfffdfff,0xffb10001,0x009fffdf,0x00bffd30,
    0x37ffa200,0xf9800000,0xb80004ff,0x70001fff,0xffd5bfff,0xdf90005f,
    0x001df901,0xfefffd88,0xe88004ff,0x2a000dff,0x7fdc2fff,0x3ee0001f,
    0x100001ff,0x3fea9ffd,0xff50001f,0xe880009f,0x3fff54ff,0xfffeda80,
    0xdb880001,0x01fffeee,0x2f45f800,0x3fffa800,0xff500000,0x00003dff,
    0x07bfffea,0xfffa8000,0xffb00002,0x74c0001d,0x0003ffff,0x1effffb8,
    0x3ff62000,0x3e60000e,0x000004ff,0x0007fff5,0xefffeb88,0xfa800a8b,
    0x3ff223ff,0x4008000f,0x7fdc0000,0x98001eff,0xa8004fff,0x1fd300df,
    0x00b98000,0x4fff2000,0x0001fff8,0x0005fff1,0x3e27ff90,0x3ee001ff,
    0x000001ff,0x0003fff7,0x5f939f90,0x3ffea000,0x22000003,0x800004fd,
    0x00004fd8,0x0001efe8,0x001bff90,0x003bee00,0x04fd8800,0x17ff2000,
    0x17ffc400,0xff880000,0x7dc0001f,0xffffffff,0x6fd402ff,0x001fd500,
    0x20000000,0x10004fd8,0x00005fff,0x00000000,0x217dc000,0x740000ee,
    0xf700001e,0x4000ee85,0x0001fffb,0x03fff700,0xfffb1000,0xeec9800b,
    0xeeeeefff,0x0000bdee,0x2000000c,0x73000001,0x7dc00001,0x00800003,
    0x00060000,0x0013ea00,0x00001ee8,0x00037e20,0xffffff90,0x0bffffff,
    0x00020010,0x20000000,0x0f740001,0x00000000,0x0001a980,0x00000000,
    0x00000000,0x00fffdc0,0xfffb8000,0x2e200001,0xffff8000,0xffffffff,
    0x0005ffff,0x00000000,0x207b3000,0x000003d9,0x303d9800,0x0000007b,
    0x00000000,0x00000000,0x7fffcc00,0xffffffff,0x0000006f,0x6777764c,
    0xddddb502,0x00000039,0xdd930000,0x36a059dd,0x401ceeee,0xdfffffec,
    0x2deeeea9,0x00000000,0x00000000,0x43fff700,0xceeeeec9,0x3ffee001,
    0x00000001,0xffffff88,0xffffffff,0x5c4006ff,0x00acefec,0x55555510,
    0xaaaa8815,0xfff801aa,0x017ffc43,0x3e000000,0x7ffc43ff,0xeeb88002,
    0x06a1ceff,0x00000000,0x00000000,0x2fbfff60,0xdfffb710,0xaaaaaa88,
    0x5555440a,0xffff81aa,0x7cc0ffff,0x06ffffff,0x777f6e4c,0x0000130b,
    0x3fffffe0,0x7ffcc0ff,0xd306ffff,0xffffffff,0xffffffff,0xfd971003,
    0x2000159d,0xbeefedc9,0x55510130,0xa8815555,0x201aaaaa,0x3fe1fffb,
    0x06ffffff,0x007ffee0,0x55555544,0x5555440a,0xffda81aa,0xffffffff,
    0x2001dfff,0xfffffffb,0x7fcc02ff,0x0fffffff,0xfffffff3,0x3fe201ff,
    0x1fffc44f,0x2aaaaa20,0xaaaaaaaa,0x3fe200aa,0x1fffc44f,0xffff9100,
    0xfbdfffff,0xaaaa887f,0xaaaaaaaa,0xaaaa980a,0x2aaaa201,0xaaa9801a,
    0x001aaaaa,0x200ffff8,0x3fe63ffd,0x0fffffff,0xfffffff3,0x3ffe21ff,
    0x540fffff,0x6fffffff,0xfffff910,0x3ffdffff,0xaaaaaa88,0x0aaaaaaa,
    0xfffffff1,0xffffa81f,0xffa86fff,0xffffffff,0xffffffff,0x7fffdc02,
    0x002fffff,0x3fffff22,0x1ffeffff,0x3fffffe6,0xfff30fff,0x01ffffff,
    0x3e23fff7,0x7fffffff,0x07ffee00,0x3ffffe60,0xff30ffff,0x1fffffff,
    0x00fffea0,0x7fff4c00,0xffffffff,0x3fffee04,0xf72fffff,0xffffffff,
    0x4077e405,0x7d400efc,0xffffffff,0x01ffffff,0x7e4077e4,0xffd3000e,
    0xffffffff,0x7dcbffff,0xffffffff,0x21ffffff,0x6ffffffe,0xffffff98,
    0x3fffa04f,0x06ffffff,0x406fff80,0x3fee0cd8,0x2fffffff,0xfffffff7,
    0x7ff545ff,0xfd903eff,0xd105dfff,0xffffffff,0x5c7fffff,0xffffffff,
    0x1fffffff,0x7dffffd5,0x3ffffb20,0x7fffc42e,0xffecbcdf,0x04efffff,
    0x3fffffa6,0x04ffffff,0xfffffe88,0xffffffff,0x3ffffee3,0xff72ffff,
    0x5fffffff,0x223fff70,0xdffffffe,0x3ffee002,0xffffb801,0xf72fffff,
    0xffffffff,0x0fffea05,0x3ffa2000,0xfffeffff,0xff106fff,0x4dffffff,
    0xfffffff9,0x0400806f,0xfffffa80,0xffffffff,0x400801ff,0x3ffe2000,
    0xffeeffff,0x366fffff,0xffffffff,0x3fffffff,0xfffffff1,0xffffb83f,
    0xff107fff,0xffffffff,0xffe8003f,0xff88003f,0x26ffffff,0xfffffff9,
    0xffff886f,0x37ffd400,0xffffffb0,0xfffffffd,0x7ffffec9,0xffffffff,
    0x3ffe23ff,0x7ffd400f,0x5dfffb06,0x3fffff20,0x7fff4402,0xffffefff,
    0x7fec06ff,0xfffeffff,0x3e24ffff,0x6fffffff,0x3fffffe6,0xfff706ff,
    0xdffffd33,0x3fee0001,0xfff8801f,0x266fffff,0xffffffff,0x0fffea06,
    0x3fff6000,0x7fecc1cf,0x3fea04ff,0xd5300adf,0x00003fff,0xffffa800,
    0xffffffff,0x00001fff,0x7ffff400,0x7ff5441c,0x3ffea6ff,0xffffffff,
    0x3f61ffff,0x986fffff,0x3fffffff,0x3fffff60,0x004fffff,0x67ffffe4,
    0x3fea000a,0xd5300adf,0x7dc03fff,0x7ff405ff,0xffff502f,0xfffd9839,
    0x3fffea4f,0xffffffff,0x7fdc1fff,0x7fff405f,0x1ffff982,0x17fffe40,
    0x33ffff60,0x7fffecc1,0x9ffff504,0xffffd983,0xadfffa84,0xfffd5300,
    0x67ffdc03,0x004fffff,0x00fffdc0,0x15bfff50,0x3fffaa60,0x1fffd401,
    0x3ffea000,0x7ffdc02f,0x9fff301f,0x01fff600,0x3ea00000,0xaaaaacff,
    0x00fffffa,0x3ee00000,0xfc804fff,0xaaa986ff,0xaaacfffd,0xffffb101,
    0x3fffe601,0xcaa8800b,0x0fffffff,0x3fffe200,0x02ceffff,0x8027ffcc,
    0x7c407ffd,0xff701fff,0x7ffe40df,0x27ffe404,0x7fed554c,0x101aaacf,
    0x2e03ffff,0xff506fff,0x3ffa007f,0x3ffea02f,0x7ffdc02f,0x4fffc81f,
    0x427ffe40,0xb004fff9,0xffb80fff,0x03ffffff,0x1fffb800,0x13ffe600,
    0x403ffec0,0x0003fffa,0x00bfffe2,0x9837ffdc,0xfb004fff,0x3bb6a0ff,
    0xeec982ee,0xffa82eee,0xffff702f,0xddddb505,0xdddd9305,0x7fffd05d,
    0x037ffc00,0x000fffdc,0x209fffd1,0x0005fffe,0xfffffffb,0xffe88007,
    0xefffffff,0x09fff301,0x201fff60,0xfd05fffb,0x7ff405ff,0x7ffc400f,
    0x1fffb803,0x17ffee00,0xc817fff4,0xf9001fff,0x3fe205ff,0xff7002ff,
    0x1fffd0df,0x83fff880,0xb004fff9,0xffb80fff,0x002fffff,0x03fff700,
    0x027ffcc0,0xa807ffd8,0x20003fff,0x4005fffb,0xf981fffe,0xffb004ff,
    0xfffff30f,0xfffff07f,0xfff507ff,0x7ffff305,0xffffff30,0xffffff07,
    0x6fff987f,0x027fe400,0x000fffdc,0x707fffe6,0x0001ffff,0xff3ffff1,
    0x36e000df,0xffffffff,0x4fff981f,0x00fffb00,0xb83ffff1,0x7e406fff,
    0xffd800ff,0x1fffb801,0x3fffe200,0x037ffdc1,0x2001fffb,0xf702fffb,
    0xfe800bff,0x7ffe41ff,0x81ffd800,0xb004fff9,0xffb80fff,0x00dfffff,
    0x1fffb800,0x13ffe600,0x403ffec0,0x0003fffa,0x0003fff2,0xf307fff5,
    0x3f6009ff,0xffff987f,0x7ffc43ff,0xf983ffff,0x7ffc41ff,0xffff305f,
    0xfff887ff,0x7dc3ffff,0x644004ff,0xfffb800c,0xfffc8001,0x0bfffe26,
    0xa7ffdc00,0x0001fffe,0x3fff6ea2,0xfff986ff,0x0fffb004,0xd17ffee0,
    0xfa805fff,0x0a800eff,0x03fff700,0x45fffb80,0x3202fffe,0xf9001fff,
    0x3ff205ff,0x7fd4000f,0x77ffd43f,0xf300a800,0x3f6009ff,0x7ffdc07f,
    0x00efffff,0x0fffdc00,0x09fff300,0x201fff60,0x0003fffa,0x2001fffa,
    0xf984fff8,0xffb004ff,0x3fffae0f,0xfffda83f,0x0fff03ff,0x401dfffd,
    0x83ffffeb,0x3fffffda,0x0017ffe4,0x3ffee000,0xfffd0001,0x017fffa9,
    0x51fffe80,0x00009fff,0x42fffea8,0xb004fff9,0x7fc00fff,0xdfff71ff,
    0xfffff100,0x7000037b,0xf0003fff,0x3fee3fff,0x7ffd406f,0x5fffd002,
    0x001fffa0,0xf113ffe2,0x037bffff,0x09fff300,0x701fff60,0xfff97fff,
    0x5c0003df,0x26001fff,0xfb004fff,0xfff300ff,0x1f5cc40b,0x40017ffe,
    0xff986fff,0xfffb004f,0x03fff980,0x981fffd4,0x7fffe40b,0x7fff3001,
    0x43fffa80,0x0000fffd,0x0fffdc00,0xffff9800,0x000ffffd,0xf8bfff50,
    0x64400fff,0xfffb800c,0x027ffcc3,0x2007ffd8,0xfff5fffb,0x3fea005f,
    0xbdffffff,0xfffb8000,0xfffb8001,0x805ffff5,0x400ffff9,0xf02ffffb,
    0x3e000bff,0xfffa86ff,0x0bdfffff,0x04fff980,0xb80fffb0,0xfff71fff,
    0x2e0003ff,0x26001fff,0xfb004fff,0xfff100ff,0xfd9537bf,0x3e23ffff,
    0xfd0004ff,0x9fff30ff,0x01fff600,0xa807fff3,0x2a003fff,0x2003ffff,
    0x5403fff9,0x7ff43fff,0xb8000007,0x20001fff,0xfffffffc,0x3ff60002,
    0x1fffe42f,0x2013ff20,0x7cc4fff9,0xffb004ff,0xffff800f,0x4006fffd,
    0xfffffffa,0x2001efff,0x0001fffb,0xfffbffff,0x3fffa00d,0xffff700e,
    0x9fff105f,0x1fffa000,0x7fffffd4,0x201effff,0xb004fff9,0xffb80fff,
    0x3fffea1f,0xffb8002f,0x3fe6001f,0xfffb004f,0x3ffff600,0xffffffff,
    0x9fff11ff,0x1fffa000,0x4013ffe6,0x7cc07ffd,0x7fd403ff,0xfff3003f,
    0xff98009f,0x7ffd403f,0x003fff43,0x7ffdc000,0x7ff40001,0x20005fff,
    0xf987fff8,0x7ff406ff,0x7ffec01f,0x027ffcc3,0x4007ffd8,0xfffffffb,
    0xffc98002,0xffffffff,0x3fff7003,0x3ffee000,0x3002ffff,0x359fffff,
    0xffffffb7,0x09fff105,0x81fffa00,0xffffffc9,0xf303ffff,0x3f6009ff,
    0xffdb707f,0xffff983f,0x36a0bdef,0xfffeeeee,0x81ceeeee,0xb004fff9,
    0x3e200fff,0xffffffff,0x7f43ffff,0xfff0006f,0x09fff30b,0x301fff60,
    0xfa807fff,0xfe8803ff,0xf98006ff,0x7fd403ff,0x03ffec3f,0x7fdc0000,
    0x7cc0001f,0x0000ffff,0x6c13ffee,0x3fe01fff,0x6d443fff,0x7cc1ffff,
    0xffb004ff,0xffff000f,0x30000dff,0xffffffb7,0xfff7007f,0x7ffc0003,
    0x5c006fff,0xffffffff,0x2fffffff,0x000dffd0,0x4c017ffe,0xffffffdb,
    0x4fff983f,0x70fffb00,0x83ffffff,0xfffffffa,0xfffff53f,0xffffffff,
    0xf981ffff,0xffb004ff,0x7fe4400f,0xbdffffff,0x007ffd80,0x984fff88,
    0xfb004fff,0xfff980ff,0x1fffd403,0x07fffec0,0x1fffcc00,0x90fffea0,
    0x00003fff,0x01fffb80,0x2fffc800,0x7fff4000,0xffffffff,0x3ffe04ff,
    0xffeeffff,0xf985ffff,0xffb004ff,0xfff7000f,0x000003ff,0x0dffff71,
    0x003fff70,0x7ffffdc0,0xfffb8001,0xffffffff,0xffb02fff,0xfff1000f,
    0x3ee20009,0xff986fff,0xfffb004f,0xffffff70,0xfffffb83,0xfff74fff,
    0xffffffff,0x83ffffff,0xb004fff9,0x51000fff,0x70035797,0xc8005fff,
    0xff882fff,0xfffb004f,0x03fff980,0x201fffd4,0x882ffffb,0xfff302fe,
    0x3fffa807,0x0017ffdc,0x3ffee000,0xffb80001,0x3ea0001f,0xffffffff,
    0x00ffffff,0xfffffffd,0x1dffffff,0x009fff10,0x4001fff6,0x4006fffe,
    0xfd1000ca,0xffb801ff,0x7f40001f,0x220006ff,0xeffffffd,0x702fffbb,
    0xc8005fff,0x06542fff,0x0fffe880,0x8027ffc4,0xec887ffd,0x6441ffff,
    0x0dfffffe,0x3fffffb2,0xffffffff,0x4fff883e,0x00fffb00,0xffa80000,
    0xff3000ff,0x3ffe01ff,0x0dfff005,0x403fff98,0x2603fffa,0xf704ffff,
    0x3ffe60df,0x1fffd403,0x001bffe6,0x3fff7000,0xfff70000,0x7fec0003,
    0xffffffff,0x903fffff,0xffffffff,0x401bffff,0xff005fff,0xff1000df,
    0x7cc003ff,0x3fea006f,0x7ffdc02f,0x3fe20001,0x300001ff,0x7fdc3595,
    0xffff502f,0x3ffe6001,0x01bfe60f,0xf82fffa8,0xfff005ff,0x0000000d,
    0x3fe00000,0xdfff005f,0x05b91000,0x0bfffb00,0x07fffd10,0x200fffec,
    0x4c04fffb,0x7d404fff,0xfff103ff,0x3ffec0bf,0x404fff98,0xfe83fffa,
    0x7e4004ff,0x1fffb805,0xfffb8000,0xfff10001,0xdddddddf,0x20dfffdd,
    0xffca8bb8,0xd801ceff,0x7dc01fff,0xfb8004ff,0x7dc006ff,0xffb002ff,
    0xfffb805f,0x3fee0001,0x0000006f,0x6c03fffb,0xe8805fff,0x7fdc3fff,
    0xfffb002f,0x03fffb05,0x004fffb8,0x10000010,0x7ffec000,0x27ffdc01,
    0x07ffe400,0x3fffe200,0xfffd300e,0xefffb80d,0x5ffff701,0x06fff880,
    0x07ffffb3,0x803bfffa,0xf880fffd,0xffb306ff,0xfff507ff,0xfe8803bf,
    0x7fdc02ff,0xfb80001f,0xf70001ff,0x3f6009ff,0x3ee001ff,0x3ee001ff,
    0xff701eff,0xf88005ff,0x64001fff,0x5403ffff,0x5c00ffff,0x10001fff,
    0x0003ffff,0xffff1000,0xeffff880,0xdfffd300,0x07ffff90,0x80ffffa8,
    0x701efffb,0x0005ffff,0x00019ffb,0x003bff70,0x01efffb8,0x005ffff7,
    0x003fff90,0xbfffff50,0xffffb737,0xfffd003f,0xffb7359f,0x3fe009ff,
    0xfdb9acff,0x0befffff,0x007ffff2,0x3e01fffb,0xdb9acfff,0xbeffffff,
    0x7ffffe40,0xfdca9acd,0x5c01ffff,0x80001fff,0x0001fffb,0x2001fffd,
    0x2004fffa,0x4001fffb,0x9acffffe,0x04ffffdb,0x05fffc80,0xfffffc80,
    0xfeba9bce,0xfb806fff,0xf90001ff,0x00000bff,0x5fffea88,0xfffffa80,
    0xfffdb9bd,0xfffc81ff,0xba9bceff,0x206ffffe,0x9acffffe,0x04ffffdb,
    0x09fffb00,0xdfff7000,0xffffd000,0xfffb7359,0x2e20009f,0x3f20007f,
    0xffffffff,0x1003ffff,0xffffffff,0x400dffff,0xfffffffc,0xffffffff,
    0xfffff13f,0xdddddddd,0x3201ffff,0xffffffff,0xffffffff,0xfffffd83,
    0xffffffff,0x3b6e24ff,0xeefffeee,0x6d402dee,0xeefffeee,0x36e202ce,
    0x01ceffff,0xbffffd95,0x3fff7007,0xffff8800,0xffffffff,0x77764c06,
    0x1deffffe,0x3ffff200,0xffffffff,0x2e20ffff,0xfffeeeed,0x262deeee,
    0xfffeeeec,0x20001def,0xfeeeedb8,0x001fffff,0xfffffff9,0x07ffffff,
    0x3ffffff2,0xffffffff,0x3fe200ff,0xffffffff,0xc98006ff,0x0007feaa,
    0x3ff26f22,0x7ffc4001,0xffffffff,0x7c40006f,0x7fd40004,0xffffffff,
    0x7f4c001e,0xffffffff,0x7fec000d,0xffffffff,0xf34fffff,0xffffffff,
    0xffffffff,0x7fffec01,0xffffffff,0xff704fff,0xffffffff,0xffc85fff,
    0xffffffff,0x502fffff,0xffffffff,0x201fffff,0xfffffffc,0x7ffcc0ff,
    0x02ffffff,0x000fffd4,0x7fffff4c,0x400dffff,0xffffffff,0x2006ffff,
    0xfffffffa,0xefffffff,0x7ffffe41,0xffffffff,0xfffff2ff,0xdfffffff,
    0x7ffe4000,0xffffffff,0x7ffd4002,0xefffffff,0x3fffea01,0xffffffff,
    0xe9801eff,0xffffffff,0xfd8000df,0x0004ffff,0x1bffffee,0x7fff4c00,
    0x0dffffff,0x0036c000,0xffffc880,0x40004eff,0xfffffffb,0x3ff60003,
    0xfbbeffff,0xff30dfff,0xffffffff,0x1fffffff,0xfffffd80,0xffffbbef,
    0x3fae200d,0xceffffff,0xfffffd80,0xffffffff,0xfff503ff,0xffffffff,
    0x3ff603ff,0x0fffffff,0x7fffffd4,0x7c403fff,0x7dc0007f,0x03ffffff,
    0xfffffff0,0x00ffffff,0x7ecd7644,0x3fffffff,0xffffffb0,0xffffffff,
    0x3ffffe7f,0x7fffffff,0x3fff2000,0x2fffffff,0xfff91000,0x1009dfff,
    0xfffb35d9,0x007fffff,0xffffff70,0x7c40007f,0x0000efff,0x017ffff4,
    0x3fffee00,0x80003fff,0x800001fb,0x0000aba9,0x0055d4c0,0xabba8800,
    0x3ffe6001,0xffffffff,0x00ffffff,0x01abba88,0x32aa6000,0xffd9801a,
    0xffffffff,0x3200ceff,0xfffffffe,0x36603eff,0x3effffff,0xfffffd90,
    0x3950019d,0x2ea60000,0x7ed4000a,0xffffffff,0x9880002d,0x4c009bba,
    0xfffffffd,0x0cefffff,0xffffffb5,0x0005bfff,0x7ffff644,0x200001be,
    0x0000aba9,0x09bba988,0xaba98000,0x2a600000,0x2a200001,0x54c00001,
    0x200000ab,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00200000,0x00003722,0x00020000,0x00000010,0x88000000,0x3000000c,
    0x0400007b,0x0064c000,0x00654000,0x0005cc00,0x00000000,0x064c0000,
    0x00000000,0xc8800000,0x00025401,0x00000c98,0x80001c88,0x0164404a,
    0x00000000,0xb9880000,0x30beeffd,0xbf700003,0x005ffc80,0x3a600000,
    0xdf30001f,0xf8000003,0x2000002f,0x0003fffb,0x01fff440,0x007fa200,
    0x02fffb80,0x0bff2000,0xfffe8800,0x2e200005,0x21ceffee,0x9fd7001a,
    0x7ffdc000,0x37260002,0x130beefe,0x07fd5000,0x1037dc00,0xb80003ff,
    0x00002fff,0x0013ffea,0x7dc07ff0,0xffa80006,0xfd500000,0xffb80007,
    0xffffffff,0x10003ffe,0xfd809ffb,0x000002ff,0x00fffa80,0x05fff100,
    0x7ff40000,0x6c400003,0x01efffff,0x7fff7000,0x7ffd4000,0xffe98001,
    0x0000dfff,0x0017ffa2,0x5f937f90,0xffc88000,0xefffffff,0x3a203ffd,
    0x4001ffff,0xdfffffe9,0x3ff22000,0xefffffff,0x7f4001ff,0xf50001ff,
    0x03ffa09f,0x7fff4c00,0x20000dff,0xefffffd8,0x3ffb0001,0x000bff30,
    0x0006ffb8,0x007fffa0,0x7ffffe40,0xffffffff,0xfe88006f,0x7fd400df,
    0x0000006f,0x0017ffe4,0x013ffea0,0x7ff4c000,0xff500005,0x7fffd5df,
    0xffff0000,0x3fee0001,0xffb8002f,0x2fffeaef,0x5fff9800,0x227c4000,
    0x3a60006e,0xffffffff,0x05ffffff,0x07fffff6,0xadfffb80,0x8802fffe,
    0xfffffffe,0x03ffffff,0x0ffffe20,0xdfffe800,0x004fffdb,0xd5bfff70,
    0x30005fff,0xffb5dfff,0xff30009f,0xfffd77df,0x7fec0003,0xf100001e,
    0x88007fff,0xeffffffd,0xfffffffe,0x7ffcc007,0x3fffa004,0xb0000001,
    0x00003dff,0x0017ffa6,0x77fec400,0x3fe60000,0x17ffdc4f,0xbfff5000,
    0x3fff6000,0xfffa8001,0x00fffe43,0x007fff30,0x0bf17e00,0x3fffe200,
    0xfffeefff,0xf106ffff,0x4005dfff,0x3223fffa,0x7ec00fff,0xffefffff,
    0x004fffff,0x0007ffec,0xfffffd10,0x2a000bff,0x3f223fff,0x3e2000ff,
    0x3fee0dff,0xffa8003f,0x02ffffff,0x1bffd100,0xffd80000,0x7fec000f,
    0x5c40acff,0x2007ffff,0x4002fff8,0x0005fffb,0x0dffb800,0x7ec40000,
    0x2000004f,0x20005ffc,0xfd301ef9,0x7ff40005,0xffb8001f,0xdf50000e,
    0x007faa01,0x0002ffc8,0x3f66ff20,0xfffd0002,0xfea8839f,0xff506fff,
    0xbf50009f,0x807faa01,0x41cffffa,0x04ffffd9,0x0000ba80,0x3bdffb50,
    0x06fd4000,0x2001fea8,0xfb102ef8,0x3b220007,0x0000ceff,0x00013ff6,
    0x4000ba80,0x803ffff9,0x4007fff8,0xff0001ee,0x000003ff,0x00004fb8,
    0x0001fdc0,0x0013ea00,0x00020010,0x006fffa8,0x00009f50,0x10002001,
    0x88000017,0x0004fffd,0x009ffff7,0x2e0dfff9,0x10002fff,0xff900200,
    0xfffc809f,0x00000004,0x02000000,0x00400040,0x00000008,0x002fc800,
    0xd0000000,0x64007fff,0x000005ff,0x027ffdc0,0x00000000,0x00000000,
    0x00000000,0xfffd0000,0x00000005,0x00000000,0x05cc0000,0x7fffd000,
    0x837ffc00,0x0001fffb,0x7ff40000,0x7ffc400f,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x037ffcc0,0x0007ba20,0xfff10000,
    0x0000001f,0x00000000,0x00000000,0xaaaaaaa8,0x001aaaaa,0x006fff98,
    0x26000000,0x0beefedc,0x3ff6a013,0x001fffff,0x26000000,0x64006fff,
    0xfff704ff,0x75c40003,0x2a1ceffe,0x00fffc81,0x8801ffd8,0x1ceffeeb,
    0x2aaa206a,0x5440aaaa,0x001aaaaa,0x33bfb2e2,0x2620000a,0x0beeffdb,
    0x5cc40033,0x30beeffd,0x00000003,0xdffb7310,0x2a06617d,0x00004fff,
    0xaaaaaaa8,0xaaaaaaaa,0xfff902aa,0xaa880009,0xaaaaaaaa,0x2aaaaaaa,
    0x555554c0,0x50001aaa,0x55555555,0x55555555,0xffff8805,0xffffffff,
    0x7ec006ff,0x2aa602ff,0x2aa202aa,0x100aaaaa,0xfffffff9,0xf03ffdff,
    0xffffffff,0x2aa60003,0x01aaaaaa,0x027ffdc0,0x5c033220,0x88001fff,
    0xfffffffc,0x43ffdeff,0x800efffa,0x7fe4400a,0xefffffff,0x3fe63ffd,
    0x0fffffff,0xfffffff3,0xffb801ff,0x2fffffff,0xffffb800,0xfeffffff,
    0xfffb803f,0xefffffff,0xaaa883ff,0x0aaaaaaa,0x3ffee000,0xefffffff,
    0x7ffe43ff,0x3e200002,0xffffffff,0xffffffff,0xfff880ff,0xff30000f,
    0xffffffff,0xffffffff,0x7ffff40d,0x006fffff,0x7fffffc4,0xffffffff,
    0x200fffff,0xfffffff9,0xffffffff,0xdfff3000,0x7fffff40,0xffff881f,
    0x440fffff,0xfffffffe,0x83ffffff,0xfffffffe,0xffe8001f,0x6fffffff,
    0x17ffe400,0x7fdc0000,0x7f4c001f,0xffffffff,0x445fffff,0x1bdfffff,
    0xfffd3000,0xffffffff,0x7fdcbfff,0x2fffffff,0xfffffff7,0x3fa605ff,
    0xffffffff,0x3f2004ff,0xffffffff,0x406fffff,0xfffffffc,0x6fffffff,
    0x7fffffd4,0x00ffffff,0xfffffc80,0xffffffff,0x07ffec6f,0xfff50000,
    0xffffffff,0xffffffff,0x0ffff201,0x7fffdc00,0xffffffff,0x06ffffff,
    0xfffffff1,0x4003ffff,0xfffffffa,0xffffffff,0x7400ffff,0xffffffff,
    0x005fffff,0x440ffff6,0x6fffffff,0xffffffb8,0x7fec2fff,0xfffeffff,
    0xb884ffff,0x1fffeeed,0x7fffc400,0x1fffffff,0x03fff600,0x3fee0000,
    0x3fe2001f,0xfeefffff,0x86ffffff,0xfffffffa,0xf8800bdf,0xeeffffff,
    0x6fffffff,0x3fffffe2,0x3ffe66ff,0x106fffff,0xdffffffd,0x0dffffff,
    0xfffffd88,0xfffffeef,0xffb107ff,0xffddffff,0xc8ffffff,0xffffffff,
    0x2003ffff,0xffffffd8,0xffffffee,0x03ffec7f,0x7fff4000,0xffffffff,
    0x0fffffff,0x00ffff30,0x3ffffe20,0xffffffee,0x206fffff,0xfffffffd,
    0x74004fff,0xffffffff,0xffffffff,0xaa8800ff,0xadfffcaa,0x3fe2000a,
    0x3ff600ff,0x443fffff,0xffffffff,0x3fffea0e,0x7ffecc1c,0xfff7004f,
    0xfffb0003,0x9fffffff,0x03fff400,0xfffb8000,0x3fffa001,0x7f5441cf,
    0xff506fff,0xffffffff,0x7fff403d,0x7f5441cf,0xffa86fff,0xd5300adf,
    0x7ec03fff,0x6cc1cfff,0x3604ffff,0x40acffff,0x07ffffb8,0x159ffffb,
    0x7ffffb88,0x7fffffcc,0x00ffffff,0x33ffff60,0x7ffdc40a,0x03ffec7f,
    0xdddddd73,0xff91059d,0x555555bf,0x01fffb55,0x001fffec,0xfb9ffb30,
    0xf55557ff,0xaa880dff,0xfffffffc,0x7fe44000,0xaaaaaadf,0x00fffdaa,
    0x07fff300,0x13fff200,0x3fffee20,0xfda980ff,0xfffc82ff,0x27ffe404,
    0x01fffb80,0xff955100,0x001fffff,0x0001fffa,0x03fffa60,0x27fffdc0,
    0x037ffe40,0xffffff93,0xf707ffff,0xf9009fff,0xfff30dff,0x1fff6009,
    0x02ffffa8,0x40ffffdc,0x803ffff9,0xf987fff8,0xf8803fff,0xf55307ff,
    0x00355dff,0x03ffff98,0x6c7fff88,0x3ffe07ff,0xffffffff,0x03fff981,
    0x200fffc8,0x0006fff9,0x7fecfff4,0x06fff80f,0x3fffff60,0xf98003ff,
    0xffc803ff,0xff30000f,0xff10007f,0x3e2001ff,0x205fffff,0xfe80fffc,
    0x7fc400ff,0xfff7003f,0xffb00003,0x007fffff,0x0001fff6,0x6ffffe88,
    0x0ffffa00,0x006fff80,0xfffffb73,0xfffe87ff,0x1bffe003,0x4013ffe6,
    0xff107ffd,0x3ee005ff,0xfffe86ff,0x17ff2003,0x800ffffa,0xff805ffc,
    0x3fa0006f,0x3f2003ff,0x07ffe45f,0x7fffffc4,0x983fffff,0xfc803fff,
    0x7ff400ff,0xff10002f,0x203fff6f,0xf1006fff,0xdfff3fff,0x7fff3000,
    0x01fff900,0x0fffe600,0x13ffee00,0xfffff880,0xfff902ff,0x01fff901,
    0x2003ffb0,0x0001fffb,0x7cffffc4,0xff9006ff,0x2e00003f,0x002fffff,
    0x800dfff3,0x10004ffc,0x4cdffff7,0x64006fff,0xfff984ff,0x0fffb004,
    0x0017ffee,0x7cc3fffd,0x744006ff,0x37ffcc1e,0x007ba200,0x4001bffe,
    0x4006fff9,0x7fd41ee8,0xfffd702f,0x01bfffff,0xe987fff3,0x201bfea4,
    0x0006fffa,0x3ff6bff7,0x27fec10f,0xd4fffb80,0x98003fff,0x274c3fff,
    0x4000dff5,0x8003fff9,0x2000ffff,0xfffffff8,0x0fffc80f,0x00efffa8,
    0x3ee000a8,0x5c0001ff,0xfffd4fff,0x5fff7003,0x3fea0000,0xf7004fff,
    0xc88009ff,0x8006540c,0xf70fffe8,0xc88009ff,0x4fff980c,0x20fffb00,
    0x4000fffc,0x3ea3fffa,0x200004ff,0x0004fffa,0x037ffc00,0x04fffa80,
    0x3ffe2000,0x3fff4004,0xf87fff30,0x0076e2ff,0x000ffff4,0xffd97fec,
    0xfb9ffc8f,0xfffd002f,0x013ffea3,0xf87fff30,0x0076e2ff,0x03fff980,
    0x02fffdc0,0x3b3ffe20,0xffc85fff,0xffff880f,0x00001bdf,0x0003fff7,
    0xf51fffe8,0xff3009ff,0x540000df,0x800ffffe,0x0002fffc,0x400dff30,
    0xff92fffa,0x9800005f,0xfb004fff,0x1fffa0ff,0x93ffe200,0x0002fffc,
    0x00bfff20,0xdfff0000,0x3fff2000,0x7fc00002,0x3fa001ff,0x3ffe607f,
    0x4fff999c,0x3ffea000,0x7ffc4005,0xff3fffb0,0x5400267f,0x7ffc5fff,
    0x3fe6000f,0xfff999cf,0x7cc00004,0x7f4003ff,0x7c4001ff,0xffff9cff,
    0x807ffe42,0xfffffffa,0x70000bdf,0x40003fff,0x7fc5fffa,0xffe800ff,
    0x2fe4004f,0x800fffc8,0x0000fffd,0x005fff70,0x7ecbfff6,0x400000ff,
    0xb004fff9,0x3ffe0fff,0xdfff0005,0x0007ffec,0x01fffb00,0xfff80000,
    0xfffb0006,0xfb800001,0xe8803fff,0x3fe607ff,0xffffffff,0x7ff40004,
    0x3fea001f,0x3fffff66,0xfd8005ff,0x7ffe42ff,0x3ffe6003,0x4fffffff,
    0x7fcc0000,0x3fea003f,0xff88005f,0x8dfff94f,0x2a00fffc,0xffffffff,
    0x5c001eff,0x20001fff,0x7e42fffd,0xffa803ff,0x74401dff,0xffb82fff,
    0x7ffe801f,0x3ff20000,0x7fd403ff,0x0fffd0ff,0xfff30000,0x1fff6009,
    0x0013ffe2,0xffb3fff4,0xfd80000f,0x8000007f,0xb0006fff,0x00000fff,
    0x33bffff6,0xffedb9ab,0x3fe607ff,0xffffffff,0x7fdc0004,0x3ff2005f,
    0x3fffff64,0x7c4005ff,0xfff987ff,0x3ffe6006,0x4fffffff,0x4005e440,
    0x2003fff9,0x8002fffe,0x3fa4fff8,0x3fff24ff,0x7ffe4c00,0x3fffffff,
    0x07ffee00,0x3fffc400,0x8037ffcc,0xcdfffffc,0xfffdca9a,0xfffb81ff,
    0x07ffe801,0x3fff2000,0xba9bceff,0x3a6ffffe,0x800007ff,0xb004fff9,
    0xfff10fff,0x3ffa0009,0x981fff67,0xeeeeeeeb,0x81fff62c,0xeeeeeeb9,
    0x7ffc02ce,0xfffb0006,0x77775cc0,0xf882ceee,0xffffffff,0x7fffffff,
    0x3ffffe60,0x004fffff,0x07fffc40,0x361fff80,0x5fffffff,0x27ffdc00,
    0x001fffd8,0xfffffff3,0xfc809fff,0xfff9803f,0xdfff5003,0x3ffe2000,
    0x47fffea4,0x2000fffc,0xfffffdb9,0xff7003ff,0x3ee0003f,0xfffb04ff,
    0x3fff6003,0xffffffff,0xf704ffff,0xffb003ff,0x7e40000f,0xffffffff,
    0x0fffffff,0x0001fff6,0x013ffe60,0xfe83ffec,0xfff0006f,0xf03ffecb,
    0xffffffff,0x1fff63ff,0xfffffff8,0x3e01ffff,0xfb0006ff,0x7fffc0ff,
    0x1fffffff,0xfffffd88,0xffffffff,0x3ffe602d,0x4fffcccd,0xfffc8000,
    0xffff9804,0xfcffffff,0x7f4004ff,0xffffffff,0x3004ffff,0xf999bfff,
    0xffe809ff,0x3fff9805,0x05fffb00,0x13ffe200,0x3f2dfffb,0x220000ff,
    0x006ffffb,0x0003fff7,0x3ffffffa,0x4fffffff,0x3fffee00,0xffffffff,
    0x3ffee02f,0x1fffc801,0xfff50000,0xffffffff,0xfc83dfff,0x400001ff,
    0xb004fff9,0x3ff60fff,0xfff88007,0x203fff24,0xfffffff8,0xff93ffff,
    0xffff101f,0x7fffffff,0x4037ffc0,0xfff90cd9,0xfffff101,0x07ffffff,
    0x7ffff6cc,0x801cffff,0x7fc3fff9,0x2000c43f,0x400ffff8,0xfffffffc,
    0x2ffe8fff,0x3fffea00,0xffffffff,0xf9800fff,0x1fffc3ff,0x06fff862,
    0x803fff98,0x0006fff9,0xf113ffe2,0xfff97fff,0x20019501,0x800fffe8,
    0x8001fffb,0xfffffffa,0xffffffff,0x3fae2000,0xceffffff,0x0fffdc00,
    0x017ffdc0,0x9aec8800,0xfffffffd,0x5fff703f,0xff880000,0xfffb004f,
    0x00bffee0,0x545fff90,0xfd702fff,0xbfffffff,0x40bffea1,0xffffffeb,
    0x3fe00dff,0x3ffd806f,0x2e05fff5,0xfffffffe,0x2a6000df,0x4c001aab,
    0x7fec3fff,0x000ffea1,0xe807fff9,0xffffffff,0x043c88ff,0x3fffff60,
    0xffffffff,0xff9803ff,0x50ffec3f,0x1bffe7ff,0x00bffea0,0x000ffff6,
    0xa84fff88,0xfffeffff,0x0037fcc0,0x7005fff5,0xb0003fff,0xffffffff,
    0x7fffffff,0x3bf66000,0x7fdc001a,0xfff9801f,0x44000006,0x4009efe9,
    0x0006fff9,0x005fff80,0x3ea0dfff,0xf3000fff,0x7fc41fff,0x7ff4004f,
    0x027ffc47,0x201fffa0,0xff806fff,0x09fff15f,0x007ffe80,0xf9800010,
    0x640983ff,0x7c4006ff,0x3fe207ff,0xffd9999f,0x01df900f,0xdddffff1,
    0xffdddddd,0xfff300df,0xffc81307,0x900dfff6,0xf8801fff,0x440007ff,
    0xffb04fff,0xb81fffff,0xfb002fff,0xff7005ff,0xff88003f,0xeeeeeeff,
    0x06fffeee,0x001bf200,0x8017ffdc,0x4004fffe,0x3f6005fc,0x3fffa006,
    0x82fe4004,0x5c01fffd,0x3f604fff,0xfe8805ff,0xffff83ff,0x1fffa001,
    0x8007fffe,0xff807ffe,0x5fff806f,0x8007fffe,0xe8007ffe,0xf30004ef,
    0x3fa007ff,0xffd8007f,0x0bff703f,0x3e01fffb,0xfffb82ff,0x3fffb004,
    0x03fff980,0x3fefffd0,0x3fee01ef,0xfffc807f,0x7fc40003,0xffff104f,
    0xffc81fff,0x7fd403ff,0xffb800ff,0x7fdc001f,0xfffb004f,0x3ff20003,
    0x7fd4001e,0xfff5004f,0xfe8803bf,0xffb002ff,0xfff5001d,0xfe8803bf,
    0xfffb82ff,0xffff701e,0x7fffc405,0xfffd300e,0x3fffee0d,0x7ffe8803,
    0x03ffffb8,0x807ffe88,0xff806fff,0x3fffee5f,0x7ffe8803,0x2ffff800,
    0x3fff9800,0x00fffd00,0x20dfff30,0xffd83ffd,0x4fff880f,0x000fffe8,
    0x9809fff5,0xfd003fff,0x3ffffeff,0xffeb9abe,0x7fc403ff,0x440000ff,
    0x3ee04fff,0x640fffff,0xbcefffff,0xffffeba9,0x3fff7006,0x0fffe800,
    0x09fff500,0xbfff9080,0xffff8800,0xfffc803f,0xca9acdff,0x01fffffd,
    0x009fffb0,0x37fffff2,0xffdca9ac,0xffd01fff,0xfb7359ff,0xf5009fff,
    0x737bffff,0x03fffffb,0x677fffec,0xffedb9ab,0xfffb07ff,0xb73579df,
    0x00fffffd,0xff00dfff,0xffffd8bf,0xedb9abce,0x2007ffff,0x05ffaaba,
    0x3fffb2a0,0xeeeeeeee,0x007fffee,0x645fffb0,0xc8befffd,0xeeeffffe,
    0x14fffeee,0x9dffffb7,0x3ffb2a03,0x76543dff,0xeeeeefff,0xfffeeeee,
    0xfffffff7,0x7fffffff,0x09fff700,0xfffda800,0xffe82def,0x7fe40fff,
    0xffffffff,0x40ffffff,0xfeeeeeda,0xceeeeeff,0x3fff6e21,0xd9501cef,
    0x007bffff,0xdfb7bff1,0xffff9000,0xfffb003f,0xffffffff,0x8809ffff,
    0x05feacef,0x3fffff60,0xffffffff,0x3fe204ff,0xffffffff,0x3f2006ff,
    0xffffffff,0x4403ffff,0xffffffff,0xffffffff,0xfffff107,0xffffffff,
    0xdb70ffff,0xdddffffd,0xfffddddd,0xfffff88b,0xffffffff,0x3e007fff,
    0x003fffff,0xfffffff1,0xffffffff,0x000fffff,0x7dd3ffe6,0xffffffff,
    0xffffffff,0x94ffffff,0xffffffff,0xffff981f,0xf12fffff,0xffffffff,
    0xffffffff,0x3ff26fff,0xffffffff,0xfffb003f,0x7fcc0001,0x1fffffff,
    0x07ffffcc,0x3fffffea,0xffffffff,0x7fffd41e,0xffffffff,0xf90fffff,
    0xffffffff,0xfffff981,0x4402ffff,0x02ffffff,0x3ffff900,0x3fffee00,
    0xffffffff,0xfff8802f,0x5c002fff,0xffffffff,0x802fffff,0xffffffe9,
    0x4000dfff,0xfffffffa,0x1001efff,0xfffffffb,0x5bffffff,0x7fffec40,
    0xffffffff,0x7ffdc2df,0xffffffff,0xffffffff,0xffffd885,0xffffffff,
    0x3ea002df,0x26005fff,0xffffffff,0xffffffff,0x20007fff,0xfff91ffc,
    0xffffffff,0xffffffff,0x3f69ffff,0xffffffff,0x7ffffd40,0xff33ffff,
    0xffffffff,0xffffffff,0xffeb88ff,0x002dffff,0x0000ffea,0xfffffff5,
    0xfff905ff,0x9aec881f,0xfffffffd,0xffff703f,0xffffffff,0x363fffff,
    0xffffffff,0x7fffd40f,0x803fffff,0x003efdb8,0x001f6d40,0x3ffffae2,
    0x000cefff,0x00fbfae6,0x7fff5c40,0x00ceffff,0x7ffffdc0,0x220003ff,
    0xeffffffc,0xfdb30004,0x9fffffff,0x7f6cc003,0xcfffffff,0xfffff901,
    0xffffffff,0x0bffffff,0x7ffff6cc,0x001cffff,0x20002a60,0xffffffec,
    0xffffffff,0x40007fff,0x7fffec40,0xffffd8df,0xffffffff,0xfffb34ff,
    0x3207dfff,0xcefffffe,0x3ffffb20,0xffffffff,0x207fffff,0x0001bb98,
    0x64000062,0x4efffffe,0x01fffd10,0x26eea620,0xfffec800,0xffffffff,
    0x3f663eff,0x03efffff,0xdfffffd9,0x00000019,0xa9800000,0x00001aca,
    0x54c00001,0x00001aca,0x00015753,0x00aba980,0x55d4c000,0x5300001a,
    0x91003557,0xffffffff,0xffffffff,0x54c00bff,0x00001aab,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00722000,0x20000095,0x02200000,0x55551000,0x35555555,0x0c060000,
    0x20000000,0x01d401b8,0x00064c00,0x00193000,0x5401b880,0x005cc003,
    0x000000ae,0x5401c880,0x00720004,0x0064c000,0x8802e600,0x1ca8001b,
    0x26003950,0x2202aaaa,0x0aaaaaaa,0x1d401b88,0x2a039500,0xaaa8801c,
    0x0aaaaaaa,0x064c0000,0xf7000000,0x00ffc40d,0x07fb1000,0xeffc9800,
    0xf1005c41,0xffffffff,0x03dfffff,0x21ffd100,0x0000eff8,0x8001bfb1,
    0xfd884ffc,0x3ee0001f,0x800002ff,0x0002fffb,0x36213ff2,0x3f6001ff,
    0x0ffe983f,0xbfffb000,0x206fb800,0x4c001ff8,0x00004ffe,0x0017ffe4,
    0xf505fff0,0xff9800ff,0x07ffd40f,0x3fffffa0,0xffff881f,0x640fffff,
    0xffd884ff,0x0fff9801,0x5007ffd4,0xffffffff,0x0001ffff,0x00bffee0,
    0x000b3f62,0x7f413fea,0xd300000f,0x4c0005ff,0x8cffffff,0x3ea05fea,
    0xffffffff,0x5fffffff,0x9fffe400,0x0005fffa,0x8007fff9,0xf51efff8,
    0x26000dff,0x0dfffffe,0xffe98000,0x8000dfff,0xf71efff8,0xfa800dff,
    0xfff90dff,0x7fec0009,0x7fd4005f,0x001ffd04,0x77ffffe4,0x7f4c0001,
    0x000dffff,0xb14fffb8,0xb8007fff,0x7fdc1fff,0x3ffe201f,0xfb86ffff,
    0xffffffff,0x8f7ffc42,0x7006fffa,0xffb83fff,0x3fff201f,0xffffffff,
    0x74c0003f,0x00dfffff,0x00bffff2,0x2f7fffa0,0x0004fffd,0x007fff50,
    0xfbbffe80,0x02ffffff,0x7ffffff4,0xffffffff,0xff3004ff,0x3ffe23ff,
    0xffe8001f,0xfd88005f,0x04fffeff,0x5bfff700,0x0005fffd,0x756fffdc,
    0x88002fff,0xfffefffd,0xffd30004,0x007fffdf,0x05fffd80,0xbdfffe80,
    0x3004fffd,0xffb5fffd,0x3ee0009f,0xfffeadff,0xfffa8002,0x002ffffe,
    0xf886fe88,0xfffd805f,0x7c43ffff,0xefffffff,0xefffd880,0x22004fff,
    0x5ff886fe,0x7ffffcc0,0x0fffffff,0x3ffee000,0x02fffead,0x05fffff7,
    0xffffe880,0x00005fff,0x0005fff7,0x7ec41950,0x91002eff,0x5555bfff,
    0x5ffffd95,0x8bfffb00,0x8006fffd,0x0002fffb,0x07bfffee,0x1fffd400,
    0x001fff91,0x447fff50,0x0000fffc,0x03dffff7,0xffff9000,0xfb00001b,
    0xd1000bff,0xbfffffff,0x37ffe200,0x00fffea0,0x447fff50,0x8000fffc,
    0x0dffffd8,0x02004000,0xffffb880,0xfda980ff,0xffb802ff,0x10001eff,
    0x2a600080,0x1aaefffa,0x7ffd4000,0x03fff223,0x1bffff22,0x77fed400,
    0xf300001d,0x000003df,0x50003530,0xfd807fff,0x7fcc05ff,0x7ffcc1ff,
    0x1c98002f,0x4fd88000,0x06fd4000,0x8001fea8,0xfd500dfa,0x7f440003,
    0x74c00004,0x0000003f,0xdffb5000,0x7fc4003b,0x007fb102,0xd500dfa8,
    0x7d40001f,0x0000002f,0xffff1000,0x7fe40bff,0x9fb1000f,0x00000000,
    0x001bffe0,0x500dfa80,0xffe803fd,0x00000007,0x001bf300,0x00000000,
    0x8807fff5,0x7e407fff,0xfffd06ff,0x0000000d,0x04000060,0x02000080,
    0x18000040,0x00200000,0x00000000,0x08000000,0x02001000,0x00022000,
    0x88000000,0x2fffffff,0x001fff90,0x00000018,0x1bffe000,0x20010000,
    0x0fffc800,0x00000000,0x2a200000,0x40aaaaaa,0x1aaaaaa8,0x00fffea0,
    0xf881fffa,0xff502fff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55555510,0xaaaa8815,
    0x3fe201aa,0x80ffffff,0x0000fffc,0xecb88000,0x0000acef,0x0000dfff,
    0x7e400000,0x5c4000ff,0x00acefec,0x30000000,0xffffffff,0x3fffe61f,
    0xa80fffff,0x7cc03fff,0x3ff205ff,0x7fff406f,0xaaaaa884,0xaaaaaaaa,
    0x555440aa,0xaaaaaaaa,0xaa80aaaa,0x100aaaaa,0x03555555,0x806aaaa6,
    0x41aaaaa8,0xaaaaaaa9,0xaaaaaaaa,0x2a20aaaa,0xaaaaaaaa,0x930001aa,
    0x3ddddddd,0x2aaaa200,0xaaaaaaaa,0x5554c00a,0x001aaaaa,0xaaaaaa88,
    0x0aaaaaaa,0x02aaaa98,0x2aaaaaa2,0x3fffe60a,0xf30fffff,0xffffffff,
    0xd9fff101,0xff90bfff,0x5555101f,0x55555555,0xfff70015,0x05ffffff,
    0x00dfff00,0xaaaaaa80,0xaaaaaaaa,0xff902aaa,0x7fdc001f,0x2fffffff,
    0xaaaaa880,0x01aaaaaa,0x7ffffdc0,0xff72ffff,0x5fffffff,0x407fff50,
    0x203ffffc,0x5402ffff,0xffa87fff,0xffffffff,0x541fffff,0xffffffff,
    0x1fffffff,0x7ffffffc,0x7ffdc2ff,0x746fffff,0x86ffffff,0xfffffff9,
    0x3ffffee4,0xffffffff,0x11ffffff,0xffffffff,0x3dffffff,0x7ffff400,
    0xb801ffff,0xffffffff,0x1fffffff,0xffffffd0,0xb800dfff,0xffffffff,
    0x1fffffff,0x3ffffffa,0xfffff881,0xff70ffff,0x5fffffff,0x3fffffee,
    0xff882fff,0x2ffff9cf,0x2e07ffe4,0xffffffff,0x1fffffff,0xfffffd30,
    0x09ffffff,0x006fff80,0xffffff10,0xffffffff,0x901fffff,0xd3001fff,
    0xffffffff,0x7c409fff,0xffffffff,0x01efffff,0xffffff88,0x3ffe66ff,
    0x506fffff,0x9555bfff,0x1ffffffb,0x03fffe20,0x81ffff10,0xfffffffa,
    0xffffffff,0x7ffffd41,0xffffffff,0x3ffe61ff,0x44ffffff,0xfffffffd,
    0xffff10ff,0xfb83ffff,0x27ffffff,0xfffffffb,0xffffffff,0xff51ffff,
    0xffffffff,0x0bffffff,0x3fffffa0,0xfd801fff,0xffffffff,0x83ffffff,
    0xfffffff8,0x2001ffff,0xfffffffd,0xffffffff,0xffffff13,0xffff70df,
    0x225fffff,0xffffffff,0x3ffffe66,0xff106fff,0x1bfff29f,0xfd81fff9,
    0xffffffff,0x83ffffff,0xffffffe8,0x6ffffffe,0x01bffe00,0x7ffffd40,
    0xffffffff,0x80ffffff,0x4400fffc,0xeffffffe,0x06ffffff,0xfffffff5,
    0xffffffff,0x3fea00bf,0xd5300adf,0x7d403fff,0xffffffff,0x200effff,
    0xd007fff9,0xffa85fff,0xffffffff,0x541fffff,0xffffffff,0x1fffffff,
    0x3fffffe2,0x7fd41fff,0x45ffffff,0x6ffffffd,0xffffff98,0x3fffee3f,
    0xffffffff,0x1fffffff,0x3ffffffa,0xffffffff,0xfda804ff,0x01ffffff,
    0xffffffa8,0xffffffff,0xffffb01f,0x09ffffff,0x7ffffd40,0xffffffff,
    0x3fff61ff,0x7c43ffff,0xefffffff,0x56fffd40,0xfffd5300,0x27ffc403,
    0x7e49fffd,0x7ffd40ff,0xffffffff,0xfd81ffff,0x6cc1cfff,0xf004ffff,
    0x74000dff,0xffffffff,0xffffffff,0xfffc80ff,0x7fffec00,0x7ffecc1c,
    0xffffd04f,0xffffffff,0x3009ffff,0x36009fff,0x7fd407ff,0xffffffff,
    0x7d400dff,0xffb005ff,0xcfffa87f,0xffaaaaaa,0x7fd40fff,0xaaaaaacf,
    0xd80fffff,0x401abfff,0x03fffca9,0x01ffffb1,0x02ffffe6,0x5559fff7,
    0x5557fffb,0xc883fffb,0xaaaadfff,0x2ffffeca,0x1fffb800,0x36aaa600,
    0x1aaacfff,0xffcaa880,0x000fffff,0x7fed554c,0x101aaacf,0x1ffffff7,
    0x5fffb530,0x013ffe60,0x2203ffec,0x3fea4fff,0x1fff91ff,0x3f6aaa60,
    0x01aaacff,0x805ffff5,0x801ffffb,0x40006fff,0xaadfffc8,0xfdaaaaaa,
    0xfffc80ff,0x3fffea01,0x7fffdc02,0xbfff9101,0xfd955555,0xf9805fff,
    0xffb004ff,0xffffa80f,0xffffffff,0x4fffc801,0x89fff900,0xf702fffa,
    0xff505fff,0x3ffee05f,0x5fff702f,0x1fffb800,0x13fffa20,0xb82ffff4,
    0x7fe42fff,0x0fffe41f,0x201fffd4,0x8005fffd,0x0001fffb,0x0007ffee,
    0xffffffb0,0xfb80007f,0x3e2001ff,0x205fffff,0xf300fffc,0x3f6009ff,
    0x7ffc407f,0xcb7ffec4,0xf7000fff,0xff1003ff,0x3ee005ff,0xfff806ff,
    0x80cd9806,0xc803fff9,0xffb80fff,0xfff880cf,0xfff7002f,0x1fffd40d,
    0x017fff60,0x2009fff3,0x7d407ffd,0xfcaaadff,0x6c01ffff,0xf7003fff,
    0xfffa8bff,0x3ffff982,0x305fff50,0x5407ffff,0x77643fff,0x07ffe43e,
    0x07fffe60,0x201ffff7,0x7e42fffb,0x7ffe41ff,0x03fffa81,0x003fffc4,
    0x000fffdc,0x003fff70,0x4ffffc40,0x40006fff,0x2001fffb,0xfffffff8,
    0x01fff902,0x4013ffe6,0x7c407ffd,0x7ffc44ff,0x00fffcbf,0x003fff70,
    0x800bfff7,0x7c01fffe,0xffd806ff,0x03fff983,0x980fffc8,0x5c4fffff,
    0x74005fff,0xff501fff,0xfff8807f,0x27ffcc07,0x407ffd80,0xf983fffa,
    0x3a01ffff,0xf3002fff,0xfff98fff,0x2ffffc41,0x883fff30,0x4c05ffff,
    0x7ffc4fff,0x03ffec6f,0x226fffc8,0x2e02ffff,0x7fe42fff,0x0fffe41f,
    0x401fffd4,0xb8007ffe,0x20001fff,0x0001fffb,0x7f53ffee,0x2e0001ff,
    0x22001fff,0xffffffff,0x00fffc80,0x2009fff3,0x7c407ffd,0xfffa84ff,
    0x000fffef,0x9003fff7,0xa8001fff,0x7fc03fff,0x5fff806f,0x4c3fff98,
    0x81bfea4e,0x21fffffc,0x4000fffc,0xf503fffa,0xffd007ff,0x4fff980f,
    0x80fffb00,0xf303fffa,0x7f40dfff,0xff5002ff,0xd0fff0df,0xf801dfff,
    0xefffe87f,0x2fffc400,0x43fffff5,0x3a007ffe,0xfffd4fff,0x0fffa80b,
    0x2e0fffe4,0xfff507ff,0x5fff9807,0x1fffb800,0x3ffee000,0x3ffa0001,
    0x09fff51f,0x0fffdc00,0xd9fff100,0xff90bfff,0x3ffe601f,0x0fffb004,
    0xb04fff88,0x1fffffff,0x07ffee00,0x001fffa0,0xf013ffe2,0xfff00dff,
    0x87fff30b,0x076e2fff,0x0fffffe8,0x2001fffa,0xf504fff8,0xff9807ff,
    0x7ffcc05f,0x0fffb004,0x203fffa8,0xb04ffff9,0x2e007fff,0x0b985fff,
    0x00ffffe4,0x3ff205cc,0xfff001ff,0x7ffffecd,0x801bffe3,0xffdffff9,
    0x7fc400ff,0x41fffc86,0xff505ff8,0x7ffe407f,0xffb8003f,0x3ee0001f,
    0xf50001ff,0xffff8bff,0xfff70000,0x7ffc4003,0x42ffff9c,0xf300fffc,
    0x3f6009ff,0x7ffc407f,0xfffff104,0x3ee001ff,0xfff801ff,0xdfff0005,
    0x806fff80,0xff985fff,0xfff999cf,0x3ffea004,0x2fffc1df,0x06fff800,
    0x6407fff5,0x4c03ffff,0xfb004fff,0xfffa80ff,0x7fffd403,0x05fffb82,
    0x009fff90,0x00ffffea,0x3ffffa80,0xf9fffe00,0xf16fffff,0xfc800bff,
    0x02ffffff,0x3ff20510,0x2a02881f,0xcaaadfff,0x0ffffffd,0x1fffb800,
    0x3ffee000,0xfffb0001,0x03fffc85,0x03fff700,0xca7ffc40,0x7fe46fff,
    0x9fff300f,0x01fff600,0x5c09fff1,0x00ffffff,0x803fff70,0x0004fff8,
    0xff80fffd,0x5fff806f,0xffffff98,0x2004ffff,0xf882fffb,0xfd0004ff,
    0x3ffea0ff,0xffdcaaad,0x4c00ffff,0xfb004fff,0x3fb2a0ff,0x901ceeff,
    0x547bffff,0xfd006fff,0xff3005ff,0x4c0009ff,0x4004ffff,0xfff57ffe,
    0xff31ffff,0xffd0009f,0x0000bfff,0x0007fff2,0x3fffffea,0xefffffff,
    0xfff70000,0x7fdc0003,0xff88001f,0x6fff987f,0x3fff7000,0x27ffc400,
    0x7e49fffd,0xfff300ff,0x1fff6009,0xeffffda8,0xffffe82d,0xfff7000f,
    0x4fff8803,0x8fffd000,0xffffeedb,0xeeeeeeee,0xff985fff,0xffffffff,
    0x3fff2004,0x04fff880,0x20fffd00,0xfffffffa,0x0effffff,0x04fff980,
    0xf30fffb0,0xffffffff,0x3fffa01f,0xffff31ff,0x07fffe00,0x0dfffd10,
    0x7fff4400,0xfffd8006,0xffdfffd8,0x03fffabf,0xfffff980,0xff900000,
    0xff50003f,0xffffffff,0x40001bff,0x0001fffb,0x0007ffee,0x6c13ffee,
    0xb8001fff,0x22001fff,0x3fea4fff,0x1fff91ff,0x013ffe60,0xf983ffec,
    0xffffffff,0x7ffffcc1,0x3fff7000,0x00dffd00,0xfb97ffe0,0xffffffff,
    0xffffffff,0xfff985ff,0x4fffffff,0x03fff200,0x80037ff4,0xff505fff,
    0xffffffff,0x26001bff,0xfb004fff,0xffff30ff,0x03ffffff,0x4bffffe2,
    0x400ffff8,0x400ffff8,0x000ffffd,0x03ffff60,0x2bfff200,0xfff9ffff,
    0x002fffbe,0x005fff90,0x0fffe400,0x7fffd400,0xffffffff,0xdddb7001,
    0xdddfffdd,0xf70059dd,0xfd0003ff,0xffffffff,0x0009ffff,0x4003fff7,
    0x7ec4fff8,0x1fff96ff,0x013ffe60,0xfa83ffec,0xffffffff,0x0ffffc82,
    0x03fff700,0x000fffb0,0x7e49fff1,0xffffffff,0xffffffff,0xfff985ff,
    0x4fffcccd,0x03fff200,0x4003ffec,0xf504fff8,0xffffffff,0x44003fff,
    0xfb004fff,0x3ffb20ff,0x403effff,0x7f44effb,0x7fe404ff,0x7ffdc06f,
    0x02fe882f,0x20bfffee,0xff702fe8,0x3a9fffbf,0x1fffdfff,0x3fff7000,
    0x7fe40000,0xffa8001f,0xffcaaadf,0x7d401fff,0xffffffff,0xffffffff,
    0x0fffdc00,0x3fffea00,0xffffffff,0x5c000fff,0x22001fff,0x7fc44fff,
    0x0fffcbff,0x009fff10,0xec81fff6,0x04efffff,0x001fffd1,0x2007ffee,
    0x4002fffb,0x3222fffc,0xffffffff,0xffffffff,0xfff985ff,0x221fffc3,
    0x01fff901,0x000bffee,0x2a05fff9,0xcaaadfff,0x001fffff,0x7c017ffe,
    0x000006ff,0x3fffee00,0x5ffff100,0x27fffcc0,0xf306ffb8,0x3ee09fff,
    0xffff506f,0x3fee5fff,0x000fffff,0x003fff70,0x0fffe400,0x1fffd400,
    0x0fffffcc,0xffffff70,0xffffffff,0xfb801fff,0x7ec001ff,0xffffffff,
    0x03ffffff,0x00fffdc0,0x509fff10,0xfffdffff,0x02fffc01,0x0006fff8,
    0x7dc00000,0xffa801ff,0xff3000ff,0x000001ff,0x43fff980,0x3fea1ffd,
    0x00fffc83,0x001ffff5,0x403fffe6,0xf983fffa,0xb001ffff,0xfb803fff,
    0x040004ff,0xffff1000,0x1fffee07,0x05ffff88,0x3e21fff6,0x3f605fff,
    0xffff307f,0x7ffc4fff,0x20007fff,0x0001fffb,0x007fff20,0x40fffea0,
    0x406ffff9,0xffffffec,0xefffffff,0x1fffb803,0x3fffe200,0xeeeeeeee,
    0x4006fffe,0x2001fffb,0xfb04fff8,0x01ffffff,0x200fffec,0x0004fffb,
    0x2e000008,0xfb001fff,0xfd100bff,0x020007ff,0x3fff9800,0x37fe4098,
    0xb007ffe4,0xd100bfff,0x7d407fff,0xfff303ff,0x3fee00df,0xfff701ef,
    0x7f40005f,0xff90004e,0xffff01ff,0x77fff407,0x03fff600,0x401dfffd,
    0xf880fffd,0x745fffff,0x007fffff,0x007ffee0,0x1fffc800,0x3fffa800,
    0x13fffe60,0x01bff100,0x1fffb800,0x13ffee00,0x00fffec0,0x003fff70,
    0x8827ffc4,0x0fffffff,0x07bffee0,0x017fffdc,0x013bfa00,0x07ffee00,
    0x77fffc40,0xdfffd300,0x13bfa000,0x0fffe600,0x643fff40,0x3e200fff,
    0xd300efff,0xfa80dfff,0x3fe603ff,0xffd004ff,0xfb7359ff,0x80009fff,
    0x8002ffff,0x5c3ffff8,0xf900ffff,0xfd803fff,0x3fff20ff,0x7ffec01f,
    0xffffff00,0xfffffb85,0x3fee0006,0x3200001f,0xa8001fff,0x7d403fff,
    0x26002fff,0xb80001ff,0x3a001fff,0xf5000fff,0x7dc009ff,0x3e2001ff,
    0x3fee04ff,0x7400ffff,0xb9acffff,0x004ffffd,0x02ffff80,0x0fffdc00,
    0xfffff500,0xfffb737b,0x3e0003ff,0x4c002fff,0xfd003fff,0xfffe88ff,
    0x7fffd400,0xffdb9bdf,0x7d401fff,0x7fd403ff,0xff8802ff,0xffffffff,
    0x2a0006ff,0x005ffaab,0xe8ffff90,0xff104fff,0xdddddfff,0x1ffffddd,
    0x3bffffe2,0xfeeeeeee,0xffd00fff,0xff881fff,0x2a005fff,0xefffeeed,
    0x2a002cee,0xefffeeed,0x32a01cee,0x1ceefffe,0x7bffff90,0x739ff100,
    0x76dc407d,0xeefffeee,0x36e22dee,0x01ceffff,0xbffffd95,0x7776dc47,
    0xeeeefffe,0xfffda82d,0xffe82def,0x7c400fff,0xffffffff,0x40006fff,
    0x05ffaaba,0xddddb710,0xbddddfff,0x7fffe405,0xffffffff,0xaba8003f,
    0x95005ffa,0xddddfffd,0xffdddddd,0x3fff22ff,0xfff9006f,0xffffffff,
    0x765407ff,0x01ceefff,0x07bffff9,0xfffffe98,0x000dffff,0x3fffffe0,
    0xfff10003,0x3fffea5f,0xfffff300,0xffffffff,0x3e61ffff,0xffffffff,
    0xffffffff,0xbffffb00,0x13ffffa0,0x7ffffd40,0xffffffff,0xffffa800,
    0xffffffff,0xffff980f,0x00ffffff,0x03fffffd,0xbfffffd0,0x7ffffe40,
    0xffffffff,0xffff92ff,0x981fffff,0xffffffff,0xfffff92f,0xffffffff,
    0x7ffcc5ff,0x41ffffff,0x00fffff9,0xfffffe98,0x000dffff,0x7fffffc0,
    0xffff9003,0xffffffff,0x7d405fff,0xffffffff,0xff0001ef,0x1007ffff,
    0xffffffff,0xffffffff,0x3ff2ffff,0x2a002fff,0xffffffff,0x3e601eff,
    0xffffffff,0xffffd00f,0xfff7003f,0x0007ffff,0x0bffff50,0x2fffa800,
    0x4c05fff5,0xffffffff,0xffffffff,0xfffff30f,0xffffffff,0x3201ffff,
    0xf702ffff,0x2a007fff,0xffffffff,0x801fffff,0xfffffffb,0x80ffffff,
    0xfffffff9,0xff101fff,0x91005fff,0x6c01dffd,0xffffffff,0x3fffffff,
    0xfffffffb,0xfffa81ff,0xb3ffffff,0xffffffff,0x7fffffff,0x7fffffd4,
    0xffc82fff,0x3ee000ff,0x03ffffff,0xffff5000,0x7ffec00b,0xffffffff,
    0x4403ffff,0xeffffffc,0x7fd40004,0xff3005ff,0xffffffff,0xffffffff,
    0x3fffeeff,0xffc88003,0x804effff,0xfffffff9,0xff101fff,0x4c005fff,
    0x00000aba,0x00000a98,0x03ec89d7,0x7fffffcc,0xffffffff,0xfff30fff,
    0xffffffff,0x01ffffff,0x403fffee,0x002ffff8,0x3fffffb2,0x003effff,
    0xfffffd91,0x407dffff,0xffffffec,0x77fdc03e,0x80098004,0xffffffd9,
    0xceffffff,0xfffffb30,0x3fb207df,0x30ceffff,0xfffffffb,0x19dfffff,
    0xfffffec8,0xfffd104e,0x57530001,0x26000001,0x7ecc000a,0xffffffff,
    0x000cefff,0x0002aea6,0x80015300,0xffffffec,0xffffffff,0xbd917fff,
    0x75300003,0xfec80015,0x03efffff,0x00277fdc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00008800,0x64404b80,
    0x02e60001,0x2e000570,0x0005c402,0x20003260,0xaaaaaaa8,0xaaaaa881,
    0x400c9801,0x0000003c,0x40000000,0x000000c9,0x01b88000,0xfffb81d4,
    0x2001dfff,0x20000009,0xaaaaaaa8,0x950000aa,0x80072a03,0x059303c8,
    0x5dcc0000,0xfffdb81a,0x00002fff,0x2aaa2000,0x01aaaaaa,0x39503ec8,
    0x440072a0,0x01730000,0x83dff930,0x7c4000b8,0x017f601f,0x983ffd80,
    0x44000ffe,0xffb80eff,0x3fee0005,0x3fe2002f,0x6fffffff,0x3fffffee,
    0x02fec05f,0x20001ff3,0x0000cfd8,0x00033f62,0x00bffee0,0xb83dd300,
    0x3ff2004f,0x81ffd884,0xfffffffb,0x7ff5c406,0x20002a83,0xfffffffa,
    0x4001ffff,0x7d40fff9,0xffd000ff,0x005fff07,0xfffe9800,0xfff11fff,
    0x005fffff,0x79dfdb71,0xfff10001,0xffffffff,0x07ffd409,0xf503ffe6,
    0x7e4c01ff,0x405c41ef,0x2602fffe,0x8cffffff,0xf8005fea,0x3ffb80ef,
    0x3ffea000,0x09fff90d,0x4ffff600,0x001fffe8,0xfffffe98,0xfffa800d,
    0x1fffffff,0xfffffffb,0x82ffb80f,0x20007ff8,0x0003fffd,0x000ffff6,
    0xfffffe98,0xffd0000d,0x017ffc49,0x51efff88,0x3ee0dfff,0x06ffffff,
    0x77fffff4,0x000ffd8a,0xffffff50,0x001fffff,0x5c1fffb8,0xf8801fff,
    0x7ffc45ff,0x3ee00004,0x5fffffff,0xfffffff1,0xfffb805f,0x02ffffff,
    0xfffffe80,0x202fffff,0x7dc1fffb,0x7ffdc1ff,0xfffff301,0x8bfd519f,
    0x206ffffa,0xfffbbffe,0x8002ffff,0xecbdfffb,0x40000eff,0xffefffe9,
    0x7dc0003f,0x1efffeff,0xdfffb800,0x402fffea,0xfffffff8,0x3ffee6ff,
    0x4404ffff,0xfdbcefff,0x3a0003ff,0x20004fff,0x0004fffe,0xfd5bfff7,
    0xff0005ff,0x1fffd4df,0xdfffb100,0x7dc09fff,0x01beeeff,0x3f6b7fee,
    0x005fffff,0x99999980,0xd1000199,0x0bff10df,0x6c0ffe40,0x300001ff,
    0xffffffff,0x7776549f,0xfd302fff,0xffffffff,0x88001bff,0x19999999,
    0x41fffb80,0xff886fe8,0x2efffa05,0x2fffffff,0x0fffffec,0x3f620ca8,
    0x20002eff,0xfffffffb,0x3200001e,0x000dffff,0xffffd300,0x3fea0007,
    0x3fff223f,0xfffc9800,0x7ffcc0ac,0xd3000bff,0x7fffffff,0xfffb8000,
    0x3fee0001,0xffa8001f,0x3fff223f,0x2fffc000,0x0005fff5,0x03dffff7,
    0x001fffb8,0xfff50b62,0x0000009f,0x10020000,0x00801000,0x7fff4000,
    0x00ccb9be,0x220bffee,0xeffffffe,0x05ffffff,0xfb800000,0x080101ff,
    0xfb106540,0xffb05dff,0x30003fff,0x26000035,0x003effed,0x07fd3000,
    0x3bee0000,0x37ea0001,0x003fd500,0x2a0fffea,0x002fffff,0x1bdffd70,
    0x072a0000,0x0072a000,0xa806fd40,0x3e2001fe,0x3ffee5ff,0x9fb10001,
    0x07ffee00,0x01544000,0x00000000,0x00000000,0x3e200000,0xb8000fff,
    0xffd82fff,0x7ecc0cff,0xb3003fff,0x700f6607,0x00003fff,0x40353000,
    0x00fffffc,0x00000000,0x02000000,0x00100000,0x00400200,0xb87fff50,
    0x001fffff,0x00000000,0x00000000,0x20004002,0x3f24fff9,0x0c0001ff,
    0x03fff700,0x00000000,0xcefecb88,0x0000000a,0x00000000,0x02fffcc0,
    0x42fffb80,0x402ffffa,0x801ffffb,0x7fc43fff,0x3ffee02f,0x00000001,
    0xfffff700,0xdfd97100,0x00000159,0x00000000,0x80000000,0x03ffffec,
    0x7ffd4000,0x3bffff23,0x00000000,0x00000000,0x00000000,0x649fff30,
    0x00000fff,0x07ffee00,0x55555300,0x00003555,0x3fffffee,0x55002fff,
    0x55555555,0x55555555,0xaaaaa980,0x00001aaa,0x000bffee,0xf117ffdc,
    0x32005fff,0x7c406fff,0x7ffc44ff,0x87ffee03,0xaaaaaaa8,0x40aaaaaa,
    0xaaaaaaa8,0x20aaaaaa,0x407ffffb,0xfffffffb,0xa98002ff,0x1aaaaaaa,
    0xaaa98000,0x001aaaaa,0xaaaaaa88,0x5001aaaa,0x07ffffff,0xfffa8000,
    0xeffffd8b,0x2aaaa000,0xaaaaaaaa,0xa82aaaaa,0xaaaaaaaa,0xaaaaaaaa,
    0x55555442,0xaaaaaaaa,0x55555300,0xaaaaa881,0x3fffa801,0xa803fff6,
    0xaaaaaaaa,0xaaaaaaaa,0x007ffee2,0xffffffe8,0x40006fff,0xffffffe9,
    0x204fffff,0xfffffff8,0xffffffff,0xfd00ffff,0xffffffff,0x7dc0000d,
    0xf70002ff,0x7ffdc5ff,0x7fff4005,0x4077e401,0x3ee00efc,0xffff71ff,
    0xffffffff,0x3fee3fff,0xffffffff,0xf51fffff,0x3a60dfff,0xffffffff,
    0x3a004fff,0xffffffff,0x7f40006f,0xffffffff,0x7ffc4006,0xffffffff,
    0x3e601dff,0x003fffff,0x67ffd400,0x005ffffe,0x3fffffe2,0xffffffff,
    0xf10fffff,0xffffffff,0xffffffff,0x3ffee1ff,0xffffffff,0x7fc1ffff,
    0x30ffffff,0xffffffff,0x5fffdc40,0x81fffd99,0xfffffff8,0xffffffff,
    0xff70ffff,0x3fe2003f,0xffffffff,0xfd10001f,0xffdfffff,0x2a0dffff,
    0xffffffff,0xffffffff,0xff880fff,0xffffffff,0x9510001f,0x99bfffb9,
    0x7ffdc003,0x003fff22,0x005fff50,0xfb800801,0xffffb1ff,0xffffffff,
    0x3ff67fff,0xffffffff,0xf33fffff,0xfd10bfff,0xffdfffff,0x100dffff,
    0xffffffff,0x20003fff,0xfffffff8,0x2001ffff,0xfffffffa,0xffffffff,
    0xffd9500c,0xa800007f,0xffffffff,0x3fea000f,0xffffffff,0xffffffff,
    0xfffff50f,0xffffffff,0x21ffffff,0xfffffffd,0xffffffff,0x3ffffe63,
    0xfff73fff,0x983fffff,0xfffffffe,0x4fffffff,0x3fffffea,0xffffffff,
    0xf70fffff,0x7ec003ff,0xffffffff,0xffb0004f,0xfd9839ff,0xffd04fff,
    0xffffffff,0xffffffff,0x3ffff601,0x04ffffff,0xfffffd00,0x0bffffff,
    0xe8bffee0,0xf88006ff,0x000004ff,0x2a3fff70,0xffffffff,0x1fffffff,
    0xfffffff5,0xffffffff,0x17fffe23,0x073ffff6,0x09ffffb3,0xffffffb0,
    0x0009ffff,0x7fffffec,0x4004ffff,0xfffffffe,0xffffffff,0x1fffd406,
    0x3fea0000,0xffffffff,0x3fffa001,0xffffffff,0x0fffffff,0x3ffffffa,
    0xffffffff,0xff50ffff,0xffffffff,0xe83fffff,0x0fffffff,0xfffffff1,
    0xfffffb0d,0xffffffff,0x7ff43fff,0xffffffff,0xffffffff,0x003fff70,
    0xfffcaa88,0x4000ffff,0x402ffffa,0x101ffffb,0x555bfff9,0xffb55555,
    0x6554401f,0x0fffffff,0x7fffc400,0xffffffff,0x5fff7007,0x8002fffc,
    0x00005fff,0x83fff500,0xfffdaaa9,0x5301aaac,0x59fffb55,0xffff0355,
    0x2ffffa89,0x0ffffdc0,0x7fe55440,0x000fffff,0x3ff2aa20,0x000fffff,
    0x5577ffcc,0xffffdbaa,0x3ffea04f,0x7d400003,0xffffffff,0x322001ff,
    0xaaaadfff,0xfffdaaaa,0x6fffe440,0xaaaaaaaa,0x54c0fffd,0xacfffdaa,
    0x3fee01aa,0xff9301cf,0x3fff207f,0xffffffff,0x440fffff,0xaaadfffc,
    0xffdaaaaa,0x03fff70f,0x7fffec00,0x22003fff,0x7002ffff,0x7cc0dfff,
    0xffc803ff,0xfffb000f,0x0007ffff,0xfffffff9,0x2007ffff,0xff12fffb,
    0x3fa0009f,0x7776d47f,0xeeec982e,0x04fe82ee,0x001fffb8,0x003fff70,
    0x7c47ffff,0xf7002fff,0xfd800dff,0x03ffffff,0xffffb000,0x88007fff,
    0x7e405fff,0xff502fff,0x0009987f,0x3fffff50,0x03fffff7,0x01fffcc0,
    0x4c07ffe4,0xfc803fff,0x7fdc00ff,0x3fea001f,0x7ffdc03f,0xffd95102,
    0xdfff999f,0x3fe60379,0xfffc803f,0x003fff70,0x27fffe20,0x2e006fff,
    0x74005fff,0xff301fff,0xfff9007f,0xffff1001,0x000dfff3,0x5fffe4cc,
    0x7fdc0019,0x09fff12f,0x99bffa00,0x83ffffff,0x3fffffff,0x3fee0010,
    0xff70001f,0xfffd003f,0x02fffdc7,0x007fffa0,0x7cffffc4,0x880006ff,
    0xfff9ffff,0x7ffc4006,0x6fffd805,0xd57fff50,0x01bfffff,0x077ffd40,
    0x00dfffd1,0x401fffcc,0xf980fffc,0xffc803ff,0x7ffdc00f,0x3ffea001,
    0x17ffdc03,0xf13ffec0,0xff3009ff,0xfff9007f,0x007ffee1,0xea7ffdc0,
    0xf9001fff,0xfa8001ff,0xfff303ff,0x3ea4e987,0xfff7006f,0x007fffa9,
    0x05fff700,0x8bffee00,0xf0006fff,0x7ffccbff,0x7fc43fff,0x003fffff,
    0x00fffdc0,0x01fffb80,0x322fffd8,0x54000fff,0xf7003fff,0x3fffa9ff,
    0x7fdc0001,0x03fffd4f,0x02fffc40,0x40ffff44,0xfffffffa,0x01ffffff,
    0x107fff50,0x2005ffff,0x74c3fff9,0x4c1bfea4,0x274c3fff,0xf700dff5,
    0x7d4003ff,0x7fdc03ff,0x7ffe802f,0x2013ffe6,0x74c3fff9,0xfb9bfea4,
    0xfd0001ff,0x3ffea3ff,0x0fffd004,0x09fff100,0xff0fffe6,0x800edc5f,
    0xff51fffe,0xfb80009f,0xf70002ff,0x3fff45ff,0x27ffcc00,0x0fffffae,
    0x3fffff6a,0x7fdc0003,0xff70001f,0xfffb003f,0x003fff43,0x8027ffc4,
    0xff51fffe,0xfe80009f,0x9fff51ff,0x2fffc400,0x84fffa80,0xfffffffa,
    0x1fffffff,0x03fffa80,0x200dfff5,0x7fc3fff9,0x4c076e2f,0x7ffc3fff,
    0x2e0076e2,0x2a001fff,0x7dc03fff,0xffe802ff,0x00fffe67,0xff0fffe6,
    0xf70edc5f,0xf50003ff,0xffff8bff,0x05fff800,0x20dfff00,0x999cfff9,
    0x50004fff,0xfff8bfff,0x3ee0000f,0xf70002ff,0x7ffec5ff,0x7ffe4002,
    0x07fff302,0x103fffa8,0x07ffee00,0x0fffdc00,0xf07ffdc0,0x3e000bff,
    0xffa806ff,0x07fffc5f,0x5fffa800,0x8007fffc,0x3005fff8,0xff50bfff,
    0xd99dffff,0x5009ffff,0x7ec07fff,0xff9803ff,0xfff999cf,0x3ffe6004,
    0x4fff999c,0x3fff7000,0x5fffd400,0xb9999999,0x26202fff,0xfb99efff,
    0xff9804ff,0xfff999cf,0x0fffdc04,0x17ffec00,0x100ffff2,0x20009fff,
    0xff307ffe,0xffffffff,0x3ff60009,0x1fffe42f,0x5fff7000,0x3ffee000,
    0x03fffe62,0x07fffcc0,0x403fff98,0x7443fffa,0xfffb805f,0xfff70001,
    0x47fb1003,0x0004fff8,0xfb00fffd,0xfffc85ff,0xfffb0003,0x03fffc85,
    0x00bfff10,0x7d437ffc,0xf883ffff,0xffa807ff,0x3ffe203f,0x7ffcc00f,
    0x4fffffff,0x3fffe600,0x04ffffff,0x03fff700,0x7ffffd40,0xffffffff,
    0xffe882ff,0xffffffff,0x300dffff,0xffffffff,0xffb809ff,0x7fc4001f,
    0x6fff987f,0x027ffc40,0x307ffe80,0xffffffff,0xf10009ff,0xfff30fff,
    0x7fdc000d,0xff70002f,0x5fffe85f,0x3fffe880,0x00fffe60,0xfa87fff5,
    0x7fdc01ff,0xff70001f,0x7c40003f,0xfd0004ff,0xfff880ff,0x06fff987,
    0x87fff880,0x1006fff9,0x7400bfff,0xfffa87ff,0x3fff601f,0xfffd9501,
    0xffb039dd,0xf3017bdf,0xffffffff,0x7fcc009f,0xffffffff,0xfff70004,
    0x7ffd4003,0xffffffff,0xfc82ffff,0xffffffff,0x3fffffff,0xffffff30,
    0xb809ffff,0x5c001fff,0xffb04fff,0x6ffe803f,0x0bfff000,0x3fffffe6,
    0x8004ffff,0xfb04fffb,0x2e0003ff,0x70002fff,0xffa85fff,0xfd300eff,
    0xff980dff,0x7ffd403f,0x00fffdc3,0x0007ffee,0x000fffdc,0x001bffa0,
    0x2e02fffc,0xffb04fff,0xffb8003f,0x3fffb04f,0x0bfff100,0x543fff40,
    0x7dc03fff,0xfff982ff,0x0fffffff,0x7fffffcc,0xfffff985,0x004fffff,
    0x3fffffe6,0x0004ffff,0x4003fff7,0xfffffffa,0xffffffff,0xfffffa82,
    0xffffffff,0xff302fff,0xffffffff,0x1fffb809,0x7ffff400,0xffffffff,
    0x3ffec04f,0x27ffc400,0xccdfff98,0x8004fffc,0xfffffffe,0x04ffffff,
    0x05fff700,0x0bffee00,0x33ffffee,0xffffdb9b,0x7ffcc02f,0x1fffd403,
    0x7007ffee,0x20003fff,0x0001fffb,0x4003ffec,0x7404fff8,0xffffffff,
    0x004fffff,0x7ffffff4,0x4fffffff,0x05fff880,0x2a1bffe0,0x7dc03fff,
    0xfffa82ff,0x0fffffff,0x5fffffd8,0xccdfff98,0x2004fffc,0xcccdfff9,
    0x70004fff,0x54003fff,0xccccdfff,0x2fffdccc,0xdfffb730,0x79fffd99,
    0x6fffcc03,0x04fffccc,0x000fffdc,0xfffffff5,0xffffffff,0x17ffdc01,
    0x0bfff200,0x3e1fffcc,0x500c43ff,0xffffffff,0x1fffffff,0x5fff7000,
    0x3ffee000,0xfffff902,0xffffffff,0x7fff3005,0x43fffa80,0x5c01fffb,
    0x70001fff,0x22003fff,0x02fffb81,0x017ffe40,0xfffffff5,0xffffffff,
    0x3ffea001,0xffffffff,0x4400ffff,0xf1005fff,0xfff50bff,0x2fffb807,
    0xfffffd90,0x3fe607df,0xff981dff,0x21fffc3f,0x7fff3018,0x0c43fff8,
    0x00fffdc0,0x807fff50,0x5402fffb,0x3ff23fff,0xfff9800f,0x221fffc3,
    0x007ffee1,0xffffffd8,0xffffffff,0x3ffea03f,0xfff3000f,0x3ffe601f,
    0xf50ffec3,0x3fff607f,0xffffffff,0x8003ffff,0x0002fffb,0x5c05fff7,
    0xffffffff,0xf3001eff,0xffa807ff,0x0fffdc3f,0x007ffee0,0x00fffdc0,
    0xf507ffdc,0x26001fff,0x3600ffff,0xffffffff,0x3fffffff,0xfffffb00,
    0xffffffff,0xff8807ff,0xfff5005f,0x07fff507,0x002fffb8,0x7cc00000,
    0x0ffec3ff,0xff307ff5,0x21ffd87f,0x7dc03ffa,0x3ea001ff,0x7fdc03ff,
    0x7ffd402f,0x401fff62,0x7ec3fff9,0x5cffea1f,0xf1001fff,0xdddddfff,
    0xdfffdddd,0x05fffd80,0x03fffe88,0x260fffe6,0x4437fe40,0xeeeeffff,
    0xfffeeeee,0xfffe8006,0xfff70000,0xfffe8805,0x000befff,0x5013ffe6,
    0xffb87fff,0x7ffdc01f,0xfff70001,0x7fffd003,0x805fffd8,0x203fffe8,
    0xeeeffff8,0xffeeeeee,0xfff8806f,0xeeeeeeef,0x406fffee,0xb005fff8,
    0xff503fff,0xfffb807f,0x00040002,0x20fffe60,0x437fe409,0x0983fff9,
    0x2e037fe4,0x2a001fff,0x7dc03fff,0x7fdc02ff,0x01fffa2f,0x4c1fffcc,
    0xfbb7fe40,0xff7001ff,0x3ff6009f,0x3ffe201f,0xffd300ef,0xfff980df,
    0x0fffd003,0x2009fff7,0x2001fffd,0x0007fff9,0x300bffee,0x01bfffff,
    0xfff88062,0xffffb306,0x01fffb87,0x000fffdc,0x801fffb8,0x7c41fffc,
    0xd300efff,0xfb80dfff,0xffb004ff,0xfffb803f,0x3fffb004,0x02fffc40,
    0x407fffec,0x5c03fffa,0x30002fff,0x20005dff,0xd003fff9,0xfff30fff,
    0x1fffa007,0x003fff70,0x201fffd4,0x5c02fffb,0x3ffa1fff,0x7fff3006,
    0x5dfffa00,0xfd001fff,0x3ea001ff,0x7fd404ff,0xdb9bdfff,0x401fffff,
    0xd003fff9,0xfffd0fff,0x3ffea001,0xd5137504,0x4000bfff,0x2602fffb,
    0xffffffff,0x4ffdaace,0x2b3fffe0,0xfffffdb9,0xfff70bef,0x1fffb803,
    0x3fff7000,0x5402e600,0x9bdfffff,0x1fffffdb,0x007fff40,0x404fffa8,
    0x5000fffe,0x7c409fff,0xfb5105ff,0x3ea05fff,0x7fdc03ff,0xff30002f,
    0xf30001ff,0x3fa007ff,0x3fff987f,0x80fffd00,0x2001fffb,0x5c03fffa,
    0x7e402fff,0x1bffe1ff,0x01fffcc0,0xff77ffe8,0x4439dddf,0xceffffdb,
    0xfffd9501,0x7fe407bf,0xffffffff,0x32a03fff,0xeeeefffe,0xffeeeeee,
    0xfffb717f,0x32a039df,0x23dffffe,0xfffffffb,0x36a000ff,0x02fffeee,
    0xfffffff1,0xffffffff,0x7ffe40ff,0xffffffff,0xf73fffff,0x3b6e23ff,
    0xeefffeee,0x36e22dee,0xefffeeee,0x0002deee,0xfffffff9,0x07ffffff,
    0x3ffff6e2,0xfd9501ce,0x5c47bfff,0x1ceffffd,0xffffd950,0xfffda87b,
    0xfffeeeef,0xc984ffff,0x41cefffe,0xcefffec9,0x2eaee001,0x32a003ff,
    0xeeeefffe,0xffeeeeee,0x3ffb2a7f,0xeeeeeeef,0x17fffeee,0xffddddb7,
    0x85bddddf,0xdefffec9,0x7fff6d42,0xfff901ce,0x202fffc1,0xeefffeca,
    0xeeeeeeee,0xfff77fff,0x7e4dffff,0xffffffff,0x7ffffcc0,0x2a02ffff,
    0xffffffff,0x3e201eff,0xffffffff,0xffffffff,0xffff97ff,0x981fffff,
    0xffffffff,0xfffffb2f,0x44007fff,0xffffffff,0xfffff702,0xffffffff,
    0xfd807fff,0xffffffff,0x74ffffff,0x3ff23fff,0xffffffff,0xf92fffff,
    0xffffffff,0x05ffffff,0x3fffea00,0x1effffff,0x3fffff20,0x7cc0ffff,
    0xffffffff,0xffffff92,0xff981fff,0x2fffffff,0xfffffff3,0xffffffff,
    0x3fff60bf,0x7f46ffff,0x06ffffff,0xffffff30,0x3ffe2001,0xffffffff,
    0xffffffff,0xffffff17,0xffffffff,0x32ffffff,0xffffffff,0x2fffffff,
    0x3ffffffa,0xffff51ff,0x360dffff,0x27ffc7ff,0xffffff10,0xffffffff,
    0x2effffff,0x6fffffff,0x3ffffff6,0x7fd40fff,0x3fffffff,0x7fffe440,
    0xf9804eff,0xffffffff,0xffffffff,0xffffb7ff,0xa81fffff,0xffffffff,
    0xfffff33f,0xf88005ff,0x2fffffff,0xbdffff30,0xfffffd99,0x3ff6007f,
    0xfbbeffff,0xff50dfff,0x3ffff61f,0xffffffff,0xfffb3fff,0xffffffff,
    0x0007ffff,0x7ffffe44,0xffd804ef,0x0fffffff,0x7fffffd4,0xfffb3fff,
    0x81ffffff,0xfffffffa,0xffff33ff,0xffffffff,0x7fc07fff,0x0fffffff,
    0xfffffff1,0x7fe400ff,0x3e6004ff,0xffffffff,0xffffffff,0xffff37ff,
    0xffffffff,0xffffffff,0x3ffffff6,0xffffffff,0x3ffffe3f,0xff52ffff,
    0x0fffffff,0xffb17fea,0x7fffcc05,0xffffffff,0x7fffffff,0xbffffff7,
    0x7fffecc3,0xfd903eff,0x019dffff,0x0055d4c0,0x3ffffb20,0xffffffff,
    0xb37fffff,0x7dffffff,0x3ffffb20,0x2ea20cef,0x50000acd,0x5ffffffb,
    0x88055cc0,0x88002bba,0x4001abba,0x3ff663ec,0xffffffff,0xfb30ceff,
    0xffffffff,0x0019dfff,0x02aea600,0xffffd980,0xfd903eff,0x219dffff,
    0xffffffd9,0xfffd903e,0x76419dff,0xffffffff,0x5400abde,0x3dfffffd,
    0x7ffffed4,0x14c4002d,0xfffec800,0xffffffff,0x27ffffff,0xffffffec,
    0xffffffff,0xffb37fff,0xffffffff,0x6d419dff,0x44efffff,0xdfffffec,
    0x7102e602,0xfffd9003,0xffffffff,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4072a000,0x510001ca,0x55555555,
    0x01100001,0x2aaa2000,0x00aaaaaa,0x55555551,0x01555555,0x80000000,
    0x8000aca8,0xaaaaaaa8,0x4c0000aa,0x09999999,0x2a200000,0x40aaaaaa,
    0xaaaaaaa8,0x55551000,0x00155555,0x00044000,0x7ffedd44,0x40dfffff,
    0xaaaaaaaa,0xaaaaaaaa,0x4000002a,0xaaa98018,0x001aaaaa,0x00395000,
    0x00040000,0x40001000,0x80001cda,0x88000008,0xfff98001,0x003ffd40,
    0x7fffffdc,0x001fffff,0x83dff930,0xffb800b8,0xffffffff,0x7fffdc1f,
    0xffffffff,0x00001fff,0xd301fc80,0x01dfffff,0x3ffffee0,0x01ffffff,
    0x7ffff5c0,0x002fffff,0x3e200fb2,0xffffffff,0xffffff30,0xff700fff,
    0xffffffff,0x5000003f,0x3a6001ff,0xffffffff,0xf13fffff,0xffffffff,
    0xffffffff,0x000001ff,0xfe81bfa2,0xffffffff,0xf8800006,0x8000007f,
    0x00000ffa,0x4002fec4,0x004ffffe,0x000bfe20,0x03fffd80,0x707ffee0,
    0xa8003fff,0xffffffff,0x98000fff,0x8cffffff,0xfa805fea,0xffffffff,
    0x7ffec0ff,0xffffffff,0x0003ffff,0xa83ff800,0xffffffff,0xfffa800e,
    0xffffffff,0x3fff6000,0xffffffff,0x0fff3002,0xffffff70,0x3fee5fff,
    0x2fffffff,0x7ffffd40,0x00ffffff,0x37fdc000,0xfffffb80,0xeffeefff,
    0xffff50ce,0xffffffff,0x1fffffff,0x7f65c400,0x7fff43de,0xfffff882,
    0x01ffffff,0x7ffd4000,0x2e000001,0x00000fff,0x000fffa2,0x03f627f3,
    0x04ffe800,0xffff9800,0x1bfa2007,0x80017fe2,0x99999999,0x3ffa0001,
    0xffffffbb,0x2666002f,0x50199999,0xffffffff,0x1fffffff,0xf9800000,
    0x77ffd43f,0x06fffc9b,0x26666660,0x7ec00199,0xeeeeeeff,0xf7002ffe,
    0xff8803ff,0x27ffffff,0xfffffff8,0x2666006f,0x00199999,0x1effd800,
    0xeffffc80,0x7ff57fda,0x3fffffa0,0xffffffff,0x000fffff,0xfffffff7,
    0xffff97ff,0x7ffffec0,0x004fffff,0x0fffdc00,0xffd80000,0x2600001e,
    0xc8004fff,0x000be60f,0x00dffe98,0x27fff400,0x00200400,0x80000000,
    0x3ff620ca,0x000002ef,0x7ed554c0,0x01aaacff,0xff700000,0x884ffe85,
    0x00001ffd,0x1eff8800,0x400bfea0,0x5001fffb,0x2035bfff,0x01fffea9,
    0x00000000,0x0037ffa2,0xfb17fffc,0x880ffeaf,0xaaadfffc,0xffdaaaaa,
    0x7ff4400f,0xffffffff,0x402fffff,0xffffcaa8,0x00000fff,0x0007ffee,
    0x1bffd100,0x7fdc0000,0x3f50002f,0x200007e4,0x000effd8,0x0006ea20,
    0x00000000,0x53000000,0x00000003,0x007ffee0,0x2aaaaaa2,0x5555440a,
    0x47ffdcaa,0x3ea06ffa,0x0000004f,0x5403ffa8,0xff7002ff,0x3fe6003f,
    0xfffb004f,0x00000000,0x004ffd80,0xfb1bffea,0x300ffeaf,0xf9007fff,
    0x7f4401ff,0xffefffff,0x04ffffff,0x7ffffec0,0x200003ff,0x0001fffb,
    0x0027fe40,0x07ffe200,0xfb9ff000,0x7e40000b,0x0000005f,0x51000000,
    0x81555555,0x1aaaaaa8,0x10000000,0x55555555,0x00155555,0x8803fff7,
    0xffffffff,0xfffff30f,0x8bffffff,0x7fc01ffe,0xaaaaaa86,0xaaaaaaaa,
    0x3f202aaa,0x07fc402f,0x03fffb80,0x009fff30,0x4c01fff6,0xaaaaaaaa,
    0xeb800001,0x7ffe4002,0xffabfec2,0x1fffcc03,0x007ffe40,0x439ffff9,
    0x7ffffda8,0x7fffc400,0x0006fff9,0x007ffee0,0x005d7000,0x01bd1000,
    0x9ffb3000,0xea800001,0x20000003,0x201aaaa9,0x41aaaaa8,0xfffffff9,
    0xffff30ff,0x981fffff,0x2202aaaa,0x0aaaaaaa,0x3fffffee,0xffffffff,
    0x7ffdc01f,0x7fffdc01,0xf72fffff,0xffffffff,0x3ffc43ff,0xff13fec0,
    0xffffffff,0xffffffff,0xdffb101f,0x71001100,0x59dffffd,0x13ffe603,
    0x403ffec0,0xfffffffe,0x000006ff,0x7e47b100,0xabfec2ff,0x7fcc03ff,
    0xf5274c3f,0x7ffd40df,0x3fff602f,0x3ee002ff,0x3fffd4ff,0x3fee0000,
    0x0000001f,0x00000000,0x00000080,0x20000000,0x6ffffffe,0xffffff98,
    0x3fffee4f,0xf72fffff,0xffffffff,0x7fffff45,0xffff881f,0xfb0fffff,
    0xffffffff,0x07ffffff,0x401fffb8,0xfffffff8,0x3fffe27f,0x40efffff,
    0x2a605ffa,0x3ffea7fe,0xffffffff,0xffffffff,0x7ffffdc0,0x7dc0000e,
    0xffffffff,0xfff983ff,0x0fffb004,0xffffff88,0x001fffff,0x980a8800,
    0xfff73fff,0xff57fd89,0x3fff9807,0x3b717ffc,0x0bfffe20,0xffffffc8,
    0x3fffa006,0x009fff51,0x07ffee00,0x80262000,0x4c400018,0x44000099,
    0x00001999,0x40000662,0x3fe203fd,0x41ffffff,0xfffffffb,0x3ffffe27,
    0x3fe66fff,0x26ffffff,0xfffffff8,0xfffffb86,0xff52ffff,0xffffffff,
    0x803fffff,0x5001fffb,0x2035bfff,0x01fffea9,0x3ea0ffee,0x7f47ffff,
    0xffffffff,0xffffffff,0x3fffee0f,0x0003ffff,0xfffffff7,0x30bfffff,
    0x36009fff,0xffd807ff,0xffffffff,0xca880004,0x9acefffe,0xff35ffff,
    0xabfec1ff,0x7fcc03ff,0xfff999cf,0x3ffea004,0x3fffea05,0xa801ffff,
    0x7ffc5fff,0xddb7000f,0xdfffdddd,0x05bddddd,0x3ffff6e2,0x3fffa62e,
    0xff91000d,0xb77dffff,0x7f654405,0x02efffff,0xfffed980,0x98002cef,
    0x7fec07ff,0xf986ffff,0x83ffffff,0x00adfffa,0x03fffd53,0xfffffffb,
    0xfffff887,0x54c0efff,0xacfffdaa,0xff7001aa,0x3fe6003f,0xfffb004f,
    0x6c2ffc80,0x87ffffff,0xaadfffc8,0xfdaaaaaa,0x33ffa0ff,0x2efffe9a,
    0x3fffea00,0xfffeccdf,0x4fff986f,0x00fffb00,0x3fff2aa2,0x0000ffff,
    0x3ffffff2,0xffffffff,0x3bfffa0f,0x3feaffb2,0x7fffcc03,0x04ffffff,
    0x407fff20,0xfbdffff8,0xffd804ff,0x1fffe42f,0x7ffffcc0,0xffffffff,
    0x40ffffff,0xfffffff8,0xffffbcff,0x7e400eff,0xffffffff,0xff107fff,
    0xffffffff,0x32200dff,0xffffffff,0x2e000dff,0x6c401fff,0xf300ffff,
    0x26017fff,0xfb004fff,0x7fdc40ff,0xa980ffff,0x7002fffd,0x20003fff,
    0x3001fffb,0x36009fff,0x7fe407ff,0x33fffee0,0xfff307fe,0x1fff9007,
    0x7fdc37fc,0xfe801dff,0xffa80dff,0x4fff986f,0x00fffb00,0xffffffb0,
    0xfd10007f,0xffffffff,0x03ffffff,0xfdfffffb,0x300ffeaf,0xffffffff,
    0x7ec009ff,0x3fffa07f,0x05fff98e,0x4c3fffc4,0xf9806fff,0xffffffff,
    0xffffffff,0x7ffdc0ff,0xffffffff,0xffffffff,0xfffff901,0xffffffff,
    0xffff503f,0xffffffff,0xfff880bf,0xffffffff,0x64401fff,0x8801ffff,
    0xfd04fffe,0xff980bff,0xfffb004f,0xfffff880,0x3fff205f,0x3fff7000,
    0x3ffee000,0x9fff3001,0x01fff600,0x3fe21ff9,0x4c1ff62f,0xfc803fff,
    0x0fff20ff,0x13ffffa6,0x406fffa8,0xff984ffe,0xfffb004f,0xffff8800,
    0x8006fff9,0xcdfffffd,0xfffffecb,0x3ffff604,0x07ff57ff,0xffffff98,
    0x2004ffff,0xffb05fff,0x37ffc3ff,0x413ffee0,0xb801fffd,0xfffffffd,
    0xffffffff,0xefff882d,0xfffffecc,0x5ffffcef,0xefffff88,0xffffecbc,
    0xffff881f,0xffdcbcde,0x3ffa01ff,0xfeccefff,0x2e06ffff,0x01ffffff,
    0x83ffff30,0x400ffffb,0xb004fff9,0xff880fff,0x902fffff,0x2e001fff,
    0x70001fff,0x26003fff,0xfb004fff,0x0ffc80ff,0x7fd8bff5,0x987fff30,
    0x11bfea4e,0xd501bfff,0xf903dfff,0xefa803ff,0x04fff981,0x800fffb0,
    0xffd4fffb,0x7fdc003f,0x7f440dff,0x200fffff,0x57fffeb9,0xff9807ff,
    0xfffcccdf,0x9fff1004,0x85ffff70,0x7f407ffe,0xffffffff,0x0004ffff,
    0x000fffdc,0x7ff40544,0x3ffe25ff,0x67ffd41f,0x1fffb100,0xf9006a20,
    0x3ff205ff,0xfa880cff,0x7ec44fff,0x00efffff,0x89bfff20,0x9802ffff,
    0xfb004fff,0xfff880ff,0xc80fffff,0xf7000fff,0x2e0003ff,0xf3001fff,
    0x3f6009ff,0x87fe407f,0x3fec2ffb,0x7c3fff98,0x2076e2ff,0x902ffffa,
    0xfd85ffff,0x4c0000ff,0xfb004fff,0xffe800ff,0x09fff51f,0x41fffec0,
    0xffffffe8,0xffd1004f,0xf300ffea,0x3fff87ff,0x7ffc40c4,0x27fffcc5,
    0xf503fff4,0xffffffff,0x01ffffff,0x0fffdc00,0x3fee0000,0x7ffe41ff,
    0x077ffd45,0x0009fd10,0x109fff30,0x5009ffff,0x7ec3ffff,0x001dffff,
    0x3a9fffd0,0xf3005fff,0x3f6009ff,0x7ffc407f,0xc85fffec,0xf7000fff,
    0x2e0003ff,0xf3001fff,0x3f6009ff,0x87fe407f,0x3fec4ffa,0x99cfff98,
    0x2004fff9,0x81dfffe9,0x360fffe9,0x880007ff,0xfb004fff,0x7fd400ff,
    0x07fffc5f,0x42fffc40,0xfbffffe8,0x3f6007ff,0x9807ff57,0x7fec3fff,
    0x3e0ffea1,0x3ffe27ff,0x0bfff06f,0x7fffffec,0xffffffff,0x3ee0003f,
    0x730001ff,0xfffddfdb,0xff33333d,0xffff88ff,0x209acdff,0xfdb93000,
    0x9fffddff,0x33dfff50,0x33333333,0x3ea7fff9,0x0000dfff,0x7effffcc,
    0xf3000fff,0x3f6009ff,0x7ffc407f,0x42ffff9c,0x7000fffc,0x20003fff,
    0x3001fffb,0x36009fff,0x7fe407ff,0x215fff10,0xfff307fd,0x9fffffff,
    0xfffd8800,0x3ffd80cf,0x0007fff2,0x4017ffe0,0x36006fff,0x7fe42fff,
    0xfffa803f,0x7ffff442,0x003fffd2,0x1ffd5ff6,0x20fffe60,0x437fe409,
    0xffb1fffe,0xfff301ff,0x3fffe209,0xeeeeeeee,0x0006fffe,0x0007ffee,
    0xffffffb1,0xffffffff,0x81ffffff,0xfffffffb,0x9802efff,0xfffffffd,
    0xb84fffff,0xffffffff,0xffffffff,0xbfff94ff,0x7fe40000,0x002fffff,
    0x4013ffe6,0x7c407ffd,0xdfff94ff,0x000fffc8,0x0003fff7,0x4007ffee,
    0xb004fff9,0xffc80fff,0x3bffff21,0xff980fff,0xffffffff,0xfff50004,
    0x6ff885ff,0x201bffee,0x3fffa018,0x27ffdc01,0x87fff880,0xc806fff9,
    0x3fa20fff,0x3fee2fff,0x2ffb002f,0x7cc03ffa,0xffd003ff,0x99fff90f,
    0x3203ffff,0xff702fff,0x3ff6009f,0xff70001f,0x7fdc003f,0xffffffff,
    0xffffffff,0xfb81ffff,0xffffffff,0xff500dff,0xffffffff,0xfb09ffff,
    0xffffffff,0xffffffff,0x03fffadf,0x7f400620,0x4005ffff,0xb004fff9,
    0xff880fff,0x93fffa4f,0x7000fffc,0x20003fff,0x3001fffb,0x36009fff,
    0x7fd407ff,0x7ffffec2,0xfff985ff,0x4fffffff,0x7ffdc000,0x5ffb99cf,
    0x037fffe2,0x5c0fff66,0xf502ffff,0x2e005fff,0xffb04fff,0xfffc803f,
    0x0fffff61,0x2003fff7,0x07ff57fd,0x003fff98,0xff30fffd,0x07ffffff,
    0x403fffe6,0x5000fffe,0x20009fff,0x3001fffb,0xdfffffff,0xffffffff,
    0x3fffffff,0x7fff6540,0x40efffff,0xfffffff9,0xffffffee,0xfffffc84,
    0xffffffff,0xfb7fffff,0xffb801ff,0xffff9802,0x7fcc000f,0xfffb004f,
    0x24fff880,0xf91ffffa,0x3ee001ff,0x6dc401ff,0xefffeeee,0xf983deee,
    0xffb004ff,0x83ff980f,0x3fffffea,0xccdfff98,0x0004fffc,0xfffffd88,
    0x7fdc2fff,0xfeccdfff,0x3fa06fff,0xdb9cffff,0x2005ffff,0xfffffffe,
    0x04ffffff,0xfdafffdc,0xffe83fff,0x55ff6007,0xfd9503ff,0xddddddff,
    0xffffdddd,0x3fffff60,0xfffd105f,0xfffdb889,0xd9501cef,0x007bffff,
    0x001fffb8,0x815ffff9,0xcccefffb,0x40cccccc,0xfb731009,0xffe87fff,
    0xfa80acff,0xfffa84ff,0xccccccce,0x4ccccccc,0xd809fff9,0xff9005ff,
    0xff30005f,0x3ff6009f,0x27ffc407,0x7e5bfff6,0xff7000ff,0xfffc803f,
    0xffffffff,0x7c42ffff,0xffb004ff,0x009ff00f,0x87fff300,0x00c43fff,
    0xfffffb80,0xffffb04f,0xffffffff,0x7fffcc07,0xffffffff,0xfff5000e,
    0xffffffff,0x4c01ffff,0xfffdffff,0x4fffb83f,0x7d5ff600,0xffff883f,
    0xffffffff,0x7fffffff,0xdfffff30,0xdfffd301,0xffffff90,0xff981fff,
    0x2fffffff,0x01ffe200,0x701fffc8,0xb000ffff,0xff3001ff,0x7fffc4df,
    0x27ffcc01,0x00ffffcc,0x3fffe600,0x3ff2a22c,0xfff7006f,0xfff10003,
    0x1fff6009,0x889fff10,0xffcbffff,0xfff7000f,0xffffd803,0xffffffff,
    0xfff83fff,0x0dfff005,0x0000ffd0,0xfd87fff3,0x20ffea1f,0xcfffa800,
    0x7fffe400,0x04ffffff,0xfffffe88,0x000dffff,0x3ffffff6,0xffffffff,
    0x7ffec03f,0x6444ffff,0x2002ffff,0x07ff57fd,0xfffffff3,0xffffffff,
    0x740fffff,0x9bdfffff,0x1fffffdb,0xffffffd8,0x7fd40fff,0x3fffffff,
    0x0016dc00,0xd309fff5,0x2a07ffff,0x0efffc0a,0x99fffe20,0x32205fff,
    0xfd04ffff,0x22001fff,0x7fffec2a,0xffffffff,0xfff7006f,0x3ffe0003,
    0x0dfff005,0xa84fff88,0xfffeffff,0x3fff7000,0xffffd980,0xffffffff,
    0xfffd80ce,0x27ffd401,0x001ffec0,0x20fffe60,0x237fe409,0xffc807f9,
    0xfff93002,0x40039dff,0xffffffc8,0x7fc4003f,0xeeeeeeff,0x06fffeee,
    0x7fffffc4,0xfffca9ae,0x7ec006ff,0x3207ff57,0xfffffffe,0xffffffff,
    0xfff707ff,0xffffffff,0x2607ffff,0xeffffffd,0xffffd903,0x00001bff,
    0xbffff100,0xfffff955,0xffb739ff,0x7fffccdf,0xca99aadf,0x3e25ffff,
    0xba9bdfff,0xfffffffc,0x3ffe20bd,0xa99aceff,0x24ffffdb,0xffffffe8,
    0x06ffffff,0x003fff70,0x007fff60,0x8809fff7,0xffb04fff,0x001fffff,
    0x0007ffee,0x20013fe6,0x501ffffb,0x3005ffff,0x40300dff,0xd003fff9,
    0x1ffb8fff,0x0017fe40,0x000bffee,0x002fff60,0x027ffdc0,0x401fffd8,
    0xfffffffd,0xefffffff,0xabfec000,0x800003ff,0xff300dfe,0xffffffff,
    0x003dffff,0x3bf20000,0xddddd701,0xdddddddd,0xfc83bddd,0xffffffff,
    0xffffffff,0xf10fffff,0xffffffff,0x3fffffff,0xffffffd8,0xffffffff,
    0x7dc3ffff,0xffffffff,0x6fffffff,0x7ffffe44,0x002dffff,0x0007ffee,
    0x80f7ffdc,0x402ffffb,0xf104fff8,0x01ffffff,0x007ffee0,0x0003fea0,
    0x567ffff4,0x4ffffdb9,0x03bff600,0x7cc13faa,0xffd003ff,0x201ffb8f,
    0x4000fff8,0x0001fffb,0x40006fd8,0x5000fffe,0x7e409fff,0xffffffff,
    0x00dfffff,0xffeaaa98,0x01acffa8,0x43ff1000,0x4effff40,0xfffffffc,
    0x40000004,0xff9863ff,0xffffffff,0xffffffff,0x7fffe40f,0xffffffff,
    0xffffffff,0x7fffff45,0xffffffff,0xffffd02f,0xffffffff,0x509fffff,
    0xfffffffd,0x5fffffff,0x3bfb7260,0xfb8000bc,0x3a0001ff,0xb9acffff,
    0x804ffffd,0x2e04fff8,0x40ffffff,0xfeeeedb8,0x2deeeeff,0x5cdffcc0,
    0xfff1003e,0xffffffff,0xff8800df,0xffedceff,0x7ff6543f,0xeeeeeeef,
    0x47fffeee,0xccccdffb,0x005fffdc,0x001fffb8,0xc9affc80,0x7edc401e,
    0x501cefff,0x7bffffd9,0xddffffb8,0xceffffff,0xffff3001,0xffffdfff,
    0x200007ff,0x52ffcefe,0x4c41ffff,0x00000aba,0xd9ff9000,0x3fffea9f,
    0xffffffff,0x0fffffff,0xffffffb8,0xfffcbfcc,0xea82dfff,0xffffffcd,
    0x5c00bfff,0xffffffff,0xdfffffac,0x3ffff200,0xbeffffff,0x54000000,
    0xefffeeed,0x22002cee,0xffffffff,0xa806ffff,0x2deffffd,0x0fffffe8,
    0x7fffffe4,0xffffffff,0x7fff402f,0x3a6004ff,0xffffffff,0xf98000df,
    0xffffffff,0x7ffffc45,0xffffffff,0x47ffffff,0xfffffffb,0x000effff,
    0x000fff98,0xfffff980,0x7ffe402f,0x40ffffff,0xfffffff9,0x3fffe2ff,
    0x004dd445,0x7ffffcc0,0xffffecff,0xf700002f,0x3e63ffff,0x000001ff,
    0x3fe60000,0x3ff23fff,0xffffffff,0x3fffffff,0x00565cc0,0x50003795,
    0x01357975,0x55e5d440,0x2a600001,0x0009abcb,0x3fea0000,0xffffffff,
    0x26000fff,0xfffffffe,0x7cc00dff,0xffffffff,0x7ffffcc1,0x7ffffec0,
    0xffffffff,0x7e4403ff,0xb8000dff,0x3fffffff,0x7f5c4000,0xf982dfff,
    0xffffffff,0xffffffff,0x7ffdc7ff,0xcfffffff,0x13fa0000,0xffda8000,
    0xfffd804f,0x40ffffff,0xfffffffa,0x17ffa3ff,0x99880000,0x33311999,
    0x98000013,0x0e541cec,0x00000000,0x016f5c40,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfffffffa,0x01ffffff,0xfffffb80,0xff5003ff,
    0x5fffffff,0x81ffff90,0xffffffd9,0xceffffff,0x00026000,0x002aea60,
    0xc8004000,0xfffffffe,0xffffffff,0x4ccc47ff,0x00099999,0x00000200,
    0xfb3000c4,0x07dfffff,0x3fffffb2,0x00f220ce,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffec8000,
    0xefffffff,0x5d4c0003,0xfec8000a,0x104effff,0x0001fffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40c00000,0x00440008,
    0x00080000,0x00001100,0x00000100,0x10000044,0x80880000,0x00100001,
    0x00bda800,0x00001800,0x10000000,0x00135973,0x00000100,0x00800004,
    0x2201c980,0x1b30002b,0x09800000,0x00000000,0x05b805b1,0x000ecc00,
    0x36602640,0x00014401,0xdf90ffcc,0x01ffc400,0x1bf20000,0x05ff1000,
    0x37e40000,0x7fd40000,0x7ec40000,0xff700004,0x0001ff44,0x20001bf2,
    0x02fffff8,0x007bea00,0x26000000,0x3ff204fe,0x003fffff,0x001bfd30,
    0x005fc800,0x2002fe40,0xffa83ffe,0xfffc8007,0xddd93003,0x7fecc7dd,
    0x4c0002df,0x00fffffd,0x3e206fb8,0xff70001f,0x7c40009f,0x813f601f,
    0x0000fffb,0x3f21fff3,0x7ff4004f,0xd8800004,0xe80004ff,0x400004ff,
    0x0004ffd8,0x0037fe40,0x00bffa60,0x457fee00,0x10002ffe,0x00009ffb,
    0x017a25f7,0x02fff980,0x005b5000,0x4c0fffd8,0xfffffffe,0x6c000eff,
    0x00003fff,0x0009ffd1,0x0013ffa2,0xb11dfff3,0x4c007fff,0x0efffffe,
    0x7fffff40,0xffffd8cf,0x20006fff,0x0ffffffd,0x884ffa80,0x4c000ffe,
    0x1efffffe,0x01dff000,0x7f407ff9,0xf98003ff,0x1dff92ff,0xeffe8800,
    0xfd300000,0x260000bf,0x0000dffe,0x005ffe98,0x3bff6200,0x3fea0000,
    0xfc80003f,0x3ffe88ef,0xbffd3000,0x91ba0000,0x7d40001f,0xf80004ff,
    0x3ee000ff,0x3ffa20ff,0xffffffff,0x7ff4006f,0xf980004f,0xf30005ff,
    0x260009ff,0xfffffffe,0x3fff2002,0x03fffead,0x3ffffffa,0xfffffffe,
    0x70003fff,0x01ffffff,0x337fff60,0x4004fffd,0xfd9efffb,0xfb8004ff,
    0xfffdceff,0x3ffee00e,0x7ffcc000,0x000bff91,0x000effd8,0x01fffd40,
    0x3ff62000,0x3ea0000e,0x200003ff,0x0005ffe8,0x0017ffdc,0x4477fe40,
    0x50003ffe,0x00007fff,0x00dd07e4,0x0bffd300,0x17ffcc00,0xfb1ba600,
    0xd937dfff,0x4007ffff,0x0001fffb,0x001fffd4,0x003fffa8,0xdffffb80,
    0x3ffea000,0x80fffdc2,0xffffffda,0xfdcfffff,0x2e0003ff,0x000fffec,
    0xffffffb1,0xff98009f,0x17ffdc3f,0x7fffdc00,0x8800efff,0xffe8000a,
    0x000bff31,0x001bfee0,0x002fff88,0x17ff2000,0x17ffc400,0x3ff60000,
    0x7fcc0003,0xf980001e,0x07ff90ef,0x017ffc00,0x33be6000,0x100003fe,
    0x20007ffb,0x4003fffa,0x3ffe22fa,0xffff901f,0x000b9800,0x017ffc40,
    0x01fff880,0x0bfa6000,0x4037ea00,0xf9800fe9,0x0bffffff,0x40003366,
    0xbfffeaaa,0xfdb5002a,0xf300039d,0x07f6203d,0x77f64400,0x0000002d,
    0x027443d9,0x00fa6000,0x0003bb00,0x007d5000,0x0000eec0,0x00017640,
    0x00006744,0x3aa0ce88,0x0eec0002,0xfea80000,0xb800003e,0xff50001e,
    0x2fc4007f,0x8817ffe6,0x0000ffff,0x01bd0000,0x000de800,0x00001000,
    0x7fcc0000,0x0001ffff,0xfffff980,0x000fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00400000,0x00000000,0x4007fff5,0x7ffdc0ec,0x0fffe402,0x00019880,
    0x00000000,0x03331000,0x13331000,0xffff3000,0x4400001b,0x0fffd819,
    0x00031000,0x20000000,0x00019998,0x00000000,0x00666620,0x0cccc400,
    0x00620000,0x00062000,0x00333100,0x00066200,0x00003100,0x00000000,
    0x00000000,0x3fffbb26,0xdeeeeeee,0x7ffcc00b,0x07fff405,0xffffdb30,
    0x0000059d,0x004c0000,0xfffffb50,0x807937bf,0xffffffc8,0x4c02dbbe,
    0x00005fff,0xdfffffb5,0x003fff65,0x7fff6544,0xeda801bd,0xec982eee,
    0x2202eeee,0xfffffeca,0xfe8802ef,0x3bbb6a03,0xeeec982e,0x32a202ee,
    0xeffffffe,0x3b2a2002,0x2effffff,0xfeca8800,0x8001bdff,0xdfffeca8,
    0xfda8001b,0x9bdfffff,0xfed9803c,0x002cefff,0x7fff6544,0xeda801bd,
    0xec982eee,0xda82eeee,0xc982eeee,0xa82eeeee,0x982eeeed,0x82eeeeec,
    0xffffffff,0xffffffff,0x0ffff805,0x20dfff50,0xffffffc8,0x980dffff,
    0xeeeeeeee,0x1eeeeeee,0x3bbbbb26,0x37fff663,0x3fff6202,0xffffffff,
    0xfff901ff,0xffffffff,0xfff980ff,0x7ec40004,0xffffffff,0x800fffee,
    0xfffffffa,0xf301efff,0xf07fffff,0x07ffffff,0x3fffffe2,0x06ffffff,
    0x4c07ffdc,0x83ffffff,0x3fffffff,0xffffff10,0x0dffffff,0xffffff10,
    0x0dffffff,0x7ffffd40,0x01efffff,0xffffff50,0x003dffff,0xffffffb1,
    0x3fffffff,0x3ffff220,0x0dffffff,0xfffffa80,0x01efffff,0x7ffffff3,
    0xfffffff0,0xfffff987,0xfffff83f,0x7ffcc3ff,0xfff83fff,0x7c43ffff,
    0xffffffff,0x6fffffff,0xcffffd80,0xffffda89,0xfffff884,0xffffffff,
    0x7fffd41f,0xffffffff,0x3ffa2fff,0xfd8cffff,0x86ffffff,0xfffffff9,
    0xffffffff,0xfffffc83,0xffffffff,0x3ffe601f,0x3fe60004,0xffffffff,
    0x00ffffff,0x7fffffe4,0x3fffffff,0xffffff98,0x7ffffc43,0xfff503ff,
    0xffffffff,0x7fec0bff,0xffff981f,0x7ffc43ff,0xf503ffff,0xffffffff,
    0xa80bffff,0xffffffff,0x805fffff,0xfffffffc,0x03ffffff,0x7fffffe4,
    0x3fffffff,0x3ffffe60,0xffffffff,0xfff883ff,0xffffffff,0x3f201fff,
    0xffffffff,0xf983ffff,0x443fffff,0x3fffffff,0x7fffffcc,0x7ffffc43,
    0x7ffcc3ff,0x7fc43fff,0xa83fffff,0xfffffffd,0x1dffffff,0xffffe880,
    0x6fffffff,0xdfffffd0,0xfffffd99,0xfffffa8d,0xffffffff,0x3fffa2ff,
    0xffffefff,0x23ffffff,0xdeffffe8,0xfffffecb,0x7fffc44f,0xffecbcef,
    0x3e601fff,0x3a0004ff,0xcbdeffff,0xfffffffe,0x3fffee00,0xffedbcef,
    0xfeb81fff,0xfda83fff,0xf103ffff,0x979bdfff,0x203ffffb,0xd702fffe,
    0xb507ffff,0x207fffff,0xcdeffff8,0x1ffffdcb,0x3bfffe20,0xfffdcbcd,
    0x3ffee01f,0xfedbceff,0xf701ffff,0xb79dffff,0x03fffffd,0xbdffffd1,
    0xfffffd97,0xffffd09f,0xfffd99df,0x3fee0dff,0xedbcefff,0xb81fffff,
    0xa83ffffe,0x83fffffd,0x83ffffeb,0x3fffffda,0x3ffffeb8,0xfffffda8,
    0x1fffd403,0xfff30000,0xffffffff,0x9ffff901,0xffff5101,0x7ffffd49,
    0xffffffff,0x3ff6a0ff,0xffffffff,0x23fffdcf,0x103ffffc,0xa89ffff5,
    0xb100cfff,0x7cc01fff,0xf70004ff,0x3ea07fff,0x100fffff,0x203dffff,
    0x207ffffa,0x5403fff9,0x2a203fff,0x17ffe401,0x403fffe8,0x5403fff9,
    0x2a203fff,0x17ffe401,0xf9006a20,0x3fe205ff,0xff501eff,0xfff10fff,
    0x3fea03df,0xfffc87ff,0xfff5103f,0xffffc89f,0xfffa880c,0x7fffc44f,
    0xffff501e,0x1fffcc0f,0x80fffea0,0x5403fff9,0x3e603fff,0x7fd403ff,
    0x7ffd403f,0x3ee00003,0xffffffff,0x7ffc42ff,0xfffa804f,0x05fff31f,
    0x03fffff3,0x7fffffcc,0x433660bf,0x801ffff9,0x7d43fffb,0x3a200eff,
    0x7ffcc04f,0xfff88004,0x7ffc402f,0xfff700ff,0xfffd100d,0x0fffe605,
    0x007fff50,0x09fff300,0x300ffffe,0xfa807fff,0x980003ff,0x00004fff,
    0x2e09fff3,0xe8806fff,0x7fdc2fff,0xffe8806f,0x3fffe62f,0x3fffb801,
    0x013fffe2,0xb87fffea,0xe8806fff,0xff302fff,0xfffa807f,0x0fffe603,
    0x407fff50,0x5403fff9,0x7d403fff,0x500003ff,0xffffffff,0x543fffff,
    0x9999efff,0xfc999999,0x03ffe3ff,0x03fffff3,0xffffff98,0x7fff5001,
    0x20fffc00,0xdffffff8,0x220209ac,0xffffeedb,0x02deeeee,0x2009fff5,
    0xb00ffffa,0x2e001fff,0xff304fff,0xfffa807f,0xfedc9803,0x4fffeeff,
    0x04ffff88,0x201fffcc,0x9803fffa,0xeefffedc,0x93004fff,0xfddfffdb,
    0x3ff609ff,0xfff7000f,0x00fffd89,0x549fff70,0x3e003fff,0x3ffea1ff,
    0x9999999e,0x3fffc999,0x4003fff6,0xf304fffb,0xffa807ff,0x3ffe603f,
    0x1fffd403,0x807fff30,0x5403fffa,0x80003fff,0x1cfffff8,0x4dffff93,
    0xfffffffb,0xffffffff,0x0f6a4fff,0x03fffff3,0x1bffff30,0x0fffe400,
    0x2e059300,0xffffffff,0xffb02eff,0xffffffff,0x903fffff,0x7c003fff,
    0xfff00fff,0x7ffc400b,0x07fff306,0x203fffa8,0xffffffd9,0x84ffffff,
    0x405ffff9,0x5403fff9,0x36603fff,0xffffffff,0x4c04ffff,0xfffffffd,
    0xf04fffff,0x7c400bff,0x2fffc6ff,0x4dfff100,0x2001fffc,0x7ffdc2c9,
    0xffffffff,0x4fffffff,0x88017ffe,0xff306fff,0xfffa807f,0x0fffe603,
    0x407fff50,0x5403fff9,0x7d403fff,0xa80003ff,0x3e207fff,0xfffb1fff,
    0xffffffff,0xdfffffff,0xfffff980,0xbfff3001,0x0fffb000,0xfff70000,
    0xffffffff,0xffffe81b,0xffffffff,0xffd82fff,0x7fff4007,0x03fff980,
    0x407ffec0,0x5403fff9,0xff503fff,0xffffffff,0xf509ffff,0xf980dfff,
    0x7fd403ff,0xffff503f,0xffffffff,0x7fd409ff,0xffffffff,0xf984ffff,
    0x7ec003ff,0x7fff30ff,0x0fffd800,0x0000fffb,0x3ffffff6,0xffffffff,
    0xff36ffff,0xffd8007f,0x3fff980f,0x01fffd40,0xa807fff3,0x3e603fff,
    0x7fd403ff,0x7ffd403f,0xffc80003,0x7ffec03f,0xffffff93,0xffffffff,
    0x540fffff,0x001fffff,0x0013ffe6,0x0001fff6,0xfffeca80,0x20efffff,
    0xffffffd9,0x4effffff,0x800fffb0,0xf980fffd,0x7ec003ff,0xfff980ff,
    0x1fffd403,0x7fffffcc,0xfffffeef,0xffffa84f,0x1fffcc07,0x20fffea0,
    0xfffffff9,0xffffffee,0xfffff304,0xffffddff,0xfff309ff,0xfffd8007,
    0x007fff30,0xfb0fffd8,0x320000ff,0xffffffff,0xffffffff,0x7fff37ff,
    0x0fffd800,0x403fff98,0x2603fffa,0x7d403fff,0x3fe603ff,0x7ffd403f,
    0x1fffd403,0x7ffec000,0xa7ffcc00,0xcccefffa,0xcccccccc,0xff504ccc,
    0x98001fff,0xc8004fff,0x00001fff,0x6dcc4026,0x0003ffff,0x0fffe400,
    0x01ffff00,0xf001bffe,0x3fe60bff,0x7ffd403f,0xcffffe83,0x4fffa80a,
    0x07ffffb8,0x201fffcc,0xfe83fffa,0xa80acfff,0xffd04fff,0xf50159ff,
    0x3ffe09ff,0x2fffc006,0xf001bffe,0x7ffe4bff,0xffa80001,0xccccccef,
    0xcccccccc,0x001bffe4,0x3e60bfff,0x7fd403ff,0x3ffe603f,0x1fffd403,
    0x807fff30,0x5403fffa,0x80003fff,0x5c01fffc,0xfff33fff,0x5400003f,
    0x000fffff,0x004fff98,0x004fffa8,0x00ffd818,0x006fff98,0x3fea0002,
    0xfff7005f,0x3fff201f,0x7fff9003,0x013ffe60,0xf887fff5,0x7cc01fff,
    0xfffc84ff,0x3fe600ff,0x7ffd404f,0x0ffffc43,0x213ffe60,0x401ffff8,
    0xf904fff9,0x3f2007ff,0x7ffe43ff,0x7fff9003,0x0027ffd4,0x3fffe60c,
    0xffc80001,0xfff9003f,0x13ffe607,0x407fff50,0x5404fff9,0x3e603fff,
    0x7fd404ff,0x7ffcc03f,0x0fae6205,0x1037ffd4,0x7f43ffff,0x51000fff,
    0xdffff505,0x2019b301,0x8004fff9,0x003ffff8,0x7fc1ffd3,0x7fc401df,
    0x9ffb007f,0x3ffe2001,0x7ffd404f,0xfff500ff,0x7fe4407f,0xfff101ff,
    0x3fff660d,0x2fffcc3f,0x9ffff910,0x3fffffb0,0x837ffc40,0x43ffffd9,
    0x2205fff9,0x984ffffc,0x32205fff,0xf504ffff,0x64407fff,0x7d41ffff,
    0x32203fff,0x3e21ffff,0xd3003fff,0x7fff41ff,0x8551000f,0x203ffffa,
    0x01ffffc8,0x260dfff1,0x203ffffd,0xb306fff8,0x4407ffff,0xfb306fff,
    0xf8807fff,0xca9bdfff,0x81fffffe,0xabeffff8,0x7ffffba9,0x77ffffc4,
    0xfdba99ac,0x3fea4fff,0xffb00eff,0x13ffe607,0x7fffdc00,0xba999abf,
    0xf33ffffd,0x355bffff,0xbffff953,0x13fff600,0xeffffa80,0xffdba9ab,
    0x81ceffff,0xabeffffe,0xfffffba9,0x67fffc05,0xffffdb9a,0xff10beff,
    0x97537bff,0xbfffffff,0x3ffff217,0x7fffc00f,0xfffdb9ac,0xf10befff,
    0x7537bfff,0xfffffff9,0x3ffe217b,0xfcba9bdf,0xbdffffff,0x77ffff40,
    0xfffba9ab,0xfffd05ff,0xf75357df,0xf70bffff,0x3357ffff,0xffffb753,
    0x7ffffc47,0xdba99ace,0x7f44ffff,0xa9abefff,0x05fffffb,0x4d67fffc,
    0xffffffdb,0xffff00be,0xfffb7359,0x2017dfff,0xb9acffff,0xeffffffd,
    0x3fff600b,0xffffffff,0xff701fff,0xffffffff,0xff705fff,0xffffffff,
    0x2dffffff,0xeefffffa,0xfffeeeee,0xffddb715,0xbdddddff,0xffffc805,
    0xffffffff,0xff11ffff,0xffffffff,0x03ffffff,0x7feaac98,0x7fffec00,
    0xffffffff,0x0fffffff,0x7fffffc4,0xffffffff,0x7ffe400e,0xffffffff,
    0x363fffff,0xffffffff,0xffffffff,0xffff53ff,0xffff900d,0xffffffff,
    0x7ec7ffff,0xffffffff,0xffffffff,0x3ffff63f,0xffffffff,0x43ffffff,
    0xfffffff8,0xefffffff,0xfffff100,0xffffffff,0x3ff201df,0xffffffff,
    0x41ffffff,0xfffffffb,0xffffffff,0x7fffc46f,0xffffffff,0x7e400eff,
    0xffffffff,0x3fffffff,0xffffff90,0xffffffff,0x3ff207ff,0xffffffff,
    0x03ffffff,0x3fffffe2,0x3fffffff,0x7ffffd40,0x01ffffff,0x3fffffaa,
    0xffffffff,0xfffffb2f,0xffffffff,0x3fff6dff,0xffffffff,0x6c01ffff,
    0xffffffff,0x42ffffff,0xfffffffe,0x2fffffff,0xfffffd80,0xfffc8004,
    0xffffffff,0x0fffffff,0xfffffd88,0x0dffffff,0xfffffb00,0xffffffff,
    0xfffe89ff,0xffffffff,0x24ffffff,0xb003ffff,0xffffffff,0x9fffffff,
    0xffffffe8,0xffffffff,0x7ff44fff,0xffffffff,0x4fffffff,0xfffffd88,
    0x0dffffff,0x7fffec40,0xdfffffff,0x7fffec00,0xffffffff,0xffd502ff,
    0xffffffff,0xb105ffff,0xffffffff,0x2001bfff,0xfffffffd,0xffffffff,
    0x3ffff604,0xffffffff,0x3f604fff,0xffffffff,0x04ffffff,0x7ffffe44,
    0x000bdfff,0xffffffb3,0x3f2001bd,0xffffffff,0x3ff60bef,0xffffffff,
    0xfd6fffff,0xffffffff,0x05ffffff,0xfffffb30,0x017dffff,0xffff9bd5,
    0x017fffff,0x3bfffe20,0xffd30000,0xb5dfffff,0x807dffff,0xfffffeda,
    0xfd8001ce,0xbbefffff,0xb80dffff,0xffffffff,0xdfffffac,0x2000edc0,
    0xeffffffd,0x0dffffbb,0xffffffb8,0xffffacff,0xfffb80df,0xfacfffff,
    0x200dffff,0xfffffeda,0x6d4001ce,0xcefffffe,0x3ff66001,0xefffffff,
    0xfffc800b,0xefffffff,0x7f6d400b,0x01ceffff,0xfffffd80,0xffffbbef,
    0x7ffec00d,0xffbbefff,0x7ec00dff,0xbbefffff,0x000dffff,0x03579751,
    0x15751000,0x65d4c000,0x3f6009ab,0xffffffff,0x36ffffff,0xfffffffb,
    0x09dfffff,0xbcca9880,0xaa8001aa,0x0009abcb,0x00003530,0x02af2a62,
    0x59510000,0x75100001,0x44000357,0x001abcba,0xba880000,0x220001ab,
    0x001abcba,0x55e5d440,0x54400001,0x100000ac,0x80001595,0xaabcca98,
    0x97530001,0x40001357,0x0000aca8,0x01abba88,0x57751000,0x2a200003,
    0x00001abb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001ba880,0x026f2a20,0x4c017700,0x0400001c,0x006d4000,
    0xb805b100,0x0cc40005,0x01310000,0xbcba9800,0xa9800009,0x000001bb,
    0x00880000,0x80000600,0x01dc01c8,0x00036a00,0x0e4c03b8,0x5c02d880,
    0x025c0005,0x00002000,0x00003310,0x00006a60,0x393005dc,0x01d98000,
    0xa8000000,0x2dfffffe,0xffffd300,0x7fc007ff,0x06ffb82f,0x05fd3000,
    0x1fffe400,0x206fb800,0xd9301ff8,0x3ffeaddd,0x36e03dff,0xffd8aeee,
    0x2001dfff,0xffffffea,0x5c4000cf,0x4ffffffe,0x3ff66000,0x3bf60fff,
    0x01ff5000,0x001bf900,0x309ff900,0x20003ffd,0x8003fffc,0xfc81eff8,
    0x0df7005f,0x40017fc4,0x001effe8,0x002efd80,0x3ffff660,0xdddd73ef,
    0xffec8059,0xeea9dfff,0x3e202dee,0x5ffb81ef,0x3ffee000,0xdb930004,
    0x50039bff,0xffffffff,0xfff9805f,0x06ffffff,0x119fff70,0x0003fffd,
    0x003fff50,0xfffffd30,0xffa8001b,0x00ffe884,0xfdfffffd,0xbfffffff,
    0xfffffa81,0xfffffffe,0x7f4403ff,0xffffffff,0xfd3001ff,0xffffffff,
    0x3ff60003,0xff50ffff,0xdff9007f,0x3bfea000,0x7fc40001,0xbfff71ef,
    0xfffd3000,0xc8001bff,0xffd34fff,0x3fea003f,0x00ffe884,0x7ffffdc0,
    0x3ea0004f,0xf90006ff,0xffffffff,0xffffffdf,0xffffd301,0xffffffff,
    0x6403ffff,0xffd34fff,0xfd30003f,0x003dffff,0xfffffd71,0x5409ffff,
    0xffffffff,0xff301fff,0xffffffff,0x3fea00bf,0x01efffff,0x2fffb800,
    0xdfffc800,0x002fffea,0x6e6fffec,0x3fa04fff,0xffffffff,0x46ffffff,
    0xfffffffa,0xffffffff,0x3fffa02f,0xffffffff,0x7fdc00ef,0xffffffff,
    0xff90001f,0x3e61ffff,0x3f6203ff,0x2e0000ef,0x40002fff,0xffefffd8,
    0xffc8003f,0x2fffeadf,0x77ffdc00,0x4000dfff,0xfdcdfffd,0x3a2004ff,
    0xfffabfff,0xffb8001e,0x7f44007f,0xffffffff,0xffffffff,0x7fffd41f,
    0xffffffff,0x02ffffff,0x7ff7ffd4,0xfb8000ef,0xfffd9eff,0x3fffe203,
    0xffffffff,0xffff886f,0xfffeb9ae,0xbffffd06,0x7fffff75,0x3fff6200,
    0xfb00003f,0xf50003df,0xfffc85ff,0x3ff62001,0x404fffff,0xffffffda,
    0xfffeccef,0x7fff641f,0xfdccefff,0xff306fff,0xd7357dff,0x5c09ffff,
    0xacffffff,0x20003db9,0x0ffffdb8,0x74407f22,0x80000dff,0x0003fffa,
    0x0effffa8,0x2fffa800,0x000fffe4,0x0fffff62,0x7ffec400,0x4004ffff,
    0x3621effd,0xf88006ff,0x7ec004ff,0xfdbdffff,0xffffffff,0x7fffc43e,
    0xffecbcdf,0x04efffff,0x7ffffb10,0x3ffe6000,0x817ffdc3,0xfffffff8,
    0x3ffffffe,0x442fffdc,0x7d42fffe,0xffb80eff,0x77d4006f,0xff700001,
    0x3ea0001b,0x01fd300d,0x9dfdb500,0x7ffec003,0xfffb80ef,0xfffff983,
    0x0fffe883,0x5407fff0,0xff507fff,0x00005fff,0x41fffb00,0x3ff605e8,
    0x74400004,0x880001ff,0x2a0003fd,0x1fd300df,0x037ee000,0x3fb6a000,
    0xfc8001ce,0x001bea03,0x2e000dc4,0xd304ffff,0x203fffff,0x902efffd,
    0x005fffff,0x0003bea0,0xb100df98,0x3ffe203f,0x7fed41be,0x3fffe0ff,
    0x8bfff500,0x3603fffd,0x04002fff,0x13a60000,0x00000000,0x7ec00000,
    0x3fe205ff,0xffff985f,0x0bffee02,0x7f400dc4,0x7ffc40ff,0x000001ff,
    0x6c1fffb0,0x00bae00f,0x07644000,0x00010000,0x40000000,0x00000000,
    0x00000000,0xffff8000,0x7fff4403,0xffff981f,0x7fffe401,0x00020002,
    0xff000000,0xfffe809f,0x809fff52,0x3fa0fffe,0x3fea01ff,0x3331004f,
    0x00000001,0x00031000,0x00019880,0xfd00fffb,0x7fff30ff,0x03fffa80,
    0x1fffc800,0x00ffffe4,0x20662000,0x5f30fffd,0x00000000,0x4cc40000,
    0x22000019,0x22000019,0x00000019,0x33310000,0x26620000,0xdfff3001,
    0x3fffe600,0x03fffa81,0x005fffd0,0x44000000,0x6c001999,0x7fd402ff,
    0x03fff73f,0x3e2fffb8,0xfff806ff,0x3fff2206,0x2dbbefff,0x00262000,
    0xffeca880,0x98001bdf,0xceffffed,0x0fffb002,0xf30fffd0,0xffa807ff,
    0xfe80003f,0x7fffc47f,0xfb500001,0x365dffff,0x00020fff,0x00000000,
    0xfffd9510,0x0005dfff,0xdffffdb3,0xed980059,0x02ceffff,0x177776d4,
    0x7777764c,0xfffda802,0x3c9bdfff,0xffffda80,0x43c9bdff,0x2003fffb,
    0xfc81fffe,0xff9001ff,0x3bb6a05f,0xeec982ee,0x2a202eee,0xffffffec,
    0x03d9802e,0xfb4fffa8,0xffa801ff,0x01fffa3f,0x320ffff1,0xffffffff,
    0xb707ffff,0xffb15ddd,0x4003bfff,0xfffffffa,0x8801efff,0xfffffffc,
    0x6c00dfff,0xffe807ff,0x03fff987,0x001fffd4,0x8dfffb10,0x0085fffb,
    0x7fffec40,0xfeefffff,0xd93000ff,0x03dddddd,0x777764c0,0x22001eee,
    0xffffffff,0x1006ffff,0xfffffff9,0x8801bfff,0xfffffffc,0xf980dfff,
    0xf83fffff,0x03ffffff,0x3fffff62,0xffffffff,0xffffb101,0xffffffff,
    0x0fffe43f,0x03fff900,0x2001fffb,0xf982fffb,0xf83fffff,0x03ffffff,
    0xfffffff1,0x00dfffff,0x9ffff400,0xf9807ffe,0x3fff64ff,0x3ffff602,
    0x7ffffe40,0xffffffff,0x7fffd41f,0xffffffef,0xfc803fff,0xffffffff,
    0x2203ffff,0xffffffff,0x01ffffff,0x3a01fff6,0xfff987ff,0x1fffd403,
    0xffddb500,0xffc83fff,0xeffec8af,0x7ffcc00c,0xffffffff,0x000fffff,
    0xfffffffd,0x7ff4003f,0x01ffffff,0x3ffffea0,0xffffffff,0x7fffc405,
    0xffffffff,0xfff101ff,0xffffffff,0xff983fff,0x7c43ffff,0x03ffffff,
    0xfffffff3,0xffffffff,0xfffff307,0xffffffff,0x7ffd47ff,0x3fffa002,
    0x01fffc81,0x305fff90,0x87ffffff,0xfffffff8,0xfffff503,0xffffffff,
    0xfd88000b,0xdffd1fff,0x49fff100,0xf505fffc,0x7c43ffff,0xcbceffff,
    0x41fffffe,0xfffffffa,0xffffffff,0x3ffee02f,0xfedbceff,0xfd01ffff,
    0xd99dffff,0x40dfffff,0xfe807ffd,0x3fff987f,0x01fffd40,0xffffff98,
    0xfffd83ff,0xfffffffb,0x3fffa02f,0xffecbdef,0x000fffff,0xfffffffd,
    0x7ff4003f,0x01ffffff,0x3bfffe20,0xfffdcbcd,0x3fffa01f,0xffecceff,
    0xffd06fff,0xfd99dfff,0xd70dffff,0xb507ffff,0x107fffff,0x7bdffffd,
    0xffffffd9,0xffffe889,0xfffecbde,0x3fe24fff,0xffb800ef,0xfffa81ff,
    0x5fffd002,0x3ffffae0,0xffffda83,0xffff103f,0xffb979bd,0x930003ff,
    0x749fffff,0xff8806ff,0x3fffe64f,0x3fffea0c,0x3ffea2ff,0xfffb100c,
    0xffffd901,0xffb99dff,0x3fe20dff,0xff501eff,0xfff90fff,0xff51019f,
    0x3ff609ff,0x87ffe807,0x5403fff9,0xf7003fff,0x1fffffff,0xffffffd0,
    0x7fffffff,0x07ffff70,0x3fffffea,0xfffb5000,0x4003ffff,0xffffffda,
    0x0d44001f,0x40bfff20,0x80cffffc,0x44ffffa8,0x80cffffc,0x04ffffa8,
    0xa807fff3,0xffc83fff,0xff5103ff,0xfffc89ff,0xfff5103f,0xefffe89f,
    0x3fffee00,0xffff981f,0x7fffdc00,0x1fffcc02,0x80fffea0,0x7fe401a8,
    0x3f66002f,0x745fffff,0xff8806ff,0x7fffe44f,0xffffffcf,0x3ffea3ff,
    0x13fa200e,0x3fffff98,0x80fffe88,0x8806fffb,0x3e22fffe,0xfa804fff,
    0xffd81fff,0x87ffe807,0x5403fff9,0xb1003fff,0xdfffffff,0xffffff81,
    0xffffeeff,0x3fffe20f,0x7fffc402,0x3ee0000f,0x5c0001ff,0x00001fff,
    0x109fff30,0x5009ffff,0x3e23ffff,0xfa804fff,0xff981fff,0x7ffd403f,
    0x0ffffcc3,0x31fffdc0,0x7003ffff,0xff987fff,0xba9acfff,0x1ffffffe,
    0x01dfffd0,0x0bffffee,0x807fff30,0x0003fffa,0x004fff98,0x3fffffee,
    0x806ffe83,0xfe84fff8,0xffffffff,0x3e22ffff,0xacdfffff,0xff300209,
    0x7fdc05ff,0x0fffd82f,0x49fff700,0x999efffa,0xc9999999,0x3f2a3fff,
    0xd00cefff,0x7f644fff,0xeb82ceff,0x000befff,0xffffb531,0x7ffff41d,
    0x3ffaa1ef,0x13ffea5f,0x07fffd40,0x3fff7000,0xfffb8000,0xdb930001,
    0xfffddfff,0x3dfff509,0x33333333,0x2a7fff93,0x9999efff,0xfc999999,
    0xfff983ff,0x1fffd403,0x800fffea,0x3fea1fff,0x3ffe003f,0xfffffa81,
    0xffffffff,0xff301fff,0xb7359fff,0x05ffffff,0x403fff98,0x9803fffa,
    0xeefffedc,0x2e004fff,0xd00cffff,0xff300fff,0xfffb109f,0xff9dffff,
    0xffffb81f,0x2effffff,0x03fff980,0x7c1fffd4,0x3e2005ff,0x3ffee6ff,
    0xffffffff,0x4fffffff,0xfffffff3,0x9fffa09f,0xfffffffd,0x3fffee0f,
    0x70003fff,0x7ec7ffff,0xf980ffff,0xfff90fff,0x7fffc003,0x3fee0000,
    0x7dc0001f,0x6cc001ff,0xffffffff,0xfb84ffff,0xffffffff,0xffffffff,
    0xfffff74f,0xffffffff,0x309fffff,0xfa807fff,0x7ffe43ff,0x90b26001,
    0x4c003fff,0x3ffee02c,0xffffffff,0x2e01ffff,0xffffffff,0x2fffffff,
    0x01fffcc0,0x980fffea,0xfffffffd,0x004fffff,0xb007ffe6,0xfa801fff,
    0x3fae03ff,0xfffd3eff,0x3ffffee0,0x0dffffff,0x00fffe60,0xf987fff5,
    0x7ec003ff,0xffffb0ff,0xffffffff,0x2dffffff,0xfffffffa,0x4fffd04f,
    0xfffffffe,0x3fffee0f,0x20004fff,0x3ee5fffa,0x3fa02fff,0x0fffb1ff,
    0x00fffe80,0x07ffee00,0x3fff7000,0x7fffd400,0xffffffff,0xfffd84ff,
    0xffffffff,0x6fffffff,0xfffffffb,0xffffffff,0xff30dfff,0xfffa807f,
    0x003ffec3,0x007ffd80,0xfff91000,0xf95bffff,0xffb803ff,0xffffffff,
    0x4c02ffff,0x7d403fff,0xfff503ff,0xffffffff,0xe8009fff,0xfffc805f,
    0x17ffdc01,0x3fe60980,0x7f65405f,0xefffffff,0x07fff300,0x4c3fffa8,
    0x6c003fff,0xfff90fff,0xffffffff,0xffffffff,0x7fffff64,0x4fffd00d,
    0xefffffda,0x7fff6443,0x7c0000df,0x3ffea7ff,0x9fffdc04,0x6c007ffd,
    0x20000fff,0x0001fffb,0x800fffdc,0xfffffff9,0xffffffee,0xfffffc84,
    0xffffffff,0xf97fffff,0xffffffff,0xffffffff,0x7fff30ff,0x43fffa80,
    0x00007ffd,0x0000fffb,0xabca9880,0x007fff20,0x3fffff62,0x2fffbbef,
    0x01fffcc0,0x260fffea,0xefffffff,0x4ffffffe,0xf5001800,0xffe809ff,
    0xff88000f,0x100983ff,0x7ffffb73,0x00fffe60,0xff07fff5,0xfff800df,
    0x33bffea5,0xcccccccc,0x004ccccc,0x006ffe80,0x20000000,0xff30fffd,
    0xfffa809f,0x003fff93,0x0007fffc,0x003fff70,0x01fffb80,0x59ffffd0,
    0x09fff501,0x999dfff5,0x99999999,0x3fea9999,0xccccccef,0xcccccccc,
    0x03fff984,0x321fffd4,0x80001fff,0x0001fffc,0x7fe40000,0x654c001f,
    0x0bffee1a,0x807fff30,0xfe83fffa,0xa80acfff,0x00004fff,0x807fffc0,
    0x8005fffa,0xd86fffe8,0xff9800ff,0x7fff306f,0x83fffa80,0x9003fffc,
    0x7fcc7fff,0x000001ff,0x0bfff100,0x00000100,0xf89bffa0,0x7fec07ff,
    0x0bfff52f,0x03fffee0,0x1fffb800,0x7ffdc000,0xffff8801,0x27ffcc01,
    0x00ffffcc,0x3fffe600,0x3e600001,0x7fd404ff,0x27ffd43f,0x3fea0c00,
    0x0018004f,0x07fff200,0xfffd8000,0x27ffcc01,0x10fffea0,0x9803ffff,
    0x00004fff,0x42fffe40,0x001fffe8,0x077fffdc,0x200efffc,0xf307fff8,
    0xffa807ff,0xffffa83f,0x3fff2203,0x7ffff41f,0x00551000,0x07fff700,
    0x004efe80,0x7e4006e6,0x7ffec3ff,0x1ffff304,0x013fffe2,0x01fffff5,
    0x0fffdc00,0x3ffee000,0x5fff9801,0x3ffff220,0x1ffffd04,0xfd0aa200,
    0x22001fff,0xdfff102a,0x3ffff660,0x1ffffc43,0x10ffe980,0x2007ffff,
    0x0000ffe9,0x001fffc8,0x0ffff100,0x20dfff10,0x43ffffd9,0x2205fff9,
    0x004ffffc,0xf8800544,0xfb9befff,0xdd986fff,0xfffeca9b,0xfff981ff,
    0xa99aadff,0x305ffffc,0xfa807fff,0xfffd03ff,0xf75357df,0xf10bffff,
    0x359dffff,0xffffb753,0x3ae20009,0x7c002fff,0xf8802fff,0xa99aadff,
    0x1fffffca,0x677fffcc,0x5ffffeba,0x5f7fffd4,0xfffdba9a,0x001cefff,
    0x001fffb8,0x00fffdc0,0x5effffc4,0xffffcba9,0x220bdfff,0xacefffff,
    0xfffdba99,0x3fffe24f,0xba99acef,0xf04ffffd,0xb7359fff,0x7dffffff,
    0x7ffffdc1,0xdba999ab,0x3ee3ffff,0x99abffff,0xffffdba9,0xffc80003,
    0x5440001f,0xf005fffe,0xb7359fff,0x7dffffff,0x37fffe21,0xfffcba9b,
    0x00bdffff,0x8027ffec,0xfffffffa,0xfd81ffff,0xffffffff,0xfff102ff,
    0xffffffff,0x883fffff,0x2cefffec,0xbefffeb8,0x7ffffc40,0xffffffff,
    0xfff700ef,0xffffffff,0x00dfffff,0xfffddd93,0x5d400dff,0xa805ffaa,
    0xffffffff,0x3fffffff,0xffffff90,0x01ffffff,0xfffffffb,0xffffffff,
    0x2a01ffff,0xffeeeeed,0x1ceeeeef,0x777776d4,0xeeeeefff,0x7fffec1c,
    0xffffffff,0x43ffffff,0xfffffffb,0xffffffff,0x7fffdc6f,0xffffffff,
    0xf906ffff,0xffffffff,0x7fffffff,0xffffffc8,0xffffffff,0x7ffe41ff,
    0xffffffff,0x001fffff,0xfffeeda8,0x2e202def,0xfffeeeed,0xf9001fff,
    0xffffffff,0x7fffffff,0x7fffffec,0xffffffff,0x2203ffff,0x2007ffff,
    0xfffffffc,0xfffb01ff,0x1bffffff,0xfffffe80,0xffffffff,0xffffd82f,
    0x3ee0ffff,0x83ffffff,0xffffffd8,0x00dfffff,0x7fffff54,0xffffffff,
    0xfffd802f,0x00efffff,0x3fffffa0,0xffffb003,0xffffffff,0xfffd805f,
    0x2fffffff,0x3fffff20,0xffffffff,0xa80fffff,0xffffffff,0xffffffff,
    0xfffff50f,0xffffffff,0xfe81ffff,0xffffffff,0xffffffff,0xffffea84,
    0xffffffff,0xffea82ff,0xffffffff,0x3602ffff,0xffffffff,0x4fffffff,
    0xffffffd8,0xffffffff,0xfffffb02,0xffffffff,0xff10005f,0xffffffff,
    0x3fff201f,0xffffffff,0x7ffec002,0xffffffff,0x7f44ffff,0xffffffff,
    0xffffffff,0x2ffff404,0x3fffae00,0x36201eff,0x1effffff,0xff9bd500,
    0x7fffffff,0x3ffffa01,0x3ee0ffff,0x04ffffff,0x3ffffb6a,0x64001cef,
    0xffffffff,0xd000beff,0xffffffff,0xfff98003,0x3ae2005f,0xffffffff,
    0xfd7001df,0x01bfffff,0xfffffd30,0xfffb5dff,0x3fee07df,0xffffffff,
    0x1fffffff,0xfffffff7,0xffffffff,0xfff703ff,0xf59fffff,0x401bffff,
    0xfffffffc,0x400befff,0xfffffffc,0x800befff,0xeffffffd,0x0dffffbb,
    0xfffffb30,0x017dffff,0xfffffd98,0x00beffff,0xfffff300,0x03ffffff,
    0x3ffffff2,0x0002ffff,0xdffffffb,0x1bffff77,0xffffff70,0xffff59ff,
    0x373001bf,0x0dd44000,0x06aea200,0x65d54000,0x6d4009ab,0x43efffff,
    0xdffffec8,0x15951000,0x97530000,0x20001357,0x2defffd9,0x0054c000,
    0x79753100,0x26000155,0x80009bba,0x00abca98,0x3ffb2200,0xffffffff,
    0x3223efff,0xfffffffe,0x3effffff,0x2af2ea20,0x2a600001,0x0009abcb,
    0x35797530,0x2ea20001,0x880001ab,0x1aabcca9,0xcca98800,0x00001aab,
    0xffffffb7,0x764407bf,0x01beffff,0xabba8800,0x2ea20001,0x00001abc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc00000,0x05910000,
    0x00000ca8,0x00000000,0x00000000,0x00179df7,0x00003300,0x1db816d4,
    0x0006cc00,0x00000000,0x36600000,0x8807b303,0xffffffff,0xffffffff,
    0x5c0b6a01,0x2620001d,0x18800019,0x00000000,0x5c0b6a00,0xfffc801d,
    0xffffffff,0x016c404e,0x0591016e,0x000004b8,0x73004c80,0x26000357,
    0xd53eeeec,0x05bfffff,0x206ffdc0,0x4002ffe8,0x0ceffeb8,0xfd980000,
    0xd900ffff,0x0009ffff,0x3fffe200,0x5fdb9cff,0x1effd980,0xf9800644,
    0x7ffd40ff,0x7fff9000,0xb7310000,0x2617ddff,0x765c4001,0x0000acef,
    0xff887fff,0x3ffe202f,0xffffffff,0x301fffff,0xffa81fff,0x3f6a000f,
    0x9bdfffff,0xffd9803c,0x800e442e,0x000004fb,0xfa81fff3,0x7fe400ff,
    0xffffffff,0x3ee02fff,0x807fe206,0x7440dffb,0xb88001ff,0x00acefed,
    0x36601ff1,0x2fffffff,0x3fffe200,0xffffeeff,0x00cfffff,0x72fffe88,
    0xa800dfff,0xffffffff,0x7ec00003,0x980fffff,0x04ffffff,0x3ff60000,
    0xffffffff,0x7fffd407,0x5ffb9dff,0x83fff700,0x4c01fffb,0x0efffffe,
    0xffff7000,0xfdffffff,0x3fee007f,0x2fffffff,0x27ffc400,0x880fffe2,
    0xffffffff,0xffffffff,0x83fff701,0x8801fffb,0xfffffffd,0x01ffffff,
    0x3fffffe6,0x805ffa9d,0x0001fff8,0x41fffb80,0x6401fffb,0xffffffff,
    0x201fffff,0xfe884ffa,0x3ffa200f,0x0bfff72f,0xfffff700,0xf305ffff,
    0xffff501f,0x1bffffff,0xfffff100,0xffffffff,0x01ffffff,0xfdfff910,
    0xf98007ff,0xffffffff,0x3200003f,0x80ffffff,0x4ffffff8,0x6cc00000,
    0xcfffffff,0x557ff401,0x2ffffffe,0x10bfd100,0xffc80bfd,0x3fffe9df,
    0x7fffe400,0xffffffff,0x7f4c06ff,0xffffffff,0x7e4004ff,0x00efc80e,
    0x3bbfffe2,0xffeeeeee,0xbfd101ff,0x300bfd10,0xffffffff,0x7fffffff,
    0x7557ff40,0x02ffffff,0x2fffea62,0x00009999,0x7442ff44,0xfffc805f,
    0xeeeeeeee,0xfffd803d,0x04fffdcd,0xfefffd88,0x74c003ff,0xffffffff,
    0x3fdc4fff,0x7fffffdc,0x04ffffff,0xfffffb70,0xfd79dfff,0x400dffff,
    0x01effffa,0xfffffe80,0x01fffffe,0xffb71000,0x3b2601ff,0x00004fff,
    0x3fffff60,0xa801ffff,0x6fffe40b,0x04008001,0x70bffea0,0xb1003fff,
    0xddffffff,0xffffffff,0x7ffff440,0xfffffeff,0x2004006f,0x05ffd000,
    0x801fffd0,0x74400400,0xcbdeffff,0x4ffffffe,0xff902ea0,0x7fe403bf,
    0xffffffff,0x080000ff,0xffc80040,0xb100000f,0x9fffffff,0xffffa800,
    0x7f44001e,0xffefffff,0xfb0effff,0xfffffa89,0xffffdaad,0x3fe2002f,
    0xb881efff,0x2004ffff,0x10003fd8,0x6cc3ffff,0x00004fff,0x400fffd8,
    0x0004fff9,0xbffff300,0x00dfff55,0x0000a880,0x37ea0000,0x003fd300,
    0x159ffffb,0x7ffffb88,0x33ffff60,0x7fffecc1,0x80000004,0xff9804da,
    0x0000005f,0x207ffff9,0x04ffffa8,0x90015100,0xffffffff,0x0003ffff,
    0x7e400000,0x400000ff,0x01cefeda,0x007fb100,0x33ffff60,0x7fffecc0,
    0x7ec1ffcd,0xff900cff,0x7fc400df,0x7dc00eff,0x04000fff,0x9fff3000,
    0x00bfff10,0x1fffb000,0x04fff980,0x0b320000,0x800fffee,0x00019998,
    0x00006620,0xfff30000,0xfff1007f,0x3fffea0f,0x7fffdc02,0x00000001,
    0x0bfff200,0x00cccc40,0x03ffff30,0x007fff70,0x54400188,0xaadfffca,
    0x800001aa,0xff900018,0x0000001f,0x00020000,0x017fffd4,0x3fffffee,
    0x07fffc43,0x00ffff10,0x01ffffc4,0x002fffd8,0xfa800062,0xffff03ff,
    0x20662000,0x4c00fffd,0x09984fff,0x7ec00000,0xd95100ff,0x5dffffff,
    0xffdb3000,0x00059dff,0xfffe8000,0x17ff2003,0x00bfffe2,0x5437ffdc,
    0x982eeeed,0x02eeeeec,0x07fffc00,0xfffeca88,0x5402efff,0x3e003fff,
    0x654401ff,0x01bdfffe,0x88fffea0,0x44000099,0xbdfffeca,0x1fff9001,
    0x000000cc,0x10000000,0x2005ffff,0xd03ffffc,0xff9005ff,0x3fe2003f,
    0xff5000ff,0x7654407f,0x001bdfff,0x2e0fffea,0x2a005fff,0x2efffffd,
    0x9801fffb,0xffd54fff,0x8003bfff,0xcdefdcb8,0x884fff98,0xffffffff,
    0x1006ffff,0xfffffff9,0x4c01bfff,0xeeeeeeec,0x6fff9801,0x40f74400,
    0x4005fffb,0x3e61fffe,0xf83fffff,0x03ffffff,0x17ffe600,0x7fffffc4,
    0x06ffffff,0x8007fff2,0x7fd402c9,0xffffffff,0xfffa801e,0xfffffeab,
    0x7fd4000d,0xffffffff,0x7ffe401e,0x3effffed,0xeeeec980,0x26001eee,
    0xeeeeeeec,0xbfff7001,0x1fffe800,0x3a007930,0xf1000fff,0x7c400bff,
    0xfff504ff,0xdfffffff,0x7fff5003,0x3ffffae2,0xfffd8803,0xeeffffff,
    0x7cc00fff,0xfffffeff,0x004fffff,0xfffffff5,0x0bffdbff,0xfffffff5,
    0x0bffffff,0xffffff88,0xffffffff,0xfffffd01,0xf5003fff,0x800009ff,
    0x4000fffc,0x3e63fffa,0x443fffff,0x3fffffff,0x3fff2000,0xfffff502,
    0xffffffff,0x01fff60b,0x3fff2000,0xffffffff,0x7fd403ff,0xffffffff,
    0xf9003fff,0xffffffff,0x6407ffff,0xffffffff,0x3a01efff,0xffffffff,
    0x3fffa001,0x001fffff,0x8003fff9,0x0003fffa,0x007fff98,0x801fffe2,
    0xfc83fffa,0xffffffff,0x5403ffff,0xfff9bfff,0xf9806fff,0xffffffff,
    0x0fffffff,0x7ffffcc0,0xffffffff,0x3f600eff,0xffffffff,0x887fffff,
    0xbcdeffff,0x01ffffdc,0x3bfffffa,0xfffffecc,0xfffffd06,0xf9003fff,
    0x800005ff,0x88007ffe,0x7f5c4fff,0xfda83fff,0x0003ffff,0x4403fffe,
    0xbcdeffff,0x81ffffdc,0x00007ffd,0x77ffffdc,0xffffedbc,0x3ffea01f,
    0xffffffff,0x7dc01fff,0xdbceffff,0x01fffffe,0xfffffff9,0x01ffffff,
    0x3ffffffa,0x3fa001ff,0x1fffffff,0x00fffd00,0x009fff10,0x5fffe880,
    0x3fffe200,0xfffe8803,0x7ffffdc1,0xfffedbce,0x3fea01ff,0xfffffbbf,
    0x7ff401ff,0xfecbdeff,0x00ffffff,0x7fffffcc,0xffedbcef,0xfff905ff,
    0xffb77bff,0x101fffff,0xfffc8035,0x9ffff902,0xffff5101,0xffffb509,
    0xfb003fff,0x800001ff,0xf0005fff,0x3fe60dff,0x7ffd403f,0xfff30003,
    0x401a880b,0xfc82fffc,0x100001ff,0x203dffff,0x207ffffa,0xfffffffa,
    0x6ffffecd,0x3bfffe20,0xfffff501,0x3ffffea0,0xffffdccd,0xffffb505,
    0x54003fff,0xfffffffd,0x0bfff001,0x01bffe00,0xffffe880,0x3ffe2000,
    0x3f6203ff,0x7ffc47ff,0xfff501ef,0x7ffd40ff,0xfffffe8b,0xfff701ff,
    0x3ffea07f,0x7cc00fff,0x901effff,0xfa87ffff,0xd880dfff,0x001fffff,
    0x213ffe60,0x804ffff8,0x801ffffa,0xd801fffb,0x400007ff,0x0004fff8,
    0x3e60fffd,0x7fd403ff,0xff90003f,0x2600005f,0xffa84fff,0xb818004f,
    0xe8806fff,0xff502fff,0xff105fff,0x3fee01ff,0xffe8806f,0x2dfd882f,
    0x05ffff30,0x007ffee0,0x03fff700,0x009fff10,0x001fffa0,0x17ffff44,
    0x3fffe200,0xca9abeff,0x5c2fffff,0xe8806fff,0xff502fff,0x7ffe4c7f,
    0x7fc41fff,0x7fc402ff,0x7cc00fff,0x5400efff,0x3f60ffff,0xffe806ff,
    0x372602ff,0xffeefffe,0xefffa84f,0x99999999,0x03fffc99,0x801fffb8,
    0x2e607ffd,0xceeeeeee,0x013ffe22,0x983fff40,0x7d403fff,0xff0003ff,
    0x326001ff,0xfeefffed,0xfff884ff,0xffd3003f,0x007ffec1,0x504fffb8,
    0x6c03ffff,0xffb01fff,0x3fee001f,0x7d40004f,0xff7005ff,0xfb80003f,
    0xff8801ff,0xffd0005f,0xfff3000f,0xf10007ff,0xffffffff,0x7fffffff,
    0x001fffb0,0x5413ffee,0xfd503fff,0x7fd41fff,0xfff5004f,0xfff9801f,
    0xfffb001f,0x00ffffc3,0x41ffffcc,0xffffffd9,0x84ffffff,0xfffffffb,
    0xffffffff,0xfb804fff,0xffd801ff,0x3ffffe07,0x21ffffff,0xf0006ffe,
    0x3fe60bff,0x7ffd403f,0xfff98003,0xfffd9805,0xffffffff,0xffff704f,
    0x7533357f,0x7c7ffffb,0x3e2005ff,0xfff506ff,0x2fffb807,0x400bfff0,
    0x0006fff8,0x7006ffe8,0x80003fff,0xd001fffb,0x3e000dff,0x7d4005ff,
    0x0003ffff,0xfffffff1,0xffffffff,0x017ffe07,0x506fff88,0x74407fff,
    0x3ff22fff,0x3ffe001f,0x7ffcc00f,0x3ffea006,0x00ffff13,0x2a0ffffc,
    0xffffffff,0x84ffffff,0xfffffffd,0xffffffff,0xfb806fff,0xffc801ff,
    0xffff880f,0x3fffffff,0x2001fff6,0xf304fff8,0xffa807ff,0xffc8003f,
    0x7ffd402f,0xffffffff,0x3f204fff,0xffffffff,0x1fffffff,0x8007fff3,
    0xfa80fffd,0x7fd403ff,0x3fff982f,0x07ffec00,0x1fff6000,0x00fffdc0,
    0x07ffee00,0x003ffec0,0x0027ffcc,0x05fffff7,0x67ffc400,0xffffffd9,
    0xfff300cf,0xfffd8007,0x03fffa80,0xfb27ffcc,0xffe800ff,0x7ffcc00f,
    0x3ffe2005,0x00dfff34,0xf307fff4,0xddffffff,0x09ffffff,0xfffffff9,
    0xffffffff,0xf700ffff,0xff5003ff,0x3ffae05f,0x0dffffff,0x000bffee,
    0x2605fff9,0x7d403fff,0xff8003ff,0x3fe600ff,0xfeefffff,0x404fffff,
    0xfffffffd,0x2fffffff,0x000fffe6,0xf501fffb,0xffa807ff,0x3fff982f,
    0x07ffec00,0x3fff6000,0x1fffb800,0x7ffdc000,0x7fff7001,0x2fffc800,
    0xfffff900,0xff880003,0x2b2ea24f,0x7ffcc009,0x7ffec003,0x03fffa80,
    0x3f66ffe8,0x7fec007f,0x7ffcc00f,0x3ffe2005,0x801fffe4,0x7ff47fff,
    0xfa80acff,0xfffa84ff,0xccccccce,0x4ccccccc,0x01fffb80,0x004fff88,
    0x7d43fff4,0xf3000fff,0x3e601fff,0x7fd403ff,0x7fcc003f,0x7fff405f,
    0xffa80acf,0xffd9804f,0xefffffff,0x06fff80b,0xa82fffc0,0x7d403fff,
    0xdfff02ff,0x05fff800,0x07ffe800,0x003fff70,0x01fffb80,0x01ffff50,
    0x03fffe60,0x3fffff60,0xff880001,0xff00004f,0xfff800df,0x07fff505,
    0x321fffb0,0x3e001fff,0x7cc00fff,0x3ea006ff,0x3fffa3ff,0x6fffa802,
    0x007fffe2,0xf309fff3,0x00003fff,0x00fffdc0,0x001ffff8,0x7ec1fffa,
    0xfe8805ff,0x3fe603ff,0x7ffd404f,0x7ffe4003,0x3fffe203,0x27ffcc01,
    0x7ffb3100,0xffc80355,0xfff9003f,0x0fffea07,0x205fff50,0x9003fffc,
    0x80007fff,0x7005fff8,0x80003fff,0x2001fffb,0x8805fffd,0x4403fffe,
    0x00effffe,0x9fff1000,0x3ff20000,0xfff9003f,0x4fffea07,0x7ffe85ea,
    0x4017ffea,0x400ffffb,0x002ffff9,0x7dc3fffb,0x3a201fff,0x3fe63fff,
    0x3ff2205f,0xfffd04ff,0x0aa2001f,0x00fffdc0,0x03ffffb8,0x107ffe88,
    0x201dffff,0x406fffe9,0xb306fff8,0x8007ffff,0x2600ffff,0x32205fff,
    0x8004ffff,0x2a001ffc,0x2203ffff,0x501ffffc,0xfa807fff,0xfff502ff,
    0x7fe4407f,0x067ec1ff,0x13fff620,0x00fffdc0,0x07ffee00,0xeffff880,
    0xdfffd300,0xfffff980,0x2200000d,0x00004fff,0x407ffff5,0x01ffffc8,
    0x3fa7fff5,0x9bffe23f,0x404ffff8,0x00fffffa,0x0fffffcc,0x21ffff20,
    0x89cffffe,0x5ffffb98,0x5effffc4,0xffffcba9,0x220bdfff,0xacefffff,
    0xfffdba99,0xfffb804f,0x3fff6001,0xdb9abcef,0x207ffffe,0xbdfffffa,
    0xfffffdb9,0xcffff801,0xffffdb9a,0x9800beff,0x7c405fff,0xba9bdfff,
    0xfffffffc,0xff9000bd,0x7ff4007f,0xba9abeff,0x205fffff,0x5403fffa,
    0x3fa02fff,0xa9abefff,0x45fffffb,0xabcffffa,0xffffcaa9,0xfff7000f,
    0xffb80003,0x7fd4001f,0xdb9bdfff,0x201fffff,0x04fffffa,0x7fc40018,
    0x3a00004f,0x9abeffff,0x5fffffba,0xefffeda8,0xeaaffffa,0x7fd45fff,
    0xba9abeff,0xeffffffd,0x7ff64c1c,0x99adffff,0x1fffffba,0xffffff88,
    0xffffffff,0xfffffd81,0xffffffff,0x5c3fffff,0xffffffff,0xffffffff,
    0x3bbbb6a6,0xeeeefffe,0xfff881ce,0xffffffff,0x407fffff,0xfffffffc,
    0x03ffffff,0xffffff90,0xffffffff,0xff9007ff,0xfffb007f,0xffffffff,
    0x7fffffff,0xfecaaa80,0x3ffe2006,0xffffffff,0xc980efff,0x42defffe,
    0xdefffec9,0xfffff881,0xffffffff,0x7ffd40ef,0xffffffff,0xda82ffff,
    0xfffeeeee,0x41ceeeee,0xfeeeeeda,0xceeeeeff,0x3ffff201,0xffffffff,
    0x7fffc03f,0xeeeeeeff,0xa806ffee,0xeeffffed,0x3e20003d,0xffffffff,
    0x40efffff,0xfffffff9,0xfffffffe,0xffd81fff,0xffffffff,0xffffffff,
    0xfffff10f,0xffffffff,0x09ffffff,0x7fffff4c,0x02efffff,0x3ffffffa,
    0xffffffff,0xfea84fff,0xffffffff,0xf52fffff,0xffffffff,0xffffffff,
    0xffffb101,0xffffffff,0xff5005bf,0xffffffff,0xffd8003d,0xffffffff,
    0x804fffff,0x3a006ffc,0xffffffff,0xffffffff,0x3ffe204f,0x44005fed,
    0xfffffffd,0xd00dffff,0xffffffff,0x7fffffc1,0xffb107ff,0xffffffff,
    0x3ff201bf,0xffffffff,0xffa83fff,0xffffffff,0x0fffffff,0xfffffff5,
    0xffffffff,0x7fd401ff,0xffffffff,0xffff801e,0xffffffff,0x200fffff,
    0xfffffff8,0x0001ffff,0x3fffff62,0x0dffffff,0xffffffa8,0xfffffbef,
    0x3f204fff,0xffffffff,0xffffffff,0xfffff30f,0xffffffff,0x007fffff,
    0x3fffffee,0xff7003ff,0x59ffffff,0x01bfffff,0x7fffffe4,0x20beffff,
    0xfffffffb,0xffffffff,0x3b6601ff,0xffffffff,0x7e44001c,0x04efffff,
    0x3ffff600,0xfffbbeff,0xfd8800df,0x7ffdc002,0xfacfffff,0x400dffff,
    0x01fffffe,0xfffdb500,0xe8039dff,0xffffffff,0xffffff10,0xeda80fff,
    0x1cefffff,0xffffc980,0x00cfffff,0xfffffff7,0xffffffff,0x3ffee3ff,
    0xffffffff,0x01ffffff,0x7ffffe44,0x3fe004ef,0xffffffff,0x2fffffff,
    0x3ffffe20,0x01ffffff,0xffeda800,0x401cefff,0x2dffffec,0x5ffffff9,
    0xffffd300,0xffb5dfff,0xfeb87dff,0xffebcfff,0x00dfffff,0x1acca980,
    0xbcba8800,0x2600001a,0x009abcba,0x3ffffb22,0xffffffff,0x54c003ef,
    0x00001aab,0x00015753,0x06aeea20,0x40000000,0x01abcba8,0x2f6e2000,
    0x95100000,0x7ed40015,0x543effff,0x2dfffffd,0x02b2a200,0xacaa9800,
    0xfec8801a,0xffffffff,0x223effff,0xffffffec,0xefffffff,0x55d4c003,
    0xffff8000,0xffffffff,0x402fffff,0xffffffda,0x800003df,0x0000aca8,
    0x0abca880,0x5e54c400,0x3000000a,0x00135975,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00006a20,0x00000000,0x00000000,
    0x00000000,0x3b803930,0x40000000,0x000bddb8,0x002bca88,0x002a8800,
    0x03510000,0x00000000,0x2e00e440,0x4c03b803,0x0000001c,0x22000000,
    0xb5000999,0x9305dddd,0x005ddddd,0x00000000,0x00000000,0x2a140000,
    0x0acdffed,0x7f654400,0xffb5002f,0x643fffff,0x6e4c01ef,0x130beefe,
    0x3ffff6a0,0x26001fff,0xfffffffd,0x3ae20002,0x2a1ceffe,0x09ff9001,
    0x4c01ffd3,0x32a21aaa,0xb802eefe,0x02ffffff,0xfffffd50,0x5c40001d,
    0x0005fffd,0x3fff6a00,0x20000003,0xdeeffedb,0x13ff201b,0x8807ffa6,
    0xffc81eff,0xbfffb005,0xfffda800,0x8001ffff,0xffffffc8,0x7cc2dbbe,
    0xf83fffff,0x03ffffff,0xeffedb80,0x3f621bde,0x0001ffff,0x1fffff64,
    0x3ee00000,0xcffe803f,0xffffffff,0x764402ff,0x02ffffff,0xfffffff0,
    0x3ffe23ff,0xffff9105,0xffdfffff,0xffffff03,0x6c003fff,0xffffffff,
    0xffc88002,0xefffffff,0xf8803ffd,0xfff91eff,0x3fffe209,0xfffff34f,
    0x2a01dfff,0xfffddfff,0x77ffc401,0x0004ffec,0x17fffff2,0x7fd40000,
    0x00003fff,0xfffffa80,0x01ffffff,0x2e3dfff1,0xfc805fff,0xfffd34ff,
    0x3fff6003,0x7fffc005,0x001fffff,0x7fffffe4,0x47ffffff,0x3ffffff9,
    0x7fffffc4,0x3fea003f,0xffffffff,0xfffff91f,0x7d40003f,0x003fffff,
    0x3ffe2000,0x3ffe200f,0xffffffff,0xf704ffff,0xffffffff,0x3fffa005,
    0x3e1fffff,0xffe884ff,0xffffffff,0xffe83fff,0x01ffffff,0x3fffff60,
    0x4c002fff,0xfffffffe,0x5fffffff,0xdfffb100,0x7dc07fff,0xffbcffff,
    0xffffffff,0x441dff06,0x1cc806fe,0x80007fdc,0x05ffacd9,0x79910000,
    0x000007ff,0xffffff98,0x04ffffff,0x3fbfff62,0x3ea003ff,0x0dfffeff,
    0x17fff600,0xfffffd00,0x64003fff,0xffffffff,0x41ffffff,0x83ffffeb,
    0x3fffffda,0xfffff300,0x9fffffff,0x3fffffee,0x3fe60001,0x0003ffff,
    0x3fffe600,0x3fffe601,0xffeeffff,0xfd85ffff,0xffffffff,0xddb71002,
    0x5c43fffd,0xffffd83f,0xfffffeff,0xedb884ff,0x001fffee,0x3fbbb6e2,
    0x3e2002ff,0xeeffffff,0x6fffffff,0x7fffdc00,0x7ffc400d,0xffffffff,
    0x4fffffde,0x7dc17fcc,0xff90000f,0x3fe00003,0x98000005,0x000003ff,
    0x77fffffc,0x01fffffe,0x0effffa8,0xfffd8800,0xffd8003f,0x6dc4005f,
    0x01fffeee,0xdfffff10,0xffffd979,0x3ffe603f,0x1fffd403,0xfffffe80,
    0x1fffffee,0x07fffb6a,0xffd95000,0x8000007f,0x7cc06ffe,0x981cffff,
    0x5c2ffffe,0xffdcefff,0x3ee0002f,0x5436c1ff,0x4c1cffff,0x004ffffd,
    0x0003fff7,0x002fffb8,0x073ffffa,0xdffffd51,0x07fb1000,0xfffffa80,
    0x3f220bef,0x1fea1fff,0x7000ffc4,0x000dffb9,0x0002ffc0,0x01ffcc00,
    0xfff10000,0x0026603f,0x0003fd88,0x0000dfb8,0x3ee00000,0xff5001ff,
    0x3f62019f,0xfff300ff,0x3fffa807,0x1ffff880,0x3ee01330,0x500001ff,
    0x00007fff,0xf3005500,0xf9003fff,0x0a981fff,0x000bffee,0x2e1fffb8,
    0x4fffc81f,0x027ffe40,0x001fffb8,0x017ffdc0,0x04ffffb8,0x006fffc8,
    0x3e200020,0x200fffff,0x3e63fffe,0x00ffa82f,0x3fffff50,0x2ffc0000,
    0x7cc00000,0x2000003f,0x0003fffa,0x40000100,0x00000000,0x01fffb80,
    0x01dfff50,0xf3027f44,0xffa807ff,0xfffa803f,0x3fee0003,0xf500001f,
    0x000007ff,0x7ffc4000,0x3fff6004,0x2fffb804,0x3ffee000,0x7ff40fe1,
    0x7ffc400f,0x3fff7003,0xfffb8000,0x7fffd002,0x037ffc00,0x40009880,
    0x01fffff8,0x3e27ffd4,0x1bfa20df,0xdfffb700,0x403eb801,0xea8005ff,
    0x07ff3004,0xb805d980,0x00002fff,0x00001300,0x00000000,0x800fffdc,
    0xdffffff8,0x300209ac,0xfa807fff,0xffb803ff,0x3ee0002f,0x500001ff,
    0x09987fff,0xd0000000,0x7c4001ff,0xffb806ff,0x3ee0002f,0xfc8021ff,
    0xffd800ff,0x3fff7001,0xfffb8000,0x3fe60112,0x7fe4006f,0xaeeedb84,
    0xdfffffd8,0xffff8801,0x5fff8801,0x7e67ffd4,0x900082ff,0x3fa607ff,
    0x02ffc07f,0x03fffb10,0x2007ff30,0x442fffc8,0x2fffeedb,0xeeec9800,
    0x3ff663ee,0x7774c2df,0xeeeeeeee,0x64c1eeee,0x1eeeeeee,0x7ffdc000,
    0x3ffee001,0xefffffff,0x3fff9802,0x41fffd40,0xfffeedb8,0xbdeeeeee,
    0x87ffee00,0xceeeeec9,0x2fffea01,0xdfffffea,0x77774c00,0xeeeeeeee,
    0x00541eee,0x007ffec0,0x000bffee,0x001fffb8,0x001dfff5,0x7fdc0015,
    0x2e00081f,0x4ffcafff,0x004fffb8,0x3ea06644,0xfffeffff,0x03ffffff,
    0x0027ffc4,0xff90bfff,0x5cc7ffff,0xff8805fe,0x7fffe445,0x802ffc04,
    0x006ffffb,0xf5007ff3,0xfb81dfff,0x02ffffff,0xfffffe80,0xffffd8cf,
    0x3fea6fff,0xffffffff,0x742fffff,0xffffffff,0x7fdc0001,0x7fdc001f,
    0xffffffff,0x3fe600df,0x7ffd403f,0xfffffb83,0xffffffff,0x3fee03ff,
    0x3ffffe1f,0x3ea06fff,0xffffffff,0x2a01ffff,0xffffffff,0x2fffffff,
    0x33333331,0x33333333,0xb803fff9,0x20002fff,0x1001fffb,0x37bfffff,
    0x3fee0000,0x017fa61f,0x7fffffdc,0x7ffe40ff,0x3ea00002,0xffffffff,
    0x2fffffff,0x013ffe20,0x9306fff8,0xfd7339dd,0x02a2bfff,0xffa93fea,
    0xff803fff,0x7fff4c05,0x3fe6004f,0x3fff6203,0xfffc80df,0x8002ffff,
    0xeffffffe,0xffffffff,0xffff53ff,0xffffffff,0xffe85fff,0x01ffffff,
    0x0fffdc00,0xffeca800,0x0effffff,0x807fff30,0xfc83fffa,0xffffffff,
    0x04ffffff,0x7c47ffee,0x7fffffff,0x3ffffea0,0xffffffff,0xffff501f,
    0xffffffff,0x3ffa5fff,0xffffffff,0xffffffff,0x7ffdc02f,0x3fee0002,
    0x3fea001f,0xbdffffff,0xfff70000,0x017fff43,0x7fffffdc,0x0fffd86f,
    0x7f640000,0xccefffff,0x206ffffd,0x2004fff8,0xc9806fff,0x1cfffffe,
    0x3fbbfffa,0xffd89fff,0xfd500dff,0x1dffffff,0x0f7fffdc,0x7ffff5c0,
    0x3fee2eff,0x32202fff,0x02fffffe,0xffffda80,0xcfffffff,0xff53fffd,
    0xffffffff,0xa81fffff,0xfffffffd,0x7fdc0001,0x4026001f,0xffffdb98,
    0x09fff303,0x883fffa8,0xffffffec,0x0cefffff,0x447ffee0,0xdffffffe,
    0x3fffea02,0xffecceff,0xfff504ff,0xffffffff,0x3fa1ffff,0xffffffff,
    0xffffffff,0x7fdc03ff,0x3ee0002f,0x7d4001ff,0xffffffff,0x7dc001ef,
    0x3fffe1ff,0x7fff4c04,0xfe80cfff,0x3000007f,0x107fffff,0x2201fffd,
    0x3e004fff,0xff9306ff,0x2039ffff,0xfffffffa,0xfffffa9d,0x2e0aaa8a,
    0xffffffff,0xffffe99f,0x81cddb9b,0xfffffffd,0xffffd8cf,0x400aaa8c,
    0x0002fffb,0x7fffffcc,0x433660bf,0xf982fff9,0x7001ffff,0x80003fff,
    0xb001fffb,0xff3001ff,0x3ffe60df,0xffffb306,0x5fff7007,0x7ffdc000,
    0xeffffe99,0xffff5000,0xffff107f,0x20bffe60,0x21fffff9,0xfffffffe,
    0xffffffff,0x5c03ffff,0x20002fff,0x8001fffb,0xffffffc9,0x2003ffff,
    0x3f21fffb,0xff9100ff,0x403dffff,0x00007ffe,0x05ffff30,0x8817ffdc,
    0x3e004fff,0x3ff266ff,0x009cefff,0x11555530,0x21bffffb,0x4c40fffe,
    0xc8999999,0xfb9effff,0x885fffff,0xb8999999,0xf91effff,0xffb805ff,
    0x7cc0002f,0x001fffff,0xff303ffe,0x5c003fff,0x40001fff,0xf001fffb,
    0xf8803bff,0xfff307ff,0xffb7359f,0x017dffff,0x0017ffdc,0xff9fff70,
    0xa8009fff,0x3601ffff,0xfff01fff,0xfffff981,0x667ffec1,0xcccccccc,
    0x03fffdcc,0x0017ffdc,0x003fff70,0xfffdb980,0x7003ffff,0x0b983fff,
    0xffffff50,0xfffb007f,0x3e600000,0x7fd403ff,0x9fff103f,0xf37ffc00,
    0x3237dfff,0x4002efff,0x22effffb,0x000ffffb,0x4fffffaa,0xfebbeffc,
    0xffd3004f,0x7ffcc9ff,0x7ffdc02f,0x7fcc0002,0x54000dff,0x7fffcc3d,
    0x7fdc001f,0x7dc0001f,0xff9801ff,0x99aadfff,0x05ffffca,0xfffffff3,
    0xffffffff,0x7fdc07ff,0x3ee0002f,0x3fffffff,0x3fffa800,0x817ffdc0,
    0x7ffcc3da,0xfffc81ff,0x7ffdc000,0x17ffdc01,0x3fff7000,0xfb880000,
    0xf7006fff,0x7c4003ff,0x2fffffff,0x01fffc80,0xfff98000,0x1fffd403,
    0x004fff88,0xbec97ffe,0x3ffffa21,0xfe9803ff,0x7fcc4fff,0xd8800fff,
    0x3e0dffff,0x807fe85f,0x21effffc,0x02ffffe8,0x0017ffdc,0x017ffe60,
    0xffff9800,0xffb8001f,0x7dc0001f,0xff8801ff,0xffffffff,0x01ffffff,
    0xfffffff3,0xffffffff,0x7fdc09ff,0x3ee0002f,0x02ffffff,0x07fff500,
    0x002fffb8,0x07ffffe6,0x0017ffdc,0x7003fff6,0x40005fff,0x5001fffb,
    0x3fa20019,0xffb800ff,0x3fe2001f,0x02fffeff,0x002fffb8,0x3fff9800,
    0x81fffd40,0x2004fff8,0xfd805fff,0x1ffeb9df,0x3bfffea0,0xffdffe81,
    0x7fffcc00,0xd80ca82f,0x3ffa207f,0xdffc83ff,0x7fdc02ff,0x7cc0002f,
    0x500004ff,0x003fffff,0x007ffee0,0x03fff700,0x3fffffa0,0xffffffff,
    0x3ffe602f,0xcfffffff,0x00dffffb,0x000bffee,0xffffffb8,0xfa8000df,
    0x7fdc03ff,0xfff5002f,0x7fcc03ff,0x3fe6006f,0xfffb806f,0x3fee0002,
    0x6ff9801f,0x0bffea00,0x007ffee0,0xff73bd50,0xfff3005f,0xf300000d,
    0xffa807ff,0x9fff103f,0x02fffc00,0x3fa0ffe6,0x0ffffa05,0x7fddffdc,
    0x6fffe400,0x27fdc000,0x01bfff70,0x5ff5bff5,0x02fffb80,0x27ffcc00,
    0x7ffd4000,0x2e0000ff,0x40001fff,0x5001fffb,0xfffff9bd,0x8017ffff,
    0xccbcfff9,0x7dc0002b,0x2e0002ff,0xffffffff,0x7fd4000e,0x7ffdc03f,
    0xffffa802,0xfffe800f,0x9fffd004,0x05fff700,0x0fffdc00,0x017ffdc0,
    0x802fffd8,0x0001fffb,0x8017ffdc,0x4004fffe,0xfff305fc,0x3fffa807,
    0x009fff10,0x7013ffe2,0x81fee0ff,0xff300dfa,0x3003feed,0xfb0005df,
    0x774401df,0x51fff102,0xffb805ff,0x7cc0002f,0x540004ff,0x000fffff,
    0x00fffdc0,0x07ffee00,0xefeaa800,0xff30009a,0x7000007f,0x40005fff,
    0xffcbfffb,0x2a001eff,0x7dc03fff,0x7fd402ff,0xf3000fff,0x2601bfff,
    0x7006fffe,0x40005fff,0xc801fffb,0x5403ffff,0xb800ffff,0x40001fff,
    0x5002fffb,0x803bffff,0x982fffe8,0x7d403fff,0xfff103ff,0x3ffea009,
    0xa837dc03,0x7f40007f,0x001ff70f,0x3ffa2000,0xfc80000e,0x805ff52f,
    0x0002fffb,0x0027ffcc,0x1dffff50,0x70019b30,0x80003fff,0x0001fffb,
    0x4001ffc8,0x0003fff9,0x02fffb80,0x47ffee00,0x01fffffb,0x807fff50,
    0x2a02fffb,0x980effff,0x7ffe40cd,0xfcb9acff,0x7001ffff,0x40005fff,
    0xc801fffb,0xbcefffff,0xffffeba9,0x3fff7006,0xfffb8000,0x3fff2002,
    0xca9acdff,0x81fffffd,0x5403fff9,0xfdb83fff,0x8880bfff,0x401ffffa,
    0x6fd81ffa,0x3ffee000,0x01dffeee,0x7ffd4000,0xff300004,0x5dffdddf,
    0x017ffdc0,0x13ffe600,0x7fffd400,0x07ffb00e,0x003fff70,0x01fffb80,
    0x2fffc800,0x0fffe600,0x3fee0000,0x3ee0002f,0x3ffea1ff,0xffa802ff,
    0x7ffdc03f,0xdffff502,0x20fff601,0xfffffffe,0x83ffffff,0xfeeeedb8,
    0x3deeeeff,0x777776d4,0xeeeeefff,0x3ffff21c,0xffffffff,0x6d40ffff,
    0xfffeeeee,0x41ceeeee,0xfeeeeeda,0xceeeeeff,0xfffffb02,0xffffffff,
    0xfec889ff,0xeb82ceff,0xf30befff,0x8bffffff,0x4ffffffc,0x12eff880,
    0x40009ff7,0xfffffffc,0x200002ff,0x0002fffc,0x3ffffea0,0x3264ffff,
    0xeefffeee,0x2e201bde,0xeffffeed,0x502deeee,0xdddfffff,0xbfffdddd,
    0x777776d4,0xeeeeefff,0x7776d41c,0xeeefffee,0x9a801cee,0x2006feca,
    0x0003fff9,0xffeeec98,0xceeeeeef,0xfffdb701,0xfffff983,0x3b260bde,
    0x4c1cefff,0x1cefffec,0x3bffffea,0xffeeeeee,0xffff705f,0x3dffffff,
    0x3fffff20,0xffffffff,0xffff53ff,0xffffffff,0x2a1fffff,0xffffffff,
    0x1effffff,0x7fffffd4,0xffffffff,0xfff50fff,0xffffffff,0x03ffffff,
    0x3fffffee,0x2fffffff,0xffffffd8,0x3ffee0ff,0xff53ffff,0xe8bfffff,
    0x00ffffff,0xffdfff50,0x988000df,0x2ffd9999,0xffd30000,0x0353335f,
    0x4cccc400,0x7fc3ffc9,0xffffffff,0x3f606fff,0xffffffff,0x81ffffff,
    0xfffffffd,0xffffffff,0xffffff56,0xffffffff,0x3fea1fff,0xffffffff,
    0x0fffffff,0x3f7ffe60,0x3fe6005f,0xff80003f,0xffffffff,0x40ffffff,
    0x1ffffffb,0x7fffffd4,0x3fff63ff,0x7f46ffff,0x26ffffff,0xfffffffd,
    0xffffffff,0x3fff6606,0x6c04ffff,0xffffffff,0x3fffffff,0xfffffff7,
    0xffffffff,0x2bb223ff,0xffffffd9,0xfff703ff,0xffffffff,0x23ffffff,
    0xfffffffb,0xffffffff,0x3ae202ff,0xefffffff,0xffffd00c,0x7dc1ffff,
    0x24ffffff,0x1defffec,0x0f7fffdc,0x3fffea00,0x400000df,0x02fffffc,
    0xffffb800,0x007fffff,0x3fffee00,0xfffff13f,0xffffffff,0x7ffff40d,
    0xffffffff,0xffd82fff,0xffffffff,0xf76fffff,0xffffffff,0xffffffff,
    0x3ffffee3,0xffffffff,0x7401ffff,0x001fffff,0x0000fffc,0x3fffffe2,
    0xffffffff,0x7ffdc0ff,0x7fdc1fff,0x24ffffff,0xffffffff,0xfffff10f,
    0x7fecffff,0xffffffff,0x006fffff,0x20015753,0xffffffd9,0xceffffff,
    0x3ffffb20,0xffffffff,0xa98803ef,0xec8009bb,0xffffffff,0x23efffff,
    0xfffffec8,0xffffffff,0x2aa6004e,0xfb5001ac,0x887dffff,0x0dffffec,
    0x0aea2000,0x1aba8800,0xff700000,0x00003dff,0xfffffff7,0x00001fff,
    0x8bbfffaa,0xffffffea,0x202dffff,0xffffffd9,0x4effffff,0xffffffb0,
    0xffffffff,0x3ffb22df,0xffffffff,0x7643efff,0xffffffff,0x03efffff,
    0x0017b710,0x00009d50,0x3fffff6e,0xefffffff,0xfffec883,0x7ff6441f,
    0x36a0dfff,0x43dfffff,0xdfffffda,0x3fffff62,0xffffffff,0x000006ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeec9800,0xddb502ce,0x4c0039dd,
    0xa8000001,0xa980000d,0xaaaaaaaa,0x54c40000,0x540001aa,0x4000002d,
    0x001aaa98,0x00015100,0xaaaaa980,0x3001aaaa,0x00003333,0x555554c0,
    0x0000aaaa,0x01980000,0x35555100,0x55555300,0x666664c1,0xcccccccc,
    0x203ccccc,0xaaaaaaa9,0x220001aa,0xbc980019,0x8003d980,0x000002da,
    0x03ffffd4,0x2aaaaaa0,0x81aaaaaa,0xaaaaaaa8,0x55555440,0x0e5c401a,
    0x7fffffc0,0x7ffcc0ff,0x9806ffff,0x6441effd,0x7fe40000,0x3ee0003f,
    0xffffffff,0xd98001ff,0xcfffffff,0x0fff8000,0xfd980000,0x0cffffff,
    0xfffc8800,0x5c002b83,0xffffffff,0x7cc01fff,0x00005fff,0xffffff70,
    0x003fffff,0x1defeda8,0x77fecc00,0x7d406441,0x204fffff,0xfffffffe,
    0x20000531,0xfffff704,0x03ffffff,0x7fff6cc0,0xfe802cef,0x03fff84f,
    0x0007ffc0,0xffffd000,0x3ffe200f,0xffffffff,0x3fe66fff,0x0fffffff,
    0xfffffff3,0xfff101ff,0x7ffc407f,0x540fffff,0x6fffffff,0x7ffffd40,
    0x05ffb9df,0xffffd300,0xf50001bf,0xffffffff,0x6c4001df,0xffefffff,
    0x26004fff,0x00002fff,0x3fffff62,0x04fffffe,0x3ffffe20,0x07fe9aef,
    0x7ffffcc0,0x00efffff,0x007fffdc,0xfffa8000,0xefffffff,0xfffb1000,
    0x001bffff,0xbffffff5,0xf90bff73,0x20ffffff,0xfffffff9,0x0000534f,
    0x7fffcc12,0x0effffff,0xffffc880,0x0dffffff,0xf117ffe0,0x7cc009ff,
    0x000002ff,0x0ffffff7,0x3ffffe60,0xffffffff,0xffff70ff,0x2e5fffff,
    0xffffffff,0xffffb82f,0x7fff5406,0xffd903ef,0xfe805dff,0xffffeaaf,
    0xfc8002ff,0xfffeadff,0x00000002,0x15bfff30,0x77ff6544,0x3fffa800,
    0xfff30000,0x7654415b,0xfc800eff,0xffffd9bf,0x000004ff,0x27ffec00,
    0x00000000,0x7ffff400,0x806fffff,0xffeaaffe,0xfa82ffff,0x203fffff,
    0xfffffffe,0x20000531,0x10000004,0xffffffff,0x03ffffff,0x3f207fee,
    0x3fea001e,0x8800003f,0x07ffffff,0x3fffffa0,0xffffffff,0x3ffffe25,
    0x3fe66fff,0x06ffffff,0x00bffff5,0x801ffff1,0x5006fffa,0xdfffc817,
    0xfffa8001,0x00fffe42,0x26000000,0xf7002fff,0xffa801ff,0xf980003f,
    0xff7002ff,0x40c9801f,0x002efffa,0xff800000,0x000000ff,0x7dc00000,
    0xfffeffff,0x05d402ff,0x8077fff2,0x800fffe8,0x4c5fffb8,0x00900002,
    0x3ffa0000,0xfeccefff,0x0206ffff,0xff500010,0xb000007f,0x0fffffff,
    0xcaaaa880,0x00aadfff,0x015bfff5,0x07fffaa6,0x003dffb0,0xd017ffee,
    0x00005fff,0x54000151,0x1fd300df,0x00188000,0x001dfd10,0x5405ffb8,
    0x40003fff,0x9880efe8,0x005ffb80,0x00006a20,0x7fcc0000,0x0000004f,
    0xd0000cc4,0x7e417fff,0x220001ff,0xfffb000a,0x27ffc400,0x240000a6,
    0x00cccc40,0x33ffff20,0xffffa880,0x20000004,0x0003fffa,0x7ffffcc0,
    0x980007ff,0xf9803fff,0xffb004ff,0x0006200f,0x203ffff1,0x0006fffb,
    0x00000000,0x3b2a2000,0x001bdfff,0xfff53ff9,0xb819dfff,0x7764c2ff,
    0xeeeeefff,0x3200ceee,0x7ff541ff,0xff70ecef,0x02620005,0xeeeeda80,
    0xeeeec982,0x0fffc82e,0x00009880,0xdffffdb3,0x3fe20059,0x007d506f,
    0xffd80000,0x3ffe2007,0x800014c4,0xffeca884,0x402effff,0x804ffff8,
    0x001ffffa,0x3bb26000,0xeeeeefff,0x2000bdee,0xffecfffe,0xff980007,
    0xfff9803f,0x0fffb004,0xffb80000,0x5fffd05f,0x77776d40,0xeeeec982,
    0x0000002e,0xfffffa80,0x01efffff,0x7fd4ffe2,0x87ffffff,0x7fffc6fc,
    0xffffffff,0xf105ffff,0xefffd87f,0x3f21ffff,0xaeeedb86,0xdfffffd8,
    0x3fffe601,0xffff83ff,0xffe83fff,0x32dddb53,0x003effff,0xffffff91,
    0x801bffff,0x0004fff8,0x7777764c,0x3f6001ee,0x3fe2007f,0x00014c4f,
    0x7fffc448,0xffffffff,0x3bffea06,0x99999999,0x43fffc99,0xeeeeeec9,
    0xffff001e,0xffffffff,0x200bffff,0xfe8ffffb,0xf980007f,0xff9803ff,
    0xfffb004f,0xf8800000,0x7fdc1fff,0x3ffe606f,0xfff83fff,0xb983ffff,
    0x202deeee,0xbdeeedb8,0xfffffc80,0xffffffff,0xff0df703,0x30bfaa21,
    0x3ffe23ff,0xffffffff,0x706fffff,0x0cffa8df,0x7cc5ff71,0x3fffea1f,
    0xffffffef,0xff303fff,0xf887ffff,0x43ffffff,0xff98fff8,0xffffefff,
    0x7c404fff,0xffffffff,0x401fffff,0x40005fff,0xfffffffe,0x3ff6001f,
    0x3ffe2007,0x800014c4,0x7ffffd44,0xffffffff,0xfffff705,0xffffffff,
    0xe89fffff,0xffffffff,0xffff8801,0xffffffff,0x8806ffff,0xffd2ffff,
    0xff30000f,0xfff3007f,0x1fff6009,0x3ee00000,0x7fff45ff,0x3fffe602,
    0x7ffc43ff,0xfe83ffff,0x01ffffff,0xfffffff9,0xfffffb89,0xfffedbce,
    0x84fd81ff,0x437cc0ff,0x3ff6a4ff,0xffffffff,0xfb01dfff,0xfb03ff89,
    0x3ea4ff83,0xffffffff,0x2fffffff,0x7ffffd70,0xfffffb50,0xf53ffa87,
    0xffffffff,0x405fffff,0xcefffffe,0x6fffffec,0x003fff40,0x3fffffa0,
    0x36001fff,0x3e2007ff,0x0014c4ff,0x7ffc4480,0xfdcbcdef,0xffd81fff,
    0xffffffff,0xffffffff,0x7fffff46,0xb5001fff,0xffffffff,0x03bfffff,
    0x74dfff90,0x980007ff,0xf9803fff,0xffb004ff,0x2000000f,0xff71ffff,
    0xffd700df,0xffb507ff,0xffd07fff,0x205fffff,0xfffffffc,0x3bfffe25,
    0xfffff501,0x1ff07fd0,0x7ec2fe44,0x07fff505,0xf11ff400,0x360a201f,
    0x7fff645f,0xfdccefff,0x7cc06fff,0x7fd403ff,0x3237e43f,0xceffffff,
    0x906ffffd,0x1019ffff,0x109ffff5,0x335fffb3,0xfffb5000,0x4003ffff,
    0x22007ffd,0x014c4fff,0x1a884800,0x417ffe40,0xfffffffc,0xffffffff,
    0x7ed47fff,0x01ffffff,0x03fffa80,0xffff9800,0x001fffa1,0x00fffe60,
    0x4013ffe6,0x00007ffd,0x2bfff700,0x2002ffff,0x5403fff9,0xfd983fff,
    0x3314efff,0x3fffb623,0x3ffee0df,0xfffe8806,0x7fc0ffc2,0x81fffdcc,
    0xfff506fb,0x0ffc0007,0xf7000bf5,0xfffff30d,0x1fffd107,0x01fffcc0,
    0xd50fffea,0x7ffffb03,0xf10ffff0,0xf5009fff,0x3fa63fff,0xffffffff,
    0x7dc0005f,0x3f6001ff,0x3fe2007f,0x00014c4f,0x3e600048,0xfffa84ff,
    0xccccccce,0x4ccccccc,0x01fffb80,0x03fffa80,0x4fffd800,0x0003fff4,
    0x401fffcc,0xb004fff9,0xccc80fff,0x3fe0003c,0x06fffdff,0x01fffcc0,
    0xe80fffea,0x7ffdc7ff,0x217ffe22,0x7000fffd,0x1ff89fff,0xfffffff8,
    0xa98df701,0xaaadfffc,0x43ff000a,0xfb8004fa,0x2ffff986,0x80bffee0,
    0x5403fff9,0x36003fff,0xff904fff,0xefffa83f,0x99999999,0xb3fffc99,
    0xffffffff,0x0005ffff,0x000fffdc,0x4400fffb,0x014c4fff,0x32604800,
    0xfeefffed,0xfff984ff,0x2000001f,0x8001fffb,0x0003fffa,0x207fffd4,
    0xbc887ffe,0x3fff9800,0x04fff980,0x440fffb0,0x0002ffff,0x3fffffee,
    0x7fcc002f,0x7ffd403f,0x87fff203,0x3ee5fffe,0x5fff83ff,0x1bffe200,
    0x99ff05ff,0x3f603ffd,0xffffff35,0xdfffffff,0x7cc5ff00,0x85fd8006,
    0x5403fff9,0x3e603fff,0x7fd403ff,0x3ff6003f,0x0bffee07,0xfffffff7,
    0xffffffff,0x3fee9fff,0xffffffff,0x2e0001ff,0x36001fff,0xf10107ff,
    0x002989ff,0xffb30900,0xffffffff,0x3ffa09ff,0x551000ff,0x07ffee00,
    0x0fffea00,0x7fffd000,0xf90fffd0,0xfff3007f,0x9fff3007,0x81fff600,
    0x0005fffb,0x6ffffff8,0x3fff9800,0x01fffd40,0x3e67fff5,0xffb0ffff,
    0x3fff983f,0x07ffec00,0x41ff09fd,0x4ff80ffc,0xfffffff9,0x3fffffff,
    0x3e24fe80,0x27fc001f,0x201fffcc,0x2603fffa,0x7d403fff,0x3f6003ff,
    0x3ffee07f,0x7ffffec2,0xffffffff,0x266fffff,0xdfffeccc,0x5c0001bc,
    0x36001fff,0x44fe87ff,0x14c4fff8,0x7d448000,0xffffffff,0x104fffff,
    0x59dfffff,0xfffb7533,0xfff7009f,0xfff50003,0x7fe40007,0xe99999ff,
    0x5ffe87ff,0x03fff980,0x004fff98,0x7f40fffb,0xb80000ff,0x001fffff,
    0x403fff98,0x2203fffa,0xfffb5fff,0x1fffe7ff,0x000fffe6,0x7dc1fffb,
    0x7e40ff86,0xf98ffcc6,0xffffffff,0xb806ffff,0x40f7ec6f,0x07fe62fa,
    0x500fffe6,0x7cc07fff,0x7fd403ff,0x3ff6003f,0x0bffee07,0xfffffff9,
    0xffffffff,0x7e40ffff,0x200001ff,0x2001fffb,0x7fd47ffd,0x227ffc47,
    0x49000029,0xfffffff9,0xffffffee,0x3fffee04,0xffffffff,0xb806ffff,
    0xa8001fff,0x10003fff,0xffffffff,0x9fffffff,0x4c037ffc,0xf8803fff,
    0xffb004ff,0x0fffe20f,0xfffe8000,0xfff30006,0x3fffa807,0x7c7fff40,
    0xf8efffff,0xdfff05ff,0x45fff800,0xffd33ff8,0x72efe8bd,0xfcaa88df,
    0x1aaaadff,0x447ff100,0xfeccffff,0x4c1bee1f,0x7d403fff,0x3fe603ff,
    0x7ffd403f,0x1fff6003,0x542fffb8,0xccccefff,0xcccccccc,0x3ffa04cc,
    0x2e00000f,0x36001fff,0x7ffdc7ff,0x30fffe61,0xe9200005,0x80acffff,
    0x5404fffa,0xfffffffe,0x2fffffff,0x01fffb80,0x03fffa80,0xfffff100,
    0xffffffff,0x3ffe1fff,0x2fffa806,0x00bfff00,0x7dc1bffe,0x2200006f,
    0x0001ffff,0xa807fff3,0x7e403fff,0xfffffdff,0x03fffcff,0x2007fff9,
    0xfd83fffc,0xfffffb8f,0x3eb7fe60,0x3ffea03f,0x7fec0003,0x3ffff620,
    0x0ffea2df,0x201fffcc,0x2603fffa,0x7d404fff,0x3f6003ff,0x3ffee07f,
    0x0ffffcc2,0x3fe20000,0x5c00007f,0x36001fff,0x7ffdc7ff,0x30bffea1,
    0x45200005,0x4c01ffff,0xf9004fff,0xffffffff,0x2e0017df,0xa8001fff,
    0x10003fff,0xffffffff,0xffffffff,0x64037ffc,0xfb000fff,0xffb803ff,
    0x03ffb04f,0x7ffdc000,0x3fe60006,0x7ffd404f,0x7fffd403,0xffffcfff,
    0xff501fff,0x7e4407ff,0xff881fff,0x1019988e,0x980dff51,0x5cc04fff,
    0x0eff883e,0x2a055d44,0x3fe606ff,0x7ffd403f,0x1bffe203,0x1ffffecc,
    0x40fffb00,0xfe82fffb,0x51000fff,0x37ffcc05,0xfb801540,0x3f6001ff,
    0x0fffdc7f,0x2983fffb,0x3e690000,0x3f2205ff,0x4c004fff,0x009acffe,
    0x03fff700,0x0bfff300,0x911f5cc4,0x99999999,0x437ffff9,0x2e01efff,
    0x2e007fff,0xf701efff,0xff105fff,0x7c400009,0x20001fff,0xb306fff8,
    0x8807ffff,0xf6ffffff,0x01ffffff,0x5f7ffff4,0xffffba9a,0x3bfe605f,
    0x1fff5002,0xcffff880,0xfffeca9a,0xeff981ff,0x1fff5002,0x01fffcc0,
    0xf00fffea,0xb7359fff,0x7dffffff,0x0fffb001,0x4417ffdc,0xacefffff,
    0xfffdba99,0xfffe884f,0x027fdc04,0x800fffdc,0x70cffffb,0xffb5bfff,
    0x002981ff,0x3ffe2900,0xfcba9bdf,0xbdffffff,0x02ff8800,0x3fff7000,
    0xffff1000,0xffd9537b,0xd0003fff,0xffff0fff,0xfd7357df,0xe8007fff,
    0xb9acffff,0x504ffffd,0x400001ff,0x0005fffc,0x9acffff8,0xffffffdb,
    0x3ffa00be,0xfff93fff,0xff880dff,0xffffffff,0x400effff,0x409cfffa,
    0x01effeb9,0xffffffb0,0xffffffff,0x33ffea01,0x7ff5cc09,0xffd9101e,
    0xfd7059df,0x32017dff,0xffffffff,0xffffffff,0x3fff2a03,0x7ff544df,
    0xfffb80df,0xffffffff,0x226fffff,0xeefffffc,0xffeeeeee,0x3bbb6a6f,
    0xeeefffee,0x3fee1cee,0xff75ffff,0x5fffffff,0x20000530,0x3fffff64,
    0xffffffff,0x803fffff,0x0cb8aff8,0x77776d40,0xeeeefffe,0x7fec01ce,
    0xffffffff,0x8801ffff,0xcffffedb,0x3fffffe1,0xffffffff,0xfff88003,
    0xffffffff,0x007a606f,0x777764c0,0x01deffff,0x3ffff200,0xffffffff,
    0x3203ffff,0xf30fffff,0x1009ffff,0xfffffffb,0x001bffff,0x3bffffa2,
    0x0dfffffe,0x3fffe200,0xffffffff,0x7ff4403f,0xffffeeff,0x3ff600df,
    0x20ffffff,0xfffffffb,0x3ffff603,0xffffffff,0xff104fff,0x27ffffff,
    0x5ffffff8,0xfffffd50,0xffffffff,0x7fffec5f,0xffffffff,0xf55fffff,
    0xffffffff,0xffffffff,0x3fffff21,0xfffff36f,0x0a607fff,0x3fa24000,
    0xffffffff,0xffffffff,0xffffb004,0x7ffd405f,0xffffffff,0x00ffffff,
    0x3fffffe2,0x3fffffff,0xfffff900,0x3261ffff,0xffffffff,0x20003fff,
    0xffffffe9,0x0000dfff,0x3ffffe00,0x6fffffff,0x7ffec000,0xffffffff,
    0x2a04ffff,0x7ec5ffff,0x2a002fff,0xefffffed,0xfb50001c,0x39ffffff,
    0x3ff22000,0x3dffffff,0x7ffed400,0x801cffff,0xfffffffe,0x3fffee0f,
    0x7ec04fff,0xbbefffff,0x300dffff,0xffffffff,0x3ffffe69,0x7ffe406f,
    0xefffffff,0x7ffff40b,0xffffffff,0xf72fffff,0xffffffff,0xffffffff,
    0x3ffff623,0x3fffea2d,0x00a604ef,0x7fdc2400,0xacffffff,0x00dfffff,
    0x0bfffb30,0xffffffb8,0xffffffff,0x64401fff,0xffffffff,0x3f6000bd,
    0xffffffff,0x7fff5c40,0x0002dfff,0xffffff70,0x0000007f,0xffffffff,
    0x000fffff,0xffffffb0,0xbffff77d,0x7fffc401,0x07fffd42,0x0aca8800,
    0x2a620000,0x000009ab,0x03599751,0x57531000,0x7ed40013,0x443effff,
    0x0dffffec,0x1abba880,0x7ff5c000,0x3ae0dfff,0x3001dfff,0x01357975,
    0xfffffd98,0xffffffff,0x3fb221de,0xffffffff,0x003effff,0x2002ae60,
    0xccccccd9,0xcccccccc,0x75104ccc,0x00003579,0x22002a20,0xffffffec,
    0xefffffff,0x32ea2003,0x260001ab,0xeffffffd,0x0ddcc403,0x75300000,
    0x00000015,0x7ffffed4,0x002dffff,0x35775100,0xfffd0000,0x001bffe0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa60000,
    0x555401aa,0x555300aa,0x55544055,0x5440aaaa,0x81aaaaaa,0x01aaaaa8,
    0x40355553,0x01aaaaa8,0x40355553,0x01aaaaa8,0x15555531,0x1aaaaa88,
    0x55555540,0x8001aaaa,0x40aaaaa9,0x01aaaaa8,0x55555553,0x22001555,
    0xaaaaaaaa,0x98001aaa,0xaaaaaaaa,0xeeda8001,0xeec982ee,0xaa982eee,
    0xaaaaaaaa,0xaaaaaaaa,0x4001000a,0xaaaaaaa8,0x00000aaa,0x55555531,
    0x55555555,0xaaaaaa88,0x01aaaaaa,0x2aaaaa20,0x000aaaaa,0x0055554c,
    0x81aaaa98,0xaaaaaaa8,0x4c000aaa,0xaaaaaaaa,0xaaaaaaaa,0x2aaa20aa,
    0x0aaaaaaa,0x3ff60aa8,0xf886ffff,0x44ffffff,0x1ffffffe,0xffffff88,
    0xfff10fff,0x4dffffff,0xfffffffb,0x7fffff45,0xffff986f,0x7ff44fff,
    0xf886ffff,0x84ffffff,0xffffffff,0xffffff10,0xffff10ff,0xffffffff,
    0xfff003bf,0x261fffff,0x7fffffff,0x7fffffd4,0x00ffffff,0x7fffffd4,
    0xffffffff,0xfffe800c,0x06ffffff,0x7ffffc40,0xfffff83f,0xfffb83ff,
    0xffffffff,0xffffffff,0x3fff6601,0xffa80ccd,0xffffffff,0x2a0000ff,
    0xfffffffe,0xffffffff,0x3ffffe26,0xffffffff,0x7fd403ff,0xffffffff,
    0xfff000ff,0x3a00bfff,0x2a6fffff,0xffffffff,0xb000ffff,0xffffffff,
    0xffffffff,0x3fea3fff,0xffffffff,0x5bffa0ff,0xfffffff8,0x7fffd42f,
    0x3fe27fff,0xb86fffff,0xffffffff,0xfffff52f,0x363fffff,0x7fffffff,
    0x3fffffe2,0x7ffdc1ff,0x3e27ffff,0x1fffffff,0x7fffffdc,0x7fffcc6f,
    0xff73ffff,0x83ffffff,0xfffffffa,0xffffffff,0xffff300c,0x3ee7ffff,
    0x1fffffff,0x3ffffff2,0x03ffffff,0x7fffffe4,0xffffffff,0x3fe202ff,
    0xffffffff,0x3fe6001f,0x7c43ffff,0x83ffffff,0xfffffffb,0xffffffff,
    0xf701ffff,0xbfffffff,0xffffff90,0x07ffffff,0xfffff300,0xffffffff,
    0x54dfffff,0xffffffff,0xffffffff,0xffff900e,0xffffffff,0xffff3007,
    0xf9803fff,0x91ffffff,0xffffffff,0x2007ffff,0xffffffff,0xffffffff,
    0xff91ffff,0xffffffff,0x3ffe67ff,0xfffffd1f,0xfff981ff,0x7ec4ffff,
    0x43ffffff,0xfffffff8,0xffff10ef,0x5cdfffff,0x4fffffff,0x7fffffec,
    0xfffff986,0x7ffec3ff,0xff886fff,0xe83fffff,0x0fffffff,0xfffffff1,
    0x3ffffa0d,0xffffffff,0xfd00efff,0x21ffffff,0xfffffff8,0x7ffffcc6,
    0x0fffffff,0x7ffffcc0,0xffffffff,0x3601ffff,0xffffffff,0x75c004ff,
    0xda83ffff,0xb83fffff,0xffffffff,0xffffffff,0xffa81fff,0x6fffffff,
    0xffffff98,0x00ffffff,0x7ffffdc0,0xffffffff,0x26ffffff,0xfffffff8,
    0xffffffff,0xfff306ff,0xffffffff,0x3ffa001f,0x6c04ffff,0x26ffffff,
    0xfffffff9,0x000fffff,0xfffffff9,0xffffffff,0x3e63ffff,0xffffffff,
    0x3ffa0fff,0x3fff660f,0xffff300f,0x3fee2019,0xa980ffff,0x9302fffd,
    0x98159fff,0x00bfffff,0x01ffffb1,0x02ffffe6,0x07ffff44,0x0dffffa8,
    0x073ffee0,0x01fffe4c,0x2abbffe6,0xffffdbaa,0x3ffee05f,0xfff9301c,
    0x7ffecc07,0x4001aaab,0xaabfffd9,0xffffcbaa,0x32aa200e,0x0fffffff,
    0x3fff9800,0x41fffd40,0xaaacfffb,0xaaabfffd,0xff81fffd,0xfffedfff,
    0x3feaa601,0x8001aaef,0xdffffffa,0xaabfffeb,0x986fffaa,0xaaacfffc,
    0xffffecaa,0x3feaa603,0x8001aaef,0x0ffffffb,0xffffff10,0x3feaa607,
    0x8001aaef,0xaaefffa8,0xdaaaaaaa,0x554c1fff,0x01aaefff,0x3ffa0df5,
    0xdfffb04f,0xfffff100,0x7ffe40bf,0x0fffea00,0x0bffffea,0x13fffa20,
    0x402ffff4,0x886ffff8,0x2206ffff,0xccdfffc9,0xffdccccc,0x3fe009cf,
    0x7ffe405f,0x7fff502f,0x02fffb80,0x666fffe4,0x801acccc,0x2200fffc,
    0xb003ffff,0x7fffffff,0x7fff3000,0x83fffa80,0x7e42fffb,0x7ffe41ff,
    0x237ffcc1,0x3fe000cc,0x3e20006f,0x7ec1ffff,0x6fff80ff,0x807fff50,
    0xf006fffa,0xa8000dff,0x04ffffff,0x5ffffff9,0x00dfff00,0x017ffe00,
    0xf00fffdc,0x5f900dff,0x0bfffe60,0x001ffff5,0xfffffff1,0x03fff205,
    0x5c3fffa8,0x001fffff,0x707fffe6,0x2001ffff,0x745ffff9,0x3600ffff,
    0xffffffff,0xffffffff,0x3fe05fff,0xfffd805f,0x07fff506,0x402fffb8,
    0xfffffffc,0x01efffff,0x7003fff2,0xf1009fff,0xdfff3fff,0x7fff3000,
    0x83fffa80,0x7e42fffb,0x7ffe41ff,0x01fffd41,0x037ffc00,0x3ffff900,
    0xf01fffb0,0x3fea0dff,0x7ffe803f,0x00dfff00,0xfffffa80,0xffff887f,
    0xff802fff,0xf800106f,0xff7005ff,0x37ffc03f,0xf9013e60,0x3fe21fff,
    0xff1003ff,0x01ffffff,0x5401fff9,0x3ff23fff,0xc8000eff,0x3fe26fff,
    0x7d4002ff,0xfff93fff,0xfffe803f,0xffffffff,0xffffffff,0x017ffe05,
    0x20bfffa2,0x5c03fffa,0x7e402fff,0xffffffff,0x903fffff,0xff001fff,
    0xfff700df,0x007fffa9,0x807fff30,0xfb83fffa,0x7ffe42ff,0x20fffe41,
    0x0005fff9,0x0006fff8,0x6c0bfffe,0x7f410fff,0x7fff504f,0x07fff880,
    0x322dfff0,0x3fea003f,0x5c3fffff,0x2fffffff,0x446fff80,0xff000efd,
    0x21dd88bf,0x7fc07ff9,0x8037406f,0xffb5fffe,0x7fc400bf,0x85fffecf,
    0x2a00fffc,0xffd8bfff,0x20000eff,0xffd4fffe,0x3ee000bf,0xffffdfff,
    0xffdb8802,0xccccccdf,0x0bdfffdc,0x4017ffe0,0xfa84fffa,0x7fdc03ff,
    0x7ffe402f,0xfdcccccd,0xfc81ffff,0x7fc400ff,0xfffe805f,0x009fff51,
    0x403fff98,0xfa83fffa,0x7ffe40ff,0x207ffdc1,0x001ffff8,0x0037ffc0,
    0x206fffa8,0xffc8fffd,0xf502ffb8,0xffc807ff,0xdfff006f,0x001ffff9,
    0x3ff7ffea,0x6ffff46f,0xff802fff,0x27ffe46f,0x6c5fff80,0x016dc4ff,
    0x1701bffe,0x3fffe600,0x000ffffd,0x3e73ffe2,0x7fe42fff,0x3ffea00f,
    0x05ffffec,0xffff9800,0x000ffffd,0x3fffff60,0x7d4004ff,0x99999bff,
    0x02fffb99,0x277ffe62,0xfff10199,0x37fff50b,0xf7333333,0xffc805ff,
    0x3ffa200f,0x0fffc84f,0x01fffe40,0xff17ffea,0x7cc001ff,0x7fd403ff,
    0x86ff883f,0x7c41fffc,0xdfff705f,0x6fff8000,0x9fff7000,0x7cfffec0,
    0x540133ff,0x9999bfff,0x3fffffda,0xffffff00,0x2a001fff,0xfffebfff,
    0xf7bfff52,0xfff005ff,0x05fffd8d,0x333dfff0,0x2000dffd,0x00006fff,
    0x7fffffe4,0x7fc4002f,0x8dfff94f,0x2a00fffc,0xffffffff,0xf900000f,
    0x05ffffff,0xffffd000,0xff5000bf,0xffffffff,0x105fffff,0xffffffff,
    0x3fe0dfff,0xffffa86f,0xffffffff,0x7e402fff,0x7fd400ff,0x0fffc85f,
    0x3ffff910,0x42fffd80,0x2003fffc,0x5403fff9,0x05103fff,0x2207fff2,
    0x3fffea02,0x3ffe0004,0xfff90006,0x7fffec05,0xf5004fff,0xffffffff,
    0x00bfffff,0x7ffffffc,0x3fea002f,0xb6fffabf,0xfff75fff,0x8dfff005,
    0xf002fffa,0xffffffff,0x3fe000df,0xe800006f,0x005fffff,0x3a4fff88,
    0x3ff24fff,0x3ffea00f,0x1fffffff,0xfffd0000,0x20000bff,0x00fffff9,
    0xfffffa80,0xffffffff,0xfffb82ff,0xffffffff,0x87ffe81f,0xfffffffa,
    0xffffffff,0x07ffe402,0x6437ffc0,0xccccdfff,0x04fffffd,0x4c3fffc4,
    0x26006fff,0x7d404fff,0xfc8003ff,0x7d4001ff,0x322fffff,0x7ffc03de,
    0xfffb0006,0x7fffec01,0xf5004fff,0xffffffff,0x007fffff,0xffffffb1,
    0xffa80019,0xf7fffd3f,0x3ffeedff,0x86fff802,0x3fe001b8,0xffffffff,
    0xdfff0006,0xddb10000,0xddfffffd,0x3fe200bd,0x3fffea4f,0x401fff91,
    0xfffffffa,0x0001ffff,0x0fffff98,0xfffd0000,0xf50009ff,0xffffffff,
    0x05ffffff,0xfffffff3,0xb01fffff,0xfff50fff,0xffffffff,0xc805ffff,
    0x7cc00fff,0xfffc84ff,0xffffffff,0xffb805ff,0x3fffb04f,0x1bffe200,
    0x1ffffecc,0x7ffff640,0x03dfffff,0x3fffffea,0xffff88ef,0x01bffe02,
    0x00fffec0,0xfffffffb,0x3ffea009,0xffffffff,0x2e03ffff,0x1dffffff,
    0x7fff5000,0x3fffffee,0x05fff73f,0x000dfff0,0x3fffffe0,0x0006ffff,
    0x0000dfff,0xffddddb1,0x009ddddf,0xfb13ffe2,0x3fff2dff,0x3fffea00,
    0xfffffb9f,0xffc80001,0xf900002f,0x07ffffff,0xcdfffa80,0xfdcccccc,
    0xf95302ff,0x17999dff,0x2a1bffa0,0xccccdfff,0x2fffdccc,0x007ffe40,
    0x320bfff6,0xffffffff,0xd003ffff,0xffffffff,0x009fffff,0x4d6ffffc,
    0xffffffdb,0xfff700be,0xffffffff,0x3ffe01ff,0xacfffeef,0x3e04ffff,
    0xcd9806ff,0x407fff90,0xfffcfffd,0xbfff5004,0xfdd99999,0xe987ffff,
    0x06ffffff,0x7d40cd98,0xffff13ff,0x7ffdcfff,0x06fff802,0xff00cd98,
    0xfff999ff,0x3ffe000d,0x00cd9806,0x005fff70,0x113ffe20,0xff97ffff,
    0x7ffd401f,0x3fffa20e,0xffb80006,0xfb80001f,0xffffdfff,0x3ffea002,
    0x17ffdc03,0x802fffc0,0xfa85fff8,0x7fdc03ff,0x7ffe402f,0xfffc9880,
    0xffffc80f,0x0defffff,0xfffff500,0xffffffff,0x3f2001ff,0xffffffff,
    0x4fffffff,0xffffff50,0x1fffffff,0x31bfff30,0xfffdffff,0x37ffc01d,
    0xfb9ffec0,0x3ff605ff,0x002ffe8f,0x9807fff5,0xf30ffffd,0xdfffffff,
    0xa87ffb00,0x3ff23fff,0x3fee4fff,0x6fff802f,0xf03ffd80,0x5ffd8bff,
    0x0dfff000,0x2007ffb0,0x0002fffb,0xf509fff1,0x1fffdfff,0x41fffd40,
    0x002ffff8,0x00fffdc0,0x3fffe600,0x01ffffb4,0x00fffea0,0xf005fff7,
    0x3ea00bff,0xfffa83ff,0x17ffdc03,0x3fffff20,0xffffffff,0x5fff903f,
    0x20003333,0xfffffffd,0xffffffff,0x3fffa003,0xffffffff,0x2e04ffff,
    0xefffeeed,0xff902dee,0x7fffdc3f,0xfff807ff,0x15fff806,0x7ec0ffff,
    0x043d98ff,0x007fff50,0x7d4bfff6,0x6fffdfff,0x545fff80,0x3fe23fff,
    0x3fee0fff,0x6fff802f,0xf05fff80,0x3ffb8bff,0x0dfff000,0xb10bfff0,
    0xdfffdddd,0x2200bddd,0xffb04fff,0x401fffff,0xf503fffa,0xb8000dff,
    0x20001fff,0x746ffff8,0xa800efff,0x7dc03fff,0xfff802ff,0x5fffb005,
    0x807fff50,0x6402fffb,0xffffffff,0x202fffff,0x0000fffc,0xeeffff88,
    0xfeeeeeee,0x362006ff,0xbeffffff,0x00dffffb,0x007fff20,0x7f43ffec,
    0xf804ffff,0xfff806ff,0x417fffa5,0xf900fffd,0x7fff501d,0x53ffe200,
    0xfff1efe8,0x8bfff00d,0x7e43fffa,0x7ffdc5ff,0x06fff802,0xff05fff8,
    0x000330bf,0x7c037ffc,0xeed885ff,0xeeefffee,0xfff1004e,0x3fffe209,
    0x3ea00fff,0x3ff603ff,0x3ee0003f,0xd10001ff,0xf881dfff,0xfa805fff,
    0x7fdc03ff,0x5fff802f,0x0ffffd80,0x403fffa8,0x6402fffb,0xffffffff,
    0x6400bdff,0x80000fff,0xb004fffb,0x98003fff,0x3ee1abca,0xff90003f,
    0x3ff2003f,0x7fffc42f,0x6fff801f,0x2a5fff80,0xfd85ffff,0x5fff00ff,
    0x007fff50,0x8113ffe6,0xff806fff,0x1fffd45f,0xf7073326,0xfff005ff,
    0x0bfff00d,0x00017ffe,0x201bffe0,0xf7005fff,0x220005ff,0x3ee04fff,
    0x200fffff,0x2203fffa,0x0000ffff,0x0003fff7,0x407ffff6,0x404ffff9,
    0x5c03fffa,0xff802fff,0xffb5105f,0x3fea05ff,0x7ffdc03f,0x57ffe402,
    0xf9000199,0xd00001ff,0x2a001fff,0x00004fff,0x900037e4,0x2e003fff,
    0xcaacffff,0x04dfffff,0x7c037ffc,0x7ffec5ff,0xfffb0adf,0x09fff101,
    0x1007fff5,0xf805fffb,0xfff806ff,0x01fffd45,0x00bffee0,0x3e01bffe,
    0xbfff05ff,0xfff00000,0x0bfff00d,0x3ffbb6e2,0x5003deef,0x5bdffffb,
    0x1fffffd0,0xdfffd950,0xfffb039d,0x6d4017bd,0xeefffeee,0x7edc02ce,
    0xb883ffff,0x42dfffff,0xdefffec9,0x7fff6dc3,0xffda81de,0xffeeeeff,
    0x985fffff,0x2defffec,0x77fff6d4,0x7ffedc1c,0x02deeeef,0xdffffb70,
    0x1005bddd,0x9dffffb7,0x3ffb2a03,0x00003dff,0x3d935ff7,0x3fbbb6e0,
    0x01ceeeff,0x3ffffffa,0xffffffff,0x3ffbb6e3,0xeeeeeeff,0x445fffee,
    0xffffffff,0xeeeeffff,0x2a4fffee,0xeeefffec,0xfffeeeee,0x76dc0fff,
    0xeeeffffe,0xfffeeeee,0x3bfffae5,0xdd9501ce,0xdb87bfff,0xeeffffee,
    0xffeeeeee,0x3ffae65f,0x1ceeeeff,0x3fbb6e00,0xeeeeefff,0x05fffeee,
    0xfffffff9,0x9805ffff,0xffffffff,0x7fffcc1f,0x7fffcc0f,0x40ffffff,
    0x5ffffff9,0xffffff50,0x1fffffff,0x3ffffea0,0x7fe43fff,0x21ffffff,
    0xfffffffe,0xfffff51f,0xff88ffff,0xffffffff,0x0dffffff,0xffffffe8,
    0xffff51ff,0x7dcdffff,0xffffffff,0x7dc01fff,0xffffffff,0x7e401fff,
    0xffffffff,0x7ffffcc0,0x0002ffff,0xffffff88,0xfffffa83,0xffffffff,
    0xfffff300,0xffffffff,0x3fffee9f,0xffffffff,0x5fffffff,0xfffffe88,
    0xffffffff,0x34ffffff,0xffffffff,0xffffffff,0xffb87fff,0xffffffff,
    0xffffffff,0xfffff75f,0xf881ffff,0xffffffff,0xffffff72,0xffffffff,
    0x74bfffff,0xffffffff,0xf7007fff,0xffffffff,0xffffffff,0x3ff20bff,
    0xffffffff,0x7ffd403f,0x82ffffff,0x540ffffc,0xffffffff,0xfffd80ff,
    0xfff505ff,0xffffffff,0x3fea03ff,0x44ffffff,0xfffffffd,0x3ffffe1f,
    0xff52ffff,0x8fffffff,0xfffffff9,0xffffffff,0x3ffffe03,0xff52ffff,
    0x4fffffff,0xfffffffc,0x402fffff,0xfffffffc,0x402fffff,0xfffffffd,
    0x7ffd40ff,0x03ffffff,0xfffb3000,0x3fffee09,0xffffffff,0x3ff6200f,
    0xffceffff,0xffff90df,0xffffffff,0xbfffffff,0x7ffffdc0,0xffffffff,
    0xf54fffff,0xffffffff,0xffffffff,0xffff907f,0xffffffff,0xbfffffff,
    0x3fffffee,0x7fcc0fff,0x3fffffff,0xfffffff9,0xffffffff,0x7fcbffff,
    0xffffffff,0xfc800fff,0xffffffff,0xffffffff,0xffb105ff,0x9dffffff,
    0xfffd9001,0x3a209dff,0xfec80fff,0x03efffff,0x03bffff3,0x7fffff64,
    0x403effff,0xcfffffec,0x7fffecc0,0x7fed44ef,0x7644efff,0x82dfffff,
    0xffffffeb,0x00abdeff,0x7ffffed4,0x7fff644e,0x3f222dff,0xffffffff,
    0xffc8804e,0xefffffff,0xfffd9804,0xd903efff,0x19dfffff,0x80300000,
    0xfffffec8,0x003effff,0x00357751,0xffffff91,0xffffffff,0x500bffff,
    0xffffffdb,0xffffffff,0x7ffff649,0xffffffff,0xfb100bce,0xffffffff,
    0xffffffff,0x3ffb22bf,0xd703efff,0x19dfffff,0x3fffff22,0xffffffff,
    0x2a5fffff,0xfffffffd,0x91002dff,0xffffffff,0xffffffff,0x00000bff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaaaa8800,0x1aaaaaaa,0x26620000,
    0xa9800019,0xaaaaaaaa,0x2aaaa200,0xaaaaaaaa,0x5555500a,0x00355555,
    0x55555544,0xaaaaaaaa,0xaaaaa80a,0xaaaaaaaa,0x5442aaaa,0xaaaaaaaa,
    0x5553001a,0x55555555,0x55555555,0x55554401,0xaaaaaaaa,0x442aaaaa,
    0x01aaaaaa,0x2aaaaaa2,0xaaaaa80a,0x555100aa,0x30003555,0x0b880017,
    0x00000000,0x20005cc0,0x000000a8,0x0003d880,0x00017100,0x2003b800,
    0x00001998,0x20000331,0x80018800,0xfffffff8,0xefffffff,0x76544001,
    0x2effffff,0xffffb800,0x1fffffff,0xffffffb8,0xffffffff,0x3fffe21f,
    0xffffffff,0x7fd401df,0xffffffff,0x221fffff,0xffffffff,0xffffffff,
    0xfff10fff,0xffffffff,0x7dc03bff,0xffffffff,0xffffffff,0xfff301ff,
    0xffffffff,0xdfffffff,0x7fffffdc,0xfff886ff,0x21ffffff,0xffffffff,
    0x7fffdc2f,0x2006ffff,0x22006ff8,0x0000dfff,0x74c00000,0x3e2006ff,
    0x8800007f,0x3fff980a,0x70026200,0x7776d49f,0xeeec982e,0x01ff12ee,
    0x7ffffed4,0x803c9bdf,0xeffffed9,0x3f6a002c,0x7ed40cff,0xf5000cff,
    0xffffffff,0xbfffffff,0x3fffe200,0xffffffff,0x7ffd4006,0xefffffff,
    0xfffffd80,0xffffffff,0x3ffea3ff,0xffffffff,0x500cffff,0xffffffff,
    0x3fffffff,0x7fffffd4,0xffffffff,0xf50fffff,0xffffffff,0x19ffffff,
    0xffffff70,0xffffffff,0x203fffff,0xfffffffb,0xffffffff,0x3ff66fff,
    0x1fffffff,0x7fffffd4,0xfff33fff,0x89ffffff,0xfffffffd,0xff5000ff,
    0x3fea001f,0x0000cfff,0x7ec40000,0x3000ffff,0x80003fff,0xefffeca8,
    0x5ffff9ac,0x3ffb2a20,0x4fd81bdf,0x7ffffff1,0xfffffff0,0x2207fea7,
    0xfffffffd,0x01ffffff,0xffffff91,0x801bffff,0xeffffffb,0xffffff50,
    0x3ffa001d,0xffffffff,0x04ffffff,0xffffffa8,0x5fffffff,0x54000000,
    0xffffffff,0x1fffffff,0x7ffffff4,0xffffffff,0xfffa80ef,0xffffffff,
    0x7f41ffff,0xffffffff,0xffffffff,0x3ffffa0f,0xffffffff,0xffb86fff,
    0xffffffff,0xffffffff,0xffff101f,0xfffffddf,0x4dffffff,0xfffffff9,
    0xffff886f,0xf10fffff,0xffffffff,0xfffffa83,0x2e005fff,0xd1001fff,
    0x07ffffff,0x91000000,0x0bffffff,0x0006fe80,0x7fffffe4,0xffffffff,
    0xffff500f,0x3dffffff,0xfff99ff4,0x7fc43fff,0xf93fffff,0xffff981f,
    0xffffffff,0xff883fff,0xffffffff,0xf501ffff,0xdfffffff,0xfffffff7,
    0x322001ff,0xaaaadfff,0x2ffffeca,0x77fffc40,0xfffdcbcd,0x0000001f,
    0xffdaaa98,0x201aaacf,0xaaaefff9,0xfffffdba,0xacfffa85,0xfffaaaaa,
    0xffc880ff,0xaaaaaadf,0x40fffdaa,0xaaaefff9,0xfffffdba,0x567ffdc4,
    0xabfffdaa,0x01fffdaa,0x7ee7fecc,0xfaaaabff,0x7fd446ff,0x64c00aff,
    0xd809ffff,0x401abfff,0x03fffca9,0x00fffdc0,0x3fffff20,0x000002ef,
    0xffffff70,0x0060007f,0xffffe880,0xffffffff,0xff901fff,0xffffffff,
    0x3ff15fff,0x1fffff5c,0x7ffffed4,0x7445ffab,0xcbdeffff,0x4ffffffe,
    0xefffffe8,0xfffffecc,0xdffff886,0xfffffffc,0x5ffffcef,0x0fffea00,
    0x00bfffb0,0xffc80351,0x0000002f,0x01fffb80,0x202fffc0,0x542ffffc,
    0xff702fff,0x7fcc05ff,0xfffc803f,0x02fffc40,0xb8bffff2,0x7fe42fff,
    0x0fffe41f,0x7ecfff40,0x6fff80ff,0x005fffb0,0xb80ffff2,0x5c002fff,
    0x5c001fff,0x88001fff,0xeffffffd,0xd5000001,0x19ffffff,0x20000000,
    0xcdfffffd,0xfffffecb,0xfffff704,0xfffdb79d,0x260ffdff,0x7d403fff,
    0x41ffffff,0x103ffffc,0xc89ffff5,0x880cffff,0x6c4ffffa,0x3fe24fff,
    0x3e66ffff,0xf5001fff,0xff8807ff,0x2600007f,0xc9804fff,0x1eeeeeee,
    0x3ffee000,0x2fffc001,0x237ffec0,0xf982fffa,0x7cc03fff,0xffc803ff,
    0x2fffc40f,0x737ffec0,0xffc85fff,0x0fffe41f,0x7edffe20,0x6fff80ff,
    0x00dfff50,0xa803fffe,0x77643fff,0x07ffe43e,0x07ffee00,0xfffe9800,
    0x0000dfff,0xfffffd30,0x000001bf,0x7fffdc00,0x7fff440d,0x7fc40fff,
    0xff301eff,0x2603ffff,0x7d403fff,0x4c0befff,0xb801ffff,0x3fe23fff,
    0xffa804ff,0x1fffe1ff,0x0bffffea,0x200bfff9,0xe803fffa,0x326007ff,
    0xfeefffed,0xffe804ff,0x01ffffff,0x07ffee00,0x00bfff00,0x4c5fffd1,
    0x7fc41fff,0xff9805ff,0xf5274c3f,0xbfff10df,0x3fffd100,0xf90bffee,
    0xfffc83ff,0xdaffdc01,0x7ec10fff,0x3fffa04f,0x2fffd401,0xf13ffe60,
    0xffd8dfff,0xfffb8007,0xfea80001,0x00cfffff,0xffffb100,0x00003dff,
    0xfffb0000,0xffffd107,0xffb89fff,0xffe8806f,0x3ffe604f,0x27ffd403,
    0x007fff50,0xff50fffc,0x333333df,0xfff93333,0x213ffe67,0x99effff8,
    0x07fff999,0x807fff50,0x9805fff9,0xfffffffd,0x804fffff,0xfffffffe,
    0x3ee0001f,0x7fc001ff,0xfff5005f,0xfe87ff89,0xf9800eff,0x17ffc3ff,
    0xfff103b7,0x3ffea00b,0xc81fff54,0x7fdc1fff,0xb2ffd807,0x3ff91fff,
    0x7dc05ff7,0x7ff404ff,0x7ffc401f,0x3ffffea5,0x001fffa1,0x0007ffee,
    0xfffffb80,0x322003ff,0x2effffff,0x00000000,0xd10bfff1,0xfff7ffff,
    0x00fffd8f,0x40bfff70,0x5403fff9,0x3f203fff,0x326001ff,0x7ffffdc2,
    0xffffffff,0xf74fffff,0x3ffa05ff,0xffffffff,0xfa800fff,0x3ff203ff,
    0x7fd403ff,0xffffffff,0xa804ffff,0xfffffffd,0x3fee0001,0xff31001f,
    0x203333bf,0x5cc5fff8,0x0ffffe40,0x9cfff980,0x004fff99,0x200bfff1,
    0xff15fff9,0x83fff90d,0x7c405ff8,0x3fffb0ff,0x00267fff,0x201ffff1,
    0xf006fff9,0x7ffecdff,0x1bffe3ff,0x666665cc,0xcccdfffe,0x88000bcc,
    0xeffffffc,0x7fffdc02,0x50003fff,0x99999999,0x99999999,0x2fffa839,
    0x97ffff44,0x3fe1fffe,0x3fe2005f,0x3ffe607f,0x1fffd403,0x000fffb0,
    0x3fffff60,0xffffffff,0xfb6fffff,0x3fee01ff,0xffffffff,0xfa801fff,
    0xdcaaadff,0x00ffffff,0x3fffffe6,0xfffffeef,0xff70004f,0x7dc0003f,
    0x7fc401ff,0xffffffff,0x0dfff06f,0x07ffff50,0x7ffffcc0,0x004fffff,
    0x400bfff1,0x40a26fff,0x2881fffc,0x366ffa80,0x5fffffff,0x1fffe400,
    0x003fffc8,0x7ffcffff,0xfff16fff,0xfffff10b,0xffffffff,0x00ffffff,
    0x7fffec40,0x7f541eff,0x00cfffff,0xfffff300,0xffffffff,0xc8ffffff,
    0x3fa20fff,0x3fee2fff,0x07fff32f,0x00fffd80,0xa807fff3,0x3f603fff,
    0xf900007f,0xffffffff,0xffffffff,0x07fff2ff,0x7fffffec,0x1fffffff,
    0xfffffa80,0xffffffff,0x7fff400e,0xffa80acf,0xff70004f,0x7dc0003f,
    0x7fdc01ff,0xffffffff,0x7ffe81ff,0x27fffcc0,0x3fffe600,0x04ffffff,
    0x00bfff10,0xc803fff4,0x20001fff,0x3ff64ffc,0x005fffff,0x4437ffcc,
    0xd000ffff,0x3ffeafff,0xff98ffff,0xffffa84f,0xffffffff,0x0fffffff,
    0x3ffaa000,0x3624ffff,0x1effffff,0x3ffea000,0xffffffff,0xffffffff,
    0xd87fff20,0x7dc3ffff,0x7fff31ff,0x0fffd800,0x807fff30,0x3203fffa,
    0x80001fff,0xcccefffa,0xcccccccc,0xfff74ccc,0x3bfffe09,0xcccccccc,
    0xfffa800c,0xffffffff,0x7fc400df,0x7fcc01ff,0xff70004f,0x7dc0003f,
    0x7fcc01ff,0xffffffff,0x7ffd80ff,0x1bfffa20,0x3fffe600,0x04ffffff,
    0x00bfff10,0xc803fff4,0x20001fff,0x3ff61fff,0x005fffff,0x5c1fffe8,
    0x36004fff,0xfffd8fff,0xffabfffd,0xffffb03f,0xffffffff,0x007dffff,
    0x3ffff660,0xfd300dff,0x019fffff,0x3ffff600,0xffffffff,0x5c4fffff,
    0xfffb5fff,0x8fffd07f,0x7c006fff,0x3fe605ff,0x7ffd404f,0x13ffea03,
    0xfff30600,0xfa80003f,0xfff986ff,0x2a00007f,0xffffffff,0x9801ffff,
    0x32205fff,0x0004ffff,0x0003fff7,0x400fffdc,0xcefffca9,0xffd00bcc,
    0x7fffec0d,0xfff98000,0x4fffcccd,0x0bfff100,0x8037ffc0,0x0001fffc,
    0xfffffff3,0x9fff9fff,0xbfff5000,0x001fffe8,0x3febfff2,0xbefff9ff,
    0x4cc02fff,0xafffc999,0x00009999,0xffffff91,0x3faa003d,0x00cfffff,
    0x26666600,0x09999999,0x37fffe60,0xfb83ffff,0x7ffe44ff,0x7fff9003,
    0x837ffc40,0x03ffffd9,0x00ffffe2,0xfd07ff4c,0x22001fff,0x3fffe22a,
    0x7ffffec2,0x54005303,0xcaaadfff,0x401fffff,0x9bdffff8,0xfffffcba,
    0x2000bdff,0x0001fffb,0x0007ffee,0x2200bfff,0xff705fff,0x5fd105ff,
    0xf0fffe60,0x881887ff,0xf1005fff,0x3f200bff,0xf90001ff,0xffffffff,
    0x005ffd1f,0x543fffe0,0x5c005fff,0x4fffdfff,0xfffbfffd,0xfff70003,
    0x3ee00003,0x02efffff,0xfffff700,0x000007ff,0x3fff6000,0x6444ffff,
    0x7d42ffff,0x32203fff,0x7c01ffff,0xdb9adfff,0xbeffffff,0xfffff700,
    0xb7533357,0x7c47ffff,0x9aceffff,0xffffdba9,0x2ffffee4,0xffffffd9,
    0xfffdb9cf,0x7fff5006,0x3fffff30,0xfffffd80,0xffffffff,0x003fffff,
    0x0007ffee,0x001fffb8,0xa802fffc,0xff983fff,0xdff704ff,0xb0fffe60,
    0x1ffd43ff,0x4017ffe2,0x9003fffa,0x20003fff,0xfffffffe,0x43c88fff,
    0x3fff2000,0x005fffb3,0xffffffa8,0xfffff72f,0xf70001ff,0xb80003ff,
    0x3fffffff,0xffc88000,0x002effff,0x7c400000,0x9aefffff,0x6fffffca,
    0x7dffffd0,0xffff9535,0xfff9009f,0xffffffff,0x409fffff,0xfffffffc,
    0xffffffff,0x7fffdc1f,0xffffffff,0x7f46ffff,0xffffffff,0xffffffff,
    0xa800ffff,0xff303fff,0xffd00dff,0xffffffff,0x9fffffff,0x0fffdc00,
    0x3fff7000,0x05fff800,0x885fffb0,0x3605ffff,0xfff307ff,0xffc81307,
    0x02fffc46,0x001fffd8,0x0003fff9,0x3333fff1,0x3201fffb,0xff8800ef,
    0x07fff9ff,0xfffff980,0x3fffe27f,0xf70007ff,0x2a0003ff,0xcffffffe,
    0x6c400000,0x1dffffff,0x20000000,0xfffffffd,0xefffffff,0xfffff100,
    0xffffffff,0x7fec007f,0xffffffff,0x404fffff,0xfffffffd,0x2fffffff,
    0xfffffd50,0xffffffff,0xfffe885f,0xfd8bffff,0xffffffff,0x7fff5006,
    0x27fffcc0,0x7ffffdc0,0xfffacfff,0x2e000eff,0x20001fff,0x4001fffb,
    0xfd805fff,0x7ff40fff,0x3ff600ef,0x3fff980f,0x88fffd00,0xfd805fff,
    0xf9000fff,0xf70003ff,0x1fffb0bf,0x400bffe0,0xfffefffd,0xfff88003,
    0x7ff45fff,0x70007fff,0x98003fff,0xdffffffd,0x4c000001,0xcffffffe,
    0x40000000,0xfffffffc,0xdfffffff,0x7ffec400,0xffffffff,0xfffd8002,
    0xffbbefff,0xd9800dff,0xffffffff,0xfc800bef,0xffffffff,0x3f600bef,
    0x7ec3ffff,0x02dfffff,0x00fffea0,0x005ffff5,0x03579751,0x70007ff1,
    0x40003fff,0x4001fffb,0xb5105fff,0xfc85ffff,0x7ec01fff,0xfff980ff,
    0x8fffd003,0x5105fff8,0x005ffffb,0x000fffe4,0x7ec1ffec,0xfff880ff,
    0xffff5004,0x20001fff,0x42ffffff,0x06fffffb,0x03fff700,0x7ffffe40,
    0x000001ef,0x7ffff540,0x764002ff,0x7ffdc003,0xfffffddf,0x54001cef,
    0xefffffec,0x2a20001c,0x00001abc,0x55e654c4,0x7530001a,0x80013579,
    0x2e201ba8,0x654001bc,0x1ceefffe,0x7bffff90,0x3fea0000,0xeeda8330,
    0xeefffeee,0x2e21ceee,0xfffeeeed,0xa82deeee,0xeeeffffd,0xfffffffe,
    0x7ffffc45,0xeeeeeeee,0x32a0ffff,0xeeeefffe,0xffeeeeee,0x3fff6a7f,
    0xfffeeeef,0x5404ffff,0xefffeeed,0x37201cee,0xec8befff,0xeeeeffff,
    0x004fffee,0x17fffffa,0xffffe800,0x7fffc40f,0xff70005f,0x3fe6003f,
    0x0002ffff,0x7fdc0000,0x3000ffff,0x7c003fff,0x5d445fff,0x51000009,
    0x00000159,0x00000000,0x00000000,0xf3000000,0xffffffff,0x3fffa01f,
    0xf00001ff,0x2a3ffddf,0xffffffff,0xffffffff,0xfffff90f,0xffffffff,
    0x7ffc45ff,0xffffffff,0x40dfffff,0xfffffff9,0xffffffff,0xffff10ff,
    0xffffffff,0xffffffff,0x3fffffe6,0xffffffff,0x7fd405ff,0xffffffff,
    0xffb80fff,0xffffffff,0xffffffff,0x004fffff,0x07ffffee,0xffffd800,
    0x9ffffd05,0x1ffe6000,0x3ffff980,0x00000000,0x03ffff22,0x007ffc40,
    0x000bffd0,0x00000000,0x00000000,0x00000000,0x80000000,0xfffffff9,
    0xff101fff,0x00005fff,0xb9bfffee,0xffffffff,0xffffffff,0xfffffb1f,
    0xffffffff,0x7ffcc7ff,0xffffffff,0xf303ffff,0xffffffff,0xffffffff,
    0x3ffffe61,0xffffffff,0x37ffffff,0xffffffff,0x7fffffff,0xfffff700,
    0xffffffff,0xfffff901,0xffffffff,0xffffffff,0x7c4009ff,0x40006fff,
    0x702ffffc,0x0007ffff,0x2e001f64,0x000000be,0x5d930000,0x002da800,
    0x00001e44,0x00000000,0x00000000,0x00000000,0xc8000000,0xeffffffe,
    0x277fdc03,0x36e20000,0x3ffb220a,0xffffffff,0x3663efff,0xffffffff,
    0x40ceffff,0xffffffeb,0x00abdeff,0x3fffffe6,0xffffffff,0x3fb20fff,
    0xffffffff,0xffffffff,0x3ffffb27,0xabdeffff,0xffd91000,0xdfffffff,
    0x3fff6207,0xfffd8dff,0xffffffff,0x6c004fff,0x40003fff,0x100ffffb,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00031000,0x00cccc40,0x09998800,0x004c4000,0x36e20031,0x0027540b,
    0x00003bb1,0x31000013,0x776d4001,0xeec982ee,0x98002eee,0x54003301,
    0x41ceeeed,0x1ceeeeca,0x77776dc4,0x776541ce,0x000bdeee,0xeeb98000,
    0x2e202dee,0x30bdeeed,0xdddddddd,0x3ddddddd,0xeeeeec98,0xd93001ee,
    0x6447bddd,0x03deeeee,0x00cc0026,0x00005d90,0x04c88172,0x00000aa2,
    0x03795100,0x80359730,0x30099998,0x40001597,0xdfffeca8,0x32a2001b,
    0xeffffffe,0x7fe44002,0xdbbeffff,0x3ff6e202,0x3fa62eff,0x3fa00dff,
    0x3ffe25ff,0xbcedb88e,0x4c6fff88,0x23eeeeec,0x02dfffd9,0xb15dddb7,
    0x03bfffff,0x7fffffcc,0xffffff83,0xeeedb83f,0x71efffba,0x4039dfff,
    0xfffffff9,0x3ffffe26,0x7ffec7ff,0x226fffff,0xffffffff,0x4407b64f,
    0x3fa000df,0x01ffffff,0xfffffff9,0x3ffffea9,0xffffffff,0x7fff42ff,
    0x001fffff,0xfffffffd,0x3fffff65,0xffc82fff,0x027fdc02,0x0003ffcc,
    0x2603ff62,0x3f6e26fe,0x598005ff,0x7fff5400,0xfe980dff,0x3604ffff,
    0x6c41ffff,0x004fffff,0xffffffa8,0x401effff,0xfffffff8,0x006fffff,
    0xfffffff9,0x20ffffff,0xfffffff8,0xffffbcff,0xffa80eff,0xfff10fff,
    0xffffffdf,0xe8ffffff,0x8cffffff,0xfffffffd,0x7ffffd46,0xfffffffe,
    0xfff303ff,0xff887fff,0x543fffff,0xffffffff,0xfffeffff,0xf501ffff,
    0x4dffffff,0xfffffff8,0x3ffffa0f,0x3e26ffff,0xffffffff,0x220bffa5,
    0xfd001fff,0x05ffffff,0x3ffffff2,0xfffff55f,0xffffffff,0xfffe85ff,
    0x001fffff,0xfffffffd,0x3fffffa7,0xfff83fff,0xffff702f,0x03fff700,
    0x0fffa200,0xfc87ffea,0x4005ffff,0xf3005fe8,0x7ffd9dff,0xfddfff98,
    0xffff04ff,0xfffff88b,0x32005fff,0xffffffff,0x203fffff,0xfffffffa,
    0x05ffffff,0x7fffffe4,0xffffffff,0xfffffb81,0xffffffff,0x41ffffff,
    0x5c6ffff8,0xffffffff,0x2fffffff,0x7ffffff4,0xfffffffe,0x3fea3fff,
    0xffffffff,0x02ffffff,0x07ffffd7,0x7fffffb5,0xffffffb8,0xffffffff,
    0x06ffffff,0x3ffffff2,0x7ffffdc2,0x7ffecc2e,0x75c2efff,0x1dffffff,
    0x2a0fffe2,0xd9802fff,0x314effff,0x3ffb6233,0xfff50dff,0xffffffff,
    0xda81ffff,0x1fffffff,0xffffb500,0x3ffa619f,0xd80dffff,0x7dc2ffff,
    0xfb804fff,0xf98001ff,0xfffb83ff,0x7fd66cc2,0x7ffec005,0xc8399003,
    0x07ff60ff,0xff981ffd,0x7ffec1ff,0x03fffebe,0xefffffb8,0xffffedbc,
    0xffff101f,0xffb979bd,0x3fe203ff,0xecbcefff,0x881fffff,0xfeccefff,
    0xfcefffff,0xfeb85fff,0xffffc82e,0xffffffff,0xfffda82f,0xffffffff,
    0x643fffdc,0xeffffffe,0x6ffffdcc,0x01fffcc0,0x320fffea,0xcdfffffe,
    0xcdffffff,0x2200ffff,0x30effffd,0x009fffff,0xd807fff9,0x3e603fff,
    0xfffa85ff,0x8fffd003,0x3e22fffb,0x7ffcc5ff,0xfffff982,0x3fff7001,
    0x8dfff000,0x00efffe9,0x97ffff44,0x885ffffb,0x20fffdc1,0x3ffee009,
    0x02fffc84,0x32005ff8,0x002fffff,0xea83ff20,0x5c1ffb82,0x7fcc4fff,
    0x03ffe42f,0x07bfffe2,0x03ffffd4,0xffc80351,0x9fff502f,0x3fff6201,
    0xfd015100,0x7fc4bfff,0x4c0101ff,0xb8adffff,0x9807fffe,0xbfffffff,
    0x26033660,0x883fffff,0x2600fffe,0x7d403fff,0xfff303ff,0x7fffdc7f,
    0x00bffee3,0x2fbffff2,0x003fffff,0x201ffff1,0x9807fff9,0x7d40dfff,
    0xffc804ff,0x97fffa1f,0xff83fffb,0x7fffcc0f,0x3fee001f,0xfff8001f,
    0x0fffff26,0xffffe880,0xb85ffffd,0xffc9cfff,0x0fffdaaf,0x444fffc8,
    0xf002fffd,0x3fee00bf,0x001fffff,0x01bff72e,0x7ec37fcc,0x37fd40ff,
    0x7007ffc4,0xd100dfff,0x80005fff,0xf504fff9,0x74401dff,0xff70004f,
    0xfffc83ff,0xfffb8005,0x03fffd04,0xffffff98,0xfff98001,0x3ffee02f,
    0x0fffe602,0x207fff50,0x7cc4fff9,0x7ffd44ff,0xffff7002,0x005fffff,
    0xb03fffd8,0x26007fff,0x7dc0efff,0x3ea00dff,0xffff33ff,0x07fff61f,
    0xfff30f6a,0xfb8003ff,0xff8001ff,0xefffe9ef,0xffe88001,0xd05fffff,
    0xffffffff,0x7fffffff,0x444fffd8,0x2003fffe,0xff9805ff,0x0effffff,
    0xfffffb80,0x2fffa800,0x5c27ffc4,0x3ffd04ff,0x007ffec0,0x404fffb8,
    0xefffedc9,0xf104fffe,0x59bfffff,0x5cc00413,0xfffeefed,0xff99999e,
    0xffd8007f,0x7fff701f,0xdffff980,0xfff30000,0x3fffa807,0x00fffe60,
    0x2607fff5,0x7fcc3fff,0x17ffd43f,0xfffff500,0xf30003df,0xfff10fff,
    0x7fcc001f,0x7ffdc1ff,0xbfff100e,0x4ffffff6,0x26007fff,0x001fffff,
    0x001fffb8,0xfffffff8,0x220003ff,0x05fffffe,0x3fffffee,0xffffffff,
    0xbfffd11f,0x03ffff98,0x2202ffc0,0xff9effff,0xdb8806ff,0x7dc05fff,
    0xfffa82ff,0x40fff980,0x7fc07ff9,0x3fe2005f,0xfffb306f,0xffffffff,
    0x7ffdc09f,0xefffffff,0x7ffec402,0xffffffff,0xffffffff,0x7ffc000f,
    0x17ffe206,0x00bfff30,0x03fff980,0x301fffd4,0xfa807fff,0xfff303ff,
    0x43fff987,0x4002fffa,0x04fffffe,0x0ffff600,0x0009fff9,0xc85ffff5,
    0xfd01ffff,0xfffff1ff,0x0bfff1df,0x3ffffea0,0xfff70001,0xffff0003,
    0x09ffffff,0x7fffe400,0x7fecc03f,0xffffffff,0x3ffa60cf,0x3ffea0ef,
    0x2ffc004f,0x1dfffd10,0x013fffea,0xb107ffb0,0x3f203dff,0xbfff103f,
    0x81bffaa3,0x4003fff9,0x7d40fffd,0xffffffff,0x404fffff,0xfffffffb,
    0xb80dffff,0xffffffff,0xffffffff,0x01ffffff,0x807fff40,0x4c04fff9,
    0x40004fff,0x5403fff9,0x3e603fff,0x7fd403ff,0x7fff303f,0x543fff98,
    0xd1002fff,0x9fffffff,0x3ffe6000,0x03fffe27,0xdfffd100,0x6ffffcc3,
    0xfbfff900,0xf9ffffff,0xff5007ff,0x40001fff,0x8001fffb,0xfeefffff,
    0x4000efff,0xfffffffc,0xfffa8802,0x2201dfff,0x260efffd,0x2004fffe,
    0x3ff605ff,0x7ffdc1ff,0x3fe2003f,0x06fffd45,0x5c01ffd0,0xffffffff,
    0x3ffe601f,0x7ffec003,0x3ffffe60,0xffffeeff,0xd95004ff,0xffffffff,
    0x7fffcc1d,0xffffefff,0xffffffff,0x64001fff,0xffb03fff,0xfff9805f,
    0x7fcc0004,0x7ffd403f,0x0fffe603,0x207fff50,0x7cc3fff9,0x7ffd43ff,
    0xfffe8802,0x0dffffff,0x3fffd800,0x8009fff9,0x20dfffe8,0x403ffff9,
    0xfffffffa,0xfffffffc,0x7fffd401,0x7dc0000f,0xff8001ff,0xfffd13ff,
    0x7fe400bf,0x2fffffff,0xfffffa80,0xffb800ff,0x3ff620ef,0x0bff004f,
    0x40bfffea,0x221ffffc,0x24ffa80a,0x0443fffc,0xf9007ff1,0x07ffffff,
    0x800dfff0,0x7ff45fff,0xfa80acff,0x402604ff,0xffffdb98,0x2bffff23,
    0x677ffdc0,0xcccccccc,0x7ffd4000,0x3ffee22e,0x7ffcc00f,0x7fcc0004,
    0x7ffd403f,0x13ffe603,0x207fff50,0x7cc3fff9,0x7ffd43ff,0x7fffcc02,
    0xdffffb3f,0xfff98001,0x00ffff8f,0x0ffffa20,0x003ffff3,0xdffffff1,
    0x3ffffffe,0x3fffea00,0x00cd980e,0x001fffb8,0xfd86fff8,0xfc802fff,
    0xffe8dfff,0x3fe202ff,0x05ffffff,0x81dfff30,0xea84fffb,0xefffffff,
    0x807fffb0,0x3fa4fffd,0xffffeeff,0xffffff50,0x3e21ffff,0x3ffaa004,
    0xff9001df,0x3ff2007f,0x3fffe23f,0x27ffcc01,0x9800ffd8,0x3ff26fff,
    0xffff701f,0x98062000,0xfcffffff,0x400fffff,0x0004fff9,0x201fffcc,
    0x2203fffa,0xfb306fff,0x3e607fff,0x7ffcc3ff,0x017ffd43,0x85fffff5,
    0x01fffffc,0x7f7ffec0,0x3a2004ff,0x7fcc1fff,0x3fa000ef,0xff93ffff,
    0x7d40dfff,0xfb00efff,0xfff7007f,0xdfff0003,0x01bfff60,0x44bffff7,
    0xb02ffffe,0xfff3dfff,0x3fa2007f,0x7ffcc0ef,0x7ffffdc5,0xff71ffff,
    0x3ffd1009,0x7fffffd4,0x3ffea1df,0x1fffffff,0x00010000,0x407ffff5,
    0x21ffffc8,0x2205fff9,0xf04ffffc,0xf8803bff,0x3ffea7ff,0xffffe984,
    0xfc815503,0x7ffc43ff,0xffffffff,0x2600efff,0x40004fff,0x5403fff9,
    0x7fc03fff,0xfdb9acff,0x0befffff,0x261fffcc,0x7fd43fff,0xfffc982f,
    0x7fd41eff,0x000cffff,0xfffffff5,0x3ffa2001,0x27ffcc0d,0x7fffe400,
    0xfffff30f,0x3fffea09,0xeeeeeeef,0x3b6a5fff,0xefffeeee,0x441ceeee,
    0xcdffffdb,0x3bfffe21,0x3ffe22ce,0xfffe885f,0x0ffff986,0x800ffff7,
    0xfd885ffc,0x4cccc43f,0x00298199,0xaaa98054,0x99998809,0x00199999,
    0xfe800000,0xa9abefff,0x45fffffb,0x9bdffff8,0xfffffcba,0xff30bdff,
    0x3355bfff,0x4bffff95,0xaadffff8,0xfffffffc,0x6fffdb9c,0xd1ffffe2,
    0xffffffff,0xbfffffff,0x7ff76dc4,0xdeeeeeff,0x3ffb2202,0xfeb82cef,
    0xf900beff,0xffffffff,0x7fffffff,0x5f7ffedc,0x17dfff30,0xf0fbffea,
    0xffffffff,0x7fffffc4,0x3fa006ff,0x2004ffff,0xffd04ffd,0x3fea0005,
    0x7ffec5ff,0xffffb02f,0xffffffff,0x3feadfff,0xffffffff,0x0fffffff,
    0x3ffffff6,0x7ffdc5ff,0x3fe0ffff,0x3ffa205f,0x42fff984,0xa8007ffd,
    0x017f207f,0x00000000,0x00000000,0x3fe20000,0xffffffff,0xd80effff,
    0xffffffff,0xffffffff,0xffff13ff,0xffffffff,0xfc83ffff,0xffffffff,
    0xffffffff,0xf30fffff,0x3e61ffff,0xfffcbfff,0x7fffcbef,0x3ffffff6,
    0xffffffff,0xffffb01f,0x7dc1ffff,0x03ffffff,0x3ffffff6,0xffffffff,
    0xfffff54f,0x3ffe69ff,0xffff54ff,0x3fffe27f,0x3e27ffff,0x6fffffff,
    0x3fffea00,0x0bf2000f,0x20000ee8,0x542ffff8,0xfb00ffff,0xffffffff,
    0x2dffffff,0xfffffffb,0xffffffff,0x3fff61ff,0xe86fffff,0x21ffffff,
    0xbc8804da,0x3607d900,0x0110002e,0x00000008,0x00000000,0x00000000,
    0x3fffff62,0x0dffffff,0x3fffffa0,0xffffffff,0x3fa4ffff,0xffffffff,
    0x902fffff,0xffffffff,0xffffffff,0xfe8bffff,0x17ff45ff,0x9ff90262,
    0x7ffffff4,0xffffffff,0xffffd02f,0x7dc1ffff,0x04ffffff,0x7fffffec,
    0xdffffbbe,0xffffff70,0x3fffe6bf,0xfffff54f,0x7fffed49,0x7ff5c2df,
    0x4002dfff,0x0005fffe,0x3a000000,0xdfff07ff,0x7ffffec0,0xffffffff,
    0xffd916ff,0xffffffff,0xd987dfff,0x2dffffff,0x4effff98,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdb500000,0x39dfffff,0x3fffee00,
    0xffacffff,0x3aa0dfff,0xffffffcd,0x5c00bfff,0xccffffff,0xfffffcbf,
    0x039502df,0x8530002a,0xffffffd9,0x4effffff,0x3ffff6a0,0x7f6443ef,
    0x8800dfff,0x2001abba,0xdffffec8,0x1bffff31,0x033fffea,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32a20000,0x7510000a,0x00003579,0x26af2eaa,
    0x565cc000,0x006f2a00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66666654,0xcccccccc,0x20cccccc,0x51009999,0x99880359,
    0x99999999,0x01999999,0x00d65d44,0xf897fffe,0x99504fff,0x00300005,
    0x88004404,0x2a02a201,0x303b702d,0x55555555,0x55555555,0x70355555,
    0xfffffffd,0xffffffff,0x7dffffff,0x5dddddcc,0xbbbbbbbb,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffd400,0xffffffff,0xffffffff,0x17fffe1f,0xdfffffd3,
    0xfffffb03,0xffffffff,0x87ffffff,0xfffffff9,0x13fffa05,0xd887ffff,
    0x101effff,0x013f2015,0x07ff1bf2,0x642fffc8,0x3fe63fff,0x87ffd40f,
    0xfffffff8,0xffffffff,0xffffffff,0x3fffe66f,0xffffffff,0xffffffff,
    0xf71fffff,0xffffffff,0x03ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffc,
    0xffffffff,0x21ffffff,0x3ea4fffe,0xffffdfff,0x3ffffe21,0xffffffff,
    0x7fffffff,0x76f7ffdc,0xfffb03ff,0x22fffe87,0xfffffff8,0x07ff442f,
    0xfb102fec,0x04ffe89f,0x44dffff1,0x3ea7ffff,0x7ffdc1ff,0xffffff51,
    0xffffffff,0xffffffff,0x3fe63fff,0xffffffff,0xffffffff,0x0fffffff,
    0xfffffff7,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffd880,0xffffffff,
    0xffffffff,0x4cffff61,0x3ae22eff,0x3fffa0ff,0xffffffff,0xffffffff,
    0x0df90085,0xfb0bfff2,0x3ffa23ff,0x3fffffff,0xb05fffd1,0xffd303df,
    0x1dffd10b,0x0fffff98,0x21fffff3,0xfe885fe8,0x3ffffe24,0xffffffff,
    0xffffffff,0x76547fff,0xeeeeeeee,0xeeeeeeee,0x2e2ceeee,0xffffffff,
    0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26666660,0x99999999,0x321fffc9,
    0x3ff92fff,0x730ffea0,0x99999999,0x79999999,0x3bb2e203,0xfb80ffdd,
    0x7ffe41ff,0x55ffff70,0xffbfffff,0x3ff60fff,0x0fffea2f,0xe81dff90,
    0x7ff44fff,0x8040084f,0xaaaaaaa9,0xaaaaaaaa,0x01aaaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7dc3fff9,0x80bfd1ff,0x000005fe,
    0x3ffffea0,0xfa80ffff,0x27ffa87f,0x3a21fffb,0xffffffff,0x7fe5cd42,
    0x005fff15,0x32a17fee,0x00037301,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a1fffc8,0x0bfd0fff,0x00004ff8,0x7dfff500,
    0x301ffb97,0xdff30fff,0xfd80f644,0x4c1fffff,0x24ffdfff,0x74c001dd,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf987fff2,0x40bff27f,0x99883ffb,0x99999999,0xd8099999,0x0ffb80ef,
    0xff10dff0,0xffd5000b,0x3fffa039,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x90000000,0x6ff83fff,0x26b7ffe2,
    0x7dc6ffeb,0xffffffff,0xffffffff,0x2bbf62ef,0xbfffda99,0xff04fe81,
    0x80040009,0x0000bdb9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf07fff20,0xffff98bf,0x220effff,0xffffffff,
    0xffffffff,0x3e27ffff,0xffffffff,0x03fc87ff,0x000005fb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x27ec1fff,0x77fff644,0xfffffd03,0xffffffff,0x8bffffff,0xbcfffeb8,
    0x02883dee,0x000000a2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x01ea87ff,0xccb88008,0xcccccccc,
    0xaccccccc,0x00000200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d900000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_43_latin_ext_x[560]={ 0,8,4,2,3,2,4,8,10,4,3,1,7,3,
8,3,3,3,2,2,2,2,4,2,3,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,5,1,-1,3,-1,-2,5,1,5,5,7,0,2,8,7,6,5,1,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_43_latin_ext_y[560]={ 31,6,8,4,4,7,9,7,6,6,7,9,25,18,
26,4,6,6,6,6,7,7,6,7,6,6,14,14,9,14,9,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,4,7,5,38,5,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,8,14,14,14,14,14,14,6,7,6,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,31,14,4,7,11,8,
7,6,7,8,6,15,18,18,8,2,3,4,6,6,5,14,7,16,29,6,6,14,6,6,6,14,-1,-1,0,1,
1,-1,8,7,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,12,6,-1,-1,0,1,-1,8,6,5,5,
6,7,7,5,13,13,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,9,12,5,5,6,7,5,6,7,
2,8,0,6,8,13,-1,5,0,6,0,6,0,6,0,6,8,6,2,8,0,6,0,6,8,13,0,6,0,6,
0,6,0,6,7,4,0,0,8,6,1,7,2,8,0,6,8,6,0,14,8,6,0,6,8,6,14,-1,-1,8,
6,8,6,8,6,8,6,-1,5,8,13,0,6,7,7,13,2,8,0,6,-1,5,8,13,-1,5,8,13,0,6,
-1,5,0,6,7,13,0,6,8,8,0,6,8,8,1,7,2,8,0,6,-1,5,-1,5,8,14,0,6,0,6,
1,-1,5,0,6,0,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,12,7,7,7,7,7,7,7,7,7,7,7,7,7,3,13,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,6,0,6,0,
6,0,6,-1,2,-1,0,-1,0,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-8,-2,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_bold_43_latin_ext_w[560]={ 0,7,14,19,17,18,17,6,9,10,17,21,9,17,
7,17,17,17,18,19,18,19,17,18,17,18,7,10,23,23,23,17,16,25,22,21,21,21,22,22,23,17,22,23,
21,25,24,23,20,23,24,19,21,23,25,25,23,23,19,10,17,10,17,27,9,21,23,20,23,20,20,22,23,19,
15,21,19,25,22,21,23,23,20,19,21,22,23,24,23,23,17,11,5,11,19,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,17,20,19,23,
5,21,13,24,14,21,23,17,24,27,13,21,12,12,9,22,19,7,8,11,13,21,23,27,23,16,25,25,25,25,
25,25,25,21,21,21,21,21,17,17,17,17,22,24,23,23,23,23,23,17,23,23,23,23,23,23,20,21,21,21,
21,21,21,21,25,20,20,20,20,20,19,19,19,19,20,22,21,21,21,21,21,21,22,22,22,22,22,23,23,23,
25,21,25,21,26,23,21,20,21,20,21,20,21,20,21,26,22,23,21,20,21,20,21,20,23,20,21,20,22,22,
22,22,22,22,22,22,23,23,23,23,17,19,17,19,17,19,17,19,17,19,23,23,22,15,23,21,23,21,19,21,
19,21,19,21,19,22,19,24,22,24,22,24,22,24,21,19,23,21,23,21,23,21,25,25,24,20,24,20,24,20,
19,19,19,19,19,19,19,19,21,21,21,24,21,21,23,22,23,22,23,22,23,22,23,22,23,23,25,24,23,23,
23,19,17,19,17,19,17,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,20,20,19,20,20,20,
20,20,20,20,20,20,20,20,20,20,25,22,20,20,20,20,20,20,20,20,20,20,20,20,20,26,25,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,21,17,19,23,
21,23,22,23,22,23,22,23,22,23,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,25,21,25,25,23,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_bold_43_latin_ext_h[560]={ 0,26,11,31,32,25,23,12,31,31,16,22,13,4,
6,32,26,25,25,26,24,25,26,25,26,26,18,22,22,12,22,25,29,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,30,23,25,23,24,23,23,23,23,23,30,32,30,14,5,7,19,26,19,26,19,25,26,25,25,
33,25,25,18,18,19,26,26,18,19,24,18,17,17,17,25,17,31,30,31,9,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,25,29,24,18,23,
30,29,5,24,12,16,13,4,24,4,13,27,14,14,8,25,28,6,9,14,12,17,25,25,25,25,32,32,31,30,
30,32,23,32,32,32,31,30,32,32,31,30,23,30,33,33,32,31,31,16,28,33,33,32,31,32,23,26,27,27,
26,25,25,27,19,25,27,27,26,25,26,26,25,24,25,24,27,27,26,25,25,22,22,27,27,26,25,34,33,32,
29,24,31,26,28,23,33,27,32,26,32,26,32,26,31,26,23,26,29,24,31,26,31,26,28,24,31,26,32,33,
32,33,32,33,32,35,31,31,23,25,30,24,29,23,31,25,29,31,31,17,24,33,32,33,31,33,17,32,32,31,
33,23,25,23,25,23,25,32,26,31,26,31,25,24,25,26,30,24,32,26,33,27,23,19,32,26,31,26,31,25,
33,27,32,26,32,25,32,26,34,33,31,26,23,24,31,25,30,24,32,26,33,27,33,27,29,23,31,25,31,33,
30,32,26,31,25,31,25,25,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,24,24,30,24,24,24,
24,24,24,24,24,24,24,24,24,24,25,20,24,24,24,24,24,24,24,24,24,24,24,24,24,29,19,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,31,26,31,25,32,
26,32,26,33,30,33,32,33,32,33,33,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,39,34,32,27,35,29,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__courier_bold_43_latin_ext_s[560]={ 511,504,85,233,408,188,307,25,99,109,387,
275,483,235,157,364,1,23,487,167,430,401,187,271,270,19,91,496,321,46,297,
493,137,235,373,121,153,131,467,201,169,70,449,50,325,419,25,224,214,415,1,
61,175,472,223,249,98,74,111,275,249,404,439,179,139,23,93,439,69,460,426,
425,469,343,282,447,363,186,140,1,1,401,119,45,408,163,236,282,212,1,307,
495,505,499,100,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,511,501,198,
259,99,1,462,176,165,142,70,405,1,235,95,207,493,384,470,457,129,403,289,
149,120,427,32,260,259,231,207,495,293,382,295,286,358,447,197,473,319,227,477,
336,340,494,321,468,88,49,322,369,89,1,431,369,333,417,441,426,364,358,193,
47,24,46,471,138,290,452,65,312,474,133,294,160,252,232,181,388,117,167,68,
90,81,333,379,345,367,222,176,456,248,74,465,450,240,345,25,479,357,26,236,
112,1,359,43,380,318,348,77,205,146,410,154,238,147,103,169,288,309,367,253,
315,113,189,136,346,181,25,204,27,209,99,122,355,486,280,74,50,277,421,92,
257,191,325,300,393,341,489,123,116,345,159,427,455,138,490,41,445,81,396,101,
382,58,388,144,339,143,213,166,124,312,73,1,434,48,154,347,481,25,327,74,
389,232,304,72,432,407,369,23,383,474,38,98,182,210,245,285,120,50,25,25,
190,65,336,158,199,92,1,216,261,160,48,186,1,1,275,309,120,493,140,325,
283,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,1,324,324,384,
324,324,324,324,324,324,324,324,324,324,324,324,324,461,390,324,324,324,324,324,
324,324,324,324,324,324,324,324,110,413,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,51,272,
413,441,204,25,228,448,298,439,258,252,212,295,165,142,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,1,120,267,406,50,266,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324, };
static unsigned short stb__courier_bold_43_latin_ext_t[560]={ 1,141,406,141,41,286,338,406,108,108,386,
362,386,406,406,74,232,286,259,232,312,259,232,259,204,232,386,312,362,406,362,
232,173,338,338,286,362,362,338,259,338,362,312,338,338,338,338,259,338,141,362,
286,362,312,362,362,338,338,362,141,74,141,386,406,406,386,259,362,259,362,286,
232,286,286,1,286,286,386,386,386,259,232,386,386,312,386,386,386,386,312,386,
74,1,108,406,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,
312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,1,204,173,
312,386,338,141,173,406,312,406,386,406,406,312,406,386,173,386,386,406,286,173,
406,406,386,406,386,286,286,286,173,74,41,108,141,141,74,362,74,74,74,108,
141,41,41,108,141,362,173,1,1,75,141,108,386,173,1,1,41,108,41,338,
259,204,204,232,259,259,173,386,259,173,204,232,259,232,232,259,312,259,312,204,
204,232,259,259,362,362,204,204,204,259,1,1,41,173,312,141,204,173,362,1,
204,75,232,75,232,41,204,141,232,338,204,173,312,141,232,141,204,173,312,141,
232,75,1,75,1,75,41,74,1,141,141,338,259,141,312,173,362,108,259,173,
108,141,386,312,1,74,1,141,41,386,75,74,108,41,338,286,338,286,338,286,
74,232,108,232,108,286,312,286,232,141,312,108,204,41,204,338,362,108,204,108,
204,108,286,41,173,74,204,75,286,41,232,1,41,108,204,338,312,108,312,173,
312,75,232,41,204,41,204,173,338,108,312,108,41,173,41,204,108,286,108,286,
286,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,286,312,312,141,
312,312,312,312,312,312,312,312,312,312,312,312,312,259,362,312,312,312,312,312,
312,312,312,312,312,312,312,312,173,362,312,312,312,312,312,312,312,312,312,312,
312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,141,232,
108,259,41,259,41,232,1,141,1,41,1,41,1,1,312,312,312,312,312,312,
312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,
312,312,312,1,1,74,173,1,173,312,312,312,312,312,312,312,312,312,312,312,
312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,
312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,
312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,312,
312,312,312,312,312,312,312,312,312, };
static unsigned short stb__courier_bold_43_latin_ext_a[560]={ 364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_43_latin_ext(stb_fontchar font[STB_FONT_courier_bold_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_43_latin_ext_s[i] + stb__courier_bold_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_43_latin_ext_t[i] + stb__courier_bold_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_43_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_43_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_43_latin_ext_x[i] + stb__courier_bold_43_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_43_latin_ext_y[i] + stb__courier_bold_43_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_43_latin_ext_s[i] + stb__courier_bold_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_43_latin_ext_t[i] + stb__courier_bold_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_43_latin_ext_x[i] + stb__courier_bold_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_43_latin_ext_y[i] + stb__courier_bold_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_43_latin_ext_LINE_SPACING
#endif

