// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT        508
#define STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_48_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_48_latin_ext_LINE_SPACING          23

static unsigned int stb__courier_bold_48_latin_ext_pixels[]={
    0x00000000,0x0000ae00,0x00991000,0x00010000,0x00000000,0x00000b98,
    0x00000e44,0x00000010,0x00003910,0x00008010,0x00000200,0x072200ee,
    0x00880000,0x00326000,0x4ccccc40,0x01999999,0x00000000,0x000000a8,
    0x00000440,0x0000076e,0x00000a80,0x00076cc0,0x007f9000,0x7fd40000,
    0x2000000f,0xff3006fc,0xffffffff,0xffffffff,0x20009fff,0x00004ffb,
    0x0013ffa6,0x0013ee00,0xffe98000,0x3e600004,0x005fc81e,0x67fed400,
    0xff980000,0x0037ec01,0x006fa800,0x05fff700,0xfffff980,0xffffffff,
    0xbd700005,0xff100003,0x0000001f,0x0000bfea,0x0002fff8,0x01ffe800,
    0xfff50000,0x2a000005,0x0000005f,0x0013ffee,0x37fec400,0xfffff980,
    0xffffffff,0xffffffff,0xfffd8004,0xff900001,0x0003dfff,0x0077fcc0,
    0x3ff20000,0x0001efff,0x3a67ffd0,0x200002ff,0x06fedffa,0x0eff9800,
    0x000bff50,0x007ff900,0xffffe880,0x32e000df,0xcccccccc,0x80001ccc,
    0x0006fffb,0x002fffa8,0x7fec4000,0x80000dff,0x0003fffc,0x13ffe200,
    0x3fee0000,0x1000005f,0x000001df,0x013fff60,0x7ff4c000,0xfff3001f,
    0xffffffff,0xffffffff,0x744009ff,0x80002fff,0xffdfffe9,0x200004ff,
    0x0001ffe9,0xdfffe980,0x0004ffff,0xdffdff90,0xfe800003,0x0000bf20,
    0x226fbffa,0x002fffca,0x0fff6200,0xffff7000,0x005ffffb,0x80000000,
    0x001ffffe,0x027ffdc0,0xfff50000,0x005fffff,0x0bfff700,0x3fea0000,
    0x6c00006f,0x00004fff,0x00033ea0,0xfffd1000,0x2a000005,0x2000efff,
    0xfffffff9,0xffffffff,0x04ffffff,0x03dfff30,0xffff5000,0x1bfff625,
    0x7ec41800,0x8000440f,0xb12ffffa,0x2000dfff,0x227ff4c1,0x7cc00008,
    0x0002fcc5,0x7fffffc4,0x0004ffff,0x107ff606,0x7ffe4001,0x7fffd51e,
    0x04400600,0xfffc8000,0x7e40000f,0x000004ff,0xf55dfffb,0x0000bfff,
    0x001dfff5,0x7ffe4400,0xfd00001e,0x000005ff,0x002fffc8,0x3bff2000,
    0xf5000001,0xf3000bff,0x93333fff,0x3333dfff,0x2009fff9,0x0000effe,
    0x701bffd0,0xd0005fff,0x21ec81df,0xe8002ffb,0xffb80dff,0x3fe2002f,
    0x7fcc1c85,0x23fc0004,0x100003fb,0xfffffffb,0x77f40007,0xff7037a0,
    0x7fff3005,0x01fff910,0x2e00ffe8,0x880002ff,0x80003ffe,0x0004fffc,
    0x0dfffb80,0x00ffff62,0x13ffa600,0x3ff66000,0xfdffffff,0x7fd4001d,
    0x8000001e,0x0006fffe,0x0037ee00,0x3ffd8000,0xffff3000,0x90bfff70,
    0xf1009fff,0xb800009f,0x06e4402d,0x0bffe600,0x0017ffa0,0xb9100b6e,
    0x7ffdc001,0x07ffd800,0x5d6fdc00,0x9800007f,0x000acdcb,0x00bffe60,
    0x64017ffa,0x026d401d,0xf80bffe6,0x200005ff,0x3f200001,0x800004ff,
    0x3ea02ffb,0xb100003f,0xfa80009f,0xffffffff,0x4005ffff,0x00000ce8,
    0x09fff900,0x00080000,0x0ecc0002,0xffff3000,0x90bfff70,0x22009fff,
    0x00000001,0xfff10000,0x09ff9001,0x00000000,0x2e00fff3,0x440005ff,
    0x003ffffd,0x00000000,0x9001fff1,0x000009ff,0x00fffc00,0x00007ffb,
    0x36a20000,0xeefffffe,0x1bdeeeee,0x03000400,0x00010000,0xffffff98,
    0xffffffff,0x00020007,0x5f644000,0x00000000,0x0005ff90,0xfff30000,
    0x0bfff70f,0x4009fff9,0x00002dc9,0x00013530,0x5000dc40,0x00000005,
    0x0005cc00,0x20000175,0x000002c9,0x000026a6,0x2a001b88,0x00000002,
    0x15c00dc4,0x09a98000,0xffff9000,0xffffffff,0x00ffffff,0x20000000,
    0x02e600b8,0xfffffe80,0xfffffdde,0xfeb8007f,0x000000be,0x88000000,
    0xb81accb9,0x00006fff,0x6fff9800,0xb85fffb8,0xfb004fff,0x0001ffff,
    0xffffec88,0xdddd73ff,0x0000017b,0x776dc400,0xb5101bde,0x0059dddd,
    0x00000000,0x32200000,0x3ffffffe,0x17bdddd7,0x40000000,0xeeeeedb9,
    0x2eeeeeee,0x00000000,0xfffffd91,0x3bbbae7f,0x3fffa0bd,0xffffffff,
    0x1fffffff,0x99751000,0x4c000157,0xffa81fff,0xfff9800f,0x7ed440df,
    0x7dc007ff,0x0005ffdf,0x0026a600,0x3ffa2000,0x33ffffff,0xb88dffff,
    0x01bdeeed,0x9ddddb51,0xb84fff85,0xff985fff,0x9ef9801f,0x20003fc8,
    0xffffffea,0xfffeffff,0x00006fff,0x3fff6000,0xc80fffff,0xffffffff,
    0x00000001,0x40000000,0xffffffea,0xfffeffff,0x00006fff,0x3fffa000,
    0xffffffff,0x00003fff,0xffea8000,0xffffffff,0x6ffffffe,0x3fffffee,
    0xffffffff,0x4c006fff,0xffffffed,0x03fdadff,0xb09fff90,0xf7007fff,
    0xfe801fff,0x077c005f,0x400001fb,0xffffffec,0x7bdddd73,0xffff7001,
    0xdfffffff,0xd85fffff,0xffffffff,0xfffffc80,0x37aa1fff,0x05fffb80,
    0x3f6009d9,0xc8003f41,0xffffffff,0xffffffff,0x3b20ffff,0x4effffff,
    0x7ffffed4,0x7ffc1dff,0x81ffffff,0xfffffffe,0x3fffb23f,0x6d44efff,
    0xdfffffff,0x7ffff641,0x7ed44eff,0x1dffffff,0xffffff90,0xffffffff,
    0x41ffffff,0xffffffec,0x7ffed44e,0x221dffff,0xffffffff,0x3fffffff,
    0x3fffffb2,0x7fed44ef,0x01dfffff,0xfffffff9,0xffffffff,0x441fffff,
    0xaefffdaa,0x0aaaaaaa,0x7fffd400,0xffffffff,0xa800ffff,0xffb83fff,
    0xfffc801f,0x01dea805,0x7f50fea0,0xffd50000,0xffffffff,0xbffffffd,
    0x7ffff440,0xffffffff,0xf84fffff,0xffffffff,0xfffffe81,0x2e003fff,
    0x00005fff,0x007e81fb,0xffffffa8,0xffffffef,0x24ffffff,0xfffffffa,
    0x3ffe3fff,0x6fffffff,0x7fffffe4,0xffff706f,0x3ea3ffff,0xffffffff,
    0x3ffffe3f,0x2a6fffff,0xffffffff,0x3fffe3ff,0x86ffffff,0xfffffffa,
    0xfffffffe,0x2a4fffff,0xffffffff,0x3fffe3ff,0x46ffffff,0xfffffffd,
    0x3fffffff,0xfffffff5,0x7ffc7fff,0x6fffffff,0xffffffa8,0xffffffef,
    0x04ffffff,0x0013fff2,0xfffff700,0xffffffff,0x2005ffff,0x7b7103db,
    0x3fffea00,0xf1000000,0x0001fc8b,0x7fffffe4,0xffffffff,0x00ffffff,
    0xdffffffb,0xffffffb9,0x3ff20dff,0x706fffff,0xffffffff,0x7ffdc003,
    0xbf300005,0x10013ee1,0x83bfffff,0xffffffd9,0x7ffd40ad,0x3fffffff,
    0x3ffffffe,0xff986fff,0x64401eff,0x2a0cffff,0xffffffff,0x3fffe3ff,
    0x26ffffff,0xfffffffa,0x3ffe3fff,0x6fffffff,0x6fffffc4,0x7fffecc1,
    0x7d40adff,0xffffffff,0x3ffffe3f,0x886fffff,0xaaaaaaaa,0xf53fffea,
    0xffffffff,0x7ffffc7f,0x446fffff,0x41dfffff,0xffffffd9,0x7fe400ad,
    0x3200004f,0xdfffffff,0xfffffecc,0x000002ff,0x3fffe600,0x00000acf,
    0x37e56fec,0x3ffea000,0xfffeffff,0xffffffff,0xffff504f,0xffd5107f,
    0x7cc03fff,0x4401efff,0x00cffffc,0x02fffdc0,0xffffd000,0xffd8001f,
    0x7fdc03ff,0x3f604fff,0xdfffffff,0x3ffffaa0,0xf701efff,0xfd003fff,
    0x3ff60dff,0x0dffffff,0x3fffffaa,0x7fec1eff,0x0dffffff,0x3fffffaa,
    0x7fec1eff,0x7fdc03ff,0x3f604fff,0xdfffffff,0x3ffffaa0,0x0001efff,
    0xfd8ffff6,0xdfffffff,0x3ffffaa0,0x7ec1efff,0x7dc03fff,0x9004ffff,
    0x00009fff,0x2fffffee,0x3fffea01,0x0000002f,0x7ffffe40,0x000adeff,
    0x77fff4c0,0x3fe20002,0x6cc1dfff,0xadffffff,0xdffff100,0x7fffc403,
    0x7fdc05ff,0xffe801ff,0xff70006f,0xa80000bf,0xf8000bfe,0xfb004fff,
    0xff009fff,0x988037ff,0xe803fffe,0x7d405fff,0x7fc02fff,0x4c401bff,
    0x7c03fffe,0x4401bfff,0xf03fffe9,0x36009fff,0xf804ffff,0x4401bfff,
    0x003fffe9,0x83fffd80,0x401bffff,0x03fffe98,0x2009ffff,0x004ffffd,
    0x0009fff9,0x07ffffe0,0x17fffc40,0x20000000,0xffffffe8,0x002effff,
    0x000164c0,0x01ffffec,0x13ffffee,0x01ffffd0,0x7fffff44,0x7ff401ff,
    0x7ffd405f,0xff70002f,0x000000bf,0xffff9800,0xffff1000,0x5fffd009,
    0x17fff400,0x0ffffdc0,0x00dfffd0,0x4005fffd,0x7402fffe,0x3a002fff,
    0xff982fff,0xff1000ff,0xffd009ff,0x7ff4005f,0xfd80002f,0xfffe83ff,
    0x3fffa002,0x0ffff982,0x9ffff100,0x13fff200,0x3ffee000,0x7fec002f,
    0xeedb980f,0xddb502ee,0xf9009ddd,0xffffffff,0x00000bff,0x3fffe000,
    0xffffb004,0x7fffcc09,0x7fffec04,0x5c05ffff,0x3a01ffff,0x20006fff,
    0x0005fffb,0x004d4cc0,0x01bffea0,0x009fffd0,0x4005fffd,0xd002fffe,
    0x3ea0bfff,0xfe802fff,0x3fa002ff,0x7ff402ff,0x3ffa002f,0x6fffa82f,
    0x27fff400,0x017fff40,0x005fffd0,0x07fffb00,0x4005fffd,0xfa82fffe,
    0x7f4006ff,0xff9004ff,0xff00009f,0xf10009ff,0x3fffe0bf,0xffb82fff,
    0x005fffff,0xfffffb71,0x0009ffff,0xff980000,0xff1000ff,0x7fd409ff,
    0x7ffdc06f,0x07fffcef,0x505fffe8,0x0005ffff,0x002fffdc,0xfffd9710,
    0x0019ffff,0x8009fff9,0xe804fffd,0x3a002fff,0xf7002fff,0xffd03fff,
    0x3ffa00df,0x3ffa002f,0x7fff402f,0x3fffa002,0x04fffc82,0x027ffec0,
    0x0017fff4,0x0005fffd,0xd07fffb0,0x74005fff,0xffc82fff,0x7fec004f,
    0xfff9004f,0xff880009,0x310002ff,0x3ffffe60,0xfffd82ff,0x0005ffff,
    0xfffffb73,0x3ff6603f,0xffffffff,0xfffa8001,0x7fff4006,0x13fff204,
    0x9fffff98,0x400ffff9,0xe81ffffb,0x40006fff,0x0005fffb,0xfffffff7,
    0x09ffffff,0x005fffb8,0x4027fff4,0x2002fffe,0x2002fffe,0x7d46fffe,
    0xfd002fff,0x7f4005ff,0x7ff402ff,0x3ffa002f,0x5fffb82f,0x27fff400,
    0x017fff40,0x005fffd0,0x07fffb00,0x4005fffd,0xfb82fffe,0x7f4005ff,
    0xff9004ff,0xfa80009f,0x00000fff,0xffffffd0,0xfffff505,0x20000bff,
    0xb04ffffa,0xffffffff,0x90009fff,0xd8009fff,0x3f604fff,0xfff102ff,
    0x3ffe25ff,0xfffe802f,0x17fffd46,0x3ffee000,0xffff0005,0xffffffff,
    0x7cc07fff,0x7fc007ff,0xffe804ff,0x3ffa002f,0x3fea002f,0x3fffa2ff,
    0x3fffa006,0x3fffa002,0x17fff402,0x05fffd00,0x800ffff3,0xe804ffff,
    0x3a002fff,0x80002fff,0xfe83fffd,0x3fa002ff,0xfff982ff,0x7fffc007,
    0xdfff9004,0x3ee0d400,0x000006ff,0x17fff54c,0xfffdaa88,0x4007b505,
    0xfb05fffc,0xffffffff,0xb8001fff,0x74005fff,0x3fe04fff,0xfffd01ff,
    0x3fffe89f,0x2ffffa80,0x001bfffa,0x7ffe4cc4,0x3600199e,0xffffffff,
    0x1fffffff,0x07ffff10,0x13ffff20,0x00bfffa0,0x002fffe8,0xfab7fff4,
    0x3a002fff,0x3a002fff,0x7f402fff,0x3fa002ff,0xfff882ff,0xfff9003f,
    0xfffd009f,0x7fff4005,0xffd80002,0x2fffe83f,0x0bfffa00,0x00ffffe2,
    0x027fffe4,0x01ffffa8,0xc8ffff26,0x00004fff,0x05fffd00,0x10bfff70,
    0x2a005fff,0xfd307fff,0xffffffff,0xf98007ff,0x7fc007ff,0xfff104ff,
    0xffff901f,0x09fffb0d,0x55bfffa0,0x4002ffff,0xffffffeb,0x05ffffff,
    0x1abced98,0x1ffffdc4,0x03ffffd0,0x4fffff98,0x02fffe80,0x00bfffa0,
    0xd5ffff50,0xe800dfff,0x3a002fff,0x7f402fff,0x3fa002ff,0xfffd02ff,
    0xfff9803f,0xffe804ff,0x3ffa002f,0xfd80002f,0xfffe83ff,0x3fffa002,
    0x3ffffd02,0xfffff980,0xffff3004,0xffdb99bf,0x7e4dffff,0x000004ff,
    0x005fffd0,0xf50bfff7,0x3fa00dff,0x4cc405ff,0xfffffffc,0x7ffc4006,
    0xfff7003f,0x7fffc09f,0x7ffffd41,0x03fffd80,0xd5ffff50,0xf000dfff,
    0xffffffff,0x03ffffff,0xfffd8000,0x3fffe604,0xffff903f,0xffd009ff,
    0x7ff4005f,0xffe8002f,0x02ffffff,0x017fff40,0x805fffd0,0x2002fffe,
    0xf302fffe,0x3207ffff,0x04ffffff,0x002fffe8,0x000bfffa,0x20ffff60,
    0x2002fffe,0xf302fffe,0x3207ffff,0x04ffffff,0x3fffff60,0xffffffff,
    0x3fff24ff,0x3fff2604,0x1dffffff,0x00bfffa0,0x3217ffee,0x200dffff,
    0x004ffffb,0x3ffbfffa,0x7f4001ff,0x7cc01fff,0x3a04ffff,0x3fe62fff,
    0xfff01fff,0x7ff4003f,0x02ffffff,0xfffffe80,0xffffffff,0x5310001f,
    0x17ffee13,0xffffff90,0xfffffd9d,0xfd009fff,0x7f4005ff,0xfa8002ff,
    0x06ffffff,0x02fffe80,0x00bfffa0,0x4005fffd,0x3202fffe,0xceffffff,
    0xfffffffe,0xfffe804f,0x3fffa002,0xffd80002,0x2fffe83f,0x0bfffa00,
    0xffffffc8,0xfffffece,0x22004fff,0xfffffffe,0x0cffffff,0xd813fff2,
    0xffffffff,0x3fa06fff,0xffb802ff,0xffffc85f,0xebaabcff,0x000fffff,
    0xfd5ffff3,0xf98009ff,0xf703ffff,0x409fffff,0xfd14fffd,0x3e207fff,
    0x2a000fff,0x6fffffff,0xfffb3000,0xffffffff,0x7644007b,0xffffffff,
    0xfe805fff,0xffffffff,0x4fffffff,0x02fffe80,0x00bfffa0,0x7fffff40,
    0xffe8002f,0x3ffa002f,0x7fff402f,0x3fffa002,0x7ffff402,0xffffffff,
    0xe804ffff,0x3a002fff,0x80002fff,0xfe83fffd,0x3fa002ff,0x7ff402ff,
    0xffffffff,0x04ffffff,0x7fffe440,0x0befffff,0x205fffa8,0xfffffffe,
    0xd00fffff,0xf7005fff,0xfff70bff,0xffffffff,0x007fffff,0xfbb7ffec,
    0x64000fff,0xceffffff,0xfffffffe,0x3ffee04f,0x5ffffd8f,0x01bffee0,
    0x3fffffa0,0x0000002f,0xfffc8800,0xffffffff,0xf9005fff,0xffffffff,
    0x09ffffff,0x005fffd0,0x0017fff4,0x6fffffa8,0x5fffd000,0x17fff400,
    0x00bfffa0,0x802fffe8,0xfffffffc,0xffffffff,0x2fffe804,0x0bfffa00,
    0x3fff6000,0x02fffe83,0x00bfffa0,0x3ffffff2,0xffffffff,0x7510004f,
    0x30035799,0x7540dfff,0xffffffff,0x3ffa03ff,0xfffb802f,0xfffffa85,
    0xffffffff,0x3e2004ff,0xfff13fff,0xffd0007f,0xffffffff,0x09ffffff,
    0x7f7fffcc,0x3e206fff,0xa8005fff,0x006fffff,0x88000000,0xfffffffe,
    0xffffffff,0x3ffa6005,0xc9dfffff,0xfe804fff,0x3fa002ff,0x3a0002ff,
    0x0002ffff,0x4005fffd,0x7402fffe,0x3a002fff,0xd3002fff,0xbfffffff,
    0x009fff93,0x4005fffd,0x0002fffe,0xe83fffd8,0x3a002fff,0xd3002fff,
    0xbfffffff,0x009fff93,0x7fc00000,0x4cc400ff,0x03fffe99,0x4017fff4,
    0xf885fffb,0xfffffeff,0x002fffff,0x907fffdc,0x2000dfff,0xfffffffb,
    0xffffffff,0x7fffe404,0x3600ffff,0x0001ffff,0x005ffffd,0x00551000,
    0x3fffff60,0xffffffff,0x88005fff,0x320abcb9,0xfc804fff,0xff1003ff,
    0x7c0001ff,0x20006fff,0x1003fffc,0xc801ffff,0xf1003fff,0x88001fff,
    0x320abcb9,0xfc804fff,0xff1003ff,0xb00001ff,0xff907fff,0x3fe2007f,
    0x4c4000ff,0x3f20abcb,0x220004ff,0xffb0002a,0xffd000bf,0xfffe805f,
    0x5fffb802,0x3ae21510,0x001cffff,0x98bfffd0,0x0001ffff,0xffffffd3,
    0x9fff93bf,0xfffff880,0xffb102ff,0x7c0007ff,0x00006fff,0x005fffa8,
    0x67ffffdc,0x3f666209,0x000005ff,0x7007fffd,0x2a00dfff,0x20007fff,
    0x002ffffb,0x01bffee0,0x403fffd4,0x5006fffb,0x0000ffff,0x00ffffa0,
    0x401bffee,0x0007fffa,0x705ffff0,0x2a00dfff,0x00007fff,0x007fffd0,
    0x013ffe60,0x0ffffee0,0x05fffd00,0x404fffd8,0x005fffea,0x0037ffd4,
    0x03ffff30,0x0009fffd,0x0abcb988,0x2013fff2,0x1efffffc,0x6ffffe98,
    0x3ffee000,0xd800002f,0x2000ffff,0x801ffffd,0x0005fffb,0x1ffff980,
    0x4ffff980,0x2ffffcc0,0xdffff000,0xfff98000,0x7ffcc04f,0xfff9805f,
    0x7ffcc04f,0x9800005f,0x9801ffff,0x4c04ffff,0x0005ffff,0x80ffffa8,
    0x404ffff9,0x005ffff9,0xffff9800,0xfff70001,0x3ffa000f,0x2a202eff,
    0x402ffffc,0xa80ffffc,0x05fffffe,0x037ffd40,0x0dfffb00,0x003fffee,
    0xfffd0000,0xffff9007,0xffbbffff,0x001fffff,0x037fffc0,0xfffb8000,
    0x3ffe000f,0xffe9803f,0x4400005f,0x2007fffd,0x40dffffe,0x1fffffa8,
    0xffff7000,0xffd00005,0xfa881bff,0xd001ffff,0x881bffff,0x01fffffa,
    0x7fec4000,0x3ffa007f,0x7d440dff,0x0001ffff,0x03ffff44,0x81bffffd,
    0x1fffffa8,0x7ec40000,0x260007ff,0x10005fff,0xdfffffff,0xfffffb9d,
    0xfa805fff,0xfecdffff,0xffffffff,0xfff5004f,0x3fe2000d,0xfff103ff,
    0x4000007f,0x401ffff9,0xfffffffb,0xffffffff,0x2e0002ff,0x0002ffff,
    0x0dfd7100,0x04ffff80,0x3fffffaa,0x2aa2001e,0xfffebaaa,0x3e2005ff,
    0xecefffff,0x03ffffff,0xfaaaaa88,0x0009ffff,0x7ffffc40,0xffffecef,
    0x3e2003ff,0xecefffff,0x03ffffff,0xaaaaa880,0x5fffffeb,0x3fffe200,
    0xfffeceff,0xa8803fff,0xffebaaaa,0x3e204fff,0xecefffff,0x03ffffff,
    0xaaaaa880,0x5fffffeb,0x27e44000,0xffff7000,0xffffffff,0x05ffffff,
    0xfffffe88,0xffffffff,0x800fffff,0x0005fffa,0xfffffff7,0xffffffff,
    0x2200000d,0x200ffffd,0xfffffff9,0xffffffff,0x551000df,0xfffff555,
    0x40000013,0x7ec004fb,0xedceffff,0xffffffff,0x7e404fff,0xffffffff,
    0x4000efff,0xfffffffa,0x06ffffff,0xffffffb8,0x0fffffff,0x7ffd4000,
    0xffffffff,0xfa8006ff,0xffffffff,0x8006ffff,0xfffffffc,0x00efffff,
    0x7ffffd40,0xffffffff,0xffffd806,0xffffffff,0xffffa805,0xffffffff,
    0xffc8006f,0xffffffff,0x80000eff,0x4c0000fe,0xfffffffd,0xdfffffff,
    0xfffd1002,0xffffffff,0x01ffffff,0x007fff10,0x3fffffa0,0xffffffff,
    0x88001fff,0xfdbaaaaa,0x7405ffff,0xfc8bffff,0x2effffff,0x3fffee00,
    0xffffffff,0x9800000f,0xff98006f,0xffffffff,0xffffffff,0xff100fff,
    0xffffffff,0x20001dff,0xffffffe9,0xf004ffff,0xffffffff,0x009fffff,
    0xffffd300,0x09ffffff,0x7fff4c00,0x4fffffff,0xffff8800,0xffffffff,
    0xfd30000e,0xffffffff,0xfff3009f,0xffffffff,0x7f4c00df,0xffffffff,
    0xff88004f,0xffffffff,0x80000eff,0x200002fc,0xfffffed9,0x001cffff,
    0xfffffe88,0xfffcadff,0x3f6002df,0xff98001f,0xffffffff,0x4fffffff,
    0x7fffe400,0xffffffff,0x7fffd406,0x4de54c44,0xffff8000,0xffffffff,
    0x800004ff,0xf50001fe,0xffffffff,0xffffffff,0x7f401fff,0xffffffff,
    0xb80000df,0xefffffff,0x3fff6001,0xffffffff,0x200003ff,0xfffffffb,
    0xf700001e,0x3dffffff,0x7fff4000,0xdfffffff,0xffb80000,0x01efffff,
    0xffffff10,0x01bfffff,0xfffff700,0x40003dff,0xfffffffe,0x0000dfff,
    0x00004f98,0x5565d4c0,0x95100001,0x00001579,0x7ec00010,0xffffffff,
    0xffffffff,0xfff1000f,0xffffffff,0xff9801df,0x4000006f,0xfffffffd,
    0x03ffffff,0x01fdc000,0x3fff6600,0xbadfffff,0x02dfffff,0x777775cc,
    0x000001be,0x00137953,0xddddb710,0x07bddddd,0x32a60000,0x0000009b,
    0x00137953,0xdddd7300,0x000037dd,0x026f2a60,0x3bbb2600,0x000cdeee,
    0x09bca980,0xeeb98000,0x001beeee,0x0001c400,0x00000000,0x00000000,
    0xffff8800,0x9999999b,0x3ffff999,0x3ffffa00,0x0dffffff,0x001bf900,
    0xedb88000,0xeeeeeeee,0x8800003d,0x2a600001,0x000abccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ffffb80,0x1bfff200,
    0xeeeec980,0x0001cdee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6ffff440,0xfff51001,
    0x0000015f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffd30000,0x09ffffff,0x3fffffa6,
    0x7ffc4fff,0xffffffff,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff600,
    0x81ffffff,0xfffffffd,0x3ffe1fff,0xffffffff,0x04ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff600,0x80ffffff,0xfffffffd,0x3ffe0fff,0xffffffff,
    0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffb2200,0x103dffff,0xffffffd9,
    0xfffff87b,0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00008000,0x00010004,0x00020008,
    0x00000300,0x4000db80,0x202eeeeb,0x001eeeec,0x20000600,0x00030008,
    0x40000004,0x00002000,0x00000332,0x000f2200,0x1ddddd95,0x5c400000,
    0x0002e600,0x00004c00,0xb9113620,0xeeeca801,0x0004eeee,0x001ecc00,
    0x0002da80,0x00008000,0x1bf20000,0x00f7dc00,0x20005fd3,0x3ea00dfc,
    0xf900001f,0x8000003d,0x4003ffd8,0x203ffffc,0x002ffffd,0x004fe880,
    0x5003fe20,0xbfb000df,0x007fd401,0xa8037f20,0x260001ff,0x00001eff,
    0x03ffea00,0x7ffffcc0,0x000001ff,0xf503fff3,0x800001ff,0x00000ffc,
    0x3a21fff3,0x3fea02ff,0x6fffffff,0x3ea00000,0xfb00007f,0x0000009f,
    0x002fbfae,0x7ec40000,0xff90006f,0x7fff907f,0x3fffa000,0x0fffec42,
    0x3ffa6000,0x000003ff,0x001fffd3,0x03ffffc8,0x00bffff6,0xdffff700,
    0xbff30003,0x003ffc40,0x2217fff4,0x4001fffd,0x6c42fffe,0x40001fff,
    0x0002fffd,0x4fffb800,0x3fffee00,0x00001fff,0xb09fff90,0x00007fff,
    0x001bffa2,0x8a7ffcc0,0x7dc06ffe,0xffffffff,0xf9000006,0x200007ff,
    0x000dfff9,0x37fee000,0x000005ff,0x01fffe98,0x3bfff600,0x05fffe99,
    0x3fffe200,0x4ffffa8d,0x7ffe4000,0x001effff,0x3bffea00,0xfffc8000,
    0x3fff603f,0xfb10002f,0x09ffffff,0x819fff00,0x8004ffe8,0xa8dffff9,
    0x8003ffff,0xa8dffff8,0x0004ffff,0x007fffb0,0x7ffec000,0x7ffc4004,
    0x0001ffff,0x07fff500,0x0003fff7,0x03ffff30,0xbfff3000,0x003bffa2,
    0xfffffff1,0x80000dff,0x003fffd8,0x77ffd400,0xdf000000,0x00007ec1,
    0x1dfff500,0xfff70000,0x007fffff,0xffff9100,0x0005ffff,0x46ffff44,
    0x003ffffb,0x0dfffb80,0x99995000,0x66665403,0xfffa8001,0xefffd8cf,
    0x3ffea001,0xefffecef,0xffb10000,0x03dfffff,0x7ffe4400,0x002fffff,
    0x2fffdc00,0x3fa20000,0x260002ff,0x001ffffa,0x40f6e000,0x80003db8,
    0x000efffa,0x15fff980,0x4001dffd,0xfffcaaa9,0x3a200006,0x00001fff,
    0x03fffd10,0x43fa8000,0x000003fa,0x000bfff5,0xffffe880,0x5400000d,
    0x00cfffff,0x1fffec00,0x007fffa6,0x04fff880,0x00000000,0x1efff880,
    0x0037ffd4,0x3fffffee,0x80001eff,0x04fffffa,0x3ffea000,0x00000cff,
    0x005fff50,0x0f7fe400,0xffff8000,0x00000001,0xff300000,0x740000bf,
    0x3bff24ff,0x7fd40000,0x3600006f,0x00000eff,0x037fec40,0x917e2000,
    0x2000003f,0x00003ffe,0x000ffee0,0x2efd8800,0x1bfd0000,0x000ffdc0,
    0x0005ff10,0x00000000,0xd8813fe2,0xec88006f,0x0003efff,0x00f7ec40,
    0x77ec4000,0x98000002,0x200002fe,0x00000dfb,0x0007fffe,0x00000000,
    0x001ffe40,0xf50ff200,0xf500001b,0x40000dff,0x000004fc,0x00037dc0,
    0x7e56fec0,0x26000006,0x8000001d,0x00000009,0x18000013,0x00001100,
    0x00000000,0x00220000,0x00800004,0x00180000,0x00098000,0x00040000,
    0x00000400,0x000ffffc,0x00000000,0x0001b880,0x00020100,0x06fffa80,
    0x00004000,0x00008000,0xdfffd300,0x5c400005,0x0002e600,0x2e600b88,
    0x00000000,0x00000000,0xb9800000,0x6eeeeeed,0xdddddb73,0x000bdddd,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,0x776d443f,
    0x7101beee,0x037bdddb,0x3bbbb6a2,0x0000002c,0x00000000,0x001bffea,
    0x00000000,0x40000000,0x400002c9,0xfa81fff9,0xf98000ff,0xfffa81ff,
    0x00000000,0x32ea2000,0x80001abc,0x1abccba8,0xfffff880,0xff8fffff,
    0xffffffff,0x000006ff,0xcba88000,0x00000abc,0x35799751,0x2e620000,
    0x00000acc,0x05665cc4,0x00000000,0x21ffff80,0xfffffffc,0xfffd80ff,
    0xc80fffff,0xffffffff,0xeeeeca81,0x00004eee,0x02b32e62,0xfffa8000,
    0x26200006,0x0000accb,0x00000000,0x32000000,0xffd84fff,0xffc8003f,
    0x3fffd84f,0xffffec80,0x7ed44eff,0x1dffffff,0xffffd980,0xe9aeffff,
    0xffd9803f,0xaeffffff,0x3fe63fe9,0xffffffff,0xfffffffa,0x806fffff,
    0xffffffec,0xdfffffff,0xffed9801,0xadffffff,0x366003fd,0xffffffff,
    0x003fe9ae,0xffffffd1,0x880007ff,0xfffffffe,0xffd9003f,0xa89dffff,
    0xfffffffd,0x3fffe01d,0x3fffffa1,0xff82ffff,0x1fffffff,0xffffffe8,
    0x7ffd43ff,0x06ffffff,0xfffe8800,0x003fffff,0x06fffa80,0xfffe8800,
    0x003fffff,0xffffffd9,0xfffda89d,0x001dffff,0x54000000,0xffb83fff,
    0xffa8001f,0x1fffb83f,0x7ffffd40,0x3e3fffff,0xffffffff,0x7ffe406f,
    0xffffffff,0x6407ffff,0xffffffff,0x7fffffff,0x7ffffff4,0xfffe8fff,
    0xffffffff,0x7fffcc06,0xffffffff,0x5405ffff,0xffffffff,0xffffffff,
    0xffffc800,0xffffffff,0xfb807fff,0xffffffff,0xb8000dff,0xffffffff,
    0x2a00dfff,0xffffffff,0x3fffe3ff,0x06ffffff,0xfc87fffe,0x7fffffff,
    0xffffff90,0x3ffee0df,0x5c1fffff,0xffffffff,0x7dc0006f,0xffffffff,
    0x20000dff,0x0006fffa,0x7fffffdc,0x00dfffff,0x3fffffea,0x3fe3ffff,
    0xffffffff,0x3fff6606,0x1fffffff,0x07b70000,0x8000f6e2,0x7b7103db,
    0xfffff500,0x7c7fffff,0xffffffff,0xfffd106f,0xffffffff,0x03ffffff,
    0xffffffd1,0xffffffff,0xaa983fff,0x267fffba,0xfcaaaaaa,0x7fd406ff,
    0xffffffff,0x06ffffff,0x3fffffee,0xffffffff,0x3a202fff,0xffffffff,
    0xffffffff,0xfffd101f,0xffffffff,0x22005fff,0xfffffffe,0x2fffffff,
    0xffffff50,0x7fc7ffff,0xffffffff,0x47fffe06,0xbffffffa,0x7ffcc01a,
    0x7e4401ef,0xf880cfff,0xffffffff,0xffd10006,0xffffffff,0x0005ffff,
    0x001bffea,0x7fffff44,0xffffffff,0xffff502f,0x47ffffff,0xffffffff,
    0x3ff606ff,0xffffffff,0x0000004f,0x00000000,0xfffffd80,0x3aa0dfff,
    0xefffffff,0xfffffd01,0xfffb9bdf,0xd05fffff,0xbdffffff,0xffffffb9,
    0xff8805ff,0xfff5007f,0xffffb00d,0xffffffff,0x3f203dff,0xcdffffff,
    0xffffffec,0x3fffa02f,0xfdcdefff,0x2fffffff,0xffffffb0,0xfffffb9d,
    0xffb003ff,0xfb9dffff,0x03ffffff,0x3ffffff6,0x3faa0dff,0x1effffff,
    0x327fffe0,0x01ffffff,0x0ffffdc0,0x037fff40,0x7fe5554c,0xffb0006f,
    0xfb9dffff,0x03ffffff,0x0dfff500,0x3ffff600,0xfffdceff,0xfb01ffff,
    0xbfffffff,0x7ffff541,0x3601efff,0xffffffff,0x0000ffff,0x00000000,
    0xfff00000,0xe988037f,0x3f203fff,0x500bffff,0x85fffffd,0x0bfffffc,
    0xfffffd50,0x7fff8805,0x0dfff500,0x64ccccc0,0x0099dfff,0x2fffffee,
    0x3fffea01,0xffff902f,0x3faa017f,0xfa82ffff,0xd303ffff,0xa80dffff,
    0x303fffff,0x80dffffd,0x401bffff,0x03fffe98,0xffeffff8,0x0000efff,
    0xa80bfffd,0x8002ffff,0x8006fffa,0x03fffffa,0x0dffffd3,0x0dfff500,
    0xfffff500,0x3fffa607,0x7fffc06f,0x7f4c401b,0xfe9803ff,0xffffffff,
    0x000003ff,0x00000000,0x5fffd000,0x17fff400,0x2fffff98,0x5ffff900,
    0x17ffffcc,0x2ffffc80,0x03fffc40,0x006fffa8,0x02fffe40,0x01fffff8,
    0x05ffff10,0x05fffff3,0x0bffff20,0x03dffff1,0x09ffff90,0x07bfffe2,
    0x13ffff20,0x002fffe8,0x200bfffa,0xffffffff,0x7dc0005f,0x3fa01fff,
    0xf50006ff,0xf8800dff,0xc801efff,0x4004ffff,0x4006fffa,0x01effff8,
    0x04ffffc8,0x800bfffa,0x2002fffe,0xffffc998,0x4c006fff,0x02eeeedb,
    0x9dddddb5,0x3bbb6e60,0xdddb502e,0xffe809dd,0x3ffa002f,0xffff902f,
    0x7ffc4005,0x3ffff21f,0x3ffe2002,0x7ffc401f,0xdfff5007,0xfffc8000,
    0xffffb805,0x7ffec002,0x2ffffc80,0x3fffe200,0x07ffff41,0x3ffffb00,
    0x01ffffd0,0x0ffffec0,0x002fffe8,0x200bfffa,0xffffffff,0xffd00004,
    0x3ffea0bf,0xff50002f,0xffe800df,0x3f6000ff,0x2a001fff,0x74006fff,
    0x2000ffff,0xd01ffffd,0x74005fff,0xd0002fff,0xffffdfff,0x7fffc003,
    0xffb82fff,0xf05fffff,0x05ffffff,0xfffffff7,0x2fffe80b,0x0bfffa00,
    0x0027fffc,0x3fe3ffe4,0xfc8004ff,0xfff8807f,0xdfff5007,0xfffc8000,
    0x4ffff805,0x05ff8800,0x0009ffff,0xff98fff9,0x7c4003ff,0x7fcc5fff,
    0x7c4003ff,0xffd05fff,0x7ff4005f,0xffff802f,0x002fffff,0x1ffffb80,
    0x006fffe8,0x01bffea0,0x03ffff98,0x2ffffc40,0x0dfff500,0x1ffffcc0,
    0x3fffe200,0x05fffd05,0x017fff40,0x57fffcc0,0x3004fffe,0x5fffffff,
    0xffffffb0,0xffff30bf,0xffb05fff,0x80bfffff,0x2002fffe,0xfa82fffe,
    0x98000fff,0x3ffea3fe,0xfe98000f,0x7fff8803,0x0dfff500,0x5fffc800,
    0x17fffc40,0xf5018800,0x30001fff,0xfffa87fd,0xfff70006,0x06fffa8f,
    0x0ffff700,0x800bfffa,0xf802fffe,0xffffffff,0xfe80003f,0x7ffd46ff,
    0x3ea0002f,0x3ea006ff,0xf70006ff,0x7d400fff,0x3ea006ff,0xf70006ff,
    0x3ffa0fff,0x3ffa002f,0xffd8002f,0x1ffff76f,0x3ffffa00,0xfffa82ff,
    0xfd05ffff,0x505fffff,0xbfffffff,0x02fffe80,0x20bfffa0,0x0006fffb,
    0x1bffee04,0x22001000,0xf5007fff,0xc8000dff,0x7d405fff,0x00000fff,
    0x006fffb8,0x7ffe4040,0xfff10004,0x27ffe41f,0xffff8800,0x02fffe80,
    0x00bfffa0,0x3f77fffe,0x0004ffff,0xd17fffd4,0x8000dfff,0x2006fffa,
    0x0004fffc,0x001ffff1,0x801bffea,0x0004fffc,0xd01ffff1,0x74005fff,
    0x44002fff,0xff13ffff,0x54c007ff,0x5102fffe,0x40bfffb5,0x02fffea9,
    0xbfffb551,0x02fffe80,0x20bfffa0,0x0005fffc,0x02fffe40,0xff880000,
    0xfff5007f,0xffc8000d,0x7ffdc05f,0xf9000006,0x00000bff,0x0005fffb,
    0xfb0ffffc,0x7c0005ff,0xffe81fff,0x3ffa002f,0xffff802f,0x9fffff91,
    0xfffe8000,0x05ffff56,0x6fffa800,0x0bfff600,0x1ffff800,0x0dfff500,
    0x017ffec0,0x03ffff00,0x4005fffd,0x4002fffe,0x320ffffb,0xe8006fff,
    0xfb802fff,0xffe805ff,0xfffb802f,0x17fff405,0x05fffd00,0x0009fff9,
    0x04fffc80,0xff100000,0x3fea00ff,0x7e40006f,0x7fe405ff,0x9000004f,
    0x00009fff,0x003ffff0,0xf1fffec0,0x40003fff,0xfe83fffd,0x3fa002ff,
    0xfff802ff,0x3fffee1f,0xf50000df,0xfffd5fff,0xff50000d,0x7ffc00df,
    0x3f60001f,0xff5003ff,0x7ffc00df,0x3f60001f,0xfffe83ff,0x3fffa002,
    0x7fff4002,0x0ffffcc5,0x0bfffa00,0x017ffee0,0x200bfffa,0x7405fffb,
    0x3a002fff,0xffc82fff,0x6400004f,0x00004fff,0xff533310,0x203333ff,
    0x0006fffa,0x202fffe4,0x0004fffc,0x09fff900,0xfff88000,0x3f20000f,
    0xffff14ff,0x7fe40001,0x2fffe84f,0x0bfffa00,0x83ffff30,0x9efffffa,
    0xfffe8001,0x002fffff,0x06fffa80,0x01ffff10,0x27ffe400,0x7dcccccc,
    0x99999eff,0x07fffc40,0x9fff9000,0x005fffd0,0x0017fff4,0xd03ffff3,
    0xe8009fff,0xfb802fff,0xffe805ff,0xfffb802f,0x17fff405,0x05fffd00,
    0x0009fff9,0x04fffc80,0x7ff4c000,0xffffffff,0x7d45ffff,0x07d916ff,
    0x02fffe40,0x9813fff2,0xfffffffc,0x3ff21dff,0xf800004f,0x20001fff,
    0x3fe3fffd,0x360001ff,0xffe83fff,0x3ffa002f,0xffffb02f,0xfff903ff,
    0x009fffff,0x7fffffd4,0xf500006f,0x7fc00dff,0x360001ff,0x3ff23fff,
    0xffffffff,0xefffffff,0x007fffe0,0x83fffd80,0x2002fffe,0x2002fffe,
    0xf706fffd,0x74001fff,0xfb802fff,0xffe805ff,0xfffb802f,0x17fff405,
    0x05fffd00,0x0009fff9,0x04fffc80,0x7ffec000,0xffffffff,0x2a2fffff,
    0xfff56fff,0x3fff2001,0x27ffe405,0xffffffb0,0x64dfffff,0x00004fff,
    0x002fffd8,0xd87fffe0,0x20002fff,0xfe81ffff,0x3fa002ff,0xfffa82ff,
    0x7c41ffff,0xffffffff,0x3ffa000f,0x0002ffff,0x00dfff50,0x0017ffec,
    0x223ffff0,0xffffffff,0xffffffff,0x3ff64fff,0x3fe0002f,0xfffe81ff,
    0x3fffa002,0xffff1002,0x3fffe207,0x3fffa003,0x5fffb802,0x02fffe80,
    0x405fffb8,0x2002fffe,0xfb82fffe,0x400006ff,0x0006fffb,0x7ffffe40,
    0xffffffff,0x3fea1fff,0x05fff96f,0x017fff20,0x740bfff5,0xffffffff,
    0xff70ffff,0x900000df,0x20009fff,0x320ffff8,0x10004fff,0xfd01ffff,
    0x7f4005ff,0xfffa82ff,0xfe81ffff,0xffffffff,0x3ffea000,0x200006ff,
    0x2006fffa,0x0004fffc,0x221ffff1,0xffffffff,0xffffffff,0x3ff23fff,
    0xff10004f,0xfffd01ff,0x7fff4005,0xffff7002,0xffffffff,0x7400dfff,
    0xfb802fff,0xffe805ff,0xfffb802f,0x17fff405,0x05fffd00,0x000ffff5,
    0x07fffa80,0x7f644000,0xffffffff,0x7d43dfff,0x7fffb6ff,0x17fff200,
    0x40dfff30,0xffffffea,0x3ea3ffff,0x800007ff,0x000ffffa,0x547fffb8,
    0x8000ffff,0xfd07fffb,0x7f4005ff,0xffd702ff,0xfb503fff,0x05bfffff,
    0x5ffffd00,0x7fd40000,0x3fea006f,0xfb8000ff,0x7fed47ff,0xffffffff,
    0x0cefffff,0x003fffea,0x41fffee0,0x2002fffe,0xd002fffe,0xffffffff,
    0xffffffff,0x3fffa003,0x5fffb802,0x02fffe80,0x405fffb8,0x1003fffc,
    0xf101ffff,0x00007fff,0x01ffffc4,0x00000000,0x3f6dfff5,0xff9003ff,
    0xffff009f,0x99998801,0x7c43fffe,0x00003fff,0x027fffcc,0x17fffe20,
    0x009ffff3,0x05ffff88,0x2007fff9,0x000ffff8,0x40000000,0x0006ffff,
    0x037ffd40,0x09ffff30,0x5ffff880,0xf3000000,0x88009fff,0xf905ffff,
    0x3e2007ff,0xf9800fff,0xffffffff,0xffffffff,0x5fffd004,0x0bfff700,
    0x005fffd0,0xb80bfff7,0xf5006fff,0x7fec0fff,0xd98001ff,0x3ffff60b,
    0x0bd98001,0xff900000,0x0ffff6bf,0x017ffec0,0x002fffec,0x6c17fff4,
    0x8001ffff,0x7fec0bd9,0x3f6001ff,0xffd80fff,0x3f6001ff,0xff700fff,
    0x3fea00df,0x0000007f,0x7ffdc000,0x5400002f,0x6c006fff,0x2001ffff,
    0x000ffffd,0x3ff60000,0x3f6001ff,0xff700fff,0x3fea00df,0xfffb007f,
    0xffffffff,0x1fffffff,0x09fffb00,0x05fffea8,0x404fffd8,0x405fffea,
    0x404ffff9,0x205ffff9,0x01effff9,0x993ffea0,0x001effff,0x0013ffea,
    0x3fffe200,0x007fffb3,0x001ffff5,0x007ffff7,0x982fffe8,0x001effff,
    0xf113ffea,0x8805ffff,0x103ffffd,0x805fffff,0x03ffffd8,0x013fffe6,
    0x00bffff3,0x005f7540,0x7fffc000,0xfa800006,0x7c4006ff,0x4402ffff,
    0x003ffffd,0x000e774c,0x0bffffe2,0x7ffffb10,0x27fffcc0,0x17fffe60,
    0x2ffffe20,0x99999999,0x03ffff99,0x80ffffc8,0x5fffffea,0x0ffffc80,
    0xfffffea8,0xffffe805,0x7ffd440d,0x7fe401ff,0x2600dfff,0x646ffffc,
    0x00dfffff,0x1bffff26,0xff910000,0x3fff63ff,0xfff901cf,0x7ff400ff,
    0x2a202eff,0x902ffffc,0x01bfffff,0x37fffe4c,0x67ffffd4,0xffffe980,
    0x7fffd406,0xffe980cf,0xffe806ff,0x7d440dff,0x0001ffff,0x001ffffa,
    0x5ffff700,0xff500000,0xff5000df,0xd3019fff,0x000dffff,0x003ffff7,
    0xcfffffa8,0xffffe980,0xffffe806,0x7ffd440d,0xffb801ff,0x3f2000ff,
    0xffa806ff,0xffecdfff,0xffffffff,0x3fffea04,0xffffecdf,0x04ffffff,
    0x3fffffe2,0xfffffece,0xfffd003f,0xdbbdffff,0x7fffffff,0xffffffd0,
    0xfffdbbdf,0x0007ffff,0x3f6eaaa6,0x3f67ffff,0xceffffff,0x2ffffffe,
    0x3fffe200,0xfdceefff,0x2fffffff,0x3fffffa0,0xffeddeff,0x903fffff,
    0xbdffffff,0xfffffffb,0xffff9003,0xfffbbdff,0x1003ffff,0x9dffffff,
    0x7ffffffd,0x7e4c4000,0xa88003ff,0xffffaaaa,0x2600009f,0xfffb9999,
    0x0099999e,0x7fffffe4,0xfffffdde,0x444001ff,0x8005ffeb,0xeffffffc,
    0xffffffdd,0xfff8801f,0xffecefff,0x8803ffff,0x001dfffe,0x15ffff51,
    0x7ffff440,0xffffffff,0x00ffffff,0xffffffd1,0xffffffff,0x5401ffff,
    0xffffffff,0x006fffff,0x3fffffa2,0xffffffff,0xfd104fff,0xffffffff,
    0x9fffffff,0xffff3000,0xffffffff,0x7ffffe43,0xffffffff,0xfb8004ff,
    0xffffffff,0xffffffff,0x3ffa202f,0xffffffff,0x04ffffff,0x7fffffec,
    0xefffffff,0x3fff6001,0xffffffff,0x2a001eff,0xffffffff,0x006fffff,
    0x3f33bf60,0x7fdc003f,0xffffffff,0x64000fff,0xffffffff,0xffffffff,
    0x3ff600ef,0xffffffff,0x4001efff,0x6ffcdffa,0xffffb000,0xffffffff,
    0x7d4003df,0xffffffff,0x4c06ffff,0xfffffffe,0xfffd304f,0x409fffff,
    0xffffffe8,0xffffffff,0x3a200fff,0xffffffff,0xffffffff,0x7ff4c00f,
    0xffffffff,0xfff90004,0xffffffff,0xf9005fff,0xffffffff,0x005fffff,
    0x3fffff20,0x81ffffff,0xffffffda,0x03ffffff,0x3fff6600,0xffffffff,
    0x9002dfff,0xffffffff,0x05ffffff,0x3ffffea0,0x0dffffff,0xffffa800,
    0xdfffffff,0xffe98000,0xffffffff,0x7ff40004,0x4000ffff,0xffffffff,
    0x04ffffff,0x3ffffe20,0xffffffff,0x04ffffff,0x7fffffd4,0x00dfffff,
    0xfffffc80,0x3ea0002f,0xffffffff,0x98000dff,0xfffffffe,0xfd804fff,
    0xffffffff,0xffffd81f,0x01ffffff,0x3fffffa2,0xfffcadff,0xfe8802df,
    0xadffffff,0x02dffffc,0x3ffffee0,0x40001eff,0xfffffeb8,0x000cdfff,
    0x3ffffae2,0x00cdffff,0x3fffee00,0x01dfffff,0x7ffffdc4,0x0001beff,
    0xffffdb30,0x039fffff,0xfffd7100,0x19bfffff,0xfffd8800,0x003effff,
    0x7fffec40,0x0003efff,0xffffffb8,0x980001ef,0x002efffe,0xffffffd8,
    0x3fffffff,0x3fffe200,0xffffffff,0x3fffffff,0xffffd880,0x0003efff,
    0x13bfff62,0x3ff62000,0x03efffff,0xffffb800,0xb001efff,0xffffffff,
    0xfffb01ff,0x1fffffff,0x57995100,0xa8800001,0x0000abcc,0x13795300,
    0x55300000,0x00001579,0x02af2aa6,0xddb70000,0x000159dd,0x00159731,
    0x97530000,0x40000355,0x00abcaa9,0x2f2a6000,0x53000001,0x00000379,
    0x0026f2a6,0x0004c000,0xddddb710,0x07bddddd,0xffffb500,0xffffffff,
    0x0019dfff,0x001bca98,0x00018800,0x03795300,0x32a60000,0x6440009b,
    0xdffffffe,0xfffd9103,0x0007bfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeb9803b5,0x0002eeee,0x22003000,0xd8800000,0x0006e444,
    0x05eeee88,0x00000010,0x00000030,0x2000000c,0x00600001,0x22000044,
    0x0000003d,0x00004002,0x00000600,0x40000180,0x00001000,0x00000020,
    0x000db800,0x80001990,0x40000000,0x000801db,0x027fec00,0x3ffffffe,
    0xd8000003,0x07fc403f,0xfff30000,0x00bffa21,0x3ffffc40,0x5006fec0,
    0xc80001ff,0x000000ef,0x0000f7e4,0x000f7e40,0xf100ff60,0x7dc0001f,
    0x000000df,0x3f201ff4,0xf9000006,0x8000003d,0x40001efc,0x3600efd8,
    0x3fee00cf,0x00dfd800,0x00003fea,0x00fffa20,0x007ffe60,0x5006fec0,
    0x6c0001ff,0x3fea04ff,0xfe880004,0x3fe600ff,0x003fffff,0x0ffe8000,
    0x0007ff20,0x8a7ffcc0,0x20006ffe,0x807ffff8,0x6c42fffe,0x30001fff,
    0x007ffffd,0xfffd3000,0x2600007f,0x003ffffe,0xc803ffa0,0x220001ff,
    0x0001efff,0x3dfff100,0x00fffe98,0x3ffa6000,0x800003ff,0x03ffffe9,
    0x0ffff600,0x442fffe8,0xe801fffd,0x7ec42fff,0x400001ff,0x0006fff9,
    0x000bfff6,0xb10bfffa,0x10003fff,0x7401fffd,0x20003fff,0x801efff9,
    0x3ffffffe,0xfc800000,0x7fdc41ef,0xff300007,0x3bffa2bf,0x3fe20000,
    0xff9807ff,0xfffa8dff,0xff90003f,0x01dfffff,0x3fff2000,0x001effff,
    0x3fffff20,0xc8001eff,0x7dc41eff,0xe880007f,0x00002fff,0x27ffff50,
    0x002ffffc,0x3ffff200,0x0001efff,0xffffff90,0xfa8003df,0x3e603fff,
    0xfff74fff,0x3fe6007f,0xfffa8dff,0x5400003f,0x0000efff,0x0027ffe4,
    0x237fffe6,0x003ffffa,0x01efff98,0x007fffec,0x077ffd40,0xfffd5100,
    0x10000007,0xfd9ffffd,0x00005fff,0x3a2bfff3,0x80000eff,0x1004cccc,
    0xfffffffb,0xfd10003d,0xfff71bff,0x7440005f,0xffb8dfff,0x744003ff,
    0xffb8dfff,0x744003ff,0xffecffff,0x100002ff,0x0007fffb,0x3fffa600,
    0x000dffff,0xbfffd100,0x07ffff71,0x7fff4400,0x3ffffb8d,0x3ffffa00,
    0x7ffec400,0x001effff,0x7ffffec4,0x00001eff,0x0027ffe4,0x0bfff700,
    0xffffd880,0x8001efff,0x800dfffa,0x004ffffa,0x0027ffc4,0x007fffb0,
    0x3fa60000,0x3fffffff,0x9ffd0000,0x00077fe4,0xfa800000,0x0004ffff,
    0xd30ffff6,0x20003fff,0x74c3fffd,0x36001fff,0x7f4c3fff,0x74c001ff,
    0xffffffff,0xfb800003,0x000001ff,0x0fffffee,0xfffb0000,0x1fffe987,
    0x7fffb000,0x01fffe98,0x04ffffa8,0x3ffffea0,0x7fd40004,0x00004fff,
    0x003fff98,0x3fff9800,0xffffa800,0xff10004f,0xffe8009f,0x7f4000ff,
    0x7fec0003,0x0000003f,0x677fff5c,0x3f200000,0x0006fd43,0x22000000,
    0x40001efd,0x3f200dfe,0xbfd0000f,0x00ffdc01,0x5c01dfb0,0xd70001ff,
    0x0019dfff,0x07fd4000,0x3a600000,0x800000df,0x3ee00dfe,0xbfd0001f,
    0x00ffdc01,0x007ffff4,0x007bf620,0x0f7ec400,0xef980000,0x22000001,
    0xb10002fd,0x440003df,0xfb8002ff,0x00004fff,0x7fffb000,0x00001310,
    0x00000080,0x00000804,0x00c00000,0x22001000,0x800c0000,0x00180008,
    0x02000011,0x00000000,0x00500000,0x10018000,0x00180001,0xfff30011,
    0x014000bf,0x00018000,0x00000800,0x20000200,0x00000001,0x01fffff0,
    0xfb000000,0x3ff6a7ff,0x000bdfff,0x00000000,0x2e200000,0xeeeeeeed,
    0x002eeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03ffffb0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4ffffb80,0x79995300,0xfffb0005,0xffffffdb,0x001bffff,
    0x00000000,0xffd00000,0xffffffff,0x3007ffff,0x00579995,0x00000000,
    0x15997310,0x32a60000,0x00002bcc,0x01599731,0x00000000,0x00000000,
    0x00000000,0x7cc00000,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x88000000,0x4c07ffff,0xfffffffe,0x201deacf,0xfffffffd,0xffffffff,
    0xffd901ff,0xa89dffff,0xfffffffd,0x7fff641d,0x6d44efff,0xdfffffff,
    0x3ffffe21,0xffffffff,0x3fa603ff,0xcfffffff,0x7f641dea,0x44efffff,
    0xffffffda,0xfd1001df,0x7fffffff,0x3ffa6000,0xacffffff,0xfd1001de,
    0x7fffffff,0xfffb3000,0x3fffffff,0xffb30000,0xffffffff,0x3fae0003,
    0x0dffffff,0xfffffeb8,0x3fae1dff,0xffffffff,0xffffffff,0x7ffe43ff,
    0xffff981f,0xffffffff,0xffffffff,0x3fffb24f,0xffffffff,0x2a01dfff,
    0xfffffffe,0xffffffff,0x7643ffff,0xffffffff,0x1dffffff,0x3ffffffe,
    0xffffffff,0x7ff643ff,0xffffffff,0xc81dffff,0xfb02ffff,0xffffffff,
    0x409fffff,0xfffffffd,0xffffffff,0x7fd40fff,0xffffffff,0x3fffffe3,
    0x3ea6ffff,0xffffffff,0x3ffffe3f,0x6c6fffff,0xffffffff,0x03ffffff,
    0xfffffffb,0x9fffffff,0x7fffffd4,0x3fe3ffff,0xffffffff,0xffffb806,
    0xdfffffff,0x3fff6000,0xffffffff,0xfb804fff,0xffffffff,0x36000dff,
    0xffffffff,0x80004fff,0xfffffffd,0x8004ffff,0xfffffff9,0x7fc44fff,
    0xffffffff,0xffffff15,0xffffffff,0x7fffffff,0x306fffd8,0xffffffff,
    0xffffffff,0x269fffff,0xffffffff,0xffffffff,0x3fffe05f,0xffffffff,
    0xffffffff,0x3fffe63f,0xffffffff,0x3e5fffff,0xffffffff,0xffffffff,
    0x3ffffe63,0xffffffff,0xf985ffff,0xffd83fff,0xffffffff,0x206fffff,
    0xdffffffd,0x3ffee609,0x7ffd46ff,0x3fffffff,0x3ffffffe,0x3fea6fff,
    0xffffffff,0x3fffffe3,0xa886ffff,0xaaaaaaaa,0xfd83fffe,0xffffffff,
    0x26ffffff,0xfffffffa,0x3ffe3fff,0x6fffffff,0x3ffffa20,0xffffffff,
    0xffd802ff,0xffffffff,0x206fffff,0xffffffe8,0xffffffff,0xffffb002,
    0xffffffff,0xffd80001,0xffffffff,0x7cc000ff,0xffffffff,0x7fffc44f,
    0x15ffffff,0xffffffff,0xffffffff,0xf87fffff,0xff305fff,0xffffffff,
    0xffffffff,0x3fea9fff,0xffffffff,0x5fffffff,0xffffff10,0xffffffff,
    0x7fffffff,0x7fffffd4,0xffffffff,0x3ffe5fff,0xffffffff,0x23ffffff,
    0xfffffffa,0xffffffff,0xffff05ff,0xfffffb8b,0xfffedcce,0x3f607fff,
    0x4401ffff,0x6c1ffffd,0xffffffff,0x3fffaa0d,0x6c1effff,0xffffffff,
    0x3fffaa0d,0x001effff,0x70ffff60,0x99dfffff,0xffffffdb,0xfffffd8f,
    0x3aa0dfff,0xefffffff,0x3ffff601,0xfffdceff,0x2e01ffff,0xccefffff,
    0xffffffed,0x3ffff607,0xfffdceff,0x9801ffff,0xfffffffe,0x0003ffff,
    0x7fffff4c,0x03ffffff,0xfffffd80,0xec81dfff,0xefffffff,0x3ffffb21,
    0xffffffff,0x3fffffff,0x413fffe2,0xfffffff9,0xffffffff,0x24ffffff,
    0xfffffffd,0xffffffff,0x3ffae01d,0xffffcfff,0xffffffff,0x7fffec3f,
    0xffffffff,0x3fe1dfff,0xffffffff,0x3fffffff,0x7fffffec,0xffffffff,
    0xfffd01df,0x2fffff8d,0xfffffd10,0x17fffec0,0x3ffff880,0x037ffff0,
    0x3fffe988,0x0dffffc0,0x3fffa620,0xffd80003,0x7ffffc3f,0xffffd102,
    0x2ffffe0f,0x7ff4c401,0x7ffd403f,0xffd303ff,0x7ffc0dff,0xffd102ff,
    0x3fea0fff,0xfd303fff,0x4400dfff,0xfffffc99,0x100006ff,0xfffff933,
    0x2e000dff,0x0019efff,0x0dfff731,0x4dffff44,0x99999999,0x3e63fffe,
    0xff303fff,0xf93333ff,0x93333dff,0x33309fff,0x33dfff73,0x7c400133,
    0xdfffbcff,0xffd99999,0x7333303f,0x3333dfff,0x35ffff01,0xff533333,
    0x26603fff,0x9efffb99,0x7ec00999,0x3ffe67ff,0xfffd803f,0x17fff607,
    0x0bfff500,0x800bfffa,0x7402fffe,0x3a002fff,0x80002fff,0x3e63fffd,
    0xfd803fff,0xfffd07ff,0x7fff4005,0x3fffe202,0xfffc801e,0xffff984f,
    0x7fffd803,0x1effff88,0x4ffffc80,0xefffe800,0x0001ffff,0x7f7fff40,
    0xa8001fff,0x70007fff,0xfe80bfff,0xffb002ff,0x7fffd47f,0x0ffff301,
    0xf90bfff7,0xff5009ff,0xf88000df,0x5fffbaff,0x007fffb0,0x401bffea,
    0xd101ffff,0x4005ffff,0x8006fffa,0xf50ffffc,0x3ea00dff,0x3ff606ff,
    0x7fc4004f,0x5fffd07f,0x17fff400,0x00bfffa0,0x002fffe8,0x23fffd80,
    0x5006fffa,0x3fa0dfff,0x3fa002ff,0x3ffa02ff,0x3f6000ff,0x7fd41fff,
    0xfff5006f,0x1ffffd0d,0x7fffec00,0x3ffe6001,0x04fffeaf,0x3ffe6000,
    0x04fffeaf,0x0ffff980,0x2077775c,0x7404fffc,0xfb002fff,0x7ffe45ff,
    0xffff300f,0x90bfff70,0xf5009fff,0xb8000dff,0xfffb8fff,0x07fffb05,
    0x01bffea0,0xd80ffffc,0x4004ffff,0x8006fffa,0xf52ffffa,0x7f400fff,
    0x3fff603f,0x7ffc4004,0x2fffe81f,0x0bfffa00,0x005fffd0,0x0017fff4,
    0x51fffec0,0x7400ffff,0xfffd03ff,0x7fff4005,0x7ffff302,0xffff8800,
    0x03fffd45,0xf987ffd0,0x44003fff,0x2005ffff,0xff76fffd,0x200001ff,
    0xff76fffd,0xf88001ff,0x7ff41fff,0x7ffec2ff,0x17fff403,0xfff70edc,
    0x03fffec3,0xf70ffff3,0xfff90bff,0xdfff5009,0x5ffd8000,0x320bfff7,
    0xf5002fff,0x3fe00dff,0xfffb80ff,0xffa8006f,0xff98006f,0xffff13ff,
    0x02f26007,0x005fffd8,0xe83fffd4,0x3a002fff,0x7f402fff,0x3fa002ff,
    0xd80002ff,0x3fe23fff,0x793003ff,0x0bfffa01,0x02fffe80,0x000dfff5,
    0xf11fffee,0x26007fff,0x7ffd40bc,0xfff70006,0x3ffe200f,0x7ffff13f,
    0xfff10000,0x3fffe27f,0xffff8003,0x3ffffe62,0x017fff45,0xf90bfffa,
    0x22ff44df,0x2607fffd,0xffb86fff,0x4fffb85f,0x06fffa80,0x4fffe200,
    0xbf75fffb,0x001fff51,0x401bffea,0xff986ffc,0xa8000fff,0xa8006fff,
    0x3f62ffff,0x000adfff,0x1ffffd80,0x1bfff600,0x0017fff4,0xe805fffd,
    0x3a002fff,0x80002fff,0x7ec3fffd,0x000adfff,0x017fff40,0x205fffd0,
    0x0004fffc,0xd81ffff1,0x00adffff,0x09fff900,0x3fffe200,0xffffb800,
    0x01bfff20,0x3fffee00,0x01bfff20,0xc8ffffa0,0x20ffffff,0x7402ffff,
    0x7fec2fff,0x7fdc040f,0x3ffe01ff,0x85fffb84,0xa801fff9,0x20006fff,
    0xff71fffa,0x27fff1bf,0x3ea002db,0xdb3006ff,0xfffff885,0xfff50002,
    0xfff7000d,0x7fffd43f,0x00bcefff,0xfffffd80,0xffffd800,0x05fffd04,
    0x017fff40,0x800bfffa,0x0002fffe,0x543fffd8,0xefffffff,0x7f4000bc,
    0x3fa002ff,0xfffb02ff,0x7ffc0005,0x7fffd41f,0x00bcefff,0x005fffb0,
    0x00ffffc0,0x262ffff4,0x0001ffff,0x262ffff4,0x4001ffff,0x3fa3fffd,
    0x3e2fffff,0x7f401fff,0xffeeeeff,0xffa802ff,0x37aa02ff,0x05fffb80,
    0x3ea009d9,0x320006ff,0x3ffee6ff,0x005fffde,0x01bffea0,0x3ffffa00,
    0x3fea0003,0xffc8006f,0x7ffd40ff,0xffffffff,0xfffb001c,0xb3107fff,
    0x201fffff,0x2002fffe,0x7402fffe,0x3a002fff,0x80002fff,0xfa83fffd,
    0xffffffff,0xfe801cff,0x3fa002ff,0xffff02ff,0x7fec0003,0xffffa83f,
    0xcfffffff,0x07fffe01,0x3fffd800,0x0ffffcc0,0x0027fff4,0x03ffff30,
    0x8009fffd,0xff34fffc,0x22bfffff,0x7400ffff,0xffffffff,0xf9802fff,
    0x20003fff,0x0005fffb,0x00dfff50,0xf727ffc0,0xdfffffff,0x7ffd4000,
    0x7fe40006,0x540005ff,0xe8006fff,0xff306fff,0xffffffff,0xffb009ff,
    0xbdffffff,0xfffffffd,0x17fff403,0x05fffd00,0x002fffe8,0x000bfffa,
    0x40ffff60,0xfffffff9,0x404fffff,0x2002fffe,0xf882fffe,0x20000fff,
    0xf304fffc,0xffffffff,0xff109fff,0x640001ff,0x7ec04fff,0xfff706ff,
    0x3f60001f,0xfff706ff,0x7fdc001f,0xfffff95f,0xfff31fff,0xffffd00f,
    0x5fffffff,0x13fffe00,0x5fffb800,0xfff50000,0x3fe6000d,0x3fffee2f,
    0x0006ffff,0x001bffea,0x0effffa8,0x7ffd4000,0xffff8006,0x3ffae205,
    0xffffffff,0x3fff600d,0xffffffff,0x03ffffff,0x0017fff4,0xe805fffd,
    0x3a002fff,0x80002fff,0x2203fffd,0xffffffeb,0xd00dffff,0x74005fff,
    0xfff02fff,0x7ec0003f,0x3ae203ff,0xffffffff,0x7ffc0dff,0x3f60001f,
    0x3fe203ff,0xfff103ff,0xff10007f,0x3fe207ff,0x3ea003ff,0x9fffd6ff,
    0xff55ffff,0xfffd00df,0xffffffff,0x3fffa005,0x3fee0006,0xf500005f,
    0x32000dff,0xfc999fff,0x6fffffff,0x3ffea000,0xfff30006,0x500003ff,
    0x8800dfff,0x1004ffff,0xfffffb95,0x7fec0bff,0xffffffef,0x01efffff,
    0x002fffe8,0xd00bfffa,0x74005fff,0x80002fff,0x1003fffd,0xfffffb95,
    0x3ffa0bff,0x3ffa002f,0x5fffb02f,0x7fffc000,0xfb951001,0x8bffffff,
    0x0002fffd,0xb807fffe,0xffffffff,0x6fffffff,0xffffb800,0xffffffff,
    0x26006fff,0xfff9ffff,0xbdfffd9f,0xfe805fff,0xffcccdff,0xffb002ff,
    0x2e0001ff,0x00005fff,0x000dfff5,0x3ffffffa,0xffdeffff,0x3ea0005f,
    0xe88006ff,0x0203ffff,0x06fffa80,0x17fffd40,0xfff93000,0x3ff601ff,
    0xffffc8bf,0x2003efff,0x2002fffe,0x7402fffe,0x3a002fff,0x80002fff,
    0x0003fffd,0x3fffff26,0x02fffe80,0x40bfffa0,0x0004fffc,0x001ffff1,
    0x7fffe4c0,0x13fff20f,0x7fffc400,0x3ffffa00,0xffffffff,0x4001ffff,
    0xfffffffe,0xffffffff,0xfff1001f,0x2adfffbf,0xfffdffff,0x2fffe804,
    0x220fffec,0x3ffffa81,0xbfff7000,0x3fea0000,0xff88006f,0xffffffff,
    0x03fff8df,0x1bffea00,0x3ffff600,0x009fd304,0x001bffea,0xa81ffffd,
    0x7ffcc002,0x7fffb02f,0x00d554c4,0x02fffe80,0x00bfffa0,0x4005fffd,
    0x0002fffe,0x543fffd8,0x7ffcc002,0x2fffe82f,0x0bfffa00,0x007fffd4,
    0x43fffdc0,0x7fcc002a,0x3ffea2ff,0xffb8000f,0x3ffe607f,0xffffffff,
    0x04ffffff,0x3ffffe60,0xffffffff,0x2004ffff,0xffffffff,0xffffff14,
    0xffd007ff,0x47ffc85f,0xfff85ff9,0xfb8000ff,0x500005ff,0x7000dfff,
    0xffffffff,0x336abfff,0x3fea0000,0x7fdc006f,0x3fee06ff,0xfffa800f,
    0x3ffea006,0x017ff44f,0x417fff20,0x0003fffd,0x07fff900,0x03fffe20,
    0x007fff90,0x003fffe2,0x8ffff600,0x64002ffe,0xffc85fff,0xfff1003f,
    0x3ffe601f,0x7fc4004f,0x17ff45ff,0x97fff200,0x004ffff9,0x02ffffc4,
    0xfffffffb,0xffffffff,0x36001fff,0xffffffff,0xffffffff,0xfff000ff,
    0x6c3fffff,0x2fffffff,0x82fffe80,0x0fffc839,0x01ffffe4,0x02fffdc0,
    0x6fffa800,0xaeffd800,0x5fffdaaa,0x400ff620,0x2006fffa,0x00fffff9,
    0x200bfff6,0x2006fffa,0x221ffffd,0x64006fff,0xffb06fff,0x2000007f,
    0x5006fffb,0xf700ffff,0x3ea00dff,0xf00007ff,0x3fe25fff,0x7fe4006f,
    0x6fffb86f,0x0ffff500,0x01ffffd8,0x83ffff60,0x4006fff8,0x7ec6fffc,
    0x36001fff,0xf100ffff,0x33337fff,0xff333333,0xff1007ff,0x333337ff,
    0xfff33333,0x3ffa007f,0x7d47ffff,0x01ffffff,0x002fffe8,0xf10bfff6,
    0x7000ffff,0x0000bfff,0x001bffea,0x3ee13ffe,0x3fee05ff,0xdfff5007,
    0x3fffe200,0x7fff402f,0x6fffa802,0xbffff300,0x04ffffa8,0x09ffff10,
    0x000ffff6,0x7fffcc00,0x7fffcc04,0xffff9805,0x7fffcc04,0xffa80005,
    0xffff50ff,0x3ffe2009,0xffff984f,0x7fffcc04,0x7fffc405,0x7fec402f,
    0x7ffd43ff,0xfff1004f,0xffff889f,0x7fec402f,0x3fee03ff,0x3f2000ff,
    0xffb806ff,0x3f2000ff,0xffb006ff,0xf889ffff,0x01ffffff,0x002fffe8,
    0x320bfffa,0x4003ffff,0x0005fffb,0x00dfff50,0xb81fffa8,0x3f605fff,
    0xffa801ff,0xfffd006f,0xfffd007f,0xdfff5005,0x3ffff600,0x7ffffd42,
    0xfff700ae,0x3ff605ff,0x2000003f,0x40dffffe,0x1fffffa8,0xbffffd00,
    0xffffa881,0x74c0001f,0x3fea6fff,0x700aefff,0x205fffff,0x40dffffe,
    0x1fffffa8,0xfffffa80,0xfffe980c,0xffffa86f,0xff700aef,0xff505fff,
    0xd3019fff,0x440dffff,0x001dfffe,0x15ffff51,0x37fffa20,0xfff51001,
    0xffc8015f,0xfd81ffff,0x400fffff,0x99bfffe9,0x99999999,0xf882fffe,
    0x98806fff,0x99efffc9,0x26666001,0x999efffb,0xfffb1009,0xdfffc983,
    0xfe999999,0x999982ff,0x999efffb,0x7fffe409,0x9999999e,0x82fffe99,
    0xfffb9999,0x4c09999e,0xfa86ffff,0xefffffff,0xfffffedd,0xffea886f,
    0x0001aacf,0x7ffffc40,0xffffecef,0x3e2003ff,0xecefffff,0x03ffffff,
    0xbaaaaa88,0x24fffffe,0xfffffffa,0xfffeddef,0x3e206fff,0xecefffff,
    0x03ffffff,0x3fffff20,0xffffddef,0xffa81fff,0xdeffffff,0xffffffed,
    0x3ffff206,0xfffddeff,0xe981ffff,0xffffffff,0xffffd304,0x74c9ffff,
    0xffffffff,0xffffd304,0x5c09ffff,0x507fffff,0x40ffffff,0xfffffffc,
    0xffffffff,0x02ffffff,0x205ffff9,0xffffffeb,0x05ffffff,0x3ffffff6,
    0xffffffff,0xffff11ef,0xfff5dfff,0xffffffff,0x45ffffff,0xfffffffd,
    0xffffffff,0xfffffd1e,0xffffffff,0x6c5fffff,0xffffffff,0xefffffff,
    0x05ffff91,0xfffffff3,0xffffffff,0xffd81fff,0xffffffff,0x2a00001f,
    0xffffffff,0x006fffff,0xffffffa8,0x6fffffff,0xfffffd80,0x5fffffff,
    0x7fffffcc,0xffffffff,0x5400ffff,0xffffffff,0x006fffff,0xffffffd8,
    0xefffffff,0xfffff301,0xffffffff,0x801fffff,0xfffffffd,0x1effffff,
    0xffffffb0,0xfb03ffff,0xffffffff,0x3ffff63f,0x81ffffff,0xfffffffd,
    0xff501fff,0x3e209fff,0xf306ffff,0xffffffff,0xffffffff,0x205fffff,
    0xf04ffff8,0xffffffff,0x03ffffff,0xfffffff5,0xffffffff,0x3fff2bff,
    0xffffffff,0xffffffff,0x2fffffff,0xfffffff5,0xffffffff,0x3fffabff,
    0xffffffff,0x2fffffff,0xfffffff5,0xffffffff,0x3fffabff,0x3ffffe05,
    0xffffffff,0x7cc1dfff,0xffffffff,0x00005fff,0x7fffff4c,0x004fffff,
    0x3ffffa60,0x04ffffff,0xffffff98,0x05ffffff,0xffffffff,0xffffffff,
    0x3fa6003b,0xffffffff,0x3ea0004f,0xffffffff,0x7fc00dff,0xffffffff,
    0x1dffffff,0xfffff500,0x1bffffff,0x7ffffec0,0xd80fffff,0xffffffff,
    0xffffb0ff,0x01ffffff,0xfffffffb,0x3e601fff,0x3602ffff,0xf105ffff,
    0xffffffff,0xffffffff,0x405fffff,0xfd01fff9,0xffffffff,0x303fffff,
    0xffffffff,0xffffffff,0x3fffeebf,0xffffffff,0xffffffff,0x32ffffff,
    0xffffffff,0xffffffff,0x3ffffabf,0xffffffff,0x32ffffff,0xffffffff,
    0xffffffff,0x03fff2bf,0xfda8dea8,0xefffffff,0xfffff102,0x7fffffff,
    0x3ee00000,0x1effffff,0xfff70000,0x003dffff,0x3fffffe2,0x204fffff,
    0xffda8dea,0x2effffff,0xffff7000,0x0003dfff,0xfffffb10,0x2a007dff,
    0xfffda8de,0x02efffff,0xffffd880,0x8803efff,0xffffffec,0xffd9103d,
    0x447bffff,0xffffffec,0xffd9103d,0x407bffff,0x407ffff8,0x204ffffa,
    0xffffffda,0xffffffff,0x02ffffff,0xfb300dcc,0xffffffff,0x6dc07bff,
    0xffffffff,0x0cefffff,0x3bffffb6,0xfffffd8c,0xffffffff,0x3f6e2fff,
    0xffffffff,0xd0ceffff,0xffffffff,0xffffffff,0x7fedc5ff,0xffffffff,
    0x2a0cefff,0x5310000b,0x30013599,0xddddddd9,0x000007bd,0x01379530,
    0x32a60000,0xc980009b,0x1bdeeeee,0x32a62000,0x000009ac,0x00137953,
    0x2f2a6000,0x26200001,0x0009acca,0x03795300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54c00000,0x0002bccc,
    0x00000030,0x000003b7,0x00000003,0x0000036e,0x00000199,0x00002001,
    0x00000040,0x0004c880,0x00000000,0x00001b90,0x00336a00,0x00260031,
    0x00080020,0x00000000,0x00006e20,0x00008008,0x00000008,0x0000edc0,
    0x00008008,0xfffffe98,0x1deacfff,0x003bf200,0x27fec000,0x3bf20000,
    0x10000001,0x00009ffb,0x000fffc4,0xc807fd00,0x5c00006f,0x000001ef,
    0x803ffe60,0xffffffeb,0xcdefffff,0x44000001,0x00002ffe,0x05fff880,
    0x3e600ffc,0x0f7d4007,0xb805fd30,0x05fffffe,0x3fffff6a,0xa8002dff,
    0x40004fff,0xfd504fe9,0x6fec0007,0x003fea00,0x04ffd800,0x827f4c00,
    0x20003fea,0xfffffffd,0x4fffffff,0xffffe980,0x3a200003,0x00000fff,
    0x07ffffd3,0xfe980000,0x400000ff,0x0003fffd,0x41efff88,0x000fffe9,
    0xffffd880,0x4000000c,0x2204fffb,0xffffffff,0xffffffff,0x800000df,
    0x0006fff9,0xdfff9000,0x2037fc40,0x32000ffe,0xffb83fff,0x3ffe203f,
    0xd02fffff,0xffffffff,0xffd000df,0xfd8000ff,0xfffe81ff,0xfffd0000,
    0x1fffd885,0xffe88000,0x7ec0000f,0xfffe81ff,0xfffd8000,0xffffffff,
    0x6406ffff,0xefffffff,0x7fcc0000,0x900001ef,0xdfffffff,0xf5000003,
    0x00001dff,0x013fff20,0x3fffea00,0x05ffff93,0xffff7000,0x0005dfff,
    0x13fff200,0xffffff30,0xffffffff,0x003fffff,0x6fffdc00,0x88000000,
    0x7403ffff,0x7ec40dff,0xffd8006f,0xfffe99ef,0x7fffc406,0xe80fffff,
    0xffffffff,0xffe8006f,0x360000ff,0xffe82fff,0xff30001f,0xfff51bff,
    0xf300007f,0x00003dff,0xfd05fffb,0xfb8003ff,0xdcceffff,0x7ffffffe,
    0x1bfffd10,0x005ffff7,0x037ffea0,0x3ffa2000,0xffffb8df,0x3ee00003,
    0x00000dff,0x02fffdc0,0x7fff4c00,0x000dffff,0x9efffd80,0x004ffffa,
    0x1ffff400,0xfffffc80,0xffffffff,0x00efffff,0x4fffc800,0x32000000,
    0x4c00ffff,0xfeceffff,0x70001fff,0xffffffff,0x3ffae007,0xa84fffff,
    0xfffffffe,0xffb8002e,0x7cc0004f,0x09ff506f,0xfffd8800,0x001effff,
    0x0dfffa80,0xdff30000,0x0013fea0,0x40bffffe,0x07ffffe8,0xe987fffb,
    0x44001fff,0x00004fff,0xd30ffff6,0x00003fff,0x0009fff1,0x7ffcc000,
    0xff700003,0x00007fff,0xb113fff2,0x00005fff,0x0007ffee,0x26ffffe2,
    0xffba9999,0x40005fff,0x0002fffa,0x3ffe2000,0xfff5004f,0x05ffffff,
    0xfffe8800,0xe88000ef,0x01ffffff,0x07fffd31,0x002c9800,0x01100200,
    0x7ffd4000,0x100004ff,0x00009fff,0x00110020,0x07ffff30,0x20ffffb0,
    0x3f200dfe,0x7fc4000f,0x7f400002,0x07fee00d,0x0bfe2000,0x22000000,
    0x200002fd,0x0000dfe9,0xa807bf20,0x700002ff,0x740001bf,0xfe802fff,
    0x4c0007ff,0x000001ef,0x07fffdc0,0xfffd9100,0x4000019d,0x40003ffb,
    0x6ffffffe,0x01fffec0,0x00000000,0x88000000,0x00001efd,0x0000bfe2,
    0x20000000,0x5006fffa,0x0040dfff,0x00000088,0x10018000,0x00000001,
    0x00800000,0x00050000,0x00800600,0x00004000,0x4017fff4,0x001ffff9,
    0x00000040,0x05fffe80,0x00000400,0x20000260,0xfffffffe,0x0ffff604,
    0x00000000,0x00000000,0x00000003,0x00000000,0x0ffff500,0x001fff40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02fffe80,0x005fffd0,0x00000000,0x03ffff50,0x00000000,0x3fa00000,
    0x1fffffff,0x007fffb0,0x57997510,0x00000003,0x00000000,0x00000000,
    0x0accb988,0x3ffe2000,0x1793003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffa0000,0xfff9802f,0x0000000f,
    0xffe80000,0x0000005f,0x00000000,0x3ff3fffa,0xfffb06ff,0x7fecc007,
    0xaeffffff,0x7f643fe9,0x44efffff,0xffffffda,0x000001df,0x00000000,
    0xffffe880,0x0003ffff,0x15bffffb,0x3ffb2000,0xffffffff,0x2e1dffff,
    0xfffffffe,0xffffffff,0x6d43ffff,0x03efffff,0xdfffffb3,0x7ffecc09,
    0x1fffffff,0xfffd7000,0xffffffff,0xffffffff,0xffffeb87,0xefffffff,
    0x260001cd,0xfffffffd,0xf0001fff,0xffffffff,0xffffffff,0x17fff407,
    0x1bfffaa0,0xfffffd70,0xbdffffff,0x50000039,0x2e03ffff,0xfffffffe,
    0xffffffff,0x75c3ffff,0xffffffff,0x001bceff,0xfcafffe8,0xffd83fff,
    0xfff9003f,0xffffffff,0x7d4fffff,0xffffffff,0x3ffffe3f,0x5c6fffff,
    0xfffffffe,0xffffffff,0x6d43ffff,0x03efffff,0xdfffffb3,0xffff7009,
    0xbfffffff,0xfffa8001,0x0bceffff,0xfffff980,0xffffffff,0xff15ffff,
    0xffffffff,0xffffffff,0xffe87fff,0x80ffffff,0xfffffffe,0xffffb02f,
    0x9fffffff,0xffff1000,0xffffffff,0xffffffff,0x7fffc47f,0xffffffff,
    0x00dfffff,0xfffffd80,0x04ffffff,0xffffff00,0xffffffff,0x7f407fff,
    0xfd9882ff,0x2203ffff,0xffffffff,0xffffffff,0x200000df,0xf106fffe,
    0xffffffff,0xffffffff,0x7c47ffff,0xffffffff,0xcfffffff,0x3fffa000,
    0x81ffffd2,0x4403fffd,0xfffffffe,0xffffffff,0xffff51ff,0x47ffffff,
    0xffffffff,0x3ffe26ff,0xffffffff,0xffffffff,0x7fff43ff,0xe80fffff,
    0xffffffff,0xffffd102,0xffffffff,0xfa8005ff,0xffffffff,0xff501cff,
    0xffffffff,0xbfffffff,0x3fffffe2,0xffffffff,0x3fffffff,0x7ffffff4,
    0xfffe81ff,0xb02fffff,0xffffffff,0x8001ffff,0xfffffff8,0xffffffff,
    0x23ffffff,0xfffffff9,0xffffffff,0x4001ffff,0xfffffffd,0x000fffff,
    0xfffffff8,0xffffffff,0x3ffa03ff,0xfffeeeef,0x00efffff,0x3fffffe6,
    0xffffffff,0x001fffff,0x2ffff980,0xffffff10,0xffffffff,0x7fffffff,
    0x7fffffcc,0xffffffff,0xd002ffff,0x3fea5fff,0x7ffec5ff,0x7ffff403,
    0xffdcdeff,0x22ffffff,0xfffffffd,0x3ffaa0df,0x21efffff,0xfffffff8,
    0xffffffff,0x43ffffff,0xfffffffe,0xffffe81f,0xfb02ffff,0xb9dfffff,
    0x3fffffff,0xffff9800,0xffffffff,0xfffffb04,0xffffffff,0x7f643bff,
    0xffffffff,0xffffffff,0x7ff543ff,0xf504ffff,0x0bffffff,0x7fffff4c,
    0x03ffffff,0xffffec80,0xffffffff,0x3fffffff,0x7fffffe4,0xffffffff,
    0x000effff,0x3fffffa6,0x03ffffff,0xffffff80,0xffffffff,0x3fa03fff,
    0xffffffff,0x004fffff,0xfffffff9,0xffffffff,0x0001dfff,0x406fffd8,
    0xffffffec,0xffffffff,0x643fffff,0xffffffff,0xffffffff,0xffe801ff,
    0x3ffff62f,0x80ffff62,0x0bfffffc,0xfffffd50,0x37ffff05,0xfffe9880,
    0xffffd903,0xffffffff,0x7fffffff,0xfffffea8,0xffff504f,0x3ea0bfff,
    0xd303ffff,0x000dffff,0xfffffd71,0x01bfffff,0x3fee6666,0x009999ef,
    0x26ffffa2,0x99999999,0xf303fffe,0xfc80ffff,0x22004fff,0xfffffc99,
    0x220006ff,0x999bfffe,0xfe999999,0xfff103ff,0x5333337f,0x0bfffff7,
    0xff933100,0x00dfffff,0x335ffff0,0xfff53333,0x7ff403ff,0xffffffff,
    0x88003fff,0x999bffff,0xffffba99,0x3e60005f,0xd1003fff,0x33337fff,
    0xffd33333,0x3fffa07f,0xdb99999c,0x00efffff,0xf117fff4,0x3f61ffff,
    0xfff303ff,0x3f2005ff,0xffe82fff,0x3ffa002f,0x7ff4402f,0x999999bf,
    0x3fffe999,0x0fffff30,0x04ffffc8,0x07bfffe2,0x13ffff20,0xfdca8800,
    0x05ffffff,0x00dfff50,0x005fffd0,0xb80ffff6,0xf304ffff,0x4000dfff,
    0xfffefffe,0x3fa0001f,0xffb002ff,0x7fff407f,0x7fffe802,0x7fff4000,
    0x001ffffe,0x880ffffc,0x402ffffe,0xfffffffe,0x01ffffff,0x05fffd00,
    0x00ffffd0,0x03fffe40,0x00bfffa0,0xd81fffec,0xfd803fff,0x7f404fff,
    0x7ffd42ff,0x07fffb4f,0x00bffff2,0x81ffff88,0x2002fffe,0xe802fffe,
    0xfb002fff,0x7fdc07ff,0xfff304ff,0xfffe80df,0x3ff6000f,0x200001ff,
    0x0fffffc9,0x06fffa80,0x02fffe80,0x805fffb0,0xe81ffffd,0x0001ffff,
    0xfd5ffff3,0x740009ff,0xfb002fff,0x7ff405ff,0xfff9802f,0xff30001f,
    0x9fffd5ff,0x1ffff800,0x09ffffb0,0x559fffd0,0xffffff75,0xfffd0003,
    0xffff3005,0xfff10003,0xffe8007f,0xfffb002f,0x0ffff605,0x07fffec0,
    0xb05fffd0,0xffb3ffff,0x3fffe07f,0x7ffc8004,0x005fffd0,0x4017fff4,
    0xb002fffe,0xfd805fff,0xffe81fff,0x3fe601ff,0x7c4003ff,0x15405fff,
    0x3fffe600,0x6fffa802,0x2fffe800,0x3fee1db8,0x7ffc401f,0x3ffee0ef,
    0x3f60004f,0xffff76ff,0x3ffa0001,0x2e1db82f,0x3fa01fff,0xffd002ff,
    0x3f60005f,0xffff76ff,0x7fffc001,0x6ffffb80,0x05fffd00,0x3fffffb1,
    0x2fffe800,0x05fffd00,0x1ffff900,0x2fffe800,0x3fee1db8,0x7fffb01f,
    0x3fffe200,0x0bfffa04,0x37bfffe2,0xffa83fff,0xe98000ff,0x5fffd03f,
    0x17fff400,0x417fff40,0x3ffee1db,0x7fffc401,0x3fffee0e,0x37ffd404,
    0x7fffb800,0x000bffa0,0x500bfff9,0xd000dfff,0xffc85fff,0x4017fa26,
    0xf34ffffb,0x4000dfff,0xf13ffff8,0x20007fff,0x7e42fffe,0x017fa26f,
    0x3005fffd,0x0001ffff,0x227ffff1,0x2003ffff,0xff986ffc,0xfd000fff,
    0x7fec05ff,0x3a000eff,0xf9802fff,0x44000fff,0x8004ffff,0x7e42fffe,
    0x817fa26f,0x2003fffd,0x3a07fffc,0xff702fff,0x07ffffff,0x000dfff7,
    0x3fffa008,0x3fffa002,0x2fffe802,0xfd137fe4,0x3ffee00b,0xdffff34f,
    0x09fff900,0x3fffe200,0x06fff880,0x037ffe40,0x0037ffd4,0x3617fff4,
    0x00040fff,0x3abffff6,0x0001ffff,0xc83fffee,0xd0006fff,0xffd85fff,
    0x7f40040f,0x7f5402ff,0xf70006ff,0x7fe41fff,0x3b66006f,0x7ffffc42,
    0x3fffa002,0x7fffec02,0x3fffa005,0x7fff5402,0xfffb8006,0xffe8000f,
    0x07ffec2f,0x7fffb002,0x7fffd400,0x05fffd00,0x7ffffff4,0x5fffc83f,
    0x3fa00000,0x3fa002ff,0xffe802ff,0x07ffec2f,0xfffb0002,0x3ffffd5f,
    0x05fffb00,0x0ffffc00,0x027fffd4,0x04ffff88,0x006fffa8,0xeeefffe8,
    0x002ffffe,0x7ffffc40,0x0003ffff,0x262ffff4,0x8001ffff,0xeeeefffe,
    0x8002ffff,0x9882fffe,0x03fffffd,0x8bfffd00,0x001ffff9,0x3ffffe80,
    0x17fff400,0x3ffffa20,0x5fffd002,0xffffb310,0xfff0007f,0x3fa0009f,
    0xffeeeeff,0x7ec002ff,0x3e2003ff,0xffd01fff,0x7ffcc05f,0xfc83ffff,
    0x000004ff,0x800bfffa,0xe802fffe,0xfeeeefff,0x40002fff,0xfffffff8,
    0xfff003ff,0x7ec0003f,0xfffa83ff,0xf700aeff,0x5005ffff,0xd000dfff,
    0xffffffff,0x00005fff,0xfffffff5,0xff98000d,0xfffe81ff,0xfffe8004,
    0xffffffff,0xfffe8002,0xffffeeee,0x000effff,0x81ffff98,0x0004fffe,
    0x02ffffe4,0x2ffffe60,0x3ffe2009,0xffe801ff,0xfffeeeef,0x00efffff,
    0x0ffffdc0,0xffffe800,0x2fffffff,0x1fffec00,0x0bfffa00,0x04dffff4,
    0xffffffc8,0x04fffc83,0x3ffa0000,0x3ffa002f,0xfffe802f,0xffffffff,
    0xffa80002,0x006fffff,0x001ffff1,0x427ffe40,0xfffffffa,0xfffeddef,
    0xf5006fff,0xfd000dff,0xffffffff,0x200005ff,0x1ffffffd,0x7ffec000,
    0x1ffff706,0xffffe800,0x2fffffff,0xffffe800,0xffffffff,0x360004ff,
    0xff706fff,0x2a0001ff,0x000effff,0xfffffff9,0x3ea01bff,0x204fffff,
    0xfffffffe,0x4fffffff,0xbfffd000,0x7fff4000,0xffffffff,0x7ffec002,
    0x7fff4003,0x7ffffec2,0x7440efff,0xc83fffff,0x00004fff,0x00bfffa0,
    0x802fffe8,0xfffffffe,0x0002ffff,0xffffffb0,0x7fffc003,0x3ff60001,
    0xffff983f,0xffffffff,0x00ffffff,0x00dfff50,0xffffffd0,0x005fffff,
    0x3fffe200,0x7c40003f,0xff103fff,0xfe8007ff,0xffffffff,0xfe8002ff,
    0xffffffff,0x0003ffff,0x40ffffe2,0x003ffff8,0x1fffff98,0xfffff300,
    0x07ffffff,0x7fffffe4,0xfffffd00,0xffffffff,0x3fea0007,0x3a0001ff,
    0xffffffff,0x6c002fff,0x74003fff,0x3fe62fff,0xffffffff,0xfffffa84,
    0x04fffc83,0x3ffa0000,0x3ffa002f,0xfffe802f,0xffffffff,0xff100002,
    0xd8007fff,0x20002fff,0xff01ffff,0xffffffff,0x3bffffff,0x37ffd400,
    0x6ffff400,0x2ffffccc,0x3fee0000,0xfb80006f,0xffffffff,0x06ffffff,
    0x66ffff40,0x02ffffcc,0xfffffe80,0xffffffff,0x3fee0001,0xffffffff,
    0x006fffff,0x1fffff44,0xffff8810,0x3fffffff,0x7fffff40,0xfffffd00,
    0xffffffff,0x3ffa0003,0x7f40006f,0xffcccdff,0x7ec002ff,0x7fc003ff,
    0x3ffe61ff,0x3fffffff,0x07ffffb0,0x000dfff7,0x17fff400,0x05fffd00,
    0x99bfffd0,0x005ffff9,0x37ffdc00,0x27ffe400,0xffff8800,0xb51bd500,
    0xffffffff,0xff50005d,0xffd000df,0x1fffd85f,0xfa8000c4,0xe80006ff,
    0xffffffff,0xffffffff,0x3fffa001,0x20fffec2,0x7fff4018,0xfffbaaac,
    0xd0001fff,0xffffffff,0xffffffff,0x7ffec003,0x89fd304f,0xffffffdb,
    0xff9803ef,0x3ffa02df,0xffbaaacf,0x4001ffff,0x002ffff9,0x217fff40,
    0x0c41fffd,0x007fffb0,0x207fffcc,0xffffffdb,0xfff100ce,0xffff507f,
    0x7f400000,0x3fa002ff,0xffe802ff,0x0fffec2f,0x7d400062,0xfa8006ff,
    0xb8000fff,0x88007fff,0x009bffd9,0x1bffea00,0x0bfffa00,0xff98fff9,
    0xfffa8005,0x7fcc0006,0xffffffff,0x4fffffff,0x0bfffa00,0xff98fff9,
    0x0bfffa05,0x3fffff62,0x7ffcc001,0xffffffff,0x04ffffff,0x0dffff70,
    0x0007ffdc,0xfe800000,0xffd882ff,0x36001fff,0x80006fff,0x7e42fffe,
    0x82ffcc7f,0x2003fffd,0x0006fffa,0x3fe20000,0x000003ff,0x2007fff9,
    0x800ffff8,0x7e42fffe,0x02ffcc7f,0x037ffd40,0x27fffcc0,0x3fffe200,
    0x3fee0005,0xffa80001,0xffe8006f,0xfc83982f,0x7d4000ff,0x6c0006ff,
    0xffffffff,0xffffffff,0xffd000ff,0xf907305f,0x3ffa01ff,0x3fff602f,
    0x3f6000ef,0xffffffff,0xffffffff,0x7ffcc00f,0x3ff600ff,0x0000002f,
    0x05fffd00,0x077fffec,0x17fffcc0,0x7fff4000,0xffc83982,0x3fffd80f,
    0x17fff600,0xb0000000,0x0003ffff,0xff7017b3,0x3fea00df,0xfffd007f,
    0xff907305,0xffa8001f,0xffb0006f,0x7ec003ff,0x20000fff,0x0002fffb,
    0x0037ffd4,0x0017fff4,0x8005fffb,0x0006fffa,0x26ffffe2,0x99999999,
    0x003ffff9,0x4005fffd,0xfd02fffd,0xffd805ff,0xff1005ff,0x333337ff,
    0xfff33333,0x7ffc407f,0x7ff402ff,0xdeb8002f,0xfe80000b,0x7fec02ff,
    0xffd805ff,0xfd00007f,0x7ec005ff,0xfffd82ff,0xffff9003,0x6f5c0007,
    0xff98000b,0x2a001eff,0xff984fff,0x7fcc04ff,0xffd005ff,0x7fec005f,
    0x7fd4002f,0xff10006f,0xd8805fff,0x0003ffff,0x00ffffdc,0x0dfff500,
    0x05fffd00,0x017fff40,0x01bffea0,0x0ffffb80,0x1bfff200,0x017fff40,
    0x205fffd0,0x4402fffe,0x802ffffe,0x000ffffb,0xe81bfff2,0xe803ffff,
    0xf8002fff,0x80006fff,0x4402fffe,0x202ffffe,0x003ffff8,0x05fffd00,
    0x417fff40,0xc803fffd,0x0006ffff,0x0037fffc,0xdfffffc8,0x3fff2600,
    0xffffd06f,0xfffa881b,0xffd001ff,0x7ff4005f,0x7fd4002f,0x3ea0006f,
    0x980cffff,0x006ffffe,0x3f2aaee0,0x2666003f,0x99efffb9,0x3fa60099,
    0x99999bff,0xffe99999,0xb998802f,0x0199efff,0x37fffa20,0xfff51001,
    0x7f4c015f,0x99999bff,0xffe99999,0xffff982f,0x3fe2009b,0x3a201fff,
    0x1001dfff,0x815ffff5,0x99effffc,0xe9999999,0x44002fff,0x002fffca,
    0x2ffffe60,0x3ffe2009,0xfff901ff,0xd300001f,0x33337fff,0xfd333333,
    0xfffd05ff,0x75333339,0x03fffffd,0x7fe54400,0xffd0002f,0xbbdfffff,
    0xfffffffd,0x3fffe207,0xfffeceff,0xd3003fff,0x33337fff,0xfd333333,
    0x331005ff,0x333dfff7,0xffff9000,0xfffbbdff,0x0003ffff,0x3fbbffea,
    0xfffd802f,0xffffffff,0x321effff,0xffffffff,0xffffffff,0x202fffff,
    0xffffffea,0x05ffffff,0x3fffffa6,0xfd304fff,0x9fffffff,0xffffffc8,
    0xffffffff,0x2fffffff,0x3ffffff2,0xf500dfff,0x4c9fffff,0xfffffffe,
    0xfffd304f,0x749fffff,0xffffffff,0xffffffff,0x3fa002ff,0x002ffdce,
    0xffffffc8,0xf500dfff,0x449fffff,0x0004ffff,0x7fffffe4,0xffffffff,
    0x2fffffff,0x3ffffff2,0xffffffff,0x0003ffff,0x3ff73bfa,0xffd10002,
    0xffffffff,0x09ffffff,0xffffffa8,0x6fffffff,0xfffffc80,0xffffffff,
    0xffffffff,0x3fffaa02,0xffffffff,0x7fec005f,0xffffffff,0x0001efff,
    0x3fffffe2,0xffffa806,0xffffffff,0xf35fffff,0xffffffff,0xffffffff,
    0x405fffff,0xfffffffe,0x2fffffff,0xffffffb0,0xfb03ffff,0xffffffff,
    0x3fffe63f,0xffffffff,0xffffffff,0xffff32ff,0x7fffffff,0x7ffffe40,
    0xfffffb0f,0xb03fffff,0xffffffff,0x3fffa3ff,0xffffffff,0x2fffffff,
    0x3ffffe00,0xff98006f,0xffffffff,0x3fff203f,0xfff50fff,0x7cc0001f,
    0xffffffff,0xffffffff,0xf32fffff,0xffffffff,0xffffffff,0xff80007f,
    0x0006ffff,0xffffffc8,0xffffffff,0xfffd3002,0x9fffffff,0xfffff300,
    0xffffffff,0xffffffff,0x7fff405f,0xffffffff,0x54002fff,0xffffffff,
    0x0000dfff,0x017dd930,0xffffff30,0xffffffff,0x3fe2bfff,0xffffffff,
    0xffffffff,0x3602ffff,0xffffffff,0x01ffffff,0xfffffffb,0xffb01fff,
    0xffffffff,0x3ffffe21,0xffffffff,0xffffffff,0xfffff12f,0x07ffffff,
    0x0fffffe8,0xfffffffb,0xffb01fff,0xffffffff,0x3fffffa1,0xffffffff,
    0x002fffff,0x077fffaa,0x3fffe200,0x3fffffff,0x7fffff40,0x007fff30,
    0xfffff880,0xffffffff,0xffffffff,0xfffff12f,0xffffffff,0x0003dfff,
    0x3bfffd50,0x3ae20000,0xffffffff,0xfb8000cd,0x1effffff,0xfffff100,
    0xffffffff,0xffffffff,0x7ffec05f,0xffffffff,0x88001fff,0xfffffffd,
    0x0000003e,0x3fff6e00,0xffffffff,0x36a0ceff,0xffffffff,0xffffffff,
    0x2602ffff,0xfffffffd,0x203dffff,0xfffffec8,0xfd9103df,0x87bfffff,
    0xffffffda,0xffffffff,0x22ffffff,0xffffffdb,0xff9803ef,0x3fb222df,
    0x03dfffff,0xfffffd91,0x7fff47bf,0xffffffff,0x2fffffff,0x00013000,
    0xfffffdb8,0xf9803eff,0x26d42dff,0xffda8000,0xffffffff,0xffffffff,
    0x3ff6e2ff,0xffffffff,0x00001cee,0x00000130,0x055e554c,0x79530000,
    0xfb500013,0xffffffff,0xffffffff,0x6cc05fff,0xffffffff,0x0003dfff,
    0x001bca98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00dc4000,
    0x000c0000,0x00400000,0xccba8800,0x000000ab,0x09d70000,0x03000000,
    0x44006000,0x00000000,0x005b5000,0x22002600,0x20000001,0x020004c8,
    0x00400020,0x00400004,0x00100004,0x95000001,0x40000039,0x200002b8,
    0x80001cca,0xeeeeeeca,0x0e6dc405,0x2a000f66,0x00004fff,0x0007bf20,
    0x403ff880,0xb30005fc,0xfffffffd,0x207fb5bf,0xffffffeb,0x7ff5c4ef,
    0x7cc4efff,0x000004ff,0x0007bf20,0x7c403fd8,0xfffec80f,0xdfffffff,
    0xf9000002,0xf50000bf,0x007fb00d,0xffd30000,0x4fe98003,0x4007fd50,
    0xff504fe9,0x3fa60007,0x007fd504,0x980dfd88,0x100005fe,0x81bffffb,
    0xf30002da,0x88000bff,0x40dffffd,0x7fd402da,0x06ffffff,0x89ffffa6,
    0x74004fff,0x00007fff,0x3ffffe98,0xfff10000,0x6ffe981d,0xffffa800,
    0xffffffff,0x7cc0ffff,0xffffffff,0xffff12ff,0x545fffff,0x0000ffff,
    0x7fff4c00,0xffd0003f,0x20ffe401,0xfffffffa,0x0fffffff,0x3f620000,
    0xc80001ff,0x3fea02ff,0x54000004,0xd8005fff,0xffe81fff,0xfffb000f,
    0x01fffd03,0x03fffb00,0x4001fffd,0xfc83fffb,0xd80002ff,0xbfffffff,
    0x0005ffd9,0x003ffff9,0x7ffffec0,0x5ffd9bff,0x7ffffe40,0xff106fff,
    0x3ea3ffff,0x7f4006ff,0x00000fff,0x3ffffff2,0xb80001ef,0xff93ffff,
    0xfb8003ff,0xffffffff,0xffffffff,0x7ffffcc2,0x33ffffff,0xffffffff,
    0x4ffff87f,0x3f200000,0x1effffff,0x0f7fe400,0x2a1ffee2,0xffffffff,
    0x00ffffff,0xfffd3000,0x3e600003,0xfff982ff,0x2e000002,0xb0005fff,
    0xffd05fff,0x3ff6003f,0x0ffff82f,0x2fffd800,0x001fffe8,0x360ffff2,
    0x40002fff,0xfe9afffa,0x02ffffff,0x3ffffb00,0x3ffea000,0xfffffe9a,
    0x7fcc02ff,0x06ffffff,0x4dfffffd,0x4006fffa,0x0004fffb,0x1bfffd10,
    0x007ffff7,0xffffd300,0x8001bfff,0xfffffffc,0xffffeccd,0xffc82fff,
    0xdfffffff,0x3fffff20,0x7fe40dff,0x400000ff,0xb8dfffe8,0x2003ffff,
    0xecffffe8,0xfb02ffff,0xffffffff,0x00007dff,0x003bffe6,0xffff9000,
    0x0bffffbb,0x7fec0000,0x3e60003f,0x09ff506f,0xb82ffd40,0xf30004ff,
    0x13fea0df,0x01dfd100,0x0000dff3,0xffb819b1,0x20002eff,0x0006fff9,
    0xff703362,0x22005dff,0x6fffcaaa,0x2dffff88,0x0037ffd4,0x0000164c,
    0xe987fffb,0x00001fff,0x05fffff9,0xfffff700,0x7ffd4037,0x3fe202ff,
    0xffb01bff,0x7c409fff,0x00003fff,0x261fffec,0x2001fffe,0xffffffe9,
    0xb99803ff,0x0099ffff,0x6fff4000,0xfb000000,0xbfffffff,0x7d400000,
    0x100002ff,0x10000880,0x80000880,0x00004400,0x00001003,0x0072e200,
    0x001e4c00,0x072e2000,0xdfff5000,0x20ffff50,0x0006fffa,0xbfd00000,
    0x00ffdc01,0x1bfd3000,0x3fffe000,0xfff1001f,0xffff805f,0xffffe881,
    0xfffd803f,0x7f400007,0x07fee00d,0x3fffae00,0x7cc000ce,0x000007ff,
    0x00000ffa,0x3ffff660,0x4000001d,0x00001efa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffa8000,0x06fffa86,0x000dfff5,
    0x00c00000,0x00000088,0x7fdc0005,0x7ec002ff,0x7ffc00ff,0x7fff4c1f,
    0xff3002ff,0x800007ff,0x00011001,0xf9800010,0x000007ff,0x00000004,
    0x00000008,0x00000004,0x00000000,0x00000000,0x00000000,0x05665cc4,
    0x00000000,0x20000000,0xfa86fffa,0xfff506ff,0x65d4400d,0x00000abc,
    0x00000000,0xffff8000,0x5ff88004,0x21ffff80,0x1ffffff9,0x37ffec00,
    0xeeec9800,0x000001ee,0x3e600000,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe8800000,0xffffffff,0x00000003,
    0x3fffffb2,0x7fed44ef,0x01dfffff,0x5437ffd4,0xff506fff,0xfed980df,
    0xdfffffff,0x00003fda,0x00000000,0x3fffe200,0x00310002,0x7d47fffe,
    0x000effff,0x02ffff98,0x7ffffc40,0x000002ff,0x3e600000,0x000007ff,
    0x00000000,0x00000000,0x3ffb2000,0xffffffff,0x2a1dffff,0x3efffffd,
    0xfffffb30,0xfffeb89d,0xffffffff,0xffffffff,0x3fff6603,0x1fffffff,
    0x3fee0000,0xffffffff,0x7ffc00df,0xffffffff,0x23ffffff,0xfffffffa,
    0x3ffe3fff,0x6fffffff,0x437ffd40,0xf506fffa,0x7fd40dff,0xffffffff,
    0x00ffffff,0xffffffb5,0x7ffed41b,0x75c0dfff,0x205fffff,0xffffffda,
    0x3ffea2df,0x8000000f,0xffc9ffff,0x0000dfff,0x001bfffa,0xfffffff5,
    0x76400005,0xffffffff,0x1dffffff,0x01fffe60,0x3fffb200,0xdfffffff,
    0x3f660002,0xffffffff,0xfd70001f,0x540bffff,0xfffffffd,0x3fffe62d,
    0xffffffff,0x3a5fffff,0xffffffff,0xfffffe80,0xfff12fff,0xffffffff,
    0xffffffff,0x7fec07ff,0xffffffff,0xe880004f,0xffffffff,0x02ffffff,
    0x3ffffffe,0xffffffff,0x3ffea3ff,0x3fffffff,0x3ffffffe,0x7d406fff,
    0xfffa86ff,0x0dfff506,0x3fffffee,0xffffffff,0xfff02fff,0x49ffffff,
    0xfffffffe,0x3fffe24f,0xfd02ffff,0xffffffff,0x037ffdcd,0xfff80000,
    0x5fffffef,0xfffa8000,0x7ff4001f,0x0002ffff,0xffffff30,0xffffffff,
    0x7cc0bfff,0x540007ff,0xffffffff,0x00ffffff,0xfffffb00,0x09ffffff,
    0xfffff100,0x3fa05fff,0xffffffff,0x3ffffea6,0xffffffff,0x3fa5ffff,
    0x1fffffff,0xffffffe8,0xffff12ff,0xffffffff,0xffffffff,0x7ffec07f,
    0xffffffff,0x7ec0000f,0xdcefffff,0x1fffffff,0xfffffff0,0xffffffff,
    0xfffd87ff,0x20dfffff,0xffffffea,0x7fd401ef,0x6fffa86f,0x90dfff50,
    0xbfffffff,0xfffffd99,0x3ffe05ff,0x24ffffff,0xffffffff,0x3fffe24f,
    0xe80fffff,0xffffffff,0x13fff26f,0x7fc00000,0xffffffff,0xfe80000e,
    0xa88005ff,0x0002ffff,0xffffff50,0xffffffff,0x7cc0bfff,0x540007ff,
    0xffffffff,0x00ffffff,0xfffffb00,0x1fffffff,0xffff8800,0xe80fffff,
    0xffffffff,0x7fffec6f,0xffffffff,0x3aa1dfff,0x04ffffff,0xfffffff5,
    0xffffec8b,0xffffffff,0x3fffffff,0x3ffffa60,0x3fffffff,0x3ffea000,
    0xffd303ff,0x3ffe0dff,0xffffffff,0x03ffffff,0x8037ffff,0x03fffe98,
    0x50dfff50,0x3ea0dfff,0x7ffdc6ff,0x3ea01bff,0xf702ffff,0x1bffffff,
    0x7fffff54,0x7ff5c1ef,0xa84fffff,0xfffffffe,0x13fff22e,0x7fc00000,
    0xffffffff,0x5c0001ff,0x0001ffff,0x0005fffd,0x7ffffec0,0xffffffff,
    0x3e601dff,0xd80007ff,0xffffffff,0x0003efff,0x3fffffa6,0x03ffffff,
    0xffffeb80,0xfea84fff,0x2effffff,0xff733330,0x013333df,0x03ffffcc,
    0x013ffff2,0x337fffd1,0xd3333333,0x31007fff,0xffffff93,0x3e2000df,
    0xc801efff,0xff84ffff,0x99999aff,0x1fffffa9,0x005fffd0,0x8017fff4,
    0xfb86fffa,0xfff105ff,0x1fffff89,0x5ffff100,0x03ffff80,0x027ffec4,
    0x3fffffa2,0xffd3101f,0x9fff907f,0x7fffe4c0,0x01dfffff,0x3ffffffe,
    0x01ffffff,0x2ffffc00,0x2fffe800,0x99980000,0x99efffb9,0xff980099,
    0x2600007f,0x99ffffb9,0x26200000,0xffffffc9,0x3a20006f,0x01ffffff,
    0x07fffd31,0x06fffa80,0x4ffffb80,0x0dffff30,0x00bfffa0,0x001fffec,
    0x3ffbfffa,0xfe8001ff,0x36000fff,0x7fc1ffff,0xffd101ff,0x7ff405ff,
    0x3ffa002f,0xfff5002f,0x7fffe44d,0xb8336a04,0x4002ffff,0x7c00fffd,
    0xfc801fff,0xffe804ff,0x6c06ffff,0xffc83fff,0x3fff604f,0xffffffff,
    0x3ffffe06,0xffffe99e,0x3ee0001f,0xe8000fff,0x0d4c2fff,0xfff50000,
    0x3fe6000d,0x7fb3007f,0x07fff980,0xffe80000,0x01ffffef,0x3ffffa00,
    0x7fec06ff,0x7fd4003f,0xffb0006f,0xfffd03ff,0x3ffa003f,0xfffb002f,
    0x7ffcc005,0x04fffeaf,0x1ffffcc0,0x3fffe200,0x80ffffc5,0x404ffffd,
    0x2002fffe,0x5002fffe,0x3feadfff,0x8002ffff,0x8004ffff,0xff805ff8,
    0xffc801ff,0xfffe804f,0x3604ffff,0xffa83fff,0x3fffa05f,0xffffffff,
    0xdffff00f,0x6ffffb81,0x3ffe2000,0xffe8004f,0xffffd9af,0x540004ef,
    0x30006fff,0x3200ffff,0x7fcc07ff,0x4000007f,0xfeaffff9,0x3a0004ff,
    0x4fffffff,0x00ffff60,0x00dfff50,0x3bfffe20,0x13fffee0,0x82fffe80,
    0x3ffee1db,0x3fff6001,0x01ffff76,0x037ffd40,0x47fffb80,0xfb80ffff,
    0xfe806fff,0x3fa002ff,0xff5002ff,0x3ffff6df,0xff88005f,0x310002ff,
    0x07fffe00,0x013fff20,0x3ffffffa,0xfffb01ff,0x0dfff307,0x7fffff54,
    0x203fffff,0xfb01ffff,0x40005fff,0x000ffffc,0x7ffffff4,0xefffffff,
    0xfff50000,0x3fe6000d,0xfffd007f,0x3fffcc03,0x3f600000,0xffff76ff,
    0x3ffa0001,0x01ffffff,0x8007fffb,0x0006fffa,0x4d3fffee,0x4006ffff,
    0x7e42fffe,0x017fa26f,0x13ffff88,0x4007ffff,0x0004fffc,0x641ffff1,
    0xfff986ff,0xffe800ff,0x3ffa002f,0xfff5002f,0x3fffff2d,0x7fd4000f,
    0x000000ff,0x801ffff8,0xe804fffc,0xffffcfff,0x07fffb06,0x1003fffe,
    0xfffd3333,0x1ffff807,0x0dfffd10,0x7fffc400,0x7fff4003,0xffffffff,
    0x8001ffff,0x0006fffa,0x200ffff3,0x2602fffe,0x00007fff,0x4ffffe20,
    0x003ffff8,0xff9fffd0,0x3ff60dff,0x7fd4003f,0x7ec0006f,0xfffeafff,
    0x7ff4001f,0x07ffec2f,0xfff70002,0x37ffe41f,0x05fffb00,0x0ffffc00,
    0xff885db3,0xfd002fff,0x7f4005ff,0xff5002ff,0x3fff22df,0x7dc004ff,
    0x000006ff,0x003ffff0,0xd009fff9,0xfff95fff,0x7fffb07f,0x017fff60,
    0x00bfffa0,0x4c03ffff,0x0003ffff,0x001ffff2,0xfffffffd,0xffffffff,
    0xfff5000d,0x3fe6000d,0xfffd007f,0x3fffcc05,0xff700000,0x7ffe41ff,
    0xfffd0006,0x07ffff95,0x8007fffb,0x0006fffa,0x7fffffc4,0xe8003fff,
    0xfeeeefff,0x40002fff,0x7cc5fffe,0xff001fff,0x6c0003ff,0xfd003fff,
    0x74007fff,0x3a002fff,0xf5002fff,0xfffb0dff,0xc86fdc0b,0x00004fff,
    0x9bffff00,0xd9999999,0xfd009fff,0x3fffa5ff,0x1fffec0f,0x03ffffb8,
    0x017fff40,0x9007fffe,0x4000ffff,0x003ffff9,0x3bfffffa,0xfffb710a,
    0xffa8003f,0xff30006f,0x3ffa00ff,0x3ffe602f,0x3a000007,0x7fcc5fff,
    0xfe8001ff,0xffffd2ff,0x03fffd81,0x037ffd40,0x7fffd400,0xd0006fff,
    0xffffffff,0x40005fff,0xe81ffff9,0xf8804fff,0x20000fff,0xc804fffc,
    0x4005ffff,0x2002fffe,0x5002fffe,0xff50dfff,0x3ffe60df,0x009fff95,
    0x3ffe0000,0xffffffff,0x04ffffff,0xf52fffe8,0xffd8bfff,0x3fffa03f,
    0x32a202ef,0x2602ffff,0x009bffff,0x139ffff1,0xdfffb000,0x7ffff400,
    0x3fffe205,0x7ffd4003,0x7dccc006,0x99999fff,0xffff9999,0x1fffe602,
    0x7fcc0000,0xfffe81ff,0xfffe8004,0x8bffff52,0x4003fffd,0x0006fffa,
    0xffffffb0,0x3ffa0003,0xffffffff,0x3f60002f,0xfff706ff,0xffff001f,
    0x7fec0003,0x7ffd403f,0x7f4000ef,0x3fa002ff,0xff5002ff,0xdfff50df,
    0x65bffea0,0x32604fff,0xffffffff,0x3ffe01df,0xffffffff,0x04ffffff,
    0x362fffe8,0x3f62ffff,0x3fe203ff,0xceefffff,0xfffffffd,0xffffc82f,
    0x80dfffff,0xdffffffd,0x3ffe6000,0xfffd002f,0x9fffd00b,0x6fffa800,
    0xfffffb00,0xffffffff,0xffffffff,0x3fffcc05,0xffd80000,0xffff706f,
    0xfffe8001,0x8bffff62,0x4003fffd,0x0006fffa,0x7fffff10,0x7fff4000,
    0xffffffff,0xfff10002,0x3ffe207f,0xfffd803f,0x3ffe0002,0x3ffe601f,
    0xfe8001ff,0x3fa002ff,0xff5002ff,0xdfff50df,0x65bffea0,0x3f604fff,
    0xffffffff,0x3ffe06ff,0xffffffff,0x04ffffff,0x222fffe8,0xfb0fffff,
    0xffb807ff,0xffffffff,0xffffffff,0x7ffffcc2,0x83ffffff,0xfffffff9,
    0x7fff4003,0x5fffd006,0x09fff900,0x06fffa80,0xffffffa8,0xffffffff,
    0xffffffff,0x1fffe602,0x3fe20000,0xfff103ff,0xffe8007f,0x3fffe22f,
    0x07fffb0f,0x06fffa80,0x3ffee000,0x7ff40006,0xfffcccdf,0xff70002f,
    0xffffffff,0x00dfffff,0x0009fff9,0x403fffe2,0x03ffffe8,0x2fffe802,
    0x0bfffa00,0x437ffd40,0xf506fffa,0x3ffeadff,0x3ffffa05,0xffffffff,
    0x9bffff00,0xd9999999,0xfd009fff,0xfffa85ff,0x07fffb4f,0xfffffb30,
    0xffffffff,0xfff105bf,0xffffffff,0x3ffff605,0x7d4002ff,0xfe802fff,
    0xffc802ff,0x7fd4004f,0xfffa806f,0xffffffff,0xffffffff,0x3e602fff,
    0xfb3007ff,0xffffb807,0xffffffff,0x74006fff,0x7fd42fff,0x7fffb4ff,
    0x6fffa800,0x3fea0000,0x7f40006f,0x7ffec2ff,0x7f400c41,0xffffffff,
    0x1fffffff,0x07fffd40,0x3fffdc00,0x09ffffb0,0x7f413fa6,0x3fa002ff,
    0xff5002ff,0xdfff50df,0x4dbffea0,0x3aa06fff,0xffffffff,0x3ffe03ff,
    0xfffc801f,0x2fffe804,0xd9ffffd8,0x26003fff,0xffffffed,0x5c01cfff,
    0xfffffffd,0x3ffe603e,0xfd0003ef,0xffd00bff,0xfff9005f,0xfffa8009,
    0xfffd7006,0xffffffff,0xffffffff,0x7ffcc05f,0x0fff9007,0xffffffe8,
    0xffffffff,0x3fa001ff,0xfffd82ff,0x03fffd9f,0x037ffd40,0xdfff5000,
    0xfffe8000,0x263ffe42,0x3fe605ff,0xffffffff,0x4fffffff,0x27fffcc0,
    0x3fffe200,0xdffff705,0x407ffdc0,0x1003fffc,0x2001ffff,0xfa86fffa,
    0xfff506ff,0x007fffcd,0x3fa66662,0x7ffc03ff,0xfffc801f,0x2fffe804,
    0xdeffff88,0x20003fff,0x01aacba9,0x00000000,0x7fffd400,0x17fff401,
    0x027ffe40,0x01bffea0,0x80000000,0xd007fff9,0x3e603fff,0xffffffff,
    0xffffffff,0x3fffa004,0xeffff882,0x4003fffd,0x0006fffa,0x01bffea0,
    0x05fffd00,0x1fff9073,0x3fffff60,0xffffffff,0x400fffff,0x001ffffd,
    0x203ffff6,0x00fffff9,0x2e0bfff6,0xf5006fff,0x7d400fff,0xfffa86ff,
    0x4dfff506,0x8005fffd,0x7c02fffe,0xfc801fff,0xffe804ff,0xffff702f,
    0x0007ffff,0x00000000,0x3a000000,0x7f405fff,0xffc802ff,0x7fd4004f,
    0x0000006f,0x3ffe6000,0x5fffd007,0x3fffff60,0xffffffff,0x000fffff,
    0x2e05fffd,0xffffffff,0x7ffd4003,0x3ea00006,0x740006ff,0x36002fff,
    0xff882fff,0x99999bff,0xfff99999,0x7ffc403f,0x7ec402ff,0xff883fff,
    0x7f402fff,0xfff982ff,0x7ffcc04f,0x3fea005f,0x6fffa86f,0x5cdfff50,
    0x4003ffff,0x7c02fffe,0xfc801fff,0xffe804ff,0x3fffa02f,0x0003ffff,
    0x0002f7ae,0x0adfd800,0x7dc00000,0x3fa00fff,0xffc802ff,0x7fd4004f,
    0x2e00006f,0x40000bde,0xd007fff9,0xff105fff,0x333337ff,0xfff33333,
    0x3ffa007f,0x3fffa02f,0x4003ffff,0x0006fffa,0x01bffea0,0x05fffd00,
    0x417fff40,0x000ffffb,0x201bfff2,0x0cfffffa,0x6ffffe98,0x07ffffd0,
    0x205fffd0,0x40dffffe,0x1fffffa8,0x1bffea00,0x203fffe6,0x7f46fffa,
    0x2202efff,0x02ffffca,0x400ffffc,0xe804fffc,0x3e602fff,0x03ffffff,
    0x1bfffe00,0x7fcc0000,0x000004ff,0x204ffff8,0xc802fffe,0x54004fff,
    0x00006fff,0x001bfffe,0x00ffff30,0x2e0bfffa,0x2000ffff,0xd006fffc,
    0x7cc05fff,0x03ffffff,0x7fdccccc,0x009999ef,0x3fee6620,0x400199ef,
    0x99bfffe9,0x99999999,0x7442fffe,0x1001dfff,0x015ffff5,0xffffffc8,
    0xfffffdde,0xfffc81ff,0x999999ef,0x2fffe999,0xffffff10,0xfffffd9d,
    0xccb8807f,0xff06fffd,0x7d419fff,0x7ffc46ff,0xdceeffff,0xffffffff,
    0x3fffe202,0x3ff6200b,0x7ff400df,0xff9009bf,0x0007ffff,0x0bfff2a2,
    0x36e10000,0x00000fff,0x07fffdc0,0x01ffffc4,0x037fff62,0xffb99998,
    0x009999ef,0xfffca880,0xfb998002,0x99999fff,0xffff9999,0x6ffff442,
    0xfff51001,0xffe8015f,0xff9009bf,0x3607ffff,0xffffffff,0xefffffff,
    0x3fffaa01,0xffffffff,0x7ffe405f,0xffffffff,0xffffffff,0xfffd32ff,
    0x209fffff,0xffffffe9,0x7fec04ff,0xffffffff,0xfd01efff,0xffffffff,
    0xffffffff,0x7ffd405f,0xffffffff,0x7fd406ff,0x06ffffff,0x4ffffffb,
    0xfb86fffa,0xffffffff,0xffffffff,0xffff982f,0x2a0effff,0xfffffffe,
    0xfffffd86,0x7440efff,0x003fffff,0xffdcefe8,0x3e200002,0x00ffebdf,
    0x7fc40000,0x3ffe64ff,0xe85fffff,0x7fffffff,0x7fffffec,0xffffffff,
    0xdfd001ef,0x4005ffb9,0xfffffffd,0xffffffff,0x32ffffff,0xfffffffd,
    0x3ffa609f,0x84ffffff,0xfffffffd,0x7ff440ef,0xffa83fff,0xffffffff,
    0x5fffffff,0x3fffffa0,0xffffffff,0xffff302f,0xffffffff,0xffffffff,
    0x3fff65ff,0x1fffffff,0xffffffd8,0x5401ffff,0xffffffff,0x3a00dfff,
    0xffffffff,0xffffffff,0x7f4c02ff,0xffffffff,0xfffc804f,0x206fffff,
    0x51fffffe,0x3660dfff,0xffffffff,0x2dffffff,0xffffffd0,0x7ffc9fff,
    0x3fffffff,0x3fffffe6,0xfa84ffff,0x8003ffff,0x06ffffff,0x7ffd4000,
    0x00004fff,0x4dfff900,0xfffffffe,0x3ffee1ff,0x53ffffff,0xffffffff,
    0xffffffff,0x3ffe00bf,0x2a006fff,0xffffffff,0xffffffff,0xb2ffffff,
    0xffffffff,0xfffb03ff,0x3fffffff,0x7fffffcc,0xfa84ffff,0xf983ffff,
    0xffffffff,0xffffffff,0x3ffff605,0xffffffff,0xfff101ff,0xffffffff,
    0xffffffff,0x3ff65fff,0xffffffff,0xfffffd80,0x800fffff,0xffffffd8,
    0xffe803ef,0xffffffff,0xffffffff,0xffff7002,0x2003dfff,0xfffffffa,
    0x3ffa206f,0x0fffe26f,0xffffdb30,0x039fffff,0xffffffe8,0x3ffa3fff,
    0x3fffffff,0x3fffffe6,0xfb03ffff,0x50007fff,0x003bfffd,0xffff9000,
    0x0000001b,0xfd93ffa2,0xffffffff,0x3ffffee1,0xff33ffff,0xffffffff,
    0xbfffffff,0x3fffaa00,0x3fea001d,0xffffffff,0xffffffff,0xffb2ffff,
    0xffffffff,0xfffffb01,0x4c1fffff,0xffffffff,0xfffb03ff,0x3ff6e07f,
    0xffffffff,0x200cefff,0xffffffd9,0x03dfffff,0x7ffffed4,0xffffffff,
    0x2fffffff,0xfffffd91,0x3b2207bf,0x3dffffff,0x1bca9800,0x7ffff400,
    0xffffffff,0x02ffffff,0x04de54c0,0x6665cc00,0xb8803ccc,0x0015c40b,
    0x0d565d4c,0xffffb300,0x6cc19dff,0x4effffff,0xfffffdb8,0xff100cef,
    0x980007ff,0x88000000,0x00000001,0x7e4c1793,0x43dfffff,0xfffffec8,
    0x3ff6e0ce,0xffffffff,0x000cefff,0xd7000098,0xffffffff,0xffffffff,
    0x3225ffff,0xdffffffe,0xfffd9103,0xb707bfff,0x9dffffff,0x3fffe201,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x10001aa8,
    0x03579975,0x88000000,0xea800bdb,0x0bdeeeee,0x8006e200,0x710003d9,
    0x76400003,0x80000eee,0x00002cb9,0x00e65400,0x5cc40000,0x40000acc,
    0x00001cca,0x99999971,0x00059999,0x333332e2,0x00bccccc,0x99997100,
    0x05999999,0x00080000,0x00000000,0x00000000,0x00008000,0x665c4000,
    0xcccccccc,0x0002a202,0x7ffffd40,0xfd9801ef,0xefffffff,0xa803fe9a,
    0x27ec41ee,0x05ffff90,0xffffffb8,0xff3005ff,0xfff100bf,0xfff98009,
    0xffd00005,0xc80003ff,0x4c1effff,0xb100003d,0xa81bffff,0x3a20002d,
    0xffffffff,0x7fec4003,0x16d40dff,0xfffffe80,0x1fffffff,0xffffc800,
    0xffffffff,0xfffd0003,0xffffffff,0x2000003f,0xd98006fb,0xffffffff,
    0x320001ff,0xeffffffe,0x7fffed45,0x0001dfff,0x017fe400,0x8001bd70,
    0xfffffffe,0xc81fffff,0x40005fff,0xfffffffc,0x7ffe407f,0xffffffff,
    0xf807ffff,0x7ffd46ff,0xffffff01,0x7fffdc05,0xb007ffff,0xa801ffff,
    0x6c006fff,0x0000ffff,0x01ffffe8,0x3fffee00,0xffc9cfff,0xffb00007,
    0xb37fffff,0x2e000bff,0xffffffff,0xb000dfff,0x7fffffff,0x200bffb3,
    0xfffffffc,0x000effff,0xffffffa8,0x02ffffff,0xfffff900,0x1dffffff,
    0xffb00000,0xffd8001f,0xffffffff,0xff30004f,0xffffffff,0x7fffffc7,
    0x4005ffff,0x81accb98,0x2006fffb,0x64003fff,0xffffffff,0x7cc0efff,
    0x0002ffff,0xfffffff9,0xfd101fff,0xffffffff,0xffffffff,0x7fffc403,
    0x40ffff60,0x0ffffffc,0xffffff70,0x3f6009ff,0x7d401fff,0x7ec006ff,
    0x80001fff,0x001ffffe,0xb37fff10,0x9fffffff,0xfff50000,0xfffffd35,
    0xe88005ff,0xffffffff,0x02ffffff,0x74d7ffd4,0x2fffffff,0x26666200,
    0x00099999,0x99999980,0x80001999,0x99999998,0x80000099,0x001fffe8,
    0xffffffd8,0x00ffffff,0xfffffa80,0x3e3fffff,0xffffffff,0xffd1006f,
    0x27ffffff,0x006ffff9,0x000bfff3,0x33333331,0x3ff20133,0x98005fff,
    0xfeffffff,0xfffd05ff,0xfb9bdfff,0x5fffffff,0x23fffcc0,0x2602fffe,
    0x702ffffd,0x1555dfff,0x2fffd400,0x037ffd40,0x017ffea0,0x66665c00,
    0x03320000,0x07dffff5,0x03362000,0x05dffff7,0xfffffb00,0xffffb9df,
    0x6c401fff,0x7fffdc0c,0x0000002e,0x00000000,0x00000000,0x07bffe60,
    0x7fff4c00,0xffffffff,0xfffb0003,0x41bfffff,0xffffffea,0xffb802ef,
    0xffffffff,0x2fffffef,0x0dfff500,0xfb000000,0x000fffff,0x417ffffd,
    0xffff9019,0x3faa017f,0x2602ffff,0x7ff47fff,0xfffd802f,0x0bfff704,
    0x002c9800,0x000dfff5,0x00000593,0x5c000000,0x0000002c,0x8000e5c4,
    0x03fffffa,0x0dffffd3,0x00e5c400,0x00000000,0x0b9802e2,0x00000000,
    0xdfff9800,0x99880000,0xfffffffc,0x7ffc0006,0x74c401bf,0xe8803fff,
    0xffffffff,0xffffffff,0x3fea004f,0x0000006f,0x6fffffd8,0x4ffff800,
    0x3fffe600,0xfff9002f,0x7ffd405f,0x00ffffc6,0xb82fffdc,0x00005fff,
    0x37ffd400,0x00000000,0x00000000,0x00000000,0x3fffe200,0xfffc801e,
    0x0000004f,0x40000000,0xfa81fff9,0x880000ff,0x000accb9,0x04ffd800,
    0xfffd0000,0x003ffffd,0x017fff40,0x005fffd0,0xdffffffb,0xffffffb9,
    0xfa800dff,0x000006ff,0xfffffc80,0x7ffcc005,0x3ff2001f,0x3e2002ff,
    0x3ea01fff,0x7fffc6ff,0x5fffb801,0x00bfff70,0xffa80000,0x0000006f,
    0x00000000,0x00000000,0x7ff40000,0x3f6000ff,0x00001fff,0x7ffff640,
    0x7ed44eff,0x1dffffff,0x427ffe40,0x0003fffd,0x3fffffa2,0x00003fff,
    0x00000b66,0x757fffcc,0x20004fff,0x2002fffe,0x5402fffe,0x883fffff,
    0x1fffffea,0x7fffdc00,0x7ff6400b,0xffffffff,0xf71dffff,0x800bffff,
    0x4007fffa,0x8004ffff,0x7dc07ffc,0x3ffe25ff,0xfffb800f,0x0bfff705,
    0xfa800000,0x000006ff,0xdddd9500,0x20009ddd,0xffffffd9,0x0001ffff,
    0xbfffffd7,0x7fffed40,0x7cc2dfff,0x44003fff,0x7644ffff,0xffffffff,
    0x1dffffff,0xfffffff5,0x7ffc7fff,0x6fffffff,0x41fffd40,0x0001fffb,
    0xfffffff7,0x001bffff,0x76c40000,0x3fff6002,0x01ffff76,0x0bfffa00,
    0x02fffe80,0x07bfffe2,0xffffff88,0xfffb5005,0x17bbffff,0x7fffffcc,
    0xffffffff,0xfff75fff,0xfa8009ff,0x3ea006ff,0x98000fff,0x7fdc03fe,
    0x3fffe25f,0x5fffb800,0x00bfff70,0xffffffd9,0xffffffff,0x9bffea3b,
    0xffffffeb,0xffffffff,0x983fffff,0xffffffff,0xffb0006f,0xffffffff,
    0xff10009f,0x05ffffff,0x3ffffffa,0x7fd46fff,0xff70006f,0x7fffccdf,
    0xffffffff,0xf55fffff,0xffffffff,0x7ffffc7f,0x806fffff,0x7b7103db,
    0xfffd1000,0xffffffff,0x80005fff,0xf9819a98,0xff1007ff,0x3ffe27ff,
    0xffd0003f,0x7ff4005f,0x3fffa02f,0x3ffa200f,0x201fffff,0xffffffd8,
    0x24ffffff,0xfffffffa,0xffffffff,0xffff55ff,0x9551007f,0x1555ffff,
    0x037ffdc0,0x3f200200,0x3ffe64ff,0xbfff7007,0x017ffee0,0xfffffff3,
    0xffffffff,0x3ffeabff,0xffffff16,0xffffffff,0x7fffffff,0xffffff70,
    0x2000dfff,0xfffffffd,0x000fffff,0x7fffffc4,0xffe80fff,0x6fffffff,
    0x0027ffe4,0x2a7fff88,0xffffffff,0xffffffff,0x3ffff65f,0x2a0dffff,
    0xfffffffe,0x0000001e,0xfffffd80,0xffffdcef,0x44001fff,0xfffffffb,
    0xfffff89d,0xffffb801,0x01bfff20,0x017fff40,0x205fffd0,0x404ffff9,
    0xfffffffd,0xfffd105f,0xffffffff,0xfffd8dff,0xffffffff,0xf31dffff,
    0x4405ffff,0xfffffffe,0x904fffff,0x0000bfff,0x3ffffb20,0xffffffff,
    0xf700dfff,0x3fee0bff,0x7ffd405f,0xffffffff,0x55ffffff,0x3fe2dfff,
    0xffffffff,0xffffffff,0xff883fff,0x6fffffff,0xfffd3000,0xffffffff,
    0xffd70007,0x509fffff,0xfffffffd,0x2fffd85d,0x3fffe000,0x3fffff61,
    0xffffffff,0xfff81dff,0x74c401bf,0x00003fff,0xfff50000,0x3fa607ff,
    0x32006fff,0xffffffff,0xffffffff,0xbfffd005,0x01ffff98,0x02fffe80,
    0x40bfffa0,0x5c06fffa,0xffceffff,0xffffb07f,0xfffd9bdf,0x26660fff,
    0x99efffb9,0x7ffc4099,0x3fee02ff,0xffffffff,0xfc80ffff,0x800004ff,
    0xfffffffa,0xffffffff,0xff704fff,0x3ffee0bf,0xffffd805,0xffffffff,
    0xff51dfff,0x7fff64df,0xffffffff,0xffffffff,0x32aaa603,0x40006fff,
    0xffffc998,0x20006fff,0xffffffe8,0xfffd3101,0x07fffe07,0x2fffe800,
    0xffb99998,0x009999ef,0x800bfffa,0x0002fffe,0xff880000,0xfc801eff,
    0x74c04fff,0xffffffff,0xffffffff,0xffff3006,0x09fffd03,0x05fffd00,
    0x817fff40,0x2604fffc,0xf99fffff,0x7fd40fff,0xffb02fff,0x3fea00ff,
    0xffff006f,0x7ffd403f,0xffffffff,0xfff906ff,0xf5000009,0xffffffff,
    0xffffffff,0x3ffee09f,0x0bfff706,0x7dccccc0,0x09999eff,0x4437ffd4,
    0x999bfffe,0xfe999999,0x3ea003ff,0x200006ff,0xfffefffe,0x3fa0001f,
    0x406fffff,0xf883fffd,0x20000fff,0xa803fffd,0x74006fff,0x3a002fff,
    0xb7302fff,0x2a05dddd,0x04eeeeed,0x003ffffa,0x01ffffd8,0xfffffff1,
    0xffffffdf,0x36001dff,0xff706fff,0xfe8001ff,0x3fa002ff,0xfffb02ff,
    0x3fffe205,0x5ffff12f,0x00ffffe8,0x401bffe2,0xf006fffa,0xb801ffff,
    0xffffeeed,0xf901ceee,0x000009ff,0x3ffffff6,0xffffffff,0xff500dff,
    0xffb85bff,0x3ea0005f,0xffa806ff,0x5fffd06f,0x0ffff600,0x06fffa80,
    0xffff3000,0x009fffd5,0x7fffff40,0x3ff604ff,0x3ffff03f,0x7fff4000,
    0x6fffa802,0x17fff400,0x05fffd00,0x3ffffffe,0xfffffb82,0xfff305ff,
    0xff88007f,0xfffd05ff,0xff9839ff,0x800fffff,0x103ffff8,0x8007ffff,
    0x2002fffe,0xff02fffe,0x3ffa03ff,0x7fff44ff,0x0bfffe23,0x4013ff60,
    0xd006fffa,0x5000ffff,0x6400dfff,0x00004fff,0x57fffcc0,0x1dfffd99,
    0xfffff880,0x17ffee5f,0x6fffa800,0x06fffa80,0x2005fffd,0x2002fffd,
    0x0006fffa,0x2edfffb0,0x0000ffff,0xfffffffd,0x3fff603f,0x05fffd03,
    0x0ffffc00,0x037ffd40,0x00bfffa0,0x982fffe8,0x2fffffff,0xffffffd8,
    0xdfff505f,0x3ffee000,0xeffffb87,0xffffe880,0xfb805fff,0xffffffff,
    0x06ffffff,0x017fff40,0x105fffd0,0xf901ffff,0xffb0dfff,0x3fffcc9f,
    0x2002b880,0xb006fffa,0x5000ffff,0x5c00dfff,0x00006fff,0x07fffc40,
    0x4009fff9,0x0ffffffa,0x000bfff7,0x4037ffd4,0xfd06fffa,0x43b705ff,
    0x2001fffb,0x0006fffa,0x13ffff88,0x0007ffff,0x3ff3fffa,0xfffb06ff,
    0x13fff607,0x7fffc400,0x6fffa800,0x17fff400,0x05fffd00,0x3ffffffa,
    0xfffffa82,0xfff905ff,0x3fe20009,0x7fff40ff,0xfffe880f,0x01ffffff,
    0x7ffffff4,0xffffffff,0x3fa001ff,0x3fa002ff,0xffff02ff,0xfffffa83,
    0x23fffd80,0x0006fffb,0x1bffea00,0x037ffec0,0x037ffd40,0x00ffff50,
    0xfff88000,0x0ffff60f,0xfffffd80,0x017ffee6,0x06fffa80,0xd06fffa8,
    0xffc85fff,0x0017fa26,0x000dfff5,0x41ffff70,0x0006fffc,0xff95fffd,
    0xfffb07ff,0x1bfff207,0x3fffdc00,0x06fffa80,0x017fff40,0x405fffd0,
    0x02fffea9,0xbfffb551,0x00bfff60,0x21ffff80,0x881ffff9,0xf9effffe,
    0x3e603fff,0xffffffff,0xffffffff,0x3fffa004,0x3fffa002,0x45fffd02,
    0x01fffff9,0x7d43ffff,0x000007ff,0x401bffea,0x8006fffc,0x2006fffa,
    0x003ffff8,0x3ffe6000,0x01fffec7,0xdfffff98,0x017ffee1,0x06fffa80,
    0xd06fffa8,0xffd85fff,0x5400040f,0x80006fff,0x7cc5fffe,0xe8001fff,
    0xfffd2fff,0x3fffd81f,0x09ffff10,0x5ffff880,0x0dfff500,0x02fffe80,
    0x00bfffa0,0x200bfffa,0xff05fffb,0x6c0003ff,0x3fea3fff,0xffffb07f,
    0x13fff61f,0xffffffd8,0xffffffff,0xb000ffff,0x7c007fff,0xffb00fff,
    0x3fffa29f,0xffff103f,0x07fffc41,0xffa80000,0xfff5006f,0xfff50009,
    0xfffd800d,0xbd98001f,0xffffa980,0xbfffe999,0xffffa800,0x05fffb80,
    0x1bffea00,0x41bffea0,0xeeeefffe,0x0002ffff,0x006fffa8,0x0ffffcc0,
    0x0027fff4,0xfa97fff4,0x7fec5fff,0x3fff603f,0x3ff6001f,0xff5000ff,
    0xffe800df,0x3ffa002f,0xfffe802f,0x5fffb802,0x00ffff88,0x93fff200,
    0xfd85fffc,0x3ee0ffff,0xfff106ff,0x3333337f,0xffff3333,0x3ffee007,
    0xffff5006,0x47fffdc0,0x205ffffd,0xff86fffb,0x033005ff,0x037ffd40,
    0x0001dfd0,0x800dfff5,0x01effff9,0xd93ffea0,0xffffffff,0xffffffff,
    0x3ffee01e,0x0bfff705,0x37ffd400,0x837ffd40,0xfffffffe,0x0002ffff,
    0x006fffa8,0x837ffec0,0x000ffffb,0xfb17fff4,0x7fec5fff,0x3ffe603f,
    0x7ec401ff,0x2a003fff,0x74006fff,0x3a002fff,0xfe802fff,0xffb802ff,
    0x3ffff05f,0x7ffec000,0xb1bffee3,0xb83fffff,0xff706fff,0x7e4001ff,
    0xff3006ff,0xff8809ff,0x3fe605ff,0x6ffffeff,0x17fffe20,0x037ffff2,
    0x802fff54,0x4006fffa,0x3fea0000,0xffc8006f,0x2600dfff,0xf36ffffc,
    0xffffffff,0xffffffff,0x7ffdc0bf,0x0bfff705,0x37ffd400,0x837ffd40,
    0xfffffffe,0x0002ffff,0x006fffa8,0x0ffffe20,0x01ffffc4,0x88bfffa0,
    0xfb0fffff,0xffc807ff,0xea80bfff,0x4006ffff,0x4006fffa,0x2002fffe,
    0xe802fffe,0xfb802fff,0xfffb05ff,0x7ffc0005,0x3fffe61f,0x3fffffb1,
    0x10bfffb0,0x003bfffd,0x2bfffea2,0xffffd800,0xffffa80d,0x7ffe401f,
    0x200fffff,0x881ffffd,0xbcffffff,0xfffffecb,0x6fffa800,0x2a000000,
    0xd0006fff,0xdfffffff,0xfffffdbb,0x3ffe67ff,0xffffffff,0x5fffffff,
    0x417ffee0,0x0005fffb,0x201bffea,0xfd06fffa,0xffffffff,0x998005ff,
    0xefffb999,0x80099999,0xfffffffb,0xffffffff,0x7fff4006,0xa7fffd42,
    0xd803fffd,0xceffffff,0xfffffffe,0x7ffd4001,0x7fff4006,0x3fffa002,
    0x2fffe802,0x05fffb80,0x0009fff9,0x883fffe2,0xffddffff,0xffa81fff,
    0x3ffa63ff,0x04ffffff,0xffffffd3,0xff8809ff,0xfdceffff,0x804fffff,
    0xfffffff8,0xffffb102,0x7fffd407,0xffffffff,0xff5005ff,0x000000df,
    0x0037ffd4,0xfffffe88,0xffffffff,0x7edc4fff,0xffffffff,0x0cffffff,
    0x417ffee0,0x0005fffb,0x201bffea,0xfd06fffa,0xff999bff,0x3f2005ff,
    0xffffffff,0xffffffff,0x3fffa00e,0xffffffff,0x001fffff,0x360bfffa,
    0xffd9ffff,0xfffd003f,0xffffffff,0x50003dff,0xe800dfff,0x3a002fff,
    0xfe802fff,0xffb802ff,0xffff505f,0xfff70001,0xfffffb0f,0xf303ffff,
    0x7ec1ffff,0xffffffff,0xffffd81f,0x01ffffff,0x7fffffd4,0x6fffffff,
    0x3ffff200,0xffe981ef,0xff9806ff,0xffffffff,0xf5001fff,0x00000dff,
    0x037ffd40,0x3ffff200,0xffffffff,0x7fe402ff,0x1fffe64f,0x05fffb80,
    0x000bfff7,0x4037ffd4,0xfd06fffa,0xfffd85ff,0x3fe20c41,0xffffffff,
    0xffffffff,0xffff304f,0xffffffff,0x009fffff,0x4417fff4,0xffdeffff,
    0x3fee003f,0xffffffff,0xf50000df,0xfc800dff,0xff1003ff,0xffd001ff,
    0xfff7005f,0x3fffe60b,0x7ffc4004,0xffff885f,0x6442ffff,0x6c4fffff,
    0xffffffff,0xfffd80ff,0x0fffffff,0xffffe980,0x04ffffff,0x7ffffe40,
    0xfffddfff,0x3000ffff,0xfffffffb,0x540019ff,0x2a006fff,0xfb8000ac,
    0x880006ff,0xffffffeb,0xd800cdff,0x3fe63fff,0x3fee007f,0xbfff705f,
    0x7ffd4000,0x6fffa806,0xc85fffd0,0x2ffcc7ff,0xfffffff1,0xffffffff,
    0x3607ffff,0xffffffff,0xffffffff,0xffd000ff,0x3ffee05f,0x003fffff,
    0x7fffff44,0x40003dff,0x4006fffa,0x5006fffb,0x3a00ffff,0xfb802fff,
    0x3ff605ff,0x3f6001ff,0xff700fff,0xb9bfffff,0xbffffffd,0xffffd910,
    0x32207bff,0xfffffffe,0x3ff22003,0x01efffff,0x7ffffdc0,0xffffffff,
    0x8002ffff,0x2cffffc8,0xdfff5000,0x17ffee00,0x13fffa00,0xff930000,
    0xfb000159,0x7ffd47ff,0x3ffee006,0x0bfff705,0x37ffd400,0x837ffd40,
    0x3982fffe,0x2a0fffc8,0xfffffffd,0xffffffff,0xffff104e,0x33333337,
    0x7ffff333,0x0bfffa00,0xffffffe8,0x7fd4003f,0x0c02ffff,0x0dfff500,
    0x4ffff980,0x2ffffcc0,0x04fffd80,0x02ffff54,0x05fffff1,0x3ffffd88,
    0x3fffff20,0xffffffff,0x0000efff,0x07ff7000,0xadffc800,0xfff98000,
    0xffffffff,0x00dfffff,0x1bffea00,0xdfff5000,0x3ffffa00,0x3ffe6000,
    0xb800003f,0x3a0002ff,0x3fea2fff,0x3fee006f,0xbfff705f,0x7ffd4000,
    0x6fffa806,0x005fffd0,0x4017ffec,0x0001fff8,0x001ffff7,0x8037ffe4,
    0x2602fffe,0x3fffffff,0x3fffea00,0x8aceffff,0x800fffc8,0x8006fffa,
    0x40dffffe,0x1fffffa8,0x1ffff900,0xfffffd50,0xffffa80b,0xffe980cf,
    0x3fee06ff,0xffffffff,0x04ffffff,0x7f400000,0xffc80006,0x3ffa0001,
    0xfffc8bff,0x002effff,0x06fffa80,0x7dccccc0,0x09999eff,0x105fffb8,
    0x3ffaa157,0x800001ff,0x0003fffb,0x7dc5fffd,0x3f6005ff,0xfff704ff,
    0x7fd4000b,0xfffa806f,0x05fffd06,0x017fff40,0x80027fcc,0x01dfffe8,
    0x5ffff510,0xbfffe801,0xffff9009,0x3ea007ff,0xffffffff,0xffffffff,
    0xb999983f,0x9999efff,0x7fffc400,0xfffeceff,0x2a003fff,0xecdfffff,
    0xffffffff,0x3ff204ff,0xfddeffff,0x01ffffff,0xb9fffff5,0xbfffffff,
    0x00000037,0xfd57ff90,0x2ffc8003,0x3ea00971,0x54c44fff,0x000009bc,
    0x401bffea,0xfffffffd,0xffffffff,0x8815cc1e,0xffffffff,0x000004ff,
    0x003ffff7,0x5c3ffff0,0xeb805fff,0xf702ffff,0x05999fff,0x7fdccccc,
    0x409999ef,0xe986fffa,0x9999bfff,0xfe999999,0xff9802ff,0xe98072a5,
    0xffffffff,0xffffd304,0xfb09ffff,0xdfffffff,0xffffe881,0xfffd003f,
    0xffffffff,0x1fffffff,0x7fffffec,0xffffffff,0x3fea01ef,0xffffffff,
    0x44006fff,0xfffffffe,0xffffffff,0x3f600fff,0xffffffff,0x201effff,
    0x442fffff,0x00001bca,0xfff98000,0x54003fff,0x2fffefff,0x06fff980,
    0xf1000000,0xff5009ff,0xffffffff,0xbfffffff,0xffffb800,0x00ffffff,
    0x55e64000,0xf8004ffb,0x3ff21fff,0x7ffe404f,0xff700fff,0x8bffffff,
    0xfffffffd,0xffffffff,0x4dfff51e,0xfffffffc,0xffffffff,0x02ffffff,
    0xfffffff0,0x7fffec0b,0x81ffffff,0xfffffffd,0x3fe61fff,0xffffffff,
    0xfffffa84,0xffffd003,0xffffffff,0x547fffff,0xffffffff,0xffffffff,
    0x7ff4c05f,0xffffffff,0xffd10004,0xffffffff,0x1fffffff,0xfffffa80,
    0x0dffffff,0x01fffec0,0x00000000,0x0bfffd70,0x3ffff200,0x37f2006f,
    0x00000000,0x26007ff6,0xffffffff,0xffffffff,0x7fcc005f,0x0effffff,
    0x7fcc0000,0x002ffeff,0xb07fffc4,0xff807fff,0x2e02ffff,0xffffffff,
    0xfffff50f,0xffffffff,0x3eabffff,0xffff36ff,0xffffffff,0xffffffff,
    0x3e6005ff,0x201fffff,0xfffffffd,0xffd80fff,0xffffffff,0x3ffffe60,
    0xb03fffff,0x2007ffff,0x99bdfffa,0xffffdb98,0x7fffcc1d,0xffffffff,
    0x005fffff,0xfffffff7,0xe880003d,0xdfffffff,0x2dffffca,0xffffb100,
    0x2007dfff,0x00002fe9,0x30000000,0xb8800015,0x00000bde,0x30000000,
    0xfffdb800,0xffffffff,0x8000ceff,0x4effffd9,0x3fa00000,0x0006ffff,
    0xffb8fffd,0x7ffe401f,0x7ffdc02f,0x265fffff,0xffffffff,0xffffffff,
    0x27fff15f,0xfffffff8,0xffffffff,0x2fffffff,0x33b6a200,0x7ff64401,
    0x103dffff,0xffffffd9,0xfffb707b,0x2019dfff,0x003ffff8,0x80110004,
    0xffffffdb,0xefffffff,0x654c000c,0x4000009b,0x00abcca8,0x79530000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x09880000,
    0x73000000,0x200017db,0x76441ed9,0x01595003,0x99999930,0xfffb7059,
    0xffffffff,0x5c419dff,0x7fffed42,0xffffffff,0xffffffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x99971000,0x59999999,
    0x26a20000,0x32e20000,0xcccccccc,0x0000002c,0xdb730000,0x9ddddddd,
    0x3f726003,0xffffffff,0x33660004,0x10000001,0x10080000,0x00200000,
    0x22010000,0x5ecc0000,0x08000000,0x00220000,0x00400000,0x05b93000,
    0x00800000,0x00011000,0x05ed4030,0x7fffff64,0xffffffff,0x000001df,
    0x74007fc0,0xffffffff,0x0001ffff,0xdfffffb1,0xfffd0005,0xffffffff,
    0x7ff5c03f,0xffffffff,0xffffffff,0xfec8803f,0xffffffff,0xb806ffff,
    0xffffffff,0x0004ffff,0x00dffffd,0x1fec4000,0x1ff44000,0x000017f6,
    0x00000ff7,0x0ff717f6,0x03fff800,0x3fa20000,0xff880003,0x20000003,
    0x80003fe8,0x00fffffd,0x7fb80000,0x1ffc4000,0x3fff9800,0x30fffff4,
    0xffffffff,0xffffffff,0x000000bf,0x6401ffcc,0xffffffff,0x8000efff,
    0xfffffff9,0x7e4003ff,0xffffffff,0xff100eff,0xffffffff,0xffffffff,
    0xfa807fff,0xffffffff,0x4fffffff,0x7ffffe40,0xffffffff,0x9dfa8004,
    0x00002fd9,0x004fff98,0xb1fff440,0x40000bff,0x0000fffd,0xf92ffec0,
    0x260001ff,0x00005fff,0x007fff30,0x0bfff100,0xff300000,0xf980007f,
    0x003fc89e,0x7ffec000,0x3fe20000,0xffd8005f,0x3fffe67f,0x3fffea4f,
    0xffffffff,0x005fffff,0x3fee0000,0x33331002,0x00133333,0x3ffffe60,
    0x03ffffed,0x4ccccc40,0x44009999,0xffffffff,0xffffffff,0x203fffff,
    0xeffffffc,0xdffdadff,0x7ffcc00a,0x999999be,0xe8004ffc,0x001be20f,
    0x0dfff700,0x6ffe8800,0x0003fff6,0x0bfffa20,0xfffb0000,0x00bfff21,
    0x06fffa80,0xfffb8000,0x3ea00005,0x00000eff,0x00bfff70,0x7e83fb00,
    0xfd100000,0x500005ff,0x4001dfff,0x3e66fffc,0x7ec5ffff,0xffffffff,
    0x1effffff,0x32000000,0x000002ff,0xffff8800,0x3fff620b,0x00000000,
    0xffffffd9,0xffffffff,0x207fffff,0x8bfffffa,0x7ff94ffb,0x017ff200,
    0x20013fee,0x0037c47e,0x09fff900,0x5fff8800,0x001dffd1,0x3dfff300,
    0x7f440000,0x5fff90ef,0xfffa8000,0x7ec00006,0x800004ff,0x001fffe9,
    0x27ffec00,0x40fd8000,0x9800007e,0x0001efff,0x07fffe60,0x20ef6440,
    0x301ffffe,0xdfff7333,0x00013333,0x3f262000,0x000000ff,0x2fffb800,
    0x000bff60,0xfd100000,0x333337ff,0xfffd3333,0x3ffff607,0x7e53fee0,
    0x3ffd003f,0x007ff500,0xf9119f70,0x3f200005,0xe80003ff,0x3bff65ff,
    0xff980000,0x400000ef,0xff70effd,0xf500003f,0x40000dff,0x0002fffd,
    0x3fffa200,0xffb00000,0x4c00005f,0x009f70df,0xdfff9800,0xe8800000,
    0x80000fff,0x2001cdb8,0x9006fffa,0xfffffffd,0xffffea8b,0x5fffffff,
    0x00000000,0xf9809fff,0x0000005f,0x02fffe80,0x107fffb0,0xfb87ffff,
    0x007ff94f,0x2200bffe,0xf88001ff,0x0007ffff,0x003fff10,0x44bff500,
    0x00000eff,0x00009ffb,0x741dff10,0x500001ff,0x0000dfff,0x0007ffe2,
    0x27fe4000,0x7ffc4000,0xfe800001,0x0000ffff,0x0027fec0,0x27fe4000,
    0x20000000,0x9806fffa,0xffffffff,0x3fffe3ff,0xffffffff,0x3ff6603f,
    0xffffffff,0xfff70001,0x2e1ffe00,0xfffffffe,0xffffffff,0x3a03ffff,
    0xfb002fff,0xfff505ff,0x94ffb81f,0xff3007ff,0x011001df,0x5f75c400,
    0x32e00000,0x0f200000,0x8000032e,0x000002d9,0x0195032e,0x7ffd4000,
    0x33200006,0x40000000,0x900000ca,0x40000019,0x0000bfea,0x0002d980,
    0x0032a000,0xf5000000,0xff500dff,0xffffffff,0x7fffffc7,0x04ffffff,
    0x7fffffec,0x004fffff,0x200bffb0,0x3fe20fff,0xffffffff,0xffffffff,
    0x3fa03fff,0x21db82ff,0xfa81fffb,0x7fdc0fff,0x4407ff94,0x0efffffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fd40000,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000080,0xb006fffa,
    0xffffffff,0x7fff541b,0x02dfffff,0xffffffd8,0x00ffffff,0x403ffe80,
    0x220fffa8,0xffffffff,0xffffffff,0x203fffff,0x7e42fffe,0x417fa26f,
    0x5c1ffffa,0x07ff94ff,0x3fffffe2,0x00003fff,0x20000000,0x000019a9,
    0x00004d4c,0x18801310,0x00000000,0x37ffd400,0x2a660000,0x98000009,
    0x000009a9,0x00013530,0x009a9980,0x13530000,0x35300000,0x1dfd0001,
    0x7fd40000,0x7ffc006f,0x74c401bf,0x4c003fff,0xfffffffe,0x8003ffff,
    0xff902fff,0xec81ffff,0xffffffff,0xffffffff,0x3fa03fff,0x7ffec2ff,
    0xfff10040,0x94ffb8bf,0x3fee07ff,0xffffccef,0x6dcc002e,0xb502eeee,
    0x009ddddd,0xffffff91,0x005b55bf,0x3ffffae2,0x54001cff,0x3effffec,
    0x06ffff5c,0xddddb730,0x3bbb6a05,0xffb504ee,0xffffffff,0xdfffffff,
    0x7f65c407,0x0cffffff,0xfecb8800,0x0cffffff,0x3fae2000,0x01cfffff,
    0x7ff65c40,0x00cfffff,0x3ffb6a00,0xc8adffff,0xfd71000b,0x039fffff,
    0x007fff50,0x37ffd400,0x0bfffa00,0x02fffe80,0xff933100,0x00dfffff,
    0x4c0fff88,0xfffffffe,0x7fffd100,0x33333333,0x407fffd3,0xeeeefffe,
    0x4002ffff,0x2e3ffffd,0x07ff94ff,0xfd30bffa,0x2003bfff,0x2fffffff,
    0xffffffb8,0x3ff2205f,0xffffffff,0x5400ffff,0xffffffff,0xd800dfff,
    0xffffffff,0xffffc8cf,0xfff01fff,0xf705ffff,0x0bffffff,0x3ffffffe,
    0xffffffff,0x83ffffff,0xfffffffb,0x04ffffff,0x3ffffee0,0xffffffff,
    0xfffa8004,0xffffffff,0xfffb800d,0xffffffff,0x6c4004ff,0xffffffff,
    0x03ffffff,0xffffffa8,0x00dfffff,0x0017fff2,0x06fffa80,0x017fff40,
    0x005fffd0,0xfdfffd00,0x4c003fff,0x7ffc46ff,0x00fffeff,0x400bfffa,
    0x3a03fffd,0xffffffff,0x44002fff,0xcbfffffe,0x07ff94ff,0x7e417ff2,
    0x200cffff,0xfffffff9,0xfffffd82,0x3ff605ff,0xffffffff,0x202fffff,
    0xfffffffd,0x2fffffff,0x3ffffe60,0xffffffff,0xffffffff,0x7ffffcc2,
    0xfffd82ff,0xf885ffff,0xffffffff,0xffffffff,0xff84ffff,0xffffffff,
    0x003fffff,0xffffffff,0x7fffffff,0x7fffec00,0xffffffff,0x7ffc02ff,
    0xffffffff,0x5003ffff,0xffffffff,0xffffffff,0xffffd80d,0xffffffff,
    0xfffb02ff,0x7d40000d,0x7f4006ff,0x3fa002ff,0x4c0002ff,0xffeaffff,
    0x3fe6004f,0x8efffec6,0x3fa00fff,0xffb002ff,0x7fff405f,0xffffffff,
    0xfffb0002,0x329fffff,0xfff103ff,0x3fff6609,0x3ffa02ff,0xfa82ffff,
    0x05ffffff,0xfffffff7,0xffffffff,0x3fff607f,0xffffffff,0x101fffff,
    0xffffffff,0xffffffff,0x81ffffff,0x2ffffffe,0xffffffa8,0xffff905f,
    0xffffffff,0xdfffffff,0xfffffb01,0xffffffff,0xffb003ff,0xffffffff,
    0x003fffff,0xfffffffb,0xffffffff,0x7ffec03f,0xffffffff,0x4c01ffff,
    0xffffffff,0xffffffff,0x3fff607f,0xffffffff,0xe81fffff,0x00007fff,
    0x001bffea,0x4005fffd,0x0002fffe,0xfbb7ffec,0xf3000fff,0x1fffc4df,
    0xfe803ffe,0x21db82ff,0x3a01fffb,0xffffffff,0x20002fff,0xfffffffd,
    0x6c07ff94,0xd501efff,0x4c09ffff,0x102fffea,0x0bfffb55,0x2b3bfffa,
    0x3fffaa20,0xffffb83f,0x3ee609df,0x500effff,0x7fd437bd,0xc8aeffff,
    0xa983ffff,0x5102fffe,0x80bfffb5,0xfb999999,0x99999eff,0x33b66009,
    0x7fdc41ab,0xed9803ff,0x7dc41abc,0x7dc03fff,0x209dffff,0xefffffb9,
    0x579db300,0xffffb883,0x7ffff403,0x3b2e61ae,0xf707ffff,0x413bffff,
    0xefffffb9,0x23ffff40,0x2001cdb8,0x4006fffa,0x2002fffe,0x0002fffe,
    0x44ffffe2,0x3003ffff,0x3ffd4dff,0xfd007ffc,0x6ffc85ff,0xfd017fa2,
    0xff999bff,0x880005ff,0x94ffffda,0xffc807ff,0x3ff203ff,0x7ff405ff,
    0xfffb802f,0x05ffff05,0x883fff70,0x402fffff,0x03ffffe8,0xfffff900,
    0x07fffd83,0x200bfffa,0x0005fffb,0x000dfff5,0x3fff6000,0xfd800004,
    0x3fe204ff,0x74402fff,0x0003ffff,0x409fffb0,0x804ffffb,0x887ffff8,
    0x402fffff,0x43ffffe8,0x3a0fffff,0x5002ffff,0xe800dfff,0x3a002fff,
    0x20002fff,0x320ffffb,0xf3006fff,0x427fdcdf,0x3fa00fff,0x7ffec2ff,
    0x7ff40040,0x0fffec2f,0xfc800062,0x007ff94f,0x05fffff7,0x80bfffa6,
    0xb802fffe,0xffd05fff,0xdc8037ff,0x2ffffb82,0x17fff600,0xffa99980,
    0xfff985ff,0x5fffd03f,0x0bfff700,0x1bffea00,0x35310000,0x017ffee1,
    0x709a9880,0x7dc0bfff,0x36002fff,0x44005fff,0xfff709a9,0x37fffc0b,
    0x0bfff500,0x005ffff7,0xf12fffec,0x3e63ffff,0x5005ffff,0xe800dfff,
    0x3a002fff,0x20002fff,0x7cc5fffe,0xf9801fff,0x03ffea6f,0x7f401fff,
    0xffeeeeff,0xfe8002ff,0x3ffe42ff,0x40017fe6,0x7ff94ffb,0x3fffe600,
    0xdffb01ef,0x017fff40,0xc82fffdc,0xefffffff,0xfe800acd,0x7cc005ff,
    0x3b2607ff,0xffffffff,0xeaaaaacf,0xffd04fff,0xfff7005f,0x3fea000b,
    0x6440006f,0xfffffffe,0x2005ffff,0xfffffec8,0x05ffffff,0x0017fffa,
    0x880ffff3,0xffffffec,0x105fffff,0x8001ffff,0xffe83ffe,0x7fcc005f,
    0x3fffe67f,0xfffff12f,0x3ffea00b,0x7fff4006,0x3fffa002,0xfff30002,
    0x9fffd03f,0x44dff300,0x3fe1cfff,0x3fffa00f,0xffffffff,0xfffe8002,
    0xffc83982,0xffb8000f,0x4007ff94,0x4fffffc8,0xd01ffe88,0xf7005fff,
    0x7ff40bff,0xffffffff,0x3ffe02ef,0xffd8002f,0x7ffec42f,0xffffffff,
    0xffffffff,0xffd05fff,0xfff7005f,0x3fea000b,0xf910006f,0xffffffff,
    0x00bfffff,0xffffff91,0xffffffff,0x17fffc0b,0x17ffec00,0x7ffffe44,
    0xffffffff,0xdfff505f,0x20571000,0x8002ffff,0xff52fffd,0x7fec7fff,
    0xff5001ff,0xffe800df,0x3ffa002f,0xffb0002f,0x3ffee0df,0x37fcc00f,
    0x37bffff2,0x3fa01fff,0xffffffff,0xfe8002ff,0x3f6002ff,0xfb8002ff,
    0x007ff94f,0xdffffb10,0x817ff443,0xb802fffe,0x32205fff,0xffffffff,
    0x440dffff,0x8000ffff,0x3ea4fffc,0xffffffff,0xffffffff,0x6fffffff,
    0x005fffd0,0x000bfff7,0x001bffea,0x3fffffa2,0xffffffff,0x7f4405ff,
    0xffffffff,0x05ffffff,0x001ffff1,0x889fff90,0xfffffffe,0xffffffff,
    0x0bfff705,0xfff88000,0xffc8000f,0xfffff54f,0x000bc989,0x001bffea,
    0x4005fffd,0x8002fffe,0x103ffff8,0xf007ffff,0xffffd0ff,0x740dffff,
    0xffffffff,0xe8002fff,0x3a002fff,0xb8002fff,0x07ff94ff,0x7fff5400,
    0x06fffeef,0x200bfffa,0x8805fffb,0xffffffdc,0x221fffff,0x8000ffff,
    0xff34fffc,0xffffffff,0xffffffff,0xffffffff,0x00bfffa0,0x0017ffee,
    0x0037ffd4,0x7fffffec,0xffffffff,0x7fec05ff,0xffffffff,0x05ffffff,
    0x001ffff1,0xd89fff90,0xffffffff,0xffffffff,0x09fff905,0xfff88000,
    0xffc8000f,0xfffff74f,0x26660009,0x99efffb9,0x3ffa0099,0x3ffa002f,
    0xffb8002f,0xffffffff,0x806fffff,0xffb80ffe,0x206fffff,0xcccdfffe,
    0x4002ffff,0x99bfffe9,0x99999999,0x8002fffe,0x7ff94ffb,0xfff90000,
    0x407fffff,0xb802fffe,0x88005fff,0xffffdcb9,0x17fffc4f,0x8ffff400,
    0x9beffffc,0xdffff710,0xdddddddd,0x3fffa0bd,0x5fffb802,0xbfff5000,
    0xffffb800,0x266209cf,0x2e05fffd,0x09cfffff,0x3fff6662,0x0bfffe05,
    0x87fffa00,0x9cfffffb,0x3ff66620,0xdfff505f,0xfff00000,0xffd0005f,
    0x3ffff23f,0x7fec005f,0xffffffff,0x81efffff,0x2002fffe,0x8002fffe,
    0xfffffffe,0xffffffff,0x0ffec01f,0xaccaba88,0x0bfffa00,0x1883fffb,
    0xffffffc8,0xffffffff,0x2fffffff,0x94ffb800,0x200007ff,0x1dfffffa,
    0x017fff40,0x442fffdc,0xfb1003fd,0xfffe8fff,0x3fee000e,0x17fffa7f,
    0x03ffffa8,0x17fff400,0x02fffdc0,0x03fff880,0x0ffffec0,0x02fffdc0,
    0x003ffffb,0x740bfff7,0x2000efff,0x7ec7fffb,0xfb801fff,0xfff105ff,
    0xe800003f,0x2000efff,0x3f67fffb,0x3266ffff,0x7ffd42df,0xffffffff,
    0x85ffffff,0x1003fffc,0x8001ffff,0xfffffff9,0xffffffff,0x7fdc04ff,
    0x7f400003,0x3ffe42ff,0xff997fe6,0xffffffff,0xffffffff,0x8002ffff,
    0x7ff94ffb,0xa800b980,0xfb002fff,0xfea809ff,0xfffb85ff,0xffff1001,
    0x2ffffd45,0x5ffffa80,0xc817fff2,0x0006ffff,0x2027ffec,0x005fffea,
    0x0007bf20,0x3007ffff,0x7c0bfffd,0xe9803fff,0x3ea05fff,0xf5005fff,
    0xfff8bfff,0xffe9803f,0x3fffa05f,0x1dd98006,0x02ffffd4,0x25ffffa8,
    0x27fffffd,0x262ffffe,0xffffffff,0xffffffff,0x6fffb84f,0x0ffff500,
    0xfffffb00,0xffffffff,0x401fffff,0x00007ffa,0x4c17fff4,0x10fffc83,
    0xffffffff,0xffffffff,0x05ffffff,0x329ff700,0x2ff403ff,0x003ffe80,
    0x501ffff9,0x0bfffffd,0x019ffffd,0x0ffffe44,0x0bbffffa,0x7ffffe44,
    0x0bfffe62,0xffffffb1,0x1efda887,0x01ffff90,0xbfffffd5,0x00008000,
    0x5409ffff,0x1efffffe,0x409ffff0,0xefffffea,0x3ffffa01,0xfff9102e,
    0xffff85ff,0x3fffaa04,0xff901eff,0xb1005dff,0xffd0bfff,0x32205dff,
    0x2e2fffff,0xf34fffff,0xeb8bffff,0xffffffff,0x0cefffff,0x04ffff98,
    0x02ffffcc,0x2ffffe20,0x99999999,0x03ffff99,0x000fffe2,0x02fffe80,
    0xa8bfff60,0xfffffffd,0xffffffff,0x002fffff,0xff94ffb8,0x03ffc407,
    0x5002fff8,0xd9bfffff,0xffffffff,0x7fff49ff,0xdccdefff,0x87fffffe,
    0xfffffff9,0xffffedcd,0xffff85ff,0xffffecff,0xecefffff,0x505fffff,
    0xd9bfffff,0xffffffff,0x333109ff,0x33333333,0x03333333,0x9dfffffb,
    0xffffffdb,0xd89fffff,0xdcefffff,0xfffffffe,0xf984ffff,0xcdffffff,
    0xffffffed,0xfffffd85,0xffffedce,0x4fffffff,0xffffffd8,0xffedccde,
    0xf987ffff,0xcdffffff,0xffffffed,0x7ffffc45,0x9fffff12,0x03dff100,
    0x3ffffa00,0xffffa80d,0x7fdc001f,0x3f2000ff,0x7fe406ff,0x0054400e,
    0x800bfffa,0x0002fffe,0x000f7fc0,0x3f29ff70,0x1ffe203f,0x003ffee0,
    0x7fffff44,0xffffffff,0xfb0fffff,0xffffffff,0xffffffff,0x3fffea03,
    0xffffffff,0xff506fff,0xffffffff,0xffffffff,0x0dffffff,0x3fffffa2,
    0xffffffff,0x320fffff,0xffffffff,0xffffffff,0x3e60efff,0xffffffff,
    0xffffffff,0x3e60ffff,0xffffffff,0xffffffff,0xfa80ffff,0xffffffff,
    0x06ffffff,0xfffffff3,0xffffffff,0x81ffffff,0xffffffe8,0xffffffff,
    0xff503fff,0xffffffff,0x20dfffff,0x7e46fffd,0xfa800fff,0x3e20002f,
    0xecefffff,0x03ffffff,0x6ffff440,0xfff51001,0x3fe2015f,0x9ff901ef,
    0x5ffff4c0,0x99999999,0x02fffe99,0x0bfea000,0xfb555300,0x2b7ff69f,
    0xccfff881,0xfffccccc,0x7f44005f,0xffffffff,0xffffffff,0xffffff70,
    0xffffffff,0xfe9805df,0xffffffff,0x7cc03fff,0xffffffff,0xffffffff,
    0x02ffffff,0x3fffffa2,0xffffffff,0xff10ffff,0xffffffff,0xffffffff,
    0xffa89fff,0xffffffff,0xffffffff,0x7ffd40ff,0xffffffff,0xffffffff,
    0xfffd300f,0xffffffff,0xfffa807f,0xffffffff,0xffffffff,0xfffe880f,
    0xffffffff,0x4c03ffff,0xfffffffe,0x403fffff,0x057102c9,0x9527fd40,
    0x7ffcc001,0xffffffff,0x3a6006ff,0xffffffff,0xffffd304,0x2e09ffff,
    0xecdeffff,0xfc85ffff,0xffffffff,0xffffffff,0x0002ffff,0x3277fe20,
    0x3fff205f,0xffcfffff,0x7c45ffff,0xffffffff,0x000fffff,0xfffffe88,
    0xfffcadff,0x33f222df,0xfffffffd,0x54002eff,0xffffffed,0xfd3001bd,
    0xd79fffff,0xfffffd7b,0xd10017bf,0xbfffffff,0x5bffff95,0x7fffffc4,
    0xffffffff,0x3fffffff,0xfffffd98,0xffbadfff,0xb302dfff,0xffffffff,
    0xfffff75b,0xfdb5005b,0x37bfffff,0x3fff6600,0xbadfffff,0x02dfffff,
    0x7ffffed4,0x0befffff,0x3ffb6a00,0x01bdffff,0xf1000000,0x09ffffff,
    0xffffe980,0x04ffffff,0x7ffffec0,0xd81fffff,0xffffffff,0xfff701ff,
    0xdfffffff,0xfffff983,0xffffffff,0xffffffff,0x6c00002f,0x207fffff,
    0xfffffffd,0xffffffdf,0x7ffffc46,0xdfffffff,0x65440000,0x00000abc,
    0x35799955,0x79510000,0xca880003,0x332a00ac,0x510000ab,0x00015799,
    0xfffffff5,0xffffffff,0x401bffff,0x0abccca9,0x99530000,0x00001579,
    0x006f2a20,0x79995300,0x88000015,0xaaccccaa,0xca880001,0x0000001b,
    0x3fffee00,0xf70000ff,0x3dffffff,0xffffb000,0x01ffffff,0xfffffffb,
    0x75401fff,0xbfffffff,0xfffff880,0xffffffff,0xffffffff,0x4c00002f,
    0x202ffffd,0xccccccb8,0x37999973,0xcccccc88,0x001acccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x006fb6e2,0x26f2a600,0x3b220000,
    0x3dffffff,0xffffd910,0x22007bff,0xa801aaba,0xfffffffd,0xffffffff,
    0x002fffff,0x00351000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,
    0x00001000,0x10000001,0x5c400000,0x000b9801,0x70000000,0x00171003,
    0x0000c880,0x0006aa20,0x2a800b98,0x2a620000,0x0b88009a,0x10002a80,
    0x00001553,0x200001c8,0x0c9802c8,0x40064c00,0x2620003b,0x000001aa,
    0x02e60000,0x000006e0,0x88000198,0xc980001c,0x3a20000a,0x5000003f,
    0x540003ff,0x000002ff,0x00001df9,0x201bff70,0x80004ffc,0x80003ed9,
    0xf700dffb,0x7dc000bf,0x220003ff,0xcfffffec,0x17ffc000,0x001ffe98,
    0x3fffae20,0x7f404fff,0x5ffb103f,0x7fffd400,0x0000dfff,0x0013ffa6,
    0x2007fdc0,0x7f4005fe,0x00ffcc05,0xfffffb30,0x00003dff,0x40003bd7,
    0xd301eff8,0xeca801ff,0x7544eeee,0x000cffff,0x004ffea8,0x03ffff60,
    0x0fffe600,0x3fee0000,0x3ea0001f,0x800003ff,0x0001fffc,0x177ffcc0,
    0x005fffd3,0x2ffff880,0x7ffcc000,0x3fffa62f,0xffd88002,0x4000dfff,
    0xffffffe8,0x36003fff,0x3ee0dfff,0x2e0006ff,0xffffffff,0x3ff203ff,
    0x3ffee0df,0xffe8800f,0xffffffff,0xfffc8003,0x40001eff,0x3f205ffa,
    0x7fec004f,0x03ffd102,0xfffffb10,0x19ffffff,0x3ffee000,0x7fec0006,
    0x37ffe44f,0x3ffffea0,0xfffd36ff,0x001fffff,0x3fffff22,0x7fcc001e,
    0x5c004fff,0x00005fff,0x003fffd8,0x05fffc80,0xfffd8000,0x7d400003,
    0xfffccfff,0xfb80003f,0x80005fff,0xfbdffffa,0xb8003fff,0xfffdffff,
    0xfff3003f,0xffffffff,0x3f62005f,0xfffebfff,0xfd88000e,0xffffffff,
    0x7fe405ff,0xefffdbff,0xffff8801,0xffffffff,0xffd3003f,0x19ffffbf,
    0x3ffe2000,0xffca88bd,0x7fdc001f,0xfeb98acf,0xffe8806f,0xffffffff,
    0xd0005fff,0x0003ffff,0x5f7ffec4,0x400dfffe,0xfffffffc,0xffffffce,
    0x9805ffff,0xfffdfffe,0x3fea004f,0x32005fff,0x00004fff,0x017fff44,
    0xdfff5000,0xfc800001,0x400004ff,0xffffffd8,0xf300000e,0x00007fff,
    0x3fffff62,0xfc8001ef,0xffd31eff,0xffff009f,0xfffffdff,0x7d4003ff,
    0x03ffffff,0xffffd100,0xfffdffff,0xfffd3005,0x6c009fff,0xeeffffff,
    0x01ffffff,0x89ffffcc,0x0006fffd,0x3fffffe6,0x0003ffff,0xfffffff9,
    0xfb001fff,0xddffffff,0x07ffffff,0x1ffff900,0xfff50000,0x2007ffff,
    0xfffffff9,0xffffffff,0x200fffff,0xb12ffffa,0x7400bfff,0xb001ffff,
    0x00005fff,0x01effe88,0xfff98000,0xfa800006,0x800005ff,0x003ffffa,
    0x0dffc800,0x7fd40000,0xf10003ff,0x3ff209ff,0x3ffee00f,0x3ffaa0df,
    0x6c4006ff,0x0001efff,0xbfffffd1,0x000d4437,0x007bfff2,0x1effffb8,
    0x37fffe44,0x2037ffa0,0x0002fffa,0x3fffffa6,0x5c0002ef,0xdfffffff,
    0xffffd000,0xffff7017,0xffd1000f,0x6c400007,0x8000dfff,0xfffffca9,
    0xfb32efff,0xdffe80bf,0x02fffb80,0x005bd710,0x0007ffe2,0x03bfee00,
    0xfe880000,0x9800002f,0x00000fff,0x0000dd88,0x00002200,0x000ed880,
    0x2600ee40,0x7fff404d,0x3ffff205,0x03fa8001,0x7fffec00,0x9800002f,
    0xffd8004e,0x3ff600ff,0x0faa00ff,0x0001b910,0x059b9750,0x6e544000,
    0x7d4001bc,0x7fdc00ef,0x030001ff,0x1fdc0000,0x7ffd4000,0x3103ffff,
    0x8805b700,0x000000dd,0x00000cb8,0x00007910,0x00025c00,0x00079100,
    0x00000000,0x00000000,0x00000000,0x003fffe6,0x000bfffd,0x3fee0000,
    0x00002fff,0xffe80000,0x7ffcc04f,0x0000002f,0x00000000,0x14400000,
    0x07fffd00,0x00000000,0xffa80000,0x0001efff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00135300,0x00133000,0x026a6000,
    0x06fffa80,0x007fffb8,0x0004d4cc,0x01fffff8,0x26a60000,0x7fffc000,
    0x3fffe801,0x00000000,0x0009a998,0x00133000,0x7fec0000,0x0998003f,
    0x35300000,0xffa80001,0x00000eff,0x00026a60,0x00000000,0x00266000,
    0x004cc000,0x00000000,0x5ddddb73,0x3bbbb6a0,0x3b6a004e,0xadffffff,
    0xb3000bc8,0x7bfffffd,0x3b6a0001,0xadffffff,0x7fdc0bc8,0xfff8805f,
    0xfd97100f,0x19ffffff,0x3fffea00,0x5c400002,0xcffffffe,0x3fffe801,
    0x17fffc40,0x5ddddb73,0x3bbbb6a0,0xecb8804e,0xcfffffff,0x3b660000,
    0x0bdfffff,0xff100000,0xdb3003ff,0x17bfffff,0x3fb6a000,0x8adfffff,
    0xffa800bc,0x8800006f,0xffffffeb,0x2600001c,0x02eeeedb,0x9dddddb5,
    0x7ff6cc00,0x000bdfff,0xffffdb30,0x730017bf,0x205ddddb,0x4eeeeeda,
    0xfffffff0,0xfffff705,0xfb100bff,0xffffffff,0x807fffff,0xffffffc8,
    0x003fffff,0x3fffff62,0xffffffff,0x2fffdc3f,0x0ffffc40,0x7fffffdc,
    0x4fffffff,0x06fffe80,0x7ffd4000,0xffffffff,0x3fff200d,0x7fffe407,
    0x3fffffe0,0xffffb82f,0x7dc05fff,0xffffffff,0x4004ffff,0xffffffc8,
    0x003fffff,0x7fff4400,0x7ffe4407,0xffffffff,0x3ff62003,0xffffffff,
    0xa803ffff,0x00006fff,0x7fffffd4,0x00dfffff,0xfffff800,0xfffb82ff,
    0x8805ffff,0xfffffffc,0x2003ffff,0xffffffc8,0x403fffff,0x2fffffff,
    0xffffffb8,0xffff985f,0xffd82fff,0x405fffff,0xfffffffa,0xffffffff,
    0x3ffea06f,0xffffffff,0x5401efff,0xffffffff,0xffffffff,0x03fffcc6,
    0x417fffec,0xffffffff,0x3fffffff,0x4ffffe20,0x02bdedb9,0x3fffff60,
    0xffffffff,0xffff502f,0xfffb985b,0x3fffe66f,0xffd82fff,0x405fffff,
    0xffffffff,0x3fffffff,0xfffff500,0xffffffff,0x510003df,0xfffffb55,
    0x7fffd409,0xffffffff,0x7d401eff,0xffffffff,0x6fffffff,0x06fffa80,
    0x3fff6000,0xffffffff,0x20002fff,0xfffffff9,0xfffffd82,0x7fd405ff,
    0xffffffff,0x401effff,0xfffffffa,0xefffffff,0xfffff981,0xfffd82ff,
    0xfd05ffff,0x505fffff,0xbfffffff,0x7ffffcc0,0xffffffff,0xf107ffff,
    0xffffffff,0xdfffffff,0x7ffffcc0,0xffffffff,0x7c47ffff,0x3ee01fff,
    0xfd83ffff,0xffffffff,0x01ffffff,0xf93ffff3,0x1bffffff,0xfffffd80,
    0xffffffff,0xffb01fff,0xffdbffff,0xfe83ffff,0xa82fffff,0x5fffffff,
    0x7ffffec0,0xffffffff,0x7fc401ff,0xffffffff,0x06ffffff,0x7ffffc40,
    0x2206ffff,0xffffffff,0xffffffff,0x3fffe606,0xffffffff,0x807fffff,
    0x0006fffa,0xffffffb0,0xffffffff,0x4cc403ff,0x3fffa099,0xffa82fff,
    0x205fffff,0xfffffff8,0xffffffff,0x3ffe206f,0xffffffff,0xd06fffff,
    0x05ffffff,0xfffffff5,0x7ff54c0b,0xfb55102f,0x7ff40bff,0x2e61aeff,
    0x07ffffec,0x59dffffd,0x3fff2a21,0xfffd03ff,0x65cc35df,0xe87ffffe,
    0xff106fff,0xb30bffff,0xb883579d,0xf503ffff,0xffffdfff,0x03dfffff,
    0x37ffffee,0x3ffee609,0xfe880eff,0xffffffff,0xd5303fff,0x2a205fff,
    0x405fffda,0x41abced9,0x03ffffb8,0x677ffff4,0xfff9510a,0x7dc007ff,
    0xffffffff,0x3ffffa00,0xf9510ace,0x3a07ffff,0x21aeffff,0xffffecb9,
    0x6fffa807,0xfffb8000,0x2e609dff,0x00efffff,0x983ffffd,0x102fffea,
    0x0bfffb55,0x677ffff4,0xfff9510a,0x3ffa07ff,0x510aceff,0x07fffff9,
    0x0bfffaa6,0x7ffed544,0x2fffe805,0x05fffb80,0x009ffff7,0x90fffff1,
    0x801dffff,0x40fffff9,0x804ffffb,0xa87ffff8,0x911effff,0xdfffffff,
    0xfffb0000,0x3fffee09,0xffffffff,0xff886fff,0x74402fff,0xf703ffff,
    0xffffffff,0xffd00dff,0xfff7005f,0xfd80000b,0x3ff204ff,0x7cc00eff,
    0x3000ffff,0xffffffff,0x3fff205f,0x7fcc00ef,0x7fdc0fff,0xff8804ff,
    0xffa807ff,0x7c40006f,0x4402ffff,0x983ffffe,0x3a05ffff,0xfb802fff,
    0xfff905ff,0xff9801df,0x7fe40fff,0x7cc00eff,0x3a00ffff,0xfb802fff,
    0xffe805ff,0xfffb802f,0x0dffff05,0x42fffd40,0x000effff,0xf8bffff5,
    0x2a006fff,0xffb05fff,0xffffffff,0x00ffffff,0xfb84d4c4,0xfff705ff,
    0x75bfffff,0xb89ffffd,0x2002ffff,0xf885fffd,0xffffffff,0x7404ffff,
    0xfb802fff,0x310005ff,0x3ffee135,0x3bfffe05,0xffff5000,0x7fed400b,
    0x82ffffff,0x000effff,0xf8bffff5,0x2a006fff,0x33105fff,0x333dfff7,
    0xf7001333,0x6c005fff,0xffb85fff,0x3ffa00ff,0xfffb802f,0x1dffff05,
    0x3fffea00,0x077fffc5,0x5ffffa80,0x00bfffa0,0x2017ffee,0xb802fffe,
    0xff885fff,0x7f4000ff,0x7fffc43f,0xaaaaaaac,0xfffdaaaa,0x03fffe26,
    0x207ffd00,0xfffffff8,0xffffffff,0x3ffb2206,0xffffffff,0xffff505f,
    0xfe883dff,0x3ffa0fff,0x7fcc005f,0x7fff447f,0xfffedeff,0x3fa03fff,
    0xffb802ff,0xfd91005f,0xffffffff,0x3fe20bff,0xaaaaacff,0xfdaaaaaa,
    0x310006ff,0x43fffffd,0xaacffff8,0xaaaaaaaa,0x226fffda,0x4000ffff,
    0x7f443ffe,0xffffffff,0x0dffffff,0x017fffa0,0xd0ffff30,0xfe807fff,
    0xffb802ff,0xffff885f,0xaaaaaaac,0xfffdaaaa,0x33fffe26,0xaaaaaaaa,
    0x6fffdaaa,0x00bfffa0,0x2017ffee,0xb802fffe,0xffa85fff,0x2b88006f,
    0xffffffa8,0xffffffff,0x0fffffff,0x000dfff5,0xfd880571,0xcfffffff,
    0xc885fffc,0xffffffff,0x05ffffff,0x1ffffff1,0x8ffffe20,0x8002ffff,
    0x3f62fffd,0xfb81efff,0xfd00ffff,0xff7005ff,0xffc880bf,0xffffffff,
    0xf505ffff,0xffffffff,0xffffffff,0x0001ffff,0x25ffffc8,0xfffffffa,
    0xffffffff,0x50ffffff,0x1000dfff,0xffff9057,0xffffffff,0x407fffff,
    0x8002ffff,0x3e22fffd,0xffe806ff,0xfffb802f,0xfffffa85,0xffffffff,
    0xffffffff,0xffffff50,0xffffffff,0x1fffffff,0x00bfffa0,0x2017ffee,
    0xb802fffe,0xffb85fff,0x6400005f,0xffffffff,0xffffffff,0xf71fffff,
    0x00000bff,0xdffffd70,0x113fffe5,0xfffffffd,0xffffffff,0x7ffffc0b,
    0xa7ffe402,0x000ffff8,0x3e4fffc8,0x7d405fff,0xffd03fff,0xfff7005f,
    0x7fff440b,0xffffffff,0xf905ffff,0xffffffff,0xffffffff,0x0003ffff,
    0x64ffff90,0xffffffff,0xffffffff,0xf71fffff,0x80000bff,0xfffffffb,
    0xffffffff,0xfff103ff,0xff90001f,0x0fffdc9f,0x017fff40,0x642fffdc,
    0xffffffff,0xffffffff,0xf91fffff,0xffffffff,0xffffffff,0x3a03ffff,
    0xfb802fff,0xffe805ff,0xfffb802f,0x04fffc85,0x7ffdc000,0xffffffff,
    0xffffffff,0x9fff92ff,0x98000000,0x3fffea09,0x7ffffec1,0xffffffff,
    0x3fa05fff,0xffa805ff,0x1ffff15f,0x9fff9000,0x003fffe2,0x7413fff2,
    0xfb802fff,0x3ff605ff,0xffffffff,0x05ffffff,0xfffffff7,0xffffffff,
    0x05ffffff,0xffff3000,0x3ffffee3,0xffffffff,0xffffffff,0x009fff92,
    0xffec8800,0xffffffff,0x2204efff,0x8000ffff,0x3f64fffc,0xfffd004f,
    0xbfff7005,0xffffff70,0xffffffff,0x5fffffff,0x3fffffee,0xffffffff,
    0x2fffffff,0x005fffd0,0xd00bfff7,0xf7005fff,0xfff50bff,0xf980000d,
    0xeeeeefff,0xeeeeeeee,0xff51eeee,0x000000df,0x6ffff880,0x67ffffdc,
    0x3f666209,0x3ff605ff,0xfffa803f,0x00bfffe6,0x547fffa0,0xf5006fff,
    0x3ffa0dff,0xfffb802f,0xfffff705,0x6ccc4139,0xff305fff,0xddddddff,
    0xdddddddd,0x00003ddd,0x7ccffffa,0xeeeeefff,0xeeeeeeee,0xff51eeee,
    0x000000df,0xfff00000,0xffd0005f,0x03ffe23f,0x017fff40,0x4c2fffdc,
    0xeeeeffff,0xeeeeeeee,0xf31eeeee,0xdddddfff,0xdddddddd,0x3a03dddd,
    0xfb802fff,0xffe805ff,0xfffb802f,0x1ffff885,0x3fe20000,0x200004ff,
    0x001ffff8,0xfd100000,0xffd85fff,0xffb801ff,0x3fff205f,0x5fffd806,
    0x003bfffa,0x2a7fffb8,0xf7006fff,0x3ffa0dff,0xfffb802f,0x3ffffb05,
    0x0bfff700,0x013fffe2,0xf8000000,0xfff11fff,0x4400009f,0x0001ffff,
    0x40000000,0x000efffe,0xfa9fffee,0x3ffa002f,0xfffb802f,0x4ffff885,
    0x3fe20000,0x000004ff,0x200bfffa,0xd805fffb,0x75404fff,0xffd05fff,
    0xbb3000df,0x3ffffe83,0x3ffa0000,0xdd98006f,0xffea8001,0xffff85ff,
    0xfffe9803,0x3fffea05,0x3fffe202,0x17fffea4,0x2ffffd40,0x807ffff1,
    0xb03ffff8,0xea809fff,0xfff05fff,0xffd3007f,0x7fff40bf,0x0000003f,
    0x47fffa80,0x003ffffe,0x1bfffa00,0x00776600,0x000beea8,0x05ffffa8,
    0x4bffff50,0x7ec005fb,0x7f5404ff,0xfffd05ff,0x7400007f,0x0003ffff,
    0x09fffb00,0x05fffea8,0x80ffffc8,0x5fffffea,0x5dffff90,0xbfffb100,
    0xbfffff98,0x7f65cc00,0x77fffe43,0xfffd8802,0xfd980985,0xf80fffff,
    0x3aa04fff,0x01efffff,0x02fffffa,0x85ffffb1,0x02effffe,0x5fffff91,
    0x02ffffe8,0x03ffffb1,0x203ffff2,0x5fffffea,0x409ffff0,0xefffffea,
    0xfffff301,0xecb98017,0x067fdc3f,0x3ffff260,0x7ffffcc4,0x765cc00b,
    0x7fffe43f,0xffd8802e,0x3ffa005f,0xffd0007f,0x32205dff,0x222fffff,
    0xfffc8002,0xfffea80f,0xfff305ff,0xb98017ff,0x7fcc3fec,0x4c00bfff,
    0x3203fecb,0xea80ffff,0x805fffff,0xcdfffffa,0xfffffffe,0xffd84fff,
    0xccdeffff,0xffffffed,0xfffffb87,0xfedccdef,0x40ffffff,0xeffffffd,
    0xfffedccd,0x7ff47fff,0xfffffece,0xffb00eff,0xfdb9dfff,0xffffffff,
    0xfff509ff,0xffd9dfff,0xff30dfff,0xb9bfffff,0xbffffffd,0xdfffff70,
    0xffffdb9d,0x7ffd40ff,0xfffecdff,0x4fffffff,0x77ffffec,0xfffffedc,
    0x84ffffff,0xeffffffb,0xfffedccd,0x3fe0ffff,0xdcceefff,0xffffffee,
    0xfffffb82,0xfedccdef,0x40ffffff,0xeffffffd,0xfffedccd,0x31007fff,
    0x0007fff9,0xfffffff3,0xffffdb9b,0x20000bff,0xcdfffffa,0xfffffffe,
    0xffb84fff,0xccdeffff,0xffffffed,0x7fffdc0f,0xedccdeff,0x0fffffff,
    0xbfffff50,0xffffffd9,0x4409ffff,0xfffffffe,0xffffffff,0x7f440fff,
    0xffffffff,0xffffffff,0xfffffb03,0xffffffff,0x883fffff,0xfffffffe,
    0xffffffff,0x3ffea3ff,0xffffffff,0x3fe600ef,0xffffffff,0xffffffff,
    0xffc80fff,0xffffffff,0xff500fff,0xffffffff,0x40dfffff,0xfffffffc,
    0x2fffffff,0x3ffffa20,0xffffffff,0x20ffffff,0xfffffff9,0xffffffff,
    0x80ffffff,0xfffffffd,0xffffffff,0xfff11fff,0xffffffff,0x09ffffff,
    0x7fffffec,0xffffffff,0x7441ffff,0xffffffff,0xffffffff,0xcefd803f,
    0x50003ffc,0xffffffff,0xdfffffff,0x7f440000,0xffffffff,0xffffffff,
    0xffffd80f,0xffffffff,0x81ffffff,0xfffffffd,0xffffffff,0xfd101fff,
    0xffffffff,0xffffffff,0x7ff4401f,0xffffffff,0x0fffffff,0xfffffe88,
    0xffffffff,0x7fdc03ff,0xffffffff,0x04ffffff,0xffffffd1,0xffffffff,
    0xffff887f,0x2effffff,0xfffff500,0xffffffff,0x1fffffff,0x3fffff60,
    0x02ffffff,0x7fffff4c,0x3fffffff,0xfffffb80,0x2fffffff,0xffffe880,
    0xffffffff,0x540fffff,0xffffffff,0xffffffff,0xf700ffff,0xffffffff,
    0x9fffffff,0xffffffb8,0xffffffff,0xfffb804f,0xffffffff,0x104fffff,
    0xfffffffd,0xffffffff,0x3fffa007,0x20000fff,0xffffffe9,0x03ffffff,
    0xffe88000,0xffffffff,0x0fffffff,0xffffff70,0xffffffff,0x7fdc09ff,
    0xffffffff,0x04ffffff,0x7fffff44,0xffffffff,0x4400ffff,0xfffffffe,
    0xdffffcad,0x7ffed402,0xefffffff,0xffb1000b,0xffffffff,0xb50037bf,
    0xffffffff,0x2e017dff,0xffffffff,0xffd98003,0xadffffff,0x2dfffffb,
    0x7ffff540,0x2000cfff,0xfffffeda,0x2a001bdf,0xfffffffd,0x3a2000ce,
    0xdfffffff,0x2dffffca,0xfffffb30,0xff75bfff,0x8805bfff,0xfffffffd,
    0x01bdffff,0xffffff93,0x03bfffff,0x7fffec40,0xdfffffff,0xffda801b,
    0xffffffff,0x3a6000be,0x0002efff,0xffffdb50,0x00037bff,0x7fff4400,
    0xfcadffff,0x4402dfff,0xfffffffd,0x01bdffff,0xfffffd88,0xbdffffff,
    0xfffd1001,0xf95bffff,0x4005bfff,0x00abcca8,0x32aa2000,0x001aaccc,
    0x5e65d4c0,0x2200009a,0xaaccccaa,0x59751001,0x53000013,0x00157999,
    0xacba9800,0x54400009,0x100001bc,0x00003795,0x01579951,0x99953000,
    0x00000157,0x35799753,0x95530001,0x00035799,0x57997530,0x54400013,
    0x1aacccca,0x00098000,0x2f2a2000,0x80000001,0x00abcca8,0x65d4c000,
    0x00009abc,0x55e65d4c,0x54400009,0x0000abcc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x003b800c,0x00006a20,0x00000100,
    0x4c400001,0x00000009,0x00000266,0x00100001,0x015c0000,0x03910000,
    0x00800000,0x04cc4000,0x10055000,0x22000037,0x98000019,0x4000009a,
    0x03b800c9,0x000e4400,0xdddddddb,0xdddddddd,0xa98007dd,0xb9800009,
    0x0000ea00,0x0379db95,0x06aa6200,0x980bfd00,0x366001ff,0x03dfffff,
    0x13f62000,0x1ff44000,0xffdb5000,0x3b23bfff,0xb80bdeee,0xfd35eeed,
    0x007bffff,0x001fec40,0x0000bfd0,0x0dffe980,0x7f540000,0x8000004f,
    0xb9801ffa,0xff92eeed,0x0019ffff,0xb806ffd4,0xdb7306ff,0x3f6a5ddd,
    0x00ceffff,0xfffec880,0xddd73fff,0xfd0017bd,0x02ff980b,0x09ffd300,
    0x3fffffa0,0xffffffff,0x5404ffff,0xffffffed,0x800bc8ad,0xfc80fffb,
    0xfe98006f,0x04ffffff,0x3ffff660,0xffb002ef,0x07ffa205,0x7ffffcc0,
    0x000effff,0x02fff4c0,0x1fffcc00,0x7ffe4400,0xdfffffff,0x5ffffffe,
    0x7fffffdc,0xfffffffc,0xf98004ff,0x3a0004ff,0x00000eff,0xffffffb8,
    0xfc880002,0x001effff,0x3fff7000,0xfffff880,0xffffffdf,0x1002ffff,
    0x6c47ffff,0xfff04fff,0xffdbffff,0xffffffff,0x7ff54007,0xffffffff,
    0x6ffffffe,0x102ffd80,0x90003ffd,0x03dfffff,0xffffffe8,0xffffffff,
    0xfb104fff,0xffffffff,0x007fffff,0xff05fffd,0x7cc003ff,0xffffffff,
    0x7fcc00ef,0x2fffffff,0xacfffb80,0x06ffeb98,0xffffff30,0x00dfffff,
    0x077ffd40,0x3ffee000,0xfff98005,0xffffffff,0xffffffff,0x7fffec7f,
    0xffffffff,0x005fffff,0x001bffea,0x03fffd10,0x3ffa6000,0x0dffffef,
    0xfffd3000,0x009ffffb,0x3fffd800,0xfffffa80,0xffffffff,0x001fffff,
    0xf7bfffd3,0x3e609fff,0xffffffff,0xffffffff,0x6400efff,0xffffffff,
    0xffffffff,0x5400ffff,0xb98acfff,0x4c006ffe,0xfffdfffe,0x3fffa04f,
    0xffffffff,0x84ffffff,0xfffffffa,0xffffffff,0xfffc806f,0x00fffd80,
    0xfffffd10,0x09ffffff,0x712dffb8,0x3f200fff,0xffffffff,0xfff9800f,
    0xffffefff,0xfb8003ff,0xc80005ff,0x88004fff,0xffffffff,0xffffffff,
    0x544fffff,0xffffffff,0xffffffff,0xffc803ff,0xb100004f,0x80007fff,
    0xb13ffff9,0x8001dfff,0xb12ffffa,0x0000bfff,0x005fffd1,0x7ffffff4,
    0xffffffff,0x64006fff,0x1effffff,0x7fffff40,0xffffffff,0x6fffffff,
    0x3ffffea0,0xfffffeff,0x4fffffff,0xfffff900,0x001fffff,0x897fffd4,
    0xfb06fffd,0x555559ff,0xffff5555,0xfffff987,0xffffffff,0x8807ffff,
    0x5b9102dc,0x7fffdc00,0xffffdbdf,0xe804c02f,0xff7000ff,0x01bfffff,
    0x13ffff20,0x01ffffd3,0x01fffdc0,0x1fffec00,0xffffe800,0x3fb261bf,
    0x0adfffff,0xfffff710,0x3ee615bf,0x7e406fff,0x800003ff,0x0002fffc,
    0x2a07bff6,0x74003fff,0xffb80dff,0x3a20002f,0x98001eff,0xbefffffe,
    0xffffb510,0xffe98005,0x3aa6004f,0xadffffff,0xffff9510,0xffff109f,
    0xffd983bf,0x00adffff,0x7ffffdc0,0x74000dff,0xffb80dff,0x07ffb82f,
    0x83ffff30,0x1aeffffe,0x3fffb2e6,0x0000007f,0x437ffec0,0x004ffff8,
    0x800fff50,0x01bcdca8,0x0ffffe20,0x027fffc4,0x0005fff0,0x003fff10,
    0x3bfffee0,0x3fffa200,0xff9804ff,0x3ee04fff,0xff100fff,0x4000003f,
    0x20006ffb,0x6e4403ea,0x016dc000,0x80003762,0x0000effb,0x037ffffa,
    0x003ffff8,0x20003d90,0x04fffffd,0x0fffffcc,0x00fffff6,0x09fffff7,
    0x66e54400,0x5b70001b,0x700dc880,0x3ff2005b,0x7fffdc6f,0xffff8804,
    0x00000007,0xc817fff4,0xb1005fff,0x007ffffd,0xff900000,0xfffb80ff,
    0x0032e007,0x000cb800,0x01bfffa0,0x27ffff44,0x17fffcc0,0x07fffe20,
    0x00000cb8,0x0002c980,0x00000000,0x64400000,0xffe80003,0xfffc805f,
    0x00000004,0x009ffffb,0xf13fffe6,0x36009fff,0x0004ffff,0x00000000,
    0xffd00000,0x6ffff87f,0x17ffea00,0x0004cc00,0x40bfffe0,0x5006fffb,
    0x00dfffff,0x0004d4c0,0x100ffffe,0x0005ffff,0x00000000,0x01ffffc4,
    0x09ffff30,0x00ffff30,0x0007fffe,0x00000000,0x09a99800,0x13300000,
    0x00000000,0x02fffe80,0x005fffb8,0x00019a98,0x003ffffb,0xf337ffe4,
    0x22001fff,0x0004ffff,0x4c000000,0x0000019a,0x443ffff3,0x4000ffff,
    0xb3003ffe,0x7bfffffd,0xffff8001,0x0bffff02,0x7fffed40,0xffd71005,
    0x8039ffff,0x800ffff8,0x0004fffd,0x26000000,0x3fffea01,0x7fffc000,
    0x7fff9804,0x03ffff00,0x00000000,0x3b2e2000,0xcfffffff,0x3b660000,
    0x0bdfffff,0x26620000,0xfffd0000,0xbfff7005,0xffff9100,0x5b55bfff,
    0x06fffd80,0x87fffcc0,0x4006fffa,0x2604fffe,0x02eeeedb,0x9dddddb5,
    0xffff9100,0x5b55bfff,0xfffc8000,0x037ffd46,0x44015c40,0xfffffffc,
    0x2003ffff,0x2e62ffff,0x003ffffe,0x805fff30,0xfffffffa,0x300dffff,
    0x2e00ffff,0x3bb65fff,0xeeeeeeee,0x83eeeeee,0x4eeeeeca,0x67ffff54,
    0x037ffdc0,0x027ffec0,0x803fffcc,0xca81ffff,0x4eeeeeee,0xeeeca800,
    0x8004eeee,0xfffffffb,0x04ffffff,0x7fffe440,0x3fffffff,0x7776dcc0,
    0xffffff92,0x7ff40019,0xfffb802f,0x3fff2205,0xffffffff,0x3f600fff,
    0xff8003ff,0x9fff91ff,0x4fffd800,0x3fffffe0,0xffffb82f,0x32205fff,
    0xffffffff,0x00ffffff,0x0ffffe00,0x000bfff7,0x7fffd400,0xffffffff,
    0xff801eff,0xfffe8aff,0x0000efff,0xfd813ff2,0xffffffff,0xa82fffff,
    0xf5006fff,0x7fff4dff,0xffffffff,0x544fffff,0x6fffffff,0xffffffd3,
    0x7ffcc1ff,0xffff8007,0x7fff9804,0x83ffff00,0xfffffffa,0x7d4006ff,
    0xffffffff,0xffff8006,0xffffffff,0xf5003fff,0xffffffff,0x03dfffff,
    0xbffffff1,0xffffffff,0x3fa005ff,0xffb802ff,0x3fff605f,0xffffffff,
    0x3602ffff,0x4c005fff,0x3fee7fff,0x7ff4005f,0xffff304f,0xffb05fff,
    0x40bfffff,0xfffffffd,0xffffffff,0xfff30002,0x4fffc83f,0xff100000,
    0xffffffff,0x0dffffff,0xf75ffff0,0x0bffffff,0x04ffc800,0xfffffffb,
    0xffffffff,0x5fffb83f,0x4ffff300,0xfffffffe,0xffffffff,0x7fffe44f,
    0xfffcefff,0x5fffffff,0x001ffffc,0x009ffff7,0x200ffff3,0x7e41ffff,
    0xffffffff,0x7ffe4006,0x06ffffff,0xfffffd80,0xffffffff,0x7fc401ff,
    0xffffffff,0x86ffffff,0xfffffffa,0xffffffff,0xfe801fff,0xffb802ff,
    0xffff705f,0xffffffff,0x6c07ffff,0x2001ffff,0x3e65fffd,0x7fc007ff,
    0x3ffa04ff,0xfa82ffff,0x05ffffff,0xfffffff7,0xffffffff,0x3f20007f,
    0xfffa86ff,0xfd000006,0x2159dfff,0xfffffca8,0x57fffc03,0xfffffffa,
    0xdfe880ef,0xfffdaaac,0xfffffb81,0x3fee609d,0x3ee0efff,0xff3005ff,
    0x7ffff4ff,0xffffffff,0x7cc4ffff,0xffffffff,0xffffffff,0x3ff60fff,
    0xffa802ff,0xf9804fff,0xfff007ff,0xffff883f,0x006fffff,0x7fffffc4,
    0x98006fff,0x441abced,0x403ffffb,0xaceffffe,0xffff9510,0xffffd07f,
    0xffffffff,0x00dfffff,0x7005fffd,0x3fa0bfff,0x220aceff,0x03ffffea,
    0x03fffff6,0x8fffff20,0x003ffff8,0x809ffff9,0x02fffea9,0xbfffb551,
    0x33bfffa0,0x3ffaa20a,0xff0003ff,0xfff109ff,0xc800003f,0x400effff,
    0x00fffff9,0x75cbfffe,0xffffffff,0x7ffffc40,0x883fffff,0x402fffff,
    0x23ffffe8,0x3005fffb,0x7ff4ffff,0xcaaaaacf,0x205fffff,0xfffffca9,
    0xfb32efff,0xffffa8bf,0xffc880df,0x9804ffff,0xff007fff,0x2aa603ff,
    0x006fffca,0xff955530,0x000000df,0x6409fffb,0x400effff,0x80fffff9,
    0xefffffe9,0xfffb510b,0xfffe805f,0x5fffb802,0x005ffff0,0x6c03fff7,
    0x03ffffff,0x1fffffd3,0x01ffffe8,0x27ffffcc,0x02fffe80,0xf05fffb8,
    0xf7005fff,0xf30003ff,0x3fa03fff,0xd98006ff,0x77fffc1d,0xffff5000,
    0x17fffc0b,0x3ffff262,0xfffc985f,0xf701ceff,0x6c005fff,0x3fee5fff,
    0xfff3005f,0x407ffecf,0x05fffff9,0xffffff50,0x5c06207f,0xdfffffff,
    0xfffffffd,0xffa804ff,0x7fc009ff,0xff5001ff,0x2a0000df,0x00006fff,
    0x7dc26a62,0x3ffe05ff,0xff5000ef,0x3ffa0bff,0x3fe00dff,0x3fa203ff,
    0x7e400bff,0xfffd05ff,0x2dc8037f,0x7ffffec0,0xffedefff,0x981fffff,
    0x903fffff,0x09ffffff,0x00bfffa0,0x7417ffee,0x401bffff,0xf90002dc,
    0x7fe40dff,0xd8802eff,0x3fe25fff,0xaaaaacff,0xfdaaaaaa,0x3ffe06ff,
    0x3ffa202f,0x004402ff,0x005fffe8,0xf73fffcc,0x3e600bff,0x1bfee7ff,
    0x17ffffe6,0xfffffa80,0x3f20001e,0xffffffff,0xffffffff,0x3ffff204,
    0x3e03ffff,0xf5001fff,0x20000dff,0x0006fffa,0x3ffffb22,0x5fffffff,
    0x59ffff10,0x55555555,0x0dfffb55,0x2017fffa,0xf984fffc,0x5fffffff,
    0xffffffb8,0x7fffe44f,0x0acdefff,0x7fffec00,0xffffffff,0x202fffff,
    0xeffffffc,0xffffffec,0xffd004ff,0xfff7005f,0x3ffff20b,0x0acdefff,
    0xffff0000,0xffffd809,0xedccdeff,0x27ffffff,0xfffffffa,0xffffffff,
    0x00ffffff,0x8805ffff,0x0004ffff,0x00bfffe0,0x5cbfff60,0xf5006fff,
    0x40ba8dff,0x05fffff9,0x77fffd40,0xffb80000,0xffffffff,0x04ffffff,
    0xfffffff3,0x7ffc0fff,0xfff5001f,0x3ea0000d,0xc88006ff,0xffffffff,
    0x05ffffff,0xfffffff5,0xffffffff,0x01ffffff,0x7005fffd,0xffb0bfff,
    0x5fffffff,0xfffffff8,0x7fff40ff,0xffffffff,0xfffb002e,0xfffffffd,
    0x005dffff,0xfffffffd,0xffffffff,0x3ffa009f,0xfffb802f,0x3ffffa05,
    0xefffffff,0x3fe60002,0x7f4401ff,0xffffffff,0xffffffff,0x3fffff23,
    0xffffffff,0xffffffff,0x05ffff01,0x40dfff50,0xfff1001a,0xff90001f,
    0x1fffea9f,0x02fffdc0,0x2fffffcc,0x37ffd400,0x3f220000,0xbeffffff,
    0x104fffd8,0xffffffff,0x7fffc0df,0xdfff5001,0x3fea0000,0x7f44006f,
    0xffffffff,0x05ffffff,0xfffffff9,0xffffffff,0x03ffffff,0x7005fffd,
    0xffb0bfff,0x3fffffff,0xffffffe8,0x7fe440ff,0xffffffff,0x7ec00dff,
    0xfffc8bff,0x002fffff,0x7fffffe4,0xffffffff,0xfffd004f,0xbfff7005,
    0x7fffe440,0xffffffff,0xffc8000d,0xffd1006f,0xffffffff,0xb87fffff,
    0xffffffff,0xffffffff,0xf02fffff,0xf1005fff,0xff501fff,0xffff1001,
    0xfff90001,0x03fffe69,0x013fff20,0x0bfffff3,0x1bffea00,0xba980000,
    0x7ffec1ab,0x3fff6a04,0x3e01dfff,0xf5001fff,0x20000dff,0x4006fffa,
    0xfffffffd,0xffffffff,0xffff705f,0xffffffff,0xffffffff,0x5fffd05f,
    0x0bfff700,0xfffffd91,0xfffb307b,0x64405bff,0xfffffffd,0x3601ffff,
    0x2a623fff,0x200009bb,0xffffffe9,0x4fffc9df,0x05fffd00,0x00bfff70,
    0xfffffb91,0x03ffffff,0x04ffff80,0x7fffed40,0xbeffffff,0xeffff980,
    0xeeeeeeee,0xeeeeeeee,0x05ffff01,0x20bfffa0,0xff000ffc,0xfd0005ff,
    0x7fffc3ff,0x3fffe802,0x3ffffe60,0x3fea0005,0x0000006f,0x027ffec0,
    0xffff0000,0x3ffea003,0xff500006,0x7fdc00df,0x2209cfff,0x05fffd99,
    0xdddffff3,0xdddddddd,0x03dddddd,0x7005fffd,0x0000bfff,0x26200000,
    0xfffffdcb,0x0ffff604,0x4c400000,0x3f20abcb,0xffd004ff,0xfff7005f,
    0x9731000b,0x09fffffb,0x0ffffcc0,0xffca8800,0x4401aacd,0x0004ffff,
    0x4bfffe00,0xffe80bb8,0x03ffc82f,0x01dfffd0,0x23fffdc0,0x5c06fffc,
    0xf300ffff,0x000bffff,0x006fffa8,0x7ec00000,0x000004ff,0x001ffff3,
    0x001bffea,0x037ffd40,0x03ffffb0,0x20bfff70,0x004ffff8,0x5fffd000,
    0x0bfff700,0x22000000,0xfb1003fd,0x7fec0fff,0x0000003f,0x0ffffa00,
    0x017fff40,0x442fffdc,0xfb1003fd,0x7e400fff,0xb80006ff,0xfe8004ff,
    0x00003fff,0x365ffff0,0x7ffc45ff,0x5fffc81f,0x5ffffa80,0xbffff500,
    0x02ffff98,0x5413fffe,0x205fffff,0xfffa802a,0x00000006,0x0027ffec,
    0x7fffc800,0x1bffea00,0x7ffd4000,0x3fffe006,0xfffe9803,0x3ffffa05,
    0xfe800003,0xffb802ff,0x3ae0005f,0x3ee000bd,0xff1001ff,0x3ff605ff,
    0x0000003f,0x3ffff300,0x13fff600,0x0bfffd50,0x2003fff7,0x002ffff8,
    0x0009ffff,0x01dfff70,0x7ffffcc0,0x765cc00b,0xffff303f,0xb87fffe5,
    0xfc80ffff,0xfe801fff,0x9102efff,0xd05fffff,0xe885ffff,0xfa81ffff,
    0x3205ffff,0x7fd404ff,0x0000006f,0x027ffec0,0x7ff44000,0x3fea006f,
    0xf500006f,0x7fc00dff,0x3faa04ff,0x301effff,0x017fffff,0x03fecb98,
    0x7005fffd,0x4000bfff,0x2006fffe,0x00cffffe,0x07ffff22,0x001fffec,
    0x6c400000,0x32007fff,0xea80ffff,0xe85fffff,0x200cffff,0x01ffffc8,
    0x01ffffa8,0xffffb800,0x7ffdc002,0xdccdefff,0xfffffffe,0x3fffff60,
    0xeffffcff,0x26fffffc,0xffc9bef9,0xffff9803,0xfedcdfff,0x305fffff,
    0xb9dfffff,0x50bfffff,0x33dfffff,0xfff33333,0xff73310d,0x333333df,
    0x26000001,0xadfffeaa,0xaaa88000,0x3fffffec,0xf7333330,0x33333dff,
    0x4ccccc01,0x999efffb,0xfffd8099,0xffedceff,0xffffffff,0xffffb84f,
    0xedccdeff,0x0fffffff,0x05ffff44,0x017fff20,0x7ffe4c40,0xffffd002,
    0xdb99bdff,0x10ffffff,0x559fffd5,0x22000003,0xfebaaaaa,0x2005ffff,
    0xcdfffffa,0xfffffffe,0x3ffa4fff,0xccdeffff,0x7fffffed,0x0dfff900,
    0x5677c400,0xd8004ffb,0xffffffff,0xffffffff,0xffff51ff,0xffdfffff,
    0xffffffff,0x7ffffd43,0xff5000ff,0xffffffff,0x80dfffff,0xfffffffc,
    0x4c0effff,0xffffffff,0xffffffff,0xfffd10ff,0xffffffff,0x001bffff,
    0x3fffee00,0x3fffffff,0x3fffee00,0x86ffffff,0xfffffffc,0xffffffff,
    0x3ff20eff,0xffffffff,0xefffffff,0x3ffffe60,0xffffffff,0xffffffff,
    0xfffffd80,0xffffffff,0xf31fffff,0xbfffffff,0xffffff70,0x77ec009f,
    0xb003ffdc,0xffffffff,0xffffffff,0xffffd83f,0x1fffffff,0x3ff20000,
    0xffffffff,0x22000eff,0xfffffffe,0xffffffff,0xfffb0fff,0xffffffff,
    0x03ffffff,0x00bffee0,0xfffff980,0xf70001ff,0xffffffff,0x9fffffff,
    0x7fffffcc,0xffff9eff,0xc84fffff,0x003ffffe,0x7fffff4c,0x3fffffff,
    0xfffff900,0x501dffff,0xffffffff,0xffffffff,0x3fff21ff,0xffffffff,
    0x03ffffff,0xffffd000,0xffffffff,0x7ffffc00,0x41efffff,0xfffffff8,
    0xffffffff,0xff14ffff,0xffffffff,0xffffffff,0xffffa89f,0xffffffff,
    0xffffffff,0xfffff700,0xffffffff,0x7fec9fff,0x2fffffff,0x7ffffffc,
    0xfff000ff,0x5c00ffff,0xffffffff,0xefffffff,0x7ffffcc2,0x5fffffff,
    0xfff10000,0xffffffff,0xd10001df,0xffffffff,0xffffffff,0x3fffee1f,
    0xffffffff,0x2002efff,0x80004fc8,0x04ffffeb,0x7ffec400,0xffffffff,
    0xffdb81bd,0xff51dfff,0x805fffff,0x20000ab8,0xfffffeda,0x5c001bdf,
    0xdffffffd,0xfffff500,0xffffffff,0x2e1fffff,0xffffffff,0xffffffff,
    0xfb00003f,0xffffffff,0x7ec00bff,0xdfffffff,0xfffff880,0xffffffff,
    0x13ffffff,0xffffffff,0xffffffff,0xfb307fff,0xbfffffff,0xbfffff75,
    0xfffd8805,0xffffffff,0x7ffec1bd,0x41ffffff,0xfffffffe,0xffd5000f,
    0x644005bf,0xfffffdcf,0x102effff,0xffffffff,0x0007ffff,0x7fffff40,
    0x00dfffff,0x3fffa200,0xfcadffff,0x3222dfff,0xfffffdcf,0x002effff,
    0x22000000,0x400000bb,0x9abccba9,0x54400000,0x0000abcc,0x79510000,
    0x5cc00003,0xfffa801b,0xffffffff,0x0fffffff,0xfffffd91,0xffffffff,
    0x4400009d,0xeeeeeedb,0x22000bde,0x0cceeedb,0x7fffed40,0xffffffff,
    0x2a0cefff,0xfffffffd,0xffffffff,0x32a600ce,0x0000abcc,0xbccba980,
    0x7644009a,0x83dfffff,0xdfffffd9,0x00130002,0x66655400,0xec9801ab,
    0xdeeeeeee,0x5cc00003,0x1beeeeee,0x65440000,0x00000abc,0x35799955,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77440000,0xeeeeeeee,0x0002ceee,0x40001353,0x02e600b8,
    0x777764c0,0x0000001e,0x40000191,0x02a800b9,0x00018800,0x3bbae600,
    0x33b222ee,0x70019300,0x00b98007,0x000000ea,0x005cc000,0x00000075,
    0x79b50000,0x20000003,0x2eeeeeb9,0x2002e600,0x9800002a,0x02eeeeec,
    0x00335300,0x2e2006e0,0x50000000,0xedb983bb,0xdb502eee,0x8809dddd,
    0xffffffff,0x2fffffff,0xfffdb980,0x4c004fff,0xffa81fff,0x7ffc400f,
    0x0002ffff,0x3fffb800,0x5fff0000,0x007ffa20,0x0dfd9510,0x7ffc0000,
    0x3f23ffff,0x0bfd03ff,0x7001ff98,0xff901fff,0xffb1000d,0x7000601b,
    0xff901fff,0x3f62000d,0x000100cf,0x3fffffe6,0x0099710c,0x3ffffe00,
    0x3fa003ff,0x5ffb103f,0xfff80000,0x1003ffff,0xfffffff9,0x5c05b55b,
    0xff700dff,0x0005400b,0xf13fffc4,0x05ffffff,0xfffffff7,0xffff880b,
    0xffffffff,0x7d404fff,0xffffffff,0xff9002ef,0x7fffb09f,0xfffffa80,
    0x000002ff,0x3fffff62,0x7e40000d,0x3fee0dff,0xeb9800ef,0x006fffff,
    0xffff3000,0x7fec7fff,0x05ffb04f,0x4007ffa2,0xff82fffe,0x3e6001ff,
    0x223fffff,0x3fa004fd,0xffff82ff,0x7ffd4001,0x3f623fff,0xfff88004,
    0xffefffff,0x4c0001ff,0x3fffffff,0x37fff200,0x03fffee0,0xfff88000,
    0x4403ffff,0xfffffffc,0x0fffffff,0x45ffff30,0x803fffe9,0x4000fff8,
    0xf30ffff9,0x05ffffff,0xfffffffb,0xffff880b,0xffffffff,0x3ee01fff,
    0xffffffff,0xa802ffff,0xffb83fff,0xfffe801f,0x00002fff,0xfbffff70,
    0x80007fff,0xfebffffc,0x7dc01eff,0xffffffff,0x3a000006,0x23ffffff,
    0xf703ffe9,0xd73159ff,0x7e400dff,0xfffd80ff,0xfffd1000,0xff9dfffd,
    0x7fe400bf,0x0fffd80f,0x3fffe200,0xffcefffe,0xdb50005f,0xffffffff,
    0x3a0000df,0x03ffffff,0x5ffffe40,0x001efffd,0xffffc800,0x7fec03ff,
    0xffffffff,0x202fffff,0xfbdffff9,0xf5003fff,0xf90005ff,0xffffe8ff,
    0xfffa82ff,0x4405ffff,0xaaabffff,0x401aaaaa,0xfffffffb,0xfffffffe,
    0x103db800,0x544007b7,0x0002ffff,0x1efffc80,0x009fffd3,0xffffea80,
    0xff9803ff,0xffffffff,0x44000006,0xc83fffea,0x3fff201f,0x0fffffff,
    0x40b72200,0x26002dc8,0xfff50cff,0x4001dfff,0xb9102dc8,0xcff98005,
    0xffffff70,0x2e20001d,0xfffffffd,0x4400001f,0x003fffea,0xfffffe98,
    0x4000004f,0x03fffe98,0x3fffffee,0xffffffff,0x7ec403ff,0x01efffff,
    0x013ffee0,0x54c27cc0,0x5102fffe,0x80bfffb5,0x000ffff8,0x7ffffc40,
    0x7ffec40c,0x0000005f,0x02fffe80,0x7ffc4000,0x01fff904,0xfffc8800,
    0xfff5001e,0xdfffffff,0x36000000,0x27d43fff,0x7ffffdc0,0x00000dff,
    0x404c0000,0x00beffd8,0x80000000,0xeffd8809,0x3fe60002,0xffffffff,
    0xb000003f,0x40007fff,0x001efffc,0x3bbae000,0x3deeffff,0x5677fff4,
    0x3fffaa20,0xfff5003f,0xff90007f,0x3fa0009f,0x0bfffa00,0x017ffee0,
    0x001ffff1,0x2ffffa80,0x07fffe40,0x20000000,0x0002fffe,0x4c01dc80,
    0x2a00004d,0xffe8003e,0x6fffbace,0xfb000000,0x037c47ff,0x379b9510,
    0x00000000,0x00022000,0x00000000,0x70000110,0x325bffff,0x0000ffff,
    0x03fffd80,0x00274c00,0x7ffec000,0x5fffffff,0x4017fffc,0x2001fffb,
    0x90001ed8,0x90009fff,0xfffe805f,0x5fffb802,0x07fffc40,0x3fff6000,
    0x3ffff005,0x80000000,0x9882fffe,0x00000001,0x80000000,0x37ffd409,
    0x09988000,0x323fffd8,0x0000000f,0x004d4c00,0x04d4c000,0x2a660000,
    0x98000009,0x000009a9,0x3f6059b1,0x988005ff,0x3fffd809,0x00000000,
    0x36026620,0x3fa03fff,0x6401bfff,0x0000002d,0x004fffc8,0x7f4027c4,
    0xffb802ff,0x7ffc405f,0x2e000c0f,0xfb000fff,0x76dcc7ff,0xdb502eee,
    0xd009dddd,0x3f6a5fff,0x00ceffff,0x00000000,0x00009988,0x00dfff50,
    0x7fff6d40,0xfffb0cff,0x00000087,0xffeb8800,0x001cffff,0xffffd710,
    0x880039ff,0xfffffecb,0x88000cff,0xfffffecb,0x00000cff,0x01ffff80,
    0xffffeda8,0x7fffb0cf,0x06600000,0x3ffb6a00,0xffb0cfff,0x7ffe407f,
    0xacdeffff,0x80000000,0xffffeda8,0xeeeeeeef,0x740021bd,0xfb802fff,
    0x7fc405ff,0xfffedcff,0x2db801ce,0x5ffff100,0x7ffffffc,0xfffffb82,
    0xffe805ff,0xfffffecf,0x003fffff,0xdddddd95,0x6dcc009d,0xfff92eee,
    0x00019fff,0x0037ffd4,0x7ffffec4,0xfecfffff,0x654003ff,0x4eeeeeee,
    0x3ffea000,0xffffffff,0x3fea000d,0xffffffff,0xffb800df,0xffffffff,
    0x2e004fff,0xffffffff,0x004fffff,0x33772a60,0x0dfff71b,0x7ffffec4,
    0xfecfffff,0x765403ff,0x7544eeee,0x400cffff,0xffffffd8,0xffecffff,
    0x7fff403f,0xffffffff,0x3bbb602e,0xeeeeeeee,0x323eeeee,0xffffffff,
    0xffffffff,0xffe8007f,0xfffb802f,0x7fffc405,0xffffffff,0x5c00003f,
    0xff31ffff,0xb05fffff,0xbfffffff,0xfffffd00,0xffffffff,0x5401bfff,
    0xffffffff,0xfff1006f,0xffffbfff,0x05ffffff,0x1bffea00,0xfffff500,
    0xffffffff,0x4007ffff,0xfffffffa,0xfb0006ff,0xffffffff,0x005fffff,
    0xfffffffb,0x5fffffff,0xffffff80,0xffffffff,0xffff003f,0xffffffff,
    0xa8007fff,0xfffffffe,0x07fffaef,0xfffffff5,0xffffffff,0x7fd407ff,
    0xd36fffff,0xffffffff,0x3fffea01,0xffffffff,0x403fffff,0xffffffc8,
    0x0dffffff,0xffffffe8,0xffffffff,0x3fffa4ff,0xffffffff,0x1fffffff,
    0x17fff400,0x02fffdc0,0x3fffffe2,0xffffffff,0xff100006,0xfffe8fff,
    0xffa82fff,0x805fffff,0xfffffffe,0xffffffff,0x3ff205ff,0x6fffffff,
    0xfffff500,0xffffffff,0x003fffff,0x00dfff50,0x7fffffcc,0xffffffff,
    0x2003ffff,0xfffffffc,0xfd8006ff,0xffffffff,0x1fffffff,0x3fffff60,
    0xffffffff,0x3f601fff,0xffffffff,0x01ffffff,0xffffffd8,0xffffffff,
    0xffd8801f,0xffffffff,0x40ffffff,0xfffffff9,0xffffffff,0x3f203fff,
    0xceffffff,0xffffffff,0xfff985ff,0xffffffff,0x3fffffff,0xfffb9100,
    0xffffffff,0xfffffe83,0xffffffff,0x3fee4fff,0xffffffff,0x6fffffff,
    0x2fffe800,0x05fffb80,0xfffffff8,0xffffffff,0x7f440004,0xea984fff,
    0x55102fff,0xd00bfffb,0x5dffffff,0x7fffe4c1,0xffff103f,0x00dfffff,
    0x7ffffff4,0xffffffff,0xa8006fff,0x3a006fff,0x20aeffff,0xffffffb9,
    0x3fe2003f,0x6fffffff,0x7fffdc00,0x3ee609df,0xb80effff,0x09dfffff,
    0x3ffffee6,0x79db300e,0xfffb8835,0xced9803f,0x7fdc41ab,0xffe803ff,
    0xffffffff,0x2fffffff,0x577ffff4,0x3fffee60,0x3e603fff,0xffffffff,
    0xffffffff,0x7ff40fff,0x2e60aeff,0x3fffffff,0xb9731000,0xe89fffff,
    0xffffffff,0xffffffff,0x7fed5444,0xaaaaaaef,0xfd0000aa,0xff7005ff,
    0xfffb00bf,0x3ee6159f,0x0001ffff,0x0dffffd1,0x802fffe8,0xe805fffb,
    0x403fffff,0x00ffffe9,0x3ff2aaa6,0x7f4c006f,0x10beffff,0x05ffffb5,
    0x06fffa80,0x09ffff90,0xfffffe88,0xaaa98003,0x2006fffc,0x02fffff8,
    0x1fffff44,0x0bffffe2,0x7ffffd10,0x3ff60000,0xd800004f,0x7dc04fff,
    0x309dffff,0xfffffff5,0x27fffe47,0x3ffffa20,0xfca9803f,0xefffffff,
    0xc8bffb32,0x4404ffff,0x03fffffe,0x22007fb1,0x7f47fffd,0xaaaaacff,
    0x05fffffc,0x0027ffe4,0x9fffd000,0x5fffea80,0x402dc880,0x006ffff9,
    0xefffff98,0x17fff400,0x02fffdc0,0x027ffff4,0x04ffff98,0x01bffea0,
    0x37ffffa0,0x0ffffe00,0x0dfff500,0x01bfffe0,0x1fffffc4,0x7ffd4000,
    0x3ffee006,0x3ff6002f,0x7fffdc5f,0x3fff6002,0x4d4c4005,0x00bfff70,
    0xb84d4c40,0x3e605fff,0x2202ffff,0x24fffffd,0x1006ffff,0x007fffff,
    0x7fffffd4,0xff03103f,0x3e200dff,0xf703ffff,0x3e2003ff,0x3ff62fff,
    0xffff980f,0xfffc805f,0x3a000004,0xfd507fff,0x000bffff,0x0ffff700,
    0xfffff980,0xfffe800e,0x5fffb802,0x0ffffe80,0x17fff200,0x06fffa80,
    0x05fffe80,0x004fffc8,0x4037ffd4,0x000ffff9,0x00ffffee,0x1bffea00,
    0x05fffe80,0x23fffcc0,0x4005fffe,0x4407fff9,0xffffffec,0x005fffff,
    0x3ffffb22,0x5fffffff,0x0fffff20,0xafffff40,0x000ffff9,0x00ffffee,
    0xefffffa8,0x7ffcc001,0x3fee000f,0xfffd03ff,0x7e44019f,0x3fee1fff,
    0xfffff986,0x9fff9005,0x7f400000,0xfecdffff,0xffffffff,0x7c00004f,
    0xf5001fff,0x001dffff,0x200bfffa,0xe805fffb,0x4c004fff,0x2a007fff,
    0xe8006fff,0xfb802fff,0x7d4005ff,0xffa806ff,0x7fc4006f,0xa80003ff,
    0x3e006fff,0xd8002fff,0x3ffe2fff,0xffd8002f,0xfffc882f,0xffffffff,
    0xc8805fff,0xffffffff,0x05ffffff,0x801ffff6,0xf56ffffa,0xf8800dff,
    0x2a003fff,0x000effff,0x006fffa8,0x81ffffc4,0xeffffffe,0xfffedccd,
    0x40ba87ff,0x05fffff9,0x013fff20,0xfffe8000,0xffffffff,0xffffffff,
    0x3fa00000,0xffc802ff,0x2000efff,0xb802fffe,0xfe805fff,0x7c4003ff,
    0xf5000fff,0xfd000dff,0xff7005ff,0xffa800bf,0xfffc806f,0xffff8004,
    0xffa80003,0xfff1006f,0xff90001f,0x3fffe29f,0xfffc8000,0x7ffff444,
    0xffffffff,0x74405fff,0xffffffff,0x5fffffff,0x017fffe0,0x94ffff88,
    0xf0009fff,0x54007fff,0x20006fff,0x8004fffc,0xfb03ffff,0xffffffff,
    0xffffffff,0x3ffe6003,0x7e4005ff,0x000004ff,0x3ffffffa,0xffffffff,
    0x000fffff,0x0ffff600,0xbfffffb0,0xfffe8001,0x5fffb802,0x03fffe80,
    0x01ffff80,0x00dfff50,0x005fffd0,0x800bfff7,0xc806fffa,0xe8004fff,
    0x80003fff,0x1006fffa,0x0001ffff,0x3e29fff9,0xc8000fff,0x7fec4fff,
    0xffffffff,0x05ffffff,0x7fffffec,0xffffffff,0x3ffe05ff,0x7ffc004f,
    0x09fff93f,0x07fffd00,0x037ffd40,0x09fff900,0x07fffd00,0x3fffffee,
    0xffffffff,0xff3002ef,0x9000bfff,0x00009fff,0x7fffff40,0xcbefffff,
    0x002dffff,0x17fff400,0xfffffe88,0xfffd0004,0xbfff7005,0x09fffd00,
    0x07fff980,0x01bffea0,0x00bfffa0,0x0017ffee,0x700dfff5,0x8800bfff,
    0x0003ffff,0x006fffa8,0x000bfffe,0xff87fffa,0xfe8002ff,0x3ffee1ff,
    0x26209cff,0x205fffd9,0x9cfffffb,0x3ff66620,0x3fffa05f,0x3ffe2005,
    0x0bfff72f,0x3ffff880,0x1bffea00,0x5fffb800,0x7fffc400,0xfb9f9103,
    0xffffffff,0x7fcc005d,0x90005fff,0x00009fff,0x5e7fff40,0x0001bccc,
    0x7ffc4000,0xfffe980f,0x3a0003ff,0xfb802fff,0xffe805ff,0x3f2000ef,
    0x3ea006ff,0xfe8006ff,0xffb802ff,0x7fd4005f,0xfff9806f,0x3fea000f,
    0xa80003ff,0x3a006fff,0x2000efff,0x7f47fffb,0x2e000eff,0x7fec7fff,
    0xffb801ff,0x3fff605f,0xfffb801f,0x1ffff205,0x1ffffa80,0x001ffff3,
    0x01ffffd4,0x00dfff50,0x07fffcc0,0x7ffff500,0xffdaa800,0x7cc001ac,
    0x0005ffff,0x0013fff2,0x2fffe800,0x15c40000,0x1ffff600,0x3fffffea,
    0x7fec0002,0x7ff5404f,0xfffe805f,0xfff3005f,0x7fd4009f,0xffe8006f,
    0xfffb802f,0x7ffd4005,0xdffff006,0x3fffe200,0xfa80003f,0x3ea006ff,
    0xf5005fff,0xffa8bfff,0xff5005ff,0xffff8bff,0xfffe9803,0x0ffffe05,
    0x17fffa60,0x04ffffb8,0xf8ffffd0,0xf1006fff,0x4007ffff,0x0006fffa,
    0x8037fffc,0x03fffff8,0x007ff700,0xbfffff50,0x3f201540,0x06a006ff,
    0x02fffe80,0x77ff4000,0x7ffecc02,0x7fffdc4f,0xc80001ff,0xea80ffff,
    0x405fffff,0xdfffffe9,0xffff9101,0x7fd4001f,0xffe8006f,0xfffb802f,
    0x7ffd4005,0xffff7006,0x7ffdc03d,0x0000bfff,0x0037ffd4,0x0bbffffa,
    0x7ffffe44,0xeffffe82,0xffff9102,0x4ffff85f,0x3ffffaa0,0xffff01ef,
    0x7fff5409,0x3fa01eff,0xb100cfff,0xfb85ffff,0x2e01efff,0x0bffffff,
    0x0dfff500,0xffffb800,0x3ffee01e,0x8000bfff,0x2005fffb,0x05fffffa,
    0xfa813ff2,0x32601fff,0xfd003fff,0x400005ff,0xeffffff8,0xfffeedcd,
    0x3ff20fff,0x999affff,0x3db99999,0x3ffffea0,0xfffffecd,0x644fffff,
    0xffffffff,0xfeccdeff,0x202fffff,0xffb99999,0x099999ef,0x17fffd10,
    0x05fffc80,0x7fdccccc,0x009999ef,0xbdfffffb,0xfffffd99,0x05dfffff,
    0xf7333330,0x33333dff,0x3fffe601,0xfedcdfff,0x305fffff,0xbfffffff,
    0xfffffdb9,0xffffb0bf,0xfffdb9df,0xffffffff,0xfffffd89,0xffffedce,
    0x4fffffff,0xffffff98,0xfffdcacd,0xfffb05ff,0xfd99bdff,0xffffffff,
    0x733105df,0x3333dfff,0x3f600133,0xccdeffff,0xfffffffe,0x2002efff,
    0x802ffffb,0x9efffffa,0xff999999,0x3ffe606f,0xfedccdff,0x006fffff,
    0x0005fffd,0xfffffe80,0xffffffff,0x7fec2fff,0xffffffff,0xffffffff,
    0xffffd101,0xffffffff,0x21ffffff,0xfffffff9,0xffffffff,0x04ffffff,
    0xfffffff9,0xffffffff,0x3fe61dff,0x85ffffff,0xfffffffb,0x7ffffec4,
    0xffffffff,0x7fc41eff,0xffffffff,0xffffffff,0x3f206fff,0xffffffff,
    0xffffffff,0xffffa80e,0xffffffff,0x7d406fff,0xffffffff,0x06ffffff,
    0xfffffff3,0xffffffff,0x41ffffff,0xfffffff9,0xffffffff,0x80ffffff,
    0xfffffffb,0xffffffff,0xfffff100,0xffffffff,0xffffffff,0x7ffff44d,
    0xffffffff,0x4400dfff,0xffffffff,0xffffffff,0x406fffff,0xffb9cef8,
    0x7fffcc04,0xffffffff,0x00ffffff,0x3ffffff6,0xffffffff,0xfffd004f,
    0xe8800005,0xffffffff,0x82efffff,0xfffffffd,0xffffffff,0x3a203fff,
    0xffffffff,0xffffffff,0xfffff10f,0xffffffff,0x7fffffff,0x3ffffe20,
    0xffffffff,0xb4ffffff,0xffffffff,0xfffff85f,0xff50ffff,0xffffffff,
    0xdfffffff,0xfffffb10,0xffffffff,0x0bffffff,0x3fffffe2,0xffffffff,
    0x304fffff,0xfffffffd,0x007fffff,0x3fffffa6,0x3fffffff,0x7ffffd40,
    0xffffffff,0x0fffffff,0x7fffffd4,0xffffffff,0x00ffffff,0xfffffff5,
    0x01bfffff,0xfffffd88,0xffffffff,0x25ffffff,0xfffffffc,0xffffffff,
    0xfd8803ff,0xffffffff,0xffffffff,0x7fcc05ff,0x400fffff,0xfffffffa,
    0xffffffff,0x3a200fff,0xffffffff,0x00cfffff,0x003fffb0,0x3ff66000,
    0xffffffff,0x3ffff603,0xffffffff,0x04ffffff,0x7fffff44,0xfffcadff,
    0x7fedc2df,0xffebafff,0x0dffffff,0x3ffffe20,0xffffffff,0xb3ffffff,
    0xffffffff,0xffffe83f,0xff30ffff,0xffffffff,0xbfffffff,0x7ffff540,
    0xfd9dffff,0x100cefff,0xffffffff,0xffffffff,0xda807fff,0xdffffffe,
    0xeda8001b,0xbdffffff,0xfffb3001,0x75bfffff,0x05bfffff,0x3fffff66,
    0xffbadfff,0x4402dfff,0xfffffffc,0x754002ff,0xffffffff,0xeffffd9d,
    0x3fffee0c,0xffffffff,0x003fffff,0x3fffffaa,0xffd9dfff,0xb800ceff,
    0x804ffffe,0xfffffffa,0xffffffff,0x64400fff,0xffffffff,0x5c000bef,
    0x000007ff,0xaccba988,0xfffd8009,0xffffffff,0x4fffffff,0x57995100,
    0x4c000001,0x009accba,0xfffffb50,0xffffffff,0x32219dff,0x3dfffffe,
    0xfffffd98,0x7ffedc2d,0xffffffff,0x8800ceff,0x00abccb9,0xfffda800,
    0xffffffff,0x00ceffff,0x006f2a20,0x37951000,0xcca98000,0x00000abc,
    0x15799953,0xa9880000,0x0001abcc,0x55e65cc4,0xfec88000,0xffffffff,
    0x004effff,0x57997310,0x71000001,0x3fea0017,0xffffffff,0xffffffff,
    0x99751000,0x88000357,0x000001db,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x00009bb9,0x0aa002e6,0xbdddb710,0x3b6a2037,
    0x0002ceee,0x00000722,0x00000000,0x4001b880,0x05440000,0x54400000,
    0x10000000,0x00013553,0x3bbb2a00,0x0004eeee,0x20000000,0x5400000a,
    0xeeeeeeec,0x000eedc4,0x64c00000,0x5eeeeeee,0x95100000,0x00000579,
    0x65440000,0x0abcceed,0xddddb000,0x7fec400b,0x5400100c,0x02ffffff,
    0x205fff00,0x3601ffe9,0xffffffff,0xfffffc80,0xa8001fff,0x00004ffe,
    0x000cfc98,0x59973100,0x00df7001,0x0037ffee,0x00fff654,0x76dcc000,
    0x000001ff,0x7ffffe44,0x5400004f,0xffffffff,0x6440006f,0x00301dff,
    0x003ffe20,0x7fffd400,0x266fffff,0x3f626fff,0x201dffff,0xffffffc8,
    0xffff883e,0x006fffff,0x8bfffff2,0xfffffffb,0x3f62003f,0x000100cf,
    0xffffff71,0x007fffff,0x7fffffa8,0xfffff500,0x027ec47f,0x7fffffdc,
    0xfd8002ff,0x3ff20dff,0x7fffc06f,0xe81fffff,0xffffffff,0x3ff22003,
    0x0001efff,0x013fffa0,0xffffd100,0x6c07ffff,0xfff8806f,0x7fcc03ff,
    0x0001ffff,0x7ffffec0,0x4000001f,0xfffffffd,0x2e00005f,0xffffffff,
    0x3e20006f,0x224fffff,0xfa8005fd,0x700003ff,0xffffffff,0x3fffd4df,
    0xfffffff7,0x7fffdc0b,0x540fffff,0xffffffff,0xfff3006f,0xffb15fff,
    0xffffffff,0xffff5009,0x27ec47ff,0x3ffffa00,0xffffffff,0xfff1000f,
    0xf100ffff,0xdfffdfff,0x880bfff9,0xfc99cfff,0x6c4000ff,0xffebefff,
    0x7fe400ef,0x706fffff,0xffffffff,0x3ffa6003,0x04ffffdf,0xffff8800,
    0x3fee0007,0xffffffff,0x06fe80df,0x2fffff88,0x7ffffcc0,0x6c00001f,
    0x01fffeff,0x3fe20000,0xffea88be,0xff100002,0xdfffffff,0x7fff4000,
    0xffcffffe,0xffb8006f,0xf100004f,0xffffffff,0x326ffd8d,0x5fffffff,
    0x3ffffee0,0xfe80ffff,0x6fffffff,0xfffff500,0xfffffd9f,0x5fffffff,
    0x77fffc40,0xfffcefff,0x3fff2005,0xffffffff,0x3f2007ff,0x807fffff,
    0xff70cff9,0x801dffff,0xffa82ffc,0xfff50004,0x4007ffff,0x01effff9,
    0x67fffe44,0xffff5000,0x17fff625,0x3fffe000,0xffe88005,0xffffffff,
    0x7fc2ffff,0x9dfd7004,0x7fec6200,0x09800001,0x00003ffb,0xff701880,
    0xa9800007,0x06fffcaa,0x21bff100,0xfffffffa,0xfffc8001,0x54c00004,
    0x86fffcaa,0x3ff624f9,0x2201efff,0xfffffffd,0x32aaa203,0x36006fff,
    0xffffffff,0xffdbdfff,0xf300ffff,0x3ffee19f,0x1000efff,0x59bfffff,
    0x07ffdd99,0x3ffffe60,0x013007ff,0x005dffb1,0x5ff81ffa,0x3ff62000,
    0xfb8000ef,0xfe801fff,0x7f4006ff,0xfffb80df,0x7fd40002,0xffd8001e,
    0xfdceffff,0x72ffffff,0x000003ff,0x000ffec0,0x07ff6000,0x44000000,
    0x00002ffe,0x037ffd40,0xf9103300,0x200017df,0x0004fffc,0x37ffd400,
    0x7fdc1ba2,0x7fd4005f,0xffa8007f,0xffe8006f,0x40aeffff,0x04ffffc8,
    0x3ff62026,0x7fd4002e,0x400001ff,0xfffffffd,0x01100007,0x3605ff80,
    0xfa80006f,0x7ff40003,0x7ffd405f,0x16dc002f,0x00037620,0xfa8000c0,
    0xd303ffff,0xff9fffff,0x8000000d,0x00001ffd,0x000ffec0,0xfdd70000,
    0x00000dff,0x00dfff50,0x00018000,0x004fffc8,0x7ffd4000,0xfb80fec6,
    0x7cc005ff,0xfa8007ff,0xfe8006ff,0x400fffff,0x0006ffff,0x7dc00022,
    0x400005ff,0xffeffffa,0x0000007f,0x2203ff60,0x000005ff,0x3ffee000,
    0x3fffa01f,0x00000006,0x88000000,0x801effff,0xeffffffc,0x40000000,
    0x00001ffd,0x000ffec0,0xffff0000,0x000003ff,0x00dfff50,0x02662000,
    0xffdb7100,0xdddddfff,0x00037bdd,0xf99bffea,0x17ffee03,0x0ffff300,
    0x0dfff500,0xfffffd00,0xffff5003,0x20000000,0x0004fffc,0x57ffff40,
    0xdb987fff,0xb502eeee,0x209ddddd,0xffb83ffc,0x00000004,0x82ffff40,
    0x002ffffa,0x00000000,0xfffe8000,0x3ff6000f,0x10000eff,0x0ffec000,
    0x017ecc00,0x40007ff6,0x93000eea,0x001dfffd,0xa8001bd7,0x4c006fff,
    0xf92eeedb,0x019fffff,0xffffff90,0xffffffff,0x2000ffff,0x0046fffa,
    0x0017ffee,0x000ffff3,0x008dfff5,0x01ffffe8,0x01ffff10,0xdddddd95,
    0x6dcc009d,0x004fffee,0x3fffee00,0xf87fff9b,0x82ffffff,0xfffffffb,
    0x5dfff105,0x001fffd5,0xeeeeeca8,0x2e0004ee,0xfe81ffff,0x6dc406ff,
    0x401beeee,0xbeeeedb8,0x777776c1,0xeeeeeeee,0x7fcc3eee,0x7c4004ff,
    0x90005fff,0xfb0001df,0xffc8003f,0x0ffec06f,0x3fff6200,0xffe88004,
    0x3fffa605,0x7ffd4002,0x3ffe2006,0xffffdfff,0x02ffffff,0x7ffffff4,
    0xffffffff,0x8001ffff,0x4006fffa,0x4005fffb,0x8007fff9,0xfc8efffa,
    0x7fff403f,0x3ffe2003,0x7fffd40f,0x006fffff,0xfffffff1,0x2200009f,
    0xff36ffff,0xffff98ff,0xffd82fff,0x205fffff,0xfffffffa,0x42f64c1f,
    0xfffffffa,0x740006ff,0x7fd46fff,0x7fec02ff,0x00ffffff,0x3ffffffa,
    0x3fffa0ff,0xffffffff,0x544fffff,0x70006fff,0x3000dfff,0xb0007fff,
    0x3a6003ff,0x6c04ffff,0x3ee001ff,0x0002ffff,0x3f20fff3,0x4001ffff,
    0x6446fffa,0x3ffea0be,0xffffffff,0x1fffffff,0x3ffffea0,0xffffffff,
    0x0006ffff,0x800dfff5,0x4005fffb,0x8007fff9,0xfffffffa,0x3ffa00ff,
    0x7ffc002f,0x7fffe41f,0x006fffff,0xfffffff3,0x3600009f,0xff31ffff,
    0xffffd0ff,0xfff505ff,0x880bffff,0x30effffe,0x81ffffd9,0xfffffffc,
    0x540006ff,0x3fa2ffff,0xfff806ff,0x02ffffff,0x3ffffffe,0x3fffa2ff,
    0xffffffff,0x644fffff,0x10004fff,0x5000ffff,0xb000bfff,0xfc8803ff,
    0xd803ffff,0xfe9801ff,0x0002ffff,0xfd31ffe2,0x0003dfff,0xfd8dfff5,
    0x7fff44ff,0xffffffff,0x06ffffff,0x7ffed544,0xaaaaaaae,0x3ea0001a,
    0x7dc006ff,0x7cc005ff,0xfa8007ff,0xffffffff,0x0bfffa00,0x83ffff00,
    0xfffffff8,0x3fa006ff,0x04ffffff,0xffff9800,0x41fffe65,0x02fffea9,
    0xbfffb551,0x26266200,0xeffffffc,0xfffff883,0x0006ffff,0xf56fffe8,
    0xf9005fff,0x0fffffff,0xffffffb8,0x3fffa0ff,0xffffffff,0x6c4fffff,
    0x20002fff,0x2001ffff,0x806fffe9,0xdffeccb8,0x7ffd40bc,0x97101eff,
    0x599bffd9,0xbfffff70,0xbcefc801,0x14ffebaa,0x09fffff9,0x37ffd400,
    0x30fffff1,0x7dfffffd,0x3fff6a21,0xfff9002f,0xa8000009,0x5c006fff,
    0x4c005fff,0xa8007fff,0xffffffff,0x17fff403,0x07fffe00,0x7fe5554c,
    0x554c006f,0x0004fffd,0x20ffffe8,0x7407fff9,0xfb802fff,0x32a005ff,
    0xbeffffff,0xcaaa9801,0x80006fff,0xfeaffffa,0x3a2006ff,0x3a61efff,
    0x3fee64ee,0xfffe83ff,0xfcaaaaac,0xff85ffff,0x360001ff,0xd8802fff,
    0x806fffff,0xfffffffe,0xfffb16ff,0xffe807ff,0xffffffff,0xdffffd31,
    0x7ec02625,0xffffffff,0xdfffff56,0xffa80003,0x2ffff46f,0x0dffffe8,
    0x00ffffe0,0x0027ffe4,0x3ffea000,0x7ffdc006,0x7ffcc005,0x3ff22007,
    0x01dfffff,0x002fffe8,0x800ffffc,0x0006fffa,0x0013fff2,0x87ffff70,
    0x7407fff9,0xfb802fff,0x7ed405ff,0x0befffff,0x7ffd4000,0xffd00006,
    0x05ffffff,0x46fffb80,0x2a0ffffc,0xffb07fff,0xffff301f,0xffff10bf,
    0x7fe40001,0x7ffdc04f,0xa806ffff,0xeeeeeeed,0xfffffbad,0x46fff88d,
    0xeeeeeeda,0xfffc8cee,0xffed8cff,0x7f5c43ff,0xd8adffff,0xf53fffff,
    0xfa8009ff,0x7ffd46ff,0x0bfffd01,0x209fff90,0xfffecca8,0x09bcccce,
    0xfffa8000,0x7ffdc006,0x7ffcc005,0xffff7007,0x4005dfff,0x4002fffe,
    0x5001ffff,0x4000dfff,0x0004fffc,0x21bfffe2,0x7407fff9,0xfb802fff,
    0xffc885ff,0x98beffff,0x7d40000a,0x500006ff,0xdfffffff,0xffff3000,
    0x1fffffc1,0x2e0bfff9,0xfff986ff,0x3ffe05ff,0x3f60001f,0x3ff203ff,
    0x01dfffff,0xfffb1000,0x7ffec7ff,0xffd50006,0xfff33dff,0x80bfffff,
    0x7ffffd40,0x9ffff10d,0x6fffa800,0xfffe8030,0x5fffb802,0xfffffff0,
    0xffffffff,0xff50000d,0xffb800df,0x3e60105f,0x7ec407ff,0x06ffffff,
    0x02fffe80,0x00ffffc0,0x006fffa8,0x013fff20,0x2ffffc80,0x407fff98,
    0xb802fffe,0xffc85fff,0xff70bdff,0x20005fff,0x0006fffa,0x3fffffa0,
    0xfff0002f,0x3fffea5f,0x0ffffa6f,0x7fcc0ba8,0x7ec05fff,0x3e0002ff,
    0xff701fff,0x0017ffff,0x7fffdc00,0x3ffee0df,0x7ec4006f,0x3fe3ffff,
    0xfffb9adf,0xfffd8803,0x7ffec3ff,0x7fd4004f,0xffd0006f,0xfff7005f,
    0xfffff50b,0xffffffff,0x80003fff,0x4006fffa,0xfd85fffb,0x3fffcc0e,
    0x3ffffee0,0xe8006fff,0x7c002fff,0xf5001fff,0x64000dff,0x30004fff,
    0x333dffff,0x0ffff733,0x802fffe8,0xe985fffb,0x7fff40ad,0x8004ffff,
    0x0006fffa,0x3ffffea0,0x3ff60006,0xfffffb4f,0x3ffff13f,0xffff9800,
    0xfffc805f,0xfff10004,0xffff101f,0x4000019f,0x2fffffe9,0x37ffffc4,
    0xfffff500,0x42ffd43d,0x7dc05ffa,0x540dffff,0x004fffff,0x0037ffd4,
    0x802fffe8,0xf885fffb,0xffffffff,0x06ffffff,0x6fffa800,0x2fffdc00,
    0xf30fffe2,0xffb80fff,0x06fffeff,0x02fffe80,0x00ffffc0,0x006fffa8,
    0x013fff20,0x7ffffec0,0xffffffff,0xffd05fff,0xfff7005f,0xfffc800b,
    0x02fffdac,0x037ffd40,0x3fffa000,0x3ee0002f,0xffff8eff,0xfffacfff,
    0x3fe6000f,0xf5005fff,0x70001fff,0x3e60ffff,0x00003fff,0x67ffffd4,
    0xffdffe80,0xffff9006,0x2032e07f,0x3f605ff9,0xf882ffff,0x004ffdff,
    0x0037ffd4,0x802fffe8,0x7305fffb,0x9dfffd99,0x00179999,0x0dfff500,
    0x45fffb80,0x7d45fffa,0x7ec407ff,0x06fffaad,0x02fffe80,0x03fffe20,
    0x037ffd40,0x09fff900,0x3ffffa00,0xffffffff,0xe82fffff,0xfb802fff,
    0x3e6005ff,0x37fcc0ef,0x1bffea00,0xffff0000,0xff98000d,0xfffffcff,
    0x6fffcfff,0x3fffe600,0x3fe6005f,0x7c4004ff,0xff705fff,0x022001ff,
    0x07bfffe0,0x7fc77fdc,0xffff9806,0xfe88000d,0xffff503f,0x33ff6019,
    0x54004ffa,0xd0006fff,0xf7005fff,0x3f200bff,0x000004ff,0x0037ffd4,
    0xf717ffee,0xfffa8bff,0xfffa8005,0xfffe8006,0x3ffe2002,0xfff5000f,
    0x7fe4000d,0xffd0004f,0xffffffff,0x3fffffff,0x005fffd0,0x400bfff7,
    0xffb03ffa,0x7ffd4001,0x3ee00006,0x80002fff,0xffffffff,0xfffffffd,
    0xfff3004f,0xfb000bff,0x6c003fff,0xf500ffff,0x3ee00dff,0x27fec03f,
    0xf13fff30,0x3ffe00df,0xffd30002,0x3bfe201d,0x23bfee01,0x54004ffa,
    0xd0006fff,0xf7005fff,0x3f200bff,0x06a005ff,0x0dfff500,0x45fffb80,
    0x7e45fffb,0xfa8004ff,0xfe8006ff,0x3ea002ff,0x3ea007ff,0x320006ff,
    0xd0004fff,0xffffffff,0xdfffffff,0x13fff609,0x0bfffd50,0xa807fe40,
    0x3ea001ff,0x200006ff,0x0006ffff,0xffffffb0,0xfffffb3f,0xff5005ff,
    0x1540bfff,0x2fffff88,0x7fffec40,0x3fffe603,0x06fff802,0x7ff400a8,
    0x400dff13,0x3fea0002,0x014400ef,0x7d47ffe2,0x7fd4004f,0xffd0006f,
    0xfff7005f,0x3ffea00b,0x3ff2600f,0x3fea003f,0x7fe4006f,0x37ffdc5f,
    0x007ffff3,0x00dfff50,0x03fffe88,0x01bfff60,0x006fffa8,0x013fff20,
    0x3fe60000,0x7ffe407f,0xfffea80f,0x3ee005ff,0x01ff902f,0x037ffd40,
    0xffffb800,0xff700002,0x3eadffff,0x00ffffff,0x2fffffd4,0x2a09ff90,
    0x80bfffff,0x06ffffe9,0x00effff8,0x01ffff51,0xafffc800,0x001fffba,
    0x7ffe4000,0x3f600004,0xdffcaaef,0x73333300,0x3333dfff,0x7ff44013,
    0x7fe400bf,0xfff3005f,0xfd999dff,0x20dfffff,0xffb99999,0x099999ef,
    0x7fffff44,0xdffff71f,0x03fffffb,0xfb999998,0x99999eff,0xfffffd80,
    0xeaca82ff,0x3302ffff,0xdfff7333,0x20133333,0xdfffc998,0x00000999,
    0x3fffee62,0x3fffea00,0xffffecdf,0x04ffffff,0xf885ff98,0x2666607f,
    0x99efffb9,0x55100999,0xfffff555,0xf3000013,0x7c7fffff,0x406fffff,
    0x9efffffa,0xff999999,0x3fff206f,0xffddefff,0x801fffff,0xbcfffffb,
    0xfffffeca,0x7fc0000f,0xffffffff,0x9800001f,0x0002fffe,0x3ffffe20,
    0x647fffff,0xffffffff,0xffffffff,0x3ffe60ef,0xb85fffff,0x4fffffff,
    0xfffffd80,0xffffffff,0x7ffe44ff,0xffffffff,0x0effffff,0xfffffff9,
    0x3ffffeed,0x202fffff,0xfffffffc,0xffffffff,0xfff51eff,0x98dfffff,
    0x5fffffff,0xffffffc8,0xffffffff,0xfd30efff,0xffffffff,0x0005ffff,
    0x7fffff44,0xfd105fff,0xffffffff,0xffffffff,0xbffb001f,0x07ffd715,
    0xfffffff9,0xffffffff,0x7fdc1dff,0xffffffff,0x80000fff,0x20ffffff,
    0x04fffffb,0x3fffffe6,0xffffffff,0x3600ffff,0xffffffff,0x01efffff,
    0x3fffffa0,0xffffffff,0x7c0000ff,0xffffffff,0x400000df,0x001efffb,
    0x7fffc400,0x24ffffff,0xfffffff8,0xffffffff,0x3f64ffff,0xffffffff,
    0x7fffffc2,0x74400fff,0xffffffff,0x20cfffff,0xfffffff8,0xffffffff,
    0xff74ffff,0x22bfffff,0xfffffffe,0x3ffe204f,0xffffffff,0xffffffff,
    0xffffff35,0xfffb8bff,0x7c41ffff,0xffffffff,0xffffffff,0xffffb4ff,
    0xffffffff,0x64000dff,0xffffffff,0xffd102ff,0xffffffff,0x1fffffff,
    0xfffff100,0xff10dfff,0xffffffff,0xffffffff,0x7ffffc9f,0xffffffff,
    0xfe80004f,0x7fc45fff,0x3ea02fff,0xffffffff,0xffffffff,0x7ffd400f,
    0xffffffff,0x7f4c000d,0xffffffff,0x0004ffff,0x3fff7300,0xffd80000,
    0xcbaaabff,0x54400001,0x3e20dffc,0xffffffff,0xffffffff,0x3fff63ff,
    0x41ffffff,0xfffffffe,0xffc8800f,0xdfffffff,0xffff880b,0xffffffff,
    0x3fffffff,0x9dfffd91,0x7ffff441,0x7fc403ef,0xffffffff,0xffffffff,
    0x3fff6e4f,0xfff81def,0xff882eff,0xffffffff,0xffffffff,0xfffff93f,
    0xffffffff,0x7dc000bf,0xffffffff,0x3ffa201f,0xcadfffff,0x002dffff,
    0x3fffff62,0xfffff104,0xffffffff,0x47ffffff,0xfffffffd,0x03ffffff,
    0xffffc800,0x1ffffd82,0x3ffffea0,0xffffffff,0x800fffff,0xffffffd8,
    0x640003ef,0xffffffff,0x00000bef,0xffffff90,0x7fc00003,0xffffffff,
    0x7400006f,0x547fffff,0xfffffffd,0xffffffff,0x3fb220ce,0x983dffff,
    0x2dfffffd,0x665d4400,0xfb5001ac,0xffffffff,0x9dffffff,0x654c0001,
    0x3f6a000a,0xffffffff,0xceffffff,0x5cc40000,0x7fed402b,0xffffffff,
    0x0cefffff,0xfffffd91,0x3bffffff,0x7f644000,0x03dfffff,0x15799510,
    0x2e600000,0x7ed400ac,0xffffffff,0xceffffff,0x3bbb6e20,0x3deeeeee,
    0xfff50000,0x1fffea0f,0xffffff50,0xffffffff,0x8001ffff,0x0001bca9,
    0x6f6e5cc0,0x000001bc,0xdffffea8,0x3fe00000,0xffffffff,0x5c00007f,
    0x004ffffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0004cc00,0x79975100,0x2e200015,0x1000001d,0x005cc017,0x5e65d4c0,
    0x0000000a,0x2ea20000,0x0001abcc,0x57997510,0x00000001,0x00000000,
    0x99731000,0x26000015,0x002bccca,0x000002a0,0xa8000000,0xeeeeeeec,
    0x2a200004,0xabcceedc,0xeeeeca80,0x9300000e,0x003ddddd,0xddd90000,
    0x2aa6001d,0xaaaaaaaa,0xaaaaaaaa,0x751001aa,0x40003599,0xfffffed9,
    0xee9800bd,0xfffffc99,0x4003ffff,0x00007ffb,0xa81fff98,0xc8800fff,
    0xfffffffe,0x930000cf,0x17bdfffd,0xffd98000,0xaeffffff,0xd9803fe9,
    0xfffffffe,0x003fdadf,0x7fffff64,0xffffffff,0x764c001d,0x00bdefff,
    0xfffe8800,0x003fffff,0xfffffd30,0x3bd59fff,0x007ffc40,0x7fff6400,
    0x6d44efff,0xdfffffff,0xfffffa81,0x0006ffff,0xffffff70,0x4c7fffff,
    0x1fffffff,0xfff88000,0x0002ffff,0xffffe800,0x33339001,0x33333333,
    0x53333333,0xffff5007,0x4001bfff,0xffffffc8,0x403fffff,0xfffffffd,
    0xffffffff,0xfffb000d,0xfc800001,0xfffd84ff,0x3fff6603,0xffffffff,
    0x3aa002ff,0xffffffff,0xc8000cff,0xffffffff,0x7fffffff,0x7ffffd40,
    0xffffffff,0xf3000fff,0xffffffff,0xbfffffff,0x3fffaa00,0xcfffffff,
    0xfff70000,0xffffffff,0x7fec001b,0xffffffff,0x2a04ffff,0x40002fff,
    0xfffffffa,0x3ffe3fff,0x6fffffff,0xffffffb8,0x80006fff,0xfffffffe,
    0x70ffffff,0x3fffffff,0xfff50000,0x0005ffff,0xffffd000,0x00012003,
    0xffd80710,0xffffffff,0xffffa802,0xffffffff,0xfff01eff,0xffffffff,
    0x3fffffff,0xfffdd910,0x39dddddf,0x3ffea000,0x01fffb82,0x3ffffff2,
    0xffffffff,0x7fec401f,0xedcbdeff,0x1002ffff,0xfffffffd,0xffffffff,
    0x3fee03ff,0xffffffff,0x2fffffff,0xfffff500,0xffffffff,0xd880dfff,
    0xcbdeffff,0x02ffffed,0x3ffffa20,0xffffffff,0xffd802ff,0xffffffff,
    0x206fffff,0x0004fffb,0x7fffffd4,0x3fe3ffff,0xffffffff,0xfffff886,
    0x0006ffff,0x7fffffe4,0x7fffffff,0x3fffffe2,0xfd00001f,0x005fffff,
    0xfffd0000,0x0012003f,0x7d407100,0xffffffff,0x3e200fff,0xffffffff,
    0x6fffffff,0xfffffff0,0xfffb99df,0xfc81ffff,0xffffffff,0x0006ffff,
    0x6dc40f6e,0x7fffe403,0xffdcdeff,0x3a606fff,0x2600afff,0xe804fffc,
    0xdeffffff,0xffffffdc,0xfffc82ff,0xeccdffff,0x2fffffff,0x3ffff600,
    0xffffffff,0x3a601eff,0x2600afff,0xb004fffc,0x9dffffff,0xfffffffb,
    0x7fffdc03,0xffedccef,0x3207ffff,0x80004fff,0xfffffffd,0x3ffaa0df,
    0x01efffff,0x3ff2aaa6,0x3e20006f,0xcabcffff,0x983ffeec,0x001ffffa,
    0x3ffea200,0x8000002f,0x000ccccb,0x38800009,0xffffff10,0x7fffffb9,
    0x77ffff40,0xff9510ac,0xfff07fff,0x75405dff,0x7dc5ffff,0xffffffff,
    0x0004ffff,0xff900000,0xfb1015df,0xfd105fff,0x7cc001bf,0x3ff203ff,
    0xd500bfff,0xb85fffff,0x01bfffff,0x0bffffea,0x26666600,0x099dfffc,
    0x06fff440,0x07fff300,0x3fffffa8,0xdffffd30,0x17ffffc0,0x7ffffe88,
    0x013fff20,0xbffff800,0x7ff4c401,0xffa8003f,0x3ea0006f,0x80001fff,
    0x0001ffff,0x02fffe80,0x00000000,0x22000024,0x7ffff503,0x01fffd88,
    0x01dffff9,0x0fffff98,0x0037fffc,0x885ffffb,0x9bffff99,0x00000999,
    0x3ff20000,0x7ffc403f,0x03ffd84f,0x03ffd100,0x05fffff3,0x0bffff20,
    0x003fffff,0x00bfffe2,0x2fffe400,0x407ffb00,0x3ffd1009,0x3bfffe20,
    0xffffc801,0x3ffff984,0x07fffd80,0x0013fff2,0x02fffe80,0x00bfffa0,
    0x01bffea0,0x05fffb80,0x3ffff000,0xffd00000,0x0000005f,0x00048000,
    0xffb81c40,0x80b7206f,0x000effff,0xe8bffff5,0x22002fff,0xd00ffffe,
    0x99985fff,0x00000000,0x801fffa8,0x7dc5fffc,0xfffff95f,0xff105bdf,
    0x5ffff90d,0x7fffc400,0x0bfffee1,0x01fffb00,0x3fff2000,0x0bff7005,
    0x99ffffd5,0xe837fc4b,0x2000ffff,0x541ffffd,0xf5006fff,0x76d44dff,
    0xeeefffff,0x01bdeeee,0x002fffe8,0x000bfffa,0x001bffea,0x004fffc8,
    0x03ffff00,0xfffd0000,0x0001a985,0x00900000,0xf9038800,0x440009ff,
    0xaaacffff,0xaaaaaaaa,0x7e46fffd,0xff98006f,0xfffd02ff,0xfffffb55,
    0x6540019f,0x4eeeeeee,0x4013f200,0x7f47fffa,0xfffffd0f,0xf50bffff,
    0x4ffff85f,0x47ffc800,0x8004ffff,0x00005ff8,0x4017fff2,0x7fe40ffe,
    0x0fffffff,0xff30bfea,0xf88007ff,0x7fd45fff,0x3ffa007f,0x3fffff23,
    0xffffffff,0xe807ffff,0x3a002fff,0xa8002fff,0x26006fff,0xffffeedb,
    0xbdeeeeee,0x1ffff800,0x3bbbb6a2,0xffe801be,0xffffd9af,0x654004ef,
    0x4eeeeeee,0x80000900,0xbfff7038,0x7ffd4000,0xffffffff,0xffffffff,
    0x072e20ff,0x1ffff400,0xffffffe8,0xffffffff,0xffffa802,0x006fffff,
    0x3fffa000,0xa88bfe66,0xfdbaabff,0x2a5ff82f,0x8000ffff,0x3fe23fe9,
    0x310002ff,0xffc80000,0x2ff9805f,0x4c5fffdc,0x7fc1fffb,0x037ffd45,
    0x47fffb80,0x003ffff8,0x7ff41793,0xffffffff,0xffffffff,0x17fff401,
    0x05fffd00,0x0dfff500,0x3ffffe20,0xffffffff,0xf805ffff,0x3ff21fff,
    0x0fffffff,0x7fffff40,0xffffffff,0xfffa800e,0x06ffffff,0x88000090,
    0x0ffff303,0x7fffe400,0xffffffff,0xffffffff,0x5c00001f,0xffd04fff,
    0xffffffff,0x801fffff,0xfffffffc,0x000006ff,0x649ffff9,0x81ff887f,
    0x0ffd85fd,0x000dfff7,0x7fffd408,0x00000000,0x017fff20,0xbff11ff2,
    0xfb03fea0,0x27ffe41f,0xffff8800,0x6ffffec0,0xffb8000a,0xffffffff,
    0x6fffffff,0x02fffe80,0x00bfffa0,0x01bffea0,0x7fffffcc,0xffffffff,
    0xff807fff,0x3fffa1ff,0x02ffffff,0x7ffffff4,0xffffffff,0x7ffe401f,
    0x06ffffff,0x88000090,0x3ffff103,0x3ffee000,0xffffffff,0xffffffff,
    0xdddd92ff,0xdddddddd,0xffdddddd,0x3fffa0df,0xffffffff,0x4406ffff,
    0xffffffff,0x5400006f,0x20fffffe,0x1ff886fe,0xffb85fd8,0x00bfff91,
    0x6fffb800,0x00000000,0x402fffe4,0x0ffd46fe,0x3ff70db0,0x0017ffec,
    0xa83ffff0,0xefffffff,0x551000bc,0x555dfffb,0x00155555,0x800bfffa,
    0x8002fffe,0x2006fffa,0xfffffffe,0xffffffff,0xffff803f,0x3fffff21,
    0xfe807fff,0xffffffff,0x06ffffff,0x7fffffc4,0x09006fff,0x26388000,
    0xeffffedb,0x9800adee,0xeeeeffff,0xeeeeeeee,0xfb1eeeee,0xffffffff,
    0xffffffff,0x3a0fffff,0x1befffff,0x07ffff62,0x3f2aaa60,0x880006ff,
    0xffffffeb,0x7c427fc3,0x0bff2a1f,0x7fe4bfe6,0x6400004f,0x00004fff,
    0x7fe40000,0x44ff805f,0xf30006fc,0x0ffffc5f,0x7fffb000,0xffffff50,
    0x039fffff,0x013fff20,0x2fffe800,0x0bfffa00,0x1bffea00,0xffb55300,
    0x555555df,0x3ffe0015,0xfffff51f,0x3a00357f,0x0aefffff,0x3ffffb71,
    0xf9555300,0x01200dff,0x3ea71000,0xffffffff,0x8806ffff,0x0004ffff,
    0x3fffff60,0xffffffff,0xffffffff,0xbffffd07,0x3fffe201,0xfffa8002,
    0x7fcc0006,0x43ffffff,0xff883ff8,0x05ffffee,0x7ffe4ffe,0x7e400004,
    0x000004ff,0x7ffe4000,0x21ffc405,0x3e0004fd,0x1ffff13f,0x7ffe4000,
    0xfffff304,0x9fffffff,0x09fff900,0x7fff4000,0x3fffa002,0xfffa8002,
    0x3ff20006,0xff00004f,0xffff93ff,0xfd0003ff,0x7c40bfff,0xa8003fff,
    0x09006fff,0xf9388000,0xffffffff,0x001fffff,0x007ffffd,0x3ffff600,
    0xffffffff,0xffffffff,0xbfffd07f,0x09fffd00,0x0dfff500,0xffffa800,
    0x7ff01eff,0xffffff10,0x9ffc409f,0x0004fffc,0x027ffe40,0xffffff93,
    0x6443bfff,0x3ff2003e,0x43ff805f,0xf10004fd,0x0ffffc7f,0x7fffb000,
    0x7fff5c40,0xdfffffff,0x13fff200,0xfffe8000,0x3fffa002,0xfffa8002,
    0x3ff20006,0xff00004f,0xfffffdff,0x3fa0001d,0xffe805ff,0xffa8004f,
    0x0009006f,0xfff33880,0xffffffff,0x3e600bff,0x400bffff,0x323fecb9,
    0xccccefff,0xcccccccc,0xd07fffdc,0xf9005fff,0xf50009ff,0xa8000dff,
    0x402effff,0xbff885fe,0x500effba,0x3fff25ff,0x7e400004,0x3ff604ff,
    0xffffffff,0x03ffea6f,0x02fffe40,0x1bf22ff4,0xb17fd400,0x40005fff,
    0x1001ffff,0xfffffb95,0x7fe40bff,0x3a00004f,0x3a002fff,0xa8002fff,
    0x20006fff,0x0004fffc,0xfffffff0,0xe8000bff,0xfc802fff,0xfa8004ff,
    0x009006ff,0x2a238800,0xdffffccc,0x7dc001bc,0xcdefffff,0xfffffedc,
    0xbfff70ff,0x3ffee000,0x05fffd05,0x009fff90,0x00dfff50,0x05fff880,
    0xff10dfb0,0xc82ffcc3,0xdfff71ff,0xffa80000,0x3fffa05f,0xffffffff,
    0x05fff90f,0x017fff20,0x3ff51bf6,0x43ff9000,0x0004fffc,0x001ffff1,
    0x7fffe4c0,0x9fff900f,0x7ff40000,0x3ffa002f,0xffa8002f,0x3f20006f,
    0xf00004ff,0x9fffffff,0xfffd0000,0x9fff9005,0xdfff5000,0x00001200,
    0xfffe8071,0x7fec0002,0xffffffff,0xffffffff,0x00ffff31,0x413fff60,
    0xc802fffe,0xa8004fff,0x80006fff,0xf7002ffe,0x41ff881f,0x6fe84ff9,
    0x001fffea,0x0dfff300,0x7fffff54,0x363fffff,0xf9003fff,0xff700bff,
    0x702ffc41,0x546fe83d,0x8000ffff,0x2a87fffb,0x7fffcc00,0x09fff902,
    0x7fff4000,0x3fffa002,0xfffa8002,0x3ff20006,0xff00004f,0x5fffffff,
    0xfffe8000,0x4fffc802,0x6fffa800,0x80000900,0x7fffc038,0xffb80002,
    0xffffffff,0x24ffffff,0x002ffff8,0x817fffc4,0xc802fffe,0xa8004fff,
    0x00006fff,0x7fc40035,0x2f7ff264,0x4477fee0,0x3ffe23ff,0x7c00003f,
    0x4c400fff,0x3fffe999,0x801fffec,0x8804fffc,0x7ffd44ff,0x2ffdbaab,
    0xff30ffe2,0xf88009ff,0x7ff45fff,0x7ffe4002,0x09fff905,0x7ffe4000,
    0xffff1003,0xfff50001,0x7fe4000d,0xff00004f,0xffffffff,0x7ff40007,
    0xfffc802f,0xfffa8004,0x00009006,0x3fe20388,0x100001ff,0xfffffffb,
    0x037bffff,0x001ffffd,0x807ffff4,0xc802fffe,0xa8004fff,0x00006fff,
    0x4bff6000,0x43fffffe,0x1ffb6ffd,0x01ffffd8,0x360bd980,0xe8005fff,
    0x7fec2fff,0xfffb003f,0x0bff6005,0xfffffff7,0x80ffd89f,0x001ffffd,
    0x883ffff6,0x64006fff,0xff906fff,0x5c00009f,0xf5006fff,0x2a000fff,
    0x20006fff,0x0004fffc,0xfbbffff0,0x0009ffff,0x200bfffa,0x8004fffc,
    0x9006fffa,0x03880000,0x003fffea,0xffd30004,0x3001357d,0x001dffff,
    0x409ffff9,0xc802fffe,0xa8004fff,0x00006fff,0x3ffe6000,0x0bcccc98,
    0x7fdce644,0xeffff984,0x3ffea001,0x0ffffee4,0x85fffd00,0xa803fffd,
    0x3000ffff,0xdc881fff,0x7dc1deff,0xffff104f,0xffd8805f,0x7ffd43ff,
    0xfff1004f,0x3fff209f,0x9806a006,0x4c04ffff,0x0005ffff,0x000dfff5,
    0x0027ffe4,0x91ffff80,0x009fffff,0x005fffd0,0x0009fff9,0x200dfff5,
    0x1c400004,0x00dfffd0,0x7c009ff3,0x3f20005f,0xd303ffff,0xe80dffff,
    0xfc802fff,0xfa8004ff,0x000006ff,0x0f7fd400,0x037fdc00,0x1bfffff9,
    0x7fffe4c0,0x77ffff46,0x3ff2a202,0x7ffec2ff,0xfff901cf,0xffa800ff,
    0xffb8001e,0x7fffd406,0xffe980cf,0xfffa86ff,0xf700aeff,0x2a05ffff,
    0x2601ffff,0x3a03fffc,0x440dffff,0x01fffffa,0x0dfff500,0x27ffe400,
    0xffff8000,0x3ffffee1,0x3ffa000d,0xfffc802f,0xfffa8004,0x00009006,
    0xffea8388,0x99999cff,0x0fffd999,0x2a3ff980,0x7fff4001,0xffdcefff,
    0x201fffff,0x01bffff8,0x277fff62,0x73333300,0x3333dfff,0x36e20013,
    0xffc8002c,0xffb1003f,0xfffe801f,0xeddeffff,0x3fffffff,0x7fffffc4,
    0xfffdceef,0x6c2fffff,0xefffffff,0xffffffec,0xfffc8002,0xfffb1003,
    0xffff9001,0xfffbbdff,0xf503ffff,0xdfffffff,0xfffffdbb,0x7ffcc0df,
    0xfedccdff,0x206fffff,0xeffffff8,0xffffffec,0x33333003,0x333dfff7,
    0x26620133,0x999dfffc,0x3e600199,0x7fd41fff,0x4019efff,0x403ffff8,
    0x00dfffd8,0x3ee66666,0x99999eff,0x20000240,0x3fffa638,0xffffffff,
    0xffffffff,0xfbffd001,0x74c001ff,0xffffffff,0x02ffffff,0xfffffff5,
    0xfffe88bf,0x321effff,0xffffffff,0xffffffff,0x7ff400ef,0xfb8002ff,
    0x220abeff,0x00efffda,0xfffffe88,0xffffffff,0xff704fff,0xffffffff,
    0xffffffff,0xfffffc85,0xffffffff,0x2e0004ff,0x20abefff,0x0efffda8,
    0x3ffff600,0xffffffff,0xfff301ef,0xffffffff,0x1fffffff,0xfffffd80,
    0xffffffff,0x7fd404ff,0xffffffff,0xfc806fff,0xffffffff,0xffffffff,
    0xffffd30e,0xffffffff,0x7ec0bfff,0xc81fffff,0xffffffff,0x7ffffcc4,
    0xffe85fff,0x647fffff,0xffffffff,0xffffffff,0x000090ef,0x3fff2388,
    0xffffffff,0xffffffff,0x3ffea007,0xf90006ff,0xffffffff,0x7f401bff,
    0xffffffff,0x3fffff22,0xff14ffff,0xffffffff,0xffffffff,0x7ffc409f,
    0xf30004ff,0xffffffff,0x0009ffff,0xfffffff9,0x5fffffff,0xffffd980,
    0xffffffff,0xfb502dff,0xffffffff,0x00007fff,0xfffffff3,0x09ffffff,
    0x3fffea00,0xdfffffff,0x7ffffc00,0xffffffff,0x8801dfff,0xfffffffe,
    0x0cffffff,0xffffe980,0x04ffffff,0xffffff88,0xffffffff,0xfb4fffff,
    0xffffffff,0xffffffff,0xfffff505,0xfff883ff,0x0fffffff,0x3ffffffa,
    0x3fee1fff,0x3fffffff,0xfffffff1,0xffffffff,0x0129ffff,0x7dc71000,
    0xffffffff,0xffffffff,0x64c003ff,0x20000bef,0xffffffe9,0xffd803ef,
    0x0fffffff,0x3fffffee,0xfff13fff,0xffffffff,0xffffffff,0xffffd807,
    0x7ed40001,0xbfffffff,0x3ae20000,0xffffffff,0x366000cd,0xfffffffe,
    0x71001cff,0xdfffffff,0xa8000037,0xfffffffd,0x440000bf,0xfffffffd,
    0x1bd5003e,0xffffffb5,0x88005dff,0xfffffffc,0x8000beff,0xfffffffb,
    0xfff1001e,0xffffffff,0xffffffff,0x3fffff27,0xffffffff,0xfa81ffff,
    0x81ffffff,0xfffffffe,0x3fff60ff,0x21ffffff,0xfffffffb,0xffff13ff,
    0xffffffff,0x7fffffff,0x71000012,0x7ffff644,0xffffffff,0x0002deff,
    0x54c00000,0x260009bc,0xdffffffd,0xffffec83,0x3f6a0cef,0xffffffff,
    0xceffffff,0x00ab9800,0x32aa2000,0x800001ab,0x00abcaa9,0x32ea6000,
    0x440001aa,0x0000acb9,0xbcaa8800,0x3000001a,0x00003795,0x4d6654c4,
    0x5d440000,0x0001abcc,0x026f2a60,0x3fff6a00,0xffffffff,0x10ceffff,
    0xffffffd9,0xbfffffff,0x7fff5c07,0xffda81ff,0x4c2dffff,0xdffffffc,
    0x7fff6443,0x36a0ceff,0xffffffff,0xefffffff,0x99999b0c,0x99999999,
    0x7b999999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xffffffeb,0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,0xfd985fff,
    0x103effff,0x7dfffff9,0xfffffeb8,0xfeb80dff,0x1dffffff,0x3fffffae,
    0x3fff6002,0x75401dff,0xffffffff,0xffffffff,0x7ed43fff,0x303effff,
    0x9dfffffb,0xfffffda8,0xfffb303e,0x44009dff,0xfffffedb,0xffffffff,
    0x7ff403ff,0xffffffff,0xfb3001ff,0xffffffff,0x3ae0003f,0xffffffff,
    0x03deffff,0xfffffd90,0x85bfffff,0xeb80dffb,0xffffffff,0x001bceff,
    0x3fffff6a,0x3ff6a0df,0x5c0dffff,0xfffffffe,0x01bcefff,0xfffffd70,
    0xffffffff,0x47ffffff,0xffffffd9,0xffffffff,0x46ffffff,0xffffffda,
    0x3fff6a0d,0x75c0dfff,0xefffffff,0x7ffff5c4,0xfffc84ef,0xffffffff,
    0x3ffa003e,0x7fff41ff,0xd81fffff,0xffffffff,0xffffff32,0xf889ffff,
    0xffffffff,0xfffff15f,0x3e200bff,0x06ffffff,0x7ffffffc,0xffffffff,
    0x43ffffff,0xfffffffe,0xffffe80f,0x3fa2ffff,0x1fffffff,0xffffffd8,
    0x7e4402ff,0xffffffff,0xffffffff,0x76cc03ff,0xeeeeeeee,0x3ff6003d,
    0xffffffff,0xff98004f,0xffffffff,0xefffffff,0x3fffea02,0xffffffff,
    0xffff10ff,0xfffff887,0xffffffff,0xf800cfff,0xffffffff,0x3fffffa3,
    0x3fe24fff,0xffffffff,0x0cffffff,0x3ffffe20,0xffffffff,0xffffffff,
    0x3fffff63,0xffffffff,0xffffffff,0x7fffffc6,0x3ffa4fff,0x24ffffff,
    0xfffffff9,0xff12ffff,0x5fffffff,0x7fffffcc,0xffffffff,0xffffb000,
    0xffffff81,0xffe82fff,0x33ffffff,0xffffffff,0xfff889ff,0x5fffffff,
    0xfffffff3,0xfff9003f,0x440dffff,0xffffffff,0xffffffff,0x743fffff,
    0xffffffff,0xfffffe81,0x3ffe2fff,0x81ffffff,0xfffffffe,0x3ffe602f,
    0xffffffff,0xffffffff,0x000003ff,0x3ffff600,0xffffffff,0x7ffcc000,
    0xffffffff,0xffffffff,0xfffff503,0xffffffff,0x3fffe61f,0x7ffffc45,
    0xffffffff,0x402fffff,0xffffffff,0x3ffffa4f,0x3e65ffff,0xffffffff,
    0xffffffff,0xffff102f,0xffffffff,0xffffffff,0x7fffec7f,0xffffffff,
    0xffffffff,0x7ffffc6f,0x3fe4ffff,0x4fffffff,0x3fffffe6,0xf33fffff,
    0xffffffff,0x7ffffcc7,0xffffffff,0xfff9000f,0xfffff70f,0xff501dff,
    0x41dfffff,0xfffffffd,0xffec81df,0x21efffff,0xfffffffc,0x7fffc405,
    0x5c02efff,0xfcfffffe,0xffffffff,0x7543ffff,0x04ffffff,0xfffffff5,
    0xffffea8b,0xfff305ff,0x5c0bffff,0xffffffff,0xffffffff,0x03ffffff,
    0x26000000,0xfffffffe,0x8003ffff,0xfffffffc,0xffffffff,0xfb01ffff,
    0xffffffff,0xffd87dff,0xffffb83f,0xffffffff,0x01ffffff,0x3fffffee,
    0x3ffaa0df,0x641effff,0xffffffff,0xffffffff,0xffd901ff,0xffffffff,
    0xffffffff,0x7ffecc7f,0xffffffff,0xffffffff,0x7fffdc6f,0x3aa0dfff,
    0x1effffff,0x7fffffe4,0x3f20dfff,0x0dffffff,0x7fffffe4,0x04efffff,
    0x81bffee0,0x00fffff9,0x037fffee,0x0cf7ffdc,0xfffb9880,0xfffff306,
    0x7fdc01ff,0x4006ffff,0xffbcfff8,0xd99999df,0xff303fff,0xffc80fff,
    0x7fdc04ff,0x3f200fff,0x7cc06fff,0xacefffff,0x999dfffc,0x03fffe99,
    0x00009980,0xfff93310,0x000dffff,0x4dffffc4,0xfda99999,0x4cc06fff,
    0x099ffffb,0xd807fa20,0x9999cfff,0xfffffdb9,0x7fffc00e,0x7ffec403,
    0x67fff404,0xfdb99999,0x200effff,0x99bfffe8,0xe9999999,0xfb883fff,
    0x99999eff,0xffb99999,0x7ffff06f,0x4fffd880,0x5ffffc40,0xfffffb01,
    0xffff1009,0x00013335,0xb80bfff5,0xf105ffff,0x5401dfff,0x70007fff,
    0x3e20bfff,0x04ffffff,0x3ffffffa,0x7ffc4005,0xb05fffba,0x7dc07fff,
    0xff304fff,0x3f200dff,0xfb80efff,0x2200efff,0xb86fffff,0xffb05fff,
    0xfdb3007f,0x017bffff,0xdfffd000,0x0003ffff,0x400ffffc,0x800ffffc,
    0x7007fff9,0xfffd809f,0xffffd803,0xffff7304,0x9999999b,0x15dfffd9,
    0x00ffff60,0x013ffff6,0x2005fffd,0xf703fffd,0x7d400dff,0xffff06ff,
    0x9fff9003,0x03ffff00,0x7fffffd1,0x6ffffc00,0xbccccccc,0x3ffe6009,
    0xffffd804,0x1ffffd82,0x07fffcc0,0x903bbbae,0x3e209fff,0x0fffffff,
    0xffffffa8,0x7fdc005f,0x05fffb8f,0xd807fffb,0xfe81ffff,0x36001fff,
    0x7cc5ffff,0x5c01ffff,0xb80effff,0xffb05fff,0x7fe4407f,0xffffffff,
    0x3e60003f,0xfffeafff,0x3ffe0004,0xfff8801f,0xfff9802f,0x00ef8807,
    0x801fffec,0x5c0ffffd,0xffffffff,0xffffffff,0x80ffffff,0xb003fffd,
    0x7401ffff,0xfb002fff,0x3fee05ff,0x3fea006f,0x3ffff06f,0x09fff900,
    0x983ffff0,0x02fffffe,0x7fffffc0,0xffffffff,0x7fff101e,0xfffff100,
    0x27fffdc1,0x0ffffc40,0xb0bffffa,0x3e207fff,0x3fffffff,0xffffffe8,
    0x7fec005f,0x20bfff75,0x4402fffc,0x2e0effff,0x8004ffff,0xf14ffffe,
    0xd005ffff,0x2e01dfff,0xff905fff,0x3ffea05f,0xffffffff,0x8001efff,
    0xff76fffd,0x3e0001ff,0xf8801fff,0xf9802fff,0x1fe807ff,0x03fffd80,
    0x89ffff10,0xfffffffd,0xffffffff,0x2fffffff,0x003fffd8,0x409ffff1,
    0xdb82fffe,0x407ffee1,0xd986fffb,0x827ffc43,0xc801ffff,0xff804fff,
    0x3ffe61ff,0xf8001fff,0xffffffff,0x4fffffff,0x2005fff0,0xf15ffffa,
    0x7c00dfff,0x3fe62fff,0x7ff45fff,0xffff102f,0xf98dfffd,0x5fffefff,
    0x4fffe200,0xbf75fffb,0x001fff51,0x269ffff7,0x0006ffff,0xd7fffff1,
    0x3009ffff,0x5c05ffff,0x1bf75fff,0xf101fff5,0xffffffff,0xdfffffff,
    0xffff8800,0x07ffff13,0x07fffe00,0x03ffff20,0x01fffe60,0x7fec00b6,
    0x3fee003f,0x7ff6cc7f,0xffffffff,0xffffffff,0x7fffb04e,0x3fffe400,
    0xc85fffd0,0x17fa26ff,0x446fffb8,0x77e42fff,0x03ffff01,0x009fff90,
    0x3ea3ffff,0x000effff,0xdddffff0,0xfffffddd,0x3ffd07ff,0x7fffec00,
    0x01ffffda,0xc8ffffa0,0x20ffffff,0xf102ffff,0xffff5fff,0x5f7ffec5,
    0x2a005fff,0xfff71fff,0x2e7fff1b,0x3ff6002d,0xffffeaff,0x3fe60001,
    0x5fffffff,0x1ffff700,0x46fffdc0,0x05b73fff,0x33bffffa,0xfff9510a,
    0x7dc007ff,0x3ff20fff,0xfff0006f,0x7fe4403f,0xff3007ff,0xd80000ff,
    0x26003fff,0xff00ffff,0xff9003ff,0xfffd809f,0x3ffea003,0x5fffd00f,
    0x040fffd8,0x51bffee0,0x80109fff,0xc801ffff,0xff804fff,0xffffc9ff,
    0x3e0000df,0x2e201fff,0x640fffff,0x3e2000ff,0xffffffff,0x7ffec004,
    0x3fffffa3,0x07fffe2f,0x747fffc4,0xfff16fff,0x0bfff77f,0xf737fe40,
    0xbfffbdff,0x7ffc4000,0x03ffffff,0xffffa800,0x9000efff,0xfb80dfff,
    0x5fffdeff,0xeffffc80,0x7fffcc00,0xfffd000f,0x1ffff98b,0xdffff800,
    0xffedcccc,0x3002ffff,0x0000ffff,0xdffffd95,0x2209dddd,0xff01ffff,
    0x99999bff,0x9fffd999,0x03fffd80,0x07fffe20,0x7777fff4,0x002ffffe,
    0x667fffdc,0x005fffdc,0xccdffff8,0xfecccccc,0xfff804ff,0x5fffffef,
    0xffff8000,0xffffc801,0x40037d41,0xfffffffa,0xfffc8006,0xffffff34,
    0x3fffe2bf,0x1ffff100,0xf93ffff5,0xfff71fff,0x27ffc00b,0xfffffff7,
    0xfa8000df,0x06ffffff,0x3fff2000,0x36000fff,0x7dc04fff,0x6fffffff,
    0x0effff80,0xbffff500,0x3ffff300,0x009fffd0,0xfffffff0,0xffffffff,
    0x7fcc009f,0x7d40007f,0xffffffff,0xfd03ffff,0x3ffe05ff,0xffffffff,
    0x04ffffff,0x001fffec,0x740bfffa,0xffffffff,0x5c002fff,0xffffffff,
    0xf8005fff,0xffffffff,0xffffffff,0xfffff804,0x00efffff,0x0ffffc00,
    0x17fffc40,0xfd8000d4,0x001fffff,0xf95fffb8,0x1fffffff,0x440ffff3,
    0xffd0ffff,0x29ffffbf,0x3005fffb,0x7fdc5fff,0x06ffffff,0xffffd800,
    0x200001ff,0x05fffff9,0x01ffff40,0x3fffffee,0x7fc406ff,0xaaaaacff,
    0xfdaaaaaa,0xffd806ff,0xffff706f,0xffff8001,0xffffffff,0x000effff,
    0x000ffff3,0xffffffc8,0x5fffffff,0x207fffb0,0xffffffff,0xffffffff,
    0x7ffec04f,0x7fff4003,0xfffffd02,0x05ffffff,0xfffffb80,0x05ffffff,
    0xffffff80,0xffffffff,0xff804fff,0xffffffff,0x3e0001ff,0xfd001fff,
    0xb80005ff,0xffffffff,0x00ffffff,0xfd6fffa8,0x5ffff9ff,0x440dfff5,
    0xff70ffff,0x21ffffff,0x9005fffb,0xf9333fff,0xdfffffff,0xfff10000,
    0x400007ff,0xfffffff8,0x3fff6004,0x7fffdc04,0x5406ffff,0xffffffff,
    0xffffffff,0x200fffff,0x103ffff8,0x8007ffff,0xffffffff,0xffffffff,
    0xff9800ef,0x7c40007f,0xffffffff,0xfb02ffff,0x3ffe07ff,0xffffffff,
    0x04ffffff,0x001fffec,0x740bfffa,0xffffffff,0x5c002fff,0xffffffff,
    0xf8005fff,0xffffffff,0xffffffff,0xfffff804,0xffffffff,0xffff0001,
    0x3fffe003,0x32600800,0xffffdccc,0x3004cccc,0xfff3ffff,0x7bfffb3f,
    0x7c40bfff,0xfff10fff,0x7dcbffff,0xffd005ff,0xffffffff,0x00bfffbd,
    0x1bffee00,0xfffd0000,0x005fffff,0x701bfff2,0xfffbdfff,0xffffc80b,
    0xffffffff,0xffffffff,0x3ffee01f,0xffffffff,0x4006ffff,0xcccdffff,
    0xfffeeccc,0x7cc00eff,0xfb3007ff,0xffea9887,0x01aaaadf,0x7c0bfffe,
    0xccccdfff,0xfffecccc,0x1fffec04,0x07fffe00,0x666ffff4,0x002ffffc,
    0x667fffdc,0x005fffdc,0xccdffff8,0xfecccccc,0xfff804ff,0xffe99eff,
    0xf8001fff,0xfb801fff,0x7f4406ff,0x3ffea003,0x3fe20006,0x56fffdff,
    0xfffbffff,0x7fffc409,0x3fffff20,0x17ffee1f,0x3ffffe20,0x8dffffff,
    0x00003fff,0x000dfff5,0x77fffec0,0x801fffff,0x200ffffb,0xff8dfffb,
    0x7ffdc03f,0xffffffff,0xffffffff,0x3ffa02ff,0xffffffff,0x01ffffff,
    0x007fffe0,0x0fffffaa,0x00ffff30,0xfd81fff2,0x3e2003ff,0xfff00fff,
    0xfff9003f,0x3fffd809,0x3fffe600,0x85fffd00,0x0c41fffd,0xa8dfff70,
    0xf8004fff,0xfc801fff,0xfff804ff,0x7ffdc0ef,0xfff8006f,0xffb3101f,
    0x7fcc09ff,0x3fea003f,0x7fc0006f,0x14ffffff,0xffffffff,0x7fffc407,
    0x3ffffe20,0x02fffdc6,0x7fffffdc,0xb55fffff,0x2a000019,0x00006fff,
    0x51dffff7,0x801dffff,0x202ffff9,0x9d55fffb,0xffff9801,0xeeeeeeee,
    0xeeeeeeee,0xffff301e,0xffffffff,0x009fffff,0x000ffffc,0x980bfffd,
    0xfd007fff,0x3ff603ff,0x3fea003f,0x3fffe07f,0x4fffc801,0x01fffec0,
    0x40dfff50,0x7e42fffe,0x82ffcc7f,0x7c46fffb,0xff8002ff,0xffc801ff,
    0xffff804f,0x5ffffb01,0xfffff800,0xffffffff,0xf701ffff,0x664c0bff,
    0xcffffdcc,0x3e003ccc,0x1fffffff,0x3ffffff6,0x3ffe202f,0x7fffec0f,
    0x02fffdc2,0x55577fec,0x205fffda,0xa8003fd8,0x80006fff,0x21fffffa,
    0x806ffffc,0x700ffffe,0x6c40bfff,0x3fffe23f,0x36000004,0xffffffff,
    0xffffffff,0xfff000ff,0x7fcc003f,0x3fe600ff,0xfffd007f,0x0ffff605,
    0x05fffc80,0x2007fffe,0x6c04fffc,0x36003fff,0x3fa05fff,0xc83982ff,
    0xffb80fff,0x002c886f,0x003ffff0,0xf009fff9,0x3a203fff,0x7c006fff,
    0xffffffff,0x2fffffff,0x809fffb0,0xfffffffc,0x0fffffff,0xfffffd00,
    0xffffa8ff,0x3e201fff,0x7fcc0fff,0x5fffb86f,0xb84fff80,0x3ee05fff,
    0xffa8007f,0x7c40006f,0xfd82ffff,0x7dc05fff,0xfb80efff,0x3fee05ff,
    0x1fffff47,0x7fc40000,0x99999bff,0xfff99999,0xffff003f,0xffff8003,
    0x1fffe601,0x817fff40,0x9003fffd,0x7c09ffff,0xfc801fff,0x7fec04ff,
    0xfff9003f,0x7fff407f,0x3fff6002,0x06fffb82,0xffff8000,0x4fffc801,
    0x01ffff80,0x00ffffe6,0xfffffff8,0xceffffff,0x05fffb00,0x3ee66620,
    0x09999eff,0x3ffff600,0x7ffc44ff,0x2201ffff,0x8000ffff,0x5405fffb,
    0xffb81fff,0x3fff605f,0x7ffd4001,0x3fa20006,0xfd103fff,0xfe807fff,
    0x7dc0efff,0x3ffa05ff,0x3fffe61f,0x65cc00bf,0xfff703fe,0x7fe4001f,
    0xffff006f,0x7ffdc003,0x3fffcc07,0x02fffe80,0x9007fffb,0x401dffff,
    0xc801ffff,0x7ec04fff,0xffc803ff,0x7ff406ff,0x3ffa002f,0x6fffb82f,
    0xfff80000,0xfffc801f,0x1ffff804,0x03fffe40,0x99bffff0,0x80155799,
    0x8001fff8,0x9efffb98,0xffc80009,0xfd81ffff,0x200fffff,0x019ffff9,
    0xdfff7310,0x0fffec40,0x277fff26,0xffe99999,0xb998802f,0x0199efff,
    0x3ffff620,0x7fffcc06,0x3ffe602f,0xfcbcefff,0x99999dff,0x5c2fffe9,
    0xdeffffff,0xffffedcc,0x7f440fff,0x51001dff,0x4015ffff,0x99bffff9,
    0xdaa99999,0x3305ffff,0x333ffff7,0xff333333,0x3ff605ff,0xa99999cf,
    0x1fffffeb,0x2ffffe60,0x3fff6200,0x3fffa01d,0xba99999c,0x01fffffe,
    0x26ffffa6,0x99999999,0x442fffe9,0x999efffb,0x3e200009,0x2200bfff,
    0x200dfffd,0x09bffff9,0x39ffff10,0x7fffcc01,0x8001999a,0x7dc000cc,
    0xffffffff,0x2e000eff,0x507fffff,0x20ffffff,0xffffffe8,0xffd304ff,
    0x49ffffff,0xfffffff8,0xffffffae,0xffffffff,0x3aa02fff,0xffffffff,
    0x6c05ffff,0xefffffff,0xfffffc81,0xff502fff,0xffffffff,0xffffffff,
    0xb05fffff,0xffffffff,0xffffffff,0x3ffa63ff,0x04ffffff,0xffffffd3,
    0xfffc89ff,0xffffffff,0xffffffff,0x7ffec3ff,0xffffffff,0xffffffff,
    0x7ffe42ff,0xffffffff,0x4fffffff,0xffffff50,0x7fdc1dff,0x0effffff,
    0x3ffffff2,0xffffffff,0xf903ffff,0xffffffff,0xffffffff,0x3a65ffff,
    0xffffffff,0x2001efff,0xfffffff9,0x3ffaa0ef,0x646fffff,0xffffffff,
    0xfffd80df,0x3f60dfff,0xffffffff,0x00004fff,0x7ffffc40,0xffffffff,
    0x3ffea004,0xfff104ff,0x3ff20dff,0xffffffff,0xfffffc81,0xf91fffff,
    0xffffffff,0xffffffff,0xffffffff,0x7fff405f,0xffffffff,0xff502fff,
    0xbfffffff,0xffffff88,0x3e606fff,0xffffffff,0xffffffff,0x702fffff,
    0xffffffff,0xffffffff,0x7ffffec9,0xd81fffff,0xffffffff,0xffff31ff,
    0xffffffff,0xffffffff,0xffffa8bf,0xffffffff,0xffffffff,0x3ffe62ff,
    0xffffffff,0x3fffffff,0x3fffffa0,0x3fe4ffff,0xffffffff,0xffffff34,
    0xffffffff,0x2607ffff,0xffffffff,0xffffffff,0xb2ffffff,0xffffffff,
    0x00dfffff,0x7ffffff4,0x3ffe4fff,0x3fffffff,0xfffffff3,0xf307ffff,
    0x27ffffff,0xfffffff9,0x1fffffff,0x7fc00000,0xffffffff,0x26003fff,
    0x202fffff,0x705ffffd,0xffffffff,0xfff701ff,0x1fffffff,0x3fffffee,
    0xffffffff,0xffffffff,0x3602ffff,0xffffffff,0x01ffffff,0xfffffff3,
    0xfff889ff,0x06ffffff,0x7ffffe44,0xffffffff,0x2fffffff,0x3ffff620,
    0xdfffffff,0x7fffec1b,0x80ffffff,0xfffffffd,0xfff10fff,0xffffffff,
    0xffffffff,0xffff507f,0xffffffff,0xffffffff,0x7ffc45ff,0xffffffff,
    0x01efffff,0x7fffffec,0x3ffa3fff,0x3fffffff,0xfffffff1,0xffffffff,
    0x7fc403df,0xffffffff,0xffffffff,0xff92ffff,0xffffffff,0x7400bfff,
    0xffffffff,0x3ffffa3f,0xf13fffff,0xffffffff,0x3ff605ff,0xff32ffff,
    0xffffffff,0x0001ffff,0xfffda800,0xceffffff,0x3ffe2000,0x7ffd407f,
    0xffd9104f,0x207bffff,0xfffffec8,0x7ff6c3df,0xffd8ceff,0xffffffff,
    0x02ffffff,0x3fffff66,0x3dffffff,0x7fffedc0,0xfda80cef,0x01dfffff,
    0x3fffb2a0,0xffffffff,0x002fffff,0x35799753,0xffec8801,0x103dffff,
    0xffffffd9,0xfffdb87b,0xffffffff,0x00bceeff,0x3fffffae,0xffffffff,
    0x2fffffff,0x7ffffed4,0xceefffff,0xfffb3001,0x4c19dfff,0xeffffffd,
    0x7fffedc4,0xeeffffff,0xffb5001c,0xffffffff,0xffffffff,0x3fb225ff,
    0xffffffff,0x366000ce,0xceffffff,0x3ffff660,0x7edc4eff,0x3effffff,
    0x3bfffe60,0x7fffedc3,0x2dffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ae00000,0xffffffff,0x00000dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,0x00005fff,
    0x7ffff5c0,0x0dffffff,0x00000000,0x00000000,0x7fffff5c,0x00dfffff,
    0x04d4cc00,0x00000000,0xdb100000,0x00000005,0x3bbbb6e6,0xddddb702,
    0x3fa0009d,0xffffffff,0xeb801fff,0xffffffff,0x001bceff,0xffffffd9,
    0xffffffff,0x7fff643b,0xdfffffff,0x3ffe6002,0xffffffff,0xffffffff,
    0xffff34ff,0xffffffff,0xffffffff,0x7fff649f,0xdfffffff,0x7ff5c002,
    0x36a05fff,0xdfffffff,0xffffec82,0x2dffffff,0x7fff6400,0xffffffff,
    0xf8800cde,0x0000ffff,0x7ffff400,0xffffffff,0xffffb301,0x2607dfff,
    0xfffffffd,0x7fff5c3e,0xffffffff,0x40001cde,0xfffffffe,0x001fffff,
    0x3fffb2e2,0x000cffff,0x7ffffffc,0xffffffff,0x988003ff,0xfff9819a,
    0x26000007,0x3ffe0cfd,0xfb82ffff,0x05ffffff,0xdddd9300,0x07bddddd,
    0xffffff10,0xffffffff,0x7cc019ff,0xffffffff,0xffffffff,0xffffff55,
    0xffffffff,0x3ffe6001,0xffffffff,0xffffffff,0xffff34ff,0xffffffff,
    0xffffffff,0x3fffea9f,0xffffffff,0xff1000ff,0x05ffffff,0x3ffffffa,
    0x7fd46fff,0xffffffff,0x26007fff,0xffffffff,0xffffffff,0x7ffdc04f,
    0x8000004f,0xeeeeeed9,0x3603deee,0xffffffff,0xfffd80ff,0x0fffffff,
    0xfffffff1,0xffffffff,0x20001bff,0xeeeeeec9,0x2003deee,0xfffffffb,
    0x04ffffff,0x3fffffe0,0xffffffff,0x71003fff,0xbfffffff,0x3fffff13,
    0xfc880000,0xfff33fff,0xfb05ffff,0x0bffffff,0x40000000,0xfffffff8,
    0xffffffff,0xff502fff,0xffffffff,0xbfffffff,0x3fffffea,0xffffffff,
    0xffff3000,0xffffffff,0xffffffff,0x3fffe69f,0xffffffff,0xffffffff,
    0xfffff54f,0xffffffff,0x3fe2001f,0x0fffffff,0xffffffe8,0x7fd46fff,
    0xffffffff,0x3000ffff,0xffffffff,0xffffffff,0x3f601dff,0x00000fff,
    0x6c000000,0xffffffff,0xfffd81ff,0x0fffffff,0xfffffff3,0xffffffff,
    0x0003ffff,0xff800000,0xffffffff,0x003fffff,0xffffffff,0xffffffff,
    0xfff9007f,0xffffffff,0x00bfffff,0x7ffe4400,0x3ffa4fff,0xfa82ffff,
    0x05ffffff,0x40000000,0xfffffffb,0xffffffff,0xffb01fff,0xffffffff,
    0x43bfffff,0xfffffffd,0x003effff,0x3fffffe6,0xffffffff,0x4fffffff,
    0xfffffff3,0xffffffff,0x49ffffff,0xfffffffd,0x003effff,0x7fffff5c,
    0xffea84ff,0x82efffff,0xfffffffd,0x003effff,0x7fffffe4,0xffffffff,
    0xff05ffff,0x000009ff,0xf1000000,0xffffffff,0x3fffa609,0x643fffff,
    0xffffffff,0xffffffff,0x00000eff,0x3ff60000,0xffffffff,0x801fffff,
    0xffffffff,0xffffffff,0x3ffa603f,0xffffffff,0x06ffffff,0x3ffee000,
    0x4c0effff,0x102fffea,0x0bfffb55,0x00000000,0x2673fff6,0xfffdb999,
    0x26600eff,0x9efffb99,0x26600999,0x099ffffb,0xffff9800,0xfffc9999,
    0xffc9999e,0x3ffff34f,0xdfff9333,0xfff93333,0xfff73309,0x8000133f,
    0xffffffe8,0xfffd3101,0xff733007,0x000133ff,0x9affff88,0xffca9999,
    0x7fcc3fff,0x000000ff,0x0026a600,0x3bfffa20,0xfff71000,0xfff8805f,
    0xa99999bf,0x05fffffb,0x04d4cc00,0x79db3000,0xfffb8835,0xffff803f,
    0xa999999a,0x101fffff,0xffffffff,0xfffffffd,0x500001df,0xfffffffd,
    0x2fffe809,0x05fffb80,0xeeeedb98,0xddddb502,0xfffb009d,0xffffb007,
    0x7ffd4009,0xfff30006,0xff98000f,0x5fffb87f,0xf34fffc8,0xfff70fff,
    0x09fff90b,0x003fffcc,0x3ffffa00,0x7fec06ff,0x3fe6003f,0x7c00007f,
    0x7c401fff,0x7fdc7fff,0x0066003f,0xfffd7100,0x40039fff,0x000ffffb,
    0x401bfff6,0xe802fffe,0x22007fff,0xfffffecb,0x00000cff,0x027ffec0,
    0x880ffffc,0x202ffffe,0x1cfffffe,0x7fffffcc,0x3660000f,0xdfffffff,
    0x2fffe800,0x05fffb80,0xfffffff8,0xfffffb82,0xffd805ff,0xfffb003f,
    0x3fea001f,0xff30006f,0xf98000ff,0xfffb87ff,0x34fffc85,0xff70ffff,
    0x9fff90bf,0x03fffcc0,0x3fffa000,0x3604ffff,0x26003fff,0x00007fff,
    0x400ffffc,0x3a0ffffb,0xddb517ff,0xffffd31d,0xffa8005d,0xffffffff,
    0xff8800df,0xff1004ff,0x3fa007ff,0xff9802ff,0xffb801ff,0xffffffff,
    0x80004fff,0xff709a98,0xffff00bf,0x3ffff603,0x3fffee04,0xfffe880e,
    0x8005ffff,0xffffffc8,0x3fa001ef,0xffb802ff,0x7ffcc05f,0xfd82ffff,
    0x05ffffff,0x003fffd8,0x009ffff1,0x001bffea,0x4c3fffcc,0x3e600cfd,
    0xfffb87ff,0x34fffc85,0xff70ffff,0x9fff90bf,0x03fffcc0,0x3fffa000,
    0xb01fffff,0x4c007fff,0x33667fff,0xffff0001,0x3fffe003,0x327fff12,
    0xffdfffff,0x04ffffff,0xffffffb0,0xffffffff,0xffff9005,0x3fffee00,
    0x5fffd000,0x0bfffa00,0x3fffffe0,0xffffffff,0x7644003f,0xffffffff,
    0xff805fff,0xfffb80ff,0x7fff406f,0xfffe880f,0x01ffffff,0x3ffffee0,
    0xe8002eff,0xfb802fff,0xffe805ff,0xfa82ffff,0x05ffffff,0x003fffd8,
    0x401fffee,0x0006fffa,0xfd0ffff3,0x7fcc07ff,0x5fffb86f,0xf34fffb8,
    0xfff70dff,0x09fff70b,0x003fffcc,0x33fffa00,0xfb06ffff,0x7cc007ff,
    0xfffd8fff,0xffff0006,0x3fffe003,0x7f4dff52,0xffffffff,0x03ffffff,
    0x7fffffec,0xffffffff,0x7fcc01ff,0xfff802ff,0x3ffa004f,0xfff9802f,
    0xfffd800f,0xffffffff,0x8801ffff,0xfffffffc,0x5fffffff,0x986ffc80,
    0x200fffff,0x881ffff9,0xf9effffe,0xfa803fff,0x3fffffff,0x3fffa000,
    0x5fffb802,0xfffd5300,0x3f6aa205,0xffd805ff,0x3fe6003f,0xffa800ff,
    0xff30006f,0xffff98ff,0x427ffc06,0xf985fffb,0x13ffe1ff,0x2617ffee,
    0x3e602fff,0x400007ff,0xffcafffe,0xfffd83ff,0x3ffe6003,0x07ffffff,
    0x03ffff00,0x21ffff30,0x3fee2ffc,0xffffffff,0x00ffffff,0x3bfffff7,
    0x7fffdcc1,0x7ff400ef,0x7ffd406f,0x3ffa001f,0x7ff5402f,0x9db3006f,
    0xffb88357,0x7f4403ff,0xffffffff,0x05ffffff,0x7c42ed98,0x5402ffff,
    0xffb07fff,0x3ff61fff,0x3ffaa04f,0x00cfffff,0x17fff400,0x02fffdc0,
    0x00bfffa0,0x5417ffee,0xeeffffec,0xff104eee,0xff5003ff,0x3e6000df,
    0xffff87ff,0x406f5404,0xd905fffb,0xb80dea89,0x9d905fff,0x3fffcc01,
    0x3ffa0000,0x1ffffd2f,0x003fffd8,0x3fffffe6,0xf0004fff,0xe8803fff,
    0x17f66fff,0x3fffffe6,0xffff930b,0xfffff103,0xfffe8805,0x7ffd403f,
    0x3fff601f,0x7fff4006,0xfffd9882,0x000003ff,0xd809fffb,0xffffffff,
    0xffffffff,0x7ff40005,0xffc803ff,0xffffd85f,0x1bffee0f,0x3fffff66,
    0x00000dff,0x7005fffd,0xe800bfff,0xfb802fff,0xfffa85ff,0xffffffff,
    0xfffd03ff,0xdfff5005,0x3ffe6000,0x00dffa87,0x2fffdc00,0x3fee0000,
    0x7cc0005f,0x400007ff,0xff52fffe,0xfffd8bff,0x3ffea003,0x002fffff,
    0x407fffe0,0x3fffffc8,0xffff80e2,0x7ffff03f,0x05ffff70,0x02fffec0,
    0x9827fffc,0x4002ffff,0xeeeefffe,0xffffffff,0x4c40000e,0xbfff709a,
    0x7ffffdc0,0x3666209c,0x20005fff,0x005ffffc,0xfd8dfff7,0x7dc1ffff,
    0x3ff226ff,0x01efffff,0x7fff4000,0x5fffb802,0x17fff400,0x42fffdc0,
    0xfffffffc,0x05ffffff,0x5007fffb,0x2000dfff,0x0207fff9,0x7ffdc000,
    0x99880005,0x199efffc,0x7fff9800,0x7ff40000,0x3ffff62f,0x00ffff62,
    0x3fffff22,0xf80004ff,0xeeeeefff,0x5fffffff,0x1ffffc00,0xd09fff90,
    0x9800bfff,0xfb807fff,0xffc80fff,0xffe8007f,0xffffffff,0x0004ffff,
    0xfffffd91,0x0bffffff,0x00ffffec,0x002fffdc,0x0effffa8,0x3ffff300,
    0x07fffff6,0xf717fff6,0x5dffffff,0xffd80000,0x7ff5404f,0x7ff4005f,
    0xfffb802f,0xfffff885,0xffffffff,0x07fffb02,0x00dfff50,0x01fffe60,
    0x3fee0000,0x3ee0005f,0xffffffff,0x2005ffff,0x0007fff9,0x117fff40,
    0x361fffff,0x7dc03fff,0x0dffffff,0xffff0000,0xffffffff,0xf000dfff,
    0x7dc01fff,0xffff85ff,0xfffd8002,0x7fffc402,0x04ffff83,0xfffffe80,
    0xffffffff,0xffc88003,0xffffffff,0x3e05ffff,0xe9803fff,0x98005fff,
    0x001fffff,0x377fffe2,0xa81fffff,0xc883ffff,0xefffffff,0xff900001,
    0xffd501ff,0xe800bfff,0xfb802fff,0xd53105ff,0x5555bfff,0x17fffc03,
    0x037ffd40,0x07fff980,0x8007fb30,0x0005fffb,0x3ffffffe,0xffffffff,
    0xffff3001,0x80ff6600,0x7d42fffe,0xfffb4fff,0x3fffa607,0x3007ffff,
    0x7ffc05db,0xffffffff,0xf0003fff,0x7dc01fff,0x7ffc45ff,0xffc8000f,
    0xfffd804f,0x07fffdc6,0x7ffff400,0xffffffff,0x7f44001f,0xffffffff,
    0x05ffffff,0xa813fffe,0x1efffffe,0x3fffa200,0x7ec0203f,0xffffffff,
    0xfffff981,0x3fff6200,0x001dffff,0x7ffffdc0,0xfffffecd,0x004fffff,
    0x7005fffd,0xfb00bfff,0x7c4007ff,0xfa800fff,0xf30006ff,0x3f200fff,
    0x7fdc007f,0x3fa0005f,0xffffffff,0x000fffff,0x200ffff3,0x3fa07ffc,
    0xfffd82ff,0x83fffd9f,0xfffffff9,0xff9007ff,0x7ffffc0f,0xdfffffff,
    0x3ffe0000,0x3ffee00f,0x07fffc45,0x27ffe400,0x0ffffcc0,0x000bfffd,
    0x2ab3fffa,0xffffffba,0x3fff6001,0xffffffff,0x205fffff,0xcefffffd,
    0xffffffed,0x804fffff,0x304ffffd,0xfff109fd,0x885fffff,0x04fffffc,
    0xfffffd30,0x400019ff,0xfffffffe,0xffffffff,0xfe800fff,0xffb802ff,
    0xfffd805f,0x3ffea003,0xdfff5007,0x3ffe6000,0x3fffd007,0x2fffdc00,
    0xfffb3000,0xffffffff,0x7fcc007b,0xfffd007f,0x0bfffa03,0x37bfffe2,
    0xffa83fff,0x7fffefff,0x03fffd00,0x2ab3fffe,0x200001aa,0x2e00ffff,
    0xfff85fff,0xffe8002f,0xfffd001f,0x0bfffe6b,0x17fff400,0x7ffffec4,
    0xffffb801,0x266209cf,0x2605fffd,0xffffffff,0xffffffff,0x200fffff,
    0x206ffffb,0xfb80fffb,0xcdffffff,0xffffffed,0xffea8005,0x003fffff,
    0xffffff30,0xffffffff,0xd001ffff,0xf7005fff,0xffb00bff,0x7fe4007f,
    0xfff5005f,0x3fe6000d,0xfffd007f,0x7ffdc005,0x7dc00005,0x4c0005ff,
    0xfd007fff,0x3ffa05ff,0xffff702f,0xf107ffff,0xfff33dff,0x3fffe00f,
    0x03ffff01,0xfff80000,0x3ffee00f,0x0efffe85,0x1fffee00,0x8ffffb80,
    0x0006fffd,0xd80bfffa,0x400effff,0x801ffffd,0x5405fffb,0xffffffff,
    0xffffffff,0xf300ffff,0x6c01ffff,0xffc82fff,0xffffffff,0x0effffff,
    0x3ffee000,0x002fffff,0xfffffe88,0xfffcadff,0xffb002df,0xffea809f,
    0xfffd805f,0xffff9003,0x3ffea009,0xfff30006,0x3fffa00f,0x3ffee002,
    0x7dc00005,0x4c0005ff,0xfd007fff,0x3ffa05ff,0x3fffa02f,0x7103ffff,
    0x03fffcc3,0xf01ffff8,0x00003fff,0x00ffff80,0x2a17ffee,0x5005ffff,
    0x400bffff,0xffcffff8,0x3a0003ff,0x7ec02fff,0x7fc05fff,0xfe9803ff,
    0xfd9805ff,0xdfffffff,0xffffffba,0xfffff103,0x2fffe805,0x7fffffdc,
    0xffffffff,0x100004ff,0xfffffff9,0x9730003d,0x7fe41579,0x7fe4000c,
    0xffea80ff,0xfd805fff,0xffc803ff,0xf5000eff,0x26000dff,0xfd007fff,
    0x7dc005ff,0x400005ff,0x0005fffb,0x803fffcc,0xfd02fffe,0x7fcc05ff,
    0x003fffff,0x401fffe6,0xff01ffff,0x000003ff,0x200ffff8,0xfd05fffb,
    0x2205dfff,0x02fffffc,0x7ffffe40,0x20000fff,0x4402fffe,0x202ffffe,
    0x2a04ffff,0x1efffffe,0x79995300,0x1bff1015,0x1fffff40,0x517fff40,
    0xfb9fffff,0x7bffffff,0xb1000003,0xbfffffff,0xfe800001,0xfff50007,
    0xfffd9bff,0x9fffffff,0x4e7ffec0,0xfeba9999,0x2601ffff,0xefffb999,
    0x26009999,0x99ffffb9,0xf9999999,0x4c402fff,0x99efffc9,0x93310001,
    0x0333dfff,0x7ffdccc0,0x9999999f,0x02ffff99,0x0137fffd,0x3ffffff2,
    0xffb99803,0x999999ff,0x1ffff999,0x9affff98,0x20000199,0x202ffff8,
    0xf305fffc,0x9bffffff,0xffffffdb,0xfff3000b,0x000bffff,0x4dffffcc,
    0x3fffe200,0xffffb01f,0xfffdb9df,0xffffffff,0xfb800009,0xfff9021f,
    0x333333df,0x5fffd333,0x217ffffc,0x0001bca8,0x3ffa6000,0x001fffff,
    0x443ff600,0xffe8803c,0xffffffff,0xffffffff,0x7ffffe40,0xffffffff,
    0xb04fffff,0xffffffff,0xdfffffff,0x7ffffec3,0xffffffff,0xffffffff,
    0xffffd702,0xffffffff,0x3ffee00b,0xffffffff,0x3ff605ff,0xffffffff,
    0xffffffff,0x7fec2fff,0x0effffff,0x7fffff44,0xffffb103,0xffffffff,
    0xffffffff,0x7fffec3f,0xffffffff,0x3fa60004,0x23ffffff,0xdfffffe8,
    0xfffffa80,0xffffffff,0x3a0006ff,0x01ffffff,0xfffffc80,0x500dffff,
    0x89ffffff,0xfffffff9,0xffffffff,0x00ffffff,0x3bfe2000,0x3ffa6feb,
    0xffffffff,0xffffffff,0x00ffff62,0x40000000,0x4fffffea,0x3fee0000,
    0x800fffef,0xffffffe8,0xffffffff,0x3fe60fff,0xffffffff,0xffffffff,
    0xfffff503,0xffffffff,0x3eabffff,0xffffffff,0xffffffff,0xf02fffff,
    0xffffffff,0x03ffffff,0xfffffff0,0xffffffff,0xfffff503,0xffffffff,
    0xffffffff,0x7fffcc5f,0x84ffffff,0x03fffffa,0xfffffff7,0xffffffff,
    0x3fffffff,0x3fffffe6,0xffffffff,0xfffb0001,0x21ffffff,0xfffffffb,
    0xffffd302,0xffffffff,0xffa80007,0x98006fff,0xffffffff,0x3f203fff,
    0x540fffff,0xffffffff,0xffffffff,0x0000ffff,0x7ffffec0,0x3fffffa6,
    0xffffffff,0x262fffff,0x000002fe,0xffb80000,0x400002ff,0x05fffffe,
    0x3ffffa20,0xffcadfff,0x7fc42dff,0xffffffff,0x1effffff,0x3ffffe60,
    0xffffffff,0xff55ffff,0xffffffff,0xffffffff,0x3a05ffff,0xffffffff,
    0x01ffffff,0xffffffe8,0xffffffff,0xfffffa80,0xffffffff,0xffffffff,
    0x3fffe62f,0x03ffffff,0x207ffffb,0xfffffffa,0xffffffff,0x1fffffff,
    0xfffffff3,0x1fffffff,0x3fff6000,0x50ffffff,0x3fffffff,0xfffeda80,
    0x001bdfff,0x7fffff00,0xffff1000,0x7fffffff,0xfffffe80,0xffffd980,
    0xfbadffff,0x002dffff,0xffec8800,0x3ffffa1d,0xffffffff,0x02ffffff,
    0x00000000,0x01f5c400,0xdec98000,0x99510003,0x2a000157,0xfffffffd,
    0x01ceefff,0xfffffb70,0xffffffff,0x7ff5c19d,0xffffffff,0xffffffff,
    0xffb302ff,0xffffffff,0x366007bf,0xffffffff,0x2e03dfff,0xfffffffe,
    0xffffffff,0x5c2fffff,0xeffffffd,0xffff100c,0x7fff5c07,0xffffffff,
    0xffffffff,0x3fff6e1f,0xdfffffff,0x3b220002,0x42dfffff,0x03efffeb,
    0x00de5440,0xfffc8000,0x3f6e0007,0x3effffff,0x2dfff980,0x5e6654c0,
    0x0000000a,0xffd01300,0xffffffff,0xffffffff,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x0008acca,
    0x5c000000,0xfffffffe,0x0000dfff,0x50000000,0x000001bd,0x80077000,
    0x00009a99,0x04400220,0x13530000,0x35300000,0x00060001,0x26200044,
    0x0000c400,0x0e440000,0x00335300,0x00099800,0x20198800,0x40000099,
    0x00000998,0x73006600,0x205ddddb,0x4eeeeeda,0xeeeedb88,0xeda81bde,
    0x01ceeeee,0x01ddddd3,0x7fffffdc,0x5c0002ff,0x3a0000df,0xffffffff,
    0xd501ffff,0x0000007d,0x04fff880,0x09a98000,0x880ffc40,0xfffffecb,
    0x88000cff,0x80ceffeb,0x00ceffeb,0x7fff6d40,0xbc8adfff,0xffd71000,
    0x0039ffff,0xa800bff5,0x3b2a04ff,0x5c3effff,0x200dfffe,0x2eeeedb9,
    0xdddddb70,0x9103fdc9,0xbfffffff,0x26005b55,0xdfffffed,0xeeca800b,
    0xffffc8ee,0xdffffb12,0xeedb9805,0xfffff92e,0x32a0019f,0x544eeeee,
    0x80cffffe,0x2fffffff,0xffffffb8,0xffffc85f,0x5c7fffff,0xffffffff,
    0xfffc81ff,0x3fff605f,0x06ffffff,0x0fffe200,0xeeed9800,0x3deeeeee,
    0x0bbfffe0,0x44000000,0x80005fff,0xfffffeb8,0x1ffa81cf,0xffffffb8,
    0x4fffffff,0x3fffe600,0x3f60efff,0x01ffffff,0xfffffd88,0xffffffff,
    0xfffa803f,0xffffffff,0x3fffa00d,0x7bdfdb35,0x01ffff51,0xfffffffb,
    0xfff919ff,0x3e03ffff,0x82ffffff,0xfffffffb,0x3221ff65,0xffffffff,
    0x00ffffff,0x3fffff22,0x03ffffff,0x3fffffea,0xdffffffe,0xffffffff,
    0xfffff102,0xffffffbf,0xa805ffff,0x6fffffff,0xffffffd3,0x7ffcc1ff,
    0xfd82ffff,0x85ffffff,0xfffffffe,0x3ff61fff,0xffffffff,0x1ffffe83,
    0xffffff70,0x000fffff,0x002fffd4,0x7c400000,0x01efffff,0xfc800000,
    0x7d40002f,0xffffffff,0x3fee0dff,0xffffff81,0xffffffff,0xfff9803f,
    0x8effffff,0xfffffffd,0x3fea01ff,0xffffffff,0x06ffffff,0x7fffffec,
    0xffffffff,0xfffffd02,0xffffffff,0x983fffff,0xffffffff,0xffffffff,
    0x4c2fffff,0x2fffffff,0xffffffd8,0x361ffa5f,0xffffffff,0x2fffffff,
    0xffffff50,0xffffffff,0xffff903d,0xffffffff,0xffffffff,0xff501fff,
    0xffffffff,0xffffffff,0x7fffe403,0xfffcefff,0x5fffffff,0x7ffffff4,
    0xfffffa82,0xfffb85ff,0x45ffffff,0xfffffff9,0x7fc40fff,0xfff105ff,
    0xffffbbff,0x7fd40003,0x0000006f,0xfffff900,0x00001bff,0x80000800,
    0xfffffffd,0x0effffff,0x3ff60ffb,0xffffffff,0x401fffff,0xfffffffe,
    0xffffffff,0x0fffffff,0xffffff98,0xffffffff,0x3f607fff,0xffffffff,
    0x1fffffff,0xffffff98,0xffffffff,0xff884fff,0xffffffff,0xffffffff,
    0x7f40ffff,0xa82fffff,0x5fffffff,0xffb8bff5,0xffffffff,0x83ffffff,
    0xfffffff8,0xffffffff,0xffff986f,0xffffffff,0xffffffff,0xffd03fff,
    0xffffffff,0xdfffffff,0x7ffffcc0,0xffffffff,0x0fffffff,0x17fff54c,
    0xfffdaa88,0xfff95105,0xd510137f,0x2035ffff,0x500ffffb,0x74c3ffff,
    0x7d40000c,0x000006ff,0x3ffaa000,0x00cfffff,0x00000000,0xffffffb0,
    0xffffffff,0x209ff7ff,0x41abced9,0x03ffffb8,0x233fffee,0xffffffc8,
    0xfffc89ff,0xffffe84f,0x3b2e61ae,0xf707ffff,0x413bffff,0xefffffb9,
    0xfffffa80,0xffffffff,0x37aa05ff,0x3fffea1b,0xffc8aeff,0xfea983ff,
    0xb55102ff,0xfffbdfff,0xcefffe83,0x3ffaa20a,0xfffe83ff,0x9510acef,
    0x207fffff,0x0dfffffa,0x1bfffff9,0x9817fff6,0xbefffffe,0xffffb510,
    0xffca9805,0x2effffff,0x740bffb3,0xfb802fff,0x7fc405ff,0x7fc404ff,
    0x7fec03ff,0x3fff204f,0x2a000005,0x50006fff,0xddddddd9,0x3fee0009,
    0x03ffffff,0x00000000,0x6fffffdc,0x3ffee609,0x001fffff,0x09fffb00,
    0x6c2ffff4,0x42ffffff,0x2e0ffffe,0x8804ffff,0xf887ffff,0x4402ffff,
    0x903ffffe,0x95bfffff,0x01ffffff,0x7fffe400,0x3fffec1f,0x005fffd0,
    0xfffffff7,0x05ffff07,0xc83fff70,0x400effff,0x00fffff9,0xf98bffff,
    0x7fd45fff,0x7fff406f,0x3ffe00df,0xfff5003f,0x2207ffff,0x17fff401,
    0x02fffdc0,0x007fffe4,0x801ffff9,0x2e00ffff,0x00006fff,0x01bffea0,
    0x3ffffea0,0x0006ffff,0x7fffffdc,0x000002ef,0xfff88000,0x7f4402ff,
    0x8002ffff,0xff709a98,0x3ffe20bf,0xffff981f,0xffff986f,0x01bfffe3,
    0xb85fffa8,0x2002ffff,0xfd05fffd,0xff701dff,0x998003ff,0x85ffffa9,
    0xd03ffff9,0xf7005fff,0x2039dfff,0x01bffffe,0x7ffc16e4,0xff5000ef,
    0x3ffe0bff,0x7fffc40f,0x037ffd40,0x2017fffa,0x5004fffc,0x03dfffff,
    0x2fffe800,0x05fffb80,0x04ffff88,0x809ffff1,0x5404fff9,0x0002ffff,
    0x0dfff500,0xfffff900,0x000dffff,0xfffff910,0x00003dff,0x7fdc0000,
    0x3f6002ff,0xd91007ff,0xffffffff,0x3e60bfff,0x3ffe07ff,0xaaaaacff,
    0xff14fffe,0xfe8001ff,0x5fffe83f,0x3fffcc00,0x017fffc4,0x9807ffff,
    0xffffffec,0xaaaacfff,0xd04fffea,0xf7005fff,0xff900bff,0x9bdfffff,
    0xfff88015,0xaaaaaacf,0xffdaaaaa,0x1ffff06f,0xa87fff88,0x7f406fff,
    0xffb802ff,0xfff5005f,0xd00001df,0xf7005fff,0x3f200bff,0xffc80fff,
    0x7fe400ff,0xfffe800f,0xa800000e,0x88006fff,0xffffffff,0x2600006f,
    0xfffffffd,0x3331000d,0x33333333,0x01333333,0x8009fffd,0x201ffff9,
    0xffffffc8,0xffffffff,0x0bfff705,0x7fffffec,0xffffffff,0x00dfff55,
    0x3fe05710,0xfd8002ff,0x7ffd42ff,0x2fffe407,0xfffffd88,0xffffffff,
    0xffffffff,0x5fffd05f,0x0bfff700,0x3fffffa0,0x2effffff,0xffffff50,
    0xffffffff,0x1fffffff,0x881ffff0,0xffa87fff,0x7fff406f,0x5fffb802,
    0x0dfff500,0x7fff4000,0x5fffb802,0x9ffff100,0x04ffff88,0x5003ffe8,
    0x0009ffff,0x5cccccc4,0x9999efff,0xaaa98019,0x0006fffc,0xffffea80,
    0x3200cfff,0xffffffff,0xffffffff,0x3fe0efff,0xfd8002ff,0xffd102ff,
    0xffffffff,0x20bfffff,0x2e03fffd,0xffffffff,0x76ffffff,0x0000bfff,
    0x00ffff88,0x44fffc80,0x5405fffb,0xffa87fff,0xffffffff,0xffffffff,
    0x06ffffff,0x7005fffd,0x2200bfff,0xfffffffc,0x40dfffff,0xfffffffc,
    0xffffffff,0x81ffffff,0x7c40ffff,0xfffa87ff,0x17fff406,0x02fffdc0,
    0x006fffa8,0x0bfffa00,0x017ffee0,0x20ffffc8,0x400ffffc,0x36007ff8,
    0x002fffff,0x7fffff5c,0xffffffff,0x00dfffff,0x00dfff50,0x7ffd4000,
    0x883fffff,0xffffffff,0xffffffff,0xf14fffff,0x90001fff,0x3f609fff,
    0xffffffff,0x5fffffff,0x409fffb0,0xfffffffc,0x7fffffff,0x0009fff9,
    0x0ffff880,0x4fffc800,0x007fffd4,0xf98bfff9,0xffffffff,0xffffffff,
    0xffffffff,0x05fffd07,0x00bfff70,0xffffdc88,0x1fffffff,0x3fffffee,
    0xffffffff,0x2fffffff,0x440ffff8,0xffa87fff,0x7fff406f,0x5fffb802,
    0x0dfff500,0x7fff4000,0x5fffb802,0x3fffe200,0x09ffff14,0x2007ff30,
    0xfffffffd,0x887bffe0,0xffffffff,0xffffffff,0x003fffff,0x000dfff5,
    0xffff7000,0x7c45dfff,0xffffffff,0xffffffff,0x3fe3ffff,0xfc8000ff,
    0xfffb84ff,0x26209cff,0x905fffd9,0x7f40dfff,0xeeeeefff,0xf55eeeee,
    0x00000dff,0x0005ffff,0xf883fffd,0xff103fff,0xfffc87ff,0xf7109bef,
    0xdddddfff,0x20bddddd,0xb802fffe,0x40005fff,0xfffdcb98,0x3ffe64ff,
    0xeeeeeeef,0xeeeeeeee,0xffff81ee,0x43fffc40,0x7406fffa,0xfb802fff,
    0xff5005ff,0x740000df,0xfb802fff,0x7e4005ff,0xfffc8fff,0x0059000f,
    0x3ffffff6,0xffff35ff,0x7ffffc4d,0xffffffff,0xffffffff,0xdfff5003,
    0xd8800000,0xdfffffff,0x7ffffdc1,0xffffffff,0x0dffffff,0x000bfff6,
    0x360ffffa,0xb801ffff,0xff705fff,0xfff101ff,0xf88005ff,0x00001fff,
    0x0077fff4,0x20ffff70,0x4c2ffffd,0x741ffffd,0x3ea05fff,0x40003fff,
    0xb802fffe,0x6c405fff,0xffb1003f,0x7fffc4ff,0xff000004,0xfff881ff,
    0x06fffa87,0x4017fff4,0x5005fffb,0x0000dfff,0x2027ffec,0x005fffea,
    0x7e7fffc4,0x00004fff,0xefffffb8,0xffbaffff,0x7ff5c7ff,0xffffffff,
    0xefffffff,0xfff5000c,0x2200000d,0xfffffffc,0x0000002e,0x01dfff70,
    0x17fffdc0,0x401ffffc,0x305fffe9,0xf707ffff,0x000dffff,0x000dfffd,
    0xffa83bb3,0xff5005ff,0x3ff20bff,0xffdcffff,0x7e40ffff,0x3ff205ff,
    0x6c0006ff,0x75404fff,0x7dc05fff,0xff1001ff,0x7fff45ff,0xf800003f,
    0x7fc40fff,0x6fffa87f,0x017fff40,0x802fffdc,0x0006fffa,0x03ffff20,
    0x3fffffaa,0xfffd8005,0x001fffff,0xefffd800,0xefffff88,0x4003ffff,
    0x0006fffa,0x01bffea0,0x3ffee000,0x002fffff,0x7cc00000,0xf5005fff,
    0x3fe0dfff,0x3faa04ff,0xb01effff,0x7cc5ffff,0x43ffffff,0x320deda8,
    0x802effff,0xe85fffd8,0x102effff,0x05fffff9,0xfffffff5,0xffffffff,
    0x2ffff98b,0x7ffffec4,0x77ed443f,0x1ffff901,0xfffffd50,0xffffe80b,
    0x3ff2200c,0x3ffe61ff,0x5cc00bff,0xff883fec,0x7ffc41ff,0x77ffd40f,
    0x7fffd100,0x5fffc801,0x3fee6620,0x999999ef,0x7ffd4000,0xfffecdff,
    0x4fffffff,0x3fffe600,0x00005fff,0x543ffff0,0xffffffff,0xfffa8001,
    0x3ea00006,0x200006ff,0xffffffea,0x0000003f,0x3ffffa00,0xfffb102f,
    0x3ff605ff,0xfedcefff,0xffffffff,0x7ffc44ff,0xffffddff,0xecefffff,
    0x6c5fffff,0xdeffffff,0xffffedcc,0xfff987ff,0xedcdffff,0x85ffffff,
    0xfffffffa,0xffffffff,0x7fffc5ff,0xffffecff,0xecefffff,0x505fffff,
    0xd9bfffff,0xffffffff,0x3ffa09ff,0xccdeffff,0x7fffffed,0xffffffb8,
    0xffedccde,0xd10fffff,0x1dffffff,0x3bffffe2,0xbfffff50,0x7fffffcc,
    0xfffb85ff,0x3a24ffff,0xffffffff,0xdfffffff,0xfffd1000,0xffffffff,
    0x1fffffff,0x7fffec00,0x800001ff,0xfc87fff9,0x006fffff,0x00dfff50,
    0x37ffd400,0x7ff4c000,0x00cfffff,0x40000000,0xfffffff9,0xffffedcd,
    0x3fe605ff,0xffffffff,0xffffffff,0x7fdc0fff,0xffffffff,0xfffffffd,
    0x446fffff,0xfffffffe,0xffffffff,0xfff503ff,0xffffffff,0x3a0dffff,
    0xfffeffff,0xfffeffff,0x3ffea2ff,0xffffffff,0xffffffff,0x106fffff,
    0xfffffffd,0xffffffff,0xffb01fff,0xffffffff,0x3fffffff,0x3fffff60,
    0xffffffff,0xf71fffff,0x9fffffff,0x3fffffe2,0xffffff53,0x3fffff65,
    0x7fc2ffff,0x0fffffff,0xfffffff9,0xffffffff,0x744007ff,0xffffffff,
    0xffffffff,0x3fe6000f,0x00005fff,0x81ffff30,0x3fffffe8,0xdfff5000,
    0x7fd40000,0x3620006f,0xdfffffff,0x00000001,0x3fffea00,0xffffffff,
    0xfa806fff,0xffffffff,0xffffffff,0xffb80fff,0x54ffffff,0xffffffff,
    0xfd105fff,0xffffffff,0x07ffffff,0xfffffe98,0x3fffffff,0x453fff60,
    0xf51cdecb,0xff983fff,0xffffffff,0xffffffff,0x202fffff,0xffffffe8,
    0xffffffff,0xffb80fff,0xffffffff,0x02efffff,0x7fffffdc,0xffffffff,
    0x3ffee4ff,0xf13fffff,0x2a5fffff,0xb1ffffff,0xffffffff,0xffffe83f,
    0xff70ffff,0xffffffff,0x7fffffff,0xfffe8800,0xfcadffff,0x8002dfff,
    0x001ffffd,0x3fffe000,0x7fffd40c,0xff50002f,0x540000df,0x88006fff,
    0xfffffffc,0x8000002e,0x74c0000a,0xffffffff,0x2003ffff,0xffffffd9,
    0xfffbadff,0x3ea02dff,0x4c3fffff,0xefffffff,0x7fed400b,0xffffffff,
    0x36a000be,0xdffffffe,0x27f4c01b,0x413fe600,0xffffffe9,0xffebdebc,
    0x00bdffff,0xfffffe88,0xfffcadff,0x9f9102df,0xfffffffb,0x44005dff,
    0xfffffffd,0x81bdffff,0xceffffec,0x7dffff10,0x1effffd4,0xfffffd91,
    0xfffb307b,0x76445bff,0xffffffff,0x04efffff,0x2f32a200,0x0000000a,
    0xfb000000,0xfdbdffff,0x7fffffff,0x6fffa800,0x33333000,0x333dfff7,
    0x3fee0133,0x02ffffff,0xffb00000,0xd9500005,0x7bffffff,0x32a60003,
    0x0000abcc,0x3006ee60,0x00015797,0x59999551,0x51000035,0x02000379,
    0xa8800800,0x32a00acc,0x10000abc,0x00157995,0x99955000,0x98000357,
    0x09abccba,0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,
    0xffffffff,0x0fffffff,0x06fffa80,0x7ffffe40,0xffffffff,0x360effff,
    0x3fffffff,0x22000000,0x00006fff,0x000de544,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fd40000,0xffffffff,0x007fffff,
    0x002fffcc,0xfffffff1,0xffffffff,0x3e29ffff,0x00cfffff,0xff800000,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0xfffffffb,0x03bfff9b,0x007fff00,0x7fffffc4,0xffffffff,
    0x3a3fffff,0x0001dfff,0x2f260000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x001abcba,0x00675c00,
    0x3ffff6a0,0xffffffff,0x260cefff,0x000001dd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdddddddb,0xdddddddd,0x776dc47d,
    0x76542cee,0x00bdeeee,0x8002c980,0xeeeeeeca,0x6dcc004e,0xa81bdeee,
    0x82ceeeec,0xbeeeedb8,0x776dc401,0x98001bee,0x1065400c,0x21540015,
    0x0f6402ea,0x33333000,0x33333333,0x33333333,0x40000001,0x22000aa9,
    0x9998800a,0x99999999,0x01999999,0x01bdeca8,0x006aa620,0x30055440,
    0xca879999,0x2a203ccc,0x0220000a,0x20b7ae20,0xaaaaaaa8,0xaaaaaaaa,
    0xaaaaaaaa,0x200b9809,0xbbba882a,0xbbbbbbbb,0xbbbbbbbb,0x001bbbbb,
    0xfffe8000,0xffffffff,0x324fffff,0xffffffff,0xffffff32,0xf0009fff,
    0x7d4005ff,0xffffffff,0x7fffc006,0x7dc7ffff,0x2fffffff,0x7fffffec,
    0x3ffa00ff,0x00ffffff,0xc813fee0,0x3fff12ff,0x6cbffb00,0x3ffa04ff,
    0x3ff62002,0xffffffff,0xffffffff,0x2005ffff,0x7ec4000d,0x981dffff,
    0x201ffedb,0xffffffea,0xffffffff,0x85ffffff,0xffffffe9,0x3fffa603,
    0x8802efff,0x2ffffffd,0x45ffffa8,0x884ffffb,0x00dffffd,0x201ffc40,
    0xd12ffffe,0xffffffff,0xffffffff,0xffffffff,0x3ffdc9ff,0x3e26ffc8,
    0xffffffff,0xffffffff,0xffffffff,0x000005ff,0x7ffffff4,0xffffffff,
    0x3fffa4ff,0xf94fffff,0xffffffff,0xfff9800d,0x3fff2004,0x06ffffff,
    0x3ffffe60,0x3f60ffff,0x4fffffff,0x7ffffffc,0x3ffe02ff,0x02ffffff,
    0x103fff90,0x7fe4dffb,0x3ff601ff,0xbfff10ff,0x013ffea0,0x7fffffe4,
    0xffffffff,0xffffffff,0x1df9005f,0x3fffa600,0x361fffff,0x01ffffff,
    0x3ffffffe,0xffffffff,0xffffffff,0x3ffffe63,0xfd04ffff,0xffffffff,
    0x7fff4c01,0x4c5fffff,0x7d44ffff,0x7f4c3fff,0x01ffffff,0x3fe21bf7,
    0xffff305f,0x3fffeebf,0xffffffff,0xffffffff,0xffffffff,0xf05fffd0,
    0x3fee3fff,0xffffffff,0xffffffff,0xffffffff,0x000000ff,0x3ffffffa,
    0xffffffff,0x3ffee4ff,0xf31fffff,0xffffffff,0xfffb8007,0x3ffe2005,
    0x06ffffff,0x7fffff40,0x7ffcc4ff,0x641fffff,0x7fffffff,0x7ffffdc0,
    0x6c400fff,0xfe882fff,0x3ffea0ff,0xfffd81ff,0x77ffcc6f,0x05fffa80,
    0xffffffc8,0xffffffff,0xffffffff,0xfffa805f,0x3bffd005,0xfd9bff66,
    0x201fffef,0xfffffffe,0xffffffff,0x2fffffff,0x3b7ffffa,0xc982ffff,
    0xffb989ab,0x7dfff303,0x49fffb53,0x4c3ffff8,0x3e22ffff,0xffffffff,
    0x27ffdc1f,0x881dfff5,0xf54fffff,0xffffffff,0xffffffff,0xffffffff,
    0x7ffe4fff,0x267ffd80,0xffffffff,0xffffffff,0xffffffff,0x00006fff,
    0x567fff40,0xfffcaaaa,0xfda885ff,0x7fd40eff,0x002adfff,0x005fffb8,
    0xffcaaa98,0xfe98006f,0x7c43ffff,0x00bfffff,0x43dfffd1,0x2e64eee9,
    0x8803ffff,0xf982fffe,0xffd81fff,0x3ff61fff,0xff981fff,0xfffb81ff,
    0x3ff6200e,0xffffffff,0xffffffff,0x4c05ffff,0x404fffff,0xff885ff8,
    0x7fec260f,0x3fff6a01,0xffffffff,0xffffffff,0x33ffee4e,0x01bffea0,
    0x83ff4666,0xff103ffd,0x17fffc5f,0xe87fffe2,0xffffffff,0xfff72fff,
    0xfffe989f,0x0ffffec1,0xddddddb7,0xdddddddd,0xdddddddd,0x6e4439dd,
    0x983b9102,0xdddddddb,0xdddddddd,0xdddddddd,0x000000bd,0x4c07ffec,
    0x405fffff,0x7dc5fffb,0x1002ffff,0x7ffdc157,0x50015cc5,0x2000dfff,
    0x4fffffd8,0x3ffffff3,0x8dfff700,0x2a0ffffc,0xf9807fff,0xffa82fff,
    0x3ff601ff,0xfffdafff,0x3fe601ff,0xfffb82ff,0x0000001e,0x440bfff9,
    0x2fffffff,0x7c405cc0,0x07ff607f,0x90000000,0xff901fff,0x3fffaa0f,
    0xff07ffff,0x24ffb80f,0xff81fffe,0xffff30ff,0xffffd11d,0x1fffffff,
    0x83fffd10,0x00000ac9,0x00000000,0x00000000,0xffb80000,0xfffff986,
    0x5fffb805,0x1bffffb1,0x3fffe200,0xaefffbbd,0x003ffffc,0x000dfff5,
    0xefffffc8,0x01efffff,0x41ffff30,0x323fffff,0x7d405fff,0xffb82fff,
    0xffd801ff,0xffffffff,0xffffa801,0x2ffffb83,0xfc800000,0x3ffa05ff,
    0x01ffffff,0x04ffe880,0x00007ff6,0x9ffd0000,0x887ffe60,0xfffffffe,
    0x3ff987ff,0x3f25ff80,0x7ffe80ff,0xb03bffe2,0xffffffff,0x4ffc805f,
    0x00000000,0x00000000,0x00000000,0x4c0ba800,0x005fffff,0xff5bfff7,
    0xb8007fff,0xffffffff,0xffffffff,0xfff5006f,0xff70000d,0xdfffffff,
    0xffff8001,0xdfffff52,0x701ffff4,0xfb07ffff,0x6c003fff,0xffffffff,
    0x3ffea001,0xffffc84f,0x64000003,0xffb05fff,0xfffffdff,0x7ff4c001,
    0x07ff600e,0xb0000000,0x3fee0dff,0x37fff60f,0x87ffbaab,0x7d405ff9,
    0x41ffee5f,0x6f546ffd,0xfffff700,0x32a005ff,0x00000000,0x00000000,
    0x00000000,0xff300000,0x5c00bfff,0xffffffff,0x7cc001ef,0xffffffff,
    0xffffffff,0xdfff5004,0x3fea0000,0x005fffff,0x369fffb0,0x89ffffff,
    0xfb01ffff,0xfe887fff,0xd8002fff,0x01ffffff,0xdffffb80,0x27fffec0,
    0xff900000,0xffff70bf,0xdffff91d,0xdfff5001,0x01ffd801,0x99999988,
    0x99999999,0xffc81999,0x27ffe81f,0x3fa06ff8,0x405fff07,0x3fea3ffe,
    0x00bff706,0x37fffa60,0x00000001,0x00000000,0x00000000,0x00000000,
    0x0bfffff3,0xfffffb80,0x03ffffff,0x7fffecc0,0xffffffff,0x3ea002ef,
    0x100006ff,0x3ffffffd,0x3ffee000,0xffffff8e,0x0ffffacf,0x3ffffe88,
    0x17ffffd4,0x7fffec00,0x744001ff,0x7cc4ffff,0x0003ffff,0x17fff200,
    0x41fffff5,0x405ffffd,0xb004fffc,0x7f5403ff,0xffffffff,0xffffffff,
    0x3fe65fff,0xffea9cff,0x47bfe24f,0xaffffb98,0x56fffd40,0x46ffec98,
    0xff505ff9,0x09880009,0x00000000,0x00000000,0x00000000,0x20000000,
    0x05fffff9,0xfffffb80,0x5fffffef,0xffda8800,0x0befffff,0x6fffa800,
    0xffe88000,0x02ffffff,0xcffff980,0xffffffff,0x2206fffc,0x444ffffd,
    0x002ffffe,0x3ffffff6,0xfd1001ff,0xff985fff,0x00001eff,0x32fffe40,
    0x885fffff,0x984ffffe,0x2002fffe,0x3fe01ffd,0xffffffff,0xffffffff,
    0x323fffff,0xffffffff,0x7ffe40ef,0xffffffff,0x7ffe40ff,0x0fffffff,
    0xf9827fc4,0x0000002f,0x00000000,0x00000000,0x00000000,0x7cc00000,
    0x0005ffff,0x11bffff7,0x07fffffd,0x3fffe200,0x20003fff,0x0006fffa,
    0x7fffff4c,0x003fffff,0xfffffff8,0xffffffdf,0xffb804ff,0xfffd84ff,
    0xfffd802f,0x1fffffff,0x77fff440,0x6ffffcc1,0xc8000000,0x3ffa5fff,
    0xfff103ff,0x7ffdc5ff,0x7fec001e,0x3ffffa01,0xffffffff,0xffffffff,
    0x7ffec2ff,0x881fffff,0xdffffffd,0xd506ffff,0x19ffffff,0x6d803b20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffd4000,0x80aa05ff,
    0xfd86fffb,0x8000ffff,0xfffffffe,0xff50001f,0x7cc000df,0xfd9fffff,
    0x4004ffff,0xfffffffd,0xffffffd9,0xfff3002f,0xffff709f,0x7fffec05,
    0xfffffd9f,0xbfffd101,0x07ffff30,0x7dc00000,0xffff54ff,0xffff9809,
    0x99ffff96,0x5cc9d999,0xccdfffcc,0x7fffed42,0xffffffff,0xefffffff,
    0xfffff504,0xbca88019,0x0013310a,0x00137753,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x640bffff,0xfff704ff,0x3ffff20b,
    0x7ffe4005,0x0effffdf,0x6fffa800,0xffff5000,0x7ffe41df,0xf7000dff,
    0x2adfffff,0x0fffffff,0x3fff6200,0x2fffe984,0x1fffffd8,0x07fffff6,
    0x307fffd1,0x0003ffff,0xfff98000,0x00bfff32,0x7ed7ffea,0xffffffff,
    0xffffd0ff,0x03ffffff,0x10000000,0x00000035,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffd400,0x999999ef,0xc886fff9,
    0xfd01efff,0x80135fff,0xf96ffff9,0x99809fff,0xefffb999,0x20099999,
    0x06fffffb,0x3dfffff7,0xfffff300,0x7ffffc7f,0xff90006f,0xfffb109f,
    0x7ffffdc5,0x7ffffd81,0x207bffa2,0x000efff9,0x9d900000,0x54005fb8,
    0xdddd90de,0x1ddddddd,0x3bbbbb6a,0x00004eee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff300000,0xffffffff,
    0xffffffff,0x3ffffa61,0x7cc4ffff,0x2fffffff,0x43ffffb0,0xc80ffffe,
    0xffffffff,0xffffffff,0x3ffea0ef,0x4c4fffff,0xffffffff,0x7fffc00d,
    0x3ffee0ff,0x2a0004ff,0xff702fff,0x3ffff21f,0x9ffff601,0xfb00dffb,
    0x0000009f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffa,0xffffffff,
    0xfff90fff,0x1fffffff,0xffffffc8,0x5fff906f,0x886fff88,0xffffffff,
    0xffffffff,0x3ffe4fff,0x1fffffff,0x3ffffff6,0x7f403fff,0x7fc45fff,
    0x40002fff,0x3e602fe8,0x03fff30f,0x74c7ff90,0x00175c03,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffea000,0xffffffff,0x0fffffff,0xfffffff9,
    0xff881fff,0x105fffff,0x3ba607fb,0xfffff882,0xffffffff,0x23ffffff,
    0xfffffffe,0x3fff20ff,0x02ffffff,0x417fffe4,0x001ffffd,0x10200100,
    0x004c0015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffea,
    0xffffffff,0xd910ffff,0x5bffffff,0x3ffffea0,0x4000001d,0xffffffda,
    0xffffffff,0x3f660cef,0x42dfffff,0xfffffec8,0xfffa803e,0x0ffff507,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_48_latin_ext_x[560]={ 0,9,5,2,3,3,4,9,11,5,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,10,6,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,3,1,2,0,
10,2,6,-1,5,1,-1,3,-1,-2,6,1,6,6,8,0,2,9,8,7,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,1,1,2,1,
2,1,2,1,2,0,2,-1,1,-1,1,-1,1,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,3,2,3,2,3,2,3,1,3,1,3,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,3,3,3,3,3,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,-1,-1,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_bold_48_latin_ext_y[560]={ 35,7,9,5,5,8,11,9,7,7,8,10,29,21,
30,5,7,7,7,7,8,8,7,8,7,7,16,16,10,16,10,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,5,8,6,43,6,15,8,15,8,15,8,15,8,8,
8,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,8,8,8,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,35,16,5,9,12,9,
8,8,8,9,7,17,20,21,9,2,4,5,7,7,6,16,8,18,33,7,7,17,7,7,7,16,0,0,0,2,
1,-1,9,9,0,0,0,1,0,0,0,1,9,2,0,0,0,2,1,14,7,0,0,0,1,0,9,8,6,6,
7,8,8,6,15,15,6,6,7,8,6,6,7,8,8,8,6,6,7,8,8,11,14,6,6,7,8,6,8,8,
3,10,0,7,9,15,0,6,0,7,1,7,0,7,0,8,9,8,3,10,0,7,1,7,9,15,0,7,0,7,
0,7,1,7,9,5,0,0,9,8,2,8,3,10,0,7,9,8,1,16,9,8,0,7,9,8,16,0,-1,9,
8,9,8,9,8,9,8,0,6,9,15,0,7,9,9,15,3,10,0,7,0,6,9,15,0,6,9,15,0,7,
0,6,0,7,9,15,0,7,9,9,0,8,9,9,2,8,3,10,0,7,-1,6,0,6,9,16,0,7,0,7,
1,0,6,1,7,0,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,14,8,8,8,8,8,8,8,8,8,8,8,8,8,4,15,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,7,0,7,0,
7,0,7,-1,3,-1,0,-1,0,-1,0,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-9,-2,0,6,0,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_48_latin_ext_w[560]={ 0,7,15,21,19,20,20,7,10,10,19,23,10,19,
7,19,19,19,20,21,19,21,19,19,19,19,7,10,25,25,26,18,19,28,25,23,24,24,23,25,25,19,25,26,
24,28,27,25,23,25,27,21,23,26,28,27,26,25,20,11,19,10,19,30,9,24,26,23,26,23,22,25,25,21,
17,24,21,28,24,23,26,26,23,20,23,25,26,27,25,25,20,12,5,13,21,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,19,23,21,25,
5,22,14,27,16,23,25,19,27,30,14,23,13,13,9,25,22,7,9,12,15,23,26,29,26,19,28,28,28,28,
28,28,28,23,24,24,24,24,19,19,19,19,25,27,25,25,25,25,25,18,26,26,26,26,26,25,23,23,24,24,
24,24,24,24,27,23,23,23,23,23,21,21,21,21,22,24,23,23,23,23,23,23,25,25,25,25,25,25,26,25,
28,24,28,24,29,26,23,23,23,23,23,23,23,23,24,29,25,26,24,23,24,23,24,23,26,23,24,23,25,25,
25,25,25,25,25,25,25,25,25,25,19,21,19,21,19,21,19,21,19,21,26,25,25,17,26,24,25,24,21,24,
21,24,21,24,22,25,21,27,24,27,24,27,24,26,24,22,25,23,25,23,25,23,28,27,27,23,27,23,27,23,
21,20,21,20,21,20,21,20,23,23,23,26,23,24,26,25,26,25,26,25,26,25,26,25,26,26,27,27,25,25,
25,20,20,20,20,20,20,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,28,25,22,22,22,22,22,22,22,22,22,22,22,22,22,29,28,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,24,19,21,25,
23,26,25,26,25,26,25,26,25,26,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,28,24,28,27,26,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__courier_bold_48_latin_ext_h[560]={ 0,29,12,34,36,28,25,13,35,35,19,25,13,4,
6,35,29,28,28,29,27,28,29,28,29,29,20,24,25,14,25,27,32,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,33,26,27,26,27,26,26,26,26,26,34,35,34,15,5,8,21,28,21,28,21,27,29,27,27,
36,27,27,20,20,21,29,29,20,21,27,20,19,19,19,28,19,34,34,34,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,28,32,26,21,26,
34,31,5,27,13,18,15,4,27,5,14,30,15,16,8,28,31,7,10,15,13,17,28,28,28,28,35,35,35,33,
34,36,26,34,35,35,35,34,35,35,35,34,26,33,36,36,36,34,35,18,32,36,36,36,35,35,26,28,30,30,
29,28,28,30,21,28,30,30,29,28,29,29,28,27,28,27,30,30,29,28,28,24,25,30,30,29,28,38,36,36,
32,26,35,29,32,26,36,30,36,29,35,29,36,29,35,28,26,28,32,26,35,29,34,29,32,27,35,29,36,37,
36,37,35,37,35,39,35,35,26,27,33,27,32,25,35,28,32,33,34,19,27,36,36,37,35,36,19,35,36,35,
36,26,27,26,27,26,27,35,29,35,29,35,28,26,27,29,33,26,36,29,36,30,26,21,35,29,35,29,35,28,
36,30,36,29,35,28,36,29,38,37,35,28,26,27,34,28,33,26,36,29,37,30,36,30,32,25,35,28,35,37,
34,35,29,34,28,35,28,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,34,27,27,27,
27,27,27,27,27,27,27,27,27,27,28,22,27,27,27,27,27,27,27,27,27,27,27,27,27,32,21,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,35,29,35,28,36,
29,36,29,37,33,37,36,37,36,37,36,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,44,38,35,30,39,33,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__courier_bold_48_latin_ext_s[560]={ 511,501,358,48,491,27,1,502,356,501,48,
22,501,30,406,282,25,144,23,383,492,1,244,404,288,199,502,501,456,284,68,
97,80,219,248,144,351,376,401,168,425,53,194,451,146,55,171,248,225,226,329,
274,98,320,300,27,139,113,409,84,134,481,237,460,396,145,70,198,337,346,369,
331,417,443,104,392,347,370,399,222,304,90,424,325,296,448,474,116,90,70,1,
492,116,70,374,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,
465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,511,494,461,
488,246,1,505,175,445,220,325,144,211,30,116,414,310,323,257,496,502,484,152,
502,496,271,342,187,194,221,251,174,245,94,176,169,378,483,84,24,123,43,331,
353,440,481,23,307,299,198,256,430,171,407,482,168,434,456,282,144,404,456,478,
472,372,347,184,289,264,421,268,424,51,27,209,448,162,140,97,75,314,301,470,
397,477,240,216,95,430,75,1,308,44,83,23,334,51,357,250,334,377,382,104,
446,80,175,380,127,206,429,327,164,27,388,100,195,302,359,122,405,125,1,431,
151,439,158,180,291,1,389,81,30,27,154,325,49,252,447,481,46,180,194,1,
147,96,68,373,128,154,344,107,309,22,225,360,200,408,274,351,73,278,199,400,
279,233,352,258,53,119,249,422,117,325,276,219,1,382,245,166,170,254,66,226,
453,148,364,1,224,197,383,1,415,122,283,109,415,367,457,122,326,454,1,272,
1,50,357,264,198,77,297,407,482,303,96,68,211,327,205,45,433,124,460,436,
469,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,25,465,465,1,
465,465,465,465,465,465,465,465,465,465,465,465,465,145,119,465,465,465,465,465,
465,465,465,465,465,465,465,465,21,296,465,465,465,465,465,465,465,465,465,465,
465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,274,219,
391,48,230,264,53,101,362,299,317,1,237,27,184,465,465,465,465,465,465,465,
465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,
465,465,465,1,133,411,269,56,351,465,465,465,465,465,465,465,465,465,465,465,
465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,
465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,
465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,465,
465,465,465,465,465,465,465,465,465, };
static unsigned short stb__courier_bold_48_latin_ext_t[560]={ 1,192,487,192,1,350,461,407,83,83,487,
461,461,41,487,120,291,321,321,260,350,321,260,291,260,260,227,260,434,487,461,
379,227,407,407,379,407,407,407,379,407,434,379,407,434,407,434,379,434,192,434,
379,434,379,434,407,407,407,434,192,156,156,487,487,487,461,321,461,321,461,379,
291,379,379,83,379,379,461,461,461,291,291,461,461,379,461,461,487,487,350,487,
156,192,192,487,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,1,227,192,
379,461,407,156,227,487,379,487,487,487,41,379,487,487,227,487,291,421,321,227,
248,308,487,487,487,350,350,350,350,83,120,120,192,156,46,407,192,120,120,83,
156,83,83,120,156,407,192,46,46,83,156,120,487,192,46,46,83,120,120,407,
291,227,227,291,321,321,227,461,291,260,260,291,291,291,291,321,379,321,350,227,
227,260,321,321,461,434,260,260,260,321,1,83,46,227,434,156,260,192,434,46,
227,46,260,120,260,46,260,120,321,434,321,227,407,120,260,192,260,227,379,120,
260,1,1,46,1,156,1,156,1,156,156,407,379,192,350,192,461,156,321,227,
192,192,487,350,46,46,1,156,46,487,156,46,156,46,407,350,434,350,434,350,
156,291,120,291,156,321,434,350,291,192,434,83,291,46,227,407,461,120,291,120,
260,120,321,83,227,83,291,120,321,83,291,1,1,83,321,434,350,156,350,192,
434,83,291,1,227,83,227,192,434,83,350,120,1,156,120,291,156,350,83,321,
350,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,192,
379,379,379,379,379,379,379,379,379,379,379,379,379,350,461,379,379,379,379,379,
379,379,379,379,379,379,379,379,227,461,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,83,260,
83,350,46,260,46,260,1,192,1,46,1,46,1,1,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,
379,379,379,1,1,83,227,1,192,379,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379, };
static unsigned short stb__courier_bold_48_latin_ext_a[560]={ 407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_48_latin_ext(stb_fontchar font[STB_FONT_courier_bold_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_48_latin_ext_s[i] + stb__courier_bold_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_48_latin_ext_t[i] + stb__courier_bold_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_48_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_48_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_48_latin_ext_x[i] + stb__courier_bold_48_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_48_latin_ext_y[i] + stb__courier_bold_48_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_48_latin_ext_s[i] + stb__courier_bold_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_48_latin_ext_t[i] + stb__courier_bold_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_48_latin_ext_x[i] + stb__courier_bold_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_48_latin_ext_y[i] + stb__courier_bold_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_48_latin_ext_LINE_SPACING
#endif

