// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_29_latin_ext_BITMAP_HEIGHT        220
#define STB_FONT_times_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_29_latin_ext_NUM_CHARS            560

#define STB_FONT_times_29_latin_ext_LINE_SPACING          19

static unsigned int stb__times_29_latin_ext_pixels[]={
    0x002aa600,0x04000000,0x00002000,0x20005530,0x998001aa,0x06a60000,
    0x01988000,0x00204400,0xaaaaa980,0x0aa80001,0x00000400,0x00004cc0,
    0x00100300,0x4c018000,0x00000009,0x00000266,0x0002aa20,0x00070190,
    0x00007109,0x76401771,0x0ffe2005,0x004c4000,0x00bfb000,0x0013fa00,
    0x88001e44,0xbccbcddb,0x00fb5001,0x003fe800,0x4000ef98,0x20005ffb,
    0x200006d8,0x40003ffd,0x0004c9cd,0x13fffff6,0x0013e000,0x03fa0bf3,
    0xff502da8,0x3992200d,0xdf3007c0,0x01f75c00,0x6ffa807c,0x0000b6a0,
    0x0003ffe6,0x009f9000,0x16c3f300,0xe8875400,0x47cc0001,0x7fff304d,
    0x0037cc00,0x007ffc40,0x0077c400,0x002fc400,0x91000170,0x06dcc05b,
    0x000ffb70,0x80027c40,0x7c4001fc,0x40002fdc,0x5f500004,0x440001fd,
    0x4c0005ed,0x001aaaaa,0x54001cc0,0x01ff886f,0x667c4099,0x206d402f,
    0x401f00d9,0x4b1006fa,0xe807c00d,0x26403fcc,0x3ef7a000,0x7c000004,
    0x3f200005,0x3a0005db,0x80004eaf,0x53a0374e,0x3ea000fd,0x5eec0000,
    0xfa80004f,0x0d500000,0x002be800,0xf9800ba6,0x001fe200,0x20005b80,
    0x23c8001e,0x0b98006b,0x74000191,0x20009b11,0x001910b9,0x06442e60,
    0x910b9800,0x9804c001,0x6401f101,0x05a81ae3,0x003e03e2,0xc9260013,
    0x25c07c02,0x07c401f5,0x3ea4a800,0xd3000000,0x7c400001,0x260001ff,
    0x40000fff,0x21d402f9,0x01dc004b,0x0f4cb300,0x00072000,0x40000c80,
    0x3d3006fd,0xf80d3000,0x03200007,0x4001cc00,0x40029828,0x007f72fc,
    0x002e02a0,0x1fdcbf20,0xf72fc800,0x4bf20007,0x000003fb,0x20e206b8,
    0x401f9839,0x0000f85b,0x40355740,0x1cc1c40f,0x1c000fa0,0x800001c4,
    0x9800000b,0xaa80002a,0x0fc80001,0x800180c0,0x220e0001,0x000c0004,
    0x00072a00,0xf8802c88,0x80ea0001,0x0000007f,0x00000200,0x14451000,
    0x00000000,0x00014451,0x00014451,0x00014451,0x0007f800,0x17c01ba0,
    0x1000003e,0x01f00177,0x003fc000,0x00000000,0xba880000,0x2aa00abd,
    0x981aaaaa,0x401aaaaa,0x000007f8,0x055edd44,0x40000000,0x00abdba8,
    0x0766f200,0x13600000,0x20583060,0xa880007f,0x1220acdb,0x8003edc8,
    0x8e09bca8,0x1aaaaaaa,0x1aaaaa98,0xacdca880,0xaaaa8150,0xaa981aaa,
    0x55551aaa,0x55303555,0x2aaa3555,0xa981aaaa,0x0001aaaa,0x54403fe0,
    0x542aaaaa,0x41fb003f,0x5554000f,0xa981aaaa,0x01f1aaaa,0x0e157b73,
    0x554c3fc4,0x55511aaa,0xaa981555,0xaa8801aa,0xaaaaaaaa,0xfc802aaa,
    0x03fda9ac,0x15dffd51,0x15dfb310,0x27bf6a20,0x006da801,0xfb5359f9,
    0x2aaaa607,0x555542aa,0x3f200aaa,0x03fda9ac,0x002ccd00,0x881aa000,
    0x45f9dadc,0x7e45fe05,0x57f9004e,0x0b67fb73,0x5c00d24c,0xdfdaacee,
    0x3ffaa26d,0xfd9880ae,0x3bae00ae,0xedfca9ac,0x77ff5440,0xefd9880a,
    0xdffd510a,0xdfb31015,0x3ffaa215,0xfd9880ae,0x436d40ae,0x2fe80fc9,
    0x7fff9310,0x5000fe83,0xb5007c9f,0x77ff544d,0xefd9880a,0xdfc81f0a,
    0x507efdba,0xfff710df,0x3ffaa219,0x7fd4409e,0xff93000b,0xb99999ff,
    0x0f74c0ff,0xf900efa8,0x05f3005f,0x4cefeca8,0x2037fe40,0xdf501ee9,
    0xeffd9881,0x7ffd4c0a,0x1ee9809c,0x8001df50,0x8800770d,0x999bdddd,
    0x1f441360,0x01b87fd1,0xfffdd1ff,0x80f74c0d,0x8ae04ffa,0x03fc800d,
    0x3ff21bee,0x202f9802,0x3a204fd8,0x05ff901f,0x3f205f30,0x02f9802f,
    0xf3005ff9,0x46ffc885,0xfc80ffeb,0x985ff802,0x9be6007f,0x0dfd900f,
    0xf3005ff9,0x0bf20f85,0x2fd41fea,0xf301ff90,0x003e809f,0x00ffbf88,
    0x0bfa01d1,0x3ea0df70,0x001f000f,0xfa800bf6,0x2017f406,0x7ff106fb,
    0x7407fc80,0x037dc02f,0x0033b660,0x3fe64f88,0x203f13ff,0x541ff86d,
    0x223bff02,0xff882ffd,0x1037e402,0xf900b75d,0xf50f700b,0x803e001f,
    0x2f9804fd,0x2001ff50,0x01ff500f,0x7fd403e0,0x2a01f000,0x80ff886f,
    0x09ff007b,0x7c400df7,0x6fa803e7,0xf000ffa8,0x0df10f81,0x407f03d4,
    0xbfd02ff9,0x40007c40,0x200ffadb,0x806fc80c,0xffa83ff8,0x2001f000,
    0x3e6001fe,0x201bf206,0xff883ff8,0x9037e402,0x7ff100df,0x000fa800,
    0x0bfa0fdc,0x107f20d5,0x3e0370df,0xc86fe81f,0x7f74c06f,0x200ae203,
    0x0d000efc,0x3e001ff5,0x400ff700,0x01ff502c,0x7fd403e0,0x2a01f000,
    0x01f000ff,0x07fc1bea,0x4fe8026c,0x7c005fc8,0x6f98051f,0xf000ffa8,
    0x0df30f81,0xd01b2078,0x03fee0bf,0x8e8002d4,0x20200ffa,0xf9002ff9,
    0x00ffa81f,0xff1001f0,0x306f9800,0x3f2005ff,0x402ff80f,0x5ff306fc,
    0x003ff200,0x7c003fd8,0x2dc5fc87,0x27d427d4,0x2e0ff02c,0x017fcc7f,
    0x01ff93d1,0x007ff000,0x03fea05c,0x3ff807c0,0x7d40a200,0x201f000f,
    0x1f000ffa,0x4003fea0,0x20df300f,0x001d40ff,0x09fb09fd,0x3002ff80,
    0x01ff50df,0x261f03e0,0x701602ff,0x407fdc05,0x05b02ff8,0x3fea9700,
    0x07fe4000,0x542ffa80,0x01f000ff,0x9800bf50,0x01ff906f,0x3e0bfea0,
    0x837e402f,0xf5000ffc,0x3fe6005f,0x03fe2006,0xd84c8df5,0x582fc80f,
    0x7fcc1fe0,0xe807ff20,0xb887ff52,0xf301deec,0xfa80005f,0x301f000f,
    0x200003ff,0x1f000ffa,0x4003fea0,0x01ff500f,0x37cc03e0,0x01d30ff8,
    0xfe84fe80,0x027f4004,0xffa86f98,0x0f81f000,0x00413ffe,0x7fc40f4c,
    0xf05ffa82,0x2a1d0001,0x360900ff,0x3fe6007f,0x8007fd44,0x03fc800f,
    0xfd837cc0,0x13fe6007,0xdf900bfe,0x9801ff60,0xfb9004ff,0x1ff4005f,
    0xf07b0bee,0x930ff30b,0xff883fc0,0x6403ff60,0xdd13fe64,0x7dc07fcc,
    0x7d40001f,0x701f000f,0x540000ff,0x01f000ff,0x7c003fea,0x001ff500,
    0x837cc03e,0x0032a0ff,0x4fd84fe8,0x801ff400,0x0ffa86f9,0x20f81f00,
    0x002efff9,0xbfb015c4,0xa81ffdb0,0x2a4b8005,0xf04a80ff,0x7fc400ff,
    0x8007fd45,0x01fe800f,0xff837cc0,0x17fe2007,0xdf900bfe,0x8801ffe0,
    0x8f8805ff,0x3ea005fd,0x22643f45,0x85fd83fa,0x441fe01d,0xb83ffc6f,
    0xf52ffc45,0xfd82fe87,0xffa80007,0xfb01f000,0xaaaa880f,0x07fd41aa,
    0xff500f80,0x5403e001,0x01f000ff,0x07fc1be6,0x4fe800f4,0x7c005fc8,
    0x0df3002f,0x3e001ff5,0x3fea07c0,0x69801dff,0x220ffa80,0x16c3ff8f,
    0xfa83e200,0x4feccccf,0xf800dff0,0x007fd46f,0x3fc400f8,0xf837cc00,
    0x37fc006f,0x4cccdffc,0xf06fc999,0x6ff800df,0x1ff55b80,0x75f7d400,
    0x7e46b81d,0x2e1fe643,0x4c07fc02,0x4c3ffc5f,0x2a6ff80e,0x7c1fe41f,
    0xfa80006f,0xf01f000f,0xff7100ff,0x01ff505f,0x7fd403e0,0x2a01f000,
    0x01f000ff,0x07fc1be6,0x4fe80364,0x7c005fa8,0x7cc01b1f,0x000ffa86,
    0xc880f81f,0x7404ffff,0x23ff8804,0x7c4dfb5a,0x2a264000,0xebaaabff,
    0x400ffd04,0x7fd45ff8,0x9801f000,0x6f98005f,0x4400ffd0,0xcdff85ff,
    0xfecccccc,0x400ffd06,0x1e805ff8,0x8d8013fe,0x507d4018,0xf75911df,
    0xf0112545,0xe81f901f,0x207a20ff,0x75404ff8,0x007ff84f,0x000ffa80,
    0x01fff01f,0x7d417fe0,0x201f000f,0x1f000ffa,0x4003fea0,0x20df300f,
    0x00fc80ff,0x6f984fe8,0x7c3fe200,0x2a1be600,0x81f000ff,0x3ffa600f,
    0x009f105f,0xf52d97f6,0x10016a1f,0xffb999bf,0x3f609301,0x7ff3000f,
    0xf000ff98,0x0007f700,0x3ff60df3,0x07ff3000,0x6fc805ff,0x2001ffb0,
    0x35403ff9,0x2ec01fee,0xff88be00,0xb7bf31ff,0x5ff80c89,0x7fe427cc,
    0x7fcc0ba1,0xfcadc883,0x001ffd84,0x8007fcc0,0x005ffb07,0x7fcc13fa,
    0x7cc0f000,0x4c0f000f,0x40f000ff,0x01ff07fa,0x9fd005fb,0xf9801fe0,
    0x6f9803e5,0xf000ff98,0xff7001f0,0x00bf507f,0xf1e23fea,0x9000b67f,
    0xff733339,0x7fe41201,0x85ff5001,0x78801ff9,0x8000fd80,0x3ff906f9,
    0x20bfea00,0x37e402ff,0x5001ffc8,0x42d805ff,0xff802ff8,0x81ccdeee,
    0x5415c44c,0xff04981b,0x207fb7d9,0x409b3ffb,0x1fd41ffb,0x5ff909f7,
    0x1ff98000,0xff907880,0x413fa009,0x78801ff9,0x2007fe60,0x07fe6078,
    0x7f641e20,0x407fc2df,0x3fe801fe,0x2e003f90,0xf9803e1f,0x801ff986,
    0x0310f878,0x7cc37fcc,0x2effe006,0x03c77e45,0x7fd41a20,0x27fc4000,
    0xf886fc80,0x8069801f,0xbf30005f,0x4013fe20,0x05ff06fc,0xff106fc8,
    0x01bf2009,0x01bf60f3,0x3fffffea,0x007445ff,0x7f807400,0xff880331,
    0x37e405bc,0x09f70fea,0x08009ff1,0x4c00ffc4,0x00dff106,0x7fc413fa,
    0x22069801,0x069801ff,0x26007fe2,0x41fe0006,0x2fe800ff,0x374013a0,
    0x85f9803e,0x69801ff8,0xb80930f8,0x03fc40ff,0xa85bdf90,0x6c005cff,
    0x001ff503,0x400ffb83,0x9ff01ff8,0xf8809700,0x09f30003,0x22007fdc,
    0x05ff01ff,0x3ee06fc8,0x0ffc400f,0x3bbbbf20,0x5c01ffee,0xf9553313,
    0x40006983,0x001fe02d,0x8803bfea,0x207f40ff,0x3ff904fb,0x3fe02a00,
    0x2e04b804,0x4fe804ff,0x2e013fe0,0x4027fc04,0x027fc04b,0xff00025c,
    0x7f401f60,0x2a01a601,0xf3007c1f,0x2013fe09,0x0d30f84b,0x0bf07f98,
    0xf83ffcc0,0x1a6002ff,0x5c00ffa8,0x6404fe81,0x03bea04f,0x7dc00fa8,
    0x07f30000,0x7e404fe8,0x900bfe04,0x04fe80df,0x3e2027e4,0xe9999999,
    0x201aa05f,0x000db81c,0x1fe016c4,0x2027ec00,0x42ff82fd,0xfe8814fd,
    0xa80d401f,0x03ea00ef,0xe805ff90,0x03bea04f,0x7d400fa8,0x003ea00e,
    0x7d401df5,0x417e0000,0x3a3d887a,0x6c04c807,0x3e600f82,0x401df503,
    0xf30f80fa,0xf827dc07,0x827fc002,0x1f4007fc,0x4c01ff50,0x6c13f207,
    0x0efc803f,0x4c817dc4,0x51d4005d,0x413f200f,0x3fe203fd,0x403fe403,
    0x07fb04fc,0xffb80b70,0x5880bf00,0x2002ba60,0x7fc401db,0x7ef44000,
    0x3207fb04,0xefddaaef,0x37dfb02b,0x7e401c98,0x017dc40e,0x880affa8,
    0x77e404ff,0x8017dc40,0x7dc40efc,0x81df9002,0x26002fb8,0x7403f10c,
    0x7c4ffd42,0x902d8802,0x0ca83e09,0x0efc80f5,0x0f817dc4,0xf9819ff3,
    0x8006a80e,0x09f301fc,0xf900fe40,0x09f7105f,0xfdcdeea8,0x3ff2000d,
    0x202efedf,0x74004cde,0x2001ebff,0xdfdcdeea,0x027fcc00,0x2a003ffa,
    0x0dfdcdee,0xf8803d00,0xbdff883f,0x2200ecc1,0xa99aceeb,0xff5002ec,
    0xd33d8005,0x01bfb9bf,0x4c6ffec4,0x7edc02ff,0x001ceeff,0xdfdbfff9,
    0xfec88005,0x01dfdcbd,0xfdbfff90,0xffc8005d,0x002efedf,0x7f6fffe4,
    0x7fe4002e,0x15c403dc,0x000f3ffa,0x3e02c857,0x076fbfa0,0x3b7fff20,
    0x4c3e02ef,0xffcefdbd,0x000db80c,0x01740698,0x2277fec4,0xffffffda,
    0x002fffff,0x300002a6,0x51001355,0x59710001,0x054c0001,0x7fffe4c0,
    0x7fff5c2d,0x153000be,0xb007b800,0xffb301ff,0x001bffff,0x1abcca98,
    0x33332e00,0x54c0a004,0x02044001,0x0002a600,0x0009aa98,0x00335300,
    0x004d54c0,0x026aa600,0x13553000,0x0de54000,0x01985100,0x004c2200,
    0x0acb8832,0x04d54c00,0x22088640,0x035009a9,0x00c01800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0xbff9005f,0x01acb980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x70000000,0x2205bfff,0x02effffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05ff8800,0x88000000,0xff500009,0x6f5c0001,0x01310000,0x037ec000,
    0x017fd400,0x001bd700,0x00000000,0x6f9b7cc0,0x07fdc000,0x02e02e00,
    0x4002f640,0x22000501,0x40200300,0x80000008,0x400040a8,0x00200501,
    0x0fbbbba0,0x27e53f20,0x2aaa0040,0xaaaaaaaa,0x7c4002aa,0x20e2003f,
    0x0bb88038,0x005ff300,0xfefc8002,0x5df70002,0xff880144,0x7f90000f,
    0x3ffe2000,0xfff88004,0x1df00000,0xffdd0000,0x07fa0001,0x88bbee00,
    0x6cbf3002,0x47ee001f,0x740001fb,0x2f88001f,0x7fd400f2,0x8de4002f,
    0x360004b9,0x5c00ea21,0xfb802442,0xfffa8003,0x7900090b,0xb3012e63,
    0x9998003f,0x26d804fb,0x05f9806d,0x3fbbbbfe,0x0fffeeef,0x0013ea00,
    0x0074c372,0x400fc4f2,0x75c403fc,0x363d1006,0xfdd98006,0x9001dbef,
    0x4000bf7d,0x2b90005d,0x6ec001fc,0xa80004fb,0x5b80001f,0xf10009d3,
    0xfbb10005,0x200397df,0x00ffe7fb,0x001324d8,0x40005f10,0x2006dcfb,
    0x4007d8be,0x00fffff9,0x3fbfea00,0xdff1000f,0x3f6007fd,0xfc9b8006,
    0x98004dff,0x200fffff,0x0001ffca,0x8be013ea,0x06fa802f,0x1ff985f1,
    0xbb000fcc,0x2bbe2000,0x3634403f,0xc804e806,0x819006fe,0xb314003b,
    0x366009ff,0x40005d30,0x224c000e,0x9966005a,0x0e40001e,0x22244000,
    0x025c000d,0x3ff66280,0xa8ae2004,0x1b16000b,0x003a8000,0x002ffe80,
    0x4004b877,0x0000bec8,0x001cfda8,0x001f7ecc,0x43000391,0x20004eb8,
    0xf000bec8,0x7d40003f,0x0b12c404,0x848804c0,0x01b81ff9,0xa80003a0,
    0x45c806ff,0x002c407d,0x40200df5,0x04404001,0x00910700,0x06000440,
    0x88380044,0x000c0004,0x00020080,0x44040005,0x00000000,0x18000183,
    0x05530000,0x000180c0,0x00000000,0x00000020,0x00000000,0x0001fe80,
    0x411013ea,0x31000008,0x3103ff30,0x00002200,0x3f2006aa,0x01100220,
    0x88037cc0,0x000abdba,0x0abdba88,0x55400100,0x981aaaaa,0x001aaaaa,
    0x54000000,0x81aaaaaa,0x51aaaaa9,0x03555555,0x03555553,0xaaaa8800,
    0x55554c01,0x5540001a,0x981aaaaa,0x801aaaaa,0x0e09bca8,0x04de5440,
    0x55500007,0x53035555,0x10035555,0x2a159b95,0x00000000,0x55555554,
    0xaaaaa981,0x5edd4401,0x01fe800a,0x1013ea00,0x00157b75,0x0ffcc000,
    0x06aaaa20,0x35555530,0x2157b730,0x001df503,0x1c2af6e6,0xfc806f98,
    0x03fda9ac,0x2a6b3f20,0x3f6603fd,0xffd51001,0xfb31015d,0x3bbb215d,
    0x9a775c2d,0x81aaaaaa,0x11aaaaa9,0x015dffd5,0x215dfb31,0x0aeffea8,
    0x0aefd988,0xb85bddd9,0xff9314ee,0x7ecc401f,0xbddd90ad,0x514eeb85,
    0x1015dffd,0x4015dfb3,0xfdaaceeb,0x775c06dd,0x6ddfdaac,0x37bbbb10,
    0x3faa2133,0xd9880aef,0x3ae00aef,0xdfca9ace,0x3776200e,0x880999bd,
    0x999bdddd,0x5dffd510,0x5dfb3101,0x4d67e401,0x7f403fda,0x13ea0001,
    0xda9acfc8,0x3000003f,0xc98803ff,0x26200fff,0x7e40adfd,0x07efdbad,
    0xf9007ff6,0x0fdfb75b,0xee981be6,0x401df501,0xdf501ee9,0x01ffca81,
    0x4017fe40,0x1ffc82f9,0x7fe44bb0,0xfa880aff,0x7fe40aef,0x902f9802,
    0x5f3005ff,0x3603ff90,0x00dff505,0x3ff903f3,0x3ff21760,0x402f9802,
    0x1bee03fc,0x3ee03fc8,0x3e64f886,0x7fe43fff,0x202f9802,0x3a204fd8,
    0x4c9f101f,0x7c43ffff,0x0ffffe64,0xf3005ff9,0x80f74c05,0x3fd00efa,
    0x016f76cc,0x3dd309f5,0x5403bea0,0x7fcc006d,0x1bfea001,0x3f207e60,
    0x2e07fa82,0x5f902ffe,0x3e60ff50,0x700bfa06,0x017f40df,0x0ffc1bee,
    0x003fea00,0x03fe807c,0x0dff503f,0x3ea01dd0,0x201f000f,0x1f000ffa,
    0x0fc0ffa0,0x8809fff0,0x207fd00f,0x00ffa81f,0x2fe401f0,0x5fc83dc0,
    0x1fb87b80,0xffa817f4,0x6c03f000,0x02f9804f,0x02fe83f7,0x02fe83f7,
    0x3e001ff5,0x700bfa00,0x907fa0df,0x09f5003d,0x6fb805fd,0x0037fe44,
    0xf0007fe6,0x0f8809ff,0x0f5037c4,0x21ffe46e,0x41ea06f8,0x0df906f9,
    0xf907ff10,0x07ff100d,0xfa8003fd,0x201f000f,0x206a86fa,0x3e601ffd,
    0x003fea01,0x0ffa807c,0x3ea01f00,0x77c06a86,0x807c03ff,0x506a86fa,
    0x03e001ff,0x680077e4,0xd000efc8,0x0bf90ff0,0x7c003fea,0x400ff700,
    0xf90ff02c,0x3f21fe0b,0x001ff505,0x037e403e,0x7f41ffc4,0x54003ae1,
    0x4037e44f,0x6fa83ff8,0x00ffcc00,0x00fffbe0,0x406f981f,0x7fe44a87,
    0x0f01be61,0x3fe61be6,0x41ff9002,0xf9002ff9,0x001fe81f,0xf8007fd4,
    0x5b0bfa00,0xb037fc40,0x00ffa807,0x3fea01f0,0x7401f000,0x3e016c2f,
    0x3e01ffe9,0x5b0bfa00,0x4003fea0,0x007ff00f,0x00ffe05c,0x03fe20b8,
    0x3fea0df5,0x3e01f000,0x20a2003f,0x37d40ff8,0x3ea07fc4,0x001ff506,
    0x0bfe603e,0x3a07fe40,0xa800b71f,0x00bfe64f,0x3ea07fe4,0x0ffcc006,
    0x3ffa7e00,0xff303e01,0x416c2c05,0x0bfe65fc,0x90df3058,0x3ea001ff,
    0x003ff22f,0x3fa17fd4,0x07fd4001,0x3ee00f80,0x3ea01e26,0xa806a83f,
    0x01f000ff,0x7c003fea,0x789bee00,0xffe88f80,0x7dc01f00,0xffa81e26,
    0xf301f000,0x7cc0005f,0x7f40002f,0xfa817dc3,0x301f000f,0x200003ff,
    0x817dc3fe,0x817dc3fe,0x1f000ffa,0x2001ff90,0x4ff42ffa,0x4fa8005c,
    0x54003ff2,0x037cc2ff,0x0007fe60,0x01ffd11f,0x13ffe03e,0x7d827c04,
    0x00827ffc,0x0ffb0df3,0xfb27fcc0,0x27fcc00f,0x27f5c7fa,0x2001ff50,
    0xb8ffc00f,0x41ffb004,0xffa801f8,0x2a01f000,0x01f000ff,0x00971ff8,
    0x41bfe61f,0xb8ffc00f,0x003fea04,0x0ffdc07c,0x03ff7000,0x745fa800,
    0x003fea07,0x03fdc07c,0xe8bf5000,0xfd17ea07,0x8007fd40,0x007fd80f,
    0xbfd13fe6,0x9f5000df,0xf3003fec,0x006f989f,0x2000ffcc,0x20dff30f,
    0xefff980f,0xa81fd802,0x177ffcc6,0xff86f980,0x97fe2007,0x3e2007ff,
    0x6e4ff45f,0xff503ffc,0x7003e001,0x44007abf,0x401325ff,0x1f000ffa,
    0x4003fea0,0xeafdc00f,0x3ea0f801,0x5c00f85f,0x7d403d5f,0xb01f000f,
    0xfd8000ff,0xdf500007,0x7d403bd7,0xb01f000f,0xaaa880ff,0xefa81aaa,
    0x7d401deb,0x2a01debe,0x01f000ff,0x7c400fff,0x7f57f45f,0xf27d4004,
    0x7fc400ff,0x20037cc5,0x7c001ff9,0x3e17fea0,0xbffff500,0x20ffd403,
    0xffffa84a,0x437cc01d,0x7fc006ff,0xf001bfe6,0x20dfe8df,0x1ff507f9,
    0x3e003e00,0x7d4005cf,0x2a0069af,0x01f000ff,0x7c003fea,0x05cff800,
    0x3ffc81f0,0x67fc007c,0x007fd405,0x06ff80f8,0x0037fc00,0x00188d80,
    0x3e001ff5,0x8807ff80,0x1b02fffb,0x446c0031,0x01ff5001,0x1bfe03e0,
    0xfe8dff00,0x2003ff89,0x01bfe4fa,0x6f98dff0,0x00ffcc00,0x7ff903e0,
    0x3f2200f8,0x3f604fff,0x6440321f,0x2604ffff,0x007fe86f,0x7fe97fe2,
    0xd17fe200,0x507f883f,0x03e001ff,0x000bfee0,0x800bbff6,0x1f000ffa,
    0x4003fea0,0x2ffb800f,0xffb01f00,0x7dc007c5,0x07fd402f,0x7ff80f80,
    0x03ffc000,0x4002ec00,0x1f000ffa,0x2001fff0,0x00bb05ff,0xf5000bb0,
    0x203e001f,0x3e2007fe,0xfa8ff45f,0x49f5001f,0x3e2007fe,0x0037cc5f,
    0xf000bfe6,0x7c5ffb01,0xfffe9800,0x32fff605,0xfffe9800,0xfb0df305,
    0x3fe6001f,0x4003ff63,0x0ff43ff9,0x7fcc07fc,0x2200f000,0xff10007f,
    0x0ff9800b,0x7fcc0f00,0x2200f000,0x203e007f,0x01f0ffe8,0xf300ff10,
    0x6c1e001f,0x360001ff,0x7c0001ff,0x1ccdeeef,0x2001ff30,0x005ffb07,
    0x77fc13fa,0xf01ccdee,0x399bdddf,0x4003fe60,0x001ffb07,0x3fd0ffe6,
    0x54007fe4,0x003ff64f,0x3e61ffcc,0x1ffdc006,0x3a203e00,0x4001f0ff,
    0x3203fffb,0x7dc003ff,0x86f983ff,0xf5001ffc,0x00ffe45f,0x7f42ffa8,
    0xf980ff81,0x0078801f,0xfe800136,0x0ffcc004,0xff303c40,0x400f1003,
    0x403e004d,0x00f8eff8,0xff3009b0,0x320f1003,0x320002ff,0x540002ff,
    0xffffffff,0x801ff985,0x09ff9078,0x7d413fa0,0x5fffffff,0xffffffa8,
    0x1ff985ff,0xff907880,0x0bfea003,0x0efe85ff,0xff927d40,0x0bfea003,
    0x36600ff5,0x001dffff,0x3bfe201f,0x300c40f8,0xffb80dff,0xff300c41,
    0xf10ff50d,0x1bf2009f,0x32009ff1,0xf81fe86f,0x01ff880f,0x03e00698,
    0x004fe800,0x4c00ffc4,0x007fe206,0x00f801a6,0xffa803e0,0x01f000fd,
    0x3003ff10,0x013fe20d,0x027fc410,0x26277020,0x441fcaa9,0x069801ff,
    0x3a00dff1,0x2627704f,0x5c1fcaa9,0xf9553313,0x801ff883,0x09ff1069,
    0xfda9bf20,0xffe98cef,0x49f500cf,0xf9004ff8,0x2dffec8d,0x0f800000,
    0x03f7fea0,0x0ffb8093,0x12627dc0,0x75c1ff70,0x7fdc2dff,0x40ffc400,
    0x7c400ffb,0xf81fe81f,0x009ff00f,0x016a0097,0x0009fd00,0x097009ff,
    0x4b804ff8,0xf800b500,0x07ffdc00,0xff002d40,0x64097009,0x815001ff,
    0x15001ffc,0x40e40354,0x05b804ff,0x3a013fee,0xc806a84f,0x07201aa1,
    0x12e013fe,0x4400ffb8,0x004401ff,0x3ee27d40,0x0ffc400f,0x6c400344,
    0x400f8004,0x34c0fffb,0x0f21fe60,0x4c0698bb,0x7400887f,0x027e404f,
    0x4fc809fd,0x1ff03fd0,0xa803bea0,0x003d000f,0x8004fe80,0x3ea00efa,
    0x0077d400,0x07a001f5,0xfb003f00,0x003d001f,0xf50077d4,0x0fff4401,
    0x3fa206a0,0x3e0d401f,0xfa82c405,0x003e600f,0xfe805ff9,0x2c405f84,
    0x20b1017e,0x3ea00efa,0x2027f400,0xefc804fc,0x213ea000,0x27e404fe,
    0xfa8007a8,0x00fc002f,0x3e607fec,0x3a13ee03,0x0fe615c6,0xefb84fb8,
    0x6c13f200,0x04fc803f,0x0ff407fb,0xdf900ffc,0x202fb881,0x0003eced,
    0x90004ff8,0x2fb881df,0x881df900,0x33b602fb,0x1fc4003e,0xed80fe80,
    0xfc8003ec,0x017dc40e,0x4c1befd8,0x5f7ec01c,0x3e20e4c1,0x0ecc1bdf,
    0xb881df90,0x5ff5002f,0x889ff101,0x6cc1bdff,0x06f7fe21,0x77e403b3,
    0x8017dc40,0x07fb04fc,0x50017e40,0x413f209f,0x0bee03fd,0x800aea00,
    0x1fd003f8,0x4c0cff98,0x346a80ef,0x26067fcc,0x07f700ef,0xfdcdeea8,
    0x3baa000d,0x400dfdcd,0x02ff82ff,0x7f6fffe4,0x3ffe202e,0xff880005,
    0x3ff20006,0x002efedf,0x7f6fffe4,0x3ffe202e,0x3ff22005,0x07c401cf,
    0x0017ffe2,0xfedfffc8,0x7edc002e,0x001ceeff,0x9ddfffb7,0x3fff6603,
    0xb800dfff,0x2efedfff,0x6ff64400,0x301dfdcb,0xbffffffb,0xffffb301,
    0xf9001bff,0x05dfdbff,0xdcdeea80,0x7dc000df,0x7f777400,0x337baa04,
    0xff800dfd,0x09000cbe,0x33fff220,0x2607c401,0xffcefdbd,0x2eeee00c,
    0xefdbd981,0x2a00cffc,0x02a6001f,0x002a6000,0x553bff6a,0x9803effd,
    0x930009aa,0xfc880003,0x0003efff,0x00026aa6,0x00135530,0x00000726,
    0x03930080,0x26aa6000,0x0a980000,0x0054c000,0x006b2e60,0x0066aa60,
    0x00cd4c00,0x006b2e60,0x000d65cc,0x0004d54c,0x400054c0,0x99802dd9,
    0x53000999,0xbca88001,0x001b9800,0x08808000,0x00026a62,0x35310440,
    0x016ecc01,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02af2ea2,
    0x55555100,0x70190055,0x4eeeed80,0x00710710,0x0e157b73,0x55555553,
    0x2aaa0013,0xa981aaaa,0xc801aaaa,0x848800ef,0x38848038,0x05c0dc00,
    0x07ff1000,0x014c1cc0,0x5c002066,0x4154000d,0xff88001a,0x30dc8003,
    0x5554c05b,0x2aa62aaa,0x80c02aaa,0xdca88000,0xa88150ac,0xaaaaaaaa,
    0x55442aaa,0x554c01aa,0x7fc41aaa,0xb8f62005,0x7cc0000d,0x2fec002f,
    0x2001ffc4,0x70004fe8,0x8064c3ff,0xfecaacfc,0x7ffec403,0x802beaaf,
    0xd00b61f9,0x6401333f,0xc801d30d,0x7efdbadf,0x6f7fecc4,0x4403fffd,
    0x80aeffea,0x00aefd98,0x2a000ff8,0x5001d10e,0x0003a21d,0x001e45f1,
    0x20013ea0,0xfd01a64d,0x400663bf,0x4e8003ff,0x7d40016a,0x2ff88004,
    0x6cc40df9,0x2a20aeff,0x6400bfff,0xd70024c3,0xbf95359d,0xffc9881d,
    0xfdcccccd,0x7ffe4c47,0x37f66200,0x17f7e40a,0x3fe7fb80,0x1fe40003,
    0x403be200,0xf98006f9,0x85fb0006,0x0f74c4fe,0xe880dfb8,0x0766ffff,
    0x05dbfc80,0x3e2007e8,0x7e402fae,0xf307fa82,0x37fdc45f,0x4017fe40,
    0x3f3002f9,0x9d5fd000,0x2757f400,0x6ccfb800,0x005d8000,0x03f7df10,
    0x6fff554c,0x03d9000e,0x3f7bf300,0x00176000,0x07d30dc8,0x2607ff30,
    0xbf1000df,0x362003ea,0x07fa204f,0xf301ffc4,0x4037fd40,0xb0e981f9,
    0xb93a200d,0x2740001e,0x2007d400,0xfa8000fa,0xf83f8000,0x00bfe25f,
    0xfffb0dfb,0x000ecdff,0xd003fff1,0x6ffb800f,0xf5037c40,0x320bfe20,
    0x7fd402ff,0x2001f000,0xff30002c,0x7fcc001f,0x3fa0000f,0x0e80002f,
    0x17ff2000,0x01eda850,0x3f600000,0x03a0004f,0x44000000,0x04e882ff,
    0x03fefa80,0xf3009fb0,0x201ffc05,0x027ffc05,0x703203e2,0x00000007,
    0x1c8002c4,0x20005700,0x8254003b,0x01bf25ff,0x3ffe1ffc,0x00766fff,
    0x3a005530,0x00aa8007,0x81e037cc,0x5ff982ff,0x8007fd40,0x0003000f,
    0xa8001aa8,0x54c0001a,0x00880002,0x00554400,0x65440000,0x2200e09b,
    0x110000aa,0xdba88000,0xff8800ab,0x20005d82,0xff7005ed,0xff016400,
    0x77c01807,0x407c03ff,0x55554300,0xaa981aaa,0x11001aaa,0x30006000,
    0x2000c000,0x269fd011,0xffb002ff,0x3ffffe21,0xaa88766f,0x554c01aa,
    0x80fd1aaa,0xaaaaaaaa,0x3e62aaaa,0xff81602f,0xa80dff02,0x81f000ff,
    0xaaaaaaa9,0x55510009,0x38005555,0x2aaaa600,0x40009aaa,0xaaaaaaaa,
    0x5542aaaa,0xaaaaaaaa,0x2aa22aaa,0x5c02aaaa,0xdfdaacee,0x2aaaa26d,
    0xaaaaaaaa,0x55555442,0x2aaaaaaa,0xa9acfc80,0x7fc403fd,0x80017622,
    0x1ffc0040,0x7fc05100,0x74fc0003,0x103e01ff,0x45555555,0x0aeffea8,
    0x0aefd988,0x35555553,0x35555530,0x2aaaaaa2,0x2aaaaa22,0x001c002a,
    0x3f61bae2,0x2001ff93,0x3ffa2ffc,0x88766fff,0x200fffc9,0xd0adfd98,
    0xcdffe80f,0x3ffecccc,0x00827ffc,0x3fee0bfe,0x007fd403,0x7ecc40f8,
    0x3fffddef,0x7ffe4c40,0x03ea001b,0x77fecc40,0x003fffdd,0x9999bffd,
    0xff87ffd9,0xeeffeeee,0x9310fffe,0x64037fff,0x89bee03f,0xcccdffc9,
    0x4c47fdcc,0xccccdffc,0x3a607fdc,0x01df501e,0x2f44bfe2,0x2a5fd000,
    0x07fe606f,0x03ff8000,0xd11f0073,0x103e01ff,0x037fff93,0xf3005ff9,
    0xffffc885,0xeffa880a,0xfff9310a,0x7fe4c437,0x3ea001bf,0x1bfb2000,
    0x03fecbf2,0x7e49ff50,0x0766ffff,0x4c037fd4,0x3a03f41f,0x217fe202,
    0x002efff9,0x3ffa0bfe,0x007fd400,0x5ff300f8,0x8037fdc4,0xfd8005ff,
    0x17fcc003,0xd00dff71,0x22ffc405,0x0ffcc2f8,0x17fe07e6,0xf700bf90,
    0x4c07ff10,0x407ff107,0x00bfa079,0x3fe20df7,0x40005e8a,0x40ff73ff,
    0x400007fb,0x007703ff,0x41bfe61f,0x817fe00f,0x1f000ffa,0x201bfea0,
    0x17fe00ee,0xb000bff0,0x6fa8007f,0x0fff1fb8,0xd12ffcc0,0x0ecdffff,
    0x8809fff0,0x1603f40f,0x2a01ffb0,0x801dffff,0x33faa2ff,0x00ffa800,
    0x3fe201f0,0x802ffc82,0x7cc004fe,0x7fc4006f,0x402ffc82,0x207fec05,
    0x81ff9848,0x204fe81b,0x0d000efc,0x40b00ffe,0xc82c03ff,0x3ff8806f,
    0x0febff88,0x2a14c000,0x101ff601,0x03555555,0xd9999bff,0x541f007f,
    0x200f85ff,0x3fea04fe,0x6c01f000,0x07e601ff,0xfe809fd0,0x37fcc004,
    0x2a1be600,0x800dff0f,0x7f6c46ff,0xef80766f,0x207c03ff,0xf701c07e,
    0xffc8805f,0x7ffc04ff,0x2000ffff,0x1f000ffa,0x7cc17fc0,0x04fe805f,
    0x017fee40,0x3e60bfe0,0xf701c05f,0xf303105f,0xfd03103f,0x001ffc09,
    0x807ff017,0x300ffe01,0x2005ff30,0x7fc40ffc,0x0000effd,0x03ffc000,
    0x817ffdc4,0xcaaaadff,0x640f803f,0xd007c3ff,0x07fd409f,0x3e200f80,
    0x200f606f,0x27f404fe,0x0bff7200,0x7a86f980,0xf8801ffa,0x3b34c05f,
    0x0fff4fc0,0x007e81f0,0x400bff30,0x205fffe9,0x05ff52ff,0x8007fd40,
    0x40bfe00f,0x4fe806ff,0x3f63e200,0x817fc005,0xf30006ff,0xff9800bf,
    0x413fa001,0x80002ff9,0x3e0003ff,0xffc8003f,0x85ff5000,0xeffbaff8,
    0x3bb72000,0x203bbb20,0xff000fff,0xa81ffc0b,0xfd80f803,0xfe803e2f,
    0x003fea04,0x3fea007c,0xfd006a83,0x004fe809,0x017f63e2,0x27986f98,
    0xf3000ffc,0x0ecd009f,0x1ffd11f0,0x00fd03e0,0x0003bfa0,0x7c0fffee,
    0x003ff22f,0x78007fcc,0x7dc17fc0,0x04fe803f,0x07fd56e0,0xf705ff00,
    0x3fa0007f,0x7fcc000e,0x413fa001,0x80001ffb,0x807303ff,0x207303ff,
    0x3e6007fd,0xb97fc44f,0x26000eff,0x07fd40ff,0xe8017fec,0x40ffe04f,
    0x880f8038,0x401f0ffe,0x3fea04fe,0xb001f000,0x00fc41ff,0x7f404fe8,
    0x7d56e004,0x0df3000f,0x00ffdcd1,0x6802ffa8,0xf30f8076,0xfd03e0df,
    0x03ff9000,0xdff300c4,0xbfd0bfe0,0x007fe600,0x05ff01e2,0xfd001ffd,
    0xff0f4009,0x417fc009,0xc8000ffe,0xf98001ff,0x13fa001f,0x80003fec,
    0x807703ff,0x207703ff,0x3e2007ff,0x717fc45f,0x7c001dff,0xc80ff80f,
    0x9fd004ff,0x0001ffc0,0x77fc403e,0x13fa00f8,0xf000ffa8,0x4bff1001,
    0x13fa004c,0x74009fd0,0x4c013fe1,0x7fccb06f,0x00df9003,0x83e01d9a,
    0x40f85ffa,0x7fcc007e,0x2e024c04,0x42ff80ff,0xf8803ff9,0x4069801f,
    0x33faa2ff,0x009fd000,0x00ff71aa,0x9fd517fc,0x9ff30001,0x07fe6000,
    0xff04fe80,0x3fe0000d,0x3feccccd,0x6666ffc0,0xdff03fec,0x446ff800,
    0x77fd42ff,0xf01ff000,0x0dff101f,0xff813fa0,0x1f008803,0x07effd40,
    0x7d409fd0,0x001f000f,0x01a6bfea,0xfe809fd0,0xfb8d5004,0x20df3007,
    0x2007fdc1,0x4d002ff8,0xf903e01d,0x3f40f87f,0x00dfd100,0x07f980d3,
    0x3ff705ff,0x7009ff00,0xfffff809,0x7f4000ff,0xf885b004,0xffff002f,
    0x20001fff,0x20006fe8,0x3a001ff9,0x00fff04f,0x2ab7fe00,0x7c03fcaa,
    0xfcaaaadf,0x400ffd03,0x7fc45ff8,0x00effa82,0x0ff80ff8,0xd009ff70,
    0x01ffc09f,0x400f806c,0x3a00fffb,0x03fea04f,0xfb0007c0,0xfe8005df,
    0x8027f404,0x017fc42d,0xfb0037cc,0x004fc807,0x03e01d9a,0x40f8bff6,
    0x3ff6007e,0x203f9801,0x3ff884fb,0xa803ffb0,0x03ea00ef,0x3fea5ff0,
    0x027f4002,0x06fd83cc,0x3fea5ff0,0x3ffb0002,0x0ffcc000,0x3609fd00,
    0xf80001ff,0xf807503f,0x3607503f,0xff3000ff,0x702ff887,0xff803fff,
    0x3200ff80,0x27f402ff,0x5a807ff0,0x3f6007e0,0x813fa00f,0x0f000ff9,
    0x005ff880,0x7f404fe8,0xfb079804,0x10df300d,0x640ff605,0x3b34003f,
    0x7f4407c0,0x07e81f0f,0x2007ff50,0x7cc0cff9,0x04ffa80e,0xc803fff1,
    0x17dc40ef,0xff917fc0,0x027f4001,0x777777e4,0xff801ffe,0x0003ff22,
    0x80007ff5,0x3a001ff9,0x05ff904f,0x207ff000,0x81ffc038,0x03ff9038,
    0xf50bfea0,0x7fff409f,0x3e03fe03,0x57fd400f,0x104ff880,0x3ee209ff,
    0x2007f102,0x13fa00fe,0x8801ff98,0x04fe8007,0x7404fe80,0xeefc804f,
    0x01ffeeee,0x27f437cc,0xedbceea8,0x3668001d,0x7c403e01,0x3f40f8ef,
    0x002ffc40,0xf9dfb7b3,0xffc9819f,0xff982dff,0x3ff202ef,0x002efedf,
    0x05fe85ff,0xf1013fa0,0xd3333333,0x85ff00bf,0x3e2005fe,0xf980005f,
    0x13fa001f,0x20027fc4,0x0003ff80,0x22000ffe,0xdf9004ff,0x6ffffe4c,
    0x7ffffe42,0xf80ff84f,0xfec8800f,0x81dfdcbd,0xfffffeb8,0x40ffffff,
    0x01cfffc8,0x9fd007c4,0x400ffc40,0x4fe80069,0x404fe800,0x4fc404fe,
    0xfe999999,0x7437cc05,0x7ffdc03f,0x1d9a0006,0xffa803e0,0x403f40fd,
    0x84400ffd,0x02732208,0x80000c00,0x4000bea9,0x1ffcc2ff,0x5c04fe80,
    0x007fdc05,0x7ff30bfe,0x003ff600,0x1ff98011,0xc813fa00,0x015001ff,
    0x011007ff,0x811007ff,0x7c400ffb,0x0022001f,0x7fc0ff40,0x19ae8000,
    0x00688000,0x40080440,0x27fc04fe,0x740025c0,0x4fe8004f,0x2e027f40,
    0x007fdc05,0x40060df3,0x0004fff9,0x01f00ecd,0x740fffb8,0x017fdc07,
    0x05fd0064,0x00bfe600,0x40017c00,0x1ffb82ff,0x7404fe80,0x01ffc401,
    0x3fee0bfe,0x017fdc01,0x3fe60064,0x813fa001,0x5401ffe8,0xb007ff01,
    0xb007ff01,0xc809fd01,0x37ec004f,0x2e1ff400,0x7d4000ff,0x1ae00006,
    0x00dfb000,0xfa809fd0,0x003ea00e,0x20013fa0,0x27f404fe,0xff1007a0,
    0x0037cc07,0x01ffec40,0x7c03b340,0x40ffd801,0x17fe607e,0xbf301a20,
    0x02fcc000,0x002fc400,0x7ec0ffe2,0x027fc01f,0x3ff600f7,0x207ff100,
    0xff301ffd,0x300d100b,0x7fc005ff,0x1befd804,0x7ff00e4c,0x7ff05a80,
    0x3f205a80,0x0007fb04,0xf9000bf2,0x9ff5b55d,0x02fc8005,0x005f7000,
    0x4002fc80,0xefc804ff,0x0017dc40,0xf8004ff8,0x027fc04f,0x3ff600f7,
    0x000df300,0x005fecc0,0xf880ecd0,0xe81fd003,0x803ffa07,0x7c405eb9,
    0x0fe20003,0x67fe4000,0x27fd402c,0x101fff88,0x17e20bff,0xa82ffe40,
    0xfff104ff,0x401ffd03,0xfb805eb9,0xbff1003f,0x3fff6e00,0x3e201cee,
    0x05f7104f,0x2e209ff1,0x6f75402f,0x0000dfdc,0x3a0003f2,0x19ff1fff,
    0x000fc800,0x97dff100,0x001f9000,0xc802ffc4,0x2efedfff,0x0dff1000,
    0x205ff880,0xbf105ff8,0x417ff200,0x800007fa,0x6802cdb8,0xfff91076,
    0x40f88039,0xf74eeefe,0xffffffff,0x6407ffff,0x3720003d,0x5cc00003,
    0x3ff2601c,0xff982dff,0xfff912ef,0x7ffdc7bf,0xfff9102d,0x3ff265df,
    0xff982dff,0xffff72ef,0xffffffff,0x7fecc07f,0xf9101dff,0x4007bfff,
    0x75c400a9,0xffffffff,0x3ae20fff,0xffffffff,0x26000fff,0x6cc0000a,
    0x0660001d,0x3bb30005,0xca880000,0x3766000b,0xfff91001,0x2a6007bf,
    0x9100009a,0x807dffff,0x3dffffc8,0x37ffff22,0x0b7ffee3,0x77fffe44,
    0x0b7ffae2,0x70000000,0x10000054,0x01333310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x200000e0,0x2a0006fd,
    0x554c03ff,0x000aaaaa,0x0007fe60,0x4002e06e,0x00002cc8,0x332a0000,
    0x03fea000,0x37951000,0x5b3001c1,0x01806000,0x55555551,0x10060100,
    0x7c400a03,0x9500006f,0x8f620003,0x000000da,0x0076a008,0x3ff20011,
    0x003fffff,0x02d986e4,0xb801dc00,0x1320000d,0x321da800,0xb30cc804,
    0xfffff005,0x32a01fff,0x000fa800,0x00077c00,0x401ffdd0,0x9bfffd98,
    0x0ff20000,0x7917c400,0x006fa800,0x288bbee0,0x003fd800,0x70003fb8,
    0xbfb559dd,0x3fe400db,0x88ad8800,0xf93100da,0x3b0037ff,0x36012a21,
    0x2007730b,0x0002fefc,0x000ecde4,0x4ff87fdc,0x7c400000,0xc809ff06,
    0xdddd7001,0x44005ddd,0x00ff92ff,0xff000e80,0x3fe60007,0x2bfd0001,
    0x3e201ffa,0xd00df92f,0x1ddddddd,0x3600ffa0,0x2a00003f,0x56e0001f,
    0xff9804e9,0x09d00004,0x6ccfb800,0x001f9000,0x7dffbb10,0x4f880039,
    0x00176000,0x6fb80ff2,0x000fa600,0x05ffffd8,0x5400bff0,0x800ffeff,
    0x00fffffa,0x00d91e88,0x00166680,0x01eb9362,0x0fe80000,0x3e601eb8,
    0x00000001,0x00fa61b9,0x2e005880,0x1760001e,0xb12ea800,0x261b900b,
    0x2000003e,0x7fcc03fe,0x07200006,0x6c448800,0x003ff800,0x00005980,
    0x40005ffd,0x2628003d,0xa8004ffd,0x00e80005,0x2e017f20,0x80000007,
    0x3a002dda,0x7ed4004f,0x3b26001c,0xb819000b,0x5c360003,0x50000003,
    0x03555555,0xb5555553,0x3fe20005,0x36ea2001,0x000000ab,0x00057000,
    0x00000000,0xaa800000,0x981aaaaa,0xfb1aaaaa,0x2ffdc805,0x00030000,
    0x3e002008,0x0080003f,0x00aa6000,0x02000e00,0x05c00022,0x80044000,
    0x0d000efc,0x2b372a20,0x00000150,0x00004fe8,0x00800000,0x76cc0003,
    0xaaa8800c,0xaaaaaaaa,0x7ff5442a,0xfd9880ae,0xaaa880ae,0x3fea2aaa,
    0x7e405eef,0x03fda9ac,0x40000e00,0x5555500e,0x55555555,0x55555544,
    0x42aaaaaa,0x1aaaaaa9,0x1aaaaa98,0x55555551,0x577ff544,0xaefd9880,
    0x7c401f90,0x00005fd8,0xaaa8800e,0xaaaaaaaa,0x00ffe02a,0x55555530,
    0x55530015,0x03335555,0x00008100,0x0810001c,0x2aaaaa20,0x2aaaaaaa,
    0x5c007ff0,0x2b3bae00,0x40edfca9,0xaaaaaaa8,0x202aaaaa,0x070004fe,
    0x55555440,0x001c002a,0x2001f500,0xccdffc98,0x907fdccc,0x5f3005ff,
    0x7ffe4c40,0x2bfa621b,0x03dd3019,0x50003bea,0xdb30001f,0x3ffa05ff,
    0xfecccccd,0x3ff2623f,0xfdcccccd,0x7fffe447,0xeffa880a,0xfff9310a,
    0x05ff9037,0x07a85f30,0x00ffaadc,0x000fa800,0x99bff931,0x40ffb999,
    0x4c4003ff,0x009bfffd,0xefffd988,0x02dffedd,0x0df52fe8,0x0003ea00,
    0x837d4bfa,0xccdffc98,0x987fdccc,0x880002ff,0x3fa204fd,0x6ffe4c41,
    0x7fdccccc,0x20013fa0,0x931000fa,0x40037fff,0xb00000fa,0xff88007f,
    0x7d41e603,0x001f000f,0x1fe817fe,0x2e017f40,0x1fec006f,0x764bae00,
    0x2202e84f,0x7ff105ff,0xffa83cc0,0x200ee806,0x3fea05ff,0x6983f000,
    0x09ff0f40,0x007fb000,0x2603ff88,0x000ffe07,0x80027fcc,0xfc882ff9,
    0x4ffe00df,0xfb0007fb,0x27ff0007,0x7fc407fb,0x3ee1e603,0xfd80001f,
    0x102f9804,0x03cc07ff,0xfb0009fd,0x0bff0007,0x0007fb00,0x000dff30,
    0x505807ff,0x03e001ff,0xfd027f40,0x4037e403,0xf3003ff8,0x1fcc00df,
    0x80b0ff5d,0x3fe00ffd,0xffb02c03,0x200fcc03,0x3fea04fe,0x0701f000,
    0x01fee354,0x00dff300,0x05807ff0,0xf8000ffe,0xff10003f,0x037fd405,
    0x8001a853,0x98006ff9,0x7fc00d42,0x3fec2c03,0x03fdc000,0x1ffc0590,
    0x04fe8160,0x0037fcc0,0x260027f4,0xc80006ff,0x7c002ffd,0xfa80c03f,
    0x001f000f,0x1fe813fa,0x2005ff30,0xdc800ffc,0x3fd002ff,0x0e13232a,
    0x7c02ffb8,0xf100c03f,0x401ec0df,0x3fea04fe,0x8001f000,0x017fc42d,
    0x05ffb900,0x0c03ff80,0x40007ff0,0x3e0003ff,0x27fdc02f,0x6e400000,
    0x000002ff,0x0300ffe0,0xf0000dff,0x0144007f,0x201807ff,0x6e4004fe,
    0x7f4002ff,0x7fee4004,0x23e20002,0x7fc005fd,0x1ff50003,0x74003e00,
    0x407fa04f,0xf5000ffc,0xd8f8805f,0x6cdf005f,0xbff30001,0x0007ff00,
    0x6a83ffa8,0x5409fd00,0x01f000ff,0x6fd83cc0,0xfb1f1000,0x03ff800b,
    0x000ffe00,0x20003ff8,0x7fe802ff,0xec83bb72,0x1f1000ee,0xdb900bfb,
    0x0777641d,0xf0007ff0,0xf98000ff,0x3e00001f,0x3fa0003f,0x363e2004,
    0x27f4005f,0xbfb1f100,0xfaadc000,0x0ffe000f,0x1ff501cc,0x74003e00,
    0x407fa04f,0x3e6007fd,0xfaadc04f,0x8afcc00f,0x3bfa0006,0x303ff800,
    0x83ff6007,0x9fd001f8,0x8007fd40,0x3bf2000f,0x1ffeeeee,0xff55b800,
    0x81ffc001,0x01ffc039,0x0007ff00,0x7dc017fc,0x503fe61f,0x56e001ff,
    0xf9800ffa,0x007fd40f,0x40e607ff,0x20001ffd,0x400007fb,0x807303ff,
    0x56e004fe,0x3a000ffa,0x556e004f,0x3d0000ff,0xff0027fc,0xfa80ee07,
    0x001f000f,0x1fe813fa,0x4400fff0,0xf0f405ff,0x56f9809f,0x3ff20007,
    0x207ff001,0xbff1003b,0x9fd00264,0x8007fd40,0x33f1000f,0xbfd33333,
    0x7fc3d000,0x40ffe004,0x01ffc03b,0x0007ff00,0x7cc017fc,0x7c07fc3f,
    0x7c3d000f,0x01ff004f,0x1ffc01ff,0x5ff903b8,0x03fec000,0x2aaaaaa2,
    0x7703ff81,0x2004fe80,0x8013fe1e,0x87a004fe,0x6a8004ff,0xff003fdc,
    0x7fd9999b,0x8007fd40,0x09fd000f,0x6ff80ff4,0x5037fc00,0x4407fb8d,
    0x0180d8ff,0xf0027fcc,0xfd9999bf,0x57fd4007,0x27f40069,0x2001ff50,
    0x80b7000f,0x2a000ffb,0xf003fdc6,0xfd9999bf,0x803ff807,0x003ff818,
    0x2200bfe0,0x407fc5ff,0x46a800ff,0x1ff007fb,0x7fc01ff0,0x3feccccd,
    0x8009ff10,0x2201ffe0,0xff02fffb,0x7fd9999b,0x5004fe80,0x2007fb8d,
    0x8d5004fe,0x2d8007fb,0xf8017fc4,0xfcaaaadf,0x003fea03,0x4fe8007c,
    0xd044bfa0,0x7fc400ff,0xff10b605,0x85dfe805,0x037f4402,0x2aab7fe0,
    0x6c003fca,0x74002eff,0x03fea04f,0x1e8007c0,0x001ffc40,0x02ff885b,
    0x5555bff0,0x3ff807f9,0x3ff80d80,0x00bfe000,0x03fe37fc,0x0b6003fe,
    0xff005ff1,0x7c01ff01,0xfcaaaadf,0x007ff203,0x01fff054,0xff817fe0,
    0x3fcaaaad,0xd8027f40,0x8017fc42,0x85b004fe,0x26002ff8,0x200dfb07,
    0x407503ff,0x0f000ff9,0xfb027f40,0x0ffd895b,0x207ff300,0x80dfb079,
    0x01544ffc,0xf0007ff6,0x000ea07f,0xd000bff1,0x07fcc09f,0x0f700780,
    0x2003ff60,0x00dfb079,0x01d40ffe,0x0b500ffe,0xf8000ffe,0x5ff8802f,
    0x07fc07fc,0x37ec1e60,0x7fc07fc0,0x540ffe00,0x07ffa203,0x2ffd8350,
    0x7c09fd00,0xf807503f,0xb079804f,0x13fa00df,0x37ec1e60,0xddddf900,
    0xf003ffdd,0x980e207f,0x078801ff,0xf8813fa0,0x0ffe40df,0x902ffa80,
    0xfddddddf,0xeffe803f,0x7fd406ed,0x03ff8003,0x9fd00071,0x409fd000,
    0x78801ff9,0x9005f880,0xdf900bff,0x3ffddddd,0x2207ff00,0x27bfe603,
    0x05f95311,0xf8000ffe,0x3ffa802f,0x07fc07fc,0x3bbbbf20,0x7c01ffee,
    0x200ff80f,0x007103ff,0xc9837dfb,0x004ffc81,0x1ffc09fd,0x3fe20388,
    0xeeefc805,0x801ffeee,0xefc804fe,0x1ffeeeee,0x9999f880,0x805fe999,
    0xf10003ff,0x00d3003f,0x804027f4,0xf9004ff8,0x2667e20d,0x05fe9999,
    0x067fffd4,0x000bff10,0x00000ffe,0xfd0009fd,0x00ffc409,0x3fee034c,
    0xff9102df,0x3e205dff,0xe9999999,0x03ff805f,0x7fffe4c0,0xffffffff,
    0x0007ff00,0x7dc017fc,0x7c07fc2f,0x267e200f,0x5fe99999,0x7fc07fc0,
    0x000ffe00,0x3bfff6e0,0xdff101ce,0xf813fa00,0x7e44003f,0xf103dfff,
    0xd3333333,0x09fd00bf,0x99999f88,0xb805fe99,0x007fdc05,0x02200ffe,
    0x16e00ffe,0x2604fe80,0x03fee03d,0x2e03ff10,0x007fdc05,0x36003139,
    0x404400ff,0x008803ff,0xd0009fd0,0x04ff809f,0x800005b8,0x80b7004a,
    0x7fc00ffb,0x18008803,0x803ff800,0x402ff818,0x1fe85ff8,0x16e00ff8,
    0x7401ff70,0x200ff81f,0x008803ff,0x2e001790,0x4fe804ff,0x2200ffe0,
    0x5b802c80,0x2007fdc0,0x02dc04fe,0x3d003fee,0x403ff880,0x80d803ff,
    0x3ea00efa,0x813fa000,0x3fa00ffc,0xd027e404,0x03ff8803,0x5ff7001a,
    0x7ff01900,0x3a001b00,0x4fe8004f,0x3007fd40,0xb000001f,0x1007a009,
    0x3ff807ff,0x7c400d80,0x0ffe002f,0x0bfe0360,0xfd03ff90,0x200ffb87,
    0x1ffc401e,0xffb87fd0,0x200ffe00,0x1ef8800d,0x00bff200,0x1ffc09fd,
    0x017c06c0,0x3fe200f4,0x2027f403,0x1ffc401e,0x3f600f70,0x00ffe00f,
    0x077dc0b5,0xf000bee2,0x0e54409f,0x7ec13f20,0x6c01ee03,0x004a80ff,
    0x22017fe6,0xa807ff06,0x013fe005,0x32013fe0,0x17dc40ef,0x0fd80000,
    0xfd803dc0,0x00ffe00f,0x1be200b5,0x5403ff80,0x202ff885,0xdf902ffc,
    0x59ff5b55,0x3f600f70,0x55df900f,0x2059ff5b,0x02d403ff,0xa8007f70,
    0xff880aff,0x500ffe04,0xb80bf10b,0x01ffb007,0x0f7027fc,0x2203ff60,
    0xbff9005f,0x4413fe20,0x7edc02fb,0x002efede,0x2402ffc4,0xdcdeea80,
    0x17e200df,0x6c2ffe40,0x03ffa001,0xf885eb98,0x05f7104f,0x001bfe20,
    0x2e00bff1,0x2efedfff,0x3ea00000,0x2fc43bdf,0x105ffc80,0x3ee209ff,
    0x009f1002,0x4467bfe6,0xfa82fca9,0x3faa20bf,0x7fff400d,0xf8819ff1,
    0x0bff9005,0xff8ffff4,0x04ff880c,0x54005f71,0xec88001f,0x1dfdcbdf,
    0x4413fe20,0x9ff902fb,0x802fc459,0xff105ffc,0x4017e20b,0x7fdc5ffc,
    0xff9102df,0x3ae25dff,0xffffffff,0x26000fff,0x6440009a,0x983dffff,
    0x0a98000b,0x2dfffb80,0xdffff910,0xff7002c5,0xffffffff,0x75c47fff,
    0xffffffff,0x64400fff,0x403effff,0x3dffffc8,0x03355300,0x2e200000,
    0x6fffdc2c,0xffff9102,0x3ffae25d,0xffffffff,0x0bec800f,0x7fffe4c0,
    0xffffffff,0x3ffff260,0x02bcefff,0x2e050660,0x9102dfff,0x205dffff,
    0xeb881419,0xffffffff,0xd8800fff,0x5300003d,0xfeb88033,0xffffffff,
    0x32e600ff,0x0b7ffee1,0x77fffe44,0xbffff912,0x16fffdc7,0xeffffc88,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,0x3fffffff,
    0x99500910,0x00599999,0x6c02c800,0x3fffffff,0x3ffffe00,0x08000fff,
    0x01001000,0x000c1000,0x10008100,0x00004000,0x20020000,0x88000000,
    0x20510502,0x00300882,0x01dd5000,0x7000bca8,0x55555007,0x10000015,
    0x08001795,0x01008020,0x80595300,0xdd000bca,0x20003ba1,0x2a201ee9,
    0x542aaaaa,0x01aaaaaa,0x9144276c,0x5ddddddd,0x0157d710,0x3fffffee,
    0x2600004f,0x7776407f,0x2002eeee,0xeeeeeeee,0x0f7dc000,0x501fda80,
    0x1d0000fd,0xb5000076,0xa817f63f,0x322005ee,0x6401efdf,0x22002cc3,
    0x76e406eb,0xc8be4403,0x126404ef,0x3b13201b,0x00730360,0xff100bf3,
    0x646ec0bf,0x4034c00f,0x07fffff9,0xf70017e6,0x4003f95b,0x9006442b,
    0x22004883,0x3e200add,0x4c01fb9d,0x0009f34f,0x93100ff2,0xa9837fff,
    0x2009dfff,0x4fe80ef8,0xebec8800,0x00004ffc,0x566e5440,0x00001761,
    0xe8000000,0xfda804ff,0x07fdb81f,0x0952cc00,0x4ffed400,0x1d02fff8,
    0x8f7400ae,0x75c00fd8,0x22000cda,0x92606fec,0x23ffae06,0x206fffee,
    0x204e9df8,0x204d9ef8,0x00ffeefb,0x6400ffb8,0x3f703f75,0x03d013e2,
    0x7dddddb0,0x8007fdc0,0x002e45f9,0x013fbbfe,0x05ffdff3,0x6c00fee0,
    0xd500fe46,0xf8000754,0x02ffc004,0x2e003ff2,0x229fd01f,0x42aaaaaa,
    0x03e4b16d,0x32200081,0xffdb9acf,0x0038002c,0x2aaaaaa2,0x02aaaaaa,
    0x06cc9822,0x7c407fe0,0x11e40007,0x3ff0000f,0x9a213b2a,0x43fa8049,
    0x7f4404fa,0x1bee0003,0x880362b8,0xffb11dff,0x07ffdc05,0x003ffee0,
    0x2003bfd7,0x224402b8,0x3747d85a,0x0d300990,0x40057100,0x003dc3fc,
    0x002fff66,0x400fbfaa,0x7f7003fc,0x8b205f88,0x0b30002c,0xb809fd00,
    0x805b007f,0x3fff2621,0x2c4fe21b,0x54bfa0f3,0x0ef9806f,0x8001df70,
    0x931000fa,0x99999bff,0x40e40ffb,0x07fe003a,0x20003fc4,0x0000ec0e,
    0x203907fe,0xc801eabc,0x703fc42f,0x4001fb5d,0x4effeeee,0x405bae88,
    0x6fe81ff8,0xc8016640,0x0002002c,0x40880c00,0x4c07ec7f,0x0005b006,
    0xd0ff6000,0x00020009,0x0bf50004,0x3a03fe20,0x0028501f,0x3a000260,
    0x03fdc04f,0x3fe00028,0x8b14fb85,0x3ee7ff05,0x00ffc407,0xfb0017f2,
    0x3ff88007,0x0fcc1e60,0x3fd0006c,0x8001fe20,0x0004a859,0x80b10ff4,
    0x3fb000ba,0x45307f88,0x2aa006f8,0x102aefca,0x41fe0057,0x000007fb,
    0x00000000,0xfd8ff000,0xf9801e81,0x000000ad,0x03f537e4,0x00000000,
    0x54003fe2,0x009fb05f,0x40000000,0x3fdc04fe,0x3a050000,0x88ffa84f,
    0x542980c5,0x402fec01,0xf3002ff8,0x7ff000df,0x1ff88580,0xfd000762,
    0x001fe203,0x007882c8,0x0d98ff40,0x0ff40000,0xfb8017ea,0x06f98004,
    0x983fc000,0xfed880ff,0x3fb2203e,0xfb7100ad,0xec88019d,0xd9100adf,
    0x0fd815bf,0x007903fa,0x013ffff6,0x00fbfb62,0x4bf27fea,0x88099998,
    0xc81deecb,0x3bb20eed,0x005fd80e,0x37e417ee,0x7641ddb9,0xdb9100ee,
    0x3bfb21bd,0x7013fa03,0xfec880ff,0xfd0580ad,0x167bfe09,0xffa80000,
    0x01ffb001,0x005ffb90,0x20c03ff8,0x0deefffa,0xeadeec80,0x26ff101f,
    0x0e803efd,0x3b2003b0,0x011feade,0x7641ddb9,0x43fd00ee,0x32201ed8,
    0x203ffded,0x6fbbeed9,0x3bdd9710,0xff107f80,0xfb12ea81,0x3217d30b,
    0x2e4e885f,0x17d301ff,0x2fa617f2,0x1fb8bf90,0x00698bf1,0x3bfffb6e,
    0x3625d501,0x7ffc405f,0x37ffe60c,0x3fe66e82,0x540ff980,0x4ffc40ff,
    0xfb03deb9,0xf31fee09,0x80ffa81f,0x3bfe65e8,0x3a0bfb13,0x03fdc04f,
    0x17f217d3,0x413fa0d1,0x3205fffa,0x3bb20eed,0x007fc80e,0xf1007fee,
    0xf800bfb1,0x7cc4003f,0x744019af,0x03ffd10d,0x3fbe7fe2,0x816605ff,
    0x86f4404a,0x4c01ffe8,0x07fd40ff,0x1ff71fe8,0xf98674c0,0x547f507f,
    0x4cdd06ff,0x41fe00ff,0x217c46f8,0x17a22ff8,0x85d83ff1,0x2f440ff9,
    0x5e887fe2,0x3760ffc4,0x03a20dc8,0x37fec400,0x3fe217c4,0x07ffe602,
    0x1fd40ff2,0x07fc0bfa,0x3fe607fc,0x85ffb9ad,0x0ff503fe,0x01ff01ff,
    0x46ff87f7,0x4fe81ff9,0xe883fdc0,0xf30ffc45,0xfa813fa0,0xff300dff,
    0xe80ffa81,0x3fea007f,0xffaadc03,0x40ffe000,0x007fa039,0x0ffcc36c,
    0xb30dff88,0x00b205ff,0xf986d80f,0x80ff801f,0x23fd00ff,0xbd02efb8,
    0xf883ff50,0xfa86fc84,0xff017f43,0x7b8bf301,0x1fe4bfd0,0x07f706dc,
    0x07f913fa,0x41fe41b7,0x81c980db,0x00dd443c,0x3dc4ffb8,0x7f905fe8,
    0x40d90dff,0x81fe41fa,0x40ff80ff,0x2ffa86fb,0xffa81ffc,0x7fc07fc0,
    0x7f41fa80,0xfe83fe83,0xc83fdc04,0x260db83f,0x8809fd07,0xff01effd,
    0xff01ff01,0x27fcc00d,0x04ff87a0,0x1dc0ffe0,0xf5003fd0,0x4407fe07,
    0x20dfb07f,0xa816c00e,0x003ff03f,0x01ff01ff,0x5ff307fa,0x7fd02fb8,
    0x6fa80fd8,0x1fe41fa8,0x1f901ff0,0xcccccfd8,0x003fa3cc,0x7fb817ec,
    0xfe8007f4,0x8b500000,0x003e9ce8,0xccfd8df7,0x443ccccc,0x87ff91ee,
    0x7f54001e,0xff01ff04,0xfd05fd81,0xf503ff8d,0xff01ff0f,0x3bfea001,
    0x83eeeeee,0x3fdc04fe,0xf5000fe8,0x1009fd01,0xff03ffff,0xf881ff01,
    0x3fe2005f,0xff71aa05,0x666ffc00,0x3a03fecc,0x02fd801f,0x1fe203fd,
    0x02cc3fcc,0x02fd8254,0x1ff003fd,0x3fa01ff0,0x7f45fc81,0x7c4bf702,
    0x200df307,0x3fe04fea,0x37427cc5,0x2001ff00,0x1ff502fe,0xff8007fc,
    0x0e880000,0x003f7374,0x006e8ff1,0xfff10ff4,0x644012e1,0xff04fcad,
    0xfe81ff01,0xfe8ff904,0xff0bf704,0xb801ff01,0x4002fece,0x3fdc04fe,
    0xf7000ff8,0x1009fd03,0xff0ffd3b,0xff01ff01,0x27fcc00d,0x2ff885b0,
    0x555bff00,0x7f407f95,0xd01ff801,0x41fe203f,0x01640ff8,0x203ff078,
    0x0ff801fe,0x3fd00ff8,0x1ff8ff30,0x37d4ff50,0x32206f98,0x3e04fcad,
    0x03fdbecf,0x17fc00ff,0xf303ff80,0xf002ff8f,0x7b00005f,0x13e65f88,
    0x01fe3ec0,0xffa86f98,0x7f50068d,0x0ff827dc,0x27e40ff8,0x27ec7fa8,
    0x0ff84fb8,0x9d300ff8,0xd000ff61,0x07fb809f,0x3f2005ff,0x8804fe82,
    0xff85fd15,0xfe80ff80,0x0bfea007,0x06fd83cc,0x0ea07ff0,0x7c401fe8,
    0x203fd02f,0x21fe07f8,0x885b000e,0x03fd02ff,0x1ff01ff0,0x7fc07fa0,
    0x2605ff10,0x4c1fee7f,0x5c7f506f,0x4c5fe04f,0x3017f401,0x6c3027f4,
    0xe8df305f,0x4fe8604f,0x216a0060,0x017e24fa,0x80bfa2ec,0x7ec17f21,
    0x3fa801ff,0x0ff827dc,0x2fdc0ff8,0x2fd44f98,0x0ff83fd8,0x5fa80ff8,
    0xd01027ec,0x06fb809f,0xfb0c09fd,0x8109fd07,0xff17ee58,0xf901ff01,
    0x3fee001f,0xddddf901,0xf003ffdd,0xe80e207f,0x03ff801f,0x1fe203fd,
    0x016637c4,0x03ff84a8,0x1ff003fd,0x3fa01ff0,0x4ff8ff01,0x3fd4bf30,
    0x3fa86f98,0x0ff027dc,0x7306fd80,0x21a837ec,0x89f507fa,0x6c3506fd,
    0x8803506f,0x224fa80e,0x42f8806f,0x7c7306fd,0x5fff107f,0x5c0fe820,
    0xf03fd04f,0x707f981f,0x3a0ff03f,0xf81fe80f,0x5c1fd80f,0xfd05506f,
    0xb05fb809,0xfe86a0df,0x1c84fe84,0x7c4fa962,0x980ff80f,0xbfb003ff,
    0x26667e20,0x805fe999,0xfd0003ff,0x20bfd003,0x0ff101fe,0x005913e6,
    0xd05fe878,0x03fd003f,0x07fa01ff,0x417f627c,0x0bfe64fa,0x03fa1be6,
    0x03fc09f7,0x883bfe60,0x317fe60d,0xc81ff889,0x22ffcc0f,0x22ffcc49,
    0x102d8049,0x032fccbf,0x3bfe6172,0xffc83620,0x3fffe982,0xd85ff0dc,
    0x43fd814f,0x3fc80ffb,0x85f707d8,0x87fd02f9,0x2ff80ffb,0xb3067fd4,
    0x1b713fe0,0x7fcc0fee,0x17fe24c5,0x893213fa,0x3fd0bf25,0x3f201ff0,
    0x00ff9806,0x0ffb80b7,0x4401ffc0,0x00897f40,0x3ff05ff7,0x76c1fe20,
    0x36000740,0x7c17fdc2,0x43fe801f,0x3fd00ffb,0x30be65f3,0x81f905ff,
    0x37d40efe,0x53f617fc,0x0007fc40,0x3fbbfff2,0xedfffd83,0x20efb81f,
    0xfffb01fa,0xffb03fdb,0xb803fdbf,0x5f737405,0x3aa2bbf2,0xdfff900d,
    0xfff887fd,0xe9aec9ad,0x644ecfff,0xefddaaef,0x55f7dc2b,0xe82cffad,
    0xd80be60f,0xdf902f46,0x59ff5b55,0xdb89efc8,0x1fecfffd,0x7f45ff88,
    0xffd80b94,0x7fc1fedf,0xfc84fe85,0x213e6b12,0x07fdc3fe,0x6c03fe88,
    0x1007a03f,0x3ff807ff,0x6fec0d80,0x6fff404a,0x82dffea9,0x0fe43ff8,
    0x16a00166,0x3aa77ffa,0x7e402dff,0xcffadaae,0x3f99ff82,0x1df901d7,
    0x7fcc0fd4,0xbffec8cf,0x36abbf22,0x7d42befd,0xffb8002f,0x3ff203ff,
    0x3fea01df,0x7e402ded,0x3f201dff,0x74401dff,0x74dfc400,0x37fffa64,
    0xffffb802,0xfffff503,0x7ffec419,0x6ffec40d,0xfd02ff98,0x033fe5ff,
    0x07b73ae2,0x033b3b20,0x3e3fffd0,0x7ff4c0cf,0x37fff23f,0x7fffe442,
    0x19bff73d,0x3bfff900,0x9ff09fd0,0xbdbffb30,0x2bbf207f,0x02cffada,
    0xfb107fb1,0xd803dc05,0x0ffe00ff,0xbff10b50,0xdfffb001,0x22039fd1,
    0x80dfcefd,0x20f0002c,0xfe8efffd,0xfffe801c,0x6cc19ff1,0x1bbd91ff,
    0x6f6ffd40,0x3fffa602,0x220befac,0xff98dffd,0x266665c2,0x00099800,
    0x04c40013,0x98002600,0x20059000,0x03100cb8,0x10026600,0x0a880353,
    0x20020440,0x13001419,0x98003000,0x00cc0141,0xa8800013,0x20098000,
    0x2ffc40b9,0x2003aa60,0x9ff1fffe,0xcceeb801,0x3e200dfd,0x0bff9005,
    0x5c413fe2,0x1000202f,0x26001413,0x8000a009,0x14131009,0x00a0cc00,
    0x00620000,0x00621310,0x00000811,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7bffff91,
    0x33002c40,0x15300028,0x5bfff700,0x3ffff220,0xfffd712e,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x002f6400,
    0x22003ed8,0x2aa20081,0x82aaaaaa,0x0002ccb9,0x00206200,0x320017ae,
    0x0100405e,0x5c40140e,0x5e5cc02c,0x82881980,0x40802ee9,0xed800000,
    0x07dd1003,0x0801f6c4,0x0bcdc980,0x00000000,0xd5002062,0x774c001d,
    0x00f74c02,0x5400bd90,0x00400980,0x5100276c,0x55555555,0xd8005555,
    0x7d70004e,0x54400fae,0x1220acdb,0x40037ae0,0xf301d40d,0xf98007ff,
    0x37ff2006,0x7fec0711,0x46ffffff,0x05ea8aed,0x02fcc7f6,0x1c477ff2,
    0x00fffe20,0x3a803ff0,0x0da80644,0xffe880ee,0xbfc80eff,0x23d82fd9,
    0x6ffd80d8,0x3a2dd710,0x2a1dd03f,0x3ffee03f,0x805fa801,0x3ae206f9,
    0x644e5c06,0x23fb01ff,0x27d405f9,0x3fea01fd,0xff880e2f,0x13ee005f,
    0x10027e40,0x3a2001fd,0x6da816a1,0x20077c40,0xfcabefd8,0xfdccccff,
    0x3ffea007,0xb0fd8002,0x57f9001f,0x0b67fb73,0x4400bfa0,0x33a02c87,
    0x32000fd8,0xd591000e,0x2203bbff,0xeeeeeeff,0xf103ea3f,0x7dcffe07,
    0x3fab2207,0xa6c01edf,0x3f3000fc,0x3fbbfa00,0x364fec05,0x3f266f20,
    0x3607e43f,0x74efcc2f,0x3fa8ea83,0xff56fec8,0xb2ff981f,0x22be20df,
    0x00ec805e,0x3b201f50,0x2e1e206f,0x2e7ff06f,0x8b7e407f,0xfb3902ff,
    0xae409bdf,0x0bd001fb,0x44006d80,0x2fee003f,0xdff900fa,0x4400fb80,
    0x0ffc81fe,0x5d000e88,0x5f000dd1,0x3ba601fc,0x009ff501,0x2cc007f1,
    0x5c3a80f4,0x8003a004,0x701fed42,0xbd07d409,0x86541b60,0xb50a02b8,
    0x5c49807f,0x40079004,0x400cffc9,0x2a02fff9,0x2fc6fc82,0x7fe437cc,
    0x07441b06,0x3f7737d4,0x80e44770,0x3a016c1c,0x501e4000,0x207e40df,
    0x0ca81ff8,0x1c880571,0x931440ea,0x262c409f,0x000e8805,0x2cc000e8,
    0x013ffa00,0x01d80df5,0xfb81ffc4,0x7001700f,0x22003c85,0xff101625,
    0x806fc805,0x225c004b,0x00c06078,0x00000188,0x226c8070,0x001fb06f,
    0x03000000,0x000a0026,0x0f2e0004,0xf337cc00,0x910ffa07,0x06013039,
    0x00161be6,0x10140620,0x980a0003,0x20ff206f,0x000003fe,0x01800000,
    0x00098011,0x05000310,0x400cc980,0x401406f9,0x3fea06fd,0x40600100,
    0x08822002,0x26037e40,0x01403fee,0x01661640,0x00000000,0x21fc0000,
    0x005f82ff,0x00000000,0x00000000,0x1fc40000,0x13f205f9,0xdf300000,
    0x000003a8,0x80000000,0x07a606f9,0x000007fe,0x00000000,0x00000000,
    0x30000000,0xf98000df,0x03fea03f,0x00000000,0x80bfe600,0x00ffc9e8,
    0x81d00880,0x0776e44b,0xdc81ddd9,0x3bbb20ee,0x90776e40,0xa8001ddd,
    0xb17fe40f,0x3f6e201d,0x6dc400ce,0x5c400cef,0x4400cefd,0x400cefdb,
    0x643efed8,0x3bb20eed,0xe8b7000e,0x44df703f,0x442ddedb,0x982ddedb,
    0xd8812e6f,0x36203efe,0x36203efe,0x36203efe,0xdf303efe,0x64df3000,
    0x3bb20eed,0xdd97100e,0x765c403b,0x32e201de,0x2e201dee,0x2201deec,
    0xc81deecb,0x3bb20eed,0xdd97100e,0x837cc03b,0x42ddedb8,0x3ea01ffc,
    0xeec8480f,0xbdddb15e,0x441f76c1,0x900cefdb,0xa97403ff,0xedb883ff,
    0xf71e88de,0xffffffff,0x07fcc9ff,0x3e603fea,0x407fd40f,0x7fd40ff9,
    0xe8364000,0x100dcbff,0x80ffdc9d,0x07fee4e8,0x3ff72744,0xffb93a20,
    0x3625d501,0x207fcc5f,0xe9800ffa,0xfb827f40,0x42fa87e7,0x260bea1f,
    0x2ea8026f,0x5d50bfb1,0x3aa17f62,0xd50bfb12,0x2617f625,0x1fc8006f,
    0x3ea07fcc,0x7ccdd00f,0x7ccdd00f,0x7ccdd00f,0x7ccdd00f,0x7ccdd00f,
    0x40ff980f,0x4dd00ffa,0xdf300ff9,0x3ea1f8b1,0x5007fec2,0x904a81ff,
    0x20dfd0ff,0x727440de,0x1ffb03ff,0x4ff99320,0xdff30ce8,0x4edccc45,
    0x409af999,0x00ff80ff,0x01ff01ff,0x03fe03fe,0x7ec07f00,0x4c2ec06f,
    0x985d80ff,0x985d80ff,0x985d80ff,0x217c40ff,0x07fc2ff8,0xf71007fc,
    0x907fc89f,0x8b61aadf,0xf982d86a,0x442f8806,0x10be22ff,0x217c45ff,
    0x0be22ff8,0x6f985ff1,0x09f10022,0x03fe03fe,0x05fd0fea,0x82fe87f5,
    0x417f43fa,0x417f43fa,0x817f43fa,0x80ff80ff,0x817f43fa,0x1aa2eef9,
    0x80ffd0b6,0xfecccffa,0x983ff104,0xbb06886f,0xff81ff30,0xff88b707,
    0x7fcc36c5,0x07889700,0x03fe03fe,0x07fc07fc,0x0ff80ff8,0x9803ea00,
    0xfb80efff,0xfb89fd03,0xfb89fd03,0xfb89fd03,0x7b89fd03,0x0ff8bfd0,
    0x32a00ff8,0xff10effe,0xcaff4419,0x5f914c2f,0x06f98298,0x4bfd07b8,
    0x5cbfd07b,0x3dcbfd07,0xb7cc5fe8,0x02dc06fa,0x01ff01ff,0x83fc83f5,
    0x41fe41fa,0x41fe41fa,0x41fe41fa,0x81fe41fa,0x80ff80ff,0x81fe41fa,
    0x17e41ff9,0x80fff0a6,0xecaabffa,0x3a13f204,0x7dc2541f,0xff89fd03,
    0xff80e987,0x3f20fea6,0x5985b05f,0x3fe03fe0,0xff01ff00,0x3e03fe01,
    0x81b2000f,0x0effb8ea,0x7fb817ec,0x7fb817ec,0x7fb817ec,0x7fb817ec,
    0x666667ec,0x407fc3cc,0xff7000ff,0x667ffd45,0x9ff53ffc,0x033fea01,
    0xfb00df30,0x79999999,0x666667ec,0x333f63cc,0x363ccccc,0xcccccccf,
    0x7fab7cc3,0x1ff00740,0x2a001ff0,0xfd5004fe,0x13faa009,0x8027f540,
    0x1ff04fea,0x2a001ff0,0x0df704fe,0x6c019ff5,0x07fd407f,0x46f9812a,
    0x40745ff8,0x8ff702fd,0x07a20ffe,0x2fc93fe2,0xf83fde5c,0x1ff025c0,
    0x3fe01ff0,0xff00ff80,0x4001ff01,0x543f503f,0x817f45ff,0x0bfa0ffa,
    0x5fd07fd4,0xfe83fea0,0x741ff502,0x407fc006,0x3f2000ff,0xfa965c45,
    0x13fff20f,0x3027ffe4,0x00dd00df,0x0dd00374,0x26003740,0x2a80266f,
    0x7fc07fc0,0x32b72200,0x2b72204f,0x372204fc,0x32204fca,0x2204fcad,
    0xf04fcadc,0x401ff01f,0x84fcadc8,0xff906fdc,0x03fee09f,0x0480ffa8,
    0xff790ff4,0x17f41621,0x3f20ffa8,0x7cc0ba1f,0x5a8bfa3f,0x332a1ff5,
    0xcdeccccf,0x7c07fc2c,0xf01ff00f,0x203fe01f,0x1f3000ff,0x3fea1ba0,
    0x7cc0ffe0,0xf981ffc7,0xf981ffc7,0xf981ffc7,0x3e003fc7,0x000ff80f,
    0x3fa01be6,0x0effe985,0x80effe98,0x07f806f9,0x7f801fe0,0x3001fe00,
    0x005c00df,0x03fe03fe,0x09f71fd4,0x04fb8fea,0x827dc7f5,0x413ee3fa,
    0x413ee3fa,0x00ff80ff,0x227dc7f5,0x2606f9ac,0x7d40effe,0x03fea02f,
    0xb453ee00,0x3e0593fd,0xb8ff303f,0x5c09b3ff,0x54ffe1ff,0x6543fe65,
    0xcfcccced,0x407fc2cc,0x01ff00ff,0x03fe01ff,0x364003fe,0x7f904f98,
    0x6f982fec,0x6f982fec,0x6f982fec,0x6f982fec,0xf83017f4,0x000ff80f,
    0x3be602fc,0x81bff200,0x6f986ffc,0x8602fe80,0xfe8602fe,0x02fe8602,
    0x400df306,0xf80ff803,0x5c3fa80f,0x5c3fa84f,0x5c3fa84f,0x5c3fa84f,
    0x5c3fa84f,0xf01ff04f,0xb87f501f,0x06f9844f,0x7c46ffc8,0x03fea04f,
    0x71ff1030,0xb035be67,0x11be60bf,0xc80b79ff,0x74e7f46f,0x0ee1be60,
    0x81fe80f1,0x03fd00ff,0x07fa01ff,0x1fc003fe,0x7f505f98,0x4fa83fd4,
    0x4fa83fd4,0x4fa83fd4,0x4fa83fd4,0x439837ec,0x00ff81fe,0xdd00fe60,
    0x0ff98481,0x981ff309,0x06fd806f,0x9837ec73,0x1cc1bf63,0x30e60dfb,
    0xe80000df,0xe80ff81f,0x7427dc0f,0x7427dc0f,0x7427dc0f,0x7427dc0f,
    0xe827dc0f,0xe80ff81f,0x9827dc0f,0xff98486f,0xa807fdc0,0x406e00ff,
    0x3fa0ebfd,0x41fea04b,0xeffa84fa,0x903fe200,0x4f981ddf,0x202cc2d8,
    0x07fdc3fe,0x7fdc3fe8,0xfb87fb00,0x00f9800f,0x87ee03fa,0x0fc81ff8,
    0x7e40ffc4,0x640ffc40,0x40ffc40f,0x77fcc0fc,0x7fd03620,0x2000ffb8,
    0x4076c06c,0x0f26d83c,0x01be61b6,0xd883bfe6,0x883bfe60,0x83bfe60d,
    0x3bfe60d8,0xdf303620,0xd002a200,0x80ffb87f,0x0a7ec2ff,0x29fb0bfe,
    0x9fb0bfe0,0x7ec2ff82,0x3617fc14,0x43fe814f,0x2ff80ffb,0x7cc0a7ec,
    0x06d83c86,0x3fee0bf9,0x7d40f300,0x00ffdc4f,0x1f903ff1,0xfb013f60,
    0x705ff105,0x3b81f01f,0x6d577e40,0xfc82cffa,0xcffadaae,0xdabefb82,
    0x6402cffa,0x741fd406,0x2a0efb84,0x41df701f,0x1df701fa,0xefb80fd4,
    0x7e407ea0,0xc83feeff,0xffadaaef,0x442ff22c,0x1fb100ec,0x47d03f20,
    0x4c1f40fc,0xfff9006f,0xff907fdd,0xf907fddf,0x907fddff,0x07fddfff,
    0x3f200df3,0x5577e406,0x642cffad,0xefddaaef,0x2abbf22b,0x322befdd,
    0xefddaaef,0x2abbf22b,0x322befdd,0xefddaaef,0x5577e42b,0x642cffad,
    0xefddaaef,0x6437cc2b,0xfb01f40f,0x17ff4439,0xfd013aa2,0xb806f881,
    0x407ea0ef,0xfb04fde8,0x307ff407,0x5b0f103f,0x23fffd00,0xffd00cff,
    0x4033fe3f,0x9ff2fffe,0xa803e801,0x202ecbef,0x02dedffa,0x16f6ffd4,
    0x37b7fea0,0x76ffd402,0x7ffdc02d,0x3fffa03f,0x7dc19ff1,0xa883eeff,
    0x3f200bec,0x7e44dbdf,0xf504dbdf,0x7ffdc00f,0x3ffee03f,0x3ffee03f,
    0x3ffee03f,0x00ff503f,0x3fa01bf2,0x819ff1ff,0xf98dffd8,0x6ffec42f,
    0x6c42ff98,0x2ff98dff,0x4c6ffec4,0x7fec42ff,0xd02ff98d,0x33fe3fff,
    0x46ffec40,0x7fa82ff9,0x4dbdffc8,0xfeeec980,0xffffffff,0x826402ff,
    0xbff5003d,0x99ec05bd,0x0dfdcdfe,0x37faab60,0xd0b502ee,0x05066001,
    0x20050660,0x15001419,0x0004c400,0x98800131,0x004c4000,0x30002620,
    0x28330013,0x26600cc0,0x80cc1000,0xfec80660,0x266002df,0x00133000,
    0x4cc00266,0x5bffd700,0x0cc00300,0x0102200a,0x22004088,0x10220040,
    0x40040880,0x04401419,0x3ffae202,0x0019822d,0x00003310,0x00098044,
    0x814004c4,0x429801a9,0x40cc00a9,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1cccca80,0x0005664c,0x80503800,0x1599530b,0x004ec800,
    0x00010020,0x2aaaa000,0xaa981aaa,0xdb981aaa,0x008070ab,0x00080002,
    0x00001000,0x08003971,0x2f6ea200,0x2aaa200a,0x5554c01a,0xca8801aa,
    0x440000ac,0x8000acca,0x0565400a,0x01d40480,0x01d40488,0xa8800170,
    0x400e09bc,0x50acdca8,0x2aaaa201,0x2aaaa2aa,0x55300aaa,0x2aaa6355,
    0x555511aa,0xaaa98155,0x5555531a,0x22000155,0x9df52ffc,0x32205ffd,
    0x405dd71f,0xb00f20da,0xb7337dff,0x3fe2007d,0x3fb62000,0x00fecc2d,
    0xadfedb80,0x7ff5440e,0xfd9880ae,0x56fe40ae,0xb887efdb,0x01fd986e,
    0x2205f980,0x999bdddd,0x0007f660,0x06e89db8,0x00eff64c,0x36a6b3f2,
    0xff93103f,0x7ecc401f,0x376e00ad,0x03ddb98b,0x4c5eedc0,0xf7003ddb,
    0x2fdeec0f,0xfb881dc0,0x2205b005,0x0b5005fb,0x556775c0,0x5c06ddfd,
    0xfca9acee,0xf93100ed,0x7dc437ff,0x32602eff,0xff710cff,0x3faa219f,
    0x7d4409ef,0xffb310bf,0xf500137f,0xd9aff989,0x2e17fd40,0xfddd9ffe,
    0x327b603f,0x204fd806,0x5f3003fc,0x7dc3e600,0x03ffb51f,0xb12ed880,
    0x3ff201ff,0xc82f9802,0xc87fa82f,0x7fe546fe,0x06fa8001,0x7ffcc9f1,
    0x03ff953f,0xfb83ea00,0x7fdcd302,0x501ee980,0x7fd401df,0x401f9806,
    0x00dc803c,0x0dc803c8,0x1883fd40,0x00d301ae,0x00b500bd,0x01d100bd,
    0xfb80ff20,0x409fb106,0xff801fe8,0x00ffee05,0x0ffc82fc,0x7404ff98,
    0x009ff303,0x7fc47fc8,0x41ff205c,0x17ea0dff,0x802fff98,0x03fc805e,
    0x17a00b50,0x01ff83d3,0x7fc436c0,0x001ff500,0x40df103e,0x20df507a,
    0x130001ff,0x5fd07ee0,0x40007fe0,0x440f447f,0x7407e43f,0x037dc02f,
    0xf1013ffe,0x4ccde401,0x406c8099,0x455d4c3c,0x09806c98,0x1e803b00,
    0x74405d80,0xd805d800,0x00bf9003,0x013f60f7,0x3fe00be6,0x402ffc04,
    0x5ff300f9,0xf8817fa0,0x000ffe00,0x1fff0591,0x741ffcc0,0x203fc41f,
    0x01d003cb,0x2007ff10,0x404f9802,0x5eeeffec,0xff817d40,0x001ff500,
    0x80df303e,0x3a0df307,0xf800001f,0xfd05fc87,0x0bf10003,0xc801fd40,
    0x3ff8806f,0x00fffbe0,0x7d4f201f,0x642debaf,0x5f447904,0x993fdb89,
    0x5fb30000,0x5d8025c0,0x5d801e40,0xfc802d40,0xf70d000e,0x4016400f,
    0x7fe404fe,0x3a025c00,0x01ff705f,0x07ff016a,0x01ffc000,0x0ff437f4,
    0x000007fc,0x03fec009,0x809f5000,0x2aacfeaa,0xff807ec0,0x001ff500,
    0x05ff303e,0xd06f982c,0x8800003f,0x837d40ff,0xfa8001fe,0x00bee005,
    0x6400bfe6,0xfd3f00ff,0x4407c03f,0x03fa3f45,0x17ccb10b,0x170164e8,
    0x81fdb880,0x0bb000e8,0x0bb0034c,0xff800744,0xff02e003,0x40144007,
    0x7fc404fe,0x2e00fc03,0x2ff880ff,0x3ff805b0,0x0bfe0000,0x3fa1ff60,
    0xb880ff81,0x0000cefd,0x220ffea0,0x200cefdb,0x3fd004fb,0xff03fc00,
    0x003fea01,0x27ffc07c,0x20df3008,0x800001fe,0x817dc3fe,0xfa8001fe,
    0x00bf6005,0x54003ff2,0xd11f02ff,0x203e01ff,0x3ee3f43a,0x44ea0dc3,
    0x1b92605f,0x4f880120,0x176002d8,0x176001e8,0xff3003c8,0x7fcc0005,
    0xfe800001,0x206fd804,0x2ff8806a,0x1f05ffa8,0x0003ff80,0x3200bfe0,
    0xf81fe87f,0xf727440f,0x2600003f,0x727444ff,0x13ee03ff,0xfeb8ff40,
    0xf00ff884,0x03fea01f,0x7fcc07c0,0xdf3002ef,0xed987fa0,0x06da82de,
    0x207e8bf5,0x09fd71fe,0xed806fa8,0xb02eeeff,0x7fcc00ff,0x3fe61f04,
    0x81901f06,0x2617e47e,0x02fb8643,0x00580e60,0x0016e074,0x000f20bb,
    0x801a60bb,0x20001ffb,0x000007fb,0xff3009fd,0x6c00b605,0x0ffed85f,
    0x1ffc02d4,0x2ff8000c,0x740ffc80,0x6c0ff81f,0x220ff985,0xaaaaaaaa,
    0xffbaaaaa,0x7fcc2ec5,0xd004fb80,0x7ff9b93f,0x3fe03ff0,0x001ff500,
    0x7ffd403e,0x37cc01df,0x0f641fe8,0x5037fe44,0x403bd7df,0xffcdc9fe,
    0xcffdcb83,0xfd9980cc,0xfff0099b,0x82ffc400,0x217fea0f,0x17e8580f,
    0x4b1609f7,0x82c001fd,0x22b2603c,0x0007444b,0x001a61ba,0x000f41ba,
    0xd8000ffb,0x5554407f,0x3fa01aaa,0x10bfd004,0x07fd400f,0xd87ff1f1,
    0x643ff802,0x2ff8004f,0xfe87fb80,0x3ee0ff81,0x7d49fd03,0xccccccef,
    0x6ffccccc,0x27f40fee,0xfe8027dc,0x3a1fe60d,0x201ff04f,0x1f000ffa,
    0x7fffe440,0x741be604,0x5003ae1f,0x0c46c0df,0x260dfe80,0xffdcb87f,
    0x3f600ccc,0x006ff802,0x40f837fc,0x407c3ffc,0x0ffcfe85,0x0ff4b160,
    0x03ea1600,0xd80acb88,0x99909502,0x32a21e89,0xc8999902,0xdff09503,
    0x07ff8000,0x02fffb88,0xfa8027f4,0x1002641f,0xfdad47ff,0x3e003e26,
    0x0027e43f,0x7dc017fc,0xff81fe87,0x7dc0bf60,0x8013fe67,0x0bf65ff8,
    0x27dc3fdc,0x7f81fe80,0x7d43ffb8,0x01ff500f,0x3a6003e0,0xdf305fff,
    0x02dc7fa0,0x0bb06fa8,0xf883fd00,0x801fe607,0x7fe802fd,0x417fe200,
    0x22ffd80f,0x77e8580f,0x4b16209f,0x162002fd,0xa80009f1,0x400df305,
    0x37e6744b,0x3e60d300,0x0007ff86,0xf8007ffc,0x04fe805f,0x03f13fe0,
    0x4b65fd80,0x00b50ffa,0x50020ffe,0x7005ff01,0x82ff88df,0x40bfa0ff,
    0xbff10ffa,0xd1ffcc00,0x03fea05f,0x3fa009f7,0xfe80ff81,0x0ffbdbff,
    0x2001ff30,0x7ffdc007,0xfd06f983,0x7cc00b93,0xbdddff06,0x07fa0399,
    0x37c403fe,0xb005fb00,0x3e6001ff,0xd101f03f,0x2e03e1ff,0x03fb3f41,
    0x9f71b875,0x3f61d400,0x03a20001,0x4c01b7a2,0x03f70dc6,0x37a207a0,
    0x001ffd86,0x400bff60,0x4fe804fe,0x543ff200,0x8ffa8006,0x2d9ffc78,
    0x8007ff00,0x02ff86fc,0x3faa4fc8,0xf07fc4ef,0xd1fe607f,0x7fdc00df,
    0x7cc0ffe2,0xd004fb87,0x101ff03f,0x3fe5fffd,0x003ff300,0x4c0310f1,
    0x06f986ff,0x400dfbfd,0xfff506f9,0xd0bfffff,0x401ff03f,0x0bf6005f,
    0x4007ff20,0x01f02ffa,0x03e3bfe2,0x744fd0e6,0xd1cc0c86,0x0c8a201f,
    0xb0001fea,0x01b27607,0x03e600f4,0x64ec12e0,0x002ffc86,0x4013ff20,
    0x3fe804fe,0x6cffe200,0x77ff0002,0x078efc8b,0x7000ffe0,0x005ff0df,
    0xff8007f9,0x7cc17f60,0x8017fdc6,0x82fec6fe,0x04fb86f9,0x1ff03fd0,
    0x03fe0c40,0x4c00ffc4,0x7dc04986,0xe837cc0f,0x3004feaf,0x4c4ee0df,
    0x741fcaa9,0x200ff81f,0x0bf6004f,0x4013fe20,0x803e06fc,0xd00fdffa,
    0x12fcc7f8,0x0ee89a0d,0xfc8d124c,0x5400dc85,0x01b25906,0x0172012e,
    0x6c9641a6,0x4004ff88,0x401bfe20,0x2fe804fe,0x3cf7ec00,0x5bdf9000,
    0x005cffa8,0x86200ffe,0x0985ff01,0x3fc0036c,0x27d41fea,0x7d4037f4,
    0xa83fd41f,0x004fb84f,0x01ff03fd,0x3e00ff80,0x984b804f,0x4c3fcc06,
    0xf13fd06f,0x0df3007f,0xe83900d5,0x980ff81f,0xd83301f9,0x1ff7002f,
    0x201ff880,0x7ffdc00f,0xdd91b300,0x6c675c39,0xeeb8b301,0xb07623cd,
    0x405fb07f,0x323b81e8,0x20074406,0x81e800e8,0x7e41b23b,0xb815001f,
    0x4fe804ff,0x4001fe80,0x0004eff9,0x7fc1ffe6,0x0ffe002f,0xff100360,
    0x3f07fcc7,0xf88bf000,0x980fc81f,0x3fe604ff,0xc81ff884,0x004fb80f,
    0x01ff03fd,0x2a00ff80,0x03ea00ef,0x4fb80fe6,0x3fd06f98,0xf3007fea,
    0x5880bf0d,0x0ff81fe8,0x0df7ede4,0x005fb0b3,0x3f2027f4,0x6c00fc04,
    0x016600ff,0x16600ec4,0x7dc0ec40,0x3201fa86,0xffdddf03,0x100b601d,
    0x2097001b,0x0effeeef,0x200fff44,0x05ff901a,0x1ec44fe8,0x3fa000fd,
    0x7fc0000f,0x800ff904,0x02d403ff,0xff127fcc,0x326016a7,0xdf703f10,
    0xd100fd41,0x3ff9819f,0xfa83bee0,0x200bf901,0x01ff81fe,0x3200ffc0,
    0x17dc40ef,0x4c0cff98,0x06f980ef,0x07fe43fd,0xff88df30,0x40ecc1bd,
    0x21ff81fe,0xfffd9748,0x07fb07ff,0xfb04fc80,0x003f8807,0x1d9801fd,
    0x2003b510,0x3b5101d9,0x16607fc0,0x26660698,0x0b701ed9,0x44060d88,
    0xb333300e,0x5f7ec03d,0x2a00e4c1,0xff880aff,0x7c4ffd44,0x0bf50002,
    0x203f9000,0x3e6004f9,0x953119ef,0x7f64c05f,0x9ff72dff,0x33fee007,
    0x37fea03d,0xfd7002de,0x003bffbb,0x05bdbff5,0x7c4037f4,0x002ff82f,
    0x3200ffe6,0x2efedfff,0x3bf6f660,0xf500cffc,0xfd0bfe0f,0x21fea01d,
    0xffffffd9,0xf05ff00d,0x2e4cd85f,0x9fd04fff,0x9bdd5000,0x64401bfb,
    0x4401cfff,0xddb8800f,0x000bddbb,0x6ddeedc4,0x7fd400bd,0x3a01ea9b,
    0x441b2001,0x3bbe600e,0x005b05ee,0x7edc0364,0x001ceeff,0xb97bfd91,
    0x3ffa03bf,0x17c0003c,0x2034c000,0xffc9802e,0xffffffff,0x880000ff,
    0x1bca8001,0x00013100,0x40002a62,0x3f660098,0xfd502dff,0xffb519df,
    0x9995007d,0x2aa60099,0x22088009,0x3ae009a9,0xffb52dff,0xfffd319d,
    0x6fff6419,0x03597302,0x553bff6a,0x8043effd,0xbfffb501,0x02a60005,
    0x00200000,0x00000cc0,0x2a200066,0x01cc02cc,0x01540ea0,0x07333332,
    0x075000e2,0x0000a980,0x30019a98,0x00600003,0x00c01800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x31000000,0x2aaaa610,0x80199aaa,
    0x2aaaaaa9,0x55555554,0x5c0deb80,0x110080de,0xaaa98000,0x2ee0aaaa,
    0x20a05100,0x200002c9,0x2aa60deb,0x000aaaaa,0x00281c00,0x21aaaaa8,
    0x1002aaa8,0x55555555,0x80555555,0xaaa80818,0xaaaaaaaa,0x200002aa,
    0x02eb83ea,0x4c009db0,0x400001ee,0xec818819,0x2deeec85,0x503a775c,
    0x2aa60001,0x4c02aaaa,0x9aaaaaaa,0x00000019,0x55555440,0x2aaaa62a,
    0x2a6009aa,0x44000aaa,0x2001aaaa,0x0f7fdc2a,0x3fff6627,0x2dffedde,
    0x5dffb310,0xcfffa981,0x441fe809,0x41c84fff,0xb8fe4458,0xfd9884fe,
    0xff509bff,0x0362640b,0x0000fffa,0x36620ff4,0x2001afff,0x2fd89fc8,
    0x443c836a,0x262ddedb,0x2a20cffe,0x326001ef,0xccccffff,0x3f207fdc,
    0xf88711df,0xeffeeeef,0x440fffee,0x401deecb,0x03fc84fb,0x2000ef88,
    0x3f6004fc,0x1622e801,0x7e40ff44,0x74cbb01f,0x764412a0,0x36620adf,
    0x4400afff,0xddefffd9,0x8802dffe,0xf703efed,0xc989ba25,0x2621bfff,
    0xffeefffd,0x7ff5440d,0x77fe4005,0xd513ea0a,0xffe9c8bf,0x17fcc2de,
    0x101ffe44,0x7fd807ff,0x5720be20,0x77fc41fc,0x3ff6e3fe,0x04ffddd9,
    0xff309ff3,0x277e201f,0x0dff904e,0x405f3000,0x5c003ff8,0x5ffd9ffd,
    0x7c364f74,0xff30bea1,0x0003f103,0x201ff7f1,0xeac880e8,0x7c41ddff,
    0x2a0ffcc1,0xff33741f,0x6427dc01,0x00fb803f,0xf1002f40,0x39f5007f,
    0x81fc405f,0xc83f03fe,0xe980fbaf,0xf30bf90b,0xff98007f,0x03ffc882,
    0x2fec4baa,0x0ffaaff4,0x3e605ff8,0x0bff622f,0x8003ffe6,0x6fd83fff,
    0x0997faae,0x3e20ff66,0x0ffe602f,0xdddffdd5,0xfffddddd,0x984b83dd,
    0x7ed42d44,0x41bff03e,0x0ffe07fa,0x3ee00e84,0x025400ff,0x2201dc00,
    0xff0002ff,0xff306a1b,0x2d86a83f,0x05b85fc8,0x1ff5b700,0x2a140640,
    0x984883fd,0x2a1c81ff,0x7017f43f,0x007f909f,0x0688003b,0xb000ba80,
    0x0d300bff,0x21aa1bea,0xe883fff8,0x220ffc45,0x7c4002ff,0x0ffe602f,
    0x5ff10be2,0x40ee0c98,0x3fe204fe,0xf887fe82,0xfd7004fe,0x7039105f,
    0xff8000bf,0x11ffdc02,0x5559ff75,0x5ffb5555,0x20302815,0xfe801009,
    0xf807fc41,0x2016603f,0x01b802cc,0xff002800,0x0bfa0005,0x3f20f2e0,
    0x7fcc14c2,0xe8000f40,0x0200ffa8,0x4c0c4000,0x2a1981ff,0x701fe41f,
    0x007f909f,0x00130005,0x39910000,0x2fe80a00,0x04ca816c,0x81b707f9,
    0x09aacff8,0x5c02ff80,0xe83dc3ff,0x7f40005f,0x20bfe204,0x5fc41ffb,
    0xfbe800ff,0x2fdc001f,0x00bfe000,0x3fe03ffa,0x0037e402,0xfe800000,
    0xff00ff81,0x00072207,0x00004a80,0x0897fc00,0x0007fa00,0x0019ff50,
    0x0034c7fd,0x01ff54b8,0x4c000000,0xd50001ff,0x427dc09f,0x000003fc,
    0x00000000,0x137dc000,0x07f4000f,0x99bff100,0x7fc05bff,0x20ffe802,
    0xccccccfd,0x7f40003c,0x20bfe204,0x47c44ffa,0x475404ff,0x7d4001ff,
    0xf80db505,0x3ffb802f,0x7e402ff8,0x541b6a06,0x036d406d,0x01ff03fd,
    0x80e60ffe,0x9fd71fc8,0x8becc530,0xf9103efc,0xff05fb13,0x74003d35,
    0x27f2201f,0x3ff22fd8,0xb37d404f,0x543a0005,0x220900ff,0x09fd71fc,
    0x000ffcc0,0x09f95b91,0x1fe427dc,0xfeb8fe44,0xddddd704,0x75c1dddd,
    0xeeeeeeee,0x3bbbbae0,0x6d40eeee,0x4b8ffc06,0x7fc1b6a0,0x8bfe2000,
    0xff02ffd8,0x47ff7005,0xdb50006e,0x2204fe80,0x3ffc82ff,0x00ffcbc4,
    0x007fe2ba,0xff90bf50,0x802ff80d,0x2ff85ff9,0x64437e40,0x7fe446ff,
    0x81bff206,0x00ff81fe,0xdb8007ff,0xffddd9ff,0x23ffb204,0x5c1ffdce,
    0x5ffd9ffd,0x001edff8,0xfdb80ff4,0x4c5ffd9f,0x3e00effe,0x700068af,
    0x5407fd49,0xd9ffdb84,0x3004ffdd,0x3ea003ff,0xfb813ee3,0x6dc3fc84,
    0xffddd9ff,0x9999dc84,0x4ee44ff9,0x44ff9999,0xf99999dc,0x1bff224f,
    0x207abf70,0xff06ffc8,0x17fc4005,0x7fc07ff4,0x25ff9802,0x7e44007f,
    0x027f406f,0xffd05ff1,0x7ff17881,0x0ffc5e60,0x5417ea00,0xffcca86f,
    0x441ccccd,0x9bff86ff,0xfc999999,0x541bea06,0x037d406f,0x01ff03fd,
    0x7c000ffe,0x01fea0df,0x7e419ff3,0x2a1bff05,0x000eff81,0x7fc01fe8,
    0x3f20350d,0x2f7ee06f,0x20f88003,0xeccccffa,0x837fe04f,0x999507fa,
    0x7999bffb,0x4fb87f50,0x3f217ee0,0x541bff03,0xfd80c87f,0x6fd80c86,
    0x06fd80c8,0x9ff00df5,0xd06fa80b,0x3e20c09f,0x52ffc82f,0x999bff99,
    0x26ff8839,0x540602fe,0x027f406f,0x7e445ff1,0x3f27883f,0x3fe27b06,
    0x82fd4001,0xfba986fa,0x80aaaacf,0xcdff86ff,0xfecccccc,0x541bea06,
    0x037d406f,0x01ff03fd,0x74000ffe,0x007fc41f,0x0df50ff1,0xff100bfa,
    0x07fa0005,0x21205fd0,0x99990ff9,0x999bfffb,0xfa899009,0x4ebaaabf,
    0xff107fa0,0xf7555301,0xd055557f,0x204fb81f,0xa7f446fb,0x3e20ff42,
    0x7fd4140f,0x0ffa8280,0x00ffa828,0xff700df5,0xb06fa805,0xf106a0df,
    0x27ff705f,0xaacffba9,0x26ff80aa,0x207306fd,0x27f406fa,0xf99dff10,
    0x99e205df,0x887c42ff,0x7d4001ff,0xf80df305,0x5ff8802f,0x7e402ff8,
    0x4c1be606,0x037cc06f,0x03ff03fd,0x74000ffe,0x200ff81f,0x07f987f8,
    0x7f4403fd,0x3fd0002f,0x7901fe80,0x4ccccdb0,0x9999dfd9,0x666fc401,
    0x4980ffdc,0x3fe07fa0,0x01ff9800,0xa7ec2ff8,0xb9cffb80,0x7438dfbd,
    0x400ff81f,0xf3002ff9,0x3fe6005f,0x201be602,0x6f9807f8,0x498bff30,
    0xfd82ff88,0x802ff81f,0x3fe65ff8,0x4c03620e,0x027f406f,0x03315ff1,
    0x46fd8f10,0x207fe24c,0x05fa80b8,0x2ff80df3,0xf83ffa80,0x037e402f,
    0x1be60df3,0x3e20df30,0xf02ff82f,0x3fa0007f,0x2200ff81,0xd07f887f,
    0x3efa603f,0x7ff0002f,0xf901fe80,0x7e403e81,0x99cc8004,0x900ffb99,
    0x7fc0ff40,0x01ff9800,0xddaaefc8,0xfdb82bef,0x3ffd14ff,0x0ff81fe8,
    0xd0027f40,0x27f4009f,0x6c01be60,0x206f9804,0x1fedfffd,0x7c42ff88,
    0x005ff06f,0xffc87ff5,0x2603feef,0x027f406f,0x88005ff1,0xf897fcc7,
    0x3e07fe20,0x82fd40ff,0x17fc06f9,0x7c0ffdc0,0x037e402f,0x1be60df3,
    0xfd50df30,0x3ff6a9df,0x003ff83e,0x1ff03fd0,0x7c43fc40,0x3203fd07,
    0xa8005ff1,0xd00cfffd,0x37ff203f,0x555544db,0xaaaadfda,0x7d41a202,
    0x1fe8000f,0xf9800ff8,0xffd8801f,0x902ff98d,0x74060317,0x200ff81f,
    0x3f2006fc,0x01bf2006,0x07c01be6,0x32037cc0,0xf101dfff,0x0fffd45f,
    0xfb802ff8,0xffffb81f,0x2037cc03,0x3fe204fe,0x743c4002,0xff88b75f,
    0x542fff81,0x80df305f,0x7fc402ff,0xc805ff05,0x41be606f,0x37cc06f9,
    0x3e000880,0x7418803f,0x200ff81f,0x07f887f8,0x5ff003fd,0x01881300,
    0x5c101fe8,0xb5555504,0x055555bf,0x0ffa81ec,0x40ff4180,0xff9800ff,
    0x68822001,0xe80026c0,0x500ff81f,0x3ea001ff,0x1ff5000f,0x500df300,
    0x01be600b,0x3fe20164,0x00ceffee,0xff100bfe,0x805b980b,0x27f406f9,
    0x8005ff10,0xf9ffa878,0x440ffc41,0x82fd43b9,0x17fc06f9,0x7c03ff20,
    0x037e402f,0x1be60df3,0x3200df30,0x3ff800ef,0x0ff40d80,0xff1007fc,
    0x3fa0ff10,0x802ff801,0x201ffa85,0x2fe801fe,0x4009f900,0x03fea069,
    0x81fe8370,0xff9800ff,0x01ae0001,0x3fa000bf,0xf980ff81,0xff98182f,
    0x2ff98182,0x806f9818,0x0df3001e,0x4403ff10,0x20009bff,0x7fe402ff,
    0x9805c800,0x027f406f,0x88005ff1,0x10bffd07,0x206c03ff,0x0df305fa,
    0xf9017fc4,0x0ffe205f,0x7cc0ff90,0x980df306,0x0bf2006f,0xb500ffe0,
    0x3ff03fd0,0x7c43fc40,0x8803fd07,0x825c03ff,0x07fa05fa,0x64017e60,
    0x80fa005f,0x1e600ffa,0x07fe07fa,0x0007fea0,0xff101fb8,0x207fa000,
    0x04fe81ff,0x1209fd09,0x4c2413fa,0x3eced86f,0x401be600,0x3fe204fa,
    0x17fc4003,0x2005ff90,0x37cc01fc,0xf8813fe0,0x07c4003f,0x7cc17fd4,
    0xf709502f,0xa81fea0b,0x3aa60bff,0x3fe600df,0x807fec04,0x0ff507fa,
    0x2e007fa8,0x77fcc00f,0x5f953119,0xff82ff88,0x303fea02,0x07ff01ff,
    0x999dff98,0x302fd999,0x01ffc05f,0xfd801fc4,0x403f9005,0xfb882ffc,
    0x7c17fc44,0x3ffb802f,0x3bfe2000,0x001fe24b,0x3fe0bfe2,0x69837e42,
    0x469837e4,0x50d306fc,0x5fff88ff,0x803fd400,0x3fea02f9,0x5ffd4005,
    0x037faa60,0x4bdff980,0x3e207fa8,0x13fea05f,0x3e03f500,0x707ff506,
    0x321bee05,0x3262dffe,0xefffffff,0x3f2602bc,0x6dc2cfff,0x320befff,
    0x3b22dffe,0xfec82dff,0x376602df,0x3fff2602,0xffffffff,0x3bffaa0f,
    0x07dffb54,0x2e7bffd7,0xfb52dffe,0xfc9819ff,0xffffffff,0x6e440fff,
    0x9fffb503,0x200fb201,0x03dfffdb,0xa89dffb1,0xfffffffd,0x3aa2ffff,
    0xffb54eff,0x3ff6607d,0x10001cff,0x00370795,0x54effea8,0x3ea7dffb,
    0xffeeeeef,0x3bbbfea6,0x3ea6ffee,0xffeeeeef,0x16fff646,0xec800393,
    0xb9102dff,0x3fff6607,0x7e4c02df,0xceffffff,0x9710002b,0x5bffd905,
    0x6ffffe44,0x3ffff263,0x7fe4c02d,0x2615c0cf,0x01dffffd,0x1efffe54,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x45555555,0x82aaaaa9,
    0xaaaaaaa8,0x55555541,0x55555530,0x55555303,0x2aaaaa63,0x500009aa,
    0x2a601599,0x00aaaaaa,0x2aaaaaa0,0x02aaaaaa,0x55540ee0,0xaaaaaaaa,
    0x2aaa62aa,0x55542aaa,0x2000aaaa,0x2aaa6003,0x0099aaaa,0x5555554c,
    0x10aaaaaa,0x55555555,0xa9855555,0x99aaaaaa,0x7004c001,0x9fffffff,
    0xffffff30,0x555544df,0xaaaaaaaa,0x3f200881,0x04ffffff,0xfffffff3,
    0x20eedc8d,0xfc80eeec,0x04ffffff,0x530001c4,0x00000000,0x00000000,
    0x00110000,0x311d40a0,0x4415dffb,0x880bfffa,0x0affffdb,0x10effdcc,
    0x015ffff9,0x215dff51,0xddeffd98,0xd3003fff,0x103fffff,0x137fffb3,
    0x66fff400,0x3ffecccc,0x3e0df500,0xeffeeeef,0x310fffee,0x9815dffb,
    0x009cfffa,0x22001f50,0xccceffd9,0xb3102efd,0xd9999bff,0x3f2625ff,
    0xdcccccdf,0x7fecc47f,0xdffeddef,0x2a00d802,0x2ccccccc,0xcccccc88,
    0x0a000a3c,0xccca8072,0x9102cccc,0x07999999,0xffa81ff3,0xccccca80,
    0x034402cc,0x88009500,0x400cefdb,0x203efed8,0x80adfec8,0x01deecb8,
    0x05bbdb71,0x237bb6e2,0xfdb881e8,0xb8bf70ce,0x03ff986f,0x2e001bf3,
    0x0fe607ff,0xe806ffa8,0x45ff300e,0xe806ffb8,0x0fffdabe,0x0009ff30,
    0x5ff880ba,0x10dff100,0x41ff985f,0x1ffc41f9,0x2001ff20,0x7cc003fd,
    0x0efe882f,0x2205ff30,0x01ffc42e,0x0bfe60f3,0x4037ff22,0x000000fa,
    0x0a000a00,0x000003f3,0x407fc000,0x800000ff,0x12a00068,0x3ee4e880,
    0x225d501f,0x0be985fd,0x4cdd0bf9,0x2a1f80ff,0x2619d02f,0x3e882eff,
    0x17e27fee,0x0bfe21b6,0x320013a2,0x009d02ff,0x7cc03ffb,0x20bfe201,
    0x16e02ffc,0xff813fe6,0xd80b0003,0xf9b000ff,0xff30910d,0xff883703,
    0x0037e402,0x1001bfe6,0x3fe605ff,0x405ff103,0x403ff82a,0x405ff105,
    0xfe986ffa,0x00000000,0xf88a000a,0x0000001f,0x3e03fe00,0x8800000f,
    0x012a0006,0x0ff985d8,0x3fe217c4,0xff117a22,0x3fa1fd43,0x416c3542,
    0x80ff986d,0xdcff985d,0xff886d80,0x20005d82,0x02e40ffe,0x3606ff88,
    0x982ff803,0x403205ff,0x0ffe06fe,0xff701c00,0x3e76e005,0xff981886,
    0x2ff81881,0x20037e40,0x4002ffdc,0x1bf602ff,0x02017fc4,0x40300ffe,
    0x7fdc02ff,0x3bbffea4,0x9dfb7105,0xefed8801,0xa9400143,0x325eefff,
    0x3bb20eed,0xdd97100e,0x407fc03b,0x36d400ff,0x4000d100,0x07f7004a,
    0x20f713fa,0x20ff25fe,0x907ea0db,0x4c2fc87f,0x7e41fd42,0xe81fd45f,
    0x221b604f,0x017622ff,0x54bff100,0x3fea000e,0xff006a83,0x081bfe05,
    0xff817ee0,0x7cc00003,0x31d3005f,0x7fcc00df,0x00bfe001,0x7c400df9,
    0x7c005fd8,0x03fee02f,0x2000bfe2,0x3e0003ff,0x27fe802f,0x809aff98,
    0x07fee4e8,0x5fd89754,0x4c4a000a,0x7cc19afe,0x807fd40f,0x403fe66e,
    0x00ff80ff,0x8801bff2,0x012a0006,0x7fb817ec,0x666667ec,0x003fa3cc,
    0x544fea80,0x3f200cff,0x23fde5c2,0x0df702fc,0x97fc436c,0x700005e8,
    0x003f35ff,0x7c41ffb0,0x705ff001,0x2a0007ff,0x00ffe04f,0x01dfd000,
    0x037cc7a0,0x4003ff30,0x37e402ff,0x3feab700,0x80bfe000,0x5ff106fe,
    0x1ffc0350,0x17fc0398,0x3e0ffdc0,0x2617600f,0x217c40ff,0x00052ff8,
    0x3e01fe85,0xa80ff80f,0xf817f43f,0x400ff80f,0x999886fa,0x9999ea99,
    0x26666219,0x99999db9,0xfa817f41,0xf801ba0f,0x6e44000f,0xffc84fca,
    0x545fd04f,0x7fc1ff55,0x201ff502,0x8aff886d,0x6c00005e,0x10002eff,
    0x00264bff,0x1ffd05ff,0x807ee000,0x200003ff,0x99001ffc,0xf30037cc,
    0x17fc003f,0xe801bf20,0xf8013fe1,0x05ff702f,0x0760bfe2,0x07703ff8,
    0xf9802ff8,0xb807fc3f,0xb89fd03f,0x00abfd07,0x403fd0a0,0x80ff80ff,
    0x81fe41fa,0x00ff80ff,0x775437d4,0xeeefeeee,0xddd91eee,0xddddfddd,
    0x303ff8dd,0x2007f8ff,0x3ea002ff,0x74c13ee3,0x9ffc0eff,0xf83fe65a,
    0x40ff303f,0xebff886d,0x4400000f,0x540006ff,0x40069aff,0x33faa2ff,
    0x013a0000,0x200007ff,0xd3004ff9,0x26006f98,0x3fe001ff,0x9999999b,
    0x8d5006fc,0x3fe007fb,0xefecbaad,0x337fe201,0x3e01fecc,0xfeccccdf,
    0x4017fc03,0xff555ff8,0x02fd8557,0xccfd8ff7,0x053ccccc,0x01fe8500,
    0x03fe03fe,0xe827f540,0x400ff81f,0x1a2006f9,0xb004a800,0xd1be60bf,
    0x9fd0c05f,0xb87f50c0,0x37fe404f,0x983a73fa,0xa82fec6f,0x221ba06f,
    0x00effdff,0x17fe4000,0x3bff6000,0x7fffc002,0x40000fff,0x03ff806a,
    0x06fe8800,0x6f983d10,0x007fe600,0xccccdff8,0x006feccc,0x02ff885b,
    0xd999bff0,0x7c403bff,0x1fcbaacf,0x2aab7fe0,0x7fc03fca,0x2edff002,
    0x743ccffc,0x41ff502f,0x0005006e,0x3e01fe85,0x200ff80f,0x04fcadc8,
    0x0ffb87fd,0x10037cc0,0x0254000d,0x9f507fa8,0x47306fd8,0x743506fd,
    0x1227dc0f,0xefc83fe6,0x2a27cc0e,0x209f707f,0x7fc44ccc,0x000effba,
    0x1ffdd300,0x2ffc4000,0xfa97fc00,0x0f40002f,0x0001ffc0,0xc800ffec,
    0x2006f983,0x3e001ff9,0x037e402f,0x06fd83cc,0x3f605ff0,0x05ff105f,
    0x81ffc037,0x017fc03a,0x3fe2ffc4,0x2607ff00,0x2803fc7f,0x0ff42800,
    0x1ff01ff0,0x4fb8fea0,0x5b55df90,0x7cc059ff,0x001a2006,0xff1004a8,
    0xf981f903,0x983620ef,0x3e24c5ff,0x90a7ec2f,0xff88db07,0x7c40fb82,
    0x000fd81f,0xff72ff88,0xe880001d,0x0005ff89,0x7c0027f4,0x003ff22f,
    0xff801e40,0x7fd40003,0x555f5003,0x155df755,0x001ff980,0xdf900bfe,
    0xddddf900,0xf003ffdd,0x0ffe405f,0x0cc17fc4,0x0e207ff0,0xf5005ff0,
    0xb00ff87f,0xd1be60bf,0x0028c05f,0xf00ff428,0x501ff01f,0x204fb87f,
    0x9ff1fffe,0x0037cc01,0x254000d1,0x541df700,0xdfff901f,0xfffb07fd,
    0xefc83fdb,0x2befddaa,0xe83e81f9,0x407e60ff,0x07ea0ffb,0x717fc400,
    0x40001dff,0x00bfee3e,0x8004fe80,0x02ff42ff,0xff0025c0,0x7fc40007,
    0x3fff2005,0xffffffff,0x00ffcc00,0xfc805ff0,0x4ccfc406,0x05fe9999,
    0x3e602ff8,0x02ff885f,0x0003ff80,0x3ee00bfe,0xa807fc2f,0xd89f507f,
    0x00a7306f,0x403fd0a0,0x80ff81fe,0x027dc0fe,0x30068866,0x034400df,
    0xa8009500,0x402dedff,0x203ffffb,0x881dfffc,0xff98dffd,0x36f7ff22,
    0xdfeaad84,0x7fd402ee,0x20002ded,0x7fd42ff8,0x85c8000e,0xd0000ffe,
    0x5ff0009f,0x2003ff98,0x1ffc005a,0x7fec0c40,0xaa984400,0xaefbaaaa,
    0x0ffcc00a,0xc805ff00,0x202dc06f,0x7fc00ffb,0x443ffc02,0xff8002ff,
    0xff808803,0x42ffc402,0x7c4112fe,0x4c0fc81f,0x43620eff,0x7f428002,
    0x43fd8112,0x2ff80ffb,0x7000a7ec,0x01be600d,0xeec80688,0xeeefeeee,
    0x26200eee,0x004cc000,0x40880098,0x4c066080,0x200054c2,0x88000098,
    0xeffa82ff,0x441ae000,0xfd0005ff,0x05ff0009,0xb5003ff7,0x03ff80c0,
    0x17fdc0d8,0x7cc00640,0x07fe6006,0x6402ff80,0x200f406f,0x7fc03ff8,
    0x213fea02,0xf8002ff8,0xf80d803f,0x0ffe402f,0x5c25efe4,0x407ea0ef,
    0x3feefffc,0xfb0a000a,0x7df7095b,0x859ff5b5,0xfddaaefc,0x5f7002be,
    0x800ff500,0x99998800,0x99999999,0x00000001,0x00000000,0x00000000,
    0x205ff100,0xa801fffb,0x0ffee00f,0x0013fe00,0x3f607ff1,0xa816a01f,
    0xa807ff04,0x402ffcc5,0x0df30068,0x8017fcc0,0x7e403ff8,0x6c01ee07,
    0x5ff100ff,0x440fff40,0xff8002ff,0x7c42d403,0x0bff202f,0xa806ff4c,
    0x402dedff,0x143ffffb,0x3fe21400,0x5fffd00d,0xfb1033fe,0x05ff31bf,
    0x25f7fc40,0x016fff64,0x00000000,0x00000000,0x00000000,0x80000000,
    0x3fa04ffa,0x17ee03ff,0x005fff10,0x20037fc4,0xff104ffa,0xffff503f,
    0x305fffff,0x26233dff,0x7ff42fca,0x017ae600,0xf70037cc,0x3fe6007f,
    0x407ff404,0xff9005f8,0x02ffea0b,0x2a03ffb3,0x7c4003ff,0x05f7104f,
    0x54417ff5,0x00800dfe,0x98001310,0xaaaaa809,0xaaaaaaaa,0x83300103,
    0x00408802,0x00bca880,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff9300,0xffffc85b,0x3ffae4ff,0xffeb80df,0x32202eff,0x403effff,
    0x2dffffc9,0x32efff98,0xffffffff,0xfffc98ff,0xffffffff,0x3fffee0f,
    0xffffffff,0x0df3003f,0xbffffb30,0x3fff2603,0x7ff5c2df,0xfff70bef,
    0x3ff2205b,0xff932eff,0xbdffffff,0xfff93019,0xeb8805bf,0xffffffff,
    0x3f260fff,0xceffffff,0x0000002b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00002600,0x00000000,0x3bae0000,0x277643de,
    0x64000000,0x10360d81,0x4000000b,0x988531c9,0xeedc9540,0x903bbb20,
    0x3b62bddd,0x3bb60dee,0x00001773,0xdddd7004,0x5bddd51b,0xeeeeeeb8,
    0xddd50eee,0x8bbb669d,0x200e402b,0x2b2a004a,0xa8028800,0x0cb880bc,
    0x20e44770,0x75300ba8,0x98855017,0x99999999,0x33109999,0x33333333,
    0xd8810333,0x442f642e,0x000c00bc,0x776c0288,0xddd14eee,0xdddddddd,
    0x640003dd,0x3bb20eed,0x9b106f9e,0x7f6cc7bd,0xddb9100d,0x0fbfb21b,
    0x3f627f22,0x75c7f222,0x07ff504f,0x23f71136,0x3ae0dfeb,0x85a800df,
    0x1e42dc3c,0x4001b6a0,0x2fa23eda,0xaaefeeea,0x503fe60e,0x0ff901ff,
    0x437a0dfd,0x0001cfc8,0xff1017cc,0xb902fd89,0x9ff33333,0x7e47fe88,
    0xdc817cc0,0x4007f400,0x400ffcdd,0x2f7600fd,0x75e7dc6f,0xfb87fcc5,
    0x227cd6e6,0xff51be69,0x6eeeed49,0xdddddddd,0xdddddd50,0x3fdddddd,
    0x7c5fa858,0x7ee75c0f,0x774480ae,0x3ff89f50,0x7fff47f6,0x2aaaa4ff,
    0xaaaaaaaa,0x7dc0000a,0x747fd40f,0x3ee1fa87,0x1ff50ead,0x3fe65e88,
    0x5cbfb13e,0x5ffd9ffd,0xbbb3ffb7,0x13f609ff,0x5ffb5074,0x32bff99b,
    0x4c06ffcd,0x7407dc1f,0x64417c44,0x2e2006ff,0x3df102de,0xff80fe98,
    0xf880ff80,0x4437cc1f,0x05bf7106,0xf00fea00,0x90075c5f,0x260dfb01,
    0x203f13ff,0x007642f9,0x31cc0144,0x25f5407f,0xf89ae188,0x1ff316c0,
    0x322f9bf2,0x47d8ee1f,0x00007ffa,0xf50ec000,0x0fccf70b,0x33fae22c,
    0x3fe22daa,0x3fe8df92,0x888893fe,0x00000000,0x9ff01ff0,0xd84f883b,
    0x227ec3ff,0x237fc3fb,0x6ffc1ff9,0x0dff8350,0x37cc1fea,0x0dff8254,
    0xf8877fe2,0xa8bf101f,0xc85f503f,0x00df500f,0x88039f93,0xf01d100e,
    0x201ff01f,0x41fe84fc,0xbeea804a,0x7c46f400,0x23fd0d91,0xfa82805b,
    0x23fee00f,0xc97cc02d,0x8000000e,0x0f47a02f,0x30970ec0,0xbf53fc4d,
    0x84fa87ea,0x44c0fec9,0x0000000e,0x1fd88760,0x330591d8,0x40ef64c0,
    0x3107223a,0x00000ca8,0xff800000,0xf900ff80,0x335ff507,0x1fa8df93,
    0x1ff41ff4,0x3fd00bfa,0xfd00ff88,0x3fd01d85,0x5fb05fd0,0x7f987fa0,
    0xdf10ff40,0x540df501,0x57000bfd,0x0ff83a80,0xdf300ff8,0x0745ff88,
    0x019fb300,0x363e3bfa,0x64ff40ff,0x5ff30005,0x009ffb00,0x2203b7e6,
    0x99999999,0x2a019999,0x3549700f,0x1e45fb30,0xf99ba3c4,0x27c47f74,
    0x4c07e4f6,0x22222225,0x08888888,0x320ec000,0x00014a06,0x00000000,
    0x00000000,0x07fc07fc,0xff882fe8,0x04cccccc,0xeeeeffa8,0x0ff43eee,
    0x3fe07fa0,0x344bf700,0x5fb03fd0,0xbfb07f90,0x2a01ff44,0x217f20ff,
    0x2eeb86f9,0x6800e800,0x0ff80ff8,0xfbc87fa0,0x2000b10f,0xca81dfc8,
    0xfd02deee,0x3a000dfb,0x5ff1004f,0xc817e400,0xeeeeeeee,0x3a06eeee,
    0x3d81f101,0x265fb310,0x226c4b86,0x7c4bf12f,0x80fc9b61,0x3fffee1c,
    0xffffffff,0x4720001f,0x00001cda,0x00000000,0x00000000,0xff01ff00,
    0x7c07fe01,0xd9d70007,0x0ff4005f,0x3fe07fa0,0x323ff100,0x3607fa02,
    0xd83fc82f,0x00bfe24f,0x77dc3ff3,0x3ea37cc0,0x00f0001e,0xf01ff03a,
    0x8a7dc01f,0x00b27fb6,0x881ff500,0xd00adeda,0x8009fd5f,0x3a2006fc,
    0x9ec800ff,0x4000002f,0x220f602d,0x9d27c00f,0x3b81f713,0x2e3fb0f4,
    0x7f54ffc5,0x0001930a,0x00000000,0x00000000,0x00000000,0x1ff00000,
    0xff101ff0,0x8007fa05,0x07fb0ce9,0x3a00ff40,0x200ff81f,0xfe80d4fc,
    0xfc82fd81,0x2a0fe883,0x117ec06f,0x0df301ff,0x8005dd71,0xff85800e,
    0x2200ff80,0xdf33b8ff,0xeea8001a,0x9e9ffc82,0x89fe84ff,0xff5003ff,
    0x7e56c001,0xf9876405,0xd8800002,0x206a8261,0x710f404c,0x833019fd,
    0xa81cda84,0x023fa9de,0x55555544,0x0aaaaaaa,0x00000000,0x00000000,
    0x00000000,0x203fe000,0x07ff00ff,0x2a0c0bfa,0x1027ec5f,0x7f401fe8,
    0x2600ff81,0x7f404aff,0xfc82fd81,0xfb89f303,0xfb89f302,0xa80df301,
    0x3c800bfd,0x0ff415c0,0x3f6007fc,0x12ffa0eb,0x03bf7100,0x44fc4ffc,
    0xa8ff40fe,0x7fcc01ff,0x22970182,0x81d903fe,0x05a801f9,0x6eeeee88,
    0x4c7a00f4,0x0004b8ac,0x00000000,0x33333322,0x1ccccccc,0x00000000,
    0x00000000,0x00000000,0x207fa000,0x0bfd00ff,0x8b103bfe,0x837dc1fd,
    0x200ff42a,0x00ff81fe,0x3a007fec,0xc82fd81f,0x903ea03f,0x7f117a0d,
    0x98037cc0,0x3e201cfc,0x3fa0f301,0x2007fdc3,0x7fdc4ffa,0x19f93001,
    0x117d4100,0x7fe45fd0,0x2413fa00,0x07fea34c,0x07e601d7,0xcb803fd0,
    0x0a22cccc,0x565c4660,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x43fe8000,0xff500ffb,0x0dfff883,0x42ff8791,0x1660cffa,
    0x3fd007fa,0xfa803ff0,0xd82fe805,0x403fc82f,0x7543d84c,0x3e602640,
    0x6fdc4006,0x89cfea82,0xfc83eec9,0xcffadaae,0x2207f402,0x3eea806f,
    0x00fea000,0x0efe87ff,0x8d306fc8,0x0efe81f8,0x80130026,0x00000018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7e400000,
    0xcffadabf,0x221bfb02,0xfefffced,0xb89efc86,0xfecfffdd,0x2203ff81,
    0x02ff82ff,0x2ff802f8,0x4fd83fe8,0x23440d80,0x5402c40d,0x3aa0007f,
    0x36e1d50e,0xd05d11ce,0x33fe3fff,0x3d826400,0x00077ea0,0xffd70140,
    0xffff319f,0x3bbfea19,0x2a6ffeee,0x3fea0dff,0x000003ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffd0000,
    0xb8033fe3,0xf90dfdff,0xfd3019ff,0x7ffe47ff,0x7ffed42d,0x77ff540c,
    0x07dffb54,0x7fecc018,0xfffda8ce,0xcfffc98c,0x02040400,0xffd90022,
    0x84c0005b,0x20110008,0x11001419,0x00980260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40028330,0x00130099,0x0004c033,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_29_latin_ext_x[560]={ 0,2,1,0,1,0,0,1,1,0,1,0,1,1,
1,0,0,3,0,1,0,1,1,0,1,1,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,0,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_29_latin_ext_y[560]={ 23,5,5,5,4,5,5,5,4,4,4,7,20,16,
20,4,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,27,5,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,7,11,11,11,11,11,11,4,4,4,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,10,6,5,8,5,
4,5,5,5,5,11,11,16,5,3,5,7,5,5,5,11,5,12,22,5,5,11,5,5,5,10,0,0,0,0,
1,1,5,5,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,9,5,0,0,0,1,0,5,4,5,5,
5,5,5,4,10,10,5,5,5,5,5,5,5,5,4,5,5,5,5,5,5,9,10,5,5,5,5,5,4,5,
2,7,0,5,5,10,0,5,-1,5,1,5,0,5,0,4,5,4,2,7,0,5,1,5,5,10,0,5,-1,5,
0,5,1,5,5,3,-1,-1,5,4,0,5,2,7,0,5,5,4,1,10,5,4,-1,5,5,4,11,0,0,5,
4,5,4,5,4,5,4,0,5,5,10,0,5,5,5,10,2,7,0,5,0,5,5,10,0,5,5,10,0,5,
0,5,-1,5,5,10,0,5,5,7,0,4,5,7,0,5,2,7,0,5,-1,4,0,5,5,11,-1,5,-1,5,
1,0,5,1,5,0,5,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,10,6,6,6,6,6,6,6,6,6,6,6,6,6,2,10,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,5,0,5,0,
5,0,5,-1,3,-1,1,-1,1,-1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-1,-1,5,-1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_29_latin_ext_w[560]={ 0,4,8,13,11,21,20,3,8,8,11,15,5,7,
4,8,13,7,13,10,13,11,12,12,11,11,4,5,15,15,15,10,23,19,17,17,18,16,14,19,19,9,11,20,
16,23,20,18,14,18,18,13,16,19,19,25,19,19,16,6,8,7,12,15,5,12,14,11,14,11,11,13,13,7,
9,14,7,21,13,13,14,14,9,9,8,14,13,19,13,13,12,8,2,8,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,13,14,
2,11,9,20,9,13,15,7,20,15,9,15,8,7,5,13,13,4,5,6,8,13,19,19,20,10,19,19,19,19,
19,19,24,17,16,16,16,16,9,9,9,9,18,20,18,18,18,18,18,11,18,19,19,19,19,19,14,13,12,12,
12,12,12,12,17,11,11,11,11,11,7,7,8,8,13,13,13,13,13,13,13,15,13,14,14,14,14,13,14,13,
19,12,19,12,20,14,17,11,17,11,17,11,17,11,18,17,18,13,16,11,16,11,16,11,16,13,16,11,19,13,
19,13,19,13,19,13,19,13,19,13,9,9,9,9,9,9,9,9,9,7,19,13,11,11,20,14,14,16,7,16,
7,16,11,16,10,16,8,20,13,20,13,20,13,16,18,12,18,13,18,13,18,13,23,19,18,9,18,9,18,9,
13,9,13,9,13,9,13,9,16,8,16,11,16,8,19,14,19,14,19,14,19,14,19,14,19,15,25,19,19,13,
19,16,12,16,12,16,12,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,13,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,15,14,14,14,14,14,14,14,14,14,14,14,14,14,22,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,19,12,9,8,18,
13,19,14,19,14,19,14,19,14,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,19,12,24,17,18,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__times_29_latin_ext_h[560]={ 0,19,8,19,21,19,19,8,25,25,12,15,8,3,
4,20,19,18,18,19,18,19,19,19,19,19,14,18,13,6,13,19,25,18,18,19,18,18,18,19,18,18,19,18,
18,18,19,19,18,24,18,19,18,19,19,19,18,18,18,24,20,24,10,2,5,14,20,14,20,14,19,19,19,19,
25,19,19,13,13,14,19,19,13,14,17,13,13,13,12,18,12,25,25,25,4,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,22,19,13,18,
25,24,4,19,8,13,6,3,19,2,9,15,10,10,5,18,24,4,6,10,8,13,19,19,19,19,23,23,23,23,
22,22,18,23,23,23,23,22,23,23,23,22,18,24,24,24,24,24,23,11,19,24,24,24,23,23,18,20,19,19,
19,19,19,20,14,18,19,19,19,19,18,18,18,18,20,18,19,19,19,19,19,11,14,19,19,19,19,24,25,24,
21,17,23,19,23,18,24,19,25,19,23,19,24,19,23,20,18,20,21,17,23,19,22,19,23,18,23,19,25,24,
24,24,23,24,23,26,24,24,18,19,23,18,21,16,23,18,23,24,22,13,19,25,25,24,23,24,12,23,23,23,
24,18,19,18,19,18,19,24,18,23,18,24,18,18,19,19,22,17,24,19,24,19,19,14,23,18,23,18,23,18,
24,19,25,19,23,18,24,19,24,22,23,20,18,17,24,19,22,17,24,19,25,20,24,19,23,17,25,19,24,24,
22,23,18,22,18,23,18,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,19,17,17,24,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,14,17,17,17,17,17,17,17,17,17,17,17,17,17,22,14,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,23,19,23,18,24,
19,24,19,25,21,25,23,25,23,25,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,25,24,19,25,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_29_latin_ext_s[560]={ 510,507,354,497,11,319,365,508,259,268,232,
382,382,474,464,136,427,504,81,154,129,341,414,46,59,165,507,498,151,388,216,
268,35,180,200,394,250,233,218,412,160,449,432,1,95,474,259,240,459,1,62,
141,143,121,444,464,22,42,112,55,145,388,323,388,426,452,121,440,106,428,228,
186,200,178,280,163,155,93,65,414,242,106,55,465,319,181,79,196,272,357,259,
238,310,327,438,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,510,506,412,
214,167,196,277,477,454,301,372,115,404,474,280,482,344,398,314,336,432,282,20,
469,420,505,363,129,374,354,333,322,479,22,274,127,392,294,211,179,162,279,42,
314,469,459,409,478,407,161,452,491,1,20,296,286,464,53,107,127,419,439,392,
187,346,333,320,307,294,229,37,380,245,233,221,209,349,50,58,440,201,236,66,
113,99,85,71,298,475,359,16,1,279,147,59,182,57,343,244,386,1,267,216,
494,106,307,244,295,234,269,93,154,11,215,77,292,217,127,441,353,371,426,262,
257,144,252,286,306,197,320,351,21,471,39,30,92,234,1,1,372,264,67,234,
415,354,143,474,224,247,440,315,373,244,76,499,59,503,91,197,490,257,149,387,
442,296,388,77,34,108,122,1,20,373,278,354,281,396,450,406,17,132,139,93,
166,181,176,489,396,313,187,79,186,463,177,425,364,217,94,250,269,334,31,488,
328,266,399,290,172,196,441,112,356,336,430,87,73,458,200,310,424,323,62,336,
80,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,47,304,304,426,
304,304,304,304,304,304,304,304,304,304,304,304,304,38,489,304,304,304,304,304,
304,304,304,304,304,304,304,304,331,1,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,161,374,
151,371,387,33,406,139,184,23,204,147,164,336,124,112,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,1,93,362,456,74,483,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304, };
static unsigned short stb__times_29_latin_ext_t[560]={ 1,54,203,125,103,103,103,79,1,1,203,
184,203,203,203,103,103,165,184,125,184,103,103,125,125,125,145,165,203,203,203,
125,1,184,184,145,184,184,184,145,184,165,145,184,184,165,145,145,165,54,184,
145,184,145,145,145,184,184,184,54,103,29,203,210,203,184,103,184,103,184,145,
145,145,145,1,145,145,203,203,184,103,145,203,184,184,203,203,203,203,165,203,
1,1,1,203,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,1,103,79,
145,203,165,1,29,203,145,203,203,203,203,145,203,203,184,203,203,203,165,54,
203,203,184,203,203,145,145,145,145,54,79,79,79,79,79,165,79,79,54,79,
79,54,54,54,79,165,29,1,1,29,29,54,203,125,29,29,29,54,54,165,
103,125,125,125,125,125,103,203,165,125,125,125,125,165,165,165,165,103,165,145,
125,125,125,125,203,184,125,125,125,125,29,1,29,103,184,79,103,79,165,29,
103,1,103,54,103,29,103,79,103,165,103,103,184,79,125,79,103,54,165,54,
103,1,29,29,29,79,29,54,1,1,29,165,145,54,165,103,184,79,165,79,
29,79,203,103,1,1,1,54,29,203,79,54,79,29,165,125,145,125,165,125,
29,165,54,165,54,165,165,145,145,79,184,29,103,29,125,125,203,54,165,54,
165,54,165,29,125,1,125,54,165,29,125,29,79,54,103,165,184,29,125,79,
184,29,103,1,103,29,103,54,184,1,125,29,29,79,54,165,79,165,54,165,
145,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,145,184,184,1,
184,184,184,184,184,184,184,184,184,184,184,184,184,103,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,79,203,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,54,125,
54,165,1,145,1,125,1,103,1,79,1,54,1,79,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,1,1,1,103,1,125,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184, };
static unsigned short stb__times_29_latin_ext_a[560]={ 105,140,171,209,209,349,326,75,
140,140,209,236,105,140,105,116,209,209,209,209,209,209,209,209,
209,209,116,116,236,236,236,186,386,303,279,279,303,256,233,303,
303,140,163,303,256,373,303,303,233,303,279,233,256,303,303,395,
303,303,256,140,116,140,197,209,140,186,209,186,209,186,140,209,
209,116,116,209,116,326,209,209,209,209,140,163,116,209,209,303,
209,209,186,201,84,201,227,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,105,140,209,209,209,209,84,209,
140,318,116,209,236,140,318,209,168,230,126,126,140,241,190,105,
140,126,130,209,314,314,314,186,303,303,303,303,303,303,373,279,
256,256,256,256,140,140,140,140,303,303,303,303,303,303,303,236,
303,303,303,303,303,303,233,209,186,186,186,186,186,186,279,186,
186,186,186,186,116,116,116,116,209,209,209,209,209,209,209,230,
209,209,209,209,209,209,209,209,303,186,303,186,303,186,279,186,
279,186,279,186,279,186,303,271,303,209,256,186,256,186,256,186,
256,186,256,186,303,209,303,209,303,209,303,209,303,209,303,209,
140,116,140,116,140,116,140,116,140,116,297,231,163,116,303,209,
209,256,116,256,116,256,170,256,144,256,116,303,209,303,209,303,
209,253,294,207,303,209,303,209,303,209,373,303,279,140,279,140,
279,140,233,163,233,163,233,163,233,163,256,116,256,179,256,116,
303,209,303,209,303,209,303,209,303,209,303,209,395,303,303,209,
303,256,186,256,186,256,186,116,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,303,326,326,209,326,326,326,326,326,
326,326,326,326,326,326,326,326,303,222,326,326,326,326,326,326,
326,326,326,326,326,326,326,325,227,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,303,186,140,116,303,209,303,209,303,209,303,
209,303,209,303,209,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,303,186,373,279,303,209,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_29_latin_ext_BITMAP_HEIGHT or STB_FONT_times_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_29_latin_ext(stb_fontchar font[STB_FONT_times_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_29_latin_ext_BITMAP_HEIGHT][STB_FONT_times_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_29_latin_ext_s[i] + stb__times_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_29_latin_ext_t[i] + stb__times_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_29_latin_ext_x[i];
            font[i].y0 = stb__times_29_latin_ext_y[i];
            font[i].x1 = stb__times_29_latin_ext_x[i] + stb__times_29_latin_ext_w[i];
            font[i].y1 = stb__times_29_latin_ext_y[i] + stb__times_29_latin_ext_h[i];
            font[i].advance_int = (stb__times_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_29_latin_ext_s[i] + stb__times_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_29_latin_ext_t[i] + stb__times_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_29_latin_ext_x[i] + stb__times_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_29_latin_ext_y[i] + stb__times_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_29_latin_ext_LINE_SPACING
#endif

