// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_30_latin_ext_BITMAP_HEIGHT        238
#define STB_FONT_times_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_30_latin_ext_NUM_CHARS            560

#define STB_FONT_times_30_latin_ext_LINE_SPACING          19

static unsigned int stb__times_30_latin_ext_pixels[]={
    0x0004cc00,0x00013300,0x100002e2,0x98800033,0x01330001,0x0004c400,
    0x80000988,0x08000098,0x0cc40000,0x09880000,0x26662000,0x00000199,
    0xaa800133,0x2a1b2aaa,0x80a8000b,0x26200018,0x55555001,0x12a006c5,
    0x2a000088,0x000bcdcb,0x02206200,0x000276c0,0xea800180,0x7640001e,
    0x74c0000d,0x000c002e,0x0000ffb8,0x0001ff70,0x90000193,0xff80003f,
    0x5ffa8003,0x1fff1000,0x003f6000,0x006ff880,0x00ec45e4,0x0bff6000,
    0xfff10000,0x3fee0001,0x00007fff,0x4002ff88,0x3d6fcccc,0x220016cc,
    0x2001621e,0xefedeec8,0x3337f602,0x1ec407a4,0x01dabb98,0x9837d710,
    0x44000ccb,0xbdfdeeca,0xff3002c9,0x65c00001,0x27ec006b,0x3ffe6000,
    0x5fb80004,0x0013f200,0x800007f6,0x190001fd,0x03d00001,0x004fa800,
    0x003fdbd0,0x009fbf90,0xb0001640,0x44007fbd,0x00002ffe,0x0037e7d4,
    0x13f7f200,0x66665400,0xb800004c,0x7c40003f,0x01f883d6,0x17cdfe40,
    0x103bea00,0x3fb01bf9,0x027407a0,0x54035c3d,0x05d1002e,0x502bfe20,
    0x54005ff9,0xf300002f,0x7c001f51,0x8cd80005,0xc80000fd,0x0fff000f,
    0x0002f880,0x8000be20,0x30000ffd,0x40002611,0x2b70005c,0x744006d8,
    0x18003f71,0xd3000262,0x4c003ee1,0x00009898,0x01f4cba0,0xf70e9800,
    0x13060001,0x09b00000,0x3adf1000,0xf8006d81,0x7dc005ff,0x2077e405,
    0x503d01fd,0xf91a603f,0x00075c05,0xfd1007a2,0x003fb805,0xd80002dc,
    0x00d30005,0x05b89500,0x2005b000,0x1d4007fe,0x00ea0000,0x001ff300,
    0x1be29f50,0x40006c00,0x2003b848,0x5002cc0c,0x001be29f,0xa804a819,
    0x000df14f,0x01b10ae0,0x49819000,0xf14fa800,0x5880000d,0x2df10000,
    0x000fd81e,0x3000e654,0xbfd003ff,0x03d01fd8,0x31f203fb,0x003ae01b,
    0xfd102c40,0x000f6007,0x3e20000e,0x00150004,0x00260500,0x6c00e200,
    0x0544006f,0x00010000,0x5b100000,0x008001ec,0x00040100,0xd8800201,
    0x40000f62,0x362d8800,0x40100003,0x10080000,0x6c5b1000,0x00000003,
    0x0f5be200,0x22000ffc,0x2ff40019,0x362ffa80,0xfd03d01f,0x4017ea05,
    0x5c0000f9,0x400dfb01,0x06620049,0x00bf2000,0x0000cc40,0x00001988,
    0x017f6000,0x003dbe98,0x22033100,0x00000000,0x07726000,0x409a8800,
    0x08198801,0x00000000,0x00000000,0x88000000,0x00000881,0x00000000,
    0x107adf10,0xf91001ff,0x805dfb9d,0x3e002ffa,0x7407f66f,0xd103fd81,
    0x807d00bf,0x22b98bc9,0x04ff8839,0x3f220140,0x002efdce,0x2001ff88,
    0xefdcefc8,0x77e44002,0x2e02efdc,0x03effffd,0x219fffd9,0x872004fc,
    0x3b220006,0x3a2efdce,0x006a6202,0x7dffffb7,0x33fffb20,0x01d33d00,
    0x33bb2a20,0x205abded,0xbdfeefd8,0x3fff6e2c,0xffd903ef,0xfec8819f,
    0xfb71dfff,0x3207dfff,0xd50cfffe,0x3229ffff,0xc83effff,0x2201dffe,
    0xbdfdeeca,0x3ff6e2c9,0xfd903eff,0x320019ff,0xfffffffe,0x405fffff,
    0xf983d6f8,0x80efa807,0xff900dfb,0x87fec003,0x703d01fd,0x6ffcc09f,
    0x7440d500,0x41fdc88c,0x003ffa85,0x203bea00,0xd9800dfb,0x401ccfff,
    0xdfb80efa,0x80efa800,0x3f200dfb,0x81fd004f,0x872003fb,0x1bf50006,
    0x407bbf70,0xcdfd9cea,0x04ffc84c,0x25401fd0,0x7fd30077,0x20bfd301,
    0x3ee21ef8,0x04ffc82f,0xff001fd0,0x13ff201f,0xfd807f40,0x0fff982f,
    0xf1013e20,0xffca815f,0x004ffc82,0x3a0001fd,0xbb304ffe,0x83d6f880,
    0x2fdc06f8,0x3603fea0,0x3f2000ff,0x3a03fb1f,0x3203fa81,0x3e81effb,
    0x0ff713a0,0x003ff90b,0x5017ee00,0xb98801ff,0x7dc019ef,0x007fd405,
    0xffa80bf7,0x005ff500,0x00bea1b2,0x004dbe98,0x7dc06fb8,0xd89f500f,
    0xffa84cef,0x880d9002,0xff300765,0x3a0dd005,0x505f701f,0x1b2005ff,
    0xf503fec0,0x81b2005f,0xff903ff9,0x1007cc01,0x3fb805fd,0x9002ffa8,
    0x7cfc000d,0x2202c04f,0x0bb03d6f,0x7400ffcc,0x007ff85f,0x1fd97fe4,
    0x01f503d0,0x07ff4c32,0x03f601f3,0xe8190bf7,0x980000ff,0x5fe801ff,
    0x3009f700,0xbfd003ff,0x2007fe60,0x3ff305fe,0x3e616e00,0x01fc4001,
    0x200ffcc0,0x5fd05ffa,0x3e606fb8,0x00b7001f,0xf8809dd7,0x10f5002f,
    0x982d80df,0x0b7001ff,0xf981bf60,0x80b7001f,0x5ff305ff,0xfd102dc0,
    0x260f6007,0x0b7001ff,0x27fd6a00,0x2df10120,0xd00f981e,0x3fea00bf,
    0x2003ffc2,0x03fb3ffb,0x89504d80,0x41aa6fe8,0x82fd82fc,0x0007ff86,
    0x2a00bfd0,0x2fd802ff,0x5005fe80,0x0bfd05ff,0x260bfea0,0x0b7001ff,
    0xfa8003f1,0x05fe8005,0x217fdf4c,0x7fcc0ff8,0x003ff300,0xb000016e,
    0x986800ff,0x20ae00ff,0xb7001ff9,0x981bf600,0x0b7001ff,0xff00ffc8,
    0xfb016c0b,0x4c24c00d,0x0b7001ff,0x27fc7a00,0x75be2000,0xfa859101,
    0x1bfe002f,0x64001ffb,0x003fb2ff,0x83d80ae2,0x30b70fe8,0x103fe0bf,
    0x003ffd0b,0x002ffa80,0x3fe01bfe,0x017fd401,0xffa8dff0,0x21bfe002,
    0xb7001ff9,0xfb0003e0,0x7fd4001f,0x7fc7a202,0xff82ff87,0x003ff300,
    0x2aa2016e,0x00ffe200,0x03bfe010,0x0ffcc144,0xfb005b80,0x00ffcc0d,
    0x7fcc05b8,0x101ffb02,0x027fc40f,0x07fe60a0,0x54002dc0,0x04413fe5,
    0x01eb7c40,0x03ff926c,0xf907ff40,0x7fec003f,0xf1003fb0,0xf305e803,
    0x07f21325,0x20e61be6,0x40002ffd,0x3a001ffc,0x1fe600ff,0x8007ff20,
    0x3ff20ffe,0x03ffa001,0x2e003ff3,0xf8800f05,0x3f2003ff,0xfd8f601f,
    0x262fec0f,0x07fe605f,0xbb502dc0,0x3ea0dfb5,0xfb00001f,0x7cc007ff,
    0x00b7001f,0xff981bf6,0xd00b7001,0x5fff10bf,0x7fd40b70,0xff980003,
    0x000b7001,0xb827fc3d,0x3d6f8802,0xffb0ae20,0x0ffec001,0x74005ff5,
    0x4007f66f,0x0ff202b8,0x7e83c8fc,0x03907fd0,0x80009ff7,0x36000ffd,
    0x17ee01ff,0x8003ff60,0x3ff61ffd,0x07ff6000,0x2e003ff3,0xcc800b05,
    0x3f6006fd,0xfc8b900f,0x907fcc1f,0x0ffcc03f,0x1be05b80,0x1ff909fb,
    0x7ff40000,0xff9801ef,0x200b7001,0x3fe606fd,0x700b7001,0xfedb81ff,
    0x3f202e85,0xf980001f,0x00b7001f,0x427fc5b8,0x6f8802e9,0xf01f303d,
    0xffc800ff,0x4017fe23,0x07f62ff8,0x3e609b00,0x8973443f,0x1ffa85f8,
    0x6ff8834c,0x1ffe0c00,0x407ff900,0x7ff803fd,0xf1ffe400,0xffc800ff,
    0x800ffcc3,0xf800105b,0xf002ff99,0x321aa0ff,0xdff983ff,0x7fcc01de,
    0x2e0b7001,0x742fdc4f,0xeedb807f,0x7ec40dee,0x2600dfff,0x0b7001ff,
    0xf981bf60,0x00b7001f,0xbad87ff1,0xd01e20ff,0x300001ff,0x16e003ff,
    0x7fc0f880,0x2fffeeef,0x03d6f880,0x01ffe0b9,0xf985ff70,0x46fc801f,
    0x503d01fd,0x93fee01f,0xbf516e2b,0x7447fba8,0x013fee01,0x01ffe144,
    0x7c05ff70,0x07ff801f,0xff17fdc0,0x2ffb800f,0xb800ffcc,0x26b80005,
    0xfff005fe,0xfb80e981,0x8001d82f,0xb7001ff9,0xdf507660,0x2001fff0,
    0x75404ffd,0xf302ffff,0x016e003f,0xff3037ec,0x4016e003,0x7c5e26fe,
    0xff012e3f,0x3e60000f,0x00b7001f,0x227fc25c,0xf8802fa9,0x06f883d6,
    0x64001ffd,0x05fb81ff,0x3f6077cc,0x7f503d01,0x0deffdc0,0x15ff11a6,
    0x3d89be97,0x017fec02,0x03ffa0e2,0x101ffc80,0x3ffa00ff,0x87ff2000,
    0x32000ffe,0x0ffcc1ff,0x0b885b80,0x7fdc5d00,0x21ffd800,0x3ffb01e8,
    0xf30006c8,0x016e003f,0x7437f644,0xff7002ff,0x3ffee003,0x01ff982f,
    0x3f600b70,0x007fe606,0xffb802dc,0xd37f4b70,0x01ffe803,0x01ff9800,
    0x3e200b70,0x4fffffff,0xdf100570,0x20ff307a,0x36001ffc,0x1bf900ff,
    0xfb01df50,0x3ee07a03,0x837fd404,0x1fffec1e,0x585b97fd,0x82b3fee0,
    0x3ff904b8,0x807fec00,0xff9005fa,0x07fec003,0x6c003ff9,0x17fcc0ff,
    0x5fe84b80,0x7fc46980,0x23ffc804,0x21ffa03e,0xceeeefff,0x05ff300b,
    0xbb3012e0,0xffb0df33,0x03fea009,0x0fffd880,0xb8017fcc,0x40dfb004,
    0x97002ff9,0x74ffe200,0x1e23fee2,0x000bff60,0x400bfe60,0x2099004b,
    0x003104ff,0xf107adf1,0x05ff701f,0x26037f40,0x3eeccdfd,0x0f407f60,
    0x7cc01fe4,0xaa84b83f,0x5c055c40,0x7ffed402,0x3ee03dee,0x1bfa002f,
    0xf7002fc8,0x37f4005f,0xe800bfee,0x02ff886f,0x0bfb0790,0x0ff907b0,
    0x1329ff50,0xff50dff0,0x3fffffff,0x2005ff10,0x98bea03c,0x05ffb86f,
    0x2881ff50,0x2217fe40,0x079002ff,0xf8817f60,0x0079002f,0x223c77ec,
    0xb804bbff,0x880004ff,0x079002ff,0x3fe01f10,0xb7c40004,0xd01ff81e,
    0x3fe200bf,0xffff5002,0xd01fd803,0x2005fd03,0x01e887f9,0x40068800,
    0x3fa001da,0x05ff1005,0x3fa003ec,0x05ff1005,0x3e200bfd,0x007ff02f,
    0x4400c0b6,0x02ff980f,0x406befe8,0x14a82ff9,0x09d95533,0x16c00ffe,
    0x37cc3fb8,0xa800ffe8,0x402c40ff,0x03ff83ff,0x3f6005b0,0x801ffc04,
    0x3fea002d,0x1eefd84d,0x006ff880,0x003ff80c,0x407b005b,0x008804ff,
    0x3607adf1,0x03ff500f,0x8800bf90,0x3600effe,0xfb03d01f,0x1f712a03,
    0x40001d30,0x7f4000d8,0x07fea002,0x9f017f20,0x01ffa800,0xff505fc8,
    0x40bf9003,0x0f8806fe,0x3fff2000,0x06ffffff,0x400eff98,0x806984fd,
    0x00dfd069,0x07fa01f1,0x3fea0df3,0x40ffa806,0x17f400f8,0x7c4037f4,
    0x807fb000,0x0f8806fe,0x40fffc00,0x2e007ffa,0x051004ff,0x3e201bfa,
    0x3e03cc00,0x2205804f,0x0db03d6f,0x7cc05fd8,0xff90000f,0xe80fec0d,
    0xfb01fb81,0x1b502cc1,0x001d1000,0xd800df30,0x07fcc05f,0xb0003f50,
    0x0ff980bf,0xf3017f60,0x0ffcc01f,0x14409d10,0xffa807e0,0x406fc801,
    0x00dd06f9,0x07fe6079,0x3fa04e88,0xb80bfdc3,0x7fd405ff,0xf3027c40,
    0x03ff301f,0x5e882744,0xff3007f6,0x00274403,0xff8837e4,0x17fec004,
    0xff980e20,0x2013a201,0x027fc03e,0xd6f8816e,0xb801f883,0x0dfb80df,
    0x6fe44000,0x3d01fd80,0x23d413a0,0x0174c02c,0x0000db88,0x3ee0013e,
    0x80dfb80d,0x4000994b,0xdfb80dfb,0x80dfb800,0xfa800dfb,0x02f5442f,
    0x035413fa,0x6f402ffc,0x0dfa80df,0x700cff88,0x42ffa80b,0x7dc05ea8,
    0xbffcdacf,0x039fd304,0xf881ff91,0x17ecc0df,0xa885ff50,0x4bfea05e,
    0x5ff5003f,0x0005ea88,0x0fec09f3,0x567fdc00,0x2a012e20,0x2f5442ff,
    0xf3017dc0,0x5fb310bf,0xd6fcccc8,0x30016cc3,0x7dfb9bfb,0xdb880000,
    0x99bfb0bd,0x3d880f49,0x00775790,0x986f7f22,0x20002dca,0x30000ddb,
    0x7dfb9bfb,0x00756f40,0x337f6600,0x4c003efd,0x3efdcdfd,0x77ff5400,
    0x7400cffe,0x9005d04f,0x8a6c01ff,0x2eedcefc,0x77fff540,0xd5003fee,
    0x19ffddff,0x0effd880,0xec8809fd,0xbefdccef,0xefdbe880,0xa801efed,
    0xcffeeffe,0x267ff400,0x3bffaa00,0x0000cffe,0x006a807e,0x3bfff6a0,
    0x3aa003de,0x0cffeeff,0x37fff620,0x3ffff260,0xffffffff,0x95555540,
    0x0001750d,0x00000d44,0x2aaa1100,0x500362aa,0x50000409,0x0379bdb9,
    0x00011000,0x9800d440,0x8800001c,0x5100001a,0x53300003,0x2a200135,
    0xf3007b80,0xa98140bf,0x6d440009,0x98000bce,0x40009aa9,0x88000808,
    0x408009aa,0x98000aa9,0x20009aa9,0x4cc00028,0x800009aa,0x00001801,
    0x98000351,0x00009aa9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2200df10,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0x2e03efff,0x00dffffe,0x0007ba60,
    0x980276c0,0x0cc40001,0x0d544000,0x00155100,0x6f457a60,0x000da800,
    0x00006620,0xff00fba2,0xffffffff,0xa80bffff,0xb0002880,0x000bb63d,
    0xec880132,0x00cc0003,0x98000806,0x8020002a,0x4d440000,0x804000c0,
    0x2a079000,0x0331001d,0x040cc400,0x01880a80,0x00040300,0x0006f640,
    0x0000016e,0x004fc800,0x03fff700,0xd8000ee0,0x5c0002ff,0x3f2000ef,
    0x5f70005f,0xfd7013ea,0x7ec0003f,0x7d40002f,0x99aef806,0xb999cff9,
    0x1174405f,0xbf10001d,0x7d40037c,0x325b000f,0x00970003,0x000c8859,
    0x0003ffe8,0x80017019,0xedceeca8,0x22005abd,0x00a23ffd,0x3fa03fea,
    0x05ffb005,0xfeefd880,0xd1002cbd,0x90002cc3,0x0000c885,0x32001ff8,
    0x40e007ff,0x5f800019,0x35f10000,0x02dc00dd,0x037efd40,0x8003fa00,
    0x001febf9,0x401ae5c8,0x50001ff9,0x8000df9f,0x834400ed,0x805984ff,
    0x003e8bfb,0x07e61f50,0x80136200,0x36001626,0xddff1003,0x7f7000bf,
    0xf30001ff,0x800bfb9d,0xe980bfe9,0x36ee005f,0x000dbfff,0x0076a09b,
    0x801bf7ea,0x3ee21ef8,0x2ff2002f,0x220002f9,0x005feeff,0x8002fa80,
    0x3a6007fa,0x20001660,0x32000069,0xd800b622,0xe9974004,0x03f10003,
    0x01b22d80,0x002d83a0,0x740007fe,0x40007f32,0xf048800f,0x7401209f,
    0x320006ff,0x000012a3,0x00771d80,0x6d4004c8,0x44000cff,0x0009b11e,
    0x0037fff2,0xe802ff98,0xfd98a006,0x0000003f,0x007d32e8,0x17dc07fa,
    0x0bfff100,0x9ffb5000,0x07900001,0x001fe600,0x003f53fb,0x00001500,
    0x10014062,0x10ae003f,0x0570001b,0x02a82a80,0xf000e1c0,0x8570003f,
    0x198000d8,0x27fc0200,0x39930008,0x02a1c000,0xd9800000,0x3ea000ce,
    0x00010001,0x0006405c,0xf8800150,0x00f5002f,0x00004404,0x2215c000,
    0x037c400d,0x995000b6,0x00400003,0x8000e000,0x7c4007f9,0x000004ff,
    0x00000000,0x2008036c,0x00008000,0x19880000,0x001ff800,0x40002008,
    0xf0008818,0x3100009f,0x00000110,0x00000000,0x00006f88,0x00000000,
    0x403026a2,0x034007fd,0x00000000,0x30020080,0x015c01ff,0x44000000,
    0x00000019,0x000ff100,0x2e001995,0x03effffd,0x219fffd9,0x3effffdb,
    0x19fffd90,0x0000fee0,0x13333100,0x31099988,0x99881333,0x3bf22009,
    0xf002efdc,0x30054c3f,0xa880005b,0x9bdfdeec,0x09ff002c,0xbdd95100,
    0x5c5937bf,0x03effffd,0x019fffd9,0x3ff6e288,0xfd903eff,0x1fdc19ff,
    0xeffffdb8,0x9fffd903,0x006a6201,0x33bb2a20,0x105abded,0x808007ff,
    0x3effffdb,0x19fffd90,0x00cc0510,0x3bfe0000,0x7e4c5100,0xfec806ff,
    0x32200cff,0x02efdcef,0x01bfff26,0x033fffb2,0x00000ff1,0x004ffc80,
    0x3ff201fd,0x801fd004,0x3ffee7f8,0xff904eff,0x3fee19ff,0x6fecc2ef,
    0x85dfff70,0xf500dfd9,0x01bf701d,0xfff99ff8,0x17ff543f,0x15ff1000,
    0x002ffca8,0xf88009ff,0x7fe540af,0x004ffc82,0xfc9801fd,0x004ffc87,
    0x01fd01fd,0xd004ffc8,0x4e75401f,0x204ccdfd,0xe980bfe9,0x03ff505f,
    0x27fe4000,0xd980fe80,0xa7f5c47f,0xceffffca,0x3ffff6a0,0x1fffec4d,
    0x013ff600,0x77d40374,0x400dfb80,0xdd004ffd,0x6dc3fc40,0x903effff,
    0xa819fffd,0x0d9002ff,0xc8017fd4,0xd81ff006,0x7d400fff,0x02ff980e,
    0x05ff30d5,0x05fb81aa,0xff007fd4,0x5fffb9d5,0x20005ff0,0x7dc02fe8,
    0x009ff003,0x2e017f44,0x02ffa83f,0xf9500d90,0x005ff50f,0x01fea1b2,
    0x6400bfea,0xfb13ea06,0x3fe6099d,0xf906e802,0x5400001f,0x0d9002ff,
    0xf531ff6a,0x06ff989f,0xfd02ffd4,0x74003dff,0x05c803ff,0x3ea02fdc,
    0x1fff400f,0xff102e40,0x8027fe40,0x3ff300fe,0xf9816e00,0x00b7001f,
    0xffd10bfe,0x200fc803,0x207b05fc,0x207b05fc,0xfe801ff9,0x9837fe05,
    0x02fe87fe,0x003fe880,0x13fe007b,0x801ff440,0x01ff983d,0x3e600b70,
    0x001ff987,0x00ff70b7,0x2e003ff3,0xf70bfa05,0x017fc40d,0x0ffd07a8,
    0xbddddb70,0x001ff981,0x83fcc0b7,0x04ff84fd,0xb101ffc4,0x001bffff,
    0xb803fffd,0x007fe604,0xffd017fa,0x204b803f,0x3fea07f8,0x4c0d9002,
    0x0b7001ff,0xb800ffcc,0x307fd005,0x02f80bff,0x3e207fc4,0x881ff100,
    0x00bfd00f,0x7fc0bfea,0x742ffb81,0x6fd8002f,0x7c012600,0x0dfb004f,
    0x7fcc24c0,0x200b7001,0x1ff987f8,0xdf90b700,0x003ff300,0x07fc416e,
    0x7ec03fe6,0xff834007,0x9ffb000f,0x4007fe60,0x41fe605b,0x04ff84fc,
    0x5401ffc4,0x402ffffe,0x200fffbe,0x017fa04b,0x7d017fd4,0x25c01fff,
    0x7cc0ff10,0x40b7001f,0xb7001ff9,0x800ffcc0,0x0bfb005b,0x2e40bff2,
    0x25c4fd80,0x09713f60,0xf800bfea,0x203ff06f,0x017ec3ff,0x0013fe20,
    0x013fe005,0x50013fe2,0x2003ff30,0x0ff1005b,0x2e003ff3,0x9805fd85,
    0x0b7001ff,0x07fc17fc,0x2001ffc4,0x005ffd00,0x7cc07fee,0x40b7001f,
    0x09f907f8,0xff8809ff,0x3ffee003,0x3eaba02f,0x209700ef,0x3e002ffa,
    0x3eaba06f,0x409700ef,0x3fe607f8,0x4c0b7001,0x0b7001ff,0xb800ffcc,
    0x40dfb005,0x07cc0ffe,0x3a0ff980,0xd07fcc01,0x007ff203,0xff80ffe8,
    0xfd89fd01,0xfa802a62,0xf000003f,0x7ff5009f,0x3ff30000,0x44016e00,
    0x01ff987f,0x0bfd0b70,0x2003ff30,0x317f605b,0x07fea0bf,0x27fec000,
    0x300ffa80,0x16e003ff,0x9f907f88,0xf8809ff0,0x7ec4003f,0x2e5d00ff,
    0x209705ff,0x3a001ffc,0x2e5d00ff,0x409705ff,0x3fe607f8,0x4c0b7001,
    0x0b7001ff,0xb800ffcc,0x40bfb005,0x01744ff9,0x03553f60,0x40d54fd8,
    0x36000ffd,0x01ff81ff,0x8afd87fb,0xf903fffd,0x2000003f,0xffc804ff,
    0xff980001,0x200b7001,0x1ff987f8,0xbfb0b700,0x003ff300,0x0ff9816e,
    0x7fe407f2,0xff700000,0x03fea00b,0xb800ffcc,0x641fe205,0x404ff84f,
    0x02883ff8,0x2e817fe4,0x12e0fff6,0xb0007fec,0xd8ba03ff,0x204b83ff,
    0x3fe607f8,0x4c0b7001,0x0b7001ff,0xb800ffcc,0x809fd005,0x00b71ffc,
    0x07b1ff30,0x0f63fe60,0x64007ff8,0x01ff83ff,0xdbfd83fd,0xe80ffc9a,
    0x000000ff,0xffd009ff,0xff300001,0x4016e003,0x1ff987f8,0xdf70b700,
    0x003ff300,0xbff3016e,0x3ff403bd,0x77776dc0,0x007ff40d,0xf9807fd4,
    0x40b7001f,0x09f907f8,0xff8809ff,0xff805883,0xffe85d03,0x7ff825c2,
    0x81ffe400,0x217ff42e,0x81fe204b,0xb7001ff9,0x800ffcc0,0x07fe605b,
    0xfe802dc0,0x4f7fc403,0x9fb0000f,0x67ec001f,0x01ffe00f,0xff05ff70,
    0xfb03fe03,0xf82fe81b,0x2000007f,0x7ff804ff,0x3ff30000,0x44016e00,
    0x01ff987f,0x0ff50b70,0x2003ff30,0x000ec05b,0x6c003ffe,0xdff504ff,
    0x201ff500,0xb7001ff9,0xfc83fc40,0xccceff84,0x3ffccccc,0x7f400f88,
    0xff885d02,0x7fc12e1f,0x17fdc007,0x7ffc42e8,0x7f8812e1,0x4007fe60,
    0x07fe605b,0xff302dc0,0x4016e003,0xffa802ff,0x3ea0003f,0x7fd4004f,
    0x007ff404,0xff03ff90,0xfb07f305,0xfd07fb05,0x3000003f,0xffd00dff,
    0xff300003,0x4016e003,0x1ff987f8,0xff10b700,0x003ff300,0x006c816e,
    0x7002ffe8,0x7fdc03ff,0x807fd405,0xb7001ff9,0xfc83fcc0,0xaaadff84,
    0x3ffbaaaa,0x3e604f88,0xf305d00f,0x7412e1df,0x3f2000ff,0xf305d01f,
    0x9812e1df,0x07fe607f,0xff302dc0,0x9812e005,0x097002ff,0x6c00df10,
    0xfe80007f,0x01fe8001,0xb000ffe4,0x8dff01ff,0x05fb06e8,0x5ffb07f9,
    0x7e4c0000,0x3603efff,0x980002ff,0x097002ff,0x3e61fe20,0x2097002f,
    0x7fcc00ff,0x7c097002,0xbceeeeff,0x004ffd80,0xe9801ff5,0xffc881cf,
    0x005ff300,0x0ffa812e,0x4ff84fc8,0x441ffc40,0x7ecc0dff,0x7d40ba02,
    0x3f20975f,0x3ff6001f,0x3ea05d00,0x7d40975f,0x03ff300f,0xff8816e0,
    0x44079002,0x079002ff,0x64007f50,0x6b80007f,0x700d7000,0x7f4005ff,
    0x99d9ff06,0x417ec0bf,0x4ffb84fc,0x80000000,0x80004ffb,0x79002ff8,
    0x221fe200,0x079002ff,0xff100fee,0xa80f2005,0xffffffff,0x02ffdc1f,
    0x8800ffa8,0xfdccefec,0x3fe200be,0x32079002,0x7e43effe,0x4404ff83,
    0xdbe883ff,0x01efedef,0x9ff90174,0x0bfee097,0x3a06fe80,0x2f3ff202,
    0x7dffd704,0x2005ff30,0x01ffc04b,0x1ffc02d8,0xfd802d80,0x01ff2000,
    0x4000b600,0x0bfd002d,0x7c0bfe20,0x4009989f,0x84fc82fd,0x0c006ff8,
    0x8800cc80,0x80c006ff,0x05b003ff,0x7fc1fe20,0x7405b003,0x003ff805,
    0x98a5405b,0xe84ecaa9,0xffa800ff,0x9acb8000,0x00ffe000,0xf900016c,
    0x8809ff07,0xda8103ff,0x805d000a,0x3a04effd,0x5ff1005f,0x3f601740,
    0x002204ef,0x32005ff1,0x4037f403,0x37f400f8,0x22007c40,0x3fe4003f,
    0x001e2000,0xff5003c4,0x40bf9003,0x7ec001ff,0xf704fc82,0x00a2009f,
    0x5c013fe2,0x051004ff,0x3e201bfa,0x20df1000,0x0f8806fe,0xfd003e60,
    0x203f100d,0xa8698069,0xffa806ff,0x0ffc4000,0x4037f400,0x320000f8,
    0x404ff82f,0xfb003ff8,0x20174007,0x2a04ffe8,0x5fc801ff,0x3a201740,
    0x3bee04ff,0x400ffe01,0x0ffcc02d,0xf3009d10,0x0274403f,0x7e400264,
    0x01ec0007,0x6c003d80,0x07fcc05f,0xd8003ff0,0x204fc82f,0x1c402ffd,
    0x400b5700,0x1c402ffd,0x4403ff30,0x13e6004e,0xd100ffcc,0x980b7009,
    0x13a201ff,0x03c806e8,0xfa80bff7,0x7dc4000f,0x1ff98005,0x00013a20,
    0x09ff01fb,0x3003ff88,0x01f400ff,0x36027fcc,0x07fcc05f,0x3e600fa0,
    0x17ee204f,0xf8806fe8,0x42ffa800,0x2a005ea8,0x2f5442ff,0xd80035c0,
    0x5ee4007f,0x2f72005c,0xbf70005c,0x801bf701,0x7f4001ff,0x5c04fc82,
    0x2e20acff,0x00298004,0x10567fdc,0x5ff50097,0x5405ea88,0xfa803e63,
    0x02f5442f,0xffa805b0,0x102f5442,0x16e019ff,0x1039fd30,0x30001ff9,
    0x3ea0007f,0x02f5442f,0x85d86e20,0x7cc04ff8,0x017a003f,0xfa8027c4,
    0x80dfb804,0x7c400dfb,0x809f5004,0x3fe603f9,0x8013a201,0xffeeffea,
    0x7f54000c,0x00cffeef,0xfd0001dc,0x3fe2003f,0xff1000ff,0x4c0001ff,
    0x3efdcdfd,0x002ff980,0x2fec1ffc,0x77ffed40,0x5c4003de,0xffb50004,
    0x4007bddf,0xffeeffea,0x577fc00c,0xffea803d,0x000cffee,0x3faa01dc,
    0x00cffeef,0x777fff54,0xd91003fe,0x7dfb99df,0x4eb88001,0x7ff54000,
    0x000cffee,0x07567fdc,0x2a02ffcc,0xdda804ff,0x7ffe4401,0x004b802d,
    0xdfb9bfb3,0xfffc8807,0x104b802d,0xff5009d7,0x005ea885,0x01355330,
    0x9aa99800,0x00019800,0x39ffffd7,0x0017b500,0x0000bda8,0xc8006a20,
    0x400ceeed,0x98cfffda,0x001cfffc,0x00000351,0x006a2000,0x13553300,
    0x073b2600,0x13553300,0x400c4000,0x0009aa99,0x05e76d44,0x13551000,
    0x00008000,0x04d54cc0,0x07bb7000,0x7bffff93,0xdffffd98,0x00002203,
    0x44000400,0x0000001a,0x54001802,0xcffeeffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x00009aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8809db00,0x2a600502,
    0x000b6602,0x000cc0e0,0x0281c400,0x0a80540e,0xc8000288,0x3ff6a05e,
    0x2ceeffff,0x07028800,0x003dd300,0x10004010,0x2aa00355,0x06008002,
    0x3bfb6e60,0x7701eeee,0x01000e44,0x1f6c4004,0x00276c00,0x004ed800,
    0x003dd500,0x001bd700,0x0dc45500,0x930bdb00,0xd900dfff,0x2e019fff,
    0x15c400de,0x07101700,0x77cc05b5,0x1dc4c800,0x542ffe80,0x80002ffe,
    0x0016a0ea,0x716e0055,0x0ee2dc07,0x03a22e88,0x007fe000,0x2a277fe6,
    0x4000cffd,0x4001644c,0x370004fc,0x7dc00170,0x0ff7000e,0x49819100,
    0x7ffffd40,0x7fd40950,0x6400dfb1,0xf5000b80,0x1ff1000d,0xff880000,
    0x9f900000,0xfff30000,0xff980009,0x2a00ff92,0x3f602fff,0x00dd004f,
    0xff7005fd,0x2b3a2001,0x6fe80eca,0x44003f20,0x7006c8ef,0xff01ff7f,
    0x3f600005,0x6c000fa9,0x323ba002,0x6c8ee806,0x3e8bfb80,0x02fa8000,
    0xf709ff10,0xdf88009f,0xbf0006d8,0x91fc4000,0x01fd8009,0x4000fe40,
    0x00ffeefc,0x3fffffea,0x7fcc0950,0x4c009f70,0x005fdcef,0x4c000fdc,
    0x5c00002f,0x3e00001f,0x1bb00005,0x440003fb,0x00df71ff,0x803fa2fa,
    0x5c803ffe,0x9801fc40,0x7fe4006f,0x07f703ff,0x3ea000f4,0x0e8802ff,
    0x05fd09d1,0x3ffe6000,0x017dc004,0x005fff50,0x2005fff5,0x00006ffe,
    0x4ff80079,0x8007ff88,0x8001fffb,0xfb800069,0x22000fdd,0x09b0002f,
    0x5dff9100,0xfffffe80,0x1000950f,0xbfff7000,0x00790001,0x000016a0,
    0x4c00005b,0x89500006,0x0440005b,0x321dc002,0x07fffa04,0x04b80970,
    0xc8800040,0x0a20000b,0x801e6400,0x7ec0c80b,0x32e00002,0x3fee000c,
    0x7990019b,0x00265c00,0x00003993,0x13fe000e,0x40017fe4,0x150003cc,
    0x3ffa0000,0x001d4002,0x08000b10,0xffffff00,0x00012a1f,0x00015000,
    0x00e00038,0x00007000,0x500000a8,0x00000260,0x20281400,0x200fffbe,
    0x0001c04b,0x40000000,0x22008198,0x80000819,0x400002fd,0x7ff5c001,
    0x00000eee,0x00000000,0x4ff80000,0x0001ff90,0x00000000,0x08001988,
    0x00008000,0xffff8800,0x88950fff,0x4c409999,0x00600099,0x01800000,
    0x00000000,0x30000030,0xfffdb800,0xffd903ef,0xe800019f,0x700effaa,
    0x4c400009,0x54c4001a,0xfd883801,0x82cbdfee,0xbdfeefd8,0x2028802c,
    0x4cccc2fd,0x000f4001,0xffb017f4,0xffffffff,0x3fb263ff,0xfb51cfff,
    0x9ddfffff,0x7ffec005,0xffffffff,0xd04ff81f,0xffff80bf,0xffffffff,
    0xfffb55ff,0x059ddfff,0x3321da80,0x990ed400,0x321da801,0xfffd980c,
    0xffffffff,0x7ffff42f,0xfb8950ff,0x7ecc2eff,0x007a000d,0xffffec98,
    0x007a001c,0xefffffb8,0x9ffff904,0x000f4001,0x20007a00,0xfd004ffc,
    0xfffec981,0x2e5d01cf,0x309705ff,0x39ffffd9,0xbfb39d50,0x33aa0999,
    0x44ccdfd9,0x710f7c45,0x1ef885ff,0x980bfee2,0x8bf607fc,0x002cffc8,
    0x3a0017ea,0x26bb602f,0xffc99999,0x201fff04,0xda89dff9,0xed800cff,
    0xc999999a,0x09ff04ff,0xef803ffb,0x9cff999a,0x7cc5fb99,0xffda89df,
    0x2bfd000c,0x7f402ff9,0xe805ff35,0x405ff35f,0xf5104ff8,0xfffffb87,
    0xff30950f,0x5001aa05,0x3fe000bf,0x2fd4000f,0x07ffec00,0x0003bea0,
    0x40000bf5,0xfa8005fa,0x80d9002f,0x17400fff,0x09707ffb,0xf500fff8,
    0x84cefd89,0x677ec4fa,0x407fa3c4,0x80ff42fb,0x3f6a02fb,0xd90bf607,
    0x1ffb0001,0x202fe800,0x1bfe200e,0x3e206fe8,0x04ffb84f,0x3fe200e8,
    0x2a73fe06,0x68803ffb,0x8b309ff0,0xffb84ff8,0x745f7004,0xd17dc00e,
    0x22fb801d,0x27fc00ee,0x3ff20ea0,0x20950fff,0x007b05fc,0x8000ffd8,
    0xfd8006fe,0x7f44000f,0x007e401f,0x0007fec0,0x000ffd80,0xb800ffcc,
    0x4037f405,0x217ff42e,0x037f404b,0x06fb85fd,0x0df70bfa,0x01be21f1,
    0x2037c45b,0x03fcc02d,0x006e45fb,0x01fffc40,0x0580bfa0,0xfb00ffec,
    0x884ff80b,0x405807ff,0x3fe01ffd,0x001ffdce,0x413fe091,0xf884ff84,
    0x0000007f,0x20000000,0x81c404fe,0x950ffdca,0xf103fe20,0x7ffc4001,
    0x05fd8003,0x01fffc40,0x202ffcc0,0xff88002f,0xf880003f,0x7cc003ff,
    0x80b7001f,0x42e805fd,0x12e1fff8,0x3e20bfb0,0x407fcc0f,0x7fcc0ff8,
    0xff98fcc0,0xff98ae00,0xf100ae00,0x5c97ec0f,0x3f732000,0x017f4006,
    0x01ffdc05,0x9ff017f6,0x500bff20,0x201ffdc0,0x01bfa4ff,0x209ff008,
    0xf904ff80,0x0666605f,0x99813331,0x04ccc419,0x33106666,0x027f4013,
    0x12a1d000,0x025c4fd8,0x01bf7320,0x90017f60,0x2000dfb9,0x0b902ffc,
    0x1bf73200,0x3f732000,0x0ffcc006,0x7ec05b80,0xf982e805,0xd80970ef,
    0x20bfe05f,0x05ff00ff,0x22f981ff,0x85100eff,0x05100eff,0x3f607f88,
    0x7c0006db,0x2002ff99,0xf98002fe,0x05fd805f,0xffc827fc,0xbff30000,
    0x7cc9ff00,0x7fc0004f,0x413fe004,0xfb500ffc,0x1ffecc3f,0xd987ff6a,
    0x7fed43ff,0x80fff661,0x000604fe,0xf9812a1d,0xf0007a0f,0x8005ff33,
    0x4fc005fd,0xd0002ff9,0x00f981ff,0x5ff33f00,0xf99f8000,0x3fe6002f,
    0xd80b7001,0x502e805f,0xb012ebff,0x22fec0bf,0x17f605f9,0x47f50bf3,
    0xb003fffd,0x20007fff,0x37f607f8,0xd70001ff,0xfd002ff4,0x1ffd0005,
    0xf80bfb00,0x00bfd04f,0x4007ff40,0x17fdc4ff,0x009ff000,0x5fe827fc,
    0xfe81ff80,0xfd03ff03,0x3a07fe07,0x813fa03f,0x4a874006,0x06aa7ec0,
    0x0bfd35c0,0x2005fd80,0x0017fa6b,0x0ba27fcc,0xbfd35c00,0xfd35c000,
    0x0ffcc00b,0x7ec05b80,0x3202e805,0x6c04bcff,0x83fe605f,0x3fe601fc,
    0x3ee07f20,0x0f7fff43,0x0f7fff40,0xd81fe200,0x000ffcaf,0x03fee2e8,
    0x20017f40,0xfb002ffc,0xd84ff80b,0xf90001ff,0x13fe005f,0x40003ff6,
    0x3fe004ff,0x801ffd84,0x03fd81ff,0x07fb03ff,0x0ff607fe,0x6a884fe8,
    0x04a87400,0x01ec7fcc,0x0ffb8ba0,0x8017f600,0x003fee2e,0x5b8ffe40,
    0xfb8ba000,0x45d0000f,0xf3000ffb,0x016e003f,0x05d00bfb,0x404effd8,
    0x7fcc05fd,0xf9801ded,0xf901dedf,0xffffd889,0x3ff6200d,0xf1000dff,
    0xfd97ec0f,0x2234c006,0x7fb004ff,0x17fe6004,0x7c05fd80,0x3ffba9cf,
    0x17fe6000,0xf884ff80,0x9ff0005f,0x54e7fc00,0x3e003ffb,0xf03fd81f,
    0x207fb03f,0x03fd81ff,0x3bbbbffa,0x874006ff,0xfcfd804a,0xf11a6000,
    0x2fec009f,0x7fc46980,0xdff10004,0x260001f3,0x0027fc46,0x13fe234c,
    0x800ffcc0,0x02fec05b,0x3fa20174,0x02fec04f,0x0ec00076,0x2a0bfb00,
    0x402ffffe,0x02ffffea,0x3f607f88,0x400bff12,0x007fc83d,0x88097df9,
    0x36000efe,0x677fc05f,0x20001ffd,0x2000efe8,0xbff305ff,0x009ff000,
    0x7fee77fc,0x40ffc001,0x03ff03fd,0x07fe07fb,0x4fe80ff6,0x200364c4,
    0xf500950e,0x83d8009f,0x3f6007fc,0xf907b005,0x7fd4000f,0x0f60003f,
    0x36001ff2,0x3007fc83,0x16e003ff,0x7d00bfb0,0x809ff300,0x01b205fd,
    0x3a003640,0x7ffdc06f,0xfffb802f,0x03fc402f,0x1ffcc7fb,0x7cc07c40,
    0xefe8802f,0x00ffec01,0xff017f60,0x00037f49,0x4c003ffb,0x3ff206ff,
    0x13fe000c,0x3fa4ff80,0x40ffc006,0x03ff03fd,0x07fe07fb,0x4fe80ff6,
    0x21d00160,0x03fd004a,0x7cc07c40,0x0bfb002f,0xff301f10,0x3fec0005,
    0x301f1000,0x7c4005ff,0x802ff980,0x97002ff9,0x4405fd80,0x09f5004f,
    0x3fe05fd8,0x0bceeeef,0xddddfff0,0x07ff8179,0x00fffd88,0x00fffd88,
    0x4fe81fe2,0x32017fe4,0xffffffff,0x2002006f,0xd8004ffa,0x327fc05f,
    0xf50009ff,0x3f26009f,0xfd03efff,0xff001bff,0x327fc009,0x7fc009ff,
    0xff03fd81,0x3e07fb03,0x203fd81f,0x000e04fe,0x5c012a1d,0x7ffe4006,
    0x06ffffff,0xf900bfb0,0xffffffff,0x3fe4000d,0xffff9000,0x00dfffff,
    0x7fffffe4,0xf8806fff,0x8079002f,0xff9105fd,0x097005bf,0x3ea05fd8,
    0xffffffff,0xfffffa81,0x3f61ffff,0xffc80516,0xffc80512,0x2e1fe202,
    0xd89cfffd,0x3f02dfff,0x200ffd40,0x7fc403d8,0x0bfb0006,0x7fdc4ff8,
    0x1bfe2002,0x00018000,0xf8013fe0,0x017fdc4f,0x3fd81fe8,0x7fb03fd0,
    0x3f607fa0,0x0013fa03,0x00950e80,0x03f000b6,0x6c00ffd4,0x201f805f,
    0x90001ffa,0x0fc000ff,0x2003ff50,0x07fea01f,0x6c00ffe0,0x002fec02,
    0xb0020088,0x98a540bf,0xa84ecaa9,0xd9553314,0x0588ecc9,0x00b13ff8,
    0x3fc407ff,0x54000880,0x405ff806,0x3f601ffb,0xfd83801f,0x6c27fc05,
    0xffb000ff,0x3e007003,0xff80004f,0x213fe004,0xfe800ffd,0xfd03fd82,
    0x3a07fb05,0x203fd82f,0x003004fe,0x22012a1d,0x40354007,0x5fd805ff,
    0x7fc03540,0x0ff90005,0x3e01aa00,0x806a805f,0x6fe805ff,0x6c00f880,
    0xdf50005f,0x0bfb0003,0x31a601a6,0x440d300d,0x897f400f,0x017f400f,
    0x3ee00df1,0x005d001e,0x5c401ff9,0x07ff702c,0x0bfb0910,0xff884ff8,
    0x03ffb805,0xfd300488,0x4ff80001,0x2213fe00,0x4fd805ff,0xfd81ffd4,
    0xd81ffd44,0x01ffd44f,0x093009fd,0x2012a1d0,0x0174003d,0x36007fe4,
    0x4017405f,0xc8000ffc,0x05d0007f,0xe801ff90,0x00ffc802,0xd100ffcc,
    0x00bfb009,0x0017ee20,0x037417f6,0x201ba1e4,0x7c45c43c,0x443fe604,
    0x03fe604f,0x71004f88,0x00f700bf,0x0e017fe6,0xd802ffcc,0x7c06fe82,
    0x0bff305f,0xd802ffcc,0x001b6002,0xf8013fe0,0x0bff305f,0xccabffb8,
    0x7dc1aefd,0xefdccabf,0x55ffdc1a,0x81aefdcc,0x01e805ff,0xb90950e8,
    0x7b800b97,0x80bff300,0x01ee06fe,0x4002ffcc,0x7b8007fd,0x40bff300,
    0xbff3007b,0x885ff500,0xdfd005ea,0x01fcc000,0x7c437f40,0x88b700cf,
    0x0b700cff,0x1bff19fd,0x3e22fd98,0x17ecc0df,0x000f98aa,0xdf100fe6,
    0x07ffe200,0xffe8164c,0x07f6e200,0xff981ffe,0x033ff206,0xb8803ffa,
    0xdda801fd,0x7fcc0001,0x0dff3006,0xb0067fe4,0x37f67fff,0x27fffb01,
    0xffb01dfd,0x2077f67f,0xd5106ff8,0x2543a00d,0x003fffe2,0xf1006f88,
    0x3ffc03ff,0xf1006f88,0xfe8003ff,0x1be2001f,0x40fffc40,0xff1006f8,
    0xffd5003f,0x0019ffdd,0x22001ffe,0xff0004eb,0x3fffaa0f,0xd503feee,
    0x7fdddfff,0x2fa33fa0,0x1efedefd,0x6f7edf44,0xeff81efe,0xd71003da,
    0xefffb809,0x3fffae03,0x3ee000df,0xffffffff,0x3227ffff,0x30beffff,
    0x07dffff9,0x5c37fffa,0xffffffff,0x007fffff,0xc9800011,0x303effff,
    0x07dffff9,0x4037fffa,0x44004c18,0x0c4004c1,0x3fb22026,0xffffffff,
    0x219004ff,0x00bda83a,0x0fbffee0,0xdffffeb8,0xdffff910,0x3bffee17,
    0x3fffae03,0x7f5c00df,0x5c01cfff,0x2e03efff,0x70dffffe,0x5c07dfff,
    0x00dffffe,0x009aa998,0xeffffc88,0x0006000b,0x3bffff22,0xceda880b,
    0xeda8800b,0x810c00bc,0x30200aa9,0x76cc0155,0x000c001c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00006000,
    0x0000bba6,0x00285b91,0x4002f640,0x4c004ed8,0x3f660501,0x002defff,
    0x6c01774c,0x5c40004e,0xa8402000,0x24effffc,0x1dffffc8,0xb9803800,
    0x2a000aa0,0x80002880,0xc880002a,0x0110142d,0x800f2022,0xccccccc9,
    0x3ffb2604,0xcb801cff,0x02cccccc,0x40017300,0x455000b8,0x2a0001b8,
    0x2e1cc000,0x261b8801,0x7fecc00b,0xffffffff,0x3ff6e2ff,0xfd903eff,
    0x003219ff,0x00003d00,0xe8000bf7,0x048adffe,0x007fe200,0x007fff20,
    0x401d87b0,0x0000eff9,0xdf300bf7,0x6fd80001,0x389ff900,0xf902ffcc,
    0x12a0001d,0x7fcd3fa0,0x11744001,0xf980001d,0x7740002f,0x40489dff,
    0x7d42c41d,0xfff7000f,0x200fffff,0x3a000fff,0x4fffffff,0x009ff000,
    0x7cc037ec,0x000df91f,0x2007b7d3,0x1ff73ff8,0x3fa7fc80,0x09ff1004,
    0x3f20fea2,0x81fd004f,0x3ea0003b,0x0fb00005,0xfea8c400,0x2a0002ff,
    0xaf88002f,0x7cc005e9,0xff005d8d,0x0374000b,0x80000fc8,0xcd9805fc,
    0xf83ccfff,0x009f104f,0xfd801d80,0x0001ff13,0x007d17f7,0x001ff100,
    0xffea8cc0,0x77fd401f,0x009b02ff,0xdfd00000,0x00000000,0xfc800bfa,
    0x70ff8804,0x439000bf,0x54bfe006,0x26fa807f,0x3fe003fd,0x7d41d404,
    0x10d9002f,0x7fec000d,0x03d00000,0x07260600,0x00079000,0x002d8876,
    0x8007ffe4,0xd10005fe,0x0007a001,0x4c500080,0x9ff05ffc,0x80009d10,
    0x11020068,0x37ff4000,0x00110000,0x01c98180,0x007dfd70,0x00662000,
    0x00017f60,0x00080000,0x10220008,0x06872000,0x08002040,0x27f40008,
    0x3fe60e20,0x3a0b7001,0xfff88001,0x07100003,0x00000000,0x40620007,
    0x16644002,0x0009fd00,0x0144006a,0x22062000,0xf8062020,0x0027444f,
    0x22002540,0xc9800019,0x2200001c,0x4000c09a,0x03000198,0xdf910000,
    0x2005dfb9,0xffb705fd,0x3b207dff,0x0000cfff,0x00000000,0x04dbe980,
    0x00000000,0x80027f40,0xb7001ff9,0x32000ee0,0x00006fdc,0x3fff2600,
    0xfffec806,0x0000000c,0x40000000,0x2e0004fe,0x10000005,0x7bfbdd95,
    0xf8000593,0x0013a24f,0x801eba88,0xefdcefc8,0x00000002,0x6e776544,
    0x1005abde,0x5dfb9df9,0x40000000,0xdfb80efa,0x202fec00,0xfd004ffc,
    0xffffd981,0xffffffff,0x3fffb262,0xfffb31cf,0xffffffff,0x1fc4005f,
    0xfffd9300,0x3ffee39f,0xff904eff,0x9fd019ff,0x3ff300c0,0x34416e00,
    0x7fccfc00,0xfffd9802,0xffffffff,0x09ffb02f,0x3f661ba0,0xffffffff,
    0x3f662fff,0xffffffff,0x3f662fff,0xffffffff,0x9fd02fff,0x8fff9000,
    0xdeffffd9,0xaff88002,0x317fe540,0x39ffffd9,0x13a29ff0,0xfccfc800,
    0x03bea02e,0x36a037ee,0xeeffffff,0x26000ace,0xfe980bfe,0x80efa805,
    0xec980dfb,0x881cffff,0x405fb802,0x3f600ffa,0x017fd405,0x3fe206c8,
    0x207f5104,0xff100fff,0x00fea209,0xf0005fa8,0x3ff601ff,0x077d400f,
    0x03409fd0,0x2e003ff3,0xb8007a05,0x88017fa6,0x7f5104ff,0x401fff40,
    0x13fe205c,0x7c41fd44,0x07f5104f,0x2a209ff1,0x009fd03f,0x7cc1fea0,
    0xd10000ef,0x03fb805f,0x7fc01fff,0x20004f9c,0x1ffb70ec,0xfa80bf70,
    0x5bff300f,0x9ffd7313,0x005ff300,0x05fb80dd,0xff007fd4,0x0ffb301f,
    0xe801ff98,0x017f605f,0x2e003ff3,0x2027fc05,0x80dfd03a,0x01d404ff,
    0x0001ffb0,0x7f440dfd,0x007e401f,0x1aa213fa,0x7001ff98,0xd0025c0b,
    0x0007fdc5,0x03a809ff,0x7007fffa,0x404ff809,0x809ff03a,0x809ff03a,
    0x009fd03a,0xff81fe60,0x7fd10005,0x7f40f600,0x7feffc06,0x45f50003,
    0x7cc3ff8e,0x05fe801f,0x7dc09ff1,0x5ff100ef,0xf981ea00,0x05fe801f,
    0x7ed41bfa,0x802ff407,0xbfb02ffa,0x001ff980,0x04fe80b7,0x05fd81c4,
    0x0e2027f4,0x01fffc40,0x2602fec0,0x017c05ff,0x77777ff4,0x3fe606ff,
    0x440b7001,0xf88d3006,0x13fa004f,0x7df40710,0x012e00ff,0x038809fd,
    0x038809fd,0x038809fd,0x260009fd,0x017fa07f,0x30037ec0,0xf017f609,
    0x007ffd9f,0xb9accfd0,0xa802ff40,0x09ff02ff,0xfb05ffa8,0x3a06800f,
    0x5ff5005f,0xf9817f60,0x00bfea07,0xbfb06ff8,0x001ff980,0x04fe80b7,
    0xd017f600,0x6400009f,0xd8006fdc,0x2ffc805f,0x3fa00b90,0x30364c44,
    0x16e003ff,0x07b003d0,0x7f400ff9,0x55740004,0x09700eff,0x20004fe8,
    0x3a0004fe,0x3fa0004f,0x0ff10004,0x440027f4,0x814004ff,0x67fc05fd,
    0x4003ffe8,0xfa80b26f,0x1bfe002f,0x7ec027fc,0x01ffc43f,0x17fd4020,
    0x360dff00,0x81fe605f,0x3a001ffc,0x05fd80ff,0xb800ffcc,0x3027f405,
    0x7405fd80,0xf000604f,0x8005ff33,0xffd005fd,0xd000f981,0xf302c09f,
    0x016e003f,0x80f88097,0xfd002ff9,0x97400c09,0x09705ffb,0x00604fe8,
    0x200c09fd,0xd00604fe,0x3e20009f,0x0013fa07,0x0000ffea,0x3fe02fec,
    0x009ffd14,0x64069be6,0x3fa001ff,0x804ff80f,0x7fd46ff8,0xff900001,
    0x07ff4003,0xff102fec,0x0007fec0,0xbfb03ffb,0x001ff980,0x04fe80b7,
    0x80bfb01a,0x801a04fe,0x0017fa6b,0x3e600bfb,0xd001744f,0xf301c09f,
    0x012e005f,0xfffc80d1,0x06ffffff,0x03409fd0,0x07ffb174,0x04fe8097,
    0x409fd01a,0xd027f406,0x0004fe80,0x27f40ff1,0x00ffe400,0x405fd800,
    0x3ffa24ff,0x937f9804,0x000ffd80,0x3fe07ff6,0x43ffd004,0x00000ffc,
    0x6c001ffb,0x05fd81ff,0x7ff81fe2,0x41ffe400,0x7fcc05fd,0xe80b7001,
    0x406a884f,0x27f405fd,0x5d003544,0xb0007fdc,0x7fe400bf,0xfe800b71,
    0x5ff10004,0x3a00f200,0xfa807e01,0x84fe801f,0x42e806a8,0x025c2ffe,
    0x1aa213fa,0xd5109fd0,0xa884fe80,0x8027f406,0xfd03fc43,0x1ffd0009,
    0x17f60000,0xfe889ff0,0xcaff804f,0x01ffe281,0xff07ff90,0x8bff6009,
    0xedb807fe,0x3fe0deee,0x1ffe4007,0xff102fec,0x2003ffc0,0x5fd82ffb,
    0x800ffcc0,0x77ff405b,0x406ffeee,0x7ff405fd,0x06ffeeee,0x4ff88d30,
    0x8017f600,0x00f9eff8,0x18027f40,0x5b003ff8,0x1aa09700,0x3a017fe0,
    0xffeeeeff,0x7c42e806,0xd012e1ff,0xffddddff,0xeeffe80d,0x7406ffee,
    0xffeeeeff,0x4027f406,0xd03fc439,0xfff0009f,0x2fec0000,0x3a213fe0,
    0x77ec04ff,0x1ffe3986,0xf05ff700,0x3ff2009f,0x4003ffe3,0x7ff84ffd,
    0x417fdc00,0x1fe205fd,0x2000ffe8,0x5fd81ffc,0x800ffcc0,0x227f405b,
    0x7ec06c98,0x2227f405,0x07b006c9,0x7ec00ff9,0x7ffd4005,0x04fe8003,
    0x06fe8498,0x68800f88,0xff9005d0,0x444fe801,0x82e806c9,0x0970eff9,
    0x64c44fe8,0x2227f406,0x27f406c9,0xff01b262,0x441e880b,0x013fa07f,
    0x0007ffa0,0xf102fec0,0x3ffa209f,0x1bff700d,0x1ffd074c,0x40ffe400,
    0xff7004ff,0x8017ff47,0xffe81ffb,0x07ff2000,0x7f8817f6,0x8007ff20,
    0x6fe80ffd,0x8017fcc0,0x027f404b,0x405fd80b,0x201604fe,0x2ff980f8,
    0x000bfb00,0x3e000ffb,0x981e805f,0x13a201ff,0x03dc1e80,0x7405ff98,
    0x3a01604f,0x2ebff502,0xb027f404,0x1604fe80,0x02c09fd0,0x3333fff1,
    0xf10df753,0x0027f40f,0x00017fec,0x3e605fd8,0x3ffea05f,0xdfffb01e,
    0x1ffc85fd,0x203ff600,0xffb004ff,0x8027fec3,0xffc80ffa,0x03ff6001,
    0x7f9817f6,0x800bfee0,0x0fff06fe,0x9002ff88,0x204fe807,0x202fec03,
    0x200e04fe,0xfffffffc,0xbfb006ff,0x00ff9000,0x220dff10,0x3fea06ea,
    0x002f5442,0x006f892e,0x7403fff1,0x3a00e04f,0x2f3ff202,0x7027f404,
    0x0e04fe80,0x41c09fd0,0xffffffc8,0x84ffffff,0x13fa07f8,0x013fee00,
    0x4c2fec00,0x43dffffc,0xefffffeb,0x6ffffcc3,0x002ffb81,0x27fc1bfa,
    0x2e0ffe80,0xff5005ff,0x005ff701,0x5fd837f4,0xe803fea0,0x5ff1005f,
    0x77fffe44,0x007ff00b,0x09fd00b6,0x202fec00,0x7c0004fe,0x007fea01,
    0x320017f6,0x3b22007f,0xffffffff,0x75404fff,0x0cffeeff,0xffbb4400,
    0x3fae03ef,0xfe80dfff,0x01740004,0xd013bff6,0x7f40009f,0x13fa0004,
    0x00098000,0x4fe81fe2,0x06ff8800,0x05fd80c0,0x70000880,0xbfd00267,
    0x40bfe200,0xff8804ff,0x800ffe86,0xbfd00ffa,0x40bfe200,0xffd905fd,
    0x07fea07d,0x3b817f20,0x100dfd00,0x04fe803f,0x80bfb030,0x503004fe,
    0x00bff00d,0xf9000bfb,0x3b00000f,0x3b933000,0x00ec0001,0xfd001d00,
    0x17406009,0x013ffa20,0x206009fd,0xd03004fe,0x2006009f,0xff1004ff,
    0x38027f40,0x88027fdc,0x000bfb02,0xe8003df5,0x07fea000,0xff817f20,
    0x81ffc804,0xfa806ffa,0x03ff500f,0x7ec0bf90,0x6c007405,0x07fcc05f,
    0x3e6007d0,0x013a201f,0x126013fa,0x9fd017f6,0x05d09300,0xd801ff90,
    0x7fc8005f,0x0fc40000,0x000bb000,0x26000330,0x04fe800f,0x007d0498,
    0xfe809ff3,0xfe849804,0xfe849804,0x98049804,0x7f8801fe,0x26013fa0,
    0x402ffd83,0x017f6038,0x8017ee20,0x5fd80059,0xf007fcc0,0x5ff9809f,
    0x5017fee0,0x2fec01ff,0xd803fe60,0x003ea05f,0x7dc06fdc,0x0037c00d,
    0xea885ff5,0x00bff005,0x80dfd03d,0x41e805ff,0xbff3007b,0x8006fe80,
    0x400007fd,0x360004f9,0x0000000f,0x3e00fea0,0x881e805f,0x09f5004f,
    0x1e805ff8,0x1e805ff8,0x1e805ff8,0x2600fb00,0x017fe07f,0x3fee03d1,
    0x012e20ac,0x22000dfd,0x00b2003f,0x5c06fdc0,0x27fc00df,0x801bff50,
    0xc881cfe9,0x6fdc00ff,0x400dfb80,0x0fea06fe,0xdcdfd980,0xff9003ef,
    0xfea80759,0x00cffeef,0x5106ff88,0x81ffe0dd,0xd5106ff8,0x1006f88d,
    0x7fc03fff,0x1ffe8007,0x77f40000,0x3ea002bb,0x00003acf,0xbbefe800,
    0x8837fc41,0x7fe446ea,0x04b802df,0x5441bfe2,0x06ff886e,0xff10dd51,
    0x01baa20d,0x5400b76a,0xfff880ff,0xfba99999,0x7ffed406,0xff803dee,
    0x275c4007,0x30001a00,0x7dfb9bfb,0x439ff300,0x002ffda8,0x333bfb22,
    0x3000befd,0x7dfb9bfb,0xf01ffe00,0x200377df,0x950001a8,0x2660017b,
    0xc88009aa,0xfffffffe,0x3224ffff,0x10beffff,0xffffffd9,0x5c9fffff,
    0x2e03efff,0x10dffffe,0x17dffff9,0xffffeb80,0x5100001c,0x930005bb,
    0x0000019b,0x45bb7100,0xfffffec8,0x04ffffff,0x64404000,0xfffffffe,
    0x3224ffff,0xfffffffe,0x3224ffff,0xfffffffe,0x8804ffff,0x3ffae000,
    0xffff913e,0xffffffff,0x00d44009,0x77fffe44,0x0001000b,0x35100000,
    0x3fff2600,0xabdeffff,0x55440000,0x54400009,0xfff91001,0xb71017df,
    0x00000059,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02e20000,0x5505cc00,
    0x16e44000,0x500a000a,0x79999999,0x5d300000,0x99999988,0x99950019,
    0x00099999,0x32014400,0x2ccccccc,0x18020110,0x99100020,0x04080601,
    0x02db8010,0x00008800,0x0002aa80,0x0c000da8,0x22793000,0x066200cc,
    0x531aa802,0x01553003,0x02a0004c,0x0002aa20,0x98003551,0x040300aa,
    0x22001b50,0x98809999,0x1e4c0000,0x0006fd80,0x0bfe69fd,0x6fff7400,
    0x7440048a,0x3ffff600,0x00005fff,0x7fdc6fb8,0x007fffff,0xfffffff7,
    0x6c00000f,0x3fffe03f,0x3603ffff,0x077024c1,0xffc8001b,0x01b07706,
    0x3203a81b,0x70003c8c,0x0005dddd,0x0007fe60,0x800fffb8,0x00cebdd8,
    0x329ffb30,0xefd885ff,0x202cbdfe,0x003fd0ff,0x33e609fd,0x06a800ee,
    0x800bff90,0x74000efb,0x3216604f,0x00fffb81,0x49ffd730,0x02efffda,
    0x027fecc0,0xb0005fc8,0x007fe27f,0x7ff54620,0xffd5002f,0x00005bfd,
    0x87f10000,0xaaaaaaa8,0x00000002,0x9f503310,0x3e600000,0xde801f33,
    0xa8003d88,0x1bd01fff,0x4bea07b1,0x01a3406a,0x07b8bf60,0x005f7000,
    0x001ff300,0x001fcc7b,0x7ffd53fa,0xb887be20,0x45f302ff,0x05f8804f,
    0x2027c7f1,0xbf9800e8,0x3f6001fe,0x02fc4000,0x205c876c,0x4c000ff9,
    0x225b94ff,0xe8003ffb,0x0002004f,0x00008810,0x20039303,0x3f6ad2fa,
    0xffdb8002,0xfd903eff,0x000379ff,0x0000c000,0x7f677ec4,0x0004bbde,
    0x27efe400,0x03777d40,0x201f02a8,0x7406eefa,0x8ec02fdf,0x37cc0059,
    0x20000be2,0x2620003e,0x201aff99,0x4006f87c,0x7f4784fc,0x2a05f701,
    0x35c01a65,0x03ec3f90,0x916c00f6,0x007e200d,0x22003aa0,0x7c00fdff,
    0xcff8000f,0x03ff703b,0x0004fc80,0x00018000,0x5e800180,0x3262f89a,
    0x41cffffe,0xfd004ffc,0x643b5001,0x03d0000c,0x406fdc00,0xfd980efc,
    0xffffffff,0xff102fff,0x3ff6001f,0x9105d002,0x402ffd80,0xe9806ff9,
    0x7dc001ee,0x00017cc5,0xd9000122,0x01ddffdd,0x000261fa,0x224889f9,
    0xc816c06f,0x06c00aa0,0x0fe41fd0,0x055005a8,0x00550055,0xfb800320,
    0x00ff803f,0x404eff80,0x7e4005fe,0xfffffd84,0x1fffffff,0x00007a00,
    0x7cc003d0,0x3e05b1a4,0x5ff500ff,0x7401b200,0x005ff35f,0x2000bf50,
    0x77dc05fc,0x209ff100,0x00003fa8,0x217dc000,0x000001d8,0x70000800,
    0x0006c8df,0xf8000008,0x01be200f,0xd127e400,0x7007fcc1,0x40010205,
    0xf707fc00,0x0001d107,0x80002000,0x7c000000,0xeff8000f,0x00ffe400,
    0x5db09f90,0xf9333333,0x2fd4009f,0x0bf50000,0x98d37dc0,0x4c0dfd01,
    0x0b7001ff,0x0ee8bee0,0x00ffd800,0x4007fcc0,0x13fe04fe,0x2a620750,
    0x4199980a,0xfb809998,0x00c899bf,0x9800aa88,0x0cccc31a,0x20026662,
    0x05f71ffa,0x102aa600,0x2a600155,0x7cc01ff0,0x23530007,0xf01914fc,
    0x98a201df,0x4ccc4199,0x20c6a600,0x20ff20fe,0x3530002d,0x10554400,
    0x001a9809,0xff001551,0x3e005541,0x3ffa804f,0x27e46a60,0xdff10074,
    0x00ffd800,0x01ffb000,0x0353fe20,0x7cc0bfb0,0x00b7001f,0xff100000,
    0x7f44007f,0x03ff5004,0x071013fa,0x87ff99f5,0x3661ffda,0x7ff5c3ff,
    0xe9800eee,0xb80dffbc,0x2a4febbd,0x3f661ffd,0xdff8803f,0x999911ed,
    0xb59f5039,0xff9db1bf,0x6defdc09,0x3e600ffc,0x5f74c007,0xd804feec,
    0xda803fff,0x3ff661ff,0xfebbdb83,0x3fb0fe44,0xfa8005b8,0x2603eebd,
    0xe9dfdbed,0xdd7bf501,0x36b76a07,0x547fc06f,0x3e03ffff,0x3ff9804f,
    0xeecbee98,0x7ec0584f,0x3fe2001f,0xf880003f,0x3f6003ff,0x3f6006df,
    0x007fe605,0x333302dc,0x00099988,0x801bf732,0x3e001ffb,0x009fd06f,
    0x7fcc1d70,0xfe81ff82,0x4005fd03,0x077e42f9,0xf84e81f1,0x003fe81f,
    0xff509ffb,0xe8bf303b,0x41ffc3ff,0x07fec1fc,0x2001ff10,0x27fd43f9,
    0x1efffe80,0xfe81ff80,0x13a07c43,0x222fc7f3,0x0fdc000e,0x7f103ff1,
    0xf703ffb8,0x7c0ffc43,0xff027ec6,0x5fffb7d7,0x22013fe0,0x21fcc4ff,
    0x20284ffa,0x64003ffb,0x80006fdc,0x2006fdcc,0x001fffe8,0x7fcc0bfb,
    0x540b7001,0x3f661ffd,0x267e003f,0xff9002ff,0x83ff4001,0x220604fe,
    0xf86fd82f,0xd03fd81f,0x17a2005f,0x81f727f4,0xd81ff84a,0xfffa803f,
    0x7dc0df05,0x3207fe44,0x4c1fcc7f,0xfffd80ff,0x3a04ffff,0x2009fd06,
    0x0dffffd8,0x3f607fe0,0x12a07dc3,0xb0336faa,0x85f88005,0x837444fd,
    0x85f885fe,0x227dc4fd,0x13fe05fb,0x3fe0ffd3,0x45ff8804,0x009fd06e,
    0x4002ffcc,0x002ff99f,0x17fccfc0,0x0ffff200,0xf9817f60,0x00b7001f,
    0x07fd03ff,0x05fe9ae0,0xd800ffd0,0x04fe80ff,0x2aaff21a,0x7c0ffdaa,
    0xd03fd81f,0x13ee005f,0xdfb87fd4,0x40ffc140,0x3f6203fd,0x7cc2ffd9,
    0xf9076201,0xff95555d,0xff807f41,0xaff99880,0x09f70099,0xd50013f2,
    0x3e05ffff,0x5c3fd81f,0x130140df,0x5bb70970,0x17107f90,0xfdc84fa8,
    0x441fe41f,0x2a0ecc0b,0x203fe06f,0x4ff82ff9,0x7dc9ff00,0x4009f904,
    0x5c000ffe,0x80017fa6,0x0017fa6b,0xb017ffea,0x0ffcc0bf,0xff805b80,
    0xd003fd81,0x4007fdc5,0x7e4007ff,0x884fe82f,0xaaafd86a,0x7c0aaaaa,
    0xd03fd81f,0x0ff6005f,0xff997fc4,0x40ffc03f,0x1dd103fd,0x4b83ffe6,
    0x77f5c400,0x0aaaaaaa,0x07fc0ff1,0x36003fe0,0x009f903f,0x0bfffee0,
    0x0ff607fe,0x0007fff3,0x23b6074c,0x007f42f9,0x8cb87f90,0x007f43ff,
    0x0dfd9100,0x3fe807fc,0xff004ff8,0xfc81fec7,0x05ff9004,0x7fdc5d00,
    0x5c5d0000,0xde8000ff,0xbfb00dff,0x800ffcc0,0x81ff805b,0x469803fd,
    0xff804ff8,0x17fe4007,0x77777ff4,0x007e86ff,0x3fd81ff8,0x3e005fd0,
    0xa8ffe03f,0xff01ffff,0x3a07fb03,0x8affe42f,0x2fb22006,0xff5005fc,
    0x3e007fc0,0x205ff007,0x220004fc,0x7fc0fffd,0xfa83fd81,0xe8001fff,
    0x1fb17d41,0xfd000ffc,0x89ff2d47,0xd98001ff,0x3e06f99d,0xf09fb00f,
    0x8bfe009f,0x09f902ff,0x000bff30,0x04ff88d3,0x7fc46980,0xff768004,
    0x9817f607,0x0b7001ff,0x7fb03ff0,0xff907b00,0x001ffd00,0x7f407fec,
    0x7c364c44,0x0ffc000f,0x2fe81fec,0x740bff00,0x7ffec42f,0xfd81ff83,
    0xe887f983,0x5001eaff,0x802fdc7f,0x03fe07fb,0x3fe00fd0,0x8809f903,
    0x217fe402,0x03fd81ff,0x007fffb1,0x90fec25c,0x001ffc5f,0xfd1a69ff,
    0x4003ff87,0x81be62fa,0x05fb00ff,0xff1009ff,0xfc81ffc3,0x077f4404,
    0x7e41ec00,0xc83d8007,0x3268007f,0x40bfb06f,0x97002ff9,0xfb03ff00,
    0x980f8807,0x7fec02ff,0x41ffa001,0x361604fe,0xfd02603f,0x3a07fb03,
    0x0ffd002f,0x754087fc,0x40ff40ff,0x06fc83fd,0x2009fff3,0x037dc5fa,
    0xf807fd41,0x802f400f,0x09f904ff,0x3ff80588,0x1fec0ff4,0x01ffd502,
    0x83fa0d30,0x81bfa3fb,0x074f7ec2,0x0dfd07fa,0xf30fee14,0xe807fc0d,
    0x804ff81f,0x827fc6f8,0x7fec04fc,0x80f88001,0x22002ff9,0x02ff980f,
    0x0ff89a06,0x3e205fd8,0x0099002f,0x07fb03ff,0xffffffc8,0x7dc06fff,
    0x17fe002f,0x907027f4,0x3a1601ff,0xd03fd82f,0x3ff2005f,0x4064ff00,
    0x417f43fe,0x0ffe83fd,0x301dff90,0x3e60fec1,0x7fc4901f,0x2603ff04,
    0xfd9203fa,0x8809f907,0x217f400f,0x43fd82fe,0x803fe80c,0x5c1fd01e,
    0x203ff23f,0x077fdc58,0x07fe43fc,0x307fa2c4,0x807fc0df,0x989ff06f,
    0x3f617cc3,0x5409f907,0xf90004ff,0xffffffff,0x7ffe400d,0x06ffffff,
    0x07f8d0b2,0x3ff80bfb,0xfd007b00,0xf807fb03,0x807fea01,0xf3005ff8,
    0x013fa03f,0x445fff10,0x544fd82c,0x47fb03ff,0x20ffe200,0x2e1322f9,
    0x2a27ec2f,0x4ffb83ff,0x1efffd88,0xf10ffe2c,0x20e445df,0x7fc41ffd,
    0xdffcbc81,0x7d43930a,0x404fc84f,0x3fe604f8,0x3ea27ec0,0x7dc2643f,
    0xf9026402,0xff317e43,0x7c16cc1d,0x983f984f,0x0b660eff,0x17fb87fd,
    0x3f701ff0,0x7ff13fe0,0x27fd42dc,0xff8827e4,0x807e0006,0x3f001ffa,
    0xc80ffd40,0x209f3345,0x2ff405fd,0x7400fc40,0x203fd82f,0x05ff806a,
    0x6c007fd4,0x013fa04f,0xdffff70c,0x2ffee0df,0x1aefdcca,0x4025f7e4,
    0x0fa61ffa,0x40fd83f9,0xdccabffb,0x3fe21aef,0x93fb9bef,0x83fbdfff,
    0xbea8aefc,0x85fdefff,0xeb8afff8,0x2910bdff,0xfffffdca,0x99cffd86,
    0x101affee,0xfd981bff,0xcabffb82,0xf91aefdc,0x2600fd83,0xfd1fd406,
    0xeefffc81,0x43ffd04f,0x3ff204e9,0xfb84feef,0xbffcdacf,0x2e0dff84,
    0x8dff103f,0x6c03a6fd,0xfee99cff,0x0ffec1af,0x403541c0,0x06a805ff,
    0x7f905ff8,0x807745a1,0x7fc405fd,0x4013a201,0x1ffd44fd,0xff9005d0,
    0x405fd801,0x3fa00efa,0x7d449804,0x3600dfff,0x3bfb3fff,0x003dfd10,
    0x0fb77fa6,0x336fbff2,0x27fffb00,0xfea81dfd,0x7dc1efff,0xfd883fff,
    0xffd50cff,0x3fa2019f,0x0cff8dff,0xfff52e6c,0x3fff203b,0x202dfcaf,
    0xedefdbe8,0x3ff601ef,0x643bfb3f,0x00cdbeff,0x3b2007a2,0xff702fb9,
    0x26b605bf,0x804eddfe,0x102dfffb,0x3fa1dffb,0xdbff9104,0xffd9303d,
    0xdfd317bf,0xfffc8039,0x5c2dfcaf,0x848803ff,0x0ffc802e,0x7e401740,
    0xdffd980f,0x7f404fdf,0x42ff9806,0x2e005ea8,0xfdccabff,0x803dc1ae,
    0xfc805ff9,0x801bf705,0x01e805ff,0x06200153,0x00010013,0x260802a2,
    0x09831002,0x9801a980,0x10099801,0x50544003,0x00130180,0x8004c331,
    0x800554c0,0x30404c18,0x800ee005,0x033003ca,0x002a21cc,0x04400660,
    0x00a98004,0x40013000,0x26026198,0x85b005ff,0xbff3007b,0xf9803dc0,
    0x0f4cc05f,0x5007ff80,0x9ffddffb,0xfffd8001,0xf883bfb3,0x3fff1006,
    0xb9bfb300,0xff1005df,0x01baa20d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x401ffd00,0x3e21fdb8,0x3fff1006,0x2200df10,0x06801fff,
    0x77fffe44,0x3551000b,0x20c40001,0xefffb809,0x3fffae03,0x353000df,
    0x3ffb2200,0xffffffff,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee00000,0xffffffff,0x3ee7ffff,0x3ae03eff,0xf70dffff,0x75c07dff,
    0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x1aa80133,0x00000000,0x20005530,0x44001100,0x2a600019,
    0x05550002,0x00015540,0x00880cc4,0x033102b8,0x220004c0,0x544000aa,
    0x02aa800a,0x00018800,0x20013017,0x4aa20008,0x288002a8,0x00cc0030,
    0x02880026,0x2a002a98,0x0155402a,0x40140018,0x800cddc9,0x20001dc9,
    0x200c09a8,0x00009881,0x80220620,0xfd7bb101,0x0dff501d,0x3fbb6e60,
    0xffffffff,0x7f4005ff,0x41d8003f,0xefc88048,0x4002efdc,0xf8003ffe,
    0x3fe6003f,0xeec88001,0x0ba2efdc,0x9dd303a0,0x3f6209fb,0xfb001efd,
    0x5fc8009f,0x003ff300,0xdbdeca88,0x7b1001bd,0xd5003762,0xf7001ddb,
    0x4c017ea7,0x3f5c2ced,0x3aa03d00,0x05b004fe,0x001fff88,0x7fb805ff,
    0x9003f5c0,0xa9dfa809,0x4cf402fe,0xd951000e,0xb57bdb9d,0xdedbdc80,
    0x4002ceec,0xdfdeeca8,0x7ea82c9b,0x0ffb83d0,0x201fe6f4,0x3f20aefa,
    0x02ecc44f,0x01fd7f70,0x3f33f880,0xb80efa80,0xbfb800df,0x3e6000fe,
    0x04fa8004,0x5c06fd40,0x69803ddf,0x13e21fcc,0x17ec49d3,0x03fafea0,
    0x2000ef80,0x3a6003fa,0x01b9301b,0x2007bb60,0x007f21fa,0x4007e4db,
    0x1f6203fb,0x1d882640,0x05a803f9,0x805fbed8,0x3f9004fa,0x9803ec40,
    0x2237c406,0x5c9500ff,0x0bfe9803,0x6405fe98,0x4fc884ff,0x815ff100,
    0x3662ffca,0x80fa87ff,0xfa92e3ff,0x101ff700,0x802c09ff,0x009b11e8,
    0x809fbf90,0x7fd405fb,0x6c47a200,0x00172004,0x3ee006b8,0x007fdc06,
    0x203fa1e4,0x303fa0fc,0xb0f401ff,0x003e600b,0x7d401b20,0x801d7001,
    0x4400eeeb,0x2037c45f,0xd100b61e,0x00fb003f,0x07d400d3,0xe9801d10,
    0x5c805d30,0x36026c00,0xb803d007,0x102fe83f,0x3e600ecb,0x406e802f,
    0x27e402fc,0x700bfa20,0x87fb847f,0x16fd82fd,0xff509307,0x7027fc05,
    0x07202e00,0x01fff100,0x7400ffcc,0x3202e05f,0x0001b001,0xff9800c8,
    0x02ffd401,0x20df1074,0x20bf53fa,0x703504fc,0x00039003,0x87a6006c,
    0x6bdeccc8,0x4cfa60b7,0x417ec05f,0x589102fc,0x9002fd80,0x2003d00f,
    0x01ec01e8,0x16024424,0xf9016200,0xf9009900,0x5c07fb07,0x7fc404ee,
    0xd80f5002,0x209fd003,0x7b003fe8,0x9f70ff30,0x2000bf90,0x27fc05fe,
    0x00000000,0x00bfd000,0x0000bfea,0x10000080,0x980bfd00,0x2602ffbe,
    0xfb81ff86,0x3ea07fb1,0x01000007,0x43d00000,0x93ec41eb,0x09f70205,
    0x3ee03fe6,0xf7002006,0x203e4009,0xdff5004b,0x00016a03,0x02000100,
    0x06980f90,0x3fd05fb0,0x1ff60000,0x00d80d00,0xfb05ff70,0x4c24c00d,
    0xfb01507f,0x50635309,0x4ff807ff,0x99988088,0x82666661,0x54c01998,
    0x00bfea01,0x26666ff8,0x204ccc41,0x4cc41999,0x20cccc09,0xfa809998,
    0x7c7a202f,0x360f207f,0xfd3740ef,0x803fe607,0x22000aa8,0x2a2000aa,
    0xfa96200a,0x1621f101,0x05fd3510,0x3fea0df5,0x802aa200,0x32000ff9,
    0x0003a607,0x01d10bf5,0x00554c40,0x1002aa62,0x3e401553,0x7ec00ba0,
    0x2203fc42,0x3fe200aa,0x0a004003,0xf88bff00,0x4c14004f,0x3fe2007f,
    0x3faef6e0,0x2017fe44,0xb82b84ff,0xff70cfff,0x7fecc5bf,0xeebdfa80,
    0x001ffc83,0x7ed43ffa,0x0fff661f,0x6cc3ffb5,0x7fed43ff,0x20fff661,
    0x8f601ffc,0x01d00ffd,0x3b61dff3,0x7c413fa0,0xfbce981f,0x33a600df,
    0x2600dffb,0x80dffbce,0xa80df12a,0x5f74c160,0x7dc0ffed,0x303ff305,
    0x01bff79d,0x200c4bfd,0x000ba07c,0x001e42ec,0x07ff99f5,0x0fff33ea,
    0x1ffe67d4,0x012e07c8,0x3baa2fd8,0xfb5bb500,0x007fea0d,0xfd000000,
    0x01ffd41f,0x003fcc00,0x207c45f9,0x00ffec4e,0x05d313fe,0xff507fe6,
    0xf701d501,0x360ffc43,0x3f6000ff,0x740ffc1f,0xd03ff03f,0x207fe07f,
    0x0ffd83fe,0x1ffc8b90,0x3fea0598,0x06fd84df,0x2f985ff3,0x7cc077e4,
    0x4c077e42,0x2077e42f,0x8009f70c,0x3217d41c,0x82fec3ff,0x17cc2ff8,
    0xff883bf2,0x02fffdbb,0x0016e0fb,0x003541e8,0x17fcc1d7,0x2ff983ae,
    0x5ff3075c,0x03a20fb0,0xff52fd80,0x3f637c09,0x000ffc84,0x7e400000,
    0x007ff22f,0x801fe600,0x2a07dc4f,0x2007ff44,0xfffeefff,0x3a0ff602,
    0xf882c82f,0x7fc4fd85,0x1ffe4007,0x0ff607fe,0x1fec0ffc,0x3fd81ff8,
    0x0d507ff8,0x07907ff9,0xb82fffa8,0x1ff981ff,0x27f417a2,0x27f417a2,
    0x27f417a2,0x4003fc9a,0x7417e239,0xf027f45f,0xe82f447f,0x433fea4f,
    0x74c2ffc8,0x8007441f,0xe83dbdf9,0xb05f1001,0x6c17c4df,0x360be26f,
    0x40ff4c6f,0x17ec002d,0xfb83df71,0x7f42fdc4,0xeeedb807,0x999930de,
    0x99999999,0x747ffd99,0x980000ff,0x70b7007f,0x7f4281bf,0x327fc00f,
    0x37d405f7,0xc8342fe4,0x7c0b883f,0x7fdc007f,0x7ec0ffc2,0xfb03ff03,
    0x3607fe07,0x40fff83f,0x2ffb80e9,0x7f5400f8,0x2efe84ff,0xfb83ffa6,
    0x5c1ff504,0x41ff504f,0x1ff504fb,0x8007fb2c,0x5c0ff249,0xf027fc7f,
    0xa827dc7f,0x20df70ff,0x0cccc6fe,0x3eeb88b6,0x4c809a98,0x5fe45f10,
    0x0ffdaaaa,0xb55557f9,0x2aff21ff,0x20ffdaaa,0x82dc1999,0x82fd82f8,
    0x20ecc6fc,0x0fff86fa,0xa89ffb00,0x99999dff,0xfc999999,0x001ffe3f,
    0xe803fcc0,0x03fff980,0xff007ff2,0xff805909,0x9507ff41,0xe8003fa0,
    0x3f2000ff,0x6c0ffc1f,0xb03ff03f,0x207fe07f,0x1ffd83fd,0x7fec07a2,
    0x3ae02cc1,0x444ffe88,0xfebdeffd,0xf881fec6,0x440ff62f,0x40ff62ff,
    0x5c362ff8,0xd0dc004f,0x87fe205f,0x3ff104fe,0xff881fec,0x3ee0bfb2,
    0x645a801f,0x2004fc9b,0xd8bfa069,0xaaaaaaaf,0x5555fb0a,0x3f615555,
    0xaaaaaaaa,0xd00e8800,0x105fb05f,0x764401ff,0x02ffe86f,0xf883ff70,
    0x7fe4005f,0x0007ffa1,0x2601fe60,0x3fffea03,0x402ffb81,0x401984ff,
    0x3f32a4fc,0x0ffc0764,0x003ff900,0x3fe07fec,0xff03fd81,0x3e07fb03,
    0xc83fd81f,0xe80fa3ff,0x2a03c87f,0x03ff621f,0x17fcc2a6,0x3ff80ffe,
    0x3ff80ffe,0x3ff80ffe,0x0037ccaa,0x7c05ff16,0x4417f63f,0x80ffe0ff,
    0x20bfb3ff,0x74402ff9,0x00fd0e20,0x2fbd80f4,0x07e801fa,0x40001fa0,
    0x05f7b02d,0x0bfa05fb,0x1be67766,0x54013ff6,0x06ff80ff,0xfb07ff40,
    0xf300005f,0x8803500f,0x7cc3fffd,0x027fc03f,0x23a7f980,0x7c0d17f9,
    0x3fee003f,0x21bfa002,0x03fd81ff,0x07fb03ff,0x0ff607fe,0x02653fea,
    0x803e1bfe,0x03fe887e,0x5ff87fc8,0x5ff8bfa0,0x5ff8bfa0,0x2488bfa0,
    0x582e03fc,0x5ff027fc,0x7f982fe4,0x5fd02ffc,0x2ff817f2,0x2ec01ec0,
    0x17704c80,0x8007fc5f,0x1ff000ff,0x705a8000,0x5fb05f17,0x5f513f60,
    0x7fdc37cc,0x01ff5005,0x22001ffd,0x27fdc7ff,0x03fcc000,0x75408054,
    0x02ffc0ff,0x011013fe,0xfe9667fa,0x1bfa03ba,0x005fe828,0x3fd05ff1,
    0x3fa07fb0,0xfd03fd81,0x3a07fb03,0x7cc06bef,0xf302cc2f,0x101be60b,
    0x0ffd03ff,0x0ffd07fc,0x0ffd07fc,0xc83a07fc,0x770e4c3f,0x3fe05fe8,
    0x7d41fe60,0xff03ff46,0xff81fea1,0x22016a01,0x80e9801f,0x7ec5f15a,
    0x1fec2603,0x80ff6130,0x203a2009,0xfb05f15a,0xfb8bf205,0xfe837cc3,
    0x0ffa800f,0x7004ff98,0x6ff885ff,0x3fcc0c00,0x3a032000,0x017fcc3f,
    0x206809ff,0x3ee1ddfb,0x3ff200ed,0xffa85880,0xd05fc801,0x207fb05f,
    0x03fd82fe,0x07fb05fd,0xb003bfe6,0x4405909f,0x901be06f,0x03ff209f,
    0x03ff23fc,0x03ff23fc,0x307443fc,0x5c17bdd9,0x3e06fc86,0xfc81fe87,
    0xf807fe42,0x2203fe27,0x003a206f,0x417400f6,0xfc8be258,0x7fe4b00f,
    0x07fe4b00,0x441ec058,0x3f60be25,0x1fe8fb02,0xffa837cc,0x00ffa806,
    0xfd001ff9,0x013fee0b,0x03fcc144,0xb84c80dc,0x106fa82f,0x02dc09ff,
    0xff88bff1,0x077fcc05,0x17f605b3,0x3601ff30,0x81ffd44f,0x1ffd44fd,
    0x7fd44fd8,0x301bf203,0xb003e0df,0x407f103f,0x3fe204fc,0x7c42f983,
    0x442f983f,0x02f983ff,0x3ee001d1,0xa83ff880,0x443fa83f,0x83ff885f,
    0x427dc2f9,0x00f202fb,0x82dc00f2,0x6ffffffc,0x6445fff1,0x88bffe22,
    0x8bffe22c,0x41aa02c8,0x6ffffffc,0xf27c57f4,0x7dc3fe8b,0x0bff7017,
    0xd100ffa8,0x7fec01df,0x00bff600,0x01fe6071,0x3f901ff7,0xdf700fd8,
    0x437fe415,0x7ec02fc9,0xc801fd82,0x04feefff,0x7dc06fdc,0x2ffee00d,
    0x1aefdcca,0x6655ffdc,0x7dc1aefd,0xefdccabf,0x0dfde81a,0x5980dfa8,
    0x640cf980,0x200bf606,0x0fa61ffa,0x7d30ffd4,0xe987fea0,0x80574403,
    0x3ee00dc9,0xc813a61f,0x5403b20f,0x40fa61ff,0x813a21fd,0x0c2c806a,
    0x33100f88,0x7dc17f33,0xb86fefff,0x86feffff,0x6feffffb,0x4c407a20,
    0x7c0bf999,0x5f35f8af,0xcdacffb8,0xfd304bff,0x1ff91039,0x2077ec40,
    0xb800dfd8,0x2e20acff,0x803fea04,0xffc80ffa,0x4c00cdbe,0xffffefdb,
    0xffffffff,0x6a835400,0x37ffee00,0x9bfb3002,0x36007dfb,0x3bfb3fff,
    0x6cffff60,0xfffb01df,0x36077f67,0xdb9df914,0x8016405d,0x0cfccfe9,
    0x0033b2a2,0x3eddfe98,0x76eff4c0,0x6eff4c03,0xdb51003e,0x0039db79,
    0x0fb7bfa6,0x073b3b20,0x7dbbfd30,0x766f5440,0x8807a203,0x02eeeefd,
    0x17c4005b,0x06ffffd4,0x0dffffa8,0x1bffff50,0xf1001e40,0xb97fecc5,
    0xfd882ede,0x809fd0ef,0xdccefec8,0xd5000bef,0x07dfd9df,0xefffda80,
    0xfd9303de,0x026019df,0x20005304,0x00000998,0x3000300c,0x0d440003,
    0x04c18800,0x00260c40,0x14013062,0xa8009a98,0x80cc4000,0x440001a9,
    0x0544000a,0x0002a200,0x40001530,0x018000a8,0x4000a880,0x403b8008,
    0x04ccccca,0x03900095,0xa980054c,0x80153000,0x0e440058,0x01100100,
    0x35510001,0x1a980001,0x03510000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0aa88000,0x20155400,0x4c000aa8,0x18800280,0x00262000,
    0x200803b8,0x419d9100,0x262b8819,0x0fb6600c,0x54055507,0x05c0ae0b,
    0x0d4c01c4,0x0e1f6cc0,0x0b660790,0xfffec980,0x3ff6a1cf,0x35304fff,
    0xa8040306,0x40001510,0xda96e201,0x2600b702,0xb500ea0c,0x00155100,
    0x2a002aa6,0x11002a20,0x00018020,0x80510540,0x304804d8,0x20077005,
    0x32600aa8,0x3ffa00bd,0xff904fff,0x0ffcc00b,0x20027ec0,0x44034c1e,
    0xbddbdeca,0xfffda801,0x02ff9805,0x40ea06c4,0x59cfffdc,0x2ff4ff90,
    0x37dffbd0,0x103ff309,0x03fea7ff,0x3b2ab3a2,0x3af7ea00,0x3ff7a03e,
    0x3ea049be,0x0bffaa0f,0x007ffc00,0x36e0dff3,0x1dc4febb,0x5ff71162,
    0x7eccfff3,0x3a2defff,0xbffe40ef,0x3f21fff8,0x2bfd007f,0xfeb82ff9,
    0x006fc807,0xfb8813fa,0x3fffd8af,0x41220ec0,0x20001ffc,0xfd8affb8,
    0x5ff502ff,0xcbacea80,0x02ff9806,0x33205fc8,0xfa81ffd9,0x980fffff,
    0x7002fdbf,0x1fa2005f,0x05a81f00,0xc980df4c,0xf9bf300d,0xff880bff,
    0xd51fb800,0xfffc8940,0x7ecbf503,0x3f663103,0x07f501ff,0x037cc7fa,
    0x409ffff9,0x07fe21fb,0x7ffecc62,0x7c426c01,0xdfd0002f,0xf109ff00,
    0xa7c44e81,0x7fdd42e8,0xf987fbcb,0x3fff80ef,0x3ffa7fa8,0xc803fd44,
    0x103ff13f,0x1df00ff7,0x3017e200,0x937b7ff7,0x9fcc01ff,0xbffd00f9,
    0x7fdcc000,0x07fc9bdb,0xfd001dd1,0xf1005fff,0x01df001f,0x86fb83ea,
    0x02aaaabe,0xe803645b,0x00fc4003,0x203c8698,0x1d7001fa,0x0ffc81b0,
    0x6ff40000,0x06a0202f,0x40401010,0x035c01b8,0xbb880081,0x3617e200,
    0x1b88084f,0x7fd31000,0x7ec00333,0xb83ff805,0x7d42540f,0x3bfa06ee,
    0x82ffc020,0x7f985cca,0x03fcc3b8,0x7cc01010,0x0007cc07,0x3fa001d7,
    0x2017fc0d,0x2204fdfc,0xe80007cb,0x00ffc0df,0x00bc9800,0x00f98000,
    0xb50661be,0x15414c00,0x4c001620,0x3d095003,0x3bb27a60,0x2dc0acde,
    0x0bfe2026,0xbff50000,0x00000000,0x00320000,0x3f200000,0x0000b883,
    0xdffd9000,0x36003ddd,0x83ff805f,0xe8140dfb,0x0bfa01ff,0x3202ff40,
    0x0d87f982,0x00003fcc,0x1b80ff10,0xd0006c00,0x807fb05f,0x9800fff8,
    0x2fe80004,0x00202fd8,0xb8000000,0x4017e601,0x0000002e,0x20010000,
    0x3d00f83c,0x1fe98fec,0x07e80164,0x00001a98,0x4002aa20,0x22000aa8,
    0x402000aa,0x8800aa98,0x03fa00aa,0x220cccc0,0xb0000999,0x3f60005f,
    0x983ff805,0x00003fff,0x7f400bf6,0x7f983404,0x03fc425c,0x1002aa20,
    0x800080ff,0x417f4000,0x800004fc,0xfe80000d,0x3504fc82,0x31066660,
    0x54c40133,0xf500200a,0x9dff500b,0x02aa2003,0x80055440,0x55300aa8,
    0xf75559d5,0x7ec58855,0x0b117ea1,0xdfa813e0,0x99883eeb,0x09999999,
    0x37ed6ed4,0xdfb5bb50,0xffbce980,0x540a200d,0x503ffccf,0x20dfb5bb,
    0xfb5001ff,0x1ffecc3f,0x8bf60510,0x5fd800a9,0xf503ff80,0x85403fff,
    0x02fd80a8,0x32609fd0,0x15cff300,0xd3007f88,0x201bff79,0x150117f8,
    0x105402a2,0x82fe8015,0x882a04fc,0xa85b100a,0xfd002a60,0x2e09f905,
    0x43ffb500,0xf503ffd9,0x4407ff99,0xd00bf702,0x407fffff,0x06fdadda,
    0x1bf6b76a,0x6fdadda8,0xeefeeea8,0x546efeee,0xff10fe42,0x40b500b0,
    0x07fe21fb,0xdddddff9,0x6c6f87ff,0xfd8df04f,0xfc85f304,0x43fecc0e,
    0x0bfe60eb,0xf09fb1be,0x1ff8007f,0xfd983fe8,0xfb15fb07,0x5fd807ff,
    0x2203ff80,0x2e23fffd,0x87ff9aff,0x9fd002fd,0x7f980510,0x300ff100,
    0x80efc85f,0x710e9ff8,0x4fff35ff,0xfd8affb8,0x0bfa03ff,0xff7113f2,
    0x07fffb15,0x44ffe4c1,0x3a02fffe,0xb04fc82f,0xfd03ff00,0x7cc1d707,
    0x83fecc2f,0xba8805fb,0xdf05fffc,0x8df04fd8,0xd8df04fd,0x321a604f,
    0x1fc81903,0x807213ea,0x0bf101fa,0xd03c89fb,0x5c4fb8bf,0x5c4fb85f,
    0xd05e885f,0x47fda89f,0x46fd82f8,0x42fdc4fb,0x3a0a06fe,0xa83fd81f,
    0xb7fb07fd,0x401ff935,0x3ff805fd,0x87ff5408,0xfbcbffba,0xd002fd87,
    0x3e60009f,0x5cff1007,0xfe82f443,0x21eff884,0xfbcbffba,0x36ffee67,
    0xd00ffc9b,0x989f905f,0xc9bdbffb,0x3eea00ff,0x7fd9adaf,0x3f20bfa0,
    0xfe804c84,0x7c43fd81,0x6d46fd82,0x00bf707f,0xb87ffd30,0x5c2fdc4f,
    0x5c2fdc4f,0x702fdc4f,0x21a03d09,0x03fcaafc,0xfffd5073,0x7107f907,
    0xefc80c81,0x3ea0ecc0,0x7d41d986,0xf504fb86,0x647f981f,0xfdaaaabf,
    0xf507660f,0x101ff90d,0xfb03fd0b,0x6c1fe607,0x017f40df,0x7ff00bfb,
    0x87fd0190,0x36020efe,0x09fd002f,0x401fe600,0x45ff37f8,0x1ff504fb,
    0xfd00ff88,0x6ff4041d,0xfe817fc0,0xfd04fc82,0x802ff81b,0x0ffc44ff,
    0x4fc82fe8,0x7f4007cc,0x7e43fd81,0xffdaaaab,0xfb83fcc0,0xffb10005,
    0x3ea0ecc1,0x7d41d986,0x7d41d986,0x81e0f206,0x3fdbfc85,0x32621260,
    0x07f43fff,0x3ff50100,0x0dfd9100,0xb0dfd910,0x0bfe207f,0xaafd8ff3,
    0x00aaaaaa,0x261bfb22,0x0b660eff,0x0ff607fa,0x2fd83fcc,0x3f603fd8,
    0xc83ff805,0x7f42fb84,0x003fe802,0x260009fd,0x4ff1007f,0x40ff60ee,
    0x3fec2ff8,0xfd005fd0,0x3a07fb05,0xd04fc82f,0x007fb05f,0x05fd03ff,
    0x93f20bfa,0x3fd005e8,0xafd87fb0,0x0aaaaaaa,0x5fb83fcc,0x07fe2000,
    0x806fec88,0x8806fec8,0x07a06fec,0x3206c0d3,0x2e01fd1f,0x237f4401,
    0x260001ff,0x6ecc03ff,0x36606f99,0xff86f99d,0xf10ffe03,0x30007e8f,
    0x20df33bb,0x4feefffc,0x7fb03fd0,0x7ec1fe20,0x3603fc82,0x83ff805f,
    0x207ec1fc,0x4fe802fd,0x0009fd00,0x7c401fe6,0xf01ffc07,0x1fefa27f,
    0xfe802fd8,0xff04fc82,0x3a0bfb07,0x804fc82f,0x02fd81ff,0x49f909ff,
    0x3fd002fc,0x07e87fb0,0xf707f880,0x2fd8000b,0x6f99dd98,0x3e677660,
    0x26776606,0x77f7546f,0x6eefeeee,0x4c7f2154,0x2600b06f,0x00ffe0ff,
    0x5405fe80,0x541be62f,0x3e1be62f,0x10bfa05f,0x000ff8ff,0x0df317d4,
    0x016fffdc,0x07fb03fd,0x17ec1fe2,0xbfb027e4,0xf907ff00,0xb019b7df,
    0x7fed405f,0x27f401df,0x007f9800,0x5ff80ff1,0x44dcbfa0,0x00bf607f,
    0x13f20bfa,0x319fffd5,0xe839fff9,0x804fc82f,0x42fd81ff,0x20dfffea,
    0x01ff34fc,0x3f607fa0,0x20007fc3,0x0bf707f8,0x541fa800,0x541be62f,
    0x541be62f,0x531be62f,0x9d5555d9,0x6c488555,0x160fee1f,0x3fa1ff80,
    0xefc80a06,0xf30fee00,0xf987f70d,0x3e07fe86,0x363fc40f,0xfb82603f,
    0x5c037cc3,0xd81fe804,0x20ff103f,0x04fc82fd,0x3fe017f6,0xb016a082,
    0x8006005f,0xf30004fe,0x01fe200f,0x07fc0ffd,0x2fd81fe2,0xfc82fe80,
    0x20008804,0x04fc82fe,0x2fd81ff8,0xf93fc800,0xfe83d50d,0x7ec3fd81,
    0xff102603,0x00017ee0,0x4c3fb8f7,0x4c3fb86f,0x4c3fb86f,0x3d09706f,
    0x0bf60e80,0x001dc5fb,0x80ffc8fb,0x03ff5058,0x37cc1fe8,0x1be60ff4,
    0x3fc03ff2,0x3ff23fc4,0x41fe8b00,0x2fe806f9,0x7ec17f40,0x360ff103,
    0x204fc82f,0x1ff805fd,0xfb01fec0,0x05ff3005,0x0e009fd0,0x3e200ff3,
    0x807fe407,0x207f887f,0x2fe802fd,0xfb804fc8,0x82fe801e,0x1ff804fc,
    0xc8002fd8,0xf709fb2f,0xfd82fe8b,0x5807fe43,0xbf707f88,0x744e8000,
    0x7437cc1f,0x7437cc1f,0xc837cc1f,0x74403c43,0x223deec8,0x4006baed,
    0x077fcc5f,0x7ff105b3,0x21ff4310,0x1ff417fb,0xff105fee,0xf105f307,
    0x22fff88f,0x21ff42c8,0x7d4017fb,0x2a27ec06,0x0ff104ff,0x13f20bf6,
    0x1f546fe8,0x0ff300df,0xfa8017ec,0x804fe806,0x803fcc39,0x7fc407f8,
    0xf882f983,0x200bf607,0x04fc82fe,0xe805fb88,0x804fc82f,0x02fd81ff,
    0xff90fc80,0x4fd89f10,0x3e227fd4,0x20b222ff,0x0bf707f8,0x81d50288,
    0x0bfdc3fe,0x2ff70ffa,0xff70ffa0,0x06983d02,0x2e001d10,0x03ea000f,
    0x3fbbfff2,0x260bfd04,0x36b3fee2,0x3ee4bffc,0xbffcdacf,0xd30ffd44,
    0x2e1fe607,0x86feffff,0xfcdacffb,0x13e204bf,0x9957ff70,0xf9835dfb,
    0xf905fd07,0x323ffc09,0x001f98ff,0x01ff40bd,0xff804f88,0x260f4405,
    0x0ff3007f,0x74c3ff50,0x740ff103,0x82fe803f,0x7f3004fc,0xf905fd00,
    0xb03ff009,0x20b8807f,0x207fe65d,0x55ffdc0f,0x21aefdcc,0x6feffffb,
    0x3f20ff30,0x45f7e406,0xffb80eda,0x4bffcdac,0x336b3fee,0x3fee4bff,
    0x4bffcdac,0x8012e1e2,0xb9300ae8,0x2219f901,0x3fee02eb,0x1df902df,
    0x7ec43b10,0x889fd0ef,0x9fd0effd,0x3b77fa60,0x203fea03,0x80dffffa,
    0xfd0effd8,0x006f5c09,0xfd9fffec,0x80ffa81d,0x46fd83ff,0xbeffffc8,
    0x02deff88,0x3a01ddb8,0x0ddb804f,0x4cfffc40,0x86fba999,0xfa800ffa,
    0xdfe9800f,0x3fe603ed,0xf009fd00,0x80bfb07f,0xff004eb8,0x880bfb07,
    0x04fe82ff,0x075e7fdc,0x3222fbee,0x27fffb04,0xffa81dfd,0xff500dff,
    0x880ffb01,0x203efffe,0xfd0effd8,0x0effd889,0xffd889fd,0x6989fd0e,
    0x544002c8,0x1cedbced,0x3bbffee0,0x4033000d,0xeeeeeffa,0x80881fff,
    0x00202200,0xfd9002a2,0x02a607df,0x10020220,0x4c188001,0x7dffd900,
    0x273fffaa,0x00dfffc9,0x22001980,0x3fff6a00,0x2200201d,0xfffffffc,
    0x644fffff,0x2e03effe,0x1003effe,0xffeb8015,0x3fff6a3e,0xfffea81d,
    0xcfffc98c,0x75400601,0xfc98cfff,0xfea81cff,0xffda8cef,0x376e00cf,
    0x33b72603,0x0260c402,0xec802a60,0xffb33eff,0x018807df,0x10040440,
    0x40440101,0x00a81880,0x00054c00,0x00000266,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x554002a2,0xfffff702,0x3883ffff,
    0x01310170,0x440d4066,0x3a832603,0x20026600,0x18000aa8,0x005b3000,
    0x16cc16e0,0x7ff64400,0xff931dff,0xffd900df,0x2a62019f,0x53054001,
    0x46aa2001,0x7fff5418,0xffff914f,0xbffd907d,0x02666623,0x80613331,
    0xdffffb70,0x3fffb207,0x2b6e600c,0x3ffffae0,0xfffd102e,0x1553101d,
    0x13ffff60,0x36a5dff9,0xeeffffff,0x54400ade,0x0aaaaaaa,0x3002aa20,
    0x99988333,0x2aaaa600,0xdb302aaa,0x29824387,0xbdffffb3,0x6c006005,
    0x1ff9801f,0xffffffd0,0x2f720fff,0xbf504dba,0x6740ff30,0x3a01ecaa,
    0x805ff35f,0x00dffffb,0x20013ff6,0x3faa001e,0x7fe4002f,0x017ff547,
    0x803ffe00,0xdd004ffd,0xfd9cea80,0x7dc44ccd,0x3ffff99f,0x3f33f620,
    0x5ffb04fd,0x401fff30,0x7ffdc4f8,0x86fecc2e,0x7e40c83b,0x01fd004f,
    0x1ffc9bd8,0xc802ffec,0xf99f504f,0x0bfea07f,0x7fcc0764,0xfeb9889d,
    0x3ffe203f,0xa81fffff,0x206fdadd,0x3661ffda,0x3fee03ff,0xd07fffff,
    0x8937dffb,0x86cbacea,0x2000eff9,0x7fdc03fd,0x302fc801,0x3333357f,
    0x3ffe20bd,0x0bf500ff,0x7fdc0ff3,0x9fe405ff,0x3f201ff8,0x80ffffef,
    0x000febfa,0x3e0017ea,0x7fa8002f,0x80005ff0,0xffe807fd,0x2a05c803,
    0x2677ec4f,0x33abff2a,0xf982fffd,0x413fe60c,0xff903ff9,0x4c07cc01,
    0xd0d502ff,0x3ea0f61b,0x80d9002f,0x2227ec6c,0x0d9005ff,0x2ff983ae,
    0x0ba09fd0,0xf7027fc4,0x4cccc07f,0x8df01999,0x0ffc04fd,0x33101ff4,
    0x10333333,0x07fff663,0x40bffffa,0x7f4005ff,0x07ffa605,0x02c80fa0,
    0x59500be2,0xf985fa80,0x0065c407,0x3e600808,0x0dff910a,0x8017623d,
    0x74000ffd,0x7f98002f,0x80005fd0,0xffe806fd,0xd025c01f,0x406fb85f,
    0x3fa60dff,0x9fb05e87,0xf982ffc0,0xc816e02f,0xf307b05f,0x3fe60ddd,
    0x440b7001,0xfd80b84f,0x882e800f,0x506fd82f,0x406a81ff,0x7fd404ff,
    0x9f700004,0x7fc05fb8,0x0003fd81,0x00dc4040,0x7f401793,0x01fec005,
    0x8803ff3d,0x1ee00c04,0x85fa8000,0x000007f9,0xfb03b800,0x0dc0d41f,
    0x01fffc40,0x2000bf60,0x05fd07f9,0x806fd800,0x200fffbe,0x81ff104b,
    0x3fe00ff9,0x2e2ffb81,0x409f902f,0xbff00ffc,0xff1016c0,0xfb00f881,
    0x07fe605f,0x9f302dc0,0x01ffcc00,0x55fe41e6,0x00ffdaaa,0x402d87fd,
    0xffd804ff,0x802aa202,0x037d41d9,0x0ff607fe,0x33106666,0x00000013,
    0x64004fe8,0x3fe9902f,0x40000401,0x0aa8805e,0x3e617ea0,0x0554c407,
    0x2620cccc,0x2a038099,0x200001ff,0x4006fdcc,0xf88002fd,0x0005fb07,
    0xae806fd8,0x9700effa,0x7fc17fc0,0x7c07fe00,0x6407f63f,0x0bfe604f,
    0x3c407fec,0x12e27ec0,0x03ff3000,0x4fb816e0,0x2037f400,0x555fb04c,
    0x20155555,0x201e26fb,0xff8804ff,0xfdadda86,0xdfd91006,0xfd81ff80,
    0x21ffda83,0x4403ffd9,0xe8051002,0x0fdc004f,0x103ff34c,0x33333333,
    0x05f10013,0x6ffde74c,0xf985fa80,0x3f33ea07,0x0ffed43f,0x0007ffb3,
    0x00a201ff,0x05ff33f0,0x26617ec0,0x07f88199,0x0054c5fb,0x5d00dfb0,
    0x25c17fee,0x5f98bfb0,0xfe80ffc0,0x7e403fe4,0x442ff404,0x05b82fff,
    0x07a0ff98,0x7fcc0510,0x330b7001,0x001339fb,0x3e205ff5,0x4000fd00,
    0x00791ff8,0x3fa009ff,0x3f637c1f,0x26776604,0x40ffc06f,0x07fe03fd,
    0x7ecc0ffa,0x03fecc07,0xf30013fa,0x0ffc3d10,0x77777fe4,0x7b803ffe,
    0xdf90be60,0xf985fa81,0x7cc1d707,0xe81ff82f,0x37c4003f,0x7003fecc,
    0xb002ff4d,0x67fe445f,0xfb07f882,0x07fffb15,0x3a01bf60,0x2e0fff62,
    0xc83fe604,0x80ffc01f,0x407fe3fd,0x7fdc04fc,0x42ff6dc0,0x29fb002e,
    0x1ff6606a,0x7001ff98,0xdfffdb0b,0x17fe009d,0x01ff02dc,0x0fafe400,
    0xb004ff80,0x227dc5ff,0x45f505fb,0x0ffc06f9,0x3fd01fec,0x32a07fb0,
    0x3fe5407f,0x79113fa0,0xf0f61a20,0x3a07903f,0x20bd005f,0x89fd05e8,
    0x87f986fa,0x86fd82f8,0x03fd81ff,0x6d417d40,0xb8ba007f,0x5fb000ff,
    0x3e200ec8,0x35b7fb07,0xfb001ff9,0xfe85d00d,0x26025c2f,0x801dedff,
    0x43fd01ff,0x09f902ff,0x56c3ff88,0x01e20ffb,0x03d8ff98,0xf981ff6a,
    0x40b7001f,0xfb8004fc,0x3602e81f,0x9802603f,0x3ee04bff,0xffffffff,
    0x263ffc85,0x5c37d41d,0x2037cc3f,0x03fd81fe,0x0ff607fa,0xf9807f98,
    0x2a27f407,0x5a8300ff,0x80c81ff8,0xf8800efc,0x2a09f702,0x21bea0ff,
    0xabfc87f9,0x40ffdaaa,0x03fd81ff,0xff302ec0,0xff11a600,0xc8bf6009,
    0x83fc400d,0x17f40dfd,0x74037ec0,0x70fffc42,0x0001d809,0x83fe03ff,
    0x09f906fe,0x8bc4dfd0,0x0012e3ff,0x9801f9fb,0x07fe607f,0x9f902dc0,
    0x89ff1000,0x07fe4079,0x7ffffc58,0xffffffff,0x7004ff83,0x764405ff,
    0x4c1fe86f,0x417f406f,0x07fa03fd,0x7f980ff6,0x7407f980,0x802f444f,
    0x81ff80e8,0x001ffa80,0x81fec0f7,0x3fea2ff8,0x8c5ff620,0xaaaaaafd,
    0x40ffc0aa,0x3e6003fd,0x401fe600,0x007fc83d,0x401725fb,0x05fb07f8,
    0xdfb007fb,0xff305d00,0x6c812e1d,0x20bfe000,0x67fd43f9,0x2013fa20,
    0x74b70ffb,0x50007a6f,0xff3009ff,0x800ffcc0,0x013f205b,0x9907fe40,
    0x22fff880,0x6fa802c8,0x4013fe00,0xdd981ffd,0x3fe86f99,0xfb00bfdc,
    0x203ffa89,0x03fd81fe,0x3e201fe2,0x0027f407,0x0ffc0b60,0x001ffcc0,
    0x01ffc0bd,0x6ffd47ff,0xc9ff9dba,0xff000fd0,0x4007fb03,0x03fc402e,
    0x7fcc07c4,0x6dbfd802,0x6c1fe200,0x803fc82f,0x02e806fd,0x812ebff5,
    0xceeeefff,0x11bfe00b,0x3fffa0dd,0x804fcccc,0x5c5d3ff8,0x000788ff,
    0xff1003fd,0x8017fcc0,0x013f204b,0xf89ffcc0,0xffffb800,0xdf5006fe,
    0x8027fc00,0x17d40ffe,0x9ff70df3,0x097ff9b5,0x332affee,0xfe81aefd,
    0x2203fd81,0x07f8807f,0x700027f4,0xf999999f,0x7f4059bf,0x80be2005,
    0x8bfa05ff,0x90dfffdb,0x007fc9ff,0x3f607fe0,0x10099003,0xfff900ff,
    0x0dffffff,0x03ffbfb0,0x7ec1fe20,0xd804fc82,0x202e805f,0x204bcffc,
    0xfffffffa,0xd9ff01ff,0x6c40bf99,0x09f94fff,0x11e3bf60,0x000977ff,
    0x3fc401ae,0x2005ff10,0x013f203c,0x0b76fe80,0x6ffffd40,0xdccccc80,
    0x2cccccff,0xf8804ff8,0x261fdc6f,0xeffd886f,0xfd809fd0,0x03bfb3ff,
    0x0ff607fa,0xf8807f88,0x0027f407,0xffffff90,0x209fffff,0x2e000efc,
    0x81ffa00f,0x2a32e0ff,0x1fec0980,0x81fe8130,0x05b803fd,0x3f00ff10,
    0x200ffd40,0x00ffcafd,0x5fb07f88,0xfb009f90,0xd805d009,0x52a04eff,
    0x4ecaa998,0x13313ff0,0xfc82a200,0x9bff5004,0x003ddfb0,0x7c400b60,
    0x801ffc07,0x013f202d,0x2eaffa80,0x207a9800,0xffcaaaaa,0xf81aaaaa,
    0x1ffc804f,0x1be60ff4,0x800f4088,0x3a00f418,0x203fd82f,0x7f8807f8,
    0x38027f40,0x99999988,0xa809aff9,0x2ec001ff,0x7c03ff20,0x64002ec7,
    0xfd0b00ff,0xa807fb05,0x01fe2005,0x0bff00d5,0x0dfb2fd8,0x3f60ff10,
    0xd804fc82,0x402e803f,0xd304ffe8,0x3fe0d300,0x3f200001,0x07ffe004,
    0x4001ffea,0x1fe20078,0xf100dfd0,0x0027e401,0x001fffe0,0x7d4007a8,
    0x013fe006,0x7fd09ff3,0x30017fb8,0x3e20001f,0x2a27ec01,0x1fe204ff,
    0xfd01fe20,0x00073009,0x3fe203ff,0x5f101883,0x983ff880,0x4003742f,
    0x3222fff8,0x7d44fd82,0x8816a03f,0x3a03fc40,0x00ffc802,0x2ffc4bf6,
    0x7ec1fe20,0x7444fc82,0x3a007f65,0x04ff9803,0x207900dd,0x200001ff,
    0x3f2004fc,0x009ff106,0xf8800f60,0x00ffcc07,0x4fc809d1,0x1ffdc000,
    0x005f7000,0xff003fd4,0x06ffd409,0x66d67fdc,0xfa804bff,0x09f30003,
    0xccabffb8,0xf881aefd,0x407f8807,0x0f4405ff,0xe80ffc00,0x2a05305f,
    0x1ffa800f,0x01fe0fa6,0x77fffdc0,0x57ff706f,0x835dfb99,0x81d300ea,
    0x01ee07f9,0xfb02ffcc,0x301ffcc7,0x20bfa0ff,0x97fd44fc,0x04f8803f,
    0xff109f50,0xf816e019,0x3200001f,0x13e6004f,0xb9001fd8,0xf9800b97,
    0x42ffa807,0xfc805ea8,0x7fc40005,0x3fe20000,0x3ee01bbd,0xdff9800f,
    0x0bff6a21,0xd0effd88,0x77f4009f,0x3fa001bb,0xffd82bbe,0x203bfb3f,
    0x7d400ffa,0x3fff100f,0xdf753333,0x207fe000,0x1d880efc,0x74c00bb0,
    0xf883eddf,0xff50000f,0x7ec01bff,0x83bfb3ff,0xfffffffa,0x0ffa85ff,
    0xf1006f88,0x13fa03ff,0x3ea05ff9,0xd83ff80f,0x4cffe85f,0x6fffe440,
    0xd504b802,0x7fdddfff,0x0017fcc0,0x800bfd00,0x401aa01f,0x000ffff8,
    0x54007fd4,0xcffeeffe,0x006fe800,0x80005c80,0xb501cdb8,0x3019dfff,
    0xfffffff9,0x200159bd,0x44000808,0x44002ddb,0x06202ddb,0x7ff64013,
    0xdffd903e,0x7fffe447,0xffffffff,0x83ff0004,0xeeeeeffa,0x03501fff,
    0xc8015100,0x0a980003,0x80983100,0xfffffff9,0x7f642fff,0x3ffee3ef,
    0x3ffae03e,0xffb70dff,0xfffb139f,0x77ff5c5b,0x19fffb53,0x839fff93,
    0x00000028,0xceda8801,0x3bb6e00b,0x260000cd,0x002ceeec,0x54003003,
    0x764000bd,0x33003eff,0xb5001355,0x0017dfff,0x00000220,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7e540000,0x001cefff,0x2aaaaaa2,0x0fb6602a,0xffffb507,
    0xfca8019d,0x2a0cefff,0x04dffffd,0xfda8064c,0xeeefffff,0x320000ad,
    0xfffffffe,0x005fffff,0xfffffff0,0x9fffffff,0x2aaaaaa2,0xa83260aa,
    0x3ffff6a3,0x0aceeeff,0x3ffff6a0,0x802ceeff,0xffffffda,0x5400cdef,
    0x3ffff660,0xffffffff,0x7fffffc2,0xffffffff,0xdffff955,0x7ffed419,
    0x3fb264df,0xfb51cfff,0xffffffff,0x3ff2abff,0x3f224eff,0x74c1dfff,
    0x44efffff,0x23efffca,0xefffffda,0xffb503cd,0xffb000bf,0x3ff665bf,
    0x2002deff,0xfffffffd,0xf71fffff,0x209dffff,0x30cffffc,0x55555555,
    0x2aaaaae6,0x1baaaaaa,0x980aa06a,0xf70006ff,0x0fffffff,0x4df7fef4,
    0x01bfe604,0x501bfe60,0x3fa00bff,0x4effcc05,0x3ffeb988,0x7ff74000,
    0x540bb304,0x99adf881,0xda99cff9,0xfffff15f,0xaff43fff,0x7fcc2ff8,
    0xfeb989ad,0x6ffcc04f,0x0cffda89,0x20cff980,0xb80cfea8,0x04ff887f,
    0xaef87f51,0x99cff999,0x7fcc5fb9,0x02ffd406,0x7cc03ffe,0x46fa983f,
    0x3f205ff9,0x7fec400e,0x80ff600f,0xeb99dff9,0xfff501ef,0x7ffcc001,
    0x01dff301,0x3335db00,0x09ff9333,0xa801fffb,0x7ffe40ef,0x0136ffff,
    0x1ff71880,0x27fc02d8,0x99998800,0x23101999,0x401fffd9,0x262004ff,
    0x9999dff9,0x9cffa999,0x201fe400,0x3ee04ff8,0x27e0003f,0xd02c04ff,
    0x3fe0d103,0x26665a83,0x7e419999,0xff107fa3,0x077fdc09,0xfb84ff88,
    0x4ff8804f,0xf70dff10,0x5013fe0f,0x4ff83447,0x04ff8598,0x3a01ffc4,
    0x01ffc06f,0x209ff0d1,0x7f4004f8,0x807f102f,0x7f444ff8,0x4fff881f,
    0x03fff200,0xd0005ff8,0x837fc401,0x6401ffe8,0x9999880f,0x00130999,
    0x41ff7188,0x27fc02fb,0x02000000,0x3fe006e2,0x3fbaa004,0xeeeeeeef,
    0x05eeffee,0x09ff0008,0x8004ffa8,0x4809ff5a,0x07103f70,0x002c0ffe,
    0x3fe01010,0x02ffd404,0xfff109ff,0xc813fe00,0xd00a81ff,0x2238809f,
    0x1209ff04,0xff1013fe,0x405fd807,0x7c2403ff,0x004e884f,0xd80eff88,
    0x309ff004,0x3f7e09ff,0xfdf8800f,0x002ff407,0x0ffec058,0xf80bff30,
    0x004c0002,0x2e0a8620,0xff019bff,0x55100009,0xf8000001,0x02deeeef,
    0x7c404ff8,0xf800003f,0x2ffd804f,0x4ff8f400,0x9bffc800,0x03ff8041,
    0x01553101,0x009ff000,0x3fe07ffb,0x005ff904,0x7fc409ff,0x027f4004,
    0x04ff8040,0x8809ff01,0x2fec03ff,0x2000ffe0,0x027444ff,0xb89ff500,
    0x213fe006,0xf3f06ff8,0xf9b9009f,0x004fe80f,0x1ffdc050,0xc817fe40,
    0x260a2005,0xb80c4000,0x80eeeffe,0x800734ff,0x0dffbce9,0x00a882a0,
    0xfb99cff8,0x13fe01ff,0x2207ff10,0x99999999,0x804ff809,0x2a006ff8,
    0x04413fe5,0x7777ff5c,0x003ff800,0x07ff99f5,0x13fe0144,0x7c1bfe20,
    0x01ff904f,0x7cc09ff0,0x27f4003f,0x4ff80030,0x1013fe00,0x5fd807ff,
    0x0181ffc0,0x04e893fe,0x51ffc800,0x27fc001f,0x91f07ff8,0x4fc401ff,
    0x27f407fc,0x3fe60000,0x03ffa005,0xfb3001f3,0x8800130f,0x2017f401,
    0x001eacff,0x1df90be6,0x6c57fdc4,0x7fc03fff,0x80fff444,0x7fc404ff,
    0xdddff903,0xff07ffdd,0x07ffa009,0x09ff0f40,0x01fe80ae,0x5c01ffc0,
    0x30bfe60e,0x4ff80ffb,0xf03ffd00,0x017fa09f,0xff9027fc,0x04fe8003,
    0x09ff001a,0x22027fc0,0x2fec03ff,0x1220ffe0,0x09d14ff8,0x3bfa2000,
    0x7fc001f9,0xf06ffa84,0x5c07ff31,0xfe80ff96,0x7f400004,0x3fe6000f,
    0xca801744,0x4000987f,0x017f4018,0x8003bbfe,0x49fd05e8,0x9bdbffb9,
    0x3fe00ffc,0xf04ffa84,0x3ff8809f,0x17fa0790,0xfd8027fc,0x7c5b802f,
    0x202e984f,0x7fc001fe,0x6c17c403,0x03fed46f,0x7ec013fe,0xd84ff82f,
    0x9ff001ff,0x000ffee0,0x1aa213fa,0x4009ff00,0x7fc404ff,0x202fec03,
    0x026443ff,0x009f39ff,0x3fff9800,0xd84ff800,0x361f02ff,0x7e4ba06f,
    0x0027f407,0x005ff900,0x16e3ff90,0x130ff300,0x74018800,0x077fc02f,
    0x5413ee00,0x06ff40ff,0x4ff80bfe,0xff06ff88,0x5555555b,0x03207ff7,
    0xffb83bf2,0x5fffffff,0x4403ffc8,0x777ffc0f,0x3a02fffe,0x3fff201f,
    0xffffffff,0x2aaaff21,0x7cc0ffda,0x8027fc07,0xcff83ffc,0x003ffba9,
    0x76ef7ffc,0xd0001eff,0xffddddff,0x04ff800d,0x3333bfe0,0x3ffccccc,
    0x3e02fec0,0x4fffffff,0x0fff7fe0,0x3ff20000,0x24ff8002,0x3e04ffd9,
    0xd505ff30,0x3fa03fe4,0xff300004,0x3fe2000b,0x4c000f9e,0x4000987f,
    0x017f4018,0xb0009ff1,0x0bfe207f,0x07fb05fd,0x7fc427fc,0x555bff07,
    0x7ff75555,0x07fea020,0xf7004ff8,0xf84b805f,0x417d4c4f,0x0eeeffec,
    0x6c03ff80,0xaaaaaaaf,0x203fcc0a,0xff7004ff,0xfb9dff07,0xbff0003f,
    0xbffb7533,0x89fd0003,0x7c006c98,0x37fe004f,0xbaaaaaaa,0x2fec03ff,
    0x26673fe0,0x33fe04da,0x00003ffe,0x0007ffd4,0x3bfb7bfe,0xfd07c01d,
    0x3fe47d0d,0x00013fa0,0x0003bfa2,0x003fffa8,0x00987f88,0x3fa00c40,
    0x09ffd302,0x7c07ff00,0x6417f43f,0x213fe04f,0x9ff05ffa,0x003ff880,
    0xff807ff3,0x03ffb004,0x7fffffc4,0x505704ff,0x00559ff5,0x0fd00ffe,
    0xf80ff100,0x3ffb004f,0x37f49ff0,0x8827fc00,0x0dcc3ffe,0x01604fe8,
    0x7c009ff0,0x1ffc404f,0xff017f60,0x7fc09107,0x003ffe8c,0xbff7f300,
    0x004ff800,0x17fd41f0,0x407fc8f3,0xd80004fe,0xd80001ff,0xff10007f,
    0x18800130,0x505fd06e,0x0009ff3d,0x17f40bff,0x13f20bfa,0x7f444ff8,
    0x809ff01f,0xfd003ff8,0x009ff00b,0x4c803ffa,0x06209ff0,0x7c001fe8,
    0x007fc03f,0xff01fe20,0x03ffa009,0x4ff993fe,0x1027fc00,0x1ffe8dff,
    0x00e04fe8,0x7c009ff0,0x1ffc404f,0xff017f60,0x4ff80e07,0x0009ffd1,
    0x5ff92e88,0x0027fc00,0xb2ff40f8,0x7407fc87,0x7d40004f,0xf900004f,
    0x1fe2000f,0x23100026,0x0bfa0ffb,0x0027fc2e,0x1ff03ff4,0x4fc82fe8,
    0x75453fe0,0x13fe02ff,0x9007ff10,0x9ff001df,0x40dff100,0x09ff00f8,
    0x0007fa00,0x3fd807ff,0x0ff10260,0xf8804ff8,0xb89ff06f,0x3fe002ff,
    0xd17fec04,0x09fd09ff,0x027fc000,0xf8809ff0,0x02fec03f,0x3e000ffe,
    0x13ffa24f,0x3e24d800,0x9ff000ff,0xf703e000,0xfc81f33f,0x0027f407,
    0x000dff10,0x8003fe40,0x000987f8,0x747fa8c4,0x027fc02f,0x403ff238,
    0xc82fe87f,0x3fffe04f,0x7c00bdff,0x1ffc404f,0x4007fea0,0xffc804ff,
    0xff80f601,0x7f408804,0x01ffc002,0x42c03ff2,0x27fc07f8,0xf80ffe40,
    0x00ffd84f,0xfc809ff0,0x216a623f,0x003004fe,0x7fc009ff,0x01ffc404,
    0x7ff017f6,0x889ff000,0xc8004ffe,0x005ffa85,0x3e0009ff,0x84cdff80,
    0x27f407fc,0x1ffd8380,0xff900380,0x21fe2000,0x30c40009,0x2023fd81,
    0x23a804ff,0x2f983ff8,0x4fc82fe8,0x40013fe0,0x7fc404ff,0x20ffe203,
    0x404ff818,0x1e604ff9,0x0b009ff0,0x200227fb,0x7fc403ff,0x220b222f,
    0x027fc07f,0xff817fe6,0x005ff884,0x7fc409ff,0xfe81c80f,0xf8049804,
    0x13fe004f,0xd807ff10,0x01ffc05f,0x74427fc0,0x3ea004ff,0x005ffb00,
    0x3e0009ff,0x80fffb80,0x27f407fc,0x3fee1cc0,0x90048803,0x3e2000ff,
    0x44000987,0x25f7e401,0x74404ff8,0xd30ffd40,0x320bfa07,0x0bff104f,
    0x1013fe00,0x2ff407ff,0x04ff8298,0xe8037fea,0x2027fc03,0x5befb85b,
    0x804ff880,0x6feffffb,0xff80ff30,0x037fea04,0xff305ff8,0x409ff00b,
    0x06885ffb,0x03d00bff,0x22009ff0,0x7fcc04ff,0x1037f403,0xf88009ff,
    0xbffd104f,0x201fa801,0x2200fff8,0xf88004ff,0x905ff881,0x2ffc01ff,
    0xff987a20,0x2005b005,0xf50007fd,0x4000981f,0x77f44018,0x99eff981,
    0x06fb9999,0x07dbbfd3,0x2fec1ffc,0x8006ff98,0x7d405ff9,0x01df904f,
    0xdff983b1,0x0bff6a21,0x7cc05f70,0x2fd9885f,0x801efd88,0xf5006ffa,
    0x2a01bfff,0x9ff300ff,0x17fed443,0xc81bfe60,0xff300cff,0x4ffc9839,
    0xdff103b8,0x201baa20,0xf3006ff9,0x4ffa80bf,0xf303ffc0,0xff9800bf,
    0x3bffea05,0xb00ff701,0x3e601dff,0x2f98006f,0x3fa03f90,0x3fff101f,
    0xdf753333,0x2200ffe8,0xfd001fdb,0xfec8003f,0x2aae63ef,0xaaaaaaaa,
    0x301001ba,0xfffffff9,0x807fffff,0x3faa00a8,0xffc98cff,0xfffb31cf,
    0xf93007df,0xc987bfff,0x2a3dffff,0xfeeeeeff,0xfff931ff,0x59bdffff,
    0x7ffec401,0x3fff260d,0xffffffff,0x2600200f,0x03dffffc,0x76401530,
    0x3f263eff,0xdeffffff,0x3f2600ab,0xfd03efff,0x3f261bff,0xffffffff,
    0x910102ce,0xfffffffd,0x4c09ffff,0x03effffc,0x7bffff93,0xdffffd98,
    0x3ffff223,0xfff930be,0xfc9807bf,0x75c3dfff,0x73efffff,0x305bfffd,
    0x1bfffff9,0x3bffff26,0xfffc9803,0x75c3441d,0x911cffff,0xffffffff,
    0x7dc9ffff,0xffffffff,0xb807ffff,0x01cffffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03000060,0x83333310,0x26621998,
    0x26666619,0x10066620,0x404c8155,0x33300aa8,0x40999883,0x4cc41999,
    0x0000db89,0x2035300c,0xaa8801a9,0x22062000,0x2031a981,0x9800aa98,
    0x055440aa,0x2001a980,0x31220aa8,0x40010060,0x40000260,0x4402a20a,
    0x26619999,0x5442a019,0x4ccccc40,0x0a809999,0x06a202a6,0x33310a20,
    0x26666133,0x11001001,0x02c80100,0x011000c0,0x10026018,0x03a80600,
    0x440003e0,0xeffea807,0xb867ecc2,0xff70cfff,0x7fecc5bf,0xffbce980,
    0xd303ff0d,0xa81bff79,0x3f661ffd,0x0fff543f,0x7fd7ffb3,0x09f71000,
    0x25fb55d5,0x81efcbf9,0x06fdadda,0x5c3b03b0,0xa84febbd,0x503ffccf,
    0xb1bfb59f,0x5409ff9d,0x203eebdf,0x9dfdbed9,0x0ec16c1e,0xbb930ea8,
    0xcfa9ae17,0xffb88001,0x83fffd8a,0x914fffd9,0xffb887df,0x7e47ff9a,
    0xffeeeeef,0xb17fd713,0x7fdcbfff,0x7fd980ef,0x467ffed4,0x803cffe8,
    0x075c02fb,0x2fcc0b90,0xa801f300,0x75c0dffe,0x45feea87,0x882ecab8,
    0x7d43eefc,0x001f006f,0x7c401e20,0xf30b504f,0x80ffa83f,0x42f980ea,
    0x40eb8efc,0x077e42f9,0x1ff40ffc,0x7f40ffcc,0x26001f9b,0x0fb81cfc,
    0xf707e7f4,0x4fd8df0d,0x12e42e40,0x75c4e81f,0xf30bfe60,0x7c3ffe8b,
    0x221fb83f,0x43f881ff,0x1f983ffb,0xdeb807cc,0xecfdb9be,0x016fe440,
    0x7b7ff730,0x3201ff93,0x203ee1ff,0xfbcbffba,0x5fe81e47,0x2b6ffea6,
    0x9bcaffc8,0xfda85fea,0xec89ff07,0x007ee001,0x217203b2,0x2a29f129,
    0xb013ba00,0xfb113ee1,0x43f91d88,0x9b07f24d,0xffa8f661,0x000f800f,
    0x7dc00f10,0x3f603b06,0x2c82fe83,0xdfd05e88,0xd05e8817,0xb03ff09f,
    0x207fe07f,0x5001bdfd,0x3e2017fb,0x445ffa85,0x713ee2ff,0x20fd40bf,
    0x503ee1fb,0x7ec17c49,0x3f227dc6,0x223fe40f,0x444fd85f,0x20bfd06e,
    0xd036c0ed,0x880be609,0x3a003eeb,0x017fc0df,0x007e2dfd,0x32041dfd,
    0xe80efc80,0x0ffec0df,0x3fcc1fea,0x03723fd8,0x1d900000,0xd4ff82e4,
    0x2e07fd17,0x81101f8d,0x5407c85e,0x7cc5f10f,0x31a61a24,0x01f003b1,
    0x8801e200,0x503441ff,0xd0bf90df,0x7d413ee0,0x504fb80f,0x81ff81ff,
    0x03ff03fd,0xd71007fb,0x09fb005d,0x2aaab7fe,0x507663ff,0x317e60df,
    0x40dfb8bf,0x2aaaff22,0x3620ffda,0x55577e41,0x3f20ffca,0x7d40b883,
    0x81ffdc84,0x42fcc5f8,0x802cc05b,0x7400cfda,0x203fd82f,0x802dbff8,
    0x540402fe,0x07fb01ff,0x0ff10bf7,0x97ec1fe6,0x0000005c,0xa81723b2,
    0xcfeacdfe,0x0d50f880,0x03e41fc0,0x21fdc3d1,0x0f40f27f,0x007c01a2,
    0x64007880,0x3e01dc4f,0x507ff41f,0x440ff609,0x03fd81ff,0x1ff85ff1,
    0x3ff03fd8,0x64c07fb0,0x3fa001cf,0x5559fb02,0x64403555,0x1fe886fe,
    0xff307fe2,0x2abf607f,0x00aaaaaa,0x2abbfae2,0x3a0aaaaa,0x0ff2000f,
    0x207ff197,0x21fec4fc,0x000e801e,0x74077f26,0x404fc82f,0xfb005ffa,
    0x3ff98005,0x3ea0ff60,0xf101ff05,0x1b6ff60f,0x333332a0,0xcccccccc,
    0x200bf902,0x6c02efb8,0x35401743,0xdfd307c8,0x4bd17ea3,0x3b81f05a,
    0x20001f00,0x7fcc0078,0x9f9003a0,0x3b27e654,0xff80ffe0,0x3e03ff83,
    0x6c0ffc3f,0xb03ff03f,0x17fb307f,0x205ff000,0x6cc003fc,0xfe86f99d,
    0x5417fa25,0x3f41ffff,0xcbec8800,0x07fe005f,0x96a3fe80,0x7ff104ff,
    0x01f17fc4,0x71000790,0x82fe85df,0x5fd804fc,0x8005fb00,0x1fec05fe,
    0x0ff82fd4,0xbfb07f88,0xcca803ff,0xcccccccc,0xdf902ccc,0x6f6dc401,
    0x86981cfc,0x03a200f9,0x97e603e4,0x03e0fc7e,0x2a0e44b7,0xcfcccccc,
    0x953ccccc,0x99f99999,0x3a059999,0xf300953f,0x8bfcc74f,0xe817fe06,
    0x205ff82f,0x40ffc2fe,0x03ff03fd,0x9fb307fb,0x07ff0001,0xfa8013f2,
    0x3f21be62,0xb1037ec6,0x07fc7fff,0xfb8fea00,0x00ffe005,0xe8d34ff8,
    0x45ff303f,0x003e1ff9,0x754000ae,0x6417f42e,0x7ff4404f,0x002fd803,
    0xfb003bf2,0x3e0bf507,0xb07f880f,0x001ff95f,0x23720000,0x1dfd00ec,
    0xe85ff55b,0x36209902,0x3601f200,0x12e73ea5,0x87baf7ee,0x99999500,
    0x999999f9,0x333332a7,0xccccccfc,0x076df502,0xd2ccff40,0x7f40775f,
    0x3a03fe07,0xd03fe07f,0x207fb03f,0x03fd81fe,0x80077f22,0x0df904fe,
    0xf987f714,0x7445fb06,0x3faa042f,0x4c07fb0f,0xdf717ea0,0x81bfa040,
    0x074f7ec2,0x1fec07fa,0x003d0bf6,0x7dc4001b,0x905fd02d,0xfaad809f,
    0x017ec01f,0xd801ffa8,0xf05fa83f,0x20ff101f,0x00dfb2fd,0xc8b90000,
    0x7f0dc80e,0x205b87aa,0x886cc1f8,0x7403e42a,0x5c402a81,0x1f00002d,
    0x001e2000,0x70035ffc,0x6fdc3bbf,0x03ff200e,0x7fe41fe6,0x5fd0ff00,
    0x3fa07fb0,0x8803fd82,0xfd802eeb,0x707ff906,0x3e60ff45,0xf88dd106,
    0x9ff40646,0xd8b00ffc,0x80ffcc1f,0x4407fe44,0x4077fdc5,0x989f307f,
    0x4c05b83f,0x39f93005,0xfc82fe80,0x6fc92e04,0x44017ec0,0x6c1883ff,
    0xf05fa83f,0x20ff101f,0x0bff12fd,0xc801fa80,0x200ec80d,0x01f105f9,
    0x3ffea5a8,0x3fa60fff,0x0f6f7e61,0x00000000,0x1e20001f,0x017fe400,
    0xf88bff10,0x1ffc405f,0xff8817d4,0xfd82f983,0xd81ffd44,0x027fd44f,
    0x402ffaa0,0xffe82ff9,0xfe83ea2f,0x980bfdc3,0x9917cc2f,0x3fe25f70,
    0xff0b222f,0x22eff887,0x77fcc1c8,0x3fe0b660,0xbb03f984,0x82740bd0,
    0x76d402e9,0x05fd000b,0x11a609f9,0x1ff409ff,0x2982ff40,0x37d41fec,
    0x7cc07fc4,0x7cc7fd07,0x0ff2003f,0x2e401d70,0x02209f10,0x333310c0,
    0x41999813,0x000009a9,0x00f80000,0x2000f100,0xfd8007f8,0xa801fd82,
    0x013a61ff,0x1f4c3ff5,0xccabffb8,0x7dc1aefd,0xefdbcacf,0x7ecc001a,
    0x21efc81c,0xfffffbfb,0x567fdc3f,0x504bffcd,0x0fe4d50d,0xfffb83f6,
    0xefc86fef,0xfffbea8a,0xff905fde,0x3a09fddf,0x413a61ff,0x807540e9,
    0xca9bedeb,0x75c40ece,0x3ff8002e,0x2f885fd8,0xfd02ffb8,0x80efc809,
    0x427f41d8,0x1ff886fb,0xff80ffa8,0x0017fe44,0x10011003,0x00000000,
    0x00000000,0x03e00000,0x0003c400,0x0d50009b,0xfe9801aa,0xd3003edd,
    0xd807dbbf,0x3bfb3fff,0x6cbfff60,0x220001df,0xdffa84fc,0xdffd31ef,
    0x1dffb107,0x059013fa,0x2fbff259,0xfffa80cd,0xffd880df,0xfffd50cf,
    0x7ffdc019,0xfd35b02d,0x06c09dbb,0x50ea806c,0x535c39b9,0xd500039f,
    0xf9319fff,0x3fea39ff,0x3fffa61e,0xbfffb50d,0xdddff503,0x2a3fffdd,
    0xc99cfffd,0xfd73dfff,0x7ff647df,0xbfffd73e,0x5bfffd13,0x00000000,
    0x00000000,0x00000000,0x003e0000,0x10003c40,0x18060001,0x000a8800,
    0x44001510,0x0c4004c1,0x30000026,0x188054c0,0x00080880,0x05304201,
    0x26002a60,0x80031009,0x510e6019,0x00201001,0x01304001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x7ffec00f,0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20060000,
    0x99999998,0x20999999,0x98804408,0x2aa60400,0x64c35510,0xcccccccc,
    0x9952cccc,0x99999999,0xeeb87999,0xba8e200b,0x11110ae0,0x99999981,
    0x19999999,0x77777771,0x05777777,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1ff00000,0x9e883fe2,0xd81904e9,0x732fe45f,
    0x77777777,0x2a6b9777,0xaaaaaaaa,0x3721aaaa,0xb82dfdba,0x3ee7ff10,
    0xfffffd0f,0x3bbbba2d,0xeeeeeeee,0x99999914,0x79999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9800000,0x5c3ff52f,
    0xdf307f25,0x07d837c1,0x0002cc00,0xbfd71090,0x31fe8bb7,0x7ffff4df,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x1ff31ff8,0x41fd8844,0x01d52fc8,0x98000ba2,0x03100005,
    0x0101cc98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30ff13fc,0xf705f759,0x09100323,0xaa9acc00,
    0xaaaaaaaa,0x00001aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8dd1b600,0x4c5f70fa,0x040023ec,
    0x36a71000,0xdddddddd,0x0003dddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9b172000,0x10bee6f8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8790ea00,0x1dfdcdfe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04408800,0x00e44ae2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_30_latin_ext_x[560]={ 0,3,1,0,1,0,0,1,1,0,1,0,1,1,
1,0,0,3,0,1,0,1,1,1,1,1,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,1,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,0,0,
2,2,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_30_latin_ext_y[560]={ 24,5,5,5,4,5,5,5,5,5,5,7,21,16,
21,5,5,5,5,5,5,6,5,6,5,5,11,11,8,12,8,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,5,5,5,28,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,7,11,11,11,11,11,11,5,5,5,15,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,11,6,5,8,6,
5,5,6,5,5,11,12,16,5,3,5,7,5,5,5,11,6,13,23,5,5,11,5,5,5,11,0,0,0,1,
1,1,6,5,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,9,5,0,0,0,1,0,6,5,5,5,
5,6,6,5,11,11,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,9,11,5,5,5,6,5,5,6,
2,7,0,6,5,11,0,5,-1,5,1,6,0,5,0,5,6,5,2,7,0,6,1,6,6,11,0,5,-1,5,
0,6,1,6,5,4,-1,-1,6,5,0,6,2,7,0,6,6,5,1,11,6,5,-1,5,6,5,11,0,0,6,
5,5,5,6,5,6,5,0,5,6,11,0,5,5,5,11,2,7,0,6,0,5,5,11,0,5,6,11,0,5,
0,5,-1,5,5,11,0,5,6,7,0,5,6,7,0,6,2,7,0,6,0,5,0,5,6,11,-1,5,-1,5,
1,0,5,1,6,0,5,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,7,7,5,7,7,7,
7,7,7,7,7,7,7,7,7,7,3,11,7,7,7,7,7,7,7,7,7,7,7,7,7,3,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,5,0,5,0,
5,0,5,-1,3,-1,1,-1,1,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-1,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_30_latin_ext_w[560]={ 0,4,9,14,12,22,21,3,8,8,11,15,5,7,
4,8,13,8,13,11,13,11,12,12,11,12,4,5,15,15,15,10,24,20,17,18,19,16,14,20,20,9,11,20,
16,24,21,19,15,19,19,13,16,20,20,26,20,20,16,7,8,7,13,15,5,12,14,12,14,11,11,14,14,7,
9,14,7,21,14,13,14,14,10,9,8,14,14,20,14,14,12,9,2,8,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,11,13,14,14,
2,10,9,20,9,13,15,7,20,15,9,15,8,7,5,14,14,4,5,6,9,13,19,19,20,10,20,20,20,20,
20,20,25,18,16,16,16,16,9,9,9,9,19,21,19,19,19,19,19,12,19,20,20,20,20,20,15,13,12,12,
12,12,12,12,18,12,11,11,11,11,7,7,8,8,13,14,13,13,13,13,13,15,14,14,14,14,14,14,14,14,
20,12,20,12,20,14,18,12,18,12,18,12,18,12,19,18,19,14,16,11,16,11,16,11,16,12,16,11,20,14,
20,14,20,14,20,14,20,14,20,14,9,10,9,9,9,9,10,9,9,7,20,13,11,11,20,14,14,16,7,16,
7,16,11,16,10,16,8,21,14,21,14,21,14,17,18,12,19,13,19,13,19,13,24,19,19,10,19,10,19,10,
13,9,13,9,13,9,13,9,16,8,16,12,16,8,20,14,20,14,20,14,20,14,20,14,20,15,26,20,20,14,
20,16,12,16,12,16,12,11,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,14,15,15,15,
15,15,15,15,15,15,15,15,15,15,19,15,15,15,15,15,15,15,15,15,15,15,15,15,15,22,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,12,9,8,19,
13,20,14,20,14,20,14,20,14,20,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,12,25,18,19,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_30_latin_ext_h[560]={ 0,20,9,20,23,20,20,9,25,25,12,16,8,3,
4,20,20,19,19,20,19,19,20,19,20,20,14,18,14,6,14,20,25,19,18,20,18,18,18,20,18,18,19,18,
18,18,19,20,18,25,18,20,18,19,19,19,18,18,18,25,20,25,11,2,6,14,20,14,20,14,19,19,19,19,
25,19,19,13,13,14,19,19,13,14,18,14,14,14,13,19,13,25,25,25,4,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,24,20,14,18,
25,25,4,20,9,14,6,3,20,2,9,16,11,11,6,19,24,4,7,11,9,14,20,20,20,19,24,24,24,23,
23,23,18,25,24,24,24,23,24,24,24,23,18,24,25,25,25,24,24,12,20,25,25,25,24,24,18,20,20,20,
20,19,19,20,14,19,20,20,20,19,19,19,19,18,20,18,20,20,20,19,19,12,14,20,20,20,19,25,25,24,
22,18,24,19,24,18,25,20,26,20,24,19,25,20,24,20,18,20,22,18,24,19,23,19,23,18,24,20,26,25,
25,24,24,24,25,26,25,25,18,19,24,18,22,17,24,18,23,24,23,13,19,25,26,25,24,25,13,24,24,24,
25,19,19,18,19,18,19,25,19,24,19,25,19,19,20,19,23,18,25,19,25,20,20,14,24,19,24,19,24,19,
25,20,26,20,25,19,25,20,25,24,24,20,18,18,25,19,23,18,25,19,25,20,25,20,23,18,26,20,25,25,
23,24,19,23,18,24,19,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,17,17,25,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,14,17,17,17,17,17,17,17,17,17,17,17,17,17,22,14,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,20,24,19,25,
20,25,20,26,22,26,24,26,24,26,24,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,28,26,25,20,26,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_30_latin_ext_s[560]={ 510,505,33,40,60,386,258,508,281,64,435,
1,505,129,507,166,277,502,97,76,1,499,305,28,175,187,507,257,130,87,291,
1,365,120,239,483,199,263,328,442,297,318,179,343,426,401,191,81,385,313,219,
347,280,309,342,258,364,460,443,333,503,273,447,137,65,166,463,234,497,203,330,
213,164,215,250,141,156,361,307,85,228,243,337,193,1,99,33,48,322,285,348,
344,281,284,103,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,510,507,204,
314,276,376,341,354,119,242,43,179,71,129,55,153,495,17,461,477,59,55,269,
505,53,470,485,262,395,318,338,441,330,372,393,39,18,413,126,390,22,61,78,
396,320,467,435,434,106,39,409,444,464,277,216,422,146,484,22,43,414,351,56,
415,27,14,1,114,127,429,215,187,383,371,359,162,154,479,111,190,263,41,228,
214,200,140,331,406,247,131,116,101,82,94,144,284,121,411,299,174,1,424,174,
437,207,409,154,88,210,68,236,328,391,299,162,178,252,70,369,467,465,363,95,
179,91,311,326,492,256,477,347,42,403,159,72,223,173,470,73,481,297,481,337,
307,386,383,238,389,147,29,183,41,391,137,129,112,502,291,308,491,320,10,345,
480,365,445,380,438,395,410,478,428,317,27,460,41,124,291,22,146,187,354,150,
280,113,269,1,376,112,12,424,259,15,233,193,77,170,206,161,152,368,200,348,
455,290,452,260,243,229,361,482,439,180,47,73,109,444,133,15,1,93,86,101,
487,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,463,491,491,429,
491,491,491,491,491,491,491,491,491,491,491,491,491,142,69,491,491,491,491,491,
491,491,491,491,491,491,491,491,83,114,491,491,491,491,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,56,450,
103,300,293,219,1,191,226,106,57,222,159,207,126,237,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,1,78,247,280,22,422,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491, };
static unsigned short stb__times_30_latin_ext_t[560]={ 1,1,227,152,107,107,107,173,28,28,212,
212,212,227,76,131,131,131,173,152,173,152,131,173,131,131,193,193,212,227,212,
131,1,173,193,131,193,193,193,131,193,193,173,193,193,193,173,131,193,1,193,
107,193,173,173,173,193,193,193,1,82,1,212,227,227,212,107,212,107,212,173,
173,173,152,28,173,173,212,212,212,173,173,212,212,193,212,212,212,212,173,212,
1,1,1,227,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,1,56,82,
107,212,173,1,1,227,131,227,212,227,227,152,227,212,212,212,212,227,173,56,
22,227,212,212,212,131,131,131,152,56,56,56,107,107,82,193,1,82,82,82,
82,56,56,56,82,193,82,1,1,1,82,82,212,131,1,28,28,56,56,193,
131,152,152,152,152,152,131,212,152,131,131,131,152,152,152,173,193,131,193,131,
131,131,152,152,212,212,131,131,131,173,28,28,56,107,173,56,152,82,173,28,
107,1,107,82,152,28,131,82,107,173,107,107,193,56,173,82,152,82,173,82,
107,1,28,28,56,82,56,28,1,28,28,193,152,82,173,107,193,82,173,82,
82,82,212,152,28,1,56,82,56,212,82,82,82,28,152,152,173,152,193,152,
28,152,56,152,28,152,152,107,152,82,193,28,173,28,131,131,212,56,152,56,
152,56,152,56,107,1,131,28,152,56,107,28,56,56,107,193,193,28,152,82,
173,28,152,28,107,28,107,82,173,1,131,28,28,82,56,173,107,193,56,152,
152,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,131,193,193,1,
193,193,193,193,193,193,193,193,193,193,193,193,193,107,212,193,193,193,193,193,
193,193,193,193,193,193,193,193,107,212,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,56,107,
56,173,1,107,30,107,1,107,1,56,1,56,1,56,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,1,1,1,107,1,107,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193, };
static unsigned short stb__times_30_latin_ext_a[560]={ 108,144,177,217,217,361,337,78,
144,144,217,244,108,144,108,120,217,217,217,217,217,217,217,217,
217,217,120,120,244,244,244,192,399,313,289,289,313,265,241,313,
313,144,169,313,265,385,313,313,241,313,289,241,265,313,313,409,
313,313,265,144,120,144,203,217,144,192,217,192,217,192,144,217,
217,120,120,217,120,337,217,217,217,217,144,169,120,217,217,313,
217,217,192,208,87,208,234,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,108,144,217,217,217,217,87,217,
144,329,120,217,244,144,329,217,173,238,130,130,144,250,196,108,
144,130,134,217,325,325,325,192,313,313,313,313,313,313,385,289,
265,265,265,265,144,144,144,144,313,313,313,313,313,313,313,244,
313,313,313,313,313,313,241,217,192,192,192,192,192,192,289,192,
192,192,192,192,120,120,120,120,217,217,217,217,217,217,217,238,
217,217,217,217,217,217,217,217,313,192,313,192,313,192,289,192,
289,192,289,192,289,192,313,280,313,217,265,192,265,192,265,192,
265,192,265,192,313,217,313,217,313,217,313,217,313,217,313,217,
144,120,144,120,144,120,144,120,144,120,307,239,169,120,313,217,
217,265,120,265,120,265,176,265,149,265,120,313,217,313,217,313,
217,262,304,214,313,217,313,217,313,217,385,313,289,144,289,144,
289,144,241,169,241,169,241,169,241,169,265,120,265,185,265,120,
313,217,313,217,313,217,313,217,313,217,313,217,409,313,313,217,
313,265,192,265,192,265,192,120,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,313,337,337,217,337,337,337,337,337,
337,337,337,337,337,337,337,337,313,229,337,337,337,337,337,337,
337,337,337,337,337,337,337,336,235,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,313,192,144,120,313,217,313,217,313,217,313,
217,313,217,313,217,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,313,192,385,289,313,217,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_30_latin_ext_BITMAP_HEIGHT or STB_FONT_times_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_30_latin_ext(stb_fontchar font[STB_FONT_times_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_30_latin_ext_BITMAP_HEIGHT][STB_FONT_times_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_30_latin_ext_s[i] + stb__times_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_30_latin_ext_t[i] + stb__times_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_30_latin_ext_x[i];
            font[i].y0 = stb__times_30_latin_ext_y[i];
            font[i].x1 = stb__times_30_latin_ext_x[i] + stb__times_30_latin_ext_w[i];
            font[i].y1 = stb__times_30_latin_ext_y[i] + stb__times_30_latin_ext_h[i];
            font[i].advance_int = (stb__times_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_30_latin_ext_s[i] + stb__times_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_30_latin_ext_t[i] + stb__times_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_30_latin_ext_x[i] + stb__times_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_30_latin_ext_y[i] + stb__times_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_30_latin_ext_LINE_SPACING
#endif

