// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_31_latin_ext_BITMAP_HEIGHT        248
#define STB_FONT_times_31_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_31_latin_ext_NUM_CHARS            560

#define STB_FONT_times_31_latin_ext_LINE_SPACING          20

static unsigned int stb__times_31_latin_ext_pixels[]={
    0x000ccc00,0x00000620,0x2a019800,0x00a80000,0x000aa980,0x0054004c,
    0x00c40066,0x00002fd8,0xb8000000,0xa8001263,0x02ffffff,0x00140500,
    0x0006fcc0,0x00060130,0x0000bff2,0x09970000,0x0332e000,0x00799000,
    0x00399300,0x00799100,0x00799000,0x32659700,0x26540004,0x13fe6000,
    0x027fc400,0x00017900,0x2004ff88,0x7fa81ff8,0xd80efd80,0x579b5002,
    0x8017bb75,0x0b600dc8,0x2201ff88,0x132000cd,0xdfb00000,0x7f400001,
    0x260000ed,0x02eeeeee,0x2c81b300,0x005b8000,0x1d41e880,0x1bfbe600,
    0x00900b80,0x000bfe20,0x0000ffe0,0x00003ff3,0x0000dffd,0x00001fea,
    0x00003ff3,0x00ff23fd,0x03fff880,0x0017ee00,0x20005fa8,0xf5000039,
    0x1ff8800b,0x7c407fa8,0xb805b00f,0x1f4c00be,0x2d80fcc0,0x4c07fe20,
    0x0030000f,0x01ff8000,0x05544000,0x00000000,0x00b91fc8,0x80000600,
    0x000d72fb,0x400fea9b,0x1ecaace8,0x013e6000,0x0009f300,0x00005f90,
    0x005fb5f5,0x000bf200,0x0002fc80,0x01b64f88,0x1fd5db00,0x001ba000,
    0xc8000db0,0x640001dd,0x0088000e,0x03f50026,0x01bb016c,0x6c027440,
    0x08805b06,0xf88013a0,0x00003f25,0x00003f50,0x01f92fc4,0xfc97e200,
    0x3fe20000,0x220001fe,0x0003f25f,0x005fdfd0,0x0074c4a8,0x05ffffc8,
    0x0007a800,0xe80002e4,0x43d00003,0xb00000fb,0x1f400009,0x7c698000,
    0x43a60001,0xe88004d8,0x00740000,0x00ffea00,0x00001d00,0x2016c000,
    0x004e882d,0xfb805b10,0x20002d81,0x3e2003fa,0x00007f66,0x80000790,
    0x007f66f8,0x3fb37c40,0x4ffb8000,0xb37c4000,0xfa80003f,0x1028006f,
    0x0e64c003,0x00390000,0x400006c0,0x37000049,0x40000730,0x09100005,
    0x910dc000,0x37048000,0x00019800,0x400004c4,0x220000ca,0x00000001,
    0x6c16c014,0x40680005,0x002d83fd,0x10013f20,0x50000010,0x20200000,
    0x04040000,0x00000000,0x00000404,0x00000000,0x00800000,0x40000200,
    0x00000000,0x00008000,0x08000010,0x00000000,0xec800000,0x0000004e,
    0x00000000,0x2d805100,0x004007dc,0x83fe8032,0x3ee0002d,0xcccccb85,
    0xccca80cc,0x000003cc,0xcccccb80,0xccca80cc,0x999973cc,0x99501999,
    0x332e7999,0xa80ccccc,0x973ccccc,0x01999999,0x07999995,0xbdeecb88,
    0x01b50001,0x6f765440,0x2200371b,0x01bdeecb,0x2f3bb660,0x32e200b0,
    0x0001bdee,0x37bdd971,0xcccccb80,0xccca80cc,0x999973cc,0x99501999,
    0x332e7999,0xa80ccccc,0x973ccccc,0x01999999,0x27999995,0x444ccccb,
    0x2cc03ccc,0x0000003b,0x37bb2e20,0x2203a21c,0x05b880db,0x6c07b372,
    0xb880be22,0x20fe8dcd,0x20bfe02a,0x406d402d,0xffb306fa,0xefc8805f,
    0x3332e002,0xcccccccc,0xfd981ccc,0x7e4402ff,0x7ffecc2e,0x177e4402,
    0x00bfff66,0xd985df91,0x64402fff,0x6fdc02ef,0x04fca88a,0x007fff20,
    0x222b3faa,0x801fffb9,0xca88adfb,0xadfc804f,0x806ffdb9,0xca88adfb,
    0x6fdc004f,0x04fca88a,0x017ffecc,0xb30bbf22,0xc8805fff,0x7fecc2ef,
    0x77e4402f,0x17ffecc2,0x88bbf220,0xf880dffd,0x7715c00d,0x5bb95000,
    0x4efdc001,0xe8cfca88,0x20fffc83,0xd107ffd8,0x2e2d8254,0xd88fa206,
    0xff02445f,0x3f205b01,0x07f981ff,0x4c013fea,0xfd98003f,0xaaaaafff,
    0xff503fdc,0x40fe6009,0xf3004ffa,0x013fea07,0xffa81fcc,0x407f3004,
    0x3ea03fe8,0x3ff5001e,0x200efc80,0x3a202fe8,0x07bea03f,0x6fc827dc,
    0xa80ffa20,0x7f4401ef,0x807bea03,0xf3004ffa,0x013fea07,0xffa81fcc,
    0x207f3004,0xf3004ffa,0x4413fa07,0x88e8800f,0x8fec000e,0x83ffffe9,
    0x3ee03fd8,0x03fea05f,0x32c41fee,0x03e8b60b,0x20ffa17a,0x16c1f605,
    0xf103ff30,0x01ffcc09,0x2e0003f0,0x1e407fce,0x2003ff98,0x07ff301f,
    0xff980fc0,0x4c07e003,0x07e003ff,0xfc804fd8,0x03ff1006,0x440077e4,
    0x013f603f,0x07fc1bf2,0x27ec0d90,0x36037e40,0x06fc804f,0xf800ffe6,
    0x007ff301,0x3ff980fc,0x7cc07e00,0x407e003f,0x00b707fa,0x20017754,
    0x4ffd44fb,0x805fd809,0x3fe206fd,0x3607fa80,0x23902eab,0x81fb00f9,
    0x20680ff8,0x202d80fa,0x1f881ff8,0x800ffe20,0x95d0001f,0x104880ff,
    0x0fc007ff,0x2003ff88,0x07ff101f,0xff880fc0,0x5c07e003,0xff8800ff,
    0x203ff004,0x32002ff9,0x001ff703,0xff889ff1,0x7dc1a600,0x4ff8800f,
    0x1001ff70,0x3fe209ff,0x4407e003,0x07e003ff,0xf001ffc4,0x00ffe203,
    0x0ffa01f8,0x0dd000ba,0xf885ff00,0x03ff702f,0x104ffe98,0x0ff301ff,
    0xf5001ca8,0x3e60fee0,0x1ec04886,0x07fe016c,0x7ff10132,0x4000fc00,
    0x500ff96a,0x800ffe20,0x07ff101f,0xff880fc0,0x4407e003,0x07e003ff,
    0xc8017fe2,0x1ff801ff,0x8800dfd0,0x005ff883,0xff887ff2,0x7fc42c04,
    0x07ff2005,0x6400bff1,0x3ff881ff,0x7c407e00,0x407e003f,0x3e003ff8,
    0x007ff101,0x8df700fc,0x7fcc0069,0x0bfe2001,0x3fe213fa,0x7e4fc405,
    0x80ff881f,0x400007f9,0x706f886b,0x5005509f,0x3e016c39,0x2007261f,
    0x3e003ff8,0xf92e8001,0x7fc4000f,0x4407e003,0x07e003ff,0xf001ffc4,
    0x00ffe203,0x3ffa81f8,0x013fea00,0x3fe207fe,0xff500003,0x27fd4007,
    0x81813ffa,0x2a003ffa,0x1ffd44ff,0x109ff500,0x0fc007ff,0x2003ff88,
    0x07ff101f,0xff880fc0,0xf007e003,0x2001ec5f,0x74005ffd,0xb84fd84f,
    0xa97403ff,0x01ff04ff,0x36e20ff3,0x85c802ce,0x05fd04fa,0xd9ae0039,
    0xe88ffc02,0x07ff1003,0x2a000fc0,0x0381ff26,0xf001ffc4,0x00ffe203,
    0x7ff101f8,0xf880fc00,0x207e003f,0x26002ffc,0x1ff805ff,0x0002ffa8,
    0x4005ff90,0x7fd45ff9,0xff9002ef,0x2ffcc005,0x9800bff2,0x3ff885ff,
    0x7c407e00,0x407e003f,0x3e003ff8,0x007ff101,0x5bee00fc,0x3e2000f8,
    0x32000ffd,0xc81ff86f,0x993602ff,0x01ff05ff,0x25f70ff3,0x26403fe9,
    0x3fdc0fe4,0x41c88068,0x20ffc02d,0x7fc400ca,0x0007e003,0xf03fe43d,
    0x003ff880,0x1ffc407e,0x3e203f00,0x407e003f,0x3e003ff8,0x001ffd81,
    0x3e01ffe2,0x01ffc81f,0x4cccccc4,0x8007ff60,0xffb87ff8,0x7ec01dff,
    0x3fe2001f,0x000ffec7,0xff10fff1,0x880fc007,0x07e003ff,0xf001ffc4,
    0x00ffe203,0x7fc401f8,0x6dc005ba,0x22003ff9,0x40fee3fd,0x8b701ffe,
    0x1ff07ff8,0x6f88ff30,0xb8443fd4,0xfe887f85,0x7c403c85,0x7fc02d82,
    0x2200fb81,0x07e003ff,0x7fe45b80,0x07db9999,0xf001ffc4,0x00ffe203,
    0x7ff101f8,0xf880fc00,0x207e003f,0x7c000fff,0x0ffc00ff,0x22007ff4,
    0x22efffeb,0x7c000fff,0xffe980ff,0xfff00cff,0x0fff8001,0xf0003ffe,
    0x3ff881ff,0x7c407e00,0x407e003f,0x3e003ff8,0x007ff101,0x77e400fc,
    0xe97c001e,0x7744006f,0x3fe01dde,0xf80ea80f,0x80ff80ff,0x22fd47f9,
    0xa96c0ff9,0xb107fc46,0x806a87f7,0xf805b07b,0x203f881f,0x3e003ff8,
    0xf907e001,0xffdddddf,0x003ff880,0x1ffc407e,0x3e203f00,0x407e003f,
    0x3e003ff8,0x001ffe81,0x7fc03ffc,0x002fff81,0xffd0fff1,0x07ff8003,
    0x0f7fffdc,0x2000fff4,0x0fff47ff,0x221ffe00,0x07e003ff,0xf001ffc4,
    0x00ffe203,0x7ff101f8,0x4400fc00,0x354006ff,0x6c005ff5,0x0fff4001,
    0x3fe207e6,0x981ff887,0x7c40b87f,0x87896c1f,0xc8da8cfe,0x0283a63f,
    0x805b01fd,0x06f881ff,0xf800ffe2,0x333d7001,0x1e60ff93,0x4007ff10,
    0x07ff101f,0xff880fc0,0x4407e003,0x07e003ff,0x8800bff6,0x1ff806ff,
    0x2004ffd8,0x2ffd86ff,0x01bfe200,0x03bfff22,0x44005ffb,0x17fec6ff,
    0x10dff100,0x0fc007ff,0x2003ff88,0x07ff101f,0xff880fc0,0x4007e003,
    0x1f4003fc,0x7e4017fe,0x1ffe4000,0x3fe605d1,0x982ff985,0x7eed407f,
    0x85b16c1f,0xf50dfffb,0x24c19b7d,0x02d81ff8,0x3fd40ffc,0x4007ff10,
    0xeef8800f,0x207ffeee,0x01ffc405,0x3fe201f0,0x4403e003,0x03e003ff,
    0xf001ffc4,0x007ff901,0x7c027fcc,0x05ffc81f,0x3f217fe0,0x3fe6003f,
    0x3ffa6004,0x001ffe44,0xffc89ff3,0x13fe6003,0xf800ffe2,0x007ff100,
    0x3ff8807c,0x7c403e00,0x003e003f,0xf30007cc,0x800ffc81,0xeeeefffe,
    0x24ffb81c,0x13fea04d,0x989dffd9,0x219d507f,0xb516c1ff,0x37301730,
    0x17f40360,0x07fe016c,0x9ff01bee,0x6401e200,0x140ff904,0x88027fc0,
    0x8027fc07,0x027fc078,0x27fc0788,0xff507880,0x17fd4009,0x7d407fc0,
    0x17fe007f,0xa8013fea,0x260242ff,0x27fd46ff,0xa85ff500,0x3ea004ff,
    0x009ff02f,0x09ff01e2,0x9ff01e20,0xff01e200,0x801e2009,0x4264004b,
    0xf9804ff8,0xffffffff,0x5cb7fcc4,0x0017fdc0,0x17dc37cc,0xe85b07fe,
    0x09500002,0x016c1fec,0x13f203fe,0x2600bfd0,0x900f8806,0xfe8000ff,
    0xe80d3005,0x80d3005f,0x0d3005fe,0xd3005fe8,0x8007fec0,0x0ff006fd,
    0xf8017fec,0x01ffb05f,0x01a1bf60,0x3ff61ff2,0x20dfb000,0xfb000ffd,
    0x802ff40d,0x02ff4069,0x2ff40698,0x7f406980,0x400d3005,0x2be2001e,
    0x7fe99999,0x33315980,0xfd81fb55,0x7ec00eaf,0x8bf30006,0x41ff84fb,
    0x0007442d,0xfc803660,0x3fc02d82,0x7e403fb8,0x805c800f,0x01ff204c,
    0x00ffc814,0x7fe405c8,0x6405c800,0x05c800ff,0x64007fe4,0x00ffe605,
    0x22007fe6,0x3ffe606f,0x305ff801,0xff3007ff,0xfb803f03,0x803ff986,
    0xff301ff9,0x03ff3007,0x64007fe4,0x007fe405,0x3ff202e4,0x6405c800,
    0x05c800ff,0xfb800b70,0xfeeeeeee,0x003e202f,0x3fff107a,0x000ffa80,
    0x2fe89f50,0x416c1ff8,0xb50000ea,0xd80fc801,0x4c1be202,0x1ff4403f,
    0xf3003ee0,0x403fe401,0x07fd1059,0x74400fb8,0x007dc03f,0xf700ffa2,
    0x03fe8801,0x3ee007dc,0x0ffa200f,0x805f10cc,0x7c00eff9,0x03fee05f,
    0xbf03fe88,0xb81ff401,0x3fa200ff,0x007fdc03,0xe8807fd1,0x007dc03f,
    0xf700ffa2,0x03fe8801,0x3a2007dc,0x807dc03f,0x000eabdb,0x1bfa0174,
    0x079806e8,0xfe803ff7,0xfa86a002,0x3ea2ff40,0x4c0b611f,0x1722002e,
    0x22d82740,0xd80be229,0x0cff9806,0x7400fe4c,0x007fec04,0xcff980ba,
    0x800fe4c0,0x64c0cff9,0x9ff3001f,0x001fc981,0xc9819ff3,0x3ff5001f,
    0x7c05fd30,0x1005c9df,0x3e605dfb,0x0ffd404f,0xff017f4c,0x05fc883d,
    0x74c0ffd4,0x3ff5002f,0x2005fd30,0x64c0cff9,0x9ff3001f,0x001fc981,
    0xc9819ff3,0x9ff3001f,0x101fc981,0x8005ffff,0x1ffb806a,0x22019ff0,
    0x3ffbd01e,0x4005fd10,0x83d8cff9,0xfbdbcffb,0x405b0ddf,0x441bdec8,
    0xc8801dc9,0xdff8b604,0x1ec405c8,0x777fecc0,0xfb801dff,0x417ff403,
    0x4c00fea9,0xdffeeffd,0x7fecc001,0x001dffee,0x7f77fecc,0x6cc001df,
    0x1dffeeff,0x677ec400,0x5c00dfec,0xb8003efe,0xfeccdffd,0xdfb1001d,
    0x801bfd99,0xfedffdbe,0xdfb1003f,0x001bfd99,0xeccefd88,0x6cc000df,
    0x1dffeeff,0x77fecc00,0x4001dffe,0xffeeffd9,0x7ecc001d,0x01dffeef,
    0x4000efdc,0x5ff8803e,0x9bdfff50,0x53203ddb,0xfecdffb8,0xfec8000c,
    0xdff9102d,0x2d83bf23,0xddfdb500,0x32a0039b,0xfd716c02,0x0e54007d,
    0x04d54c40,0x6fffecc0,0x3ffff221,0xffffffff,0x2aa62006,0x4c400009,
    0x400009aa,0x0009aa98,0x04d54c40,0x05544000,0x10000000,0x80003353,
    0x06000aa8,0x40003553,0x00000aa8,0x00001551,0x00135531,0x09aa9880,
    0x554c4000,0x4c400009,0x000009aa,0xb000fa80,0x3b2205ff,0x1403deff,
    0x0000aa88,0x04044000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x007f8800,0x0001bff2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x204efffb,0x4fffffd9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00009800,
    0x04400088,0x65c00022,0x4000100c,0x36000ffe,0xf98001ff,0x0033005f,
    0x00601300,0x017fe600,0x0ffe8000,0x07ff7000,0x001ffd80,0x01403010,
    0x000bd980,0x401000a8,0x99300000,0x00980003,0x99730003,0x08059999,
    0x99000020,0x1400b2e3,0x99990188,0x99999999,0x00001999,0x060180a0,
    0x280a00c4,0xfeb88080,0x7fc40002,0x23ff1001,0xf8000ff9,0x0032203f,
    0x00bfdf50,0x001bfbe6,0xa80bfffa,0xd00004fe,0x80004a83,0x0001fffe,
    0x04fefb80,0x0ffef880,0x0dfdf300,0xc982c880,0x20012a21,0x1005b9da,
    0x2e001ff9,0x00004881,0x10000bf9,0x1003b83d,0x337ffffb,0x81b8013f,
    0x3e200048,0x64007fa6,0xff806c44,0xcffeccce,0x401ffecc,0x2e004ff8,
    0x79006c44,0x0d980588,0x1bee00e4,0x0005ff97,0x3002ffa8,0x07fee7ff,
    0x1009f500,0x4fe2005b,0x74e801fc,0x4754005f,0xff7506e8,0x3ea00009,
    0x80001f53,0x006e98ea,0xfd97c400,0xfaae4000,0x3ee9d004,0x403d3002,
    0x00ffeffe,0x00360d80,0x4003ff2e,0x1fdbcef8,0x01df0000,0x5cbee000,
    0xfffd1006,0x880345ff,0x01fdbcef,0x7c47ea00,0x446fc004,0x360be02e,
    0x401f986f,0xee8005fb,0x7c403e88,0x9002e88d,0x3601723f,0x02ff80ff,
    0x4003b800,0x4001dc3b,0x0174005c,0x5016a15c,0x36006987,0x9fb01ec0,
    0x77ec0000,0x0d80003f,0x80000b62,0x3002dc2c,0x5401e88b,0x220074c4,
    0x7fe4401e,0x4390001d,0x1ff1000e,0x7fffdc00,0x1f300004,0xefe80000,
    0xfffb002f,0x00345fff,0x009ffff7,0x01a64c80,0x81bbbea0,0x20dfb058,
    0x0036c02b,0x006effa8,0x400bfdf7,0x800feff8,0x05ff02c8,0x00000000,
    0x3000b000,0x1301801f,0x80188140,0x7ec05009,0x3e600004,0x0980006f,
    0x22000050,0x06001301,0x18814028,0x02002740,0x7d9d3000,0x007fc400,
    0x00005d40,0x00000370,0x7c00bff5,0x22ffffff,0x00ba8006,0x06e0c800,
    0x00fff400,0x41bf6051,0x003a2018,0x002ffd80,0x70007ffa,0x200009ff,
    0x000002ff,0x08000000,0x000bb000,0x00000000,0x0004fd80,0x00000000,
    0x00000000,0x00000000,0x000007f2,0x20005400,0x00000ff8,0x00010000,
    0x7c400000,0x22ffffff,0x00000006,0x00000204,0x00dfb000,0x00000660,
    0x00000000,0x017fc000,0x15bb9500,0x133332e0,0x88079991,0x161bdedb,
    0x99102fb8,0x80799999,0x21bdedb8,0x133332e5,0xfd879991,0xb7100004,
    0x952c37bd,0x2e199999,0x41cccccc,0x00ccccc9,0xbdeeca88,0xdca80371,
    0xed9800ad,0xf10b0bce,0x3772a00d,0x9999700a,0x99501999,0xff887999,
    0x666665c0,0xccca80cc,0x999934cc,0x99995007,0x33332679,0xcccca803,
    0x3ffffe3c,0x4401a2ff,0x01bdeecb,0xbdd97100,0x76cc0037,0x400b0bce,
    0x818006fd,0x66665401,0xcccccccc,0x33333223,0x0ea002cc,0x97fc0900,
    0x6c01cec9,0xffffd31f,0x037ff627,0x75c037e2,0xffc98acf,0x01be207e,
    0x403bfff3,0xc98acfeb,0x3f627eff,0x0df880df,0x333227ec,0x3fae02cc,
    0xeffc98ac,0x06fffcc7,0x4037ffea,0x5400dfc8,0xb988acfe,0x3f601fff,
    0x7ffffd31,0xdb9adfc8,0x03fc86ff,0xffd31fd8,0x7fecc7ff,0x77e4402f,
    0x980ff882,0x4402fffd,0xffa82efc,0xdfc8803f,0x03fffa81,0x6c1dfc88,
    0x22ffffff,0x8adfb806,0x4004fca8,0xca88adfb,0xadfc804f,0x006ffdb9,
    0xf9001bf6,0xfb027f4b,0x999999bd,0xff505fff,0x6e80019f,0xff806c00,
    0x2fffffaa,0xffa89f70,0x827f4099,0x6fd880f8,0x3a03fd40,0x0ffe401f,
    0x5406fd88,0x104fe87f,0x889fb01f,0xfb100aff,0xa87fa80d,0x7ff703ff,
    0x6400fa80,0x3fa200ef,0xfa89f702,0x13ee099f,0x0ffc37e4,0xff513ee0,
    0x4ffa8133,0x2207f300,0xbff500ff,0x880fe200,0xf9802fff,0x0bffe202,
    0x3e60be60,0x1a2fffff,0x2a03fe88,0x7f4401ef,0x407bea03,0x0df904fb,
    0x20037ec0,0x817fa6fd,0x27fd403d,0x8001ffb0,0x3a001ff9,0x33b7ff00,
    0xff01fffb,0x502ff885,0x6c16e0ff,0x0fb800ff,0xf900ffa0,0x03ff601f,
    0xff503ee0,0x27ec16e0,0xffb003b2,0xf01f7001,0x17fe20bf,0xefc80990,
    0xf03f8800,0x82ff885f,0x51b200ff,0x2ff801ff,0xf9817fc4,0x407e003f,
    0xff300ff8,0x2017c007,0xf800fffd,0x07ffec01,0xff980fc0,0xd81a2fff,
    0x06fc804f,0x7e4027ec,0x6401ff06,0x01bf6006,0x05cc3710,0xeff880b0,
    0x001ff600,0xf8017ff6,0xf70bff01,0x82ff887f,0x0ffa04fe,0x0bfee0ba,
    0x3f600e80,0xb83fdc04,0x03a002ff,0x40ba0ffa,0x201724fd,0x3a002ffb,
    0xb00ffc80,0x201e80ff,0x32002ff9,0xe82ff883,0x007fc44f,0x407fb8d3,
    0x4fe82ff8,0x4007ff10,0x01ff101f,0xf800ffe2,0x77ff6c01,0x36007c00,
    0x7c00effe,0x3f2e6200,0x07fdc1a2,0xb827fc40,0xff8800ff,0x3007fc44,
    0x037ec00d,0x40480000,0x7e401ffd,0x7efc4007,0x02f8800f,0x17fe05ff,
    0x13f613fa,0x834c6fb8,0x0dc006fe,0xfb80df90,0x800dfd07,0x4c6fb81b,
    0x2ed3f606,0x4006fe80,0x02ff981b,0x1e605ff5,0x8800dfd0,0xfb09fd03,
    0x404ff889,0x7403fe45,0x104fd84f,0x0fc007ff,0xf100ff88,0x00fc007f,
    0x017ff2f6,0xfcbd801f,0x0007c05f,0x7fc43459,0x07ff2005,0x6400bff1,
    0x13fe21ff,0x37ec00b0,0x30e66640,0x70007999,0xff9009ff,0xff9db800,
    0xf03f8803,0x21ff205f,0x01ff86fc,0x107b17fc,0x08800bff,0xf701ff20,
    0x00bff10f,0x45ff0088,0x373f603d,0x5ff8800f,0xff804400,0x20bff705,
    0x0ffe204c,0x86fc8000,0x4ffe81ff,0x00dfb060,0x03ff0df9,0xf800ffe2,
    0x201ff101,0x3e003ff8,0xffd9ec01,0x7b003e03,0x0f80fff6,0xa868b200,
    0x3ea003ff,0x01ffd44f,0xfe89ff50,0xd800604f,0x5ff5006f,0x4006fe98,
    0xf9006ff9,0xfd2f800f,0x209f300d,0x0ff702ff,0x1fdc7fb1,0x0f8b7dc0,
    0x0003ffa8,0x7007fdc0,0x07ff50ff,0x8b7dc000,0x3f7f600f,0x3ffa805f,
    0x3ff20000,0x80fffe80,0x0bfea01e,0x3fd88000,0x7fd40fee,0x6fd802ef,
    0x2e3fd880,0x0ffe203f,0xff101f80,0x00ffe201,0x89ec01f8,0x01f02ffe,
    0x5ffd13d8,0x2c8003e0,0x00bff21a,0x7e45ff98,0x3fe6002f,0x177ffd45,
    0x01bf6000,0x6fb82ff8,0x00fff400,0x2a007fc8,0x500bfea6,0x40bfe0bf,
    0xddd106fa,0x3e2003bb,0xff905baf,0xfb800005,0x643fdc07,0x200002ff,
    0x405baff8,0x03ff9cfd,0x00017fe4,0xf887ff30,0x03cc2ffa,0x31007ff2,
    0x10133333,0x803bbddd,0x01dffffb,0x74401bf2,0x4401ddee,0x07e003ff,
    0xf8807fc4,0x007e003f,0x0fffcc7b,0x98f6007c,0x00f81fff,0xfd868b20,
    0x3fe2001f,0x000ffec7,0xff70fff1,0x20003bff,0x3fa006fd,0x2006fa82,
    0x32003ffc,0xf0fa007f,0x06fb80bf,0x17ee05ff,0x320000ec,0xffd01eef,
    0xfc800003,0x743fdc06,0x400001ff,0x6c01eefc,0x403ff74f,0x00001ffe,
    0x7d6e37f4,0x3a02645f,0x75c400ff,0x1d82efff,0xfffd3000,0x0ff5019f,
    0x22000760,0x07e003ff,0xf8807fc4,0x007e003f,0x0effa87b,0x50f6007c,
    0x00f81dff,0xff868b20,0x7ffc000f,0x0003ffe0,0xfd301fff,0x80019fff,
    0x3fa006fd,0x3006fa82,0xfc800bff,0xc81f3007,0x1ff200ff,0x2fc817fc,
    0x40000fc8,0x3fa06ff8,0x6c00001f,0x43fdc05f,0x00001ffe,0x6c037fc4,
    0x403ff64f,0x00001ffe,0x25d07fdc,0x007e0ffc,0x22005fff,0x01f907ff,
    0xffffb800,0x007fcc1e,0x220003f2,0x07e003ff,0xf8807fc4,0x007e003f,
    0x8bff707b,0x5c1ec00f,0x0007c5ff,0x7ff43459,0x23ffc001,0x7c001ffe,
    0x7ffdc07f,0x3fa001ef,0x20bfa007,0xfe8806fa,0x3fe4000f,0xff884c80,
    0x7c1ff604,0x3a0df03f,0xceeeefff,0x407f9001,0x00002ffd,0x3ee027f4,
    0x002ffd87,0x803fc800,0x1bfa24fd,0x00017fec,0x3ccffe20,0x01a67ff3,
    0xf8013ff6,0xdfffd06f,0x20039ddd,0x40efffc8,0x7ff400ff,0x01ceeeef,
    0x7c007ff1,0x203ff101,0x3e003ff8,0xfd81ec01,0x7b003e4f,0x0f93ff60,
    0xd868b200,0x3e2002ff,0x017fec6f,0x100dff10,0x001dfff9,0x2001fff1,
    0x06fa82fe,0x8002ffd8,0xaf8807fc,0x7fe99999,0x3e03ffa0,0x07f220ff,
    0x7fffffcc,0xf9804fff,0x013ff200,0x801ff000,0x4ffc87fb,0x0f980000,
    0x7cc5fe80,0x27fe40df,0xb7f40000,0x4cb7f44c,0x005ffc80,0x7fcc17fe,
    0x4fffffff,0x13ffa600,0xff9803fd,0x4fffffff,0x2003ff88,0x05ff300f,
    0xf800ffe2,0xfd01ec00,0x7b003e5f,0x0f97ff40,0xc868b200,0x3e6003ff,
    0x01ffe44f,0x4009ff30,0x2604ffe9,0x1cfffffc,0x7d417f40,0x02ffd406,
    0xb807fc80,0xeeeeeeef,0x1ffb02ff,0xf9bd9ff0,0x98acc03d,0x00fdaa99,
    0x3fea025c,0x3e600005,0xa87fb805,0x800005ff,0x7fedc04b,0xdfff92cf,
    0x017fea19,0x27fee000,0x7c7fdc1e,0x07ffa801,0xacc17fe0,0xfdaa9998,
    0xdff30120,0xacc04fa8,0xfdaa9998,0x1004ff80,0x3bffae0f,0x004ff80c,
    0x407b00f1,0x00f9fff8,0xfff101ec,0x164001f3,0x009ff50d,0x3ea17fd4,
    0x3fea004f,0x3fe60242,0x3a000006,0x206fa82f,0x0000eff8,0x05d00ff9,
    0x9f306fe8,0x2a62bfe0,0x4007c400,0x400f401e,0x0c000ffe,0xfb801fc8,
    0x001ffd06,0x000f4018,0x3ffa0018,0x2200c000,0xff986eff,0x3ff6006e,
    0x10bff002,0x343d001f,0x36c3fe40,0x3d001f10,0x2600bfd0,0x3a006206,
    0x00d3005f,0xfff9807b,0x201ec00f,0x000ffff9,0xffb068b2,0x41bf6001,
    0xfb000ffd,0xff900d0d,0x80076a00,0x06fa84fd,0x2a007ff6,0x5407fc81,
    0x01ffb806,0x4002ff80,0x4079806e,0xdff5005b,0x5f806400,0x2a0bf700,
    0x032006ff,0xf30005b8,0xdff5005f,0x6c006400,0x7ffd04ff,0x0fffcc00,
    0x3742ffc0,0x007e3cc0,0x03f10df7,0x41e601ba,0x5c800ffc,0xc80bbea0,
    0x05c800ff,0xffb803d8,0x401ec00f,0x2000fffb,0x7fcc1a2c,0x01ff9803,
    0xf3007ff3,0xb803f03f,0x0dff006f,0x3a637e40,0x09ff707f,0x1ff20360,
    0xff1007d0,0x05ff000b,0x100cff80,0xeabdb83d,0x17fee000,0x83540b20,
    0x80bf26e8,0x2c805ffb,0x00755edc,0x200ff500,0x2c805ffb,0x203ff500,
    0x4c001ffb,0x7fc00eff,0x100cff85,0x200df83d,0x20d703fe,0x3d100cff,
    0x700ffa20,0x37d4401f,0xb807fd10,0x004e800f,0x4e801ff9,0x001ff900,
    0x7dc0d164,0x0ffa200f,0x4401ff70,0x01bf03fe,0xca801ff4,0x9ff5000e,
    0x79ff7b95,0xa8037fcc,0x540ffb06,0x5ffb000f,0x002ff800,0x66f7ffd4,
    0x7fc41eed,0xfa8002ff,0x36a21bdf,0x2601d302,0x500bb3ff,0x54437bff,
    0x7fffc42d,0x05f80002,0x86f7fea0,0x7c002da8,0x001be206,0x98177ec4,
    0xfffa84ff,0x81eedcde,0x7e441eff,0x7d41ec05,0xeedcdeff,0x067fcc01,
    0x22007f26,0x67fcc05f,0x800fe4c0,0x03f6005f,0x7ec00bf0,0x068b2000,
    0x74c0ffd4,0x3ff5002f,0x7c05fd30,0x2fe441ef,0x32002400,0x7df54fff,
    0x4cd7ff41,0xfda99999,0x103fff05,0x7fe400ff,0x0ffe2006,0x3ffb2200,
    0x37ee03de,0x3b660001,0x01bdefff,0xffd801b5,0xdb3000cd,0x037bdfff,
    0x000077ee,0x98003db5,0xbdefffed,0x403c8001,0x6dc0003d,0xdfeccdff,
    0x3ffb2201,0x36fa03de,0x03ffedff,0xfd910970,0x4c007bdf,0xdffeeffd,
    0x076d4401,0x777fecc0,0x64c01dff,0x8804efff,0xfffc980e,0x00e8804e,
    0x88068b20,0xdfeccefd,0x77ec4000,0x400dfecc,0xfedffdbe,0x0e4c003f,
    0x31054400,0xffffff70,0xffffffff,0x7fffe447,0xdfff72cf,0x7ffecc09,
    0x7f6404ff,0x00001dff,0x10000000,0x00530035,0x22000144,0x0000001a,
    0x88000098,0x0880001a,0x000004c0,0x00033531,0x554c1800,0x00288001,
    0x554c4000,0x002a0009,0x026aa620,0x04400000,0x00440000,0x55100000,
    0x2a200001,0x5306000a,0x00200035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1b970000,0xd9804400,0x00b0bcee,
    0x40006203,0x20001cc9,0x80004ffa,0x001c2eea,0x0c026010,0x40200400,
    0xccccccca,0x440009aa,0x64000bcb,0x4ca8003c,0x181b9800,0x88373000,
    0x03030001,0x00883000,0x03995000,0x07fffff8,0x1bdedb88,0x41cc9816,
    0xb8003cc8,0xfffd804c,0x993001ff,0xd9710003,0xc98037bd,0xca803ccc,
    0x3103cccc,0xc8800220,0x07d3002c,0x007f4d80,0x56fe4074,0x806ffdb9,
    0x0002c43c,0xe8000bfb,0x20000fff,0x9aeffee8,0x01b82404,0x003a83d1,
    0x40190488,0xdccfffc8,0x97003fff,0xfa8007d4,0x7fc4001f,0x3fee003f,
    0x000351df,0x2a1bfff9,0x26fc8001,0x3a0004fd,0x005ff13f,0x300bfb00,
    0x5c0ff333,0xfc98acfe,0x17f207ef,0x26003fdc,0x7ec02fff,0x3600199b,
    0xdfb8005f,0x04feb99a,0x803fffa8,0x6c01dfc8,0x5c002cc2,0x0ffb006f,
    0x00b87cc0,0x09f70b30,0x3e201bf2,0x0002e88d,0xb80003be,0x0005e98e,
    0x1fffea8a,0x765efdc0,0x7b9fd405,0x2f7f2000,0xff8805ec,0x037fe445,
    0x007f307c,0x360007f2,0x9000feae,0x0ddfff73,0x3ff27200,0xfb0006df,
    0x0002ff4d,0x0ffe69ff,0x00df1000,0x3f621fe0,0xf03fd406,0x00fe401d,
    0x01ff5bb0,0xf80017ec,0x1fec4006,0x8801df90,0xf9802fff,0xf34f9802,
    0x07f60003,0x4003ffa0,0x0590007d,0x036401ff,0x005fefb8,0x80003ea0,
    0x00b620d8,0x00dcc0c0,0x0f7ffec4,0x017f7f40,0xdfffd100,0x417fa003,
    0x3ea02ffe,0x7c013e60,0x10d98003,0x4431009b,0x98001eeb,0x007bae21,
    0x1730dc40,0x505cc000,0x1d500007,0x361fe000,0x0fb800ff,0x4d800f98,
    0x26c4b500,0x50005fb0,0x5fd8001d,0xd806fd80,0x1f800fff,0x09fdf900,
    0xd803e800,0x6f8800ff,0xf881d000,0x801a600f,0x20001ffe,0x00c0001c,
    0x00000005,0x26001b88,0x300006ff,0x5fe80037,0x5409ff70,0x4980042f,
    0x06e09000,0x00000000,0x00000000,0x90000000,0x23fc0001,0x3a002ffb,
    0xb1001b80,0x80641200,0x1c8002fd,0x00ffd400,0x36027fc4,0x7c00effe,
    0x1fff1000,0x80588000,0x9f7007fc,0xf10b3000,0x0005809f,0x00008000,
    0x665c0000,0xa80ccccc,0x003ccccc,0x00000000,0x305fe800,0x7fc40dff,
    0x00008002,0x66664c00,0xcccca803,0x765c403c,0x10001bde,0x037bdd97,
    0xccccccb8,0xcccca80c,0x0002003c,0x06fe8ff0,0x00040dc0,0xd8000002,
    0x0008002f,0xb002ffc4,0x65ec03ff,0x007c05ff,0x01000000,0xf300df70,
    0x3f6e007f,0x09ffd05f,0x6666640c,0xcccccccc,0x666540cc,0xcccccccc,
    0x33332e3c,0xcca80ccc,0x3f663ccc,0x7e4402ff,0x3333222e,0x99952ccc,
    0x13559999,0x99999300,0x99999999,0xa82ff407,0x7fdc03ff,0x99999502,
    0x00135599,0x99999991,0x03fffa85,0x401dfc88,0xca88adfb,0x6fdc004f,
    0x04fca88a,0x017ffecc,0xcb8bbf22,0x80cccccc,0x03ccccca,0x02ffc4ff,
    0x66644220,0x9912cccc,0x26599999,0xcccccccc,0x6c3ccccc,0x9999302f,
    0x99999999,0x07ff7079,0xb027fd40,0xf80fff67,0x666664c0,0xcccccccc,
    0x666664c3,0xcccccccc,0xf502fd43,0x20bfffff,0xeff8aee8,0x177ffd41,
    0xccceff80,0xfecccffe,0x66f7ec1f,0xfffccccc,0x1ffffd42,0x207bfe60,
    0xf3004ffa,0x33ffea07,0x67ffe440,0x803fffdc,0xaaaeffa8,0x206fccaa,
    0x1ffd05fe,0x04fff880,0xb99fff91,0x2a007fff,0xf100cfff,0x5f3005ff,
    0x501ff440,0xfe8803df,0x807bea03,0xf3004ffa,0x7ffff507,0x01eff980,
    0x03ffa9fe,0xcfffa800,0x0cfffa80,0x5577fd44,0x46fccaaa,0x3ea202fd,
    0xcaaaaaef,0x2ffc86fc,0x817fe600,0x05ffd13d,0x3fea203e,0xccaaaaae,
    0xeffa886f,0xfccaaaaa,0x44027d46,0x536c00ff,0xff709fd9,0x2f803bff,
    0x1f986fd8,0x3fea01ec,0x03fff304,0x3e601dd0,0x807e003f,0xff100ffd,
    0x06ffc88b,0x7980dff0,0xfb117fa0,0xc8c8805f,0xbff105ff,0x006ffc88,
    0xfd801ffb,0x01f800ff,0x3f2013f6,0x4027ec06,0x3fe606fc,0x4c07e003,
    0xee801fff,0xff93fc00,0x3f600005,0x03ff600f,0x3cc06ff8,0x3fe00bf6,
    0x7f43cc06,0x3fe2001f,0xff98f607,0x3e00f81f,0xf03cc06f,0x4c7980df,
    0x06fa804f,0xf93b17dc,0x3fffa60b,0xb05880cf,0x0b0ae0df,0x200eff88,
    0x7cc04ffb,0x00ffe201,0x1ff601f8,0x3fa0bfd0,0x06fe802f,0x33bfa058,
    0x401cffec,0x827fdc68,0x5ffd05fe,0xb00ffb00,0xf801dffd,0x001ff700,
    0x3ee09ff1,0x4ff8800f,0x4007ff10,0x13fee01f,0xff003f30,0x0000fff4,
    0x7ec07fd8,0x4037f407,0x74017ec5,0xff85806f,0x7ffc000f,0xffa87b00,
    0xfd007c0e,0x7f40b00d,0x1fc45806,0x3a027e40,0x4004d10f,0x41effffb,
    0x20dfb028,0x3f602418,0x1ffe801f,0xff100f60,0x900fc007,0x05fe80ff,
    0xfb009ff7,0x7f40500d,0x005ffbae,0x03ff7095,0x3fee0bfd,0x807fc804,
    0x405ffcbd,0x05ff880f,0xf107ff20,0x7fe400bf,0x003ff881,0x3ffd007e,
    0x7f801ec0,0x00007ffa,0x3f203fe4,0x4037ec07,0x6c017ec2,0xfe82806f,
    0x3ffc001f,0xbff707b0,0x1bf600f8,0x06fd80a0,0xe802f828,0x773fc02f,
    0xfff91000,0x1bf6001d,0x27fdc000,0x506ff980,0x07ff100d,0xff900fc0,
    0xf305fe80,0x0dfb00df,0x2e5fe800,0x05c803ff,0x0bfd09f7,0x3201bfe6,
    0xfb3d807f,0x5407c07f,0x3ea003ff,0x01ffd44f,0xf109ff50,0x00fc007f,
    0x3541bfe6,0x7fecff00,0xff900002,0x6c07fc80,0x2fd8006f,0x0006fd80,
    0x44005ff9,0x40f606ff,0x803e4ffd,0x6c0006fd,0x03d0006f,0x2201ff88,
    0x80003a7f,0xb004ffe9,0xf30000df,0xffb800df,0x4400fc43,0x07e003ff,
    0x7f407fc8,0x007ff505,0x00cc0dfb,0x3ffb17fa,0x17a07d80,0x7fd417fa,
    0x807fc803,0x05ffd13d,0x0bff203e,0x645ff980,0x3e6002ff,0x03ff885f,
    0x3ee007e0,0x000fc43f,0x027fe4ff,0x407fc800,0x37ec07fc,0x05fb0330,
    0x0cc0dfb0,0x2003ffb8,0x0f605ff9,0x01f2ffe8,0x033037ec,0x06606fd8,
    0x1fea006c,0x0d13ff10,0x6ff98090,0x000dfb00,0x0003ffd0,0x026c3ffd,
    0x2003ff88,0x01ff201f,0x3ffa0bfd,0x206fd800,0x22ff402c,0x7dc06ff8,
    0xfe83c80d,0x001ffd05,0x47b00ff9,0x0f81fff9,0x2001ffd8,0x7fec7ff8,
    0x1ffe2001,0xf800ffe2,0x43ffd001,0x53fc004d,0x20000bff,0x3fe407fc,
    0x2c81bf60,0xfd802fd8,0x7cc0b206,0x3fea004f,0xf880f602,0x3600f9ff,
    0xb00b206f,0x481640df,0xe804fc80,0x20a83bcf,0x007fc806,0xc8000dfb,
    0xf30003ff,0x4003eadf,0x3e003ff8,0xd01ff201,0x2ffd88bf,0x333dfb00,
    0xe805f753,0x04ff985f,0x3b03bfe2,0xfd88bfd0,0x0ff9002f,0xeffa87b0,
    0x7ffc07c0,0x07ffc000,0xf8001fff,0x1ffc40ff,0x26003f00,0x001f56ff,
    0x07ff47f8,0x1ff20600,0xfd80ff90,0xfba9999e,0xd802fd82,0xba9999ef,
    0x01ffa02f,0x1ec06fd8,0x03fffe60,0x9999efd8,0x7ec02fba,0xfba9999e,
    0x0bfa0002,0x203bff60,0x3ee00fc5,0x00dfb006,0x002ffcc0,0x0baffee0,
    0x003ff880,0x07fc807e,0x7f6677f4,0x3f6001cf,0xffeeeeef,0xc82ff402,
    0x3fe602ff,0x3fa0730e,0x1cffecce,0x201ff200,0x45ffb83d,0x01ffe80f,
    0x3fa3ffc0,0x3ffc001f,0xf001ffc4,0x5ffdc003,0x47f8002e,0x32006ffa,
    0x6407fc80,0x77fec07f,0x82ffeeee,0xffd802fd,0x2ffeeeee,0x200ffe20,
    0x1ec02ff9,0x007ffdc0,0xdddddffb,0xffd805ff,0x2ffeeeee,0x003fe000,
    0xd887ffea,0xfd006fc2,0x01bf6007,0x007ff440,0x02fff400,0x800ffe20,
    0x01ff201f,0xbff75dfd,0x20dfb000,0x37fc02e8,0x5405ffd0,0x3a03bfff,
    0x05ffbaef,0xd807fc80,0x7c9ffb03,0x002ffd80,0xffb1bfe2,0x37fc4005,
    0xf001ffc4,0x5ffe8003,0xf70ff000,0x205900bf,0x3fe407fc,0x7441bf60,
    0xd802fd82,0x805d106f,0x7ec00ffa,0x9004e803,0x37ec01ff,0x7ec02e88,
    0x7105d106,0x0037cc03,0x9fddfff9,0xc883dff0,0x1bf6005f,0x017fec00,
    0x02ffa800,0x001ffc40,0x03fe401f,0x3ffb97fa,0x5037ec00,0x07ffc405,
    0x202fff88,0x3a00ffe9,0x00ffee5f,0x7b00ff90,0x0f97ff40,0x2003ffc8,
    0x7fe44ff9,0x13fe6003,0xf800ffe2,0x17fd4000,0xf507f800,0x6d4437bf,
    0x901ff202,0x06fd80ff,0x00bf60aa,0x02a81bf6,0xe881efb8,0x00bf003f,
    0xdfb007ec,0x3f601540,0x3f60aa06,0x800fea07,0x03effff8,0xfdbffb7d,
    0x6fd8007f,0x05ffa800,0x0bfe6000,0x4013fe00,0x03fe4078,0x3ffb17fa,
    0x1037ec00,0xffffb503,0xfff5039f,0x1bfa209f,0x7fec5fe8,0x01ff2001,
    0xfff880f6,0x4ffa80f9,0x50bfea00,0x7d4009ff,0x009ff02f,0x3e6001e2,
    0x0ff0002f,0x77fff6cc,0x3fe401bd,0xfb01ff20,0x7ec0c40d,0x206fd802,
    0xdf910018,0x8019fd99,0x04efffc9,0x3f600e88,0xfb006206,0x7e40c40d,
    0x8007f206,0x4180134a,0xb0001ae9,0xff8800df,0x2600000e,0xfe8002ff,
    0xc80d3005,0x22ff407f,0x36006ff8,0x8800006f,0x7f440000,0xf88bfd01,
    0x1ff2006f,0xff300f60,0x3ff601ff,0x20dfb000,0xfb000ffd,0x802ff40d,
    0xff980069,0x00ff0002,0xf90007a2,0x407fc80f,0xfd8006fd,0x006fd802,
    0x7fff4400,0x80600004,0x01bf6008,0x000dfb00,0x006e8026,0xf70000ec,
    0x37ec000b,0x007ff600,0x7fcc006a,0x0ffc8002,0x7e405c80,0x4c2ff407,
    0xdfb004ff,0x6c006600,0x8b3000df,0x0bfd03f9,0x32009ff3,0x803d807f,
    0xf300fffb,0x3ff3007f,0x200ffe60,0x3f201ff9,0x005c800f,0x0002ff98,
    0x13ee00ff,0xc80ff900,0x037ec07f,0x005fb198,0x06600dfb,0x02fffd80,
    0x03ff8800,0x3006fd80,0x200dfb03,0x07f10019,0x20003440,0xb0002fe9,
    0x7fdc00df,0x2001b004,0x88002ff9,0x07dc03fe,0xfd01ff20,0x00bff20b,
    0x07401bf6,0x003fd880,0xd00f83f9,0x0bff20bf,0x3a01ff20,0x01ff9004,
    0xd1007fdc,0x0ffb807f,0x100ffa20,0x0fb807fd,0x02ff9800,0x2600ff00,
    0x3f2001fe,0x203fe407,0x21d006fd,0x6fd802fd,0xb8001d00,0x80001fff,
    0x6c000ff9,0xb01d006f,0x983a00df,0x01ae751b,0x90000770,0x3fa0001f,
    0x0dff3007,0xfa801aa0,0xff30003f,0x01fc9819,0x7fc07fd8,0x00bffa06,
    0x0b700dfd,0x3001fb80,0xff02cc1f,0x017ff40d,0x17e01ff6,0x5400fd80,
    0x2fe981ff,0x303ff500,0x3e6005fd,0x0fe4c0cf,0x03ffa800,0x6c00ff00,
    0x1ff6000f,0xfe80ffb0,0x3f65b806,0x806fe802,0xf910005b,0xdd00003f,
    0x00dfd000,0x01bfa0b7,0x3adfd16e,0x74001e8d,0x3ee60000,0xfff10003,
    0x35ffd001,0xb5333333,0x7fe400bf,0x3f660004,0x01dffeef,0x2203fff0,
    0xff100fff,0x3ffe205f,0x02fc9881,0x8009d730,0x101ca8bc,0x3e201fff,
    0x3ffe02ff,0xefffc981,0x800e8804,0xfeccefd8,0x7ec4000d,0x00dfecce,
    0x777fecc0,0x20001dff,0x99004ffc,0x9500ff99,0xfff8007f,0x407ffe01,
    0x9881fff8,0x337f62fc,0x7ffc40cc,0x02fc9881,0x5f75c400,0x17654000,
    0x07ffe200,0x220bf262,0xc9881fff,0xdaafec2f,0x0018000b,0x98000c40,
    0x1cfffffc,0xffffff70,0xffffffff,0xfffd9007,0x440009df,0x88009aa9,
    0x2cfffffc,0x9fffffb5,0x9ffff503,0x3ffffb26,0x7fffffff,0x8000a200,
    0xffb500a8,0xf5039fff,0x3f229fff,0x002cffff,0x10002200,0x20000155,
    0x80000aa8,0x0009aa98,0x3ffffb20,0x6666404e,0x0018804c,0x3fffff22,
    0xffff912c,0x3fb2659f,0xffffffff,0x666547ff,0xffd930cc,0xffffffff,
    0x300000ff,0x00198005,0x7ffff64c,0x7fffffff,0x7ffff64c,0x7fffffff,
    0x00000030,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1e640000,0x00000000,
    0x004c0000,0x00300980,0x000ccb80,0x26001800,0x4ccccccc,0x03cc8800,
    0xa8019970,0x1ccccccc,0x1333332e,0x001ffdc0,0xbdeeca88,0xc9800371,
    0x0198001c,0x009ff500,0x55440060,0x01aaaaaa,0x44188060,0x33333220,
    0xaa9802cc,0x002aaaaa,0x20003030,0x80004418,0x00004c08,0x6cc001d4,
    0x13001c2e,0x81b98000,0x400baa01,0xc8001ff9,0x170000ff,0x54000910,
    0x3d0000ff,0x440004a8,0x400002ff,0x2e2004fe,0x0001cfff,0x3e001ff5,
    0xff71003f,0x3bfea05f,0xffdf1002,0x67f54001,0xfffb988a,0x37fec001,
    0x007fe200,0x003fffa0,0x3e600750,0x3fffffff,0x3e0df900,0xa83ff13f,
    0x9000cfff,0xffffffff,0x26fc8001,0x7c4004fd,0x003ff32f,0xff50ff98,
    0x00dd0000,0xaeffef88,0x1ff50058,0x3ffee000,0x7f40351d,0x005f9005,
    0x8001fec0,0x1ecabce8,0x07fee000,0xfa9fd400,0x5f980000,0x2ffc0000,
    0x003ffc00,0x4c007f20,0x6ff8004f,0x90017ea0,0x2009f51b,0x3a200efc,
    0x2bea002f,0x3e2003fd,0x475c001f,0x3a2005e9,0x55551003,0x20035555,
    0x4ff887fc,0xffb05ff3,0x5554c001,0x8002aaaa,0x017fa7fd,0x3ea7ff10,
    0x7fd4002f,0x0001ff71,0x5000ffcc,0x0bfffaa1,0x0007fdc0,0xefffb9c8,
    0x017f600e,0x220001f4,0x3f20005e,0x80005fff,0x7f40002b,0x200003fe,
    0x4c00007a,0x6fe8000b,0x0017c000,0x3fa000b9,0x8009f305,0x200f4459,
    0xf8800efc,0xfb87a003,0x00022000,0x016c41b1,0x00003fd8,0x301b8800,
    0xfd81d417,0x00000007,0x02e61b88,0x0550ea00,0x0370aa00,0x05ffd800,
    0x00726060,0x22000570,0x007bae21,0x091009f9,0x001a2000,0x00039910,
    0x7cc00000,0xb800006f,0x00000001,0x4000dfb0,0x002c0039,0x9d10bfd0,
    0x01403000,0x64005ff3,0x73035003,0x01800000,0xdffd100a,0xcb880399,
    0x0001bdee,0x1ff20000,0x6666665c,0xcccca80c,0x0000004c,0x00000000,
    0xffdf8800,0x00000000,0x40000000,0x000802fb,0x00004c00,0xdb880000,
    0x00161bde,0x00800000,0xeeca8800,0x6c0371bd,0x5420006f,0x40001000,
    0x027445fe,0xe8001980,0x01c4006f,0x00000000,0x3aa60000,0x2e00aadf,
    0xfca88adf,0x33332204,0x99912ccc,0xf9059999,0x7ffecc0f,0x177e4402,
    0x9800ea00,0xcccccccc,0x5c3ccccc,0x0ccccccc,0x3ccccca8,0x3ff9db80,
    0x99999100,0x99950599,0x99999999,0x03a80079,0x54007e60,0x06060003,
    0x0003a800,0x262b3fae,0x32a7effc,0xabcccccc,0x500000aa,0xfea80007,
    0xffb988ac,0x01bf601f,0x207fe440,0xccccccc9,0x25fe8004,0x5c4004f9,
    0x7c4004fe,0x0000003f,0x50000075,0x39999999,0x66666644,0x201fec2c,
    0x3ea03fe8,0x3ffea01e,0xcfffa80c,0xa80ff900,0x7f1005ff,0x800dd000,
    0xaaaeffa8,0xa86fccaa,0x4c03ffff,0x5f001eff,0xf5001bfa,0x3f6019ff,
    0xccccccde,0x74002fff,0x801e2006,0xbf90006e,0xe80027f4,0x6fd88006,
    0x3223fd40,0xedccefff,0x40003eff,0x3f20006e,0x0bfa200e,0x70006fd8,
    0xf7101ff9,0x200039ff,0x009f35fe,0x009ff750,0x0002ffa8,0x000dd000,
    0x2e201b71,0x3ea02fff,0x3fd80cff,0x64027ec0,0x07fec06f,0x6401ffb0,
    0x1ffcc07f,0x98005f00,0xff8001ff,0xf983cc06,0x0ee801ff,0x7fd4d500,
    0x07fec002,0xffa807b0,0x0ffcc004,0x3e600d00,0x6fd8001f,0x260017fa,
    0x7ec001ff,0x40fb800f,0xfb105ff8,0xf30001df,0xdf90003f,0x407f1001,
    0x220006fd,0x1ffe00ff,0xf3bfd000,0x4fe80009,0x00ffe400,0x26666662,
    0x03ff3000,0x007ffe40,0x3f601bfe,0x407fb00f,0xf8800ffb,0x01ff604f,
    0x7fc80ffb,0x001ffc40,0xffd8003f,0x06fe8005,0x13fee058,0x74003f30,
    0x2002ffc3,0x202c07fd,0x4000eff8,0x00005ffd,0x8005ffd8,0x002e61b8,
    0x8017ff60,0x3a002ffb,0x5405fe80,0x6c000eff,0x7cc005ff,0x80f2002f,
    0x220006fd,0x1bfa00ff,0xffdfd000,0x7ec0003f,0x07ff4004,0x3fffae20,
    0xbffb002e,0x00ffa800,0x7e402ff4,0x440ff607,0x3f2005ff,0x80ff901f,
    0x3fe407fc,0x800ffe20,0x37e2001f,0x7ec000ff,0x7f402806,0x800f601f,
    0x07fe40f9,0x480ff900,0x000ffec0,0x003ff7e2,0xffdf8800,0x00000000,
    0x003ff7e2,0x2e0037f4,0xc805fe81,0x3e2005ff,0x3a000ffd,0x01c4006f,
    0x44000dfb,0x1bf600ff,0xf7bfd000,0x360003ff,0x7ffc004f,0x0fff1002,
    0x07fefc40,0x801ff100,0x7fc805fe,0x7d40ff60,0x3fea003f,0xc80ff904,
    0x03fe407f,0xf800ffe2,0x3e76e001,0x37ec003f,0x37fcc000,0x264006a8,
    0x90027fc4,0x7dc000ff,0x9db8004f,0x200003ff,0x803ff9db,0x3261cccc,
    0x36e003cc,0xf8803ff9,0x4044005f,0xff8805fe,0xf3b7001f,0x3fe2007f,
    0x7ec00003,0x3fe20006,0x001bf600,0x3feebfd0,0x4fd8001f,0x027fec00,
    0x5c00dff0,0x2003ff9d,0x7f400ff8,0x207fc805,0x5ff903fd,0x82ffcc00,
    0x3fe407fc,0xf101ff20,0x00fc007f,0x01bfa5f0,0x0cc0dfb0,0x443ffb80,
    0x2be2001f,0x7fe99999,0x001ff200,0x80037fcc,0x000dfd2f,0x06fe97c0,
    0xe985ff50,0x74be006f,0x3ffa806f,0x0bfd0000,0x4013fee0,0x200dfd2f,
    0x00002ffa,0x100037ec,0x37ec01ff,0xb97fa000,0x6c001fff,0x039d714f,
    0xf8017ff2,0x74be005f,0x3fe2006f,0x402ff400,0x0ff607fc,0x1000ffec,
    0x1ff20fff,0xfc80ff90,0x01ffc407,0x9aa003f0,0x36002ffa,0x800b206f,
    0x01361ffe,0xdddddf70,0x2005ffdd,0xfd0007fc,0x4d50003f,0x80002ffa,
    0x00bfea6a,0x37dc17fc,0x3fea6a80,0x017fe402,0x005fe800,0xd500dff5,
    0x64017fd4,0x4cc401ff,0xfd809999,0x3fe20006,0x001bf600,0xffb8bfd0,
    0x33f6001f,0x80fffee8,0x3e007ffa,0x54d5005f,0x3fe002ff,0x402ff400,
    0x0ff607fc,0x20007ffc,0x7fc80fff,0x3203fe40,0x1ffc407f,0x3a003f00,
    0xb002ffc3,0x753333df,0x7fcc005f,0xe8001f56,0x8037f402,0xfc8007fc,
    0x87d0003f,0xe80005ff,0xe802ffc3,0x006fa82f,0x405ff87d,0x00001ffe,
    0x3e200bfd,0x7c3e807f,0x0ffe805f,0x7fff5c40,0x006fd82e,0x00ff8853,
    0xd0001bf6,0x3fff70bf,0x8377f600,0x5ffb04fe,0x4017fe00,0x002ffc3e,
    0x5fe801ff,0x3207fc80,0x1ffe865f,0xc83ffc00,0x03fe407f,0xff101ff2,
    0x400fc007,0x07fe40f9,0xeeeffd80,0x4002ffee,0x002ebffb,0x7fdc0354,
    0x007fc801,0x8002ffcc,0x07fe40f9,0xc81f3000,0x2fe800ff,0xf9806fa8,
    0xd007fe40,0x200003ff,0x3fe005fe,0x903e600f,0xfff801ff,0x0fff1002,
    0x868037ec,0x3f600ff8,0x2ff40006,0x801fffb8,0x06fb85fd,0xf003fff3,
    0x81f300bf,0xff000ffc,0xffffe801,0xffffffff,0x32ffee07,0x800bff60,
    0xff906ff8,0x6407fc80,0x1ffc407f,0x99003f00,0x2009ff10,0x05d106fd,
    0x00bffd00,0xff1007d0,0x00ff900b,0x0007ff44,0x4ff884c8,0x22132000,
    0x2fe804ff,0x4c806fa8,0x3604ff88,0xd00002ff,0x3fe200bf,0x7c426407,
    0x27fec04f,0x740dff00,0x885c807f,0x1bf600ff,0x40dff000,0x6c03fffb,
    0x206fa84f,0x7c00eff9,0x884c805f,0x1ff004ff,0xc805fe80,0x177f407f,
    0x9800fff2,0x0ff904ff,0x7ec07fc8,0x01ffc407,0xaf8801f0,0x7fe99999,
    0x540dfb00,0x2ffa8002,0x8007d400,0x7e402ffd,0x0bff6007,0x4cd7c400,
    0x007fe999,0x33335f10,0xfd00ffd3,0x880df505,0xe99999af,0x13ff207f,
    0x02ff4000,0x2206ff98,0xe99999af,0x2ffe407f,0x220bff00,0x9999afff,
    0xf882fdaa,0x01bf600f,0x407ff880,0xb00cffff,0x80ff509f,0xf302efd8,
    0x9af8809f,0x07fe9999,0x7401ff88,0x07fc805f,0x09ff5008,0xc817fd40,
    0x03fe407f,0xff007ffe,0x201e2009,0xeeeeeefb,0xfd802ffe,0x20006206,
    0x22002ff9,0x3ff2007f,0x803fe406,0x20005ffa,0xeeeeeefb,0xb8002ffe,
    0xeeeeeeef,0x17f402ff,0x3ee037d4,0xfeeeeeee,0x0bff502f,0x017fa000,
    0xf702ffd4,0xfddddddd,0x3ffd405f,0xc98bff00,0xffffffff,0x880fffff,
    0x1bf600ff,0x3fff6a00,0x3f661cef,0x41dfffff,0x07f984fd,0x99bffb70,
    0xf7003bfd,0xfddddddd,0x2ff9805f,0x6402ff40,0x80f2207f,0xfb000ffd,
    0x203fe40d,0xffc887fc,0xfd02cfff,0x201a600b,0x037f402e,0x000037ec,
    0xb8017fcc,0x2604efff,0x04fffffd,0xff100ff9,0x1740001d,0x2001bfa0,
    0x037f402e,0x1bea0bfa,0x6fe805d0,0x0003ffa0,0x200bfd03,0x0ba02ffd,
    0xfd80dfd0,0x0bff002f,0x22000440,0x1bf600ff,0x000c0000,0xff309fb0,
    0x335b3000,0x7402e800,0x3ffb206f,0x017fa04e,0xffa81ff2,0x007ff302,
    0x7e403ff3,0x203fe407,0x1ff9004a,0x6a80b900,0x401ffb80,0x033006fd,
    0x000bfe60,0x20095000,0xffd807fc,0x6a81a801,0x001ffb80,0x3fee01aa,
    0x2a13f601,0x201aa06f,0xff501ffb,0x7406400d,0x5ff9805f,0x3ee01aa0,
    0x3ffe601f,0x005ff801,0x440037f6,0x1bf600ff,0xf88014c0,0x4fd8003f,
    0xd8007f98,0x06a8003f,0x6c01ffb8,0x805fe801,0x332207fc,0x803fee04,
    0x7e403fe8,0x203fe407,0x7fd1004d,0x7400fb80,0x05ff8803,0x0e8037ec,
    0x005ff300,0x004d8000,0xffb80ff9,0x7d01b004,0x00bff100,0x7fc401f4,
    0xd31bf205,0x401f40ff,0x3ee05ff8,0xd02c805f,0x1ffd00bf,0x7c401f40,
    0x77fcc05f,0x002ffc00,0x22007fb1,0x1bf600ff,0x3e600340,0x27ec000f,
    0x4c003fcc,0x1f4000ff,0x302ffc40,0x0bfd001f,0x3500ff90,0x981ffa80,
    0x7fd802fe,0x3a03fec0,0x33fe6007,0x200fe4c0,0xffb000fa,0x4037f405,
    0x3fea005b,0x74000003,0x40ffb007,0xd5006ff9,0x36001f50,0x0fa802ff,
    0x205ffb00,0xbdcacffa,0x07d43cff,0x202ffd80,0x221bdffa,0x17fe02da,
    0x201efe88,0xffb000fa,0x2efd8805,0x8009ff30,0xff1002fa,0x403ff403,
    0x06e8005c,0xfa84fd80,0x00dd0007,0xfb000fa8,0x013e605f,0x3f601bfe,
    0x4012e207,0xfeccefd8,0x3fff000d,0x700fffc0,0x401537ff,0xffeeffd9,
    0x03fc401d,0x220dff90,0xc9881fff,0x3ff2002f,0x5c000004,0xf80a9bff,
    0x5ffd01ff,0x53333333,0x07f88bfb,0x101bff20,0x7fe400ff,0x53fff206,
    0x3e20befa,0x1bff2007,0xdfffdb30,0x7fc4037b,0xff75109e,0x007f8809,
    0x5c01bff2,0xfeccdffd,0x3ae6001d,0x0bfe6005,0x4cd7ffc4,0x02fdaa99,
    0x000bb2a0,0x3fee17fa,0x0bb2a000,0x2007f880,0x3fa06ffc,0x7fc429ad,
    0x01fff807,0x2a200011,0xff91000a,0x32259fff,0x02cfffff,0x2005bfb7,
    0x8009aa98,0x204efffb,0x4fffffd9,0xfffffd93,0x0fffffff,0x3ffffb20,
    0x2000004e,0x3222dfdb,0x22cfffff,0xfffffffb,0x3fffffff,0x813bffee,
    0x4fffffd9,0x04efffb8,0x3fffff66,0x0c415104,0x0277ffdc,0x9fffffb3,
    0x50035100,0xfffffffb,0xb80359bd,0x2604efff,0x04fffffd,0x0066a620,
    0x70005440,0x2619dffd,0xfffffffc,0x00ffffff,0x2a000660,0xc8acfffd,
    0x3003efff,0xfffb8003,0x3ff6604e,0xec984fff,0xfffb50ce,0x7e4439df,
    0x002cffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccb8000,
    0xca80cccc,0x2003cccc,0x00000008,0x000a202e,0x6664c006,0xcccccccc,
    0x5554c3cc,0x4402aaaa,0xaaaaaaaa,0x2aaaa000,0x0002aaaa,0x00073000,
    0x3bba6000,0x001eeeee,0x06200015,0x00805100,0x00002a00,0x00288a20,
    0x26000000,0x22000541,0x0d544000,0x0000a200,0xdfd00051,0x0280a001,
    0x4013fe20,0x5c002a0a,0x006601ff,0x00d40640,0x805fffb3,0x2002efc8,
    0x20004eec,0x45f1000c,0x7e4000e8,0xdff51005,0xf9955555,0xfffffd8d,
    0x7fd407ff,0x02ffffff,0x3fffff60,0x000007ff,0x00009fd0,0xdd301df1,
    0x03dddddd,0x003ece98,0xfb3003c8,0x221da80f,0x1ffb884d,0x3f660000,
    0x801fff17,0x1cdeecb8,0xeb8003a2,0x1001e44f,0xfb1005ff,0x9003df9b,
    0x30003d9b,0x22001dff,0x2ea000ff,0xb800ae20,0x7fe4405f,0xb005ffb0,
    0x9fd7107f,0xa87a6000,0x04ffa805,0x4c007f30,0x95000765,0xb80179df,
    0x8003f9cf,0x7fc006fd,0x2a63cc06,0x02aaaaaa,0x55555544,0x2aa000aa,
    0x02aaaaaa,0x7f500000,0x3ff10000,0x87200000,0x0074000e,0x403fed44,
    0x701ecce8,0x00003ff9,0x7c5ff6a2,0x37ee04ff,0x8cfca889,0x3eea003e,
    0x3002cc4f,0x3fb007ff,0xd1007fc4,0x7cc00254,0x3f5002ff,0xfdfff000,
    0x00ed800f,0xfe87fedc,0x827c406f,0x0004ffba,0x007eeff6,0xf800ffe6,
    0x3b8ae001,0x5b7dd100,0xfe807ff9,0x3710006f,0x806fe800,0x00000005,
    0x97000000,0x01999999,0x99999995,0xdd971007,0x0b91159b,0x1b001818,
    0x0d30006c,0x9007fa80,0x07fe00ff,0x4ff50000,0xfd885dba,0x017fee03,
    0x07c27f40,0x98017500,0x205fd86f,0x0c016658,0x6c013aea,0xff930002,
    0x07440039,0x730ff880,0x805a80f9,0x220004fe,0xf1004fff,0x00fc007f,
    0x01d11d10,0x88643f20,0x0e64c05e,0x36000000,0x6442806f,0x02cccccc,
    0x93001d40,0x99999999,0xb3079999,0xc8805fff,0x3ee002ef,0xffda88ac,
    0xd2fe401c,0x73b5009f,0x003c800b,0x3aa03fcc,0xff804fab,0x7cc00001,
    0x5fd82b87,0x7006fd80,0x7ddffddd,0x400001e4,0x06fb84fb,0x401755ec,
    0x2003903b,0x00880003,0x22001980,0x2024c0ff,0x77ff6403,0x54002eee,
    0xff1000cc,0x000fc007,0x4400bbaa,0x0598325f,0x664c0606,0xcccccccc,
    0x3f603ccc,0x3fea0006,0x6e8000cf,0x77fd4400,0xfccaaaaa,0x009ff506,
    0x74400fe6,0x07fee03f,0x2ff4dfb0,0x000bc980,0x3e600074,0xfc832207,
    0x000ffc03,0xb11fe600,0x9803ff70,0xa9804ffe,0x21adfeaa,0x40140059,
    0x06fb84fc,0xe8801ca8,0x00005883,0x80000000,0x640ff880,0x75540001,
    0x001aaadf,0x3ff88000,0x20007e00,0x9bea006e,0x5fc82c0c,0x7d4413fa,
    0xcaaaaaef,0x1bf606fc,0x7fec0198,0x1ff98000,0x406ff800,0x07ff3079,
    0xfd800fc0,0x406fc804,0x002e61b8,0x00d30000,0x8800ff30,0x07fe01ff,
    0x4ff30000,0x2ffc41d9,0x3ff27e20,0x827ec001,0x0051000f,0x07fb09f9,
    0x43fd8000,0xdb9500d9,0x37b6e259,0x30e66642,0xb8807999,0x83d12ced,
    0x07b10ff8,0x00adec98,0x4c0009fb,0x8800adec,0x07e003ff,0x003ff300,
    0x20647fe6,0x7f4dfb01,0x2037fc05,0x81bf6079,0x03fec02c,0x005ffd80,
    0x05806fe8,0x7c007ff1,0x00ffb801,0x0003ff88,0x98733320,0x1e403ccc,
    0x26b77260,0xcdb9807f,0x3ff00efc,0x20033b6a,0x7f9addc9,0x01ffdc06,
    0x027fd4ba,0x9fb17d95,0x0d400f20,0x3e227ec0,0x3b6e200e,0xdffd102c,
    0x7e405399,0x39d7fd32,0xffa87fd7,0x5037f4c2,0xdbfb319f,0x261ff105,
    0x545fe400,0x14fd81ff,0xfc8039b7,0x401ffa8b,0x3e003ff8,0x2ffec001,
    0x193fff00,0xb986e200,0x4037f400,0x267bf605,0x402fba99,0xf88007fc,
    0x6c000ffd,0xf102806f,0x00fc007f,0xd8013fe6,0x333321ff,0x20f33261,
    0x7f4c2ffa,0xf5007406,0x0fffb119,0xfea8cfb8,0xf93ff04f,0x5403ffff,
    0x7ffd88cf,0x202ffc80,0x217fe64d,0xfff52ed8,0x6c01a609,0x914fd800,
    0x97dc01bf,0xea983fe9,0x2a00aadf,0x227fe45f,0x17f41ffa,0x1f9837dc,
    0xf882ff44,0x81f9000f,0x8cfd85fd,0x900fffee,0x405fd81f,0x3e003ff8,
    0x3f7e2001,0xfff7000f,0x0000001d,0x40500dfb,0xeeeeeffd,0x3fe402ff,
    0x7fcedc00,0x037ec003,0x007ff100,0x3fee00fc,0x0ffea002,0xfe985ff5,
    0xf705ff06,0xf5034c0d,0x5c0ffd05,0x83ff441f,0xfd99cdff,0x82fa80ff,
    0xffe807fe,0xff88b701,0x7cc0fe87,0x7003e04f,0x453f600b,0xdf103ffc,
    0x3f607fa8,0xa89f5003,0x44ff81ff,0x86fa82fe,0x3ffb06f8,0x3001ff10,
    0xb0ff507f,0x3fa21bbf,0xfa83f984,0x01ffc407,0x6dc003f0,0x2e003ff9,
    0x9900dfff,0x6664c399,0x001bf603,0x3a20dfb0,0x003fe402,0x006fe97c,
    0x033037ec,0xf001ffc4,0x02ffc803,0x3e17fe60,0xd06fb82f,0x40df505f,
    0x20df103c,0x0bf107fb,0x3fe07fea,0x443ffa83,0x00ff706f,0x1d501fff,
    0x7d41fff0,0x6409fd03,0x4007e603,0x6ff444fd,0x3e62fd40,0x007fb00f,
    0x33fea054,0x45ffcccc,0x86fa82fe,0xffcc84fa,0x800ff885,0xb01102fc,
    0x90bf70bf,0x1002205f,0x0fc007ff,0x1bfa5f00,0x3dffd300,0xd30bfea0,
    0x037ec0df,0x06fd8033,0x0ff900aa,0x3fea6a80,0x81bf6002,0x0ffe202c,
    0x7f401f80,0x3fe6001f,0xfa82fe86,0xf505fd06,0xfb807c0d,0x320ff304,
    0x07ff104f,0x17fa03ff,0x1fe609f7,0xf307ffa0,0xe8fff103,0x409fb01f,
    0x801ba069,0x2ff884fd,0x0ffc40b8,0x30003fd8,0x3333ffd9,0x2fe81333,
    0x4fc86fa8,0x886fdadc,0x1fe800ff,0x5427ec00,0x001fe86f,0x800ffe20,
    0x54d5000f,0xfe8002ff,0x05ff03ff,0x37ec0df7,0x6fd80590,0xff900620,
    0x7fc3e800,0x27bf6005,0x02fba999,0xf800ffe2,0x007ffc01,0xfd0fff10,
    0x3a0df505,0x306fa82f,0x981fec0d,0x407fd07f,0x01ff85fd,0x03fd8df7,
    0xff900ff3,0xf9817447,0x403fe25f,0x407c04fd,0x3f6003fc,0xa809fb04,
    0xfb01ffdd,0xaed98007,0x7f4007f9,0xfe86fa82,0x87fc96a4,0xff800ff8,
    0x427ec002,0x02ff87f9,0x8027fc00,0xf0fa0078,0xf79000bf,0x05fd07ff,
    0x77ec0df5,0x2fba9999,0x00037ec0,0xf9801ff2,0x8007fe40,0xeeeeeffd,
    0x3fe202ff,0xf007e003,0x7c4001ff,0xa82fe87f,0x505fd06f,0xf80f20df,
    0x20ff303f,0x1bf603ff,0x3fd407fe,0x3fcc0ffe,0x9b27fdc0,0xf527fd40,
    0x2027ec0f,0x00ffcc3c,0x3ee09fb0,0x3e19d506,0x007fb01f,0x1ff31fdc,
    0x5417f400,0xd36fe86f,0x7c437dc1,0x05ff800f,0x7cc27ec0,0x0005ff87,
    0x69802ff4,0xfc81f300,0x4464000f,0x82fe86fe,0x3ff606fa,0x2ffeeeee,
    0x98037ec0,0x2007fc81,0x04ff884c,0x3a20dfb0,0x00ffe202,0x7fec01f8,
    0x17fe6001,0x1bea0bfa,0x37d417f4,0x13fe00f8,0x5ff83fcc,0x3fe17f20,
    0xff8df501,0x300ff304,0x70172dff,0x07fd45ff,0x34c04fd8,0x0fa21ff2,
    0x3fd413f6,0x07fe17dc,0xfb801fec,0x500ffc45,0x6fa82fe8,0x40e9ffd8,
    0x0ff884fc,0x2207fd80,0x7cc27ec2,0x2207fd87,0x007fe402,0x84c802e4,
    0x64004ff8,0xfe83ff10,0x3606fa82,0x805d106f,0x01d006fd,0x3e200ff9,
    0xfe99999a,0x40dfb007,0x0ffe202a,0x7e400f80,0x3fea002f,0xfa82fe84,
    0xf505fd06,0xfe80d30d,0x3a0ff305,0x20ff206f,0x89f701ff,0x0ff305fe,
    0x03abff60,0xff98dfb0,0xd009fb02,0x7cc2fec1,0x9827ec0f,0x7c27dc5f,
    0x007fb01f,0x17fe0bf6,0x213f6154,0xeffa86fa,0xf882fc81,0x2ffc800f,
    0x84fd81b0,0x2ffc87f9,0xfe8801b0,0x4007dc03,0x99999af8,0x902a07fe,
    0x3fa1fec1,0x3606fa82,0xd00aa06f,0x20b700df,0xdf7007fc,0xffdddddd,
    0x40dfb005,0x027fc018,0x7d400f88,0x3fee003f,0xfa82fe82,0xf509fb06,
    0xfd80790d,0x907f980f,0x07f601ff,0x0fec07fe,0x3e603ff6,0x3fff1007,
    0x440ffa80,0x09fb05ff,0x83fe4790,0x0a7ec0fe,0x0bfa17d4,0x1fec07fe,
    0xfe84fe80,0x3216a0cf,0x83ff4c6f,0x20bf05fe,0xf8800ff8,0x213262ff,
    0x87f984fd,0x3262fff8,0x19ff3004,0x7001fc98,0xdddddddf,0x90ee05ff,
    0x3fa17ec1,0x3606fa82,0x8806206f,0xc9881fff,0x00ff902f,0x0dfd00ba,
    0x8000dfb0,0x0f3005fe,0xe801ffa0,0x509fb05f,0x31bf20df,0x801f0ffd,
    0x7fa85ff9,0xf10bff10,0x2207fe0b,0x85ff984f,0x3ee007fa,0x817f401f,
    0x4fd82ffc,0x3fe66980,0x4fd84c82,0x3a07e4ff,0x08ffd45f,0x5c032fe4,
    0xeaea8bff,0x81ffdfff,0xbdcadffa,0x7ff43cff,0x4403b223,0xff7001ff,
    0xb01dfdff,0x20ff509f,0xefeffffb,0x3ff66000,0x001dffee,0x0dfd00ba,
    0x7fc191ae,0x7d417f40,0x001bf606,0x3ffffb26,0x7fffffff,0x2a01ff20,
    0x01ffb806,0x198037ec,0xb9007fc8,0x00ffe600,0x7e403fea,0xa83ff4c6,
    0xfbdcacff,0x200d33cf,0xed9adffc,0xffa83cff,0xfe81b623,0xc81baa0e,
    0xfed9adff,0xfde803cf,0x02fe881f,0x2a6fffa2,0x402bffee,0x98bbf20e,
    0xfd4fe80f,0x3fee13a2,0xddffbdbc,0x065ffdc0,0x1bfffb10,0x0b7fff62,
    0xf54fffc8,0x6c56c17d,0x200dedef,0x2a002ff9,0xf00befff,0x03ff70bf,
    0x02fbffea,0x4fdcc400,0x40354000,0xcfb81ffb,0x207f6191,0x06fa84fd,
    0x0cc01bf6,0x64012a00,0x803e807f,0x7ec05ff8,0xd101d006,0x00fb807f,
    0x8803bf20,0x3fea03fe,0xcffbdcac,0x54fffc83,0x00f217df,0x9bffffb8,
    0xfd300bef,0x44019dbf,0x03fddffc,0x9bffffb8,0xa6400bef,0xfecdffb8,
    0xffd8800c,0x02dfd9ef,0x7fed43c8,0x7fecc0cd,0x209dbd34,0xf91effc8,
    0x5dfd101d,0x4402a200,0x4151000a,0x54439818,0xeffec801,0x8066000c,
    0x8adfffea,0x203efffc,0x2a000019,0x007d0007,0xf930bff1,0x01bfbddf,
    0xffd31bf2,0xe8037ec0,0x80274000,0x07d407fd,0x202ffd80,0x05b806fe,
    0x93033fe2,0xdf50003f,0x003dd303,0x3ea9fff9,0x415100be,0x8000a818,
    0x40051099,0xa98001a8,0x10998001,0xa8814005,0x3510000a,0x0310004c,
    0x40020000,0x00800808,0x00000000,0x00000000,0x00000000,0x7dc00000,
    0x007d4002,0x2602ffd8,0x7d400ae9,0xffbdcacf,0x806fe83c,0x07e8005b,
    0x2203fff0,0x3ff2007f,0x03fff106,0x9805f931,0xdffeefec,0x3f620001,
    0x00cfecce,0x01882a20,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6ffc4000,
    0x1fe201aa,0x806ffc80,0xfff9000c,0x102fbea9,0x93103fff,0xff70005f,
    0x3f221537,0x2e2cffff,0x2604efff,0x34fffffd,0xffffffd9,0x00ffffff,
    0x0009a988,0x00554400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x805f7e4c,0x204efffb,0x4fffffd9,0x15100020,0x7f64c0c4,0xffffffff,
    0x2e0007ff,0x00001dfd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04ffa800,0x08018060,0x2a000800,0x03501900,0x5c02ffcc,0x6dc03881,
    0x416e003e,0xccccccc8,0x33333222,0x7fe403cc,0x2e7fd000,0xccca805f,
    0xb73004cc,0x0020205b,0x00620dcc,0x20013fea,0xf7003ffa,0x1b98003f,
    0x0a0180c4,0x66666644,0x20713ccc,0x3001500b,0x80807bd9,0x00ffec00,
    0x3600ffd8,0xddb300ff,0xcdec989d,0xdeeda801,0x0200a802,0x20ae2002,
    0x02ffcc01,0xb1037f40,0x7ff74009,0x443b1001,0x017f405a,0x64405fd0,
    0x43d500ff,0x7fff405b,0xd317c401,0x7c476c01,0x400e9805,0x300cfffa,
    0xf003bfff,0xb37c003f,0xffff003f,0x5f900bff,0xfb2fe401,0xcfffc807,
    0xfdd00150,0x4fc8003f,0x0027e400,0x2a19fff9,0x5443b301,0xfffff904,
    0x6e49ffff,0xff910f20,0xffffe801,0x7c7fd05f,0xdfdf301f,0x2007fe00,
    0x7fd402fe,0xfb79dd15,0x4576c07f,0xeb885ea8,0x21ff500f,0x3fea06fb,
    0xe80711df,0x22002fff,0x3ff200ef,0xe98eb801,0x3bff2005,0x3fe201ff,
    0x09ff1004,0xb007fe5c,0x5401f75f,0xb806e88e,0x2a03f9cf,0xd003f22f,
    0x03ff6005,0x3003ff90,0x0fc4005f,0xddd7007d,0x74c03ddd,0x26fd800e,
    0x64e405ff,0xb806dfff,0x4005e98e,0x0db0005f,0x7ffe4e40,0x77fec06d,
    0xbdff00ff,0x43fb9999,0xb86d9ef8,0x32e00ffc,0xf03ffd51,0x40ffe2bf,
    0xa805f74e,0x0bd1002f,0x20b6bff0,0x2fb83ffb,0x7ee43fb8,0x23ff700f,
    0x2e6e07fd,0x201eefff,0x006e88ea,0xdf3007ee,0x6c41b100,0xbff71002,
    0x00195005,0x3e200654,0x3ffe600f,0x0f606c04,0xb01bffa0,0x9017d43f,
    0x03fec009,0x64007fe4,0xd1254004,0x30003e00,0x0e4c00df,0x10cc0193,
    0xd8803df7,0x4c00b620,0x07a20006,0xefb88660,0x6ffe4401,0x6d80d502,
    0x102fffb8,0x20e601ff,0x0ca84ff8,0x30ea02ea,0x4003c80d,0xdefe8068,
    0xd03ff201,0x221be20f,0x457100ff,0xb88a01c8,0x206c02ee,0x005b003c,
    0x00a01800,0x00000020,0x007fc400,0x0980332e,0x39930050,0x3ea1fe80,
    0x4001d304,0xffb807fc,0xa8003800,0x12e00660,0x003ff100,0x00000000,
    0x0a801403,0x00144000,0x90020000,0x9904f801,0x807fc407,0x000ff600,
    0x700c40a0,0xd0066000,0xff9807ff,0x7c407fc4,0x000ff886,0x13000000,
    0x001c00a0,0x00000000,0x00000000,0x00001ff1,0xf0000000,0xe837d43f,
    0x03fe4001,0x00007fdc,0x37e00000,0x07fb000a,0x00000000,0x00000000,
    0x00000000,0x3f500000,0x07fc4000,0x000fe400,0x00000000,0x006fe800,
    0x84fe8fff,0x01ff03fa,0x00000000,0x20000000,0x971ccccb,0x66419999,
    0xcdeca84c,0x337b2a00,0x56f64c00,0x401ff100,0x400cdeca,0x400adec9,
    0x201cddb9,0x213ea1fd,0x7fc8004c,0x640ffb80,0x33261ccc,0x0e66643c,
    0xf7079993,0x5401bfff,0xb98000ff,0x73001cdd,0x260039bb,0x3001cddb,
    0x20039bb7,0x901cddb9,0x664c3999,0x3b6e203c,0x0d90002c,0x212f3b26,
    0xe8000ff8,0x337b2a04,0x337b2a00,0x337b2a00,0x337b2a00,0x4017fa00,
    0x1ffdc7fd,0x3fe01dd1,0x33b6e200,0xcedb8802,0xcedb8802,0xcedb8802,
    0x7fec4002,0x206ffdc3,0x37621ee8,0x441ffc9a,0x1ffc9add,0xff517f90,
    0x101ff103,0x3ff935bb,0x3ea2ff20,0x265f701f,0x45f704fd,0x0034c2fc,
    0xfb807fc8,0x42ffa80f,0xffa86fe9,0x6c37f4c2,0x02ffffff,0x0f2e2bfd,
    0x3f665f70,0xd997dc04,0x997dc04f,0x97dc04fd,0x7dc04fd9,0x2a09fb32,
    0x37f4c2ff,0x7fd32fb8,0x9b09f000,0xf10fd511,0x05b8001f,0xff935bb1,
    0xc9add883,0x56ec41ff,0x6c41ffc9,0x01ffc9ad,0x3f600bfd,0x467ff40f,
    0x23fe00de,0xe997dc39,0x4cbee03f,0x4bee03fe,0x3ee03fe9,0x8007fd32,
    0x3fe82ff8,0xd85c83d0,0x7ec2e46f,0x7ec0fc86,0xc80ff885,0xfc86fd85,
    0x7d42fec0,0xbd04fe81,0x03d11ba2,0x201ff200,0x5ff00ffb,0x3fe0df70,
    0x2206fb82,0x442fffd9,0xffcccdff,0xe81fa81e,0xd03f504f,0x207ea09f,
    0x03f504fe,0x07ea09fd,0x17f413fa,0x37c437dc,0xf5001fea,0x3d40f883,
    0x88007fc4,0x85c80dfb,0x6c2e46fd,0x7ec2e46f,0x37ec2e46,0xf9005fe8,
    0xfffe883f,0x0ebff804,0x0ff51be2,0x0ff51be2,0x0ff51be2,0x0ff51be2,
    0xf50bf900,0x2f98d30d,0x5f32ffa8,0x7cc5ff50,0xf887fa83,0x5417cc0f,
    0x20fe62ff,0x837c47fa,0xdc881ffa,0x0104c82d,0xf700ff90,0x20bfa01f,
    0x05fd06fa,0x3ee00df5,0x0bfea0ff,0x6f88dff1,0xf883ff50,0x883ff506,
    0x83ff506f,0x3ff506f8,0xff506f88,0xf505fd03,0xf98bf50d,0x21b2000f,
    0xf88681fb,0xf505f90f,0x7cc3ffff,0xf32ffa82,0x265ff505,0x32ffa82f,
    0x05ff505f,0x3f200bfd,0x3dffd01f,0x540dff80,0x407fcc5f,0x07fcc5fa,
    0x3fe62fd4,0x7cc5fa80,0x7fcc000f,0x320ffcc0,0x66667e43,0x9f93ffdc,
    0x7ffb9999,0x808817e4,0x67e40ff8,0x3ffdcccc,0x20440bf2,0x17fe05fb,
    0x3ae1aa00,0x1ff202ed,0x7403fee0,0xd06fa82f,0x00df505f,0xff71ffcc,
    0xfb8ffea0,0xf717fe05,0x2e2ffc0b,0x717fe05f,0x22ffc0bf,0x17fe05fb,
    0x1bea0bfa,0x07fe205c,0xffa84f80,0x87fc40c2,0x3f6604ff,0x3333f27f,
    0xf93ffdcc,0xffb99999,0x33333f27,0x9f93ffdc,0x7ffb9999,0x2e00bfd0,
    0xfcdb80ff,0x1ff101ff,0x3ff102e0,0x3ff102e0,0x3ff102e0,0x3ff102e0,
    0x3fa05930,0x3a2ff6c3,0x4cccfec0,0x3fb09999,0x13333333,0x22000ff4,
    0x4cfec0ff,0x20999999,0x3f6001fe,0x001bf603,0x51fa83d1,0x01ff203f,
    0x7f403fee,0xfd06fa82,0x800df505,0x41bf64fd,0x0ff65ff8,0x1fec6fd8,
    0x3fd8dfb0,0x7fb1bf60,0x3f637ec0,0x3a1bf603,0x806fa82f,0x001ffdda,
    0xfff103f3,0x87fc403b,0xffb801da,0x33333fb1,0x27f61333,0x09999999,
    0x333333fb,0x267f6133,0x80999999,0xff7005fe,0x3fee1d90,0x07ff441f,
    0x0ffeed40,0x0ffeed40,0x0ffeed40,0x0ffeed40,0x7dc1fff4,0x43fe7a66,
    0x000fe85a,0x7fc001fd,0x07fc4002,0xff8003fa,0x813fe002,0x1ec007fc,
    0x641be37c,0x0ffb807f,0xdf505fd0,0x3ea0bfa0,0x92fd4006,0xf37f40df,
    0x23fe409f,0x1ff204ff,0x3fe409ff,0x7fc813fe,0xff9027fc,0xdf505fd0,
    0xff867540,0x440d9001,0x880dfffd,0xfd0000ff,0x74003fa7,0x01fd000f,
    0x20003fa0,0xdf9005fe,0x7fd41fb8,0x03fe7a64,0x3ff0cea8,0xff867540,
    0x7c33aa01,0x433aa01f,0x5ffe81ff,0x2591ff88,0xfd05b3fe,0x007fa003,
    0x44005ff8,0x00ff40ff,0x7c00bff0,0x017ee06f,0x45f986a8,0x07fc80fe,
    0x3fa07fb8,0xfd06fa82,0x000df505,0xb03fdc9f,0x7037fcdf,0x206ff8bf,
    0x037fc5fb,0x06ff8bf7,0x0dff17ee,0x17f42fdc,0x2fb837d4,0x4f800ffc,
    0x0efffa80,0x80007fc4,0x003fd4fc,0x7f4007fa,0x003fd001,0x3200bfd0,
    0xfb83f45f,0x807fc2a7,0x80ffc2fb,0x80ffc2fb,0x80ffc2fb,0x40ffc2fb,
    0x9fb069a8,0x3477dcd1,0x4a205fd8,0xd8a205fd,0xf10a207f,0x205fd81f,
    0x881ff628,0x6403ffa2,0x01f1004f,0x81fe8bf5,0x6fb807fc,0x3ea0bfa0,
    0xf505fd06,0x22f9800d,0x9f900ff9,0xfc807ff4,0xc807ff44,0x807ff44f,
    0x07ff44fc,0x7ff44fc8,0xfd09f900,0xf70df505,0x3003ff09,0xf910203f,
    0x00ff887f,0x3f65f500,0x2feca205,0x817f6510,0x440bfb28,0x9005fe82,
    0xd037cc7f,0x701ff03f,0x703ff09f,0x703ff09f,0x703ff09f,0x403ff09f,
    0x79ff303b,0xb81effc4,0x2e1902ff,0x641902ff,0x881b02ff,0x17fdc0ff,
    0x0bff20c8,0x05ff706c,0x1ec00bf6,0x0ff45fa8,0x7dc03fe4,0x2a13f605,
    0x509fb06f,0x86c800df,0x43fd02fe,0x5fb02ffb,0xfb02ffb8,0xb02ffb85,
    0x02ffb85f,0x2ffb85fb,0x9fb05fb0,0x5fd0df50,0xd9003ff0,0x37e40e40,
    0x40003fe2,0x05ff70fd,0x817fdc32,0x205ff70c,0x205ff70c,0x445fe80c,
    0x3e07f41c,0xf03f900f,0xf05fd01f,0xf05fd03f,0xf05fd03f,0xf05fd03f,
    0xd007403f,0x01ff90ff,0x442fffe2,0x2fffe24b,0xff889710,0x2213262f,
    0x7ffc40ff,0xf889710b,0x213262ff,0x00bf04ff,0x45f8816e,0x47fd80ff,
    0x80bf26e8,0x3ff4c6fc,0x7f4c6fc8,0x7c405447,0xf886f981,0xbf04ff85,
    0x2fc13fe0,0x0bf04ff8,0x82fc13fe,0x20bf04ff,0x3ff4c6fc,0x3fea2ff4,
    0x9027c011,0xf88bf30b,0x3f88000f,0x442fffe2,0x2fffe24b,0x7fc49710,
    0x449710bf,0x9710bfff,0xdf91bfa0,0x02fc84f8,0x203fe0dd,0x8ffd45fe,
    0xff517fa0,0x545fe823,0x2ff411ff,0x93047fea,0x984fb801,0x7ffd405f,
    0x7d40ffff,0x80ffffff,0xefeffffb,0xa81ff880,0x0fffffff,0xfeffffb8,
    0x23ff980e,0x1f1006d8,0x17e67e80,0xff30fffc,0xff501767,0x9ff7b959,
    0xcacffa87,0xf73cffbd,0x05fb339f,0x1d911fe4,0x6c47ff30,0x88ffe606,
    0x8ffe606d,0x3fe606d8,0xf981b623,0xa81b623f,0xfbdcadff,0x33fee3cf,
    0x0ddffbdb,0x7e403f30,0x3e20fdc2,0x43bf901f,0xfffa83eb,0x7d40ffff,
    0x40ffffff,0xfffffffa,0x7ffffd40,0xfff880ff,0x2dcbfee0,0x7d40ef88,
    0xb81ff881,0xffbdbcff,0x33fee0dd,0x0ddffbdb,0x2f6f3fee,0x3ee0ddff,
    0xdffbdbcf,0x7c400a0d,0xf3005d00,0x2603dfff,0x201effff,0x00befffa,
    0x3e605ff3,0x2a01efff,0x200befff,0x0cedefe8,0xf1005b00,0x6441db19,
    0xb2cfffff,0x9001bbff,0x3bea9fff,0x4fffc80b,0x3a217df5,0x800cefff,
    0x405ecdda,0x0cedefe8,0x76f7f440,0x77f4400c,0x74400ced,0x400cedef,
    0x0cedefe8,0xaa7ffe40,0x3f220bef,0x01df91ef,0x3fb203e4,0xf982ddbe,
    0xffff502f,0x7fcc03bd,0xff301eff,0x3e603dff,0xf301efff,0xc983dfff,
    0xb1cefffe,0xe8807dff,0x301debdf,0xff9105ff,0x103bf23d,0x3f23dff9,
    0x77fe440e,0xc881df91,0x1df91eff,0x0300c000,0x1000a880,0x00cc0015,
    0x033bffae,0x33000544,0x00198800,0x97100254,0x02880003,0x0620a880,
    0x01882a20,0x44000262,0x00cc4001,0x4000cc40,0x98800198,0x01988001,
    0x03105440,0xa8008088,0x01530401,0x033bffae,0x220004c4,0x0151000a,
    0x44002a20,0xa880000a,0x004cc000,0x019dffd7,0x08801011,0x04044008,
    0x00020220,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5c00bfd1,
    0x36a03881,0x103bb712,0x20180dff,0x5cc5dc01,0x8001bded,0x13200080,
    0x7ff700b6,0x337b2600,0x01ffc800,0x0ffc3fe6,0x400bfea0,0x4c00902a,
    0xcccccccb,0x01cccccc,0x017db510,0x801a8800,0x2000bdda,0x1bdeecb8,
    0x33006600,0xccccb800,0x81e66444,0x800addca,0x33260019,0xcca803cc,
    0x0f263ccc,0xb9800e5c,0x2a2002dd,0x33332200,0xa8803ccc,0x371bdeec,
    0x6f654400,0xccca801b,0x99970ccc,0xcc983999,0xff980ccc,0x4c7f1000,
    0xbffea80e,0x41fffee9,0x3203fefc,0x7003660a,0x2e239fff,0xbf9004fd,
    0x2d801fec,0x3be200f8,0x5fdc00ff,0x7401fea8,0x997dc02f,0x0bf7004f,
    0x03d12740,0xb539ff90,0x97557fff,0xdf1007fb,0x0003f915,0x05dffbb1,
    0x03b6277a,0x222b7ee0,0xf8804fca,0x04fea81f,0x06ffec40,0x7ec06fc4,
    0x7ffffd31,0x0013fae2,0x200fffea,0x7d41dfc8,0x3005fd06,0x3017e65d,
    0x403bfd9b,0x401dfff9,0x988acfea,0xa801fffb,0xd9510bde,0xdfff9809,
    0x06fffd40,0x200dfc88,0x3ee002fa,0x3e203f9c,0x9fd10ddf,0x07ec4fcc,
    0x5ffeff98,0x200efb80,0x6fd804fd,0x07c017fe,0x31b901e2,0x20fdc0bf,
    0x7f100ff8,0x07d4bb00,0x4c00fb00,0x4404e9df,0x1ffd04fd,0x3fa00ee0,
    0x22002741,0x81ffb12f,0x81fe20fc,0x3ea03fe8,0x07fe201e,0x0009ff75,
    0x07c413fa,0x3fea27dc,0x9ff75099,0x3ffe2000,0xa82f9802,0x805fd06f,
    0x807f42f9,0x01bf61e8,0xfc803ff9,0x0bfa200e,0x3ae00bb0,0x40ffea00,
    0x7d403ffb,0x4004b800,0xfd806ffe,0x0766fc85,0x7fed4097,0x00fc800c,
    0x64c04fd8,0x22003261,0x16205a87,0x0bf103d1,0x025c13f2,0x000b20e8,
    0xffd8007a,0x1bfa200f,0x9100ffc8,0x6c87f980,0x35c3e400,0x0fee0fea,
    0x7e4027ec,0xfb004406,0x1fea0009,0x42ff82dc,0x9fd02ff8,0x7ffec000,
    0xfa81f800,0xc805fd06,0xe807540f,0x32037446,0x3bf200ff,0x203f8800,
    0x8aba985d,0x3e00eb98,0x0bff105f,0x00e004c8,0xb0039930,0x22ff507f,
    0x00801301,0xf8801640,0x2000004f,0x0603c85a,0x304fb828,0x400703ff,
    0x288001c3,0x00b32200,0x7e403ff7,0xf500600f,0xf8009f0f,0x303ff007,
    0x01ff70ff,0x0009ff10,0xd00027ec,0xf105d07f,0x209fd05f,0x360004fd,
    0x7c00effe,0xfd06fa80,0x000fe805,0x5c001be2,0x0bfe607f,0x8b703c80,
    0xfec99bea,0x7fe40b73,0xe80ffb00,0x00000001,0x3e60ff60,0x00000007,
    0x0ffd8009,0x09900000,0x6c00005d,0x00ffe04f,0x00000000,0xbff10000,
    0x000ffb80,0xfb8bfe60,0x01fe2000,0x7fc41fe6,0x8017fe23,0xb0001ffc,
    0x7dc0009f,0x9fd034c6,0x3f609fb0,0x32f60004,0x407c05ff,0x05fd06fa,
    0x30007fc4,0x3ee000bf,0x001bfa07,0x1db1a071,0x80ec9f10,0xff502ff9,
    0x7101e605,0x332059db,0x333261cc,0xf307fb03,0x4bcec98f,0x07376e60,
    0xff500020,0x30e66649,0xeea87999,0xfeeeeefe,0x399992ee,0x3a1e664c,
    0x313fa05f,0x4c0979d9,0x9901cddb,0x6664c399,0x33b6e203,0x809ff702,
    0x00380ffb,0x0bf2bff1,0x500df500,0x527fc0ff,0x7d4007ff,0x9fb0004f,
    0x22ff8000,0x21bf203d,0x09fb01ff,0xffd9ec00,0x3ea03e03,0x4405fd06,
    0x3ea000ff,0x0ff70005,0x0000ffe2,0x403f7244,0xff80ea4a,0x20bff705,
    0x4cbee04c,0x5ff503fe,0xfb06fe98,0x66cff307,0xf707ea88,0x0013f665,
    0xa8dff300,0x37f4c2ff,0x2afeeaa6,0x21aafbaa,0x7f4c2ffa,0xfd02fec6,
    0x754466cb,0x3665f707,0x85ff504f,0x5f706fe9,0x3f20ffa6,0x07fdc03f,
    0xdffb003c,0x7fffdc1b,0xc806fa85,0xc97fa06f,0x3e6002ff,0x00db885f,
    0xcccc89fb,0x45bee02c,0x8ff6200f,0x53f603fb,0xd801ceb8,0x205ffd13,
    0xd06fa80f,0x0ffc405f,0x677ee5c0,0x1fee004c,0x00017fd4,0x00df12b8,
    0xff902c43,0x01fffd01,0x51be203d,0x417fc0ff,0x07fb06fb,0x503e2ff3,
    0xfd03f50f,0x7c400009,0xb82ff87f,0x2a1e606f,0x2e0bfe05,0x807fe46f,
    0xa81f15ff,0xfe81fa87,0xf705ff04,0xfa8df10d,0x402ffd87,0xdb999ffb,
    0x17fee007,0xfa8077e4,0x206fd806,0x07ff66fd,0x647ff880,0x9fb00fff,
    0x400aff88,0x805baff8,0x01ddeee8,0x7f7467ec,0x31ec00ff,0x01f03fff,
    0x0bfa0ff5,0x2b3feaa6,0xdfb5502a,0x7dc00555,0x803ff907,0x09999998,
    0x002fd436,0x87ff3034,0x4c2ffaf8,0xf317ea07,0x20bfa01f,0x07fb06fa,
    0x207eeff3,0xfa837c46,0x3fffea1f,0xffffffff,0x40ffffff,0x06fa82fe,
    0xe80f216a,0x4c6fa82f,0x29ff04ff,0x7c4681fb,0xd03ff506,0x50df505f,
    0x40ff98bf,0x7dc01ffe,0x07ffeeef,0x1ffefc88,0x3ea01fb8,0x205fe806,
    0x03ffe7fd,0xa81fff00,0x89fb00ff,0x3f2000ec,0x01d801ee,0x20ddfd80,
    0x21ec04fe,0x07c0effa,0x2fe83fd4,0xffffffc8,0x02fdc06f,0xfd07fb80,
    0xfeb8801f,0xfb9a2eff,0x201c8004,0xffadc6fe,0x02e02645,0x3fa03ff1,
    0xfb06fa82,0x3eaff309,0x17ee0c2f,0x3fe65ff8,0x3ffc4005,0x37d417f4,
    0x405d0790,0x86fa82fe,0xea89dffc,0x85ff52ff,0xff02fdc1,0xf505fd0b,
    0xff102e0d,0x401ffe83,0x03d40ffb,0x3fea3be6,0x7d404e86,0x205fe806,
    0x07ffa6fd,0xf10fff00,0xc93f601f,0x6ff88005,0x8000fc80,0x06fb85fd,
    0x2ffdc1ec,0x07fea03e,0x7c0e5ff9,0x17ee002f,0xf83fdc00,0xff1002ff,
    0x02fdcd0f,0xff7006c0,0x0ffc9741,0xdda8007e,0x05fd01ff,0x17fe0df5,
    0x7ffc5fe6,0x407fb01d,0x1bfe26fd,0xd0dff300,0x40df505f,0x3a00f82e,
    0x706fa82f,0xff97ffff,0x077ffe21,0xdfb01fec,0xdf505fd0,0x3ffbb500,
    0x5c02ffc8,0x260680ff,0x93ff60ef,0x37d400e8,0xfb02ff40,0x0017fec9,
    0xff10dff1,0x2ed3f601,0x007f9000,0xddddfffd,0x213f6039,0x81ec06fa,
    0x203e4ffd,0xadbbeffa,0xfd039cfd,0x02fdc005,0xfb07fb80,0x37fc009f,
    0x006f98e4,0x9ffc4068,0x4cffe679,0x219d5006,0x05fd01ff,0xffea8df5,
    0x89fe62df,0x7c0dfffd,0xf1ff204f,0xffa800ff,0xfa82fe85,0x7ffffdc6,
    0x3fffffff,0x37d417f4,0x45ff8220,0x40dfffd8,0x1ff204ff,0x1bea0bfa,
    0x3ff0cea8,0x5c03ffa8,0x3e0280ff,0x8fffcc2f,0x06fa801e,0x3fa06fd8,
    0x800fff23,0xff884ff9,0x1fb9fb00,0x007cc000,0x7fffffcc,0x4fd84fff,
    0x1ec07fa8,0x03e5ffd0,0x47bffb6a,0xfd00effa,0x02fdc003,0xf907fb80,
    0x2ffc00bf,0x003fd1d4,0xb7f4024c,0x4cb7f44c,0x7fc2fb80,0xf505fd01,
    0x0df3000d,0x7c1dfff5,0xb17ee06f,0x7e4005ff,0xa82fe83f,0x4fd4c46f,
    0x999db999,0x7d417f40,0x07fee006,0xf077ffd4,0x42fdc0df,0x06fa82fe,
    0x41ff85f7,0x7dc04ff8,0x3fe6000f,0x4beffc80,0x700df500,0x517fc0df,
    0x7d4009ff,0x201ff02f,0x005ffdfd,0xacc012e0,0xfdaa9998,0x7cc27ec0,
    0xf101ec07,0xb701f3ff,0x80310151,0x3ee000fd,0x0ff70005,0xf801ffea,
    0x3e65885f,0x02b8ea05,0x41e9ffb8,0x401f8ffb,0x01ff84fb,0x0df505fd,
    0x102bf300,0x7ff47ff9,0xf889f900,0xdff1006f,0x3ea0bfa0,0x0790b506,
    0x6fa82fe8,0x810ffa00,0x3fa3ffc8,0xd09f900f,0x70df505f,0xd03ff09f,
    0x7fdc01ff,0x0ff91400,0x8007fff4,0xff8806fa,0x6c0ff880,0xdfb000ff,
    0xfd807fc0,0x0003ff9c,0x01f1003d,0x84fd83d0,0x01ec07f9,0x203fffe6,
    0x6d80006c,0x017ee040,0xfb037dc0,0x17fe005f,0x43df516c,0x003a22b9,
    0x261bbfe2,0xfe806eff,0xfb01ff82,0x000df509,0x320729f5,0x40bfee6f,
    0x1ffb82fd,0xb01ffb80,0x20df509f,0x6c01e83c,0x006fa84f,0x90390bf7,
    0x817fdcdf,0x84fd82fd,0x82fe86fa,0x4ff881ff,0x9803ff20,0x440bffa5,
    0xa8504fff,0x05fb006f,0x7ff30bf5,0x403ff300,0x29fb00ff,0x5c001ffb,
    0x300dd005,0xf309fb0f,0xb803d80f,0x07e80fff,0x813b2a00,0x002fdc0c,
    0x3e605fb8,0x5ff801ff,0x65c45f10,0x0ba21bde,0xd04ffd80,0xbfd007ff,
    0xc811ffa8,0x03ff4c6f,0x321f5054,0x7fc5f985,0x7f40bf04,0x13fea01f,
    0x7f4c6fc8,0x01f05d07,0x7f4c6fc8,0x905fc807,0xff8bf30b,0x3f20bf04,
    0x743ff4c6,0x08ffd45f,0xfd80ffcc,0xfd8ba00f,0xfffc80df,0xf50ea0cf,
    0x217e600d,0x1ff700fd,0x201ff440,0x49fb00ff,0x36e00ffd,0xff000eab,
    0x207a2019,0x07f984fd,0xffc80274,0x8000ff80,0x9beffbac,0x5fb84b98,
    0x3f26e880,0x077fcc02,0xf9817fe0,0x007d1002,0xf701ffa8,0x9ff7003f,
    0x1bbff7b7,0xdcacffa8,0xf303cffb,0x7e47d39f,0x3e60fdc2,0x201b623f,
    0x7dc42ffb,0x67fd402f,0x3cffbdca,0x201a607c,0xbdcacffa,0x9f903cff,
    0x3ee17e40,0xb11ffcc1,0x567fd40d,0x23cffbdc,0xfbdbcffb,0xefa80ddf,
    0x0fffe60b,0x7cc1fd33,0xdeb9cfff,0xeeffff98,0x2007fb86,0x007ea1fa,
    0xfd303ff5,0x01ff8805,0x37f449fb,0x02ffff88,0x37bffea0,0xfb01eedc,
    0xf80ff509,0x103f6005,0x588003ff,0xfffff7b5,0x00df903f,0x01767ff3,
    0x98177ec4,0x5f4c04ff,0x005d7101,0x6f881be0,0x3dff9100,0x7e403bf2,
    0x17df54ff,0x216ff640,0x2ddbefec,0x9dbdfd10,0x3ff66001,0x000dffed,
    0x3ea9fff9,0x2a1a60be,0x9fff9005,0x5442fbea,0x76401cec,0x102ddbef,
    0x019dbdfd,0xf54fffc8,0x7fe4417d,0x401df91e,0xfffefdb8,0xffffffff,
    0xfffe985f,0x7ff442ff,0x1ffd81df,0x3777ae00,0x9dfb1002,0x3001bfd9,
    0x17fa05ff,0xf701bff3,0xd910003b,0xe807bdff,0x40ffb85f,0x04efffc9,
    0x06d80e88,0x261b9b00,0xfb02effe,0xbffb001f,0xfdb80019,0x1dfeccdf,
    0x2f7b2a00,0x0000adec,0x007b00f2,0x88008088,0x0000620a,0x20015304,
    0x44000198,0x5100009a,0x82880c41,0x82a20019,0x001a9818,0x1000a982,
    0x0a880033,0x10110062,0x00333000,0x002aa600,0xffb30151,0x4c0019ff,
    0x2aa20000,0x3ffb2000,0x3fff6e4e,0x9dfff92c,0x00000001,0xacfffda8,
    0x03efffc8,0x00022000,0x80c40600,0x1bffffda,0x80001440,0x00019a98,
    0x00001a88,0x00130022,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2f7b2a20,0x5bb71001,0xb807a200,0x01f1000e,0x5d00075c,0x1ef6ecc0,
    0x6666665c,0x33332e03,0x99999973,0x99995019,0xedb88079,0x6cc161bd,
    0xa8b0bcee,0x1ccccccc,0x33333322,0x9999932c,0x00000799,0x1b980000,
    0x32e000c4,0xcccccccc,0x4c1ccccc,0x4ccccccc,0x99999300,0x06ecc999,
    0x0b985014,0x54064044,0x000cea81,0x01ffb800,0xffa80000,0x36a5b302,
    0x13333324,0x06499997,0x9999514c,0x15557999,0x5e764c00,0x66666644,
    0xcccccccc,0x22ffa80c,0x37aa04d8,0x09d9510b,0x01fdacd8,0x3fae03c8,
    0x5c05b000,0x0b7000fe,0xefd986dc,0x57fff540,0x33fee200,0x0bfff660,
    0x405df910,0xc98acfeb,0xdfc87eff,0x86ffdb9a,0x202fffb8,0x440cfffa,
    0x000afffb,0x3fffffe2,0x7ffc44ff,0x204fffff,0x350cfffc,0xfffb3000,
    0xb955555f,0xfff7107f,0xfb880039,0x7fec1cff,0x3220bb85,0x433fff21,
    0x2a1ea80b,0x00bffd05,0x005fd000,0xfffffff5,0x84fc805f,0xffabffea,
    0x19ffb12f,0x7cc1bf70,0x3f221a62,0xfecbceff,0x466c02ef,0x77fc7ea8,
    0xccffeccd,0xfd81fffc,0x6c17fdc3,0x201d7005,0xd300be61,0x7001f900,
    0x001f900b,0x03e201f1,0x3fe613fa,0x541be006,0x7f3004ff,0x501bf620,
    0x904fb8ff,0x037fc0df,0xff007fec,0xddd1000d,0x887ddddd,0xeeeeeeee,
    0x3ff27203,0x2e0006df,0x1e407fce,0x8000fff0,0xfdf707ff,0xffeff881,
    0x7ffe4e46,0x2ebf606d,0x1fff700f,0x1fc40000,0xeeeee980,0x2fc01eee,
    0x32337fa0,0x413fe20d,0xabfc80fa,0x0bff102f,0x440fff62,0x5f13d40f,
    0x3f50dfb0,0x1df309f0,0x99998dd8,0xb801d701,0xc801e805,0x007c400f,
    0x1ec007e4,0xff905f70,0x2003ffa0,0x7ff301f9,0xfd80fc00,0x20fb800f,
    0x51b200ff,0xdddfffdd,0xfffddddd,0x0bfd05dd,0x00000000,0x77dc4330,
    0x32ba0001,0xd024407f,0xfe8000df,0x4c074206,0x8260cffd,0x2600dfc8,
    0x68804fff,0x02d40000,0x0d300000,0xf700dfb0,0x7c40f60f,0x2ff405ff,
    0x2e13fea0,0x4162681f,0xa83b06fd,0xe9adc005,0x41cfdaef,0x09f7105b,
    0x1f9004c8,0xf9003d80,0x6405a801,0x81ff985f,0x5b803ffa,0x800ffe20,
    0x02ffb81f,0x07fc43a0,0xfaa88d30,0xaaaaaaef,0x1aaffdaa,0x00005fe8,
    0x00000000,0x7e5aa000,0x3f602807,0x37ec0006,0x00101260,0x0332e000,
    0x00000e60,0x80000007,0x03fd800a,0x3cc2ff88,0xd00332a0,0x9ff900bf,
    0x10c2ffa8,0x4c1bf605,0x1a000541,0x43fcc7f7,0x4feb881d,0x7e400d30,
    0xc801aa00,0x003e200f,0x0ff509f3,0x174037f4,0x4007ff10,0x006fe81f,
    0x04ff88dc,0x00bfd02c,0x5fe80ff9,0x3b2a0002,0x36e200cd,0x000002ce,
    0x1ff25d00,0x00dfb000,0x2206fd80,0x0000001d,0x00e98000,0x30000000,
    0x00039bb7,0xc801fec0,0x0002646f,0xd100bfd0,0x7ffc41ff,0x37ec001d,
    0x89100000,0x217ec3fb,0xe83f403a,0x403f2002,0x3f2000f8,0x0000f600,
    0x7fdc0bf9,0xf101aa02,0x20fc007f,0x44005ff8,0x1813ffa0,0x32017fa0,
    0xaaff407f,0x2b762006,0xfb81ffc9,0x5407fd32,0x03bb712d,0x3fe4d500,
    0x0dfb0070,0x506fd800,0x0db88019,0xa8036e20,0x03bb712d,0x712da893,
    0x96d4039b,0x5c01ddb8,0x409fb32f,0xb09b52d9,0x3fe6007f,0x6cc01f11,
    0x3fa09b52,0x89ff7005,0x00dfffd8,0x4400dfb0,0x42b800db,0x217ec3fb,
    0x5c2dc058,0x807e4004,0x07e4003d,0x440006a8,0x3fe200ff,0xf100f605,
    0x20fc007f,0x40003ffa,0x002efffa,0x7e402ff4,0x766ff407,0x36172000,
    0x2a37c46f,0xbffea87f,0x00fffee9,0x0ff90f40,0x037ec03c,0x041bf600,
    0x807ffe40,0xea80fffc,0xffee9bff,0x3ffae00f,0x0fffef9b,0x74dfff54,
    0xf500fffe,0xea89fd03,0x2fffabff,0xfd001fec,0x7f5416e9,0x82fffabf,
    0xff3005fe,0x3bffea0d,0x006fd800,0xb001fff9,0x3ea3fb81,0x0f418d06,
    0xf90003e6,0x9000d501,0x003d101f,0xc802fb80,0x00f880ff,0xf001ffc4,
    0x002ffc83,0xdffffb80,0x00bfd001,0xffe80ff9,0x0be6000d,0x5fa8bfea,
    0xff807fcc,0x09fd10dd,0x3ff22dc0,0x07db9999,0x1fd86fd8,0x0006fd80,
    0xf3007fcc,0x6effc01f,0x8809fd10,0xfd30cdff,0x4377fe09,0x6f884fe8,
    0xfd03ff50,0xd81b919b,0x3fea003f,0x6ff401e8,0x3310dc8c,0x33333dfd,
    0x204fff10,0x54c3ffc8,0xaaefeaaa,0x1ff501aa,0x9df70d00,0x98e405dd,
    0x2e82ddff,0xbfd90510,0x00c0f443,0x3c83bfd9,0x13a00510,0x5c27fcc0,
    0x03ff8805,0x3ffd07e0,0x3fa60000,0x7400cfff,0xeeeeeeff,0x7407ffee,
    0xcfc8006f,0x3ffdcccc,0x07fe205c,0x2fe42fec,0xffc83f00,0x07feeeee,
    0x7fc46fd8,0x006fd803,0x1007fc40,0x2fec01ff,0x7f402fe4,0xfb05fc84,
    0xf70bf90b,0x6c2ffc0b,0x03fd806f,0x3fe66666,0x419999ed,0x3baa06fd,
    0xeeeeefff,0x390fff80,0xeea8df90,0xeeefffee,0x01ff104e,0xf17f70d0,
    0x0206c01f,0x01f605b8,0xfffc8990,0xb0354004,0x800b500f,0x017c0ffd,
    0xf001ffc4,0x001ffe83,0x7fffdc00,0x017fa01e,0xff981ff2,0x99fd8005,
    0x00999999,0x407ff76a,0x06fa83fd,0x93333d70,0x201e60ff,0x00ca86fd,
    0x40006fd8,0x3e200ff8,0x20ff600f,0x3fe806fa,0x7fb06fb8,0x7fb0df50,
    0x7ec37ec0,0x204fd803,0xffeeeeed,0x6c5eeeee,0x0bfd003f,0x5c9ffe20,
    0xfd805f98,0x03fe2006,0x7dc1c8ae,0x0340bf53,0x3f201f10,0x951a6007,
    0x2003fb11,0x0ff901e8,0xfa8001b0,0x4401aa3f,0x07e003ff,0x00005ffb,
    0x1dfff910,0x32017fa0,0xbfff507f,0x001fd000,0x3fe19d50,0xf307fb01,
    0xdddf100f,0x2c0fffdd,0x00037ec0,0x20001bf6,0x07fc00ff,0xff307fb0,
    0xf507fb00,0x260ff60d,0x204ff87f,0x03fd87fc,0x4c006fe8,0x3fd800ff,
    0x200bfd00,0x0bf26ff9,0xdfb003f7,0x207fc400,0xb8751ffb,0x260bf63f,
    0x540f6004,0x07a007bd,0x9004f885,0x01f36a09,0x37f40012,0x3fe2007b,
    0xf903e003,0x4000009f,0xfd04ffe9,0x70ff900b,0x000bfd1d,0xfb8003fd,
    0xfd80ffc2,0xc807f983,0x140ff904,0x00037ec0,0x20001bf6,0x07fc00ff,
    0xff307fb0,0xf507fb00,0x260ff60d,0x206ff87f,0x03fd85fb,0x0b7fff6a,
    0x4007fc40,0xbfd003fd,0xc93fea00,0x02ddbefe,0xf800dfb0,0x887fd40f,
    0xfd11fdc5,0xb5002b81,0x803dda60,0x01f9804c,0x32d30698,0x8001c407,
    0x00f8affb,0x44013fe0,0x005ffa87,0x3fe60240,0x900bfd06,0x2ff450ff,
    0x102fec00,0x7fc27dc5,0xf307fb01,0x900f880f,0xfd8000ff,0x37ec0006,
    0x007fc000,0x3fd803fe,0xfd807f98,0xfb06fa83,0xfd0ff307,0x213f201f,
    0x803003fd,0xffeeeeed,0x6c5eeeee,0x0bfd003f,0x208bff60,0x7ec000e9,
    0x407fc006,0x9f916c09,0x1d10ef98,0xd101f100,0x3a601ee1,0xd005c800,
    0x1f21d103,0x22000110,0x4005cdff,0x0d3005fe,0x30003ffa,0x83fe4034,
    0x7fc805fe,0xa802ff40,0x3205ff71,0x3fe0bfa0,0xf307fb01,0x3204c80f,
    0x3605007f,0xb053006f,0x40a600df,0x07fc00ff,0xff307fb0,0xf507fb00,
    0x260ff60d,0x02ffb87f,0x07fb05fb,0x2607ff10,0xaffa9999,0x7ec19999,
    0x00bfd003,0x7e40bff3,0x037ec004,0x44003fe0,0x44cccbaf,0x002e8cca,
    0x7b87607b,0xe9802e80,0x3b04c800,0x000003e4,0x0007fff2,0xb9001ff9,
    0x801bfea0,0xf7007e0c,0x2017fa0d,0x2ff407fc,0x3ffe2680,0xfe89710b,
    0x408ffd45,0x07f983fd,0x7fc803e6,0xdfb05980,0x37ec1a00,0x03fe0680,
    0x7ec01ff0,0xd807f983,0xb06fa83f,0x20ff307f,0x20bf04ff,0xff5003fd,
    0x03fe2001,0x7400ff60,0x0ffe805f,0x8007fa60,0x7fc006fd,0x00be6000,
    0x6a801f44,0xffffff30,0x2012e07f,0x0e9800d9,0xffffff98,0x0007703f,
    0x40037fcc,0x7dc03fe8,0x017fee00,0x401bf0b2,0x0dff03fe,0xff80ffb0,
    0x7d44c806,0x40ffffff,0xfbdbcffb,0x27ec0ddf,0x09d03fcc,0x7400ffd8,
    0x900ffd02,0x201ffa0b,0x03ff105c,0xfb00ffc4,0xd00ff309,0x20ff507f,
    0x07f984fd,0x36c47ff3,0x74009fb0,0x07fe6006,0x7c013f60,0x3bfa605f,
    0x000fd801,0xf8801ffa,0x5f4c001f,0x005d7101,0x7b8007e2,0xb3003a60,
    0x02e80cc1,0xffa81f20,0x0ff60002,0x067fcc00,0x2a007f26,0x2a21bdff,
    0x41eff82d,0xff105fc8,0x03ffd00f,0x266fffe2,0x82feaa99,0x81effff9,
    0xf91effc8,0x509ff01d,0x07f701ff,0xa982ffe8,0xfff880fe,0xdaa9999a,
    0xafff882f,0xfdaa9999,0x405ff302,0x3fe02ff9,0x400ffa84,0x07fb84ff,
    0x1ff509ff,0x3b7bfa20,0x01bfa00c,0xa800bb2a,0x6fe802ff,0x09eff880,
    0x009ff951,0x44007f95,0xf3000fff,0x32a0005f,0x0adecbde,0x70013600,
    0x2a01740f,0x707eeeef,0x207c800b,0x20001ff9,0x260000fa,0xdffeeffd,
    0x3fb66001,0xd01bdeff,0xffdbffb7,0xfffd9507,0x7f64439d,0xf932cfff,
    0xffffffff,0xa880ffff,0x80808800,0x8acfffea,0xb33efffc,0x6443bfff,
    0xffffffff,0x64c6ffff,0xffffffff,0x260fffff,0xfffffffc,0x80ffffff,
    0xc84effec,0x7544effe,0xfc8acfff,0xfea83eff,0xffc89cff,0xfffd53df,
    0xdfff9159,0x200cc407,0x02dfffda,0xfda80066,0xda81dfff,0xda82dfff,
    0xefffffff,0x31001bcd,0x7ffe4c00,0x3b201cff,0x40004eff,0xb30001a8,
    0x2a095000,0x66664404,0x00d882cc,0x02202540,0x0000a000,0x004d54c4,
    0x4006a200,0x000d54c1,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00400dff,
    0xb80b81c4,0x6664c3ff,0xb801cccc,0xec9801ff,0x440dc0ad,0x99999953,
    0x00155579,0xddb896d4,0x64410101,0x02cccccc,0xb53bdb71,0xec98ecc0,
    0xcccc981c,0xcccccccc,0x6666543c,0x33221ccc,0x952ccccc,0x57999999,
    0x20000155,0x332a003a,0xaacccccc,0x66665401,0x332e1ccc,0xcc984ccc,
    0x004ccccc,0x99999995,0x32001355,0xcccccccc,0x50cccccc,0x00079999,
    0x4c333332,0xcccccccc,0x66666640,0x99999971,0x99995019,0x33332a79,
    0xcccccccc,0x9999950c,0x20013579,0x5403dedb,0xcccccccc,0xa803cccc,
    0xffffffff,0x00ef9802,0xb900df70,0x77c41e41,0x7fdc40ff,0x3f2000af,
    0x545fe404,0x98be21ff,0x77ffe446,0x2effecbc,0x26fffaa0,0x640fffee,
    0xf50ffa4f,0x3ea019ff,0x87ffc99d,0xffaaffeb,0xfa882fff,0xcaaaaaef,
    0xffb886fc,0x3ffea02f,0x7ffe440c,0xeffedcce,0x03740003,0x33bff220,
    0x02ffdcab,0x40bffee2,0x2202effa,0x001cfffb,0x667ffe44,0xf803fffd,
    0xffecccef,0x21ffeccc,0x000fffc8,0x205fffd4,0x0cffffb9,0xa819ff50,
    0x4c03ffff,0x7dc41eff,0xdcaaaaef,0x3ff221ff,0x0dffecdf,0xfffffd10,
    0x37bf601d,0xffcccccc,0xeee9802f,0x801eeeee,0x3f6000fb,0xd9ef8807,
    0x13e6b906,0xd80037fc,0xfb03f206,0x2facfb8b,0xb105ff88,0xdff807ff,
    0xe89fd10d,0x3613fe6f,0x05f500ff,0x3fe20ff9,0xfffd99db,0x980dff00,
    0x201bfe07,0xff100ffd,0x3bff620b,0x1ff98000,0x82ffc400,0x3e00efe9,
    0x017ea06f,0x20007ff8,0x7e445ff8,0x6c17c06f,0x441f986f,0x74004fff,
    0x7fcc06ff,0x80fe603f,0xe801fff9,0x817fe00e,0x2ffc42f9,0x3a0bffa2,
    0x6fffb9ce,0xffa807b0,0x40000004,0x0e44001e,0x82fffb80,0x7c0f4459,
    0x1d10005f,0xff507f30,0x740dffd0,0x27fd405f,0xbf90bfb0,0x032a1c98,
    0x2fc41ff6,0x3fe07fa8,0xd03ffb85,0x740b00df,0x07fc805f,0x3ea02ff4,
    0x7ec000ef,0x5fe8005f,0xe813fe20,0x009f305f,0x40006fe8,0x5ffd05fe,
    0x37ec1620,0xffef82b8,0xbfff5000,0x40dff300,0x4ffb804e,0x3e00fcc0,
    0x7c15c05f,0x46ff985f,0x05ffb06a,0x0eff880b,0x22000000,0x90000002,
    0x82806079,0x0199aefe,0x0bf20a20,0x0e64c044,0xf900bfd0,0x20ff609f,
    0x640006fa,0x207f907f,0x0bfe07f9,0x6fd82ffc,0x17fa0280,0xfd01ff20,
    0x0bff900b,0x07fefc40,0xb017fa00,0x42ff40df,0xfd8004e8,0x2ff40006,
    0x5104ffb8,0x0c41bf60,0x8027fdf4,0x7004ffbd,0x00bb09ff,0x7b00fff4,
    0x880bfd00,0xfd05fe81,0xf980e43f,0x7ec0484f,0xcccc801f,0x00f33261,
    0x00000000,0xeffe8000,0x000beffe,0x00003fd0,0x22017fa0,0x3fd80ffe,
    0x40007f98,0x05fb07fc,0x2ff81fe6,0x3f60ff90,0x2ff40006,0x3a03fe40,
    0xfff8805f,0xff3b7001,0x05fe8007,0xfe807fe4,0x80027445,0x740006fd,
    0x0dff305f,0x800dfb00,0x400ffd9e,0x004ff8f9,0x0eb87ffa,0x41bfe600,
    0x0bfd006a,0x6417fa00,0xfd0063ff,0x4ffb8009,0x30bfea00,0x99950dfd,
    0x49999999,0xccccccca,0x3332a4cc,0x44cccccc,0x3fa00db8,0x4077fd45,
    0x2ff80db8,0x006dc400,0x3ee00bfd,0x983fd84f,0x01b7107f,0x1ff83fe4,
    0x7fc0ff30,0x360ff702,0xd006606f,0x0ff900bf,0xf7005fe8,0x74be009f,
    0x2ff4006f,0xfe81bfa0,0x80013e65,0x740006fd,0x07ff505f,0x800dfb00,
    0x403ff99e,0x4009ff4d,0x03f36ff8,0x887ff700,0x0bfd001f,0x20bfd00e,
    0x36002ffd,0x3fe6002f,0x82fe8006,0xbcfb86fb,0x24ffcaaa,0xcaaabcfb,
    0x2f3ee4ff,0x24ffcaaa,0x3a00fffc,0x46ffa85f,0xff80fffc,0x3fff2005,
    0x4017fa00,0x3fd86ff9,0xffc87f98,0x41ff200f,0x0ff302ff,0x6fa817fc,
    0x1640dfb0,0x32017fa0,0x02ff407f,0xa806ffa8,0x800bfea6,0x3fea05fe,
    0x7cd7fa04,0x37ec0004,0x417fa000,0xd8000ffe,0xe8f4006f,0x7c7e206f,
    0x7fdc004f,0x3a0002fc,0x801361ff,0xe80d05fe,0x1fff885f,0x8003fa00,
    0xe8001ffe,0xc86fa82f,0x2c8dfd02,0x02c8dfd0,0x1ff50dfd,0xff82ff40,
    0x407fd40f,0x50a207fd,0xe99881ff,0x819999ef,0x3fd87ff8,0xff507f98,
    0xe83fe401,0x40ff303f,0x0bf702ff,0x26667bf6,0x7f402fba,0x407fc805,
    0xff1005fe,0xff87d00f,0x83bfa005,0x403ffca9,0x004f9dfe,0x0006fd80,
    0x3f622ff4,0xdfb0002f,0xff51e800,0x4ff97205,0x04ffd800,0xab7fcc00,
    0x37fa000f,0x407da999,0x4ffb85fe,0x800fe200,0xd0003ffc,0x90df505f,
    0x0903ff20,0x20903ff2,0xff880ffc,0x6c17fa00,0x07fc42ff,0x0d817fe4,
    0x3aa07fc4,0xeeeefffe,0x40fff80e,0x07f983fd,0x7e401ff1,0x260ffb07,
    0x40bfe07f,0xdffb02fc,0x05ffdddd,0xffffffe8,0x07ffffff,0xff002ff4,
    0x207cc01f,0xfd000ffc,0xffffffff,0xffdfd005,0xfd80003f,0x77f40006,
    0x01cffecc,0x001bf600,0x4437f43d,0x0013fe1f,0x0001bfe2,0x00baffee,
    0xfdddffd0,0xaefe80ff,0x004ffea9,0xff300364,0x17f4000b,0xfa8037d4,
    0x5ff5002f,0x40bfea00,0x3fa00ff8,0x885ffd05,0xfff880ff,0x3e213262,
    0x017fa00f,0x7ec3ffc4,0xf107f984,0x83fe401f,0x3621dffa,0x40ffe07f,
    0x41bf606f,0x2ff402e8,0x3a03fe40,0xfff1005f,0xff884c80,0x88bfd004,
    0x201dffca,0x1fffbdfe,0x01bf6000,0xf75dfd00,0xfb0000bf,0x2e1e800d,
    0x3e35c2ff,0xffa8004f,0xfe80004f,0x5fe8005f,0x77f40798,0x001bcccb,
    0xe88007c4,0x3a0000ff,0x806fa82f,0xf3004ff9,0x3fe6009f,0x803fe204,
    0xfff885fe,0xb807fc40,0x0efeffff,0x3a00ff88,0xdff3005f,0xff509ff0,
    0x401ff101,0x3ff607fc,0x07fadcef,0xfc883ffe,0xa81bf601,0x402ff402,
    0x2ff407fc,0x206ff980,0x99999af8,0xbfd007fe,0x80fffd40,0x3fff75fe,
    0x01bf6000,0x7dcbfd00,0x7ec0003f,0x3e0f4006,0x3fe17c5f,0x74fc4004,
    0x540001ff,0xfe8002ff,0x5fe80905,0x007b0000,0x00017fec,0x1bea0bfa,
    0xe801bfa0,0x1bfa006f,0xfe803fe0,0x81ffec45,0x3fea00ff,0x3fe00bef,
    0x4017fa00,0x3faa4ffa,0xffc8acff,0x00ff83ef,0xff901ff2,0x40ff31bf,
    0xefcdecff,0x1037ec01,0x805fe803,0x2ff407fc,0x205ffa80,0xeeeeeefb,
    0xfe802ffe,0x837fdc05,0x3ffee5fe,0x06fd8001,0x362ff400,0x360001ff,
    0x20f4006f,0xf0d51ffb,0x9f44009f,0x40006ff8,0xe8002ff9,0xfe80305f,
    0x05c80005,0x0017fea0,0x3ea0bfa0,0x007fe406,0x9000ffc8,0x1ff001ff,
    0x54ceff40,0x3fe03ffe,0xf0069800,0x02ff401f,0x1802ffd8,0x9007fc00,
    0x415100ff,0x2bfe07f9,0xfb000a98,0x5fe8000d,0x7407fc80,0x5ffb005f,
    0x3fa01740,0x405fe806,0xbfd07ff9,0x001fffb8,0x200037ec,0x37fc45fe,
    0x00dfb000,0xaffc41e8,0x004ff83e,0x09ff7176,0x017fcc00,0x8002ff40,
    0x5c0005fe,0x3bfe2005,0x4fd80000,0x3ea06fa8,0x5ff5002f,0x00bfea00,
    0xffd007fc,0x8017bddd,0x4fc800ff,0x3a00ff80,0x5ff9805f,0x002ff980,
    0x3fe401ff,0x207f9800,0xfb0002ff,0x3a06600d,0x07fc805f,0x7cc02ff4,
    0x201aa05f,0x7f401ffb,0x83ffcc05,0xfffb85fe,0x01bf6001,0x42ff414c,
    0xb0004ff9,0x81e800df,0xff07bffc,0x741ae009,0xf30001ff,0xbfd0005f,
    0x017fa000,0x6c006a80,0x01a801ff,0x3fa637e4,0x209ff107,0x2827fc42,
    0x82827fc4,0x17fa00ff,0x4007fc00,0x7fc00ff9,0x2017fa00,0xf5000ffe,
    0x803fe00f,0xf30007fc,0x0017fc0f,0x1d006fd8,0xf900bfd0,0x805fe80f,
    0x0fa00ffe,0xd017fe20,0x4ffc80bf,0x3ee0bfd0,0xdfb001ff,0x2ff41a00,
    0x8002ffc8,0x0f4006fd,0xf827ffc4,0x00fa805f,0x0001dff3,0xd0005ff3,
    0x3fa000bf,0x01d50005,0x013fee14,0x3fea006c,0xcffbdcad,0x8902ff43,
    0xfd1205fe,0x3fe2240b,0x001bfe01,0x74007fe2,0x00ffc407,0x7f4c0bff,
    0x02fc001e,0xfb00ffc4,0x1fea000f,0xd0002ff8,0x20b700df,0x7fd806ff,
    0xd102ffc0,0x07d403df,0x202ffd80,0x3fe205ff,0x40dff01f,0xe803fffb,
    0xf05c807f,0x17ff40df,0x001ffa00,0x03ff605f,0x3e6037fc,0x02ffe402,
    0x001ffd40,0xf8002ffc,0x0ea8006f,0x3e63d998,0x00d5006f,0x7d53fff2,
    0x03ff20be,0x0ffc9322,0x3ff24c88,0x7cc4c880,0x1fff302f,0x02ff9800,
    0x26017654,0xdff102ff,0x3ff2a213,0x0f6d4004,0xf017fcc0,0xf70003ff,
    0x07ff101f,0x03fff100,0xf105f931,0x3fff00ff,0x427bfe20,0x404ffba8,
    0x3f2007f8,0x3dff106f,0x0f7fdcc1,0x7c07ff88,0xf100cfff,0x533335ff,
    0xff105fb5,0x3ffe201f,0x1fff1002,0x4c13e600,0x0fff304f,0x26007fdc,
    0x64004fff,0x7cc004ff,0xff98007f,0x7ffd4007,0x0fffffff,0x2666bffa,
    0x5fda9999,0x1882a200,0xffffffa8,0xff54ffff,0xffffffff,0x3ffffea9,
    0x324fffff,0x3664effe,0x01cfffff,0x04effec8,0x3fb20066,0x3ff6a4ef,
    0xcdefffff,0x0098001b,0x49dffd90,0xcfffffc8,0xfffc9802,0x3fffb24e,
    0xfec9801c,0xffffffff,0x7fed47ff,0x3221ceff,0x52cfffff,0xfffffffb,
    0xb80359bd,0x2604efff,0x54fffffd,0xfffffffb,0x2a07bdff,0x1ceffffd,
    0x3fffff66,0xfff931df,0xffffffff,0x7fed41ff,0xfa81cfff,0xf9304fff,
    0x2039ffff,0x83dfffda,0x7ffed41d,0xffd70cef,0x3fb207df,0x6404ffff,
    0x04effffe,0x77fffed4,0x7fed401c,0x4c01cfff,0xffffffff,0x3ffee5ff,
    0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6cc00000,
    0x01fcc001,0x5406200c,0xaaaaaaaa,0xca82aaaa,0xccc80cde,0x0f33261c,
    0xdb710000,0x05c00059,0x0006a000,0x00000200,0x00006000,0x20040000,
    0x800adec9,0x665c9048,0x999971cc,0xba666419,0x260ccccc,0x99993ccc,
    0x21e664c3,0x1b819839,0x02cedb88,0x039bb730,0x019bd950,0x912f3b26,
    0x65400320,0xdb712ced,0xddca805b,0x2f7b260b,0x66666540,0x03999992,
    0x16f5c7b3,0xa8033b26,0x03bb712d,0x3333332a,0x6dc44ccc,0x07ffaa00,
    0xa807fd00,0x1441e403,0x5bb11c00,0xf503ff93,0x06fe985f,0xfffffff9,
    0xd32fb81f,0x07a0007f,0x0005b000,0x2259db71,0x0001971e,0x0e6edcc0,
    0x980007f9,0x4399991d,0x5fabccc9,0xff517f90,0x3d81e803,0xf70fff62,
    0x1ee881bf,0x101dff71,0x17fd419f,0x7d11bfa6,0x1bfddfb1,0x32fb81d9,
    0x2fb807fd,0x36209fb3,0x41ffc9ad,0x47ea88cd,0xc806985b,0x9d7fd32f,
    0xb107fd73,0x267bea1b,0x40efc8ae,0x3ea1fffa,0x7ff540af,0x2fffee9c,
    0x50dffdf7,0xfdd37ffd,0x79f701ff,0x49ff9555,0x5500fffc,0x64003ff9,
    0x0fa203ff,0x02883f88,0x36172380,0x705ff06f,0x3bbae0df,0x220eeeee,
    0x003fd46f,0x6c0001e8,0x467d4002,0x222edfd9,0x40001dfc,0x29fb32eb,
    0xd50005fb,0x42ffb87d,0x87f9efe9,0x02fec0fc,0xf10d90bb,0x207fd05f,
    0x105fd81e,0x705ff01f,0x17fd10df,0x22077e44,0x503fd46f,0x909fd03f,
    0x7c4dfb0b,0x41f43d40,0x917ea05d,0x1ffa89ff,0x3fea07ec,0x742fec2f,
    0x2007645f,0xfb10cdfe,0x1ffcc79d,0xd10ddff8,0x3a05909f,0x00ffa86f,
    0xa800ffc4,0x3f603fde,0x107fb103,0x3e670005,0xe82ffa82,0x006fa82f,
    0xf98bf500,0x01e8000f,0x30016c00,0x05fe883f,0x0005df71,0x5bfd03f5,
    0x7dc4003f,0x05ff102e,0x985d3df7,0x707fa83f,0x903fa83f,0x30df50bf,
    0x203fe60d,0x505fd03b,0x405f10df,0x22fd40fb,0x6f880ff9,0x7cc3ff50,
    0xf72ffa82,0x85f70d03,0x89f503f9,0x4ff81ffa,0x3ff41be6,0x3f607fdc,
    0x7ec01724,0xd82ffa85,0x90bfb04f,0x3f2090bf,0x00ff880f,0xf8801ff8,
    0xfe883fd9,0xfd31ccef,0x0a2399bf,0x667e4e00,0x83ffdccc,0x06fa82fe,
    0xf102e000,0x03d0003f,0x1002d800,0x07ff60df,0x0017fd50,0x3fea0df1,
    0x9f93000b,0x505fd003,0x5f9013df,0x17ea0220,0x7fcc0df3,0x320ffcc0,
    0x3a0ffa03,0xf505fd00,0x9b00990d,0x1ff88170,0x3fe05fb8,0x33333f25,
    0xff53ffdc,0x83fd0185,0xa81502fd,0xfcccccff,0x6413f65f,0xfeeeeeff,
    0x5da7ec1f,0x2213f600,0x05fc80ff,0x0df507fb,0x440bfea0,0x1ff800ff,
    0x07fb3d80,0x155bfd53,0x2ab7faaa,0x27000510,0x999999fd,0x82fe8099,
    0xdb8806fa,0xffbb5000,0x003d0003,0xf5002d80,0x0bff9909,0x8073f660,
    0x0ffe05fb,0x002ff6a0,0x6fa82fe8,0x98007fa0,0x0bfe21ff,0xfed87fd0,
    0xff700745,0x0bfa05a8,0x007a1bea,0xfbb501aa,0x407fb03f,0x267f66fd,
    0x10999999,0xa803bfff,0x03fe60ff,0x33ffd930,0x74133333,0x33df503f,
    0xfb033333,0x64001fb9,0x701ff04f,0x20ff60bf,0xff9807f9,0x003fe204,
    0x4b7007fe,0x0ff603fd,0x02883fd8,0x001fd380,0xdf505fd0,0x00fffc80,
    0x1ff86754,0x0001e800,0x4fc8016c,0x006fdadc,0x6c16fe44,0x417f603f,
    0x0002eeb8,0x0df505fd,0xfd0017fc,0xb807fe8b,0x3fe7a66f,0xff880b50,
    0x2fe80762,0x00f86fa8,0x19d50788,0x13fe07fe,0x03fa7fc8,0xdfffd880,
    0xfb17fe00,0x26bb660d,0x13fe007f,0x360037d4,0x2005ffdf,0x01ff04fc,
    0x0ff60bf7,0x3fa01fe6,0x800ff806,0x83e201ff,0x0ff603fd,0x02883fd8,
    0x003fd380,0xdf505fd0,0x401ff300,0x80ffc2fb,0xfeeeeeec,0x26eeeeee,
    0xfeeeeeea,0x1eeeeeee,0x325a93fa,0xf710007f,0x9027fc1d,0x03ff50ff,
    0xa82fe800,0x017fe06f,0x3ea0ffb8,0x8ffc401f,0x0b67fd2c,0x03457f20,
    0x1bea0bfa,0x21a6003e,0x40ffc2fb,0x97ee06ff,0xfa8001fe,0xff980eff,
    0x2e0ffe22,0x003fe63f,0x7f9827fc,0x7ce7ec00,0x09f9003f,0x17ee03fe,
    0x3fcc1fec,0x2003ff20,0x1ff800ff,0x07fb0ba0,0x7fb01fec,0x27000510,
    0x20a205fd,0x06fa82fe,0xf700ff88,0x2203ff09,0xae999999,0x22199999,
    0xbd999999,0x74199999,0x7dc1d36f,0xefb88006,0xf7037fc2,0x02ffae0b,
    0x5417f400,0x81ff606f,0x2e1fe428,0x8cfd805f,0x01a3bee6,0x01dcffcc,
    0x1bea0bfa,0x716e00b6,0xd03ff09f,0x93f201ff,0x04a205fd,0x360fff22,
    0x5c27dc3f,0x00ffc45f,0xf982ff45,0xfd81502f,0x9003ff74,0x203fe09f,
    0x07fb05fb,0x7fd40ff3,0x001ff002,0x216e03ff,0x0ff603fd,0x3ffffff6,
    0x27000512,0x01902ffb,0x0df509fb,0x3a01ff10,0x001ff82f,0x6c0001e8,
    0xd3ffb002,0x2004fc81,0xfd01dfc9,0x013f201f,0x80019fb5,0x06fa82fe,
    0x06c0bff2,0x07f607ec,0x4479ff30,0x36003dff,0x7ec00ecf,0xf986fa84,
    0xfd07e200,0xf703ff05,0xb8bf605f,0x321902ff,0x7cc6fc81,0xfd82fc45,
    0x5505ff82,0x7d407fe4,0x9fb0d06f,0x32007fec,0x701ff04f,0x20ff60bf,
    0x9ff107f9,0x003fe0a0,0x03a607fe,0x3fd80ff6,0x99cfe988,0x27000510,
    0x710bfff8,0xd31bf209,0x03fe00ff,0x3fea2ff4,0x00f40011,0x5400b600,
    0x2fc81eff,0x00cfda80,0xfd817fdc,0x3bf93002,0x2a13f600,0x3ffe206f,
    0x74413262,0xfe805e84,0x000ffc87,0x32013fea,0x83ff4c6f,0x86e880ee,
    0x8ffd45fe,0x5f827fc0,0x885fffc4,0x3e61724b,0x076436c5,0xffe84fe8,
    0xff116a0c,0x3bfff909,0x93f61366,0x3600efe8,0x81ff884f,0x09fb05fb,
    0x17fa0ff3,0x00ffc448,0x80f40ffc,0x0ff603fd,0x02883fd8,0x3ffea380,
    0xf500ffff,0xff7b959f,0x00ff8079,0xf7b79ff7,0x74001bbf,0x016c0001,
    0x17e0bfd0,0x002eeb88,0x05f827fc,0x02efb880,0x3fa637e4,0x7fffdc07,
    0x3e600efe,0x2e00f440,0x005f984f,0xfa801fe8,0xffbdcacf,0x33f3b23c,
    0x44ecfcbb,0xfbdbcffb,0x7fcc0ddf,0x7d41b623,0x20ffffff,0x30fdc2fc,
    0x201f881d,0xaea8bffb,0x1ffdfffe,0x3ea3ffb8,0xffffffdc,0x7cc5ff80,
    0x217fa05f,0x7fc82ff9,0xff509ff0,0x880ffc81,0x017fcc4c,0x3bee0ffc,
    0xeffeeeee,0x203fd86e,0x002883fd,0x7fffcc38,0x7ffe401e,0x8017df54,
    0xff9100ff,0x003bf23d,0xd80003d0,0x8fffa002,0xfc880ec8,0xff30001d,
    0x80006c87,0xfa80cfea,0xffbdcadf,0x3ffea03c,0x84a800be,0x807c4059,
    0x06b8002e,0x553fff20,0x21d50bef,0xd10bdcb8,0x8f7fe445,0xfd100efc,
    0x4c019dbd,0x641effff,0x42ddbefe,0x4402c81d,0xb10dfffd,0x4c05bfff,
    0x362feeff,0x75c1cfff,0xffb2efff,0x3f6a19ff,0xffd92cff,0xfffb319d,
    0x3fffaa5b,0xefffc8ac,0xffffff53,0x7649ffff,0x7fc04eff,0x7ffffe41,
    0x87ffffff,0x0ff603fd,0x40e000a2,0x51001ea8,0xff0025c1,0x1dc08801,
    0x0001e800,0x8ad8016c,0x80dedefd,0x80000cfa,0x0cdcefe8,0x3f660000,
    0x54fffd81,0x330017df,0x00201000,0x10001806,0x20a88003,0x04001018,
    0x10008088,0x0a880033,0x08054c10,0x05440010,0x22000a88,0x0013100a,
    0x00000000,0x00000000,0x20ffc000,0x99999998,0xfc819cfd,0x22bf9065,
    0x07000511,0xd0000fc4,0x007fc007,0xffb017c0,0xffffffff,0x3600ffff,
    0x54439802,0x00004401,0x0000cc40,0x54402200,0x00000620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x003ff000,0x3ee03fd8,0x7fd40cbf,0x000510eb,0x0027cc07,
    0x3e200df0,0x37c4001f,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x970ccccc,0x25b30399,0x1c8804da,0x0c803a80,0xb7100660,0x0036005b,
    0xbb7103aa,0x02fae205,0x88165d54,0x0ec80bdb,0x00cb83b2,0x11000001,
    0x11111111,0x02201111,0x0bfd1040,0x0ecc3ff7,0xaa982204,0x44442aaa,
    0x88888888,0x88000088,0x7ec001ff,0x4177f403,0x0a22efd8,0xdfd00e00,
    0x7e400535,0xff3029be,0x7dfb0005,0x00000053,0x00000000,0x00000000,
    0x00000000,0x7c45fff5,0x5fff541e,0x5402fffa,0x03f8805f,0x80ff0176,
    0x401fdadd,0x7edc04fb,0x1fed66c0,0x0ff273ee,0x2e0fe4f5,0xff887f26,
    0x3ea7ff13,0x3ee1b87f,0xffffffff,0xf71fffff,0xffffffff,0x443fffff,
    0x200beffc,0x3607fc44,0x3a37f42f,0x3a3ff12f,0x10ffffff,0xffffffff,
    0x03ffffff,0x02ff8800,0x0401fec0,0x55644040,0xaaaaaaaa,0x75c404aa,
    0x6dc000ce,0xffec81de,0x75c4004e,0x000001de,0x00000000,0x00000000,
    0x00000000,0x7d49ff30,0x2337fa00,0x0e4400dc,0x5d83f980,0x30c07f80,
    0x7cfc407f,0x7307e401,0x220f47e8,0x87f71d47,0xf897e63f,0x267ff13f,
    0x3be22fff,0x11111111,0xd1111111,0x44444443,0x08888888,0x7f5c45e4,
    0x7cc24c2d,0x27e427c2,0x3fe69ff1,0xbbbbbb92,0x44444441,0x08888888,
    0x3fb26000,0xfb002cff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0x401e89ff,0x000006fd,0x82ec7f30,
    0x3a6bb1ed,0x99016e05,0x01f701ae,0x6c16a6c8,0x23fdc982,0xf07fc2f9,
    0x3317fc3f,0x027e4459,0x00007a00,0x3ff26090,0x49500eed,0x32a0205a,
    0x00000ee0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x200f7bf6,0x000003fd,0x8176fe60,
    0xf9cbaffd,0x04fb885f,0x202e83e6,0x71fc00fb,0x19912e09,0x227dc7f5,
    0xd83f60fd,0x7cc0e81f,0x00f40003,0x50011000,0x01470037,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c01bfe2,0x3bbb203f,0xeeeeeeee,0x1be606ee,
    0x3f77f260,0xbfb5101c,0x01f30ba0,0x45b803ee,0x3e43d078,0x237c47f5,
    0x1f23e45c,0x05ea892a,0x9931e800,0x99999999,0x00019999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7dc00000,0x03fd801f,0x26666662,0x19999999,
    0x200ffb60,0x000bfeb8,0x320d70fb,0x2a01f704,0x32219b05,0xcfc87fc6,
    0x42f87f60,0x0ee3545a,0x20000131,0x7777730b,0x77777777,0x44444417,
    0x88888888,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ba00000,0x03fd806f,
    0x57600000,0xbfd503f9,0x803bfb75,0x880fc45b,0xa80fb81f,0xfdf91044,
    0x9cffc819,0x33ae22ff,0x24c4981b,0x00000013,0xff100000,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09ff17b0,0x10003fd8,
    0x7cc5d800,0x2995fe83,0x07a0c6fd,0xb85b8099,0x55575c0f,0x200a884c,
    0x00802208,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5a800000,0xfd807fea,0x04f98003,0x0fe60bb0,0x43537453,0x442edfe9,
    0x321d800d,0xfff92dfe,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdfb03a60,0x0013f601,0x16e013e6,
    0x3fc03f30,0x00000040,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe60fa2,0x000dfd05,0x01000002,
    0x000004c8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x177fd400,0x25dfffb1,0x02dfffda,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_31_latin_ext_x[560]={ 0,3,1,0,1,0,1,1,1,0,1,0,1,1,
1,0,1,3,0,1,0,1,1,1,1,1,2,1,0,0,0,1,1,0,0,1,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,0,-1,0,0,1,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,0,0,
2,2,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,1,0,1,0,1,0,1,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_31_latin_ext_y[560]={ 24,5,5,5,3,5,5,5,4,4,4,7,21,16,
21,4,5,5,5,5,5,5,5,5,5,5,11,11,7,11,7,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,28,5,11,4,11,4,11,4,11,4,4,
4,4,4,11,11,11,11,11,11,11,7,11,11,11,11,11,11,4,4,4,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,24,10,5,5,8,5,
4,5,5,5,5,11,11,16,5,2,5,7,5,5,5,11,5,13,23,5,5,11,5,5,5,10,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,4,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,4,5,5,5,5,5,5,9,10,5,5,5,5,5,4,5,
1,6,-1,5,5,11,-1,5,-1,5,0,5,-1,5,-1,4,5,4,1,6,-1,5,0,5,5,11,-1,5,-1,5,
-1,5,0,5,5,3,-1,-1,5,4,0,5,1,6,-1,5,5,4,0,11,5,4,-1,5,5,4,11,-1,-1,5,
4,5,4,5,4,5,4,-1,5,5,11,-1,5,5,5,11,1,6,-1,5,-1,5,5,11,-1,5,5,11,-1,5,
-1,5,-1,5,5,11,-1,5,5,7,-1,4,5,7,0,5,1,6,-1,5,-1,4,-1,5,5,11,-1,5,-1,5,
0,-1,5,0,5,-1,5,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,2,10,6,6,6,6,6,6,6,6,6,6,6,6,6,2,10,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,0,-1,1,-1,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-2,-2,5,-2,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_31_latin_ext_w[560]={ 0,4,9,14,12,23,20,3,8,9,12,16,5,8,
5,8,12,8,13,11,14,12,12,12,12,12,4,6,16,16,16,11,25,20,18,17,20,17,15,20,20,9,11,21,
17,25,21,20,15,20,19,14,17,20,20,27,20,20,17,7,8,7,13,16,6,13,15,12,15,11,12,14,14,8,
9,15,8,22,14,14,15,14,10,9,8,14,14,20,14,14,12,9,2,9,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,12,14,14,14,
2,10,9,21,9,14,16,8,21,16,9,16,8,8,5,14,14,5,5,6,9,14,20,20,21,11,20,20,20,20,
20,20,26,17,17,17,17,17,9,9,9,9,20,21,20,20,20,20,20,12,20,20,20,20,20,20,15,14,13,13,
13,13,13,13,18,12,11,11,11,11,8,8,8,8,13,14,14,14,14,14,14,16,14,14,14,14,14,14,15,14,
20,13,20,13,21,15,17,12,17,12,17,12,17,12,20,18,20,14,17,11,17,11,17,11,17,12,17,11,20,14,
20,14,20,14,20,14,20,14,20,14,10,10,10,10,9,9,10,9,9,8,20,14,11,11,21,15,15,17,8,17,
8,17,12,17,10,17,8,21,14,21,14,21,14,17,19,12,20,14,20,14,20,14,24,20,19,10,19,10,19,10,
14,9,14,9,14,9,14,9,17,8,17,12,17,8,20,14,20,14,20,14,20,14,20,14,20,16,27,20,20,14,
20,17,12,17,12,17,12,12,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,15,15,14,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,16,15,15,15,15,15,15,15,15,15,15,15,15,15,23,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,13,9,8,20,
14,20,14,20,14,20,14,20,14,20,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,13,26,18,20,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_31_latin_ext_h[560]={ 0,20,9,20,24,20,20,9,26,26,12,16,8,3,
4,21,20,19,19,20,19,20,20,20,20,20,14,18,15,7,15,20,27,19,19,20,19,19,19,20,19,19,20,19,
19,19,20,20,19,25,19,20,19,20,20,20,19,19,19,25,21,25,10,3,5,14,21,14,21,14,20,20,20,20,
27,20,20,13,13,14,19,19,13,14,18,14,14,14,13,20,13,27,27,27,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,25,20,14,19,
27,25,4,20,9,14,7,3,20,3,9,16,10,11,5,20,26,4,7,10,9,14,20,20,20,21,25,25,25,24,
24,24,19,25,25,25,25,24,25,25,25,24,19,25,26,26,26,25,25,12,21,26,26,26,25,25,19,21,20,20,
20,20,20,21,14,19,20,20,20,20,19,19,19,19,21,19,20,20,20,20,20,12,15,20,20,20,20,26,26,26,
23,19,25,20,24,18,26,20,26,20,25,20,26,20,25,21,19,21,23,19,25,20,24,20,24,18,25,20,26,26,
26,26,25,26,25,28,25,25,19,20,24,19,23,18,25,19,24,25,24,13,20,27,26,26,25,26,13,25,25,25,
26,19,20,19,20,19,20,26,19,25,19,26,19,19,20,20,24,19,26,20,26,20,20,14,25,19,25,19,25,19,
26,20,26,20,25,19,26,20,26,24,25,21,19,18,25,20,24,19,26,20,26,21,26,20,24,18,26,20,25,26,
24,25,19,24,19,25,19,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,20,18,18,25,18,18,18,
18,18,18,18,18,18,18,18,18,18,23,15,18,18,18,18,18,18,18,18,18,18,18,18,18,23,15,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,25,20,25,19,26,
20,26,20,26,22,26,25,26,24,26,25,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,27,26,20,27,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__times_31_latin_ext_s[560]={ 149,506,371,104,43,108,226,508,233,65,289,
133,381,473,506,232,260,1,475,347,10,183,196,313,427,134,507,505,199,410,165,
87,90,257,278,141,236,197,443,441,215,156,429,297,319,375,364,273,459,427,337,
159,357,120,99,484,401,422,489,401,342,337,311,482,444,327,271,233,241,356,416,
334,349,294,129,303,59,449,472,341,181,166,248,368,25,297,282,261,233,319,487,
139,126,116,427,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,149,506,16,
401,312,423,87,190,463,462,351,246,393,473,1,427,341,116,332,302,451,386,352,
457,387,325,361,378,66,45,23,351,97,1,242,487,376,22,254,345,488,409,383,
397,373,363,221,334,111,231,335,371,392,253,274,276,306,413,434,476,295,316,64,
363,1,491,477,463,449,378,393,89,395,383,371,359,80,498,55,147,257,239,269,
254,239,224,209,259,150,172,153,119,89,497,1,32,118,225,37,299,436,100,47,
467,87,80,58,46,136,495,76,287,449,327,139,213,152,22,71,34,89,59,470,
68,182,203,314,242,118,17,221,22,273,206,174,480,458,327,107,89,122,317,344,
263,324,500,132,58,75,302,184,120,433,166,157,139,278,299,454,281,336,195,440,
308,371,448,132,330,338,353,407,30,303,386,367,53,388,157,201,412,201,401,170,
412,132,438,356,147,218,43,29,470,409,326,424,294,44,392,480,34,101,284,355,
1,287,424,257,217,455,168,1,72,154,1,80,105,415,62,16,469,29,457,42,
247,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,68,43,43,1,
43,43,43,43,43,43,43,43,43,43,43,43,43,181,182,43,43,43,43,43,
43,43,43,43,43,43,43,43,157,216,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,485,187,
475,102,281,93,239,15,218,202,260,442,197,56,149,22,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,1,73,170,405,37,439,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43, };
static unsigned short stb__times_31_latin_ext_t[560]={ 28,58,233,156,110,135,156,84,31,31,233,
218,233,233,79,110,156,218,198,135,218,135,135,135,135,156,177,135,218,233,218,
177,1,198,198,177,198,198,198,156,198,198,156,198,198,198,156,156,198,58,198,
177,198,177,177,156,198,198,198,58,110,58,233,233,233,218,110,218,110,218,156,
156,156,156,1,156,135,218,218,218,198,198,233,218,218,218,218,218,233,156,218,
1,1,1,233,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,28,31,58,
156,218,177,1,58,233,156,233,218,233,233,177,239,233,218,233,233,233,156,31,
233,233,233,233,218,177,177,177,110,84,84,84,84,84,110,177,58,58,58,58,
84,58,58,58,84,198,58,1,1,1,58,58,233,110,1,1,1,58,58,198,
110,156,135,135,135,135,110,218,198,135,135,135,135,198,177,198,198,110,177,135,
135,135,135,135,233,218,156,135,156,156,1,31,31,110,177,84,135,84,218,31,
110,31,135,84,135,31,110,84,110,177,110,110,177,58,135,110,135,110,218,58,
135,31,31,1,31,84,31,84,1,84,84,177,110,84,177,110,218,58,177,84,
84,84,218,135,1,31,1,84,31,218,84,84,84,31,177,110,177,135,177,135,
31,177,58,198,31,177,177,135,156,84,177,31,156,31,156,156,218,58,177,58,
177,58,177,1,156,31,156,58,177,31,135,31,84,58,110,177,218,58,135,84,
198,31,110,31,110,1,135,110,218,31,135,58,31,84,58,198,84,198,31,198,
156,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,156,218,218,58,
218,218,218,218,218,218,218,218,218,218,218,218,218,110,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,110,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,31,156,
31,198,1,135,1,156,1,110,1,31,1,110,1,84,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,1,1,1,110,1,110,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218, };
static unsigned short stb__times_31_latin_ext_a[560]={ 112,149,183,224,224,373,348,81,
149,149,224,253,112,149,112,124,224,224,224,224,224,224,224,224,
224,224,124,124,253,253,253,199,412,323,299,299,323,274,249,323,
323,149,174,323,274,398,323,323,249,323,299,249,274,323,323,423,
323,323,274,149,124,149,210,224,149,199,224,199,224,199,149,224,
224,124,124,224,124,348,224,224,224,224,149,174,124,224,224,323,
224,224,199,215,90,215,242,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,112,149,224,224,224,224,90,224,
149,340,124,224,253,149,340,224,179,246,134,134,149,258,203,112,
149,134,139,224,336,336,336,199,323,323,323,323,323,323,398,299,
274,274,274,274,149,149,149,149,323,323,323,323,323,323,323,253,
323,323,323,323,323,323,249,224,199,199,199,199,199,199,299,199,
199,199,199,199,124,124,124,124,224,224,224,224,224,224,224,246,
224,224,224,224,224,224,224,224,323,199,323,199,323,199,299,199,
299,199,299,199,299,199,323,290,323,224,274,199,274,199,274,199,
274,199,274,199,323,224,323,224,323,224,323,224,323,224,323,224,
149,124,149,124,149,124,149,124,149,124,317,247,174,124,323,224,
224,274,124,274,124,274,182,274,154,274,124,323,224,323,224,323,
224,271,314,222,323,224,323,224,323,224,398,323,299,149,299,149,
299,149,249,174,249,174,249,174,249,174,274,124,274,191,274,124,
323,224,323,224,323,224,323,224,323,224,323,224,423,323,323,224,
323,274,199,274,199,274,199,124,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,323,348,348,224,348,348,348,348,348,
348,348,348,348,348,348,348,348,323,237,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,243,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,323,199,149,124,323,224,323,224,323,224,323,
224,323,224,323,224,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,323,199,398,299,323,224,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_31_latin_ext_BITMAP_HEIGHT or STB_FONT_times_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_31_latin_ext(stb_fontchar font[STB_FONT_times_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_31_latin_ext_BITMAP_HEIGHT][STB_FONT_times_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_31_latin_ext_s[i] + stb__times_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_31_latin_ext_t[i] + stb__times_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_31_latin_ext_x[i];
            font[i].y0 = stb__times_31_latin_ext_y[i];
            font[i].x1 = stb__times_31_latin_ext_x[i] + stb__times_31_latin_ext_w[i];
            font[i].y1 = stb__times_31_latin_ext_y[i] + stb__times_31_latin_ext_h[i];
            font[i].advance_int = (stb__times_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_31_latin_ext_s[i] + stb__times_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_31_latin_ext_t[i] + stb__times_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_31_latin_ext_x[i] + stb__times_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_31_latin_ext_y[i] + stb__times_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_31_latin_ext_LINE_SPACING
#endif

