// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_33_latin_ext_BITMAP_HEIGHT        276
#define STB_FONT_times_33_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_33_latin_ext_NUM_CHARS            560

#define STB_FONT_times_33_latin_ext_LINE_SPACING          21

static unsigned int stb__times_33_latin_ext_pixels[]={
    0x40000000,0xca8000b9,0x13ba6000,0x02774c00,0x10000000,0x80000133,
    0x200004c9,0x0cc00099,0xc98000a2,0x32a0002c,0x99880003,0x32e00000,
    0x000ccccc,0x00002e20,0x0000aa00,0x0000a980,0xa8009988,0x80009802,
    0x44000199,0x51000009,0x00015997,0x09886620,0x00020000,0x00110000,
    0x4ffa8000,0x005e4000,0x2004ff80,0x90000efc,0xf10001df,0x200005ff,
    0x00004ff9,0x80000fc8,0xd8006ffc,0x0000ebae,0x8001bffa,0x880000ed,
    0x200006fe,0x1ffffffe,0x003b9000,0x005501b1,0x880d8099,0x003ea804,
    0x4017fdc0,0x0025c04c,0x00017fdc,0x0001fff3,0x444d6ed4,0x0002ddca,
    0x02ff9bf2,0x0ecc9800,0x07301b00,0xff300b20,0x05fd8003,0x40005800,
    0x3fa003fe,0x07fa0000,0x37f7e400,0x0df50000,0x00ee0000,0x5ffdf100,
    0x2ffe8800,0x36fea000,0x0d88003f,0x3fe60000,0x55500000,0x00015555,
    0x1eb8009d,0x026401aa,0x00e98be6,0xe80013a0,0x2099003f,0xfb0003e8,
    0xefe80009,0xce98005f,0x001b7000,0x17e63fb0,0x267e6000,0x45f3002f,
    0x372000e9,0x007ff700,0x980006f8,0x020004ee,0x0001f980,0x44000be2,
    0x0007f72f,0x0000fe40,0x0014c288,0x00dd15d8,0x000a6144,0x001f9174,
    0x000530a2,0x0000fea0,0x000a6144,0x3a0007ee,0x9002fbaf,0xf37fb009,
    0x02fa8007,0x2004f880,0x0007d04c,0x500017e2,0x8007f23f,0xe98001fb,
    0xf527c000,0x2db00001,0x3f6000b8,0xc8003f9b,0x001dd105,0x8000074c,
    0x000007ff,0xb8000570,0x50b60003,0x6c00001d,0x7fb00003,0x30003fe2,
    0x36007b0b,0x001ff13f,0x004a81b8,0x03fe27fb,0x002dc000,0xff13fd80,
    0x007f8001,0x00bfff50,0x7fc40264,0x5f88006f,0x4005b800,0x0007c84c,
    0x360001aa,0xec803540,0x01660000,0x001e4688,0x00027c40,0x000dfff1,
    0x80000be2,0x2600001c,0x0000002c,0x00300003,0x02880c40,0x00024000,
    0x01761eb8,0x700280a0,0x4002ec3d,0x75c00201,0x00001761,0x3ae00009,
    0xf1001761,0x3b20001f,0x0132001e,0x4001775c,0x0b8007fa,0x3ea26400,
    0x002e0004,0x06601300,0x00001f50,0x70660057,0x0ff20000,0x05dd7000,
    0x0007dc00,0x0002c980,0x00000000,0xc9801002,0x00080002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000002,0x007fe200,0x09900000,
    0xf7000040,0x0002000f,0x000fe899,0x00000000,0x0000fe20,0x0040024c,
    0x007fe000,0x44000000,0x2000984f,0x0005cadb,0x3b880000,0x3fbf6e20,
    0x407e21de,0x4006cadb,0xcefffdc8,0x7776dc02,0xdb702dee,0x36e19ddd,
    0x02deeeee,0x19ddddb7,0xdb83b880,0x02deeeee,0x19ddddb7,0xdddddd90,
    0x3bbb6e3b,0xdb702dee,0x44019ddd,0x2cefffdc,0x77776dc0,0xddb702de,
    0x5ff019dd,0xdddddb70,0x3bb6e05b,0x40990cee,0xcefffdc8,0x01bf2002,
    0x77ffee44,0xf526402c,0x7776dc0b,0xdb702dee,0x54019ddd,0x5e800acc,
    0xd94dda80,0xdc880685,0x002cefff,0x4c03fee0,0x800eeeed,0x04eeeedb,
    0x00aa0ff4,0x0007a0e8,0x000acca8,0x5413ff6a,0x6fe4c1ef,0xd83a03e9,
    0x15df5001,0x2006fe4c,0x7003fffc,0x3ff205df,0x5df7003f,0x04ffda80,
    0x400ffff2,0xfc802efb,0xfff901ff,0x0bbee007,0x4c15df50,0x7e400dfc,
    0xdf7003ff,0x901ff405,0x2e007fff,0xa82642ef,0x3f260aef,0x05fd800d,
    0x260aefa8,0x49900dfc,0xffc803fd,0x5df7003f,0x6ccef4c0,0x261eeeef,
    0x433a201f,0x06c0ffc9,0x4c15df50,0x36000dfc,0x02eefffe,0x001dffd3,
    0x320077ee,0xd001dc5f,0x4c000ec1,0xeefd99de,0xff5501ee,0xb80bf909,
    0xb07405ff,0x01bfb003,0xf300f7dc,0x04f800ff,0xf001ffe6,0x9ff75009,
    0x003ffcc0,0x7fd4013e,0x01ffe605,0xdfd809f0,0x807bee00,0x7c007ff9,
    0x3017ec04,0x4f800fff,0x0dfd84c8,0x7007bee0,0x0dfd807f,0x3207bee0,
    0x3007ff14,0x4f800fff,0x3f61fe20,0x01b20bce,0x70bfd0bd,0x8037f605,
    0x33001efb,0x40133bfb,0x2005ffe8,0x8df7003f,0x276e004c,0x7f88006c,
    0x00bcefd8,0x3ff227fc,0x00ffd800,0x201ae76e,0xfc800ffb,0x01bfe00f,
    0x6ff805f0,0xf0017c00,0x06ff809f,0xf98017c0,0x037fc04f,0xffb80be0,
    0x00ffc800,0x5f001bfe,0xff807c80,0x6417c006,0x4007fdc4,0x3e200ffc,
    0x003fee03,0x29903ff2,0xff002ffa,0x202f800d,0x07fa85fd,0x407ec07f,
    0xb83a83ff,0xffc800ff,0x00ffa000,0x004fffb8,0x3fea005f,0xf5001360,
    0xbfb00019,0x7400ff50,0x013fe64f,0x5017ffea,0xff98017b,0x0bff1004,
    0x3e0037fc,0x0037fc02,0x4fe800be,0x20037fc0,0x9ff1002f,0x4006ff80,
    0x09ff302f,0xf817fe20,0x017c006f,0x1bfe00fe,0x49905f00,0xf1004ff9,
    0x306d80bf,0x3e2009ff,0xffb8445f,0x00dff001,0x0ffa02f8,0x3f307fe6,
    0x3e20ff20,0x7cc1c80f,0xbff1004f,0x007fe200,0x02fffeb8,0xff5001f8,
    0x26002f43,0x7fd0004f,0x2003ff30,0x03ffa4fe,0x5ffb3f30,0x3ffa0000,
    0x0bff6000,0x3e0037fc,0x0037fc02,0x4fe800be,0x20037fc0,0x9ff1002f,
    0x4006ff80,0x01ffd02f,0xf817fec0,0x817c006f,0xdff002c8,0x4c82f800,
    0xd8003ffa,0x41dc02ff,0x36000ffe,0x1ff902ff,0x001bfe00,0x427fc05f,
    0x83d42ff8,0x0df506fa,0x003ffa1a,0xa802ffd8,0x36e000ff,0x7c01fffa,
    0x47ff3001,0x7fec006f,0x84ff8000,0xfd002ff8,0x101bfea9,0x417fea5d,
    0x3009bccb,0xfa800dff,0x00dff05f,0x37fc02f8,0xe800be00,0x037fc04f,
    0x7c400be0,0x037fc04f,0x3fe60be0,0x2ffd4006,0x7c006ff8,0x2000dc82,
    0x17c006ff,0x06ff9a64,0x402ffd40,0x0dff32d9,0xb05ffa80,0x37fc00ff,
    0xfc80be00,0x5c1ffa85,0x3205fd07,0xff98d04f,0x2ffd4006,0x20037e40,
    0x01dff75b,0xff8800fc,0xf8801fe4,0xfc8003ff,0x001ffa85,0x17fee9fd,
    0x3ffcc9b0,0x3f6abbe6,0x05ffb80e,0xf83ffcc0,0x017c006f,0x5f001bfe,
    0x2027f400,0x17c006ff,0x404ff880,0x17c006ff,0x2002ffdc,0xdff07ff9,
    0xda82f800,0x01bfe002,0x2e9905f0,0x7cc005ff,0x71cb807f,0xf9800bff,
    0x01ff907f,0xf001bfe0,0x20ffcc05,0x986b85fc,0x2ff880ff,0x2ffdc498,
    0x01ffe600,0xb70013fa,0x3f02ffec,0x453fe200,0xfd9000ff,0xff3000df,
    0x2005fc83,0x09ff94fe,0x3ffe22e4,0x9fd03f60,0x8009ff90,0xff80fff8,
    0x2017c006,0x17c006ff,0xf809fd00,0x017c006f,0x7c04ff88,0x417c006f,
    0x44004ffc,0x6ff80fff,0xb5017c00,0x00dff001,0xf94c82f8,0xff88009f,
    0xc83b100f,0x7c4004ff,0x1ffb80ff,0x800dff00,0x5ffcc02f,0x6b80dfb8,
    0xffb06fb8,0x9ff90b60,0x0fff8800,0x000bfe20,0x04ffe8b7,0x3fe6003f,
    0x2003ff33,0x001ffcaf,0xfb8bff98,0x53fa000d,0x1d503ffe,0x3e63fff0,
    0xfe85fc87,0xfff8003f,0x4006ff81,0x037fc02f,0xfe800be0,0x0037fc04,
    0x7fc400be,0x0037fc04,0x0fffa0be,0x207ffe00,0x17c006ff,0x3fe017a0,
    0x6417c006,0x0007ffd4,0x17a03fff,0x2000fffa,0x26331fff,0xdff001ff,
    0x4402f800,0x201bccbd,0xa84fd87a,0xe86b85fe,0xff8003ff,0x03fea01f,
    0xff88b700,0x5001f83f,0x0bfea5ff,0x2ffcdea0,0x665ec400,0x4fe8001b,
    0x3f307ffd,0x7447ffe0,0xfe86fb84,0xfff8003f,0x4006ff81,0x037fc02f,
    0xfe800be0,0x0037fc04,0x7fc400be,0x0037fc04,0x0fffa0be,0x207ffe00,
    0x17c006ff,0xff003f20,0xc82f800d,0x0007ffd4,0x5f303fff,0x0007ffd0,
    0x45323fff,0xdff002ff,0x6c02f800,0x6c3cc002,0x27e6545f,0x3ffa07e6,
    0x1fff8003,0x2001bee0,0x1fff985b,0xffb800fc,0xd005ff71,0x0007ff47,
    0x740000b6,0x88bff94f,0x1fff102e,0x437f5c40,0x44003ffd,0x6ff80fff,
    0x3e017c00,0x017c006f,0xff809fd0,0x8017c006,0x7fc04ff8,0x6c17c006,
    0x7c4003ff,0x06ff80ff,0x3f6017c0,0x0037fc03,0x7ed320be,0x7fc4003f,
    0xd84fc80f,0x7c4003ff,0x7f4990ff,0x00dff003,0x0ff202f8,0xff507e00,
    0x8ff29b57,0x7eca22ea,0x7fc4003f,0x013f600f,0x7fdc16e0,0x5c007e0f,
    0x00fff27f,0x1ffd41f3,0x0007f900,0x7fdd3fa0,0xff302746,0x32fb220d,
    0x04ffc86f,0xf83ffcc0,0x017c006f,0x5f001bfe,0x2027f400,0x17c006ff,
    0x404ff880,0x17c006ff,0x20027fe4,0xdff07ff9,0x7402f800,0x037fc03f,
    0x65320be0,0x7cc004ff,0x90bfb07f,0xf98009ff,0x4fd9327f,0x800dff00,
    0x3fff602f,0x81ceffff,0x7fff444c,0x33b3fea3,0x4ffc8ec1,0x03ffcc00,
    0x2e0007fe,0xf9bff205,0x649f9001,0x426c03ff,0x3f6006ff,0xceffffff,
    0x2a7fd001,0x501727ff,0x47f90bff,0x5ffa86fb,0x82ffcc00,0x0fc006fe,
    0xf001bfa0,0x01ff4003,0x3f001bfa,0x013fe200,0x1f800dfd,0x4005ffa8,
    0xdfd05ff9,0x7c01f800,0x037f402f,0x553207e0,0x7cc005ff,0x50df905f,
    0xf9800bff,0x6f99325f,0x800dfd00,0x3ffa201f,0x3fffffff,0x815407cc,
    0x54b301b9,0x7cc005ff,0x01fe205f,0x3fa02dc0,0x3e003f5f,0x807fe60f,
    0x2ffc81f8,0xffffd100,0x007fffff,0x3ffe27fd,0x7dc00eb9,0x2e0fec3f,
    0x07ff886f,0xe817fdc0,0x07e2007f,0x4400ffd0,0x0ffa001f,0x4400ffd0,
    0x7ff1001f,0x2007fe80,0x7ff881f8,0x817fdc00,0x3e2007fe,0x007fe201,
    0x7c400ffd,0xfff14c81,0x02ffb800,0xfff10ff7,0x22ffb800,0x4007dc4c,
    0x3e2007fe,0x26236201,0x86ebaa99,0x7400004d,0x001ffe21,0x7d405ff7,
    0x80b70004,0x01fbffe8,0x00985fa8,0x5ff8835c,0x3311b100,0x00dd7553,
    0x67fd45fd,0x45fe801f,0x06fb85fc,0x74007ff7,0x03ff205f,0x7e403d40,
    0x00f5000f,0x7e402fe8,0x00f5000f,0x3200ffc4,0x0f5000ff,0xd001ffdc,
    0x07fe40bf,0x7c407a80,0x07fe400f,0x49907a80,0x3a003ffb,0x41be605f,
    0x3a003ffb,0x1f42645f,0x8007fe40,0x00ba207a,0x05d103e2,0x2e0f6000,
    0x3fa003ff,0x000fe405,0xff9805b8,0x0fd801ff,0x999df000,0x01fff999,
    0xf8802e88,0x360ff400,0xffb802ff,0x7dc27f40,0x401ffa06,0x3ea00ffa,
    0x00bb003f,0x36007ff5,0x007f4005,0x6c00ffea,0xff882205,0x01ffd400,
    0x3ff405d8,0x200ffa80,0xbb003ffa,0xf500fd00,0x4176007f,0x803ff44c,
    0x3e600ffa,0x401ffa05,0x42640ffa,0x7fd400f9,0x640bb003,0x306a800f,
    0x3d80003f,0x5401ffa0,0x037400ff,0x2a00b700,0x7c401fff,0x75401502,
    0xbaaaaaaa,0x07e404ff,0xf0223540,0x809ff30b,0x7fd81ff8,0x409bff4c,
    0x74c04ff9,0x0efc802f,0xc80076c0,0x076c00ef,0x200bf010,0x76c00efc,
    0x263ff100,0x1df9005f,0x4c00ed80,0x7f4c04ff,0x00efc802,0x7d40076c,
    0x00efc801,0x44c8076c,0x74c04ff9,0x007dc02f,0xe9809ff3,0xb904c82f,
    0x801df900,0x13fe00ed,0x74c03d10,0x02e98003,0x26027fcc,0xf32982fe,
    0x03640005,0xd803ff90,0x201ff903,0x07fe803e,0x3a2027fc,0x7ccffe21,
    0x1dfddd81,0xf501efa8,0xff7bb7df,0x17f62099,0xb000f7d4,0x6d4415ff,
    0x7fec000f,0x03f6a20a,0x3f33ff88,0x057fec00,0x4c01fb51,0x001f75ff,
    0x51057fec,0x362001fb,0x03df505f,0x1057fec0,0x64001fb5,0xaffd800d,
    0x803f6a20,0x05fd884c,0xe8803df5,0x05fd8802,0x13203df5,0xffd805b8,
    0x03f6a20a,0x559fff70,0x2005d975,0x6cc00bec,0xbfb1001d,0x7407bea0,
    0xe8000bb7,0x07f6000f,0xffb01ec4,0x7001f301,0x7fdc05ff,0xecbaaacf,
    0x1eeffe82,0x3bfa66b8,0xc803ffdc,0xbff13fff,0xb9dfd700,0x910009df,
    0xbfffdfff,0xff910003,0x03bfffdf,0x03ddffd0,0xefffc880,0xd801dfff,
    0x4001deff,0xffefffc8,0xeb8001df,0x04efdcef,0xefffc880,0x8001dfff,
    0x7e4403ea,0x1dfffeff,0xfd702640,0x809dfb9d,0x5c001ec8,0x4efdcefe,
    0x32202640,0x3fff2200,0x001dfffe,0xffffffd5,0xeb880019,0xdeecbcce,
    0xdfd70001,0xc809dfb9,0x910003cf,0x005bffff,0x019103d1,0x09b02c88,
    0x501bfe20,0x9ffffffd,0x500d4c01,0x002aa601,0x00022060,0x000026a6,
    0x004d554c,0x9aaa9800,0x00d4c000,0x4d554c00,0x00544000,0x4d554c00,
    0x35300000,0x2a600001,0x800009aa,0x55530009,0x00660013,0x88004d4c,
    0x9a980000,0x20033000,0x35553000,0x2a620001,0x3100000a,0x00001355,
    0x20009a98,0x00000000,0x00008088,0x3a002f98,0xa98803ff,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2002fe80,0x0000fffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x01dffffb,0x3fffffaa,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00998800,
    0x00799000,0x800ccc00,0x440002b8,0x195003cc,0x22007260,0x64400019,
    0x4c00002c,0x00033109,0x00004cc4,0x0002cc98,0x0000c400,0x00003330,
    0x00000000,0x00000333,0x80003330,0x00000cca,0x00008044,0x03037100,
    0x00000000,0x00000000,0x00100800,0x002440e4,0x00077f40,0x017ffdc0,
    0x027fcc00,0x0013ff26,0x003fff90,0x1ff609ff,0x005fff10,0x007ffec0,
    0xb0ff9800,0x7f4000bf,0xfd00000e,0x400000ff,0x0001edeb,0x0001ffd4,
    0x0001fff3,0x26012057,0x3ee004ff,0x3ff6006f,0xfff10000,0xfb50000b,
    0x1a159dff,0x20027fec,0x121dfffb,0x41220720,0x000bccb9,0x0661ffdc,
    0x0240ae00,0xbdfffd98,0x3e200499,0x00007a23,0x00001ff3,0x00df7bf1,
    0x500bf700,0x40009ff5,0x805fccf9,0x0bf903fe,0x00ffdfc8,0x4fdcf980,
    0x47f70000,0xf10000fe,0x2a00003f,0x0004fdbf,0x0034cd00,0x00013f20,
    0x0009fdfd,0x7005b13a,0x77c400bf,0x3fa002ff,0xf5fb0003,0x3ea0003f,
    0x3f660adf,0xffef987f,0x3f2b6001,0x9803ddff,0x2603a62f,0xd5002ec6,
    0x1b17fffd,0x449f1000,0xadfb802d,0x04ffeb98,0x274e7e40,0x00fdc000,
    0x3ea4c800,0x07740003,0x0009fd00,0x005f526c,0x7c400801,0xd0009f72,
    0x0000fdc7,0x007f1364,0x00017dc0,0x007e45d0,0x1f166000,0x002fc000,
    0x3f627ea0,0x9dfa8001,0x01dd006e,0x37447640,0x000bd100,0x01b621d3,
    0x5007ff20,0xf35e81ff,0xc986200b,0x3f2005ff,0x87b04f9c,0x547001fd,
    0x0004fffe,0x01ba77ea,0x7f441bea,0x7ffc4004,0x2e80000f,0x10930000,
    0x3e20001b,0x027f4000,0x05983a80,0x42c80000,0x0aa000e9,0x3a000166,
    0xb0001a61,0x15c00007,0x40000254,0x4000b51e,0x740000e9,0xe8002dc0,
    0xf8801fff,0x36166000,0x003e6003,0x005901b0,0xb801ffdc,0x5d112a0f,
    0x00220100,0x01ffff10,0x02fc85f1,0x00793030,0x03fffd00,0x4e805fd0,
    0x03eea800,0x00038800,0x00010060,0x3f60006a,0x44030004,0x22000000,
    0x0c005101,0x38000110,0x0e0000d4,0x04030000,0x7f4c0000,0x02a0000d,
    0x26015000,0x4ee98001,0x38003500,0x1a8002e0,0x01802200,0x800bff30,
    0x00380e1e,0xeeb80000,0x188bf302,0x00000000,0x7c013ba6,0x0025c02f,
    0x00010088,0x08800000,0x00880010,0x0013f601,0x00004020,0x40000000,
    0x00000009,0x00000000,0x00000000,0x40200001,0x00000000,0x00000804,
    0x00000000,0x7fec0000,0x000dc001,0x777776dc,0xdddb702d,0x7c00019d,
    0x776cc04f,0xedb800ee,0x00004eee,0x93017fe0,0x7ffed400,0x6ccd0ace,
    0xb800eeee,0x804eeeed,0xacefffda,0xffb500d0,0x41a159df,0x0b3264fd,
    0x7bfffb30,0x0b220933,0x555525c4,0xaaa98155,0x77fed401,0x82b8adff,
    0xdeeeeedb,0xddddb702,0x2aaaaa19,0x8d554c0a,0x2eeeeeea,0xbdddddb1,
    0x9dddd903,0x3bbbbb6e,0xdddb702d,0xffb3019d,0x5c9337bf,0x2deeeeed,
    0x9ddddb70,0xbfffb301,0x76449337,0x30ceeeee,0xdddddddb,0x89dddddd,
    0xeeeeeec8,0xddddd70c,0x3bae05bd,0x3fe25eee,0x91188007,0x19dddddd,
    0x003fffc8,0xec885df7,0x40ceeeee,0xe9804ffa,0xf7000eff,0xddddb03b,
    0xdddddddd,0x7fec3ddd,0x2a00a00d,0x3660adff,0xffe987ff,0x3bf7000e,
    0x0adffa80,0xa81fff66,0x3660adff,0x29fb07ff,0x705ffffd,0xfd7315bf,
    0x3ffda89f,0xd337fe4c,0xc8815fff,0x9fd301df,0x7ffd4415,0x0ffff202,
    0x26177dc0,0x440afffe,0x7fec1dfc,0x4fffb80f,0x640ffc40,0xf7003fff,
    0x2b7ee05d,0x84ffeb98,0x7003fffc,0x37ee05df,0x4ffeb98a,0x01effe88,
    0x5557ffd3,0x20df9555,0x981effe8,0x8805fffe,0x7fdc1eff,0xfd100006,
    0x3fe603df,0x1027c007,0x6c03dffd,0x74400dff,0x0fe005ff,0x6e666ffc,
    0xfdccceff,0x3bffea1f,0x3ff90002,0x880ffa80,0x3e005ffe,0x00ffe403,
    0x3f203fea,0x07fd401f,0x6dee67ec,0x37d44fff,0x5d44fe88,0x7fccc3ff,
    0x5037fc46,0x0ffea01f,0x4c07fb10,0x27c007ff,0x2a06ff88,0x06ff980f,
    0x3e00fff6,0x00fff304,0x0df504f8,0x3e613fa2,0x827c007f,0x9fd106fa,
    0x9013ff20,0x079803ff,0xe8813ff2,0x1df004ff,0x000bffb0,0x2027fe40,
    0x17c006ff,0xa813ff20,0x400effcc,0xf004fffb,0x3e60fe05,0x5c2f983f,
    0x001dffff,0x5c00ffee,0x9fff700f,0xfb80be00,0x81f7003f,0xf7003ffb,
    0x987dfb01,0x0bfa0fff,0x0ffe09d0,0x7fd437e4,0x3ea09900,0x09f1002f,
    0x7c006ff8,0x403fea02,0x03ffa04c,0x2202ffd4,0x01bfe00f,0x0bfa05f0,
    0x1bfe09d0,0x3fa05f00,0xfb827402,0x0ffe402f,0x5ff70340,0x00fff980,
    0xffe80fd4,0x3ee00003,0x037fc02f,0xff700be0,0xffb8ea05,0x3ffae00e,
    0xd01f802f,0x5c0ffe60,0xfffffb82,0x2ffcc00c,0x75c07a00,0x1f802fff,
    0x800bff30,0x017fe61e,0x09fb03d0,0x2ff8fff2,0x3fe825c0,0x3fa0df90,
    0xf881f884,0x0264005f,0x5f001bfe,0xf884fe80,0x80ffee01,0x035c07ff,
    0x5f001bfe,0x9700bfe0,0xf001bfe0,0x700bfe05,0x00bfee09,0x05003ff9,
    0x64017fdc,0x027404ff,0x00007ffd,0x3e017fdc,0x017c006f,0x1e20bfee,
    0xdb81bfea,0x7c01fffa,0x3fe60701,0x36205103,0x202fffff,0x5c001ffd,
    0xfff5b701,0xfb01f803,0x21b8003f,0x5c001ffd,0xf104fd81,0x202ffcbf,
    0x207fd049,0x1ff706fc,0x3ff906b8,0x7c048800,0x017c006f,0x0d703fee,
    0x3206ff88,0x00f601ff,0x2f800dff,0x4980bff0,0xf800dff0,0x980bff02,
    0x805ff704,0x40001ffc,0xfd002ffb,0xb01ae03f,0x400009ff,0x7fc02ffb,
    0x2017c006,0x06a82ffb,0x56e01ff3,0x3e00effb,0x1ffcc001,0xfffd3000,
    0x0fff105f,0x56e03100,0x3e00effb,0x007ff881,0x0fff1188,0x9fb03100,
    0xffb37fc0,0xfe81401b,0x7c0df903,0xff81744f,0xff000006,0x802f800d,
    0x401744ff,0xff900ffd,0xf003e209,0x02f800df,0x1401bffb,0x7c006ff8,
    0x01bffb02,0x02ffb814,0x1500ffe4,0x002ffb80,0x3f10dff3,0x005ffc80,
    0x00bfee00,0x2f800dff,0x6417fdc0,0x207f700f,0x817ff65b,0x7fcc001f,
    0xffb80003,0x37fdc1ff,0xd96e0000,0x207e05ff,0x40006ffb,0x00006ffb,
    0x5fe813f6,0x00bbffea,0x3f207fd0,0x4c3fee06,0x00bff307,0x01bfe000,
    0xff7005f0,0x7d401e61,0x0ffff03f,0x1bfe016e,0x3ea05f00,0x7c002eff,
    0x817c006f,0x002efffa,0x32017fdc,0x007601ff,0x64005ff7,0x4026c4ff,
    0x00007ffb,0xff00bfee,0x402f800d,0x3fb82ffb,0x16e07f10,0x07e09ffd,
    0x007ff300,0x9ffd1006,0x0005ffd8,0x3ffa2dc0,0xffb03f04,0xffd8000b,
    0x3f600005,0xf713f604,0x2003bfff,0x0df903fe,0x04c9ffc4,0x00009ff7,
    0xf001bfe0,0x27ff1005,0xdff1004c,0x05ff9f30,0x0dff007d,0x3ee02f80,
    0xf001dfff,0x02f800df,0x077fffee,0x2017fdc0,0xfa881ffc,0x017fdc01,
    0x2a3ffd10,0xfff8800f,0xff700000,0x006ff805,0x3fee017c,0xf02ff882,
    0xff116e01,0x8003f07f,0x0b003ff9,0xfe8dff10,0x5c00003f,0x41fffc45,
    0x03ffe81f,0x01fff400,0x409fb000,0xfffb83fe,0x7f400cff,0xc80df903,
    0xfb01f8ff,0xddb5007f,0x3fe0bddd,0x8017c006,0x001f8ffc,0x19903ff6,
    0x00f88bff,0x7c006ff8,0x7fffdc02,0x37fc00cf,0xf700be00,0x8019ffff,
    0x7e402ffb,0xffeeeeef,0x17fdc01f,0x23bfea00,0x3ff2002f,0x5c1c4004,
    0x37fc02ff,0xf700be00,0x0fff605f,0x4c2dc0d3,0x00fc1fff,0x400ffe60,
    0x46fd800f,0x00003ffe,0x7ffcc2dc,0x7ff40fc1,0x7ff40003,0x3f600003,
    0x4403fe05,0x02fffffd,0x37e40ffa,0x81bbfe20,0x2e003ffe,0x3fe03fff,
    0x8017c006,0x4006eff8,0xe8fc3ffa,0x4016e0ff,0x17c006ff,0x7fffec40,
    0x01bfe02f,0xfb1005f0,0x5c05ffff,0x7fe402ff,0xfca9999a,0x017fdc01,
    0x02f7fe40,0x00fffe20,0x2ffb80d8,0x20037fc0,0x17fdc02f,0x3229ffd0,
    0x7dc16e00,0x0007e0ff,0x3e007ff3,0x6c4fe803,0x400004ff,0x1fff705b,
    0x27fec0fc,0x13ff6000,0x06fd8000,0xfd3007f7,0x3fe05fff,0x900df904,
    0x7fec05ff,0x1ffe2005,0xf800dff0,0x0bff2002,0x7a9bfe00,0x02e8bfee,
    0xf800dff0,0x3ffa6002,0x0dff02ff,0x26002f80,0x702ffffe,0xffc805ff,
    0xf7007601,0xff10005f,0xfd30001f,0x205b003f,0x7fc02ffb,0x2017c006,
    0x7ec02ffb,0x2dc00ddf,0x0fcdff90,0x00ffe600,0xff3017fc,0x005ffc83,
    0xf902dc00,0x7e40fcdf,0x7e40005f,0x3600005f,0x0374c3ff,0x07fffee0,
    0x3f20bff1,0x407f8806,0x7c007ffc,0x037fc06f,0xf8800be0,0x3ff90007,
    0x15ff8936,0x1bfe001f,0x70005f00,0xff03ffff,0x002f800d,0x81ffffb8,
    0x7e402ffb,0x7006e01f,0x360005ff,0x3a20007f,0x2e60bdff,0x0bfee01e,
    0xf800dfd0,0x017fdc01,0x5c02ffe4,0xfafff405,0x1ffcc001,0x40bfff80,
    0xffb83fea,0x2dc00007,0x0fd7ffa0,0x0003ffdc,0x0001ffee,0xeceedfd8,
    0xe880304f,0x3ffb24ff,0x037e42df,0x7fdc04d8,0x1bfe000f,0xf800dfd0,
    0x0026c001,0x83f4ff98,0x005b8ffd,0x3f001bfa,0xffd10060,0x800dfd09,
    0xe880301f,0x2ffb84ff,0x100ffe40,0x005ff700,0x0001ff60,0x3fbfff6e,
    0x7fdc00cf,0x003ff402,0xffb803f1,0x07ff7002,0x7f4405b8,0x4c001fbf,
    0x95d003ff,0x3dffbdfd,0x003ffe20,0x4405b800,0x881fbffe,0x20000fff,
    0x0000fff8,0x06a69fb0,0xdff100b0,0x00bf9000,0xff8801f1,0x1bfe002f,
    0x4400ffd0,0x03e2001f,0x6aefe800,0x02ebffa8,0x8801ffa0,0xf100b01f,
    0x00ffd0df,0x80580fc4,0xffb86ff8,0x00ffe402,0x00bfee00,0x0003fec0,
    0x0026b2e0,0x32017fdc,0x0f5000ff,0x4005ff70,0x02dc07fb,0x00ffffcc,
    0x400ffe60,0x00566c41,0x20027fe4,0x300b7038,0x3203ffff,0x1c4004ff,
    0x88009ff9,0x4004fd83,0x06fd800f,0xb804fc80,0x0dff7005,0x32037fc0,
    0x0f5000ff,0x40005b80,0xf883effb,0x32000fef,0x0f5000ff,0x37ec007c,
    0xa8007fe4,0x36003e07,0x02ffb86f,0xa800ffe4,0x002ffb82,0x0000ffb0,
    0x5c002fe8,0x7fd402ff,0x700bb003,0x032205ff,0x02dc01f9,0x001fffa8,
    0x8001ffcc,0xf1001ee8,0x06c007ff,0xff5005b8,0x3ffe203f,0xf8836003,
    0x036003ff,0x7f0013f6,0x0009fd00,0x2f8807f9,0x00bffa00,0x3ea037fc,
    0x00bb003f,0x200017c4,0xfb00fff9,0xffa800bf,0x7c0bb003,0xa84fe803,
    0x0bb003ff,0x27f401fc,0x32017fdc,0x068801ff,0x20005ff7,0x200007fd,
    0x5c007fc8,0xefc802ff,0x40076c00,0x9f702ffb,0x036406a8,0x8003ff90,
    0x10003ff9,0x74c00df9,0x02d801ff,0xffc801b2,0x07ffa601,0x3fa60b60,
    0xd02d801f,0x2ff8009f,0x2007fe60,0x2e607e40,0x44004d89,0xff802ffd,
    0x00efc806,0x3730076c,0x200009b1,0x3fea06fe,0x0efc8002,0xff0076c0,
    0x80ffcc05,0x76c00efc,0x980bfe00,0x3ffc81ff,0x400ffe40,0x07ff905d,
    0x003ffa00,0x800df000,0xfb003ffc,0x7ed4415f,0x07ff9000,0x80790fe2,
    0x3f6000fe,0x27fd4001,0x00df1000,0x0bdffe88,0xfd007ae6,0x00fec001,
    0x82f7ffa2,0x3a201eb9,0x2e60bdff,0x017fa01e,0xa817fff0,0xcfe803fe,
    0xffff07d0,0x7fdc000d,0x0bff501c,0x882bff60,0x7fc00fda,0x200006ff,
    0x03fc03fb,0x415ffb00,0x7c00fda8,0x7f540bff,0x057fec03,0xf801fb51,
    0x7f540bff,0x809ffb03,0x4c40cffe,0xffb02fe9,0xfff10009,0x32200005,
    0x7fec002f,0xfff91004,0x003bfffd,0x99027fec,0x7e440754,0x8802dfff,
    0x7fe4001e,0x5f910005,0x3ff6e000,0x100cffef,0x05bffff9,0x2e003d10,
    0xcffefffd,0xfffb7000,0x26019ffd,0x001bfffb,0xfbdfd95d,0x3f2003df,
    0xffd02eff,0xc980003b,0xffdcdffe,0x3f22001c,0x1dfffeff,0x01dffe80,
    0x003e2000,0x644000b9,0xdfffefff,0xfecae801,0x801effde,0xffefffc8,
    0xcae801df,0x1effdefe,0x7ffffe44,0xffd930ce,0xffffffff,0xffc88fff,
    0x400cefff,0xdfffffda,0x2f260003,0xfff91000,0x20019dff,0x0009aaa9,
    0xdfffff91,0x03773019,0x00880000,0xfffffd90,0x2f260019,0x55300000,
    0x00000013,0x55300011,0x54c00013,0x5554009a,0x83002aaa,0x8000aaa8,
    0x00a801a8,0x35530000,0x55300003,0x0a800135,0x00300000,0x26000011,
    0x20009aaa,0x00555441,0x09aaa980,0x55510600,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0xddb00099,0xdddddddd,0x803ddddd,
    0x40000199,0x40000998,0x22000998,0x26000a82,0x80000e01,0x00000000,
    0x00000000,0x22000000,0x88000099,0x00000099,0x98800001,0x00000009,
    0x40000000,0xeeeedca8,0x000002ee,0x02666662,0x000e0198,0x40050044,
    0x8800a019,0x1300000a,0x4cccc400,0xff000009,0x37fe001d,0xceffdccc,
    0x401ffdcc,0x00002ffb,0x20001bfe,0x7f4006ff,0xb001bf65,0x00164c17,
    0x00003d00,0x00032075,0x0002fff8,0x001cc06c,0x00bfee00,0x01bfa200,
    0x7fedc400,0x40002cef,0x80001ffd,0x0004880d,0x10091039,0x5cdffffb,
    0x87ff7004,0x3fff201a,0x05ec06ff,0x6c000593,0x2001dc41,0x03b510ae,
    0x8002ff40,0xdffeffda,0xffe82b8a,0x1df33fff,0x00ff9800,0x3fe60fe0,
    0xd802f983,0xf500004f,0xfa80001d,0x37fc000e,0xfa800ffd,0x0006ffff,
    0x00013e60,0x000f62f4,0x006fefb8,0x1d30fd40,0x3fe80000,0x3fe20000,
    0x77d40001,0x1bfb710a,0x00bfe000,0xd317cc00,0x8fe20001,0x7f4401e8,
    0x12e6ffff,0x3fffbaa0,0x27e4058b,0x3fffea00,0x7dc0006f,0x8007fedf,
    0x05fffffb,0x20037fc0,0x220acfe9,0xd802fffa,0x007ff93f,0x34001fc8,
    0x5703ff98,0x0001fa00,0x40000fe4,0xc98001fc,0x20007261,0x000cffea,
    0x003ff600,0x367be600,0x4fe20006,0x740003fb,0x0003fabf,0x0002fc40,
    0x0001fcc0,0x7ec01bf9,0x1fcc001e,0x33f60000,0x640003f9,0xc805e9df,
    0x26ffffff,0x3ae3804b,0x7e404fff,0xffea8004,0xfc80000c,0x70002eff,
    0x80019ffd,0x3ea001c9,0x1fec403f,0xffc9fec0,0x00174004,0x03ff981c,
    0x07a20051,0x000ba000,0x00000fc0,0x00020000,0x0fffe200,0x7ffec000,
    0x30b20002,0x7cc0001d,0x800006ff,0x2000006a,0xff90006a,0x01ffd001,
    0x00002640,0x003fffc4,0x07fffc40,0x7fffff40,0x06012e6f,0x3f200f2a,
    0x00020004,0x0000d400,0x00000018,0x4400bfea,0x73fd804f,0x1c4007ff,
    0x3fe60000,0x05300003,0x00028800,0x00000510,0x00000000,0x01bffb20,
    0x02f74400,0x0a205100,0x03dd9000,0x00170000,0x80038000,0xf1004ff9,
    0x0024009f,0x05dd7000,0x0fbaa000,0x3ffffe20,0x0012e6ff,0x09f90002,
    0x00000400,0x00000098,0x7c400000,0x0264005f,0x2ffb9fec,0x40000000,
    0x00003ff9,0x00000000,0x55550000,0xaaa98155,0xdddddb71,0x3bb6e05b,
    0x5f000cee,0x00003ff9,0x00400000,0x00000000,0x00000040,0x3ffa0001,
    0x07ff6000,0x00000000,0x80000000,0x6fffffff,0x3722012e,0x402cefff,
    0x322004fc,0x02cefffd,0xfdffb500,0x005715bf,0x0002b32a,0xc8015995,
    0x244001ff,0xffa9fec0,0xdddddd71,0x3bbae05b,0xff3005ee,0xdddb3007,
    0xdddddddd,0x3baa09dd,0xeeeeeeee,0x3b665eee,0xeeeeeeee,0x74c4eeee,
    0x6440afff,0x7ffe41df,0x05df7003,0x5ff9bd40,0x77775400,0xeeeeeeee,
    0x01e8005e,0x77776cc0,0x00accdee,0x000f4000,0x4001e800,0x5c006ffa,
    0x3bb665ff,0xaccdeeee,0xdddb3000,0x5999dddd,0xdddb3003,0xdddddddd,
    0xfffb09dd,0x025cdfff,0xc982bbea,0x09f900df,0x982bbea0,0xd3000dfc,
    0x7d44159f,0x6f4c02ff,0xeeeefd99,0xd99de981,0x3e1eeeef,0x2000006f,
    0x41ff33fd,0x805fffe9,0x2001eff8,0x26003ff9,0xaaaabffe,0xf706fcaa,
    0x5555579d,0xd303fff7,0x555557ff,0xff10df95,0x4c07d40d,0x27c007ff,
    0xffe8fa00,0x33bee000,0xfbaaaaab,0x7cc001ff,0xfff30004,0x7fffb779,
    0x13e60000,0x13e60000,0x00bff700,0xf986ff98,0xffdbbcff,0x3fe6003f,
    0xfecbbcef,0xfe9804ff,0xaaaaaabf,0xfffb86fc,0x812e6fff,0x3ee00dfd,
    0x804fc81e,0x3ee00dfd,0x1ffd401e,0x880ff620,0xbcefd87f,0x7ec3fc40,
    0xbff30bce,0x7ec00000,0xfd10ff13,0x03be009f,0x007ff300,0x4c01ffc8,
    0xfb009907,0x0ffe409f,0x7fd41e60,0x7fc09900,0x001fc006,0x1ffd41f3,
    0xfb009900,0xffb0009f,0x3ff60001,0x02ffec40,0x007fec00,0x03ff6000,
    0x004ffc80,0x6c07ffc4,0x7fec40ff,0x03ff6005,0x00f7fec4,0xf3007ff2,
    0x3ffffee0,0x7fdc12e6,0x40ffc800,0x7fdc04fc,0x00ffc800,0x22005ff5,
    0x217f604f,0x17f607fa,0x3fee1fea,0x36000004,0x7cc1fe3f,0x0fd400ff,
    0x01ffcc00,0x2007ff20,0xfa801b06,0x0ffe406f,0x09fd0340,0x37fc03f1,
    0xd800be00,0x2006ff84,0x37fd400d,0x1fffc400,0x80ffc800,0x0001fff8,
    0x000fffe2,0x03fff880,0x000fffa0,0x3f207ffe,0x1fff880f,0x801ff900,
    0x3200fffb,0x206801ff,0x2e6fffda,0x004ff984,0x4fc8bff1,0x4013fe60,
    0xff885ff8,0xd0264005,0x03ff307f,0x3fe60ffa,0x401ffec1,0x5eeeeeda,
    0x06e8ff60,0x9d013ff2,0x0ffe6000,0x003ff900,0xff101205,0x1ffc803f,
    0x3fee0280,0x3fe035c0,0x8017c006,0x2ffc81f8,0xff880900,0xfec8001f,
    0xff90006f,0x013ff601,0x06ffec80,0x3ffb2000,0x0bffa006,0x20bffe00,
    0xffb00ffc,0x03ff2009,0xc81bff60,0x002801ff,0x7425cd51,0x3f6000ff,
    0xe813f22f,0x3f6000ff,0x00ffe42f,0x4ff81220,0xff02ff88,0xe85ff109,
    0x3ee003ff,0x1fec03ff,0x1ffe80bb,0x4c000d70,0x7e4003ff,0x0020001f,
    0xf9007ffb,0xff00003f,0x7fc02e89,0x8017c006,0x0bff106b,0x7ffb0020,
    0x3f2be000,0xffc8001f,0x00dff700,0x0ffe57c0,0xfcaf8000,0x7ff9001f,
    0x01fff000,0x3ee01ff9,0x1ff9006f,0x05fff100,0x00007ff2,0x2625cd30,
    0x7d4006ff,0x4c13f25f,0x7d4006ff,0x0037fc5f,0x542fe400,0x0bf901ff,
    0xffd83ff5,0x1ffe2005,0x04c8ff60,0x7c437fcc,0x3fe60001,0x0ffe4003,
    0x2e000150,0xff9005ff,0x5c005403,0xf00f30ff,0x02f800df,0x99999df0,
    0x0001fff9,0x0005ffb8,0x017fe6f5,0x6403ff20,0xf50003ff,0x00017fe6,
    0x02ffcdea,0x4004ffb8,0xff907ff8,0x00fff201,0xc8007fe4,0x3ff905ff,
    0x26000540,0xbff712e6,0x27ff9800,0xbff704fc,0x27ff9800,0x00005ff9,
    0x7e41ff98,0x907fe605,0x0fff90bf,0xd806ff80,0x3200f23f,0x0026c4ff,
    0x000ffe60,0x0ec03ff9,0x07ffcc00,0x201ffc80,0x3ff8801d,0x0dff0099,
    0xea802f80,0xbaaaaaaa,0x260004ff,0xd0000fff,0x0007ff47,0x7f403ff2,
    0x47d0000f,0x40000ffe,0x003ffa3e,0x30017fe6,0x3ff20dff,0x001ffd00,
    0x54003ff2,0xffc80fff,0x30007601,0x3ff225cd,0x7ffc4004,0x3f209f90,
    0x7fc4004f,0x009ff70f,0x2ffe6000,0x4c00dfb8,0x0dfb8bff,0x000fffb8,
    0x3f601bfe,0x3a200ae3,0x001f51ff,0x003ff980,0x5440ffe4,0xffe8001f,
    0x07ff2002,0x64007ea2,0xf801f8ff,0x017c006f,0x3ff401f4,0x05ffd000,
    0xfa83e600,0x7fe4003f,0x004ffd80,0x7fd41f30,0x83e60003,0xf8803ffa,
    0x7fdc007f,0xb01ff902,0x7e4009ff,0xfff1000f,0x103ff903,0x698003f5,
    0x07ffd12e,0x323fff00,0x07ffd04f,0x363fff00,0xeda803ff,0xb105eeee,
    0x20037997,0x01bccbd8,0x800bffe2,0x3fd806ff,0x7fd40066,0x80002f8e,
    0x64003ff9,0xfeeeeeff,0x7e4001ff,0x7fe4005f,0xfffeeeee,0xddff1001,
    0x001bfe00,0x00f9805f,0x8002ffb8,0x20005ffc,0x006ff84d,0x5d4cffe4,
    0x20002eff,0x006ff84d,0x1bfe1360,0x001ffdc0,0x7fe40dfd,0x2effba99,
    0x007fe400,0xf905fff0,0xffdddddf,0x2698003f,0x01fff44b,0xfc8fffc0,
    0x007ffd04,0x3fa3fff0,0x3fee003f,0x000b603f,0xfb8002d8,0x1bfe006f,
    0x8000ff60,0x0005effc,0x8009ff50,0x9999affc,0x26001fca,0x64000eff,
    0xa9999aff,0x3f2001fc,0x0dff002f,0x26c02f80,0x006ff880,0x00077fcc,
    0xffc81f88,0x3bff2002,0x0002fffe,0x7fe40fc4,0x81f88002,0xfb002ffc,
    0x0bfea00f,0xffeeffc8,0xff90002f,0x0fffc001,0x4ccd7fe4,0x4001fca9,
    0xffb12e69,0xfff88007,0x3f609f90,0x7fc4003f,0x00bffb0f,0xf903ffc4,
    0x0ff20007,0x017ff400,0xfd806ff8,0x3fe20003,0xf900000f,0xffc800bf,
    0x44007601,0xc8001ffe,0x007601ff,0x3e007f88,0x017c006f,0x7f4005f3,
    0xffd1003f,0x835c0003,0x32005ff8,0x0dff30ff,0xf106b800,0x0d7000bf,
    0x44017fe2,0x7f4404fe,0x987fe402,0xf90006ff,0x3fe2001f,0x01ffc80f,
    0x4d300076,0x027fe44b,0xfc9ffe60,0x009ff904,0x3f27ff98,0x37fc007f,
    0xffffffb0,0x3f6039df,0xceffffff,0x05ffb101,0xfb00dff0,0xb0013227,
    0xd90000ff,0x019fffff,0x5c03ff90,0x09ff9001,0x807ff200,0x026c001b,
    0xf800dfd0,0x800bfa01,0xc800fffd,0x7c0004ff,0xfcccccce,0xff9000ff,
    0x001ffe41,0x99999df0,0x8001fff9,0xccccccef,0xd1000fff,0x0bfe60bf,
    0xfc83ff20,0xffc8003f,0x0fff3000,0x1b807ff2,0x89734c00,0x4c005ffa,
    0x413f25ff,0x4c005ffa,0x3ffee5ff,0x81bfe000,0xffffffe8,0xfe883fff,
    0xffffffff,0x073fee03,0x6c02ffd4,0x005ff73f,0x00003fec,0x1ffc8000,
    0x7fd40020,0x3ff20006,0xf1000201,0x03ff4001,0xff703f10,0x75403bff,
    0x00dfffff,0x8000dff5,0xaaaaaaea,0x9004ffba,0x1ffe81ff,0xaaaea800,
    0x4ffbaaaa,0x2aabaa00,0x4ffbaaaa,0x66ff5400,0x9000cfed,0x1ffe81ff,
    0x007fe400,0xf906ffb8,0x4000403f,0xff112e69,0x2ffb800f,0x7fc413f2,
    0x17fdc007,0x4005fff1,0x236206ff,0xebaa9998,0x9988d886,0x406ebaa9,
    0xdcdffec9,0xfb001cff,0x8007fea7,0x200007fd,0xfc8003b8,0x7c40001f,
    0x901001ff,0x400003ff,0x7fe4005b,0x000f5001,0x22009500,0x01001fff,
    0x1ffa00fa,0x2207fe40,0x74000eff,0x007fe803,0x1ffa00fa,0x7fffdc00,
    0x07fe4002,0x8003bfe2,0xfd000ffc,0x07ff205f,0x5cd30000,0x003ffb84,
    0x09f917fa,0xd001ffdc,0x0dff70bf,0xe8837fc0,0x220f8802,0x00f8802e,
    0x0066b320,0x0098ff60,0x0003fec0,0x8007ff70,0x55001ffc,0x2007ffb0,
    0x01ffc81a,0x17c40550,0x00ffea00,0x400002ec,0x7ffb004e,0x3e606a00,
    0x02ffb800,0xfa80ffc8,0x03e6005f,0x200bfee0,0xffb800f9,0xfff50002,
    0x7fe4003f,0x005ffa80,0x2e003ff2,0x3ff205ff,0x30055001,0x7fe825cd,
    0xc81ff500,0x03ff404f,0xfd00ffa8,0x1bfe005f,0x354007e4,0x1aa003f2,
    0x001ef880,0x0000ff60,0x40000ffb,0x64006de9,0x868801ff,0x3a005ffb,
    0x801ffc80,0x6c4dcc68,0x1df90004,0x0000ed80,0xfb807f80,0x203a005f,
    0xdff1004d,0x201ff900,0x9b003ffc,0x01bfe200,0x7fc40136,0x3fa20006,
    0xff9000ff,0x00fff201,0x26007fe4,0x3f200fff,0x0068801f,0xf9825cd3,
    0x17f4c04f,0x3e6027e4,0x17f4c04f,0x005ffb10,0x13fe0dff,0x4ff83d10,
    0x1000f440,0x6c000df9,0x8007b33f,0x00000ffe,0x3f2002cc,0x4c5d801f,
    0xd7000fff,0x2007ff20,0x37fffc5d,0x2bff6000,0x003f6a20,0x96fe4000,
    0x03ffe608,0x17cc35c0,0x807ffd00,0xfd100ffd,0x02f9807f,0x980fffa0,
    0x3ffa002f,0x7f540003,0x01ffb006,0x200fffa2,0x3ee00ffd,0x7fe400ef,
    0x3005d801,0xfb1025cd,0x407bea0b,0xfd8804fc,0x003df505,0x54073fee,
    0xfff705ff,0x5d975559,0x559fff70,0x0005d975,0x6c000bf1,0x001ffb3f,
    0x000bffe2,0x4001d880,0x4c40cffe,0x7ff42fe9,0x9999999c,0xfd05feb9,
    0xe998819f,0x0efff42f,0x3ff22000,0x01dfffef,0x3f620000,0x3ffa1dff,
    0x9999999c,0xfe85feb9,0x3fff6002,0x07fff100,0x805fffcc,0x3f6002fe,
    0x05fd00ff,0x007ffec0,0x0e7f5400,0x203fff88,0x100bfff9,0x31137fff,
    0x2007ffb7,0x4c40cffe,0xd3002fe9,0x7f5c025c,0x404efdce,0x00999dfc,
    0x3f73bfae,0xec98004e,0xcffdcdff,0x7fff5401,0x2a00cfff,0xcffffffe,
    0x2fc88000,0x36666200,0x801ff93f,0xdfffffda,0x05cc0003,0xfffec980,
    0xffffffff,0x7fffdc7f,0xffffffff,0x3b263fff,0xffffffff,0x1507ffff,
    0x55300000,0x00000135,0x7fdc0980,0xffffffff,0x2e3fffff,0x201dffff,
    0xdfffffea,0xfffffb30,0x3ffee09d,0xffff70df,0x7ff5403b,0xff70dfff,
    0x75403bff,0x00dfffff,0x0cba8800,0xdfffffb3,0x3fffee09,0xffffb30d,
    0x579dffff,0xffec9801,0xffffffff,0x8a2007ff,0x4d4c0018,0xffff9000,
    0x26a600df,0x2a600000,0x9880019a,0x4c4000aa,0x260000aa,0x7f4000bc,
    0x0263ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00066540,
    0x90000000,0x99800079,0x32000001,0x710001ee,0x0001d405,0x4c40032a,
    0xddddb309,0x01599bdd,0x3bbbb6e0,0xddb702de,0x3b6619dd,0xdb800eee,
    0x2a04eeee,0xed9801cc,0x02deeeee,0x01cca800,0x38004018,0x76cc02a0,
    0xeeeeeeee,0x6cc4eeee,0x43deeeee,0x0deeeeec,0x88003000,0x200000cc,
    0x000002da,0x00e02800,0x00db8372,0x01401300,0x22301530,0xceeeeeec,
    0x220032e0,0x40005fff,0x002a80c8,0x005fff70,0x000ffea0,0x01ffc400,
    0x21ffed40,0x0006ffc8,0xff8027fc,0x67ffcc0e,0x03fffdbb,0x00ffff20,
    0xe98177dc,0xf7000eff,0x5fe8803b,0x3bffe600,0x3fa00000,0xb01b3005,
    0x9872e001,0xffe9804b,0xcaaaaaab,0x9fff306f,0x00effd40,0xa800d300,
    0x200003ff,0x5c0007ff,0x400cc4ff,0x00ee61bc,0x3fe67ff5,0x10760004,
    0x3ff60057,0xfd10e23f,0x4ff983df,0x1ffafd80,0x50f5c000,0x37e2000d,
    0xfb0006fb,0x54000009,0xf750004f,0x6fe9987f,0x01ff4000,0xfd807fcc,
    0x2ffec40f,0x007ff980,0x3fa2027c,0x00fe005f,0x32003fc4,0x200002ff,
    0x32000ef9,0x4007d11e,0x1ffffff8,0x803ff900,0x07ffa079,0x80004fc8,
    0x7fcc003c,0x3f600001,0x3ba60005,0x00d8bfff,0xffffff98,0x897fc400,
    0x2e0003ff,0x006feeff,0x9fffd7b1,0x09ff903d,0xe9809ff1,0x0000db10,
    0x003f75fd,0x03f99720,0x00005f80,0x40002ec0,0x0df903ff,0x32001000,
    0x03ff201f,0x4007ffe2,0x17c006ff,0x027ffdc0,0x3e6002f8,0x07ff2002,
    0x00fb8000,0x375ffc40,0x6ffecc00,0x07ff2002,0x0ffd81a0,0x00007f50,
    0x0220003e,0x00060000,0x7fff5470,0x3ff6a004,0x1011001d,0xffc88000,
    0xa85001df,0xff704ffe,0x3600a605,0x40002c80,0x0005fffa,0x001b1091,
    0x00000754,0x200003a0,0x0df903ff,0x17400000,0x6c03ff20,0xdff004ff,
    0xb802f800,0xf802fffe,0x00254001,0x00003ff9,0xfb8000ec,0x220002ff,
    0x1ffc8000,0x3ff20280,0x0003fa80,0x4c000b30,0x04400000,0xc9818008,
    0x00110003,0x80000040,0x9804000a,0x00bfee00,0x00600880,0x003bb600,
    0x80020040,0x4000000b,0xfd000008,0x001bee07,0x401c4000,0xff700ffc,
    0x01bfe00d,0x5b7005f0,0x1f803fff,0x32001800,0x200001ff,0x15540001,
    0xc8000000,0x640001ff,0x01fd40ff,0x40059000,0xdffeffda,0x2a002b8a,
    0x0acefffd,0x0001000d,0xfb910000,0x00059dff,0x00000020,0x0002ffb8,
    0x08000000,0x001d4000,0x00000000,0x3fe80000,0x0000df70,0x9015c400,
    0x3ff201ff,0x00dff003,0x75b802f8,0x0fc01dff,0x00660d40,0x00007ff2,
    0x2003306a,0xd980cc1a,0xeeeeeeee,0x204eeeee,0x02a01ffc,0x7d41ff90,
    0x65c40003,0xfe9801fe,0x3fea20ac,0xdffa802f,0x1fff660a,0x10007a00,
    0x9dddddd9,0x82bbea01,0x0000dfc9,0x322000f4,0x0ceeeeee,0x9802ffb8,
    0x4deeeeed,0x777776d4,0x00f4003d,0x01bff260,0xdddddb30,0x200005bd,
    0xeeeeeed8,0xeeeeeeee,0x5c0ffa05,0x5555446f,0x4059100a,0x3203ffda,
    0x1ffd00ff,0x001bfe00,0x6cb7005f,0x007e05ff,0x3fea3ff7,0x00ffe402,
    0x547fee00,0x7fdc02ff,0x4c05ff51,0xaaaabffe,0x3206fcaa,0x007601ff,
    0x0fea1ff9,0x95df7000,0x7fd407ff,0x01fec403,0xf5007ff2,0x27cc001f,
    0xeffe8800,0x8037f601,0x30001efb,0x3a20009f,0x3ee01eff,0x3fe6002f,
    0x7ffcc04f,0x04f98004,0x037fccc0,0x0efff980,0xff300000,0x55555fff,
    0x7f40ff75,0xc88df703,0x6d409bff,0x3eea03ff,0x03ff203f,0xf8013ff6,
    0x017c006f,0x13ffa2dc,0x3fee00fc,0xc805ff51,0x5c0001ff,0x05ff51ff,
    0xff51ffb8,0x01ffc805,0x3ff903cc,0xc803f510,0x003fb8ff,0xfbb17d40,
    0x05ff503f,0xfb813e20,0x01f7003f,0x0007fec0,0x2e04ffc8,0xffc800ff,
    0x0ffd8000,0x09ff9000,0x4002ffb8,0xfe801ffd,0xffd8000f,0x06fc8000,
    0x00bff200,0xfd7d0000,0x3a07880f,0xb0df703f,0x7fdd401d,0x203ff803,
    0xfba99ffc,0x7fc002ef,0x4017c006,0x1fffc45b,0x215c00fc,0x1ffc803b,
    0x5c2b8000,0x3b857003,0x801ffc80,0x3bbff206,0x01fffeee,0x17fe7fe4,
    0x44bf1000,0x7c44ff8e,0x8264005f,0x74005ff9,0x7fff1001,0x0bfee000,
    0x88027fcc,0x7c4005ff,0xf70003ff,0x2ffb805f,0x007fec00,0x20007fec,
    0x8003fff8,0x320006fc,0x000001ff,0x01ffa3e6,0x703fe816,0x2005d8df,
    0x3ff803ff,0x3fbbff20,0xff0002ff,0x802f800d,0x1fff985b,0x000000fc,
    0x00007ff2,0x00000000,0x05003ff9,0x4ccd7fe4,0x6401fca9,0x02fffcff,
    0xa5c7f900,0x0ffe40ca,0x7ec12200,0x00dc001f,0x006ffec8,0x3a05ff70,
    0x3f6000ff,0x3fb2002f,0xff70006f,0x02ffb805,0x4007fe40,0x64000ffd,
    0xc8006ffe,0x3f20006f,0x2000001f,0x300ffd3d,0xfb81ff40,0xe800bb16,
    0x03fe803f,0x7fcc3ff2,0x0dff0006,0x5b802f80,0x7c1fff70,0x41aaaa81,
    0x3201aaaa,0xaa8001ff,0x555541aa,0x20d55541,0x3201aaaa,0x640001ff,
    0x007601ff,0xfff71ff9,0x43fb0005,0x037fc01e,0x0fff1000,0x3e003100,
    0x8001ffca,0xff982ffb,0x2ffd4006,0x3ff95f00,0x05ff7000,0xb902ffb8,
    0x800ffc81,0x7c000ffd,0x4001ffca,0x320006fc,0x000001ff,0x003ff4f3,
    0x7dc0ffa0,0xe8004e8e,0x03fe803f,0xffc83ff2,0x06ff8003,0x2dc017c0,
    0x0fcdff90,0x262ffdcc,0x3f204ffc,0xfb98001f,0x27fe4c5f,0x9317fee6,
    0x7fe409ff,0xf9002a01,0x200dc03f,0xfff70ffc,0x31ff8005,0x05ff980d,
    0x1bfee000,0x37a80000,0xf7000bff,0x0bff705f,0x007ff980,0x017fe6f5,
    0x700bfee0,0x9ff305ff,0xd800ffc8,0x5ea000ff,0x64005ff9,0x00b2e66f,
    0x00007ff2,0x0ffd1ec0,0x0ffa00cc,0x02ff77dc,0x7401ff40,0x03ff203f,
    0xe8003ffd,0x00fc006f,0x3ffa02dc,0x2ff403f5,0x3f204ff8,0x3fa0001f,
    0x3a09ff05,0x409ff05f,0x07601ffc,0x0403ff90,0xf707fe40,0x7fc005ff,
    0xffb80792,0x3f600004,0x2000005f,0x003ffa3e,0xf905ff70,0xff88009f,
    0x3a3e800f,0x7dc000ff,0x17fdc02f,0x3f21ffc4,0x0ffd800f,0xffe8fa00,
    0x5dbf2000,0x6404ffff,0x800001ff,0x903ff46a,0x703fe805,0x007ff5df,
    0xfe803fe8,0x103ff203,0x74001dff,0x07e2007f,0xfd1016e0,0x7ec03f7f,
    0x6409fb05,0xb06001ff,0x413f60bf,0x09fb05fd,0x5440ffe4,0x0ffe401f,
    0x03ff2000,0x2005fff7,0x4101d4fe,0xda803ffd,0x3a5eeeee,0x000003ff,
    0x1ffd41f3,0x20bfee00,0xf8003ffe,0x07cc01ff,0xb8007ff5,0x7fdc02ff,
    0xff903102,0x01ffb001,0xffa83e60,0x33bf2003,0x01ffc89c,0x00007ff2,
    0x0ffd0fa0,0xfe805f51,0x3f2df703,0x0ffa002f,0xfc80ffa0,0x05ffa80f,
    0x4003ff20,0x00b7007a,0x403ffff3,0x09fb05fd,0xb800ffe4,0xfd82fec1,
    0x360bfb04,0x3bff204f,0x1fffeeee,0x800ffe40,0x80ffc82a,0xd802fffb,
    0x74905aff,0x3ee003ff,0x1fff43ff,0x84d80000,0x7dc006ff,0x03ffe82f,
    0x401fff80,0x006ff84d,0x2e017fdc,0x7e4002ff,0xcccccccf,0x000ffecc,
    0x00dff09b,0x7fc17fe4,0x007ff203,0xfd0d5000,0xfffddddf,0x703fe805,
    0x007ff4df,0xfe803fe8,0x403ff203,0xf5003ffc,0x0176007f,0xffa802dc,
    0x417f601f,0x3ff204fd,0xfd868801,0x3609fb05,0x409fb05f,0x9999affc,
    0x7e401fca,0xb068801f,0x3fee01ff,0x7ffdc03f,0x3ff63a82,0x1ffe2005,
    0x00013ff6,0x3f207e20,0x3fee002f,0x003ffd82,0x1007ffc4,0x05ff903f,
    0x2017fdc0,0x20102ffb,0xaaaabffc,0x0ffeaaaa,0xfc81f880,0x0df9002f,
    0xffc813f6,0x17400001,0x4cccfff4,0x7f402fb9,0x7c4df703,0x3fe800ef,
    0x3603fe80,0xffd100ff,0x03bf2007,0x32001db0,0x07ff2006,0x9fb05fd8,
    0x2017fec0,0x05fd84d8,0x17f609fb,0xff9027ec,0x3200ec03,0x05d801ff,
    0x7dc03ffd,0x3fe204ff,0x41d710cf,0x7c007ffc,0x05ffc86f,0x106b8000,
    0x7dc00bff,0x04ffc82f,0x203ffcc0,0x0bff106b,0x2017fdc0,0x5fb83ffc,
    0xd800ffc8,0x06b800ff,0x3200bff1,0x40bfb06f,0x00001ffc,0x3bbbbbee,
    0x00b207ff,0x1ff209ff,0xff00bff3,0x207fd009,0x2603fff8,0xd800bfff,
    0x36a20aff,0x03fa000f,0x3601fd80,0x209fb05f,0x99adffe8,0x82ffcaa9,
    0x09fb05fd,0x27ec17f6,0x5c03ff90,0x067ff401,0x20bfa662,0x2202fff8,
    0x301effff,0x3fffffff,0x000fffb8,0x3fee1bfe,0xef800007,0xffcccccc,
    0x5ff7000f,0x800bff50,0x77c05ff9,0xffcccccc,0x5ff7000f,0xd84ffd80,
    0x00ffc87f,0xf800ffd8,0xfcccccce,0x6fc800ff,0x7e40bfb0,0x3e00001f,
    0xfeaaaaab,0xf880aa07,0x90ffb05f,0x7fc409ff,0x4c3fe805,0x4efffffd,
    0x1bffff70,0x77ffe440,0x8801dfff,0x02dffffc,0x3f601e88,0xc989fb05,
    0xffffffff,0xb07fffff,0x413f60bf,0x09fb05fd,0x0100ffe4,0x3ffffb26,
    0xffffffff,0x7fffecc7,0x7ff543df,0xd83effff,0x881cffff,0x3e002fff,
    0x0fff886f,0x2baa0000,0xfbaaaaaa,0x5ff7004f,0x800fff10,0x3aa02ffb,
    0xbaaaaaaa,0xff7004ff,0xffff9105,0x1ff619df,0x36003ff2,0x575400ff,
    0xfbaaaaaa,0x06fc804f,0x7fe40bf9,0x0b700001,0x40203ff4,0x72dfffeb,
    0x269dfffb,0x644efffe,0x202dfffe,0x008003fe,0xeca98000,0x08000009,
    0x5fd80220,0x08009fb0,0xb05fd800,0x417f609f,0x3ff204fd,0x64000001,
    0x00080002,0x400c5a20,0x3e006ffb,0x09ff906f,0x07d03880,0x2e00ffd0,
    0x7ff702ff,0x202ff400,0x07fe803e,0x8805ff70,0x321bf206,0xffd800ff,
    0x7401f400,0x06fc807f,0x7fe40bf9,0x7c406001,0x001ffa01,0x00000010,
    0x1ff400ee,0x00fbe600,0x00176000,0x00f7e400,0xfe82fe40,0x0fbe6004,
    0xfd05fc80,0x7417f209,0x07ff204f,0x22001540,0x7e40002f,0x03b8001e,
    0x002ffe80,0x3fe20dff,0x2036003f,0xffb800f9,0x02ffb802,0x7d401ffa,
    0x003e600f,0x2e00bfee,0x036402ff,0x1ff909f5,0x401ffb00,0xffb800f9,
    0xc837e402,0x07ff205f,0x05c80dc0,0x39803ff4,0xe801ffc4,0x0fe000df,
    0x2001ff40,0x0000ffb8,0x00007f40,0x002fe4c0,0x3f607fdc,0x3ee2005f,
    0x1ff7000f,0xf705ffd8,0x05ffd81f,0x22007ff2,0x05f98006,0x02fe4c00,
    0x44000740,0xff802ffd,0x07ffa606,0x026c0b60,0xb806ff88,0x3fe602ff,
    0x017f4c04,0x7fc40136,0x02ffb806,0x3f980fec,0xd800ffd8,0x013600ff,
    0x32037fc4,0x40bf906f,0x68801ffc,0xfe803f30,0xb883d007,0xfea800ff,
    0x00df1003,0x74000ffa,0x5c00000f,0x00088aef,0x000bf100,0x5d77dff1,
    0x40079ffb,0xff1000fd,0xffb5d77d,0xbeff8879,0x3cffdaeb,0xd801ffc8,
    0x39fd0005,0x17e20006,0x8000d300,0xf501cffb,0xffe880bf,0x07ae60bd,
    0xfd0017cc,0x3ffc807f,0xa82fec40,0x17cc01ef,0x807ffd00,0x7d403ffc,
    0x07e088be,0x3a007ffa,0x05f300ff,0x901fff40,0x817f60df,0x6c402ffd,
    0xff00bb04,0x6c0d900f,0x07f7000f,0x0096ff40,0xf50009ff,0xb1000009,
    0x0003bfff,0x0003f910,0x6c7bffea,0x3ea002df,0x7ffd4004,0x205bfb1e,
    0xfb1efffa,0x33ffa05b,0x17f4cc40,0xfffea800,0x3f22000c,0x001e4001,
    0x6fff64c0,0x001cffdc,0x3fbfff6e,0x0bfa00cf,0x00fffd80,0x5c013ff6,
    0x4efdcefe,0x4005fd00,0x3600fffd,0xffc804ff,0xf103a2ef,0xff8805ff,
    0x005fd02f,0xd807ffec,0x20dfd07f,0x99adffe8,0x82ffcaa9,0x7fcc05fb,
    0x3aa620af,0x009f504f,0xb3001fa6,0xf8819fff,0x2f22005f,0x98000001,
    0x79300000,0x83500001,0x2f22000a,0x506a0001,0x1506a001,0xffffd930,
    0xffffffff,0x1310000f,0x00bc9800,0x00000b80,0x0019aa98,0x009aa980,
    0x077fffee,0xfffffea8,0xffff910d,0x260019df,0xff70009a,0x75403bff,
    0x10dfffff,0x9dfffff9,0x21819801,0xdfffffd9,0x7fffed44,0xffff73df,
    0x7ff5403b,0xfb50dfff,0x3f6e9dff,0xff932dff,0xffffffff,0xfd98ffff,
    0x7ed43eff,0xffffffff,0xbc81ffff,0x00597001,0x75c04c40,0x0002dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x013224d8,0x80019b10,0x0076e0dc,
    0x00164c00,0x7b316cc0,0x006e4000,0xddddd100,0x0001dddd,0x22000000,
    0x8b6a0001,0xa80002d9,0x2038001d,0x00b6a1da,0xdddddddb,0x2666005d,
    0x00199999,0x3bbbbbb6,0x775c01ee,0x03eeeeee,0xddddddd5,0x2000009d,
    0x884cc019,0x00400019,0x4c400010,0x0bb88001,0x00266200,0x0004cc40,
    0x4000ee20,0x0ae200c9,0x8ffe4000,0x2e002ffb,0x3ea002ff,0x00bff34f,
    0x0b95b700,0x367fe800,0xfa8000ff,0x3e20004f,0xffffffff,0x40000000,
    0x024c03fa,0x7f4fff00,0x3e20000f,0x82cc006f,0x1ffe6ff8,0xffffffd0,
    0xff3005ff,0x0fffffff,0x7fffffc0,0x7e402fff,0x4fffffff,0xffffff70,
    0x00000bff,0x7fc05ff1,0xfd98df72,0x3faa0fff,0x16402dff,0xfff10244,
    0xebbf8005,0x09ff3001,0x003ff600,0x02ffe4c0,0x207ffaa0,0x0004ffd9,
    0x3e61ff50,0x3fe6001f,0x8bfe2001,0xe80003ff,0xc80007a0,0x001bee6f,
    0x00017fc4,0x00000000,0x5c07fdc0,0x00bdfffd,0x6fc97f60,0x04fe8000,
    0x9fd02ec0,0x00002fec,0xccccc880,0x00004ccc,0x00000000,0x40220000,
    0x4bf303fe,0x3ffe01fc,0xfb75bf90,0x11fc409f,0x7efe403d,0x5a92a006,
    0x001bea00,0x80007fe2,0x2005ff99,0xa81ffc98,0x00004ffa,0x00011022,
    0x01100011,0x83a00001,0x40c0001d,0x00440000,0x00000000,0x88bd0000,
    0xfd9cabee,0x0206002f,0x40008000,0x0c0c05fb,0x00000400,0x00080000,
    0x00000000,0x7ffee440,0x05c9abde,0x404e83ea,0x704b8ffd,0x6fdc09ff,
    0x4be205e9,0x477003fb,0x0fdc0059,0x000bea00,0x4002fec0,0x3fa01ff9,
    0x00000004,0x02000000,0x276e0000,0x0000006c,0xdb800000,0x02deeeee,
    0x19ddddb7,0x3bbbbb6e,0xdddb702d,0x5f70799d,0x003f9926,0x00000000,
    0x555dff90,0x6e440000,0x002cefff,0x000660d4,0xc88003d0,0x0ceeeeee,
    0xddddddb3,0x9ddddddd,0x10aefa80,0x8017ff93,0x32007c3c,0x7ec05bff,
    0x3fffa00f,0x1d307600,0x5d55d100,0x8007b000,0x3200003c,0xeee9805f,
    0xe82eeffe,0x3b6e004f,0x702deeee,0x219ddddb,0xeeeeeec8,0x00f4000c,
    0x067d4000,0xddddb300,0xdddddddd,0xeeed989d,0xeeeeeeee,0xfff904ee,
    0x0bbee007,0x801fffe4,0x3f402efb,0x3ae3c893,0x02deeeee,0x0bddddd7,
    0xddddddd5,0x4bdddddd,0x3ccffeca,0x3bbbbb22,0x5df500ce,0x006fe4c1,
    0xffa8ffdc,0x09f30002,0x3bffa200,0x57ffd301,0xdf955555,0x7006fec0,
    0x443805ff,0x0effc802,0x3027fd40,0x80c40599,0x3b910018,0x2001c000,
    0x7e400003,0xbaaa8805,0xfe81acff,0xfffc8004,0x05df7003,0x007bffa2,
    0x00013e60,0x40013e60,0xaaabffe9,0x306fcaaa,0x55557ffd,0x260df955,
    0x27c007ff,0x800fff30,0x87fcc04f,0x3a61d449,0xf8805fff,0x9df701ef,
    0xf7555557,0x0bf903ff,0x01effe88,0xfb8037f6,0x8ffdc01e,0xb0002ffa,
    0x320001ff,0x7fe404ff,0xfb83cc01,0x0ffc800f,0xffc80000,0x01fff002,
    0x00000000,0x00000000,0x05fc8000,0x201ff880,0xf98004fe,0x027c007f,
    0x40013ff2,0x00000ffd,0x80007fec,0x3cc01ffc,0x9803ff90,0x001bfe07,
    0x06ff807f,0x3e2017c0,0x8188933f,0xf004ffe8,0x4026401d,0xbf904ffd,
    0x409ff900,0xfc800ffb,0x2e15c00f,0xfff10003,0x3fee0007,0x00ffe402,
    0x027fcc34,0x4405ff88,0xfc801bcb,0x3ffb000f,0x037b9510,0x009bccb8,
    0xaa835555,0x32a201aa,0x951001bd,0x30074459,0x017f2597,0xff117951,
    0x9527f403,0x06ff8037,0x3ee017c0,0xff88002f,0x2200003f,0x90003fff,
    0x40d003ff,0x06801ffc,0x5f001bfe,0x4006ff80,0xaffe802f,0x3fe60049,
    0x00fd400f,0xdff50036,0x5c02fe40,0x9ff302ff,0x017fe200,0xfd900000,
    0x3ee000df,0x0ffe402f,0x07ff4140,0x105ffb00,0x1dfb55bd,0x8007fe40,
    0x6fcc2ffd,0xf983ffca,0x80efdaae,0x64c5ffb9,0x5bf304ff,0x6c407ff9,
    0xeaefdabf,0x939fb102,0x7d40bfdf,0x1ffeeaae,0x3fa33fa0,0x3fe04fff,
    0x2017c006,0xc8002ffb,0x00006ffe,0x001bffb2,0x1400ffe4,0x5003ff90,
    0x20037fc0,0x037fc02f,0x3ee00be0,0x64004dff,0x027404ff,0x3ffe2024,
    0x2017f201,0xffd02ffb,0x17fec001,0xaa835555,0x57c001aa,0xb8001ffc,
    0x7fe402ff,0x6ff98001,0x22ffd400,0x1ffb85e8,0x2001ff90,0x07e63ffc,
    0x0fd85ff5,0xbfd027f4,0x3e613fe0,0xd817fd41,0x827fe40d,0x7fdc0ee8,
    0xe887f505,0x33fa01ff,0x4fffcace,0xf800dff0,0x017fdc02,0x0ffe57c0,
    0xfcaf8000,0xffc8001f,0x7fe40001,0x37fc0001,0xff00be00,0x002f800d,
    0x001dfff9,0xd701ffe8,0xffb00200,0x805fc807,0xff982ffb,0x2ffd4006,
    0xc98bff73,0x5ea004ff,0xb8005ff9,0x7fe402ff,0x3ee02a01,0x7fcc005f,
    0xfe807ec7,0x001ff906,0x05e8fff2,0x43fccffd,0x17f605fc,0x82f427ec,
    0x01fd87fe,0x0bf20dff,0x37c42ffc,0x3a01ffa8,0x7ff441ef,0x4006ff80,
    0x17fdc02f,0x7fcdea00,0x37a80005,0xf9000bff,0x2005403f,0x02a01ffc,
    0xf800dff0,0x0037fc02,0xffa800be,0x3e6002ff,0x001f886f,0x805ffb80,
    0xffb805fc,0x005ffb82,0x7f43ffcc,0x4009ff05,0x003ffa3e,0xc805ff70,
    0x207601ff,0x44004ffc,0x0ff30fff,0x7e417fdc,0x5ff7000f,0x26666fea,
    0x9d10ffd9,0x7ec0df70,0xfa89fb05,0xfd99999b,0x641fe60f,0x3fcc2ffe,
    0x7f90bfb0,0xe807fe20,0x07ff504f,0x2f800dff,0x0017fdc0,0x00ffe8fa,
    0xffd1f400,0x1ffc8001,0xff900760,0x3e00ec03,0x017c006f,0x5f001bfe,
    0xfffd8800,0x13ff2004,0xf300009b,0xbf9001ff,0x905ff700,0xf88009ff,
    0x82fec0ff,0x1f3004fd,0x2001ffd4,0x7e402ffb,0x81fa881f,0xf8003ffe,
    0x40df71ff,0xffc84ff8,0x23ff7000,0xcccccdfc,0x2e201ccc,0x17f606fe,
    0x37f227ec,0xcccccccc,0x36e1bee1,0x37e44ff9,0x5ff0bf90,0xe807fe20,
    0x213fe04f,0x17c006ff,0x800bfee0,0x0ffea0f9,0x2a0f9800,0x7e4003ff,
    0x01fa881f,0x5440ffe4,0x037fc01f,0xdff00be0,0x8002f800,0x004fffe9,
    0x3ea3ffd1,0xffe80000,0x00bf9002,0xffd05ff7,0x3fff0007,0x9fb05fd8,
    0x3fe13600,0x17fdc006,0x3bbbff20,0xe81fffee,0xff8003ff,0xf80bfb1f,
    0x00ffc85f,0x3f61ff70,0x7d910001,0x2fec0df9,0x0fec4fd8,0xd51bf600,
    0x17f637fc,0x7fcc5fc8,0x403ff101,0x1bf604fe,0x5f001bfe,0x002ffb80,
    0x01bfe136,0x6ff84d80,0x777fe400,0x01fffeee,0x77777fe4,0x7c01fffe,
    0x017c006f,0x5f001bfe,0xfd393000,0x3fea007f,0x80002f8e,0x32005ffc,
    0x2ffb806f,0x8003ffe8,0x2fec1fff,0xf8804fd8,0x002ffc81,0xf900bfee,
    0x9533335f,0x09ffb03f,0xf0fff880,0x85ff80df,0xf9000ffc,0x40017f4f,
    0x81bee3fc,0x89fb05fd,0x7f4002fe,0x6fe83aa7,0xbf902ffc,0xf101ffa8,
    0x027f403f,0x0dff0bfb,0x7dc02f80,0x03f1002f,0x10005ff9,0x05ff903f,
    0x4cd7fe40,0x401fca99,0x9999affc,0x7fc01fca,0x2017c006,0x17c006ff,
    0xfe8a4c00,0x3bff2006,0xff980005,0x9fee000e,0xb05ff701,0xf88007ff,
    0x82fec0ff,0x06b804fd,0x5c00bff1,0x7fe402ff,0x3ee07601,0x7fcc004f,
    0xfd01ffa7,0x001ff907,0x04fd9bf2,0x3ee0fec0,0x6c17f606,0x0027ec4f,
    0x03a63ff6,0x06fe89fd,0x5ff517f2,0xe807fe20,0x213f604f,0x17c006ff,
    0x400bfee0,0x0bff106b,0x3e20d700,0x3ff2005f,0xf9007601,0x200ec03f,
    0x17c006ff,0xf001bfe0,0x54930005,0xff1000ff,0xe880001f,0x7d4001ff,
    0xff703cdf,0x009ff905,0xfd87ff98,0xf009fb05,0xf999999d,0x3ee001ff,
    0x0ffe402f,0xbff50370,0x25ff9800,0x3fe01ffc,0x000ffc81,0x07fe47fb,
    0x217f2170,0x17f606fb,0x3ff227ec,0xffc82e00,0x42fe81ea,0xbf900ffd,
    0xf104ff98,0x027f405f,0x0dff05fd,0x7dc02f80,0x99df002f,0x1fff9999,
    0xcccef800,0x00fffccc,0x5c03ff90,0x00ffe401,0x06fe8037,0x3fa00fc0,
    0x200fc006,0x3fe24c2a,0x01ff6002,0x013ff200,0x7027fe40,0xbff505ff,
    0x85ff9800,0x09fb05fd,0xaaaaaea8,0x004ffbaa,0xfc805ff7,0x7c40201f,
    0x7fdc007f,0x4413fe62,0x0ffc80ff,0x83fa0764,0x5880dffa,0x1bee13fa,
    0x9fd05fc8,0x880dffa8,0x80fffc45,0x1ffdc0ff,0xfff85fc8,0x202ff880,
    0x0df104fe,0x3f001bfa,0x802ffb80,0xaaaaaaea,0x2004ffba,0xaaaaaaea,
    0x9004ffba,0x400403ff,0x00201ffc,0xf8801ffa,0x003ff401,0x45a803f1,
    0x003fe249,0x40007fd8,0x40006ffa,0x82ffb800,0x5c007ff8,0x05fd82ff,
    0x03e809fb,0xf7007fe8,0x1ffc805f,0x07ff7000,0x7ec2ff40,0xb02fb80f,
    0x2ffc43ff,0xdffb07f1,0x6c3d7115,0x9bff4c7f,0x3607fdc0,0xeffd85ff,
    0xc81eb88a,0x82fa80ff,0x7441fff8,0x85ffb86f,0x3fa02ffa,0x3a03f904,
    0x07e2007f,0xd005ff70,0x00ffd007,0x3ff401f4,0x001ffc80,0x000ffe40,
    0x4007ff20,0x0ffc807a,0xf500f500,0x09f524c1,0x0007fd80,0x4007ffe2,
    0x5c00bb80,0x7ff702ff,0xc82ff400,0x409fd05f,0xffb800f9,0x02ffb802,
    0xa800ffe4,0xa803ff42,0xefe880ff,0xfe80fea0,0xc87fec3f,0xfffff305,
    0xeffa8bff,0x4cffbddb,0xebbeff88,0x263cffda,0x5fffffff,0x541dffb0,
    0x3ffea03e,0xcffefc9b,0x4d77fec3,0x81ceffed,0x1fdc3ffd,0x2001ff90,
    0x2ffb807a,0x5c007cc0,0x0f9802ff,0x802ffb80,0x55001ffc,0x2003ff90,
    0x03ffa82a,0xff500bb0,0x20176007,0x26932efa,0x7ec000ef,0x3ff60007,
    0xf9835003,0x17fdc05f,0x2a00ffd0,0x1ff700ff,0x3605ffd8,0x0dff1004,
    0xc805ff70,0x868801ff,0x74c04ff9,0x6ffe403f,0xfec983de,0xfd34dfff,
    0xfd8807df,0xff904fff,0x817fe27f,0xfb1efffa,0xfffb105b,0x7e53209f,
    0x9803eedf,0xfc8effff,0xffff902d,0x4039ff19,0x1eedffea,0x801ffd40,
    0x2ffb805d,0xf88026c0,0x004d806f,0xf900dff1,0x20d1003f,0x68801ffc,
    0xb003bf20,0x3bfa001d,0x40076c00,0xeedffeb8,0xffb0004f,0x17fee000,
    0x6f440e80,0x017fdc07,0xe9809ff3,0x3bfe202f,0xcffdaebb,0xd0017cc3,
    0xffc807ff,0x00ffe403,0x5fd882ec,0x4003df50,0x200000a9,0x2a2000a9,
    0x08818009,0x00a83500,0x91009a88,0x8000a988,0x200660a9,0x002a0998,
    0x2000aa88,0x76c00efc,0x03ffc800,0xfe800be6,0x00be603f,0x6403ffe8,
    0x05d801ff,0xbb003ff9,0x20affd80,0x2000fda8,0x5442ffe8,0x988000fd,
    0x740001dc,0x7cc000ff,0x0d7000ff,0x1ffe4068,0x5417f620,0xffa801ef,
    0x05bfb1ef,0x7ec005fd,0x3ff600ff,0x067ff404,0x00bfa662,0xdfb9dfd7,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x0affd800,
    0x4003f6a2,0x3fa04ffd,0x3fff6002,0x4005fd00,0x3a00fffd,0x4cc40cff,
    0x9ffd02fe,0x2fe99881,0x77ffe440,0x8001dfff,0xffefffc8,0x4c0001df,
    0x7fc40004,0x7ff4002f,0x9999999c,0x3205feb9,0x027fec03,0xfdcefeb8,
    0x41a8004e,0xffffb80a,0x3ffaa01d,0xf910dfff,0x219dffff,0xfffffec9,
    0x7fffffff,0x004d4c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfefffc88,0x64401dff,0x0cefffff,0x03bffff7,0x7fffff54,
    0xbffff70d,0x7fff5403,0xfd930dff,0xffffffff,0xec98ffff,0xffffffff,
    0x4007ffff,0x0009aaa9,0x13555300,0x00040000,0xfffffda8,0xfffb803d,
    0xffffffff,0xb883ffff,0xffff9101,0x260019df,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa60000,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07263b88,0x00600010,0x00040001,
    0x0b260022,0x08800100,0x00019880,0x98000ccc,0x10000019,0x20003701,
    0x08040199,0x10008000,0x10020080,0x8000cc40,0x10000800,0x4cc00013,
    0x02662001,0x00019000,0x40133100,0x98800400,0x09988001,0x0004cc40,
    0x20330000,0x00010008,0x40002b88,0xff35ffc9,0x5ddd905f,0x2e02dc00,
    0xfb884882,0x20174003,0x4406cadb,0x3e6003fb,0x17ffc400,0x04ff9800,
    0x105ff880,0x2001bff9,0x004b80f8,0x2604ff98,0xeefdca9e,0x7e4000ac,
    0x39049805,0x00c824c0,0x06c0fffa,0xefda81cc,0xff3001df,0xff30003f,
    0x3ff44007,0x5c0f3000,0x32004efd,0x036201ff,0x3fe200ae,0x37fc002f,
    0x0037f440,0x02ddec88,0xec8866c4,0x3bfb6a01,0xdffb0004,0x7fccc000,
    0xc8bfff35,0x3003f90f,0x449f001f,0x03fca82e,0x83a01720,0x0ff2a01d,
    0xfc802e80,0xf90006fd,0x1bea000b,0x05fb9cd8,0x01e607b0,0xf3017f20,
    0x6d443bff,0x3ffe004f,0x320ed800,0x320dd804,0x3ff7ee04,0x1aa2fa80,
    0xfb8857e4,0x5fefd803,0x005fc800,0x0001ff88,0x25dd1097,0x7fd005e8,
    0x2dc3d700,0x06fdfc80,0x4003be60,0x44000ff9,0x200fee3e,0x5403ecfc,
    0x0efb88cf,0x0fffec00,0xa97f6000,0x893ea6cb,0x002e804f,0x40bd3df5,
    0x1f3003fa,0x00ec1d00,0x2e400fea,0x3fb97cc0,0x0006e800,0x741803b6,
    0x7406a806,0x40374001,0x7ec02ffa,0x009f7004,0x03f6bfe2,0x3f6bfe20,
    0x3ea7f100,0x5f57fb04,0x3fa09f50,0x7e47ea01,0x00374002,0x20007f30,
    0x541fd81e,0x027c405f,0x03f95ff0,0x0fee5f30,0x2000fe40,0x2f4003f9,
    0x3ea01fe2,0x41fd403f,0x221c06fb,0x40002fab,0x323b85fc,0x3203fc3f,
    0x7fff4005,0x400fea01,0x73b7003e,0x007f500d,0x83b001f3,0x3a2000e9,
    0x007e0000,0x7c401f88,0x10025c01,0x05f5001d,0x00013f60,0x01fffdc0,
    0x407fff90,0x4c0f442c,0x3fb06fff,0x0d813ee0,0x1d300354,0x006a8000,
    0x06fa8798,0x02dc03fd,0x013ffea0,0x003a60ec,0x2dc000ba,0xbb09f500,
    0x7f4ef4c0,0x7c41fa02,0x340b302f,0x42fe4000,0xff0bfa0d,0x0003e603,
    0xfa807993,0x4005b803,0xfa800bda,0x8803e803,0x54003101,0x00a60001,
    0x6c00dea8,0x20079804,0x00b5001a,0x04027fcc,0x00266400,0x05013322,
    0x01ccb814,0x13ee05fd,0x0019804c,0x2e000015,0x74264000,0x40bf903f,
    0x19990003,0x06203100,0x38000710,0x000ff200,0x82ff9876,0x1ff206fa,
    0x003a82ec,0x3625fc80,0x3fa17f42,0x00005d02,0x4403fa80,0x4000000f,
    0x02dc03fa,0x00000000,0x3b220000,0x00d500ff,0x400000f4,0x7ff4002b,
    0x00002401,0x00000000,0x641bf600,0x0000001f,0x40000000,0x817fc41e,
    0x00001ffb,0x00000000,0x74000000,0xf900003f,0x205fc81f,0x2fe41ffa,
    0x260006dc,0x5cbf92cb,0x7fc3fd80,0x50005c81,0x3fa80597,0x2e001ec0,
    0x54009bcc,0x003e203f,0x100b2ea0,0x54457b95,0x5d400bdc,0x0ff2002c,
    0x4b8007a2,0x53599500,0x3ee00060,0x5502404f,0xaaaa8355,0x0de5c401,
    0x14d66540,0x429acca8,0x2fc44ffb,0x5506aaaa,0xaaaa8355,0x20d55541,
    0x5541aaaa,0x434c01aa,0xff501ff9,0x13799705,0x13799700,0x06f2e200,
    0x00de5c40,0x001bcb88,0x4c0009ff,0x6c5feacb,0x8bfe606f,0x9aaaeffc,
    0x67ec4002,0x805fefc9,0x03fe24fb,0xe98001f3,0x504febbe,0x0035c07f,
    0xdfb55df3,0xb01fd401,0xbee98007,0xdf984feb,0xde9dfd99,0xe982ffda,
    0x804febbe,0x004c81f9,0x2faa03cc,0x0003feb9,0x881ffe60,0x17fee604,
    0x2209ff93,0x0efdaade,0xfeb9bea8,0x75cdf543,0x15ffe83f,0xbff730bd,
    0x4c4ffc98,0x7e4c5ffb,0x2ffdcc4f,0x9013ff26,0x201ff509,0x3be63ff9,
    0x300efdaa,0x1dfb55df,0x6d56f440,0x5bd100ef,0x2201dfb5,0x0efdaade,
    0x40027f40,0xffdbbfe8,0x881ff62f,0xffd953ff,0xd1000799,0x05ffb81d,
    0x0fea6e88,0xf98005d1,0x540ffd43,0x003f103f,0x13fa07ec,0x0d703fa8,
    0x7d43f980,0x983fe21f,0x7fdc3fff,0xff50fe60,0xf986a803,0x201e8000,
    0x0003e82e,0x403ffe20,0x05fe802d,0x0bd109ff,0x82e83ff7,0x1f41743e,
    0x1f77ff44,0x7fc17fa0,0x3e0bfd04,0x20bfd04f,0x40f404ff,0xff100ffc,
    0x3fa07ec9,0xfe81fb04,0xf70bd104,0xb85e883f,0x42f441ff,0x3f601ffb,
    0x06fc4005,0xffc97ff6,0xc87ff301,0x7e40005f,0x200bff02,0xc84fbcf8,
    0xf06e8004,0x0cfb88bf,0x3e6003d8,0x7105fc87,0x01f8819f,0x5ff83740,
    0x3ffe1fea,0xdd27fcc0,0xdf997fe0,0x02e81ebb,0x3e609700,0x33263a82,
    0xcccccccc,0xffcccccc,0xb007b81f,0x213f60bf,0x4dfd00fd,0x263a82f9,
    0xd103a82f,0xfd803fff,0x3609fb05,0x209fb05f,0x09fb05fd,0x07fd834c,
    0x87f9affc,0x87f985fc,0x01fb05fc,0x01fb1bfa,0x01fb1bfa,0xfff91bfa,
    0x807fffff,0x1fff00fd,0x7d417fea,0x002fe42f,0x7ec0ff30,0x40d4c005,
    0x0bdb886a,0x1c9827dc,0x2a155554,0xe887e606,0x5506fb84,0x4c3d8555,
    0x27dc1cec,0x13a21c98,0x26667bfa,0x09f75ff9,0x57750726,0x1f981720,
    0x3bea0f10,0xfff51440,0x55555555,0xfff55555,0xb003f885,0x313f60bf,
    0x97fdc0ff,0x51440efa,0x202881df,0x202fffed,0x09fb05fd,0x27ec17f6,
    0x9fb05fd8,0x7fe82640,0x4e8affc0,0x4e886fb8,0x7f986fb8,0x7ccbfee0,
    0x4cbfee07,0x8bfee07f,0xaaefeaa9,0x81bea01a,0x3ff63ffc,0x20ffec43,
    0x320005fc,0x017f206f,0x220fc400,0x321fc8de,0x2200003f,0x03ff101f,
    0x006feb88,0x6674c6a8,0x00ff21ff,0x3bffea00,0x95eeeeee,0x9800007f,
    0x03ff100f,0x7ffc4174,0x03ffe203,0x81fff100,0xbfb000fe,0xdf713f60,
    0xf8a7fc40,0x3fe203ff,0x32bb003f,0xbfb02fff,0x7ec13f60,0x3609fb05,
    0x409fb05f,0x40ffb01e,0x2e205ff8,0xd71006fe,0x40df70df,0x0df74ff8,
    0x6fba7fc4,0x6413fe20,0x17f2005f,0x3a24ff98,0xfeddcfff,0x002fe40f,
    0x7e40bfb0,0x09b00005,0xe877c1fb,0x3600003f,0x407f7a04,0x06fcbec8,
    0x8320fc40,0x00ffa5f9,0x7f675c40,0x007fd004,0x3a03e800,0x412e01fd,
    0xf03ffffc,0xf98003ff,0x002fdc7f,0x13f60bfb,0x5ff80bfb,0x40fffff2,
    0x103ffffc,0x0fffa8dd,0x9fb05fd8,0x7ec17f60,0x360bfb04,0x6c0d304f,
    0x13fe207f,0x1bf2fb22,0xdf97d910,0xff80bfb0,0xff80bfb5,0xff80bfb5,
    0x400bf905,0x3fe205fe,0x89cdca85,0x05fc85ff,0xc817fe00,0x6a80005f,
    0x97e46f88,0x500005ff,0x0fddec0d,0x0df71fe4,0xf8084d80,0x20017fe5,
    0x0bfd0cfa,0x00017fe0,0x2af605b8,0xa81e201f,0x740dfffe,0x7d4002ff,
    0x00bfe26f,0x9fb05fd8,0x7fc06ff8,0x6ffff545,0xdfffea80,0x7d41fdc0,
    0xb05fd83f,0x417f609f,0x0bfb04fd,0x026413f6,0x3e601ff9,0xf71fe43f,
    0xf71fe40d,0xf80dff0d,0xf80dff5f,0xf80dff5f,0x009f705f,0x3fe037fc,
    0x03ff9005,0x74000bf9,0x017f206f,0xf503f100,0xffd4fc8d,0x03f10000,
    0x360fdd2e,0x0037dc1f,0x8be200d5,0x7ec007fe,0xe8037ec2,0xf300007f,
    0x0fd52e01,0xff700ba0,0x06ffb8df,0xf71ffec0,0xd83d501f,0xe89fb05f,
    0x81ff407f,0x2e06fffb,0x0ff46fff,0x5fd86fc8,0x3f609fb0,0x3609fb05,
    0x209fb05f,0x07fe601e,0x3fb0ffd4,0x3fb06fb8,0x7fe86fb8,0x7fe9ff40,
    0x7fe9ff40,0xfb81ff40,0x01ffa002,0xff1007fd,0x0017f20b,0xf900ffd8,
    0x03d8000b,0x95fb8bf7,0x006403ff,0xf72d4132,0x7dc2fe43,0x003f1006,
    0x03ff9172,0xc86fb864,0xffca407f,0x3a003201,0x0fd4b503,0x881312e0,
    0x7ff41ffd,0x8dff3001,0x8bf907fc,0x89fb05fd,0x3fe01ffc,0xffd88131,
    0xffd88131,0x2201ff11,0x82fec0ff,0x0bfb04fd,0x2fec13f6,0x06984fd8,
    0xdf703fe8,0x37dc2fe4,0x37dc2fe4,0xff00ffe4,0xf807ff23,0x403ff91f,
    0x01f701ff,0x803ff60c,0xefb801ff,0x000bf900,0xfc81ffdc,0x81ae0005,
    0xaa7e46fa,0x80b305ff,0x99e880f9,0x9fd0afb9,0x3200df70,0xa81d5004,
    0x6cb305ff,0x03ffa84f,0x417fea77,0x106b8059,0x15f7333d,0x20ee3c40,
    0x7fcc3ff8,0x83ffb005,0x6fa81ffc,0x4fe82fe4,0xf8827fcc,0xff10770f,
    0x3fe20ee7,0x7f80bf63,0x9fd05fc8,0x7f417f20,0x3a0bf904,0xb804c84f,
    0x747fb05f,0xe86fb84f,0x986fb84f,0x1ff104ff,0x7c413fe6,0x209ff30f,
    0x3ae20ff8,0xf51a01fe,0x01fe207f,0xfc807fe6,0x3fe20006,0x037f441f,
    0x2200f880,0xfd1fe46f,0x07ee21bf,0x3fea05d0,0xfb6fffff,0x137fe98f,
    0x26003e60,0x1bffd00d,0x7fd87ee2,0x10cfffb8,0x6fff41f7,0x8803f710,
    0xffff501f,0x2e80dfff,0x07f603ee,0xfb017fee,0x09ff307f,0x81ff717e,
    0xffd85ffd,0x3ee2fb80,0x1f71fd80,0x2fd43fb0,0xffb84f98,0xb82ffec0,
    0x2ffec0ff,0x7ec0ffb8,0x8801f85f,0x237cc0fe,0xbff4c7fd,0xe98ffb09,
    0x7fec137f,0x7ec2fb80,0x6c2fb80f,0x42fb80ff,0xceffe9ad,0xfd85db9a,
    0x402fb80f,0x7dc01ffa,0x3ea000a7,0xfefc9bff,0x1ec003cf,0x1ff07f40,
    0x7fffffcc,0x002e403f,0xeffa87ee,0x4cffbddb,0x16a00ba0,0x7fffcc51,
    0x7fd43fff,0xffaddaad,0x4c2ffeff,0x3fffffff,0x54004d80,0x2e4b801f,
    0x817e20cf,0x6cc1dfe9,0x3bf201ef,0x3e207d41,0xfdaebbef,0x3bfa23cf,
    0x9f70fea0,0x9f72fc41,0x7f42fc41,0xf8836c42,0xfdaebbef,0x77fc43cf,
    0xcffdaebb,0x5df7fc43,0x33cffdae,0x12fc400d,0xeffa81fd,0x4cffbddb,
    0x376fbfea,0x7444cffb,0x20fea0ef,0x3ea0efe8,0x20efe883,0x3d1583fa,
    0x1ffffffd,0x541dfd10,0x077d403f,0x1e6ffd40,0xffff9800,0x002dfc8e,
    0xde8802dc,0xfe882fc8,0x7cc02fff,0x20fdc000,0xff13fffc,0x6402e40b,
    0x41feeeef,0x02ffffe8,0x545dfff9,0x102dfffe,0x005ffffd,0x3f5000d5,
    0x7f5cf100,0x800becdf,0xeffdffec,0xeffb800c,0xff501ddb,0x0b7f63df,
    0x1ef6ffe4,0x766fff5c,0x37ffae0b,0xff900bec,0xfa807fb7,0x5bfb1eff,
    0x47bffea0,0xff502dfd,0x8b7f63df,0x76cc003c,0xff900cec,0x217fe27f,
    0xff13fffc,0x76ffe40b,0x6ffe403d,0x7fe403de,0xd9b03ded,0x0efffe43,
    0xbdbffb10,0x5dd95107,0x04ffc800,0x260a9800,0x00d88001,0x00736e20,
    0x0b200351,0x0c032600,0x01b10044,0xcccccc98,0x2006a204,0x02a201a8,
    0xb000d440,0x01930003,0x351042a0,0x26a62000,0xaa988000,0x0a835000,
    0x04015300,0xa8820351,0x006a6001,0x000a8350,0x5000a835,0x00a80a83,
    0x0c003100,0x22060044,0x00153000,0x4c000a98,0x2601800a,0x0054c000,
    0x40001351,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0x08800001,0x06030010,0x30002660,0x32e60033,0x0804002c,0x00009800,
    0x26201100,0x80002621,0x00000000,0x26600000,0x00200001,0x20000600,
    0x00800000,0x28805404,0x200a80e0,0x40980000,0x003a8019,0x140bc980,
    0x99800100,0x28805400,0x201c0330,0x00750199,0x202a0540,0x20000998,
    0x80003ffe,0xacefffda,0x887980d0,0x1bfee00f,0x803ffa80,0x1efdadfd,
    0x37fff660,0xda80499b,0x8adffeff,0x6e44002b,0x4df900ce,0x2e2002ff,
    0x00aceeed,0x33ff6a00,0xffb50001,0x1ffc805d,0xddb71000,0x2a00159d,
    0x003efede,0x9dfffb91,0xfb710005,0x7c43bdfd,0xb510ae81,0x710e5401,
    0x4882c80b,0xf50ffb80,0xdff9103f,0xfffb8000,0xd90090bf,0xfa807dff,
    0x2ba200ff,0x6c01d510,0x403b310a,0x3f264ff9,0xdfb0006f,0x3e607fdc,
    0xbf70004f,0x2a0001ff,0x3660adff,0x42dc07ff,0x3fbe2079,0x09f9003f,
    0x6fa87f90,0x7315bf70,0x74c09ffd,0x3ea20acf,0x3ea002ff,0x31fd800d,
    0x37a600bf,0x06f5cc0b,0x2233f600,0x7ec000fc,0x403fffff,0x74c003fd,
    0x6f5cc0bd,0xea83b200,0x577d405f,0x0037f260,0x3260f7d4,0xf703e9df,
    0xf00bffff,0x803fffff,0x007a24f8,0x7fdc7ff2,0x06fe9982,0x7f545c00,
    0x3a204eff,0x05ffffff,0x809fddf1,0x04fffffd,0x37ffffd4,0xf3317ee0,
    0x3f6000df,0x501ff90f,0x7f1000df,0x320013ea,0x7fd401ff,0x16e0f200,
    0x0fe88dc8,0xf8805f80,0x21ffc40f,0x9fd106fa,0x100ffea0,0xfb1007fb,
    0xf527c005,0x001b7001,0x7dc007aa,0x5001fc45,0x1bfee239,0xdb801ba0,
    0x303d5000,0x05ff505f,0xfb8037f6,0x02fe401e,0xd7017fee,0x930017ff,
    0x2e005bff,0x1005e9df,0x6403b879,0x2140006f,0x7ec05fda,0x4fffd99c,
    0x0fd88ec8,0x0fbfee20,0x067ff540,0x7ec03ba0,0x45930006,0x03f202c8,
    0x1e985900,0x00ffee00,0x05d007dc,0x3216607b,0x40074c04,0x89fd07f9,
    0x427402fe,0xf1002ffa,0x02fe8809,0x00791a20,0x35731097,0x2003a262,
    0x006e83fe,0x07ff2091,0x97001f10,0x01333331,0x07f703a2,0xff70bff1,
    0x01ff9001,0x36003ff2,0x001800ff,0xfd000110,0x000001ff,0x0000df90,
    0x203e6000,0x3620fff9,0x01802dc0,0x3e200100,0xefffec80,0x000006ee,
    0x80c003d8,0xbff30028,0x3e01e800,0x40501f80,0xa8005402,0xf89fb06f,
    0x2225c02f,0x264005ff,0x30013f60,0x46980383,0xfda9bdd8,0xff00d33f,
    0x1003f989,0x400ffcc0,0xc8b4c029,0x0beebcff,0x41bee34c,0x27fcc7fd,
    0x985ff880,0xffa804ff,0x0000005f,0x02cc9800,0xdf700000,0x20000000,
    0x8bff602b,0x00002a01,0x406a0000,0xaaaefdaa,0x70000002,0xb0000000,
    0x1b8003ff,0x01f10f30,0xb8000000,0xf83fd06f,0x3224c05f,0x244001ff,
    0x0000df50,0x9f30ec00,0x03b93e60,0x03f237fc,0x003fc000,0x3fc43b00,
    0x98ee1bf2,0xe8bfb06f,0x3f6000ff,0x007ff42f,0x0bff67e6,0x004de65c,
    0x001bcb88,0x35555000,0x701aaaa8,0x555000df,0x1aaaa835,0x17fd4018,
    0x0d555400,0x8806aaaa,0x0001bdca,0x100037e4,0x00037b95,0x89555554,
    0x542aaaaa,0xfff10aaa,0x32631000,0xccccfdcc,0xa881ccfd,0x54401bdc,
    0x3f201bdc,0xfd86f986,0xff0a00df,0xf880000d,0x5555003f,0x81aaaa83,
    0x9701be26,0x3ff6034c,0x00005fb1,0xccb80be6,0x3e1a009b,0x260ffc47,
    0x3ff80446,0x5001bfe6,0x37fd4bff,0x7fd4ba20,0x6d577cc5,0x37a200ef,
    0x100efdaa,0x8165c497,0x64c5ffb9,0x8df704ff,0x20aaaaa8,0x64c5ffb9,
    0xf88004ff,0x3059100f,0xfc98bff7,0x95bf304f,0x164407ff,0x32e66fc8,
    0x656fcc02,0x0b2203ff,0x447bffaa,0x4c2dfffa,0x1bfee4fe,0xd9993000,
    0x9dd9999b,0xcadf9839,0x5bf303ff,0x3f207ff9,0x2037f266,0x802efffa,
    0x00005ff9,0x54c47fec,0x5ffb9809,0x2627fe4c,0x0a00ff64,0x6ffdc03f,
    0x3bbb21ee,0x07b001ee,0x3f6abbe6,0x7f84980e,0x01f82fe8,0x7fdc6fa8,
    0x3ffcc005,0x4d80bff7,0x1fb1ffe6,0xbd104fe8,0x64c3ff70,0xffff76ff,
    0xf82ff409,0x88df704f,0xe809bffc,0x009ff05f,0xfb50df30,0x82ff407f,
    0x41f984ff,0x7ed42ffa,0x2adf903f,0xf304ffff,0x542ffa83,0xff103ffd,
    0x203ff509,0x02ffec4d,0x360ba000,0xfa83f303,0x2a0fcc2f,0x26fc82ff,
    0x3ee04ffd,0x2e01dfff,0x400004ff,0xffefbdff,0x20bfd02f,0xff15c4ff,
    0x405b0003,0xfd03fff8,0x3f60017f,0xfe81fb00,0x47f82b84,0x005b07f9,
    0x4ffc83fd,0x87ffc400,0x17204ffc,0x3e61fff1,0xfb05fc87,0x999bfa01,
    0xd99cbeff,0x0bfb01ff,0x37dc13f6,0x3f60076c,0x0009fb05,0xff7507f7,
    0xd82fec07,0xfd05e84f,0x03ffba8f,0xb3397df9,0x20bd03ff,0x7fdd47fe,
    0x7c1bf203,0xfe81f03f,0x2200003f,0xbd01f80f,0x0bd1ffa0,0x1bf21ffa,
    0x2e03dfb1,0x80cfffff,0xda803ffd,0x225eeeee,0x3f622eff,0xb05fd83f,
    0xff30e89f,0x20970001,0x705fffc8,0xff91009f,0x87f985ff,0xf80e85fc,
    0x00cfba9f,0x83f98097,0xf8003ffe,0x07ffd1ff,0x3ffe03aa,0xdf709d11,
    0x7dc0ff30,0x417fe42f,0x0bfb03ff,0x37dc13f6,0x2fec0176,0xe8004fd8,
    0xb01ffc05,0x513f60bf,0xb333337f,0x07ff01ff,0x3fe0bff2,0x4ccdfd43,
    0xf80ffd99,0x07fe603f,0x216a1bf2,0x00003ffe,0x203e21aa,0x99999bfa,
    0x37f50ffd,0x1ffb3333,0xffb06fc8,0x7fffec40,0x01fff42f,0xa87fff70,
    0xffe881ff,0xfd82fec0,0x01ff3344,0xdf507500,0xdb05fff3,0x3faea200,
    0x213a23ff,0xff0686fb,0x3a809fd7,0xffe82ec0,0x1fff8003,0x3f307ffd,
    0x8807ffe0,0x6fb86feb,0xf913fe20,0x6c13fa0d,0x209fb05f,0x00bb16fb,
    0x4fd82fec,0x2007d400,0x17f603fe,0x37f227ec,0xcccccccc,0xf903fe81,
    0xf913f60d,0x9999999b,0x807fd039,0x2ffe84fe,0x27fec16c,0x50b70000,
    0x3337f20d,0x91cccccc,0x999999bf,0x06fc8399,0xe9803ff3,0x3f62ffff,
    0x3fe2005f,0x901ffc87,0x05fd87ff,0xf11c89fb,0x8390003f,0x3bfee5fb,
    0xb80017c0,0x75c406ff,0x7f81c86f,0x0e403ff1,0x7fec0d10,0x7ffc4003,
    0xe88bff90,0x01fff102,0x0df97d91,0x5ff80bfb,0x5fd837e4,0x3f60bfb0,
    0x9d1df704,0xb05fd800,0x02e8009f,0x3f603fe8,0xfd89fb05,0x07fd0001,
    0x27ec1bf2,0x740007f6,0x23fdc03f,0x1e25fdda,0x0002ffe4,0x2ab7aaa2,
    0x0aaaedaa,0x7ec003fb,0x06fc8001,0x7dc013fa,0xfff91fff,0xc86ff800,
    0x9ff500ff,0x9fb05fd8,0x00ffa3a8,0x88df71a0,0x012e4fff,0x101ff700,
    0x50df97d9,0x37d4ff07,0x201b80d0,0x4c004ffc,0x1bfee7ff,0x37fcc09d,
    0x0df71fe4,0x5ff80dff,0x5fc837e4,0x3f60bfb0,0xbfddf704,0xb05fd800,
    0x026c009f,0x3f603fe8,0xfe89fb05,0x07fd0002,0x2fe41bf2,0x74000bfa,
    0x17fc403f,0x2e1ff53d,0x00fff704,0xeefeea80,0xeeeefeee,0x74005fd1,
    0x6fc8002f,0x4019bf60,0xff74ffe8,0x37fc001f,0xf8807fdc,0xd82fec5f,
    0xdf52c44f,0x3e2c4500,0x9fffa83f,0x440000e9,0x71fe42ff,0xff0b10df,
    0x05884fc8,0x17fea02c,0x54bff300,0x501727ff,0x41fd8bff,0x07fe86fb,
    0x1bf21ff4,0x5fd82fe4,0x3ee09fb0,0x2003ffae,0x09fb05fd,0xfe8016e0,
    0x6c17f603,0x0027ec4f,0xdf903fe8,0x9fb17f20,0x00ffa000,0xff34d7f6,
    0x7fc407a7,0xf880000f,0x9fb01f80,0x0027ec00,0xdf9037e4,0xb7fc402c,
    0x2002fff8,0x1ffa86ff,0xbfb13fe0,0x83a13f60,0xa87204fc,0x6c07fea3,
    0x0002eeff,0x0fec3fd0,0x10741bee,0xa83fd0ff,0x3e202403,0x7fdc007f,
    0x2e7ffe22,0x1ffdc00e,0x0df70bf9,0x7fc03ff9,0xfc837e41,0x360bfb05,
    0x32df704f,0xbf9002ff,0x2a013f60,0x0ffa000e,0x9fb05fc8,0x2e00ffc8,
    0xf903fe80,0xf917f20d,0x7405c01f,0x8ff9803f,0x1a7bf22d,0x8009ff90,
    0x3c435438,0x5c01ff90,0x5c01ff90,0xf9037e40,0x7ec007cb,0x801bfee6,
    0x2ff886ff,0xbfb0bfa0,0x16e13f60,0xb9537df5,0xff907441,0x1bffe205,
    0x90fe8000,0x20df70bf,0x17ff715b,0x0e897fcc,0x7fdc00c0,0x217fa003,
    0x801fcffa,0x427f45fe,0x4ff986fb,0xfc81ff10,0x320bf906,0x209fd05f,
    0x03ffa6fb,0x7f41bf20,0x00075404,0x6fc80ffa,0xffa89fd0,0xfd05880d,
    0x641bf207,0x06ffd45f,0x03fe82c4,0xf98d9fd0,0x7fc403ef,0x7036003f,
    0x7d40d50b,0x2a5880df,0x85880dff,0xfd8516fc,0x3fa00fe3,0x8017ff44,
    0x0bfb06ff,0x82fe43fc,0x88bb04fe,0x2d80bcba,0xf502fff4,0x002e0bff,
    0x09fd27cc,0x4eec0df7,0x54c2aaaa,0x00002d8a,0x7d401ffa,0x05ffb00f,
    0xfd81ff70,0x09bff4c7,0x3ee03ff6,0xf906fc82,0xb03fee0b,0x9bee0bff,
    0x5c00eff8,0x2ffec0ff,0x14401d50,0xff701ff4,0xd85ffd81,0xeb88aeff,
    0x3207fd01,0xb0bf906f,0xd7115dff,0x400ffa03,0xffe83ffb,0x1ffe9800,
    0x83d82d80,0x77fec04b,0x6c1eb88a,0xeb88aeff,0x7f96fc81,0x80bfe3fc,
    0x7ec41ff9,0x06ff802f,0x7f503ff1,0xfd81ff70,0x00bd105f,0x7fe41ec4,
    0xffee982f,0x031261df,0x8ffb07e4,0x88137fe9,0x0f62005e,0x260076a0,
    0x7f4c04ff,0x013fe602,0xff503ff1,0x9ff7bb7d,0x20efe889,0x0df903fa,
    0x7fc417f6,0xffdaebbe,0x263fe43c,0x7fc405ff,0xffdaebbe,0x4cd7d43c,
    0x81fb9999,0x3fe204ff,0xffdaebbe,0x3fffe63c,0x3fe05fff,0x360df904,
    0xffff986f,0x3fe05fff,0x20ff1004,0x3a2005fa,0x2e60bdff,0x7b03d01e,
    0xfffff980,0xfff985ff,0xfd05ffff,0x17d4fead,0xd502fffe,0x67fdc07f,
    0x40bff501,0x81f546f9,0xaebbeff8,0xd903cffd,0x0bae6017,0x5f7fff44,
    0xfff32fdb,0x7e41ffff,0x81db50bf,0xbddbeffa,0x3b204cff,0x05d7300b,
    0x200dff10,0xdf505fd8,0xdfddd803,0x201efa81,0xff13fffc,0x76ffe40b,
    0x41ffa03d,0x3fea06fe,0x05bfb1ef,0x9ff90ffb,0x1efffa80,0xffa85bfb,
    0xffffffff,0x405ff886,0xfb1efffa,0xfffb105b,0x2ffc409f,0xffd07fe8,
    0x3ffff620,0x017fe204,0x007e03d8,0x3bfff6e0,0x1f100cff,0xfb1003d0,
    0x6c409fff,0xd984ffff,0x3b7b26ff,0xefecae82,0x9801effd,0xfdcdffec,
    0xfe9801cf,0x7d402edc,0x5bfb1eff,0xbcedb880,0x4400aced,0x0dfffffd,
    0x177fff44,0x3bffffe6,0x4ffff203,0xb8805ff8,0xacedbced,0x017fa000,
    0xfb9dfd70,0x4cd7009d,0x3ffdcefe,0x00220600,0xfd50054c,0x3f6e9dff,
    0x06a03dff,0xfffb7015,0x3fffa69d,0x2a0d404e,0xfffff980,0x43ffffff,
    0x02dfffec,0x2002a0d4,0x3b2009a8,0xfd52dfff,0x3f6e9dff,0x35102eff,
    0x7fff6401,0x2009802d,0xaa980001,0x28144009,0x004d4400,0x00009a88,
    0x55441802,0x2a60000a,0x3100019a,0x541a8001,0x01530000,0x006aa200,
    0x351006a2,0x00881800,0x00015300,0x260000c4,0x02a0009a,0x0000554c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00140bc9,0x19980000,
    0x00998800,0x4c098010,0xb892e201,0x0815c03c,0x3bbb2200,0x3660ceee,
    0x04eeeeee,0x97300080,0x20664403,0xdba88019,0xeeeeeeee,0x805eeeee,
    0x0ccc000a,0x00288330,0x3a600620,0x204eeeee,0x7774400a,0x3eeeeeee,
    0x02ea1b88,0x554015c4,0x5402a880,0x032a0003,0x10002b88,0x332a0000,
    0x65cc000a,0x5440732c,0x900b3262,0x3bdddddd,0x03bbbb66,0x3bbbb6e0,
    0x20040004,0x90bffffb,0x0002efb8,0x00bff100,0x9803ff90,0x43fee05d,
    0x7e4c1ffa,0xbffff76f,0x703ffc88,0x3a209105,0x3e201eff,0x03600dff,
    0x99b100e6,0xff981fff,0x80170cff,0xd98acffb,0xaaaabfff,0x3fec07fb,
    0x20bff100,0x7ff12ff9,0x007fa000,0x5ffffffb,0xf701ff60,0xffffffff,
    0x9ffed45f,0x36a1fffa,0x7fc403ff,0x4c0ff981,0x20006ffc,0xffda84ff,
    0x003d0003,0x6ccef4c0,0xb01eeeef,0xbfff957d,0x369ff930,0xc805ffff,
    0xfd301fff,0x3ee001df,0x7776cc1d,0x3ee2deee,0xfd51701e,0xffe89dff,
    0xf7000007,0x0bfa000d,0x205ffd98,0x5ff71ffc,0xcbeffa98,0x2e1ffd99,
    0x9f103ffc,0xff901744,0x05ffb009,0x03aa2f98,0x37f4cbd0,0x3fffa66e,
    0x037e406e,0x03c40fff,0x54003ff6,0x4ffea06f,0xb8004ff9,0x3be601ff,
    0x3605eeee,0x3bfa00ff,0x7ecccccd,0xfa9ffdd4,0x3feea4ff,0x40ffc403,
    0x7ccc0ff9,0x3fa0006f,0x03ffba83,0x0004f980,0x9dfb0ff1,0x40de8817,
    0xfaa85ff9,0xffdbdccf,0x2ffd404f,0x017ffa20,0x3fe603f8,0x5fff80ef,
    0x84fda850,0x0002fefa,0x8000ed80,0x2aa603f9,0x0f2205ff,0x17fec077,
    0x1ffc27fc,0x0bd3bf50,0xc802ffb8,0xcfd801ff,0x17dc03fa,0xc9871362,
    0x3ff600df,0xb01ffa01,0x2002c880,0x05dc00ed,0xf9800175,0x00f601ff,
    0xe980b220,0xff82fc00,0x3e176aa3,0x0ffc403f,0xfc807fcc,0x20040006,
    0xfd8003ff,0x5fd8000f,0x3f207fa8,0x740bfd00,0x7ffcc3ef,0x013fe600,
    0x4013ffee,0x17fe402f,0x000fefc8,0x00007c00,0x40003e20,0x17f6005b,
    0x1bf20000,0x1ff427f4,0x007fffa0,0xf9005ff7,0xfff1003f,0x003fd00d,
    0x4ffa8000,0x0603fec0,0x007e0000,0xf9d00000,0x001e603f,0x5400c800,
    0x907ff02f,0x8807ff03,0x0ff981ff,0x0000df90,0x4003ff80,0x8003fff8,
    0x1ff983fe,0x3f605f98,0x6413fa05,0x3fe203ff,0xfffeb804,0x6401f802,
    0x007801ff,0x0002c400,0x70000cc0,0x005fc800,0xb06fc800,0x807fd0bf,
    0xfb803cc9,0x1ffc802f,0x00399500,0x000003ff,0x6c00ffe8,0x0000007f,
    0x0000014c,0x07fe3720,0x0000576c,0x207c8000,0xe82c43ff,0x0ffc403f,
    0xfc807fcc,0x74000006,0x7f64003f,0x4ff8006f,0xfc82ff88,0xd817f204,
    0x0bff104f,0x5c027fc4,0x401fffad,0x0ffe401f,0x971012a0,0x00ec4037,
    0x00000000,0x402fe400,0x6401bcb8,0xd0bf906f,0xb800007f,0xffc802ff,
    0xf8800001,0x665c001f,0xfff3009b,0x260ffb00,0x02cba801,0xbccb8000,
    0x23ea0009,0xff981ff8,0xa8801dff,0xf0001bdc,0xd31ff40b,0x100ffa03,
    0x1ff303ff,0x0001bf20,0x8007fd00,0x001ffcaf,0x7fd42fe4,0x3203fd81,
    0x813f605f,0x3fe206ff,0xff75b804,0x200fc01d,0x36201ffc,0xb55bd101,
    0x41d881df,0x02b2e25a,0x32e24b88,0x2aaaa202,0x81aaaaaa,0x37a205fc,
    0x900efdaa,0x217f20df,0x951073fe,0xffb80e54,0x01ffc802,0x55555551,
    0xff883555,0x55df3001,0xff701dfb,0x20ffb00d,0x2fba602c,0x95104feb,
    0x3be60e54,0x800efdaa,0x03ff11f8,0x9ffffffb,0x7e56fcc0,0x17d4003f,
    0x201c7fd0,0x7fc403fe,0x900ff981,0x0165ccdf,0x7fd01644,0xff9bd400,
    0x0ffcc005,0x1ffc17f2,0x7ec0bf90,0x8817fa04,0x25b804ff,0x07e05ffd,
    0x2a03ff90,0x70bd100c,0xf91043ff,0x3fffeaff,0x76ffc985,0x2e09ffff,
    0xecccceef,0x05fc83ff,0x3ff70bd1,0x3f20df90,0x25cbfe85,0xffd6ffc9,
    0x00bfee0d,0x7dc07ff2,0xfeccccee,0x00ffc43f,0x27f40fd8,0x6c02ffe4,
    0x817d447f,0x0ffd43f9,0x3fadff93,0x3a07ec6f,0x224d804f,0xb75301ff,
    0x3f30bfff,0x2002ffa8,0x01ff407c,0xf8807fd0,0x00ff981f,0x3ffeedf9,
    0x7ffb504f,0xd001ff40,0x0007ff47,0x3ee2ffe6,0x409ff00d,0x13f605fc,
    0x3e204fd8,0x745b804f,0x803f04ff,0x80501ffc,0x0dfd00fd,0x36bffa66,
    0x4c2ffc9a,0x99cbeff9,0x04b81ffd,0x3f20bff1,0x3a01fb05,0x906fc86f,
    0x89ffd0bf,0xcaceff99,0x05ff706f,0x2e03ff90,0x10bff104,0xff3003ff,
    0xffd0bf90,0xddffb007,0x3a05fffd,0x4ccbff06,0x6fcaceff,0x17f21fe6,
    0x1ff88d50,0x87fff700,0x00ffd05e,0x0ffa02fc,0x7913fe80,0xf982ff88,
    0x99df900f,0x503ff913,0x7f407ff7,0x541f3003,0x6c4003ff,0x6c01bccb,
    0x817f206f,0x0ffa04fd,0xb804ff88,0x41fffc45,0x0ffe401f,0x703fcc00,
    0x7fdc05ff,0xf904fe83,0x707ff05f,0x403ffa03,0x07f985fc,0xdf90bfee,
    0x3fa17f20,0x08fff204,0x200bfee0,0x03701ffc,0x3e203ffa,0x84e8801f,
    0x3ffe86fb,0x999ffd80,0x4fb82fca,0xff903930,0x213a2047,0x07e206fb,
    0x4c003ff1,0x37f50fff,0x1ffb3333,0xe805f300,0x4ffa003f,0x3fe21ffb,
    0x900ffa82,0x07ff05ff,0x7fd01ffc,0x3fe13600,0x0016c006,0xfd817fe4,
    0xf817f605,0x13fe200f,0x3fe616e0,0x3200fc1f,0xfb8001ff,0x813fe206,
    0x0bfb07fb,0x27f41bf2,0x01ffc80c,0x1bee17f2,0x7e44ff88,0xfa8bf906,
    0x01bf203f,0xc802ffb8,0x320301ff,0x3ff101ff,0x3fae2000,0x804ffc86,
    0x905b07fd,0xdf90007f,0xdfd71000,0x7fc41ec0,0x97fcc001,0xcccccdfc,
    0x7c801ccc,0x2003fe80,0x41ff53fe,0x7f4c4ff8,0x06fc891f,0x1ff409fb,
    0xf1007fd0,0x005ff903,0x22000ff2,0x7fdc2fff,0x5c1bf605,0x27fc403f,
    0xffb82dc0,0xf9007e0f,0xbfb0003f,0x2e05ff80,0x20df907f,0x0bfb06fc,
    0x900ffea0,0x80bfb0bf,0x83ff45ff,0x3fbae5fc,0x801bf203,0xfc802ffb,
    0x3fea001f,0x007fe203,0xdf97d910,0xb00bff50,0x3a0aa0ff,0x6fc8003f,
    0x32fb2200,0x220b706f,0xff8001ff,0x00003fb3,0x0ffa017e,0x0223fe80,
    0xbb7bfff1,0xc8559ff1,0x40bfb06f,0x0ffa03fe,0x7fc41ae0,0xffffb005,
    0x2039dfff,0xbedefffb,0x3ff605fc,0x440374c3,0x05b804ff,0x01f9bff2,
    0x4000ffe4,0x2ffc06ff,0x3ee0ff70,0x320df906,0x5ff8805f,0xff85fc80,
    0xeaaffc06,0x7e44efff,0x80ffab75,0x3ee006fc,0x0ffc802f,0x80bff100,
    0x32001ff8,0x221bee3f,0x7fd806ff,0x017fe020,0x6401bf20,0x261bee3f,
    0xa99999af,0x20009aff,0x005fd3fc,0xd005f300,0x1ff4007f,0x3fff7e60,
    0x903bff24,0x817f60df,0x0ffa03fe,0x33333be0,0x800fffcc,0xffffffe8,
    0xff703fff,0x817f25ff,0xfeceedfd,0x09ff1004,0xffe80b70,0xffc803f5,
    0x07fe8001,0xff701ff4,0x7e41bee0,0xd00bf906,0xbf9001ff,0xfe80ffd0,
    0x1a7e4003,0x6fc80ffa,0x00bfee00,0xfe801ff2,0x0ffc400f,0x7dc1fd80,
    0xb00ffd06,0x7fe800ff,0x806fc800,0x437dc1fd,0xfffffffb,0x006fffff,
    0x027ec7ea,0xe803e400,0x0ffa003f,0x440a6f30,0x320df901,0x80ffa05f,
    0x575403fe,0xfbaaaaaa,0x88d8804f,0x6ebaa999,0xbf906620,0x1a9a7ec0,
    0x01ffc400,0x3fa202dc,0x7e401fbf,0xffc8001f,0xb807fe01,0x20df707f,
    0x0bf906fc,0x9001ffc8,0x03ff90bf,0x36000ffc,0x203fe83f,0x3ee006fc,
    0x06fc802f,0x1003ff90,0xbf9003ff,0x3f20df70,0x03fec03f,0x01ffc9cc,
    0x80df9032,0x86fb85fc,0xeeeeeeea,0x005eeffe,0x00ffc9ee,0x00bf002e,
    0xfe800ffa,0x0007d403,0x3f20df90,0xe80ffa05,0x401f403f,0x174407fe,
    0x20007c40,0x13f605fc,0x03ff1000,0xff300b70,0xffc803ff,0x7fcc6001,
    0x401ff104,0x0df707fb,0x2fe41bf2,0x4007ff50,0x4ff985fc,0x8001ff10,
    0x03fe82fd,0xfb801bf2,0x2fe4082f,0x801ffd40,0xfe801ff8,0x3a06fb84,
    0x3ff600ff,0xffa8f400,0xdf90b305,0xfb84fe80,0x1ff88006,0x3ea3e800,
    0x405880df,0x7fd002f9,0x201ff400,0x320001fc,0x40bf906f,0x0ffa03fe,
    0xfb800f98,0x003f202f,0x3f2001aa,0x0013f605,0x007fc411,0xffa802dc,
    0x0ffe401f,0x3ff61b80,0x5c02fb80,0x20df707f,0x0bf906fc,0x1c417fe2,
    0xffd82fe4,0x0802fb80,0x03fe836c,0xfc801bf2,0xf937dc3f,0x05ff8805,
    0x01ff9871,0x7f4c7fd8,0x5ff98137,0xc803ffe0,0x886fff46,0x06fc81fb,
    0x3fa63fec,0x3e200137,0x4415c41f,0xaeffd85c,0x6401eb88,0x00ffa007,
    0x7f403fe8,0x1bf20002,0x7fd02fe4,0x9b01ff40,0x81bfe200,0x0f4404ff,
    0xd02fec00,0x7fc4009f,0x3200bf31,0x07ff2006,0x1003ff90,0x20efe88d,
    0x7fb803fa,0x3f20df90,0x3a0bfb06,0x907300ef,0x3bfa20df,0x3a00fea0,
    0x3a05f13f,0x01ff204f,0x7e44ffd8,0xfd00bd2f,0xf50e601d,0xdff5005f,
    0x99ff7bb7,0x82fbfa60,0x999bfffc,0x7cc3fd99,0x03ffffff,0xffa80ff9,
    0xcffbddbe,0x07fe2004,0xf937dff5,0xffff301b,0xbd00bfff,0x0027fc00,
    0x3ff809ff,0x41bf2000,0x13fe05fd,0x5f304ff8,0x81fff400,0xaaacfffb,
    0xb0002ecb,0x02ff40df,0x3eebff30,0x001fd000,0x3f600fec,0x826c402f,
    0x03dedffc,0xfb01ffb0,0x20ffd01f,0x1ffc86fe,0xffd05d30,0xdedffc80,
    0xdfffb003,0xb02ffc05,0x7e4401ff,0x88ceffff,0x400cdfff,0x5d301ffc,
    0x9004ffc8,0x3fe27fff,0xefeb9805,0xffffffff,0x881fffff,0x202ffffe,
    0x7e400ffd,0x0bff13ff,0xd81ff880,0x402dffff,0x04ffffd8,0xf1002f98,
    0x3fe200bf,0x0017f405,0x3fa0ffb0,0x20bff106,0x5fd05ff8,0x07ffec00,
    0xfffffea8,0xa88000cf,0x2e60bfff,0xb000bfff,0x8803bdff,0x02dffffc,
    0x3a201e88,0xa999adff,0x4c02ffca,0xffb3000a,0x3ff6a9df,0xfffd53ef,
    0x3fff6e9d,0xfffff33d,0x25ffffff,0xcefffec8,0x0002a600,0xfec806a6,
    0x3f6a2dff,0x0000cfff,0xff300298,0xffffffff,0x3fff6a5f,0x103002df,
    0x13310001,0x0d440000,0x9ffffb50,0x00881801,0x201ff880,0x9a880009,
    0x20053000,0x02dfffeb,0x0b7fffae,0xda8000c4,0xfb74efff,0x7f645bff,
    0x3fae2dff,0xfff72dff,0x7f5403bf,0x100dffff,0x80001553,0x22aaaaaa,
    0x02aaaaaa,0x00002a20,0xc9808800,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x55541cb8,0x554c0aaa,0x36e0011a,
    0x02deeeee,0x19ddddb7,0x3bbbbbaa,0xdddddb12,0xdddd903b,0x3bbbbae9,
    0x3bb201ee,0x3bb60dee,0xeeeeeeee,0x500eeeee,0x3bb60597,0x3b621eee,
    0xdddb34ee,0x2005bddd,0xeeeeeed9,0x4cccc004,0x26019999,0x19999999,
    0x99999998,0x892e2019,0xddb302cb,0xda89bddd,0x33deeeee,0xdddddddb,
    0x80035999,0x0009bccb,0x30e54951,0xdddddddb,0x80035999,0x501bdca8,
    0xaaa83555,0x00cc001a,0x07141e54,0x0bc98054,0x7776cc14,0x2000ceee,
    0x99999999,0x776c4001,0xeeeeeeee,0x2a05eeee,0x10029acc,0x23dfd79b,
    0x40afffe9,0x0571dfc8,0x7fff9091,0x40bbee00,0xfb80fffd,0x7fc404ff,
    0x1fffec41,0x40cffa80,0xfdcccdff,0xffecccdf,0x75df74c1,0x06ffb84f,
    0x3fe60bf2,0xf30000ef,0xf30009ff,0xffffffff,0x3ffffe20,0x7fc0ffff,
    0x1fffffff,0xfbb7fe4c,0x3e604fff,0x7fcc04ff,0xbfff304f,0xdffd9559,
    0xaaef9807,0x32600efd,0x0dffd6ff,0x559bfff3,0x007dffd9,0x7ff95bf3,
    0x98bff730,0x26004ffc,0x3ff602ff,0x65c912ef,0x7dc16e61,0x4090bfff,
    0x0004fff8,0xffffffff,0xff30003f,0x55555fff,0x7d50ff75,0x2007fd73,
    0x897fe24d,0x03ea06ff,0x4c17449d,0x27c007ff,0x6c0dff30,0x04f803ff,
    0x4003fff1,0xf505f06f,0x4c3f307f,0x40ffd43f,0x817607fe,0x40002ffc,
    0x88001ffe,0xeeeeeeee,0xddddd106,0xee81dddd,0x1eeeeeee,0x65f7fccc,
    0x201ffd99,0xfe801ffd,0x03ff601f,0x8077fec4,0x027f40fd,0x959dff33,
    0x03ff60df,0x8077fec4,0x17fd41f9,0x9ff05fe8,0x01ffd400,0xfdfff719,
    0xffffff85,0xffd51701,0xffd809df,0xdddd0001,0x003ddddd,0x01ffafa0,
    0x7d05d0f1,0xe983f900,0xc807fd43,0x5e9efa84,0xf001bfe0,0x00ffe805,
    0xf880bff5,0x00fff200,0x506817cc,0xe8b607ff,0xf50bff06,0x401f105f,
    0x40001ffc,0x00000ffd,0x00000000,0xf82ffc80,0x7ff74c3f,0xeeeeeeef,
    0x4eefffee,0x5c00ffc8,0x3fcc0eff,0x7e402fe4,0xffc8023f,0x077fdc00,
    0x07fe82f4,0x13f60bfb,0x05407700,0x9307fd71,0x21405bff,0xfd805fda,
    0x0000000f,0x7f47cc00,0x17cc5807,0x07f401d4,0xf109fd00,0x07fffa03,
    0x7c006ff8,0x01ffdc02,0x06b80fff,0xb8037fc4,0x3ea07106,0x3ee3303f,
    0x3a039304,0x6405b85f,0x6c0001ff,0x001999ff,0x00000000,0x20df9000,
    0x755444fe,0xaaaaabff,0xabffeaaa,0x800ffc82,0x27445ffd,0x7e4037dc,
    0x03ff2006,0xf517ff60,0xfb333337,0x20bfb01f,0x000004fd,0x00022000,
    0x03ff2000,0x00000000,0x201ffa7b,0x22077d41,0x000ff802,0x0d703fee,
    0x3e01e64c,0x017c006f,0xfc81bfe2,0x200f601f,0x3e801ffd,0x03ffa800,
    0x70003fc8,0x401f81ff,0x40001ffc,0xffffeffd,0x1aaaa82d,0x200d5554,
    0xb801bcb8,0x64009bcc,0x40bfb06f,0xfd800ffc,0x03ff200f,0x007ffe20,
    0x900dfd71,0x7fe400df,0x1fff8800,0x333337f2,0xfd81cccc,0x0009fb05,
    0x00000000,0x1ff90000,0x65440004,0xf30001bd,0x44003ff4,0x44003fff,
    0x7fc000ff,0x80001744,0x17c006ff,0xc807fec0,0x01f104ff,0x980bff30,
    0xffa8000f,0x003fe803,0x3549ff10,0x000ffe40,0xea83ff60,0x7fdcc4ff,
    0x827fe4c5,0xefdaade8,0xdaaef980,0x1bf200ef,0xff902fe4,0x01ffb001,
    0xb8007fe4,0x7d9105ff,0xdf900df9,0x007fe400,0x3f65ffb8,0x0bfb0001,
    0xaa8813f6,0xaaaaaaaa,0x10059101,0x125c4059,0xff900597,0xf3000b21,
    0x007ff95b,0x03ff47b0,0x3fff2033,0x7e55403f,0xb801aabf,0x100f30ff,
    0x06ff8059,0x7d4017c0,0x0ffff03f,0xffe8016e,0x40013600,0xff803ffa,
    0x9ff20005,0x1ffc802e,0x07fec000,0x3a13ffa2,0x109ff05f,0x83ff70bd,
    0x027f40fd,0x17f20df9,0xd800ffc8,0x3ff200ff,0x0fff5000,0x037dc7f9,
    0xf90037e4,0x3fea001f,0x4000bfa7,0x09fb05fd,0x666777dc,0x6d43ffec,
    0x3f6a03ff,0x6ffc983f,0x809ffff7,0x00dd9ffc,0xff507e60,0x3a354005,
    0xa80b207f,0xb00dfffe,0x7dddffdd,0x327ff100,0x0fff6a04,0xf800dff0,
    0x86ff8802,0xe82ffcf9,0x13fee003,0xa8000fc4,0x7fe803ff,0x2bfe6000,
    0x3ff90079,0xfb004c88,0x0fff301f,0x13f60bfb,0x37f403f6,0x0bf90ff3,
    0x5fc837e4,0x2003ff20,0x3f200ffd,0xfff1000f,0x3ee0fec1,0x006fc806,
    0x44003ff2,0x09fb0fff,0x6c17f600,0x4412e04f,0xffba85ff,0x0ffeea03,
    0x32fbfe66,0x201ffd99,0x8004fffc,0x00ffd05e,0x21ffa1f4,0xfb802fa8,
    0x7fcc06ff,0x8ffc8000,0x3feea01f,0x0037fc03,0x7fec00be,0x2ffc6640,
    0xff0003e2,0x5401ae0f,0xffffffff,0x7e44ffff,0xd803201f,0xf9003cdf,
    0x02ffb83f,0xf880ffd8,0x82fec1ff,0x03fcc4fd,0x13a25ff7,0x6fc81bee,
    0x7e40bf90,0xaaaaaabf,0x5c0ffeaa,0xffffffff,0x3fff06ff,0x1bee17f2,
    0xf701bf20,0xffffffff,0x47ffe0df,0x02e00ffc,0x27ec17f6,0x3ffa0370,
    0x200ffe00,0x3ff203ff,0x3203ff82,0xfa8003ff,0xfd99999b,0xe86a800f,
    0xffeeeeff,0x6c40982f,0x3fe601ff,0xeff88000,0x807ff006,0x17c006ff,
    0x7c3ffa80,0x2dc1ffd1,0x417fe400,0x3331002e,0x3339ff73,0x05ffa813,
    0x77776cb3,0xeeeefffe,0x41ffc85e,0xfd800ff9,0x85fff00f,0x89fb05fd,
    0x3fe206fb,0x1bfae204,0xbf906fc8,0x555ffe40,0xfeaaaaaa,0x7eccc40f,
    0x009999af,0x13fa3fff,0x3f201bee,0x7eccc406,0x009999af,0x3fea3fff,
    0xf905880d,0x1813fa0b,0xe803ff90,0x03fe803f,0x27f41bf2,0x0001ffb0,
    0x99999bf9,0x5d003999,0x3333ffd0,0x07705f73,0x7cc07ff1,0xff90000f,
    0x00ffa005,0x2f800dff,0x7a9bfe00,0x02e8bfee,0x546ff880,0x7fd40007,
    0x1bffd003,0x99987ee2,0x99dfe999,0xffc80999,0x3f600081,0x0fff980f,
    0x4fd82fec,0x3fe02fec,0xfcbec885,0x6c1bf206,0x03ff205f,0xc803ff60,
    0xff1000ff,0xd31ff61f,0x7e4026ff,0x03ff2007,0xb07ffc40,0xd7115dff,
    0xb03fee03,0xfa800bff,0x03fe803f,0x3f203fe8,0x320bfb06,0xd8000fff,
    0xfb80001f,0x7ffeeeee,0x03ee0b20,0xff9807f6,0x0ff10000,0x3e01ff40,
    0x017c006f,0x9363ff90,0x01f15ff8,0xd87ff600,0x7fd40004,0xffff3003,
    0x36007fff,0x3ff2004f,0x7fec0001,0xd85ffc80,0xf89fb05f,0x22ffc06f,
    0x81bee3fc,0x0dfd07fe,0x6c007fe4,0x3ff200ff,0x4fff3000,0xbddbeffa,
    0x3f604cff,0x1ff9000f,0x31ffe600,0xbfffffff,0x5df7fc40,0x03cffdae,
    0xd005ff88,0x07fd007f,0x5fc837e4,0x07feeec4,0x0017f400,0x55555fc0,
    0x0aa07fea,0x5f8833ee,0x0007fcc0,0x7f4009b0,0x0037f403,0xff98007e,
    0x8ffd83f4,0x3e60005b,0x0003f15f,0x2003ffa8,0x82ffffe8,0xfe999999,
    0x8099999d,0x40001ffc,0x7fe40ffd,0xb05fd80f,0x407fe89f,0x707f63fe,
    0xfffd50df,0x3fff6e9d,0x00ffc83d,0x3200ffd8,0xff7000ff,0x13fffc8b,
    0x3f6a0bff,0x6400cfff,0xff7000ff,0xffffb10b,0xdfff5009,0x400b7f63,
    0xfd000ffe,0x407fd007,0x8bf906fc,0x001ff94c,0x80009fb0,0x01ffa05b,
    0x9bffd701,0xff98017d,0x01f10000,0x3a01ff40,0x07e2007f,0x0d5dfd00,
    0x005d7ff5,0x6b8ffe80,0x3ffa8000,0x202e8800,0xffeeeeed,0x85eeeeef,
    0x06001ffc,0x3b72fff6,0xbf900dff,0xff913f60,0xfc8ffc03,0x0006fb85,
    0x007fe400,0xf9007fec,0x3ffa001f,0x00e88301,0x1ff90000,0x807ffa00,
    0x54006ba8,0xf9000f41,0x1ff4003f,0xf901ff40,0x4117f20d,0x11000ffc,
    0x0b803ff2,0x7f403f10,0x36208007,0x03fe6002,0x2002dc00,0x7fe403fe,
    0x000f5000,0xf107dff7,0x80001fdf,0x002fcffa,0x003ffa80,0x4000df98,
    0x3f2004fd,0xb037001f,0x159999ff,0xfd06fc80,0x104ff989,0x213fa1ff,
    0x3fa006fb,0x1ff9000d,0x401ffb00,0xfb800ffc,0x01ee005f,0xf9004ff8,
    0xbff7001f,0x00017200,0x3ea001f3,0x1ff4003f,0xf901ff40,0xc817f20d,
    0x219000ff,0x5880dffa,0xffd01720,0x3e60e600,0x1ff3000d,0x005f1000,
    0x7d403fe8,0x00bb003f,0x201fff30,0x00005ffd,0x0000ffff,0x2000ffea,
    0x74004fd9,0x3ff2005f,0xfb068801,0xff70001f,0xd85ffd81,0x22fb80ff,
    0xbff4c7fd,0x1ff54009,0x800ffd80,0x3f200ffd,0x7ffcc00f,0x00bf2000,
    0x64017f54,0x7fcc00ff,0x01fd000f,0x4027d400,0x07105ff8,0x3fa00ffa,
    0x641bf203,0x03ff605f,0xdffb1a20,0x203d7115,0x3ff401f9,0xfd981e80,
    0x01ff3004,0x09b13730,0x9007fd00,0x0ed801df,0x40dfd000,0x00002ffa,
    0x00009ff9,0x4000ffee,0x7f4004fa,0x0bff6005,0x3fa09b10,0xff88002f,
    0xffdaebbe,0x83bfa23c,0x77fd43fa,0x4cffbddb,0x2007f700,0xfd801ffd,
    0x03ff600f,0x001effb8,0x0085ffcc,0x3f600bee,0x3bfee00f,0x2fbee001,
    0x3e200088,0xdfd031cf,0x7fc0e601,0x204ff804,0x0bfb06fc,0x2200ffec,
    0x7fffcc4d,0x17605fff,0x3201ffe0,0x4013ea06,0xff801ffa,0xff0006ff,
    0x2bff6009,0x003f6a20,0x7c03fb80,0x3e200007,0xfb00000f,0xfb1000bf,
    0x37fc4001,0xadffe880,0xffcaa999,0x03fff882,0x3dfff500,0x7e40b7f6,
    0xf903dedf,0x17fe27ff,0x8803f4c0,0x7c402ffe,0xfff102ff,0xfb731137,
    0x7640007f,0xdd302eff,0x37fff100,0x7ffb7311,0xfffb1000,0xfea8003d,
    0x0ffe43ff,0xff882e98,0x02ffc405,0x1bfa0ffd,0x4d6fff44,0x1ffbaa99,
    0x4ffffd88,0xf3017ee0,0x54c415ff,0x1fb104fe,0x00fff200,0x00077ffa,
    0x44017fe2,0xfffefffc,0x7c40001d,0x0002e400,0x20001760,0xceffffec,
    0x00aca800,0xdffffb30,0xfff93019,0xffffffff,0xffd98fff,0x0004efff,
    0x3000a835,0x22060015,0x00597000,0xbffffd93,0xfffeca89,0xfffb33df,
    0x7bdfffff,0x22000015,0x30072e01,0xfffffffb,0x00157bdf,0x80001300,
    0xffff9818,0x2fffffff,0x16ffff5c,0x16ffff5c,0x29dfffd5,0x33dfffdb,
    0xffffffd9,0x0fffffff,0xb3009a88,0xda87dfff,0xffffffff,0xa81fffff,
    0xfdb800ac,0x200cdfff,0xfd90000a,0x4c005bff,0x00009aaa,0x00220060,
    0x00031000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x82a05400,
    0xeeeeeed9,0x4eeeeeee,0x777776cc,0x01acccee,0xeeeeed98,0x000accde,
    0xbdddddb3,0xeeeeec87,0x7776cc0d,0xabcceeee,0x77776c00,0xeeeeeeee,
    0xddb51eee,0xdddddddd,0x3b661ddd,0x544deeee,0x3deeeeed,0xdddddd91,
    0x3bbb6619,0x4002deee,0xeeeeeeea,0x25eeeeee,0xdeeeeeeb,0xddddd702,
    0x777774cb,0x76c43eee,0x3663eeee,0xbcdeeeee,0xdddb301a,0x3b60001d,
    0x032e3eee,0x55557038,0x55555555,0x9881c075,0x09999999,0x00000000,
    0x00000000,0x20000000,0x4a800058,0x59951000,0x42ccb881,0x03ff26fd,
    0x5557ffd3,0x20df9555,0xbbcefff9,0x804fffec,0xdbbcfff9,0x26003fff,
    0x3ea04fff,0x7fcc01df,0xfdba9acf,0x337fe03f,0xcceffdcc,0x7cc1ffdc,
    0xbaaaabff,0x7fcc1ffc,0x7ffcc04f,0x3dffd104,0x03bffe60,0x5e77dc00,
    0xffbaaaaa,0x7fff4c1f,0x1eff8805,0xefffea88,0x033fea00,0x65efffcc,
    0xf500dffe,0xf30009ff,0x7fd419ff,0x00e0b304,0x905a81c0,0xffffffff,
    0x506aaaa9,0x09f73555,0x360de5c4,0x6cc0002f,0x8b32a201,0x003970e8,
    0x003cc000,0x4c002d40,0x33fea8bf,0x21dfb59f,0x03ff67fe,0xf3007ff2,
    0x8807fec0,0x6c01effd,0x7fec40ff,0x07ffa005,0x36004fc8,0xdff300ff,
    0xff307f01,0xfd05f307,0x40fcc01f,0xfe801ffd,0x13ff200f,0x0005ff90,
    0x7fec0264,0x09ffd104,0x36003be0,0x1fd407ff,0x2a07fec0,0xffd01fff,
    0xffd8001f,0x81ffcc1f,0x2000705d,0x3ae0bd03,0x3eeeeeee,0xc98bff93,
    0x887fccff,0x0efdaade,0x2e000bfd,0x7fb103fe,0x45d5dfb5,0x0002dfd8,
    0x80007980,0x1fd4005a,0xd07f3fe2,0xc88b26bf,0x003ff902,0x007fe40d,
    0xc803ffee,0xfff880ff,0x01ffb001,0xf9000fea,0x27fd401f,0x03ff9834,
    0x01ffb057,0x0ffd81c8,0x200ffd80,0x7e402ffb,0x0360001f,0x980dff50,
    0x7d400fff,0x5ffd1001,0x6c013a20,0x5ffb80ff,0x009ffdb0,0x407ff7c4,
    0x20bf7019,0xf9070003,0x3e20000b,0x3e9ff05f,0x7dc2f444,0x2002f99f,
    0x6c02efc8,0x827fe40d,0x0003efc8,0x20001e60,0x07f4005a,0x7dc3ffdc,
    0xff90001f,0x7e405003,0x6ffd800f,0x6c03ff20,0xff9004ff,0x0007f501,
    0xfe801ff9,0x7ff30387,0x3ff60a20,0x7e40c400,0x0ffd800f,0x900bfee0,
    0x240003ff,0x007ffe20,0x9d013ff2,0x0fff9800,0x3f2005d8,0x0fff880f,
    0x00ffecd8,0x00ffbb90,0x2aaeffc8,0xb11c000e,0x00555dff,0xfb05fd80,
    0x01fb059d,0x40073ffa,0xd801dfd9,0x00dff01f,0x00019fd7,0xa8000798,
    0x41fee005,0x9999dff8,0x90002ffb,0xc80003ff,0xff8800ff,0x01ff902f,
    0x6401bfee,0x01fd40ff,0x400ffc80,0xf3001ffd,0xffd8007f,0x1ff90000,
    0x401ffb00,0x7e402ffb,0x0020001f,0x74007ffb,0x00d701ff,0xd917fee0,
    0x07fe4001,0xcd82ffe8,0xf8803ffb,0x2a007fda,0x23ccffec,0x65470003,
    0x203ccefe,0x17f602c8,0x7f9827ec,0x2007fee0,0x3000cfea,0x3ffb20ff,
    0x3bfb5002,0x001e6000,0xfd8016a0,0x333bfa06,0x441ccccc,0x0ffe402c,
    0xffc80150,0x0bff9000,0x7e403ff2,0x1ff9003f,0x90001fd4,0x7ff801ff,
    0x00ffe600,0x0a01ffb0,0xb001ff90,0x7fdc01ff,0x00ffe402,0x5ffb8000,
    0x437fcc00,0x3a0001f8,0x003f52ff,0xff00ffc8,0x3fe9b05f,0xffb6b806,
    0x20bf9000,0xf9070003,0x3ffda80b,0x7ec17f60,0x440df704,0xdf7103ff,
    0x0df70007,0x009ff3b7,0x002efc98,0x540003cc,0x817fa005,0xfb5004fd,
    0x1ffc807f,0xff900760,0x3ffea001,0xd00ffc80,0x3f2001ff,0x0007f50f,
    0x2a00ffc8,0x3e6004ff,0x7fec003f,0x7e405880,0x0ffd800f,0x900bfee0,
    0x000003ff,0x0001fff3,0x04d89ff9,0x4fffcc00,0xffc8002f,0x81fffa80,
    0x805ff74d,0x000ffb2f,0x000e0bf9,0x202fe41c,0x3603ffba,0x209fb05f,
    0x2ffc05fd,0x000b7f22,0xf3546fd8,0x2e2000df,0x333263ff,0xcccfdccc,
    0x9950cccc,0x99db9999,0xff899999,0x4017f606,0x6403ffba,0x1fa881ff,
    0x8007fe40,0xfc81fff8,0x04ffd80f,0x3ee3ff20,0xffc80003,0x01bff700,
    0x001ffcc0,0xb9103ff6,0x800ffc80,0x3ee00ffd,0x0ffe402f,0x7ff40000,
    0xffd10002,0x00003ea3,0x0013ffee,0x7ec07fe4,0x3e29b05f,0xfd9ee06f,
    0x05fc8007,0x320e0007,0x07ff005f,0x4fd82fec,0xff80dff0,0x0067f4c5,
    0x754ffd00,0x8001bfa0,0x9930efc8,0x99fb9999,0x2a199999,0xedcccccc,
    0x44cccccc,0x1bf207fe,0xc807ff00,0xfeeeeeff,0x7fe401ff,0x0bffe000,
    0x2ea67ff2,0x64002eff,0x002ffcff,0xcceffc80,0x003fffed,0x4003ff98,
    0xfeeeeffd,0x67fe405f,0xcccccccc,0x3ee00ffe,0x0ffe402f,0x3ff20000,
    0x7fd40005,0x00002f8e,0x4000fffa,0x3f260ffc,0x649b00ef,0x6c7d02ff,
    0x5fc8007f,0xa8e00070,0x02aaefda,0x5fd80ffa,0x3fa09fb0,0x981ff407,
    0xd8001dfd,0x740e98ff,0xfd98004f,0x01e6001c,0xd8016a00,0x3ffb00ff,
    0x07fd0aa0,0x999affc8,0x6401fca9,0x3fe000ff,0xeeffc81f,0x90002fff,
    0x05fff9ff,0xabffc800,0x1dffecba,0x01ffcc00,0x2aafff60,0x7e405eba,
    0xaaaaaabf,0x200ffeaa,0x7e402ffb,0x2600001f,0x80000eff,0x0005effc,
    0x007ffdc0,0x7777fe40,0x26c03eff,0x1f50bff1,0x64003fec,0x2000705f,
    0x3bfffb23,0x80ffa05e,0x09fb05fd,0xff803ff2,0x177e4401,0x3d5ff900,
    0x54005fd0,0x98000bfe,0x05a80007,0x6c0ffee0,0xe81d06ff,0x0ffe403f,
    0xffc803b0,0x1fff1000,0x3e61ff90,0xff90006f,0x005fff71,0x9807fe40,
    0x3000effe,0xfd8007ff,0x6405880f,0xffd800ff,0x00bfee00,0x00003ff9,
    0x0007ffa2,0x007ffc40,0xffbf3000,0x1ff9000b,0x44d80022,0x22741ffd,
    0x0cd987fd,0x00705fc8,0x017f20e0,0xdf901ff4,0x7cc13fa0,0x01ff104f,
    0x02ffae20,0x203fff10,0x7e4400ff,0x3cc0002e,0x002d4000,0x3fe21bfa,
    0x5da8adff,0x7e403fe8,0x9006e01f,0x3e6001ff,0x41ff907f,0xc8003ffc,
    0x5fff70ff,0x03ff2000,0x004ffe88,0xd8007ff3,0xc80900ff,0xffd800ff,
    0x00bfee00,0x00003ff9,0x00013ff2,0x0000ffb0,0x3ffe9f44,0x007fe400,
    0x7fcc4d80,0xffb03e65,0xf90dffb0,0x1c000e0b,0xfe802fe4,0x903fee03,
    0x7fec0bff,0x0002fa80,0x64039fb5,0x02fa80ff,0x00077f66,0x40003cc0,
    0x7fcc005a,0xfd5fb10d,0xd01fffff,0x1ffc807f,0x3ff20020,0x0dff7000,
    0xffd03ff2,0x0ffc8003,0x000bffee,0xf7003ff2,0x3fe600ff,0x07fec003,
    0x00ffc800,0x2e00ffd8,0x7fe402ff,0xffa80001,0xfd800006,0x97600007,
    0x2000fff9,0xb0000ffc,0x361ffb09,0xfd87fd85,0x82fe40ff,0xf9070003,
    0x80ffa00b,0x9ebcfff8,0xe883cffd,0x00fa20ef,0x0b7f2600,0xea83bff6,
    0x019fd503,0x00798000,0x88005a80,0x10efdffd,0x2039fffd,0x7fe403fe,
    0x7fe40001,0x05ffd000,0xff103ff2,0x7fe4001d,0x017ffdc0,0x3003ff20,
    0xf3001fff,0xffd8007f,0x1ff90000,0x401ffb00,0x7e402ffb,0x2206001f,
    0x01001fff,0x0003fec0,0x5ffb86c8,0x003ff200,0x7fd426c0,0x7fd81f8c,
    0xfc83d150,0x0e000706,0x7f4017f2,0x77ffdc03,0xc805bfb0,0x003dddff,
    0x90fdc400,0x3bb7ff29,0x0007d703,0x8803cc00,0xdb999999,0x01999999,
    0xa8804cc4,0x201ff400,0x55001ffc,0x7001ff90,0x7fe40bff,0x005ffa80,
    0x3ee03ff2,0x3f2002ff,0x3ffcc00f,0x003ff980,0x80007fec,0xfd800ffc,
    0x0bfee00f,0x2003ff90,0x03ffd81b,0x7ec00350,0x0fa80007,0x2007ffd0,
    0xb0000ffc,0x177ffa09,0x0d103fec,0x0070cff7,0x39ff20e0,0x2200ffa0,
    0x2000541a,0x000000a9,0x15311220,0x00000080,0xff900798,0xffffffff,
    0x000fffff,0x01ff4000,0x22007ff2,0x801ff906,0x3200fff9,0x7ff900ff,
    0x403ff600,0x9003fffb,0xffc801ff,0x07ff3004,0x000ffd80,0xb001ffb0,
    0x7fdc01ff,0x00ffe402,0x2ffdc344,0x6c001d00,0x7cc0007f,0x07ffe602,
    0x0003ff60,0xfffa826c,0x201ffb02,0xcdffa83b,0x41c000e3,0x203ddffa,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0xff9013fe,
    0x360bb003,0x3fee00ff,0x07fec00e,0x803ffe88,0x3ee01ffe,0xffe804ff,
    0x07ffea00,0x0027fd40,0x40003ffa,0xfe801ffe,0x0fff200f,0x8805ffb0,
    0x07ffcc4d,0x74006b80,0xf30000ff,0x1dff9009,0x000ffe80,0x37fc09d0,
    0x7901ffd0,0x0e27fe40,0xffc81c00,0x217fe204,0xeeeeeee9,0xeeeeeeee,
    0x77777710,0x77777777,0x00000007,0x00000000,0x00000000,0xff880000,
    0x067ff405,0x20bfa662,0x889bfff8,0x803ffdb9,0x2603fff8,0xf100bfff,
    0x7fc405ff,0xff101eff,0x3666137f,0x32000dff,0x3e2005ff,0xf88002ff,
    0x7fc402ff,0x13ff602f,0x9adffe88,0x2ffcaa99,0x4cce7ff4,0xfeb99999,
    0x3ffe2005,0x3ffb8002,0x0dfffb80,0x005fff10,0x7dc0df10,0x85fff102,
    0x5900800c,0x55555555,0x04095555,0x37fffae0,0x2aaaaa22,0xaaaaaaaa,
    0x3777622a,0xdddddddd,0x00000ddd,0x00000000,0x00000000,0x90000000,
    0x4c5bfffd,0xffffffec,0x47ffffff,0xffffffd9,0x00abceff,0x7ffffecc,
    0xffff704e,0x3fff661b,0x7f543dff,0x33efffff,0xfffffffb,0x005bdfff,
    0x7fffff64,0xfffb500c,0xb3009bff,0x89bfffff,0xdfffffda,0xfffff913,
    0x3ff2619d,0xffffffff,0x7fdc7fff,0xffffffff,0x803fffff,0xdfffffda,
    0xfffeb803,0xffc880df,0xb30dffff,0x09dfffff,0x9ffffb30,0xfda86883,
    0x003dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x554e202a,
    0x55512aaa,0xaaaa8555,0x35555530,0x551aaa98,0xaaaa8355,0x26f32e01,
    0x13109300,0xdca88190,0x2f72a22b,0x0165d400,0x5400a607,0x22029acc,
    0xa8801bcb,0x25401bdc,0xb8815971,0x2aa200bc,0xaaaaaaaa,0x35555531,
    0x440aaaa2,0x22072a4a,0x00b2e24b,0x55530b22,0x2aaa6555,0x201260aa,
    0x019100c8,0x01000000,0x00000ea0,0x02020000,0x20040010,0x3bbaa2db,
    0xeeeeeeee,0xdd51eeee,0xdddddddd,0x103ddddd,0x33306660,0x0073b220,
    0x06a8000e,0x3bffaa5b,0x5bfff511,0x3664fe98,0x5c40bfff,0xbff731df,
    0x984ffc98,0x0efdaaef,0xfff74e88,0x983b65ff,0x9dfd99df,0x82ffdade,
    0x4febbee9,0x403d05b8,0x3feb9bea,0xfdaade88,0x95bf300e,0xffc987ff,
    0x4dffff76,0x206ffffa,0xcccceefb,0xff713ffe,0x3bf623df,0xeb7fe4c2,
    0x3ff266ff,0x09ffff76,0x730fff6a,0x3a25bfff,0x3a20acff,0xc817a204,
    0x3fb2203f,0xdffc881d,0x801fdc40,0x320002ff,0x5d9d7004,0x37d47fb0,
    0x806ed5dc,0x4c1effea,0x55512fff,0x55555555,0x2a615555,0xaaaaaaaa,
    0x41faaaaa,0x44ff9849,0x6fd40ffc,0x880befec,0x03f30004,0x84ff88d9,
    0x09b01ffa,0x06a81ff6,0x13fe0bfd,0x09fd03f6,0xa887bfa2,0x3fe20efe,
    0x70fffe60,0x21fcc1ff,0x83f81ffa,0xd05d00fa,0xfb85e887,0x2a0fcc1f,
    0x3fa662ff,0xffc89cbe,0xffc89dbb,0x3e209704,0x46ffa85f,0xff9980fc,
    0x266fcace,0x99cbeff9,0xfba81ffd,0x81ffb03f,0x13a200ed,0xfb8217a2,
    0x3ee73603,0x7dce6c0f,0x801fe545,0xf10000dc,0x266c803f,0xfb2ffc6f,
    0xf987d41f,0xda9cfb85,0x17ffe21f,0x80000000,0x2e17ec1e,0xd87fb05f,
    0x56ffe4c0,0x88002da8,0xc82fb85e,0x207ff06f,0x03ff300f,0x82fec0f2,
    0x43fcc4fd,0x817a05fc,0x43fd44e8,0x7fcc0fff,0x2ffc1ba4,0x437417dc,
    0x6c3a82f9,0xe8dfd00f,0xf90ffd05,0x07ffb05f,0x406e0df9,0xff700ffe,
    0xf9007e65,0xffc8047f,0x3e03ff82,0xd8df903f,0xd89d1005,0x3f34fd85,
    0x2e2453f2,0x21ba0c3f,0x000003fa,0x4c0b99b0,0xff0ff44f,0x9263fecb,
    0x417c46f8,0x02d5446c,0xd0000000,0x3a3fdc43,0x4897a206,0x177fed40,
    0x4c1fd800,0x03ff306f,0x80b50df9,0x207885fe,0x89fb05fd,0x06fb84e8,
    0x1f8801d5,0x3bfa13a2,0x5ff99999,0x072609f7,0x13ea0ffc,0x22881df5,
    0x3fee07f9,0x33337f52,0xfb81ffb3,0x2e0ff906,0x3f20307f,0x47ff401f,
    0x06fc802e,0x3fa0df90,0x5c0ffa04,0x800bb16f,0x2e0bb4e8,0xfd8f8cff,
    0x807ea03f,0x03f981f8,0x26a80000,0xc89f502e,0xfb8ffa4f,0x8ff97107,
    0x903f307a,0x44444445,0x88888888,0x03d00000,0x200744fd,0x00200078,
    0x7c45fc80,0x213fa02f,0x016c2ffe,0x09703fee,0x4fd82fec,0x06feb880,
    0x0136007b,0x3bbbffea,0x7f95eeee,0x03bee000,0x7ffc47fd,0x881bee03,
    0x99bf94ff,0x83999999,0x0ff506fb,0xfa801fea,0xfff8803f,0x00df9004,
    0x2fec1bf2,0x3ee07fd0,0x10004e8e,0xec980bfd,0x402ceded,0x03baa06c,
    0xccca8fe6,0xcccccccc,0x8ba04ccc,0x46fb80fa,0xa8bf25f9,0xff0db86f,
    0x20be05b8,0xfffff50e,0xffffffff,0xd00003ff,0x0663fb83,0x00000cc0,
    0x887fea00,0x3fdc06fe,0x7897f76a,0x1e87ff00,0x7ec17f60,0x32fb2204,
    0x2003d06f,0xd9d7105b,0x0ffa009f,0x545fe800,0x3fff21ff,0x405fd83f,
    0x003fb5ff,0x3ea0df70,0x200ff507,0x2e005ff8,0xdf9002ff,0x641bf200,
    0x40ffa05f,0x005feefb,0x2009fd10,0x8800dfd9,0xffb7101f,0x32a3f981,
    0xcccccccc,0x904ccccc,0xff109b0b,0x3f717cc1,0x83f227c4,0x5407d47f,
    0x1103260f,0x11111111,0x00011111,0x00bc8820,0x00000000,0x3ea3ff40,
    0x17fc404f,0x2e1ff53d,0x4cff9004,0xd82fec05,0x5c7f904f,0x2003f06f,
    0xd0cfa86a,0x17fe00bf,0x21ffd800,0x7f545ff8,0x1bfe0dff,0x0bfabff0,
    0x541bee00,0x00ff507f,0x88003ffa,0xfc800fff,0x20df9006,0x0ffa05fc,
    0x1ffd77dc,0x3a77a200,0xd5ff9104,0xd1017df7,0x30fee005,0x4000007f,
    0x80f981f9,0xf31ae2fd,0x10ff87f0,0x4419d0ff,0x0000a65e,0x00000000,
    0x00000000,0xc87ff100,0xafec00ff,0x0f4ffe69,0x5b2ff880,0xfb05fd80,
    0xfb83fb09,0x2e007b06,0x3f617ec4,0x00ffd006,0xf90ffe20,0x3ffee01d,
    0xfd01ffa6,0x20013f67,0x0ff506fb,0x3f201fea,0x7df4001f,0x06fc805f,
    0x3f20df90,0x5c0ffa05,0x005ff96f,0x84e897a2,0xa8f8affd,0x00ec44ff,
    0x3f985f10,0x13600000,0xbfd985c8,0x6c3441cb,0x7deffec1,0x33fa60df,
    0x51000efd,0x77764150,0x00004eee,0x00000000,0x0ff30000,0xff9809fb,
    0x27bf22d8,0x477ec006,0xb05fd807,0xb85fc89f,0x200d706f,0x321bee2e,
    0xffca407f,0x3f203201,0x1307fc44,0xf91ffd88,0xc8ffc03f,0x702e00ff,
    0x41fea0df,0x7fd407fa,0xfaa64003,0x037e402f,0xbf906fc8,0xfb81ff40,
    0x2003ffa6,0x544e885d,0x36a3f51d,0x0c987622,0x0fea1aa0,0xf5001cc0,
    0x8817c401,0x4060600b,0x220750aa,0x74003cdb,0xfd9bf65f,0x005fffff,
    0x00000000,0x2a000000,0x400fe83f,0x7fcc6cfe,0x7fd4003e,0x05fc804d,
    0x84fe89fd,0x00fa06fb,0xa84fd8b9,0x2a7703ff,0x10b305ff,0xb85f90bf,
    0xf33ff883,0x43fe209f,0x5880dffa,0xff506fb8,0xf881fea0,0xd507105f,
    0x3200ffd8,0x0df9006f,0x3fe817f2,0x7fc4df70,0x8817600e,0x40ff204e,
    0x6ffffff9,0x07aef7e6,0xf0039f71,0x05d1005f,0x00000d50,0x00000000,
    0x537f4dff,0x03555555,0x00000000,0x80000000,0x027c40fc,0x3fa0ffee,
    0xffe8000f,0x40ffb800,0x3fec5ffd,0x204dffa6,0x5fd884fd,0x7fdc3fec,
    0x41f710cf,0xf710dffe,0xf881db03,0xfd80fb83,0x2e03ff61,0x577fec2f,
    0xfc81eb88,0x2a0ff707,0x1dfd00ff,0x81f30e60,0x3f206ff8,0x20df9007,
    0x13fe05fd,0x3fe63fe4,0xd100b305,0x4c0ff201,0x41aaaaaa,0x55502bb9,
    0x01b90055,0x00c00310,0x00000000,0x30e4c000,0x00000039,0x00000000,
    0x1ec00000,0xff1007cc,0x40017ea0,0xff1005fb,0xffb5d77d,0x2fbfea79,
    0x44cffbdd,0xecefd9dd,0x3ea4e9cf,0xfaddaadf,0x42ffefff,0xfffffff9,
    0x5c81f983,0x7c419f70,0x5077f445,0xffff307f,0x3f60bfff,0x80ffc80f,
    0xffc81ffb,0x7445d301,0x209ff904,0xfe800ffd,0x220dfd07,0x1ffd05ff,
    0x0004ffc8,0x00000c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8800000,0x1ec04a80,0x220003f0,0x3fea002f,0x85bfb1ef,
    0xff13fffc,0x5d445a8b,0xfc87a20a,0x3faa2eff,0xfd102dff,0x0b605fff,
    0xffeb81a2,0xf900becd,0x4407bdbf,0xa84ffffd,0xb54efffd,0xb519dfff,
    0x7cc9ffff,0xffffffff,0x9fff52ff,0x2effffb8,0x19ffffb5,0x9dfffd50,
    0x8f7fff6e,0x72dfffec,0x26bffffd,0x004fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x08800000,0x20098010,
    0x00140001,0x200541a8,0x00000881,0xa8806a20,0x80351000,0x10401100,
    0x054c0035,0x00135100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_33_latin_ext_x[560]={ 0,3,1,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,0,1,1,0,0,0,
-3,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,1,-1,0,0,1,1,-1,1,0,0,0,3,1,-1,2,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,0,0,0,0,1,0,1,0,1,0,1,0,1,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_33_latin_ext_y[560]={ 26,5,5,5,4,5,5,5,5,5,5,8,23,18,
23,5,5,5,5,5,5,6,5,6,5,5,12,12,8,13,8,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,5,5,5,31,5,12,5,12,5,12,5,12,5,5,
5,5,5,12,12,12,12,12,12,12,8,12,12,12,12,12,12,5,5,5,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,11,6,5,9,6,
5,5,6,5,5,12,13,18,5,3,5,8,5,5,5,12,6,14,25,5,5,12,5,5,5,11,-1,-1,-1,0,
1,1,6,5,-1,-1,-1,1,-1,-1,-1,1,6,0,-1,-1,-1,0,1,10,5,-1,-1,-1,1,-1,6,5,5,5,
5,6,6,5,12,12,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,10,11,5,5,5,6,5,5,6,
2,7,0,6,5,12,-1,5,-1,5,1,6,-1,5,-1,5,6,5,2,7,0,6,1,6,6,12,-1,5,-1,5,
0,6,1,6,5,4,-1,-1,6,5,0,6,2,7,0,6,6,5,1,12,6,5,-1,5,6,5,12,-1,-1,6,
5,5,5,6,5,6,5,-1,5,6,12,-1,5,5,5,12,2,7,0,6,-1,5,6,12,-1,5,6,12,-1,5,
-1,5,-1,5,5,12,-1,5,6,8,-1,5,6,8,0,6,2,7,0,6,-1,5,-1,5,6,12,-1,5,-1,5,
1,-1,5,1,6,-1,5,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,7,7,5,7,7,7,
7,7,7,7,7,7,7,7,7,7,3,11,7,7,7,7,7,7,7,7,7,7,7,7,7,2,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,1,-1,1,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-5,-1,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_33_latin_ext_w[560]={ 0,4,10,15,13,23,22,4,9,9,11,17,5,8,
4,9,13,9,14,12,14,12,13,13,13,13,4,5,17,17,17,12,26,22,19,18,21,18,16,21,21,10,12,22,
18,26,23,20,16,20,21,14,18,22,22,28,22,22,18,7,9,7,14,17,6,13,15,12,15,12,12,15,15,8,
9,16,8,24,15,13,15,15,11,10,9,15,15,22,15,15,13,9,2,9,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,13,15,15,15,
2,11,10,21,10,14,17,8,21,17,10,17,9,8,6,15,15,4,6,6,9,14,21,21,22,11,22,22,22,22,
22,22,27,18,18,18,18,18,10,10,10,10,21,23,20,20,20,20,20,13,20,22,22,22,22,22,16,14,13,13,
13,13,13,13,18,12,12,12,12,12,8,8,9,9,14,15,13,13,13,13,13,17,15,15,15,15,15,15,15,15,
22,13,22,13,22,15,18,12,18,12,18,12,18,12,21,20,21,15,18,12,18,12,18,12,18,13,18,12,21,15,
21,15,21,15,21,15,21,15,21,15,10,10,10,10,10,10,10,10,10,8,22,15,12,12,22,16,16,18,8,18,
8,18,12,18,11,18,9,23,15,23,15,23,15,18,20,13,20,13,20,13,20,13,25,21,21,11,21,11,21,11,
14,10,14,10,14,10,14,10,18,9,18,13,18,9,22,15,22,15,22,15,22,15,22,15,22,17,28,22,22,15,
22,18,13,18,13,18,13,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,21,16,16,15,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,15,16,16,16,16,16,16,16,16,16,16,16,16,16,25,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,13,10,9,20,
13,22,15,22,15,22,15,22,15,22,15,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,22,13,27,18,20,15,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_33_latin_ext_h[560]={ 0,22,10,22,25,22,22,10,28,28,13,16,8,3,
4,22,22,21,21,22,21,21,22,21,22,22,15,19,16,7,16,22,28,21,20,22,20,20,20,22,20,20,21,20,
20,20,21,22,20,27,20,22,20,21,21,21,20,20,20,27,22,27,12,2,6,15,22,15,22,15,21,21,21,21,
28,21,21,14,14,15,21,21,14,15,19,15,15,15,14,21,14,28,28,28,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,26,22,15,20,
28,27,4,22,10,15,7,3,22,2,10,16,12,12,6,21,27,4,7,12,10,15,22,22,22,22,27,27,27,26,
25,25,20,27,27,27,27,25,27,27,27,25,20,27,28,28,28,27,26,13,22,28,28,28,26,27,20,22,22,22,
22,21,21,22,15,20,22,22,22,21,21,21,21,20,22,20,22,22,22,21,21,12,16,22,22,22,21,28,28,27,
24,20,26,21,27,20,28,22,28,22,26,21,28,22,27,22,20,22,24,20,26,21,25,21,26,20,27,22,28,28,
27,27,26,27,27,29,27,27,20,21,26,20,24,19,26,20,26,27,25,14,21,28,28,28,26,27,14,27,27,26,
27,21,21,20,21,20,21,28,21,26,20,28,21,21,22,21,25,20,27,21,28,22,21,15,27,21,26,20,27,21,
28,22,28,22,27,20,28,22,27,25,27,22,20,19,27,21,25,20,27,21,28,22,28,22,26,20,28,22,27,28,
25,27,21,25,20,27,21,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,22,19,19,28,19,19,19,
19,19,19,19,19,19,19,19,19,19,24,16,19,19,19,19,19,19,19,19,19,19,19,19,19,25,16,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,27,22,27,21,28,
22,28,22,28,24,28,26,28,26,28,26,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,31,28,27,22,28,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_33_latin_ext_s[560]={ 511,506,390,43,168,22,189,507,359,496,309,
454,423,440,506,354,364,64,409,212,254,269,137,295,292,479,507,314,402,429,436,
261,408,384,97,24,30,11,136,115,153,175,455,74,186,287,468,274,270,272,52,
100,117,40,92,63,247,224,205,393,185,498,365,368,479,71,495,120,463,173,1,
407,350,366,40,376,375,186,253,159,439,423,241,148,320,55,39,16,225,14,211,
268,301,325,486,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,511,506,352,
448,85,147,356,439,429,167,401,1,447,440,239,386,412,472,321,331,472,334,356,
506,465,340,380,133,59,95,162,228,249,226,181,407,35,58,469,375,43,81,322,
81,341,311,394,234,281,451,224,335,85,372,441,295,295,106,369,273,1,1,182,
85,225,378,404,175,240,81,101,134,434,72,59,488,501,463,424,1,464,421,434,
420,406,1,74,347,420,338,322,306,360,190,82,100,282,229,462,316,139,303,63,
149,44,117,388,215,1,46,315,1,331,479,316,456,291,450,100,282,310,353,337,
391,145,392,422,444,366,460,476,24,1,46,259,472,485,399,305,357,430,410,496,
135,24,269,124,113,188,152,329,118,278,62,146,240,109,492,309,163,322,437,102,
20,34,200,243,472,344,15,370,88,245,215,401,330,435,356,189,490,293,228,155,
319,204,112,258,195,98,270,494,497,296,281,24,224,475,493,115,347,405,393,119,
199,116,434,235,418,167,151,177,367,206,1,352,129,182,62,50,205,385,162,147,
161,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,206,330,330,456,
330,330,330,330,330,330,330,330,330,330,330,330,330,335,386,330,330,330,330,330,
330,330,330,330,330,330,330,330,142,368,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,23,392,
428,30,304,256,278,240,245,266,201,259,165,275,129,224,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,1,71,81,130,50,447,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330, };
static unsigned short stb__times_33_latin_ext_t[560]={ 1,62,256,168,118,145,168,106,1,1,256,
235,256,264,85,145,145,191,168,168,191,191,168,191,145,145,90,235,235,256,235,
168,1,191,235,168,235,235,235,168,235,235,191,235,235,235,191,168,235,62,235,
168,235,213,213,213,235,235,235,62,145,62,256,252,256,256,118,256,118,256,213,
191,191,191,1,168,191,256,256,256,191,191,256,256,235,256,256,256,256,213,256,
1,1,1,256,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,1,1,90,
145,256,213,1,33,264,168,256,256,256,264,168,252,256,235,256,256,256,191,62,
24,256,256,256,256,145,145,145,145,62,62,62,90,118,118,213,33,62,62,33,
118,33,33,33,118,213,33,1,1,1,62,90,256,168,1,1,33,118,62,213,
168,168,145,118,191,191,145,256,213,118,168,168,168,168,168,168,235,145,213,145,
145,145,191,191,256,235,145,145,145,168,33,33,62,118,213,90,168,62,213,33,
145,33,145,90,191,33,145,62,145,213,118,118,213,90,168,118,191,90,213,62,
118,33,1,62,62,90,62,62,1,90,90,213,168,90,213,118,235,90,213,90,
90,118,256,191,33,1,1,90,90,256,90,90,90,90,191,191,213,191,213,191,
33,191,90,213,1,168,191,118,191,118,213,62,168,1,118,191,235,62,191,90,
213,62,191,33,145,33,145,33,213,33,145,62,118,33,145,213,235,33,168,118,
213,62,168,33,118,33,168,90,213,33,168,33,33,118,62,191,118,213,62,191,
191,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,145,235,235,1,
235,235,235,235,235,235,235,235,235,235,235,235,235,118,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,118,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,90,145,
33,213,1,145,1,145,1,118,1,90,1,90,1,90,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,1,1,90,145,1,118,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235, };
static unsigned short stb__times_33_latin_ext_a[560]={ 119,159,195,238,238,397,371,86,
159,159,238,269,119,159,119,132,238,238,238,238,238,238,238,238,
238,238,132,132,269,269,269,212,439,344,318,318,344,291,265,344,
344,159,186,344,291,424,344,344,265,344,318,265,291,344,344,450,
344,344,291,159,132,159,224,238,159,212,238,212,238,212,159,238,
238,132,132,238,132,371,238,238,238,238,159,186,132,238,238,344,
238,238,212,229,95,229,258,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,119,159,238,238,238,238,95,238,
159,362,132,238,269,159,362,238,191,262,143,143,159,275,216,119,
159,143,148,238,358,358,358,212,344,344,344,344,344,344,424,318,
291,291,291,291,159,159,159,159,344,344,344,344,344,344,344,269,
344,344,344,344,344,344,265,238,212,212,212,212,212,212,318,212,
212,212,212,212,132,132,132,132,238,238,238,238,238,238,238,262,
238,238,238,238,238,238,238,238,344,212,344,212,344,212,318,212,
318,212,318,212,318,212,344,308,344,238,291,212,291,212,291,212,
291,212,291,212,344,238,344,238,344,238,344,238,344,238,344,238,
159,132,159,132,159,132,159,132,159,132,338,263,186,132,344,238,
238,291,132,291,132,291,194,291,164,291,132,344,238,344,238,344,
238,288,335,236,344,238,344,238,344,238,424,344,318,159,318,159,
318,159,265,186,265,186,265,186,265,186,291,132,291,204,291,132,
344,238,344,238,344,238,344,238,344,238,344,238,450,344,344,238,
344,291,212,291,212,291,212,132,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,344,371,371,238,371,371,371,371,371,
371,371,371,371,371,371,371,371,344,252,371,371,371,371,371,371,
371,371,371,371,371,371,371,370,258,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,344,212,159,132,344,238,344,238,344,238,344,
238,344,238,344,238,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,344,212,424,318,344,238,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_33_latin_ext_BITMAP_HEIGHT or STB_FONT_times_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_33_latin_ext(stb_fontchar font[STB_FONT_times_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_33_latin_ext_BITMAP_HEIGHT][STB_FONT_times_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_33_latin_ext_s[i] + stb__times_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_33_latin_ext_t[i] + stb__times_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_33_latin_ext_x[i];
            font[i].y0 = stb__times_33_latin_ext_y[i];
            font[i].x1 = stb__times_33_latin_ext_x[i] + stb__times_33_latin_ext_w[i];
            font[i].y1 = stb__times_33_latin_ext_y[i] + stb__times_33_latin_ext_h[i];
            font[i].advance_int = (stb__times_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_33_latin_ext_s[i] + stb__times_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_33_latin_ext_t[i] + stb__times_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_33_latin_ext_x[i] + stb__times_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_33_latin_ext_y[i] + stb__times_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_33_latin_ext_LINE_SPACING
#endif

