// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_34_latin_ext_BITMAP_HEIGHT        294
#define STB_FONT_times_34_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_34_latin_ext_NUM_CHARS            560

#define STB_FONT_times_34_latin_ext_LINE_SPACING          22

static unsigned int stb__times_34_latin_ext_pixels[]={
    0x00fff800,0x00008800,0x0004ccc0,0x00000620,0x00006664,0x30001999,
    0x10000155,0x00000155,0x20000555,0x00008808,0x5555554c,0x2a200001,
    0x8030000a,0x88020008,0x108001aa,0x06006600,0x26000400,0x20155401,
    0x20000008,0x000002aa,0x003cc980,0x02a01700,0x00702400,0x00cc9800,
    0x40013ba6,0x40001ffa,0x40000bd8,0xecbcddc9,0x326001cf,0x9800005f,
    0x260004ff,0xf88003ff,0x700004ff,0x9800007f,0x00002fff,0x009913b9,
    0xfffff900,0x540000bf,0x9fb0004f,0x8807fe60,0x3ff201dc,0x2391000f,
    0x026400c8,0xd88017f6,0x099002ef,0x1017ffcc,0x800003b9,0x0002fffa,
    0x07fe4000,0x41f98000,0x3aa0004b,0x00001ec0,0x740bb1d9,0xc8002fff,
    0x1c80002f,0x0ef54000,0x801b9510,0x0005ffdc,0x0005fb80,0xd80027e4,
    0x0000ffcf,0x80000b50,0x0006fdfe,0x001bffa0,0x66666540,0x3600002c,
    0x1bfe0003,0xe9817fdc,0x7f77c402,0x441ea805,0xf013202e,0x89e400df,
    0x204c800e,0x9806fdfe,0x3a00002e,0x00006fdf,0x000ffc00,0x7e4ff200,
    0x97f40000,0x2600006d,0x3ea0bb1f,0xf8006fba,0x55d00003,0x007b2000,
    0xfd005d30,0xdd00000b,0x00bd0000,0x2fd47e60,0x01082000,0x2e1d7000,
    0x8880003f,0x00000899,0x20000101,0x4c000410,0x440f201c,0x325d804e,
    0x407e601f,0x809903e8,0x71e001c9,0x2a099007,0x5007f70e,0xd700003f,
    0x0000fee1,0x0017cc00,0x7f7fc400,0xff980003,0x200002fe,0x22e800fd,
    0x126003e9,0x1fff8000,0x00376200,0x36007440,0x4400005f,0x74c0000e,
    0x883b0000,0x9f50001e,0x10001fe4,0x000e981d,0x3fc93ea0,0x927d4000,
    0xfa80007f,0x0000ff24,0x803f9000,0xf106b859,0xc81f9805,0x1d800004,
    0x21320076,0x0074c0e8,0x2200037c,0x00074c0e,0x00264000,0x0dff7000,
    0x2ffec000,0x0df10000,0x01b10370,0x00006a20,0xd0007fdc,0x0d10000b,
    0x00005fd8,0x4c0000cc,0x40310000,0x4bf70002,0x260003fc,0x40003100,
    0x00ff25fb,0x7e4bf700,0x2fdc0003,0x000007f9,0x1402fe80,0x00fd0130,
    0x001321b2,0x17b3ea00,0x804c2640,0x07fc4028,0x22013000,0x28000001,
    0x00000000,0x00000000,0x00402fdc,0x377a2002,0x0080000e,0x00007640,
    0x17f601c8,0x00000000,0x00000098,0x00c0c000,0x00000000,0x40000606,
    0x30000181,0x00000030,0x00007ff0,0xf3004fc8,0x00004c87,0x64003510,
    0xf9800004,0x0000001f,0x00000000,0xb9731000,0xaaa80157,0x102aaaaa,
    0x05555555,0x4000ffe0,0x791dc000,0xa8000000,0x4435001f,0xbfb01d41,
    0x2e620000,0x24c0acdd,0x00bddd10,0x06f732a0,0x55555451,0x55102aaa,
    0x30055555,0x4159bd97,0xaaaaaa83,0x555102aa,0x2aaa5555,0x102aaaaa,
    0x25555555,0xaaaaaaaa,0x55555102,0x02004055,0x2aa027f4,0x42aaaaaa,
    0x3fa000ff,0xa8401320,0x2aaaaaaa,0x55555510,0x6e541325,0xfa80e0ac,
    0xaaaa980f,0x2aaaa2aa,0xaa882aaa,0x2a001aaa,0xaaaaaaaa,0x1aaaaaaa,
    0xaacefb80,0x2a204fec,0x01bffffe,0x17fff931,0x5ffecc40,0x5eb88019,
    0x0b50ec00,0x74001000,0x5df64404,0x02c46fac,0x3ff22bfb,0x7df7002e,
    0x227fd955,0x2d8f202f,0x33bfae00,0x4ebdecaa,0x3ffffaa2,0xff93101b,
    0x7f54017f,0xefcbaace,0xffea887c,0x93101bff,0x2a217fff,0x01bffffe,
    0x17fff931,0x3ffffaa2,0xff93101b,0x5eb8817f,0xfb03fb30,0xffea980b,
    0x1bea0bef,0x264bf900,0x2a2bd710,0x01bffffe,0x17fff931,0x9ffb1132,
    0x40fbffd9,0xff7107fb,0x7e4c39ff,0xa881bfff,0x2001cffd,0xefffffca,
    0xffeeeeee,0x813fa604,0x3e601efc,0x3f2001ff,0xffeed801,0x7fe404ee,
    0x8a5c005f,0xdb30002d,0x133339db,0x9d100fcc,0x0684fec8,0x7fff57f6,
    0x3f6203ff,0x13bbf203,0x402541d0,0x2e00dfd8,0xfff984ff,0x007f2001,
    0x74c03ff9,0x3ffe607f,0x407f2001,0x2001fff9,0xfff301fc,0x40fe4003,
    0x74c5fffd,0x6fc81fff,0x01fff300,0xfa8009fd,0x7fe41327,0x0fffcc5f,
    0x4c83f900,0x7f4417f4,0x501bf207,0x7fe40fff,0x004f8806,0x0bff3ee0,
    0xff105d88,0x03ff7007,0x70007ffc,0x07fb800f,0x002ffc40,0x80027fe4,
    0x3ffa63fb,0xd01b25ff,0x903ff50d,0x2f77f603,0x80fffea8,0xfc804ff8,
    0x5b1e401f,0x005fe880,0x3ffe0bf7,0xb01ee000,0x3fa003df,0x003ffe00,
    0x7ffc07b8,0xf01ee000,0x3dc001ff,0x2e0bff10,0x03fb81ff,0xf30fff10,
    0xffa8007f,0x5ff80990,0x2000fff8,0x3f24c87b,0x981fa205,0x0ffe805f,
    0x500fff10,0x66c0001f,0x2cc02ffb,0x3a007fd8,0x01ffa06f,0xfd800f50,
    0x05fe8005,0x2000bd00,0x7fd40ff9,0xd80fe09a,0xb07fb81f,0x20bff603,
    0xffd85ffc,0x06ffb800,0x402ff744,0x32000ffd,0x800ffd05,0x03ff207a,
    0x3a00fa80,0x03d4007f,0xf5001ffa,0x4007fe80,0x82ff407a,0x0fb81ff9,
    0x2a1bfe00,0x7cc003ff,0xfe80772f,0x4007fe85,0x3fa4c87a,0x3a03cc02,
    0x03ffb805,0xb9007ff6,0x5c7cc000,0xb84802ff,0x3ee003ff,0x00ffd03f,
    0x7fc006a8,0x05fd8003,0x001ff980,0x5ff06fd8,0xbf901f98,0x03413f60,
    0x3fe20bfb,0x401ffdc7,0x804ffbf9,0x3ffb8009,0xfe834c00,0x98354007,
    0x1d8005ff,0x5001ffa0,0x007fe80d,0x1ffa0354,0xfe80d500,0xd03ff305,
    0x86ff8007,0x44002ffb,0x3f6004ff,0x4007fe85,0x3fe4c86a,0x7d407804,
    0x037fcc00,0x2e809ff5,0x7dd36000,0x7c40802f,0xfff8007f,0x4007fe80,
    0x3fe6006a,0x05fd8001,0x004ffc80,0xbfd04fe8,0xff980fa8,0xb105ff00,
    0xfb02fec0,0x01ffe21f,0x3ffe2be2,0xfe800401,0xd048001f,0x06a800ff,
    0x30003ffb,0x003ff403,0x0ffd01aa,0x7f406a80,0x20354007,0x3ff305fd,
    0x7c000e4c,0x01ffc86f,0x2005ff80,0x07fe85fd,0xd2643540,0x805805ff,
    0x7ff402c8,0x40fff100,0xf30000f9,0x080bfee1,0x000dff30,0xffd05ffd,
    0x2006a800,0xd8000ffb,0x7fc4005f,0x7ec000ff,0x7a8bfd05,0x3e609fb0,
    0x3603a80f,0x47ff205f,0x3e807ffa,0x3aa0fffa,0xf303dfef,0x402000ff,
    0x354007fe,0x00006ff8,0xa800ffd0,0x003ff406,0x0ffd01aa,0x7ec06a80,
    0x323ff305,0x1bfe0006,0x20003ff6,0x3f6007ff,0x4007fe85,0x3f24c86a,
    0x800203ff,0x0ffee06c,0xc80fffd4,0xb8f60005,0x5c1602ff,0xfd8005ff,
    0x007fe84f,0xdfb00354,0x017f6000,0x07ff9d70,0xf887fb80,0x7c435c3f,
    0x20dfb02f,0x817f602c,0xbff70ffb,0x7fe45d80,0xff527d44,0x00bff907,
    0x007fe800,0x2ffcc354,0x7fe80000,0x3a035400,0x0354007f,0xd5001ffa,
    0xf305fd80,0x0032e23f,0x3f21bfe0,0x6ff8001f,0x3a17f600,0x4354007f,
    0x3fffa24c,0x32e0001e,0x41bfe201,0x5d04ffed,0xb83e6000,0x20f102ff,
    0xc8004ffc,0x07fe85ff,0xff003540,0x17f60009,0xdff17d00,0x43fe8800,
    0xa87a86fa,0x3ffa80ff,0x3f600e88,0xfd9fea05,0x903ae04f,0x40fe8bff,
    0x4ffd87fb,0x3ff40000,0x3ee1aa00,0xd000004f,0x06a800ff,0x2a003ff4,
    0x003ff406,0x0bfb01aa,0x3d107fe6,0xa86ff800,0x7c4002ff,0x17f6005f,
    0xd5001ffa,0xfff88990,0x22000dff,0x3ffb002d,0x87ffaf88,0x7d0000f9,
    0x999bffb8,0xffd07eb9,0xfff70007,0xa800ffd0,0x03ff1006,0x8017f600,
    0x03ffb0fa,0xc9dfe880,0xb87980df,0x1ffd886f,0x2fec03c8,0x7ff4df70,
    0xf701f504,0x207fccff,0x7ff40ffa,0x7f400004,0x6c354007,0xfb9004ff,
    0xfd05dfff,0x406a800f,0x354007fe,0x5001ffa0,0x305fd80d,0x00f903ff,
    0xff986ff8,0xa7fc4002,0x42fec019,0x354007fe,0x7fec4264,0xdb004fff,
    0x21ffd400,0xc85ff97a,0x70f50005,0xffffffff,0x13ffa0ff,0x21bfee00,
    0x354007fe,0x0007fa80,0x4d8017f6,0x10017fea,0x4035955b,0x07fdc0f8,
    0xa81ff1b1,0x206fd806,0x17ff63fd,0x7fdc0be6,0x7fcc1e46,0x0027ff40,
    0x001ffa00,0x0bffd0d5,0x205ffd80,0x354007fe,0x5001ffa0,0x007fe80d,
    0x17f60354,0x7d40ffcc,0x41bfe002,0x7cc003ff,0xfd80993f,0x4007fe85,
    0x2a04c86a,0x01effffe,0xf88013e2,0xff9a6c6f,0xe80017c5,0x702ffb83,
    0x017ff20f,0x3a17ff20,0x0354007f,0x20005fc8,0x1f3005fd,0x1000ffe8,
    0x85d0005b,0x8ecadff8,0x837227f8,0x80ffd819,0x37fe46f8,0xffc80fa2,
    0x7ff64c04,0x002ffec1,0x001ffa00,0x0fffb0d5,0x204ffc80,0x354007fe,
    0x5001ffa0,0x007fe80d,0x17fa0354,0x7dc0ffcc,0x41bfe005,0x7d4004fe,
    0xfd80991f,0x4007fe85,0xb804c86a,0x700effff,0xffd800df,0x7ff43f11,
    0x2a000f30,0xffffffff,0x7dc1a02f,0xffd8006f,0x4007fe83,0x07fb006b,
    0x802fec00,0x03ffb85c,0x00139f70,0x7ffe435c,0x3777fa0d,0xbffb0683,
    0x7d41fd98,0x3602ec7f,0x5bd503ff,0xffb83ff3,0x7f400007,0x5c35c007,
    0x2e000fff,0x1ffa03ff,0xfe80d700,0x2035c007,0x35c007fe,0x7cc1bfe0,
    0x006fd81f,0x2fe41bfe,0x4c97ee00,0x7f42fec0,0x6435c007,0xfff91004,
    0x001ff20b,0x91aa9ff5,0x001725ff,0x4ccccdf4,0x41202ffc,0xe8007ffa,
    0x0ffe82ff,0x7c01ae00,0x3f60000f,0x882f8805,0xff9006ff,0x5bffffff,
    0x15301f10,0x32015510,0x9fbdfb03,0xff301dfb,0x3a01b23f,0x22fd81ff,
    0x7fd41ff9,0x3a00000f,0x1ae000ff,0x800bffea,0x3fa03ffb,0x01ae000f,
    0x5c001ffd,0x007ff406,0x3fae0d70,0x7fcc3eff,0x2004fe81,0x0ff106ff,
    0x1322fe80,0xffd0bfb0,0x6435c001,0x3fee00a4,0x00ffa80f,0x43dbffc0,
    0x005f5ff9,0x7fdc0d70,0x3ffd0002,0xb06ff800,0x2e4001ff,0x00037cc0,
    0x1ae013f6,0x8802ffc8,0xfffffffd,0x005c86ff,0xfb034400,0xd002aa2b,
    0x801f55ff,0x7f446ff8,0x740ffcc1,0x200001ff,0x32000ffd,0x009ffd05,
    0xfb01ffdc,0x02e4001f,0xc8003ff6,0x007fec05,0x98000b90,0x03ff80ff,
    0xfb817fe0,0xc8df3002,0x6c27ec04,0x172000ff,0xfb006932,0x03ff305f,
    0x0faffc80,0x007affe8,0x3ee02f88,0xfa82002f,0x3fee005f,0x005ff701,
    0x1fd401f4,0x00ff6000,0x3ffffffa,0x8805ffff,0xaa99988d,0x03e81fdb,
    0x403d1000,0xf98005fd,0xfb801fdf,0x4c2fe41f,0x6ffb81ff,0xfb80b800,
    0x40fa002f,0x7000fff9,0x7fdc07ff,0x700fa002,0x1f4005ff,0x800bfee0,
    0x7cc0003e,0x4005fd07,0x027403ff,0x02642fc8,0x3fee0ff6,0x320fa002,
    0x3ea007a4,0x00ff881f,0x837ffcc0,0x8004fffb,0x17fdc05c,0x7fec1b80,
    0x409ff001,0xf5005ff9,0x001fb001,0x5402fd80,0x9999999f,0x7400ffe9,
    0xf107b003,0x1e880005,0x8002fec0,0xf8803ffc,0x985fe83f,0xbffd01ff,
    0xf981d400,0x01f5005f,0xb802ffec,0x3fe603ff,0x801f5005,0xf5005ff9,
    0x05ff9801,0x80001f50,0x03fb06f9,0x805ff062,0x83f801f8,0x417ec04c,
    0xf5005ff9,0x02749901,0x7f807fdc,0x07ffd000,0x000bffe2,0xffb803f1,
    0xe8869802,0x6fec00df,0x017fd400,0x88c40bea,0x6e80003f,0xfa804d80,
    0x003ee04f,0x04e88174,0xb003d500,0x3e2000bf,0x2fec00ef,0x3620ffc8,
    0xfd8851ff,0x405a804f,0x7d402ffa,0x04ffb802,0x5403ffb8,0x17d402ff,
    0x402ffa80,0xff5002fa,0x002fa805,0x981fcc08,0x12ff884f,0x01ae00df,
    0xd01320b9,0x017fd40d,0xd2640bea,0x04fe807f,0x320007f3,0x1ffa00ff,
    0x3201b600,0x274403ff,0xd301df90,0x7fe4007f,0x13f2a20b,0x800d77e8,
    0x07f12ef8,0xff000f88,0x4027fc0f,0x0aec805b,0x000cea80,0x32000dfd,
    0xe881efcd,0x3ffe603f,0xdeffaedc,0x37dff900,0xc8026dc4,0x32a20bff,
    0x3fe6004f,0xffd980ad,0x0bffc802,0x0013f2a2,0x54417ff9,0x7e4004fc,
    0x3f2a20bf,0x0dfb8004,0x40eb80d7,0x1f98eff9,0x32036a00,0x3e29900d,
    0xc807f12f,0x32a20bff,0xfe93204f,0x37ecc1cf,0x4c000bb0,0x027dc05f,
    0x3a01bee0,0x99999dff,0x4c02ffb9,0xdffddefd,0xffeb8001,0x403effef,
    0x4000ccfd,0x03edfff8,0x3f2005d8,0x7dff903f,0x1bd73335,0x337b2200,
    0x0cedcaaa,0x2bffea00,0x443ae000,0xdfeddffd,0xcfffb800,0xb803dfd0,
    0xdffffffd,0x7ff5c002,0x003effef,0xceffdc88,0x000befed,0x3fbfffae,
    0xd70003ef,0x7dffdfff,0x3ffae000,0x003effef,0x1b9fff90,0xfc87d500,
    0x88002def,0x9900b20c,0x0fb7ffe2,0x77fff5c0,0x26403eff,0xfdffd75d,
    0x0faa07ff,0x100ba000,0x3f66003f,0x7e4c5eff,0xffffffff,0x4007ffff,
    0x00000aa8,0x00355553,0x71000054,0x7f100159,0x03ffd400,0xfffffff7,
    0x54c0005d,0x8001abcb,0x04cccccc,0x554c0660,0x02030001,0x026aa200,
    0x55553000,0x54400003,0x400009aa,0x001aaaa9,0x35555300,0x2aa60000,
    0x980001aa,0x298001bb,0x40000544,0x45500111,0x8000acb8,0x001aaaa9,
    0x2aa20c55,0x002a601a,0x14004c00,0x00000000,0x00000000,0x00000000,
    0x03fe8000,0x017ffe60,0x00357955,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ee00000,
    0x2202efff,0x4ffffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ffe8800,0x80440000,0x7fc40000,
    0x75c0000e,0xf300003e,0x2a0000df,0x2200002a,0x20000eff,0x80002eeb,
    0x00001aa8,0x0002eed8,0x0003eea8,0x00014000,0x003ffd00,0xff34ff80,
    0x20370005,0x776c001a,0x44010001,0x4c030000,0x18022000,0x10000000,
    0x20000355,0x1ff92ff9,0xaaaa8800,0x40302aaa,0x0eeeeeea,0xf1000310,
    0x2200007f,0x06a0dffd,0x01ff7000,0xffff8800,0xff500000,0xff880003,
    0xf500003f,0x7c40003f,0x40000fff,0x00006ffd,0x0037ffd4,0x2002fec0,
    0x037a64fb,0x0003fe44,0x002ff880,0xfb87fc40,0x85f10005,0x7fd4005a,
    0x01b0005f,0x0ec00036,0x162002c4,0x9f500244,0xdffb0000,0x97ee0000,
    0xfb5002fd,0x5f757fff,0x2e09fb05,0x982aaaef,0xf30004fd,0x3720000b,
    0x0eacfffd,0x00fec000,0x7dc76c00,0x3ee00005,0x6fec0003,0xd80000ff,
    0x76c0002f,0x20004fd9,0x003ffdf9,0xfb1bf100,0x77c40007,0x87ffc000,
    0xfda82ffc,0x7000007f,0xf500009f,0x00007e45,0x007ee9f7,0x05fd3bf0,
    0xb77bf500,0x7cc0009f,0x003ffddf,0xfecbdfc8,0x07ffa001,0xffdf9800,
    0x0fc80003,0x7fd4017e,0x0f10ffff,0x5fb837fc,0x027fee40,0x0000f500,
    0x3fffea8e,0x002f8000,0x3ea0e980,0x1b200001,0xf51f9800,0x07f00009,
    0x2e0e9800,0x29d0001f,0x80000fd8,0x0007dc4b,0xc8000fa8,0x803fea5f,
    0x000007fc,0x2e0000bb,0x40001f45,0x4004fefe,0x80036c5b,0x00effffd,
    0x7fffe400,0xffd10005,0xfb800bff,0x8a740006,0x740000fd,0x2a003e22,
    0x0fffffff,0x80e4c0f1,0x9ff005fb,0x002c8000,0x02c98180,0x0003a800,
    0x00b10190,0x0000d800,0x001e883b,0x20001260,0x8005980c,0x0004c84b,
    0x00498244,0x040003b0,0x03fdc004,0x002c4000,0x00581b00,0x01fff500,
    0x03b82440,0x005b9300,0x005dc400,0x0066cc00,0x5c000080,0x40004c84,
    0xfd801d45,0x10ffffff,0x2fdc000f,0x0004fe80,0x00000008,0x00008000,
    0x00000000,0x5004c000,0x00004000,0x14000400,0x00000150,0x00030000,
    0x1fee0000,0x00040000,0x00010100,0x80100000,0x00000000,0x00000000,
    0x28000000,0x080002a0,0xffff0004,0x1e21ffff,0x005fb800,0x988009fd,
    0x400abdcb,0xaaaaaaaa,0x55555102,0xcb988055,0x10000abd,0x0157b973,
    0xaaaaaaa8,0x5555102a,0x000a0555,0x2aaaaaaa,0x5555102a,0x00000555,
    0x2aa00000,0x02aaaaaa,0x55555551,0x00000000,0x0001fee0,0x837b9950,
    0x2aaaaa28,0x55102aaa,0x50055555,0x28837b99,0x98000100,0x20acdecb,
    0xaaaaaa83,0x555102aa,0x01005555,0x00000800,0x73100000,0x880157b9,
    0xffffffff,0x5c000f10,0x09fd005f,0x55677dc0,0x2a204fec,0x01bffffe,
    0x17fff931,0x55677dc0,0x5c004fec,0xfecaacef,0x3ffaa204,0x93101bff,
    0x64417fff,0xea88007f,0x101bffff,0x217fff93,0x42eeeeec,0x530deed8,
    0x05555555,0x2aaaaaa2,0xffffd511,0x3f262037,0xddd90bff,0xeed885dd,
    0xddddd90d,0x0deed885,0x80003fdc,0xcaacefeb,0x2a24ebde,0x01bffffe,
    0x17fff931,0x5677f5c0,0x04ebdeca,0x273b7b66,0x3aa00999,0xfcbaacef,
    0xfea887ce,0x3101bfff,0x2019fff9,0x99ceded9,0xbdb30099,0x2133339d,
    0xaaaaaaa9,0x5555540a,0x3ee01aaa,0x4fecaace,0x7fffff40,0x100f10ff,
    0x74017ee0,0x4fe9804f,0x9807bf20,0x32001fff,0x13fa601f,0x4c01efc8,
    0x3bf204fe,0x07ffe601,0x6dc1fc80,0x260007ff,0x32001fff,0x0fffb81f,
    0xfc983be0,0x101bffff,0x817fffd5,0x2001fff9,0xfffb81fc,0xf703be00,
    0x077c01ff,0x3b623fdc,0xfb103eee,0x27fdc01b,0x000fffcc,0x7ec403f9,
    0x13fee00d,0xffd31fdc,0x3ff20bff,0x81ffa601,0x2001fff9,0x8fee01fc,
    0x85ffffe9,0x3ffa63fb,0xff9315ff,0xf73037ff,0x30159fff,0x77e409fd,
    0xfffff901,0x441e21ff,0x0bf705eb,0xf1013fa0,0x3ff7007f,0x0007ffc0,
    0x1ffc40f7,0x880ffdc0,0xffb803ff,0x003ffe01,0x1ff607b8,0x01fff000,
    0xffb03dc0,0x4c0be201,0xf5005fff,0x07ffc01d,0x7ec0f700,0x205f100f,
    0x5f100ffd,0x3e21fee0,0x17fa202e,0xff82fdc0,0x81ee000f,0xf7005fe8,
    0xa81ff30b,0xfd809aff,0x01fd001e,0x70007ffc,0x207fcc0f,0x4c09affa,
    0x57fd40ff,0x03ffd809,0x2206ffb8,0xffb803ff,0xfffff981,0xfb0f10ff,
    0x17ee0bff,0x36027f40,0x1bfa007f,0x54007fe8,0x801ff607,0x0ffb06fe,
    0xfd037f40,0x207a800f,0x740007fb,0x03d4007f,0x1ae07ff1,0x001fff70,
    0x7fe801f9,0xf103d400,0x881ae07f,0x40d703ff,0x00dd87fb,0x90007fec,
    0x001ffa0b,0x07fec0f5,0xdfb0b900,0x7e40bfe0,0x03ea000f,0x54007fe8,
    0x7c1bf607,0x20dfb02f,0x3ff202ff,0x05ffa802,0xfe801ff6,0xffffd306,
    0x7c41e21f,0x00bf705f,0xffb813fa,0x0ffee003,0x2a003ff4,0x007ff706,
    0x3ee1ffdc,0x3fee003f,0x800ffd03,0x01fee06a,0x800ffd00,0x837ec06a,
    0x4ffe803e,0x7401fc40,0x0354007f,0x01f41bf6,0x01f41bf6,0x02ec4ff7,
    0x2001ffdc,0x00ffd069,0x7ff706a8,0xfe869800,0xf30bfd04,0x03b000bf,
    0x2a003ff4,0x7413fa07,0x209fd05f,0x3ff205fe,0x04ff9801,0x5c007ff7,
    0xdb7103ff,0xe81e21ff,0x00bf705f,0x7fc413fa,0x0fff8007,0x54007fe8,
    0x007ff886,0xff10fff8,0x1fff000f,0xa800ffd0,0x001fee06,0xa800ffd0,
    0x217fcc06,0xff8800f9,0x4017201f,0x354007fe,0xf30bfe60,0x42ff9801,
    0x5fee00f9,0xffd004e8,0x3a090003,0x8354007f,0x48001ffe,0xbfd05fd8,
    0x0003ffb0,0x03ff4033,0x5fd81ea0,0x3f60bfd0,0x640bfd05,0xff9801ff,
    0x007ff884,0xf000fff8,0x5fe81e21,0x3a00bf70,0x0dff304f,0xd05ffd00,
    0x86a800ff,0xe8006ff9,0x0dff32ff,0xd05ffd00,0x06a800ff,0xd0001fee,
    0x06a800ff,0x02e46fd8,0x260dff70,0x0ffd000f,0xfd806a80,0xfd802e46,
    0x3ee02e46,0xf3005e8f,0x402000ff,0x354007fe,0x8003ffcc,0xf887fb80,
    0x006ff83f,0x00ffd000,0x1fee07a8,0x7dc0ffe2,0x203ff887,0xf9801ffc,
    0x06ff984f,0x002ffe80,0xfd81e21f,0x200bf705,0xbff704fe,0x09ffb000,
    0x6a800ffd,0x8005ffb8,0xbff74ffd,0x09ffb000,0x6a800ffd,0xfeb9fee0,
    0x07fe802e,0x7cc03540,0x8003f12f,0x03e83ffe,0x5001ffa0,0x25ff300d,
    0xff3001f8,0xf7007e25,0x9003ffbf,0x80000bff,0x354007fe,0x0002ffe4,
    0xfa87fd10,0x005ff986,0x00ffd000,0x3fa207a8,0xd1037d43,0x406fa87f,
    0xf9801ffc,0x05ffb84f,0x004ffd80,0xfd81e21f,0x200bf705,0x9ff904fe,
    0x0bff9000,0x6a800ffd,0x8004ffc8,0x9ff95ffc,0x0bff9000,0x6a800ffd,
    0x6f6dfee0,0x7f401fff,0x80354007,0x000d76fe,0x3641fff3,0x001ffa00,
    0x5bfa00d5,0xb7f4006b,0x8ffb806b,0x7ec00eff,0x7400004f,0x4354007f,
    0x00004ffd,0x7e4eff44,0x04ffb80d,0x0ffd0000,0x74407a80,0x00dfc9df,
    0x7e4eff44,0x0ffe400d,0x6427fcc0,0xfc8004ff,0x221f005f,0x5c17f607,
    0x09fd005f,0x2000fffa,0x7fe87ffb,0x7f435400,0xffb8003f,0x0007ffd7,
    0xffd0fff7,0x2e06a800,0x3fe22dff,0x003ff405,0x7fd401aa,0xf70003e9,
    0x0007e6bf,0x6a800ffd,0x7d3ff500,0xe9ffa800,0xf37fb803,0x4ffe80bf,
    0x3ff40000,0x3fa1aa00,0x4400004f,0x201acaad,0xb9004ffd,0xd05dffff,
    0x07a800ff,0x0d6556c4,0xacaad880,0x03ff9001,0xfd09ff30,0xff70007f,
    0x3c43e00f,0x3ee0bfb0,0x209fd005,0xb8004ffe,0x07fe86ff,0x7ff43540,
    0x6ffb8004,0x70009ffd,0x0ffd0dff,0x3ee06a80,0x407fb81f,0x354007fe,
    0x01fdfd00,0x75fff400,0x07fe8004,0xfd003540,0xfd0001fd,0xff7001fd,
    0xfd01ffdc,0xe800009f,0x4354007f,0x00004ffe,0xfd000b62,0xffd800bf,
    0x001ffa05,0x016c40f5,0x0002d880,0x3bbbbff2,0xffeeeeee,0x004ffe84,
    0xf006ffb8,0x5fd81e21,0x3a00bf70,0x0bff904f,0xd0bff900,0x86a800ff,
    0xc8005ffc,0x0bff95ff,0xd0bff900,0x06a800ff,0x3fd41fee,0x5001ffa0,
    0x27fd400d,0x3ffe6000,0x7fe8000e,0x50035400,0x2a0009ff,0xff7004ff,
    0xfb02ffd8,0xe80000bf,0x4354007f,0x00005ffd,0x400273ee,0x64007ffd,
    0x1ffa04ff,0x7dc0f500,0x7dc0009c,0xfc80009c,0x999999bf,0xc84ffa99,
    0xfc8005ff,0x221f005f,0x5c17f607,0x09fd005f,0x2001bfee,0x7fe83ffd,
    0x7dc35c00,0xffd8006f,0x000dff73,0xffd07ffb,0x2e06b800,0x01ff507f,
    0x2e003ff4,0x00ff4006,0x01ffe400,0x4007fe80,0x0ff4006b,0x003fd000,
    0xfe883fee,0x07ffb81f,0x03ff4000,0x3fee1ae0,0x3f200007,0xdfffffff,
    0x007ffdc2,0x7407ff70,0x035c007f,0xfffffff9,0x3ff205bf,0x2dffffff,
    0x2007ff20,0xffb84ff9,0x3ffd8006,0x81e21f00,0x0bf705fe,0x7d417fa0,
    0xffe8007f,0x000ffe82,0x1ffea1ae,0x54bffa00,0xfe8007ff,0x00ffe82f,
    0x7fb81ae0,0x7401ff50,0x1ae000ff,0x0000d900,0x4000bfee,0x2e000ffe,
    0x00364006,0xfd801b20,0x0f7fd41f,0x0003ffea,0x000ffe80,0x3ffea1ae,
    0xfb100000,0xffffffff,0x017ffd4d,0x6c07ff70,0x1ae000ff,0xfffffd88,
    0xd886ffff,0xffffffff,0x03ff906f,0xf509ff30,0xffd000ff,0x3c43e005,
    0x3ee0dff0,0x40dff005,0x7c001ffe,0x01ffb06f,0xffe82e40,0x237fc001,
    0x7c001ffe,0x01ffb06f,0xff702e40,0xd803fea0,0x172000ff,0x00007d00,
    0x4000bfee,0x32000ffd,0x001f4005,0x36e00fa0,0xd88cffff,0x3a2cffff,
    0x200001ff,0x32000ffd,0x003ffd05,0x26236200,0x1fdbaa99,0xb8013ffa,
    0x3ff603ff,0x88172000,0xaa99988d,0x46c41fdb,0xdbaa9998,0x01ffc81f,
    0xfd04ff98,0x6ff8003f,0x43c43e00,0x43efffeb,0x7f5c05fb,0xffa83eff,
    0x07fee005,0xd0017fdc,0x017fea07,0x7d41ffb8,0x3fee005f,0x005ff701,
    0x0ff701f4,0xfb803fea,0x00fa002f,0x00000f98,0x20005ff7,0x3a002ffb,
    0x003e6003,0x0000f980,0x1bfee000,0x3ee02e00,0x40fa002f,0xb8006ffb,
    0x3d801f40,0x4003ffe6,0x3ee03ffb,0x80fa003f,0xe87b003e,0xf907b003,
    0x9ff3003f,0x8017fea0,0x3e001ffb,0x025c0f10,0x80000bf7,0xff001ffd,
    0x02ffcc09,0x3f600fa8,0x09ff001f,0x7c007ff6,0x17fe604f,0xf7007d40,
    0x803fea0f,0xf5005ff9,0x00274001,0x005ff700,0x4017fe60,0x13a000fa,
    0x0009d000,0xd001dfd8,0x1d400bff,0x5005ff98,0x2fff401f,0x0fb87500,
    0xffd85d00,0x07ff7005,0xa802ffc4,0x001f701f,0x000fb8ba,0x03ff905d,
    0x6c09ff30,0x9ff001ff,0x0f10f800,0x0bf70274,0x8809ff10,0x7ec00dfe,
    0x17fd400d,0xd100bea0,0xdfd801bf,0x01bfd100,0x5400dfd8,0x17d402ff,
    0x7d41fee0,0x17fd400f,0xa880bea0,0x80000d70,0x20002ffb,0x7d402ffa,
    0x35c2a202,0x35c2a200,0x2fecc000,0x04ffd880,0x7fd405a8,0x2017d402,
    0xa804ffd8,0xb804ff85,0x009ff705,0xfa807ff7,0x017d402f,0x8b7009ff,
    0x05b804ff,0xf3005ff9,0x6ff4409f,0x006fec00,0x883c43e0,0x017ee06f,
    0x64017fdc,0x3fe980ef,0x82fff200,0x2004fca8,0xfe980efc,0x01df9003,
    0x64007fd3,0x32a20bff,0x07fc804f,0xf9001ff5,0x7e54417f,0x7ffff404,
    0x7e400001,0x7e40003f,0x3f2a20bf,0x7ffff404,0x7fff4001,0xf300001f,
    0xeffc800d,0x0136e21b,0x5105ffe4,0x7e4009f9,0x36e21bef,0x57dff904,
    0x01bd7333,0x4056ffcc,0xc802ffd9,0x32a20bff,0x77fe404f,0xdeb999ab,
    0x55f7fe40,0x00deb999,0xf3005ffb,0x1df900bf,0x0007fd30,0xfb03c43e,
    0x05fb843b,0x4c00bf20,0xdffddefd,0xffeb8001,0x003effef,0xfddefd98,
    0x6cc001df,0x1dffddef,0xfffeb800,0xb003effe,0x5ff901ff,0x3fffae00,
    0xe803effe,0x00003fff,0x002fff44,0x77fff5c0,0xfe803eff,0xfe8003ff,
    0x200003ff,0xdb8002fc,0x2dffffff,0x7fff5c00,0x8003effe,0xffffffdb,
    0x7ffdc02d,0x002effff,0xb9dffb91,0x40017dfd,0xffefffeb,0xfff7003e,
    0x405dffff,0xfffffffb,0x3ffa202e,0x0effc804,0xddefd980,0x20001dff,
    0x74c0f10f,0xff72eeff,0xd101ffff,0x2aa2000d,0x55300000,0x20000355,
    0x00000aa8,0x00001551,0x006aaaa6,0x67fffed4,0xcffffda8,0x55553000,
    0x015c4003,0x3ff26000,0x000cffff,0x0d5554c0,0x00057100,0x000015c4,
    0x000039b5,0x00013551,0x01aaaa98,0x13551000,0xabcaa800,0x55440001,
    0x4c00009a,0x0001aaaa,0x00357955,0x00d5e554,0xdfffffb3,0x7ffe4419,
    0x1002ceff,0x20000155,0x0d4c0244,0x017b9000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f72e620,0x5555000a,0x55555555,0x88055555,
    0x0c000fff,0x06a00130,0x7776c14c,0x017004ee,0xb800002e,0x480004ff,
    0x32a000e0,0x200e0acd,0x4005301a,0x4000700c,0x26051029,0xaaaaaaaa,
    0x40000099,0x20002ffd,0x5c005ffa,0x2aaa1700,0x102aaaaa,0x05555555,
    0x060072e2,0x0f722004,0x82e6000e,0x540001b8,0x00005cc3,0x000eff88,
    0x01ffe400,0xe80fff80,0x032e01ff,0x2ef3bee0,0xfe804ffd,0xffffffff,
    0x05ffffff,0x4000ffd4,0x4005881d,0xaa834c3e,0x3005fdaa,0x0004b83f,
    0x0002ff40,0x016c0eb8,0xd99ffb10,0x3a00fbff,0x2a0034c3,0x0001e41e,
    0x201d313a,0xfffffd98,0x002efffe,0x0009ff00,0xa8006fc8,0xd511e41e,
    0x2037ffff,0x0bfffc98,0x20bb0cd8,0x0242efea,0x25dffff1,0x7fc40048,
    0x8001ff65,0x17fe3ff9,0x0ffd4000,0x2ff40000,0x01ffa800,0x3ea09fd1,
    0x13f6203f,0xd00f7e44,0x88dff03d,0x17e406fa,0xddff9800,0x7d4003ff,
    0x2e005f55,0x4ff2005f,0x200000fc,0x400006f8,0x800db2fe,0x7fe882fe,
    0x3eabf500,0xb2fd8002,0xbf30000d,0x36007f31,0x7ff441ff,0x2fcc0004,
    0x0077c000,0x0d92fd80,0x8007ffe6,0xa8d501fc,0xfffce82f,0x2aa04aae,
    0x1fffffc8,0xd2ffc400,0x2a0001ff,0x0dff13ff,0x007f6000,0x01be2000,
    0x4c02fc80,0x0bff706f,0x3a00ffe2,0x201f01ff,0x80d306ff,0x7e40003f,
    0xd0005fff,0x5c00bfdf,0x3fe2005f,0x400003fe,0x400000eb,0x001feff9,
    0x7e8817f2,0x17fbfa00,0x7f7fcc00,0xff900002,0x7fe400df,0x007fff01,
    0x40003640,0x260001f9,0x3e02feff,0x1ee000ff,0x22fdc3d8,0xffff910a,
    0x3ae21c01,0x1730002e,0x20000dc4,0x0005cc3a,0x00003f80,0x40001d70,
    0x01f3003f,0x3f60bff7,0x0dfd1007,0x206ff816,0x00012605,0x00005dc4,
    0x4003fff3,0x7dc005fb,0xd800006f,0xfb000001,0x2fe800bf,0xf3003cc0,
    0x640003ff,0x200006ff,0x2002fff8,0xff901ffc,0x006c000d,0x00016400,
    0x3a037fe4,0x83d4007f,0x216c45f8,0x000cb881,0x00000000,0x00000000,
    0x000004a8,0x49800036,0x7d41dc00,0x03ffb84f,0x060ffea0,0x80606ff8,
    0x00000000,0x7dc00000,0x00000005,0x00000040,0x04ff8000,0x00000078,
    0x00000000,0x407ff200,0x0001fff9,0x00200001,0x3fa00000,0xf0354007,
    0x0000003f,0x2af72e62,0x97310000,0xaa80157b,0x02aaaaaa,0x55555551,
    0x00000400,0x01000020,0x3fe60200,0x003ffc43,0x8003ffe2,0xca8006ff,
    0x400e0acd,0x0abdcb98,0x566e5400,0x2bf700e0,0x00aaaaa8,0xaaaaaa88,
    0x15555511,0x55555100,0x02a80035,0x402ffe80,0xaaaaaa85,0xaaaaaaaa,
    0x555532aa,0x01335555,0x55555100,0x55555555,0x03ff9035,0x1003ffe2,
    0x55555555,0x23555555,0xaaaaaaa9,0x2200099a,0xaaaaaaaa,0x4007fe81,
    0x0bff206a,0x55555510,0x77dc0355,0x04fecaac,0x55677dc0,0x2a204fec,
    0x01bffffe,0x17fff931,0x4002a800,0xaaaaaaa9,0x55555102,0x2aaaa235,
    0x5511aaaa,0x23555555,0x7fd42ff8,0x2ffe8006,0x801bfe00,0xfeccffd8,
    0xefb807df,0x04fecaac,0xeccffd88,0x7dc07dff,0xbfff9515,0xdff93100,
    0x3ff2a217,0xfc98805f,0x74000bef,0xfffc8005,0x3ffa0203,0xffffffff,
    0x315fffff,0xfdfffffb,0x5c005dff,0xeeeeffff,0x80ffffee,0xff301ffc,
    0xffff700b,0xffdddddd,0x3f6621ff,0xfffeffff,0xff73002e,0xfd015bff,
    0x206a800f,0x4c02ffe8,0x0adffffb,0x3204fe98,0x7f4c01ef,0x807bf204,
    0x2001fff9,0xbd0001fc,0xfffc9800,0xd5101bff,0x5cc17fff,0x20adffff,
    0xadffffb9,0xff707fe0,0x9ff9000b,0x0037fc00,0xffd105fd,0x9027f4c0,
    0x17f403df,0x2e03ff44,0x4fff985f,0x9803f200,0x32004fff,0xff98000f,
    0x7ff44001,0x3dd001ef,0xfa88dff0,0x441ffd86,0xf7004ffe,0x7ff44015,
    0x203ff902,0xfb802ffe,0x3ffa200a,0x883ffb02,0x2e004ffe,0x3ff405ff,
    0xf901aa00,0xff7009ff,0x01ffc40b,0xf880ffdc,0x1ffb803f,0x8003ffe0,
    0xff30007b,0xfff30003,0x03bea00b,0x5c05ffb8,0x83ff05ff,0xc8004ffd,
    0x3fe005ff,0x40bf9006,0x7ff107e8,0x903ff700,0x03f440bf,0x7fdc17ee,
    0x00f7002f,0x2005fff7,0xff90007b,0xfff10009,0x0f801bff,0x1a60dff0,
    0x7fc07ff2,0x802c803f,0x3f205ffd,0x27fec41f,0xfd802c80,0x07ff205f,
    0xa801fffc,0x3ff404ff,0xab81aa00,0x5405ffe8,0x1ff604ff,0xfb06fe80,
    0x037f400f,0x7a800ffd,0x09ff9000,0x03ffee00,0xf5003f20,0x4ffa809f,
    0xffe81fd0,0x7ffb8004,0x401bfe00,0x83cc02fe,0x3fa007fd,0x4c02fe86,
    0xa82fdc07,0xb801ffff,0xffffa806,0x8006b801,0x000ffff8,0xfffffd88,
    0x6ff81604,0x07ff2160,0x64037fe4,0x077fd400,0xb979ff90,0x64005bff,
    0x077fd400,0x3203ff90,0xff5006ff,0x007fe809,0x222c8354,0x3ea04ffd,
    0x07ff704f,0x2e1ffdc0,0x3ee003ff,0x00ffd03f,0xf88006a8,0xd0000fff,
    0x3f8809ff,0x404ffa80,0x0fb04ffa,0x70009ffb,0x7fc00dff,0x009ff006,
    0x007ff70f,0x3fe1ffdc,0x7dc07804,0xdff9d505,0xa806b801,0x400effce,
    0xceb8006b,0x2a0003ff,0x81effffe,0x181bfe01,0xf301ffc8,0x403803ff,
    0x6401fff8,0x4ffdcdff,0x7c403800,0x7fe401ff,0x03fff301,0xe809ff50,
    0x4354007f,0x1ffc80f8,0xf109ff50,0xfff000ff,0x001ffe21,0x3fa03ffe,
    0x00354007,0x01ffe75c,0x01fff880,0x7fd40172,0x827fd404,0x05ffc86c,
    0x005ffc80,0x7f401bfe,0x3e22c02f,0xfff8007f,0xb00bffa0,0xd505fb80,
    0xd701bff6,0x3ff6d500,0x40035c06,0x006ff8be,0xeffffb80,0x01bfe000,
    0x2203ff90,0x40000fff,0xfc804ffd,0x00bffa1f,0x09ffb000,0x2203ff90,
    0xfa800fff,0x03ff404f,0x81ea1aa0,0x9ff504fd,0x000dff30,0x3fe65ffd,
    0x2ffe8006,0x54007fe8,0xf8be8006,0x3ee0006f,0x001f306f,0xf5013fea,
    0x2a16e09f,0xfd8006ff,0x1bfe004f,0x01fffe40,0x006ff981,0x3f22ffe8,
    0x700203ff,0x745aa0bf,0x01ae04ff,0x27ff45aa,0xfa800d70,0x0003ffb0,
    0x0bfff910,0x20037fc0,0xff301ffc,0xffb8000b,0x43ff9006,0x0000fff8,
    0x200dff70,0xff301ffc,0x13fea00b,0xb800ffd0,0xf101fc86,0x213fea0d,
    0xd8005ffb,0x0bff74ff,0xd09ffb00,0x06a800ff,0xffd87d40,0x3ffa0001,
    0x2a003e83,0x7fd404ff,0xff309504,0x5ffd000f,0x8037fc00,0x01efffe8,
    0x8005ffb8,0x3fa24ffd,0xb8001eff,0x7ccd505f,0x00d703ff,0x1fffccd5,
    0x26c006b8,0x0a00bff5,0x003ffee0,0x320037fc,0x5ffd01ff,0x7ffcc000,
    0x83ff9001,0x80005ffa,0x9001fff9,0x3ffa03ff,0x09ff5002,0x2000ffe8,
    0x205fa86b,0x09ff506d,0x90009ff9,0x13ff2bff,0x217ff200,0x354007fe,
    0xffa93600,0x3fe60005,0x5001b20f,0xffa809ff,0x3fe09304,0x37fc001f,
    0x801bfe00,0x0dfffff8,0x0013ff20,0xff117ff2,0x4001bfff,0xa8d505fb,
    0x06b81fff,0x7ffd46a8,0x26006b81,0x007ff40f,0x2ffd8034,0x800dff00,
    0x7ec41ffc,0x7f40004f,0x3ff2003f,0x003ffc81,0x001fff40,0xfd883ff9,
    0x3fea004f,0x007fec04,0x9ff10b90,0x7fd40f20,0x003ffe84,0xffd7ffb8,
    0xfff70007,0xa800ffd0,0xd03e6006,0x5c0001ff,0x003f35ff,0x5404ffa8,
    0x203104ff,0x2e005ffa,0x7fc002ff,0x7fec4006,0xffd04fff,0xfff70007,
    0xfffffb10,0x417ee009,0x0fffc86a,0x4354035c,0x35c0fffc,0xff70b900,
    0x5003d007,0x3fe003ff,0x67fe4006,0x02dffdcb,0x02ffe400,0x7407ff20,
    0xf90001ff,0xffc800bf,0x2dffdcbc,0x027fd400,0xe800bfee,0x81bff703,
    0x09ff500e,0x70009ffd,0x13ffadff,0x21bfee00,0x354007fe,0xff70b900,
    0xffe80007,0xfa8004eb,0x27fd404f,0x01ffc800,0xf000bff0,0x3aa000df,
    0x741effff,0xfb8004ff,0x3ffaa06f,0x7dc01eff,0x3f60d505,0x54035c6f,
    0xb8dffb06,0x105f1006,0x09d00dff,0x2001ff70,0x7e4006ff,0x04ffdcdf,
    0x0fff9800,0x817fe400,0x4000eff9,0x4000fff9,0xffdcdffc,0x9ff50004,
    0x005ff980,0x7fe401f5,0x7d40390e,0x05ffc84f,0xf95ffc80,0xff9000bf,
    0x800ffd0b,0x05f1006a,0x8000dff1,0x000efff9,0x5404ffa8,0x360004ff,
    0x05fc805f,0x006ff880,0x77fffdc0,0x0017ff20,0x2e017ff2,0x200effff,
    0x20d505fb,0x1ae5ffe8,0x7f441aa0,0x5c01ae5f,0x00bff206,0x4fe807fd,
    0x001bfe00,0x7ff43ff9,0x3fa20002,0xffd8002f,0x017fee02,0x002ffe88,
    0x3fa1ffc8,0xffa8002f,0x02ffa804,0x7dc017d4,0x7d401dff,0x06ffb84f,
    0xf73ffd80,0xffb000df,0x800ffd07,0x40d7006b,0x40002ffc,0x50003ffc,
    0xffa809ff,0x200dc884,0xd880efd8,0xff70005f,0xc880001f,0x3fee5fff,
    0x3ffd8006,0xbfff9100,0x6a82fdc0,0x5cfffe20,0x2206a806,0x00d73fff,
    0x3ffffffa,0x7405ffff,0x7ecc1cff,0x037fc006,0xf887ff20,0xf90000ff,
    0xfd1000bf,0xeffd809f,0x05ffc801,0x443ff900,0x54000fff,0xff9004ff,
    0x27e54417,0x01fff500,0xfa84ffa8,0xffe8007f,0x000fff52,0xffd05ffd,
    0x8035c001,0xfffffffe,0x40005fff,0x50002ffb,0xffa809ff,0x804ffb84,
    0xfeccefd9,0xfeb8001d,0x202dffff,0x0fffb802,0xd000fff5,0x5c0145ff,
    0xbf700fff,0xff301aa0,0xd500d75f,0xbafff980,0x999fa806,0xffe99999,
    0x3faeba00,0x003fffef,0x64006ff8,0x2ffd41ff,0x07ffd400,0xffffb300,
    0xff1019df,0x3ea07fff,0xf90000ff,0x05ffa83f,0x0027fd40,0xffdfffd7,
    0xff30007d,0x04ffa80d,0xf8003ffd,0x00fff46f,0x7ec1bfe0,0x0172000f,
    0x266667ea,0x00ffe999,0x00bfee00,0x2027fd40,0xff984ffa,0x3ffea003,
    0x0000005f,0x3ff600d0,0x0007ffa2,0xb0068dff,0x17ee05ff,0x7fdc0354,
    0x06a806cf,0x06cfffb8,0xffa804d8,0x5b710604,0x37fc0003,0x207ff200,
    0x22003ffc,0x03001fff,0x7c400000,0x903001ff,0x7ff903ff,0x027fd400,
    0x0d7dd4c0,0x07fe6000,0xf504ffa8,0x7fdc00bf,0x002ffd41,0x3ee03ff7,
    0x00fa002f,0x3fea0136,0x3fee0004,0x9ff50002,0x104ffa80,0xffd10003,
    0x7500005f,0x2007a001,0x3fea1ffa,0x07fee005,0x3ff5003d,0x35417ee0,
    0x06fffc80,0xff9006a8,0x00f880df,0xd800fff0,0x7fc0003f,0x0ffe4006,
    0xb001ffe8,0x02c009ff,0x00019ff0,0x2c009ffb,0xfe80ffe4,0x9ff5001f,
    0x007d4000,0x7f506e20,0xb027fd40,0x3fe003ff,0x003ffb04,0xff9813fe,
    0x801f5005,0xfff000f8,0x17fdc000,0x04ffa800,0x00027fd4,0x00fffd80,
    0x01bfe600,0x7fdc0274,0x800ffec0,0x804e84ff,0xbf700ffb,0xfe801ea0,
    0x007a806f,0xbb01bffa,0x01ffe400,0x000ffc88,0x9001bfe0,0x3fe605ff,
    0x37fdc00e,0x5c009500,0x7dc003fe,0x212a006f,0xff302ffc,0x9ff5001d,
    0x01fe4000,0x3f117ea0,0x1027fd40,0xfd801bfd,0x1bfd100d,0x400dfd80,
    0x7d402ffa,0x2005d802,0x70003ffc,0x2a0005ff,0x7fd404ff,0x0004d984,
    0x000fff54,0x800fee88,0x27f403fe,0x2006ff44,0x3fe80dfd,0xf7027f40,
    0x8801ee0b,0x07b806ff,0x881bfe20,0x3fea003f,0x007f4007,0x006ff880,
    0xf7017fec,0x7ffc40bf,0x005f1001,0x22003fb8,0xf1001fff,0x405ffb05,
    0xfb805ffb,0x3e60004f,0xf88010bf,0x3ee034c5,0x0efc804f,0x9003fe98,
    0x7fd301df,0x05ffe400,0x1009f951,0x7fd4007f,0x7ff90007,0x13fee000,
    0xf909ff70,0xb300005f,0x3400039f,0x41cffe80,0x7e406fd9,0x03fe980e,
    0xb3073ffa,0x05fb80df,0x7cc003fb,0x001fd806,0x3fe81be6,0x17ffe600,
    0x0002fcc0,0x2001fff7,0x6c04ffe8,0xffe81eff,0x9999999c,0x001ffdb9,
    0xe8003fa2,0x99999cff,0x1ffdb999,0x2027ff44,0x3601effd,0x640006ff,
    0x400cefff,0xb00b625c,0x36600dff,0x1dffddef,0x6f7ecc00,0x8001dffd,
    0xffefffeb,0x07fd003e,0x02fffcc0,0x017ffa20,0x2037fec0,0xffb86ffd,
    0x2a200000,0x254003dc,0xffebae80,0x3003fffe,0xbffbbdfb,0xfebae803,
    0xe83fffef,0x225fffff,0x03dffffc,0x3f220d50,0x5003dfff,0xdffff70d,
    0x7ffec405,0xbb104fff,0x3fae0005,0x302dffff,0x9dfffffb,0xfffff101,
    0x3ffffee7,0xffffffff,0x372007ff,0x3fee000b,0xffffffff,0x267fffff,
    0xcefffffd,0xfffff880,0xfffff913,0x5400039d,0x332a000a,0xfff9100b,
    0x20039dff,0x00000aa8,0x00001551,0x006aaaa6,0x177fffdc,0xfffffb10,
    0xffc9809f,0x400cffff,0xefffffc8,0xffff911c,0x004c39df,0x88000000,
    0x5106003b,0x44000355,0x106000aa,0x4c403555,0x00009999,0x00000180,
    0x0000000c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe8800000,0xb00000de,0x2e0005ff,
    0x2a2004ff,0x8800aaaa,0x01aaaaaa,0x00110044,0x0000aa00,0x837b9950,
    0x02662028,0x015c4000,0x07ff4400,0x500b8000,0x4eea8001,0x83dc8800,
    0x55554403,0x0002aaaa,0x2200bff6,0x50000eff,0x2aa20180,0xaaaaaaaa,
    0x4c0aaaaa,0xaaaaaaaa,0x2aaaaa60,0x1730001a,0x501b8000,0x00000003,
    0x00004cc4,0x0000fbae,0x566f65cc,0x001d40e0,0x0013fff6,0x00027fc0,
    0xa8801bf6,0x8805fffc,0x00beffc9,0x000b00d8,0x80002f40,0xcaacefeb,
    0x2204ebde,0x900006fe,0x100003ff,0x200007ff,0x0025c1f9,0x007fffe2,
    0x25dffff0,0x7e4c4048,0x001acfff,0x2007ff10,0x20001ffa,0x200d883b,
    0xeefffc98,0xfffeeeee,0x7ffe4c42,0x7fdc41bf,0x88001bef,0x440005ff,
    0x3002d42f,0x2000e609,0x20002ffc,0x001ffff8,0x2b3bfaa0,0x87cefcba,
    0xf3004ff9,0x0001fd37,0x00005f98,0xf30001fd,0x7e4009ff,0x33bea000,
    0x00003fdb,0x40003ff3,0x2e00dfd8,0x7fcc04ff,0xffc80000,0xbf300001,
    0x9fe40000,0x7e4000fc,0x2a006fb9,0xfffffc8a,0x17ff2001,0x013ea000,
    0x80001fd8,0x05feceff,0x500bff20,0x1ffec05f,0x00013fe0,0x0000bff1,
    0x007ee9f7,0x034c1b90,0x0003fe80,0x02fdc76c,0x201ffc80,0xffa87fe9,
    0x6c45d004,0x03640005,0x007d1000,0x00bffee0,0x7f4003dc,0x00006fff,
    0x40013ff2,0xf7005fe8,0x007f500b,0x00057100,0x0000fa80,0x07fdff10,
    0x3a60e980,0xeb887002,0x7fdc003f,0x05d80003,0x80001fc0,0x01efffea,
    0x200bfee0,0x0bff203c,0x00002fc8,0x20000173,0x8004fefe,0x02fa9ff8,
    0x0004f980,0x05f3074c,0x001efd80,0x017701fd,0x006e0550,0x00000e80,
    0xfa8002c4,0x6b801fff,0x03993000,0x7ffc4000,0xffd8000f,0x40172000,
    0x0000005b,0x0015c000,0x00dff700,0x01b10190,0xf7000000,0x1d00007f,
    0x00025400,0x4000e540,0x39802ffb,0x5c07ff20,0x0000002f,0x3ffea000,
    0xfff70000,0x016e000d,0x16203200,0x000ffc80,0x000003ea,0x00080000,
    0x20001000,0x00effcea,0x0000035c,0x3f3ae000,0x7fdc003f,0x0034c003,
    0xcca80009,0x001441bd,0x00000010,0x55100000,0x51001555,0x70355555,
    0x100005ff,0x00020031,0x2e000000,0x401002ff,0x2fa81ffc,0xd9730000,
    0x001c159b,0xddb00000,0x002e0003,0x4c000000,0x1d8005ff,0x2aaaa200,
    0xaaaaaaaa,0x55440aaa,0xaaaaaaaa,0x440aaaaa,0xaaaaaaaa,0x0aaaaaaa,
    0x6ffdb540,0x500035c0,0xbe800005,0x74006ff8,0x048001ff,0xfeb80000,
    0xbdecaace,0x02a8004e,0x555554c0,0x00999aaa,0x2aaaaa20,0xf9511aaa,
    0x93100bff,0xf7017dff,0xd980005f,0x5555444f,0x2002aaaa,0xaaaaaaa8,
    0xaaaaaaaa,0x00bfee00,0x83ff9001,0xa80002fb,0xcbaacefe,0xaa887cef,
    0xaaaaaaaa,0x000aaaaa,0x00000000,0x6c001540,0x198001ff,0xfc988288,
    0xeeeeeeff,0x4c42fffe,0xeeeefffc,0x42fffeee,0xeefffc98,0xfffeeeee,
    0xfe8b5402,0x001ae04f,0x200005e8,0x03ffb0fa,0x001ffe60,0x20ee8804,
    0xfd8802fd,0x13fee00d,0x10017a00,0xffffffb3,0x059dfffd,0xbffff730,
    0x9fff3015,0x7007e400,0x640005ff,0x64c44ffd,0x01acffff,0x3fff2620,
    0xfeeeeeee,0x3fee02ff,0x32012202,0x00bee1ff,0x807ff200,0xc9887fe9,
    0xeeeeefff,0x202fffee,0x0bf60ee8,0xfd83ba20,0x02f40002,0x00037fc0,
    0xff900e60,0x202fa805,0x7d402ffc,0x00bff202,0x26a805f5,0xd703fff9,
    0x07fe6000,0xf526c000,0x3ff200bf,0x7dc00005,0x80dff33f,0xf7005fe8,
    0x1ff9800b,0x17ffb000,0x0dffeb98,0x805ffb80,0x7002fffb,0x02ffb80f,
    0x204ff800,0x80005ffc,0x7d402ffc,0x80bfee02,0x1ffc804b,0xb00005f9,
    0x3fa003df,0x00bff200,0x7fdc05f5,0x700dff33,0x1bfe67ff,0x01ff9800,
    0x0017fe60,0xfb809500,0x203c802f,0x3c802ffb,0x200bfee0,0x2a35403c,
    0x06b81fff,0x009ff900,0xfe81f300,0x4ffd800f,0x7fcc0000,0xfb00ffa1,
    0x02e4001f,0x0013ff20,0xb1017fe4,0xfa803fff,0xfffa804f,0x406b801f,
    0x80002ffb,0x3fee04fe,0xffb80003,0x2e03c802,0xa9999bff,0xffc804eb,
    0x80003fca,0x2a000ffc,0x0bfee00f,0xff980f20,0x2600ffa1,0x00ffa1ff,
    0x004ffc80,0x00013fee,0xffb80b70,0x2e039802,0x039802ff,0x2600bfee,
    0x7e435403,0x0035c0ff,0x007fffc4,0x3ee17200,0x4ffe803f,0x02000000,
    0x8007ff70,0x3fe20069,0xfc8000ff,0xeffc802f,0x013fea00,0x03bff3aa,
    0xffb80d70,0x4fe80002,0x000ffee0,0x200bfee0,0x3ffee039,0x4fffffff,
    0xffeffc80,0x3e60000e,0x01d8005f,0x2600bfee,0x00010003,0x7c400010,
    0xfb000fff,0x3f72009f,0x1b22efff,0x2005ff70,0x00bfee00,0x05ff7004,
    0x20d50020,0x035c6ffd,0x1ffe75c0,0x105f1000,0xffd00dff,0x00000009,
    0x000fff40,0xf9d70024,0xff90007f,0x17ffa005,0xa804ffa8,0xb80dffb6,
    0x017fdc06,0x7027f400,0x700005ff,0x802005ff,0x9d302ffb,0xfd7ff900,
    0x360001df,0x198001ff,0x400bfee0,0x00000000,0xf9d70000,0x3ffa007f,
    0x2ffec005,0x3fee03ec,0x7dc00402,0x5c00402f,0x800402ff,0xbffd106a,
    0x5f40035c,0x20006ff8,0x0bff206b,0x000bffb0,0xb89ddd90,0xff985eee,
    0x40010007,0x006ff8be,0x5002ffc8,0x3ea01fff,0xd16a804f,0x035c09ff,
    0x0000bfee,0xffb813fa,0xffb80002,0x7dc00402,0x2012602f,0xffe89ffc,
    0x6ff8000e,0xff700000,0xdd900805,0x5eeeb89d,0x5c4eeec8,0xe8005eee,
    0xb006ff8b,0xfc800fff,0x5c07e84f,0x012202ff,0x4880bfee,0x202ffb80,
    0x40d50048,0x0d73fff8,0xffb0fa80,0x3ffa0003,0xffffffff,0x03ffdc05,
    0x86ff8800,0xffc87fe8,0x54000005,0x003ffb0f,0x2002ffc8,0xff503fff,
    0x7ccd5009,0x80d703ff,0x80002ffb,0x3fee04fe,0xffb80002,0x2e012202,
    0x402402ff,0xffd11ffc,0x7fcc001d,0xf7000005,0x1024405f,0xffd10dff,
    0x221bfe20,0x7d4007fe,0x7003ffb0,0x5c001fff,0x00ff83ff,0x4b80bfee,
    0x202ffb80,0x2ffb804b,0x354012e0,0x2ebffe60,0xf526c006,0x3f5000bf,
    0xd3333333,0x7fd401ff,0xfb00000f,0x361ff20d,0x000004ff,0x0bff526c,
    0x002ffc80,0x7d417ff6,0x546a804f,0x06b81fff,0x00017fdc,0xff7027f4,
    0xff700005,0x5c025c05,0xc80002ff,0x3ffa21ff,0x9ff7000e,0x3ee00000,
    0xb012e02f,0x81ff20df,0x0ff906fd,0x3fea4d80,0x2fffa805,0x20ffee00,
    0x3fee01ff,0xeba9999b,0x9bffb804,0x04eba999,0x999bffb8,0x5004eba9,
    0x9fff700d,0x207cc00d,0x6c000ffe,0x04ffa804,0x0000fff4,0xff706fc8,
    0x0009ffd0,0x3a07cc00,0x3f2000ff,0x3ff2002f,0x009ff506,0x1fff90d5,
    0x7fdc06b8,0x7f40a002,0x00bfee04,0x26ffee00,0x04eba999,0x0002ffb8,
    0x7441ffc8,0xfd800eff,0xffb9004f,0xff705dff,0xd7533337,0x706fc809,
    0x837e40ff,0x3e6007fb,0x4007ff40,0x2e004ffe,0x17fc43ff,0xffffff70,
    0x7009ffff,0xffffffff,0xff7009ff,0xffffffff,0x401aa009,0x2006fffc,
    0x03ffb85c,0x7c003e20,0x37fdc07f,0x3f205c00,0xfd0ff706,0x4000009f,
    0x03ffb85c,0x800bff20,0xff507ffb,0x360d5009,0x2035c6ff,0xb1002ffb,
    0xfb813fa0,0xfb80002f,0xffffffff,0x2ffb804f,0x7fe41600,0x0effe881,
    0x002fff40,0xfb817ff6,0xffffffff,0x837e404f,0x1bf207fb,0xb9003fdc,
    0x3007ff70,0x2e001fff,0x1ffcc3ff,0x2605ff70,0x2ffb804e,0xf7009d30,
    0x013a605f,0xffd003d4,0x20be200d,0x36006ff8,0x0fff2005,0x400bffd0,
    0x706fc83a,0x0bffb0ff,0x0be20000,0xc801bfe2,0x3ee002ff,0x09ff506f,
    0x3fa20d50,0xf701ae5f,0x40f2007f,0x3fee04fe,0xffb80002,0x7009d302,
    0x0f2005ff,0xe8817fe4,0x3f601eff,0x7fe4007f,0x40bfee04,0x37e404e9,
    0x3f207fb8,0x200ff706,0x6ff882f8,0x00bffb00,0xff50ffee,0x017fdc09,
    0x5ff70093,0x7dc024c0,0x4012602f,0x3fe2007b,0x640d7006,0x3f8802ff,
    0x01ffea00,0x5009ffb1,0x5c1bf20b,0x07ffb87f,0x40d70000,0xf9002ffc,
    0x7fe4005f,0x009ff505,0x7ffc40d5,0xffc80d73,0xd00fb804,0x17fdc09f,
    0x17fdc000,0xff900930,0x201f5007,0x3e202ffd,0xff702fff,0x7fdc001f,
    0x80bfee03,0x837e4049,0x1bf207fb,0x6b803fdc,0x400bff20,0xfb804ffb,
    0x02ffdc3f,0x04805ff7,0x2402ffb8,0x2017fdc0,0x003fb004,0xfe8037cc,
    0xffffffff,0x03fe805f,0x017ffe60,0x886fbff2,0x1bf204db,0x7fd43fdc,
    0xe800000f,0xffffffff,0xff9005ff,0x1fff4005,0xa804ffa8,0x57ffcc06,
    0x3ffa206b,0xbaa99aae,0x13fa06fd,0x0002ffb8,0x2402ffb8,0x4ceffec0,
    0x6fc99999,0x809ffd10,0x40bffffd,0x2002fffa,0x3ee03ffb,0x3202402f,
    0x40ff706f,0x0ff706fc,0x3fffffa0,0x005fffff,0x202b7fe6,0x7dc2ffd9,
    0x0bfee05f,0x0bfee000,0x0bfee000,0xfffc8800,0x0d5003df,0x33333f50,
    0x01ffd333,0x0bbfffee,0xfffffd88,0x7fedc04f,0x402dffff,0x0ff706fc,
    0x00007ffa,0x33333f50,0x01ffd333,0x4005ff90,0xff502fff,0x700d5009,
    0x930d9fff,0xffffffff,0x07ffffff,0xff7027f4,0xff700005,0x3b260005,
    0xffffffff,0x4c3fffff,0xcefffffd,0x3ffff620,0x3fa1efff,0x3fee004f,
    0x00bfee03,0x2e0df900,0x41bf207f,0x9fa807fb,0xe9999999,0x322000ff,
    0xfedceffd,0x3ff980be,0x000bfee0,0x000bfee0,0x000bfee0,0x00600000,
    0x3fea0136,0x1d000004,0x4d74c000,0x20df9000,0xdff707fb,0x36017000,
    0x04ffa804,0x7002ffc8,0x7fd40dff,0x9006a804,0x0000dfff,0x204fe800,
    0x0a002ffb,0x00017fdc,0x0002d400,0x7fcc0000,0x7ff7000f,0x0017fdc0,
    0x7dc1bf20,0x5c1bf207,0x804d807f,0x20004ffa,0x8009aae9,0x17fdc03a,
    0x3fee0b00,0x7dc16002,0x0016002f,0x4000fbe6,0xfff000f8,0x1f500000,
    0x01fe4000,0x7e41fee0,0x017ffa07,0x01f103a8,0x3201ffe0,0xff8802ff,
    0x13fea01f,0xfe801ea0,0x4ff8006f,0x204fe800,0xb1002ffb,0x800bfee0,
    0x009b0005,0x007df300,0x4017ff60,0x3ee03ffb,0x2e16002f,0x40ff907f,
    0x0ff907fb,0xff000f88,0x1fec000f,0x7fdc0000,0x2e079002,0x079002ff,
    0x6400bfee,0xffb88003,0x005d8000,0x0000fff2,0x40007f70,0x2a001ffb,
    0x7ff641ff,0x09ffb100,0x02ec0b50,0xc807ff90,0xffd802ff,0x027fd404,
    0xff1003dc,0x7fd7000d,0x204fe800,0x79003ffb,0x400bfee0,0x1ff0003c,
    0xffb88000,0x9ff70000,0x407ff700,0x79002ffb,0xec83ff50,0x3ff500ff,
    0x200ffec8,0x3ff2005d,0x1ff70003,0x900f2200,0x1f5007ff,0x200fff20,
    0x7ff900fa,0x0001f500,0x22000ff4,0x3fea003f,0x7cc00007,0xd80010bf,
    0x3fe2001f,0xffbbebcf,0xdff900ce,0x026dc437,0x7d4007f1,0x17fec07f,
    0x005ffd30,0xfb009ff7,0x037cc003,0x4003fb80,0x3ff205fe,0x900fb804,
    0x1f5007ff,0x8b7f2000,0x03fb0000,0x56ffcc00,0x02ffd980,0x2a00fff2,
    0xcfff880f,0xceffbbeb,0x5e7ffc40,0x0ceffbbe,0xf5001fc4,0x7f4000ff,
    0x05ff9001,0x4cceffec,0x06fc9999,0x26677ff6,0x06fc9999,0x26677ff6,
    0x06fc9999,0x0017e600,0xf9800ffa,0x400005ff,0x00cefffc,0x5000df30,
    0x3ee5ffff,0x7edc00be,0x02dfffff,0xf3001ff4,0x3fa20bff,0xca989acf,
    0xfb000dff,0x3ff220df,0xd5003dff,0x01fd1000,0xd106ff80,0x53355dff,
    0x6c0dfb75,0x99999dff,0x0006fc99,0x0bbfffa2,0x0017e600,0x3bff7220,
    0x00befedc,0x4cceffec,0x06fc9999,0x5cbfffea,0xff500bef,0x2fbee5ff,
    0x2003fe80,0x8005fff9,0x3ee005f9,0x7ff64c1f,0xffffffff,0x764c3fff,
    0xffffffff,0x4c3fffff,0xffffffec,0x3fffffff,0x0add8800,0x3fffee00,
    0x3ff6202e,0x0004ffff,0x88005540,0x20000adc,0x8000cc19,0x5c009aa8,
    0x202effff,0xffffffd8,0xfffffb34,0x359bdfff,0xffff9100,0x000039df,
    0xbdc80030,0x3ffae000,0xfff933ef,0xffffffff,0xec987fff,0xffffffff,
    0x003fffff,0x8001a880,0x0000add8,0x09aaa880,0x7fff64c0,0xffffffff,
    0x419803ff,0x30660019,0x3fffee03,0x3ff6202e,0x8804ffff,0x54000add,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x221100c0,0xaaaaaaaa,
    0x66665401,0x4c03cccc,0xa806e20b,0x00e40003,0x0383dc88,0x26000040,
    0x5cc00001,0x0b980000,0x200006e2,0x440001b8,0x8001541b,0x001541b8,
    0x66640000,0x02cccccc,0xca800000,0x99999300,0x2a019999,0xcccccccc,
    0x00000003,0x99999997,0x3fe20079,0x3fffffff,0x100000a8,0x00018801,
    0x06000098,0x00066000,0x36050000,0x7dcc5882,0x400adfff,0xfffffffd,
    0x937fc06f,0x7ff501ff,0x801e2000,0x912effff,0x10005800,0x0001dbbd,
    0x000dff10,0x3f65ff88,0x7ec0000f,0x3f20000f,0x005ff50f,0x3ea1ff90,
    0x0068003f,0x3fffffe0,0x00004fff,0x505ff800,0xffffffff,0x3fff201f,
    0x006fffff,0x200bf500,0xfffffffd,0xfff1005f,0x07ffffff,0xf500007b,
    0x0bfb30bf,0x2f774400,0x07bbae00,0x7442e800,0x40026442,0xf980feb8,
    0x703ffddf,0x54c00bff,0x2aaaaaaa,0xffb37fc0,0x007ff501,0x54c012e0,
    0x1fffffc8,0x4001ea00,0x0000f23b,0x0001bfe2,0x7fecdff1,0x7fec0000,
    0x3ff60000,0x0007ff50,0x3fea3ff9,0x9f931003,0xaaa80035,0x01aaaaaa,
    0xfb800000,0x55555105,0x26015555,0xaaaaaaaa,0xff700002,0x55555001,
    0x00055555,0x000d5000,0x645fff90,0x20005ffd,0x4400b63c,0x2000b30e,
    0x71bd1079,0xfb50007f,0x3ff201ff,0x3fea05ff,0x40000004,0x80ae21b9,
    0x07a0003a,0x3fae21c0,0x01fa2003,0x00b50ec0,0x0002e600,0x1b882e60,
    0x01b88000,0x2e15c400,0x85710003,0x9fd5003a,0x005dff9f,0x2aaa0000,
    0x102aaaaa,0x95555555,0x0000001d,0x65cc4000,0x02f41acd,0x00000000,
    0x020007c0,0xff0bfdd3,0x5074000b,0x1f12a009,0xe8097000,0x5c0000df,
    0x2ea200ff,0x027fd400,0x2f72e620,0x0000000a,0x000d3000,0x1ffa0000,
    0x2d8a5c00,0x00000000,0x00000000,0x00000000,0x2fd40000,0xaa9bee2d,
    0x02aaaaaa,0x55555551,0x3ffffaa2,0xff93101b,0x5551037f,0x55555555,
    0xa8815555,0x1aaaaaaa,0x2ab3bee0,0x03bdffec,0x8000aa00,0x0bf60ee8,
    0x02c003c8,0x00bfb079,0x005b1e40,0x000699a2,0x3b7a605d,0x7d40001f,
    0xf500000f,0x77dc009f,0x04fecaac,0x2aaaaaa2,0x555511aa,0x30035555,
    0x15400079,0x3fffa600,0x32000eee,0x2a2004ff,0xaaaaaaaa,0x00aaaaaa,
    0x20005500,0xaaaaaaa8,0x1aaaaaaa,0x55555553,0x2aaaa205,0x555511aa,
    0x55555555,0x3ff01555,0xea89ae34,0x101bffff,0x819fff93,0x2001fff9,
    0x326201fc,0xeeeeefff,0x982fffee,0x0adffffb,0x3204fe98,0x740002ff,
    0x3fee0005,0x540dff33,0xd81ea006,0x0005fd80,0x0017fba2,0x0003dbf7,
    0x54bb60f3,0x2a0001ff,0x555440ff,0xa81aaaaa,0xfe9804ff,0x407bf204,
    0xadffffb9,0x3fffee60,0xffd500ad,0x3a0001bf,0x7ed4c005,0xe8002aaf,
    0x7e4c4005,0xeeeeeeff,0x0002fffe,0x3ee000bd,0xeeeeefff,0x930ffffe,
    0x037fffff,0x2ffffaa2,0xdfff9310,0xffdddddd,0x20ff985f,0x7fcc3446,
    0x07f2001f,0x2000fff8,0x3ff2007b,0x7017d402,0x7fc40bff,0x01ffb804,
    0x003ff300,0xfe87fe60,0x4400fc03,0x3609707f,0x0980005f,0x00031000,
    0xfc81825c,0xff50000f,0xffff7301,0x9ff5015b,0x803ff880,0x3ee01ffb,
    0x2ffdc05f,0x3e62ff60,0x7cc001ff,0x7fb8001f,0x07fe6000,0x017fe400,
    0x26000bea,0xfb8001ff,0x3ffa200a,0x05fff982,0x6401df50,0x17d402ff,
    0x5868bfe6,0x4001fff0,0x03ff407b,0xfb801ea0,0x203c802f,0x3f604ffa,
    0x0dfd000f,0x013ff200,0x32002000,0x43ff4403,0x017f603c,0x00000200,
    0x2001e800,0x82005ff8,0x3ee00ffa,0x27fd405f,0xe801ff60,0x13fea06f,
    0x5c09ff50,0x1bfef21f,0x009ff900,0x4000ff70,0x70004ffc,0x079005ff,
    0x009ff900,0xffb00590,0x07ffdc0b,0x2e007e40,0x83c802ff,0x010d0eff,
    0xf5001ffa,0x4007fe80,0x3fee006a,0x2a039802,0x7ff704ff,0x027fd400,
    0x03fffe20,0x2a000000,0x3fffa606,0x6c008eee,0x3dffb15f,0x6ff7f540,
    0x89ddd903,0x9805eeeb,0x6ff64407,0x32202ffd,0x0ffabeee,0x5013fea0,
    0x7fdc09ff,0x0ffee003,0x2a027fd4,0x8bf304ff,0x2007fd8f,0x000ffff8,
    0x88003fdc,0x8000ffff,0x39802ffb,0x7fffc400,0x20064000,0x7400effa,
    0x1fc404ff,0x4017fdc0,0x9effd839,0x01ffa006,0x7fe80f50,0x70035400,
    0x802005ff,0xff884ffa,0x7ffc000f,0x3f3ae001,0xddd9003f,0x05eeeb89,
    0xfda980fc,0xfb002aaf,0xffffff3b,0x7d49f507,0x0dff103f,0x9900ffd1,
    0xe98efd40,0x3bf306ff,0x803fff62,0x7d404ffa,0x0fff104f,0x501fff00,
    0xffa809ff,0x2d47f904,0x675c0015,0x7dc003ff,0xf9d70007,0xff70007f,
    0x70002005,0x8007ff9d,0x0fffc403,0x00fffc40,0x3fee00b9,0xff101002,
    0x7f400dff,0x203d4007,0x354007fe,0x805ff700,0x84ffa800,0xd8007ff9,
    0x2fa003ff,0x22006ff8,0x7fe886ff,0x3ee01e40,0xeefd8007,0x0fffc88a,
    0x1fee07f4,0xff906fd8,0x3e603d00,0x41fff884,0x1ffd06f9,0x2027fd40,
    0xff304ffa,0x5ffd000d,0xa809ff50,0x45fb04ff,0x2fa0002d,0x5c006ff8,
    0x17d0007f,0xf7000dff,0x0000805f,0x00dff17d,0x04ffd800,0x4c1bfee0,
    0x5ff7000f,0x7f440080,0xffd004ff,0x7407a800,0x0354007f,0x4405ff70,
    0x84ffa804,0xc8006ffb,0x1f5004ff,0xd8007ff6,0x80ff906f,0x03fdc069,
    0x5c077ec0,0x03fe65ff,0x3f201ff5,0x980ff706,0x5c03fa07,0x80fec4ff,
    0x3ea00ffc,0x27fd404f,0x8005ffb8,0xffa84ffd,0x827fd404,0x000f12ff,
    0x1ffd87d4,0x001fee00,0x0ffec3ea,0x80bfee00,0x0fa80048,0x00003ffb,
    0x2001bfee,0x03e83ffe,0x880bfee0,0xfffd8804,0x03ff400e,0xffd01ea0,
    0x2006a800,0x12e02ffb,0x3213fea0,0xfc8005ff,0x549b005f,0x3f2005ff,
    0xf00ff706,0x003fdc03,0xffd02fec,0x0ff983c8,0x3ee0df90,0xfa826407,
    0x99bfe207,0x03fea07f,0x5404ffa8,0x9ff904ff,0x0bff9000,0xfa809ff5,
    0x2e7ff04f,0xa9360004,0x3ee005ff,0x2a4d8007,0x7dc005ff,0x0012e02f,
    0x05ffa936,0x1fff9800,0x0fff9800,0xff7001b2,0x50025c05,0x7403ffff,
    0x03d4007f,0xd5001ffa,0x4dffdc00,0x04eba999,0xfe84ffa8,0xffb8004f,
    0x740f9807,0xdf9000ff,0x3201fee0,0x001fee04,0xffc817f6,0x3ffb2600,
    0x2e0df901,0xc80f407f,0x93ff406f,0x07fd40df,0xa809ff50,0x7ffd04ff,
    0x0fff7000,0xfa809ff5,0x3abfd04f,0x0f980101,0xb8007ff4,0x07cc007f,
    0xb8003ffa,0xa9999bff,0x7cc004eb,0x0007ff40,0x000fffa0,0x3f35ffb8,
    0x9bffb800,0x04eba999,0x17ffefc0,0x54007fe8,0x003ff407,0xffb801aa,
    0xffffffff,0x84ffa804,0xb8004ffd,0x85c806ff,0xf9003ffb,0x201fee0d,
    0x01fee069,0xfa817f60,0x9adea81f,0x0df901ff,0x07981fee,0xffb01bfa,
    0xfa817f61,0x13fea00f,0x3a09ff50,0xfb8004ff,0x04ffa86f,0xfc827fd4,
    0x803706af,0x03ffb85c,0xc800ff70,0x003ffb85,0x3fffffee,0x4004ffff,
    0x03ffb85c,0x017ff200,0x3afffa00,0xfffb8004,0x4fffffff,0x7ffcb400,
    0xa800ffd0,0x003ff407,0xffb801aa,0x5009d302,0xbff909ff,0x0bff9000,
    0xff882f88,0x20df9006,0x03f007fb,0x36001fee,0x03fea05f,0x0ffcc5fb,
    0xff706fc8,0xfff02640,0xff0ffc80,0x007fd40d,0xfa809ff5,0x0bff904f,
    0x50bff900,0xffa809ff,0x07fff504,0x82f880b1,0xf5006ff8,0xf880663f,
    0x006ff882,0x74c0bfee,0x20be2004,0x30006ff8,0x00001fff,0x001dfff3,
    0x2605ff70,0xf734004e,0x00ffd03f,0x3ff407a8,0xb801ae00,0x012602ff,
    0x3ee13fea,0xffc8006f,0xf9035c03,0x0df9005f,0x26401fee,0xd8007fb8,
    0x89fea05f,0x0ffcc1fe,0xff706fc8,0xffb00f40,0xfd37e401,0x007fd40f,
    0xfa809ff5,0x0dff704f,0x507ffb00,0xffa809ff,0x477ffa04,0x35c02fa8,
    0x3005ff90,0xb80b9dff,0x00bff206,0x93017fdc,0xf9035c00,0xfe88005f,
    0x3200002f,0xf70003ff,0x0024c05f,0xfd09ff1a,0x406b800f,0x2e000ffe,
    0x0bfee006,0x9ff50090,0x000fff30,0xfe805ffb,0xffffffff,0x06fc805f,
    0x1a600ff7,0x6c003fdc,0xc97ee05f,0x01ff985f,0x1fee0df9,0x3ff203cc,
    0xfd93f201,0x01ff501f,0x2e027fd4,0xfff504ff,0x05ffd000,0xfa809ff5,
    0x3ffe204f,0xe804ffff,0xffffffff,0xff7005ff,0xfffe801b,0x5fffffff,
    0x805ff700,0x3fffa004,0x5fffffff,0x02ffe400,0x0bfee000,0x017fdc00,
    0x2341d412,0x0ffd85fc,0xfb01ae00,0x02e4001f,0x0005ff70,0x3a09ff50,
    0x3e2001ff,0x4cfd406f,0xfe999999,0x837e400f,0x07e007fb,0x36001fee,
    0xe87fa05f,0x01ff985f,0x1ff20ff7,0x3fe60264,0xfb8bf605,0x01ff505f,
    0x36027fd4,0x3ffa06ff,0x837fc001,0x7d404ffa,0x7ffe404f,0x9fa802df,
    0xe9999999,0x011000ff,0x33333f50,0x01ffd333,0x0005ff70,0x26667ea0,
    0x0ffe9999,0x01fff500,0x2ffb8000,0x05ff7000,0xb1a1aa00,0x01ffb07f,
    0x3ee02e40,0x00fa002f,0x0002ffb8,0xf304ffa8,0x7fdc00bf,0x54026c01,
    0x3fdc04ff,0x32007fc8,0x331ffa84,0x2a0bfb00,0x107fe44f,0xf50a3ffb,
    0x0ffec83f,0xffc801f8,0xfe84f882,0x01ffc83f,0x32213fea,0x1cefffff,
    0x7002ffd4,0x3fea03ff,0x027fd404,0x8002623e,0x4ffa804d,0xd800ba80,
    0x04ffa804,0x0002ffb8,0xff5009b0,0x3fff1009,0xfb800600,0xff70002f,
    0x07ea0005,0x5c07fc4d,0x0fa003ff,0x200bff30,0x3ee001fa,0x5416002f,
    0x3ff204ff,0x80bff001,0xfff000f8,0x641ffa80,0xd3000ffe,0x099dff30,
    0xf313ff20,0xb9fff30b,0x81bdff5d,0xbebcfff8,0xd30ceffb,0x87ffa200,
    0xfff305e9,0xdffdf75b,0x09ff5039,0xfd800e88,0x09ff001f,0x2a027fd4,
    0x016a04ff,0xf8007c40,0x37fc407f,0x7c003e20,0x2ffb807f,0x07c41600,
    0xd807ff80,0x016004ff,0x0002ffb8,0x2c005ff7,0xe8b43df5,0x0bff101f,
    0x36007ea0,0x17d402ff,0x00bfee00,0x4ffa81e4,0x003bfa20,0x5d801df9,
    0x80fff200,0xbebcfff8,0x800ceffb,0x0dffb81f,0x37ffaa00,0x3fee02fe,
    0x03dfd0cf,0x5cbfffea,0x01320bef,0x9dbdff90,0xffffe980,0x500bffaa,
    0x07b809ff,0x801bfd10,0x3ea00dfd,0x27fd404f,0x360005b0,0x0fff2005,
    0x6c01fdd0,0x0fff2005,0x2005ff70,0x400bb03c,0x3ee03ffc,0x012a006f,
    0x0002ffb8,0x32005ff7,0x37bfae23,0x5400dfdf,0x17d402ff,0x0bffd880,
    0x0013f2a2,0x2a00fff2,0x09ff700f,0xd103df90,0x07f1007f,0x203ffd40,
    0xf72ffffa,0x0660017d,0x31000044,0x080c0015,0x01983300,0x2a600015,
    0x10d44000,0x09ff5005,0x32002fc8,0x3fe980ef,0x404ffb80,0x0f104ffb,
    0x800fe200,0x1b007ffa,0xa800fe20,0x7fe407ff,0x880fa803,0x3fea003f,
    0x03fff107,0xc800be20,0xf90003ff,0x01f5007f,0x0007ee62,0x54417ff9,
    0xeb8004fc,0x3effefff,0x3bffb000,0xf9333333,0x037fec0d,0xeddefd98,
    0x7fd001df,0x2fffcc00,0x00660cc0,0x00000000,0x00000000,0x00000000,
    0x7fdc0000,0x85f7cc04,0x6f7ecc00,0xb001dffd,0xffd80dff,0x20009506,
    0x3e6003fe,0x02d405ff,0x7cc007fd,0x3ff605ff,0x9999999d,0x07fd06fc,
    0x42fffcc0,0x9999cffe,0xffdb9999,0xbffd1001,0x37ff6000,0xc9999999,
    0x000d006f,0x3fbfffae,0x440003ef,0x8001aaaa,0xfffffec9,0xffffffff,
    0x7fffe443,0x51001cef,0x7fdc0015,0x36202eff,0x04ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3601bff6,0x2004efff,0x91000aa8,
    0x39dfffff,0x3fffff22,0x0006e1ce,0x05dffff7,0x7ffffec4,0xb81dc44f,
    0x202effff,0xffffffd8,0xffffd934,0xffffffff,0xffffb87f,0x3ff6202e,
    0xff74ffff,0xffffffff,0x00ffffff,0xffffff93,0xfec98019,0xffffffff,
    0x5003ffff,0xaaa98000,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x91000000,0x39dfffff,0x00055440,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000fbaa0,0x4c400620,0x10a00001,0x07014c01,0x77453b20,
    0xaaaaa802,0x183100aa,0x402eec80,0x9003300b,0x401103dd,0x75c01800,
    0x5100003e,0x35555555,0xaaaaaaa8,0xb731001a,0x06601707,0x6c000188,
    0x006000ee,0x00701c03,0x220037b6,0x64000bdb,0x55555403,0x502aaaaa,
    0x000179b9,0x01009800,0x0005dd90,0xb1005dd7,0x3b6000bd,0x0000000d,
    0x01bf6000,0x809fb300,0x0dffefe9,0x0feb8800,0x1f407ff7,0x7fc007a2,
    0xf500df31,0x30dfffff,0x0f7f49fb,0x406fff98,0x4034c1f8,0x41603ff8,
    0x0bf91058,0x007fffc4,0xf73017a6,0x9815bfff,0x0aefffeb,0x00adfb80,
    0x305a83d3,0x440009fb,0x24c003ff,0x036e0398,0x5ff30079,0xfb39f300,
    0x803aa003,0xfffffff9,0x774c6fff,0x103fda9b,0x017e41dd,0x4c1bffb1,
    0x37ffcc02,0x002ff400,0x98003ff5,0x57aa02ff,0x802effc8,0xef8005e9,
    0x3fb20000,0x87be604f,0x2a000ffb,0xffd0fffd,0x237e601f,0x9f3004e8,
    0x7f400fdc,0x643fffff,0xfff34ffd,0x3f67ba0b,0xfa9fdc03,0x404fa802,
    0x2fdbbdfb,0x205fffc8,0x404fc9fd,0xfb802ffd,0x7ffa805f,0x005fd100,
    0x40fd4ff2,0x0004ffdc,0x6c0013ee,0x00fecbdf,0x006c8f74,0xdd1007f9,
    0x7c402fc4,0x7fffe401,0x24ffffff,0x05fb07e8,0x3fe67ff7,0x3ff76e06,
    0x7400dadf,0x2003fd9e,0xfb8006f9,0x81fe4004,0xffd5fffc,0xfd807fff,
    0x07ea002f,0x027fc000,0x09ff05fb,0x2a1ff700,0x3f203fef,0xd5000fee,
    0x9ea804c8,0x3e019999,0x03fbf64f,0x007e41d5,0x4017fbfa,0xffe8805d,
    0x3fe205ff,0x7dc1d305,0x003fea01,0x26013fea,0xefa806ff,0x37fe2000,
    0x027fc05f,0x4000bb00,0x03fffff9,0x02feffa8,0x3ee009d0,0x26c03f44,
    0x266b7e20,0x21fc9999,0x0df503fc,0x1ff43ff3,0x7ffecc70,0xf9075404,
    0x003ae001,0x3a003640,0xbddfe804,0x00fffea8,0xc8003fea,0x26660002,
    0x4419dfe9,0x07fc80ff,0xe80ffa80,0x0fffe201,0x006c1c80,0x7f400174,
    0x50486984,0x1fffa809,0x4c001d00,0x5fe801cc,0x80b30190,0x13fea000,
    0x3017fe20,0xf70003ff,0x4fe801ff,0x000d1000,0x8002f6a0,0xb1005ffe,
    0x361fe400,0x201aa02f,0x6c6e804b,0x40ff102f,0x440c0080,0x9504802b,
    0x00003600,0x0166001b,0x7e417fec,0x4000405f,0x3fe20001,0x47ffffff,
    0x1ff507f9,0x80ffa800,0x00198806,0x35400c0c,0xb84fe800,0x4c004003,
    0x00110009,0x05fd8000,0x00000401,0xf1009ff5,0x03fe80bf,0x20026600,
    0x110004fe,0x80000000,0x11000998,0x361ff400,0x003f104f,0xe89f1005,
    0x00df304f,0x00000000,0x00018004,0x01100088,0x7c417f60,0x1000007f,
    0xfb000620,0x5c1fea09,0xffa8006f,0x000016c0,0x77f40000,0x13fa001b,
    0x000001d3,0x08000000,0x000bfb00,0x7d400001,0x5ff8804f,0x0001bf20,
    0x027f4002,0x00010020,0x00080000,0x361fec00,0x0009b04f,0x3ee0fdc0,
    0x003fb81f,0x00000000,0x00000000,0x3f601000,0x003ff605,0x3f6e2001,
    0x005d13ef,0xfb827ec1,0x2009fb07,0x6c43fea0,0x22777642,0x4c05eeeb,
    0x203dfeeb,0x0efffffa,0x36a4fe80,0x3bff6600,0x3ff6601b,0x3f6601be,
    0x36601bef,0x3600dfff,0x3fb6a05f,0xffb305ce,0x7fd4037d,0x05ff8804,
    0x20007ff5,0x00dfffd9,0x36a013fa,0xdb12dfee,0xeec83bff,0x37775c5e,
    0xb9dfdb50,0x2e277764,0x4fc85eee,0x035c1fec,0x261ba000,0x17e21fff,
    0x3dfeeb98,0xdfeeb980,0xfeeb9803,0xeeb9803d,0xeb9803df,0x6d403dfe,
    0xfb05cefe,0x40ffe40b,0x00dfffd9,0x3fa63bf3,0x3f6a02ee,0x704fd9ce,
    0x01df50ff,0x55f77644,0x7c4010ff,0x07fe886f,0x7f442fe6,0xffffd705,
    0x4fe807ff,0x219f7002,0xcfb81ffb,0xf703ff70,0x207fee19,0x5ffb12ec,
    0x70ed7f60,0x21bea21d,0x3ff70cfb,0x2013fea0,0xffb05ff8,0x017bb931,
    0xffd89764,0xc809fd02,0x3b3fe64f,0x41ffc88c,0xfe886fe8,0x2a21d707,
    0x437fc46f,0x5f987fe8,0x07e207fc,0x04f88000,0x9d17fff7,0xe885fcc0,
    0x42fe605f,0x3e605fe8,0x40bfd10b,0xbfd10bf9,0xe885fcc0,0x221d705f,
    0x0bfb06fa,0x3b207fdc,0x885ffb12,0x06ff884e,0x7fd433f2,0x54ff704f,
    0x6fcc04fe,0x01fffb11,0x7e41bf60,0xf109f107,0xffa880df,0x13fa02ff,
    0x7f417d40,0x7f417d46,0x7f417d46,0x7f407dc6,0x4edfd80e,0x2a35c17c,
    0x506fe82f,0xff1009ff,0x377bfe0b,0xb81effdc,0x80efe80f,0x3fe204fe,
    0x7c27ff40,0x906fd86f,0x2e0be0ff,0xf906fd86,0x7d43f20f,0x00003d84,
    0xff700fdc,0x27c405ff,0x7c437fc4,0x886ff884,0x86ff884f,0x6ff884f8,
    0xff884f88,0x06b82f86,0x3fd40bfb,0x3bfa03ee,0x7ec07fa0,0xa82fc82f,
    0x4ff704ff,0xf303ffd9,0x003ffa0d,0x7fb837e4,0x3ee03fd0,0xffd8802f,
    0x009fd00f,0x3ff20df1,0x3f20df10,0x320df10f,0x20bf10ff,0xffd82ffc,
    0x26827d42,0x1ff906f8,0x1009ff50,0xbff10bff,0x20fff981,0x5ff905f8,
    0x8ff49fd0,0x2ffc87f9,0x7e41ffc8,0xf50ff706,0x1bf21a09,0xbd903fdc,
    0x000d707f,0xf700dd00,0x3fa01bff,0xe85ff701,0x85ff701f,0x5ff701fe,
    0xff701fe8,0xf701fe85,0x6827d45f,0x7dc0bfb0,0x7e417e26,0x320ff32f,
    0x37cc6ffd,0x3ee09ff0,0x40dff987,0x1ff901fd,0x5c1bf200,0x207f987f,
    0x32006ff8,0x09fd04ff,0x0cc09f70,0x70cc09f7,0xf70cc09f,0xf9555559,
    0x30bfb09f,0x7dc507ff,0x7d406604,0x5ff8804f,0xf702ffa8,0x5567dc9f,
    0x84ffcaaa,0x49ff34fe,0xabffc83b,0x42ffcaaa,0x0ff706fc,0x90507ff3,
    0x01fee0df,0x6407cc02,0x22001dee,0x7e74404f,0x3fcc0eff,0x7ccdff10,
    0x99bfe207,0x9bfe207f,0x3fe207f9,0xf881fe66,0x20ffe66f,0x6c0dfb02,
    0x2ab3ee3f,0x74ffcaaa,0x3fab70ff,0xe813f60f,0x20ff704f,0x1fe63ff9,
    0x9000ffa8,0x21fee0df,0x3ff406fb,0x7417fa00,0x03fc804f,0xc800ff20,
    0x33f2003f,0xaaaaaaaa,0xf82ffe41,0x7f901eff,0x13fea000,0x3217fe20,
    0xdff301ff,0x555567e4,0xfe81aaaa,0xb8807b64,0xaaaaafff,0x37e41aaa,
    0xfff07fb8,0x06fc803d,0x74000ff7,0x1f90fd83,0x8807ee00,0x1dffd14e,
    0x3fa037dc,0xfd01bee7,0x3a037dcf,0xd01bee7f,0x2037dcff,0x77ffc7fe,
    0x80ffd801,0x567e46f8,0x1aaaaaaa,0xb0ea8ffb,0x01ffc3ff,0x1fee09fb,
    0x1bf25fe8,0x9000ffa8,0x21fee0df,0x7fec06fd,0x41ff2001,0x4fe804fe,
    0x8013fa00,0x3f6004fe,0x37362002,0xffff305f,0x004fe81d,0x1009ff50,
    0x3ff90bff,0x5fb3ffc0,0x013fa000,0x3fe5fe4c,0xb837e400,0xffff307f,
    0x41bf201d,0xb90007fb,0x37cc9f70,0x3a206d80,0xb27ff446,0x1ffd80df,
    0xffd80dfb,0xfd80dfb1,0xd80dfb1f,0x80dfb1ff,0x3fe61ffd,0x3f600eff,
    0x20fecc5f,0x3fa002fd,0x7dc1d30f,0x405ff31f,0x0ff704fd,0x0bfb3fdc,
    0xc8007fd4,0xd0ff706f,0x0ffc80ff,0x741be600,0x07fe804f,0xe801ffa0,
    0x0ffa007f,0x0bfb3c80,0x17fffe44,0x2a000ffd,0xff8804ff,0x201ffa85,
    0x07fd0ffe,0x2013fa00,0x1ff70bfb,0x706fc800,0x7fe440ff,0x06fc82ff,
    0xf3000ff7,0xff85fb01,0x7027c400,0x4ffd107f,0x7fe407fe,0xfc80ffd0,
    0xc80ffd0f,0x80ffd0ff,0x0ffd0ffc,0x6440ffc8,0xfb02ffff,0x1dfb9fbd,
    0x64007fd0,0x5c0e99ff,0x80bfea7f,0x0ff704fd,0x6ff8ffd4,0x4003fea0,
    0x0ff706fc,0x7dc01ffb,0xd04f8006,0x3ffb009f,0x03ffb080,0x803ffb08,
    0x2100dfb0,0x26017f60,0xffb1fffd,0xffa80803,0x84ff8804,0x3f202ff9,
    0x0201bf67,0xfd8813fa,0x0007fdc3,0x3fdc1bf2,0x0fffecc0,0x3fdc1bf2,
    0xff817400,0x2e017fc2,0x40bfa01f,0x1ffb2ff8,0xffb37dc0,0xfb37dc01,
    0xb37dc01f,0x37dc01ff,0x7dc01ffb,0x3fff6606,0x5515fd81,0x4037ec01,
    0x03d9ff70,0x1ffccbf9,0x3ee09fb0,0x747fe607,0x03fea07f,0xfb837e40,
    0x202ffc87,0x7c4004fc,0x9009fd02,0xc95407ff,0x64aa03ff,0x5caa03ff,
    0x20e602ff,0xa80985fd,0x07ff94ff,0x27fd4154,0xf81ffc40,0xb97f204f,
    0x20e602ff,0x1bee04fe,0x2a80bfea,0x7fb837e4,0x4ffa8098,0x7fb837e4,
    0xff02e400,0x6c03fe83,0xd00ffc06,0x80bff27f,0x0bff24fc,0x3ff24fc8,
    0xfc93f202,0xc93f202f,0x93f202ff,0x84ffa809,0x7dc005fd,0x7c4e602f,
    0x47fb02ff,0x3f606ff8,0x4c0ff705,0x03ffb0ff,0x5c003fea,0x10ff907f,
    0x17ec0bff,0xfe817200,0x0effa804,0xdff50e88,0x3ea1d101,0x30e880ef,
    0x03a03dff,0x412e17f6,0x1dff55fd,0xff501d10,0x7fc43109,0x6c0df901,
    0x07bfe61f,0x027f4074,0xdff10bfb,0xff703a20,0x12e1fee0,0x1fee2fec,
    0xf3003fe4,0x3e17f401,0x013e202f,0x8fe409fb,0x3f605ff8,0xd817fe22,
    0x817fe22f,0x17fe22fd,0x3fe22fd8,0x4b8bf605,0xbfb0bfb0,0x1eff9800,
    0x17fdc1d0,0x7ff42fc4,0x2e0bfb01,0x6fb82e7f,0x7d417fee,0x3ff5000f,
    0xc80ffec8,0x44f881ff,0x01f703c8,0xfd8027f4,0x87d711ef,0xd711effd,
    0x11effd87,0xfffd87d7,0xb03da89b,0x701f70bf,0x8f7fec9f,0xff703eb8,
    0xf31ff989,0x883fe80d,0xbfffd85f,0xfd03da89,0x207fec09,0x510dfffa,
    0x83ff509d,0x7dc0ffeb,0x7d44fb80,0x07ff641f,0x36017440,0x500ffc2f,
    0x06f9803f,0x03ff91be,0x3ff909f1,0xff909f10,0xf909f103,0x909f103f,
    0x89f103ff,0x84fb80fb,0xfd8005fd,0x3da89bff,0xd30fff6c,0x03bfea0d,
    0x3f20dfd3,0x17ecbf57,0x3f20fffa,0xfff1001f,0xdff77d79,0x21ffd819,
    0xeffa85ea,0x400efc9c,0xfd1005fe,0x10bfffff,0xbffffffd,0xfffffd10,
    0xfffd10bf,0x3a01ffff,0x41dfb85f,0x3ffa20fe,0x3605ffff,0xb7fcc6ff,
    0x7fc400fa,0x22037660,0xfffffffe,0x540bfd00,0x9ec9aeff,0x6ffefffe,
    0xd79ffd10,0x219dff77,0x07f41dfb,0x3af3ffe2,0x00ceffbb,0x97e60132,
    0x036c05fa,0x7dc0bfd8,0x2a1ffd81,0x87ff605e,0x3ff605ea,0xfd817aa1,
    0xd817aa1f,0x217aa1ff,0x07f41dfb,0x440037f4,0xfffffffe,0x77fdd320,
    0x3f600cee,0xfeedabff,0x9bfec4df,0xf30bf15f,0xfdf75bff,0xf50039df,
    0x3bee5fff,0xddff900b,0x3ff6019d,0xf8803dff,0x3f62006f,0x36204fff,
    0x2204ffff,0x204ffffd,0x0dffffd8,0x3ae1bfe0,0x81cecdff,0x84ffffd8,
    0xefffffc8,0x5bdffb1c,0x377fa600,0x7fec404f,0x3fe00dff,0x7fffe406,
    0x3bfff623,0x3ffe600b,0x417df73f,0xcecdffeb,0x5ffff501,0xa802fbee,
    0x37f7000e,0x27c401dd,0xf99ff700,0x77fe401b,0x7e400cee,0x400ceeef,
    0x0ceeeffc,0x7777fe40,0x77fe400c,0xfeb80cee,0x981cecdf,0x4000afff,
    0x0dffffd8,0x002a6162,0x8dffffb8,0x3fa62dfd,0x13b7ae7f,0xaffffe98,
    0x4000bffa,0x3000cc19,0x00cc0015,0x7dfffd70,0x004d4400,0x10009a88,
    0x26200135,0x3ffb200a,0x298823ef,0x00135100,0x0002a200,0x22000544,
    0x3fae00a9,0x2a203eff,0x2000cc01,0x2080c419,0x06600298,0x00760033,
    0x8019b930,0xa88000a8,0x0054c001,0x400054c0,0xa98000a9,0x00a98000,
    0x64053104,0x004ccccc,0x00015310,0xa82a6000,0x40010000,0x000a21a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x26002bdb,0x00bd70ee,0x0002f326,0x02f74400,0x98037ba0,0x200404ee,
    0x5e6e5401,0x01c05101,0x30188000,0x002eec80,0x6402774c,0xca8001ee,
    0x3332601b,0x66e541cc,0x0002001b,0x001c4066,0x0003eea8,0x2000804c,
    0x8803b80e,0x40acddb9,0x3ddb0049,0x55cc4000,0xaaaaaaaa,0x0301aaaa,
    0xdb980018,0x76c40002,0x22488006,0x000acdba,0x31000000,0xb59fb000,
    0x9f7001bf,0x3a6017f4,0x302fffff,0x007744bd,0x2007fff9,0xfc801ffa,
    0x4882c407,0xf9337d10,0x3613609f,0xfb87b601,0x87bff203,0x3ffe6038,
    0x07fdc006,0x0027f440,0x09f75df5,0x897ffd44,0x4fffdefd,0xfb73f540,
    0x221f407f,0xff88000e,0xd88001ff,0x00a61dff,0x402e83cc,0xecaabefb,
    0x5005f13f,0x9000dfff,0xffd97dfd,0xfddddddf,0x5c0ae09f,0x37fa6001,
    0x20002feb,0x44002ff9,0xbabdffef,0x22003efd,0x00bf20ee,0x1dffee98,
    0x0ee89fec,0x7ec037dc,0xbd1017e0,0x01fffd77,0x3fee3ffb,0xff59f304,
    0x005f9001,0x3f2017ec,0x881fecbd,0x83ff984e,0x05d88ef8,0x7ff97fe6,
    0xdfff9b50,0x4f6c0595,0x3fa003fd,0x01fe2001,0x17ea2fd4,0x33a5ffb0,
    0x5c2ffdc1,0xfdf97ffe,0x37e605ff,0x90004e88,0x000bf93f,0x5bfffbb7,
    0x41aa001b,0x07fb101f,0x802777e4,0x002fe9de,0xfd019fd1,0x4176209f,
    0x6edbcef8,0xd07fe200,0x4fa8000b,0x0f7fc400,0x2e00bfb0,0x0dff33ff,
    0x7fcc3ea0,0x7e5bfe66,0xf807ff02,0x3b003e62,0xf507ff90,0xe80ffccd,
    0x3e013a23,0x404e8004,0x04ffffe8,0x1bfe07f5,0x007f7fe4,0x05fd8bfa,
    0x2fffe4c7,0x07dc1d50,0x40017c40,0x7fc401f9,0x3202fd80,0x3202caff,
    0x9ffb03ff,0xb02ff4c5,0x0001fddf,0x017d43f1,0xfffd98e0,0x26132004,
    0x009ff107,0xb7003ff9,0xfe9806c8,0x813fee05,0x3ffee058,0x3ee002ff,
    0x0001fb86,0x3e6003e4,0x05fd800e,0x3fa1ff98,0x4c4f8803,0x22ffa1fe,
    0x03fee07f,0x100ea2c4,0x417fe205,0x40aa0100,0x0016601c,0xcda80344,
    0x641bee00,0x9fff01ff,0x18020200,0x06402b88,0x01dc0254,0xfc809500,
    0x5c0df506,0xff804eff,0x903ff907,0x7ffc40ff,0x10190003,0xb881800b,
    0x5c1ec002,0x001ffb05,0x4880dff7,0xfff80770,0x013fea00,0x02db8809,
    0xfc85fd80,0x01d80000,0x44007e60,0x101005ff,0x220ff200,0x40ff7082,
    0x81103ff8,0x3fe80001,0x08010000,0x01000060,0x0ffa8000,0x3101ffa8,
    0x00000003,0x30010000,0xf8030000,0x05ff304f,0x6c01bfee,0x07fb83ff,
    0x19880ff7,0x00002000,0x0fc00000,0x1ffdc26c,0x27fdfcc0,0x2e008010,
    0x7fd403ff,0x00000404,0x17e1bfa0,0x20018000,0x7fe4004a,0x74000004,
    0x7fc8003f,0x0002ffc0,0x003fa000,0x00020002,0x00020002,0x64132001,
    0x8000407f,0x00010000,0x00040002,0x2ff98008,0x2e0bff10,0xff7002ff,
    0x2a0ff70b,0x000000ff,0x00000000,0x85d07880,0xf8807ff8,0x001fff8a,
    0x01fff800,0x00827fd4,0xffb00000,0x0000fe43,0x002a8000,0x0003ffc4,
    0x000bfe00,0xdfd01ff6,0x2e277764,0x44005eee,0x3ff6602f,0x3f6600df,
    0x36600dff,0x2600dfff,0x500dfffd,0x007bfdfd,0x3aa13fa0,0x5403dfef,
    0x403dfefe,0x03dfefea,0x1eff7f54,0x37fbfaa0,0x7f7f5403,0x05ff703d,
    0xffb837fc,0x0dff3002,0x3fea0ff7,0xdfeeb980,0xbdddd903,0x3bbbbb62,
    0x657bba61,0x775c5eee,0xffffb86e,0xffffffff,0x00fff55f,0x91fff47d,
    0xeeb89ddd,0x07ffa85e,0x0b04ffa8,0x7bfdd730,0x467fdc00,0x3b2002fe,
    0x7775c4ee,0xfd000005,0x2777647f,0x8817bbae,0xfc8002ff,0x11ffa00f,
    0xffd10dff,0x3202d800,0x05ffb12e,0x3ff625d9,0xfb12ec82,0x225d905f,
    0x27d42ffd,0x98007ff5,0x527d40ff,0x93ea07ff,0x9f503ffa,0xfa81ffd4,
    0x540ffea4,0x40ffea4f,0x0ffea4fa,0xfe807ff6,0x005ff707,0x3ee1ffe6,
    0x981ff507,0x0bfd10bf,0x3f217fee,0x88bf105f,0x7fe886fe,0x9dd99988,
    0x099fb999,0x5d80bff7,0x3e227fe4,0x87fe886f,0xfa806ffb,0x4c07884f,
    0x0bfd10bf,0x33fffe20,0x3bfffa60,0x4437fc44,0x000007fe,0xff88bffb,
    0x207fe886,0xb8002ff8,0x1ffe03ff,0x3fe41bf6,0x705fd980,0x41dfd01f,
    0x0efe80fb,0x3bfa03ee,0x3fa03ee0,0xf703fa0e,0x82fd800f,0x83fdc0fe,
    0x83fdc0fe,0x83fdc0fe,0x83fdc0fe,0x83fdc0fe,0x43fdc0fe,0x3f600ffd,
    0x02ffb80f,0xb81fff10,0x41ff507f,0x6ff884f8,0x3fa0dfd0,0xfb01f304,
    0x201ff20d,0xfd85b82e,0x903ae04f,0x0dfb0bff,0x3ff21ff2,0x9cffa805,
    0x2207eb99,0x06ff884f,0x2209ffd0,0x1bf604ff,0x00003fe4,0xfd86ffc8,
    0x440ff906,0xf88002ff,0x217fe07f,0x0ff706fc,0xeffffe98,0x7e417e21,
    0x320bf12f,0x20bf12ff,0x0bf12ffc,0x7fccbff2,0x8007fd40,0x0ff983f8,
    0x3e607fd4,0x207fd40f,0x7fd40ff9,0x2a07fcc0,0x07fcc0ff,0xff303fea,
    0x740ffa81,0x3ff600ff,0x002ffb81,0xff703ffe,0xfe83fea0,0x505ff701,
    0x0ff701ff,0x837e412e,0x0fc407fb,0x27ff426c,0xffb80fa8,0xf706fc87,
    0x009ffd0f,0xfffffff5,0x80ff40ff,0x3a602ffb,0xdf01fffe,0xf706fc80,
    0xfffff50f,0xffffffff,0x0fffffff,0x1fee0df9,0x0002ff88,0x74c5dff7,
    0x06fc84ff,0x2e600ff7,0x33ee7fff,0xffcaaaaa,0x55559f74,0x3ee9ff95,
    0xfcaaaaac,0x5559f74f,0x649ff955,0x000ff983,0x4c1e40b9,0x983c80ff,
    0x983c80ff,0x983c80ff,0x983c80ff,0x983c80ff,0x03ff40ff,0x3ee07ff6,
    0x1ffe002f,0x7fd41fee,0x7c40ff30,0x507ff06f,0x203d05ff,0x0ff706fc,
    0xb05d0798,0x05f30bff,0x3f21bfee,0xfb0ff706,0x9ff5009f,0xff307c98,
    0xc837fc40,0x86ffd8df,0x37e402f9,0xff987fb8,0x999999af,0xfc999999,
    0x706fc86f,0x17fc40ff,0xdfff7000,0x905ffb9f,0x01fee0df,0x323ffb10,
    0xaaaaaacf,0x559f91aa,0x23555555,0xaaaaacfc,0x59f91aaa,0x35555555,
    0x0fff64c0,0x30007440,0x3003ffd9,0x3003ffd9,0x3003ffd9,0x3003ffd9,
    0x3003ffd9,0xfd83ffd9,0x03ff600f,0xf800bfee,0x507fc86f,0x01bee1ff,
    0x1bf20ffd,0x0d31bff6,0x7fb837e4,0x07c435c0,0x3a237fe4,0x213ff203,
    0x0ff706fc,0xf500bff7,0x7dc1e09f,0x643ff406,0x0fffe24f,0x0df900b9,
    0x3fe21fee,0xffc8001f,0xf706fc85,0x017fc40f,0x65441dc8,0x320fff0a,
    0x00ff706f,0x3f69ff10,0x00bf6002,0x36002fd8,0xbd50002f,0x5003ff35,
    0x2b7aa005,0x3aa01ff9,0x201ff9ad,0x1ff9adea,0x3e6b7aa0,0x2b7aa01f,
    0x3aa01ff9,0x641ff9ad,0x1ffa00ff,0xf0017fdc,0x03ffd0bf,0x1bf61ff5,
    0xf303ffb0,0x7fd7443f,0x6fc80f21,0x9930ff70,0xfb9999dd,0x3fea7999,
    0x3f602ec7,0x706fc83f,0x0dff30ff,0x1609ff50,0x3f6037ec,0x321ff21f,
    0x01f30fff,0x3ee0df90,0x005ffd07,0xf907ffb0,0x881fee0d,0xff9802ff,
    0x04ffa806,0x1fee0df9,0xfeafec00,0x00ffa003,0x3a003fe8,0x2fd8003f,
    0x2e007fe6,0x262fd800,0x45fb01ff,0x5fb01ff9,0xfd80ffcc,0x6c07fe62,
    0x407fe62f,0x07fe62fd,0x7f403ff7,0x005ff706,0xfea8ffe2,0x3ea0dfff,
    0xc80ffd0f,0x49fd00ff,0x3e29ff3c,0x5c1bf200,0xdfcc987f,0xcceecccc,
    0x23fff33c,0x1ffe806c,0xff706fc8,0x2a01ffe0,0x7f4004ff,0xf07fe407,
    0xbffd109f,0x37e400ba,0xffb07fb8,0x5fff0009,0x3ee0df90,0x00bfe207,
    0x3a013fe2,0x0df900ef,0x5c001fee,0x100dfb4f,0x6c201bf6,0xdfb0806f,
    0x07fa2100,0x09003ff3,0x7cc1fe88,0x20ff441f,0x7f441ff9,0x220ffcc1,
    0x0ffcc1fe,0xff307fa2,0x4c1fe883,0x17fc41ff,0xf704ff88,0x3fe2005f,
    0x27fa8002,0x3ee00ffd,0x7c5fee06,0x016aff90,0x1fee0df9,0x03d81f88,
    0x03eabffa,0x320dff10,0x20ff706f,0x7d401ffe,0x7fec004f,0xfa9bee00,
    0xdfff302f,0x837e400b,0xfff507fb,0x7ffd4001,0xf706fc80,0x017fc40f,
    0xffa80288,0x5c1bf201,0x5f90007f,0x3980bfee,0x9cc05ff7,0x4e602ffb,
    0x4e602ffb,0x1ff985fc,0x2fe40080,0x3f20ffcc,0x641ff985,0x41ff985f,
    0x1ff985fc,0x7fcc2fe4,0x7cc2fe41,0x304fe81f,0x3fee03ff,0x00ff3002,
    0xffc9bea0,0x8813f202,0x3e24caff,0x7e401daf,0x4c0ff706,0x7cc05d07,
    0xfb801fdf,0x20df901f,0xbff707fb,0x804ffa80,0x405ff91c,0x0fff64fc,
    0x002fffc8,0x3fdc1bf2,0x4007ffb0,0xdf902ffe,0xf881fee0,0x2600002f,
    0x3fdc03ff,0xf0007fc8,0x80f7fccd,0x03dff30e,0x0f7fcc3a,0x3dff30e8,
    0x42ff43a0,0x80001ff9,0x1ff985fe,0x7fcc2ff4,0x7cc2ff41,0x4c2ff41f,
    0x42ff41ff,0x2ff41ff9,0x7d40ffcc,0x5c0bf706,0x21fd42ff,0xf50004fa,
    0xb02ffc4b,0xfdfd805f,0x40377ec0,0x0ff707fb,0x007c42dc,0x2200fff2,
    0x1fee03ff,0xffb03fe4,0x027fd405,0x05ff89a6,0x6ffd8bf6,0x817fffc0,
    0xfc83fdc4,0x03ffe207,0xb817fea0,0x40ff907f,0x00002ff8,0xf5005ff3,
    0x0ffec83f,0x85f50098,0xa89bfffd,0x5fffec3d,0x7ec3da89,0x3da89bff,
    0x44dfffec,0x83ff23da,0x2051ffd8,0x3ff203ea,0x947ff620,0x3f620ffc,
    0x83ff251f,0x3251ffd8,0x3ff620ff,0x883ff251,0x3f251ffd,0x47ff620f,
    0x3e20fec2,0x0fff201f,0x07641ffb,0x642fb800,0x04f881ff,0xfa84ffa8,
    0x1ffa803f,0xc807ff5c,0xf8807984,0x2fec00ef,0xd907fea0,0x3fa201ff,
    0x813ff206,0x0ffe44e8,0x3fee27c4,0xfeee882f,0x83910bff,0x7f641ffa,
    0x3bfea00f,0x03bfea00,0x7641ffa8,0x5ff100ff,0x3df30000,0x33ffe200,
    0xceffbbeb,0x2619ff90,0xffe881ed,0x440fffff,0xfffffffe,0x7ffff440,
    0x7f440fff,0x20ffffff,0xaedcfff9,0xff00deff,0x3ffe601f,0xdeffaedc,
    0xdb9fff30,0x261bdff5,0xfaedcfff,0xfff30def,0xbdff5db9,0x373ffe61,
    0x30deffae,0xf5db9fff,0x6e881bdf,0x3fa017e4,0x9a7fdc5f,0x47f9001f,
    0x43ffb06d,0x3fe005ea,0x1001ff01,0x77d79ffd,0x2e819dff,0xcdc805b8,
    0x3fe881ef,0xbcfff880,0x0ceffbbe,0x21cffd88,0x999efffa,0xd81ffb99,
    0x417aa1ff,0xcbbdfffe,0x3ffff64f,0xfff885ff,0xeffbbebc,0x5dfb100c,
    0x027fdc41,0x75e7ffc4,0x40ceffbb,0x88004ff8,0x8002eeca,0xf72ffffa,
    0x7ffcc17d,0x2200ceff,0x00dffffd,0x1bffffb1,0x3ffff620,0xfffb100d,
    0xfff701bf,0x807bfa19,0x7fdc07fd,0x83dfd0cf,0xfd0cfffb,0xcfffb83d,
    0xfb83dfd0,0x3dfd0cff,0xd0cfffb8,0xfffb83df,0x203dfd0c,0x01cedfd8,
    0xdffffd93,0x37bff619,0x3fff6000,0x3ff200dd,0x2000ceee,0x8017205c,
    0xf73ffff9,0x80f8817d,0x8875c03c,0xdfeddffd,0x3ffea000,0x017df72f,
    0xffefdb98,0xffffffff,0x3f207fff,0x100ceeef,0x3dfffffb,0x1bffff70,
    0x4bfffea0,0xb800befb,0xdffedffe,0x3ffea001,0x017df72f,0x1000bff5,
    0x30000135,0x26201983,0xa988001a,0x01531000,0x4002a620,0x01800a98,
    0x40026001,0x10180101,0x18010180,0x01018010,0x0c001018,0x0d440000,
    0x0de54400,0x00015300,0x00188022,0x100c4198,0x33002a05,0x0006aa60,
    0x00198330,0x00026660,0x40015300,0x98009aa8,0x9833000a,0x2aa60001,
    0x20cc0000,0xfffb5019,0x000007df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05000000,0x40408000,0xaaaaaaaa,0x55555102,0x3372a055,0x03100e0a,
    0x01800028,0x01400040,0x2f2a2000,0x40018000,0x0abdcb98,0x55555440,
    0xaaaa8800,0xb73001aa,0x4c000059,0x20002cdb,0xcb9801b8,0x102cc002,
    0x04b80077,0xb1000ee2,0xdcca8001,0x9801441b,0x20acdecb,0x55555403,
    0x55532aaa,0x44035555,0x532aaaaa,0x54555555,0x82aaaaaa,0x11aaaaa8,
    0x55555555,0x20260005,0x2aaaaa60,0x00199aaa,0x07fc8808,0x7ff64400,
    0x5440fbaf,0x01bffffe,0x17fff931,0xeccffd88,0xfb307dff,0x00ff9109,
    0x4c04fd80,0x999ceded,0x01ff2209,0xb8bfb800,0xfed9804f,0x77dc01cf,
    0x04fecaac,0x17fff2a2,0x3bff2620,0x37b6a00b,0x0bdeca9b,0x5ef6d400,
    0x00bdeca9,0xa807ff20,0x2005fecf,0x09fd702e,0xeb80fc40,0x026c004f,
    0x559dfd70,0x809d7bd9,0xbaacefea,0x4c07cefc,0x0befffea,0x7dffff73,
    0x7ffdc401,0xffff712d,0x7ffe4c39,0xfda881bf,0xff9311cf,0x800359ff,
    0x1243fffa,0xffffffb3,0x059dfffd,0xfb717f44,0x74c000ff,0x1fff910d,
    0x007ffe60,0x5fd01fc8,0xb90ffd10,0xffda89ff,0x37fc0007,0x7f4c7f70,
    0xffb75fff,0x3ea0000f,0xf3007f40,0x4c1bfe61,0x3bf204fe,0x27ffcc01,
    0x4401f900,0x75c401dd,0x01dd8801,0xd800f5c4,0xe83201ff,0x405c800f,
    0x0f6004f9,0x54009f30,0x1bfb1006,0x9027fdc0,0x7f4c03ff,0x1fff3007,
    0x00bffe60,0xff505fb8,0x037fe40f,0xff9027c4,0x7674000b,0xb05abfff,
    0xfd5107ff,0xbff501bf,0x2000ffb0,0x1ffb05f9,0x0007ffc0,0x817f20f7,
    0x13fe07e8,0x20003fe4,0x1ff301c9,0x409affa8,0x880007fd,0x302fd86f,
    0x41ff987f,0xfb803ff8,0x7ffdc01f,0x440f7002,0x1744002e,0x88005d10,
    0x02c8802e,0x7cc02f40,0x8027cc00,0x04f9806a,0xd1003f10,0x17ee00bf,
    0xe800f7ec,0x7ff8800f,0x0027fec0,0x7ff401f9,0x00fff100,0x7fdc01f5,
    0x5c330003,0xf901fffe,0xfffc805f,0x2622fe80,0x09999ffc,0xf700fd80,
    0x03ff401f,0x17f41ea0,0x4fe81e60,0x0000ff70,0xff06fd80,0x001fee05,
    0x0a217ea0,0x81982fc8,0x3fa007fd,0x7fffd406,0x3606b801,0xdeeeed8a,
    0xb00e882c,0xedddb885,0x001d16ac,0x001d5000,0x09f3005d,0xf3003f10,
    0x40136009,0x32000ffd,0x000ffc85,0x7fc003ea,0x037fcc06,0xffb809d0,
    0x007ff603,0x3ffb80b9,0x2ea03000,0x00bff200,0x2003bff2,0xfffffffe,
    0x02fd402f,0x7f401ff5,0xf8354007,0x3a07804f,0x00ff704f,0x04fe8000,
    0x1fee0bfd,0x013ee000,0x5c00bf60,0x3ee003ff,0x3f3aa03f,0x835c00ef,
    0xd99ffc4b,0x4b86986f,0x3ea21fd4,0x02201a67,0x013ffa60,0x13e600b7,
    0x7cc01360,0x7006a804,0x698007ff,0x4002ffcc,0x0dff001d,0x1003ffd0,
    0x6ff9803f,0xd013fea0,0x02ffb805,0xfc800000,0x9ffd002f,0x003fdc00,
    0xff5027e4,0x003ff401,0x17ff41aa,0x04fe8160,0x00000ff7,0xbfd05fd8,
    0x0001fee0,0x3e0017f6,0x7ff8802f,0x00fff800,0x01bff6d5,0xfd03a0d7,
    0x1d83fe85,0x407f7074,0x900760fb,0x3faa2001,0x2001f303,0x035404f9,
    0xf8809f30,0x03ffd001,0x1ffd8900,0xf0019800,0xbff500df,0x3a00d900,
    0xfff100ff,0x2e007cc0,0x400002ff,0x02ffc800,0x001fff50,0x36001fee,
    0x03fea04f,0x54007fe8,0x07fff906,0x209fd004,0x100007fb,0x3e21fee0,
    0x00ff703f,0x800bfb00,0xf9802ff8,0xffe8006f,0x3fa2d502,0x2a1ae04f,
    0x7dc2fe86,0x89aa5b86,0x2e0e806f,0x4c002c05,0x4007d05f,0x07e204f9,
    0x6404f980,0x0fff3004,0x0dff0200,0xdff00000,0x003ffe00,0x3fee005f,
    0x03fff503,0x3fee0172,0xeb880002,0x02ffc805,0x400fffe0,0x3bfae7fb,
    0x5409ff02,0x1ffa00ff,0x3a20d500,0x4001efff,0x8ff704fe,0x83eeeed8,
    0xfd105eb8,0x2e06fa87,0x0bbfae7f,0xc8037ec0,0x5eeeffee,0x000bff70,
    0x9aa09ffb,0xd703fff9,0x85fd0990,0x327985fc,0x02013f64,0x002c40f3,
    0x006b82f8,0x09b027cc,0x2a04f980,0xbff9000f,0xbff30000,0xff000000,
    0x0ffee00d,0x3e2007a8,0x9ffdb06f,0x3ee00ba0,0x3200102f,0xfc805fff,
    0x3ff6002f,0x32ff7005,0xe81fffef,0x03fea05f,0x54007fe8,0x3fffe206,
    0x9fd000df,0x3e21fee0,0xbfffb02e,0x64eff440,0x5fee00df,0x01fffded,
    0x55ffb553,0x3eeaa055,0xf902aacf,0xff90009f,0xff51aa0b,0x5b0d703f,
    0x7fcc5fd0,0xe8b61f01,0x01f0002f,0xa82600f2,0x4001f886,0x01f504f9,
    0xd104f980,0x27fec005,0x27fdc000,0x7fc00000,0x0fff1006,0x3f600274,
    0x7fd7c41f,0xb800f987,0x02fe82ff,0x220bff10,0x99bffc99,0xdff90199,
    0x8b7fee00,0xffd85fe9,0x401ff500,0x354007fe,0x3ffff620,0x04fe804f,
    0x01bb0ff7,0x2205ff88,0x801acaad,0x3e22dffb,0xffff705f,0x880dffff,
    0xffe802ff,0x7ffb8003,0xfff90d50,0x80e86b81,0x0cfdccfe,0xf8874760,
    0x03b0002f,0xff9801f5,0x03d80ded,0x7dfb3022,0x20102e88,0x5c83efd9,
    0x9ffd0220,0x9ffb0000,0x3fff7200,0x37fc02ef,0x305ffb00,0xffa8001f,
    0x2ffcbd43,0xffb802e4,0x002ffc42,0x3baa0bfd,0xeeeeeffe,0x07ffb80e,
    0xf903ff70,0x209ff70d,0x3fa00ffa,0x80354007,0x1effffea,0x7dc13fa0,
    0xe8017627,0x005b105f,0x2e07fee0,0xf933107f,0x8801333f,0xffe802ff,
    0x6ffb8004,0x3ff60d50,0x407435c6,0x00ffabfe,0xff10e8f4,0x107a0005,
    0x00cc009f,0x037440d7,0xffb31720,0x0f98003b,0xffe8dd10,0xffe80004,
    0x2ffec005,0x2006ff80,0x05c86ff9,0x6c6ff880,0x2f8bff34,0x905ff700,
    0x2fec003d,0x0017fe40,0x2e00dff7,0x10ff707f,0xfe987fff,0x01ffa00f,
    0xfb800d50,0xfd00efff,0x745fee09,0x82ff4004,0x40009cfb,0x0ff507fb,
    0x8800ff70,0xffc802ff,0x5ffc8005,0x3fa20d50,0x0b61ae5f,0x02fe4bfa,
    0xfe8b61f1,0x40f88003,0x100001fd,0x037ec03f,0x9be81f30,0x3a000ffb,
    0xfb1bf602,0xfb0000bf,0xffc800ff,0x00dff004,0x17c1ffe8,0x11ffd800,
    0x987ff43f,0x0bfee007,0x02fec000,0x90017fe4,0x07766bff,0x3fd41fee,
    0xedffffa8,0x3a00ffac,0x035c007f,0x2fffe440,0xff704fe8,0xfb000bd1,
    0x3ffff20b,0x702dffff,0x03fea0ff,0x8800df70,0xffb802ff,0x3ffd8006,
    0x7fc40d50,0x0990d73f,0x81ff45fd,0x5fc9327a,0x7dc7a800,0x13600006,
    0x2006ecc8,0x3f21542e,0x640b9003,0x3ffdc6ec,0x7ffdc000,0x0ffee000,
    0x20037fc0,0x01ea5ffa,0xd54ffa80,0x0b92ffc8,0x0017fdc0,0xc805fd80,
    0x3fa002ff,0x70fffb3f,0x03fea0ff,0xaa7fffd4,0x3ffa00ff,0x141ae000,
    0x407ffdc0,0xbff704fe,0xfd8003ff,0xffffb105,0x70dfffff,0x03fea0ff,
    0x8800bf50,0xffa802ff,0x2ffe8007,0xff980d50,0x87986baf,0x03fe22fe,
    0x3e279932,0x9905401f,0x0001ffc4,0x75aa06a8,0x200b9006,0x0f9802fa,
    0xf51bab50,0xa80001ff,0x2e002fff,0xdff003ff,0x21fff000,0x7fc0004e,
    0x5ff987b7,0x7fdc005f,0xbfb00002,0x005ff900,0xffc8fffc,0xa83fdc2f,
    0x214c00ff,0x3f600ffa,0x4172000f,0x05ffb006,0x3fee09fd,0x2000eff8,
    0x11b105fd,0xfb755333,0xf507fb83,0x04fa801f,0x8017fc40,0x7c001ffe,
    0x201aa06f,0xd06cfffb,0x7d42fe83,0x50f40e86,0xd0ee03df,0x4c0ffd41,
    0x05f1003e,0x403743a6,0x0f9000f9,0x874c0fa0,0x01ffe86e,0x04ffe800,
    0x400ffee0,0xfb8005ff,0x0000f9cf,0x407d7fe4,0x4007affe,0x0a002ffb,
    0xfc805fd8,0xbff7002f,0x7dc3d9a8,0x001ff507,0x5c01ff50,0x0fa002ff,
    0x7fd400f4,0xf704fe81,0x8017fe6f,0x007d05fd,0x20ff70f6,0x7d400ffa,
    0xff10a202,0x17fea005,0x201ffb80,0xfff9006a,0x7dc5a60d,0x8efec2df,
    0x6c46984b,0x42dcabcf,0x407fe44b,0x4d800ffa,0x03743d10,0x1f8801f4,
    0x3d106b80,0x37fdc374,0xff305c00,0x3fee001f,0x007ff003,0x0bbfff10,
    0xdfff3000,0x013ffee0,0x2005ff70,0x017f6058,0x2200bff2,0x81f00fff,
    0x1ff507fb,0x01ff5000,0xa802ffcc,0x7009d00f,0x09fd01ff,0x3ffb9fee,
    0xf70bfb00,0xf70ba001,0x203fea0f,0x202feec8,0x017fc42c,0x2003ffb0,
    0x03d404ff,0x5c0dffd0,0x8199998c,0x2e069899,0x80aba984,0x82ffb869,
    0x7d401ff8,0xd555bb00,0x016e035f,0x7c401744,0xf555bb00,0x5ffe835f,
    0x3f60ea00,0x7ff7005f,0x02ff8310,0x05fffb00,0x0fffa000,0x0017ffc4,
    0x6400ffee,0x2017f603,0x6c402ffc,0x70b503ff,0x03fea0ff,0x003fea00,
    0xfa805ff5,0xd00ffa02,0x413fa09f,0x17fec7fb,0x7fc2fec0,0xfb85b804,
    0xb01ff507,0x2f7fff63,0x7c40fdba,0x3fa2002f,0x06fec00d,0xf8801ee0,
    0x006e406f,0xdc801d70,0x203ae000,0x1fb04ff9,0xdd017c40,0x05dffddd,
    0x0b6001f3,0xddd01f40,0x885dffdd,0x5a804ffd,0x2013fee0,0x7fc43ffb,
    0x4000df12,0x00006ff9,0xfe803ff2,0x4ffc8007,0x3a00fb80,0x2ffd805f,
    0x40fffa60,0x07fc80cb,0x70003ff5,0xff9003ff,0x27e54417,0x3073ffa0,
    0x2ff40dfb,0x3a20ffb8,0x2ff401ff,0x4d5f7fe4,0xc80deb99,0x01ff507f,
    0x3ff67a2d,0xf983ffff,0xefc8002f,0x003fe980,0x7cc003fb,0x01bea806,
    0x54009b73,0x9b7301be,0x440ffd80,0x002e403f,0x007d0374,0xb80a83b1,
    0x406e8006,0x221beffc,0xff9804db,0xffd980ad,0x4c77fcc2,0x7f40001f,
    0x3e600003,0x0027dc05,0x2abbffa2,0x6fdbaa99,0x22037fc0,0x989acffe,
    0x900dffcb,0x407fec03,0x44002ffb,0xb800cffd,0xeffefffe,0xfebae803,
    0x403fffef,0x3ffb06ff,0x201effa8,0xfff706ff,0x405dffff,0xffc80ffd,
    0x2a2ecd82,0xf702efff,0x3660009f,0x1dffddef,0x7fffe440,0x00d5003d,
    0x36f7fee2,0x88001cff,0xffdbdffb,0xbff9001c,0xf9807d75,0x706e8000,
    0xdddf300d,0x03f10dfd,0xb700dd00,0x5bffffff,0x7fee4400,0x0befedce,
    0x05bdff90,0x001f5000,0x4402e800,0xff93001f,0xffffffff,0x2e07ffff,
    0x4c3efffe,0xfffffffd,0x001acdef,0x9dfffd50,0xbffffb51,0x99995001,
    0x2a600399,0x06001aaa,0xb8035551,0xb73efffe,0xb119ffff,0x5c59ffff,
    0x503efffe,0x54035795,0xa8cffffd,0x40cffffd,0x6dc06601,0x01ceffff,
    0x00155100,0x00300000,0x01355530,0x2aaa6000,0xca980009,0x02d800ac,
    0x3b107700,0x99999700,0x00079059,0x551000ee,0x51000013,0x22001355,
    0x1400000a,0x004c0000,0x00000014,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55554c00,0x5540aaaa,0x01aaaaaa,0xee881bdb,
    0x10180305,0x55551000,0x5c455555,0x9805c00c,0x00199101,0x07bb6000,
    0x55555551,0x00200035,0x000cc02e,0x55555541,0x05555541,0x55555500,
    0x55555555,0x01300355,0x55555402,0xaaaaaaaa,0x00201aaa,0x3b605dd0,
    0x0f76c002,0x02774c00,0xb80e0000,0xc83eea80,0x442eeeee,0x0170deed,
    0xa8800066,0x0aaaaaaa,0x555554c0,0x00199aaa,0x20000080,0xaaaaaaa8,
    0x0fa6001a,0x7fffe4c4,0xfffb981b,0xff9809cf,0x83fffd82,0xea81901c,
    0x40bbf6e7,0xcffffc98,0x03ffee1a,0x02cc1e88,0x0000fffb,0x3107ff10,
    0x137ffff9,0xb17ea800,0x541e98bf,0x9dfdb505,0x5ffff54b,0x05ffe4c1,
    0xffff9500,0xdddddddf,0x7ec409ff,0x740a61df,0xffffffff,0x5fffffff,
    0x1eff7f54,0xff817fc0,0x0ffe2003,0x0077e400,0x5c00bf60,0xfb01dc0d,
    0x03ffee0d,0x07a60ef8,0x3ff660b5,0x7e5441be,0x8801bfff,0xffffffd9,
    0x02cefffe,0x1bfffb30,0xde993ea0,0x3fffee60,0xfd1000ad,0x07ffb009,
    0xc80dff70,0xfabf983f,0x5e77c40f,0x3ffae5fd,0x3fffdf97,0x705ffc80,
    0xfc807fff,0x7ec03f53,0x400002ff,0xffd804fb,0xffeb8003,0xc83fffd7,
    0xd703f53f,0xf11bea21,0x01fcc0ff,0x5ff9f700,0xb702ec40,0x1b5bfffb,
    0xff107be0,0x2a5fb98b,0x00ffea4f,0x0ffe05ff,0x0004fb80,0xf30007fa,
    0x8ff400df,0x0ff400fc,0xf100ffd8,0x3ea7f905,0xf70cfb81,0x0fff603f,
    0x41ffec00,0x00dffea8,0x7fec4bb2,0xf90ffe82,0x0bff707f,0x209ff900,
    0x9bffd998,0xb9999999,0xe8099dff,0x27447d04,0x0fffffe4,0xf3167fec,
    0x3ffb80bf,0x80997710,0x405feff8,0x0003faa8,0xfc802ec0,0x3f60002f,
    0x885c99cf,0x5f05fdff,0x3ff70d70,0xb0001720,0x9805ff79,0xffd98e05,
    0x2203e04f,0x74d505ff,0x203fdc0f,0x07ff02ff,0x30002ec0,0x3fa0005f,
    0x37fe6003,0x03e8802f,0x1ae07ff1,0x42feffc4,0x06fe82fa,0x20005ff9,
    0x7e402ffc,0x80fb80ff,0x37dc0efe,0xff501ff3,0xfffa8009,0xfffff504,
    0xffffffff,0x5fffffff,0x20550598,0x02db881d,0x3f607ff2,0x01ffdc07,
    0x7fdc00ec,0x003a000f,0x20068800,0x20001ffc,0xf7003ffb,0x09f501ff,
    0x417fe21a,0x3e60002f,0x4802ffb8,0x00ae2060,0x817fe20b,0xfa81ff36,
    0x40bfe00f,0x03a003ff,0x0003b800,0x7fec0004,0xd8166006,0x5c07d06f,
    0x37c40fff,0xfc80ffc8,0xff90001f,0x1dff9005,0xffc82fc4,0x2a008082,
    0x3e2004ff,0xfc804fea,0x4ff9801f,0x04008020,0x20ff7000,0x7fdc07fb,
    0x30034402,0x024c0013,0x80022000,0x20001ffc,0x4cc007fb,0x507ff300,
    0xd503ff20,0xf74d8000,0x0001005f,0x7fc40600,0x983c8605,0x0bfe00ff,
    0x08801ffc,0x0000c000,0x09988000,0xff300c00,0x4c00f985,0x204fb809,
    0xbdff9019,0xf9003999,0x3ffa005f,0x2aab3ee4,0x004ffcaa,0x004ffa80,
    0x4027f536,0xf9801ffc,0x1001004f,0xff700400,0xb803fea0,0x076202ff,
    0x75400020,0x04000040,0x143ff900,0x001fee00,0x3dfff001,0xe87ff300,
    0x43e60003,0x00202ffb,0x22000004,0x930005ff,0x7fc03ffd,0x1007ff02,
    0x00000000,0x40000000,0x3237ec00,0x3f202005,0x9ff90003,0x05dffb97,
    0xa8017fe4,0x59f90fff,0x35555555,0xffa80100,0x7f4d7004,0x01ffc804,
    0x2204ff98,0x9d7104eb,0x205eb880,0x1ff507fb,0xa817fdc0,0x2e7ea803,
    0x87302efd,0xffb50fda,0xb17ea809,0x27ff20bf,0x7dc004d8,0x22fd5007,
    0x7ffcc5fd,0x37ec00ef,0x3d8000f3,0x0580bfee,0xdfb73f54,0xbff10005,
    0x9adea800,0x0bfe01ff,0xfd501ffc,0x30177edc,0xdddddddd,0x774c1ddd,
    0xeeeeeeee,0x3bbba60e,0x0eeeeeee,0x260275c4,0x803f12ff,0x4fe84eb8,
    0x83ff9000,0xf903fff9,0x7ffc005f,0x40005fb3,0x7d404eb8,0x21f8804f,
    0xffc804fe,0x04ff9801,0xfb09fffb,0x7fe409ff,0x41fee05f,0x3ee00ffa,
    0xeb80102f,0xffdf97ff,0xffe9803f,0xfffefb8f,0xd7ffeb83,0xff903fff,
    0xf70009d7,0x7ffeb80f,0xc883fffd,0x2a02ffff,0x0009b2ff,0x5ff707cc,
    0x7f5c1e20,0xfffdf97f,0x5ff88003,0xf98bf600,0x40bfe01f,0xffeb83ff,
    0x3fffdf97,0x2aaafea0,0x544ffdaa,0xdaaaaabf,0x55fd44ff,0x4ffdaaaa,
    0x4027ffec,0xd80d76fe,0x7fe84fff,0x03ff9000,0xf903fff3,0x7fec005f,
    0x20007fd5,0x5404fffd,0x43e804ff,0xffc804fe,0x04ff9801,0x7c413fe2,
    0x2ffc404f,0x3ea0ff70,0x0bfee00f,0x59ffb000,0xb802ffcc,0x3f624cff,
    0x273ff607,0xfff905c9,0x1fee0007,0x4ce7fec0,0x3ff6605c,0x237fa01f,
    0x0fa0000f,0x33337ff7,0xffd80fd7,0x817fe62c,0xffbaaaa8,0x442aaaae,
    0x0ffcc1fe,0x3fe07ff0,0x8b3ff603,0x07505ff9,0x0ea1bfe2,0x1d437fc4,
    0xf106ff88,0x3ff5009f,0x9ff1007d,0x0803ffb0,0xfd01ffc8,0x3f26627f,
    0x019999bf,0x1bf6dff9,0x27fc4020,0x7013fea0,0x9009fd0b,0xddddddff,
    0x09ffdddd,0x3fa04fe8,0x205fe804,0x1ff507fb,0x0017fdc0,0x3607ff20,
    0x7ff5007f,0x2e01ff70,0xff9003ff,0x3fdc0007,0x203ffb80,0x34ffa809,
    0x9ff93333,0x0133333b,0xfff70f50,0x0fffffff,0xfd81ffc8,0x3fffe607,
    0xffffffff,0x2617f20f,0x0ffe01ff,0xfc813fe2,0x707fd81f,0x203ffa03,
    0x01ffd01b,0x03ffa037,0xfd004fe8,0x3fa001fd,0x203ffc84,0x01ffc82a,
    0x3baabff9,0xeeeeeffe,0x77ffb80e,0x01cc05ff,0xffa809fd,0x3a03e604,
    0xbffc804f,0x99999999,0x7f404ffa,0x2013fa04,0x1fee05fd,0xf7007fd4,
    0xfb80005f,0x200ff707,0xff980ff9,0x400ff701,0x20001ffd,0xff7007fb,
    0xbfb04b80,0x3ffffffe,0xffffffff,0xfb83e802,0xb80f702f,0x00ff707f,
    0xe805ff88,0x01ff985f,0xffb11bfe,0x0ff706a9,0xf9001fee,0xffc8005f,
    0x17fe4002,0x54013fa0,0x3fa004ff,0x80effa84,0x1ffc80e8,0xf90bffb0,
    0x7fdc005f,0x203dff36,0x013fa00e,0x17409ff5,0xfc804fe8,0x4ff9801f,
    0xfb027ec0,0x40bfb009,0x1ff507fc,0x0017fdc0,0x7d41fee0,0x0ff9800f,
    0xf702ff88,0xfffd100f,0x7fdc0003,0x407fb800,0x04fb80fb,0x50003fe4,
    0xffffffff,0x2e03405f,0x01ff507f,0x402ffc40,0x3f620ffc,0xdfff051f,
    0x3df91db7,0x2a0ff70b,0xff5000ff,0x4ffa8009,0x027fd400,0xfd0027ec,
    0x827ec003,0xd711effd,0x407ff207,0xffc84fff,0x97ff2002,0xa89bfffd,
    0x027ec03d,0x2e413fea,0xf9009fd0,0x9ff3003f,0x3604fd80,0x05fd804f,
    0x3f203ffa,0x0bfee02f,0x20ff7000,0xf9800ffa,0x02ff880f,0xce980ff7,
    0x20001ffc,0xfb802ffd,0x20efdc07,0x3fe400fe,0x3337d000,0x405ff933,
    0xa83fdc04,0x3e2000ff,0xfff9805f,0xdeffaedc,0x7ffe7c40,0x05fff30d,
    0x3fea0ff7,0x06ff8800,0x0037fc40,0x6c01bfe2,0x01b2004f,0x3a209fb0,
    0x05ffffff,0x3ee07ff2,0x2ffc80ff,0x88fffa00,0xfffffffe,0x2027ec00,
    0xbfa84ffa,0xffaaaaaa,0xff900aad,0x09ff3003,0x3f604fd8,0xa85fd804,
    0xa8cefffe,0x80cffffd,0x40002ffb,0x1ff507fb,0x101ff300,0x1fee05ff,
    0x07ff2590,0x3fff6a00,0x1fee01df,0xd9bffd70,0x55555439,0xaaaaffda,
    0x81ae00aa,0x20002ffb,0x1ff507fb,0x02ffc400,0xd0cfffb8,0x31f103df,
    0xfb80a015,0x001ff507,0xe8001ffd,0x7f4000ff,0x09fb000f,0x36001f40,
    0x3ff6204f,0x7fe404ff,0x817ffe41,0x3e002ffc,0x7fec41ff,0xfd800dff,
    0x427fd404,0xfffffffb,0x01ffffff,0xf3003ff9,0x04fd809f,0x3f6013f6,
    0xb8000005,0x20a002ff,0x1ff507fb,0x101ff300,0x1fee05ff,0x00ffe410,
    0xfb800050,0x07910407,0x3fbbbbb6,0xeeeeeeff,0x5c05f101,0x702002ff,
    0x03fea0ff,0x005ff880,0xf501ec0c,0x7fb80003,0xc801ff50,0x7e4002ff,
    0x7fe4002f,0x013f6002,0x360007cc,0x0bc8804f,0xeddffc80,0x3200dfff,
    0xff7002ff,0x07d4c40b,0x5404fd80,0xccca84ff,0xeffccccc,0x3ff900cc,
    0x809ff300,0x13f604fd,0xd8017f60,0x3ee001df,0x70b1002f,0x03fea0ff,
    0x2203fe60,0x0ff702ff,0x800ffe40,0x00dfe848,0xf1003fdc,0x3fe4003d,
    0x2e02e400,0x837002ff,0x1ff507fb,0x02ffc400,0xb807e200,0x7dc0002f,
    0x401ff507,0x20104ffa,0x20104ffa,0x20104ffa,0x09d004fd,0x1009fb00,
    0xff9003df,0x20035559,0xf8802ffc,0x07b800ff,0xf5013f60,0x3fa0009f,
    0x02ffc804,0x6c04ff98,0x013f604f,0xd98017f6,0x3fee005f,0xf7079003,
    0x003fea0f,0x3e203fe6,0x00ff702f,0xd8017fe4,0x403fea82,0x366007fb,
    0x1ff2006f,0xb803f100,0x869802ff,0x1ff507fb,0x037fc400,0xd813ea00,
    0x7dc0003f,0x201ff507,0x21206ff8,0x21206ff8,0x41206ff8,0x70a884fd,
    0x13f6000d,0x201bf660,0x90002ffc,0xfd8805ff,0x05f9003f,0xf5013f60,
    0x3fa0009f,0x02ffc804,0x7405ffa8,0x017fa05f,0xf30017fa,0x27fe400d,
    0x7e407dc0,0x001ff507,0xff103ff5,0x003fee05,0x5c017fe4,0x809f500f,
    0x22000ffb,0x1ff2006f,0xf900db00,0x84e8807f,0x1ff507fc,0x037fcc00,
    0x033fe200,0x900013fa,0x03fea0ff,0x0b007ff4,0x42c01ffd,0x41600ffe,
    0xfffe85fe,0xbfd0001f,0x201be200,0xb0002ffd,0x7f4c05ff,0x3be6003f,
    0x17fa010b,0x0009ff70,0x3fa013fa,0xeffc804f,0xf81bfe00,0x06ff806f,
    0x88017e40,0x99aaeffe,0xd06fdbaa,0x5ff901ff,0x505ff900,0x3ff609ff,
    0x5dffd002,0xfd755555,0x003f620b,0x64005ffb,0x3ffa002f,0x00df7001,
    0x3333bffd,0xd05ff733,0x5ff901ff,0x07ffdc00,0x3ffee000,0x007fd0de,
    0xc80ffe80,0x2ffc82ff,0xffc8bb30,0xfc8bb302,0x20bb302f,0xfffe86ff,
    0x1bfe0003,0x22017e40,0x88004ffe,0x989acffe,0x000dffcb,0x04efffd8,
    0xffd80dff,0x09fd0006,0x3ffffb26,0x3f7220ce,0x2e2cefff,0x2e3efffe,
    0xb83efffe,0x403efffe,0xc9801cda,0xffffffff,0x43ffffff,0x8cefffea,
    0x0cffffda,0xcffffd98,0xdffffc99,0xbffffb51,0xfffd9303,0xffffffff,
    0x37b707ff,0x7fffed40,0x0736a01d,0x3ffff620,0xffb302df,0xffc98bdf,
    0xffffffff,0x7f547fff,0xfda8ceff,0x3200cfff,0x2dfffffe,0x2054c000,
    0xd50000b9,0xb519dfff,0x2619ffff,0xffffffff,0x3fe65fff,0xffffffff,
    0x3fffe65f,0x5fffffff,0x1f7fff5c,0x5c000571,0x503efffe,0x7ecc039b,
    0x00ceffff,0x7ffffecc,0x1acdefff,0x05544000,0x1f7fff5c,0xdfffff91,
    0x27f40039,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaaa6,
    0x555540aa,0x5511aaaa,0x05555555,0x55555440,0xaaa82aaa,0x2aa0aaaa,
    0xaaaaaaaa,0x32aaaaaa,0x55555555,0x2aaaaa20,0x5555511a,0x55555555,
    0x05980155,0x01bccb88,0x2aaaaaa6,0x000999aa,0xaaaaaa88,0xaaaaaaaa,
    0x55555531,0x5554c155,0xaa981aaa,0x009aaaaa,0x5555554c,0x200099aa,
    0x00aaaaa9,0x2aaaaa00,0x00154001,0x2aaaaaa6,0xaaaaaaaa,0x55555531,
    0x40013555,0xcccccccc,0x2777641c,0x4417bbae,0x99999999,0x00999999,
    0x66666401,0x9102cccc,0x99999999,0x66401003,0x2ccccccc,0x3333332a,
    0x003003cc,0x31000600,0x037ffff9,0x59ffff73,0x3fff2621,0x22001acf,
    0xdfffffdb,0xdfffb982,0x3ffffa0a,0xffffffff,0xff935fff,0x22037fff,
    0x10bfffea,0xdddfff93,0x5fffdddd,0x701ff660,0x09ffffff,0x3ffff662,
    0xcefffeff,0xffff7002,0xffdddddd,0x3f2621ff,0x5c41bfff,0x881befff,
    0xffffffda,0xd9884eff,0xffefffff,0xda8802ef,0x70004fff,0x0015dfff,
    0x4c4005e8,0xeeeefffc,0x514fffee,0xbbdffffb,0x4403dffd,0xffffffff,
    0x86ff883f,0x33707fe8,0x33333333,0x1a073333,0xfffffff8,0xfff104ff,
    0x05ffffff,0x7fffc0b0,0x324fffff,0xffffffff,0x00078806,0x360003f0,
    0xffb803ff,0x02ffe406,0x7fffcc00,0xe81fec00,0x446ff81e,0x7ffcc6fa,
    0x01df5005,0x2a017fe4,0x7feec42f,0x377fea07,0x6c04ffff,0x75cc0bff,
    0x7dc00dff,0x3ffa200a,0x807ffb02,0x3f6004ff,0x3bff262f,0x883ffb00,
    0x3a004ffe,0xe8000fff,0xf30007ff,0x3f60003f,0x217ea01f,0xfb882ffd,
    0x333300df,0x20133333,0x0ff906fd,0xb838000e,0x26666606,0x26009999,
    0x99999999,0x3303d400,0x13333333,0x4cccccc4,0x07880099,0x0003f000,
    0x2a00bff2,0x7fdc05ff,0xff300003,0x01fcc07f,0x41bfe01f,0x0fffb869,
    0x5c00fc80,0x03c802ff,0x67c41ff2,0x07ffee20,0x2202ffc8,0x3201fffd,
    0x05ffd802,0xfc80bff2,0x0ffe4002,0xfc83ffdc,0x07fff01f,0x013fff60,
    0x00dfff50,0x0013ff20,0x2a00ffe4,0x202ffc85,0x00006ff9,0xff706fc8,
    0x438000e0,0x000006f8,0x1fa20000,0x00000000,0x7c0001e2,0x3ff90001,
    0x809ff300,0x00003ffb,0x2203ffee,0xff02c04e,0xffe82c0d,0x401fc404,
    0x39802ffb,0x2d41fee0,0x6409ff90,0xffc802ff,0xa801900e,0x3f200eff,
    0x005f701f,0x3a03ff90,0x1ffc82ff,0x200dff90,0x000fffdc,0x0017ff7a,
    0x003fffe2,0x2007ff20,0x402ffc85,0x00001ffc,0x7fb837e4,0x11c00070,
    0x00400dfd,0x3fa00000,0x40004007,0x003c4000,0x90001f80,0xff3003ff,
    0x02ffb809,0x27fec000,0xf00c036c,0xf880c0df,0x017201ff,0x08017fdc,
    0x0641fee0,0x640bff30,0xffd002ff,0xff100e0b,0x1ffc803f,0x90002fa8,
    0x3ff203ff,0x301ffc85,0xb9003fff,0x26007ff9,0x8005ff9f,0x003ffceb,
    0x0801ffc8,0x5402ffc8,0xdd7304ff,0x6fc807bf,0x00e0ff70,0xffff5380,
    0xfea81ddd,0xdd903dfe,0x6eeeb8bd,0xeefffe98,0xfffd980e,0x17ae200d,
    0x0000f100,0x7e40007e,0x4ff9801f,0x0017fdc0,0x8bffe200,0x7c0000fb,
    0xff70006f,0x4003e60d,0x00402ffb,0xd0003fdc,0x17fe409f,0x00fffa80,
    0x804ffd80,0x17dc1ffc,0x03ff9000,0x3f21ffee,0x1fff101f,0xdff1b900,
    0x3fe37600,0xf8be8005,0xffc8006f,0x5ff90001,0x985ffa80,0x0bfd10bf,
    0x7fb837e4,0x99c00070,0x42aaffda,0x0ffea4fa,0x74437f44,0xffda987f,
    0x12ec82aa,0xff905ffb,0x078800bf,0x0003f000,0x26007ff2,0x7fdc04ff,
    0xfa800002,0x001f98ef,0x0006ff80,0x0fa0fffa,0x202ffb80,0x07fb8048,
    0xc80bfa00,0x3fe002ff,0x7fdc003f,0x43ff9006,0x640002fb,0xbffb01ff,
    0x2603ff90,0x2b9005ff,0x7cc02ffc,0x4005ff89,0x03ffb0fa,0x701ffc80,
    0x017fe401,0x9f10bff6,0x320dff10,0x20ff706f,0xf90e0003,0x2e07f40d,
    0x41bf607f,0x1fee07fc,0xefe80fb8,0x005ff880,0xf80003c4,0x3ff90001,
    0x809ff300,0x00002ffb,0x07fbffb0,0x01bfe000,0x20fff980,0x7fdc006c,
    0x2e012e02,0x3fe0007f,0x00bff200,0x2005ffd8,0x9001fff9,0x00bf23ff,
    0x207ff200,0xfc83fff8,0x05ffd01f,0x37fc5720,0x2ffc5b20,0xffa93600,
    0x0ffe4005,0x3ff200e8,0x03ffea02,0x3fee03fd,0xf706fc82,0x38000e0f,
    0xff9837e4,0xc807fd40,0x40ff706f,0x0bf107fb,0x7f40bff2,0xeeeeeb85,
    0xeeeeefee,0xdddd52ee,0xddddfddd,0x7e409ddd,0x4ff9801f,0x0017fdc0,
    0x5fff8800,0x1bfe0000,0x2bff7000,0x7dc001f9,0xba9999bf,0x07fb804e,
    0xc809f300,0x3f2002ff,0x3ffa006f,0x2bff2003,0x900003fc,0xdff703ff,
    0xb107ff20,0x2e4009ff,0x3e205ffb,0x400bff12,0x07ff40f9,0x335ff900,
    0x6401fb53,0x7dd4c3ff,0x03fcc0df,0xdf90dff1,0x01c1fee0,0x06fc8700,
    0x03fe60f2,0x7fb837e4,0x7dc1fee0,0xfcaaaaac,0x30bfb04f,0xf7555555,
    0x35555555,0x2aaaaaa2,0xaaaaabfa,0x3bff201a,0xeeeeeeee,0x7dc04ffe,
    0x2000002f,0x0000fffa,0x0000dff0,0x009d7ffd,0xffffff70,0x7009ffff,
    0x3f6000ff,0x017fe400,0x200fff70,0x64005ffc,0x00effeff,0x9bffc800,
    0x01effea8,0xfb979ff9,0x5c8005bf,0x36417fe6,0x6400bff1,0x003ffb85,
    0x3ffffff2,0x3f200fff,0xffffffff,0x80df704f,0x07fb87fe,0x000e0ff9,
    0xdfffd938,0x764c01dd,0x0df901ff,0x7fb81fee,0x55559f90,0x36035555,
    0x03c4005f,0x0001f800,0x33337ff9,0x9ff53333,0x002ffb80,0x3ffea000,
    0xdff00005,0xfff30000,0xff70001d,0x2013a605,0xf98007fb,0x02ffc802,
    0x201bfee0,0x4000fff9,0xeffebffc,0x7fe40000,0x02ceeedd,0x7ee6ffe4,
    0x8b90004f,0x23f81ffe,0xf1005ff8,0x00dff105,0x2a20ffe4,0x8fff200f,
    0x2dffdba8,0x3f6037ec,0x20ffd41f,0x0380ffec,0x7ed4ce00,0xbd502aaf,
    0x3203ff35,0x40ff706f,0x05fb07fb,0x002fec00,0x7c0001e2,0x3ff90001,
    0x809ff300,0x00002ffb,0x5fff7f30,0x0dff0000,0x0fff2000,0x017fdc00,
    0x0ff70093,0x32009d00,0x3f2002ff,0x7ff4405f,0x9ffc8002,0x000effe8,
    0x0007ff20,0xffd0ffe4,0xa8b90005,0x223dc5ff,0x0d7005ff,0xc8017fe4,
    0x401901ff,0x3ee02ffc,0x01ffa4ff,0xff881ff9,0xffbbebcf,0x8000e0ce,
    0x36037e43,0x407fe62f,0x0ff706fc,0x3fe83fdc,0x017f6000,0x20000f10,
    0xff90001f,0x09ff3003,0x0002ffb8,0xff54e880,0xff80001f,0xff700006,
    0x3fee0005,0x7dc02402,0x002ec007,0x74005ff9,0x7fe403ff,0x3ff90005,
    0x003bffa2,0x000ffe40,0x3e21ffc8,0x2e4000ff,0x87d07ff4,0xfd005ff8,
    0xffffffff,0x3ff200bf,0x7e401501,0x7ffd402f,0x5c01ffb2,0xffff506f,
    0x702fbee5,0x3f21c000,0x983fd106,0x0df901ff,0x7fb81fee,0x0100dfb0,
    0xf10017f6,0x007e0000,0x400ffe40,0x7dc04ff9,0xd800002f,0x002ffec5,
    0x0001bfe0,0x80017fdc,0x80002ffb,0x1ae007fb,0x005ff900,0xf5017ffc,
    0x320001ff,0x3ffa21ff,0xffc8000e,0x3ff90001,0x4005ffa8,0x54ffa85c,
    0x05ff881f,0x99999fa8,0x00ffe999,0x0001ffc8,0xff005ff9,0x80bff29f,
    0x20cc04fc,0x8000e04c,0xfc837e43,0x901ff985,0x81fee0df,0x5ff707fb,
    0x5fd81cc0,0x0003c400,0xf90001f8,0x9ff3003f,0x002ffb80,0x103ee00a,
    0x40005fff,0x700006ff,0x2e0005ff,0xb80002ff,0x01d5007f,0x002ffc80,
    0x7c40dff7,0x903001ff,0xffe883ff,0x7fe4000e,0x3ff90001,0x4007ff90,
    0xd1fff05c,0x00bff109,0x9ff5009b,0x003ff900,0x200bff20,0xbff15ffd,
    0x40017ec0,0x8000e03f,0xfe83fe43,0x701ff985,0x81fee0ff,0xdff307fb,
    0x7ec03a03,0xaaaaa985,0xaaaaafba,0x03f001aa,0x007ff200,0xf7013fe6,
    0x0162005f,0x3fea03f5,0xdff0000f,0x3fee0000,0x5ff70002,0x7fb82c00,
    0x8000e980,0xf8802ffc,0x3ff601ff,0x3f216004,0xeffe881f,0x07ff2000,
    0x80ffe400,0xb9001ffe,0x03f7fee0,0xf1017fe2,0x01ffe001,0x40007ff2,
    0xfe802ffc,0x207ff23f,0xf88004f8,0x38000e06,0x91a8ffdc,0x7fec41ff,
    0x41ffa851,0xf500ffeb,0xffd8663f,0x03da89bf,0x3bae17fa,0xeeeeeeee,
    0x002eeeee,0x3f20001b,0x4ff9802f,0x801ffdc0,0x00fe603c,0x2000bffb,
    0x700006ff,0x2e0005ff,0x079002ff,0x1d501fee,0x5ff90580,0x409ffb00,
    0x2a006ffb,0x102ffc84,0x2003dffd,0x90001ffc,0x3fe605ff,0x105c800e,
    0x3e20bfff,0x002ec05f,0xfc807ff9,0xff90001f,0x0fff8805,0xbd50ffec,
    0x0eff4000,0x438000e1,0x264deff9,0xfaedcfff,0x7f440def,0xffbbebcf,
    0x77fcc0ce,0x7fff445c,0x3e00ffff,0x0000006f,0xffb00000,0x0bff3005,
    0xb804ffc8,0x00bf300f,0x8007fff1,0x00006ff8,0x20007ff9,0xfa803ffc,
    0x201ff700,0x99999afa,0xffb04eba,0x17ff4c05,0x003fff10,0x3ff60be2,
    0x3fffe202,0x02ffd802,0x405ffb00,0x5d805ffb,0x4c07ff20,0x0fe206ff,
    0x407ffa80,0xb0002ffd,0x7f4405ff,0xddff904f,0x4c00019d,0x071eeffe,
    0x7fdc1c00,0x67ffdc0d,0x2603dfd0,0xdf73ffff,0x37fee017,0xffffd880,
    0xfffd700d,0x0000007d,0x7f440000,0xeffc804f,0x5dffd100,0xfb755335,
    0x013fee0d,0x001ffffc,0x0001fff7,0x005ffe88,0x333bffb0,0x0df93333,
    0x7d40ffe4,0xffffffff,0xffe881ff,0xfca989ac,0x7ff400df,0x9999999c,
    0x441ffdb9,0x7ec04ffe,0xd100bfff,0xd10009ff,0xffd809ff,0x01ff101e,
    0xffb81be2,0x007fd00f,0x882fffcc,0x88004fff,0x989acffe,0x802fffc9,
    0x400000a9,0x555641a9,0xaaaaaaaa,0x00203aaa,0x0cc00203,0x00440062,
    0x000054c4,0x00000000,0xffffb300,0x7e4419df,0x32ceffff,0xfffffff9,
    0x7fffffff,0xdffffeb8,0xffffd701,0x7f5c09ff,0x002dffff,0x7ffffe4c,
    0x764c00cf,0xffffffff,0xc83fffff,0x32dffffe,0xffffffff,0xfd98dfff,
    0xefffffff,0xfb801acd,0xffffffff,0x27ffffff,0xefffffd9,0x3fff620c,
    0xb31effff,0x19dfffff,0xffffd980,0xff880cef,0xffb33fff,0x05905bff,
    0xbfffffd9,0x3bfffee5,0x3fff6202,0xffb34fff,0x8019dfff,0xffffffd9,
    0x0bdeffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03100800,0x00040000,
    0x10020000,0x00008800,0x80000800,0x0d40001a,0x00000013,0x00001880,
    0x00040040,0x76401002,0xddb15eee,0x774c3ddd,0xddddd75e,0x05eed987,
    0x00002004,0xdd900200,0x5eeeb89d,0xeb800080,0xe89eeeee,0x0403eeee,
    0x777774c0,0x50eeeeee,0x229ddddd,0x0042eeed,0x10000008,0x0b2e2077,
    0x100165c4,0x32aa2007,0x3f6e2002,0x805d13ef,0xea81d02c,0x9803dfef,
    0x201beffd,0x40dfffd9,0x3372a1fa,0x7309d10b,0xa807bfdd,0x325cefed,
    0x775c4eee,0x982ff9de,0x2e3dfeeb,0x03bf50ff,0xc8800000,0x0740764f,
    0xceedda80,0x13ffb660,0x2dfeeda8,0x03bffdb1,0xff90bff7,0xf317e20b,
    0x82fc03ff,0xfb504eb8,0x26277f54,0x2a00dffd,0x88bfb17e,0x7fe886ff,
    0xfdb9faa0,0x3ffa202e,0x4017fdc3,0x5fd404f9,0xffdaaaaa,0x237ff444,
    0x0fcc0ef8,0x2e00fa20,0x4feb802f,0x45fecfa8,0x00ffedfa,0x7c401fd8,
    0xf300bf31,0x3bbfa63b,0x4d835c02,0x7ff527d4,0xfb867dc0,0xb12ec81f,
    0xebfb85ff,0xebfecbce,0xd10bf985,0x443ae0bf,0x37fcc6fa,0x7f47ff44,
    0xe885fcc2,0x4c1ff35f,0x00002efc,0x20efecc0,0x805b80f9,0x27fea1fc,
    0x0dfd12e9,0x67fcc9f9,0x1ffc88ce,0x9fd06fe8,0x3ee03e60,0xb01f101f,
    0xfea89fff,0xfffbd97f,0x3fff7ea7,0xd7ffeb85,0x6fd83fff,0xfd70ff90,
    0x3ffbf2ff,0x03ff201f,0x3ee001bb,0xf881d406,0x3ffd106f,0x1fb807dc,
    0x3600bd10,0x09f3004f,0x1b07f419,0x3ea01fe4,0xf13dc05d,0x884e880f,
    0x17cc06ff,0x03fa07e4,0x0bea0ff7,0x01f71bfa,0x3fc81dfd,0x9f10ff30,
    0x5f0dff10,0x0dfd0d70,0x11767ff2,0x3dff109f,0x3fee207d,0x2e00000b,
    0x1b600cfe,0x05f7027c,0xf987fff7,0xd03fe23f,0x0dff09ff,0xff701ff5,
    0x7fc412e0,0x7c40b704,0x59ffb04f,0x225ffec4,0xffb02ffb,0xf90b9339,
    0xd81fee0d,0x3fe62cff,0xd89fee05,0xf98e4c05,0x01b87714,0x7cc01ffd,
    0xb803f35f,0x002f441f,0x3e600151,0x0226d804,0x8be80bf1,0xff70402f,
    0xd80ff401,0x0df102ff,0x0ff989f5,0x3e207fd4,0x221ff906,0x85ff905f,
    0x20fcc03e,0x5ff701fe,0xc86827d4,0x35ff706f,0x3ee03fd0,0xfd5000df,
    0x32200039,0xbf3003ef,0xff107f70,0x03fff103,0x43fccdff,0xffc82ffc,
    0xfa83ff81,0x3201e82f,0xe803d07f,0x03ff704f,0x3fe07ff5,0x007ff703,
    0x1fee0df9,0xfd81ffc8,0x745fee07,0xf2ffd804,0x001ffd15,0xf7005ff9,
    0x2e007d7f,0x000bd11f,0x404f8800,0x17cc00e9,0x40354d70,0x300fe9db,
    0x3ff720ff,0x4c1fe886,0x983c80ff,0x027dc0ff,0x5567dc33,0x24ffcaaa,
    0x4cd7006b,0x9bfe207f,0xc8283ff9,0x20ff706f,0x3fe207f9,0xdfd98005,
    0x3bfb3002,0xd09fb000,0x207fb83f,0xcccccffd,0x641dc7ff,0xcaaaabff,
    0x86fc82ff,0x034c6ffd,0x0d30bfe6,0x3ee09fd0,0x205ff307,0x0ff704fe,
    0x7dc1bf20,0x5c1fee07,0x23fee07f,0xffd1005e,0x07ffd5b7,0x4009ff50,
    0x5c005ffd,0x00005eaf,0xd304f880,0x06c809ff,0x209d07e2,0x403fa3e8,
    0xfd5b87fb,0x445fd81f,0xd93004ff,0x03fc83ff,0x2aab3f20,0x361aaaaa,
    0x2e1f3003,0x23ff406f,0x6401efff,0x20ff706f,0x3ff406fb,0x7df91000,
    0x019fd501,0x217fcc00,0x1bf60ffb,0xaaaaffb8,0x5c402aaa,0xaaaaafff,
    0xff981aaa,0x87feba21,0x46fe803c,0x04fd803c,0x3fe20ff7,0x2e09fd02,
    0x0df9007f,0x7fb81fee,0x2e01ff50,0x001ffdff,0x06f7f6a2,0x0037fc40,
    0x20017fe2,0x3bae05fc,0xeeeeeeee,0x222eeeee,0x1ff4c04f,0x13600e98,
    0x83fa03e6,0x8ffb00fe,0x43ffb0ea,0x7ff41ffc,0x4d6f5400,0x027f41ff,
    0xe8005fb0,0x7ec7e002,0x30ffec06,0x201dffff,0x0ff706fc,0xffb01bf6,
    0xeb880001,0x017ff33f,0x07ff6000,0x037f4dfd,0x26000ff5,0x007fcbfc,
    0xf3c93fa0,0x2003e29f,0x01f11ffa,0x3ee09fb0,0x205ff107,0x0ff704fe,
    0x7dc1bf20,0x541fee07,0x1ff700ff,0x51001dff,0x005bddd9,0x10003ffa,
    0x44007fff,0x55301fee,0x55555555,0x44355555,0x85f8804f,0x03ea00e9,
    0x45ffc2e4,0xfe81affa,0x7dc1d30f,0x887ff21f,0x17ec07fe,0x7fe83ff3,
    0x000ffa00,0xe87c005d,0x07fe407f,0x0bffff22,0x3fdc1bf2,0x7e407fe8,
    0x6cc0000f,0x7ff911df,0xff900001,0xff0ffe85,0x007fd40f,0x7dc2fee0,
    0xff70000f,0xabfe43e2,0x5d3fe005,0x209fb004,0x5ff107fb,0x7dc13fa0,
    0x20df9007,0x1fee07fb,0xfb807fd4,0xa80bff37,0xfd9d9fff,0x0bff203f,
    0x3ff6fa00,0xf75e8800,0x88000003,0x985f004f,0x80fa040d,0x6ffdc2f8,
    0xfc80dfc9,0x7dc0e99f,0x7cc5fe87,0x41fe883f,0x7fec1ff9,0x06fd8401,
    0x4c013608,0xb803ff67,0x3ff6606f,0xb837e41f,0x01ffb07f,0x500037dc,
    0x754019fd,0xf10001cf,0x21ffa87f,0xff300ffe,0x7fb10405,0x0000ffb8,
    0x44995ff1,0x2001daff,0x001e8ffb,0x1fee09fb,0xfe817fc4,0x200ff704,
    0x0ff706fc,0xffa83fdc,0x7dcff700,0x43bf603f,0x2a0ffb2f,0x640104ff,
    0x880dff15,0x000fdc5e,0x309f3000,0x2fea3541,0x1ae2ebaa,0x06021ae0,
    0x81ecffb8,0x1ff885fc,0x2fe43fd4,0x3f20ffcc,0x7dcaa03f,0xfa8e602f,
    0x3f24d800,0x993f202f,0x644ffa80,0x20ff706f,0x3f202ffc,0x77dc4004,
    0x3f66000b,0x2fe4002d,0x3ff217f4,0x40bff501,0x3ea1bee5,0xd80aa02f,
    0x77ec0fdf,0x6ffc4006,0x413f6006,0x5ff107fb,0x7dc13fa0,0x20ff7007,
    0x1fee07fc,0xfb807fd4,0x8817fec7,0x0d49f30b,0x09037fc4,0x3ffa83aa,
    0x3ee0bd10,0x003b5001,0x7c47dfb3,0x3ee0dddf,0x226fffff,0x007d001f,
    0x02fff880,0x17e607fb,0x0bfd0fee,0xffa83ff3,0xf30e880e,0xb03a03df,
    0x220fb80b,0x8bf605ff,0xb8bfb04b,0x07fc80ff,0x7ec0bff1,0x5bf93002,
    0xefc88000,0xa86f8803,0x05ffa84f,0xb505fff7,0x7fc42fec,0x5401d106,
    0x3ffa84ff,0x02ffd800,0x7dc13f60,0x205ff107,0x0ff704fe,0xd907fea0,
    0x1fee01ff,0xfc807fd4,0x07ffa20f,0x3a01bee0,0x221600ff,0x41ffd81f,
    0x0fdc05e8,0x00027ec0,0x00000198,0xf7000000,0x80bf105f,0x20fd81fa,
    0x3f620ffc,0x77fec51f,0xfd87d711,0x3da89bff,0x220f7f44,0x7fe41ffd,
    0x7dc4f881,0x7d44fb80,0x07ff642f,0xf881ffc8,0x1cfea804,0x75c40000,
    0x01d900cf,0x07fec0bd,0x4e7ffff4,0x3ff62fc9,0x86fffd40,0xff804ea8,
    0x0001ff01,0xfe800ff3,0x101ff705,0x17fa05ff,0x44007fdc,0xbbebcfff,
    0x7e40ceff,0x201ff507,0x7fd41ffd,0x027cc01f,0x6cc0bff2,0xf982f445,
    0x401220ef,0x01d9802b,0x00000000,0xd8000000,0x1ba61ffe,0x23e82e40,
    0xaedcfff9,0x3a20deff,0x85ffffff,0xffffffe8,0x2e37a20f,0xb8dffeff,
    0x50ffec1f,0x83bf70bd,0x7ffc40fe,0xeffbaebd,0x41ffd80c,0x3fee205d,
    0x8000000b,0x3e21dfea,0x2600ea81,0x2ff225fe,0x5ffffffb,0x64d77fd4,
    0xfefffe9e,0x40b9006f,0x13a0005c,0x320dff00,0x4ffa81ff,0x3f60dff0,
    0xfff5002f,0x02fbee5f,0x3f203ffa,0x7fff5c2f,0xfffe88df,0x260002df,
    0xffffffff,0x3fea5fff,0x7fff4c5f,0x0000004f,0x00000000,0x80000000,
    0xdddff74c,0x40ec0019,0x3ffee0e8,0x103dfd0c,0x409ffffb,0x0dffffd8,
    0x0554c2cc,0x3bff212e,0xfeb80cee,0x501cecdf,0x3ee5ffff,0x3ff200be,
    0x2e00cede,0x0000002e,0x816cb930,0xffd8800e,0x3ff21efd,0xfff903ef,
    0x7ffec47f,0x011000be,0x130000c4,0x3fffae00,0xffffb53e,0xffffb319,
    0x3fffb25b,0xffffb53e,0x3066003b,0x3fffaa03,0xfffda8ce,0x000000cf,
    0x00000000,0x00000000,0x00000000,0x80000000,0x000a9858,0x0c044020,
    0x09a88008,0x00153100,0x054c0000,0x00298820,0x8003306a,0x000000a9,
    0x02000000,0x54c40008,0x22006600,0x000cc01a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x805ee5c0,0xb502cdb8,0x5f644c83,0x9988b620,
    0x99999999,0x22199999,0x88888888,0x80888888,0x02000400,0x776c1ddd,
    0x4c000000,0x99999999,0x10999999,0x99999999,0x59999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbfd10000,0x2f983df9,0x4dfd0bf7,
    0xfff32ffa,0xfa87fe47,0xffffffff,0x55ffffff,0xffffffff,0xbfffffff,
    0xffd50588,0x26298039,0x1ffc42ff,0x25e98fee,0x7ffffffd,0xfffffff3,
    0xffffffff,0x33333229,0xcccccccc,0x000002cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8000000,0xe83b220d,0x3fe0fec6,0x7c4bfee7,0x03ff66ff,
    0x22220000,0x88888888,0x7e45b888,0x75d5f543,0x20d80bef,0x8bf303fc,
    0x47ff67ff,0x7ffffffd,0x22222222,0x08888888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4be207e6,0x22fdc4fa,0x8bfea5fe,
    0x1ff279a8,0x00000000,0x21ffb8b5,0xdffc980d,0x02745ebb,0x24fd83ea,
    0x266666fa,0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e9b035c,0x907fcc5f,0x40ffc49f,0x001bee4b,0xb5000000,
    0x00e23fb0,0x885dfb71,0x80857005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf54e81ea,0x2fb8ff0f,0x261e83fc,
    0x2aaaa24f,0xaaaaaaaa,0x80001aaa,0x002fcc5a,0x02000400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5f305f10,
    0x8bf10ff4,0x223741f9,0xd51fc42c,0xdddddddd,0x09dddddd,0x36295000,
    0x000000ad,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f900000,0x9f717aa1,0x03e207dc,0x3d01cc99,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee00000,0xda80cfff,0x70d00dde,0x0006c007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01551000,0x00000010,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_34_latin_ext_x[560]={ 0,3,1,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,1,-1,0,0,1,1,-1,1,0,0,0,3,2,-1,2,2,2,0,0,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_34_latin_ext_y[560]={ 27,6,6,6,4,6,6,6,5,5,5,8,24,18,
24,5,6,6,6,6,6,6,6,6,6,6,12,12,9,13,9,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,32,6,12,5,12,5,12,5,12,5,5,
5,5,5,12,12,12,12,12,12,12,8,13,13,13,13,13,13,5,5,5,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,12,7,6,9,6,
5,6,6,6,6,12,13,18,6,3,6,8,6,6,6,13,6,15,26,6,6,12,6,6,6,12,0,0,0,1,
1,1,6,6,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,10,6,0,0,0,1,0,6,5,6,6,
6,6,6,5,12,12,6,6,6,6,6,6,6,6,5,6,6,6,6,6,6,10,12,6,6,6,6,6,5,6,
2,8,0,6,6,12,0,6,-1,6,1,6,0,6,0,5,6,5,2,8,0,6,1,6,6,12,0,6,-1,6,
0,6,1,6,6,4,-1,-1,6,5,0,6,2,8,0,6,6,5,1,12,6,5,-1,6,6,5,13,0,0,6,
5,6,5,6,5,6,5,0,6,6,12,0,6,6,6,12,2,8,0,6,0,6,6,12,0,6,6,12,0,6,
0,6,-1,6,6,12,0,6,6,8,0,5,6,8,0,6,2,8,0,6,-1,5,0,6,6,13,-1,6,-1,6,
1,0,6,1,6,0,6,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,3,12,7,7,7,7,7,7,7,7,7,7,7,7,7,3,12,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,6,0,6,0,
6,0,6,-1,4,-1,1,-1,1,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-1,-1,6,-1,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_34_latin_ext_w[560]={ 0,4,10,15,13,24,22,4,9,9,12,17,6,8,
4,9,14,9,15,12,15,13,14,13,13,14,4,5,17,17,17,12,27,22,19,19,22,19,16,21,22,10,12,23,
19,27,23,20,16,21,21,15,18,22,22,29,22,22,18,8,9,7,14,17,6,13,16,12,15,12,13,15,16,8,
9,16,8,24,16,14,16,15,11,10,9,16,16,22,15,16,14,9,2,10,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,13,15,15,16,
2,12,10,22,10,15,17,8,22,17,10,17,9,8,6,15,15,4,6,6,10,15,21,21,23,12,22,22,22,22,
22,22,28,19,19,19,19,19,10,10,10,10,21,23,20,20,20,20,20,13,21,22,22,22,22,22,16,15,13,13,
13,13,13,13,19,12,12,12,12,12,8,8,9,9,14,16,14,14,14,14,14,17,15,16,16,16,16,16,16,16,
22,13,22,13,23,15,19,12,19,12,19,12,19,12,22,19,21,15,19,12,19,12,19,12,19,14,19,12,21,15,
21,15,21,15,21,15,22,16,22,16,10,11,10,10,10,10,11,10,10,8,22,15,12,12,23,16,16,19,8,19,
8,19,13,19,11,18,9,23,16,23,16,23,16,19,21,14,20,14,20,14,20,14,26,21,21,11,21,11,21,11,
15,10,15,10,15,10,15,10,18,9,18,13,18,9,22,16,22,16,22,16,22,16,22,16,22,17,29,22,22,16,
22,18,14,18,14,18,14,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,16,16,15,16,16,16,
16,16,16,16,16,16,16,16,16,16,21,16,16,16,16,16,16,16,16,16,16,16,16,16,16,25,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,13,10,9,20,
14,22,16,22,16,22,16,22,16,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,22,13,28,19,21,15,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_34_latin_ext_h[560]={ 0,22,9,22,26,22,22,9,29,29,14,17,9,4,
4,23,22,21,21,22,21,22,22,22,22,22,16,21,16,7,16,22,29,21,21,22,21,21,21,22,21,21,22,21,
21,21,22,22,21,28,21,22,21,22,22,22,21,21,21,28,23,28,12,2,6,16,23,16,23,16,22,22,22,22,
29,22,22,15,15,16,22,22,15,16,20,15,15,15,14,21,14,29,29,29,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,26,22,16,21,
29,27,5,22,10,16,7,4,22,3,10,17,12,12,6,21,28,4,7,12,10,16,22,22,22,22,27,27,27,26,
26,26,21,27,27,27,27,26,27,27,27,26,21,27,28,28,28,27,27,13,22,28,28,28,27,27,21,23,22,22,
22,22,22,23,16,21,22,22,22,22,21,21,21,21,23,21,22,22,22,22,22,13,17,22,22,22,22,28,29,28,
25,20,27,22,27,21,28,22,29,22,27,22,28,22,27,23,21,23,25,20,27,22,26,22,27,21,27,22,29,28,
28,28,27,28,27,30,28,28,21,22,27,21,25,19,27,21,27,28,26,15,22,29,29,28,27,28,14,27,27,27,
28,21,22,21,22,21,22,28,21,27,21,28,21,21,22,22,26,20,28,22,28,22,22,16,27,21,27,21,27,21,
28,22,29,22,27,21,28,22,28,26,27,23,21,20,28,22,26,20,28,22,29,23,28,22,27,20,29,22,28,28,
26,27,21,26,21,27,21,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,22,20,20,28,20,20,20,
20,20,20,20,20,20,20,20,20,20,25,16,20,20,20,20,20,20,20,20,20,20,20,20,20,25,16,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,27,22,27,21,28,
22,28,22,29,24,29,27,29,27,29,27,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,31,29,28,22,29,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_34_latin_ext_s[560]={ 410,504,23,316,242,343,413,41,294,304,381,
491,34,132,504,470,209,129,139,33,494,101,238,368,382,1,507,505,168,46,150,
112,40,288,328,343,155,109,311,363,1,483,385,197,24,260,192,171,221,1,238,
57,67,34,398,421,44,86,178,491,398,95,483,159,114,33,422,47,495,60,157,
108,124,99,317,82,73,293,347,89,482,18,318,104,439,330,267,244,409,379,394,
271,350,369,89,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,410,504,67,
141,73,194,314,347,121,239,498,17,64,132,216,141,1,473,473,464,107,292,464,
504,82,457,12,186,321,299,275,262,189,436,459,81,157,114,211,132,41,21,1,
222,493,482,235,45,436,246,1,45,66,371,392,425,332,87,127,190,413,459,419,
33,195,181,167,153,139,439,224,406,85,72,59,46,370,24,33,473,480,240,456,
441,426,411,396,439,1,436,326,354,476,213,68,230,358,408,85,98,108,276,264,
155,121,129,169,202,307,142,212,49,483,17,305,449,319,168,137,499,339,458,405,
253,164,327,343,388,383,404,482,24,420,110,1,1,360,471,325,462,1,43,12,
480,56,284,215,255,281,499,359,247,364,299,290,270,500,71,115,451,266,140,181,
127,308,61,54,103,91,108,224,246,24,348,58,398,443,86,371,202,291,128,250,
159,209,171,42,471,353,191,174,183,79,315,23,104,190,408,257,398,22,299,256,
422,365,298,327,453,284,16,324,363,380,276,167,150,199,272,325,180,340,231,355,
493,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,453,381,381,483,
381,381,381,381,381,381,381,381,381,381,381,381,381,336,133,381,381,381,381,381,
381,381,381,381,381,381,381,381,279,115,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,151,125,
313,396,439,261,460,69,209,381,232,442,186,425,141,152,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,1,107,410,278,85,1,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381, };
static unsigned short stb__times_34_latin_ext_t[560]={ 30,62,279,171,119,147,171,279,1,1,261,
239,279,279,85,119,171,239,239,171,217,147,147,147,147,171,171,194,261,279,261,
171,1,239,239,194,239,239,239,194,239,217,194,239,239,239,194,194,239,62,239,
194,239,194,194,194,239,239,239,33,119,62,261,279,279,261,119,261,119,261,194,
194,194,194,1,194,194,261,261,261,147,194,261,261,239,261,261,261,261,217,261,
1,1,1,279,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,30,91,119,
194,261,217,1,62,279,194,261,261,279,279,194,279,279,239,261,261,279,217,33,
114,279,261,279,261,194,194,194,194,91,62,91,119,119,119,217,91,91,91,91,
119,62,62,91,119,217,91,33,33,33,62,62,261,171,33,33,33,62,62,217,
147,171,171,171,171,171,119,261,217,171,171,171,171,217,217,217,217,119,217,147,
147,147,147,147,261,261,171,147,171,171,33,1,33,119,239,91,171,91,217,33,
147,1,147,91,147,33,147,91,147,194,147,119,239,91,147,119,147,91,217,91,
147,1,33,33,33,91,33,91,1,33,33,217,194,62,194,119,239,119,217,119,
33,119,261,147,1,1,1,91,33,261,91,91,91,33,217,147,194,147,217,147,
62,217,91,217,62,217,217,171,171,119,239,62,171,33,147,171,261,62,217,62,
217,62,217,62,147,1,147,62,217,62,147,62,119,62,119,217,239,33,171,119,
239,33,147,1,119,33,171,62,239,1,171,33,33,119,62,217,119,217,62,217,
171,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,171,239,239,1,
239,239,239,239,239,239,239,239,239,239,239,239,239,119,261,239,239,239,239,239,
239,239,239,239,239,239,239,239,119,261,239,239,239,239,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,62,171,
62,217,1,171,1,147,1,119,1,91,1,91,1,91,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,
239,239,239,1,1,1,147,1,147,239,239,239,239,239,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239, };
static unsigned short stb__times_34_latin_ext_a[560]={ 123,164,201,246,246,409,382,89,
164,164,246,277,123,164,123,136,246,246,246,246,246,246,246,246,
246,246,136,136,277,277,277,218,452,355,328,328,355,300,273,355,
355,164,191,355,300,437,355,355,273,355,328,273,300,355,355,464,
355,355,300,164,136,164,231,246,164,218,246,218,246,218,164,246,
246,136,136,246,136,382,246,246,246,246,164,191,136,246,246,355,
246,246,218,236,98,236,266,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,123,164,246,246,246,246,98,246,
164,373,136,246,277,164,373,246,196,270,147,147,164,283,223,123,
164,147,152,246,368,368,368,218,355,355,355,355,355,355,437,328,
300,300,300,300,164,164,164,164,355,355,355,355,355,355,355,277,
355,355,355,355,355,355,273,246,218,218,218,218,218,218,328,218,
218,218,218,218,136,136,136,136,246,246,246,246,246,246,246,270,
246,246,246,246,246,246,246,246,355,218,355,218,355,218,328,218,
328,218,328,218,328,218,355,318,355,246,300,218,300,218,300,218,
300,218,300,218,355,246,355,246,355,246,355,246,355,246,355,246,
164,136,164,136,164,136,164,136,164,136,348,271,191,136,355,246,
246,300,136,300,136,300,200,300,169,300,136,355,246,355,246,355,
246,297,345,243,355,246,355,246,355,246,437,355,328,164,328,164,
328,164,273,191,273,191,273,191,273,191,300,136,300,210,300,136,
355,246,355,246,355,246,355,246,355,246,355,246,464,355,355,246,
355,300,218,300,218,300,218,136,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,355,382,382,246,382,382,382,382,382,
382,382,382,382,382,382,382,382,355,260,382,382,382,382,382,382,
382,382,382,382,382,382,382,381,266,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,355,218,164,136,355,246,355,246,355,246,355,
246,355,246,355,246,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,355,218,437,328,355,246,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_34_latin_ext_BITMAP_HEIGHT or STB_FONT_times_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_34_latin_ext(stb_fontchar font[STB_FONT_times_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_34_latin_ext_BITMAP_HEIGHT][STB_FONT_times_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_34_latin_ext_s[i] + stb__times_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_34_latin_ext_t[i] + stb__times_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_34_latin_ext_x[i];
            font[i].y0 = stb__times_34_latin_ext_y[i];
            font[i].x1 = stb__times_34_latin_ext_x[i] + stb__times_34_latin_ext_w[i];
            font[i].y1 = stb__times_34_latin_ext_y[i] + stb__times_34_latin_ext_h[i];
            font[i].advance_int = (stb__times_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_34_latin_ext_s[i] + stb__times_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_34_latin_ext_t[i] + stb__times_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_34_latin_ext_x[i] + stb__times_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_34_latin_ext_y[i] + stb__times_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_34_latin_ext_LINE_SPACING
#endif

