// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_35_latin_ext_BITMAP_HEIGHT        304
#define STB_FONT_times_35_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_35_latin_ext_NUM_CHARS            560

#define STB_FONT_times_35_latin_ext_LINE_SPACING          23

static unsigned int stb__times_35_latin_ext_pixels[]={
    0x02eec800,0x80000000,0x20001aa9,0x55400099,0x3310001a,0x06620000,
    0x00266000,0x01310000,0x00804000,0x26620000,0x31000000,0x00333333,
    0x00266200,0x4aaaaaaa,0x0aaaaaa8,0x550000b7,0x2c880015,0x75405b80,
    0x4000cc03,0x2a6004b8,0xb8800001,0x0bceeedc,0x35310000,0x77640060,
    0x44000002,0x5dd90002,0x7fc00000,0x59500005,0x3ffa0000,0xfff30001,
    0x077fc003,0x04ffe800,0x04ffe800,0x002fdc00,0x007fe000,0xb10cc800,
    0x74000003,0x000005ff,0xfffffff7,0xffb00001,0xdddd900d,0x3bbfeaff,
    0x000b71ee,0x0005ff88,0x2dc03d91,0x74c1ffa0,0xd5003dac,0xdffd9005,
    0x80007dff,0x2209bed9,0x0000deca,0xbdddffd5,0x1001d137,0x00000bff,
    0x001f3362,0x0000bff1,0x00037cc0,0x20000598,0x20002ff8,0x5006fffe,
    0x2e0001ff,0x0001ffef,0x003ffbee,0x0000f500,0x00007540,0x01fefec0,
    0xfdf50000,0x5000003f,0x1ddddddd,0xfef98000,0xbfd4002f,0x016e06fa,
    0x001df700,0xb700fb80,0xf885fc80,0xf700fe21,0x0bfe9801,0x0037f6a2,
    0x4005db10,0x3a6003e9,0x7ec40bdf,0xff3000ff,0x5b200000,0x3ea001fb,
    0x64000006,0x1b00000e,0x1fdc0000,0xb15f5000,0x03f9005f,0x7dd3e200,
    0x29f10005,0x980005fb,0x15000000,0x32200000,0x4000003c,0x000df55f,
    0x00000000,0x001beabd,0x81beaff5,0x7ec0005b,0x6f880000,0x20100b70,
    0x1037c46b,0x1ffb80bf,0x8017fec0,0x320004e9,0x03ffb803,0x2001ffa8,
    0x400001fa,0x800513f9,0x000000ec,0xd00000f4,0xb00005fd,0x41e80009,
    0x002f806b,0x05d31320,0x1f987900,0xb126c400,0x9b100009,0x400026c4,
    0x013624d8,0xd312e000,0xd8800005,0x00013624,0x003e88b5,0x037d5fea,
    0x7c4000b7,0x3fa00001,0x20005b81,0x703fc45e,0x1ffd407f,0x007ff440,
    0x20000fea,0x13fe601e,0x4001fb80,0x6400004b,0x07a0001f,0x13100000,
    0x7fe40000,0x00580003,0x03a80dc0,0x388000e6,0x39800910,0xfa800910,
    0x000ff50f,0x3ea1ff50,0xffa80007,0x0000ff50,0x00910388,0x50ffa800,
    0x244000ff,0x3ea00190,0x2dc0df57,0x00055000,0x5b82ff80,0x303fe000,
    0x8827ec03,0x3e6006ff,0x00fe205f,0xf8834400,0x174000ff,0x00001400,
    0x20001ff1,0x80000018,0x0001dffb,0x0000cb88,0x00000000,0x00000000,
    0xb8000000,0x0000ae22,0x0057115c,0x2b88ae00,0x00000000,0x222b8000,
    0x0000002b,0x3eaff500,0x00016e06,0xff880000,0x20005b83,0x36000efd,
    0x05ff906f,0xb02ffd80,0x0e80000d,0x8003ffc8,0x06a6002b,0x07fb8000,
    0x000d4c00,0xb70e8800,0x00000000,0x04c03530,0x76d40000,0x2a620002,
    0x8004409a,0x00c40a98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0301a988,0x06fabfd4,0x0000016e,0x82ff9800,0x9839805b,0xf9000eff,
    0x01fff10f,0xb86ffb80,0x3dc9801f,0xf82c8795,0x288001ff,0x7f77f640,
    0x740003ef,0xfec8005f,0x003effee,0x01f0ee00,0x90000000,0x5dffbdfd,
    0xfeb80fcc,0x304fffff,0x8005b33d,0xfedeffda,0x4c03b9be,0xaceffffe,
    0x3fffae3c,0xd900cfff,0x2e3bffff,0xcffffffe,0xffffd900,0x3fffae3b,
    0xd900cfff,0x2a3bffff,0x0dfffffe,0xbfffffd5,0xdfffd703,0x3ffffae5,
    0xfd900cff,0xa803bfff,0xbdeeeffe,0xff500e89,0x05b81bea,0x3fffff20,
    0xffffffff,0x3ea02fff,0x7105b80f,0x3fee0dfd,0x0ffb801e,0x4003ffd4,
    0x27c0fff9,0x55c77a20,0x2a24c2ff,0x800007ff,0x6c40bfe9,0x32a000df,
    0x00cceffe,0x2205ff4c,0x80000dfd,0x0001a25a,0x80015751,0xfc983fe9,
    0xf9803e9e,0x316c04ff,0x3bfa200d,0x3fffa80a,0x4c2fbee0,0xf983fffb,
    0xf5000dff,0x3ffe603d,0x3df5000d,0x037ffe60,0xc80f7d40,0xff901fff,
    0x0bf7007f,0x0037ffe6,0x2600f7d4,0x6c40bdfe,0xff500fff,0x05b81bea,
    0xeffefa80,0xda999999,0x41fea02f,0xdff9905b,0x0bfff720,0xff70ff50,
    0xfff1000d,0xd100fd43,0x1a0ffd0b,0x0000dff9,0x5c01ffc8,0xb97002ff,
    0x40199bff,0x7dc01ffc,0xde80002f,0x320003fb,0xccdfdacf,0x1ffb80cc,
    0x002ffe40,0x2c803fff,0x3fe601a6,0x27ec400d,0xf300ff98,0x0bffa07f,
    0xfe80bf00,0x02fc002f,0xf000bffa,0x01fff80b,0x2e00bffe,0x0bffa00f,
    0xfb80bf00,0x1ffa803f,0x1beaff50,0xf98005b8,0x3d806ffa,0x05b837c0,
    0xb8e437f4,0x3e202fff,0x005ffd84,0x36c5fff0,0x3fa03f60,0x5ffd8d05,
    0x3fea0000,0x01ffb002,0x4007fd40,0xfb002ffa,0xf900001f,0x17ec0003,
    0x03bbbfea,0x3a007ff5,0xffd000ff,0xeaae9801,0x02ffc402,0x3f60bf10,
    0xe81fcc05,0x1fc001ff,0x0007ffa0,0x1ffe807f,0x3201fc00,0x3fee03ff,
    0x7405d804,0x1fc001ff,0x4009ff30,0x2ff501fb,0x016e06fa,0x1bfe3720,
    0x1f900ea0,0x6fd80750,0x3ffe616c,0xfd03f501,0x3fe0009f,0xfd80fe4f,
    0xd03ff883,0x0005ffe8,0x400dff10,0x32005ff9,0x6ff8807f,0x017fe600,
    0x000bf600,0x7f407fd4,0x00dff104,0x4017ffea,0xc9800ffe,0x0ffd802d,
    0xfe82e400,0xfb03d804,0x03e8001f,0x20007fec,0x07fec03e,0xf300fa00,
    0x37fcc0df,0x3f6017c0,0x81f4000f,0x4000fff8,0x2aff502e,0x0016e06f,
    0x0dff13f1,0x07b100a0,0xf89bf200,0xd05fe980,0x017ff607,0xf89fffc0,
    0x260df701,0x6c5980ff,0xb00005ff,0xfd8005ff,0x0bfd002f,0x8005ffb0,
    0x20002ffd,0xb0005ff8,0x41bf20df,0xf9802ffd,0xe803ffd9,0x400000ff,
    0x88004ffb,0x700fff05,0x003ff607,0xffd807d0,0x201f4000,0x74000ffd,
    0x00ffe803,0x7a807ffa,0x000ffd80,0x3ffc81f4,0xf502b800,0x5b81beaf,
    0xff8a6400,0x6d400006,0x537e4001,0x83fe601f,0x3fee00ca,0xfff88006,
    0xff101f32,0x5c1bee03,0x003ffe43,0x007ffc40,0x201bfea0,0x7c403ff8,
    0x7d4000ff,0x3f20006f,0xfe8001ff,0x881ff706,0x7c400fff,0xd00fff73,
    0xba8801ff,0x0ffec01a,0xffb00800,0xd814401d,0x1f4000ff,0x0003ff60,
    0x0ffd807d,0x6401f400,0x3ff603ff,0x36013604,0x1f4000ff,0x8001fff8,
    0x2aff5028,0x8016e06f,0x0dff10f9,0x1f980028,0xfb9bf200,0x764bf203,
    0x03ffcc00,0xa87ffcc0,0x206fc80f,0xb83b04fe,0x40000fff,0x98007ffa,
    0x7d400fff,0x3ffd401f,0x07ffcc00,0x7ff7c400,0x07fc8004,0xffa81ff9,
    0x3e64e807,0x7ff400ff,0x3af7f600,0x0fff02ff,0xfff50000,0xffb0005f,
    0x403e8001,0x74000ffd,0x007fec03,0x3e600fa0,0xffff106f,0x7ec017c0,
    0x41f4000f,0x00007ffa,0x0df57fa8,0x49b002dc,0x16606ff8,0x80019700,
    0x03fe66fc,0x059307d4,0x0007ffc4,0x07b9bfea,0x3fea09ff,0xfff30d02,
    0xffb80003,0xfff98006,0x403fe401,0x98006ffb,0xb8001fff,0x000fff8f,
    0x7f40ffd4,0x406ffb85,0x0fffc46c,0x5c03ffa0,0x207fe43f,0x00006ff9,
    0x3dffff90,0x007fec00,0xffb00fa0,0x403e8001,0x74000ffd,0x03ffd003,
    0x503ffbf5,0x03ff600f,0xff907d00,0xf500000d,0x5b81beaf,0x7c41f300,
    0x4017206f,0xf90003e8,0xa80efe8d,0x7f409d06,0x7fe4003f,0x3fe21ea2,
    0x2a0ffd02,0x007ffd05,0x005ffd80,0x403fff88,0xffd805fe,0xfff88005,
    0xf94e8003,0xbfb0007f,0xfd80ff88,0x203ee05f,0x7f403fff,0x41ff880f,
    0x7fdc3ff8,0x55553005,0xff901555,0xb0019fff,0x3e8001ff,0x0007fec0,
    0x1ffb00fa,0x7003e800,0xf59b09ff,0x2009b09f,0x74000ffd,0x005ffd83,
    0xf57fa800,0xe802dc0d,0x667ffc44,0x005ffdcc,0x807501f9,0x7ffcc6fc,
    0x2fa81641,0x400dff30,0x07cc6ff8,0x37603fe6,0x300e885f,0x88003fff,
    0x000bffd4,0xff013ffe,0x0bffd007,0x013ffe00,0x3fe61f30,0x7ff90006,
    0x3fa03bf9,0x203f305f,0x7f404fff,0x80ff880f,0x2ffec3ff,0xfffea880,
    0xffd300ae,0xfd807fff,0x01f4000f,0xd0003ff6,0x00ffd807,0xf8801f40,
    0x7c4fc46f,0x800fc47f,0x74000ffd,0x005ffe83,0xf57fa800,0x5402dc0d,
    0x67ffc40f,0x05fecccc,0x016e0df0,0xfff50df9,0x5f880ae5,0x400ffea0,
    0x0fc41ffc,0x93b0bfe2,0x403e889f,0x2000effd,0x00bffb0d,0x980bffe0,
    0xffd801ff,0x5fff0005,0x7f45d800,0x56c4001f,0x7e401aa9,0x202f885f,
    0x7f402fff,0xf103300f,0x07ffd87f,0x00fffcc0,0x5fffffb8,0x0003ff60,
    0x0ffd807d,0x3601f400,0x1f4000ff,0x5c3ffb00,0x7a8bff66,0x003ff600,
    0xbffb07d0,0xff500000,0x05b81bea,0x99999de8,0x017206ff,0x02dc1fea,
    0x7fd41bf2,0x7fd402ef,0x007bf200,0x0fa03ff3,0x4bb2fffa,0x70faa4fd,
    0x00dff901,0x37fe43b1,0x0fffc400,0x3200ff70,0xf88006ff,0x3e2001ff,
    0x002ffd41,0xf70007d1,0x4409d0df,0x7f401fff,0xfbb5000f,0x0fffc87f,
    0x007ffc00,0x9ffff910,0x0003ff60,0x0ffd807f,0x3601fc00,0x1fc000ff,
    0x749ff500,0x4d97fea3,0x003ff600,0xfff907f0,0xff500000,0x05b81bea,
    0x777777d4,0x16206ffe,0x2e07fea0,0x3037e405,0xfb807ffd,0x17fe400f,
    0x2a01ffb8,0x1efffa86,0x073b7fea,0x7ffdc0b3,0x3d9510ad,0x8007ffa8,
    0x3200fff9,0xfff5005f,0x1fff3000,0xff836400,0x3bf7000f,0x3fea0033,
    0x3e602ec7,0x0ffe807f,0xff8e7dc0,0x017ffdc3,0x4001ffe0,0xd82fffe9,
    0x17c001ff,0x0007ff60,0x1ffd805f,0x10017c00,0xf07e2fff,0x003f11ff,
    0x2000ffec,0x0fffb82f,0xbfd40000,0x016e06fa,0x1bfe207d,0x5ff30070,
    0x6fc80b70,0x00fff440,0x32200ff9,0x3ffecdff,0x17103f00,0x1e806e20,
    0x7fff6d40,0xf980bfff,0x7d4000ff,0x017f406f,0x000fff98,0x20037fd4,
    0x07ff902f,0x3fffff20,0x440cffff,0x01d71fff,0xe806ffb8,0x07fa207f,
    0xfff987ff,0x83ffc004,0x4ffe8802,0x4001ffd8,0x0ffec02f,0xfb00be00,
    0x02f8003f,0x35cffec0,0x03557fe4,0x0007ff60,0x3fff305f,0x7fa80000,
    0x02dc0df5,0x37fc40d7,0x1ffc4000,0x17f202dc,0xd813fa20,0x7f4c006f,
    0x2e000fff,0x5a800006,0x0d5ec400,0x001ffec0,0xf880bff2,0x1ffec007,
    0x00bff200,0x99999fa8,0x2006ffa9,0xfffffffd,0x7fe41fff,0xfc801fab,
    0x06fe802f,0x7ff03fd1,0x800dffb0,0x001d07ff,0xff90dff3,0x00fc4005,
    0x8800bff2,0x17fe401f,0x8003f100,0x983ecffa,0x4004ddff,0x22002ffc,
    0x07ffd01f,0x57fa8000,0xf02dc0df,0x037fc405,0x417fc010,0x427e405b,
    0xb037c41b,0xfb10009f,0x4d800bff,0x03a60000,0x001bf300,0x8801bfe2,
    0x2fcc05ff,0x01bfe200,0x4005ff88,0xfffffffe,0xb002ffff,0x55533313,
    0xeff88bf9,0x5ff8802f,0x320bfd00,0x107ff06f,0x7c005fff,0x2007d07f,
    0x4ffa85ff,0x2a01ea00,0x1ea004ff,0x8013fea0,0xfff0007a,0x3fffe01f,
    0x27fd4001,0x7cc0f500,0x244001ff,0x0df57fa8,0x406b82dc,0x16006ff8,
    0x05b81fe8,0x1be61fe4,0x03fb817a,0x0fffee00,0x0002f880,0xa8000ea8,
    0x3ee004fe,0x1ff9003f,0x8002fc80,0xf9003ffb,0x07cc001f,0x2017fea0,
    0x50f5003d,0x3f2009ff,0x7f42980e,0x3e0dfb04,0x1dff704f,0x741ffe00,
    0x83ff8805,0xd1007fe8,0x0ffd1009,0x22013a20,0x9d1007fe,0x17ff2000,
    0x8006ffc8,0xd1007fe8,0x0effd809,0x7d403600,0x2dc0df57,0x3e2017c4,
    0x2097006f,0x80b705f8,0xe86f80fd,0x0017e203,0x007ffb30,0x70002744,
    0x7d40001d,0x0ffec005,0x0c0bfea0,0x7ec000bd,0x17fd401f,0x74017600,
    0x07ee00ff,0xfff82dc0,0x40ffd401,0x03fe3ff8,0xfb117fe4,0x3fea0e9f,
    0x07ff800e,0xefc80bfd,0x809ff300,0x3e6006e8,0x0374404f,0x8809ff30,
    0x3e60006e,0x13fe603f,0x027fcc00,0x7e401ba2,0x01d8806f,0x037d5fea,
    0x100fb0b7,0x5f500dff,0xadc03ee0,0x413a1ee8,0x54035c6c,0xc980001f,
    0x3b2002df,0x033aa002,0x003fb000,0x9105ff50,0x23f601df,0x540000f9,
    0xefc882ff,0x00fc4000,0x3e04ffb8,0x81f8805f,0x80affbec,0xff101efc,
    0x4c07f11f,0xeaeddfff,0xfd103dff,0xff71037d,0x2b7ffa0d,0x007ff260,
    0x4c13bff5,0x54000eeb,0x2e609dff,0x7d4000ee,0x3ae609df,0x7f40000e,
    0x000ff400,0x413bff50,0x2000eeb9,0x10adfffb,0xffe83d95,0xfff57fff,
    0x716e5fff,0xfff700ff,0xb5333335,0x01b910ff,0xcfff9adc,0x2f2a00dc,
    0x0fa6002c,0x6e5c4000,0xcfc9801c,0xecba999a,0x76c0000c,0x3620002d,
    0x3efecdff,0x01757ec0,0xdffd8800,0x0003efec,0x7fc400d9,0x7dff900f,
    0x0bae6213,0x7fe443ea,0x802efede,0x803dfffc,0xf70dffeb,0xfdb7007f,
    0x39ffd99f,0x7fedd740,0x000dffee,0xffdfffd5,0x2a00019f,0xfffefffe,
    0xfd50000c,0x19fffdff,0x00b90000,0xd50000d7,0x9fffdfff,0xfdb50001,
    0x017fffff,0x23333331,0x09999998,0x3fffa695,0x3fb220df,0xffffffff,
    0x6445ffff,0x32a4a801,0x002002cd,0x00025440,0x2a200080,0x09acdecb,
    0x00000000,0x8006aa20,0x000002b8,0x00006aa2,0xfe8009f1,0x3fff204f,
    0x00dfffff,0x26aa2033,0x00d44000,0x000404c0,0x019aa988,0x13555030,
    0x2aaa2000,0x1000009a,0x00135555,0x2aaaa200,0x22000009,0x00018801,
    0x26aaaa20,0x53100000,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6c000000,0x7ff4004f,0x372e202f,
    0x00001acd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffdc00,0x7ff5c04e,0x0001efff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00009993,0x000776c4,0x00c40500,0x0bbb2000,0x59950000,
    0x2aa20000,0x200a8002,0x01b26002,0x229db000,0x980003ee,0x50000009,
    0x510009dd,0x1f540035,0x09805d90,0x0e2000a0,0xd90deb80,0x2aa6000b,
    0xdb500000,0x00000005,0x01803000,0x9aa98800,0x03000440,0x33000018,
    0x00000001,0x3ff60000,0x2600002f,0x200003ff,0x007440ea,0x017fe000,
    0xffff1000,0xff700001,0x03d10007,0xffd5003b,0x7c40000d,0x001ff50f,
    0x01fffa80,0x0efd8000,0x0fffd800,0x220ffd00,0x82e806ff,0x06d4002c,
    0x7fc7fd00,0xfff88002,0xae980006,0xc80003d9,0x40009100,0x0007501c,
    0x76f7fed4,0x003b9bef,0x001d4072,0x00fffd40,0x19fd5000,0xfa800048,
    0x00006fcc,0x00002fd4,0x01fccbf6,0x01bea000,0x36bf2000,0xfd80005f,
    0x4fee0004,0xf33004e8,0x540000df,0x000bee3f,0x017fffa0,0x03ff1000,
    0x9fdbf300,0xe817ee00,0x24fa803f,0x06ec005d,0x5f89be00,0xff9f9000,
    0x22c80005,0xf9800069,0x00eca9ac,0x2af7e200,0xd10007ec,0xff5015df,
    0x6fc4007f,0x0007ecab,0x00bfffd0,0x3fffe600,0x000498cf,0x00fea3e8,
    0x001f9000,0x7e7fcc00,0xfc800006,0x7c400000,0x00007ee2,0xff0000bf,
    0xd8001fdb,0x3200006f,0x40002ec6,0x02fd89fb,0x00bea000,0x1fd8af40,
    0x00100100,0x00feeff4,0xf3000d90,0x40007d43,0x00dd32f8,0x01a62c80,
    0x7fffec00,0xfd80005f,0x8003ffff,0x4400dff9,0x7ec004fd,0x0003ffff,
    0x2fd89fb8,0xf70b8000,0x0003ffff,0x00e883b8,0x0016c000,0x0bfff200,
    0x007a0000,0x26072000,0x03aa0006,0x3ffea000,0x06fc8003,0x1d076000,
    0x41e88000,0x3200006c,0x70950003,0x0000000d,0x8013ffe6,0x4a8002fa,
    0x2d8001e4,0x30001ec4,0x0005d55d,0x0bbfae20,0xcec98000,0x5ff88000,
    0x0017e200,0x00033b26,0x0d907a20,0xdd507000,0x80300005,0x02800001,
    0x15544000,0x00c40000,0x22018000,0x00170000,0x00155400,0x00006fc8,
    0x20000a0a,0x0007500b,0x038000a0,0x0000006a,0x80055540,0x050007f8,
    0x80a20005,0x3660000b,0x1000002d,0x00000000,0x0003ff60,0x000000b9,
    0x1d402e00,0x00000000,0x0006a600,0x00000000,0x00000000,0x00000000,
    0x26000000,0xdf90001a,0x35300000,0x00000000,0x80d4c400,0x00000001,
    0x0d4c4000,0x004fd818,0x00000000,0x00000000,0x026aa620,0x00000011,
    0x0013fee0,0x54c00162,0x00000001,0x00000000,0x3fbbfb20,0x7f5c03ef,
    0x00cfffff,0x3bffffd9,0x3fffffae,0xffd900cf,0x3fae3bff,0x00cfffff,
    0x3bffffd9,0x3fffffae,0xffd900cf,0x26623bff,0x99980999,0x77f64009,
    0x2003effe,0x055cc6fc,0xfddfd900,0x000007df,0x3faa0000,0x89bdeeef,
    0x3333310e,0x01333301,0x805500e6,0xdeeeffea,0x3e20e89b,0xfffd700f,
    0x32019fff,0x01dffffe,0x7002aea2,0x9ffffffd,0x3fffb201,0x7ed401df,
    0x9befedef,0xfffeb83b,0xd700cfff,0x6c3bffff,0x010001ff,0x7f77f640,
    0x000003ef,0x7fff5c00,0xd900cfff,0x803bffff,0x6c40bfe9,0x7fcc00df,
    0xdf5000df,0x37ffe603,0x03df5000,0x0037ffe6,0xf980f7d4,0xf5000dff,
    0xffffb83d,0x2efeb82d,0x8817fd30,0xfc800dfd,0x3ffffd36,0x40bfe980,
    0xf700dfd8,0x1bffffff,0x3fffff60,0x7bfd301d,0x0fffd881,0x05bffff7,
    0x5c45dfd7,0xffb886fe,0x17bfd304,0x20fffd88,0xff9806fb,0xdf5000df,
    0xdacfc803,0x40ccccdf,0x000dfff9,0xe8803df5,0xffa80aef,0x3ffe603f,
    0x3ff5000d,0x0000fff0,0x40bfe980,0xb300dfd8,0x3bffffff,0xfffffdb8,
    0x7ffcc0ce,0x3df5000d,0x803ff900,0x7f402ffb,0x02fc002f,0xf000bffa,
    0x02ffe80b,0x3fa02fc0,0x82fc002f,0x3200fff8,0x03ff900f,0x6402ffb8,
    0xffeee8ef,0x3ff901ff,0x102ffb80,0x001ffff9,0x5c03dff1,0xffa803ff,
    0x803ffe21,0x7fe640fc,0x27fee446,0x5401ffdc,0x017fe1ff,0x20017ff4,
    0x217ec05f,0x80eeeffa,0x7c002ffe,0x06ffcc05,0xd013f620,0x5f8005ff,
    0x0006ff98,0x007ff200,0xfe805ff7,0x7fcc00ef,0x17ff404f,0x2a017e00,
    0xffb002ff,0x00fff401,0xffd00fe0,0x403f8003,0x7c001ffe,0x00fff403,
    0xffb80fe0,0x7d413a02,0x1ffb002f,0x50effe40,0xff50bffd,0x03ff6005,
    0x000fffd8,0x7fcc01ff,0x707ee004,0x027405ff,0x27fc0dfd,0xb8013fe6,
    0x009ff31f,0xf0007ffa,0x407fd407,0x7ff404fe,0x101fc001,0x7c400bff,
    0x00ffec05,0x3fee0fe0,0x55553005,0xffa81555,0x01ffb002,0xe8027fe4,
    0x7ff401ff,0x201fc001,0x26006ff8,0x3ff605ff,0x201f4000,0x74000ffd,
    0x007fec03,0xffb00fa0,0x403e8001,0x01f305ff,0x4c00dff1,0x3ff205ff,
    0x21fff881,0x26006ff8,0x3fe205ff,0x02fa803f,0x0003ffe2,0x20bff05d,
    0x1bf600f9,0x3fe24ff8,0xa974000f,0xffb003ff,0x203e8001,0x0df906fd,
    0x4000ffd8,0x03ff603e,0xfd80b900,0x41f4000f,0x51005ffd,0x415dfffd,
    0x26006ff8,0x3fee05ff,0x03ffd003,0x4000ffd8,0x17fec03e,0x40bff600,
    0x74000ffd,0x007fec03,0xffb00fa0,0x403e8001,0x74000ffd,0x40ffdc03,
    0x05ffb05c,0x902ffd80,0x1ffe40df,0xd8005ffb,0x3fea02ff,0x2027400f,
    0xb8003ffc,0xc81ffb82,0xd037ec05,0x01ffe49f,0x3ffb95c0,0x001ffb00,
    0x1bfa03e8,0xfb007fdc,0x03e8001f,0x10009ff7,0x00ffd80b,0x7fec1f40,
    0x7ffcc007,0x002ffd81,0xfb817fec,0x1ffb003f,0x000ffd80,0xfff101f4,
    0x6ffa8001,0x8001ffb0,0x07fec03e,0xfb00fa00,0x03e8001f,0x20007fec,
    0x45ff803e,0xfff882f8,0x37fd4000,0x3ea06fc8,0x01fff14f,0x406ffa80,
    0x3ae05ffd,0x00fffc00,0x5ff81440,0x3f6017c4,0xff93fa06,0x9288001f,
    0x3f6005ff,0x01f4000f,0x3ff20ff9,0x003ff600,0x3ff607d0,0xd8010001,
    0x1f4000ff,0x0007ffe4,0xff103ffe,0xffa8001f,0x007ff706,0xfb003ff6,
    0x03e8001f,0x2001ffea,0xfd80fff9,0x01f4000f,0xd0003ff6,0x00ffd807,
    0x3f601f40,0x01f4000f,0x0d707fdc,0x2001ffea,0xfc80fff9,0x557fe606,
    0xf98007ff,0x3fe200ff,0x402f882f,0x00007ffa,0x1ae0ffb8,0xfe81bf60,
    0x000fff54,0x2005ff90,0x74000ffd,0x207fea03,0x7fec05fe,0xf81f4000,
    0x2000007f,0x74000ffd,0x02fffb83,0x7d43ffc0,0xff98007f,0x03ffb80f,
    0xd801ffb0,0x1f4000ff,0x000dff70,0xfb03fff3,0x03e8001f,0x20007fec,
    0x07fec03e,0xfb00fa00,0x03e8001f,0x0fa4ff88,0x40037fdc,0xfc81fff9,
    0x5cffe206,0xf98006ff,0x7fd401ff,0x6402ec0f,0x800006ff,0x00fa4ff8,
    0x4fe81bf6,0x0000dff9,0x36005ff7,0x1f4000ff,0xff117f60,0x00ffd801,
    0x7fcc1f40,0x36000006,0x1f4000ff,0x0027ffcc,0x3fee1ffe,0xfff98006,
    0x003ffb81,0xfd801ffb,0x01f4000f,0x1000bffb,0xffb07fff,0x403e8001,
    0x74000ffd,0x007fec03,0xffb00fa0,0x003e8001,0x01f31ff9,0x20017ff6,
    0xfc83fff8,0x6cbfe206,0xf88005ff,0xffd803ff,0x36003ea4,0x000005ff,
    0x01f31ff9,0x7f40dfb0,0x000bffb4,0x2007ff30,0x74000ffd,0xcbffc803,
    0xffd801df,0x5c1f4000,0x553005ff,0xb0155555,0x3e8001ff,0x800dffb0,
    0x5ffd87ff,0x3fff8800,0xb003ffb8,0xffd801ff,0xd01f4000,0x3e000bff,
    0x0ffd84ff,0x3601f400,0x1f4000ff,0x0003ff60,0x0ffd807d,0x8801f400,
    0x3a05ccff,0xff0005ff,0x40ff909f,0xbffd1ff9,0x13ffe000,0x22bffe20,
    0xbffd003f,0x3e200000,0xfb005ccf,0xfea7f40d,0xf880005f,0x1ffb004f,
    0x4403e800,0x001aa9ad,0xd0003ff6,0x00bffb07,0x3bfffaa2,0x00ffd80a,
    0xff881f40,0x1ffe002f,0x40017ffa,0xffb84fff,0x9999999c,0x400ffe99,
    0x74000ffd,0x017ff603,0x6c17ffc0,0x1f4000ff,0x0003ff60,0x0ffd807d,
    0x3601f400,0x1f4000ff,0x05fff900,0x8002ffec,0x7fc82fff,0xffd97ea0,
    0x5fff0005,0x37bfee00,0x17ff6005,0xffc80000,0x0dfb002f,0x5ffda7f4,
    0x09ff0000,0x0003ff60,0x01f4407d,0x003ff600,0xfffb07d0,0x1fff9800,
    0x0003ff60,0x77fdc07d,0xb0fff000,0x3e000bff,0xfffb82ff,0xffffffff,
    0x6c00ffff,0x1f4000ff,0x000dff90,0xfb03fff1,0x03f8001f,0x20007fec,
    0x07fec03f,0xfb00fe00,0x03f8001f,0x901bfe20,0xf1000dff,0x3ff903ff,
    0xffc87fa0,0xfff88006,0x3fff6001,0x1fff2001,0xff880000,0x81ff6006,
    0x0fff94fe,0x017f6000,0x20007fec,0x277ee03f,0xffd80019,0x641fc000,
    0x7c000fff,0x3ff600ff,0x201f4000,0xf800effa,0x06ffc87f,0x81fff880,
    0xfb003ffb,0x0ffd801f,0xf501fc00,0xff3000ff,0x03ffb01f,0x7ec02f80,
    0x017c001f,0xf0007ff6,0x01ffd805,0x360017c0,0x3ffd403f,0x07ffcc00,
    0x91077fe4,0x07ffa87f,0x00fff980,0x0017fe60,0x0001fff7,0x001fec00,
    0x3fa01fff,0x001fff74,0x200df700,0x7c001ffd,0x3ffff202,0x00cfffff,
    0xf0007ff6,0x05fff705,0x6c07ff80,0x17c001ff,0x0df7f440,0x5437fdc4,
    0xf98007ff,0x3ffb80ff,0x801ffb00,0x7c001ffd,0x03ffe602,0x20dff500,
    0x7c001ffd,0x00ffec02,0xffb00be0,0x402f8003,0x7c001ffd,0x007d4002,
    0x0003ffe6,0x3f20dff5,0x2ffcdfcf,0x000fff98,0x20037fd4,0x4c005ff8,
    0x00001fff,0x2e003ea0,0xe84efffe,0x03fff34f,0x03ff1000,0x8003ffb0,
    0x7ffec02f,0x1fffffff,0x8003ffb0,0x4fff982f,0x203ffc00,0x7c001ffd,
    0x3fb6e002,0x1cffeccf,0x001fff30,0xf706ffa8,0x3ff6007f,0x00ffec00,
    0xffb00be0,0x2ffc8007,0x4005ff90,0x7fe401f8,0x007e2002,0x44005ff9,
    0x17fe401f,0x8003f100,0x7ffb005c,0x02ffc800,0x02aa2df9,0x8007ffb0,
    0x44002ffc,0xfe8005ff,0x2000003f,0xe800005c,0x00fffa4f,0x401fd400,
    0x22002ffc,0x4c4ec01f,0x5fcaaa99,0x4005ff90,0xdffb01f8,0x407ff800,
    0x22002ffc,0x7d10001f,0x3f600335,0x7fe4003f,0x007ff702,0xf9003ff6,
    0x0fc4005f,0x801bfe20,0x3ea05ff8,0x01ea004f,0xa8013fea,0x04ffa807,
    0x3ea01ea0,0x01ea004f,0x22003f10,0x3e2006ff,0x01bf205f,0x801bfe20,
    0x88005ff8,0xf98005ff,0x244001ff,0x00007e20,0xff98ffa0,0x4244001f,
    0x4ffa806d,0x7b01ea00,0x7d41ea00,0x81ea004f,0x2002fff8,0x7fd407ff,
    0x001ea004,0x4000cfa8,0x22006ff8,0x3fee05ff,0x01ffb003,0x2004ffa8,
    0x7ff7007a,0x803ff200,0xd1007fe8,0x0ffd1009,0x22013a20,0x9d1007fe,
    0x00ffd100,0xd90013a2,0x03ffb800,0x6401ff90,0xff70006f,0x03ff2007,
    0x017fe200,0x0077fec0,0x06c801b0,0x83fd0000,0x2000effd,0x402f880d,
    0xd1007fe8,0x800fdc09,0x0ffd105b,0xf7013a20,0x3fe001df,0x03ff4407,
    0x20004e88,0xb8003ffa,0xff9003ff,0x01ffdc01,0x4400ffd8,0x9d1007fe,
    0x00ffec00,0x2600bfea,0x374404ff,0x809ff300,0x3e6006e8,0x0374404f,
    0x8809ff30,0xf309806e,0x3ffb0003,0x402ffa80,0x360007fc,0x7fd401ff,
    0xbff30002,0x37fe4000,0x84c0ec40,0x000001f9,0x1bff20df,0xfa807620,
    0x027fcc00,0xbff01ba2,0x4c03f100,0x374404ff,0x00effa80,0xf9807ff8,
    0x0374404f,0x0027dc00,0x5401ffd8,0x7fdc02ff,0x03ffb003,0x8809ff30,
    0xffa8006e,0x00efc882,0x8277fea0,0x4000eeb9,0x2609dffa,0x54000eeb,
    0x2e609dff,0x7d4000ee,0x3ae609df,0x77ff400e,0x3ea0003f,0x0efc882f,
    0x0007fd80,0x64417fd4,0x2a0000ef,0x5c0006ff,0x510adfff,0xdffd03d9,
    0xf300007f,0xb80be21b,0x510adfff,0x1b5003d9,0x09dffa80,0x9003bae6,
    0x22137dff,0xfa802eb9,0x3ae609df,0x3fa2000e,0xffb881be,0x3bff5006,
    0x007f5cc1,0x000fec00,0x9105ff50,0xff7001df,0x07ffa009,0x04effd40,
    0x0001dd73,0x3b37ff62,0xd50003ef,0x9fffdfff,0x3faa0001,0x0cfffeff,
    0xfffd5000,0x0019fffd,0x3bfffaa0,0xe800cfff,0x80005fff,0xfecdffd8,
    0xfff1003e,0xfd880003,0x03efecdf,0x0fffc800,0x7f6d4000,0x00bfffff,
    0x000bfffd,0x3afffee0,0xffeda803,0x000bffff,0xfd500362,0x19fffdff,
    0x3ffff200,0x000dffff,0x3fbfffaa,0x70000cff,0xfd99ffdb,0xea80039f,
    0xcfffefff,0x6f6c0000,0xfd880001,0x03efecdf,0x00dffd10,0x4007fff3,
    0xffefffea,0x100000cf,0x40000355,0x009aaaa8,0x55551000,0x22000013,
    0x0009aaaa,0x35555100,0x0e64c001,0x55440000,0x7776c001,0x80000dee,
    0x80001aa8,0xffffffc8,0x9880003d,0xcc9801aa,0x6dc00001,0x988001bd,
    0x140001aa,0x9aaaa880,0xdcb88000,0x20001acd,0x009aaaa8,0x2aa62000,
    0xa8800019,0x00009aaa,0x88000000,0x366001aa,0x1cefffff,0x7ffffedc,
    0x551000ce,0x00001355,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x14c00998,0x200a8000,0x500cc002,0x0007dc40,0x7ffffff4,0xffffffff,
    0x2a6201ff,0xec800c40,0x06d9802e,0x0000aaa0,0x0001bdd1,0x00000000,
    0x20140310,0x02806202,0x0a000062,0xfd980188,0xeeffffff,0x260000bd,
    0xd0000a01,0x800001bd,0x18005ee9,0x571000c0,0x04000ba8,0x10000020,
    0x30001bdd,0xfffffdb7,0x030005ff,0x27ff4000,0x00006d40,0x03b107a2,
    0x05905d00,0x001fffb3,0x5557bfd0,0xb7557ffd,0xffd305ff,0x07959dff,
    0xb80bff10,0xf7006ffe,0x5c0003ff,0x300002ff,0x7c400dff,0x1ec0007f,
    0x036a025c,0x40ea80d3,0xa80000e8,0x0007440e,0x535bffd1,0x0007fff7,
    0x00164174,0x0005ff50,0x001ff900,0x01220550,0xff31ffd8,0x300c8009,
    0xfb800007,0x7ec4002f,0x0b62ffff,0x0003d400,0x01ffefa8,0x40001ea8,
    0x009d13fc,0x06d93ea0,0x001ffb11,0x3ffa07d0,0x7dc2f980,0xfff730be,
    0x00df5007,0x100dff33,0x000dfbdf,0x00001fec,0x98001df9,0x260002ff,
    0x001f90df,0x00be63dd,0x01f4cbf6,0x263fb000,0xffb8002f,0x05ffe883,
    0x36c9f500,0x013f2000,0x00ffc000,0xb759dd00,0x7fec003f,0x8009ff31,
    0xeca9ace9,0x7ec00000,0x7ff44003,0x0b62ffff,0x0017ec00,0x37dd7e20,
    0x0000fa80,0x03fb7fe2,0xfddfe800,0x007fdc01,0x1ffd03c0,0x0ff98ee0,
    0x9007ff30,0x37ec001d,0x2fc876c0,0x004f8800,0x000ff400,0x40004fa8,
    0x003fcefc,0x00bf9ff3,0x01bf3fe6,0xf9ff3000,0x3fee000d,0x01fff103,
    0x3f7bf600,0x02fc0001,0x02f98000,0x7fffdc00,0x1644005f,0x3a00032e,
    0x004fffff,0x0027c400,0x7fffffe4,0x2000b62f,0x40005ff8,0x80174c4c,
    0x7d40005e,0x4c0003ff,0xfa805fff,0x2058000f,0x47100ffe,0x1fcc05fd,
    0x36000740,0x542cc06f,0x02d4000e,0x00be6000,0x8000f900,0x4006fff8,
    0x2001fffd,0x0002fffc,0x01fffc80,0x407ff700,0x30003ffe,0x8000bfff,
    0x20000069,0x7100004c,0x0000039d,0x3fae2000,0xa800002d,0xfffd0005,
    0x16c5ffff,0x0fffe400,0x91038800,0x000be600,0x00005550,0x2a002aaa,
    0x400000ff,0xfd000ffe,0x8807b009,0x06fd8001,0x8005301c,0x3b800002,
    0x003b0000,0x001aa980,0x20015544,0x00002aa8,0x00055510,0xf901ffdc,
    0x554000bf,0x04c0000a,0x00500000,0x00000000,0x00080000,0x4000a000,
    0xfffffff8,0x1000b62f,0x0009ffdf,0x1df00000,0x00000000,0x03102a62,
    0x00001ff5,0xf000ffe8,0x807700ff,0x80c40a98,0x000006fd,0x18000000,
    0x00040000,0x00000000,0x40000000,0x7fdc0001,0x00fff603,0x00000000,
    0x00000000,0x4cc40000,0x99980999,0x00180009,0xf0000000,0x5fffffff,
    0x3ee0016c,0x4000fff8,0x80000fc8,0x7fecc4fc,0xfd7004ff,0xd303bfff,
    0x959dffff,0x881ff507,0x20019999,0xfb000ffe,0x814401df,0xceffffe9,
    0x0dfb03ca,0xfd983980,0xd7004fff,0x203bffff,0x006e20ba,0x037105d4,
    0xffffffa8,0xffffffff,0x3fffb226,0xffb33eff,0xbddfffff,0xa8000017,
    0x7fdc0007,0x01fff103,0xffffffe8,0xffffffff,0xfffb31ff,0x7bddffff,
    0xfffa8001,0xffffffff,0x3f666fff,0xffffffff,0x5c5fffff,0xb82dffff,
    0x54002efe,0xfffb8007,0xb00dffff,0x43bfffff,0xfffffffe,0x9d000b62,
    0x4c00fff2,0x0000fffd,0xc880ffa8,0x2a002fff,0x7df700ef,0x0fffee61,
    0xff703fea,0x3a0017bf,0xff5000ff,0xfb8005ff,0xfff730be,0x201bf607,
    0x2206feb8,0x2002fffc,0x3e600efa,0x003ffa4f,0x7ff49ff3,0x2b3bea00,
    0xfcaaaaaa,0xfff901ff,0x37ffa203,0x3fffba9a,0x0bf60000,0x03ffb800,
    0xfd00bffb,0xffd5557b,0x5ffb7557,0x9adffe88,0x003fffba,0x2aab3bea,
    0xfffcaaaa,0x33bffb01,0xdf753333,0x401fff10,0xfd8000fc,0xffc88002,
    0xff8800ff,0xffffc81e,0x00b62fff,0xdff30f98,0x3ffa2200,0xff980000,
    0x07fff201,0xff304f80,0x20ffe601,0x77440ffa,0x0ffe8001,0x3ffff200,
    0x0ff9801e,0x3607ff30,0xffdc806f,0x1fffc806,0xf5013e00,0x007ff49f,
    0xffe93fea,0x22016e00,0x3ea03ffe,0x1ffdc06f,0x002fff44,0x002ffc40,
    0xea87ff70,0x07d004ff,0x3e603ffa,0x883ffb82,0xb7005ffe,0x07ffd100,
    0x54027fdc,0x405ff706,0xff88004e,0x3ff60005,0x01ff000f,0x7fffffec,
    0x5d800b62,0x7000fff4,0x100001ff,0x7fcc07ff,0x07f000ff,0x7f3017f6,
    0x7441ff50,0x3ffa0005,0x7ffe4000,0x3f600cff,0xd81fcc05,0x1bfa006f,
    0x03fffe60,0x65c01fc0,0x5c00b260,0x900b260c,0x0bffb005,0x5c05ff98,
    0xfff103ff,0xffc80001,0xff70001f,0x37fffddd,0xffd03c00,0x3ee0ee01,
    0x1fff103f,0xfb005900,0x4ffa80bf,0x2ffc0d00,0xc8000f98,0x10001fff,
    0xf5007fff,0xffffb005,0x88016c5f,0x02ffd41f,0x0001ff70,0xf9813fe0,
    0x5f006ffe,0x36013fa0,0xd10ffa83,0xffe80009,0xffe98000,0x9fd03fff,
    0x3f607b00,0x01bf6006,0x01bffbe6,0x0000017c,0x00640000,0x3003ffea,
    0xffb80bff,0x00fffa03,0x4ffef880,0x39ff7000,0x8003fff3,0x403ffa05,
    0x03ffb838,0x3200fffa,0x07ffd400,0x4013fea0,0x207fee02,0xef88005c,
    0x2a0004ff,0x27400fff,0x5f995100,0x06c8016c,0x2a001fff,0xf00000ff,
    0x7cfcc0df,0x02f804ff,0x07700fff,0x09d11ff5,0x01ffd000,0x7fffdc00,
    0x807ff85f,0x00dfb03b,0x7cc037e4,0xf804fff9,0x41999982,0x4c099998,
    0x4cc41999,0x88030099,0xf9802fff,0x1ffdc05f,0x000bff90,0x07ffc7dc,
    0x51ffdc00,0x40000dff,0x5c000ffe,0x3ff203ff,0x7c401805,0xffa802ff,
    0xbff00004,0xb8002f88,0x000fff8f,0xb817ff60,0x8ba0000e,0x205f002d,
    0xf5003ffc,0x3a00001f,0x7cde607f,0x817c03ff,0x2200effd,0x6faffa82,
    0x1ffd0000,0xffc88000,0x77fec4ff,0x7ec0a200,0x01bf2006,0x1fffcde6,
    0x3f6e0be0,0x7ffecc7f,0x23ffedc2,0x002fffd9,0x200bffb0,0x7dc05ff9,
    0x0fff603f,0xff94e800,0x7ff70007,0x0004ffc8,0x8001ffd0,0x3f603ffb,
    0xfd80003f,0x9ff5005f,0xff700280,0xe80035c1,0x0007ff94,0x4417ffc4,
    0x1740002f,0x33f5005b,0xdff53333,0x883fea00,0xffd8002b,0x7fdcf300,
    0x540be01f,0x4002ffff,0x04ffdffa,0x00ffe800,0xfffd3000,0x17fffd45,
    0x0037ec00,0x4f300df9,0x3e01fffb,0x5c1ff602,0x0ffb02ff,0x2000bfee,
    0x3000effb,0xffb80bff,0x01fff103,0x7cc3e600,0xffb8006f,0x002ffe83,
    0x000ffe80,0xf881ffdc,0x5c0000ff,0xf5000eff,0x1006809f,0x001f49ff,
    0x6ff987cc,0x7ffd4000,0x40002ec0,0x3a00b62e,0xffffffff,0xfa802fff,
    0xffffd88f,0x03ffa000,0x3fff23cc,0x7e405f00,0x5001efff,0x05ffb1ff,
    0x00ffe800,0xffd10050,0xeffffc89,0x01bf6001,0x79806fc8,0xf807ffe4,
    0x4c1ff202,0x0ff902ff,0x3000bfe6,0x4c003fff,0x7fdc05ff,0x00bffb03,
    0x3ffa2ec0,0x1ffdc001,0x0007ffcc,0x0003ffa0,0x3f607ff7,0x7cc0005f,
    0x3ea001ff,0x801e604f,0x00f98ffc,0x7ff45d80,0x7fec0001,0x00003ea4,
    0x4c02d8ba,0x2ffd400f,0x674ffd40,0x2005ffba,0x21e607fe,0x05f06ffe,
    0xcfffffc8,0x447fd400,0x20001ffe,0x1d000ffe,0x90dff300,0x019fffff,
    0x6400dfb0,0xe879806f,0x405f06ff,0x5ff107fc,0x7c41ff20,0x7ff4002f,
    0x2ffcc004,0xd50ffee0,0x440009ff,0x02ffd41f,0x5c0ffee0,0x740005ff,
    0x7dc000ff,0x27ff543f,0x27ff4000,0x33bfea00,0x07fecccc,0x1733fe20,
    0xf507e200,0xf88000bf,0x003f8aff,0x016c5d00,0x7ff40176,0x0f7fd400,
    0x7c007fee,0x221e606f,0x02f85fff,0xfffffe98,0x4c3fea03,0xd0000eff,
    0x0fa001ff,0xe982ffc0,0x403fffff,0x3f2006fd,0xf8879806,0x202f85ff,
    0x5ff107fc,0x7c41ff20,0x3ff2002f,0x5ff98006,0x7777fdc0,0x0001bfff,
    0x0fff8364,0x80ffee00,0x20004ffd,0x5c000ffe,0xfffeeeff,0xfc80001b,
    0xffa8006f,0xfeccccce,0x7ffe4007,0xf06c8002,0xb80001ff,0x0005deff,
    0x202d8ba0,0xff7001f8,0x81ffa809,0xf8802ff8,0x4c1e605f,0x017c3fff,
    0xbfffff70,0xfa83fea0,0xfff0005f,0x2017a003,0x7dc03ff8,0x3605ffff,
    0x1bf2006f,0x7fcc1e60,0xf9017c3f,0x40bfe20f,0x5ff107fc,0x07ffe600,
    0x017fe600,0xff339ff7,0x5f00003f,0x800fff20,0x3e204ffc,0xfd0002ff,
    0xffb8001f,0x01fff99c,0x1fff9800,0x04ffa800,0xff1001e6,0x40be000d,
    0x80003ffc,0x0001fffd,0x202d8ba0,0x3fe2006c,0x03fea00f,0x2600ffe2,
    0x81e602ff,0x0be2fffa,0xffff9100,0xc83ff709,0x7cc004ff,0xbfd003ff,
    0x800efc80,0x04ffffc8,0x7e400dfb,0x2a079806,0x80be2fff,0x5ff107fc,
    0x7c41ff20,0xffe8802f,0xbff30003,0x2a3ffb80,0x540006ff,0xa999999f,
    0xfd1006ff,0x7fd401df,0x7f4000cf,0x7fdc000f,0x001bfea3,0x007ffd10,
    0xb013fea0,0x007fb000,0x33333f50,0x000dff53,0x000bff30,0x40b62e80,
    0x7f4004f8,0x03fea04f,0x2a00ffe2,0x203cc07f,0x05f0fffc,0x3fffa600,
    0x2217fe42,0xeb804fff,0x04efffff,0x3056fff4,0x98003ff9,0xff82fffe,
    0x0df9000f,0xffc80f30,0x7e405f0f,0x205ff107,0x5ff107fc,0x00bff900,
    0x202ffcc0,0x7fe43ffb,0x3ffa0004,0xffffffff,0x3ff6602f,0x901cffff,
    0x003dffff,0x70003ffa,0x4ffc87ff,0x17ff2000,0x04ffa800,0x07d4001c,
    0x7ffff400,0x2fffffff,0x2ffc4000,0xd8ba0000,0x8009fb02,0xf502fffe,
    0x00ffe01f,0x0f3013f2,0x5f1dffb0,0x3fa200a0,0xffffb74f,0x3ffff239,
    0x2000004e,0xeeffdbae,0x80280dff,0x3ae4ffe8,0x400cefff,0x079806fc,
    0x2f8effd8,0x7c41ff20,0x20ff902f,0x7d402ff8,0x260000ff,0x7fdc05ff,
    0x002ffe83,0x7d400f98,0x0000005f,0x01ffd000,0xe83ffb80,0xfa8002ff,
    0x2a0000ff,0x800004ff,0x0f98005c,0x002ffd40,0x0017fe20,0x216c5d00,
    0x04effffb,0x7fffff5c,0x807fd41e,0x7fc403ff,0x4403cc00,0xd02fdffe,
    0x0dff3001,0x5cc00000,0x3aa06000,0x003a009a,0x0001bfe6,0x3cc02fe4,
    0x7efff440,0x441fee02,0x0ff702ff,0xf880bfe2,0x031002ff,0xfb80bff3,
    0x0fff983f,0xe802ec00,0x360000ff,0x200001df,0x5c000ffe,0xfff983ff,
    0x3ffe2000,0xf5031002,0x4008009f,0x5d8001f8,0x001ffd00,0x002ffc40,
    0x02d8ba00,0x40254000,0x7ff00ffa,0x9804fb80,0xffff1007,0x7c00fa05,
    0x16fdc05f,0x03ffe000,0x804fb800,0x0bff003e,0x320019ff,0x0079805f,
    0x405ffff1,0xff980ffa,0x301ff502,0x7fec05ff,0x2606e005,0x7fdc05ff,
    0x00bff703,0xfb800fc4,0x3aa0004f,0x3a00006f,0x7dc000ff,0x0bff703f,
    0x002ffec0,0x09ff5037,0x1b2015c0,0x4007e200,0x20004ffb,0x00005ff8,
    0x0005b174,0xfa804e80,0x807ff00f,0x01f5005e,0x40bffea0,0x3ff8805e,
    0x003fecc0,0x000bffa0,0x7402ffb8,0x83ff8805,0xfb003ffb,0x001f5007,
    0x980bffea,0x7ff543ff,0xa87ff304,0xff704ffe,0x9834001f,0x7fdc05ff,
    0x013ff603,0xff100364,0x7c40001f,0x3fa00007,0x7fdc000f,0x013ff603,
    0x8003ffee,0x009ff506,0x7cc261e6,0x006c8001,0x0003ffe2,0x0002ffcc,
    0x002d8ba0,0x201fe200,0x7ff00ffa,0xb8007540,0x3fee000f,0xc80bfd02,
    0x1ff000ef,0x02b88000,0x201fe400,0x77e405fe,0x2009f700,0x0fb800fd,
    0x00bfee00,0x3bd9bffd,0xfd079fff,0xff3bd9bf,0x7ffc479f,0x4c1b6001,
    0x7fe406ff,0x0bffe204,0xe8009f10,0x2e0004ff,0x3e00003f,0x7e4001ff,
    0x3ffe204f,0x07ffe202,0xff706d80,0xe89d1009,0x8003feff,0x7f4004f8,
    0xff50004f,0x2e80000d,0xd00000b6,0x7fdc039f,0x704ff881,0x17ec003d,
    0x740bf600,0x3260adff,0x9f5001ff,0x01d10000,0x400fe800,0x260adffe,
    0x3f601ffc,0x9f0ef440,0x000bf600,0xff9805fb,0x39ff14ff,0x53fffe60,
    0x7f41cff8,0x999999df,0x05ffda99,0x2201fff9,0x2a00effe,0xfb00cfff,
    0xfffe8009,0x1ef5c002,0xfff30000,0x7ff44007,0x3ffea00e,0x9dffe80c,
    0xa9999999,0xffb05ffd,0x3333333d,0xffe83ff7,0x9fb0005f,0x2fffe800,
    0x0fffc800,0xd8ba0000,0x7d400002,0x7e43eeff,0x85ff982f,0xff91004b,
    0x74009dff,0xffb75d02,0x001bffdd,0x00017dd5,0x10001cb8,0x5d0039db,
    0xffddffb7,0x073b601b,0x1773ffe6,0xdffff910,0x80174009,0x002a20a9,
    0x0151054c,0xfffffff7,0xffffffff,0x7ffe447f,0xfb33dfff,0x039fffff,
    0x47bffff2,0x04effffb,0x7fffff5c,0x0000001e,0xfffffd70,0x7fecc09d,
    0x901cffff,0x2e3dffff,0xffffffff,0xffffffff,0x3fffb263,0xffffffff,
    0x1cc987ff,0xffffb800,0x7ff5c04e,0x4401efff,0xdffffffc,0x21c80003,
    0x5000001c,0x7fed4179,0xffc99dff,0x00312dff,0x01100000,0x026aaa06,
    0x00000000,0x03000000,0x00013555,0x0059b950,0x00440000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdd900000,0x22000005,0xec800001,0x2200002e,0x6cc004cc,
    0x5effffff,0x3bb20000,0xfffd9802,0xffd7004f,0x93003bff,0x50001305,
    0x800009dd,0x80005eea,0x80000981,0x20001ccb,0x0000a00a,0x0044164c,
    0x8001eed8,0x30000881,0xd7001401,0xa80e207d,0x98180101,0x1f5403cc,
    0xfffffb30,0x7fecc3bf,0x9001efff,0x0ae005dd,0x5c006200,0x40dfc980,
    0xbfd1000b,0xff300000,0xff800007,0x7ec00005,0xd88002ff,0x00001fff,
    0x20027fc4,0x002fffc8,0x64003bea,0x0121efff,0x000ffd80,0x003ff200,
    0x7dcbff00,0x3ea0000f,0x220005ff,0x000ec41e,0x0f7ffe40,0x3fe20019,
    0x337ec004,0xd10005ff,0x74003b03,0x8566406f,0x403606b9,0x2fffe81b,
    0x7401ffa0,0x7fe406ff,0x3fe2000d,0x05ff7004,0x4027fc40,0xfffff80f,
    0xf9800b1c,0xfa800007,0x2a00005f,0x4c00006f,0x000ffbcf,0x0005ffb8,
    0x0005fa80,0x8007fff2,0xb5b1004f,0x00d9dfff,0x0002fe80,0x00007fe0,
    0x7fecfff1,0x2bba0002,0x320002ff,0x0009d13f,0x3fff6b60,0x7cc006ce,
    0x87ffc007,0x70004ffb,0x8017627f,0x7cc00ef9,0x202fffff,0x6ecabdfa,
    0x06fcbfa8,0x7e4017ee,0x01ff404f,0x9002fd40,0x7cc005ff,0x207dc06f,
    0xffffd529,0x05f50009,0x1ed88000,0x03b20000,0x549d0000,0xffa8004f,
    0xed800004,0x3fe60000,0x07f000ff,0xffd982a0,0x7440001f,0x5f300005,
    0x8bb20000,0x2e0005e9,0x000db10e,0x07f6ffc4,0xb3054000,0x50003fff,
    0x2754003f,0x40001db1,0x000fedfe,0x6d4007ee,0xfe802eff,0x3e82ffff,
    0x00080fea,0xfc80ffee,0x01db0002,0x4001e440,0x3fea02ec,0x27ed41c0,
    0x00097000,0x20000000,0x5c00001e,0x4000e883,0x00004ffa,0x4c0000e8,
    0xf006ffef,0x54406005,0x0d100000,0x000f2000,0x10000000,0x8000f20b,
    0x0003fffb,0x002a2030,0x00004c80,0xfff50000,0x002e8009,0x6d400188,
    0x982b80be,0xfb80000e,0x005f703f,0x00000740,0xfff50000,0x00001333,
    0x80000500,0x00301a98,0x80000188,0x2a000c01,0x400004ff,0xf9800018,
    0xf804fff9,0x03530002,0x00130000,0x00000500,0x80300000,0x15540001,
    0x00000000,0x26000500,0x2a00001a,0x014000aa,0x20000000,0x00002201,
    0x3ee0ffee,0x00620002,0xb8000000,0x2fffffff,0x00c00000,0xdffd5000,
    0x1d137bdd,0x00003000,0x54000180,0x000004ff,0x26f30000,0x17c03fff,
    0xfddfd900,0x000007df,0xb8000000,0xcffffffe,0xffffd900,0x0000003b,
    0xfb300000,0x2e009fff,0x01dffffe,0x3bfb2000,0x0003effe,0x1b660000,
    0x0055d440,0x00000000,0x321ffdc0,0x0000002f,0x400aba88,0xfffffec8,
    0x207fdc3e,0xfffffec8,0x07a8003e,0xbdfe9800,0x07ffec40,0x0001ea00,
    0x40007a80,0x30004ffa,0xdffffffb,0x73cc000b,0x17c03fff,0x205ff4c0,
    0xb300dfd8,0xffffffff,0x8bffffff,0xffffffd9,0xffffffff,0x1bfff305,
    0x307bea00,0xfffffffb,0xbfffffff,0xfffffd98,0x2cdeeeff,0x3fff2200,
    0x03bea002,0xfffffd91,0x2ffa607d,0x806fec40,0xffffffd9,0xffffffff,
    0x06ffeb85,0xdfdacfc8,0xd910cccc,0x27dfffff,0xfffffec8,0x2007303e,
    0x0bf23ffb,0x7ff64400,0xf903efff,0x999bfb59,0x3fff9019,0xc803fee0,
    0x20001fff,0x2e0002fd,0xffa803ff,0x017ec001,0x02fd8000,0x013fea00,
    0x3fffb100,0xc8f30000,0x05f00fff,0x5c01ffc8,0x7fec02ff,0xa999999d,
    0x3ff606fb,0xa999999d,0x3ffa06fb,0x202fc002,0x9999dffd,0x106fba99,
    0x5359dffd,0x019fffb9,0x007fff20,0x7fe404f8,0x07ff201f,0xd805ff70,
    0x99999dff,0x9986fba9,0x17ec06ff,0x03bbbfea,0xc807fff2,0xeb881fff,
    0x7ff7006f,0x40000bf2,0x3601fffc,0x777fd42f,0x06ffa80e,0xfa803fee,
    0x3e20006f,0xff30005f,0x00fdc009,0x000bff10,0x00bff100,0x0027fd40,
    0x002ffdc0,0xffe87980,0x7d405f06,0x1ffb002f,0x4027fdc0,0x13fee06a,
    0xffe81aa0,0x201fc001,0x6a804ffb,0x980ffee0,0x9801fffe,0xf000ffff,
    0x06ffa807,0x6c00bfea,0x3fee00ff,0x3606a804,0x03fea06f,0xff5013fa,
    0x06ffa80d,0x200dff99,0x05fdbffb,0x1bfea000,0xfe80ffa8,0x02ffcc04,
    0x7cc01ff7,0x3f20005f,0x7c4001ff,0x174000ff,0x03fff900,0xfffc8000,
    0x9ff50001,0x9ff50000,0x21e60000,0x2f85fff8,0x400dff10,0x3ea05ff9,
    0x540d004f,0x40d004ff,0x74000ffd,0x027fd403,0x0ffee068,0x007fff20,
    0x00dffdf3,0xbff300be,0x801bfe20,0x3ea05ff9,0x6c0d004f,0x41bf606f,
    0x7fcc06fc,0x02ffcc05,0x7dc01bfa,0x003fffef,0x40bff300,0x0df906fd,
    0x2e05ff98,0x3fe600ff,0xfdf10005,0xffc8009f,0x002b8003,0x009ffdf1,
    0x7ff7c400,0x9ff50004,0x9ff50000,0x41e60000,0x17c3fff9,0x4002ffd8,
    0xff502ffd,0xfa80a009,0x6c05004f,0x1f4000ff,0x4013fea0,0x00ffee02,
    0x30077ff4,0x009fff3f,0x5ff9805f,0x8005ffb0,0xff502ffd,0xfd80a009,
    0x5c1bfa06,0x3fe600ff,0x02ffcc05,0x7dc01bf6,0x04fffcbf,0x05ff9800,
    0x7fdc1bfa,0x817fe600,0x3e600ffb,0x1f70005f,0x7c001fff,0x288001ff,
    0xfff1f700,0x3ee00001,0x8000fff8,0x80004ffa,0x00004ffa,0x7ffd40f3,
    0x3fe20be2,0x7fd4000f,0x009ff506,0x009ff500,0x001ffb00,0x7fd403e8,
    0xffb80004,0x7fff3003,0xfff9bcc0,0x26017c03,0xfff885ff,0x37fd4000,
    0x0004ffa8,0x3f206fd8,0x401ff907,0x7cc05ff9,0x037ec05f,0xff73ffb8,
    0xf980009f,0x41ff205f,0x3e600ffc,0x03fee05f,0x0005ff98,0x00fff29d,
    0x0003ffd4,0xffca7400,0x29d00003,0xa8003ffc,0xa80004ff,0x300004ff,
    0x0fffc80f,0x0fff505f,0x01fff300,0x02809ff5,0x1404ffa8,0x0007fec0,
    0x9ff500fa,0xffb80280,0x1bff2003,0x3ffee798,0xf300be01,0x0fff50bf,
    0x01fff300,0x02809ff5,0x3ea06fd8,0x405fe81f,0x7cc05ff9,0x037ec05f,
    0x3ee3ffb8,0x260004ff,0x3fea05ff,0x4c05fe81,0x3fee05ff,0x017fe600,
    0x7fcc3e60,0x0dff9006,0x0f980000,0x0000dff3,0x1bfe61f3,0x013fea00,
    0x013fea00,0x6c03cc00,0xb82f8eff,0xf98006ff,0x4ffa81ff,0x7fd40340,
    0x7ec03404,0x01f4000f,0x0d013fea,0x4007ff70,0xf301fffa,0xf00fffc8,
    0x85ff9805,0x98006ffb,0xffa81fff,0x7ec03404,0x222fec06,0x7fcc00ff,
    0x02ffcc05,0x7dc01bf6,0x27ffdc3f,0x05ff9800,0x3fe22fec,0x02ffcc00,
    0x7cc01ff7,0x45d8005f,0xfd801ffe,0x4000005f,0x00fff45d,0xffd17600,
    0x4ffa8003,0x3ea0a200,0xf300004f,0xfbffd100,0x00bffb05,0x507fff10,
    0x03cc09ff,0xf3027fd4,0x001ffb00,0x7fd403e8,0x2e01e604,0x3e6003ff,
    0xd0f302ff,0x00be0dff,0xffb0bff3,0xfff1000b,0x409ff507,0x06fd8079,
    0xdfcbffc8,0x05ff9801,0x3602ffcc,0x7ff7006f,0x009fff70,0x900bff30,
    0x03bf97ff,0x540bff30,0x3fe600ff,0x20fc4005,0xfe805ffa,0x2000005f,
    0x2ffd41f8,0xa83f1000,0x7d4005ff,0x2072004f,0x00004ffa,0x3fe200f3,
    0x5ffe82ff,0x09fff000,0x9999dff5,0xf500ffd9,0xd99999df,0x1ffb00ff,
    0x5403e800,0xccccceff,0xffb807fe,0x1fffc003,0xfff88798,0x7cc02f85,
    0x05ffe85f,0x509fff00,0x99999dff,0xdfb00ffd,0xaa9ad880,0x17fe6001,
    0xd80bff30,0x7ff7006f,0x013ffee0,0x880bff30,0x001aa9ad,0xf9817fe6,
    0xff98512f,0xf8364005,0x7fec00ff,0x32000005,0x001fff06,0x7ffc1b20,
    0x13fea000,0xffa83440,0x1f500004,0x0bffea00,0x40017ff6,0xffa82fff,
    0xfeccccce,0xceffa807,0x07fecccc,0x4000ffd8,0x77fd403e,0x7feccccc,
    0x003ffb80,0x79827ffc,0xf87fff30,0x42ffcc02,0xf0005ffd,0xdff505ff,
    0xffd99999,0x440dfb00,0x7cc0003e,0x2ffcc05f,0x5c01bf60,0x3fee03ff,
    0x3fe6004f,0x000fa205,0x440bff30,0xf985cfff,0x817c005f,0x7e403ffc,
    0x2000007f,0x07ff902f,0x7e40be00,0x3fee003f,0x504e9805,0x200009ff,
    0x3ee000fb,0x06ffc82f,0x81fff880,0x1e604ffa,0x9813fea0,0x00ffd807,
    0x3ea01fc0,0x201e604f,0x7c003ffb,0x40f303ff,0x0be2fffa,0xf90bff30,
    0xff1000df,0x09ff503f,0x37ec03cc,0x0333bf70,0x80bff300,0x7ec05ff9,
    0x09ff7006,0x00efffc8,0x2e05ff98,0x800199df,0x7d405ff9,0x5ff981df,
    0x2667ea00,0x06ffa999,0x0007ffdc,0x4ccfd400,0x06ffa999,0x9999fa80,
    0x006ffa99,0x557fffb1,0x5ff97555,0x0013fea0,0x20017ec0,0x7ffa82fd,
    0x0fff9800,0x2c04ffa8,0x2027fd40,0x01ffd805,0x3ea017c0,0x5c02c04f,
    0x3e2003ff,0x80f301ff,0x05f0fffc,0xfa85ff98,0xff98007f,0x04ffa80f,
    0x037ec02c,0xfffffff9,0x7cc019ff,0x2ffcc05f,0x2201ff60,0x7cc06ffe,
    0x4c02ffff,0x3ff205ff,0xcfffffff,0x017fe600,0x0bff3004,0x7fffff40,
    0x02ffffff,0x0007ffe6,0x3ffffa00,0x2fffffff,0x7ffff400,0x2fffffff,
    0x3ffff260,0xffffffff,0x3fea07ff,0x3f220004,0x2004efff,0x0fff982e,
    0x837fd400,0x01c04ffa,0x0e027fd4,0x0007ff60,0x4ffa805f,0x7fdc01c0,
    0x3ffea003,0xfb00f300,0x9805f1df,0xfff985ff,0x37fd4000,0x1c04ffa8,
    0x36037ec0,0xffffffff,0xbff301ff,0x405ff980,0xfb300fff,0x839dffff,
    0xffffffec,0x0bff305f,0xffffffd8,0xf301ffff,0x00b980bf,0x4c017fe6,
    0x2ffd400f,0x000fffa0,0xa801f300,0x3e6005ff,0x02ffd400,0xfa800000,
    0x0000004f,0xffb00880,0x2ffc8007,0x0009ff50,0x0009ff50,0x4005ff90,
    0x7fd401f8,0xffb80004,0x1bff2003,0xfe880798,0x7cc02fdf,0x07ffb05f,
    0x502ffc80,0xb00009ff,0x989d80df,0x5fcaaa99,0x980bff30,0xffd705ff,
    0x000009df,0x0bff3000,0xa99989d8,0xf305fcaa,0x3ffc40bf,0x200bff30,
    0x1ffd005d,0x00fffcc0,0x02ec1220,0xb000ffe8,0x03ffa00b,0x00efec00,
    0x8013fea0,0xcff80028,0x37fc4000,0x40bff100,0x04004ffa,0x20027fd4,
    0x004ffa80,0x3fea01ea,0x7dc04004,0xfff1003f,0x8803cc05,0x4c02ffff,
    0xdff105ff,0x02ffc400,0x08009ff5,0x0f606fd8,0xff983d40,0x02ffcc05,
    0x7c00016a,0x260000cf,0x00f605ff,0x5ff983d4,0x9817ff40,0x1f8805ff,
    0x809ff700,0x2000effd,0x001f880d,0xf1009ff7,0x13fee003,0x02ff5400,
    0x8013fea0,0xffb8001c,0x3ffb8003,0x401ff900,0x2e004ffa,0x004ffa82,
    0x1ffa20ae,0x54027440,0x0ae004ff,0x6c00ffee,0x07d405ff,0x02fffa80,
    0xf702ffcc,0x3ff2007f,0x013fea00,0x06fd82b8,0x16e003f7,0x2602ffcc,
    0x02f405ff,0x03ffb800,0x417fe600,0x0b7001fb,0x22017fe6,0x0bff302c,
    0x7c400d90,0x7fe400ff,0x901d8806,0x7ffc400d,0x10036400,0x20001fff,
    0x7d4006f9,0x00d1004f,0x80027dc0,0x7d401ffd,0x27fd402f,0xff507980,
    0x981e6009,0x374404ff,0x004ffa80,0x0ffee0f3,0x003ffee0,0x7dc001f7,
    0x2ffcc02f,0x5007ff60,0xffa805ff,0x360f3004,0x00bff06f,0x3fe603f1,
    0x02ffcc05,0x400003fe,0x260004fb,0x0bff05ff,0x3e603f10,0x00e8806f,
    0xf880dff3,0x27ff4004,0x56fffdc0,0x203d9510,0x7f4004f8,0x013e204f,
    0x0009ffd0,0xf7000bf2,0x09d300bf,0x0007ec00,0x9105ff50,0xff7001df,
    0x209d1009,0xe8804ffb,0x4effd404,0x003bae60,0x44027fdc,0x07ff904e,
    0x006ffec4,0x360017ec,0x37fcc02f,0x4417fd40,0xfb800efc,0x04e8804f,
    0x3ff20dfb,0xd73109be,0x037fcc05,0xfb01bfe6,0xfb00003b,0x7fcc0001,
    0x37dff906,0x80bae621,0x7100fffc,0x7ffe4039,0x0013f600,0x5005fffd,
    0xffffffdb,0x027ec017,0x40bfffa0,0x7f4004fd,0x3ae002ff,0x7ec4003d,
    0xaaaaabff,0x8002ffcb,0x80001ced,0xfecdffd8,0x3ff6003e,0x9999999e,
    0xffb01ffb,0x3333333d,0xd5003ff7,0x9fffdfff,0x77fec001,0xb9999999,
    0xffe881ff,0xfca989ad,0x7e4402ff,0x2004efff,0x7ffe402e,0xdffd8800,
    0x2003efec,0x9999effd,0x01ffb999,0x3f201fff,0xdfffffff,0x07ffe400,
    0x401fff90,0x04eefff9,0x001676c0,0x403fff20,0xfffffffc,0xffc880df,
    0x003dffff,0x3fffff22,0x3ffee3df,0x7f5c04ef,0x001effff,0xb8035531,
    0x404effff,0xefffffeb,0x9dffff71,0xffffeb80,0x000001ef,0xffffff93,
    0xffffffff,0x0000000f,0x00355100,0x7ffff64c,0xffffffff,0x7ff64c7f,
    0xffffffff,0x44007fff,0x0009aaaa,0xfffffd93,0xffffffff,0xffffd98f,
    0xbcdeffff,0x00000009,0x3ff22022,0x003dffff,0x4c003551,0xffffffec,
    0x7fffffff,0xcefffeb8,0xcddcb880,0x3ff2201a,0x913dffff,0x7bffffff,
    0x0005e4c0,0x7e440000,0x83dfffff,0x1acddcb8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000026,0x00011059,0x64400040,
    0x3efffffe,0x00220600,0x99999880,0x80009999,0x22001808,0x10300e02,
    0x7fffecc1,0xffffffff,0x044005ff,0xffeb800c,0x900cffff,0x03bffffd,
    0x000004c0,0x4cc40062,0x01999999,0x00008800,0x9998001c,0x00999999,
    0x09800000,0x26666662,0x99880199,0x01999999,0x66666640,0x00003ccc,
    0x22001b70,0x000002aa,0x00035550,0x000ffc80,0x3dfff900,0x5c000064,
    0x90001dff,0xd8003fff,0x00bfe66f,0x7ffffdc0,0x4002ffff,0x17fa1ffa,
    0x03c84d80,0x1ffa9bf6,0x999dffd8,0x06fba999,0xfe8bfea0,0x3ffe6005,
    0x3df5000d,0x007fd800,0xd801e400,0xffffffff,0x7fd40007,0x13d10001,
    0x7fffcc00,0x004fffff,0x7fcc0000,0xffffff92,0xfc803fff,0xffffffff,
    0x3fffe001,0x006fffff,0x00bff000,0xa800ffea,0x7fc002ed,0x002fd80e,
    0x0001ffe8,0xdfffb5b0,0xd10000d9,0x540016e1,0xff8006ff,0x009ff70f,
    0x3bbbbaa0,0x4001eeee,0xfff13ffc,0xd877c400,0xc87ffc06,0x4ffb83ff,
    0x2e006a80,0x0fff14ff,0x002ffe80,0x7f4002fc,0x3e00001f,0xdddd9000,
    0x000ddddd,0x4003ffc8,0xbefeffeb,0x77774c00,0x003eeeee,0x7fc40000,
    0xdddddd73,0xeb801ddd,0xeeeeeeee,0x2aaaa001,0x002aaaaa,0xf9013530,
    0x017f6009,0x02d99e98,0xf301ff30,0x9d5000df,0x98260000,0x0001fffd,
    0x0007c3b8,0x4002ffcc,0x07b624ea,0x00000000,0x1f641bd1,0x3fbff200,
    0xd11f5c02,0x09ff501b,0xdd8801a0,0xd000fb20,0x3f8003ff,0x004ea800,
    0x00016a00,0xbd100000,0x45ff4001,0x01ffc88e,0x00000000,0x0001d900,
    0x00000000,0xdfd70000,0x957bfffd,0x0037c00b,0x900698b6,0x13fe203f,
    0x20000000,0x00015101,0x006896a0,0x000bff30,0x4c000000,0x0000001a,
    0x2fffc400,0xffa80000,0x00005004,0x07fec000,0x0000fa00,0x016c0000,
    0x00000000,0x1d27e400,0x00000fdc,0xfffffd70,0x3fb2019f,0x00acdfff,
    0x00300000,0x5c417500,0x17fd3001,0x004ffc98,0x3200074c,0x17401a62,
    0x22000620,0x04409aa9,0x00006000,0x01fdef40,0x005ff980,0x20000180,
    0xeffeefec,0x00000003,0x00015530,0x013fea00,0x00000000,0xd0003ff6,
    0x00000007,0xfeb81f10,0x00cfffff,0x3bffffd7,0x3e200000,0x43d03a1f,
    0xffffffd9,0xffffffff,0x1bfff505,0x807bea00,0xfffffec8,0x07a8003e,
    0xd27fcc00,0xffb801ff,0x01ffdc01,0xd3000170,0x71005d55,0xfb500000,
    0x37dfdbdf,0x3d400077,0x3f900000,0x2ffcc000,0x001ea000,0x102ffa60,
    0x36601bfb,0xffffffff,0x05ffffff,0x037105d4,0x3ffffb22,0x4ffa83ef,
    0xfffb8140,0xb00dffff,0x03bfffff,0xe8001ffb,0xffffd983,0xffffffff,
    0xca8805ff,0x3ffe605d,0x3ff5000d,0x3ffffea0,0xffffffff,0xe8bfe66f,
    0xffd80e40,0xa999999d,0xfff106fb,0x005f8005,0x0007fff2,0x20002fd8,
    0x3ffa4ffa,0x00ffe600,0x0000ffe4,0x016e4c00,0xe8800000,0xffa80aef,
    0x3f60003f,0xfb000002,0x7fcc0005,0x17ec0005,0x03ff9000,0x6c02ffb8,
    0x99999dff,0x2606fba9,0x03ffa4ff,0x403fff90,0x03404ffa,0x01ffff91,
    0x403dff10,0x74000ffd,0x4effec03,0xfba99999,0x2fbf2206,0xffd00dff,
    0x205f8005,0xaaaacefa,0x1fffcaaa,0x40e93fe2,0x09ff700a,0x7ff40d50,
    0x001fc001,0x4000dff5,0x40005ff8,0x80b260cb,0x22007fe8,0x751006ff,
    0x00034413,0x0546aa20,0xbff30122,0x04fd8801,0x00bff100,0x0bff1000,
    0x02ffcc00,0x00bff100,0x400bfea0,0x3ee00ffd,0x206a804f,0x3ffa4ffa,
    0x037fd400,0x79813fea,0x00fffd80,0xfd801ff0,0x01f4000f,0x2a013fee,
    0x7c47ba06,0x3ffb06ff,0x2e03f800,0x3ffe8805,0x01d3ffe8,0x8027fd40,
    0x003ff606,0x7cc007d0,0x3f20005f,0x000001ff,0x003ffc80,0xd501ffec,
    0xd15ffb9f,0x06aea205,0xff97bb10,0x2205981f,0x3e2005ff,0xfff90005,
    0xfc800003,0xf30001ff,0x7e4000bf,0x7c4001ff,0x3fe6006f,0x013fea05,
    0x9832e034,0x5ff9802c,0x6677fd40,0x807feccc,0xa803fff8,0x0ffd802f,
    0x2a01f400,0x20d004ff,0x3f32e1fc,0x00ffd82f,0x05901f40,0x2e0bffb0,
    0x000ecfff,0x14013fea,0x8001ffb0,0x3fe6003e,0xfdf10005,0x4ccc009f,
    0x4cccc419,0x007ffc40,0x541ffea0,0x1fffcc3f,0xffebdfd8,0x1fb0b902,
    0x3ff60698,0x002e4000,0x027ff7c4,0xffdf1000,0x3fe60009,0xfdf10005,
    0xffd8009f,0x17fec002,0x5004ffa8,0xf9800000,0x77fd405f,0x7feccccc,
    0x01fff500,0xffb004e8,0x403e8001,0x05004ffa,0xf99e8bf3,0x00ffd81f,
    0x01901f40,0x200fffa8,0x001ffffc,0x00013fea,0xd0003ff6,0x2ffcc007,
    0xff8fb800,0xffb7000f,0x2fffd98f,0x4003ffcc,0x7cc0fff9,0x707ff704,
    0x80ffc87f,0x540f883f,0x009ff707,0xf7000b10,0x0001fff1,0x3ffe3ee0,
    0x5ff98000,0xff1f7000,0x3fe2001f,0x7fd4000f,0x009ff506,0x10666660,
    0x4c013333,0x7fd405ff,0xd801e604,0x03ae05ff,0x0007fec0,0x9ff500fa,
    0x327e4000,0x03ff600d,0x00c07d00,0x200bffe2,0x002ffffc,0x02809ff5,
    0x4000ffd8,0x3fe6003e,0x329d0005,0x7ec003ff,0xb85ff707,0xf88007ff,
    0x80ffc2ff,0x7fc47ffc,0x2a1ffc41,0x7b81906f,0x0003ffb0,0x653a0002,
    0xd00003ff,0x000fff29,0x40017fe6,0x007ff94e,0x2001ffea,0xfa80fff9,
    0xdb81404f,0x7fecc7ff,0x17fe602f,0x5809ff50,0x0bffe200,0xfd800be2,
    0x01fc000f,0x05013fea,0x00791fec,0xd0003ff6,0x7fec0007,0x3ffa6005,
    0x4ffa804f,0x7fec0340,0x001f4000,0x3000bff3,0x01bfe61f,0x3e60ff90,
    0x037fe42f,0x263fff80,0xfcdc80ff,0x203fe22f,0x77fc43ff,0x407e4041,
    0x000007ff,0x7fcc3e60,0x0f980006,0x3000dff3,0xf3000bff,0x401bfe61,
    0x98006ffb,0xffa81fff,0x3f603404,0x405ff707,0x7d405ff9,0x2001c04f,
    0x2ec0fffa,0x007ff600,0xffa805f0,0x7fd03404,0xffd8007c,0x001f4000,
    0x000effb8,0x077fffc4,0x4c09ff50,0x00ffd807,0xf3001f40,0x8bb000bf,
    0x32001ffe,0x85ff107f,0xd0005ffd,0x43fdc9ff,0x987ff76b,0xe83ff881,
    0x3600cfff,0x037fcc1f,0x8bb00000,0x40001ffe,0x00fff45d,0x0017fe60,
    0x03ffd176,0x000bffb0,0xf507fff1,0x203cc09f,0x5ff307fc,0x202ffcc0,
    0x00004ffa,0x3ea4ffd8,0x0ffec000,0xf500be00,0xd03cc09f,0xd8016a9f,
    0x1f4000ff,0x0fffcc00,0xfffbe800,0x9dff500e,0x0ffd9999,0x8001ffb0,
    0x3fe6003e,0x20fc4005,0x32005ffa,0x85ff107f,0xf0006ffc,0x07fec7ff,
    0x17fe61d5,0x07ffbb50,0x07ffffb1,0xbff70bfa,0x2aaaa600,0x7c400aaa,
    0x002ffd41,0xffa83f10,0x2ffcc005,0xf507e200,0xbffd00bf,0x13ffe000,
    0x3333bfea,0x6407fecc,0x05ff107f,0x2a02ffcc,0x004004ff,0x7c57ffc4,
    0x2ffc8003,0x5007e200,0x99999dff,0xbfec0ffd,0xffb0302d,0x003e8001,
    0x0004ffe8,0x0bffa23a,0x66677fd4,0xd807fecc,0x1f4000ff,0x00bff300,
    0x1fff06c8,0x441ff200,0x3ffdc2ff,0x21fff800,0x41d31ffd,0x9f704ff8,
    0xea80ffe3,0x7fc0dfff,0x802ffec3,0xaefffea8,0xff836400,0x0d90000f,
    0x98003ffe,0x364005ff,0x6c00fff8,0xff0005ff,0x9dff505f,0x0ffd9999,
    0xff107fc8,0x02ffcc05,0xb8013fea,0xbdff7002,0x3fea000b,0x201ea004,
    0xcccceffa,0x3ee07fec,0x83980fbf,0x74000ffd,0x37fe4003,0x7c43a000,
    0x09ff505f,0x7fec03cc,0x001fc000,0xf800bff3,0x007ff902,0x7fc41ff2,
    0x007ffd42,0xc83ffe20,0x441f9aff,0x0ff442ff,0x3ee00ffe,0x227fc4ff,
    0x4c007ffd,0x5f001fff,0x000fff20,0x3ffc817c,0x017fe600,0x3ff205f0,
    0x037fe403,0x40fffc40,0x1e604ffa,0x3e20ff90,0x17fe602f,0x2009ff50,
    0x7fec0079,0xfd10001f,0x013a200f,0x79813fea,0x417ffe60,0x00ffd80d,
    0xf3001f40,0x022003ff,0x80ffc83a,0x02c04ffa,0x2000ffec,0x3fe6002f,
    0x267ea005,0x6ffa9999,0x220ff900,0x7ffc42ff,0x3ffcc000,0x20bb7fea,
    0x3fa20ff9,0x0d43ff81,0xff13ff44,0x00fffc8b,0x4007ffc0,0x999999fa,
    0xa8006ffa,0xa999999f,0x3e6006ff,0x27ea006f,0xffa99999,0x03ffd406,
    0x407ffcc0,0x02c04ffa,0x7fc41ff2,0x017fe602,0xd1009ff7,0x5ff98009,
    0x27fcc000,0x5401ba20,0x202c04ff,0xa88aeffd,0x03ffb04e,0xd1002f80,
    0x254007ff,0x01ff5074,0x03809ff5,0x4001ffd8,0x3fe6002f,0x3fffa005,
    0xffffffff,0x107fc802,0x7ffb05ff,0x83ffc800,0xbf502ffe,0x7ff06fc8,
    0x1ff705a8,0xff717fe6,0x7ff8005f,0xfffffd00,0x05ffffff,0xfffffe80,
    0x02ffffff,0x001fff90,0x3ffffffa,0x202fffff,0x4000fff9,0xff506ffa,
    0x7e403809,0x405ff107,0x7ec05ff9,0x999999ef,0x4001ffb9,0x80005ff8,
    0x2609dffa,0xf5000eeb,0x4403809f,0x6ffffffe,0x0007ff60,0x3ff2005f,
    0x743d4005,0x7d41bee0,0xfc80004f,0x07e2002f,0x005ff980,0xffa801f3,
    0x107fb805,0xfff105ff,0x837fc400,0x1dd04ffb,0x9ff06fd8,0x6f981fa8,
    0xff31bfea,0x7ff8009f,0x5400f980,0x3e6005ff,0x02ffd400,0xffffff91,
    0x007cc07b,0xfb017fea,0xffc8007f,0x009ff502,0xf107fc80,0x2ffcc05f,
    0x7ffff64c,0xffffffff,0xff88007f,0xfd500005,0x19fffdff,0x027fd400,
    0x7fffdc00,0x3ff200cf,0x007e2002,0x0003ffea,0x3a0e85f5,0x09ff502f,
    0x4ffa8080,0x3001ea00,0x17600bff,0x2007ff40,0xff980ffa,0x007ff702,
    0x76c07fee,0x07f662ff,0xfd88bff2,0x07bea74f,0x3ffdc5f9,0x20037fec,
    0x05d807ff,0x2001ffd0,0x1ffd005d,0xd8007a00,0x01ffd005,0x10037fc4,
    0x7fd40bff,0x3ee04004,0x405ff107,0x80005ff9,0x7c40000e,0x4400005f,
    0x0009ceaa,0x4004ffa8,0x01331e80,0x4009ff50,0xfff8807a,0x3ea31002,
    0x27ec3a2f,0x4009ff50,0x07ff882b,0x98009d10,0x1f8805ff,0x809ff700,
    0x7f543ff9,0x07ff604f,0x3205ff50,0xbfbfff54,0x37ffe603,0x3dffeaed,
    0xbd9dffd5,0x885ff883,0x3e002fff,0x00fc407f,0x8804ffb8,0x9ff7001f,
    0x2001f500,0xff7001f8,0x03ffb809,0x5401ff90,0x0ae004ff,0xff301ff5,
    0x02ffcc05,0x0001ee00,0x00017fe2,0x00017c40,0x5c009ff5,0x880034c2,
    0x9d1007fe,0x00bffb00,0xffeb88dc,0x401efdfd,0xf3004ffa,0x2027fdc0,
    0xf98006e8,0x006c805f,0xd003ffe2,0xf3bd9bff,0x3ea079ff,0x0efb883f,
    0x03530b10,0x437ffae0,0x98823ffb,0x4036e00a,0xf000effb,0x006c80ff,
    0x9003ffe2,0x7ffc400d,0x801fdc00,0x3fe2006c,0x0ffec00f,0x500bfea0,
    0x1e6009ff,0xfd50ffe6,0x2ffcc09f,0x00bf2000,0x00bff300,0x017e6000,
    0x004ffa80,0x000790f3,0x22027fcc,0xfffb806e,0x4c41a000,0xf7000afa,
    0x09d1009f,0x4c1dffc8,0x98000eeb,0x27c406ff,0x013ffa00,0x229ffff3,
    0x6c401cff,0x4efecdff,0x4c000000,0x00000080,0x003bfea0,0x4f881ffe,
    0x027ff400,0xfe8009f1,0x5ffcc04f,0x0013e200,0xf5009ffd,0x1df9105f,
    0x009ff700,0x3ffa09d1,0xfff9decd,0x06ff983c,0x0177d400,0x00dff500,
    0x05ffc000,0x027fdc00,0x007c2744,0x277fea00,0x003fae60,0x4003fff1,
    0x000e806d,0x2667bff6,0x1ffb9999,0xefffea80,0x0000cfff,0x6c01fff9,
    0x7ff4004f,0x20a9802f,0xa88000a8,0x0000001a,0x00000000,0x1befe880,
    0x206ffb88,0x7f4004fd,0x09fb02ff,0x02fffe80,0x0f77ffec,0xfd0013f6,
    0xfb1005ff,0x07dfd9bf,0x4cf7fec0,0xffb99999,0x9ffff301,0x64073fe2,
    0x40000fff,0x00eefffe,0x003fff20,0x7ffdc000,0xffb002ee,0x3333333d,
    0x05983ff7,0xfffd5000,0x0019fffd,0x3333bffd,0xffb53333,0x9300500b,
    0xfffffffd,0x0fffffff,0x9aaaa880,0xffc88000,0x2e3dffff,0x404effff,
    0xefffffeb,0x00000001,0x00000000,0x00000000,0xccffedb8,0xf701cffe,
    0xb809dfff,0x1efffffe,0x09dffff7,0xfffffeb8,0x0aee201e,0x09dffff7,
    0xfffffeb8,0x3551001e,0x7ff64c00,0xffffffff,0xa9807fff,0x32202a20,
    0x3dffffff,0x0aee2000,0x7fffe440,0x00003dff,0x400aca88,0xfffffec9,
    0xffffffff,0x00002b87,0x04d55544,0xfffffb80,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,
    0x000019aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000540,0x4002aa98,0x22002008,0x200c01aa,
    0x44001741,0x015511aa,0x202fae00,0x2e200c01,0x500000ce,0x9999887d,
    0x00a98809,0x000d54c0,0x98001330,0x550002aa,0x53100005,0x00881881,
    0x7c880002,0x8000d440,0x5310000a,0x2a000603,0x300fb23e,0x0c155455,
    0x036cc020,0x01100440,0x0002aa60,0x4001aa98,0x40000aaa,0x2e60625b,
    0xfefda800,0x6c00002d,0x1e8001ff,0xffd80598,0x5c16a00f,0x54002dc2,
    0x00df70ff,0x213ffea0,0x403b80d9,0x0006b9cd,0x10ffff22,0x4c7fffd7,
    0x04effffd,0x000dffd0,0x009fb9d9,0x4000ffec,0x0002fffb,0x9dffffd3,
    0x207a0795,0xfda80059,0x3f3f207f,0x01ae000e,0x3bbffaa0,0x00e89bde,
    0x53fffc88,0x7ec07fff,0x0b20ffe5,0xffd70362,0x2076000d,0x3ffa0058,
    0x3bfe0006,0x1ffdc000,0x7c4ba000,0x01bfe24f,0x1f623df7,0x05ff0000,
    0xf98fea00,0x7f6fd401,0xd90f6c04,0xb8001f10,0x000bf63f,0xc83fffcc,
    0xd101ae1e,0x110002d8,0x7ec07ff7,0x537bf33f,0xfb80bffb,0x36003ffd,
    0x2007f60d,0x88002ff8,0x8006fdef,0xf730befb,0x8fea07ff,0x988000f9,
    0x23f907fe,0x3f3006f8,0x5eff4c00,0x07ffec40,0x9ffdc440,0x3e06fff9,
    0x220df10f,0x260ba24f,0x30006ff9,0x800fcc7f,0x003ffdfb,0x0000ff98,
    0x4c000bf9,0xf99bfea7,0x07fe606f,0x200007f3,0x6c0003fa,0xe804fadf,
    0x4403fb14,0xb01fcaff,0x746d8007,0x2a60e005,0xbff880fb,0x234402fc,
    0x7c40001d,0x2ffee03f,0xbff901e8,0x7f453e20,0x5c0fc800,0x03fa805f,
    0x3f21d900,0x03fe6003,0xfd01ffcc,0x80009f59,0x46f987fc,0x03e800fd,
    0x200ffee0,0x22001ffa,0x1f2a63ff,0x03f517c4,0x037577dc,0xd8001bf6,
    0x1005fadf,0x003fa27f,0x80003f90,0xb70000fd,0x36e3ffd4,0x221fee01,
    0x9900005f,0xfff30000,0xb84b801f,0x27ffe405,0x1e800b70,0x40f0007c,
    0x3ffee049,0xd739b005,0x0ffe0000,0x01ecffb8,0x1e40ffec,0x1fe20264,
    0x13200fa2,0x2a06cc00,0x0bfb000e,0x3e603f98,0x6c000fff,0xeeffeeee,
    0x3fc89f72,0xf3002e40,0x0fdc009f,0x2a0ffe00,0x04b8b504,0x401ffff8,
    0x220006fd,0x9000ffff,0xe8009b05,0x05d00002,0xffa8ba00,0x0ffc8006,
    0x800017d4,0x3b200004,0x2a03803e,0x03bb6201,0x0e000f88,0x03dc0051,
    0x1eed803b,0x017d7100,0x80ffe000,0xa803fffa,0x701445ff,0x0037cc01,
    0x03800120,0x27f400a2,0x3b201ec0,0xccc8002e,0xb1ccffec,0x205fb89f,
    0xff1000f9,0x02e8001f,0x06c1ffc0,0x4005c0a8,0xfd804eea,0x775c0006,
    0x5c051003,0x00071000,0x4c001c40,0x002ffcc7,0x1f617fe4,0x00000000,
    0x00000000,0x0000f600,0xd83fd400,0x00000004,0x01ffc000,0x2200bff5,
    0x00001fff,0x00001bee,0x20000000,0x03b807ff,0x7dc00000,0x7dc4fe87,
    0xc800fa07,0x2b8003ff,0xb11ffc00,0x00000009,0x0001bf20,0x00000000,
    0x00000000,0x13fe22dc,0x457fee00,0x510002fd,0x57730377,0x10666660,
    0x44013333,0x440151aa,0x2dc01aba,0x88333330,0xfa809999,0x1c8999ff,
    0x302b9880,0x99883333,0x2b980099,0xffa80ffe,0x0bffa003,0xd8015cc4,
    0x2620007f,0x3333102b,0x4ccccc43,0xb04cccc0,0x14401dff,0x0006ee20,
    0x1fee1751,0x0df717f2,0xfff00172,0x40510003,0xc8ffe2b9,0x03771001,
    0x0546aa20,0x0dcc6fc8,0x00d5d440,0x98833333,0x4ccc0999,0x4cccc419,
    0x20ccccc0,0x80099998,0x004ff82e,0xeeafff88,0x2aaaaaa1,0xfdbcfc81,
    0xffcee89f,0x3ffedc1e,0x20bfff66,0xfffcbdd8,0xffbbf900,0x403e201b,
    0x6cc7ffdb,0x7fe42fff,0x002fffff,0x1bfd9df7,0x263ffedc,0x2a02fffd,
    0xffcecbff,0x00ffea03,0xfb83ffd8,0x200dfece,0xf70007fc,0x5c1bfd9d,
    0x3ae4ffff,0x75c3efff,0x3ffea1ef,0xdeb8002f,0x4402ffdb,0xfdddbdfd,
    0x7e45fb87,0x2000f985,0x00007ffa,0x6765ffd4,0x75c003ff,0x102ffdbd,
    0x1fff97bb,0x7fd5bf20,0xbfb00eff,0xb705ffd7,0xffd98fff,0x3ffedc2f,
    0x70bfff66,0xfd98fffb,0x83cc02ff,0xfb0003fe,0xfff307ff,0x43fe817d,
    0x3622fffe,0x07fd80ff,0x0b905ff7,0x0de881fb,0x3d81bfe6,0xfb83fec0,
    0x00ff702f,0x5fe85db0,0xff707fd8,0xf30fee05,0x7fd407ff,0x13ff2003,
    0x05fe85db,0xb0003ff2,0x445fe85d,0x7ff886ff,0x3f203ee0,0x7001efff,
    0x04ff985f,0xffc83dd1,0x7f47f887,0x20017441,0x00006ffc,0xfff30fee,
    0x217dc007,0x85c84ff9,0x5df900fd,0x3ffffbbf,0x7fe43fb8,0x2e0ffb00,
    0x0ffb02ff,0x7ec0bfee,0x805ff707,0x005fb04c,0x01fffb10,0x3e603bf2,
    0x437fdc1f,0x7fc84ffa,0x7f05ff30,0x0fc81f10,0xb703ffb8,0xf307fc80,
    0x01fee05f,0xff705f70,0xf307fc85,0x20df505f,0x3ea03ffb,0x3ff2003f,
    0x3ee0bee5,0x3fb3262f,0x200ccccf,0x2ffb82fb,0x7dc07fe4,0x6407b00f,
    0x00cfffff,0x7fdc13ea,0xff02fd82,0x7dcfe60f,0xd8005c83,0x500005ff,
    0x0ffee0df,0xfb827d40,0x7c41fc2f,0x41bff900,0x3e25ffd8,0x81ffc41f,
    0x5ff307fc,0x7cc1ff20,0x20ff902f,0x17402ff9,0x54001fd8,0x905ffedf,
    0x03fe203f,0xff109ff5,0x220ff90d,0x837d42ff,0x4c17e20c,0x01f106ff,
    0xff883fe4,0x400ff702,0x3fd106f8,0xff107fc8,0x2203fd05,0x3fea03ff,
    0x53fee003,0x3fd106f8,0x77ff7754,0xdf100eee,0xf307fa20,0x07ff105f,
    0xfe9801f1,0xff03ffff,0x51bfe203,0x03fe40df,0xf505bb93,0x7f402601,
    0xfd00005f,0x00ffe203,0xff880ffc,0x0641bea6,0x3fe06fc8,0xf01ff11f,
    0x41ff207f,0xff902ff8,0x640bfe20,0x05ff107f,0x01f903cc,0xff9a7ec0,
    0x4c05e82f,0xeeeffa81,0xc87ffeee,0x85ff107f,0x2041eff8,0xeeeeeefb,
    0x0f607ffe,0xff107fc8,0x801fee05,0xfc8005fb,0xa85ff107,0x0ffe00ff,
    0x2003ffa8,0x0bf73ffb,0x007fdc00,0xd0005fb8,0x0dff10bf,0x7fdc00b7,
    0x7fcc5fff,0xe8bff200,0x01fee04f,0xfb82f880,0x7fec0eec,0xffa80005,
    0x200ffe00,0x3f200ff9,0x83dff12f,0xb81bf200,0x220663ff,0x0ff903ff,
    0x7e40bfe2,0x205ff107,0x5ff107fc,0x8f702640,0x1fec2ee9,0xf983fff6,
    0x7fecc000,0x999999bf,0x107fc819,0xfffd05ff,0x26ff2019,0x19999999,
    0x7fc81aa0,0x2e05ff10,0x13f6007f,0x441ff200,0x03fe42ff,0xffa80ffe,
    0x4bfee003,0x2a0004fd,0x9fb000ff,0x03fee000,0x1e85ffd7,0x7ffe4400,
    0x701fee4f,0x0ffe27ff,0x20007fb8,0x3a3fa84d,0x01fff20e,0xf01ff200,
    0x0ff7007f,0x3fa3ffb8,0xfc800cff,0x813fe206,0x903ffdda,0x0bfe20ff,
    0xff883fe4,0x220ff902,0x80ba02ff,0x8fffe46a,0xfff987fc,0xea800ba5,
    0x002ffaae,0xff107fc8,0xffffb105,0x0007fb07,0xff900f88,0x5c0bfe20,
    0x1bfa007f,0x441ff200,0x037ec2ff,0xffa80ffe,0x47ff2003,0x260006fe,
    0x1bfa007f,0x21ffc400,0x1a65fe8f,0xfffe9800,0xfa80ffb2,0x407ff34f,
    0xd50007fb,0x2e0ff881,0x03ffee4f,0x80dfb000,0x7fd803ff,0xb127fd40,
    0xc807ffff,0x427fc06f,0x07ff1cfb,0x7fc41ff2,0x220ff902,0x0ff902ff,
    0x3cc0bfe2,0xfff71a60,0x7dc13fe9,0x2005caff,0x0bfe63fc,0x441ff200,
    0x3faa02ff,0x13f60dff,0x640f6000,0x05ff107f,0xfe801fee,0x3fe4000f,
    0x7f42ff88,0x501ffc07,0x7e4007ff,0x001ffd0f,0xe801fe60,0xf90000ff,
    0x0ffbadcd,0x44014079,0x1ffd4ffe,0xfa9ffcc0,0x01fee03f,0x3e607e20,
    0xff337d47,0xfe80003f,0x401ffc07,0x3e600ffe,0xfffea83f,0x80df900d,
    0x07fa23ff,0x1ff207ff,0xfc817fc4,0x205ff107,0x5ff107fc,0x0b101320,
    0x7ff59933,0x07ffff40,0x261ff440,0x640403ff,0x05ff107f,0x649fff70,
    0x200c00ff,0x20ff906a,0xff702ff8,0x017fec00,0x220ff906,0x07fec2ff,
    0x7d407ff0,0x9ff2003f,0x80c02ffd,0x3f6005f8,0xf980c02f,0x3fe23d1f,
    0x007401f3,0xffdb7fcc,0x4c7fe601,0x1fee05ff,0x7dc13600,0xfd07fcc6,
    0xfd80007f,0x00ffe00f,0xf9807ff6,0x3ffee01f,0x440df904,0x03fd12ff,
    0x1ff207ff,0xfc817fc4,0x205ff107,0x5ff107fc,0x80600ba0,0x205ffd9e,
    0x800efff8,0x6ff887fb,0x83fdc2c0,0x40d42ff8,0x3fee7fe8,0xf1016203,
    0x220ff701,0x0ff702ff,0x1027fe40,0xf107fb8b,0x03ffc85f,0xffa80ffe,
    0xc8ff6003,0x416204ff,0xf92403f8,0xd02c409f,0xefd8d59f,0x801f405a,
    0x07ff75ff,0xfff13fd4,0x2003fdc0,0x31bf206b,0x7ffcc1ff,0xfca44001,
    0x00ffe03f,0xfa80ffee,0x3fa206a7,0x4c0df907,0x20df90ff,0x0ff703ff,
    0x7dc0bfe2,0x205ff107,0x5ff107fb,0x88000f30,0x401fffb6,0xa80efffc,
    0x3f60dfb2,0xf509901f,0x85ff301f,0x21ff705a,0x5902fff8,0xff507b00,
    0x205ff301,0xf3000ffb,0x50b603ff,0x5ff301ff,0x3e06ffa8,0x13fee03f,
    0x0ff81df3,0x6c07ffe6,0x33fff222,0x7fccb301,0x5c05b01f,0x7fd42eff,
    0x402f402f,0xdff13ff8,0x3fa2fdc0,0x01ff703f,0xfa807e20,0x7ec3fcc6,
    0x436000ef,0x3fe06ffa,0x06ff8803,0x705a97ee,0x0df901ff,0x0dfb27e4,
    0x7fd413fe,0x502ff980,0x5ff301ff,0x2603fea0,0x004c82ff,0x7fdc7a60,
    0xfcfd884f,0x4b30aeff,0x7f4c1ffc,0x03f2a2ff,0xfd50ffe6,0x981fa89f,
    0x67ffe46f,0x5006da8a,0xa87ff30d,0xff504ffe,0xff900a25,0x0dd7115f,
    0xfea87ff3,0x85ffe84f,0x3ee05ff9,0x11ffdc4f,0x5fff907f,0x1d8dd711,
    0x759dfff9,0xfffc87fb,0x406eb88a,0xfff06ff8,0xc80bfd00,0x0ffee0ef,
    0x3fe60774,0x01ffd81f,0x7f8809b0,0xffc837d4,0x741d8806,0x5ff985ff,
    0x207ff700,0x207ea0ee,0x0df906f9,0x5ff91be2,0x43a7fec4,0x7f543ff9,
    0x87ff304f,0xf304ffea,0x4ffea87f,0x1ec801e8,0xfffb032e,0x21bf977d,
    0xfffffffa,0x26fffe62,0xffffc9ec,0x3fa02fff,0xff9decdf,0x83df53cf,
    0x7ff442fc,0x002fffff,0xbffd01f1,0x9fff3bd9,0x5cfff887,0xffffe880,
    0xffd00fff,0xfff3bd9b,0x77ffcc79,0xcfffdcab,0x20effd83,0x09b0fff8,
    0x3fffffa2,0x73d340ff,0x0dffffff,0xffffffd1,0x07fb001f,0x3fa013f2,
    0x3f260adf,0x22ffc81f,0xff900fd9,0xffdd759f,0x035c039d,0x0ff61fd8,
    0x0adfffb8,0xf303d951,0xfb957dff,0xf90079ff,0x207ecc5f,0x17e41efa,
    0x220dffc8,0x7ffcc0ee,0xdffeaedd,0xecdffe83,0x83cfff9d,0x9decdffe,
    0xfe83cfff,0xff9decdf,0x500f33cf,0xc8804dff,0x83ffffff,0x83efffe9,
    0x20cffffc,0x01dffffc,0x8a7fffcc,0x3faa1cff,0x201decef,0x01effffc,
    0x7fcc1ec0,0x39ff14ff,0x0077fee0,0x0dffffd8,0x53fffe60,0xe881cff8,
    0xbff3ffff,0x7fff64c3,0xfff72cef,0xfffb005d,0x5db901bf,0x05ffff4c,
    0x1bffffb0,0xf881ea00,0xfdbae801,0x00dffeef,0x37f7ffee,0x7fffd401,
    0x00befb9e,0x744007e6,0xa805fb9e,0xffffffed,0x3ffa200b,0x03bff3ff,
    0x7efffdc0,0xeffea81d,0x6cc01dec,0x204feeff,0xf70dffeb,0x3ffe607f,
    0x039ff14f,0x453fffe6,0xff301cff,0x33fe29ff,0x3e201321,0x2a62004f,
    0x01a8800a,0x2a6009a8,0x1054c000,0x54c41015,0x006a6000,0x15300cc0,
    0x00800544,0x00153100,0x0151054c,0x05413510,0x009a8000,0x3002a620,
    0x88006201,0x018000a9,0xaa818014,0x2a20009a,0x20a98001,0x00790029,
    0x003ddb88,0x001aa988,0x01504d44,0x200d4400,0x0002a620,0x4c003531,
    0x15300080,0xa9800544,0x4c002a20,0x2a02a20a,0x00051000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x13100033,0x00554c00,0x00035510,
    0x2a005551,0x0322002a,0x008000e2,0xa9800000,0x35310300,0x0cc40001,
    0x98001880,0x00aaa002,0x1006aaa0,0x06200555,0x88002a00,0x31000099,
    0x00881355,0x2a600000,0x2aa20001,0x0aaa8001,0x000d5540,0x01ef7654,
    0x09aa9880,0x06a60000,0x80a80098,0x00062028,0x988000cc,0xb80009aa,
    0xa803feee,0x201efffd,0x2fffcdea,0x00fffe80,0x8017fe40,0x2a002ffb,
    0x4013ee2e,0xffffeca8,0xffffffff,0x5c002fff,0x2fe02cee,0xffdefedb,
    0x3fa6002d,0xf9303ffd,0x02f8800b,0x009fff30,0xd800eff8,0x3f2600ff,
    0x007d4005,0x77eeff54,0xdffb5001,0x7737dfdb,0x001dd300,0xffeefec8,
    0x7ff4003e,0x2ffcc007,0x002ffcc0,0x3f6677f6,0xffb5000e,0x005bffbb,
    0x3f7bfb20,0x007e62ef,0x221aa0be,0x2004fffd,0x6d4000f9,0x2dffddff,
    0x7d45fb00,0x3fbbf204,0x86b81fff,0x3ea04ffb,0x74004ffd,0x27ec003f,
    0x37b7e600,0x5bff3000,0x27fffa61,0x2fca9999,0x003dd300,0x2607bffe,
    0x7d400efd,0x81bf910c,0x64005fa9,0x3f7fa005,0x1ff5000f,0x80bfa200,
    0x22005fa9,0x0bfb802f,0xe880bf62,0xffa80aef,0x4ffc803f,0x817fd300,
    0xa800dfd8,0x2004ffdf,0x3ea006fb,0x217ea007,0x6f4405fc,0x1edb981b,
    0x307fd300,0x007d3df9,0xb09901f1,0x4007fa65,0x37a2003e,0x1edb981b,
    0x3f613f20,0x3661d983,0x81fcc4ff,0x453e07fe,0x9f1000fe,0x001fa000,
    0x2001ffd3,0xff301ffb,0xc803c80f,0xff1000df,0x1ffe8809,0x3fa0bf30,
    0x2005f884,0x3f5000f9,0x7e4017ea,0x02fc4001,0x5c8017e2,0xf306f980,
    0x1bff301f,0x804fd880,0xfc802ffa,0x17fdc01f,0x07f453e0,0x4000ee80,
    0x5fd002fb,0x2a03ff30,0x0ba6001e,0xc803ff70,0x0f5005ff,0x3f9020fa,
    0x5400d700,0x0ba6001e,0x3e603fe6,0xff882c47,0xfb82fdc7,0x5c83b82f,
    0x4000b700,0xed8801e8,0x5c00efaa,0x3ffc05ff,0xdfb00e60,0x005f8800,
    0xfd01dfd1,0x103fea03,0x017400bf,0x01e981d0,0xf30002f8,0x3005f880,
    0x07f9001f,0x3fe217f4,0x017e2005,0x7fd4004c,0x01ffb002,0x201720ee,
    0x990001f8,0x103ff100,0x31d305ff,0x20133333,0x7ff501e8,0x003ffa00,
    0x400fc16e,0x01f8804e,0x75101d30,0x07a26235,0x1ffc0dfb,0xfb8ffb00,
    0x45ff980f,0x2002a028,0x1cc0000b,0x3bf61ec0,0x01fff100,0x02807ff8,
    0x10003fea,0x7fd4001f,0xf007fcc5,0x005f88bf,0x805400b9,0x001c4038,
    0x5f8806a0,0x36005d00,0xb0bf604f,0x5c8001ff,0x3fe20000,0x17fe6006,
    0x400a80a2,0x0240001a,0x7c407fcc,0xfb87442f,0x0cffdcef,0x3fe20744,
    0xbfff5006,0x1f307b00,0x400fe4c0,0x81d1004d,0xfeb9acea,0x3e21d13f,
    0x01ff604f,0x7fc44fb8,0x003ff981,0x00000000,0x0bff1000,0x3e00fff2,
    0x3e20007f,0x0498002f,0x2e2ffe80,0x23ff407f,0x0f9805f8,0x00000000,
    0x2fc40000,0xf9002e40,0xb83fe01f,0x588004ff,0xfd803100,0x7fec002f,
    0x00000002,0x3fea0000,0x640ff980,0xfd127e43,0xffd89509,0xfd9f9802,
    0x5c17c03f,0x3fff6206,0xc801aa02,0xfa817e43,0x1ffd52a4,0x2001ff70,
    0x501881fd,0x5dc403ff,0x0ddc4001,0x006ee200,0x5ff73530,0x801fff88,
    0xd00a07ff,0x062000df,0xc97fee00,0x3ff200ff,0x3a017e20,0x57510003,
    0x2aea2003,0x35751001,0x2602fc40,0x3fea000f,0x7ec4fa85,0x0010001f,
    0xfff8806a,0x37fd4000,0x001aba88,0x20035751,0xa801aba8,0x45fc80ff,
    0x227e40f8,0x87c40ffa,0x4400fff8,0x44fff73f,0xaabfbaaa,0x00aaedaa,
    0x0fc41bee,0x3ee0f880,0x1f126c02,0x7dc05ff9,0x01f8801f,0xd705fd80,
    0x805ffb7b,0x2ffdbdeb,0x7edef5c0,0x67fd402f,0x7d46ffee,0x7ff800ff,
    0x7fdc0b30,0x00000223,0x361fff50,0x3fee01ff,0xd7017e22,0x377f2000,
    0x3f200dff,0x200dffdd,0x0dffddfc,0x1f405f88,0x877ff400,0x07ff85f9,
    0x00c80000,0x2001ffea,0x7ec0fff9,0x202ffebd,0x2ffebdfd,0x3faf7f60,
    0x83fea02f,0x35c0dfc8,0x3fe227e4,0xfff53e82,0x7fcc9d00,0xfdddd50f,
    0xddfddddd,0xb07e801d,0xf335c009,0xbe87100f,0x3ea02ffd,0x01f4402f,
    0x5c07fcc0,0x827fcc2f,0x27fcc2fb,0x7fcc2fb8,0xfa87f904,0x1ffee2ff,
    0x5c83ffc0,0x3ae7ff60,0x00004fff,0x2e5fff10,0x3ff202ff,0xf9817e22,
    0x06f44001,0xbd10dff3,0x4437fcc1,0x1bfe60de,0x06c817e2,0x5dffd100,
    0x0dff307f,0x80d00000,0x98006ffb,0x0fee1fff,0x7f701ff9,0xfb80ffc8,
    0xa807fe43,0x1dff50ff,0x89f90990,0x2eb707f9,0x236406ff,0xb901fff8,
    0x5e8007e0,0x32000fa8,0x40017f24,0x201ffddb,0xd7104ffa,0xfc8007ff,
    0xf704fa82,0x704fa85f,0x04fa85ff,0x4fa85ff7,0x7ecbff90,0x9fff006f,
    0x40bffb99,0xda9befff,0x4ccc0eff,0x99999999,0xff999999,0x40dff53f,
    0x1be21ffc,0xfc8003e8,0x643ffb80,0x43ffb80f,0x3ffb80fc,0x0f9837c4,
    0x3ffa2000,0x0bff703f,0x2aaaaa60,0x809700aa,0x88005ffd,0x3ff13fff,
    0x7c43ff88,0x21ffc41f,0x7fc41ff8,0x541ff503,0x416c2ffc,0x0bfe64fc,
    0x05ffdb4c,0x3ffe03ee,0x0f307d03,0x3ae22b22,0x20017c40,0x0013fa2d,
    0x00fff74c,0xd9109ff5,0x200bffff,0x03ff04f8,0x3ff1bfe2,0xff1bfe20,
    0x89bfe203,0xfff100ff,0x4017ff61,0xfdcccfff,0x0bff105f,0xff993ff6,
    0xeeeeeeef,0xfeeeeeee,0x0bffa4ff,0xeda87fec,0x2035c1ce,0x982fc41c,
    0x417e26ff,0x17e26ff9,0xdb537fcc,0x883e839d,0xfff3000a,0x0bffb07f,
    0x3fffaa20,0x01fa80ae,0x8002fff4,0x1ff14fff,0xff887ff0,0x7c43ff80,
    0x503ff80f,0x9ff901ff,0x77fe4074,0xebc403ff,0x03f305ff,0x0fc13ffe,
    0xeed8835c,0xc80b903e,0x07ff0741,0x3ff7e200,0x013fea01,0x005fff91,
    0x03fe60b7,0xff32ffc8,0x997fe401,0x3ff200ff,0xfd80ff72,0x00dff92f,
    0x82e41ffe,0xff103ffa,0x07ffe21f,0x31fffc00,0xd5117fff,0x7c400fff,
    0xf70ff201,0xfddddddd,0x7777dcff,0x27ffeeee,0xeeeeeefb,0x2e007ffe,
    0x77fff446,0x3f2fa201,0x3ffec4ff,0x07ffe600,0x7ec02fc4,0xfff0005f,
    0x7fc40cc5,0xff881983,0xff881983,0x201ff503,0x903d0ffe,0x3013f69f,
    0x2217ff2d,0x0bffe02f,0x013203e6,0x6401f500,0x9fd0f43f,0x3f3a6000,
    0x0ffee01f,0x402ffd40,0x80ff700e,0x0ff73ffb,0xff73ffb8,0xf93ffb80,
    0x53ffb80f,0x3fe00fff,0x3f20b307,0x8bffa02f,0x88002fff,0x7f4c1fff,
    0x4ffacfff,0xfa813600,0x4cdfe43f,0x21999999,0x99999bfc,0x2ff21999,
    0x99999999,0xc83f1001,0x305fc88b,0x27ffdc9d,0x8001fff9,0x5fb00fff,
    0x00dff900,0x403fff10,0x803ffdda,0x803ffdda,0x503ffdda,0x3fee01ff,
    0x29f907b3,0x56e02ff8,0x04e86ffb,0x2a07ffe2,0x40007d06,0x3fea02e8,
    0x0bfb1ec3,0x3ff36e00,0x00bfee02,0x1cc07fd8,0xfa80ffb0,0xa80ffb4f,
    0x80ffb4ff,0x0ffd4ffa,0xff14ffa8,0x0fff001f,0x02ffb81c,0xffe8fff2,
    0xfff98003,0x7ec35100,0x40d5001f,0x7ec3fae9,0x01fec003,0x0000ff60,
    0xfe8484d8,0x7d437c40,0x5fff70ff,0x707ff800,0x3fea00df,0xfff98007,
    0xff1cfb80,0xf8e7dc07,0x473ee03f,0x1ff503ff,0x35d3fe20,0x1ff527e4,
    0x3ffd4f60,0xfff30176,0x777f7754,0xeeeefeee,0x98172000,0x535c3fae,
    0x7b0001ff,0x7e405ff5,0x3fea000f,0xfe80aa00,0x4ffe600f,0x3e600ffe,
    0x401ffd3f,0x1ffd3ff9,0xff1ffcc0,0x0fff003f,0x405ff500,0x3ff23ffa,
    0x7ffb8006,0x01bfe600,0x9e880fc4,0x027ec3f9,0xb0013f60,0x2e00009f,
    0x2e1ba006,0x27ff704f,0x4004fff9,0x4ff887ff,0x01fff300,0x446ffa80,
    0x41ffc1fe,0x1ffc1fe8,0x3fe0ff44,0x401ff503,0xc81f15ff,0xf82fe44f,
    0x2e3fff10,0x37fdc00e,0x555bd551,0x15555f95,0x4403e600,0x7c43f99e,
    0x71013f60,0x04ff88f8,0xf3001bf6,0x3600b80f,0x3fe601ff,0x4c03ffb1,
    0x03ffb1ff,0xffd8ffcc,0xd87fe601,0x7ff803ff,0x27fc4100,0x7c45ff30,
    0x7fc001ff,0x3ff6003f,0x7409b001,0xffc87f32,0x1ff90c00,0x03ff2180,
    0x01f88030,0x5fd07f10,0xffb2fec0,0x87ff800d,0x1bb02ffa,0x2001ffec,
    0x3fa22ffc,0x7443ff81,0x443ff81f,0x03ff81fe,0x7f401ff5,0x09fb0b64,
    0x645a87fd,0x801fabff,0x03f02ffc,0x1f4000d7,0x20fe65d0,0x413fa22d,
    0xdfb2d449,0x20027fc0,0x5c0005fa,0x9fea03ff,0x3ea03ffb,0xa80ffee7,
    0x80fff27f,0x7ffcc7fa,0x803ffc00,0xf302ffc6,0x04ffb81f,0x801bfea0,
    0xd5003ff8,0x3f98f201,0xb101ffdc,0xb101ffdc,0xb101ffdc,0x32004d80,
    0x5c05ff05,0x0bffe26f,0xfb87ff80,0x23ff881f,0x22006ff8,0x837e45ff,
    0x837e43ff,0x837e43ff,0x1ff503ff,0x1d11ff40,0x417fff71,0x0e88cff9,
    0x017f7fc4,0xf982ffc4,0x90004c80,0x7f32640d,0xefb81d10,0x7444ecbc,
    0x2603fe60,0x7ec000ff,0x7fc40001,0xf897ee06,0x897ee06f,0x97ee06ff,
    0x3ee06ff9,0x404ffc85,0x44c807ff,0x9f500ffa,0x200bffa0,0x1001ffe8,
    0x3e2009fd,0x9555f502,0x3fe215bf,0x7c45902f,0x445902ff,0x05902fff,
    0x6b800754,0xfa817f20,0x0077fdc4,0xffb87ff8,0xfb89fb03,0x1ff9003f,
    0x9ff06fd8,0x9ff06fd8,0x9ff06fd8,0x15c3fea0,0x31d507fe,0x98813333,
    0xff502e89,0x03bf2009,0x002e8354,0x5f501f98,0x815bf955,0x0155306a,
    0x20ff20ba,0x100a83fd,0x05ea809f,0xee81ffdc,0xe81ffdc0,0x81ffdc0e,
    0x27fe40ee,0xfd880ee8,0x1fff301f,0x7ec17cc0,0x2601fd05,0x3a201ffe,
    0xfd1003ff,0x702ec007,0xddfddddd,0x567ffe41,0xffc86da8,0x86da8acf,
    0xa8acfffc,0x00be206d,0x3fe202d4,0xf503fb00,0xfff001df,0x2a0bff30,
    0x01ffd83f,0x7e417fd4,0x53ff622f,0x6c45ff93,0x3ff274ff,0x1d3ff622,
    0x3fe63fee,0x3ae0bf30,0x00fa6001,0xfa803fff,0x7c13201f,0x203e8001,
    0xefeeeeeb,0x001eb80e,0x0fd80fa6,0x3ff213ea,0x007f931d,0xfc805ffd,
    0x403f662f,0x3f662ffc,0x4c5ff900,0x5ffb00fd,0x32007ecc,0x3fa60bff,
    0xa9999bff,0x5ff107fc,0x6400fe44,0x3aa20bff,0xff3001ef,0x007d4005,
    0x3a20fe60,0x2fffffff,0xfffffe88,0xffe882ff,0x202fffff,0x8897004d,
    0x540cfc84,0x3bfa203f,0x6ffb881b,0xd901ffb0,0x20bfea01,0xf300efc8,
    0xfd5dbbff,0x3ffe67bf,0xdffeaedd,0xdbbfff33,0xd87bffd5,0x362ff0ff,
    0x2b7a600e,0x01eda880,0x057fdf64,0x3a00f7e4,0xb8007983,0x03f98006,
    0x44056f4c,0x64401eda,0xf302dedf,0x01bfffff,0x2003ff20,0x1dfdfffb,
    0x7efffdc0,0x7ffdc01d,0x7dc01dfd,0x001cfdff,0xfffffb51,0xffffffff,
    0x6c40bfff,0x000dfcef,0x3fbbffaa,0x654403ef,0x22000bfe,0x3f98002e,
    0x3bffff20,0x7fffe401,0x7ffe401e,0x03ea01ef,0x3fbbbf60,0x9bff504f,
    0x36e003df,0xffeccffe,0x3ff6201c,0x401ec99c,0xfecdffd8,0xffeb803e,
    0xb87ff70d,0xff70dffe,0x0dffeb87,0x7f4c7ff7,0xbfdd50ff,0x3bfaa001,
    0x802efecc,0xdff910fa,0x2005dfdb,0x4006b81f,0xf98001f8,0x9dfd5003,
    0x0005dfd9,0x26a60013,0x00130000,0x88001a88,0x1a88001a,0x001a9800,
    0x00099980,0x00198800,0x001aa880,0x400026a2,0x3910004b,0x80035300,
    0x54c001a9,0x9802d801,0x0ccccccc,0x0004cc40,0x03355310,0x2cddc980,
    0x01aa8800,0x80101300,0x04c00809,0x00080004,0x026aa620,0x55101980,
    0x30280013,0x003c8003,0x88003910,0x00009aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x398384ec,0xed9806e0,0x15300483,0x10075000,
    0x880001f7,0x029802b9,0x3b66002e,0x200c0483,0x001f9101,0xffffec88,
    0x7fed43ef,0x880dffff,0x000151aa,0x4db30030,0xdb300cea,0x18364400,
    0x105cc0c0,0xaaa80057,0x0d54c000,0x55c43880,0x2a0b8800,0x20180301,
    0x88000019,0x20055c43,0x85701aaa,0x1aa980b9,0x2e20ba80,0x00aa0001,
    0x7ffffffc,0x3e02aa83,0xffffffff,0x102e22ff,0x217fffff,0x51159b05,
    0x7ffcc0b9,0x440912ef,0x02fffffc,0x2607ff50,0x0000fffd,0x37fb3bee,
    0x2226fa00,0xff9804ca,0x80912eff,0xd981b03c,0x20000fff,0x4401fffc,
    0xd880dfff,0x20fffcbd,0xffffffd9,0x417ff45e,0x3fe6ffeb,0x37ff5c7f,
    0x837fecc0,0xf885905a,0x007ff25f,0x40027fcc,0x6d400ffe,0xffffb0ff,
    0x23ff6a01,0xd982fff9,0xff902b80,0x36a0000b,0xffffb0ff,0x41bfe203,
    0xbff12ffb,0x980dfd10,0x03ffa4ff,0x201bea00,0xfffffffb,0x41fffd40,
    0xfffffffa,0x3fe0ffff,0xfffc8d46,0xfff303ff,0x45c03fff,0x1fffffd8,
    0xfffffd10,0xff7009ff,0x3ff62207,0x85db0000,0x3fea05fe,0xb801ffff,
    0xfffffc89,0x886fc401,0xffe8883d,0x3fea0000,0x05ffb006,0x203f6172,
    0x981fffd8,0xf9985fff,0x8bfffa6f,0xa806ff99,0x3b606ffa,0x3fe21720,
    0x4007ff66,0xf88005fc,0x7fe5c01f,0xffdbdd8f,0x9fffcb86,0xdb04ffdd,
    0xffd03643,0xcb80003f,0xdbdd8fff,0x1df506ff,0x7c4bff20,0x03ff306f,
    0xffd27fd4,0x6ff88001,0xcccccf80,0xffdfe82c,0x666f7ec0,0x225fcccc,
    0x2e21c7ff,0x7ed404fe,0x221c02df,0x3f202ffc,0xfffeb89c,0x400bb802,
    0xb8000ffb,0x02ffb82f,0x0077ffaa,0x0fff221c,0x3f577dc0,0x0003ff20,
    0xb005ff98,0x20fe05ff,0xbff700f8,0x807f7f40,0x3eaa26fe,0x2006fd82,
    0x3fe606fd,0x39501fda,0xdd001644,0x05f50001,0x20f7fe40,0xff901ffb,
    0x4402e61d,0x201fcaff,0x0004fefa,0xb83dff90,0x01fc81ff,0x03950f22,
    0x32e01fcc,0x2000b260,0x35c06ffd,0x3ee1d700,0xf5007e24,0x0002da87,
    0x00001100,0xf901f880,0x540000df,0x7c4000ff,0x003fd106,0x00000013,
    0x817fff40,0xeeeffeec,0x3fe6003e,0x03ff9005,0x40320df5,0x78804ffa,
    0x8341bf60,0x3f6006fd,0x27ffe406,0x3e200000,0x009b0000,0xfa80ffb8,
    0x05ff702f,0x05fffc80,0x40001360,0xffa80ffb,0x00002f82,0x000035c0,
    0x0dfbd700,0x1d1002f8,0x00390e98,0x000001fb,0x00000000,0x0ffe8095,
    0x1ff50000,0x005fb800,0x00000000,0x40bdd300,0xcccffdcb,0x3fe6002c,
    0x03ff9005,0x0083dff1,0x2e013fea,0x2a1bf604,0x400dfb04,0x774406fd,
    0x4000000d,0x0120001a,0x2203fee0,0x1ff703ff,0x0eed8800,0x00007e00,
    0x7c407fdc,0x0001443f,0x0000b800,0xfc9f9800,0x400bee06,0x0027100a,
    0x544002fc,0x751001ab,0xbb880035,0x7e401401,0x0ae6200f,0x8001ff50,
    0x266004fd,0x4ccc4199,0x0ccccc09,0x00266662,0x03fea000,0x05ff9800,
    0x3a03ff90,0xa800cfff,0x01e804ff,0x01d71bf6,0xfc801bf6,0x54400006,
    0x000001ab,0xffb80000,0x2a07ff00,0x000000ff,0x40000990,0x7ff00ffb,
    0xaba88000,0xb8800001,0x93e8001b,0x7fff40df,0x0000002d,0xfd8007f5,
    0x202ffebd,0x2ffebdfd,0x7edef5c0,0x3ee0002f,0x3b3bee06,0x0ffa80df,
    0xd0ccccc4,0x7edc00df,0x7ffecc7f,0x23ffedc2,0x882fffd9,0x99999999,
    0x7fd40999,0x4c00ae20,0xff9005ff,0x3fff6203,0x27fd403f,0xfd805d50,
    0xdfb00ea6,0x0337e400,0x6c0d4171,0x02ffebdf,0x33333331,0x71013333,
    0x5c00ab88,0x07ff00ff,0x44003fea,0xb0055c43,0x5d41b887,0x807fdc00,
    0x807303ff,0x0dffddfc,0x3ae01cc0,0x002ffdbd,0xb837e4b9,0x0dffffff,
    0x90003980,0x1fdc001f,0x3ee03ff2,0xb807fe43,0x027fcc2f,0xdb04fc80,
    0xfa85fe85,0x6fffdc0f,0x001ffd0b,0xff507fd8,0x541ff605,0xfffa82ff,
    0xffffffff,0x6c47fd42,0x4c01ffff,0xff9005ff,0xfffea803,0x09ff500d,
    0x3f6002e6,0x037ec006,0x45d1df90,0xff98ffda,0xf90fee2f,0xffff501f,
    0x5fffffff,0xfd87fed4,0x3ee00fff,0x207ff00f,0x6d400ffa,0xffffb0ff,
    0x7e4c1101,0x7ffff72f,0xf807fdc0,0x1bfae23f,0xff306f44,0x0dfd710d,
    0x3fe617dc,0xf907cc04,0x3fb2a60d,0xb881ffff,0xbf0006fe,0x20ffc400,
    0x7fc43ff8,0x541ffc41,0x05ff704f,0xf705fd00,0xa85ff705,0x0f7440ff,
    0x06017fec,0x3fe20ff9,0x220ff902,0x01ea82ff,0xff50bff5,0xdffb5bd3,
    0x005ff980,0x2e003ff9,0xff504fff,0xdfb00009,0x226fd800,0x8bfff202,
    0xdd9fffcb,0x83ff14ff,0x1ea83ff8,0x65cbff50,0xdbdd8fff,0x3fee06ff,
    0x2a07ff00,0x3f2e00ff,0xfdbdd8ff,0x7f64c06f,0xffcbecaf,0x01ff701f,
    0xffcc8ffe,0xf701f906,0x6ffcc87f,0x3ee09f50,0xc85d102f,0x3fee006f,
    0x7fe640ef,0x03fa8006,0x3e03fe20,0x407fc43f,0x01ff83ff,0x8800dff1,
    0x106f885f,0x0ffa83fd,0xffc817a2,0xff916204,0x640bfe20,0x05ff107f,
    0x3bfe2075,0x41effa80,0x3e601ffb,0x3ff9005f,0xffd10350,0x0013fea0,
    0xb001bf60,0xc82ff4df,0xdff901ff,0x7fc42e61,0x3a83ff80,0x901dff10,
    0xffb83dff,0x201ff701,0x1ff503ff,0x83dff900,0xf9801ffb,0x1ffcc3ef,
    0xff00ffb8,0xf10dfd07,0x41bfe60b,0x03ff06fe,0x2ec1bfe2,0x260037e4,
    0xdfd04fff,0x001f9000,0x3ff88198,0x3ff88198,0xf9007fcc,0x0fe4005f,
    0x54002fdc,0x809d10ff,0x5b01fff9,0xff107fc8,0x441ff205,0xd01a82ff,
    0x3fea03ff,0x202ff981,0xf9005ff9,0x2e0b503f,0x4ffa80ff,0x06fd8000,
    0xff8b7ec0,0x5c0dfb06,0x40cc02ff,0x01a83ff8,0x3ee03ffd,0x02ffa80f,
    0x3fe01ff7,0x001ff503,0xff501ff7,0x07ff1005,0x7fdc13fe,0xfb07ff00,
    0xddddf70d,0x20fffddd,0x0ff986fd,0xf50bff20,0x000df901,0x3f60ffd1,
    0x005f8006,0x3ffdda80,0x3ffdda80,0x3ee03fdc,0x07f3003f,0x2a0013f6,
    0x004e88ff,0x7115fff9,0x20ff90dd,0xff902ff8,0x800bfe20,0x3ea03ffc,
    0x03ff880f,0x64017fe6,0x81fa81ff,0x9ff506f9,0x0dfb0000,0x32a6fd80,
    0x037fec41,0xa8001ff7,0x2003ffdd,0x3ee03ffc,0x03ff880f,0xff101ff9,
    0x007fee09,0x3e203fee,0x2ff8803f,0x3f20bfd0,0xb07ff01f,0x337f90df,
    0x03333333,0x1fee1bf6,0x7c47ff70,0x000df901,0x3f603fee,0x01fcc006,
    0x33ee07d9,0x7dc07ff1,0xfd87ff1c,0x027fd407,0x1bfa04d8,0x3ebfea00,
    0x3ffa2006,0xc80fffff,0x05ff107f,0x7fc41ff2,0x0bff5002,0xff00ffa8,
    0x02ffcc07,0xfa81ffc8,0xa817e41e,0xd80004ff,0x37ec006f,0x1bf2fa60,
    0x7000ffa8,0x00ffe39f,0x2e02ffd4,0x07ff00ff,0x3e60bff6,0x07ff905f,
    0x3e01ff70,0x2ff8803f,0x3f60dfb0,0xb07ff02f,0x007fb0df,0x7ec37ec0,
    0xb27fd407,0x0037e409,0xfd82ff88,0x807e4006,0x7f447ff8,0x7441ffc1,
    0x3a1ffc1f,0x3fe600ff,0x7406c803,0x7d4000ff,0x4004ffdf,0x00dffffd,
    0x3fe20ff9,0x220ff902,0xff8802ff,0x07fd400e,0x3e603ff8,0x3ff9005f,
    0xd9dffd50,0x27fd403b,0x037ec000,0x5701bf60,0xffa81bf2,0x20ff4400,
    0xff8803ff,0x07fdc00e,0x7f543ff8,0xfd99cfff,0xfd52dfff,0x5c05bfff,
    0x07ff00ff,0x3605ff10,0x7fff546f,0x41ffc1df,0x04fd86fd,0x3a1bf600,
    0x3fe600ff,0xdddddf53,0x9ddfffdd,0xd80fe800,0x037c006f,0x1fe89bfe,
    0x7f443ff8,0x7ec3ff81,0x07fe601f,0xfd801d70,0x3ea0c02f,0x002ffd8f,
    0x32006dc4,0x05ff107f,0x7fc41ff2,0x01ffe802,0xff00ffa8,0x02ffcc07,
    0x2080ffc8,0xfa800db8,0xfd80004f,0x037ec006,0x7d40df90,0x07fa200f,
    0x3fa00ffe,0x0ffb801f,0x00007ff0,0x7fdc0000,0x1007ff00,0x1bf605ff,
    0xd82ff800,0x00ffc86f,0xd86fd80c,0x3fe601ff,0xffffff71,0xbfffffff,
    0xfb07d800,0x01fcc00d,0x20df90a2,0x837e43ff,0x1ffdc3ff,0xea80ff50,
    0x04ffc800,0x11ff5162,0xe8003ffd,0x83fdc02f,0xff702ff8,0x900bfe20,
    0x3ea007ff,0x407ff00f,0xf9005ff9,0x00bba00f,0x88013fea,0x4006fd82,
    0x3f2006fd,0x803fea06,0x07ff06fc,0x7003ffc8,0x0ffe01ff,0x0016fdc0,
    0xfb801bfb,0x007ff00f,0x3f605ff1,0x07fe0006,0x3fee1bf6,0x7ec16203,
    0x203ffb86,0x2aaa67fa,0xffdaaaaa,0x274001aa,0x32006fd8,0x6fd8000f,
    0x6fd89ff0,0xff889ff0,0x9817ee06,0xfff3000e,0xff50b603,0x003bfe61,
    0x5007fec4,0x5ff301ff,0x2603fea0,0x3fea02ff,0xffa81105,0x4c07ff00,
    0x20a885ff,0xfd8806fc,0x27fd400f,0xdfb03900,0x006fd800,0xffa81bf2,
    0x7c1bf600,0x17fea04f,0x03fee044,0xd9801ffc,0x3faa007f,0x807fdc05,
    0xff8803ff,0x000dfb02,0x3f603fe2,0x02fff886,0x21bf6059,0x3ee06ff8,
    0x037e4005,0xfb00fa80,0x0037c00d,0x3622ffc8,0x3ff274ff,0x1d3ff622,
    0x3ba07ff7,0xb803d500,0x22bfff21,0xffa86eb8,0x0017fea0,0x7fcc01ff,
    0x827ff543,0x7f543ff9,0x1dff104f,0x1ff506a0,0xf980ffe0,0x364ff86f,
    0x03fe002f,0x2009ff50,0x00dfb068,0x36006fd8,0x03fea06f,0x3622ffc8,
    0xff8874ff,0xfb83500e,0x007ff00f,0x26000ff8,0x07fdc06f,0xf8803ff8,
    0x00dfb02f,0x7ec17e20,0x59fff906,0x7ec0db51,0x207ff706,0x7e4000ee,
    0x980cd886,0x01bf602f,0x3e601fcc,0x37ffe61e,0x3dffeaed,0x5dbbfff3,
    0xfc87bffd,0x403f662f,0xaaaaacfa,0x7f447daa,0x80ffffff,0x7fe41ffb,
    0x00bf3004,0x1bb9bffd,0xfd079fff,0xff1bb9bf,0x1ffe879f,0x1ff70720,
    0x6409ff10,0x7ffc0fff,0x7d4009f1,0x05ffb805,0xdfd04e98,0x006fd800,
    0xffb81bf6,0x37ffe601,0x3dffeaed,0x3900fff4,0xf880ffc8,0x13ea004f,
    0xc805f900,0x4ff880ff,0xb03ff980,0x47f500df,0x0ffb01fa,0x3fffffa2,
    0x1ff602ff,0x3662ffc8,0x6fc8000f,0xaadfffa8,0x3fec01ec,0x6400fc80,
    0x7ff5c3ff,0xb87ff70d,0xff70dffe,0x37ffee07,0xfff501df,0xffffffff,
    0x3ffff609,0x85ff900d,0x2a04fff8,0xf9800bee,0x9ff14fff,0x3fffe603,
    0xc839ff14,0x1f7303ff,0xf982ffd8,0x7ffe446f,0xff53dfff,0x3aa009bf,
    0x7ec400be,0xaaaaabff,0xff02ffcb,0x7ffc001f,0x01ffd000,0xd700fff2,
    0x3fee1bff,0x981ffe43,0x17fec0fb,0x5402ffcc,0xd9000bee,0x5ffb005b,
    0x500bff30,0x3ffa09ff,0x5fffe400,0x03ffe02f,0x1effffc8,0x7007ffc0,
    0x03bfbfff,0x641bf200,0x00ceffff,0xe800fff8,0x01ffa806,0x09801013,
    0x03510008,0xffffff98,0x01ffffff,0x6dc02a62,0xf91cffff,0x0009dfff,
    0x0540a980,0x0540a980,0x7fffffcc,0x50ffffff,0x33bffffd,0x05dffff9,
    0x0000d400,0xffffc980,0xffffffff,0xffeb87ff,0x7f5c04ef,0xd900ceff,
    0x7549dfff,0x402dffff,0xff980809,0xffffffff,0xfffd50ff,0xfffb339f,
    0x000005bf,0x7fff5400,0xfffd99cf,0xffd882df,0xffd92dff,0x6dc409df,
    0xffd701bd,0x1a9809df,0x77fff5c0,0x000d4404,0x26037e40,0x3ffae001,
    0x00d404ef,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x882ea000,
    0x2aa6001b,0x31009981,0x000ea003,0x4056f654,0x0001200b,0x81220003,
    0x5c09802a,0x4fffffff,0x7ffffec0,0xffffeb82,0x3ff664ff,0xfd7004ff,
    0xd503bfff,0x806d9807,0x0055cc28,0x0662ba88,0x2a201803,0xf91000ab,
    0x99988001,0x99998099,0xfffffd50,0x3fffaa1b,0xfeb81dff,0x5cc02eff,
    0x7ff5c2dd,0x900cffff,0x23bffffd,0xffffffd9,0x01cdeeef,0x00d5d440,
    0x220ccccc,0x22009999,0x99999999,0x7ffffec1,0xa7fff544,0xffffffd9,
    0x01cdeeef,0x981bd710,0x3fe60261,0x4003ffa4,0x4ff80efe,0xf500ff90,
    0x6ec4007f,0x440effb9,0x05b511be,0x0003d400,0x1ae61599,0x3203fb30,
    0x26005fff,0x7cc00dff,0x3f2204ff,0x3ea002ff,0x41ffa00e,0x2a06ffeb,
    0xfffd36fd,0x6774c03f,0x543fdffd,0x3f203904,0xcccdfdac,0x1fffb30c,
    0xffffb800,0x2efeb82d,0xc80fffe4,0xfb803fff,0xfb9cd805,0x7ffcc0ff,
    0x3df5000d,0x2fbffa20,0xfffdca9a,0xebdfd804,0x3f6e02ff,0x7ffecc7f,
    0x3ffffa02,0xfa87ffff,0x03fe00ff,0x2afbffa2,0x4fffdca9,0x67fffec0,
    0x03fee190,0x7ff49ff5,0x01ff8800,0x1ff209ff,0x800ffee0,0x427fd47c,
    0x06fffffd,0x0017ec00,0xffffff88,0x3fffb302,0x0027ff40,0x7fc003fa,
    0xfffc801f,0x7013e001,0x3fe660bf,0x1dff9906,0x3ffffddd,0xfe887f70,
    0x320ee83f,0xfa85fb05,0xd110eeef,0xf10001ff,0x07e401ff,0x3e01fff8,
    0x0fb802ff,0x3fea3640,0x002ffe84,0x3fee02fc,0x3bffa203,0xfc87f701,
    0x83fec00f,0x3b602ffb,0x5eeeeeee,0x2203ffb0,0x0ffee03f,0x81effe88,
    0xdfffd548,0x5c0ffecb,0x400b260c,0x13fe02fb,0xbb803fe4,0x309f3000,
    0xfff7103d,0x7c400019,0x3660005f,0x37102eff,0x7d403ffb,0x0be2007f,
    0x800ffe80,0x000ffff9,0xb001007f,0xdffd80df,0x317ffaa1,0x0ffe609f,
    0x03f6bfe6,0x3fa03fea,0x003fee04,0xd017fdc0,0x01ffe409,0xbb009ff7,
    0xeb84fa80,0x001ffe81,0x3fee01fc,0x0fffc803,0x3e20ffc4,0x83fe403f,
    0x00002ff9,0x2e09ff10,0x01ffdc06,0x2a07ffe4,0x906fed40,0x000003ff,
    0x09ff00f6,0x00001ff2,0x300027e4,0x3ff20000,0x0c40001f,0x803ff500,
    0xf7001ffe,0x00ffe800,0x06ffef98,0x200005f0,0x7fec06fd,0x21fff881,
    0x7ff100fe,0x413fff60,0x0df906fd,0x00007fdc,0x03e60bff,0x2606ff98,
    0x02f806ff,0x360027e4,0x1f4000ff,0x400ffee0,0x7fc46ffd,0x6403ff80,
    0x05ff107f,0x7fec0000,0x7dc03e80,0xdffb003f,0x07fb8000,0x20120000,
    0x0ff904ff,0x13f60000,0x10000000,0x0009ffdf,0x1ff98000,0x8027fdc0,
    0x7ff4004e,0xff9f9800,0x002f804f,0xc80dfb00,0x4fff206f,0x1ffc06fa,
    0xd00dee88,0x03fee0df,0x00007fd4,0x0b903ff7,0x7401ffd0,0x01ea01ff,
    0xfb000ff6,0x03e8001f,0x9801ffdc,0x40cc2fff,0x7e403ff8,0x005ff107,
    0x2006aea2,0x07cc3ffa,0x400ffee0,0x0002fff9,0x4cccdbe6,0x04cccc41,
    0x827fc000,0xba8807fc,0x03ff801a,0x00377100,0x7ffc7dc0,0x57510000,
    0x03ff3003,0x400fff88,0x7f4000f9,0xf379800f,0x02f807ff,0x80dfb000,
    0x3fea06fc,0xff80bf94,0x3fe40003,0xf500ffc8,0xff80001f,0x64017c45,
    0x3ff603ff,0x3e013604,0x7fec003f,0x201f4000,0x32003ffb,0x6ed406ff,
    0x3fe403ff,0xc802ff88,0x00dffddf,0x013637f4,0xc800ffee,0x81cc06ff,
    0xfffb75f8,0x02fffd98,0x7c1a82e2,0x80ff904f,0x0dffddfc,0x7000ffe0,
    0x05ffb7bd,0x3ff29d00,0xddfc8003,0x3e600dff,0x3ffc801f,0x74002ec0,
    0x279800ff,0x3e01fffb,0x6c039802,0x037e406f,0x13f6bff3,0x39807ff0,
    0x3a07fea0,0x83fea05f,0x3ee002b8,0x4c01ae0f,0xfff106ff,0x98817c0f,
    0x0199cff9,0x4000ffd8,0x1ffdc03e,0x03fff500,0x0ffe39f7,0x3e20ff90,
    0x837a202f,0x7dc06ff9,0x7001f11f,0x7d4007ff,0x7f5c41ff,0xffb0fe06,
    0x2a0bfee0,0xfff98ffd,0x7e413fe2,0x4c1bd107,0x0ffe06ff,0x7cc2fb80,
    0x43e6004f,0x22006ff9,0x1bfe60de,0x9801ff98,0x0be207ff,0x003ffa00,
    0x1fff91e6,0x75c40be0,0x037ec06f,0xff881bf2,0xff80bfd3,0x06feb883,
    0x3fe22fec,0x223fea00,0x800ffffd,0x00fa4ff8,0xfa81ffe8,0x07a81ffd,
    0x3ffffff6,0x7fec00ff,0x201f4000,0x26003ffb,0x3fa22fff,0x3201ffc1,
    0x05ff107f,0x7fdc07e4,0x657fe203,0x07ff7005,0x217ffcc0,0x3606ffcc,
    0xf983fe42,0x7ffe5c2f,0x3e4ffdd9,0x20ff904f,0x3ffb80fc,0x2a007ff0,
    0x05ff704f,0x3ffd1760,0x2e03f200,0x3ff303ff,0x40bffa00,0xffd0006b,
    0xfd0f3001,0x640be0df,0x7ec06ffc,0x1037e406,0x01bfa5ff,0xff9907ff,
    0x97ff900d,0xffa803bf,0x5ffbace9,0xf31ff900,0x27fdc001,0x427fd66c,
    0x07ff004d,0x000ffd80,0x6e64c1f4,0xccccceff,0x227fff02,0x03ff81fe,
    0xff883fe4,0x260bf102,0x7fe406ff,0x332601f8,0xcccceffd,0x07fff02c,
    0x40a81bfa,0x5ff107fc,0x4c3bff20,0x6413fe0b,0x305f887f,0x0ffe0dff,
    0xf880ffc0,0x41f8806f,0xf8805ffa,0x20dff305,0xf5001ff9,0x000fa0df,
    0x4c007ff4,0x85fff887,0x037f402f,0xff901bf6,0xfc8ffcc0,0x80ffe01f,
    0x56c406fe,0xf5001aa9,0x1ffb83df,0x5ccff880,0x237fc400,0x47ff89f8,
    0x7ff001f8,0x00ffd800,0x664c1f40,0xcccceffd,0x29fff02c,0x07ff06fc,
    0xff107fb8,0x3bbbee05,0x27ffeeee,0xffcaaaaa,0x2aaaaafe,0x9dffb993,
    0x3e059999,0x0dfb04ff,0xf107fc80,0x0bfee05f,0x3f60bff0,0x7777dc27,
    0x07ffeeee,0xff3007ff,0x017fe401,0x07ffc1b2,0x3bbbbee0,0x307ffeee,
    0x7f4003ff,0x0007cc1f,0x9800ffe8,0x87fff307,0x037ec02f,0xff901bf6,
    0xff72fd40,0x80ffe20b,0x0fa206fd,0x81ffa800,0xf9002ff8,0xfb0005ff,
    0xffb35c3f,0xff003d45,0x0ffd8007,0x2e01f400,0x7fc003ff,0x3e0dfb2f,
    0x07fd404f,0xfc817fcc,0x9999999b,0x33333219,0xcccdffec,0x3ffb83cc,
    0x817ffc00,0x1bd106fd,0xff883fe4,0x801ff702,0x3b620fff,0x4dfe527f,
    0x19999999,0xf7007ff0,0x03ffb80f,0x3ffc817c,0x4ccdfe40,0x30199999,
    0x7dc003ff,0x0002ec4f,0xf3001ffd,0xf17ffd40,0x406fd805,0x7fe406fd,
    0xfe83fd01,0x3ff620df,0xb81bf603,0x400199df,0xff880ffa,0x0dff1003,
    0xe93fea00,0x4d97fea3,0x000ffe00,0xf8001ffb,0x01ffdc03,0x323fff10,
    0x3ff622ff,0x0ffe6074,0x3609ffd5,0xf500003f,0x7fdc003f,0x3ffe2003,
    0x320dfb01,0x41ff23ff,0xff502ff8,0xcefff801,0xcbffa9ed,0x40007fb1,
    0x7fd803ff,0x5027fd40,0x5333333f,0x3fd80dff,0x07fe6000,0x10fff880,
    0x7f40005f,0x4079800f,0x05f0fffc,0x7ec06fd8,0x077fe406,0xff507f91,
    0xff1dddff,0x9037ec07,0xffffffff,0x3fea019f,0x003ff880,0x44000ff6,
    0xf83f17ff,0x001f88ff,0xfb000ffe,0x02f8003f,0x5001ffdc,0x3fe61fff,
    0xffeaeddf,0x37ffa03d,0xcfff9dec,0x00027ec3,0x2001ffa8,0x2a003ffb,
    0xdf900fff,0xfc8bfea0,0x205ff107,0x67c00ffa,0x3fa1efff,0x0013f65f,
    0xfe803ff8,0x0ffe600f,0xffffffe8,0x202fffff,0x260004fd,0x7e4001ff,
    0x8000d73f,0x0f3007fe,0x5f1dffb0,0x6c06fd80,0x67fe406f,0x202ffcdf,
    0xf0dffff9,0x037ec07f,0x3ffffff6,0xfa81ffff,0x007ff00f,0xb00007d4,
    0xf90d73ff,0xf800d55f,0x7fec003f,0x2017c001,0x32003ffb,0x7ff5c6ff,
    0x807ff70d,0xf14ffff9,0x1ff9039f,0x33332180,0xccdffdcc,0xffb83ccc,
    0x1bff2003,0x06606fc8,0x3fe20ff9,0x401ff502,0x300a89f8,0x400ffc81,
    0xb007ff01,0x7fcc03ff,0xa801f301,0x3ff205ff,0xff980c00,0xbffcc001,
    0x7f40003e,0x100f3006,0x805fbffd,0x37ec06fd,0x5545bf20,0xf02a6000,
    0x037ec07f,0x2a666276,0xfa85fcaa,0x007ff00f,0x2a0002e4,0xf983ecff,
    0x7c004ddf,0x7fe4003f,0x007e2002,0x22007ff7,0x81301fff,0x054c005a,
    0x7fdc01f3,0xccc96203,0xcdffdccc,0xfb83cccc,0xfff1003f,0x0037e403,
    0x7fc41fee,0x401ff502,0xf70002f9,0xf82c407f,0x3ffb803f,0x5d81fea0,
    0x201ffd00,0x16203ffb,0x4000ffcc,0x000fdffd,0x9802ff40,0xffff1007,
    0x406fd805,0x37e406fd,0x3ff80000,0x3d81bf60,0xff50f500,0x400ffe01,
    0xf80001f8,0xfff00fff,0x3ff8003f,0x027fd400,0xff700f50,0x13ff6007,
    0x00009d00,0xfff880d9,0xf5005902,0x7fdc003f,0x09ffb003,0x54006fc8,
    0x2ff980ff,0x5c01ff50,0xff10003f,0x7c0b205f,0x6ff8803f,0x7c417ee0,
    0x09ff7001,0x640bffe2,0x003ff302,0x00bfff50,0x027f4298,0xf5000fa8,
    0x6fd805ff,0x32037ec0,0xf000006f,0x837ec07f,0x0b7001fb,0x3fe01ff5,
    0x000d9003,0xc817ff20,0xff8006ff,0x3ff44003,0xb804e880,0xffb803ff,
    0x1fe2000f,0x007fa000,0x5159fff9,0x3fea00db,0x0ffee001,0x003ffee0,
    0xf9800dfb,0x27ff543f,0x3200ffa8,0x3f20004f,0x6da8acff,0x5c013fe0,
    0x01dd03ff,0xff8801b2,0x9fff900f,0x4c0db515,0xfd0002ff,0x7fc4003f,
    0x5c003fe3,0x3fee000f,0x2037ec02,0x3fe406fd,0x3ff80000,0x7fc1bf60,
    0xa81f8805,0x07ff00ff,0x000fcc26,0x203ff980,0xf8004ff9,0xff98003f,
    0x80374404,0x36203ffc,0xe8000dff,0x320001cf,0x3fa201df,0x02ffffff,
    0x4003ff70,0x36203ffc,0xfd800dff,0xdffe8007,0xcfff9dec,0xd00ffdc3,
    0x744000bf,0x2fffffff,0x400bff10,0x3f662ffc,0x8009f100,0xfd104ffe,
    0x05ffffff,0x80017fcc,0x7c4006fb,0x003f88ff,0xfb000bf6,0x407fd805,
    0x3fec06fd,0x7fc40000,0x641ff604,0x3109beff,0x3fee05d7,0xe84ff881,
    0x0003feff,0x3a007f40,0x7fc4001f,0xbff50004,0x0775cc13,0x56fff440,
    0xfffcb999,0x3fea0002,0x44003eef,0x905eefff,0x003dffff,0x8801ffec,
    0x999adffe,0x002fffcb,0x30003ffa,0x3e29ffff,0x3ffc81cf,0x00017fa0,
    0x07bffff2,0x4007ffa8,0x1dfdfffb,0xd0013f60,0x7e405fff,0x5c01efff,
    0xf10003ff,0xfff90007,0xff91007b,0x74009dff,0x007ffc02,0x3e201fff,
    0x400001ff,0x3fe06ffa,0xffff900f,0x401bffff,0xff982ffc,0x05fffe85,
    0x805c8000,0xffa8006b,0x3faa0006,0x0cfffeff,0x7fffecc0,0xbcdeffff,
    0x9500000a,0x5cc00017,0x01a9801b,0x3ffffb20,0xfffb303e,0x9bdfffff,
    0x3ae00157,0x8004efff,0x202a20a9,0x2dffffea,0x00001d98,0xfda806a6,
    0x000cffff,0xff7006a2,0xeb809dff,0x01efffff,0xfb9006a6,0x0009dfff,
    0x2a200015,0x80000001,0xfffd7008,0xfffeb89d,0x3bbb20ce,0x40000dee,
    0x3eeeeed9,0x13bfffae,0x566ee5c4,0x3fff6a01,0xfffc99df,0x073262df,
    0x00c40000,0xfb5000c4,0x0079ffff,0x26aaaa20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffe800,0xffffffff,0x8121ffff,0xffffb338,0x4c00bdff,0xdffffffd,
    0x4ccc4003,0x40199999,0x98483ed9,0xdffffffd,0x06e60001,0xfffffd98,
    0x7fedc1df,0x100cefff,0x33003575,0x13333333,0xffff9000,0xffffffff,
    0x4c05ffff,0x99999999,0x5d41b880,0xfffffb30,0xffffffff,0xfffd98bf,
    0xdeeeffff,0xffd9802c,0xdeefffff,0xffb3000b,0xddffffff,0x7f540179,
    0x20004fff,0x31dffffd,0xfffffffb,0x1fffffff,0x3fffff66,0x7fedc1df,
    0x910cefff,0x7dfffffd,0x7ffffff4,0xffffffff,0xfffd31ff,0x983dffff,
    0x25fffffd,0xffffffd9,0xf702bcde,0x1bffffff,0x3fffff60,0xfd01701d,
    0xffd5559b,0x3ffd7557,0xeb985ed4,0x0fffec40,0x3bffa000,0xfffd0000,
    0x40ffffff,0x12effff9,0x77ff4409,0x7ff80000,0x01dffd00,0x404fff98,
    0x0dffddfc,0x3fffffe0,0x20006fff,0x99effefa,0x2fda9999,0x3fffffe0,
    0xffd85fff,0xfb09ff30,0x333333bf,0x3a20df75,0xca9aceff,0x400cfffd,
    0xa9adffe8,0x2003fffb,0x99adffe8,0x403ffea9,0x000ffff8,0x00efff88,
    0x26673ffa,0x80ffca99,0x4c00effe,0x7e404fff,0xbdfe81ff,0xabffeaaa,
    0x4c2ffdba,0x402ffffc,0x3a204ffa,0xfecabdff,0xffc880df,0xff8800ff,
    0x7c07c01e,0x301ffd03,0xffffe85f,0x0bff705f,0x09ff9000,0x77776c00,
    0x2e05eeee,0xfffffc89,0x027fe401,0x007ff800,0x3a009ff9,0x1bd101ff,
    0xdd037fcc,0x9ddddddd,0x7d7cc000,0x203d806f,0xeeeeeeee,0x51ffd84e,
    0x9ff709ff,0x7dc0d500,0x3ffa603f,0x1ffdc01f,0x002fff44,0x7d407ff7,
    0x3ff600ef,0xffc8004f,0x1ffe404f,0x3f203ea0,0x3ffd004f,0xd06ffa80,
    0x203ffa07,0xfff702f9,0x803fb807,0xffc83ffc,0x1fffb01e,0x7003fe00,
    0x7f40d01f,0xc885b00f,0xf500beff,0xf700009f,0x0000007f,0x3ff221c0,
    0x03ffb803,0x40393000,0xeeffeee9,0xeeeeeeee,0x646eefff,0x03ffb80f,
    0xb9000000,0x7500dff1,0x59100000,0xffa80cb8,0x7dc0d004,0xfffc803f,
    0x40ffee01,0x7000fff8,0xffb807ff,0x3fffee04,0x3fbe2000,0x1ffdc03f,
    0x7fdc0ec0,0x03ffd003,0x0f05ff98,0x3b807ff4,0x881bff60,0x7ff7004f,
    0x4413ff60,0xfa803fff,0x407fd402,0x403ffa04,0x2a006039,0xb80004ff,
    0x000003ff,0x5c000000,0x00019cff,0xfdcc9800,0xccccccef,0xcdffeccc,
    0x7cc17e24,0x0000006f,0x6ff89f88,0x00000500,0x13fea000,0x7ff70140,
    0x03bffa00,0xfd01ffdc,0x3fee007f,0x03ffc403,0x007ff9d7,0x01ffdfdc,
    0x2600ffee,0x003ffb80,0xf9801ffb,0x7f40b05f,0x4407100f,0x0bd04ffe,
    0xa81ffdc0,0x3fea07ff,0x2027400f,0x0999fffa,0x000ffe80,0x13fea000,
    0x0ffee000,0x2aea2000,0x20000001,0xfffffffb,0x000000be,0x6c00ffee,
    0xeefb80ff,0x7ffeeeee,0x001bb880,0xdff14c80,0x26666000,0x04cccc41,
    0x27fd4000,0x1ffdc000,0x03fff980,0x7e407ff7,0x7ff7005f,0x203ffd00,
    0x006ff8eb,0x00ffeefa,0x40007ff7,0xfb003ffb,0x5ff9801f,0x00ffe800,
    0x07ffe600,0x7dc001d9,0x5fff303f,0x702ffec0,0x7ffdc01d,0xe802ffff,
    0x730000ff,0x004ffa80,0xd13ffb80,0xd7bfb000,0x438805ff,0xfb800ab8,
    0xfff9313f,0x33333105,0x01333333,0x36007ff7,0x9bfc80ff,0x19999999,
    0x3f6f7ae0,0x1f30002f,0x0501bfe2,0xb31fff6e,0x39805fff,0x2027fd40,
    0x03ffb802,0x5c1bff20,0x3ff603ff,0x07ff7003,0x700fff88,0x200bff6d,
    0x03ffb8fa,0x0301ffdc,0xb003ffb8,0xff9801ff,0x0ffe8005,0x37fe4000,
    0xfb8003f7,0x5fff103f,0x417ffc40,0xff7002f8,0x0ffe8001,0x1bfae200,
    0x0009ff50,0x9d37ff70,0x643fb800,0xffda80ff,0x01ffffb0,0xfb83ffb8,
    0x7ffd41ff,0xffffffff,0x003ffb82,0x7fb01ffb,0x217dc000,0xd8004ff9,
    0x981bfe24,0xa83fec05,0xfeb882ff,0x027fd406,0x0ffee01a,0x81fffa80,
    0xff103ffb,0x3fee001f,0x02ffd403,0x01bfe6d7,0x01ffdd3a,0x2540ffee,
    0x400ffee0,0x7cc00ffd,0xffe8005f,0xffe80000,0xb8002f9c,0xfff703ff,
    0x0fffa801,0xff7002ec,0x0ffe8001,0x1bff3200,0x7109ff50,0x37fee003,
    0x7fc4003f,0x2e1ffc41,0xbdd8fffc,0x7dc06ffd,0x8dffb03f,0xbff501ea,
    0x400ffee0,0x4fd80ffd,0x209f5000,0x26002ffb,0x81bfe20f,0x83fe405c,
    0xfcc82ff8,0x27fd406f,0xff700f30,0x7ffcc007,0xb03ffb82,0x7dc00bff,
    0x3ffea03f,0xffe9ae01,0x7dc7ea02,0x1ffdc03f,0x7fdc04d8,0x01ffb003,
    0x8005ff98,0x80000ffe,0x004ffff9,0x3a07ff70,0xffb006ff,0x70007d49,
    0x332201ff,0xccfffccc,0x7f402ccc,0x427fd406,0xfb800ffd,0xf88002ff,
    0x903ff80f,0xffb83dff,0x40ffee01,0x0ea0fffa,0xb8077fc4,0xffb003ff,
    0x801ff901,0xf101ff81,0x227400df,0xccccfff8,0x7e405ffd,0x405ff107,
    0x7fd406fe,0xfeccccce,0x03ffb807,0x5c1fffc0,0x7ff543ff,0x6ffdc004,
    0xffdcaaaa,0xf535c00d,0xf72ec0bf,0xdffb807f,0x04ffcccc,0x4cce7fdc,
    0xfe999999,0x2ffcc00f,0x007ff400,0x0fffb800,0x87ff7000,0x000fffb8,
    0x7f15fff1,0x00ffb800,0xff999991,0x0599999f,0x7d406fd8,0x00ffd84f,
    0x0003ffb8,0x0ffe2066,0x7d407fdc,0x0ffee02f,0x350fffcc,0xb807ffa0,
    0xffffffff,0x0fffffff,0x2203ffb8,0x9007fcc5,0x1f5005ff,0xcccfff88,
    0x6405fecc,0x05ff107f,0x3ea037ec,0xecccccef,0x3ffb807f,0x427ffc00,
    0xffeeeffb,0xfb8001bf,0xfffeeeff,0x46b801ef,0x1f981ffe,0xf700ffee,
    0xffdddddf,0xffffb809,0xffffffff,0x7cc00fff,0xffe8005f,0x3fa00000,
    0xff70004f,0xbfff957b,0xeffb8003,0xffb8005d,0x07ff4000,0x2037ec00,
    0x2c884ffa,0x03ffe880,0x3f76a000,0x01ff703f,0x7dc07ff1,0x1fff703f,
    0x807ff900,0xfb003ffb,0x5fff101f,0x0ff70b20,0xe803ffb8,0xff99999d,
    0xf9017206,0x80bfe20f,0x7fd406fd,0x2e01e604,0x7fc003ff,0x9cffb83f,
    0x0001fff9,0xd5107ff7,0x35c05dff,0x1b217fea,0xfb807ff7,0xb809903f,
    0xffb003ff,0x05ff9801,0x000ffe80,0x3ffff300,0x59ff7000,0x00035999,
    0x000fffec,0x20007fdc,0xd8000ffe,0x27fd406f,0xffdd3000,0x9f700007,
    0x7dc0ffe3,0x407ff00f,0xffb03ffb,0x0bff500f,0x2007ff70,0xff900ffd,
    0x0db5159f,0xffa80ffb,0x7777d404,0x206ffeee,0x83fe4058,0x3f602ff8,
    0x027fd406,0x0ffee016,0x81fff880,0x3fea3ffb,0x7ff70006,0x02fffd80,
    0x41fff0d7,0x1ffdc2f8,0x4c0ffee0,0x01ffdc04,0x4c00ffd8,0xfe8005ff,
    0xf880000f,0x000effbb,0x0001ffdc,0x002ffcc0,0x4000ffb8,0xc8000ffe,
    0x27fd406f,0xfbbfa800,0x3a20003f,0xb81ffc1f,0x07ff00ff,0x7d41ffdc,
    0x7fc402ff,0x3ffb800e,0x201ffb00,0xffffffe8,0x00ffe82f,0x7d00ffe6,
    0x701bfe20,0xf107fc80,0x037ec05f,0x07013fea,0x4007ff70,0xfb80fffa,
    0x027fe43f,0x401ffdc0,0x0d707ffe,0x43649ff7,0x7dc03ffb,0xf700a03f,
    0x3ff6007f,0x02ffcc00,0x0007ff40,0x9ffd2f40,0x03ffb800,0x5ff88000,
    0x01ff7000,0x000ffe80,0x7d406fc8,0x2390004f,0x10003ffb,0x07ff03fd,
    0x7fc03fee,0x88ffee03,0xe803fffb,0xff7001ff,0x03ff6007,0x3dffff90,
    0x9807ff60,0x81ae01ff,0x40006ff8,0x5ff107fc,0x2a037ec0,0xb80004ff,
    0x3f2003ff,0x07ff706f,0xb8005ffd,0xffb803ff,0xf886b81f,0xb83f88ff,
    0x7fdc03ff,0x3fee0003,0x01ffb003,0x8005ff98,0x40000ffe,0x0fffcc6c,
    0x007ff700,0x0bff1000,0x003fee00,0x0001ffd0,0xffa80df9,0x2e0a2004,
    0x4a2003ff,0x07ff06fc,0x7fc03fee,0x3bbfee03,0x801dffff,0x2e003ffc,
    0xffb003ff,0x0baa6001,0x2a03ffb8,0x1017c07f,0x40400dff,0x5ff107fb,
    0x2a037ec0,0x404004ff,0xf1003ffb,0x3fee05ff,0x00fff983,0x200ffee0,
    0x6b81fff9,0x0f77ff90,0xf700ffee,0x7dc0007f,0x1ffb003f,0x005ff980,
    0x0000ffe8,0x3ff203ee,0x7ff7000e,0xff100000,0x3fea000b,0x07ff4000,
    0x2037e400,0x32004ffa,0x003ffb81,0xf837ec36,0x01ff704f,0xffb80ffe,
    0x200199ad,0x01105ffa,0x36007ff7,0x3e6000ff,0x81bfe201,0x01ae05fb,
    0x2c00dff1,0x7cc07fd4,0x01bf602f,0x5c009ff5,0x003ffb82,0x7dc0bffb,
    0x0bff703f,0x401ffdc0,0x0d707ffb,0x413fffe2,0x7dc03ffb,0x3ee0003f,
    0x1ffb003f,0x005ff980,0x0000ffe8,0x7ff405f3,0x07ff7004,0xbff10000,
    0x4bfe6000,0x0ffe8028,0x406fd800,0xd1004ffa,0x400ffee0,0x88bff269,
    0xfb874ffd,0x407ff00f,0x10003ffb,0x06a01dff,0x6c00ffee,0x3ea001ff,
    0x81ffdc04,0x05f100ee,0x7006ff88,0xa87ff309,0x3f604ffe,0x027fd406,
    0x7ff70798,0x01fff700,0xfb01ffdc,0x3fee009f,0x04ffd803,0x7ffec0d7,
    0x807ff700,0x20003ffb,0xfb003ffb,0x5ff9803f,0x00ffe800,0x4c04f980,
    0xfb802fff,0x9800003f,0xf10005ff,0xf100b9ff,0xfb0003ff,0x05ffb80f,
    0xff904e98,0x4c7d5009,0xeaeddfff,0x7fe43dff,0x204ff880,0xd0004ffc,
    0x40e403ff,0xfd004ffc,0x7fc4003f,0x8bff200b,0x1f600fd9,0x201bfe20,
    0xbffd02fa,0x9fff1bb9,0xb80ffb07,0x4e8804ff,0x4407ff90,0x6400dffd,
    0x3fe204ff,0x3ffc802f,0x8077fe40,0x13fe606d,0x6403ffc8,0x2e0004ff,
    0xffd004ff,0x06ff9803,0x001fff80,0xfc8037c4,0x7fe400ff,0xfa800004,
    0x3ea0006f,0xffa801df,0xffe8003f,0x7fffb100,0xf9755555,0x3fffa05f,
    0xdbaaaaab,0x7ff5c1ff,0xb07ff70d,0xbff305ff,0x01bffa20,0x4c0fff20,
    0x6ffe80fb,0x03fff980,0x777ffe40,0xfdfffb81,0x01fee01d,0x266bffee,
    0x07fda999,0x453fffe6,0xfff01cff,0x4f7fec01,0xfb999999,0xdffe881f,
    0xffca989a,0xffe8802f,0x3ffea00e,0xbffd100c,0xfd731335,0x0ff440bf,
    0x3a203fb0,0x3fa206ff,0xfd10006f,0xfff300df,0x0fffc807,0x0fffe600,
    0x005ffb80,0x203dfff9,0x0006ffe8,0x00fffc80,0x6dc00400,0x04efffff,
    0x4efffeb8,0x3fffff26,0xffffffff,0x7ff64c7f,0xffffffff,0x02607fff,
    0x3fffaa02,0xfffd99cf,0xfffb32df,0x3003bfff,0xffffffff,0x3261ffff,
    0x1ceffffe,0x7ffffedc,0x951000cd,0x80351005,0x0dffffe9,0x3ffffb22,
    0xffffffff,0x40a9805f,0xfffd700a,0x7ff64c9d,0xffffffff,0x7ecc7fff,
    0xefffffff,0x4c009bcd,0xcffffffd,0xdffff901,0x3ffff663,0xeeffffff,
    0xfffb302c,0x30b307bf,0x9ffffffb,0x3ffff663,0xd9801cef,0x1cefffff,
    0x7ffffedc,0xfff910ce,0x5c07bfff,0x4efffffe,0x3ffffae0,0xfffb502e,
    0x3663dfff,0x1cffffff,0x3ff22000,0x003dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffff500,0xffffffff,0x7ffeccdf,0x3661dfff,
    0x81efffff,0xffffffd9,0x2662005e,0x21999999,0xcccccccb,0xcccccccc,
    0x00000700,0x00000000,0x00000000,0x00000076,0x000b2000,0x98055d44,
    0x062001ab,0x5dd440c4,0x102bb981,0x4c433333,0x4cc09999,0x33331099,
    0x13333013,0x40357510,0x4c419999,0xb8800999,0x2e62001b,0x35751002,
    0x2a355100,0x40050140,0x02ae20b8,0x26200dcc,0x99999999,0x20b88099,
    0x2666621a,0x02666219,0xaacefa80,0xffcaaaaa,0x0dffd01f,0x800dffc8,
    0x001fffd8,0xffffffc8,0x00070fff,0x003c404c,0x68826ea2,0x640ddc40,
    0x8333331e,0xeb899998,0x3b500002,0x54007e00,0x8000001d,0xbec8003d,
    0xbf30dfdb,0xb001bff9,0x9f90ba05,0xdd13ffb7,0xfb83dff9,0x3fae4fff,
    0x7f5c3eff,0xdfffd51e,0x83bfd705,0x2ffebdfd,0x4c7ffdb8,0x2e02fffd,
    0x02ffdbde,0x6ff677dc,0xffbbf900,0x97bb101b,0x04b81fff,0xffda8099,
    0x47ffff90,0x206ffff9,0xfffffffa,0x36a2ffff,0x2fff98ff,0x49ffffb3,
    0x2003effb,0xffe8805b,0x013ff203,0xfb8007fd,0xdd70005f,0x1ddddddd,
    0x8098000e,0x9fd5007d,0x05d15ffb,0x3ff6f7ae,0x36e9ff12,0x7fecc7ff,
    0x0006feaf,0x8013fae2,0xdfb1001f,0x6c000005,0x03ba2003,0x443f5dfb,
    0x836405ff,0x3a1ff46d,0x3f622fff,0x437fc40f,0x3ee07ff8,0x202ffe80,
    0x643fb86c,0x0ffb00ff,0x7dc0bfee,0xd827fcc2,0x222ff42e,0x1bfe60de,
    0x103f6172,0x205f107f,0xcd9ffeca,0xe98fffca,0x504ffebb,0x97fea03d,
    0xdd9fffcb,0x7ffdc4ff,0x20007740,0x5ffd802c,0x901ffdc0,0xff50005f,
    0x20000009,0x30260003,0x87f500ff,0xf703fff9,0xf74ff983,0xf707fe87,
    0x000bf35f,0x0007df91,0xfc88003f,0x400000be,0x0bf2003d,0x321bffe2,
    0x05f501ff,0x0ffcc5f7,0x3ea1bfee,0x80ffc84f,0x07b00ffb,0x2e80ffe6,
    0x3e20ffc4,0x20ff903f,0x4fa82ff9,0xfb85ff70,0x322ffb82,0x43ffb80f,
    0xb80f883f,0x201fb81f,0x7cc1dffb,0x07fd84ef,0x3bfe2075,0x30effc80,
    0x49ff9017,0x0c8000fb,0x007ffd40,0x7dc0ffee,0x9ff50002,0x0e000000,
    0x3ee09800,0x4c0999ff,0x07ff704f,0x3fee09f5,0x07fc84dd,0x01b9bff3,
    0x00efed40,0x20003f00,0x000cfeb8,0x26007b00,0x7ffb01ff,0xf309ff50,
    0xf88df50d,0x427fd40f,0xff986ff8,0x883ff882,0x41bfa00f,0x80ff8869,
    0x0ff903ff,0x3fe0bfe2,0x44dff101,0x23fd106f,0xdff305f8,0x00c837d4,
    0x0ff881ff,0x3e03ff50,0x01ff705f,0x07ffa035,0xd0017fdc,0x003f13ff,
    0xfff10060,0x07ff7005,0x540005f7,0x200004ff,0x40007039,0xfffff909,
    0x01ff85ff,0x3ff0fff9,0xc81ffe20,0x05ff107f,0x00cfeb80,0x0001f800,
    0x001dfea8,0xfc801ec0,0xddff500f,0x8bffdddd,0x7fcc1ff8,0xffa81981,
    0xffeeeeee,0xf10bfd07,0xa80b70df,0x303c81ff,0x207ff103,0x5ff107fc,
    0x3200ff98,0x00bf72ff,0x777777dc,0x3e27ffee,0xf70041ef,0x506fb81d,
    0x17fa01ff,0x9000ffcc,0x7fdc07ff,0x3bfe6000,0x2000003e,0xf7005ffd,
    0x002fc87f,0x0027fd40,0x41bfae20,0x70260003,0x07fcc0ff,0x317fe6e4,
    0x7fe401ff,0x220ff900,0xfc8802ff,0x200000be,0x2600001f,0xb0002efc,
    0x81ff6007,0x9999bff8,0x2ff40999,0x4c017fa2,0x999bfffd,0xf7019999,
    0x2ffeb81f,0x2ffc00f4,0x6d4003e2,0xff903ffd,0xf70bfe20,0xb3ffb80f,
    0x5fe4009f,0x99999999,0x067fff41,0xff85ff80,0xb00ffa84,0x0bfe60bf,
    0x202ffd40,0x5c000ffa,0x000006ff,0x4003bfee,0x0bf23ffb,0x13fea000,
    0xdff99000,0x098000e0,0xff703fdc,0x8ffeed70,0x7fdc07fb,0x220ff902,
    0x3f6602ff,0x3310002d,0x35f33333,0x00333333,0x833ff220,0x99999998,
    0x999999cd,0xf881ffa1,0x3ff6002f,0x200fff41,0x2ffaaeea,0x87ff1000,
    0x1a65fe8f,0xb707fe40,0x3e39f700,0x20ff903f,0x3fec2ff8,0x7f53fea0,
    0x00ff6006,0x3ffff620,0x44ffb803,0x7fd43ffb,0x260bfb00,0xff8802ff,
    0x07fd400e,0x007ff400,0x7ffcc000,0x4ffee001,0x500002fc,0x200009ff,
    0x000706fe,0x81fee04c,0x43aa0ffd,0x1ff65ff9,0x3209ff50,0x05ff107f,
    0x0000ffea,0xfffffff9,0xffffffff,0xff90000f,0x3ffffea1,0xffffffff,
    0x1ffd1fff,0x70027fc0,0x2ffc85ff,0xff98ff20,0x9bf20002,0x321ff75b,
    0x47ff1003,0x07fa201e,0x1ff207ff,0x3fa17fc4,0x4ffe600f,0xfb000ffe,
    0x7f540009,0x3f200dff,0x20ffe43f,0xbfb00ffa,0x200bfe60,0xfa801ffe,
    0x7fc4000f,0xe800006f,0x7dc004ff,0x0005fdbf,0x0013fea0,0x03837ec0,
    0xff702600,0xe98ffec0,0xfe93fe20,0x0ffe600f,0xff883fe4,0x0bbf6602,
    0x4cccc400,0x999af999,0x20001999,0x2621cfea,0xcd999999,0x21999999,
    0x3fe01ffd,0x1bf20c05,0x3fa21bf6,0x201ffcc3,0x747fe600,0x03e7ff11,
    0x0d37fd80,0x7fc0ff44,0x220ff903,0x0ffec2ff,0x3f63ff30,0xffc8c02f,
    0x3ee00c00,0x9ff104ff,0xfa83ff88,0x20bfb00f,0x7e402ff9,0x1ff5003f,
    0xffabd800,0x3f200003,0xffb8006f,0x0003fffe,0x0009ff50,0x01c1bf60,
    0x3ff61300,0x322fffff,0x441f9aff,0x07ff62ff,0xf901ff98,0x00bfe20f,
    0x002fff22,0x0001f800,0x02ffee20,0x6400f600,0xfff102ff,0x3fa12603,
    0x2e17f443,0x06ff887f,0x2b3fa02c,0x02d77ec6,0x0f2bfea0,0x7ff06fc8,
    0x7c41fee0,0x01ffdc2f,0x27fe4ff5,0x0ffeeb10,0x2206a588,0x0bf907fe,
    0x3fea09f9,0x260bfb00,0x3fea02ff,0xffa81105,0xfd972000,0xf980001f,
    0xfb8001ff,0x04fffcbf,0x04ffa800,0x20dfb000,0x44260003,0x0999ffc9,
    0x20bb7fea,0x3fee0ff9,0xb81fe603,0x05ff107f,0x01cfeb80,0x0001f800,
    0x002efc98,0xf9801ec0,0xdfff306f,0x1ba207a0,0x0dfb1be2,0x26407ff6,
    0x50bbfee0,0xd0005fff,0x7ec01fdf,0x2a09ff06,0x2ff980ff,0xf7037fc4,
    0x80fffccb,0x05fff12d,0xf705a8b2,0x40ef881f,0x3fea06f8,0x260bfb00,
    0xdff102ff,0xff506a01,0x883ea001,0x440006ff,0x70003ffe,0x3ffee7ff,
    0x7fd40004,0xdf900004,0x098000e0,0x3fa03fdc,0x88bf502f,0x17ee06ff,
    0xf981ffa8,0xfb50002f,0x0fc0005b,0x3bfb5000,0x00f60000,0xfc81ffd8,
    0xeb9befff,0x260fe606,0x307ff23f,0x6545fffd,0x37fc400f,0x70007ff8,
    0xffc809ff,0x1d3ff622,0xfd50ffe6,0x07ff709f,0xfff903ba,0xc8dd7115,
    0xda8acfff,0x7cc0fd46,0xec80fc86,0x407fee00,0x5ff306fe,0xc807ffa0,
    0x400ffdc1,0x4ffa81f8,0x17ff2000,0x23ffb800,0x0004fffb,0x00013fea,
    0x003837e4,0x0ff70260,0xdd04ffb8,0x207ff701,0x3fe600ee,0x027ff544,
    0x2fbf2600,0x000fc000,0x0033fae2,0x4007b000,0x3ee0efe8,0xffffff9d,
    0xb83d401f,0x26fffe67,0xffffc9ec,0xfb002fff,0x0013f207,0x2600ffc4,
    0xeaeddfff,0xffe83dff,0xfff9decd,0x317fe43c,0xffd101fb,0x881fffff,
    0xfffffffe,0x320f7d42,0x4c0fc42f,0x17fe401f,0xfb83ffc4,0x03ffc84f,
    0xffc81f73,0xf0374403,0xf50007ff,0x5c0001ff,0x7ffdc3ff,0x9ff50004,
    0x1bf20000,0x8130001c,0x7f6c07fb,0x807f662f,0x07e42ffc,0x7677ff40,
    0x03cfff9d,0x67fdc400,0x2003f000,0x0002efc8,0x2000f600,0x23ffdffc,
    0x02efffe9,0xc8f20790,0x320cffff,0x001dffff,0x01f881ea,0x5c01b200,
    0xff70dffe,0x3fffe607,0x2039ff14,0x1dfdfffb,0x6ffffec0,0x3ffff200,
    0xeffea81e,0x02c81dec,0x7fecc05b,0xffd91dff,0x3ff6a9df,0xfff31dff,
    0xffffffff,0x3fffaa1f,0xfff982df,0x3fff620d,0xff1001ef,0x2062005f,
    0xffb83ffb,0xffa8004f,0x640a2004,0x4000706f,0x807fdc09,0xfbfff54c,
    0xfff7003b,0x26003bdb,0xff14ffff,0xa8000039,0x5555531e,0x55559f55,
    0x00ed4555,0x01ec0000,0x44035300,0x0040009a,0x4c013501,0x8030000a,
    0x00c40002,0x40020260,0x002a20a9,0x22000d44,0x2a6000a9,0x0a988201,
    0x00008020,0x00000000,0x00000000,0x00bffb00,0x1ffdc0dc,0x004fffb8,
    0x90027fd4,0x1c1bf603,0xfa813000,0x2162512f,0x510001a9,0x054c0003,
    0x00000151,0x3bbbbae0,0xeeeeeeee,0x000006ee,0x00005900,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb8000,0x7dc1a000,0x3ffee03f,0x13fea004,0xffb03440,
    0x098000e0,0x02e7ffcc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc40000,0x41b6001f,0x7e404ffb,0xfb800eff,
    0x04e9805f,0x00e03ffa,0xffb80980,0x2000000d,0x0055c438,0x99988398,
    0x33330999,0x06e20033,0x24401220,0x0c401360,0x01800620,0xa9800c40,
    0x0c033000,0x099880c4,0xb9822000,0xbbbbbbbb,0x0bbbbbbb,0x99999993,
    0x99999999,0x405ddc19,0x1a881bba,0x99998600,0x2e209999,0x77711541,
    0x77777777,0x74c77777,0xeeeeeeee,0x06eeeeee,0x00000000,0x00000000,
    0x26677ffa,0xfda99999,0x6ffe885f,0x7ffffcc0,0x3fff6202,0xcbaaaaab,
    0xffeb82ff,0x5555c4ef,0xaaaaaaaa,0x0200caaa,0x440cc126,0x43ff6a0c,
    0x100ffffd,0xfb50dfd7,0x3f63bfff,0xb800cdff,0x05e8806f,0xff302f44,
    0x7ffec401,0x802fe444,0xfd8801f9,0xffa80cff,0x19b00dff,0x46fc87f7,
    0x75f643ff,0x00dfc83f,0x6eeecc1b,0xdddddddd,0x9930fddd,0x99999999,
    0x41999999,0x6ff83ffa,0x67fffe44,0xfffb2c00,0x7f43ffff,0x74cbfee7,
    0xeeeeeeee,0x26eeeeee,0xbbbbbbb8,0xbbbbbbbb,0x00000003,0x00000000,
    0xfffff700,0xffffffff,0x7ecc7fff,0x41ceffff,0xffffffec,0x3fff265f,
    0xffffffff,0x00007fff,0x44000000,0xffffb35e,0x65cbd11b,0xdbdd8fff,
    0xff9906ff,0x41ffec0d,0x7d4001ef,0x20bd1004,0x3e2085e8,0x74cb6047,
    0x017ea61f,0x5e402ff4,0x7dc3fd98,0xf50dd51c,0xffd0ffc1,0xfc97fe61,
    0xff88ff60,0x004fb85f,0x00003e00,0x7cc6fb80,0x4c4edc0f,0x540adffc,
    0x3fffff63,0xb9ffa1ff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x511cfee8,0x3f20bffb,0x0ffdc1ef,
    0x7dc0dfd0,0x0017a21f,0x45e88000,0x0efc85e8,0x08bfe2bd,0x17e20fdc,
    0x80be3ae0,0xf13fc438,0x4989f109,0x4ffd17f4,0x8df14ff9,0x3ffe0ff9,
    0x017fdc0f,0x0000f800,0xf907e400,0x7ed40b03,0x440eecdf,0x4c088888,
    0x0001dc1c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c03f900,0x01ff702f,0x7ec05ff5,0x443fea06,0x0000005e,
    0x0bd15e88,0x3323bfea,0x3a01fff9,0x4405f884,0xf000d72f,0x6c807d4b,
    0xd8bfb2e0,0xfaa7fc6f,0x2a21fe84,0x03fc80f8,0x0001f000,0x1745b000,
    0x6dc401c4,0x0000002d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f880000,0xff706b80,0x407ff101,0x3fea06fd,
    0x98804e88,0x99999999,0x01999999,0xa80bdbd1,0xcefcdfec,0x103f9301,
    0x745d80bf,0xb8be6004,0x3aa1ea06,0x27dc5fb2,0x42fdcbfa,0xd05982fd,
    0x3e00001f,0x99999930,0x99999999,0x44e20199,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5f1005c8,0x3e01ff70,0x81bf603f,0x006faffa,0xfffffff9,0xffffffff,
    0x003fcc0f,0x7100bfee,0x5f885ffb,0x1f303e60,0x3f313600,0x45f71760,
    0xb0fea2fd,0x361fea3f,0x3622c80f,0x200001ce,0x9999930d,0x99999999,
    0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c000000,0x2e0f6003,0x07ff00ff,0xff5037ec,
    0x31009ffb,0x33333333,0x03333333,0x5017b7a2,0x9df99dfb,0x446fa803,
    0x6c0fa05f,0xbd05b805,0x0ff85f30,0x41f88bf6,0xf0bfe27b,0x0000b90b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc800ba00,0xf00ffb85,0x037ec07f,
    0x5ffb1ff5,0x10000000,0x5c17a2bd,0xe8bc8dff,0x23f401ff,0x40d705f8,
    0x816a02f8,0x5fdabff9,0xfecbefe8,0x8d503e3d,0x0ec8aee9,0x00000f62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36003d80,0xf00ffb83,0x037ec07f,
    0xffd11ff5,0x40000003,0x42f445e8,0x7457e5fb,0x222f402f,0x402f885f,
    0x3889706b,0x81f7fec4,0x87d33dd9,0xbb502883,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e801720,0xff00ffb8,0x5037ec07,0x3bfe61ff,
    0x03f98000,0x3a20bd10,0x11fe2085,0x75c45644,0x2ec37c40,0x77ec3e80,
    0x0003feee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x06b801f8,0x3fe01ff7,0xa81bf603,0x17fea0ff,0x201bf200,0x2f4405e8,
    0x2201ff30,0xda83efed,0x01d31cee,0x775c3660,0x0005eeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x0bea00ec,0x7c407fe4,
    0x81ff604f,0x7fe41ffb,0x00e44004,0x04880244,0x00000264,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x417fdd10,
    0xfb05ffc9,0x0bff305f,0xfd807ffc,0x1fffc42f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffeaaf44,0x25e88dff,0x9cffffea,0x2dffffd9,0x93bfffae,0x1effffeb,
    0x09fffffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xb1033049,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_35_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,1,-1,0,0,1,1,-1,1,0,0,0,3,2,-1,2,2,2,0,0,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_35_latin_ext_y[560]={ 28,6,6,6,5,6,6,6,6,6,6,9,24,19,
25,6,6,6,6,6,6,7,6,7,6,6,13,13,9,14,9,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,6,6,6,33,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,9,13,13,13,13,13,13,6,6,6,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,12,7,6,10,7,
6,6,7,6,6,13,14,19,6,4,6,9,6,6,6,13,7,15,27,6,6,13,6,6,6,12,0,0,0,1,
1,1,7,6,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,11,6,0,0,0,1,0,7,6,6,6,
6,7,7,5,13,13,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,12,6,6,6,7,6,6,7,
2,8,0,7,6,13,0,6,-1,6,1,7,0,6,0,6,7,6,2,8,0,7,1,7,7,13,0,6,-1,6,
0,7,1,7,6,4,-1,-1,7,6,0,7,2,8,0,7,7,6,1,13,7,6,-1,6,7,6,13,0,0,7,
6,6,6,7,6,7,6,0,6,7,13,0,6,6,6,13,2,8,0,7,0,6,6,13,0,6,7,13,0,6,
0,6,-1,6,6,13,0,6,7,9,0,6,7,9,0,7,2,8,0,7,0,6,0,6,7,13,-1,6,-1,6,
1,0,6,1,7,0,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,12,8,8,8,8,8,8,8,8,8,8,8,8,8,3,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,6,0,6,0,
6,0,6,-1,4,-1,1,-1,2,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-4,-1,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_35_latin_ext_w[560]={ 0,5,9,16,14,25,23,4,9,10,12,18,6,9,
4,9,14,9,15,13,15,13,14,14,13,14,5,5,18,18,18,12,28,23,20,19,22,19,17,22,23,10,13,24,
19,28,24,21,17,21,22,15,19,23,23,30,23,23,19,8,9,7,15,18,6,13,16,12,15,13,13,16,16,9,
10,16,9,25,16,14,16,15,11,11,9,16,16,23,16,16,14,9,2,10,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,16,16,16,
2,12,10,22,10,15,18,9,22,18,11,18,9,9,6,15,16,4,6,6,10,15,22,22,24,12,23,23,23,23,
23,23,29,19,19,19,19,19,10,10,10,10,22,24,21,21,21,21,21,14,21,23,23,23,23,23,17,15,13,13,
13,13,13,13,20,12,13,13,13,13,9,9,9,9,14,16,14,14,14,14,14,17,16,16,16,16,16,16,16,16,
23,13,23,13,23,15,19,12,19,12,19,12,19,12,22,20,22,16,19,13,19,13,19,13,19,14,19,13,22,16,
22,16,22,16,22,16,23,16,23,16,11,11,11,11,10,10,11,11,10,9,23,15,13,12,24,16,16,19,9,19,
9,19,13,19,12,19,9,24,16,24,16,24,16,19,21,14,21,14,21,14,21,14,27,21,22,11,22,11,22,11,
15,11,15,11,15,11,15,11,19,9,19,14,19,9,23,16,23,16,23,16,23,16,23,16,23,18,30,23,23,16,
23,19,14,19,14,19,14,13,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,16,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,16,17,17,17,17,17,17,17,17,17,17,17,17,17,26,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,23,13,10,9,21,
14,23,16,23,16,23,16,23,16,23,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,23,13,29,20,21,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_35_latin_ext_h[560]={ 0,23,10,23,26,23,23,10,29,29,13,17,10,4,
4,23,23,22,22,23,22,22,23,22,23,23,16,21,17,7,17,23,29,22,21,23,21,21,21,23,21,21,22,21,
21,21,22,23,21,29,21,23,21,22,22,22,21,21,21,29,23,29,12,2,6,16,23,16,23,16,22,22,22,22,
29,22,22,15,15,16,22,22,15,16,20,16,16,16,15,22,15,29,29,29,5,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,23,15,21,
29,29,4,23,10,16,7,4,23,2,11,17,12,12,6,22,28,5,8,12,10,16,23,23,23,23,28,28,28,27,
27,27,21,29,28,28,28,27,28,28,28,27,21,28,29,29,29,28,28,13,23,29,29,29,28,28,21,23,23,23,
23,22,22,24,16,22,23,23,23,22,22,22,22,21,23,21,23,23,23,22,22,13,18,23,23,23,22,29,29,28,
26,21,28,22,28,21,29,23,30,23,28,22,29,23,28,23,21,23,26,21,28,22,27,22,27,21,28,23,30,29,
29,28,28,28,29,31,29,29,21,22,28,21,26,20,28,21,27,28,27,15,22,29,30,29,28,29,15,28,28,28,
29,22,22,21,22,21,22,29,22,28,22,29,22,22,23,22,27,21,29,22,29,23,23,16,28,22,28,22,28,22,
29,23,30,23,29,22,29,23,29,27,28,23,21,20,29,22,27,21,29,22,29,23,29,23,27,21,30,23,29,29,
27,28,22,27,21,28,22,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,23,20,20,29,20,20,20,
20,20,20,20,20,20,20,20,20,20,25,17,20,20,20,20,20,20,20,20,20,20,20,20,20,26,17,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,23,28,22,29,
23,29,23,30,25,30,28,30,27,30,28,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,32,30,29,23,30,24,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_35_latin_ext_s[560]={ 508,500,279,447,324,314,1,507,294,18,200,
216,300,385,507,490,1,127,44,16,450,466,131,490,272,169,505,506,159,333,197,
30,398,89,313,340,267,247,363,286,381,405,161,21,46,334,175,322,460,376,290,
266,416,359,137,314,436,478,1,286,89,278,230,406,352,335,408,381,161,394,345,
263,280,200,342,73,210,436,123,366,220,237,477,408,502,349,318,294,489,297,462,
366,295,328,366,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,508,504,266,
212,106,455,339,353,395,489,268,257,314,385,402,425,256,178,246,213,359,30,470,
505,307,223,289,420,184,249,464,309,13,57,81,24,84,48,190,427,192,212,256,
130,324,463,415,167,472,299,447,486,1,170,335,185,425,23,71,95,232,446,103,
386,372,358,344,1,274,478,273,90,235,221,207,411,425,401,480,237,88,86,73,
58,43,29,435,167,106,473,456,439,1,119,158,405,398,72,422,15,487,406,221,
229,258,199,37,60,274,131,276,360,383,297,339,441,385,113,246,46,178,160,357,
75,92,328,369,387,1,474,416,25,461,1,136,152,1,495,386,66,404,21,72,
426,491,140,169,258,64,149,438,70,150,125,377,105,139,205,225,32,239,52,252,
162,303,145,320,29,349,366,177,386,108,175,439,74,175,381,103,235,342,18,299,
337,252,262,123,492,115,63,107,193,54,396,87,502,322,116,1,96,485,120,280,
220,392,103,345,144,304,99,222,422,203,242,197,241,198,365,288,304,121,221,137,
60,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,146,78,78,469,
78,78,78,78,78,78,78,78,78,78,78,78,78,439,123,78,78,78,78,78,
78,78,78,78,78,78,78,78,359,140,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,275,425,
241,253,136,282,47,46,234,422,155,187,179,150,131,204,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,1,78,298,25,42,461,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78, };
static unsigned short stb__times_35_latin_ext_t[560]={ 1,152,286,176,123,152,152,223,34,64,286,
268,286,286,234,152,176,223,200,176,200,200,176,200,176,176,200,152,268,286,268,
176,1,223,246,152,246,246,246,176,246,246,223,268,268,246,223,176,246,1,246,
152,246,223,223,223,246,246,268,1,152,1,286,286,286,268,152,268,152,268,223,
223,223,223,1,200,223,268,286,268,223,223,268,268,246,268,268,268,268,223,268,
1,1,1,286,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,1,123,123,
152,287,223,1,1,286,176,286,268,286,286,176,286,286,268,286,286,286,223,64,
217,286,286,286,268,176,176,176,176,94,94,94,123,123,123,246,1,94,94,94,
123,94,94,94,123,223,94,1,1,34,94,94,286,176,34,34,34,94,64,246,
176,176,176,176,200,200,123,268,200,176,176,176,200,200,200,200,246,176,246,176,
176,176,200,200,286,268,152,152,152,223,34,34,64,123,246,64,200,64,223,34,
152,1,152,94,200,34,152,94,152,223,152,123,223,64,223,123,223,123,246,94,
152,1,34,34,94,123,94,34,1,34,64,246,200,94,223,123,268,94,246,123,
94,94,286,200,34,1,64,94,64,286,94,94,94,64,200,200,246,200,246,200,
64,200,94,200,64,200,200,152,200,123,246,34,223,34,152,176,268,64,223,64,
200,64,200,64,123,1,152,64,200,64,152,64,94,64,152,246,268,34,200,123,
246,34,200,34,152,34,152,123,223,1,152,34,34,123,64,200,123,246,64,200,
223,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,176,268,268,1,
268,268,268,268,268,268,268,268,268,268,268,268,268,123,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,123,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,64,152,
64,223,34,152,34,152,1,123,1,64,1,123,1,64,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,1,1,1,152,1,123,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268, };
static unsigned short stb__times_35_latin_ext_a[560]={ 126,168,206,253,253,421,393,91,
168,168,253,285,126,168,126,140,253,253,253,253,253,253,253,253,
253,253,140,140,285,285,285,224,466,365,337,337,365,309,281,365,
365,168,197,365,309,450,365,365,281,365,337,281,309,365,365,477,
365,365,309,168,140,168,237,253,168,224,253,224,253,224,168,253,
253,140,140,253,140,393,253,253,253,253,168,197,140,253,253,365,
253,253,224,243,101,243,274,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,126,168,253,253,253,253,101,253,
168,384,140,253,285,168,384,253,202,278,152,152,168,291,229,126,
168,152,157,253,379,379,379,224,365,365,365,365,365,365,450,337,
309,309,309,309,168,168,168,168,365,365,365,365,365,365,365,285,
365,365,365,365,365,365,281,253,224,224,224,224,224,224,337,224,
224,224,224,224,140,140,140,140,253,253,253,253,253,253,253,278,
253,253,253,253,253,253,253,253,365,224,365,224,365,224,337,224,
337,224,337,224,337,224,365,327,365,253,309,224,309,224,309,224,
309,224,309,224,365,253,365,253,365,253,365,253,365,253,365,253,
168,140,168,140,168,140,168,140,168,140,358,279,197,140,365,253,
253,309,140,309,140,309,205,309,174,309,140,365,253,365,253,365,
253,305,355,250,365,253,365,253,365,253,450,365,337,168,337,168,
337,168,281,197,281,197,281,197,281,197,309,140,309,216,309,140,
365,253,365,253,365,253,365,253,365,253,365,253,477,365,365,253,
365,309,224,309,224,309,224,140,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,365,393,393,253,393,393,393,393,393,
393,393,393,393,393,393,393,393,365,267,393,393,393,393,393,393,
393,393,393,393,393,393,393,392,274,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,365,224,168,140,365,253,365,253,365,253,365,
253,365,253,365,253,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,365,224,450,337,365,253,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_35_latin_ext_BITMAP_HEIGHT or STB_FONT_times_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_35_latin_ext(stb_fontchar font[STB_FONT_times_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_35_latin_ext_BITMAP_HEIGHT][STB_FONT_times_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_35_latin_ext_s[i] + stb__times_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_35_latin_ext_t[i] + stb__times_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_35_latin_ext_x[i];
            font[i].y0 = stb__times_35_latin_ext_y[i];
            font[i].x1 = stb__times_35_latin_ext_x[i] + stb__times_35_latin_ext_w[i];
            font[i].y1 = stb__times_35_latin_ext_y[i] + stb__times_35_latin_ext_h[i];
            font[i].advance_int = (stb__times_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_35_latin_ext_s[i] + stb__times_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_35_latin_ext_t[i] + stb__times_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_35_latin_ext_x[i] + stb__times_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_35_latin_ext_y[i] + stb__times_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_35_latin_ext_LINE_SPACING
#endif

