// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_42_latin_ext_BITMAP_HEIGHT        424
#define STB_FONT_times_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_42_latin_ext_NUM_CHARS            560

#define STB_FONT_times_42_latin_ext_LINE_SPACING          27

static unsigned int stb__times_42_latin_ext_pixels[]={
    0x26662000,0x15400000,0x00000000,0x00000400,0x4400006a,0x000009a9,
    0x80300080,0x88011001,0x20000002,0x001a8000,0x00013331,0x77776c00,
    0x0000eeee,0x007bbb20,0x03333000,0x3dd90000,0x36200000,0x0000005e,
    0x00000ccc,0x00008004,0x00eeeb80,0x39993000,0x01000800,0x3fee0000,
    0xd900001f,0x70000017,0x00005fff,0x7fdc025c,0x000fe02f,0x66f7f64c,
    0x0002dfed,0x2007b660,0x0dfd06fe,0xc982ffa8,0x3b10006f,0x00ef5400,
    0x3fa003f8,0x2000006f,0xffffffff,0x3e00000f,0x400003ff,0x0002fff9,
    0x0002ff80,0x00ff4400,0xffc80000,0x4c00004f,0x000ae00d,0x9ffff100,
    0x3ffa0000,0x0254006f,0x40000162,0x00002ffe,0x000001f5,0x00027fec,
    0xfb004e88,0x003f807f,0x2005fed4,0x40003fc9,0xff3002fb,0x1fff983f,
    0xeb9bff60,0x20006fff,0x7dc003e8,0x2003f802,0x0000ffe8,0x99999900,
    0x00001999,0x00013fe6,0x0013ff20,0x0007e600,0x01f44000,0x7fc40000,
    0x00000fff,0x03640f64,0x76fec000,0x5c0001ff,0x002ffeef,0xd51073e2,
    0xf1000009,0x6400007f,0x7c000003,0xf500005f,0x13fe2007,0x74400fe0,
    0xed88003e,0x01fc8000,0xff83ffc0,0x31ffdc07,0x000dffb3,0x2000dd88,
    0x01fc03fa,0x000ffe60,0x00000000,0x00017f20,0x0002ff40,0x00000980,
    0x00001800,0xff9bfd80,0x7c400005,0x0007f23f,0x3629f300,0x3e20005f,
    0x800ff90e,0xfffefffc,0xa800000f,0x6c00005f,0x00001fff,0x800037d4,
    0x3ea003f9,0x5007f005,0xf50000bf,0x037d4001,0x05005440,0x7fcc0660,
    0x1dd00006,0xf00ffc00,0x0bf50007,0x0faa0000,0x400007d5,0x800000ee,
    0x400006f9,0x01f543ea,0x50faa000,0x3000007d,0x017f447f,0x33fee000,
    0x800005fd,0x002fb84e,0x3fb81d90,0x3fffa200,0x00002fff,0x00000bb0,
    0x0007fff5,0x0000ec80,0x6c005f88,0x807f000e,0x200004fc,0x0ffa006a,
    0x00000000,0x0006ff98,0x6400bf30,0x000fe05f,0x800003dc,0x3ffa0ffe,
    0x0f880000,0x1d700000,0xffe80000,0x0003ffa0,0x3a0ffe80,0x400000ff,
    0x000d902e,0x1ffffd00,0x04a80000,0x362001aa,0x8001d300,0x000defeb,
    0x0003a000,0x007fec00,0x0007a000,0x20017f40,0x80fe000e,0x800002fc,
    0x3ff8804c,0x00000000,0x001bfe20,0x9004fc80,0x001fc0ff,0x00000590,
    0x06fc8df7,0x00033000,0x0000ec00,0x3f237dc0,0x7dc00006,0x00037e46,
    0x07500aa0,0xfffa8000,0x01800004,0x00c00088,0x000000c4,0x02a20000,
    0x00040000,0x0000c400,0x44007fc8,0xa81fc001,0x2000004f,0x27fd400f,
    0x00000000,0x000dff10,0x400ffc40,0x07f00ffe,0x00000800,0x00002010,
    0x08000000,0x40200000,0x01000000,0x00000002,0x00000000,0x00000000,
    0x00000000,0xfc800000,0x00000dfe,0x00000000,0x013fe200,0x07f000c0,
    0x00000df1,0x7fcc03c8,0x00000005,0x01bfe200,0x00bfd000,0x0fe01fff,
    0xaccb9880,0x26662000,0x01999999,0x4cccccc4,0x00000019,0x2b32ea20,
    0x4ccc4700,0x01999999,0x4cccccc4,0x33333119,0x88033333,0x19999999,
    0x33333331,0x99880333,0x31199999,0x33333333,0x99998803,0x22001999,
    0x82bcccaa,0x2aa20009,0x55440000,0x2a000000,0x0007d11e,0x30000000,
    0x64035997,0x001ffb81,0x4027ffe4,0x001fd83f,0x5d42f72a,0x7c406884,
    0x0510007f,0x81a80144,0x1a986ff8,0x01ffc800,0x3f81ffe2,0xdeffea80,
    0x400cfffe,0xffffffdb,0x7edc04ef,0xfb4dffff,0x01dfffff,0x009ffff9,
    0xdbdfffb3,0xb9ae59df,0xfffffffd,0x7fedc04e,0xfb74dfff,0x9dffffff,
    0xffffdb80,0xfffb74df,0x809dffff,0xdfffffdb,0xfffffb74,0xdb809dff,
    0x04dfffff,0xdffffc98,0xd9bdffed,0xdcfea802,0x19999bef,0x3f73faa0,
    0x019999be,0x1aa1ec00,0x05544000,0x7ff54000,0x43fffece,0x06fe81fb,
    0x2f98f540,0x13e61fc0,0x544f74c0,0x1d05ff8d,0x000fff80,0x36a1ff6a,
    0x3fee207f,0x2a6ff884,0x001ffffe,0xf9817fea,0x880fe06f,0xe980affd,
    0xfd8801ef,0x44001eff,0xff980ffe,0x7fc401ff,0x6ffec401,0xfffd981b,
    0xefffd887,0x7ff44001,0xdfffb100,0xffe88003,0xdfffb100,0xffe88003,
    0xdfffb100,0xffe88003,0x5dff9000,0x3fffea01,0x306fe403,0x3ffffffd,
    0x74c1bf90,0x01ffffff,0x0d50fa00,0xdcfea800,0x19999bef,0x417fec40,
    0xf9aefea8,0x005ffa83,0xf016e1ec,0xa801fc87,0x2ffdb85f,0xffe803b0,
    0xffffa800,0x1ffffee7,0x13ffff62,0x7fd5bfe2,0x003fffff,0x7d40fff1,
    0x540fe05f,0xfd800eff,0xfffa803f,0x09f70004,0x200fffd4,0x7f4c04f9,
    0xfff5002f,0x013ffea0,0x2a027dc0,0x70004fff,0xfffa809f,0x09f70004,
    0x004fffa8,0xb1009f70,0x32200bff,0x3fea03ff,0xaafff980,0x980ffa82,
    0x002aafff,0x3e887540,0x837f2000,0xffffffe9,0x01bff501,0x209fffb0,
    0x74004ffd,0x0fe03542,0x1df500df,0x201fff30,0x037ec02c,0x84fff708,
    0xd1107ffb,0xdff109ff,0xffb559f3,0x3fe001ff,0x09ff301f,0x37fcc1fc,
    0x013ff600,0x0007fff3,0xffb00bea,0x200fb807,0x4001fff9,0xff980ffb,
    0x5f50003f,0x03fff980,0x9805f500,0x50003fff,0xfff9805f,0x05f50003,
    0x004ffe88,0x3fe04fd8,0x803ff606,0x3ff606ff,0x3f600000,0x50000dfe,
    0xfff301ff,0x3fea0555,0x3ff6000f,0x007ffd04,0x00fa25b8,0x201fd47f,
    0xff301ffa,0x3201e40d,0x7fc4003f,0x407ff887,0xff884ffc,0xfffc80ef,
    0x09fff004,0x07f01ff4,0x98007ffd,0x3e201fff,0xf30002ff,0x06ff9805,
    0x3ffa02f4,0x01f90004,0x0005fff1,0xff100be6,0x3e60005f,0x17ffc402,
    0x402f9800,0x0002fff8,0xffc805f3,0x0bd10005,0xfc817fe6,0x0bff303f,
    0x0001ffe4,0x0000fea0,0x7fec0dff,0x0fffa200,0x03fffb00,0x88007fff,
    0x400efdfe,0x8803f63f,0x3fea04ff,0xfd00ba03,0x0fff0001,0xfb80fff1,
    0x0fff884f,0x003fffa0,0xfa817ffa,0xff906a05,0x3ff6000d,0x0bffe206,
    0x4017cc00,0x5f502ffe,0x007ffe40,0xf881f880,0xf30002ff,0x2fff8805,
    0x805f3000,0x0002fff8,0xff8805f3,0x5f30002f,0x00fffd40,0x3ee0b700,
    0x17fee05f,0xf702ffdc,0xc80000bf,0x3e60006f,0x0fff205f,0x4007ffc8,
    0x446ffdfb,0x30002fff,0xd8fe0039,0x007fe407,0x3e203ff9,0x000fea01,
    0x7ff83ffc,0x4427fdc0,0x7fd406ff,0x6ffd801f,0xa800fe40,0x30003fff,
    0x3e209fff,0xf30002ff,0x0dff5005,0xfff881b6,0x40ec0004,0x0002fff8,
    0xff8805f3,0x5f30002f,0x02fff880,0x8805f300,0x30002fff,0x3ffe205f,
    0x83440005,0x3ea06ff9,0x0dff305f,0x0002ffd4,0x003fff10,0xb817fee0,
    0xfff305ff,0x4d7d4007,0x3fe64fff,0x0000001f,0xf303747f,0x07fe809f,
    0x3ae203e6,0x1ffe0002,0x3ee03ffc,0x06ff884f,0xc803fff8,0x2eb807ff,
    0x00fffd80,0x03fffa00,0x000bffe2,0xfe8017cc,0x701fc42f,0x80005fff,
    0x2fff8819,0x805f3000,0x0002fff8,0xff8805f3,0x5f30002f,0x02fff880,
    0x2e05f300,0x80001fff,0x403ffe00,0x3fe03ffb,0x07ff700f,0x7ffdc000,
    0xdff30004,0xd82ffd40,0xf3000fff,0xa87fffc9,0x44000fff,0x7f001aa9,
    0x1ff902fc,0x7027fc40,0x0017f70d,0xff07ff80,0x84ffb80f,0xfe806ff8,
    0x7ffc804f,0x405f9100,0x40007fff,0xf881fffd,0xf30002ff,0x1bfea005,
    0x7ff401f7,0x22000007,0x30002fff,0xfff8805f,0x05f30002,0x002fff88,
    0xf8805f30,0xf30002ff,0x01fffa05,0x3ff60000,0x401ffb03,0xffb03ffd,
    0x7f400001,0xf0000fff,0x3fee01ff,0x00ffff03,0xfffb17a2,0x007ffea3,
    0x7feffe44,0x44fe00df,0x0bff104f,0x3602ffd8,0x001dea84,0xff83ffc0,
    0x427fdc07,0xfd806ff8,0x7ffb804f,0x203db300,0x0006fff8,0x4417ffec,
    0x30002fff,0x7ff4005f,0xff9817a2,0x2000006f,0x0002fff8,0xff8805f3,
    0x5f30002f,0x02fff880,0x8805f300,0x30002fff,0xdfff305f,0x36000000,
    0x17fd42ff,0x2a17fec0,0x200002ff,0x03fffcfa,0x207ffb00,0xff880ffd,
    0x81db007f,0xff33fffc,0xbfd1003f,0x8077fd41,0x2a09f13f,0x3fe603ff,
    0x403f100f,0x3e0004ea,0x80fff07f,0xff884ffb,0x02ffc806,0xd806ffc8,
    0x7ffcc01d,0x7fe40005,0x2fff884f,0x005f3000,0x1fab7fdc,0x017ffea0,
    0xfff88000,0x05f30002,0x002fff88,0xf8805f30,0xf30002ff,0x2fff8805,
    0x505f3000,0x0000bfff,0x5f7fe400,0x32001dfe,0x1dfebeff,0xebec0000,
    0x360006ff,0x17fd42ff,0x806fffa8,0xfffb81fc,0x005fff34,0xff903ff9,
    0x04f8fe09,0x7f403ff9,0x2017206f,0xff0004f9,0x701ffe0f,0xdff109ff,
    0x003ffb00,0xfd80bffb,0x5fffb800,0x7ffdc000,0x02fff885,0x8005f300,
    0x406d9fff,0x0005fffb,0x0bffe200,0x2017cc00,0x0002fff8,0xff8805f3,
    0x5f30002f,0x02fff880,0xf705f300,0xed8009ff,0x5eeeeeee,0xaba9ae88,
    0x4d744001,0x00001aba,0xfff53f98,0x7fe40003,0x201dfebe,0x5405fffb,
    0xdfff702f,0x200fffe2,0xffa80ffe,0x82f47f05,0xfb900ffd,0x003e207f,
    0x7c000ff4,0x80fff07f,0xff884ffb,0x00ffe806,0x2a04ffe8,0x7e4b205f,
    0x540004ff,0xff886fff,0x5f30002f,0xfeffb800,0x27ffe403,0xff100000,
    0x3e60005f,0x17ffc402,0x402f9800,0x0002fff8,0xff8805f3,0x5f30002f,
    0x009fff90,0xdffff930,0x0007f105,0x00007f10,0xff07e400,0x3a2000bf,
    0x801aba9a,0x2604fffc,0x3ffea04f,0x200fffa6,0xdff306fd,0xb06d8fe0,
    0xf59905ff,0x009d105f,0x7c0037e4,0x80fff07f,0xff884ffb,0x005ff807,
    0x7ec07ffd,0x7fdcfe03,0x7d40005f,0xfff885ff,0x05f30002,0x0ffff880,
    0x027ffdc0,0xfff10000,0x0be60005,0x005fff10,0xf100be60,0x260005ff,
    0x7ffc402f,0x05f30002,0x000bfff9,0xd817fff4,0xfd80002f,0x10000002,
    0x0fffc89f,0x001fc400,0x20bfff50,0x7fd405f8,0x013ff25f,0x7fcc06e2,
    0x07dc7f06,0xd9877fd4,0xe883ff75,0x1ff60184,0x221ffe00,0x7fdc07ff,
    0x407ff884,0xff000ffa,0x13fe203f,0xdfff53f8,0xfffb8000,0x02fff883,
    0x0005f300,0xf500bff9,0x00000bff,0x0017ffc4,0x7c402f98,0xf30002ff,
    0x2fff8805,0x805f3000,0x0002fff8,0xfff505f3,0x7fec000d,0xdfff881f,
    0x0aaabccc,0x337ffe20,0x00aaabcc,0x441fb800,0x6c003fff,0x3e60002f,
    0x01dd05ff,0x263fffc8,0x2a0005ff,0x7f06fffd,0x7fc41fc4,0x3e64feff,
    0x709f714f,0x007ff409,0x3e61ffe0,0x3fee00ff,0x04fff884,0x7c400ffa,
    0x17fea06f,0xffff13f8,0xfffc8000,0x02fff882,0x0005f500,0xf3003ff1,
    0x00000dff,0x0017ffc4,0x7c402fa8,0xf50002ff,0x2fff8805,0x805f5000,
    0x0002fff8,0xfff305f5,0x7fe4000f,0x3ffffe07,0xdfffffff,0xffffff01,
    0x3bffffff,0xd8374000,0x3e2007ff,0xabcccdff,0xfff100aa,0xb003f90d,
    0x7ff85fff,0x577dc400,0x87f06ff9,0xbffd506d,0xbffffd05,0x7c01f103,
    0x7ff8007f,0x203fffb8,0xff884ffb,0x04fd82ff,0x980ffe60,0xf8fe06ff,
    0x6c0007ff,0xfff01fff,0x07ea0007,0x88036c00,0x00007fff,0x001fffc0,
    0xff801fa8,0x3f50003f,0x007fff00,0x3e007ea0,0xf50003ff,0x3ffff103,
    0x1fff2000,0xfffffe88,0x1fffffff,0xfffffe88,0x1fffffff,0x502fa800,
    0x7c005fff,0xffffffff,0xfe81dfff,0x8017dc7f,0x7dc0fffe,0x5df7001f,
    0x3f837fcc,0x01500fd4,0x32009a88,0x01ffe204,0xfeb9ffe0,0xb83effff,
    0xeff884ff,0x2ffddffa,0x007fdc00,0x1fc0fff1,0x0003fffb,0xff03fff4,
    0x3ee0009f,0x03f88001,0x007fffa0,0x4fff8000,0x003f7000,0x20009fff,
    0xfff801fb,0x03f70004,0x0009fff0,0x7fec07ee,0xff90004f,0x4c47440f,
    0xeccaaaa9,0x988e884f,0xeccaaaa9,0x07d8004f,0x1002fff4,0xfffffffd,
    0xd83fffff,0x09f32fff,0xf83fffc0,0x0efc803f,0x3f837fcc,0x000005e8,
    0x3e600f98,0x7ff8005f,0x1ffdc000,0xb98b7fc4,0x9fd0001a,0x201fff00,
    0x13ffe63f,0x17ffc400,0x0009ffd0,0x2e0003f2,0x3fea000f,0x0080004f,
    0x20009ffd,0xffe800fc,0x01f90004,0x0009ffd0,0x3fa003f2,0x1f90004f,
    0x01fffe60,0x883ffe40,0x23f4002e,0x3f4002e8,0x700fe600,0x22003fff,
    0xaaa9988e,0x444fecca,0x05f8cfff,0x40fffe20,0x3fec06fb,0x7f06ff98,
    0x00007f10,0x2601f440,0xff8004ff,0x7fdc0006,0x006ff882,0x003fe200,
    0x1fc03ff6,0x0003fff2,0xfb017ff2,0x1ba000ff,0x0013e200,0x0003fffa,
    0xfffb0598,0x401ba000,0xd0007ffd,0x1fff600d,0xd8037400,0xdd0007ff,
    0x03fffc80,0xb07ffc80,0xd8d5000f,0x006a8007,0x777777e4,0x4fffeeee,
    0x4002e880,0xeeffb87e,0x3ff6000e,0x9817ec05,0xdff304ff,0x0fd40fe0,
    0x1f440000,0x001ffc40,0x20002ffc,0xff881ffb,0x3f200006,0x40ff9002,
    0x27ffc43f,0x03ffe200,0x003fff70,0xc8004fa8,0xff98000f,0x1d10005f,
    0x007ffee0,0x2e009f50,0x54001fff,0xfff7004f,0x04fa8003,0x003fff70,
    0x7c404fa8,0x64000fff,0x07fb87ff,0x1fee3d80,0x8800f600,0xccccccef,
    0x0fffeccc,0x54003ec0,0x03fffd06,0x0077fcc0,0x3ee03fa2,0x0dff304f,
    0x02fc80fe,0x00fe6000,0xf8003fe8,0x7dc0003f,0x06ff880f,0x007f1000,
    0x07f02fe4,0x4001fff5,0xfd003ffd,0x7fcc00bf,0x546ee200,0x3ea0002f,
    0x744004ff,0x02fff401,0x4001ff30,0x26005ffe,0x3fa000ff,0x3fe6005f,
    0x17ffa000,0x800ff980,0x000efff9,0x3f61fff2,0xb1b2004f,0x364009ff,
    0x4007ee00,0x2e03fff9,0x03d8007f,0x4003fff3,0xf1001ffd,0x20fff709,
    0x3f826ffb,0x00027d40,0x26001fd4,0x3e20206f,0x3202000f,0x0dff304f,
    0x00bd1000,0x0fe00ff8,0x200f7fd4,0x2002ffd8,0x9805fff9,0x7fe402ff,
    0x80005fff,0x800dfff9,0xff9802e9,0x2ff9805f,0x2fffcc00,0x0017fcc0,
    0x2017ffe6,0x4c002ff9,0xf9805fff,0x3fe6002f,0xff9001ef,0x9ffff30f,
    0x3ee66133,0x7fffcc0e,0xf733099c,0x06e8001d,0xb037ff40,0x364009ff,
    0x03ffff50,0x002ffd88,0x3fe226c4,0xffdb30cf,0x01fc951f,0x0005774c,
    0x400077ae,0x1ffb81fb,0x7c400fea,0x9807f45f,0x440007ff,0x17dc005e,
    0xfd880fe0,0x7f5440bf,0xff98000d,0xca889bef,0xfd802ffe,0x0000ffff,
    0x5bfffd10,0x3fd97113,0x77ffcc00,0xfeca889b,0xff30002f,0x951137df,
    0x20005ffd,0x89befff9,0x02ffeca8,0x7dfff300,0xffd95113,0xff910005,
    0xfb3037bf,0x3fee09ff,0xffffffff,0x3ffee03f,0xffffffff,0x02fa8003,
    0x80fffd40,0x99cffff9,0x01df7330,0x3ff233e6,0x6ff5442c,0xb16e0000,
    0x27fdffff,0x1fc5ffff,0x35bfd500,0x6fe54c41,0xcfa80001,0x2b7fff60,
    0x3fe6004e,0x201ecbff,0x0001fffb,0x644005d3,0x803f801f,0xffefffda,
    0x440003ef,0xfffffffc,0xd3000cff,0x000005df,0xfffffb71,0x00017dff,
    0xffffff91,0x00019fff,0xfffffc88,0x000cffff,0x7fffe440,0x00cfffff,
    0x7ffe4400,0x0cffffff,0x7f64c000,0xfffedeff,0xffb7002d,0x0019bdff,
    0x3bffff6e,0xfd0000cd,0x17ffe000,0xffffffb8,0x203fffff,0x7fecc6e8,
    0x02efffef,0x64473000,0x3f21efff,0x001fc0df,0x7fff764c,0x0001bcef,
    0xd8976440,0x8002dfff,0x80ceffeb,0xfffffec8,0x0322003e,0x000beb80,
    0xca88007f,0x3000001a,0x01357975,0x00000200,0x1abca880,0x2ea60000,
    0x00009abc,0xabcba980,0x98000009,0x009abcba,0xcba98000,0x000009ab,
    0xaacbaa88,0x00180001,0x40000600,0xfb0004f9,0xfdb803ff,0x00cdefff,
    0x2ea600c8,0x0000001b,0x3008804c,0x02200001,0x20000000,0x01100000,
    0x00000000,0x00260000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2fe80000,0xdfff7000,
    0x00001800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6ffe4400,0xfffd8000,0x000001cf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffc8000,0xd800efff,0xffffffff,0x20322006,
    0x2000002a,0x00009998,0x00099980,0x05ddd300,0x00000000,0x2f76c000,
    0x03332a00,0x00000540,0x00010010,0x00004004,0x00016664,0x001ddd70,
    0x09998800,0xb0000000,0x000009dd,0x980000a2,0x80000199,0x99999999,
    0x13310001,0x10004ccc,0x80000200,0x000000b8,0x00000000,0x0bd539f7,
    0xffc80000,0x5c00000f,0x00005fff,0x000dfffd,0x3ffe6000,0x7d400004,
    0xf1002fff,0x64409fff,0x000001ff,0x005880b6,0x04980760,0x7fffdc00,
    0xff880000,0x400004ff,0x0005ffe8,0xfffb8000,0x2600002f,0x100007fc,
    0x80009fff,0xfffffeb9,0x01ffffff,0xf11ffe80,0x254001ff,0x20000720,
    0x00dfdfd8,0x26200000,0x00000099,0x001dfffb,0x1fff8000,0x7fc40000,
    0x40001fff,0x03ffdefa,0xffc80000,0x7c400005,0xb006ffcf,0x981fffdf,
    0x001ffffd,0x213e6000,0x2a0001f9,0x000fa82f,0x3ff7fe20,0xdfd80005,
    0x00001ffe,0x0007ffc4,0x9ff10000,0x50000dff,0x000ffffd,0x0017fee0,
    0xffffff50,0x20005c8f,0x3fe64ff8,0x80ed8002,0xd700005d,0x0000fa21,
    0x0fffc800,0x2aa00000,0x4000000a,0x00002ff9,0x6fe9cfc8,0xb877c000,
    0x000000ff,0x000037f4,0x3fe99fe4,0xfe8afcc0,0x7ffdc445,0x64000001,
    0x00bf30df,0x7d49fd00,0x97e40003,0x20002ffa,0x0bfb14f9,0x5ff30000,
    0x64000000,0x007fd32f,0x7ffc9980,0x0dfb0000,0xffffa800,0x02e47fff,
    0x5c1df300,0xff30005f,0x00007ec5,0x003542e8,0x3ffd0000,0x7d500000,
    0x00003ea8,0x00007f90,0x7ec47f30,0x81d70002,0x000005f9,0x00003be2,
    0xfd885f10,0x3f217a00,0x003fff02,0xeff88000,0x80000ffb,0x06fbeff9,
    0x2617cc00,0x13a0006e,0x00000bee,0x000013ea,0x36217cc0,0xf880000f,
    0xdf00007f,0x7fd40001,0x47ffffff,0x3ee0005c,0x00007e42,0x09fd9ff9,
    0x2e1f4000,0x30000006,0x000005ff,0xffe83ffa,0x4e800000,0x07b00000,
    0x362001b2,0x0003d100,0x0007ee00,0x4b80b200,0x83540950,0x00001ffe,
    0x4ffffb80,0x3ff20000,0x6c0002ff,0x0007b101,0x00354095,0x0007b800,
    0x6403b000,0xff880004,0x1fa80007,0x7ffec000,0x647fffff,0x21720005,
    0x7c40003e,0x0000ffff,0x174c7aa0,0xfb800000,0x2e000003,0x0037e46f,
    0x0002c400,0x1d402a80,0x00c00600,0x002d8000,0x03003000,0x3a026006,
    0x000001ff,0x001fffd0,0x37ffc400,0x20062000,0x88018001,0x3b000000,
    0x18800000,0x88000180,0xc80007ff,0xfff80001,0x47ffffff,0x0360005c,
    0x7dc0001a,0x800002ff,0x0005fefc,0x0017a000,0x00402000,0x00008000,
    0x00000000,0x80000000,0x00000001,0xfe800000,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000008,0x7c000000,0x0080007f,0xffff8800,
    0x647fffff,0x04020005,0x00000000,0x0002a200,0x00688000,0x4ccccc40,
    0x44019999,0x19999999,0x332e6200,0x4400000a,0x000accb9,0x06f2ea20,
    0x00000066,0x99980000,0x09999999,0xfd005100,0x8000003f,0x00accba8,
    0xcb988007,0x000000ac,0x5d440000,0x44700acc,0x99999999,0x4ccc4019,
    0x33119999,0x41333333,0x99999998,0x26666019,0x7ff80999,0x99999988,
    0x4ccc4000,0xff109999,0xffffffff,0x999885c8,0x01999999,0x4cccccc4,
    0x79751019,0x99883303,0x19999999,0x4ccccc40,0x08000199,0x7fedc000,
    0x04efffff,0x7ffffedc,0xffea804d,0x0cfffede,0x3ffaa000,0x0cfffede,
    0x3bffea00,0x2eabefff,0x26666000,0x99999999,0x99999999,0x3ff72200,
    0x02cfffff,0x7403fed4,0x000001ff,0xdbdfffb3,0x01ae59df,0x76f7ff54,
    0x6c00cfff,0x0effffff,0x04ffffc8,0xdefffd98,0x4d72cefe,0xffffffdb,
    0x7edc04ef,0xb34dffff,0x7dffffff,0x7ffffed4,0xfd900cef,0xff03bfff,
    0xfffd930f,0xfdb800bf,0x3a3dffff,0xffffffff,0x7edc2e47,0x4effffff,
    0x7fffedc0,0xfffa84df,0xeabefffe,0x7fffedc2,0x5c04efff,0x4dfffffd,
    0x99999988,0x4c401999,0x41999999,0x01efffd8,0x007ff440,0x4057fec4,
    0x4001efe9,0x980affd8,0xfd801efe,0x3fee61cf,0x910002ff,0xfffffffd,
    0xffffffff,0x26005fff,0x400cffff,0x807ffffa,0xffe81ffe,0x4401dfff,
    0x981bdffd,0x4407fffd,0xe980affd,0x7fcc01ef,0x7fc401ff,0x6ffec401,
    0xfffd981b,0xefffd887,0x7ff44001,0x9ffff300,0x37fffcc0,0x405ff700,
    0x7fd407ff,0xe88004ff,0xfffc81ef,0x647fffff,0x3fff6205,0x7f44001e,
    0x39ffb00f,0x17fffdcc,0x1efffd88,0x07ff4400,0xfffffb70,0xdb809dff,
    0x84dfffff,0x0004fffa,0xff5009f7,0x7ffb001d,0x03bfea00,0xb80fff60,
    0x3fa202ff,0xf980002f,0x999fffef,0xffb99999,0x3fff6003,0xffc88800,
    0x01ffe807,0x26003dfd,0xf5002ffe,0x77fd40ff,0x03ffd800,0x200fffd4,
    0x7f4c04f9,0xfff5002f,0x013ffea0,0x2e027dc0,0x7dc02fff,0x3e6004ff,
    0x403ffc04,0x002ffff9,0xff302fb8,0x8fffffff,0x7ffd405c,0x09f70004,
    0xe880bfee,0x3fea02ff,0x9f70004f,0x3fff6200,0x7f44001e,0x3ffe600f,
    0x05f50003,0x4006ff98,0x7cc04ffd,0x7fec006f,0x806ff884,0x80002fe8,
    0x07ffbef8,0x6c007d10,0x7c4007ff,0x1ffe807f,0x3000dfa8,0xb8003fff,
    0x6ff980ff,0x027fec00,0xf700fff6,0x0fffcc01,0x203fee00,0x0003fff9,
    0xff8805f5,0x7ffc404f,0x007ee005,0x3f200fff,0x54001fff,0x3ffe602f,
    0x2e47ffff,0x00fffe60,0x7c417d40,0x2fe8806f,0x00fffe60,0x50017d40,
    0x20009fff,0x7fc404fb,0x5f30002f,0x003ffe80,0xd00fffcc,0xf98007ff,
    0x1ffd41ff,0x0002fa80,0x7ffb9fa8,0xc8013200,0xff8007ff,0x41ffe807,
    0x7f4004fa,0x1f90004f,0x8007ffd0,0x2601fff9,0x02f406ff,0x40013ffa,
    0xfff880fc,0x05f30002,0xb00fffb0,0x36001fff,0x007ff806,0x01fffff9,
    0x2600fd40,0x47ffffff,0x7ffc405c,0x05f30002,0x2a007ff5,0x3ffe202f,
    0x05f30002,0x01fffcc0,0x4402fa80,0x30002fff,0x37fe405f,0x06ffd800,
    0x2000dff9,0x7fdc6ffd,0x005f1004,0x3feebd00,0x80126007,0xf8007ffc,
    0x1ffe807f,0xf9000fee,0x220001ff,0x037fe41f,0x406ffd80,0x5f502ffe,
    0x007ffe40,0xf881f880,0xf30002ff,0x3fff5005,0x02fffa80,0xff803f88,
    0xffbf9007,0x0fd400df,0x7eecb980,0x3fe202e4,0x5f30002f,0x2009ff70,
    0x3fe202f8,0x5f30002f,0x17ffc400,0x402f9800,0x0002fff8,0x3fea05f3,
    0xff30003f,0x3fffa89f,0x9fff3000,0x8007ffdc,0x7d40002d,0x800fff71,
    0x1fff2001,0x201ffe00,0x07f71ffe,0x04fff880,0xff50ec00,0x3e60007f,
    0x3fea04ff,0x7c40db06,0x6c0004ff,0x02fff881,0x1005f300,0xff009fff,
    0x01f700bf,0x3200fff0,0x04fffe8f,0x20003f50,0x2202e47a,0x30002fff,
    0x1fff705f,0xf880b600,0xf30002ff,0x7ffc4005,0x05f30002,0x002fff88,
    0x3f605f30,0x3a0000ff,0x3ff60fff,0x3fa0000f,0xdfff30ff,0x00057001,
    0x1ffee5e8,0xffc80000,0x07ff8007,0x3fc9ffe8,0x2fffb800,0xfb0cc000,
    0x740001ff,0x3fa00fff,0x701fc42f,0x80005fff,0x2fff8819,0x005f3000,
    0x3a01fff6,0x36c00fff,0x9007ff80,0x0ffffe2f,0x40007ea0,0x2202e47a,
    0x30002fff,0xdfff305f,0x44057001,0x30002fff,0x7fc4005f,0x5f30002f,
    0x02fff880,0x3e05f300,0x6c0007ff,0x3ffe1fff,0x7fec0007,0x3ffffe1f,
    0x54000002,0x01ffee1f,0x3f200022,0x7ff8007f,0xffdffe80,0x7ffe8006,
    0xfff80000,0x7fec0007,0x1bfea01f,0x7ff401f7,0x22000007,0x30002fff,
    0x3fea005f,0x3ffe602f,0x00fe202f,0x7c803ffc,0x007fffe6,0x2a0003f5,
    0x3e202e47,0xf30002ff,0x3ffffe05,0x7fc40002,0x5f30002f,0x17ffc400,
    0x402f9800,0x0002fff8,0xfff105f3,0xffd8000d,0x0dfff12f,0x2fffd800,
    0x37ffffea,0xbd000001,0xa807ffb8,0x7ffc8003,0x807ff800,0x5fffaffe,
    0x1bffe600,0xfff10000,0xffd8000d,0x17ff402f,0x7ffcc0bd,0x22000006,
    0x30002fff,0x7ffc005f,0x3fffee05,0x4003ee05,0x8f9007ff,0x200ffffa,
    0xf50001fa,0x7fc405c8,0x5f30002f,0x3ffffea0,0xff10001d,0x3e60005f,
    0x3ffe2002,0x05f30002,0x002fff88,0xff305f30,0xfc8000bf,0xbfff34ff,
    0xfffc8000,0x7ffffdc4,0x200000cf,0x3ffdc1fb,0x64001ec0,0xff8007ff,
    0x99ffe807,0xf5003fff,0x80000bff,0x0005fff9,0x2027ffe4,0x03f56ffb,
    0x002fffd4,0x5fff1000,0x00be6000,0x3a07ffc8,0xd00fffbd,0x03ffc00d,
    0xfffc87c8,0x0007ea06,0x101723d4,0x20005fff,0x3fee02f9,0x000cffff,
    0x0017ffc4,0x22002f98,0x30002fff,0xfff8805f,0x05f30002,0x000bfff7,
    0xf75fffb8,0xb8000bff,0xffa85fff,0x003fffff,0xff70bf00,0x003fb80f,
    0x8007ffc8,0xffe807ff,0x003fff71,0x000bfff7,0x05fffb80,0x2fffdc00,
    0x36cfffc0,0x017ffee0,0xfff88000,0x05f30002,0x417ffcc0,0x3fff8af9,
    0x3e003f88,0x20f9007f,0xf505fffd,0x91ea0003,0x2fff880b,0x805f3000,
    0xfffffffa,0x3ffe2003,0x05f30002,0x017ffc40,0x4402f980,0x30002fff,
    0x9fff905f,0xfffa8000,0x009fff96,0x06fffa80,0xffffffb1,0x7dc0003d,
    0xeefffb80,0x3fffeeee,0x07ffc800,0xe807ff80,0x3fff61ff,0x27ffe400,
    0x3ff20000,0x7d40004f,0xffb806ff,0x7fe403fe,0x2000004f,0x0002fff8,
    0xfe8005f3,0xfd0fc85f,0x001f70df,0x7c803ffc,0x07fffd10,0x2a0003f5,
    0x3e202e47,0xf30002ff,0xfffb1005,0x1003dfff,0x20005fff,0x3e2002f9,
    0xf30002ff,0x2fff8805,0x705f3000,0x8000bfff,0xff75fffa,0xfa8000bf,
    0x7f5405ff,0x003fffff,0xff704f88,0xb999999f,0xf90007ff,0xfff000ff,
    0x443ffd00,0x7dc06ffe,0x400004ff,0x0005fffb,0x402fffd4,0x400ffff8,
    0x0004fffb,0x0bffe200,0x0017cc00,0xbd03fff2,0x3a07ffdc,0x03ffc005,
    0x3fe207c8,0x00fd42ff,0x02e47a80,0x000bffe2,0xd50017cc,0x07ffffff,
    0x002fff88,0x44005f30,0x30002fff,0xfff8805f,0x05f30002,0x000dfff5,
    0xf53fffb8,0xb8000dff,0xf7003fff,0x005fffff,0xff700fc8,0x003f980f,
    0x8007ffc8,0xffe807ff,0x02fffc41,0x000bfff5,0x06fffa80,0x1fffdc00,
    0x805ffc80,0x0005fffa,0x0bffe200,0x0017cc00,0xf98bffe6,0x88fffe22,
    0x3fe2003f,0xa80f9007,0x3ea1ffff,0xc8f50001,0x17ffc405,0x002f9800,
    0xffffffb8,0x0bffe202,0x0017cc00,0x0005fff1,0xff100be6,0x3ea0005f,
    0x07fff882,0x97ffe400,0x0007fff8,0x0017ffe4,0x1fffff91,0x3fffe200,
    0x7fffffff,0xc8003c80,0xff8007ff,0x82fff807,0xf303fffb,0x80000dff,
    0x0007fff8,0x8017ffe4,0xf9801ff8,0x000006ff,0x000bffe2,0x740017d4,
    0x361f25ff,0x003ee6ff,0x800fff98,0xfffb807c,0x0003f50e,0x880b91ea,
    0x50002fff,0x3220005f,0x100fffff,0x20005fff,0x3e2002fa,0xf30002ff,
    0x07fff005,0x7c07ea00,0x6c0007ff,0x3ffe1fff,0x7fec0007,0xff98001f,
    0x3f9003ff,0xf9333333,0x007500ff,0x000fff90,0xff980fff,0x9ffff04f,
    0x00ffff10,0x0ffff000,0x1fffd800,0x4401b600,0x00007fff,0x001fffc0,
    0xb8001fa8,0x509f0fff,0x017a3fff,0x007fff70,0x3ff600f9,0x0003f55f,
    0xf00b91ea,0x2a0007ff,0x7cc0001f,0x3fe03fff,0x3f50003f,0x17ffc400,
    0x802fa800,0x70004fff,0x3fff603f,0x3ffa0001,0x00fffec7,0x54fffd00,
    0x3ffea003,0x403f8805,0x01007ffb,0x00dff900,0x3ae0fff0,0x25efffff,
    0xdefffffe,0x007fffa0,0x3fffb000,0x3fff4000,0x4007f100,0x0001fffe,
    0x013ffe00,0x4000fdc0,0x1fabfff8,0xf9cfff88,0xfffd5002,0x3e409dff,
    0x59fffd00,0x1ea0003f,0x9fff00b9,0x207ee000,0x3fea003a,0x13ffe05f,
    0x000fdc00,0x4000fffe,0xffe801fa,0x01f90004,0x0013ffe6,0x2617ffc4,
    0x10004fff,0x02d45fff,0x201fff20,0x7ffb806d,0x3f200000,0x6ff8005f,
    0x54000000,0x80004fff,0x013ffe60,0x017ffc40,0x54001f70,0x80004fff,
    0x009ffd00,0x40003f20,0x207ceffd,0x00fbfffd,0x07c80000,0x37fffe20,
    0x8f50001f,0x4ffe805c,0x501f9000,0x7ffc800b,0x0013ffa0,0x3e0007e4,
    0xf70004ff,0x0fffb003,0xf901ba00,0xf90001ff,0x3fff20bf,0x5ffc8000,
    0xf50007d4,0x02f980df,0x0007ffb8,0x07ff9003,0x000bff00,0x80017bd1,
    0x0000fffe,0x1fff9166,0x0bff9000,0x40027c40,0x0000fffe,0x3ffec166,
    0x0006e800,0x813fffea,0x005ffffa,0x9002dea8,0xfff9800f,0xf50001ff,
    0xffd805c8,0x20dd0007,0x3ea000fa,0x1fff606f,0x40037400,0x90004ffe,
    0xfff7001f,0x04fa8003,0x0027ffc4,0x4403ffe2,0x44004fff,0x17d40fff,
    0x809ff500,0xfff7006d,0x80859000,0xf8002ffc,0xff98003f,0x7fcc005f,
    0x1d10005f,0x004fff88,0x0007ffc4,0xf30001f9,0x22000bff,0x3fff700e,
    0x004fa800,0x07fffe20,0x005ffff0,0x009fff50,0xfa8001f9,0x50001fff,
    0xfb805c8f,0x7d4001ff,0x4005f504,0x3ee04ffa,0x7d4001ff,0x7ffd8004,
    0x400dd000,0x26005ffe,0xffa800ff,0x3ff6000f,0x07ffd403,0x507ffb00,
    0x3f2003ff,0x00bea01f,0x2003ffdc,0x91bf20f9,0x440401ff,0xb10000ff,
    0xfa8003ff,0x744004ff,0x01fff501,0x881ffec0,0x005f51bb,0x027ffd40,
    0xfd007a20,0x7fcc00bf,0x7fec0000,0x0fffc806,0x0ffd1000,0x90001f90,
    0x20003fff,0xe802e47a,0x3e6005ff,0x03ff500f,0xd007ff20,0x7cc00bff,
    0xffb8000f,0x27d4001f,0x0bfff300,0x4005ff30,0x4401effa,0xf5002ffd,
    0xfd8803df,0x3fff502f,0x204ff980,0x3f2006f8,0x12f4007f,0x17f47fff,
    0x7d43df70,0x7fd40003,0xfff98000,0x02e9800d,0x200f7fd4,0x3202ffd8,
    0x005fffff,0x0dfff980,0x9802e980,0xf9805fff,0xfa80002f,0x5ffa803f,
    0x037e4000,0xd8000fec,0xf50001ff,0xff3005c8,0x5ff300bf,0x00fffd40,
    0x26013fe6,0xf9805fff,0x3fa0002f,0x3fe6005f,0x7ffcc000,0xeca889be,
    0xd88002ff,0x75440bff,0x6c4000df,0x75440bff,0x3fea00df,0x3220acff,
    0x27e405ff,0x01fffb00,0xfe87fd30,0x405f89ff,0x4fbdfffd,0x03fd8000,
    0x3fffa200,0xecb889ad,0xffb1001f,0xdfea8817,0x7fffec00,0xd100000f,
    0x1135bfff,0x4003fd97,0x89befff9,0x02ffeca8,0x007fe000,0x100017fc,
    0xffa805ff,0xfe88000d,0xc8f50001,0x3ffe6005,0xeca889be,0x7fd402ff,
    0x3220acff,0x3e6005ff,0xa889beff,0x0002ffec,0x402fffcc,0x10002ff9,
    0xfffffff9,0x800019ff,0xffefffda,0x540003ef,0xfffefffd,0xa9da803e,
    0xfffffffd,0x77fe402e,0xffffa800,0xcbaaaabd,0x7d40fffd,0x400cffff,
    0x02dfffd8,0x2fbf6600,0x6dc40000,0xefffffff,0xfda8000b,0x3efffeff,
    0x05dfd300,0xfb710000,0x7dffffff,0xff910001,0x9fffffff,0x6c800001,
    0x4001f200,0x3203dfda,0x2dffffff,0x000fcc00,0x002e47a8,0x3fffff22,
    0x800cffff,0xfffda9da,0x002effff,0xfffffc88,0x000cffff,0x7dfff300,
    0xffd95113,0x2a600005,0x0009abcb,0x1aca8800,0x95100000,0x81980035,
    0x401abca9,0xeffffffa,0x7fffe442,0xffffffff,0x206fffff,0x08001ab9,
    0x00260000,0xbca88000,0x2200001a,0x20001aca,0x20000000,0x001abca8,
    0x2f2ea600,0x0000009a,0x01cc0053,0x00009880,0x00130000,0x00110620,
    0x55e5d4c0,0x20660009,0x001abca9,0x57975300,0x10000013,0xfffffff9,
    0x000019ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x35797530,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01000000,0x98000010,0x00666219,0x33333331,0x33333333,0x40033333,
    0x00001999,0x00026662,0x00bb8800,0x012006a0,0x2f2e6000,0x8004000a,
    0x00400200,0x00400200,0x77744000,0x4c000003,0xb801100a,0x0ccccccc,
    0x00080080,0x40de5d44,0x4ccc4019,0x99999950,0x20010059,0x2ca80000,
    0x2f2a2000,0x10008002,0xaa880000,0x0982bccc,0x00f40000,0x4c000093,
    0x13fee6ff,0xffffff90,0xffffffff,0x00ffffff,0x000fffe6,0x01fffc80,
    0xb5d90000,0x07e6001f,0x500004c8,0xfffdfffd,0x0770019f,0x036200d8,
    0x4c0003a8,0x000ae00d,0x3ffff600,0xe9800000,0x00c84fff,0x77777ff4,
    0x201d801e,0x3fea0049,0xabefffef,0x37ff402e,0xffddddd7,0x401b3007,
    0x7cc0002b,0xe98001ff,0x000eeaad,0x00d880f2,0xfff93000,0x7bffdbbf,
    0x7fb105b3,0xa82fa800,0x2e00000f,0x03ff21ff,0x579bff90,0x559fff75,
    0x00fffb95,0x00013ff2,0x0003ffd0,0x7f47ee00,0x37ffa002,0x001ffecb,
    0x05ffec40,0x007bfb26,0x07b1037a,0x0d703f70,0x207b2000,0x9800006c,
    0x005ffdff,0xfffee800,0x80698bff,0x2a0006fe,0x000fa83f,0x5cc39ffb,
    0x2202ffff,0x7cc00eff,0x03d9003f,0xf50000d9,0xf98005ff,0x1002fcc3,
    0x007d10bf,0x2bbff200,0x7ffff500,0x001fff70,0x0fea4fe8,0x89f90000,
    0x2fd802fe,0x205fff10,0xbfd007e8,0xff880000,0xf1000003,0x30006d4d,
    0x9fffffff,0xeffa8000,0x03ffd800,0x7e88f7d4,0xfc8ffa00,0xff100002,
    0x0000fe47,0xffa8ff40,0x92a00001,0x4ffffffb,0x0006fe80,0x09f527ec,
    0x880bfee0,0x3ee02ffe,0x3ff9801f,0x647ff100,0xfd00001f,0x81fd000d,
    0x2e000ff8,0x00dd10ef,0x0bffb100,0x20fff220,0x4000fffb,0x06fceff9,
    0xf86e8000,0x4407b005,0x3e202fff,0x0037c400,0x0027dc00,0x009f7000,
    0xffffd300,0xffa80007,0x27fec007,0x3fafff60,0x37fea002,0x400006fc,
    0x05fdcffb,0x40ea8000,0x200006e9,0x7ffec41b,0x00dfd005,0xfbeff980,
    0x6ff8800f,0x202fe880,0xff3001fd,0x6ffdc007,0x400005fd,0x86f88000,
    0x74003ff9,0x002ffbff,0x027ff440,0x6c427ec0,0xffb0003f,0x000005ff,
    0x000f983f,0x7ffc403b,0x2e006c02,0xd800000e,0x7c000005,0x2600003f,
    0x4400009a,0x4c003ffe,0x3e601fff,0xe8006fff,0x0001ffff,0x0ffffe80,
    0x00d80000,0x200005b1,0x8002a201,0xc80006fe,0x5002ffff,0x3ea007ff,
    0x4005f102,0x74003ff9,0x0000ffff,0x7f980000,0x98003fd0,0x0005ffff,
    0x0005ffc8,0x00000bd1,0x001bffe2,0x0ea12600,0x7fc40480,0x2005c02f,
    0x8800001d,0x54000006,0x000001ff,0xfff90000,0x1bff2000,0x003fff90,
    0x009fff30,0x3ffea000,0x08800004,0x00000180,0x0dfd0000,0xdfff1000,
    0x027fdc00,0x09502f88,0x003ff980,0x0027ffd4,0xf8800000,0x6c00002f,
    0x40001fff,0x0001fffa,0x0000016e,0x00800000,0xf8800001,0x080002ff,
    0x00200000,0x1ffd0000,0x4ccccc40,0x44019999,0x19999999,0x001fffcc,
    0x003fffa8,0x00000000,0x00000000,0x26200000,0x99999999,0x4cccc401,
    0x0dfd1999,0xb8000000,0x5b000fff,0x98014420,0x000003ff,0x02aa2000,
    0x00bffa00,0x40000000,0x0005fff8,0x99880344,0x40009999,0x99999998,
    0x32e62000,0x200000ac,0x0002fff8,0x206f2ea2,0x26662019,0x99999999,
    0x00999999,0x203ffcc0,0xffffffdb,0x7edc04ef,0x6c4dffff,0x20000fff,
    0x2660ffff,0x99999999,0x33333310,0x33333333,0x00333333,0x22000380,
    0x99999999,0x4cccc019,0xfb709999,0x9dffffff,0xffffdb80,0x00dfd4df,
    0x4cccccc4,0x99999999,0x3fe60999,0x02b800ef,0x2600ff93,0x333313ff,
    0x00333333,0xb9fd5000,0x333337df,0x00bffea0,0x26666662,0x20000199,
    0x0001fffb,0x64c91008,0x005ffffe,0x7ffffedc,0xffea803d,0x0cfffede,
    0x7ffc4000,0xfff50002,0xd57dfffd,0x7ffff405,0xffffffff,0x802fffff,
    0x9efffba8,0x3ff62019,0x744001ff,0xffff01ff,0xfffd8000,0x3ffff721,
    0xff92dfff,0xffffffff,0xffffffff,0x7cc000ff,0xffd50002,0x09dfffff,
    0xfffffec8,0x7ffec43e,0x7f44001e,0x0037f40f,0xfffffffd,0xffffffff,
    0xffff85ff,0xfea8002f,0xff3007ff,0x3fffb267,0xffffffff,0x4000acee,
    0x3fa60dfc,0x901fffff,0xc9807fff,0xfffffffe,0x003dffff,0x0007ffe8,
    0xfa834400,0x88004fff,0xd8801efe,0xfe980aff,0x3e20001e,0xfd8002ff,
    0x3fee61cf,0x3ffa02ff,0xaaaaaacd,0x05fffdaa,0xffffffb0,0xffa80dff,
    0x9f50004f,0x01fffe20,0x05fff900,0x81bfffd1,0xaabcdffc,0xaaacfffb,
    0x0007ffdc,0x50001bf2,0x009fffff,0x202fffd8,0x0004fffa,0x0dfd09f7,
    0x566fff40,0xdaaaaaaa,0xffa85fff,0x2001dfff,0x007ffc99,0xff507ff3,
    0x97579bff,0x01bffffd,0xf301ff50,0x4c0555ff,0x5005ffff,0x5559ffff,
    0x003dfff9,0x001bffe6,0x4c0d3000,0x8002ffff,0xffa802fb,0x3ffd800e,
    0x5fff1000,0x02ffb800,0xf80bffa2,0xfff3000e,0xff90001d,0x7ffcc005,
    0x07f50003,0x001bffea,0x209fff70,0xfd81fffc,0x05fff102,0x44001fa2,
    0x40001fff,0x001ffff9,0x26007fdc,0x50003fff,0x00dfd05f,0xf980077c,
    0xff700eff,0x0019ffff,0x9803ffc4,0xdffd03ff,0x7ffff900,0x3606ff80,
    0x474c00ff,0x800efffd,0xfb105ffe,0xff5009ff,0x800000bf,0x7ffe407a,
    0x17d4001f,0x001bfe60,0x10009ffb,0x44005fff,0xfe8806ff,0xe8003e02,
    0xd0001fff,0x7c4001ff,0xf30002ff,0x17ffee05,0xbfff5000,0x203ffee0,
    0x3ffe203d,0x0003e202,0x0013ffee,0x017fff20,0xf1005fb0,0x260005ff,
    0x006fe82f,0xffe8003e,0x7ffd401f,0x1003ffff,0x3e600fff,0x0dffd03f,
    0x13fffea0,0xf902ffcc,0x906cc07f,0xe801dfff,0x7ff405ff,0x7ffdc02f,
    0x7776c004,0x2e5eeeee,0x3fff200f,0x3ea000ff,0x01fff401,0x007ffe60,
    0x005fff10,0xa801ffd4,0x400b102f,0x0004fffc,0x8800fff1,0x30002fff,
    0x3fff205f,0x7fd40004,0x1fff706f,0x7fc403b0,0x0006c02f,0x007ffff4,
    0x0ffff400,0x1004f980,0x20005fff,0x06fe82f9,0x7e400b10,0xfb1004ff,
    0x03dfffff,0x3007ff88,0x3ff607ff,0x3ffe2006,0x05ffb82f,0x7c417fee,
    0x05fffa81,0x2a02ffec,0x7e406fff,0xc98004ff,0x642effff,0x3f7f201f,
    0x3ea006ff,0x01bff201,0x0037fec0,0x800bffe2,0xf1004ffb,0x4c012605,
    0x20006fff,0x44005ffa,0x30002fff,0x3fff205f,0x7fd40005,0x1fff705f,
    0xfff88090,0x20005c02,0x03fffcfa,0x6fff9800,0x4400dd00,0x30002fff,
    0x00dfd05f,0x7fcc0126,0xfea8006f,0x403fffff,0xff3007ff,0x01bff607,
    0x81ffff50,0x3ea06ff9,0x4c0f705f,0x3f601fff,0x7ffc405f,0x3fff200f,
    0x3ffa0005,0x202fd82f,0x4fffe8fc,0x2a03f500,0x30003fff,0x44009fff,
    0x2e002fff,0x5b000fff,0x7f440040,0x320001ff,0x7c4003ff,0xf30002ff,
    0x1bffee05,0x9fff7000,0x003ffee0,0x00bffe20,0x7f5f6000,0xf900006f,
    0x2fb807ff,0x0bffe200,0x7417cc00,0x2002006f,0x001fffe8,0x3ffffee0,
    0x01ffe02f,0xfd81ffcc,0xffd8006f,0x00fff84f,0x1b607ff7,0x6c09ff30,
    0xfff805ff,0x3ffea00f,0x3ff60006,0x203fe81f,0x7ffff17c,0x3603f500,
    0x20000fff,0x1000fffe,0x4c005fff,0xb800efff,0x7fe40002,0x7f40003f,
    0x7fc4001f,0x5f30002f,0x01fffea0,0x07fff900,0x0003ffee,0x000bffe2,
    0x3ea7f300,0xd00001ff,0x3e203fff,0x7ffc4005,0x05f30002,0x80000dfd,
    0x0003fffc,0xfffffc88,0x200fff00,0xffb03ff9,0xfff3000d,0x207ffb0f,
    0x1ff00ffd,0x3606fc80,0x7fc405ff,0x7ffcc07f,0x3ff20007,0x6409ff07,
    0x07fffe67,0x3fe03f50,0x7ec0007f,0xff1001ff,0xfff8005f,0x000002ff,
    0x002fffd4,0x001ffe20,0x000bffe2,0xff8817cc,0x7ec0007f,0xfff702ff,
    0xfff10001,0xfc800005,0x0017ffe0,0x837ffcc0,0x7c4000fd,0xf30002ff,
    0x000dfd05,0x02fffd40,0x3ffe6000,0x00fff03f,0x7ec0ffe6,0xffd0006f,
    0x85ffb05f,0x3fa02ffa,0xb03fcc03,0xffa80bff,0x7ffc406f,0xff90001f,
    0xc813fe0f,0x07fffd47,0xff103f50,0xfd8000df,0xff1002ff,0xffa8005f,
    0x0001dfff,0x0ffff880,0x2ffd4000,0x17ffc400,0x202f9800,0x0000fffd,
    0xfb81bffa,0xf88000ff,0x200002ff,0x7ffe44f8,0xff900000,0x002fa87f,
    0x002fff88,0xdfd05f30,0x3fe20000,0x03a800ff,0x417ffea0,0xff3007ff,
    0x01bff607,0x827ffec0,0xdfebeffc,0x017fe401,0x5ffd813a,0x07fffa20,
    0x013fff60,0x443ffe40,0x21f205ff,0x2a06fffc,0x5fff981f,0x7ffe4000,
    0x5fff1004,0xffff7000,0x000019ff,0x0017ffec,0x001ffe40,0x0017ffc4,
    0x3ea02f98,0xf10004ff,0x7fdc05ff,0xff88000f,0x2e00002f,0x1fffc41f,
    0xffe88000,0x000bf10f,0x000bffe2,0x37f417cc,0xfffd8000,0x800b5002,
    0xfff07ffc,0x40ffe600,0x90006ffd,0x5d10bfff,0x20035753,0x3e02fff9,
    0x417ff602,0x003fffd8,0x000ffff3,0x3e61fff2,0x6c1f206f,0x3f505fff,
    0x00bfff70,0x05fffb80,0x005fff10,0x3ffffea0,0xb80003ff,0x00005fff,
    0x10003ffd,0x20005fff,0x7fec02f9,0xffc8000f,0x07ffdc06,0x17ffc400,
    0x20dd0000,0x00007ffd,0x7e57ffea,0xfff10000,0x0be60005,0x20001bfa,
    0x2005fffb,0x3ea000fa,0x00fff06f,0x7ec0ffe6,0xff70006f,0x003f88df,
    0x83fffc80,0x3ff600ea,0x3ffee625,0x7fe4001e,0xffc8003f,0x207ffa87,
    0xfffd107c,0xf903f507,0xa80009ff,0xf1006fff,0x440005ff,0xeffffffd,
    0xfff10001,0x3e00001f,0xff10007f,0x3e60005f,0x04ffe802,0x017ffc40,
    0x0003ffee,0x000bffe2,0xfa817d40,0x200002ff,0x03fcfffc,0x0bffe200,
    0x7417cc00,0x7c40006f,0x2a000fff,0x3fea002f,0x200fff04,0xffb03ff9,
    0x3fea000d,0x0017ec6f,0x24fffd80,0x7fec00d8,0xcfffffef,0xfff10001,
    0xffc8001f,0x00fffb87,0x7ffc40f9,0x5c0fd42f,0x40005fff,0x3005fffa,
    0x00007fff,0xffffffd5,0xfffd0007,0x3e600003,0xff10005f,0x3e60005f,
    0x0fff8802,0x00bff200,0x0003ffee,0x000bffe2,0x3fa03ec0,0x2200005f,
    0x0006ffff,0x0017ffc4,0x6fe82f98,0x7fff4000,0x0ffd4001,0xf01ffc80,
    0x3fe600ff,0x00dffb03,0x897ffea0,0xbcccdfff,0xfb000aaa,0x001b5dff,
    0xf733dffb,0x980009ff,0x2000efff,0xffc87ffc,0xa80f901f,0x3ea1ffff,
    0x06fffa81,0x1fffdc00,0x03fffa80,0x3ffee000,0x32002fff,0x00004fff,
    0x4000ffea,0x0003fff8,0x3ea005f5,0xffd801ef,0x1fff7002,0x5fff1000,
    0x07f30000,0x001fffb8,0x0bffea00,0x5fff1000,0x20bea000,0x320006fe,
    0xa8004fff,0x7cc01fff,0x01ffe04f,0xfd81ffcc,0xff90006f,0xfffff89f,
    0xdfffffff,0xffffb801,0x8bffb001,0x0001fffc,0x00f7ffcc,0xfd87ffc8,
    0x00f902ff,0x2a1dfff7,0x7fff881f,0x7ffe4000,0xfffe9802,0x2200001e,
    0x00fffffc,0x006fff98,0x007fe400,0x007fff00,0x98007ea0,0x4c40affd,
    0x2e002efe,0x88000fff,0x80002fff,0xeeeeeefc,0x04fffeee,0x3ffe6000,
    0xfff80002,0x03f50003,0x26000dfd,0x50006fff,0x4159ffff,0x7c05ffc8,
    0x7ff3007f,0x001bff60,0x2217ffec,0xfffffffe,0x801fffff,0xb005fffa,
    0xffe88bff,0x6440000f,0x981bdfff,0xfd84fffd,0x00f902ff,0x7d57fff6,
    0x00ffff01,0x01fffd80,0x3fffffaa,0x00004eff,0x00ffffe6,0x003fffd1,
    0x006fe800,0x0027ffc0,0x98001fa8,0xffedeffe,0xffb8002e,0xff88000f,
    0x7c40002f,0xccccccce,0x00fffecc,0x5fff3000,0x9fff0000,0x207ee000,
    0xe88006fe,0x50001fff,0xffffb53b,0xf005dfff,0x3fe600ff,0x00dffb03,
    0x107fffa0,0x5553311d,0x009fd995,0x200fffe6,0xff985ffd,0x9300005f,
    0xfdbdfffd,0x7dc05bff,0x00f900ff,0x7d67fff4,0x03fffb01,0x03fff400,
    0x03a80000,0x017ffea0,0x0007fff9,0x0007ff00,0x0005ffe8,0x5c0001f9,
    0x006fffff,0x003ffee0,0x00bffe20,0x2003f700,0x0003fff9,0x005fff30,
    0x009ffd00,0x3fa03f20,0xfffc8006,0x20660003,0x001abec9,0x7cc01ffe,
    0x0dffb03f,0x8dfff300,0x3f4002e8,0x00dff100,0x3ee0bffb,0x400003ff,
    0x1aacdda8,0x409fd100,0x3fe2007c,0xf301fdff,0x220009ff,0x44002fff,
    0x005a8001,0xf503ffe4,0x07000bff,0x0000ff98,0x8003ffec,0xe980006e,
    0x0003ffff,0x0001fff7,0x0005fff1,0x7f4006e8,0xf300006f,0xb00005ff,
    0x3a000fff,0x800dfd06,0x8005fffa,0x003dd003,0x2600fff0,0xdffb03ff,
    0x5fffb000,0x6a8007d8,0x1ff50130,0x205ffd80,0x0000fffd,0x0006fc40,
    0x007c8010,0x0fffffcc,0x001fff90,0x800bff90,0x2000eff8,0x3ea000fa,
    0xffff106f,0xb80d0001,0xfa80005f,0x7d4001ff,0xfb100004,0x70003fff,
    0x10001fff,0x40005fff,0x7d4002fa,0x980001ff,0x80002fff,0x4001fffb,
    0x0dfd04fa,0x07fffc40,0x7dc03400,0x7fc002ff,0x07ff3007,0x5001bff6,
    0x7fb8bfff,0xfa83d800,0xd801ff06,0x3fe205ff,0x6c00006f,0x00000fff,
    0xa8001f90,0x2201ffff,0x44004fff,0x5c000fff,0x2a003fff,0x3fea002f,
    0x05fffb04,0xfd80b500,0xffd00002,0x07fcc00b,0x3ff20000,0x7dc000ef,
    0xf88000ff,0x3a0002ff,0xbfff0007,0xfff30000,0x3fa00005,0x3fe6005f,
    0x400dfd00,0x8002fffd,0x9ff5005a,0x007ff800,0x3f607ff3,0x3fe2006f,
    0x27fec0ff,0x3ee0d900,0xd807d80f,0x7fd406ff,0x5c00004f,0xb88002ff,
    0x0003f201,0x5007fff2,0x6c001fff,0xe88003ff,0x3ea005ee,0x3ff9001f,
    0x00bfff70,0x85c47f10,0x200005f8,0x9805fff9,0x000002ff,0x003fff91,
    0x0007ffdc,0x001fffcc,0xb0004f98,0x80003fff,0x0002fff9,0x00bfff30,
    0x7f405ff3,0xbfff7006,0x007f1000,0xf1001ff4,0x3fe600ff,0x00dffb03,
    0x207bffea,0x99cffff9,0x01df7330,0x13e21fe2,0x201bff60,0x0003fffc,
    0x0007fe20,0x7ec0bffa,0x3ffb0001,0x03dff500,0x002ffd88,0x2a004b80,
    0x7cc01fff,0xffff884f,0x17f44000,0x003f29fb,0xdfff3000,0xfd951137,
    0x0000005f,0x0019ff91,0x0003fff9,0x0007fff5,0x5c000bfa,0x40006fff,
    0x0003fffa,0x2fbffe60,0xffeca889,0x4037f402,0x000ffff8,0xa8017f44,
    0x3e6000ff,0xff9800ff,0x00dffd03,0xb807fff9,0xffffffff,0xfc803fff,
    0x74007e40,0xffd007ff,0x3200005f,0xff88005f,0x0dffa84f,0x01fe8800,
    0x817ffb10,0x000dfea8,0x54005d00,0x20acffff,0xfd05ffc8,0x99999dff,
    0xfd999999,0x5dfec3ff,0x1000002f,0xfffffff9,0x000039ff,0xcdca8800,
    0xffffa80b,0x7ff4c005,0x322001ef,0xd8000dff,0x001cffff,0x1efffe98,
    0x3f220000,0xffffffff,0xfffe800c,0x3fa1ffff,0xccccceff,0xfecccccc,
    0x7f6401ff,0x7fdc001c,0x7fffe43f,0x7e443fff,0xbabcdfff,0x01efffec,
    0x3ffff6e0,0xb1000cde,0x801bd77d,0x0bffffc8,0x6ffffcc0,0xefc88002,
    0xffd0000b,0x7ffffe45,0x7cc002df,0x7fed4001,0x03efffef,0x04ea8800,
    0x7ed4ed40,0x2effffff,0xffffff70,0xffffffff,0x98ffffff,0x00001dfd,
    0x57975300,0x00000013,0xff90cc00,0x5bffffff,0x7ffff540,0x6404efff,
    0x0effffff,0xfffffd80,0xd7006fff,0xdfffffff,0xa9800007,0x0009abcb,
    0x3333332e,0xfffff70c,0xffffffff,0x0fffffff,0xd5000310,0x29dfffff,
    0xccccccca,0xfffffb32,0x9bdfffff,0x30000135,0x15510000,0xffffd980,
    0x201dffff,0x3ffffffb,0x0000cc00,0x000001a8,0x22000098,0x00001aca,
    0x198000cc,0x01abca98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x99999998,0x20000019,0x0e540bc8,0x04ccc000,0x4cccc400,
    0x4c400099,0x00999999,0x00ccc400,0x00333100,0x31019988,0x2a000133,
    0x18004801,0x77440000,0x5400003e,0x00001eee,0x00002666,0x01333100,
    0x4ccccc40,0x44099999,0x99999999,0x26660000,0x31000000,0x00000133,
    0x00001333,0x00099988,0x00400200,0x665d4400,0x9998700a,0x19999999,
    0xffec9800,0xffffffff,0xe80003df,0x3ffe64ff,0x3fea0000,0xec98002f,
    0x4005ffff,0xdfffffdb,0x7ffc0003,0x3ff60005,0x3ffa002f,0x09fff105,
    0xc807e600,0x037f4004,0xffffb000,0x7f400001,0x700006ff,0x0000bfff,
    0x00fffc80,0x3fffb260,0x5c1cefff,0xdffffffd,0xfff50001,0x32000005,
    0x00000fff,0x002fffdc,0x037fec00,0x401b3000,0x3660002c,0xefedefff,
    0x7644d72c,0xefffffff,0x3ea0000c,0xcaaacfff,0x0001efff,0xffb97ffe,
    0x3f60001f,0xfa80003f,0x88004fff,0x80001efe,0x0000eff9,0x01fffff5,
    0x401dff30,0x20006ff9,0xfecbdffe,0x3fe6001f,0xf980001f,0x0005ffdf,
    0x7ffbdf70,0xfff88000,0x000002ff,0x80007ffe,0x802ffffa,0x0003fffc,
    0x0003ffc8,0x007ffa00,0xffff1000,0x8800003f,0x00000ffe,0x017207b6,
    0x5effec40,0x7fffd981,0x09ffff30,0x5ffe8000,0x09fffb10,0x88bfee00,
    0x7c0006fe,0x2600004f,0x8002ffff,0x700002fb,0x740001ff,0x804ffbaf,
    0xfa800ffb,0xff30000f,0x009fffff,0x0000fff0,0x0ffd47fa,0x43be2000,
    0x20000ffc,0x06fe9cfc,0x5ff30000,0xffff0000,0x007bfa00,0x002ffc00,
    0x05ff1000,0x39f90000,0x00000dfd,0x00007ff1,0x3fb17fc4,0x5ffd3000,
    0x81ffea00,0x0000fffd,0x202fff40,0x0002fffe,0x20000401,0x800005f9,
    0x001ffffc,0x800017d4,0x2e0001fe,0x003fa61f,0x7e4003fd,0x3fa60003,
    0x20003fff,0x1d500002,0x40006e98,0x027d40dc,0x3624f880,0xb800003f,
    0xfd00003f,0x1df700df,0x17e60000,0x9f700000,0x9f300000,0x00017ec4,
    0x0002fcc0,0x3f73ff20,0xfff98004,0x07fdc001,0x0007ffd8,0x405ffd80,
    0x0006fffa,0x6c800000,0xff900000,0x54001fff,0xf880001f,0x07a20002,
    0x2f881762,0x0005d800,0x00009a98,0x01b00000,0x4c000b62,0x0003a205,
    0x007dc0f6,0x0013a000,0x405ffd80,0x00000efa,0x000003ae,0x00000bb0,
    0x007e40f6,0x007d4000,0xffff1000,0xffd0001f,0x03f20009,0x0003ffe4,
    0x202ffec0,0x000ffff8,0x74000000,0xf9000000,0x400dfffb,0xb80001fa,
    0x00dc0003,0x001dc072,0x000001d0,0x80000000,0x00018008,0x30006003,
    0x0004a807,0x00001620,0x7d40bffb,0x6c00000e,0x44000000,0x55000006,
    0x00003a80,0x80000590,0x8003fffa,0x0000fffc,0x3ff203f1,0xfd800007,
    0xffff805f,0x00000000,0x00000040,0x9fffd1f9,0x0007ea00,0x00000020,
    0x10000200,0x65cc4000,0x000000ac,0x00000000,0x000000a8,0x08000000,
    0xffd80000,0x001df505,0x00001000,0x00000200,0x00000000,0x00000008,
    0x27ffc400,0x64076000,0x800007ff,0x7c405ffd,0x7fec07ff,0xc80effff,
    0x3314ffff,0x03333333,0x8be40000,0xa803ffff,0x9999881f,0x40199999,
    0x99999999,0x26666660,0x26609999,0x99999999,0x26666660,0xa8009999,
    0xffedeffe,0x800000cf,0x99999998,0x99980999,0x09999999,0x0007fe44,
    0x33333330,0x33333333,0x00003333,0xfd80000e,0x00efa85f,0x26666600,
    0x00199999,0x33333330,0x33333333,0x00003333,0x3330000e,0x33333333,
    0x33333333,0x26666660,0x99999999,0xf7019999,0x980005ff,0x00fff901,
    0x0bffb000,0x806fffa8,0x401ffff9,0x3b261ff8,0xffffffff,0x0003dfff,
    0x3ffe67c8,0x40fd401f,0xffffffea,0x7f6404ef,0x323effff,0xfffffffd,
    0x3fff722d,0x322dffff,0xfffffffd,0x3ff6202d,0x1efe980a,0x9300a200,
    0xdffffffd,0xffdc8839,0x32ceffff,0x001ffffb,0x3fffb220,0xffffffff,
    0x00ffffff,0x0017cc00,0x5c5ffd80,0x220000ef,0xffffffec,0x44000cef,
    0xffffffec,0xffffffff,0x40000fff,0x910002f9,0xfffffffd,0xffffffff,
    0xfec881ff,0xffffffff,0xffffffff,0x007ffe80,0x3ffe4000,0x7fec0000,
    0x3fffa205,0x3fff5001,0x2a04f980,0xaaacffff,0x001efffc,0xfff51f20,
    0x00fd401f,0x09fffff5,0x02fffd80,0x037fffa2,0x0dfffe88,0x37fffa20,
    0x077fd400,0x201ffec0,0x2a007fda,0x1002ffff,0x3309ffff,0x0001fff7,
    0x33ffff30,0xb5533333,0xc80003ff,0xfb00006f,0x0077dcbf,0xffff3000,
    0x7cc00009,0x99999fff,0x1ffdaa99,0x037e4000,0x7fffcc00,0xa9999999,
    0x2601ffda,0x9999ffff,0xffdaa999,0x037ffcc1,0x3ff20000,0xfd800007,
    0xfffb105f,0x3ffd8007,0x3a007dc0,0xffb105ff,0x1f20009f,0xa81bfff2,
    0x7ffcc01f,0x7fdc001f,0x1fffc800,0x01fffc80,0x401fffc8,0x6c006ff9,
    0xfffb84ff,0x7ffc007f,0x7ffec007,0x007ffc00,0x07ffd800,0x80007ee0,
    0x0001fff8,0xdf95ffd8,0xfb000001,0x800001ff,0x2e007ffd,0x3e20001f,
    0xd80001ff,0x3ee007ff,0x03ffec01,0xffa83f70,0x4000005f,0x00007ffc,
    0x2625ffd8,0x001efffb,0x7406ff98,0x05ffe805,0x0017fff4,0xfffd83e4,
    0x9003f505,0xd800bfff,0xfff7002f,0x1fff7001,0x01fff700,0x4003ffe8,
    0xb841fff9,0x7f4007ff,0x7fe4006f,0x07ffc00f,0x7ffd8000,0x0000f400,
    0x0009fff7,0xff9bffb0,0x3600000b,0x800007ff,0x74007ffd,0x3fee0001,
    0xfd80004f,0x00f4007f,0xd001fff6,0x05fffb83,0x7fe40000,0xfd800007,
    0xfffffeff,0x7f40001c,0x005f502f,0xfa80bffb,0x7c8006ff,0x07fffd10,
    0x3fa003f5,0x9f3001ff,0x07ffdc00,0x007ffdc0,0x9007ffdc,0x36000dff,
    0xfff106ff,0x06ffd800,0x403ffdc0,0x00000fff,0xc800fff9,0x3ffa0002,
    0x6c0000ff,0x5ffffeff,0xffc80000,0xfc800007,0x0164007f,0x1ffffd00,
    0x7ffc8000,0x32016400,0x164007ff,0x0013fff2,0x0fff9000,0xdffb0000,
    0x09fff733,0x0dff5000,0x7fec01b6,0x7fffc405,0x103e4000,0xfa85ffff,
    0xdfff3001,0x7001ba00,0xf7001fff,0xff7001ff,0x3ffea01f,0xfff30003,
    0x00fff109,0x4005ffd8,0xfe807ffb,0xf900000f,0x008800ff,0xfff9f500,
    0xffd80007,0x05ffff9d,0x3ffe4000,0x7fe40000,0x00044007,0x3fffcfa8,
    0x3ffe4000,0xf9002200,0x408800ff,0x0004fffb,0x03ffe400,0x2ffec000,
    0x0007fff2,0xf10bffa0,0x17ff6007,0x003fffe0,0xffa80f90,0x007ea1ff,
    0x403fffc8,0x7dc002fb,0xffb800ff,0xfffb800f,0x01fffb00,0x07fff400,
    0x36003ffc,0x7dc005ff,0x0ffe807f,0xfff90000,0x6c000000,0x000dffd7,
    0xff35ffd8,0x40000bff,0x00007ffc,0x0007ffc8,0x7f5f6000,0x7e40006f,
    0xc800007f,0xa80007ff,0x00005fff,0x003ffe40,0x22ffec00,0x000fffe8,
    0x2e37fd40,0xbffb000f,0x07fff880,0xfb807c80,0x03f50eff,0x01fffe80,
    0xf7000bf1,0xff7001ff,0xfff7001f,0x01fffe01,0x03fffb00,0xfd800fff,
    0x7fdc005f,0x40ffe807,0x7e4001a8,0x0003007f,0xfff53f98,0x7fec0003,
    0x17fffe65,0x3ffe4000,0x7fe40000,0x80003007,0x3fff53f9,0x3ffe4000,
    0x3f200180,0x4c03007f,0x00006fff,0x003ffe40,0x42ffec00,0x0005fff9,
    0x17a2ffe8,0x405ffd80,0x8006fffa,0xfffb007c,0x30007eab,0x3f60dfff,
    0xfffb8000,0x0fffb800,0x80fffb80,0x0006fff8,0x7c17ffec,0x7fec007f,
    0x3ffdc005,0xe887ff40,0x9002ffff,0x01600fff,0x7fc1f900,0x3f60005f,
    0x7fffcc5f,0xffc80005,0xfc800007,0x000b007f,0x3ffe0fc8,0x3ff20005,
    0x6400b007,0x40b007ff,0x0007fff8,0x03ffe400,0x2ffec000,0x003fffb8,
    0xfab7fdc0,0x17ff6001,0x01fffe88,0x3a007c80,0x01facfff,0x43fffc80,
    0xf70002fa,0xff7001ff,0xfff7001f,0x0bfff301,0x4fffc800,0x6c007ff8,
    0x7dc005ff,0x8ffe807f,0xffffeff9,0x07ffc800,0x22000788,0x07ffe44f,
    0x85ffd800,0x005ffff9,0x003ffe40,0x03ffe400,0xf10003c4,0x00fffc89,
    0x00fff900,0x7fe400f1,0x74078807,0x00001fff,0x001fff20,0x817ff600,
    0x0000fffd,0x036cfffc,0x4417ff60,0x0003fffd,0x7fc400f9,0x8001fdff,
    0xf10fffe8,0x7fdc000b,0xfffb800f,0x0fffb800,0x005fffb8,0x42fffdc0,
    0x7ec007ff,0x7fdc005f,0xfbffe807,0x013ffa22,0xb101fff2,0x0fdc000f,
    0x000fffe2,0xf982ffec,0x20005fff,0x00007ffc,0x4407ffc8,0x3ee0007d,
    0x01fffc41,0x407ffc80,0x3f2007d8,0x03ec407f,0x0013ffea,0x3ffe4020,
    0xfb00b800,0x7ffc40bf,0x7fdc0006,0x7ec003fe,0x3fee625f,0x320001ef,
    0x7ffcc007,0xf50001ff,0x003f2bff,0x00fffb80,0x800fffb8,0xfc80fffb,
    0x540004ff,0x7ff86fff,0x577fec00,0xaaaaaaaa,0x807ffdaa,0xf980effe,
    0xfffc807f,0xffeeeeee,0x1ba0007f,0x8003ffec,0x3e205ffd,0x90005fff,
    0x00000fff,0xddddfff9,0x00ffffdd,0xffd83740,0xfff90007,0xffdddddd,
    0x7fe400ff,0xfeeeeeef,0xffe807ff,0x1660000f,0x4003ffe4,0x1bff6068,
    0x009fff50,0x07fffc40,0x3bfff600,0x01cfffff,0x000fc800,0x00ffffd4,
    0xf9fff900,0xffb80007,0xfffb800f,0x0fffb800,0x005fffb8,0x42fffd40,
    0x7ec007ff,0xffffffff,0xffffffff,0x01ffe807,0xf9003ffe,0x999999ff,
    0x2000ffdb,0xfff502fa,0xbffb0005,0xdffff880,0x3ffe4000,0x7fe40000,
    0xdccccccf,0xf50007fe,0x0bffea05,0x33fff200,0xfedccccc,0x3fff2007,
    0xedcccccc,0xfff9807f,0x01d10005,0x2001fff2,0x1bff604c,0x00ffff20,
    0x005ffc80,0xb99effd8,0x00004fff,0xf90001f9,0x440003ff,0x0006ffff,
    0x800fffb8,0xb800fffb,0xffa80fff,0x7dc0006f,0x07ff83ff,0x002ffec0,
    0x3a01ffee,0x3ffe00ff,0x03ffe400,0x7d8003e4,0x002fff40,0x4c037ff4,
    0x000effff,0x0001fff2,0x201fff20,0x0fb0007c,0x8005ffe8,0x7c807ffc,
    0x01fff200,0x7fd401f2,0x0f44004f,0x800fffb0,0x3ffa02fa,0x5fffd007,
    0x07fe2000,0x917ff600,0x00003fff,0x360003fb,0x540001ff,0x80002fff,
    0xb800fffb,0xfb800fff,0xfff880ff,0x7fe40007,0x03ffc42f,0x0017ff60,
    0xfd00fff7,0x07ff401f,0x401fff20,0x03f98007,0x000fffdc,0x5401fffe,
    0x001effff,0x0000fff9,0x200fff90,0x03f98007,0x000fffdc,0x3c01fff2,
    0x00fff900,0xfff9801e,0x02e9800d,0x800ffff4,0xff9107fc,0xf98017ff,
    0x8002dfff,0xffb0006d,0x0fffe88b,0x37fea000,0x1fe88000,0x7ffcc000,
    0xffb80002,0xfffb800f,0x0fffb800,0x000ffff0,0x4c1fffd8,0x36000fff,
    0x7dc005ff,0x0ffe807f,0x9007ffa0,0x01600fff,0x3bbbbf20,0xfffeeeee,
    0xfff71004,0xfff7007f,0xc8059fff,0x800007ff,0x0b007ffc,0xddddf900,
    0xfffddddd,0x7ffc8009,0x7e400b00,0x800b007f,0x9adfffe8,0x01fecb88,
    0x3ffffee2,0xdccccccd,0x7ecc5fff,0xdfffffff,0x3fffee01,0x7f1003ff,
    0x17ff6000,0x0017ffe6,0x3ffffff2,0x0fcc002d,0x3ffe6000,0xffb80002,
    0xfffb800f,0x0fffb800,0x003fffb0,0x5c3fff40,0x36003fff,0x7dc005ff,
    0x0ffe807f,0x9007ffa0,0x00200fff,0x9999df10,0xffd99999,0x7fecc01f,
    0x1dffffff,0x7fffff44,0x903fffff,0x00000fff,0x0200fff9,0x999df100,
    0xfd999999,0x7e4001ff,0x4001007f,0x01007ffc,0xfffb7100,0x017dffff,
    0x3fffff22,0xffffffff,0x002fffff,0x20000000,0xfb0000fb,0x3ffee0bf,
    0x00000003,0x4c000098,0x80002fff,0xb800fffb,0xfb800fff,0xfff300ff,
    0x3fe20009,0x3fffae2f,0xfd803eff,0x7fdc005f,0x00ffe807,0xf9007ffa,
    0x200000ff,0xff3001fb,0x0000007f,0x7ffc8000,0xffc80000,0xf7000007,
    0x3ffe6003,0x1fff2003,0x3ff20000,0x20000007,0x001abdd8,0x00000000,
    0x0000e764,0x80013e20,0x3f605ffd,0x000000ff,0x000017bd,0x02fff980,
    0x0fffb800,0x00fffb80,0x200fffb8,0x8000fffc,0x16e05ffc,0x017ff600,
    0xd00fff70,0x7ff401ff,0x03ffe401,0x03740080,0x001bffa0,0x000bed80,
    0x00fff900,0x7fe402e0,0xe8010007,0x37ff4006,0x00fff900,0x7ffc8020,
    0x30001000,0x8000019f,0x0000bde8,0x01fffd00,0x007e4000,0x40bffb00,
    0x0006fff8,0x00ffff00,0xfff98000,0xffb80002,0xfffb800f,0x0fffb800,
    0x013ffe20,0x201fff10,0xfd8004f8,0x7fdc005f,0x00ffe807,0xf9007ffa,
    0x0d1000ff,0x2a0017d4,0x00001fff,0x0000ffff,0x2001fff2,0x1fff2068,
    0xfa81a200,0x7ffd4002,0x0fff9001,0x7e40d100,0x0688007f,0x007ffd80,
    0x37ffc400,0xff500000,0x37710009,0xb0000bea,0xffa80dff,0x7000004f,
    0x000005ff,0x0017ffcc,0x007ffdc0,0x4007ffdc,0x5400fffb,0x36000fff,
    0x1bea03ff,0x01bff600,0xd00fff70,0x7ff401ff,0x03ffe401,0x0fd02e40,
    0x017ffe00,0x02ffb800,0x07ffc800,0x3f204c80,0x05c8007f,0x7fc001fa,
    0xfff9005f,0x640b9000,0x5c8007ff,0x03ff9000,0x3ff90000,0x7fc00000,
    0xfffc8002,0xd80005ff,0xffc806ff,0x8800003f,0x000001ff,0x000bffe6,
    0x003ffee0,0x2003ffee,0xa800fffb,0x6c401eff,0x7fd402ff,0x37ff4001,
    0x03fff200,0x7403fff0,0x7fec01ff,0x817d4007,0xfb0004f9,0x200003ff,
    0x80001ff8,0x54007ffd,0x1fff602f,0x2605f500,0xffb0004f,0xfffb003f,
    0x202fa800,0x54007ffd,0xff30002f,0xf3000001,0x2000001f,0xfb0006fb,
    0x0001ffff,0x200fffd0,0x0002fffe,0x0002fe40,0x0fffea00,0x3fff2000,
    0x1fffc801,0x01fffc80,0x817ffb10,0x000dfea8,0x00439ffd,0xd800fffd,
    0x7fc01fff,0x0bffa01f,0x400fffb0,0x0bfa07fa,0x37ffdc00,0x05fc8000,
    0x3fffd000,0xb01ff200,0x7d400fff,0x000bfa07,0x4037ffdc,0x2a007ffd,
    0x3ffec07f,0x000ff500,0x000027ec,0x00004fd8,0x001cfec8,0x005dfd30,
    0xffff9100,0xfff98017,0x220002df,0x0000cefc,0x3fffa600,0x3ea0001e,
    0x7d405fff,0x7d405fff,0x54005fff,0xfffefffd,0x7fd4003e,0xb884ffff,
    0x5003ffff,0x5409ffff,0xff304fff,0x7ffd409f,0xaaaaaadf,0x884ffdcb,
    0x8000dffc,0x01cffffd,0x0cefc880,0x7fdc4000,0xccccdfff,0x05fffdcc,
    0x2b7fffea,0xdcbaaaaa,0xffc884ff,0xffd8000d,0xff501cff,0x55555bff,
    0x09ffb975,0x56ffffd4,0xdcbaaaaa,0x64c004ff,0x00000bef,0x002fbf22,
    0x00026000,0x98000080,0xfffffffd,0x3fee01df,0x0003ffff,0x80000013,
    0xffffffeb,0x3f2003ef,0xdfffffff,0x3fffff22,0x3f22dfff,0xdfffffff,
    0x56544002,0xcca80001,0x7ffecc0b,0x41dfffff,0xffffffc8,0xffd52dff,
    0x3aabdfff,0x13efffff,0xffffffd9,0xffffffff,0xffc85fff,0x800effff,
    0xfffffffd,0x0098006f,0xfffc8800,0xffffffff,0x2fffffff,0x7ffff644,
    0xffffffff,0x642fffff,0x0effffff,0xfffffd80,0xfd916fff,0xffffffff,
    0xffffffff,0xfffec885,0xffffffff,0x02ffffff,0x00000980,0x00000260,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00026662,0x98018800,
    0x0e400000,0x06f64400,0x440001c4,0x02980cec,0x00999880,0x03730000,
    0x4ccccc40,0x44019999,0x19999999,0x0000e000,0x02666200,0x3800a800,
    0x81730000,0x5c0002b8,0x4c024400,0x99999999,0x20133009,0x17500008,
    0x26666000,0x99999999,0x01999999,0x80053009,0x015c40ba,0x00017500,
    0x4406f644,0x2e600003,0xfd000001,0x400000df,0x01e601f8,0x000f3000,
    0x19fffff5,0x2a0000dc,0x20cfffff,0xff88001c,0x9800004f,0xb7000fff,
    0xdfffffff,0xfffdb809,0x30004dff,0x8000005f,0x0000effd,0x009901aa,
    0xe8dff500,0x2a0003ff,0x007b100e,0xffffffb9,0xffd985bf,0x8000c83f,
    0x88005ffc,0xffffffec,0xffffffff,0x0dd80fff,0x54003f10,0x17ff46ff,
    0x03ffd400,0xfffffa80,0x0000ae0c,0x000fffc4,0x07ff4400,0xbfb00000,
    0x0bfb7337,0x004c8000,0xfffebce8,0x0000fbcf,0x7fff5e74,0x0000fbcf,
    0x0000fff3,0x003fff70,0x1efffd88,0x07ff4400,0x01bf2000,0xfff88000,
    0x7fc40000,0x2feca9bd,0xfffc8000,0x00bfff11,0x5e77fc40,0x2001ffec,
    0x00dfffe8,0x7dfffffd,0x7f4001a2,0x7cc0007f,0x99999fff,0x1ffdaa99,
    0xcbceffa8,0x7e4006fe,0x9fff10ff,0x3fff9000,0xfd79d000,0x01f79fff,
    0x3ffea000,0xf1000003,0x4000007f,0xfffffff8,0x7c00000f,0x2e244002,
    0x003fffff,0x3fee2440,0x40003fff,0x00001ffa,0x80037fc4,0x0004fffa,
    0x880009f7,0x00001fff,0x0003ff50,0x3ffffee0,0x300005ff,0x2ffd8dff,
    0x7ffd4000,0x8003ffff,0x9501fffc,0x3fffff22,0xff70004f,0xffb00007,
    0x80fdc00f,0xfffffffc,0x2ffcc001,0x20007ff6,0x88006ff9,0x7ffffdc5,
    0x7f400003,0x2000000f,0x000005f9,0x77ffff4c,0x3d400001,0x64414400,
    0x980003de,0x02dec882,0x009f7000,0x80006000,0x0003fff9,0xb80005f5,
    0x00004fff,0x00005f90,0x4fffffb8,0x80c40000,0xd3000009,0x0005ffff,
    0x5c03ffee,0x2fffecc1,0x00062000,0x003ffec0,0xfffb807a,0x310001ef,
    0x88000260,0x10510001,0x00007bd9,0x00000060,0x000007dc,0x00166540,
    0x0004d800,0x00000000,0x6c800000,0x00000000,0x002fff88,0x80005f30,
    0x000ffffe,0x0003f800,0x03795100,0x00000000,0x00353000,0x00fffb80,
    0x000d4403,0x32000000,0x164007ff,0x0006a620,0x00000000,0x00000000,
    0x00000000,0x00000b20,0x20000000,0x999881f8,0x44000999,0x09999999,
    0x332e6200,0xd800000a,0x75100000,0x40e01599,0x0002fff8,0x540005f3,
    0x003fffcf,0x0002cc00,0x00000000,0x05665cc4,0x00000000,0x001fff70,
    0x55100000,0x13057999,0x00fff900,0x88000088,0x99999999,0x4ccc4019,
    0x26619999,0x99999999,0x000e0000,0x33333330,0x33333333,0x00003333,
    0x10000008,0x05799955,0x654c0013,0xffd9306c,0xdb800bff,0x03dfffff,
    0xedeffea8,0x0000cfff,0xb3000020,0xdfdbdfff,0x7c41ae59,0xf30002ff,
    0xebec0005,0x400006ff,0x70000000,0x3aa00000,0xfffedeff,0x9999800c,
    0x99999999,0x01999999,0x200fffb8,0x99999999,0xf9300099,0xffdbbfff,
    0x9005b37b,0x20000fff,0x99999999,0xfffb7099,0x809dffff,0xdfffffdb,
    0x3ffff724,0x0002dfff,0x220005f3,0xffffffec,0xffffffff,0x80000fff,
    0x93000003,0xfdbbffff,0x005b37bf,0x9ffddfd5,0x7fffd401,0xefe88004,
    0xaffd8801,0x01efe980,0x0d4414c0,0x37ff6200,0xfffd981b,0x05fff107,
    0x000be600,0xfffa9fcc,0x82980001,0x200001a8,0x200002f9,0x980affd8,
    0x32201efe,0xfffffffe,0xffffffff,0x7fdc00ff,0x3ff7200f,0x02dfffff,
    0x00aeffc8,0x007ffff5,0x0600fff9,0xfffffb90,0xfd885bff,0x44001eff,
    0x3a200ffe,0x0000dfff,0x400037e4,0x999ffff9,0xfdaa9999,0x7cc0001f,
    0x7e400002,0xff500aef,0x4fd807ff,0x807fffe6,0x002ffff9,0xfa802fb8,
    0xffd800ef,0x8bff5003,0xd3001ffe,0x3ea005ff,0x5fff107f,0x00be6000,
    0xfff07e40,0xffa8000b,0x000fff45,0x0006fc80,0x001dff50,0xf3007ffb,
    0x33333fff,0x3ffb5533,0x00fffb80,0x0dfffe88,0x05ffd880,0x007ff910,
    0x1600fff9,0x6ffff440,0x13ffea00,0x4027dc00,0x0001fffc,0x000fffc4,
    0x003ffec0,0xc80003f7,0xb100006f,0x32200bff,0x17ee03ff,0x80bffbb9,
    0x001ffffc,0x3e6017d4,0x7fec006f,0x0fffd804,0x3009fff3,0xb8003fff,
    0xfff880ff,0x05f30002,0xfc89f100,0x360000ff,0xfff30fff,0xff100009,
    0xf980003f,0x7fec006f,0x07ffd804,0xf7007ee0,0x3f2001ff,0xfe8801ff,
    0x4fd8004f,0x807ffc80,0x3ff20078,0x7ffcc01f,0x05f50003,0x001fff70,
    0x04fffb80,0x07ffd800,0x10000f40,0x80003fff,0x8004ffe8,0x1ff304fd,
    0x0fffbae8,0x3fffff20,0x007ea000,0x98007ffd,0x7d401fff,0x00fff45f,
    0x80027ff4,0xfff880fc,0x05f30002,0xf883f700,0x2a0003ff,0x0fff45ff,
    0x7ffdc000,0x7ff40004,0x7ffcc003,0x03ffec01,0xff7007a0,0x3fee001f,
    0x5ffc800f,0x00bd1000,0xd880fff9,0x3ffee007,0x17ffc400,0x802f9800,
    0x0000fffb,0x007ffff4,0x01fff200,0x5c000590,0x40004fff,0x10005ffc,
    0x317fa0bd,0x80bfd11f,0x06fffdfc,0xfc807ea0,0xffb0006f,0x2a05300d,
    0x0fffc800,0x103f1000,0x20005fff,0x6e8002f9,0x000fffb0,0x00150298,
    0x3ffffa00,0xdff90000,0x1bff6000,0x800fff90,0x7ffdc02c,0x1fff7000,
    0x01fffa80,0x32016e00,0xeeeeefff,0x2007fffe,0x4400fffb,0x30002fff,
    0xfff7005f,0x67d40001,0x40003fff,0x44007ffc,0x3ffa0000,0xf50000ff,
    0x5c0003ff,0x5c89ff05,0x747e4004,0xf5004fff,0x0fffea03,0x27ffcc00,
    0x3e200000,0x6c0004ff,0x02fff881,0x8005f300,0xfff502fa,0x00000005,
    0xffcfa800,0xffa8003f,0xff30003f,0x3ffe409f,0xf7002200,0x3ee001ff,
    0x3fe200ff,0x3440005f,0x667ffe40,0x7fedcccc,0x03ffee00,0x005fff10,
    0x2e00be60,0x20000fff,0x00dffd7d,0x007ffc80,0x33ea0000,0x88003fff,
    0x40005fff,0x43ff9868,0x17c8002f,0x5007ffff,0x3fff603f,0x3ffa0000,
    0x2000000f,0x0002fffb,0x7ffc40cc,0x05f30002,0x7f407d80,0x0000005f,
    0xfebec000,0xffd8006f,0x3fa0000f,0xfff900ff,0xff700000,0x3fee001f,
    0x3ffee00f,0x80080001,0x7c807ffc,0x03ffee00,0x005fff10,0x2e00be60,
    0x30000fff,0x07ffea7f,0x07ffc800,0xfb000030,0x2001bffa,0x0001fffb,
    0x22ffa808,0x4f90007a,0x401ffff9,0xffff01fa,0xfffd8000,0x0fffffb1,
    0x20fffff9,0x00007ffe,0x00bffe20,0x30017cc0,0xfffb807f,0xffffd801,
    0x7ffffc87,0x2a7f3000,0x7c001fff,0x6c0007ff,0xff901fff,0xb800600f,
    0xf7000fff,0x7ff401ff,0x20000007,0x0f007ffc,0x007ffdc0,0x000bffe2,
    0x7dc017cc,0xf90000ff,0x002fffc1,0x200fff90,0x9fcc0005,0x4001fffa,
    0x00007ffe,0x4d8ffee0,0xfa8f9000,0x3ea00fff,0x06fff881,0x17ffec00,
    0xfc81fff2,0x6fff987f,0x3e200000,0xf50002ff,0x777e4005,0xfeeeeeee,
    0x3f2004ff,0x1fff207f,0xff07e400,0x7fc400bf,0x7ec0006f,0xfff902ff,
    0xfb801600,0xff7000ff,0x3ffe601f,0x20000006,0x0b007ffc,0x007ffdc0,
    0x000bffe2,0x7dc017cc,0xf88000ff,0x007ffe44,0x807ffc80,0x7e400078,
    0x8017ffe0,0x0006fff9,0x453fee00,0x0f90001f,0x540dfff9,0x5fff981f,
    0x7ffe4000,0x303ffcc4,0xfff50fff,0xf800000b,0xf50003ff,0x33be2003,
    0xcccccccc,0x3000fffe,0x7fcc0fff,0x44f88007,0x3000fffc,0x8000bfff,
    0xf904fffc,0x00f100ff,0x8007ffdc,0xf500fffb,0x00000bff,0x803ffe40,
    0x3ffee000,0x17ffc400,0x802f9800,0x8000fffb,0x7ffc41fb,0xfff90003,
    0x0007d880,0xfff913e2,0x3ffea001,0x26000005,0x406b8fff,0x7ec1f202,
    0x03f505ff,0x000bfff7,0x445fffb8,0x3ffc07ff,0x002fffdc,0x13ffe000,
    0x800fdc00,0xff3001fb,0x3fe2007f,0x003ffc07,0x3fe20fdc,0xfff7003f,
    0xffb8000b,0x0fff905f,0x2e007d88,0xf7000fff,0x3fee01ff,0x776c004f,
    0x05eeeeee,0x0000fff9,0x801fff70,0x0002fff8,0xff7005f3,0x0dd0001f,
    0x4001fff6,0xeeeefffc,0x007fffee,0xff107ee0,0x3fee007f,0x776c004f,
    0x25eeeeee,0x203ebfff,0x441f201b,0xfa83fffe,0x04fffc81,0x37ffd400,
    0xff01ffe2,0x09fff90f,0xffe80000,0x01f90004,0xfd001ba0,0x3fe200df,
    0x003ffc07,0x7ffd8374,0x09fff900,0x6fffa800,0xdddfff90,0x0ffffddd,
    0x007ffdc0,0x900fffb8,0x30009fff,0x05dffff9,0x8003ffe4,0x03ffee00,
    0x005fff10,0x2e00be60,0x54000fff,0x5fff502f,0x9fff9000,0xfdb99999,
    0x8374000f,0xf9007ffd,0x930009ff,0xe85dffff,0xd100ffff,0x3e207c80,
    0x0fd42fff,0x002fffdc,0x117ffea0,0x7ff80fff,0x004fffb8,0x3ffec000,
    0x5006e800,0xffa8005f,0x7ff8801f,0x2003ffc0,0xfff502fa,0xbfff7005,
    0xfffa8000,0x99fff905,0xffdb9999,0x07ffdc00,0x00fffb80,0x000bfff9,
    0x2017fff4,0x88007ffc,0x03ffee06,0x005fff10,0x2e00be60,0x6c000fff,
    0x02fff407,0x403ffe40,0x5f50007c,0x00bffea0,0x0017fff2,0xb82fffe8,
    0xe980ffff,0x2a03e403,0x3ea1ffff,0x06fffa81,0x1fffdc00,0xff01ffe2,
    0x0bfff50f,0xffb80000,0x27d4001f,0xf0007e80,0xff100bff,0x007ff80f,
    0x3ffa03ec,0x6fffa805,0x7ffdc000,0x00fff903,0x7fdc00f9,0xfff7000f,
    0x1bffea01,0x1fffd800,0x003ffe40,0xfff702e4,0x2fff8801,0x005f3000,
    0x4001fff7,0x7fdc03f9,0x7fe4001f,0x2000f007,0x2fff407d,0x037ffd40,
    0x03fffb00,0x2f7ffff6,0x7c805fdb,0x0efffb80,0xfff103f5,0xffc8000f,
    0x03ffc42f,0x3fe61ffe,0x8000006f,0x26005ffe,0x4f9800ff,0x3fffb000,
    0x407ff880,0x3e6007ff,0x0fffdc03,0x01fffe20,0x05fff900,0x3c01fff2,
    0x01fff700,0x403ffee0,0x0007fff9,0x3601fff2,0x7d4007ff,0x03ffee02,
    0x005fff10,0x2e00bea0,0x32000fff,0xeeeeeeef,0x004fffee,0x5803ffe4,
    0x403f9800,0x4c01fffb,0x20007fff,0x3a207ffc,0xefffffff,0xb007c800,
    0x07eabfff,0x0003fffc,0xf107fff6,0x87ff80ff,0x0007fff8,0x5fff9800,
    0x002ff980,0x2e0005fd,0x7c406fff,0x03ffc07f,0xdddddf90,0x9fffdddd,
    0x00ffff00,0x01fffd80,0x1600fff9,0x01fffc80,0x201fff70,0x001ffff8,
    0xb00fff90,0x7d400fff,0x07ffdc07,0x001fffc0,0xfb801fa8,0xdf1000ff,
    0x99999999,0x001fffd9,0x0803ffe4,0xeeefc800,0xffeeeeee,0x7ffc404f,
    0xff90001f,0xfffec80f,0xf9000cff,0x67fff400,0xfffb01fa,0x7ff40003,
    0x407ff887,0xfffd07ff,0x30000003,0x1137dfff,0x005ffd95,0x001bff91,
    0x39ffffb0,0xf01ffe20,0x3be200ff,0xcccccccc,0x400fffec,0x0001fffd,
    0xfc81fffa,0x2001007f,0x005ffffa,0x6c01fff7,0x90004fff,0xffa80fff,
    0xaaaaadff,0x04ffdcba,0x4007ffdc,0x70004fff,0xfff7003f,0x007ee001,
    0x001fffcc,0x0000fff9,0x3333be20,0xfecccccc,0x7fec00ff,0xff90004f,
    0x3531f80f,0x007c8001,0x3f7fffe2,0x09fff301,0x0bffe200,0xff01ffe2,
    0x13ffea0f,0x22002000,0xfffffffc,0xfc800cff,0x00efffff,0xffffffd8,
    0x7ff886ff,0xb803ffc0,0xfff3001f,0x4fff9807,0x5fff1000,0x003ffe40,
    0xfffffc80,0x2e02dfff,0x3e600fff,0xf90007ff,0xffd910ff,0xffffffff,
    0x5fffffff,0x00fffb80,0x0004ffe8,0xff7001f9,0x01ba001f,0x400dffd0,
    0x10007ffc,0x3001fb80,0xf9807fff,0xf90007ff,0x003d40ff,0x4c007c80,
    0x201fffff,0x8000fffc,0x3fe05ffc,0xd03ffc07,0x40001fff,0x5d4c0059,
    0x00009afd,0x03f10000,0x3e03ffc0,0x00dd007f,0xc806ffe8,0xc8000fff,
    0x7fe405ff,0xe8010007,0x7ffdc002,0x1fffe400,0x03ffe400,0x000b7000,
    0xb001fff7,0x3a000fff,0x1fff7006,0x8005f500,0x9001fffa,0xd1000fff,
    0x74006e80,0xffc806ff,0xffc8003f,0x00013607,0x2a0007e4,0x2201ffff,
    0x44004fff,0x3fa00fff,0x03ffe00f,0x002fffcc,0x20000e88,0x0000006e,
    0x74007c80,0x3ffe00ff,0x0017d400,0x1007ffea,0x88009fff,0x7e400fff,
    0x0688007f,0xf70003ee,0xff8801ff,0x7e4000ff,0xf100007f,0xfff70009,
    0x3fff7001,0x004fa800,0xd001fff7,0x3ffe000f,0x0fff9005,0x7d40b900,
    0x7ffd4002,0x7fffc401,0x3ffe4000,0x00001f88,0xf90001f9,0xffa803ff,
    0x3ff6000f,0x40fff403,0x200fffd8,0x4004fffa,0x7c0001e8,0x0000000f,
    0xd0017f40,0xffb103ff,0x007e801f,0x500bfff0,0x6c001fff,0xffc803ff,
    0x205c8007,0x7dc002fd,0xff9800ff,0x3f2000ef,0xf300007f,0xfff7000d,
    0x17ffa001,0x000ff980,0x9801fff7,0xffb0004f,0xfffb003f,0x202fa800,
    0xfff0007e,0xdfff300b,0x3ffe4001,0x200006b8,0xfb0001fd,0xdff5003f,
    0x2ffd8803,0x21effc80,0x13fffae9,0x037ffe60,0x0000ba60,0x00007ff1,
    0x05fe8000,0x987bff20,0x013fffae,0x360009f3,0xfa801fff,0x7ec401ef,
    0xfffb002f,0x202fa800,0x7dc006fd,0xff3000ff,0x3f2003df,0xf500007f,
    0xffb8003f,0xfff3000f,0x05ff300b,0x00fffe40,0x5c000bfa,0xfd806fff,
    0x1fea007f,0xb0004f98,0xf3003fff,0x32003dff,0x007d07ff,0x037fea00,
    0x007fa200,0x205ffec4,0x000dfea8,0xffdffff1,0x0fffffe5,0xadfffe88,
    0x1fecb889,0xbff90000,0x000000c5,0x045bff70,0xfeffff88,0x7fffff2f,
    0x20005fd0,0x1006fffb,0xa8817ffb,0x36000dfe,0x3ea007ff,0x5f7fd407,
    0x3ff20110,0x3f22001f,0xd981bdff,0x00004fff,0x00873ffa,0x8007fff2,
    0x89befff9,0x02ffeca8,0x17fffea0,0x006ffe44,0x67fffec0,0xbffff501,
    0x97555555,0x7f409ffb,0xfff70002,0x3ff2200d,0xfd981bdf,0x00f884ff,
    0x7fffe400,0x4c002dff,0x7ed4001f,0x3efffeff,0xffffa800,0x00bbfe1f,
    0x7fffedc4,0x000befff,0x3fffa600,0x00000dff,0x3ffffa00,0xfff501ef,
    0x177fc3ff,0x006ffe44,0x67fffec0,0xfffb5001,0x007dfffd,0xadffffa8,
    0xdcbaaaaa,0xffd804ff,0xfa81efff,0x98005fff,0xedefffec,0x0002dfff,
    0xfffffa80,0xffff504f,0xffc8800b,0xcfffffff,0xffff9000,0x325bffff,
    0x0effffff,0xfffffd80,0xfd916fff,0xffffffff,0xffffffff,0x1bff9105,
    0xffffb000,0x3b260039,0xffedefff,0x000002df,0x13000000,0x56544000,
    0x35300001,0x88000390,0x0001abca,0x05e5cc00,0x88000000,0x53001ccb,
    0x3f203903,0x00efffff,0xffffffd8,0x544006ff,0x644001ac,0xfffffffe,
    0xffffffff,0x971002ff,0xffff9039,0x005bffff,0x55975510,0x20000003,
    0xfc80bcc9,0xdfffffff,0x65d4c002,0x000009ab,0x00000000,0x64000000,
    0x0effffff,0xfffffd80,0x44006fff,0x01aacbaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05cc0000,0x00000ae2,
    0x00000a88,0x2e60ae20,0x5c400000,0x00280002,0x26666620,0x00999999,
    0x2205cc00,0x4cc0002b,0x99999999,0x10750009,0x2015c037,0x0044002a,
    0x99999988,0x00019999,0x40060000,0x99999999,0x10000999,0x33333333,
    0x00001333,0x802e6000,0xaaaaaaa8,0x0000aaaa,0x00024c00,0x012600ae,
    0x8000c980,0x33100001,0x0002e600,0x7ec7ff98,0xc800003f,0x0000dfef,
    0x2a3ffe80,0x400007ff,0x40004ffd,0xff50000e,0xffffffff,0x7cc0007f,
    0x01ffec7f,0xfffff980,0x04ffffff,0x3e25ffc8,0x413a01ff,0x05b8006b,
    0xffffff90,0x003fffff,0xdf700000,0x7fffcc03,0x3fffffff,0xffff5000,
    0x7fffffff,0x30000000,0x7fdc0dff,0xffffffff,0x7fb1002f,0x07feb880,
    0x4407ee00,0x20007feb,0x7fe4005e,0xff90004f,0x2a03dfff,0x320007ff,
    0x3ffe1fff,0x75400005,0x00007d11,0x325fff88,0x00001fff,0x8001bffe,
    0xf50000fa,0xffffffff,0x5c0007ff,0x3ffe1fff,0xfff30005,0xffffffff,
    0x4fffd009,0x2a03fffa,0x007ee0ef,0x0135db30,0x7fffffe4,0x001fffff,
    0xffd80000,0x3fffe604,0x3fffffff,0xffff5000,0x7fffffff,0x10000000,
    0x7fdc0fff,0xffffffff,0xfff7002f,0x3fe4c403,0x203f8800,0x0007fc98,
    0x754001f7,0x44005f31,0xffb32efe,0x03fff907,0x91bfe600,0x800005ff,
    0x0003543d,0xf317fec0,0xb80000df,0xd10003ff,0x0000001f,0xdff10000,
    0x0002ffc8,0x3ee00000,0x007ff44f,0x17f2bff6,0x7fffe440,0x0002dffe,
    0x00000000,0x00007ff3,0x00000000,0xcca98000,0x06fa809b,0xfb800000,
    0x7fa801ff,0x200db000,0xf98007fa,0x2e1ec003,0x41ff2005,0x7fec1ffc,
    0x0620002f,0x4000004c,0x0003543e,0x01880980,0x00130000,0x0007ff40,
    0x80000000,0x00013018,0x31000000,0x7fcc0060,0xe9800fff,0xf915b9cf,
    0x220000df,0x99999999,0x4ccc4019,0x4ea99999,0x00000000,0x30000000,
    0xffdbfffd,0x1db97bdf,0x10000000,0x3ea009fb,0x01fa8007,0xd000ff50,
    0xa85d000b,0x07ff1006,0xff917fe2,0x0000005f,0x0ea80000,0x000007d1,
    0x00000000,0xfffb1000,0x26666201,0x40199999,0x99999998,0x00000001,
    0x5665cc40,0x00000000,0x4013fff2,0xf516e4fe,0x3333330d,0x6dc13333,
    0xefffffff,0x7ffedc04,0x981aceff,0x99999999,0x99999999,0x07000019,
    0x7ff90000,0x3fff9301,0xa8829800,0xa8000001,0x27c4007f,0x800ff500,
    0x5b8000fb,0x7dc00fa2,0x71ffe02f,0x00003fff,0x8000001c,0x000dfefd,
    0x4cccccc4,0x4cc01999,0x80999999,0x99999998,0x99999999,0x3ffe6099,
    0x2e7fffff,0xfffffffd,0x7fedc04e,0x4cc4dfff,0x99999999,0x99999999,
    0x7ff54001,0x0cfffede,0x99999980,0x30009999,0x3fee0033,0x21b616e1,
    0xffffffdc,0xffd882df,0x744001ef,0x764402ff,0xffffffff,0xffffffff,
    0x7cc0000f,0xfd300002,0xdff7003f,0x17fea001,0x00003ffd,0x4007fa80,
    0x3fd4006d,0x0007f100,0x03bf7fa2,0xf00ffe40,0x7ffdc1ff,0x5f300000,
    0x2a000000,0xfd50003f,0x9dffffff,0xffffec80,0xfffe83ef,0xffffffff,
    0x22ffffff,0xabfffaa9,0xfffd882a,0x7f44001f,0xffec881f,0xffffffff,
    0x0fffffff,0x0affd880,0x401efe98,0xffffffdc,0x20a602df,0x1ff601a8,
    0x440d30b7,0x400dfffe,0x0004fffa,0xf98009f7,0x99999fff,0x1ffdaa99,
    0x037e4000,0x0fff4400,0x00dff700,0x7cc3fff6,0x038004ff,0xa801fea0,
    0x3fd4001f,0x0000db00,0xfd800393,0x51ffe01f,0x40000fff,0x000006fc,
    0x8000df90,0x04fffffa,0x017ffec0,0x5559bffd,0xffb55555,0x07ffc0bf,
    0x027ffd40,0x9804fa80,0x9999ffff,0xffdaa999,0x077fd401,0x401ffec0,
    0x00dfffe8,0x3fa2ffd4,0x43ffd01f,0x6406885b,0xf9801fff,0xf50003ff,
    0xfffb0005,0x000fdc00,0x003fff10,0x005ffc80,0xa804ffe8,0x0fff45ff,
    0xf5002c00,0x013e200f,0x5c01fea0,0x0000001f,0x4403ffa0,0x37fcc4ff,
    0xfff88000,0x44000001,0x40001fff,0x001ffff9,0x3e007fdc,0xfff3000e,
    0x07ffc01d,0x01fffcc0,0xb003fa80,0x7dc00fff,0x01bfe601,0x9009ffb0,
    0xfb003fff,0x3ffe61ff,0x5c9ffb04,0xffb80705,0xfff8800f,0x05f30002,
    0x00fffb00,0x2e0001e8,0x20004fff,0x8001fffa,0x9801fffa,0x30001502,
    0x03fd4009,0xa8000fc8,0x03f8807f,0x0d54c400,0x403ffa00,0x7fc42ffa,
    0xff700005,0x8000009f,0x0004fffb,0x005fffc8,0x07c017ec,0x03fffd00,
    0x8800fff8,0x30002fff,0x3ff6005f,0xd00f4007,0xf98007ff,0x7fdc01ff,
    0x5ffa800f,0xfa80fff4,0x000b73ff,0x2003ffee,0x0002fff8,0xf90005f3,
    0x02c800ff,0x3ffffa00,0xfff88000,0x3ffe0005,0x00000006,0x3fd40075,
    0x80017cc0,0x06d807fa,0x37ff2200,0xe800dfff,0x3fe880ff,0x00009ff0,
    0x003ffffa,0xfffe8000,0xfe80000f,0x9f3001ff,0x6400b100,0xff804fff,
    0xfff8800f,0x05f30002,0x001fff20,0x1bff2059,0x037fec00,0x4003ffee,
    0x44015029,0x05bcffff,0x01fff700,0x005fff10,0x2000be60,0x44007ffc,
    0xf9f50000,0xf70007ff,0x640005ff,0x00002fff,0x2001e800,0x05e807fa,
    0x501fea00,0x3a20003f,0x3bfea0df,0x507ff400,0x7f403ff9,0xcfa80004,
    0x00003fff,0x7fff9f50,0xfff30000,0x401ba00d,0xfff30049,0x03ffe00d,
    0x00bffe20,0xc8017cc0,0x044007ff,0x001fffd4,0x204fff98,0x0000fffb,
    0xffff7000,0x3ee000bf,0xff8800ff,0x5f30002f,0x0fff9000,0xbec00000,
    0xc8006ffe,0x20001fff,0x3f63fffb,0xffc87fff,0x0d7007ff,0x6407fb80,
    0x3ee0000f,0x0013e207,0xfc81ffc8,0x07ff404f,0x205dfffb,0xd80003fd,
    0x000dffd7,0x7ff5f600,0xff900006,0x02fb807f,0x3fa20020,0xfff001ff,
    0x5fff1001,0x00be6000,0x0003ffe4,0x000fffd8,0x403fffa0,0x0000fffb,
    0x3ffee000,0xfb8001ff,0xff8800ff,0x5f30002f,0x0fff9000,0xf3000060,
    0x007ffea7,0x003fffd0,0x42fffd40,0x3f207ffc,0x03fa807f,0x9ddddd10,
    0x79005f30,0x4eeeee88,0x06ea06d8,0xfa80ffe8,0x07ff405f,0x213ffee2,
    0x4c0002fd,0x03fff53f,0x53f98000,0x00003fff,0x4407fffa,0xc800005f,
    0x3e003fff,0xff8800ff,0x5f30002f,0x01fff200,0x1fffe00c,0x3fffb000,
    0x203ffee0,0xc87ffffd,0x5407ffff,0x004fffff,0x4007ffdc,0x0002fff8,
    0xf90005f3,0x001600ff,0x7ffc1f90,0x7fffc005,0x3fe60000,0x07ff986f,
    0xf101ffe6,0xd000001f,0x00bf900b,0x3f207ea0,0xfd82efff,0x80dff306,
    0xff500ffe,0x001fc87f,0xfff07e40,0xfc80000b,0x0017ffe0,0x837ffcc0,
    0x400000fd,0x4005fffa,0xf8800fff,0xf30002ff,0x1fff2005,0xfff102c0,
    0xffd8000d,0x1fff702f,0x903ffe40,0xfb100fff,0x2001dfff,0x8800fffb,
    0x30002fff,0xff90005f,0x000f100f,0x3ff227c4,0xfff3000f,0xff88000f,
    0x07ff887f,0x3f603ffc,0xfb800004,0x02ffdc00,0x75427440,0x887fea8b,
    0x0dff301b,0x3200ffe8,0x007dc7ff,0xfc89f100,0x100000ff,0x0fffc89f,
    0xfff90000,0x0002fa87,0x07fffc40,0x003ffe00,0x000bffe2,0xfc8017cc,
    0x2078807f,0x0005fff9,0xb827ffe4,0x3e600fff,0x1ffe607f,0xfffffc80,
    0x0fffb801,0x02fff880,0x0005f300,0xd880fff9,0x07ee0007,0x2007fff1,
    0x0006fffa,0x207fffc4,0x7fc07ff8,0x003fee07,0x807f3000,0x8005fcf9,
    0x441d80fc,0xfb5003ff,0xffe80dff,0x8bffe600,0x7dc0007a,0x01fffc41,
    0x441fb800,0x00003fff,0x221fffd1,0xd800005f,0xf8002fff,0xff8800ff,
    0x5f30002f,0x01fff200,0x7fdc0fb1,0x7dc0005f,0xfff705ff,0x03ffc401,
    0xeb801ffe,0x401ffffe,0x8800fffb,0x30002fff,0xff90005f,0xfddddddf,
    0x74000fff,0x00fffb06,0x001fffe6,0x10ffff10,0x7ff80fff,0x000dff10,
    0xf880bd00,0x4c005faa,0x3f60102f,0x2bbee203,0x7f406ff9,0x1fff400f,
    0x6e8000d3,0x000fffb0,0x7fec1ba0,0x3ea00007,0x001f95ff,0x5fffb800,
    0x01fff000,0x005fff10,0x6400be60,0xeeeeefff,0x3207fffe,0x40004fff,
    0xf706fffa,0x7fc401ff,0x003ffc07,0x3ffff2b7,0x03ffee00,0x00bffe20,
    0x40017cc0,0xccccfffc,0x007fedcc,0x3ea05f50,0xfff002ff,0x7cc0001f,
    0x7ff886ff,0xfd83ffc0,0x5c00003f,0xfaa7400f,0x002f4005,0xefb807f4,
    0xd01bfe62,0xffc801ff,0xa8001a24,0x5fff502f,0x02fa8000,0x0005fff5,
    0x7e7ffe40,0x7c400003,0xd0000fff,0x440c45ff,0x30002fff,0x3ff2005f,
    0xdccccccf,0x3fee07fe,0x7d40005f,0xfff705ff,0x03ffc401,0x5b801ffe,
    0xb813ffee,0xf8800fff,0xf30002ff,0xfff90005,0x2000f900,0x2fff407d,
    0x01fffe80,0x13ffea00,0xff01ffe2,0x807ffe0f,0x7f1001ec,0x17ea5d80,
    0x4000fc80,0x1df905f9,0x7406ff98,0x7fe400ff,0xfb0000c5,0x005ffe80,
    0x3fa03ec0,0x2200005f,0x0006ffff,0x01fffe80,0x457ff600,0x2fff880d,
    0x005f3000,0x3201fff2,0x1bffea07,0x7fff7000,0x803ffee0,0x7fc07ff8,
    0xf916e007,0x7ffdc0df,0x2fff8800,0x005f5000,0x200fff90,0x03f98007,
    0x400fffdc,0x0002fffd,0x220fffee,0x3ffc07ff,0x9807ffcc,0x0db006ff,
    0x17ea0eb8,0x40017cc0,0x07fd80ec,0xfe80dff3,0x27fdc00f,0x03f98000,
    0x000fffdc,0x7dc03f98,0x200001ff,0x0002fffa,0x027ffe40,0x3fffee00,
    0x7fff102f,0x00bea000,0x7803ffe4,0x01fffe20,0x05fff900,0x8803ffee,
    0x3ffc07ff,0x7cc5b804,0x3ffee07f,0x07fff000,0x0007ea00,0x2c01fff2,
    0x7777e400,0xffeeeeee,0xfffb804f,0x3ff20003,0x07ff881f,0x7fcc3ffc,
    0x03ffe00f,0x7cc03f70,0x9efb999a,0x4002f400,0x4ff980fb,0xe80dff30,
    0x7fdc00ff,0xdf900002,0xdddddddd,0x20009fff,0xeeeeeefc,0x04fffeee,
    0x3ffe6000,0x3e600002,0x900006ff,0xff807dff,0x3f50003f,0x01fff200,
    0x1fffe02c,0x3fffb000,0x803ffee0,0x7fc07ff8,0xf0b70787,0x7ffdc0df,
    0x09fff000,0x0007ee00,0x0401fff2,0x333be200,0xeccccccc,0x74400fff,
    0x3a0006ff,0xfff105ff,0xf887ff80,0x3ff201ff,0xb00fe200,0xffffffff,
    0x007dc0bf,0x7dc07aa0,0x0dff304f,0x2060ffe8,0x02e60ffb,0x999df100,
    0xfd999999,0xf88001ff,0xccccccce,0x00fffecc,0x5fff3000,0x3fa20000,
    0x200001ff,0x9fff0008,0x007ea000,0x0803ffe4,0x00fffec0,0x40fffd00,
    0x2200fffb,0x3ffc07ff,0x222dc07c,0x3fee05ff,0x9ffd000f,0x003f2000,
    0x001fff20,0x800fdc00,0xa803fff9,0xa8002fff,0x3fe00fff,0xe83ffc07,
    0x1be603ff,0x55300db0,0x55df9555,0x7000fe60,0x3ffdc01d,0x2026ffb8,
    0x8bfb0fff,0x1bfea5fc,0x2003f700,0x4003fff9,0xff3001fb,0x2600007f,
    0x00002fff,0x0007fff9,0xfd000c40,0x3f2000bf,0x0fff9000,0x3ffe6000,
    0xfff10004,0x07ffdc05,0xf80fff10,0x5b84f87f,0xf7017fd4,0x3f6001ff,
    0x0dd0006f,0x01fff200,0x01ba0040,0x200dffd0,0xe8006ffd,0x7ff402ff,
    0x203ffe00,0xf900fff9,0x000fd403,0x5e80bf50,0x3106e400,0x33ffe25b,
    0x1fffdb30,0x21fff095,0x87fe26fe,0x2001fffc,0x7ff4006e,0x00374006,
    0x0001bffa,0x0017ffcc,0x02fffd40,0xeff981c0,0x07ffd800,0x6400dd00,
    0x010007ff,0x0001fff9,0xfb80bff9,0x3ffc00ff,0x3fe1ffe0,0x9fd12dc1,
    0x00fffb80,0x003fff70,0x90004fa8,0xd1000fff,0x20017d40,0x8801fffa,
    0x2a002fff,0xffe805ff,0x0fffd881,0x215fff50,0x3e203fc9,0x2fd40004,
    0x6c001f70,0x7fffffff,0x7f7fffec,0x50bffff3,0x5bee1fff,0x7fd42fd8,
    0x00bea006,0x003fff50,0xf5000bea,0x300003ff,0x80005fff,0x000ffff8,
    0x5fff7068,0x03fff500,0x2004fa80,0x88007ffc,0x04fff886,0x007ffc40,
    0xd003ffee,0x7ffc01ff,0xb867ffc0,0x700bfd35,0x74001fff,0x3e6005ff,
    0xff90000f,0x40b9000f,0xfff0007e,0x3ffa200b,0x04ffc802,0x4c3dff90,
    0x013fffae,0x9dfffd91,0x0006d801,0x7f104e98,0x77775c00,0x6443eeee,
    0x3f21efff,0x3ffa60df,0x3fbae0ff,0x0015301d,0xff8003f4,0x00fd005f,
    0x0017ffe0,0x00bffe60,0x05fffb00,0x3a60b500,0xffd004ee,0x07fcc00b,
    0x00fff900,0x3fea0b90,0x3ff6000f,0x0fffb803,0x440fff40,0x5cc0fffd,
    0xfffefffe,0xfff7002e,0x7ffcc001,0x02ff9805,0x01fff600,0x3e605f50,
    0xfffb0004,0x67fdc003,0x0f7ecc41,0xdffff100,0x3fffe5ff,0x0001803f,
    0x00000000,0x02600000,0x02000044,0x13e60000,0x0fffec00,0x40013e60,
    0x0001fffd,0x0017ffcc,0x00bfff70,0x97007f10,0x17ffe600,0x000bfe60,
    0xa800fffb,0x3bfea02f,0x17fec401,0x00fffb80,0xd30f7fe4,0x2027fff5,
    0x00aeda98,0x00fffe40,0x2fbffe60,0xffeca889,0x7fec0002,0x81fea007,
    0xf70002fe,0xd9800dff,0xeffeefff,0xffa8000c,0x3bfe1fff,0x00000002,
    0x00000000,0x00000000,0x20000000,0xf70002fe,0x2fe80dff,0xdfff7000,
    0xfffa8000,0xfff10003,0xfe88001f,0x000f4402,0x137dfff3,0x05ffd951,
    0x00fffb00,0x6c403fd4,0x75440bff,0x3f2000df,0x7fc401ff,0xff2ffeff,
    0x5b807fff,0xffffa800,0xffc88005,0xcfffffff,0x7fd40000,0xaaaaadff,
    0x84ffdcba,0x000dffc8,0x1cffffd8,0x1bba8800,0x06a60000,0x00000072,
    0x00000000,0x00000000,0x00000000,0x00dffc88,0xcffffd80,0x06ffe441,
    0x7fffec00,0xfe98001c,0xe8001eff,0xccccefff,0xeccccccc,0xd5101fff,
    0xff910007,0x9fffffff,0xfff50003,0x555555bf,0x009ffb97,0x7f7ffed4,
    0x54003eff,0xa805ffff,0x3e1fffff,0x095002ef,0x7ffffe40,0x8002dfff,
    0x09abcba9,0x3fb22000,0xffffffff,0xffffffff,0x7ffffe42,0xffd800ef,
    0x06ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xeffffffc,0xffffd800,0xff96ffff,0x001dffff,0xfffffffb,0x3fae00df,
    0x3effffff,0xfffff700,0xffffffff,0x0fffffff,0x980000cc,0x009abcba,
    0x7fff6440,0xffffffff,0x02ffffff,0x03595100,0xfffff900,0x9805bfff,
    0x0001c81a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00a20000,0x01500000,0x07bbae00,0x00660000,0x00000620,
    0x801102a0,0x20001ba8,0x2a0001c8,0x02000351,0x1bc98000,0x00b22000,
    0x40001800,0x0002ccc8,0x00660054,0x80188015,0xccba8838,0x0a20001a,
    0x3ba00022,0x3333305e,0x30133333,0x33333333,0x01000813,0x54003100,
    0x4000c400,0x100ee04a,0x33260005,0x8028001c,0x00006fda,0x01ffc880,
    0x009ffd00,0x04fda800,0x077ff660,0xff910000,0x4067fec3,0x00effffc,
    0x20006c80,0x000d92f8,0x16c40baa,0x9fd7ff30,0x003b2000,0x0fbfa600,
    0x7fffe400,0x07e20000,0x17c4034c,0xf9800e98,0xcdfffdbd,0x000beffe,
    0x7f44ff93,0x3fea004f,0xfffb900f,0x905bffff,0xfffffffb,0x4c02c87b,
    0x3ffae005,0x17c402df,0xd8000e88,0x64c13a05,0xffd0007f,0x3ae200bf,
    0x3fffae07,0x26000006,0x001ffffd,0x0005ff98,0x13ffff20,0x6c88cd80,
    0xffb30000,0x3ffe63ff,0xf986dc3f,0x0fd4004f,0x7d4f7000,0x1bf30000,
    0x44033f22,0x013f60ff,0x00003f50,0x003ffff2,0x9ffbff30,0x43fc8000,
    0x9f7002f9,0xf3003f98,0x5101bfff,0x75403fff,0x3fea7fff,0xff9002ff,
    0xfffd1003,0xffd1001b,0x2fea01bf,0x401fdcc1,0xffb89ed8,0x227dc02f,
    0x9f0003f9,0xfd50fe20,0xf7000fff,0x4c05ffdd,0x2607fffc,0x0006ffd9,
    0x3fee6600,0x6fb8001f,0x74cc0000,0x1f1004ff,0x980002f8,0xf11fffb9,
    0xb828dfff,0x13a2005f,0x3f89d000,0x33fa2000,0x27f401ef,0x44003fea,
    0x2e00004f,0x4004ffff,0x03ff71fd,0x46ffc400,0x7f4006fa,0x2006f98d,
    0x9802fff9,0x93303fff,0x7ffccfff,0x05ff005f,0x00fffe40,0x803fff90,
    0xfffefffd,0xb83fb006,0x7f400fff,0x0006f98d,0x07ea05f1,0x00fff933,
    0xdfb0ef88,0x3ffed540,0x0037fd40,0x1fff8000,0x000ee800,0x09ff9000,
    0x00fa1ea0,0x43fff000,0x400fecda,0x3b2001fc,0x0be20000,0xfb8000d9,
    0x3ff8805f,0xd8027fc4,0x5c0a0006,0x2a006fcd,0x002fcc1f,0x3ffffee0,
    0x7ffd4001,0x3ea002ff,0x3fe6001f,0x1ffe602f,0x300ff9b7,0xffb8009f,
    0x3fee000f,0x7ff4401f,0xa801ffff,0x00ff906f,0x05fffff5,0x5c03ea00,
    0x01ffe207,0x3fb81d90,0x403ffc40,0x00006ff9,0x003ffd00,0x00001f88,
    0xff933331,0x2e80133b,0x000003e6,0x1f203ffd,0x4c005f10,0x3dc0002f,
    0x4c0007d4,0x403ffcfe,0x5ff82ffa,0x0001fa80,0x009f003e,0x02d880ec,
    0x2ffff400,0x5fffd800,0x001fd400,0x880fffd4,0x01b607ff,0x3ee0016e,
    0x3ea000ff,0xfd9000ff,0x3fa0019d,0x6c002605,0x20005fff,0x881b607c,
    0x166007ff,0x7fc00e98,0x06ff9807,0xffd00000,0x00198003,0x3ffff600,
    0x03ffffff,0x027ef7d4,0x0fff4000,0xff9305d8,0x017a0019,0x1fc13a00,
    0x217fb100,0x3ee03ffc,0x406ff82f,0x2a0003f8,0x00be200f,0x000c0044,
    0x002aaa60,0x00555440,0xe8001ae0,0xff880eff,0x0e013a07,0x07ffdc00,
    0x01fff500,0xbff00000,0x2aa20000,0x1760000a,0x3fe204f8,0x22006007,
    0x403ffc01,0x00006ff9,0x003ffd00,0x98800000,0x9dffb999,0x0bb88009,
    0xffd00000,0x2601f503,0xc806ffdb,0x7c40000f,0x4400d902,0x02ffe80c,
    0xfff05ff9,0x20006d80,0x17200ff8,0x00000000,0x00000000,0x2e0003b8,
    0xff883fff,0x0000d707,0x00fffb80,0x003ffea0,0x9ff30000,0x00000000,
    0x0be209f0,0x0000fff0,0x00fff000,0x0000dff3,0x007ffa00,0x2602aa20,
    0x3fea0006,0x00000004,0x5c1ffe80,0x5ff5001e,0x00017cc0,0x01f303dc,
    0x1fff3000,0xff05ff50,0x000fdc0d,0xb101ffd0,0x0000001b,0x1aa98800,
    0x00d4c000,0x20000540,0xfff06fff,0x22003d90,0xf70009a9,0x7d4001ff,
    0x2a2000ff,0xffa8009a,0x00000004,0x3e666662,0xfb99999b,0x0fff019a,
    0x04d4c400,0x9807ff80,0x00a986ff,0x3a135300,0xd73001ff,0x223dffdd,
    0x3551003f,0x00013fea,0x13530000,0x04b87ffa,0x3a04fe80,0x09d00005,
    0x260003f8,0x985ffc89,0x2ffc43ff,0x10003f88,0x5b01fffb,0xffffff90,
    0x3ffffa63,0x7ff4c4ff,0xdffc887f,0x3000dfff,0x3dffddd9,0x74000000,
    0x7ff82fff,0xfe9801e4,0x400cfffe,0x2000fffb,0xa800fffa,0x03ffffff,
    0xb0027fd4,0xf90fffff,0xff50ffff,0xffffffff,0x3fffffff,0x3000fff0,
    0x19fffdfd,0x0227ff80,0xffc9bfe6,0xd8801eff,0xfebffdef,0x0ef9801f,
    0x13b3ff66,0x3fb7ff20,0xfd84ffbd,0xffc87fff,0xfd8807ff,0xffebffde,
    0x2fb80001,0x00001f70,0x06c805f1,0x7ff7ecc0,0xff82fffd,0xe817fcc4,
    0xfff50005,0x00ffffff,0x2a0dfff3,0x7ec05fff,0x20dfe884,0x5c00effa,
    0x3ffa20df,0x90000003,0xfff09fff,0x713ee000,0x7dc01fff,0x3ea000ff,
    0x67ec00ff,0x01dffb30,0x20013fea,0x3f207ffc,0x9999887f,0x999999fd,
    0xff0199ee,0x44fb800f,0x3e00fffb,0xf303f37f,0x3ffff6df,0x3e602fff,
    0x3fff621e,0x837c401f,0xd806ffe8,0x7fffd43f,0x81fff204,0x7cc07ffc,
    0x3fff621e,0xee80001f,0x0003f980,0x1f300f70,0x9837ee00,0xf986fffe,
    0xfb82fe46,0xf5530000,0x005557ff,0xfd81bfee,0xc836c04f,0x4ffc81ff,
    0x6c03bee0,0x000004ff,0xf85fffb8,0x4fc8007f,0x5c0bffd0,0x2a000fff,
    0x3f200fff,0x04ffe881,0x30009ff5,0x7fcc0fff,0x7c0bd007,0x007ff804,
    0x7ff413f2,0x3efffe05,0xdbdff303,0xffffb537,0x201ff501,0x2201fffd,
    0x3fe603fe,0x413fa01f,0x2604fffa,0x3fe607ff,0x403fea07,0x1001fffd,
    0x1db537dd,0x80001ba0,0x007f004e,0x3fe20df7,0x8cfb81ff,0x3f980efc,
    0x1fff0000,0x03ffe000,0x3e037fcc,0x501ffd03,0x3fe60bff,0x87ffe602,
    0xccccccc8,0xcccccccc,0xffdccccc,0x007ff86f,0xfb807fcc,0x3ffee07f,
    0x3ffea000,0x540df300,0xffa81fff,0x7ff88004,0xf803ffc0,0xf005f103,
    0x4c2ec8ff,0xfff700ff,0x00ffffc0,0x2e09fff3,0x4fe84fff,0x807ffe60,
    0x3f600ffc,0x1ff706ff,0x1027ff40,0x7ff80fff,0xf9813fa0,0x36e001ff,
    0x3ee03def,0x4403c801,0x80d9001f,0x3e602ff8,0xbb7304ff,0x2a02f407,
    0x01fff001,0x80fff200,0x1f501ffe,0x7cc1bf60,0x01ffb06f,0x3e25ffe8,
    0xeeeeefff,0xeeeeeeee,0x6fffeeee,0x74007ff8,0x17fa204f,0x000fffb8,
    0x7403ffea,0x3ffe602f,0x004ffa83,0x7c07ff88,0x02f9807f,0xfff003f5,
    0xfd07ffdc,0x02ff4409,0xf9803fff,0x7ffec06f,0xf003fee0,0x3ff403ff,
    0x3fff7d90,0x6404ff88,0x3fe204ff,0xb83ffc07,0x7ffc00ff,0xf1000001,
    0x80bf9007,0x07e6007b,0xfe807fc8,0x7e40007f,0x7fddf900,0x000fff80,
    0x740dff30,0x409b04ff,0xdff301b8,0x2a01ffe0,0x3ffe1fff,0x7d40000f,
    0x07ff85ff,0x200ffe60,0x07ffdc00,0x01fff500,0x99999ff1,0x09fff999,
    0x10009ff5,0x7ff80fff,0xf900fa80,0xfa9ffe00,0x07ff30ff,0x3ffcc010,
    0x2037fcc0,0xff11fff9,0x03ffd00f,0x7dc1bfe2,0x642fff98,0x7fd402ff,
    0x01ffe204,0xfff10fff,0x003ffd00,0x201b6000,0x27405ffb,0x7c40fe00,
    0xfffb806f,0x05f30001,0x03fc93f2,0x80003ffe,0xff981ffe,0x00fc40ff,
    0x37ffed40,0x44037fc4,0x3ffa2fff,0x7dc0001f,0x07ff84ff,0x000bfea0,
    0x003ffee0,0x980fffa8,0xaaaaabff,0xa81aaaaa,0xf88004ff,0x03ffc07f,
    0x00bb03e4,0x45d91ffe,0x20002ffa,0x9807fffa,0xffe806ff,0xd00dff33,
    0x3fea03ff,0x3fe1fa86,0x00fff44f,0xf8813fea,0x43ffc07f,0xfe806ff9,
    0xa800001f,0x7e7cc01f,0x0007e205,0x17fea0d9,0x00bffe60,0xffa82f40,
    0x7c07fe20,0x2e0000ff,0xfccd84ff,0x10035c3f,0xdff35df7,0x200bff50,
    0x3ff63fff,0x7e40002f,0x07ff82ff,0x000bfee0,0x003ffee0,0xa80fffa8,
    0x540000ff,0xf88004ff,0x43ffc07f,0xaaeeaaa8,0xaadfaaaa,0x07ff80aa,
    0x0002ffb8,0x00fff5f7,0xfb00dff3,0x017fee9f,0x7e407ffa,0x3a17cc7f,
    0x07ffc4ff,0x8813fea0,0x3ffc07ff,0x7402ffdc,0x400001ff,0x57c404f8,
    0x01ee05fa,0x3ee07e60,0xfff8805f,0x00fc8003,0x0bfd0bfb,0x80003ffe,
    0x47cc7ff8,0x01f46ff9,0x3e62efb8,0x06ffc86f,0x7dc9fff0,0x740003ff,
    0x7ff81fff,0x00fff200,0x03ffee00,0x80fffa80,0x40001ffb,0x88004ffa,
    0x3ffc07ff,0x7fffffd4,0xffffffff,0x7ff81fff,0x003ffc80,0x0fff1ea8,
    0x900dff30,0x17ff27ff,0x5c07ffa0,0x07f30fff,0x7fc45ffb,0x27fd400f,
    0xf80fff10,0x05ffc87f,0x0001ffe8,0xa74036c0,0x013a05fa,0x7fe41fc0,
    0x07fff006,0x3e02f980,0xf06fd85f,0xd80001ff,0xfe9762ff,0x9001f31f,
    0x6ff981df,0xd007ffc8,0x7ffcc5ff,0x3fe20006,0x07ff80ff,0x0013ff20,
    0x003ffee0,0xf707ffa8,0xfa80007f,0xff88004f,0x203ffc07,0x01f502f9,
    0x3201ffe0,0x098004ff,0x3e601ffe,0x2ffc806f,0xfd00dffb,0x3ffe603f,
    0xffd03f89,0x00fffcc1,0xf8813fea,0x43ffc07f,0xfe806ffd,0x2a00001f,
    0xf52ec02f,0x0007e60b,0x3ffe4364,0x001ffe80,0xff9813a2,0xf80ffd84,
    0x540000ff,0x5c3f15ff,0xb00b94ff,0x1bfe60ff,0x2003ffee,0x7fec0ffe,
    0xff90002f,0x01ffe07f,0x1007ffa8,0x03ffee03,0x506ffa80,0x40c00dff,
    0x88004ffa,0x3ffc07ff,0x3e403ea0,0x500fff00,0x06200fff,0x7cc03ffc,
    0x0ffd806f,0xfd00fff7,0x3ffe203f,0x1ffa04eb,0xa805fff1,0x3fe204ff,
    0x5c3ffc07,0xffe807ff,0x9f100001,0x3ea0eb80,0x4000f705,0x7ffdc1f9,
    0x007fe800,0xff300764,0xf03ff909,0xd00001ff,0xf88d91ff,0x4c02f8ff,
    0xdff304ff,0x005fff30,0xfff10dff,0x3ffe000b,0x801ffe06,0xd802fff9,
    0x01fff701,0x882ffd40,0x3b802fff,0x0004ffa8,0x7ff80fff,0x0bb03e40,
    0x4c03ffc0,0x1d802fff,0xf300fff0,0x4ffd00df,0x7401fffa,0x3ff601ff,
    0x42ffc05f,0x7d405fff,0x03ffc04f,0x3fea1ffe,0x0fff401f,0x00fc8000,
    0x2e666be6,0x027409ef,0xff30fa00,0x0dff005f,0x2200fd40,0x0ffd84ff,
    0x0000fff8,0x82fcffc8,0xb807dffd,0xdff304ff,0x101bffa0,0x3fee09ff,
    0x7fe4002f,0x01ffe01f,0x00efff88,0xfffb81ea,0x9ff50100,0x0077ff40,
    0x9ff503f1,0x03ffa000,0x3a00fff8,0xf8013e05,0xfff8807f,0xf81ea00e,
    0x6ff9807f,0xf31ffc40,0xffe80bff,0x0bffe201,0xfd81ffa8,0x3fea01ff,
    0x007ff405,0xff981fff,0x0fff405f,0x017d4000,0x3ffffff6,0x07e65fff,
    0xf88d9000,0x7fc405ff,0x009f1004,0x1ffa17fe,0x00007ffc,0xa837ffc4,
    0xfb804fff,0x4dff707f,0x807ffea0,0x3fa00ffa,0xff7001ff,0x07ff809f,
    0x077ffdc0,0xff701fd4,0x41ff701f,0x3ea02ffa,0x6e982fff,0x0009ff50,
    0x36207ffa,0x0fe00fff,0xff0017c4,0x3ffee00f,0x203fa80e,0xff9807ff,
    0x642fe406,0x3fa02fff,0x7fff402f,0x2609fd00,0x3ea05fff,0x0fff405f,
    0x407ffec4,0x3a02fffc,0xe80002ff,0xaaaa9805,0x2e2aefca,0x1f980007,
    0x7017ffd4,0x1b6001df,0xff86fd80,0x445ffd05,0x7ffb0000,0x4007ffc0,
    0xb30cfff8,0x8951fffd,0xfd00effd,0x3fff9007,0x03fffb80,0x4003ffc4,
    0xcbdffffe,0x7fe406ff,0x25ffe81f,0xffd804fc,0xffecceff,0x00bff700,
    0x987bff20,0x813fffae,0x01f502f9,0x801ffe20,0xcbdffffe,0x3ffc06ff,
    0x80fffcc0,0xff880ff9,0xfffd83ff,0xff9d9014,0x027ec43d,0x5037fff2,
    0x2021ffff,0x3a61effc,0x4413fffa,0xfd83ffff,0x200014ff,0x2a0000fc,
    0x0004e85f,0xfffb09d0,0x4003fa01,0x3e2001fa,0x403fea1f,0x01b14ffd,
    0x901fea00,0x7fec00df,0xfff3feff,0x3bff20bf,0x800ff621,0x10acfffa,
    0x001dffb7,0x8001fff3,0xffffffe8,0x3fea00ef,0xfffc85ff,0x3a200dd2,
    0xffffffff,0x01bff202,0x77fffc40,0xfffff2ff,0xf700fa87,0x07ffcc00,
    0xffffe880,0x2200efff,0x6c400fff,0x3ea0bfff,0x3ffea01e,0xfecfdcef,
    0x87dc4fff,0xcfefffea,0xfffd8802,0xffceecdf,0xff881eff,0xff2ffeff,
    0xffa87fff,0xecfdceff,0x8004ffff,0x540003f9,0x000fcc5f,0xfd886c80,
    0x07f622ef,0x40027c40,0x3ffa9ef9,0x3ffffee0,0x01fc0002,0xc8800be2,
    0x3f21efff,0x3fae00df,0x001ceeff,0xffffec88,0x2003efff,0x0003fffb,
    0x19fffffb,0x3fffff20,0xfd12dfff,0x8001dfff,0x1efffffc,0x0bfffe60,
    0x7fffd400,0x40bbfe1f,0x8017606c,0x4003fffb,0x0cfffffd,0x017ffd40,
    0xfefffd98,0xffd1003f,0x3bfa5fff,0x4c0fc40b,0xf70001ba,0xf51bffff,
    0xffa8039f,0x3bfe1fff,0x3fffa202,0x17dfd2ff,0x0017a000,0x0d713a60,
    0x80fcc000,0xceeffffa,0x001b6001,0x01dfec98,0x002effc8,0x03800b80,
    0x04402600,0x00175100,0x0aca9800,0x7fff5400,0x88003eff,0x00000ab9,
    0x00037730,0x2a00ab98,0xeffffffe,0x03530003,0x203b8039,0xffea802b,
    0x2004efff,0x5c00ab98,0x3efffffe,0x03573100,0x706ea200,0x00000005,
    0x5cc15730,0x40d4c000,0x2ea2001c,0x000015c1,0x15c00000,0x00720000,
    0x00001751,0x10000000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x8003eee9,0x0005eed8,0x80015930,
    0x80155028,0x00001000,0xccc88004,0x776c0002,0xddb1000d,0x10000009,
    0xc93bae00,0x260002ee,0x9999999a,0x99999999,0x2e600009,0x040000bc,
    0xdd300080,0x017baa1b,0x00099970,0x200fbba6,0x8002eeea,0x2600000a,
    0x10009bca,0xd7000200,0x100005dd,0x03999300,0x0f775c00,0x005eed80,
    0x3033002a,0x6ffc8005,0x3ffe6000,0x3fb20000,0xda805fed,0xfffb10ff,
    0x2007405f,0xefea801d,0xf9001a81,0x20001fff,0x4002fff8,0x0000fffa,
    0x3503dfd5,0xf83ff600,0x6e54006f,0xffffffff,0xffffffff,0x44003fff,
    0x2ffeefec,0x70076000,0x8ffea007,0x26001ffc,0x8003ffff,0x32005ffc,
    0xf91005ff,0xb100001f,0x03ffffff,0x04a80590,0x2027ff40,0x1a81efea,
    0x06fffe80,0x013ffa00,0x002fff88,0x21a603f1,0x3a006ffa,0x540000ef,
    0xfb0003ff,0x406fdc19,0x98ffffea,0x1ffffefe,0x54415db0,0xfffc807c,
    0x00361dff,0x13ff7fe6,0x01ffdc00,0x002ffb80,0xdfffffc8,0x7fc00361,
    0x400bfe23,0x220bffe8,0x99bffffb,0x3ffba999,0x5177f400,0x2e0003ff,
    0x0fdcc1bf,0x7f46fc80,0x7efec004,0x7fc000ff,0x7fec000e,0x3fff6600,
    0xfe80000f,0x2fffffff,0x260dfd40,0x3e2002fb,0x7ffe405f,0x00361dff,
    0x05ffddf7,0x00bff300,0x4009ff30,0x417d43fc,0x8800fffd,0x900001ff,
    0xdfb000bf,0x22217fa0,0x0aeafffc,0x2609ffd5,0xfffeefff,0x74d74403,
    0x06ddffff,0x3fee3fb0,0x04fd8001,0x002fe400,0x3ffa6ba2,0x1006ddff,
    0x005fa8df,0x6401dff3,0x74403fff,0x07ff6003,0x440017f2,0xfffefffe,
    0xf07f6005,0xafd4001f,0x26004fe8,0xe88000ff,0x3ee6602f,0x640000ff,
    0xfffb50be,0xdfffd00b,0xa800dfff,0x2ba200ef,0xddffffe9,0xc877c406,
    0x6fb8007f,0x01bea000,0xfa8dff88,0x00dff706,0x00000bee,0x7d4001fb,
    0x05ff501f,0x4c077ffc,0x3fee07ff,0x9805ffff,0x7ffffd43,0x4c1fa801,
    0x05f8005f,0x800fb000,0x7fffd439,0x83f5001f,0xffa800fb,0x7ffcc00e,
    0x2004a803,0x0ff306ff,0x7fffcc00,0x3e000eff,0x20017c44,0x001fd84e,
    0x440003f9,0xfff8805f,0x03a60000,0x2007ffd4,0xeffffff9,0x007ec000,
    0xffff50e6,0x40ec803f,0x774003fb,0x0fe40000,0xffdff700,0x8005cc03,
    0xd000003d,0x03ff4005,0xfff81bfa,0x301ffe00,0x2005bffb,0x037b7009,
    0x17440360,0x0001d500,0x98007a20,0x0039b700,0x401ec25c,0x8802fff9,
    0x48803fff,0x20bff300,0x440006fa,0x4003efec,0x4005a868,0x4016e04b,
    0x7980002e,0x3ffe6620,0x0009999a,0x3ffe8019,0x4efec880,0x3003f000,
    0x00736e01,0x03a601b1,0x0000fc40,0x7f4003d8,0x400004ff,0x22000003,
    0x0bff5002,0xff02ffc8,0x07ff401f,0x00000000,0x00c00440,0x80000150,
    0x00000028,0x801c0540,0xf1006ffd,0x006007ff,0xfe83ffd4,0x00000004,
    0x00098198,0x4004c00c,0x02a00002,0x7fffffec,0x0003ffff,0x0007ff20,
    0x00288000,0x400c0000,0x00330018,0x4c003800,0x00000aaa,0x00000000,
    0xb807ffb0,0x1fff06ff,0x000fff40,0x00000000,0x00000000,0x00000000,
    0xf3000000,0x3e2007ff,0x400003ff,0x7c41fff9,0x0000000f,0x00000000,
    0x00000000,0xffe99880,0x0009999a,0x001ff200,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf0000000,0xff9805ff,0x401fff07,0xa9801ffe,
    0x0d4c0001,0x006a6000,0x00035300,0x00001a98,0x0d4c0000,0x02fffd80,
    0x407fff10,0x7fc40008,0x00bfe64f,0x06aa6200,0x80000000,0x40009aa8,
    0x40009aa8,0xe8009aa8,0x000000ff,0x00001ff4,0x186aa600,0x00d54c40,
    0x00d54c40,0x00d54c40,0x00d54c40,0x030d54c0,0x3ffffec0,0x43ffffe4,
    0xc87ffffd,0xf987ffff,0x7fc402ff,0x00fff80f,0x64c07ffa,0x01effeee,
    0xffddd930,0x3b26003d,0x001effee,0xdffddd93,0x3bb26003,0xfb01effe,
    0xff90ffff,0xd9300fff,0x403dffdd,0x1001ffff,0x1e407fff,0xcbfff400,
    0x266621ff,0xf9101999,0x01bfffbf,0x21fffff6,0x807ffffc,0x3ffffffa,
    0xfffffa80,0xfffa803f,0x7f403fff,0x000d440f,0x7ec27c40,0xffc87fff,
    0x3fa607ff,0x80feffed,0xfffdffc8,0x7fe4400d,0x400dfffd,0xfffdffc8,
    0x7fe4400d,0x400dfffd,0xeffedfe9,0x7fe4000f,0x81fff207,0x3f207ffc,
    0x1fffa87f,0x40fffc40,0x3fa00fff,0x20dfb81f,0x5c03ffe8,0x3ffa20df,
    0x106fdc03,0xfb807ffd,0x0fffa20d,0x7441bf70,0x3ff203ff,0x01ffee07,
    0x7f441bf7,0xffff883f,0x7fff1000,0x5c001f40,0x40cfefff,0xdffffffb,
    0x506ff440,0x7e401dff,0x1fff207f,0x36619fb0,0x9fb00eff,0x03bff661,
    0xfd9867ec,0x1ffd00ef,0x0bbfffa2,0x6405d800,0x3fee07ff,0x441bf107,
    0x7f440ffc,0x03bfea0d,0xf506ff44,0x3fa201df,0x03bfea0d,0xf506ff44,
    0x37e201df,0x003ff220,0x4c0fff30,0x3fe607ff,0x21ffe607,0x4401fffb,
    0xfff82fff,0x707ffa00,0x3ff601df,0x201df704,0xdf704ffd,0x413ff601,
    0xffb00efb,0x403bee09,0xff304ffd,0x03ffc40f,0x3f601df7,0x3fffd44f,
    0x07fff100,0x22000fee,0x2a01ffff,0x3f203fff,0x04ffc81f,0xf981ffe6,
    0x207f207f,0xfc84ffe8,0x84ffe881,0xffe881fc,0xf31ffd04,0x01ffffdf,
    0x404fe880,0x3e207ff9,0x203fb07f,0x0ffe40fc,0xfc827fe4,0x04ffc81f,
    0xff903ff9,0x207ff209,0x3fb04ffc,0x10003f20,0x7ff80fff,0xf01ffe20,
    0x1fff70ff,0xf07fff00,0x7ff401ff,0x980bfe61,0x7fcc1fff,0x07ffe602,
    0x7cc05ff3,0x17fcc1ff,0x983fff30,0x3fe602ff,0x07ff881f,0xff983ffc,
    0x87ffe602,0x2006fffb,0xeeeefff8,0x4003ffff,0x03ffffd8,0x3fa02ffc,
    0x05ffa80f,0xff01ffe2,0xa81be60f,0x1be61fff,0x261fffa8,0x3ffea06f,
    0xafbffe81,0x4013ff60,0x0effffc9,0xf80fff10,0x203ff07f,0x07ff40f8,
    0xfe82ffd4,0x05ffa80f,0xff501ffd,0x203ffa0b,0x3ff05ffa,0x10003e20,
    0x7ff80fff,0xf01ffe20,0x0fff90ff,0x3e13ffe0,0x3ffa00ff,0xd003ff61,
    0x0ffd8bff,0x362fff40,0x7ff400ff,0x2007fec5,0x7fec5ffe,0x82fff400,
    0x3ffc07ff,0x7400ffd8,0x3fff25ff,0x3ffe2005,0xffdccccd,0x2ffea003,
    0xf100ffff,0x06fd801f,0x7c40dff3,0x83ffc07f,0x3fe602fe,0x980bfa3f,
    0x0bfa3fff,0xe83fff98,0xff980eff,0xffdc8807,0xff02ffff,0x887ff80f,
    0xb03604ff,0x1bfe60df,0xff9837ec,0x260dfb06,0x0dfb06ff,0x3e21bfe6,
    0x0003604f,0xff80fff1,0x01ffe207,0xfff70fff,0x07fff100,0x7f401fff,
    0x201ffe1f,0x3fe1fffa,0x1fffa807,0x3ea01ffe,0x01ffe1ff,0xff87ffea,
    0x1fffa807,0x7fc07ff8,0x500fff07,0x3fee3fff,0x3fe2005f,0x007f103f,
    0x3f23ffb1,0x07f706ff,0x3e603710,0x1ffe206f,0xff10fff0,0x99999999,
    0x3fe29fff,0xcccccccc,0x9ff14fff,0xf9999999,0x3ffd09ff,0x0007ffc0,
    0x41bfffaa,0x3ffc07ff,0x180dffe8,0xff301b88,0x4c06e20d,0x037106ff,
    0x5c41bfe6,0x20dff301,0x8180dffe,0xfff103b8,0x2207ff80,0x3ffc07ff,
    0x2007ffd4,0x7c43fff8,0x3ffa02ff,0x100dff11,0x3fe25fff,0x2fff8806,
    0xf100dff1,0x1bfe25ff,0x44bffe20,0xff8806ff,0x407ff82f,0x6ff887ff,
    0x52fff880,0x4400dfff,0x0f203fff,0x441dfd10,0x6d83ffff,0x7fed4000,
    0x1ffe206f,0xff30fff0,0x55555557,0x3fe63555,0xaaaaaaab,0x7ff31aaa,
    0x55555555,0x1ffd0355,0x0007ffc0,0xf80fffc8,0x83ffc07f,0x00bffffb,
    0xdfffb500,0xfffda800,0x7fed4006,0x7ed4006f,0xfff706ff,0xffe8017f,
    0x03ffc40f,0xff881ffe,0x543ffc07,0x7c400fff,0x7ffdc2ff,0x547ffa04,
    0xfff005ff,0x4017fea7,0xbff53fff,0x54fffe00,0xfff005ff,0x4017fea7,
    0x7ff83fff,0x7d43ffc0,0x7fff005f,0x801fffe6,0x2a03fff8,0x407ff403,
    0x2a0ffffb,0xfb88001f,0x206ff9ae,0x7fc07ff8,0x000ffa87,0x8000ffa8,
    0x40000ffa,0x3fa00ffe,0x3fa0000f,0x407ff83f,0xffb107ff,0x22007fff,
    0x6ff9aefb,0x9aefb880,0xfb8806ff,0x806ff9ae,0xff9aefb8,0xffffb106,
    0x3ffe607f,0x03ffc44f,0xff881ffe,0x4c3ffc07,0x7cc01fff,0xfffd51ff,
    0xffd09fff,0x401bff23,0xdff94fff,0x653ffe00,0xfff006ff,0x401bff29,
    0xdff94fff,0x213ffe00,0x3ffc07ff,0xf8037fe4,0x3fffe4ff,0x7fff1000,
    0x3fee0080,0x57fffa06,0xfb8003f8,0x81bfe62e,0x7fc07ff8,0x001ffb87,
    0x8001ffb8,0x40001ffb,0x3fa00ffe,0x3ee0001f,0x407ff85f,0x7fdc07ff,
    0x2e00efff,0x1bfe62ef,0x7cc5df70,0x177dc06f,0xfb80dff3,0x01bfe62e,
    0x1dfffff7,0x88dffff0,0x3ffc07ff,0xf80fff10,0x03fff07f,0x0007ffa8,
    0xffc87ff4,0x25ffd007,0xfd007ffc,0x01fff25f,0xffc97ff4,0x25ffd007,
    0xfd007ffc,0x80fff05f,0x7ffc87ff,0x645ffd00,0xf1001fff,0x220007ff,
    0x3e603fff,0x006dafff,0x7cc0efc8,0x1ffe206f,0xff70fff0,0x7ff70007,
    0x07ff7000,0x00ffe800,0x80007ffa,0x7ff85ff9,0x4403ffc0,0x81fffffd,
    0x7fcc0efc,0x303bf206,0x77e40dff,0x9037fcc0,0x6ff981df,0xffffd880,
    0x3dcd441f,0xff01ffe2,0x03ffc40f,0x7fe41ffe,0x027fe403,0xfb9ffa00,
    0xffe800ff,0x001fff70,0x3fee1ffd,0x0ffe800f,0xd001fff7,0x3ffee1ff,
    0x80ffe800,0x7ffc07ff,0x007ffdc0,0xff307ff4,0x3fe2007f,0xfa84003f,
    0x7fe402ff,0x6c001fff,0x0dff307f,0x3e03ffc4,0x06ffa87f,0x037fd460,
    0x01bfea30,0x00ffe818,0x00007ffa,0x0fff07ff,0x3000fff8,0xfd8bfffb,
    0x20dff307,0xdff307fd,0x7cc1ff60,0x20ffb06f,0x26006ff9,0x3205fffd,
    0x7c07ff84,0x03ffc07f,0x7fcc1ffe,0x017fec05,0xf99bfa00,0x6ff802ff,
    0x200bffe6,0x3ffe66ff,0x266ff802,0xff802fff,0x00bffe66,0x3ffc1bfe,
    0xf303ffe0,0xdff005ff,0x200fffd0,0x2003fff8,0x09fff72c,0x01dfffd0,
    0x9827fcc0,0x3ffc06ff,0x3e21ffe0,0x13b802ff,0x77005fff,0x200bffe2,
    0x00ffe83b,0x00007ffa,0x0fff05ff,0x0380fff8,0x7cc3ffee,0x0dff304f,
    0x3e609ff3,0x04ff986f,0xff30dff3,0x41bfe609,0x03ffee03,0x07ff40fc,
    0x7401fff0,0x3ffe00ff,0xf80ffd00,0xfe80006f,0x2037ff44,0x7ff44ff8,
    0x227fc406,0x7c406ffe,0x037ff44f,0xffd13fe2,0x04ff880d,0x7fc01ffd,
    0x06ffe80f,0x7c427fc4,0xff8802ff,0x21f3003f,0x8807fffb,0x200effff,
    0x209ff70c,0x7f406ff9,0x03ffe00f,0x8803bffa,0x03bffa1f,0x3ffa1f88,
    0x207e200e,0x3fa00ffe,0x3e60001f,0x401ffd06,0x40780fff,0x9ff72ffe,
    0x2e1bfe60,0xdff304ff,0x2609ff70,0x4ffb86ff,0x1e0dff30,0xd705ffd0,
    0x2207ffa0,0x3a00fffd,0xffd881ff,0x05ff500f,0x0800bfee,0xffa81ff0,
    0x03fea01f,0x5403fff5,0x7ffd40ff,0x503fea01,0x7d403fff,0x0fffd40f,
    0x3601ff50,0xffd881ff,0x1fffa80f,0x5c03fea0,0x7cc01fff,0x4bd003ff,
    0x202ffff9,0xffffffd8,0x3fee7981,0x04dff707,0x6c40fff4,0xffa80fff,
    0x46e982ff,0x982ffffa,0x7fffd46e,0xfd06e982,0x0fff401f,0x203fb000,
    0xfd881ffd,0x202f80ff,0xfff70ffb,0x709bfee0,0x3fee0fff,0x83ffdc26,
    0x7dc26ffb,0x4dff707f,0xffb80be0,0x6403b620,0x2ba61eff,0xf9013fff,
    0x7d74c3df,0xdf7013ff,0x4009ff10,0x13e62efa,0xe8077fec,0x1dffb03f,
    0x7ec0ffa0,0x07fd00ef,0x7403bff6,0x1dffb03f,0xfc80ffa0,0x3efa61ef,
    0xffd813ff,0x807fd00e,0x3601effb,0x6c404fff,0x7ffff43f,0xf9affa82,
    0xdabdffff,0x33ffe23f,0x1fffdb30,0x3dff9095,0x9fffd74c,0x77fffec0,
    0xd80ffecc,0xecceffff,0xfffd80ff,0x0ffeccef,0x7401fff0,0x1f6c41ff,
    0x7e407f70,0x3efa61ef,0x07fc13ff,0x3fe26fc8,0xffdb30cf,0x3fe2951f,
    0xffdb30cf,0x3fe2951f,0xffdb30cf,0x3fe2951f,0xffdb30cf,0x07fc951f,
    0x0fa66fc8,0xfdffff10,0x3ffffe5f,0xeffff883,0xfffff2ff,0x4433f207,
    0x7e4005fd,0x405fbeff,0x3621effc,0x77fe403f,0x900ff621,0x7ec43dff,
    0x0f7fe403,0xfc807fb1,0x0ff621ef,0xfdffff10,0x3ffffe7f,0x21effc83,
    0xf3003fd8,0x931139ff,0x559fffff,0x1fff9975,0xffffff88,0x220dffdd,
    0xfffffffe,0xeffffd86,0x0bffff3f,0x3fbfffe2,0x7fffff2f,0xfffffe88,
    0xfd102fff,0x5fffffff,0x3ffffa20,0xf102ffff,0x7ffc03ff,0x67fffd41,
    0x401eda99,0xffeffff8,0x47fffff3,0x3e20beff,0x7fffec1f,0xbffff3fe,
    0xfeffffd8,0xd8bffff3,0xf3feffff,0xffd8bfff,0xfff3feff,0x0beff8bf,
    0x00087fe2,0x87ffffea,0x7d402eff,0x3fe1ffff,0xefeb802e,0xd88001df,
    0x7003efff,0x39ddfffd,0x3fffae00,0xd7001cee,0x039ddfff,0x3bfffae0,
    0xfd7001ce,0x0039ddff,0x87ffffea,0x75c02eff,0x01ceefff,0xffffea80,
    0xffffffff,0xffffffff,0xffffb106,0x36207dff,0x80ceffff,0x21efffc8,
    0x2a00dffc,0x3e1fffff,0x7fe402ef,0xc801efff,0x01efffff,0xefffffc8,
    0x0fffee01,0x6c27ffcc,0x4effffff,0x3fffea00,0x20bbfe1f,0xfedfffef,
    0xfffc881d,0x037ff21e,0x43dfff91,0x6440dffc,0x3f21efff,0x7fe440df,
    0x37ff21ef,0x6ffff7c0,0x80001dfe,0x001c81a9,0x00e40d4c,0x00005440,
    0x2a200008,0x2a20000b,0x2a20000b,0x2a20000b,0x2a20000b,0x2a60000b,
    0x44001c81,0x200000ba,0x00099998,0x37751000,0x00dcc001,0x00220130,
    0x01c81a98,0x00055cc0,0x400055cc,0x3ea00ab9,0x55ffffff,0x7ffffffd,
    0x000aaa88,0x0e40d4c0,0x0d5d4410,0x01100980,0x00220130,0x40044026,
    0x82011009,0x0001aba8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x2aaaaaa8,0x01579750,0x0e664c00,0x3baa0000,0x9930002e,0x50070019,
    0x332e6000,0x1c07201a,0x22000540,0x82bcccaa,0x2aa00009,0x0001accc,
    0x200000a8,0x75100028,0x00e01599,0x00353051,0x1506aa20,0x99999988,
    0x4c401999,0x01999999,0x01579953,0x665cc400,0xb980000a,0x4cc000ac,
    0x99999999,0x26620300,0x20999999,0x99999998,0x26666019,0x44000999,
    0x33333100,0x10013333,0x03333333,0x99999988,0x930a2099,0xea8dffff,
    0x0effffff,0x6fffe800,0x7fec0000,0x3ffa0005,0x00db805f,0x7f540099,
    0x3fffecef,0x0eb80fdc,0x64c00b70,0xfeddffff,0x002d9bdf,0x5e6f7e4c,
    0x000bfedc,0x0007ff22,0x001ff260,0xdbdfffb3,0x41ae59df,0x3faa6fd9,
    0xc8801fff,0xeaeffeff,0x7ffedc1f,0x404effff,0xdfffffdb,0x5d6fe444,
    0x54003ffe,0xffedeffe,0x7d4000cf,0x00dffede,0xffffdc88,0xfe82cfff,
    0xffffd986,0x3f6a3eff,0x0cefffff,0xbffffd90,0xffd95003,0xfffea85b,
    0x802effff,0x5ffffffb,0x7fffff40,0xdff30fff,0x54dfff10,0xfeb99cff,
    0x3ea001ff,0x0003ffef,0x8001bfe0,0x02ffeefb,0x07e41ee8,0x417fec40,
    0xf9aefea8,0x2e0ff403,0xdff9000f,0x3ffea015,0x33f2003f,0x01fecc01,
    0x07ffff66,0xfffea800,0xbffb1007,0xfffb3037,0x6fffeb8f,0xfffffff5,
    0x117f4c07,0x203ffff7,0x01efffd8,0x407ff440,0xbff906e8,0x15ffb100,
    0x003dfd30,0xdfb313ee,0x7ffcc003,0xfff300cf,0x3fffe603,0x3fffe604,
    0x0bfee006,0x7d457640,0xfff985ff,0xfc8001ff,0x7fd400ef,0x25ffffff,
    0xfe81fffc,0x6c05f36f,0xdd002fff,0x0003ff21,0x0003bea0,0x7ec477c4,
    0xb3ffa806,0xbff5007f,0x9fffb001,0x327ff300,0xffd8803f,0x7ff91005,
    0x001bd300,0x1100de88,0x0003fff7,0x03ffe4cc,0x8017ff4c,0x644c7ffa,
    0xaacf9eff,0xa80ffffd,0xfff700ef,0x27ffd403,0xb04fb800,0x17ff403f,
    0x001dff50,0xfb807ffb,0x00dff106,0x400fffd8,0x7fdc07ff,0x7ffdc02f,
    0x013e6004,0x3fea17dc,0x6fffa81f,0x03ff3000,0xffffffd0,0x3ffd43ff,
    0x1e8effd8,0x806ffe80,0x027d40eb,0x000fe400,0x3fb81b90,0x6feffe80,
    0x00fffa80,0x4013ff60,0x807feffd,0x8004ffe8,0x1fcc04fd,0x003b2000,
    0x00003fff,0xf980fff1,0x7dc001ff,0xefff980f,0x84fffc80,0x3fe202fe,
    0x3ffe601f,0x05f50003,0xffb80bfe,0x00dff305,0xf104ffd8,0x1ffdc03f,
    0x00fffb00,0x3ffe200a,0x2fffc404,0x3003f700,0x03fee0ff,0x0007fff4,
    0x7d4027d4,0x805cc001,0x002eeffd,0x4405fff3,0x003d300e,0x20002e80,
    0x003a6059,0x805ffff3,0x4003ffe8,0x8801fffd,0xc802ffff,0xd10005ff,
    0x9503e80b,0xf359ffdb,0x3ffa02e4,0xff880001,0x027ff407,0xf980fc80,
    0x3ffa00ff,0x201bf20f,0x3e201fff,0xf30002ff,0x40bff305,0xfe80fff9,
    0x7fcc003f,0x407fc81f,0x9000fff8,0x80000fff,0xfd807ffd,0x0db000ff,
    0x0981bf20,0x00fffee0,0x3a003f60,0xfd800005,0x7fc005ff,0x1002606f,
    0x01440003,0x02200600,0x200aaaa0,0x5c007ffc,0x3006ffdf,0xff500555,
    0x2dc0003f,0x5fb10b90,0x23ffe4c1,0x07ffa03e,0x1ffe2000,0x000fffc8,
    0xff103f10,0x1fffa80d,0xfd009ff1,0x7ffc403f,0x05f30002,0x7c403ffe,
    0x37fe41ff,0x86ffd800,0xffd806ff,0x0fff9004,0xfffa8000,0x17ffd401,
    0xd801fc40,0x7fc0006f,0x27c4006f,0x0000fcc0,0x007ffec0,0x007fff60,
    0x00000000,0x00000000,0x01fffcc0,0xfff35f50,0xf8800009,0x440005ff,
    0xfa81f306,0x83fe600e,0x3ffd00f9,0x1ffe0000,0x0027ffc4,0x3fe20760,
    0x33fff806,0xffd007ff,0x17ffc403,0xb02f9800,0x3ffcc0ff,0x000fffea,
    0xf327ffcc,0xdff700df,0x01fff200,0x9fff1000,0x00bfff00,0x3fe001f7,
    0x7fe40006,0x07ee001f,0x0002bf60,0x00dffb00,0x005fff50,0x55440000,
    0x006aa201,0x0061aa98,0xb004d544,0x26001fff,0x03fffe4f,0x40135310,
    0x0001fffb,0xf9899008,0x40fb800f,0x03ffd03d,0x41ffe000,0x0002fffb,
    0x37fc40cc,0xfba7ff40,0x1ffe802f,0x00bffe20,0x35017cc0,0x362ffd40,
    0x20000fff,0xff50fffe,0x0fff500d,0x001fff20,0x01fff600,0xb003fffa,
    0x1bfe200d,0x9fff1000,0x4c037400,0x00beffff,0x06ffd800,0xb3fff980,
    0xf90fffff,0xfc80ffff,0x50dffedf,0x05ffffff,0x7ff6ff4c,0x3fea00fe,
    0xff03ffff,0x17a200ff,0x2603fffb,0x0cfffefe,0x0007ffe8,0x3fa0fc00,
    0xd507a005,0x0007ffa0,0xfe83ffc0,0x2000007f,0xfd806ff8,0x007ff94f,
    0x7c403ffd,0xf30002ff,0x7fec0005,0x003fffc1,0x5c7fff60,0xff9807ff,
    0x7ffc800f,0x2a005100,0x3e602fff,0x3e202fff,0x0dff3003,0x1fffb000,
    0xb005f300,0x5fffffff,0x6ffd8000,0x4fff9800,0xf903ffe4,0x13fa20ff,
    0x19f7dff7,0x220fffaa,0x3ff220df,0x2619fb00,0x3e20effd,0x1db007ff,
    0xb83fffc8,0x07ffdc4f,0x000dfff3,0x3ee35400,0x7c02002f,0xe81ffe80,
    0x01dfffff,0xfff30fff,0x4400000d,0xffc806ff,0xd009ffb2,0x7fc403ff,
    0x5f30002f,0x13fe6000,0x000dfff1,0xf52fffd8,0xff9801ff,0x7ffc801f,
    0x003fed40,0x7dc0bfff,0x3ee05fff,0x3fffee00,0x00ffffff,0x01fffcc0,
    0x76c403ec,0xdfffffff,0xdffb0000,0xbfff1000,0x2607ff98,0x1ff907ff,
    0x105ffff0,0x1fd81fff,0x3f901f90,0x549ffd10,0xfc806fff,0x44fffb81,
    0xbffd04fc,0x002fffd4,0xfc8b7000,0x1e80001f,0xfd01ffe8,0x0fff003d,
    0x000bfff5,0x037fc400,0xffc8ffec,0x01ffe805,0x000bffe2,0xc80017cc,
    0x5fff986f,0x7ffe4000,0x807fff14,0xc801fffa,0xfff707ff,0x7fe400ff,
    0x3fef7a07,0x980dd00f,0xaaeffbaa,0xfe8000aa,0x027c407f,0x7fff5c40,
    0xffb0006f,0xfff1000d,0x407ff88d,0x0fff07ff,0xfc81bff6,0x880ffc4f,
    0x5037cc0f,0x3fee3fff,0x817d405f,0x3e66fffb,0x4fff700f,0x4004fffb,
    0xeeeeeeed,0xffe8995e,0x82d80000,0xdfa81ffe,0x70fff000,0x0000bfff,
    0x4037fc40,0xfff50ffe,0x01ffe801,0x000bffe2,0x440017cc,0xfffb81ff,
    0x7fdc0005,0x01bffe5f,0x9001fff5,0x7dc20fff,0x3fe6007f,0xf8af982f,
    0x03f883ff,0x001bfe60,0x017ffd40,0xa80003f7,0x8004fffe,0xf0006ffd,
    0x7ff88bff,0xfd83ffc0,0x40bff906,0x3fe26ffb,0x5fd03604,0xc9fffcc0,
    0x3e604fff,0x9bffea04,0x3fa204fe,0x013fff25,0x3ffff260,0xfff0f62e,
    0x20f20000,0x27d41ffe,0x321ffe00,0x00004fff,0x201ffe20,0x3ffe65ff,
    0x00fff403,0x0005fff1,0x32000be6,0x9fff902f,0xfffa8000,0x80fffea6,
    0xf9007ffc,0x7ff880ff,0x42fff400,0x0dffd0fc,0x7cc001f7,0x3e00006f,
    0x01ba06ff,0x7fff4400,0x37fec001,0x44fff800,0x7fc07ff8,0x32015107,
    0xeeeeefff,0x7f47ffee,0x7c4180df,0xcccccccf,0xff54fffc,0x017e20bf,
    0x3e6bfff5,0x7e40803f,0x3a0005ff,0x22642fff,0x80000ffe,0x21ffe82d,
    0xff8003fb,0x04fffb87,0x3fe20000,0x207fd407,0xf702fffd,0x7fc403ff,
    0x5f30002f,0x204f8800,0x0005fffb,0x362fffd4,0x3aa0bfff,0xf9006fff,
    0x7ff880ff,0x07ffe400,0x0fffb97a,0x3e6002f4,0x3200006f,0x2fa81fff,
    0x3fa20000,0xd805cc4f,0xff0006ff,0x07ff887f,0x26003ffc,0xaaadfffc,
    0x42aaaaaa,0x00bffffb,0x2aaaffe6,0x1aaaaaaa,0x3a0bfff3,0x7ffe400e,
    0x0005ff53,0x000dfff5,0x2e0fffec,0x000ffec5,0x7ff40f40,0x20007f71,
    0xfffa87ff,0x22000005,0x3fa04fff,0xcffff983,0xffecca8a,0x0bffe201,
    0x0017cc00,0xfff501ae,0xffb8000d,0xffffc83f,0x3fffaefe,0x00fff900,
    0xf9800fff,0x88be62ff,0x0fe23fff,0x00dff300,0x2fffc400,0x400003ec,
    0x3fea5ffa,0x00dffb07,0x885fff10,0x3ffc07ff,0xfdcfda80,0xfb10004f,
    0x2a07ffff,0xf88000ff,0x01fc86ff,0xf72fffd8,0xff30005f,0x7e4000ff,
    0x7dc6a87f,0x0f80003f,0x3fc9ffe8,0x21ffe000,0x0006fff9,0x3fffe200,
    0x2e04fd82,0x4fffffff,0x7c403ffd,0xf50002ff,0x401e8005,0x0007fff8,
    0x9817ffe4,0xff72cddc,0x3ff2001f,0x007ff807,0x1f25ffe8,0x0fb9bff6,
    0x037fcc00,0x3fff6000,0x00013e20,0xff93ff40,0x0dffb03f,0x83fff100,
    0x7fc07ff8,0x867f4c07,0x40004ffc,0x0efffffb,0x8000ffdc,0x17dc7ffe,
    0x90fffe80,0xf10007ff,0x20003fff,0x83f07ffc,0x022007fe,0x37ffa0d5,
    0x3e0006ff,0x7fff887f,0x3e200000,0xfddffaef,0xfffa802f,0x07ffa3ff,
    0x0007fff0,0x0d0007ea,0x001fffe0,0x003fffb0,0x400bfff0,0xff807ffc,
    0xfffb8007,0xfff509f0,0x260017a3,0x400006ff,0x3ee3fff9,0xf9000000,
    0xd83ffd4f,0xf88006ff,0x3ffc40ff,0xfd81ffe0,0x02ffdc0e,0x7ffec400,
    0x0ffee1ff,0x97ffec00,0x3fe004f9,0x013ff27f,0x027ffec0,0x907ffc80,
    0x803ff989,0xe81740d8,0x05fffaff,0x3a0fff00,0x00001fff,0x262dff10,
    0xb98001ab,0x401ffe81,0x70004fff,0x02c4003f,0x001fffd8,0x001fffa0,
    0x8007ffea,0xff806ffc,0xfff88007,0xff881fab,0x8002f9cf,0x00006ff9,
    0x17e7ffe8,0x5fa80000,0xffd8054c,0x6ff88006,0x7c07ff88,0x01dfb07f,
    0x0200dff5,0x97fff660,0x86006ffa,0x5f8cfff8,0x8fffe200,0x31007ffa,
    0x003fffcc,0xf107ffc8,0x204ffb81,0xd03cc0d9,0x7fff33ff,0x20fff000,
    0x0004fffa,0x06ff8808,0xffd00000,0x04ffe803,0x4001f900,0xfff30039,
    0x3fe20009,0xffe8002f,0x2ffe4004,0x8003ffc0,0x207ceffd,0x00fbfffd,
    0x006ff980,0xafffa800,0x000002fa,0xfb000fee,0xff5000df,0xf01ffe07,
    0x09ff10ff,0x2003ffe6,0xfff701c6,0x00bffe21,0xddff70ee,0x7fec001d,
    0x017ffcc5,0x3fff20ec,0x7ffc8003,0x3f621720,0x0decbbce,0xffd01744,
    0x007ffee3,0x7f40fff0,0x260000ff,0x006ff885,0x3ffd0000,0x007ffd80,
    0x00000dd0,0x000fffc8,0x8005ffc8,0xc8006ffa,0x7ff803ff,0xffff5000,
    0x7fffd409,0xdff30005,0x3fe00000,0x00007def,0x2e20fe40,0x20dffb01,
    0x0ffb82ec,0x7c01ffd0,0x27fd40ff,0xb809fff0,0x3ffa03c4,0x803bffa2,
    0xfffe81f8,0x3bfe6001,0x077ffc40,0xfff10f50,0xffc8001f,0xa9827407,
    0xbb00abdc,0x361ffe80,0x3e000fff,0x3ffe607f,0x01d10005,0x0000dff1,
    0x007ffa00,0x8003fff7,0x000004fa,0x0027ffc4,0x0003ffe2,0x0801ffd1,
    0xf802ffc8,0xff10007f,0xfff803ff,0xff30002f,0x3200000d,0x0004ffff,
    0x3a13e200,0x7ffd82ff,0x640fffa8,0x07ffa03f,0x703fff62,0x7ff40dff,
    0xf83f502f,0xa83fee02,0xe982ffff,0x03fff306,0xb80ffec0,0xfa80efff,
    0x1dfff303,0x03ffe400,0x880013e2,0x1ffe806d,0x801bffa2,0x7fd407ff,
    0x0f44004f,0x0006ff98,0x03ffd000,0x400bffd0,0x54000ff9,0x3fea000b,
    0x3ff6000f,0x0efe8003,0x3f237e40,0x07ff800f,0x01bff600,0x0003fff2,
    0x00037fcc,0x0ffff880,0xdb003000,0xd09fff10,0xfff30fff,0x3202fc47,
    0x2ba61eff,0x3e213fff,0x7f74c2ff,0xfdabdfff,0x900ff83f,0xffffb0df,
    0x01ffd99d,0x007fffea,0xe805ffb1,0xfcbdffff,0x7ffcc06f,0xfff9001e,
    0x001dd100,0xfd005e98,0x5fff883f,0x807ff880,0x800dfff9,0x3fe602e9,
    0xf0000007,0xff3005ff,0x5ff300bf,0x06ffb800,0x00f7fd40,0x000bff62,
    0x8801bfb1,0x0bfa3fff,0x001ffe20,0xa803ffa8,0x2a0005ff,0x000006ff,
    0x40017ff6,0x6c40aeff,0x85ffd01f,0xe83ffffa,0x06d88fff,0xfeffff88,
    0x7fffff2f,0x6e77ffec,0xfffff54f,0x3fe0bfff,0x07fe20be,0x3fffffa2,
    0x9f302fff,0x8859ff91,0x8800dfea,0xfffffffe,0xffc8800e,0xfd981bdf,
    0x3f2004ff,0x1fed402d,0x705fff00,0xf9807fff,0xfe8800ff,0xb889adff,
    0x7dc01fec,0x000001ff,0x8027ffcc,0x89befff9,0x02ffeca8,0x00fffe80,
    0x05ffec40,0x0037faa2,0x4007ff50,0x5f89fffe,0x01fff300,0x800ffc00,
    0x2e0002ff,0x000007ff,0x4000bfe6,0xdbdffffe,0x885400df,0xffffffec,
    0xfffd31df,0x7fd4007f,0x3bfe1fff,0xffffd982,0x7fff541d,0x3fbe03ff,
    0x01dfedff,0x77ffffe4,0xd98dd101,0xefffefff,0xfffd8002,0x4c000cff,
    0xedefffec,0x0002dfff,0xb99dfd71,0x40017dfd,0xff04fff9,0x7fdc09ff,
    0xfb71003f,0x7dffffff,0x3ffb2201,0x0003dfff,0x7fffed40,0xfc8804ef,
    0xffffffff,0xff70000c,0x7ed4000b,0x3efffeff,0x7ffb7300,0xfffa8001,
    0xf7000cff,0x640007ff,0x001f2006,0x03fffe88,0x01ba0000,0xfffff980,
    0x000002ce,0x00055cc0,0x01c81a98,0x4400ab88,0x10400aba,0x98003575,
    0x00c800ab,0x0006eea6,0x002ae620,0x32eaa200,0x400001aa,0x00aacba9,
    0x7ffff5c0,0x3fffa5ef,0xfd50deff,0x009dffff,0x01abca88,0x33333330,
    0x88000013,0x19999999,0x5e5d4c00,0x9800009a,0x2a200002,0xbc8001ac,
    0xb980001a,0xffd7001a,0x0007dfff,0x01cc0053,0x7fffecc0,0x0002cfff,
    0x400014c0,0x00000aa9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x56665540,0x55100001,0x5c400001,0x02a000ac,0x65d44000,0x4c41981b,
    0x00099999,0x4cccccc4,0x99999809,0x19999999,0x132a2000,0x0abcba88,
    0x26208000,0x99999999,0x99999809,0x31099999,0x33333333,0x54000003,
    0x1000801c,0x4ccccccc,0x1c981999,0x93032e00,0x04ffa805,0x50017fea,
    0x40000039,0x05eed800,0x33333300,0x33333333,0x01333333,0x33333333,
    0x31000333,0x33333333,0x33100003,0x33333333,0x032a0001,0x66f7e4c0,
    0x00bfedcb,0xfdcfea80,0x019999be,0xffb7dd70,0x07fe4403,0x7ffd4000,
    0xeabefffe,0x7fff64c2,0x7edc005f,0x543dffff,0xffffffff,0x001fffff,
    0x02f7bf66,0x7f5f7fdc,0xbff7103f,0x3b261901,0xceffffff,0x7ffee441,
    0x932cefff,0xfffffffd,0x59ddffff,0x3fe60001,0x2007400f,0xfffd912c,
    0x419dffff,0xb804fffa,0x17ffc6ff,0x5409ff50,0x3e6005ff,0x754000ff,
    0x401a81ef,0x8001fff9,0xfffffec8,0xffffffff,0x442fffff,0xffffffec,
    0x4c000cef,0xffffffec,0xceefffff,0xfec9800a,0x3cefffff,0x06ff9800,
    0x4c01cfc8,0x3f2003fd,0x3fffa60d,0x7d401fff,0x6cc37e42,0x0000ffff,
    0x730e7fec,0x5405ffff,0x8004ffff,0xfd01efe8,0xffffffff,0x2200ffff,
    0xfd802ffd,0x42fec40c,0x0cfffffe,0x7fffd41a,0xffff1002,0xffffa809,
    0xfeca9acd,0x4000dfff,0x6402fffb,0x07e4c0be,0x027fffcc,0x801ffffb,
    0xff10fffd,0x27fd409f,0x400bff50,0x2002fffb,0x1dfffffc,0x5ff90036,
    0xdff30000,0x33333fff,0x07ff7333,0x027fffcc,0xffff5000,0xfd97579b,
    0x2001bfff,0x003ffff9,0x807ffdc0,0x44000de9,0x7fd400de,0xaafff980,
    0x4c2fcc02,0x7dccc2ff,0x2e0000ff,0x3fa202ff,0x7ffcc02f,0x2fb8002f,
    0xffffff30,0x9fffffff,0x01dfd300,0x7c40ff70,0x3aa7a63f,0x05edffff,
    0xb001fffe,0xfd001fff,0xfff900df,0x7f44007f,0xffff8806,0x3604fffe,
    0x3ee00fff,0x7cc03fff,0x00ffec4f,0x7d409ff5,0x3fa2005f,0x26ba2006,
    0x6ddffffe,0x0003fe80,0xfff7df10,0xb00fa200,0x00001fff,0xc806ffe8,
    0xd003ffff,0x50000fff,0x7f301fff,0x00ec8000,0xffd81bfe,0x205ff000,
    0x3ffe03ff,0xdff10000,0x005fd100,0x003ffff9,0x7f902fa8,0x803fd003,
    0x3e005ff9,0x73ff403f,0xeffffb83,0x7ff4ccc0,0x9999999e,0xfffd9999,
    0xffd00999,0x3ffa600d,0x0004003f,0xdffffff5,0x807ffd80,0x1003f8b9,
    0x3fea0020,0x017fea04,0x87300020,0x01fffffa,0x000027cc,0x0fff73f5,
    0x3f602640,0xe800007f,0xff5006ff,0xffb009ff,0xff30000d,0x665cfa0f,
    0x02bccccc,0x2ffcc172,0x3007ff90,0x00e603ff,0x20001fff,0xf5003ffa,
    0xffff9005,0x0fd4001f,0xff1002f8,0x00ffe880,0xb805ff30,0x2e2050ff,
    0x7ffc40bd,0xffffffff,0xffffffff,0x03ffffff,0x4400dffb,0x0002fffe,
    0x3bfb6200,0x07ffc803,0x00007e20,0x813fea00,0x00005ffa,0x9b700980,
    0x000b7003,0xfff75e80,0x32024c00,0x800007ff,0x22006ffd,0x6c02ffff,
    0x880006ff,0x225c85ff,0xfda9dffc,0x707d01ef,0x7fdc0bff,0x01ffa805,
    0x003ffe00,0x8027fdc0,0xdfc802f8,0x2a006fff,0x2003a81f,0x7fec04fb,
    0x13fea001,0x0000ff90,0x3bffa666,0x99999999,0x9fffc999,0xdffb0099,
    0xffffa800,0x00000000,0x003ffe40,0x000000d7,0xfa813fea,0x0000005f,
    0x00140000,0x7dc7ea00,0x200c007f,0x00007ffc,0x4006ffd8,0x200ffffa,
    0x00005ffd,0x40f989fd,0x7fc43ff8,0x4c0f980f,0x3fea06ff,0x01ffc805,
    0x003ffa00,0x007ffdc0,0x8fc802d8,0x5004fffe,0xfd00003f,0x027fd405,
    0x803ffe20,0x800004fe,0x5c005ffd,0xffb007ff,0xfffb000d,0x13551009,
    0x7e400000,0x05d1007f,0x3ea00000,0x17fea04f,0x01353100,0x00000000,
    0x3ee5e800,0x6400007f,0x800007ff,0xd8006ffd,0x3f604fff,0xfb00005f,
    0xff884c85,0xb04ffd83,0x201fff07,0xfe803ffb,0x3fa0002f,0xff30000f,
    0x057001df,0x3ffe2f90,0x01fa803f,0x103fc400,0xd0001fff,0x3fe60dff,
    0x20028801,0x5c005ffd,0xffb007ff,0xfff3000d,0x7fffd40f,0x0a2003ff,
    0x403ffe40,0xfffb03fa,0xffff90ff,0x813fea0f,0xd3005ffa,0x019fffdf,
    0x00350288,0x54000288,0x01ffee1f,0x7fe40022,0xfd800007,0xff98006f,
    0x97ff607f,0x3f900068,0x3ff881f8,0xd505ff98,0x3607ffb0,0xffd800ff,
    0x3ffa0002,0x7c00d440,0x0002ffff,0x7ffccf90,0x00fd401f,0xe813ee00,
    0xf70005ff,0x7f441dff,0x03fed402,0x800bffb0,0xfb007ffb,0x3fa000df,
    0x0cfd82ff,0x401dffb3,0xf9007fda,0x01dc80ff,0x3207ffc8,0x9ff507ff,
    0x402ffd40,0x7ffdc4fb,0x10ffda80,0x805ffffb,0x40007fda,0x03ffdc5e,
    0xffc801d4,0xfd800007,0xffd0006f,0x57ff605f,0xf50006f9,0x7ff106a8,
    0x7c05ff50,0x542ffd80,0xffb002ff,0x7ff40007,0x5ffffd10,0x7ffffd40,
    0x3e40001d,0x803fffea,0x740001fa,0x5fff102f,0x0073772a,0xd13dfffb,
    0x7ffdc05f,0x3ff6007f,0x3ffdc005,0x006ffd80,0xc89fffb0,0x4ffe881f,
    0x07ffffb8,0x080fff90,0x81ffe600,0xff507ff9,0x02ffd40b,0x7ff413f2,
    0x3ffffaa5,0xfffefe98,0xffffb80f,0x07ee0007,0x7b00fff7,0x01fff200,
    0x1bff6000,0x27ffec00,0x5fadffd8,0xb71a6000,0x3a0ffe20,0xc80f407f,
    0x1dfebeff,0x013ff200,0xf98ffe80,0x00ffffef,0x3fffffee,0x0f90000c,
    0x540dfff9,0x3e20001f,0x2bffea07,0x4ffffefe,0x77fffec0,0xffb8400d,
    0x17ff6007,0x00fff700,0x4001bff6,0x3e65fffc,0x07ffea06,0x401ffee1,
    0x00007ffc,0xff01ffe2,0x817fea0f,0x3e605ffa,0x4fff700f,0x5d5fff70,
    0x217ffaa1,0x000fff70,0x3ffdc2fc,0x6400fee0,0x5db107ff,0x06ffd800,
    0x0bfff900,0x013ffff6,0x20990200,0xfd533ff8,0x882d801b,0x01aba9ae,
    0xffffff88,0x002fffff,0x445f7ffd,0x7d404ffe,0x03ffffff,0xffb07c80,
    0x007ea0bf,0x3204fb80,0x2e21dfff,0x7e405fff,0x22003fff,0x3f6007ff,
    0x999999ef,0xffc99999,0xfffff507,0xffffffff,0x3ffea01f,0xf980bfa6,
    0xfff103ff,0x01fff200,0x07ff8800,0xffa83ffc,0x817fea06,0x3fa204fe,
    0x01dfff05,0x7c40dff3,0x1f70007f,0xdddfff70,0x07fffddd,0x641fff20,
    0x7ec007ff,0xff70006f,0x3fff60df,0x7b000002,0x3fbbfe20,0x879001ef,
    0x220003f8,0xeffffeee,0xfd001eee,0xfff301df,0xffffb100,0x64003dff,
    0x7fffd107,0x40003f50,0x3ffa02fe,0x0bfff204,0x5fffff88,0x801ffe00,
    0xfffffffd,0xffffffff,0x555107ff,0x5555dffd,0x7fd40555,0x999ff16f,
    0xfff99999,0x803ffc09,0x00007ffc,0xff01ffe2,0x03ffea0f,0x0b9bffe6,
    0x01007ff3,0xff007ffc,0x03ffc40f,0xfb827c40,0xccccccff,0xf9003ffd,
    0x1bfee0ff,0x00dffb00,0x41bffea0,0x00005ffd,0x88264195,0x03ff93ff,
    0x05fb0b60,0x27fdc000,0x03ffd000,0xa8007ffc,0x3ffffffe,0x7c40f900,
    0x0fd42fff,0x407f8800,0x7f402fff,0xf5bd306f,0xf001dfff,0x7fec00ff,
    0x3ffdc005,0x006ffd80,0x26bfff70,0xaaaaabff,0x201aaaaa,0xff9007ff,
    0x7c40000f,0x83ffc07f,0x2e25fffa,0xa9e6ffae,0x7c0002ff,0x3ffa00ff,
    0x001ffe00,0x7fdc03f2,0x801fcc07,0xb7107ffc,0x6ffd8003,0xbfff5000,
    0x00bfff30,0x27fff700,0x47ff105b,0x1e800efe,0x3337ffe2,0x000aaabc,
    0x40009ff7,0x3fe00ffe,0x7fdc000f,0xc802ffff,0x7fffd407,0x40007ea1,
    0x3fe604fb,0x7ffdc01f,0xf9877cc0,0xff806fff,0x17ff6007,0x00fff700,
    0x4001bff6,0xff53fffc,0x3fe00001,0x0fff9007,0x3ffc4000,0x7d41ffe0,
    0x0efeffff,0x5c9bbffd,0x7c0002ff,0x3ffa00ff,0x001ffe01,0xfffffff1,
    0x900fffff,0x1fff2007,0x3ff60000,0xfff90006,0x5ffffa89,0xfffe8000,
    0x3fe20d57,0x2017fe63,0x7ffffc0f,0xdfffffff,0x01ffd401,0x401ffd00,
    0x88000ffe,0x00fffffc,0x7fdc03e4,0x003f50ef,0xf980bf60,0x7fc401ff,
    0x107fe62f,0xf809fffd,0x3ff6007f,0x3ffdc005,0x006ffd80,0x2e5fffb0,
    0xf00001ff,0x3ff200ff,0x3e200007,0x83ffc07f,0xdffffbfb,0x837ffea0,
    0x40003ffc,0x3fa00fff,0x01ffe01f,0x33333f90,0x00fff933,0x3ff20075,
    0xfd800007,0xffb0006f,0x7ee7e45f,0xfc80005f,0x103f2fff,0x2ffb87ff,
    0x3fa21aa0,0xffffffff,0x3ea01fff,0x3fa0003f,0x07ffa00f,0xffff9800,
    0xd803e403,0x03f55fff,0x880ff100,0xff801fff,0x4417f63f,0x3e00fffe,
    0x3ff6007f,0x3ffdc005,0x006ffd80,0x2e3fffd0,0xf00003ff,0x3ff200ff,
    0x3e200007,0x83ffc07f,0xa805737b,0x004ffc80,0xd007ffc0,0x3ffc03ff,
    0xb807f100,0x001007ff,0x0001fff2,0x001bff60,0xfb8ffff4,0x000bffb2,
    0x64be2aa0,0xd83ff884,0x105d00ff,0x5553311d,0x409fd995,0x20001ff9,
    0x3fa00ffe,0x5001d41f,0x7c80bfff,0x33fffa00,0xfb8001fa,0x02fff804,
    0xff12ffe8,0x1fffcc07,0x6c00fff0,0x7dc005ff,0xdffb007f,0xdfff3000,
    0x30037fd4,0xc803ffc0,0x200007ff,0x7fc07ff8,0x0001f907,0x200fff50,
    0x00fff818,0xff807ffa,0x201b6007,0x00007ffb,0x0003ffe4,0x0037fec0,
    0x3737ffcc,0x0002ffec,0x07c43e60,0x3a213fe6,0xe887986f,0x303f4002,
    0xfe8000ff,0x07ffa00f,0xffc800b5,0x1003e407,0x03fbffff,0xb005fb00,
    0xffd007ff,0x7007fee3,0x3ffc0bff,0x00bffb00,0xb007ffb8,0xfd000dff,
    0x7ffc43ff,0x3e03b802,0xfff9007f,0x3e02e000,0x83ffc07f,0x980001fe,
    0x1d802fff,0x3a00fff8,0x1ffe01ff,0x5c017cc0,0x030007ff,0x4001fff2,
    0x0dffb00b,0x05fffb00,0x8002ffec,0x25c8b904,0x41afffda,0x5d11dff9,
    0xd5000fb0,0x4802fcc0,0x7401ffd0,0x007d41ff,0xc80dff50,0x7ffcc007,
    0x7c4001ff,0x09ff9007,0x7fe4ffd0,0x027fc400,0x7ec00fff,0x7fdc005f,
    0x0dffb007,0x84fffa80,0x2200effe,0x01ffe01f,0x4003ffe4,0x01ffd068,
    0x3e207ffc,0xf880003f,0x1ea00eff,0xfd007ffc,0x03ffc03f,0xff7006d8,
    0x2059000f,0x88007ffc,0x01bff606,0x80bfff50,0x98005ffd,0x4e81f886,
    0x03555555,0x21765555,0x3d8007fb,0x027f764c,0x0ffe8354,0xf507ffa0,
    0x27fd4005,0x50003f20,0x8003ffff,0xff1004fa,0x5c7ff00d,0x3fe802ff,
    0xd801ffe0,0x7dc005ff,0xdffb007f,0x7fffc400,0x2ffffa80,0x7fc06e98,
    0x0fff9007,0x3fa09900,0xfffd881f,0x0027fcc0,0x0efffb80,0xfff03fa8,
    0x00fff401,0x5f500fff,0x01ffee00,0x3f201f30,0x04c8007f,0x8801bff6,
    0x6c00ffff,0x3d8006ff,0x4f8817dc,0x41b62000,0x32004ffd,0x7f55f4c6,
    0x2a20adff,0x01ffd03f,0x3ea0fff4,0x3ff9001f,0x8000fc80,0x4001fffc,
    0x3ea002fd,0x83fea03f,0x7cc04ff8,0x03ffe01f,0x0037ff40,0x6c01fff2,
    0xff5006ff,0x7fec03df,0xffecceff,0x007ffc00,0x2003ffec,0xdff902fa,
    0x7ffd74c3,0x017fee13,0xffffe800,0x206ffcbd,0x3fa00fff,0x0fff101f,
    0x32006f88,0x2f4007ff,0x800fffb0,0x3ff602fa,0xdfff5006,0x0dffd003,
    0x3361fa80,0x00774400,0xf9817a60,0x3099cfff,0x2c81df73,0x3fffff7a,
    0xf00fffef,0x7ff403ff,0x00fffd41,0x36013fe6,0xffb0001f,0x03fc4003,
    0xe807fec0,0x00ffc82f,0xff880ff2,0xfffd000f,0x0fffd800,0x806ffe80,
    0x8804fffc,0xfffffffe,0x7ffc402f,0x1fffe800,0x440ff900,0x2ffeffff,
    0x2a7fffff,0x200005ff,0xffffffe8,0xfff100ef,0x817ff403,0x3200fff9,
    0x3ff6004f,0x3fe9800f,0x007fffa0,0x3fa03fe4,0xfffc806f,0x3fffe003,
    0x46fd8800,0x16fe4000,0x200ff6a0,0xfffffffb,0x5b03ffff,0x3ff623aa,
    0x203fffff,0x3fa01fff,0x7fffd42f,0x3ff220ac,0x0dffa805,0x01fe8800,
    0x20013ea0,0x7ec0dfe8,0x107bf201,0xffb80bf7,0xfffb803f,0xfff3003f,
    0x7fe4409f,0xcbabceff,0x001efffe,0x77ffffe4,0x3fffb801,0x3fffee20,
    0xccccccdf,0x5405fffd,0x3e1fffff,0x0ff442ef,0x7fec0000,0x2e00cfff,
    0xff303fff,0x3ffee09f,0x01dff903,0x7bffff50,0xfb975555,0xff7101ff,
    0x9999bfff,0x0bfffb99,0x37ffff22,0xffecbabc,0x3ee001ef,0xccceffff,
    0x4fffeccc,0xfeb88000,0xbefedcce,0x7fedc000,0x200cdeff,0x7d41fdfa,
    0x2a02ffff,0xff304fff,0xda9da89f,0xefffffff,0x7fffe402,0x4c002dff,
    0x0bf6001f,0xdeffc800,0xffa801df,0x202efece,0xefffffeb,0x7fffecc3,
    0x441defff,0xffffffec,0xfffb32df,0xdfffffff,0x0003579b,0xb800ab98,
    0x3efffffe,0x3fffff22,0xffffffff,0x002fffff,0x00390353,0x4c400000,
    0x3fa600ab,0xd54effff,0x29dfffff,0xefffffeb,0xffffff53,0xfffc885d,
    0xffffffff,0x46ffffff,0xffffffc8,0xffffffff,0x6cc2ffff,0xffffffff,
    0x09acdeff,0xffffb300,0xffffffff,0x03ffffff,0xcba98000,0x200000aa,
    0x40288001,0xfd5009a9,0x2abdffff,0x3efffffe,0x57953033,0x00000003,
    0x0990004c,0x03531000,0x026a6200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c005c40,0x00164c0c,0x0007bbae,0x8809ddd1,0x99999999,
    0x4ccc4099,0x80099999,0x26054428,0x53014401,0x4ccc0c35,0x19999999,
    0xffffd800,0xffc80eff,0x333314ff,0x40000133,0x01999999,0x0055e54c,
    0x00d40a20,0x26666662,0x4c400199,0x99999999,0x99999999,0x26662099,
    0x00199999,0x4ccccc00,0x99999999,0x88199999,0x99999999,0x99999999,
    0x33200019,0x260e5c00,0x3333103c,0x01333333,0x33333333,0x200e0133,
    0x000e5402,0x4ccccc00,0x99988199,0x26666199,0x80999999,0x5c00ffc8,
    0x17ffc6ff,0x009ffd00,0x801fff50,0xfffffec9,0x7edc1cef,0x01dfffff,
    0x7e43ff66,0x40ba22ff,0xdfe980e8,0x220feffe,0xffffffec,0x98000cef,
    0x4401ffff,0x3fb661ff,0x0000ffff,0xefffffb8,0xffffd104,0xfb5007ff,
    0x3fff621f,0xffd9302f,0xffffffff,0x3ff2017b,0xffffffff,0xffffffff,
    0x3ffb266f,0xffffffff,0xc88003df,0xfffffffe,0xffffffff,0x7f64c0ff,
    0xffffffff,0x2fffffff,0x01ffb800,0xfff1bfee,0xfffd9305,0x8839dfff,
    0xffffffdc,0x01b702ce,0xfffc812e,0x7ec00004,0x40dfffff,0x25ffffd9,
    0xffffffdc,0x3ff222df,0x7fec00ff,0x09fff10f,0x0017fe60,0x2000ffec,
    0x802ffffa,0x5403fffc,0xfb8ffffe,0x27d45fff,0x37e213a2,0x403ff220,
    0x004ffff9,0x03fff500,0x3ee04f98,0x80003fff,0x201efffe,0xfffffff9,
    0xffd506ff,0xfdfd31ff,0xfa801fff,0xfdbbcfff,0xffd83fff,0xffbaabcd,
    0xfdcaaacf,0xffff507f,0xfff95559,0x3e60003d,0x99999fff,0x1ffdaa99,
    0x27bffea0,0xeca99999,0x7cc002ff,0x3ff201ff,0x09fff10f,0x02ffffa8,
    0x09ffff10,0x1f907fa0,0x07ffff40,0x3fe20000,0x7fdc00ff,0xbfffd100,
    0xffdad981,0x27fcc00f,0x5c007ff6,0x3fe0006f,0xffff0002,0x007bfa00,
    0x6d7ffdc2,0xfe83ffb8,0xd80ff98e,0x401f901f,0x0000fffd,0x700fff60,
    0x7ffc401f,0x7d40006f,0x3a203fff,0xffca9cff,0xff7084ff,0x3aa15d5f,
    0xfff805ff,0x1bfff905,0xff9817ec,0x40fd102f,0xfb105ffe,0x360009ff,
    0x3ee007ff,0x02fffc01,0x74002fc8,0x3e601fff,0x00ffe44f,0x2003fffc,
    0x5000fffd,0x00ff27ff,0x007ffff7,0x3fff5000,0x6402fc80,0x7c401fff,
    0x201000ff,0x00774000,0x0003f980,0x2e01bffa,0xff8000ef,0xf98040ef,
    0xff02ffff,0xd803e203,0x400007ff,0x2f406ff9,0x17ffffc0,0xffffd000,
    0x9817e405,0x3e01fffe,0xff980eff,0x05ffe806,0x3d97fff6,0x80bffe60,
    0x17ffa079,0x005fffd0,0x800fffb0,0x2fff401e,0x64007f00,0x0801ffef,
    0x7ff40010,0x7ffe4006,0x3bff6000,0xf533006f,0x3a000009,0x02f404ff,
    0x4007ffdc,0x00000fff,0x0007e200,0x6c0004c8,0x77d405ff,0x5fff0000,
    0x6fffd800,0x6c09ff10,0x01fff200,0x0bffa000,0x774017d4,0x30006ffe,
    0x405fffbf,0x7ffcc04e,0x803ffe03,0xffd807ff,0x3fffe205,0x7fcc01d1,
    0xd807402f,0x7fd405ff,0xffc8006f,0x20164007,0x2e005ffe,0xfb5f5003,
    0x0000003f,0x7001bff6,0xf9800fff,0x44002fff,0x5000002f,0x0fd40fff,
    0x007ffdc0,0x00007ff4,0x00033000,0xfd800038,0x03bea05f,0x00fff800,
    0x00555440,0x0301bffd,0x0007ffc8,0xb06ffa80,0x3ebba00d,0xfd8002ff,
    0xd302fff9,0x817ff600,0x3fa00fff,0x2ffec00f,0x24ffffa0,0x00bffe60,
    0x17ff6017,0x01ffff10,0x007ffc80,0x3ff60044,0x20062005,0x03ffb4f8,
    0x3f600000,0x7fdc005f,0x2aaa8007,0x000fa800,0x0bffe000,0xffb8036c,
    0x0ffe800f,0x000d4c00,0x00000000,0x2a0bffb0,0x740000ef,0x000000ff,
    0x02ffffee,0x007ffc80,0x85ffd000,0x2dd003f8,0x44005fff,0x02fff8cf,
    0x3fee0011,0x803ffe05,0x7ec01ffe,0x7ffe405f,0x5fff3005,0x2ffec000,
    0x007fffc0,0x001fff20,0x017ff600,0x6c3b6000,0xa98801ff,0xffd8001a,
    0x3ffdc005,0x26000000,0x4000002f,0x2f986ffb,0x01fff700,0x3001ffd0,
    0x3dffddd9,0x1510a200,0x01a81440,0x542ffec0,0xe80000ef,0x144000ff,
    0xffb102a2,0x32007fff,0x000007ff,0x0fb8dff5,0x3feedd00,0x23f2001f,
    0x0002fff8,0x3e03ffa8,0x3ffa00ff,0x02ffec01,0x4013ffee,0x0002fff9,
    0xf1017ff6,0xf9000fff,0x800600ff,0x04405ffd,0x7ec3f700,0x3ff2201f,
    0x000dfffd,0xb800bffb,0x051007ff,0x07ae006a,0x006a20a2,0xc83fff10,
    0x3ffee007,0x00ffe800,0xfd106fdc,0x7fecc07f,0xa85fff90,0xffb10ffd,
    0x3f6005ff,0x0077dc5f,0x00ffe800,0x321ffb30,0xffb82fff,0x6400efff,
    0x000007ff,0x05e8bffa,0x7ffc5ba0,0x22bf1005,0x80002fff,0x3fe01ffb,
    0x07ffa00f,0xc80bffb0,0xf3003fff,0x6c0005ff,0x7fd405ff,0xffc8006f,
    0x6c00b007,0x00e405ff,0x7fec3f88,0x41bfd101,0xd800effa,0x7dc005ff,
    0x7fed407f,0x5ffffb10,0x3f6a0e20,0xffffb10f,0x27fec005,0x7dc007f1,
    0xffe800ff,0x403bee00,0x7f544ffd,0xfffb8fff,0xffffd55f,0xfffdfd31,
    0xbffb001f,0x000077dc,0xa801ffd0,0xfb8ffffe,0xfb105fff,0x6403ffff,
    0x000007ff,0x0fd5bfee,0x7fe4dd00,0x11fb800f,0x00005fff,0xfff80ff9,
    0x007ffa00,0xfe80bffb,0xff3001ff,0x7ec0005f,0x3ffa205f,0xffc8001f,
    0x20078807,0x0f405ffd,0xffd86e80,0x903ff901,0xffb009ff,0x7ffb800b,
    0x1ffffd50,0xffffdfd3,0xfffd5001,0xffdff31f,0x3e6001ff,0x001f70ff,
    0x4007ffdc,0xff300ffe,0x0fffcc05,0x36bffee1,0x2e13ffb8,0x50aeafff,
    0xfb00bffd,0x003bf2bf,0x01ffd000,0xb5fff708,0x9807ff71,0x3205fffd,
    0x000007ff,0x036cfffc,0xfff89ba0,0x3e26f804,0xe80002ff,0x07ffc03f,
    0xd803ffd0,0x3fee05ff,0x3fe6004f,0x3f60002f,0xfffb105f,0x3ff20007,
    0x003ec407,0x3260bffb,0x80fb801f,0xffd01ffd,0x00bff501,0xb800bffb,
    0x3ee107ff,0xd50aeaff,0x2e100bff,0x50aeafff,0x7400bffd,0x8009d3ff,
    0xe800fffb,0x1ffb00ff,0xf05ffe80,0xf0081dff,0xff301dff,0x9bffb00d,
    0x00000bff,0x7c001ffd,0x0e040eff,0x900fffb8,0x00000fff,0x03feffb8,
    0x3ff63740,0x88bee00f,0x40002fff,0xfff806f9,0x007ffa00,0x3ee0bffb,
    0xfff906ff,0xffffffff,0xb00fffff,0x7dcc4bff,0x20001eff,0xeeeefffc,
    0x007fffee,0x3bbbfff6,0x401fffee,0x3ffb03f9,0x7cc1bf60,0xeffd806f,
    0xaaaaaaaa,0x07ffdaaa,0x980efff8,0x7fc006ff,0x6ff980ef,0x27bfea00,
    0x7fdc001f,0x0ffe800f,0xf500fff0,0x5fff03ff,0x007ffc00,0xffb00fff,
    0x00bffffd,0x00ffe800,0x200bffe0,0x817ff407,0x00007ffc,0x07fffc40,
    0xff31ba00,0x2237407f,0x40002fff,0xfff802fe,0x007ffa00,0x959bfffb,
    0x5409fffd,0xffdccccc,0x4cccccdf,0xfefffd80,0x001cffff,0xccfffc80,
    0x7fedcccc,0x33bff600,0x1ffedccc,0xffb02f40,0x4c06e203,0xffd806ff,
    0xffffffff,0x7fffffff,0x200fff80,0x7fc007ff,0x21ffe00f,0xfccccccc,
    0xccccfeff,0xfff704cc,0x01ffd001,0xf100dff1,0x1fff05ff,0x007ffc00,
    0xfd801ffd,0x5ffff9df,0x3ffe0000,0x03ffe001,0xffb80be0,0x00fff900,
    0xbff90000,0xfb0dd000,0x10fea0ff,0x40005fff,0xfff004fa,0x00fff401,
    0x32ebbff6,0x0000acdd,0x0005fff3,0x5ccf7fec,0x00004fff,0xf900fff9,
    0x02ffec00,0x07e403f5,0x8003ffb0,0x806fffda,0x5c005ffd,0xfff807ff,
    0x003ffa00,0x3e00fff8,0x7776c0ff,0xefffeeee,0x05eeeeee,0xd001fff7,
    0xbff501ff,0x20fffe00,0x3e000ffe,0x3ffa00ff,0x9affec01,0x0005ffff,
    0x4005fff0,0xff800ffe,0x640df900,0x000007ff,0x8001ff88,0x3fff986e,
    0xfff887e8,0x0dd10002,0x807ffe20,0x7ec02ffe,0x3000005f,0x40005fff,
    0x7fe45ffd,0xfc80001f,0x400f007f,0x0ec05ffd,0x7ec02fa8,0xefb8801f,
    0xd806ff9a,0x7dc005ff,0x0fff807f,0x8007ffa0,0x3fa00fff,0x3fe2000f,
    0xfff70007,0x01ffd001,0x3e00dff9,0x0ffe84ff,0x803ffe00,0x7ec01ffe,
    0x3fffe65f,0x7fd40005,0x3ffa005f,0x0beff800,0xfc807fe2,0x0000007f,
    0x1ba000db,0x3e637ff4,0x02fff883,0x2001fb00,0xf303fffb,0xffd809ff,
    0xf3000005,0x6c0005ff,0x7ff445ff,0x7e40000f,0x400b007f,0x0dc05ffd,
    0x4cccefc4,0xaffe9999,0x2efb8099,0x3601bfe6,0x7dc005ff,0x0fff807f,
    0x8007ffa0,0x3fa00fff,0x3fe2000f,0xfff70007,0x01ffd001,0x3a00fff9,
    0x0ffe82ff,0x803ffe00,0x7ec01ffe,0x7fffcc5f,0xffea8005,0xe805ffff,
    0xfef800ff,0x01dfedff,0x0003ffe4,0x001fc400,0xfff506e8,0x7c407ec5,
    0xfc8002ff,0xfffe9801,0xffd54eff,0x3609dfff,0x000005ff,0x0005fff3,
    0x7cc2ffec,0x640005ff,0x001007ff,0x0202ffec,0x7fffffd4,0xffffffff,
    0x077e44ff,0x3601bfe6,0x7dc005ff,0x0fff807f,0x8007ffa0,0x3fa00fff,
    0x3fe2000f,0xfff70007,0x01ffd001,0xd001fff7,0x1ffd01ff,0x007ffc00,
    0xfd803ffd,0xffff985f,0x80000005,0x20800ffe,0x9001afa8,0x00000fff,
    0x20001f70,0x5bffa06e,0xfff104f8,0x01fb8005,0xb0000000,0x00000bff,
    0x000bffe6,0xf705ffd8,0x640007ff,0x800007ff,0x50005ffd,0xffffffff,
    0xffffffff,0xf983fec9,0x5ffd806f,0x03ffdc00,0xfd007ffc,0x7ffc003f,
    0xb03ffa00,0xfddddddd,0xddddddff,0x3ffee0bd,0x80ffe800,0xf802fff9,
    0x01ffd06f,0xd007ffc0,0xffd803ff,0xbffff305,0x2f7a2000,0x01ffd000,
    0x4005d900,0x70007ffc,0x009f1001,0xff703740,0x2201f93f,0x26002fff,
    0xd100002f,0xfb00017b,0x200000bf,0x0002fff9,0xfd817ff6,0xf90000ff,
    0x802000ff,0x10005ffd,0x55555555,0x559ffd55,0x4c13fe63,0xffd806ff,
    0x3ffdc005,0xd007ffc0,0x7fc003ff,0x03ffa00f,0x75555555,0x55555fff,
    0x3fee0555,0x0ffe800f,0x880dffd0,0x1ffd04ff,0x007ffc00,0xfd803ffd,
    0x3ffe205f,0xff88005f,0x1ffd006f,0x3fff9800,0x00fff900,0x3f200d10,
    0x01ba0000,0x40bfdfff,0x3002fff8,0x4c00005f,0xd8005fff,0x000005ff,
    0x0005fff3,0xf102ffec,0x32000dff,0x688007ff,0x0017ff60,0x07ff6000,
    0x7cc13fee,0x5ffd806f,0x03ffdc00,0xfd007ffc,0x7ffc003f,0x003ffa00,
    0x0007ff88,0xd001fff7,0x3fea01ff,0x03fea01f,0xf0007ff4,0x7ff401ff,
    0x02ffec01,0x037fffe2,0x03ff9100,0x0001ffd0,0x3200dff3,0x4c8007ff,
    0x2fa8ddc4,0x20374000,0x201ffffb,0x9802fff8,0x0017003f,0x0007ff62,
    0x0000bffb,0x00bffe60,0x406ffd80,0x8004fffa,0xc8007ffc,0x017ffa05,
    0x3ff60000,0x707ffb81,0xfd804dff,0x7fdc006f,0x00fff807,0xf8007ffa,
    0x3ffa00ff,0x1ffe2000,0x07ffdc00,0xb007ff40,0x3fa01dff,0x007ffe03,
    0x3a00fff8,0x7ff401ff,0xffff9806,0x7fcc000e,0x01fff800,0x2009fb00,
    0x54007ffd,0x7fffe42f,0x6e80005f,0x037ffc40,0x300bffe6,0x0d91007f,
    0x000ffa80,0x00037ff4,0x02fff980,0x01bff600,0x000ffff2,0xa800fffb,
    0x1bffa02f,0x3f600000,0xcfff881f,0x1fffdb30,0x1bffa095,0x01fff900,
    0x3a00fff8,0x3fe001ff,0x07ffa00f,0x00fff880,0x00fffb80,0x6401fff8,
    0x3f621eff,0x017ffc03,0x201fff88,0x7fc02ffe,0xfff5007f,0x7ec003df,
    0x05fff004,0x001ff300,0x4007fffa,0xfffd87fc,0xf80000ff,0x02ffc807,
    0x501fffd4,0xddddddff,0x007fffdd,0xf8003fd8,0x000007ff,0x0007fff5,
    0xe803fff4,0x36002fff,0x3ea007ff,0x03fffc07,0x7fec0000,0xdffffb01,
    0x17fffe7f,0x4007ffe8,0x2201fffd,0x3fa01fff,0xfff1002f,0x017ffc03,
    0x001fff10,0x803fff90,0xb804fffa,0x1ceefffe,0x02fffd40,0x303fffb8,
    0x2e209fff,0xb803ffff,0x2cffffff,0x017df930,0x00bfff50,0x400efedc,
    0xdfffffb8,0xfdcccccc,0xefe985ff,0xfc880002,0x1be200bf,0x3dfffd30,
    0xffffff50,0xffffffff,0x7dfb3001,0x7fe44001,0x00000bff,0x03bfffa2,
    0xffff9100,0xfff98017,0x7fd402df,0xaaaaadff,0x04ffdcba,0x07ffff91,
    0xffd80000,0xdfff9101,0x406ffe43,0x03ffffb8,0x09ffff50,0x981fffdc,
    0xf7004fff,0x3fe607ff,0xff91004f,0xffa8009f,0xffdd05ff,0x803dffff,
    0xea800ba8,0x05ffffff,0xdfffffd3,0x3ffffaa9,0xfffb34ef,0x83bfffff,
    0xffffffe8,0x0983ffff,0xffffd500,0x13100bff,0xffff9100,0xffffffff,
    0x05ffffff,0x6cc00004,0x1dffffff,0x3fae07b0,0x4effffff,0xfffffff1,
    0xdfffffff,0x20004c00,0xffffffd9,0x20001dff,0xffffffeb,0x7ecc03ef,
    0xdfffffff,0x3fffee01,0x3fb223ff,0xffffffff,0xffffffff,0x7fffecc2,
    0x001dffff,0x01ffd800,0x30110098,0xfffffffb,0xffc883bf,0x2dffffff,
    0xdfffffd3,0x3ffffaa9,0xffd504ef,0x3aa9dfff,0x04efffff,0xffffffd3,
    0x7fe401df,0x2dffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20733260,0x99999998,
    0x00000199,0x44000700,0x99999999,0x99999999,0x98801999,0xddd3009a,
    0x81791007,0x4ccc41ca,0x09999999,0x33331000,0x01333333,0x4cccccc0,
    0x88099999,0x99999999,0x3ddd9000,0x033002a0,0x33333331,0x33333333,
    0x4ccc4133,0x01999999,0x4ccccccc,0x28028809,0x22000000,0x200009aa,
    0x00000cc8,0x1aa98800,0x00000000,0x17710000,0x33322c98,0xcccccccc,
    0xdccccccc,0x0fffffb0,0x00fffff9,0x20498000,0xc985fffe,0xfffffffe,
    0xaceeffff,0xf9800000,0xfff90002,0xffffffff,0xffffffff,0x7f7f4c0f,
    0xffb80cff,0x24ffd807,0x3260fff9,0xfffffffe,0x1ceeffff,0x7fff64c0,
    0x001cefff,0xffffffb1,0x9503bfff,0x3bffffff,0x80fffe00,0x20d301e9,
    0xfffffffe,0xffffffff,0x3ffaa2ff,0x04efffff,0x7fffff64,0x2207d03e,
    0xffff701d,0x5fffffff,0x7ffffd40,0xffb0003f,0xffff700b,0x5fffffff,
    0x3f7ff220,0x2a000dff,0xffffffff,0x3ee02fff,0xffffffff,0x5ffc82ff,
    0x0247ffe2,0x7e41a800,0x1fff207f,0xffffffd8,0x75c7ffff,0xfddf707f,
    0x7ffd405f,0xeca9acdf,0x000dffff,0x001bf200,0x55e6ffe4,0xaacfffba,
    0x707ffdca,0x0fffb89f,0x7c01ffc8,0x3ffee5ff,0x5ffff501,0xffb53335,
    0xff5003df,0x440005ff,0x0fffffea,0x0cfff880,0x013fe600,0x05f50ff2,
    0x2ab37ffa,0xfdaaaaaa,0xfff505ff,0xfd8009ff,0x6fcc02ff,0xfb817a20,
    0xffffffff,0x19fb02ff,0x003bff66,0x700dffd0,0xffffffff,0xfd105fff,
    0x077fd41b,0xfffffa80,0x02ffffff,0x3fffffee,0xe82fffff,0x3ffea7ff,
    0x2a000093,0x303ffcc1,0x7fec0fff,0xffffffff,0x21ff2627,0x0dfb0ef8,
    0xc806ffe8,0x0003ffff,0x001fff88,0xff102fd8,0x21fa205f,0xbffd04fc,
    0xf700ff60,0x037f445f,0xd301bffa,0xfd005fff,0x220000ff,0x000ffffe,
    0xf90005ff,0x57fe200b,0x03be05fa,0x077ffcc0,0x03ffff30,0x000ffb80,
    0x1fd13dfb,0x4ccccc40,0x80999999,0xffe881fc,0x17fd4004,0x4ccccc40,
    0x80999999,0xffc81ffc,0x33331004,0x13333333,0x4ccccc40,0x80999999,
    0x77f43ffa,0x2a000090,0x203ffc41,0x266207ff,0x99999999,0xec87fa81,
    0xfd01fdc0,0x3fa600df,0x5c0003ff,0xd8004fff,0x0bffe203,0x3fe60f88,
    0x20fff700,0x008806e8,0x0dffd001,0x01fffd10,0x0006ffe8,0x0ffffe20,
    0x4000ff20,0x3ee000ee,0x3e01ffef,0x3fffa000,0x5fffc801,0x0017ec00,
    0x09fffff1,0x6f980000,0x007ffea0,0x00000110,0x5407ff40,0x000005ff,
    0x22000000,0x00048100,0x7ff88350,0x0003ffc0,0xd88ff300,0x3601d300,
    0x3a2006ff,0x20002fff,0x000ffffe,0xfff100ec,0x3fa0d805,0x817fa204,
    0x000000f8,0x98037fec,0x7ec04fff,0x4c00005f,0x2600ffff,0x1f10004f,
    0x9fffd000,0xf9002c40,0x7f4009ff,0x9f3001ff,0xffff9000,0xe8000001,
    0x3ffe602f,0x00000003,0x9837ec00,0x000006ff,0x00000000,0x2a000090,
    0x203ffc41,0x000007ff,0x10031fe6,0x01bff603,0x01ffff50,0xfff9f500,
    0x44048007,0x85c02fff,0x00803ff9,0x00000198,0xf0037fec,0xffd80dff,
    0x009aaaae,0x17ffee00,0x300037c4,0x2aa60003,0x4012600a,0x4006fff9,
    0xd006fff9,0x2aa2000d,0x5510001a,0x33fe2013,0xfccccccc,0x000004ff,
    0x00355310,0x7fcc06e2,0x06a60006,0x00000000,0x54000120,0x203ffc41,
    0x288007ff,0x0007f980,0x0037fec0,0x0027ffec,0x06ffebec,0x7ffc4000,
    0x0bfea002,0x22000000,0xfb0009aa,0x7ff400df,0x7fffec07,0x02dfffff,
    0x05fffb00,0x000001fd,0x00200000,0x007fffa2,0x00ffff20,0x000005f7,
    0x3fffea00,0xbff983ff,0xaaaaaaaa,0x000001aa,0x7feffe44,0xda8000df,
    0x4c006fff,0x1effeeec,0x0fffffb0,0x00fffff9,0x000240a2,0x3ffc41a8,
    0xa801ffe0,0x7f9807fd,0xfb002880,0xff3000df,0x3f9800ff,0x0003fff5,
    0x017ffc40,0x0005ff70,0xff500510,0xb007ffff,0x3e200dff,0x7fec05ff,
    0x3fff6a65,0x7fc4000f,0x007f20ff,0x22000000,0xff900002,0x7f40007f,
    0x0bf101ff,0x36000000,0xdffb30cf,0x0007fd41,0x7fffffc0,0xffffffff,
    0xa837fa21,0xb8800eff,0x06ff9aef,0xe8837ee0,0x3ff203ff,0x01ffee07,
    0x0120ffb5,0x3e20d400,0x03ffc07f,0x03ffffdc,0xfb503fcc,0x1bff600f,
    0x17fff400,0x7fc1f900,0x2200005f,0x32002fff,0x2a0003ff,0x67ec07fd,
    0x01dffb30,0xa8037fec,0x7ec02fff,0xdfff505f,0xfffb8001,0xf0007f75,
    0xffffffff,0x503fffff,0x50000ffb,0x8000bfff,0xfb06fff9,0x7fffc001,
    0xffffffff,0x40fe41ff,0x3ee4ffe8,0xff80001f,0xcaaaaaac,0x7fe44fff,
    0x404ffc81,0x3fe62efb,0x01df7006,0x7cc13ff6,0x1ffe207f,0x83ffffdc,
    0x83500004,0x7fc07ff8,0xfff70807,0xf70ff300,0x3600ffff,0xfb0006ff,
    0x3e2009ff,0x007ffe44,0x2fff8800,0x013ff200,0x1ffffee0,0xfe881fc8,
    0x1bff604f,0x03fffa20,0x5c0bffb0,0xd8006fff,0x005fcfff,0x55559ff0,
    0x89fff955,0x007ffffb,0x07fffc40,0x7ffe4000,0x20017d43,0xaaaaacff,
    0x4c4fffca,0x3ffea06f,0x0007ff71,0xffe803f0,0xa80ffe86,0x3bf205ff,
    0x4037fcc0,0x3e602ff9,0x7ff881ff,0x7083ffc0,0x00120fff,0x3fe20d40,
    0x003ffc07,0xf300fff1,0x1ffee10f,0x0037fec0,0x005fffc8,0xfff883f7,
    0xff100003,0x7fd4005f,0x5c231007,0x0df307ff,0xd80fffd4,0x7fcc06ff,
    0xffd801ef,0x3fffe205,0x7ffc4000,0x3f0000ef,0x086ffe80,0x8000fff7,
    0x0002fffd,0x21fffd10,0x1f8005f8,0x7437ff40,0x3ffe602f,0x400dff53,
    0xffc80f01,0x306fd80f,0x1ff60dff,0x6c037fcc,0x7ff400ff,0xf80fff05,
    0x3ffc407f,0x35000048,0xff80fff0,0x03ffc007,0xff103fd4,0x3fffea0f,
    0xffffffff,0xfff500ff,0x6c1ba00d,0x100007ff,0x4c005fff,0x1d802fff,
    0xfe83ffc4,0x0fffe602,0x666fffec,0x3fffeccc,0x017ff600,0x0005fffd,
    0x000bfff5,0x3fff203c,0x01ffe200,0x05fffb80,0x7ffd4000,0xf0001f95,
    0x40fffc80,0xcccccff8,0x14fffccc,0x77005fff,0x7fd40910,0x2037102f,
    0xff986ff9,0x00dff304,0xff500fff,0x80fff03f,0x7fc407ff,0x20000907,
    0x00ffe81a,0xf8003ffe,0x0ffa807f,0x220fff10,0xaeffeaaa,0x202aaaaa,
    0xa806fffa,0x5fff502f,0xfff10000,0x7ffc4005,0x221ea00e,0xcff887ff,
    0xfccccccc,0xfffb04ff,0xffffdddd,0x360017df,0x7fec05ff,0xffd0004f,
    0x0910005f,0x2017ffd4,0x10007ff8,0x0001ffff,0xf9fff900,0x40910007,
    0xf982fffa,0xaaaaaabf,0x3fa1aaaa,0x07e200ef,0x09fff100,0xdfffb500,
    0x2609ff70,0x7fc406ff,0x2fff8806,0x7fc07ff8,0x907ff807,0x206a0000,
    0xfd881ffe,0x3fe000ff,0x3bbba207,0x00fff04e,0x4001bff6,0xd805fffb,
    0x02fff407,0x17ffc400,0x3bffee00,0xff03fa80,0x557ff30f,0x55555555,
    0x41bff603,0xcffffba8,0x02ffec00,0x000bfffa,0x03ffffe6,0xfff88000,
    0x00fff004,0x007fffa0,0x7ffc4000,0x8800006f,0xff504fff,0x3fea0001,
    0x06e982ff,0x006ffe80,0x3e6bbee2,0x07ffb86f,0x5404dff7,0xfff005ff,
    0xf80fff07,0x07ff807f,0x06a00009,0xe987bff2,0x0013fffa,0x40000fff,
    0xffb007ff,0x3ff2000d,0x01fcc03f,0x0007ffee,0x005fff10,0x7bffffd0,
    0x7fc0dff9,0x000ffa87,0x806ffd80,0x405ffff9,0x3e205ffd,0x44001fff,
    0x05fffbdf,0x1bffa000,0x8007ff80,0x0004fffc,0x17ffd400,0x7ff40000,
    0x007fee06,0xeffffd80,0x000ffecc,0x8007ffe4,0x3fe62efb,0x0cfff886,
    0x51fffdb3,0x00dff909,0x3fe13ffe,0x403ffc07,0x000907ff,0x3fe206a0,
    0xff2ffeff,0xff007fff,0xf002200f,0x3ff600ff,0xfffb0006,0xeeefc805,
    0xffeeeeee,0x7c40004f,0xe88002ff,0xefffffff,0x2e1ffe00,0xd80001ff,
    0xff1006ff,0x7fec07ff,0x17ffee05,0x7ec3ba00,0xc80002ff,0x3e000fff,
    0x7fcc007f,0x8000006f,0x0002fff9,0x007ffe40,0x40007ff7,0xffffffe8,
    0x7d4002ff,0xdf9002ff,0xb06ff981,0x27fdffff,0xf905ffff,0x3ffa00ff,
    0x7c07ff82,0x07ff807f,0x06a00009,0x0fffffd4,0x7c005dff,0x803b007f,
    0xffb007ff,0x3ffa000d,0x33be201f,0xcccccccc,0x0000fffe,0x000bffe2,
    0xcfffffd8,0x5c3ffc00,0xd80003ff,0x3f2006ff,0x3ff606ff,0x1ffff905,
    0x221fc800,0x0000ffff,0x000bffea,0x74400fff,0x00001fff,0x02fff980,
    0x3ffea000,0x037fd402,0x3fff2030,0x44001eff,0xfb004fff,0x41bfe60f,
    0x21efffc8,0xf700dffc,0xffd001ff,0xf80fff01,0x3ffc00ff,0x35000048,
    0x2f81a980,0x807ff800,0x3ffc03fa,0x006ffd80,0x406fff98,0xff3001fb,
    0x7c40007f,0x440002ff,0xff000bf9,0x00dff50f,0x06ffd80c,0x03fffea0,
    0xa98affec,0x001efffd,0x7fdc1fdc,0xff10005f,0xfff0009f,0x1fffe400,
    0xf9800000,0x100002ff,0xf1009fff,0x077005ff,0x001fbb98,0x3006ffe8,
    0x3fe609ff,0xea809806,0x17ffcc00,0xff837fc0,0x007ffc07,0x00241ffe,
    0x70001a80,0xfff0001f,0x05fff880,0x7ec01ffe,0xffe8006f,0x0037401f,
    0x8001bffa,0x0002fff8,0x3e003fa8,0x2fff887f,0xffb03b80,0x7ffc400d,
    0xffffb00f,0x07bfffff,0x6c09f300,0xe8003fff,0xff0006ff,0x3ffea00f,
    0x00038005,0x0005fff3,0x801bffa0,0x2200effe,0x01f9001f,0x00fffc80,
    0x304ffb82,0x7c000dff,0x0dffd004,0xfd04ff88,0x07ffc01f,0x0241ffe0,
    0x0001a800,0xff0007fb,0x1ffd100f,0x6c01ffe0,0x7d4006ff,0x17d404ff,
    0x07ffea00,0x17ffc400,0x3ffe2000,0x20fff005,0x2200effe,0x0dffb01f,
    0x02fffcc0,0x5555dffb,0x37c40003,0x03fffe20,0x00fffc80,0x807ff802,
    0x000ffff8,0xff300068,0xf900005f,0x2a0401ff,0xe982ffff,0x00bf6006,
    0x402fffa8,0x5c1ffee5,0x980026ff,0xfff5007f,0x807fd403,0xfd881ffd,
    0x3ffc00ff,0x35000048,0x01bf6000,0x2003ffe0,0x1ffe06fb,0x0037fec0,
    0x801ffff1,0xfff0007e,0x3fe2000b,0xe880002f,0x7ff800ff,0x05ffff50,
    0x7fec0dd3,0x3fff2006,0x017ffa03,0x00fe8800,0x006fffb8,0x5805fff5,
    0x3601ffe0,0xa8002fff,0xfff30005,0xffa80005,0x7ec2c02f,0xfeccefff,
    0x17fa000f,0x027ffc40,0x19fff134,0x23fffb66,0x3fe6004a,0x1dffb002,
    0xfc80ffa0,0x3efa61ef,0xff1013ff,0x4000120f,0xff50001a,0x4402217d,
    0x74400fff,0x0fff102f,0x401bff60,0x401efffa,0xfb0004f9,0xf30003ff,
    0x200007ff,0xff8806fb,0x3ffff607,0x00ffecce,0x4c01bff6,0x3a00ffff,
    0x200006ff,0x3fa002fd,0x7fc404ff,0xf106804f,0xfffb80ff,0x03f88005,
    0x05fff300,0x27ffc400,0x7ff44340,0x02ffffff,0x8577fd40,0x806ffd80,
    0x7fffec6a,0xbffff3fe,0x39ffd000,0x1effc804,0xf100ff62,0x27ffdfff,
    0x983fffff,0x00480fff,0x40003500,0x1efffffd,0x207fff70,0x2602dfda,
    0xfe800fff,0xfffc806f,0x005fd004,0x01bffee0,0x00fffea0,0x00ffa200,
    0x4403ffe6,0xfffffffe,0x37ff402f,0x077ffdc0,0x001fffe0,0x001bf620,
    0x405ffff5,0x6a806ffd,0x201fff30,0x000ffff8,0x80017f44,0x0003fffa,
    0x2a01bff6,0x3ffff206,0xfd0001ef,0x643dffff,0x9999afff,0x445fca99,
    0x321efffc,0xa8000dff,0x04ffffff,0x3bbfffae,0xfff5001c,0x177fc3ff,
    0xb07fff70,0x99999999,0x99999999,0x880003b9,0xfd702ccb,0x887dffff,
    0xfffb8009,0x3fff2203,0xecbabcef,0x8801efff,0x8000dffc,0x01cffffd,
    0x3dfffd30,0x37f6a000,0x7fff7003,0xfffffc80,0x3ff2201e,0xbaabcdff,
    0x805fffec,0x003ffffb,0x03fffea0,0xfffffc80,0x57ffe41b,0xca999999,
    0x7fff705f,0x33bfffa0,0xcccccccc,0x01fffecc,0xefffe980,0xfffc8001,
    0xa999999a,0xab9805fc,0xcb880000,0x7fffc41c,0xffffffff,0x402605ff,
    0xc9800008,0x751000bc,0x0d4c0001,0xffd700e4,0x0007dfff,0x00000000,
    0xd7000000,0x47dfffff,0xffffffd9,0xbcdeffff,0xfff9001a,0xb001dfff,
    0xffffffff,0x7fff540d,0x004effff,0xeb8004c4,0x03efffff,0xb30055cc,
    0xffffffff,0x7bddffff,0x7ff6cc03,0x01dfffff,0xffffff90,0x7f6401df,
    0x6fffffff,0xfffffff1,0xbfffffff,0xfffffeb8,0x3fffee3e,0xffffffff,
    0x7fffffff,0x7fff5c00,0x003effff,0xfffffff1,0xbfffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000a0000,0x03900005,0x00000000,
    0x00000c98,0x00000000,0x04d54400,0x01aa9880,0x026a6200,0x030d54c0,
    0x4c00d4c0,0x08800002,0x00000220,0x000c5300,0x2aa20060,0x00d54400,
    0x8806aa20,0x010001aa,0x81510088,0x0a9802a8,0x7ffffe40,0xffffd31f,
    0xffe989ff,0x540a207f,0x40144001,0xfb054428,0xff90ffff,0xfff70fff,
    0xdb03dfff,0x1d007fff,0x0001e200,0x400005f1,0x06980aa8,0x00007d40,
    0x00fae000,0x3db00d4c,0x7ffffd40,0x3ff2203f,0x000dfffd,0x9fffdfd3,
    0x3b7fa601,0x2600feff,0x1effeeec,0x0017df50,0x4403aa00,0x8000001f,
    0x89f34fda,0x40acdca8,0x9df500fc,0xfe989dfd,0x6402fffe,0x0dffedff,
    0x5ffffff5,0xd103cc00,0x11ffd985,0x909ffff9,0x980bffff,0xff506fff,
    0x04fd80bf,0x3621ffb5,0x5402ffff,0x3f6607fd,0x85fff90f,0x3f207ffc,
    0xfffb107f,0x00ff8807,0xf9000fa8,0x02f88000,0x7775cc00,0x07f11eff,
    0x2000fa80,0xc87fffed,0xff8fffff,0xddf9301f,0x7fd43dff,0x2619fb07,
    0x7440effd,0x3bfea0df,0x2e27dc00,0x6fc40fff,0x403ff220,0x3fa20dfb,
    0x9ffb503f,0x0bd00001,0x000007dc,0x2177f5c4,0xfffc8cfb,0xfc8bfffe,
    0xfa85fb03,0x2219f35f,0xfe883ffe,0x7df7fdc4,0x07ffd50c,0x36c07f10,
    0x33ffffd5,0x7ffffdfd,0x3ffbbfa2,0x37fdc04f,0xd809ffb0,0xffffea86,
    0xfffefe98,0xffffb80f,0xffffea87,0x45ffffb8,0x3e607ff9,0x3ffe207f,
    0x4017cc02,0xf8800fe8,0x17c40007,0x41df3000,0x04ecffd9,0x8000fa80,
    0x3f207ffc,0x303ffb7f,0x7ff441bf,0xf90ffd13,0x89ffd103,0xffc81ffc,
    0x7413f204,0x80fec5ff,0x0efb80fc,0x4c09ffb0,0x0001dffc,0x37c413ea,
    0xff910000,0x7ffdc03b,0x7ffe4c0b,0x2e09fb03,0xf886feff,0x07fe41ff,
    0x4417fffc,0x3a200fff,0x888bf206,0x22eafffa,0xce8fffd9,0x007ffe60,
    0x3e601fff,0x841fc06f,0x0aeafffb,0x210bffd5,0xf7087ffb,0xff71b5ff,
    0x407ff887,0x7fe407ff,0xe8035c05,0x7fd800ff,0x017c4000,0xd106f880,
    0x2a000dff,0xff98000f,0x45ffe607,0x00ef985f,0x0fea9ffb,0x7fd40df3,
    0x203ffa1f,0xff305ffa,0xf1ffee01,0x303e203f,0x7fcc05ff,0x7fdc401f,
    0x5fd0002e,0x00017ee0,0x0019ffb3,0xfa803df1,0x401ff507,0xfd03fffe,
    0xb07ff8bf,0x7fe40dff,0x5c0ff604,0x3bffe06f,0x05ffff00,0xf900fff6,
    0x0fff407f,0x7fc00fa8,0x6ff980ef,0xf01ffe20,0x88081dff,0x3ffc07ff,
    0x803ffe20,0x7fec403e,0x3ffa600f,0x17c40007,0x01ff4400,0x0003fff3,
    0xf10001f5,0xdfff80ff,0x02ff883d,0x0b7bffe6,0xff980bfa,0x4c1bf63f,
    0x09fd06ff,0xff12ff44,0x3f606c09,0x2fff400f,0x17ffd500,0x80ffd400,
    0xeb8003ff,0x7e4003ef,0xd07f5001,0xfffc80df,0xd8dff901,0x0bff906f,
    0xfc837fdc,0x405ff306,0x3fa01ffe,0x13fee03f,0x740dff30,0x009b04ff,
    0x7fc01fff,0x01ffe207,0x22005fff,0x3ffc07ff,0xa81ffec0,0x3ffe600f,
    0x2a7fffff,0xffffffff,0x017c4007,0xb007fe40,0x5000dfff,0xff10001f,
    0x407ff80f,0x7f400ffc,0x99ff105f,0xff999999,0x980dc49f,0x3ff986ff,
    0xdffe8080,0x07ff8180,0x001fffa8,0x00e7fecc,0xfb80ffe8,0xffc8802f,
    0x3f88002d,0xf307e400,0xfff980df,0xfeeeeeee,0xc805447f,0xeeeeefff,
    0xfa87ffee,0x06ff882f,0xf900fff4,0x2ffd407f,0x4c0fff40,0x7c40ffff,
    0x00fff801,0xff803ffa,0x007ffc07,0x7c07ff88,0x6ffa807f,0xaa9809b0,
    0x22aabfff,0xaafffaa9,0x17c4002a,0x903ff400,0x003fff7d,0x88000fa8,
    0x3ffc07ff,0x2a01ffe0,0x7ff307ff,0x55555555,0xfb500355,0x5ff50dff,
    0x3ffee000,0x3fe200bf,0x2fff8806,0xbff91000,0x06ffa805,0x36603ffd,
    0x20001cff,0x7d4000fa,0x2017fea2,0xaaaaafff,0x3002aaaa,0x555bfff9,
    0x85555555,0xfe886ff9,0x0fff401f,0x4c07ff70,0xffb805ff,0x3ffccd84,
    0xfff8035c,0x807ffa00,0x7ff407ff,0x0fff1000,0xfd007ff8,0x001f885f,
    0x3e003ffe,0x7c40007f,0x37fc4002,0xfff98fb8,0x007d4002,0x203ffc40,
    0x3fe207ff,0x1fff8806,0x0000ffa8,0xf9aefb88,0x02ffb86f,0xffffb100,
    0x17fea07f,0x001fffc0,0x2fbfae20,0x70bffd00,0x7f541dff,0xc80000be,
    0x23f88007,0xff805ffb,0xfb500007,0x0009ffb9,0xfb05fff1,0x3ffd00bf,
    0x301ffdc0,0xff100bff,0xff98f98f,0xff801f46,0x07ffa00f,0x7f407ff8,
    0xfff1000f,0x7007ff80,0x006c8bff,0x7c007ffc,0x2aaa207f,0xcfbaaaaa,
    0xaaaaaaaa,0x2a1bfea1,0x993ffe1f,0xaaaaaaaa,0xaaaaabfc,0x7fc40aaa,
    0x503ffc07,0x3fe00bff,0x01ffb83f,0x3177dc00,0x7ff90dff,0xfffb8000,
    0x7fe40eff,0x09fff006,0x27fec000,0x442fffb8,0xdff33fff,0x36400003,
    0x3f64e800,0x0ffe806f,0x33fa6000,0x0009ff90,0xff50fff9,0x3ffd005f,
    0x301ffdc0,0x3f600bff,0xffe9762f,0x3e001f31,0x3ffa00ff,0xd01ffe01,
    0x3e2001ff,0x03ffc07f,0x3e0fff88,0x07ffc002,0xf503ffc0,0xffffffff,
    0xffffffff,0x3ffe49ff,0x9ffd0be6,0x7fffffe4,0xffffffff,0x442fffff,
    0x3ffc07ff,0x200dff90,0xffb84fff,0x3bf20003,0x6437fcc0,0x880004ff,
    0x21fffffd,0xfd007ffc,0xb880005f,0x3fa02efe,0x46ffb84f,0x002dffc8,
    0xf0007b80,0x403ffe47,0xb0002ffe,0x5ffb81df,0x3ffe8800,0xe806ffd8,
    0x3fee01ff,0x017fe603,0x1f8affd4,0x02e53fee,0x7401fff0,0x1ffe01ff,
    0x2001ffd0,0x7fc07ff8,0x53ff2007,0xfff8007a,0x207ff800,0x99999998,
    0x9999bf99,0x3ee09999,0xb07f30ff,0x4ccc45ff,0x9fb99999,0x99999999,
    0x203ffc40,0x3ff207ff,0x05ffd007,0x0c00dff5,0x3fe60ffb,0x007ffa86,
    0xffd98031,0x03ffee5f,0x0003ffa0,0x00effe44,0x7fc1bfea,0xdfd7100f,
    0x07d40007,0xfb87e600,0x7ff400ff,0x77ec2803,0x006ffa80,0xd06ff881,
    0xffe805ff,0x80ffee01,0x3a005ff9,0x7c46c8ff,0x2002f8ff,0x3fa00fff,
    0x01ffe01f,0x7c001ffd,0x03ffc07f,0x136fff30,0x403ffe00,0xeefffeec,
    0x17c4006e,0x27ffe600,0x1ffd03f8,0x000fa800,0x7c07ff88,0x3ffee07f,
    0x80ffe800,0xb802fff8,0x2609ff33,0xfff986ff,0x80e1d802,0xff30fffb,
    0x0dff005f,0x19ffb500,0x203bfa00,0xd5001ffb,0x880019ff,0x2364004f,
    0x7401fffa,0x9a200fff,0xff304ff8,0xf30d001f,0x0dfd107f,0x2e01ffe8,
    0x3fe603ff,0x33ff2005,0x7dffd82f,0x007ffc00,0x7fc03ffd,0x007ff407,
    0x7c01ffd0,0x3fa000ff,0xf8001fcf,0xfdd900ff,0x00ddddff,0x44002f88,
    0x204ebfff,0xfa8007fe,0x0fff0000,0x3e607ff8,0x6ff802ff,0x803bffa0,
    0x09ff71f8,0x3e21bfe6,0x1ea00eff,0x22ffe80f,0x7c406ffe,0x3fae004f,
    0x7fd4002e,0x003ff881,0x01dffc98,0x54007ee0,0x2fffc42f,0x817fffe0,
    0x813fea4d,0x25c04fff,0xff307fb8,0x00fff405,0x7cc07ff7,0x3fe2005f,
    0x9fff506f,0x00fff800,0xff807ffa,0x007ff407,0xb103ffd0,0x54001fff,
    0xf0005fff,0xfff001ff,0x02f88000,0x05fffd80,0x54002ffc,0xffd0000f,
    0x007ffc03,0xf880bffd,0x3ffea04f,0x2e6e982f,0xdff707ff,0x1dfff704,
    0x02f87f50,0xffa83fee,0x03fea01f,0x03bff910,0x5c0bfa00,0x6440004f,
    0xff002eff,0x707fa805,0x3e601fff,0x220bffff,0x1bfee2fb,0x502fffe8,
    0x81fe403f,0x3ffa06fa,0x80ffee01,0x6c006ff9,0x3ffe03ff,0x07ffc000,
    0x2203ffd0,0x7ffc07ff,0x3bff2001,0x3ffeba61,0x3ffe0013,0x1fff0002,
    0x000fff00,0x88002f88,0x3ea02fff,0x0fa8001f,0x07ffd000,0x401fffb1,
    0x2a01fffa,0x7fec00ff,0xffecceff,0x433ffe20,0xa8fffed9,0x6fffff44,
    0xff86ffcb,0xfb0df900,0x0ffa01df,0x00cffd98,0x440fea00,0x5400005f,
    0xfb00bffe,0x262139fd,0xfd04fefd,0x3fbf609f,0xffddffff,0x217ffc45,
    0xdffffee9,0x803ffdab,0x05f700fe,0xfc80bffe,0x1bfea04f,0xc80ff500,
    0x7fc4006f,0x0bffa01f,0xf007ffcc,0x7c4005ff,0xf2ffefff,0x2007ffff,
    0x3e0007fc,0x7ff800ff,0x017c4000,0x00fffe80,0x2a0009fd,0xff90000f,
    0x7fd74c5d,0x3ff6013f,0x007fd00e,0xffffffd1,0xfffb05ff,0x3ffe7fdf,
    0xfffe885f,0xf80effff,0x3fe20bef,0x43dff901,0xfd503fd8,0xd000017d,
    0x00076409,0xcffd9800,0x7fd4bf20,0xf72effff,0x89ffd309,0xffff35fc,
    0xfb01ffff,0x29fb9dff,0xfffffffa,0x07d1005f,0x7ffcc36c,0x1dffd104,
    0x007fff60,0x2f8807f0,0x1fffdc00,0x704fff98,0x3ea07fff,0x7d4005ff,
    0x3fe1ffff,0x27c4002e,0x01fff000,0x8000fff0,0xec8002f8,0x3621effc,
    0x3ea0004f,0xfff10000,0x3fe5ffdf,0x3f203fff,0x0ff621ef,0xfffff900,
    0x3ff2203d,0x37ff21ef,0x3ffff600,0xffdf00cf,0x803bfdbf,0xceefffeb,
    0x005bf501,0xf102dc00,0x10000003,0x20be69f9,0xfb81bca9,0xfdfff900,
    0xfffea87f,0xffb300df,0xfea83bff,0x4003ffff,0x4cba00f9,0x5efffffe,
    0xffffffd3,0x3ffff61d,0x17001eff,0x74c00700,0x54efffff,0x9dfffffd,
    0x3fffffae,0xffffd53e,0xa9800bff,0x20001c81,0x3fe0000b,0x07ff800f,
    0x0017c400,0x7ff543ee,0x2202cfef,0x99999999,0x999999fb,0xff500999,
    0x77fc3fff,0xfffd7002,0x400039dd,0x26000ab9,0x22001100,0x10400ab9,
    0x88003575,0x018800ba,0x20088000,0x00000008,0x800010c4,0x00aa9800,
    0x8800d544,0x5d4400ab,0x0110000a,0x00000044,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40c45ffd,0x00220fff,0x22002f88,0x01ba981f,
    0xffffff90,0xffffffff,0x805fffff,0x001c81b9,0x00017510,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x01b15ffd,
    0x01629ffd,0x000002a0,0xaaaa9800,0xaaaaaaaa,0x0aaaaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffee00,0xffff702f,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,
    0xeffb807d,0x7ffffd42,0x3fffa2ff,0xfffff04f,0xffffffff,0x3fffee3f,
    0xffd16eff,0x2001dfff,0x00000001,0x0000b6e0,0x750001a8,0x03751003,
    0x801bcb98,0x2a02bba8,0x300bb80b,0x26203797,0x99999999,0x99999999,
    0x55551099,0x55555555,0x35555555,0x6407776a,0xba880ddd,0x88c4000a,
    0x5164c0cb,0xffffffff,0x5555544f,0xaaaaaaaa,0x10aaaaaa,0x99999999,
    0x99999999,0x00001999,0x00000000,0x00000000,0x00000000,0x04400000,
    0xff500200,0x1bfd03ff,0x55567fc0,0x4fffcaaa,0xf05fffa8,0xfc8005ff,
    0x2002dc04,0x3fe2006b,0xdf100006,0xffffc800,0xffff902e,0x2a1f901f,
    0x39f500ef,0xff983dfb,0x2227fdc6,0x0dfffffd,0x7fffffd4,0xffffffff,
    0xf54fffff,0xffffffff,0xffffffff,0x27fec9ff,0xfa82fff8,0x002dffff,
    0x897ff259,0xfff51fff,0x4cffffff,0xffffffff,0xffffffff,0xfff31fff,
    0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf887fff5,0x7401f806,0x3ffe06ff,0x000dfa83,0x7d407fe8,
    0x009f7005,0x00004fe8,0x2a007ff9,0x87fea8ae,0x89fd30da,0x427f44f9,
    0x07fdc5f9,0x7ec1fff7,0x98eff47f,0x4ccc46fd,0x99999999,0xe9999999,
    0x33333314,0x33333333,0xe8133333,0x83ffa87f,0xfdb9adf9,0x1f100bef,
    0xff99fff6,0xddddd53f,0x9998dddd,0x99999999,0x19999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffd80000,0x2003b60f,
    0x07ffe407,0xfa83ffd0,0x1bf60004,0xf7017ea0,0x00060009,0x07e5fcc0,
    0x3fe20740,0x237dc143,0x42fec1f9,0x25ff83fe,0x7fec7ffb,0x7d40bee6,
    0x9b000003,0x22000000,0x82fe41ff,0xffd7104d,0x49d7135b,0x77ec3ffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd1000000,0x007eabff,0xfffa8122,0x70fff402,0x27f4007f,0x42fe49f7,
    0x09f705fa,0xd0000000,0x02013e2d,0x7e401fec,0x37fdc402,0x3f207fe6,
    0xc8dff50f,0xf01fa5ff,0x3600000d,0x20000004,0xf02f43f9,0xfffb5001,
    0x20101bff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x003fbfff,0x04fff880,0x7f71ffe8,0xa7ffc400,
    0x1fff92f9,0x4fb8bf50,0x80000000,0x007ee1fa,0x22007f40,0x2332203f,
    0x0ffd46fd,0xff88ffdc,0xf8a7fd45,0x0007e404,0x00026c00,0xe99aa000,
    0x51000e00,0x00000577,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fe40000,0xfd00005f,0x3ffa00df,0xb8003fc9,
    0xd9f8dfff,0x3ea04fff,0x54c09f75,0xaaaaaaaa,0xaaaaaaaa,0x0bf100aa,
    0xbf3000dd,0x06ffe4c0,0x8dfb17d4,0xffa82ffa,0xff10ffe0,0xf9013e27,
    0x9b000001,0x2aaaaaa2,0xaaaaaaaa,0x201aaaaa,0x00000262,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09ffd000,0x1fff9000,0x3f7ffa00,0x9510006f,0x15bfdfdf,0x09fdf500,
    0xffffffc8,0xffffffff,0x902fffff,0x007f301f,0x2e600ed8,0x3ea0effd,
    0x3e637ec6,0x6c7fa84f,0x3a1ff82f,0x0003fc07,0xfff54d80,0xffffffff,
    0xffffffff,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffdc000,0x3fea0002,0x3ffa002f,
    0x0005fffa,0x000f7f4c,0x4c403fe4,0x99999999,0x99999999,0x03f98099,
    0x7dc003f6,0x8bfea000,0x437ec4ff,0x43fc87fe,0x20fe80fc,0x09f502fc,
    0x44220000,0x99999999,0x99999999,0x00000999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,
    0x0001fffd,0x8009fff1,0xfff99ffe,0x7fed4003,0x02dffbeb,0x005fdfb8,
    0x6e800000,0x54027c40,0x4fd8000e,0x3b26bffa,0x3fe61aff,0x1ea1ba24,
    0x8eff4364,0x00006fd9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5ffeaf40,
    0x06ffe800,0xf71ffe80,0x3fa003ff,0xfa8f8aff,0x53ee05ff,0x000005fa,
    0x200bea00,0x03ae01fb,0xa8bee002,0xffa9dfff,0x67ff4c0d,0x2e0d304f,
    0xffffd885,0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc43b2,
    0x3fff2002,0x7ff40200,0x003fff61,0x3ea5fff3,0x701fff52,0x005fa89f,
    0x22000a20,0x417a005f,0x016ccc5c,0x02a20774,0x09a98055,0x20088040,
    0x0002bcba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e0fd400,0xfa800fff,
    0xe82c02ff,0x3ffa21ff,0x321db806,0x2e0f664f,0x00bf504f,0x90017fa0,
    0x17cc001f,0xffffffb1,0x99bee8ff,0x000001ed,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1fc40000,0x4406ffd8,0x06804fff,0xff883ffd,
    0x6fe8005f,0x5404fb80,0x7fc4005f,0x00b22006,0xeeeb8ee0,0x5c3eeeee,
    0x0003defd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x3ffe606e,0x01bff604,0x3ffe21aa,0x04fffa82,0x2e037fc0,0x0bf5004f,
    0x0001da80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x405fd800,0xfc83ffff,0x99999aff,0xfa85fca9,0xffff04ff,
    0x0fee0019,0x4a800950,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0effff98,0x7fffffd4,0xfffff12f,
    0xffffffff,0x7fff5cbf,0x3ffa5eff,0x000dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_42_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,2,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
2,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,-3,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_42_latin_ext_y[560]={ 33,7,7,7,5,7,7,7,6,6,6,10,29,23,
29,6,7,7,7,7,7,7,7,7,7,7,15,15,11,16,11,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,39,7,15,6,15,6,15,6,15,6,6,
6,6,6,15,15,15,15,15,15,15,10,16,16,16,16,16,16,6,6,6,20,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,33,14,8,7,11,7,
6,7,8,7,7,15,16,23,7,4,7,10,7,7,7,16,7,18,32,7,7,15,7,7,7,14,-1,-1,-1,1,
1,1,7,7,-1,-1,-1,1,-1,-1,-1,1,7,1,-1,-1,-1,1,1,12,7,-1,-1,-1,1,-1,7,6,7,7,
7,7,8,6,15,15,7,7,7,8,7,7,7,8,6,7,7,7,7,7,8,13,14,7,7,7,8,7,6,8,
2,9,0,7,7,15,-1,7,-1,7,1,8,-1,7,-1,6,7,6,2,9,0,7,1,8,7,15,-1,7,-1,7,
0,7,1,8,7,5,-1,-1,7,6,0,7,2,9,0,7,7,6,1,15,7,6,-1,7,7,6,16,-1,-1,7,
6,7,6,7,6,7,6,-1,7,7,15,-1,7,7,7,15,2,9,0,7,-1,7,7,15,-1,7,7,15,-1,7,
-1,7,-1,7,7,15,-1,7,7,10,-1,6,7,10,0,7,2,9,0,7,-1,6,-1,7,7,16,-1,7,-1,7,
1,-1,7,1,8,-1,7,6,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,9,9,7,9,9,9,
9,9,9,9,9,9,9,9,9,9,4,14,9,9,9,9,9,9,9,9,9,9,9,9,9,3,14,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,7,-1,7,-1,
7,-1,7,-1,4,-1,1,-1,2,-1,1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-6,-2,-2,7,-2,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_42_latin_ext_w[560]={ 0,5,11,19,16,30,28,5,11,12,15,21,6,11,
5,11,17,11,18,15,18,16,17,17,15,17,5,7,21,21,21,15,34,27,24,23,26,23,20,26,27,12,15,28,
23,33,28,25,20,25,26,18,22,27,27,36,27,27,23,9,11,9,18,21,7,16,19,15,19,15,16,18,19,9,
11,20,9,30,19,17,19,18,13,13,11,19,19,28,19,19,17,11,3,11,21,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,15,18,19,19,
3,15,11,27,12,17,21,11,27,21,13,21,11,10,7,19,19,5,7,7,12,17,26,26,28,15,27,27,27,27,
27,27,34,23,23,23,23,23,12,12,12,12,26,28,25,25,25,25,25,16,25,27,27,27,27,27,20,18,16,16,
16,16,16,16,24,15,15,15,15,15,9,9,11,11,17,19,17,17,17,17,17,21,19,19,19,19,19,19,19,19,
27,16,27,16,28,19,23,15,23,15,23,15,23,15,26,24,26,19,23,15,23,15,23,15,23,17,23,15,26,18,
26,18,26,18,26,18,27,19,27,19,13,13,13,13,12,12,13,12,12,9,27,17,15,14,28,20,20,23,9,23,
9,23,15,23,13,23,11,28,19,28,19,28,19,23,25,17,25,17,25,17,25,17,32,26,26,13,26,13,26,13,
18,13,18,13,18,13,18,13,22,11,22,16,22,11,27,19,28,19,28,19,27,19,27,19,27,21,36,28,27,19,
27,23,17,23,17,23,17,16,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,26,20,20,19,20,20,20,
20,20,20,20,20,20,20,20,20,20,26,20,20,20,20,20,20,20,20,20,20,20,20,20,20,31,21,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,27,16,12,11,25,
17,27,19,27,19,27,19,27,19,27,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,27,16,34,24,25,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_42_latin_ext_h[560]={ 0,27,12,27,31,28,27,12,36,36,17,21,11,3,
5,28,27,26,26,27,26,27,27,27,27,27,19,25,19,9,19,27,36,26,26,27,26,26,26,27,26,26,27,26,
26,26,27,27,26,34,26,27,26,27,27,27,26,26,26,34,28,34,14,3,7,19,28,19,28,19,27,27,27,27,
36,27,27,18,18,19,27,27,18,19,24,18,18,18,17,26,17,36,36,36,6,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,33,27,19,26,
36,34,5,27,12,19,9,3,27,2,12,21,14,14,7,26,35,5,9,14,12,19,28,28,28,28,34,34,34,32,
32,32,26,34,34,34,34,32,34,34,34,32,26,33,35,35,35,33,33,16,27,35,35,35,33,34,26,28,27,27,
27,27,26,28,19,26,27,27,27,26,26,26,26,25,28,26,27,27,27,27,26,15,21,27,27,27,26,35,36,34,
31,25,33,27,33,25,35,27,35,27,33,26,35,27,34,28,26,28,31,25,33,27,32,26,33,25,34,27,35,35,
34,35,33,34,34,37,34,34,26,27,33,26,31,24,33,26,33,34,32,18,27,36,35,35,34,35,17,34,34,34,
35,26,27,26,27,26,27,35,26,34,26,35,26,26,27,27,32,25,34,27,35,27,27,19,34,26,34,26,34,26,
35,27,35,27,34,26,35,27,35,32,34,28,26,24,34,27,32,25,34,27,35,28,35,27,33,24,35,27,34,35,
32,34,26,32,25,34,26,27,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,27,24,24,34,24,24,24,
24,24,24,24,24,24,24,24,24,24,30,20,24,24,24,24,24,24,24,24,24,24,24,24,24,31,20,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,34,27,34,26,35,
27,35,27,35,30,35,33,35,32,35,33,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,39,36,35,27,36,28,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__times_42_latin_ext_s[560]={ 508,501,207,449,233,197,238,505,74,204,84,
25,505,327,506,155,41,187,400,372,46,489,153,135,171,363,506,504,253,255,213,
321,107,40,133,230,454,1,25,144,82,174,381,251,322,366,106,337,439,171,483,
87,68,293,461,407,179,261,237,317,167,380,139,339,277,148,1,165,21,132,444,
29,67,397,154,199,220,365,425,195,254,274,455,181,1,469,489,396,25,346,45,
142,103,217,293,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,508,506,56,
48,275,154,229,436,315,171,181,347,233,327,1,361,219,67,158,170,285,329,413,
506,503,503,194,235,411,438,126,395,1,282,387,459,1,29,395,463,415,363,258,
150,158,145,132,200,13,72,233,57,83,101,276,100,102,309,1,387,418,104,158,
482,473,456,439,422,65,465,322,91,336,320,304,117,107,385,1,434,179,365,149,
131,113,95,199,117,47,21,1,27,309,287,184,28,320,359,248,267,199,376,307,
352,285,483,147,349,215,128,390,101,229,61,296,307,302,396,487,256,381,323,439,
86,443,470,29,489,354,417,479,29,210,238,201,352,340,187,250,489,405,272,326,
197,446,445,368,166,163,179,310,194,63,339,370,487,374,285,336,430,469,481,499,
384,231,75,419,1,110,130,1,59,174,396,171,77,30,187,205,295,48,217,1,
280,452,294,79,408,109,72,351,308,461,490,56,109,210,228,460,13,289,167,121,
414,142,388,480,81,433,284,171,467,337,245,261,265,57,98,207,85,341,327,289,
412,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,309,446,446,122,
446,446,446,446,446,446,446,446,446,446,446,446,446,348,111,446,446,446,446,446,
446,446,446,446,446,446,446,446,264,89,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,233,274,
197,225,239,291,415,429,259,375,331,228,29,213,359,127,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,1,86,128,47,48,41,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446, };
static unsigned short stb__times_42_latin_ext_t[560]={ 1,183,405,216,183,216,245,301,1,1,405,
383,314,405,106,216,245,328,328,245,329,273,301,301,301,273,273,245,383,405,383,
273,1,356,356,273,301,329,329,273,329,329,273,328,328,328,301,273,328,77,328,
301,356,273,273,273,356,356,356,77,216,77,405,405,405,383,216,383,216,383,273,
301,301,273,1,273,273,383,383,383,273,273,383,383,383,383,383,383,405,328,405,
1,1,1,405,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,1,77,148,
301,383,329,1,77,405,273,405,383,405,405,301,405,405,383,405,405,405,301,39,
293,371,356,405,383,183,183,216,183,148,113,113,148,183,183,301,113,113,113,113,
183,113,113,113,183,356,148,1,39,39,148,148,405,273,39,41,1,148,113,356,
183,245,245,245,245,329,183,383,356,245,245,245,356,356,301,356,356,216,301,245,
245,245,245,328,405,383,245,245,273,301,1,1,113,183,356,148,245,148,356,1,
216,39,216,148,301,39,273,77,216,301,216,183,356,148,216,148,301,148,356,113,
273,1,1,148,1,148,77,77,1,113,113,301,245,148,301,183,356,148,301,148,
113,148,383,216,1,39,39,113,39,405,113,77,113,39,301,216,301,216,301,216,
39,328,113,328,77,329,329,273,245,183,356,113,245,77,245,245,383,113,328,113,
328,77,328,77,245,39,273,77,328,39,245,77,183,77,216,328,383,77,245,183,
356,77,245,39,216,39,245,148,356,39,216,77,39,183,77,356,183,356,77,356,
216,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,216,356,356,77,
356,356,356,356,356,356,356,356,356,356,356,356,356,183,383,356,356,356,356,356,
356,356,356,356,356,356,356,356,183,383,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,77,216,
77,356,39,216,1,216,1,183,1,148,39,183,1,148,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,1,1,39,273,1,216,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356, };
static unsigned short stb__times_42_latin_ext_a[560]={ 152,202,248,303,303,505,472,109,
202,202,303,342,152,202,152,169,303,303,303,303,303,303,303,303,
303,303,169,169,342,342,342,269,559,438,405,405,438,371,337,438,
438,202,236,438,371,540,438,438,337,438,405,337,371,438,438,573,
438,438,371,202,169,202,285,303,202,269,303,269,303,269,202,303,
303,169,169,303,169,472,303,303,303,303,202,236,169,303,303,438,
303,303,269,291,121,291,328,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,152,202,303,303,303,303,121,303,
202,461,167,303,342,202,461,303,243,333,182,182,202,350,275,152,
202,182,188,303,455,455,455,269,438,438,438,438,438,438,540,405,
371,371,371,371,202,202,202,202,438,438,438,438,438,438,438,342,
438,438,438,438,438,438,337,303,269,269,269,269,269,269,405,269,
269,269,269,269,169,169,169,169,303,303,303,303,303,303,303,333,
303,303,303,303,303,303,303,303,438,269,438,269,438,269,405,269,
405,269,405,269,405,269,438,392,438,303,371,269,371,269,371,269,
371,269,371,269,438,303,438,303,438,303,438,303,438,303,438,303,
202,169,202,169,202,169,202,169,202,169,430,335,236,169,438,303,
303,371,169,371,169,371,247,371,209,371,169,438,303,438,303,438,
303,367,426,300,438,303,438,303,438,303,540,438,405,202,405,202,
405,202,337,236,337,236,337,236,337,236,371,169,371,259,371,169,
438,303,438,303,438,303,438,303,438,303,438,303,573,438,438,303,
438,371,269,371,269,371,269,169,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,438,472,472,303,472,472,472,472,472,
472,472,472,472,472,472,472,472,438,321,472,472,472,472,472,472,
472,472,472,472,472,472,472,471,329,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,438,269,202,169,438,303,438,303,438,303,438,
303,438,303,438,303,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,438,269,540,405,438,303,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_42_latin_ext_BITMAP_HEIGHT or STB_FONT_times_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_42_latin_ext(stb_fontchar font[STB_FONT_times_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_42_latin_ext_BITMAP_HEIGHT][STB_FONT_times_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_42_latin_ext_s[i] + stb__times_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_42_latin_ext_t[i] + stb__times_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_42_latin_ext_x[i];
            font[i].y0 = stb__times_42_latin_ext_y[i];
            font[i].x1 = stb__times_42_latin_ext_x[i] + stb__times_42_latin_ext_w[i];
            font[i].y1 = stb__times_42_latin_ext_y[i] + stb__times_42_latin_ext_h[i];
            font[i].advance_int = (stb__times_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_42_latin_ext_s[i] + stb__times_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_42_latin_ext_t[i] + stb__times_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_42_latin_ext_x[i] + stb__times_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_42_latin_ext_y[i] + stb__times_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_42_latin_ext_LINE_SPACING
#endif

