// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_46_latin_ext_BITMAP_HEIGHT        500
#define STB_FONT_times_46_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_46_latin_ext_NUM_CHARS            560

#define STB_FONT_times_46_latin_ext_LINE_SPACING          30

static unsigned int stb__times_46_latin_ext_pixels[]={
    0x77744000,0x2000000d,0x4c000000,0x00000999,0x00000000,0x80000000,
    0x00009998,0x00000000,0x00000000,0x04ccc400,0x98000000,0xbcdedcba,
    0x00000001,0x26666662,0x4c400099,0x4cc40099,0x00999999,0x00000b6a,
    0x00620030,0x2f260000,0x11000000,0x03800600,0x7ffcc000,0x0172b906,
    0x02fffa80,0x3ec98000,0x3e600000,0x00000eff,0x005ffb80,0x3ffe2000,
    0x06ffffff,0x7ffec000,0x2d980002,0x00000d98,0x00bffa20,0xd8000000,
    0x00002fff,0x37fae200,0xecaa99ac,0x700000be,0x3ee0dfff,0x3fffffff,
    0x0ffff400,0x3fffff20,0x7e442fff,0x000003ff,0x1d100754,0xfe800000,
    0x00004fed,0x16401e88,0x0001b700,0x0fffffa0,0x0003edf6,0x00007ffb,
    0x00005f30,0x01fff700,0x3f600000,0x44000004,0xffffffff,0x7c00006f,
    0x200003ff,0x1fd9aefa,0xfb000000,0x00000009,0x001fffc0,0xefc98000,
    0x0ff26002,0xffff1000,0x5555307f,0x4007ffb5,0xc802fff9,0xaaaaacff,
    0x3ffffb60,0xd8000003,0x003e881f,0x50fd4000,0x7000001f,0x001b607f,
    0x50000bea,0x81fff9ff,0x4000fb7d,0x000005ff,0x0000009d,0x00007ffa,
    0x001fc400,0xcccc8000,0x003ccccc,0x017fea00,0x3fff2000,0x0000003f,
    0x00000364,0x04ffa800,0xbf700000,0x77440003,0x7df90000,0x32001fff,
    0x3ee003ff,0x7ff9003f,0x1fffcc00,0x7c400000,0x001fa23f,0x3a136000,
    0xfd000003,0x0001fd8b,0x7c0009f5,0xd89ff31f,0x2a000fb7,0x2000006f,
    0x000019af,0x000bfe20,0x00188000,0x00000000,0x01bf2000,0x2aaa8000,
    0x50000000,0x00000000,0x000017f2,0x00027e40,0x88001f70,0x09fd30ef,
    0x800fff20,0x3f2005fe,0x7ffc003f,0x90000003,0x05ff3bff,0x09d00000,
    0x2000009d,0x5fe9effa,0x027d4000,0x3a20fdc0,0x03edf61f,0x0000ec80,
    0x0bfffe00,0x1fd40000,0x6cc00000,0x0000cb82,0x9705b300,0x77c00001,
    0x6cc00000,0x0000cb82,0x9705b300,0x00000001,0x000003be,0x0005fd10,
    0xd800b900,0x00fec40e,0x8801ffe4,0x7fe4006f,0x1fffc003,0xf8800000,
    0x0006ffff,0x4c1f5000,0x2000001f,0x00fffffd,0x003fe800,0x26c807a2,
    0x2000fb7d,0x4000000e,0x0004fffc,0x00009b00,0xa83ffa00,0x000005ff,
    0x7fd41ffd,0x1f300005,0xffd00000,0x002ffd41,0x20ffe800,0x00005ffa,
    0x000f9800,0x0ff44000,0x07d00000,0x5c803660,0x003ffc80,0xfc8001d5,
    0x7ff4003f,0x20000003,0x001ffffb,0x33fe0000,0x000005fd,0x027fffc4,
    0x01ff9800,0x23700170,0x2000fb7d,0x000001a8,0x0007ffa2,0x00002400,
    0x541ffd00,0x000005ff,0x7fd41ffd,0x03500005,0x3ffa0000,0x0017fea0,
    0x507ff400,0x00000bff,0x00003500,0x0007f900,0x800f8800,0xc8015002,
    0x017003ff,0x007ff900,0x0003ffe8,0x15554000,0x54000000,0x000002de,
    0x00155550,0x0037e400,0x1f6fb000,0x3bffee00,0x02000002,0x00000000,
    0x82c88000,0x000000bb,0x01770591,0x00000000,0x17705910,0x32200000,
    0x0000bb82,0x00000000,0x000bf500,0x000f6000,0x7ff90000,0xfc800000,
    0x7ff4003f,0x00000003,0x00000000,0x20000000,0xfa800000,0xb000002f,
    0xf3001f6f,0x000db117,0x00000000,0x00044000,0x00000000,0x20000000,
    0x00002dc9,0x00000000,0x00000000,0x80000000,0x44000ff8,0x40cc40ba,
    0x0040006a,0x000fff20,0x07ff9000,0x003ffe80,0x333332e0,0x404ccccc,
    0xccccccc8,0x999972cc,0x09999999,0xcccccc88,0x26002ccc,0xbceffecb,
    0xff880001,0xccccb806,0xb3cccccc,0xbb001f6f,0x00002f88,0x26000000,
    0xbdeffecb,0xccb8db01,0xcccccccc,0x66664404,0x972ccccc,0x99999999,
    0xccc88099,0x02cccccc,0x03ff3bee,0x99999970,0x88099999,0xcccccccc,
    0x9999972c,0x80999999,0xccccccc8,0xc88002cc,0xcccccccc,0xcccccccc,
    0x200ccccc,0x362003fd,0xffb4ebcf,0x10003e03,0xfc800bf9,0x9999973f,
    0x332a0799,0x7ff92ccc,0x23ffe800,0x00defeb8,0xfffffb51,0x7300359f,
    0x137ffffd,0x3ffff6a2,0x9801acff,0x9bffffeb,0xeffe8800,0xeffedbac,
    0x7ff40001,0x7fe54402,0xb0aeffff,0x7f001f6f,0x000009d0,0xe9800002,
    0xfdbabcff,0x07f20dff,0xfffffb51,0x7300359f,0x137ffffd,0x3ffff6a2,
    0x9801acff,0x9bffffeb,0x09d0fe00,0xffffda88,0x9801acff,0x9bffffeb,
    0xffffb510,0x300359ff,0x37ffffd7,0x3aea0001,0xffffffff,0xffffffff,
    0xff102fff,0x2077d400,0x3a07ffad,0xfffb5002,0x3ffc800b,0x7fffff93,
    0x3ffa6203,0x007ff90b,0xff53ffe8,0x805fffff,0x004ffff9,0x3007ff60,
    0x0009ffff,0x7000ffec,0x74c01bff,0x2e0003ff,0x3ea005ff,0xb7d83fff,
    0x446c800f,0xb300001f,0x005bfffd,0x006ffdc0,0x7f79ffd3,0x4ffff980,
    0x07ff6000,0x09ffff30,0x00ffec00,0x003d43d4,0x009ffff3,0x200ffec0,
    0x004ffff9,0x0007ff60,0xfffbfd00,0x5ff5100d,0x5c013ee0,0xfffa80ef,
    0x2e00f605,0x005fffec,0x3f21ffe4,0x7fb005ff,0x4003ffc8,0xeff9bffe,
    0x01ffffff,0x000ffffc,0x3e00bf50,0x20001fff,0xfd1005fa,0x3f62009f,
    0xfa8000df,0x3fe000ff,0xfb7d80ff,0xb9df8800,0xf900006e,0x77ffd47f,
    0x36205eee,0xfd1003ff,0x3fe00bff,0x2a0001ff,0xffff005f,0x2fd40003,
    0x3dc0fa80,0x07fffe00,0x005fa800,0x0003ffff,0x00002fd4,0x37ffcff4,
    0x3a05f100,0x1ffb801f,0xc80bffe0,0x3ffa2003,0x1ffe4005,0xe803fff4,
    0x003ffc87,0x0675fff4,0x80dffff5,0x0000fffe,0x7f4013e6,0x260000ff,
    0x9ffb004f,0x0dffd000,0x05fff300,0xd83fffc0,0xb3000fb7,0x000019ff,
    0xff501ff9,0x740fffff,0x744005ff,0xffd005ff,0x7cc0001f,0x1fffd004,
    0x027cc000,0x01f447f0,0x003fffa0,0xd004f980,0x40001fff,0x400004f9,
    0x0dfff4f9,0x6f983d80,0x203ffa80,0x3200fff8,0x2ffec004,0x20fff200,
    0x4c01fffa,0x03ffc84f,0x81ffff40,0x202ffff8,0x0000fffd,0x7ec013e6,
    0x260000ff,0xfffb804f,0xfffa8000,0x7ffcc003,0x1fffa004,0x0007dbec,
    0x20000df1,0x3fa04ffa,0xfffc802f,0xfffe8001,0x0fffd803,0x013e6000,
    0x0007ffec,0x5c009f30,0x000ffdef,0x0007ffec,0x36009f30,0x20000fff,
    0x400004f9,0x0dfff0fc,0x3fb83b80,0x2037f440,0x1ec06ff9,0x017ff200,
    0x3a07ff90,0x07e405ff,0x2001ffe4,0x7e404ffe,0x3ff606ff,0x3e60000f,
    0x1fffb004,0x027cc000,0x0017ffe6,0x000fffe8,0x8017ffe2,0x2fb07ffe,
    0xff900018,0xffd00005,0x02ffdc05,0x0017ffe6,0x03fffbf2,0x001fffb0,
    0xd8027cc0,0x20000fff,0x5c4004f9,0xffb0002d,0x7cc0001f,0x1fffb004,
    0x027cc000,0x7c9f1000,0x144006ff,0x3f2017e4,0x1ffe402f,0xf9000ba0,
    0xffc800bf,0x01fff503,0x7fe417e2,0x1fff4003,0x81fffe20,0x0000fffd,
    0x7ec013e6,0x260000ff,0x7fff404f,0x3fea0001,0x7ffc005f,0x1fffa006,
    0x7c0003ec,0xf80005ff,0x3fea01ff,0x0ffff407,0x3eafee00,0x7fec05ff,
    0x3e60000f,0x1fffb004,0x027cc000,0x7ec00000,0x260000ff,0xfffb004f,
    0x27cc0001,0x41f90000,0x00006fff,0x7fcc03fb,0x01ffe806,0x3f2000fc,
    0x7fe4005f,0x413ffa03,0x7ff902fb,0x03ffe800,0xb00fffd8,0x40001fff,
    0xffb004f9,0x7cc0001f,0x17ffee04,0x3fffe000,0x1fffe002,0xb07ffe80,
    0xffb8000f,0x260000ff,0x3e602fff,0xfff701ff,0x14f9800d,0x6c05ffff,
    0x20000fff,0xffb004f9,0x7cc0001f,0x80000004,0x0000fffd,0x7ec013e6,
    0x260000ff,0xf300004f,0x006fff89,0x200fe801,0x7c402ffc,0x003d407f,
    0x2002ffe4,0x3ee03ffc,0x207e80ff,0x74003ffc,0xffc803ff,0x1fffb01f,
    0x027cc000,0x000fffd8,0xfc813e60,0xe80004ff,0x3a004fff,0xfd000fff,
    0x001f60ff,0x09ffffd0,0x03fff800,0x6c07ffe2,0x22005fff,0x27fff46f,
    0x001fffb0,0xd8027cc0,0x20000fff,0xfd7004f9,0x80059dff,0x0000fffd,
    0x7ec013e6,0x260000ff,0xfb00004f,0x006fff81,0x103fc019,0xfc801fff,
    0x0026c04f,0x2002ffe4,0x7fc03ffc,0x901fcc4f,0xfe8007ff,0xfffb803f,
    0x01fffb01,0x8027cc00,0x0000fffd,0xffe813e6,0xfd80003f,0x3fa005ff,
    0x3ffa007f,0x4000fb07,0x07fffdf9,0x027fec00,0x7f40fff3,0x3fa004ff,
    0x02fffe40,0x0001fffb,0xfd8027cc,0x260000ff,0x6ff4c04f,0x05fffc9a,
    0x003fff60,0xb004f980,0x40001fff,0x980004f9,0x06fff83f,0x037c01d0,
    0xf980bff7,0x07e202ff,0x017ff200,0xb807ff90,0x03f20fff,0x4003ffc8,
    0xfa803ffe,0xfffb00ff,0x27cc0001,0x00fffd80,0xf813e600,0x80002fff,
    0x2007fffc,0x3a007ffe,0x00fb07ff,0x7fecfec0,0x3ee0002f,0x9ff700ff,
    0x0ffffe20,0x7dc0fec0,0x3ff607ff,0x3e60000f,0x1fffb004,0x027cc000,
    0x3fa0ffd1,0xfffb004f,0x27cc0001,0x00fffd80,0x0013e600,0x3fe03fa0,
    0x00fa806f,0x3ffc81fa,0x007ffec0,0x3f2000d9,0x7fe4005f,0x14fff803,
    0x3ffc80bf,0x01fff400,0xfb03ffd4,0x4c0001ff,0xfffb004f,0x27cc0001,
    0x01ffff98,0xffffb800,0x0dfff000,0xd83fff40,0x2bf10007,0x0006fff9,
    0xfe827fe4,0x3fffe606,0x703fb801,0x3601ffff,0x20000fff,0xffb004f9,
    0x7cc0001f,0x413fee04,0xfb007ffb,0x4c0001ff,0xfffb004f,0x27cc0001,
    0x40fea000,0x9999efff,0x00ffc999,0x7fec03f6,0x1bffee02,0x90002f88,
    0xfc800bff,0xfffb803f,0x7e402fb8,0x7ff4003f,0x06ffb803,0x0003fff6,
    0xfb004f98,0x4c0001ff,0xffff504f,0xff500001,0xff1003ff,0x7ff400bf,
    0x2000fb07,0x3fffa2fc,0x7fe40001,0x0dffb88c,0x03fffea0,0x7d409f50,
    0xffb01fff,0x7cc0001f,0x1fffb004,0x027cc000,0x3ea09ffb,0xffd800ff,
    0x3e60000f,0x1fffb004,0x027cc000,0xff81fa00,0xffffffff,0x3200ffff,
    0x05ffd01f,0x813fefaa,0x3f20005d,0x7fe4005f,0xbfff8803,0x3ffc806e,
    0x01fff400,0xfb027fe4,0x4c0001ff,0xfffb004f,0x27cc0001,0x00ffffb8,
    0xffff9800,0x3fff8802,0x41fffa00,0x7c00fb7d,0x027ffd46,0x3fb3e200,
    0xfa802cef,0x3e600fff,0x7fffcc06,0x01fffb02,0x8027cc00,0x0000fffd,
    0xffb813e6,0x01fff301,0x001fffb0,0xd8027cc0,0x20000fff,0x2a0004f9,
    0x3bffe03f,0xdaaaaaaa,0x0bee00ff,0x7542fff4,0xfb02ffb8,0x7fe40001,
    0x1ffe4005,0x3ffffc80,0x003ffc80,0x6c01fff4,0x3ff600ff,0x3e60000f,
    0x1fffb004,0x827cc000,0x001ffffa,0x0ffffa80,0x02fff980,0x6c1fffa0,
    0x3ea00fb7,0x00ffff83,0x0007f300,0x01ffff98,0xfa801fd1,0xffb01fff,
    0x7cc0001f,0x1fffb004,0x027cc000,0xfff9806a,0x0fffd800,0x013e6000,
    0x0007ffec,0x40009f30,0x999999fe,0xb806fff9,0x413e600f,0xda8cfffc,
    0x885ff90e,0x200280ed,0x64005ffc,0xff1003ff,0xff9001ff,0x5ffe8007,
    0x201ffcc0,0x0000fffd,0x7ec013e6,0x260000ff,0xffff104f,0xff700005,
    0x3fea00ff,0x3ffa000f,0x01f6fb07,0x7fe407f4,0x6f88003f,0xfff88000,
    0x003fb02f,0x201ffff5,0x0000fffd,0x7ec013e6,0x260000ff,0xfb50004f,
    0xfb001fff,0x4c0001ff,0xfffb004f,0x27cc0001,0xffffb800,0xffffffff,
    0xe801f006,0xfffff307,0x77fd41bf,0xb80efb99,0x17ff2005,0x007ff900,
    0xc802ffe4,0x7f4003ff,0x1bf602ff,0x003fff60,0xb003f980,0x40001fff,
    0x3ffe03f9,0xfc80003f,0xff7006ff,0x7ffe800b,0x201f6fb0,0xfff104f9,
    0x3ff9000d,0xfffd0000,0x2005f905,0x3607fffb,0x20000fff,0xffb003f9,
    0x7cc0001f,0x3bf22003,0x800fff9b,0x0000fffd,0x7ec00fe6,0x260000ff,
    0x5df0003f,0xf7555555,0x03600dff,0x36605f50,0xffb03dff,0x3e205dff,
    0x17ff2001,0x007ff900,0xc800ffc4,0x7f4003ff,0x3620afff,0xffd800df,
    0x3ea0001f,0x3fffb003,0x01fd4000,0x0009fffd,0x009fffb0,0xd0007ff2,
    0x6df60fff,0x201fd807,0x4001fffd,0xeeeffffe,0x200bccde,0x7d44fffd,
    0x3fff2004,0x07fff605,0x003fa800,0x0003fffb,0x64401fd4,0x3ffe22ef,
    0x1fffd800,0x00fea000,0x000fffec,0x70007f50,0xdfff003f,0x3e002600,
    0x44004c05,0x005d801a,0x2002ffe4,0x74003ffc,0x0fff2006,0xf97ffd00,
    0x009ffdbf,0x000fffe4,0x32007f50,0x20001fff,0x3ff203fa,0xfd80005f,
    0xdff003ff,0x0dffd000,0x2203edf6,0x7ffd405f,0x7ffe4005,0xffffffff,
    0xffc80cff,0x0017e66f,0x6407fffd,0x20001fff,0xff9003fa,0x7d40003f,
    0x06ff4403,0x2003ffe2,0x0001fffc,0x7e400fea,0x2a0001ff,0x2fc4003f,
    0x006fff80,0x000fdc00,0x03f30000,0x004ffc80,0x3001ffe4,0x7fe4007f,
    0x9fff4003,0x8001bba8,0x0002fffc,0x7e400bee,0x2e0002ff,0x3ffe602f,
    0x7fc0000f,0xff9800ef,0x5ffe8003,0x701f6fb0,0xfffd005f,0xfffb8001,
    0xffffffff,0xfff886ff,0x000ee88f,0x9007fffc,0x40005fff,0xff9002fb,
    0x7dc0005f,0x417fa202,0xc800fff8,0x20002fff,0xff9002fb,0x7dc0005f,
    0x00fe4002,0x0006fff8,0x0000fd80,0x004e8800,0x4003ffc8,0x36003ffc,
    0x3ff2000f,0x1fff4003,0xfff50000,0x07ec0007,0x03fffa80,0x9003f600,
    0x40007fff,0x7002fffb,0x3fa000df,0x1f6fb04f,0xdddddff0,0xffffdddd,
    0x315c8007,0xd9975555,0xfff703ff,0xb8003fd5,0x7d403fff,0x360003ff,
    0xfff5000f,0x07ec0007,0x2203fff0,0xfa800fff,0x360003ff,0xfff5000f,
    0x07ec0007,0x400bf100,0x30006fff,0x0017e209,0x009d1000,0x000bff20,
    0x22007ff9,0x7fe4005f,0x1fff4003,0xfff30000,0x037c000d,0x00dfff30,
    0x7c4037c0,0xf0000fff,0x7fc00bff,0x7ffd0001,0x503edf60,0xdddddddf,
    0xffffdddd,0x00076400,0x7ff413ea,0x7c4002ff,0xff9806ff,0x1be0006f,
    0x06fff980,0xf981be00,0x3ffe207f,0x6fff9800,0x801be000,0x0006fff9,
    0x1fb001be,0x037ffc00,0x3e602e80,0xd3000004,0x7fe40009,0x1ffe4001,
    0x4001fd80,0x74003ffc,0x400003ff,0x8001fffd,0x7ec003fb,0xfb8001ff,
    0x7fff5003,0x1fff7000,0x100bee00,0x05ffd057,0xfd03edf6,0x7ffec001,
    0x003fb802,0x3fe609d0,0xffc8005f,0xfffb001f,0x07f70003,0x01fffd80,
    0x2e03fb80,0xff101fff,0x3ff6003f,0x3fb8001f,0x0fffec00,0x001fdc00,
    0x7c400bf3,0x7c8006ff,0x000ef980,0x0013e600,0x9000dfb0,0xf98107ff,
    0x3ffc8005,0x01fff400,0x3ffe6000,0x037d4005,0x02fffcc0,0xb001bea0,
    0x4c003fff,0xf3002fff,0x89ffd009,0x6df606ff,0x8009f307,0x4405fff9,
    0x5f0001ff,0x017ffe40,0x003fff30,0x002fffcc,0x26001bea,0x54005fff,
    0x7ffd406f,0x1fffd883,0x7ffcc031,0x037d4005,0x02fffcc0,0xd001bea0,
    0x7fc4003f,0x2fd4006f,0x002fd880,0x801fecc0,0x02fe81da,0x263ffc80,
    0x0ffcceff,0x03ffc800,0x001fffc0,0x77ffdc00,0x0ffe4400,0xefffb800,
    0x0ffe4400,0x17ffd400,0x0077fdc0,0xff005f98,0x03fe21ff,0x320fb7d8,
    0xffe8001f,0x17ff201f,0xf8817600,0xa801fffe,0xb8001eff,0x4400efff,
    0x70001ffc,0x8801dfff,0x7c401ffc,0xfb88cfff,0x0e9cfffc,0x077ffdc0,
    0x007ff220,0x077ffdc0,0x007ff220,0x4c007fc8,0x91007fff,0xfb8005ff,
    0x366000bf,0x3fe000cf,0x80bf51df,0xfdaaaaa9,0x3ffff63f,0xf90002ff,
    0x1555559f,0x0013ffe0,0x7fffdc00,0xfeca99bd,0x5c0001ff,0x99bdffff,
    0x01fffeca,0x33ffa200,0x3ff6a209,0x00fea004,0xf75fffc8,0x0fb7d807,
    0x2e000bf1,0x3f204fff,0xd9801dff,0x223fa00f,0x221bdffd,0x0003ffca,
    0x5effffdc,0xfffeca99,0x7fdc0001,0xca99bdff,0x9001fffe,0x5fffffff,
    0x007ffffa,0x5effffdc,0xfffeca99,0x7fdc0001,0xca99bdff,0x2001fffe,
    0x800cfffc,0xceffffea,0xfecccccc,0x50000fff,0x55599dfd,0x019ffd97,
    0xbffffb00,0xfff7009f,0x547fffff,0x002effff,0x3fffff20,0x7e442fff,
    0x00002fff,0xfffff930,0x017dffff,0x3ff26000,0xefffffff,0xb700000b,
    0xdfffdfff,0x0f54003b,0x3fffa200,0xb7d803ff,0x0005f90f,0x403fffe2,
    0xdeffffe8,0xdfedcbcc,0xb307f600,0xffffdfff,0x2600001b,0xfffffffc,
    0x0000beff,0xfffff930,0x017dffff,0xdffffc80,0x007bfee0,0xfffff930,
    0x017dffff,0x3ff26000,0xefffffff,0xfff5000b,0xd01dffff,0xffffffff,
    0xffffffff,0x0000bfff,0xbdfdb973,0x40001359,0x01cdfdb8,0x33333310,
    0x2deb8133,0x99988000,0xb1099999,0xdddddddd,0x22000007,0x1abccbaa,
    0x2a200000,0x01abccba,0x65440000,0x0700009b,0x0abb8800,0x11f6fb00,
    0x740001ff,0x2e204fff,0xffffffff,0x3b801eff,0x0565d4c0,0x55100000,
    0x00357997,0x5d544000,0x0001abcc,0x03100d44,0xcbaa8800,0x00001abc,
    0x332eaa20,0x000001ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,0xffc8000d,
    0xdca801ff,0x001bcefe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffe4400,0xfff30002,
    0x00017fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f200000,0x05ffffff,0xffffff30,
    0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x2aaa1aaa,0x01c00002,0x222aa980,0x00000aaa,
    0x2aa00000,0x200000aa,0x0005fffb,0x00000000,0x10000000,0x00005555,
    0x55551000,0x3f200001,0x880005ff,0x2a0000cc,0x000002aa,0x002aaa88,
    0x2aa00000,0x000000aa,0x54000000,0x000002aa,0x17ffee00,0x00c40000,
    0x00393018,0x7fcc0000,0x00fffe0f,0x00174c00,0x3ee3ffe8,0xfe80006f,
    0x500004ff,0x00009fff,0x0fffffc4,0x2a000000,0x4c002ded,0xbceffeca,
    0xfe800001,0x000000ff,0x027ffd40,0xffff8800,0x7ec0001f,0xff70005f,
    0x000003ff,0x003fffb0,0xff500000,0x7000009f,0x0000dfff,0x0ffffdc0,
    0x44000000,0x001fffff,0xa807b000,0x007f2604,0x2000f754,0x3fe23ffb,
    0x5f900006,0x237fc000,0x40001ffc,0x00fffffa,0x05ffc800,0x6f7e4000,
    0x000006ff,0x1be23f60,0x6f7ff440,0x0efffecb,0x3fa20000,0x0000003f,
    0x0002ffec,0xdffbdfb0,0x7fff8000,0xffff8800,0x8000005f,0x0003ffe8,
    0x5ffc8000,0xff880000,0x00003fff,0x6fffff88,0xc8000000,0x006ffdef,
    0x20bf3000,0x3f9800fb,0x005fff80,0x3fe637e4,0x1fe80001,0x07fe6000,
    0xd00009fd,0x00bffbbf,0x001dff00,0xb877cc00,0x000003ff,0x1ff33fb8,
    0x00effb80,0x007ffd71,0x02ffc400,0x3fe00000,0x3e600006,0x005ff70e,
    0x001ffdc0,0x7ff4f7e4,0x88000002,0x000006ff,0x000eff80,0xfbefc800,
    0x400000ff,0x2ffe9efc,0x26000000,0x07ff70ef,0x3bf20000,0xc800fee0,
    0x3ffe603f,0x07fa000f,0xb00009f7,0xfa80003f,0x0000ff84,0x3ff727dc,
    0x07fcc000,0x03b60000,0x00001ff3,0x5707fc40,0x027fec40,0x00dffe88,
    0x01ff3000,0x3ea00000,0x3a00000e,0x0037cc0e,0x26000220,0x0037e45f,
    0x0ff98000,0x26000000,0x800000ff,0x9fd30ef8,0x6fc40000,0x0001bf20,
    0x4c0ed800,0x800000ff,0x6fcafff8,0x807fcc00,0x000ffffa,0x001b20fe,
    0x0000bee0,0x05f303f2,0x984f8800,0x3f20006f,0x6d400001,0x0009d100,
    0x003fdc00,0x20017ffa,0x00005ffe,0x00000bea,0x0000fe40,0x1f440b50,
    0x6c000000,0x0007f705,0x00bea000,0x1fc80000,0x1db00000,0x0001fd88,
    0x0fea0bb0,0x36a00000,0x0009b100,0x3fffee00,0x5fe8002f,0x01ffff30,
    0x00f41a60,0x001bea00,0x02d416c0,0xd101e400,0x00ba0007,0x64012000,
    0xfd000000,0x7ffdc00b,0xfffa8001,0x17200003,0x17400000,0x40120000,
    0x0000000c,0x01d3012a,0x16e00000,0x2e800000,0x1b300000,0x40003640,
    0x0074c049,0x40120000,0xd000000c,0x2000dfff,0xfff106ff,0x380cc00f,
    0x17fc4000,0x15038000,0x00288000,0x00510007,0x00000000,0x13fe6000,
    0x02fffcc0,0x01fffb00,0x0001c000,0x00014400,0x00000000,0x22003000,
    0x20000001,0x20000003,0x0a000002,0x20000540,0x00031001,0x00000000,
    0x15553000,0x1fff1000,0x001bffe0,0x32000010,0x000000ff,0x00000000,
    0x01002000,0x04004000,0x17fec000,0x01fffe80,0x17ffea00,0x00004000,
    0x00004000,0x00080100,0x00400000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00400800,0x7403ffe6,0x2e6005ff,0x1bceffec,
    0x80dff000,0xcccccccb,0x64404ccc,0xcccccccc,0x00002002,0x7bfffb71,
    0xb5000783,0x59fffffd,0x440003a8,0xfb801fff,0x440005ff,0x4002ffff,
    0xceffecb9,0x4c00001b,0xbceffecb,0x36e20001,0x3c1bdfff,0x98001000,
    0xbceffecb,0x3332e001,0x4ccccccc,0x66666440,0x9972cccc,0x99999999,
    0xcccc8809,0x002ccccc,0x6665c000,0x4ccccccc,0x66666440,0x9932cccc,
    0x79999999,0x6666664c,0x9301cccc,0x07999999,0x37fff6e2,0x3ea03c1b,
    0x13ff607f,0x33bffa20,0x1effedba,0x00ffea00,0xfffffb51,0x7300359f,
    0x137ffffd,0x7fff6cc0,0x7fd4002d,0xffffdcdf,0x322007dd,0xbabdffff,
    0x4ebdffec,0x3ff62000,0xfffd800f,0xffe80004,0xffd1004f,0xffdb759d,
    0xe880003d,0xedbaceff,0x54001eff,0xffdcdfff,0x4007ddff,0xd1005fc8,
    0xdb759dff,0x51003dff,0x9ffffffb,0xfd730035,0x22137fff,0xffffffda,
    0xeb9801ac,0x709bffff,0x79999999,0x333332a0,0xffffb512,0x300359ff,
    0x37ffffd7,0x3fff6e21,0x2a20beff,0xcffffffd,0xff751009,0xff5039ff,
    0xffffb9bf,0xffb80fbb,0x013ff606,0x4c01bff7,0xfd003ffe,0x7fcc005f,
    0x360004ff,0xffc801ff,0x3bbffea3,0x4ffb85ee,0x0ffff930,0x033ffe60,
    0x0bfffd30,0xffffdb00,0x3a05dddf,0x80003fff,0xb805fffc,0x3a600dff,
    0xf70003ff,0x7f4c01bf,0x9ff7003f,0x1ffff260,0x2fffed40,0x006ffdc0,
    0x4007ffd3,0x004ffff9,0x3007ff60,0x0009ffff,0x64c0ffec,0x01bfffff,
    0x017ffd31,0x009ffff3,0x200ffec0,0x401ffffd,0x004ffffc,0xfb817fdc,
    0xfff9304f,0x05ffc80f,0x7440fff2,0xfb1004ff,0x7fcc01bf,0x7ffc001f,
    0x3ea0001f,0x80ffc805,0x7ffffffa,0x64027fcc,0xffb807ff,0x7fdc003f,
    0x66644005,0x0ccceffe,0x005ffff0,0x0ffff700,0x8027ff44,0x000dffd8,
    0x2009ffd1,0x200dffd8,0xfc804ff9,0xfddb807f,0x3fa205ff,0xffb1004f,
    0x3ffe001b,0x3ea0001f,0x3ffff005,0x02fd4000,0x4017fff2,0x7ffc03fd,
    0x3ea0001f,0xffff8805,0x7fffc400,0x827d4003,0xfc804ff9,0x27fe407f,
    0x3605ff70,0xfe8004ff,0x3fff206f,0x7fff4000,0x13e60000,0x7409ff50,
    0x3ffa02ff,0x80ff9000,0x0003fffb,0xe8000df9,0xff9803ff,0xa80002ff,
    0xfb00ffff,0xffd0009f,0x13ff600d,0x81bffa00,0xf9000ffe,0x5ffe800f,
    0x0013ff60,0x7401bffa,0x20000fff,0xffd004f9,0x7cc0001f,0x07ffe804,
    0xffd00fd0,0x7cc0001f,0x5fffb004,0x09fff700,0xfd01fc80,0x1ff2001f,
    0x5405ff70,0xfffb81ff,0xfffa8000,0x00fffb03,0x001fffb0,0x3a027cc0,
    0x3fee02ff,0x00dff105,0x3fe607e8,0x3f40003f,0x3fff1000,0x3ffff500,
    0xfff50000,0x1fff703f,0x7fff5000,0x00fffb80,0x83fffa80,0x74006ff8,
    0x2ffec007,0x000fffb8,0x803fffa8,0x0000fffd,0x7ec013e6,0x260000ff,
    0xfffa804f,0x4027cc01,0x0000fffd,0x7d4013e6,0xff8805ff,0x8374007f,
    0x74006ff8,0x017fc407,0xff981ff3,0x3fa0005f,0x7ffe80ff,0x0fffd800,
    0x013e6000,0x7d403fff,0x1fff307f,0xfd03e400,0xf50000df,0x3ffd4000,
    0x0ffffb80,0xfff98000,0x2fffcc2f,0x1fffd000,0x017ffe60,0x40fffe80,
    0x2000fff9,0x7fe4007c,0x05fff985,0x03fffa00,0x001fffb0,0xd8027cc0,
    0x20000fff,0xffd004f9,0x800fc80b,0x0000fffd,0x7c4013e6,0xffb007ff,
    0x13e6003f,0x0007ffcc,0x0bf700f9,0x7ff43fc4,0x3ea0001f,0x6fff85ff,
    0x0fffd800,0x813e6000,0x2602fff9,0xff981fff,0x41e6003f,0x0003fffc,
    0x320001f0,0xff5006ff,0x500003ff,0xfe83ffff,0x2a0001ff,0xffd05fff,
    0x7d40003f,0x7ffcc5ff,0x001e6003,0xffd0bff9,0x7d40003f,0x7fec05ff,
    0x3e60000f,0x1fffb004,0x027cc000,0x100fffa8,0x3ff600bf,0x3e60000f,
    0x3fff6004,0x4fffb802,0x2603f700,0x26003fff,0x403fb007,0x2fffdc7f,
    0x7fffc000,0x017ffe22,0x003fff60,0x7c04f980,0x3fe203ff,0xffff881f,
    0x3e21e002,0x00000fff,0x3fa00015,0xfff5004f,0xf500005f,0x7fdc1fff,
    0xff80005f,0x7ffdc2ff,0xfff80005,0x3fffe22f,0x9001e002,0xfffb8bff,
    0xfff80005,0x3fff602f,0x13e60000,0x007ffec0,0x4009f300,0x5f704ffe,
    0x03fff600,0x004f9800,0x2017ffea,0xd007fff8,0x7fffc40d,0xc801e002,
    0xfc8df03e,0xe80004ff,0x3fe64fff,0xffd8004f,0x3e60000f,0x027fec04,
    0x7f40fff3,0x05003fff,0x000bfff7,0xff100000,0x3fe6005f,0xb80003ff,
    0x7fe47fff,0xfe80004f,0x7ffe44ff,0xffe80004,0x7ffff44f,0xc8005003,
    0x7ffe45ff,0xffe80004,0x3fff604f,0x13e60000,0x007ffec0,0x4009f300,
    0x7e80fffb,0x03fff600,0x004f9800,0x2007fffc,0x401ffffb,0x7ff403f9,
    0x005003ff,0x2f43fd98,0x000ffffa,0x997fff60,0xd8005fff,0x20000fff,
    0x7fdc04f9,0x09ff700f,0x77ffffd4,0xfffe8001,0x00000003,0x000fffa8,
    0x0013fffe,0xd17fff20,0x00007fff,0xfe8bfffb,0xd80003ff,0x7fd45fff,
    0x0001efff,0x3a2ffe40,0x80003fff,0x3605fffd,0x20000fff,0xffb004f9,
    0x7cc0001f,0x27ffc004,0xfd800fe6,0x260000ff,0x7fe4004f,0x7ffec02f,
    0x00fe404f,0x3bffffea,0x5c400001,0x3fe26c4f,0xc80002ff,0x3fe27fff,
    0xffd8005f,0x3e60000f,0x04ffc804,0xff700dfd,0x0019ffff,0x00bfffe2,
    0x32000000,0x7e4006ff,0xd80005ff,0x7ffc3fff,0xfc80002f,0x7fffc7ff,
    0xffc80002,0xffffb87f,0x00000cff,0xfff8bff9,0xfc80002f,0x3ff607ff,
    0x3e60000f,0x1fffb004,0x027cc000,0xc83ffee0,0x3ff6000f,0x3e60000f,
    0x7ffcc004,0x3ff7e205,0x8037407f,0xcffffffb,0xcfb80000,0x3fe63c80,
    0xb80001ff,0x3fe0ffff,0xffd8006f,0x3e60000f,0x19ff9004,0x001bff71,
    0x3ffffff2,0xfff9803f,0x0000001f,0x004ffd80,0x007fffd4,0x31bffe00,
    0x0003ffff,0x21ffff70,0x001ffff9,0x0ffffb80,0xffffffc8,0xfc80003f,
    0x3fffe65f,0xffb80001,0xfffb00ff,0x27cc0001,0x00fffd80,0x0013e600,
    0x2fc53ffe,0x03fff600,0x004f9800,0x700fffe8,0x05fff95f,0xfc800fe6,
    0x03ffffff,0xa807f200,0x03fffea2,0x3ffea000,0x01fffe1f,0x003fff60,
    0x1004f980,0x59dffd9f,0xffff7000,0x5405dfff,0x4000ffff,0xffffffe9,
    0xff002eff,0xffd0005f,0x7dc0007f,0x7ffd42ff,0xfa80000f,0xfff51fff,
    0xf500001f,0x3ee03fff,0x2effffff,0x97ff2000,0x000ffffa,0x1ffffa80,
    0x001fffb0,0xd8027cc0,0x20000fff,0xfb8004f9,0x002fb8ff,0x0007ffec,
    0x70009f30,0x5fa07fff,0xf905fff9,0xfffb8001,0x002effff,0x2e0037dc,
    0x0000ffff,0x22ffff98,0xd8007ffe,0x20000fff,0x3f9804f9,0xfd880000,
    0x0dffffff,0x00ffffb8,0x3fffee00,0x3fe6000e,0xff98000f,0x3fe0007f,
    0xffffb86f,0xff980000,0xffff72ff,0xff300001,0x7ec405ff,0x0dffffff,
    0x25ffc800,0x000ffffb,0x2ffff980,0x001fffb0,0xd8027cc0,0x20000fff,
    0xf88004f9,0x8006ebff,0x0000fffd,0x220013e6,0x4f886fff,0x3e03fffe,
    0xffb10006,0x01bfffff,0x8005ff10,0x001ffffa,0x0ffffa80,0x0003ffee,
    0x0001fffb,0x3e2027cc,0x54000006,0xfffffffe,0x0ffffd40,0x3fffa000,
    0x37fdc003,0x7fff9000,0x3fff7000,0x03ffff50,0xffff5000,0x07fffea1,
    0x3ffea000,0xffea800f,0x000fffff,0xff52ffe4,0x500003ff,0x3601ffff,
    0x20000fff,0xffb004f9,0x7cc0001f,0xfff90004,0xffb0007f,0x7cc0001f,
    0xfffd0004,0x3f21fb81,0x01fcc2ff,0x3fffaa00,0x5c00ffff,0x7c4002ff,
    0x80002fff,0x7cc7fffb,0x7ec001ff,0x260000ff,0x0ffe404f,0x7dc00000,
    0x20efffff,0x002ffff9,0x017ffec0,0x0013ff20,0x001fff90,0x880fffc4,
    0x0002ffff,0x227fffb8,0x0002ffff,0x007fffb8,0x7fffffdc,0x3ff2000e,
    0x0bfffe25,0x3ffee000,0x03fff607,0x004f9800,0x0001fffb,0x880027cc,
    0x8000ffff,0x0000fffd,0x5c0013e6,0x23743fff,0x7e45fff9,0xff700000,
    0x401dffff,0x36603ffc,0x0ffffe0c,0x3fff2000,0x002fff86,0x0007ffec,
    0xfe807f30,0xdeeeefff,0x40000bcc,0x5fffffc8,0x00ffffe2,0x05fff900,
    0x001ffe80,0x01fffc80,0x401fffa8,0x0003ffff,0x7c6fffc8,0x80003fff,
    0x8006fffc,0x5fffffc8,0xf17ff200,0x00007fff,0x6c0dfff9,0x20000fff,
    0xffb003f9,0x7cc0001f,0x3ff20003,0xfffb0005,0x1fcc0001,0x6fff8800,
    0x3ffa13e6,0x0001be0f,0xfffff910,0x02ffec0b,0x7ff4bfff,0xfd80004f,
    0x4ffc84ff,0x0fffec00,0x807f5000,0xfffffffc,0x0cffffff,0x7ffcc000,
    0x3fffe1ff,0x7fe40006,0x3fe2002f,0x3a600007,0x64c41bff,0xfe801dff,
    0xd80004ff,0x7ff44fff,0xfd80004f,0x260004ff,0x001fffff,0xffe8bff9,
    0xfd80004f,0x3ff604ff,0x3ea0001f,0x3fffb003,0x01fd4000,0x003ff100,
    0x007fff60,0x0003fa80,0x7e47fff6,0x33fffb81,0x2000007f,0x01fffff9,
    0x3e60dff9,0x3fff27ff,0xffd80005,0x06ff883f,0x00fffe40,0x7007f500,
    0xffffffff,0x88dfffff,0x7ffcc004,0x3ffff63f,0x3ff20000,0x3fe6002f,
    0xea800004,0xfffeefff,0x3ff2001d,0xfd80005f,0x7ffe43ff,0xffd80005,
    0x3001223f,0x2007ffff,0x7fe45ffc,0xfd80005f,0x3ff203ff,0x3ea0001f,
    0x3fff9003,0x01fd4000,0x8001ba00,0x0001fffc,0xa8000fea,0x20dd3fff,
    0x1f96fff8,0x30012200,0x2a07ffff,0x3ffa07ff,0x03fffe64,0x1dfff000,
    0x8003ff20,0x0002fffc,0x57200bee,0xcbaaaa98,0x1a21ffec,0x97ffea00,
    0x003ffff8,0x00bfff20,0x0001ffb8,0x3fffee00,0xf98003ff,0x40000fff,
    0x7cc0efff,0x40000fff,0x1a20efff,0x17ffea00,0x2627fe40,0x0000ffff,
    0x90077ffc,0x40005fff,0xff9002fb,0x7dc0005f,0x0fe60002,0x2fffc800,
    0x00bee000,0x9efff880,0x3fffa03f,0x1a2005f9,0x17ffea00,0x5007ffcc,
    0x07fff905,0x17ffdc00,0x4007ff10,0x0003fffa,0x1d9003f6,0x224fa800,
    0xfff8000f,0x037ffe45,0x05fff900,0x0003fec0,0x7fffcc00,0xfc8000ff,
    0x2e0003ff,0xff902fff,0x7dc0007f,0x007c42ff,0x802fffc0,0xffc83ffc,
    0x3ee0003f,0x7fd402ff,0x3f60003f,0x7fff5000,0x007ec000,0x0001fb00,
    0x001fffd4,0x80001fb0,0x00fefffd,0x0ffbffee,0x8000f880,0xff105fff,
    0xff10001f,0x3e0001ff,0x6fb805ff,0x1bffe600,0x5c06f800,0x49d0003f,
    0xfe8003f8,0x7fffc44f,0xfff90004,0x027f4005,0xfe880000,0x88005fff,
    0x0000ffff,0x7c40bfff,0xf0000fff,0x07f10bff,0x009ffd00,0x3e20bff2,
    0xf0000fff,0xff300bff,0x37c000df,0x0dfff300,0x00037c00,0x98000bf1,
    0x20006fff,0xfa80006f,0x7c406fff,0x2000ffff,0xfe8003f8,0x01ffe04f,
    0x03fffa80,0x00fffb80,0x6c007f90,0xb8001fff,0x07fe203f,0xff117c00,
    0x2fff8001,0x01ffffa8,0x02fffc80,0x0003ff10,0xfffc8000,0xffa8004f,
    0xffb8003f,0x7ffd400f,0xfffb8003,0x000ff880,0xc8017ffc,0xfff501ff,
    0xfff70007,0x3fff6001,0x03fb8001,0x00fffec0,0x0001fdc0,0xb00003fb,
    0x70003fff,0x3e00007f,0xfd803fff,0x7c4005ff,0x7ffc000f,0x8817fa02,
    0xfffb02ed,0x7ffcc003,0x007f4002,0x005fff98,0x3f2037d4,0x45d8005f,
    0x5000eff8,0x7fd40bff,0x7e4001ff,0xfb8102ff,0x00000004,0x009fffb5,
    0x003fffb0,0x8017ffcc,0x2001fffd,0xf102fff9,0x3ea001df,0x1bf2005f,
    0x003fffb0,0x0017ffcc,0x800bfff3,0xf98006fa,0x7d4005ff,0xbf302006,
    0x3fe60000,0x37d4005f,0xfff90000,0x5fff5001,0x0eff8800,0x40bff500,
    0x3f601ff9,0xfff500ff,0x1dff7005,0x01db1000,0x03bffee0,0x803ff910,
    0x801dfffc,0x7fc40fd9,0x7fc401ef,0x7ffd400f,0x3ff6002f,0x3a4fb82f,
    0x0000000f,0x06ffecc0,0x0bffea00,0x003bfee0,0x005fff50,0x4401dff7,
    0x4401efff,0x1ed40fff,0x7d4017f4,0xffb802ff,0xffb8000e,0x7e4400ef,
    0xff70001f,0xfc8801df,0xeff9801f,0x0000ffcc,0x03bffee0,0x003ff910,
    0x02ffcc00,0x000fff88,0x00f7ffc4,0xc803ffe2,0x7fff404f,0x33ffa201,
    0x3ff6a209,0x0eb80004,0xbffff700,0xffd95337,0xffd1003f,0x9799bdff,
    0xf101bfdb,0x437bffff,0x001effb9,0x05dfffb1,0x2ffffae2,0x5f75fe80,
    0x00000000,0x0067fe4c,0x139ffd10,0x027fed44,0x39ffd100,0x27fed441,
    0x7ffffc40,0x3fee61bd,0x0dfff81e,0x74400bf3,0x2a209cff,0x40004ffd,
    0x9bdffffb,0x1fffeca9,0x7ffdc000,0xeca99bdf,0xfb001fff,0x005fffff,
    0xffff7000,0xfd95337b,0x000003ff,0x7ec005fd,0xfff88005,0x2e61bdff,
    0x3e601eff,0x06ffb804,0xfdfffb70,0x0003bdff,0x9800f4c0,0xfffffffc,
    0x2000beff,0xffffffb8,0x201effff,0xffdb99f8,0x04ffffff,0xfffd9300,
    0xbffffddf,0xfcdfc805,0x00000003,0x3372e600,0xfffb7000,0x03bdfffd,
    0x3ff6e000,0x1defffef,0xb733f100,0xffffffff,0x7fffec09,0xb70004fd,
    0xdfffdfff,0x2600003b,0xfffffffc,0x0000beff,0xfffff930,0x017dffff,
    0x77fffd40,0x26000002,0xfffffffc,0x0000beff,0x4001f900,0xf88002fa,
    0xffffdb99,0x2204ffff,0x0a6002fb,0x4de54400,0x1c000000,0x32eaa200,
    0x80001abc,0xbcefedca,0xa8838801,0x0009accb,0x99955100,0xca800335,
    0x0000000b,0x00000000,0x00137951,0xbca88000,0x83880009,0x09accba8,
    0x66fedc40,0x95100001,0x00000137,0x5e65d544,0x2000001a,0xabccbaa8,
    0x37ae0001,0x20000002,0xabccbaa8,0x88000001,0x000c8003,0xcba88388,
    0x366009ac,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x001aaa98,0x00b51000,0x00600110,0x2aaa0000,0x1880001a,0xcc980300,
    0xcccccccc,0xcccccccc,0x90004ccc,0x40009fff,0xdb800cc8,0x00000003,
    0x003fffe2,0x18006000,0x2a200000,0x400002aa,0x00011001,0x00220030,
    0x00055550,0x0a806ea0,0x00200000,0x55100002,0x26000055,0x00002aaa,
    0x00008010,0x03fffe00,0x2fb20000,0x01e88000,0x00000164,0x00077ffc,
    0x25c02e80,0x3ffffee0,0xffffffff,0xffffffff,0x7fcc000f,0xb0001fff,
    0xff980bff,0x3ffae01f,0xfb00002e,0x0000bfff,0x1d801d30,0x3f200000,
    0x400002ff,0x03a200da,0x8036a000,0x3ee000e8,0x20001fff,0x81dfffea,
    0x2e200005,0x2defffed,0x7dc00078,0x100003ff,0x0000fffd,0x37fff6e2,
    0x00003c1b,0x001fff98,0x00774400,0x6c0fee00,0xa8000006,0x00001fff,
    0x07e413e6,0x2ab7fee0,0xdfffa999,0xffca9999,0x77ec000f,0xd0005ffd,
    0xffa80fff,0x22ee883f,0x4c0005fb,0x01fffcff,0x82fc8000,0x000004e8,
    0x0001fffc,0xe881ee80,0x3ba00003,0x2003e981,0x06fffff8,0xfffff100,
    0x01a619ff,0x3fff6600,0xffdcaabc,0x0000fdac,0x00013ffa,0x005fff10,
    0xcdfffa80,0x7ddffffd,0xff900000,0xfd000005,0x3fa00003,0x0000fec5,
    0x00ffe400,0x077ec000,0x7f9007f9,0x027ffcc0,0x54001fd1,0x05ff90ef,
    0x007ff500,0x1fb01dfd,0x40007ff0,0x0dfd32fe,0x9ff10000,0x00007f44,
    0x00bff300,0x1ffcc000,0x80000df3,0x1be62ff9,0xfd3df900,0x1b70005f,
    0xdfffff91,0xfb80009f,0x7ec403ff,0x10000fff,0x00000bff,0x80013fe6,
    0xf9304ffb,0x00000fff,0x00000ffa,0x80001bee,0x5fe9effa,0xfd000000,
    0x22000007,0x06fdafff,0xff980b90,0x00fc404f,0x0df50bd0,0x18002200,
    0x3fe0bf50,0x85f50006,0x00002fd8,0xfe9dffb8,0x5c000003,0x8000005f,
    0x2ffacffc,0xffd80000,0x2002ffac,0x3ff20ef8,0x260e4000,0x005ffffd,
    0x0077fec0,0x003fff50,0x0003bea0,0x007fa800,0x9009ff30,0x00000fff,
    0x000009f1,0x00007ff1,0x0fffffd8,0xf9800000,0x64000004,0x002fffff,
    0xfff98079,0x7001d804,0x001f440b,0x7f900000,0x000fff10,0x00fb807a,
    0xfffe8000,0x8000006f,0x000000ee,0x5fffff88,0xff100000,0xd800bfff,
    0x8009f505,0x00b72602,0x01dffb00,0x003ff700,0x00003f60,0x0007f200,
    0x64003ffa,0xb800007f,0xf3000005,0x9800009f,0x0003ffff,0x000b7000,
    0xffff1000,0x2006c00b,0xb804fff9,0x12009001,0xe8000000,0x009fb04f,
    0x05300350,0xfff50000,0x8000005f,0x000000f8,0x07fffee0,0xffb80000,
    0x166001ff,0x00001d30,0xffb80000,0x3f20002f,0x003f0002,0x026c0000,
    0x001bfe20,0x500000fd,0x2e000001,0x800005ff,0x00002aaa,0x00000e00,
    0x00aaa980,0x7ffcc000,0x00000004,0x80000000,0x00100ffc,0x00000000,
    0x00155540,0x000cc000,0x55540000,0xa8000002,0x00c002aa,0x00000188,
    0x3ffe6000,0x17c40005,0x00014400,0x2001c000,0x2000fff9,0x0000007c,
    0x7fdc0000,0x00000006,0x00800000,0x01000008,0xff300010,0x0000009f,
    0x00002002,0x077fdc00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccccccb8,0x4404cccc,0xcccccccc,0x0fffec2c,0x001ec000,
    0x00000000,0x7fff3000,0x2a03cc00,0x0ccccccc,0x66664400,0x501ccccc,
    0x66540fff,0x000ccccc,0x66666644,0x22001ccc,0xdefffedb,0xb8800782,
    0x2defffed,0xff980078,0x8800004f,0xdefffedb,0x00100782,0x77ffc404,
    0xcccca800,0x0ccccccc,0x33333220,0xc981cccc,0xcccccccc,0xcccccccc,
    0x3332a3cc,0xcccccccc,0x33332200,0x911ccccc,0x99999999,0x13355599,
    0x99993000,0x99999999,0x99999999,0x66666499,0x13cccccc,0xffffffb5,
    0xd7300359,0x4137ffff,0x0007fff8,0x33260730,0xcccccccc,0xcccccccc,
    0x3333223c,0xcccccccc,0xcccccccc,0x2ffff884,0x95101e00,0x00bfffff,
    0xdfffd730,0x3fe60135,0xff95100f,0x3000bfff,0x35dfffd7,0xfffb3001,
    0xffb95579,0x2001fb59,0xabcfffd9,0xdacffdca,0x7fcc000f,0x2600004f,
    0xaabcfffd,0xfdacffdc,0x00bf9300,0xff503fb5,0xfb8801df,0xbeffffff,
    0xfffca801,0xfb80adff,0xffffffff,0xffffffff,0x3fee21ff,0x1befffff,
    0xffffca80,0x3ae60adf,0xffffffff,0xceffffff,0xffff7002,0xffffffff,
    0xffffffff,0x3f2a61ff,0x0adfffff,0x04ffff98,0x407ff600,0x0005fffc,
    0x7ffdc020,0xffffffff,0xffffffff,0x7fff5cc1,0xffffffff,0x0fffffff,
    0x03ffffe8,0xffd80050,0x360003ff,0xfff1006f,0x3fff6003,0x3f60003f,
    0x7ffdc006,0x7ffec403,0xfffb800f,0x7ffec403,0x7fcc000f,0xf700004f,
    0xfd8807ff,0x7ed40fff,0xff7105ff,0x3ff203ff,0xfd8801ff,0x8001ffff,
    0x6402fffc,0x9999acff,0xffa99999,0xffb103ff,0x90003fff,0xfb005fff,
    0x26357dff,0xeffffdca,0x56ffdc02,0xfffa999a,0xfca9999d,0xfffb80ff,
    0xffff802f,0x17ea0001,0x003ffff8,0xcffc8000,0x9999999a,0x3ffffa99,
    0x027ffe40,0x407fe4c4,0x1efffffa,0xffd80000,0xf50002ff,0x0fffc009,
    0x5ffffb00,0x013ea000,0x000effd8,0xb007ffea,0x54001dff,0x4c001fff,
    0x80004fff,0x2000effd,0x32e1fffa,0x9b05fffe,0xd103ffff,0x007ffffb,
    0x003ffffa,0x2003fee0,0x7ec001fd,0xffe805ff,0xfb8000ff,0xfff7000f,
    0xfffb1009,0x0ff2019f,0x204fff98,0xff880fe8,0xfffd007f,0x27cc0001,
    0x02ffff88,0x1fd80000,0x2fffec00,0x027ffd40,0x7dc03ee0,0x00cfffff,
    0x3ffe2000,0xfa8001ff,0x03ff6004,0xfffff880,0x04fa8001,0x001dffb0,
    0x6c03ff70,0xb8000eff,0x7cc001ff,0x6c0004ff,0xb8000eff,0xbfff01ff,
    0x41fffa80,0xffff71e8,0xffff1009,0x05fd0007,0xf7000f60,0xf1001fff,
    0xd0007fff,0x7fd4005f,0x3fee004f,0x80b905ff,0x4404fff9,0x0dfff01f,
    0x003fff60,0xf304f980,0x00003fff,0xb8007b00,0x9800ffff,0x44004fff,
    0x3fff201f,0x0003ffff,0xdfffff10,0x03f98001,0x10017f60,0x01dfffff,
    0xb803f980,0x20002fff,0xfff702fc,0x17e40005,0x13ffe600,0x2fffb800,
    0x40bf2000,0x7c405ffd,0x507a21ff,0x7007ffff,0x4001ffff,0x03a005fa,
    0x2ffff980,0x3fffee00,0x017ea000,0x009fff50,0x84ffff98,0x7ffcc03c,
    0xff01d804,0x3ff600df,0x3e60000f,0x3ffff504,0x1d000000,0x7fffcc00,
    0x9fff3002,0xb803b000,0xefffffff,0x77c40002,0x4005ffff,0xff1003f9,
    0xfef88003,0x4c005fff,0x7ffcc03f,0x17c40005,0x002fffcc,0x3000be20,
    0x20009fff,0x0005fff9,0xffd817c4,0x0fffc405,0x3ffe60bd,0xfffd802f,
    0x003fa005,0x7ff40068,0xffd8005f,0x03fa005f,0x09fff500,0x5ffff900,
    0x7fcc00d8,0xf01b804f,0x3f600dff,0x260000ff,0xffff704f,0xd0000001,
    0x5fffe800,0x13ffe600,0x22006a00,0xfffffffd,0x9f10000d,0x009ffff5,
    0xfc801fcc,0xacf88002,0x2004ffff,0x7fec03f9,0x3d80001f,0x001fffd8,
    0x4c003d80,0xb0004fff,0x00003fff,0x17ff607b,0x223fff10,0x3ffa202f,
    0xffff8805,0x002fc802,0xfff90014,0xff10001d,0x5f9005ff,0x9fff5000,
    0xffff1000,0xfff3000d,0xfff80009,0x1fffb006,0x827cc000,0x000ffffa,
    0x20028000,0x000efffc,0x0013ffe6,0x3ffaa000,0x000fffff,0xfff74f88,
    0x0fe6005f,0x0003d910,0x7ffdd3e2,0x07f3002f,0x003fffc4,0x7fc43980,
    0x7300007f,0x4fff9800,0x7fff8800,0x20730000,0x7c405ffc,0x805f71ff,
    0xb800fff8,0x2600ffff,0x2000005f,0x001ffff9,0x03fffee0,0x50005f98,
    0x20009fff,0x001ffffa,0x0027ffcc,0x401bffe0,0x0000fffd,0x7fcc13e6,
    0x000001ff,0x3ffe6000,0x7fcc001f,0x0002004f,0xffffff70,0x4f88001d,
    0x007ffff6,0x7ec40fe6,0x27c40003,0x003ffffb,0x7fe407f3,0x0200005f,
    0x000bfff9,0x3e600040,0xfc8004ff,0x200005ff,0x80bff900,0x9fb1fff8,
    0x005ff500,0xe817fffa,0x1000000f,0x0009fffd,0x40bfffd0,0xf50000fe,
    0x7c0009ff,0x4c004fff,0x40004fff,0xfb006fff,0x4c0001ff,0xffff104f,
    0x00000005,0x13fffa20,0x13ffe600,0x88000580,0x05fffffc,0xfd127c40,
    0xf9801dff,0x007fd103,0x3a24f880,0x4c00efff,0x3fffe03f,0x3e000003,
    0x00003fff,0x3ffe6000,0xffff8004,0xc8000003,0x7fc405ff,0x200ff91f,
    0xff3003ff,0x07f705ff,0x7fe40000,0xf300006f,0x7f705fff,0x7ffd4000,
    0x3ff60004,0x7fcc007f,0x7fc0004f,0xfffb006f,0x27cc0001,0x007ffff0,
    0x32000000,0x30006fff,0x26009fff,0x3e600005,0x2001ffff,0x7ffc44f8,
    0x01fcc06f,0x40007b66,0x7ffc44f8,0x81fcc06f,0x002ffff8,0xffff1000,
    0x00000005,0x0027ffcc,0x00bfffe2,0x3ff20000,0x8fffc405,0xfc805ffa,
    0x3ffee001,0x001be20e,0xffffa800,0x3ee00001,0x1be20eff,0x9fff5000,
    0x7ffe4000,0x3fe6000f,0x7fc0004f,0xfffb006f,0x27cc0001,0x00dfffb0,
    0xf5000000,0x20003fff,0xb004fff9,0x2002440b,0x003ffff9,0x3fe613e2,
    0x0fe604ff,0x4000fe40,0xfff984f8,0x40fe604f,0x001ffff9,0xffff3000,
    0x00000003,0x0027ffcc,0x007fffe6,0x3ff20000,0x0fffc405,0x7c809fff,
    0x4fffe800,0x000007f6,0x01ffffc4,0x7fff4000,0x00007f64,0x0009fff5,
    0x00ffffdc,0x009fff30,0x006fff80,0x0001fffb,0xff3027cc,0x000001ff,
    0x7fffc400,0x3fe60003,0x999999df,0x2205fd99,0xfffa8006,0x413e2005,
    0x303ffffb,0x3fe6007f,0x827c4000,0x303ffffb,0x3ffea07f,0x5000001f,
    0x0003ffff,0x7fcc0000,0x7fd4004f,0x000001ff,0x4405ffc8,0x3ff21fff,
    0x0013a05f,0x2a7fffe6,0x2000004f,0x0005fffd,0x3ffff300,0x500009f5,
    0x40009fff,0x002ffffa,0x0013ffe6,0x200dfff0,0x0000fffd,0xffb013e6,
    0x3200007f,0x7ffec000,0x7fcc0005,0xffffffff,0x2205ffff,0xfff8000f,
    0x813e2005,0x981ffffc,0x17f6003f,0x6409f100,0xf981ffff,0x1ffff703,
    0x3ee00000,0x00000fff,0x3ffe6000,0x7ffdc005,0x8000000f,0x7c405ffc,
    0x7ffec1ff,0x00074c0e,0x6fefffc8,0x3ee00000,0x00000fff,0x3fbfff20,
    0xff500006,0x7cc0009f,0x26002fff,0x40004fff,0xfb006fff,0x4c0001ff,
    0x7ffcc04f,0x25c0000f,0x3fffee00,0x7fcc0000,0xaaaaaaef,0x2205fecb,
    0xffe8003f,0x013e2004,0x981ffffd,0x3ff6003f,0x013e2000,0x981ffffd,
    0xffff503f,0x2a000001,0x0000ffff,0x3fe60000,0x7fd4005f,0x000000ff,
    0x4405ffc8,0xffe81fff,0x001b51ff,0x2ffffe80,0xff100000,0x000005ff,
    0x05ffffd0,0x3ffea000,0x3fea0004,0x3e6000ff,0x7c0004ff,0xffb006ff,
    0x7cc0001f,0x5fffd804,0x001aa000,0x005ffff1,0x09fff300,0x7c40bd10,
    0x7ffc000f,0x013e2002,0x98dfffd1,0x3ffa003f,0x013e2001,0x98dfffd1,
    0xffff303f,0x26000003,0x0001ffff,0x3fee0000,0x7fcc006f,0x000001ff,
    0x4405ffd8,0xffb01fff,0x0000b9ff,0x001bffe6,0x5fffe800,0xf3000000,
    0x40000dff,0x0004fffa,0x001fffee,0x0009fff3,0xb006fff8,0x40001fff,
    0xffb003f9,0xfa8001bf,0x7fff4001,0xff300005,0x816a009f,0x5000eff8,
    0xf8800bff,0xffff9804,0xf800fe65,0x3e2002ff,0xffff9804,0x7c40fe65,
    0x00002fff,0x05ffff10,0x22000000,0x00cffffe,0x05ffff10,0xffd00000,
    0x1fff880d,0x0bfffee0,0x7ffc4000,0xf7000005,0x00001fff,0x17ffe200,
    0xfffa8000,0x3ff60004,0x7fcc006f,0x7fc0004f,0xfffb006f,0x1fd40003,
    0xefffe880,0x01ec8802,0x07fffdc0,0xfff98000,0x440b1004,0x4401efff,
    0x44000fff,0xfff5004f,0x400fe67f,0x2000fff9,0xff5004f8,0x80fe67ff,
    0x0003ffff,0x0ffffe00,0xe8800000,0xfffffffe,0xfff802ef,0x4000003f,
    0x201ffff9,0x5401fff8,0x0000ffff,0x005fff88,0xffff9800,0x20000002,
    0x0005fff8,0x013ffea0,0x05fffe80,0x027ffcc0,0x01bffe00,0x000fffe4,
    0xb8007f50,0x9abfffff,0x00efecb9,0x17fffcc0,0xfff30000,0xf1014009,
    0x437bffff,0x001effb9,0x32004f88,0x3f9affff,0x00fff500,0x32004f88,
    0x3f9affff,0x01bfff60,0xfffd8000,0x00000006,0x7fec0000,0x5000006f,
    0xdffffffd,0x03fff105,0x00bfff30,0x0bfff100,0xfffd0000,0x80000009,
    0x0005fff8,0x013ffea0,0x1ffffc40,0x13ffe600,0x0dfff000,0x00bfff20,
    0x8002fb80,0xffffffc8,0x0002dfff,0x0009fffd,0x04fff980,0x733f1000,
    0xfffffffb,0x7c40009f,0x7ffec004,0xf7003faf,0x4f8800df,0x7fffec00,
    0x3fe603fa,0x000000ff,0x001ffff3,0x00800000,0x3fffe600,0x00000000,
    0x003ffe20,0x000fffc4,0x017ffe20,0xdfff9000,0x80006000,0x0005fff8,
    0x013ffea0,0x037ffe40,0x027ffcc0,0x01bffe00,0x001fffd4,0x80001fb0,
    0x0aaceda9,0x3fff2000,0x4c030006,0x00004fff,0x9d951071,0x88000135,
    0x7f44004f,0x7003ffff,0xf8800bff,0x7ff44004,0x7ec03fff,0x900003ff,
    0x03fffd81,0x40019000,0x0000dfe8,0x0007fffb,0x10000320,0x4c020fff,
    0x440002ff,0x00005fff,0x007fffea,0x88000740,0x00005fff,0x0013ffea,
    0x007fffe6,0x013ffe60,0x00dfff00,0x001bffe6,0x100006f8,0x500001bd,
    0x0003ffff,0x7ffcc03a,0x00720004,0x00000774,0xf10009f1,0x2007ffff,
    0x44004ff9,0xff88004f,0x7cc03fff,0x40000fff,0xffff984b,0x025c0000,
    0x013ffee0,0x07fffcc0,0x0012e000,0x361bfe20,0x007fd03f,0x05fff880,
    0xffff1000,0x01a60007,0x05fff880,0x3ffea000,0xfffe8004,0xfff30004,
    0xfff80009,0x3fff6006,0x03fb8001,0x3fff9000,0x7ffc4000,0x0d30003f,
    0x0027ffcc,0xff7007a8,0x2200005f,0xff50004f,0x3e2007ff,0x27c4003f,
    0xffffa800,0x5fffd803,0xd81aa000,0x20005fff,0xffa8006a,0x3f60007f,
    0x2a0005ff,0xff100006,0x906ff88b,0xf880005f,0xb00006ff,0x4000dfff,
    0x3e20005c,0x200006ff,0x4004fffa,0x000ffffc,0x00bfff30,0x006fff80,
    0x0017ffe6,0x40000df5,0x0004ffd9,0x001bfff6,0x3fe605c8,0x4f88005f,
    0x0bff9300,0x017e6000,0x03fffb80,0x3001bf20,0x7dc000bf,0xffb003ff,
    0xfa8001bf,0x6fffec01,0x00fd4000,0x00faa980,0x37fff600,0x00fd4000,
    0x82ff8800,0x01fb05ff,0x6fff8800,0xfffb8000,0x7f50000f,0x7ffc4000,
    0x3ea00006,0xfd3004ff,0x40001dff,0x0005fff9,0x001bffe2,0x801dfff7,
    0x0001ffc8,0x002ffc40,0x00ffffb8,0x5407f500,0xd8005fff,0x37fc001f,
    0x06fa8000,0x01ffec00,0xa8007fa0,0x7ec0006f,0xffd1003f,0xd91005df,
    0xfffd1003,0x3d91005d,0x00d50000,0xefffe880,0x01ec8802,0x260ee440,
    0x109f906f,0xf500009f,0x88000fff,0x0002ffff,0x40005ff7,0x0007fffa,
    0x013fff20,0x19ffff71,0xfffb8000,0x3fe60006,0xffb8007f,0xca99bdff,
    0x0001fffe,0x001ff980,0x02ffff88,0x405ff700,0x2006fffb,0x44006fd8,
    0x880002ff,0x0000bffe,0xd3000ffa,0x3ffa200b,0x3fa0000b,0x7ffdc003,
    0xcb99abff,0x5c000efe,0x9abfffff,0x00efecb9,0x002e8800,0xfffff700,
    0xfd973357,0xff70001d,0x880fec7f,0x017aa0ee,0x3fffa200,0xfd0001cf,
    0x99999fff,0xdb999999,0x0003ffff,0x33ffffa2,0x7fcc0001,0xbbcdefff,
    0x0cfffffd,0xffe88000,0x54000cff,0x00dffffe,0x7fffe4c0,0x0befffff,
    0xfea80000,0xfffd0005,0x9999999f,0xffdb9999,0x3fe603ff,0xccccdfff,
    0xfffecccc,0x1bfaa004,0xfffdd000,0x0005dfff,0x360007f1,0xfffdd02e,
    0x0005dfff,0x910007f1,0xffffffff,0x440005bf,0xfffffffc,0x80002dff,
    0x00003ec9,0x7ffffe44,0x002dffff,0x3bfffe60,0xeeb801ee,0x6c0003ee,
    0xfffffffe,0x3ee004ef,0xffffffff,0xffffffff,0x8007ffff,0xffffffed,
    0x26004eff,0xffffffee,0xdeefffff,0xe880001b,0xfffffffe,0x7fec02ef,
    0xefffffff,0x5d544004,0x0001abcc,0x039dd300,0x3fffee00,0xffffffff,
    0xffffffff,0x7fff447f,0xffffffff,0xffffffff,0xcee9801f,0x00000001,
    0x0000cc00,0x00000b73,0x40001980,0x0aaccba9,0x5d4c0000,0x0000aacc,
    0x00002660,0x59975300,0x2a000015,0x000bceec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00180000,
    0x2aa00011,0x555440aa,0x55100002,0x00180035,0x00088031,0x06000003,
    0x00000c40,0x00555510,0xa8014400,0x54400000,0x00000aaa,0x00aaaa00,
    0x98014400,0x00000001,0x0000136a,0x20001001,0x0039801b,0x10000000,
    0x99999753,0x00079999,0x003fffe2,0x7ffec000,0x0cc88003,0x55554400,
    0x8002f220,0x002cc04c,0xb04fffa8,0x00003fff,0x001ffff9,0x1d10074c,
    0x3c805d00,0x1b500000,0x00007440,0x07fff700,0x00fc4000,0x200001ea,
    0x0004fffa,0x3ffee000,0x5d00001f,0x8000f880,0x44004fd8,0x0005ffeb,
    0x3ffffb6a,0x001d42cf,0x3a200eb8,0x6fec0003,0x8006fe40,0xffffffd9,
    0x3cdfdccc,0xffffb000,0xf300000b,0x8001ffff,0x54005ffd,0x7ff44fff,
    0x03be2005,0x640007ea,0x3fa205ff,0x7c40003f,0x4005ffff,0x03e881fd,
    0x1b209f50,0x3fb00000,0x00007d10,0x004ffe80,0x1bdfe800,0x0009fb73,
    0x00bffb00,0x7fc40000,0x00006fff,0x2a237bf9,0xf90006fc,0x3ae005ff,
    0x4005ffff,0xbdffffc8,0xbdffecba,0xff10004e,0xffd9559d,0x7fd40001,
    0x13ffe63f,0x3ffffea0,0x007cc7ff,0xff9ff300,0xe800003f,0x004ffedf,
    0x2003fff4,0x7fc45ffd,0x3ee000ff,0x0017ea1f,0x4400eff8,0x6c0006ff,
    0x01ffe9df,0xe88ffe20,0x37f6000f,0x0000bf60,0x4c7ff300,0x4000006e,
    0x00005ff8,0xffffff30,0x00001fff,0x0000dff0,0xe9efc800,0x880002ff,
    0xffffffff,0xff90002f,0xff88007f,0x3fe6005f,0x7f4c00cf,0x2e0005ff,
    0xffffffff,0x7fdc0002,0x17ffea4f,0xffffff50,0x00f98fff,0x74cbfa00,
    0x2e00006f,0x007ff25f,0x4003ffa8,0xbffd06ff,0x77ffd000,0x260001ff,
    0xff3000ff,0x97e60001,0x64006fd8,0x02ff9dff,0x6cf7fcc0,0x0000005f,
    0x5ff3bff9,0xfb800000,0x2000000e,0xfffffffb,0xfa800001,0x0000000e,
    0x7fc837e2,0xfff30000,0x0007ffff,0x00077fcc,0xb802ffec,0x5c003fff,
    0x5c0005ff,0x03ffffff,0x0efe8800,0xf500ffec,0xffffffff,0x0000f98f,
    0x2fd885f5,0x85f88000,0x044005fb,0x403fe600,0x98000bb8,0x004fffff,
    0x50007f20,0x13a0007f,0xf10017dc,0x000dffff,0x07fffff2,0x7c400000,
    0x0006ffff,0x000fd800,0xfed88000,0x000000ce,0x000003f9,0x7f505d80,
    0x3f620000,0x00001dff,0x7fec0001,0x3fffb805,0x00df9000,0x17bb7100,
    0x20080000,0xffffc800,0x4c7fffff,0x03d0000f,0x200007dc,0x00ba604c,
    0x03f90000,0xffd80000,0x3a0000ff,0x00b70002,0x06980950,0x0ffffdc0,
    0xffff8800,0x40000004,0x001ffffb,0x001f8000,0x00000000,0x0005d000,
    0x40598000,0x400000e9,0x00000000,0x202ffec0,0x0003fff9,0x000003f4,
    0x00000000,0xffffffe8,0x07cc7fff,0x4c00d400,0x00e20002,0x00000122,
    0x0000005d,0x00035551,0x0e000144,0x04400600,0x00aaaa00,0x01555300,
    0x55000000,0x00000055,0x00000051,0x00020020,0x00000288,0x03100180,
    0x00000000,0xffd80000,0x037ff405,0x0003d400,0x00000020,0x3ffe2000,
    0x7fffffff,0x000007cc,0x00000000,0x14400000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00100000,0x00000000,0xffdb5000,0x3a859fff,
    0x00000000,0x00010000,0x00002000,0xfc800020,0x3fff205f,0x01f00003,
    0x3fb2e600,0x0001bcef,0xff880000,0xffffffff,0x00007cc7,0xb3000000,
    0x00000009,0x2b8136a0,0xcccccc88,0xcccccccc,0x84cccccc,0xcccccccc,
    0x99993ccc,0x79999999,0x33333322,0xcccccccc,0x84cccccc,0xcccccccc,
    0x99913ccc,0x59999999,0x00001555,0x0007b000,0xcccccc88,0xcccccccc,
    0x04cccccc,0x7fffe440,0xffecbabd,0x99104ebd,0x99999999,0x00015555,
    0x007b0000,0xffdb3000,0x260005bf,0x02dfffed,0x882ffe40,0x0000ffff,
    0xe8800150,0xedbaceff,0xcb801eff,0x03cccccc,0x45999995,0xffffffff,
    0x207cc7ff,0xccccccc8,0xca81cccc,0xcccccccc,0x3fae20cc,0x1000005f,
    0xbffd7100,0xeb981e40,0xffffffff,0xffffffff,0x7e54c0ff,0x0adfffff,
    0xfffff953,0x75cc15bf,0xffffffff,0xffffffff,0x7e54c0ff,0x0adfffff,
    0x3ffffae6,0xffffffff,0x0000004f,0x30000df1,0xffffffd7,0xffffffff,
    0x2001ffff,0x400cfff9,0x205fffe9,0xfffffeb9,0xffffffff,0x10000004,
    0xc80000df,0x3ffea3ff,0x3205eeee,0x3ffea3ff,0xf905eeee,0x3ffee0bf,
    0x00000005,0x98037fee,0x64c03ffe,0x01bfffff,0x417ffd31,0xfffffffd,
    0x407cc7ff,0xfffffdb9,0xb98809be,0xadfffffe,0x3ffffae1,0x32600005,
    0x7ff5c05f,0x013605ff,0x2013fff2,0x200ffc98,0x402ffffb,0x802ffffb,
    0x8804fffc,0x2e00ffc9,0xd802ffff,0x511adfff,0x003dfffb,0x2ffc8000,
    0x3ff20000,0xfc98804f,0xfffb800f,0x2ffdc003,0xadfffd80,0xdfffb511,
    0xc8000003,0x900002ff,0xfff501ff,0x3f20ffff,0xffffa80f,0xbff907ff,
    0x00ffffa0,0x3a200000,0xfb1004ff,0xffc801bf,0x07fb005f,0xfffffff7,
    0x00f98fff,0x0077ffec,0x09ffff10,0x005fff88,0x5fffda80,0x0bfff100,
    0x7fd40274,0x07dc004f,0x00ffff10,0x200ffff1,0x4004fffa,0x3fe200fb,
    0xfff7007f,0x7fffd407,0x3e000004,0x200005ff,0x4004fffa,0x7fdc00fb,
    0xdf90003f,0x0fffee00,0x04ffffa8,0x3ffe0000,0xffa80005,0x00bffa04,
    0x7f409ff5,0x5ffc802f,0x02ffff88,0xfd800000,0xffe8004f,0x07ffe806,
    0x3f620fd0,0x7fffffff,0x3ee007cc,0xfd8004ff,0xffd802ff,0x765c0005,
    0x36005fff,0x017e05ff,0x0013ffe6,0xfff803f1,0x0dfff006,0x013ffe60,
    0xff803f10,0xfff5006f,0xffffb807,0xfb800001,0x00000fff,0x8009fff3,
    0x3fe601f8,0x3f40003f,0x03fffa80,0x00ffffdc,0x7ffdc000,0x7f40000f,
    0x17fee02f,0x5c05ffd0,0xffc805ff,0x1ffff985,0x5c000000,0xa8000fff,
    0x7d403fff,0x27cc01ff,0x3fffff60,0x007cc7ff,0x0013ffea,0x2007fff6,
    0x00005ffc,0xd8017ffe,0x01be05ff,0x0013ffe6,0xdfff0076,0x01bffe00,
    0x0027ffcc,0x3ffe00ec,0x7fff5006,0x0bfffd00,0xfffd0000,0x2600009f,
    0xd8004fff,0x01bffa01,0x5401ea00,0xfe803fff,0x800005ff,0x004ffffe,
    0x500fffc0,0xfff80fff,0x01ffea01,0x3ea17ff2,0x4c000fff,0xfffffffe,
    0x7ffcc2ef,0x3ffa0005,0x2fff400f,0x32003f20,0x47ffffff,0x7fd400f9,
    0xffd8003f,0x5ffc801f,0x3ff60000,0x17ff6005,0x7cc03fc4,0x1a8004ff,
    0x8037ffc0,0xf3006fff,0x350009ff,0x006fff80,0x9007fff5,0x0000ffff,
    0x7fffdf98,0xfff30000,0x20350009,0x0003fffc,0xff5001f0,0xfff9007f,
    0xf980000f,0x0007fffd,0x980bffe6,0xff301fff,0x7ffcc05f,0x42ffe401,
    0x000ffffb,0x3bfffee0,0x03fffd00,0x2fffd400,0x403ffea0,0x5d4005f8,
    0x07cc7edc,0x00fffea0,0x007fff20,0x00017ff2,0x2005ffd8,0xff305ffd,
    0x4fff9801,0xfff00000,0x1bffe00d,0x027ffcc0,0x6fff8000,0x07fff500,
    0x01ffff70,0x6cfec000,0x80002fff,0x0004fff9,0x03fffe20,0x40054000,
    0xb803fffa,0x0000ffff,0x3ff67f60,0x3fe0002f,0x3ffe203f,0x80fffe01,
    0x6401fff8,0xfffa85ff,0x7f40001f,0xfff703ff,0xfff0000b,0x4ffe805f,
    0x80005f70,0x2007cc7b,0x8003fffa,0xc801fffc,0x200005ff,0x32005ffd,
    0x3ff505ff,0x04fff980,0xfff80020,0x0dfff006,0x013ffe60,0x3ffe0008,
    0x7fff5006,0x0ffff700,0x9afc4000,0x80006fff,0x2004fff9,0x2fffdc00,
    0x54000000,0xfb803fff,0x200007ff,0xdfff35f8,0x27fec000,0xd80fff30,
    0x3fe604ff,0x85ffc807,0x002ffff9,0x817ffec0,0x0004fffc,0x404fffe8,
    0x7e80fffb,0x4c7b8000,0x7ffd400f,0xfffc8003,0x05ffc801,0x17ff2000,
    0x705ffc80,0xff9803ff,0x8016004f,0xff006fff,0x3fe600df,0x8016004f,
    0xf5006fff,0xffb007ff,0x640000df,0x07fffa2f,0x9fff3000,0x3fa02c00,
    0x000003ff,0x03fffa80,0x006fffd8,0xfe8bf200,0xf70001ff,0x3fee01ff,
    0x07ffdc04,0xc804ffb8,0xfff885ff,0x7e40003f,0xfffd02ff,0xffb00007,
    0x9fff00bf,0x80003f98,0x2007cc7b,0x8003fffa,0xc801fffc,0x7fedc5ff,
    0xbff9001c,0x82ffe400,0x7cc02ffc,0x0b3004ff,0x8037ffc0,0xf3006fff,
    0x166009ff,0x006fff80,0x8807fff5,0x0002ffff,0xfff51be0,0xff980009,
    0x40b3004f,0x002ffff8,0xffa80000,0x7ffc403f,0x3e00002f,0x027ffd46,
    0x209ff900,0xff9006fe,0x401bfa09,0xfff05ffc,0xfc8000df,0xffff02ff,
    0xff900005,0xfff700ff,0x00007e41,0x003e63dc,0x0007fff5,0x9003fff9,
    0x3ff62bff,0xc800ffff,0x3f2005ff,0x07ffb05f,0x004fff98,0x7ffc00bb,
    0x0dfff006,0x013ffe60,0xfff002ec,0x3ffea00d,0x2ffff403,0x07f50000,
    0x0001ffff,0x8027ffcc,0x3ffe605d,0x0000001f,0x403fffa8,0x0005fffe,
    0x3fe0fea0,0x320000ff,0xffb88cff,0x3ff2000d,0x0dffb88c,0x20bff900,
    0x000ffffd,0x20bfff20,0x001ffff9,0x0ffffb80,0xf14fff80,0x1ee0000b,
    0xffa801f3,0xffc8003f,0xdffc801f,0xffcabee8,0x5ffc805f,0x417ff200,
    0x7cc04ffe,0x99999dff,0x005fd999,0x7c01bffe,0xff3006ff,0x333333bf,
    0x400bfb33,0xf5006fff,0x3fa607ff,0x00000dff,0x3ff203fa,0x3e60003f,
    0x99999dff,0x205fd999,0x000ffffa,0x7fffff4c,0xf502efff,0x3fa607ff,
    0x00000dff,0x3ff203fa,0x3e20003f,0x02ceffec,0xffecf880,0x7e4002ce,
    0xffff105f,0x7fe40007,0xffffa82f,0xffa80000,0xffb801ff,0x0002fb8f,
    0x00f98f70,0x001fffd4,0x400fffe4,0xb83eeffc,0x7e401fff,0x3ff2005f,
    0x80bffd05,0xfffffff9,0x5fffffff,0x01bffe00,0x98037ffc,0xffffffff,
    0x05ffffff,0x401bffe0,0xa99cfffa,0x03efffdb,0x827cc000,0x0006fff8,
    0x3fffffe6,0xffffffff,0x3fffee05,0x3fee0000,0x7d400eff,0xdba99cff,
    0x0003efff,0xf8827cc0,0xf30006ff,0x7cc00007,0x3f200003,0x3fff205f,
    0x3ff20006,0xffffb82f,0xff980000,0xff8802ff,0x00006ebf,0x801f31ee,
    0xeeeefffa,0xeeeeeeee,0x801ffffe,0x3a02fffc,0x7fe403ff,0x17ff2005,
    0x26037ffc,0xaaaaefff,0x05fecbaa,0x401bffe0,0xf3006fff,0x55555dff,
    0x00bfd975,0xa8037ffc,0xffffffff,0x00001dff,0x7ec03fb0,0xf30001ff,
    0x55555dff,0x40bfd975,0x001ffffa,0x01ffff40,0x7fffffd4,0x001dffff,
    0x403fb000,0x4001fffd,0x200006f8,0x400006f8,0x3e205ffc,0x90004fff,
    0xff505fff,0x500003ff,0x2001ffff,0x003ffffc,0x1f31ee00,0xeefffa80,
    0xeeeeeeee,0x1ffffeee,0x405ffc80,0x7e404ffd,0x3ff2005f,0x07fff885,
    0x4027ffcc,0x3fe005e8,0xdfff006f,0x13ffe600,0xf8017a20,0xff5006ff,
    0xfff5339f,0x1000001f,0xfffa80bf,0xfff30005,0x40bd1009,0x002ffff9,
    0x017ffec0,0x4ce7ffd4,0x000ffffa,0x405f8800,0x4005fffa,0x00001ffc,
    0x00003ff9,0x2a02ffec,0x8001ffff,0xf882fffc,0x80002fff,0x2007fffb,
    0x000ffff8,0x1f31ee00,0x03fffa80,0x01fffc80,0x6405ffc8,0x7fe405ff,
    0x17ff2005,0x803fffe6,0x5004fff9,0x37ffc00b,0x006fff80,0x2009fff3,
    0x3ffe005a,0x7fff5006,0x005fffc8,0x802fb800,0x8000fffe,0x5004fff9,
    0x7fffc40b,0x7fe40003,0xfffa802f,0x02fffe43,0x017dc000,0x0007fff4,
    0xdddffffd,0x801799bd,0xeeeffffe,0x800bccde,0xfa805ffd,0x64001fff,
    0xfff02fff,0xf900007f,0xfc800dff,0x5c00005f,0x2a007cc7,0xc8003fff,
    0xfc801fff,0x2ffe405f,0x8017ff60,0xffa85ffc,0x3fe600ff,0x00b1004f,
    0xf8037ffc,0xff3006ff,0x0162009f,0x5006fff8,0xffd07fff,0xf800007f,
    0xeeeeeeef,0x03ffffee,0x04fff980,0xfff80b10,0x7e40006f,0xffa802ff,
    0x3fffe83f,0x77fc0000,0xeeeeeeee,0x2003ffff,0xfffffffc,0x0cffffff,
    0xffffff90,0x9fffffff,0x037ff401,0x02ffffa8,0x40bfff60,0x0004fffe,
    0x004fffd8,0x0000ffc4,0x01f31ee0,0x003fffa8,0x801fffc8,0x7e405ffc,
    0x37ff405f,0x30bff900,0x4c01ffff,0x0a004fff,0x006fff80,0x2600dfff,
    0x0a004fff,0x006fff80,0xf107fff5,0x00003fff,0x3bbbbbea,0xffeeeeee,
    0xff98007f,0xb00a004f,0x0001ffff,0x4017ffe4,0xf883fffa,0x00001fff,
    0xddddddf5,0xfffddddd,0xfffb800f,0xffffffff,0x3fee06ff,0xffffffff,
    0xff306fff,0x362003ff,0x7102efff,0x2017fffd,0x0005fffc,0x003fffd8,
    0x800006e8,0x2007cc7b,0x8003fffa,0xc801fffc,0x7fe405ff,0x3fffe605,
    0x0bff9001,0xf3017ffa,0x000009ff,0x7c01bffe,0xff3006ff,0x2000009f,
    0xf5006fff,0x3fea07ff,0xfd00006f,0x7ffec001,0x7ffcc002,0x3e200004,
    0x20003fff,0xa802fffc,0xff503fff,0x3a0000df,0x3ff6000f,0x4572002f,
    0xccbaaaa9,0x2b901ffe,0xcbaaaa98,0x3aa1ffec,0x4effffff,0xfffd9300,
    0xbffffddf,0xffff3005,0xfff80001,0x1fcc000e,0x23dc0000,0x7fd400f9,
    0xffc8003f,0x5ffc801f,0x542ffe40,0xeffffffe,0x82ffe402,0x7cc00dd9,
    0x000004ff,0x3e00dfff,0xff3006ff,0x2000009f,0xf5006fff,0x7fec07ff,
    0x7cc0004f,0x7ffcc004,0x7ffcc005,0x7e400004,0x320006ff,0xfa802fff,
    0x3ff603ff,0x7cc0004f,0x7ffcc004,0x001d9005,0x0ec84fa8,0x0027d400,
    0x7dd44000,0x80019acc,0x0003fffc,0x000bffee,0x000003f6,0x801f31ee,
    0x8003fffa,0xc801fffc,0x7fe405ff,0x0017c405,0x00017ff2,0x0013ffe6,
    0xdfff01c8,0x01bffe00,0x0027ffcc,0x3ffe0390,0x7fff5006,0x17fff440,
    0x003f9000,0x003fffd0,0x0027ffcc,0xfff88390,0xff90004f,0xfff5005f,
    0x7fff4407,0x07f20002,0x07fffa00,0x20007f70,0x001fdc4e,0x17bb04e8,
    0x07b60000,0x3ffe2000,0xfff0000f,0x0bf1000b,0x31ee0000,0xfffa801f,
    0xfffc8003,0x05ffc801,0x3202ffe4,0x7fe4000f,0x805b9105,0x0004fff9,
    0x37ffc0f5,0x006fff80,0x0009fff3,0x6fff81ea,0x07fff500,0x00ffff98,
    0x0005f880,0x4009fff7,0x0004fff9,0x3ffea0f5,0xffc8001f,0xfffa802f,
    0x7fffcc03,0x05f88000,0x09fff700,0x8000ffc4,0x007fe22f,0xfff817c0,
    0x7d40001f,0xa80003ff,0xb8003fff,0xd8000fff,0x7000001f,0x5400f98f,
    0xc8003fff,0xfc801fff,0x2ffe405f,0x9000bfa0,0x3ff60bff,0x3ffe600f,
    0x04f88005,0x7c01bffe,0xff3006ff,0x9f1000bf,0x8037ffc0,0xb804fffa,
    0xc8006fff,0xff10002f,0x3e6001ff,0xf88005ff,0x3fffea04,0x7ffe4001,
    0x4fffa802,0x06fffb80,0x0002fc80,0x201ffff1,0xd8005ffc,0x002ffe45,
    0xffb302ec,0xfc880009,0xfb00006f,0x7cc003ff,0x4c0802ff,0x2000005f,
    0x2007cc7b,0x8003fffa,0xc801fffd,0x7fe405ff,0x002ffc05,0x7f417ff6,
    0x3fea01ff,0x1fd8005f,0x00dfff10,0x200dfff1,0x8005fffa,0xfff101fd,
    0x3ffea00d,0x9fffb004,0x007fc400,0x09fffd00,0x017ffea0,0xf5007f60,
    0x6c005fff,0xfa802fff,0xffb004ff,0x7fc4009f,0x3ffa0000,0xbfff904f,
    0x81fb3003,0x801dfffc,0x7c400fd9,0xfd00006f,0x7d40000f,0xffb802ff,
    0x77fcc00e,0x0000ffcc,0x1f31ee00,0x04fffb80,0x01fffd80,0x6405ffd8,
    0x7fec06ff,0xbffb000b,0x701bff20,0x4400dfff,0x3fe606fd,0xfff9807f,
    0xdfff7007,0x037ec400,0x200ffff3,0x1005fffc,0x200bffff,0x640006fd,
    0xb801ffff,0x22006fff,0xfb1006fd,0x2e205dff,0x800bfffe,0x1005fffc,
    0x200bffff,0x640006fd,0xe881ffff,0xccdeffff,0x80dfedcb,0xdeffffe8,
    0xdfedcbcc,0x04ff9800,0x03ff8800,0x7ff44000,0x3f6a209c,0xfffb004f,
    0x00005fff,0x07cc7b80,0x017fff20,0x00bfffa0,0xfb01bff6,0xfff980ff,
    0xfd05cadf,0x2014c0df,0xcdfffff9,0xeccccccc,0xfd504fff,0x2a01bfff,
    0x00dffffe,0x37ffffe6,0xcccccccc,0xd504fffe,0x401bffff,0x0bfffff9,
    0xeffffa80,0xfffc881b,0xfff30002,0x26017fff,0xccdfffff,0xfecccccc,
    0x64c004ff,0xfeeffffe,0x2002dfff,0x0bfffff9,0xeffffa80,0xfffc881b,
    0xfff30002,0xb8817fff,0xffffffff,0x5c401eff,0xffffffff,0xd5001eff,
    0x980001df,0x00000ffd,0xfdfffb70,0x4003bdff,0x02effffa,0x47b80000,
    0xff7100f9,0x26007fff,0x01effffc,0x407fffe6,0x401ffff8,0x0cfffffb,
    0x01ffff98,0x7ffff440,0xffffffff,0xffffffff,0x7ffffec1,0xfb4effff,
    0xffffffff,0x3fffa29d,0xffffffff,0xffffffff,0x7fffec1f,0x34efffff,
    0xffffffdd,0xfc805dff,0x327fffff,0x5fffffff,0xfffff300,0x227fffff,
    0xfffffffe,0xffffffff,0x001fffff,0x3332aa20,0x3a60019a,0xfffffffe,
    0x7fe402ef,0x3f27ffff,0x05ffffff,0xffffff30,0x2a07ffff,0x1bcefedc,
    0xfedca800,0xd3001bce,0x8800037d,0x00001cee,0x26f2a200,0x37ae0000,
    0x20000002,0x2607cc7b,0xfffffffe,0xfeb82eff,0xffffffff,0xfffff50e,
    0x3fae9fff,0x02efffff,0x2a026a62,0xeffffffe,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01000000,0xa8800000,0x000002aa,0x2aaaa200,
    0x1b800000,0x00003980,0x00aaaa88,0x00136600,0x333332a0,0x644000cc,
    0xcccccccc,0x4ccc4001,0x66665c00,0x04cccccc,0x66666644,0x4cc02ccc,
    0x64400099,0xcccccccc,0x000aaaac,0x44035100,0x99999910,0x01999999,
    0xec880000,0x0005501d,0x144005c0,0x57300000,0xb9800000,0x2001b980,
    0xccccccc8,0x64c1cccc,0xcccccccc,0xd8000003,0x40000003,0x0001fffd,
    0xfff50000,0x2e000009,0x00fa200e,0x3ffee000,0xfeb88004,0xa880005f,
    0x05fffffc,0xfffeb980,0x740009ae,0x54401fff,0xcffffffd,0xfeb9801a,
    0x4009bfff,0x8004fffc,0xfffffeb9,0xffffffff,0xff910004,0x4c3903df,
    0xffffffeb,0x000002bc,0x6fffffdc,0x000006c0,0x007d00b9,0x3ffe2000,
    0xf7000003,0x7ffcc1ff,0x3f6e6001,0x09beffff,0x7fffe544,0x3f201adf,
    0xdf10000d,0x88000000,0x00003ffe,0x0bff9000,0x7fc40000,0xffecaace,
    0xfd800000,0xfea8005f,0x00005fff,0x03ffffd8,0x001bf600,0x003fff88,
    0x027fffcc,0x003ffb00,0x0006ffd8,0x8d6fffec,0x1efffda8,0x7fffec00,
    0x403a0dff,0x001ffffc,0x9bf10000,0x739fffff,0xf980000f,0xecb88ace,
    0x7000000f,0x0000bfff,0xc8bfff60,0xb0003fff,0x2001dfff,0x8801efff,
    0x90003fff,0x000005ff,0x006ff880,0xdff00000,0xb8000001,0xffffffff,
    0xff000002,0xfff0000d,0x3600000b,0x0002ffff,0x5c0009f5,0xff0004ff,
    0x540003ff,0xffd0005f,0x7fdc0001,0x3ffea03f,0x13d3004f,0xfbfffff9,
    0x37ffd40d,0x95000000,0x7ffffec4,0xc800003f,0xffffffff,0x22000003,
    0x00003fff,0x541fff70,0x70001fff,0x26009fff,0xf5000dff,0x3e0009ff,
    0x000005ff,0x000ff980,0x7fcc0000,0x70000000,0x07ffffff,0x3bea0000,
    0xffd80000,0xf1000005,0x0003ffff,0x6c0009f5,0x3fa0005f,0x260000ff,
    0xfd10004f,0x7fd40007,0x7ffdc03f,0x443a801f,0x00fffffd,0x0017ffe6,
    0x981b8000,0x0004fffe,0xffffb100,0x000009ff,0x00005930,0xca81ca80,
    0x3fea0002,0x4fe8803f,0x27ffcc00,0x7fffdc00,0x80000000,0x000002fa,
    0x0000fe40,0x376e2000,0x2000000b,0x900001fc,0x00000bff,0x3bffffe2,
    0x01fcc000,0x0006f880,0x0007ffec,0x40009f30,0x2a0005f9,0xfe803fff,
    0x00a805ff,0x98017d93,0x00005fff,0x13100200,0xb5000000,0x00003bdf,
    0x00000000,0xa8000000,0xfd803fff,0xfff88004,0xfffe8002,0x0000004f,
    0x00000b70,0x00002e80,0x00000000,0x00002f80,0x00017ff2,0x7fff7c40,
    0x1fcc005f,0x000ea800,0x007ffec0,0x0009f300,0x50000fa8,0xf9007fff,
    0x00000fff,0x04fff980,0x00000000,0x00000000,0x02000000,0x00000020,
    0xfffa8000,0x0027ec03,0x8003fff0,0x07fffdf9,0x0e000000,0x28800000,
    0x00000000,0x28800000,0x7fe40000,0xf1000005,0x09ffff59,0x8001fcc0,
    0xfd80001b,0x260000ff,0x1b80004f,0x7fff5000,0x1ffff700,0x4c000000,
    0x00004fff,0x99999995,0xccc88001,0x01cccccc,0x00000400,0xffedb880,
    0x5c782def,0xcccccccc,0x664404cc,0x2ccccccc,0x407fff50,0x6c0004fd,
    0x9fd8007f,0x0002fffd,0x00004000,0x00010000,0x99999970,0x40199999,
    0xccccccc8,0x000002cc,0x017ff200,0xba7c4000,0x3002ffff,0x0000007f,
    0x00fffd80,0x0013e600,0xff500000,0xfff7007f,0x3333200f,0x3ccccccc,
    0x013ffe60,0x7fe54400,0x98005fff,0x9aefffeb,0x01ec0000,0xffb30000,
    0xfb95579f,0x441fb59f,0xffffffda,0xeb9801ac,0x009bffff,0x3607fff5,
    0xfc80004f,0x9afc4006,0x00006fff,0x0001ec00,0x003d8000,0x7ffed440,
    0x801acfff,0xbffffeb9,0x99999109,0x19999999,0x5ffc8000,0x9f100000,
    0x00ffffec,0x93001fcc,0x00bc8817,0x003fff60,0x2004f980,0x5e440bc9,
    0x3ffea000,0x6fffd803,0xfff95300,0x4015bfff,0x0004fff9,0x7ffffb00,
    0x037ec000,0x00df1000,0x3ffee000,0x7ffec403,0xffff300f,0x7fec0009,
    0x3fffa801,0x00027ec4,0x64005fa8,0x07fffa2f,0x7c400000,0x80000006,
    0x200006f8,0x004ffff9,0x4c07ff20,0xffffffeb,0xc80002bc,0x999905ff,
    0xf1009999,0x77fff449,0x801fcc00,0x7f44fff8,0x3ff6005f,0x3e60000f,
    0x9fff1004,0x2005ffe8,0x4403fffa,0x8002ffff,0x002ffffb,0x0009fff3,
    0x7fffec00,0x09f50002,0x17fe4000,0x3ff60000,0x3fea000e,0x3fffe01f,
    0x17ea0001,0x11fffd40,0x400009fd,0x37c003f9,0x0013ffea,0x17fe4000,
    0x32000000,0x200002ff,0x0001ffff,0x7e4017ea,0x00001fff,0xe982ffe4,
    0x800acfff,0x7ffc44f8,0x01fcc06f,0x226fff98,0x36007fff,0x20000fff,
    0xff3004f9,0x3fffc4df,0x07fff500,0x005fffe8,0x00ffff10,0x0027ffcc,
    0xffff1000,0x9f50003f,0x7ffc0000,0x3f600005,0xfb8000ef,0x3fffa01f,
    0x13e60000,0x89fffd40,0x800004fe,0x0fea002f,0x0003fffe,0x17ffe000,
    0xff000000,0x740000bf,0x20001fff,0xff5004f9,0x900000df,0x6fec0bff,
    0x427c4000,0x204ffff9,0x3fe003f9,0x02fff43f,0x001fffb0,0xf0027cc0,
    0x5ffe87ff,0x0fffea00,0x06ffff4c,0x0dfff000,0x027ffcc0,0xfff10000,
    0x98001dff,0xf700003f,0x00001fff,0x0005fff7,0xffb017e4,0x7cc0001f,
    0x7fff5004,0x0000bfd3,0xfe800360,0x03fffc80,0x7fdc0000,0x000000ff,
    0x01ffff70,0x3fff6000,0x13e60000,0x02fffcc0,0x2ffe4000,0x10004fc8,
    0x3ffee09f,0x007f303f,0x15c415c4,0x03fff600,0x004f9800,0x0ae20ae2,
    0x39fff500,0xdfffb753,0xfff00007,0x7ffcc00d,0x22000004,0x05ffffef,
    0x0001fcc0,0x04ffffe8,0x2fffcc00,0x80be2000,0x0000fffd,0x7d4013e6,
    0x1ffffdff,0x40000000,0xfff104f9,0xe800000d,0x0004ffff,0xffffd000,
    0x3f600009,0x260000ff,0xfff3004f,0xf900000b,0x007f90bf,0xf9027c40,
    0x7f303fff,0x80000000,0x0000fffd,0x000013e6,0xffff5000,0x3bffffff,
    0x7ffc0000,0x3ffe6006,0x22000004,0x4ffffacf,0x000fe600,0x3fff7e60,
    0x7fec0007,0x3d80001f,0x003fff60,0x5004f980,0xffffbfff,0x0000003f,
    0xfb00fec0,0x000003ff,0x1ffff7e6,0x3e600000,0x0007fffd,0x001fffb0,
    0x98027cc0,0x00004fff,0x7ec5ffc8,0x27c40002,0x03ffffa0,0x000007f3,
    0x0fffd800,0x013e6000,0xf5000000,0xff5339ff,0x400001ff,0x26006fff,
    0x00004fff,0x7fdd3e20,0x7f3002ff,0xb3fb0000,0x20005fff,0x0007fff8,
    0x7fec0730,0x3e60000f,0x7fff5004,0x03fffff3,0xf1000000,0x5fffa80b,
    0x3fb00000,0x0005fffb,0xfd9fd800,0xd80002ff,0x20000fff,0xff3004f9,
    0x9000009f,0x0bf62bff,0x013e2000,0x98dfffd1,0x9999903f,0x99997059,
    0xfffb0059,0x27cc0001,0x2cccccc8,0x2cccccb8,0x43fffa80,0x0005fffc,
    0x801bffe0,0x0004fff9,0xfd93e200,0xf9801fff,0xafc40003,0x0006fff9,
    0x000bfff9,0xfffb0040,0x27cc0001,0x33fffa80,0x003fffff,0x2fb80000,
    0x00fffe80,0x9afc4000,0x00006fff,0x7fcd7e20,0xfd80006f,0x260000ff,
    0xfff3004f,0xf9000009,0x005fd1bf,0x2013e200,0x265ffff9,0xffb5303f,
    0xffd7309f,0xfffb009f,0x1fcc0001,0x4fffda98,0x4fffeb98,0x83fffa80,
    0x0003fffe,0x400dfff0,0x0004fff9,0xe893e200,0x4c00efff,0x7e40003f,
    0x007fffa2,0x00ffffe0,0x7fec0000,0x3e60000f,0x7fff5004,0x0fffffcc,
    0xff000000,0xdddddddd,0x007ffffd,0x3a2fc800,0x00001fff,0x7ff45f90,
    0x7ec0001f,0x260000ff,0xfff3004f,0xf9000009,0x00bffddf,0x4013e200,
    0xf33ffffa,0x4fff8807,0x013ffe20,0x0007fff6,0x7c403fa8,0x3fe204ff,
    0xfffa804f,0x1ffff883,0x6fff8000,0x13ffe600,0x4f880000,0x037fffc4,
    0xf0000fe6,0x04fffa8d,0x17fffc40,0xfd800000,0x260000ff,0xfff5004f,
    0xfffff987,0xa8000001,0xeeeeeeef,0x7fffeeee,0x237c0000,0x0004fffa,
    0xffa8df00,0x7ec0004f,0x260000ff,0xfff3004f,0xf9000009,0x09fff7bf,
    0x009f1000,0x4d7fffe4,0x4ffe803f,0x4027ff40,0x0001fffc,0x3fa00fea,
    0x27ff404f,0x81fffd40,0x0006fffa,0x2006fff8,0x0004fff9,0x2613e200,
    0x2604ffff,0x3ea0003f,0x00ffff83,0x07fffe60,0x7ec00000,0x260000ff,
    0xfff5004f,0xfffff307,0xe8000003,0x3ff6000f,0xf500002f,0x01ffff07,
    0x83fa8000,0x0000ffff,0x0003fff6,0xf3004f98,0x000009ff,0x3ff6bff9,
    0x7c40002f,0x7ffec004,0xfe803faf,0x27fec04f,0x017ffe40,0xd005f700,
    0xffd809ff,0x3fffa804,0x013fff60,0x00dfff00,0x0027ffcc,0x27c40330,
    0x03ffffb8,0x740007f3,0x3fffc80f,0x3fffea00,0xb0000001,0x40001fff,
    0xff5004f9,0x3ffe607f,0x000001ff,0xf98009f3,0xd00005ff,0x7fff901f,
    0x0fe80000,0x003fffc8,0x003fff60,0x3004f980,0x00009fff,0x3a2bff90,
    0x20000fff,0x744004f8,0x803fffff,0x7ec04ffe,0xfffa804f,0x03f60003,
    0xb013ffa0,0xff5009ff,0x7ff4407f,0x3fe0002f,0x3fe6006f,0x03a0004f,
    0x3f204f88,0x3f981fff,0x209f3000,0x2006fff8,0x000ffffb,0xfffb0000,
    0x27cc0001,0x03fffa80,0x07ffffe6,0x07f20000,0x07fffa00,0x209f3000,
    0x0006fff8,0x7c413e60,0x360006ff,0x20000fff,0xff3004f9,0x9000009f,
    0x7ffccbff,0x9f10000e,0xffff1000,0x9ffd007f,0x804ffd80,0x0006fff9,
    0x7ff401be,0x027fec04,0x201fffd4,0x000ffff9,0x400dfff0,0x0004fff9,
    0x04f880d5,0x207ffff4,0xfb0003f9,0x0fffec03,0x0ffffa80,0xfb000000,
    0x4c0001ff,0xfff5004f,0xffff9807,0x2200001f,0xff70005f,0xfd80009f,
    0x07fff601,0x00fec000,0x0003fffb,0x0003fff6,0xf3004f98,0x000009ff,
    0xffa8bff9,0x9f10005f,0x3ffea000,0x4ffe803f,0x8027fec0,0x8001fffd,
    0xffd003fb,0x04ffd809,0x804fffa8,0x0006fffb,0x4c00dfff,0xd0005fff,
    0x404f8807,0x4c6fffe8,0x5f88003f,0x02fffd40,0x01ffff98,0xffb00000,
    0x7cc0001f,0x7fff5004,0xfffff300,0x3f200005,0xfff10002,0x3e20001f,
    0x2fffd405,0x02fc4000,0x0017ffea,0x0007ffec,0x26009f30,0x00004fff,
    0xfc85ffc8,0xf98003ff,0x3fee0005,0x4ffe803f,0x8027fec0,0x4005fff9,
    0x3fa006fa,0x27fec04f,0x027ffd40,0x004fffd8,0x2006fff8,0x4006fff9,
    0x7c401fd8,0xffff9804,0x2000fe65,0xffe802fb,0xfff8800f,0x0000002f,
    0x0001fffb,0xfb801fcc,0xff3004ff,0x80005fff,0x20000ff8,0x0004fffe,
    0xffd005f7,0xfb80001f,0x0fffe802,0x0fffd800,0x013e6000,0x0027ffcc,
    0x837fe400,0x4002fffe,0x6c0006fa,0xffe803ff,0x027fec04,0x01dfff70,
    0x001ffc88,0xfb013ffa,0xfff9009f,0x3ffe200b,0x7ffc005f,0x3ffee006,
    0xdff5001f,0x2009f100,0xf33ffffa,0xddff0007,0xfddddddd,0x3e007fff,
    0x00003fff,0x03fffb00,0x801fd400,0x2005fffc,0x04fffffc,0x001bf600,
    0x03ffff90,0xddddff00,0xfffddddd,0xff80007f,0xeeeeeeee,0x003ffffe,
    0x001fffc8,0x4c00fe60,0x00004fff,0xf307ffd8,0x22003fff,0x0000bffe,
    0x3fa00ffa,0x27fec04f,0x3fffee00,0xfeca99bd,0x7f4001ff,0x27fec04f,
    0x3ffffe60,0xfffa800b,0xff801bef,0xffd3006f,0xdddddfff,0x9ffffddd,
    0x4009f100,0xf9affffc,0x777d4003,0xeeeeeeee,0xb007fffe,0x0000dfff,
    0x07fff200,0x403fa800,0x2fffffb8,0xfffffd00,0x220039ff,0x0002fffc,
    0x7ffffff3,0x3bbea001,0xeeeeeeee,0x0007fffe,0x3bbbbbea,0xffeeeeee,
    0xffc8007f,0x3ea0001f,0x9fff3003,0xff880000,0xfffd02ff,0x7ff7407f,
    0x002effff,0xfe803f88,0x27fec04f,0x7ffe4c00,0xbeffffff,0x4ffe8000,
    0x4c27fec0,0xffffffee,0x7e402eff,0x407fffff,0x3a206fff,0xfffffffe,
    0xffffffff,0x8801ffff,0x7fec004f,0x4003faff,0x3f6000fe,0xff9802ff,
    0x000000ff,0x002fffc8,0x74c0bee0,0xffffffff,0xfffc82ef,0xffffffff,
    0x3fff201f,0x3005ffff,0xffffffff,0x1fd007ff,0x17ffec00,0x000fe800,
    0x000bfff6,0x0005fff7,0xf98017dc,0x700004ff,0xdfffffff,0x7fffff49,
    0x000006ef,0x7ec00cc0,0x27fec04f,0x97551000,0x8000359f,0x7ec04ffd,
    0x0000004f,0x37ffc000,0x00000000,0x44004f88,0x03fffffe,0x30013e60,
    0x3600bfff,0x00003fff,0x3ffea019,0x03f60003,0x00000000,0x10000000,
    0x3e60003f,0x7ffcc004,0x04f98005,0x02fffcc0,0x013ffea0,0x3000fd80,
    0x40009fff,0x00000019,0x02f72000,0x27fec000,0x0013ff60,0x0001fb80,
    0xd809ffb0,0xc80004ff,0x400001be,0x80006fff,0x0000add8,0x88004f88,
    0x003fffff,0x3a0007f2,0xf9801fff,0x40000fff,0x3ffe604b,0x01be0006,
    0x017b9000,0x00000000,0xc8001f60,0xffe8001f,0x0fe4001f,0x0ffff400,
    0x0dfff100,0x3003fc00,0x40009fff,0x39d5000e,0x3a000000,0x80002fff,
    0x3a205ffc,0x200004ff,0x900003fd,0x7f440bff,0xfd80004f,0x200003ff,
    0x80006fff,0x000ffff8,0x80027c40,0x003ffffa,0x2e000bf1,0xfb004fff,
    0x54000bff,0x1fffd806,0x003fb800,0x17fff400,0x00000000,0x4000ffc0,
    0xf70005f8,0x7c4009ff,0xfff70005,0xfffd8009,0x04fb8001,0x013ffe60,
    0xf7003540,0x00000dff,0x00dff930,0x01fff700,0x00bfffd3,0x0037f400,
    0x80fffb80,0x005fffe9,0x06ffb880,0x1bffe000,0x7fecc000,0x2fcc0003,
    0x7fff7000,0x000bf200,0x007fffc4,0x00dfffd8,0x4c00fd40,0x54005fff,
    0x9800006f,0x00006ffc,0x7c400000,0x2fc8004f,0xffff1000,0x00bf2001,
    0x07fffc40,0x0bfff300,0x000ffa80,0x0017ffe6,0xd51001f4,0x000003ff,
    0x0001ffa0,0x44b7ffe6,0xafffdafb,0x7e400019,0x4c0000cf,0xf712dfff,
    0x335fffb5,0x0ffd8000,0xfff88000,0x3e200006,0x7d40005f,0x7fec0006,
    0x00ff8803,0x13fffa00,0x77fff440,0x01ec8802,0x03bffee0,0x003ff910,
    0x07ff4000,0x00000000,0x002fff60,0x00007fc4,0x1009fffd,0x740001ff,
    0x5c004fff,0x4400efff,0x4c001ffc,0x44006fff,0xfb8001fd,0x8000003f,
    0x00006ff8,0xfffffff9,0x37ffff65,0x7fc40001,0x00dcbdff,0x7ffffe40,
    0xffffb2ff,0xff80003b,0xff300006,0x540000ff,0x220003ff,0x0000bffe,
    0x3f600ffa,0x7fe40006,0x3ee001ff,0x99abffff,0x000efecb,0xbdffffb8,
    0xfffeca99,0x22000001,0x000006ff,0xffa80000,0xb05cacff,0xfc8000df,
    0x7ec01fff,0x7fe40006,0x7dc001ff,0xa99bdfff,0x001fffec,0x01ffffb8,
    0x000dff50,0x00007ff2,0x03ffb300,0x7ffec000,0x33ff61ef,0x3ea00001,
    0x001dffff,0x3dffffb0,0x000e7fec,0x007ff660,0x3fffaa00,0x220000df,
    0xd0006fea,0xdffffffd,0x07f10005,0x017ffe44,0xfffff980,0xf91000bf,
    0xffffffff,0xc980005b,0xffffffff,0x00000bef,0x007ff660,0x00000000,
    0x67ffffdc,0x17ffe440,0xffff9800,0x7e440bff,0xf30002ff,0x017fffff,
    0x7fffe4c0,0x0befffff,0xfffe9800,0xeeeeeeff,0x04ffffee,0x01ffdc40,
    0x9dd10000,0x22000003,0x002b80bb,0x04d4c000,0x05dc4000,0xe800015c,
    0xd80002ce,0xffffffff,0x754004ef,0x000001be,0x20330000,0xfffffffc,
    0xffff3005,0x07ffffff,0xaccba980,0x4400000a,0x1abccbaa,0x74400000,
    0x000002ce,0x98800000,0xfffc809a,0x3005ffff,0xffffffff,0x3fff27ff,
    0x3005ffff,0xffffffff,0x988007ff,0x01abccba,0xfffee880,0xffffffff,
    0xffffffff,0x2f7b2001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00370058,
    0x03bd9100,0x5400006e,0x001b980b,0x33333332,0x3223cccc,0xcccccccc,
    0xcccccccc,0x00004ccc,0x64000393,0x71039800,0x006c4005,0x22000162,
    0x05501dec,0x80b98000,0x000001b9,0x00000350,0x80009900,0x400000ba,
    0x00b980ba,0x33331000,0x33333333,0xb8800001,0x01730002,0x02880373,
    0x33333100,0x13333333,0x15c40000,0x000015c4,0x03ea02ec,0xffff7000,
    0x000d81bf,0x20fffb80,0x3000fffa,0xffffff95,0xfeb9815b,0xffffffff,
    0xffffffff,0x7d40000f,0xd70000ff,0xe817cc01,0x3ae005ff,0x0003d101,
    0xdfffffb8,0x000006c0,0x7cc1fff7,0x000001ff,0x00bbffee,0x17c40000,
    0x0dffb000,0x37fe4000,0x0003ffee,0x3ffffee0,0x3fffffff,0x3fe20000,
    0x7fdc003f,0x07ffe60f,0xf70005b8,0xffffffff,0x00007fff,0x3f627ff4,
    0x5400005f,0xfdbaceff,0x7c40005f,0xcfffffcd,0xd00007b9,0x7fe45fff,
    0xffb8003f,0xff9002ff,0xf931009f,0xfd80001f,0xf30003ff,0xfd9559df,
    0xffff101f,0x4c2ff800,0xdf80005f,0x9cfffffc,0x6c00007b,0x3ff22fff,
    0x3000004f,0x00db117f,0x01ee0000,0x03ffff00,0x3fffa000,0x00bfff61,
    0x3fffee00,0xffffffff,0x3ea00003,0x7ec006ff,0x3fff22ff,0x40017a04,
    0xfffffffb,0x003fffff,0x4ffff300,0x000ffff8,0x7fffec00,0x0000ffff,
    0xfffb1254,0x00007fff,0xfa83ffee,0xf88001ff,0x3ea007ff,0x7dc004ff,
    0x7fdc0000,0x3ee0000f,0x2fffffff,0x0017ffa0,0x3fe69ff5,0x124c0000,
    0x7ffffffb,0xffb80000,0x07ffea0f,0x22ec0000,0x000002f8,0x6c0004e8,
    0x200006ff,0x7fdc7ffc,0xa980000f,0xaaaaaaaa,0x00000aaa,0x000fffe2,
    0x7d41fff7,0x0bf701ff,0x2aaaa200,0xaaaaaaaa,0x3fe00001,0x02fff44f,
    0x7fec4000,0x0001efff,0xffe981b8,0x5c00004f,0x002ca81c,0x801bffe0,
    0x4004fff9,0xa80001f8,0xfb80001c,0x402fffff,0xe8000bc8,0x004ffeff,
    0xfe982a80,0x000004ff,0x05950395,0x41fc0000,0x4000004e,0x440001f8,
    0x200000cb,0x1ca81cb8,0x00000000,0x0b260000,0x540e5400,0x0bff502c,
    0x00000000,0x102f2600,0x00000179,0x00166e4c,0x09880100,0x00000000,
    0x06fff800,0x013ffe60,0x00000760,0x36e60000,0x000000bc,0x0fffff98,
    0x44008000,0x00000009,0x20000000,0x000fc46c,0x001ee000,0x00000000,
    0x00000000,0x00000000,0x7cc00000,0x800005ff,0x00000000,0x00000000,
    0x04000000,0x04000000,0xdfff0000,0x27ffcc00,0x0000d400,0x00010010,
    0xc8000000,0x00002eee,0x00000040,0x00000100,0xeb9df880,0xe8000006,
    0x00000004,0x70000000,0x99999999,0x64401999,0xcccccccc,0x00000002,
    0xffff7000,0x8009999d,0xceffecb9,0x0000001b,0x00000000,0x2e600000,
    0x1bceffec,0x65cc0000,0x01bceffe,0x01bffe00,0x004fff98,0x76d40000,
    0x42cfffff,0x3200003a,0xcccccccc,0x000003cc,0x007b0000,0x0f600000,
    0xb3000000,0x000019ff,0x400fd4c0,0xccccccc9,0xcccccccc,0x3223cccc,
    0xcccccccc,0xcccccccc,0xda884ccc,0xacffffff,0xffeb9801,0x99109bff,
    0x99999999,0x99999999,0x99990999,0x79999999,0x3ffffbae,0xd1006eee,
    0xdb759dff,0x95003dff,0x99999999,0x66440199,0x1ccccccc,0x66666644,
    0xcccccccc,0x04cccccc,0x677ff440,0x1effedba,0x7ff44000,0xffedbace,
    0xfff8001e,0x3ffe6006,0x40002004,0xbdffffc8,0xbdffecba,0x9999904e,
    0x27999999,0xfffffca9,0x32600adf,0x005e440b,0x01be2000,0x3e200000,
    0x80000006,0x800006f8,0x2ffffec8,0xfffffb80,0xffffffff,0x41ffffff,
    0xfffffeb9,0xffffffff,0x200fffff,0x004ffff9,0x4c07ff20,0xffffffeb,
    0xffffffff,0x54c0ffff,0xdffffffc,0x05ffc80a,0x00dffb80,0x100fffa6,
    0xfffffff7,0xf950037d,0x015bffff,0xfffffd73,0xffffffff,0x001fffff,
    0x98037fee,0x70003ffe,0x74c01bff,0x7fc003ff,0x3fe6006f,0x0016004f,
    0x0033ffe6,0x20bfffd3,0xfffffca9,0xffb80adf,0xff8802ff,0x02fff44f,
    0x0bff2000,0xf9000000,0x0000005f,0x0002ffc8,0x2a6fbee0,0x3200dfff,
    0x9999acff,0xffa99999,0x7fe403ff,0xfc98804f,0x7fffc00f,0x17ea0001,
    0x027ffe40,0x007fe4c4,0x805ffff7,0x22005ffc,0xb1004ffe,0xd8801bff,
    0x001fffff,0x002fffc8,0x2013fff2,0x400ffc98,0x1004ffe8,0x2001bffb,
    0x1004ffe8,0x2001bffb,0x26006fff,0xb3004fff,0x3fffb800,0x02ffdc00,
    0x017fffdc,0x401fffe2,0x3e26fff9,0x400007ff,0x00005fff,0x02fffc00,
    0x3fe00000,0xf900005f,0x7ff7d41b,0x0007f606,0x500bfffb,0xb8009fff,
    0x7fff400f,0x13e60001,0x027ffd40,0xf8803ee0,0xffc807ff,0x13ff6005,
    0x01bffa00,0x007ffff4,0x0007fdc0,0x0013ffea,0xffd801f7,0x6ffe8004,
    0x009ffb00,0x200dffd0,0x26006fff,0xbb004fff,0x1fffdc00,0x806fc800,
    0xf007fff8,0x7fc00dff,0x02fff43f,0xffff7000,0x20000001,0x000ffffb,
    0xfff70000,0xfa80001f,0x7fdeec0f,0x8007b02f,0x800ffffb,0x4004fff9,
    0x7fec01f8,0x3e60000f,0x9fff3004,0x401f8800,0xfc806fff,0xfff7005f,
    0xfff50001,0xffff1007,0x05fd0007,0x09fff300,0x2e01f880,0xa8000fff,
    0x7dc03fff,0xfa8000ff,0xfff803ff,0x3ffe6006,0x9999999d,0xf3005fd9,
    0xe80007ff,0x0dfff007,0x801bffe0,0x02b882b8,0x7fff4000,0x0000004f,
    0x009ffffd,0x3ffa0000,0x220004ff,0x4d7c44ff,0x01d04fff,0x17fffcc0,
    0x04fff980,0x7ec01d80,0x260000ff,0xfff3004f,0x803b0009,0xfc806fff,
    0xfff9805f,0x3ffa0005,0xfffb800f,0x17ea000f,0x27ffcc00,0xf980ec00,
    0x3a0005ff,0xff300fff,0x7f4000bf,0x7ffc00ff,0x3ffe6006,0xffffffff,
    0xfd005fff,0xf50000df,0x01bffe00,0x00037ffc,0xf3000000,0x000ffffb,
    0xffbf3000,0x000000ff,0x0ffffbf3,0x20ffe400,0x407bee7a,0x7fff4006,
    0x3ffe6005,0x401a8004,0x0000fffd,0x7cc013e6,0x1a8004ff,0x4037ffc0,
    0xfe805ffc,0x2a0001ff,0xfb005fff,0x7f400bff,0xfff30000,0x20350009,
    0x0001fffe,0x7417ffea,0x20001fff,0x7c05fffa,0x3e6006ff,0xaaaaaeff,
    0x805fecba,0x0003fffc,0xfff001f0,0x1bffe00d,0x00000000,0xfffd9fd8,
    0x6c000002,0x02fffd9f,0x4fec0000,0x0002fffd,0x04d81ffb,0xff900140,
    0x7cc001df,0x000004ff,0x0001fffb,0xf98027cc,0x000004ff,0xf900dfff,
    0xfffb80bf,0xfff80005,0xfff8802f,0x02fc802f,0x13ffe600,0xfffb8000,
    0xfff80005,0x2fffdc2f,0x7fffc000,0x01bffe02,0x804fff98,0x7fc405e8,
    0x500000ff,0x0dfff001,0x641bffe0,0xb82ccccc,0x002ccccc,0x7fcd7e20,
    0x2000006f,0xdfff35f8,0x7c400000,0x00dfff35,0x5f11ffe0,0x3e600000,
    0x4c001fff,0x02004fff,0x00fffd80,0x4013e600,0x2004fff9,0x1bffe000,
    0x9017ff20,0x00009fff,0x2009fffd,0x200ffffb,0x4c0005f9,0x02004fff,
    0x009fff90,0x89fffd00,0x0004fffc,0x204fffe8,0x26006fff,0xb5004fff,
    0x05fffb80,0xff800000,0xdfff006f,0x3fff6a60,0xfffeb984,0x8bf20004,
    0x0001fffe,0x7f45f900,0x000001ff,0x7fff45f9,0x37fc4001,0x400001ee,
    0x004fffe8,0x004fff98,0xfffd8016,0x13e60000,0x027ffcc0,0x7ffc00b0,
    0x05ffc806,0x001ffff4,0x02fffec0,0x40bfffd0,0x4c0000fe,0x16004fff,
    0x007fffd0,0x8bfffb00,0x0003fffe,0x205fffd8,0x26006fff,0xb1004fff,
    0x03fffe80,0xff800000,0xdfff006f,0x04fff880,0x0013ffe2,0x7ffd46f8,
    0xdf000004,0x004fffa8,0xfa8df000,0x7cc004ff,0x0002747f,0x06fffc80,
    0x09fff300,0xfd801660,0x260000ff,0xfff3004f,0x80166009,0xfc806fff,
    0x7fffc05f,0xffc80002,0x3fe6007f,0x03fb82ff,0x4fff9800,0xff80b300,
    0xc80002ff,0x7ffc7fff,0xfc80002f,0x3ffe07ff,0x3ffe6006,0xf880a004,
    0x00002fff,0x06fff800,0xd00dfff0,0xffe809ff,0x07f50004,0x0001ffff,
    0xff83fa80,0x400000ff,0xffff83fa,0x3ffe6000,0x00003f30,0x03ffff50,
    0x13ffe600,0xfb002ec0,0x4c0001ff,0xfff3004f,0x80176009,0xfc806fff,
    0x3ffe605f,0xfb80001f,0x2e000fff,0x3e20efff,0xff300006,0x8176009f,
    0x001ffff9,0x0ffffb80,0x003ffff3,0x1ffff700,0x801bffe0,0x0004fff9,
    0x03ffff30,0xff000000,0x3ffe00df,0x04ffe806,0x80027fec,0xfffc80fe,
    0x7f400003,0x03fffc80,0x407f4000,0x4003fffc,0x80d93fff,0xfff88000,
    0x3e60003f,0x99999dff,0x005fd999,0x0003fff6,0xf3004f98,0x33333bff,
    0x00bfb333,0x64037ffc,0x3fea05ff,0xa80000ff,0x4001ffff,0x3f64fffe,
    0xff300001,0x333333bf,0x540bfb33,0x0000ffff,0x51ffffa8,0x0001ffff,
    0x03ffff50,0x9801bffe,0x00004fff,0x001ffff5,0xfffffe98,0xff02efff,
    0x3ffe00df,0x04ffe806,0x40027fec,0xfff104f9,0x7cc0000d,0x0dfff104,
    0x827cc000,0x4006fff8,0x807f6ffe,0xfffd8005,0x7fcc0005,0xffffffff,
    0x2005ffff,0x0000fffd,0x7cc013e6,0xffffffff,0x005fffff,0x3201bffe,
    0x3fee06ff,0x980000ff,0x4002ffff,0xfa9ffff9,0x3e600004,0xffffffff,
    0x205fffff,0x000ffffb,0x2ffff980,0x001ffff7,0x5ffff300,0x801bffe0,
    0x0004fff9,0x7fffdc72,0x3fee0000,0x7fc00eff,0xdfff006f,0x809ffd00,
    0xd8004ffd,0x3fff601f,0x3fb00001,0x00fffec0,0x201fd800,0x2001fffd,
    0x00fcfffc,0xff70012a,0x980001ff,0xaaaaefff,0x05fecbaa,0x003fff60,
    0x3004f980,0x5555dfff,0x0bfd9755,0x4037ffc0,0xa8cc7ffb,0x0001ffff,
    0x00ffffa8,0xfefffc80,0x7cc00006,0xaaaaaeff,0x205fecba,0x001ffffa,
    0x0ffffa80,0x003ffff5,0x1ffff500,0x801bffe0,0x0004fff9,0x7fffd4f5,
    0x7ff40001,0x6fff803f,0x00dfff00,0xfd809ffd,0x2fc4004f,0x017ffea0,
    0x5017e200,0x0000bfff,0xffa80bf1,0x3fee005f,0x07a205ff,0x2ffff880,
    0xfff98000,0x005e8804,0x0003fff6,0xf3004f98,0xbd1009ff,0x037ffc00,
    0x5467ffd4,0x0bfffe25,0x3ffee000,0x3ffa0007,0x400002ff,0x8804fff9,
    0x3ffe205e,0xfb80002f,0x3ffe27ff,0xfb80002f,0x3ffe07ff,0x3ffe6006,
    0x24f88005,0x002ffff9,0x017ffec0,0xf8037ffc,0xffe806ff,0x027fec04,
    0x3a00bee0,0x40000fff,0xffe802fb,0x7dc0000f,0x0fffe802,0x3bfffa00,
    0x4005fa82,0x0005fffe,0x009fff30,0xffd8016a,0x3e60000f,0x9fff3004,
    0xf8016a00,0xff8806ff,0x7fc0ffff,0xc80003ff,0x20006fff,0x0006fff9,
    0x04fff980,0xfff80b50,0xfc80003f,0x7fffc6ff,0xffc80003,0xdfff106f,
    0x2fffd400,0xf10fec00,0x80007fff,0xf802fffc,0xfff006ff,0x09ffd00d,
    0x4004ffd8,0xeeeeeeff,0x3ffffeee,0x777fc000,0xfeeeeeee,0x40003fff,
    0xeeeeeeff,0x3ffffeee,0x3fffe200,0x0effddef,0x3fffee00,0xff300000,
    0x0162009f,0x001fffc8,0x4c00fe60,0xb1004fff,0x037ffc00,0x81dffe98,
    0x0004fffe,0x004fffd8,0x017ffe20,0x3ffe6000,0xe80b1004,0x80004fff,
    0x7f44fffd,0xd80004ff,0xff304fff,0x7fdc00ff,0x3f62006f,0x06ffff86,
    0x17ffe400,0x8037ffc0,0xfe806fff,0x27fec04f,0xddddf500,0xfddddddd,
    0x54000fff,0xeeeeeeef,0x7fffeeee,0x3bbea000,0xeeeeeeee,0x4007fffe,
    0xfffffffa,0x3e6001ff,0x00002fff,0x8013ffe6,0x3fff2002,0x0fea0001,
    0x027ffcc0,0x7ffc0050,0x90044006,0x0000bfff,0x0007fffb,0x002fffc4,
    0x27ffcc00,0xffc80500,0xfd80005f,0x7ffe43ff,0xffd80005,0xfffea83f,
    0x7fcc00df,0xccccdfff,0xfffecccc,0x0ffffd84,0x3fff2000,0x06fff802,
    0xd00dfff0,0xffd809ff,0x003fa004,0x002fffd8,0x6c001fd0,0xd0002fff,
    0x7fec001f,0x3be2002f,0x00dfffff,0x027fff40,0x3ffe6000,0xf7000004,
    0x5c0005ff,0xfff3002f,0x3e000009,0x002006ff,0x003fffe6,0x01dfff00,
    0x2fffc400,0x7fcc0000,0x2600004f,0x0000ffff,0x26077ffc,0x0000ffff,
    0xfb077ffc,0xffffffff,0x7fff449d,0xffffffff,0xffffffff,0xffff881f,
    0x3ff20003,0x6fff802f,0x00dfff00,0xfd809ffb,0x09f3004f,0x05fff980,
    0x4004f980,0x8005fff9,0x7cc004f9,0x5ae005ff,0x8000aa98,0x0006fffc,
    0x27ffcc03,0xffa80000,0x3f60004f,0x9fff3000,0x3fe00000,0x5df9006f,
    0x03fffc80,0x0bffee00,0xbfff1000,0xff300000,0xc800009f,0x20003fff,
    0xf902fffb,0x5c0007ff,0x3dc02fff,0x3e200000,0x3fff2001,0x3ff20006,
    0x6fff802f,0x00dfff00,0xfd809ffb,0x03f9004f,0x03fffd00,0x8001fc80,
    0x4001fffe,0xfe8001fc,0x09d001ff,0x3ffea000,0x01d0001f,0x0013ffe6,
    0xfff101c8,0x03fc000d,0x009fff30,0xfff80e40,0x7fff9806,0x07fffc40,
    0x05fff800,0x5fff8800,0xff980000,0x0720004f,0x001ffff1,0x8817ffe0,
    0x0000ffff,0xf880bfff,0x6c000005,0x3fe2000f,0xf90004ff,0xfff005ff,
    0x1bffe00d,0x8817ff20,0xf8804ffe,0xfff70005,0x02fc4009,0x04fffb80,
    0x40017e20,0x9804fffb,0xf880001f,0x30003fff,0x27ffcc0d,0x6c07a800,
    0xb8001fff,0x3fe6004f,0x0f50004f,0x44037ffc,0x5401ffff,0xb8003fff,
    0x80000fff,0x0005fff8,0x04fff980,0x3ea0f500,0xfb8003ff,0x7fd400ff,
    0xffb8003f,0x03fcc00f,0x0bfe0000,0x3ffff500,0x5fff9000,0x00dfff00,
    0x2e01bffe,0xfe980fff,0x2fc805ff,0xffff1000,0x00bf2001,0x07fffc40,
    0x0002fc80,0x801ffff1,0xfb00006c,0x64000dff,0x17ffe605,0x3013e200,
    0xa800bfff,0x3e6000ff,0xf88005ff,0x01bffe04,0x40174544,0x2001fffd,
    0x0002fff9,0x00dfff10,0xbfff3000,0x409f1000,0x2001fffd,0xb002fff9,
    0x4c003fff,0xfb802fff,0x1000002f,0xf5000bff,0xc8003fff,0xff802fff,
    0xfff8806f,0xdfff9806,0xffb5f712,0xff10335f,0x7ff40001,0x0ff8804f,
    0x3fffa000,0x00ff8804,0x13fffa00,0x700007f0,0x0001ffff,0xffa80fea,
    0x1fd8005f,0x0efffb80,0x00ffe440,0x017ffea0,0x7c407f60,0x7c4006ff,
    0x5fff5001,0x01dff700,0x7ffc4000,0xfa800006,0xfd8005ff,0x17ffd401,
    0x0077fdc0,0x00bffea0,0x4003bfee,0x0002eff8,0x017ffb00,0x2ffffa80,
    0x0bfff600,0x00dfff10,0x200ffff3,0xfffffffc,0x3bffffb2,0x8000dfb0,
    0x401ffffc,0x640006fd,0x6c01ffff,0x7e40006f,0x1f501fff,0xfff88000,
    0xff70002f,0x37ffdc05,0x00dfb100,0x5effffdc,0xfffeca99,0xfffb8001,
    0x1bf62006,0x007fff98,0x3a2002ec,0x2a209cff,0x00004ffd,0x007fffa8,
    0x6fffb800,0x01bf6200,0x04e7ff44,0x009ffb51,0x4e7ff440,0x13ff6a20,
    0x3ffff200,0x80003cbb,0xcadffff9,0xfffd8805,0xffd7102e,0xff98017f,
    0x7ff5407f,0xfd800dff,0x3f61efff,0xffc881cf,0xff30002f,0x8817ffff,
    0x0002fffc,0x7ffffff3,0x2fffc881,0xffff3000,0x05c817ff,0xffffe800,
    0xcccccccc,0xfffedccc,0xffff301f,0x999999bf,0x09fffd99,0xffffc980,
    0x0befffff,0xffff9800,0xccccccdf,0x04fffecc,0x1bffffd5,0x002f5c40,
    0xfdfffb70,0x0003bdff,0xffffd100,0x26000039,0xccdfffff,0xfecccccc,
    0x6dc004ff,0xefffefff,0xb700001d,0xdfffdfff,0x3620003b,0x003effff,
    0x3fffee00,0x326000cf,0xfeeffffe,0x5002dfff,0x81bffffd,0xfffffffd,
    0x5c404eff,0x3202b80b,0x5fffffff,0xfffff300,0x327fffff,0x5fffffff,
    0xfffff300,0x327fffff,0x5fffffff,0xfffff300,0x647fffff,0x7fdc0001,
    0xffffffff,0xffffffff,0x7f447fff,0xffffffff,0xffffffff,0x10001fff,
    0x35799753,0xfffd1000,0xffffffff,0xffffffff,0xffffd83f,0x84efffff,
    0x20000098,0x0009bca8,0xfffdb000,0x09dfffff,0xffffd100,0xffffffff,
    0xffffffff,0x65440003,0x0000009b,0x004de544,0x03531000,0x2a620000,
    0x54400009,0x019accca,0x3fffff60,0x004effff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07700000,0x26666620,0x09999999,0x00000000,0x99998800,0x99999999,
    0x4cc40000,0x99999999,0x00000019,0x000004c0,0x00000000,0x00000000,
    0x00000000,0x26662000,0x00000000,0x000000c4,0x40040000,0x4ccc4000,
    0x00000000,0x4cc41331,0x36600001,0x000664c4,0x0002f6a0,0x00075c40,
    0x02640000,0xffffffb8,0x02ffffff,0x6c000000,0x3ff2004f,0xffffffff,
    0x6c0002ff,0xffffffff,0x0000ffff,0x1dfb0000,0x3ffffe20,0x6fffffff,
    0x00275c40,0x5401ba20,0x0000befd,0x2e200fe6,0x7dc0004e,0xffe80002,
    0xfd73002f,0x4400019d,0x00ee005f,0x6d400072,0x2cfffffe,0x3fe001d4,
    0xc98001ff,0x2000cefe,0x3ff23fff,0x75c40005,0x3ffe65ff,0xff50002f,
    0x4c0005ff,0x4400fffd,0x8001ffff,0xbdeffdb9,0xfffff701,0x5fffffff,
    0x40000000,0x9003fff9,0xffffffff,0x0005ffff,0xffffffd8,0x00ffffff,
    0xf8800000,0xfff103ff,0xffffffff,0x3ff220df,0x7e40004f,0xfedfd801,
    0xdd0000ff,0x4fffc880,0x017e2000,0x0fffe200,0x6c5ffc40,0xfb0000ef,
    0x00de8001,0xfc8800bb,0xcbabdfff,0x04ebdffe,0x00bffe60,0xb519fd10,
    0xff3001ff,0x000ffe8d,0x3ffffaa0,0x1bffff25,0x7fffec00,0xfee88005,
    0x7e400fff,0x22006fff,0xeceeeffc,0x2a60beff,0xaaaaaaaa,0x00000aaa,
    0x27ff4000,0xaaaaa980,0x0aaaaaaa,0x5554c000,0xaaaaaaaa,0x0800000a,
    0x203ffd80,0xcccccccc,0x4203cccc,0x260004ff,0x545b803f,0xfb8003ff,
    0x09ff0801,0x0007ec00,0x8027fd40,0x2ff42fe8,0x001fd400,0x3f60f7d4,
    0x3ffe6000,0x7ff4c00c,0x3fee005f,0x40ee8003,0xfa803ff9,0x001ffc1f,
    0x4cbfff00,0x001fffff,0x0fffffa8,0x3fff2000,0x3b3fe600,0xfe8803ff,
    0x7f4c991d,0x0000002f,0x7c400000,0x0000000e,0x00000000,0x7ee54400,
    0x441bceff,0x000000ef,0x00027fc0,0x740600dd,0x27c4003f,0x0013fe00,
    0x800017d4,0x3f2005fd,0x00ffdc0f,0x4000bf10,0x4fe8bffd,0x0fffee00,
    0x00bff700,0x6c0027f4,0x01ffd03f,0x37cc3fc8,0x3ff60000,0x17f564c5,
    0x2b2a0510,0x2a0001fe,0x3fa00fff,0x801ffb12,0x21320ffd,0x700002fe,
    0x99999999,0xcc880999,0xcccccccc,0x080000ee,0x00000000,0x3fee0000,
    0xffecabde,0x00cddeff,0xfe800000,0x03f90004,0x007fc400,0x3a001ba0,
    0x5f88004f,0x03be0000,0xf986ff80,0x03f6005f,0xffff9800,0xff7000ff,
    0x3f20007f,0x00bf1006,0x3203ff50,0x436c00ff,0x400001fa,0x3ee05ffc,
    0x32012e01,0x5555000f,0x557fff75,0x7dc17d41,0x917fea04,0xcc85f509,
    0xcccccccc,0x3ff6a23c,0x01acffff,0xffffeb98,0x4000019b,0x6440003d,
    0xcccccccc,0xcccccccc,0x26004ccc,0x32202ffe,0x4c002fff,0x05e440bc,
    0x8004fe80,0x5c0004f9,0x0fdc001f,0x0027f400,0x800007ec,0x3e2000fa,
    0x06ff986f,0x00005f50,0x005ffff9,0x000fffe6,0x3ae00fd0,0x0ffc8000,
    0x3f005910,0x00000990,0x3e40bff9,0x1b6013e0,0x7ffffc40,0x1fffffff,
    0x00fa807a,0x04c87ff9,0xffca985d,0x00adffff,0x009ffff3,0x000ffec0,
    0x006f8800,0xfffeb980,0xffffffff,0x0fffffff,0x00effc80,0x005fff70,
    0xfd13ffe2,0x13fa00bf,0x8001ba00,0x2002ffda,0xfd0004f8,0x03fa8009,
    0x0006e000,0xff10bff5,0x00bf100f,0x13332200,0x006ffe80,0x19007a80,
    0x01ffa000,0x06412200,0x7fe40000,0x5c05f105,0x00fcc04f,0xf7555550,
    0x261557ff,0xfb028801,0x5b04c8bf,0x17fffdc0,0x01ffff80,0x0017ea00,
    0x02ffc800,0x3fff2000,0xffc98804,0x07ffd400,0x07ffee00,0x89bffe60,
    0xfd007fff,0x01fb8009,0xfffd9300,0x003f6009,0x10027f40,0x000000bf,
    0x10bff700,0xfd801fff,0x00000000,0x001fffe4,0x00000f80,0x001ffe20,
    0x00000000,0x7d42ffe4,0x813fea04,0x880003fa,0x00000fff,0x641fff70,
    0x7c405704,0x3fa007ff,0x260000ff,0x2000004f,0x00005fff,0x0013ffea,
    0x7fc401f7,0xffd0004f,0x0fffe00d,0x3a00bffd,0x13e2004f,0x7ff4c000,
    0x0017d400,0x64009fd0,0x0000000f,0x17fe6530,0xf701ffe2,0x02000005,
    0x07fffc40,0x000a8000,0xfff30020,0x00000001,0xffc81000,0xf300f5c5,
    0x07b209ff,0x3fe20400,0x8020000f,0x1324fff9,0x06fff800,0x003fff60,
    0x0004f980,0x1ffff700,0x3fe60000,0x0fc4004f,0x001fffb0,0x00fffea0,
    0x0ae20ae2,0x2004fe80,0x200000ee,0x3e203ffa,0x27f40005,0x0003f980,
    0x77ff5cc0,0x7c4fe60b,0x06ff985f,0x800013e2,0x1deffec9,0x017ffee0,
    0xfd880000,0x01daceff,0x0003ffe6,0x6f7f6540,0x6dc4000b,0xffc8dfff,
    0x3ff20145,0x54ccceff,0xffd95000,0x01fff17d,0x677ffec4,0x3ffe01da,
    0x0004c8df,0xd801bffe,0x20000fff,0x000004f9,0x009ffffd,0x13ffe600,
    0x7dc07600,0x7c0004ff,0x00000fff,0x8027f400,0x800002fb,0x03f602fe,
    0x009fd000,0xa80001ba,0xffda9bff,0x7f44f8af,0x204ffa86,0x900000ee,
    0xfffb77ff,0x0ffffa09,0x7d400000,0xfffda8bd,0x07ffe601,0x39df7000,
    0x003fff95,0x2e66ffe6,0x005ffeff,0x3ffffbae,0xb0006eee,0xdfb535bf,
    0x3ea01fff,0xfffda8bd,0x3ffff201,0x3e0004de,0x3f6006ff,0x260000ff,
    0x9800004f,0x007fffdf,0x09fff300,0xff103500,0xc80001ff,0x00005fff,
    0x4027f400,0x000005f8,0x0fea01fd,0x013fa000,0x400007f2,0xff980efb,
    0x0ffb85ff,0xfb807fe4,0xfe880001,0x44fffb82,0x002ffff8,0x06f88000,
    0x7c403ff1,0x320002ff,0xfffa80ff,0x40ffd403,0x005ffff9,0x0009ff90,
    0xfb04fe88,0xdf101fff,0x9007fe20,0x00bfffff,0x0037ffc0,0x0001fffb,
    0x000027cc,0x7ffecfec,0xff980002,0x2600004f,0x80007fff,0x3327fffa,
    0xcb82cccc,0x7c02cccc,0x00fd804f,0x3ea06200,0x000bf103,0xf3013fe0,
    0x3ea00007,0x3ffee01f,0x7c49fb03,0x009f304f,0xc80bf200,0x3fe61fff,
    0x000001ff,0x3ea03fc8,0x7fccccc1,0x009999bf,0x2a01ffb8,0xff302fff,
    0x2fffd407,0x04ffc800,0x2037f400,0xfc80fffe,0x2007ea03,0x04fffffc,
    0x00dfff00,0x0007ffec,0x00009f30,0xfff35f88,0xff30000d,0x2004009f,
    0x0007fffb,0x30ffff98,0x309fffb5,0x209fffd7,0x009eff99,0xf80005f5,
    0x03fdbcff,0x300003f2,0x2013dff3,0xf100006e,0xfffd00df,0x3ef3fa01,
    0x001ba03f,0x26037c40,0x3fea5fff,0x74c000ff,0xffffffff,0xf80bfd2e,
    0x7fffffc1,0x04ffffff,0x7402ffc4,0x0ffd06ff,0x000bfff0,0x80013ff2,
    0x7e402ffa,0x05fe80ff,0xffa800fc,0x4001efff,0x36006fff,0x20000fff,
    0x400004f9,0x3fffa2fc,0x7fcc0001,0x9016004f,0x0000dfff,0x885ffff1,
    0x3e204fff,0x999904ff,0x0bf10599,0x32607b20,0x2600bcdd,0x03d9003f,
    0x05999999,0x36e203f7,0x27fd402c,0x0fffff60,0x201bcb88,0x32a201fc,
    0x2027ec01,0x3ee7fff8,0x20000fff,0x40effffb,0x07201ffe,0xbfff9999,
    0xb8059999,0xffb804ff,0x01ffd43f,0x8002ffec,0x20004ffc,0xffa807ff,
    0x01ffe80f,0xfd880072,0x2003ffff,0x36006fff,0x20000fff,0x400004f9,
    0x27ffd46f,0x3ffe6000,0xe80b3004,0x00005fff,0xfd07ffff,0x4ffe809f,
    0x00fd8000,0x0001ffb8,0x3ee00dd0,0x3e60001f,0xffffe884,0x0fff606f,
    0x7fff9fc8,0x03f98000,0x0bff3bf2,0x777777fc,0xffffeeee,0x03ffff50,
    0x3fffe800,0x104fffc8,0x007fff00,0x2007ffb0,0x7ff46fff,0x05ffc802,
    0x009ff900,0x2017fee0,0xfc80fff8,0x000104ff,0x13fffff6,0x0037ffc0,
    0x0001fffb,0x000027cc,0xffff07f5,0x7fcc0001,0x80bb004f,0x0004ffff,
    0xd09ffff0,0xffd809ff,0x1fd40004,0x00fffd40,0x400fe400,0x0001fffa,
    0x4575c1ba,0xff03ffda,0x747ee05f,0x40000fff,0x897f206e,0x6ffc41ff,
    0xaaaaaaaa,0xff30aaaa,0xd80005ff,0xff982fff,0xf8002eff,0xff8002ff,
    0xfffd001f,0x400fffc4,0x90005ffc,0x360009ff,0xff8804ff,0xffff980f,
    0xd900002e,0x009ffffd,0x6c00dfff,0x20000fff,0x200004f9,0xfffc80fe,
    0x3fe60003,0x999999df,0x2205fd99,0x0003ffff,0xd0bfffd0,0xffd809ff,
    0x17e20004,0x07ff3e20,0x009f3000,0x003ff9f1,0x3a207ee0,0xf887fe80,
    0x22fa82ff,0x0001fffd,0x7fd407f2,0xf3077e41,0x7c40009f,0x40003fff,
    0xf902fffc,0x005dffff,0x20017ff4,0xb001fff9,0x3fe61fff,0x5ffc800f,
    0x09ff9000,0x00fffa00,0x6403ffe2,0x02efffff,0xffca6400,0x7ffc03ff,
    0x3fff6006,0x13e60000,0x827cc000,0x0006fff8,0x3fffffe6,0xffffffff,
    0x27fffc05,0xffff8000,0x404ffe83,0x20004ffd,0x6f4400fc,0x40001ff8,
    0x8de8806e,0xf88001ff,0x3ee03104,0x1fffd40f,0xfff90fe6,0x0fe60005,
    0xffa87fe8,0x0017fea3,0x00dffff0,0x02fffc80,0x3fffffee,0x03ffb005,
    0x01fffb80,0x2e3fff90,0xfc800fff,0xff90005f,0x3ffe0009,0x0fff8803,
    0x3ffffee0,0x9320005f,0x200ffffb,0x36006fff,0x20000fff,0xb00004f9,
    0x7ffec03f,0xfff30001,0x7555555d,0xfd80bfd9,0xf00005ff,0xffd05fff,
    0x04ffd809,0xb007f300,0x0007fe2d,0x6d801fb8,0xb0003ff1,0xbf70001f,
    0x4c9fff50,0x0fffa84f,0x405e8800,0x5ff986ff,0x0001bfea,0x001ffffb,
    0x017ffe40,0x3fffff22,0x07fec01e,0x0bffee00,0xf93ffdc0,0xff9003ff,
    0x3ff2000b,0xfff88004,0x0fff8805,0x7fffe440,0x4c8001ef,0xf017ffdc,
    0x7ec00dff,0x260000ff,0xf880004f,0x2fffd405,0x4fff9800,0x6405e880,
    0x80006fff,0xe81ffff8,0x7fec04ff,0x00dd0004,0x07fe21f7,0x4027cc00,
    0x03ff10fb,0x0002fb80,0xfff305fd,0x7d417e2b,0x1f90006f,0x4437fcc0,
    0x3ffe66ff,0x3fe20000,0x320003ff,0xb3002fff,0xd80dffff,0xffa8006f,
    0xdff7003f,0x4017ffdc,0x90005ffc,0xf10009ff,0xff100dff,0x3f66001f,
    0xc8006fff,0x027ffc44,0x6c00dfff,0x20000fff,0xb80003f9,0xfffe802f,
    0xfff98000,0xb80b5004,0x80007fff,0xfd07fff9,0x4ffd809f,0x401fc800,
    0x07fe21fa,0x2007f400,0x07fe21fa,0x0005f880,0x7ffc0bf1,0x3ee05e8e,
    0x3fa8004f,0x442ffd40,0xfff10fff,0x3206c009,0x20006fff,0x0182fffc,
    0x807fffea,0x4c2004fc,0xf9005fff,0x27ffd49f,0x002ffe40,0x0004ffc8,
    0xf100ffff,0x540301ff,0x0c81ffff,0x9ffb0990,0x0037ffc0,0x0003fffb,
    0x40001fd4,0xeeeeeeff,0x3ffffeee,0x4fff9800,0xf980b100,0x40000fff,
    0xfd06fffa,0x4ffd809f,0x201fcc00,0x0ffc42f8,0x2017dc00,0x0ffc42f8,
    0x0001fb00,0xfffb01ba,0x7fe401dd,0x02fc4002,0x7c42ffd4,0x0ffffc7f,
    0x7fc434c0,0xf90004ff,0x401d05ff,0x9983fff9,0x495002fd,0xc800fffe,
    0x3ffe22ff,0x2ffe400f,0x04ffc800,0x05fffb00,0xe80fff88,0x0fffe600,
    0x642640ba,0x3ffe02ff,0x3fff2006,0x0fea0001,0xdddf5000,0xdddddddd,
    0x3000ffff,0x14009fff,0x01ffff40,0x0bfff200,0x36027ff4,0x374004ff,
    0x66667f40,0x001cdffc,0x9fd00bf1,0x9bff9999,0x002fa803,0xf9801db0,
    0x7ec00eff,0x07ec000f,0x4437fc40,0x7ffdc7ff,0x40fa201f,0x001ffffa,
    0xe82fffc8,0x727fec02,0x05bffffd,0x3fea2f88,0x0ffe803f,0x201ffff4,
    0x90006ffc,0x2e000bff,0x7c406fff,0x402e81ff,0x04e84ffd,0x03ffd099,
    0x90037ffc,0x40005fff,0x740002fb,0x3ff6000f,0x7fcc002f,0x4c00004f,
    0x20006fff,0x3605fff8,0x7fec04ff,0x007f2004,0x3ffffffe,0xb003ffff,
    0xffff001f,0x7fffffff,0x8002fc40,0xffb000ec,0x1ffcc03f,0x800bea00,
    0x6ff986ff,0x0bffffe8,0xa803fae2,0x4001ffff,0x6e82fffc,0xe897fd40,
    0xbfffff31,0x1fd73135,0x200fffe8,0xff983ff9,0x3ff601ff,0xfff70006,
    0xffd001a8,0x7ffd409f,0x7d406e81,0xc80fe82f,0x2027fcc4,0x2a006fff,
    0x20003fff,0x260000fd,0x7fcc004f,0x7fcc005f,0xc800004f,0x90002fff,
    0x7ec01fff,0x27fec04f,0x0004f980,0x7000ffc4,0xf880005f,0x00fd801f,
    0x20105d80,0xb00efffc,0x5f8800df,0x207fec00,0xffa82ffb,0xffeeffff,
    0xfffa802f,0x3ff6002f,0x204fe82f,0x54790efd,0xffffffbf,0xf984ffff,
    0x17f606ff,0x43ffffc8,0x8bffffd8,0x3ffea001,0x26005a8c,0x5c0dffff,
    0x218dffff,0x3bf604fe,0x640efe80,0x003bfa24,0x4c00dfff,0x20006fff,
    0x7e40007f,0xfffe8001,0x3ffe6001,0x20720004,0x8006ffe8,0x6403fff8,
    0x3fa205ff,0x00dd004f,0x003ff100,0x200017e2,0x7d401ff8,0x4f744003,
    0xb87c9999,0x22dffebf,0x4000dfd9,0x744000fd,0x5037f43f,0xffffffff,
    0x7ec4007f,0xd7102eff,0xfd017fff,0x1ffa81bf,0xd89f452e,0x6fffffff,
    0x8b7ffa20,0xfd805fe9,0xcfedffff,0x02effffc,0x3ffffe20,0x7fd4000f,
    0xaefdefff,0xd0cfffff,0xffa81bff,0x17fffd01,0x077f5532,0x0037ffc0,
    0x0003fff6,0x880013ee,0xff70005f,0x7fcc009f,0x0f50004f,0x001fffd4,
    0x2e017ff6,0xfe980fff,0x1fb805ff,0x1ff88000,0x0001fb00,0x4403ff10,
    0x7f4c006e,0x4fffffff,0xfff717d4,0x0007dfff,0x220005f7,0x1efd8bff,
    0x7ffff440,0x930001ef,0xfddffffd,0xe805bfff,0xffdefffe,0x27f7c41d,
    0x2fffffd4,0x7fffec40,0x2e002cef,0x92ffffff,0x20003bff,0x001dffe9,
    0xfffffd30,0x20bbfe2b,0xfdefffee,0x36a201df,0xffffffff,0x3ffe003e,
    0x7ffcc006,0x037d4005,0x000bf200,0x007fffc4,0x005fff98,0x74404f88,
    0xfe8804ff,0xfff3003f,0x36bee25b,0x8819afff,0xd100004f,0x07f5003d,
    0x07ba2000,0x6c000fc8,0xeeeeeeee,0x4c41f41e,0x10001aca,0xb880009f,
    0x2000cefe,0x0001aba8,0x3332aa20,0x8820019a,0x2201aca9,0x0554c00a,
    0x00ddcc00,0x506ee600,0x22000017,0x75100000,0x100e4415,0x00d654c4,
    0x5775d4c0,0x7ffc4000,0xfffb8006,0x7fe4400e,0x3fe20001,0x3ffa0000,
    0xfff5004f,0x03fb000b,0x82bbfee0,0x00effb98,0x7ffffe40,0xffffb2ff,
    0x0000003b,0x00000000,0x00000000,0x00000040,0x000000c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30004c80,
    0x2000ffff,0x9bcffffa,0x1fffeca9,0x037ec000,0x3ffff200,0x6fffb801,
    0x01bf6200,0xdfffdb30,0x0007bfff,0x0f7fffec,0x00039ffb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00099000,0x1bffffd5,0xfff93000,
    0x7dffffff,0x7e440001,0xf30002ff,0x017fffff,0x37ffffe6,0xcccccccc,
    0x0004fffe,0x006b2e62,0x80bb8800,0x0000002b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb00044,0xdfffffff,0x2ea60009,0x0001abcc,
    0xffffffc8,0xfff3005f,0x7fffffff,0x3fffffa2,0xffffffff,0x1fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00076e20,0x005d1000,
    0x02000000,0x99800000,0x00000099,0x004c8001,0x00000000,0x00000000,
    0x6cc00000,0x26662004,0x6cc00000,0x9880001c,0x004ccc19,0x00000000,
    0x20000000,0x00019998,0x00200200,0x02666600,0x3b2e6000,0x040002cd,
    0x04000020,0x4c008000,0x0002fffc,0x2007d400,0x0002fffe,0xbfffd910,
    0x4c000001,0xdd106fff,0x107ddddd,0x17bdffd9,0x0000fb80,0x037bfb50,
    0x03b80598,0x00570095,0x07bdfdb5,0x3fae2000,0x3fe6005f,0x3a00007f,
    0x0005fddf,0xff52ffec,0x2600001f,0x0001ffff,0x09fffb00,0x7ffe4000,
    0xb7100004,0x05bdfffd,0xffa8000f,0xfc80005f,0x1effdcdf,0xfffb7100,
    0x8007837b,0xceffecb9,0xefc8001b,0xffffed81,0x6c000002,0x7fffdc06,
    0x7d40000f,0x2ffebbef,0xff900000,0xffb9801d,0x7ffe44ff,0x02ffffff,
    0x70000fe2,0x5ff95bff,0xd700ed80,0xb900ee80,0xffffd880,0x0000dfff,
    0x17ffffaa,0x03fff500,0x4c1f5000,0x3fe0001f,0x00fff20f,0xffffd800,
    0xfa800005,0x0001ffff,0x000bffd0,0x79fffb30,0x59ffb955,0x640001fb,
    0x40000eff,0x7f441ffe,0x7ffd400f,0xdffffdcd,0x3fa2007d,0xfedbacef,
    0xff3001ef,0x7ffd40bf,0x22000002,0x33fe203f,0x20004ffe,0xffb85ff9,
    0xfe800000,0x3ff2000f,0x42fbee4f,0x03fffea8,0xfc8001ba,0x017fc41f,
    0x2fc85ff1,0x360ffcc0,0x77ff401f,0x05fffffd,0x0bfff000,0x009ff700,
    0x09b09b00,0xb0ffe200,0x540000df,0x02fffbff,0x6eff4000,0x880005ff,
    0xb80006ff,0x6c403fff,0x0000ffff,0x00003ffe,0x3ea07ff5,0x13fee06f,
    0x03fffe4c,0x200dffb8,0xa803ffe9,0x3e205fff,0x000002ff,0x3fc803ee,
    0x20003ff2,0xff01fff8,0xf9800007,0x7fd4001f,0xe803f54f,0x1f704fff,
    0x05ff7000,0xfc807fea,0x200bf94f,0x09fb3ffc,0x7dc0bfc8,0x80000fff,
    0x90005ffd,0x9b0000df,0x2a0009b0,0x001ff86f,0x6c47fa00,0x2e00006f,
    0x00bfee5f,0x001df700,0x00effd80,0x007ffea0,0x000ffcc0,0xd007ff40,
    0x9ff305ff,0x80fff900,0x1004ffe8,0xe801bffb,0x7ffc02ff,0x36000002,
    0x2a0be606,0xff98005f,0x0017f206,0x0005f700,0x3f39fff5,0x1fffd100,
    0x88007f10,0x37fc06ff,0xffffff10,0x3ffe2003,0x3e600fff,0x13ffea01,
    0x17ff2000,0x000fd800,0x3f307d40,0x107ee000,0x5c00007f,0x003fc81f,
    0xf984f880,0x0fec0006,0x3bff6000,0x1ffb8000,0x005f9000,0x80fff100,
    0xffe83ffd,0x80ff9000,0xe8004ffd,0x000806ff,0x00005fff,0x2d80fe20,
    0x70007a60,0x2ff40dff,0x013a0000,0x7efffcc0,0x3ffee002,0xc800dd04,
    0x7fe404ff,0x3fffea01,0x7ffdc004,0x4016403f,0x80006ffd,0x20005ffc,
    0xe80003e8,0x0005fddf,0x001aa0f6,0x2a01e880,0x2640000f,0x20007b10,
    0x5c0002f8,0x20002fff,0x7d0002fc,0x3fe60000,0x22ffe406,0x74006ff8,
    0x03ffee07,0x0fffea00,0x17ffc000,0x0fb80000,0x05100310,0x307ffc80,
    0x400007ff,0x3e600048,0x44005fff,0xfb80ffff,0x5fff1000,0x406ffa80,
    0x8000cccc,0x00004ccc,0x00013fee,0x00017ff2,0x26000091,0x240001cd,
    0x200001a8,0x00298009,0x00380140,0x98000730,0x40005fff,0x488002f8,
    0x3fea0000,0x21ffec05,0x2000fff9,0xbfff307c,0x7fff4000,0xfff80000,
    0xdb000002,0x20000000,0xfc81fffc,0x0000000f,0x3fffe600,0xfffe8000,
    0x5003f883,0xf9801fff,0x000001ff,0xf7000000,0xf900005f,0x000000bf,
    0x00000000,0x00000000,0x00000000,0xd8000000,0x80001fff,0x0000003d,
    0x405ffb80,0x7fcc1ffe,0x41e6003f,0x0001fffe,0x0017ffea,0x000bffe0,
    0x000fe200,0x7fdc0000,0x017fd44f,0x20000000,0x0004fff9,0x360bfff9,
    0x0fffb006,0x0013ffe0,0x00000002,0x4001ff60,0x002ffe40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ffff100,0x800e6000,0xc8001000,
    0x3fe205ff,0x2ffff887,0x3fee1e00,0xff80005f,0x7c0002ff,0x3fb262ff,
    0x7dc000ce,0xffb91000,0xf30005bf,0x0ffe4fff,0x37220000,0x3002dfff,
    0x20009fff,0xf706fffa,0x0dfff001,0x2217ffa0,0xdacefffd,0x7fee4401,
    0xf80002df,0xfb71001f,0xbff91bff,0x59999990,0x59999970,0x59999990,
    0x59999970,0x59999990,0x59999970,0x99999970,0x666664c9,0x66441ccc,
    0x99992ccc,0x99970599,0x99990599,0x99970599,0x3ff20599,0x0200005f,
    0xefffedb8,0x77ff6543,0x05ffc804,0x7f40fff2,0x05003fff,0x0009fff9,
    0x009fffd0,0xf72fff80,0x03dfffff,0xfb803740,0xeffeb9be,0x7fff4000,
    0x7640dfeb,0x04eeeeee,0x75cdf7dc,0x7cc00eff,0xf30004ff,0x0fe20fff,
    0x00dfff10,0xbf51bffa,0x3fffb517,0x5cdf7dc0,0x0000effe,0x3e6003f5,
    0xeffb99bf,0xfda985ff,0xfeb984ff,0xfda984ff,0xfeb984ff,0xfda984ff,
    0xfeb984ff,0xffd984ff,0x36a22dff,0x80bdffff,0x531dffda,0x7309fffb,
    0x5309fffd,0x7309fffb,0x3e09fffd,0x00003fff,0x456ff440,0xdf94ffeb,
    0x03dfff97,0x6442ffe4,0x3fea01ef,0x8001efff,0x0003fffe,0x005fffd8,
    0x7dd7ffc0,0xffffffef,0x803f8801,0xfff884fd,0x7ffdc005,0xffb302ef,
    0x6c015bff,0x5fff884f,0x027ffcc0,0x07fff980,0xfff301b6,0x9fff600b,
    0x3ff106f8,0x3e213f60,0xfa8005ff,0x03ff5003,0x40bffff3,0x2204fff8,
    0x3e204fff,0x3fe204ff,0x3ffe204f,0x13ffe204,0x102fffc8,0xa801fffd,
    0x9fff105f,0x027ffc40,0x4409fff1,0xff884fff,0x000002ff,0x3e21bfe2,
    0x6442feff,0xff900fff,0x02ffff8b,0xffffffb8,0x3ffe000c,0xfc80002f,
    0x7c0007ff,0x7d42fdff,0xfb806fff,0xb037dc00,0x4c003fff,0x4c02ffff,
    0xfb803fff,0x07fff606,0x004fff98,0x01ffff10,0xffa803ee,0xfffb004f,
    0xfa80ff21,0x3606fb81,0x71001fff,0x4c019fff,0x3fea03ff,0x27ff405f,
    0xd013ffa0,0xffe809ff,0x027ff404,0xf8813ffa,0x3fea03ff,0x007e400f,
    0xfe809ffd,0x27ff404f,0x2613ffa0,0x0001ffff,0x413fee00,0x3e03fffd,
    0xbff904ff,0x2efffdb8,0x7ffffe40,0xff9803ff,0xb80001ff,0x0000ffff,
    0x4403bffe,0x7402fffe,0x017fc406,0x2007fff5,0x0ffffffb,0x4402ffc0,
    0x3fea02ff,0x3ffe603f,0xfff10004,0x80fe203f,0xb004fffa,0x17fa3fff,
    0x2ff883f0,0x00fffea0,0xffffffb3,0x01ffa01d,0xfd017ffe,0x4ffd809f,
    0x2027ff40,0x7f404ffd,0x27fec04f,0xd01bff20,0x04e807ff,0x36027ff4,
    0x7ff404ff,0x427fec04,0x001ffffa,0x0fff6000,0x9007ffe4,0x3ff20fff,
    0x5fffd105,0xfffffb80,0x3ea02eff,0x80000fff,0x001ffffa,0x500bffe0,
    0x7c40dfff,0x403fec03,0x74c00dfc,0x4ffff9ef,0x2007fe60,0xdfc807fd,
    0x13ffe600,0x07fff800,0xfff7036c,0x3fff6007,0x6403ffd1,0x6403fec1,
    0x6dcc00df,0x86fffffe,0xfd803ffa,0x27ff405f,0xd013ff60,0xffd809ff,
    0x027ff404,0xf3013ff6,0x7fe403ff,0xd007e606,0xffd809ff,0x027ff404,
    0x3ee13ff6,0x00000fff,0x6407fee0,0x7fdc07ff,0x05ffc80f,0x003fffa2,
    0xffffffb1,0xfff701bf,0xf300001f,0x40005fff,0xfe802fff,0x003ee07f,
    0x40000dff,0xff90dffb,0x13ee03ff,0x00037fc0,0x009fff30,0x203fffc0,
    0xfff500fa,0x3fff6007,0x209fff90,0x0006ff80,0x7fff4c00,0x017ff43f,
    0x3a02ffe4,0x7fec04ff,0x027ff404,0xfd013ff6,0x4ffd809f,0x204ffe80,
    0xd901fffc,0x809ffd00,0x7f404ffd,0x27fec04f,0x007fffd4,0x80660000,
    0xeeeefffc,0x1fffeeee,0x5405ffc8,0xd5004fff,0x1fffffff,0x01ffffa8,
    0xffffa800,0x0033f620,0xf7005fff,0x017a01ff,0x0000bff3,0xff113fee,
    0x01ba0dff,0x0002ffcc,0x009fff30,0x2037ffc0,0xfff303f8,0x3fffa009,
    0x5dffff30,0x005ff980,0xfff90000,0x00fffc4f,0x3a02ffe4,0x7fec04ff,
    0x027ff404,0xfd013ff6,0x4ffd809f,0x107ffb80,0xf10bffff,0x09ffd007,
    0x7404ffd8,0x7fec04ff,0x1ffff984,0x30000000,0x555ffffb,0x55555555,
    0x00bff901,0xb800fffd,0x0effffff,0x00bfffe2,0x1fffee00,0xf80ffffb,
    0xffa802ff,0x403f881f,0x80005ffa,0xff705ffb,0x01fa89ff,0x000bff50,
    0x027ffcc0,0x04fff880,0xfff106d8,0x1fffa009,0x5dfffff9,0x0017fea0,
    0xfffe8000,0x001fff30,0xfe80bff9,0x27fec04f,0xb013ffa0,0xffe809ff,
    0x027fec04,0x5c17ffc4,0x540fffaf,0x4ffe800f,0x2027fec0,0x7ec04ffe,
    0xffff884f,0x40000002,0x6ffddfea,0x5ffc8000,0x01fffb80,0x7fffe440,
    0x1ffffc5f,0x7ffe4000,0x17ffffc6,0x3005fff0,0x1f703fff,0x006ffb80,
    0x01fffc40,0x223ffffd,0x3fee004f,0x3e600006,0xf10004ff,0x3f5007ff,
    0x4017ffe0,0xffb86ffe,0xfb85ffff,0x0000006f,0x7dc7ffea,0xffc800ff,
    0x027ff405,0xfd013ff6,0x4ffd809f,0x2027ff40,0xfb004ffd,0x3fe7f0bf,
    0xe802ec3f,0x7fec04ff,0x027ff404,0x7fc13ff6,0x000003ff,0x323bff70,
    0xc80006ff,0xffa805ff,0xff30002f,0x7ff43fff,0xfd80004f,0x7ffec4ff,
    0x0bffe05f,0x741ffe60,0x07ffb805,0x07ffec00,0x2dffff30,0x7fdc006d,
    0x3e600007,0xf10004ff,0x7f1005ff,0x4017ffa0,0xf9104fff,0x5c3dffff,
    0x000007ff,0x647ffe20,0xfc801fff,0x27ff405f,0xd013ff60,0xffd809ff,
    0x027ff404,0x4c013ff6,0x43ee0fff,0x0be26ffc,0x2027ff40,0x7f404ffd,
    0x27fec04f,0x006fffd8,0x6ff4c000,0x003ffdc1,0x402ffe40,0x0912fff9,
    0x3ffff980,0x0017fff2,0x20ffff60,0x3e06e8ba,0xffa802ff,0xa803f886,
    0x82001fff,0xc806fff8,0x01feffff,0x00fffd40,0x7ffcc010,0xfff10004,
    0x641b6003,0xff9807ff,0x7fecc02f,0x3ffea6ff,0x00002001,0x7ffdcffd,
    0x05ffc802,0x36027ff4,0x7ff404ff,0x027fec04,0xfb013ffa,0x7ff4009f,
    0xfff893a3,0x7f400f71,0x27fec04f,0xb013ffa0,0x3fe609ff,0x000000ff,
    0x3ee0bff3,0x640000ff,0xff8805ff,0x5000d11f,0x7fccbfff,0x7c0000ff,
    0x2fc00eff,0x7005fff0,0x01f70bff,0x00bfff10,0x0dfff32c,0x17ffffa0,
    0x17ffe200,0x3fe60580,0xff30004f,0x40fd400d,0x5400fff9,0xa8060fff,
    0xff11ffff,0x002c00bf,0xffa9bf60,0x5ffc804f,0x2027fec0,0x7ec04ffd,
    0x27fec04f,0xb013ff60,0x7dc009ff,0xfd81f56f,0x6c009d4f,0x7fec04ff,
    0x027fec04,0xfd813ff6,0x900003ff,0xa807ff41,0x35001fff,0x200bff90,
    0x01f10fff,0xc8bfff00,0x20003fff,0x5402fffb,0x0bffe02f,0x3a0bff20,
    0x3fffe005,0x3ea3b800,0xff1007ff,0x83005fff,0xb800ffff,0x13ffe603,
    0x7ff500a8,0xe81fc400,0x7fdc03ff,0xff300745,0x07fffc7f,0x20001dc0,
    0x3ffe24fe,0x2ffe400f,0xb013ff60,0xffd809ff,0x027fec04,0xfb013ff6,
    0x7fc4009f,0xffa85e9f,0x36000faf,0x7fec04ff,0x027fec04,0xf9813ff6,
    0x40000fff,0x81ffe24b,0xd005fff8,0x00bff901,0x1fc4fff1,0x227ff400,
    0x000ffff8,0xb00bfff0,0x02fff80d,0x7c42ffc4,0x3fff2003,0x987e600e,
    0x9003ffff,0x405fffff,0x77ffe469,0x9807e600,0xffd04fff,0x001ff903,
    0xbff506d8,0x740ffe80,0x927fec02,0x4c01dfff,0x3e20001f,0x1ffff40f,
    0x901bff20,0x7f440bff,0x2ffe404f,0x809ffd10,0x3a205ffc,0x7ec004ff,
    0xfff01fef,0xffc800bf,0x13ffa205,0x440bff90,0x7ec04ffe,0x2a0005ff,
    0x007ffd46,0xc803fffd,0x54bff905,0x127fcc1d,0xff8001ff,0x3fffa82f,
    0x0fffb800,0xf003b620,0xffb805ff,0x2000fb80,0x81effff8,0x7ffc45fb,
    0x77ec01ff,0x40bfffff,0x7ffc43e8,0x05fb81ef,0x4c2fffd4,0x3fd85fff,
    0xb01fa800,0x3fe601ff,0x7d406e84,0x3fffe22f,0x105fb81e,0x260bf600,
    0x3601ffff,0x7fdc06ff,0xfffe980f,0x07ffdc05,0x02ffff4c,0x2603ffee,
    0x4005fffe,0x3205fffa,0x5c002fff,0xfe980fff,0x7fdc05ff,0xfffe980f,
    0xdfffd805,0x20fd4000,0xd103fffa,0xb503ffff,0x57ff603f,0x7fd46ff8,
    0x003bfe20,0xfb02ffd4,0x7cc003ff,0x37ea02ff,0x0efff800,0x3a05ff30,
    0xfffb8005,0xefedceff,0xfffffb80,0x53fee20b,0xeffffffa,0xfb80ffdc,
    0xedceffff,0x7fdc00ef,0x1ffff06f,0x880027cc,0x417fa04f,0x09fd05fe,
    0x3ee077ec,0xedceffff,0x3efe80ef,0x6407fb10,0x6c43ffff,0x818bffff,
    0x712dfff9,0x35fffb5f,0x5bfff303,0x3ff6bee2,0xff9819af,0xb5f712df,
    0x00335fff,0xf980bffe,0xff98007f,0xb5f712df,0x30335fff,0x2e25bfff,
    0x9afffdaf,0xdfffd101,0x03d91005,0xb85dfff3,0xeffffedf,0x203fffcc,
    0xdff15ffd,0x7fc44fe8,0x7fc401ef,0x7ffd400f,0x0effb802,0xb8007220,
    0x711bffff,0x0be205df,0x7fffdc00,0x201fffff,0xeffffffd,0x74c2ffff,
    0xffffffff,0x3fffee01,0x401fffff,0x83fffff9,0xea8dfffb,0x036c0005,
    0x36617ff1,0xbffd00ef,0x701ffa81,0xffffffff,0xffff103f,0x3dd7557f,
    0xfffffb00,0xfff99fdb,0x3ff205df,0xfb2fffff,0x3203bfff,0x2fffffff,
    0x03bffffb,0x3ffffff2,0xbffffb2f,0x01bf2003,0x640013fa,0x2fffffff,
    0x03bffffb,0x3ffffff2,0xbffffb2f,0xffffb803,0xecb99abf,0x3ff600ef,
    0x13ffdeff,0xfffffffd,0x7ffd40bf,0x7ec5ff25,0xfffff884,0x3fee61bd,
    0xffd1001e,0x7ed44139,0x4000004f,0xfffffffb,0x003ee00c,0xfffff980,
    0xffa800cf,0x04efffff,0x3fffff62,0xfff9802e,0xd100cfff,0xfffffffd,
    0x3ff227df,0x80002fff,0x3b2201fa,0x7403ffef,0xffdefffe,0x7ffcc01d,
    0x2e00cfff,0xefffffff,0x7ffdc003,0xbff92fff,0xffffb003,0x0e7fec3d,
    0x77fffec0,0x0073ff61,0x87bffff6,0x4001cffd,0x1fb802f9,0x3fff6000,
    0x33ff61ef,0xffffd801,0x073ff61e,0xffffc880,0x02dfffff,0xfffffd88,
    0x7ffec41d,0xff303fff,0x75c4bfff,0x3f103eff,0xfffffb73,0x20009fff,
    0xffefffdb,0x00001def,0x06aea200,0x80001dc0,0x4000aba8,0x009bca98,
    0x0015dcc0,0x00055d44,0x26ea2000,0x39100000,0x4006a600,0x06b2a620,
    0x01575100,0x02aaaa20,0x06ee6000,0xb8800175,0x8002b80b,0x02b80bb8,
    0xb80bb880,0x80240002,0xb8800048,0x8002b80b,0x02b80bb8,0xccba9800,
    0xb98000aa,0xbb9800ab,0x2200000a,0x5441c400,0x0009accb,0x13795100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33310000,
    0x99988001,0x08000000,0x00c80000,0x000000c4,0x40000000,0x00000000,
    0x00000000,0x99988000,0x26666001,0x02000000,0x02200000,0x32600130,
    0x0000002d,0x40000000,0x20009998,0x00009998,0x00000000,0x00000880,
    0x2a000001,0x4000a00a,0x0006fffc,0x00ffff88,0x037ffd40,0x7f6d4000,
    0x001ceeff,0xfb81fdc0,0xba880006,0x0d883fed,0xda801d40,0x00cdeffe,
    0x059803b0,0x59801b10,0x7fffc400,0x3ff20001,0x3ff2003f,0x2a00003f,
    0xceefffed,0x2fc00001,0xf7005f50,0x0001ff9d,0x39bfd971,0x7fffd000,
    0xfffd0000,0x7ffc4003,0x3b220007,0x0003deff,0x77ff65cc,0x00db01bd,
    0x7edd445b,0x000beeff,0x0ffffee0,0x3e200162,0x0002ffff,0x000fffd4,
    0x000fffb8,0xacffc880,0xefdba999,0x3be60002,0x0007fd51,0x1bdffb88,
    0xfa80f640,0x8df6c400,0x801fffc9,0x03f302fa,0xf9817d40,0x7ffec001,
    0x3fe0006f,0xffd8004f,0x7e440006,0xba999acf,0x80002efd,0x03ee03f8,
    0x009d0fe0,0xfcabff98,0x3ee003ff,0x0000ffff,0x000bffe6,0x0007ffe6,
    0x2666ffee,0x4c002ffc,0xdbabcffe,0x3f20dfff,0xfedfd801,0xfdbabdef,
    0x54001dff,0x2effffff,0x3f6000ee,0x0006ffce,0x00017fec,0x0000fff2,
    0x22005bf5,0x30000dfb,0x0019fdff,0x01fffa80,0xf70ffe20,0x201fd007,
    0xe802fffb,0x0027d44f,0x13ea27f4,0xfd7ff300,0xff30005f,0x3fa2000b,
    0xbf50000f,0x37ee2005,0x0bea0000,0x87a807d8,0x3bea007a,0x805ffc80,
    0x4ffdcff8,0x0ffee000,0x04ffb800,0x9807fe40,0xff7002ff,0x7ff4c01b,
    0xfd003fbc,0xfa807fff,0x4f6003ff,0xeeffffe9,0x6fcc001f,0x0007ff50,
    0x80001ffc,0x320005fd,0xfb10002f,0xffb10005,0xff70000b,0xff70001b,
    0x3201bf2b,0x7ffec04f,0x477fcc00,0x98000ffa,0x0ffa8dff,0xd897f400,
    0xefc8006f,0x3fe20000,0x02fc8002,0x005fb100,0x5f803ee0,0x3dc0fa80,
    0x201ffa80,0x7e403ffe,0x0007ff24,0x400027f4,0x3e6006fc,0x07fe403f,
    0x007ffb10,0x017fffa2,0x000dffe8,0x2009fff5,0xfffffb86,0x885e8003,
    0xf98000fe,0x3a200004,0x01db0007,0x003f7000,0x3fefbf22,0x3ff20004,
    0x7ff40004,0xfe801fff,0x1fffd405,0x7ffffec0,0x3ff60003,0x54003fff,
    0x003fc81f,0x400007f4,0x76c005f9,0x1fb80000,0x2207d800,0x447f003f,
    0x0bfd003e,0x100fffa8,0x00bf507f,0x0000bf10,0xfd800fec,0x1ffcc00f,
    0x800bffd0,0x2005ffe8,0x54000efe,0x03804fff,0x0005bb71,0x004d80b5,
    0x800005c8,0x7dc002f8,0xffd97300,0x7dcf337b,0xb177d400,0xf90009ff,
    0xf50000df,0x3e00bfff,0x3fe200ff,0xfff8804f,0x7c40006f,0x44006fff,
    0x003ea01e,0x00000fc4,0x47dc00f5,0xccccccc8,0x3ee00abc,0x502fc000,
    0x3bee005f,0xfa800ffd,0x4ffd803f,0x174c05b0,0x0003ae00,0x3e007d00,
    0x5ff8806f,0x003fff90,0x007fffd0,0x5c0003fe,0x00002fff,0x5c00e000,
    0x00064000,0x20039800,0xcfc881f9,0xfffd930a,0x41ec05d8,0x2004fff8,
    0x0001fffb,0x00199970,0xff00fffa,0x332a00bf,0xca80001c,0x04c001cc,
    0x2a801440,0x01b80000,0x3fa61f98,0xfffdabef,0x88017604,0x003f204f,
    0x2002db88,0xfb802ffe,0x401440ff,0x005c0038,0x40244000,0x4c00fff8,
    0xfff983ff,0xfefc8005,0x03f800ff,0x3fffe200,0x00000000,0x00000000,
    0x74000000,0x402ffa84,0x017447fb,0x01fffb80,0x003fff98,0xfc800000,
    0x3ffe204f,0x00000003,0x00000000,0x00000000,0x7fd42740,0x82ffec44,
    0x5f5002e8,0x00003ec0,0x801fff80,0x0002fff9,0x00000000,0x1fff4000,
    0x3a07fee0,0x5c001fff,0x05fffabf,0x640000f8,0x00005fff,0x00000000,
    0x00000000,0xff303e60,0x703ee003,0x7fec000d,0x06ffd806,0x10000000,
    0x7fcc01b7,0x0000001f,0x08000000,0x00010000,0x07cc0020,0x7cc27fd4,
    0x00d702ff,0x05f803ee,0xff880000,0xfff8802f,0x00000003,0x40000000,
    0x3a01fffc,0x6fffb86f,0xf8a7cc00,0x1a202fff,0x3ffe2000,0xfeca800f,
    0x20000bde,0x0bdefeca,0xefeca800,0xca8000bd,0x400bdefe,0x006fe84c,
    0x007e20fc,0xf5bdd971,0x7fd409ff,0xd700003f,0x0059dfff,0x937fdc00,
    0x70599999,0x00599999,0x5ef7f654,0x7f64c000,0x26001def,0x01deffec,
    0x3bffb260,0x4c13201d,0x9ffd04ff,0xff987e20,0xffffffff,0xffffffff,
    0x3fffae07,0x7fcc02ce,0xbfff003f,0x3bfffae0,0x7f5c002c,0x4002ceff,
    0x2cefffeb,0x1ffffa80,0xfd81ffb8,0x3e2005ff,0x027fff46,0x7f400002,
    0x3bee04ff,0x1fffca9c,0x4e77dc00,0x001fffca,0xf9539df7,0x3ee003ff,
    0xfffca9ce,0xfc83f101,0x4054002f,0x2fbea04d,0xfffffeba,0x41fffd01,
    0xd3000998,0xfff935bf,0x3fe0000b,0x3ff6a61f,0xffeb984f,0xcefb804f,
    0x01fffca9,0xfb77ff90,0xff9009ff,0x09fffb77,0xfb77ff90,0x03f109ff,
    0x7ec13fe6,0xe993603f,0xeeffeeee,0xeefeeeee,0xadfe986e,0x205fffc9,
    0xd004fff9,0xdfe98dff,0x05fffc9a,0xc9adfe98,0xe9805fff,0xfffc9adf,
    0xffffd805,0x7407fea2,0x3a004fff,0x2fffe40f,0xfd800000,0x1ff906ff,
    0x007fff50,0x3ea03ff2,0x7fe403ff,0x03fffa80,0x7d407fe4,0xf87983ff,
    0x700000ff,0x203bf20d,0x884ffffb,0xffd75fff,0x74403dff,0x09ffd07f,
    0x04ffa800,0x4409fff1,0x7e404fff,0x3fffa80f,0x2e0bfa20,0xfd104fff,
    0x09fff705,0x3ee0bfa2,0x303cc4ff,0x3ffe09ff,0xf301ae00,0x1007e407,
    0x3ffa0ffd,0x0bfff104,0xe89fffe0,0x09ffd07f,0xfe83ff44,0x1ffa204f,
    0x74027ff4,0xdfacffff,0x7ffff100,0x2e07f600,0x00007fff,0x0ffff900,
    0x7d403ff7,0x7fdc02ff,0x0bffea01,0xf500ffdc,0x3fee05ff,0x0bffea01,
    0x07ff88d5,0x2a1ea000,0x3ff200ff,0xdfffb87f,0xfffdbcee,0x09ff703f,
    0x0001ffee,0xffe80dfd,0x027ff404,0x7d403ff7,0x05f902ff,0x640fffe4,
    0x3fff202f,0x3202fc81,0x81aa1fff,0xffc84ff9,0x2a03d404,0x701b601f,
    0x3fee09ff,0x03fffe07,0xfb9bffe0,0x0fff704f,0xfb827fdc,0x13fee07f,
    0x4403ffdc,0x03fffffd,0x00ffffcc,0xffb81fdc,0x000000ff,0x20ffffa8,
    0xfe805ff8,0x17fe206f,0x221bffa0,0xffe805ff,0x805ff886,0x22dc6ffe,
    0x00006ffa,0x0bfd03e2,0xd85fffd0,0xf882efff,0xffd83fff,0x01fff504,
    0x007fea00,0xfd809ffd,0x0bff104f,0xf10dffd0,0x5fff980d,0x3e6037c4,
    0x037c45ff,0x5b97ffe6,0x2a77fe60,0x8803ffeb,0x803f200f,0x27fec05f,
    0x900fffa8,0xf8809fff,0x13ff65ff,0xd807ffd4,0xfff504ff,0x413ff601,
    0xb000fffa,0x401dffff,0x400ffffa,0x3fea04fa,0xdddd11ff,0xdddddddd,
    0xdddddddd,0x3ffffddd,0x5c027fdc,0xff703fff,0x7fff7009,0xb804ffb8,
    0x7fdc3fff,0x3fffb804,0x0fff7172,0x907c4000,0xff9005ff,0x07fff8bf,
    0x207fffcc,0xff301ffb,0x3fa0001f,0x04ffe802,0xfb827fec,0xfffb804f,
    0x22027ec3,0x27ec7fff,0xb1fffe20,0xfff8809f,0xff981727,0x003fffef,
    0x06e803e2,0xff700fe2,0x03ffe603,0x00ffffc4,0x7dc9fff7,0x1fff301f,
    0x4c07fee0,0xff700fff,0x03ffe603,0x7ffffdc0,0xffff501f,0x2037cc01,
    0xf12ffff9,0x9999dfff,0x99999999,0xffb99999,0x1ffec5ff,0xb06fff80,
    0x3fe007ff,0x01ffec6f,0x7ec6fff8,0xdfff003f,0x1ffe635c,0x7c798000,
    0xff8802ff,0x037ffc6f,0x5427ffe4,0x03ffe601,0x400fe600,0x7ec04ffe,
    0x07ffb04f,0xff1bffe0,0xdddddddd,0x7c1ffffd,0xeeeeeeef,0x20ffffee,
    0xeeeeeeff,0x0ffffeee,0xa7fcc0d7,0x26006ff9,0xf502fc07,0x4c035003,
    0x3ea00fff,0xd510afff,0x1a87ffff,0x803ffe60,0x3ffe601a,0xf9806a00,
    0xbfc800ff,0x82fffffa,0x101ffff9,0xffa801fd,0x3fffe1ff,0xff500004,
    0x0fffc3ff,0xf07ffe80,0x3fa003ff,0x00fffc7f,0x7fc7ffe8,0xfffd001f,
    0x3ffe23d4,0x4d500000,0xd001fff8,0x7ffc4fff,0x6fff9806,0x3fff6a00,
    0x05d8000f,0xb013ffa0,0x3ffe09ff,0x4fffd001,0xaaaadff8,0xaaaaaaaa,
    0x555bff10,0x55555555,0x2b7fe215,0xaaaaaaaa,0x40f50aaa,0x3fee4ff9,
    0x4c0d5004,0x003f203f,0xffffda80,0x7fffd400,0xffdaefff,0xffb5000f,
    0xb50001ff,0x0001ffff,0x01ffffb5,0x3fe64fd8,0x7fc41fff,0x03fb02ff,
    0x41ffff50,0x0005fffd,0x4cffff70,0xfb001fff,0xfff981ff,0x1fffb001,
    0x4007ffe6,0xff30fffd,0x3ff6003f,0xfe81f10f,0xb700002f,0x8007ffd4,
    0xff10fffd,0x3ffa00bf,0x5f7e4407,0x8000fff9,0x3ffa000f,0x427fec04,
    0xb001fff9,0x3fe61fff,0x3fe60004,0x3fe60004,0x03e20004,0x3fa27fcc,
    0x225b801f,0xaacfcaaa,0xaafeaaaa,0x7e4402aa,0x00fff9be,0x2cefdb88,
    0x880bfff1,0xfff9befc,0x7df91000,0x2001fff3,0xff9befc8,0x21bf600f,
    0x40ffffe9,0xfc82fffe,0xffff7002,0x006fffc8,0x4dfff900,0x9001fffb,
    0xffb83fff,0xfff9001f,0x007ffee3,0xfb8fffe4,0xff9001ff,0x3ea1f43f,
    0x7d00006f,0x800fffdc,0x3fe1fffd,0xfffb004f,0x45df9101,0x4000fff8,
    0x7ff40068,0x427fec04,0x9001fffb,0x3fea3fff,0x3fea0005,0x3fea0005,
    0x81f40005,0x7fc44ff9,0xf31f400f,0xffffffff,0xffffffff,0x3bf220ff,
    0x003ffe22,0x07ffea00,0xf1177e44,0xfc8801ff,0x03ffe22e,0x445df910,
    0xff500fff,0x3fffa205,0x227ffec4,0x3f2004fa,0x7ffd45ff,0xffb00007,
    0x17ffdcbf,0xb87ffb80,0xf7002fff,0x17ffdcff,0x2e7ffb80,0xf7002fff,
    0xfd86b8ff,0x3076002f,0x1fffdc1f,0x747ffc80,0xff9005ff,0x81bfd10f,
    0x4000fff8,0x7ff4004a,0x427fec04,0x7002fffb,0x37fd4fff,0x0dff5000,
    0x037fd400,0x7d41ae00,0x05ffa84f,0xaaa883e6,0xaaaaaafe,0x2aaaacfb,
    0x440dfe88,0x80000fff,0xfd106ffe,0x0fff881b,0x1037fa20,0x74401fff,
    0x7ffc40df,0x401ffb00,0x7e47fff9,0x017e66ff,0x987fffd0,0x0002ffff,
    0x51ffffc4,0x2e007fff,0xfffa86ff,0x4dff7003,0x7003fffa,0x7ffd4dff,
    0x8dff7003,0x7ff441f8,0x6c16c401,0x027ffd44,0x7e45ffb8,0xdff7007f,
    0xf105fe88,0x2b8001ff,0x027ff400,0x3ea13ff6,0xff7003ff,0x007ffccd,
    0x00fff980,0x01fff300,0x540fc400,0x7ff904ff,0x0bf01360,0x74400fd4,
    0x1fff105f,0xfffa8000,0x105fe881,0x3a201fff,0x1fff105f,0x4417fa20,
    0xff880fff,0x1fffa806,0x223fffe2,0x7fc000ee,0xfffd80ff,0x7fdc0005,
    0x3ffe60ff,0x09ff9005,0x200bfff3,0x3fe64ffc,0x9ff9005f,0x802fffcc,
    0x86c84ffc,0x4c1cffc8,0x41fa81eb,0x9005fff9,0xfffb87ff,0x45ffb800,
    0xff101fff,0x00a8001f,0x2027fec0,0xff984ffd,0x9ff9005f,0x0027ffc4,
    0x13ffe21b,0xfff10d80,0x3206c009,0x206ffc86,0x0fd42ffe,0x7e407f30,
    0x01fff800,0x0001fff1,0xff03ffe8,0x3ffe203f,0x203fff00,0xff00fff8,
    0x3ffe203f,0x004ffa80,0xffb85fff,0x4001feaf,0xf103fffb,0x40003fff,
    0xfe83fffe,0xffc800ff,0x01fffd02,0xfe85ff90,0xffc800ff,0x007fff42,
    0x4e817fe4,0xfdfffb30,0x07f1017b,0x6c01fffe,0x7ffc42ff,0x22ffc801,
    0x3e207ff9,0x000000ff,0x6c04ffd8,0xfffd04ff,0x85ff9001,0x9801ffff,
    0x00ffffc6,0x3fffe34c,0x9d069801,0x3fffffaa,0x15fff986,0x01fa807f,
    0x3fe601b6,0x03ffe207,0x05ffc800,0x7c40fff3,0x7ff980ff,0x203ffe20,
    0x3e207ff9,0x5ffa80ff,0xd01ff900,0x8005ffff,0x5c06fff8,0x50004fff,
    0x3ea0dfff,0xffe803ff,0x07fff500,0xfa81ffd0,0xffe803ff,0x01fffd40,
    0xf8807ff4,0x200d4403,0x3fee05e8,0x0ffe803f,0xd805ffb8,0x0fffdc6f,
    0x001fff88,0x5ffc8000,0x413ffa20,0xe803fffa,0x7ffdc0ff,0x70fa201f,
    0x4403ffff,0x7fffdc3e,0x440fa201,0xd100003f,0x401f900b,0xfffb804f,
    0x03fff101,0x03bfea00,0x880fffdc,0xffb81fff,0x3fff101f,0x203fff70,
    0xf881fff8,0x0ff9006f,0x0017ffe6,0x2007fff2,0x4002fffe,0x201ffff8,
    0x2600fffe,0x7ff403ff,0x0ffe600f,0x3007fff4,0x3ffa07ff,0x0ffe600f,
    0x80009f50,0x7f400ee9,0x3fe601ff,0x80bffa03,0x7fd42ff9,0xfffd883f,
    0xdea80311,0x3ffee001,0x5fffe980,0x803fffa0,0xffd03ff9,0x75c417ff,
    0xffffe80f,0x03fae20b,0x82fffffa,0x2a00feb8,0x74c0004f,0x206e800e,
    0xffa803f8,0xfffd883f,0x3e600311,0x7ffd405f,0x1fffd883,0x0fffea31,
    0x447fff62,0x107fff51,0x8623fffb,0xfd801ffd,0x0bfff204,0x01fff980,
    0x05ffff30,0x0ffffa20,0x40dfff30,0xff9805fd,0x817f606f,0x3606fff9,
    0x3ffe605f,0x4017f606,0xb8001ee8,0xfff3004f,0x202fec0d,0x3f606ff8,
    0xcffff883,0xfffcfb88,0x7fc00e9c,0x3fe6006f,0xb5f712df,0x98335fff,
    0x3f606fff,0x3fffea05,0x2fffeeff,0xffffff50,0x205fffdd,0xeffffffa,
    0x8802fffe,0xfb8001ee,0xa813e004,0xfff8801f,0xfcfb88cf,0x800e9cff,
    0xf8804ffa,0xfb88cfff,0x0e9cfffc,0x119ffff1,0x39fff9f7,0x3fffe21d,
    0xffcfb88c,0x3e20e9cf,0x037d406f,0x03fffdf1,0x003dff50,0x02fffd88,
    0x00f7ff44,0x22dffe88,0x22005fe9,0x3a62dffe,0xffe8805f,0x017fa62d,
    0x98b7ffa2,0xfc8005fe,0x77e4c02e,0x7ff4c002,0x09fd30be,0x8877fea0,
    0x3ff202fd,0xfd2fffff,0xf9803fff,0x32000fff,0x2fffffff,0x03bffffb,
    0x4c5bffd1,0xffa805fe,0x3fffffff,0x7ffffd40,0x5403ffff,0xffffffff,
    0x77e4003f,0x177e4c02,0x6407f300,0xfff9000f,0x3fa5ffff,0x6cc01fff,
    0x3f2002ef,0xd2ffffff,0xfc83ffff,0xd2ffffff,0xfc83ffff,0xd2ffffff,
    0xd303ffff,0x1df501df,0x7ec47f40,0x32a21bdf,0x540003ff,0x711befff,
    0x0009fffb,0xdfffffb1,0xfb100059,0x059dffff,0x7fffec40,0x22002cef,
    0xcefffffd,0x3ae20002,0xffedceef,0x3620002d,0x2cefffff,0x77ff4400,
    0xfc802dfd,0x3ee0dfff,0xffd001ef,0xfffb000b,0x67fec3df,0x7ffec401,
    0x2002ceff,0xefffffe8,0xfffd1001,0x22003dff,0x1efffffe,0xdfd71000,
    0x5bffdb9d,0x403f5000,0x7fe4006d,0x3fee0dff,0xffdb981e,0xff90002e,
    0x7fdc1bff,0xffff901e,0x0f7fdc1b,0x0dffffc8,0x9007bfee,0x7fdb9dff,
    0x6cc1fd80,0xffffefff,0x9100000d,0xfffffffd,0x300005bd,0x40000377,
    0x80001bb9,0x80001bb9,0x00001bb9,0x9accba98,0x5cc00000,0xa880000b,
    0x1a88001a,0x2a000620,0x2ee20002,0x30002b80,0x88000377,0x10001aba,
    0x20003575,0x0001aba8,0x2b32ea60,0x12a00009,0x51000590,0x9700c403,
    0x10000135,0x400c4035,0x006201a8,0x018806a2,0x00555440,0x5d4c03b8,
    0x000000ac,0x009bca98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x97001999,0x99999999,0x00099999,0x802aa000,0x98000002,
    0x00015001,0x00000000,0x51000000,0x980037b9,0x00000999,0x5c400000,
    0xccccdecc,0xcccccccc,0x201ccccc,0x00051002,0x00020000,0x00013660,
    0x00333310,0x00000000,0xcccc8000,0x004ccccc,0x00000000,0x99999999,
    0x99307999,0x99999999,0x01550019,0xffe80014,0x7ffcc01f,0xffffffff,
    0xdfc86fff,0x400f7dc0,0x983ffffb,0x427ec404,0x1f100dfc,0xc8806a80,
    0x3bfae23f,0x0036600d,0x401d8075,0x77d40058,0x802efffe,0x880ffff8,
    0xcccccccc,0x7540cccc,0xfeb8003f,0xfffdcdef,0xffffffff,0x02ffffff,
    0x00f60172,0x8009fd30,0x7e545fc8,0xfeb881ef,0x6400005f,0xff303fff,
    0x007701ff,0x07bee039,0xa8003dd5,0xffffffff,0x0fe4404f,0x000efec4,
    0xffca9800,0x80adffff,0xffffeb98,0x75c01cff,0x05883fff,0xfd107bee,
    0xfffc809f,0xffffffff,0x7fcc3fff,0x1bffe24f,0xffffff50,0x2e01e45d,
    0x3fea2fff,0x2b3fa03f,0x409f9510,0xf53fffda,0x05ffffff,0x0fa80f64,
    0xe881fcc0,0x98bf2002,0x5402ffff,0x2e601fff,0xcffffffe,0x7fffc42b,
    0xbffd1005,0x3ffff203,0x0bfea202,0x261bef98,0x6c001fdb,0xda801fff,
    0x3ff65fff,0x3ae2ffff,0x0005ffff,0xd027ffc0,0x3a0bffff,0x2209b00d,
    0x7ffc5fff,0x7fff4006,0x00ffffff,0x903fff91,0x0005ffff,0xffffb800,
    0x3ffa2002,0xfff5005f,0x1dc5ffff,0x986fff88,0x7ffc06ff,0xeeeeeeef,
    0x7d40ffee,0x3ffe25ff,0xfea9f406,0x01feefff,0xf71fffe4,0x7fd409ff,
    0x0fffffff,0x7ffffbb0,0xffffdff3,0x3fe203ff,0xd8017dc3,0x017e60df,
    0xff986fa8,0x17fec04f,0x3ffff900,0x7ffffcc0,0x27ffcc00,0x017fff40,
    0x3f601fc4,0x4fffffff,0x1fffd800,0x7fffe5c0,0xfcacfd8d,0xfff886ff,
    0x3e600005,0x2ffea05f,0xefa81fff,0x4c03f621,0x3fe26fff,0x3fe6007f,
    0x4fffffff,0xfffffc88,0x5ffffe81,0x7c400000,0xfc8007ff,0x27b003ff,
    0xeeffffe9,0xffff301f,0x5407fe60,0xdf7000df,0xf907ff60,0xfb86805f,
    0x8802ffff,0x7ff40efe,0x7fffdc01,0xf9802fff,0x2a0cebff,0x2e06ffff,
    0x00df94ff,0x7ccf7fc4,0x7ff1001f,0xf00bfea0,0xffa8007f,0xffff806f,
    0x3ffe203f,0x5fff9005,0xd100f200,0x1dffffff,0x0bff5000,0x777ff440,
    0x82fffa83,0x00005ffd,0xfe803bf2,0x3a0dfd11,0x03fe8aff,0x3f217fec,
    0x01b6003f,0x7ff4dec0,0xffffa81f,0x4000000f,0xc8006fff,0x0d002fff,
    0x07fffff7,0x2e03ffd8,0x800bd03f,0x080203fe,0xb7103880,0x20180039,
    0x3ff66000,0x3fe000df,0xfff103ff,0x7fff405f,0x7dc001ff,0x2004ffff,
    0x02202ffb,0x30009f50,0x2a00bfff,0x3fa04f89,0xff9000ff,0x00ea005f,
    0x01f7ff5c,0x6c000400,0x3fe02fff,0xffd5533f,0x0355555d,0x5c01fd00,
    0x983fc81f,0x006fffff,0x30004401,0xf500005f,0x226203ff,0x000000fe,
    0x40037ffc,0x7002fffb,0x00b76e20,0x4364004c,0x7fc40059,0x00000000,
    0x00000000,0x7fc00020,0x7ffe404f,0x3fffea06,0xfffd0005,0x7fe4001f,
    0x02e40002,0x05fff980,0xfa817cc0,0x3ee004ff,0x051002ff,0x00000000,
    0x80bffb00,0xfffb4ffd,0xffffffff,0x01f88009,0x0ea803a2,0x02ffffd8,
    0x6d800000,0xfff30000,0x000fb003,0x0dfff000,0x05fff700,0x00000000,
    0x2e000090,0x0000006f,0x00000000,0xfd000000,0xfff8807f,0x06665c07,
    0x2ccca800,0x00fff400,0x40003200,0x4004fff9,0xfffd00fc,0x7ffdc003,
    0x00000002,0x64000000,0x7fe405ff,0xdffb5535,0x00355555,0x005402a8,
    0x666440cc,0x80000003,0x100004f9,0x9f003fff,0xff000000,0xff7000df,
    0x0000005f,0x00000000,0x00001ff4,0x00000000,0x00200001,0x200fffa0,
    0x0000fffd,0xf8000000,0x000001ff,0x13ffe600,0xf503f880,0xfb800fff,
    0x000402ff,0x00000000,0x9017ff20,0xbff90bff,0x00000000,0x00000000,
    0xdfffd800,0xff10000b,0x006c803f,0xdfff0000,0x5fff7000,0x00000000,
    0x10000100,0xfeb801ff,0x4002ceff,0x2cefffeb,0xffec9800,0x326001de,
    0x001deffe,0xf9007ffd,0x000803ff,0xff800000,0x0080001f,0x09fff300,
    0xfd813a60,0x7dc006ff,0x006c02ff,0x37bfb2a0,0x6e44000b,0xc802dfff,
    0x7fe405ff,0x005ffc85,0x08001000,0x54000800,0x00bdefec,0xffffff98,
    0x7c4000df,0x1db101ff,0xf0000020,0xf7000dff,0x333205ff,0xcca82ccc,
    0x20002ccc,0x80005fc9,0x3fa606fb,0x5fffc9ad,0x9adfe980,0x2005fffc,
    0xffdbbffc,0xbffc804f,0x804fffdb,0xfb803ffe,0x5fc881ff,0x2e077f66,
    0xcccccccc,0x03cccccc,0x20003fff,0x3f665fc8,0x3ffe601d,0x017e4404,
    0x0017fffe,0xe805fff7,0x39df7000,0x003fff95,0x3ae6fbee,0x3f200eff,
    0x2ffe405f,0x36e2ffe4,0x93001cff,0xbf9300bf,0x017f2600,0x654e77dc,
    0x7ec01fff,0xffffffff,0x3ffe2002,0xd7107d01,0x3dfeb98f,0x01bffe00,
    0x40bffee0,0x84fffda9,0x04fffdb9,0x5fffda80,0x03fe8000,0x3fa0ffd1,
    0x1ffa204f,0x22027ff4,0xfffb82fe,0x705fd104,0xfe809fff,0xfffa803f,
    0x57fff6a0,0xe86ffffa,0xeeeeefff,0x03ffffee,0xa8003fff,0xff55fffd,
    0x7fcc0dff,0x8014c04f,0x4004ffff,0x2a02fffb,0x0ffc800f,0x403fffa8,
    0xfff884fd,0x017ff205,0xff90bff9,0x3ffffa2b,0x3f6a01ff,0x3f6a05ff,
    0x7ed405ff,0xffc805ff,0x03fffa80,0x3ffb2aa6,0x1004ffff,0x30203fff,
    0x7d4ffff9,0x003fffff,0x7000dfff,0xff005fff,0x7ffc409f,0x7f65c004,
    0x440005ff,0x9ff701ff,0xb81ffee0,0xfff704ff,0x3202fc80,0x2fc81fff,
    0x807fff20,0xfa803ffe,0x3ff72e7f,0xfffdf8df,0x5401ee87,0x3fe05fff,
    0x372e001f,0xfdf8dfff,0x3fe607ff,0xf300004f,0xb8007fff,0x9999bfff,
    0x5c00ffca,0x3fea01ff,0x40df702f,0xf901fffd,0x5ffc80bf,0xee8dffc8,
    0x05fffcac,0x0bfffd97,0x17fffb2e,0x5fffecb8,0x500ffdc0,0x44005fff,
    0x03fffffc,0x801fff88,0x77fffcd9,0xfffd77bf,0x0dfff003,0x05fff700,
    0xe809ffd0,0x3e0004ff,0x5c0005ff,0x13ff606f,0xd807ffd4,0xfff504ff,
    0x301be201,0x6f88bfff,0x02fffcc0,0xf7007ffd,0x37ffa0df,0xd05d931e,
    0xffff8805,0x007ffe00,0x8f6fff40,0x3e602ec9,0x500004ff,0x8005ffff,
    0xfffffffb,0x200fffff,0xfe805ff8,0x02ff886f,0x640fffea,0x7fe405ff,
    0x3eeffc85,0x402fffa8,0xff805fff,0xbfff005f,0x402ffc40,0x88006ffe,
    0x400ffffd,0x4001fff8,0x40dcfffc,0xf805ffe8,0xfb8006ff,0xffd802ff,
    0x027fec04,0x00bffb00,0x2e03fe80,0xfff301ff,0x407fee01,0xfb00fff9,
    0x7fff8809,0x3e2027ec,0x3ffa07ff,0x04ffc803,0x4009fffb,0x7fff400e,
    0x00fffc01,0x04fffd80,0x04fff980,0xffff7000,0xfffb8003,0xfdbaaaac,
    0x13fee00f,0xb0fffee0,0x1bf900ff,0x9017ff20,0xfff90bff,0x01fffc05,
    0x36017ff6,0xffb005ff,0x027fdc0b,0x001fffdc,0x405fffd8,0x4001fff8,
    0x3204fffa,0xfff806ff,0xfffb8006,0x04ffd802,0x00027fec,0x4000bffb,
    0x0d401ff8,0x401fff30,0x3ffe601a,0xddddff00,0xfffddddd,0x7777fc1f,
    0xffeeeeee,0x7ffd00ff,0x201ffb00,0x1c006ffc,0x00ffff20,0x40007ffe,
    0x30006ffc,0x00009fff,0x00bfffea,0x405fff70,0x3ff600fb,0x8dfff003,
    0x900006ff,0xffc80bff,0x405ffc85,0x7ec04ffd,0x5ffd805f,0x40bffb00,
    0xff003ffd,0x7ec000df,0x3fe200ff,0x7fcc001f,0x03ffd407,0x40037ffc,
    0xd802fffb,0x7fec04ff,0x3ff60004,0x1bee0005,0xfffda800,0xfda8000f,
    0xff880fff,0xaaaaaaad,0xf10aaaaa,0x555555bf,0x01555555,0xf3017ffa,
    0x2ffe407f,0xfff50000,0x07ffe00b,0x02ffe400,0x04fff980,0xffff3000,
    0xfffb8007,0xff007c02,0x3ffa003f,0x0017fe67,0x202ffec0,0xffc85ffc,
    0x02ffec05,0x36017ff6,0xffb005ff,0x00fffc0b,0x0007ffe8,0x8807ffe2,
    0x4c001fff,0x7fcc07ff,0x06fff807,0x02fffb80,0x6c04ffd8,0x19d504ff,
    0x0017ff20,0x44003fd8,0xfff9befc,0x7df91000,0xf301fff3,0x7cc0009f,
    0x3a00004f,0x3f602fff,0x02ffe406,0xefff8800,0x03fff000,0x017ff200,
    0x027ffcc0,0xffff8800,0x7ffdc004,0xf9807402,0xffb001ff,0x017fea1f,
    0x037fec00,0x3f217ff2,0x2ffe405f,0x2017ff20,0xf9005ffc,0x3ffe60bf,
    0x1fffb001,0x1ffe4000,0x003fff10,0x4c07ff98,0x7fc00fff,0xffb8006f,
    0x4ffd802f,0x4427fec0,0xff905fff,0x3fe2000b,0x5df91001,0x2007ffc4,
    0x3e22efc8,0x5ffa80ff,0x17fea000,0xfffe8000,0x37f620af,0x02ffe400,
    0x1fffd800,0x007ffe00,0x002ffe40,0x004fff98,0x17fffa00,0x05fff700,
    0x3ffee018,0x3fff9001,0x0001bfee,0x807fffea,0xffc85ffc,0x02ffe405,
    0x32017ff2,0xff9005ff,0x07ffee0b,0x00fffe40,0x407ff500,0x4001fff8,
    0x7cc07ff9,0x7ffc00ff,0xfffb8006,0x04ffd802,0x7d427fec,0xbff907ff,
    0x01bea000,0x2206ff44,0x3a200fff,0x7ffc40df,0x006ffa80,0x001bfea0,
    0xfcbffe80,0x004ffedf,0x0000bff9,0x8007fff9,0x90001fff,0x26000bff,
    0x00004fff,0x001bffee,0x0005fff7,0x8017ffdc,0x3fee7ffb,0x3fea0007,
    0x84efffff,0xffc85ffc,0x02ffe405,0x32017ff2,0xff9005ff,0x0bffee0b,
    0x003ffdc0,0x8807fe20,0x4c001fff,0x7fcc07ff,0x37ffc00f,0x0fffdc00,
    0x2027fec0,0xfff04ffd,0x017ff209,0x4401fec0,0xfff105fe,0x417fa201,
    0xf980fff8,0xf30000ff,0x200001ff,0x77513ffe,0x5ffc8003,0x7ffcc000,
    0x1fff8005,0x0bff9000,0x13ffe600,0xfff88000,0x7ffdc007,0x3fea0002,
    0xdff7003f,0x000fffd4,0xff900001,0x80bff909,0x7e405ffc,0x5ffc805f,
    0x20bff900,0x7003fffa,0x88000dff,0x7ffc407f,0x3ffcc001,0x003ffe60,
    0x7000dfff,0xfb001fff,0x4ffd809f,0x7e403710,0xff88005f,0x01fff801,
    0x3e01fff1,0xfff101ff,0x09fff101,0xfff886c0,0x74036004,0x900003ff,
    0x44000bff,0x8000efff,0x90001fff,0x26000bff,0x20004fff,0x17ffec19,
    0x05fff700,0xfff33980,0x93ff200b,0x2005fff8,0xffc80005,0x405ffc83,
    0x7e405ffc,0x5ffc805f,0x20bff900,0x9005fff9,0x980009ff,0x7ffc406f,
    0x3ffcc001,0x003ffe60,0x7000dfff,0x3f600fff,0x27fec04f,0x0bff9000,
    0x300df500,0x7fc40fff,0x07ff980f,0x7c03ffe2,0x69801fff,0x400ffffc,
    0x0fffa069,0x2ffe4000,0x3fffb000,0x07ffe000,0x02ffe400,0x04fff980,
    0xff103a00,0x7fdc00df,0x87a2002f,0xc800fffe,0x7fffc2ff,0x0003b800,
    0xfc82ffc8,0x2ffe405f,0x2017ff20,0xf9005ffc,0x7fff40bf,0x02ffc800,
    0x201fdc00,0x4001fff8,0x7cc07ff9,0x7ffc00ff,0x6ffb8006,0x809ff900,
    0x20004ffd,0xd8005ffc,0xfffb803f,0x03fff101,0x2203fff7,0xff701fff,
    0x1f4403ff,0x807fffee,0x3ffa03e8,0xff900003,0x3fee000b,0xf80c403f,
    0xf90001ff,0x3e6000bf,0xd50004ff,0x00bffee0,0x0017ffe4,0x3fffa8f9,
    0x640ffe80,0x2600efff,0xfc80001f,0x05ffc81f,0x3202ffe4,0xffc805ff,
    0x0bff9005,0x401fffd4,0x20000ffe,0xff8805f8,0x7fcc001f,0x07ffcc07,
    0x981bffe0,0x02ffdc0b,0x2205ffc8,0x20004ffe,0x44005ffc,0xffa801ff,
    0xfffd883f,0x3ffea311,0x1fffd883,0xffffe831,0x03fae20b,0x82fffffa,
    0x3a00feb8,0x900003ff,0xf3000bff,0x05500bff,0x0003fff1,0x40017ff2,
    0x0005fff9,0x7ffec07d,0x3fffd801,0xfd0bf500,0x7fcc01ff,0xeffff883,
    0x0005fb81,0x3f20dfb0,0x2ffe405f,0x2017ff20,0xf9005ffc,0xfffe80bf,
    0x20ffe600,0x0fd803c8,0x01fff880,0x203ffcc0,0x2200fff9,0xff506fff,
    0x001ffc8d,0xd301fff7,0x4000bfff,0x54005ffd,0xfff1006f,0xf9f7119f,
    0x221d39ff,0xb88cffff,0xe9cfffcf,0x7ffffd40,0x02fffeef,0xdffffff5,
    0xf805fffd,0x900003ff,0xf8800dff,0x2c800eff,0x002fff88,0x000dff90,
    0x001bffe6,0xfc803fb1,0x3fea02ff,0xffb804ff,0x06fff982,0xffb817f6,
    0xfedcefff,0x076a000e,0x7fe40bfa,0x02ffe405,0x36017ff6,0xffb005ff,
    0x6fff980b,0x7f417f60,0x774c0bef,0x3fff1001,0x0fffa800,0x803ffe60,
    0xf907fff9,0x01fec7ff,0x25bfff30,0xfffdafb8,0x7f40019a,0x1fec006f,
    0xfffff900,0x3fffa5ff,0x7fffe41f,0xfffd2fff,0x3ffea03f,0x03ffffff,
    0x7fffffd4,0xff803fff,0xfb00004f,0xffd800ff,0x82f9801f,0x0003fffa,
    0x2000fffb,0x001ffffb,0x2e00dff5,0xa99adfff,0xdffffffc,0xfedccccc,
    0x3ffa207f,0x017fa62d,0x3fffffee,0x7c001fff,0x0bf51dff,0x36037fec,
    0x7ff406ff,0x06ffe806,0x100dffd0,0x74c5bffd,0x3fff205f,0x0dfeddff,
    0x0bffe600,0x01fff900,0xa80fffd4,0x40dffffe,0xf89ffff9,0xfffc8006,
    0xffb2ffff,0x4c003bff,0x1001ffff,0xfc8003ff,0x3ee0dfff,0xfff901ef,
    0x77fdc1bf,0x7fff4401,0xd1001eff,0x03dfffff,0x1ffffc88,0x7ffcc000,
    0xfff7004f,0x5555555b,0xd983ff95,0x4001ffff,0x004ffff9,0x7fffff4c,
    0xeeeeeeee,0x4004ffff,0xffffffea,0xffffffff,0xffffffff,0x7ffec405,
    0x2002ceff,0xcffffff9,0xfffd8000,0x3e604fdf,0xff101fff,0x3fe605ff,
    0x3fe601ff,0x7fcc01ff,0xfd8801ff,0x02ceffff,0x7fffff44,0xfd8001ce,
    0x3a2006ff,0x3fa04fff,0x7ffec4ff,0x4effffff,0x37fffff2,0xfffb0000,
    0x67fec3df,0x3ffaa001,0x402effff,0x510004c9,0x4400c403,0x0006201a,
    0x00035751,0x1006aea2,0xdddddddb,0xffa8005d,0x05ffffff,0x3fffffe2,
    0xffffffff,0xfffd71ff,0x809dffff,0xfffffffa,0x3fba205f,0xffffffff,
    0xffffffff,0x220001ff,0x000999a9,0x37730000,0xaba88000,0x36e20000,
    0xfd501cdf,0x29dfffff,0xffffffeb,0xffffd52f,0x7f545dff,0x42efffff,
    0xffffffea,0x3773002e,0x13553000,0xfffd7000,0x209fffff,0xffffffe8,
    0xfffe98ef,0x0005ffff,0x001aca88,0xb80ba880,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0cccc000,0x03971000,0x20099100,
    0xda8004da,0xa80664c3,0x00007000,0x00198000,0x08000015,0x31000000,
    0x00000133,0x00000000,0x332e0000,0xcccccccc,0x99999953,0xcc880019,
    0x1ccccccc,0x00009b50,0x0cc88010,0xccccccb8,0x4404cccc,0xcccccccc,
    0x9999952c,0x00599999,0x33333332,0x9999931c,0x64c79999,0xcccccccc,
    0x9999301c,0x36607999,0x01000004,0x39009700,0xfffa8000,0x3ff60005,
    0x3ff66007,0x3ffae205,0xffd71005,0x17fffcc9,0x16e00754,0x541efb80,
    0x3e2001ee,0x0003d400,0x00001ec0,0x00ffffc0,0x37bfb6e0,0xe8800003,
    0x7f4c004f,0xfca88004,0x0aefffff,0xfffff951,0xfd73000b,0x44135dff,
    0x2005ffeb,0x8ceffeca,0x7fec05e9,0xfffda885,0x801acfff,0xbffffeb9,
    0xfffd7309,0x0037dfff,0x3fffff6a,0xfffb710c,0x54417dff,0xcffffffd,
    0xff751009,0x75c439ff,0x200005ff,0x3f665fc8,0x4037a01d,0xfc80005c,
    0x3e0000ef,0x75402fff,0xd705ffff,0x700bffff,0x649ffffd,0xf886ffff,
    0xfb730ace,0x3ffe2007,0x0037ffc5,0x5442b3fa,0x400004fc,0x000006f8,
    0x000fffcc,0xffffffd3,0x400005df,0x6c004ffd,0x20001fff,0x803ffffa,
    0x003ffffd,0x75c1bf60,0x8805ffff,0xfecabdfe,0x7f405fff,0x7ffcc07f,
    0x3f60004f,0x7ffe401f,0x3ea0006f,0x3ff600ff,0x7fe401ff,0x7dc004ff,
    0x7fff5c2f,0xda80005f,0xfff55fff,0x0f7cc0df,0x200003f6,0x40000fff,
    0x89807ffc,0x4405fffa,0x22005fff,0x3fe64fff,0xffb81fff,0x06ffffff,
    0x89bffe60,0x4c007fff,0xffffffff,0x6400000f,0x000002ff,0x8800fff2,
    0xffffffff,0x80002fff,0x4004fffa,0x0001fffd,0x8007fffc,0x002ffffd,
    0xf8809f50,0x7fd405ff,0x0bfffb02,0xf803ffa8,0x20001fff,0xffd005fa,
    0x7c40009f,0x7ffc403f,0x7ffc400f,0x27d4003f,0x00bfff10,0xfffdcb80,
    0x7fffdf8d,0x6c5ffec0,0xf980004f,0xb880001f,0x7fec000c,0x05ffd805,
    0x2627ff40,0xfb02fdac,0x01dfffff,0x642ffd80,0xfb8003ff,0x02ffffff,
    0x5fff8000,0x3fa00000,0x6ffec004,0xffffb98a,0x3e20000f,0x54004fff,
    0xf80005ff,0x3e2007ff,0x8001ffff,0xffd804fa,0x807fe605,0x8805fff8,
    0x1fffd000,0x027cc000,0x006fffb8,0x6c01bea0,0xfb802fff,0x7e4004ff,
    0x02ffec01,0xdbffd000,0x100bb263,0x01ffffff,0x005f9000,0xfb000000,
    0xbffb00bf,0x04ffd800,0xfea807ee,0x020004ef,0x26000088,0x000dfffd,
    0xffffb800,0xf9800000,0x027d4005,0x00bfffd1,0x27ff7ec0,0x00000800,
    0x4400fffd,0x00efffff,0x6c01fcc0,0x17fa05ff,0x0017ffa0,0x01fffb00,
    0x8027cc00,0x001ffff8,0x2a003f90,0xf8805fff,0x374007ff,0x002ffe40,
    0x09fffb00,0x7fffe400,0x07d00003,0x20000000,0xfd805ffc,0x7fec005f,
    0x0801f204,0x00000000,0x00000200,0x09ffffd0,0x00d70000,0xff300db0,
    0x3ee000ff,0x0004ffda,0x7ff40000,0x3fbe2007,0x4c005fff,0x5ffd803f,
    0x9003ff70,0x80000bff,0x0000fffd,0xfc8013e6,0xf88004ff,0x3ffe2006,
    0x3fffb007,0x2013e600,0x00005ffc,0x0001bff2,0x00099991,0x00001220,
    0x3f2000a2,0x5ffd805f,0x827fec00,0x000002f8,0x00000000,0xf9800000,
    0x0007fffd,0xf8000c80,0x3fff9001,0xfb5f9800,0x0000009f,0x007ffe80,
    0x3ffeb3e2,0x0fe6004f,0x7c17ff60,0xffc800ff,0x7ec00005,0x260000ff,
    0x3fe2004f,0x7dc000ff,0x7ffec003,0x4fffb802,0x9003f700,0x40000bff,
    0x00005ffc,0x00000000,0x40024c00,0xfc805ffc,0x7fec005f,0x0004f984,
    0x00000000,0x00000000,0x5fffb3fb,0x00000000,0x7fd40051,0x8774001f,
    0x20004ffd,0xffe80000,0x5d3e2007,0x3002ffff,0xbff9007f,0x200fff10,
    0x00005ffc,0x0007ffec,0xd8009f30,0x74003fff,0x7fd4000f,0xfff8805f,
    0x200dd007,0x00005ffc,0x80017ff2,0x01000000,0x01dc0000,0x402ffe40,
    0x6c005ffc,0x00f5c4ff,0x677fff5c,0x66666402,0xccccb82c,0xccccc82c,
    0xcccca82c,0x3e20002c,0x00dfff35,0x00000000,0x800fff30,0x13ff61fc,
    0xeffec980,0xffd0001d,0xb27c400f,0x3003ffff,0xbff9007f,0x200dff30,
    0x02005ffc,0x003fff60,0x4004f980,0x2006fff9,0xff0004f9,0xffb801ff,
    0x1fcc01ff,0x005ffc80,0x017ff200,0xda8bf910,0x91001dff,0xdffda8bf,
    0x00590001,0x362bff90,0x005ffc80,0x00a27fec,0x326b7fa6,0x2a605fff,
    0xb984fffd,0xa984fffe,0xb984fffd,0x0004fffd,0xfffe8bf2,0x99970001,
    0x99999999,0x40007999,0x26006ff9,0x027fec4f,0xfdbbffc8,0xfe8004ff,
    0x93e2007f,0x00efffe8,0x7e401fcc,0x06ffb85f,0x980bff90,0xffd805fc,
    0x3e60000f,0xfffe8004,0x003f9002,0x00bfff20,0x809ffffb,0xff9001fc,
    0x1cffdb8b,0x00bff900,0xd97fff6a,0x00ffffff,0xd97fff6a,0x00ffffff,
    0x40007c40,0x0ee9dffc,0x4005ffc8,0x44004ffd,0x9ffd07fe,0x04fff880,
    0xf013ffe2,0x7fc409ff,0x1be0004f,0x0009fff5,0x3bbbfffa,0xffffeeee,
    0x3fea0003,0xb0dd1004,0xfe8809ff,0x04fffb82,0x003fff40,0xfff889f1,
    0x01fcc06f,0x7e42ffe4,0xbff9007f,0x17fff6a0,0x003fff60,0x8004f980,
    0x8805fffb,0x3e60006f,0x37e205ff,0x37407fff,0x22bff900,0x0ffffffd,
    0x805ffc80,0x8dfffdcb,0xfffcacfd,0xfffb9706,0xf959fb1b,0x6c800dff,
    0xfdff9000,0x42ffe40b,0x013ff601,0x2e09ff70,0xffe807ff,0x027ff404,
    0xfd013ffa,0x3ea0009f,0x00ffff83,0x5401ee80,0x40005fff,0xf9001ffc,
    0x809ffb01,0x3ff202fc,0x3ffa001f,0x213e2007,0x204ffff9,0xffc803f9,
    0x00fffb85,0xcb85ffc8,0xd805fffe,0x20000fff,0xff0004f9,0x2fb801ff,
    0x7fff4000,0xff95f700,0x00fe605f,0xee8dffc8,0x05fffcab,0x4005ffc8,
    0xa83eefff,0x7fc02fff,0xffa83eef,0x05f5002f,0x13fff200,0x7ccbff90,
    0x09ffb06f,0x504ffd80,0xfe801fff,0x27fec04f,0xb013ff60,0x3a0009ff,
    0x3fffc80f,0x4402e800,0x0000ffff,0xfa802ff4,0x409ffb03,0x7fcc06f8,
    0x3ffa005f,0x413e2007,0x303ffffb,0xbff9007f,0x003fff50,0xff80bff9,
    0xfffd805f,0x13e60000,0x27ffe400,0x20001fa0,0xfd03fffb,0x6417ffe6,
    0x3ff2000f,0xfffb83ee,0x02ffe401,0x80bfff60,0x7ec03fff,0x3ffe02ff,
    0x007f9803,0x2017ff20,0x3ff25ffc,0x04ffd82f,0x980ffdc0,0x7f400fff,
    0x27fec04f,0xb013ff60,0xf30009ff,0x1bffe209,0xfd003a00,0xa80003ff,
    0x5f8800ff,0xd813ff60,0x7ffc404f,0x1fffa007,0x3204f880,0xf981ffff,
    0x85ffc803,0xc805fff9,0x7fec05ff,0x0fffd805,0x013e6000,0x07fffc40,
    0x80004f98,0xf886fff8,0x203fffe4,0x7fe4006f,0x0fffa02f,0x800bff90,
    0x7ec05ffc,0x2ffe404f,0x2013ff60,0xd10003fe,0xff900bff,0x40fffd4b,
    0xa8004ffd,0x03ffe601,0xd809ffd0,0x7fec04ff,0x027fec04,0xfb00fec0,
    0x038003ff,0x001fffe4,0xd801ff40,0x13ff600f,0xeeeeeff8,0xffffeeee,
    0x0fffd000,0x3a027c40,0x7cc0ffff,0x05ffc803,0xd803fffd,0x7fec05ff,
    0x0fffd805,0x013e6000,0x03fffd80,0x200003fb,0x7dc0fffe,0x30bfff21,
    0xffc8007f,0x027fec05,0x90017ff2,0xffc80bff,0x02ffe405,0xf9017ff2,
    0xff30001f,0xff900bff,0xfb02db8b,0x5400009f,0x400ffffd,0x7ec04ffe,
    0x27fec04f,0x0013ff60,0xffa80bf1,0x2a00005f,0x80005fff,0x5f7005fa,
    0x104ffd80,0x55555bff,0x15555555,0x01fffa00,0x74404f88,0x1fcc6fff,
    0xa82ffe40,0xf902ffff,0xffd80bff,0x0fffd805,0x013e6000,0x86fff980,
    0x200006f8,0x3743fffb,0xf917ffe6,0x5ffc8001,0x202ffe40,0x64006ffc,
    0x7fe405ff,0x02ffe405,0xf9817ff2,0xcfa8005f,0xfc805ffc,0x7fec005f,
    0x7e440004,0x00fff9be,0x36027ff4,0x7fec04ff,0x027fec04,0x3a00bee0,
    0x80000fff,0x000efff8,0x40077c40,0xffd804f8,0x009ff304,0x3fff4000,
    0x3009f100,0x7ccbffff,0x05ffc803,0x2f7ffffa,0x5ffcdeba,0x402ffe40,
    0x0000fffd,0xd0000fe6,0x2fb85fff,0x3fe20000,0x3a13e66f,0x01be0fff,
    0x9017ff20,0xffd80bff,0x2ffe4007,0x9017ff20,0xffc80bff,0x007ffa05,
    0x3ff27f50,0x05ffc805,0x0027fec0,0x222efc88,0x7f400fff,0x27fec04f,
    0xb013ff60,0xff8009ff,0xeeeeeeee,0x003ffffe,0x01fffd80,0x001fd800,
    0x333333fd,0x3bffb333,0x17fea133,0xffe80000,0x013e2007,0x99ffffd4,
    0x5ffc803f,0x3ffffa20,0xbff95fff,0x805ffc80,0x0001fffd,0x70000fea,
    0x07e8bfff,0xfffd8000,0xff703f91,0x000fe67f,0xf9017ff2,0x7ffcc0bf,
    0x3ff2004f,0x02ffe405,0xf9017ff2,0x1fff20bf,0xffc86a00,0x05ffc805,
    0x0027fec0,0x2206ff44,0x7f400fff,0x27fec04f,0xb013ff60,0x7d4009ff,
    0xeeeeeeee,0x07fffeee,0x1fffe400,0x017e4000,0xffffffa8,0xffffffff,
    0xff52ffff,0x7400000d,0x3e2006ff,0x3fff2004,0xc803f9af,0x7ec405ff,
    0x3f23ffff,0x2ffe405f,0x00fffe40,0x0007f500,0x261ffff0,0xa800004f,
    0x20dd3fff,0x1f96fff8,0x0bff9000,0xfa85ffc8,0x5fffffff,0x405ffc80,
    0x7e405ffc,0x2ffe405f,0x5c05ffe8,0x17ff202e,0x0017ff20,0x88009ffb,
    0xfff105fe,0x04ffe801,0x36027fec,0x7fec04ff,0x003fa004,0x002fffd8,
    0x00bfff30,0x4005f700,0xfffffffa,0xffffffff,0xfff32fff,0x3a000001,
    0x3e2005ff,0x7ffec004,0xfc803faf,0x3751005f,0xc80bff90,0xffc805ff,
    0x3ee0002f,0xffc80002,0x0001fb4f,0x3dfff100,0x7fff407f,0xf90005f9,
    0x5ffc80bf,0x3f200000,0x2ffe405f,0x9017ff20,0x3ffe0bff,0x07ffe204,
    0x6402ffe4,0x7ec005ff,0x7ffc004f,0x01fff101,0x6c04ffd8,0x7fec04ff,
    0x027fec04,0x4c004f98,0x88005fff,0x0000efff,0x26001fd4,0xeeeeeeee,
    0xeffffeee,0x9fff11ee,0xe8006c00,0x3e2004ff,0x7ff44004,0xfc803fff,
    0xf900005f,0x5ffc80bf,0x03fffa80,0x0003f600,0x27fffe20,0x2000005f,
    0x00fefffd,0x0ffbffee,0x02ffe400,0x32017ff2,0x3f2000be,0x2ffe405f,
    0x9017ff20,0xfff10bff,0x03ffe807,0xf900bff9,0xffd800bf,0x1ffe6004,
    0x400fff88,0x7ec04ffd,0x27fe404f,0x4013ff60,0xfe8001fc,0x7ec001ff,
    0x4c0001ff,0x8000003f,0x3fe04ffd,0x069801ff,0x800fffa0,0xf88004f8,
    0xc803ffff,0x900005ff,0xffc80bff,0x6fff9805,0x001be000,0xfefffd80,
    0x2a000002,0x4406ffff,0x000fffff,0xc80bff90,0xffd805ff,0xbff9003f,
    0x405ffc80,0x7e405ffc,0x0bfff05f,0xf904ffb8,0xbff900bf,0x04ffd800,
    0x407ffee0,0x6401fff8,0x3fa205ff,0x2ffe404f,0x009ffd10,0x2e000bf1,
    0x2e004fff,0x0c403fff,0x04009f30,0x09ffb000,0x00ffffdc,0x82b887d1,
    0x22002ffe,0xff50004f,0xff9007ff,0x3f20000b,0x2ffe405f,0x01fffd80,
    0x0003fb80,0x1ffffe60,0x3fe00000,0xffd803ff,0x3f20005f,0x2ffe405f,
    0x037fdcc0,0x6405ffc8,0x7fe405ff,0x82ffe405,0x7c406ffd,0x0bff902f,
    0x800bffb0,0x2a004ffd,0xfd883fff,0xf70311ff,0xffd301ff,0xfffb80bf,
    0x5fffe980,0x0002fc80,0x001ffff1,0x500bfff3,0x8013e605,0x3f60005a,
    0x7fff404f,0x3fae20bf,0x3e27ff40,0x2fcc006f,0x7fff7000,0x00bffb00,
    0x017ff200,0x2600bff9,0x54005fff,0xe800006f,0x00004fff,0x00fffc80,
    0x002fffa8,0x9017ff20,0x7ec00bff,0x5ffd800f,0x2037fe40,0x7e405ffd,
    0x5fff506f,0xc807fc40,0xffd805ff,0x2ffec005,0x9ffff100,0xfff9f711,
    0xff301d39,0x2bee25bf,0x819afffd,0x712dfff9,0x35fffb5f,0x001ff103,
    0x027fff40,0x003bffe2,0x013e60b2,0x005f9331,0x2027fec0,0xeffffffa,
    0xff82fffe,0x01ff10ff,0x0006fa80,0x6c01ffec,0x900005ff,0xffd80dff,
    0x3ffee005,0x7fe4400e,0xfa800001,0x000000ff,0x1005ff98,0x40001fff,
    0x7e405ffd,0x1bfe006f,0x2037ffc0,0x7fc07ffd,0x3ffec06f,0x203dff90,
    0x3ff601fd,0x06ffe805,0x0037ff40,0x3ffffff2,0x3ffffd2f,0x7ffffe40,
    0xffffb2ff,0x3fff203b,0xffb2ffff,0xdfb03bff,0xfffc8000,0x3fff601f,
    0x542f9801,0xffffffff,0x07ffffff,0x027fec00,0x7fffffd4,0xff903fff,
    0x000feebf,0x0017ffd1,0x7401ff40,0xb00006ff,0xffe80fff,0x7ffdc006,
    0xeca99bdf,0x00001fff,0x00017fe0,0x002fe800,0xb00017f6,0xffd80dff,
    0x1ffd9807,0x1ffffa80,0x05ffff30,0x407fffea,0x202ffff9,0xcaacfffb,
    0x3fe602ee,0x3fe601ff,0xff3001ff,0xfc8003ff,0x3ee0dfff,0xffd801ef,
    0x3ff61eff,0xfffd801c,0x33ff61ef,0x2fffc881,0xffff3000,0xffb817ff,
    0xaaaaaadf,0x2a1ffcaa,0xffffffff,0x4fffffff,0x27fec000,0xffffe880,
    0x3fa201ef,0x2003ffff,0xffffffee,0x3f88002e,0x0ffffcc0,0x3ffea000,
    0xffff303f,0xffc98003,0xefffffff,0x4000000b,0x000002fc,0xa8003f20,
    0x3e60002f,0xff101fff,0x677403ff,0xffffa802,0xfd74efff,0x27dfffff,
    0xfffffffa,0xffffd74e,0x2e207dff,0x203cefed,0xffffffec,0x3fffaa3f,
    0xd504efff,0x7dffffff,0x100d4400,0x0bb88003,0xa88002b8,0x3203b80b,
    0x5fffffff,0xfffff300,0x227fffff,0xffffffff,0xffffffff,0xffffff11,
    0xffffffff,0xd80003ff,0x544004ff,0x2e2001ab,0x000000ab,0x54066000,
    0xeffffffe,0x77754004,0xd54eeeee,0x5dffffff,0xcbaa8800,0x00001abc,
    0x00012200,0x00071000,0xff500019,0x29ffffff,0xffffffeb,0x0000002e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x800bdda8,0x000004d9,
    0x00000010,0x99999900,0x99910999,0x04007999,0x99999100,0x55999999,
    0x00001335,0x66644000,0xcccccccc,0xccccca81,0x10cccccc,0x99999999,
    0x00009999,0x00000008,0xccccc981,0xcccccccc,0xcccccccc,0x333332e4,
    0x999503cc,0x33322599,0xcccccccc,0x15500001,0xccc88140,0xcccccccc,
    0x4000000c,0xccccccc8,0xcccccccc,0x0ccccccc,0x32200000,0xcccccccc,
    0x099aaacc,0x00d4c000,0x00ccc813,0x8000e664,0xffffdfe9,0x5ffeb884,
    0xdb300000,0x0005bfff,0x59dfffd7,0x3fff6a00,0xfb502cff,0x64c039ff,
    0x801deffe,0xfffffeb9,0xffffffff,0x20001bef,0x2dfffdc8,0x3fff6e60,
    0x8809beff,0xfffffeb9,0x7edcc1ad,0x19beffff,0x5fc88000,0x00effed4,
    0x677ffec4,0x3ffee1da,0xffffffff,0xffffffff,0x3ff267ff,0x3101bfff,
    0x5cc17ffd,0xbefffffe,0x75c00009,0x05883fff,0x3ffffae6,0x0002bcff,
    0xffd75000,0xffffffff,0xffffffff,0xefb8005f,0xffeb9801,0xffffffff,
    0x01beffff,0x37fff660,0x7ffc0d81,0x017ffc01,0x3f627cc0,0x3ffaa2ff,
    0x800005ff,0x3fea3ffc,0x985eeeef,0xffc9adfe,0x3ff6005f,0x3ff8804f,
    0x6ddffe40,0x36004fff,0x11abefff,0xdffffb75,0xbefb8003,0x00effeb9,
    0x0077ffec,0x09ffff10,0x03ffff60,0x7fed4000,0x3ffff65f,0x37ea00ff,
    0x1fffda8b,0x26af7ff2,0x9dfffa99,0x7ffba999,0x005fffc8,0xffe807fb,
    0x500000ff,0x5fffffff,0xffc801dc,0x000001ff,0x7feff400,0xffa8806f,
    0x3ffe2002,0x7ffec006,0xb7511abe,0x003dffff,0x9ffffffd,0x3ffe1a21,
    0x017ffc01,0x3a21fa20,0xbfff06ff,0xffc80000,0xfffffa80,0x83ff447f,
    0xf1004ffe,0xdf300dff,0x5c17f440,0xf7004fff,0xfb1009ff,0x36009fff,
    0x5fff884f,0x02fffdc0,0x017fff40,0x004fffb8,0xfffb9700,0xf959fb1b,
    0x1be20dff,0x7f90ffc4,0x027ffcc0,0xffd01fd1,0x201fa00f,0x0005fffb,
    0x7ff4cf60,0x001feeff,0x000dfff5,0x3fd00000,0x4400dfff,0x3fe2002f,
    0x7fdc006f,0xffd8804f,0x236a04ff,0xdfffffc8,0x01fff85f,0x20017ffc,
    0x9fd105fe,0x0017ff60,0x204ffa80,0x3ee02ffe,0x0fff704f,0x00fffdc0,
    0x2fc807f2,0x007fff20,0x8013ffea,0x405ffffb,0x3ff606fb,0x7e55541f,
    0xaaaaadff,0xeaaaaaaa,0x02aacfff,0x0013ffea,0x3bbffe00,0x82fffa83,
    0x87ea03fc,0x7ffcc04c,0x5407cc04,0x7cc01fff,0x4fffa804,0x2e1a0000,
    0x003fffff,0x0017ffe6,0x9f300000,0xb001bffe,0x2ffc8007,0x27ffd400,
    0xbffff700,0xffd306e0,0xfff01dff,0x02fff803,0x1013fe20,0x002ffe40,
    0x405ffd00,0x3f605ffb,0x1fff504f,0x13ffe200,0x3e205f88,0x2fffcc06,
    0x027ffd40,0x0ffffe60,0xf5017fc4,0x7ffc47ff,0xffffffff,0xffffffff,
    0xffffffff,0x0fffea07,0x3ff60000,0x0fffe02f,0x43f017fa,0x7ffcc02d,
    0xfd00e804,0x00fc80bf,0x003fffa8,0x6dc40e00,0x7fcc002d,0x0000005f,
    0xfff87e40,0x001dc006,0x7d400044,0x7cc004ff,0x20383fff,0xff00bdca,
    0x2fff803f,0x013fe600,0x005ffc80,0x807ffe00,0x3ee07ffa,0x1fff301f,
    0x07ffe400,0x3f602fb8,0x3fffc404,0x027ffd40,0x0ffffe40,0x7e403fec,
    0x7e55540d,0xaaaaadff,0xeaaaaaaa,0x02aabfff,0x000fffea,0x017ff200,
    0xffd09ffb,0x01b0e403,0x804fff98,0x1fff501c,0x54017e20,0x9999cfff,
    0x00000000,0x027ffcc0,0xf1000000,0x0037ffc9,0x000000a2,0x004fffa8,
    0x01ffffc8,0x1fff8000,0x0017ffc0,0x40009ff7,0x00005ffc,0x4c05fff3,
    0x06a01fff,0x000fff98,0x740fffe6,0x7777fc06,0xffeeeeee,0x7fd400ff,
    0xff88004f,0x06ff85ff,0x3ffea000,0xfffc8003,0x7fff5001,0xff900000,
    0x85ffc80b,0x0104fffc,0x09fff300,0x09ffd000,0x7d400bee,0xffffffff,
    0x000001df,0x4fff9800,0x20000000,0x1bffe0fc,0x00000000,0x009fff50,
    0x0bffff10,0x3fff0000,0x002fff80,0x80013ff2,0x00005ffc,0xf880fffe,
    0xda8001ff,0x4000ffff,0x3f986ffe,0x2ab7fe20,0xaaaaaaaa,0x7fd400aa,
    0xff50004f,0x2ffcc3ff,0xfff50000,0xfff90007,0x3ffea003,0x200005c3,
    0x7e405ffc,0xffff985f,0xf980002e,0xb80004ff,0x07e80fff,0x2b7ffea0,
    0xfffffcaa,0x00002002,0x009fff30,0x3e600000,0x8037ffc4,0x00000000,
    0x0009fff5,0x007fffea,0x1fff8008,0x0017ffc0,0x40009ffb,0x00005ffc,
    0xf9813ff6,0x3f22007f,0x00fff9be,0x20fffd40,0x27fcc07d,0x7fd40000,
    0x3fe0004f,0x17fea4ff,0xfffa8000,0xfffc8003,0x7fff5001,0x200007ec,
    0x7e405ffc,0xffff905f,0x4c0005df,0x00004fff,0x3f989fff,0x0fffea00,
    0x0bfffee2,0x6d45fc88,0x26001dff,0x00004fff,0xf81fb000,0x019006ff,
    0xccccccb8,0xcccccccc,0x09fff503,0x27fffc00,0x2017f220,0x7fc01fff,
    0x3332602f,0xccccefff,0x0bff9001,0x33333332,0x01fff704,0x22013fee,
    0x3fe22efc,0xfff8000f,0xf5013e25,0x500000bf,0x40009fff,0x3ee7fffd,
    0x2a00006f,0xc8003fff,0xf5001fff,0x05fd17ff,0x0bff9000,0x2e05ffc8,
    0x05ffffff,0x09fff300,0x3ffee000,0xa8003f20,0x3f203fff,0x7ed41fff,
    0x3fff65ff,0xf3000fff,0x000009ff,0xff07f300,0x003a00df,0xddddfffd,
    0x7ffffddd,0x013ffea0,0x07fffd80,0x00bfffb5,0xff803fff,0x3bbaa02f,
    0xeeeeefff,0x0bff9001,0x2b3fffa6,0x413ff200,0xfe8806fe,0x07ffc40d,
    0x87ffdc00,0x7fd400fc,0xfa800006,0x320004ff,0xff70ffff,0x7d40000f,
    0xfc8003ff,0xff5001ff,0x0003fdbf,0x9017ff20,0xfc880bff,0x001effff,
    0x0027ffcc,0x229fff00,0x7fd4005f,0x7fff403f,0x3fff72e5,0xfcacfd8d,
    0xff3006ff,0x000a809f,0x7c07f400,0x0fa806ff,0x2a00f740,0x3ea05fff,
    0x320004ff,0x65c0ffff,0xf805fffd,0x7ffc01ff,0x13ff6002,0x05ffc800,
    0xc80037f6,0xffb88cff,0x2ff4400d,0x000fff88,0xbf3fff88,0x01fff300,
    0xf7333000,0x333339ff,0x7fdc0133,0x3fff51ff,0xff500400,0xff90007f,
    0x3fea003f,0x00000eff,0xf9017ff2,0x3f6600bf,0x99886fff,0xfffa9999,
    0x0999999d,0x47ffdc00,0x7d4002fb,0x7fe403ff,0xddfff07f,0x05fff507,
    0x209fff30,0x0001fff8,0x3fe07f50,0x999999ef,0x7400ffc9,0x7fffc402,
    0x7fdcccc0,0x999999cf,0x3ffee009,0x17ffa01f,0xf00bffe0,0x7ec005ff,
    0x3f20004f,0x009f905f,0xdffd9f10,0x3ffe0059,0x01fff101,0x2bbff200,
    0xfff8801f,0xf3036004,0xffffffff,0x09ffffff,0x897fffd4,0x16005fff,
    0xccefffa8,0xcccccccc,0x01fffecc,0x01dfff50,0x5ffc8000,0x0c2ffe40,
    0x83ffff50,0xfffffffa,0xffffffff,0x7c4006ff,0x8006ebff,0x5403fffa,
    0xfd81ffff,0x3ffe02ff,0x4fff9803,0x009fff50,0xff81fa00,0xffffffff,
    0x7400ffff,0x0ffff400,0x3fffffe6,0xffffffff,0x3ffea04f,0x17ff602f,
    0xf00bffe0,0x7ec005ff,0x3f20004f,0x003fc85f,0x40003f98,0x3e207ff9,
    0x3bb600ff,0xfffeeeee,0xeeeeeeff,0x07fffe4e,0x4ccc1a60,0x999cfffb,
    0x26009999,0x3fe2ffff,0x03b800ff,0x3bbbffea,0xeeeeeeee,0x01ffffee,
    0x007fff50,0x0bff9000,0x0e85ffc8,0x10fffe60,0xf9555555,0x55555bff,
    0xff900055,0xf50007ff,0xff9807ff,0x5ffc82ff,0x4027fec0,0xf104fff9,
    0x500005ff,0x77ffc07f,0xdaaaaaaa,0x201c00ff,0x3303fffc,0x339fff73,
    0x40133333,0x202ffff9,0xff805ffd,0x3ffe603f,0x9ffb0022,0x2ffe4000,
    0x22000bf6,0xfb80006f,0xfff101ff,0x77776c03,0xeffffeee,0x4eeeeeee,
    0x807fffee,0xffa803e8,0x3ea0004f,0x3ff20fff,0x07e600ef,0x003fffa8,
    0x801fffc8,0x003fffe8,0x05ffc800,0x1742ffe4,0x8013ff60,0x0004fff9,
    0x07fffc40,0x1fffd400,0x07fffee0,0xf9017ff2,0xfff300bf,0x00164c09,
    0x9999fe80,0x06fff999,0x20000fb8,0x5005fffa,0x40009fff,0x200ffffa,
    0xff805ffc,0xffff506f,0xffb00745,0x7fe40009,0x0005fb15,0x00007ff2,
    0xb107fff5,0x00623fff,0x001fff50,0x0bffffe8,0x2003fae2,0x0004fffa,
    0xf11fffee,0xf703dfff,0x3fffa80b,0x1fffc800,0x7ffffcc0,0xfd800003,
    0x37fe405f,0x3fea0374,0x3ffe6002,0xfc800004,0xff50005f,0xfffd807f,
    0x80bff907,0xf9805ffc,0x000004ff,0xffffff70,0x0dffffff,0x440003e0,
    0x5000efff,0x40009fff,0x6407fffb,0xfff805ff,0xd3d930cf,0xb01a69ff,
    0x640009ff,0x02fe8dff,0x3ffffa00,0xbccdeeee,0x9ffff100,0xfff9f711,
    0xa8001d39,0x54000fff,0xeeffffff,0xf5002fff,0x6c0009ff,0xffb86fff,
    0xfedcefff,0x7ffd400e,0xfffc8003,0x3efbea01,0x800003ff,0x7ec06fff,
    0x204fe87f,0x26000efd,0x00004fff,0x0001ff88,0x4407fff5,0xf904ffff,
    0x5ffc80bf,0x04fff980,0x5df00000,0xf7555555,0x03600dff,0x0fffec00,
    0x09fff500,0x37ffec00,0x2017ff20,0xffffffff,0xfbfff70e,0x04ffd807,
    0x3bbff200,0x320005ff,0xffffffff,0x80cfffff,0xfffffffc,0x03ffffd2,
    0x01fff500,0xfffff500,0x4007ffff,0x0004fffa,0x5c13fffa,0xffffffff,
    0xfffa801f,0xfffc8003,0x3eabf501,0x400003ff,0x301ffffa,0xfe85ffff,
    0x0ffd40df,0x13ffe600,0x03740000,0x07fff500,0x81bfffa6,0x7e405ffc,
    0xfff9805f,0xb8000004,0x6fff801f,0x90001300,0xa8007fff,0x20004fff,
    0x6404fffe,0x5fc405ff,0x20dffffe,0x804fffd8,0x20004ffd,0xfffbdffc,
    0x3fee0004,0xffffffff,0xff906fff,0x7fdc1bff,0x9999901e,0x9fffb999,
    0x79999999,0x3ffffa20,0x7d4001ef,0xf10004ff,0x7cc05fff,0x00cfffff,
    0x007fff50,0x203fff90,0x0fffea3c,0x7ffd4000,0xd74effff,0x7dffffff,
    0x37bfffba,0x98001dff,0x00004fff,0x20003f98,0xfa83fffa,0x3201efff,
    0x7fe405ff,0x4fff9805,0x7c400000,0x0dfff005,0x7fcc0000,0xffa8005f,
    0xff10004f,0xffc805ff,0xba9fc405,0x8005cc01,0x20004ffd,0xfffb5ffc,
    0x45720005,0xccbaaaa9,0x35101ffe,0xdb007e60,0xfddddddd,0xddddddff,
    0xba8809dd,0xfa8002fb,0xf90004ff,0x2e200bff,0x7d4000af,0xfc8003ff,
    0xfa8101ff,0x260003ff,0x04000000,0x0035db31,0x027ffcc0,0x007ec000,
    0x9dfff500,0x9ffffffb,0x80bff900,0xf9805ffc,0x260004ff,0x800fe401,
    0x00006fff,0x01dfff10,0x09fff500,0x17fff200,0x3017ff20,0x8000009f,
    0x20004ffd,0xffd15ffc,0x0ec8001f,0x0027d400,0xa80006e8,0x00000fff,
    0x2a0003f2,0x98004fff,0x2001ffff,0xfa8001fc,0xfc8003ff,0xff5001ff,
    0x0340007f,0x00039d50,0x00006f44,0x0013ffe6,0x000bf100,0xeeefffa8,
    0x2001bdee,0x7e405ffc,0xfff9805f,0x803a0004,0x3fe005f8,0x0930006f,
    0x000fffec,0x004fffa8,0x01ffff98,0x5c05ffc8,0x4000005f,0x20004ffd,
    0x3fe65ffc,0x7f7000ef,0x0013a000,0x00003fe2,0x0001fff5,0x40017f40,
    0x8004fffa,0x2004fffe,0x4004fff9,0x8003fffa,0x5001fffc,0x20007fff,
    0x3fee005b,0xff90006f,0x7cc0003f,0x400004ff,0x540001fd,0x00003fff,
    0xfc80bff9,0xfff9805f,0x80d50004,0x3fe000fd,0x05d0006f,0x100fffee,
    0x13ffea03,0x13fffa00,0x202ffe40,0x000006fd,0x00027fec,0xffa8bff9,
    0x1ff8805f,0x0005f000,0x80007ff3,0x0000fffa,0x20017fe0,0x4004fffa,
    0x4006fffc,0x4007ffb8,0x8003fffa,0x5001fffd,0x10009fff,0x7544005f,
    0xd98001ff,0x260004ff,0x20004fff,0x0002fcc0,0x001fffd4,0x405ffc80,
    0xf9805ffc,0x7d0005ff,0x1002fcc0,0x9000dfff,0x17ffe60f,0x7fd40aa0,
    0x7fe4004f,0x3ff2006f,0x007ffc05,0x9ffd0000,0x2ffe4000,0x201fffe4,
    0xd8005ffc,0x3bfe0005,0x3fea0002,0x3600000f,0x2a000bff,0xd3004fff,
    0x0001dfff,0xb8003ff6,0xd8004fff,0xf5001fff,0xd8800bff,0xffb8000f,
    0xbff10003,0x7ffd4000,0xeff98005,0x0000ffcc,0x004fffb8,0x80bffb00,
    0xf9806ffc,0x6c4006ff,0x007fa01f,0x006fff88,0x7fc42fd4,0x02c800ef,
    0x2009fff5,0x00efffe9,0x8817ff60,0x00001fff,0x0013ffe0,0xfd06ffc8,
    0x7fe405ff,0xfd9801df,0x3fee0000,0x004cbcff,0x0003fff7,0x6ffffcc0,
    0x3ff205ca,0x7fdc404f,0x20000dff,0x7e4005fe,0xfe8005ff,0xff9002ff,
    0x3ee001ff,0xff90006f,0x3fe60003,0x3ff20001,0xffd8006f,0x0002ffff,
    0x00dfff90,0x01bffe00,0xf700fffb,0x2a003fff,0x1ff206ff,0x0ffff300,
    0x20bff220,0x9801fffd,0x9fff902f,0xffffb880,0x7ff4000d,0x0bffe606,
    0xfff80000,0x3ff60006,0x3ffff307,0x3ffffa20,0xedcbccde,0x440000df,
    0x0bfffffc,0xdffff980,0x3ee00000,0x300cffff,0x9ddfffff,0xfffffb97,
    0x64c0003b,0x3ea001ff,0x2002ffff,0x01fffffc,0x7fffffd4,0xeeeeeeee,
    0x4003ffff,0x0003ffb8,0x4000bfd5,0x0bfffffa,0x3fffea00,0xf500002e,
    0x0017ffff,0x0ffffd40,0x02ffff98,0x3fffffa6,0xeeeeeeee,0xf904ffff,
    0xd50019ff,0x999dffff,0xfffd9999,0xdfffb81f,0xaaaaaaaa,0xff981ffc,
    0xcbceefff,0x1dfffffd,0xffff9800,0x003ffe01,0x7ffe4000,0xff88003f,
    0xfffd02ff,0x3fee207f,0xffffffff,0x4400001e,0xffb001a9,0x7dffffff,
    0x2a620000,0xffee9809,0xffffffff,0x00abdeef,0x016f6c00,0xfffffe98,
    0xb82effff,0xfffffffe,0xffd30eef,0xffffffff,0xffffffff,0x764003ff,
    0xe98000bd,0xe88001ce,0xffffffff,0xbd7002ef,0xfd300005,0xffffffff,
    0x7fd4005d,0x74efffff,0xdffffffd,0x3fffba27,0xffffffff,0xffffffff,
    0x7ffffd41,0xffe80eff,0xffffffff,0xffffffff,0x7fffc45f,0xffffffff,
    0xdd31ffff,0xffffffff,0x57bddfff,0xffd50001,0x705dffff,0x9800007d,
    0xfffffffe,0x7fdc04ef,0x24efffff,0xeffffffe,0x3fb72a06,0x00001bce,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00e00000,
    0x910000c4,0x99999999,0x10001999,0x99999999,0xcc983999,0x3ccccccc,
    0x99999910,0x55799999,0x33200135,0xcccccccc,0x9999953c,0x01999999,
    0x66666644,0x99911ccc,0x99999999,0x00133555,0x99999910,0x99999999,
    0x09999999,0x99999993,0x99999999,0x22199999,0xcccccccc,0x801aaacc,
    0xccccccc8,0xca81cccc,0xcccccccc,0xccc980cc,0xcccccccc,0xcccccccc,
    0x33333223,0xaaaccccc,0x3220000a,0xcccccccc,0x99702ccc,0x47999999,
    0xccccccc8,0x65c00002,0x264ccccc,0xcccccccc,0xcccccccc,0x324ccccc,
    0xb82ccccc,0x802ccccc,0x99999999,0x33009999,0x33333333,0x40400133,
    0x98f4403d,0x27ec43fd,0x3ffffae6,0x0002bcff,0x3ffff6e6,0x54409bef,
    0xadfffffc,0x3ffae601,0xfeffffff,0x00adffff,0x3ffff2a6,0xf710adff,
    0x7dffffff,0xfff95003,0x5cc15bff,0xfffffffe,0xefffffff,0x3ae6002c,
    0xffffffff,0xffffffff,0x6dcc40ff,0xffffffff,0xffffffff,0x3ffae60f,
    0xffffffff,0x2e600dff,0xbefffffd,0xfeb98809,0x01adffff,0xfffffff7,
    0xffffffff,0xb983ffff,0xfffffffe,0x04ffffff,0xffffb700,0x017bffff,
    0x3ffff6a6,0x7f6541be,0x00006fff,0x33ffffe2,0x3fffee1a,0xffffffff,
    0xffffffff,0xffb530ff,0xffd7309f,0xfff9809f,0xffffffff,0xffff985f,
    0xffffffff,0x42fe4c05,0x7511bdfb,0x3fff61fd,0x40bfff20,0x001ffffc,
    0xefffd800,0x3dfff000,0x9fffd000,0xfffd3103,0xfff7003f,0x7fec405f,
    0xc8001fff,0xfd802fff,0x531abeff,0x5dffffb9,0x4fffc800,0x0ffc9880,
    0x01fffec0,0x03ffd731,0x26b7fffa,0x2ffffdb9,0x0efffd80,0x3fffe200,
    0xacffc804,0x99999999,0x03ffffa9,0x8d6fffec,0x1efffda8,0xfff71000,
    0xff800dff,0xffe8803f,0x900002ff,0x2e09ffff,0x999aadff,0x999dfffa,
    0x40fffca9,0x2204fff8,0x7cc04fff,0xffffffff,0xff985fff,0xffffffff,
    0xffb505ff,0x3fffa0bf,0x363fffff,0x3ff21fff,0xdfff502f,0x3ee00000,
    0xff3004ff,0x3ee0001b,0xffa804ff,0x7fc402ff,0xfffd007f,0xff70001f,
    0x3ffee001,0xfffd8804,0xff5000cf,0x0fb8009f,0x01fffdc0,0xf701fd88,
    0x3fe607ff,0x7fdc04ff,0xffd8004f,0x01fd802f,0x02fffec0,0x501fffdc,
    0x0009ffff,0x07ffffd4,0x002ff880,0x01bffff6,0x3fffe200,0x407f901f,
    0x2204fff9,0x4ffe80fe,0x2027ff40,0xaaaaaaa8,0x881aaaaa,0xaaaaaaaa,
    0xcb81aaaa,0xf305fffe,0x89ffffff,0x7fcc5ffa,0x17ffe606,0x7fd40000,
    0x4fe8803f,0x7ffd4000,0xffff5004,0x06fff801,0x07ffff10,0x4005fd00,
    0x2004fffa,0x005ffffb,0x8009fff3,0x7fd401f8,0x07e6003f,0x501fffd4,
    0x5407ffff,0xd8004fff,0x3d801fff,0x7fffdc00,0x3fffa800,0x0ffffdc0,
    0xffff5000,0x00ff6007,0x5fffff70,0xfffb8000,0x80b901ff,0x4404fff9,
    0x04ffe81f,0x00027fec,0x00000000,0x6440bfff,0x0202effe,0x7ffcc008,
    0xf5000005,0x9fb007ff,0xfff50000,0x7ffe4009,0x037ffc04,0x01ffff70,
    0x2002fd40,0x4004fffa,0x804ffff9,0x8004fff9,0x7ffd401d,0xa816c003,
    0x7e403fff,0xff500fff,0xffb0007f,0x001d003f,0x017fffcc,0x803fffa8,
    0x0005fffe,0x007fffe4,0x2a0013ee,0x005fffdf,0x7ffeffc0,0xf9807900,
    0x81d804ff,0x7ec04ffe,0x0000004f,0x3f600000,0x0001005f,0x9fff3000,
    0x3ea00000,0x27ec03ff,0xfffa8000,0x3ffea004,0x037ffc06,0x017fff60,
    0x54000fe8,0xc8004fff,0x4c02ffff,0xa8004fff,0x1fffd401,0x7d406600,
    0x7fd403ff,0xfff502ff,0xfff90007,0xe800d003,0x2a005fff,0xfc803fff,
    0xe80007ff,0x3e605fff,0xd5f50006,0x20003fff,0x0fffdbfb,0xff9801b0,
    0xe81b804f,0x7fec04ff,0x00040004,0xffb00000,0x0000000b,0x027ffcc0,
    0xfffa8000,0x0013f603,0x04fffa80,0x03fffe20,0x4006fff8,0x802ffff8,
    0xfa8002fc,0xf88004ff,0x7cc06fff,0x000004ff,0x0007fff5,0x01fffd40,
    0x40ffffe6,0x8003fffa,0x2801fffc,0x3bfff200,0x3ffea000,0xffffb803,
    0x7fcc0000,0x0ff882ff,0xf55f5000,0x3a000bff,0x00fffd8f,0x13ffe600,
    0x04ffe800,0x20027fec,0x1deffec9,0xdfffd700,0x7fec0059,0x40004005,
    0x9fff3000,0x3ea00000,0x09fb03ff,0xfffa8000,0x3ffe6004,0x037ffc07,
    0x07fffdc0,0x2000bf30,0x0004fffa,0x403ffff5,0x2004fff9,0x3ffea000,
    0x3ea00003,0xfff803ff,0x7fff504f,0x3fff9000,0x7fcc0000,0x7d4001ff,
    0xffb803ff,0xf700007f,0x1fe81fff,0x7cbea000,0x54000fff,0x01fffb4f,
    0x27ffcc00,0x09ffd000,0x2004ffd8,0xffdbbffc,0x37fa604f,0x05fffc9a,
    0x100bff90,0x32600bf9,0xfff3005f,0x2a000009,0x7ec43fff,0xfa800004,
    0x3f2004ff,0x7ffc04ff,0xfffd0006,0x0007f40b,0x004fffa8,0x813fffe0,
    0x2004fff9,0x3ffea005,0xf5006803,0xff8807ff,0xfff502ff,0xfff90007,
    0x3a200003,0xa8004fff,0xfd803fff,0x200006ff,0x3f25fffe,0x97d40003,
    0x4004fffb,0x1fffb0fe,0x7ffcc000,0x3ffa0004,0x027fec04,0x7dc17f44,
    0x7fe884ff,0x9009ffd0,0x7ed40bff,0x7ed405ff,0xff3005ff,0x2000009f,
    0x3a23fffa,0x5000004f,0x74009fff,0x7fc01fff,0xff30006f,0x07f705ff,
    0x27ffd400,0xffffb000,0x027ffcc0,0x3ea00598,0x034c03ff,0x403fffa8,
    0x501ffff9,0x90007fff,0x00003fff,0x001bfff2,0x201fffd4,0x002ffff8,
    0x3fffe200,0x80005faa,0xffff12fa,0xd97e6001,0x20000fff,0x0004fff9,
    0xfb013ffa,0x05f9009f,0x2e0fffe4,0xfff704ff,0x20bff900,0x05fffdcb,
    0x17fffb2e,0x027ffcc0,0xfffa8000,0x0009fd13,0x27ffd400,0x37fff440,
    0x0037ffc0,0x41dfff70,0x540006f8,0x20004fff,0x300ffffc,0x36009fff,
    0x3ffea005,0xa8036403,0x7ec03fff,0x3fea06ff,0xffc8003f,0xfa80001f,
    0x50001fff,0xfe807fff,0x800005ff,0x0efffffb,0x22fa8000,0xb003fffc,
    0x07ffec3f,0x9fff3000,0x27ff4000,0x1013ff60,0xfff980df,0xa827fec5,
    0x7e400fff,0x5ffe805f,0x00bfff00,0x0013ffe6,0x5fffd400,0x00005fe9,
    0x027ffd40,0x1bfffd51,0x00dfff00,0x24fffe80,0x540001fd,0x20004fff,
    0x301ffffb,0x3333bfff,0x0bfb3333,0x4e7ffd40,0x6fdb9999,0x07fff500,
    0x007fffd4,0x0007fff5,0x0003fff9,0x03ffff88,0x0fffea00,0x06ffff4c,
    0xffd80000,0x500001ff,0x3fffc45f,0x3f637c40,0x260000ff,0x20004fff,
    0x7ec04ffd,0x027ec04f,0xf71fffe2,0x3ffe603f,0x02ffe400,0xd802ffec,
    0xff3005ff,0x2000009f,0xfffdfffa,0x2000001f,0xeefffffa,0xeffffffe,
    0x1bffe002,0xffff3000,0x00009f53,0x0009fff5,0x817fffd4,0xfffffff9,
    0x5fffffff,0x3fffea00,0xffffffff,0x7fff5006,0x0bfffee0,0xdddfff50,
    0xdddddddd,0x03ffffdd,0x5fffd800,0x7ffd4000,0xffdba99c,0x000003ef,
    0x01ffffc4,0x642fa800,0x7e403fff,0x007ffec2,0x09fff300,0x027fec00,
    0xff013ff6,0xdddddddd,0xa81ffffd,0x03ffe601,0xb00bff90,0x3f600bff,
    0xfff3005f,0x2a000009,0xffffdfff,0x5000001f,0x9999dfff,0x9ffffffd,
    0x1bffe003,0x3fff2000,0x500006fe,0x40009fff,0x302ffff9,0x5555dfff,
    0x0bfd9755,0x56fffd40,0x6fedbaaa,0xdffff500,0xbffffb9b,0xdfff5001,
    0xdddddddd,0xffffdddd,0x7fdc0003,0x540000ff,0xffffffff,0x00001dff,
    0x3ffff200,0x2fa80000,0x1037ffcc,0x1fffb0df,0x7ffcc000,0x3ff20004,
    0x13ffa205,0xaaadff88,0xaaaaaaaa,0xffb5000a,0xffc801ff,0x05ffc805,
    0x200bffb0,0x0004fff9,0x37fff500,0x003fffff,0x9fff5000,0x7ffed440,
    0x7ffc00df,0xffd00006,0x200005ff,0x0004fffa,0x403fffea,0x8804fff9,
    0x3fea005e,0x8036c03f,0xcb9cfffa,0x2000abcc,0x8003fffa,0x0001fffc,
    0x005ffff1,0x39fff500,0x01ffff53,0x3e600000,0x0005ffff,0xffd82fa8,
    0xb07f702f,0x40001fff,0x0004fff9,0x2603ffee,0x2605fffe,0x400004ff,
    0xff9befc8,0x2ffe400f,0x802ffe40,0xf3005ffc,0x000009ff,0x7ccfffea,
    0x0001ffff,0x027ffd40,0x06ffffc8,0x00037ffc,0x006fff98,0x13ffea00,
    0x7fffb800,0x013ffe60,0xff5002d4,0x0069807f,0x0007fff5,0x01fffd40,
    0x00fffe40,0x05fffe80,0x7fff5000,0x005fffc8,0x9ef88000,0x0003ffff,
    0x7fcc17d4,0x360ff06f,0x20000fff,0x0004fff9,0x44b7ffe6,0xafffdafb,
    0x02ffd419,0x2efc8800,0xb003ffe2,0xff900bff,0x17ff200b,0x027ffcc0,
    0xfffa8000,0x3ffffe63,0x3ea00001,0x3ee004ff,0x3fe04fff,0xf100006f,
    0x40000bff,0x0004fffa,0x981bfff6,0xb1004fff,0x1fffd400,0xffa80340,
    0x2a00003f,0xc8003fff,0xb8001fff,0x0000ffff,0xd07fff50,0x00007fff,
    0xff71fe80,0x540001ff,0x3fffd02f,0xffb03fb8,0x7cc0001f,0x640004ff,
    0x2fffffff,0x83bffffb,0x80006ffa,0x7c40dfe8,0x7ff400ff,0x05ffc806,
    0x200bff90,0x0004fff9,0x87fff500,0x01fffff9,0x9fff5000,0x7ffff800,
    0x001bffe0,0x02fffc40,0x9fff5000,0x7fff4000,0x13ffe605,0x3ea00280,
    0x002803ff,0x0007fff5,0x01fffd40,0x00fffe40,0x0bfffe60,0xfffa8000,
    0x1ffff883,0x7f900000,0x005fffe8,0x7d40bea0,0x807f45ff,0x0000fffd,
    0x0013ffe6,0x3bffff60,0x4073ff61,0x0000fff9,0x7c417fa2,0x3fe600ff,
    0x7fe401ff,0x0bff9005,0x013ffe60,0x7ffd4000,0xfffff983,0xffa80001,
    0x7fe4004f,0xdfff01ff,0x3fe20000,0x2a00005f,0x10004fff,0x4c07ffff,
    0x00004fff,0x007fff50,0x1fffd400,0xfff50000,0xfff90007,0xfffe8003,
    0x7d400004,0xfff503ff,0xf500000d,0x7ffff309,0x80bea000,0x9f51fffe,
    0x007ffec0,0x09fff300,0x02ee2000,0x3fe20176,0xf836004f,0xfff101ff,
    0xffffd501,0x3f205dff,0xbff9005f,0x13ffe600,0xf5019800,0x3fe607ff,
    0x40001fff,0x4004fffa,0xf02ffffa,0x20000dff,0x0005fff8,0x013ffea0,
    0x037ffe40,0x0013ffe6,0x1fffd400,0xfff50000,0x7d400007,0xfc8003ff,
    0x3f2001ff,0x030006ff,0xb01fffd4,0x00009fff,0xff7037cc,0xf50001ff,
    0xa7ffdc05,0x3ff600fe,0x3e60000f,0x000004ff,0xff003f98,0x4d3003ff,
    0x3e207ff9,0x400000ff,0xf9005ffc,0x3fe600bf,0x03a0004f,0x301fffd4,
    0x003fffff,0x027ffd40,0x03fffea0,0x00037ffc,0x005fff88,0x13ffea00,
    0x3fffe600,0x27ffcc01,0x2a039000,0x00003fff,0x000fffea,0x03fffa80,
    0x01fffc80,0x03ffff50,0x7d403a00,0x3fa203ff,0x880002ff,0x7ff400fe,
    0x2fa8005f,0x7d7fffc0,0x07ffec05,0x9fff3000,0xf7000000,0x3ffee00b,
    0xb8fa201f,0xff101fff,0xc800003f,0xff9005ff,0x3ffe600b,0x40d50004,
    0x4c03fffa,0x001fffff,0x009fff50,0x205fffc8,0x00006fff,0x000bfff1,
    0x027ffd40,0x027fff40,0x0027ffcc,0x3fea07a8,0x2a00003f,0x00003fff,
    0x000fffea,0x2007fff2,0x003ffff8,0x7fd40d30,0x7ffcc03f,0x7ec0000f,
    0xffff9802,0x017d4003,0x07ffffee,0x001fffb0,0x027ffcc0,0x7fe40000,
    0xffffd000,0x07f5c417,0xb107fff5,0x00623fff,0x017ff200,0x9802ffe4,
    0xd0005fff,0x1fffd407,0x7ffffcc0,0xfffa8002,0x3ffe2004,0x1bffe03f,
    0x7ffc4000,0x3ea00006,0x7e4004ff,0xf9800fff,0xf88005ff,0x0fffea04,
    0xfffa8000,0x3ea00003,0xfd8003ff,0xffd801ff,0x1720006f,0x804fffa8,
    0x0006fffb,0xfb8013f6,0x2e001fff,0x7ffc402f,0xfffd806f,0x3fe60000,
    0x8000005f,0xa801dffa,0xeeffffff,0x7fc42fff,0xcfb88cff,0x00e9cfff,
    0x05ffd800,0x200bffb0,0x4006fff9,0x3ee01fd8,0xff3004ff,0xa8005fff,
    0x3a004fff,0xf100efff,0x20000dff,0x0006fff8,0x013ffea0,0x077fff4c,
    0x05fffa80,0x2e01fd80,0x00003fff,0x0013ffee,0x04fffb80,0x01fffd80,
    0x007fffdc,0x2a03fa80,0xfb004fff,0xf90009ff,0xfffd000d,0x0fee001d,
    0x00bfff20,0x0007fffa,0x005fff98,0xfffd0000,0xf505b77d,0xffffffff,
    0x3ffff207,0xfffd2fff,0x3a00003f,0xffd006ff,0x3ffee00d,0xdff5001f,
    0x05fffc80,0x3fffff20,0x3fff2004,0xfffea804,0x3fffcc04,0xfffa8000,
    0x3f200007,0x7dc404ff,0x2000cfff,0x2006fffb,0x7e406fd8,0x200005ff,
    0x0005fffc,0x017fff20,0x80bfffa0,0x002ffff8,0x6405ff70,0xf1005fff,
    0x2200bfff,0xc8003ffc,0x9006ffff,0xdff1009f,0x0bfffe00,0x6fffb800,
    0xd3000000,0x405dffff,0xefffffe8,0x7fffe401,0x07bfee0d,0x7ffcc000,
    0x7ffcc01f,0x7ff4c01f,0xeeeeefff,0x4ffffeee,0xfffff710,0x3fffa005,
    0x201cffff,0xeefffff9,0xffedcbbc,0x7f5403ff,0x0000dfff,0x33ffffa2,
    0x7fcc0001,0xbbcdefff,0x0cfffffd,0x7fffcc00,0xccccccdf,0x04fffecc,
    0x5fffff71,0xfff30000,0x400017ff,0x3fffffb8,0xffff9300,0x3fffa03d,
    0xcccccccf,0xffedcccc,0xfff301ff,0xf50017ff,0x2037dfff,0x00effffa,
    0x3ffffa20,0xff300bef,0x3fd8015f,0xeffffc80,0xffe88002,0x00000cff,
    0x00135300,0x000d5d44,0x00c40351,0xfffea800,0x7542efff,0x2effffff,
    0x3ffffba2,0xffffffff,0x1fffffff,0x7fffff4c,0xc82effff,0xffffffff,
    0xdd31ffff,0xffffffff,0x9ddfffff,0x7ffec015,0x4effffff,0x3fffb600,
    0x04efffff,0x3fffba60,0xffffffff,0x4001bdee,0xffffffe8,0xffffffff,
    0x41ffffff,0xffffffe9,0x2002efff,0xfffffee9,0x2002efff,0xffffffe9,
    0xeb82efff,0xffffffff,0xffff70ef,0xffffffff,0xffffffff,0xffee98ff,
    0x2effffff,0x7ffffe40,0x3ffff27f,0x4c06ffff,0xfffffffe,0xfdd32fff,
    0x03dfffff,0xffeb81e6,0x6fffffff,0x7fff7440,0x02efffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999800,
    0x09999999,0x99999980,0x80999999,0xccccccd9,0xcccccccc,0x203ccccc,
    0x26662028,0x99999999,0x00014401,0x00000754,0x00002e88,0x00053000,
    0x08014c00,0x00000100,0x00001dc0,0x00000000,0x00032a00,0x20400001,
    0x00000038,0x00000000,0x00018000,0x00080088,0x66540000,0x504ccccc,
    0x80399999,0xfff10000,0xffffffff,0xffff00df,0xffffffff,0x0000530d,
    0x40b701c4,0xfffffffe,0x6407ffff,0x0fb80004,0x7f100000,0x75cc0000,
    0x3e60beff,0xea800003,0xffdb704f,0xfeca87df,0x2a2004ef,0x40bdefec,
    0x64404ffc,0x002dfffd,0x59dfffd7,0xcccccc80,0xcccccb82,0x200effaa,
    0x1deffec9,0x77ffec40,0x3fe61dac,0x8000000c,0x1bdffec9,0xceffdc88,
    0x3fb2a000,0x3e600bde,0xabdca885,0xb8837440,0x6ffecc6f,0x7dfd9302,
    0x7ffdc401,0xd3101cff,0xf91017ff,0x00efeccb,0xfffffff1,0x00dfffff,
    0xffffffff,0x530dffff,0x01c40000,0x7fff40bd,0xffffffff,0x0013e607,
    0x00003ee0,0x0001fc40,0x6d4dffd4,0x04f8afff,0x3ff22000,0x6ff440be,
    0x94ffeb8a,0xdfff97df,0x9cefb803,0x361fffca,0x3bee06ff,0x0effeb9b,
    0x935bfd30,0x54c0bfff,0xb984fffe,0xffacfffd,0x77ff901f,0x2a09fffb,
    0xffda8bdf,0x6fff541f,0xf9000001,0x7ffb5139,0x7ed5ffcc,0x77dc02ff,
    0x1fffca9c,0x7ec57ee0,0x8cffffff,0x7ed41fe8,0x3fff66ff,0x7fe44fff,
    0x9805ffff,0xf9007fff,0xbfffb505,0x01bfffea,0x55555555,0x50055555,
    0x55555555,0x05305555,0xb81c4000,0x2aaaa05f,0xaaaaaaaa,0x0013f602,
    0x00003ee0,0x0001fc40,0x3e603bee,0x00005fff,0x205bffb3,0xff886ff8,
    0x7e442fef,0x1df900ff,0x227fff50,0x09fb06fe,0xd10bfff1,0x13ffa0ff,
    0x409fff10,0xff94fff8,0xb82fe881,0x37c44fff,0xb301ff88,0x00005dff,
    0x7f413fa2,0xfb85f9cf,0x1ff901ff,0x407fff50,0x09bffefb,0x3fdffb73,
    0x6fffdda8,0xffd757db,0x2eb3f63f,0xc802fffd,0x5e800fff,0xdfffdcb8,
    0x07fffdf8,0x00000000,0x00005300,0x2ffd41c4,0x7d400000,0xfb80004f,
    0xf1000000,0x7fd40007,0x0fffee01,0x9ffd5000,0x04ffb803,0x7c07fffb,
    0x1ffb84ff,0x26fffea0,0x06fb80ee,0xf707fff6,0x1ffee09f,0xd013ffa0,
    0x03f939ff,0x7fe405f9,0xa80ff21f,0x7fe4401f,0x320000bf,0x3ffe206f,
    0xbffd00ff,0x5403ff70,0x3f602fff,0x1ffd400e,0x0f7bffa0,0x3777ffe2,
    0x807ffd80,0x4c02fff8,0x6fff401f,0x005d931e,0x00000000,0x80000a60,
    0x2fffcc38,0x3ee00000,0xb80004ff,0x1000000f,0x3e20007f,0xfffe806f,
    0x7fdc4000,0xffb000bf,0x03fff207,0x7c47ffc8,0xfffe805f,0x2ff880ad,
    0xb0fffea0,0x3fea09ff,0x27ff400f,0x2b3bff60,0x4c06f880,0x17fa5fff,
    0x2e2003f0,0x4001cffe,0x7e404ff9,0x3ff205ff,0x017fe21f,0x7c41bffa,
    0x01bea006,0x6405fff9,0x3e603fff,0xffd800ff,0x6c036406,0x00004fff,
    0x00000000,0x1000014c,0x77fffdc7,0x02004ccc,0x9dffffb0,0xf7000999,
    0x22000001,0xff50003f,0xffffd809,0xdff93003,0x3ff70005,0x701fff20,
    0x7fdc1fff,0x2fffb804,0x3201ff60,0x0ffdc0df,0x400fff98,0x7ec04ffe,
    0x027ec04f,0xfe9fffe2,0x0007201f,0x00b7ff6a,0x2a017ff4,0x3ee04fff,
    0x13fee2ff,0x20fffee0,0x7d4001fd,0x01bff202,0xf880fff5,0xffa801ff,
    0x007f101f,0x6400dff9,0xa82ccccc,0x002ccccc,0x2f7bfb2a,0x0000a600,
    0xffdd7388,0x80ddddff,0x3ae05fc8,0xeeeffffe,0x00fb8005,0x07f10000,
    0x80fff600,0x07fff9fc,0x00effed4,0xfc806600,0xeeeeeeff,0x361fffee,
    0xfff003ff,0x0037fc09,0xff300d40,0x4ffe801f,0x2027fec0,0xeeeeeeff,
    0x0ffffeee,0x0209fff9,0xdff93000,0x0fffc407,0x7fffffc0,0xffffffff,
    0x400fff63,0x27c46fff,0x3206f800,0x7fcc06ff,0x0fffc00f,0x704ffe80,
    0xbff9001f,0x7fed4c00,0xffdb984f,0xcefb804f,0x01fffca9,0x44000053,
    0x005ffc83,0x00bfffb5,0x00013ff6,0x000003ee,0xf8001fc4,0x23f702ff,
    0x5c40fffe,0x0000cffe,0x7ffecc00,0xaaaaaaaf,0x3fe0aaaa,0xdffd001f,
    0x0017fe60,0xfffda800,0x27ff400f,0x8813ff60,0xaaaaadff,0x0aaaaaaa,
    0x05dffff3,0x3ee20000,0x7fcc0cff,0xdffe801f,0xaaaaaaaa,0x07ffe1aa,
    0x263fff40,0x0fb0002f,0x26037fdc,0x7fc00fff,0xfff7002f,0x32009d01,
    0xff0005ff,0x7ffc409f,0x407fe404,0x2983fffa,0x20e20000,0xcb805ffc,
    0xb005fffd,0x700009ff,0x2000001f,0xf88003f8,0x22fa82ff,0xf911fffd,
    0x000007df,0xffbbfd50,0x3fe6000d,0xfffb001f,0x00bff501,0xbefc8800,
    0x7400fff9,0x7fec04ff,0x013fe604,0xfffff900,0x4000005d,0xf51dffea,
    0xffb003ff,0xfff30007,0x3fff6003,0x40003ee0,0xdff701fb,0x00fff980,
    0x88017ffc,0x0fcc3fff,0x005ffc80,0xe809ffd0,0x3fee04ff,0x0bffea01,
    0x44000053,0x005ffc83,0xd802fff4,0x332a04ff,0xdccccccc,0xccccccdf,
    0x99911ccc,0xf9999999,0x9999999b,0x7ffd4599,0x3f21fcc3,0x9fff12ff,
    0x5c000001,0xdff91dff,0x3ffee000,0x3fff9001,0x000dff70,0x88bbf220,
    0x7f400fff,0x27fec04f,0x000bff50,0xffffff70,0x4c00000b,0xfff73ffe,
    0x0bff9003,0x03fff700,0xb87fff20,0x3f50000f,0x301bfee0,0xff801fff,
    0x3ff2002f,0xf90036c6,0x3f6000bf,0x27fec04f,0xe805ff88,0x0014c6ff,
    0xff907100,0x5ffd800b,0x409ffb00,0xfffffffb,0xffffffff,0x32ffffff,
    0xffffffff,0xffffffff,0x549fffff,0x13e64fff,0xd503ffea,0x00003bff,
    0x2e0eff4c,0xf70007ff,0x3ee005ff,0x0fff707f,0x1bfd1000,0x400fff88,
    0x7ec04ffe,0x1bfea04f,0x7fe44000,0x0001efff,0x873ffaa0,0xc802fffc,
    0xfb8006ff,0xff7002ff,0x0001fa8f,0x3fee01f7,0x07ffcc06,0x800bffe0,
    0x5f12fff9,0x02ffe400,0x404ffd80,0xff704ffd,0x7fff7009,0x1000014c,
    0x00bff907,0xb005ffd8,0x700009ff,0x2000001f,0xf98003f8,0x20bf15ff,
    0x36606ffa,0x40002eff,0xff705ff9,0xff50001f,0x3fee007f,0x03fff506,
    0x17fa2040,0x2007ffc4,0x7ec04ffe,0x3ffe604f,0x36600000,0x0006ffff,
    0x05fffdc4,0x401fffd4,0xa8007ffb,0xf7003fff,0x003f98df,0x7fdc0fb0,
    0x07ffcc06,0x000bffe0,0x01eebffb,0x000bff90,0xfb013ff6,0x0fff609f,
    0x5337ffc0,0x41c40000,0x64005ffc,0x3bae05ff,0x5eeeffff,0x000fb800,
    0x007f1000,0x3a3bffe0,0x013fee05,0x02fbff22,0x403ffa00,0x5001fffa,
    0x017ffe63,0xf8827fe4,0xf16005ff,0x3fe203ff,0x27fec00f,0x8813ff60,
    0x36004fff,0x7ffd4030,0xfc98001f,0x7fcc02ef,0xfffc804f,0xff33a802,
    0x3ff200bf,0x88006e84,0x1bfee04f,0x801fff30,0x54002fff,0x004e9fff,
    0x8002ffe4,0x7ec04ffd,0x03fff04f,0x299fffa0,0x20e20000,0x64005ffc,
    0x3bae05ff,0x5eeeffff,0x000fb800,0x007f1000,0x3bbfff60,0x00bff200,
    0x0cffeb88,0x40fff100,0xd005fff8,0x007fff41,0xff017fe4,0x477001ff,
    0x3e207ff9,0x7fec00ff,0x027fec05,0x2007fffe,0xf9803a69,0x36a003ff,
    0xf1001dff,0xffb00fff,0x21d801ff,0xc800fffe,0x04fa82ff,0xf7007f40,
    0xfff980df,0x017ffc00,0x07f7ffc0,0x017ff200,0x2027fec0,0xff984ffd,
    0xfffb001f,0x80000a61,0x05ffc838,0x802ffe40,0x80004ffd,0x000000fb,
    0x260007f1,0x6c00efff,0xd50000ff,0xfa803bff,0x3ffa00ff,0x2a2e401f,
    0xfe803fff,0x3fff200f,0xb87e600e,0xff101fff,0x7ffc803f,0x013ffa20,
    0x403ffff7,0xb00ba3e8,0xeb8809ff,0xd8000cff,0x7f402fff,0x1ee05fff,
    0xd007fff5,0x0bf601ff,0x2e01fe40,0x7fcc06ff,0x17ffc00f,0x2fffdc00,
    0x02ffe400,0x404ffd80,0xffb84ffd,0xfff9001f,0x80000a63,0x05ffc838,
    0x802ffe40,0x80004ffd,0x000000fb,0x6c0007f1,0x3e601fff,0xc980003f,
    0xff502eff,0x3ffa207f,0x1fda81ff,0x200fffe8,0x7c403ff9,0xfb81efff,
    0x41fffd45,0x311fffd8,0x301fff70,0xd00bfffd,0x4417ffff,0x01ba0feb,
    0x32205ff5,0x40002eff,0x2606fff8,0x2dffffff,0x3fa13f26,0x3fe600ff,
    0x1bfff103,0x017ffa60,0xf980dff9,0x7ffc00ff,0xfff88002,0x6ffc8002,
    0x09ffb000,0xfb84ffd8,0xff7002ff,0x000014cf,0x0bff9071,0x005ffc80,
    0x00009ffb,0x000001f7,0xc8000fe2,0xfb00efff,0xc880000d,0x3e60bfff,
    0x6fdc2eff,0xcceffffe,0xff303fff,0x17f601df,0x7ffffdc0,0x40efedce,
    0x88cffff8,0x9cfffcfb,0xefff980e,0xffb5f713,0x3ea0335f,0xfeefffff,
    0x027f42ff,0xfd981dfb,0x200001df,0xfb03fffb,0xffffff9d,0x3e60dffd,
    0x17f606ff,0x7fe57fc4,0xaffecbce,0x3ff605fb,0x07ffd407,0x007fff10,
    0x4001ff60,0xb0007ffd,0xffd809ff,0x03fffa84,0x14cdff70,0x90710000,
    0xfc800bff,0x9ffb005f,0x01f70000,0x0fe20000,0x7f5fdc00,0x37f662df,
    0x2a000000,0x3ff63ffe,0x13ffdeff,0xfffffffd,0xffe880bf,0x017f662e,
    0xffffff70,0x3f203fff,0xd2ffffff,0x6403ffff,0x2fffffff,0x03bffffb,
    0x7fffffd4,0xffe83fff,0x10ffd40d,0x00019ffd,0x2fffee00,0x321bfb10,
    0xffffffff,0x37ffa201,0x4417fa62,0x3fb261fe,0x3ee0beff,0x2ffff885,
    0x813fffa0,0x000efffc,0x98003f98,0x8004ffff,0x7ec04ffd,0x5fff984f,
    0x4c9ff900,0x0e200002,0x90017ff2,0x3f600bff,0xfb80004f,0xf1000000,
    0x45f50007,0xeffffffb,0x20000003,0x3ff624d9,0x6c41dfff,0x03ffffff,
    0xfffffb10,0x2600059f,0x0cffffff,0x6ffffe40,0x007bfee0,0x3dffffd1,
    0x800e7fec,0xefffffe8,0xdfffdd01,0xe983bffb,0x8000000b,0xffffffe9,
    0xfffffc84,0xffd8801e,0x402cefff,0x2e00401d,0x3ffffa63,0xffd34eff,
    0x21dfffff,0xfffffffe,0x0064000e,0xffffff50,0x7e400bff,0x27fec04f,
    0x800fffe8,0x00a62ffc,0xfc838800,0x7fe4006f,0x09ffb005,0x66666654,
    0xccdfdccc,0x1ccccccc,0x001fc400,0x654c41f4,0x0000001a,0x055dcc00,
    0x0055dcc0,0x001bb980,0x02aea200,0x2201a880,0x05dc4001,0x5100015c,
    0x22080357,0x0001aca9,0x54400000,0xab9800ab,0x37730001,0x00000000,
    0x00000000,0x00000000,0x05ffc800,0x5413ffa2,0xfe803fff,0x0000a60f,
    0x7ffb8388,0xbff900cc,0x51bff200,0x3ffffee1,0xffffffff,0xffffffff,
    0x01fc4002,0x00000040,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffb8000,0x5fffe980,0x803fffa0,0x014c3ff9,0xf5071000,0x80b519ff,
    0xf7005ffd,0x44b517ff,0x99999999,0x99999999,0x00099999,0x00000098,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x712dfff9,
    0x35fffb5f,0x06fff983,0x00a617f6,0xf8838800,0x400fffff,0xf1006ffe,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fe40000,0xfb2fffff,0xd103bfff,0x7f4c5bff,0x00005305,
    0xffe981c4,0x7ffcc01d,0xffb3001f,0xdddd983b,0xdddddddd,0xdddddddd,
    0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffff600,0x073ff61e,0xfffffb10,0x66cc059d,0xcccccccc,0xcccccccc,
    0x004403cc,0x3fffffaa,0x011002ef,0x3fffffe6,0xffffffff,0x0fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1dc05d44,0x01bb9800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x16666664,0x1666665c,0x6666665c,0x33333264,0x66441ccc,0xf9802ccc,
    0x1007e200,0x406b8000,0xcca800e9,0x23cccccc,0x4ccccccc,0x6666664c,
    0x333320cc,0x999700cc,0x99999999,0x00007999,0x0076a000,0x001da800,
    0x00000000,0x00000000,0x00000000,0x3e600000,0xffffffff,0xffffffff,
    0xdd34ffff,0xdddddddd,0xdddddddd,0x02607ddd,0x98033331,0xdb880999,
    0x1a8000bc,0x00000000,0x54c00000,0xb984fffd,0xd984fffe,0x222dffff,
    0xbdffffda,0x1dffda80,0x3a01fc40,0xa8bf9105,0x7401dffd,0x4402ec04,
    0xadffffc9,0x33fffea0,0x7fedc41b,0x7f4c2fff,0x3ffa03ef,0xeeeeeeef,
    0x3d13ffff,0x4007b000,0x00007ff9,0xc9801bfe,0x2e202dff,0x3bf6a04e,
    0x03e8001b,0x9dffb500,0xefed9801,0x3372201d,0xdf900cee,0x5c3fe981,
    0x7774c1de,0xeeeeeeee,0xeeeeeeee,0xdddd33ee,0xdddddddd,0xdddddddd,
    0x881f309f,0xf300fffe,0xfff50dff,0x4005bfff,0xb09fb11e,0x000000bf,
    0x3e200000,0x3fe204ff,0x3fff204f,0x1fffd102,0xd005fa80,0x20fec01f,
    0x365fffda,0x00ffffff,0x4f980fee,0x03fffa00,0xc80077f4,0xbf907fff,
    0xa803dd00,0x3fe65fff,0x00ff6001,0x0006ff88,0x200fff10,0x3ffffffe,
    0x827ff644,0x0fffedfd,0x003fee00,0xecdffd88,0x19f702ff,0x3607ffb1,
    0x103bf20f,0xffc87fff,0x0bfffea7,0x00000000,0xdd09f000,0x05fff301,
    0xf103bff2,0xffd9539d,0x87cc019f,0x3ea1fffc,0x000002ff,0xfd000000,
    0x4ffe809f,0x80fffe20,0x6400fffa,0x03fc800f,0xfb9717f2,0x59fb1bff,
    0xe80dfff9,0x00bf602f,0xfc837fe4,0xfffd8004,0xe8037cc2,0x7fffc402,
    0x400ffcc0,0xca8003fd,0xff030001,0x0f4c088b,0x3e10dfd5,0x7cc5b84f,
    0xfdf1004f,0x427ec009,0x3fcc0fe9,0x3e60ffe4,0x261ffcc5,0x7ff45fff,
    0xbffff90f,0x00000000,0x544f8000,0xffa82fff,0x903ffd05,0x7ffe4c0d,
    0x49d710ae,0x3ee2fffc,0x000003ff,0xfd000000,0x4ffd809f,0x2037fe40,
    0x27403ffe,0xf503fdc0,0x77ffc03f,0x2fffa83e,0x4c07fea0,0xffc801ff,
    0x0003fc86,0x741ffff1,0x801d000f,0xf301fffe,0x01fec03f,0x7ec00000,
    0xfb93f62f,0x3ea07a3f,0x309fd03f,0x64013fa0,0xa801fd9f,0xd1be604f,
    0x8dff10bf,0x27fc42f9,0xfd13ffe6,0x7fffd4ff,0x00000007,0x227c0000,
    0xf706ffc9,0x203ff30f,0xfeb8803e,0x20dfffff,0x7f446fe9,0x0000000e,
    0xffd00000,0x04ffd809,0x900fffcc,0x0fcc0dff,0x4c0ffea0,0x7fec05ff,
    0x0fffe02f,0x3601dfd0,0x7fe400ff,0x0001fec5,0x7dd3ffea,0xf900e001,
    0xff9807ff,0x0003fd81,0xfffd0000,0x7fe4bee5,0x2ff8025f,0x7c009fd0,
    0x14f9800f,0x00fb00bf,0x0ffe21f9,0x2a007fec,0xfff85ffd,0x263ffe42,
    0x0001fb9b,0x00000000,0x037f413e,0x03fb85f9,0x3726001a,0x080203de,
    0x00000000,0x27ff4000,0x2013ff60,0x3f204ffe,0x80d901ff,0xff107ff8,
    0x5ffc801f,0x2027fec0,0xff305ffa,0x15ffc80d,0x200005fb,0x03fbfffc,
    0x3ffea000,0x43ff3005,0x000003fd,0x3fffe600,0xfffc8f9b,0x07f9801f,
    0x7dc013fa,0x5c1fd001,0x4037402f,0x07ff32fa,0x6d40bff2,0xfe85ff8a,
    0x037fdc1f,0x999998f9,0x99999999,0x99999999,0x3e000000,0x403ff884,
    0x0002744d,0x00000000,0x00000000,0x013ffa00,0xf7009ffb,0x3ffe20ff,
    0x203f885f,0xe883ffe8,0xffc804ff,0x02ffe405,0xfd827ff4,0x37ff205f,
    0x00002fe8,0x017fffa2,0xefff8800,0x27fe6000,0x332a03fd,0xcccccccc,
    0xcccccccc,0x65441ccc,0xcefdfcfe,0x813ee002,0x7ecc04fe,0x82fb802f,
    0x017e00fe,0x27fd4bea,0x7441ffb8,0x3617fe25,0x27fcc0ff,0x7ffccbf0,
    0xffffffff,0xffffffff,0x000004ff,0x0dfb313e,0x00048910,0x00000000,
    0x00000000,0x04ffe800,0x44027fec,0xafb82fff,0x07d40fff,0x360dffb0,
    0xfc800fff,0x2ffe405f,0x41fffd40,0xf903fff9,0x00bffddf,0x4fff9800,
    0x3ff60000,0xff98001f,0x7ffdc03f,0xffffffff,0xffffffff,0x7f5402ff,
    0x0dd0001e,0x32604fe8,0x2204fffe,0x409f506f,0x11fb807d,0x3fee0dff,
    0xf883fe60,0x886fb85f,0x41f503ff,0xaaaaaaa8,0xaaaaaaaa,0x01aaaaaa,
    0x446a0000,0x00001cee,0x00000000,0x00000000,0x7f400000,0x27fec04f,
    0xf85ffd80,0x5d87fff3,0x20fffee0,0x9005fffb,0xffc80bff,0x3fffd005,
    0x903fffb0,0x9fff7bff,0xffd80000,0xfc80001f,0x3a0003ff,0x000001ff,
    0x3f6e6000,0x00bdfefd,0xfe801db0,0x1ffd1004,0xfd807f20,0x4407f700,
    0x40fffc7f,0x237f45fd,0x5fa85ff8,0x5f703ff0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x7ec04ffe,0xfff3004f,0xffc87dc1,
    0xe880be26,0xffe886ff,0x0bff9007,0x9805ffc8,0xff885fff,0x2bff905f,
    0x0002fffd,0x1dffff30,0x7ffcc000,0x33f60005,0x000001ff,0x7fff4c00,
    0xfffd8f8c,0x400fe405,0x3e2004fe,0x404f983f,0x0bfa05f8,0xff50bf62,
    0xff81ff0b,0x057fea0f,0x83f607f1,0xee981ee8,0xeeeeeeee,0x55555510,
    0x55555555,0x05555555,0x00000000,0x00000000,0x00000000,0x3fa00000,
    0x27fec04f,0x747ffd00,0x5c7ffe24,0x2fff8807,0x803fff88,0x7e405ffc,
    0x6ffd805f,0x201dff70,0xffd15ffc,0xe880001f,0x004fff9d,0x01dfff10,
    0x7ccff600,0x0000001f,0x54ffffa0,0x07fffb1f,0x7f4003b2,0x41ff4004,
    0x2fb800fe,0x957bff30,0x3fee09ff,0xd81ed99d,0xffbedfff,0xc817c1ef,
    0xff301646,0xffffffff,0x3ffffe61,0xffffffff,0xffffffff,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x7fec04ff,0x5bfee004,0xa7fec0fa,
    0xdff5004e,0x003ffe60,0xfc80bff9,0x7ffcc05f,0x00fff880,0xff997ff2,
    0x360000ef,0x05fff70e,0x03fffb00,0xf30ff600,0x0080003f,0x6c7ffd00,
    0x213ff23f,0xe82a80dd,0x0ff4004f,0x6e800fee,0x3ffff620,0x7f6cc02e,
    0xdf9100be,0x207bee17,0x8009500c,0xfffffff9,0x55510fff,0x55555555,
    0x55555555,0x00000055,0x00000000,0x00000000,0x00000000,0xfb013ff6,
    0x7fc4009f,0xffa85e9f,0x2e000faf,0x7ff702ff,0x405ffc80,0x7ec05ffc,
    0x03ff901f,0x7d45ffc8,0xf70005ff,0x00fffe83,0x00fffee0,0x207fb031,
    0xd0001ff9,0x3510009f,0x214c5ff8,0xcaaabfd8,0x84fe81fc,0x443fa818,
    0x1fd4006f,0x000054c0,0x00000000,0x99999800,0x00019999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x440bff90,0x6c004ffe,0xff01feff,
    0xfb000bff,0x007fe40d,0xfc80bff9,0x0bfe605f,0x6401ffc4,0xfffc85ff,
    0x41fcc003,0x3005fff8,0x5500bfff,0x7cc03fd8,0x7fcc001f,0xf880000f,
    0x7ff4407f,0x46ffffff,0x209eff98,0x3fdbdfff,0xd8001fc8,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x203ffee0,0x005fffe9,0x902fffd4,0x20005fff,0x13f602fe,0x6405ffc8,
    0x13f605ff,0xf9004fc8,0x3fffa0df,0x40bf1002,0x4403fffb,0xc800efff,
    0x4c00ff62,0x7f4001ff,0xff100005,0xcccca80d,0x5c2ccccc,0x262ccccc,
    0x500bcddc,0x06a20005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0xf712dfff,0x335fffb5,0x80bffe00,
    0x20007ff9,0x3fa206f8,0x80bffb00,0xbf306ffc,0xb0037c40,0x3fe60dff,
    0x0fd801ff,0x00ffff40,0x3003fffb,0x000fea5f,0x03000bf3,0x02eb8000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e400000,0xb2ffffff,0x003bffff,0x3fa01bf2,
    0x17cc0004,0x3fe09f10,0x3ffec06f,0x076406e8,0x2ffff980,0x17ffffd0,
    0x803ffb10,0xb81ffffe,0xaaaadfff,0x1ffcaaaa,0x004c0006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36000000,0x361effff,0x4c001cff,0x01fb802f,
    0x4c06a800,0x7fffd40f,0x5ffff301,0x3e200fa8,0xfffeb801,0x3fa4efff,
    0x26ffffff,0x84fffff9,0xfffffffa,0xfffff11f,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x15c05dc4,0x44012000,
    0x00600004,0x7fffd422,0xfd74efff,0x27dfffff,0x00044008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_46_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,1,-1,1,1,1,1,1,1,0,-4,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,2,2,2,2,2,2,2,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_46_latin_ext_y[560]={ 37,8,8,8,7,8,8,8,8,8,8,12,32,26,
33,8,8,8,8,8,8,9,8,9,8,8,17,17,13,19,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,8,8,8,44,8,17,8,17,8,17,8,17,8,8,
8,8,8,17,17,17,17,17,17,17,12,18,18,18,18,18,18,8,8,8,23,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,17,10,8,13,9,
8,8,9,8,8,18,19,26,8,5,8,12,8,8,8,18,9,20,36,8,8,18,8,8,8,17,0,0,0,2,
2,2,9,8,0,0,0,2,0,0,0,2,9,2,0,0,0,2,2,14,8,0,0,0,2,0,9,8,8,8,
8,9,9,8,17,17,8,8,8,9,8,8,8,9,8,9,8,8,8,9,9,15,17,8,8,8,9,8,8,9,
3,11,1,9,8,17,0,8,0,8,2,9,0,8,0,8,9,8,3,11,1,9,2,9,9,17,0,8,0,8,
1,9,2,9,8,6,0,0,9,8,1,9,3,11,1,9,9,8,2,17,9,8,0,8,9,8,18,0,0,9,
8,8,8,9,8,9,8,0,8,9,17,0,8,8,8,17,3,11,1,9,0,8,9,17,0,8,9,17,0,8,
0,8,0,8,8,17,0,8,9,12,0,8,9,12,1,9,3,11,1,9,0,8,0,8,9,18,0,8,0,8,
2,0,8,2,9,0,8,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,8,11,11,8,11,11,11,
11,11,11,11,11,11,11,11,11,11,5,17,11,11,11,11,11,11,11,11,11,11,11,11,11,4,17,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,8,0,8,0,
8,0,8,-1,5,-1,2,-1,3,-1,2,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-5,-1,-1,8,-1,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_46_latin_ext_w[560]={ 0,6,13,21,17,33,31,5,12,13,16,23,7,12,
6,12,19,12,20,17,20,18,19,18,17,18,6,7,23,23,23,16,37,30,26,26,29,25,22,29,30,12,16,31,
25,37,31,28,22,28,29,19,24,30,30,39,30,30,25,10,12,10,19,23,8,18,21,17,20,17,18,20,21,10,
13,22,10,33,21,19,21,20,15,13,12,21,21,30,21,21,18,13,2,12,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,17,19,21,21,
2,15,12,30,13,19,23,12,30,23,14,23,12,11,8,21,20,6,8,8,13,19,29,29,31,16,30,30,30,30,
30,30,37,26,25,25,25,25,12,12,12,12,29,31,28,28,28,28,28,17,28,30,30,30,30,30,22,20,18,18,
18,18,18,18,26,17,17,17,17,17,10,10,12,12,19,21,19,19,19,19,19,23,20,21,21,21,21,21,21,21,
30,18,30,18,31,20,26,17,26,17,26,17,26,17,29,26,29,21,25,17,25,17,25,17,25,19,25,17,29,20,
29,20,29,20,29,20,30,21,30,21,14,14,14,14,12,13,13,13,12,10,29,19,16,16,31,22,22,25,10,25,
10,25,16,25,14,25,12,31,21,31,21,31,21,25,28,18,28,19,28,19,28,19,35,28,29,15,29,15,29,15,
19,13,19,13,19,13,19,13,24,12,24,18,24,12,30,21,30,21,30,21,30,21,30,21,30,23,39,30,30,21,
30,25,18,25,18,25,18,17,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,29,22,22,21,22,22,22,
22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,34,23,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,30,18,12,12,28,
19,30,21,30,21,30,21,30,21,30,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,30,18,37,26,28,20,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__times_46_latin_ext_h[560]={ 0,30,13,30,34,31,30,13,38,38,17,23,12,4,
5,30,30,29,29,30,29,29,30,29,30,30,21,27,21,9,21,30,38,29,28,30,28,28,28,30,28,28,29,28,
28,28,29,30,28,38,28,30,28,29,29,29,28,28,28,38,30,38,16,2,8,21,30,21,30,21,29,29,29,29,
38,29,29,20,20,21,29,29,20,21,26,20,20,20,19,28,19,38,38,38,6,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,30,20,28,
38,38,6,30,14,20,9,4,30,3,14,23,16,16,8,28,37,6,9,16,14,20,31,31,31,29,37,37,37,35,
35,35,28,37,37,37,37,35,37,37,37,35,28,36,38,38,38,36,36,18,30,38,38,38,36,37,28,30,30,30,
30,29,29,30,21,28,30,30,30,29,29,29,29,28,30,28,30,30,30,29,29,17,22,30,30,30,29,38,38,37,
34,27,36,29,37,28,38,30,38,30,36,29,38,30,37,30,28,30,34,27,36,29,35,29,36,28,37,30,38,38,
37,37,36,37,37,40,37,37,28,29,36,28,34,26,36,28,36,37,35,20,29,38,38,38,36,37,19,37,37,36,
37,29,29,28,29,28,29,38,29,36,28,38,29,29,30,29,35,27,37,29,38,30,29,21,37,29,36,28,37,29,
38,30,38,30,37,28,38,30,38,35,37,30,28,26,37,29,35,27,37,29,38,30,38,30,36,27,38,30,37,38,
35,37,29,35,28,37,29,29,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,30,26,26,38,26,26,26,
26,26,26,26,26,26,26,26,26,26,33,21,26,26,26,26,26,26,26,26,26,26,26,26,26,34,21,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,37,30,37,29,38,
30,38,30,39,33,39,36,39,35,39,36,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,42,39,38,30,39,31,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__times_46_latin_ext_s[560]={ 225,505,378,295,1,290,54,506,30,475,264,
131,392,400,503,23,146,413,220,198,241,394,112,12,412,336,504,502,176,400,343,
151,263,170,86,378,157,187,213,342,259,113,280,54,28,377,297,473,236,167,316,
453,415,372,403,434,346,126,290,351,133,318,315,107,457,268,1,250,216,311,1,
43,474,361,274,20,329,438,116,396,105,340,494,329,66,43,472,65,181,293,203,
33,506,492,475,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,225,503,296,
386,416,85,509,205,499,61,364,96,424,400,264,413,335,107,281,303,466,488,404,
505,448,294,350,138,177,239,207,45,33,64,239,203,234,265,386,408,461,153,53,
340,40,27,364,423,443,353,196,225,288,27,56,222,430,317,348,401,443,278,315,
432,393,374,355,50,31,317,200,157,246,228,210,69,1,337,348,15,92,338,41,
21,1,489,374,240,155,237,356,334,126,329,362,382,69,482,385,107,1,64,79,
86,158,36,416,278,106,180,309,426,127,472,100,464,1,87,397,262,99,107,1,
324,115,74,179,270,125,291,323,32,425,456,175,315,312,473,19,79,155,1,85,
478,168,501,452,185,489,301,474,152,158,126,492,327,312,196,90,360,75,206,62,
1,23,175,232,47,1,426,104,296,449,23,353,258,1,406,222,367,209,180,282,
496,92,127,95,372,254,494,487,254,472,166,133,436,339,453,268,94,377,482,366,
1,95,148,415,259,43,281,229,440,432,303,221,379,478,435,201,314,424,252,143,
162,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,459,43,43,145,
43,43,43,43,43,43,43,43,43,43,43,43,43,126,227,43,43,43,43,43,
43,43,43,43,43,43,43,43,34,287,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,122,132,
79,361,446,190,384,168,113,155,82,207,163,181,194,260,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,1,144,225,405,53,269,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43, };
static unsigned short stb__times_46_latin_ext_t[560]={ 40,44,478,301,235,235,270,160,44,1,478,
451,478,488,152,270,270,332,362,270,362,332,301,332,301,301,332,270,451,478,451,
301,1,362,422,270,422,422,422,235,422,422,362,422,422,422,362,270,422,44,422,
270,422,362,362,362,422,422,422,1,270,1,478,475,478,451,270,451,270,451,392,
392,362,362,44,392,362,451,478,451,332,362,451,451,451,478,451,478,478,392,478,
83,1,44,478,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,40,122,198,
235,451,392,1,83,478,301,478,478,478,488,301,488,478,451,478,478,478,392,122,
75,478,478,478,478,235,235,235,362,160,160,122,198,198,198,392,83,83,122,122,
198,122,122,83,198,392,160,44,44,44,198,198,478,301,44,44,44,160,83,392,
270,301,301,301,332,332,301,451,392,301,301,301,332,332,332,332,422,301,392,301,
301,301,301,332,478,451,270,270,270,362,1,1,122,235,422,160,362,160,392,83,
270,83,270,160,332,83,270,83,235,392,235,235,422,198,332,198,362,198,392,122,
235,44,44,122,122,198,122,122,1,122,122,392,332,160,392,235,451,198,422,198,
122,198,422,332,83,1,1,160,160,478,160,122,160,122,332,362,392,362,392,362,
83,362,160,392,83,362,332,270,332,198,451,122,332,44,235,332,451,122,332,160,
362,122,332,44,235,44,235,83,392,44,270,83,198,83,235,392,451,83,332,198,
451,160,362,1,270,44,270,160,422,44,270,83,44,198,83,362,198,392,83,332,
332,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,301,451,451,44,
451,451,451,451,451,451,451,451,451,451,451,451,451,235,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,235,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,122,301,
122,332,1,301,1,301,1,235,1,160,1,198,1,160,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,1,1,1,270,1,235,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451, };
static unsigned short stb__times_46_latin_ext_a[560]={ 166,221,271,332,332,554,517,120,
221,221,332,375,166,221,166,185,332,332,332,332,332,332,332,332,
332,332,185,185,375,375,375,295,612,480,443,443,480,406,370,480,
480,221,259,480,406,591,480,480,370,480,443,370,406,480,480,627,
480,480,406,221,185,221,312,332,221,295,332,295,332,295,221,332,
332,185,185,332,185,517,332,332,332,332,221,259,185,332,332,480,
332,332,295,319,133,319,360,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,166,221,332,332,332,332,133,332,
221,505,183,332,375,221,505,332,266,365,199,199,221,383,301,166,
221,199,206,332,498,498,498,295,480,480,480,480,480,480,591,443,
406,406,406,406,221,221,221,221,480,480,480,480,480,480,480,375,
480,480,480,480,480,480,370,332,295,295,295,295,295,295,443,295,
295,295,295,295,185,185,185,185,332,332,332,332,332,332,332,365,
332,332,332,332,332,332,332,332,480,295,480,295,480,295,443,295,
443,295,443,295,443,295,480,430,480,332,406,295,406,295,406,295,
406,295,406,295,480,332,480,332,480,332,480,332,480,332,480,332,
221,185,221,185,221,185,221,185,221,185,471,367,259,185,480,332,
332,406,185,406,185,406,270,406,228,406,185,480,332,480,332,480,
332,401,466,329,480,332,480,332,480,332,591,480,443,221,443,221,
443,221,370,259,370,259,370,259,370,259,406,185,406,284,406,185,
480,332,480,332,480,332,480,332,480,332,480,332,627,480,480,332,
480,406,295,406,295,406,295,185,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,480,517,517,332,517,517,517,517,517,
517,517,517,517,517,517,517,517,480,351,517,517,517,517,517,517,
517,517,517,517,517,517,517,516,360,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,480,295,221,185,480,332,480,332,480,332,480,
332,480,332,480,332,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,480,295,591,443,480,332,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_46_latin_ext_BITMAP_HEIGHT or STB_FONT_times_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_46_latin_ext(stb_fontchar font[STB_FONT_times_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_46_latin_ext_BITMAP_HEIGHT][STB_FONT_times_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_46_latin_ext_s[i] + stb__times_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_46_latin_ext_t[i] + stb__times_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_46_latin_ext_x[i];
            font[i].y0 = stb__times_46_latin_ext_y[i];
            font[i].x1 = stb__times_46_latin_ext_x[i] + stb__times_46_latin_ext_w[i];
            font[i].y1 = stb__times_46_latin_ext_y[i] + stb__times_46_latin_ext_h[i];
            font[i].advance_int = (stb__times_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_46_latin_ext_s[i] + stb__times_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_46_latin_ext_t[i] + stb__times_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_46_latin_ext_x[i] + stb__times_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_46_latin_ext_y[i] + stb__times_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_46_latin_ext_LINE_SPACING
#endif

