// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_47_latin_ext_BITMAP_HEIGHT        529
#define STB_FONT_times_47_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_47_latin_ext_NUM_CHARS            560

#define STB_FONT_times_47_latin_ext_LINE_SPACING          30

static unsigned int stb__times_47_latin_ext_pixels[]={
    0xeeec8000,0x71000003,0x1100000b,0x00000062,0x40053000,0x20014c1a,
    0x00350029,0x00260000,0x9aaa9800,0x00000001,0x08530000,0x00000000,
    0x10000000,0x000aa039,0x01000400,0x02000800,0x01000800,0x77440000,
    0x000000de,0x0007dd90,0x3eeea800,0x000a6000,0x06fff880,0x15db0000,
    0x0ea80000,0x00019d91,0x01bffee0,0x6c02ffdc,0x801f23ff,0xf7105ffb,
    0x4000009f,0x0000cec8,0x337bff6a,0x002dfeec,0x3ffa0000,0x23e4003f,
    0x0000002d,0x03fffe60,0x7d400000,0x000bd51d,0x2006cc00,0x0f40004a,
    0xd0002540,0x00058803,0x3ffff600,0x20000004,0x000006fd,0x00fffffc,
    0x00dfd710,0x07ffd400,0x07dc0000,0x3b620000,0x0003d900,0x001dffb0,
    0x8803fffa,0x01f27fff,0x2a0fffe8,0x004ffffd,0x009d3000,0x0dffdc40,
    0x013f6a20,0xfff10000,0xb0f90009,0x0000001b,0x003fff90,0xffc80000,
    0x00000eff,0xfa80f640,0x0f640000,0x0002fa88,0x17440fea,0xff980000,
    0x0000fffe,0x003f2000,0x7ffdc000,0xfc9805ff,0x00006fff,0x00007ff2,
    0x000026c0,0xf9003bea,0x7fc40005,0x3ff2001f,0x25ffe806,0x3ff2007c,
    0x7ffe5546,0xf9800004,0x3bf20005,0x1dd10002,0x3ee00000,0x0f90005f,
    0x000007b6,0x005ffd00,0x3b200000,0x000001ee,0x7dc3ff88,0xff980003,
    0xeffeccef,0x2ff40000,0x00001be6,0xbff74fe8,0xb8000000,0xf8800002,
    0x02ffd8af,0x37ffdd4c,0x05ff0000,0x6f740000,0x7cc0002e,0x01ff3005,
    0x00bfea00,0x10019710,0x003e4179,0x7fc01971,0x4400004f,0xd88002fe,
    0xf700003f,0xfb000005,0x1f20001d,0x00002fc8,0x007ff300,0x03500000,
    0x00000151,0xff75ffb8,0x7fdc0000,0x01ffffff,0x8eff9800,0x00001ff9,
    0xff987f50,0x2a000001,0x0000a881,0x6fc83f90,0x01bff600,0x001fcc00,
    0x3fff2000,0x1ba20006,0x000bfd00,0x00000ff2,0x0007c800,0x004fff80,
    0x003fe400,0x0000ffcc,0x00003ea0,0x40001ff0,0x07fe207c,0x3ee00000,
    0x80000004,0x3ff42ffc,0x7f400000,0x0002ffff,0x7ffffdc0,0x3200001e,
    0x005fffff,0x440fa000,0x9000006e,0x07fe85ff,0x501f9800,0x3ff2007f,
    0x09900006,0xff300000,0x7ec000bf,0x03fec002,0x00004f80,0x003e4000,
    0x027ff400,0x01bfe000,0x0001df50,0x0001b200,0x40001fa8,0x07fd407c,
    0x17600000,0x6c000000,0x3ffe24ff,0x54000001,0x0006ffff,0x05795100,
    0xfff10000,0x000001ff,0x00b200ae,0x93ff6000,0x0001fff8,0x03a200ec,
    0x001bff20,0x000044c0,0x00664c00,0x8006fc80,0x4c001ffe,0x00000005,
    0x800007c8,0x00004ffe,0x8801ffe2,0x000000ef,0xc800026c,0x07c80002,
    0x00005fd8,0x00003a20,0x0774c000,0x000013f2,0x00f776c0,0x00000000,
    0x0fbbae00,0x00080000,0x26000002,0x027e40ee,0x01000400,0x000dff90,
    0x03bff910,0x00000000,0x40017fcc,0x04002fff,0x80000000,0xe800007c,
    0x200004ff,0xd000fffa,0x0000005f,0x020000f3,0x403e4000,0x00002ffa,
    0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x006ffc80,0xfdabee80,0x00000001,0x001ff900,0x002fff88,
    0x00000b88,0x001f2000,0x013ffa00,0x1fff9800,0x0004fc80,0x000ba000,
    0x7c800000,0x006ff880,0x00000000,0x4cccccc4,0x40099999,0x99999998,
    0x26666219,0x09999999,0x4ccccc40,0x53001999,0x00000357,0x0157b953,
    0xca980000,0x480accdc,0x26666620,0x00999999,0x4cccccc4,0x75300199,
    0xff900035,0x0fa8000d,0x00000274,0x37fc4000,0x07ffcc00,0xbfffb100,
    0x00750001,0x000f9154,0x27ff4075,0x100055c4,0xfa805fff,0x7edc000e,
    0x5c172e2d,0x65440005,0x36201acd,0xfe803e41,0x4cc0002f,0x99999999,
    0x99999999,0xdb819999,0xffffffff,0x7edc01ce,0x0cefffff,0xffffffb7,
    0xb8039dff,0xeffffffd,0x37fee00c,0x999bffec,0x3fa60019,0xffffeeff,
    0x7100000d,0xfddffffd,0x1f117bff,0x3ffff6e0,0x01ceffff,0x7ffffedc,
    0x3ee00cef,0x9bffecdf,0xff901999,0x85d8000d,0x9800007b,0x5c001aba,
    0xfa8004ff,0x8f6c007f,0xf71004e9,0xffc980df,0x5c401f25,0x3ffa06fe,
    0x3ffffaa4,0x7fff000d,0x2002fd80,0xad98afe9,0x0f305ffa,0xdfffb500,
    0xb09ffffd,0x7007c83f,0xd8000dff,0xfffffffe,0xffffffff,0x207fffff,
    0x1fffffc8,0xfffc8800,0x3fff2201,0xc88001ff,0x74401fff,0x7ffe40df,
    0x4402ffff,0x4c0acffc,0x0002fffb,0x0de7ffdc,0x7ffffd44,0x7ffe4401,
    0xc88001ff,0x74401fff,0x7ffe40df,0xfc82ffff,0x35c0006f,0x70000364,
    0x7ffd9bff,0xff033333,0xff70007f,0x217c400d,0x3f6600fa,0xfd506fff,
    0x03e4bfff,0x1bffff66,0xff94ffe8,0x03dfffff,0x4409ffd0,0x3bea007f,
    0x03ffde80,0x7e4001f1,0xfeb980df,0xf905f72f,0x03ffe600,0x3ffa2000,
    0xaaacfffe,0xffcaaaaa,0x7fffc00f,0x1ffc0004,0x04ffff80,0x401ffc00,
    0xffd00ffd,0x5403999d,0xe8803fff,0xf90004ff,0x362003ff,0xff001fff,
    0xf80009ff,0x0ffd803f,0x999dffd0,0x00dff903,0xf50bf880,0xfd100005,
    0xffffc81b,0x3fea2fff,0xffb8002f,0x103ea005,0x7d54c05f,0xf73506ff,
    0x203e4bff,0x06fffaa9,0x3beb3ffa,0x6ffffecc,0x203ffc80,0xff7004fc,
    0x03fff201,0xfe9801f8,0xffe8802f,0x00f904fe,0x000bffe6,0x7feefdc0,
    0x1fb1001f,0x02fffe80,0x800ff400,0x0002fffe,0x3ee00ff4,0x3ffee04f,
    0x1fffa800,0x077fec00,0x1fffe880,0x02ffb800,0x005fffd0,0x5c01fe80,
    0x3fee04ff,0x37fe400f,0x77fdc000,0xfb00005f,0x3bffa01f,0x3ff21ccc,
    0xff98001f,0x2a17c004,0x1bff6007,0x7c97ffe0,0x81bff600,0xb82fdffe,
    0x5c02ffff,0x07fe02ff,0xc80bfee0,0x017406ff,0x8007ffea,0x900fffe8,
    0x3ffe200f,0x3fb00005,0x4003fffb,0x7fec00f9,0x7ec0002f,0x5fffb000,
    0x00fd8000,0xf101fff4,0xff8807ff,0xff88004f,0xdffb005f,0x1fec0001,
    0x02fffd80,0x2007ec00,0x3e203ffe,0x7fe403ff,0x3fa00006,0xff700001,
    0x07ffdc09,0x000fffd8,0xc800bfb0,0x004fb8bf,0x3a01bff2,0x801f25ff,
    0x3fa06ffc,0x3ff201ff,0x037e407f,0xff300df3,0x04ffd809,0xfff1017c,
    0xfff3000b,0xf801f20b,0x880007ff,0x03fffb5f,0x7ec01e80,0x6c0001ff,
    0xfffb000f,0x0fd80003,0x201fffc0,0x7ec04fff,0xf90000ff,0xffb805ff,
    0x7c40002f,0x3fffb003,0x00fd8000,0x3e01fffc,0x7fe404ff,0xff100006,
    0x3fa00007,0x3ffe203f,0x00fffd03,0x0007fcc0,0x019fff91,0x4037fe40,
    0x20005ffd,0x3fa06ffb,0x7ffc404f,0x03ff101f,0x7f401fdc,0x17ff400f,
    0xffd807e0,0xffd8000f,0x007c82ff,0x0003fffe,0x3ff63f90,0x00e4001f,
    0x0007fff6,0x36001fb0,0x40001fff,0x3fe200fd,0x2fff403f,0x009fff70,
    0x077ffcc0,0x006fff98,0x36009900,0x40001fff,0x3fe200fd,0x2fff403f,
    0x001bff20,0x0037fdc0,0x403fff80,0xfff04fff,0x4f98000f,0x20003000,
    0xfd806ffc,0x3ee0005f,0x13ffa06f,0x40bfff20,0x17e402fb,0x1013ff20,
    0x0f880fff,0x009fff70,0xffff7f90,0x3a007c81,0x20000fff,0x3fff65f8,
    0xfd800001,0x6c0001ff,0xfffb000f,0x0fd80003,0x2027ff40,0xff104ffe,
    0xd80001ff,0xffd04fff,0x2600007f,0x3fffb005,0x00fd8000,0x3a027ff4,
    0x7fe404ff,0xfff00006,0xf880005f,0x7ff403ff,0x06fff885,0x02ee9800,
    0xff900000,0x0bffb00d,0x037fdc00,0xf5009ffd,0x1eda89ff,0x2201fd80,
    0x7d400fff,0x883d405f,0x4000ffff,0x9fffb4fa,0x3f6007c8,0x320001ff,
    0x07fff60f,0x3ff60000,0x7ec0001f,0x3fffb000,0x00fd8000,0x3e037fe4,
    0xfff702ff,0xff50000d,0xfff881ff,0x0200000f,0x00fffec0,0x9003f600,
    0xfff80dff,0x037fe402,0x7fffd400,0xffe80005,0x427ff404,0x0005fff9,
    0x8803baa0,0x40009bba,0xfd806ffc,0x3ee0005f,0x13ffa06f,0x457ffe60,
    0x3fa002ee,0x013fee00,0x9b00fff6,0x01bffee0,0x7fdcbf30,0x801f20ff,
    0x0002fffd,0xfffd89f1,0x6c007001,0x40001fff,0xffb000fd,0xfd80003f,
    0x17ffcc00,0x3606ff98,0x80005fff,0x641ffff9,0x00005fff,0x3fffb000,
    0x00fd8000,0x9817ffcc,0xffc806ff,0xffe80006,0x40000fff,0x7fc06ffc,
    0x6fff982f,0x9f910000,0xfdffb301,0x32007dff,0xffd806ff,0x3fee0005,
    0x013ffa06,0xdb93ffe2,0x80ff001d,0x7cc01ffe,0x80fc00ff,0x2005fffd,
    0x3fe60ef8,0x801f21ff,0x0001fffc,0xfffd81fb,0x20068801,0x0001fffd,
    0xfd8007ec,0x6c0001ff,0xeffa800f,0x007fec40,0x0009fffd,0x85ffff10,
    0x0004ffff,0xfffb0000,0x0fd80003,0x40effa80,0xc800ffd8,0x4c0006ff,
    0x04fffcdf,0x17ffcc00,0xf106ff98,0x70000fff,0x3fea017f,0x5fff710c,
    0x00dff900,0x4000bffb,0x3fa06ffb,0x7fff004f,0xfd009d30,0x403ffcc0,
    0x3d406ffe,0x009fffd0,0x7ffc0ff4,0xd801f23f,0x98000fff,0x1fffd84f,
    0x36006a80,0x40001fff,0xffb000fd,0xfd80003f,0x5dff3000,0x801bff93,
    0x0003ffff,0x449ffff0,0x0003ffff,0xfffb0000,0x0fd80003,0x35dff300,
    0x2001bff9,0x40006ffc,0x7fff89fc,0xeffa8000,0x007fec40,0x8000ffff,
    0x3fe603fc,0x01fff707,0xd806ffc8,0x2e0005ff,0x3ffa06ff,0x05fff004,
    0x1fb013ea,0x5017fea0,0x3e809fff,0x07ffff10,0x7fc0bf20,0x801f24ff,
    0xb0007ffe,0x3fffb01f,0x2006e880,0x0001fffd,0xfd8007ec,0x6c0001ff,
    0x99d1000f,0x30039bdd,0x0005ffff,0x997fffe0,0x8002ffff,0xaaaaaaaa,
    0x3ff602aa,0x7ec0001f,0xd99d1000,0xc80039bd,0x220006ff,0x0bfff66f,
    0x3bfe6000,0x00dffc9a,0x0007fff4,0x7e407fa8,0x5fff105f,0x806ffc80,
    0x00625ffd,0x3a06ffb8,0xff8804ff,0x80ffa01f,0x9ff901fc,0x17fff4c0,
    0x7fcc0d70,0x3fb802ff,0xc9bfffa0,0x1bffe007,0x6c13e600,0xaaaacfff,
    0x006ffcca,0x0007fff6,0x36001fb0,0x40001fff,0x3f9800fd,0x7ffd4000,
    0xfd00001f,0x7ffd4fff,0xecb8001f,0x3cffffff,0x007fff60,0x3001fb00,
    0x6400007f,0x2e0006ff,0x1bffea3f,0x333a2000,0xb001cdee,0x20001fff,
    0x7fe404fe,0x00fffe04,0xfb00dff9,0x7003e4bf,0x7ff40dff,0x06ff9804,
    0xfb807fdc,0x20bffb01,0x00fff9e8,0x7fdc05f3,0x2fcc01ff,0xc9ffffa0,
    0x17ffe007,0x6c03fa00,0xffffffff,0x006fffff,0x0007fff6,0x36001fb0,
    0x40001fff,0x3fc400fd,0x7ffd4000,0xfb00002f,0x7ffdcdff,0x7ec0002f,
    0xfd802fff,0x6c0001ff,0x03fc400f,0x1bff2000,0xfe87e800,0x260001ff,
    0xfb80003f,0xfa8001ff,0x0ffcc04f,0xc807fff0,0xffd806ff,0xfb801f25,
    0x13ffa06f,0x700bfee0,0x0bea05ff,0x2207ffe4,0x307ff8ae,0xfffa80bf,
    0x03be202f,0x64ffffb0,0x9fff1007,0x203fa800,0x2601fffd,0x3f6006fd,
    0x6c0001ff,0xfffb000f,0x0fd80003,0x0017fdc0,0x0ffffe60,0x7fff4000,
    0x0ffffea5,0xffff3000,0x07fff600,0x801fb000,0x00002ffb,0x4001bff2,
    0xfffb84fa,0x0ff10004,0x3ffe2000,0x5ffb8002,0x7fd40080,0x3ffe403f,
    0xf92ffec0,0x037fdc00,0xff00dffd,0x09ffb00b,0x7fd417e2,0x12fdaaef,
    0x09f50dff,0x7fffc471,0x2003fa02,0x1f26fffe,0x017ffcc0,0x2aaaffa0,
    0x1fffeaaa,0x32006c80,0x40001fff,0xff9000fd,0xfd80003f,0x7ffff400,
    0xcceeeeef,0x9ffff101,0x3ffe0000,0x3fffe23f,0x7fcc0004,0xfff9007f,
    0x0fd80003,0x7fffff40,0x1cceeeee,0x007ffc80,0xff101fb0,0xf70001ff,
    0x3a00005f,0xfb8003ff,0xf910007f,0xd807fffd,0xffd807ff,0xfb801f25,
    0x3fffa06f,0x007fee04,0xfd813ffa,0xfffffd00,0x9cffe83f,0x87b03fda,
    0xfb03ffff,0x3fffa005,0x7d401f25,0x7fd4006f,0xffffffff,0x6a801fff,
    0x0bfff200,0x001fb000,0x000bfff2,0xfb801fb0,0xffffffff,0xe82effff,
    0x80004fff,0x7c2ffff8,0x40005fff,0x9006fff8,0x80005fff,0x7fdc00fd,
    0xffffffff,0x3602efff,0xf98007ff,0x0ffff605,0x3ffffa00,0xcceeeeef,
    0x02ffdc01,0x007ffd40,0x3a5bfb30,0x3fe603ff,0x7fec03ff,0xfb801f25,
    0x3fffa06f,0x0ffdc0bf,0x203fff80,0xff9103fa,0xffd5017d,0x1ea019ff,
    0x2e13fffa,0x3ffe003f,0x5c01f24f,0x774003ff,0x99999999,0x8801fffd,
    0x3fff2006,0x03f40002,0x005fff90,0xf5007e80,0xffffffff,0xd83fffff,
    0x80005fff,0x741ffff9,0x40007fff,0x9006fff8,0x80005fff,0xfff5007e,
    0xffffffff,0xff303fff,0xfc8007ff,0x1bffe601,0x3fffee00,0xffffffff,
    0xfff102ef,0x3fff3000,0x83dfb100,0xfea83ffe,0x04ffffff,0x03e4bffb,
    0x740dff70,0xdeffbcff,0xf1000dff,0x06f805ff,0x099800c4,0xffc83e80,
    0x002fd45f,0x643ffff1,0x01ffb007,0x6c017dc0,0x01001fff,0x01fffe40,
    0xc801fa00,0x40003fff,0x22b9007e,0xccbaaaa9,0x7fe45ffd,0xf980006f,
    0xfffb87ff,0x3e20002f,0xff9006ff,0x7e80007f,0x2a62b900,0xfdccbaaa,
    0x3fffa65f,0x8805ffff,0xfffe806f,0xfffa8001,0xffffffff,0xff701fff,
    0xfff88005,0x82ff4402,0x00003ffe,0x0f927fec,0xd037fdc0,0x2eea29ff,
    0x7fcc0009,0x017dc00f,0x1ee00000,0xf13fffdc,0xfffa800d,0x7c403e47,
    0x1be2004f,0x00fffec0,0x7ffdc000,0x037c0003,0x007fff70,0xfb806f80,
    0x07fc4000,0x003ffff1,0x03fffc80,0x000bffff,0x8037ffc4,0x0003fffb,
    0x07dc037c,0x003fe200,0x005f7000,0x000bfff7,0x2aaa62b9,0x5ffdccba,
    0x20013fe0,0x3e602fff,0x0fffa05f,0x7ffb0000,0xff7003e4,0x027ff40b,
    0x0fff3000,0x00003f60,0xd017cc00,0x1fd15fff,0x4fffc800,0x7fd403e4,
    0x007f2001,0x000fffec,0x2fffcc00,0x009f3000,0x002fffcc,0xfa809f30,
    0x70f70004,0x4000bfff,0x2a06fff8,0x0001ffff,0x200dfff1,0x0005fff9,
    0x9f5013e6,0x641ee000,0x7f4000bd,0xffffffff,0x00ffffff,0x10003ee0,
    0x3fea01ff,0x0fff4000,0x7405fff0,0x400003ff,0x01f22ffd,0x3a03ffb8,
    0x200004ff,0xd1006ff8,0x5000000d,0xfff9807f,0x44001fdc,0x3e40ffff,
    0x10017f40,0x7fec00bf,0x0590001f,0x003fffe2,0x10017dc0,0x0001ffff,
    0xff880bee,0x20b90002,0x0001fffe,0xe803fff9,0x10006fff,0x2200dfff,
    0x0000ffff,0x7fc405f7,0x20b90002,0x5002ffff,0x999999bf,0xfffd9999,
    0x013ea007,0x3f203dc0,0x03fec005,0x7401fff3,0x400003ff,0x01f21ffd,
    0x3a02ffb8,0x400004ff,0x3e6005fe,0x2a000005,0xfff9003f,0xff90007f,
    0xa80f905f,0x0fe4004f,0x03fffb00,0x6401f300,0x88003fff,0x7e4000ff,
    0xf88003ff,0x17ff200f,0x4c07e600,0x88005fff,0xf9803fff,0x88003fff,
    0x32006fff,0x88003fff,0x3ff200ff,0x01f98005,0x200bffb5,0x3e6000fd,
    0xff8807ff,0x00b90002,0x7fc003fb,0x0bffea03,0x0003ffe8,0x1f237f40,
    0x200ffc80,0x00004ffe,0x30007fd4,0x800003df,0x3e2003fb,0xf88006ff,
    0x40f904ff,0x7cc006e8,0x7ffec005,0x405e8001,0x000efff8,0x2000ffa2,
    0x000efff8,0xf900ffa2,0x710039ff,0xfffb807f,0x3ff62002,0x3ffe6005,
    0x7fc4003f,0x3fe2006f,0x3a2000ef,0x7ffe403f,0x3fb8801c,0x8807ff80,
    0xffd8005f,0x2ffe402f,0x400fcc00,0xfa800ed8,0x2fffd406,0x527ffec4,
    0x3a072a00,0x3263e41f,0x7403fd82,0x800004ff,0x6c4003fd,0xd980003f,
    0xffb8002f,0x7fec004f,0x7441f205,0x17f4000f,0x07fff600,0x5007f900,
    0x8803ffff,0x20004ffa,0x401ffffa,0x8804ffa8,0xbcefffff,0x3ffccaaa,
    0x09ffd300,0x007ffd30,0x19ffff30,0x1bffe600,0x3ffff500,0x04ffa880,
    0xefffff88,0xfccaaabc,0x6ff8803f,0x8001fc80,0x6405fffa,0x8801cfff,
    0x75c003fb,0x20077401,0x89dffff8,0xaeffedfb,0xfff9803d,0x1f217e63,
    0x3e21bfff,0x05fff807,0x0ee88000,0x0befb800,0x05ff5400,0x7fffc400,
    0xffe8803f,0x7443e404,0x7fe4000d,0x7fffc000,0x1ffd3003,0x3fffe600,
    0xfeca9acd,0x980004ff,0x9acdffff,0x04fffeca,0x3ffff220,0xcfffffff,
    0x7fec4000,0x3f2a20ad,0x640001ef,0x880cffff,0x01dfffda,0xdffff980,
    0xffeca9ac,0x3f22004f,0xffffffff,0xd9800cff,0x37c401ff,0x3ffff000,
    0x7ffffc40,0xccaaabce,0xd30003ff,0x400bd303,0xfffffffc,0x09ffff93,
    0x3bfffe60,0x44f904fc,0xdecffffe,0x7fffd400,0xd9000001,0xfd710003,
    0x5333359b,0x0017fdb9,0x7e44ff40,0x2e622cef,0x7c801eff,0x6400174c,
    0x9801dfff,0xcdfffffd,0xfeeccccc,0x5c4006ff,0xffffffff,0x00001cff,
    0x3ffffee2,0x01cfffff,0xffdd7100,0x00037bdf,0xeffffda8,0x0003dfff,
    0x3fffae20,0xeffffeef,0x5c40000b,0xffffffff,0x10001cff,0xbdfffdd7,
    0xbff30037,0x07f90017,0x2fffe400,0x3ffff220,0xcfffffff,0x30c80000,
    0xf700039b,0x7cc1dfff,0x6d4003ff,0x3202deff,0x6fffecc7,0x3fffa203,
    0x004fffff,0x01dc9800,0xffdb9300,0x01579dff,0x442fc800,0xfffffffc,
    0x1f2002ef,0xffa8001b,0x81ffffff,0xffffffec,0xffffffff,0x003fffff,
    0x3332ea60,0x000000aa,0x56665d4c,0x0800000a,0x54400000,0x00000acb,
    0xccbaa880,0x000009ab,0x59997530,0x10000015,0x44000000,0x2a0001ff,
    0x8801ffff,0xdefffeeb,0x0000001b,0x02662000,0x00800018,0x00040310,
    0x00000000,0x01100000,0x00ee0000,0x00379751,0x00000620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0x7c40007f,0x10006fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64400000,
    0x10004fff,0x5bfffff9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffff2,
    0xffd000ef,0xffffffff,0xddd30001,0x2000000b,0x00019998,0x00040010,
    0x777776c0,0x0001eeee,0x06f76c40,0x26200000,0x00000099,0x26666666,
    0xeb800199,0x880004ee,0x20000999,0x000eeed8,0x00ccc400,0x98800000,
    0x80000199,0x0005eee8,0x0000cccc,0x86662000,0x00009998,0x02666200,
    0x22000000,0x0000eeed,0x00080020,0x00000000,0x0fffff60,0x3f200000,
    0xb00004ff,0x0001b005,0xffffffd0,0x00005fff,0x04ffffc8,0x7ffc0000,
    0x9300001f,0xfffffffd,0x003fffff,0x000fffe8,0x0ffffc40,0xffff9000,
    0x7c400009,0x00003fff,0x4fffc800,0xffd80000,0x360003ff,0x00003fff,
    0xb93ffe00,0x00000fff,0x007fffe0,0x3f200000,0x00004fff,0x00ee012a,
    0x0ef74400,0x3ea00000,0x000fffef,0x2fff4000,0x09f30000,0x40001362,
    0xeeeeeeed,0x200001ee,0x0ffffff8,0xff300000,0x3600005f,0x0fffffff,
    0xf88001fc,0xa80001ff,0x20001fff,0x1fffeff8,0xfff90000,0x000001ff,
    0x005ffe80,0xffff9800,0xd10000ff,0x00000bff,0xf91bfe20,0x4000005f,
    0x0002fffa,0xeff88000,0x00001fff,0x035c03ba,0x03ff5000,0x7fd00000,
    0x00013ff2,0x006ff980,0x20dfc800,0x00000fe8,0x20000000,0x0bff75fd,
    0x3ff20000,0xfd880003,0x0fffffff,0xfb8001fc,0xf900002f,0xfd80007f,
    0x000dff55,0xffd9ff30,0x40000009,0x0000eff8,0xff94fe80,0x7fc40009,
    0x50000007,0x05fe83ff,0x7fe40000,0x00000003,0x1bfeabfb,0x2ff98000,
    0x000017e4,0x000003db,0xffa85f70,0xf7000000,0x1000001f,0x7fd13fff,
    0x81a80000,0x200000a8,0x0ffcc4f9,0x2ff40000,0x7ff44000,0x0fffffff,
    0xfd8001fc,0x3fe00003,0x27cc0004,0x0000bfa6,0x0ffe47fb,0xfb800000,
    0xa800000f,0x007fd43f,0x005ff300,0x09f70000,0x000001ff,0x00004ff8,
    0x989f3000,0x200002fe,0x0df93ffd,0x000d8000,0x02f88000,0x00000bd1,
    0x000007fa,0x6fffffb8,0x7fe40000,0x0003ff42,0x1ba209d0,0x0df10000,
    0x3ffee000,0x0fffffff,0x7c4001fc,0x3e600004,0x04e80005,0x54000db1,
    0x005fa82f,0x03fb0000,0x40fe0000,0x540005e9,0x8000004f,0x01fcc0fd,
    0x17e60000,0xe8000000,0x000db104,0x7ffffc40,0x1a80001f,0x00000a88,
    0x01d801c8,0x017c4000,0x7ff40000,0x400002ff,0x3fe24ffd,0x3b80001f,
    0x00002c80,0x400003ae,0xfffffffd,0x01fc0fff,0x00002d40,0x2a0001b2,
    0x0003b803,0x0174c05d,0x0be20000,0x015c0000,0x70000762,0xf000000f,
    0x0000d505,0x0001d700,0x00ea0000,0xb80000ee,0x0005ffff,0x7f42ffc8,
    0x00800007,0x70000020,0x20000007,0x0004eee9,0x640ee980,0x0100004f,
    0xb0000040,0x7fc00001,0xffffffff,0x4001fc0f,0x74000009,0x00080000,
    0x006a0002,0x00000122,0x40000075,0x00002000,0x80000076,0x00039058,
    0x0001b000,0x00040000,0xed800001,0xd80000ee,0x3ffe24ff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e600000,0xffffffff,
    0x001fc0ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf903ba60,0xa8000009,
    0x80accdca,0x95500039,0x7301599b,0x372aa000,0x23980acc,0x99999998,
    0x44009999,0x99999999,0x88000001,0x99999999,0x4c400999,0x19999999,
    0x3fffffe2,0x7c0fffff,0x00000003,0x0566dd44,0x26620154,0x99999999,
    0x26666621,0x00999999,0x4cccccc4,0x26662199,0x10001999,0x33333333,
    0x00750003,0x57b95300,0x98000001,0x000abdca,0x6e54c000,0x988000ab,
    0x99999999,0x4cccccc1,0x22009999,0x09999999,0x33333333,0x00003333,
    0x88000000,0xfeeffffc,0x01362dff,0xeffffc88,0x362dfffe,0x3ff22004,
    0xdfffeeff,0xffdb9362,0xceffffff,0x7ffedc01,0xfb0cefff,0x1dffffff,
    0xdffffd10,0x3fffff6e,0x401cefff,0xffffffdb,0x3fffa0ce,0x0fffffff,
    0x7ffec1fc,0x880effff,0x706ffffe,0xdfffffff,0xb807d35b,0xfffffffd,
    0xffb70cff,0x9dffffff,0xfffdb803,0xd50cefff,0x07ffffff,0xffffb700,
    0x22009bff,0x30006feb,0xffddfffd,0x00001bff,0x3bbfffa6,0x000dffff,
    0xdfffd300,0x01bffffd,0x3ffffaa0,0x7ec4ffff,0xefffffff,0x3fffae03,
    0xffb94fff,0x9dffffff,0x99999988,0x40099999,0x99999998,0xfffb0019,
    0xffd51019,0x3f600bff,0xea880cff,0xb005ffff,0x51019fff,0x10bffffd,
    0x03fffff9,0x3fff9100,0x3ffffe60,0x82ffb800,0x1fffffc8,0xfffc8800,
    0xfffff901,0xf81fffff,0xfffff303,0x05ff7001,0x2217ffd1,0x3ffffeca,
    0x3fffee00,0x3ff2202e,0x88001fff,0x5401fffc,0x002fffff,0x01bff910,
    0x3ffff660,0x7fe44006,0x7fdcc0ac,0x3220002f,0x5cc0acff,0x20002fff,
    0x40acffc8,0x002fffb9,0x13ffffe2,0x3fffff90,0x27ff4400,0x5dffffb0,
    0x3ffff6e0,0x01ceffff,0x7ffffedc,0x3a200cef,0x3ee005ff,0x7f4405ff,
    0x3fee005f,0x7ff4405f,0x3ffee005,0x13fffe05,0x807ff000,0x5006fff9,
    0xffff80bf,0x1ffc0004,0xffffff50,0x3f81ffff,0x01bffe60,0xffd82fd4,
    0x1fffec01,0x0ffffa00,0x027fffc0,0x400ffe00,0x01fffff8,0x8007fe00,
    0x06fffca9,0x00fffea0,0x0013ffa2,0x200fffea,0x8004ffe8,0x8803fffa,
    0x26004ffe,0xe801ffff,0xc8007fff,0x7ffc405f,0xffc8801f,0x88001fff,
    0x9801fffc,0xa8004fff,0x3fe606ff,0xffa8004f,0x13ffe606,0x81bfea00,
    0x0002fffe,0x7e400ff4,0x1fc800ff,0x017fff40,0x7007fa00,0xffffffff,
    0x6403f81f,0xfc800fff,0x003ffb81,0xd8007ffb,0xfd002fff,0xe80005ff,
    0x3fe6001f,0xd0000eff,0x3f60001f,0xfff5006f,0xeffd8003,0x3fff5000,
    0x0effd800,0x03fff500,0x00effd80,0x005fffd0,0x000ffff5,0xfff003fb,
    0x7ffc001f,0x7fc0004f,0x6fff8803,0x41bee000,0x0006fff8,0x7fc41bee,
    0x3ee0006f,0x0bfff606,0x001fb000,0x8807fff1,0xfffd806f,0x07ec0002,
    0x7ffffd40,0x01fc0fff,0x100fffe2,0x03ffa0df,0x4003fd80,0xb001fffd,
    0x80005fff,0x7fc000fd,0xb0005fff,0x3f20001f,0xfff8806f,0xfff88004,
    0x4fff8805,0x5fff8800,0x04fff880,0x05fff880,0x00bfff70,0x0007fffe,
    0x3ffe00df,0x3ffa000f,0x7f40002f,0x1fffd801,0xd83f4000,0x40001fff,
    0x3fffb07e,0x207e8000,0x0001fffd,0xfc8007ec,0x017dc07f,0x000fffec,
    0x4c003f60,0x0ffffffd,0x7fe401fc,0x4417dc07,0x2a000fff,0x7fec003f,
    0xfffb001f,0x0fd80003,0x7ffffc00,0x07d8004f,0x01bfee00,0x0003fff6,
    0x2017ffe4,0x0000fffd,0xd805fff9,0x90000fff,0xf1005fff,0xf9001fff,
    0x7cc009ff,0x0ffff003,0x02fffd80,0x2007ec00,0x0004fffb,0xfffb87a8,
    0x87a80004,0x0004fffb,0x3ff607a8,0x7ec0001f,0x7fff1000,0xfd803f40,
    0x6c0001ff,0xaa98000f,0x401fc0fd,0x3a03fff8,0x05fff307,0x2001fc40,
    0xb001fffd,0x80003fff,0x6fc000fd,0x002ffffc,0xf70003ec,0xfffb80df,
    0x3fe60004,0xfff700ef,0x7fcc0009,0xfff700ef,0x7fcc0009,0xffd800ef,
    0xfff9802f,0x003f2006,0x2003fffc,0x0001fffd,0x3fa007ec,0xf00002ff,
    0x02fffe81,0xfe81f000,0xf00002ff,0x07fff601,0x001fb000,0xf9837fec,
    0x3fffb004,0x00fd8000,0x3e07d400,0x0dffb003,0x7fc413e6,0x01ec006f,
    0x007fff60,0x000fffec,0xf0003f60,0x07ffffab,0x20007d80,0x3e206ffb,
    0x40000fff,0xf884fffd,0x40000fff,0xf884fffd,0x40000fff,0xa804fffd,
    0xfd005fff,0x1be003ff,0x007fff80,0x000fffec,0xf9803f60,0x200007ff,
    0x1fffe60b,0x260b8000,0x00007fff,0x7ffec02e,0x07ec0001,0x05fff300,
    0x3f6003f9,0x6c0001ff,0x7d40000f,0xf9801fc0,0x01fc82ff,0x003bfffa,
    0x3f6001dc,0xffb001ff,0xfd80003f,0xe8afc000,0xb000ffff,0x7fdc000f,
    0x1bffee06,0x3ffea000,0x37ffdc0f,0x7ffd4000,0x37ffdc0f,0x7ffd4000,
    0x7ffc400f,0xfffe800f,0x003fa804,0xb001fffe,0x80003fff,0x3ff200fd,
    0x2000005f,0x0005fffc,0x17fff200,0x7ec00000,0x6c0001ff,0x7fec000f,
    0xb002fc46,0x80003fff,0x540000fd,0xb001fc0f,0x05f88dff,0x17ffffe4,
    0xffd80000,0xfffb001f,0x0fd80003,0xff32fc00,0x1f600dff,0x06ffb800,
    0x0017fff6,0x07fffe60,0x000bfffb,0x83ffff30,0x0005fffd,0x01ffff98,
    0x403fffd8,0x807ffff8,0x3fe000fc,0x7fec007f,0x7ec0001f,0x13fffe00,
    0xfff80000,0x2000004f,0x0004ffff,0x3fffb000,0x00fd8000,0x717ffcc0,
    0x7fec005f,0x7ec0001f,0x07d40000,0xff9800fe,0x100bee2f,0x1bfffffd,
    0xffd80000,0xfffb001f,0x0fd80003,0x3ea2fc00,0x7d804fff,0x1bfee000,
    0x004fffe8,0x2ffff880,0x0027fff4,0x17fffc40,0x0013fffa,0x0bfffe20,
    0x017ffea0,0x03fffff7,0x7fc005f8,0x7fec007f,0x7ec0001f,0x7ffff100,
    0x3e200000,0x00003fff,0x07ffff10,0x3f600000,0x6c0001ff,0xffd8000f,
    0xfb001fa6,0xd80003ff,0x7d40000f,0x36001fc0,0x401fa6ff,0xfffffff8,
    0x3f600004,0xffb001ff,0xfd80003f,0x642fc000,0x6c03ffff,0x3fee0007,
    0x0ffffe06,0x7fffc000,0x01ffffc4,0x4ffff800,0x001ffffc,0x04ffff80,
    0x401ffff0,0x04fffbfe,0xff000fea,0xffd800ff,0x7ec0001f,0x5ffff300,
    0x3e600000,0x00002fff,0x05ffff30,0x3f600000,0x6c0001ff,0xffa8000f,
    0x4004f9af,0x0001fffd,0x200007ec,0x001fc0fa,0x3e6bffea,0x3ffe6004,
    0x002fffff,0x01fffd80,0x003fffb0,0x4000fd80,0xffffb05f,0x0003ec03,
    0x3e60dff7,0x00002fff,0x7ccbffff,0x00002fff,0x7ccbffff,0x00002fff,
    0x200bffff,0xf303fffc,0x40ffff19,0x7fc000fd,0x7fec007f,0x7ec0001f,
    0x5ffff500,0x3ea00000,0x00002fff,0x05ffff50,0x3f600000,0x6c0001ff,
    0xffd0000f,0xd8001f9d,0x40001fff,0x540000fd,0x4001fc0f,0x00fceffe,
    0x7fffec40,0x0001efff,0x4007fff6,0x0001fffd,0x3e0007ec,0xffffd105,
    0x8001f601,0xff506ffb,0x200003ff,0x3ea7fffe,0x00001fff,0x7d4ffffd,
    0x00001fff,0x200ffffd,0xf906fff9,0x40bfff63,0xfff8005f,0x7ffec007,
    0x07ec0001,0x01ffffa8,0xfff50000,0x2000003f,0x001ffffa,0xfffb0000,
    0x0fd80003,0xffff5000,0xfffb000b,0x0fd80003,0x207d4000,0xffa8003f,
    0x2a0005ff,0xfffffffe,0xfffb0004,0x3fff6003,0x07ec0001,0xf8817e00,
    0x0fb06fff,0x837fdc00,0x002ffffa,0x4dfffb00,0x002ffffa,0x4dfffb00,
    0x002ffffa,0x0dfffb00,0x407fff40,0x17ffea6e,0x3e000bea,0x7ec007ff,
    0x6c0001ff,0xffff300f,0x26000005,0x0002ffff,0x5ffff300,0x36000000,
    0x40001fff,0x3a0000fd,0xd8002fff,0x40001fff,0x540000fd,0x8001fc0f,
    0x0002fffe,0xffffffb8,0xffd8005f,0xfffb001f,0x0fd80003,0x2a02fc00,
    0x7d85ffff,0x1bfee000,0x01ffffcc,0x5fffe800,0x00ffffe6,0x2ffff400,
    0x007ffff3,0x17fffa00,0x43fffc80,0x7fffc4f9,0x40007ec0,0x6c007fff,
    0x40001fff,0xfff100fd,0x2000005f,0x002ffff8,0xffff1000,0x20000005,
    0x0001fffc,0x500007ec,0x32000fff,0x40001fff,0x540000fd,0x8001fc0f,
    0x00007ffa,0x3fffff22,0x7fec004f,0xfff9001f,0x0fd80003,0x5c02fc00,
    0x3ec3ffff,0x0dff7000,0x013fffe2,0x1ffffc00,0x009ffff1,0x8ffffe00,
    0x004ffff8,0x07ffff00,0x237ffcc0,0x7ffec1fc,0x40017e22,0x6c007fff,
    0x40001fff,0x3ffe00fd,0x2000003f,0x0003ffff,0x0ffffe00,0x7e400000,
    0x6c0002ff,0x7f40000f,0xfff90004,0x0fd80005,0x207d4000,0x3fa0003f,
    0xe9800004,0x002fffff,0x4007fff6,0x0002fffc,0x3e0007ec,0xffffb005,
    0x70003ec5,0x7ff40dff,0xf880004f,0x7ff42fff,0xf880004f,0x7ff42fff,
    0xf880004f,0x74002fff,0x21be1fff,0x3ea5fffa,0xffff0002,0x1fffc800,
    0x007ec000,0x000bfffd,0x2ffff400,0xffd00000,0x000000bf,0x000bfff2,
    0xb0000fd0,0x3f20001f,0x740002ff,0x0fa80007,0xfb0001fc,0x64000001,
    0x2005ffff,0x9001fffd,0x80005fff,0x05f8007e,0x43ffffa0,0x3ee0007d,
    0x3fff606f,0xff980005,0x7ffec1ff,0xff980005,0x7ffec1ff,0xff980005,
    0x7dc001ff,0x207f33ff,0x1fb0ffff,0x1fffe000,0x05fff900,0x200fd800,
    0x0007fffc,0x1ffff200,0xffc80000,0x0000007f,0x0007fff9,0x440007e8,
    0x3f20005f,0x740003ff,0x0fa80007,0xf88001fc,0x40034005,0x2007fffd,
    0x9000fffd,0x80007fff,0x05f8007e,0x3bfffe20,0x2e0007d8,0x3ff206ff,
    0xf980006f,0xfffc87ff,0xff980006,0x6fffc87f,0xfff98000,0xfff88007,
    0x3f201f96,0x005f8bff,0x001fffe0,0x0005fff9,0x7fc407e8,0x000001ff,
    0x003ffff1,0x3ffe2000,0x8000001f,0x0003fffb,0x2e00037c,0x3ee0002f,
    0x7c0003ff,0x0fa80006,0xfb8001fc,0x8003c002,0xb001fffe,0x7dc00fff,
    0x7c0003ff,0x005f8006,0x6effffcc,0x3fee0007,0x3fffe205,0x7fe40001,
    0xffff883f,0x7fe40001,0xffff883f,0x7fe40001,0xffb0003f,0x7cc0df3f,
    0x002faeff,0x001fffe0,0x0007fff9,0xffc807e8,0x9300005f,0x005fffc8,
    0xffc89300,0x9300005f,0x017ffe60,0x0004f980,0x26000374,0x20005fff,
    0xa80004f9,0x8001fc0f,0x01f8006e,0x00fffc80,0x400dffb0,0x0005fff9,
    0x3e0013e6,0xfffa8005,0x2e0007ff,0x7fdc04ff,0x3e20005f,0x3fee06ff,
    0x3e20005f,0x3fee06ff,0x3e20005f,0x2a0006ff,0x403fefff,0x007efffe,
    0x003fffc0,0x000fffee,0xff100df0,0x880005ff,0x7fffc40e,0x07440002,
    0x00bfffe2,0x2201d100,0x0000ffff,0x5c0005f7,0x7c40003f,0x70000fff,
    0xf500005f,0xb8003f81,0x05f8003f,0x007ffa80,0x88017ff6,0x0000ffff,
    0xbf0005f7,0x3fff2000,0x3f20007f,0xfffe802f,0xfff90001,0x1fffe803,
    0x3fff9000,0x01fffe80,0x03fff900,0x7fffc400,0x7ffe400f,0x7fc0005f,
    0x7fcc007f,0x3e60005f,0xffff7004,0x81740001,0x000ffffb,0x7fdc0ba0,
    0x3a0000ff,0x1fffe402,0x007fc400,0x0006f880,0x007fff90,0x0001ff10,
    0x03f81f50,0x80037c40,0x7e4001ff,0x205dc45f,0x64004ffd,0x88003fff,
    0x6f8000ff,0x3fff6000,0x1ff20007,0x02fffcc0,0x01fffc40,0x002fffcc,
    0x401fffc4,0x8005fff9,0x0003fff8,0x805fffd8,0x002ffff9,0x007fffc0,
    0x01ffff10,0x800bee00,0x001ffffc,0x3f202744,0x44001fff,0x7ffe404e,
    0x2744001f,0x077ffc40,0x007fd100,0xfd77dfb3,0x3e200005,0x22000eff,
    0x500003fe,0xb303f81f,0x05fd77df,0x007ffe00,0x3a0fff44,0x07ff45ff,
    0x3bffe200,0x0ffa2000,0x001be200,0x407ffe88,0x03fd80c9,0x00bffee0,
    0x005ffd88,0x800bffee,0x2005ffd8,0x2002fffb,0x0005ffd8,0x005fff50,
    0x0001fffa,0x0003fffe,0x0007fff9,0xc8001ff1,0x400bffff,0xf9003fa8,
    0x88017fff,0xff9003fa,0xa88017ff,0x3fea003f,0x7d4401ff,0xfff9004f,
    0x00009fff,0x01ffffa8,0x0027fd44,0x3f81f500,0xffffff90,0x7ffc0009,
    0x3ffd802f,0x3e1ffff8,0xff50002f,0xfa8803ff,0xff30004f,0x7ff98000,
    0x8867ffc0,0x74c000ef,0xfe9804ff,0xfe98003f,0xffe9804f,0xffe98003,
    0x3ffe9804,0x7ffc0000,0x09ff7000,0xffff8800,0x7ffc4001,0x3fa2000e,
    0xfff50003,0x95357bff,0xa8005ffd,0xabdfffff,0x02ffeca9,0x7ffffd40,
    0xfeca9abd,0xff98002f,0xca9acdff,0x2004fffe,0x05fffffb,0xfff30000,
    0xd95359bf,0x00009fff,0x81fc0fa8,0x05fffffb,0x7ffffc00,0xff530ace,
    0x3fff207f,0x0004fa8e,0x66ffffcc,0xfffeca9a,0xffd10004,0x7d400039,
    0x3fffa207,0x0000dfcf,0x415bffb1,0x01effca8,0x37ff6200,0x3ff2a20a,
    0x3620001e,0x2a20adff,0x0001effc,0x2005fc80,0x20002ff8,0x1effffea,
    0x7fffd400,0x27fd4401,0x3fae2000,0xefffffff,0xd710000b,0xffffffff,
    0x2200017d,0xffffffeb,0x0000beff,0x3ffffee2,0x01cfffff,0x02effc80,
    0x7dc40000,0xffffffff,0x800001cf,0x901fc0fa,0x00005dff,0xfffb513f,
    0x01bfffff,0x7fffff44,0xf7100004,0xffffffff,0xdd00039f,0x9dffffff,
    0x301ee000,0x007bfffb,0x3fff6a00,0x03dfffef,0x3ff6a000,0x3dfffeff,
    0x3f6a0000,0xdfffefff,0x26000003,0x03f4002f,0xfffffd80,0x00efffff,
    0x9bffff30,0xfffd9535,0xa8800009,0x001abccb,0x665d4400,0x400001ab,
    0x1abccba8,0xba980000,0x000aaccc,0x00000000,0x59997530,0x40000015,
    0x00009818,0xb981c000,0x2000abcc,0x0000acb8,0x99975300,0x00000155,
    0x00140000,0x88000001,0x0000acba,0xacba8800,0x88000000,0x0000acba,
    0x20012000,0x0000002a,0xfffb8800,0xcfffffff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54c00000,0x00aacccb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00005300,0x00040010,
    0x20999880,0x80000998,0x0005eee9,0x00333300,0xb9800000,0x26620000,
    0x99999999,0x99999999,0x00009999,0x00003331,0x00400200,0x33100000,
    0x22000013,0x0000bcca,0xaccdcaa8,0x40003980,0x00001998,0x00040010,
    0x06f26000,0x00400100,0x26662000,0x00800001,0x2a200020,0x2a80acdb,
    0x03ff5c40,0x4016c000,0xf700000d,0x1fffc1ff,0x7fff4000,0xd800003f,
    0x00003fff,0xfffea800,0xfff50004,0xffffffff,0xffffffff,0x10009fff,
    0x0007ffff,0x8803d000,0x20000005,0x0001ffff,0xfdabefa8,0xffc88003,
    0xdfffeeff,0x88001362,0x0003ffff,0x3a805a80,0xbd300000,0x4c001fb3,
    0x0025400d,0x3fffa200,0x74400001,0x2002cc00,0xfffffffb,0x103e9ade,
    0x00fffff9,0x209f3000,0x200004d8,0x3fe62ffd,0xffa80006,0x0000fffe,
    0x005ffe80,0x0cf80000,0xf70005f5,0x9999ddff,0x9999ffff,0x009ffffb,
    0x1fffff90,0xfa800000,0x0005d103,0x3ffe6000,0x3fa80002,0x36003fe8,
    0xa880cfff,0x005ffffe,0x3fffff20,0xed800000,0x0000f700,0x4fe87f40,
    0xa80f6c00,0x8800000f,0x00004fff,0x3f501fc8,0x2fffa200,0xfffd9510,
    0x3eaa607f,0x000007ff,0x7f441bf9,0x3fa00000,0x000ffd45,0xffc9ff40,
    0xe8800004,0x000000ff,0x0d903ea0,0x403ff700,0x3a607fff,0x7fcc004f,
    0x0004ffec,0x4c4fe800,0x0000006f,0x0000fff2,0x3f203fe2,0x7ff4400f,
    0x3ffee005,0x9ff10005,0x00009ffd,0xfc85ff30,0xf9000002,0x20017ec9,
    0x1fdc3ff8,0xff300000,0xf100000d,0x004fa87f,0xfb007ff6,0xffb007ff,
    0x2200000f,0x3fe89fff,0x3fe20000,0x00027e40,0x3fea17dc,0xf9800000,
    0x0000002f,0x003ea1b2,0xff801f90,0x02f4407f,0xffc8ff60,0x4c000001,
    0x1ff98eff,0x3a000000,0xf700004f,0x807ff609,0x8004fff9,0xb0006ffa,
    0x00ffe47f,0xa7fe4000,0x000006fc,0x00010bfe,0x37dd3fee,0x7d400000,
    0xb800000f,0x0ffb8dff,0x007ff700,0x3200fff6,0x000007ff,0x1bffffee,
    0x07f30000,0x880001fb,0x00bd102f,0x017ea000,0x0f980000,0x264002ec,
    0x403fffc0,0x0bea005a,0x000017ee,0x3fffff60,0x20000005,0x200005f9,
    0x1ffb05fc,0x01bffe20,0x8006fb80,0x05fa82f9,0xfff88000,0x00001fff,
    0x0001ff50,0x7fffff40,0x90000002,0x2000007f,0x03fffffe,0x8003ffa0,
    0xffb803fd,0x74000007,0x0002ffff,0x02f835c0,0xd801c800,0xf7000001,
    0xe8000000,0x002fc9ae,0xfff802c8,0x20068807,0x00ba602e,0xfff10000,
    0x000001ff,0x000075c0,0x3220ff90,0x07fff602,0x000fd000,0x0174c05d,
    0x7ffdc000,0x2000005f,0x400007fe,0x006ffffa,0x02ec0000,0xfff98000,
    0x3fe2006f,0x0fea000f,0x001ffee0,0x9ddd3000,0x03900000,0x020000b1,
    0x00000080,0x00000072,0x02effc88,0xff001300,0x400a00ff,0x0048801a,
    0xeeeb8000,0x40000003,0x5c00000d,0xfb8004ff,0xa80004ff,0x400cc007,
    0xb0000048,0x00001ddd,0x001bfe60,0x07bbb600,0x3a000000,0xd9000000,
    0x7cc005dd,0x3e2002ff,0x07ffb803,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000310,0x001fffe0,0x00000000,0x00000000,0x00000000,
    0x0013ffe6,0x0005fffd,0x000003e0,0x00000000,0x7fec0000,0x00000004,
    0x00000000,0x40000000,0x4006fff8,0x7ffb803d,0x75100000,0x8550159b,
    0x99999998,0x44009999,0x99999999,0x66dd4401,0x4c42a80a,0x99999999,
    0x4cc40099,0x21999999,0x99999998,0x44009999,0x99999999,0x7fff8001,
    0x2a600000,0x8000abdc,0x19999998,0x33331000,0x00033333,0x80000930,
    0x3004fffc,0x0000ffff,0x2600005c,0x99880004,0x99999999,0x99999999,
    0x40009999,0x0003fff8,0x00009300,0x26666666,0x99999999,0x00999999,
    0x26666662,0x99999999,0x20999999,0x000efffe,0xfff70077,0xff700000,
    0x5bdfffff,0xffdb87d3,0xceffffff,0x7ffedc01,0x700cefff,0xdfffffff,
    0xdb87d35b,0xffffffff,0x7edc01ce,0x0cefffff,0xffffffb7,0xb8039dff,
    0xeffffffd,0x7ffc000c,0x74c00007,0xfffeefff,0xfd5000df,0x007fffff,
    0xfffffb70,0xb00009bf,0xe800001f,0xfc805fff,0x000005ff,0x007ec000,
    0x3fffea00,0xffffffff,0xffffffff,0xb98804ff,0x099bfffe,0x03f60000,
    0xffd91000,0xffffffff,0xffffffff,0x7ffd407f,0xffffffff,0xffffffff,
    0x3ffff20e,0x2e00002f,0xfff907ff,0xd105dfff,0x32a217ff,0x103ffffe,
    0x03fffff9,0x3fff9100,0x85fff440,0xffffeca8,0xffff9103,0xf910003f,
    0x7e4403ff,0x8001ffff,0x001fffc8,0x001fffe0,0x567fe440,0x17ffdcc0,
    0x3fffea00,0xf910002f,0x200001bf,0x00003ff8,0x077fffd4,0x009ffff0,
    0x44000000,0x5c0003ff,0xccceefff,0xcccffffc,0x04ffffdc,0xfffffff8,
    0x00005fff,0x00007ff1,0x57fffecc,0xcaaaaaaa,0x2e04ffec,0xcccdefff,
    0xfecccccc,0x7f441fff,0x000dffff,0x207ffb80,0x6c02effa,0x7fec01ff,
    0x7fffc03f,0x1ffc0004,0xb007ff60,0xff807fff,0x7c0004ff,0xffff003f,
    0x3ff80009,0x3fffc000,0x7ffd4000,0x4ffe8803,0x7fffc400,0x3fe0001f,
    0x3ee00001,0x2600006f,0x1ffffeae,0x03ffff88,0x20000000,0x40006ffb,
    0x3fe01ffb,0x13fa607f,0x3ff26660,0x0000999e,0x000dff70,0x06fffa80,
    0xf9027e40,0x7fc4001b,0xfff104ff,0x0009ffff,0x3607ffb8,0x7fdc00df,
    0x07ffb003,0x002fffe8,0xf700ff40,0x3ff6007f,0x17fff403,0x007fa000,
    0x0017fff4,0x00007fa0,0x8000ffff,0x4001fffa,0x2000effd,0x00effff9,
    0x0001fd00,0x017fffc0,0xe8874c00,0x7cc1ffff,0x00002fff,0x3ffe0000,
    0x3f20002f,0x03fffc00,0xfb0017a2,0x200000bf,0x0002ffff,0x01bffe60,
    0x06c81760,0x06fffd80,0x7fffffcc,0xf70002ff,0x00ff20ff,0xb0007ff4,
    0xfffd807f,0x07ec0002,0x4001ffd0,0x7fec03fd,0x7ec0002f,0x5fffb000,
    0x00fd8000,0x03fffc00,0x09fff100,0x0bfff100,0x5fffff80,0x001fb000,
    0x3fffea00,0x07d40005,0x507fffec,0x0005ffff,0x3ea00000,0x20005fff,
    0x7fff804c,0x7c005a80,0x800003ff,0x005ffffa,0x1bffe200,0x2d816e00,
    0x7fffdc00,0xfffd8801,0x001effff,0x7ec3ffdc,0x1fff1003,0x201fd400,
    0x0001fffd,0xff8807ec,0x0fea000f,0x003fffb0,0xb000fd80,0x80003fff,
    0x7c0000fd,0x360007ff,0x90000fff,0x7c005fff,0x004fffff,0x200007d8,
    0x00fffffe,0xfb817a00,0x3ffea6ff,0x0000001f,0xfffffd00,0x00b20001,
    0x2201fffe,0x3ffe6006,0xfe800001,0x0000ffff,0x00dfff10,0x00740b10,
    0x07ffff30,0xffffea80,0x2e004fff,0x0bf627ff,0x02fff980,0xfb00fe20,
    0xd80003ff,0x5fff300f,0x201fc400,0x0001fffd,0xfd8007ec,0x6c0001ff,
    0x7fc0000f,0xff70007f,0x7cc0009f,0xbf000eff,0x005ffff9,0x300007d8,
    0x09fff9bf,0x700fe200,0x3fe63fff,0x000002ff,0xfcdf9800,0x130004ff,
    0x00ffff00,0x7ffb800a,0xdf980000,0x0004fffc,0x00dfff10,0xe800d000,
    0x20005fff,0xfffffffb,0x2fff7005,0x44002fe8,0x6c006fff,0x0fffec03,
    0x403f6000,0x4006fff8,0x7ffec03d,0x07ec0001,0x01fffd80,0x0007ec00,
    0x001fffe0,0x003fffe2,0x09fffb00,0x7fff57e0,0x01f6001f,0x7c4fe400,
    0xf70007ff,0x27ff9007,0x002ffff8,0xfc800000,0x007fff89,0x3fffc000,
    0x7fec0000,0xfc800006,0x007fff89,0x0dfff100,0xc8000000,0x0000ffff,
    0x7ffffe44,0xfffb804f,0xd0003fe8,0x2001dfff,0x7ffec03b,0x07ec0001,
    0x01dfffd0,0xffb00ee0,0xfd80003f,0x3fffb000,0x00fd8000,0x03fffc00,
    0x037ffdc0,0x7fffd400,0xfd15f800,0x36001fff,0x6f880007,0x000bfff6,
    0x7f401bf6,0x00ffffe6,0xf1000000,0x017ffecd,0xffff0000,0xfff00000,
    0xf8800009,0x00bfff66,0x1bffe200,0x00000a80,0x00bfffe6,0xfffe9800,
    0x7fdc02ff,0x001fffef,0x2fffffc8,0xfffb0000,0x0fd80003,0x3fffff20,
    0xffb00002,0xfd80003f,0x3fffb000,0x00fd8000,0x03fffc00,0x02fffec0,
    0x7fffcc00,0x3e65f801,0xfb006fff,0x47f70000,0x8006fffa,0xfc801ffb,
    0x017fffa6,0xf7000000,0x037ffd47,0xffff0000,0xff880000,0x5c00002f,
    0x1bffea3f,0x3ffe2000,0x00076006,0x2ffff440,0xffc80000,0x7fdc05ff,
    0x00efff9f,0x7ffff440,0x6c0000df,0x40001fff,0x3fa200fd,0x000dffff,
    0x00fffec0,0x4003f600,0x0001fffd,0x200007ec,0xe8007fff,0x80004fff,
    0x802ffff8,0x7fffd45f,0x0007d804,0xfffe87e8,0x77fcc001,0xf927cc00,
    0x00000fff,0xfe87e800,0x000001ff,0x0000ffff,0x000fffa8,0x7f43f400,
    0x440001ff,0x3e006fff,0xff900001,0x01a001ff,0x01ffff60,0x3feefff7,
    0xff88005f,0x004fffff,0x007fff60,0x8801fb00,0x4fffffff,0x3fff6000,
    0x07ec0001,0x01fffd80,0x0007ec00,0x001fffe0,0x000ffffe,0x027fffc0,
    0x7ffe42fc,0x003ec03f,0x3ee13ea0,0xfe8004ff,0x87e600ef,0x001ffff8,
    0x9f500000,0x009fff70,0x1fffe000,0xdff90000,0x4fa80000,0x004fffb8,
    0x037ffc40,0x80001fc8,0x001ffffa,0x7ff4001e,0x9ffee01f,0x8004fffc,
    0xfffffff9,0xffd8002f,0x7ec0001f,0xffff9800,0x8002ffff,0x0001fffd,
    0xfd8007ec,0x6c0001ff,0x7fc0000f,0x7fcc007f,0xf00002ff,0xbf00bfff,
    0x07ffff60,0x6c0007d8,0xffff880f,0x7ffd4000,0xf90f901e,0x20000bff,
    0x03f60049,0x003fffe2,0x1fffe000,0x7ffd0000,0x0fd80000,0x00ffff88,
    0x3fffe200,0xcbaaaaaa,0x40001ffe,0x004ffff8,0x7e4000fc,0x3fee00ff,
    0x017fff47,0x7fffec40,0x2001efff,0x0001fffd,0xd88007ec,0xefffffff,
    0x3fff6001,0x07ec0001,0x01fffd80,0x0007ec00,0x001fffe0,0x003ffff5,
    0x1ffffa00,0x7f4417e0,0x0fb00fff,0xb02fcc00,0x70007fff,0xe885ffff,
    0x2ffff881,0x00744000,0x3f605f98,0x800003ff,0x00007fff,0x0007ffe2,
    0x3605f980,0x20003fff,0xfffffff8,0xffffffff,0x7fec0001,0x05f8006f,
    0x407ffa80,0x7fc47ffb,0xd50000ff,0x9fffffff,0x07fff600,0x001fb000,
    0xfffffea8,0xffb004ff,0xfd80003f,0x3fffb000,0x00fd8000,0x03fffc00,
    0x0bfffea0,0x7ffec000,0x2205f806,0xfb06ffff,0x00fe4000,0x000dfff3,
    0x4cfffff2,0x3ffee00e,0x0ba0000f,0x2601fc80,0x00006fff,0x0007fff8,
    0x001ffe60,0x4c03f900,0x20006fff,0x2206fff8,0x0001ffb9,0x007fffee,
    0x90007fe0,0xffb80bff,0x0efffa87,0x3ffee000,0xd805ffff,0x40001fff,
    0xf70000fd,0x0bffffff,0x003fffb0,0xb000fd80,0x80003fff,0x220000fd,
    0x4c007fff,0x0003ffff,0x00bfffd0,0xfffa80bf,0x0007d85f,0xffd00df1,
    0x3ee0003f,0x800edfff,0x001ffffc,0xf1002744,0x3fffd00d,0xfff80000,
    0x3ee00007,0x2200005f,0xfffe806f,0xfff10001,0x007e600d,0x1ffffc40,
    0x01fff800,0x803ffd10,0xff707ffc,0xc88000bf,0x04ffffff,0x000fffe4,
    0x80003f60,0xffffffc8,0x0fffe404,0x003f6000,0x000fffe4,0x80003f60,
    0x001ffff9,0x013fffe2,0x1ffffc00,0x7dc02fc0,0x03ec3fff,0xb802fb80,
    0x20005fff,0x005ffffa,0x02fffff2,0x8007f510,0xffb802fb,0x7c00005f,
    0x200007ff,0x00003ffd,0x3ee00bee,0xf10005ff,0x0f400dff,0x5fffe800,
    0x3fffe000,0x03ffd802,0xd00fffd8,0x00009fff,0x5fffffd3,0x017ffe40,
    0x0003f600,0x3ffffa60,0x3fff202f,0x07ec0002,0x02fffc80,0x0007ec00,
    0xdffffd88,0x3fffa001,0xff880004,0x05f802ff,0x45ffffb0,0xffd0007d,
    0xffffffff,0x001fffff,0x17fff4c0,0xfffff500,0xfd95357b,0xffd0005f,
    0xffffffff,0x001fffff,0x03fffc00,0x03fff000,0x7fff4000,0xffffffff,
    0x8000ffff,0x2006fff8,0xffb8001c,0x3e0000ff,0x0aceffff,0x007fff53,
    0x207ffff1,0x00dffffb,0xffffc800,0x0bfff205,0x000fd000,0x5ffffc80,
    0x00bfff20,0x6400fd00,0x40002fff,0xfed8007e,0xffffffff,0x5fffd805,
    0xfff98000,0x005f801f,0x6c3ffffa,0xcdfa8007,0xcccccccc,0x003fffec,
    0x07fff440,0xfffd7100,0x17dfffff,0x99bf5000,0x99999999,0x0007fffd,
    0x003fffc0,0x006ff880,0x3337ea00,0xcccccccc,0x8003fffe,0x2006fff8,
    0xfff98000,0x4fc0002f,0xfffffda8,0x5c00dfff,0xffffffff,0x3fffff26,
    0x001a2eff,0xc81ffff6,0x40003fff,0x4003407e,0x3207fffd,0x40003fff,
    0x3ff2007e,0x3f40003f,0x40000000,0x0006fffc,0x007fff98,0x7fc400bf,
    0x007d8eff,0x26000fd8,0x00007fff,0x20007ffd,0x1abcfba8,0x007ec000,
    0x00ffff30,0x03fffc00,0x03ffa800,0x003f6000,0x007fff98,0x006fff88,
    0x7fff4000,0x30380005,0x001579f7,0x1e000000,0x0ffff400,0x003fffb8,
    0x01e037c0,0x80ffff40,0x0003fffb,0xff70037c,0x6f80007f,0x80000000,
    0x001ffff8,0x01fffe40,0x7cc005f8,0x007ddfff,0x6c002fc4,0x02002fff,
    0x0002ffc4,0x400007b2,0xfd8005f8,0xf00002ff,0x20000fff,0x00000ffb,
    0xfb000bf1,0xf88005ff,0x000006ff,0x003ffff2,0x1fc80140,0xdd880000,
    0x001f8002,0x300fffc8,0x4000bfff,0x00fc04f9,0x807ffe40,0x0005fff9,
    0xf98013e6,0x260005ff,0xfc80004f,0xff70001e,0x7c4000bf,0x17e006ff,
    0x3fffea00,0x0fe4007f,0x2fffd400,0xf904fc80,0x7fcc000d,0xfc80003f,
    0xfffa8001,0xfff00005,0x3f60000f,0x3f200006,0xfffa8001,0x7ffc4005,
    0x41660006,0x002ffffa,0xff300950,0x9800009f,0x2000ffff,0xffa8005f,
    0x3fffe207,0x05f70000,0xfa8005f8,0x3ffe207f,0x5f70000f,0x7fffc400,
    0x05f70000,0x7fff9800,0x3fffa000,0xfff90001,0x002fc003,0x07ffffc8,
    0x8001be20,0xf801ffff,0x00bf507f,0x03ffe4c0,0x001be200,0x001ffff8,
    0x007fff80,0x0007ff00,0x8001be20,0x2001ffff,0x0006fff8,0x3ffe20ba,
    0x0b60004f,0x01fff260,0xffd71000,0x00ffc007,0x9017ff20,0x10007fff,
    0x1ff801ff,0x02ffe400,0x000ffff2,0x90003fe2,0x10007fff,0x980001ff,
    0x0001ffff,0x000bfff3,0x8007fff1,0x3f60006f,0x3f2007ff,0x3ff20003,
    0x07ff805f,0xd00007f5,0x640001ff,0x3f20003f,0xf80005ff,0xa80007ff,
    0x3200006f,0x3f20003f,0x3e2005ff,0xf90006ff,0x0dfffb01,0x000fcc00,
    0x00003ffb,0x400bff30,0xd1001fff,0xff8803ff,0x3a2000ef,0x1fff803f,
    0x03ffd100,0x00efff88,0x000ffa20,0x003bffe2,0x0003fe88,0x005f3750,
    0x017ffdc0,0x00bffb10,0x20006f88,0x1007ffe8,0x540003ff,0x6401ffff,
    0x001dd05f,0x000bfd00,0x0000ffc4,0x003ffff5,0x03fffc40,0x1fd93ea0,
    0x3ff10000,0x7ffd4000,0xfff1001f,0x0bf3000d,0x003ffff7,0xd001fa20,
    0x200000bf,0x3e004ffa,0xfd802fff,0xfff5003f,0xffa8803f,0x5ffff004,
    0x007ffb00,0x007fffea,0x0009ff51,0x00ffffd4,0x0013fea2,0x0007e200,
    0x009ffd30,0x0007ffd3,0x98000ff3,0xffb007ff,0xfff88000,0x20fe806f,
    0x40001fc8,0x0001ffc8,0x10001ff6,0x000dffff,0x00ffffcc,0x13eadfd0,
    0x07fd8000,0x7fffc400,0xffff5006,0x17fdc001,0x00ffffe2,0x8037f540,
    0x0001ffc8,0x00efea80,0x3bffffe0,0xfff530ac,0xfff98007,0xeca9acdf,
    0x3e004fff,0x0aceffff,0x007fff53,0xcdffff98,0xfffeca9a,0xff980004,
    0xca9acdff,0x0004fffe,0x0000d900,0x82b7ff62,0x01effca8,0x1cffe880,
    0x01fea000,0x009fff91,0x3ffff220,0x6fe402df,0x20000dfd,0x000befe8,
    0x09fff910,0x3fff2200,0x44002dff,0x01dffffd,0x0bf7bf90,0x3ff22000,
    0xf910004f,0x405bffff,0xceffffe9,0xeccccccc,0x7f40fffe,0xcccccfff,
    0xedcccccc,0x4405ffff,0x0000befe,0x056ffe40,0x36a27e00,0xffffffff,
    0xf710000d,0xffffffff,0x9f80039f,0xfffffda8,0x0000dfff,0xffffff71,
    0x0039ffff,0x7ffdc400,0xcfffffff,0x54400001,0x400000ed,0xfeffffda,
    0xe8003dff,0xeffffffe,0x40f70004,0xfffffffc,0xfffd000e,0x1fffffff,
    0x00001980,0x7fe40000,0x00efffff,0xffffffd0,0xd801ffff,0xfffffffe,
    0x764405ff,0xf900002d,0x1dffffff,0x3ffffa00,0x10ffffff,0xfffffffd,
    0xffffffff,0xa8bfffff,0xffffffff,0xffffffff,0x03ffffff,0x00000000,
    0x2e607000,0x0000abcc,0x3332ea60,0x070000aa,0x02af32e6,0xcba98000,
    0x0000aacc,0x665d4c00,0x00000aac,0x00005730,0x15975100,0x00000000,
    0x00000280,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00026666,0x00333100,0x33330000,0x99800001,0x00000019,
    0x005c0066,0x00666620,0x7b951000,0x4c000015,0x99980999,0x01999999,
    0x4cc40000,0x26200001,0xd5000099,0x7ddddddd,0x2004c000,0x32000001,
    0x00002eee,0x00040010,0x4ccccccc,0x99809999,0x19999999,0x40066000,
    0x2660000b,0x00c00099,0x30000030,0x00001333,0x077ffc40,0xfff30000,
    0x4000005f,0x000ffff8,0x1fffec00,0xfa800000,0x8003d400,0x0001fffe,
    0x7ffffecc,0x000dffff,0x03fffe20,0xffffff91,0xdfffffff,0xf9800059,
    0x80002fff,0x000ffff8,0xdddfff70,0xb88007dd,0x3980dfff,0xff300000,
    0x00000dff,0x01b1007a,0xfffec880,0x82dfffff,0xffffffec,0xf50001ef,
    0x0007a801,0x003bffe6,0x07b003d0,0xfff88000,0x2000000f,0x0001fffb,
    0x37ffff40,0xff700000,0x2000003f,0x00005ffe,0x37bff100,0x0017f6e6,
    0x0027ffc4,0x435bff90,0x02fffeb9,0x03fff700,0xeffffea8,0xfffedccc,
    0xffb0000d,0x50000dff,0x40003fff,0x00004ffb,0x9ffffffb,0x00001641,
    0x3fffffe8,0x3fa80000,0x80007d10,0x03ffffe9,0x07ffff90,0x7bff1000,
    0x017f6e63,0x01fffb80,0x441bfd80,0x00001fda,0x000fffdc,0x0bff6000,
    0x7ff50000,0x00007ffd,0x000bff60,0x0ffe8800,0xf5000000,0xffffffff,
    0x7fcc0001,0xffe98006,0x4ffe8803,0x02ffd800,0x40bfff70,0x003ffffc,
    0x7ff5ffd4,0x7fec0003,0x7fdc0002,0xbf880004,0xcfffffd9,0x800000fd,
    0xffe98efa,0xfd800000,0x000374c5,0x006fffb8,0x0003bff6,0xfffffa80,
    0x0000ffff,0x4000bffa,0xfeeffff9,0x800005ff,0x00002ffd,0x001ffc40,
    0xd897f400,0x400000ff,0x00003ff8,0x002ff980,0x3ff20000,0x001fffff,
    0x001ffa80,0x8007ffea,0x000effe8,0x54007ff1,0x7d405fff,0x3a003fff,
    0x01ffb12f,0x0027fc00,0x0027fdc0,0x3faa1d40,0x0003ffff,0x6c41df00,
    0x9800004f,0x1ff98eff,0xfff50000,0x13fe600b,0x7fe40000,0x001fffff,
    0x000ffe20,0xffffff70,0x000001df,0x000007ff,0x00009f50,0x9f903f70,
    0x4fa80000,0x2a000000,0x0000005f,0x0677fecc,0x07f70000,0x013ffe20,
    0x013ffe20,0x260027d4,0xfd805fff,0xfb800fff,0x0004fb81,0x20000bf3,
    0x80004ffb,0x7dfd701b,0x36e00000,0x0003f700,0xfffff900,0x7cc0000b,
    0xfe8805ff,0x4c000004,0x000ceffd,0x00027d40,0xcffffe98,0xfa800000,
    0xb0000004,0xd100000b,0x0007d403,0x0000b900,0x000f7000,0x00000000,
    0x6c01b200,0x90000fff,0xb9003fff,0xbfff3000,0x5ffff500,0x2a01e880,
    0x06c8001f,0x13fee000,0x00000000,0x20162000,0x88000059,0x000fffff,
    0x17ffe600,0x0009fd10,0x00000000,0x400002ec,0x000009a8,0x00001720,
    0x00000e80,0x038800b8,0x0003a000,0x00e40000,0x00000000,0x400d8000,
    0x0004fffa,0x201bffe2,0xff98000e,0xfff8805f,0x4005403f,0x00e80038,
    0x13fee000,0x00000000,0x08002000,0xdd500000,0x9800007d,0x3a205fff,
    0x0000004f,0x03400000,0x00000000,0x00003a00,0x00000000,0x00000000,
    0x00000000,0x4ccc4000,0x99999999,0x4cccc400,0x00019999,0x01ffff10,
    0x4fffe800,0xff300000,0x3ffe00bf,0x0000004f,0x5c000000,0x4cc404ff,
    0x99999999,0x4ccc4009,0x00199999,0x00000000,0x98000000,0xfd105fff,
    0x40000009,0x00abdca9,0x00053000,0xccdcca98,0x0000480a,0x33330000,
    0x33333333,0x33333333,0x33333013,0x33333333,0x33333333,0x4cccc401,
    0x99999999,0x99999999,0x024c0000,0x7ffedc00,0x1cefffff,0x7fffedc0,
    0x3330ceff,0x33333333,0x06fffb83,0xffffb800,0x26666660,0x20199999,
    0x9805fff9,0x4c02ffff,0x99999999,0x4cccc199,0x00199999,0x027fdc00,
    0x3fffff6e,0x401cefff,0xffffffdb,0x333310ce,0x13333333,0x99999880,
    0x4ccc1999,0x01999999,0x7fcc0000,0x04fe885f,0xfe980000,0xffffeeff,
    0x75c4000d,0xeb88006f,0xffeeffff,0x00f88bdf,0x26666666,0x00099999,
    0xffffec88,0xffffffff,0x3fffffff,0x7ffff644,0xffffffff,0x3fffffff,
    0x3ffffea0,0xffffffff,0x0effffff,0x007ec000,0xfffc8800,0xc88001ff,
    0xfdc81fff,0xefffffff,0x02fffec4,0x7fffcc00,0x3ffff721,0x204effff,
    0xb805fff9,0x6401ffff,0xfffffffd,0x3ff224ef,0xffffffff,0x002cefff,
    0x1004ffb8,0x03fffff9,0x3fff9100,0xfffffd70,0x803bffff,0xffffffec,
    0x3fff225f,0xffffffff,0x0002ceff,0x445fff98,0x000004fe,0x0567fe44,
    0x00bffee6,0x1bffff26,0x79fff700,0xffff5103,0x3fb2203f,0xefffffff,
    0x6cc0002d,0xaaaaffff,0xfeccaaaa,0x3ff6604f,0xaaaaaaff,0x4ffeccaa,
    0x37bffee0,0xcccccccc,0x01ffffec,0x01ffc400,0x3fffe000,0x1ffc0004,
    0x77fffec0,0x09fffd02,0x3fffe000,0xdffffb02,0xbfff3005,0x4ffff880,
    0x7fffec00,0x7ff5402e,0xedccceff,0x2000dfff,0x7c004ffb,0x40004fff,
    0x7fdc03ff,0x8005ffff,0x403ffffb,0xceffffea,0xdfffedcc,0x3fe60000,
    0x013fa25f,0xfff50000,0x9ffd1007,0xfffba980,0x3fff2006,0xfffb1001,
    0xfffd3003,0x800001df,0x4006fffa,0x7fd404fc,0x27e4006f,0x4001bf90,
    0x004ffff8,0x006ffb80,0x17ffec00,0x007f6000,0x407fffe2,0x003ffff8,
    0x09ffff00,0x007fffe2,0x202fffcc,0x000efffd,0x00ffffc4,0x205fffb8,
    0x003ffffc,0xe8009ff7,0x40002fff,0xff8801fe,0xf0001fff,0x3ee003ff,
    0x3ff205ff,0xf30003ff,0x13fe6bff,0xff500000,0xffd8003f,0x6ffd800e,
    0x1fffe880,0x02ffb800,0x01ffff50,0xfff30000,0x80bb000d,0x8006fff9,
    0x001b205d,0x001bfff6,0x017fffc0,0x5fffb000,0x01fd8000,0x201ffff0,
    0x002ffff9,0x0bfffd00,0x8007fffc,0xd505fff9,0x0001bfff,0x4003fffe,
    0x5405fffa,0xb803ffff,0x7ec004ff,0x6c0002ff,0xfff5000f,0xff10007f,
    0x7ffd4005,0x7fffd405,0xfff98003,0x0006ff9d,0x27ffc400,0x2fffc400,
    0x4037fe40,0x0000effd,0x7cc00ff6,0x000007ff,0x000dfff1,0xfff880b7,
    0x205b8006,0x7fdc002d,0xa80001ff,0x0005ffff,0x007fff20,0x2001fb00,
    0xf500ffff,0x00003fff,0xf81ffffa,0xf3000fff,0xdb975dff,0x0005bfff,
    0x000ffff8,0xb00bfff3,0xb801ffff,0x7ec004ff,0x6c0001ff,0x3ff2000f,
    0x7e4000ff,0x7ffcc004,0xffffd805,0x7ffcc000,0x005ffffe,0x3fff6000,
    0xfff90000,0x06ffc805,0x0017ffdc,0x4400fe20,0x00006fff,0x00dfff10,
    0xff880b10,0x0588006f,0xff98003a,0xd00003ff,0x001fffff,0x07fff200,
    0x001fb000,0xfb81fffe,0x00001fff,0x7c0ffffb,0x3e6007ff,0xffeeffff,
    0xf00000ff,0x7cc00fff,0xffa805ff,0x7fdc02ff,0x7ffec004,0x07ec0001,
    0x9ffff100,0x0037c400,0x402fffcc,0x002ffffa,0x7eefffcc,0x00005fff,
    0x004fffb8,0x03bffe60,0x2606ffc8,0x00006fff,0x3fe20099,0x1000006f,
    0x0000dfff,0x01bffe20,0xd001a000,0x0000bfff,0x3fff37e6,0xff900004,
    0xfd80003f,0x0ffff000,0x017fffd4,0x6fffe800,0x801fffe0,0x7f45fff9,
    0xf00004ff,0x7cc00fff,0xff8805ff,0x7fdc03ff,0x7ffec004,0x07ec0001,
    0x3fffea00,0x003fb001,0x00bfff30,0x007ffff1,0xfb5fff98,0x0000bfff,
    0x007fffc4,0x13fff600,0x3a06ffc8,0x00003fff,0x3fe200b3,0x1000006f,
    0x0000dfff,0x01bffe20,0xf9000000,0x00001fff,0x3ffe27f2,0xff900007,
    0xfd80003f,0x0ffff000,0x01ffffcc,0x4ffff800,0x801fffe0,0x7c45fff9,
    0x80001fff,0x26007fff,0xff005fff,0xffb809ff,0x7ffec004,0x07ec0001,
    0x37ffec00,0x80027d40,0xf005fff9,0x98009fff,0x3ff65fff,0x700005ff,
    0x0000dfff,0x201ffff5,0xff106ffc,0x400001ff,0xdfff1000,0x3e200000,
    0x02a006ff,0x037ffc40,0x40000150,0x002ffff9,0x7ecdf100,0xc80002ff,
    0x40001fff,0xfff000fd,0x7fffc40f,0xfff00004,0x3fffc07f,0x0bfff300,
    0x001ffff5,0x007fff80,0x2017ffe6,0x402ffff9,0x6c004ffb,0x40001fff,
    0xf88000fd,0x3e204fff,0xff30000e,0xfff300bf,0xff98005f,0x7fffec5f,
    0xffd80005,0xf980005f,0xff901fff,0x17fff20d,0x44000000,0x00006fff,
    0x00dfff10,0xff8800ec,0x0076006f,0x7fff4400,0x3ee00005,0x01bffea3,
    0x07fff200,0x001fb000,0xfd01fffe,0x10000bff,0x7c05ffff,0x3e6007ff,
    0xfffb05ff,0xfff8000b,0x3ffe6007,0xffffb805,0x027fdc01,0x007fff60,
    0x0001fb00,0x407fffea,0x260002fc,0xfb805fff,0x4c001fff,0xffd85fff,
    0x740005ff,0x80004fff,0x902ffff8,0x3ffe0dff,0x0000004f,0x00dfff10,
    0x3ffe2000,0x4007e006,0x2006fff8,0xf900001f,0x00001fff,0x7fff43f4,
    0x7fe40001,0x7ec0001f,0x0ffff000,0x006fffb8,0x06fff980,0x3003fffc,
    0x3a20bfff,0x20003fff,0x26007fff,0x7c405fff,0xfb804fff,0x7fec004f,
    0x7ec0001f,0x3ff60000,0x005f986f,0x02fffcc0,0x013fffe2,0x417ffe60,
    0x005ffffd,0x00ffffe0,0x27fffc00,0xf886ffc8,0x00003fff,0xdfff1000,
    0x3e200000,0x3f9006ff,0x1bffe200,0x0000fe40,0x00ffffd4,0x709f5000,
    0x80009fff,0x0001fffc,0xff8007ec,0x7ffcc07f,0x7dc0001f,0x7ffc03ff,
    0x3ffe6007,0x3fffe605,0xffff0000,0x2fffcc00,0x03bfff60,0x0013fee0,
    0x0003fffb,0x20000fd8,0x743ffff8,0x7cc0000f,0x7fec05ff,0xf98000ef,
    0x3ff205ff,0xf98005ff,0x00002fff,0x320bffff,0xfff986ff,0xaaa8002f,
    0x2aaaaaaa,0x01bffe20,0x7ffc4000,0xbaaaaaaf,0x1001ffec,0x5555ffff,
    0x3ffd9755,0xfff88000,0x6c00004f,0xffff880f,0x3ff20000,0x7ec0001f,
    0x0ffff000,0x00bfffb0,0x037ffc40,0x3003fffc,0xfb80bfff,0xff0006ff,
    0x7fcc00ff,0xfffd505f,0x3fee001b,0x7ffec004,0x07ec0001,0x3ffea000,
    0x0007f90f,0x20bfff30,0x00dfffea,0x0bfff300,0x05ffffc8,0x0ffffd40,
    0xfffe8000,0x50dff907,0x0003ffff,0xfffffd97,0x7fc4079f,0x1000006f,
    0xffffffff,0x3fffffff,0x3fffe200,0xffffffff,0x40001fff,0x0006fffd,
    0xfb02fcc0,0x640007ff,0x40001fff,0xfff000fd,0xffff100f,0x3fee0003,
    0x7fff802f,0x17ffe600,0x013fff60,0x801fffe0,0xcbaefff9,0x02dfffed,
    0x0027fdc0,0x0007fff6,0x00001fb0,0xbf3bfffb,0x3fe60000,0xfedcbaef,
    0x40002dff,0xc805fff9,0x2005ffff,0x002ffffa,0x0dfffb00,0x3ee1bff2,
    0x40002fff,0x802ffffd,0x0006fff8,0x0dfff100,0x00ffdcc4,0x206fff88,
    0x001ffb98,0x07fffee0,0x03f90000,0x0037ffcc,0x003fff90,0xf000fd80,
    0x3ea00fff,0xf88005ff,0xfff004ff,0x7ffcc00f,0xffff8805,0x3fffc002,
    0xfffff300,0x01ffffdd,0x013fee00,0x003fffb0,0x0000fd80,0xffffff88,
    0xff300000,0xfffddfff,0x2600001f,0xf9005fff,0x3001dfff,0x0007ffff,
    0x417fffa0,0xffa86ffc,0x4c0003ff,0xf1007fff,0x00000dff,0x401bffe2,
    0xff1001f9,0x07e600df,0x7fffc400,0x7c400003,0x1fffe806,0x3fff9000,
    0x00fd8000,0x400ffff0,0x4002fffb,0x3e004ffd,0x3e6007ff,0xff5006ff,
    0x7fc003ff,0x3fe6007f,0x27fff45f,0x04ffb800,0x00fffe40,0x0003f600,
    0x1ffffdc0,0xfff30000,0x04fffe8b,0xbfff5000,0x7fffec00,0x7ffc400e,
    0xff00004f,0x3ff207ff,0x4ffff886,0x7ffcc000,0xdfff1007,0x3e200000,
    0x07a006ff,0x037ffc40,0x3a0003d0,0x00005fff,0xfb802fb8,0xf90005ff,
    0xd80005ff,0xffff000f,0x3fffb800,0x04ffe880,0x003fffc0,0x400ffff7,
    0x002ffffc,0x4c00ffff,0x7fc45fff,0xfb8001ff,0x7fe4004f,0x7ec0002f,
    0x3fa00000,0x200000ff,0x7c45fff9,0x80001fff,0x2006fffb,0x2ffffff9,
    0x027fff40,0x7fffc400,0x20dff902,0x0005ffff,0x8037ffc4,0x0006fff8,
    0x0dfff100,0xf8800e40,0x072006ff,0x3fffee00,0xfe800000,0xffffffff,
    0x00ffffff,0x02fffc80,0xf003ec00,0x91000fff,0xb9815bff,0xf8003fff,
    0xff3007ff,0x20039fff,0x0bdffffe,0x801fffe0,0xfa85fff9,0x5c000fff,
    0x7e4004ff,0x740002ff,0x7f400007,0x200000ff,0xfa85fff9,0x10000fff,
    0x19fffff7,0xfffff700,0xfb037dff,0x30000bff,0x3203ffff,0xfffd06ff,
    0xff88000f,0xfff1006f,0x2200000d,0x02006fff,0x06fff880,0x3e600020,
    0x00002fff,0xccccdfa8,0xfecccccc,0xfb8003ff,0x740003ff,0x1fffe007,
    0xfffd9800,0x02efffef,0x81fffe00,0xfffffee9,0x4c04efff,0x4fffffff,
    0x400ffff0,0xfb05fff9,0xfb800bff,0x7fe4004f,0x3f40003f,0x3ffa0000,
    0x2600000f,0xffb05fff,0xfe9800bf,0xffffffff,0xffff983e,0xffffffff,
    0x037ffe46,0x3fffcc00,0x2e0dff90,0x0002ffff,0x401bffe2,0x0006fff8,
    0x0dfff100,0x3fe20000,0x4000006f,0x0005fffe,0x4001fb00,0x8007fff9,
    0x0004fffb,0xfff0037c,0xff50000f,0x000dffff,0x000ffff0,0xf0000000,
    0x7cc00fff,0xffd105ff,0x7fdc007f,0x7ffdc004,0x037c0003,0x3fffa000,
    0x3e600000,0xffd105ff,0x0000007f,0xff100000,0xc80003ff,0x3f203fff,
    0x3fffe06f,0x3fe20005,0xfff1006f,0x2200000d,0x00006fff,0x00dfff10,
    0x7ffe4000,0x4050000f,0xfd8005f8,0x7cc002ff,0x260006ff,0x3ffe004f,
    0xfd100007,0x0007ffff,0x0007fff8,0x00073660,0x007fff80,0x9817ffe6,
    0x7000ffff,0xf98009ff,0x260005ff,0x7400004f,0x00000fff,0x9817ffe6,
    0x0000ffff,0x00736a00,0x5fffb800,0x3ffe2000,0x037fe406,0x003ffff5,
    0x01bffe20,0x0037ffc4,0x7ffc4120,0x41660006,0x0006fff8,0x7ffd4166,
    0x0950002f,0x54000fe4,0xf8005fff,0x70000fff,0x7ffc007f,0x7e400007,
    0x0001ffff,0x0001fffe,0x006fffb8,0x00ffff00,0x202fffcc,0x7006fffb,
    0xf88009ff,0x70000fff,0xe800005f,0x00000fff,0x7017ffe6,0x0000dfff,
    0x02fffe40,0x3fffd000,0x3fff2000,0x037fe401,0x001bfffa,0x8037ffc4,
    0x0006fff8,0x7ffc412a,0x40ba0006,0x0006fff8,0x3ffe20ba,0x0b60004f,
    0xf00037c4,0xc8003fff,0x88003fff,0x3fe000ff,0xb800007f,0x000effff,
    0x000ffff0,0x0fffdcc0,0x3fffc000,0x0bfff300,0x009fffb0,0x90009ff7,
    0x10007fff,0x800001ff,0x0000fffe,0x017ffe60,0x0013fff6,0x7ffdcc00,
    0xff300001,0xff1000bf,0xdff9007f,0x3ffff980,0x6fff8800,0x0dfff100,
    0xf8817400,0xf90006ff,0x1bffe201,0x6c07e400,0x20006fff,0x07f901f9,
    0x2fffe400,0x3bffe200,0x0ffa2001,0x01ffff00,0xffb30000,0xff0001df,
    0x800001ff,0x80003ffb,0x3000ffff,0xf100bfff,0xfb805fff,0xff88004f,
    0x3a2000ef,0xe800003f,0x00000fff,0x2017ffe6,0x002ffff8,0x0ffee000,
    0xfffb8000,0x3ff62002,0x0dff9005,0x07ffff30,0x06fff880,0x00ffff10,
    0xff881ee0,0x5f98006f,0x01bffe20,0x3ee17e60,0x10001fff,0x07fe20fd,
    0xffffa800,0x7ffd4001,0x7fd4401f,0xffff8005,0x22000000,0x4001effc,
    0x0000ffff,0x0017fe40,0x007fffc0,0x006fff98,0x403ffff5,0x50004ffb,
    0x8803ffff,0x00004ffa,0x003fffd0,0x37ffcc00,0x1ffffa80,0xff900000,
    0xe9800003,0xfe9804ff,0x3ff2003f,0xffff3007,0x3fe60019,0xfff1006f,
    0x5fb8001f,0x03fffea0,0x202ffb80,0x000ffffa,0xff10bfee,0x2a0007ff,
    0x0ffb06fe,0xffff8800,0xfff98006,0xeca9acdf,0x88004fff,0x0001ffff,
    0xdffc8800,0xffff8800,0x3ea00001,0xf880005f,0xf7001fff,0x7e400fff,
    0xff702fff,0x0133333b,0x9bffff30,0xfffd9535,0x22000009,0x0002ffff,
    0x01fffee0,0x02ffffc8,0x3fea2000,0xb1000004,0x54415bff,0x4001effc,
    0x64007ffd,0x880cffff,0x01dfffda,0x05ffff50,0x40bff660,0xceffffe9,
    0xeccccccc,0xd300fffe,0x999dffff,0xfdd99999,0xfffe81ff,0xcccccccf,
    0xffedcccc,0x7fe445ff,0xf910004f,0x005bffff,0xfffffb88,0x01cfffff,
    0xffffea80,0x0000001e,0x059bb751,0x3dffffd5,0xcefd8000,0xfea80001,
    0x4c01efff,0x01cfffff,0x7bffffd0,0x7ffffdc1,0x71004fff,0xffffffff,
    0x000039ff,0x77fffe40,0xff980002,0xd001cfff,0x017bffff,0x0e77ec00,
    0x6d400000,0xfffeffff,0xff98003d,0x5c4003ff,0xfeeffffe,0x000befff,
    0x3fffffa2,0xeeeeeeef,0x220fffff,0xfffffffe,0xffffffff,0x445fffff,
    0xfffffffe,0xffffffff,0x545fffff,0xffffffff,0xffffffff,0x23ffffff,
    0xfffffffc,0xfffd000e,0x1fffffff,0x99753000,0xb0001559,0xffffffff,
    0x00001dff,0x7fec1000,0xffffffff,0x0000000e,0x7ffffec0,0x30efffff,
    0xffffffdd,0xf9809dff,0x34ffffff,0x55555555,0x97530003,0x00015599,
    0x3fffb200,0x0effffff,0x3ffba600,0x4effffff,0x7ffffcc0,0x000004ff,
    0x51000000,0x20001597,0xffffffe9,0xaa88005f,0x009abccb,0x3fffba20,
    0xffffffff,0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02000800,0x33300000,0x98000013,0x2a00002c,0x00004eee,0x00bbbb20,
    0x4ccccc40,0x33100019,0x03333333,0x2000014c,0xaccdcca9,0xc9800480,
    0x000bb882,0x00040010,0x4ccccccc,0x00099999,0xdddddd50,0x060007dd,
    0x00000098,0x00004c03,0x0000a800,0x99999998,0x99999999,0x00999999,
    0x40399300,0x10030003,0x000cc000,0x4ccccccc,0x00019999,0x00590079,
    0x7ffcc000,0x2600000e,0x80003fff,0x01fffff8,0xfff98000,0xfd50006f,
    0x007fffff,0xfffffb70,0x3fee09bf,0x75c40005,0xffeeffff,0x00f88bdf,
    0xb0fffe20,0x2a000dff,0x4004a805,0xfffffec8,0x002defff,0xdddddd50,
    0xf88009ff,0x1ffec1ff,0xfff10000,0x003ffd83,0x17ff4000,0xffd91000,
    0xffffffff,0xffffffff,0xfe88007f,0x24c0cfff,0x33ffaa00,0x90004980,
    0xdc8009ff,0xffffffff,0xbf10004e,0x00017201,0x03fff700,0xfffb8000,
    0xffc80005,0x00006ffe,0x3fffffe8,0x7ffd4000,0x910002ff,0xfe801bff,
    0xf70000ff,0x510379ff,0x003fffff,0xf137ffd4,0x20001fff,0x01f701ed,
    0x7fff4c00,0x000000ef,0x70013fee,0x7fcc9fff,0x3200007f,0x3fe64fff,
    0x2000006f,0x0006fffa,0x5ffffb30,0x95555555,0x8009ffd9,0xfffffefd,
    0xfc800f63,0x5c3fffff,0xfff88002,0xffb0000f,0x00005dff,0x1fd83df5,
    0x7f400000,0x9800001f,0x40003fff,0xffd8aff8,0x3ea00002,0x00ffe98e,
    0x7fffc400,0x3fe0001f,0x06ffc801,0x03fff900,0x07fff620,0x44fff880,
    0x20006ffe,0x1fdc2ff9,0x7ffd4000,0x4000000f,0x54004ffb,0x3fe24fff,
    0x2e00006f,0x3fe23fff,0x2000006f,0x0005fff9,0x01bffea0,0x44009f90,
    0xffffd30e,0x22001fff,0xffffdacf,0x0001fcbf,0x4000ffff,0x001ffff8,
    0x6cbffa00,0x4000004f,0x00003ff8,0x0000f6a0,0x0df707f6,0x1077c000,
    0x300009fb,0x001dffff,0x22003fa0,0x744000cb,0xb8001fff,0x6cc002ff,
    0x0066440b,0x653ff200,0xf300006f,0x00000fff,0x0009ff70,0xefb81bf9,
    0x36200001,0x0f7dc0df,0x3f200000,0x2600001d,0xd8006fff,0x2e126005,
    0x002fffff,0xffff512a,0x540009ff,0x7c0002ee,0x00000fff,0x3fffffe6,
    0x5c000000,0x0000004f,0x03f30000,0x20000fe6,0x03f700db,0xfffff000,
    0x03f6000b,0xffb00000,0x7ec0001d,0x00000003,0xfffff100,0x2200005f,
    0x00006fff,0x004ffb80,0x00000000,0x00000000,0x22000000,0xb8006fff,
    0x44066005,0x5c001bca,0x09ffd701,0x40000000,0x0000ffff,0x1ffffec0,
    0x2ec00000,0x00000000,0xd8801b00,0x01620000,0x3e000166,0x004fffff,
    0x000007d8,0x0017ffdc,0x0000fe20,0xfb800000,0x00005fff,0x001bffe2,
    0x13fee000,0x00000000,0x00000000,0x80000000,0x8006fff8,0x00000058,
    0x00100100,0xf0000000,0x00000fff,0x000bddd1,0x0001a000,0x10000000,
    0x10000400,0x40000400,0x2ffffcdf,0x0003ec00,0x0dfff300,0x00132000,
    0xb0000000,0x00003ddd,0x0037ffc4,0xa7fdc000,0x99999998,0x44009999,
    0x99999999,0xb9530001,0x00000157,0xccdcca98,0x2200480a,0x00006fff,
    0xbdca9800,0x0000000a,0x372aa000,0x03980acc,0x0001fffe,0x00000000,
    0x30000000,0x40003575,0x00000029,0xf8000000,0x03ffffd5,0x00003ec0,
    0x007fffd0,0x00016600,0x00000000,0xfff88000,0xb8000006,0xfffb74ff,
    0x39dfffff,0xffffdb80,0x3000ceff,0xffddfffd,0x00001bff,0x3ffffae2,
    0x8bdfffee,0xff1000f8,0x000000df,0x3bbfffa6,0x000dffff,0x26666666,
    0x20019999,0xeeffffc8,0x1362dfff,0x4007fff8,0x99999999,0x99999999,
    0x44099999,0x99999999,0x4c400999,0x19999999,0x766ffdc0,0x19999bff,
    0x006feb88,0x99999980,0x30099999,0x33333333,0x15f80133,0x001ffffd,
    0x400001f6,0x000ffff8,0x7fec0200,0x80efffff,0x26ffffe8,0x99999999,
    0x00000199,0x0037ffc4,0x27fdc000,0x3fffff22,0xffc88001,0x3f22001f,
    0x7dcc0acf,0x5c0002ff,0x881bcfff,0x01fffffa,0x00dfff10,0x32200054,
    0x5cc0acff,0xb9002fff,0xffffffff,0x3ff6009d,0xfea880cf,0x3fe05fff,
    0x3b22007f,0xffffffff,0xffffffff,0x7f5c3fff,0xffffffff,0x7ff6401d,
    0x105fffff,0xffc81bfd,0x932fffff,0x000dffff,0xffffec88,0x883dffff,
    0xffffffec,0x2fc03dff,0x00dffff3,0x075001f6,0x00bfff90,0x7fcc0000,
    0xfb800fff,0x3fff222f,0xffffffff,0x01bdeeff,0x37ffc400,0x7dc00000,
    0x9ffff04f,0x03ff8000,0x00fffea0,0x0013ffa2,0x800fffe4,0x001fffd8,
    0x400dfff1,0x3fea001d,0xffe8803f,0x7ffec004,0xfd1002ef,0x7fdc00bf,
    0x1fffe05f,0x7ffecc00,0xaaaaaaaf,0x04ffecca,0xbffffff7,0xffff7000,
    0x00ffd807,0x3999dffd,0x1bffeeaa,0xffe88000,0x3a2004ff,0x2004ffff,
    0x7fffd45f,0x8807d804,0xff806ffb,0x000004ff,0x037ffcc0,0x3aa05fa8,
    0xcdefffff,0xffffffdc,0xff88001d,0x8000006f,0xffd04ffb,0xfe80005f,
    0x3fff5001,0x0effd800,0x3fffd100,0x05ff7000,0x01bffe20,0xff5001f8,
    0xffd8003f,0xfff1000e,0x3fe6003f,0xffa8004f,0x01fffe06,0x06fffa80,
    0xf1027e40,0x0003ffff,0xf7007ffe,0x7ffdc09f,0x037fec00,0x3ffee000,
    0xfffa8006,0x642fc007,0x6c03ffff,0x3fff6607,0x7ffc406f,0x0000003f,
    0x800fffc8,0x7fdc01fc,0x7f54405f,0x44003fff,0x00006fff,0xb04ffb80,
    0x80005fff,0xff8800fd,0xff88004f,0xdffb005f,0x1fec0001,0x06fff880,
    0xf1003f90,0xf10009ff,0x7fc00bff,0xff8800ff,0x3ee0006f,0x01fffe06,
    0x06fff980,0x7d405d80,0x88003fff,0xffe802ff,0x0fffe203,0x000dff90,
    0x05fff980,0x06fff980,0xffd82fc0,0x81f601ff,0x06fffaa9,0x017fffcc,
    0x55555540,0xf102aaaa,0x6f8807ff,0x05fffa80,0xdffffb10,0x3ffe2001,
    0xb8000006,0xfffb04ff,0x0fd80003,0x00fffd80,0x05fff900,0x002fffb8,
    0x8801fc40,0xaaaaffff,0x1ffecbaa,0x00fffd80,0x05fff900,0x003fffe0,
    0x0007fff6,0x7ffc0fd0,0x3fe20007,0x05b8006f,0x00ffffc8,0xf8027e40,
    0x7ffc03ff,0x037fe404,0x3ffe6000,0xfff98005,0x882fc005,0xb00ffffe,
    0x1bff600f,0x03ffff50,0xfffd9700,0x64079fff,0x17dc07ff,0x02fffcc0,
    0x17fffea0,0x037ffc40,0x7fdc0000,0x03fffb04,0x400fd800,0x0004fffb,
    0x403bffe6,0x0006fff9,0x3e200990,0xffffffff,0x01ffffff,0x0027ffdc,
    0x01dfff30,0x700ffff0,0x00009fff,0x3fffc0f5,0xdfff1000,0x100b1000,
    0x4009ffff,0xff1006f8,0x5ffe807f,0x0037fe40,0x17ffe600,0x17ffe600,
    0x7c40bf00,0x0fb06fff,0x701bff20,0x0005ffff,0x02ffffd8,0x203fff88,
    0xfff3007e,0xfff7000b,0xfff1007f,0x7000000d,0x3ff609ff,0x7ec0001f,
    0x3fffe200,0x7fec0000,0x7fffd04f,0x01660000,0x1037ffc4,0x4403ff73,
    0x0000ffff,0x4027ffec,0xfe807fff,0xf00002ff,0x01fffe01,0x06fff880,
    0x7fd40000,0x3fb001ff,0x027ff400,0xf7013ffa,0x980000df,0x98005fff,
    0x7c005fff,0x7fffd405,0xf9007d85,0xfffa80df,0x7cc0003f,0x3f6007ff,
    0x009f306f,0x0017ffe6,0x007ffff4,0x001bffe2,0x13fee000,0x000fffec,
    0xfb803f60,0xa80006ff,0x7c40ffff,0x00000fff,0x7ffc4002,0x403f3006,
    0x0006fffb,0x00ffffa8,0x2603fffc,0x00007fff,0x3fffc02e,0xdfff1000,
    0xfb000000,0x9f500dff,0x06ffc800,0x2e017ffc,0x400006ff,0x8005fff9,
    0x4005fff9,0xfffb805f,0xc803ec3f,0x7fc406ff,0x4c0004ff,0x26007fff,
    0x1fc82fff,0x0bfff300,0x3fffe600,0x37ffc404,0x7dc00000,0x3fffb04f,
    0x00fd8000,0x0017fff6,0x07fffe60,0x000bfff9,0x3fe20000,0x807a006f,
    0x0005fffd,0x01ffff98,0x3203fffc,0x00005fff,0x00ffff00,0x037ffc40,
    0xf1000150,0x7c409fff,0x7fcc000e,0x0dff302f,0x510dff70,0xff980017,
    0xff98005f,0x02fc005f,0x22ffffd8,0xdff9007d,0x0bffff00,0x6fff8800,
    0x237fec00,0x3e6005f8,0x360005ff,0x7c407fff,0x000006ff,0xfb04ffb8,
    0xd80003ff,0x3fffa00f,0xff880004,0x7fffc2ff,0x00000004,0x400dfff1,
    0x3fffa01c,0xff880004,0x7ffc02ff,0x27fffc07,0xff800000,0x3e20007f,
    0x076006ff,0x7fffd400,0x0005f901,0xb103bfea,0xff7001ff,0x7fffec4d,
    0xfff3000e,0xfff3000b,0x005f800b,0x6c3ffffa,0x0dff9007,0x00ffffd0,
    0x06fff880,0x717ffcc0,0x7fcc005f,0x3ea0005f,0x3e202fff,0x000006ff,
    0xfb04ffb8,0xd80003ff,0x3fffe00f,0xfff00003,0x7fffc49f,0x00000003,
    0x400dfff1,0x1ffffc00,0xffff8000,0x03fffc04,0x007ffff1,0x3ffe0000,
    0x3fe20007,0x007e006f,0x86fffd80,0x4c0005f9,0xffc9aeff,0xdff7000d,
    0x3fffffe6,0xfff3005f,0xfff3000b,0x005f800b,0x23bfffe2,0xdff9007d,
    0x5ffff700,0x7ffc4000,0x6ffd8006,0xff3001fa,0x7cc000bf,0x3e204fff,
    0x000006ff,0xfb04ffb8,0xd80003ff,0xffff300f,0x3fe00005,0x3ffe65ff,
    0xaaa8002f,0x2aaaaaaa,0x01bffe20,0x7fffcc00,0xfff00002,0x7fff80bf,
    0x0bfffe60,0x7fc00000,0x3e20007f,0x3f9006ff,0x7ffc4000,0x0007f43f,
    0x3bb33a20,0x7dc001cd,0xb31cf9ef,0xf3005fff,0xf3000bff,0x5f800bff,
    0x7fffcc00,0xff9007dd,0x3fffe00d,0x3fe20005,0xffa8006f,0x4004f9af,
    0x0005fff9,0x817fffe2,0x0006fff8,0x27fdc024,0x001fffd8,0xfa807ec0,
    0x00001fff,0x7d4ffffd,0xb8001fff,0xffffffec,0x3ffe203c,0xff500006,
    0x200003ff,0x7c07fffe,0x3fea07ff,0x000002ff,0x000ffff0,0x557fffc4,
    0xfecbaaaa,0x7d40001f,0x07f90fff,0x003f9800,0x3fffee00,0x00bffd02,
    0x000bfff3,0x800bfff3,0xffa8005f,0xf9007fff,0x3fea00df,0xf10001ff,
    0x3a000dff,0x000fceff,0x002fffcc,0x81bfffe0,0x0006fff8,0x3fee012a,
    0x03fffb04,0x500fd800,0x0005ffff,0xb9bfff60,0x0002ffff,0x017fffec,
    0x0037ffc4,0x3ffeab30,0xfb00002f,0xfff80dff,0x3fffea07,0xf0000001,
    0x44000fff,0xffffffff,0x1fffffff,0xfffd8000,0x40005f9d,0x400007f8,
    0x2e01fffb,0xff9807ff,0xffffffff,0xffffffff,0x2fc005ff,0xffffc800,
    0x0dff9007,0x037fff40,0x06fff880,0xbffff500,0xbfff3000,0xfffd8000,
    0x1bffe207,0xb802e800,0xfffb04ff,0x0fd80003,0x07ffff30,0x3fffa000,
    0x0ffffea5,0xffff3000,0x1bffe200,0xff32e800,0x200007ff,0x7c05fffe,
    0x3fe607ff,0x000002ff,0x000ffff0,0x1037ffc4,0x0003ff73,0xffffff10,
    0xffb80001,0x3ee00002,0x3ffd406f,0x577ffcc0,0xaaaaaaaa,0x5fffbaaa,
    0x00037c00,0x200ffffb,0x26006ffc,0x8003ffff,0x0006fff8,0x000bfffa,
    0x0017ffe6,0x40dfffb0,0x0007fff8,0x3fee00f7,0x03fff904,0x100fd800,
    0x0009ffff,0x88ffffe0,0x0004ffff,0x803fffcc,0x0006fff8,0x3ffe21f9,
    0xff00004f,0xfff807ff,0x3fffe207,0xf0000002,0x20001fff,0x3006fff8,
    0x2e00003f,0x0003ffff,0xefffffe8,0x01cceeee,0x5406ffb8,0x7cc00fff,
    0xf98005ff,0x3e2005ff,0x3fa20006,0xdff9007f,0xffff9800,0x7ffc4003,
    0x3fea0006,0xfff30007,0xffe8000b,0x3ffe205f,0x2fdc000f,0x904ffb80,
    0x80005fff,0x3ffa00fd,0xf880004f,0x7ffc2fff,0x7c40005f,0xff1006ff,
    0xbf3000df,0x004fffe8,0x2ffff880,0x203fffc0,0x0003ffff,0x1ffff000,
    0x3ffe2000,0x0007a006,0x00fffe80,0xffffb800,0xffffffff,0x3fee02ef,
    0x07ffd406,0x017ffe60,0x017ffe60,0x40007f98,0xf9007ff9,0xff3000ff,
    0x260019ff,0x40006fff,0xf30004fe,0xf8000bff,0x3ea04fff,0xb3002fff,
    0x3ee005ff,0x5fff904f,0x407e8000,0x0005fffd,0x41ffff98,0x0007fffe,
    0x8037ffc4,0x000ffffa,0xffb0bfee,0xf30000bf,0xff803fff,0x7fff407f,
    0x88000005,0x0001ffff,0x400dfff1,0x3a00001c,0x00000fff,0xfffffff5,
    0x3fffffff,0x301bfee0,0xf9801fff,0xf98005ff,0xfd1005ff,0x5400039f,
    0xfffb007f,0x7ffe4000,0xfda880cf,0x40001dff,0xf30000fd,0x4c000bff,
    0xd102ffff,0xddffffff,0xfffddddd,0x3ee001ff,0x7fff904f,0x407e8000,
    0x0006fffc,0xb87fff98,0x0002ffff,0x201bffe2,0xceffffe9,0xeccccccc,
    0x7e40fffe,0x980006ff,0xff807fff,0x7ffe407f,0x54000007,0x01effffe,
    0x06fff880,0xd0000020,0x00001fff,0x5554c572,0x5ffdccba,0x980dff70,
    0x7cc00fff,0xf98005ff,0x7f7405ff,0x04efffff,0xf300f700,0x40007fff,
    0xeffffeb8,0x0beffffe,0x05f88000,0x17ffe600,0xffffa800,0x3fffba21,
    0xffffffff,0xffffffff,0x13fee005,0x001fffdc,0xff101be0,0xc80003ff,
    0xfff03fff,0x7c4000bf,0xffd106ff,0xffffffff,0xffffffff,0xfff10bff,
    0xfc80003f,0xfff803ff,0x7fffc407,0xfd800001,0xffffffff,0xff1000ef,
    0x000000df,0x007fff40,0x0007dc00,0x3ee03fe2,0x7ffcc06f,0x2fffcc00,
    0x2fffcc00,0x20000000,0x3fffaa02,0x0004ffff,0x5e6fd544,0x4000009a,
    0x260002fb,0x20005fff,0x0006fffc,0xfb800000,0xbfff304f,0x027cc000,
    0x002fffdc,0x40dfff10,0x001ffffa,0x00dfff10,0x80176000,0x0005fffb,
    0x401bffe2,0xfc807fff,0x300005ff,0x0003e609,0x00dfff10,0x7f400000,
    0x540000ff,0x0f70004f,0xf301bfee,0xff9801ff,0xff98005f,0x5400005f,
    0x400001cd,0x5000003e,0x0000005f,0xf98000dd,0xf30005ff,0x40005fff,
    0x00000bdc,0x7c413fee,0x70000fff,0x3ffa005f,0xff90001f,0xfffe803f,
    0xfff10006,0xf500000d,0xfffe8007,0xfff90001,0x1fffe003,0x0bfffe20,
    0x201d1000,0xf880006e,0x260006ff,0x3ffa0005,0x3e20000f,0x0b90002f,
    0xf301bfee,0xff9801ff,0xff98005f,0x6400005f,0x00005fff,0x000003f9,
    0x000bfff1,0x001fdc00,0x017ffe60,0x02ffff40,0x0bfffa00,0x27fdc000,
    0x007fff90,0x2001ff10,0x8005fff9,0x9803fff8,0x8003ffff,0x0006fff8,
    0x4004fc80,0x8005fff9,0x2003fff8,0xf7007fff,0x40001fff,0x01ff102e,
    0x6fff8800,0x000ba000,0x000fffe8,0x0017ff20,0x7fdc07e6,0x07ffcc06,
    0x017ffe60,0x017ffe60,0xfff73000,0x7fd00001,0xf7100000,0x000003ff,
    0x30000df1,0x7000bfff,0x0001ffff,0x006ffda8,0x409ff700,0x000efff8,
    0x7000ffa2,0x44005fff,0x26005ffd,0x4003ffff,0x0006fff8,0x000ffd80,
    0x0017ffdc,0x800bffb1,0x9000ffff,0x8003ffff,0x3fea04e8,0x7fc40003,
    0x1f90006f,0x7fff4000,0x3ff20000,0xfb8801cf,0x01bfee03,0x9801fff3,
    0x98005fff,0x00005fff,0x0007ff70,0x0000dff0,0x0017fdc0,0xd77dfb30,
    0xf300005f,0xfa800bff,0x00003fff,0x00003ffa,0xf5013fee,0xa8803fff,
    0xd30004ff,0xfd3009ff,0xff30007f,0x260019ff,0x00006fff,0x000cffb8,
    0x4027ff4c,0x8003ffe9,0x2000ffff,0x00bffffc,0x2201fd44,0x20001eff,
    0x8006fff8,0x740005f9,0x20001fff,0xcefffff8,0xffccaaab,0x03ffe403,
    0x5007ffea,0x3000bfff,0x0000dfff,0x0007ff20,0x002fff60,0x01ff2000,
    0xfffff900,0x2600009f,0x91005fff,0x0005ffff,0x0007ff80,0x3009ff70,
    0x359bffff,0x09fffd95,0xdffd8800,0x3ff2a20a,0x7e40001e,0xa880cfff,
    0x001dfffd,0xbffff000,0xd8805955,0x2a20adff,0x8001effc,0x001ffff8,
    0x6fffffd4,0xffeca9ab,0xdfff9002,0x2a009737,0x2000ffff,0x20002ffb,
    0x002ffff8,0x7fffe440,0xcfffffff,0x07ffd800,0x2017ffd4,0x8007fffb,
    0x0007fffb,0x027fd440,0xffff9800,0x0001ca9c,0x0000ffea,0x0bfffff7,
    0x7ffdc000,0x7ff54405,0x200001ef,0x4001ffc8,0xfb999998,0xff71004f,
    0xffffffff,0x54000039,0xffeffffd,0x200003df,0xeffffeb8,0x0beffffe,
    0x7d400000,0x00bfffff,0xdffffb50,0x0007bfff,0x3bffffaa,0x7f5c4001,
    0xefffffff,0x3f62000b,0x801dffff,0xceffffe9,0xeccccccc,0x0000fffe,
    0x0bbffff2,0x3bae2000,0x01bdefff,0x07ffff30,0x882ffff4,0x0cfffffb,
    0xffffb880,0xe80000cf,0x00001cef,0x77ffffe4,0x9ffd0002,0x3f200003,
    0x200002ef,0xeffffff9,0xfffedbcc,0x200002ef,0x000bdff9,0xffffffb8,
    0xa98004ff,0x00aacccb,0x5d440000,0x000000ac,0xbccbaa88,0x0000009a,
    0x0155d440,0x2b2ea200,0x3ff60000,0xffffffff,0x5d44000e,0x0001abcc,
    0x20055d4c,0xffffffe8,0xffffffff,0x05ffffff,0xffffec80,0x00efffff,
    0x20002000,0xfffffffa,0xffffd35f,0x3fa6bfff,0xffffffff,0xfffe984e,
    0x4effffff,0x00000000,0x00d5d440,0x00000000,0xee980000,0xffffffff,
    0xaceeffff,0x00000000,0x2aaaa200,0x0001aaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999988,0x40099999,0x99999998,0x20070019,
    0x09800038,0x00000300,0x20001260,0x0007000b,0x0900e64c,0x01440000,
    0x80620000,0x98060001,0x33260000,0x10001201,0x51000003,0x00040000,
    0x00cc0000,0x98060000,0x00200000,0x02601880,0x5fffc800,0x20070000,
    0xfc80000a,0x5c0006ff,0xfffffffd,0x6dc01cef,0xceffffff,0xd805d800,
    0x05b80004,0x00000798,0x80001fb0,0x005c805c,0xcffffd88,0x000024c0,
    0x000fff98,0x45ffb800,0x2000eff9,0x7f40fff9,0x7ec4002f,0x2c40cfff,
    0x0bff9000,0x006c8000,0x0effe440,0xfd800000,0x8800004f,0x7fec1fff,
    0x06880003,0x81dff300,0x20002ffe,0x00007ffe,0x02dc01b9,0x0effe800,
    0x107ff500,0x03fffff9,0x3fff9100,0xacefa800,0x02feca88,0x1bdf8800,
    0x0017ee62,0x0ffe2000,0x59df3000,0x05fd9511,0xfffdfb00,0x001e47ff,
    0x3fffd800,0xfff80000,0x0ffff60f,0x23fffd80,0x4005fffa,0xfffffefc,
    0x2000790b,0x000ffff8,0x0000fe00,0x03fb57dd,0xff880000,0x400000ff,
    0x3e64fffb,0xc80007ff,0xfffb0006,0x02fffd47,0x03ffd100,0x03df1000,
    0x100003f7,0x74001fff,0xfff00fff,0xff80009f,0xfffb0003,0x00bfffff,
    0x7fffe400,0x000ffffe,0x6ffb8000,0xfffd8000,0x005fffff,0xffd31e88,
    0x003fffff,0x3fff2000,0xfe800002,0x3fff20ff,0x3fff2002,0x017ffe62,
    0x3ffa63d0,0x001fffff,0x003fffa0,0x0007d400,0x04e81f50,0xfff80000,
    0xfa800007,0x3ffe23ff,0x37c40006,0x2fffc800,0x0013ffe6,0x0009ff10,
    0xfc8ffee0,0xff700004,0xffff8003,0x05fffd01,0x001fe800,0xfffffd10,
    0x800001df,0xfffffffe,0xf0000002,0x80005fff,0xffffffe8,0x8498000e,
    0x02fffffa,0x3f620000,0xd5000004,0x04fd887f,0x6427ec40,0x126001df,
    0x0bffffea,0x05dd5000,0x0036c000,0x01ee1760,0x3baa0000,0xf9000002,
    0x01efb81b,0x0037ec00,0xfc84fd88,0xf980000d,0x3fa00006,0x000ffccf,
    0x0005fb00,0x7ec0bff9,0x6c0002ff,0x75c0000f,0x00003eff,0x3bffff20,
    0x50000001,0x000bffff,0x0fbffae0,0x2a019800,0x000001bc,0x00000000,
    0x00000000,0x32a01880,0x0000001b,0x007f1000,0x06c86b80,0x00000000,
    0x00000000,0x001bff20,0x80000000,0x300001fa,0x007fffff,0x0013e200,
    0x7fec0188,0x7ec0001f,0x00000000,0x01330000,0xfe800000,0x0000ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01f50000,
    0x50bf8800,0x0000005f,0x00000000,0x3ff20000,0x0000006f,0x01e40000,
    0xdfffb000,0x02d40000,0x7fec0000,0x7ec0001f,0x00000000,0x00000000,
    0x337e6000,0x00004fff,0x4cccc400,0x31000199,0x33333333,0x26666620,
    0x99999999,0x09999999,0x33333331,0x88013333,0x99999999,0x26666661,
    0x00199999,0x80004980,0x99999999,0xb0001999,0x3ee0000b,0x40005fef,
    0x99999999,0x99999999,0x00099999,0x00009300,0xffffffd3,0x4ccc3fff,
    0x99999999,0x99999999,0x04000099,0x33310000,0x00400001,0xffd80000,
    0x7ec0001f,0x26666600,0x99999999,0x99999999,0x09300000,0xfc800000,
    0x007fff89,0x33333330,0x75433333,0x03ffffff,0xffffdb80,0xff504dff,
    0xffffffff,0xffffffff,0x3ffae1df,0xdfffffff,0x7fff6401,0x3725ffff,
    0xffffffff,0xfd80004e,0x7ee40000,0xefffffff,0xf9953004,0xfe800005,
    0x76440001,0xffffffff,0xffffffff,0x00003fff,0x980001fb,0xaaeffdaa,
    0xffd910aa,0xffffffff,0xffffffff,0x4022007f,0x02200018,0x110000c4,
    0x08800620,0x00fffec0,0x4403f600,0xffffffec,0xffffffff,0x003fffff,
    0x0001fb00,0xd9be2000,0xc8002fff,0xfffffffd,0xfff504ef,0x220005ff,
    0x5c00dffc,0xcccdefff,0xfecccccc,0xffb81fff,0x8005ffff,0x403ffffb,
    0x02effffd,0x07ff1000,0x7ffec000,0xff5002ef,0x005fffff,0x00ffe200,
    0xfffd9800,0xaaaaaaaf,0x04ffecca,0x03ff8800,0x1bff2000,0x7fffecc0,
    0xaaaaaaaa,0x804ffecc,0x7fd43ffc,0x3ffc8005,0x4002ffd4,0x7fd43ffc,
    0xd8075005,0x40001fff,0xfd9800fd,0xaaaaafff,0xffeccaaa,0xff880004,
    0x70000003,0x37ffd47f,0x3fff6000,0xff8802ef,0x20001fff,0xdfc801ff,
    0x3ffe2000,0x3ffe204f,0xff0001ff,0xfff1003f,0x5c00003f,0x200006ff,
    0x801ffff8,0x3fa0dfe8,0xb80005ff,0x400006ff,0x4006fffa,0xb80004fc,
    0x200006ff,0x2a006ffc,0x64006fff,0x7ffc404f,0x00ffff47,0xe8ffff10,
    0x22001fff,0x7ff47fff,0x404b801f,0x0001fffd,0xfa8007ec,0x7e4006ff,
    0xffb80004,0xd0000006,0x03fffd0f,0x7fffc400,0x3ffe6001,0xfd0000ef,
    0x000d9001,0x500dfffb,0x0007ffff,0x7c005ff1,0x00000fff,0x000bfffe,
    0x00ffff80,0x67cc4fd8,0x40003fff,0x0002ffff,0x01bffe60,0x20001760,
    0x0002ffff,0x400dff90,0x8006fff9,0x7ffc405d,0x00fffec6,0xd8dfff10,
    0x22001fff,0x7fec6fff,0x405c801f,0x0001fffd,0xf98007ec,0x5d8006ff,
    0xffff8000,0x54000002,0x4fffb84f,0x7fffc000,0x7fffc000,0x1fb0005f,
    0xb8005b00,0x9001ffff,0x8001ffff,0x7fc004fc,0x500000ff,0x000bffff,
    0x007fffc0,0x1d903fee,0x4000dfff,0x005ffffa,0x1bffe200,0x00016e00,
    0x00bffff5,0x01bff200,0x006fff88,0xffb805b8,0x0027f4c2,0x3a617fdc,
    0xffb8004f,0x8027f4c2,0x7ffec06d,0x07ec0001,0x06fff880,0x40005b80,
    0x005ffffa,0x407ec000,0x000ffff8,0x003fffe0,0x9ffffff0,0x200fb000,
    0x3fe6000e,0x3e2003ff,0x22004fff,0xfff8006f,0x3fa00007,0x0000ffff,
    0x880ffff0,0xfd3f84ff,0x7f4000df,0x0000ffff,0x00dfff10,0xe8000b10,
    0x000fffff,0x006ffc80,0x001bffe2,0x00000162,0x00000000,0x07e80000,
    0x000fffec,0x44003f60,0x88006fff,0x7ff40005,0x00000fff,0x7ec0bf30,
    0x3e0003ff,0xdf8007ff,0x002ffffc,0x006803ec,0x002ffff4,0x00ffffd4,
    0xf8001fd8,0x300007ff,0x09fff9bf,0x1fffe000,0xf985ff90,0x0003b711,
    0x3fff37e6,0xff100004,0x000000df,0xfff9bf30,0xff900009,0x7ffc400d,
    0x00000006,0x00000000,0xf8000000,0x0fffec07,0x003f6000,0x0037ffc4,
    0x6fcc0000,0x0004fffc,0x4c03f900,0x20006fff,0xf8007fff,0x03ffffd5,
    0x00003ec0,0x007fffe4,0x06fffd80,0xf0004fa8,0x20000fff,0x7fff89fc,
    0xffff0000,0x640ffd80,0x7e400006,0x007fff89,0x0dfff100,0xf9000000,
    0x00ffff13,0x00dff900,0x0037ffc4,0x00000000,0x00000000,0x007fc000,
    0x0003fffb,0xf1000fd8,0x00000dff,0xff13f900,0x100000ff,0xfffd00df,
    0x3ffe0003,0xd15f8007,0x2001ffff,0x4c00007d,0x0002ffff,0x813fffe2,
    0xf0000ef8,0x10000fff,0x17ffecdf,0x3fffc000,0x0fe1ffe0,0x26f88000,
    0x0002fffd,0x006fff88,0xf100002a,0x017ffecd,0x01bff200,0x006fff88,
    0x7ffec02a,0xfffa85ff,0xfffb07ff,0xfff50bff,0x3ff60fff,0xffa85fff,
    0x3e207fff,0x3fff201f,0x07ec0001,0x06fff880,0x100002a0,0x17ffecdf,
    0x0bee0000,0x017ffee0,0x003fffc0,0xffff32fc,0x001f600d,0x5fffe880,
    0xfffa8000,0x005f901f,0x003fffc0,0xff51fdc0,0xff0000df,0x3ffc40ff,
    0x800003ea,0x3ffea3fb,0xff880006,0x0076006f,0x7d47f700,0x640006ff,
    0x3e2006ff,0x076006ff,0x40bfff50,0x5407fff9,0x3e605fff,0x7fd407ff,
    0x3ffe605f,0x80bfe607,0x0002fffc,0xf88007ec,0x076006ff,0x547f7000,
    0x00006fff,0x7ffffff4,0xffffffff,0xfff8000f,0x545f8007,0xd804ffff,
    0x3f200007,0x00000fff,0xf30dfffb,0xfff8000b,0x87e80007,0x0001fffe,
    0xf303fffc,0x002ec1ff,0x3fa1fa00,0x440001ff,0x3e006fff,0x43f40001,
    0x0001fffe,0x8801bff2,0x3e006fff,0x05fff801,0x7c03ffec,0x7fec05ff,
    0x05fff807,0xf503ffec,0x7ffe407f,0x03f40002,0x00dfff10,0x3a0000fc,
    0x01fffe87,0x99bf5000,0x99999999,0x0007fffd,0xf000ffff,0x7ffff90b,
    0x00007d80,0x003ffff5,0x7fffc400,0x00007f43,0x0001fffe,0xfff709f5,
    0xfff80009,0x4bffe207,0x200002f8,0xfffb84fa,0x7fc40004,0x03f9006f,
    0x5c27d400,0x20004fff,0x22006ffc,0xf9006fff,0x0bffb003,0xd807ffb8,
    0x7fdc05ff,0x05ffd807,0xf703ffdc,0x7ffe409f,0x03f40003,0x00dfff10,
    0xa80007f2,0x4fffb84f,0x01fb0000,0x03fffcc0,0x003fffc0,0xfffd82fc,
    0x001f601f,0x13fffe20,0x3fea0000,0x007f90ff,0x00ffff00,0xf880fd80,
    0x20000fff,0x7fc07fff,0x0300f74f,0x7c407ec0,0x20000fff,0xaaaffff8,
    0xffecbaaa,0x03f60001,0x003fffe2,0x0037fe40,0x555ffff1,0xffd97555,
    0x0bffb003,0xd807ffb8,0x7fdc05ff,0x05ffd807,0xf903ffdc,0x7ffdc0bf,
    0x037c0003,0x55ffff10,0xfd975555,0x7ec0003f,0x0ffff880,0x02fc4000,
    0x017ffec0,0x001fffe0,0x7ff4417e,0x00fb00ff,0x0dfffb00,0x7fec0000,
    0x0005f9df,0x000ffff0,0xffb02fcc,0x7fc0007f,0x7ffec07f,0x015c04e8,
    0x3f605f98,0x220003ff,0xffffffff,0x1fffffff,0x40bf3000,0x0003fffd,
    0x4400fff7,0xffffffff,0x1fffffff,0x405ffd80,0xfd807ffb,0x3ffdc05f,
    0x202ffec0,0x3f607ffb,0x3ffe606f,0x13e60005,0xfffff880,0xffffffff,
    0xf30001ff,0x1fffec0b,0x007f2000,0x017ffea0,0x000ffff0,0x7ffc40bf,
    0x000fb06f,0x01ffffb8,0x3fe20000,0x0000ffff,0x000ffff0,0xff300fe4,
    0x7fc000df,0x7ffe407f,0x01a201fd,0x3e601fc8,0x220006ff,0x26206fff,
    0x90001ffb,0x7ffcc03f,0xfff50006,0xff881cc1,0x3ee6206f,0x5ffd801f,
    0x403ffdc0,0x7dc05ffd,0x5ffd807f,0xb03ffdc0,0x7fc40fff,0xf70000ff,
    0x7ffc4005,0x3fee6206,0x03f90001,0x0037ffcc,0x4000df10,0x2001ffff,
    0xf8007fff,0x7fffd405,0x20007d85,0x003ffff8,0xfffb8000,0x3e00003f,
    0xf10007ff,0x3fffd00d,0x1fffe000,0x0fffff50,0xdf1004d8,0x03fffd00,
    0x1bffe200,0x4000fcc0,0xffe806f8,0xff98001f,0x100ea9df,0x2600dfff,
    0x5ffd801f,0x403ffdc0,0x7dc05ffd,0x5ffd807f,0xd03ffdc0,0xffc80fff,
    0xff88003f,0x3ffe2000,0x003f3006,0xfd00df10,0x320003ff,0x3f20003f,
    0x3fe005ff,0x05f8007f,0x43ffffb8,0x3fa0007d,0x000005ff,0x003fffa0,
    0x07fff800,0x7005f700,0x2000bfff,0xfd807fff,0x74c0bfff,0x05f7000f,
    0x00bfff70,0x01bffe20,0xfb8001e8,0x5fffb802,0xffffd000,0x7ffc405f,
    0x2007a006,0x7dc05ffd,0x5ffd807f,0x403ffdc0,0x7dc05ffd,0x3fffe07f,
    0x3bffe200,0x0ffa2000,0x0dfff100,0x5c000f40,0xfffb802f,0x1ff88005,
    0x3ffea000,0xffff001f,0x200bf000,0x362ffffd,0xfff70007,0x0000001f,
    0x0007fff4,0x00ffff00,0x3fffffa0,0xffffffff,0xff8000ff,0xffe8807f,
    0xfffdefff,0x3fffa002,0xffffffff,0x8000ffff,0x2006fff8,0xffe8001c,
    0xffffffff,0x000fffff,0x02dffe88,0x0037ffc4,0xbffb0039,0x807ffb80,
    0x7dc05ffd,0x5ffd807f,0x883ffdc0,0x5401ffff,0x4401ffff,0x88004ffa,
    0x32006fff,0xfffe8001,0xffffffff,0x4000ffff,0x440007fd,0xf006ffff,
    0xbf000fff,0x7ffff400,0xf3000fb0,0x00005fff,0x0fffe800,0x3ffe0000,
    0xcdfa8007,0xcccccccc,0x003fffec,0x3007fff8,0xffffffff,0x6fd4007f,
    0xcccccccc,0x03fffecc,0x06fff880,0x3ea00020,0xcccccccd,0x3fffeccc,
    0x40022000,0x2006fff8,0x0bffb000,0xd807ffb8,0x7fdc05ff,0x05ffd807,
    0xf983ffdc,0xf9802fff,0xa9acdfff,0x004fffec,0x00dfff10,0x6fd40004,
    0xcccccccc,0x03fffecc,0x09fff910,0x3fff2200,0x7fc02dff,0x05f8007f,
    0x3bfffe20,0xfe8007d8,0x000005ff,0x00fffe80,0x1fffe000,0x8003f600,
    0x8007fff9,0x3e007fff,0x1efffffe,0x0007ec00,0x000ffff3,0x000dfff1,
    0x000fd800,0x001fffe6,0x7ffc4000,0xfd800006,0x3ffdc05f,0x202ffec0,
    0xfd807ffb,0x3ffdc05f,0x01ffff88,0xfffff710,0x039fffff,0x37ffc400,
    0x3f600000,0x3ffe6000,0xffffc807,0xd000efff,0xffffffff,0x3ffe01ff,
    0x005f8007,0x6effffcc,0x7ffe4007,0x0050000f,0x007fff40,0x0ffff000,
    0x8005f880,0x4002fffd,0xf5007fff,0x0006aa61,0x360017e2,0x44002fff,
    0x00006fff,0x20017e20,0x4002fffd,0xf1002efb,0x00000dff,0xfb80bffb,
    0x5ffd807f,0x403ffdc0,0x7dc05ffd,0x1fffa07f,0x765d4c00,0x80000aae,
    0x0006fff8,0x0017e200,0x000bfff6,0x02e40000,0x003fffc0,0x7d4002fc,
    0x2007ffff,0x002ffffa,0x74000950,0x00000fff,0x9001fffe,0xff50003f,
    0xfff800bf,0x000bb007,0x4000fe40,0x4005fffa,0x0006fff8,0x01fc8166,
    0x05fffa80,0x03fffe20,0x01bffe20,0xffc85980,0x03ffdc05,0x2e02ffe4,
    0xffc807ff,0x03ffdc05,0x00005fd5,0x800009f1,0x0006fff8,0x01fc8166,
    0x05fffa80,0xf9800000,0x7fff8003,0x0005f800,0x00fffff9,0x013fffe2,
    0x20002d80,0x0000fffe,0x801fffe0,0x3e0006f8,0x3e001fff,0x2f8807ff,
    0x0df10000,0x0ffffc00,0x0dfff100,0xf8817400,0x3ffe0006,0x3ffe001f,
    0xfff8803f,0x20ba0006,0x7ec06ffb,0x6ffb807f,0x403ffec0,0x7ec06ffb,
    0x0000007f,0x00001bee,0x000dfff1,0x06f88174,0x07fffe00,0xf7000000,
    0xffff000b,0x000df000,0x803fffec,0x0006fffd,0xe80007e6,0x00000fff,
    0x4003fffe,0x320003fc,0x3e005fff,0x3dc00fff,0x07f90000,0x2fffe400,
    0x0dfff100,0x6403f200,0x3f20003f,0x326005ff,0xff8804d9,0x1f90006f,
    0x103fff50,0x801fffdd,0xe881fffa,0x5400fffe,0xee881fff,0x00000fff,
    0x003ff900,0x37ffc400,0x900fc800,0x7e40007f,0x000005ff,0x0007fe40,
    0x8003fffe,0x220006f8,0xfb807ffe,0x10001fff,0xfe8000fd,0x200001ff,
    0x8800ffff,0x2a0001ff,0xf001ffff,0x4e801fff,0x3ff10000,0x7ffd4000,
    0xfff1001f,0x0bf3000d,0x80007fe2,0x001ffffa,0xff8802e8,0x5f98006f,
    0x17dfff10,0xfff79f71,0x3fe2053b,0xcfb88bef,0x029dfffb,0x117dfff1,
    0xbfff79f7,0x80000053,0x0001dffa,0x00dfff10,0x3e20bf30,0x3ea0001f,
    0x00001fff,0x037fea00,0x00ffff80,0x0001fe60,0xf880fff3,0x50003fff,
    0x44000dfd,0x0002ffff,0x03ffff10,0x8000ffb0,0x806ffff8,0x201ffff8,
    0xb00001f9,0xf88000ff,0xf5006fff,0x5c001fff,0x0ffb02ff,0xffff8800,
    0x0075c006,0x007fffd4,0x5c05ff70,0x4fffffff,0x07dffff7,0x7fffffdc,
    0xdffff74f,0x7fffdc07,0xfff74fff,0x000007df,0x55dfffd0,0xff500057,
    0x7dc001ff,0x00ffb02f,0x6ffff880,0x74000000,0x2caadfff,0x01ffff88,
    0x039ffd10,0x203fd400,0xcccffffe,0xcccccccc,0x05ffffed,0x3ffff200,
    0x7540002e,0x101effff,0x0009fff9,0x3fffff22,0xfffd502d,0x01ae03df,
    0x3fff2200,0xff910004,0x4c05bfff,0xcceffffe,0xeecccccc,0x7e440fff,
    0x910004ff,0x05bfffff,0x9801fca8,0xcceffffe,0xeecccccc,0x7e400fff,
    0x3ee2ffff,0xff9002df,0x7fdc5fff,0xfff9002d,0x6ffdc5ff,0x20000002,
    0xcfffffe9,0x7ff4c000,0xccccceff,0xfffeeccc,0x27ffe440,0xfffc8800,
    0x00002dff,0xfffff300,0xffea819f,0x3ba01eff,0x4effffff,0x540f7000,
    0xffffffff,0xffffffff,0x03ffffff,0x7ffff640,0x00efffff,0x3fffff60,
    0x90efffff,0xdfffffff,0x3fffa001,0x0fffffff,0xfffffffb,0x1ec1dfff,
    0x3fff2000,0x000effff,0xfffffffd,0x3fa21fff,0xffffffff,0xffffffff,
    0x7fe45fff,0x00efffff,0xffffffd0,0x7101ffff,0xfffe8805,0xffffffff,
    0xffffffff,0x3751005f,0x10001730,0x01730375,0x30375100,0x00000017,
    0x0055d4c0,0xfffffd10,0xffffffff,0xbfffffff,0xffffffc8,0xffd000ef,
    0xffffffff,0x20000001,0x7ec0abba,0xffffffff,0x000000ef,0x00000140,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffcc00,0xffffffff,0x3e600007,0xffffffff,
    0x80006fff,0x00000028,0x41990000,0xfffffffb,0x005fffff,0x40000000,
    0xfffffffa,0x006fffff,0xfffffc80,0x4fffffff,0x33333200,0xcccccccc,
    0x77540000,0x2980005e,0xbca88000,0x3e880001,0x002a8000,0x00000660,
    0x80051051,0x0aa0001a,0x35000000,0x02880000,0x00017730,0x98001950,
    0x26002882,0xffffffff,0x0007ffff,0x3ffffe60,0x6fffffff,0x006a8000,
    0x80000000,0xff70fffb,0xffffffff,0x00000bff,0x8003db10,0xfffffffa,
    0x006fffff,0xfffffc80,0x4fffffff,0x3ffffe00,0xffffffff,0x7fec0001,
    0x3aa0000f,0x90003fff,0x00bff9ff,0x0000ee80,0xe80027c4,0x40002eff,
    0x3ee0ffda,0x3f2603ff,0x3f20003f,0x4c000000,0x00003ffc,0x5401ffb5,
    0x006fffff,0x44017e20,0x7fec6feb,0xeee9802e,0xeeeeeeee,0x2600005e,
    0xeeeeeeee,0x0005eeee,0x00d5fecc,0x80000000,0xdd52fffb,0xdddddddd,
    0x000009dd,0x001fff90,0x77777754,0x04eeeeee,0xeeeeb800,0xeeeeeeee,
    0x3fffe003,0xffffffff,0x3e20001f,0x7c0001ff,0x002fb89c,0xfe886fdc,
    0x03f70005,0x003f5000,0x0fffff50,0xffff7100,0x3fffe21f,0x7fff541f,
    0x3e60003f,0xb5000002,0x0007ffff,0x7ffffdc4,0x9317f100,0x360007ff,
    0x7fe4c00f,0x3ffe66ff,0x000000ff,0x00000000,0xfffb1000,0x039dffff,
    0x80000000,0x00000ffc,0x7d400000,0x000000ff,0x00000000,0x00000000,
    0x002ffa80,0x02ec3d40,0xfb85ff50,0x27cc001f,0x006d8000,0x5fffff50,
    0xfeab8800,0x3fffe0ff,0x7fed5c4f,0x2fc0003f,0xdab80000,0x20003fff,
    0x0fffeab8,0x0dfd0370,0x3005f500,0x4cdfff75,0x003fffff,0x00000000,
    0xfb800000,0xf736aadf,0x999889ff,0x99999999,0x4cccc400,0xfd999999,
    0x80000001,0x0abccba8,0x0000df90,0x00000000,0x00000000,0x013f6000,
    0x1ea17600,0xf887fd80,0x0374005f,0x804f8800,0x9ffdfb00,0x7ffdc000,
    0x1ffbfee0,0x001fffc4,0x00003f20,0x03fff880,0x1fff7000,0x004fd800,
    0x74002fc4,0x7ffe46ff,0x654c005f,0x88000abd,0x99999999,0x4c400999,
    0x19999999,0x8d517fd4,0x7edc5fe8,0xefffffff,0x7fedc01c,0xacceffff,
    0x99999980,0x00199999,0x3bffff22,0xabceffff,0x00000eeb,0x26000093,
    0x99999999,0x99999999,0x10009999,0x00006201,0xa80002fc,0xf002ec0f,
    0x03ffe0ff,0x0000fe40,0x34401fb8,0x00027cc0,0x7c01fff5,0x00fffe06,
    0x0005f300,0x03fff800,0x1fff5000,0x002fc400,0x640007ec,0x17e606ff,
    0x3bfffa60,0x00dffffe,0xfffffb70,0x8039dfff,0xffffffdb,0x8fff10ce,
    0x105f986a,0x03fffff9,0x3fff9100,0x3fff7200,0x04efffff,0x835dff50,
    0xadfffdb9,0x7ec00001,0x76440000,0xffffffff,0xffffffff,0xfc803fff,
    0x02ffd43f,0x0001a600,0x3f913bf0,0x41bfe600,0xf9801fff,0x1b600004,
    0x3e601b20,0x3fe60002,0xf817e00f,0xe80003ff,0xddb00005,0xddfffddd,
    0x7cc0009d,0xfb1000ff,0x03fa8001,0x40dff900,0x3f2203f8,0x7dcc0acf,
    0x322002ff,0x001fffff,0x81fffc88,0x83544ffa,0x7fffc05d,0x1ffc0004,
    0xffffd800,0xffb1002e,0xfff9001b,0xf8800007,0x2600003f,0xaaaffffd,
    0xeccaaaaa,0x7fc404ff,0x0ffff47f,0x00013000,0x3effd980,0x41bfea00,
    0x6e802ffe,0x0fe20000,0xd900df10,0xfff98000,0x7403f300,0xc80003ff,
    0xed80000f,0xefffeeee,0x260004ee,0x6c400fff,0x1001efff,0x7e4000dd,
    0x403ee06f,0x8803fffa,0x7c004ffe,0x40004fff,0xbff903ff,0x80b706a8,
    0x0002fffe,0x88000ff4,0x2001ffff,0x5c004ffe,0x00003fff,0x0001bfee,
    0x00dfff50,0x7c404fc8,0x7ffec6ff,0x10000001,0x80018800,0xffd06ffa,
    0x001fc805,0xd007ee00,0x01fb80df,0x07ffcc00,0x3fa0274c,0xf980003f,
    0x3a000002,0x300003ff,0x98801fff,0x800fffda,0x320001fc,0x05f506ff,
    0x0007ffea,0x2001dffb,0x0002fffd,0xffc80fec,0x05983547,0x0017ffec,
    0x80003f60,0x9000ffff,0x90001fff,0x00001fff,0x000bfffe,0x06fff980,
    0xfb805d80,0x027f4c2f,0x80d5c400,0x000000f9,0xff06ff88,0x01fd403f,
    0x901b6000,0x17640dff,0x7ffcc000,0x7401fd40,0xd00003ff,0x7400000b,
    0x300003ff,0xb8001fff,0x1fcc03ff,0x1bff2000,0x7fc40bee,0xff88004f,
    0xfffb005f,0x1fd80005,0x545fff50,0xffb00606,0xfd80003f,0x3ffe0000,
    0xfffa800f,0xfff10004,0xff50000b,0x40000bff,0x8006fff8,0x0000005b,
    0xfffec980,0x09f30cff,0x7fc00000,0x201fff07,0x400006f8,0x3ff203f8,
    0x0009906f,0x3e635751,0x003660ff,0x5cc1fff4,0x01f90009,0x09bb9800,
    0x88007ffd,0xfff31aba,0x5ff88001,0x40003740,0x065c6ffc,0x001fffb0,
    0x00bfff20,0x0007fff2,0x3e201fb0,0x00d52fff,0x00fffec0,0x0003f600,
    0x8807fff8,0x0000ffff,0x000bfff6,0x1fffffd0,0x3fe20000,0x0588006f,
    0x64000000,0x3ff261ef,0x7fec5ebf,0xffa85fff,0x3f607fff,0x02ffcc0f,
    0x800001f9,0xffe981fb,0x1fffffff,0xeffea800,0x0fffadff,0x8fffa000,
    0x05fffffc,0x88002f98,0xafffeffd,0xd5003ffe,0xf5bffdff,0xf90001ff,
    0x000fe407,0x0037fe40,0x0013ffee,0x00efff98,0x000fffe4,0xfe803f60,
    0x006abfff,0x007fff60,0x0001fb00,0x6c03fffc,0x40004fff,0x000ffffa,
    0xfff9bf30,0x3e200009,0x000006ff,0xfd800000,0x1bfff605,0x205fffa8,
    0x2607fff9,0x0ffe42ff,0x00003fa8,0xb55306d8,0x15555dff,0x21efb800,
    0x0fffffb8,0x4fffa000,0xfffffffc,0x002f400e,0xff30ffa6,0xf7007fff,
    0x7ffdc43d,0xfe8000ff,0x0009f301,0x801bff20,0x000ffff8,0x027ffec0,
    0x0007fff2,0x7cc01fb0,0x006effff,0x007fff60,0x0001fb00,0x2203fffc,
    0x0001ffff,0x003ffff8,0xfff13f90,0x3e20000f,0xb00006ff,0x50bfffff,
    0x00ffffff,0xfe803ff7,0x3ffe00ff,0x03ffec05,0x7fcc3fea,0x000bf104,
    0x9007f100,0xc8000dff,0xfff700ff,0x7f40001f,0xecbdfcbf,0x6406ffff,
    0x7ff3000f,0x0ffffe60,0x2e01ff90,0x7700ffff,0xd017dc43,0x7e40000d,
    0x3fee006f,0xfa80006f,0x3f200fff,0x6c0001ff,0x7ffcc00f,0xb0001fff,
    0x80003fff,0x3e0000fd,0x7fcc07ff,0xd80000ff,0x88005fff,0x0bfff66f,
    0x3ffe2000,0x5002a006,0x7cc0bfff,0x7fc407ff,0x4fffd806,0x7017ff60,
    0xdd700fff,0x7ec05ffb,0xfb800000,0x06ffc800,0x00ffea00,0x0001fffd,
    0x4077fff4,0x202ffffb,0xff8802f9,0x1fffdc06,0xe807ff50,0xffd00fff,
    0x5c03dfbf,0x8011002f,0x36006ffc,0x80005fff,0x201ffff9,0x0001fffc,
    0x74c007ec,0x003fffff,0x001fffd8,0x00007ec0,0xfb80ffff,0xb00007ff,
    0x7000dfff,0x37ffd47f,0x7ffc4000,0x20076006,0x7ec05fff,0x27fdc07f,
    0x3fffbf20,0x80bffb00,0x22007ffb,0x017d401a,0x0017bd73,0x7fe401ba,
    0x1bfa0006,0x003fff20,0x405ffe80,0x7406fffb,0x02ffb805,0xd01fffcc,
    0xfff900df,0x2aee6201,0x8027cc01,0x7fe406fa,0x3fffa006,0xff880004,
    0x3ff202ff,0x7ec0001f,0xfffb1000,0x6c001bff,0x40001fff,0x3e0000fd,
    0x7fe407ff,0xf900007f,0xfd000fff,0x003fffd0,0x06fff880,0x3f6007e0,
    0x3ffdc05f,0xc80fff60,0x02fffc9f,0xfb80bffb,0x4400007f,0x2bfee05f,
    0x7c401ffb,0x0dff9003,0x013fee00,0x0003ffea,0xe803ffe8,0x3f201fff,
    0x01ffe200,0xfb81fffc,0xfffa804f,0x3fa00000,0x06ff9800,0xf0037fe4,
    0x00007fff,0xc813fffe,0x40001fff,0x7d4000fd,0x001effff,0x0003fffb,
    0x20000fd8,0x7f407fff,0x700006ff,0x4003ffff,0xfffb84fa,0x7fc40004,
    0x03f9006f,0xb80bffb0,0x7ffc07ff,0x3ee5f703,0xbffb03ff,0x007ffb80,
    0x9807ec00,0x03fea0ff,0xf9000fb8,0x3fe000df,0xfff9803f,0x3ffa0000,
    0x2fffa803,0xfc80fe60,0x7ffd006f,0x200fffe0,0x0000fff9,0xd1005f70,
    0xffc80dff,0xffff3006,0x3fe00005,0x3ff205ff,0x7ec0001f,0xfffa8000,
    0xfd801fff,0x6c0001ff,0x3fe0000f,0x7fffc07f,0xff500005,0x7ec005ff,
    0x0ffff880,0x3ffe2000,0xbaaaaaaf,0xd801ffec,0x7fdc05ff,0x0fffe607,
    0xfffa8fea,0x80bffb05,0x00007ffb,0x7fc40bee,0x3a06ff85,0x1bff2006,
    0x0bffe200,0x003ffe60,0x803ffe80,0x7404fff8,0x017ff605,0x7c41fff4,
    0xff9802ff,0xf880000f,0xdf9db005,0x006ffc80,0x003ffff5,0x1ffffa00,
    0x001fffc8,0x40007ec0,0xfffffbea,0x0fffec02,0x003f6000,0x407fff80,
    0x0005ffff,0x05ffff50,0xfd817e60,0x220003ff,0xffffffff,0x1fffffff,
    0x405ffd80,0x3ea07ffb,0x21fcc4ff,0xfb05fff9,0x7ffb80bf,0x0bf10000,
    0x7e41ffd4,0x003f881f,0x2001bff2,0x9801fff9,0x20000fff,0xff003ffe,
    0x00fb80bf,0x3a009ffd,0xfff983ff,0x0fff9801,0x00fd8000,0x06fb8fc8,
    0xa8037fe4,0x0002ffff,0x40dfffb0,0x0001fffc,0x540007ec,0x1ffffd36,
    0x00fffec0,0x0003f600,0x7407fff8,0x00006fff,0x001ffff7,0xff9807f2,
    0x3e20006f,0x2e6206ff,0xffd801ff,0x03ffdc05,0x7ccbfff3,0x03fff884,
    0xfb80bffb,0xfd00007f,0x417fe401,0x0fb83ffb,0x01bff200,0x007ffee0,
    0x0003ffe6,0xd003ffe8,0x3f9809ff,0x005fff88,0xff707ffd,0xfff3003f,
    0x3fa80001,0xdf71fa80,0x006ffc80,0x007ffff3,0x17fffa00,0x001fffc8,
    0x40007ec0,0x3fffa26a,0x07fff204,0x001fb000,0x203fffc0,0x0007fffc,
    0x00ffff70,0x3fa01be2,0xf10001ff,0x3e600dff,0x05ffd801,0xf103ffdc,
    0x417a2dff,0xfb01fff8,0x7ffb80bf,0x02fb8000,0x7dc17fec,0x4006e84f,
    0xb8006ffc,0xf9802fff,0x3a0000ff,0xffd003ff,0xf10bd007,0x3fa00dff,
    0x2fffb83f,0x00fff980,0x2017e200,0x01bee2f9,0x2200dff9,0x0004ffff,
    0x407ffff0,0x0001fffc,0x540007ec,0x037ffc46,0x0005fff9,0x20000fd8,
    0x7dc07fff,0x80000fff,0x7006fffc,0xfff7005f,0x3fe2000b,0x007a006f,
    0xf7017ff6,0xffff80ff,0x3fe206e8,0x017ff607,0x8000fff7,0xfff804f9,
    0x446ffa81,0x7fe4003f,0xfffa8006,0x0fff9803,0x0fffa000,0x400fffc0,
    0x7fff80fb,0x507ffd00,0xf3007fff,0x6c0001ff,0x2274400f,0x7fe406fb,
    0x3fffa006,0xff880004,0x3ff202ff,0x7ec0002f,0xd86a8000,0x3ff207ff,
    0x3f40002f,0x1fffe000,0x03ffff50,0x9fffb000,0x3ffffa00,0xffffffff,
    0x88000fff,0x32006fff,0x05ffd801,0x3203ffdc,0x200eefff,0x3f606ff9,
    0x3ffdc05f,0x401ba000,0xffb82ffe,0x20007dc5,0x98006ffc,0xf9805fff,
    0x3a0000ff,0xff8803ff,0x83f9800f,0xe800fffe,0xfff983ff,0x0fff9805,
    0x007f5000,0x80df70bb,0x36006ffc,0x80005fff,0x201ffff9,0x0002fffc,
    0x203b03ec,0x07ffa86a,0x000ffff2,0xf8000fd0,0x7fc407ff,0xe80002ff,
    0xfa802fff,0xcccccccd,0x3fffeccc,0x6fff8800,0x7ec00200,0x3ffdc05f,
    0x03fffe20,0x6407ff70,0x7fdc05ff,0x07f20007,0x5c17fe40,0x003744ff,
    0x40037fe4,0x401ffff8,0x0000fff9,0x2600fffa,0x17a005ff,0x2013fff6,
    0xff883ffe,0x7fcc01ff,0x6f88000f,0xcccdfb80,0x904cffec,0x7e400dff,
    0x980006ff,0x7dc07fff,0x740003ff,0x3540f607,0xf702ffd4,0xf80007ff,
    0x7ffc0006,0x5fffc807,0x7ffcc000,0x001fb006,0x003fffcc,0x0037ffc4,
    0x02ffec00,0x3201ffee,0x7f402fff,0x037fdc06,0x4001fff6,0x3ee004f9,
    0x23ffc83f,0xfc8003f8,0xffb0007f,0xfff980bf,0x3ffa0001,0x00ffd803,
    0xff503ee0,0xffe801ff,0x0bfffb04,0x001fff98,0xfc801fc8,0xffffffff,
    0x6ffc80ff,0x3fffe200,0x7fe40001,0x7ffdc03f,0x037c0004,0x321aa0bb,
    0x3fe604ff,0x3e60005f,0x7ffc0004,0xffff8807,0x3ff20001,0x05f8801f,
    0x02fffd80,0x037ffc40,0x2ffe4000,0x201ffee0,0x701ffffc,0xffa803ff,
    0xffee881f,0x06e8000f,0x742ffcc0,0x003ee0ff,0x983ffea0,0xffff8803,
    0x0bffee03,0x03ffe800,0x20017fcc,0xfffd83f8,0xbfff100d,0x0ffffe20,
    0x002fffb8,0x400027d4,0x7fec06fb,0x7ffdc006,0x3fe20005,0xfff9806f,
    0x13e60006,0x86a81fd8,0x3e200ffe,0x70000fff,0xff80007f,0xfff5007f,
    0x3fe2000b,0x03f9004f,0x0bfff500,0x06fff880,0x3ee16600,0x3ffec06f,
    0x3ffafea0,0x3ff910ae,0x7dfff100,0xff79f711,0x320053bf,0xffb8001f,
    0xdd0ffe60,0x3ffe6000,0x9000ea9d,0x4419ffff,0xa9dffffc,0x7fff4000,
    0x00bfd102,0x3fe61ba0,0x7fd41eff,0x6419afff,0x220cffff,0xa9dffffc,
    0x00374400,0x7406fb80,0xfe8007ff,0xf90001ff,0x3fe003ff,0xf70000ff,
    0x20f7ec07,0x00ffec6a,0x0017ffe4,0x00007fc4,0xd801fffe,0xc8000fff,
    0xf8800fff,0x3ffe0006,0x3fe2001f,0x0ba0006f,0x2207ffea,0x500fffee,
    0x7fffdc7f,0x2000cfff,0xfffffffb,0x7dffff74,0x0007f300,0x7fd4f7e4,
    0x8001fc45,0x2fffffe8,0x7fffe400,0xffadfeef,0x4000cfff,0x11cfffea,
    0x40007fd5,0xfff980fb,0xeaffefff,0xc81dffff,0xfeefffff,0xcfffffad,
    0x000fe400,0x2606fb80,0x4003ffff,0x8005fff9,0x2003fff8,0x8003fffc,
    0x3f600ff8,0x26d51cff,0xf1002ffd,0x44001dff,0xf80003fe,0xd1000fff,
    0xfa800bff,0x7f9001ff,0x7ffe4000,0x3ffe2005,0x01f90006,0x117dfff1,
    0xbfff79f7,0x9884e853,0x0000aaca,0x45fffff9,0x1002dffb,0xb50000dd,
    0x1f707dff,0x7ff44000,0xff50002d,0x3e69ffff,0xa80002ef,0xeffffffe,
    0x1fc40000,0xfffffe88,0x019ffd0e,0xffffffa8,0x005dff34,0x800013e6,
    0xffea85ea,0x005fffff,0x800bffee,0x4005ffd8,0x001efff8,0x2a00ffa2,
    0xffeffffd,0x54000cff,0x4401ffff,0x00004ffa,0x4001ffff,0x800effd8,
    0x1000dffc,0x540003ff,0x1001ffff,0x3000dfff,0x7ffdc0bf,0xff74ffff,
    0x00087dff,0x2ea20000,0x4000b981,0x00000098,0x40000ee0,0x73000008,
    0x00e44137,0x5dd44000,0x2e000009,0x055d4403,0x2e6000ae,0x0072209b,
    0x00000310,0x98000000,0xe9804ffe,0xf50003ff,0xa8803fff,0xa98005ff,
    0x0001bfda,0x5effffcc,0xfffeca9a,0xff100004,0xf50003ff,0xdb9837ff,
    0x7ec003ff,0x7fc40007,0xff5006ff,0x7dc001ff,0x7ffe402f,0x37fee2ff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb1000000,0x54415bff,0x0001effc,0x66ffffcc,
    0xfffeca9a,0x06a80004,0x3fae2000,0xffffffff,0xd500001c,0x003dffff,
    0xdfffd910,0x003bdfff,0x027ffe44,0xffffc880,0x3fa602df,0xccccefff,
    0xffeecccc,0x1ba8800f,0x00000b98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb500,
    0x007bfffd,0x7ffdc400,0xcfffffff,0x0d500001,0x2ea60000,0x000aaccc,
    0xfffffb00,0x01dfffff,0x26f2a600,0xfffc8000,0x000effff,0xfffffffd,
    0x3fa21fff,0xffffffff,0xffffffff,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x000acba8,0xcba98000,0x0000aacc,0x00000440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00007710,
    0x2e200593,0x04b80003,0x80000200,0x40001aa9,0x030000b8,0xddb00000,
    0x002a805d,0x3bbae009,0x04001002,0x01bc9800,0x2af2ea00,0x26666600,
    0x01999999,0x33333333,0x14c03333,0x00350000,0x3bae0071,0xeea8004e,
    0x4c00004e,0x0000deee,0x003bbba6,0x00800200,0x99999880,0x00009999,
    0x000bbbb2,0x32a20000,0x36201acd,0x05ffc881,0x400fe800,0x0005ffc8,
    0x4c001fd4,0x220005fe,0x4ffffffd,0x7ffec400,0x0f74000d,0x30001d70,
    0x3a009fff,0x200b6203,0x00fffff8,0x01d004a8,0x3fbfb220,0x3a6001ef,
    0x04ffffff,0xffffffb9,0x3b209dff,0xffffffff,0x37f5c44e,0x07f10000,
    0xff800f44,0xfe8000ef,0x00001fff,0x000bfff2,0x00bffee0,0x3200d100,
    0xfffe8002,0x00ffffff,0xdffff300,0x2a000000,0xffeefffd,0x81fd84ff,
    0x0005ffac,0x564017dc,0x220005ff,0xffb0006e,0xff50005f,0x0fffd41b,
    0x9d31ed80,0xa89f9000,0xf90003fe,0x6fd400bf,0xd802f440,0x804fffff,
    0xdb100cf8,0x877fa200,0xfa801ffa,0xffffffff,0x7fffec05,0xffd1002e,
    0xfc983bff,0x00006fff,0x2f442fdc,0x00fff980,0xfffffb80,0x3fa00006,
    0x3200003f,0xe80004ff,0x01f7101d,0xfffffb80,0x0005ffff,0x0ffffffa,
    0xff900000,0xffd7301b,0xfd00bee5,0x2fc4000b,0x0017fa00,0xb0001fc8,
    0x88007fff,0xdff306ff,0xfa85f100,0xaefb8000,0x20000dfd,0x6c000efe,
    0x03fd11ef,0xfd33ff30,0xfffb001f,0x07fffb7b,0x2a0dfd10,0x3fe602ff,
    0xfffda9ac,0x3ffe202f,0x7fcc001f,0xfba980ff,0x800006ff,0x1ff30efe,
    0x007fee00,0x362bfe20,0x880002ff,0x800004ff,0xb80007fe,0xfedbdfff,
    0xffe8005f,0x1fffffff,0x31df5000,0x00001ffd,0x005ffd30,0x09fdffd1,
    0x4000bfb0,0x7ec000fd,0x09f30005,0x07ffd400,0x80ffee00,0x7d403ffd,
    0x80017c40,0x0001fffb,0x40007fc4,0x4febfff9,0xfd81dd00,0xffff8805,
    0xb005ffff,0x37f403ff,0x7fdc0bd0,0x7fffc05f,0x7ffc4000,0x06ffd807,
    0xfffa8000,0x3a003ffb,0x5f90002f,0x80007fb8,0x000005fb,0x00003fd1,
    0xfffffffb,0xbfa8001f,0x2aaaaaaa,0x883ba000,0x400004fd,0x2001fffa,
    0x800fffe8,0xf50005fd,0x0bfb0005,0x0001ba00,0x7fc00062,0x1bfee00f,
    0x00f50be0,0x0fffff20,0x003f7000,0x7ffffe40,0x700ea800,0xffb1003f,
    0x30019fff,0xffb80dff,0xfd806b83,0x3ffe00ff,0x7fc4000f,0x6ffc807f,
    0xffb00000,0x22001fff,0x3f10004f,0x0000fea0,0x000001db,0x400027c4,
    0xdfffffc8,0x006e8000,0x403ae000,0x100001fc,0x3000bfff,0xfb00bfff,
    0x0bf1000b,0x0017f600,0x000007f2,0x07ff8800,0x6403ffd4,0x004fb8bf,
    0xffe9ffd4,0x00b60002,0x7ffff100,0x9801b100,0x2f2ea005,0x13ffa001,
    0x150dff30,0x01fff500,0x8003fffc,0xdd907fff,0xddddffff,0xf98000bd,
    0x2e002fff,0x00760005,0x220001d1,0x8000000f,0x26000069,0x50002bcb,
    0x2000005f,0x005a8058,0x01fffb00,0x5ffffb00,0x8005fd80,0xfb0000fd,
    0x04f9800b,0x4c000000,0x7fd407ff,0x7fe4400f,0x3f6000cf,0x017ffcc3,
    0x10000180,0x00200333,0x80000008,0xf802fff9,0xf30002ff,0x7fff80df,
    0x0ffff000,0x3fffbbb2,0x005eeeee,0x00199880,0x0020000c,0x03100008,
    0x00c00000,0x40000000,0x2000006e,0x00002000,0x0013ffee,0x3fffeff2,
    0x0017f600,0x6c0007f5,0x0374005f,0x2001a000,0x7dc06ffa,0x000c005f,
    0xfff70098,0x00000003,0x00000000,0xffb80000,0x6ffd800f,0x07ff3000,
    0x0007fff8,0xf700ffff,0x000000df,0x00000000,0x00000000,0x00000000,
    0x7d400000,0x000001be,0x44000000,0x4000ffff,0x9fffb4fa,0x1002fec0,
    0xfd8000df,0x00bee005,0x80058800,0x7e406ffb,0x0000003f,0x00dffd00,
    0x00357510,0x006aea20,0x00d5d440,0x026eea20,0x803ffec0,0x70007ffc,
    0xfff801df,0xffff0007,0x00dff700,0x55d4c000,0x35751000,0x00000a21,
    0x00000000,0x00000000,0x7fff4000,0x00001cff,0xb8000000,0x4c006fff,
    0x3fffee5f,0x400bfb00,0x6c0000fd,0x09f3005f,0x004a8000,0x7c06ffb8,
    0xba8800ff,0x9800009b,0x03fff99a,0xfffdff70,0x3fee005d,0x002efffe,
    0xdfffdff7,0xeffd9805,0x7c03efff,0xff7007ff,0x1fb0001f,0x00ffff00,
    0x201fffe0,0xba886ffb,0xfffc8000,0x2e01efff,0xeefffdff,0x7ffffec4,
    0xfffffa85,0xfffffb07,0xfffff50b,0x3ffff60f,0xffffa85f,0xffffb07f,
    0xffff50bf,0x7ffd40ff,0x404fffff,0xfffffffd,0xffffff10,0xfff90dff,
    0x3ff603ff,0x3be2005f,0x07fffe60,0xfa802fec,0x5fd80003,0x0001fd00,
    0xb8003b80,0x3ff206ff,0x77fecc02,0x4003efff,0xedffffea,0x36201fff,
    0xfff510cf,0x867ec409,0x204fffa8,0xf510cfd8,0x3fea09ff,0x5fff710c,
    0x01bffe20,0x000fffdc,0x7fc007ee,0xfff0007f,0x4dff700f,0x0dffffd8,
    0x51cfe880,0xf907fffb,0x27fe4c17,0x205fffa8,0x5407fff9,0x3e605fff,
    0x7fd407ff,0x3ffe605f,0x2fffd407,0x40ffff30,0xfffffffd,0x3ea01eff,
    0xff305fff,0x74401bff,0x3ffa00df,0x07fa004f,0x6c0ffffe,0x06e8805f,
    0x00bfb000,0x800005f7,0xfb8001e8,0x6ff54c6f,0x867fd400,0x002fffb8,
    0x3aa23bf9,0xf105ffff,0x3fff607f,0xb03ff882,0xff105fff,0x0bfff607,
    0x3ee0fff3,0xfff980ff,0x5fff7006,0x006fdc00,0x0007fff8,0xf700ffff,
    0x3fffe6df,0x7c405fff,0x3fffd00e,0x9f9037cc,0x202fffc0,0xff807ffd,
    0x3ffec05f,0x202fffc0,0xfe807ffd,0x3ffec05f,0xfffdb980,0x3ea02fff,
    0x3fea03ff,0x00fe802f,0x00ffffe2,0xfff817e4,0x00dfd04f,0x200003f9,
    0x2fc406fe,0x03640000,0x6c6ffb80,0x2602efff,0xfff707ff,0x205fe801,
    0xc80ffffe,0x3ffe606f,0x2606fc85,0x6fc85fff,0x917ffe60,0x3fe20bff,
    0x5fffa82f,0x07fff500,0x7ffffb30,0x00ffff00,0x201fffe0,0x2cf9effb,
    0x405fff91,0x3fe201fd,0xf013f25f,0x02ffec09,0x3601ffee,0x7fdc05ff,
    0x05ffd807,0x6c03ffdc,0x7fdc05ff,0xffd88007,0x3fa00fff,0x27ff405f,
    0xf300fe20,0xf7005fff,0x37fff407,0x0b3fff2a,0x088027cc,0x59fff950,
    0x00003f60,0x20007f50,0xfca86ffb,0xffc80eff,0x05fff105,0xd1007fdc,
    0xff987fff,0x22fffc02,0x7fc02ff9,0x017fcc5f,0xff917ffe,0x41fffc09,
    0x5005fffa,0x7d409fff,0x4fffffff,0x003fffc0,0xb807fff8,0xfd02ffff,
    0x01be60bf,0x7f47fffe,0xfb026407,0x7ffb80bf,0x405ffd80,0xfd807ffb,
    0x3ffdc05f,0x202ffec0,0x20007ffb,0x205ffff9,0x2e00fffa,0x07dc07ff,
    0x07fffee0,0xfe80bf30,0x4ccc47ff,0x00dd0099,0x4cc41bea,0x2fa80999,
    0x07dff930,0x0001ff30,0xfa81bfee,0x7fe40eff,0x40fffe04,0xfb805ff8,
    0x07ff46ff,0xfd033220,0x0cc8801f,0x22007ff4,0x0ffcc0cc,0xf507fff0,
    0x3ea009ff,0x654404ff,0x03fffffe,0x4001fffe,0xfb807fff,0x3ff201ff,
    0xb009fb07,0x3ff65fff,0xfd812604,0x3ffdc05f,0x202ffec0,0xfd807ffb,
    0x3ffdc05f,0x202ffec0,0x40007ffb,0x201ffff9,0x3e203fff,0x017a02ff,
    0x80bfffea,0x7ec00ef8,0x320007ff,0x6ff9801f,0x82fc4000,0x5fffeffd,
    0x0013fa20,0x5406ffb8,0x7fcc5fff,0x40fffe01,0xf8803ffd,0x1ffe0fff,
    0x00fff000,0x0007ff80,0x7ffd4008,0x04fffa83,0x009fff70,0x07ffffb8,
    0x4001fffe,0xfb807fff,0x3ffd406f,0xfffffff8,0xffffffff,0x03dfff73,
    0x80bffb00,0xfd807ffb,0x3ffdc05f,0x202ffec0,0xfd807ffb,0x3ffdc05f,
    0x7ffcc000,0x81bff203,0xf306fffb,0xffff1005,0x4007f405,0x0006fffe,
    0xfd1009f3,0xfd8000df,0x3662f980,0x3ffb03ff,0x37fdc000,0x207fff40,
    0x1fffd400,0xb002fff8,0x3fe65fff,0x3fe60006,0x3fe60006,0x91000006,
    0x307fffdf,0x2e00bfff,0x88003fff,0xff02ffff,0x3fe000ff,0x6ffb807f,
    0x207ffd40,0x9999cff8,0x99999999,0xbfffff10,0x2ffec003,0x201ffee0,
    0x7dc05ffd,0x5ffd807f,0x403ffdc0,0x7dc05ffd,0xfb00007f,0x7ffcc0bf,
    0x3fffdd01,0x7fc00f90,0x05fb03ff,0x017fffa0,0xed803740,0x2a0006fc,
    0xf305b03f,0x0dff70bf,0x06ffb800,0x803fffb8,0x3fffefc8,0x002fff88,
    0x3ea7fff7,0x3ea0006f,0x3ea0006f,0x4c00006f,0x7ffd2dfd,0x00bfff10,
    0x000bffee,0xf81fffd4,0xff0007ff,0xdff700ff,0x40fffa80,0x40005ff9,
    0xdffffffa,0x05ffd800,0x6c03ffdc,0x7fdc05ff,0x05ffd807,0x6c03ffdc,
    0x7fdc05ff,0xff300007,0x84ffe80d,0x84ffe9fa,0x3ffa004f,0x003fb84f,
    0x0013fffe,0x3f200bee,0x10006fc8,0xfd00c0df,0x02fff889,0x037fdc00,
    0x3027ffc4,0x3ffa5bfb,0x01fffa83,0x2e9fff70,0x2e0007ff,0x2e0007ff,
    0x100007ff,0xffe83dfb,0x00dfff03,0x0007fff2,0xff04fff8,0x3fe000ff,
    0x6ffb806f,0x207ffcc0,0x80006ffa,0xffffffe9,0x02ffec02,0x3601ffee,
    0x7fdc05ff,0x05ffd807,0x6c03ffdc,0x7fdc05ff,0x3fe00007,0x43ffdc06,
    0xa8fff75e,0x3ff2000f,0x002fd45f,0x003ffff1,0xfa804f98,0x2000df91,
    0xff0000fc,0x00fffb83,0x037fdc00,0xd885fff8,0x1fff41ef,0x801fffdc,
    0xff54fffa,0x3ea0001f,0xf50000ff,0x880001ff,0x7ffd05fe,0x401bffa0,
    0x40007ffd,0xfff04ffd,0x3ffe000f,0x06ffb806,0x2a07ffcc,0x200007ff,
    0x4fffffea,0x7017ff60,0xffb00fff,0x07ffb80b,0x5c05ffd8,0xffd807ff,
    0x03ffdc05,0x809fd000,0x3e62fff8,0x6c5fff11,0x7ffdc005,0x5001be27,
    0xd000ffff,0x22f9801f,0xfa8006fc,0x0ff30003,0xe980dffb,0x0dff700c,
    0xd11bffa0,0x0fffa0bf,0x4013ffee,0xff32fff9,0x9844007f,0x22003fff,
    0x007fff30,0x0bff3044,0xfb81fff4,0xffe800ff,0x7fdc0005,0x00ffff02,
    0x2013ffe0,0x7cc06ffb,0x7ffc40ff,0x2e004002,0xb01fffff,0xffb80bff,
    0x05ffd807,0x6c03ffdc,0x7fdc05ff,0x05ffd807,0x0003ffdc,0xfb005fd0,
    0x3f636cbf,0x0005f15f,0xfd15fffd,0xfffc8001,0x017dc004,0x0df913a2,
    0x0006e880,0x3ffe07f6,0x81ffec05,0xfb006ffb,0x02ffccbf,0xff507ffd,
    0x3fe600bf,0x0dfff10f,0xfff88e40,0x7c472006,0x872006ff,0x3fa02fff,
    0x5fff103f,0x03fff880,0x80ffdc00,0xf0007fff,0xff7007ff,0x0fff980d,
    0x2006fff8,0x7ec4053a,0xbffb04ff,0x807ffb80,0x7dc05ffd,0x5ffd807f,
    0x403ffdc0,0x7dc05ffd,0x3e00007f,0xfffa800f,0x7fd42f98,0x30007b8f,
    0x03fb9fff,0x0ffff880,0x2017e200,0x006fc85d,0xa8000fe4,0x4fff882f,
    0xb837fe40,0xffb006ff,0xd017ffc7,0xfff107ff,0x1bfe600d,0x3005ffff,
    0x02ffff8d,0x7fffc698,0x3e669802,0x3ffa00ff,0x013ff603,0x0001fff3,
    0x3fe06fc8,0xfff0007f,0x0dff7005,0xe80fff98,0x1d002fff,0xdffd003a,
    0x7017ff20,0xff900fff,0x07ffb80b,0x5c05ffc8,0xffc807ff,0x03ffdc05,
    0x005f9800,0x41b2fffe,0x004ebfff,0x0fffff20,0x0bfff200,0xb801fb00,
    0xfeccccdf,0x4f9804cf,0x407f5000,0x7cc05fff,0x0dff707f,0x7ccbff60,
    0x3ffa00ff,0x01ffff03,0xfb8bff50,0x3a201fff,0x0ffffdc3,0xffb87d10,
    0x8fa201ff,0x3a02fffa,0x3fe603ff,0x01ffe406,0xf00ff400,0x32601fff,
    0x801fff82,0x7cc06ffb,0xfffa80ff,0x7d36c03f,0x706ffb80,0xffd80dff,
    0x06ffb807,0x5c03ffec,0x7fec06ff,0x06ffb807,0x0003ffec,0x32000fe8,
    0xf903feff,0x40003fff,0x8006fff8,0x4004fff8,0xffc802fa,0xffffffff,
    0x0037400f,0x7ec02f98,0x05fe807f,0x1ed4dff9,0xfff53ff4,0x81fff405,
    0xc805fffa,0xfffe82ff,0x80fea82f,0xa82ffffe,0xfffe80fe,0x20fea82f,
    0xd885fffa,0x320a4fff,0x1bfe01ff,0x0bf90018,0x880ffff8,0x3fe22fff,
    0x0dff7005,0xd00fff98,0x4439ffff,0x03fa1fdb,0xf504ff88,0xfdd103ff,
    0xffa801ff,0xffee881f,0x7ffd400f,0xfffee881,0x0fffd400,0x07fff6c4,
    0x3200664c,0x7fcc001f,0x3ffe207f,0xffb80006,0x7fec004f,0x02fc4005,
    0x8037e400,0xfa8001fc,0x7ffd4501,0xc81ff403,0x83ffa6ff,0x3fea3ff8,
    0xfffd885f,0x5fffb0a4,0xf505ff80,0xfbbfffff,0x3fea03ff,0xffddffff,
    0xffff501f,0x3fffbbff,0x9dffff88,0xeffedfb8,0x0dfb03da,0x7f407ff2,
    0x09f700cf,0x81ffff88,0x3ea6fffa,0xfff9000f,0x00fffa80,0xfffffff3,
    0xfe89fffd,0x407fee05,0x88befff8,0xdfffbcfb,0xdfff1029,0xf79f7117,
    0x22053bff,0xb88befff,0x9dfffbcf,0x7dfff102,0xff79d711,0x7ff453bf,
    0x17f441bf,0x04ffe800,0x0001ffec,0x0fffffe2,0x013ffa20,0x00003f60,
    0x3e601bf2,0x9afb8004,0x644ea999,0xbf501fff,0xfd37fec0,0x2237dc1f,
    0xb89dffff,0xdaeffedf,0x07fffcc3,0x2a00ffc8,0xffffffff,0x7ffd403f,
    0x03ffffff,0x7fffffd4,0xff903fff,0x327fffff,0x7404ffff,0x3ff931df,
    0x3ffffe20,0x02febaad,0x77ffff54,0xb4fffe81,0x7fec005f,0x0fffd407,
    0xffffff30,0xffd0bfff,0x03fe983d,0x7fffffdc,0xdffff74f,0x7fffdc07,
    0xfff74fff,0x7fdc07df,0xf74fffff,0x5c07dfff,0x4fffffff,0x47fffff7,
    0xdefffffb,0x20000efe,0x7d400ffb,0x7f40000f,0x2ceffc89,0x07bfee62,
    0x000fea00,0x74037e40,0x7fe4000e,0x1fffffff,0x89bfffc8,0xf500cfda,
    0x4ffd4dff,0xfc80efc8,0x93ffffff,0x2609ffff,0x911cfffe,0xfd1001df,
    0x001dffff,0x3fffffa2,0xffd1000e,0xb801dfff,0x260effff,0xb8803fff,
    0x00cffefe,0x7fffffd4,0x3f600cef,0xffffffff,0xffff50ef,0x7cc005df,
    0x3fa03fff,0x36200dff,0x03ffffff,0xdbdfffdd,0x3f2005df,0x3ee2ffff,
    0xff9002df,0x7fdc5fff,0xfff9002d,0x6ffdc5ff,0xffff9002,0x16ffdc5f,
    0xefffffd8,0xf880002c,0x000bf004,0x7e442fc8,0xefffffff,0x0df10002,
    0x02f5c000,0xd5000bee,0xdddddddd,0x7ff6c40b,0xff301def,0xfdb8dfff,
    0x3ee00cef,0x3e60efff,0xffc803ff,0x003fffff,0x001aca88,0x00359510,
    0x006b2a20,0x06009988,0x00554400,0x01555510,0x5cc00000,0x3faa002b,
    0x35efffff,0xfffffffd,0x1bb9880b,0x79531040,0x37510003,0x10001730,
    0x01730375,0x30375100,0x75100017,0x30017303,0x00001555,0x06a00170,
    0x88077000,0x0001bcba,0x00000988,0x00018800,0x00100000,0x80022000,
    0x00600998,0x006b2a60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x774c0008,
    0xd900005e,0xea8007dd,0x240005ee,0x4c001a80,0x00000002,0x2a0132a6,
    0x000ab881,0x829800a6,0x99999998,0x4cccc199,0x00999999,0x26666662,
    0xeeec8009,0x3ba60001,0xdd9000de,0x3331007d,0x13333333,0x26666200,
    0x33101999,0x33333333,0x20013333,0x2e20aba9,0x99999880,0x00999999,
    0x4cccccc4,0x08000199,0x0fbbae00,0x3bbae000,0x3bba6004,0x2a20000e,
    0x2a80acdb,0x0d401220,0x077fae00,0xffb00064,0xf00005ff,0x32000dff,
    0x20001fff,0x016e00eb,0x003ff5c4,0x3fae0000,0xf7101bdf,0x7fff549f,
    0x7fdc00df,0x1bfae205,0x3fffffaa,0x7fec4fff,0x3effffff,0x3ffffae0,
    0x7fd404ff,0x320006ff,0x22001fff,0xfb806ffe,0xffffffff,0xfff5004f,
    0xf01fffff,0xffffffff,0x05ffffff,0x7ffffec4,0xb80ffacf,0xfffffffd,
    0x6dc01cef,0xceffffff,0x0dffb880,0x3fe200b0,0x40000fff,0x4000effe,
    0x0002fffb,0xfffffff7,0x807d35bd,0x016e00eb,0x9ffffff0,0x3ea00681,
    0x000fffff,0x003bfea0,0x004ffd80,0x7dc17f40,0x7ffe4401,0x0000007f,
    0xa803dff7,0xf94ffffd,0x3dffffff,0x207fff40,0x06ffffc9,0x13ffffe2,
    0x3fffff90,0x27ff4400,0xfffffe80,0x5fff0002,0x3fff1000,0x3fffa600,
    0xf50002ff,0x3ea05dff,0xffffffff,0x00ffffff,0x2e215ff5,0x200fffff,
    0x1fffffc8,0xfffc8800,0x3fffe201,0x01a20cff,0x27ffffe4,0x3fff3000,
    0x17ff2000,0x17ffd100,0x3fffb2a2,0x81fe803f,0x3ee001fc,0xcfffffdb,
    0x3fa005d9,0x0009ff94,0x0000ffe4,0x0001bfa2,0x27e47ff5,0x7ffd54c0,
    0xd8000007,0x957005ff,0x9df59fff,0x0dffffd9,0x54c37fe4,0x4c06fffb,
    0xe801ffff,0xc8007fff,0x1df7005f,0x8001fff3,0x20004ff9,0x22003ff9,
    0x0006ffff,0xfb017fe4,0xffffffff,0x20bfffff,0xff300efc,0xfff001ff,
    0xff80009f,0x7edfe403,0x5d9bffff,0xe89ff980,0xf70001ff,0xfd80005f,
    0x0ffec007,0x00ffff60,0x4fc8ffea,0xfd306c00,0x003fffff,0x1ff50fee,
    0x007fe000,0x007fc400,0x377ffa00,0x7ec000ff,0x2000007f,0x0002ffe8,
    0x705fbfff,0x2205ffff,0x7fec00cb,0x2fffe806,0x07fffa80,0x8801fd80,
    0x13fa20ef,0x000bf700,0xc800df50,0x40006fff,0x3fe205fd,0x99999aad,
    0xa82ff999,0x7fe401ff,0xfffe800f,0x0ff40002,0xffea83a0,0xd801ffff,
    0x002fe41f,0x80003fe8,0xf7001fe8,0x3ff6007f,0xbbffd003,0x058001ff,
    0x005ffff5,0x2f4c0be2,0x001fcc00,0x000fe600,0x7fffff30,0x0fff9000,
    0x3fa20000,0x3fe0003f,0x3ff201ff,0xfc80007f,0xfffb806f,0x3ffff005,
    0x9006f800,0x0007e40b,0x640000dd,0x3fe2000f,0x3e0001ff,0x00bf200f,
    0xfe80ffa8,0x0fffb805,0x02fffd80,0x2007ec00,0x5ffff705,0x2e01d500,
    0x27c4002f,0x09f10000,0x8003ffa0,0xff3003fd,0x10007fff,0x64001880,
    0x000ec402,0x40000132,0xfc80005a,0xf70006ff,0x200000ff,0x40005ffe,
    0x7c404ffe,0x40001fff,0xf8806ffc,0xfc800fff,0x3e6004ff,0xa8058803,
    0x001d1005,0x4003d800,0x0004fffd,0x02f809f5,0x7e42fec0,0xfff9802f,
    0x1fffd800,0x007ec000,0x40033002,0x0034c00d,0x2000016a,0xfff88069,
    0x00fea000,0x006fffd8,0x02000000,0x00c00080,0x000a0000,0x00266620,
    0x003ffdc0,0x07ffec00,0x13ffa000,0x00bfff20,0x00dff900,0x200bfff6,
    0x2006fff9,0x000800fc,0x00044002,0x4c001800,0xb0007fff,0x001c403f,
    0x7ffc17fc,0x0fff9800,0x01fffd80,0x0007ec00,0x40020000,0x0000c000,
    0xff300300,0x1fc4005f,0x01333100,0x00000000,0x00000000,0x00000000,
    0xfff70000,0xffa80000,0xfe80002f,0xfffa804f,0x7fe40004,0xbfff5006,
    0x07fffa00,0x000037c0,0x00000000,0xfffd0000,0x05f88005,0x0ffa8000,
    0x9803ffc4,0xfd800fff,0x6c0001ff,0x0000000f,0x00000000,0xf1000000,
    0x3d800dff,0x00000000,0x00001573,0x00001573,0x00001573,0x00001573,
    0x7fdc0000,0x7f400007,0xfd00006f,0xfff3009f,0xffc8000b,0xffff1006,
    0x9fffd001,0x0007f500,0x0002aea6,0x00055d4c,0x000aba98,0x006fffa8,
    0x000017dc,0x7fcc2fe4,0x1fff3007,0x03fffb00,0x000fd800,0x0026eea2,
    0x04ddd440,0x9bba8800,0x77510000,0x3ffa0013,0x077000ef,0x000ab980,
    0x7fffed40,0x6d4004ff,0x04ffffff,0x7fffed40,0x6d4004ff,0x04ffffff,
    0x17fffff6,0x1fffffea,0x001ffee0,0x03fffb80,0x09ffd000,0x409fff10,
    0x37fe403a,0x07fffb00,0x07ffff88,0x64000fc8,0x1effffff,0xfffff900,
    0x3f2003df,0x01efffff,0x00ffffc0,0x00000fd0,0x3fee0bfe,0x1fff3007,
    0x03fffb00,0x800fd800,0xfffeffd9,0xffb3003e,0x007dfffd,0x3ffbff66,
    0xfb3003ef,0x07dfffdf,0x2fffffc8,0x3f6a0000,0x004fffff,0xb10efec4,
    0xd8801dff,0x3ff621df,0x6fec400e,0x03bff621,0x443bfb10,0x2a00effd,
    0x3e605fff,0xffb807ff,0xfffff907,0xfffd05df,0x06f72a21,0x004ffe80,
    0xfb887fff,0x37fe406f,0x0bfff500,0x1fffffb8,0xd1002fc0,0x3ff6a39f,
    0x33fa203f,0x07fffb51,0xda8e7f44,0x32003fff,0xf5005fff,0xf5000009,
    0x1fff701f,0x01fff300,0x003fffb0,0x5400fd80,0xff710cff,0xcffa805f,
    0x05fff710,0x710cffa8,0xfa805fff,0xfff710cf,0x7fff4405,0x20000dff,
    0x3621dfd8,0xfd000eff,0x3fff201d,0x403bfa01,0x3a01fffc,0xfff900ef,
    0x8077f403,0x3e01fffc,0x7fec05ff,0x07ffb807,0x980bbfea,0xffd9dfff,
    0x800effff,0xff004ffe,0x3fff665f,0x37fe406f,0x03fffe00,0x4fffbfe8,
    0x4400fea0,0xfffd00ef,0x201df103,0xf881fffe,0x3fffd00e,0x3fffe200,
    0x000fd800,0x505fc800,0xf3003fff,0xffb001ff,0xfd80003f,0x41ffe600,
    0xf300fffb,0x3ffee0ff,0x20fff300,0xf300fffb,0x3ffee0ff,0x3fffe200,
    0xd0004fff,0x3ff201df,0x0ffe401f,0x641bffa0,0x7ff401ff,0x803ff906,
    0xff906ffe,0x06ffe803,0xf7017ff6,0xfff700ff,0x2006fec0,0x9cfffffb,
    0x2ffffca8,0x4027ff40,0x5531fff8,0xfc80dfff,0x7fe4006f,0xf19f303f,
    0x07ec0fff,0x2201fd80,0x1fd85fff,0x217ffe20,0x3fe201fd,0x3ff6005f,
    0x02fc404f,0x02ff8000,0x3007fff3,0xfb001fff,0xd80003ff,0x17ff200f,
    0xc817ffc4,0xfff105ff,0x417ff205,0xf902fff8,0x3ffe20bf,0x7fffcc02,
    0x2002ffff,0x7f401ffc,0x1bfe606f,0x30fffee0,0xff700dff,0x06ff987f,
    0x4c3fffb8,0xffb806ff,0x0bffb03f,0xb807ffb8,0x07f907ff,0x033fffa0,
    0x007fffdc,0xf3009ffd,0x1bff60df,0x800dff90,0xf906fff9,0x40bfff63,
    0x0df3005f,0x4c3ffff0,0xffff806f,0x3e01be61,0xf3001fff,0x2fc80fff,
    0xff980000,0x0ffff100,0x001fff30,0x0003fffb,0x3f200fd8,0x0fffe04f,
    0xff027fe4,0x13ff207f,0xf903fff8,0x1fffc09f,0x7fffec40,0x4c01efff,
    0xffb806ff,0x0bff703f,0xb83fffe0,0xfff005ff,0x02ffdc1f,0x2e0ffff8,
    0xfff005ff,0x0bffb01f,0xb807ffb8,0x03fd87ff,0x003fffe0,0x7409fffb,
    0xffb804ff,0x80dff902,0xe8006ffc,0x26e80fff,0xfa85fffa,0x009fb002,
    0x7ec5fffb,0x2fffd804,0x3f6013f6,0x3fa002ff,0x01fe03ff,0x02fe4000,
    0x700ffffa,0xfb001fff,0xd80003ff,0x07fe600f,0xf303fff8,0x1fffc03f,
    0x3e01ff98,0x3ff303ff,0x001fffc0,0xffffffd5,0x2ffdc09f,0x80ffff80,
    0xf9003ffd,0x1ffec5ff,0x22fffc80,0xf9003ffd,0x1ffec5ff,0x82fffc80,
    0x7dc05ffd,0x7ffb807f,0xf000bf62,0xff300fff,0x3ffa01ff,0x205ff806,
    0x7e406ffc,0xffc8006f,0x3e27cc3f,0x07ec0fff,0xffffff80,0xffffffff,
    0x3ffffe3f,0xffffffff,0x3fffe3ff,0xffffffff,0x2a003fff,0x9f506fff,
    0x3fe00000,0x7fffcc02,0x1ffff704,0x03fffb00,0x400fd800,0x1fffd400,
    0xfffa8010,0xff500203,0x2a00407f,0xb8003fff,0x5fffffff,0x2007ffb0,
    0xff82fffc,0xfff7002f,0x8017ffc7,0x3fe3fffb,0xfff7002f,0x8017ffc7,
    0xfd83fffb,0x3ffdc05f,0xe8bffdc0,0x7fc4002f,0xfffd007f,0x13fffa03,
    0x3201ffb8,0x7fe406ff,0xfff98006,0x3f60fe46,0x017e22ff,0x4cce7fc4,
    0x99999999,0x339ff109,0x33333333,0x33fe2133,0x99999999,0x40009999,
    0xfd81ffff,0xf9800000,0xfffd800f,0xaeebacef,0xfc800fff,0x6c0001ff,
    0xfc88000f,0x4003fffe,0x3fffefc8,0x7f7e4400,0x644003ff,0x003fffef,
    0xfffff910,0x05fff09f,0x30fffee0,0x2a005fff,0xfff34fff,0x3ffea005,
    0x005fff34,0x7cd3ffea,0xff5002ff,0x0bffb09f,0xb807ffb8,0x03fe8fff,
    0x06fff880,0x205fff70,0x40bffffe,0x7e401ffb,0x37fe406f,0x1fffe800,
    0x3ffea1be,0x4c00bea5,0x260005ff,0x260005ff,0x000005ff,0x445fffb8,
    0x9000005f,0x3fa200bf,0x8effffff,0xc800fff9,0x40002fff,0x366000fd,
    0x07ffd2df,0x74b7f660,0xfb3003ff,0x00fffa5b,0xfe96fecc,0x74c0003f,
    0x262fffff,0xf5002fff,0xfffb89ff,0x9fff3003,0x400fffee,0xff74fff9,
    0x3fe6007f,0x07fff74f,0x213ffe60,0x7dc05ffd,0xfffb807f,0x8001fffe,
    0xf5006ffe,0x3ffa07ff,0xffdeffbc,0x6ffc800d,0x0037fe40,0xf33fffb8,
    0x43fffe07,0xff5000fd,0x7fd4000d,0x3fea0006,0x88000006,0x3f20ffff,
    0xff000002,0xfffc8005,0x3ffe64ff,0x2fffc800,0x803f4000,0x7f41efd8,
    0x77ec403f,0x201fff41,0x7f41efd8,0x77ec403f,0x001fff41,0x5ffffc80,
    0x400fffee,0x7dc4fff9,0xff1003ff,0x0fffee5f,0xb97ffc40,0xf1003fff,
    0x3ffee5ff,0x5fff1003,0xb80bffb0,0xffb807ff,0x00efff9f,0x803ffec0,
    0xfd02fff9,0x26eea29f,0x1bff2000,0x000dff90,0x7e5bffe2,0x17fff900,
    0x7fd400bf,0x3fea0007,0x3fea0007,0xb0000007,0x037c9fff,0x0ff98000,
    0x81ba8800,0xc800fff9,0x40003fff,0x5fe8807e,0x4407ffd0,0x7ffd05fe,
    0xe82ff440,0x3fa203ff,0x207ffd05,0xfffd8006,0x00fffee7,0x2617ffc4,
    0xf1004fff,0x3ffe63ff,0x3fff1004,0x4013ffe6,0xff31fff8,0x3fe2009f,
    0x05ffd81f,0x5c03ffdc,0xbfff77ff,0x0fffb800,0x01fff880,0x00009ffd,
    0xf901bff2,0x7ec000df,0x2606f9ff,0x02faefff,0x00bffe20,0x0bffe210,
    0x3ffe2100,0x40004002,0x7f57fff9,0x3f200000,0xf3000005,0xff7001ff,
    0x6f80007f,0xd02ffcc0,0x3fe607ff,0x40fffa05,0x3fa05ff9,0x0bff303f,
    0x0781fff4,0x23fffd00,0x1004fff9,0xff883fff,0xfff3007f,0x803fffc4,
    0x3fe27ff9,0xfff3007f,0x803fffc4,0xffb07ff9,0x07ffb80b,0x3f27ffb8,
    0x3ea004ff,0xff9801ff,0x09ffd00f,0x1bff2000,0x000dff90,0x1ff7ffd4,
    0x1fbfffa0,0x01bffe00,0x1bffe3a8,0x3ffe3a80,0x000ea006,0x7f5ffff4,
    0xfd000000,0x26000005,0xf9800fff,0x260005ff,0x17ffc04f,0x3e07ffd0,
    0x3ffa02ff,0x405fff03,0xfff03ffe,0x81fff405,0xffc8001f,0x0ffff10f,
    0x741ffe60,0xfa802fff,0x17fff45f,0x3a2ffd40,0xfa802fff,0x17fff45f,
    0xc82ffd40,0x7fdc05ff,0x47ffb807,0x1002fffe,0xf5007fff,0x27ff40bf,
    0x6ffc8000,0x0037fe40,0x1fffff10,0x5ffffc80,0x2fffe800,0x7ff41d00,
    0x741d002f,0x1d002fff,0x3ffea000,0x000005ff,0x00001ff3,0x003ffe60,
    0x003fffe2,0xf3017dc0,0x7ff401ff,0x00fff983,0x3e60fffa,0x3ffa00ff,
    0x00fff983,0x2fc0fffa,0x23ffd400,0xa802fffe,0xfff305ff,0x85ff900b,
    0xc805fff9,0x7ffcc2ff,0x42ffc805,0xc805fff9,0xdff702ff,0x807ffd80,
    0x7fc47ffb,0xff5000ff,0x03ff700d,0x00027ff4,0x6406ffc8,0x6c0006ff,
    0xf9805fff,0xa8002fff,0x6c03ffff,0x1ffffd46,0xfff51b60,0x006d807f,
    0x17ffffc0,0x5fc80000,0x3e600000,0xff9000ff,0xff10007f,0x17ffd401,
    0xf507ffd0,0x7ff405ff,0x02fffa83,0x3ea0fffa,0x3ffa02ff,0x8003ff03,
    0x7fcc5ffc,0x2ffc805f,0x007fff60,0x3ff60bff,0x82ffc01f,0x7c01fffd,
    0x3fffb05f,0x2a05ff80,0xee881fff,0x7dc00fff,0xefffa87f,0x09ffb000,
    0x7f405fe8,0xf900004f,0x6ffc80df,0x7ffd4000,0x0fffd002,0x7ffff400,
    0x07f6e21c,0x873ffffa,0xfe81fdb8,0x2e21cfff,0x5c0001fd,0x00006fff,
    0x0000bfa0,0x01fffa80,0x01dfff10,0x201ff440,0xd885fffa,0x7d4a4fff,
    0xffd885ff,0x7ffd4a4f,0x4fffd885,0x42fffd4a,0x8a4fffd8,0xd1001fff,
    0xfffb03ff,0x405ff803,0x700fffe8,0x3fa201ff,0x1ff700ff,0x03fffa20,
    0xe8807fdc,0xff700fff,0x77ffc401,0xfbcfb88b,0xf9029dff,0x3ffee0ff,
    0x1ffd1005,0xf0037ee0,0x20000bff,0x7e407ffc,0xff80007f,0x9ff7000f,
    0x7ffcc000,0xfffeffff,0xfffff304,0x09fffdff,0x3fffffe6,0x004fffef,
    0x03fff880,0x1ff30000,0x7dc00000,0x3ea001ff,0x54401fff,0xff8804ff,
    0xdfb89dff,0x13daeffe,0x713bffff,0xb5dffdbf,0x37fffe27,0xffedfb89,
    0xfff13dae,0xdbf713bf,0x7c7b5dff,0xfd802fff,0xfffd103f,0x003fee01,
    0x42fbff62,0x4400efc8,0x910beffd,0xfd8801df,0xdf910bef,0xeffd8801,
    0x01df910b,0xffffff70,0x3fffee9f,0x1fffb03e,0x013fffa0,0x2e177fcc,
    0xfffa805f,0xfd80001f,0x3ffec07f,0x02fe4000,0x0005ff10,0xffffff98,
    0x7cc05fff,0xffffffff,0x7fffcc05,0x005fffff,0x003ff600,0x02fe4000,
    0x3ff60000,0x7fcc004f,0xca9acdff,0x2004fffe,0xfffffffc,0x89ffff93,
    0xfffffffc,0x89ffff93,0xfffffffc,0x89ffff93,0xfffffffc,0x89ffff93,
    0xacefffff,0x07fff530,0x0beffd88,0x8001df91,0xfffffffc,0x3ff2000b,
    0x00bfffff,0x3fffff20,0x32000bff,0xbfffffff,0x3fff2000,0x37fee2ff,
    0x3fffe202,0xbffff703,0xfffb1001,0x6c407dfb,0xefffffff,0xfff30004,
    0x3ffe607f,0x7cc0003f,0x003f4002,0xffffd880,0xfb1003ff,0x007fffff,
    0x3fffff62,0x4c00003f,0x2000005f,0x800002fe,0xffffffd9,0xf71000ef,
    0xffffffff,0xf700039f,0x7cc1dfff,0xfff703ff,0x7ffcc1df,0xdffff703,
    0x81fffcc1,0x20effffb,0x9f83fff9,0xfffffda8,0x2000dfff,0xfffffffc,
    0x2a20000b,0x440001ac,0x40001aca,0x0001aca8,0x000d6544,0x73037510,
    0x7fffdc01,0x3f26ffff,0x2effffff,0x009a9880,0x2a000000,0xfffffffe,
    0xfffffd34,0x24000bff,0x00015400,0x006ee620,0x00ddcc40,0x01bb9880,
    0x006e0000,0x06644000,0x00000000,0x332ea600,0x40000aac,0x00600998,
    0x01802662,0x06009988,0x18026620,0x665cc0e0,0x220000ab,0x00001aca,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x801cc005,0x00a2000b,
    0x2f72a600,0x9988000a,0x00019999,0x33333331,0xed800033,0x440002ee,
    0x001accba,0x00357530,0x9b017200,0xaaaaaa88,0x9b95102a,0x0ea00015,
    0x02004dcc,0x76400080,0x07bba65e,0x65cc06e0,0x00001acc,0x4cd54c40,
    0x99999999,0x19999999,0x0de5cc00,0xcdcba800,0xa880001a,0x008802bc,
    0xddd90020,0x2a600003,0x001acdcb,0x209002a8,0x02b880cb,0x001bfae2,
    0x003c80bb,0x2000dfb3,0xfeefffe9,0x5000dfff,0x7ffffffd,0xfffb7000,
    0x0009bfff,0x0027ffcc,0x99bff910,0x2e001bfd,0xbffecdff,0x20019999,
    0x113e206e,0xbfffff95,0xfffffc88,0xb8802fff,0x3ff226ff,0x0f200eff,
    0xff001a20,0x02ffdc3f,0xfecbaec8,0xefffeeff,0xb500000b,0xffffffff,
    0xffffffff,0x1fffffff,0xfdbff900,0x3a6003ff,0xdffecbdf,0xceea8000,
    0x2200effc,0x5405b006,0x0006ffff,0x337bfae2,0x00cffedc,0x05b013a0,
    0xfff0dffb,0xffffc989,0x077c4006,0x7f5403ec,0x644006ff,0x5cc0acff,
    0x54002fff,0x002fffff,0x01bff910,0x0bff7000,0x827fc400,0x3a202ffb,
    0x7ffe40df,0x8802ffff,0x00fe604f,0x744bfffb,0xffdbadff,0xffb303ff,
    0x3ffa2dff,0x2a07ffff,0x0bd300bf,0x3627fc40,0xffb000ff,0xa8817fff,
    0x0002fffc,0x46bbffa6,0xfffffda8,0xcaaaaaaa,0x7ec00ffe,0x01ffed45,
    0x7fec13ea,0x13ea002f,0xdf80bff1,0x401f9101,0x02fffffe,0x00befb80,
    0x4006fed4,0x37440dfa,0x507fffc4,0xba98ffff,0xc8006fff,0x05fb12ff,
    0x6fffdcb8,0x0fffea00,0x013ffa20,0x3fffff10,0x00ffc000,0x00efe800,
    0x701bfa00,0x3ff601ff,0x99dffd00,0x07f30039,0x3ea00fdc,0x02bb65ff,
    0x4c27fff4,0xe8efffca,0xfffc88ac,0x33bffa02,0x002fffdb,0x7fd03fea,
    0x67ffec00,0x4fffa800,0x2fffc800,0x037ffec0,0xfb007ec4,0x81fff40b,
    0x7fec06f9,0x06f9800f,0x7dc03ffb,0xffedbdff,0x263bee05,0xb1000fff,
    0xdd10005f,0x23dfb003,0xff981fe8,0x3ffe22ff,0x01bff606,0x3b3ffe20,
    0x7ff4006f,0x3fff5006,0x0effd800,0x3fffe600,0x1fd0000e,0x1ff10000,
    0x17fdc000,0x2e17fe20,0x3fee04ff,0x0fdc000f,0xff300fb0,0x1003b2bf,
    0x6c05fffd,0xfd02efff,0x7ffcc0bf,0x004fffff,0x037c17e4,0x000fff60,
    0x400bfff5,0xa802fffc,0xf1006fff,0x803fee01,0xfd80fff9,0x27ffcc05,
    0x540ffe20,0x7ff404ff,0x00efffff,0x7f441df1,0x00df9804,0x201fe400,
    0x5febfff8,0x85ffff10,0x3f201dea,0xff70006f,0xc8003fff,0xff8806ff,
    0xff88004f,0x7ffc005f,0xfb0005ff,0x3f700001,0x07fe8000,0xffd0ffd0,
    0x1fffc407,0xdf01f200,0x7bfff300,0x3fe2001d,0x3fff206f,0x01ffee01,
    0x7fffffd3,0xf30bb000,0x05fe8003,0x07fff500,0x007fff50,0x801bffe2,
    0x05ff881d,0xff85ffd8,0x37ffc00f,0x440bfea0,0x7e4401fe,0x200dffff,
    0x01f900dc,0x00002744,0xffc803f5,0x3fe00fff,0xf90001ff,0x7f4000df,
    0xfc8005ff,0xfffd806f,0xfff90000,0x7fffc005,0x7d8004ff,0x005b0000,
    0x001fff00,0xfff81ffd,0x027ffc03,0x4f881ba0,0xfffff880,0x7fff4001,
    0x80dff902,0x75007ffa,0x3a000159,0xe8004a80,0x7fec0006,0x7fffc02f,
    0xdfff1000,0x7e40dc00,0xfff9804f,0x2017ffc1,0x3200fffd,0x000401ff,
    0x88037973,0x3605a805,0x3fffff66,0x201deffe,0x3fe200fc,0x7ffc04ff,
    0xff90000f,0x4cc4000d,0xffb80009,0x27ffdc06,0xdfff3000,0x3f37e001,
    0x6c002fff,0x00500007,0x00bffe00,0xff88bff1,0x2fff403f,0x5409f100,
    0xfff8802f,0xffb8004f,0x0dff906f,0x000fffa8,0x4c060000,0x003f8000,
    0x07fffd40,0x004fffb8,0x001bffe2,0x400fffa0,0x7fec5fff,0x03ffec05,
    0x00007ffa,0x20008000,0xf981f700,0x3ffae27f,0x31017605,0xfffd0033,
    0x37fe4000,0x20000000,0x3e206ffb,0x40000fff,0xf004fffd,0x07ffffab,
    0x00007d80,0x7fec0000,0x0bfea00e,0xfd013ffa,0x1fcc009f,0xf1003f70,
    0x26000dff,0xfc81ffff,0x7ffcc06f,0x00000000,0x003e0000,0x0ffffa00,
    0x000ffffc,0x000dfff1,0x2005fff0,0x7fd46ffe,0x02fff403,0x00007ffe,
    0x00000000,0x0dff105f,0x2207fff1,0x3600001f,0x320007ff,0x510006ff,
    0x70001377,0x7fdc0dff,0xfa80006f,0x5f800fff,0x01ffffd1,0x26001f60,
    0x2a202acb,0x7fdc00ab,0x03ff605f,0xff01bff2,0x5555105f,0x55559f95,
    0x1555fd55,0x017ffe20,0x82ffff80,0x7cc06ffc,0x573000ff,0x57300001,
    0x00120001,0x437ffdc0,0x000ffffb,0x201bffe2,0x0fffe203,0x443ffec0,
    0x03fff802,0x000bffe6,0x01575300,0x426aea20,0xf107a828,0x1bff60df,
    0x575104d8,0x3f20a213,0x3f20006f,0x7ecc006f,0x03efffef,0x189bfee0,
    0x0017fff6,0x07fffe60,0xfff997e0,0x00fb006f,0x3ff7ffa6,0x3ffee2ff,
    0xf100dfff,0xfb81bfff,0x5fff301f,0x4c1bfe60,0xffffffff,0xffffffff,
    0xff103fff,0x7f4000bf,0x6ffc83ff,0x007ffcc0,0xffffffb5,0xffda8009,
    0x0004ffff,0xfff50000,0x7fffd85f,0x37ffc400,0xff981a20,0xfff9004f,
    0xfff50001,0x17ffc401,0xfffc8000,0x2e01efff,0xeefffdff,0xff104d84,
    0x03ffea0d,0x3fee07d4,0x84eefffd,0x20005ffb,0x2a006ffc,0xff710cff,
    0x3fee005f,0x7ff45d36,0xf880004f,0x5f802fff,0x027fffd4,0x7fdc03ec,
    0x6cfffdc3,0xffeb89df,0xffff500e,0x007bee1d,0xd881dff5,0x555100ff,
    0x5555df55,0x555bf755,0x17ffe201,0x4fffd800,0x4c06ffc8,0xfd880fff,
    0x3bff621d,0x0efec400,0x001dffb1,0xff880000,0x7fffc4ff,0x7ffc4006,
    0xf1035406,0x3f200bff,0xfd8002ff,0x7ffc402f,0x7f440003,0x7fffb51c,
    0x64c17f90,0x80fc44ff,0xff506ff8,0x3f22f80b,0x13ff260b,0x80013fea,
    0xf3006ffc,0x3ffee0ff,0xaeffb800,0x1ffffc5f,0xffff8000,0xfc85f804,
    0x3ec03fff,0x6c1bfe60,0xfd01ffff,0x7ffdc0bf,0x2004fcff,0xfc9aeff9,
    0x7c4000df,0x400bea04,0x0005fff8,0x3217fff6,0x7fcc06ff,0x00efe80f,
    0x7403fff9,0xfff900ef,0x80000003,0x3e25ffff,0x44005fff,0x3a206fff,
    0x03fffc06,0x002fffd8,0xf802ffcc,0x220003ff,0xfffd00ef,0xf9037cc3,
    0x3e207989,0x05ffb06f,0x40df33d8,0x3ffa84fc,0x1bff2000,0x5ffc8593,
    0x005fff10,0x989ffff7,0x0002ffff,0x00bffff0,0x3fff60bf,0x901f601f,
    0x3fee09ff,0x3ffea05f,0x3fffea01,0x6744005f,0x001cdeec,0x7dc05f50,
    0xbfff1000,0x7ffe4000,0x406ffc85,0x7e40fff9,0x37ff401f,0x7401ffc8,
    0x999986ff,0x99999999,0x99999999,0x6fffe999,0x013fffe6,0x55ffff10,
    0x0dffb975,0x803fffe8,0x4001fffd,0x99900efd,0x999dfff9,0x07f60099,
    0x325fff88,0x2a27c04f,0x21bfe206,0x4c805ffd,0x84f809f9,0x20002ff9,
    0x3fe26ffc,0x813ff23f,0xfb803fff,0xfffa82ff,0xfd00001f,0x0bf00fff,
    0x03ffffa2,0x3ff203ec,0x05fff504,0x2027ffc4,0x04fffff9,0x00007f30,
    0x3ec03f90,0x0bfff100,0x2fffe400,0x26037fe4,0x3fe60fff,0x3fffb806,
    0x5c037fcc,0x3fe23fff,0xffffffff,0xffffffff,0xffffffff,0x3fffea7f,
    0x7ffc4002,0xffffffff,0x7ffd406f,0x07ffe806,0xf00ffcc0,0xffffffff,
    0xf300ffff,0x3ffff00d,0x89901ffa,0x3ffe205b,0x02effdca,0x01ffab70,
    0x03ff1099,0x537fe400,0x7fccbfff,0x00fffe01,0x7d41bfee,0x00002fff,
    0xf00dfffb,0x7fffc40b,0xe980fb06,0x3fff501f,0x405fff80,0xdffffefc,
    0x001fe200,0x3e03ec00,0x3ffe2005,0x3fee0005,0x06ffc84f,0xf707ffcc,
    0x3ffe00bf,0x017fee0f,0xff07fffc,0x55555dff,0x55555555,0xffd55555,
    0x7fffd4ff,0x7ffc4002,0x06fc9886,0x204fffd8,0x4007fffb,0x555402fd,
    0xaaadfffa,0x04fd802a,0xfb2fffd8,0x2e24c09f,0x2bffe205,0x5c006ffc,
    0x4c09ffb5,0x0001ff04,0xff137fe4,0x7d40085f,0x7fcc03ff,0xffff306f,
    0x3fa00007,0x05f805ff,0x42ffffd4,0xfb80007d,0xffffffff,0x106fffff,
    0xfffb15fb,0x3fee01df,0x5f800002,0x88013e20,0x20005fff,0xfc83fffb,
    0x7ffcc06f,0x400fff60,0x3f62fffc,0xfff9003f,0x037fff45,0xbfffd000,
    0x01ffffcc,0x01bffe20,0xffd300db,0xdf7535bf,0x4c00bfff,0xffe8003f,
    0xffff0004,0xffffffff,0x3fee7fff,0x0d5001ef,0xffb37fc4,0xfba64007,
    0x74001eff,0x01dfd887,0x3711bff2,0x3fbf2200,0x3fee03ff,0xfff106ff,
    0x3e00009f,0x5f803fff,0x3ffffb80,0xd50003ec,0x3335ffff,0x33333333,
    0xfd89fd10,0xffd06fff,0xdddddfff,0x3e200399,0x800bea04,0x0005fff8,
    0x360bffee,0x7fcc07ff,0x00bffe0f,0xff1fffdc,0x3fee005f,0x1ffff63f,
    0xffff8000,0x13fffe24,0x0dfff100,0xfb100698,0x73dfffff,0x64005fff,
    0x9ffb0006,0x39ff1000,0x33333333,0x3fe21333,0x4c01dfff,0x89bfe207,
    0x7b001fff,0x37ffffe2,0xfb0fb001,0x3f201fff,0xfb30006f,0x40fffa5b,
    0x06ffbbfc,0x0013fffa,0x0bfffe20,0x7ec017e0,0x01f62fff,0xf59ff710,
    0xd80003ff,0xffff906f,0xfffff707,0xffffffff,0xdccc885d,0xccccccdf,
    0x1ccccdfe,0x00bfff10,0x20fffe40,0x202ffffa,0xff30fff9,0x3fea005f,
    0x05fff34f,0xb93ffea0,0x00007fff,0xf87ffff1,0x44005fff,0x34406fff,
    0x2f36e600,0x001fffa1,0x3f60003d,0xff98003f,0x7fd40005,0x100dffff,
    0x1bfe203f,0x3e00dff3,0x3ffffea2,0x436400df,0x903fffff,0xd8800dff,
    0x1fff41ef,0x6ffb8fd4,0x017fff60,0x3fffe600,0x2005f801,0xfb0ffffe,
    0x867fe400,0x0001fffa,0xfc80bfea,0xffa80fff,0xffffffff,0x3e61ffff,
    0xffffffff,0xffffffff,0xfff103ff,0x7fe4000b,0xfffff50f,0xff30bdff,
    0x0fffee1f,0xba7ffcc0,0xf3003fff,0x7ffd49ff,0xf980001f,0x7fec1fff,
    0x7fc4006f,0x0000806f,0x013ffe60,0x7e4000f0,0xffa8003f,0xfe980006,
    0xb02fffff,0x21bfe209,0x3d404ffc,0x7fffff4c,0x3217202f,0xf906ffff,
    0x7f4400df,0x307ffd05,0x9037fdc1,0x0000dfff,0x200ffff3,0x3fe2005f,
    0x807d8eff,0x7cc0dfe9,0x360002ff,0x7fec00ff,0x5315c83f,0xfb997555,
    0xfe9998bf,0xf9999999,0x0099999d,0x000bfff1,0x0003ffe4,0xff73ffcc,
    0x3fe2007f,0x07fff72f,0x88bffe20,0x0003ffff,0x40ffffc8,0x4007fffa,
    0x0006fff8,0x7ffe4000,0x00162000,0x8002ffc8,0x00007ffa,0x3fffffaa,
    0xff107a84,0x807ffa0d,0x3ffaa04d,0x09704fff,0x641f62ea,0xff3006ff,
    0x01fff40b,0xf1037fdc,0x80003fff,0xf003fffc,0xfff9800b,0x7d407ddf,
    0x7fff105f,0x1ffe2000,0x2e27ff40,0x7fc4000f,0x7c40bf00,0x7ffc4003,
    0x3ff20005,0xff980005,0x013ffe66,0xf98fffc4,0xff1004ff,0x7fffc83f,
    0x7ffc4000,0xffff884f,0x3ffe2001,0x20000006,0x4003fff9,0x3ee00049,
    0xff88000f,0x2004002f,0x81fffffb,0x06ff883e,0xf301dff1,0xffff7003,
    0xd005303f,0x01bff20d,0xfd017ffc,0xdff7007f,0x05fffb80,0x1bffe200,
    0xa8005f80,0x407fffff,0xff101ffe,0xf52c009f,0x3ff200bf,0x40013ea5,
    0x409f107b,0x7c4002fa,0x3a0005ff,0x980002ff,0x3ffe25ff,0x4fff3007,
    0x3007fff8,0xffd10fff,0x7dc0005f,0x3ff206ff,0x3fe2004f,0x02c8006f,
    0x005ffd80,0x2e000088,0xf826006f,0x4ea006ff,0x3fff6202,0x7dc0fb84,
    0xdff502ff,0x10145e81,0x0009fffb,0x7fe413e6,0x0fff9806,0x200fffa0,
    0xfe806ffb,0xf90001ff,0x2fc003ff,0xffffc800,0x01ffe207,0x7001fffd,
    0x8037fcc9,0x5ff13ff9,0x54172000,0x003f202f,0x40bfff10,0x01ffe02a,
    0x227fd400,0xa802fffe,0x7fff45ff,0x05ffa802,0x000dfff5,0x1017fff4,
    0x2001ffff,0x4006fff8,0xffa8007a,0x0000000e,0x400ff2aa,0x17fff478,
    0x801d0e80,0x2db06ffe,0xeeeeeed8,0x91eeec81,0x7400e81d,0xf90006ff,
    0x01bff201,0xe80bffea,0xffb803ff,0x5fff9806,0x3fff8800,0x00037c00,
    0x540ffffb,0x3f201fff,0x0fcc04ff,0x2600fff1,0x0bff92ff,0x3203f300,
    0x001f600f,0x641bffe6,0x4ff884ff,0x3ff50000,0x805fff98,0x7fcc2ffc,
    0x2ffc805f,0x017fff60,0x017fff60,0x4013ffea,0x2006fff9,0x7cc005f8,
    0x000001ff,0xdfffff70,0x545d8017,0x6c03ffff,0xff700fa6,0x0017a20d,
    0x3e81fb80,0x0037fdc0,0xff900fdc,0xbfff500d,0x49fffb10,0x00dff702,
    0x800bffee,0x4005ffd8,0x220006f8,0x3ea07ffe,0xffb104ff,0xbf9309ff,
    0x7007ff90,0x67ffe4df,0x03fb8801,0x00bf01f6,0x20dfff30,0x7d40ffff,
    0x0722000e,0x7fec17ee,0x82ffc01f,0x7c01fffd,0x7ff4405f,0x3ff6004f,
    0xff9000ef,0xfff5007f,0x017e400f,0x001dff10,0x200bba60,0xffff10e8,
    0xd73357df,0xffffd07f,0x0fedc439,0x7fc401fd,0x003ba604,0x3a05fb00,
    0x13fe200f,0xee985db3,0x03ffe401,0x4effffc4,0xeffedfb8,0xdff703da,
    0x27ff4c00,0x01fff4c0,0x0003fcc0,0xf881ffe6,0x6fd43fff,0xcdfffffc,
    0xfd00effe,0x0ffc401f,0x9dfffff1,0xff995557,0x2205f807,0xffa8003f,
    0x9fff907f,0x74000fe8,0x3fd11dff,0x03fffa20,0xe8807fdc,0xff700fff,
    0x3fff2001,0x3fffc804,0x3fffb800,0x3ffffa20,0x07fec400,0x005ffa80,
    0x007fff40,0xfebfa8f2,0xffffffff,0xfffff306,0x89fffdff,0x3fee05fe,
    0x017ec401,0xd00f74c0,0x0ffdc0bf,0x05d1fffa,0x401fff60,0xfffffffc,
    0x09ffff93,0x2003ffe4,0x20adffd8,0x01effca8,0x1cffe880,0x01fea000,
    0xfbfffff9,0x7fffe49f,0x201fffff,0xe981efd8,0xfffc882f,0xffffffff,
    0x027c400c,0xf98005f5,0x440dffff,0xec99ffff,0xfffd8001,0x4401eecf,
    0x910beffd,0xfd8801df,0xdf910bef,0xffe98001,0xfca88ace,0x20001eff,
    0x9abeffe9,0xfffffeb9,0xeccccccf,0xc9805fff,0x440003ff,0x5c01ffff,
    0x7fe49d15,0x01ffffff,0x3fffffe6,0xffe85fff,0x01ff4c1e,0x4019ff70,
    0xe804feb8,0x7f4c1eff,0x0ffffc43,0x7fffcc00,0xffff7003,0x1fffcc1d,
    0x05ffff10,0xffffb500,0x007bfffd,0xfffffdd0,0x2e0009df,0xffffc807,
    0xffeb81df,0x7000dfff,0x9fdbbdff,0xfeeb8801,0x001bdeff,0x07dc05f5,
    0x7ffff440,0x24efffff,0x0cffffeb,0xffd91000,0x7e40019d,0x0bffffff,
    0x3ffff200,0x0000bfff,0xfffffd91,0x0007dfff,0x7fffecc0,0xffffffff,
    0xffffffff,0xdb983fff,0x00002eff,0x2201bff6,0xfe985fef,0x8801efff,
    0x3ffffffd,0xbdfffdd0,0x20005dfd,0xecdeffea,0xd000beff,0xfdbdfffd,
    0x1bff605d,0xffffd300,0x3100bfff,0xd700c013,0xbfffffff,0x32ea2000,
    0x0000000a,0x98014000,0xa8800abb,0x510001ac,0x08000355,0x8032a000,
    0x0000004a,0x00002b26,0xa8800008,0x440001ac,0x00001aca,0x00abca88,
    0xa9880000,0x00001999,0x0009acb8,0x80055000,0x0d54400a,0x0ddcc400,
    0xbca98820,0x55100001,0x00035799,0x0de54c41,0x00001540,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xacdcba98,0x22000001,0x5100001a,
    0x000179b9,0x00040000,0x400000a6,0xdd10deeb,0x2600007d,0x0accdcca,
    0x26620048,0x99999999,0x03530001,0x9b955000,0x98730159,0x99999999,
    0x20000999,0x000002c9,0x5c40e4c0,0x99980003,0x99999999,0x99999999,
    0x00001999,0x4c000126,0x99999999,0x20000099,0x2029800c,0x7ec03fff,
    0x400e605f,0x99999983,0x00019999,0x44005500,0xdccdefeb,0x0000cffe,
    0x9fffff70,0x3fee0003,0x002fffef,0x0eff5c00,0x75c400c8,0xb000006f,
    0x7ffcc7ff,0x3ae20000,0xffeeffff,0x00f88bdf,0xfffffb70,0x0019ffff,
    0x3fffff2a,0x7fe44002,0xdfffeeff,0xfec89362,0xefffffff,0xff70002d,
    0x000003df,0xe85fff30,0x6c0005ff,0xfffffffe,0xffffffff,0x007fffff,
    0x0003f600,0xfffff910,0xffffffff,0x80017bdf,0x01aa01ea,0xfd807fff,
    0x2026c05f,0x7ffe443d,0xffffffff,0x01bdeeff,0x805ffd80,0x5400befb,
    0x30000dfd,0xfff715dd,0xffc8005f,0x007ff223,0x7ffff400,0x930340cf,
    0x000dffff,0xf71bfe00,0x7dc0005f,0xa881bcff,0x001fffff,0x2effffb8,
    0x5457e400,0xb003fffe,0x51019fff,0x20bffffd,0x0effffe9,0xfffe8000,
    0x8000004f,0x3e65fffb,0x100007ff,0x9fffdffd,0x55555555,0x0001fff9,
    0x0007ff10,0x7ffff540,0xfccaaabc,0x2001dfff,0x02fa82fe,0x3601fffc,
    0x77cc05ff,0x75406d80,0xcdefffff,0xffffffdc,0xfff8801d,0x05fb100f,
    0x003dd100,0x7d40ff88,0x3ee007ff,0x00dfb05f,0xffb7f700,0x0d939fff,
    0x37ffdd54,0x7fc40000,0x0002fe41,0x2003fff9,0x001fffd8,0x007fffd0,
    0x7f443fb8,0x3fa200ff,0x3fee005f,0x3ffea05f,0xf900000f,0x0001ffff,
    0x3fff9800,0x0002fffc,0xfffbbf70,0x03f62003,0x1bfee000,0xfff70000,
    0xfffc880b,0x9ff3002f,0x7fc02fdc,0x2ffec03f,0xe897fe40,0xfffb802f,
    0x7ff54405,0xfff803ff,0x001bf307,0x2003fc80,0xdff505fc,0x817ffc00,
    0x40000ffa,0x3fffa60d,0xfb001fff,0x300000df,0x001fd09f,0x03fffd10,
    0x005ff700,0x00bfff60,0xff107fa8,0x3ffe603f,0x6ffa8004,0x01fffe60,
    0xfcdc8800,0x8000001f,0x0cc983da,0x27f60000,0x2001fffd,0xf80000f9,
    0x00002fff,0x4017ffea,0x002ffff9,0x3ff9dffb,0x807fff00,0xf8805ffd,
    0x005fecff,0x200bfff5,0x0effffd8,0x220bbaa0,0x5dcc404e,0x0fd46a0a,
    0x501ffcc0,0x3fe6003b,0x007fe607,0x3faa0b00,0x3f2002ff,0xb800006f,
    0x0003f80f,0x0001dffb,0xd8001fec,0x3a001fff,0x40f6606f,0x0006fff8,
    0xff881bee,0x2000006f,0x000000fc,0x80000000,0x3fffb5f8,0x0001e800,
    0x02ffffd4,0xbfff3000,0x37ffdc00,0xfffff880,0x07fff004,0x7005ffd8,
    0x003fffff,0x0017ffe6,0x00bffff5,0xff9036c0,0xf9dff97b,0x2e007e47,
    0x200003ff,0xf900fffa,0x8010000f,0xffc80018,0x2d800006,0xf7000688,
    0x880005ff,0xffb0003f,0x37fc003f,0x3fffb000,0x207e8000,0x0006fff8,
    0x0001f600,0x00000000,0xffd8fe40,0x00e4001f,0x3ffffa00,0xf300000f,
    0xff800bff,0xff7002ff,0x3fe001ff,0x2ffec03f,0x09fffd00,0x02fffcc0,
    0x1ffffdc0,0x5407dc00,0xff9301fe,0x7e405d87,0x2e00003f,0xbff01fff,
    0x00000000,0x0037fe40,0x00880c00,0x06fff980,0x00099000,0x4007fff6,
    0x70005ff9,0x00009fff,0x7ffc40f5,0xf1000006,0x00000005,0xf1000000,
    0x00fffecb,0x3e600000,0x004fffcd,0x0bfff300,0x03fffe80,0x80026660,
    0x7ec03fff,0x2662005f,0x3fe60009,0xffd0005f,0x2f8001ff,0xc801efc8,
    0xb00fc44f,0x400007ff,0xfa84fffa,0x0000000f,0x1bfee000,0x00000000,
    0x00ffffa0,0x8002cc00,0x5001fffd,0x3a000bff,0x00002fff,0x3ffe201f,
    0xe9800006,0x00000005,0x00015753,0x3f60fc80,0x000001ff,0x7fc4fe40,
    0xf300007f,0xfd800bff,0x000004ff,0x6c03fff8,0x000005ff,0x00bfff30,
    0x13fffe60,0xff987a80,0x3613a001,0x00fffe04,0x7fff9800,0x00017fdc,
    0x2e000000,0x000006ff,0x7fc40000,0x200000ff,0xfffb0000,0x17ff2003,
    0x1fffe600,0x100b8000,0x0000dfff,0x37103fa8,0x20003710,0xeffffffc,
    0x4f880001,0x800fffec,0x6f880003,0x000bfff6,0x017ffe60,0x003ffff0,
    0x7fff0000,0x005ffd80,0x3006a0ea,0x4000bfff,0x2007fffd,0x037fc44d,
    0x03ea16a0,0x0001fffc,0x22bfffa0,0x20001ffe,0x85fffffd,0x07fffffa,
    0xa886ffb8,0x7ffec00b,0xfffa85ff,0x3ff207ff,0x0000005f,0x03fffb00,
    0x0017ff20,0x0017fff2,0x7ffc4000,0x06c00006,0xd517fed4,0x2007ffff,
    0xfb51cfe8,0xd80007ff,0x0fffec0f,0x40003440,0x3ffea3fb,0xff980006,
    0x3fe6005f,0xffffb07f,0xffffffff,0xfff81fff,0x02ffec03,0xfb9bfee2,
    0x3fe605ff,0x3ea0005f,0xf8802fff,0x001ffe41,0xff02f814,0xb800007f,
    0x0cffefff,0x7fffffcc,0xfffa81ff,0x1fffe605,0xd89bfee0,0x400effff,
    0x2605fffa,0x3fe07fff,0x000004ff,0x3fffb000,0x3ffffea0,0x04ffffff,
    0x0027fffc,0xfff88000,0x22000006,0x72fffffb,0x3fffffff,0xd00ef880,
    0x20003fff,0xfffd84f9,0x0006a801,0xfffe87e8,0x7fcc0001,0xffb1005f,
    0x33bf609f,0xeaaaaaab,0xfff84fff,0x82ffec03,0x76ffffd9,0x203fffff,
    0x0005fff9,0x013fffe6,0x0bffa1e6,0xf03d8000,0x800007ff,0x00effff8,
    0x077fffe2,0xd80bffd0,0xffb807ff,0xffffff36,0xbfff00bf,0x107ffd80,
    0x0007ffff,0x3f600000,0x999301ff,0x9999dffd,0x7fffc405,0x10000003,
    0x6440dfff,0xb350000c,0x37d95fff,0x80dfff51,0x3fe201fd,0x1fb0005f,
    0x803fffb0,0x540006e8,0x4fffb84f,0x7ffcc000,0xfffe8805,0x500bd00e,
    0x3fe0dfff,0x2ffec03f,0xefffa998,0x0fffdae9,0x00bfff30,0x2ffffc40,
    0x7ffc3540,0x13200001,0x0001fffc,0x1bfffea0,0x401bff20,0x7dc05ffd,
    0xeffb807f,0xffb31cf9,0x5ffd805f,0x983ffdc0,0x8002ffff,0xaaaaaaaa,
    0x3f6002aa,0xff9001ff,0xfff9800b,0x0000002f,0x740dfff1,0x540006ff,
    0xf505efff,0x1be603ff,0x007fffe0,0x3f609f30,0xaaaaacff,0x0006ffcc,
    0x7fc407ec,0x260000ff,0x999aefff,0xffffca99,0x100ba00d,0x3e01ffff,
    0x7fec03ff,0xeeffd805,0xf9807261,0x7c0005ff,0x5b806fff,0x0007ffcc,
    0x3fe0b700,0xb100003f,0x07ffffdf,0xb000ffb8,0xffb80bff,0xffffb807,
    0x80bffd02,0x7dc05ffd,0xffff507f,0xfd970003,0x079fffff,0x00fffec0,
    0x4005ffc8,0x002ffffa,0xfff10000,0x1fffe20d,0x9fff1000,0x81fffc40,
    0xffd804fd,0x07f4002f,0xffffffd8,0x6fffffff,0x817e6000,0x0003fffd,
    0x3fffffe6,0xffffffff,0x400e802f,0x3e02fffd,0x3fa205ff,0x7fe4045f,
    0xff98003f,0x7ec0005f,0x45b807ff,0x0001fff9,0x7ffc16e0,0xffa80003,
    0x0ffffd8d,0xd8013fa0,0x7fdc05ff,0x1fffb807,0xb01ffee0,0xffb80bff,
    0x5ffff707,0xfffd8000,0xffd8002f,0xbff9001f,0xffffa800,0x10000001,
    0x7e40dfff,0x7c40004f,0x7ffc02ff,0xffffff03,0xffffffff,0x1fd4007f,
    0x403fffb0,0x20006fd9,0x3fe601fc,0x3e60006f,0xb999aeff,0xdfffffec,
    0xff900201,0xffff809f,0x5ffef980,0x1fff20ee,0x2fffcc00,0x3fff6000,
    0x7c46a806,0x200002ff,0x07fff04c,0x24ffc800,0x106ffff8,0xffd800df,
    0x03ffdc05,0x2a037fdc,0x7fec07ff,0x83ffdc05,0x003ffffa,0x03fffcc0,
    0x01fffd80,0x800bff90,0x002ffff9,0xfff10000,0x0001980d,0x402fff88,
    0xff884ffe,0x9999999c,0x00099999,0x2aaaaffa,0x01fffeaa,0xf10006c8,
    0x3fffd00d,0x3ffe6000,0xffff9805,0xff98004f,0xffff806f,0xf75f931e,
    0x320ba1ff,0xf30006ff,0xe8000bff,0x77545fff,0x7ffd0f32,0x81ec0000,
    0x20003fff,0xffc83ffc,0x01fb83ff,0x202ffec0,0xfb807ffb,0x7ffd406f,
    0x017ff600,0x3e20fff7,0x40004fff,0x0007fff9,0x2003fffb,0x44005ffc,
    0x0002ffff,0xdfff1000,0x22000000,0x7f402fff,0x05ff984f,0x3fea0000,
    0xffffffff,0x6a801fff,0x005f7000,0x000bfff7,0x4017ffe6,0x04ffffe8,
    0x03fffe20,0x3fffffe0,0xfff11fff,0x3fee0ddd,0xfff30006,0xfff8000b,
    0x8b7ffc4f,0x027fec1f,0x3e05f000,0xf90003ff,0x3ffe20df,0x013e20ff,
    0x7017ff60,0xff700fff,0x0fffa80d,0x7017ff60,0x7ffc0fff,0x7c40005f,
    0xfb0006ff,0x3f2003ff,0xfff8005f,0x0000003f,0x000dfff1,0x3ffe2000,
    0x427ff402,0x00006ffa,0x26667ba0,0xfffd9999,0x00068801,0xfffffffd,
    0xffffffff,0xfff30001,0xfffd800b,0xfffb001f,0x3f73e005,0x7ec1dfff,
    0xff701eff,0x3fe6000d,0x3e60005f,0x3fe62fff,0xf889b0ff,0x404000ff,
    0x0fffe07a,0x0fffe600,0x25ffffb8,0xfd8000ed,0x3ffdc05f,0x2037fdc0,
    0x3600fff9,0x7fdc05ff,0x1ffffa07,0xdfff1000,0x3fff6000,0x0bff9001,
    0x0bfffd00,0x3e200000,0x000006ff,0x805fff10,0xffa84ffe,0xf7000007,
    0x3fffb005,0x2a000200,0xccccccdf,0xfffecccc,0xfff98003,0x7ffdc005,
    0xfffb804f,0x269f1004,0x06ea00ab,0x000dff70,0x0017ffe6,0x41ffffa8,
    0x21ea5ffe,0x2e005ffa,0x3fe04d84,0xffd8003f,0x7ffec01f,0x0001fbaf,
    0xfb80bffb,0x6ffb807f,0x007ffcc0,0xfb80bffb,0x3ffee07f,0x3e20002f,
    0xfb0006ff,0x3f2001ff,0xffc8005f,0x0000007f,0x000dfff1,0x3ffe2000,
    0x427ff402,0x4002fff8,0x8037c400,0x0001fffd,0x8003f600,0x8007fff9,
    0x4005fff9,0x406ffff8,0x2006fff9,0x000005f9,0x2000dff7,0x0005fff9,
    0x541bfff2,0xffc83e82,0xf984c804,0x00fffe01,0x00dfff10,0x9ffffff1,
    0x2ffec000,0x201ffee0,0x7cc06ffb,0x3ff600ff,0x03ffdc05,0x0017fffe,
    0x006fff88,0x400fffb0,0x88005ffc,0x0001ffff,0x6fff8800,0x88024000,
    0x7f402fff,0x0dfff04f,0x3f201d40,0x3fffb001,0x3e200000,0xfffd8005,
    0x7ffcc002,0xfffe8005,0x3fffe206,0x01bea000,0x37fdc000,0x5fff9800,
    0xffff3000,0x80fb8005,0x511aeffa,0x017a07d9,0x98007fff,0xf5007fff,
    0x0001ffff,0x2e02ffec,0xffb807ff,0x07ffcc06,0xb80bffb0,0x7fd407ff,
    0xf10001ff,0x36000dff,0x3f2006ff,0xff90005f,0x260000bf,0x0dfff104,
    0x88025400,0x7f402fff,0x5fffd04f,0xf8803a00,0x3fff6005,0x40590001,
    0xfa8001fc,0x7cc005ff,0xff8005ff,0x3ff604ff,0x3fe4002f,0xffb80000,
    0xfff30006,0x3ffa000b,0x6d80605f,0xffffd910,0x03b2037b,0x8007fff0,
    0x001ffffa,0x01dffffb,0x5ffc8188,0x403ffdc0,0x7cc06ffb,0x3ff200ff,
    0x03ffdc05,0x0037fff4,0x006fff88,0x400bffb0,0x10005ffc,0x0005ffff,
    0xff100e88,0x174000df,0x02fff880,0xfa827ff4,0x36c03fff,0xd8007f20,
    0x98001fff,0x00df100f,0x00ffffc0,0x00bfff30,0x01ffff98,0x9009fff7,
    0x0001ffe8,0x006ffb80,0x00bfff30,0x01ffff70,0x3a20dff5,0xb8018805,
    0x3fff801f,0x7fffcc00,0xffff5005,0x41ec01df,0x7ec06ffb,0x6ffb807f,
    0x007ffcc0,0xfd80dff7,0xfff9807f,0xff88003f,0x02ee206f,0x64009ffb,
    0x2e0005ff,0x0000ffff,0xfff880ba,0x00f70007,0x2017ffc4,0x3fa04ffe,
    0x2e21cfff,0x17e601fd,0x03fffb00,0x7e40bd00,0x3ff20003,0x3fe6005f,
    0x7fec005f,0xdfff307f,0xfff8b100,0xfb800002,0xff30006f,0xffa800bf,
    0xfffb03ff,0x003ba605,0x2005fb00,0xf8003fff,0x5c02ffff,0xeffffeef,
    0xfa80fa82,0xfed881ff,0x7fdc00ff,0x07ffcc06,0x103fff50,0x001fffdd,
    0x007ffff3,0x206fff88,0x7ff45ffe,0x17ff6000,0xffff9000,0x04e88003,
    0x007fffc4,0x88017ee0,0x7f402fff,0x3ffe605f,0xfffeffff,0x0017f404,
    0x0007fff6,0x3fe207f9,0x3fea0001,0xff5001ff,0x7fdc00bf,0xfff883ff,
    0x2259800f,0x00003fff,0x0007ffc8,0x200bfff3,0x02ffffc8,0x880bfff6,
    0xe98002fd,0xfff1001e,0xfff50007,0x754419ff,0xfffd88df,0x4ffddfff,
    0x17dfff10,0xfff79d71,0x3ff2053b,0x0fffd407,0x17dfff10,0xfff79f71,
    0xff98053b,0xf3000cff,0x7ffc0dff,0x000bfe1f,0x0000dffd,0x017ffff9,
    0xa803fa88,0x3002ffff,0x4c005ffb,0x7fc02fff,0x7ffcc05f,0x05ffffff,
    0x20007fe4,0x3003ffff,0x3f601ffd,0x7fc40007,0xff7006ff,0xffb300bf,
    0x3ff607ff,0x45e8802f,0x00001fff,0x001fffc8,0x405fffb8,0x1efffea8,
    0x802ff4c0,0x2200cffb,0x4c004feb,0x90005fff,0xffffffff,0xff909fff,
    0x0dffffff,0xffffffb8,0xfffff74f,0x01fff607,0xb805fff5,0x4fffffff,
    0x07dffff7,0x33ffff20,0xfffda880,0x3fff201d,0x8004fa8e,0x00007fff,
    0x7bfffff5,0x5ffd9535,0xffffd100,0xddddddff,0x01fffffd,0x1bfff620,
    0x01ffffb8,0x7ffffec4,0x7ffe403f,0xffd9801d,0xccccdfff,0x6fffeecc,
    0x04fffc88,0xffff9100,0x7fcc05bf,0xbcdeffff,0xeffffedc,0x5dfff701,
    0x75555555,0x05fb89fd,0xfff98000,0x3e6000df,0xccefffff,0xeffffedb,
    0x40004002,0xecdeffea,0x4000beff,0x02ffffd9,0xffffd500,0x5c01bfff,
    0x0dfffffe,0xfffffc80,0x80b7fee2,0x203ffff9,0xc805fffe,0x2e2fffff,
    0x88002dff,0xeeffffeb,0x00beffff,0xfffffe88,0xfffc8004,0x880000cf,
    0xffffffeb,0x2200beff,0xffffffee,0xffffffff,0x005fffff,0xfffffffd,
    0x3ffff65d,0x4402efff,0x7d401bb9,0x1fffffff,0xfffffec8,0xffffffff,
    0x43ffffff,0xfffffffc,0xfffd000e,0x1fffffff,0x3ffffba6,0xffffffff,
    0x201bdeef,0xfffffff8,0xffffffff,0x8000004f,0xfffffffa,0xfdd300ef,
    0xffffffff,0x159ddfff,0x10000000,0x03579955,0xffffd500,0x000bffff,
    0x002af2a6,0x00379710,0xb981ba88,0x3fffea00,0xfd35ffff,0x0bffffff,
    0xb981ba88,0x55100000,0x01357997,0x02b2e200,0xffffe980,0x00eeffff,
    0xccba8800,0x000001ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x33333333,0x33333333,0x98813333,0x99999999,
    0x99999999,0xba880999,0x3305109a,0x33333333,0x26666013,0x09999999,
    0x33333331,0x33333333,0x13333333,0x26666666,0x2a019999,0x98038801,
    0x99999999,0x99998099,0x40199999,0x99999999,0x80000199,0x99999999,
    0x00009999,0x006a0ea0,0x983eeed8,0x19999999,0x33333330,0x99999998,
    0x99800000,0x20099999,0x0017303a,0x40008002,0x3001eeee,0x33333333,
    0x4c000333,0x99999999,0x50000099,0x2b880039,0x1700bb88,0x3b627100,
    0xfec881ee,0xffffffff,0xffffffff,0x7f64c3ff,0xffffffff,0xffffffff,
    0x7effdc4f,0x6444eeff,0xfffffffe,0xfec883df,0xdfffffff,0xffffff73,
    0xffffffff,0xffffffff,0x3ffff727,0x204effff,0x07a203f8,0xffffd910,
    0x905bffff,0xfffffffd,0x3ff2203d,0xffffffff,0x1bdeefff,0x7ff64400,
    0xdeffffff,0x7dc40002,0x17ffee6f,0x417ffe20,0xfffffffe,0xffffd80e,
    0xfffd30ef,0x0000dfff,0xefffffa8,0x37fdc43d,0x1dffff91,0x4a801e80,
    0x13ffea00,0x7fff6440,0x0cdfffff,0xffec8800,0x2dffffff,0xfffa8000,
    0x13ffe001,0x3e60dffb,0xf983a602,0x7ecc04ff,0xaaaaafff,0xffeccaaa,
    0x3fffe604,0xbaaaaaae,0x324fffec,0x3ff260bf,0x3fffa204,0x3fa2004f,
    0xffb84fff,0xfcccceff,0xdccccfff,0xfd84fffe,0x5002efff,0x00bd10bf,
    0x3ffffe98,0x7ffff900,0xfffea800,0xedbbceff,0x00dfffff,0x7ffff4c0,
    0xd980000e,0xff76ffff,0xfb803fff,0x3fa200ef,0xfe800eff,0x3ffea01f,
    0x200002ff,0x984ffffe,0xd16ffffd,0x0bffffff,0xf5101ec8,0x2ffe4005,
    0xfffe8800,0x4c00004f,0x004fffff,0x27ffec00,0x47fff980,0xf901ffff,
    0xf707f309,0xfff500df,0x04fc800d,0x8027ffdc,0x0df35fe8,0x3ee027e4,
    0xfa8006ff,0x1df907ff,0x3037ffc0,0xfff109fd,0xefe8003f,0x0001fd31,
    0x400dfff7,0x0000effd,0x880bfff7,0x03ffffea,0x07fffd40,0xfa998000,
    0xfdae9eff,0x7fec00ff,0x6fff9800,0x9007fd00,0x000dffff,0x3ffffe60,
    0xfffaa980,0xc88ace8e,0x3e603fff,0xffecceff,0x1bfe000f,0xdfff5000,
    0x3ee00000,0x800007ff,0x2002fffa,0x7fec5fff,0x437fe207,0x3ff207fa,
    0x37ffcc01,0x2a02ec00,0x22004fff,0xf809f95f,0x2fffcc04,0x37ffcc00,
    0x7fc00ec8,0x827c406f,0x4000ffff,0x4ffbfff9,0xbfff5000,0x013fe600,
    0x0bfff500,0x2ffffe40,0x0ffff300,0x3ff60000,0x007261ee,0xfd8007fe,
    0x37c400ff,0xfffffb80,0xffd80002,0xffd807ff,0xdffd02ef,0xfffffb80,
    0x26001fff,0x4c0000ef,0x00005fff,0x00dfff50,0x00b6a000,0xb8817930,
    0x77fdc01c,0x7ec02ffb,0x37ffc403,0x2a02dc00,0x64004fff,0x4c80ffd5,
    0x02fffcc0,0x82fffcc0,0x6fff804c,0xfff05b80,0xffb0001f,0x20001fff,
    0x8805fff9,0x980004fe,0x54005fff,0x1004ffff,0x0000dfff,0x00ffff20,
    0x20017d40,0x5c04fff9,0xfdf5002f,0x98000bff,0x806fffef,0x2e01fffc,
    0xffb807ff,0x4001efff,0x980001fc,0x00005fff,0x00bfff30,0x00000000,
    0x7fff4000,0x80dd006f,0x8006fff8,0x7ffcc058,0xfdac4004,0x3012604f,
    0x3000bfff,0x0760bfff,0x201bffe0,0x0ffff059,0x3fffe200,0x3fe60003,
    0x27f4405f,0xfff98000,0xfffb8005,0xfff8803f,0xf9000006,0x1e4000ff,
    0x07ffd800,0x7f500374,0x0003ffff,0x37ffdfe4,0x2037fe40,0x8800fffa,
    0xd0002cca,0x3e600003,0x000005ff,0x000bfff3,0x00000000,0x7fffd400,
    0x401f1001,0x0006fff8,0x09fff300,0x77ffdc00,0xfff30001,0xfff3000b,
    0x7fc0060b,0x3e05006f,0x220007ff,0x4c000199,0x3a205fff,0x2600004f,
    0xd0005fff,0x8801ffff,0x00006fff,0x000dff90,0xff500014,0x00fea05f,
    0xfffbbfa8,0x1df10005,0xf900dfff,0xfffa80df,0x20000000,0x3e600001,
    0x000005ff,0x9ddffff3,0x00003799,0x00000000,0x88003333,0x1bffe200,
    0x7fcc0000,0x3e20004f,0x001dffff,0x002fffcc,0x002fffcc,0x001bffe0,
    0x000ffff0,0x3e600000,0x9fd105ff,0xff980000,0xff30005f,0xff8809ff,
    0x7000006f,0x00000dff,0x837ff400,0x3ea000fd,0x00ffff8b,0xff8bfc80,
    0x6ffc806f,0x007ffcc0,0x00000000,0x85fff980,0xff980000,0xfffffeff,
    0x44000bef,0x44001aba,0x00009bba,0x7c400000,0x02a006ff,0x027ffcc0,
    0xfffa804c,0x3000dfff,0x3000bfff,0x8000bfff,0x40006fff,0x54007fff,
    0x00017303,0xd10bfff3,0x3000009f,0x4000bfff,0x4407fffc,0x00006fff,
    0x000dff70,0x400d41d4,0x7c41fffb,0xc9fd4004,0xf8004fff,0x00dfff17,
    0xf980dff9,0x1d4000ff,0x2e607500,0xfff98000,0x400016c5,0x5c45fff9,
    0x801ffffe,0xefffeffb,0x77fecc02,0x8003efff,0x00ea003a,0x400dfff1,
    0xfff3001d,0x4c03b009,0x2ffffffe,0x05fff980,0x05fff980,0x037ffc00,
    0x01fffe00,0xc89bfee2,0x000effff,0xd117ffe6,0x2000009f,0x0005fff9,
    0x80bfffea,0x0006fff8,0x00dff700,0x2e6ffb88,0x7c405fff,0x007e44ff,
    0x7fc4fea0,0x3ee000ff,0x00dfff13,0xf980dff9,0xfb8800ff,0x7fdc406f,
    0x3ffff226,0x3fe6000e,0x003fd15f,0x0bfff300,0x80ffffec,0xf510cfd8,
    0x3fea09ff,0x5fff710c,0x0dff7100,0x406ffb88,0x2006fff8,0xfff3001f,
    0x5003f009,0x09fffffd,0x005fff98,0x005fff98,0x0037ffc0,0x981fffe0,
    0xd16ffffd,0x0bffffff,0x12fffcc0,0x000009fd,0x002fffcc,0x09ffff30,
    0x0037ffc4,0x06ffb800,0xdffffb30,0x07ffffee,0x7c1fff90,0x23fa8005,
    0x2003fffc,0xdfff10fe,0x80dff900,0x2600fff9,0x306ffffd,0x22dffffb,
    0x5ffffffe,0x37ffe600,0x00001ff9,0x440bfff3,0xf887fffe,0x5fffb03f,
    0xf707ff98,0x3f6601ff,0xfb306fff,0xf880dfff,0x3f9006ff,0x13ffe600,
    0x5c003f70,0x201fffff,0x8005fff9,0x0005fff9,0x00037ffc,0xa981fffe,
    0xce8efffa,0x3fffc88a,0x2bfff300,0x00004ff9,0x02fffcc0,0xbffff100,
    0x037ffc40,0x6ffb8000,0xfff53300,0xfffb5d3d,0x3fff9801,0xf50003f7,
    0x03fffcc7,0x3fe24fa8,0x6ffc806f,0x007ffcc0,0x0dfff553,0x3bffeaa6,
    0xfc88ace8,0xff3003ff,0x0001dfdf,0x02fffcc0,0x907fffea,0x7ffcc0df,
    0x882ffe45,0x55302fff,0x2a60dfff,0x4406fffa,0xaaaaffff,0x1ffecbaa,
    0x9dfff300,0xfffb9999,0x7ec40503,0x3fe604ff,0xff98005f,0x6664405f,
    0xffffcccc,0x1ccccccc,0x803fffc0,0xd02efffd,0x3e600dff,0x06ff9dff,
    0xccc88000,0xcccefffd,0x7403cccc,0x3e206fff,0x000006ff,0xb000dff7,
    0x64c3ddff,0x2dffd001,0x7f50006e,0x803fffd8,0x3ffe20fe,0x06ffc806,
    0x8007ffcc,0xfd806ffd,0xffd02eff,0x3ffe600d,0x400000df,0x4405fff9,
    0x3e64ffff,0x2fffc02f,0xff813ff2,0x6ffd803f,0x406ffd80,0xfffffff8,
    0xffffffff,0xffff3001,0xffffffff,0xe801d03f,0x3fe606ff,0xffffffff,
    0xffffffff,0x7fcc05ff,0xffffffff,0xffffffff,0x03fffc02,0x201fffc8,
    0xf3007ffb,0xbffffdff,0xff980000,0xffffffff,0x406fffff,0x2207fffd,
    0x00006fff,0x000dff70,0x0007fff9,0x2fcfffa8,0x987f5000,0x7cc06fff,
    0x037ffc45,0x26037fe4,0xf9000fff,0xfff900df,0x03ffdc03,0x006fff98,
    0xbfff3000,0x4dfffd00,0x64400ffe,0x00ffcc0c,0xf9007fff,0xdff900df,
    0x06fff880,0x007fee62,0x4cefffcc,0x1ffba999,0x7fdc03e8,0x3bffe606,
    0xaaaaaaaa,0xfffbaaaa,0x7ffc0005,0x7ffc0006,0x0dff9007,0x800fffa8,
    0xffddfff9,0x000005ff,0x0017ffe6,0x40dfffb0,0x0006fff8,0x00dff700,
    0x200fff90,0xffffffff,0xffffffff,0x501fffff,0x5fffd07f,0x3e20fec0,
    0xffc806ff,0x07ffcc06,0x806ffc80,0x7d406ffc,0xff9800ff,0x3000005f,
    0xff00bfff,0x03ffcdff,0x3ea00400,0xffc803ff,0x06ffc806,0x8037ffc4,
    0xff3001f9,0x81f9809f,0x3fe200fe,0x17ffe604,0x17ffe600,0x0dfff000,
    0x07fff800,0xa80dff90,0xf9800fff,0xffffb5ff,0x2600000b,0x40005fff,
    0x2205ffff,0x00006fff,0x000fff90,0x2a00dff9,0xcaaaaaaa,0xaaaacfff,
    0xf500aaaa,0x0dfff507,0x3fe21be6,0x6ffc806f,0x00fffd40,0xc806ffc8,
    0x7fd406ff,0x7ffcc00f,0x3000005f,0xf980bfff,0xdff34fff,0x32200000,
    0x803fffef,0xfc806ffc,0x7ffc406f,0x4007a006,0xe804fff9,0x2e05fe81,
    0x3fe601ff,0xff98005f,0x7fc0005f,0x7fc0006f,0xdff9007f,0x00fff980,
    0x365fff98,0x0005ffff,0x05fff980,0x3fffe200,0x1bffe203,0x7fe40000,
    0x7fdc001f,0xff100006,0x7d40005f,0x03fffd03,0xfff105f9,0x0fffb00d,
    0x002fffa8,0xf900dff7,0xfff980df,0x3fffea00,0x3000005f,0xfb80bfff,
    0xdff53fff,0xfd980000,0x007ffd2d,0xf900dff9,0xfff880df,0x40072006,
    0xc804fff9,0x41effe81,0x7cc03fe9,0xf98005ff,0x7c0005ff,0x7c0006ff,
    0xff9007ff,0x0fff980d,0x45fff980,0x005ffffd,0x2fffcc00,0xffff3000,
    0x37ffc405,0x7fcc0000,0x2e000dff,0x100006ff,0x40005fff,0xfff703fa,
    0xf106f88b,0xffa80dff,0x3ffa03ff,0xdff7005f,0x80dff900,0xf900fff9,
    0x00bfff5b,0x3ffe6000,0x3fffa205,0x001ffee6,0x20f7ec40,0xfc803ffe,
    0x6ffc806f,0x037ffc40,0x7fcc0010,0xdd00804f,0xdfdbdfff,0xbfff3005,
    0xbfff3000,0x6fff8000,0x3fffc000,0x406ffc80,0x9800fff9,0xffd85fff,
    0x200005ff,0x0005fff9,0x807fffea,0x0006fff8,0x3ffffea0,0xb800efff,
    0x100006ff,0x40005fff,0x3ffe03fa,0x440ff21f,0xff506fff,0x2bffffff,
    0xffffffe9,0x37fdc06f,0x2037fe40,0xfb80fff9,0x00bfff34,0x3ffe6000,
    0xffffd105,0x007ffd43,0x417fa200,0xfc803ffe,0x6ffc806f,0x037ffc40,
    0xfff98000,0x98820004,0x26001bfc,0x98005fff,0x40005fff,0x40006fff,
    0xf9007fff,0xfff980df,0x5fff9800,0x0bffffb0,0x3ffe6000,0x3ff60005,
    0x7ffc406f,0x00000006,0x00dff700,0x3bbbbbb6,0xeeefffee,0x00eeeeee,
    0x7fdc07f5,0xf881fe4f,0x000006ff,0x0dff7000,0x980dff90,0x22b80fff,
    0x0005fff9,0x8bfff300,0x2fffffa9,0x001fffcc,0x02ffcc11,0xf9007ffd,
    0xdff900df,0x06fff880,0xfff30000,0xed800009,0x7ffcc000,0xfff98005,
    0x7ffc0005,0x7ffc0006,0x0dff9007,0x800fff98,0x3205fff9,0x0005ffff,
    0x005fff98,0x03ffff30,0x006fff88,0x37d50240,0x06ffb800,0xddddddb0,
    0xdddfffdd,0x01dddddd,0xff880fea,0x203fb8ff,0x0006fff8,0x00005bb1,
    0xf900dff7,0xfff980df,0x5fff9800,0xf981c000,0xfffeefff,0xf880cfff,
    0x872006ff,0x3fa02fff,0x6ffc803f,0x406ffc80,0x0006fff8,0x7ffcc166,
    0x3ea00004,0x3e6002ff,0xf98005ff,0x7c0005ff,0x7c0006ff,0xff9007ff,
    0x0fff980d,0x05fff980,0x02ffffe4,0x17ffe600,0x27fff400,0x037ffc40,
    0x7ec09500,0x3ee004ff,0xf100006f,0x540005ff,0x7ffe403f,0x3e200fec,
    0xf30006ff,0x40001fff,0xfc806ffb,0x7ffcc06f,0x5fff9800,0x4c0ee000,
    0xccceffff,0xfff801bc,0x2669802f,0x3fa00fff,0x6ffc803f,0x406ffc80,
    0x0006fff8,0x7ffcc0ba,0x36a00004,0x3e6006ff,0xf98005ff,0x7c0005ff,
    0x7c0006ff,0xff9007ff,0x0fff980d,0x05fff980,0x05ffffc8,0x17ffe600,
    0x3fffee00,0x6fff8800,0x980ba000,0x7000fffc,0x20000dff,0x0002fff8,
    0xff100fea,0xf8809fff,0x710006ff,0x40007ffd,0xfc806ffb,0x7ffcc06f,
    0x5fff9800,0x203f1000,0x0005fff9,0x00ffffdc,0x7ffd47d1,0x00fffa02,
    0x3201bff2,0x7fc406ff,0x1f90006f,0x017ffea0,0x01ffa000,0x005fff98,
    0x005fff98,0x01fffe20,0x01ffff00,0x980dff90,0xf9800fff,0xff9005ff,
    0x30001dff,0xa800bfff,0x1002ffff,0x2000ffff,0x5ff9007b,0x01bfee00,
    0x17ffc400,0x007f5000,0x803ffffb,0x0006fff8,0x0002ffcc,0xf900dff7,
    0xfff980df,0x5fff9800,0x540d9000,0x80005fff,0xa82ffffe,0x3ffea0fe,
    0x4fffd885,0x037fe40a,0x22037fe4,0x98006fff,0x3ffea05f,0x7c400005,
    0x3fea004f,0xff98005f,0x3e20006f,0x7c0007ff,0xfc800fff,0x7ffd406f,
    0x5fffa801,0x3ffff600,0x7fcc000e,0xffb1005f,0x7c4007ff,0x5c000fff,
    0x1ffb005f,0x01fff200,0x17ffcc00,0x009f5000,0x300bfff3,0x8000ffff,
    0x20004ffa,0xfc807ffc,0x7ffd406f,0x6fffa801,0x204fc800,0x0006fffa,
    0xffffffa8,0x441fffdd,0xb89dffff,0xdaeffedf,0x00fff903,0xfa80fff9,
    0x2e000fff,0x3ff202ff,0x2200006f,0x2e000ffd,0xb8007fff,0x20007fff,
    0x001ffffa,0x03ffff10,0xa80fffb0,0xfb802fff,0x3e6006ff,0x002fffff,
    0x1017ffee,0x03dfffd5,0x2ffffa80,0x05ffb300,0x003ffb88,0x0007fff2,
    0x00fffea0,0xb005fc80,0xff5003ff,0x2a0001ff,0x20000efe,0x6c00fffd,
    0x7fd407ff,0xfffb802f,0xffd3002f,0x3fffdc03,0xfffa8000,0x03ffffff,
    0xfffffff9,0x13ffff27,0xd807ffd8,0x3fa607ff,0xccccefff,0xffeecccc,
    0xfffb880f,0x20000cff,0x000beff9,0x9fffff71,0xfff71001,0x880019ff,
    0x01dffffe,0x7ffff540,0x3ffea01e,0x3fffa03f,0x3ffee205,0xfb800cff,
    0xbeffffff,0x3fffe601,0xfdccdeff,0x002effff,0xfffffe88,0xeeeeeeef,
    0x200fffff,0x2001befe,0x00dffff9,0x3fffa600,0xff98001f,0x37d400bf,
    0x7ffff440,0x3ff2001d,0x260000ad,0x2a03ffff,0x3a03ffff,0x7d405fff,
    0xeeefffff,0xfffeeeee,0x3ffe607f,0x80001cff,0xefffffe8,0x7fffdc00,
    0x0fffe60e,0x03ffff98,0x88ffffe6,0xfffffffe,0xffffffff,0x4c5fffff,
    0xfffffffe,0x00004eff,0xffffd300,0x09dfffff,0xffffffd3,0xe809dfff,
    0xfffffffe,0x7fec05ef,0xffffffff,0xfffff50e,0x3fa6bfff,0x26ffffff,
    0xffffffe9,0xf983efff,0xffffffff,0x3ba66fff,0xffffffff,0xaceeffff,
    0x7f744000,0xffffffff,0xffffffff,0x800005ff,0xfffffffa,0x3f2000ef,
    0xffffffff,0x7ff74c05,0x202effff,0xffdd102e,0xbdffffff,0x54000000,
    0xfffffffe,0x3ffffea4,0xffd35fff,0x44dfffff,0xfffffffe,0xffffffff,
    0x4c5fffff,0xfffffffe,0x80004eff,0x2001aca8,0x80600998,0xffffffea,
    0x3fffaa4f,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc0000,
    0x01999999,0xfffffb00,0xfd101dff,0x4cccdfff,0x99999999,0x33333300,
    0x4c133333,0x99999999,0x99800001,0x99999999,0x02c98099,0x26666662,
    0x99999999,0x99999999,0x1aba8800,0xd8040000,0xea800eee,0x4cccc5ee,
    0x99999999,0x33333100,0x4c413333,0x99999999,0x4cc40099,0x01999999,
    0x33333331,0x33333333,0x00133333,0x71000200,0x00175017,0x00995000,
    0x2ea02ee2,0x3bb20000,0x1b88004e,0x665cc400,0x6540001a,0x33333001,
    0x00333333,0x30175000,0x7ffe4439,0xffffffff,0xf9802cef,0xb800ffff,
    0x3fb222ff,0xdfffffff,0xfffec883,0x13dfffff,0xfffffff9,0x9dffffff,
    0xfd910005,0xdfffffff,0xefffb85b,0xfffffa80,0xffffffff,0xffffffff,
    0x3bfee04f,0x2a02efff,0x07302efd,0x00bffff7,0x7443fffb,0xffffffff,
    0xdd304fff,0x5dffffff,0x7fffff5c,0x401dffff,0xffffffec,0xffff505f,
    0xffffffff,0xdfffffff,0x1dfeb801,0x7f400190,0x03ffe45f,0x1ffe2000,
    0x322fff40,0x3e0007ff,0x22000eff,0x2a003ffc,0xdfffffff,0xfffa8000,
    0x7ffe4401,0xffffffff,0x01bdeeff,0x307ffdc0,0xfd505fff,0xfd9bdfff,
    0x9803dfff,0xf5006fff,0x7fff440b,0x3fa2004f,0x75404fff,0xccceffff,
    0x00dfffed,0xffffd300,0x7fff401d,0xefffb82f,0xfffcccce,0xffdccccf,
    0xcfd884ff,0x09fff510,0x3dfffff9,0x7ffc41c8,0x7fc01fff,0xffd7102f,
    0x4007ffff,0x200dfffd,0x5ffffffb,0xffffb800,0x77ffdc03,0xcccccccd,
    0x1ffffecc,0x7fffff40,0xf300340c,0x7ff41fff,0x3a00002f,0xff9807ff,
    0x3fffa0ff,0xfff98002,0xfff91000,0x3ff2007f,0xffffffff,0x7ffec002,
    0x3ffaa004,0xdbbcefff,0x0dfffffe,0x22fffe80,0xf705fffc,0xff710bff,
    0xffc807ff,0x01fc800f,0x003fffdc,0x803fffdc,0x3205fffb,0x0003ffff,
    0x801ffff5,0xb85ffffd,0x3ffe01ff,0x113fa607,0x3ff607ff,0x3f33e62f,
    0xfbadffff,0xffaafe40,0x00ffea06,0x07ffffe4,0x005ff700,0x07ffffe2,
    0x00fffc00,0x10006fe4,0xb809ffff,0xfffffdbf,0x74006c9c,0x7ffe45ff,
    0xff700000,0x3ffa00ff,0x007ffe45,0x800ffe40,0x3ffffdec,0xcefffa80,
    0x0fffffec,0x0bffea00,0x0bfff700,0xffffea88,0x07ffe403,0x2a07fff3,
    0x3ee05fff,0x3e205fff,0x37c403ff,0x037ffd40,0x037ffd40,0x405fffa8,
    0x003ffffa,0x807fff98,0x40feced9,0x7ffc00fc,0x322f4407,0x3ffe606f,
    0xffc88ee5,0x7cc4ffff,0xc817f4c5,0x7fe4004f,0x3fa003ff,0x7ffd4002,
    0xff88003f,0x000d9002,0xb00dfffb,0x7ffff4c1,0x64c001ff,0x00edc40c,
    0xffff9800,0x81993007,0xd0001db8,0xf504005f,0xff8807ff,0xffffb81b,
    0x016d4006,0x02fffd40,0x0bffff90,0x6d40edc4,0x17ffe603,0x03ffff90,
    0x2e03ffe4,0xeeee882f,0xeeeeffff,0xeeeeeeee,0xeeeffffe,0x0bfff303,
    0x01ffffb0,0x06fff880,0x04c87c80,0xa807fff8,0xf00bfe65,0x4c064bff,
    0x4d84fffd,0x17e0db10,0x7ffff400,0x004fc800,0x01ffff90,0x2004fc80,
    0x7fdc002d,0x505801ff,0x0005fffd,0xd0000000,0x000fff7d,0x7f300000,
    0x3fff8000,0x2600fdc0,0x0001ffff,0xbfff3000,0xffffa800,0x26000004,
    0x7c405fff,0x3e205fff,0x41fa03ff,0xfffeeee8,0xeeeeeeef,0xffeeeeee,
    0x303eeeff,0xf500bfff,0x88005fff,0xf8006fff,0xff802c85,0x3a68807f,
    0x664400ff,0x01310020,0x98770095,0xff10000e,0x5fa809ff,0x3ffe2000,
    0x1be2004f,0x4c001d00,0x1003ffff,0x00001880,0xf9000000,0x000fff73,
    0x09700000,0x07fff000,0xff9002d8,0x0000007f,0x0017ffe6,0x00ffffee,
    0x7ffcc000,0x7ffff805,0x9837fec0,0xfff3004f,0xfff3000b,0x3ffe600b,
    0xffff8805,0x7ffc4003,0x40fd4006,0x7fff8009,0x03ffc500,0x00800000,
    0x00011020,0x01ffffa8,0x80001df3,0x001ffffa,0x068003fb,0x02ffff40,
    0x00000000,0x7d400000,0x000fff74,0x00300000,0x80fffe00,0x3fe20068,
    0x0000005f,0x000bfff3,0x003ffffa,0x3ffe6000,0x7fffd805,0x417ffcc0,
    0xff3001fc,0xff3000bf,0x3fe600bf,0xffff005f,0xfff88009,0x013a2006,
    0x00ffff00,0x0006ff98,0x00000000,0x3ff60000,0x0ff440ef,0xfffd8000,
    0x004fa806,0x7ffe4000,0x0000000f,0x00000000,0xfff737c4,0x02ae6000,
    0x40000000,0x00403fff,0x800fffe0,0x2000aba9,0x0005fff9,0x009ffff3,
    0x7fcc00ea,0xfffd805f,0x46ffd807,0x3e6005f8,0xf98005ff,0xff3005ff,
    0xfff300bf,0xff88005f,0x09f7006f,0x0ffff000,0x006ffa80,0x00075000,
    0x01d40075,0x4ffff880,0x000017ec,0x409ffff1,0x00000ef8,0x0bfffe60,
    0x5cc0ea00,0xffffd800,0xffffa85f,0x1fd8007f,0xa801ffee,0x4ffffffd,
    0x40000000,0x00003fff,0x64017ff4,0x1effffff,0x05fff980,0x1ffff200,
    0x006ffb88,0xd00bfff3,0xf300bfff,0x017dc5ff,0x00bfff30,0x00bfff30,
    0x2017ffe6,0x001ffffb,0x4037ffc4,0xf00001de,0xfb800fff,0x2200007f,
    0x71006ffb,0xfb880dff,0x3ea0006f,0x09f91fff,0xfff50000,0x00bf203f,
    0xffe88000,0x3ee2005f,0x3fff226f,0xffa800ef,0x3ffe605f,0x21fd4007,
    0xd8807ffb,0x3ff621df,0x3fff600e,0xffffffff,0x3e00ffff,0x400003ff,
    0x3a200fff,0xfffb51cf,0x5fff9807,0x3ffea000,0x7ffecc2f,0xfff3006f,
    0xffff880b,0x4dffb004,0x7fcc007e,0xff98005f,0xfff3005f,0xffff880b,
    0xfff88004,0x00001806,0x2003fffc,0x0000fffa,0x37fffecc,0x3ffff660,
    0xffffb306,0xffc8000d,0x0006faef,0x1bfff600,0x000017e6,0x01ffff90,
    0xdffffb30,0x3fffffa2,0xbfff005f,0x007ffd80,0x3fee17e2,0x00efe807,
    0x3603fff9,0xaaaabcef,0x04fffeaa,0x0001fffc,0x440dff10,0xfffd00ef,
    0x2fffcc03,0xffff3000,0xfffaa989,0xbfff3006,0x0ffffc80,0x35fff500,
    0xff98009f,0xff98005f,0xfff3005f,0xefffd80b,0xfff88000,0x80000006,
    0x4c007fff,0x22003fff,0x7ffd54c0,0x7fd54c06,0xff55306f,0xe88000df,
    0x000fffff,0x3ffe2000,0x0007f43f,0xffff5000,0x3eaa6003,0x8ace8eff,
    0x803fffc8,0x7dc05ffd,0x03f6007f,0xf901ffee,0x6ffe803f,0xff500bd0,
    0x7fff00df,0x7fd40000,0x8807f603,0x3e605fff,0x220005ff,0x3605ffff,
    0xff3006ff,0x7ffd40bf,0x7ff4002f,0x4c000fce,0x98005fff,0xf3005fff,
    0x3faa0bff,0x10000dff,0x0000dfff,0x0ffff000,0x06fff880,0xffd80720,
    0x1bff6006,0x001bff60,0x0ffffe60,0x3ea00000,0x07f90fff,0x7fc40000,
    0xfb0004ff,0x3fa05dff,0x5ffd806f,0x803ffdc0,0xfff702fb,0x4037fcc0,
    0x2e83fffb,0x07fffc40,0x001fffc0,0x4c0dfb00,0xffff806f,0xffb99911,
    0x999999df,0xfffe8079,0x01bff206,0x20f7ffcc,0x03ffffc9,0x5ffffa80,
    0xffff9800,0xeeeeeeee,0xfffeeeee,0xdfff3005,0xfffdb975,0xf880005b,
    0x000006ff,0x007fff80,0x802ffff8,0x37fe4069,0x00dff900,0x0000dff9,
    0x003ffff2,0x3ff60000,0x0005f9df,0x37ffec00,0x3fff9000,0x403ffdc0,
    0x7dc05ffd,0x04f9807f,0xfb81ffee,0xffff005f,0x7ec00e81,0xfff002ff,
    0x3e600007,0x013f601f,0x7ccbfff6,0xffffffff,0x06ffffff,0x903fffec,
    0x3e600dff,0xffffffff,0x0000cfff,0x000bfffa,0x2abbffe6,0xaaaaaaaa,
    0x05fffbaa,0xdfffff30,0x001ffffd,0x1bffe200,0x3e000000,0xfb8007ff,
    0x3a201fff,0x037fe403,0x900dff90,0x20000dff,0x005ffffa,0xfff88000,
    0x00000fff,0x07fffee0,0x06ffc800,0x2007ffd4,0x7dc05ffd,0x00ee807f,
    0xfd81ffee,0xfff9003f,0x7fe40085,0x3ffe004f,0x9fb00003,0xffffff80,
    0xffffffff,0xbfff303f,0xfffd8000,0x01bff206,0x98afffcc,0x000009aa,
    0x2000fff5,0x8005fff9,0x3005fff9,0xffe8bfff,0xf100004f,0x00000dff,
    0x00ffff00,0x0bffffa0,0xf9003faa,0x7fe400df,0x06ffc806,0xffef9800,
    0x000002ff,0x03ffffb8,0x3fe20000,0x640003ff,0x7fd406ff,0x2ffec00f,
    0x901ffee0,0x7ffb803f,0x400bffe0,0x2003fffb,0x4006fff9,0x80003fff,
    0x7fc406fa,0x9999999c,0x30099999,0x8000bfff,0x3205ffff,0xff3006ff,
    0x000000bf,0x4c0013fa,0x98005fff,0xf3005fff,0xfff88bff,0xf880001f,
    0x000006ff,0x007fff80,0xffffff50,0x003fffbb,0x6400dff7,0xffc806ff,
    0x7f440006,0x00ffffc8,0xffe80000,0x2000000f,0x0005fffe,0x4c06ffc8,
    0x7ec00fff,0x3ffdc05f,0xf7007f30,0x3ffe60ff,0x9fff5002,0x3fffe200,
    0x1fffc000,0x03fa2000,0x000bff30,0x02fffcc0,0x7ffff100,0x8037fe40,
    0x0005fff9,0x001fb000,0x017ffe60,0x017ffe60,0x542fffcc,0x0000ffff,
    0x0037ffc4,0x7ffc0000,0x3fea0007,0x3fffffff,0x00dff700,0x64037fe4,
    0x6c0006ff,0xbffff12f,0xfd000000,0x000001ff,0x003fffee,0x01bff200,
    0xd801fff3,0x7fdc05ff,0x555fd107,0xf9555555,0x2e3555ff,0xf3003fff,
    0x3f6009ff,0xff8002ff,0x7ec0003f,0x06ffa801,0x3ffe6000,0x3fe60005,
    0x3ff202ff,0xbfff3006,0xf1000000,0x7fcc000b,0xff98005f,0xfff3005f,
    0x17fff60b,0xdfff1000,0xf0000000,0x88000fff,0x0efffffe,0x01bfee00,
    0xc806ffc8,0x320006ff,0x7fffd44f,0x74000002,0x00000fff,0x02ffff98,
    0x0dff9000,0x400fff98,0x7dc05ffd,0xffff507f,0xffffffff,0x2bffffff,
    0x1003fffb,0xf7005fff,0x3e0009ff,0x320003ff,0xfff5002f,0x7fcc0000,
    0x3ea0005f,0x3f201fff,0xfff3006f,0x7000000b,0x7cc0005f,0xf98005ff,
    0xff3005ff,0x3ffa20bf,0x3e20003f,0x000006ff,0x007fff80,0x039f5100,
    0x00dff700,0x64037fe4,0xf50006ff,0x3ffff60b,0x3a000000,0x00000fff,
    0x005fffe8,0x01bff200,0xd801fff3,0x7fdc05ff,0xfffff507,0xffffffff,
    0x26bfffff,0xf1004fff,0xff9803ff,0x3fe0006f,0x7f70003f,0x17ffc400,
    0x7fcc0200,0x3f60005f,0x7fe406ff,0xbfff3006,0xdd000000,0xfff98000,
    0xfff98005,0xbfff3005,0x07fffcc0,0x6fff8800,0x40024000,0x00007fff,
    0x5c000bea,0x3f2006ff,0x6ffc806f,0x00ef8800,0x00bffff1,0x7fff4000,
    0x7e400000,0x50000fff,0x980dff90,0x7ec00fff,0x3ffdc05f,0xcccccc98,
    0xffdccccc,0xff13cccf,0x3fe600ff,0x7fffc407,0x3ffe0000,0x03f98003,
    0x006fff80,0x7ffcc0ea,0xfff30005,0x6ffc803f,0x0bfff300,0x3fb80000,
    0x7ffcc000,0xfff98005,0xbfff3005,0x06fffb80,0x0dfff100,0x40025400,
    0x00007fff,0x000bfff1,0x6400dff7,0xffc806ff,0x0ff44006,0x0bfffea0,
    0x7ff40000,0x2a00000f,0x0002ffff,0x0dff9095,0x400fff98,0x7dc05ffc,
    0xf700007f,0x7fff40ff,0x05ffa802,0x0017ffec,0x000fffe0,0x3a0009f3,
    0x1d002fff,0x017ffe60,0x027fff40,0x98037fe4,0x00005fff,0x0001be20,
    0x0017ffe6,0x4017ffe6,0xd805fff9,0x88004fff,0x20006fff,0xfff8002e,
    0xf7100007,0xfb8003ff,0x3ff2006f,0x06ffc806,0xd801fec0,0x0000ffff,
    0x00fffe80,0xffff1000,0x416c0009,0x7cc06ffc,0x7fdc00ff,0x03ffec06,
    0x07ffb800,0x2017ffe6,0x3ee02ffc,0x404804ff,0x26003fff,0xa826004f,
    0x6c03ffff,0x17ffe606,0x3fffee00,0x06ffc800,0x00bfff30,0x77dfb300,
    0x300005fd,0x3000bfff,0x2600bfff,0xf8805fff,0x44002fff,0x70007fff,
    0x3ffe000f,0x7dc00007,0x7fdc002f,0x1bff2006,0x801bff20,0x3e2005fc,
    0x00006fff,0x000fffe8,0x0dfffb00,0x640fcc00,0x7fcc06ff,0x7ffd400f,
    0xfffee881,0xffb80000,0x0fffec07,0xf9817fe0,0x058806ff,0x9801fffc,
    0x03e2005f,0x439ffffd,0x2601fdb8,0x54005fff,0x9002ffff,0x3ea00fff,
    0xc80005ff,0x04ffffff,0xbfff5000,0xdfff5000,0x1bffe600,0x0ffffd40,
    0x1ffff100,0x005fb800,0x007fff88,0x003fe400,0x9003ffe4,0xff900fff,
    0x03ff200f,0x9ffff700,0xffe80000,0xfb80001f,0x10001fff,0x1bff20fd,
    0x803fff50,0x88befff8,0xdfffbcfb,0x3ee00029,0x7ff4407f,0x01ff700f,
    0x003fffe2,0x7fff0166,0x333df300,0x93333333,0xffff30bf,0x9fffdfff,
    0x05fff980,0x7ffffb10,0x03ffec00,0x007fffb8,0xfffffb80,0x3ee00005,
    0xfb8007ff,0xff7007ff,0x7fe400ff,0xff5002ff,0x366005ff,0xf98002ff,
    0x00001fff,0xb0007ff5,0x36001fff,0xffd807ff,0x27fe4407,0x7fffcc00,
    0xf100003f,0x80005fff,0x003ffff8,0x360dfd50,0x7fd407ff,0xfffb802f,
    0xff74ffff,0x40007dff,0xd8807ffb,0xf910beff,0x7ffec01d,0x405e8802,
    0x7d404fff,0xffffffff,0x02ffffff,0xfffffff3,0xff700bff,0xfea880bf,
    0x26001eff,0x4c03ffff,0x01cfffff,0x177fe400,0xfff30000,0x7cc009ff,
    0x4c04ffff,0x01cfffff,0x7bffffd0,0x3fffa201,0xeeeeefff,0x0fffffee,
    0x7ffec400,0x3a0001df,0x98001cff,0x9803ffff,0x2603ffff,0xf503ffff,
    0x8003ffff,0xdffffffc,0x7fe40002,0x20002eff,0xcccffffe,0xcccccccc,
    0x85ffffed,0x203ffffa,0x9005fffe,0x5c5fffff,0x80002dff,0x32007ffb,
    0xbfffffff,0x3bffee00,0xaaaaaaaa,0x3f204feb,0xff501fff,0xffffffff,
    0x01ffffff,0x7ffffec4,0xfff9803f,0xdccdefff,0x02efffff,0x3ffffaa0,
    0x3ba64fff,0xffffffff,0x0000004e,0xffffd300,0x09dfffff,0xffffffd3,
    0x3a69dfff,0xfffffffe,0x7fcc04ef,0xd14fffff,0xfffffffd,0xffffffff,
    0x400bffff,0xffffffed,0x00005fff,0x7fff5400,0xea84ffff,0x4fffffff,
    0x3fffffaa,0xffff94ff,0x803fffff,0xfffffffd,0x2000ffff,0xffffffec,
    0x2000efff,0xfffffffa,0xffffffff,0x3fffffff,0x3fffffea,0xfffd35ff,
    0x100dffff,0x01730375,0x3ffdc000,0x0d654400,0x7ffffc40,0xffffffff,
    0x7f544fff,0x6fffffff,0x3fffffe2,0xffffffff,0x731005ff,0xfee98037,
    0xffffffff,0x0aceefff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x20001575,0x0009bba8,0x005dc400,0xeeeeee88,0x06eeeeee,
    0x99999999,0x99999999,0x74099999,0xeeeeeeee,0xfb00eeee,0xf50bffff,
    0x100fffff,0xdddddddd,0x200ddddd,0xb0008000,0xdddddddd,0xed83dddd,
    0xeeeeeeee,0x88001eee,0x4c000000,0x00000000,0x20000002,0x00000000,
    0x00000000,0x2ea20000,0x8005109a,0x00000ab9,0x75300000,0x2a200015,
    0x1d4001ab,0x7fe400d4,0x001effff,0xfffdffb3,0x3600007d,0xff1006ff,
    0xffffffff,0x33910fff,0x33333333,0x33333333,0x3ffe0193,0xffffffff,
    0x7fd400ff,0x3ffe605f,0xffff8807,0xffffffff,0x40068807,0xffff0059,
    0xffffffff,0xffffe83f,0xffffffff,0x005e8002,0x00fe6000,0x06ae2000,
    0x000007cc,0x0000fc88,0x260efb80,0x000000bf,0x40157300,0xdffb84fd,
    0x804eefff,0xffffffda,0x26016c04,0xc803a600,0x1effffff,0xffdff700,
    0x7dc405df,0x17ffee6f,0xda8e7f44,0x7d403fff,0xfff710cf,0xff880005,
    0xee8801ff,0xeeeeeeee,0x003886ee,0xee806400,0xeeeeeeee,0xff800eee,
    0x3ffec05f,0x77777440,0x6eeeeeee,0x74006c80,0xddddb005,0xdddddddd,
    0xeeeeed83,0x1eeeeeee,0x0005e800,0x000fe600,0x7fff64c0,0x09f30cff,
    0xffb30000,0x7ffffecb,0xfffffa85,0x7449fff7,0x00001cff,0xffffda80,
    0x7ffd44ff,0xc982ff22,0x3f6204ff,0x3bff621d,0x222fe880,0x1defffec,
    0x3a207fe6,0xfffb51cf,0x867ec407,0x4c4fffa8,0xf76ffffd,0xf883ffff,
    0x3fffd00e,0x5c1ffe60,0x40000fff,0x00006ffd,0x0001c400,0x00000320,
    0x80bffb00,0x00007ffb,0x00df1000,0x00002fd4,0x00000000,0x000002f4,
    0x900007f3,0x7fe4c3df,0x00005ebf,0x80e7ff54,0x2605fffb,0xbffd7fff,
    0x05bffd50,0xbfb10000,0x877fec43,0xdf32fff8,0xfd027e40,0x3fff201d,
    0xfbafe881,0xfffdbcef,0xf881ffac,0x3fffd00e,0x3607ff10,0x2a662fff,
    0xdae9efff,0x0fec0fff,0x20bfff10,0xff105ffc,0xc880005f,0x0000001c,
    0x200001c4,0x0000000c,0x2e02ffec,0x000007ff,0x400dfb00,0x000005fe,
    0x80000000,0x2000005e,0x6c0003f9,0x3fff605f,0xf9100006,0xff0017ff,
    0x7ffd80bf,0x64c05ff1,0x0000beff,0x7e40dfd0,0x21df51ff,0x827c04fc,
    0x7f401ffc,0xdffd106f,0x3fff2601,0x4403fb01,0x6fc85fff,0x417ffe60,
    0x261eeffd,0x4037cc1c,0xfc81ffff,0x0fffe04f,0x00000000,0x00038800,
    0x00000640,0x017ff600,0x0000fff7,0x0dff9000,0x0017ff20,0x00000000,
    0x00017a00,0x0003f980,0xfd007fee,0x4c0001ff,0x4002effd,0x7dc05ffd,
    0x002fdbff,0x019fff91,0x007fe400,0x3baffffa,0x9901ffa0,0x700dff30,
    0x3f607fff,0x20df9003,0xfff806f9,0x00bfe61f,0x3f20bfff,0x9fb003ff,
    0x05fffb00,0x7fc03ff3,0x0000003f,0x09bba880,0x00003880,0x00000064,
    0x7017ff60,0x4c000fff,0xfc800aba,0x7f4406ff,0x260005ff,0x540000ab,
    0x0bd00003,0x1fcc0000,0x06ff8800,0x004fffd8,0x01dffea8,0x80bffb00,
    0x000afffb,0x077ffaa0,0x00dff300,0xb01bfff7,0x424c09ff,0xff005ffb,
    0x05f981ff,0x7ec1fe40,0x2fffd804,0x91003ffa,0x1fff2019,0xffffff80,
    0xffffffff,0xfa80103f,0x000003ff,0x3bff6600,0x2203efff,0x86400003,
    0x85fffffd,0x07fffffa,0x5c05ffd8,0xfc8007ff,0x81efffff,0xffffffe9,
    0xfff31fff,0x1fffffff,0x7fffed40,0x2e2004ff,0xd00006ff,0x4c00000b,
    0xff70003f,0xffefc809,0xffb8800f,0x6c0000cf,0x7fdc05ff,0x36600007,
    0xf7002eff,0x3ffe00bf,0x3dfff706,0x01ffec00,0x742fffc8,0x0fe8000f,
    0x7ffffffc,0xffffffff,0x0001ffe3,0x88037fe4,0x99999cff,0x09999999,
    0x3fbf2200,0x000003ff,0x219ff500,0x102fffb8,0x0c800007,0x302fffd4,
    0xfb00ffff,0x7ffb80bf,0x473fa200,0x4c3fffda,0xaaeffdaa,0xfb5530aa,
    0x015555df,0x6c43bfb1,0x36600eff,0x0006ffff,0x00000bd0,0xd8001fcc,
    0x27f203ff,0x2602fffc,0x0002effc,0x7017ff60,0x00000fff,0x017fff91,
    0xc801ffec,0xff880fff,0xf801dfff,0xff7002ff,0x0027c47f,0x3fe22fb8,
    0x9999999c,0xf3099999,0x2e0000df,0xff3006ff,0x2600000b,0x7ffd2dfd,
    0x3ffff600,0xffffffff,0x3fe60fff,0x01fff707,0xc8000071,0x405ffe80,
    0xfd807ffd,0x3ffdc05f,0xd00ef880,0x3f203fff,0xbff9006f,0x403bfa00,
    0x5301fffc,0x000dfff5,0x000017a0,0xf0003f98,0x4bee07ff,0xda83fffb,
    0x00001dff,0x5c05ffd8,0x000007ff,0x073ffee2,0x5c00bffe,0xff502fff,
    0x201bffff,0x5002fff9,0x17d49fff,0x263f9800,0x2a0005ff,0x700006ff,
    0x3ea00dff,0x4400006f,0x7ff41efd,0x79dfb003,0xfd555555,0x5ffc89ff,
    0x105fff10,0x0c800007,0x5c05ffd8,0xffd807ff,0x03ffdc05,0x3e201fd8,
    0xdff905ff,0x017ff200,0xfd007ff2,0xdffb00df,0x017a0000,0x03f98000,
    0x83fff980,0x3ffea3fa,0x033ffa25,0xffd80000,0x03ffdc05,0xfea80000,
    0x0bffe65f,0x027ffd40,0xffffffd3,0x07fff705,0xb93ffe60,0x97e0001f,
    0x20006ffa,0x00007ffb,0x2a00dff7,0x200007ff,0xffd05fe8,0x2017a007,
    0xfc86fffa,0x0fffe04f,0x900000e2,0x80bffb01,0xfd807ffb,0x3ffdc05f,
    0x7c037cc0,0xffc81fff,0x0bff9006,0xb806ff98,0x7e403fff,0x3ffe606f,
    0xffffffff,0xffffffff,0xfff70fff,0xffffffff,0xffffffff,0x7ffd4dff,
    0x3e61fcc4,0x3ff625ff,0x000000be,0xfb80bffb,0x0000007f,0x7dcbffb5,
    0xff3003ff,0xffd5009f,0xffb89fff,0xfff1003f,0x0000fdc5,0x03ffd49f,
    0x01fff500,0x0dff7000,0x00bffe20,0x0bff3010,0xe801fff4,0x7fffc402,
    0x201ff980,0x03883fff,0x6c064000,0x7fdc05ff,0x05ffd807,0x6c03ffdc,
    0xfffd804f,0x006ffc82,0xfb80bff9,0xffff005f,0x037fe401,0xddddddd1,
    0xdddffddd,0x1ddddddd,0x3bbbbbaa,0xeeefeeee,0x4eeeeeee,0xf997ffe6,
    0x83fff884,0x00cfffc8,0x2ffec000,0x001ffee0,0xffeb8800,0x1fffdc0c,
    0x02fff880,0x3ffffee0,0x013ffe61,0xf30fffc4,0x8fe20005,0x4002fff8,
    0x007fff30,0x37fdc044,0x00dfff00,0x17ffc1d4,0x2007ffd0,0x7ffec00e,
    0xff500202,0x0007107f,0xffd80c80,0x03ffdc05,0x2e02ffe4,0xfff807ff,
    0xffffffff,0xfc83ffff,0xbff9006f,0x003ffd80,0x6405fff9,0xd00006ff,
    0x4c00000b,0xff88003f,0x220bd16f,0x75c01fff,0x00001dff,0xfb80bffb,
    0x8800007f,0x2603effc,0xf1004fff,0x440503ff,0x3e24fffd,0xff3007ff,
    0x0004f88f,0x6fff85f5,0x7fc4ea00,0x2072006f,0x3a006ffb,0x1d002fff,
    0x200fff98,0x01003ffe,0x004fffc8,0xfffefc88,0x00003883,0x2ffec064,
    0x201ffee0,0x7ec06ffb,0x67fc407f,0x99999999,0xfc809999,0x3fff206f,
    0x0fffffff,0x5c00bffe,0x3ee03fff,0xbd00006f,0x7cc00000,0xffff0003,
    0x7fc40dd1,0x3ff6a007,0x7ec0002e,0x3ffdc05f,0xffb50000,0xfff1005b,
    0x1ffe600d,0x3ffa0074,0x017fff46,0x7ec2ffd4,0xe86e8000,0x1d002fff,
    0x4017fffc,0x0dff7069,0x1ffffd40,0x3fea1b60,0x0fffa02f,0x3ffe6000,
    0x6fecc006,0x7107ffd2,0x80c80000,0x7dc05ffd,0xfffa807f,0xfffee881,
    0x017fe600,0x037fe400,0x9dffd995,0x3fe61999,0xfff5002f,0x037fdc09,
    0x0005e800,0x000fe600,0x0777ffe4,0x000dff30,0x017fff93,0x80dff900,
    0x80007ffb,0x000cffeb,0x400ffff4,0x07d05ffa,0x7cc6ffb8,0xffc805ff,
    0x4005f982,0xfffa82fc,0x2e36c03f,0x2201ffff,0x0dff703e,0xcffffe80,
    0x207f6e21,0xd885fffa,0x000a4fff,0x003fffe2,0x3a0f7ec4,0x003883ff,
    0x7ec06400,0x3ffdc05f,0x5f7ffc40,0xffbcfb88,0xffa829df,0xff900006,
    0x17ff200d,0x003fffb8,0x5c09fff3,0xd00006ff,0x4c00000b,0xff10003f,
    0xffb801ff,0x3ee20003,0x2e001cff,0x3f600fff,0xf910007f,0x200017df,
    0xc805fff9,0x01fd02ff,0x7ec27fc4,0x2ffc01ff,0x2e00bf90,0x3fffa06f,
    0x3f6e21cf,0x2ffffe81,0xf900fea8,0xff9800ff,0xffefffff,0xffff104f,
    0xfdbf713b,0x0007b5df,0x2005fffb,0xffd05fe8,0x00007107,0x5ffd80c8,
    0x803ffdc0,0xfffffffb,0x7dffff74,0x000fff50,0x401bff20,0x3ee05ffc,
    0xff1003ff,0x37fdc05f,0x005e8000,0x00fe6000,0x02fffc80,0x000037f4,
    0x005bffd5,0xd105fff5,0x4001fffd,0x002dffd9,0x03fffb00,0x3fa05ff8,
    0x207fee05,0x700fffe8,0x3fe601ff,0xffd302ef,0x3ffe605f,0xfffeffff,
    0xfffff504,0x03fffbbf,0x000fffe4,0x3fffffe6,0x7e405fff,0x93ffffff,
    0x0009ffff,0x2009fff7,0x3fa05ff9,0x0003883f,0x7fec0640,0x03ffdc05,
    0x5fffff90,0x1016ffdc,0x08005fff,0x9006ffc8,0x7fcc0bff,0xfff1004f,
    0x037fdc03,0x0005e800,0x000fe600,0x01ffffc8,0x00003ff7,0x07dffb30,
    0x467fffc4,0xfffbcfb8,0x3faa029d,0x400001cf,0x700fffe8,0x7ff401ff,
    0x01ff4c1e,0x217dffb1,0xf300efc8,0x9dfff53f,0xfd17fffb,0x3fffe605,
    0x405fffff,0xfffffffa,0x3fe603ff,0x44000dff,0x3ffffffd,0xdffff700,
    0x01fffcc1,0x037ffcc0,0x7405fff0,0x003883ff,0x7ec06400,0x3ffdc05f,
    0x206ea200,0xfff000fb,0x641d400d,0xff9006ff,0x3fffc40b,0x407ff980,
    0x00006ffb,0x400000bd,0xf50003f9,0x215dffd7,0x0001ffc8,0x7ffe4400,
    0xfffff700,0x3ffee9ff,0xfff883ef,0x2000000b,0x10beffd8,0xee801df9,
    0xefedefff,0xffff9002,0x22017fff,0x7f65c1ff,0x3fa20bdf,0xffffb101,
    0x3a2007ff,0x00efffff,0xfffffff5,0x988001df,0x44004ebb,0x03f88099,
    0x1ffff100,0x03ffe600,0x3883ffe8,0x40640000,0x7dc05ffc,0x7c00007f,
    0x3fffa006,0xf901d002,0x3ff200df,0x17fff405,0x202ffd40,0x00006ffb,
    0x400000bd,0xfa8003f9,0x3ffffee3,0x00000cff,0xb0075c00,0x5c5fffff,
    0x3a602dff,0x40000002,0xfffffffc,0x2620800b,0x10001bca,0x32003595,
    0x02440001,0x000ddcc4,0x001aca88,0xfa800000,0x7e400002,0xfffb0000,
    0x7ffd4005,0x20fffa02,0x64000038,0x406ffb80,0x00007ffd,0x54003fe6,
    0x6c03ffff,0x00fff706,0xf301bff2,0xff900bff,0x06ffb805,0x000bd000,
    0x99999995,0x999bfb99,0x47999999,0xaca9884e,0x0000000a,0x0dd44000,
    0x000005cc,0x54400000,0x000001ac,0x00000000,0x00000000,0x00000000,
    0x009f9000,0x002fe800,0x804fffb8,0x217ffea4,0x4a4fffd8,0x64000038,
    0x81fffa80,0x00fffed8,0x07ff5000,0x67ffff40,0x407f6e21,0x0e60fffa,
    0x8531ffee,0x7c01fffd,0x7ffc805f,0x00bd0000,0xffffff70,0xffffffff,
    0xdfffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff40000,0x17fe0000,0x0dfff300,0x7ffc4b10,
    0xedfb89df,0x713daeff,0x80c80000,0x88befff8,0xdfffbceb,0x7c400029,
    0xff3001ef,0xffdfffff,0x7ffcc09f,0xfa80ea9d,0x885a9cff,0xf700fffe,
    0xfffb001f,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x019ff700,0x0bff6000,
    0x07fffc40,0x3ff22cc0,0xf93fffff,0x01c49fff,0x5c032000,0x4fffffff,
    0x07fffff7,0xdfff9000,0x3e609737,0xffffffff,0xffffe805,0x3fffe02f,
    0xffb101ff,0x3bf2217d,0xffff9800,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdffff880,0x98001caa,0xcb9cffff,0x017ffec0,0x7fdc2f44,0x3fe60eff,
    0x0001c43f,0xffc80320,0x3fee2fff,0x2200002d,0x1dfffffe,0x3ffff620,
    0xfd1003ff,0xfd9805bf,0xffc802df,0x00bfffff,0x7fffff54,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffd4000,0x0000bfff,0x5dfffff9,0xaaefffb8,
    0xebaaaaaa,0x0133104f,0xccce880c,0xcccccccc,0xcccccccc,0x0dd4400e,
    0x000005cc,0x00157530,0x000ddcc4,0x04400088,0x0d654400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54400000,0x100002ab,0xff103575,0xffffffff,
    0x09ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0026eea2,0x00375300,0x00035751,0x00a20054,0x44055973,
    0x06600aba,0x3f600510,0x10ffffff,0xffffffff,0xfffff90d,0x54425403,
    0x0aa8801b,0x7303a800,0x20ea0001,0xfffffffc,0xfffe981e,0xfffffb5f,
    0xfffff50b,0x3fffea0f,0x3f22ffff,0xfb04ffff,0xffffffff,0x21ffffff,
    0xfffffffb,0xffffb0ef,0x20003fff,0x00050000,0x00540062,0x00565cc0,
    0x20002a80,0x3b800bb9,0x015e6540,0x2bcb9800,0x6540f260,0x330164c1,
    0x3bff6600,0x4003efff,0xdfffcefc,0x7ffff4c1,0x7d4000ef,0x260fa200,
    0xffffdffe,0x3ffffee2,0x01f980df,0xffa80274,0xfff305ff,0x7f4401bf,
    0x7feb880d,0x1f7fffdc,0x2fffff54,0x137fdc40,0x01dffff9,0x20dff710,
    0x02ffffd8,0xfa81ffa8,0x3fe605ff,0x7ffd407f,0xdffa80ff,0x2f3bf600,
    0xfeaaaaaa,0xfff984ff,0x5fff904f,0x37ec0001,0x0017e600,0xfc801fd1,
    0x3ffaa007,0x44002fff,0x7d4000ff,0x440effff,0xfd305ffc,0x901dffff,
    0x3f6205df,0xe81effab,0x7ffcc3ff,0x220fffe0,0xcffa801f,0x05fff710,
    0xf985fd10,0x25df31ff,0x002fffc8,0x86e809f3,0x7fdc3ffb,0xb89dfd9f,
    0xfd80effe,0x400bea00,0x2a03fffa,0xfe802fff,0x7fffecc0,0xfffffd17,
    0x7ffec3ff,0xb304ffff,0x3a2dffff,0x05ffffff,0x1bffff66,0x001fffd0,
    0x7ffc07f5,0x03ffec05,0x40ffffcc,0x05e805fb,0x206fffa8,0xfb00fffc,
    0xf880001b,0x7e4002ff,0x07fd1005,0x1003fff0,0xfffb57bf,0x27fe4003,
    0x9317f100,0xffac87ff,0x31bffa85,0x7fd41ff9,0x21fe83ff,0x3e21ffd8,
    0x7ffe46ff,0x90bfff33,0x7ff9803d,0x401fff70,0xff503ff9,0x3f60df7f,
    0x7f4400ff,0xf30bf600,0x3fff60df,0x0bffd01f,0x1fe80df3,0x80bffd00,
    0x7c404ffe,0xfffaa983,0x3ee1ce8f,0x217db5ff,0x981fffd9,0xe8efffaa,
    0xfffc88ac,0xfff55303,0x2fffa80d,0x7ec06c80,0x3ffdc05f,0x45fffb80,
    0x05d006f8,0x00ffff88,0x7e41fff2,0x3f600004,0x5fc8000f,0x801ff440,
    0x4b800fff,0x3004ffb8,0x2003fbbf,0xd06fe82b,0x00ff88bf,0x7ffe4df3,
    0x4c3fe46f,0x3ffe26ff,0x997ffe45,0x7fcc5fff,0x17ff203f,0xb017ffc4,
    0xfffc80df,0x9fff302f,0x2e03fd80,0x04ffc86f,0x540bfff7,0x5fd81fff,
    0x2003bea0,0x2e00fffa,0x07dc07ff,0x0bbfff20,0x06f7ffdc,0x6c04fff8,
    0xfd02efff,0xdffb00df,0x80bffd00,0x7fec03f8,0x03ffdc05,0x6c5fffb0,
    0x801d000f,0x5c02fffd,0x03fd87ff,0x00018000,0xfd882fe4,0x320cd983,
    0x0e16dc7f,0xe802ffc4,0x0005f88f,0x5fd827e4,0x3f2017dc,0x3fffff32,
    0xffd82ffc,0xf713ffe2,0x3ffe23ff,0x03ffe4c4,0x7fc09ff9,0x09ff503f,
    0x00ffff98,0x640dfff1,0x5ff500ff,0x2a09ff90,0x3e202fff,0x4ff884ff,
    0x7c01bfa0,0x3fe203ff,0x2017a02f,0x2200fffb,0x7e404fff,0x7ffe406f,
    0x01ffee01,0x2e01bff2,0x3ee00fff,0x02ffec00,0x8801ffee,0x2fb8ffff,
    0xff900200,0xfff7009f,0x00017ec4,0xf9000000,0x3a07fb0b,0x4bf50eff,
    0xd000fffd,0x47f5005f,0xf10002fc,0x362fec0d,0x263f9807,0xff32fa9b,
    0xe8ffee09,0x7ffd43ff,0x6c0bffe1,0x3ff300ff,0xe81fffc0,0xfff802ff,
    0x9999999f,0xff707fff,0x41bfe607,0xff501fe9,0x5fff803f,0x2605ff90,
    0xffc804ff,0x1bffee06,0x7dc017cc,0x3fff807f,0x2037fdc0,0x7d406ffc,
    0x7fe400ff,0x3fff8806,0x3f6017a0,0x3ffdc05f,0x37ffea00,0x2600004f,
    0xf7006fff,0x00bfa2ff,0x00000000,0x03fd97f2,0x227bffee,0x0dfffb3f,
    0x1003fe60,0x000dd0df,0x7ec01fb1,0x5f803745,0x3fea3f70,0x6c9ff505,
    0x3ffc42ff,0x7f407ff6,0x3ea00405,0xfff883ff,0xffffc802,0xffffffff,
    0x3ffcc0ff,0x002ffe88,0x3ffffee0,0xffffffff,0x3fff106f,0x300fff60,
    0x3ba03fff,0x07c81fff,0xf00fff70,0xffb807ff,0x037fe407,0x9003ffea,
    0x3f200dff,0x003f307f,0xfb80bffb,0xffc8007f,0x2200006f,0x7000ffff,
    0x07fd1fff,0x00000000,0x1feefe40,0x4ffff5c0,0x0cfffeaf,0x9007f700,
    0x009f503f,0x07bfff62,0x01fa2fec,0x337413e2,0x3fe60dff,0x3e03fee3,
    0x207fe46f,0x8001ffc8,0x3fffefc8,0x801fff98,0x9999effb,0x41999999,
    0xfd03fff8,0x3aa000df,0x999affff,0x19999999,0x203fff20,0x7401fff9,
    0xe9fa84ff,0x004f84ff,0xff00fff7,0x7ffb807f,0x2037fe40,0x6400fff9,
    0xff3006ff,0x200d905f,0x7dc05ffd,0xfe88007f,0xb00000ef,0x5c005fff,
    0x1fffefff,0x7fffdc00,0xffffffff,0xffffffff,0x3ffc806f,0x7fed4400,
    0x44001bef,0x05f9805f,0x54c003f6,0xfd80fffd,0x2a00fe45,0x222f982f,
    0xffa80fff,0x7ec1fea1,0xfd137dc5,0xd980017d,0x07ffd2df,0x5005fff5,
    0x22000fff,0xffb06ffe,0x7dc4005f,0x01fffacf,0xdfff1000,0x803fff60,
    0x75e87ffb,0x00fa8fff,0xf00fff70,0xffb807ff,0x037fe407,0x9003ffe6,
    0x7f400dff,0x801fc46f,0x7dc05ffd,0xff70007f,0xf70000bf,0xfb8009ff,
    0x0efff9ff,0x3bbbaa00,0xeeeeeeee,0xeeeeeeee,0x7ff4404e,0xfeb88005,
    0x744001be,0x401fd006,0xfa8005f9,0x4c5fd83f,0x03fe206f,0x7ffb09d3,
    0x5f88bf90,0x5f987f90,0xdfb10000,0xb83ffe83,0xfa803fff,0xfb8000ff,
    0xfff984ff,0x33ff2007,0x003fff50,0x1fffec00,0x1027ffd4,0x8fcc5fff,
    0x1762fff8,0x807ffb80,0x7dc03fff,0x37fe407f,0x003ffe60,0x5400dff9,
    0x03ee1fff,0x202ffec0,0x98007ffb,0x002fffef,0x01bffe60,0x7ddffee0,
    0x000005ff,0x7f440000,0xd9805fcb,0xffbebffe,0x0de802df,0xc803fa80,
    0x5fe8002f,0xefc85fd8,0x9117f4c0,0x3ffe205f,0x3e03fa21,0xf883f504,
    0xfe880003,0x707ffd05,0xf3007fff,0x360003ff,0xffb80fff,0x6ff4c02f,
    0x017ffcc0,0x5fff9800,0x801dffd0,0xb1b65ffd,0x00be2bff,0xf807ffb8,
    0x7fdc03ff,0x037fe407,0x9003ffe6,0xff800dff,0xd8013a4f,0x7fdc05ff,
    0xeaf44007,0x88000fff,0x8000ffff,0x3ff27ffb,0x0000004f,0x47fd1000,
    0x3fea05fc,0xfd35f2ff,0x176209ff,0x88037c40,0x4fc8006f,0xff905fd8,
    0xc85fffdd,0x7ff4400b,0x5d00dfcd,0x0ba03e60,0x0bff3000,0x7d41fff4,
    0xff9804ff,0xe881003f,0xdffb03ff,0x882ffd40,0x00003fff,0xf501dffb,
    0xff5003ff,0xfa85f31f,0x4007b8ff,0xff807ffb,0x3ffdc03f,0x301bff20,
    0xfc801fff,0x7fe4006f,0x2001f98f,0x7dc05ffd,0x87ec007f,0x8005fff9,
    0x0002fffd,0xffe8fff7,0x0000002f,0x41ff4400,0xfffd05fc,0x7f453ea5,
    0x704e887f,0x2002fc8b,0x7f4003fa,0x2605fd81,0x000cefec,0x01bcba80,
    0x2605004c,0x7ffc0000,0x20fffa02,0x9805fff9,0x1d006fff,0xd00fff88,
    0x3ffa07ff,0x09fff101,0xfff982c0,0x005ffd00,0x8365fffc,0x004ebfff,
    0x7c03ffdc,0x7fdc03ff,0x037fe407,0x9003ffe6,0xf8800dff,0x4006dbff,
    0x7dc05ffc,0x0bee007f,0x4007fff7,0x4804fffb,0xf88fff70,0x00000fff,
    0x6c40002a,0x217f203f,0x9bf21efb,0x7fcc5fd8,0x2ffeeeee,0x360017e6,
    0x2e0e5c0f,0x00dfd03f,0x00000000,0x80000000,0x3a00fff9,0xffff03ff,
    0xffffa801,0xfa82cc03,0x0fff104f,0xfe80fff1,0x04b800ff,0x3ea03ffb,
    0x7fe4003f,0xfff903fe,0xffb8003f,0x03fff807,0x3203ffdc,0x7fcc06ff,
    0x37fe400f,0x7fffec00,0x37fdc002,0x401fff60,0xfffd04f9,0xdfff3003,
    0x3ee0b100,0xefffa87f,0xffe80000,0x03fd8000,0xfd005fc8,0xfffa801f,
    0x47ffffff,0xf98000fe,0x7effff45,0xfffca82e,0x0000002c,0x00000000,
    0x5fff5000,0xc81fff40,0x7dc04fff,0xd101ffff,0x807fdc07,0x7fd43ff9,
    0x3fff201f,0x4c0fcc04,0x17fa03ff,0x1fffe600,0x006fff88,0xf807ffb8,
    0x7fdc03ff,0x037fe407,0x9003ffe6,0xf5000dff,0xf5000fff,0xfdd103ff,
    0x6e8801ff,0x01bffe60,0x001ffff1,0x1ffee0b3,0x002fffdc,0x00bffe20,
    0x64007fb0,0x1fff805f,0x4ccccc40,0x04c09999,0x98831000,0x26201abb,
    0x00009999,0x00000000,0xf5000000,0xffb10bff,0xfff1149f,0x7fff401f,
    0xd711cfff,0x04fd801f,0xfff51fea,0x3fff6209,0x05fc984f,0x37d409fb,
    0x09ffd000,0x8003ffd8,0xff807ffb,0x3ffdc03f,0x501bff20,0xfc803fff,
    0xffd0007f,0xfff10009,0x79f7117d,0x2053bfff,0x7fe401fd,0x3fff604f,
    0x905e8802,0x3fa01fff,0x640005ff,0x1fcc006f,0x2007e400,0x00000ffe,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0xdfb89dff,0x43daeffe,
    0xf704fffa,0xffffff7f,0x2007ffff,0x8ff200fe,0x543ffff8,0xfffffcdf,
    0x80effecd,0x07f405f9,0x01ff7000,0x8000ffa8,0x7c00fffc,0x7fe404ff,
    0x1fff600f,0x805fff50,0x70007ffd,0x2e0003ff,0x4fffffff,0x87dffff7,
    0x6402ffd8,0x5c0cffff,0xaaaaefff,0x4febaaaa,0x03ffff98,0x03bffff7,
    0x08000400,0x22002000,0x0000002c,0x00000000,0x00000000,0x00000000,
    0xffffc800,0xfff93fff,0x3ffea09f,0x23ff710c,0xfffffff9,0x13e2005f,
    0x7fe41fb0,0x24ffdfff,0xfffffffc,0x01db01ff,0x20000fd4,0x0bf004f8,
    0x7ffff100,0x077ffe40,0x04ffff98,0x407ffff5,0x2605fffe,0x8003ffff,
    0x640005f8,0x2e2fffff,0xff982dff,0xff985fff,0x14ffffff,0xffffffff,
    0xffffffff,0x7ffff5c9,0x3ff26fff,0x02efffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ee00000,0x3e60efff,0x7ec403ff,
    0x40dfffff,0x3fffffea,0x400f9800,0x7fffe43e,0xffeb81df,0xf300dfff,
    0x0003e801,0x06a00170,0xffffe980,0x3ffa6fff,0x53efffff,0xfffffffd,
    0x3ffffea9,0xffd35fff,0x54dfffff,0xfffffffe,0x000dc004,0x4c0dd440,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40133100,0x5dcc4001,0x0aba8801,0x10022000,
    0x01577301,0x80359510,0x00018008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0de65c40,0x33333330,0x33333333,0x83333333,0x99999999,
    0x99999999,0xd0199999,0x3b623ddd,0x000000ee,0x44444000,0x54088888,
    0x442c881c,0x88888888,0x88888888,0x33220888,0xcccccccc,0xcccccccc,
    0x00002ccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,0xf30bfb13,
    0xffffffff,0xffffffff,0x261fffff,0xffffffff,0xffffffff,0x40ffffff,
    0x7dc4fffa,0x3f6a03ff,0x44000bdf,0xf98fb626,0xffffffff,0x43fff52f,
    0xff33fff8,0xffffffff,0xffffffff,0x3fe69fff,0xffffffff,0xffffffff,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0x5444ff88,
    0xaaaaaaaa,0xaaaaaaaa,0x2a22aaaa,0xaaaaaaaa,0xaaaaaaaa,0x640fdaaa,
    0xbff905ff,0x3ffffee0,0xb7002dff,0xf98fffe4,0xffffffff,0x47fffb2f,
    0xbb36fffa,0xbbbbbbbb,0xbbbbbbbb,0x44447bbb,0x88888888,0x88888888,
    0x00000088,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0bf50000,0x00000bff,
    0x20000000,0x037fc0fb,0xbf103ff6,0x3fff2625,0xe8fa00be,0xfff33fff,
    0x5fffffff,0xf887ffea,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0dff302a,0x00000000,0x983ee000,0x2fe800ef,
    0x3f6a0364,0xfc99bdff,0x107ffdc6,0x11111111,0xc982da81,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00dff9b5,
    0x00000000,0xfb83ee00,0xe89f1001,0xfff91002,0x7303dfff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x75400000,
    0x0001bfe3,0x00000000,0x005d07dc,0x8002c698,0x0003cdb9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf0fee000,
    0xcccc88df,0xcccccccc,0xcccccccc,0x000000cc,0x000183ee,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0x2637fc0f,0xffffffff,0xffffffff,0x00ffffff,0x03ee0000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x86ff86ff,0x99999999,0x99999999,0x00199999,
    0x000c4000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0xfffd98cf,0x00000029,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e000000,0xfd8dffff,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x2f621bc9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_47_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,4,0,1,0,2,1,1,2,1,3,2,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,4,2,-1,3,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,1,-1,1,1,1,1,1,1,0,-4,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,2,2,2,2,2,2,2,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_47_latin_ext_y[560]={ 37,8,8,8,6,8,8,8,7,7,7,11,32,25,
32,7,8,8,8,8,8,8,8,8,8,8,17,17,12,18,12,8,7,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,44,8,17,7,17,7,17,7,17,7,7,
7,7,7,17,17,17,17,17,17,17,11,18,18,18,18,18,18,7,7,7,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,37,16,9,8,12,8,
7,8,9,8,8,17,18,25,8,4,8,11,8,8,8,18,8,20,36,8,8,17,8,8,8,16,-1,-1,-1,1,
1,1,8,8,-1,-1,-1,1,-1,-1,-1,1,8,1,-1,-1,-1,1,1,14,7,-1,-1,-1,1,-1,8,7,8,8,
8,8,9,7,17,17,8,8,8,9,8,8,8,9,7,8,8,8,8,8,9,14,16,8,8,8,9,8,7,9,
3,11,0,8,8,17,-1,8,-1,8,1,9,-1,8,-1,7,8,7,3,11,0,8,1,9,8,17,-1,8,-1,8,
0,8,1,9,8,6,-1,-1,8,7,0,8,3,11,0,8,8,7,1,17,8,7,-1,8,8,7,18,-1,-1,8,
7,8,7,8,7,8,7,-1,8,8,17,-1,8,8,8,17,3,11,0,8,-1,8,8,17,-1,8,8,17,-1,8,
-1,8,-1,8,8,17,-1,8,8,11,-1,7,8,11,0,8,3,11,0,8,-1,7,-1,8,8,18,-1,8,-1,8,
1,-1,8,1,9,-1,8,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,4,16,10,10,10,10,10,10,10,10,10,10,10,10,10,4,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,8,-1,8,-1,
8,-1,8,-1,5,-1,2,-1,2,-1,2,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-6,-2,-2,8,-2,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_47_latin_ext_w[560]={ 0,6,13,21,18,33,31,5,13,13,16,24,7,12,
5,12,19,13,20,17,20,17,19,19,17,19,6,8,24,24,24,17,37,31,26,26,30,25,22,30,30,13,17,32,
26,37,32,29,23,29,29,20,24,31,31,40,31,31,25,10,12,10,20,23,8,18,21,17,21,17,18,20,21,10,
13,22,10,33,22,19,21,21,15,14,12,22,21,31,21,21,19,13,3,13,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,17,20,21,22,
3,15,12,30,13,19,24,12,30,23,13,23,12,11,8,21,21,5,8,8,13,19,30,29,32,17,31,31,31,31,
31,31,38,26,25,25,25,25,13,13,13,13,30,32,29,29,29,29,29,18,29,31,31,31,31,31,22,20,18,18,
18,18,18,18,27,17,17,17,17,17,10,10,12,12,19,22,19,19,19,19,19,23,21,22,22,22,22,21,21,21,
31,18,31,18,31,21,26,17,26,17,26,17,26,17,30,27,30,21,25,17,25,17,25,17,25,19,25,17,30,20,
30,20,30,20,30,20,30,21,30,21,14,14,14,14,13,13,14,13,13,10,29,20,17,16,32,22,22,26,10,26,
10,26,16,26,14,25,12,32,22,32,22,32,22,26,28,19,29,19,29,19,29,19,36,29,29,15,29,15,29,15,
20,14,20,14,20,14,20,14,24,12,24,18,24,12,31,22,31,22,31,22,31,22,31,22,31,24,40,31,31,21,
31,25,19,25,19,25,19,18,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,30,23,23,21,23,23,23,
23,23,23,23,23,23,23,23,23,23,29,22,23,23,23,23,23,23,23,23,23,23,23,23,23,35,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,18,13,12,29,
19,31,22,31,22,31,22,31,22,31,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,31,18,38,27,29,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_47_latin_ext_h[560]={ 0,30,13,30,35,31,30,13,40,40,18,24,13,5,
6,31,30,29,29,30,29,30,30,30,30,30,21,28,22,10,22,30,40,29,29,30,29,29,29,30,29,29,30,29,
29,29,30,30,29,38,29,30,29,30,30,30,29,29,29,38,31,38,16,3,8,21,31,21,31,21,30,30,30,30,
40,30,30,20,20,21,30,30,20,21,27,20,20,20,19,29,19,40,40,40,7,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,36,30,21,29,
40,38,5,30,13,21,10,5,30,3,14,24,16,16,8,29,39,6,10,16,13,21,31,31,31,31,38,38,38,36,
36,36,29,38,38,38,38,36,38,38,38,36,29,37,39,39,39,37,37,18,31,39,39,39,37,38,29,31,30,30,
30,30,29,31,21,29,30,30,30,29,29,29,29,28,31,29,30,30,30,30,29,18,23,30,30,30,29,39,40,38,
34,27,37,30,37,28,39,30,39,30,37,29,39,30,38,31,29,31,34,27,37,30,36,29,37,28,38,30,39,39,
38,39,37,38,38,41,38,38,29,30,37,29,34,26,37,29,37,38,36,20,30,40,39,39,38,39,19,38,38,38,
39,29,30,29,30,29,30,39,29,38,29,39,29,29,30,30,35,27,38,30,39,30,30,21,38,29,38,29,38,29,
39,30,39,30,38,29,39,30,39,36,38,31,29,27,38,30,35,27,38,30,39,31,39,30,37,27,39,30,38,39,
36,38,29,36,28,38,29,30,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,30,27,27,38,27,27,27,
27,27,27,27,27,27,27,27,27,27,34,22,27,27,27,27,27,27,27,27,27,27,27,27,27,34,22,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,38,30,38,29,39,
30,39,30,39,33,39,36,39,36,39,36,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,43,40,39,30,40,31,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__times_47_latin_ext_s[560]={ 511,495,479,178,63,289,51,493,54,248,371,
233,457,114,108,323,243,414,428,263,353,458,127,318,139,357,505,502,304,15,354,
377,176,357,389,219,474,1,27,151,65,121,182,158,222,304,78,48,1,157,78,
468,135,360,286,191,217,249,281,275,405,291,401,164,74,1,383,477,440,459,200,
157,106,169,126,104,180,150,184,417,147,338,495,402,172,240,218,118,263,25,285,
162,244,68,83,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,511,504,288,
395,437,281,122,282,127,1,1,50,40,114,449,140,443,258,388,422,65,436,200,
505,499,434,465,98,31,62,462,92,79,250,325,242,364,306,318,298,436,1,27,
409,143,187,231,228,191,137,365,425,187,421,334,352,1,98,168,283,302,27,428,
110,449,430,411,392,469,131,70,160,268,250,232,300,501,206,193,498,150,307,61,
41,21,1,374,328,282,412,389,366,330,222,140,211,163,63,59,224,91,21,60,
170,33,206,466,451,87,188,233,355,467,418,195,154,33,416,338,449,395,1,1,
333,416,479,454,365,364,59,180,33,102,80,47,311,451,178,118,218,123,365,493,
166,274,207,281,101,265,348,380,1,305,485,443,264,500,108,495,246,1,402,35,
315,379,133,342,217,135,273,200,229,1,198,413,249,395,269,320,20,245,265,201,
249,350,458,244,351,77,434,488,50,24,480,162,396,357,336,96,185,286,83,31,
106,111,435,130,266,45,128,1,129,455,476,318,146,196,53,394,170,43,462,416,
32,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,289,82,82,382,
82,82,82,82,82,82,82,82,82,82,82,82,82,133,379,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,329,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,404,16,
496,488,386,489,333,81,114,221,1,481,301,458,447,435,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,1,82,262,111,214,244,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82, };
static unsigned short stb__times_47_latin_ext_t[560]={ 1,340,491,340,241,241,371,491,1,1,491,
462,491,513,513,241,277,432,432,277,432,277,309,309,340,340,371,340,462,513,462,
340,1,371,371,371,371,402,402,371,402,402,371,402,402,402,340,340,432,125,432,
309,432,309,309,309,432,432,432,125,241,164,491,513,513,491,241,462,241,462,371,
340,371,309,1,309,309,491,491,462,309,309,462,462,462,491,491,491,491,432,491,
1,1,1,513,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,1,203,203,
340,462,402,1,85,513,371,513,491,513,513,340,513,491,462,491,491,513,371,43,
393,491,491,491,491,277,277,241,277,125,85,85,203,203,203,371,85,85,125,125,
203,125,125,125,203,402,203,43,43,85,164,164,491,277,85,43,43,164,164,402,
277,309,309,309,309,402,277,491,432,309,309,309,371,402,432,432,432,277,432,309,
309,309,309,432,491,462,277,277,277,432,43,1,164,241,462,203,277,203,462,43,
277,43,277,164,402,43,277,164,241,432,241,241,462,203,340,203,432,164,462,164,
277,1,1,125,1,164,164,164,1,164,164,432,277,164,432,241,462,203,402,164,
164,203,491,277,1,43,43,125,85,491,125,125,164,1,432,241,371,340,402,340,
43,402,164,402,85,402,371,340,340,241,462,125,340,43,340,340,491,125,402,125,
402,125,371,43,277,85,340,85,402,85,340,85,203,85,241,402,462,125,371,241,
462,125,277,85,241,85,371,203,462,43,277,125,43,203,125,432,203,462,85,371,
371,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,340,462,462,85,
462,462,462,462,462,462,462,462,462,462,462,462,462,241,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,241,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,85,340,
43,402,1,309,1,309,43,241,45,203,1,203,1,203,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,1,1,1,340,1,241,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462, };
static unsigned short stb__times_47_latin_ext_a[560]={ 170,226,277,340,340,566,528,122,
226,226,340,383,170,226,170,189,340,340,340,340,340,340,340,340,
340,340,189,189,383,383,383,301,625,490,453,453,490,415,378,490,
490,226,264,490,415,604,490,490,378,490,453,378,415,490,490,641,
490,490,415,226,189,226,319,340,226,301,340,301,340,301,226,340,
340,189,189,340,189,528,340,340,340,340,226,264,189,340,340,490,
340,340,301,326,136,326,367,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,170,226,340,340,340,340,136,340,
226,516,187,340,383,226,516,340,272,373,204,204,226,391,308,170,
226,204,211,340,509,509,509,301,490,490,490,490,490,490,604,453,
415,415,415,415,226,226,226,226,490,490,490,490,490,490,490,383,
490,490,490,490,490,490,378,340,301,301,301,301,301,301,453,301,
301,301,301,301,189,189,189,189,340,340,340,340,340,340,340,373,
340,340,340,340,340,340,340,340,490,301,490,301,490,301,453,301,
453,301,453,301,453,301,490,439,490,340,415,301,415,301,415,301,
415,301,415,301,490,340,490,340,490,340,490,340,490,340,490,340,
226,189,226,189,226,189,226,189,226,189,481,375,264,189,490,340,
340,415,189,415,189,415,276,415,233,415,189,490,340,490,340,490,
340,410,476,336,490,340,490,340,490,340,604,490,453,226,453,226,
453,226,378,264,378,264,378,264,378,264,415,189,415,290,415,189,
490,340,490,340,490,340,490,340,490,340,490,340,641,490,490,340,
490,415,301,415,301,415,301,189,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,490,528,528,340,528,528,528,528,528,
528,528,528,528,528,528,528,528,490,359,528,528,528,528,528,528,
528,528,528,528,528,528,528,527,368,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,490,301,226,189,490,340,490,340,490,340,490,
340,490,340,490,340,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,490,301,604,453,490,340,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_47_latin_ext_BITMAP_HEIGHT or STB_FONT_times_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_47_latin_ext(stb_fontchar font[STB_FONT_times_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_47_latin_ext_BITMAP_HEIGHT][STB_FONT_times_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_47_latin_ext_s[i] + stb__times_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_47_latin_ext_t[i] + stb__times_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_47_latin_ext_x[i];
            font[i].y0 = stb__times_47_latin_ext_y[i];
            font[i].x1 = stb__times_47_latin_ext_x[i] + stb__times_47_latin_ext_w[i];
            font[i].y1 = stb__times_47_latin_ext_y[i] + stb__times_47_latin_ext_h[i];
            font[i].advance_int = (stb__times_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_47_latin_ext_s[i] + stb__times_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_47_latin_ext_t[i] + stb__times_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_47_latin_ext_x[i] + stb__times_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_47_latin_ext_y[i] + stb__times_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_47_latin_ext_LINE_SPACING
#endif

