// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT        214
#define STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_28_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_28_latin_ext_LINE_SPACING          18

static unsigned int stb__times_bold_28_latin_ext_pixels[]={
    0x00fffe00,0x00000000,0x00000000,0x04c00000,0x00ccc880,0x16664000,
    0x32600004,0x0000000c,0x01999999,0x80000000,0x40002cc8,0x80002aa9,
    0x0002a80b,0x00055544,0x0005314c,0x3000aa98,0x01aaa801,0x15551000,
    0x01554000,0x00000000,0x33106aaa,0x00000133,0x2e071000,0xa8000000,
    0x100003ff,0x00005fff,0x320002a2,0xffc806ff,0x7ffd0005,0xf7004f80,
    0x7e44007f,0x20bff304,0xc8000cec,0x36e2002f,0xff000bde,0x0001ffff,
    0x337bbb26,0xf30000ac,0xfe88000b,0x7dc0000f,0x00007ee1,0x4000bff5,
    0x0000fdee,0x401bffe2,0x2ffd404f,0x4ffb8000,0x3ffea000,0x0001dc02,
    0x200f6e54,0x6cc0eff8,0x80002fff,0x2f400048,0x7ec00db1,0x03fc8004,
    0x3fff2000,0x00b00006,0x0bfffe20,0x01ffff98,0x03fffdc0,0x1ff4013e,
    0x401ff100,0x77c405fb,0x000dc001,0x1be61bf1,0xd3000000,0x0174c05d,
    0x80004880,0x80003fe8,0x004fdaff,0x0005fd80,0x0000e644,0x00bffff2,
    0x1fee013e,0x027f4000,0x1bfbfa00,0x40007ae0,0x403fc9f8,0xff300ffb,
    0xf900005f,0x77d40001,0xf5001fea,0x4f8001ff,0x3fe20000,0x40003fda,
    0x6c000bda,0x3606fbcf,0x2006fbcf,0x03fdaff8,0x0fe2013e,0xe809fd00,
    0x00df9006,0xb805c972,0x00bfe22f,0x4005c972,0x0ae002fb,0x01725c80,
    0x000df100,0x01ffff70,0x005f8800,0x00b92e40,0x3e63be20,0x7004f806,
    0xf880005f,0xa7dc0005,0x0ed803fb,0xda8fd800,0x100ff400,0x80005fff,
    0x40003ff8,0x2005fffe,0x44007ff8,0x3600000a,0x0001f20e,0x4c00bff5,
    0x2a0be63f,0x400bea2f,0x403f21ec,0x0039804f,0x91027fc4,0x03ff2001,
    0x807d9f60,0x0bfe23ff,0x007d9f60,0x2e0003b6,0x3ecfb002,0x006c4000,
    0x01fff400,0x0002d400,0x000fb3ec,0x805d1176,0x00ee004f,0x80009500,
    0x007d42f8,0x98003be6,0x3f1000ff,0x02fff880,0x037fdc00,0x03ffe600,
    0x80037300,0x0000deea,0x00dc0644,0x80077200,0x1b83981a,0x01900398,
    0x0013e035,0x17fe20c0,0xfb003950,0x4000001f,0x00621ffe,0x03ee0000,
    0x00006800,0x00000000,0x00000000,0x0c000000,0x027c0088,0x00000000,
    0x00880440,0x3a004fd8,0x400001ff,0x0002fff8,0x0017fff4,0x00000000,
    0x0003b874,0x00000000,0x40400000,0xf8200000,0x3ff6e604,0x3a1322de,
    0x36b3606f,0x263ff402,0xcdeeeeec,0x8f7bb720,0x2604fffb,0xcdeeeeec,
    0x8f7bb720,0x5b9102f9,0x30cc3753,0x9bddddd9,0x1ef76e41,0x37bbb2e0,
    0xecb8002c,0x8002cdee,0x2cdeeecb,0x3bbbb260,0x3b720cde,0x765c03de,
    0x7c02cdee,0xddddd934,0x776e419b,0xdddd933d,0x76e419bd,0xddd933de,
    0x6e419bdd,0xffa83dee,0x7ffed400,0x66665c19,0x4399931c,0xec9afff8,
    0xffd5001b,0xeec980bf,0x320cdeee,0x6543deed,0xb3000ccc,0x3bae02cc,
    0xdb71deee,0x4419bddd,0xb5105eed,0x2055559b,0xeeeeedc9,0x7f7ec41c,
    0xb710092d,0x96179dff,0x0dff984f,0x0b9dfd51,0x33441ff6,0x705ff80b,
    0x2201ffff,0xbfffb06e,0x7fffdc01,0xb90dd100,0x3723bea0,0x2e0e21ff,
    0xd100ffff,0x1dfe980d,0x20037fa6,0x3a61dfe9,0xfe9800df,0x037fa61d,
    0x00ffffb8,0xfe980dd1,0x037fa61d,0x3ffee27c,0x20dd100f,0x100ffffb,
    0x3ffee0dd,0x40dd100f,0x3e603ff9,0x446fffff,0x7d42fffe,0x767ffc43,
    0xe801fffd,0x801ffff9,0x100ffffb,0x7ffe40dd,0x362ba000,0xffffb802,
    0x1ffffcc0,0x3ff20db0,0x0ffffe89,0x0bfffe20,0x7e4477ea,0x6ffec06f,
    0x6ffeb88b,0x0dff313e,0x640bffe6,0x04a9a06f,0xff9827fc,0xc826c06f,
    0x301efffe,0x4d80dfff,0x7fd417c4,0x0b0fff71,0xd80dfff3,0x03bfee04,
    0xb80bffe6,0xff980eff,0x3bfee02f,0x02fff980,0xd80dfff3,0x03bfee04,
    0x3e0bffe6,0x037ffcc4,0x7ffcc136,0xf9826c06,0x026c06ff,0x5440dff1,
    0x981aeffe,0x434c3fff,0x3ea6fff8,0x656600ef,0xf9804fff,0x026c06ff,
    0x4001fff5,0x3e002ec8,0xffc81fff,0x2e0b605f,0x03fee4ff,0x20ffffc0,
    0x7f881ff8,0xa813ff60,0xff993e6f,0x3bff202f,0x2e04fd80,0x7e401ece,
    0x0bfff305,0xf56c83c8,0xff303fff,0x5c3c80bf,0x324ff887,0xf98485ff,
    0x81e405ff,0x2e02fff9,0xff980fff,0x3ffee02f,0x02fff980,0x2603ffee,
    0x1e405fff,0x202fff98,0x1f40fffb,0x9017ffe6,0x17ffe607,0x3fe60790,
    0x201e405f,0xfff807ff,0x237fec03,0x2fff883b,0x3b01fffc,0x003fffe2,
    0xc80bfff3,0x03ffea03,0x4001f900,0xf884fffc,0x741a07ff,0x13fea3ff,
    0x207fff40,0x0f700ffb,0x3201bff6,0x7ffe93e6,0x13fffa20,0x05100bf1,
    0x7cc07ec0,0x21e405ff,0x3ffa22fa,0x05fff985,0x361721e4,0x0bff61ff,
    0x17ffe612,0x3ffa0790,0x2fffc407,0x2203fff4,0xffe85fff,0x2fffc407,
    0x202fffcc,0x0fffd03c,0x805fff88,0x6405fff9,0x0bfff303,0xfff303c8,
    0x7c03c80b,0x3fe201ff,0x7ffd402f,0x3fe20361,0x827ff42f,0x1fffec68,
    0x017ffe60,0x7ffd4079,0x0ffe2000,0x07fff880,0x9505fffb,0xf98fffe0,
    0xfffd007f,0x205ffc81,0x01fffd86,0x7cd3e688,0xf5d105ff,0x0b721fff,
    0x159db710,0xf989d500,0x21e405ff,0x0ffd83fc,0x202fffcc,0x3e226c3c,
    0x207ffc6f,0x5fff9829,0x7fdc1e40,0xffff805f,0x017ffee1,0xfb87fffe,
    0xfff805ff,0x2fffcc1f,0x3fee0f20,0xffff805f,0x2fffcc01,0x7fcc0f20,
    0x981e405f,0x1e405fff,0xa80bffe0,0xfe800fff,0x3e20915f,0x37fec2ff,
    0x7ffcc2c8,0x2fffcc07,0xffa80f20,0x3fee000f,0x7ffec006,0x85fffc82,
    0x49ff901d,0xfd006ffa,0xfffb81ff,0xfff8181d,0x74f8a007,0x4f609fff,
    0x5d92fffe,0x7d45fdc0,0x44da805f,0x6405fff9,0x220ffec3,0x7ffcc2fe,
    0x0fa1e405,0x7fdc7ff7,0xff980b86,0x641e405f,0xfe804fff,0x3fff22ff,
    0x2fffe804,0x2013fff2,0x7cc2fffe,0x41e405ff,0xe804fffc,0x7cc02fff,
    0x81e405ff,0x6405fff9,0x0bfff303,0x7ffc03c8,0x01fff202,0x0e47ffdc,
    0x6c2fff88,0xccf886ff,0x2ffffccc,0x017ffe60,0x7ffd4079,0x3fffa000,
    0x3ffea002,0x0ffffe86,0x5ff981a2,0x7400bff2,0x7fcc0fff,0x2a00dfff,
    0xf0006fff,0x213fff69,0x8ffff64c,0x1ff985f8,0xfd80fffa,0x05fff980,
    0x3ffea1e4,0x3e607e41,0x21e405ff,0xd17fec3d,0x260b07ff,0x1e405fff,
    0x401ffff4,0x3fa4fffd,0xffd803ff,0x0ffffa4f,0x313fff60,0x3c80bfff,
    0x803fffe8,0x4c04fffd,0x1e405fff,0x405fff98,0xbfff303c,0x7fc03c80,
    0x17ff601f,0x06cfff80,0xfb0bffe2,0x333970bf,0x0dfff733,0x202fffcc,
    0x3ffea03c,0xfffd5000,0xffff800b,0x3fff32a1,0xfb100ee4,0x4005df77,
    0xfc80fffe,0x80cfffff,0x0004fffc,0x0ffffe9f,0x5fffd8b7,0x3fee27ec,
    0x6413ff65,0xbfff305f,0xffe83c80,0x3e617a3f,0x21e405ff,0xc8fff45b,
    0x80e41ffe,0x6405fff9,0x03ffff83,0x3e5fffd8,0xfd803fff,0x3fffe5ff,
    0x5fffd803,0x202fffcc,0x3ffff83c,0x25fffd80,0x2fffcc2c,0x7fcc0f20,
    0x981e405f,0x1e405fff,0xf803ffe0,0x3f2003ff,0x3fe203ff,0x21fff42f,
    0x3ffa00e8,0xbfff301f,0x3ea03c80,0xf3d000ff,0x64003fff,0x26764fff,
    0x003a6fff,0x0002eb2e,0x6403fffa,0x1effffff,0x001ffff4,0x7fffd4f8,
    0x7ffec354,0x3a23fe43,0x413ffa2f,0xfff304fe,0xd883c80b,0x304cdfff,
    0x3c80bfff,0x33ffa354,0x1547feac,0x80bfff30,0x3fffe83c,0x24fffd80,
    0xd803fffe,0x3ffa4fff,0xfffd803f,0x02fffcc4,0x3fffa0f2,0x4fffd803,
    0xbfff313e,0xff303c80,0x303c80bf,0x3c80bfff,0x881ffe20,0x22001fff,
    0x3e200fff,0x0fffc2ff,0xfff70172,0x17ffe60b,0x7fd40790,0xf959800f,
    0x7c4009ff,0x7f4d17ff,0xd8059aff,0xffe80005,0x3ffa600f,0x3fa0ffff,
    0x9f0004ff,0x74d3fff2,0x41fffe80,0x775407fd,0x0bff04ff,0x9017ffe6,
    0x7fffe407,0x0bfff300,0x323c43c8,0x1ffb4fff,0x26244791,0x1e405fff,
    0x4027ffec,0x3f63fffe,0xffe804ff,0x13fff63f,0x30ffffa0,0x3c80bfff,
    0x804fffd8,0x13e3fffe,0xc80bfff3,0x0bfff303,0xfff303c8,0x2603c80b,
    0x3fea03ff,0x2fec000f,0x4bfffe20,0x2fc44ffc,0x0bfffe60,0x9017ffe6,
    0x07ffd407,0xfff88ec0,0x3ff6000f,0x3fee2caf,0x7d402cdf,0x0099aabf,
    0x003fffa0,0x8fffffea,0x0005fffc,0x37ffee9f,0xffff01e8,0x3aa0dff0,
    0xd04ffd8e,0x3ffe60ff,0x2e016405,0xff306fff,0xd82c80bf,0xd88fb623,
    0x20640bdf,0x6405fff9,0x05fffb82,0x2e1ffff8,0xff805fff,0x3ffee1ff,
    0x1ffff805,0x202fffcc,0x5fffb82c,0x21ffff80,0x2fffcc4f,0x7fcc0b20,
    0x9816405f,0x16405fff,0x5c01ff50,0xf98006ff,0x57ffc402,0x7dc4fffd,
    0xfdb82dff,0x7cc4ffff,0x016405ff,0x8801fff3,0x01fffec6,0x8ddfff50,
    0x806ffff8,0xfffffffb,0xffe800df,0xff90240f,0x37ffd4bf,0xff14f800,
    0x3e203ddf,0x2ffc45ff,0xffd87fe4,0x201ffb04,0x0ec06fff,0x817ff4c0,
    0x0ec06fff,0x20000744,0x0dfff039,0xfff881d8,0x2fffc406,0x101bffe2,
    0xff88bfff,0x7ffc406f,0x80dfff05,0x6fff881d,0x22fffc40,0x06fff84f,
    0xdfff00ec,0x3fe01d80,0xb00ec06f,0x4ffb809f,0xf100d000,0x000625ff,
    0x3e02ec40,0x00ec06ff,0xc801fff3,0x03fffcc2,0x213fffe0,0x8804fffd,
    0xffffffff,0xe8bfa25f,0x201d87ff,0x3fe27ffb,0x4f8000ff,0xb80fffea,
    0x7fc41fff,0xfb27fcc4,0x03ff209f,0x3e037ff4,0x3a23fa80,0x0dffd04f,
    0x00b500f8,0xffd02cc0,0xf700f80d,0x7fdc03ff,0x1fffb81f,0x207ffee0,
    0x2e01fffb,0xffd01fff,0xf700f80d,0x7fdc03ff,0x7f427c1f,0xd007c06f,
    0x00f80dff,0x1f01bffa,0x7003be20,0x982003ff,0x2fff8804,0x0fd80000,
    0x2037ff40,0x1ffe600f,0x99999f10,0x4005ffff,0xfa80fffc,0xdf7000ff,
    0x1fffdddd,0xffe97ff2,0x7fc04d86,0x027ffe45,0xfd89f144,0x3fff105f,
    0xff913fa0,0x417ffa6d,0x3ff205fc,0x3609901f,0xc81fe46f,0x09901fff,
    0x4c000db8,0x0fffe404,0x7fec04c8,0x07fff105,0xf882ffec,0x3ff603ff,
    0x07fff105,0xc80fffe4,0x82ffec04,0x4f83fff8,0x901fffc8,0x1fffc809,
    0xffc80990,0x6409901f,0x2fdc200e,0x01b1fe80,0x005fff10,0x01ff8800,
    0xc80fffe4,0xff8ae984,0x4cce5c07,0x06fffb99,0xf817fe20,0x03fb006f,
    0x4ffa9fe6,0x3f617ffe,0x2e0bfe02,0x3a201fff,0xffd913e3,0x01ffd887,
    0xffc83fa6,0x4effddff,0x36007fc4,0x17262fff,0x0ff45fa8,0x4c5fffb0,
    0x05d3005c,0x36009b30,0x17262fff,0x6c1ffdc0,0xffb801ff,0x801ffd83,
    0xffd83ffb,0x2fffd801,0x7dc01726,0x01ffd83f,0x3fff609f,0x6c017262,
    0x17262fff,0x317ffec0,0x0075c0b9,0x001f73fb,0x00939ff3,0x000bffe6,
    0x003bfa00,0x64c5fffb,0xff17f905,0xd0074407,0x6c003fff,0x00ff201f,
    0x3fa817f4,0xeff887f4,0xb83ffd80,0x3bfee05f,0xf0baa21b,0xffd9adc9,
    0x800bdfdc,0xdfd14ec8,0xc87bfa67,0xff9000cf,0x8019ffff,0x01febcfc,
    0xffffffc8,0x6edc000c,0x0cdca9ab,0x7fffe400,0x26000cff,0xcefdcefd,
    0x3bf66000,0x000cefdc,0x3f73bf66,0x3f2000ce,0x00cfffff,0x373bf660,
    0x13e00cef,0xffffffc8,0x3ff2000c,0x000cffff,0x3ffffff2,0xb005700c,
    0x74003b9f,0xf7000dff,0x000019ff,0x02dfffa8,0x3ffffff2,0xf9df100c,
    0x5c05c80b,0x2a005fff,0x8007c406,0xdcacdfe9,0xedec883e,0xd79b00df,
    0x007fd99d,0xfddffd95,0x82c3501b,0x040001a9,0x00000402,0x00026a62,
    0x31000353,0x30000135,0x00001355,0x00013531,0x00009988,0x00009988,
    0x00009988,0x0004d4c4,0x40026620,0x9a98801a,0x2a620000,0x26200009,
    0x2000009a,0x0330001a,0x555554c0,0xa8800002,0x3531003c,0x002a6001,
    0xff980bf1,0x006002ff,0x554c0006,0x0033001a,0x001aa883,0x00002a60,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbfff7000,0xffffb705,0x0000009f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0xa98001aa,0x00005532,
    0x06205000,0x05103500,0x00099910,0x00000000,0x017ba200,0x26644000,
    0x532a9800,0x08044005,0x0fb22000,0x40020100,0x00005009,0xee880000,
    0xeeeeeeee,0x0005eeee,0x00510170,0x55510000,0x140aa001,0x06aaa000,
    0x4c1e64c0,0xcdeeeedc,0x0fbbbb20,0x202e0144,0x01010028,0x64c73037,
    0x0cdeeeee,0x00bff500,0x17f4bfa0,0x0027dc00,0x00f444b8,0x3e98be60,
    0x02fffc80,0x01fff880,0x027ff400,0x1fffec00,0xc80bf900,0xd8002fff,
    0x4005fd2f,0x0005a859,0x800f22b6,0x4007441e,0x001e40e9,0x0001ee98,
    0xbdff8926,0xa9bfffd9,0x22fe47fc,0x1eb83fe8,0x7e400be6,0x7fd4005f,
    0x88fe2005,0x3e60005e,0x3ff6005f,0xffff701f,0x803fa201,0x30fd403e,
    0x77ec407f,0x3f5092df,0x7fd40fd4,0x7e4000ff,0x2bf10006,0xf88004f9,
    0xf88001ff,0x0006ffef,0x01ff57fb,0x06fdff98,0x06fffc80,0x3fffea00,
    0x3fe60000,0xf8800ffc,0xbff302ff,0x5f8800df,0xdd0009f1,0x0003fd9b,
    0x200689a2,0x04fdcdfb,0x3ffbbfa0,0x9ffb0000,0x883b2000,0x17ffe43f,
    0x2fff89ee,0x7f41ffee,0xf1006fba,0x6c003fff,0xcfc8005f,0x20000fe9,
    0xf5000efc,0x3e60bfdf,0x02e406ff,0x5fd007f9,0x6fd40df5,0x20dff911,
    0x105fcbfe,0xf000ffff,0x3ae0001d,0x74000d70,0xf70000ff,0x20003dff,
    0x802ffff9,0x005f71fd,0x17f57fcc,0xfcbfe800,0x47ba0004,0xfff003fa,
    0x7dc7f603,0x5c3ee002,0xffa8000e,0x740005ff,0x74400950,0x2001ffff,
    0x003fffe9,0x000fff20,0x90f103f2,0xf8d05fff,0x1bfea1ff,0x00ffffd4,
    0x06fbcfd8,0x2000bf10,0x004ffff8,0xd00077c0,0x260bf23d,0x1dc06fff,
    0xa803ffb8,0xf101ffff,0x20ff103f,0x100ffffa,0x9800ffff,0x8720000d,
    0x2e20001c,0x02b80001,0x06ffd800,0x03540ea8,0x036c1db0,0x1f70fdc0,
    0x981b3000,0x01c9800e,0x006a81d5,0x0001c8b2,0x000076e2,0x00037ba6,
    0xa8000b6a,0x05500003,0x7109f700,0x705fff90,0x0ba82c98,0x4017ffa0,
    0x00bea3f9,0xf700016a,0x4c0001ff,0x036e000d,0xdfff30d7,0xffc83b80,
    0x3a00ccdf,0x3fee05ff,0x7f40f700,0x3ffe204f,0x00400007,0x40000000,
    0x80000000,0x00080998,0x17038800,0x2a80c800,0x02008000,0x00000000,
    0x10040000,0x00001000,0x00000000,0x3e602008,0x3ff2000f,0x8000002f,
    0xb8020998,0x01003981,0x00998001,0x00000000,0x406fff98,0x7ffe4c3b,
    0x26200ccd,0x17ff2009,0xf8800068,0xb71007ff,0x16179dff,0x9bddd970,
    0xfdb88005,0x80b0bcef,0x2cdeeecb,0x7fedc400,0x32eb0bce,0x9931cccc,
    0x00000039,0x65400000,0x52cffffe,0x1cccca87,0x559bd950,0x77764c55,
    0x3720cdee,0x32a03dee,0x52cffffe,0xeeeec987,0x3b720cde,0xdeca83de,
    0x3262aaac,0x0cdeeeee,0x80f7bb72,0xcffffeca,0x0df90752,0x02fffc80,
    0x5c733326,0xfd884ccc,0x00092dfe,0xbfdfb100,0xdddb5125,0x3bbb207d,
    0xddddb52d,0x37bbb207,0x06666542,0x406fff98,0x07fff03b,0x0bf65fa8,
    0x2077ffee,0x777764c1,0x7fc40cde,0xdffd807f,0x6ffeb88b,0x4c3bfd30,
    0xfd800dfe,0xfeb88bdf,0x3bfd306f,0x4006ff4c,0xb88bdffd,0xffd16ffe,
    0x2e3fa85f,0x0ceeeeee,0x9af776c4,0xcdeeeeec,0xeeeeeca8,0xffd880cd,
    0xfffb512c,0x05fff707,0xffd13ffb,0xfffb81ff,0x40dd100f,0x512cffd8,
    0x2e07fffb,0xd100ffff,0x227ff60d,0x5c0ffffe,0xd100ffff,0x67fec40d,
    0x7fffb512,0x4004ff88,0x5c02fffc,0x3ff62fff,0xc88efd47,0x776c46ff,
    0x37ea003e,0x10dff911,0x203ffffd,0xffe886e9,0x0dd301ff,0x9807ffe4,
    0x1dc06fff,0x7403fff8,0x86ff99ff,0x0dfffff9,0x0ffffa80,0x80ffff10,
    0x3ea04ffd,0x80effb86,0x3602fff9,0x1bea04ff,0x2603bfee,0x3f602fff,
    0x99bea04f,0x434c3fff,0x405ffff9,0xfffa83fa,0xffffa80f,0x05fff300,
    0x7cc1ffc4,0x27fdc2ff,0x3e605ff5,0x826c06ff,0x2202fff9,0xfff303ff,
    0xfb84d80d,0x40bfea4f,0x6c06fff9,0x05fff304,0x3ee1ffc4,0x7fe4003f,
    0x7ffc402f,0xf89ffee2,0x887f881f,0xf1004fff,0x20ff103f,0x00fffff9,
    0x3ffe6099,0x409900ff,0xf300fffa,0x03b80dff,0xfb807fff,0x7e40ffa6,
    0x00cfffff,0x881fffe2,0x3f607fff,0x4c6c806f,0x3ee02fff,0x6ffd80ff,
    0x7fcc6c80,0x3ffee02f,0x806ffd80,0x237fec6c,0xffff703b,0xff105c80,
    0x3ffe60ff,0x0bfff106,0xff107f30,0x23ffe85f,0xff306ff9,0x883c80bf,
    0xf9805fff,0x0bfff303,0x3ffe83c8,0x7cc1bfe6,0x41e405ff,0x9805fff8,
    0x01ffe43f,0x00bfff20,0x7dc5fff1,0x403fee7f,0x09fff07b,0x5c03fee0,
    0xffffd107,0x7440ee0d,0x7706ffff,0x807ffd40,0x5c06fff9,0x007fff03,
    0xffc80101,0x101effff,0x7c40dfff,0xfffb07ff,0xfe8d1003,0x7ffc407f,
    0x00fffec5,0x1fffa344,0xd8bfff10,0x68801fff,0x1b0fffd4,0x81ffff40,
    0xfff100e8,0x1bffe20d,0x800fffec,0x2fff883c,0xff31fffc,0x17ffe60f,
    0xfffb0790,0x4c0f2003,0x1e405fff,0xff31fffc,0x17ffe60f,0xfffb0790,
    0xfb0f2003,0xffc8005f,0x7ffc402f,0xfc9ffee2,0x7f41a05f,0xbff9004f,
    0xfad88340,0x03b84fff,0x9ffff5b1,0x7fd40770,0xdfff300f,0xfff03c80,
    0x39999107,0x9813332a,0x0ffffffe,0x206fff88,0xff07fff8,0xf71400ff,
    0xfff00bff,0x03fffc3f,0x2fffdc50,0xf0ffffc0,0x41400fff,0x80915ffe,
    0xc80ffffa,0x1bffe203,0x4c37ffc4,0x22006fff,0x42fff882,0x3fea4ffc,
    0x0bfff305,0x7ffcc3c8,0x4c0a2006,0x1e405fff,0xff527fe4,0x17ffe60b,
    0xfff98790,0xff0a2006,0xffc8005f,0x7ffc402f,0xfb9ffee2,0xd0181dff,
    0x3ee009ff,0x10181dff,0x0fffff2b,0x7e562077,0x01dc3fff,0x2201fff5,
    0x1e406fff,0xf503fff8,0x3ffec7ff,0x7ffffd40,0x06fff883,0x2a1fffe2,
    0x90006fff,0xfd009fff,0x3ffea5ff,0xfff90006,0x5fffd009,0x001bffea,
    0x391fff70,0x89fffb00,0x7ffc4069,0x0dfff106,0x000bfff7,0x985fff10,
    0x0bff25ff,0x202fffcc,0x2fffdc3c,0xfff98000,0x7cc1e405,0x40bff25f,
    0x6405fff9,0x02fffdc3,0x00bffa00,0x805fff90,0x3ee2fff8,0x3fffe67f,
    0xffe800df,0xf305bb74,0x001bffff,0x7fffecb1,0xb2c40ee1,0x1dc3ffff,
    0x401fff50,0x16c06fff,0x3e03fff8,0x1ffee3ff,0x2fffe409,0x1037ffc4,
    0xff90ffff,0x3fa0009f,0xffd803ff,0x09fff94f,0x0ffffa00,0x653fff60,
    0x80004fff,0x3006cfff,0x0f41ffff,0x41bffe20,0xfd86fff8,0x880004ff,
    0xfd882fff,0x2601ffbb,0x1e405fff,0x0013fff6,0x02fffcc0,0x5fec40f2,
    0x3e601ffb,0x21e405ff,0x0004fffd,0x20017fec,0x4402fffc,0x3fee2fff,
    0x7ffffe47,0x3ffa00cf,0x82fffedc,0xcffffffc,0xfe896200,0x20770fff,
    0x3fffa258,0x7d40770f,0x3ffa00ff,0xff807c07,0x7fff033f,0x0763ffdc,
    0xf887ffb8,0x3fe206ff,0x3fffe87f,0x7ffff000,0x2bfffb00,0x0003fffe,
    0xb007ffff,0x3ffabfff,0xfc80003f,0x3f6003ff,0x100955ff,0x3333ffff,
    0xd0dfff53,0x00007fff,0x2e05fff1,0xf9801bac,0x21e405ff,0x0003fffe,
    0x80bfff30,0x2eb2e03c,0x5fff9801,0x3ffa1e40,0x7e40003f,0x7fe4002f,
    0x7ffc403f,0x321ffee2,0x1effffff,0x323fffd0,0xfff906ff,0x2203dfff,
    0xaffffcc5,0xf98b103b,0x40775fff,0x3200fffa,0x09901fff,0x425effe4,
    0x3fee3fff,0x3fe026c7,0x06fff885,0x3a1fffe2,0xd0004fff,0xfb007fff,
    0x3fffa9ff,0xfffd0004,0x9fffb007,0x0013fffa,0x003ffe20,0xe9ffff88,
    0xffff8800,0xffffffff,0x4fffe86f,0xfff88000,0x98005d82,0x1e405fff,
    0x0013fffa,0x02fffcc0,0x002ec0f2,0x202fffcc,0x27fff43c,0x0ffee000,
    0x09fffb00,0x2e2fff88,0xffd307ff,0xfd01ffff,0x03ffd49f,0xffffffd3,
    0xff50b101,0x220779ff,0xcffffa85,0x3ffea03b,0x57fff400,0xd880d930,
    0x7fff04ff,0x3f63ffdc,0x220bfe02,0x3e606fff,0xfffc87ff,0xfffb0005,
    0x7fffd009,0x0017fff2,0x4027ffec,0xff93fffe,0x360000bf,0xffc8005f,
    0xff1003ff,0x3ffe20df,0x05fffc86,0x9fffff93,0x21fffcc1,0x9aaabffa,
    0x17ffe600,0xfffc8790,0xffff9305,0xfff9819f,0x7d41e405,0x009aaabf,
    0x9017ffe6,0x05fffc87,0x9fffff93,0x4013fe21,0xcfffffda,0x47fff302,
    0x7d407ffb,0xfe83ffff,0x01ffea4f,0x0fffffea,0x7ffdc162,0x20b103ef,
    0x03effffb,0x1003ffe6,0x7dfffff9,0x3fe00001,0xb1ffee3f,0x0bf707ff,
    0x221bffe2,0xbeffffeb,0x00dfff50,0x017ffee0,0x7d47fffe,0xf70006ff,
    0xfff00bff,0x1bffea3f,0x017cc000,0x07fffc40,0x06fff880,0xf50dfff1,
    0xffd80dff,0x7fff4c4f,0x3fffee2e,0x980effff,0x16405fff,0xb01bffea,
    0x3e609fff,0x416405ff,0xfffffffb,0xfff980ef,0x3ea16405,0x7fec06ff,
    0x006fc84f,0x3ffa6000,0x4fff72ff,0x17fff204,0xffa93ffa,0xffc8120f,
    0x3605885f,0xb103ffff,0x1ffffec0,0x001fff30,0x2001fd4c,0x3ffe02dc,
    0x9b1ffee3,0x7fd99dd7,0x037ffc40,0x7fc403ee,0xf88000ff,0x7fc406ff,
    0x3fffe25f,0xfff88000,0x2fffc406,0x001ffff1,0xe8001a00,0xf1000fff,
    0x3fe20dff,0x7fff886f,0x41fffe40,0xfff105d8,0x0dffffff,0x3b01bffe,
    0x407fff88,0x3e03fffc,0x40ec06ff,0xfffffff8,0xdfff06ff,0x7fc41d80,
    0x7ffe407f,0x001ff883,0x20000eec,0x80767ffb,0xffe87ffb,0xd83ffea4,
    0x21ffee01,0x3ffa2058,0x440b103f,0x2603fffe,0x64000fff,0x3fe2000f,
    0xb8fffa07,0x3220c7ff,0xfff8801d,0x9013ea06,0x51009fff,0x201fffb8,
    0x7e41fffb,0x428804ff,0x2e01fffb,0x7fe41fff,0x0428804f,0x7f400093,
    0xff1000ff,0x3ffe20df,0x07fff706,0x6c1fffe4,0x3bbee01f,0x80fffeee,
    0x07c06ffe,0x901fffdc,0x7f407fff,0xb807c06f,0xffeeeeef,0x06ffe80f,
    0x7ffdc07c,0x0ffff203,0xf3002fdc,0xfa8000bf,0xff01366f,0x549ffd0b,
    0x01360fff,0x80b10bff,0xb103fff8,0x03fff880,0x1001ffe6,0xba8005ff,
    0xd93ffa07,0x7f4407ff,0x6fff8803,0x2e01bf20,0x3a201fff,0x105ffd83,
    0x3ee07fff,0x0fa201ff,0x7c417ff6,0xfff703ff,0xfd1f4403,0xe8000363,
    0xf1000fff,0x3fe20dff,0x3fff206f,0x07fff900,0x0bf607ff,0xffc837c4,
    0x6409901f,0xff900fff,0x7ffe407f,0x3f609901,0x320df102,0x09901fff,
    0xc807ffe4,0x3f203fff,0x01aea000,0x3fe67aa0,0xff80bf66,0x2a4ffe82,
    0x0bf60fff,0x06982ff8,0xd303ffa8,0x987ff500,0x006ff8ae,0x4001efe8,
    0x3bff2049,0x00fffeda,0x7c4037d4,0x3fea06ff,0x77fdc00b,0x80baa21b,
    0xffd83ffb,0x5f7fdc01,0xb80baa21,0x1ffd83ff,0x0df7fdc0,0x7fcc5d51,
    0x7c00049c,0xf1000fff,0x3fe60fff,0x6ffdc06f,0x83fffc81,0x2fe81ffc,
    0x7ec07f50,0x017262ff,0x32077fee,0x7ec03fff,0x817262ff,0x07f502fe,
    0x9317ffec,0x3bff700b,0x807fff90,0x0aa000ec,0x3e6bf600,0x20fff62f,
    0x9ffd05fb,0xfb07ffd4,0x20bf707f,0x3fb801fc,0xf7003f90,0xff8cfc87,
    0xfffa8004,0x802a801e,0xffbafffd,0x0ff200df,0x01fffe60,0xa809fffd,
    0xdfeeffec,0xcefd9800,0x5000cefd,0xbfddffd9,0x9dfb3001,0x20019dfb,
    0xfeeffeca,0x0dffe80d,0x7fffc000,0xffff3001,0x01fffea0,0x333ffb62,
    0xf101cefd,0x7ecc5fff,0x02edcacd,0xffffffc8,0xfdb1000c,0x39dfb99f,
    0x3ffff200,0x36600cff,0x2edcacdf,0xfffffc80,0xdb1000cf,0x9dfb99ff,
    0x00322003,0x7cc0006a,0x5e6c4fcd,0x03feccee,0xffb97ffe,0x3baf361f,
    0xda83fecc,0x6c00cfff,0x67ffed43,0x3e21ec00,0x20005fdf,0x00001cb8,
    0xc8800188,0x7f5cc02c,0x300bdfff,0xa9800159,0x26620000,0x0a980000,
    0x02662000,0x002a6000,0xb9800066,0x2beffffe,0xffffd710,0xffd9317d,
    0x10017bff,0x40013353,0x553101ca,0x53100013,0x4c400013,0x2000099a,
    0x20009a98,0x0009aa98,0x0009a988,0x0266a620,0x00000000,0x10602a60,
    0xffd80355,0xffff9bff,0x1aa8830e,0x00100000,0x0a980400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0000f32a,0x06a15b91,0x00a814c0,0x01220a60,0x00510350,0x00150298,
    0x00155510,0x0000c062,0x40003555,0x008002aa,0x1554c002,0x00510350,
    0x00055544,0x037623b7,0x1750e4c0,0x002aa600,0x0002aaa2,0x2ee20000,
    0xeec980e0,0xeeeeeeee,0xb99302ee,0x05bddddd,0x10010040,0x38000555,
    0xa8000330,0x510001aa,0x2aa60035,0x016dc002,0x003dddb3,0x003ffd00,
    0xdfffff80,0xb127c007,0x24f8800d,0x7cc004e9,0x20013a22,0x80036c4f,
    0x74003ffc,0x98003541,0x2e0006ff,0x54002fff,0xff004b85,0x317cc03f,
    0x7fe4007d,0x5bfe2003,0xfd003ffb,0x2013fe6f,0xa806fff8,0xdb7005ff,
    0x80079dff,0x5ceffff9,0x9efffa80,0x43ffca99,0x9effffd8,0xeca805e9,
    0x792cffff,0x00bff600,0x3ee0ec80,0x3fe60001,0xffd0000e,0xffd1001f,
    0x1ffe6001,0x005fff30,0x001ff880,0x7ffe6cc0,0x6fdc004f,0xb8001fe9,
    0x000ffadf,0x0ff9bfd8,0xe9dfb800,0x9fd0001f,0xfdff7000,0x3f20005f,
    0xff10000e,0xdf000dfd,0x3001fd99,0x7fb003ff,0xff800ff5,0x54ff8003,
    0x3fa003ff,0x9009ff37,0xd805ffff,0xefe9805f,0x0037fa61,0x7ffff6dc,
    0x6fff8803,0xffe87f30,0x80ba6fff,0x510bffd8,0x4007fffb,0x220005fd,
    0x004fc9ef,0x00077dc0,0x03ffffa8,0x2007fd10,0x7c406ff9,0x5c0002ff,
    0x0980001f,0x740006e6,0x20005fff,0x0003ffff,0x007ffff1,0x02ffff40,
    0x0004f980,0x00bfffb1,0x000077c0,0x00bf27f9,0x09ffff70,0x4c007f20,
    0x2002ffff,0x310004f9,0x2e200098,0xf1002ea1,0x440df31d,0xeffb805f,
    0x02fff880,0x0076e648,0x9037ffc4,0x7ffffdc7,0x7cc0ba6f,0x3fe602ff,
    0x003f4003,0x03ffff20,0x001dd000,0x7f44ff40,0x00df1000,0x3e200e54,
    0x5c0002ff,0x00000001,0x01fff500,0x037fdc00,0x01bff200,0x01fff500,
    0x00012e00,0x880002e6,0x3e20000d,0x440035c2,0x0b6001cc,0x00dffb00,
    0x000004b8,0x36000000,0x59817445,0x02fff980,0x0003ffee,0xdfff1000,
    0xffd8e648,0x0ba6ffff,0x2013ffe2,0x6c4003f9,0x3fe20001,0x6c40003f,
    0x03ae0000,0x06c4009b,0x3fe20000,0x0000002f,0xddddd930,0x776e419b,
    0x0099803d,0x20000000,0x80000998,0x00000099,0x00000000,0x04022000,
    0x00000000,0x00026620,0x3332e000,0x399931cc,0xdeeecb80,0x0880c02c,
    0x3fff4000,0xa97ffe60,0x903eeeed,0xf885bddd,0xf82346ff,0x26ffffff,
    0x1fffd82e,0x00007900,0x00662000,0x04000000,0x50000030,0x55559bd9,
    0x002fff88,0x3bbbb722,0xeeeeeeee,0x1ffff705,0x7641ba20,0xeeeeeeee,
    0x22000eee,0xddd95004,0x5799dddd,0xeeeee880,0xeeeeeeee,0x7777645e,
    0xeeeeeeee,0x3bbbb260,0xeeeeeeee,0x3bbbb2a2,0x02bcceee,0x7777764c,
    0x2eeeeeee,0x4c012200,0x64c1eeed,0xeeeeeeee,0x32a2eeee,0x1cdeeeee,
    0x17fff440,0xfe980fea,0x037fa61d,0x3bbbbb26,0xddd930cd,0x7dc19bdd,
    0xfff805ff,0x3fffa21f,0x20dd301f,0x1a66fff8,0xffffffe8,0xfff30ba6,
    0x0014400d,0x76540122,0xbcdeeeee,0x02440001,0x30048800,0x9bddddd9,
    0xe89ffd81,0x3e20ffff,0xf88002ff,0xa99dfffe,0xff307feb,0xd04d80df,
    0xf33335df,0xc8009fff,0x3fee000f,0xffea99df,0x7bff100d,0x537fffb3,
    0xaefe8ff9,0xffff9999,0x3dfff504,0x07ff9533,0x533bfff7,0xa801bffd,
    0xa999efff,0x32003ffc,0xfff3000f,0x3bffea05,0x3ffca999,0x00ffffa8,
    0x30fffe60,0x077fdc0d,0xa817ffcc,0xf500ffff,0xff901fff,0xfffd009f,
    0xfffff985,0x3e209900,0x06fb8eff,0x3ffffff2,0xfff70ba6,0xc800000b,
    0x3ff2000f,0xfffcaadf,0x01f90002,0x001f9000,0x407fffd4,0x3fea4ffb,
    0x02fff882,0xfffaea80,0xf307d885,0x03c80bff,0x3fff209f,0x3fe2000f,
    0x3ffe6003,0x80ffff85,0x7ffe43f8,0x413e3dc2,0x100ffffc,0x3e60dfff,
    0x85fff983,0x2200ffff,0x7f306fff,0x00ffe200,0x8817ffc4,0x7f306fff,
    0x00dfff30,0x3b8dffb0,0x405fff30,0xf880fffb,0x3fe207ff,0x7fffd07f,
    0x89fffb00,0x06ffffe8,0x3ffe2077,0x2a06ffff,0x26ffffff,0x27ffec2e,
    0xff100000,0x7ffd4007,0x02fffd45,0x000ffe20,0x4007ff10,0xfd07fff8,
    0x437fcc7f,0x8002fff8,0x05fff99e,0x3ffe60f1,0x3441e405,0x02ffff98,
    0x0037fdc0,0xf90bfff3,0x90f105ff,0x44d05fff,0x5ffff306,0x037ffc40,
    0xbfff3079,0x405fff90,0x3206fff8,0x0dff7003,0x40bffe20,0x3206fff8,
    0x06fff883,0x21fffa80,0x0fffd00d,0x885fff88,0x3e206fff,0xffff06ff,
    0xbfffb007,0xffffad88,0xff103b84,0x80df31df,0x26fffffc,0x1ffff42e,
    0xff700000,0x7ffcc00d,0x03fffb85,0x001bfee0,0x400dff70,0xff06fff8,
    0x43ffcc7f,0x4002fff8,0x8bfff34b,0x7ffcc163,0x1c41e405,0x005fffd8,
    0x002fffe8,0xf50bfff3,0x90710bff,0x44705fff,0x0bfffb03,0x246fff88,
    0xbfff3073,0x40bfff50,0x3246fff8,0x3fffa007,0x2fff8802,0x48dfff10,
    0x3ffe20e6,0xbffd0006,0x7ffdc122,0x1ffff805,0x1037ffc4,0x3fa0dfff,
    0xffd803ff,0xffcac44f,0x881dc3ff,0x01a66fff,0xe9bfffee,0x027fff42,
    0xfffd0000,0x3ffe6005,0x01ffff05,0x00bfffa0,0x02fffe80,0x20dfff10,
    0x3fea4ffc,0x02fff885,0x7fcc3a20,0x3009225f,0x3c80bfff,0x3fffea00,
    0x7ff54001,0xfff3005f,0x0bfff50b,0x017ffe40,0x1ffffa80,0x237ffc40,
    0x7ffcc046,0x05fffa85,0x8d1bffe2,0xfffea800,0x2fff8805,0x68dfff10,
    0x37ffc404,0x8fffb800,0x9fff901c,0x85fffd00,0x2206fff8,0xffb06fff,
    0xfffd009f,0x3ff65887,0x440ee1ff,0x0c346fff,0x0ba6db98,0x2609fff9,
    0x0cfffffc,0x2ffff540,0x05fff980,0x5005fff9,0x000bfffd,0x017fffaa,
    0x9837ffc4,0x0bff25ff,0x800bffe2,0x97ffe62d,0xfff9804b,0x8801e405,
    0x8004ffff,0x01ffff9e,0xb85fff98,0x32003fff,0x88002fff,0x8804ffff,
    0x01a66fff,0x2e17ffe6,0x3e203fff,0x001a66ff,0x07fffe7a,0x205fff10,
    0x1a66fff8,0x01bffe20,0x06cfff80,0x200ffffa,0x7c44fffd,0x3fe206ff,
    0xbfff706f,0x83ffff00,0x3fffa258,0x3e20770f,0x1261c6ff,0x2e174d50,
    0x7ec05fff,0xf3d004ff,0xf3003fff,0x3fee0bff,0xff9e804f,0x9e8001ff,
    0x8801ffff,0x36206fff,0x101ffbbf,0x2a005fff,0x46fffcc5,0xff9804fc,
    0x801e405f,0x8006fffc,0x09fff959,0x98bfff30,0x64006fff,0xc8002fff,
    0xf1006fff,0x0df71dff,0x98bfff30,0x7c406fff,0x06fb8eff,0xfffcacc0,
    0x17ffc404,0xb8efff88,0xfff8806f,0x3ff20006,0x3fffe03f,0x5fffd803,
    0x1037ffc4,0x3e20dfff,0x7fc406ff,0x7cc5886f,0x20775fff,0x7406fff8,
    0x85d35403,0x6407fff8,0x59803fff,0x3009fff9,0x3ea0bfff,0xcacc06ff,
    0x4c004fff,0x009fff95,0xb80dfff1,0x7c401bac,0xae8802ff,0xffffb999,
    0xf9804fff,0x01e405ff,0x017fffcc,0xfff88ec0,0x7ffcc00f,0x3effecce,
    0x2fffc800,0x7fffcc00,0xffff1002,0xf300dfff,0xffd99dff,0xfff1007d,
    0x800dffff,0x1ffff11d,0x817ffc40,0xfffffff8,0x6fff8806,0x3ffe2000,
    0x0ffffa00,0x113fff60,0x7c40dfff,0x3fee06ff,0x3ffee01f,0xffa85881,
    0xf103bcff,0x17dc0fff,0xa82e9aa0,0x3f202fff,0x11d803ff,0x9801ffff,
    0xff305fff,0x88ec01ff,0x2000ffff,0x1ffff11d,0x06fff880,0xff100176,
    0xddd9005f,0x2bfffddd,0xff9804fa,0x401e405f,0x8005fffe,0x1fffec68,
    0x2bbffe60,0x0003ffff,0x8005fff9,0x2005fffe,0xf98efff8,0xefff9806,
    0x003ffffa,0xf31dfff1,0x3634400d,0x3e203fff,0xfff102ff,0x100df31d,
    0x8000dfff,0x7fec05fd,0xfffe804f,0x037ffc43,0xd80dfff1,0x3ffa05ff,
    0x3ee0b103,0xf303efff,0xfc983fff,0x5d35401f,0xc81bff60,0x34403fff,
    0x300ffff6,0x3ea0bfff,0xb1a207ff,0x22007fff,0x01fffec6,0x541bffe2,
    0x09aaabff,0x807fff30,0xbfff3069,0x7fcc025c,0x2016405f,0x000ffffb,
    0x7ffcc2c8,0xafffcc07,0x000ffffa,0x002fffc8,0x003fffee,0x266fff88,
    0x5fff9806,0x001ffff5,0x34cdfff1,0xff985900,0x3ffe207f,0x4dfff102,
    0xfff88069,0x17cc0006,0x017ffee0,0xf107fffe,0x7fc40dff,0x3ffc806f,
    0x2203ffd8,0x3ffff605,0x7fff5cc3,0xffffffff,0x0ba6a807,0xc80effb8,
    0x16403fff,0x301fffe6,0x3ee0bfff,0x30b206ff,0x3200ffff,0x03fffcc2,
    0x5c1bffe2,0xffffffff,0x3fffa60e,0x4c07a02f,0x11265fff,0xb01bffe0,
    0x7fffc403,0x3e20aa03,0xfffccccc,0x3ffe602f,0x01bfff65,0x00bfff20,
    0x01ffffc4,0x6fff8855,0x3fe60c34,0x1bfff65f,0xd1bffe20,0x999f1030,
    0x05ffff99,0x440bffe2,0x0c346fff,0x201bffe2,0x7c403403,0x7fc406ff,
    0x6fff885f,0x01bffe20,0x76e77e4c,0x02c401cf,0x007fffd1,0xa800be60,
    0xfb100ba6,0x9dfd99df,0xcccf8803,0x02ffffcc,0x5c17ffe6,0x9f105fff,
    0xffff9999,0xcccf8805,0x02ffffcc,0x441bffe2,0xffffffff,0xb800986f,
    0x17ffe604,0xdffd0487,0x3f600f80,0x40ec06ff,0xb99999cb,0x3e606fff,
    0x3ffa25ff,0x7fe4004f,0xfffb002f,0x7c41d80d,0x1261c6ff,0x744bfff3,
    0x7c404fff,0x1261c6ff,0x2666672e,0xf106fffb,0x3fe205ff,0x11261c6f,
    0x6880dfff,0x2e009304,0x3ee01fff,0xfff881ff,0x1bffe206,0x5fffd100,
    0xf1016200,0xf10007ff,0x3a6a800d,0x27362002,0x272e0009,0xfffb9999,
    0x17ffe606,0xb80fffec,0xfb99999c,0x4e5c06ff,0xfffb9999,0x1bffe206,
    0xeeeeefb8,0x37fc0fff,0xff980d10,0x641a205f,0x09901fff,0x00ffffd4,
    0x00e881f3,0x4c07fffa,0x7fcc5fff,0x3f2001ff,0xffa802ff,0x03e601ff,
    0xe80dfff1,0x22fffcc3,0x201ffff9,0x7406fff8,0xfd007443,0xfff103ff,
    0x1bffe205,0xfff887d0,0x3fd2dc06,0xffd80036,0x07fff105,0x881bffe2,
    0x98006fff,0x9800ffff,0x03ffa806,0x4007fa80,0x8800ba6a,0x744002ff,
    0x07fffa00,0x4c2fffcc,0x1d105fff,0x80ffff40,0x3ffa00e8,0xdfff101f,
    0x7c40bf60,0xd00ff886,0x5fff9805,0x7ec0bb10,0x817262ff,0x204ffff8,
    0x405c87e9,0xf305fffb,0xfff90bff,0x3ff2001d,0x7ffc403f,0x21fa604f,
    0x2e07fff8,0x2fffcc2f,0x8077ffe4,0x2e07fff8,0x2e02e42f,0xff885fff,
    0xffff102f,0x3e617dc0,0x53e606ff,0x0049cff9,0xfd83ffb8,0x3ffe201f,
    0x1bffe206,0x6fffd400,0x400fe401,0xf88003fb,0xe9aa004f,0x027dc002,
    0xff701720,0x3ffea0bf,0x00effd85,0xfffb80b9,0xfb80b905,0xfff105ff,
    0x540bfa0d,0x905f983f,0xfffa803f,0x13faa20e,0xffffff90,0x7ffe4019,
    0x7fe4c40e,0x2602fc47,0xfa82ffff,0xfffd06ff,0x3fff600b,0x77ffe404,
    0x3ffe4c40,0x20ffffcc,0x7d41ffc9,0xfffd06ff,0x3fffe60b,0x10ffe4c1,
    0xfff980bf,0x1fffcc2f,0x41ffff98,0x7d41ffc9,0x7d440fff,0x037ffa3f,
    0x677ecc00,0x4c00cefd,0x3e607fff,0x2a0007ff,0x23cffffd,0x00cfffda,
    0xfc8001ec,0x35400def,0x1fd8005d,0x3017e200,0xf705ffff,0x7feccdff,
    0x3017e204,0xf885ffff,0x7fffcc05,0x07fff982,0xb959bfb3,0x8159905d,
    0x444effd8,0xffffffcb,0x03ffffff,0x80135310,0xfffffff9,0x6fffffff,
    0x20b7ffee,0x4fffffdb,0xbfffff93,0xeffff987,0xffffb501,0xfff3059f,
    0xffffffff,0x75ccdfff,0xffffffff,0x3f267fff,0x4c3dffff,0x731effff,
    0xfffffffd,0x7dcfffff,0xfdb82dff,0xfd34ffff,0x75cc5fff,0xffffffff,
    0x3b267fff,0xffffffff,0x0cc2ffff,0x13310000,0xfffd7300,0x3ae617bf,
    0x00bdffff,0x026ae600,0x00004000,0x51005971,0xbd980054,0x3ffee001,
    0xfffdb82d,0xfff934ff,0x17bdffff,0x16fffdc0,0x7ffffedc,0x05bfff74,
    0x9fffffb7,0x3ffffae6,0xaa9880bd,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80040000,0x98002aa9,0x1000e0bc,0x200e4c57,
    0xaa803101,0x5100001a,0x77100055,0xdd9501c1,0x0039bddd,0x44000100,
    0xa807262b,0x903eeeed,0x7105bddd,0x9ffd0005,0x802b8800,0x934eedc8,
    0x87bddddd,0x04eeeec9,0x02b885d4,0x93005100,0x6cc01dc1,0x9910121c,
    0x40799999,0xeeeeeeca,0x9802bcce,0xe982ea1c,0x33202cee,0x004ccccc,
    0xb100dff7,0x00005ddd,0x66640000,0x0003cccc,0x88003fc8,0x0bceffdb,
    0x07ffa00b,0xbffff500,0xffc8009b,0x5b80dff1,0x3ea00f44,0xf900005f,
    0xff98007f,0xa805cdff,0x0000ffff,0x000deea8,0xdff1ffc8,0xffffe880,
    0x640dd301,0x3e6002ff,0xffe8004f,0x8bff1001,0x201ffffa,0x7cc01efd,
    0x003ffb4f,0xff880390,0x5407ff76,0x04efffff,0x7fffffc4,0xfffb805f,
    0xdffea99d,0x263ffa00,0x13fea4ff,0x3fffffe0,0x3ff2007f,0x3fff8801,
    0xb8000000,0x7ffffc5f,0x0bb626ff,0x007ffcc0,0x117bffb0,0x300dffd7,
    0xbb0005ff,0x003fffff,0xdff1ffc8,0xfeeff880,0x01ff7006,0x007ff000,
    0xffffdb70,0xdfff3007,0x5c3a0000,0x1ffc8003,0xff300dff,0x13201fff,
    0x2003ffd8,0xff0004fb,0x2ffc005f,0x981fffe2,0x9ff3005f,0x20003ff2,
    0x56ff8806,0x6e6c05ff,0xa801ffff,0x02aaaaaa,0xf85fff98,0xffd00fff,
    0xffa93fe6,0xaaaaa803,0x7e4002aa,0x07fff004,0xf9000000,0x5555541f,
    0x1fff22aa,0x003ffc40,0x7d409ffb,0x002fb806,0x00e64c90,0x17315c40,
    0x5dfff700,0x0017dc00,0x40013ea0,0x400b6e64,0x0006fff8,0x00166598,
    0x00b98ae2,0x6ffffe88,0x6f4c0770,0x0017a000,0x7c004ea8,0x3fffc45f,
    0x54003e98,0x0003710b,0x82e60075,0x7511c02a,0x20000001,0xfc85fff9,
    0x437102ff,0x0bfea0b9,0x32000000,0x07ffd006,0x3a000000,0xfff90005,
    0x8005cc00,0x6c806ffd,0x00002c80,0x00000000,0x3b800154,0x0025c000,
    0xff100000,0x3a0000df,0x00002d8a,0xffad8800,0x003b84ff,0x00002800,
    0xf0bff000,0x03d50fff,0xd8000000,0x00000000,0x77765c00,0xff9802cd,
    0x5fffa85f,0x17fd4000,0x3bbbbb26,0x3bb720cd,0xd002803d,0x64c007ff,
    0x0cdeeeee,0x2f37bb72,0x777764c3,0x5db10cde,0x3f600000,0x068801ff,
    0xecb80000,0x2602cdee,0xcdeeeeec,0x0f7bb720,0x00000000,0x12200000,
    0x0dfff100,0x0bb22000,0x00122000,0x3ffff2b1,0x3b261dc3,0x80cdeeee,
    0x80bf65fa,0xeeeeeeec,0xf00eeeee,0x8ffff0bf,0xec9800eb,0xeeeeeeee,
    0xb7302eee,0xeeeb81dd,0x6c40ceee,0xdd935eee,0x2019bddd,0x3a61dfe9,
    0x3fe600df,0x5fffa85f,0xeeeeec98,0x05ff50cd,0x403fffee,0x97ea06e8,
    0x3ffa02fd,0x033332e3,0x403fffee,0xff5006e8,0x64c001ff,0xeeeeeeee,
    0x7fc2eeee,0x64ca007f,0xeeeeeeee,0x2602eeee,0x3fa61dfe,0x3ffee00d,
    0x98dd100f,0xcdeeeeec,0xddddd930,0x5ddddddd,0x7777775c,0x7776c40c,
    0x001f9005,0x0037ffc4,0x0001f900,0x44001f90,0x87ffff65,0xffff503b,
    0x4cfff401,0x3bfa06ff,0xfff9999a,0x217fe04f,0x01b67fff,0x27bffea0,
    0x83ffca99,0x1ffe8dfa,0x02ffffcc,0x3fea0fea,0x3fee00ff,0x2fff980e,
    0x70bfff30,0x7d407fff,0x7fd40fff,0x0dfff302,0x3ffa04d8,0x3a06ff99,
    0x067ec3ff,0x406fff98,0xfff1004c,0xff50040f,0xf95333df,0x37ffd47f,
    0xdfff5000,0x7ff95333,0x203bfee0,0xf302fff9,0x04d80dff,0x201ffff5,
    0x999efffa,0x7cc3ffca,0x7d405fff,0x07ff1003,0x037ffc40,0x03ff8800,
    0x01ffc400,0x7ff44b10,0x220770ff,0x7dc07fff,0x4f80ffa6,0x01ffff90,
    0x7ffc2ffc,0x001ffe8f,0x9837ffc4,0xe97fcc3f,0xfffb85ff,0xf882e407,
    0x3fe607ff,0x3ffee02f,0x45fff980,0x4406fff9,0xffa87fff,0x0bfff302,
    0x9bee03c8,0x3ffa03fe,0x3e601f43,0x01e405ff,0x106fff88,0x37ffc409,
    0x3ff23f98,0x3e20004f,0x07f306ff,0x5c05fff3,0xff980fff,0x881e405f,
    0x3e207fff,0x07f306ff,0xc80ffff7,0x1bfee005,0x06fff880,0x0dff7000,
    0x06ffb800,0xfff31620,0x7c40eebf,0x080806ff,0x7fcc1a20,0x2ffc02ff,
    0x7ffffffc,0x3e2000ef,0xb0f206ff,0xbffb31ff,0x40ffffa0,0xfff100e8,
    0x03fff40d,0x2617ffe2,0xfeccefff,0xff8803ef,0x02ffa86f,0xc80bfff3,
    0x20040403,0x00f23ffe,0x9017ffe6,0x3ffe2007,0x7c40b506,0xe8f206ff,
    0x20003fff,0x3206fff8,0x407ffe83,0xf985fff8,0x81e405ff,0x2206fff8,
    0x0f206fff,0x881ffff4,0x3ffa000e,0xfff1002f,0x3fa0000d,0x3a0002ff,
    0xb1002fff,0x79ffff50,0x1bffe207,0x54733322,0x03884ccc,0xf00bfffb,
    0x3ffff0bf,0x400bffff,0x3246fff8,0x9cbffc47,0xfff500b9,0x4407901f,
    0xff706fff,0xffff00bf,0xaefff983,0x1003ffff,0xff50dfff,0x17ffe605,
    0xccc88790,0x0999951c,0x02e4fffa,0x405fff98,0xfff1003c,0xf881ee0d,
    0x473246ff,0x0004fffe,0x491bffe2,0x2fffdc39,0x20ffffc0,0x6405fff9,
    0x0dfff103,0x9237ffc4,0xffff5039,0x54007901,0x1005fffe,0x0000dfff,
    0x00bfffd5,0x17fffaa0,0xffb82c40,0xff103eff,0x3ffea0df,0x801fff63,
    0x801ffffa,0x7fff85ff,0x009ffff3,0x8d1bffe2,0x1a3ffe60,0x44fffd80,
    0x7ffc4069,0x09fff906,0x985fffd0,0xfff55fff,0xfff1001f,0x205ff50d,
    0x6405fff9,0x23fffa83,0xffd07ffd,0x3005ff97,0x3c80bfff,0x0dfff100,
    0x7fc403f2,0xfc82346f,0x220005ff,0x02346fff,0xd009fff9,0xff985fff,
    0x881e405f,0x3e206fff,0x802346ff,0x34c4fffd,0x3ffe7a00,0xfff8801f,
    0x4f403806,0x8001ffff,0x01ffff9e,0x3ff60588,0xfff103ff,0x71fffc0d,
    0x3e200fff,0xff004fff,0x5cffff0b,0x8802ffff,0x81a66fff,0x003cfffa,
    0xe83fffe6,0x37ffc401,0x803fffe8,0x7cc4fffd,0x3fff65ff,0x6fff8806,
    0xf302ffa8,0x03c80bff,0x7fdc7fff,0xfffffd07,0xff9801df,0x801e405f,
    0xfd06fff8,0x9bffe205,0x3ffea069,0x3fe20006,0xfd01a66f,0xffb007ff,
    0x5fff989f,0xff881e40,0x3ffe206f,0xf9801a66,0x007a0fff,0x9fff9598,
    0x0dfff100,0x65660688,0x4c004fff,0x009fff95,0x7ff440b1,0xdfff103f,
    0xf71fffc0,0x3ff200ff,0x17fe006f,0xffb1fffe,0xff8803ff,0x206fb8ef,
    0x000ffff9,0x4aafffec,0x06fff880,0xb007ffff,0xff98bfff,0x3fffa25f,
    0x37ffc404,0xf9817fd4,0x81e405ff,0x3fee3fff,0xf19ffd07,0xff9809ff,
    0x801e405f,0xf886fff8,0xdfff104f,0x7c40df71,0x10000fff,0xdf71dfff,
    0x03ffff80,0x4c5fffd8,0x1e405fff,0x206fff88,0xfb8efff8,0x7ffec006,
    0x1d800955,0x801ffff1,0x5c06fff8,0x7fc47605,0x476000ff,0x400ffff8,
    0x7ffc4058,0x0dfff103,0xff71fffc,0xffff300f,0x42ffc005,0xffe87fff,
    0x3fe200ef,0x406fffff,0x88006fff,0x00e9ffff,0xd06fff88,0xfb007fff,
    0xfff989ff,0x0ffffcc5,0x50dfff10,0x3fe605ff,0xf81e405f,0x1ffee3ff,
    0xffb9fff4,0x3ffe602f,0x8801e405,0xffa86fff,0xfffff106,0xffc80dff,
    0x4428804f,0x6fffffff,0x01ffff40,0x2627ffec,0x1e405fff,0x206fff88,
    0xfffffff8,0x7ffc4006,0x22000e9f,0x01fffec6,0x981bffe6,0xfd8d104f,
    0x8d1003ff,0x4c03fffd,0x03ffa806,0x7c0dfff1,0x1ffee3ff,0x017fffa0,
    0xff88bff0,0xffff887f,0xdfff100e,0xfc80df31,0x201664ff,0x003ffffc,
    0x360dfff1,0xfe804fff,0x7ffcc3ff,0x0efffc85,0x50dfff10,0x3fe605ff,
    0xf81e405f,0x1ffee3ff,0xffb27ffc,0x3ffe601f,0x8801e405,0xffc86fff,
    0x1dfff107,0xff700df3,0x21f4403f,0xf98efff8,0x27ffec06,0x21ffff40,
    0x6405fff9,0x0dfff103,0x4c77ffc4,0xffc8006f,0x164003ff,0x501fffe6,
    0xa881ffff,0x985903ff,0x59007fff,0x407fff98,0x3fb801fc,0x40dfff10,
    0x3fee3fff,0x7fffdc07,0x22ffc000,0xc80ffff9,0x880effff,0x01a66fff,
    0x3f7bfffa,0xffff8801,0xdfff1000,0x017ffee0,0xf507fffe,0x3ffa0dff,
    0xdfff105f,0x2605ff50,0x16405fff,0x3ee3fff8,0x4bfff07f,0xf305fff9,
    0x02c80dff,0xb0dfff10,0xff101fff,0xb8034cdf,0x2a21beff,0x6fff882e,
    0xfff701a6,0x3ffff00b,0x405fff98,0xdfff102c,0x337ffc40,0xfff1000d,
    0x67c4001f,0xffffcccc,0xfffec982,0xffffffff,0xcccf882f,0x02ffffcc,
    0x666667c4,0xda82ffff,0x6c00cfff,0x0dfff103,0xff71fffc,0x7fffc40f,
    0x3fe0aa03,0xffffd715,0x7fff549d,0x7fc44eff,0x2a0c346f,0x001dffff,
    0x4003fffa,0xf106fff8,0xff880dff,0x3fff265f,0x7fcc3dff,0x7fc41eff,
    0x02ffa86f,0x3b01bffe,0xfb8fffe0,0x7ffec47f,0xdffff53f,0x80dfff01,
    0xfff1002d,0x01fffb0d,0x868dfff1,0xdffd9501,0x3e201bfd,0x10c346ff,
    0xf880dfff,0xdfff05ff,0xff101d80,0x7ffc40df,0x7400c346,0x2e000fff,
    0xfb99999c,0x04c006ff,0x26672e00,0x06fffb99,0x4cccce5c,0x8006fffb,
    0x3e201009,0x3ffa06ff,0xd81ffee3,0x0ec06fff,0x18802ffc,0xdfff1000,
    0x23624c38,0xfe800098,0xff1000ff,0x7ffdc0df,0x07ffee01,0x88000980,
    0xffa86fff,0x01bffa02,0x8fffa01f,0x98807ffb,0x3fff4000,0x7c4003e0,
    0x6ffa86ff,0x38dfff10,0x0bd8024c,0x46fff880,0x3fee24c3,0x3ffee01f,
    0x80dffd01,0xdfff100f,0x237ffc40,0x7f4024c3,0x1d1000ff,0x00ffff40,
    0x2200bff0,0x3fffa00e,0x7401d101,0x26001fff,0x3e2003ff,0x3ffa06ff,
    0x541fff64,0x2601ffff,0x005ff80f,0x88001ff9,0x1f406fff,0xfd0000b1,
    0x3e2001ff,0x7fec06ff,0x07fff105,0x4005ff80,0xfa86fff8,0x3fff202f,
    0x7f409901,0x01fff64f,0xc800bfea,0x09901fff,0x837ffc40,0x3ffe2028,
    0x4c01f406,0xff8801ff,0x6c1f406f,0xfff105ff,0x0fffe407,0x3fe204c8,
    0x3ffe206f,0x7401f406,0xb9000fff,0x05fffb80,0x2003fe20,0x7ffdc05c,
    0xfb80b905,0x7d4005ff,0x3ffe2005,0x2bbff206,0x440fffed,0x2604ffff,
    0x00bff07e,0x22001fe4,0x3ee07fff,0x20000ae2,0x1000ffff,0xf700dfff,
    0x03ffb07f,0x800ff100,0xfa86fff8,0x7ffec02f,0xf9017262,0xfffdb5df,
    0x00bf7001,0x222fffd8,0x7fcc005c,0xff10007f,0x017dc0ff,0xf8803fc8,
    0x0bee07ff,0x7ec1ffdc,0xfffd801f,0xf1017262,0x7fc40dff,0x00bee07f,
    0x2003fffe,0x7fcc05f8,0xbf5002ff,0x980bf100,0x7c42ffff,0x7fffcc05,
    0x00bf2002,0x407fff98,0xffbafffd,0x3fff20df,0x7fe4c40e,0x005ff987,
    0x98001fd1,0x64c1ffff,0x000161ff,0x800ffffc,0x3007fff9,0x9dfb9dfb,
    0x13ea0001,0x0ffff300,0xf9009ff5,0x019fffff,0xf75fffb0,0xfc801bff,
    0xfffc8001,0x3000cfff,0x7bffffd7,0x7ffcc001,0x0ffe4c1f,0x400fec40,
    0x4c1ffff9,0x36601ffc,0x0cefdcef,0x3ffff200,0x7cc00cff,0x3fe607ff,
    0x7fe4c1ff,0x1ffff801,0x16fffdc0,0x7ffffedc,0x00566c04,0x20b7ffee,
    0x4fffffdb,0x705bfff7,0x09fffffb,0x3002bd88,0x7bffffd7,0x4c006201,
    0xffffffff,0x26ffffff,0x803cccb8,0x26001bda,0xffffffeb,0x227fffff,
    0x3ae60003,0x02beffff,0xbffffd73,0x26620017,0x566c0000,0xffd73000,
    0x32617bff,0x98801bcc,0x0c40009a,0x01bd9800,0x04d4c400,0x98000000,
    0xffffffeb,0x807fffff,0x5cc01cca,0xfffffffe,0x2007ffff,0x40000998,
    0x4c009a98,0xbdffffeb,0xffffd730,0xffffffff,0x7fff5cc0,0x00002bef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555400,0xcca802aa,0x001ccccc,
    0x99999997,0x00003000,0xb8802880,0x0401000b,0x00000000,0x00088040,
    0x64007993,0xcca82a80,0x532a8802,0x13000005,0x88000000,0x81cc0aaa,
    0x4000000b,0x55001008,0x65c02aa1,0x2206a01c,0x01aaa803,0x0f322000,
    0x04020000,0x982aa980,0x0aaa8800,0x05553000,0x00010000,0x00599500,
    0x3ffffffe,0xffffb807,0xfd002fff,0x01ffffff,0x002fee60,0x027f4000,
    0x2003aaba,0x8003b84b,0xd8804fe8,0xb000bdff,0x3a003d05,0xd9000fff,
    0x3e20fdc3,0x4fc807ff,0x36e207fb,0x0fc800bd,0x77776400,0x3203bf90,
    0x449d04ff,0x3bbb265e,0x2fbf6a5e,0x26074400,0xfab7d405,0x0dfff106,
    0x07f317cc,0x900eff88,0xf901dc19,0x3aa005ff,0x981d100d,0x03ffd006,
    0x3ff200bb,0x5ffd0003,0xdffeeb80,0x372a7a01,0x000cdfff,0x001ffff1,
    0xbddddddb,0x55555300,0x2aa00155,0x802aaaaa,0xeebfade9,0x76e5400b,
    0x2fe41cde,0x801dc750,0x00feccef,0x3fff2298,0x2a37e602,0xdf3004ff,
    0x2a00ddb9,0x1005feff,0x909fb5ff,0xf807fddf,0x7fcc1be6,0x2a00ffa8,
    0xff70002f,0x0bfff31f,0xdfb813fa,0xffa81fe9,0xfb35d77f,0xcdfd803f,
    0x8fe402fe,0xfdfb00fd,0x5dfec05f,0x0ffb806f,0x0175fe40,0x00dfbff3,
    0xfc813ffe,0x9803fdcd,0x01f702ff,0x2001bf60,0x3a202ff9,0x01ffb15f,
    0x5c473ffe,0xfc801eff,0x00003fee,0x00000000,0xf11ff100,0xfe980ff4,
    0x2fbfa60d,0x92601fa9,0xfff7002c,0xc8ba009f,0x3fa05fff,0x4003ff62,
    0x002ffffd,0x007f61dd,0x207fffdc,0x0fe88df8,0x03ea3f50,0x5ff8b7f4,
    0x40009d10,0xff88fffa,0x02fcc0ff,0x8827fff4,0xd84affff,0x3fe600ef,
    0x23f806ff,0x229f303f,0x3ffe606e,0x01fe802f,0x6c03ffa8,0xf005f71f,
    0x7fc407ff,0xfc800eff,0x800be202,0x7e4001fd,0x71ffe402,0x81be09ff,
    0x2203fffa,0x00fd88df,0x05fb2fd4,0xdddddd93,0x05dddddd,0xf7002440,
    0x81f89e2b,0xff306ffb,0xbb00139f,0xcc8800db,0x445f9001,0xff305edc,
    0x20037dc7,0xb7000bd9,0x3e005c81,0xd84d83ff,0x81e47903,0xdff16ff8,
    0x80003f20,0xbb50fffa,0x5005c81f,0x3e201fff,0xfa80efff,0x16dc405f,
    0x40b52d40,0xb017443e,0x3f100bff,0xfd8cd880,0x6a81d502,0x800cea80,
    0x0ba002da,0x7b0017a0,0xd803e800,0x1ffea2ff,0x3ff2017c,0x9b09b00f,
    0xf99ffe80,0x3ffea06f,0xffca999e,0x003f2003,0x23c4fff4,0x17ffcc1c,
    0x001fff90,0x000000cc,0x2e817fdc,0x7dcbff50,0x00000003,0x00000000,
    0x9bfe2000,0x02fa87ff,0x07ffd400,0x0000016e,0x817fffc4,0x0001fff9,
    0x00000000,0x86600000,0x00001ff8,0x00000000,0x00003dc0,0x5fff0000,
    0x0682ffd4,0x005fff98,0x3a6fb800,0x3ffe203f,0x2007f306,0xfb003ff8,
    0xe808f5ff,0x7fc407ff,0xcccc885f,0x88999951,0x9951cccc,0xbfff9099,
    0xa81e2199,0x04ea8fff,0x40cedb80,0x974ccccb,0x33269999,0xcacdb884,
    0x6566dc40,0x23999910,0xfe84ccca,0xe88dff16,0x6edc4005,0x6c0fffaa,
    0x6566dc42,0x037db700,0x881fffe2,0xb7103fff,0xdb88037d,0xedb801be,
    0x676dc01b,0x0df6dc00,0x3ffaaa60,0xacedb881,0x71001000,0x440159db,
    0x300acedb,0xedb8805f,0xedb800ac,0xfff8953d,0x040bfee2,0x11fffe80,
    0x32a39999,0x040404cc,0x81bffe20,0xdff7003c,0x3fffea00,0x2fffd407,
    0x07fffe20,0xfd8fffea,0x3fffa87f,0xf931fff6,0xb1199bff,0x7fffc403,
    0x7f44000c,0x3a20ef89,0xffd10fff,0x7cc0fb8f,0x261fea8e,0x21fea8ef,
    0x3f63fffa,0xf17fb87f,0x000fc87f,0x3b6bbfe2,0x30f20fff,0x83fd51df,
    0x3ffa9fe8,0x207fff88,0xe985fff8,0x304fd8bf,0x09fb17fd,0x3fea7fa2,
    0xf89fe883,0xa9fe880e,0xdfe883ff,0x7dc5ffeb,0x005ffa8b,0x45fdc017,
    0x7f705ffa,0x740bff51,0x2a2fee04,0x3fa205ff,0xff0bdf93,0x0037f25f,
    0x8bfff600,0x3f63fffa,0x6666447f,0x20999951,0x3246fff8,0x3fffa007,
    0xffffd002,0x3fff203d,0x2ffff804,0x7dc7fff0,0x47fff07f,0xfff07ffb,
    0x7c401cc5,0x7fd41fff,0x92ff41ef,0x2fffa8bf,0x3a87ffea,0x87e24fc8,
    0xf07e24fc,0x3ffdc7ff,0x2fd47f44,0xfd000be6,0x87ffec1f,0x224fc80c,
    0xff2ff41f,0x7fff881f,0x21bffe20,0x0ffe27fe,0x3ff89ffa,0x3ffe5fe8,
    0xbf92ff40,0x7ffcbfd0,0xff337f40,0xfd0ffccf,0x4c0d007f,0x0fffa1ff,
    0x7ff43ff3,0x3e60f903,0x40fffa1f,0x17fe27fe,0x7eccbffe,0x4ccccc0d,
    0xd9999999,0x7ffc4fff,0x2a1ffee3,0x3ff63fff,0x8dfff107,0x7f540046,
    0x3f6005ff,0xfe84ffff,0xffe803ff,0x47fff04f,0xfff07ffb,0xf83ffdc7,
    0x75c002ff,0x540ffffc,0x23ffb85f,0x7ff41ffb,0xd93fff24,0x2e3ffe80,
    0x1b8fffa1,0xff71fffc,0x205e4c0f,0x2a0105e8,0x7ffd46ff,0x71fff400,
    0xf91ffc43,0x7fff881f,0x83fffe20,0x7ffc5ffb,0xff17fee0,0x91ffc41f,
    0x1ffdc1ff,0x7fc43ff7,0xfa83ff23,0xb8fffc4f,0x13ff65ff,0x7fdc0b90,
    0xf713ff65,0x827fecbf,0x5ffb81f9,0x3ea13ff6,0x07ffe26f,0x6ff85fff,
    0x7ffffffc,0xffffffff,0x71fffc5f,0x3ffe0fff,0x441ffee3,0x01a66fff,
    0x3fffe7a0,0x3ffea001,0x7fffc4ff,0x5fffd803,0x7dc7fff0,0x47fff07f,
    0xfff07ffb,0x43fa6005,0x7d46fffd,0x2e1ffd80,0x7ffdc2ff,0x22dff9d0,
    0x1bfff905,0x01bfff90,0xffb8fffe,0x41f90007,0x642ebeb8,0x7ffd45ff,
    0x6fffe400,0x222ffb80,0x7fff881b,0x83fffe20,0x7ffc4ffe,0xff13ffa2,
    0x117fdc5f,0x21ffd837,0x3fee2ffb,0xff906e22,0xd13fff89,0x827ff45f,
    0x3a201fd8,0x113ffa2f,0x27ff45fd,0x5fd109f0,0x7ec27ff4,0x13fff65f,
    0xffe85fff,0x00ffffa2,0xff89fff9,0x41ffee3f,0x3fee3fff,0x1dfff107,
    0x59800df7,0x8009fff9,0x20fffff8,0xd803fffe,0xfff04fff,0xf83ffdc7,
    0x1ffee3ff,0x44017ffc,0x3ffe64ff,0x7f40b64f,0x3eeeeeef,0x5cd7ffc4,
    0x02b9fff9,0x81dffff3,0x80effff9,0x3fee3fff,0x42f98007,0x6c9fb3fd,
    0x7ffd45ff,0x7fffcc00,0x01ffec0e,0x207fff88,0x7fc7fff8,0xf27ff44f,
    0x4ffe89ff,0x3a00fff6,0xeeeeeeff,0x200fff63,0x7ffc3ffe,0x9ffdd505,
    0x800dfd10,0x404ffeea,0x204ffeea,0xfeea806c,0x95ffe84f,0xff8bffb5,
    0xb27ff42f,0xfd807fff,0x1fffc3ff,0x3fe0fff7,0x41ffee3f,0xfffffff8,
    0xf88ec006,0x22000fff,0x363fffcf,0xfe804fff,0x7fff03ff,0xff83ffdc,
    0x41ffee3f,0xfc802fff,0x7fffe45f,0x3ffe05ba,0x37ff6003,0x1b9ffd0c,
    0x7ffffdc0,0x7ffffdc1,0xf71fffc1,0x5e8800ff,0xffc97fc4,0xfa8bffd1,
    0xffb800ff,0x3ffe1fff,0xffff1004,0x237ffc40,0x7ff44fff,0xfd13ffe5,
    0x027ffcbf,0x7c01fffc,0xfff804ff,0x2a27ffc3,0x84ffd8ee,0xd5002ffe,
    0x209ffb1d,0x4ffd8eea,0x75407ea0,0xe84ffd8e,0xffb3bdff,0x742fff8b,
    0x3fff25ff,0x0ffff403,0xffb8fffe,0x5c7fff07,0xfff107ff,0x400df31d,
    0x1fffec68,0xff978850,0x02fffdcb,0xf80ffffc,0x1ffee3ff,0xff71fffc,
    0x00bffe0f,0x3f61fffa,0x3600efff,0x3ea006ff,0x3ffee5ff,0xffff9805,
    0x4ffff984,0xff71fffc,0x40fc800f,0x5ff92ffb,0xff517ff6,0x3fe6001f,
    0x1bffa4ff,0x03fffc40,0xfe89fff1,0xd27ffc3f,0x4fff87ff,0x3601bffa,
    0xffe806ff,0x44ffe806,0x3ff22fff,0xf989ffb0,0x90fae1ff,0x13ff61ff,
    0x7fec3ff2,0x7e41fc04,0xb09ffb0f,0x7ff49fff,0x3a17ffc3,0x3ffe64ff,
    0x437ffc04,0x3fee3fff,0x5c7fff07,0xfff107ff,0x590034cd,0x207fff98,
    0x7fc5e20d,0x01bffe24,0x740bfff1,0x1ffee3ff,0xff71fff4,0x00bffe0f,
    0x3a13fffa,0x70c2ffff,0x20101fff,0x3fe23fff,0xfd88e02f,0xffd88e6f,
    0xf71fff46,0x17cc00ff,0xffc97fe4,0xfa8dff73,0xb11c00ff,0x7ffecdff,
    0x7fff8802,0x0fff89e4,0x3fe27fec,0xf13ff62f,0x7ffec5ff,0x07ffdc02,
    0x05fffb04,0x7fc4ffc8,0x6c9ff31f,0x7ffdc4ff,0xff99ffa1,0xf313ff64,
    0x027fec9f,0x49ff31b6,0xffc84ffd,0x3e17ff46,0x1ffe42ff,0xfa81bff6,
    0x3ffe81ff,0x7fc1ffee,0x41ffee3f,0x4346fff8,0xccccf881,0xb02ffffc,
    0x2ff8bc49,0x700fffdc,0x7f403fff,0x41fff64f,0x3ff64ffe,0x067fff07,
    0x43ffffc8,0x9cfffff9,0x37ffe63c,0x7fe402e0,0x3603fec0,0x85b2ffc2,
    0x27ff45ff,0x7400fffb,0x325ff305,0x3fff11ff,0x2007ffe4,0xf32ffc2d,
    0x21541fff,0x3ea7fff8,0x984ff8af,0x1bfe25ff,0x7fc4bff3,0x07fffcc6,
    0x6fffcc55,0xfff982e0,0xff98aa0f,0xfc97fe25,0x8bffd36f,0x3f23fff8,
    0x74dbff25,0xb7fe45ff,0x5405ffe9,0x4dbff20f,0xff885ffe,0xf107ffc7,
    0xf57f55ff,0x1fff883f,0x3a09ffb0,0x1fff64ff,0xff71fff4,0x1bffe20f,
    0x9cb84987,0xfffb9999,0x5e27fb06,0xbffb05fb,0x00fffe20,0xfdb5dff9,
    0xdff901ff,0x01fffdb5,0x4097bffb,0xcffffff8,0xffffecfd,0xffffd85f,
    0x17e602ec,0x3fb013ea,0x43fb17f4,0x77fe42fe,0x00fffeda,0x3fa00fc8,
    0xffd8dfb3,0x3fffeb9d,0x5fd0fec0,0xddffffc8,0x27fff984,0x05f9cff9,
    0x7fd43ff2,0xf50ffc81,0xffff903f,0xfffb09bb,0xff905d9f,0xf709bbff,
    0xf9077d4f,0xdffbbfff,0x2a5ffd89,0x3ffff21f,0x324effdd,0xffddffff,
    0xc8fe204e,0xffddffff,0x8fff444e,0x7fcc1ff9,0x4f8dfbaf,0xb81dfd30,
    0x3ff203ff,0x0fffedae,0x3f64ffe8,0xdfff107f,0x07443e80,0x503fffd0,
    0x7ddfbffd,0x443ffb80,0xfb001ffd,0xbfff75ff,0x75fffb01,0xd881bfff,
    0xfd8804ff,0x320cffff,0xf900efff,0x5d007dff,0xfdb007e0,0xfed85fbb,
    0xffb02fdd,0x1bfff75f,0x2a017cc0,0xd81df8de,0xeffacfff,0x37fb601c,
    0xfff702fd,0xffeb889f,0xffd8beff,0xcefb804e,0x3bee01ef,0x3ee01efc,
    0x3f204fff,0x3ee03eff,0x3ae04fff,0x7441dfce,0x3dfd33ef,0xebeffd88,
    0x99f7f443,0x3fa21efe,0x03dfd33e,0x3bfa25d8,0xd83dfd33,0x1efcfea9,
    0x457fff44,0xec804dfd,0x01dfecdf,0xfbafffd8,0x7fe40dff,0x0fffedae,
    0x207fff88,0x202e42fb,0x2205fffb,0x26000fa9,0xcefdcefd,0x000c4000,
    0x00000188,0x8802a620,0x0013000a,0x4300500c,0x00c43018,0x9b0000c4,
    0x200e5400,0x40031098,0x0cc00621,0x000c4000,0x310004c4,0x000cc001,
    0x00cc0013,0x20100310,0x04d54400,0x00802010,0x020a6001,0x04cc0804,
    0x31000000,0x03100015,0x75fffb00,0xf981bfff,0x7e4c1fff,0x3017e21f,
    0x8805ffff,0x26620005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0xffd73001,0xffffffff,
    0x6fffdcff,0xffffdb82,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55000000,0x2aa98035,0x20004000,0x00000018,
    0x3cc88000,0x81554c00,0x0000aaa8,0x0000aaaa,0x00000000,0x0000c000,
    0x2e000000,0x551000cc,0x05553015,0x00008080,0x0001ca80,0x0e602e00,
    0x00010000,0x10040000,0x00000000,0x00b814c0,0x414c0000,0x000800c8,
    0x07217db3,0xeff98000,0x07ff4400,0x37b76200,0x5c0d9002,0x260be60f,
    0x06e800fc,0x002fffd8,0xfc807ffa,0xff10003f,0x1f93001f,0x4401f700,
    0xe981ceda,0x7edcc03f,0x11322def,0xf7007dfb,0x7776cc01,0x3ffea01d,
    0x09ff9005,0x22017fec,0x092dfefd,0x016f764c,0x200b6b36,0x401dfdb8,
    0x00bea1fa,0x677fedc4,0x65440b0b,0x000acefe,0x7ffff654,0x4400752c,
    0x2a202dec,0x00acefec,0x02f449f0,0xcdeeecb8,0xd127c402,0x7ff75409,
    0xffff101d,0x6e4c0ddf,0x77e404ee,0x07ff1000,0xff9bf440,0x3604f802,
    0x36e07dc7,0x0fdc00ff,0x1bf7fe60,0x4017fcc0,0xf70006fd,0xffb7003f,
    0x403f9801,0xc85f91fd,0xff980fff,0x9dfd510d,0xffdbe88b,0xc80fe600,
    0x05ff30ff,0x007ff7fa,0x3fa013fa,0x4477ea05,0xbf306ffc,0x3440ffe2,
    0xfff880b3,0x7f403fff,0xfb005fca,0xfd7117bf,0x2f7ea0df,0x003fb731,
    0x2259ffb1,0x803fffda,0x5401cfd8,0xfb731bdf,0xf3bf7003,0xdfe9801f,
    0x8037fa61,0x00ffadfb,0x07ffd4f7,0x7fff5e54,0xf53ff303,0x0077405f,
    0xb801be60,0x80dff16f,0x917a01f9,0x803fea0f,0x1fe803f8,0x5f9005f7,
    0x000fec00,0xf5000fec,0x406e801f,0x83fea6fb,0x7cc1fffd,0x5fff306f,
    0xd01be088,0x227fd40d,0x33fb86fe,0x05f980bf,0xf101fd10,0x30ff103f,
    0x17fe47ff,0x9b012a68,0x80dfffd7,0x801ffffa,0x3ea04ffd,0x4c01fa86,
    0x3ffe602f,0x00ffe202,0xf5007ff5,0x802f9803,0x5c04fffe,0xff980eff,
    0xffff102f,0xfd07f407,0x0a98309f,0x3e67ffa0,0x001f301e,0x74003e60,
    0x901bfe7f,0x3a1fc40f,0x401ff505,0x40ea806d,0x002e806a,0x7c4003d8,
    0x07fd4001,0x7c401f70,0xc97fe25f,0x3fe60fff,0x3bff202f,0x5c05f700,
    0x17ff200f,0x17443ff7,0x05c807a2,0x7dc17440,0xf90f700f,0x83ffd45f,
    0x2e01eceb,0x00fffe41,0x36013ffa,0x46c806ff,0xaaaaa9fa,0x220be61a,
    0xf9805fff,0x00ffea03,0xbcb987ea,0x402f9a89,0x2600fffa,0x3ee02fff,
    0xdff700ff,0xf91ffd40,0xf00001ff,0x000003ff,0xfff10000,0x9d002e21,
    0x13e17cc0,0xfb807fd4,0x00000001,0x00000000,0x2601ff50,0x2ffd403f,
    0x7fdcfff1,0x103fff46,0xf909fffd,0x07f305ff,0x2e0fffd8,0x000001ff,
    0xbff90000,0x17ff4340,0x2203fff3,0xff880802,0x3600000f,0x68801fff,
    0x57fd47e2,0x03e64fda,0x2003fffb,0x0dff103c,0x3f223f10,0xf34fb89d,
    0x3fa00001,0x7ffc407f,0x7fc40005,0x441fff22,0xf301bedb,0x999103ff,
    0x13332a39,0x2a399991,0xff504ccc,0x17cc003f,0x3bbfbbaa,0x540eefee,
    0x03f880ff,0x06fb6e20,0x037db710,0x01bedb88,0x44b3b2a2,0xf500cdec,
    0x201ba01f,0x3fe25ffc,0x4c9ff31f,0x5d105fff,0xd101ffff,0x700dd0bf,
    0x3f21dfff,0x033b6e06,0x8019db70,0x7dc0cedb,0x44181dff,0x3fe23fff,
    0x676dc43f,0x3fe2000a,0x8e666444,0xff84ccca,0x4a8a007f,0x7fccbfe2,
    0xfff98b61,0x740a2006,0x24a803ff,0x364b84fd,0x37db7102,0x017ffee0,
    0x7107fffe,0x220159db,0x4c2ffec0,0x84fd8bfe,0xf501fff9,0x3ffec7ff,
    0xfb1fffd4,0x3ffe60ff,0x2a1ee003,0xeeeeffee,0x7fd40eef,0x26006d80,
    0x04fd8bfe,0x9fb17fd3,0x362ffa60,0xa8bfb84f,0xfa8eedff,0x80ffa80e,
    0xffd800fb,0xf8bffe25,0x13ffee2f,0x2fffe9ec,0x0fb85f50,0xfffff980,
    0xfe880efa,0xe880ef89,0x880ef89f,0x20ef89fe,0x0dfffff9,0xf0fffe20,
    0x45fdc9ff,0x2e005ffa,0x7fff504f,0x3ea3ffec,0x5b0006ff,0xff897fc4,
    0xfffb92e3,0xff980005,0xd80bcbaf,0x8a01ff52,0x8bfe984b,0xfffc84fd,
    0x2fffe804,0x3fea2fee,0x1dff1005,0x7fc4ffd0,0x00fffcc3,0x7fdc7fff,
    0x5c7fff07,0x7ee4c7ff,0x400cceff,0x322f405e,0x703fea07,0x3ff4003f,
    0xffd07ff1,0x7f41ffc4,0xf98ffe27,0x87fff21f,0x0ffa85fe,0xfe801fcc,
    0x8fffe24f,0x3fff60fd,0x3ff64c84,0x1a63b73f,0x7d4007f3,0x3a06ffff,
    0x3a17f25f,0x3a17f25f,0xf917f25f,0x019fffff,0xfff17ffe,0xfe87fe69,
    0x7fdc403f,0x47fff01e,0x7fe47ffb,0x41f0004f,0x3ff72ff8,0x9fffb3c4,
    0xfff90000,0xf85fffdd,0x2200ff90,0x3e27fe87,0x1ffff43f,0x9a7ffec0,
    0x0fffa1ff,0x2e037ee0,0x07ffc5ff,0x7c03fff3,0x1ffee3ff,0xff71fffc,
    0xfffffb8f,0x3e201fff,0xbd0fe202,0x46fbb2a0,0xb80443f8,0x07ffc5ff,
    0xfff8bff7,0xff17fee0,0xb97fee1f,0x07fec7ff,0x7437dd95,0xfff83306,
    0xc93ffe24,0x21ffffc7,0xafffec5b,0x740acfda,0x3e603306,0xfb84ffff,
    0xb87fee3f,0x87fee3ff,0x3fee3ffb,0x7ffffe41,0xfffc81ef,0x2e5fff10,
    0x13ff65ff,0xfffffe88,0x2e3fff82,0x7fff47ff,0x44688003,0x80efddff,
    0x07fffd0f,0x4bffd000,0x4d10fffc,0x83e007fd,0x7ffc5ffb,0x00ffffe0,
    0x7dd7fff6,0x013ff65f,0x4ffe813e,0xff317ffc,0x1fffc03f,0x3fe0fff7,
    0x11ffee3f,0x33dffb33,0x2600fb80,0x40027c2f,0x3bffa26d,0x3e27ff40,
    0x13ffa2ff,0x7ff45fff,0xe897ffc4,0x71bfee2f,0x3ee005ff,0x7fc3f981,
    0x93ffe24f,0x1ffff45a,0x7fffb0d5,0x2607ee00,0xffdf703f,0x1ffd89ff,
    0xffd8bfee,0xfd8bfee1,0x20bfee1f,0xffffffe9,0xdbfffe80,0x5fd10fff,
    0x4c027ff4,0xff85fffe,0xd1ffee3f,0x20009fff,0x7ed7fc47,0x3ffa7886,
    0xff80004f,0x8fffe25f,0x4401ff67,0x3e27ff47,0x3fffa2ff,0x4fffd803,
    0x7ff45fd1,0x3e025404,0x27ff44ff,0x7c03fff3,0x1ffee3ff,0xff71fffc,
    0x02ffd40f,0xfb9305d8,0x99bf999b,0x6c3f7001,0x7fc4ffbc,0xf27ff44f,
    0x4ffe89ff,0xffd13ffe,0x3ffb6609,0x2eeeeeef,0xf883f880,0x127ff43f,
    0x224c7fff,0x1d34fffc,0x003fffd0,0x7ff107f1,0xffb3fd88,0x77ff43ff,
    0x3a3eeeee,0xeeeeeeff,0x3bbbffa3,0x3ea03eee,0xd703ffff,0x40dffbbf,
    0x004ffeea,0xff0fffd1,0x23ffdc7f,0x0005fffc,0x4d7fc45b,0xf92d42ff,
    0x3f260bff,0x3e0cffff,0x2fff45ff,0x003fee5b,0x89fff16a,0x3ff64ffe,
    0xfffe804f,0x9ffdd503,0x7fc01b80,0x32fff44f,0x7fc03fff,0x41ffee3f,
    0x3fee3fff,0x00ffe207,0x7fdc0fe2,0xffffffff,0x21fc400f,0xfff13f21,
    0x3e5ffe89,0x2fff44ff,0xffe89fff,0x7d4fec45,0x3740007f,0x361fef44,
    0x3ffe25ff,0x3ffee141,0xfff01e8d,0x221ba00f,0x7fe43fde,0xf8ffff21,
    0xfff803ff,0x03fff803,0xbfff9024,0x213ff600,0x4ffd8eea,0x03ffee00,
    0x7fdc7fff,0x037ffd47,0x3fe24b80,0x23c8dfb2,0x6c06fffa,0xffe84fff,
    0x972fff45,0x82213fe2,0x227ffc3c,0x3fee5ffe,0xffff805f,0x7ec77541,
    0x7400c04f,0x27ffc3ff,0x7c03fff3,0x1ffee3ff,0xff71fffc,0x082fe80f,
    0xf98807d4,0x99fd999d,0x6c06d801,0x21fff41f,0x3ffa4fff,0xfd27ffc3,
    0x24fff87f,0xfff50ffa,0x07ee0003,0xf90ff276,0x07ffc4bf,0x3bbffe20,
    0x0bfff101,0x93b03f70,0x20ffe87f,0x3f65fff8,0x6ffd806f,0x406ffd80,
    0x1ffee01d,0x903ffe20,0x13ff61ff,0xf86ff880,0x1ffee3ff,0x001ffff1,
    0x3fea1d30,0x3a29ff14,0x01fffe21,0xf907fff9,0x24ffd8df,0x3bfd30e9,
    0x07a21951,0xfff87ffd,0x01bffe24,0xfc8bfff1,0x009ffb0f,0xf89ffb00,
    0x3ffe62ff,0xb8fffa01,0x7ffd07ff,0x6d43ffdc,0x234c2ffe,0x21fc406d,
    0x07ee005e,0xffd84f88,0xfb17ffc4,0x22fff89f,0x7ffc4ffd,0x7c4bff12,
    0x440104ff,0x7f92c83f,0x3e25ff98,0x2a05d46f,0x3ee03fff,0x1fc401ff,
    0x7c3fc964,0x27fec0ff,0x4101fff7,0x2080fffb,0xb080fffb,0x805ff809,
    0x7fcc1ffc,0x0013ff64,0x7ffd09fb,0x7e43ffdc,0x428804ff,0x3cccc9ec,
    0x709d5995,0x7e407fff,0x7ffb83ff,0x3b217fec,0x88b372e0,0x44ffd84e,
    0x7fdc2fff,0x3ffee01f,0xfd93fe61,0x00ae204f,0x7fc4bff3,0x00fffcc6,
    0x7fec9ffd,0x6c9ffd07,0x65f4c7ff,0x6fffffff,0x87e601fc,0x9f1004f8,
    0xff304d80,0x2637fc4b,0x1bfe25ff,0x7fc4bff3,0xfd17ff26,0x200c85ff,
    0xfeef986e,0x337f42ef,0x37fd45ff,0xf882ffec,0x86e801ff,0x2effeef9,
    0xffb07ffa,0x06fffcc3,0x6fffcc17,0xfff982e0,0x17ec2e0d,0xfc805ff0,
    0x36ffc82f,0xde88bffd,0xfe80fe80,0x41fff64f,0x2201fffb,0x400ec83e,
    0x3ff204e8,0x7fff900f,0x6c3ffd10,0x00ec80ff,0xff982744,0x6c1bfe25,
    0xfff105ff,0xd36ffc87,0x7fec0bff,0xa87fe403,0x7ffcc1ff,0x2bbff201,
    0xc80fffed,0xffedaeff,0x7fccee0f,0x2a2fffff,0x307dc01f,0x01b6005f,
    0xc83b33b9,0x03ff50ff,0x3fea1ff9,0xf50ffc81,0x6fffec3f,0xeffffbec,
    0x07ee01ec,0x3bfb3326,0xfc87fc41,0x207ffe45,0x6c43ffec,0x1fb801ff,
    0xefeccc98,0xf893fe61,0xffffd83f,0xfffd82ec,0xffd82ecf,0x3f62ecff,
    0x205fb83f,0xf900efc8,0xdffbbfff,0x85fffdc9,0xdff901fa,0x01fffdb5,
    0x886fbfee,0x2fb202ea,0x40275cc1,0xfc81dffb,0x9ff103ff,0x7d900ffc,
    0x404eb983,0x3ff50ffc,0x6c1ffdc0,0xfffc81ff,0x04effddf,0xf700bfff,
    0xf503df9d,0xffd805ff,0x0dfffbaf,0xfbafffd8,0xfbd10dff,0x85dffb19,
    0x5c6d806c,0x01fb800f,0x41ffffee,0x01efcefb,0x07bf3bee,0x1efcefb8,
    0x867fff4c,0x02efffe9,0x7e400fe2,0x9f9dd103,0x5b8bff30,0xbfb9ffb3,
    0x07f10017,0x3a60ff20,0x202efcdf,0x203efffc,0x203efffc,0x6c3efffc,
    0xfecceebc,0x039fb303,0xd33efe88,0xfffd83df,0x7ec00cef,0xdfffbaff,
    0xdffd9500,0x95001bfd,0x059dfdfd,0x67ff6c40,0x401cefdc,0x01eecfd9,
    0xefefeca8,0x9df7002c,0xfb3003df,0x019dfb9d,0x74cfbfa2,0x5ff901ef,
    0xb804c400,0x403efffe,0x03100018,0x80c40980,0x4c1a801a,0x203d8802,
    0x03ccccc8,0x310004c4,0x004c4001,0x00988026,0x32a005c8,0x2200c402,
    0x03530581,0x5400b900,0x0266202c,0x26000980,0x0c026000,0x98806aa2,
    0x01008000,0x44000a98,0x15300001,0x00544000,0x4cd4c400,0x00130000,
    0x80002a20,0x31000098,0x08040013,0x00000880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c7b3000,0x5c7b301d,0x5551001d,0x96666441,
    0x2444ccca,0x19b101a8,0x215bb500,0x0e206a05,0x02b3b6e2,0x390bed98,
    0x3661bb10,0x00000003,0x35550201,0xd986ec40,0x10000003,0x00001555,
    0x64055544,0x66cc00cc,0x77764000,0x15551006,0x819db700,0xdeeeeec9,
    0xdddb910c,0x000059dd,0x3b2a0000,0x002aaacd,0x3bbba600,0x40003eee,
    0xeeeeeeed,0x33332a5e,0x881bec99,0x332a0ccc,0x2deb9803,0x440d40b1,
    0x77764003,0x3a0ee446,0x06ff98ff,0xdff33ffd,0x217fea00,0x3f63fff9,
    0x320ed87f,0x09ff900f,0xefffffa8,0xf98be605,0x7d45fdc3,0xffff105f,
    0x3fee0ddf,0x8801ffd3,0x3ae201fb,0x881d02df,0x702ffd46,0x83ffa7ff,
    0xdeeeeeca,0x807fd31c,0x774c3ffc,0x05df51ee,0x3ea0fff2,0x7fec04ff,
    0x7ffc8003,0x80bff700,0x0ef89fe8,0x00ffffa8,0x2a13fffa,0x200002ee,
    0x3ffb05fc,0x01ffffd1,0x7e403fa0,0x01ffffff,0x985dfbd5,0xffffffff,
    0x67ffdc4f,0x441fffde,0x3ff21fff,0x4c6fe406,0x3e607fdf,0x2000fe62,
    0x7fdc7ffc,0xff8bfe47,0x3e1ff904,0x0bfb004f,0xff71fffc,0xfb3df10f,
    0x01ffe407,0x3ffff2f2,0x7ddfec02,0xfd0ffcc6,0xfd79507f,0x3fe607ff,
    0x6440ff92,0xff501fff,0xf705ffff,0xf709fb9b,0x4bfe601f,0xfff507fd,
    0x0fffe81f,0x7d413fe0,0x0ffff2ff,0x3fe213fe,0x3f600ffd,0xccca802f,
    0x401cfffd,0x5fe805fd,0x3fe217f2,0x7ffec07f,0x00fffe82,0x2fff8800,
    0xff527fdc,0x07fe4005,0xfffffff8,0x3f6ff706,0x3fffee0f,0x4c1fffff,
    0x3fea6fff,0x87ffe20e,0x3ee06ffc,0x01fff20f,0x00df77fb,0xfb1ffea0,
    0x220981ff,0x03104c01,0xf803be20,0x1ffea3ff,0x2037ffe4,0x21c00bb8,
    0xff9800b9,0x2ffdc2ff,0x41309ffb,0x20c400a8,0xffec8809,0xeff981ff,
    0x440fffff,0x700fffff,0x260c407f,0x0dfff300,0x2a07fffb,0x3ffe204f,
    0xa85fffd2,0x2a7f904f,0x00f2204f,0x7fe5554c,0x1be201bf,0xfb8ffee0,
    0x37ffc41f,0x20bfff60,0x0002fffe,0xfe83fff0,0x01bfe63f,0x4c07ffd4,
    0x1aaaaaae,0xbf76ff88,0xcccdefd8,0xfff887fc,0xf11fffc2,0x37fe43ff,
    0x7dc6ff98,0x7ffcc07f,0xff50002f,0x004ff98f,0xea800000,0x51fffc00,
    0x3fe20fff,0x0000002f,0x217ff600,0x3ffa2fe8,0x00000004,0xc81fffb8,
    0x0ffffaa3,0x2e4016d4,0xfff10000,0x07f9b10d,0xfff10172,0x90bf3665,
    0xd307e209,0x2a000001,0x0eb807ff,0x2e1ffd80,0x7ffc42ff,0x17ffe406,
    0x0017e6cc,0xff82c980,0x01ffe63f,0x203fffe2,0x7fd4003c,0xf9807406,
    0x42fff884,0x3fe24ffe,0x41bff21f,0x7fd45ffb,0x05ffd807,0x41ffea00,
    0x033b6e00,0x2a399991,0x00004ccc,0x7fd47fff,0xdb700007,0xcccc8837,
    0x00999951,0xffeea800,0x59db7104,0x676dc401,0x7ffd400a,0xfffa8281,
    0x88000003,0x2201bedb,0x07c06fff,0x5fff1000,0x00000788,0x4019db70,
    0xffaaddb8,0x7f400007,0x3eeeeeef,0x2037ffc4,0x2202fffc,0x90000007,
    0x2ffd49ff,0x07ffeec0,0x0055ef7c,0x0301bfee,0x7fc417e4,0x137fec2f,
    0x7fe43fff,0xa89ffb06,0x000007ff,0xff55bb71,0x4ff4400f,0x7fd40ef8,
    0x21fff63f,0xcccccccb,0x51fffc3c,0x99930fff,0x27fa2039,0x7fd43ffa,
    0x21fff63f,0xcccccccb,0x6c77543c,0x8bfb84ff,0x7f705ffa,0xa80bff51,
    0xf1001fff,0xccc983ff,0xcccc981c,0xd8bfe981,0xdfff104f,0x33323540,
    0x443b912c,0x325c2fff,0x93039999,0x3a203999,0x880ef89f,0xffedbdff,
    0x96666447,0xfff02ddb,0x3ffe2007,0x17ffe406,0x33326b70,0x81cec88c,
    0x4c1cccc9,0x0bff25ff,0x1fff3970,0xffffffa8,0xfffec883,0x07f8002c,
    0xfd85fff1,0x87ffe26f,0xfff06ffc,0x447ffa89,0xbb72cccc,0x5effc405,
    0x2007ffed,0x217f25fe,0x3fee3fff,0xd99aee87,0x7ffc2fff,0x5c1ffea3,
    0xbfd02fff,0x3fe07ffc,0x21ffee3f,0xffd99aee,0x6c3ff22f,0x0ffcc4ff,
    0xff987ffd,0xa80fffa1,0xf1001fff,0x3ffee0ff,0x05fff702,0x1ffc4ffd,
    0x9837ffc4,0x67ffc40d,0x3e25ffe8,0x7032a2ff,0x3ee05fff,0x4bfd02ff,
    0x0ffe85fc,0x3e61fffa,0xfffedcff,0x006ffd82,0xc80dfff1,0x19502fff,
    0x775fffdc,0xffb80fff,0xbbfd882f,0x9b4c01ff,0x7fec0fff,0x20efffff,
    0x2cfffec8,0x8827cc00,0x7fec2fff,0xc87ffe25,0x9ffd06ff,0xf987ffa8,
    0xfffedcff,0x741ffd02,0xff7007ff,0x3e0ffdc7,0x1ffee3ff,0x5fff883a,
    0x3ea4ffe8,0x5fff107f,0x7e47ff10,0x71fffc0f,0x441d0fff,0x3fe65fff,
    0xf713ff64,0x227fecbf,0x3ff65ffb,0x07ffea04,0x8827fd40,0xff102fff,
    0x45ffb85f,0x7fc40fff,0x3a02a86f,0x4ffcddff,0x154bffe2,0x102fff88,
    0xff705fff,0xf70ffdc7,0x07ffa8df,0x3f23ffff,0x0fffb86f,0x37ffc408,
    0x20bfff20,0xefff982a,0xf107ffd0,0x2b2e05ff,0x31e8801b,0xeec81fff,
    0x85ffffff,0x90006ffb,0x3ffe205f,0xf11fff42,0xb7fe43ff,0x2a2ffdc0,
    0xffff07ff,0x2e1bff23,0x3ffd46ff,0x3ffb0edc,0x3fe17fdc,0x21ffee3f,
    0x40fffec3,0x3ff64ffe,0x05fff107,0x0dc45ff7,0xff71fffc,0xfffd870f,
    0x74dbff21,0x17f445ff,0xfe889ffd,0xa813ffa2,0xf9001fff,0x17ffc40d,
    0x742fff88,0x17ffc4ff,0x001bffe2,0x144bfff6,0x200bffe2,0xf102fff8,
    0x3ffb05ff,0xff917fdc,0xd07ffa8b,0x3ffdc9ff,0x706fffcc,0x06fff881,
    0x0017ffe4,0x7ec3fff3,0x2fff884f,0x3d8005d8,0x3003ffe6,0xb83ffffb,
    0xfd0006ff,0x217ffc40,0x3fe21fff,0x1dfffa2f,0xff71ffe6,0xb93ffa0f,
    0x5ffc87ff,0x3ee3ffd4,0x3bbffa7f,0x7fc3eeee,0x01ffee3f,0x3209fff5,
    0xffedbfff,0x2fff880f,0xf003ffd8,0x3ffdc7ff,0x913ffea0,0xffbbffff,
    0x7f75409d,0x7f75404f,0x3ffea04f,0x403fd001,0xf102fff8,0x4fff85ff,
    0x3e227ff4,0xfd8006ff,0x7ffc407f,0x2fff8802,0xd05fff10,0xddddddff,
    0x2a27ff47,0x9ffd07ff,0xfd83ffd4,0x882ecfff,0x7e406fff,0x3e6002ff,
    0x17ff61ff,0xf50bffe2,0x0135557f,0x1fff316e,0x0fffe600,0x3000dff7,
    0x7ffc40bf,0x889ff92f,0xfddbefff,0xffe83dff,0x07fffa8d,0x7fd49ffd,
    0x544ffe87,0x7ffec7ff,0x2007fff0,0x3fee3fff,0x07fff407,0xf55fffb0,
    0xff881dff,0x04fff82f,0x7dc7fff0,0x7fff407f,0x99f7f440,0xeea81efe,
    0xd504ffd8,0x409ffb1d,0xc801fffa,0x7ffc402f,0x85fff102,0x7ff44fff,
    0x037ffc45,0x2037fec0,0x8802fff8,0xff102fff,0x07fff05f,0xfa89fff0,
    0x49ffd07f,0x3f207ffa,0xff103eff,0xfffc80df,0x3ffe6001,0x2217ff61,
    0x7fdc2fff,0x0effffff,0x32aaafe6,0x3001bfff,0x6ffb89ff,0x202fc800,
    0xffdafff8,0xffef984f,0x01bffb1f,0xf79fffd1,0x93ffa0ff,0xfff87ffa,
    0x263ffd44,0x1bff65ff,0xf71fffc0,0x7ffe40ff,0x3ea18802,0x0bffe201,
    0x7c01bffa,0x1ffee3ff,0x202fffc8,0xfc827440,0x909ffb0f,0x13ff61ff,
    0x401fffa8,0xff8802f9,0x5fff102f,0x7fc3ffe8,0x37ffc44f,0x13ff61c0,
    0x005fff10,0x2205fff1,0xffd82fff,0x45ffd806,0xffd07ffa,0x203ffd49,
    0x7fc403f9,0xfd8ff66f,0x3e6000ff,0x17ff61ff,0xf10bffe2,0xffffffff,
    0x7ffffd4d,0x004fffff,0xdff707f6,0x880fd000,0x40312fff,0x098198fa,
    0xff509880,0xa93ffa0f,0x5ffd87ff,0x4083ffd4,0x4080fffb,0x3fee3ffe,
    0x0bfff107,0x880bf300,0xffd82fff,0x3ffe802f,0x7c41ffee,0x3f4005ff,
    0x3f64ff98,0xb27fcc4f,0x7fd409ff,0x20fa201f,0x17ffc419,0x6c2fff88,
    0x17ffc4ff,0x101bffe2,0x404ffd8d,0x8802fff8,0xff102fff,0x1fff705f,
    0x237fdc10,0xfe80fffa,0x01ffea4f,0xfff100df,0xfd9ffead,0x7fcc007f,
    0x217ff61f,0xfb82fff8,0xfffeeeee,0xffffff50,0x4009ffff,0x06ffb87c,
    0x2202fcc0,0xf9002fff,0xf5000003,0x93ffa0ff,0xffb87ffa,0x007ffd46,
    0x706fffcc,0x364ffe81,0xfffb07ff,0x7dc01c43,0x17ffc407,0x507fffcc,
    0x364ffe85,0xfffb07ff,0xff301c43,0x26dff901,0x7fe45ffe,0x40bffd36,
    0x3601fffa,0x0ea9999d,0x8817ffc4,0x7fcc2fff,0x221bfe25,0x2dc06fff,
    0xf1013ff6,0xff1005ff,0x3ffe205f,0x0dfff982,0x0fff982e,0x3a03fff2,
    0x1ffea4ff,0xf8807fa8,0x4bff16ff,0x4c006ffd,0x3ff61fff,0x42fff885,
    0x4df102fd,0xfb999998,0x33f209ff,0xffb83e80,0x017dc006,0x400bffe2,
    0x800003fd,0xffd07ffa,0x4c3ffd49,0x3ff20fff,0xfffb000f,0xff905d9f,
    0x1fffdb5d,0x644fffa8,0x0cff9803,0x205fff10,0x4ddffffc,0xedaeffc8,
    0x7fd40fff,0x3a01e44f,0x7ffe40ef,0x24effddf,0xfddffffc,0xfff504ef,
    0x3ffff203,0xff887fff,0x5fff102f,0x3ea1ff90,0x6fff981f,0xffd13e60,
    0x2fff8809,0x02fff880,0x3605fff1,0x82ecffff,0xfec9dffd,0x4ffe83ff,
    0x4403ffea,0x7fcc05ff,0xff8bf27f,0x7fcc001f,0x217ff61f,0x7f42fff8,
    0x3007f502,0xfff81fff,0x2e07913f,0x7f4006ff,0x17ffcc00,0x0005ff80,
    0x80fffb80,0x3fea4ffe,0x9dffd80f,0x003fffec,0x80fbfff2,0xffbafffd,
    0x3bffa0df,0x6c00fea0,0xff985fff,0x3ffee03f,0x3fff604f,0x20dfffba,
    0x3ea0effe,0x6fffd403,0x267dfd11,0x3fa21efe,0x03dfd33e,0x2a0bfff2,
    0xffffffff,0x03fff985,0x2e07fff3,0x501efcef,0xa881ffff,0x2fffc3ff,
    0x00fffe60,0x4c0fffe6,0x3f203fff,0x3f603eff,0xcdffacff,0xf72fffc1,
    0x7fdc03ff,0x3fae61df,0xeb9bdfff,0x8001efed,0x3fa2fffa,0x3fff986f,
    0x6566fecc,0xff3002ed,0xfffd981f,0x3ff202df,0x017e6007,0x019fff91,
    0x00007fd0,0x0bfffd88,0xff72fffc,0x3fff603f,0x01cdffac,0x188004c0,
    0xdffff900,0x4005fffd,0x7f4c0bb9,0x0cc02fff,0xf9001880,0xfffddfff,
    0x05971005,0x10080201,0x3ffff2e0,0xffff31cf,0x989fffff,0x4c2ffffe,
    0x202ffffe,0xfd930098,0xffffffff,0x7fec5fff,0xfe980cff,0x3a602fff,
    0x74c2ffff,0x4c02ffff,0x22131000,0x3ffff600,0x0effff9a,0x000b2e20,
    0x20001510,0xc9efffe9,0x3a64ffff,0x9882ffff,0x4c0009aa,0x06600fff,
    0xbffff910,0x80351005,0x02aaaaa9,0x80000288,0x21aaaaaa,0xf9affffd,
    0x3100efff,0x00000221,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ae00000,
    0xb71deeee,0x419bdddd,0x0005eed8,0x99999700,0x80733263,0xeeefecb8,
    0xeeeeeeee,0x77775c5e,0x764c0cde,0xdb9305ee,0x2a39dddd,0x903eeeed,
    0x0b85bddd,0x3bb66298,0xeec9801e,0x320cdeee,0x3323deed,0x87bb72cc,
    0xeeeeeeca,0x4c001ccd,0xeeeec982,0xeeda8cee,0xa80ceeee,0x82aaaaaa,
    0xdeeeeec9,0x5f6dc003,0x50cec881,0xaaaaa985,0x37aa00aa,0x3bb2a162,
    0x1ccdeeee,0x1f776c40,0xeeeee880,0xeeeeeeee,0x03b9105e,0x644b3332,
    0x2aaaa61d,0x66440aaa,0x05bb72cc,0x36e20510,0xddb30cac,0x0039dddd,
    0xeeedc880,0xeeeeeeee,0x7776cc5e,0x3ffee001,0x7fffcc0f,0x1001b603,
    0x3ffa2009,0x501fd42f,0xfd515dff,0xf9533dff,0xffff50df,0x00cfb803,
    0x417fffc4,0x01ffffe8,0x87ee0dd3,0x7ffcc1fb,0x3ffee002,0x10dd100f,
    0xffdbbfff,0xdfff707f,0x07fff953,0xffa80ba0,0xfffb81ff,0x3fffe00f,
    0x3ea07fff,0x744006ff,0x743ffa9f,0x40feffff,0xfffffffc,0xfffff701,
    0x7ffdc09d,0x3fffca9e,0x013ffe20,0x6cd5ffc4,0xfca9bfff,0x20bff707,
    0xfe8cfff8,0x3ffff65f,0xff981fff,0x2fffedcf,0x77cc1f40,0x7dc1fea8,
    0x00000fff,0x6ffff7c4,0x87feba99,0x4002fff9,0xfc81ffff,0x00b605ff,
    0x26001f90,0x034c3fff,0xff50dff9,0x20dd10df,0x5403fffe,0x3fffe006,
    0xfffff301,0xfe813201,0xff885fca,0x3fe6002f,0xe826c06f,0xfff92fff,
    0xa8dfff30,0x7e405fff,0xfffdc982,0xfdcccccf,0x9904cfff,0x40999999,
    0x4005fff9,0x43ffe5fe,0x5fffebd8,0xcccccca8,0xff97b00c,0x7fcc03ff,
    0x2fffd46f,0x677ffe44,0x90be204c,0x07b85fff,0x7f40bff7,0x24ffcddf,
    0xccccccca,0x23ffff00,0x3f206ffc,0x3e24fc83,0x037ffcc1,0x7d754000,
    0x87d885ff,0x4002fff8,0xf884fffc,0x001a07ff,0x6c007ff1,0xa81dc6ff,
    0xff982fff,0x2a0d306f,0x16c06fff,0x01fffd00,0x1bffffa2,0xfff501dc,
    0x5fff101f,0x2fffcc00,0x7ff40f20,0x303ffea4,0xff50dfff,0x0bfee09f,
    0x3fffeea2,0xffbaaaaa,0x00002aef,0x002fffc4,0x7fe47ff1,0x00dc4330,
    0x05306000,0x50dfff30,0xff509fff,0x440555bf,0x82fffc86,0xd8032e06,
    0x00512fff,0xb93ffa00,0x7ff707ff,0x0dc7ffd0,0x001bffe2,0x3fe67a00,
    0xf10f105f,0xf88005ff,0xfffb07ff,0xb8009505,0x3ea006ff,0x7c0361ff,
    0xfff107ff,0xfe81628d,0x00d101ff,0x100fffe8,0x09ffff5b,0x4ffe8077,
    0x005fff10,0x202fffcc,0x49ffd03c,0x7cc0fffa,0xfffd06ff,0xcdfffc83,
    0x37ffc40c,0x886fff88,0x9951cccc,0x3ffe2099,0x703eefff,0x00dc45ff,
    0x2fb6e200,0xf3000001,0x3ffa0dff,0x04ffe81f,0xfff90510,0xd8000705,
    0xdb8807ff,0x3fa00ace,0x21ffea4f,0x0ccdfffc,0x201bfff9,0x0066fff8,
    0x7fcd2e00,0xf10b1c5f,0xfb0005ff,0xfff905ff,0xe8003b0b,0x3a002fff,
    0x2e0915ff,0xff105fff,0x401244df,0x5905fffb,0x0fffe800,0x3fff2b10,
    0x0001dc3f,0x64d7ffc4,0xfff301ce,0xfd03c80b,0x07ffd49f,0x5c1bffe6,
    0x3f263fff,0x440ccdff,0xff106fff,0x3ffea0df,0x441fff63,0xffb15fff,
    0x03ffd83d,0x01cccc98,0x9fb17fd3,0x72cccc88,0x7fcc05bb,0x7fff706f,
    0x36e9ffd0,0x3ff2001d,0x6665c02f,0x6c3ccccc,0x5fdc06ff,0x3a05ffa8,
    0x1ffea4ff,0x99bfff93,0x3bfffe61,0x8efff880,0x7440003d,0x44bfff30,
    0x3ffe2024,0xfffa8002,0x0ffffe86,0xfd5001a2,0x7dc00bff,0xfb01c8ff,
    0x3fe209ff,0x44012e6f,0x3440ffff,0x07fff400,0x3fff6588,0x3320ee1f,
    0x43b912cc,0xfcfdfff8,0xfff982ff,0xfe81e405,0x03ffea4f,0x2a0dfff3,
    0xfff85fff,0x1bffe202,0xf037ffc4,0x3ffdc7ff,0x225fff88,0x7ffc6fff,
    0x5fff7004,0xff89ffa0,0x6e7ffcc3,0xf302fffe,0x3fea0dff,0xdcffe85f,
    0x9002fffe,0xee805fff,0x2fffd99a,0xf3027fec,0x81fff43f,0x3fea4ffe,
    0x207fff07,0x41fffffb,0x02effff8,0x3e62d800,0x1012e5ff,0x20005fff,
    0x32a1ffff,0x0ee4fffc,0xffff3d00,0x67ffc003,0x0ffffa06,0xfab7ffc4,
    0x3fff2004,0x74001dc4,0x4b100fff,0x70ffffe8,0x19fff107,0x7fc4bffd,
    0x1fff30cf,0x405fff98,0x49ffd03c,0x5310fffa,0x1333dfff,0x3e1fffe6,
    0x3fe202ff,0xa99999ff,0x3fe06fff,0x41ffee3f,0x7ec5fff8,0x1bffa1ff,
    0x417ffc40,0x7ffc5ffb,0xc8ffffc0,0x7d4c46ff,0x30999eff,0xffd0ffff,
    0x41bff23f,0xfffdaaa8,0x0740aaac,0xfb0bfff1,0x2ffdc09f,0x3fa09ffb,
    0x41ffea4f,0x3e603fff,0x7fc44fff,0xa80001ff,0x46fffcc5,0x7fc404fc,
    0x2009d52f,0x2764fffc,0x03a6fff9,0xfff95980,0x7ffe4009,0x0bfffe03,
    0x7fffffc4,0x3fe2004f,0x4000747f,0xb100fffe,0x75ffff98,0x377ffa07,
    0x3fe24ffc,0x21fff42f,0x6405fff9,0x549ffd03,0xfb950fff,0x25999fff,
    0x951ffff9,0x8199bfff,0xfffffff8,0x06ffffff,0xffb8fffe,0x8bfff107,
    0x3f63fffc,0xff8802ff,0x44ffe82f,0x7ff42fff,0x951ffee4,0x999ffffb,
    0x07fffe65,0x7fdc9ffd,0xfd999307,0x81999bff,0x40fffec3,0x3a204ffd,
    0x413ffa2f,0x3fea4ffe,0x707fff07,0x2237fec4,0x80006fff,0xfb999ae8,
    0x04ffffff,0xfe97ffc4,0xfff8800f,0x7fff4d17,0x8ec0059a,0x000ffff8,
    0x7401fff1,0xff102fff,0x009f91df,0x952fffd8,0x3fffa000,0xff50b100,
    0x360779ff,0x88512fff,0x7fec2fff,0x02fffcc5,0x27ff40f2,0xf981fff5,
    0xfff306ff,0x3fff2a1f,0x7fc40ccd,0xdfff106f,0xf71fffc0,0x3ffe20ff,
    0x30fffec5,0x1541ffff,0x3e0bffe2,0x27ff44ff,0xffa93ffa,0x0dfff307,
    0xd03fffe6,0x3ffd49ff,0x02fffc80,0x413ffea0,0x2a004ffe,0xfd04ffee,
    0x07ffd49f,0x16c1fffc,0xfff317fe,0xdd90000d,0xbfffdddd,0xff1013ea,
    0x801bf25f,0x22cafffd,0x02cdfffb,0xfffb1a20,0x02fec007,0x440ffff2,
    0x01326fff,0x36dfff50,0xfffd0000,0x7dc16201,0xfb03efff,0xfff880ff,
    0x2637fec2,0x1e405fff,0x3ea5fff8,0x7ffcc0ff,0x0ffff506,0x7c405fff,
    0xfff106ff,0x71fffc0d,0x3fe20fff,0x43fff45f,0x4ddffffc,0xf82fff88,
    0x2fff44ff,0xffa93ffa,0x0dfff307,0x3a1fffea,0x3ffea4ff,0x2fffc800,
    0x03fffa00,0x5402fffc,0x04ffd8ee,0x7fdcbfff,0x83fff81f,0x98bfa1fd,
    0x0006fffe,0xfff9834c,0xff1012e5,0x2a00045f,0x7c46efff,0x64006fff,
    0x03fffcc2,0xfa805f30,0xfff104ff,0x200224cd,0x005bfffe,0x403fffa0,
    0x3fff6058,0x0dffb03f,0x6c2fff88,0x7ffcc6ff,0x7ec16405,0xfff53fff,
    0x06fff981,0xff0dfff7,0x7ffc405f,0x0dfff106,0xff71fffc,0x97ffe20f,
    0xf702fffb,0x3e209fff,0x3ffe82ff,0x3fa27ffc,0x41ffea4f,0xf706fff9,
    0x9ffd0dff,0x4007ffd4,0x9002fffc,0x3f605fff,0xf900cfff,0x213ff61f,
    0xf9affffd,0x7fc0efff,0xddfed83f,0x3feba62f,0x3a03806f,0x4bfff301,
    0x3fe20449,0x7fc0002f,0xfffd84ff,0x333e2004,0x2ffffccc,0x3e201a00,
    0xfff105ff,0x5c03438d,0x8801ffff,0x1fffa2fe,0x3fa20588,0x9ffb03ff,
    0x42fff880,0xfff84ffd,0x2000ec06,0x7cc0fffa,0xfff906ff,0x405fff05,
    0xf106fff8,0x7ff40dff,0x441ffee3,0xfffeffff,0x403c800d,0xfd82fff8,
    0x217ffc4f,0x3fea4ffe,0x0dfff307,0x3a0bfff2,0x3ffea4ff,0x2fffc800,
    0x05fff880,0x7fcc0330,0x2013ff64,0xfff00098,0x4c1ec307,0x806fff88,
    0x7cc09705,0x1121c5ff,0x80005fff,0xfa80fffc,0x32e000ff,0xffb99999,
    0x0498206f,0x301fff90,0x35c0dfff,0x037ffc40,0x3fa5ffc8,0x1016206f,
    0x3f607fff,0x7ffc404f,0x7417ff42,0x007c06ff,0x261ffea0,0xff886fff,
    0x27fff05f,0x06fff881,0x740dfff1,0x1fff64ff,0x4cefffc4,0x07fe6000,
    0x982fff88,0x1bfe25ff,0xffa93ffa,0x0dfff307,0x3a0bfff1,0x3ffea4ff,
    0x2fffc800,0x21fffd80,0x20dfd038,0xffd36ffc,0x05ff500b,0x2067fff0,
    0xff101ff9,0x885a80df,0x2fffcc06,0xfff88d10,0x7fc40002,0x801bfe05,
    0x3ffa00e8,0x1b1fe81f,0x427ff400,0xf106fffb,0x0bff2009,0xff27fd40,
    0x4034c0bf,0xffb03ffa,0x2fff8809,0x7e4077fc,0x009901ff,0x1bfea3ae,
    0x321bffe6,0xffb00eff,0xfff1097d,0x1bffe60f,0xedaeffc8,0xff880fff,
    0x3f20005f,0x0bffe204,0xffa87fe4,0x2a4ffe81,0xff980fff,0x0effc86f,
    0x7d49ffd0,0xffc800ff,0x7ffd403f,0x3fd01e44,0xbbffff90,0xf7009dff,
    0x7bff900b,0x4c0ff209,0x3e206fff,0x7cc02e84,0x8bb105ff,0x0002fff8,
    0x3f201fd8,0x70172003,0xff98bfff,0x6c40049c,0x3ff623ff,0x3ff6a0ff,
    0x00df1003,0xdff10fe8,0x400fe401,0x9ffd03fb,0x25fff880,0x3f600ffa,
    0x017262ff,0x3ffaafe8,0x227fffa8,0x2200dffc,0xff304ffd,0x3ffea0ff,
    0x57ffec07,0x4c0dfffb,0x10006fff,0x7fcc05fb,0x33bee03f,0xbfff01ef,
    0x540fffdc,0x3f227fff,0x3ffe00df,0x007ffee5,0xd013fff6,0x1fd41dff,
    0xfd106f88,0x07bfa67d,0x22007f20,0xfd104ffd,0x3fffe603,0x21ffe4c0,
    0x7fd401fc,0x3faa20ef,0x01fffcc4,0x22035400,0x0bf1000f,0x42ffff98,
    0x0000dffe,0xfffdfb95,0xffffffff,0x1ec005ff,0x3b7b2200,0xffb500df,
    0x03d8019f,0xf880bfff,0x1dfcde9c,0xfffffc80,0x3ea000cf,0x764c5fde,
    0xdeffffff,0xb880000b,0x8beffffe,0xdffffec9,0x2003100b,0xdfffffb9,
    0x0732a003,0x2ffffe98,0xfb004c40,0xfff35fff,0x3fb261df,0xbdefffff,
    0x7fffec00,0x0effff9b,0xfffffb50,0xffff9059,0x905fffdd,0x10080159,
    0x0037b300,0x40de5400,0xfffffeb9,0x2fffffff,0x889dffb1,0xffffffcb,
    0x23ffffff,0x02ffffe9,0x01801800,0x05bfff70,0x9fffffb7,0x40000198,
    0x00000199,0x19800022,0x40400000,0x00cffffd,0x20003306,0x00009a98,
    0x000002a6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeeeca80,0x75401cde,0x3bb61eee,0x9f76c5ee,
    0x221eeed9,0x4002eeed,0xaaaaaaa8,0x4d88ee41,0x00fbbb62,0x77777654,
    0x5401bcde,0xeeeeeeec,0x64c02bcc,0xceeeeeee,0xeec981bc,0xeb802eee,
    0x931ceeee,0x19bddddd,0xbddddd95,0x3bbb2619,0xd930cdee,0xdddddddd,
    0x77445ddd,0xeeeeeeee,0xd935eeee,0x987bdddd,0x2a4eeeec,0xcdeeeeec,
    0x7776cc01,0x3b6a3dee,0x6e442dee,0x3bbbb261,0x981bccee,0xeeeeeeec,
    0x644eeeee,0xeeeeeeee,0x3ae0eeee,0x40ceeeee,0x515eeed8,0x21555555,
    0xaaaaaaaa,0x400baaaa,0x03100008,0x004b8000,0x40100080,0x65c0cedb,
    0x99974ccc,0x51332699,0x4001ffff,0x3e22fffa,0x989d07ff,0x7fc42fff,
    0x7fd4003f,0x264fffff,0x45ff95ff,0x4004fff8,0xcaadfffc,0x7dc02fff,
    0xfea99dff,0x7fd400df,0xfffda9ef,0xdffff503,0x3ffffd00,0x03fffea0,
    0x403fffea,0x500ffffa,0x5333dfff,0x7fc47ff9,0xbfffd9bd,0x7d47fca9,
    0x3f601fff,0xffff501e,0x7ff44001,0x07fd01ff,0x3ea1fff2,0xfffc9eff,
    0xffffa80d,0x5ffca999,0x4ccd77f4,0x984ffff9,0x5405ffff,0x3fffee3f,
    0x80053fff,0x002f4009,0x2e2007c8,0x3fe61bed,0x27bdb702,0x2e23f54a,
    0x881f70ad,0x20ef89fe,0xd10fffe8,0x40fb8fff,0x4006fff9,0x7dc2fff8,
    0x440f80ff,0xfff82fff,0x6664c003,0x3e22cccc,0xf83ff74f,0x7d4004ff,
    0x7ffd45ff,0x17ffe605,0x9803fffe,0x7fe45fff,0xffee983f,0x3ff6a01f,
    0xfff100ff,0x1bffe60f,0x207fff88,0xf306fff8,0x3f21fc47,0x223dc2ff,
    0x3e607fff,0x37ffcc05,0x7fffcc00,0x7ec09d04,0x7ffc40ff,0x21bffe26,
    0xd107fff8,0xff904f8b,0x3fee01ff,0x262e407f,0x1ccccccc,0x40098005,
    0x0f90005e,0x362ffa60,0xd10bf65f,0x897bf27f,0xfffffefe,0x25fe84fe,
    0x7ffd45fc,0xa87ffea2,0x06fff883,0x217ffc40,0x2cc3fff8,0x7417ffc4,
    0x000003ff,0x3a0260c4,0x7cc004ff,0xfffb85ff,0x0bfff303,0x4405fff9,
    0x7fc45fff,0xffbd886f,0x3fe7605f,0x3ffe207f,0x0dfff106,0x1037ffc4,
    0x1e40dfff,0x5fff90f1,0x7fff88d0,0xf1007d30,0x32000dff,0x2dc1ffff,
    0x7c0ffa60,0x7fff46ff,0x03fffc42,0xf98344b5,0x7f402fff,0x01d103ff,
    0x13000a00,0x90005e80,0x89ffa00f,0xe83dbeff,0x317fe27f,0x3f6a19ff,
    0x2e3ffb86,0x27ff41ff,0x06c9fff9,0x0037ffc4,0x360bffe2,0x441646ff,
    0xffe82fff,0x3b6e0003,0x7f40000c,0x7fcc004f,0x1ffff05f,0x50bfff30,
    0x7c40bfff,0xffff85ff,0x7ffc6c40,0xfff6880f,0x37ffc40f,0x206fff88,
    0x2206fff8,0x73246fff,0x7ffe41c4,0x7fff8382,0xf1001ea8,0x74000dff,
    0x01a66fff,0x1bffe008,0xff09fff7,0x712430ff,0x017fff60,0x203fffea,
    0x9999303c,0x04c00283,0x640017a0,0x45ffb807,0xff500fff,0x90fffc4d,
    0x361f605f,0x0bfee1ff,0x33a1fff7,0x220b16ff,0x44006fff,0x7d40afff,
    0x7c41a1ff,0x3ffe82ff,0x2033332e,0x0ef89fe8,0x80e6664c,0x5bb74ffe,
    0x82fffcc0,0xf982fffc,0xfffa85ff,0x17ffe205,0xb10bfff1,0x3213fff2,
    0x440ffff3,0xff106fff,0x7ffc40df,0x1bffe206,0xffc8008d,0xffff002f,
    0x22000eb8,0x20006fff,0xe8bffff9,0xfff00000,0x82fffc8d,0x01cc7fff,
    0x07fffea0,0x227ffec0,0x7ffdc069,0x02600142,0x32000bd0,0x44ffe807,
    0xffb02fff,0xf27ffecb,0x3a17d40d,0xeeeeeeff,0x4d7ffc43,0x2b9fff9b,
    0x00dfff10,0x84dfff88,0x20954fff,0xfe82fff8,0x8067ec3f,0x217f25fe,
    0xfd02fffb,0x5fffdb9f,0x417ffe60,0xf984fffb,0xfffb85ff,0x17ffe203,
    0xb105fff9,0x9a1fffe6,0x3e207fff,0xfff106ff,0x37ffc40d,0x4cdfff10,
    0xfffc8006,0x4ffff002,0xff88006d,0x7dc0006f,0x0001efff,0xfd1bffe0,
    0xffff01ff,0x3e2003c8,0x26004fff,0x07a0ffff,0x285fff10,0x99884c00,
    0x999ee999,0x33331099,0x33333f93,0x3a27ffc3,0xbffd04ff,0x457ff6b2,
    0x3e27c03f,0x3f6003ff,0x9ffd0cdf,0x3ffe201b,0xf880ed46,0xfff904ff,
    0x7ffc40b2,0x743ffe82,0xb8ffee03,0x7ffc41ff,0x23fffd02,0xff306ffc,
    0x3ffea0bf,0x45fff986,0x4406fff9,0xfdbaefff,0x6cb100bf,0xf92a2fff,
    0x3fe207ff,0xa99999ff,0x3e206fff,0x3fe206ff,0x006fb8ef,0x002fffc8,
    0xffd1ffff,0xfff88003,0xffe80006,0x7c00006f,0x3ffea6ff,0x22ffff03,
    0x3f2003fb,0xfd8006ff,0x100955ff,0x00285fff,0xffffd84c,0xffffffff,
    0xffffff75,0x4fffffff,0x7ff44fff,0x77bffd05,0x05e97ff6,0xdffb0fe2,
    0x2fffd400,0x440bfff7,0x3fe26fff,0x05fff106,0x81abffe6,0xfe82fff8,
    0xfb00f23f,0x217fdc3f,0xfd02fff8,0x83ffd49f,0xf305fff9,0xff981fff,
    0xeffeccef,0xffff8803,0x00befffe,0x37ffd4b1,0x03fffc1b,0xfffffff1,
    0x0dffffff,0x1037ffc4,0xdfffffff,0x5fff9000,0x3ffffe00,0x2000efff,
    0x0006fff8,0x04ffff98,0x3e019910,0xdffecfff,0x3ffffe01,0xf3003fff,
    0x10005fff,0x01d3ffff,0x285fff10,0xaaa84c00,0xaaaefaaa,0x555531aa,
    0x55555fb5,0x3e1fff45,0xfffb04ff,0xf71fff49,0xf703f201,0x3e0101ff,
    0x3ffe23ff,0x1bffe202,0x3fea0bff,0x3f33322f,0x2cccefff,0x3a0bffe2,
    0xd00b93ff,0xddddddff,0x02fff887,0x7fd49ffd,0x0bfff307,0x261fffea,
    0xfffaefff,0xfff1003f,0x1ffff44b,0x3fffa2c4,0x3fffc599,0x20dfff10,
    0x2206fff8,0x3e206fff,0x06f98eff,0x02fffc80,0xff3ffff0,0x7c400bff,
    0x900006ff,0xb003ffff,0x3ffe0fff,0xf801aaae,0x07fb57ff,0x017fffa0,
    0x3ffffc80,0x85fff100,0x2004c002,0x0f90005e,0xff89ffb0,0x8dff902f,
    0x37e62ffe,0x7cc37d41,0x402e0dff,0x3fec0ffc,0x11bffe20,0x3fffaa05,
    0x3f6aaaa2,0x21aaabff,0xfe82fff8,0x402ffcbf,0xf1003fff,0x3ffa05ff,
    0x203ffea4,0xf705fff9,0xfff30dff,0x03fffeab,0x117ffe20,0x5885fffd,
    0x166fffdc,0xf881fffe,0xfff106ff,0x37ffc40d,0x4cdfff10,0xfffc8006,
    0x2ffff002,0x004ffff9,0x000dfff1,0xdfffbd30,0x03ffff00,0xf000dfff,
    0x803d8fff,0x000ffffb,0x03fffe20,0x217ffc40,0x2004c002,0x0f90005e,
    0x7c4bff30,0x1ffe206f,0x7fe41fff,0x1ffffcef,0xecffffd8,0x2a17e602,
    0x7ffc404f,0xff133806,0x7ffdc05f,0x0bffe200,0x3ffffffa,0x1bff600e,
    0x817ffc40,0x3fea4ffe,0x5fff980f,0x30bfff70,0x7fecbfff,0xfff8806f,
    0x45fffc85,0x7fffc458,0x207fff86,0xf106fff8,0x7fc40dff,0x3ffe206f,
    0x3200c346,0xff002fff,0x7fffdcff,0x6fff8802,0x23a20380,0x404ffff8,
    0xff83fffb,0xfff8006f,0x3e201cc7,0x0aa03fff,0x003fffa0,0x0a17ffc4,
    0x5e801300,0x200f9000,0x07fea7fc,0xf31ffe88,0x6ce7d43f,0x0fe9cfff,
    0x03efffc8,0x803f02e8,0x4406fff8,0xc8bffe26,0xcfffdccc,0x3fe22ccc,
    0x8cffe82f,0x3ee04fff,0x7c4080ff,0x9ffd02ff,0x4c07ffd4,0xffb05fff,
    0xbfff303f,0x027fff44,0x2a17ffe2,0x42c46fff,0xff83fffc,0x3ffe207f,
    0x0dfff106,0x1037ffc4,0x4c38dfff,0x17ffe404,0x6c7fff80,0x4401ffff,
    0x34406fff,0x7ffdc3d0,0x80f8401f,0xf8006fff,0x6c0387ff,0x0ec06fff,
    0x007fff40,0x142fff88,0x4cc42600,0xaaaee999,0x03e401aa,0x3df9df70,
    0xcfea9d80,0x880281ef,0x30004c01,0x7fc40140,0xf12dc06f,0x555545ff,
    0xaaabfffd,0x20bffe21,0xfff73ffe,0x37ffe605,0xfff102e0,0xa93ffa05,
    0xff980fff,0x5fff985f,0x98bfff30,0x2201ffff,0xffc85fff,0x7cc2c45f,
    0x7fff80ff,0x41bffe20,0x2206fff8,0x3e206fff,0x01f406ff,0x400bfff2,
    0xffe87fff,0x3fe200ef,0xd82dc06f,0x06fffd83,0xdfff05a8,0x0ffff000,
    0x1ffffa80,0x3a003e60,0xf1000fff,0x400285ff,0xfffffd09,0xbfffffff,
    0x88007c80,0x99810009,0x00000000,0xf9800000,0x93e606ff,0x2e02fff8,
    0x3e201fff,0x4fff82ff,0x6c03fff6,0x82ecffff,0xfd02fff8,0x07ffd49f,
    0x6c2fffd4,0xff300eff,0xdfff90bf,0x17ffe201,0x883fffd1,0x3e09fb06,
    0xff100fff,0x3ffe60ff,0x1bffe206,0x207fff88,0x7fe402fb,0xfff8803f,
    0xeffff887,0x0dfff300,0x82e427cc,0x204ffff8,0xfff881d8,0x7ffc4006,
    0x3ffe2007,0x01fa604f,0x8007fffc,0x0143fff9,0x55554260,0xaaaaaaaa,
    0x0014c01a,0x00000000,0x00000000,0x3fffea00,0x31ffd440,0x7e407fff,
    0x3fe602ff,0x25fff83f,0x3205fff9,0xf303efff,0x3ffe07ff,0x207ffee5,
    0x3666fffb,0x7fd404ff,0xbfffd06f,0x43fffe60,0xa82fffe9,0x881fa80f,
    0xf301ffff,0x3fea0fff,0x3ffe607f,0x3fffe607,0x00ffe4c1,0x2013fff6,
    0xc80ffff9,0xa80effff,0x5440ffff,0x01fe43ff,0x305ffff9,0x3ffe6019,
    0x7ffcc007,0xfff9000f,0xffc9881d,0x3ffff007,0xffffd300,0x555555c5,
    0x0baaaaaa,0x00000000,0x00000000,0x00000000,0xfffd9300,0xffffffff,
    0x3fffa65f,0x3ff2e22e,0x74c1cfff,0xfb12ffff,0x3fea7fff,0x02600eff,
    0x2ffffe98,0x4dffffec,0x930effff,0xdfffffff,0x7e4c017b,0x4c3dffff,
    0x931effff,0xfffffffd,0xff9307bd,0x5c45819d,0x0beffffe,0xdffffd71,
    0xfffd9317,0x3ae617bf,0x30bdffff,0xffffffd7,0x40ffffff,0xcfffffda,
    0xfffeb882,0x3ffaa4ef,0xd934efff,0xffffffff,0x3ae5ffff,0x7e41cfff,
    0x045fffff,0xffffec88,0x7f5c404d,0x200befff,0xfffffff9,0x6fffffff,
    0x3fffae60,0x00002bef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc880000,0x999951cc,0x6665c372,
    0x399931cc,0x037db710,0x22ceca88,0x7100ceda,0x220159db,0x700cacdb,
    0x2a2037db,0xbd912cec,0xcccc8819,0x08999951,0x04000000,0xcb850330,
    0x3ccccccc,0x39999993,0xccc87999,0x223b912c,0xbb72cccc,0x4b333205,
    0x6edc3ddb,0x00a81883,0xb9e66664,0x3261cccc,0x3c801ccc,0x01c01980,
    0x00000000,0x00000000,0x10000000,0x44444179,0x88888888,0x22222208,
    0x88888888,0x55544100,0x402cc980,0x554c0623,0x6c439711,0xf500b6a4,
    0x7ffec7ff,0xffd14ff8,0x983f987f,0x04fd8bfe,0x2ff27fd1,0x40ef99fc,
    0x5ffa8bfb,0xfea8ef98,0x7d4ff441,0x545fdc3f,0xfa8eedff,0x1fffd40e,
    0xbfb8fffb,0x2a000000,0xc81f307d,0x6ccd7745,0x3fea2fff,0x220bee7f,
    0xffe8cfff,0x373ffe65,0xf882fffe,0xfffeddff,0x3fffee8c,0x01ae0fc4,
    0x6c1dfff3,0xfffb80df,0x007fcc02,0x17ec07fa,0x2e001fc8,0x07e4c01f,
    0x774c3dd3,0x0effecc1,0x3216fecc,0x1f7ec45f,0x2605de54,0x7f40debb,
    0x3fffee6f,0xffffffff,0x3ffffee7,0x7fffffff,0x17fec598,0x33ffffee,
    0x5ffa9cc1,0xff71fff8,0xff97fe4d,0x23fff807,0x47f97ffb,0x34c3fff9,
    0x3fe27fe8,0x3e26fe83,0x997f65ff,0x0fffa1ff,0x20fc49f9,0x43ffe5fe,
    0x3ff21ff9,0x3e17fa1f,0x1ffee3ff,0x005bffb3,0x3ffae200,0x7dc4f883,
    0xfff10741,0x25fff70b,0x37ffa02e,0x7fc4ffcd,0x0dff91ff,0x7ccbfffa,
    0xdff71eff,0x05f83f70,0x9d127ff4,0x017ffc40,0x7f4401dc,0xfd01fec1,
    0x17fe2007,0x360ffdb8,0x97ff65ff,0x1ffddff9,0x887ff6f4,0x97d11fff,
    0xe8fdc3ff,0x27dd7e27,0x263ffff1,0xaaabbbbb,0x2e67daaa,0xbbbbbbbb,
    0x3fe83bbb,0x22ba2fec,0xdcefffca,0x41fffb0f,0x3ff61ffa,0x363ff50f,
    0x3fff806f,0x0f2fffee,0x0591bff6,0xfff8bff7,0xfd13fee0,0xb8ffe49f,
    0x13ff65ff,0x10dc7ffd,0x87fe47ff,0x3fee5ffb,0x3e07fec7,0x1ffee3ff,
    0x05f7fe4c,0x77fe4c00,0x541fd102,0x7fec384f,0x5dffd01f,0x2fffd809,
    0x49ffd051,0xffd07ffb,0x51fffc49,0x1ff10fff,0xffd027dc,0x3e201e49,
    0x400002ff,0x07fb1fe8,0x0088fe43,0xa80bfbf2,0x97ff60ff,0x83fa4ffd,
    0x7c4666f8,0x23fff12f,0x1fd1be08,0xf94d8bf6,0x02fffb8b,0x0000f700,
    0x1fb0df30,0x7fed40e6,0x91bfee2e,0x44ffa83f,0xff800c09,0x01ffee3f,
    0x8343fff5,0x7ffc4ffe,0xfd0fff62,0x897fdc7f,0x13ffa2fe,0x701bfff9,
    0x10dc45ff,0x37fdc5fd,0xfff0bfee,0x403ffdc7,0x801dffea,0x201cffeb,
    0x3fea4fe8,0x27ffd400,0x00dfff50,0xfd00fffb,0x83ffd49f,0x3fe24ffe,
    0x03ffe62f,0x4ff83bee,0x1b29ffd0,0x88bffe20,0x99999999,0xe8809999,
    0xffb83fef,0x01ff768a,0x40df1bf1,0x3fee0ff9,0x7c4bfee3,0xff00fc84,
    0x7f707ff8,0x89f93fcc,0x8885fcda,0x4f70000f,0x88888888,0xb8088888,
    0x0025d04f,0x205d4022,0x0001102f,0x2e3fff80,0xffe807ff,0x3ffe0755,
    0xff27ff44,0xeeffd87f,0xd502eeee,0xff989ffd,0x7fec0eff,0x7f6cc003,
    0xeeeeeeff,0xf71fffc2,0x7e4c00ff,0x3f260bef,0x74400bef,0x09ff30ff,
    0x801fffd0,0xfd807ffe,0x4ffe806f,0x7f41ffea,0x317ffc4f,0xff101fff,
    0x741ffdcd,0x02ffccff,0xfb17ffc4,0xffffffff,0x3e20bfff,0x9fff304f,
    0x360dffbb,0x2607f70f,0x87fe60ff,0x07f10ff9,0x85f501f7,0xfffb85fd,
    0x17ec3fe2,0x20bf71fb,0x9ee0005a,0xfffffffb,0x227fffff,0x000002cc,
    0x00000000,0xf71fffc0,0xfff700ff,0x3ffe01b1,0xff2fff44,0x04ffd87f,
    0xffb1dd50,0xfffff709,0x8027ffc3,0x7ffa9fd8,0xb8fffe00,0xc88007ff,
    0x5fff77ff,0x937fcc00,0xffc807ff,0xfffa802f,0x027fec03,0xff527ff4,
    0xf13ffa0f,0x7ffcc5ff,0x263ffd00,0xfffe86ff,0x2200ffff,0x2aaa2fff,
    0xaaaaaaaa,0xfffb01aa,0x56e4cc03,0xe89f3009,0x40ff980f,0x36c6f87f,
    0x41f442f4,0xbfd103fb,0x267d8fe4,0x885fd9ef,0x8e60001d,0xbbbbbbb9,
    0x003bbbbb,0x88111111,0x88888888,0x99910888,0x99999999,0xf8000099,
    0x1ffee3ff,0x177ffe20,0x7fc3ffe8,0xd0fff64f,0xff900bff,0x4c13ff61,
    0x3fa4ffff,0x0ffa806f,0x2003fff5,0x3fee3fff,0x7fed4007,0x7dff912d,
    0x8bfea001,0x3fe206fd,0xfff1005f,0x27fec01f,0xf527ff40,0x13ffa0ff,
    0x7fcc5fff,0x22ff980f,0xffe80efc,0x205fff8d,0x0002fff8,0xfe8bfd80,
    0x5f1db101,0x3ea07f40,0x6c0ff984,0x77d44d85,0x2d81feaa,0x500fc491,
    0x6d66447f,0x3e6ffe21,0x0003261e,0x40000000,0x5ffffffa,0xfffffff3,
    0x26dfffff,0xffffffff,0x0005ffff,0xf71fff40,0x3ff200ff,0x13ff601f,
    0x7fdc5fff,0x407fff43,0x7ec9ff30,0xffb11c4f,0x017ffecd,0x7fc4bff1,
    0xffe8104f,0x201ffee3,0x00cffeb8,0x03bffd71,0x3fe8df70,0x443fffb0,
    0x7fff5b03,0x4027fec0,0x3fea4ffe,0xf89ffd07,0x3ffe62ff,0x3e63fd80,
    0x29ffd01f,0xf102fffb,0x055005ff,0xfe88ff60,0x7fd3fe81,0x3fa05f70,
    0x2e07fd40,0xfea82b83,0xfffd82ef,0x476e345f,0x80002079,0x00000000,
    0x7ffd4000,0x77715fff,0x77777777,0x00000057,0xb27ff400,0x3e600fff,
    0x2ffcc06f,0xff98dff1,0x06ffffc4,0x4dbff217,0x216c5ffe,0x3ffe65ff,
    0x7fe4aa0f,0x217fff45,0xb27ff40c,0x7e4c0fff,0x64c002ef,0x2e00beff,
    0x2a1ba22f,0x41e44fff,0x01fffb3b,0x3a013ffa,0x3ffea4ff,0x224ffe80,
    0x3fea2fff,0x3627cc0f,0x93ffa01f,0xf880fffd,0x7fcc02ff,0x441fec00,
    0x43fe21fe,0x205d85fb,0x3bb2a3e9,0x1980001b,0x5ddddd50,0x0acfda80,
    0x00000000,0x00000000,0x57777771,0x00000000,0x3ff20000,0x0fffedaf,
    0x9005fb00,0x07fea1ff,0x7fd43ff2,0x21dcffff,0xfddffffc,0xe87f64ef,
    0x7fffe42f,0x3fff64dd,0xffffbecd,0xffc81ece,0x0fffedae,0x00e7ff54,
    0x3ffae200,0xe88d901c,0x5077ff43,0x3e67987f,0xbfff05ff,0x5cbfff00,
    0xfff81fff,0xb8fffe25,0x22741fff,0x7ffc01f9,0x21bffe25,0xd803fff9,
    0x2203a805,0x02a0c40d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c000000,0xfffbafff,0x007a800d,0x07bf3bee,0x8dfcefb8,
    0x442efffa,0xdfd33efe,0x7eeff6c3,0x9ffff702,0x0cfffe98,0x05dfffd3,
    0x7dd7ffec,0x7df70dff,0xb3000001,0x2616c0ff,0x3bffff26,0xfb32fffe,
    0xffff919f,0x7fffec1b,0xffffb00c,0x1dffff35,0x467fffec,0xfaaffffd,
    0x0b31efff,0xfffd805b,0xdffff53f,0x3ffffa61,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00001880,
    0x01310003,0x04c04c40,0x10c04020,0x30066003,0x8004c401,0x00550018,
    0x00e20000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_28_latin_ext_x[560]={ 0,2,2,0,0,1,1,1,1,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-1,1,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_28_latin_ext_y[560]={ 22,4,4,4,4,4,4,4,4,4,4,6,18,14,
18,4,4,4,4,4,4,5,4,5,4,4,10,10,7,10,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,25,4,10,5,10,5,10,4,10,5,4,
4,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,4,4,4,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,5,4,7,5,
4,4,5,4,4,10,10,14,4,2,4,6,4,4,4,10,5,11,21,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,5,4,10,10,4,4,4,5,4,4,4,5,4,5,4,4,4,5,5,8,9,4,4,4,5,4,4,5,
1,6,-1,4,4,10,-1,4,-2,4,-1,5,-1,4,-1,4,5,5,1,6,-1,4,-1,5,5,10,-1,4,-1,4,
-1,4,-1,5,4,3,-2,-2,5,5,0,5,1,6,-1,4,5,4,0,10,5,4,-2,4,5,5,10,-1,-1,5,
5,4,4,5,5,5,5,-1,4,5,10,-1,4,4,4,10,1,6,-1,4,-1,4,5,10,-1,4,5,10,-1,4,
-1,4,-2,4,4,10,-1,4,5,6,-1,4,5,6,0,5,1,6,-1,4,-1,4,-1,4,5,10,-2,4,-2,4,
0,-1,4,0,5,-1,4,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,4,6,6,4,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,9,6,6,6,6,6,6,6,6,6,6,6,6,6,1,10,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,4,-1,4,-1,
4,-1,4,-1,2,-1,1,-1,0,-1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-1,-1,4,-1,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_bold_28_latin_ext_w[560]={ 0,5,10,13,12,23,19,5,8,8,11,14,6,8,
5,8,12,10,12,12,12,12,12,13,12,12,5,6,14,15,14,11,22,18,16,16,18,16,15,19,20,10,13,20,
16,24,18,19,15,19,19,13,16,18,19,26,19,18,17,6,8,6,12,14,6,12,13,11,14,11,11,13,14,7,
8,15,7,21,14,12,13,14,11,8,9,14,13,19,13,13,11,7,3,7,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,13,13,13,
3,11,9,19,8,13,15,8,19,14,10,14,7,7,6,15,14,5,5,7,8,13,19,19,19,11,18,18,18,18,
18,18,26,16,16,16,16,16,10,10,10,10,18,18,19,19,19,19,19,12,18,18,18,18,18,18,15,13,12,12,
12,12,12,12,17,11,11,11,11,11,8,8,9,9,12,14,12,12,12,12,12,14,12,14,14,14,14,13,13,13,
18,12,18,12,18,12,16,11,16,11,16,11,16,11,18,18,18,14,16,11,16,11,16,11,16,11,16,11,19,13,
19,13,19,13,19,13,20,14,20,14,10,9,10,9,10,9,10,7,10,7,21,13,13,10,20,15,15,16,8,16,
7,16,12,16,11,16,7,18,14,18,14,18,14,20,19,13,19,12,19,12,19,12,25,18,19,11,19,11,19,11,
13,8,13,9,13,8,13,9,16,9,16,13,16,9,18,14,18,14,18,14,18,14,18,14,18,14,26,19,18,13,
18,17,11,17,11,17,11,10,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,21,15,14,14,14,14,14,14,14,14,14,14,14,14,14,22,16,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,12,10,9,19,
12,18,14,18,14,18,14,18,14,18,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,12,26,17,18,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__times_bold_28_latin_ext_h[560]={ 0,19,10,19,20,19,19,10,24,24,11,15,9,4,
5,19,19,18,18,19,18,18,19,18,19,19,13,17,13,7,13,19,24,18,17,19,17,17,17,19,17,17,18,17,
17,17,18,19,17,23,17,19,17,18,18,18,17,17,17,22,19,22,10,3,5,13,18,13,18,13,18,18,17,18,
24,17,17,12,12,13,18,18,12,13,17,13,13,13,12,18,12,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,19,22,19,13,17,
24,24,4,19,9,12,7,4,19,2,10,15,10,10,5,18,23,5,6,10,9,12,19,19,19,19,23,23,23,22,
22,22,17,23,23,23,23,22,23,23,23,22,17,23,24,24,24,23,23,11,19,24,24,24,23,23,17,19,19,19,
19,18,18,19,13,17,19,19,19,18,18,18,18,17,19,17,19,19,19,18,18,11,14,19,19,19,18,24,24,23,
21,17,23,19,24,18,24,19,25,19,24,18,24,19,23,19,17,18,21,17,23,19,23,18,23,18,23,19,24,24,
24,24,24,23,23,25,24,24,17,17,22,17,21,16,23,18,23,24,22,12,18,24,25,24,22,22,12,23,23,22,
22,18,18,17,17,17,17,24,18,22,17,24,18,18,19,18,22,17,24,19,24,19,18,13,23,18,22,17,23,18,
24,19,25,19,23,17,24,19,24,23,23,19,17,17,23,18,22,17,24,19,24,19,24,19,23,18,25,19,24,24,
22,23,18,22,17,23,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,19,16,16,24,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,14,16,16,16,16,16,16,16,16,16,16,16,16,16,22,13,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,23,19,23,18,24,
19,24,19,24,21,24,22,24,23,24,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,26,24,23,19,24,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_bold_28_latin_ext_s[560]={ 509,178,349,54,52,218,131,379,299,410,316,
422,411,456,491,45,165,143,154,312,379,392,397,417,223,286,506,306,146,434,131,
476,208,28,140,340,101,214,329,377,182,203,107,248,269,157,121,443,313,311,120,
272,231,166,87,1,286,363,345,413,428,275,328,465,456,64,152,86,491,480,405,
365,86,357,500,48,40,228,213,32,431,461,201,77,433,116,18,492,187,47,175,
129,106,150,463,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,509,504,320,
31,466,26,349,177,497,410,402,161,418,456,357,480,360,407,371,385,484,445,367,
478,450,341,393,250,145,68,203,390,402,440,459,138,193,174,469,18,102,35,176,
303,478,300,289,402,199,331,250,290,329,52,269,303,184,353,372,391,72,119,264,
463,437,415,377,117,130,299,98,280,260,248,236,1,177,241,250,76,364,315,114,
101,88,488,186,288,453,16,1,496,13,434,448,255,33,405,193,402,462,104,1,
352,89,328,38,65,75,270,421,242,330,272,16,64,139,151,1,260,350,302,221,
340,146,174,207,246,279,489,382,47,125,353,228,349,351,292,493,382,91,167,500,
166,231,280,314,325,61,420,282,454,264,238,212,157,503,199,228,1,496,452,18,
401,287,212,418,382,476,336,282,185,362,302,55,302,18,315,61,45,156,216,382,
393,84,140,368,261,75,193,475,443,339,183,308,450,104,117,364,218,28,77,420,
249,260,102,227,87,188,203,431,40,20,163,106,92,332,121,28,257,381,47,92,
501,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,477,392,392,419,
392,392,392,392,392,392,392,392,392,392,392,392,392,65,437,392,392,392,392,392,
392,392,392,392,392,392,392,392,470,1,392,392,392,392,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,65,463,
489,55,270,430,481,325,189,1,158,242,310,460,231,439,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,
392,392,392,1,137,1,127,110,450,392,392,392,392,392,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392, };
static unsigned short stb__times_bold_28_latin_ext_t[560]={ 1,123,199,123,101,101,101,199,28,1,199,
181,199,205,199,123,123,143,143,123,143,143,123,143,123,123,143,181,199,199,199,
123,1,162,181,123,181,181,181,123,181,181,162,181,181,181,162,123,181,53,181,
123,181,162,162,162,181,181,181,77,101,77,199,205,199,199,162,199,143,181,143,
143,181,143,1,181,181,199,199,199,143,143,199,199,162,199,199,181,199,162,199,
1,1,1,199,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,1,77,77,
123,181,181,1,1,199,123,199,199,199,205,123,205,199,181,199,199,199,143,53,
199,199,199,199,199,123,123,123,101,53,53,53,77,77,77,162,77,77,77,53,
77,53,53,53,77,162,53,1,1,1,77,53,199,123,1,1,1,77,77,162,
101,101,101,101,143,143,123,199,162,123,123,123,143,143,143,143,181,101,162,123,
123,123,123,143,199,181,123,123,101,143,1,1,53,101,162,53,101,1,143,28,
101,1,101,28,143,28,101,53,101,162,143,101,181,53,101,77,143,53,143,53,
101,28,28,28,28,28,53,53,1,28,28,162,162,77,162,77,181,77,143,28,
28,77,199,143,28,1,28,77,77,199,53,53,77,53,143,143,181,162,162,181,
28,143,77,162,28,143,143,101,162,77,162,28,101,28,101,162,199,53,143,77,
162,53,162,28,101,1,101,28,162,28,101,28,28,53,101,162,162,53,143,77,
162,28,101,28,101,28,101,28,143,1,101,28,28,77,53,143,77,162,53,143,
123,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,101,181,181,1,
181,181,181,181,181,181,181,181,181,181,181,181,181,101,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,77,199,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,53,123,
28,143,1,123,1,123,1,101,1,77,1,28,1,77,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,1,1,53,123,1,101,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181, };
static unsigned short stb__times_bold_28_latin_ext_a[560]={ 101,135,225,202,202,405,337,112,
135,135,202,231,101,135,101,112,202,202,202,202,202,202,202,202,
202,202,135,135,231,231,231,202,376,292,270,292,292,270,247,315,
315,157,202,315,270,382,292,315,247,315,292,225,270,292,292,405,
292,292,270,135,112,135,235,202,135,202,225,180,225,180,135,202,
225,112,135,225,112,337,225,202,225,225,180,157,135,225,202,292,
202,202,180,159,89,159,210,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,101,135,202,202,202,202,89,202,
135,302,121,202,231,135,302,202,162,222,121,121,135,233,218,101,
135,121,134,202,303,303,303,202,292,292,292,292,292,292,405,292,
270,270,270,270,157,157,157,157,292,292,315,315,315,315,315,231,
315,292,292,292,292,292,247,225,202,202,202,202,202,202,292,180,
180,180,180,180,112,112,112,112,202,225,202,202,202,202,202,222,
202,225,225,225,225,202,225,202,292,202,292,202,292,202,292,180,
292,180,292,180,292,180,292,297,292,225,270,180,270,180,270,180,
270,180,270,180,315,202,315,202,315,202,315,202,315,225,315,225,
157,112,157,112,157,112,157,112,157,112,333,223,202,135,315,225,
225,270,112,270,112,270,190,270,160,270,112,292,225,292,225,292,
225,295,311,225,315,202,315,202,315,202,405,292,292,180,292,180,
292,180,225,157,225,157,225,157,225,157,270,135,270,211,270,135,
292,225,292,225,292,225,292,225,292,225,292,225,405,292,292,202,
292,270,180,270,180,270,180,112,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,299,315,315,202,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,224,315,315,315,315,315,315,
315,315,315,315,315,315,315,322,243,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,292,202,157,112,315,202,292,225,292,225,292,
225,292,225,292,225,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,292,202,405,292,315,202,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_28_latin_ext(stb_fontchar font[STB_FONT_times_bold_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_28_latin_ext_s[i] + stb__times_bold_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_28_latin_ext_t[i] + stb__times_bold_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_28_latin_ext_x[i];
            font[i].y0 = stb__times_bold_28_latin_ext_y[i];
            font[i].x1 = stb__times_bold_28_latin_ext_x[i] + stb__times_bold_28_latin_ext_w[i];
            font[i].y1 = stb__times_bold_28_latin_ext_y[i] + stb__times_bold_28_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_28_latin_ext_s[i] + stb__times_bold_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_28_latin_ext_t[i] + stb__times_bold_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_28_latin_ext_x[i] + stb__times_bold_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_28_latin_ext_y[i] + stb__times_bold_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_28_latin_ext_LINE_SPACING
#endif

