// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT        248
#define STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_30_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_30_latin_ext_LINE_SPACING          19

static unsigned int stb__times_bold_30_latin_ext_pixels[]={
    0x0bbba600,0x2aaa2000,0x00010000,0x01999100,0x03555100,0x00000220,
    0x88003999,0x00000019,0x00101000,0x44000040,0x10000099,0x26620000,
    0x00001999,0x100c0000,0x32200001,0x100001cc,0x00002201,0x33220000,
    0x0009800c,0x00000000,0x00000000,0x00aa0000,0x000552a8,0x00027fe4,
    0x0005ffd8,0x001ae0fa,0x0027ffec,0x1002ffe4,0x800b905f,0x4006fffb,
    0x00002fe9,0x000fffdc,0x00f54ee4,0x0000dc40,0x000027f4,0xf7000059,
    0x000fffff,0x003bff20,0x07dc2ec0,0xfffc8000,0x3f300005,0x20002e98,
    0x0002fff9,0xc80bfff9,0x3e2002ff,0x0009fd3f,0x2000bffd,0x8000effd,
    0x0005ffe8,0x00766f40,0x0006eb74,0x800013fe,0x540005ff,0x000bf64f,
    0x03ffbfe6,0x001dff00,0x3fb13fb8,0x7f7fc400,0x2744002f,0x3ffa0000,
    0x3ffa0001,0x00390002,0x0007f100,0x0002fc40,0x2666664c,0x0ffe8000,
    0x43be2000,0x100002fd,0x003ffdff,0x7d4bf600,0x7fec0006,0xff88006f,
    0xff101ffe,0xafd400bf,0x44000ef8,0x88000eff,0x20000eff,0x0000ffe8,
    0x4025c950,0x2000dd6e,0x200004f9,0x80000efa,0x005fedfe,0x13ee5fd0,
    0x000ef980,0x09fdbff0,0xdf34fc80,0x01310c00,0x03ff1000,0x4ccc4c00,
    0x1e7c4000,0x26113000,0xffb80000,0x4c180001,0xff980000,0xefc80001,
    0x200006fe,0x00bf53fd,0x3f7fe600,0x3ea0001f,0x4003febf,0x40bf53fd,
    0x36004ffe,0x0003f70f,0x20001df7,0x80000efa,0x00002fe8,0x7402d479,
    0x2e000dd6,0x76c00004,0xff500000,0xf50003ff,0x9000fa83,0x7dc0001d,
    0x22000fff,0x401f4c3f,0x00df14fa,0x0005f700,0x06f8a7d4,0x001fff80,
    0x0df14fa8,0x09ffd000,0xf14fa800,0x3f90000d,0x3fe20000,0x300001ff,
    0x002f985f,0x0bfffb00,0xd11ee800,0x217cc00f,0x079101f9,0x09d17c40,
    0x0003ba00,0x00000ed8,0x400017a2,0x801e99e8,0x2000dd6e,0x00000bc9,
    0xe8000011,0x110004ff,0x04400660,0x1fff4000,0x14402200,0x09b16c40,
    0x00057000,0x01362d88,0x40013aa0,0x001362d8,0x01ffff50,0x9b16c400,
    0x00370000,0x04eeb800,0x44022000,0xdd300001,0x6dc0001d,0x11003d80,
    0x80000620,0x90002439,0x00c80001,0x00488000,0x00b76600,0x8006eb74,
    0x000fbae9,0x2e019880,0x00000000,0x2e0180cc,0x4c0001de,0x00000301,
    0x98000000,0x00000301,0x00000000,0x3fffa000,0x0000003f,0x00006000,
    0x00000000,0x00c00000,0x0000c000,0x4c102662,0x8001aaaa,0x4cc40001,
    0x00000040,0x00000c00,0x6eb74000,0x0ee2c800,0x6ff65400,0x516e3fff,
    0x01fffffd,0x813bfff6,0xeffffdb9,0xdb80e8ac,0x5cc006a8,0xaceffffd,
    0xfdc880e8,0x31ceffff,0xbffffff9,0x4effec87,0x7ffedcc0,0x30e8acef,
    0xbffffff9,0x4effec87,0x33379710,0x7ffe4c33,0x7643dfff,0xe9804eff,
    0x9807fffb,0xdffffffc,0x277ff643,0x3f7fb6a0,0x7e4c03de,0x43dfffff,
    0x2e4effec,0x15ffffff,0x9ffffffb,0x04ffeb83,0x3bf7fb6a,0xeda8003d,
    0x003defdf,0x7dfbdfb1,0x7ffe44b3,0xdfeda805,0xb1003def,0xb37dfbdf,
    0x7ffffe4c,0x7ff643df,0x7f6d404e,0x4c03defd,0xdffffffc,0x277ff643,
    0x2001badd,0x3000ee2c,0xfea85ffd,0x3ff206cf,0x3ba206ff,0x33ffee00,
    0x1fffd711,0x801641d0,0x711cfffb,0xd801fffd,0xf300ffff,0xee807fff,
    0x67ffdc00,0x1fffd711,0x03ffff98,0x7f540774,0x7ffffd9d,0x03ffff98,
    0xad800774,0x002ffff8,0x807ffff3,0x3f6200ee,0x0f7f4c2f,0x0ffffe60,
    0xff501dd0,0xfff507ff,0x81fc409f,0x74c2ffd8,0xfd8801ef,0x0f7f4c2f,
    0x64c3ff30,0x7ffc45ff,0x0bff6205,0x4c03dfd3,0x3ff261ff,0x3ffff985,
    0xb1007740,0xefe985ff,0x7fffcc01,0x3a077403,0xd3000dd6,0x54001f77,
    0xff302fff,0xffff807f,0xc817204f,0x3ea01fff,0x0762d80f,0x807fff20,
    0x7dc00ffa,0x3fe206ff,0x026402ff,0xa807fff2,0x7ffc40ff,0x4c26402f,
    0x4f7fc7ff,0x2ffff881,0x68802640,0x401bfff2,0x402ffff8,0x3ffea04c,
    0x07fff303,0x017fffc4,0xfffe8132,0x0dfffd05,0xfffa83c4,0x07fff303,
    0x981fffd4,0x7fd03fff,0x3fe17e60,0x7fff505f,0x40fffe60,0x0bf303fe,
    0x805ffff1,0x3ffea04c,0x07fff303,0x017fffc4,0x375ba132,0x00de8800,
    0x01bffe20,0x7c01fff9,0x503ffffe,0x0bfff209,0x3a603ee0,0xffc805ec,
    0x00fb802f,0x2037ffdc,0x5c01ffff,0x0bfff204,0x3fe03ee0,0x425c01ff,
    0x7ff46ffd,0x07fffe01,0x8f200970,0x001ffff9,0xb803ffff,0x0bfff104,
    0x201fffc8,0x5c01ffff,0x3fffea04,0x0ffffa80,0xfff10970,0x1fffc80b,
    0x405fff88,0x7d41fffc,0x3e16e02f,0xfff885ff,0x0fffe405,0x5b80bfea,
    0x803ffff0,0xbfff104b,0x01fffc80,0x7007fffe,0x00aadd09,0x2002fc40,
    0x2203fffd,0x3e06fffe,0x81fffff9,0x4fffb84a,0x1a803e00,0x04fffb80,
    0xff7003e0,0xffff80df,0xfb825c01,0x03e004ff,0x7007fffe,0xd8bffd09,
    0x3ffe04ff,0x4025c01f,0x7fff40f8,0x3ffff005,0xffb04b80,0xfff9807f,
    0x07fffe06,0xfff80970,0x7ffff03f,0x3ff607a0,0x7ffcc03f,0x03fffd86,
    0x2e37ffcc,0x21600eff,0xffd85fff,0x7ffcc03f,0x0077fdc6,0x07fffe0b,
    0x3ff60970,0x7ffcc03f,0x07fffe06,0x00dd0970,0x003ff700,0xd007fffc,
    0x205ffff7,0x1fffff57,0xfffe84a8,0x2602e003,0x3a00accb,0x2e003fff,
    0x37ffdc00,0x007fffe0,0x3fffa097,0x3e02e003,0x25c01fff,0x3f62ffec,
    0x3fffe05f,0x5c025c01,0x0ffffa84,0x01ffff80,0x7ffcc25c,0xffff800f,
    0x03ffff03,0x7fe404b8,0xdfff906f,0xfff30d10,0xffff001f,0x07fffcc7,
    0x51ffffc0,0x0a03dfff,0xff317ffe,0xfff001ff,0x77ffd47f,0x3ffe0501,
    0x4c25c01f,0xf800ffff,0xfff03fff,0xe84b803f,0xffe80006,0xffff3004,
    0x7ff53601,0x7fdcf04f,0x222546ff,0x0001ffff,0x3faabb62,0xffff882f,
    0x7dc00001,0x7ffc06ff,0x4425c01f,0x0001ffff,0x401ffff8,0x47ffa84b,
    0x3fe03ffd,0x025c01ff,0x77777774,0xf804ffff,0x25c01fff,0x803fffdc,
    0xff04fffe,0x04b803ff,0x40ffffcc,0x641fffff,0x07fffb83,0x5c9fffd0,
    0xfd007fff,0x7ffc49ff,0xff801dff,0x3fffdc5f,0x24fffe80,0x1dfffff8,
    0x03ffff00,0xfffb84b8,0x9fffd007,0x007fffe0,0x000dd097,0x00ffffa8,
    0x907fffb8,0x82fffecb,0x27fffec7,0xffffa895,0x8ffe0000,0x7d40fffa,
    0x00000fff,0x2037ffdc,0x5c01ffff,0x0ffffa84,0xffff8000,0xfd825c01,
    0x80bff11f,0x5c01ffff,0xf7025404,0xff801fff,0x425c01ff,0xb007fffc,
    0x3fe0dfff,0x025c01ff,0x2a27fff4,0x745fffdd,0x07fffc80,0x64dfffb0,
    0xfb007fff,0xfffc8dff,0x3e00cfff,0x7ffe45ff,0xdfffb007,0xffffffc8,
    0x7fffc00c,0x7e425c01,0xffb007ff,0x3fffe0df,0x37425c01,0x3fffa000,
    0xfffe803f,0x7fec6b87,0xfe88f07f,0xd8952fff,0x20006fff,0x3fe66ffa,
    0x37ffec2f,0x7fdc0000,0x7fffc06f,0x7ec25c01,0xf00006ff,0x4b803fff,
    0x37f3faa0,0x1ffff802,0x07a025c0,0x03ffff88,0x200ffffc,0x6fffe84b,
    0x0ffffb00,0x7007fffe,0xffff5009,0x7ffd4ec1,0x3fa0b50f,0xffb006ff,
    0x37fff4ff,0x87fffd80,0xfffffffd,0xe8bfff02,0xfb006fff,0xfffb0fff,
    0x7c05ffff,0x25c01fff,0x8037fff4,0xff07fffd,0x84b803ff,0x98009b6e,
    0x807fffbe,0x7546fffe,0x83fffec0,0xfffff887,0x7fff44a9,0x3fe60007,
    0xd0bffe66,0x0000ffff,0x80dfff70,0x5c01ffff,0x07fffe84,0x3ffff000,
    0x32e04b80,0x3fe00099,0x025c01ff,0xfff900f5,0x1ffff80f,0x7ff425c0,
    0xfffb006f,0x07fffe0f,0x3fe00970,0x7fcd33ff,0x3a05b3ff,0xfb006fff,
    0x7fff4fff,0xffffb006,0x3fffff20,0x5fff83ff,0x8037fff4,0xf907fffd,
    0x07ffffff,0x7007fffe,0x0dfffd09,0x41ffff60,0x5c01ffff,0x00dd6e84,
    0xffff8ad8,0x3fffe402,0xfffd01f3,0x7fd41e0b,0x7e44beff,0x4c0007ff,
    0x5fffb30b,0x007fffc8,0x6fffb800,0x00ffffc0,0x3fff212e,0xfff00007,
    0xd04b803f,0x7ffc000f,0x8825c01f,0x7fd400ff,0x3ffe04ff,0x6c25c01f,
    0xfd007fff,0x3ffe0dff,0x8025c01f,0x4796fffc,0x068efffc,0x401ffff6,
    0x3f66fffe,0xffd007ff,0x7fec40df,0x3e20ffff,0x7ffec6ff,0xdfffd007,
    0x7fffec40,0xffff80ff,0x7ec25c01,0xffd007ff,0x3fffe0df,0xb7425c01,
    0xc9a2006e,0x7dc06fff,0x01e88fff,0x1e07ffff,0x4fffffb8,0x00ffffd4,
    0x7dfecc00,0x7ffd42ff,0x5c00001f,0x7fc06fff,0x41e401ff,0x001ffffa,
    0x01ffff80,0x6ffcc1e4,0x4009aaaa,0x6401ffff,0xcefffb83,0x7fff6440,
    0xfff80dff,0x5c1e401f,0xff007fff,0x3ffe0bff,0x801e401f,0x0eaffff9,
    0x133fffe6,0x007fffb8,0x7dcbffff,0xfff007ff,0xfe980cbf,0xffd33fff,
    0x3fee1bff,0xffff007f,0xffe980cb,0xffff83ff,0x7dc1e401,0xfff007ff,
    0x3fffe0bf,0xb741e401,0x98f2006e,0x2601ffff,0x02e9ffff,0x201ffff1,
    0x7fffec07,0x17fffc44,0x23bee000,0x7c42fff9,0x20002fff,0x37ffdc28,
    0x007fffe0,0xffff1079,0xfff00005,0xa83c803f,0xffffffff,0xffff00cf,
    0x0003c803,0xff00bb10,0x83c803ff,0x400ffff9,0xf02ffff8,0x3c803fff,
    0x3ffffa00,0x1ffffe84,0x03fffe60,0x45ffff10,0x400ffff9,0x322ffff8,
    0x1bffee00,0xfff301f9,0xfff8801f,0xfb80322f,0xffff86ff,0x7cc1e401,
    0x7c400fff,0xfff02fff,0xe83c803f,0x3e200dd6,0x02ffff40,0x80fffff6,
    0x1e07fff9,0x213fffa0,0x0004fffe,0x7fcc7ff6,0x4fffe82f,0x4dff3000,
    0x6c05fffb,0x16c02fff,0x004fffe8,0x02fffd80,0x7ff4416c,0x4fffffff,
    0x805fffb0,0xfd00002d,0x5fffb001,0xffb02d80,0xfff9805f,0x0bfff606,
    0x7d4005b0,0xffb80fff,0xfffd806f,0x37ffcc02,0x2017ffec,0x1e46fff9,
    0xfb9bfee0,0x0bfff603,0xc8dfff30,0x437fdc03,0x6c02fffd,0x05fffb02,
    0x206fff98,0x6c02fffd,0x00dd6e82,0x3ffea12e,0x3ffe200f,0x17ffec06,
    0xfff100f0,0x3ffff309,0x7fc49100,0x20bffe67,0x801ffff9,0x43fff248,
    0x6404fffb,0x3e203fff,0x3ffff300,0x3f209100,0x03e203ff,0x77777fcc,
    0xff907fff,0x007c407f,0x00ffcc00,0x101fffe4,0x3ffe601f,0x17ffe406,
    0x407fff90,0x7fc000f8,0x7fff105f,0x0dfff300,0x982fffc8,0x7e406fff,
    0x007642ff,0x27f49ff1,0x80dfff30,0x7642fffc,0x213fe200,0x2203fffc,
    0xdfff300f,0x02fffc80,0x880ffff2,0x0dd6e80f,0x3bbbbba0,0x404ffffe,
    0xf302fffa,0x0fc409ff,0xb827fcc0,0x74c06fff,0x26bfff23,0xf703fffd,
    0x3e980dff,0xffb97fee,0x7ffcc02f,0xf700f606,0x3e980dff,0x40dfff30,
    0x409f703d,0xfff306fc,0x0001ec0d,0x9805ff88,0x0f606fff,0x203fff50,
    0x4c03fff9,0x0f606fff,0x80bff200,0xf5000ffd,0x3fe603ff,0x3ffea03f,
    0x07fff301,0x7fd40bf9,0xa807ff61,0xff301fff,0x40bf907f,0xff981ffa,
    0x500f606f,0x3e603fff,0x7fcc03ff,0x740f606f,0x09500dd6,0x007fffdc,
    0x983fffd5,0x7d402ffe,0x409f7003,0x21befffa,0x7fdc2eb9,0xefffafff,
    0x7dfff504,0x22175cc3,0x13ffa2fe,0x8efffd40,0xf5005da8,0x5cc37dff,
    0x7ffd402e,0x40bb511d,0x0fee03fe,0x11dfffa8,0x80000bb5,0x201beffc,
    0x511dfffa,0x3fa600bb,0x0fff441f,0x1dfffa80,0x2000bb51,0x2fd406f9,
    0x07ffa600,0x3003ffd1,0xfe883ffd,0x1bff901f,0x7cc3fe88,0xfd303dff,
    0x1ffe883f,0x881bff90,0x3fea03fe,0x0bb511df,0x107ffa60,0x2a003ffd,
    0xb511dfff,0x06eb740b,0x3fe201e8,0x21d303ff,0xdfecefeb,0x3ffaa00b,
    0x04c802df,0x77ff65c4,0xfd880dff,0x1bff70cf,0x7ff65c40,0x9100dffe,
    0x007dfdbf,0xfffffe98,0x65c4003f,0x0dffeffe,0xffffd300,0xffa807ff,
    0x4fba88ab,0xffffe980,0x000003ff,0x9807dfd5,0x3ffffffe,0x77f64400,
    0x000cefec,0x7fffff4c,0x1f40003f,0x440017c0,0xefecefec,0x3b22000c,
    0x0cefecef,0x37f6b720,0xb301efdc,0x764407df,0x0cefecef,0x37f6b720,
    0x9801efdc,0x3ffffffe,0x77f64400,0x000cefec,0x7fffff4c,0x4da6c03f,
    0x7e403d40,0x101b07ff,0x00000353,0x2a2000c0,0x04010009,0x004d4400,
    0x00015310,0x00035530,0x00026a20,0x40035530,0xbceecba8,0x1aa98000,
    0x00000000,0x0006aa60,0x0000d4c0,0x00035530,0x00600260,0x000d4c00,
    0x40035300,0x000aa981,0x006a6000,0x00aa9818,0x00355300,0x0006a600,
    0x001aa980,0x00ff8800,0x027fffd4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x677ffdc0,0x7fff6440,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000004,
    0x0d544000,0x00000000,0x00001030,0x00020000,0x00000000,0x00062000,
    0x00026000,0x00001030,0x01010000,0x10000000,0x40744013,0x0000004b,
    0x20080000,0x98350008,0x06008000,0x0c066000,0x00000000,0x3ffee000,
    0x5ff10000,0x3ae013fa,0xa8017440,0x00001fff,0x0003fffa,0x001fff20,
    0x137ffd50,0x3ffee00d,0x02fff980,0x01ae0fa0,0xb00bfff0,0x00000dff,
    0x2003f736,0x5004fff8,0xeb8007dd,0x005a8bef,0x001bff60,0x7fccbfe6,
    0xffe80002,0x3bf91005,0xcaabec80,0x7c40000f,0x3ee003ff,0x1d7000ff,
    0x74c00fa8,0x00e9beff,0x06d84e80,0xfffdb980,0x00e8acef,0x002fff40,
    0x03e881d7,0x001ffe80,0x37cd7ee0,0x3ea3dd00,0x27fdc006,0xfffa8000,
    0x7c40004f,0x20003fff,0x3fffffff,0x4ffff880,0x400bff50,0x00bf64fa,
    0x2005ff98,0x00001ffd,0x803febe4,0x000ffffc,0x7c4013f6,0x02ffffff,
    0x5ffff300,0x95ffb800,0x88000bff,0x3f6005ff,0xffff1003,0xf70000bf,
    0xff70007f,0x47be2007,0xffd804fc,0x0006ffff,0x07fa2bf5,0x39fff700,
    0x03fffae2,0x006ff880,0x0dd30ee8,0x003ff100,0x3f70fd80,0x7e7fd400,
    0x6fb8001f,0x37fd0000,0x6c0001ff,0x000ffbef,0xfffdad98,0xbefd800e,
    0x0ff500ff,0x6fedfe80,0x002fe400,0x00001fec,0x0036ebf3,0x09fd7ff1,
    0x400ffd40,0x6fffdaca,0x337fa000,0x7fcc006f,0x0005ff32,0x7000efb8,
    0x6cc001ff,0x80000cff,0x2e0004fd,0x3fee006f,0x8e800ffd,0x001effda,
    0x17ffbfa0,0x03fff900,0x70007fd4,0xf50001df,0x0005ff7f,0x880003f7,
    0x2000fa2f,0x0005fffe,0x700007ee,0x002f445f,0x13ea5f98,0x05302600,
    0x4fa97e60,0x9800bea0,0x4001ffff,0xdd10005e,0x37f40000,0xfd8bf600,
    0x07ff5000,0x00d44130,0x7dc9f700,0x22044003,0x0ee80000,0x001ffa00,
    0xf1000004,0x1f900009,0x1ffff400,0x00018080,0x00ffff98,0x00bfff20,
    0xee8003ee,0x3ffa0000,0x0370005f,0x24473000,0x0fffa800,0x000dc000,
    0x03220320,0x3e60fa00,0x40000000,0x200e983e,0x7fec002a,0x00644005,
    0x00019100,0x400dff50,0x004c80e9,0x30009ff7,0x82e88000,0x0060006a,
    0x80019000,0x00001ffe,0x001cc000,0x54003700,0x000005ee,0x07dd9000,
    0x027ffdc0,0x064001f0,0x3ffea000,0x00000001,0x26200000,0x00000409,
    0x26a62000,0x00000180,0xfffffea8,0x9dfffb00,0x00000000,0x40000000,
    0xea880000,0x020005ff,0x017fe400,0x77eff6d4,0x0000003d,0x3f7fb6a0,
    0x000003de,0x4c2ffc80,0xdffffffc,0x277ff643,0x00000000,0xffc98000,
    0x643dffff,0x4004effe,0xfffe8000,0x0002e003,0x20010000,0x0fffffea,
    0x29dfffb0,0xffffffc9,0x77ff643d,0xfdefd884,0x3f2659be,0x43dfffff,
    0x404effec,0xffdffed9,0x64c5a8be,0x3dffffff,0x4277ff64,0x206ffffc,
    0x3f260ee8,0x33dfffff,0xbffffff9,0xfffffc87,0xffffffff,0x3ffff261,
    0x32003dff,0x7ffc0002,0x8004ffff,0xffd8002c,0x0bff6201,0x2603dfd3,
    0xfffffffc,0x04ffffff,0xe985ffb1,0x7fe401ef,0xffffffff,0xffb81fff,
    0x7ffff303,0x64c0ee80,0xffffffff,0x264fffff,0xfffffffc,0x24ffffff,
    0xffffffc9,0x7fffcc3d,0x00077403,0xff100164,0x2e0003ff,0x3effffff,
    0x0efffd88,0xff32ff98,0x3ffff203,0x203ba206,0x403ffff9,0x1ff980ee,
    0x2617ff26,0x7403ffff,0x6ffe400e,0x3fff6a0a,0x7ffff305,0x3e00ee80,
    0x3204ffff,0x9ffff105,0x13fffe20,0x260df7ec,0xf104ffff,0x88009fff,
    0x3220005f,0x01cdfffd,0x4002fc40,0xff500ffe,0x3ffe607f,0x3fffe203,
    0x9ff93312,0x207fff50,0x3603fff9,0x7fcc1bef,0x7ff504ff,0x0bfffe20,
    0x7fc40990,0xf93312ff,0xffff109f,0x3ff26625,0x4ffff884,0x05ffff10,
    0xf88004c8,0x3ffea005,0x3a20000f,0x5400ffff,0x57ff203f,0x3fe04ffc,
    0x17204fff,0x017fffc4,0x81ff4132,0xfff885f9,0x1026402f,0xe880dffd,
    0xffff105f,0x7c04c805,0x503ffffe,0x1ffffc09,0x207ffff0,0xfffd00ee,
    0x7fffc01f,0x0ffdc003,0x3ffee000,0x3ff70001,0x107fb800,0xfc80bfff,
    0x3ffe01ff,0x889f302f,0x7e405fff,0x01dd01ff,0x403ffffa,0x3fe01ffa,
    0x025c01ff,0x4c0bfffe,0x5ffff04f,0x7fc13e60,0x3ffe03ff,0x0025c01f,
    0xd800ffdc,0x80006fff,0x403ffff9,0x97fcc05b,0x3be02ffa,0x9503ffff,
    0x00ffffc0,0x0bfea12e,0xffff05b8,0x3604b803,0xf8801fff,0x07fffe05,
    0xf9f80970,0x4a81ffff,0x80bfffe0,0x1f02ffff,0x0bfffee0,0x005ffff0,
    0x0004ffe8,0x0003ffec,0x88009ffd,0xfffd82fe,0x37ffcc03,0x405ffff0,
    0x1fffec4c,0x41bffe60,0xffff700f,0x2027e405,0x5c01ffff,0x17fffc04,
    0x3ffe0990,0x7c13202f,0x3fe02fff,0x025c01ff,0x8027ff40,0x0007fffe,
    0x01ffffb0,0x022007e2,0xff9f8011,0x04a81fff,0x7007fffe,0x01dff709,
    0x1ffff82c,0xffb825c0,0x816e005f,0x5c01ffff,0xfffabc04,0xf02540ff,
    0x7fc05fff,0x220b02ff,0xf805ffff,0x2a002fff,0x0000ffff,0x4001bffa,
    0x000ffffa,0xff3176c4,0xfff001ff,0x3fffe07f,0x7cc931c2,0xff800fff,
    0xf10583ff,0x2e20bfff,0xffff804f,0x3e025c01,0x931c2fff,0x70bfffe0,
    0xffff824c,0x07fffe02,0xfa800970,0xfc800fff,0x100007ff,0x3209ffff,
    0x55555104,0x40aaaaa2,0x1fffff57,0x3ffe04a8,0x5425c01f,0x0501efff,
    0x7007fffe,0x5ffff109,0xff024400,0x04b803ff,0xdffff73c,0x3ffe04a8,
    0x3fffe02f,0x3ff60102,0xfff800ff,0x3ffa002f,0xf10003ff,0x3a0009ff,
    0x0003ffff,0x3ffee7d3,0x9fffd007,0x98bfffe0,0xffff70c5,0x13fffa00,
    0x7fffec02,0x2001bb00,0x5c01ffff,0x17fffc04,0xfff018b3,0x4062cc5f,
    0x3e02ffff,0x25c01fff,0x3ffffa00,0xffffa803,0xff900001,0x406981ff,
    0x3ee6fffa,0x7dcf06ff,0x02546fff,0xb803ffff,0xfffff884,0xffff001d,
    0xfa84b803,0x00001fff,0x7007fffe,0x7fec7809,0xf812a4ff,0x3fe02fff,
    0x3ea002ff,0xff003fff,0x3a6005ff,0x0007fffb,0x0005fff5,0x0ffff7d3,
    0x7e47d900,0xffb007ff,0x3fffe0df,0xffc816e2,0xfffb007f,0x3ffea00d,
    0x0fb2203f,0x007fffe0,0xffff8097,0x7fc016e2,0x4016e2ff,0x3e02ffff,
    0x25c01fff,0xfff7d300,0xffff100f,0x3e200005,0x01744fff,0x3fe37ffc,
    0xffd8f06f,0xf812a4ff,0x25c01fff,0xffffffc8,0x7fffc00c,0x7e425c01,
    0x00000fff,0x7007fffe,0x7f447809,0x40952fff,0x3e02ffff,0xf1002fff,
    0x7c00dfff,0x5b002fff,0x005ffff1,0x003fff70,0xffff15b0,0x217ec005,
    0xb006fffe,0x3fe0ffff,0x40bd12ff,0xb006fffe,0xf100ffff,0x3200dfff,
    0x7fffc03f,0x3e025c01,0x0bd12fff,0x44bfffe0,0xffff005e,0x0ffffc05,
    0xad8012e0,0x802ffff8,0x0004fffe,0x47fffee0,0xdffd005a,0x8f06ffe8,
    0x52ffffe8,0x0ffffc09,0xffd812e0,0x202fffff,0x5c01ffff,0x07fffd84,
    0x7fffc000,0x1e025c01,0x27ffffe2,0x3fffe04a,0x0bfffe02,0x0ffffe40,
    0x05ffff00,0x7ffe4d10,0x7ffd8006,0x3f268800,0xff7006ff,0x06fffe81,
    0x20ffffb0,0xffddffff,0x1bfffa05,0x03fffec0,0x00ffffe4,0x3e01ffa8,
    0x25c01fff,0x377fffe0,0xfff005ff,0x00bffbbf,0xf80bfffe,0x25c01fff,
    0x3ff26880,0xfff9806f,0x8048801f,0x1e8dfffe,0xe8dffd00,0xf10f06ff,
    0x0953ffff,0x200ffffc,0x7ffe404b,0xff03ffff,0x84b803ff,0x0007fffe,
    0x00ffffc0,0x2a0f012e,0x04beffff,0xf80bfffe,0xf9802fff,0x7c005fff,
    0x3c802fff,0x007fffe6,0x000bffd0,0x7fffcc79,0xd87fd801,0xfd007fff,
    0x3ffe0dff,0x205feccf,0xd007fffd,0xf980dfff,0x2a005fff,0x3ffe03ff,
    0x2025c01f,0xfeccffff,0x9ffff005,0x3e00bfd9,0x3fe02fff,0x025c01ff,
    0x3ffe63c8,0xfffb801f,0x401f4c06,0x04dffffa,0xfd1bffa0,0x7d41e0df,
    0x204befff,0x5c01ffff,0xfffd8804,0xfff80fff,0x6425c01f,0x33207fff,
    0x83cccccc,0x5c01ffff,0xff703c04,0x7fc09fff,0x3ffe02ff,0xfffe802f,
    0x7ffc000f,0x207c402f,0x2005fffe,0x4004fff8,0x7fff40f8,0x40ffd805,
    0xf007fffb,0x3fe0bfff,0x40bd12ff,0xf007fffb,0xfe80bfff,0x2e000fff,
    0x3ffe03ff,0x201e401f,0xbd12ffff,0x4bfffe00,0xfff005e8,0x7fffc05f,
    0x4401e401,0x2ffff40f,0xbefffa80,0x800bae61,0x000ffffe,0xffd1bffa,
    0xffb81e0d,0x3fe04fff,0x41e401ff,0xffffd301,0x03ffff07,0xfffa83c8,
    0x3ffe600f,0xffff01ff,0x3c03c803,0x13ffff60,0x202ffff8,0x5c02ffff,
    0x0c03ffff,0x2017fffc,0xffffa84b,0x5fff3000,0xfa84b800,0x7e400fff,
    0x7fffcc2f,0x7fffc400,0x45ffff02,0x3ffe605a,0x7ffc400f,0x3ffee02f,
    0x3f20c03f,0x3fffe02f,0x3e01e401,0x016a2fff,0xb517fffc,0x0bfffe00,
    0x401ffff8,0xa84b803c,0x1000ffff,0xffdffd97,0xffa8001b,0x7ff4006f,
    0x7837ff46,0x27fffec0,0x803ffff0,0x2e00c83c,0xfff86fff,0x441e401f,
    0x6402ffff,0x3fe05fff,0x01e401ff,0x3fffa01e,0x0bfffe04,0x202ffff8,
    0x406ffff8,0x2ffff83a,0x77777740,0x004ffffe,0xd000fff3,0xffdddddd,
    0xffb809ff,0x02fffd83,0xf037ffcc,0x42c45fff,0x00bfff63,0x440dfff3,
    0x5406ffff,0xb00fff43,0x2d805fff,0x117fffc0,0xffff070b,0x7c1c2c45,
    0x3f602fff,0x016c02ff,0x77777774,0x0004ffff,0x400013d1,0x4006fffa,
    0x7ff46ffe,0xffd00f06,0x7ffec09f,0x1e416c02,0x361bfee0,0x16c02fff,
    0x403fffe8,0x3605fffc,0x16c02fff,0x3fe201e0,0x3fffe04f,0x0bfffe02,
    0x01ffffd8,0x7fffc174,0xfb812a02,0xf9800fff,0x0254005f,0x401ffff7,
    0xff983ffa,0x7ffe406f,0x0bfffe02,0x3fe65885,0x7ffe406f,0x3ffff602,
    0x3fa17401,0x1fffe407,0xff801f10,0x162142ff,0x850bfffe,0x2ffff858,
    0x80ffff20,0x025400f8,0x001ffff7,0x0001df90,0x0037ffd4,0xffd1bff6,
    0x3e201e0d,0x3ff204ff,0x203e203f,0x3fe200ec,0x03fffc84,0x7fc403e2,
    0x3ff200ff,0x3fff205f,0x8803e203,0x4ff9801f,0x80bfffe0,0xf502ffff,
    0xf9809fff,0x02ffff81,0xfff8807a,0x1ff9803f,0xf100f400,0x7cc07fff,
    0x3fff501f,0x00fffe60,0xc805ffff,0x80fffd43,0x2a03fff9,0x4c04ffff,
    0x203fe41f,0x3606fff9,0x2ffff803,0x7ffc1e40,0x7c1e402f,0x3e602fff,
    0x00f606ff,0xfff8807a,0xff98003f,0x3fea0002,0x7fe4006f,0x21bffea7,
    0xff9801f8,0x1bffe604,0x0bf903d8,0x7cc0ffd4,0x00f606ff,0x640bfff3,
    0x3e605fff,0x00f606ff,0x3ee007f5,0x0bfffe04,0xd02ffff8,0xfa80dfff,
    0x2ffff80f,0xff900f50,0x267ae0ff,0x03d4004f,0x903fffe4,0xffe9809f,
    0x00fff441,0x701ffffc,0x3ffd305f,0x401ffe88,0x5406fffe,0x17f440ff,
    0x477ffea0,0xff005da8,0x17dc07ff,0x701ffffc,0x5ffff05f,0x1dfffa80,
    0xf500bb51,0x0ffff900,0x0007fe00,0x007fffb8,0x7667ffd4,0x3fa87ffe,
    0xa809f700,0xb511dfff,0x06ffe40b,0xfa80ffa2,0xbb511dff,0x33ffa600,
    0x05fffc81,0x88efffd4,0x3faa05da,0x4c802dff,0x09ffff10,0x213fffe2,
    0x882ffffc,0xf887ffd9,0xff884fff,0x7fffd400,0x05cbfe84,0x2007fc40,
    0x4c4ffffa,0xd91004fd,0x19dfd9df,0xbffff100,0x0fff54c1,0xecefec88,
    0x7e400cef,0xd9882fff,0x9fb107ff,0x7fff4c01,0xf1003fff,0x54c1bfff,
    0x7fc41ffe,0x3aa60dff,0x7ffc41ff,0xffe9804f,0x8803ffff,0x7fd400ff,
    0x3b2004ff,0x7e40002e,0x64000fff,0xffe8dfff,0xfffea8df,0x804c802d,
    0xffffffe9,0x7ed6e403,0x801efdcd,0xffffffe9,0xffea8003,0x1cefecce,
    0xffffd300,0x000007ff,0x7ff64418,0xd912cfff,0x259fffff,0xfffffff9,
    0xffffffff,0x3fffb227,0xfff72cff,0xfec8819d,0x260dffff,0x7dc001dd,
    0x6440ceff,0x0dfffffe,0x4c000155,0x3b22001a,0xffffffff,0x000fffff,
    0x7cc00353,0xffffffff,0x07ffffff,0xa9800d44,0xfd91001a,0xffffffff,
    0x3221ffff,0xfffffffe,0x10ffffff,0x9fffffd9,0x06aa6005,0x677ffdc0,
    0x7fff6440,0x00000dff,0xfffdb880,0x2002beff,0x00000098,0x554c0018,
    0x55303001,0x2aa60001,0x53100001,0x98000133,0x000001aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x3ffe0000,0xffffffff,0x200fffff,
    0x00000001,0x200e664c,0x53040998,0x26003555,0xdffffffc,0x6ffff644,
    0x98800000,0x53000000,0x22000155,0x26000000,0x360004cc,0x000003ee,
    0x4c002000,0x4040000b,0x40000000,0x2cc00000,0x000402d8,0x404d4c40,
    0x7fffe4c1,0xffffffff,0x0002204f,0x03332200,0x01f76c00,0x00333220,
    0x01220360,0x01ae0fa0,0xff115bff,0xff9311ff,0x007ff601,0x001fffa8,
    0x8813ff60,0x9befdefd,0x17fff225,0x7ffff300,0x2e00fe80,0x8817ee5f,
    0x00beddfd,0x17ff6000,0xc82f8800,0x7ff40005,0xffa8002f,0x2e0000ff,
    0x88001fff,0x6ffa802d,0x27fd1000,0x5c003fe8,0x6dc000ef,0x400174c0,
    0x06dbabde,0x4c000da8,0xefedffed,0xff105c8b,0x326625ff,0x07e604ff,
    0x320009b1,0xa8005fff,0x2000ffff,0x8005fffc,0x3ea88adb,0x324fa800,
    0x2227c02f,0x7d40ffff,0x04fff980,0x0007ff60,0x2604ff88,0x3ff261ff,
    0x02fffc45,0x017fffc0,0x3fff01b2,0x3e207ffe,0x0013f20f,0x002ffc40,
    0xfe89fdc0,0x3fee0001,0x7c4006fe,0x0004fedf,0x20007ffa,0xff7002fb,
    0xff50001f,0x001bfeaf,0xf0009fff,0x0017ea1d,0x1fffffd4,0x9003f980,
    0xff701bff,0x7fffc0bf,0xc809f302,0x001fd12f,0x3ffdff10,0x76ffc400,
    0xdff1004f,0xf88003ff,0x000fffff,0x0dfdbfd0,0xfff881f0,0xff00f80f,
    0x3fe2005f,0x27d40002,0x7cc0ffa0,0x005fff85,0x402ffff8,0x87fec04b,
    0x89f907fe,0x80000ffc,0x100005fa,0x009fdbff,0xfc8ffc40,0x453ee003,
    0xf88000fe,0x3fa8001f,0x013fe200,0xf8a7fc40,0x7ff4003f,0xcffb8003,
    0x2a0001ff,0x5c003efe,0x3ffa202f,0x02ff4405,0x6405ffff,0x7e7fc404,
    0x7fb0003f,0xfc8017ea,0xb001fd14,0x0017ea7f,0x00bbffaa,0x1ffff980,
    0xfff88580,0x9300c80f,0x017d4005,0x2a02ec00,0x216e02ff,0xf8005fff,
    0x25c02fff,0x402a0540,0x07fdc6fe,0x0076c000,0xffff7000,0x07640001,
    0x17c401ee,0x7dc0026c,0x07f98001,0x10000100,0x7b300010,0x7fff4000,
    0x00100004,0x6c07fe20,0xf8800fff,0x0bfffe05,0x7e4024c7,0xf30006ff,
    0x8802f985,0x4c04d82f,0x000fcc2f,0xb00001a8,0x44000bff,0x0000ffff,
    0x0002a800,0x3bfee000,0x3ffe1600,0xffff8005,0x00025c02,0x2a1ffec0,
    0x00300000,0x0fffa000,0x04c01000,0x4000c000,0x7fd0002b,0x0c066000,
    0x00000000,0x07ffd400,0x00018000,0x3fee1bf2,0x816e005f,0x1662ffff,
    0x5fff1003,0x44022000,0x40180001,0x00031008,0x03013531,0xf1000000,
    0x26001fff,0x2001aaaa,0x55554000,0x2aaaa2aa,0x03dfff50,0x4d7ffe0a,
    0x7ffc01cb,0x5425c02f,0x2a2aaaaa,0x3fee0aaa,0x000000df,0x00000000,
    0xaa800000,0x2aa2aaaa,0x000000aa,0x9800ffd4,0xceffffdb,0xff930e8a,
    0xc87bffff,0xb884effe,0x19999bdc,0x54000000,0x3defdfed,0x88bfe600,
    0x2002ffff,0x3fffe048,0x000016e2,0x20000000,0x999bdcb8,0x40000019,
    0xffdffed9,0xff85a8be,0xffffffff,0x00ffffff,0x007fffc4,0x04fffc88,
    0xe9800b20,0x3661efff,0x3fffe24f,0xfff801df,0x06ffffcd,0x700bfffe,
    0xdfffd309,0x6427ecc3,0x0001ffff,0x3fffff2a,0xffffffff,0x3fff664f,
    0xdeefffff,0x7fffdc03,0xfd883eff,0xffd30eff,0x27ecc3df,0xffffffb3,
    0x007bddff,0x3ee00ffd,0xfd711cff,0xfff981ff,0x4077403f,0xffc9dffa,
    0x3ff6a7ff,0xceefffff,0xffb1000a,0x01efe985,0x7fd4dff0,0x200000ff,
    0xbd12ffff,0x7fffe4c0,0xffffffff,0x3ffb264f,0xfb74dfff,0x459fffff,
    0xffc9dffa,0x7ffec7ff,0x3ff20007,0x3ff6a0ad,0x8adff85f,0x988ffff8,
    0x7c400ffc,0x22000fff,0xf1004fff,0xfff9800b,0xffc85b86,0x200cffff,
    0xe98cffff,0xffff04ff,0xf304b805,0x20b70dff,0x02fffff9,0x7fefd400,
    0xfca999ef,0xffff984f,0x3dffd510,0x7ffff440,0x4c1fd400,0x05b86fff,
    0x221ffff3,0x501effea,0xff900dff,0x07fd403f,0x00bfffe2,0x1fff3099,
    0x540cf7fc,0xca9affff,0x7d403fff,0xfff303ff,0x25ffd007,0x0007fffc,
    0x6effffc0,0xff8805ff,0xf93312ff,0xffff109f,0x3fffee09,0xf07ffcc1,
    0xfff033df,0xffd1000f,0x85fe880d,0x7fffc44f,0x22007d40,0x2000ffff,
    0x7004fff8,0xfe8003ff,0xd81640ff,0x2fffffff,0xfb8dfff0,0xffff81ff,
    0xfd025c02,0x882c81ff,0x3ffffbbe,0x3ef36000,0x09f306ff,0x881ffff1,
    0x2600ffff,0x5c03ffff,0x03fffa05,0x3ffe2059,0x7fffc40f,0x405ffb80,
    0xb802fffc,0x1ffff80f,0x7fec25c0,0x881ffec6,0x7e40ffff,0xfff105ff,
    0x1fffc80b,0xfd9ffec0,0x400007ff,0xfeccffff,0x5ffff005,0x7fc13e60,
    0xfff303ff,0x46ffd81f,0xffb03ffd,0xfffb000f,0xf0bf1003,0x0ffff881,
    0x7fc400f8,0x3e2000ff,0xffd004ff,0xfffa8009,0x3ff20343,0xf83fffff,
    0x7ffcc5ff,0x02ffff83,0xfff5025c,0x26e88687,0x002fffe9,0xfffb8f98,
    0x7fc13206,0xfffc80ff,0x7fffec03,0x5403f100,0x20343fff,0xfc80ffff,
    0x5ffc83ff,0x013ffee0,0xffff80f8,0x7f425c01,0x82ffec5f,0xc80ffff8,
    0xffd84fff,0x7ffcc03f,0xea7fec06,0x00006fff,0xe897fffc,0x5ffff005,
    0xffe82640,0xffff302f,0xfd8bffd0,0x0fffb05f,0x05fffb80,0x221616e0,
    0x0c80ffff,0x07fffc40,0x09fff100,0x01ffff50,0x2a7ffe80,0xfffd8804,
    0x7ffc0fff,0x427ffc45,0x5c02ffff,0x53fff404,0xfb09f509,0x25d000bf,
    0x31c6fffb,0x03fffe09,0x101bffea,0x3209ffff,0x27ffe804,0x7fffc04a,
    0x86fffa80,0x3fa05ffd,0x02e003ff,0x7007fffe,0xd8dffb09,0xfff104ff,
    0xffff101f,0x07fffcc3,0x01ffffc0,0x3ff2bff9,0x3333207f,0xff83cccc,
    0x4016a2ff,0x31c2ffff,0x0bfffa09,0x6c3fffcc,0x27fec6ff,0x2007ffd8,
    0x002ffff8,0x7fc40122,0xf10000ff,0x44001fff,0xfe804fff,0x5c003fff,
    0x301b2fff,0x3ffffa60,0x7c2fffc3,0xffff86ff,0x2e01e402,0x901b2fff,
    0x03ff60df,0x3fee5b80,0x7c062c6f,0xffb80fff,0xfffc806f,0xb8034c0f,
    0x801b2fff,0xfb80ffff,0x4ffe86ff,0x03ffff10,0x3ffff000,0xffa84b80,
    0x8817fec7,0xfd00ffff,0x7ffdc7ff,0x9fffd007,0xfbb7fe40,0x3e600fff,
    0xff01ffff,0x1c2c45ff,0xb317fffc,0x5fffd018,0x21fffe60,0x7fec7ffa,
    0x22fffb02,0xffa80bcb,0x000001ff,0x001ffff1,0x03fffe20,0x04fff880,
    0x3fffdf4c,0x3bffe200,0x5c019068,0x7ffc6fff,0xd85fff85,0x16c02fff,
    0x23bffe20,0x10bff706,0x3e2001ff,0x89bffee0,0x1ffff007,0x00bfff90,
    0xe89ffff1,0xdfff1002,0xffff00d1,0x0bfff901,0x3ea0bffb,0x80000fff,
    0x5c01ffff,0x223ff904,0x3fe205ff,0xfff900ff,0x03fffe4b,0x206fffd8,
    0xfff36ffc,0xfffc803f,0x0bfffe05,0xfff85885,0x74016e2f,0xff302fff,
    0x47ff20ff,0x3f605ff8,0xefffe9ff,0x07fffe40,0xff880000,0xf10000ff,
    0x44001fff,0x56c04fff,0x002ffff8,0x816fffe4,0x37fdc03c,0xff117ffe,
    0x7fff909f,0x64007c40,0xf102dfff,0x06f81dff,0xfff70f60,0x7c01f62d,
    0x7fc40fff,0xff7000ff,0x0016a3ff,0x005bfff9,0xf881ffff,0xffc80fff,
    0x0dfffb05,0x3fffe000,0xd3025c01,0x8807df9f,0xf700ffff,0x7fff4fff,
    0xffffb006,0xfb2ffec0,0xffc807ff,0x3fffe05f,0x7fc1e402,0x00bd12ff,
    0x4c0bfffa,0x3a607fff,0x6c03efcf,0xff99efff,0x3fffec4f,0xff100000,
    0x220001ff,0x2001ffff,0x2204fff8,0x01bfff26,0x01ffff10,0xff8803b2,
    0x222fffc4,0xff982fff,0x009b00ef,0x803fffe2,0xf32ffffb,0x2e1aa003,
    0x7ffdffff,0x35ffff00,0x03dfff73,0x8dfffe80,0x7fc4001e,0xfff800ff,
    0xfffb99af,0x0bff701e,0x001ffffa,0x00ffffc0,0x99cb812e,0xffff1000,
    0x3fffea01,0x00dfffd1,0xd81ffff6,0x3ffe23ff,0x2fffe407,0x407ffff0,
    0xffff82fb,0xd005ffdd,0xdddddfff,0x40ffffdd,0xb00099cb,0x7ff41fff,
    0x03ffff45,0xfff10000,0x3ea0001f,0x22002fff,0x8f204fff,0x001ffff9,
    0xf9027fec,0x20ffd40b,0x7fdc6fff,0xbfff700f,0x00db5115,0xa804ffd8,
    0x01ecffff,0x333337a0,0xfdaefffd,0xdffff007,0x005fffff,0x37fffea0,
    0x9ffb0004,0x3bfffe00,0x402fffff,0xff906ffa,0x3e0000ff,0x25c01fff,
    0xf10007e8,0x3ea01fff,0xfffb2fff,0x3fffa00f,0x50bffa06,0x7e407fff,
    0xfff105ff,0x7f54c1bf,0xcffff81f,0xfd005fec,0x555559ff,0x3a0ffff9,
    0xfffb0007,0x7e46ffd8,0x333207ff,0x403ccccc,0x000ffff8,0x7ffffe4c,
    0xff8801cf,0xe81f104f,0x4c005fff,0x3ff201ff,0x41ff440d,0xe98dffff,
    0x7f5402ff,0x002effff,0x3001ff98,0x400bffff,0xc99999cc,0x01ee6fff,
    0x7c47fffc,0x20005fff,0x000ffffe,0x2003ff30,0xff88ffff,0x7fe805ff,
    0x03ffff50,0x3ffff000,0xff983c80,0x009aaaad,0x403fffe2,0xf70ffffb,
    0x3fe00fff,0x1ffe05ff,0xc827fec4,0x76445fff,0xffffffff,0xf80fffff,
    0x0bd12fff,0x40bfffa0,0xf987fff9,0x09aaaadf,0xfb1fff60,0xffffa8ff,
    0x3fffe600,0xfff8801f,0x0000000f,0x209fff10,0xffffa84b,0x20374000,
    0xdcdfdadc,0xbfff01ef,0x007dfff5,0x000fecc4,0xd1001ba0,0xd3009fff,
    0x1bffee01,0x3fffe00f,0x05ffff70,0x1bffea00,0x400dd000,0xff70ffff,
    0xffb805ff,0x2ffff881,0xffff8000,0x7d41e401,0xffffffff,0xffff880d,
    0x4ffff900,0x400ffff9,0x102ffff8,0xfda807ff,0xceffdcef,0x0fd40001,
    0xa8bfffe0,0x5fffd005,0x21fffe60,0xfffffffa,0xffd80dff,0x223ffec7,
    0x6402ffff,0xf1005fff,0x40001fff,0xf88003d9,0xdddd03ff,0x9ffffddd,
    0x0c03b800,0x3e0057cc,0x000665ff,0xb80006e8,0xfff90003,0x2e02e801,
    0x142c6fff,0xfb07fffc,0x50001fff,0x8000dfff,0x3ffe003b,0x3ffff60f,
    0xe827fc00,0x80004fff,0x6c02fffd,0xffffe882,0x885fffff,0xfb00ffff,
    0xfffd8bff,0x37ffcc02,0x9800ff70,0x000099bf,0xff009f50,0x1c2c45ff,
    0x9817fff4,0xfe887fff,0xffffffff,0x6c7ffd85,0xfffe87ff,0x2fffe403,
    0x0ffff880,0x0bff6000,0x20fffe00,0x3ffee04a,0x0036000f,0xf003bee0,
    0x20000bff,0xd80007fb,0x5c5e8800,0x016e02ff,0x428dfff7,0x0ffff858,
    0x01bfffe2,0x01bffea0,0x7c001b00,0x3fe20fff,0x7fd406ff,0x1ffff980,
    0xff904880,0x807c407f,0xfeeeeff9,0xfff887ff,0x3ffff00f,0x406fff98,
    0x3a02fffc,0x77dc002f,0x7ec00000,0x2ffff805,0x3fa16214,0xfff302ff,
    0x3bbfe60f,0xd87fffee,0x3ffec7ff,0x007fffc4,0x200bfff9,0x000ffff8,
    0x2013b6a0,0x05fff1d9,0x7ffc403d,0x265f903f,0x7fd30004,0x005fff80,
    0x007ff500,0x004997e4,0x7fc43ff9,0xb801f101,0x26406fff,0x2a07fffc,
    0x4003ffff,0x2006fffa,0x800932fc,0x7d40ffff,0x7d403fff,0x0dfff703,
    0xff303e98,0xb81ec0df,0x21bee05f,0xb80ffff8,0xff504fff,0x3ffe603f,
    0x000fea03,0x0000ffa2,0xf805ff70,0x1e402fff,0x9817fff4,0x5fb87fff,
    0x3f61bee0,0x83ffec7f,0x3205fff9,0xf1005fff,0x00003fff,0x29f90039,
    0x03d40ffe,0x443fffe4,0x000396ff,0x3fe00ff4,0x3a00005f,0x2200beff,
    0x200396ff,0x1fe20ff9,0xffb804d8,0x20bee06f,0xfc81ffff,0x2e001fff,
    0xf1007fff,0xf00072df,0xff903fff,0x1fb803ff,0x37dfff50,0x2a0175cc,
    0xb511dfff,0x501ff40b,0xffff107f,0x0dffe883,0x107ffa60,0x7cc03ffd,
    0x07fa0003,0xfff10000,0x3fffe059,0x3e0bee03,0xff303fff,0x03fe81ff,
    0x3ff60fea,0x303ffec7,0xf9039ffd,0x3ea00bff,0x40002fff,0x1bf5002a,
    0x0ff885ff,0x27fffd40,0x0026fff4,0x4c03eec8,0x00006fff,0x0033fae2,
    0x8009bffd,0x1fea8bfd,0xf9007f90,0x6d443fff,0x7ffcc1ff,0xffffd02f,
    0x3fff2001,0xbffd000f,0xfff98009,0xffffd02f,0x102d9801,0xffdffd97,
    0x3fa6001b,0x403fffff,0xa889bffa,0xfff303fb,0x3ffea27f,0xdfd91003,
    0x4019dfd9,0xd90001da,0x2000007b,0x440dffc9,0x260dffff,0x7c41ffea,
    0xff704fff,0xbffa83ff,0x03fba889,0x7fc1fffd,0x7f5400ff,0xcefeccef,
    0xfffc9801,0x8001cfff,0xbdca8001,0x677ffdc1,0x7fff6440,0x37260dff,
    0x98000001,0x01ceeeed,0x93000000,0x2e60003b,0xfe880bcd,0x6dcc1dff,
    0xffffffff,0x930fffff,0x59fffffd,0x3fffff98,0xffffb710,0xc98057df,
    0x3b26001d,0x42cfffff,0x03fffff9,0x13510008,0x1aa98000,0x3b72e200,
    0xfc980abd,0xefffffff,0x54c0002d,0x00002001,0x00000000,0xfffffd91,
    0xffffffff,0x3fffb221,0xff953cff,0x4439ffff,0x0abdedcb,0x1dffffb0,
    0x01dffffb,0x0266a620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02800000,0x3330000a,0x1b880000,0x3ddd3000,0xffffec98,0x130004df,
    0xffb30220,0xddffffff,0x0100007b,0x3ffffaa0,0xdfffb00f,0x3ffff269,
    0x20004dff,0x55544004,0x0ffffd01,0xfffec980,0x7ed42dff,0x4401dfff,
    0x09999999,0x02aaa600,0x4cccc400,0x20000999,0xfe980080,0x800805ff,
    0xa800c429,0x20910002,0x883b8039,0x2607600e,0xfeeca806,0x02dfffff,
    0x80000808,0x88000080,0x64003fff,0x44005b84,0xcdccdeeb,0x7f40002b,
    0xffd8001f,0xffff105f,0x077fe409,0xff70bff2,0x1ffff307,0x07bffaa2,
    0x013fa200,0x06ffffc8,0x3e203ba2,0x40004fff,0x7fdc006c,0x03fffc06,
    0x4ffff880,0x800f7e40,0xfffffffd,0x1ffec005,0xffffc800,0x50006fff,
    0x03fea3ff,0x40bfff10,0xfb103fe8,0x005b39ff,0x20009ff7,0x03f531cd,
    0xd7559f10,0xaacfa809,0x3f6203ec,0x7f13ffff,0x227fd100,0xd30003fe,
    0x00d137df,0x009ff500,0xffbbff10,0x33f62003,0x000f6400,0x001fffc4,
    0x0bff3fe6,0xd01ffffc,0xdfff01ff,0xf886ffe8,0x7fc40fff,0x7dc000ff,
    0x3fe000ff,0x17204fff,0x002ffff8,0xd001be60,0xffe801df,0x3ffa0007,
    0x037e203f,0xfffffd80,0x744005ff,0xff90006f,0x00dfffff,0x7ed3ff60,
    0x5fff803f,0x541fff20,0x0fffffff,0x006ffd80,0xdfffff50,0x7fffec00,
    0xfffe801f,0x7fff407f,0x03f13fff,0x3eafff50,0xfff0006f,0x0007ffff,
    0x40009fb0,0x005ffffd,0xe9800bf3,0x0ffd8001,0xf98ff400,0x05fffd06,
    0x7f407fe6,0x827fec4f,0xfc80ffff,0x7cc003ff,0x7f7c007f,0x09503fff,
    0x0017fffc,0x2006ff98,0xfd800ef8,0x3fa0007f,0x07d303ff,0x20000000,
    0x00001fe8,0x3fea0000,0xf003ff71,0x7fd40bff,0xff933b06,0x3fea007f,
    0x3fee0003,0x2e2001df,0x91002dff,0x7dc039ff,0x13ffffff,0x9ff1001f,
    0x2000ffe2,0xefffdad9,0x27c40000,0x0ee4c000,0x0003fa80,0x010001d1,
    0xe881d500,0x02fffe82,0x5e4403f9,0xf805dc40,0xffa80fff,0x1ca8006f,
    0x7ffcfc00,0x204a81ff,0x8002ffff,0x1aaefffa,0xd80075c0,0x3a0007ff,
    0x2fa83fff,0x00030000,0x0000fa20,0x81100000,0xbfff0008,0x0100ba80,
    0x00110003,0x00006a00,0x00220001,0x3ffffff6,0x4001f13f,0x11000080,
    0x300002a8,0x00000007,0x700013e2,0x9a988007,0xd0000180,0x06e05fff,
    0xfff00000,0xdfff701f,0xbc000000,0x40fffffa,0x3fffe04a,0x7ffd4002,
    0x2205ffff,0x3ff60008,0x2aaaaa27,0x87fffd00,0x2a0001ec,0x3defdfed,
    0x80110800,0xffffffc9,0x77ff643d,0xf0000004,0x00000bff,0x00000000,
    0x00000001,0xffffd000,0x03e27fff,0x00000200,0x00000002,0x2f72e200,
    0x6e819999,0x26272e20,0x6cc0242a,0xbeffdffe,0x555305a8,0x7fff4035,
    0xaaa88002,0x5555511a,0x203fffe0,0x3205fffc,0xffffffff,0xf01fffff,
    0x237fffdc,0x3fffe04a,0xdffd0002,0xf32ff980,0x3ffec03f,0xe80b7fea,
    0x1bb13fff,0x3ff62000,0x00f7f4c2,0xff997fcc,0x3fffe601,0x2e077403,
    0x3effffff,0x0efffd88,0x3262fffc,0x3dffffff,0xffffff93,0x3fff267b,
    0xffffffff,0x164004ff,0xffff9300,0x3f267bff,0xffffffff,0x3fa4ffff,
    0x13ffffff,0x0590001f,0x002c8000,0x3ffff260,0x2a004dff,0xfffc9dff,
    0xa807d47f,0x4ffcdaef,0x37ff2024,0x3fff6a0a,0x9fff9105,0x217fff40,
    0x445fffe9,0xf515fffc,0x3ffe0dff,0x7fffc40f,0x06fbf600,0x409ffff3,
    0x27fffec7,0x7fffc095,0xdffd0002,0xf95ffc80,0x3ffec09f,0x7ff4027c,
    0x005fe8bf,0x207fff50,0x6403fff9,0x09ff95ff,0x017fffc4,0x7ff44132,
    0x1fd400ff,0xf105fff8,0x3e209fff,0xff104fff,0x326625ff,0x3e2004ff,
    0xfff88005,0xffff104f,0x3ff26625,0x3fffff24,0x001f13ff,0x00005f88,
    0x200017e2,0x004ffff8,0xff07ffcc,0x705e833d,0x3fff23ff,0x7f440dc1,
    0x2ff4406f,0x409fff10,0xf882fffe,0xfff885ff,0xf837ff45,0xfb99afff,
    0x77401eff,0x1ffffd00,0x3ffa23c0,0x7c0952ff,0xd0002fff,0xff980dff,
    0x6c05ff52,0x8026c7ff,0xfffdfffe,0x7fc4003f,0x7ffe405f,0x54bfe601,
    0x7ffc02ff,0x3025c01f,0xb807ffff,0x817ffe05,0x3e03ffff,0x3fe03fff,
    0x09f302ff,0x000ffdc0,0xf01ffffc,0x3e605fff,0x3ffffea4,0x001f13ff,
    0x0001ffb8,0x0003ff70,0x005ffff0,0x7ec6ffd8,0x4c17cc3f,0x1fff24ff,
    0x3fff60e6,0x205f8801,0x3a04fff8,0xfff02fff,0xd17ffe0b,0x3ffe0dff,
    0x2fffffef,0x3ee01f00,0x43c02fff,0xa9fffff8,0x0bfffe04,0x037ff400,
    0xb0022044,0x00264fff,0xffddfffd,0x7ec005ff,0x7fcc03ff,0x2204406f,
    0x1ffff800,0x3f6025c0,0x3f100fff,0xf02fffc0,0x7fc05fff,0x3ffe02ff,
    0x8013202f,0xf8004ffe,0x3fe02fff,0x893202ff,0x3ffffffe,0xfe8001f1,
    0xfd00004f,0xff00009f,0xfe8005ff,0x22ffec5f,0x41ffd07b,0x41a85ffd,
    0x2005fffb,0x3ffe205b,0x0bfffa04,0xff82fffc,0x837ff45f,0xff88ffff,
    0x20b005ff,0x805ffff8,0xdffff507,0x7fffc097,0xdffd0002,0x25555510,
    0xb02aaaa8,0x013f2fff,0xf8bfffe8,0x9800ffff,0xf800ffff,0x2aa23fff,
    0x555512aa,0x0ffffc05,0xff1012e0,0x013209ff,0x7fc0bfff,0x3ffe02ff,
    0x3fffe02f,0x200931c2,0x000ffffa,0xf017fffc,0x26385fff,0x7ffff444,
    0x4001f13f,0x000ffffa,0x07fffd40,0x3fffe000,0x37fec002,0x0d913ff6,
    0xffe8bff5,0x3fe20c82,0x122002ff,0x204fff88,0xff02fffe,0x17ffe0bf,
    0x3fe0dffd,0xffff70ff,0x3f601005,0x07800fff,0x13ffffee,0x802ffff8,
    0x506ffe80,0x7fdcdfff,0x9fffb06f,0x3a003fff,0xfff33fff,0xffb801df,
    0xfffd007f,0x26fffa89,0x3e06fffb,0x25c01fff,0x07fffe40,0x3ffe01a6,
    0x0bfffe05,0x202ffff8,0x1662ffff,0x3fffa003,0x7ffc003f,0x3fffe02f,
    0x91031662,0x3e27fffb,0x3fffa000,0x7f40003f,0x40003fff,0x4002ffff,
    0x7fec7ffa,0x7ff42ec2,0x203ffe62,0x0ffffd44,0xfff10000,0x17fff409,
    0xff05fff8,0x06ffe8bf,0x7ec1ffff,0xa8000fff,0xf003ffff,0x4ffffd80,
    0x00bfffe0,0x81bffa16,0x7ffc6fff,0xf9fffb06,0xfd001dff,0x7ffdc7ff,
    0x7ffe405f,0xdfffb007,0xff8dfff0,0x3fffe06f,0x44025c01,0x1744ffff,
    0xf02fffc0,0x7fc05fff,0x3ffe02ff,0x20016e2f,0x07fffbe9,0x017fffc0,
    0x2dc5ffff,0xf89fcc00,0xff7d3000,0x74c000ff,0x0007fffb,0x0017fffc,
    0xff88ffe4,0x7fc44d85,0x41bff60f,0x07fffe44,0xfff10000,0x17fff409,
    0xff05fff8,0x06ffe8bf,0x7c41ffff,0x44006fff,0x2006ffff,0x4fffe807,
    0x00bfffe0,0x0dffd0d1,0x3fa37ff4,0x2fffb06f,0xe804fffb,0x7fec3fff,
    0x3ffa03ff,0xfffb006f,0xe8dffd0f,0x3ffe06ff,0x8025c01f,0xb51ffffb,
    0x817ffe00,0x3e02ffff,0x3fe02fff,0x00bd12ff,0xffff15b0,0x7fffc005,
    0x4bfffe02,0x7d0005e8,0x56c003e2,0x002ffff8,0xffff15b0,0x7ffc0005,
    0xfd30002f,0x17207df9,0x7fccfff5,0x7ec1c84f,0x400007ff,0x3a04fff8,
    0xfff02fff,0xd17ffe0b,0x3ffe0dff,0x7fffd40f,0x3fff2003,0x201e001f,
    0x3e04fff8,0x36402fff,0x428b7ff4,0x7ff46ffe,0x6cfffb06,0x7f402fff,
    0x7ff443ff,0xfffd02ff,0x3fff600d,0x746ffe87,0x3ffe06ff,0x0025c01f,
    0x3d1bfffd,0x817ffe00,0x3e02ffff,0x3fe02fff,0x05ffddff,0xfff93440,
    0x7fffc00d,0x37fffe02,0xd0005ffd,0x22003e27,0x01bfff26,0xfffc9a20,
    0x3ffe0006,0x3970002f,0x5c6a8013,0xffd916ff,0xffe83a83,0x4400007f,
    0x3fe04fff,0xbfff03ff,0xfd17ffe0,0x3fffe0df,0x1ffffc81,0x5ffff980,
    0x2007e200,0x3fe04ff9,0x17ea02ff,0x03afffee,0xffe8dffd,0x44fffb06,
    0x3a00ffff,0xff983fff,0xffd81fff,0xfffd007f,0xe8dffd0d,0x3ffe06ff,
    0x0025c01f,0x09bffff5,0xf02fffc0,0x7fc05fff,0x3ffe02ff,0x005feccf,
    0xffff31e4,0x3fffe003,0x33fffe02,0xd0005fec,0x32003e27,0x07fffe63,
    0x7fcc7900,0xff0001ff,0xfd0005ff,0x2e0f9800,0xff8ecfff,0x3211260f,
    0x33207fff,0x83cccccc,0xf104fff8,0x3fe09fff,0x8bfff05f,0xff986ffe,
    0xfffd02ff,0xfffe801f,0x0fea000f,0xf8827dc0,0x2620dfff,0xfd904ffb,
    0x8dffd05d,0xffd06ffe,0x2fffdc1f,0x04ffff88,0x85fffffb,0xf007fffb,
    0xffd0bfff,0x206ffe8d,0x6401ffff,0x7fff4003,0xfff1000f,0x17fffc0f,
    0x405ffff0,0xbd12ffff,0x3a07c400,0xff005fff,0x7ffc05ff,0x000bd12f,
    0x2007c4fa,0x7fff40f8,0xd03e2005,0x2000bfff,0x4002ffff,0xaaaadff9,
    0x7c43f009,0x3ffb2fff,0xf51c8b91,0x7cc01fff,0xf101ffff,0xfec889ff,
    0x7c3dffff,0xfff885ff,0x9337ff47,0x59fffffd,0x3fffff98,0x07ffff70,
    0xbfffd518,0xc9899005,0xfffffffe,0x03ffffff,0x8dffd004,0xffd86ffe,
    0xfffb0dff,0x3fb221df,0x322dffff,0xdfffffff,0x01ffff31,0x82ffff88,
    0x7ff46ffe,0x07fffe06,0xfa800790,0xfd3006ff,0xff01bfff,0x7ffc05ff,
    0x3fffe02f,0x4b8016a2,0x00ffffa8,0x202ffff8,0x16a2ffff,0x0f89f400,
    0x7fd425c0,0x097000ff,0x001ffff5,0x005ffff0,0x7ffffd41,0x5c0dffff,
    0x930ef5c5,0x248817bf,0x402ffff8,0x2205fffc,0x3e604fff,0x22fffc03,
    0x0dffffe9,0x4400dffd,0x3fe20001,0x01d406ff,0x80060088,0x7b500018,
    0x3a37ff40,0x013006ff,0x0004c000,0x402fffd8,0xfd06fff9,0x06ffe8df,
    0xb00bfff6,0xfffa8005,0x40044006,0x3e02ffff,0x3fe02fff,0x0e1622ff,
    0x77777774,0xf804ffff,0x3fe02fff,0x0e1622ff,0x007c4fa0,0x3bbbbbba,
    0xd004ffff,0xffdddddd,0xff0009ff,0x44b005ff,0xfffffffe,0x002e85ff,
    0xffe81900,0x7ffe403f,0x0fffe205,0x7fc037c4,0xffe8005f,0x0bfee006,
    0x3ffff600,0xd8017401,0x5c0000ff,0x7f4002ff,0x8dffb02f,0xff006ffe,
    0x3fe0000d,0xfff98006,0x17ffe406,0x7f46ffd8,0x3fff206f,0x0003e203,
    0x800dfff5,0x3fe00ffd,0x3ffe02ff,0x3fffe02f,0x2a162142,0x3fffee04,
    0x17fffc00,0x285ffff0,0x89f402c4,0xb812a00f,0x5400ffff,0x3fffee04,
    0x7fffc000,0x3e634402,0xfffeeeef,0x0000f987,0x7ffc4164,0x3fff200f,
    0x81fffc05,0x7fc00ffb,0xffd8005f,0x1bf22005,0x9ffff500,0x1001f980,
    0x880007fd,0x6d4006fc,0x4fff903e,0x3006fffa,0x300003ff,0xf50003ff,
    0x3fe603ff,0x9fff203f,0x2606fffa,0x0f606fff,0x1bffea00,0x407fd100,
    0x3e02ffff,0x3fe02fff,0x41e402ff,0x3ffe201e,0x7fffc03f,0x0bfffe02,
    0x27d00790,0x807a00f8,0x403ffff8,0x3ffe201e,0x7ffc003f,0xf736402f,
    0xb837dc0b,0x0590000e,0x902fffcc,0x1d98bfff,0x3e605fff,0x2fffc04f,
    0xffd9e440,0x01fdc004,0x01bfffa0,0x74001ff5,0xfc80001f,0x201b0003,
    0xeeccfffa,0xff1007ff,0xff100001,0x3fa60001,0x0fff441f,0x333ffea0,
    0x5407ffee,0xb511dfff,0x3fee000b,0x1fe8007f,0x80bfffe0,0x3e02ffff,
    0x3ee03fff,0x7e403d42,0x7ffc07ff,0x3fffe02f,0x200bee03,0x2a01f13e,
    0x7fffc807,0x3f201ea0,0x7fc007ff,0x97ea02ff,0x0fea03fe,0x2a003e98,
    0xffe9801d,0x5fffc81c,0x0ffea7e4,0x033fff60,0x2a017ffe,0x005ff97f,
    0x90013b6a,0x3105ffff,0x2e00fffb,0x540003de,0x570004ed,0x8dfffc80,
    0x200dfffe,0x80002dec,0x40002dec,0xfecefec8,0xff9000ce,0xbfffd1bf,
    0x7fff4c01,0x20003fff,0x000ffffc,0x7c407bd7,0xff104fff,0x3fe209ff,
    0x3aa60dff,0x03fe21ff,0x09ffff50,0x413fffe2,0x20dffff8,0x801ffea9,
    0xf101f13e,0xfffa801f,0x00ff884f,0x027fffd4,0x0dffff88,0xa93fee62,
    0xba889bff,0x57d7003f,0x01edcc41,0x677ff540,0x981cefec,0x402ffaef,
    0x441cfeb8,0xf8807fff,0x0005fd8f,0xffff9800,0xffffffff,0x00007fff,
    0x18000000,0x00026200,0x00000000,0x00d4c000,0x00013100,0x0006aa60,
    0x7fffedc4,0x40002bef,0xfffffec8,0xfffd912c,0x3b2259ff,0xffffffff,
    0xf70fffff,0xc8819dff,0x0dfffffe,0xfffffd91,0x3ffb2259,0xffffffff,
    0x2d800fff,0xfffb81d1,0x7f6440ce,0xf70dffff,0xc8819dff,0x0dfffffe,
    0xffffd930,0xffffffff,0xedcb887f,0x98000abd,0x02bcedca,0x33531000,
    0x37b95001,0xffd30000,0xb9801bff,0x000002cd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10100000,0x00cc4000,0x4cc04040,0x00999999,0x00017930,
    0x4cccccc4,0x1b800019,0x833bffe2,0x001fffec,0x98055000,0x01999999,
    0xccccccb8,0x3000003c,0x0cc4007b,0x00000170,0x00000066,0x000de5cc,
    0x98000188,0x026a6001,0x03019800,0x82541300,0x1300003c,0x00c40a20,
    0x5c000600,0x0009953c,0x00098800,0x017baa00,0x6fc80350,0xeb8017f6,
    0x04efedff,0xdf70efb8,0x7fffffc1,0xae9803ff,0xf70000fb,0x0fffffff,
    0xff88d000,0x00fff407,0x1ffd4000,0xffffff98,0x7fec01ff,0x005fffff,
    0x0ffc8030,0x3f7fb2a0,0x7016e3ff,0x32a003bd,0x91000bef,0xbf70019d,
    0x51007fb3,0x37bfffd9,0x3b7fa600,0xf9d701ef,0x73003bff,0x59dffffb,
    0xeb8801d1,0x886fc0cf,0xfe9800fd,0x0fff67ff,0x2616c174,0x12ffffec,
    0x003bfff9,0x1ff47fe2,0x44009fb0,0xffffffdb,0xffffffff,0xfff883ff,
    0x05f5003f,0x7c4fffc4,0x7f4400ff,0x0f7f4c2f,0x3fe5ffd0,0x3ffffe2f,
    0x2c803fff,0x7dc000ee,0x07ffffff,0x3e225400,0x0ffec06f,0x7fc40000,
    0xfffff304,0xa9803fff,0x01aaaaaa,0xdfbfdb50,0x80ff985b,0x7542ffe9,
    0x6dc06cff,0x774c06a8,0x04efccda,0x202dc5ec,0x3ff10ffb,0x10defd40,
    0xfb809fb7,0x70bff22f,0x07ffec3f,0x239fff70,0x00fffeb8,0xfb80bbf2,
    0x4003feae,0xfff37ffe,0xdbff701f,0x7ffc40ff,0xf70ce8af,0x29f5005f,
    0x3fea05f8,0xffe9800f,0xfffff50a,0x7ffb5333,0x1ffbff90,0xfb00f900,
    0x2a037ecd,0xff303fff,0x43fee07f,0x00000ffc,0x00077164,0x36000000,
    0x202ffc41,0x00001ffd,0x00001d90,0x22000100,0x7f4c2ffd,0xa83eaacf,
    0xff302fff,0x320e807f,0x9e47fa02,0xd1a207f9,0xf1bfe201,0x00fee0df,
    0x7fcc1be6,0xf13ffcc6,0x2fffd47f,0x201fffc8,0xfe880ffa,0xfffe800e,
    0x7ffd8006,0x205ffff1,0x403ffffe,0x81dbffff,0x36c00ffd,0x7fcc01f7,
    0x7ffd400f,0x07fffb82,0x0ef887f7,0x0bf007f7,0xf1006020,0xffb80dff,
    0x0010101f,0x2efa6000,0x0100000f,0x44344000,0x7fec05ff,0xfffff931,
    0xffec87bf,0x00002bce,0xf32ff980,0x7ffd403f,0x3bfff301,0x0dfff101,
    0x200fffc8,0x7d40762d,0x407a8f27,0x7e40d10e,0x207ffc4f,0xaaaaabfa,
    0x213e60aa,0xfff87ffc,0x7c4bff31,0xfffc87ff,0x440fb802,0xf5000eff,
    0xfb0005ff,0x17eedcff,0xd0019b50,0x2a09ffff,0x87e206ff,0x01da802e,
    0xa837ffcc,0x0f607fff,0x401f50bb,0x000002f9,0x300ffff6,0x4000dfff,
    0xffffffc9,0x1bd1003d,0x01640000,0x09b97300,0xfd80bff1,0x7fffcc1f,
    0x30077403,0xfffffff9,0x09ffffff,0x7fe57ff2,0x0bfff104,0xb01fffd8,
    0x74407fff,0x3a606fff,0x3ff605ec,0x5c068792,0x3f603ece,0xfffcccef,
    0xfff89fc1,0x3e64ffb9,0x217ffe41,0x17fe0ffe,0xffb8dfff,0xd03e004f,
    0x998005ff,0xfffb0001,0x80000f30,0x300efffe,0x00007fff,0x7ffec000,
    0x8ffff503,0x08800ea3,0xf9303f20,0xffffffff,0x7cc9ffff,0xff800fff,
    0x3ff263ff,0x443dffff,0x4004ffff,0x200005f8,0xfb0005f8,0xf889ff77,
    0x0ffec05f,0x00bfffe2,0x3fe20099,0xf93312ff,0x4bfe609f,0xffb02ffa,
    0xfff9807f,0x01ffff06,0x17fffdf4,0xffb006a0,0x8018797f,0x7ff400b8,
    0x0aaaaaad,0x5cffb1a6,0xf71322ff,0x2ffc3fff,0xfff882a2,0x01ffff43,
    0x3ffe4170,0x06f2e600,0x3f679730,0x2605b87f,0xfe801bcb,0x3fe203ff,
    0x2f2e605f,0x1bcb8801,0x01ffff50,0x8b1fffea,0x03797101,0x7fc40bd0,
    0xf93312ff,0x3fffdc9f,0x84fffe80,0x204ffff8,0x4003ffff,0x00001ffb,
    0xe8003ff7,0x45fff35f,0x7ec05ff8,0x1ffff81f,0xff0025c0,0x13e605ff,
    0x98044088,0x4400ffff,0x7cc3ffff,0x29b00fff,0x7304fffe,0x3ea01599,
    0x2203ffff,0x5512aaaa,0x5ffe8555,0x7fc89700,0x46a8ffe6,0xaafffff8,
    0xffb800ef,0x3fffe20e,0x3ffe0001,0x2e00aa8c,0x903fd9df,0xffddbbff,
    0xf701d98f,0x401ff75d,0x2202fffe,0xdf706fff,0x2a01ff75,0x40effadf,
    0x2a07fffc,0x01e27fff,0x3bfeb7ea,0xf807f300,0x9f302fff,0x803fffe4,
    0xff06fffd,0x7ffc07ff,0x7ff4002f,0xffd00004,0x9ffd4009,0x3e24fffc,
    0x0ffec05f,0x200ffffc,0x3ffe004b,0xa893202f,0x55512aaa,0x7fffb855,
    0x89ffff00,0xb907fffb,0x222fffec,0x2ffeaaed,0x5fffffd0,0x737ffd40,
    0xffd8dfff,0xfc85d007,0xf887ff27,0x7ffffdc0,0x37fa005f,0x07fffd40,
    0xefffa800,0xfb84ffff,0xb83ff10f,0x3ffee5ff,0xffc80ee7,0x7403bf62,
    0x3e202fff,0x7fe40fff,0xf703bf62,0xb13ff21f,0x7d40ffff,0x701f67ff,
    0x13ff21ff,0x3fe007dc,0xe93202ff,0xfb006fff,0x3ffe0fff,0x3fffe02f,
    0x3ffea002,0x7d40000f,0xfd000fff,0x87ba7a5f,0x7ec05ff8,0x1ffff81f,
    0xff0025c0,0x126385ff,0x7dcdfff5,0x7ffe46ff,0xdfffd007,0xb87fffe8,
    0x23fffec6,0x3ffea3ff,0xffffe880,0xdfff00df,0x7e46fff8,0xf10983ff,
    0xfc9ffc81,0xfa82d83f,0x800effff,0xfffb04fa,0x7fec000d,0x4fffc8af,
    0xdff1bfe2,0x360fffc4,0xf88027ff,0x17fee0ff,0x1017fff4,0x7c45ffff,
    0x97fee0ff,0x3fe67ff8,0x037fffc7,0xfd9ffff5,0x33ffc40f,0x01ba0fff,
    0x470bfffe,0x1bfffa49,0x83fffe40,0x3e02ffff,0x3a002fff,0x0003ffff,
    0x01fffff4,0x2557ffc4,0xd80bff10,0xffff81ff,0xf0025c01,0x22cc5fff,
    0x7c6fff81,0x7fff46ff,0xffffb006,0x546fffe8,0x3fffec0e,0x7fccdff5,
    0x3fff202f,0xffe80eff,0x2237ff46,0x9223ffff,0x67fe40f8,0x205b03ff,
    0x0efffffd,0xffd026c0,0x7f4000ff,0x3fff60ff,0xff89ff90,0x81fff50f,
    0xf9007ffd,0x0fffa8ff,0x202fffe8,0x323ffff8,0x7ffd47ff,0xfc8bff70,
    0x02ffff43,0xfd7ffff5,0x22ffdc0f,0x03f883fc,0x262ffff8,0xffffb0c5,
    0x1bfff600,0xf017fffc,0x26005fff,0x007fffbe,0x3ffefa60,0xbfff9807,
    0x17fe200d,0xff03ffb0,0x04b803ff,0xb8bfffe0,0x46ffe805,0x7ff46ffe,
    0xfffb006f,0x27fffc8f,0xfffe80f9,0xf99bfe65,0x7f4c02ff,0xffe85fff,
    0x5c37ff46,0x0edeffff,0x75ff2174,0xe981f06f,0x5ffffd9f,0x3ff20340,
    0x3fe0007f,0x9fffd47f,0xfccceffd,0x0fff91ff,0x3a00fffb,0x7ffd47ff,
    0x02fffe81,0xe8bfffe2,0x7ffd47ff,0x200bffb1,0x2a06fffc,0x81f27fff,
    0x2e005ffd,0xffff801f,0xffc816e2,0xfffd007f,0x0bfffe0b,0x002ffff8,
    0x5ffff15b,0x3e2b6000,0x7cc02fff,0x7c406dff,0x0ffec05f,0x200ffffc,
    0x3ffe004b,0xd00bd12f,0x6ffe8dff,0x803fffec,0x7dc6fffe,0x01e88fff,
    0xb987ffff,0x05fffb30,0x1fffff90,0x7f46ffe8,0xffff706f,0xfc89903b,
    0x6987ff37,0xffb2ffcc,0x012201ff,0x003ffff5,0xf31fffa0,0x37ffa9ff,
    0xb0aaaaaa,0xfffb0fff,0x51bffe00,0xffd07fff,0x7ffc405f,0x51bffe1f,
    0x3ffa7fff,0xffff5006,0x13fffd40,0x037ff40f,0x3fe00db0,0x40bd12ff,
    0x800ffff9,0xff03ffff,0x7ffc05ff,0x3268802f,0x88006fff,0x01bfff26,
    0x100bfffe,0xffd80bff,0x01ffff81,0xfff0025c,0x00bffbbf,0xffe8dffd,
    0x03fffdc6,0x4c5ffff8,0x02e9ffff,0x201ffff1,0x2fffbfd9,0xfffcbc80,
    0x3a37ff42,0x077406ff,0x27fd8d30,0x912e0ffd,0xfffe87ff,0xff100202,
    0x360005ff,0x3fe60fff,0x00bffd4f,0xffb0fffb,0x1bffe00f,0xfd07fff5,
    0x7fc405ff,0x237ffc7f,0xffd3fffa,0x3ffe200f,0x1fffea07,0x1fffa50b,
    0xf8027c40,0x5ffddfff,0x017ffec0,0xf81bffe6,0x3fe02fff,0x23c802ff,
    0x001ffff9,0xffff31e4,0x2fffe803,0x202ffc40,0xfff81ffd,0x0025c01f,
    0xfd99ffff,0x8dffd00b,0x7fcc6ffe,0x7fc400ff,0xfffd82ff,0x3ffe603f,
    0xf31df707,0x640b85ff,0xfe89ffb3,0x037ff46f,0x25f005f9,0xf88bfffa,
    0x742f88ef,0x7ffdc2ff,0x7ff40003,0xff70004f,0x97ffc43f,0xfb807ffd,
    0x3ffec0ff,0x546ffd80,0xffe82fff,0x3ffe202f,0x2a37fec4,0xfffb2fff,
    0x3fffa003,0x8ffff501,0xfffda442,0x001fa801,0xfd99ffff,0x6fff980b,
    0x017ffe40,0x7c05ffff,0x7c402fff,0x02ffff40,0xffe81f10,0x7ffd405f,
    0xff89261f,0x40ffec05,0x6401ffff,0x3fffe003,0xfd00bd12,0x86ffe8df,
    0x4c02fffd,0xff106fff,0xfffd80df,0xf31ffd82,0x642c85ff,0xfe87ff73,
    0x037ff46f,0x7f3005ff,0x22133333,0xfe85f999,0x17ffc42f,0x26016e44,
    0x8801ffff,0x88bffe64,0xfff90fff,0x3fe61307,0x03ffec1f,0x7d47ffb8,
    0xfffe80ff,0x7fc53aa2,0x23ffdc1f,0xff70fffa,0x3fe600df,0xffff504f,
    0xfff73c80,0x400fb00d,0xbd12ffff,0x03fff500,0xf00fffe2,0x7fc05fff,
    0x425c02ff,0x000ffffa,0xffff5097,0xffffc801,0x2ffc45ee,0x3e07ff60,
    0x1e401fff,0x45ffff00,0x6ffe805a,0x7cc37ff4,0x7fe406ff,0x3ffea02f,
    0x09fff302,0x7fccfff1,0x4f23642f,0x7fec0ffb,0xd037ff46,0x5f3001df,
    0x901df100,0x6ff889ff,0x801fff70,0x4c06fffb,0x32ffe43e,0x7ffc4bff,
    0xfff1223f,0x03fffc49,0x2e0fff88,0xffff04ff,0x7c4ffec7,0x0fff885f,
    0xff893fee,0x203224ff,0xfb80fffb,0x4bee07ff,0x224ffff8,0xf8013e0c,
    0x016a2fff,0x220fffcc,0xff802ffe,0x3ffe02ff,0x7777402f,0x4ffffeee,
    0xdddddd00,0x809ffffd,0x0cfffff8,0x3602ffc4,0xfffd81ff,0xf0016c02,
    0x42c45fff,0x3a37fec3,0xfff506ff,0x0fffe603,0x83fffd50,0xf902ffe9,
    0xfffb35ff,0x790dfc87,0xff905fd1,0x037ffd4f,0x8057dff5,0x2a21bdf9,
    0x3fe205fc,0x407fee0f,0xa801fffd,0x261befff,0x1ffb02eb,0x3fee1bee,
    0x5c0edeff,0xfeeabfff,0xfa800bff,0x203bfa3f,0x2e4ffff8,0x205f9bff,
    0x3bfa3ffa,0x7ffffd40,0x3fea01fe,0x3fffa61e,0x3fff262f,0x3ffffea1,
    0x00bea1fe,0x222ffff8,0xfd710385,0x039ffb9d,0x80bfffe0,0x2a02ffff,
    0x3fffee04,0xf7025400,0x9dc01fff,0x17fe2019,0xf903ffb0,0x07c407ff,
    0x85ffff00,0x3ff22c42,0x81bffea7,0x74c1ffe9,0x874c01ff,0xdfecefeb,
    0x3ffee00b,0x4efffaff,0x3bbbff6a,0xfff501df,0x0fffdd99,0x804ffda8,
    0xdfeffdb8,0xefc8801b,0x2600dfec,0x2e2006ff,0xdffeffec,0x33bb2200,
    0xfff700cf,0x3fee03bf,0xcdffd9ef,0xdbfd3001,0xffd9109f,0xfd17bfff,
    0xfd300bdf,0x7cc09fdb,0x8801dfff,0xfffefecb,0xffffffff,0xfff987ff,
    0x003e41df,0x850bfffe,0xfffb8058,0x7ffc001f,0x3fffe02f,0xf8807a02,
    0x0f403fff,0x07ffff10,0xff880074,0x40ffec05,0x3606fff9,0x7fffc003,
    0x3ea1e402,0xffeeccff,0x77f64407,0x800cefec,0x01a9880d,0x433ff620,
    0x3300dffb,0x3ff2009b,0xdfffe8df,0x26000000,0x5310000a,0x00620013,
    0x00135100,0x14400330,0x004c3300,0x0006a200,0x88001980,0x02a2001a,
    0x01998800,0x402a2000,0x7ffc002a,0x801e402f,0x4006fffe,0x3e02ffff,
    0x0f502fff,0x40ffff90,0xfffc807a,0x4400b307,0x7fec05ff,0x3bfff501,
    0x200176a2,0x2e03ffff,0xdfffc82f,0x00dfffe8,0x00003530,0x10040000,
    0x8800ae00,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x2e03ffff,0xfff3002f,0x7ffc009f,
    0xffff102f,0x801ff109,0x884ffffa,0x7fd400ff,0x002c84ff,0xfd01bfe2,
    0x7ff4c03f,0x8003ffff,0x20dffff8,0x101ffea9,0x00000013,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff880000,0x3aa60dff,0x362001ff,0x0abdffff,
    0x44ffff88,0xfffffec8,0x9dfff72c,0xfffec881,0xfff70dff,0xfec8819d,
    0x1a0dffff,0x9bfff100,0x0fffee41,0x001aa980,0xffffec88,0xffffffff,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x91000000,0xfffffffd,
    0x01ffffff,0x33bb2a00,0x3ffb220b,0x0002cfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65400110,0x00c000cc,
    0x15997300,0x800a0280,0x406c4008,0x3200005a,0xdeea83cc,0x000a0280,
    0x3bba6000,0x99950001,0x1ccc9801,0x40998800,0x26a62000,0x00000180,
    0x3b600202,0x6644003e,0x0f33202c,0x01000c00,0x55400d40,0x2aaaa2aa,
    0x1f76c002,0x00310000,0x3bae0000,0x0f332005,0x000b3322,0x000b3322,
    0x40059991,0x806a0008,0x01dffeb8,0xa803ffd8,0x3defdfed,0xeaaed880,
    0x20f602ff,0xedeb803c,0xb87f201c,0x07fb102f,0xd01dff50,0x0b709fff,
    0x8f74c0d5,0xfb001ee9,0x3a000bff,0xff9003ff,0x77ec400b,0x4059befd,
    0xffdffed9,0x3605a8be,0x980bf63f,0x0688befd,0x007fffdc,0x980bff70,
    0xb3000fff,0xa805bfbd,0xfb07aa2e,0x4ffff500,0x2006fffa,0x000ffffa,
    0xfffd9510,0xee98037b,0xf101df30,0xf3005fff,0x3fea01ff,0x5ffb8006,
    0x05ffb800,0x2007fb50,0xffd101fc,0x4403ffff,0x7ec404ff,0x0f7f4c2f,
    0x7fd47ff0,0xdbff500f,0x4fc801ff,0x3e203ff1,0x2e06fdaf,0x7e400fff,
    0xfdffb80e,0x6effc40f,0x3ff202ff,0x5009ff95,0x003ff9ff,0x4003ff88,
    0xf9800ffc,0x17ff261f,0x20adffc8,0x505fffda,0x1bfeafff,0xfffffff8,
    0x3f7fe204,0x17fa003f,0x4017fd40,0x3ff90ff9,0x0cedf980,0xfe801fa8,
    0x037ff47f,0x4fedff88,0x1bdfa800,0xd813f6e2,0x07ffb4ff,0x00dfbdfb,
    0xfb803ff9,0x2ff4001f,0x005fe800,0x3007ff97,0x65eec07f,0x2e04ffff,
    0x7ffd404f,0x07fff303,0x7fccdff5,0x3fffa02f,0x0ffcc04f,0x7fe40dfd,
    0x3fea01ff,0x880ff807,0x909f71ef,0xa80dffff,0x05ff53ff,0x1be63fd0,
    0x0009f700,0x3fa00bf2,0xd10bf303,0xfe880dff,0x22bff105,0xb7b304ff,
    0x6403ffff,0x001fd13f,0x54001df3,0x2ffc405f,0x4401fff1,0x9f100ffd,
    0xe8fffb00,0x9f9006ff,0xb8003fa2,0x06f9803f,0x3fee5ff7,0xfc86fcc1,
    0x800ff402,0x3e6004fb,0xef98000e,0x0ffe2000,0x42b81ba0,0x3607fff8,
    0x2fffc404,0x307fff20,0x7ffccdff,0x00e6cc02,0xff907ff4,0x13ffe207,
    0xf50076e0,0xf5037203,0x005b9101,0x70033066,0x002e981d,0xbb00013a,
    0x202ffa80,0x1fffd85b,0x2205f880,0x43300c42,0x17c402a8,0x3ae01362,
    0x00fa8000,0xffd17fee,0xf53d910b,0x201b601d,0x7fec7ffd,0xd82f8806,
    0xa87f5004,0x9f351acb,0xd0130260,0x7cc0d709,0x00364001,0x2e0001d7,
    0x7fc4000e,0x100fe403,0x001bff60,0x807fffb0,0xb986fff9,0x05fffb30,
    0x3ffcc000,0x9881bfee,0x00000009,0x00001100,0x08800000,0x00000000,
    0x200effb8,0x02fffdc5,0x00000b70,0x00200000,0x36000000,0x3ffec5ff,
    0x41bf614c,0x7fec01fb,0x0037fec7,0x23f800c0,0xfc98cfe9,0x00003f34,
    0x00000040,0x00000000,0x407ff100,0xf90003f9,0x2f2e205f,0x0ffff981,
    0x03ffff80,0x5fff7fb3,0x05665cc0,0xfb8fff70,0x3797107f,0x01bcb980,
    0x20e2b32e,0x3038accb,0x55103797,0x2aaa2555,0x5555442a,0x85555512,
    0x512aaaa8,0xaa885555,0x555512aa,0x1efffa85,0x7fffc450,0x30122002,
    0x26003797,0x73001bcb,0x2e600379,0x973001bc,0x2fffc037,0x9807fff2,
    0xf885ffa9,0x23ffec03,0x55546ffd,0xaaa88aaa,0x155512aa,0x03ff334c,
    0xb9826499,0x65cc01bc,0x5e5cc01b,0x0de5cc01,0x85e65cc0,0xacca882b,
    0x4059b710,0x1ba03ff8,0x502fe800,0x41dff5bf,0xd007fffb,0xdf709fff,
    0x105fff31,0x5ffd55db,0xf71fff20,0xadfa81ff,0xdfb80eff,0xbfe83fd9,
    0x5ff45fea,0xdfb85fea,0xffa83fd9,0x1bffee6f,0xfb9bffea,0xfffa86ff,
    0x21bffee6,0x3ee6fffa,0x7ffc46ff,0x3ea01dff,0x00001fff,0x3feebbee,
    0x2ebbee00,0x3bee00ff,0x2e00ffba,0x00ffbaef,0x3feebbee,0x5c6fff80,
    0xffb83fff,0xe82fffed,0x23ffec06,0x7f4c6ffd,0xffc88cff,0x87f711ef,
    0x4417fa4b,0x37ee1aa3,0xbf703fd9,0x3ee07fb3,0xf703fd9d,0x5c07fb3b,
    0x5cffbaff,0x7f5df6c4,0xefc9eeae,0x903ff880,0xfb10003f,0x21ff705f,
    0x3ff24ffc,0xfffb007f,0xf31ffd8d,0x47ff05ff,0xfd80fffa,0x0fffdc7f,
    0x3ff21ff7,0xf887fdc4,0xdd1bea1f,0x71ba37d4,0x07fe21ff,0xfff1bffe,
    0xf1bffe0d,0x3ffe0dff,0xf837ffc6,0x37ffc6ff,0x7fffffe4,0xffffc80c,
    0xff900000,0x64077ec5,0x03bf62ff,0xefd8bff2,0x362ffc80,0x2ffc80ef,
    0xffd03bf6,0x43fffb8f,0x3ffa2ffc,0x3600fb85,0x37fec7ff,0x3a27ffd4,
    0x7434c7ff,0x2009ff32,0x43fee0f8,0x7fdc1ff8,0xfb83ff10,0xb83ff10f,
    0x03ff10ff,0x7fe47ff7,0xf88bfe22,0x17fe1fff,0x3e60ffe2,0xfffc8003,
    0x9ffe24ff,0x3ffa7ff9,0xfffb006f,0xf33ffc4f,0x6ffa85ff,0x3a0bffe6,
    0x7ffdc7ff,0x7ccfff13,0xf1bfe27f,0x317fecdf,0xd317fecd,0x3fe37fc4,
    0x746ffe86,0xdffd06ff,0xfd06ffe8,0x06ffe8df,0xffe8dffd,0xfffffb06,
    0xfffd85ff,0xff100007,0x22ffdc1f,0x3ee0fff8,0x07ffc45f,0xff88bff7,
    0x117fee0f,0x7fdc1fff,0x70fffe45,0x7fc43fff,0x4c3ffdc7,0x1fff603f,
    0x3fa0dffb,0x17fff46f,0xf50f8857,0x896c007f,0x137fc6ff,0x26ff8dff,
    0x37fc6ff8,0x6ff8dff1,0xf50fffc4,0x237fd4df,0x7fec6fff,0x077fee21,
    0x326000dd,0xf72fffff,0x3a3fc8bf,0xfb006fff,0x7ffe4fff,0x43fffd9a,
    0x3fe66ff9,0x47fff82f,0xff73fffb,0x3f23fc8b,0xd87ffc4f,0xfd8a4fff,
    0xffc8a4ff,0x3a07ffc4,0x37ff46ff,0x7f46ffe8,0x8dffd06f,0xffd06ffe,
    0x206ffe8d,0xfffffffc,0x01ffffa3,0x23ffe400,0x3f20fffa,0x07ffd47f,
    0xffa8fff9,0x51fff20f,0x7fe41fff,0x107ffd47,0xf913dfff,0x46ffa8ff,
    0x5e80fffa,0x4c3fff20,0xff707fff,0x3fffa23f,0x21f103a5,0x36003ffb,
    0xff89ff92,0xf89ff90f,0x89ff90ff,0x9ff90fff,0x3ee0fff8,0xfffd10ff,
    0xfd1bfe65,0x23ffb8bf,0x32199998,0x100bb01f,0x3f69fffd,0xfffd805f,
    0xdfffd007,0x57ffffdc,0x5cc4efff,0x05fffb30,0xffb8fffd,0x00bffb2f,
    0xf999dffb,0x3ffea3ff,0x7ffd40ef,0x77fec0ef,0x41fffccc,0x7ff46ffe,
    0xe8dffd06,0xdffd06ff,0xfd06ffe8,0x06ffe8df,0x7ffffec4,0x0ffff90f,
    0x66666664,0x51fffa3c,0x7ff43fff,0xd0fffd47,0xfffa8fff,0xf51fffa1,
    0x3fff43ff,0xd307ffea,0xbfffffff,0x7d46ffc8,0x00fc83ff,0xdd9bfff5,
    0x3fe20fff,0xfffb575f,0x54ba0b31,0x43e004ff,0xfccceffd,0x9dffb1ff,
    0x363fff99,0xffccceff,0x99dffb1f,0x7e43fff9,0xfff9b0ff,0xff705cc7,
    0xff9555bf,0x40fe6009,0xff1005fc,0x01bffadf,0x401fffee,0x3625ffff,
    0xbff70cff,0x3eff6601,0x7ffd82ff,0xfe87ffdc,0xdffe806f,0x20aaaaaa,
    0x41effffe,0x21effffe,0xaaaadffe,0x37ff40aa,0x7f41bffa,0x837ff46f,
    0x7ff46ffe,0xe8dffd06,0xe980c6ff,0xff53ffff,0x7fcc01ff,0x7ffc1fff,
    0xf1fffd46,0xfffa8dff,0xf51bffe3,0x37ffc7ff,0xff8fffea,0x1fffd46f,
    0x7fc55d44,0x237ff43f,0xf983fffa,0x37fff202,0x80efffd8,0xf568fffd,
    0x320595ff,0x200dff14,0x2b7ffa69,0xfd0aaaaa,0x555555bf,0x2ab7ffa1,
    0xffd0aaaa,0x1555555b,0x5e47fff4,0xd704fff9,0x555dffd7,0x3a003555,
    0x00bff706,0xffeb7fec,0xffff9807,0x7fffc400,0x01fa8082,0x3fe63bee,
    0x47ffc82f,0x3ffa7ffb,0x05ffe807,0xfffffb10,0x7ffffd88,0xe8017ffa,
    0x37ff46ff,0x7f46ffe8,0x8dffd06f,0xffd06ffe,0x646ffe8d,0x5bffee00,
    0x402ffff8,0xff85fffc,0x1fffd46f,0xffa8dfff,0x51bffe3f,0x7ffc7fff,
    0xf1fffd46,0xfffa8dff,0x0fffa803,0x3ea37ff4,0x80bf02ff,0x201b2098,
    0x3e4cfffa,0x9a606dff,0x21b82ffa,0x017ffa4b,0x3a017ffa,0xffe805ff,
    0x7fffb005,0x30fffe69,0x1bffa3ff,0x303f9000,0x5400bf9b,0x3fffb4ff,
    0x05fffb00,0x006fff98,0x7fec0bf5,0x505fff31,0x6ffb8fff,0xb007fff6,
    0x5c100fff,0x5c12ffff,0xffb2ffff,0x37ff400f,0x7f41bffa,0x837ff46f,
    0x7ff46ffe,0xe8dffd06,0x201e46ff,0x3ffa6ffb,0x7ffe403f,0x546ffd85,
    0x3ff62fff,0xb17ffd46,0xfffa8dff,0xf51bff62,0x37fec5ff,0x200bffea,
    0xffd83ffd,0x807ffd46,0x17e4007c,0x21ffff80,0x7c04fffc,0x2abbfea2,
    0xfd8be22c,0x7ffd807f,0x807ffd80,0xf9007ffd,0x7ffccbff,0xfd8bfee1,
    0xf30000ff,0xbf91d307,0x3ff10088,0x201bffee,0x6406fff9,0xfb002fff,
    0x99ffe20b,0xfff02fff,0xf727fe41,0xffc80dff,0x41b0983f,0x41b3fff9,
    0xff93fff9,0xfd81307f,0x837ff46f,0x7ff46ffd,0xe8dffb06,0xdffb06ff,
    0x7646ffe8,0x893fe200,0x3200ffff,0xffb85fff,0x707ffd47,0xfffa8fff,
    0xf51ffee0,0x3ffdc1ff,0xfb83ffea,0x07ffd47f,0x5c17fea0,0x3ffdc7ff,
    0x7c005f50,0xdff9004f,0x401fff98,0x2ee622f9,0xf917e209,0x321307ff,
    0x90983fff,0x21307fff,0x0983fffc,0xfa83ffea,0x8fff10ff,0x0503fffb,
    0x90e886e8,0x417fccbf,0x3ffe24fa,0xf503224f,0x3fe603ff,0x3fee003f,
    0x9afffc82,0xf903fffd,0x107fec3f,0x6449ffff,0x47ffff10,0xff717648,
    0x3ff71763,0x88ffffe2,0x2a7ffc84,0xff906fff,0x837ffd4f,0x3fea7ffc,
    0x4fff906f,0x7e46fffa,0x307fea05,0x7e40bfff,0xfff885ff,0xf113fee0,
    0x27fdc1ff,0xfb83ffe2,0x07ffc44f,0xff889ff7,0x013fee0f,0x74409ff5,
    0x01ffe47f,0xffd8013e,0x83ff9800,0x5f3007fe,0x881df100,0x9223ffff,
    0x223ffff8,0x8ffffe24,0x3fffe248,0x3ffa1223,0xfc97fee2,0x3ffea0ff,
    0xf900643f,0xfffff703,0x37ffeabf,0xff50bd31,0x203fdfff,0x7441ffe9,
    0x7c4001ff,0x3fee2cff,0xefffafff,0x3e27fb04,0xffffa82f,0x7fdc1fef,
    0x320edeff,0xfc9bee3f,0xff71bee3,0x501dbdff,0xfdd99fff,0x3ffea0ff,
    0x07ffeecc,0xdd99fff5,0x3fea0fff,0x7ffeeccf,0x2206ffe4,0xffd303fe,
    0xbfff9039,0xfe8ffea0,0x23ffa80e,0xffa80efe,0x2a03bfa3,0x03bfa3ff,
    0xefe8ffea,0x05ff7100,0x7f45ff30,0x2007d804,0x402dfff9,0x04fb80fe,
    0x886f7e60,0x3ee05fca,0x40edefff,0xedeffffb,0x77fffdc0,0x7ffdc0ed,
    0x7440edef,0x917fa4ff,0x79dbffff,0x3fbfffff,0xc9827cc0,0x363ffecc,
    0x02efffff,0x077fffe6,0xd9dfd910,0x200019df,0xb10dffc9,0x3fee19ff,
    0x3b7f600d,0x3ffe601f,0xfff701df,0xfeec83bf,0x3bb20efd,0xfb80efdf,
    0x3201dfff,0xffe8dfff,0xfffc80df,0x0dfffe8d,0xe8dfffc8,0xfc80dfff,
    0xfffe8dff,0xbfb5b90d,0x5003dfb9,0xfd99dffd,0xfe98039d,0x74c04fed,
    0x4c04fedf,0x404fedfe,0x04fedfe9,0x27f6ff4c,0x002dfc98,0x27767ecc,
    0x2001fa80,0x5c03dfda,0x8003f106,0xdfeffdb8,0xfffb801b,0xfff701df,
    0x3fee03bf,0xff701dff,0x13b03bff,0x81bfbbfb,0x21efffe8,0x02efffeb,
    0xbf900374,0x80035310,0x530000a8,0x40000003,0x09800200,0x4002a200,
    0x0a886028,0x2002a218,0x02620028,0x0004c400,0x10000988,0x26060013,
    0x310000aa,0x10001335,0x1a880035,0x000d4400,0x510006a2,0x0004c403,
    0x44000980,0x2000001a,0x0000a018,0x440002a6,0x800a2002,0x00a20028,
    0x98019881,0x40054401,0x32a001ea,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20200000,0x03eed800,0x01666440,0x40007999,0x0b2009a8,
    0x11000362,0x00033000,0x54000998,0x80000001,0x980c00a8,0x01880009,
    0x00088031,0x2cc800d4,0xa8060797,0x11005904,0x2002a200,0x2605441a,
    0x2204b80d,0xaa85a80d,0x179712aa,0xcb806600,0xea8038ac,0xaaa87fff,
    0x0179712a,0x804ccb80,0x3101bcb8,0x0ec40000,0x006002d4,0x36004400,
    0x980bf63f,0x0688befd,0x007fffdc,0x980bff70,0x64000fff,0x81effcef,
    0x013e63fa,0x1009ff90,0x019ffdf9,0x6fdf74c0,0x001fb800,0x262b7faa,
    0xdf9db005,0x3b6b3605,0x00deffee,0x0e881f10,0x01dffd30,0xf5003f90,
    0x883ff11f,0x5f880fff,0xfb501ba2,0x201ba007,0x407e43f9,0x007f21ed,
    0x417e43fb,0xfe9ffffa,0xdb100fff,0xbfe87ff9,0x3a005fea,0xfffa87ff,
    0x0ffffe9f,0x03fff100,0xeffadfa8,0x0037fea0,0xf717e400,0xaffff4c7,
    0x3262efe8,0x4dffffff,0x7d417fee,0x40dff57f,0x4ffffffe,0x3fb7fe20,
    0x017fa004,0x88017fd4,0xfff10ffd,0xff79fd03,0x3fe24801,0x97f401ff,
    0xf1004ffa,0x3017fa5f,0x7fc4009f,0x802fffff,0x03ff92fd,0xfb887ffb,
    0xdfb002ff,0x3a20bfdb,0x4c04ffba,0x25f9003f,0xfffb83fa,0xff5df704,
    0x1ffe5c05,0x5400fe40,0xf983ec2f,0x8805fdaf,0x205fdaff,0xf99efffd,
    0x4fe885ff,0x1bea1fff,0x333220dd,0x41cffffc,0xf99efffe,0xff5004ff,
    0x90ffb805,0x7fff49ff,0xff100003,0xff10df97,0x1bffeebf,0x113fffe2,
    0xf103ffff,0x413fe2bf,0xffffdbd9,0x744ff201,0x0ef9800f,0x4017ea00,
    0x7ff46ffa,0x3ffff985,0x3ffe3640,0xf1ff204f,0xffb001ff,0xe80bff63,
    0x75ed4006,0x4c00efff,0x0bff92ff,0x7fdc03fb,0xfff9804f,0x6c1102ff,
    0x0037401f,0xfc836c9f,0xfff104ff,0x7ff100df,0x9003f980,0x3605f81f,
    0x9000ffff,0x6c03ffff,0x3ffa1fff,0xf94ffd86,0xd317fecb,0x3b333220,
    0x7ec1cfff,0x1bffa0ff,0x22017ec0,0x9ffe67ff,0x0006fffd,0x07fffee0,
    0xffaafffc,0xffff80ff,0x04ffff82,0x26028851,0xf100aa21,0xb804d885,
    0x0fa8000e,0x6c5ffc80,0xdffb06ff,0x6cc6f980,0x3ffa04fd,0x7c01bf20,
    0x09ff91ff,0x150007ee,0xfc8015c4,0xb09ff53f,0x3fffb00b,0x002f6a00,
    0x3f202fcc,0x7c4d5001,0x07fff700,0x400fffdc,0x37403ff8,0x4f88fd00,
    0x00fffe60,0x404fff88,0x7fec7ffc,0x204ffe87,0x00a4fffd,0xfb07ffd8,
    0x06ffd8ff,0xff7005f0,0x3623fc8b,0x200006ed,0x3e05fff8,0x3f7b25ff,
    0x82ffff80,0x0004fdd9,0x18000000,0x00000000,0xffb17ffa,0x80266209,
    0x07e06ff9,0x3f62fff8,0x1fff8803,0x9f30bff9,0xd0000000,0x405d49ff,
    0xfffa801d,0xf7000006,0x0fe60bff,0xff980000,0x00ccc01f,0x3203ff88,
    0x517e001f,0x0198805f,0xc8019880,0x3ffec7ff,0xf5027ffc,0x4c01dfff,
    0x0fffb3cb,0xffb1fff6,0xfd80000f,0x01ec005f,0x02662000,0x6b85fff8,
    0x805ffff0,0x332e601f,0xccb9800a,0xccb9800a,0xccb9800a,0xccb9800a,
    0x2fff400a,0x65c07ffa,0x7fd438ac,0x1a61aaef,0x3eabfff0,0x3fff000d,
    0x1ba13ff2,0x2aaaa880,0x20555551,0x3005fff8,0x17fffc00,0x22555551,
    0x2602aaaa,0x06e80ffd,0x89555544,0x7c42aaaa,0x555510ff,0x0aaaaa25,
    0xf981ffc4,0x7e664c03,0x4dfeccce,0x01599730,0x006f2e60,0xffd8fff9,
    0x027ffc47,0x07bffffa,0x3b7b7ff6,0xfffb07ff,0xaa87ffd8,0x179712aa,
    0x400dffd0,0x555550f8,0xa8805e54,0x3fe01aaa,0xff03d85f,0x83cc05ff,
    0xffeaaed8,0xd55db102,0x3b6205ff,0x102ffeaa,0x5ffd55db,0x3aabb620,
    0x3ffa02ff,0x2039f915,0x25feabfe,0xfffffffa,0xfd805b15,0x4001ddff,
    0x5ffb2ffd,0x54001fb8,0x3fee6fff,0xdfff106f,0xffd00000,0x6fffa89f,
    0x101bffee,0x003f90ff,0x7dcdfff5,0x46fe86ff,0x3ee6fffa,0x7ff106ff,
    0x3ee01ba0,0xffffffff,0x576c47ff,0x5c02ffea,0x00ffbaef,0xffd8fff9,
    0x027ffc47,0x1fffff62,0x7fdc9ff7,0x8fffb07f,0xffa87ffd,0xffffe9ff,
    0x003fff40,0x7fffcc79,0x81ffffe9,0x205fffc8,0x06d45fff,0x102ffff8,
    0xa8ffe05b,0x3ff80fff,0x3e03ffea,0x03ffea3f,0xfffa8ffe,0x3ea3ff80,
    0xbffd00ff,0x2a0b7f66,0x7f43746f,0x40064c6f,0xea86fffb,0x7fc45eee,
    0x4f98bfd3,0x8dfff000,0x55446fff,0x02aaffff,0xbfffb000,0xff8dfff0,
    0x0fa1cc6f,0x7fc007f3,0x437ffc6f,0x6fff84fc,0xf8837ffc,0x801fc83f,
    0x999fd998,0x7fc19df9,0x403ffea3,0x3bf62ffc,0x6c7ffc80,0x7ffc47ff,
    0xfffb8204,0x83fff32f,0xffb07ffe,0xd07ffd8f,0xff33dfff,0x1fffd89f,
    0x7ec0e440,0xffe8aeff,0x0bfff105,0x0592fffc,0x982ffff8,0x4dff500c,
    0x7d42fff9,0x0bffe66f,0x7fccdff5,0x337fd42f,0xffa85fff,0x40bffe66,
    0x7fdc5ffe,0xd317fec2,0x008dffd0,0x5ffffd70,0x2607ff50,0x6e84fbee,
    0x1bffa000,0xffb8dffd,0x87ffffff,0xeeeeeeed,0xfffeeeee,0x46ffe87f,
    0x7fe46ffe,0x03740dcb,0xfd1bffa0,0xd05f50df,0x6ffe8dff,0x21dffb88,
    0x7e8004f9,0x7fd41fc4,0x20bffe66,0x3ee0fff8,0x47ffc85f,0x7fc47ffd,
    0xf983604f,0x1fff73ff,0xfb07ffd8,0x07ffd8ff,0x7f41fffb,0x37ffdc6f,
    0xfffc8020,0xf81fff61,0x3ffe05ff,0xfff00115,0xf980105f,0x0bffe66f,
    0x7fccdff3,0x337fcc2f,0xff985fff,0x30bffe66,0x7ffccdff,0x98bffd02,
    0x3ff60fff,0x3ffa0a4f,0x46f4c006,0x440ffffb,0x7018804f,0x3ddc983f,
    0xfd1bffa0,0xfecc98df,0xfe84cdff,0xaaaaaeff,0x7fffeaaa,0x7f46ffe8,
    0x80aa886f,0xd0bb01fc,0x6ffe8dff,0xffe81f98,0x4437ff46,0x1ba19999,
    0x3e015bb5,0x7cc17d45,0x0bffe66f,0xff51fff2,0x47ffd81f,0x7fc47ffd,
    0xf717604f,0x21fff23f,0xffb07ffd,0xb07ffe8f,0x6ffd8fff,0x127fffc4,
    0xfff90019,0xf03ffe41,0x7ffc0bff,0x7fffc005,0x21730002,0x982fffd9,
    0x5fffb30b,0x3f661730,0x30b982ff,0x7305fffb,0x0bfff661,0x3e62fff4,
    0x3ffea2ff,0xdffd00ef,0xd07fdc00,0x06b8dfff,0x2a27cc00,0xd06fb8ff,
    0x6ffe8dff,0x807ffe60,0xd806fffd,0xffe86fff,0x0037ff46,0x2fe40fe6,
    0x3fa37ff4,0x3fa0f06f,0x037ff46f,0xffb87f20,0x43f984ff,0x217300fc,
    0xe82fffd9,0x7ffd47ff,0xb0ffff41,0xfff88fff,0xfb8ff204,0x361fffa6,
    0xfffd07ff,0x407fff41,0x7fec7ffd,0xfffffa87,0xff9001fe,0x07ffe41f,
    0x3e05fff8,0x7fc005ff,0x4c0002ff,0x02fffbfd,0x3ffeff66,0x3eff6602,
    0x3f6602ff,0x2602fffb,0x02fffbfd,0xff88bffd,0x7ffff44f,0x06ffe81e,
    0xfa8fff30,0x03d15fff,0x7c46e800,0xd09ff35f,0x6ffe8dff,0x9007ffc0,
    0xfd00dfff,0xdffd09ff,0x4006ffe8,0x0bff706e,0xffe8dffd,0x3ffa0b06,
    0x0037ff46,0x446c49f3,0x3ffee7fe,0xffffffff,0xff7fb307,0x8dfff05f,
    0x3f63fffa,0xffb0efff,0x04fff88f,0x3bf7fbb2,0x361fffa0,0xfffd87ff,
    0xffffd8ef,0x23ffec0d,0xff307ffd,0x64003bff,0x3ff20fff,0x0bfff00f,
    0x2002fffc,0x0802ffff,0xff31df70,0x23bee05f,0xf702fff9,0x05fff31d,
    0x3fe63bee,0x31df702f,0x3fa05fff,0x27ffc45f,0x1fffff62,0x6401bffa,
    0x7fe41fff,0x0003dcff,0x3fee0fdc,0xfd0fff35,0x06ffe8df,0x3ea03fec,
    0xffe807ff,0x46ffe83f,0x32006ffe,0x5fcd981f,0x7f46ffe8,0x3fa0106f,
    0x037ff46f,0x5fb80dd0,0x3bbbffaa,0xb86eeffe,0x2fff98ef,0x7d46fff8,
    0x3f6003ff,0x27ffc47f,0x6406d430,0x7fec0fff,0x40013007,0x7fec7ffd,
    0x00074c07,0xf907ffe4,0x3ffe01ff,0x017ffe05,0x005ffff0,0x263ffb0b,
    0xffd82fff,0xb05fff31,0x3ffe63ff,0xf31ffd82,0x3ffb05ff,0x740bffe6,
    0x7ffc45ff,0xffffb823,0x8037ff42,0xfd83fffe,0x40006fff,0x4ffc84f9,
    0xfe81fff1,0x037ff46f,0xf8a0bf73,0x3e200fff,0xdffd06ff,0x3006ffe8,
    0xf91d307f,0xe8dffd0b,0x7f4006ff,0x037ff46f,0x7ec01fc8,0x1fcc7e82,
    0x3e63ffb0,0x6ffd82ff,0x0017ffd4,0xff88dffb,0x07fd004f,0xfd83fff5,
    0x0dff007f,0xfb1fff60,0x04fd80ff,0x20fffc80,0xff00fffc,0x2fffc0bf,
    0x0bfffe00,0x7ff88d10,0xf10bffe6,0x17ffccff,0xff99ffe2,0x33ffc42f,
    0xff885fff,0x40bffe67,0x7f425ffe,0xff98362f,0x037ff43f,0x41ffffd8,
    0x0dffffe8,0x8374002a,0xfff15ffc,0x746ffd81,0xfffb86ff,0x6ca999df,
    0xb807ffea,0xffb01fff,0x006ffe8d,0x321d10dd,0x46ffd85f,0x3eb86ffe,
    0x7f46ffd8,0x04f9806f,0x45f81fc4,0xfff102fa,0x5c17ffcc,0x7ffd47ff,
    0x7ecf6200,0x27ffc45f,0xff07fb80,0x3fffcc9f,0x801ff980,0x7fec7ffd,
    0x007fd407,0xc83fff20,0xfff00fff,0x02fffc0b,0x00bfffe0,0xafffc8d9,
    0x643fffd9,0xffd9afff,0x57ffe43f,0x643fffd9,0xffd9afff,0x57ffe43f,
    0xf03fffd9,0x327febff,0xf71760ff,0x16ffe83f,0x7fffdc05,0x7fffdc1f,
    0x7005cbef,0x57fea03f,0xffc87ff9,0x31bffea7,0xffffd55d,0xffe89fff,
    0x09ffd106,0xff53ffe4,0x03f900df,0xbffffff7,0x3ea7ffc8,0x7ffcc6ff,
    0xf53ffe42,0x0dd00dff,0x7f3047d0,0xff900fc8,0x7fffb35f,0x5c1fff10,
    0xb7dc04ff,0x7fc43ffd,0x0df5004f,0x3aabfff2,0x400bfffe,0xfd800ff8,
    0x03fff47f,0x32001fe6,0x3ff20fff,0x0bfff00f,0x2002fffc,0x2a02ffff,
    0x7fffdc5f,0x24efffaf,0xfafffffb,0x3fee4eff,0xefffafff,0x3ffffee4,
    0x2e4efffa,0xffafffff,0x7ffc44ef,0x85f73ff5,0x21bee3fc,0x00ebfffb,
    0x7ffffff4,0xfffebeed,0xf8800fff,0xf9b7f404,0xcfffa83f,0x547ffeec,
    0xffffff14,0x7ff901ff,0xa807ffb0,0xfeeccfff,0x827cc07f,0x3ffeccc9,
    0x7667ffd4,0x7fdc7ffe,0x67ffd43f,0x407ffeec,0x56ec01fb,0xd07ea3ca,
    0x7fffdc0f,0x84efffaf,0x3bfa3ffa,0x74ffc400,0x5fff985f,0x006f6cc0,
    0xfb1dfff7,0x764017bf,0xfffd002d,0x407fff41,0x8001ded8,0x3f61fffd,
    0xfff881ff,0x0ffff107,0x6ffffc40,0x13fee620,0x2e19ffb1,0x3f620dff,
    0x1bff70cf,0xb867fec4,0x3f620dff,0x1bff70cf,0xb867fec4,0x3fa20dff,
    0x7bdd55ff,0xdfbfdd90,0x077ff201,0x3ffff220,0x7ffe43ff,0x00dd001e,
    0x09f93ff3,0x746fffe4,0x3ba0dfff,0xffffb8ef,0x37ffa601,0x9000dffd,
    0xffd1bfff,0x01ba01bf,0xff905fc8,0xbfffd1bf,0x203ffe21,0xfe8dfffc,
    0x4f980dff,0x7ffffec0,0x0bf03f21,0xb867fec4,0xfd300dff,0x4c009fdb,
    0x75c0acdb,0x001dffff,0x00986600,0x3ff60000,0xfffd8eff,0x400000df,
    0xc9effffc,0x261effff,0x20dffffe,0x0dffffe9,0x3fffb260,0xffffffff,
    0x040103ff,0x01004010,0x00401004,0x00000401,0x2001510c,0x9a988000,
    0x8006a200,0xb71001ea,0x01310039,0x0cc41980,0x0026a200,0x40004c40,
    0x32a001ea,0x00026203,0x00098803,0x664c05c8,0x414c4ccc,0x0200801a,
    0x0000d440,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0x3dffffff,
    0x9277ff64,0x7bffffff,0x1ffffb50,0x3fffffee,0xfffffb15,0xffeb839f,
    0x55555554,0xe9855554,0x40005fff,0x007fffea,0x65c40131,0x419999bd,
    0x201303db,0x200002c9,0x12603ccc,0x880c41e4,0x205b7101,0x3262aaaa,
    0x6c41dc0b,0x7e4c0001,0x23dfffff,0xfffffec9,0xc82540ce,0x401e65c2,
    0xed82ccc8,0x332e003e,0x541aaa84,0x202001aa,0x06000000,0x40000980,
    0x7fffc02a,0x7f42ffff,0xffffffff,0x80002005,0xfffffdc8,0xfffd51ce,
    0x3ff601ff,0x7ffcc4ef,0x4077403f,0x805ffff8,0x7fd40dfa,0xfffa83ff,
    0x98fe204f,0x261efffe,0x7ffc44fd,0xffd00005,0xfceea80f,0x4effd42f,
    0x2a7ffffc,0x7fe42fff,0x98fffcc2,0x0688befd,0x20077fd4,0x01fb10ee,
    0x640b60ba,0xff980fff,0x85fff57f,0x01ba64f9,0xff1017f2,0xffe809ff,
    0x886fc06f,0x7ffcc0fd,0x42ffdc00,0x800ffffa,0xff81fff8,0x027ffc5f,
    0x5456ff54,0x7ec7fb04,0x20375c03,0x01efffc9,0x2a06fa80,0x7fffffff,
    0x7fffffc4,0x2002ffff,0xfd80002c,0xff900fff,0x77440dff,0x2ffff880,
    0xff902640,0x01d500df,0x7417fffa,0x1e206fff,0x2e1bffe6,0x00bfff05,
    0x81fffa00,0x6ff8affa,0xff83ffe6,0x3ffee19e,0x3237ffc3,0xfffd4fff,
    0xfc809fff,0xaefa800e,0x3bee03fe,0x3f607fed,0xfffb01ff,0xb07ffff3,
    0x803ff5bf,0x7c02fff9,0x7ec03fff,0x77dc05ff,0xff303fea,0x40efe807,
    0x04fedff8,0xff02ffa8,0x04fff8bf,0x7fffffcc,0x57ff981f,0xff710fff,
    0x7ffd40df,0x2001ffff,0x3f606ff8,0x44ffffff,0xfffffffa,0xf1000fff,
    0xff70000b,0xffff80df,0xf817204f,0x25c01fff,0x05ffff10,0x3fea03d8,
    0xfffa80ff,0x3a09700f,0x81640fff,0x00005fff,0x7fc0fffb,0x7ec7fd2f,
    0x21ffec6f,0x7f40fff8,0x4fffcc4f,0xffffdbe9,0x0007fc01,0x880ffffd,
    0x203ffffe,0x3f206ffa,0x0dc88eff,0x05ffff88,0x401fff88,0x6402ffff,
    0xfe804fff,0x2fd406ff,0xf701df10,0xb003fa29,0x2fffc05f,0x97013ffe,
    0x20dfffd7,0xbff15ff8,0x6ffffec8,0xfffdff10,0x7f400dff,0x557f106f,
    0xfc815555,0xfdccccef,0x07fee005,0xdfff7000,0xffffef80,0x7fc09503,
    0x025c01ff,0x8817fff6,0x3ffff807,0x207ffff0,0x7fff501e,0x17ffe068,
    0x3ffec000,0x202fff98,0x7fec5ffe,0x2f220505,0x4331c980,0x1fa803a8,
    0x17ffd400,0x800cda80,0x7ffe4018,0x3fff2003,0x005b5000,0xc805ffff,
    0xfa804fff,0x0fa802ff,0x5f101d70,0x17c409b0,0xff17ffe0,0x5c43809f,
    0x0a214401,0x837ffcc2,0xfff930cb,0xfff9001f,0xd0016a0d,0x001fe405,
    0x80009ffd,0x7c06fffb,0x81fffff9,0x3fffe04a,0x26025c01,0x7701ffff,
    0x0dfff900,0x221bfff2,0x53fff406,0xaafffc09,0x65cc01cc,0x2a0fffb3,
    0x3f602fff,0x027fec6f,0x00000000,0x01998000,0x64000000,0x4c001fff,
    0xf0000009,0xfc805fff,0x333004ff,0x00000000,0xfff00003,0x004fff8b,
    0x22000000,0x20906fff,0x5401ffff,0xdb06ffee,0x02801359,0xfa8007fc,
    0x20000fff,0xbc06fffb,0x40fffffa,0x3fffe04a,0x74025c01,0x01d04fff,
    0x03ffff30,0xc83fffff,0x97ffdc03,0x37ffe00d,0xb06ffffd,0xffdbdbff,
    0x9fff950f,0x8fff5015,0x88502ffd,0x1001aaaa,0x2a035555,0x2f262aaa,
    0x44aaaaa0,0x55100bcb,0x00a00355,0xa801fff9,0x2f262aaa,0x2aaaaaa0,
    0xff81aaaa,0x7fe402ff,0x5555504f,0x44355555,0x5441aaaa,0xaa881aaa,
    0x555501aa,0x43555555,0x7ffc5fff,0x25555504,0x5100bcb8,0xff003555,
    0xffc800df,0x7f4fc407,0xffff886f,0xf30003ff,0x7fff400b,0x3ee0003f,
    0xf73c06ff,0x04a8dfff,0x7007fffe,0xffff7009,0x3a004a81,0x6ed44fff,
    0x00745fff,0x1a3bffe2,0x119ffff0,0xffb8bffd,0x11fffee4,0x1fffffff,
    0x7c47ff20,0xf911e05f,0x32200bff,0xff305fff,0x8bffeaff,0xfe9ffffa,
    0xfc880fff,0x048805ff,0x4c03ffe4,0xfff57fff,0x5d5e7f45,0xff81ffff,
    0x7fe402ff,0x579fd04f,0x443ffff7,0x6445fffc,0xfc885fff,0x79fd05ff,
    0x43ffff75,0x7ffc5fff,0x3ffff504,0x101ffffd,0xf00bfff9,0xfb800dff,
    0xfe9f405f,0xffffb86f,0x4002ffff,0x7d3003fc,0x4000ffff,0x3c06fffb,
    0xa93ffff6,0x07fffe04,0x3fe00970,0x000743ff,0x6c1ffff5,0x50ffffa9,
    0x3fff200b,0x2fffc02d,0x7ccbffea,0x3fff41ff,0x802fffa8,0x03efcfe9,
    0xfff103e2,0x7ffc400b,0x27fff605,0x7f43ffff,0xfff99eff,0x0bfff104,
    0xffc80790,0x3fffb007,0x1747ffff,0x7c13fff2,0x7e402fff,0xc85d04ff,
    0xff884fff,0x5fff885f,0x20bfff10,0x27ffe42e,0xfff17ffe,0x77fff409,
    0x104fff99,0xff00bfff,0xffd800df,0xffe97203,0xfffffe86,0x2001ffff,
    0x15b000fe,0x0005ffff,0xf01bffee,0x2ffffe88,0x7fffc095,0xc8025c01,
    0x016a6fff,0x4cffffe0,0x6cffffe6,0xffff1002,0x45fff801,0xff73fff8,
    0x07ffd81f,0x7005fff5,0xf3001339,0x90bfff05,0x5fff819f,0x23bfff20,
    0x7fec0dc8,0x81bffa0f,0x7e405fff,0x03ffe400,0x88efffc8,0xff1160dc,
    0x3ffe01ff,0x7ffe402f,0xfff88b04,0x0bfff00f,0xff817ffe,0xff88b05f,
    0x2fffc0ff,0x6c0d7ffe,0x3ffa0fff,0x017ffe06,0x8801bffe,0x83a606ff,
    0x99886ffe,0x6fffffca,0x200df300,0x1bfff268,0x37ffdc00,0x3ffe21e0,
    0x3e04a9ff,0x25c01fff,0x2ffff880,0xff90003b,0xffc8f2df,0x6c0068ef,
    0xfff804ff,0xcafffc45,0x7ffd87ff,0x805fff50,0x3fb8007e,0x7d45fff8,
    0x2fffc3ff,0x007fff90,0xffd8fffb,0x817ffe06,0xffd804fd,0x7fff9007,
    0x7ffec080,0x0bfffe03,0x209fff90,0x01fffec0,0x3fe0bfff,0x17ffe05f,
    0x0ffff604,0xffb9bffe,0xfffb076f,0x3e06ffd8,0xfff805ff,0x03fea006,
    0x3ffa0fc4,0x3ffea006,0x03fc801f,0x7ffcc790,0xffb8001f,0xfa83c06f,
    0x204befff,0x6401ffff,0x3fff6003,0xf300069d,0x4c1d5fff,0x004cffff,
    0x7c00ffcc,0x6fff85ff,0xffb0fffd,0x0bffea0f,0xaaadff98,0x0bfb009a,
    0xffb8bfff,0x02fffc4f,0xb003fff9,0x7ffd8fff,0x2217ffe0,0xfe801ffd,
    0xffc800ff,0x3fea001f,0x7fffc06f,0x27ffe402,0x037ffd40,0x7fc17ffe,
    0x17ffe05f,0x41bffea0,0xdddcffff,0xfd82dfff,0x03ffec7f,0xff00bfff,
    0x17f400df,0xdffd07b0,0x2fff9800,0x8800fe80,0x2ffff40f,0x37ffdc00,
    0xfffb81e0,0x3ffe04ff,0x001e401f,0x05bffff3,0x7ffff400,0x1ffffe84,
    0xf006e800,0x9fff0bff,0x3f61fffa,0x5fff507f,0x7ffffd40,0x7c0dffff,
    0x45fff87f,0x7fc0ffe8,0x3fff205f,0x47ffd800,0x3fe07ffd,0x06ffe85f,
    0x2effffd8,0x007ffe40,0x803fffd0,0x0a62ffff,0xd009fff9,0xff803fff,
    0x0bfff05f,0x7402fffc,0xef881fff,0xfff14fff,0x8fffb019,0x3fe07ffd,
    0x6fff805f,0x4c07f700,0xffeeeeef,0x2a002eff,0x37cc01ff,0xffa84b80,
    0x70a200ff,0x0780dfff,0x027fffec,0xd805fffb,0x7fff4002,0x7fd40006,
    0xfffb80ff,0x00770006,0xff117ffe,0x03fff25f,0x3ea0fffb,0x3fa202ff,
    0xffffffff,0xf07ffe25,0x7c060bff,0x3ff205ff,0x8fffb007,0x3fe07ffd,
    0x27ffc45f,0x00c407b6,0x2007ffc8,0xf804fffc,0x9ff72fff,0x2027ffe4,
    0xf804fffc,0xbfff05ff,0x202fffc0,0xf304fffc,0x80260333,0x7fec7ffd,
    0x017ffe07,0x2601bffe,0x7ffd403f,0xffffffff,0x403fc003,0xddd003fc,
    0xffffdddd,0xb9bfe609,0x03c05fff,0x9027fff4,0x7c407fff,0x7ffd4000,
    0xfff80003,0x07fff105,0x7c003600,0x7ffc45ff,0xd83fff51,0xfff507ff,
    0xeeff9805,0x2a7fffee,0x7ffc3fff,0x2fffc005,0x200fff90,0x7fec7ffd,
    0x517ffe07,0x7fcc9fff,0x805ff705,0xf1007ffc,0xf8081fff,0xdffd2fff,
    0x101fffec,0x8081ffff,0xfff05fff,0x02fffc0b,0x081ffff1,0xd80007f7,
    0x3ffec7ff,0xf00bfff0,0x4e880dff,0x3ffea190,0xffffffff,0x017a0043,
    0x12a003fa,0x80ffffb8,0xff70fffc,0x8807809f,0x3e604fff,0x00f606ff,
    0x0007ffc0,0xb017fe40,0x5f9001ff,0xfff80126,0x3e27fd45,0x3ffe64ff,
    0x05fff507,0xdf702fdc,0x3e27ffdc,0x7fc005ff,0x1fff205f,0x363ffec0,
    0x3ffe07ff,0x12fffcc5,0x3f220bff,0x03ffe405,0x543fffd8,0xb2ffff82,
    0x7ffec7ff,0x0ffff600,0x0bfff055,0xff817ffe,0x3fff605f,0x05fc9543,
    0x23ffec00,0x3fe07ffd,0x6fff805f,0x555576c0,0xffd006dc,0x305df90d,
    0x06f9803d,0x7fc403d0,0x5ffb83ff,0x880bffee,0x4ff9801f,0x8efffd40,
    0x20005da8,0x300004fc,0x05fa80df,0x0396ff88,0xd07fffc0,0x5fff90bf,
    0x17fffdd5,0x202fffa8,0x8fea03fe,0x7fc4fffc,0x7ffc005f,0x01fff605,
    0x3fa3ffec,0x17ffe07f,0x5fb1fffa,0x3601fe40,0xffa807ff,0x220fc46f,
    0xff14ffff,0x80bffe23,0x7c46fffa,0xf05fff81,0x7ffc0bff,0x8dfff505,
    0x00ffd1f8,0x747ffd80,0x3ffe07ff,0x37ffc405,0xffffff70,0x3fa00bff,
    0xdfffe86f,0xf7001b51,0x900f5007,0xfd10ffff,0x2027ff45,0x9f7003fa,
    0xffffd300,0x880007ff,0x3a00000f,0xd002f803,0xf8009bff,0xceecfd8d,
    0x1dfff700,0xa817bffb,0x3ea03fff,0xfba889bf,0x117ffd43,0x4400ffff,
    0x3fa07fff,0xffe800ff,0x03fffa0f,0x261fffe2,0x4e99dfff,0xd009db50,
    0xfe801fff,0x43f661ff,0xfffffec8,0xfedfd9ac,0x7fff402e,0xf103f661,
    0xfff10fff,0x1fffe20f,0xb30ffff4,0x001bfa1f,0x741fffd0,0xff880fff,
    0x7ffcc07f,0xffffa80f,0x003fffff,0xfb30dffd,0x0019dfff,0xff1007fa,
    0xffffa801,0xfedfc884,0x3ffaa03e,0x04c802df,0x000d54c0,0x80000300,
    0x20018009,0x18001dc9,0x33000d44,0xfff9004c,0x2e201bff,0x00abdedc,
    0x7ff4c7b7,0x74c00dff,0x6c0dffff,0x202effff,0xd8effffd,0x260dffff,
    0x80dffffe,0x001cdecb,0xdffffb00,0x3fffee05,0x00fffffe,0x00155300,
    0xffdffff7,0x7f4c1fff,0xfd30dfff,0x74c1bfff,0x2e0dffff,0xfffeffff,
    0x005b50ff,0x77fffec0,0x0dffffd8,0x37ffffa6,0x7fffe5c0,0xfff10cef,
    0x5fffffff,0x01bffa00,0x55000133,0xcefffb80,0x7fff6440,0xa9880dff,
    0x18000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x885e5cc0,0x8d5554c4,
    0xffe81cb9,0x3fa62eff,0xffff952f,0x15bddfff,0xffca8000,0xffffffff,
    0x3a64ffff,0x1dffffff,0x8fbfffae,0xffffffc9,0x7fe4004d,0xffffffff,
    0xcc981fff,0x4c4ccccc,0xfffffffc,0x04ffffff,0x7ff64c24,0xffffffff,
    0x999915ff,0x64c19999,0x4dfffffe,0xffffffb7,0x3fff6a59,0xaceeffff,
    0x3ffb2600,0x6d42dfff,0x6c1dffff,0x54007fff,0x7fff4c2c,0x07fffe85,
    0x7fff64c0,0x64c02cff,0x00ffffff,0xefffffa8,0x03fffec4,0xfffff930,
    0x039ddfff,0x99999950,0xfffb3079,0x36e9dfff,0x2dffffff,0x80bfffd3,
    0xffffffca,0x000adeef,0xcccca824,0xff304ccc,0x8ff7db39,0xfcdfffc8,
    0xffe86fff,0x982f881f,0xca9affff,0x80003fff,0x9efffdfa,0x84ffca99,
    0x205ffffd,0x3fe203fe,0xfb0004ff,0xfff9837d,0xffff704f,0x3e20ffff,
    0x93312fff,0x036409ff,0x227ffff1,0xf35ffb99,0x3fffffff,0x09ffff10,
    0x407fffee,0xa9affffa,0x4403fffc,0x6404ffff,0x3ffa01ef,0x3ffe6007,
    0x82fffc41,0x10007fff,0x8005ffff,0x03fffff8,0x05ffffe8,0x2001fffe,
    0xa9affff9,0x6c04fffe,0x5fffffff,0x17fffe20,0x417fffdc,0x3005fff8,
    0x9535ffff,0x32007fff,0xfffff906,0x9ff10fff,0x443fffc4,0xe98cffff,
    0x7ffd44ff,0x3fe06a84,0x7ffdc2ff,0x3360000e,0xf306fffb,0xfffff109,
    0x3e013e01,0xd0002fff,0x3fffa01d,0x9999300f,0x7fc09999,0x09f302ff,
    0xffd01be6,0x457a207f,0xcccccccc,0x07ffff00,0x403fffe6,0x640ffff8,
    0x7f405fff,0x37e203ff,0x3fffb200,0x3f202ccc,0x5fff84ff,0x000fffd0,
    0x000ffffc,0x037ffefc,0x13fff7a6,0x0007ffd8,0xfd83ffff,0x332a04ff,
    0x883ccccc,0xceffffcc,0xfffdcccc,0x7ffc1ccf,0x3fffe005,0x077ffdc2,
    0x32a0df30,0x44cccccc,0x7f41ffe8,0x8dfff07f,0x7fc1fffb,0x3e03c86f,
    0xffb82fff,0x1f30005f,0x640dfff7,0xbffff504,0x3fe00b90,0x1f0002ff,
    0x0bfffee0,0x7ffc0000,0x2613202f,0x7ff406ff,0x0016a03f,0x40bfffa0,
    0x2207fff9,0xfc80ffff,0x3ffa04ff,0x007d303f,0x999fffd9,0x0fffcc05,
    0xfd82fffc,0x3fe0007f,0x9f8000ff,0x3202ffff,0x204fffdb,0xf0007ffd,
    0xffa83fff,0x4400007f,0xcdffffcc,0xfffdcccc,0x7ffc1ccf,0x3fffe005,
    0x05fffb82,0x0000dff3,0xfd03ffea,0x17ffe0ff,0xfc87fff3,0xf00741ff,
    0xff105fff,0x5d0005ff,0x471bffee,0x3fff2049,0x4003aa3f,0x0002ffff,
    0x3fffe20b,0x37973005,0x85ffff00,0xfff51263,0xffd0355d,0x0b10887f,
    0xe8037973,0xff302fff,0x7ffc40ff,0xffff880f,0x07fffd01,0x7ec005f5,
    0x0e4c007f,0xfb05fff8,0x7fc000ff,0x1cdeffff,0x5fffdbc0,0xfffb1f10,
    0x03ffec09,0x41ffff80,0x221ffff9,0x5512aaaa,0x7ff40555,0xffff302f,
    0x002fffc0,0xf105ffff,0xffa85fff,0xb981aaef,0xffb80acc,0xf07ffd87,
    0xfff88bff,0x327ffcc4,0x2ffff80b,0x009fffb0,0x3ffee5b8,0xe88062c6,
    0x0e98ffff,0x0bfffe00,0xffd80400,0xefb800ff,0x3e00ffba,0x31662fff,
    0x7fffffd4,0x3fffe85f,0xdfb81154,0x3fa03fd9,0xfff302ff,0x7fffc40f,
    0x07fffd00,0xd90ffffa,0x7ffd8003,0x40005971,0xffb05fff,0x5555544f,
    0x33ffff00,0x2019fff7,0x01ffff57,0x13fff697,0x9717ffd8,0xffff8017,
    0x437ffd41,0x3ee6fffa,0x3ffa06ff,0xffff302f,0x002fffc0,0x3605ffff,
    0x3fea4fff,0x225fffff,0x2ffeaaed,0x7ec3ffec,0x0bfff07f,0xffd0dfff,
    0x3fe01e4f,0xfff702ff,0x707c400d,0x03c4dfff,0x37fffea0,0x7ffc001e,
    0x2a00002f,0xc803ffff,0x03bf62ff,0xb717fffc,0x80dffd00,0x16c3fffe,
    0xff10ffb8,0x0bfffa03,0x103fffcc,0x3201ffff,0xffd05fff,0x0037627f,
    0x3a7fff60,0x8000ffff,0xffb05fff,0x02dffa8f,0xfb83fffe,0x7f4f05ff,
    0xfb1e84ff,0x7fec09ff,0x0efffe9f,0xb07fffe0,0x3fe07fff,0x037ffc6f,
    0x2605fffd,0x3fe07fff,0x3ffe005f,0xdfff702f,0x3e0dffd0,0x83ffea3f,
    0xffd87ffe,0xf0bfff07,0xfff70bff,0xfff003e5,0x3ffea05f,0xb87b000f,
    0x0fb16fff,0x9ffff900,0x5ffff000,0x3fe20000,0xff8806ff,0x417fee0f,
    0xbd12ffff,0x80dffd00,0x3ee3fffe,0x7c6ff882,0x5fffd06f,0x81fffe60,
    0x700ffff8,0x3fa0ffff,0x05fe8bff,0x3dfffb00,0x0009fff3,0x3f60bfff,
    0xf804f87f,0x3fe20fff,0x3ee780ff,0xd9660fff,0x3f604fff,0xfff99eff,
    0x47fffe04,0x203fffd9,0x7ff46ffe,0x0bfffa06,0xf03fffcc,0x805d4bff,
    0xf502ffff,0xffe81fff,0x266ffa86,0x3ff22fff,0xf07ffd87,0xfff88bff,
    0x9dfff884,0xfffff705,0x2a3fffff,0xa802ffff,0xdffffb86,0xfd0007ff,
    0xf8001fff,0x00002fff,0x003ffff9,0xffa8fff9,0xdffff80f,0xfe805ffd,
    0x7fff406f,0xc82ffecd,0x07ffc4ff,0x7777fff4,0x7fffeeee,0x03fffe20,
    0x40ffffd4,0xfffdfffe,0xffd8003f,0x01bffa0f,0x6c17ffe0,0x8026c7ff,
    0x7f40ffff,0x3e2783ff,0xd8b63fff,0x3f604fff,0x17ffa0ff,0xfffffff8,
    0x7f400dff,0x037ff46f,0xddddfffd,0x0ffffddd,0xff9afffc,0x3ffffee5,
    0xf51fffff,0xffe85fff,0x266ff986,0x3fea2fff,0x83ffec0f,0x7fc45fff,
    0xfd33332f,0x13339bff,0x203ffff0,0x803ffff9,0xfdccccde,0x07fdaeff,
    0xbffff300,0x2ffff800,0xfff98000,0xfffd005f,0xf81fffa8,0x5feccfff,
    0x406ffe80,0xffccfffe,0xceffd82f,0xe81fffcc,0xaaaacfff,0x207fffca,
    0x500ffff8,0xfd05ffff,0xffffddff,0x7ffd8005,0x36237fec,0x0bfff03f,
    0x04c9fff6,0xd03fffe0,0xc8f07fff,0xd8d16fff,0x3f604fff,0x037fec7f,
    0xb555ffff,0x3a01bfff,0x37ff46ff,0x559fffd0,0xffff9555,0xf9afffc0,
    0x3ffff06f,0x4ffffe60,0xfffffffb,0x7ecc2e65,0x3ffe22ff,0xf83fff42,
    0x7ffdc6ff,0xffddddd0,0x05ddddff,0x2a03ffff,0x6401ffff,0xfc99999c,
    0x001ee6ff,0x1fffffd4,0x05ffff00,0xffffd000,0x1bffe001,0xff07fff5,
    0x017a25ff,0xfd01bffa,0x417d47ff,0xaaaadffe,0xfffe80aa,0x0ffff302,
    0x807fffc4,0xe80ffffb,0xfff8bfff,0x3f6000ff,0x23ffec7f,0xff83fffd,
    0x2fffb05f,0x3fe004fc,0x7fffc0ff,0x7ffc4780,0x7fec3b9f,0x1fff604f,
    0x7fc0fffb,0x7ffe41ff,0x46ffe80f,0x3fa06ffe,0xfff302ff,0x72fffc0f,
    0x3fffe039,0x3ffff501,0x4c06ffe8,0x42fffbfd,0xfd9afffc,0xffff07ff,
    0x05ffd31b,0x802fffc4,0xf701ffff,0x74c01fff,0x8dfff700,0xe9e98007,
    0xf000ffff,0x01005fff,0x01ffffdc,0x546fff86,0xfff83fff,0x3a016a2f,
    0x7ff406ff,0x7f41643f,0x7ff4005f,0xffff302f,0x07fffc40,0xd07fffc8,
    0x3fe67fff,0xfb000eff,0x47ffd8ff,0xff85fffe,0x9fffb05f,0x3e003fff,
    0x3fea0fff,0xffb0f06f,0xffd81dbf,0x1fff604f,0x7fc0fffb,0xffff81ff,
    0x746ffe85,0x3ffa06ff,0xffff302f,0x002fffc0,0x2e03ffff,0x7f40ffff,
    0x23bee06f,0xfc82fff9,0x7ffd9fff,0xff5bfff0,0xff8807df,0xffff005f,
    0x1bfff203,0x7fdc05d0,0x10142c6f,0x3fffe63d,0x5ffff006,0x3fe20b00,
    0xb1d406ff,0xfffa8dff,0x22ffff82,0x7ff43858,0x1ffff406,0x1fff60aa,
    0x05fffd00,0x881fffe6,0xfb00ffff,0x3ffa0bff,0x3fffee3f,0x8fffb005,
    0x7fd47ffd,0x05fff86f,0xfff9fffb,0xffff001d,0x0bfff735,0x7fffd43c,
    0x04fffd85,0xffb1fff6,0x0ffffc0f,0x743fffec,0x37ff46ff,0x205fffd0,
    0x3e07fff9,0x3fe005ff,0xfff901ff,0x20dffd0d,0xfff31ffd,0xffb0cc05,
    0x997ffe0f,0xfddddd01,0x5ddddfff,0x203ffff0,0x2e02fffe,0x37ffdc05,
    0x1ec0b10a,0x00ffffee,0x100bfffe,0x3ffff60d,0xff717401,0x80fffa8f,
    0x2142ffff,0x037ff458,0x310ffffa,0x307fff90,0x05fffd01,0x881fffe6,
    0xff00ffff,0x3ffa03ff,0x7fffec3f,0x47ffd803,0x13207ffd,0x7ec17ffe,
    0x09fff77f,0xdffffff0,0xd078059d,0xffb03fff,0x3ffec09f,0xff81fff6,
    0xfffc81ff,0x746ffd87,0x3ffa06ff,0xffff302f,0x002fffc0,0x3a03ffff,
    0xffe82fff,0x267ff886,0x36002fff,0xbfff07ff,0x26666600,0x9999dfff,
    0x81ffff80,0x2205fffa,0x7ffdc00f,0x5c826406,0x01ffffd0,0x402ffff8,
    0xffffa86c,0xf10fcc04,0x27fdc1ff,0x402ffff8,0x8b7ff43c,0x03fffe82,
    0x47ffff10,0x5fffd048,0x81fffe60,0xb80ffff8,0x3fa04fff,0x7ff443ff,
    0x7fec02ff,0xf03ffec7,0x20bfff03,0x3ff67ffd,0x7fffc02f,0xb80f8000,
    0xfffb06ff,0x23ffec09,0x3fe07ffd,0xfffe81ff,0x2a7ffc85,0x3fa06fff,
    0xfff302ff,0x02fffc0f,0x503ffff0,0x3f60bfff,0x3ff2517f,0x3fffd9af,
    0x41fff600,0x30005fff,0x3e00bfff,0x7f442fff,0x013600ef,0xb81bffee,
    0x300fb82f,0xf80dffff,0x3ea02fff,0x06fffe85,0x3ea07fd4,0x403bfa3f,
    0x2e03ffff,0x5fffdc2f,0x3fffe80e,0x3fffee00,0xfff00ede,0x3ffe607f,
    0xffff100f,0x0dffe883,0x20ffffa0,0x01fffff9,0xffb1fff6,0x7fc16e0f,
    0x4fffb05f,0x200ffff8,0x8001ffff,0x02ff880f,0x6c09fffd,0x3ffec7ff,
    0xa83ffff0,0xfa81ffff,0xffeeccff,0x0ffffe07,0x807fffcc,0x3e005fff,
    0x7f442fff,0xfff700ef,0x3ffee1d7,0x4efffaff,0x20fffb00,0x50005fff,
    0x8801ffff,0xd514ffff,0x3fc809ff,0x1ffffc80,0x707ff6a2,0xfffd80df,
    0xffff104f,0x7fdcc41b,0x17fffe44,0x83ffecc4,0x04fedfe9,0x837fffe2,
    0xc81ffea9,0xff882efe,0x7dc004ff,0xf101dfff,0x3ee09fff,0xff301fff,
    0x3fea27ff,0x7ffc403f,0xffffb04f,0x3fffa05f,0x903fffe0,0x1fffe207,
    0xf707fff4,0x3fe20bff,0x7cc002ff,0x7fc0f903,0x3ffa05ff,0x03fffe0f,
    0x453fffe2,0x202efffb,0xfe8dfffc,0x7fc40dff,0xfff704ff,0xffff103f,
    0x3fffe200,0x09ffd514,0x443bff90,0xff70cffd,0x3ffe001b,0x37ffcc0f,
    0x3fff2e00,0x64c0ceff,0xfffffffe,0x3a200ade,0x5cc1dfff,0xfffffffd,
    0x70ffffff,0x989bffff,0xeffffffd,0xffffd931,0xffffffff,0x7fffcc7f,
    0xffffffff,0x54407fff,0x3ffb2201,0xffffffff,0x20200fff,0xfffffec8,
    0x0144003d,0xfffffd91,0x3fff2a79,0xf931cfff,0xdfffffff,0xfec8805b,
    0x322dffff,0xdfffffff,0x3bffff61,0x0effffd8,0x3ffa6013,0x3ff60dff,
    0xfffb0dff,0x3fb221df,0x401cffff,0x42dfffc9,0x7ff5c448,0x7ec3dfff,
    0xffd8efff,0xfd930eff,0xddffffff,0x02620059,0x7fff6440,0xff953dff,
    0x2639ffff,0x00dffffe,0xfffffd93,0x0015bdff,0x00802008,0xbddddb50,
    0x3bbbb663,0x0000002c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd91000,0x39bdffff,0x3fffffe0,0xffffffff,
    0xfff930ff,0x3667bfff,0xffffffff,0xff803dee,0xffffffff,0x50ffffff,
    0xd98bffff,0x4effffff,0xffff9300,0x2e009bff,0x3effffff,0x0efffd88,
    0x55555573,0x23755555,0xccccccc9,0x00018804,0x4000004c,0xaa80003b,
    0xaa88aaaa,0x55512aaa,0x0b32a201,0x55107995,0x2aaa2555,0x0041972a,
    0x2f2e6010,0x1bcb9801,0x0accb980,0x01bcb880,0x88e2b32e,0x5512aaaa,
    0xaaa98555,0x2aaa62aa,0x0acca880,0x00059b71,0x00000840,0x80886030,
    0xaaaa8008,0x80179712,0xdaaffff8,0x7fc0efff,0xffff889c,0x40ffb988,
    0x304ffff8,0x2a21ffff,0x3e01effe,0xfff88adf,0x0ffc988f,0x4c17ffe6,
    0x0004ffff,0x009ffff1,0x1ffffd10,0x04c3fa80,0x7fdc6200,0x807fffff,
    0xf10001fa,0xbcb98009,0x9817fd41,0x2570bccb,0x88cfffe9,0x711efffc,
    0x2bbee07f,0xbbfc8efa,0x7ffd40ef,0x27bffee6,0x545f54ff,0x703b60bd,
    0x407fb3bf,0x0ffbaefb,0xfeaaed88,0x2b7ea02f,0x5ff40eff,0x7fd45fea,
    0x1bffee6f,0x43dfffd3,0x76c44fd8,0xeeaefebb,0x0000efc9,0x067ddf6a,
    0xc85c8000,0x3f107e24,0x9ffffa80,0x400ffffe,0x3ea2fffe,0x221fc6ff,
    0x7d40ffff,0x03ffff80,0x881ffff1,0x9f00ffff,0x40ffff88,0x2fffc0fa,
    0x005ffff0,0x017fffc0,0x3ffff980,0x004c2dc0,0x6664c620,0xa804cccc,
    0x9f10001f,0x5d77dc00,0x07ff11ff,0x9ff75ff7,0x44fffa8b,0x834c7ffe,
    0x3ff22ffa,0x3e17f65f,0xb7ffc6ff,0xfbfd15fe,0x9fbdffff,0xff10ffb8,
    0x6c5ff903,0x51ffc0ef,0xff701fff,0xfa93ff21,0x7ffc3746,0x5437ffc6,
    0x45b86fff,0x3fe22ff8,0x017fe1ff,0x29fff710,0x002dffe9,0x1f707ee0,
    0x07e40fc8,0x27bfffa0,0x7404fff9,0x3fe22fff,0x3e21e2ff,0x80e80fff,
    0x3e02ffff,0xffc80fff,0xf881f03f,0x40f80fff,0x3fe05fff,0x3e0002ff,
    0x20002fff,0x100ffffd,0x8001303f,0x2a000018,0x9f10001f,0xd8bff200,
    0xb85c9bff,0x0bff23ff,0xffd1bffa,0x7cc15c5f,0x1fffd47f,0xffe83ff9,
    0x5c77ff46,0x2fbfe20e,0x445ffd98,0x237fc6ff,0x3ee0fff8,0x99bfea5f,
    0x7fc42fff,0xfd9ffe67,0x3fa1a62f,0x837ff46f,0x16c0fffe,0xfff1bfea,
    0x801ffd8d,0x80beffd9,0x00bfffd9,0x9f713ee0,0x7c41df10,0x3fff600e,
    0xd01bffa0,0xffd85fff,0x3fe2124f,0xf80c80ff,0x3fe02fff,0xfffa80ff,
    0xfff10b06,0xff81901f,0x3fffe05f,0xfff00022,0x7c40005f,0x09904fff,
    0x43100026,0x001aaaa8,0x440007ea,0xfff8804f,0x06bffee0,0xfa87ffe2,
    0x1fffb86f,0x74bfffd1,0x4c6ffb80,0x3fee2fff,0x3a37ff43,0x5409aeff,
    0xc8bf305f,0x07ffc4ff,0xffa8fff9,0x4cdff30f,0x7fdc2fff,0xffb1fe45,
    0x7ff4149f,0xa837ff46,0x21a23fff,0x7ff46ff9,0x881ffdc5,0x002dffeb,
    0x05bffd71,0x3ea0ffa8,0x41df900f,0xffb00efc,0x406ffd8f,0x7f42fffe,
    0x7fc403ff,0x3fe000ff,0x3ffe02ff,0x6fffb80f,0x3fffe200,0x0bfff000,
    0x7457fffc,0x7fffc002,0x7fe40002,0x3034c0ff,0x22188001,0x2005fffc,
    0xf10001fa,0x8fff9009,0xf700fffa,0x3ffa21ff,0xafffc42f,0x98fffdab,
    0x98dffb05,0xfcaacfff,0x237ff45f,0x3fa06ffe,0xfd83f601,0xfffcccef,
    0xf51fffa1,0x985cc3ff,0x7ec2fffd,0xfffa805f,0xdffd00ef,0x3a06ffe8,
    0x4c0ee7ff,0x37ffee0b,0x44ffcaaa,0x00cfffc9,0x3bff6a00,0x327fd40b,
    0x7fc409ff,0x6c17fe25,0x3ffec7ff,0x88bfffa0,0x4400ffff,0x2000ffff,
    0x3e02ffff,0xffc80fff,0x3fe2005f,0xfff000ff,0xffff01bb,0xff0005d9,
    0x880005ff,0x1744ffff,0x18800130,0x002fffc4,0x220003f5,0x7ffe804f,
    0xc80fffd4,0xff9b0fff,0x1fffb07f,0x32bffead,0x98dfff02,0xaaaacfff,
    0x237ff42a,0x1be06ffe,0x7ff45f50,0x0aaaaaad,0xff51bffe,0xf7fb307f,
    0x6ffe85ff,0xdffffd00,0xe8dffd03,0x3fee06ff,0xd7001d2f,0x555dffd7,
    0x3fa63555,0x400002ef,0xf35fffc8,0x3ffe61ff,0x92ffe400,0xfffb0bff,
    0x7407ffd8,0x3fea2fff,0xfff8805f,0x3ffe000f,0x3fffe02f,0x07fffc40,
    0x1ffff100,0x0bfffe00,0x0077fffc,0x42ffff80,0x7fdc0029,0x980b51ff,
    0x7c0c4000,0xeeec85ff,0xeeeefeee,0xdddd53ee,0xddddffdd,0x237ffcbd,
    0xfd03fffa,0xff3791ff,0x9fff509f,0x036fffc9,0xff98dfff,0xdffd003f,
    0x3e06ffe8,0xfd1fcc05,0x3ffe00bf,0x21fffd46,0xfff98efb,0x803fff42,
    0x87ffffd8,0x7ff46ffe,0x3bffe206,0x8ffcc049,0xfa806ffe,0x00001cff,
    0x3a5ffeb8,0x07ffa2ff,0x7ec7ffb0,0x47ffd83f,0x7f407ffd,0xfffdabff,
    0xfffff103,0x3fffffff,0x017fffc0,0x7335ffff,0x8003dfff,0x000ffff8,
    0x7fc0bfff,0x3e0002ff,0x3fe62fff,0x7fff4004,0x04c01e8d,0x3fe06200,
    0xffffd85f,0xffffffff,0xfffff74f,0xffffffff,0x2a37ffcf,0xffb03fff,
    0x3ffe697f,0x43ffff03,0x3a04fffc,0x7ffcc6ff,0x8dffd005,0x3f206ffe,
    0xfd83f600,0xdffb007f,0x362fffa8,0x5fff31ff,0x401fffd8,0x0bfffee0,
    0xffe8dffd,0x77ffe406,0xd8bfee00,0xb8800fff,0x0002dffe,0x0e7ffe44,
    0xfe89bfa2,0x98ffe606,0xfffb03ff,0x7407ffd8,0xcdeeefff,0x3ffe2000,
    0x3ffe000f,0x3fffe02f,0x02fffffe,0x1ffff100,0x817ffe00,0x0002ffff,
    0xfa8bfffe,0x7fd4006f,0x09804dff,0x7fc0c400,0x07ea005f,0x4027c400,
    0x7fd46ffd,0xbfff902f,0xc80fffcc,0x7ffcc6ff,0x31bff201,0x8501ffff,
    0x7ff46ffd,0x4413e606,0x1fffe46f,0x8fff704c,0xff10fffa,0x217ffccf,
    0x6c06fffb,0xb0fffe60,0x6ffe8dff,0x02fffcc0,0xffb8fff1,0x3660503f,
    0x2000bfff,0x00beffda,0xfe88bfa2,0xfd89fb02,0xb1fff604,0xffe80fff,
    0x7c40002f,0x3e000fff,0x3fe02fff,0xffff88ff,0xfff10005,0xfffb001f,
    0x3fffea0b,0x3ffe0002,0x007b622f,0x03ffffa0,0x31000260,0x400bfff0,
    0xf10001fa,0x8fff7009,0xf500fffa,0x7ffd41ff,0xd07ff300,0x7ff880ff,
    0x0effffdc,0x27ffc839,0x2206fffa,0xfd711dff,0x3ffff889,0x1fff1122,
    0xff927fdc,0x7fffb35f,0x24ffff88,0xfb8bb0c8,0x53ffe41f,0xfb00dfff,
    0x7ffe405f,0x0ffffea0,0xfeb88019,0xff7102df,0x7cc003bf,0x7cc37cc6,
    0x3602fcc4,0x3fff47ff,0x00bfffa0,0x1ffff100,0x17fffc00,0x2e1ffff0,
    0x8002ffff,0x400ffff8,0xc85fffab,0x802ffffe,0x05ffff00,0x3fea0010,
    0x0013006f,0x5fff8188,0x0007ea00,0x7c4027c4,0x027fdc7f,0xffb8bffa,
    0x5c07f405,0x3ffa804f,0x3ffffffa,0xfffa82ed,0x07ffeecd,0xfdffffd1,
    0xfb85ffff,0x80edefff,0x3bfa3ffa,0x3ffffee0,0x544efffa,0x1fefffff,
    0x86fb8ff2,0xeeccfffa,0x6fa807ff,0x6ffffe40,0xfffffbce,0x6d4001fd,
    0xffb13eff,0x2600017d,0x3617cc2f,0xfe805e85,0x3fffa0ff,0x0bfffa00,
    0xffff1000,0x7fffc001,0x83fffe02,0x000ffffd,0x007fffc4,0xad45fff8,
    0x4802ffff,0x005ffff0,0x3ffea00b,0x80013006,0x05fff818,0x40007ea0,
    0xff5004f8,0x10077f45,0x2ff49ffd,0x1f8835c0,0xfd9fd300,0x0fbffee7,
    0xfd5fffc8,0x3fa81bff,0xd119ddb5,0xbffff70d,0x76ff4c03,0xcffd884f,
    0x301bff70,0xc83bffff,0x00efdfee,0xfd1bfff9,0x3e801bff,0x77fff440,
    0x3bfffae1,0x3ee20002,0x0005bf77,0x892a16a0,0xfd805985,0xffd8efff,
    0xffd00dff,0xf880005f,0x3e000fff,0x3fe02fff,0x3ffe20ff,0x7fc4006f,
    0xfff000ff,0x3fffe08b,0xfff06802,0x0068805f,0x200dfff5,0x40c40009,
    0xccb85fff,0xccdfdccc,0x7c402ccc,0x37fa6004,0x89d804fe,0x00dfddfd,
    0x000a0188,0x13102662,0x00026200,0x10044006,0x01a88005,0x22002008,
    0x0544300a,0x00004c40,0x00cc0026,0x000002a2,0x00000265,0x00000000,
    0x3fffa000,0x7fc40002,0x3fe000ff,0x3ffe02ff,0x7fffd40f,0x3ffe2003,
    0xbfff000f,0x017fffc0,0x7fffc16e,0xa8036402,0x13006fff,0xff818800,
    0xffffd85f,0xffffffff,0x027c404f,0x1000d440,0x00001988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000bfffa,0x03ffff10,0x017fffc0,0xf903ffff,0x22003fff,
    0xf001ffff,0x7ffc0bff,0x417e602f,0x2a02ffff,0xfff7005f,0x0002600f,
    0x7fff8831,0x99999988,0x09999999,0x00000980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000ffffe,0x05ffff50,0x13fffe20,0x817fffcc,0x800ffffe,
    0x802ffffa,0xf106fff8,0xeb88bfff,0xfff884ff,0x3ee620df,0xfff9004f,
    0x5573001f,0x55555555,0x7ff4c375,0x00000dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xcfffffec,0x7fe4c003,0x101cffff,0x9fffffd9,
    0x3fffb265,0x7fcc2cff,0xf9303fff,0x039fffff,0x37ffffa6,0xffffd910,
    0xffffffff,0x7ff64c7f,0xffffffff,0x2e203fff,0xbefffffd,0x00000002,
    0x22555550,0x66541bcb,0x45555502,0x55510bc9,0x55553555,0xaaaaaa83,
    0x2aa1aaaa,0xaa88aaaa,0x2aa20aaa,0x201441aa,0x01c98028,0x19800220,
    0x26001100,0x10062000,0x01809803,0x00620003,0xffffb80c,0xffffffff,
    0xfffff57f,0xffffffff,0x4c04020f,0x5c400bbb,0x880001bb,0x0001800a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,
    0xffffe9ff,0x09ffffb2,0x3eaffff3,0xfff712ff,0x17fd317f,0xfbabcfe8,
    0x3fea1fff,0xbff50bff,0x5fffc885,0xfe881fec,0x402fec01,0x400effe8,
    0x7f4c06f8,0x1bea00df,0x440ff6a0,0xfc85fffe,0xd8bff31f,0x0fba61ff,
    0x209f9595,0x6d43dadb,0xdddddddd,0xbb35dddd,0xbbbbbbbb,0x83a0fdbb,
    0x7fec5fe8,0xf713f623,0x31ee88df,0x7fecc3dd,0x009102df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd800000,0xffe89eff,
    0xfffc8bef,0xf9fffd81,0x7fdc3fff,0x3a05f14f,0x427ffe42,0x27c0fffe,
    0x88bfff10,0x1ff443fe,0x22017540,0x404ffbbe,0x33a03ffc,0x3ee04ffd,
    0x3ff2e00f,0xebdff983,0x53ffe25f,0xff30fffc,0x0ffff47f,0x703fe6ff,
    0x000fee5f,0x0f900000,0x7ffe4bf9,0xfb89ff12,0x07fdc1ff,0x3ff29ff9,
    0x3ff73ba4,0x03b31cff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc8000000,0x3fee1fff,0x0bffe63f,0x223bfff2,0xfffe80dc,
    0xf11603c8,0xffb01fff,0xff804c8f,0x13fe885f,0x800007fd,0x9807f608,
    0x1880ffef,0x22131bfa,0x3e20265f,0x641fd83f,0x5d3ffe3f,0xfff10fff,
    0xb27fffc7,0xfd07fe6b,0x0001bea3,0x30f90000,0x3fff23ff,0xff909f52,
    0x547f905f,0x25ff53ff,0x7fed4469,0x00006fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffc8000,0xf30fffdc,0xfff907ff,
    0x3ffea007,0x3f60406d,0xfffb03ff,0xfff80264,0xfd7fd105,0x98000007,
    0x64fec05f,0x23fd804f,0xb15b4ffa,0x07ff10df,0x74bf10df,0x8dff52ff,
    0x3fee1fff,0x7fe6cc5f,0x7cc7fe21,0x9999930f,0x99999999,0x43e40009,
    0xbfd10ff8,0x6ff9826c,0x98331720,0xdb880aa1,0x0000002d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8fff900,0x3fe21fff,
    0x1fffc83f,0x0bfffa00,0x06fffa80,0x27e5fff6,0x205fff80,0xd903ffe8,
    0xdddddddd,0xfb87dddd,0x29f505ff,0x37c00ff8,0x2f37ffe6,0xff885ffe,
    0x6e827c43,0x7fc43ff2,0xe843fec4,0x3fe2bee3,0x7f98ffc1,0x3fffffee,
    0x7fffffff,0xd91f2000,0x3000105d,0x00000100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a3ffe40,0x3fe21fff,
    0x0fffc83f,0x17ffe600,0x01fffe80,0x3ff3fff6,0x5fff802f,0x40fffa20,
    0xfffffffd,0x84ffffff,0xfe81ffd8,0xec817ea0,0xce99a880,0x7ff10199,
    0x4bf30ff0,0x217f46f9,0x21f105fb,0x1ff98ff8,0x44fa9fe4,0x88888888,
    0x00088888,0x00000040,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a3ffe40,0x3fe21fff,0x07ffc83f,
    0x01fffd80,0x404fffc8,0xfffcfffd,0x2fffc00f,0x3fecfe88,0xf8800000,
    0x741fdc0f,0x330ea81f,0x807b5d30,0xdfc83ff8,0x4f83fd51,0x0fe207e4,
    0x5dff1264,0x6ec419ff,0x00000dd8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x8fff9000,
    0x3e21fffa,0x7ffc83ff,0x6fffe800,0x07fffc40,0x2afffb02,0x7fc05fff,
    0x13fe885f,0x800007fd,0xf10fa0b9,0xf51be60d,0xfb83fddd,0x2201df77,
    0xfffb03ff,0x985b07ff,0x2c883d06,0x880a2188,0xcccc880b,0x22221ccc,
    0x88888888,0x3bbba608,0xeeeeeeee,0x0000004e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0x7ffd47ff,
    0x20fffe21,0x64007ffc,0x202fffda,0x1543fffd,0xffd9fff6,0x17ffe02f,
    0xfe887fd1,0x402eb803,0x40dccffc,0x4bf602fc,0x87fffff9,0x07ff15fe,
    0x203bff71,0x1301ceda,0x02a06030,0x3e600000,0x32ffffff,0xffffffff,
    0x26bfffff,0xeeeeeeee,0x004eeeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x83fff600,0x3e61fffb,
    0x7ffd84ff,0x7fc56a00,0xdfff506f,0x7fec1f88,0x03fffe27,0x3f22fffc,
    0x803fd103,0xaa8805fe,0x98803300,0x13333310,0x06dc3b50,0x00ccccc4,
    0x00000000,0xff300000,0x225fffff,0xcccccccc,0x003ccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a000000,0x3fee1fff,0x17ffea3f,0x2003fffa,0x3fff61f9,0x21fffe84,
    0x7ff40fd9,0x1bffee0f,0x511fffe2,0xc9803880,0x00000000,0x00000000,
    0x00000000,0x22000000,0x00088888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff600,
    0xfffffa9e,0x4fffffaa,0x0bbffff6,0x5ceffecc,0x2e5ffffe,0xfffeffff,
    0x3fff60ff,0xffffd1ef,0x3fffa63d,0x000000df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_30_latin_ext_x[560]={ 0,2,2,0,1,1,1,1,1,0,1,0,0,0,
1,0,0,1,0,0,0,0,1,0,0,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,1,1,1,0,1,0,0,
-1,0,0,1,0,0,0,1,0,1,0,0,0,0,0,0,0,2,2,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,-1,1,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-1,1,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_30_latin_ext_y[560]={ 24,5,5,5,5,5,5,5,5,5,5,7,19,16,
19,5,5,5,5,5,5,6,5,6,5,5,11,11,8,12,8,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,28,5,11,6,11,6,11,5,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,11,11,11,11,11,11,5,5,5,14,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,11,6,5,8,6,
5,5,5,5,5,11,12,16,5,2,5,7,5,5,5,11,6,12,23,5,5,11,5,5,5,11,-1,-1,-1,0,
0,1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,9,5,-1,-1,-1,0,-1,6,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,9,10,5,5,5,5,5,5,5,
1,7,0,5,5,11,-1,5,-1,5,0,5,-1,5,-1,5,6,6,1,7,0,5,0,5,6,11,-1,5,-1,5,
0,5,0,5,5,4,-1,-1,6,6,0,5,1,7,0,5,6,5,0,11,6,5,-1,5,6,6,11,-1,-1,6,
6,5,5,6,6,6,6,-1,5,6,11,-1,5,5,5,11,1,7,0,5,-1,5,5,11,-1,5,6,11,-1,5,
-1,5,-1,5,5,11,-1,5,6,7,-1,5,6,7,0,5,1,7,0,5,-1,4,-1,5,6,11,-1,5,-1,5,
0,-1,5,0,5,-1,5,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,7,7,5,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,2,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,1,-1,0,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-1,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_bold_30_latin_ext_w[560]={ 0,5,11,14,12,25,21,5,8,8,12,15,6,9,
5,8,13,11,13,12,13,13,12,13,13,13,5,6,15,15,15,12,24,20,18,18,19,17,16,20,21,10,14,22,
18,26,19,20,16,20,20,13,18,20,20,27,20,20,18,7,8,7,13,15,7,13,14,11,14,11,12,13,15,8,
8,16,8,21,15,13,14,14,12,9,9,15,14,20,14,14,12,8,2,8,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,12,13,14,14,
2,12,9,20,9,14,16,9,20,15,10,15,8,8,6,15,15,5,6,8,9,14,20,20,20,11,20,20,20,20,
20,20,27,18,17,17,17,17,10,10,10,10,19,19,20,20,20,20,20,12,20,20,20,20,20,20,16,14,13,13,
13,13,13,13,18,11,11,11,11,11,9,8,10,10,13,15,13,13,13,13,13,15,13,15,15,15,15,14,14,14,
20,13,20,13,20,13,18,11,18,11,18,11,18,11,19,19,19,14,17,11,17,11,17,11,17,11,17,11,20,13,
20,13,20,13,20,13,21,15,21,15,10,10,10,10,10,9,10,8,10,8,23,14,14,10,22,16,16,18,8,18,
8,18,13,18,12,18,8,19,15,19,15,19,15,20,20,14,20,13,20,13,20,13,26,19,20,12,20,12,20,12,
13,9,13,9,13,9,13,10,18,9,18,14,18,9,20,15,20,15,20,15,20,15,20,15,20,15,27,20,20,14,
20,18,12,18,12,18,12,11,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,21,16,15,15,15,15,15,15,15,15,15,15,15,15,15,23,17,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,13,10,10,20,
13,20,15,20,15,20,15,20,15,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,13,27,18,20,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_bold_30_latin_ext_h[560]={ 0,20,10,20,21,20,20,10,25,25,11,16,10,4,
6,20,20,19,19,20,19,19,20,19,20,20,14,18,14,7,14,20,25,19,18,20,18,18,18,20,18,18,19,18,
18,18,19,20,18,24,18,20,18,19,19,19,18,18,18,23,20,23,11,2,6,14,19,14,19,14,19,19,18,19,
25,18,18,13,13,14,19,19,13,14,18,14,14,14,13,19,13,25,25,25,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,23,20,14,18,
25,25,5,20,9,13,7,4,20,3,10,16,11,11,6,19,24,6,7,11,9,13,20,20,20,19,25,25,25,24,
24,23,18,25,25,25,25,24,25,25,25,24,18,25,26,26,26,25,25,12,21,26,26,26,25,25,18,20,20,20,
20,20,20,21,14,19,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,12,15,20,20,20,20,25,25,25,
23,18,24,20,26,20,26,20,26,20,25,20,26,20,25,20,18,19,23,18,24,20,24,20,25,20,25,20,26,25,
25,25,25,25,25,26,25,25,18,18,24,19,23,17,24,19,25,26,24,13,19,25,26,25,24,24,13,25,25,24,
24,19,19,18,18,18,18,26,19,24,19,26,19,19,20,19,24,18,25,20,26,20,20,14,25,19,24,19,25,19,
26,20,26,20,25,19,26,20,25,24,25,20,18,18,25,20,24,18,25,20,26,21,26,20,25,20,26,20,25,25,
24,25,19,24,19,25,19,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,17,17,25,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,15,17,17,17,17,17,17,17,17,17,17,17,17,17,23,14,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,25,20,25,19,26,
20,26,20,26,22,26,24,26,25,26,24,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,28,26,25,20,27,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_bold_30_latin_ext_s[560]={ 507,263,372,306,248,134,112,366,268,372,333,
199,384,411,464,501,75,225,237,1,251,265,356,279,310,314,506,305,432,411,448,
324,34,293,398,337,246,167,195,223,224,37,314,266,115,355,329,26,1,19,48,
209,69,349,370,391,94,135,134,117,342,125,310,437,470,346,434,360,449,320,464,
477,382,497,39,321,312,183,494,332,16,1,205,372,185,382,398,246,218,419,233,
337,501,249,488,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,507,491,104,
176,305,31,504,149,478,388,391,464,427,411,289,421,355,183,324,301,457,182,449,
451,444,346,401,479,490,285,226,51,191,48,228,486,465,62,66,456,385,367,279,
1,150,180,139,40,46,119,459,268,359,258,297,272,213,56,438,98,296,475,338,
71,57,43,29,15,1,234,413,433,445,433,421,409,139,149,158,214,328,198,300,
286,272,258,244,285,232,193,177,161,145,69,98,134,83,498,399,61,226,47,151,
14,63,489,277,450,96,89,331,381,468,386,157,212,431,133,381,101,402,277,420,
369,77,460,490,20,59,317,381,191,438,474,433,289,370,1,51,172,420,41,91,
394,359,263,102,111,115,80,248,231,246,1,102,186,350,491,477,116,455,97,88,
1,417,166,401,43,25,445,415,349,271,153,351,401,403,436,462,267,247,12,126,
63,190,76,424,113,380,123,84,376,42,86,20,205,1,97,18,488,414,160,308,
417,346,210,480,261,21,247,113,351,310,367,211,232,329,318,169,147,89,161,126,
364,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,190,156,156,212,
156,156,156,156,156,156,156,156,156,156,156,156,156,191,215,156,156,156,156,156,
156,156,156,156,156,156,156,156,133,287,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,435,321,
403,466,338,335,289,269,247,175,205,215,170,496,130,292,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,1,82,162,471,22,457,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156, };
static unsigned short stb__times_bold_30_latin_ext_t[560]={ 1,155,233,155,109,155,155,233,57,57,233,
216,233,241,233,109,134,176,176,134,176,176,109,176,109,134,175,196,216,233,216,
109,83,176,196,109,196,196,196,134,196,216,176,196,196,196,176,134,216,109,216,
134,216,175,175,175,196,216,196,109,134,109,233,241,233,216,175,216,175,216,175,
175,196,175,57,196,196,233,216,216,196,196,233,216,196,216,216,216,233,175,233,
30,1,30,233,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,1,175,109,
155,216,196,1,57,233,134,233,216,233,241,109,241,233,216,233,233,233,176,83,
233,233,233,233,216,134,155,155,176,30,57,30,83,83,109,196,30,30,30,30,
109,30,30,30,109,196,30,1,1,1,30,30,233,109,30,1,30,57,30,196,
155,155,155,155,155,155,109,216,155,134,134,134,134,176,176,176,176,134,176,134,
134,134,134,134,233,216,134,134,134,134,57,57,57,109,196,83,134,1,134,1,
134,1,109,57,109,1,134,57,109,196,155,109,196,83,134,83,134,57,109,57,
109,30,57,57,83,83,57,57,1,57,57,196,196,83,176,109,216,83,176,83,
1,83,233,176,83,1,83,83,83,233,83,83,83,83,155,155,216,196,216,216,
30,155,83,155,1,176,155,109,155,83,196,57,109,1,109,109,216,57,176,83,
176,57,176,1,134,1,134,57,155,30,155,57,83,57,155,216,196,30,155,83,
196,30,155,1,109,30,155,57,134,1,134,57,57,83,30,176,83,176,30,176,
155,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,155,216,216,30,
216,216,216,216,216,216,216,216,216,216,216,216,216,109,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,109,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,30,155,
30,155,1,155,1,155,1,109,1,83,1,30,1,83,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,1,1,57,134,1,134,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216, };
static unsigned short stb__times_bold_30_latin_ext_a[560]={ 108,144,241,217,217,433,361,120,
144,144,217,247,108,144,108,120,217,217,217,217,217,217,217,217,
217,217,144,144,247,247,247,217,403,313,289,313,313,289,265,337,
337,169,217,337,289,409,313,337,265,337,313,241,289,313,313,433,
313,313,289,144,120,144,252,217,144,217,241,192,241,192,144,217,
241,120,144,241,120,361,241,217,241,241,192,169,144,241,217,313,
217,217,192,171,95,171,225,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,108,144,217,217,217,217,95,217,
144,324,130,217,247,144,324,217,173,238,130,130,144,250,234,108,
144,130,143,217,325,325,325,217,313,313,313,313,313,313,433,313,
289,289,289,289,169,169,169,169,313,313,337,337,337,337,337,247,
337,313,313,313,313,313,265,241,217,217,217,217,217,217,313,192,
192,192,192,192,120,120,120,120,217,241,217,217,217,217,217,238,
217,241,241,241,241,217,241,217,313,217,313,217,313,217,313,192,
313,192,313,192,313,192,313,318,313,241,289,192,289,192,289,192,
289,192,289,192,337,217,337,217,337,217,337,217,337,241,337,241,
169,120,169,120,169,120,169,120,169,120,357,239,217,144,337,241,
241,289,120,289,120,289,203,289,171,289,120,313,241,313,241,313,
241,316,333,241,337,217,337,217,337,217,433,313,313,192,313,192,
313,192,241,169,241,169,241,169,241,169,289,144,289,226,289,144,
313,241,313,241,313,241,313,241,313,241,313,241,433,313,313,217,
313,289,192,289,192,289,192,120,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,320,337,337,217,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,240,337,337,337,337,337,337,
337,337,337,337,337,337,337,345,260,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,313,217,169,120,337,217,313,241,313,241,313,
241,313,241,313,241,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,313,217,433,313,337,217,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_30_latin_ext(stb_fontchar font[STB_FONT_times_bold_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_30_latin_ext_s[i] + stb__times_bold_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_30_latin_ext_t[i] + stb__times_bold_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_30_latin_ext_x[i];
            font[i].y0 = stb__times_bold_30_latin_ext_y[i];
            font[i].x1 = stb__times_bold_30_latin_ext_x[i] + stb__times_bold_30_latin_ext_w[i];
            font[i].y1 = stb__times_bold_30_latin_ext_y[i] + stb__times_bold_30_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_30_latin_ext_s[i] + stb__times_bold_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_30_latin_ext_t[i] + stb__times_bold_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_30_latin_ext_x[i] + stb__times_bold_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_30_latin_ext_y[i] + stb__times_bold_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_30_latin_ext_LINE_SPACING
#endif

