// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT        358
#define STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_37_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_37_latin_ext_LINE_SPACING          24

static unsigned int stb__times_bold_37_latin_ext_pixels[]={
    0x13333000,0xff880000,0x800003ff,0x99880001,0x00000009,0x2aaa2000,
    0x00398001,0x00133310,0x00aaaa00,0x01555300,0x99999988,0x99999999,
    0x88019999,0x00000999,0x00355510,0x45b30000,0x000001d8,0x075c0000,
    0x20002d88,0x4004ffff,0x016e03f8,0x01f76400,0x8812e000,0xeb80001c,
    0x2662004e,0x99999999,0x19999999,0x64c2b880,0x88005932,0x0001ffff,
    0x01fffdc0,0x3bfee000,0x3ff60003,0x3ea0006f,0x400006ff,0x000ffffc,
    0x740005b1,0x80005fff,0x001ffffb,0x0bffff10,0xffffffd8,0xffffffff,
    0xe807ffff,0x00005fff,0x01ffff90,0xdf900000,0x000009f9,0x00003bf9,
    0x1ff307fa,0x3ffe6000,0x09f70004,0x400007fb,0x400006fd,0x374c0df8,
    0x05fe8000,0x7ffedc40,0xffffffff,0x200fffff,0x3ea5fff8,0xb800bf55,
    0x00002fff,0x0004ffd8,0x0fa97d40,0xffff9800,0xffd0002f,0x200007ff,
    0x04fffff9,0x54000970,0x001fffff,0x3ffffe20,0xfff90005,0x7fec03ff,
    0xfffc99ac,0xffb999ef,0x7fffd407,0x4400001f,0x004fffff,0xdffb0000,
    0xff500000,0x2e0000bf,0x05ff72ff,0x02ffe400,0x2237fa00,0x800006fe,
    0x400000fc,0x5ff50efc,0x09f10000,0xffffb800,0xea99999f,0x3ee00fff,
    0x2bf50fff,0x7f4005fa,0x8800002f,0x800004ff,0x4002643d,0x06ffeffe,
    0xfffffb80,0xffb00007,0xd001ffdb,0xff000399,0x000bffdf,0x7ff6ffe4,
    0x7ffc4001,0x3f605ffc,0x5ffffb82,0x7f407f98,0x0005ffef,0x7f6ffec0,
    0x4000001f,0x40000181,0x0007fffc,0x3ff7ffa0,0x2ffc0006,0x77fd4000,
    0x00002fff,0x80000606,0x6ffcfff8,0x01818000,0xfffff300,0x007fdc01,
    0x2a1ffff5,0x400bf55f,0x00002ff8,0x00009f70,0x00990ba0,0xff53ffa8,
    0x77fc4007,0x0003ffa8,0xfe89ffd4,0x0ffff805,0x5cbfee00,0xf98001ff,
    0x00dfb14f,0xff50efd8,0x7dc13603,0x0f705fff,0xffb97fdc,0xff300001,
    0x0017fa27,0x2e4fd800,0x2600006f,0x00004fff,0x07ffffea,0x005f9800,
    0x3ffffa00,0x3f600005,0x0001bee4,0x1fffffc8,0x727ec000,0xff3000df,
    0xfb801fff,0x51fff400,0x8017eabf,0x000003fb,0x800000ea,0x003f30ea,
    0x7fcc2fe8,0x989f9000,0x3a0000ff,0x401fd81f,0x1000fffc,0x05fa83df,
    0xfc82fd80,0x81bf3002,0x203b06f9,0x105ffffb,0x507be20f,0x3a0000df,
    0x001fd81f,0x5c9fb000,0x4c00006f,0xe800002c,0x40005fff,0x200000ca,
    0x001ffffa,0xfb93f600,0x3e200006,0x80005fff,0x01bee4fd,0x3ffffe60,
    0x9800f800,0x5faafd40,0x0000a600,0x00000000,0x0013fbf6,0x0f6203b5,
    0x74c0fe60,0x01930004,0x0e540264,0x2601b700,0x0722002f,0x077004b8,
    0x70240ec4,0x240bffff,0x5f300db8,0x00c98000,0x40000132,0x0000a828,
    0x20000000,0x00009998,0x40000288,0x00000999,0x00054144,0x02aaa600,
    0x2a0a2000,0xfff98000,0x3614c0ff,0x2bf50000,0x36a005fa,0x200000cf,
    0x09accaa8,0x220007b0,0x0000000a,0x00088000,0x00000000,0x00000000,
    0x00000000,0x05ffffb8,0x00000000,0x4c000000,0x99999999,0x99999819,
    0x2a600099,0x41301acb,0x99999999,0x99998199,0xfb100999,0x200007ff,
    0x98001aa9,0x99999999,0x99999819,0x2a600099,0x41301acb,0x99999999,
    0x99998199,0xff980999,0x215c0fff,0x33333009,0x5faafd43,0xdb37f500,
    0xffb30000,0x3dfffdbf,0x266607dc,0x19999999,0x99999998,0x19999980,
    0x99531000,0x20070157,0x99999999,0x97500999,0xba800159,0x80000acc,
    0x301acba9,0x55e5cc01,0xff700140,0x26200bff,0x20999999,0x31099998,
    0x13333333,0x4ccccccc,0x99880999,0x3f722199,0xbcffffff,0x77ffee40,
    0x7f5c401c,0xbdffefff,0xfb911e89,0x79ffffff,0xefffdc81,0x2a1d701c,
    0xfd88000f,0xdfffddff,0x7fee4401,0x0bcfffff,0x677ffee4,0x7ff5c401,
    0x9bdffeff,0xffb911e8,0x179fffff,0xcefffdc8,0xfffff981,0xc88016c0,
    0xf50fffff,0x74017eab,0x88001742,0x5c43fffd,0x41fbdfff,0xfffffdc8,
    0x6e40bcff,0x441cefff,0x00fffffc,0x3bfffb20,0xa8bdffec,0xffcb8807,
    0x1bdfffff,0x7e6fff54,0xa87fffff,0xfffbcffe,0xb8807fff,0xffeffffe,
    0x981e89bd,0xcffddffe,0x3ee005a9,0xf5005fff,0x419fffff,0xf70dffda,
    0x7dffffff,0x7fffff64,0xfda82cff,0xfff905ff,0xff7003ff,0xffff5001,
    0x7fe4c17d,0xfffc81ff,0xffb801ff,0x13617400,0x17fff700,0x027ffd44,
    0x1fffffc8,0x800ffb80,0x0beffffa,0x07ffff26,0x07fffff2,0x9803fee0,
    0x260fffff,0x7fe4002f,0x2abf50ff,0xd83f005f,0xffe98004,0x3ffea02f,
    0x7ffe403f,0xffb801ff,0x7fffe400,0xeffe9800,0xffffd502,0xffff9800,
    0x7fff505f,0x3777ffd4,0xf98fffea,0x5406eeff,0x20beffff,0x41ffffc9,
    0x7d40bffb,0x3ee005ff,0x26005fff,0x3e07ffff,0xfffff886,0xffffb00f,
    0x07f9007f,0x03ffffd4,0xfc804f88,0x74402fff,0xfffa81ff,0x09f1007f,
    0x003d85d0,0x407fffd3,0x401efffa,0x007ffffa,0xff9009f1,0xfe8805ff,
    0xffffa81f,0x809f1007,0x50fffff9,0xfb8005ff,0x2bf50fff,0x499005fa,
    0x744000f8,0xfd805fff,0x3ea00eff,0xf1007fff,0xffff7009,0x6fffc801,
    0x00fff900,0x07fffff0,0x441ffff1,0xff885fff,0x2fffc0ff,0x17fffe40,
    0x987ffa20,0x3fa205ff,0x3ffee005,0x7fe4005f,0x205f01ff,0x00fffffb,
    0x09fffff1,0xffa80f70,0x0fe007ff,0x09ffff90,0x2a07fe20,0x2007ffff,
    0x51eb803f,0x3ffa001f,0xfffc805f,0x3ffea00f,0x00fe007f,0x009ffff9,
    0x3ea07fe2,0x3e007fff,0x7fffcc03,0x02ffffef,0x87fffdc0,0x00bf55fa,
    0x017f3be6,0x0bffff60,0x13fffe60,0x07ffffa8,0x3ee00fe0,0x3f200fff,
    0x36000fff,0xfff8007f,0xfffb82ff,0x41ffff87,0xfe87fffb,0x3ff201ff,
    0xff1004ff,0x2017fec3,0x3ee005f9,0x44005fff,0x6984ffff,0x3ffffe20,
    0x3ffff603,0x5404d807,0x2007ffff,0x3ffea03f,0x0fd4005f,0x03ffffd4,
    0xf91007f0,0x3f2007df,0xf8801fff,0x3ea05fff,0x3e007fff,0x3fffea03,
    0x40fd4005,0x007ffffa,0xfff300fe,0x5ffd97ff,0xffffb800,0x17ea1310,
    0x0003fb00,0x00dffff5,0x0bfffffa,0x03ffffd4,0xff7007f0,0x3fe601ff,
    0x7e8003ff,0xfffff800,0x86fffc82,0x7e43fffd,0xfffd86ff,0xbffff503,
    0x3e1fa800,0x05b803ff,0x17fffee0,0x3ffff600,0x3f201e40,0x3e606fff,
    0x2202ffff,0x7ffd401f,0x40fe007f,0x00fffff8,0xffa81e80,0x0fe007ff,
    0x26001880,0x2007ffff,0x502ffffd,0x400fffff,0xffff103f,0x03d0001f,
    0x00fffff5,0x3fe601fc,0x0bfa0fff,0x1ffff700,0xd0017ea0,0xffb0003f,
    0x9db009ff,0x2a0dffff,0x2007ffff,0xfffb803f,0xfffe880f,0x07a8000f,
    0x2fffff80,0xd86fffb8,0x7fdc3fff,0x3fffd86f,0x0fffff88,0xff11e800,
    0x069803ff,0x17fffee0,0x3fffe600,0x3e6007c3,0x3a01ffff,0x2e05ffff,
    0xffffa806,0x5c0fe007,0x0007ffff,0xffff5037,0x401fc00f,0x801bcba8,
    0x004ffffe,0x41ffffee,0x007ffffa,0x7ffdc0fe,0x0370007f,0x00fffff5,
    0x3fe601fc,0x0be20fff,0x1ffff700,0xa8017ea0,0x7c4005ff,0x6403ffff,
    0xfffffa8e,0x7ffffa80,0x2e00fe00,0xfc80ffff,0x20006fff,0xffff8006,
    0x7fff882f,0x4c1fffe8,0xffe87fff,0xffffb80f,0x22370007,0x403fffff,
    0x3ffee004,0xffd0005f,0xe802d4df,0x2e04ffff,0xd00fffff,0xffff5007,
    0xe81fc00f,0x0005ffff,0x3ffffd40,0xfc807f00,0x02fffecd,0x07fffff1,
    0x7ffffcc0,0x7ffffa80,0x7f40fe00,0x00005fff,0x03ffffd4,0xff9807f0,
    0x016c0fff,0x03fffee0,0xfb002fd4,0x7d4001ff,0x2e03ffff,0xfffff31f,
    0xfffff505,0x5c01fc00,0xff80ffff,0x20005fff,0xffff8000,0x3fffd02f,
    0xfd06fff8,0x6fff81ff,0x0bffffd0,0x3fffa000,0x80002eff,0x005ffffb,
    0x25ffff50,0xfff7002d,0x3ff601ff,0x0f983fff,0x7ffffa80,0x3e60fe00,
    0x0004ffff,0x3ffffd40,0x3a607f00,0x0ffff43f,0x17ffffcc,0xfffff300,
    0xfffff505,0x7cc1fc00,0x0004ffff,0x3ffffd40,0xf9807f00,0x15c0ffff,
    0xfffb8244,0x00bf500f,0x013fffe6,0x2fffffb8,0x7fcc5f50,0xffa83fff,
    0x0fe007ff,0x03fffee0,0x09fffff1,0xff800000,0xfb102fff,0x077fdc9f,
    0x2e4ffc88,0xff980dff,0x00004fff,0xfffffff7,0x7dc0003d,0x20005fff,
    0x078effff,0x3ffffe20,0xfffdf983,0x5005c86f,0x400fffff,0xffffa83f,
    0x5400002f,0x2007ffff,0x8bff903f,0xfa86fffc,0x2002ffff,0x83fffff8,
    0x007ffffa,0x3ffea0fe,0x400002ff,0x007ffffa,0xfff300fe,0xb81881ff,
    0x1ffff704,0x6c017ea0,0x2007ffff,0x81fffffc,0x7ffc43f9,0xfffa85ff,
    0x00fe007f,0x503fffee,0x007fffff,0xfff80000,0x7fd402ff,0x800bffee,
    0x3efeeffa,0x3ffffea0,0x3f600002,0xdfffffff,0xfffb8000,0x3ee0005f,
    0x4004dfff,0xc86ffffc,0x1fffff9d,0xffa8017c,0x0fe007ff,0x07fffff2,
    0xfff50000,0x41fc00ff,0x2e1ffff8,0xffc87fff,0x22001fff,0xa85fffff,
    0x2007ffff,0xffffc83f,0x5400001f,0x2007ffff,0x7ffcc03f,0x07d000ff,
    0x543fffee,0x100bf54e,0x07ffffff,0x3fffff20,0x7c427c41,0xfa85ffff,
    0x3e007fff,0xffffb803,0x7ffffdc0,0x40000002,0x402fffff,0x001aaadb,
    0x005556dc,0x0fffffe4,0x3ffa0000,0x2fffffff,0x7fffe400,0x3fe20005,
    0x4c001fff,0x7c1fffff,0x49ffffd1,0x3fea007a,0x0fe007ff,0x07fffff2,
    0xfff50000,0x81fc00ff,0x3ee0fffe,0xfffc87ff,0x3e2001ff,0xfa85ffff,
    0x3e007fff,0xfffffc83,0x7d400001,0x3e007fff,0x7fffcc03,0x01fd800f,
    0x2a1ffff7,0x900bf55f,0x0dffffbb,0x3ffffea0,0x7c417a22,0xfa84ffff,
    0x3e007fff,0xffffb803,0x7ffffe40,0x40000001,0x102fffff,0x6c4000fd,
    0xfff90007,0x000003ff,0xfffffff9,0x7e4007ff,0x40006fff,0x0006fffd,
    0x5c9ffffd,0x9ffffee6,0x3fea004d,0x0be007ff,0x0fffffee,0xfff50000,
    0x817c00ff,0x3f622db8,0x7fdc0fff,0x22002fff,0xa83fffff,0x2007ffff,
    0xffffb82f,0x5400003f,0x2007ffff,0x7ffd402f,0x3f6201ff,0xffff700f,
    0x2fd57ea1,0x7ffcd7c0,0xff8802ff,0x81b63fff,0x83fffff9,0x007ffffa,
    0x3fee00be,0x7ffd40ff,0x4ccc02ff,0x09999999,0x5fffff00,0x0003ff20,
    0x40007fe4,0x03fffffb,0xffb30000,0x03ffffff,0x3fffffa0,0x3fe60000,
    0xff70003f,0x88fa1fff,0xf8afffff,0x3ffea000,0x20be007f,0x04fffffa,
    0x7ffd4000,0x00be007f,0x7fff7e44,0x7fffcc0f,0x3fe6003f,0xffa82fff,
    0x0be007ff,0x13ffffea,0xfff50000,0x017c00ff,0x37fffff2,0xffdba99a,
    0x3ffee07f,0x3eabf50f,0xffd35c05,0x3fe00bff,0x01d94fff,0x0fffffd4,
    0x03ffffd4,0xff7005f0,0xfff881ff,0x7e5404ff,0x1cffffff,0x5fffff00,
    0x3bbfffe0,0xf01bcdee,0x9ddddfff,0xfff50379,0x000009ff,0xfffffe98,
    0x3ff6a05f,0x3dffffff,0x01ffd000,0x3fffe200,0x7ec0f9bf,0x006bdfff,
    0x03ffffd4,0xfff305f0,0x80000bff,0x007ffffa,0x3ff200be,0x40ffffba,
    0x03fffff8,0x3ffffe60,0x7ffffa81,0x3e60be00,0x0005ffff,0x3ffffd40,
    0xd9305f00,0xffffffff,0xffffffff,0x7fffdc0d,0x17eabf50,0x7ffd47d0,
    0xffd801ff,0x400fbcff,0x506ffffb,0x400fffff,0xfffa802f,0xffffe80f,
    0xffff7005,0xfff8003f,0xffff02ff,0xffffffff,0xfffff819,0x5fffffff,
    0x2fffffcc,0x2014c000,0x07fffffa,0x54000000,0x7e40005f,0xa84cefff,
    0x03efffff,0x3ffffcc0,0x3fa05f00,0x00006fff,0x03ffffcc,0x7f4c05f0,
    0x1ffff71e,0x09ffffb0,0x37fffdc0,0x07ffff98,0x7ff40be0,0x400006ff,
    0x007ffff9,0xb80000be,0xfff5001f,0x7d57ea1f,0x3fe1ea05,0xf8804fff,
    0x801fffff,0x302ffffd,0x400fffff,0xfffa802f,0xffffd80f,0xffff3006,
    0x8179301f,0x902fffff,0xffffffff,0xfc87ffff,0xffffffff,0x7ff44fff,
    0x980006ff,0xfffe8805,0x0371000f,0x001f8000,0x7ffffcc0,0xfffff01f,
    0xff88001f,0x1f3007ff,0x3ffffea0,0x3e200000,0xf3007fff,0x8bffea01,
    0x980ffffb,0x2006ffff,0x101ffffd,0x200fffff,0xfff500f9,0x400001ff,
    0x007ffff8,0x200001f3,0x3ea004fc,0x557ea7ff,0x2e0f605f,0x800fffff,
    0x803ffffb,0x205ffff8,0x007ffff8,0xff5001f3,0x3ffe60ff,0xfff3007f,
    0xbfff10ff,0x01fffff8,0x3ffffff2,0xc86fffff,0xffffffff,0x7fd46fff,
    0x40000fff,0xff8800f9,0xffd000ff,0x1a600009,0x7fff4000,0x3fff205f,
    0xfff0005f,0x0f7001ff,0x04ffffd8,0x3ffe0480,0x07b800ff,0x5c1ffff1,
    0xf900ffff,0xf1005fff,0xff80bfff,0x7b800fff,0x27fffec0,0xfff02400,
    0x0f7001ff,0x0ffe2000,0x3ffea130,0x2fd57ea7,0xff880f98,0xfb003fff,
    0xff900dff,0xfff801df,0x07b800ff,0x37ffcc26,0x05ffff70,0x0fffff30,
    0xff8ffff7,0xdf700fff,0xb7553357,0xbefb8fff,0xfdaa999a,0xffffd87f,
    0x3e648004,0x0dff9004,0x01fffe20,0x00790aa0,0x3fffee00,0x3fffe602,
    0xfff90001,0x04f8805f,0x0fffffc4,0x3206e880,0x4402ffff,0xffff504f,
    0x07fffe43,0x05fffe88,0x00efffd8,0x017fffe4,0xff1013e2,0x22003fff,
    0x3fff206e,0x027c402f,0x06ffa800,0x7ffcdbee,0x2fd57ea6,0xcccccfd8,
    0x07fffffc,0x09ffff30,0x00f7ffcc,0x017fffe4,0xb7dc13e2,0x6c05fff9,
    0xf9806fff,0xffb87fff,0x37fffc6f,0xe801ffa8,0x007fee5f,0x3fe213f6,
    0xd1001fff,0x400ffccd,0x2a003ffd,0x7ec007dc,0x00003e2f,0x4037ffc4,
    0x20006ffe,0x01ffffe8,0xd3001dd1,0x9803ffff,0x3fa200ee,0xdd101fff,
    0x3fffea01,0xfffffecf,0x3fff6019,0x37ffee02,0xfffe8800,0x01dd101f,
    0x3ffffd30,0x200ee980,0x01ffffe8,0x00001dd1,0xfe827ffc,0x545fff17,
    0xf10bf55f,0xdddddddd,0x005fffff,0x17fff9bd,0x027ffdc4,0x3ffffd10,
    0x7403ba20,0x07fff17f,0x05fffd88,0x43ffffcc,0x3e21fff8,0xff902fff,
    0x645fd005,0x7fc402ff,0xffffd301,0x20ee9803,0x2201fff9,0x970006ff,
    0x75fff800,0xfc800007,0x4ffb803f,0x7fec4000,0xfda9acff,0x3f62000e,
    0x7309cfff,0x362009fb,0xa9acffff,0x7fc00efd,0xff8bffff,0x7dc04fff,
    0x7fdc43ff,0x7ec4004f,0xda9acfff,0x362000ef,0x309cffff,0x22009fb7,
    0x9acffffd,0x0000efda,0x5efffdc0,0x3ea3fea1,0xfaafd45f,0xfd805c85,
    0x2ec06fff,0xfddfff71,0x100039ff,0x359ffffb,0x5401dfb5,0x05ff98ff,
    0x2fbffaa0,0x5ffffb81,0x7e45ff50,0x3fe603ff,0x36a620af,0x17ffc42f,
    0x007faa62,0x39ffffb1,0x213f6e61,0x983ffff9,0x98000efd,0x7fe4001d,
    0x800006df,0xf8800ff9,0xf900000f,0x7fffffff,0x3f260001,0xdfffffff,
    0xfffc8002,0x00bfffff,0x21dffea8,0x3004fffb,0xffddffd9,0x6400039d,
    0xffffffff,0xf930000b,0xbfffffff,0xfff90005,0x017fffff,0xff910000,
    0x7f5c1dff,0xafd40bdf,0x00fc45fa,0x0fffffd4,0x53100ea8,0x20000355,
    0xfffffffc,0xfeb800bf,0xc8000bdf,0xfeeffffe,0x4c00bdff,0x3dfffffe,
    0xfffeb880,0x200befff,0xefffffda,0x326000bc,0xffffffff,0x955f302d,
    0x7fff9dff,0x000ae000,0x0077fec4,0x004e8000,0x200001b6,0x001abbaa,
    0x4d554c00,0x75500000,0x02000357,0xa9800010,0xa800001a,0x0001abba,
    0x04d554c0,0xbbaa8000,0x0000001a,0x008806ea,0x204c4262,0x3ffa007c,
    0x000205ff,0x75500000,0x22000357,0x26200000,0x00019aab,0x80003553,
    0x44000198,0x2a600000,0x188009aa,0x001aba98,0x08800000,0x0d400000,
    0x00003300,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb8017e2,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x2e001ffd,0x00efffff,0x00880110,0x2b803220,0x37710000,
    0x02bcba80,0x3332e000,0x40370003,0x15c40048,0x00000000,0x19999300,
    0x2603c800,0x000c000c,0x66664400,0x2a200001,0x900001aa,0x000e4409,
    0x0b333200,0x99998000,0x4ccc1999,0x19999999,0x99999998,0x95330000,
    0x00003579,0x66499910,0x5500000c,0x88000055,0x8002cccc,0x20999998,
    0x2efffffc,0xfffffd90,0xf3007fff,0x0007e603,0x00bea0bf,0xff3bb100,
    0xb9dfd303,0x880003df,0x0000efff,0x0bd101f9,0x02fffc40,0x007fd500,
    0xfffd8000,0x84fa8003,0x3e6005fa,0x200000ef,0x0005fffb,0x07fffec0,
    0x42fcc000,0x400006f9,0x8006fffa,0xfffffda8,0x24dfffff,0xfffffdc8,
    0x75c0bdff,0x001dffff,0x333bfae2,0x01cfedca,0x27ff5000,0x00005ff9,
    0x005ffff3,0x5fffa800,0xffecb800,0x0000004f,0x4d67fc00,0x4000ffca,
    0xffdcdffd,0x7ec0000f,0x7cc4ff99,0x00ffec2f,0x01dff700,0x66ffd400,
    0x2003ffdc,0x000ffffc,0x003fffd0,0x3ffe2000,0x37fa0003,0x4003ff70,
    0x0003fffd,0x0017ff60,0xfffff300,0x3f600009,0x003ff70e,0x0effc800,
    0x7fffcc00,0xfd99bfff,0x7fffe402,0x0ffa802f,0x0bbf6200,0x0001fdc0,
    0x1ff737ec,0x3ffa0000,0x800006ff,0x0000fffb,0x4009fff3,0x6eeeeeed,
    0xfff70000,0x0009ffff,0xfffffff1,0xffa80007,0x7fc1ff98,0x005ffc85,
    0x0003ffa0,0x3fffff60,0x7fdc006f,0xff10007f,0x000005ff,0x0000ffea,
    0x9ffbdff3,0x4fffe800,0xbff10000,0xffd00000,0x0001fff9,0xffbdff30,
    0xff00000b,0xff98001d,0x22ffffff,0x7fd400fc,0xdf000fff,0x00f7d400,
    0x0002f4c0,0x17f41ff1,0xeffa8000,0x00003ffd,0x0003ffb8,0xf8013ffe,
    0x07ffffff,0x3fff6000,0x260005ff,0x003ffffe,0x110ffd80,0xfc85ff98,
    0xff10006f,0x36200003,0x000effff,0x001fff44,0x001fffb0,0x013f6000,
    0x7fffec00,0x7fd4000f,0xf700000f,0xf500000d,0x013fa25f,0x7fffec00,
    0x5400000f,0xfe8000ef,0x2fffffff,0x3fea01f2,0x13e007ff,0x0006fe40,
    0x54001360,0x0013e22f,0xf92ffc40,0x7000001f,0x7fc000bf,0x2aaa004f,
    0x0002aaaa,0x01efed40,0x00bca800,0x0fff9800,0x303ffea0,0x2e0007ff,
    0xa800001f,0x4c0002cc,0x0ba80000,0x9f100000,0x7fcc0000,0x510003ff,
    0x0ed80000,0x1fe80000,0x00007ec4,0x027fffc4,0x00764000,0x7ffffdc0,
    0x1f22ffff,0x1ffffe60,0xfc803e80,0x5f100004,0x6b8bb000,0x0ff20000,
    0x00000fee,0xf80007e4,0x40c004ff,0x00000001,0x00000000,0x9803fff6,
    0x0440efff,0x00000000,0x00000000,0x00000000,0x55400000,0x0000002a,
    0x00000000,0x01e40193,0x0aaaa800,0x00000000,0x7fffffec,0x01f22fff,
    0x01ffffe6,0x2fd403e8,0x01aa0000,0x40000000,0x0016a02c,0x7c000000,
    0x3f6004ff,0x0001bee4,0xabcca988,0xcba80380,0x220000ac,0xe807fffc,
    0x0002ffff,0x03597530,0x99999826,0x98199999,0x10999999,0x00333333,
    0x2f32a620,0x3330380a,0x33333333,0x33333330,0x55e5cc01,0x32ea0140,
    0x4cc400ac,0x40099999,0x09999999,0x22000000,0x09999999,0x4cccccc0,
    0x554c0009,0x7fff4001,0x22ffffff,0xfff9807c,0x80fa007f,0x5c400ff8,
    0xb033311c,0x26666660,0x99819999,0x00099999,0x33300000,0x33333333,
    0x33333330,0x009fff01,0x0df727ec,0xfffd9000,0x17bffd9d,0x7ff540f5,
    0xffffffbc,0xffffe807,0xf302eeff,0x0009ffff,0x3ffffae2,0xe89bdffe,
    0xffffb911,0xc8179fff,0x11cefffd,0x00fffffb,0xcefffec8,0x7a8bdffe,
    0xffffdc88,0x640bcfff,0x81cefffd,0xffddffe9,0xfd505a9c,0xfffff79f,
    0x7ffeccff,0x6e405fff,0x311dffff,0x33333333,0x4ccccc01,0xffffb309,
    0xfdc80bff,0x4401dfff,0xffddfffd,0x7ff401df,0x2fffffff,0x3fe601f2,
    0x0fa007ff,0x7d402fc8,0x7fff8ecf,0x7ee441b8,0xbcffffff,0x77ffee40,
    0x2666661c,0x26199999,0x99999999,0xffb91099,0x179fffff,0xcefffdc8,
    0x004fff81,0x0002a0a2,0x02effe98,0x20ffffd5,0x3e63fffa,0x4406eeff,
    0xffffffff,0x3ffea01f,0x2a001eff,0x20beffff,0x81ffffc9,0x01fffffc,
    0xfb00ffb8,0x3a600fff,0xfd502eff,0xffc80fff,0xfb801fff,0x17ff700f,
    0xa85fffa8,0x3fe63fff,0xff986eef,0xa804ffff,0x7ff540ef,0x02dfffff,
    0x0fffffb2,0x9ffffff3,0x001df500,0x4417fff7,0x3604fffa,0xffffffff,
    0x2601f22f,0x2007ffff,0x80df103e,0xffb52ffc,0x640750bf,0x801fffff,
    0x6dc40ffb,0xdfffffff,0xfffdb88b,0x80bdffff,0x01fffffc,0x3e00ffb8,
    0x4cccc4ff,0x81999999,0x09999999,0x00dfff90,0x3e21fff2,0x7ffc0fff,
    0x3fe66005,0x64019cff,0x2ffffffe,0x2ffffc80,0x40fff440,0x007ffffa,
    0x7fe409f1,0xfffc807f,0x0fff9006,0x07ffffa8,0x3e609f10,0x17fa205f,
    0xf81ffff1,0x7fd405ff,0xf802ffff,0x3ffff204,0x17f6006f,0xffffffa8,
    0x4c04f802,0x2a03fffe,0xfb81efff,0xffffffff,0x3e601f22,0x3a007fff,
    0x6407f703,0x3ffe25ff,0x2a05882f,0x1007ffff,0xfffb809f,0x3fea03ff,
    0x7d404fff,0xf1007fff,0x24fff809,0xfffffdc8,0x6e40bcff,0xc81cefff,
    0x2000ffff,0xfffb87fd,0x01fffe87,0x0bfffe60,0x3f623f20,0x3202ffff,
    0x1004ffff,0xfff503ff,0x01fc00ff,0xc80ffff7,0x2000ffff,0x7fd407fd,
    0x0fe007ff,0x26017fec,0x3fffdc5f,0x300ffff4,0x3fffffff,0x7f403e80,
    0xb000ffff,0x7ffcc01d,0x7401ffff,0x2ffff403,0x07fffe40,0x3fffffe6,
    0x01f22fff,0x01ffffe6,0x01fd03e8,0xf987ffea,0x40f00fff,0x007ffffa,
    0xfff300fe,0x7fc403ff,0x7d402fff,0x3e007fff,0x827ffc03,0x01fffffc,
    0xf300ffb8,0xd0007fff,0x0dfff90f,0x4007fffb,0x400ffffb,0x7ffdc4fb,
    0xfffa80ff,0x0fd4005f,0x03ffffd4,0x7fdc07f0,0x3ffe607f,0x07e8003f,
    0x03ffffd4,0x3ffe07f0,0x7e45b803,0xfffd86ff,0x3ff7e603,0x3600efff,
    0x7fffcc03,0x02f9804f,0x7fffefcc,0x80f600ef,0x801ffffc,0xd85ffff8,
    0xffffffff,0x3e601f22,0x3a007fff,0xf105f883,0xfffa8bff,0x7d40d106,
    0x3e007fff,0x7fffcc03,0x3ffe200f,0x7fd401ff,0x0fe007ff,0x2a09fff0,
    0x1007ffff,0x3ffa209f,0x7a8000ff,0xd86fffb8,0x32003fff,0xff807fff,
    0x5fffe982,0x07ffffc4,0x7d40f400,0x3e007fff,0x1fffee03,0x07ffff44,
    0x2a03d400,0x2007ffff,0xffff883f,0x3ee34c01,0xfffd86ff,0x3fa3e603,
    0x3605ffff,0xffffd803,0x402ec00f,0xffffe8f9,0x4c0f605f,0x2007ffff,
    0xd82ffffd,0x2fffffff,0x3fe601f2,0x0fa007ff,0x7fdc13e6,0x27ffe42f,
    0x3fea05a8,0x0fe007ff,0x1fffff10,0x1fffff80,0x3ffffd40,0xff807f00,
    0xffff504f,0xc81fc00f,0x0006ffff,0x1fffe61a,0x8003fffa,0x4c05fffe,
    0xfff104ff,0x7ffffb8f,0xf5037000,0x7c00ffff,0x1fffee03,0x037fffe4,
    0xffa80d00,0x0fe007ff,0x0fffffe2,0x7fff9890,0x200fffe8,0xfffff179,
    0x200f609f,0x04fffff8,0x5e6003ea,0x4ffffff8,0x3ffa07b0,0x3ee004ff,
    0xff907fff,0x3e45ffff,0x3ffffcc0,0x7f507d00,0x3a1fffe0,0x09701fff,
    0x03ffffd4,0xff8807f0,0x7fc00fff,0x7d401fff,0x3e007fff,0x827ffc03,
    0x007ffffa,0x7fffc0fe,0x4020005f,0x7fc0fffe,0x3fe2006f,0x7fd403ff,
    0x1fff301f,0x02fffff4,0x3ffea000,0x80fe007f,0xff07fffb,0x4000bfff,
    0x7fffd400,0x740fe007,0x02efffff,0xf03fffa0,0x27980dff,0x2ffffff9,
    0xff9003d8,0x0fa03fff,0xfff33cc0,0x07b05fff,0x07fffff1,0x7ffffcc0,
    0xffb75100,0x7cc03e45,0x3e007fff,0xfa82fb82,0x7ffd44ff,0xfa807607,
    0x3e007fff,0x7fffc403,0x7fffc00f,0x7ffd401f,0x00fe007f,0x3ea09fff,
    0x3e007fff,0xfffff883,0xc8800004,0x37fee4ff,0x3ffe6000,0x7ffc402f,
    0x4cdfb01f,0x004fffff,0x7fffd400,0xb80fe007,0xff887fff,0x00004fff,
    0x1ffffea0,0xff703f80,0x03dfffff,0x5c9ff910,0x3cc00dff,0x3fffffee,
    0xf8801ec0,0x6b85ffff,0xff71e600,0x3d81ffff,0x2fffff98,0x3fffe600,
    0x45f3002f,0xfff8807c,0x20be007f,0xfffc81fa,0x02ffff43,0xffffa80d,
    0x100fe007,0x801fffff,0x401fffff,0x007ffffa,0x9fff00fe,0x1ffffea0,
    0xffa83f80,0x00003fff,0x3fbbfea0,0xffb8003e,0xffc800ff,0x24fc83ff,
    0x02fffffa,0x7ffd4000,0x80fe007f,0xfa87fffb,0x0003ffff,0x3fffea00,
    0xd80fe007,0xffffffff,0xeffa800d,0xf3003efe,0xdfffffb0,0xf7001ec1,
    0x7c43ffff,0x361e6002,0x20efffff,0xffffa83d,0x3fe2002f,0xf3003fff,
    0xff803e45,0xf8800fff,0xfd82f981,0x3ffea1ff,0xa807902f,0x2007ffff,
    0x7ffc403f,0x7ffc00ff,0x7fd401ff,0x0fe007ff,0x2a09fff0,0x2007ffff,
    0xffffb83f,0x2000002f,0x000aaadb,0x01bfff20,0x6fffffc4,0xffc83ba0,
    0x00001fff,0x03ffffd4,0x7fdc07f0,0xffffb87f,0x2000002f,0x007ffffa,
    0xfffd00fe,0x05ffffff,0x00aaadb8,0xffe83cc0,0x00f65fff,0x4dfffff0,
    0x83cc005d,0x25fffffe,0xffffc83d,0x3fe2001f,0xf3005fff,0xfe803e45,
    0x7b801fff,0x3ffe13e0,0xfffdd11f,0xf500d501,0x7c00ffff,0x7fffc403,
    0x7fffc00f,0x7ffd401f,0x00fe007f,0x3ea09fff,0x3e007fff,0xfffffc83,
    0xd8800001,0x7f400007,0x3a6005ff,0xec9effff,0x7ffffe40,0x7d400001,
    0x3e007fff,0x1fffee03,0x07fffff2,0xffa80000,0x0fe007ff,0x3fffff20,
    0xd883ffff,0x07980007,0x7ffffff1,0xff5000f6,0x01f55fff,0xff107980,
    0x0f67ffff,0x07fffff2,0xfffff880,0x645f3005,0xffff9007,0x203f8807,
    0xbffff85e,0x87fff9e9,0xffa801f9,0x0fe007ff,0xffffff10,0xffffffff,
    0xa803ffff,0x2007ffff,0x27ffc03f,0x07ffffa8,0x3fea0fe0,0x4cc02fff,
    0x99999999,0x0003ff20,0x1ffffc40,0x3fff6200,0xffb80eff,0x00003fff,
    0x03ffffd4,0x7fe405f0,0x7ffd40ff,0x4ccc02ff,0x09999999,0x07ffffa8,
    0x6cc00be0,0xffffffff,0x0007fe41,0xff981e60,0x03d9ffff,0xeffffe80,
    0x0798003e,0x3fffffe6,0xfffb83d9,0x3e2002ff,0x3003ffff,0xd003e45f,
    0x7403ffff,0x7ec36c05,0xfff3ffff,0x05c2e98b,0x03ffffd4,0xff8805f0,
    0xaaaabfff,0xfffffaaa,0x7fffd401,0xf00be007,0x3fea09ff,0x0fe007ff,
    0x13ffffe2,0xfffff950,0x7ffc39ff,0xbcceeeef,0xffff3001,0x3ff20003,
    0xffa82fff,0x00004fff,0x03ffffd4,0x7ff405f0,0x7ffc42ff,0x7e5404ff,
    0x1cffffff,0x07ffffa8,0xd3000be0,0x8bffffff,0xeeeeffff,0x3cc01bcc,
    0x3ffffee0,0xfa8003ef,0x0006ffff,0xfffb80f3,0xf983efff,0x2003ffff,
    0x02fffff9,0x03e45f30,0xbfffff30,0x01dfb737,0x7fdc0fb8,0x3ffee3ff,
    0x2541dc9a,0x07ffffa8,0xff100be0,0xff801fff,0x7d401fff,0x3e007fff,
    0x827ffc02,0x007ffffa,0x7fff40fe,0xfff7005f,0xffff03ff,0xffffffff,
    0xffff500b,0xfffb8000,0x7ffcc0ff,0x400005ff,0x007ffffa,0x3ffe60be,
    0x7f44ffff,0xf7005fff,0x5403ffff,0x2007ffff,0x5402982f,0x7c7fffff,
    0xffffffff,0x1e605fff,0x3fffff20,0xffd0003f,0x26000bff,0xffffc807,
    0xfff883ff,0x3e6003ff,0x3001ffff,0x2003e45f,0xffffffb8,0x17a001df,
    0x36e0bbae,0x01d00acf,0x01ffffea,0x7fc402f8,0x7fc00fff,0x7d401fff,
    0x3e007fff,0x827ffc02,0x007ffffa,0x7ffec0be,0xfff3006f,0xfff901ff,
    0xffffffff,0xfffa809f,0xfe880005,0xfffe85ff,0x4c00006f,0x2007ffff,
    0x03fa202f,0x06ffffd8,0x1fffff30,0x3ffffcc0,0x0b305f00,0x1ffffd10,
    0x7fffffe4,0x04ffffff,0x3ff600f3,0x90003fff,0x000bffff,0x7fec01e6,
    0xffb03fff,0x7dc009ff,0x26006fff,0x8001f22f,0x000efca9,0x00002f98,
    0x7fcc0750,0x0be007ff,0x1fffff10,0x1fffff80,0x3ffffcc0,0xff805f00,
    0xffff504f,0x9817c00f,0x3007ffff,0x640fffff,0xffffffff,0x7dc06fff,
    0x644002ff,0xa87ffd82,0x000fffff,0x3fffe200,0x201f3007,0x7cc03fe8,
    0xf3007fff,0xf880ffff,0xf3007fff,0x1001f301,0xfc81ffff,0xffffffff,
    0x00f306ff,0x0fffffa2,0x7fffe400,0x00f30005,0x0fffffa2,0x037fffcc,
    0x03ffffb0,0x0f917cc0,0x03fe8800,0x0003ee00,0xf880d300,0xf3007fff,
    0xffff8801,0x7fffc00f,0x7ffc401f,0x01f3007f,0xf504fff8,0x7c00ffff,
    0x3fffee02,0xffff9802,0x357df707,0xfffb5533,0x00fffa80,0x2217ff40,
    0xffd80fff,0x048004ff,0x003ffffe,0x1ffb81ee,0x2ffffb80,0x7ffff980,
    0x0fffff80,0x9f307b80,0x71bff200,0x533357df,0x260fffb5,0x3ffe6007,
    0xff90003f,0x26000bff,0x3ffe6007,0x3fff203f,0xfff8802f,0x17cc005f,
    0xfb8000f9,0x2740002f,0x01d50000,0x01fffff0,0xff100f70,0xff801fff,
    0xff801fff,0x7b800fff,0x304fff80,0x400fffff,0x7ffec02f,0xffff9806,
    0x801ffb87,0x3ea084fd,0x7fc4003f,0x106fe83f,0x003fffff,0xffc81ba2,
    0x27c402ff,0x200bffb0,0x9806fffd,0xc807ffff,0x4402ffff,0x03ff304f,
    0x7dc7ffb0,0x04fd801f,0xffa800f5,0xff90003f,0x2a000bff,0x7ffd4007,
    0x3fffa203,0xefffd805,0x917cc000,0xffc8000f,0x76c40005,0x075c0000,
    0x2ffffc80,0x44027c40,0x400fffff,0x801fffff,0x402ffffc,0xfff804f8,
    0xfffff104,0x1003e600,0x980bfffb,0xfc87ffff,0x0ffc402f,0x02fd5ff2,
    0x441ffe80,0x3fa603ff,0x74c01fff,0x3ffa200e,0x1dd101ff,0x00fffdc0,
    0x02fffec4,0x01ffffe6,0x07ffffa2,0xf9807744,0x3fe201ff,0x2017fe46,
    0x1f901ff8,0x03ffc800,0xbffff900,0x003f2000,0xb007ff90,0x7dc05fff,
    0x98000dff,0x0001f22f,0x0003fff7,0x50007f50,0xfe8800bd,0xdd101fff,
    0xffff3001,0x7ffc401f,0xfe8801ff,0xdd101fff,0x4fff9801,0x03ffffe0,
    0xea801ee0,0xfb81beff,0xff885fff,0x7f54c42f,0xed8ffe81,0x9ff30000,
    0x2013faa1,0x9cffffd8,0x009fb730,0x33ffff62,0x00efda9a,0x567fffc4,
    0x77ff5400,0xffffb81b,0xfffb1005,0xdfb5359f,0x7fffcc01,0x40efd983,
    0x4c42fff8,0xff301fea,0x07fb0009,0x3ffff600,0x4ff98006,0x003fd800,
    0xb887fff7,0x20004fff,0x001f22f9,0x59ffff10,0x76c40001,0x9d5300ab,
    0x3f620003,0xda9acfff,0xff3000ef,0x7c403fff,0x1002ffff,0x359ffffb,
    0x5c01dfb5,0x204fffec,0x402ffffc,0xec8004f8,0xffeeffff,0x6d400bdf,
    0xbcefffff,0x17bfd500,0xffd88000,0x4c002dff,0xfffffffc,0xfc8002df,
    0xbfffffff,0xfffb3000,0x3fb2007f,0xfffeefff,0xfc8000bd,0xbfffffff,
    0x6557cc00,0x3fffceff,0x7fffed40,0xea80bcef,0x01dfffff,0x10007d10,
    0x01ffffff,0x3ffffaa0,0x7d1001df,0x7ff64c00,0x01ceffee,0xf917cc00,
    0xffb30000,0x300009ff,0xdfddfb95,0x2000019b,0xfffffffc,0x3f2000bf,
    0x2e03ffff,0x004fffff,0x7fffffe4,0x4c400bff,0x22009999,0x101ffffe,
    0x880001dd,0x0019aab9,0x04000440,0x00880000,0x35553000,0x2aa00001,
    0x20001abb,0x220001a8,0x0019aab9,0x2aeeaa00,0x26062001,0x10001aba,
    0x00000001,0x37220031,0xffffffff,0x000000cd,0x4c000310,0x800001aa,
    0x00006209,0x00001a88,0x00000440,0x0d5dd540,0xfffd9100,0x119dffff,
    0xffffffd9,0x540039df,0x0001abba,0xfffd8800,0xefda9acf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f200000,0xbfffffff,0x55530000,0x01800001,
    0xddd90000,0x66640009,0x9800000c,0x40002ccc,0x32601101,0x0004cccc,
    0x373015c4,0x4732e000,0x70002cca,0x0001cc03,0x30166664,0x33333333,
    0x00170033,0x00c980f6,0x2d88075c,0x000006ea,0x000b3332,0x004ccc80,
    0x19999300,0x80f60000,0x300000c9,0x403a85bb,0x99999998,0x00000999,
    0x006665c0,0xa8003730,0x0001abba,0x02ffffc4,0x000d7000,0x1dfff100,
    0x3ffea000,0xe800003f,0x0000ffff,0x7fec5ffb,0xfffff302,0x7ffc4000,
    0x03fffa85,0xff2ffc40,0x3b60001d,0x0005e880,0x8077ffcc,0xfffffdb8,
    0x2600bdff,0x09f5000f,0x3fa00bf5,0x9107fcc1,0x200009ff,0x0005fffa,
    0x0ffffee0,0x7ffec000,0x9f500003,0x0000bf50,0x33fffffa,0x6e4c02eb,
    0xffffffff,0x00ceffff,0xffffa800,0x9fff7004,0x80000000,0x01fffffc,
    0x003fd000,0x0effa800,0xffff1000,0x400001ff,0x04fffffb,0x15fff980,
    0x7ec0dfff,0x2e0007ff,0x7ec0ffff,0x7dc006ff,0x003ff30f,0x65effdc0,
    0x40003ffd,0x7000effc,0x007fffff,0x74001fd1,0x003ff25f,0xffa97fd4,
    0x00bff103,0x01dffb00,0x3ffe2000,0x00000fff,0x0000dffb,0x1ff92ff4,
    0xfff70000,0x00ffffff,0x26ffffc8,0x2ffffda9,0x7fff4000,0xffe800ff,
    0xccca807f,0xf880000c,0x005ffcff,0x005ffa80,0x0077ec00,0xf7bff900,
    0x2200009f,0x0ffeafff,0xa7ffc400,0x3205fff8,0x20007fff,0x640ffffb,
    0x74005fff,0x0013f22f,0x3fffffa0,0xff80006f,0x3fe6000e,0xfd801fff,
    0x3fea000f,0x4004ffde,0x06ffdffe,0x00027fe4,0x00003bfe,0xffccffc8,
    0x3f600004,0xf500000f,0x009ffbdf,0x3f277600,0x4003ffff,0x706ffffb,
    0x0009ffff,0x3fef7fee,0x7fffc405,0xfffd801f,0xefd80002,0x0003ff50,
    0x000fffd8,0x001ff100,0xf51ffc40,0xf900001f,0x013f621d,0xea837ae0,
    0x3ffee01d,0x3fa20007,0x1ffe983f,0xdd13e200,0x3fa20000,0x0000efff,
    0x200077cc,0x00fffff8,0x0007ffec,0x03fffffa,0xfffff500,0x06ffa805,
    0x003bea00,0x23ff8800,0x00000ffa,0x80000ff6,0x00fffffe,0xb9817000,
    0xffa8000b,0x3ffa06ff,0x7c4000ff,0x007fea4f,0x001fffff,0x00017ffa,
    0x6f981bf3,0x3ffe6000,0xd300004f,0x2fd80003,0x40004f98,0x0fd80df8,
    0x5c000000,0x80007fff,0x4000c009,0x007e60eb,0x05995000,0x003f2000,
    0x3ffffe20,0xffffd100,0xf5001335,0x20007fff,0xb805fffe,0xb0000fff,
    0xd800001d,0x004f981f,0x001ba200,0x3ffffa80,0x00000000,0x37fffcc0,
    0x07ffff90,0xf982fc80,0x3ffff405,0x00ffd100,0x36203b80,0xfffb0001,
    0x000000ff,0x2600a800,0x014c0004,0x000000ae,0x00ffff70,0x00000000,
    0x00000000,0x20000000,0x80fffff8,0xffffffe8,0x555005ff,0x4cc40005,
    0x7ffd8009,0x00000000,0x012600a8,0x00000000,0x4000aaaa,0x99999999,
    0x99998199,0xff980999,0x3fee06ff,0x0d4006ff,0x7e401910,0x744005ff,
    0x0000002f,0xffff1000,0x262007ff,0x20999999,0x00099998,0x4000d54c,
    0x99999999,0x99998199,0x33310999,0x4c413333,0x7fdc0999,0x8072e67f,
    0x21999998,0x00999998,0x001aa980,0x03553000,0x57973000,0x3fe20281,
    0xca880fff,0x2aabffff,0x33333331,0x33333333,0x4cc43333,0x99999999,
    0x00dffd01,0x00000300,0x33100030,0x33333333,0x33333333,0x99999988,
    0x00009999,0x3ffff722,0x640bcfff,0x81cefffd,0x206ffff9,0x106ffffb,
    0x33333333,0x33333333,0x7fff7033,0x00bd1000,0x09999988,0x6ee40000,
    0x5006ffff,0x19ffffff,0x006ffed4,0x377fff62,0x4401dfff,0xffffffdc,
    0x7ee40bcf,0xff51ceff,0x5419ffff,0x7dc0dffd,0xffffb7ff,0xfff9105f,
    0x3ff661ff,0xfd8806ff,0xdfffddff,0xffb10001,0x3bfffbbf,0x6fff4c00,
    0x05a9cffd,0x03ffffe2,0x80ffffa8,0xfffffffd,0xffffffff,0x36e27fff,
    0xdfffffff,0x05fff80b,0x00035c00,0x2001ae00,0xfffffdb8,0xffffffff,
    0x37260fff,0xffffffff,0x00ceffff,0x7ffffe40,0x00ffb801,0x81bfffe6,
    0x104ffffd,0xffffffb7,0xffffffff,0xfff981ff,0x20000001,0x02fffffc,
    0x7cd7c000,0x3002ffff,0x7c0fffff,0xbfffb806,0x13ffea20,0x7ffffe40,
    0x80ffb801,0x207ffff9,0xffff706f,0xffffb5bb,0x3ffff601,0x037fff40,
    0x882fffee,0x4004fffa,0x220bfffb,0xb804fffa,0x7fd40bff,0x3ffe205f,
    0x3fea00ff,0xcffd80ff,0xffffc99a,0x7ffb999e,0x5fffff70,0x027ffc40,
    0x0007fa00,0x001fe800,0x3ffffee0,0xfea99999,0xfff900ff,0x7fed4cdf,
    0x3ea002ff,0xf1007fff,0xffff9809,0x3ffffe06,0xffffb802,0xea99999f,
    0x7ff80fff,0x01aa9800,0x2ffffb80,0xe9ae0000,0x2005ffff,0xf01ffffc,
    0x7fff4c05,0x3bffea03,0x7fffd401,0x409f1007,0xf01ffffc,0x3fffee05,
    0x837ffdc5,0x6c0ffffc,0xfd306fff,0x7fd407ff,0x7f4c01ef,0x3fea03ff,
    0xbff301ef,0x102ff440,0x401fffff,0xd80ffffa,0xffffb82f,0xf507f985,
    0xf803ffff,0x2a0003ff,0x000005ff,0x4000bff5,0x00fffff9,0x7dc03fee,
    0xff706fff,0x3ea009ff,0x3e007fff,0x7fffcc03,0x9ffffb06,0x3fffe600,
    0x03fee00f,0x36201bf6,0xfffddfff,0xfffa801d,0x3a00002f,0x3ffffea3,
    0xffff1001,0xfe80d309,0xffc805ff,0x3fea00ff,0x0fe007ff,0x84ffff88,
    0x3ffee069,0x7fffc40f,0x0ffffb82,0xe837ffec,0xfc805fff,0x3fa00fff,
    0xffc805ff,0x2ffd80ff,0xf102fcc0,0x5401ffff,0x4d80ffff,0x0bffff70,
    0x7ffcc1ee,0x7fe400ff,0x3ff60003,0xd800000f,0x30000fff,0x801fffff,
    0xfff500fb,0x7fff40df,0xfffa800f,0x00fe007f,0x53dffff3,0x5dfffd95,
    0x7fffcc00,0x407dc00f,0x7fdc04fb,0x3fea20bf,0x7ffcc04f,0xf500002f,
    0x09fffff0,0x07fffec0,0xfffc80f2,0xfff8801f,0x3ffea05f,0x00fe007f,
    0xc81ffffb,0x1fffee03,0x5c27fff4,0x7ec0ffff,0xfffc86ff,0xfff8801f,
    0xffff905f,0xffff1003,0x007fff0b,0x7ffc40b7,0x3fea00ff,0x701d80ff,
    0x220bffff,0xfffff307,0x06fe8801,0x9ffff300,0xff980000,0xf30004ff,
    0xf001ffff,0x3fffe601,0x3ffff206,0xffffa803,0x300fe007,0xffffffff,
    0x0007ffff,0x01fffff3,0x05f501f0,0x80ffffa6,0x301efffa,0x0005ffff,
    0x3fee0f60,0xf3000fff,0x00f87fff,0x00fffff3,0x817fffec,0x007ffffa,
    0xfff300fe,0x2e00f87f,0xffd07fff,0xffff70df,0x46fffd81,0x007ffff9,
    0x30bffff6,0x400fffff,0x222ffffd,0x4c01ffff,0x3fffe206,0x3ffea00f,
    0x3ee0480f,0x41205fff,0x00fffff9,0x8003fe88,0x007ffffd,0x7fffec00,
    0xfff30007,0x6c2981ff,0xdffff300,0x37fffdc0,0x3ffffd40,0xf9807f00,
    0xfff36fff,0xf3000bff,0x2981ffff,0x80fc406c,0xc805fffe,0xf980ffff,
    0x80002fff,0xfff880f9,0x3fa003ff,0xe816a6ff,0x2004ffff,0x507ffffb,
    0x400fffff,0xfffe803f,0xff7016a6,0x3fff60ff,0x0ffffb87,0x3a37ffec,
    0x2004ffff,0x747ffffb,0x2004ffff,0x227ffffb,0x403fffff,0x3fffe204,
    0x3ffea00f,0x7fdc000f,0xf98005ff,0x2000ffff,0xf1001eda,0x007fffff,
    0x3fffe200,0xf98003ff,0x15c0ffff,0x7ffcc026,0x3ffee06f,0xfffa806f,
    0x00fe007f,0x64dffff3,0x003fffff,0x07ffffcc,0x3e0130ae,0x1ffffc80,
    0x5ffff880,0x12ffff98,0x6c001795,0xfccccccf,0x2007ffff,0x5b2ffffa,
    0x3ffffe20,0x3ffe6003,0xfffa80ff,0x00fe007f,0x6cbfffea,0x3fffdc02,
    0x40ffffd8,0x6c0ffffb,0x3fe26fff,0x26003fff,0xf10fffff,0x4007ffff,
    0x20fffff9,0x2efffffe,0xffff8800,0x3ffea00f,0x7fdc000f,0xf98005ff,
    0x2000ffff,0xb9002fc9,0x00dffffb,0x3ff77200,0xf98006ff,0x16c0ffff,
    0xdffff300,0x27fffec0,0x3ffffd40,0xf9807f00,0x7ff46fff,0x26000fff,
    0x6c0fffff,0x3e612002,0x36007fff,0x7cc2ffff,0xffe9afff,0xef8803ff,
    0xfeeeeeee,0x2002ffff,0x078effff,0x0bffffe6,0xfffff980,0x7ffffa82,
    0x7c00fe00,0x8078efff,0xfb07fffb,0xfff70dff,0x6fffd81f,0x0bffffe6,
    0xfffff980,0x5fffff32,0x7fffcc00,0x3fffee2f,0x2001efff,0x00fffff8,
    0x003fffea,0x0bffff70,0xfffff300,0x19fb1001,0x7fcd7c00,0x80002fff,
    0xfffff9af,0x7ffcc002,0x00be60ff,0x06ffff98,0x00bffffe,0x01ffffea,
    0x7fcc03f8,0x7ffc46ff,0x3e6006ff,0x3e60ffff,0x7ff40002,0x3ee004ff,
    0x7fcc7fff,0xffdcfdff,0x02e401ff,0x037fffec,0x9bffff70,0x7ffffd40,
    0x3ffe2002,0xfffa83ff,0x00fe007f,0x26ffffdc,0x83fffdc0,0xfb85fffd,
    0x7fec0fff,0x3fffea6f,0x3fe2002f,0xfff53fff,0x7c4005ff,0x7ec3ffff,
    0xdfffffff,0xffff8800,0x3ffea00f,0x3ee0021f,0x98005fff,0x800fffff,
    0x35c006fd,0x00bffffd,0x3ffa6b80,0x7cc005ff,0xff50ffff,0x7ffcc005,
    0xffffb06f,0x3ffea009,0x00fe007f,0x70dffff3,0x009fffff,0x43ffffe6,
    0x20002ffa,0x03fffff8,0x3ffffe60,0x3ffffe60,0x817fffa1,0xffa801f8,
    0xf1001fff,0x6403ffff,0x001fffff,0x17ffffe2,0x01ffffea,0xff1003f8,
    0xf7003fff,0x3ffa0fff,0xffffb84f,0x937ffec0,0x003fffff,0xafffffc4,
    0x01fffffc,0x3ffffe20,0xfffffe85,0x4402ffff,0x200fffff,0x752ffff9,
    0xbffff700,0xffff3000,0x3ffc801f,0xff51f400,0x40003fff,0x3fffea3e,
    0x3fe6001f,0xffffefff,0x3ffe6002,0xfecaa9ef,0x2a002eff,0x2007ffff,
    0x7ffcc03f,0xffffb06f,0xfff3003f,0x5ffffdff,0x4c2f6a00,0x002fffff,
    0x8bffffe6,0x643ffff9,0x1f206fff,0x5ffffe80,0x1bfff600,0x3fffff90,
    0x7fffc400,0xffffa85f,0x800fe007,0x7006fffd,0xff10ffff,0xfff705ff,
    0x6fffd81f,0x07fffff2,0xfffff880,0x3fffff95,0x7fffc400,0xffff905f,
    0x407fffff,0x00fffff8,0x2effffe4,0x5ffffb80,0xffff9800,0x17ff400f,
    0xfff0f500,0x2a0009ff,0x4fffff87,0x3fffe600,0x02ffecbf,0x3ffffe60,
    0x3fffffff,0xffffa800,0x500be007,0x220dffff,0x00efffff,0x5fffffcc,
    0xb802ffec,0xfff55fff,0x7c4005ff,0x3e63ffff,0x7fe42fff,0x00bf106f,
    0x0fffffdc,0x03fff980,0x17ffffdc,0xfffff100,0xfffff507,0x30017c00,
    0x2e007fff,0x7d45ffff,0xfff904ff,0x6fffd83f,0x0bffffee,0xfffff880,
    0x5fffff73,0x7fffc400,0x3ff6603f,0x01ffffff,0x03fffff3,0x019dfd70,
    0x17fffee0,0x3fffe600,0x1fffc00f,0xff707b00,0xb0001fff,0xfffff707,
    0x3ffe6001,0x00bfa0ff,0x36ffff98,0x00bfffff,0x0fffff50,0x3ee017c0,
    0x3ea07fff,0x4c05ffff,0x3a0fffff,0xfffe802f,0xfffffc8f,0x3ffe2001,
    0x3ffe65ff,0x3fffe42f,0x8007ff4c,0x0efffffb,0x801ffd00,0x03fffff9,
    0x3ffffe60,0x7ffffa82,0xd000be00,0x3ee001ff,0xfbadefff,0x3ff606ff,
    0x7ffec2ff,0x3ffffe66,0x3ffe6003,0xffff32ff,0x7fcc007f,0xe9802fff,
    0x05ffffff,0x07fffff7,0x7dc00040,0x98005fff,0x400fffff,0xf3005fff,
    0xfffff101,0x80f98007,0x03fffff8,0x1fffff30,0xf30017c4,0x7fe4dfff,
    0x54003fff,0x2007ffff,0x7ffec02f,0x3ff201ff,0x3e604fff,0x3e20ffff,
    0x7fffd802,0x03fffff9,0x7ffffc40,0x0bfffe65,0xfc8ffff9,0x902effff,
    0xfffffffd,0x0bf5007f,0x7fffff10,0x7fffcc00,0xffffa81f,0x000be007,
    0x7dc00bf5,0xffffb7ff,0xfffd303b,0x7fecbfff,0x3fffe26f,0x3fe6003f,
    0xfff11fff,0x7cc007ff,0x0531ffff,0x7fffffa8,0x3ffffb22,0x100cefff,
    0xff700037,0xf3000bff,0xe801ffff,0x9fb006ff,0xfff99999,0xfd800fff,
    0xffcccccc,0xf3007fff,0x2d81ffff,0x3fffe600,0x7fffff46,0x3ffe6000,
    0x20be007f,0xfffffed9,0xffd04eff,0xf303ffff,0x2d81ffff,0x73fff980,
    0x005fffff,0x1fffffc4,0xc85ffff3,0x00007fff,0xf0001fb8,0x3fff6003,
    0x3fee004f,0xfff306ff,0x017c00ff,0xf7000fc0,0x01544fff,0xdfff9000,
    0x04ffffd8,0x1bfffee0,0x009ffffb,0x337fffdc,0xfffd100b,0x017e601f,
    0x8009fff0,0x005ffffb,0x0fffff98,0x403ffec0,0xeeeeeef8,0x2fffffee,
    0xddddf100,0xffffdddd,0xfff3005f,0x882b81ff,0x6ffff984,0x37ffffc4,
    0xfffff100,0x0003e600,0x7cc00000,0x15c0ffff,0xf3054244,0x4007ffff,
    0x22fffff9,0x642ffff9,0x00007fff,0x980027e4,0x3ffe6006,0x3ff6006f,
    0xfff101ff,0x03e600ff,0xb800d300,0x00007fff,0x22fffe40,0x006ffff9,
    0x307ffff6,0x400dffff,0x261ffffd,0xfff8800f,0x01ff980f,0x01fffe20,
    0x0bffff70,0xfffff300,0x0fffb801,0x7ec02e40,0xb9006fff,0xdffffb00,
    0xfffff300,0x84b81881,0xb86ffff9,0x004fffff,0x003ffffe,0xf70001ee,
    0xf980009d,0x0c40ffff,0x7fc4025c,0x26003fff,0x261fffff,0x7e42ffff,
    0x200007ff,0x2a804ff8,0x3f2001e4,0xf8802fff,0x7fc05fff,0x7b800fff,
    0x00f21540,0x00ffff70,0x7fe43000,0xffffc84f,0xffff8802,0x5ffff905,
    0xbffff100,0xf9004f98,0x01ff60df,0x001f72a0,0x00bffff7,0x1fffff30,
    0x406ffa80,0xffa801f8,0x7c401fff,0xffffa801,0x7ffcc01f,0x07d000ff,
    0x20dffff3,0x01fffffd,0x05ffff90,0x40004f88,0x0002ffea,0x03ffffe6,
    0xfd801f40,0x2e004fff,0x7cc6ffff,0x7fe42fff,0x2a00007f,0x7fec06ff,
    0xd10003e2,0xfb00bfff,0xfc801dff,0x7c402fff,0xf8bff604,0x7ffdc000,
    0x7ec00007,0x109fff74,0xb00bfffd,0x2201dfff,0xd805fffe,0x7cc0efff,
    0x3ffd801f,0x0007fff0,0xff90012e,0xf3000bff,0xc801ffff,0x03e404ff,
    0x0bffffd0,0x3fa007c8,0x7cc05fff,0xd800ffff,0xffffa81f,0xfffff106,
    0xffd1001d,0x3ba203ff,0xff880000,0x3fe60004,0xfd800fff,0xffff3001,
    0x7ffec00d,0x7fffcc1f,0x03fffe42,0x13ffe000,0x0775fff8,0x17ffec00,
    0x01bfff70,0x3ffffd10,0xf803ba20,0x000775ff,0x000ffff9,0xfab7fc40,
    0x3ff600ff,0x3ffee02f,0xfffd800d,0x37ffee02,0x01fff980,0xfe81bfe2,
    0x6cc000ef,0x7ffe4000,0xffa8006f,0x7fc01fff,0x002fc405,0x03fffff7,
    0xfb8017e2,0x2a01ffff,0x201fffff,0xfb80ffd8,0x3ea07fff,0x1005ffff,
    0x359ffffb,0x0001dfb5,0x0003fee0,0x1fffffa8,0x003ff620,0x02ffffc8,
    0x85ffff88,0x6c3ffff9,0x0000ffff,0x2f7ffee0,0x36fffe41,0x7ffdc000,
    0x27ffdc43,0x3fff6200,0xefda9acf,0x6fffe400,0xfffb0006,0x6400003f,
    0x007ff96f,0xb887fff7,0x5c004fff,0x7dc43fff,0x3fe604ff,0xefd983ff,
    0x3fffea00,0x015c009b,0xfffffe80,0x7ffe4000,0x9ff703ff,0x07ff4c01,
    0xfffffb80,0x07ff4c0e,0xfffffb80,0xffff900e,0xb75335bf,0x3f60ffff,
    0x3201ffff,0x004fffff,0x3ffffff2,0x80000bff,0x0002dfdb,0x6fffffe4,
    0xffdba99a,0x7f44007f,0xffd805ff,0xfffb80ef,0x7ffff44f,0x75c00001,
    0x3620efff,0x00000eff,0xfddffd93,0x400039df,0xfffffffc,0xfd8800bf,
    0x6c4000ef,0x0befffff,0xfec88000,0x326002df,0xeffeeffe,0xd930001c,
    0x9dffddff,0xcaaf9803,0x3fffceff,0xdfffb500,0xda800005,0xffffffff,
    0x3fb2603d,0xceffffff,0xc8017950,0x02efffff,0xffffffd9,0x3fff27ff,
    0xfd902eff,0x7fffffff,0x3ffffb26,0xffffffff,0x3666ffff,0xfffffffe,
    0xffffd04e,0x554003ff,0x00001abb,0x260000c4,0xffffffec,0xffffffff,
    0xfb0006ff,0x7fdc05ff,0xfffc80df,0xfffd5fff,0x00007fff,0x04403730,
    0x2a600000,0xa800001a,0x0001abba,0x26200011,0x09999999,0x00040000,
    0x001aa980,0x03553000,0xba981880,0x3710001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb800000,
    0x7fdc43ff,0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x93000000,0xdffddffd,
    0x00000039,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x00001aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x39999100,0x47750000,0x001cccc8,0x00999950,0x00266654,0x02ccca80,
    0x2b2ea600,0x14001301,0x3fe60000,0x350002ff,0x30000a80,0x00017059,
    0x03d302ec,0x66654000,0x5440000c,0x22001acb,0x09999999,0x4cccccc0,
    0x0b260009,0x3331002e,0x5dc00333,0x00005d40,0x0064c07b,0x02af2e60,
    0x66640005,0x0da8003c,0x88000ae0,0x000ba83b,0x80333333,0x0004ccca,
    0x017ffea0,0x83bfd500,0x0005fffa,0x8003fffd,0x0002fffd,0x037fffc4,
    0x3fffae20,0x89bdffef,0x02ea801e,0x7ffe4000,0x0bee0002,0x30003f62,
    0x539ffffd,0xef98000f,0x0002fdc0,0x00bfffa0,0x6fffecc0,0x401efffd,
    0xffffffd9,0x7ffee405,0xfe8801df,0x0faacfff,0x6ffffdc0,0x4bffb004,
    0x20006ffc,0x05fa84fb,0x377ffa60,0x005a9cff,0x01dfff30,0xd103be00,
    0x7ec0001f,0x01bff25f,0x3fffff62,0x07fffe00,0x5ffd8000,0x0ffdc000,
    0x001fff70,0x002fff98,0x005ffe88,0x7ffffe40,0xffff5003,0x7fe4c17d,
    0x3fa201ff,0xfe800001,0xfe80003f,0x000ffa63,0x3ffffff6,0xc80005ff,
    0x03ff91ef,0x7ffc4000,0xfff70002,0xcfffa817,0x7fffcc00,0xefa804ff,
    0x3fff6000,0x805fffff,0x4002fffb,0xfff0ffff,0x7f40001f,0x4003ff25,
    0x7d40bffb,0xf70005ff,0x5c0001df,0x09ff31ff,0x3fffc400,0x2001ffff,
    0x300ffffd,0x00003fff,0x0002ffc4,0x2e01bfe6,0x7e4002ff,0x3a20002f,
    0x3e20007f,0x00fffaef,0x017fffe4,0x4407ffa2,0x800000fe,0x00003ff9,
    0xdff59ff5,0xf99f1000,0x003fffff,0xfdfff100,0xb800009f,0xe98002ff,
    0x3e603fff,0x7d401eff,0x802fffff,0x33e2004f,0x2ffffffc,0x01fffb80,
    0xf92ffec0,0xfa8000df,0x004ffdef,0x7440bff3,0xdfd0005f,0xffd00001,
    0x0001fff9,0x3f25ffd8,0x3ff2006f,0x5ff900ff,0xefa80000,0x7fe40000,
    0x00bf7004,0x80002fe8,0xb0002fe8,0x0ffa21df,0x04ffffc8,0x3603ff10,
    0x9000005f,0xe800007f,0x002fffff,0x675cc588,0x3f200000,0x0000ffff,
    0x8001ff40,0xb805fffe,0x2600ffff,0x1fffffff,0xb1001f40,0x000ceb98,
    0x8001fff7,0x05dc0bb8,0x7fff4000,0xffb000ff,0x005f9805,0x0000ff98,
    0x7fffff50,0x17710000,0x70005dc4,0x3e01ffff,0xd800002f,0xfe80000e,
    0x03f2005f,0x0001fcc0,0x30009d10,0x01fb109f,0x00bffff5,0xffd81fa8,
    0x77000001,0xff500000,0x00000bff,0x3e200000,0x00003fff,0xc8001fc4,
    0xf001ffff,0x7cc0bfff,0x0efffffd,0x00000f60,0x07ffdc00,0x00000000,
    0x02ffffa8,0x200fffe0,0x1fb8005b,0x7ff40000,0x0000006f,0xffff7000,
    0x0005f301,0xd0000000,0x00000dff,0x00000000,0x06e014c0,0x01fffff1,
    0xff983d00,0x00000005,0xdddb0000,0x99998803,0x4cc00999,0x00099999,
    0x0000ccc4,0x3e600000,0x36007fff,0xf302ffff,0xbfffffd1,0x30001ec0,
    0xfb800355,0x260000ff,0x800001aa,0x22002aaa,0x4c01ffff,0x00000006,
    0x006aaa60,0x33333330,0x33303333,0xfb813333,0x00000fff,0x26666662,
    0x00009999,0x310fff90,0x33333333,0x4cccc433,0x01999999,0x22000600,
    0x99999999,0x7ffdc199,0x8370007f,0x80002ffd,0x99999998,0x99999999,
    0x04009999,0x3ff66008,0x6405ffff,0x01dffffd,0x98000300,0x99999999,
    0x99999999,0x27ffff40,0xfffff700,0x7ffc5e60,0x07b04fff,0x6fffec40,
    0x401dfffd,0x2000fffb,0xfddfffd8,0x26001dff,0x99999999,0x99999999,
    0x3ffffe20,0x26622403,0x99999999,0x19999999,0x4cccccc4,0x10000999,
    0xffffffb9,0xfdc8179f,0x7dc1ceff,0x4ccc0fff,0xb9300199,0xffffffff,
    0x019dffff,0x40fffb80,0xfffffdb8,0xb710bdff,0xbfffffff,0x0d700017,
    0xfffb7100,0x417bffff,0x005ffffe,0x03fff300,0xffd95000,0xffffffff,
    0x5fffffff,0xe993fe60,0x7ffcc05f,0xfa804fff,0x1ae0000e,0xffff8800,
    0xffffffff,0x220fffff,0x003fffff,0x03ffffea,0xffff99e6,0x003d82ff,
    0x4417fff7,0x2e04fffa,0xf7000fff,0x7d4417ff,0xff8804ff,0xffffffff,
    0x0fffffff,0x77fffff4,0xffb71002,0xffffffff,0x41ffffff,0xfffffeb9,
    0xadefffff,0x3fff2000,0xffb801ff,0x1ffff700,0x7ffffec4,0x7ffe4000,
    0x3ff6a66f,0x3ea002ff,0x3fee01ff,0x7dc02fff,0x0002ffff,0x70000ff4,
    0x305fffff,0x009fffff,0x03fff600,0xfbfd0000,0x3333dfff,0x205fffb5,
    0xff91fffd,0xfffa803f,0x4f802fff,0x00ff4000,0x9dfff980,0x7fffec19,
    0x7fffcc2f,0x3fe6002f,0x47982fff,0x0ffffffb,0x3fa601ec,0x3fea03ff,
    0xfffb81ef,0x7fff4c00,0x3bffea03,0x37ffe601,0x7ffec199,0xfffb82ff,
    0x001effff,0x27ffffee,0xffea9999,0xffffb00f,0xfff9533d,0x3fea007f,
    0x9f1007ff,0x07fffdc0,0x007fffec,0x1bfffee0,0x027fffdc,0x200fff88,
    0x01fffffa,0x0fffffd4,0x0bff5000,0x7fffd400,0xffffa81f,0xff00002f,
    0xf00000ff,0x0bffff79,0xfd817fdc,0x3fff90ff,0xfffff980,0x01f401ff,
    0x00bff500,0xa807fea0,0xa85fffff,0x002fffff,0x0fffffe2,0x3fff61e6,
    0x00f60eff,0x900bfffd,0xfb81ffff,0x7ff400ff,0xfffc805f,0x03ff500f,
    0x2fffffd4,0xffffffb0,0xf3001bff,0x5c01ffff,0xfff700ff,0xfffd10df,
    0xfffa803d,0x80fe007f,0xc80ffffb,0x4000ffff,0x206ffffa,0x800ffffe,
    0x7cc06ff9,0x4c00ffff,0x000fffff,0x003fff60,0x7ffffcc0,0xfffffc80,
    0xff880001,0x5c00006f,0x5ffffb8e,0xe9817dc0,0x013f623f,0x3ffff7e6,
    0x00f600ef,0x00fffd80,0x7401fa80,0xc80fffff,0x001fffff,0x17ffffe2,
    0x7fff41e6,0xc80f65ff,0x8801ffff,0x7dc5ffff,0x3ff200ff,0xff8801ff,
    0x03f505ff,0x0fffffe8,0x7fffff40,0x4c02ffff,0x400fffff,0xfff700fb,
    0x3ffe20df,0x3fea00ef,0x0fe007ff,0x80ffffb8,0x000ffffb,0x037fffcc,
    0x007ffff9,0xf9803ff9,0x4c00ffff,0x000fffff,0x09ffff30,0x3fffe600,
    0xffffc80f,0xfa80001f,0x200006ff,0xffff72f8,0x002f880b,0x747cc000,
    0x205fffff,0xff30003d,0x970009ff,0xfffffc80,0xfffff903,0x7ffc4003,
    0x107985ff,0x27ffffff,0xffff303d,0x7ffec00f,0x03ffee2f,0x03ffffcc,
    0x05ffffb0,0xfffc8097,0xff9003ff,0x7fffffff,0x7ffffcc0,0xf700f800,
    0x7dc0dfff,0x3ea05fff,0x3e007fff,0x3fffee03,0x0ffffb80,0x7fffcc00,
    0x3fffee06,0x00ffd406,0x07ffffcc,0x3ffffe60,0xfffb0000,0x3e6000ff,
    0xfb80ffff,0x0003ffff,0x006fffb8,0xffb97600,0x164585ff,0x44333333,
    0x20099999,0xfffff179,0x000f609f,0x03ffffec,0xff300e40,0x7dc0dfff,
    0x2002ffff,0x84fffff8,0x3ffe6079,0xd03d9fff,0x4009ffff,0x2e7ffffb,
    0xffd00fff,0x7dc009ff,0x01c87fff,0x1bffffe6,0xffffb300,0x2603ffff,
    0x4c0fffff,0xffb806c2,0x3fe206ff,0xff502fff,0x1fc00fff,0x01ffff70,
    0x001ffff7,0x06ffff98,0x41bfffee,0x3000bee8,0x801fffff,0x00fffff9,
    0xfffff880,0xff98003f,0xffa80fff,0x80004fff,0x0005fffc,0x7fdc1f50,
    0x044685ff,0x23fffff7,0x06ffffd8,0xffff99e6,0x003d82ff,0xffffff88,
    0x3600c003,0x201fffff,0x03fffff9,0x3ffffe60,0x7dc07982,0x83efffff,
    0x03fffff8,0x3ffffe60,0x101fff70,0x007fffff,0x07ffffcc,0xffffb006,
    0x3a60003f,0x05ffffff,0x81fffff3,0xfb804c2b,0x7ec06fff,0xff506fff,
    0x1fc00fff,0x01ffff70,0x001ffff7,0x06ffff98,0x413ffff6,0x26002de8,
    0x400fffff,0x00fffff9,0xfffddc80,0xff98006f,0xff980fff,0x80005fff,
    0x0005fffc,0x7fdc3f88,0x4034c5ff,0x7c1ffffc,0x1e606fff,0x1ffffff7,
    0xdc8003d8,0x006ffffd,0x3fffea00,0x7ffc404f,0x3ea003ff,0x7981ffff,
    0xfffffc80,0xffff983f,0x3fe6002f,0xfff72fff,0xfffff301,0x7ffcc005,
    0x3ea002ff,0x4c04ffff,0x7fffd402,0xffff307f,0x2002d81f,0x406ffffb,
    0x81fffffb,0x007ffffa,0xfffb80fe,0xffffb80f,0x7ffcc000,0x3fffe06f,
    0x0f7d402f,0x7ffffcc0,0x7fffcc00,0x9af8000f,0x002fffff,0x07ffffcc,
    0x06ffffe8,0x5fffb800,0xb85c8000,0x36c5ffff,0x0ffffd40,0x981bfff6,
    0xfffffd87,0x2000f60e,0xfffff9af,0xff880002,0xd800ffff,0x2004ffff,
    0x306ffffb,0x3fff600f,0xfffa83ff,0x3e2002ff,0xff73ffff,0xffff501f,
    0x7fc4005f,0xf1003fff,0x801fffff,0xffe88059,0xfff980ff,0x00be60ff,
    0x06ffffb8,0x17ffffd4,0x03ffffd4,0x7fdc07f0,0xfffb80ff,0x7fcc000f,
    0xfffb06ff,0x3ff2009f,0x7fffcc00,0x7ffcc00f,0x35c000ff,0x00bffffd,
    0x0fffff98,0x1fffff50,0xfffa8000,0x07cc0006,0xaaffffdc,0xffa806fd,
    0x7ffec1ff,0x7f41e606,0x0f65ffff,0x7ff4d700,0xc80005ff,0x002fffff,
    0x00fffff3,0x80ffffec,0xffd10079,0xfff907ff,0x7c4003ff,0xff75ffff,
    0xffff901f,0x7fc4003f,0xf9005fff,0x3005ffff,0xfff1001f,0xffff301f,
    0x00bfea1f,0x06ffffb8,0x1fffffd4,0x03ffffd4,0x7fdc07f0,0xfffb80ff,
    0x7fcc000f,0xecaa9eff,0x2002efff,0x7cc06ff9,0x4c00ffff,0x000fffff,
    0xffff51f4,0x7fcc003f,0x3f600fff,0x48004fff,0x001bffe6,0x3fee07d0,
    0x6fffffff,0x1ffffa80,0x3037ffec,0x3fffe20f,0x8007b3ff,0x3fffea3e,
    0x3e60001f,0x4005ffff,0x802ffffc,0x205ffff9,0x3fe60079,0xfffc83ff,
    0x3e2001ff,0xff75ffff,0xffff901f,0x7fc4003f,0xf9805fff,0x3005ffff,
    0x3ff2009f,0xfffff306,0x005ffffd,0x037fffdc,0x13ffffe6,0x01ffffea,
    0x3fee03f8,0xfffb80ff,0x7fcc000f,0xffffffff,0xf98003ff,0x3fe600ff,
    0x7cc00fff,0x2000ffff,0xfffff87a,0x3ffe6004,0x3fe200ff,0xd1001fff,
    0x007fff8d,0x3bbbbee0,0xeffffeee,0xa806ffca,0x7ec1ffff,0x81e606ff,
    0x9ffffff9,0x21ea003d,0x004fffff,0x3fffffa0,0x7ff44001,0xfffc806f,
    0x001ea00e,0xf707fff5,0x4005ffff,0x73fffff8,0xff701fff,0x44005fff,
    0x803fffff,0x01fffffe,0xb003ff30,0x3fe607ff,0xffecbfff,0x3ffee002,
    0x7ffcc06f,0xfffa84ff,0x80be007f,0xb80ffffb,0x4000ffff,0xf36ffff9,
    0x000bffff,0x4c05fff5,0x400fffff,0x00fffff9,0x3fee0f60,0xf3000fff,
    0x9801ffff,0x401ffffe,0x7fec0ee9,0xbf88000f,0xfdaaaaaa,0x1be65fff,
    0x07fffea0,0x4c0dfffb,0x7fffdc07,0x36003eff,0xfffffb83,0xfffb8000,
    0xb10004ff,0x7cc05fff,0x7e400eff,0x1ffe4000,0x1fffffcc,0xfffff300,
    0x203ffee5,0x03fffff9,0x3ffffe60,0x7fffdc02,0x3fe6004f,0x1bfe201f,
    0x0fffff98,0xfb800bfa,0x7cc06fff,0xfa83ffff,0x3e007fff,0x3ffff202,
    0x0ffffb81,0x7fffcc00,0x3fffff26,0x7ffdc003,0x3fffe601,0x7ffcc00f,
    0x1f3000ff,0x7fffff10,0x3fffe600,0xffd8800f,0xb7309cff,0x3ffe609f,
    0x404d8001,0x5c5ffffb,0xffffa806,0x037ffec1,0xfff900f3,0x26007fff,
    0xffff880f,0x7fc4003f,0x80006fff,0xfa83fffc,0x7cc00dff,0x3fd8004f,
    0x3fffff88,0x3fffe600,0x01fff71f,0x07fffff1,0x7ffffcc0,0x3fffe201,
    0x7fcc006f,0xefd983ff,0x3fffe600,0x800be20f,0x406ffffb,0x81fffffa,
    0x007ffffa,0xfffd80be,0xffffb82f,0x7ffcc000,0x7ffff46f,0x3ff2000f,
    0x7fffcc07,0x7ffcc00f,0x9fb000ff,0xfff99999,0x3e600fff,0x2000ffff,
    0xffffffc9,0x7ec02dff,0x07d4003f,0x17fffee0,0xfff500d3,0x6fffd83f,
    0x7ec01e60,0xb003ffff,0xf999999f,0x800fffff,0x02fffffd,0x75c40488,
    0xcfffeeff,0x7fff5401,0xd1001dff,0x3ffff607,0x3ffee004,0x03ffee6f,
    0x027fffec,0x0dffff70,0x2fffffd8,0x55f34880,0xfff9dff9,0xffff3007,
    0x2002d81f,0x406ffffb,0x80fffffb,0x007ffff9,0x3ffa20be,0x7dc5ffff,
    0x4c000fff,0x7c46ffff,0x2006ffff,0x7cc06ffe,0x4c00ffff,0x800fffff,
    0xeeeeeef8,0x2fffffee,0xfffff980,0xbb530000,0x7fd40013,0x00be2006,
    0x217fffee,0x7ffccb06,0x37ffec1f,0x3a200f30,0x8803ffff,0xeeeeeeef,
    0x02fffffe,0xbfffff50,0xc800f200,0x001fffff,0x01880000,0x00dffff3,
    0x70ffffec,0x3e601fff,0x36006fff,0x2a01ffff,0x005fffff,0x2e606279,
    0x3e6001af,0x15c0ffff,0x7ffdc244,0x7ffe406f,0xffff106f,0x003e600f,
    0x3fffee00,0x7ffcc000,0xffffb86f,0xbfff004f,0xfffff980,0x7fffcc00,
    0x805c800f,0x806ffffd,0x00fffff9,0x00bbe200,0x4007ff60,0xfff7005c,
    0x4b5050bf,0x6c1ffff9,0x1e606fff,0x3ffff980,0xfd805c80,0xf8806fff,
    0x800fffff,0x3e2002f8,0x0006ffff,0x00177f40,0x02ffffc8,0x45ffff88,
    0x3200fffb,0x8802ffff,0x2205ffff,0x00ffffff,0xfd802f88,0x3fe6000c,
    0x40c40fff,0xffffb84b,0x7ffffc06,0x3ffffe01,0x4c07b800,0xff700dff,
    0xf98001ff,0xffb06fff,0xfb003fff,0xfff9809f,0x7fcc00ff,0x7c400fff,
    0xffffa801,0x7ffcc01f,0x2e0000ff,0xe8000fff,0x00f9805f,0x0bffff70,
    0xfff993a0,0x3fffa22f,0x5001ea06,0xf8807fff,0xffffa801,0x7ffe401f,
    0x5f7003ff,0xffffa800,0x3200004f,0x88000fff,0xd805fffe,0x7dc0efff,
    0x3fa200ff,0xffd805ff,0x3ff200ef,0xf7003fff,0x3ffe8805,0x3fffe600,
    0x707d000f,0x5c0dffff,0x6404ffff,0x4402ffff,0x7fec404f,0x1ffff704,
    0xffffa800,0xfffff106,0x6ffa801d,0x7ffffcc0,0x7fffcc00,0x003e400f,
    0x80bffffd,0x00fffff9,0x00ffdc00,0x100ff440,0x7fdc009d,0x2fb806ff,
    0xfd27fffc,0x7e40ffff,0x1ffe4000,0xfe801f20,0x3e605fff,0x5006ffff,
    0xf50003ff,0x0037ffff,0x007fee00,0x02fffd80,0x2037ffee,0xd800fffb,
    0x3ee02fff,0x3e600dff,0x5006ffff,0xff1003ff,0x7ffcc009,0x1fd800ff,
    0x06ffffb8,0x003bfffa,0x03ffffd1,0x74003ba2,0xffff706f,0xfffb8001,
    0x3ffea07f,0xffc805ff,0x3fffea01,0x7ffd401f,0x17e201ff,0xfffffb80,
    0x3fffea01,0x7ec0001f,0x3ba20007,0x4003fb01,0x406ffffc,0x7fdc1ffd,
    0xffdcfeff,0x4ff980ff,0x203fd800,0x3ee005f8,0xfd01ffff,0x8803ffff,
    0x0000fffd,0xffffffd3,0x36000579,0xfb80006f,0x7fdc43ff,0x3ffee04f,
    0x7fff7001,0x04fffb88,0x1fffffe8,0x07ffec40,0x0017fd40,0x03fffff5,
    0x5c07fec4,0xd887ffff,0x1000dfff,0x359ffffb,0x2001dfb5,0xff902ff8,
    0xfd8003ff,0x3201ffff,0x804fffff,0xfc80cffb,0x6403ffff,0x303fffff,
    0x2e001ffd,0x00efffff,0x07fffff9,0x3dfd9100,0x85d70000,0x3a003ffc,
    0x9abfffff,0x0ffffdb9,0xb3ffffc8,0x2a5fffff,0x1dfffffe,0x2607d100,
    0xf7000ffe,0xb81dffff,0x99dfffff,0xffcaa999,0x980007ff,0x1cdeffed,
    0x37fb2200,0xd9300001,0x9dffddff,0xffffb803,0xfec9803c,0x1ceffeef,
    0xfffffb80,0xaa99999d,0x407ffffc,0x4003ffdb,0xadfffffc,0xfffdba99,
    0xfffffb07,0xdffd9537,0x3ff20005,0x0bffffff,0x04efda80,0x00bffff6,
    0x3ffffb66,0xfd04efff,0x803fffff,0xfd934ca8,0x9dffffff,0x3fffb261,
    0x90ceffff,0x05dfffff,0x3fffffb2,0xfd933fff,0x9dffffff,0x0004c001,
    0xff994400,0xca84efff,0xfffffffd,0xffffffff,0x006a207f,0x18800000,
    0xefffffc8,0xffffd902,0x3e27ffff,0xffffffff,0xffffffff,0x000006ff,
    0x00098000,0x1aa98000,0x4cccc400,0xaa980019,0x7ffc4001,0xffffffff,
    0xffffffff,0x2000c406,0xfffffec9,0xffffffff,0x3b2a6fff,0xffffffff,
    0x0000bdef,0x03577550,0x74401880,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333331,0x00013333,0x033332a0,0x31000980,
    0x00013333,0x26666666,0x99880999,0x00199999,0x00002002,0x80730000,
    0x54c4001b,0x0380abcc,0xcccc9800,0x40370001,0x06cc0048,0x37300770,
    0xb9801b98,0x07710001,0x20000175,0x000b82c9,0x40000000,0x005d40ba,
    0x99999980,0x4c001999,0x0024c2dd,0x40000dcc,0x99999998,0x76400199,
    0x200005ee,0x201eeeea,0xfffffdb8,0x0000bdff,0x005fffd0,0xfc803e98,
    0x8002ffff,0xfffffdb8,0xec983dff,0x00ceffff,0x02ec0bb0,0x03fe9800,
    0x7dc0fe60,0xfffd9001,0x17bffdbd,0xf90000f5,0x5c0009ff,0x000db00f,
    0x1fd883fd,0x987ffd40,0x3ea01fff,0xfd8002ff,0x01bff25f,0xffffb100,
    0x0001f539,0x0033f6a0,0xb9bff200,0xf98007ff,0xffffffff,0xfffb001f,
    0x007d5bff,0x002fffa8,0x7ffffd40,0x000fffff,0x000ffff4,0x02fffd80,
    0x3fffff20,0x7cc00002,0xd10002ff,0xfffb803d,0x7dc0002f,0x8803ffff,
    0xb8003fff,0xfdb99bdf,0xffd00004,0x77f4003f,0x807fecbc,0x809effe9,
    0x007ffffa,0x004fff80,0x5e6ffcc0,0x98004ffd,0x0bfd12ff,0x2e7fff90,
    0x3fa04fff,0x7c4005ff,0x3fffe7ff,0x3ff60000,0x05ffffff,0xb37f5000,
    0xfff0000d,0x07fffa1f,0xfffff300,0x003fffff,0xfffffff5,0xfd8001ff,
    0x540005ff,0xffffffff,0x744000ff,0x880004ff,0x54003fff,0x000fffff,
    0x017fdc00,0x803be200,0x002ffffa,0x7ffffcc0,0x01ff9801,0xfffff100,
    0x00001fff,0x007ffff1,0x7fffffd4,0x7ffe402f,0x7ffc800e,0x27fcc000,
    0xfffc8000,0x0000ffff,0x1fff9ffb,0x23fff500,0x3201fff9,0xd8003fff,
    0x1bff25ff,0xfccf8800,0x002fffff,0x02e85d00,0x737fe400,0x51000fff,
    0x55555555,0x73b90015,0x00bffffd,0x009fff90,0xaaaaa880,0x0002aaaa,
    0x0000ffd1,0x30007ff7,0x001fffff,0x003fe800,0x201df900,0x002ffff9,
    0x7ffffc40,0x0077cc01,0x3fffe600,0x200002ff,0x4000fffd,0x03fffffb,
    0x007fffe4,0x8000ffb0,0x200005fc,0x1effffd8,0x3ffe6000,0x32a004ff,
    0x2200e4c1,0x88000dfd,0x02ee20bb,0x64c69800,0x200001ce,0x00026c1f,
    0x02ea05dc,0x20000000,0x00e5c41a,0x00dfd880,0x00000000,0x0001fe88,
    0x98001fec,0x0007ffff,0x0001fcc0,0x260bff30,0x0002ffff,0x07ffffc4,
    0x0000bf50,0x006f7644,0x005d4000,0x01bcb880,0x027fffcc,0x20003f40,
    0x5000005f,0x20000599,0x000ffffd,0x00080000,0x00000000,0x32000000,
    0x00003e24,0x4c000000,0x000001aa,0x80008000,0x99999999,0x99998199,
    0xe8800999,0x13e20004,0xffff9800,0x00000007,0x05ffb000,0x005ffff3,
    0xfffff880,0x0007f900,0x00000000,0x10000000,0x003ffffd,0x00000f50,
    0x00000000,0x01aaa880,0x33333310,0x4c433333,0x99999999,0x00600019,
    0x00060000,0x7e77cc00,0x26662005,0x99999999,0x01999999,0xbbfffb10,
    0x8803bfff,0x99999999,0x33330199,0x33333333,0x44133333,0xffffffdc,
    0x7ee40bcf,0x0201ceff,0x04020004,0x3fffe600,0x26620007,0x99999999,
    0x3ea00009,0xffff986f,0x4cccccc2,0xfffff100,0x001fd881,0x4000c000,
    0x99999998,0x99999999,0x4ccc4199,0x19999999,0x037fffe4,0x33310d00,
    0x01333333,0x84cccccc,0x99999998,0x99999999,0x4ccc4199,0x99999999,
    0x41999999,0xfffffdb8,0xb710bdff,0xbfffffff,0x0d700017,0x06b80000,
    0x0fec0000,0x3ff6e200,0xffffffff,0x00ffffff,0x105fffdc,0x4409fff5,
    0xffffffdb,0x7fc40bdf,0xffffffff,0x0fffffff,0x3fffff90,0x401ff700,
    0x3fa64ff9,0x24ff9805,0x26005fe9,0x0007ffff,0x3ffff6e2,0x000bdfff,
    0x30bffe20,0x6445ffff,0x101cffff,0x441fffff,0x000000ee,0x5c40035c,
    0xfffffffd,0xffffffff,0x3ff6e20f,0x0bdfffff,0x013ffffe,0xffea8080,
    0x02dfffff,0x4fffffb2,0xfffffdb8,0xffffffff,0x36e20fff,0xffffffff,
    0xffffffff,0xfffff700,0xffffb805,0x7f40002f,0x3a000001,0x2000001f,
    0x2e0001fe,0x999fffff,0x0fffea99,0x07fffd30,0x00f7ffd4,0x0bffffee,
    0x99dfff98,0x7ffffec1,0x3fffea02,0x809f1007,0xff91fffd,0xfffd803f,
    0x003fff91,0x01ffffe6,0x7fffe400,0x3e00002f,0x7ffcc6ff,0x00efc82f,
    0x87ffffc4,0x00000ffa,0x0001fe80,0x27ffffee,0xffea9999,0xffff700f,
    0xffff105f,0x2000007f,0x06fffffc,0xfb817f60,0x9999ffff,0x00fffea9,
    0x33fffff7,0xfffd5333,0x3fffea01,0x7ffd401f,0x2a0001ff,0x000005ff,
    0x0000bff5,0x0017fea0,0x0fffff98,0x7403fee0,0xfc805fff,0x3ea00fff,
    0x2a01ffff,0x3fea01ff,0x7d405fff,0x3e007fff,0x87ffec03,0x6c01fffc,
    0xfff90fff,0x3ffe6003,0xf500007f,0x0001ffff,0x307fff40,0xbd05ffff,
    0xffff1001,0x0dfff71f,0xffa80000,0x3fe60005,0x3ee00fff,0xffff500f,
    0xffff303f,0x4000005f,0x00fffffe,0x7cc01db0,0x2e00ffff,0xfff300ff,
    0x7fdc01ff,0xfffff300,0xffff9801,0x3f60000f,0x800000ff,0x0000fffd,
    0x00fffd80,0xfffff300,0xc80fb801,0x8801ffff,0x2605ffff,0x200fffff,
    0x7ff401fa,0x7d400fff,0x3e007fff,0x11ff4c03,0xfd3009fb,0x0027ec47,
    0x00fffff3,0x3fffe600,0x3600000f,0x3fe61fff,0x002ec2ff,0xfdfffff1,
    0x0009ffff,0x07ffec00,0xffff9800,0x807dc00f,0x80fffff9,0x02fffffb,
    0x3fe60000,0xf9804fff,0x7fffcc02,0x807dc00f,0x00fffff9,0xff9807dc,
    0x7cc00fff,0x0000ffff,0x009ffff3,0xffff9800,0x7cc00004,0x30004fff,
    0x001fffff,0xffff981f,0x3fff6007,0xffff302f,0x2025c01f,0x03fffffc,
    0x07ffffa8,0x00000fe0,0x4c000000,0x0007ffff,0x0fffff30,0xfffd8000,
    0x8bfffe63,0x7fc4005c,0xfffeefff,0x800002ff,0x004ffff9,0x1fffff30,
    0x3e601f00,0xfc80ffff,0x0001ffff,0x7fffec00,0x402ec00f,0x00fffff9,
    0xfff300f8,0x01f001ff,0x03ffffe6,0x1fffff30,0x3fff6000,0x6c00007f,
    0x0007ffff,0x3ffffec0,0xffff9800,0x03614c0f,0x009ffffd,0x83ffffdc,
    0x00fffff9,0xfff98072,0xff5006ff,0x1fc00fff,0x10cccccc,0x98133333,
    0x26219999,0x98009999,0x0007ffff,0x0fffff30,0xfffc8000,0x4bfffe64,
    0x7c4005fd,0xff99ffff,0x0001ffff,0x3ffffec0,0xffff9800,0x03614c0f,
    0x07ffffcc,0x17ffffd4,0x26666660,0xf1009999,0x5409ffff,0xfff9800f,
    0x3614c0ff,0xfffff300,0x806c2981,0x00fffff9,0x07ffffcc,0x7fffc400,
    0x100003ff,0x07ffffff,0x3ffe2000,0x98003fff,0x5c0fffff,0xfff104c2,
    0x7cc007ff,0xf980ffff,0x0600ffff,0x3fffffb0,0x3fffea00,0x2e0fe007,
    0xb11fffff,0xfb8dffff,0xfb11ffff,0xf300dfff,0x0000ffff,0x01ffffe6,
    0xbfff9000,0x6d7fffcc,0x22002fff,0xf50fffff,0x001dffff,0x3fffe200,
    0xf98003ff,0x15c0ffff,0x7ffcc026,0xfff980ff,0x7e5403ff,0x1bffffff,
    0x3fffff20,0x26007d01,0x5c0fffff,0xff9804c2,0x215c0fff,0xffff3009,
    0xfff9801f,0xdc8000ff,0x006ffffd,0xfffbb900,0x320000df,0x06ffffdd,
    0xfffff980,0x3e6016c0,0x2002ffff,0x82fffff9,0x00fffff9,0xfffff500,
    0x7ffd4009,0x40fe007f,0x7c1ffffc,0xffc86fff,0x7fffc1ff,0xffff9806,
    0xf9824007,0x00007fff,0xf32fffe4,0xffffdfff,0x3fe2001f,0x3ff20fff,
    0x00005fff,0xdffffbb9,0xffff3000,0x2002d81f,0x00fffff9,0x009fffff,
    0x07ffffee,0x3ffffe20,0x26006b85,0x6c0fffff,0x3ffe6002,0x0016c0ff,
    0x01fffff3,0x0fffff98,0xff9af800,0x80002fff,0xfffff9af,0x9af80002,
    0x002fffff,0x07ffffcc,0xffa805f3,0x22002fff,0x983fffff,0x000fffff,
    0xffffff88,0x3ffea000,0x40fe007f,0x6c1ffffa,0xffa86fff,0x7ffec1ff,
    0xffff9806,0x4c1e2007,0x0007ffff,0x327ffe40,0xff5bffff,0x3e200bff,
    0x7f40ffff,0x0004ffff,0xffff9af8,0x7fcc002f,0x0be60fff,0xfffff980,
    0xbffffb00,0x3fffe600,0xfff7000f,0x017c43ff,0x1fffff30,0xf30017cc,
    0x7cc1ffff,0x3ffe6002,0x7fcc00ff,0x5c000fff,0x17ffffa6,0x7f4d7000,
    0x40005fff,0x3ffffa6b,0x7ffcc005,0x05ff50ff,0x1fffffc8,0x3fffe200,
    0xffff985f,0xffc8000f,0x54002fff,0x2007ffff,0xffff503f,0x86fffd83,
    0x6c1ffffa,0xf9806fff,0x2e007fff,0xfffff306,0xffd80000,0x3fffe63f,
    0x05ffff92,0x1fffff10,0xffffff88,0xe9ae0002,0x4005ffff,0x50fffff9,
    0x7cc005ff,0xf300ffff,0x3001ffff,0x800fffff,0x366fffff,0x7ffcc005,
    0x05ff50ff,0x7ffffcc0,0x4005ff50,0x00fffff9,0x07ffffcc,0xffa8fa00,
    0x20001fff,0x3fffea3e,0x8fa0001f,0x01fffffa,0x3ffffe60,0x402ffffe,
    0x01fffffc,0x3ffffe20,0xfffff985,0x7ffcc000,0xfa8005ff,0x3e007fff,
    0x3ffff503,0xa86fffd8,0x7ec1ffff,0xff9806ff,0x17a007ff,0x03ffffcc,
    0x3fff6000,0x4bfffe62,0x00ffffe8,0x07ffffc4,0x7fffffcc,0x547d0001,
    0x001fffff,0x3bffffe6,0x2002ffff,0x00fffff9,0x00ffffee,0x01ffffe6,
    0x5fffff50,0xf98001f5,0xfffeffff,0x3fe6002f,0xffffefff,0x3ffe6002,
    0x7fcc00ff,0x2a000fff,0x4fffff87,0xff0f5000,0x20009fff,0xfffff87a,
    0x3ffe6004,0x2ffecbff,0x7ffffdc0,0x3ffe2002,0xfff983ff,0x7f4000ff,
    0x8001ffff,0x007ffffa,0x7ffd40be,0x37ffec1f,0x20ffffd4,0x9806fffd,
    0x800fffff,0xfff304fb,0xd80000ff,0x3fe61fff,0x3ffe62ff,0x7ffc405f,
    0xfff701ff,0xa8003fff,0x4fffff87,0x3fffe600,0x02ffecbf,0x3ffffe60,
    0x37ffec00,0x3ffffcc0,0x7ffff400,0xf98003ee,0xfecbffff,0x3fe6002f,
    0xffecbfff,0x3ffe6002,0x7fcc00ff,0x36000fff,0xfffffb83,0xb83d8000,
    0x000fffff,0xfffb83d8,0xff3000ff,0x17f41fff,0x3ffffe60,0x3ffe6003,
    0xfff982ff,0x3ee000ff,0x0004ffff,0x00fffff5,0xfffa817c,0x37ffec1f,
    0x20ffffd4,0xa806fffd,0x401fffff,0xff304ffc,0x80000fff,0x7fcc6fff,
    0x7ffe43ff,0x3ffe603f,0x3ffa01ff,0x2001ffff,0xffffb83d,0xfff3000f,
    0x017f41ff,0x1fffff30,0xefffd880,0x3fffe600,0xfffa8007,0xf30006ff,
    0x7f41ffff,0x3ffe6002,0x00bfa0ff,0x0fffff98,0x7ffffcc0,0x101f3000,
    0x007fffff,0xff880f98,0x4c003fff,0xffff880f,0xfff3003f,0x017c41ff,
    0x0fffffe2,0xfffff980,0xfffff981,0xffff1000,0x7d4000df,0x3e007fff,
    0x3ffff502,0xa86fffd8,0x7ec1ffff,0xffc806ff,0x999aefff,0x03fffeca,
    0x00fffff3,0x17ffc400,0x113fffee,0x203fffff,0x04fffffb,0x3fffffee,
    0x80f9801f,0x03fffff8,0x1fffff30,0xf30017c4,0x2001ffff,0x40aeffea,
    0x05ffffb8,0xbffffd00,0x3ffe6000,0x00be20ff,0x0fffff98,0xf9800be2,
    0x4c00ffff,0x000fffff,0x999999fb,0x00ffffff,0xcccccfd8,0x07fffffc,
    0x66667ec0,0x7fffffcc,0xfffff300,0xfd802d81,0x2e004fff,0xf306ffff,
    0x2001ffff,0x02fffffd,0xfff98488,0x40be007f,0x6c1ffffa,0xffa86fff,
    0x7ffec1ff,0xfffd9306,0xffffffff,0x05ffffff,0x01ffffe6,0x37fcc090,
    0x3ffffff6,0x3fffff65,0xfffd915f,0x449dffff,0xfffffffd,0x3f601eff,
    0xffcccccc,0xf3007fff,0x2d81ffff,0x3fffe600,0x7f5c000f,0xffffeeff,
    0x320000bd,0x0005ffff,0x81fffff3,0x3fe6002d,0x016c0fff,0x1fffff30,
    0xfffff980,0xeeef8800,0xfffeeeee,0xdf1002ff,0xfddddddd,0x2005ffff,
    0xeeeeeef8,0x2fffffee,0xfffff980,0x324415c0,0x400dffff,0x301ffffd,
    0x001fffff,0x0bfffff5,0x3fe20f20,0x1f3007ff,0x07fffe60,0xf30dfffb,
    0xffd83fff,0x0000006f,0x3ffffcc0,0x7e40f100,0x0000003f,0x20000000,
    0xeeeeeef8,0x2fffffee,0xfffff980,0x424415c0,0x00fffff9,0x2abb2600,
    0x32000019,0x0005ffff,0x81fffff3,0xf984882b,0x15c0ffff,0x7ffcc244,
    0x7fcc00ff,0x5c800fff,0x6ffffd80,0xfb00b900,0x3200dfff,0xffffd805,
    0xffff9806,0x25c0c40f,0x00bffff2,0x817fffe2,0x00fffff9,0x7fffffc4,
    0xf02f8800,0x7001ffff,0x7fffcc0f,0x437ffec1,0x6c1ffff9,0x20006fff,
    0x30003efd,0x400fffff,0x0dff106b,0x00277e40,0x016ff400,0xd805c800,
    0x9806ffff,0x440fffff,0xff984b81,0x20000fff,0x00003fe8,0x0bffff90,
    0x3fffe600,0x25c0c40f,0x07ffffcc,0x2612e062,0x400fffff,0x00fffff9,
    0x7d400fc4,0x4401ffff,0xfffa801f,0x0fc401ff,0x7ffffd40,0x7fffcc01,
    0x887d000f,0xd805fffe,0x2600efff,0x400fffff,0x03fffffc,0x3f205f70,
    0x7c402fff,0x3fffe604,0x1bfffa22,0x88bfffe6,0x0006fffe,0x0003ffee,
    0x01ffffe6,0x1df705e8,0x0fff5400,0x3ff20000,0x1f880007,0xfffffa80,
    0x7fffcc01,0x307d000f,0x001fffff,0x00fffd40,0x7ffe4000,0xff30005f,
    0x3a001fff,0xfffff983,0xf307d000,0x9801ffff,0x400fffff,0x3ffa007c,
    0x03e405ff,0x0bffffd0,0x3fa007c8,0x7cc05fff,0xd800ffff,0x5fffb01f,
    0x06fffdc0,0x3ffffe60,0x3fffe600,0x3ff5006f,0x3ffffa20,0x801dd101,
    0x3fa4ffff,0xfff07fff,0x7ffff49f,0x7fd40007,0xfff98002,0x4fb800ff,
    0x8000ff88,0x00003ff9,0x0001ffb8,0xffd003e4,0xff980bff,0xfd800fff,
    0xfffff981,0x7fd40000,0xfc800002,0x30005fff,0x001fffff,0xfff303fb,
    0x3fb001ff,0x3fffff50,0xfffffa80,0x8017e201,0x01fffffb,0x7dc00bf1,
    0xf101ffff,0x7ffdc00b,0x3fea01ff,0x36201fff,0x3fee00ff,0x7ffdc43f,
    0xffff5004,0x7fff403f,0x7ec401ff,0x3f6200ff,0xda9acfff,0xffb800ef,
    0xffdcfeff,0xfffb80ff,0xfffdcfef,0x3f60000f,0xfff50006,0xffc803ff,
    0x000ff444,0x0000ffb8,0x0005fe80,0xf7002fc4,0x5403ffff,0x201fffff,
    0xfa80ffd8,0x0001ffff,0x000037e4,0x06ffffd8,0xfffff500,0x07fec403,
    0x0fffffd4,0x901ffb10,0x807fffff,0x03fffffc,0x2001ffd3,0x0efffffb,
    0x8007ff4c,0x0efffffb,0x8007ff4c,0x0efffffb,0xbfffff90,0xffb75335,
    0xfd9300ff,0x39dffddf,0x7fffe400,0xffff703f,0x533333bf,0x0fffff95,
    0x3fffff20,0x2000bfff,0xfb3ffffc,0xf905ffff,0x3ff67fff,0x64002fff,
    0x90001dfe,0x35dfffff,0xfffd9533,0x8001f447,0x0002dfeb,0x077bb220,
    0x0ffe9800,0xfffff700,0x3fff201d,0xba99adff,0xf907fffd,0x0007ffff,
    0x000b7fb2,0x3fffe200,0xfc8000ff,0x99adffff,0x07fffdba,0x5bfffff9,
    0xfffb7533,0x7fff64cf,0x30ceffff,0xffffffd9,0x3ff219df,0xd902efff,
    0xffffffff,0x3fffff27,0xfffd902e,0x327fffff,0x02efffff,0xffffffd9,
    0x3fb267ff,0xffffffff,0x6fffffff,0x01aa9800,0x7fff64c0,0x10ceffff,
    0xffffffff,0xffffffff,0xa800dfff,0x0001abba,0x100006a2,0x20000035,
    0xd9300009,0xffffffff,0xffffffff,0x00004c5f,0x40000011,0xfc800009,
    0x902effff,0xfffffffd,0x3ffb267f,0xffffffff,0x26ffffff,0xfffffec9,
    0x2000ceff,0x88000009,0xffffffdc,0x2600cdff,0xffffffec,0xffffffff,
    0x3fb266ff,0xffffffff,0x6fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2e200788,0x00015c42,0x26666666,
    0x00000199,0x443a8800,0x99999999,0x99998009,0x00999999,0xccccccc8,
    0x00001ccc,0x07440000,0x88000000,0x33310002,0x10022000,0x80144001,
    0x44044008,0x04c00999,0x00880260,0x30030044,0x01333100,0x00133300,
    0x80099988,0x10044008,0x10001333,0x44000333,0x70122002,0x80002003,
    0x0000aca9,0xff801320,0x013ffa3f,0x7ffffc40,0x001fffff,0x7ec00000,
    0x3ffff64f,0x405fffff,0xfffffff8,0xff802fff,0xffffffff,0xcaa88003,
    0x07b009ac,0x0e77f654,0xf3000000,0xff8800bf,0xfa8002ff,0x1003f702,
    0xb807fffb,0xb03f901f,0xec80dfff,0x5c01fb01,0x401f901f,0x06d880ed,
    0x004fffe8,0x003fffdc,0x2013fffa,0x05f702fa,0x002fffec,0x00ffffe2,
    0x07fffb10,0x3ee09f10,0x02ffe801,0x3ffffa60,0x3f00004f,0x5bffe600,
    0x0007fff9,0xfffffff1,0x00003fff,0x6ffd8000,0x3ffffff6,0x7c405fff,
    0xffffffff,0xffff802f,0x03ffffff,0x37fff660,0x2e1efffe,0xacfe980f,
    0x01cffdbf,0x401aa980,0x2000fffa,0x006ffffd,0x5fd87fd0,0x3ea1b700,
    0x3617f400,0xffff984f,0x87fe202f,0xff803fe8,0x3013f622,0x17f4c3df,
    0x3ffffee0,0xffff1000,0x3fee007f,0xfe800fff,0xf502fe43,0x4005ffff,
    0x00fffffc,0x07d43ae0,0x6e6fff40,0x7d400fff,0xff5006ff,0x0bffffff,
    0x4006a800,0x3ffa3fff,0x55510004,0x15555555,0x80000000,0x2aa64fe8,
    0x1aaaaaaa,0xaaaaaa80,0x9800aaaa,0x99999999,0xffd88009,0x7ffdc43f,
    0xffa81fbd,0x3fe63f13,0xffed8806,0x80ceffdd,0xf3000ffd,0x007ffdff,
    0xfd19ff50,0xb07e001f,0x8cffa807,0xffe80ffe,0x7e406ffe,0x006ff9af,
    0xffd17ff7,0x55ffb001,0xff880bff,0xb005ffef,0x01fffdff,0xffefff88,
    0x8cff9805,0x3fa01ffe,0x1006ffef,0x09ffdfff,0x01361740,0x3fffffe2,
    0xfffb802f,0xfeff9807,0x02ffffff,0x1000f600,0x002b8857,0x26000000,
    0x99999999,0x99999819,0x004ea999,0x00000000,0xd3000804,0x7d405fff,
    0xff883fff,0x6fa87e27,0x217ffdc0,0x8bdffea8,0x3a002fb9,0x00ffb0ef,
    0x3fffffa0,0x7b0ba004,0xfffffd00,0x2a7ff507,0x3fe202ff,0x2002ffff,
    0x03fffffe,0xffffff30,0x72ffc803,0xff9803ff,0xc809ff34,0x03ff72ff,
    0x9fffffb0,0xfa9ffdc0,0x1ffd802f,0x3a001ff9,0xe9801ec2,0x1003ffff,
    0x7d007fff,0x7ffff541,0x01f10004,0x00000000,0xb9100030,0x9fffffff,
    0xfffdc817,0x4c41aace,0x99999999,0x26666219,0x99999999,0x20199999,
    0x3fa64ff9,0x7fff4405,0xefffd805,0xf13ffdc0,0xfd306d83,0x7fc405ff,
    0x001bceff,0x7f9037ea,0xffff3000,0x8f5c001f,0xffa800fa,0x85fd06ff,
    0x7fdc06f9,0x7d4005ff,0x64006fff,0x4404ffff,0x02fd41ef,0x1fd10bfa,
    0xf507be20,0xffff300b,0x07fe201f,0xef980df3,0xb8027dc0,0x4001f51e,
    0x8000aca8,0x503a800a,0x2009ffff,0x885dcba8,0x99999999,0x26666009,
    0x6b800099,0x7ffe4000,0xffb801ff,0x7fedc400,0x0bdfffff,0xfffffb71,
    0xffffffff,0x3f601fff,0x3fff91ff,0x17fffec0,0x27fffcc0,0x7c4ffff2,
    0xffe834c1,0xfffb804f,0x04d8000f,0x360003ee,0x44002fff,0x2002effc,
    0xda82fffe,0xf807d100,0xe8001fff,0x44002fff,0x5c00ffff,0x203f300d,
    0x09d101d9,0x0fcc036e,0x01fffec0,0x0ba601b5,0x03ea04c8,0x0fbff220,
    0x00000000,0x2fffe800,0xffcffa80,0x7fff544f,0x202dffff,0x03ffffec,
    0x0001fe80,0x01ffffee,0x2e0027c4,0x402fffff,0x99fffffb,0xfffea999,
    0x21fffb00,0xf501fffc,0x3a00dfff,0x2e2fffff,0x1f8bffff,0xffffc818,
    0xbffff001,0x00000000,0x06200000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0c400000,0xbcca8800,0x79951000,0x7ff40001,
    0x51ffc806,0xff90bfff,0x6c00dfff,0xff50005f,0x7fd4000b,0x0fe007ff,
    0xfffff500,0xffff9803,0x03fee00f,0xfb11ff4c,0x7fffec09,0xffced804,
    0x3ffe26ff,0x9801feff,0x2006ffff,0x882ffffd,0x11999999,0x43333333,
    0x51009998,0x4cc01597,0x26621999,0x97100999,0x71071159,0x4c711599,
    0x26219999,0x44009999,0x4001bcba,0x000bcca8,0x00379751,0x00599730,
    0x002b2ea2,0x00599730,0x402f32a2,0x22199999,0x40099999,0x001bcba8,
    0x3fef3fea,0x5e7fd402,0xf88002ff,0x7fd400ef,0x03ffff27,0x03fffffa,
    0x800076c0,0x0000fffd,0x00fffff5,0x3e6001fc,0x4c00ffff,0x400fffff,
    0x800000fb,0x03fffff8,0x7ffd4764,0x3fff60ff,0xfe803fff,0x2e004fff,
    0xfa87ffff,0xd53effff,0x217fffff,0xfa82ffea,0x81efebef,0x11fffffb,
    0x30dffffb,0xdfff9dfd,0xffcefe98,0x3fffee6f,0xffffb11f,0x766fe40d,
    0xfa802fff,0x402ffbcf,0xfffecdfc,0xdcff9802,0x3ea01eff,0x01efebef,
    0x7fee7fcc,0x33fea01e,0xffb82ffb,0xffb11fff,0x6fe40dff,0x402fffec,
    0x3ff23ffb,0x647ff702,0x7ec002ff,0x5ffe800f,0x207fffbe,0x04fffff9,
    0x30002f98,0x0009ffff,0x01ffffea,0x7cc003f8,0x4c00ffff,0x800fffff,
    0x2666660f,0x26666621,0x7ffffd40,0x7cc7ee03,0x3e62ffff,0x0dffffff,
    0x7fffff10,0x7fffd400,0xffff980f,0x37fffc45,0x7fe40fcc,0x203ffe26,
    0x7c1ffffc,0x6fd86fff,0x1bf637dc,0xfffc8df7,0x37fffc1f,0x3fa1ff4c,
    0x3fee01ff,0x260bff23,0x7fff43fe,0xf8ffea01,0xffc80fff,0x403ffe26,
    0x3ffe3ffa,0x23ffb80f,0xffc82ffc,0x7fffc1ff,0x743fe986,0xff301fff,
    0x986ff98f,0x37fcc7ff,0xffffd980,0x4fffea01,0x205fe8da,0x00fffffd,
    0xfb0002ec,0x2000ffff,0x007ffffa,0xff3000fe,0xf9801fff,0x14c0ffff,
    0xffffb836,0xffffb11f,0xfffffb8d,0x7cc5f502,0x7443ffff,0x2fffffff,
    0x2fffff98,0x3fffe600,0xffffb02f,0x0ffffc81,0x7ffcc2dc,0x2077fe43,
    0x6c1ffffa,0x7fc46fff,0x3fe26c86,0x7fd46c86,0x7ffec1ff,0x645ffc86,
    0xff306fff,0xc86ff98f,0x7ffe45ff,0xd8fff306,0x7fcc3fff,0x077fe43f,
    0xffb1ffe6,0x47ff987f,0xffa86ff9,0x7ffec1ff,0x645ffc86,0xffb06fff,
    0xd87fff0b,0x3fff85ff,0x7fffff40,0xfff902ff,0x44008b67,0x204fffff,
    0xf10000fa,0x007fffff,0x0fffff50,0x26001fc0,0x400fffff,0x40fffff9,
    0x3f204c2b,0x7ffc1fff,0x7fffe46f,0x443f981f,0x905fffff,0x7fffffff,
    0x2fffffb8,0x3fffe200,0xffff303f,0x3ffffd85,0x7fff416c,0x227ffd41,
    0x6c1ffffa,0x7fdc6fff,0xff73444f,0x7d46889f,0x7fec1fff,0x7fffc46f,
    0x41fffee1,0xfff85ffd,0x87fffe23,0xfb07fffb,0x3fffa8df,0x2a0ffff4,
    0x7fec4fff,0x21fffd46,0xfff85ffd,0x0ffffd43,0xf11bfff6,0x7fdc3fff,
    0x4fff987f,0x3e64fff8,0x4fff84ff,0x7fff5c40,0xfffb07ff,0xf9000f1b,
    0x3a03ffff,0x37720003,0x8006ffff,0x007ffffa,0xff3000fe,0xf9801fff,
    0x16c0ffff,0x0ffffd40,0xf91bfff6,0xf883ffff,0xfffff884,0x3fffa605,
    0x3ff23fff,0x22001fff,0x205fffff,0x3e25fffe,0x3e26fffe,0x07fffcc0,
    0xf51bffea,0xffd83fff,0x7fffdc6f,0xfffb8a0e,0xff50a0ef,0xfffd83ff,
    0x20fffe86,0xf987fffb,0x4fff84ff,0xf707fff4,0xfff30fff,0x4c1dfb0b,
    0x7d40ffff,0x3ffe66ff,0x260efd85,0xfff84fff,0x0ffffd44,0x3a1bfff6,
    0x3fee0fff,0xdfffa87f,0x6fff9999,0x2677ffea,0x006fff99,0x07fffff2,
    0x12fbfffa,0x3fffe200,0x0006b85f,0x7fffcd7c,0x7fd4002f,0x0fe007ff,
    0xfffff300,0xffff9801,0x200be60f,0x6c1ffffa,0x7fd46fff,0x17a22fff,
    0x27ffffc4,0x3ffffe60,0xffff90ff,0x7fc4003f,0x3ee05fff,0xf7970fff,
    0x216e3fff,0xf987fffb,0x3fea0fff,0x7ffec1ff,0x7ffffc46,0xffff882f,
    0xfff502ff,0x6fffd83f,0x3622db88,0x7d40ffff,0xf9999dff,0x16dc46ff,
    0x81ffffb1,0x0105fffa,0xf30ffff7,0x3fea1fff,0xff50105f,0xff3333bf,
    0xffffa8df,0x437ffec1,0x3f622db8,0x7fdc0fff,0xeeeeeeff,0x3fffee5e,
    0x5eeeeeee,0x7fffe400,0xeffffd84,0xfff70001,0x017c43ff,0x7ff4d700,
    0x7d4005ff,0x3e007fff,0x7ffcc003,0x7fcc00ff,0x5ff50fff,0x3ffff500,
    0x446fffd8,0x363fffff,0x3fffe606,0x7e7c403f,0xff72ffff,0x44005fff,
    0x203fffff,0x3d3ffff8,0x3a9ffff1,0x87fffc82,0x2a2ffff9,0x7ec1ffff,
    0xfffd86ff,0xffd84fff,0xfa84ffff,0x7fec1fff,0xefc8806f,0x7dc0ffff,
    0xeeeeefff,0x7e4405ee,0x640ffffe,0x32006fff,0xff987fff,0xdfff92ff,
    0x7fffdc00,0x5eeeeeee,0x20ffffd4,0x8806fffd,0x0ffffefc,0x002fffe4,
    0x000bfff9,0x0bfffd00,0x00dffff7,0x6fffff80,0x7d000176,0x0fffffd4,
    0xfffff500,0x2001fc00,0x00fffff9,0x77ffffcc,0xa802ffff,0x7ec1ffff,
    0xffff86ff,0x5401d94f,0x401fffff,0xffffa9f8,0x7fffff33,0x7fffcc00,
    0x7ffec02f,0x3fff669e,0xfffb078f,0x7ffff30f,0x20ffffd4,0xe886fffd,
    0x44ffffff,0xffffffe8,0x0ffffd44,0x901bfff6,0xffff75ff,0x05fffc81,
    0x2ebff200,0x7ec0ffff,0x3f6007ff,0xfff987ff,0x0ffffb3f,0x02fffe40,
    0x07fffea0,0xc80dfffb,0xffffbaff,0x03fffe40,0x00ffff90,0x7fff5000,
    0x0bffff50,0xffffa800,0x0000faaf,0x3fffe1ea,0x3fea004f,0x0be007ff,
    0xfffff300,0xffff9801,0x02ffecbf,0x41ffffa8,0xfd86fffd,0x00fbcfff,
    0x537fffdc,0x3f23f107,0xffff14ff,0x7fd4007f,0x7d401fff,0x3ea3dfff,
    0xf904efff,0xfff50fff,0x7fffd45f,0x037ffec1,0x3ffffff9,0xffffff90,
    0x0ffffd43,0x4c1bfff6,0xfff71efe,0x7fffc81f,0x1efe9800,0xc81ffff7,
    0x9001ffff,0xff50ffff,0x3fff25ff,0xfff9001f,0xfffa800f,0x37ffec1f,
    0xf71efe98,0xffb81fff,0xff7000ff,0x800001ff,0xe882fff8,0x3984ffff,
    0xdffffd00,0x3d80007d,0x0fffffb8,0xfffff500,0x20017c00,0x00fffff9,
    0x07ffffcc,0xff5005fd,0xfffd83ff,0xfffff886,0xfffd801f,0x3e21aa2f,
    0x6c5fff31,0x2004ffff,0x806ffffb,0x40fffff8,0x701fffff,0xff50ffff,
    0x7ffcc3ff,0x37ffec1f,0x3ffffea0,0xfffff503,0x0ffffcc7,0x2a1bfff6,
    0x3fee2fff,0x7ffdc0ff,0x3fea000f,0x3fffee2f,0x1ffffdc0,0x87fffb80,
    0xf71ffffa,0x2e007fff,0x2000ffff,0x6c1ffff9,0xffa86fff,0x3fffee2f,
    0x27fffd40,0x7fffd430,0x7c000604,0xfff300ff,0x1d735bff,0x3fffea00,
    0x7cc0006f,0xfffff880,0xffff5003,0x0017c00f,0x03ffffe6,0x1fffff30,
    0x7d4017c4,0x7fec1fff,0xffff706f,0xffff1007,0x7c41fa8b,0x4c1fff11,
    0x2006ffff,0x001ffffd,0xf90dfffb,0x7fcc0fff,0x7ffd40ff,0x0ffffcc7,
    0x771bfff6,0x75fffe98,0x5fffe987,0xb07fffe6,0xff88dfff,0x3ffee0ff,
    0x7fffd40f,0xfff88604,0x3fffee0f,0x7ffffcc0,0xffff9800,0x33fffd40,
    0x001fffff,0x409ffff5,0x0ffffcc1,0xf11bfff6,0x7fdc1fff,0xfffe80ff,
    0x7f44a81f,0x44a81fff,0x3fe604ec,0x7fffdc02,0x4000efff,0x005ffffe,
    0x66667ec0,0x7fffffcc,0xfffff300,0x20017c00,0x00fffff9,0x07ffffcc,
    0x3fe600b6,0x7ffec1ff,0x1bfff606,0x03bfff20,0x8fc41df5,0xffc83ffb,
    0xff8802ff,0x3ea005ff,0xfff983ff,0x07ffec04,0xf30fffee,0x7f445fff,
    0x207d46ff,0x1f53fff8,0x263fff88,0x3a22ffff,0x7fd46fff,0x3fff21ff,
    0xffffe80f,0x3fea4a81,0x3fff21ff,0xffffd80f,0x7fec4885,0x1fffdc0f,
    0x217ffff6,0x7ffff448,0x7fcc4a81,0x3ffa22ff,0x7fffd46f,0x03ffff21,
    0x2fffffee,0x7dc0fb88,0xb88bffff,0x37ffe60f,0x9804fc80,0x0cffffef,
    0xffffc800,0x3be20005,0xfeeeeeee,0x8802ffff,0x3007ffff,0xff98001f,
    0x7cc00fff,0x15c0ffff,0xffff3244,0x06fffd83,0x813fffe6,0xa81efff9,
    0x9f88aeff,0xfd104ffa,0xffb00bff,0xff8001df,0x03ffd00f,0x6c3fff98,
    0xfff80fff,0x3ffffa4f,0x7ec2fd47,0xfb0bf51f,0x4ffff83f,0x51fffffa,
    0xfd9fffff,0xb833ffff,0x88bfffff,0x3ffea0fb,0xffffecff,0x7ffcc19f,
    0x1eb9adff,0x361fffcc,0x7fcc0fff,0xeb9adfff,0x7ffffdc1,0xf80fb88b,
    0x3ffa4fff,0x7ffd47ff,0xffffecff,0xfffc819f,0x901fffff,0xffffffff,
    0xfffff883,0x003fc89d,0x0006a299,0x0bffff90,0x6c02e400,0xf006ffff,
    0x7001ffff,0xfff3000f,0xff9801ff,0x40c40fff,0x3fffe64b,0x1bfffa22,
    0xbfffcde8,0x13ffee20,0xefffeb88,0xd802efff,0x3ea02fff,0xc8000dff,
    0x01bee05f,0xf9877fd4,0xfff700ef,0xfffb9fdf,0x8e7fcc1f,0x3fe64ff8,
    0x709ff11c,0xb9fdffff,0xff81ffff,0xff8bffff,0xffc84fff,0x81ffffff,
    0x8bffffff,0xb84fffff,0xffffffff,0x21dff501,0xf700eff9,0x3fffffff,
    0x3fffff20,0xff701fff,0xffb9fdff,0xffff81ff,0xffff8bff,0xffff704f,
    0xffb8039f,0xf701cfff,0x1bffffff,0x0000fc00,0x17ffff20,0x400fc400,
    0x01fffffa,0x03ffffc8,0x4c0027c4,0x400fffff,0x00fffff9,0xffff87d0,
    0x1fffffa4,0xfff712ec,0x039fffdd,0x17dd4c40,0x1fffdc00,0x013ffee6,
    0x2202f980,0x3fa6003f,0x400dffdf,0xfb3ffffc,0x3e65ffff,0x44ffefed,
    0xffefedf9,0x3ffff204,0x5fffffb3,0x70efff54,0x7dc09fff,0x501cffff,
    0x7dc3bffd,0x3fe604ff,0x4c02dfff,0x0dffdffe,0x7ffffcc0,0x7ffdc02d,
    0x7e401cff,0xfffb3fff,0x7ff545ff,0x13ffee1d,0x20006a20,0x2a6001a8,
    0x6a8000aa,0xffc80000,0xf90005ff,0x7ffff400,0xfffe8805,0x01dd101f,
    0xfffff300,0xffff9801,0x41fd800f,0xcfeffffb,0x540ffffd,0x5553100e,
    0x3f100003,0x3fb26000,0x1ceffeef,0xa8028000,0x1a988000,0x000d4400,
    0x101a8862,0x8800d443,0x0020001a,0x00d44001,0x20008010,0x988001a8,
    0x1a88001a,0x001a8800,0x10000d44,0x00000080,0x00000000,0x400001ec,
    0x005ffffc,0x2e005f88,0x801fffff,0xacffffd8,0x000eeca9,0x3fffff50,
    0xfffffa80,0x03ff6201,0x6cfffff2,0x042fffff,0x18000000,0x2aa60000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf8800000,0xfd800000,0x4c006fff,
    0xf7000ffe,0x001dffff,0x3ffffff2,0x20000bff,0x03fffffc,0x6fffffe4,
    0xffdba99a,0x006a207f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x004b8000,0xffff8800,0xff9000ff,0x3205dfff,0xfffffffe,
    0x2eaa003f,0x260001ab,0xffffffec,0xfd930cef,0xffffffff,0xdfffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x91000008,0xfffffffb,0x000019bf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00220000,0x22166540,0x5e5d4404,
    0xb8073001,0x99988001,0x00dc4199,0x4cccccc4,0x95100999,0xb9800179,
    0x3bba0000,0x032e003e,0x220180c4,0x09999999,0x00266662,0x4027776c,
    0x001eeee9,0x42aa9800,0x99999999,0x03009999,0x881a8006,0x79530001,
    0x64000015,0x36204eee,0x31002eee,0x02e01880,0x55530018,0x26660013,
    0x7dddb000,0x880c4018,0x2e000880,0xd300deee,0x10003ddd,0x20000175,
    0xb1003ffd,0x53df7bff,0x66fe40ff,0x4c02fffe,0x001f904f,0xfffffd70,
    0x8077ffd4,0xfffffff8,0xffa81fff,0x4402ffbc,0x02dfceeb,0x02fffd40,
    0x7fd41fe0,0x541bfe65,0x0cffffff,0x0037ff6a,0x801bffe2,0x0004fffb,
    0x85bff930,0xfffffffa,0x4c5fffff,0x3bfe66ff,0x3bffaa00,0x88007b0b,
    0x2ffffffd,0xfff88000,0x7ffd400e,0x209f1005,0x33ea04e9,0xf5013ea0,
    0x07fff9ff,0x807fffb8,0x5f85fff9,0xff90bd30,0x801ffe45,0x5c01ffff,
    0x2a003fff,0x03efecfe,0x3fffe600,0x0fff4400,0x30fffff5,0xfffe87fd,
    0x66fff401,0x40006ffd,0x3fa7fffd,0xff703fff,0xdfffffff,0x7e47ff70,
    0x4ffd102f,0x36003ff9,0x7d4005ff,0x23fffd05,0xf302fffd,0x37c0ffff,
    0x01dff700,0x006ffb80,0x0e7ff4c0,0xffffffc8,0x42ffffff,0xff92fffd,
    0x3ffea05f,0x00ffffff,0x6c53fe20,0x40001fff,0x5000effa,0x2e001fff,
    0x03fea0df,0x3bd7ff30,0x644ffd80,0xfff106ff,0xffc807ff,0x541df705,
    0x7ffc40ff,0x00ffff16,0x2003fff3,0xf5006ffc,0x027ff45f,0x0ffffa80,
    0x742ffec0,0xffc87fff,0x037ffe45,0x3fffffe6,0x7e40001f,0x3fffa7ff,
    0xffffd06f,0x985fffff,0x37fcc7ff,0x7f43ffd8,0x0bff000f,0x3605f900,
    0xfff90fff,0x7fffe403,0x74005f01,0xf90000ef,0x3ea0003f,0x7ff401ff,
    0xffffffff,0x7ffe40ff,0x205fff71,0xfffffdfd,0x7ff4005f,0x013ffe61,
    0x001ffb00,0x2002ffa8,0x3ffc8eff,0x00dff500,0xf983fff9,0xeffc84ff,
    0x3fa00fff,0x23bfa00e,0xff884ffb,0x01bffa5f,0x90007ff2,0xffa803ff,
    0x017ffd47,0x404ffe80,0xfd83fffc,0x7ffc47ff,0x1fffee1f,0x3ffffea0,
    0xffc80002,0x3fffee7f,0xfffff887,0xfd87ffff,0x43fff85f,0x7ec2fff9,
    0x05fa806f,0x2201ff00,0x0fb222ed,0x09ffff10,0x77c400d3,0x27e40000,
    0x17ffe400,0x3ffffe20,0x5fffffff,0x3223ec88,0x5c47a04e,0x2000cffd,
    0x7fc0fffa,0x3e20005f,0xbf70001f,0x7fffdc00,0xcfc8806f,0x3fe205ff,
    0x8ffff07f,0x9ff34ff9,0x5003be60,0x01ffffff,0xdea877aa,0x001fe801,
    0x7c407f90,0xffff86ff,0x00350001,0xf903ffff,0xfffd0fff,0x03fffdc1,
    0x000aca88,0x8ffff700,0x6b87fab9,0x4fff9800,0x7ec4fff8,0x7ffe41ff,
    0x0006dc02,0x00002fcc,0x07fffec0,0x0da800f2,0x00b90000,0x802fffb8,
    0x999abefa,0x002ffa99,0x00001800,0x360fffdc,0x260004ff,0x2dc0001e,
    0x3ffffa00,0xc867dc02,0xfff505ff,0x1fffb05f,0x3fa21fec,0xd000db80,
    0x0005ffff,0x002e8800,0xff302640,0x9ffff0bf,0x7c400000,0xffc81fff,
    0x22db887f,0x00ffffd8,0x2e000000,0xbf107fff,0xf50009d0,0xf3333bff,
    0xffff8dff,0x027ffe41,0x07f90000,0xff300000,0x000f87ff,0x00000000,
    0x401bffe6,0x0ffb805c,0x00000000,0x44fffc80,0x00000ffe,0x50000000,
    0x1500bfff,0xf509fff0,0xffb0bfff,0xd880f4cd,0xffa80004,0x0000006f,
    0x2e000000,0xffe85fff,0xcb98006f,0xffff502c,0x0ffff901,0xfffdf910,
    0xcba8801f,0xbca8001b,0x20ffff71,0x5efcc1fb,0xfff7001a,0xdddddddf,
    0x0ffffc4b,0x3017fff2,0x74005997,0x4ccccc0f,0x26666621,0x37fff400,
    0x266660b5,0x26666219,0x4ccccc09,0x26666621,0x07fffd00,0x3fa00320,
    0x565d4405,0x32ea2000,0xffc8000a,0x007fea7f,0x0acba880,0x2b2ea200,
    0x40000000,0x885fff70,0x743fffff,0x880003ff,0x0388accb,0x66544000,
    0x9951000b,0x32a20017,0xfffb00bc,0x1ffffb0d,0x373fe600,0x7fe41eff,
    0xffff907f,0xfbaffc80,0x3f200fff,0x02fffecd,0xcfffffc8,0xe887fffb,
    0xfffffc85,0x3ff201df,0x3fe6005f,0x7ffe40ff,0xfb9ff306,0x6f9803df,
    0x1fffffb8,0x0dffffb1,0xb2ffffa8,0x3fffee05,0xffffb11f,0xfffffb8d,
    0xdffffb11,0x01ffff50,0x17fc4000,0xfd7dff50,0xeffa803d,0x2001efeb,
    0xfdbffffb,0x3ea0000d,0x01efebef,0x7f5f7fd4,0x9999881e,0x4072a209,
    0xffefffda,0xffffe87f,0x81dff33f,0x01999998,0xfff9dfd3,0x9999988d,
    0xbcffa801,0x7fd402ff,0x5402ffbc,0x82ffbcff,0xfc86fffe,0xfa801fff,
    0x83fffe3f,0xc80ffffc,0xfd307fff,0x3fffee3d,0x743fe980,0x3ea01fff,
    0xfffd32ff,0xf04e98ff,0xffffffff,0xffff9019,0x7fffd400,0x43fffe40,
    0x3ffe3ffa,0x40fee00f,0x7c1ffffc,0xff806fff,0x64078eff,0x7fc1ffff,
    0xfffc86ff,0x37fffc1f,0x7677ffec,0x70002dff,0x3ff201ff,0x403ffe26,
    0x3fe26ffc,0xfff1000f,0x333019ff,0xff901333,0x807ffc4d,0x3fe26ffc,
    0x7fff540f,0x0ffff53f,0x3ea3fff7,0x7fd42fff,0x4fedffff,0xfffff910,
    0xfb8dfb01,0x7fffe446,0x8ffee00f,0xff702ffc,0xb817fe47,0x0bff23ff,
    0xf70ffffb,0xf9807fff,0x1fffec7f,0x901ffff7,0xff50ffff,0x7fffdc5f,
    0x645ffc80,0xff306fff,0xffff88bf,0x7cc0b6a7,0xffffffff,0x7ffdc1ff,
    0xfff7000f,0xffffc81f,0xfb1ffe61,0x0ff407ff,0x41ffffa8,0xb806fffd,
    0x404dffff,0x6c1ffffa,0xffa86fff,0x7ffec1ff,0x7ffffc46,0x04ffffee,
    0xf305fd80,0xeffc87ff,0x21fffcc0,0x9800effc,0x904fffff,0x987dffff,
    0x7fe43fff,0x1fffcc0e,0xf303bff2,0xfff37fff,0x7ffd43ff,0x437ffec2,
    0xfffffffb,0xffffd805,0x6437fc40,0x1ffffb06,0xf31ffe60,0x8fff30df,
    0xff986ff9,0x3237fcc7,0x7dc1ffff,0x7ec02fff,0x1fffd46f,0x903ffff5,
    0xff88ffff,0x3ffee0ff,0x7fffc40f,0x41fffee1,0xfc82fffe,0x3f2007ff,
    0xffffffff,0x3fea0eff,0xfd8604ff,0x7fe40fff,0x1bff62ff,0x2207fff5,
    0x3ffea06f,0x37ffec1f,0x7ffffc40,0x7fffd401,0x437ffec1,0x6c1ffffa,
    0x7fd46fff,0x3ffee2ff,0x3fe2003f,0x83fffd02,0x7f44fffa,0x7ffd41ff,
    0x3f7f6604,0xf501ffff,0x3fffa09f,0x227ffd41,0x7d41fffe,0x7ffc44ff,
    0x7ffdcecf,0x2e07fff4,0xfa80ffff,0x04ffffff,0x207fffe4,0x3444fffb,
    0x00ffffc8,0xfff0bffb,0xf85ffd87,0x2ffec3ff,0xff31fffc,0xfffb89ff,
    0x3ffe601f,0x220efd85,0xfc83ffff,0x7ffd47ff,0x3ffff21f,0x20fffe80,
    0xff07fffb,0xfff703ff,0x7531000f,0xbffffffd,0x81ffffe8,0x3ffff64a,
    0x97fffdc0,0xfd85fff9,0x409f700e,0x6c1ffffa,0xfb006fff,0xff500dff,
    0xfffd83ff,0x1ffffa86,0x2e37ffec,0x7f41ffff,0xf7000fff,0xffff301f,
    0x26fffa81,0x540ffff9,0xdf706fff,0x1bffffa3,0xff9837cc,0x7ffd40ff,
    0x03fffe66,0xf88dfff5,0x32a4ffff,0x21fffea1,0xb01ffffa,0x9fffffff,
    0x07fffdc0,0x83bfffee,0x1ffff702,0xf09fff30,0x7ffcc9ff,0x264fff84,
    0xfff84fff,0x1ffffe44,0x401ffff9,0x0105fffa,0x983bfff2,0x7d47ffff,
    0xffecffff,0x5c419fff,0x3fff622d,0x7fffcc0f,0x07fffb81,0xfffb5000,
    0xffffb8ff,0x20fb88bf,0x640ffffc,0xff51ffff,0xfb0020bf,0x7fffd403,
    0x037ffec1,0x803fff98,0x6c1ffffa,0xffa86fff,0x7ffec1ff,0x0ffffe46,
    0x00bfffee,0xffb82fec,0xffff987f,0x30ffff70,0xfd81ffff,0x3fffe63f,
    0x701fb84f,0xff30ffff,0x3ffee1ff,0x0ffff987,0x01ffffe2,0x2a1fffee,
    0x7442ffff,0xfffffccf,0xffff702f,0xfffff881,0x7ffdc02f,0xdfffa80f,
    0x6fff9999,0x2677ffea,0x2a6fff99,0x9999dfff,0x7ec46fff,0xffffefff,
    0x7ffe406f,0xfffd8006,0xfffefdbf,0xffffff87,0x4fffff8b,0x7ff7e440,
    0x7ffd40ff,0x7fffb80f,0x7fe40000,0x7ffe41ff,0x5c1fffff,0x7e40ffff,
    0xfff90fff,0x0ff1000d,0x41ffffa8,0x2006fffd,0xfa800ffe,0x7fec1fff,
    0xffffa86f,0x237ffec1,0x4c1ffffd,0x8803ffff,0xfff903ff,0x5ffff30f,
    0x261ffff2,0x3ee2ffff,0x7ffe40ff,0x902743ff,0xff30ffff,0x3fff25ff,
    0x2ffff987,0x01bfffe2,0x2a1ffff2,0x3ea3ffff,0x3ffff27f,0xffff706f,
    0xfffffb01,0x7ffdc09f,0xffffb80f,0x5eeeeeee,0x3bbfffee,0x2e5eeeee,
    0xeeeeffff,0xfb705eee,0x7ffff5bf,0x07fffd80,0xdffffb00,0x50ffff91,
    0x7dc3bffd,0x7fe404ff,0x40ffffba,0xb80ffffc,0x00007fff,0xb82fffc8,
    0x81cfffff,0x640ffffa,0x3ff67fff,0x4fa8007f,0x0ffffd40,0x801bfff6,
    0xff5005fa,0xfffd83ff,0x1ffffa86,0x2e37ffec,0x7c41ffff,0xfa804fff,
    0xffffb00f,0x27ffff30,0xf987fffd,0xfff13fff,0xffff883f,0xd80d92ff,
    0xff987fff,0xffffb3ff,0x47ffff30,0x804ffff8,0xfa87fffd,0x3ffe2fff,
    0x7ffffdc4,0x0ffffb80,0xfffffe88,0xffff704f,0x0bfff901,0x02fffe40,
    0x00bfff90,0x7fffd400,0x7fffe400,0x82a60001,0x0207fffc,0x3a601f4c,
    0xffff71ef,0x1ffffb81,0x007fffb8,0x01fff000,0x3e601fdc,0x7fe41fff,
    0x3ffff26f,0x017ec001,0xb07fffea,0xf800dfff,0xffff5001,0x86fffd83,
    0x6c1ffffa,0x7fd46fff,0x7ffc42ff,0x05fd803f,0x2a1ffff2,0xff92ffff,
    0xffff50ff,0x0ffffea5,0x3fffffe6,0x7fe401fb,0xffffa87f,0x50ffff92,
    0x7c45ffff,0xfc803fff,0xfffa87ff,0x07fff50f,0x705ffffb,0x6401ffff,
    0x81ffffff,0xc80ffffb,0x32007fff,0x32007fff,0x00007fff,0x2013fff6,
    0x003ffffb,0x3fffe400,0x501fea00,0x7fdc5fff,0x7ffd40ff,0x7fffb81f,
    0xdfb00000,0xf8037dc0,0x7fe41fff,0x3fffee4f,0x403fc003,0x6c1ffff9,
    0x26006fff,0x3ffe6006,0x37ffec1f,0x20ffffcc,0x7c46fffd,0xfff83fff,
    0x1ffc401f,0x50ffff70,0x3ee3ffff,0xfffa87ff,0xdffff91f,0x3ffffea0,
    0xfffb804f,0x1ffffa87,0xf50ffff7,0x7fc43fff,0xffa803ff,0x7fffa87f,
    0x2a0bfff6,0xfb83ffff,0x7d400fff,0xfb83ffff,0xffb80fff,0xff7000ff,
    0x3ee001ff,0x80000fff,0x3006fff8,0x001fffff,0x3fffe400,0x881bf600,
    0x3ee0ffff,0x7fcc0fff,0xfffb82ff,0xf7000007,0x802ff407,0x7e41fffc,
    0x3ffe62ff,0xbf5000ff,0x3ffff300,0x506fffd8,0x26003c85,0x7ec1ffff,
    0xfff986ff,0x37ffec1f,0x7c27fff4,0xffa807ff,0x3fffe600,0x33fffd40,
    0xfa81ffff,0x3ffee7ff,0xfff703ff,0x4c107fff,0x7d40ffff,0x3ffe67ff,
    0x3fffd40f,0x00ffffe2,0x703fffe2,0x7fecdfff,0xffff882f,0x0ffffb81,
    0x3ffa61dc,0xffffb85f,0x4ffffa80,0xffffa860,0xfffa8604,0x6c00604f,
    0x36001fff,0x4885ffff,0x7fffc800,0x807ffc00,0x321ffffa,0xfe80ffff,
    0xfffd85ff,0x13b62007,0x3e201fd0,0xfff1007f,0xd86ffd85,0x4885ffff,
    0x7cc017e4,0x3fa22fff,0x2ffd86ff,0xff98003e,0x3ffa22ff,0xffff986f,
    0x1bfffa22,0xf11bffee,0xdfb00bff,0x81fffb00,0x7ec3fffb,0x7ffdc0ff,
    0x3ffffea3,0xffffb03f,0x83a61bff,0x7dc0fffd,0x7ffec3ff,0x21fffdc0,
    0x003ffff8,0xfb81fffd,0x3ffee3ff,0x20ffff04,0x540ffffb,0x1fffc40f,
    0x807fffdc,0xa81ffffe,0x0fffff44,0x3fffa254,0xd804a81f,0x4c002fff,
    0x9adfffff,0xfc8001eb,0x7ec007ff,0xfffa80ef,0xffffecff,0x7ffd419f,
    0x3fffee2f,0xfff9000f,0x801d305d,0xf9005ffe,0x82fff89f,0xadfffff9,
    0x07fc1eb9,0x24ffff80,0xf87ffffe,0x000775ff,0x7f49ffff,0xfff07fff,
    0x7ffff49f,0x43fff907,0x4400eff9,0xff9803ff,0x07ffec3f,0xfb0fffe6,
    0xfffe81ff,0xc98adfff,0xffffffff,0x7fcc2fff,0x07ffec3f,0xfb0fffe6,
    0xfff881ff,0xfff1003f,0x444ffd85,0xff985fff,0xffff702f,0xfd85fa81,
    0xffffb81f,0xfffff700,0xb81f7117,0x88bfffff,0x7ffdc0fb,0x0fb88bff,
    0x0077fec0,0xfffffb80,0xd0001fff,0x4001ffff,0x41befff9,0x8bffffff,
    0xc84fffff,0xceecffff,0x802effff,0xadfffffa,0xfa800ed9,0x6401beff,
    0x07ff50ff,0x7fffffdc,0x02fcc1ff,0xfdffff70,0x81ffffb9,0x006dfffc,
    0xfdffff70,0x01ffffb9,0x9fdffff7,0x201ffffb,0x3ff65ffd,0x00ffa800,
    0x261dff50,0xff500eff,0x03bfe61d,0x3fffffe2,0xb8bfffff,0x4fffffff,
    0x261dff50,0xff500eff,0x03bfe61d,0x00ffffe2,0x3e66ff98,0x7fff306f,
    0x901ffec4,0xf983ffff,0x09ff11cf,0x807ffff2,0xfffffffc,0xffff901f,
    0x3203ffff,0xffffffff,0x0fbfaa01,0x3ffe6000,0xb8002dff,0x4ffffffd,
    0x3fffaa00,0x37ffaa2f,0x813ffee1,0xb8dffffb,0x001bceff,0xbffffff7,
    0x7f5c0017,0x7e401fff,0x9802efef,0x82dfffff,0x7e4003fc,0xfffb3fff,
    0x7fec45ff,0x3f20000e,0xfffb3fff,0xfff905ff,0x3ffff67f,0xefeb882f,
    0xfb001dfe,0xffe9800d,0x4c00dffd,0x0dffdffe,0x3ffff220,0x74c0cfff,
    0x4c04ffff,0x0dffdffe,0x7efff4c0,0xfff500df,0xfc98009f,0x200cefdf,
    0xffdeffd8,0x7ffec01d,0x7f6fcc2f,0x3f604ffe,0x7dc02fff,0x401cffff,
    0x1cfffffb,0x7ffffdc0,0xdffc881c,0xa8800002,0x4cc40001,0x00099999,
    0x0100ab98,0x82a60008,0xa9800019,0xb980001a,0x02a6000a,0x7006a200,
    0x35100019,0x00044000,0x0001a880,0x80000d44,0xaa8001a8,0x35310001,
    0x03531000,0x09aa9880,0x4002a980,0x88001a98,0x7fe401a9,0x001dffff,
    0x44000a98,0x4c009aa9,0x5ffffffe,0x201a8862,0xffffffe9,0x001a8805,
    0x88001a88,0x004d401a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3b600000,0x800003ee,0x180c01b8,0x0c40d400,0x05665d40,0x9ddd9000,
    0x2eeed880,0xbcb98000,0xbca8800a,0x03970001,0x99999988,0x4c419999,
    0x99999999,0x202a8099,0x326000c8,0x404c001c,0x99880018,0x20e01999,
    0x001bcb98,0x15797510,0x33333310,0x0000e5cc,0x03333331,0x00333333,
    0x04400880,0x0b32e600,0x33333330,0x006f2603,0x00017510,0x33310595,
    0x332a2133,0x1900e601,0x2a7dd700,0x500004ee,0x0000bfff,0x30bfff70,
    0x77fc4dff,0x77ff5400,0x75407b0b,0xffffbcff,0xff8807ff,0xffa800ef,
    0x3f60005f,0x0dfffcdf,0xdfb5ff50,0x037cc001,0x7fffedc4,0x220bdfff,
    0xffffffdb,0x2fa80bdf,0x7c400fb0,0xea800fff,0x07b0beff,0xffffd700,
    0x7e55fc0f,0xeffffeef,0xddfc8802,0x6443ffff,0xffb7ffff,0x70005fff,
    0x88fffffd,0x007ffffc,0xfb817dc0,0x2f7f2001,0xdb881eff,0x10ffffff,
    0x3dfffff9,0x9ffffb00,0x407fc400,0x9bffffea,0x505ffffe,0x401f605f,
    0x03ff66ff,0x2ffec000,0x3a05c000,0x7ec2ffff,0x7fff92ff,0x7ffffcc0,
    0xf500ffff,0x7ffcc7ff,0xffa806ee,0x3fea000e,0x7f44000f,0x3bffe64f,
    0xf8affd40,0x3fd000ff,0xffffb800,0xfffa802f,0x7fc404ff,0x05ffecde,
    0x0ffffee0,0xffffff30,0x40001fff,0x3e07fffe,0xfda82eff,0x0ff404ff,
    0xb09ffff3,0xb5bbffff,0x0001ffff,0x641ffffa,0x80007fff,0x027ec3fe,
    0x7fecffb0,0x3ffee00e,0x117fb0ff,0x6401fff7,0x00fffcbe,0x7d407fb0,
    0xfddfdfff,0xff883fff,0x05ffecdf,0xff11ff98,0x7fc00005,0x0fa80005,
    0x22fffffc,0xff71fffc,0x7efec05f,0x105fffff,0xff81ffff,0x3ff6005f,
    0x2ffa8000,0x07ffec00,0xf893fff6,0x13ffe3ff,0x20013f20,0x01fffffa,
    0x2fffff88,0xfffffb80,0x3ea000ff,0x7ec01fff,0x5ffffffe,0x7ffec000,
    0x2017fe07,0xb81efffe,0x7ffdc2ff,0x7fffe42f,0x037ffdc5,0x7ecccccc,
    0x7dc09fff,0xa80007ff,0x0ffe8cff,0x64bff500,0x3e603fff,0x05c8ffff,
    0x0e20dff9,0xf5003ffd,0xffff980d,0x17fff61f,0x7fffffd4,0x23fc800f,
    0x200005fa,0x880006fa,0x7ffe40ff,0x11f6447f,0x11e809d9,0x2019ffb7,
    0xfe87fffb,0xff8801ff,0x17ee0001,0x81ffff00,0x3ea6fffc,0x1fffa3ff,
    0x2000df30,0x00fffff9,0x1fffff88,0xdffff700,0xbffd0003,0x36e23d00,
    0x40000cff,0x3e07fffc,0xfffd1006,0x98bffd0d,0x7dc4ffff,0x7fc40fff,
    0x7ffc02ff,0xffffffff,0x03fffdc6,0xffffe800,0x3ffa003f,0x813fff26,
    0xfcfffff8,0x09fff100,0x22013fa0,0x7fc400ff,0x7ffe43ff,0x3fffee07,
    0xd8df001e,0x2e00000f,0xfd80000d,0x6fab980f,0x00080000,0x21bfff20,
    0x9803fffd,0x5b80001e,0x3fffe200,0x737ffe40,0x7ff45fff,0x007fa00f,
    0x7ffffcc0,0xfffff000,0x165c4003,0x40026000,0x40000200,0x3e07fffc,
    0x3ffee001,0x23fff43f,0x5c5ffff8,0xffd07fff,0x9999809f,0x09ffffd9,
    0x003fffdc,0x6ffffa80,0x9fffe600,0x2201fff9,0x02ffffff,0x3017fff4,
    0xfb005ff9,0xffff1007,0x07fffb87,0x80056544,0x0016c0e9,0xd8000000,
    0x3e600fff,0x00000004,0x437ffdc0,0x0003fffd,0x54000000,0x7e40ffff,
    0x3fff25ff,0x407fffa2,0x260004fc,0x000fffff,0x003fffff,0x00000000,
    0x32000000,0x01a07fff,0x1fffff10,0x3e62ffdc,0x7fdc3fff,0xdfffd07f,
    0xffff9000,0x01fffee0,0x2fffe800,0x3fffea00,0xf1006e20,0xb00bffff,
    0x3a20dfff,0x2a02ffff,0xfff1006f,0x7fffb87f,0x00000000,0x1bcb8800,
    0x005e6544,0x35ffffd1,0x100fc813,0x80037975,0x401bcba8,0xfe87fff9,
    0x5d4400ff,0x544001bc,0xf5001bcb,0xffc81fff,0x8fffee2f,0xf980fffe,
    0x7fcc0006,0xff000fff,0x33303fff,0x4ccc4333,0x00400099,0x44333333,
    0x40099999,0xff91bca8,0x4000c0ff,0x4c5ffffd,0x7fffd40a,0x83fffdc1,
    0x2207fffd,0xfff91bca,0x9fffee0f,0x00002cba,0x7fffdc00,0xfff88001,
    0xffd801ff,0x3fa601ff,0x01ff106f,0x0ffffe20,0x440ffff7,0x2000acba,
    0x000acba8,0xfd9dd910,0xb7ff33df,0xffd107ff,0x4bffffff,0x9bf904e8,
    0x9005fffd,0x5fffd9bf,0x207fff40,0x7e406fff,0x02fffecd,0xffecdfc8,
    0x7ffd402f,0x0bbfe60f,0x7fc7fff5,0x003fd06f,0xfffff980,0xfffff000,
    0xfffff703,0x3ffff623,0xb80aa006,0xb11fffff,0x640dffff,0xfcbfffff,
    0x400007ff,0x006ffffc,0xf70dfff9,0x3ff60fff,0xfffc80ff,0x7fffcbff,
    0xb1ffff70,0x105fffff,0x22133333,0xfb800bca,0x88003fff,0x800fffff,
    0x404ffffc,0x7fb06ff8,0x7fffc400,0x83fffdc3,0xefebeffa,0x5f7fd401,
    0x22001efe,0x7ffe43fe,0x0fff22ff,0x7ffff951,0x213ea555,0x7ff43fe9,
    0x87fd301f,0x9101fffe,0x6ffdc9ff,0xe87fd300,0xfd301fff,0x01fffe87,
    0x643fffea,0xffd00dff,0x6417ffc9,0xf980004f,0xf000ffff,0x3203ffff,
    0x7fc1ffff,0x0b2006ff,0x83ffff90,0xf706ffff,0x3ffa65ff,0x400007ff,
    0x00fffffb,0xb80efff8,0xffb07fff,0x5fff70df,0x1fffffa6,0x5fffffdc,
    0x41ffffc9,0x9affffeb,0x404ffffe,0x004ffffa,0x0fffff88,0x5ffffc80,
    0xfa84fd80,0x7ffc4006,0x3fffdc3f,0xff137fe4,0x9bff201f,0xb000fff8,
    0xfff889ff,0x07ffc46f,0x207fffd4,0xbff901da,0x906fffc8,0xfffc8bff,
    0x777fd406,0x7fe403ef,0x837ffe45,0x7fe45ffc,0x3ffea06f,0x9ffd510f,
    0x3e6dff30,0x006f984f,0xfffff300,0x3fffe001,0xffff501f,0x06fffd83,
    0xfa803f10,0x7fec1fff,0x5fff986f,0x03ffffcc,0x3ffea000,0x7fdc01ff,
    0xffff700d,0x317fff60,0xff98bfff,0xfff707ff,0xffffa85f,0x6ffffdc0,
    0x1ffffdcf,0x7fff774c,0x801eeeff,0x00fffff8,0x26ffffc8,0x03ba0dfb,
    0x88001ff1,0x7dc3ffff,0x7ffcc7ff,0x2077fe43,0x7e43fff9,0x7fc400ef,
    0x3ffe20ff,0x84fff84f,0x000ffffa,0xb87fffe2,0xff887fff,0x3ffee1ff,
    0x5556dc07,0xffff8800,0x21fffee1,0x2e1ffff8,0x3ea07fff,0x7fc40fff,
    0xedfd883f,0x003fd02e,0x3fffe600,0xffff000f,0x3ffea03f,0x37ffec1f,
    0x54037cc0,0x7ec1ffff,0xfffe86ff,0x47fffc82,0xfffffffc,0xffffffff,
    0x02ffffff,0x3ee01ff4,0xfffd07ff,0x82fffe89,0xf707fffc,0xfff10fff,
    0xffff987f,0x17fffa1f,0xfffffff5,0x1003ffff,0x001fffff,0x5cfffff9,
    0x80cedfff,0xf88003fd,0x7fdc3fff,0x0ffff47f,0xfd13ffea,0xfffa83ff,
    0x0fffe804,0x741ffffc,0xfffa85ff,0x7ff4000f,0x1fffee0f,0xf707fff4,
    0x1f620fff,0x0fffe800,0x741fffee,0x3fee0fff,0x3ffea07f,0x0ffff80f,
    0x4fc80220,0x019bdb70,0x0fffff98,0x3fffff00,0x07fffea0,0xa80dfffb,
    0xffa802ff,0x7ffec1ff,0x0ffffc46,0x323fffe4,0xaabfffff,0xcaaaaaaa,
    0x202fffff,0xffb802fa,0xffff887f,0x07fffe22,0x5c1ffff2,0xffd07fff,
    0xffff98bf,0x237ffec3,0xffffeee9,0x8801eeef,0x800fffff,0x987ffffc,
    0x0df5009a,0x7fc40fd8,0x7ffdc3ff,0x03fffe67,0x7ccdfff5,0x7fd40fff,
    0x1dc8806f,0x4dffffd4,0x87ffe999,0x000ffffa,0xfb116dc4,0xb7101fff,
    0x7fffec45,0x000ffc80,0x6c45b710,0xb880ffff,0x3fff622d,0xffff500f,
    0x07ffff01,0x221be600,0x03df96fe,0x07ffffcc,0x1fffff80,0x83ffff50,
    0x3206fffd,0xff5007ff,0xfffd83ff,0x07fffcc6,0x2e3fffe4,0x001fffff,
    0x03fffff5,0xffb801e4,0x7ffd45ff,0x07fffcc4,0xb83fffe4,0xffb07fff,
    0xffff98df,0x037ffe42,0x001fffee,0x03ffffe2,0x1bffff20,0x807fe200,
    0x7fcc0ffc,0x7ffdc3ff,0x21fffee7,0xf70ffff9,0xfff30fff,0xbd50001f,
    0xddddffff,0xf50ddddd,0x80001fff,0xffffefc8,0xfefc8800,0xfff80fff,
    0xbcceeeef,0xfdf91001,0x91001fff,0x01ffffdf,0x203fffea,0x0004fffe,
    0x7ffb03fd,0x4c03ffe6,0x000fffff,0x203fffff,0x6c1ffffa,0xff906fff,
    0x3fea007f,0x7ffec1ff,0x07fffdc6,0x263fffe4,0x001fffff,0x80fffff7,
    0xfff7001c,0xfff75bdf,0x1ffff70d,0x20ffff90,0xfb07fffb,0x7fcc1fff,
    0x7ffe42ff,0x37ffcc07,0x7fffc400,0xfffc800f,0x3fd8005f,0x503ffea0,
    0xfb8bffff,0x3fff27ff,0x2ffff987,0xf30ffff9,0x54005fff,0x7ffff3fe,
    0xffff5000,0x7fe40001,0x00ffffba,0x7fdd7fe4,0xffff80ff,0xffffffff,
    0x5d7fe405,0x6400ffff,0xffffbaff,0x1ffff500,0x00dfffd0,0xff509f90,
    0x13ffe23f,0x07ffffcc,0x1fffff80,0x83ffff50,0xfa86fffd,0xf5000fff,
    0xffd83fff,0x7fffe46f,0x47fffc80,0x01fffff8,0x0dffff90,0x3fee0048,
    0xbffffb7f,0x1ffff903,0x20ffff90,0xfb07fffb,0xfff98fff,0x3fffe42f,
    0x002fff40,0x07ffffc4,0x27fffe40,0x981bea00,0x3f20ffef,0x2e5fffff,
    0x3ff67fff,0xffff987f,0x30ffffb3,0x2007ffff,0x3ffa1ffc,0xffa8004f,
    0xe98000ff,0xffff71ef,0x47bfa601,0xc80ffffb,0xffffffff,0xe984ffff,
    0xffff71ef,0x47bfa601,0x500ffffb,0xfd01ffff,0xf9800dff,0x23fff906,
    0xf306fff8,0x64c1ffff,0x7ffffc43,0x3ffff500,0xc86fffd8,0x4ec87fff,
    0x20ffffd4,0x7e46fffd,0xffc80fff,0xfffff87f,0xffff9002,0x7dc00009,
    0x00aa27ff,0x901ffff9,0x3ee0ffff,0xfffb07ff,0x2ffff98b,0x403fffe4,
    0x88003ffc,0x800fffff,0x003ffffc,0x7c407fe2,0x8000ffd9,0x3f27fffb,
    0xfffa87ff,0x0ffff92f,0x805ffff5,0x7f43ffe8,0xfa8006ff,0x54000fff,
    0x3fee2fff,0xfffa80ff,0x03fffee2,0x7fffffe4,0x546fffff,0x3fee2fff,
    0xfffa80ff,0x03fffee2,0x407fffd4,0x4004fffe,0xfffb01fe,0x983fffc3,
    0xf30fffff,0x7ffc49ff,0xfff300ff,0x6fffd83f,0x4c6ffff8,0x3fe62fff,
    0x7ffec1ff,0x0ffffdc6,0x5c3fffe4,0xf003ffff,0x0001ffff,0x03fffdc0,
    0x0ffffdc0,0xb83fffe4,0xffb07fff,0xffff987f,0x03fffe42,0x380bfee2,
    0x1fffff10,0x0ffff900,0xd103fd80,0x0003ff65,0xfb9fffee,0xfffa87ff,
    0x0ffff71f,0x803ffff5,0x7e40fffc,0x20602fff,0x000ffffa,0xb83fffe2,
    0x7c40ffff,0x3fee0fff,0xbefb80ff,0xfdaa999a,0x3fffe27f,0x03fffee0,
    0x5c1ffff1,0xf500ffff,0xff901fff,0x27e4007f,0x7c3fffb0,0xfff307ff,
    0x3fff21ff,0x1ffffe26,0x41ffff98,0xff86fffd,0x7ffcc6ff,0x07fffe64,
    0xfa8dfffb,0xffc82fff,0xbfffd07f,0x7ffff300,0x800bda80,0x8007fffb,
    0xc82ffffa,0xff707fff,0x3fffa0ff,0x17fffcc2,0x261ffff2,0x82fffffc,
    0xfff106c9,0x23eb81ff,0x2003fffc,0xd8f606fa,0x5c3000ff,0x3fe66fff,
    0x7ffd40ff,0x03fffe67,0x880ffff5,0x7cc0ffff,0x5980efff,0x21ffffa8,
    0x7fffd400,0x03ffff21,0x643ffff5,0x7dc0ffff,0x24fd801f,0x321ffffa,
    0x7d40ffff,0x3ff21fff,0xfff500ff,0xf31dd11f,0x3e6003ff,0x8fffe406,
    0xf306fff8,0x3f21ffff,0x3ffe24ff,0x3ffe605f,0x3fffa22f,0x87fffe86,
    0x3fe62ffe,0x3ffa22ff,0x5fffe86f,0x507fffe8,0xc803ffff,0x7d406fff,
    0xffb806ff,0xffd0007f,0xffffd0bf,0x03fffee0,0xf303bffe,0xffc85fff,
    0xfecee87f,0xffefffff,0xffff105f,0x8fffcc1f,0x1000fffc,0x33ee03ff,
    0x01dffecc,0xfffb9ff4,0x207ffec5,0x7ec3fffb,0x7ffdc0ff,0x7fffd403,
    0xfffea89d,0x1f711eff,0x25ffff30,0x7ffd403a,0xffffecff,0x3ffea19f,
    0xffffecff,0x0bff219f,0x7d43ff10,0xffecffff,0x3ea19fff,0xffecffff,
    0xfc819fff,0x3ffb8fff,0x7f400bff,0x97ffd401,0xf504fff8,0x3e63ffff,
    0x3ffe60ff,0x7fffc01f,0x1fffffa4,0x70bfffea,0xffff81df,0x1fffffa4,
    0xc87fffee,0x700fffff,0x7d40dfff,0x7ec00eff,0x7e401fff,0xf70007ff,
    0x7fe43fff,0xffb80fff,0x7ffd41ff,0x2ffff980,0x263fffe4,0x3ffffa0f,
    0x302fffff,0x543fffff,0x5ffb4fff,0x901fec00,0xffffffff,0xca7fcc05,
    0x7fcc2fff,0x07ffec3f,0xfb0fffe6,0xff8801ff,0x8aefffff,0xfffffffe,
    0x3fff202f,0xfff005df,0xfff17fff,0xffff89ff,0xffff8bff,0x0bffe24f,
    0xf03fd531,0xf17fffff,0xff89ffff,0xff8bffff,0xffd84fff,0x8bff98ff,
    0x9f9000ef,0x4cfff600,0x3ff206ff,0x3fee3fff,0x00bfff61,0x3fbfffee,
    0x80ffffdc,0x98bffffc,0xfffb81fd,0xfffdcfef,0xffffc80f,0xffffdeec,
    0x9ffd302d,0x1fffd443,0x0ffffc80,0x0ffffec0,0xffffc800,0xffffdeec,
    0x7fffdc2d,0x407ffa0d,0x6c3ffff9,0x8fc47fff,0xffffeefb,0x3fee05ff,
    0x7ffc3fff,0x54005fd5,0x4ccc406f,0x400affe9,0x09ffb5fd,0x7cc3bfea,
    0xdff500ef,0x003bfe61,0x1fffffdc,0x3fffff62,0xefec801d,0xffd5000c,
    0x27ffdc3b,0x70efff54,0x36a09fff,0xbcefffff,0x3bffd500,0x5427ffdc,
    0x3ee1dffe,0xfffe84ff,0x9dfd70ff,0x03be6001,0x6c77ec40,0x7f64c1ef,
    0xceffffff,0xfffffea8,0x3ff2002d,0xffffb3ff,0xfffb305f,0x7e4019ff,
    0xfffb3fff,0xfff905ff,0x33bff2bf,0x7ff6401b,0x00deffee,0x813ffa20,
    0xefffffd9,0xffc8000c,0x9dff95ff,0xf53fb837,0x403bffbf,0x744ffffb,
    0x7dc1ffff,0xffd88eff,0xfec884ff,0xceffffff,0x2efffea8,0x007fe200,
    0x2003ff60,0x03dffec8,0x7fefff4c,0x7ff4c00d,0x8000dffd,0x0a9800a9,
    0x40001000,0x00400400,0x00110002,0x08008010,0x04000040,0x000ff400,
    0x001ef6dc,0x00d54c00,0x00035100,0x51000620,0x15300003,0x260000cc,
    0x400009aa,0x4ccc400a,0x00099999,0x01982a60,0x0d4c4098,0x7ffffe40,
    0xfffffd4f,0x881a885f,0x800000aa,0xfd8000a9,0x1dd90003,0x88000800,
    0x988001a9,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x99999aaa,0x99999999,0x01540199,0x800065c0,0x301acba9,0x52eec801,
    0x400c07dd,0x3bbb2001,0x0000cb84,0x15797510,0x01990000,0x17b70199,
    0x4cccccc4,0x26666099,0x80999999,0x00199998,0x055e5d44,0x2a620000,
    0x0380abcc,0x33333330,0x26213333,0x00999999,0x4ccccccc,0x0d54c000,
    0x26666200,0x0cccccc1,0x2a000aa0,0x9999882c,0x10099999,0x41333333,
    0x99999999,0x99998199,0x26620999,0x09998819,0x15797300,0x4cccc428,
    0x00099999,0xb80164c0,0xffffffed,0xffffffff,0x41ffffff,0x4005feb8,
    0x5c4005fb,0xffeffffe,0x401e89bd,0x03ffa6ff,0x6d880ed8,0x1dfff100,
    0x80007f90,0xffefffda,0xf10002ef,0xf90ff10f,0x7ffdc9ff,0x323effff,
    0xfffffffe,0xfffda82c,0xfffb5005,0x005dfffd,0xefffec80,0xa8bdffec,
    0xffcb8807,0x1bdfffff,0xffffffb3,0xfffdc80b,0x7ec401df,0xdfffddff,
    0x7fffdc01,0xffffb11f,0x0bfd710f,0xb80ff880,0xefffffff,0xffd9302c,
    0x3f7229ff,0xbcffffff,0x77ffee40,0x1fffee1c,0x3013fffa,0x9ffbbffd,
    0xfdb88b53,0xffffffff,0xb800bdef,0x36204fff,0xf931bfff,0x333fffff,
    0x43fffd95,0x005ffeca,0xa8003fe2,0x20beffff,0x01ffffc9,0x7fc43fea,
    0x30f7cc02,0x3ea005fd,0x0bf300ef,0x33bfa200,0xdfd9510a,0x86fa8003,
    0xffff85fa,0x3fffe20f,0xfffb00ff,0x7f9007ff,0x59dfd100,0x3bfb2a21,
    0x7ff4c001,0xfffd502e,0xfff9800f,0x3fe605ff,0xa804ffff,0xffb800ef,
    0x3fea20bf,0x7ffdc04f,0x3ffff41f,0x017ffb2a,0xfe807fb0,0x2001ffff,
    0xff901efe,0xf7003fff,0xffff701f,0x409fffd0,0x7d40bffb,0x3ff205ff,
    0xfb999fff,0x3a00cfff,0xe880ffff,0xffb02fff,0x7fe40fff,0x005ffb81,
    0xfc800bf6,0x74402fff,0x8ff601ff,0xffb004fb,0x400bff53,0x7fc00ffd,
    0x0f7d4000,0x002fe880,0x13f213ee,0x2e1bfffa,0x100fffff,0x009fffff,
    0x3df500f7,0x00bfa200,0x8037ffe4,0xf8007ffc,0x5403ffff,0x02ffffff,
    0x7f4c04f8,0x3fea03ff,0xfff501ef,0x7fffd83f,0x400bff70,0xff9806fa,
    0x32002fff,0x3ffea01f,0x09f1007f,0x3a1fffee,0xff304fff,0x02ff440b,
    0x10fffff5,0x203ffffb,0x4c0ffffe,0x2e04ffff,0x6407ffff,0x05ffb81f,
    0x6400bf70,0x1004ffff,0x22fc03ff,0x3fe6006d,0x1001ffff,0x5f9003ff,
    0x0027cc00,0xfb001fc8,0xf505fb07,0xfff105ff,0x7fec07ff,0x04d807ff,
    0xc80027cc,0x7ffe401f,0x1ff6000f,0x3ffffe00,0x7fffcc02,0x1f401fff,
    0x017fffa0,0x203ffff2,0x641ffff9,0xff707fff,0x03fe200b,0x37fffec0,
    0xfa809d00,0x3e007fff,0x0ffff703,0x3609fffd,0x2fcc02ff,0x0fffff50,
    0x07ffffa2,0x3613ffee,0x2a01ffff,0x4407ffff,0x05ffb81f,0x5000ff88,
    0x800bffff,0x41b301fa,0x7e4001e8,0x26004fff,0x0bf5001e,0x775d7a20,
    0x82cdeeee,0x1fe800fd,0x02a00ff8,0x06ffffc8,0x0bffffe6,0x3a201f88,
    0xddfeda85,0x403f669b,0x003ffff9,0xff8007e8,0x7cc02fff,0x0efffffd,
    0xffc80f60,0xff8801ff,0xfff985ff,0x3fffe41f,0xb005ffb8,0x7fd4007f,
    0xf9801fff,0x7fffd400,0x5c0fe007,0xffe87fff,0x07fff04f,0x7fcc0b70,
    0x3fea07ff,0x2c980eff,0x06ffffa8,0x43ffffd4,0x7fdc0ec5,0x002fd805,
    0x01fffff1,0x00003d00,0x1ffff100,0x7c400000,0x5c1f9007,0xdff937ff,
    0x2202f441,0x007f887f,0x7ffffcc0,0x3ffffa01,0xf901ae05,0x10ffec41,
    0x42f44ff7,0x00ffffe8,0xf8007a80,0x4c02ffff,0xfffffe8f,0x7cc0f605,
    0x36007fff,0x7cc2ffff,0x7fe41fff,0x0bff707f,0xd000df50,0xb009ffff,
    0xffff5009,0xb81fc00f,0xffe87fff,0xffff884f,0xf3034c01,0xff80ffff,
    0x74004fff,0x5403ffff,0x3447ffff,0x17fee026,0x5c00bf70,0x0007ffff,
    0x26666637,0x26666621,0x44000000,0x16c2ccb9,0x9f100bf6,0x7f47ff98,
    0x9307dc5f,0x999ffb99,0x2099ffb9,0xffffe800,0x3fffee04,0x4407d00f,
    0x80fff44f,0x3207dc7c,0x0006ffff,0x3ffe001a,0x8bcc02ff,0x04ffffff,
    0x3fffa07b,0x3fee004f,0x7ffcc7ff,0x3fffe41f,0x4405ffb8,0xfb8000ff,
    0x2200ffff,0xfffa800f,0x40fe007f,0xfe87fffb,0xfff884ff,0x302403ff,
    0xc80fffff,0x2007ffff,0x03fffff9,0x23ffffd4,0xbff70069,0x0007fc40,
    0x00bffffd,0xfffff700,0x3ffff623,0x99999886,0x01999999,0xdfd7dff3,
    0x09f50b95,0x7fcc2fb8,0x263ffe47,0x3fffea3f,0xffffffff,0x700d07ff,
    0x201fffff,0x83fffffd,0x8bee00f9,0x1e205ffb,0xffff87f3,0x0020005f,
    0x0bffffe0,0x7ffccf30,0x83d82fff,0x03fffff8,0x3ffffe60,0x07fffe60,
    0x2e0ffff9,0x1fec05ff,0xffff8800,0x4017203f,0x007ffffa,0x7ffdc0fe,
    0x04fffe87,0x5dfffffd,0xffff3000,0xffffa80f,0xfff5002f,0xffa805ff,
    0x8036c7ff,0x3f605ffb,0x3ffe6003,0x900004ff,0xff83ffff,0xfffb86ff,
    0xffffeeee,0x077fdc0f,0xf101fffd,0x4c0fd80f,0x2ffec7ff,0xd99932fc,
    0xff9999bf,0x007e099b,0x07fffff1,0xdffffbf3,0x0fd80b90,0x0100bffe,
    0x7fffc4bf,0x0000004f,0x017ffffc,0xffff71e6,0x983d81ff,0x002fffff,
    0x8bffffe6,0x641ffff9,0xff707fff,0x0037d40b,0x1bffff20,0xff5001f8,
    0x1fc00fff,0xe87fffb8,0xff704fff,0x03dfffff,0x3ffffcc0,0x3ffffe60,
    0xffff9004,0xfffa803f,0x00df917f,0x7dc17ff2,0x7ffd4005,0x500002ff,
    0xfd83ffff,0x83fb86ff,0x443ffffd,0x7fe44fff,0x403fd01f,0x27ff986e,
    0x6d82fff8,0x3fe07fe0,0x200be600,0xc86ffffc,0x1fffff9d,0x99ba017c,
    0xd8001fff,0x3ffffea6,0x40000003,0x402fffff,0xffffd879,0x2a0f60ef,
    0x002fffff,0x8fffffe2,0x641ffff9,0xff907fff,0x003fe20b,0xfffff100,
    0x5400d705,0x2007ffff,0xffff703f,0x409fffd0,0xfffffffd,0x733100df,
    0x333fffff,0x7fffc413,0xfffb004f,0xffa803ff,0x6fffefff,0x7fff54c0,
    0x003fe21b,0x3fffff90,0x3fea0000,0x7ffec1ff,0xffa85b86,0xfffc86ff,
    0x82fffd43,0x20fe04fb,0xffcafff9,0x220f702e,0x407f887f,0xff9803fa,
    0xe8fc1fff,0x1ea4ffff,0xfffa8fe0,0x2e7b8000,0x002fffff,0x7ffc0000,
    0x83cc02ff,0x25fffffe,0xffffc83d,0x3fe2001f,0x3fe65fff,0x7ffe42ff,
    0x7fff54c7,0x001fec1b,0x5ffffd80,0x3ea002e8,0x3e007fff,0x0ffff703,
    0x40c9fffd,0xfffffffe,0xfffa82ff,0xffffffff,0x3fffe26f,0xb0fb665f,
    0x801fffff,0xebfffffa,0x4cc406ff,0x3f609999,0x056f5cc3,0x07fffff2,
    0x7ffd4000,0x37ffec1f,0x7fff40dc,0x7fffc41f,0x3ffffa22,0x3e06f881,
    0xfbfff984,0x41ee02ff,0x05fa86fa,0xfe802fdc,0xb9ae4fff,0x1367ffff,
    0xfffb93e0,0x327b8001,0x001fffff,0x7ffc0000,0x83cc02ff,0x3ffffff8,
    0xffff907b,0x7fc4003f,0x3fe25fff,0x7fff43ff,0x4ccccc47,0xb01bea09,
    0xfff5001f,0x003543ff,0x01ffffea,0xfff703f8,0x7fffc41f,0x3ff20735,
    0x3fffffff,0x1ffffe60,0xbfffff10,0xf937fffc,0xa801ffff,0x3ea7ffff,
    0x5fa80006,0x37ffffcc,0x0fffffee,0x7ffd4000,0x37ffec1f,0x7fffdc04,
    0x1ffffa85,0x0bffff3a,0x86e807f4,0xdff97ff9,0x4fb836c0,0x7ec03fc8,
    0xffff7007,0xff88fa1f,0x00f8afff,0x3ffe66e8,0x2a6d8002,0x402fffff,
    0x99999999,0xfff00099,0x079805ff,0x3fffffe6,0xfffb83d9,0x3e2002ff,
    0x7fc3ffff,0x3fff65ff,0xff88007f,0x003ff201,0xb27ffff4,0xfffa8007,
    0x40be007f,0xd12ffffb,0x591fffff,0x7fffecc0,0xf301ffff,0xf880ffff,
    0xff54ffff,0x3fee1fff,0x7d401fff,0x036c7fff,0xd03fe200,0x45fff937,
    0x04fffffa,0xffff5000,0x06fffd83,0x0fffff88,0xb1ffffb8,0x07ffff19,
    0x07ec0fee,0x7fc5ffe6,0x64cbf02f,0xccccefec,0xf84ccdfe,0xff8801ff,
    0x40f9bfff,0x6bdffffd,0x3e21fb00,0x5f8003ff,0x13ffffe2,0xfffff950,
    0x3e0039ff,0x4c02ffff,0x7fffdc07,0xff983eff,0x26003fff,0x5c2fffff,
    0xcdfeffff,0x4001ffff,0x3fea03fd,0xfff7000f,0x001f31ff,0x07ffffa8,
    0x7fe40be0,0xfabfefff,0x3006ffff,0xbffffffd,0x1ffffe60,0x5fffff30,
    0x4fffffe6,0x02fffff9,0x23ffffd4,0x7ec00069,0x3ffa0c43,0x3ffffe62,
    0xff500005,0xfffd83ff,0xffffd806,0x3ffff903,0x3fffe2b9,0x2a0df303,
    0x73ffcc2f,0x47f30dff,0xfffffffa,0x7fffffff,0x8017ffcc,0x4ceffffc,
    0xefffffa8,0x645f5003,0x260406ff,0x7ffff43f,0xffff7005,0xfff8003f,
    0x03cc02ff,0x7fffffe4,0xfffff883,0x3ffe6003,0xfffc81ff,0xfffff93f,
    0x81bea005,0x000ffef9,0xb7fffff1,0xfff50009,0x817c00ff,0x2ffffefc,
    0x9833fff6,0x7fffd402,0xffff307f,0xffffa80f,0x3ffff21f,0x0fffffa4,
    0x0fffff50,0x3ea0160d,0x81ff9005,0x006ffffe,0x3ffff500,0x406fffd8,
    0x206ffffa,0x0ecffffb,0x405ffff1,0xa89f00fe,0x3ffa1fff,0xb9307e43,
    0xfb9999ff,0xfb89999f,0xff3004ff,0x3e03ffff,0x000fffff,0x07ffd13e,
    0xd81f90f2,0x3006ffff,0x301fffff,0xffff8179,0x803cc02f,0x03fffffd,
    0x009ffffb,0x037fffdc,0x04fa8351,0x101ff880,0x001ffb3f,0x7f7fffe4,
    0xfff98000,0x40be007f,0x101aa8fe,0x22016605,0x980ffffe,0x5c07ffff,
    0x8887ffff,0x3ffea3fa,0x7ffd405f,0x04a8287f,0xf8007fc4,0xffffa84f,
    0xf980000f,0x7fec1fff,0x7fff406f,0x3ffea01f,0x3ffe20ff,0x40ff200f,
    0xfffb30fc,0x4bffea39,0x0df504f8,0xffd80bf5,0x3ffa006f,0x3ff205ff,
    0x7e4005ff,0x4d6ffe40,0x427c42db,0x007ffff9,0x10fffff3,0xfff8bfff,
    0x03cc01ff,0x3ffffe88,0x0dffff30,0x0ffffec0,0x003fee00,0x7440ff60,
    0x4001ffb2,0x05fffff8,0xfffff100,0x7c03e600,0x7cc0001f,0xffff8800,
    0x7ffff980,0x17ffff40,0xffd81fb0,0x3fea00ff,0x07d007ff,0xf5003fd8,
    0x7fffec0b,0x7cc48004,0x7fec1fff,0x3ffee06f,0x3fe2085f,0x7ffcc2ff,
    0xd02fcc07,0x2aaaaaad,0x774aaaa2,0xf909f700,0x7fffe809,0x3fffee00,
    0x3fffe602,0x986e8001,0xe80abdca,0xffff700e,0xffff3005,0x8ffff70f,
    0x400fffff,0x3fe60079,0x3ff203ff,0xff8802ff,0xfe8005ff,0x06fa8006,
    0x00ffd8f6,0x0ffffec0,0xfffff000,0x260f7001,0x4c0003ff,0xdff9004f,
    0x1ffffe60,0x05ffffa8,0x7ffc427c,0x3ffee04f,0x02fc807f,0x7c4017ea,
    0x3ffe200d,0xdd1001ff,0x22ffff98,0x106fffe8,0xb01fffff,0x542fffc8,
    0xff805fff,0x001bf100,0x3601fd88,0x402fe82f,0x000fffff,0xd00dfff1,
    0x22000dff,0x6c4000df,0x7ffec01f,0xffff9806,0x46fffb87,0xa806ffff,
    0x7ffd4007,0x3fffa203,0xefffd805,0x7ffc4000,0x07fe2001,0x7f6667dc,
    0x3ea001df,0x640005ff,0x4402ffff,0x09ff504f,0x01ff9800,0xf503ffd8,
    0x7ec0ffff,0xdb101fff,0x3fffa601,0xfffffb01,0x807fe440,0xbd000ff8,
    0xffe980c8,0x774c01ff,0x24ffff80,0xb07ffffe,0xf107ffff,0x644fff98,
    0xfc800eff,0x00bfe602,0x3e017f54,0x200ff81f,0x01fffff8,0x200fff20,
    0x20004ffb,0xd5002ff9,0xffb1005f,0xfff980bf,0x1fff887f,0x00bfffe2,
    0xf90003f2,0xfffb007f,0x6fffdc05,0xbfff0000,0x80ff6001,0xfffffffc,
    0x7ff4002f,0x7f440002,0xdd101fff,0x01bff201,0x03fff300,0xf5037fc4,
    0xf901ffff,0x3a601bff,0xfffd8805,0xffff931b,0x953359ff,0x7ec0ffff,
    0x999fb003,0x7fec40fd,0xb7309cff,0x7ffdc09f,0xfffdcfef,0x7fffd40f,
    0x6f46e886,0xdff11fff,0x017ea001,0x237bffb1,0x00effdb9,0x3fcc3fc4,
    0x037ffec0,0x2003fe60,0x40000ff8,0x31bdffd8,0x001dffb7,0x1beffea8,
    0x05ffffb8,0x7fe45ff5,0x4ff9803f,0x003fd800,0xb887fff7,0x40004fff,
    0x02dffffb,0x33101bea,0x015ffd33,0x0006fb80,0x9ffffb10,0x01dfb535,
    0x00037fe4,0x20ffffe6,0x3600efd9,0xa9cfffff,0x403effeb,0x7e4c001c,
    0xffffffff,0xffffffff,0xf506ffff,0x3fff600b,0xc9805fff,0xffffffff,
    0xfffc802d,0xfffffb3f,0x8fffff45,0x325ffc99,0xffdffb15,0x3fc4003b,
    0xffffd980,0x5002dfff,0x00bf50bf,0x0005dfb3,0x036c009d,0xfffb3000,
    0x005bffff,0xffffec80,0x0bdfffee,0x7ffff4c0,0x7f5403df,0x001dffff,
    0x64c007d1,0xeffeeffe,0xd700001c,0xf103bfff,0xffb0003f,0x07f10001,
    0xfffc8000,0x00bfffff,0x00017fcc,0x3ff2abe6,0x303fffce,0xffffffd9,
    0x037bdfff,0x26200000,0x00009999,0x2003fe20,0xeeeeeeea,0x5554c003,
    0x1a880009,0x7fffdc00,0xffffffff,0x06a62025,0x000cb800,0x026aaa62,
    0x53035100,0x00004003,0x00cc0035,0x554c4000,0x8000009a,0x019aab98,
    0x00355300,0x06200000,0x01aa9800,0x05cc0000,0x20007fb0,0x50000eec,
    0x55400000,0x00001abb,0x53031000,0x00000357,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26620000,0x44000999,0x99999999,0xa8000009,
    0x4c40deee,0x99999999,0xba800099,0x31000000,0x2a213333,0x3bb200bc,
    0x5018804e,0x98801100,0x2a209999,0xeeec801c,0x0dc04884,0x00333333,
    0x20de5440,0x99999998,0x20009999,0x19999999,0x31099998,0x33333333,
    0x26620013,0x15c41999,0x4cccccc4,0x4c099999,0x3333300b,0x4c333333,
    0x99999999,0x32e60099,0x3333102c,0x33333333,0x03333333,0x00130150,
    0x881bddd5,0x0388accb,0x33333100,0x33333333,0x81333333,0x00199999,
    0x80bbbba2,0x3fff21b8,0x5c4002ff,0xfffffffd,0x00bdefff,0x0bfff600,
    0x3ffffb26,0x001cefff,0x001ffff4,0x7fff5c00,0xffffe9af,0x1fffd104,
    0x2fbff660,0xffb80b71,0x3fffaa05,0x0ffff53f,0x00efff88,0x44bea0bf,
    0x00fffffd,0x7ee7f4c0,0x3ff6e26f,0x0bdfffff,0x3ffffa00,0xfffd85ff,
    0xffffb713,0x20059dff,0x0fffffd8,0x441dfff3,0xffffffdb,0x3ff60bdf,
    0x7ff5c43f,0x8befffff,0xfffffdb8,0xf980beff,0x41effdcf,0xfffffffd,
    0xffffffff,0x3ae07fff,0x05d0bdff,0x985fffb0,0x6fffcefe,0xffd95000,
    0xffffffff,0x5fffffff,0x3fffff44,0x09fff700,0xf727ffc4,0x40005fff,
    0x99fffffc,0x0cffffb9,0x17ffc400,0x7ffffe40,0xfff30002,0x200000ff,
    0xcfdffffb,0x101ffffd,0x3fe07ffd,0x2fffffff,0x07fffe20,0x9bffff98,
    0x201fffff,0x3600effa,0xfffdcdff,0x07fffec0,0x26fff300,0xffc83fff,
    0x20002fff,0x203ffffd,0xfff702fc,0x360001ff,0xffb0ffff,0x3ff209ff,
    0xff982fff,0xff900fff,0x7dc07fff,0x2a04ffff,0x3fffe3ff,0x26b3ff60,
    0x9effffc9,0x707ffba9,0xffffffff,0x0bffe00f,0x0df71bf6,0xffbfd000,
    0x53333dff,0xfd05fffb,0x7ec00fff,0x7ffe404f,0x7ffff517,0x54001333,
    0xd887ffff,0x2001ffff,0xf5002ffa,0x0001ffff,0x0bffffea,0x3fe60000,
    0x3ffa1fff,0x17fa205f,0x3ffffbea,0x3e200fff,0x3e202fff,0xfdcecfff,
    0x07fec07f,0x3ffffe20,0xfffc83ff,0xfff1000f,0x20bffe2d,0x00fffffa,
    0x3fffe600,0xf981b605,0x20006fff,0xfb0ffffc,0x3ea0dfff,0xf980ffff,
    0x4cc2ffff,0x9afffffb,0xffa99999,0x4c19bfff,0x7ffec7ff,0x3ee0ff63,
    0x7e985fff,0xffffbdd0,0xff5009ff,0x90dff107,0x79f0000d,0x5c0bffff,
    0xfffc82ff,0x0bff1007,0x3affff90,0xffffffff,0x3fea005f,0xffd107ff,
    0x3f6003ff,0x3ffe6003,0x7f40007f,0x00004fff,0x43ffff98,0x4406fffd,
    0xb525c0ff,0xf9003bff,0xfff880df,0x8072a4ff,0xd3001ff8,0x2e07ffff,
    0x5000ffff,0x0dccdfff,0x0fffff98,0x7ffec000,0x4c05f00f,0x0006ffff,
    0x543fffee,0x980fffff,0xd00fffff,0x7c49ffff,0xffffffff,0xffffffff,
    0x0fffffff,0xff51bff6,0xfb826c7f,0x0f505fff,0x7fedc43e,0x03fd800b,
    0x6889fff7,0x5c75c000,0x5c05ffff,0x7fffb82f,0x200bf700,0xf516fffb,
    0x13337fff,0x7fffcc00,0x3fffea07,0x003d800e,0x03ffffcc,0x1fddd400,
    0x7fcc0000,0x7ffe42ff,0x442d9806,0x29800100,0x7ffff880,0x001e9800,
    0x2e00aca8,0x7000ffff,0x4c00dfff,0x0007ffff,0x83ffffa8,0x7ffcc079,
    0x000999ef,0x983fffee,0xff307eab,0xbba80fff,0x7fd4cc3f,0x99999fff,
    0xfffff999,0x3ffe619a,0x360efd85,0xbffff701,0x08041e20,0xf701ec00,
    0x0141dfff,0x3ee5f100,0x7c405fff,0x07fffb82,0x7cc00b90,0x3ffe64ff,
    0x3e60002f,0x7fc07fff,0x00004fff,0x8fffff30,0x07f20002,0x3fe60000,
    0x7ffe42ff,0x00000007,0x7ffc4000,0x0000006f,0xffff7000,0x3fff2001,
    0x3ffe6006,0xff00007f,0x80990dff,0xfffffff9,0x5c01dfff,0xdf00ffff,
    0x1ffffe60,0xf8817dc0,0x7c00ffff,0xfa81ffff,0x090105ff,0x02ffffdc,
    0x00000009,0xffffff88,0x25d80002,0x585ffffb,0x7ffdc164,0x3e000007,
    0x3ffe62ff,0x0179512f,0x0fffff30,0x47ffffc8,0x99999998,0xf3019999,
    0x02ecffff,0x4cccdd00,0x2f2a2199,0x3fffe600,0x43fffe42,0x81999998,
    0x01999998,0x33333331,0xf8833333,0x98804fff,0x2a209999,0x4cccc41c,
    0x3ffee019,0xfff9000f,0x7ffcc00d,0xf900007f,0x02f81fff,0x477fffcc,
    0x0cffffb9,0x01ffff70,0x3fe605f5,0x0dd007ff,0x07ffffc4,0x07ffffe0,
    0x001bfff2,0x2ffffdc0,0x99999880,0x20179510,0x01999998,0x9ffffffb,
    0x707d4000,0x8d0bffff,0x7fffb808,0x84ccccc4,0x3600bca8,0x3ffe60ff,
    0xfffff9af,0x7fffcc03,0x7fffd407,0x3bffee2f,0xfffffeee,0xfffff980,
    0x50000de9,0x7fffe43f,0xfffffa8f,0x5ffff303,0x887fffc8,0x40fffffc,
    0x0fffffc8,0xeeefffb8,0x20fffffe,0x803ffff8,0x53ffffea,0xfc88ffff,
    0xf700ffff,0x32001fff,0x26006fff,0x0007ffff,0x47ffff30,0xfff98079,
    0x7fffcc6f,0xffffb80f,0x3e605d80,0xfa807fff,0x3fffe202,0x7fffc00f,
    0x7fffd81f,0xfff70000,0x3fae00bf,0xffe9afff,0xffc884ff,0xfe880fff,
    0x004fffff,0x7fdc3f88,0x8034c5ff,0x748ffffb,0xd35ffffd,0x2a09ffff,
    0x7fffcc6f,0xffffddfd,0x3fffe601,0x7fffcc07,0x360fee4f,0xf303ffff,
    0x009fffff,0x7e40fe40,0xfecfdfff,0xff980fff,0x7ffe42ff,0x3ffff607,
    0x1ffffb00,0xffb07f70,0xfff887ff,0xfff3003f,0xfffff37f,0x1ffffb03,
    0x03fffee0,0x1bfff201,0x7ffff980,0x3ffa0000,0x2601326f,0xfc86ffff,
    0xffb85fff,0x017a60ff,0x80fffff3,0x7fc402fb,0x7fc00fff,0xffc81fff,
    0xb80001ff,0x2005ffff,0xcfdffffb,0xb01ffffd,0x6401ffff,0x01ffffff,
    0x7fdc2e40,0x8036c5ff,0x23effffb,0xcfdffffb,0x881ffffd,0x7fffcc4f,
    0x17fffa1f,0xffff7331,0x4413333f,0x2e4fffff,0x6ffffa85,0x3ffffe60,
    0x03360002,0x077fffdc,0xf309ffff,0xffc85fff,0x3fff207f,0xffff900f,
    0xff50b701,0xfff10dff,0x3fe2007f,0xffdcecff,0x1ffff907,0x43fffee0,
    0xffc85fe8,0x3fe6006f,0x1dd987ff,0x3ffff200,0xff3003f1,0xfff70dff,
    0xffff70ff,0x2600ba61,0x3207ffff,0xfff8800c,0x7ffc00ff,0xfffb81ff,
    0x554c003f,0xeffffdaa,0xf302aaaa,0x7f43ffff,0xfff905ff,0xfffa801f,
    0x3e6003ff,0x5ffffb80,0x2e00dfb5,0x7cc2ffff,0x3fa1ffff,0x985d05ff,
    0x7e43ffff,0x7ffd46ff,0xffffffff,0x3fffe26f,0x3fa06e5f,0x3e601fff,
    0x00007fff,0x0ffffd40,0x2617fffa,0x7e42ffff,0x3fee07ff,0xfff700ff,
    0xfd03701f,0xff103fff,0x3e2007ff,0x32a4ffff,0x1ffff701,0x43fffee0,
    0x7e42fffb,0x3e6006ff,0xffe87fff,0x3ffe6006,0xf3007acf,0xff30dfff,
    0xffb83fff,0xf98000ff,0x00007fff,0xfffffff1,0xffffffff,0xff303fff,
    0x5c001fff,0xffffffff,0x05ffffff,0xd87ffff3,0xff706fff,0x4c3b81ff,
    0x2005fffe,0xffff703e,0x00dfffff,0x261fffee,0x7ec3ffff,0xf30106ff,
    0xffc85fff,0x3ffe606f,0x7ffc407f,0x3ee025ff,0x7cc05fff,0x00007fff,
    0x07fffd40,0x2617fffa,0x7e42ffff,0x3fee07ff,0xfff700ff,0xff70101f,
    0x3fe20bff,0xff1003ff,0xfb800fff,0xff700fff,0x3ffee1ff,0x037ffe42,
    0x0fffff30,0x4001ffff,0x04dffffe,0x0dffff30,0x81fffff3,0x000ffffb,
    0x07ffff98,0xffff1000,0x5555557f,0x03fffff5,0x217ffff6,0xfff70048,
    0x7fcc00bf,0x7ffe42ff,0x1ffff706,0x7fc40fa8,0xddf7003f,0xfffddddd,
    0x0dff95df,0x21fffee0,0x642ffff9,0x26006fff,0x7e42ffff,0x3fe607ff,
    0x7fc407ff,0x3e204fff,0x5c00ffff,0x0007ffff,0x7fffd400,0x42fffec0,
    0x6c3ffff9,0x3ee07fff,0xff700fff,0xff1001ff,0x3e201fff,0xf1003fff,
    0xb800dfff,0xf700ffff,0x3f621fff,0x06fffc84,0x1ffffe60,0xff813fee,
    0xffffffff,0x84ffffff,0xb86ffff9,0xfb85ffff,0x98000fff,0x0007ffff,
    0x1fffff10,0x1fffff80,0xbfffff30,0x2003d735,0x005ffffb,0x90bfffe6,
    0x3ee0ffff,0x2fd40fff,0x4400ffec,0xaaaaaabf,0x265ffffd,0xffe9806f,
    0xffff987f,0x03fffe42,0x7fffcc11,0x03fffe42,0x80fffff3,0x02fffff9,
    0x00fffff6,0x0ffffff9,0xffa80000,0x7ffec0ff,0x4ffffb85,0x80fffff4,
    0x700ffffb,0xb001ffff,0x5407ffff,0x1004ffff,0x8009ffff,0x700ffffb,
    0x2001ffff,0x2006fffc,0x107ffff9,0x99999801,0x99effff9,0xff980999,
    0xfffc86ff,0xffffb83f,0xfff98000,0xf100007f,0xf801ffff,0x2e01ffff,
    0xffffffff,0x3ffee001,0x3fe6005f,0x7ffe42ff,0x1ffff707,0xf11cff98,
    0x0136009f,0xb8bffff7,0x7fefcc06,0xffff987f,0x03fffe42,0x7fffcc3d,
    0x03fffe42,0x80fffff3,0x01fffffa,0x40dffff5,0xffffaed8,0x2001c007,
    0x6c0ffffa,0x7fe45fff,0xffd4ffff,0xf705ffff,0x3ee01fff,0x7d400fff,
    0x3f206fff,0x01dfffff,0x01ffffc4,0x03fffee0,0x007fffdc,0x006fffc8,
    0x01ffffe6,0xffff0090,0x7ffcc00b,0x7fffcc6f,0xffffb80d,0xfff98000,
    0x8824007f,0x400fffff,0x401fffff,0x2dfffff9,0x7fffdc00,0x3ffe6005,
    0x3fffe42f,0x40ffffb8,0xffefedf9,0x801f5004,0x4c5ffffb,0x7fdccc06,
    0xffff987f,0x83fffe42,0xfff30dfc,0x7fffc85f,0x1ffffe60,0x0fffff70,
    0x00fffff4,0xffff31b5,0x4006800f,0x6c0ffffa,0x00005fff,0x0ffffb80,
    0x01ffff70,0x01ffffe8,0x3fe20000,0x7dc003ff,0xff700fff,0x3f2001ff,
    0x3e6006ff,0x22007fff,0x5ffff807,0x3fffe600,0xffffcaae,0x3fffee04,
    0xfff98000,0x41e2007f,0x00fffff8,0x00fffffc,0x20003e88,0x005ffffb,
    0x90bfffe6,0x3ee0ffff,0x30c40fff,0x17c4003f,0x2ffffdc0,0x7fdc5834,
    0xffff987f,0x43fffe42,0xff34ffe8,0xfffc85ff,0x3fffe607,0x7ffff407,
    0xbffff702,0xfff30410,0x035400ff,0x03fffea0,0x200bfffb,0x5c004efc,
    0xf700ffff,0x7dc01fff,0x20085fff,0xf8804efb,0x5c003fff,0xf700ffff,
    0x32001fff,0x26006fff,0x2007ffff,0x3ffffe6b,0xffffffff,0xff984fff,
    0xdeffffff,0x7ffdc01b,0xff98000f,0x1ae007ff,0x07ffffc4,0x07ffffe0,
    0x000f7d40,0x05ffffb8,0x0bfffe60,0x2e0ffff9,0x6c00ffff,0x0b9000cf,
    0x17fffee0,0xff716a0a,0xffff30ff,0x07fffc85,0x7ffcdbfe,0x3fffe42f,
    0x0fffff30,0x82ffffd4,0x80fffff8,0xfffff305,0x2002ec00,0x6c0ffffa,
    0xd5005fff,0x7dc003ff,0xff700fff,0x3fe201ff,0x20580fff,0x4402ffe9,
    0x4003ffff,0x700ffffb,0x2001ffff,0x2006fffc,0x007ffff9,0x9999997a,
    0x99effff9,0xff980999,0x2e0006ff,0x8000ffff,0x007ffff9,0x7ffc417a,
    0x7ffc00ff,0xff9001ff,0x3fee000d,0x3e6005ff,0x7fe42fff,0xffff707f,
    0x1fff4c01,0xb8007cc0,0xd005ffff,0x87fffb89,0x642ffff9,0xff307fff,
    0x0bfffe67,0x540ffff9,0x3607ffff,0xfb01ffff,0x0f107fff,0x03ffffe6,
    0x50013ee0,0xfd81ffff,0x3e6005ff,0x3fee003f,0xfff700ff,0x3fff601f,
    0x4407883f,0x7fc404ff,0x7dc003ff,0xff700fff,0x3f2001ff,0x3e6006ff,
    0xb800ffff,0xffff804f,0x3ffe6006,0x3ee0006f,0x98000fff,0x800fffff,
    0xfff304fb,0x7fc401ff,0x36001fff,0xff70007f,0x7cc00bff,0x7fe42fff,
    0xffff707f,0x04ff8801,0xf7002744,0xf700dfff,0x87fffb85,0x642ffff9,
    0x7ed47fff,0x3fffea4f,0x07fffec3,0x0fffffa8,0x00dfffc8,0x10dffff5,
    0x3ffe60dd,0x7fdc01ff,0x7ffd4003,0x37fff41f,0x001ff700,0x80ffffe4,
    0xa81ffffc,0xe886ffff,0x007fd406,0x00ffffe2,0x03ffff90,0x007ffff2,
    0x003fffec,0x03fffff5,0x4404ffc8,0x2006ffff,0x006ffffa,0x07ffff20,
    0x3fffea00,0x27fe401f,0x1fffff98,0x3ffffe20,0x017fe002,0x37fffe40,
    0x7ffff300,0x907fffd8,0xa803ffff,0x0fec02ff,0xdffff900,0x5c1ffd80,
    0x7cc0ffff,0x7fec3fff,0xfb80c47f,0x7ff44fff,0xfffb01ff,0xfd7539ff,
    0xffe807df,0xff9331ff,0x3ffff20b,0xba9999df,0x4002fffe,0x223ffffc,
    0xb807ffff,0x6c002dfe,0xfb02ffff,0xffd05fff,0x3f2663ff,0x7bfb705f,
    0x9ffff500,0xffffd800,0x5ffffb02,0x3ffffe00,0xffff9001,0x953335df,
    0xb807fffd,0x001fffff,0x03fffff9,0x3ffff600,0xfffc8002,0xa999aeff,
    0x903fffec,0x407fffff,0x04fffffb,0x006ffecc,0xfffffe80,0xffff7001,
    0x1ffffe89,0x02ffffd8,0xc807ffd7,0x3fa003ff,0x99abffff,0x40ffffdb,
    0x5c2ffffd,0x7f44ffff,0xfc801fff,0xfd5fffff,0x267fffff,0xffffffec,
    0x01bdefff,0xffffffb8,0x25ffffff,0xfffffec9,0xffffffff,0x2002ffff,
    0xbffffffe,0xfffffff8,0x20002201,0xffffffe9,0x3ffffa65,0x3ffee5ff,
    0xffffffff,0x4003105f,0xdffffffc,0x7fff4c01,0x3fa25fff,0x205fffff,
    0xfffffffc,0xffec980d,0xffffffff,0x2fffffff,0xffffeda8,0xc984efff,
    0xfffffffe,0xffd3003d,0x300bffff,0xffffffd9,0xffffffff,0x76445fff,
    0xefffffff,0xfffec88c,0x81ceffff,0xb5000098,0xffffffff,0x7ffe407b,
    0xfffd4fff,0x3fa65fff,0x885fffff,0xffff9800,0xfdca84ef,0xffffffff,
    0x7fffffff,0x3fffffa2,0xfffff94f,0x3ffffa9f,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x980c0000,0x4cccccc0,0x98809999,0x41999999,
    0x99999998,0x20009999,0x99999998,0x99980009,0x31199999,0x33333333,
    0x99999833,0x26199999,0x99999999,0x65d40099,0x4cccc40a,0x99999999,
    0x41999999,0x99999999,0x73000009,0x4cccccc0,0x99999999,0x26609999,
    0x4cc41999,0x88000999,0x99999999,0x10000099,0x33331057,0x99880013,
    0x99999999,0x19999999,0x4cccccc4,0x26600999,0x33109999,0x13333333,
    0x97000000,0x4ccccc03,0x99999999,0x4cc09999,0x99999999,0x4ccccc40,
    0x5dd44019,0x99999801,0x00099999,0x55555550,0x32603555,0xfb0fff42,
    0x3ff6e25f,0x83dfffff,0xeffffec9,0x3ff6e20c,0x0bdfffff,0x3ff6e200,
    0x4007ffff,0xfffffffa,0xfffb712c,0x217bffff,0xfffffdb8,0xdb88bdff,
    0xdfffffff,0x97fd500b,0x7ffecdff,0xffffffff,0x7fffffff,0x7ffffee4,
    0x1defffff,0x41bf6600,0xfffffdb8,0xffffffff,0xffb12fff,0x7fe41fff,
    0x98002fff,0xffffffdc,0xceffffff,0x3ffe2000,0x7ffffe45,0x7edc4002,
    0xffffffff,0x0fffffff,0x3fffffaa,0x3b202dff,0xd733ffff,0xffffffff,
    0x0015bdff,0x40bfee00,0xfffffff8,0xffffffff,0x3ff620ff,0x1cffffff,
    0x77fffedc,0xffff700c,0x372205ff,0xffffffff,0x803dffff,0xfffffffe,
    0xfffb84ff,0x26bfff54,0xffb85fff,0xf8803fff,0xffc803ff,0x80002fff,
    0x2ffffffb,0x3ffff600,0x3fee00ff,0x7dc02fff,0x2a03ffff,0x404fffff,
    0xfff56ffa,0x26b3ff65,0x9effffc9,0x507ffb99,0x733fffff,0x403dffff,
    0x806fffea,0x9afffffb,0xfffda999,0x07fffec2,0x00bfffee,0xdffff900,
    0x7fffed4c,0xffff7002,0x2ffffb81,0x3ffee000,0xa99999ff,0xfc80fffe,
    0x2006ffff,0x3ff605fd,0xfca99eff,0x40003fff,0xf302fff9,0xd8333bff,
    0x502fffff,0x07ffffff,0x6403ffd8,0xffffffff,0x7fffe402,0xfffdba9f,
    0x3ffa00df,0x4fffffff,0x98ffffe8,0xfff14fff,0xfffff309,0x03ff3003,
    0x3ffffea0,0xdfa80000,0x1006ffff,0x0dffffbf,0x1fffffa8,0x7ffffcc0,
    0x3fffe201,0x3ffe202f,0x363fff35,0xffffb82f,0xf307f985,0xff88ffff,
    0x7f5c0fff,0x9806ffff,0x200fffff,0x7fe42fea,0x7ffd40ff,0x7dc0002f,
    0xff706fff,0xff7009ff,0xfffa81ff,0x3e60002f,0x2e00ffff,0xfffd00ff,
    0x3b6001ff,0x3fffee00,0xefffe886,0xfffd0001,0x807fea05,0x05fffffa,
    0x2fffffe4,0xf5013f20,0xffffffff,0x7ffd403f,0xffffc87f,0x3333100e,
    0xd0133333,0x3ae1ffff,0x2037aa0c,0x01fffff8,0x300077cc,0x001fffff,
    0xfff5f300,0x7b9003ff,0x980dffff,0x400fffff,0x00fffff9,0x07ffffe2,
    0x265fffb8,0x7dc1361b,0x0f705fff,0x21ffffe2,0x2a6ffffb,0x6ffffc9b,
    0xfffff880,0x2e17cc00,0x7cc0ffff,0x40002fff,0x206ffffa,0x400ffffe,
    0xf983ffe8,0x20002fff,0x00fffff9,0xff9807dc,0xf9804fff,0x7fffdc02,
    0xdffff106,0xfffc8001,0x803f502f,0x00fffffe,0x2fffffe8,0xdf00bf10,
    0xfffff959,0x7ffcc09f,0xffffd07f,0xf7000007,0x100009ff,0x401fffff,
    0xf98005fa,0x00007fff,0x3ffffaf3,0xffbaf804,0x7fcc06ff,0x7c400fff,
    0x7c00ffff,0x3201ffff,0x0ec06fff,0x05ffffb8,0x3ffe20f1,0xffff987f,
    0xdffff00f,0xfffff100,0xfb85d001,0x7fcc0fff,0x4c0002ff,0x3206ffff,
    0x3003ffff,0x3fffe601,0x3fe60002,0x0f800fff,0x3fffff60,0x5c02ec00,
    0x2e06ffff,0x2005ffff,0x02fffffa,0xfffc8097,0xff3003ff,0xdb01ffff,
    0xd881d500,0x2606ffff,0xf907ffff,0xa880bfff,0xc9800acb,0xff100002,
    0x3f201fff,0xfff30003,0x260000ff,0x1fffff77,0xfffbbd40,0x7ffcc06f,
    0x7fc400ff,0x7fc00fff,0x3f601fff,0x702406ff,0x240bffff,0x87ffff88,
    0x02fffff8,0x100dfffd,0x301fffff,0x3fee15c1,0x7ffcc0ff,0x7cc0002f,
    0x3ee06fff,0x80006fff,0x002ffff9,0x3ffffe60,0x803614c0,0x04fffff8,
    0x3ee003ea,0x3e206fff,0x8802ffff,0x02ffffcf,0x7ffcc039,0x7e4006ff,
    0x7dc5ffff,0xf300b800,0x7cc0dfff,0xff707fff,0x7fd40fff,0x001efebe,
    0x19999988,0x7ffffc40,0x000fec40,0x0fffff30,0x7c5e6000,0x3603ffff,
    0x0dffff73,0x0fffff98,0x7ffffc40,0x7ffffc00,0xfffd9981,0xfb80019e,
    0x88005fff,0xf887ffff,0xfd01ffff,0xff100dff,0x83901fff,0x07fffdc0,
    0x30bfffe6,0x20133333,0x206ffff9,0x106ffffb,0x30333333,0x2a25ffff,
    0xff9800bc,0x215c0fff,0x7ffe4009,0x007d01ff,0x01bfffee,0x00dffffb,
    0x5ffff1bd,0xfffb0060,0xfd0003ff,0x3ea5ffff,0xffd00001,0x7ffcc09f,
    0xffff907f,0x89bff209,0x44000fff,0x00fffffc,0x83ffffe2,0x40000ee8,
    0x007ffff9,0x7fe4f300,0x21f306ff,0x406ffffb,0x00fffff9,0x07ffffc4,
    0x07ffffe0,0x3ffffffe,0xffb8007f,0xf88005ff,0xff987fff,0xffd00fff,
    0xfff100df,0x803f01ff,0x4c0ffffb,0x3222ffff,0x301cffff,0x6c0dffff,
    0x9104ffff,0x981fffff,0xfe9affff,0x7cc03fff,0x16c0ffff,0x7fffc400,
    0x2006b85f,0x406ffffb,0x01fffffb,0x3ffe23b2,0xffa8002f,0x30004fff,
    0xf3ffffff,0x7ec00005,0x3fe602ff,0xfffd07ff,0x7fff303f,0x000effc8,
    0x00ffffd8,0x43ffffe2,0x80000ffa,0x007ffff9,0x7fc4f300,0x25c82fff,
    0x406ffffb,0x00fffff9,0x07ffffc4,0x07ffffe0,0x3bfffaaa,0xffb8002a,
    0xf88005ff,0xffb87fff,0x3ffa04ff,0xfff8806f,0x00fdc0ff,0x303fffee,
    0xf905ffff,0xfff9801d,0x3fffe06f,0x7ffec02f,0x7fffcc0f,0xffffdcfd,
    0x3fffe601,0x000be60f,0x0fffffdc,0x7dc005f1,0x7d406fff,0xf502ffff,
    0x0bfffe23,0xfffff100,0x7dc0001f,0x004fffff,0x07fffc00,0x0fffff30,
    0x209ffffb,0x7d41fffe,0xfc8004ff,0x3e200fff,0xffb8ffff,0xf980006f,
    0x00007fff,0xffffd8f3,0x3fee1f85,0x7fcc06ff,0x7c400fff,0x7c00ffff,
    0x3601ffff,0x20006fff,0x005ffffb,0x47ffff88,0x00effff8,0x201bfffa,
    0x10fffff8,0xfb803ff7,0x7fcc0fff,0x00de82ff,0x06ffff98,0x009ffffb,
    0x981ffff9,0x3a1fffff,0x3e605fff,0xff50ffff,0x7ffc0005,0x001766ff,
    0x80dffff7,0x83fffffa,0x3ffe23f8,0x7fe4002f,0x80002fff,0x02fffffe,
    0x3ffe6000,0x7fffcc05,0xfffeca9f,0xffff301d,0x06fffa81,0x0ffffb80,
    0x3ffffe20,0x04fffffe,0x7fffcc00,0x8f300007,0x21fffffa,0x7fffdc6a,
    0x7fffcc06,0x7ffc400f,0xffffffff,0x1fffffff,0x01bfff60,0x5ffffb80,
    0xffff8800,0xffffca9f,0x7fff400d,0xffff8806,0x1ffffeef,0x07fffdc0,
    0xb0bfffe6,0x7ffcc00b,0xfecaa9ef,0xf7002eff,0xff981fff,0x7ffe43ff,
    0x3fffe606,0x02ffffef,0x3fffea00,0x4000faaf,0x406ffffb,0x84fffff9,
    0x7fffc45e,0x3ffe6002,0x100005ff,0x01ffffff,0x3bfee000,0x7fffcc00,
    0xcfffffff,0x1fffee01,0x883fffe6,0xffb80cfc,0x3fe200ff,0xfffeefff,
    0x260002ff,0x0007ffff,0xfffd0f30,0x3ee1749f,0x7cc06fff,0x4400ffff,
    0xaabfffff,0xfffaaaaa,0x3ff601ff,0x3ee0006f,0x88005fff,0xffffffff,
    0xfd000bde,0xff100dff,0xfffb7fff,0xfffb803f,0x7fffcc0f,0xf3001722,
    0xffffffff,0xb8007fff,0x7cc0ffff,0x7fe42fff,0x3ffe606f,0x2ffecbff,
    0x7fff4000,0xb8003eef,0x4c06ffff,0x644fffff,0x7fffc40f,0x3fffa002,
    0x200001ff,0x05fffffb,0x03ffb000,0x3fffff30,0xdffff953,0x0ffff905,
    0x645ffff3,0xffb85fff,0x3fe200ff,0xfff99fff,0x30001fff,0x000fffff,
    0x3fee1e60,0xb8798fff,0x4c06ffff,0x400fffff,0x00fffff8,0x00fffffc,
    0x000dfffb,0x02ffffdc,0x3ffffc40,0x7fff4000,0xffff8806,0x007fea0f,
    0x981ffff7,0xbfb2ffff,0xffff9800,0xbfffff36,0xffffb800,0x17fffcc0,
    0x981ffff2,0x3a0fffff,0x7d40002f,0x0006ffff,0x80dffff7,0x23fffff9,
    0xfff881f9,0xfff7002f,0x800009ff,0x3ffffffa,0x1ffcc000,0x7ffff980,
    0x4fffff98,0x4c3fffec,0x3fe3ffff,0x7fdc0fff,0x3fe200ff,0xfff50fff,
    0x30001dff,0x000fffff,0x3fe21e60,0xb84cbfff,0x4c06ffff,0x400fffff,
    0x00fffff8,0x00fffffc,0x000dfffb,0x02ffffdc,0x3ffffc40,0x7fff4000,
    0xffff8806,0x200fcc0f,0x4c0ffffb,0xffdaffff,0x3fe6002f,0x3fff26ff,
    0x3ee003ff,0x7fcc0fff,0x7ffe42ff,0x3fffe607,0x000be20f,0x17ffffa0,
    0x7fffdc00,0x7fffd406,0x555df11f,0x9ffff755,0x7ffc4015,0x400006ff,
    0xfffffbf9,0x3fa0000f,0x3ffe6004,0xffff507f,0x3fffe45f,0xd17fffd4,
    0xff70ffff,0x7fc401ff,0x3ff20fff,0x98005fff,0x4007ffff,0x3f20f304,
    0xb80fffff,0x4c06ffff,0x400fffff,0x00fffff8,0x00fffffc,0x000dfffb,
    0x02ffffdc,0x3ffffc40,0x7fff4000,0xffff8806,0x5c01e80f,0x7cc0ffff,
    0xffffefff,0xfff3000f,0xffffe8df,0xfff7000f,0xffff981f,0x03fffe42,
    0x81fffff3,0xfc80002d,0x70005fff,0xb80dffff,0xf10fffff,0xffffffff,
    0x405fffff,0x02fffffd,0x4e880488,0x0bfffff5,0x0017ee00,0x40fffff3,
    0x2e6fffff,0xffa87fff,0x3ffea1ff,0x0ffffb83,0x3ffffe20,0x7fffff40,
    0x7ffcc004,0x41e2007f,0xffff1079,0x3ffee0bf,0x7ffcc06f,0x7fc400ff,
    0x7fc00fff,0x3f601fff,0x2e0006ff,0x8005ffff,0x007ffff8,0x06fffe80,
    0x0fffff88,0x7fdc01c8,0x7ffcc0ff,0x5ffffadf,0xdffff300,0x6fffff88,
    0x1ffff700,0x42ffff98,0x2607fffc,0x5c0fffff,0x32004882,0x0005ffff,
    0x80dffff7,0x226ffffc,0xffffffff,0x02ffffff,0x0bfffff5,0x17600f20,
    0x07fffffb,0x0605f980,0x03ffffcc,0x4cfffffb,0x7d40ffff,0x201507ff,
    0x200ffffb,0x40fffff8,0x2ffffff8,0x3fffe600,0x4c1ae007,0x3ffff607,
    0xdffff702,0xfffff980,0x7fffc400,0x7fffc00f,0x3fff601f,0x3fee0006,
    0xf88005ff,0x80007fff,0x8806fffe,0x980fffff,0x7fffdc00,0x97fffcc0,
    0x802ffffc,0xb86ffff9,0x804fffff,0x4c0ffffb,0x7e42ffff,0x3fe607ff,
    0x40c40fff,0x3ff2004b,0xf70005ff,0xff80dfff,0x3fe21fff,0xffffffff,
    0xf882ffff,0x800fffff,0x076402f8,0x3fffffe2,0x40bd1000,0xffff3068,
    0x7fffec0f,0x207ffec7,0x8003fffb,0x200ffffb,0x80fffff8,0x1ffffff9,
    0xfffff300,0x7982f400,0x81bffea0,0x406ffffb,0x00fffff9,0x07ffffc4,
    0x07ffffe0,0x006fffd8,0x17fffee0,0x3fffe200,0xffe80007,0xfff8806f,
    0xf70000ff,0xff981fff,0xfffd12ff,0xfff9801f,0xffffb06f,0xfffb803f,
    0x7fffcc0f,0x03fffe42,0x01fffff3,0xfc800fa0,0x70005fff,0x5c0dffff,
    0x4004ffff,0x202ffff8,0x03fffffc,0x7dc05f70,0xfffff500,0x267b600b,
    0x05eba999,0x40fffff3,0x4c5fffff,0x7fec3fff,0xffb8000f,0x3fe200ff,
    0xff701fff,0x3003ffff,0x001fffff,0x01e609f7,0x7dc07ffd,0x7cc06fff,
    0x4c00ffff,0x200fffff,0x01fffff8,0x001bfff6,0x05ffffc8,0x7ffff880,
    0xfffe8000,0xffff8806,0xff70001f,0xfff981ff,0x3fffe62f,0x7fffd405,
    0xfffff106,0x7ffdc01d,0x7fffcc0f,0x03fffe42,0x01fffff3,0x64003fb0,
    0x0005ffff,0x40dffff7,0x000efffe,0x817fffc4,0x06fffff9,0x2a03ff50,
    0x7ffec02f,0x7fe403ff,0xffffffff,0xdffff303,0x3ffffe60,0x30effa82,
    0x20001dff,0x201ffffc,0x01fffff9,0x3ffffffa,0x7fffd401,0x27fe401f,
    0x3ee00fa8,0x3fff200f,0x7ffd407f,0x7fcc01ff,0x3e201fff,0x3602ffff,
    0x20006fff,0x006ffffc,0x0fffff98,0x7fffc000,0xffff9807,0xff90001f,
    0xfff983ff,0x7fffe43f,0x3fffee03,0x3fffea07,0x3fff205f,0x7fffcc1f,
    0x07fffec3,0x1fffffa8,0x003ff620,0x06ffffd8,0xfffff700,0x1bfffb10,
    0xffff1000,0x3ffffa05,0x7fec401f,0x806f980f,0x1ffffff8,0xffffff50,
    0x205fffff,0x40fffffa,0x03fffff9,0x3ff7ffa6,0x3f60000d,0x3ee02fff,
    0x2e04ffff,0x1fffffff,0x3fffff20,0xeca999ae,0xfe883fff,0xd013e205,
    0x403fffff,0x03fffffc,0x1fffffe4,0x9fffff70,0x07ffff40,0xffffe800,
    0x7fdc000f,0x20002fff,0x02fffffa,0x27ffffdc,0xffffd800,0x27fffdc2,
    0x07ffffe2,0x0fffffec,0x9fffff90,0x0bffff60,0xe89ffff7,0xf901ffff,
    0x335bffff,0x0ffffb75,0x7ffffc40,0xffd8000f,0xeca9bfff,0x20002eff,
    0xb82ffff8,0x99dfffff,0xffcaa999,0x7fdc47ff,0xffff800f,0x7fcc0eff,
    0xffffffff,0xfff900ff,0xff953bff,0x22005dff,0x4c0001a9,0x5ffffffe,
    0x3ffffb22,0x3624efff,0xffffffff,0xffd931ef,0xffffffff,0x5fffffff,
    0x7ffffecc,0xda81c80d,0xfffffffe,0xfffd934d,0x219dffff,0xfffffec8,
    0xec88ceff,0xefffffff,0xffffd91c,0x36a00bff,0xffffffff,0x3fb6203d,
    0x5effffff,0xfffd9300,0x219dffff,0xfffffec8,0x8801ceff,0x5ffffffe,
    0xbffffffb,0x7fffffec,0xffffdb35,0x3a09dfff,0x31ffffff,0xbffffffd,
    0x3ffffff2,0xffffffd5,0x3fffb267,0xffffffff,0x406fffff,0xfffffdc8,
    0x200cdfff,0xfffffeca,0x0bdeffff,0xfff88000,0x7fffc42f,0xffffffff,
    0x6fffffff,0x3ffffff2,0xffffc83c,0xf15fffff,0xffffffff,0xed88ffff,
    0xffffffff,0x001cdeff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x02e00001,0x55400b80,0xaaaaaaaa,0x2aaaaa01,0x501aaaaa,
    0x55555555,0xaaaa9835,0x732aaaaa,0x55555555,0x37555555,0x20000000,
    0x000001fe,0x009f7000,0x02f32a20,0x10cccccc,0x80133333,0x000acba8,
    0x201665cc,0x388accb8,0x06f2ea20,0x33333310,0x4cccc413,0x33333310,
    0x26666623,0x42666219,0x22199999,0x71099999,0x1bcb8805,0x001bcb98,
    0x5106f2e2,0x26201799,0x4c419999,0x32a09999,0x1cb980ac,0x26666660,
    0x13333119,0x99999988,0x22199999,0x22099999,0x057101ca,0x0035c000,
    0x3000f980,0xffff801f,0x03ffffff,0x3ffffffe,0xffd03fff,0x9fffffff,
    0xffffffc8,0x00156fff,0x40001440,0x3fa001dc,0x97310001,0x7002d859,
    0xff50009f,0xf705ff79,0x3623ffff,0x2a06ffff,0x1efebeff,0x7ee7fcc0,
    0xefe981ef,0xf906fffc,0x05fffd9b,0x3fffffea,0x37ff660d,0xdfffff50,
    0x3ffffaa7,0x5ffd50bf,0x47ffffee,0xd6ffffd8,0xbfd507ff,0x3f21bfd7,
    0x2203ffce,0xeffeceec,0xffdbff99,0xffffc883,0x3fffaa0f,0xffffe8bf,
    0xffffd10e,0xfffc881d,0xfea8bfff,0x7ffdc1df,0xffffeeee,0xffffd50f,
    0x21fffea7,0x003ffffe,0x0001fe80,0x44007fc4,0x7ffc00fe,0x3fffffff,
    0x3fffffe0,0xfd03ffff,0xffffffff,0xfffffc89,0x0156ffff,0xa8814400,
    0xffb80acb,0x007fa007,0x3afbfe60,0x2005caef,0x7dc004fb,0x20bff23f,
    0x7c1ffffc,0xff906fff,0x807ffc4d,0x3ffe3ffa,0x2e37ec0f,0x21ff4c6f,
    0xf301fffe,0x3e01ffff,0x5ffff986,0x437fffc4,0x7ffe41f9,0xb7fffc1f,
    0x7fd45ffe,0x37ef7fc6,0xfd109ff5,0xfffffc87,0x6c0fff22,0x7d40ffff,
    0xfbcfdfff,0xbdf9dfff,0xf504ffff,0x1fc8dfff,0xffb07f70,0xfff987ff,
    0xfffff9bf,0x3fff3b21,0x3ea0000f,0x7ec0005f,0x0ffd800f,0x4cccccc0,
    0x26009999,0x99999999,0x33331009,0x88133333,0x99999999,0x40001509,
    0xbeffa828,0x3fe61efe,0x03fd000f,0x20effb80,0x2000fffe,0x3e6004fb,
    0x437fcc7f,0x6c1ffffa,0xff986fff,0x077fe43f,0xffb1ffe6,0x437fc47f,
    0x22ffe46c,0x3206fffc,0xf881ffff,0x1ffffb02,0x40ffffc8,0xffffa85b,
    0x9b7ffec1,0x3ffe62ff,0x1ffffdc2,0xffb03ffe,0x6ffff889,0x6407ffc4,
    0x7cc0ffff,0x3ea2ffff,0x3ee2ffff,0x3ff607ff,0x405f12ff,0xffffa85b,
    0xcffff886,0x227ffdce,0x00fffe24,0x00fffd80,0x01fffb00,0x000fffd8,
    0x00000000,0x2a000000,0x90a20000,0x7ffc4dff,0xe8017ee2,0x3fe2001f,
    0x0fffe44f,0x4009f700,0xfff85ffd,0x0ffffd43,0x3a1bfff6,0x7fd41fff,
    0x237fec4f,0x3ee3fffa,0xf13444ff,0x7fdc3fff,0x3ffe607f,0x2606a84f,
    0x7ec2ffff,0x416c3fff,0x6c1ffffa,0x3fb9efff,0x2607fffc,0x7f42ffff,
    0x3fffe24f,0x13fffe20,0x3ee13ffe,0x7fc40fff,0x7ffcc4ff,0x7fffcc3f,
    0xdffff100,0xd0370136,0xf103ffff,0x6549ffff,0x00ffe401,0x4ffff980,
    0x7fff4400,0x3a2099af,0x099affff,0x44333333,0x40099999,0x001bcba8,
    0x005e6544,0x03333331,0x14400015,0xfc87fff5,0x005eceff,0xf9000ff4,
    0xfffa87ff,0x013ee005,0x7c27ffcc,0x7ffd44ff,0x37ffec1f,0x503fffe6,
    0x7fccdfff,0x20efd85f,0x20effffb,0x707fff42,0xfd80ffff,0x016c0fff,
    0xf897fffa,0x3e26fffe,0x1ffffa80,0x4d77ffec,0x43fffcc0,0x6c1ffff9,
    0x7fff46ff,0x41ffffc0,0xffb85ffe,0x7ffc40ff,0x7fffcc3f,0x0ffffcc2,
    0xdbffff70,0xfff70100,0x3ffe20bf,0xdfd0007f,0x7ffec000,0x3fa2007f,
    0x5fffffff,0xffffffd1,0x3ffeebff,0xfffb11ff,0x66fe40df,0xa802fffe,
    0x02ffbcff,0x1fffff91,0x220000a8,0x507fffa2,0x0001bfff,0x7c4007fa,
    0x3fa22fff,0xf7001fff,0x3ffea009,0xfff9999d,0x0ffffd46,0xf71bfff6,
    0xfff30fff,0x17ffea1f,0x7fffc404,0x5b7102ff,0x07fffec4,0x47ffff50,
    0xfffb8078,0xfff7970f,0x7d416e3f,0x7fec1fff,0x3ffea06f,0xaffff887,
    0x47ffe999,0x7fd41dc8,0xe9999bff,0xfffb87ff,0x7fffc40f,0x17fffc43,
    0x807fffe6,0x02fffff8,0xfffff880,0xdffff100,0x01ff1000,0x3fffe200,
    0x951003ff,0x5557ffff,0x3ffff2a2,0x3ff22aab,0x7fffc1ff,0x743fe986,
    0x3ee01fff,0x80bff23f,0x540ffffd,0x54a20000,0x7d40ffff,0x266206ff,
    0xafe99999,0x21999999,0x3a1ffffa,0x312ffffc,0xf9333333,0x3333333b,
    0x3bfffee1,0x45eeeeee,0x6c1ffffa,0x7fe46fff,0xffff987f,0x00dfff92,
    0xffffffd8,0xfefc8804,0x7f400fff,0x201326ff,0x3d3ffff8,0x3a9ffff1,
    0x3ffff502,0x206fffd8,0xf887fffc,0xffffffff,0x75400fff,0xeeeffffd,
    0xb86eeeee,0x7c40ffff,0x7fc43fff,0x7ffcc2ff,0x7ffdc02f,0xffd8004f,
    0x3fe203ff,0xfd8004ff,0x37720001,0x4006ffff,0x200ffffa,0x500ffffa,
    0xfd83ffff,0x5ffc86ff,0x9837ffe4,0x37fcc7ff,0x81ffff90,0x4a20000a,
    0xf987fffb,0xffb00fff,0xffffffff,0x1fffffff,0x6c7fffee,0x53ffff8c,
    0xffffffff,0xffffffff,0x17fff27f,0x3ffff500,0x6c6fffd8,0xff987fff,
    0xffffb3ff,0xfffe8800,0x3f204fff,0x0ffffbaf,0x97fffdc0,0xfffb000f,
    0x7ffecd3d,0x3fea078f,0x7ffec1ff,0x1ffffa06,0x007fffe2,0xff9ff540,
    0xfb8003ff,0x7fc40fff,0x7ffc43ff,0x7fffcc2f,0xffffe802,0x3ffea000,
    0x7ffc406f,0x0fdc003f,0x9af80013,0x002fffff,0x803fffea,0x500ffffa,
    0xfd83ffff,0x7ffc46ff,0x1fffee1f,0x7fc2ffec,0xffff703f,0x20000a81,
    0x0ffff928,0x205ffff3,0xfffffffd,0xffffffff,0xffff90ff,0x3ffe2b93,
    0xfffff53f,0xffffffff,0x3f27ffff,0x7d4007ff,0x7fec1fff,0x3fffe46f,
    0xc97fffd4,0x8001ffff,0x1ffffffc,0xfb8f7f4c,0x7c400fff,0x005adfff,
    0x8f7fffea,0x04effffa,0xb07fffea,0x7ec0dfff,0xfff887ff,0xffc8003f,
    0x013fffa1,0x03fffee0,0x887ffff1,0x7cc2ffff,0xfb802fff,0x3a004fff,
    0x4401ffff,0x2003ffff,0x07b99afa,0xfffd35c0,0x7fd400bf,0x3fea00ff,
    0xfff500ff,0x6fffd83f,0x2e0fffe8,0xff987fff,0x04fff84f,0xa81ffff7,
    0x6ca20000,0xff987fff,0xfd0003ff,0x3ffee003,0xfff10ecf,0x13ee005f,
    0x07fffdc0,0x3ffff300,0x5c6fffd8,0xffa87fff,0xffff71ff,0x3fea0007,
    0x3fea3fff,0x3fffee2f,0xffffc800,0x3fe2001e,0x7ffc0fff,0x3fe601ff,
    0x7ffec1ff,0x1ffff206,0x013fffe2,0x743ffe88,0xb8006fff,0x7c40ffff,
    0x7fc43fff,0x7ffcc2ff,0xfffd802f,0xffb800ff,0x7c4085ff,0xf5003fff,
    0x00dfffff,0x3ffea3e8,0x7fd401ff,0x5fffffff,0x807fffd4,0x6c1ffffa,
    0xdb886fff,0x3ffff622,0x4efffd40,0x06fff999,0xa81ffff7,0x64a20000,
    0xffa87fff,0xfd0002ff,0x3ffea003,0x3ffe20ff,0x09f7000f,0x13fffea0,
    0x7fffcc18,0x237ffec1,0x540ffff9,0x3fe67fff,0x3b800fff,0x8affff4c,
    0x3ee0ffff,0xf8800fff,0xd8006fff,0xffc86fff,0x7ffcc07f,0x37ffec1f,
    0x30ffff50,0x201fffff,0x207ffe41,0x202ffffc,0x0ffffb81,0x21ffffc4,
    0x4c2ffff8,0x5c02ffff,0x05ffffad,0x07ffffc4,0x3fffe22c,0xffff9803,
    0x2a004fff,0x4fffff87,0x7ffe5440,0x7d42aabf,0xff500fff,0xfffd83ff,
    0xfefc8806,0x7fdc0fff,0xeeeeeeff,0xffff705e,0x20000a81,0x0ffff728,
    0x003ffff5,0x44007fa0,0x7cc2ffff,0x3ee007ff,0x3fffa004,0x7cc4a81f,
    0x3fa22fff,0xfffd86ff,0x21fffdc0,0x885ffffd,0xff103ea4,0x3fffea7f,
    0x03ffff21,0x01fffec0,0x41fffd40,0x4c04fff9,0x3a22ffff,0x7f406fff,
    0x7ffd40ff,0x225984ff,0x7cc0ffff,0x5980efff,0x40ffffb8,0x443ffff8,
    0x7cc2ffff,0x3e602fff,0x03ffffb0,0x41ffffec,0x7fffc478,0x99998803,
    0x36000999,0xfffffb83,0xffffa800,0x3fffea00,0x3ffff500,0x406fffd8,
    0xfffbaffc,0x2fffe40f,0xffffb800,0x10000540,0x03fffe65,0x000ffff5,
    0xf9000ff4,0xfffa85ff,0x013ee005,0xbfffffb8,0xff80fb88,0x3fffa4ff,
    0x3fff987f,0x2607ffec,0x9adfffff,0x217ea1eb,0xfff51ffd,0xffffd9ff,
    0xff50033f,0x3fe0001f,0x03ffd00f,0x229ffff0,0x407ffffe,0x7e42fffa,
    0x88cfffff,0x3ffea1ea,0xffea89df,0xf711efff,0x3ffff901,0x44ffff88,
    0x543ffff9,0xd103ffff,0x37fffcc7,0x86ffffa8,0x7ffc46e8,0x0000003f,
    0x3fe203e6,0xfa803fff,0x3ea00fff,0xff500fff,0xfffd83ff,0x23dfd306,
    0x640ffffb,0x70007fff,0x0a81ffff,0xfd8a2000,0x7ffdc0ff,0x07fa0003,
    0x44fff980,0x2000effc,0x7e4004fb,0x1fffffff,0xfdffff70,0x01ffffb9,
    0x3e61dff5,0xfff700ef,0x983fffff,0x9ff11cff,0xbffffff8,0x04fffff8,
    0x40009fd0,0x1bee05fc,0x77fffdc0,0x0ffffdcf,0xf137fd40,0xfffffdbf,
    0xfff885ff,0xe8aeffff,0xffffffff,0x5ffffb02,0x45ffffa8,0x645ffffa,
    0xe884ffff,0x7ffffc1f,0x1ffffe84,0xa8bff933,0x0004ffff,0x333f6000,
    0xffffcccc,0xfffa807f,0x3ffea00f,0xffff300f,0x86fffd83,0x3ee2fffa,
    0x7fdc0fff,0xfb8000ff,0x00540fff,0x7fcc5100,0x07ffec2f,0x55555530,
    0x55557ff5,0xffde8555,0x01dff11f,0x8004fb80,0x1cfffffb,0x9ffffe40,
    0x82fffffd,0xdffdffe9,0x7fffcc00,0xedf982df,0xea84ffef,0x3fee1dff,
    0x03ee004f,0x202f9800,0x3f2003f8,0xfffb3fff,0xfe9805ff,0x3f23ffef,
    0xf702dfff,0xd887ffff,0x81dfffff,0xffffffe9,0xffffff95,0x3fffff2d,
    0xfffffb6f,0x3fffa2bf,0xffffd9be,0xfff70eff,0xffffffff,0x7fffe4bf,
    0x00001dff,0x77777c40,0xffffeeee,0x7ffd402f,0x3ffea00f,0xffff300f,
    0x46fffd83,0x2e0ffff8,0x7d40ffff,0x40604fff,0x540ffffb,0x50a20000,
    0x77fccdff,0x7fffec00,0xffffffff,0xb90fffff,0x3ffbff62,0x4fb8001d,
    0x006a2000,0x00003510,0x10003531,0x22188035,0x0400801a,0x80002800,
    0x4000a802,0x800001a8,0x2a8809a9,0x2002a600,0x000000a9,0x00000000,
    0x00000000,0x32000000,0xffffd805,0x7fffd406,0xffff5021,0xffff3043,
    0x37fff445,0xc87fffea,0xfe80ffff,0x04a81fff,0xa81ffff7,0x20a20000,
    0xdffdffe9,0xeeeec800,0xeeeeeeee,0x010eeeee,0x80003531,0x000003ea,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa801f880,0x201fffff,0x732ffff9,
    0x52ffff98,0x24ffff87,0x547ffffe,0xfecfffff,0x5c19ffff,0x88bfffff,
    0xfff900fb,0x0000a83f,0x1a9880a2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1f200000,0x5ffffe80,0x6ffffec0,0xbffff905,
    0xdffff70b,0x1ffffb9f,0xbffffff8,0x84fffff8,0xfffffffc,0x3fff601f,
    0x0000542f,0x00000051,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2005f880,0x01fffffb,0x00677f64,0x2019dfd7,0xfb3ffffc,
    0x7545ffff,0x3fee1dff,0x3ffee04f,0xfd301cff,0x54bfffff,0xcccccccc,
    0xdccccccc,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4003ffa6,0x0efffffb,0x00400080,0x20001a88,0x51000400,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffe40,0xfffd902e,0x007fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x59000c01,
    0x98ae0310,0x3100001c,0x4c333333,0x00099999,0x200b2200,0x99886008,
    0x79510999,0x00000001,0xba880004,0x20039800,0x2e60002c,0x0b980000,
    0xb9801750,0xaca8800a,0x80aba800,0xeeeeeee9,0xeeeeeeee,0xdddd32ee,
    0xdddddddd,0x005ddddd,0x54005750,0x06072e20,0xeeeeb80c,0x213bbb60,
    0xaaaaaaaa,0xfffff30a,0xffffffff,0x7fccffff,0xffffffff,0x07ffffff,
    0x00000000,0x00000000,0xbb03f880,0x713ff500,0x2e5dffff,0x5dff50ff,
    0xffea8000,0xff714fff,0x00003bff,0x8807ffb5,0x75cb903f,0xfe9affff,
    0x09904fff,0x744016e0,0x7fec002f,0xfeb884ff,0x01ff7005,0x80bff100,
    0xffc81deb,0x07ffec1f,0x27ffffdc,0x7fb3bf50,0xff739b10,0xfffffa83,
    0xffffffff,0xff53ffff,0xffffffff,0x7fffffff,0x7dc1f6cc,0x401dffff,
    0x47fffa1f,0x3fa0efe8,0x0ffff41f,0xf11fffa2,0xffffffff,0x3ffffe63,
    0xffffffff,0x3fe67fff,0xffffffff,0x07ffffff,0x00000000,0x00000000,
    0xf305f900,0xffff900b,0xfdffffff,0x7ffe445f,0xf50001cf,0xdf709fff,
    0xeb880001,0x2200dfff,0xb83f906e,0xdcfdffff,0x7cc1ffff,0x17fdc04f,
    0x002ffd40,0x3fff97d9,0x02fff654,0x0027ffc4,0xf503ffcc,0xfff85fff,
    0x3fffe24f,0x767ffdc3,0x1ff985ff,0x4fd85ff1,0xaa88bff1,0xaaaaaaaa,
    0x1aaaaaaa,0x55555551,0x55555555,0x7fffc7fb,0x3ffbfee2,0x5c0befff,
    0x57fffea7,0xff53fffb,0x0fffc49f,0x221fff88,0xffffffff,0x2666661f,
    0x99999999,0x44441999,0x88888888,0x00088888,0x00000000,0x00000000,
    0xfb03ff10,0x3dffb009,0x817ffd44,0x2dfffeb8,0x7fffcc00,0x0000ee83,
    0x2fffff26,0x417f4400,0xfff985fb,0x3fffa1ff,0x704ffa85,0x3a2007ff,
    0xd871002f,0x5ffb81ff,0x0ffffc80,0x205ff800,0x7c5ffffe,0x3fe24fff,
    0x0bfea2ff,0xffd87ff5,0xbfd1bfe0,0x000037fc,0x3f200000,0x4bffff53,
    0x3ff260cf,0x3ffcdfff,0x553fffe6,0xfff32fff,0x200ffdc7,0x3fe24ff9,
    0x1fffffff,0x00000000,0x00000000,0x00000000,0xff900000,0x403ff983,
    0x3fe204fe,0xfffd9803,0xff8800cf,0x007642ff,0xdfffea80,0x21bfa002,
    0xff981ffa,0x7ffec3ff,0xb89ff506,0x000003ff,0xf704fe80,0x9ff980bf,
    0x675c05fe,0x3b223f70,0x1fffff91,0x3e17fff4,0x17f21fff,0x1ffe37dc,
    0x93181ffd,0x00000fff,0x3fc80000,0x227ffff3,0x3ffaa00f,0xffe85fff,
    0xd713f21f,0x8017ec19,0x000006f9,0x00000000,0x00000000,0x00000000,
    0x3bfe2000,0xa81ffec0,0x0ffa806f,0xffff7100,0x7ffc405b,0x2001722f,
    0x1cffffc9,0x217fec00,0xff305ffa,0xfffc85ff,0x5d3fea06,0x000003ff,
    0x817fe4c0,0x7ec05ffb,0x7c03ff54,0xf3688eff,0x3ff62bff,0x3fff20ff,
    0x3a3ffec0,0x41ff102f,0x07ffc7ff,0x1ffe3b66,0x55555551,0x55555555,
    0x20000355,0x3bff23fc,0x2e200710,0x02ea02cc,0x8005d000,0x000000e9,
    0x00000000,0x00000000,0x00000000,0x3bfee000,0x20bffe60,0x3fd003fc,
    0xfffb5000,0xfff8817d,0x400bf92f,0x0befffda,0x46ffd800,0xf301fff9,
    0xffc85fff,0x77fd407f,0x333103ff,0x33333333,0x10333333,0x707ffffb,
    0x7fd40bff,0xfd81bfa0,0xffcebfff,0x47e842ff,0xffb86ffa,0xf880ffc5,
    0xff1ffa0f,0x3fe7fa8f,0x7ffffd47,0xffffffff,0x0003ffff,0x01887f90,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,
    0xfffd8dff,0xc800fec1,0x3220003f,0x3e22ffff,0xfffcafff,0x7fffcc03,
    0x3f20001d,0x3ffe61ff,0x3fffe605,0x03fffe42,0xb01fffd4,0xffffffff,
    0xffffffff,0x3ff6601f,0x205ffb86,0x17fcc3fe,0x7fb55530,0x3e201553,
    0x4c27fc45,0x82fec3ff,0x07fe47fb,0x15ff8bff,0xeee98fff,0xeeeeeeee,
    0x02eeeeee,0x005d7000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd8000000,0x3fe63fff,0x800ff46f,0x260003fc,0x222ffffc,
    0xfffeffff,0x3fe600ff,0x10001cff,0xffd8ffff,0x3ffe602f,0x3fffe42f,
    0x027ffdc0,0xfffffffb,0xffffffff,0x7fc401ff,0x705ffb87,0x01ff20df,
    0x400f4f5c,0x02fe81fa,0x2ffa83ff,0x7f427f4c,0x7c41ff32,0x2fffddff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x27ffc400,0xf903fff6,0x007fa007,0x3bfffaa0,0x7fffc40b,
    0x05ffffad,0x77fff5c4,0xfffa8002,0x81bffa23,0x642ffff9,0x7dc07fff,
    0x0004ffdf,0x2fe40000,0x7c42ffdc,0x07ff102f,0x4fe9ff44,0x7e40fe60,
    0x3f60fb00,0x0effebef,0x0decfc88,0xdd53deb8,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5ffc8000,
    0x540fffcc,0x0ffa806f,0xffff7100,0x7ffc403b,0x7ffff92f,0x3fff6600,
    0x3ee000cf,0x3ffa20ff,0x5ffff302,0x207fffc8,0x9ff53ffb,0xf7000000,
    0x5c07ec1b,0x06fc86ff,0xff807fdc,0x70bff91f,0x7035405f,0x3fff220b,
    0x00800dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e200000,0x01ffd85f,0xff8813fa,0xfffd9803,
    0xff8800be,0x3fffa2ff,0x3ae2001f,0x7002dfff,0x6ff887ff,0x85ffff30,
    0xf707fffc,0x04ffa87f,0xf5000c40,0x981bbbff,0x31bfffea,0x9fd003ff,
    0x7ccfff10,0x4005cc6f,0x2e600400,0x000002bc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1df90000,
    0x6c02ff98,0x3ea21eff,0xfd7102ff,0x88005bff,0x3e62ffff,0x50006fff,
    0x017ffffb,0x7cc0ffc8,0xffff982f,0x43fffe42,0xff503ffb,0x0ffe2009,
    0x20135300,0x09999998,0x26200131,0xec85d901,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4077c400,0x7fe402fd,0xffffffff,0x3f222fff,0x0000cfff,
    0xc87ffff1,0x0004ffff,0x37fffee2,0x2a13f601,0xffff986f,0x23fffec3,
    0x7d403ff8,0x5ffa802f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07f501d9,0xeb8affa8,0xff92efff,0x00177fd4,0x27fffdc0,
    0x0bffffe2,0x3ff6a000,0x5407ec03,0x7fffdc2f,0x0fffff44,0x025400ea,
    0x00003d90,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03b10000,
    0x80dc00f2,0x0e4c3900,0xfffc8000,0x3ffa6fff,0x0005ffff,0x5b005910,
    0xfffc96e0,0xfffd4fff,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_37_latin_ext_x[560]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,2,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_37_latin_ext_y[560]={ 29,6,6,6,6,6,6,6,6,6,6,9,23,19,
23,6,6,6,6,6,6,6,6,6,6,6,13,13,10,14,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,34,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,8,13,13,13,13,13,13,6,6,6,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,13,7,6,10,6,
6,6,6,6,6,13,14,19,6,3,6,9,6,6,6,13,6,15,28,6,6,13,6,6,6,13,-1,-1,-1,0,
0,0,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,6,6,6,
5,6,6,5,13,13,6,6,5,6,6,6,5,6,6,6,6,6,5,6,6,10,12,6,6,5,6,6,6,6,
1,8,-1,6,6,13,-1,6,-2,5,-1,6,-1,5,-1,6,6,6,1,8,-1,6,-1,6,6,13,-1,5,-2,5,
-1,6,-1,6,6,5,-2,-2,6,6,0,6,1,8,-1,6,6,6,0,13,6,6,-2,5,6,6,13,-1,-1,6,
6,6,6,6,6,6,6,-1,6,6,13,-1,5,6,6,13,1,8,-1,6,-1,6,6,13,-1,6,6,13,-1,5,
-1,6,-2,5,6,13,-1,5,6,8,-1,6,6,8,0,6,1,8,-1,6,-2,5,-1,6,6,13,-2,5,-2,5,
0,-1,6,0,6,-1,5,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,11,8,8,8,8,8,8,8,8,8,8,8,8,8,2,13,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,1,-1,0,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-1,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_37_latin_ext_w[560]={ 0,7,14,17,15,30,26,6,10,10,14,19,7,11,
6,10,15,13,16,15,16,15,15,15,15,15,7,7,19,19,19,13,30,24,22,22,23,21,20,25,26,13,17,27,
22,31,24,24,20,24,25,17,21,24,24,34,24,24,22,8,10,7,16,19,8,16,18,14,17,14,13,16,17,9,
10,18,9,26,17,15,18,17,14,11,11,17,17,24,17,17,15,10,3,10,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,7,13,17,17,17,
3,15,11,25,11,17,19,11,25,19,13,19,10,10,8,18,19,6,6,8,11,17,24,24,25,14,24,24,24,24,
24,24,33,22,21,21,21,21,13,13,13,13,23,24,24,24,24,24,24,15,24,24,24,24,24,24,20,17,16,16,
16,16,16,16,23,14,14,14,14,14,10,10,11,11,15,17,15,15,15,15,15,19,15,17,17,17,17,17,18,17,
24,16,24,16,24,16,22,14,22,14,22,14,22,14,23,24,23,17,21,14,21,14,21,14,21,14,21,14,25,16,
25,16,25,16,25,16,26,17,26,17,13,11,13,11,13,11,13,10,13,9,28,17,17,12,27,18,18,22,10,22,
9,22,16,22,14,22,9,24,17,24,17,24,17,25,25,16,24,15,24,15,24,15,31,23,25,14,25,14,25,14,
17,11,17,11,17,11,17,11,21,11,21,17,21,11,24,17,24,17,24,17,24,17,24,17,24,17,34,24,24,17,
24,22,15,22,15,22,15,13,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,26,19,18,18,18,18,18,18,18,18,18,18,18,18,18,28,20,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,16,13,12,24,
15,24,17,24,17,24,17,24,17,24,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,24,16,33,23,24,15,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__times_bold_37_latin_ext_h[560]={ 0,24,12,24,26,24,24,12,30,30,13,18,12,5,
7,24,24,23,23,24,23,24,24,24,24,24,17,22,16,8,16,24,31,23,23,24,23,23,23,24,23,23,24,23,
23,23,24,24,23,30,23,24,23,24,24,24,23,23,23,30,24,30,13,3,6,17,24,17,24,17,23,24,23,23,
31,23,23,16,16,17,24,24,16,17,22,17,17,17,16,24,16,30,31,30,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,29,24,16,23,
31,31,6,24,10,16,8,5,24,3,12,18,13,13,6,24,31,6,8,13,11,16,24,24,24,24,30,30,30,29,
29,29,23,30,30,30,30,29,30,30,30,29,23,30,31,31,31,30,30,15,26,31,31,31,30,30,23,24,24,24,
25,24,24,25,17,23,24,24,25,24,23,23,24,23,24,23,24,24,25,24,24,15,18,24,24,25,24,31,31,31,
28,22,30,24,31,24,31,24,32,25,31,24,31,25,30,24,23,24,28,22,30,24,30,24,31,24,30,25,32,32,
31,31,31,31,30,32,31,31,23,23,29,23,28,21,30,23,31,31,29,16,24,31,32,32,30,30,16,30,30,30,
30,23,23,23,23,23,23,31,23,30,23,31,24,23,24,24,29,22,31,24,31,24,24,17,30,23,30,23,30,24,
31,24,32,25,30,23,31,25,32,30,30,24,23,22,30,24,29,22,31,24,32,25,31,24,31,24,32,25,31,32,
29,30,23,29,23,30,24,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,24,21,21,31,21,21,21,
21,21,21,21,21,21,21,21,21,21,26,19,21,21,21,21,21,21,21,21,21,21,21,21,21,28,17,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,30,25,30,24,31,
25,31,25,31,27,31,29,31,30,31,29,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,35,31,30,24,32,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_bold_37_latin_ext_s[560]={ 283,504,228,168,173,146,302,505,128,47,205,
187,220,385,321,155,124,194,448,492,383,93,238,254,392,490,504,503,76,281,37,
299,394,1,465,58,359,312,208,255,110,96,281,13,41,64,299,324,173,264,258,
461,151,417,392,194,423,334,400,339,131,502,188,397,376,283,350,256,257,207,137,
77,294,284,493,239,229,422,114,240,313,16,483,271,38,222,300,318,449,184,467,
27,508,322,328,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,283,186,1,
387,19,259,504,88,355,229,269,96,301,385,142,417,243,151,498,168,367,442,349,
348,505,179,257,1,367,33,431,224,66,333,358,314,289,339,443,105,383,414,482,
364,38,52,91,261,479,191,1,324,87,314,348,132,148,477,189,112,460,192,277,
128,111,94,349,60,43,445,388,365,475,460,412,445,126,420,408,1,376,402,345,
329,381,286,270,148,171,220,202,427,166,69,155,137,40,68,105,51,44,34,104,
140,167,366,308,1,423,397,436,68,19,332,108,85,217,462,130,477,471,109,239,
334,89,150,26,52,163,232,166,133,450,26,338,1,411,137,94,100,152,195,260,
152,275,412,177,174,115,76,77,58,57,24,495,1,485,315,298,236,207,59,477,
249,487,289,108,299,369,82,405,457,386,488,217,474,192,490,1,364,1,180,456,
165,405,361,242,420,190,287,396,431,214,275,208,274,286,25,380,26,431,239,448,
50,127,206,51,257,425,81,369,349,248,216,274,230,15,241,43,425,149,373,99,
222,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,275,112,112,69,
112,112,112,112,112,112,112,112,112,112,112,112,112,189,131,112,112,112,112,112,
112,112,112,112,112,112,112,112,65,343,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,216,317,
308,432,373,241,331,299,1,130,446,491,283,173,398,473,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,1,356,139,1,26,115,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112, };
static unsigned short stb__times_bold_37_latin_ext_t[560]={ 33,66,340,243,163,218,193,268,101,132,340,
316,340,340,340,193,193,292,292,163,292,193,193,193,193,193,292,243,340,340,340,
218,34,316,292,243,292,292,292,243,292,292,243,292,292,292,243,243,292,101,292,
243,292,243,243,243,292,292,292,101,243,34,340,340,340,316,218,316,218,316,292,
218,292,292,1,292,292,316,340,316,218,193,316,316,316,316,316,316,316,193,316,
101,1,66,340,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,33,243,163,
218,340,268,1,34,340,243,340,340,340,340,243,340,340,316,316,340,340,243,34,
340,281,340,340,340,243,243,218,218,101,66,66,132,132,132,268,101,66,101,66,
132,101,101,101,132,243,101,69,34,66,101,101,340,163,34,34,66,101,132,268,
218,218,218,163,218,218,163,316,268,193,193,163,193,268,268,193,292,193,268,193,
193,163,193,193,340,316,193,193,163,193,66,66,66,163,316,132,193,66,193,34,
193,1,163,1,193,1,163,101,193,268,218,163,316,132,163,132,163,1,193,132,
163,1,1,34,34,34,34,132,1,34,66,268,268,132,268,163,316,132,268,66,
34,132,316,218,66,1,1,132,132,340,132,101,132,101,268,268,268,268,268,268,
34,268,101,268,34,218,268,218,218,132,292,66,218,66,218,243,316,101,268,66,
268,66,193,66,193,1,163,101,268,34,163,1,66,66,218,268,316,66,218,132,
316,34,218,1,163,34,243,34,243,1,163,34,1,163,101,268,132,268,101,243,
268,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,218,316,316,34,
316,316,316,316,316,316,316,316,316,316,316,316,316,163,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,163,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,101,163,
66,193,1,163,1,163,37,163,1,132,1,101,1,132,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,1,1,101,218,1,243,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316, };
static unsigned short stb__times_bold_37_latin_ext_a[560]={ 134,178,297,267,267,535,445,149,
178,178,267,305,134,178,134,149,267,267,267,267,267,267,267,267,
267,267,178,178,305,305,305,267,497,386,357,386,386,357,327,416,
416,208,267,416,357,505,386,416,327,416,386,297,357,386,386,535,
386,386,357,178,149,178,311,267,178,267,297,237,297,237,178,267,
297,149,178,297,149,445,297,267,297,297,237,208,178,297,267,386,
267,267,237,211,118,211,278,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,134,178,267,267,267,267,118,267,
178,399,160,267,305,178,399,267,214,293,160,160,178,308,289,134,
178,160,176,267,401,401,401,267,386,386,386,386,386,386,535,386,
357,357,357,357,208,208,208,208,386,386,416,416,416,416,416,305,
416,386,386,386,386,386,327,297,267,267,267,267,267,267,386,237,
237,237,237,237,149,149,149,149,267,297,267,267,267,267,267,293,
267,297,297,297,297,267,297,267,386,267,386,267,386,267,386,237,
386,237,386,237,386,237,386,392,386,297,357,237,357,237,357,237,
357,237,357,237,416,267,416,267,416,267,416,267,416,297,416,297,
208,149,208,149,208,149,208,149,208,149,440,295,267,178,416,297,
297,357,149,357,149,357,251,357,211,357,149,386,297,386,297,386,
297,390,411,297,416,267,416,267,416,267,535,386,386,237,386,237,
386,237,297,208,297,208,297,208,297,208,357,178,357,279,357,178,
386,297,386,297,386,297,386,297,386,297,386,297,535,386,386,267,
386,357,237,357,237,357,237,149,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,395,416,416,267,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,296,416,416,416,416,416,416,
416,416,416,416,416,416,416,425,321,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,386,267,208,149,416,267,386,297,386,297,386,
297,386,297,386,297,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,386,267,535,386,416,267,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_37_latin_ext(stb_fontchar font[STB_FONT_times_bold_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_37_latin_ext_s[i] + stb__times_bold_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_37_latin_ext_t[i] + stb__times_bold_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_37_latin_ext_x[i];
            font[i].y0 = stb__times_bold_37_latin_ext_y[i];
            font[i].x1 = stb__times_bold_37_latin_ext_x[i] + stb__times_bold_37_latin_ext_w[i];
            font[i].y1 = stb__times_bold_37_latin_ext_y[i] + stb__times_bold_37_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_37_latin_ext_s[i] + stb__times_bold_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_37_latin_ext_t[i] + stb__times_bold_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_37_latin_ext_x[i] + stb__times_bold_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_37_latin_ext_y[i] + stb__times_bold_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_37_latin_ext_LINE_SPACING
#endif

