// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT        424
#define STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_41_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_41_latin_ext_LINE_SPACING          27

static unsigned int stb__times_bold_41_latin_ext_pixels[]={
    0x3fff6000,0x2000002f,0x00099998,0x00000000,0x02eeed80,0x33333000,
    0x00060001,0x02aaaa00,0xb0000000,0x80007ddd,0x00000018,0x27775c00,
    0x08800000,0x20000000,0x000001b8,0x003bbba6,0x00fff900,0x7ffc4000,
    0x006fffff,0x4cc00000,0x00000199,0x002fffa8,0x10cf9800,0x000001d9,
    0x7ffc4000,0x4000003f,0x001ffffd,0x00016000,0x3fffee00,0xff880007,
    0xc98005ff,0x7cc00001,0x40005fff,0x2000cfda,0x00fffffa,0x8817e200,
    0x8000006e,0x01fffff8,0x1fc80000,0x0000bee0,0x05dfdf90,0xfffd0000,
    0xf700009f,0x2000003f,0xfffffff8,0x0000006f,0x13fffea0,0x3f200000,
    0x2000001f,0x01ffdffb,0x19fb3000,0x3ffea000,0x44000003,0x0001ffff,
    0x000bea00,0xffff8800,0x5c0003ff,0xb8006fff,0xfd000005,0x0003ffff,
    0x001ffffc,0x09fffffd,0x40efb800,0x00002ff9,0xfffffd80,0x88000006,
    0x05fd82ff,0x897d4000,0x5400006d,0x00ffffff,0x004fa800,0x2aaaa000,
    0x0002aaaa,0x3ff60000,0x0000004f,0x000001dd,0x005fffb0,0x2ffff400,
    0x03ffd800,0xffb80000,0x4000002f,0x000005fd,0x3ff3fff2,0x3fa0000f,
    0x2e8000ef,0xffa80000,0x0005ffff,0x00fffff5,0x3ff3ffee,0x7fc0000f,
    0x00bff50e,0xfff30000,0x0005fff9,0x27ff7000,0x0001ffe8,0x07e226c0,
    0xdffe8000,0x20005ffe,0x00004220,0x00010080,0x7fc40000,0x8000005f,
    0x00004130,0x02333080,0x3ffe6000,0x7c4000ff,0x0000004f,0x00005ffb,
    0x01fff980,0xeff88000,0x0009ff70,0x0003bfe2,0x000f77e6,0xe8bffe80,
    0xf98002ff,0xf8805fff,0x09ff51ef,0xcfffb800,0x00001fff,0xf32ffe80,
    0x000000df,0x3fff7ffe,0x3e800004,0x700002f8,0x3ff629ff,0x44fd8001,
    0x400002fe,0x017f44fd,0xfa800000,0x8000005f,0x017f44fd,0xd13f6000,
    0xff00005f,0xf5000dff,0x20000009,0x00002ff8,0x04fffd80,0x85fd8000,
    0xb8000ffa,0xf30000ef,0x00003fff,0x7ec43ff7,0xfffb0006,0x81bf9003,
    0x40001ff9,0x04fffffe,0xefa80000,0x0017f441,0x7ffdc000,0x00000fff,
    0x003d46b8,0xc83ff880,0x6ff8005f,0x00017fe6,0x7fccdff0,0x00000005,
    0x00000bfb,0xff99bfe0,0x7fc00005,0x0017fe66,0x00bffee0,0x00000620,
    0x0003fb80,0xffff8800,0x2600000f,0x013e604f,0x00003ba0,0x0001fffd,
    0xf900ef88,0x00a20005,0xbd1027cc,0xfffa8000,0x000000ff,0xdb100df8,
    0x3a000000,0x0003ffff,0xfb7ff100,0x3f200009,0x0007ee01,0x01dc85b5,
    0x216d4000,0x000001dc,0x0005f880,0x90b6a000,0xa800003b,0x000ee42d,
    0x20002880,0x0002dfd9,0x00000000,0x3fffff20,0x80000003,0x00000018,
    0x00076e20,0x77002a60,0x00000000,0x6c0000c4,0x00003eee,0x000c0000,
    0xeeea8000,0x44000005,0x00001deb,0x00008800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ff2b7ea,0x00000000,0x3ffe0005,
    0x00007fff,0x26000000,0x00000bec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc880000,0xcccccccc,0x6664c2cc,
    0x3224cccc,0xcccccccc,0x664c2ccc,0x004ccccc,0x80000000,0xccccccc8,
    0x4c2ccccc,0x4ccccccc,0x33333322,0x42cccccc,0xccccccc9,0xd8000004,
    0x000035c4,0x3fffb6e2,0x0fc80bce,0x7fefdc00,0x00002fff,0x6fff764c,
    0x902cc0ab,0x001ff7bf,0x0001a988,0x3ffb2e60,0x1dc0bdef,0x7fffffcc,
    0xffdb7005,0x0015417d,0x37b72a62,0x950009ac,0x99999999,0x66666549,
    0x80cccccc,0x12ccccca,0x99999999,0xc9859999,0x24cccccc,0xccccccc8,
    0x4c2ccccc,0x4ccccccc,0x666665c0,0x0ccccccc,0x3ffffaa6,0x4409aeff,
    0x1befffba,0x7ffff54c,0x4409aeff,0x1befffba,0x3332a000,0xcccccccc,
    0xcccccccc,0xfea982cc,0x9aefffff,0x7ffdd440,0x7f54c1be,0x9aefffff,
    0x7ffdd440,0xfff101be,0x4400ffff,0x000fc41f,0x6fffec40,0xcffffdac,
    0xd0003f70,0xdfffff59,0x3fae0000,0xfecdffff,0x205eacef,0x9801f42f,
    0xeefefffd,0x9804eeee,0xaacdfffe,0xfbbeffec,0xffffb103,0xdffe980b,
    0xebdffcaa,0x3fff2002,0xfffecace,0xfffd9803,0x221bffff,0xffffffea,
    0xfd7101af,0x7f54c39f,0x9aefffff,0x7ffdd440,0x7f54c1be,0x9aefffff,
    0x7ffdd440,0x5cc401be,0xefffffff,0xffff101a,0x3ea001ff,0x7ffc400f,
    0xf5000fff,0x3100001f,0xffffffd5,0xffffffff,0x4409ffff,0x00ffffff,
    0x8801ff50,0x00ffffff,0x2001ff50,0x007ffffb,0x001ea1f4,0x0bfffea0,
    0x7e7fffd4,0xd0fa8002,0x003fffff,0x7fffec40,0xfffb80ad,0xd70f505f,
    0x19fff700,0x3ffffff2,0x3fff2205,0x3ff6601e,0x3fee03ff,0x3fe605ff,
    0xfffc880e,0xfffe9803,0x3dffd302,0xfffffb00,0x7fff440d,0xbf5004ff,
    0x7ffffc40,0x1ff5000f,0xfffff880,0x1ff5000f,0xffff3000,0xfff001ff,
    0x7c400fff,0xfffff006,0x037c400f,0x76fdc000,0x9307ffff,0xff809fff,
    0x22007fff,0xffff006f,0x37c400ff,0xfffff100,0xa8afb800,0x7ec0004e,
    0x7cc01fff,0xb0006fff,0x7ffffdcb,0xfff30005,0xfb1005ff,0x903e60bf,
    0x7fffb80b,0x4cf7ffc4,0xdffff500,0x1fffdc00,0x0bffff30,0x700bffa2,
    0xffc807ff,0x7fc403ff,0x7fcc04ff,0x2a00ffff,0x006fffff,0xfff803f5,
    0x3e2007ff,0xfffff006,0x037c400f,0xfffff880,0xfffff006,0x005f800f,
    0x00ffffff,0x800005f8,0xffffe8fc,0x027fd407,0x01fffffe,0x3fe00bf0,
    0x7c007fff,0x7fffc005,0x7fe44007,0x2e0000cf,0x9005ffff,0x8005ffff,
    0x3ffe21f9,0x44000fff,0x004fffff,0xde817fa2,0x7c405f50,0xffd84fff,
    0x3ffe203f,0x7dc000ef,0x3ffe603f,0x0fff905f,0xfb80ff60,0xf9004fff,
    0xfd807fff,0x7c02ffff,0x801fffff,0xffff806c,0x02fc007f,0x07fffff8,
    0xf0002fc0,0x200dffff,0x007fffff,0xfff80274,0x274007ff,0x4fe60000,
    0x807ffffe,0x7ffc04fa,0x274007ff,0x7fffff80,0x20027400,0x0007ffff,
    0xa80005f5,0x001fffff,0x01fffff3,0x7fe42ec0,0x74004fff,0x8005ffff,
    0x3faa05f8,0x7fd404fe,0xfffd84ff,0x3ffffa06,0x07f90003,0x82ffffcc,
    0x8800fffd,0xffff103f,0x3fe2001f,0x3ea00fff,0x6405ffff,0x804fffff,
    0xffff803e,0x0274007f,0x07fffff8,0xf0002740,0x200dffff,0x007fffff,
    0xfff80274,0x274007ff,0xe9b60000,0xf007ffff,0xfffff809,0x80274007,
    0x007fffff,0x3fe00274,0xfb0007ff,0xfff8000b,0x3fa006ff,0x1005ffff,
    0xffff105f,0x3f2001ff,0x0000ffff,0x017300bb,0x07ffff70,0x701ffff9,
    0x001fffff,0xf980fe20,0xfff05fff,0x40f200bf,0x006ffffe,0x02ffffec,
    0x03fffffa,0x7fffff88,0x7c007cc0,0x4007ffff,0xffff004e,0x04e800ff,
    0x3ffffe00,0xfffff006,0x004e800f,0x00ffffff,0x200004e8,0x3fffa1fa,
    0x04c8b07f,0x03fffffc,0x7fc013a0,0x74007fff,0x7fffc004,0xfff98007,
    0xfff50001,0x3f6007ff,0x02fffffd,0x3ff606c8,0xf8803fff,0x0006ffff,
    0x2aa6016a,0x7fffd401,0x0ffffc83,0x2fffffcc,0x980f2000,0xff05ffff,
    0x7500bfff,0x7fffff70,0xffffc800,0x3ffee02f,0x7ff404ff,0x17202fff,
    0x3fffffc0,0x7c013a00,0x4007ffff,0x3fe0004e,0xff006fff,0xe800ffff,
    0xfffff004,0x004e800f,0xfe89f100,0x45987fff,0x7fffc038,0x0274007f,
    0x07fffff8,0x3e002740,0xd8007fff,0xb0004fff,0x005fffff,0xffff53f9,
    0x55bf009f,0xfff95555,0xff700dff,0x8000bfff,0xffffd701,0x7ffc05df,
    0x6fffd85f,0x4fffffc8,0x30144000,0x360bffff,0x02ffffff,0xfffffd80,
    0x7ffd4001,0x3fe205ff,0x7f407fff,0xf105ffff,0x3fffe005,0x0274007f,
    0x07fffff8,0xf0002740,0x200dffff,0x007fffff,0xfff80274,0x274007ff,
    0xe86c8000,0x5b87ffff,0xfffff800,0x80274007,0x007fffff,0x3fe00274,
    0x7c4007ff,0x4000ffff,0x2ffffff8,0xff997dc0,0x7dc06fff,0xffffffff,
    0x02ffffff,0x1ffffffc,0x3fa60000,0x3ffff50b,0x21bfff60,0xfe83fffe,
    0x0003ffff,0x7fffcc00,0xfffff705,0x7c005dff,0x001fffff,0x37ffffcc,
    0x3fffff60,0xfffff302,0x00f501ff,0x03fffffc,0x7fc013a0,0x74007fff,
    0x3ffe0004,0xfff006ff,0x4e800fff,0xffffff00,0x0004e800,0xffe82f98,
    0x005e87ff,0x07fffff8,0xff802740,0x74007fff,0x7fffc004,0x7ffe4007,
    0x7cc003ff,0x201fffff,0x3ffe23fa,0x01f407ff,0x37ffffd4,0xffffff10,
    0x7c400005,0x7ffe40ff,0xfffd880f,0x417ffe60,0x02ffffff,0x7fcc0000,
    0xffd105ff,0x3dffffff,0xfffff880,0x7fc4000f,0x2a00ffff,0xb05fffff,
    0x7fffff9b,0x7fc009b0,0x74007fff,0xfffff004,0x004e800f,0x1bffffe0,
    0x3fffffc0,0x7c013a00,0x4007ffff,0x5e80004e,0x8fffffd0,0xff8005fb,
    0x74007fff,0xfffff004,0x004e800f,0x003ffffc,0x1ffffffe,0xfffff500,
    0x113e601f,0x03ffffff,0x7fc003ea,0xf301ffff,0x001fffff,0x1fffe400,
    0x80ffffee,0xffbafffb,0xffff304f,0x000003ff,0x05ffff98,0x3fffffe2,
    0x500dffff,0x01ffffff,0xfffff880,0x7fff401f,0x4d7c40ff,0x446fffff,
    0x3ffe001f,0x274007ff,0x7fffff80,0x00027400,0x00dfffff,0x01fffffe,
    0x3fe009d0,0x74007fff,0x07dc0004,0x9fffffe8,0x8005fffb,0x007fffff,
    0xfff80274,0x274007ff,0x1ffffe00,0xfffdfb80,0x3ee002ff,0xd107ffff,
    0xfffff10b,0x8017a05f,0x05fffffb,0x0ffffff7,0xfffe8000,0x27fffd47,
    0x37bbbea0,0x3ffea00b,0x00000fff,0x2ffffcc0,0x3ffffe60,0x81ffffff,
    0x07fffffb,0xfffff880,0x7ffdc02f,0xfd3dc4ff,0x35c3ffff,0x3ffffe00,
    0x80274007,0x007fffff,0xff000274,0x3e00dfff,0x4007ffff,0xffff004e,
    0x04e800ff,0xe80be200,0xffffffff,0xff8005ff,0x74007fff,0xfffff004,
    0x004e800f,0x003ffffc,0xfffff59d,0x7ffd400d,0x0ee887ff,0xffffff88,
    0x2002fa82,0x1ffffff8,0xffffffb8,0x3ee00000,0x7ffd45ff,0x01d9104f,
    0xfffff500,0x8000001f,0x806ffff9,0xffffffd8,0x7d42ffff,0x8007ffff,
    0x2ffffff8,0x7ffffc40,0xfff71f47,0x001f49ff,0x01fffffe,0x3fe009d0,
    0x74007fff,0x3ffe0004,0xfff006ff,0x4e800fff,0xffffff00,0x0004e800,
    0x3bbbbbf6,0xffffffee,0x005ffda9,0x07fffff8,0xff802740,0x74007fff,
    0x7fffc004,0x3a1f5007,0x001fffff,0x1ffffff1,0xff100fd8,0xf883ffff,
    0x7fec002f,0xffa85fff,0x0001ffff,0xb105ed40,0xf109ffff,0x3e20007f,
    0x401fffff,0x99999998,0x7dc09999,0x26007fff,0xfffffffe,0x3ffe60ff,
    0x44000fff,0x01ffffff,0x2fffffd8,0x7ffc41f5,0x001f37ff,0x07fffff8,
    0xff802740,0x74007fff,0x3ffe0004,0xfff006ff,0x4e800fff,0xffffff00,
    0x0004e800,0x555557f5,0xffffff55,0xf8005fc8,0x4007ffff,0xffff004e,
    0x04e800ff,0x03ffffc0,0x3ffee5d8,0x3fe005ff,0x3f21ffff,0x3fffe601,
    0x3ffa60ff,0x7fff4006,0x7fcc3fff,0x0002ffff,0x7f7e4400,0xffb84fff,
    0xfff0000d,0xb9805fff,0xfffffffd,0x7ffe40ce,0x754001ff,0x4fffffff,
    0x3fffffe2,0x7ffcc001,0xff5007ff,0x2176bfff,0xcafffffd,0xffff8005,
    0x0274007f,0x07fffff8,0xf0002740,0x200dffff,0x007fffff,0xfff8027c,
    0x27c007ff,0x401fc400,0xe87ffffe,0xffff8005,0x027c007f,0x07fffff8,
    0x3e0027c0,0xf9807fff,0x3ffffe21,0xfffd000f,0x00bee5ff,0x4dfffff3,
    0xeffffffc,0xffffb501,0x23ffffff,0x3ffffff8,0xf9100000,0x9ffff55f,
    0xffffffd0,0x017bddff,0x07fffffb,0x7ffffe40,0xfffff986,0x401c5fff,
    0x6ffffffa,0x17fffffc,0x3fffe600,0x3ffa006f,0xa81fafff,0x2fefffff,
    0xfffff800,0x8027c007,0x007fffff,0xff00027c,0x3a00dfff,0x4007ffff,
    0xfffd003f,0x03f800ff,0xfd006c80,0x0b90ffff,0xfffffd00,0xd003f800,
    0x800fffff,0x7ffc003f,0xc85d807f,0x004fffff,0x57fffff9,0xfff7007f,
    0x000007ff,0xffb00bee,0x00009fff,0x2a3fff50,0xfe84ffff,0xffffffff,
    0x7dc2ffff,0x2004ffff,0x04fffffa,0x0f1027dc,0x3ffff620,0x7ffffe47,
    0x7ffdc002,0x3ee003ff,0x206fffff,0x07ffffff,0xfffffd00,0xd003f800,
    0x800fffff,0xf814c03f,0xd005ffff,0x400fffff,0xffd002f8,0x7c400fff,
    0x00fcc002,0x87ffffe8,0x3a03505a,0x2007ffff,0xffd002f8,0x7c400fff,
    0x7fffc002,0x4417c407,0x00ffffff,0xdfffff88,0xfffb004f,0x000001ff,
    0xff300bfb,0x0000dfff,0x2a1fffc8,0xfb84ffff,0xffffffff,0x260fffff,
    0x005fffff,0x0fffffea,0x2200ffc8,0xffd1002f,0xffff88ff,0x7fec004f,
    0x22000fff,0x03ffffff,0x13fffff2,0x7ffff400,0x00be2007,0x03fffff4,
    0x7f405f10,0x7fffc0ff,0xfffb005f,0x0fd400ff,0x7ffffd80,0x0007ea00,
    0x7ff4009d,0x3a0b07ff,0xfffffb00,0x800fd400,0x007ffffd,0xff0007ea,
    0x06c80dff,0x0ffffff6,0x7ffffd40,0x3fffe005,0x9800004f,0xffd003ff,
    0x40003fff,0x51bffee0,0x2a09ffff,0xffffffff,0x643fffff,0x000fffff,
    0x07fffff5,0xf1017fe2,0x7ffd4009,0xfffffc86,0x3fffa000,0xffd8003f,
    0x7fc407ff,0xb0001fff,0x400fffff,0xffb001fa,0x7d400fff,0x7ffff301,
    0x2fffffc4,0xfffffa80,0x400fb001,0x01fffffa,0xfb800fb0,0x3fffa000,
    0x81ea007f,0x01fffffa,0x7d400fb0,0xb001ffff,0xffff000f,0xaaadf80d,
    0xffffcaaa,0x3ff6006f,0xff5002ff,0x00000dff,0x4401bff2,0x005fffff,
    0x7fffc3b0,0x27fffd45,0x666f7e44,0xfffedccc,0x3ffffd85,0xfffff500,
    0x03ffee07,0x1001ff88,0xff109fff,0x2a007fff,0x0006ffff,0x009ffff5,
    0x000dfffd,0x0fffffd4,0x2a007d80,0x001fffff,0x7ffdc0fb,0x3fffe24f,
    0xfff1003f,0x7f7009ff,0x7fffc400,0x03fb804f,0xd000fe20,0x400fffff,
    0x3ffe206d,0x3fb804ff,0x3fffe200,0x03fb804f,0xfffd3754,0x7fffdc0b,
    0xffffffff,0xf1002fff,0xd001ffff,0x0001ffff,0x07fff200,0x7ffffd40,
    0x43f62003,0x31fffff9,0x889ffffd,0xffb006ff,0xffffd109,0xffff5001,
    0x3ffee07f,0x03ffe203,0x403ffea0,0x006fffe9,0x001dfffd,0x007fff40,
    0x001fffd4,0x9fffff10,0x4007f700,0x04fffff8,0x3e603fb8,0x3fe20fff,
    0x2a001fff,0x204fffff,0xfa8005fa,0x2a04ffff,0x0374005f,0x7fffff40,
    0x02fec400,0x13ffffea,0xa8005fa8,0x204fffff,0xffe805fa,0x407fffb1,
    0xfffa803e,0x3f6006ff,0x7ec05fff,0x00001eff,0x0bfffea0,0x7ffffd40,
    0x20dfa803,0xeffffff8,0x9effffdf,0x2009ff73,0xfb102ff9,0xfa801dff,
    0xf303ffff,0x3e205fff,0x7f400eff,0x7fec402f,0x7ffe404f,0xffb80005,
    0x1fff1005,0xfffa8000,0x17ea04ff,0x3fffea00,0x017ea04f,0xff513ffa,
    0xf70007ff,0x559dffff,0x4000bffb,0xcefffffb,0x005ffdaa,0x7c002fe4,
    0x200fffff,0xb804ffe9,0xacefffff,0x0005ffda,0x3bffffee,0x05ffdaac,
    0x3f63ffb0,0x003ea06f,0x0ffffffc,0x7fe57e40,0xfd710adf,0x000009ff,
    0x3fffff20,0x7fec402d,0xb99abfff,0xffb03ffd,0x3fa3dfff,0xff30ffff,
    0x3fd8803f,0xcffffa80,0xffffc980,0x3ffee01e,0x3fe22def,0x6d40bfff,
    0x3ee003ff,0x36a21dff,0x00003fff,0x64005ff1,0xf700005f,0x559dffff,
    0x4000bffb,0xcefffffb,0x005ffdaa,0x3a23dff1,0x20004fff,0xffffffd8,
    0x80002eff,0xffffffd8,0x22002eff,0x2001fffb,0xeffffffa,0xffecbaab,
    0xfb1003ff,0xdfffffff,0xfb100005,0xdfffffff,0x67fcc005,0x3a00fff9,
    0x3ffee005,0x17dc05ff,0xfdffff71,0x00017dff,0xfffb8000,0xf93002ef,
    0xdfffffff,0x7fe4403b,0x6fff544e,0x567ffdc1,0x3ffdca9a,0x7fff6400,
    0xdffffeef,0xff93000b,0x4dfc439f,0xffdeffda,0xc98000df,0xfffefffe,
    0x400001cd,0x17cc006d,0xffb10000,0x5dffffff,0xffb10000,0x5dffffff,
    0xfffc8800,0x0003dfff,0x55995510,0x51000001,0x00155995,0xffffffa8,
    0xffdc882e,0xffffffff,0xffffffff,0x5544002f,0x0000aacc,0xaccaa880,
    0xdb50000a,0x7d40159f,0x3ffe2002,0x7f101fff,0x55654c40,0x00000001,
    0x20000a98,0x001acaa9,0x00440088,0xdffddb51,0x8800059d,0x19abcbaa,
    0x0e018000,0x004d6554,0x15751000,0x29800000,0x00004800,0x55995510,
    0x51000001,0x00155995,0x01ba9880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x017fc400,0x3fffff60,0x00000205,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffa6000,0x7fff4006,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff900000,0x203dffff,0xffffffda,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02200000,0x00000000,
    0x0000000c,0x02880000,0x6c0000a8,0x00003eee,0x02f77744,0x00000000,
    0x00000040,0x76c9dd90,0x2600003e,0x0001eeee,0x4d880bea,0xddd90000,
    0xdb000009,0x000007dd,0x0037bbb6,0x00000000,0x1f776c00,0x3ba20000,
    0x644001ee,0xcccccccc,0xcccccccc,0x80000ccc,0x003eeeeb,0x33333220,
    0x2ccccccc,0x2f4c09f3,0x37fff6e0,0x01dd0002,0x360007ec,0x4003e405,
    0x07ee02f9,0xffffa800,0x2e00000f,0x0000efff,0x776d4400,0xdfd30003,
    0xf0000003,0x3bfe63ff,0x3fa00000,0x40005fff,0x1ff983fe,0xfff98000,
    0x200001ff,0x00fffffa,0x7ffcc000,0x1000002f,0xdfffdd97,0x5000017b,
    0x001fffff,0x7fffec00,0xfda98005,0xeeefffff,0xffffffff,0x000ffc41,
    0x000dfffb,0xffffda98,0x3209bfff,0x00ffa85f,0xf737dfd3,0xf98001df,
    0x01ff441e,0x220efdc0,0xf88005fb,0xfca99acf,0x3fe20007,0x0004ffff,
    0x003fffa0,0x1dd10000,0xb0003ff9,0x0000dfff,0x323ffa80,0x200001ff,
    0x1ffffffb,0x93fe6000,0x00004ffa,0x0bfffffd,0x7fff4000,0x400004ff,
    0x0002fffc,0xacefda80,0xfdca989a,0x3fe0001d,0x0004ffff,0xffffff30,
    0x3fe20003,0xa880ffff,0x7c41fffe,0x7fec001f,0xff00000f,0x2205ffff,
    0x9ff70eff,0x2e1bfe20,0xfd8006ff,0x00dff32f,0x3bfffe20,0x0002ffff,
    0xfffffff9,0x7e40007f,0x00fffcff,0x1fff9800,0xfe800000,0x0005ffd4,
    0x001fffff,0x22fec000,0x200004fe,0xffddfff8,0x7fec0005,0x000fffcd,
    0xfcfffa80,0xb80001ff,0x0fffcfff,0x3ffa0000,0x7d400002,0x362002df,
    0xffb8003f,0x000fffcf,0xfdeffe80,0x3fa0006f,0x5c00ffff,0x0ffc41ff,
    0x01ffec00,0xffffe800,0x3bff201f,0xfb00fffd,0x3fff705f,0xcfff9800,
    0x20002fff,0xfffffffb,0x7ff40005,0x0006ffff,0x7d43bfe2,0xfb80004f,
    0x8000001f,0x1df92ffa,0xbfff9000,0xff800000,0x0001be60,0x7e47ff90,
    0x3e60001f,0x003fffff,0x263ffd00,0x440005ff,0x9ff51eff,0x3fe60000,
    0x7e400003,0x3ea0000e,0x3bfe2005,0x0009ff50,0x3f25ffa8,0xffd0002f,
    0xf9001fff,0x001ff883,0x0006fe88,0x1fffffb0,0x7ffffc40,0x0bffe03f,
    0x000bffee,0x1bfffff6,0x3ffee000,0x80000dff,0x004ffffc,0x7cc2fec0,
    0x7f40000f,0xd0000001,0x000045ff,0x0003bf91,0x2e17d400,0x2200001f,
    0x06fb82ff,0x7fffec00,0xdf700006,0x001fe981,0xf3037f20,0xf900003f,
    0x74400007,0xd100005f,0x037f6007,0x40003ff3,0x06fb83fe,0xfffffd00,
    0x883f1001,0xd10001ff,0xfb00001f,0xc801ffff,0x2206ffff,0xff985fff,
    0xff98000f,0x00001fff,0x00037973,0x00099880,0xd101fcc0,0x01a8000b,
    0xff300000,0x0000007f,0x05300000,0xd8000035,0x00bea00e,0x2ffff980,
    0x05f88000,0x4c001ba2,0x017a204f,0x0000aa00,0x0003fe88,0x2600fcc0,
    0x017a204f,0xf5017dc0,0xfffd0005,0x3b0b01ff,0x0001ff88,0x200002a2,
    0x00fffffd,0x00f776c4,0x220ffffe,0x3b20000a,0x000004ee,0x00000000,
    0x00c40000,0x00000000,0x007fffb0,0x00000000,0x00000000,0x00000000,
    0x0c000000,0x06200000,0x00000000,0x000013f6,0x88000364,0x44000001,
    0xfffe8000,0x1a8780ff,0x0000ffc4,0xffd80000,0x00000fff,0x04ffffd8,
    0x00000000,0x0006a620,0xffecb980,0x1dc0bdef,0x001a9880,0x99999991,
    0x98599999,0x4ccccccc,0x7fffd400,0x65cc0002,0x0bdefffe,0x4c4001dc,
    0x9acdedca,0x99991000,0x99999999,0xccccc985,0x76dc04cc,0x0aa0beff,
    0x00000000,0x664c0000,0x01cccccc,0x66666644,0x006fb83c,0x1e880066,
    0x00000000,0x7f400000,0x3c40ffff,0x001ff880,0x9bdb9531,0x36000135,
    0x440fffff,0xcccccccc,0x7c42cccc,0x001effff,0x00005800,0xdfffffd3,
    0x009ddddd,0x59bfffd3,0x77dffd95,0xffe9807f,0xeeeeefff,0x3ffaa64e,
    0x09aeffff,0x77ffdd44,0xfec8801b,0x02acffff,0x6ffff4c0,0xeffecaac,
    0x64003fbb,0xecacefff,0x53003fff,0xdffffffd,0xfba88135,0xd301beff,
    0xff955bff,0xcc885d7b,0xcccccccc,0x999952cc,0x99999999,0x333332e1,
    0xda88000c,0x0effffff,0x77ffdcc0,0x00ffc41b,0xecb7ffd4,0x644c83ee,
    0xffffffff,0x3ffffea1,0x99999950,0x44099999,0x1ccccccc,0x1fffffd0,
    0xff1007c8,0xdfff9003,0x7fffd959,0xffffb000,0xffb5301f,0x137fffff,
    0xffffff30,0x7d400007,0x7fe40002,0xffff90cf,0x7e440bff,0x36601eff,
    0x3203ffff,0xff90cfff,0xf10bffff,0x001fffff,0xc8003fea,0xffffffff,
    0xff91006f,0x7ecc03df,0xd3003fff,0x3a605fff,0xf1001eff,0x001fffff,
    0xf9803fea,0xffc880ef,0xffda983f,0x09bfffff,0xfffff731,0x6cc35bff,
    0x000fffff,0x7ffffe40,0x1ff3005f,0x32013f20,0xfff593ff,0xf90d505f,
    0x740dffff,0x3fae20df,0x1affffff,0x77ffdd40,0xffffd00b,0x803fcc1f,
    0x3a601ff8,0xfd302fff,0x7ec003df,0x7c00ffff,0x802fffff,0xeffffffd,
    0x5fd80000,0x3ffea000,0x4f7ffc47,0xffff5009,0x7ffdc00d,0x8ffff503,
    0x099efff8,0x0ffffff0,0x20037c40,0xfffffeec,0xffa804ee,0x3ee006ff,
    0xffc803ff,0x7fc403ff,0xfff004ff,0x7c400fff,0x0bffa206,0xf807ff70,
    0x402fffff,0x06fffffa,0x007ffffc,0x7ffff400,0x0dd004ff,0x3f600ffc,
    0x3fffea5f,0x3f60f307,0x3ee06fff,0xfffff301,0xefb800bf,0x7ffff400,
    0x07ffb99f,0x3203ff10,0x4403ffff,0xb004ffff,0x801fffff,0x00fffffe,
    0x7fff5fdc,0x20000eff,0x8001fff9,0xd84ffff8,0x3e203fff,0x4000efff,
    0xff883ffb,0xfffd84ff,0x7ffffc03,0x002fc007,0x05ffffa8,0x3bfffe20,
    0x1ffdc000,0x13fffee0,0x1ffffe40,0x3fffffc0,0xfc817e00,0x07fb007f,
    0x0fffffe8,0x7ffffcc0,0x7ffffc05,0xffe80000,0x802fffff,0x80df505d,
    0x3e21fffc,0x41e05fff,0x00fffff9,0xfffb80bb,0x36000fff,0xfffe800f,
    0x7fffffff,0x703ff100,0x2009ffff,0x803ffffc,0x00fffffd,0x07fffff4,
    0x7fec5f70,0x0000efff,0x0009fffb,0xb09ffff5,0x7f40dfff,0x90003fff,
    0xffff507f,0x0dfffb09,0x07fffff8,0xc8002740,0x2003ffff,0x003ffffe,
    0x7c407f90,0x1000ffff,0x801fffff,0x007fffff,0xfffb0274,0x807f1001,
    0x00fffffd,0x2fffffcc,0x03ffffa0,0x3ff7a000,0x401fffff,0x405fb04d,
    0x7d44fffa,0x03e03fff,0x827fffec,0xfffe802f,0x7f3004ff,0x3ffffa00,
    0x07ffcbaf,0xf883ff10,0x1000ffff,0x801fffff,0x00fffffd,0x07fffff4,
    0xffa87fa8,0x88005fff,0x000fffff,0x41ffffdc,0xb80ffffc,0x000fffff,
    0xff707f10,0xfff907ff,0x7fffc01f,0x0274007f,0x2ffffd80,0xfffff700,
    0x0fe20001,0x06ffffe8,0x2ffffec0,0x1fffffe0,0x7fc09d00,0x079005ff,
    0x0fffffd8,0x7ffffcc0,0x7ffff404,0xbbe80000,0x0effffff,0x07f41360,
    0x40ffff88,0x100ffffb,0x7fffcc0f,0xf3006a87,0x001fffff,0x7ff400db,
    0x1fee0fff,0x3a0ffc40,0x4006ffff,0x405ffffd,0x00fffffd,0x07fffff4,
    0xfd106fd8,0xc8003fff,0x003fffff,0x41ffffd4,0xf987fffc,0x0005ffff,
    0x7ffd41e4,0x7fffc83f,0x3fffffc0,0x40013a00,0x800fffff,0x05fffff9,
    0xfb81e400,0x4003ffff,0x02fffffc,0x01fffffe,0x7ffc09d0,0x03a805ff,
    0x07ffffec,0x3ffffe60,0x7ffff404,0x93e80000,0x0bffffff,0x207f826c,
    0xfd85fffb,0x01aa06ff,0xd85ffffd,0x3fff6003,0x0fcc05ff,0xfffffd00,
    0xf1007d81,0x7fffdc3f,0x7fe4003f,0x3f602fff,0x7400ffff,0xf00fffff,
    0x3fa201ff,0x7fc004ff,0x8007ffff,0xfd84ffff,0xfffc85ff,0x440004ff,
    0x09ffff02,0xf80bfffb,0x4007ffff,0xff98004e,0xff9006ff,0x80009fff,
    0xffffb028,0xffa8003f,0x3fe05fff,0x74007fff,0x3ffff604,0x6c0002ff,
    0x400fffff,0x04fffff9,0x207ffff4,0xb1f40019,0x09ffffff,0x81be2136,
    0xff83ffff,0x017204ff,0x44dffff7,0x3fe6000f,0x3a01ffff,0x7fff4005,
    0x803d40ff,0x3ff61ff8,0x54001fff,0x205fffff,0x00fffffd,0x07fffff4,
    0x1027ffcc,0x5c00bfff,0x2fffffdf,0x2fffec00,0x7417fff4,0x003fffff,
    0x3fff6000,0x02fffe85,0x03fffffc,0x2a0013a0,0xd005ffff,0x007fffff,
    0x7fffc000,0x7cc001ff,0x3e06ffff,0x4007ffff,0x3ffee04e,0x002effff,
    0x1fffffb0,0xfffff980,0x7ffff404,0x09ffff90,0xffe88fa0,0x4d82ffff,
    0xff505f98,0xfffb81ff,0x200f601f,0xb71fffff,0xffff9000,0x003ee0bf,
    0x1fffffd0,0xf8920788,0x3ffffe1f,0x7fcc001f,0x3f606fff,0x7400ffff,
    0x880fffff,0x2e04ffff,0x33a004ff,0x06fffffa,0x07fff440,0x3e09fff1,
    0x002fffff,0x3ffa2000,0x13ffe20f,0x1fffffe0,0x90009d00,0x2007ffff,
    0x02ffffff,0xfff10000,0x88001fff,0x00ffffff,0x00ffffff,0x3fa204e8,
    0xefffffff,0x7ffec001,0x7fcc00ff,0x7f404fff,0xfffd9fff,0x3e803fff,
    0x7fffffcc,0x7cc26c0f,0x0dfffb04,0xf80ffffd,0xffffc800,0xf10005d5,
    0x883fffff,0xffe8003f,0x10680fff,0xf88ffc4d,0x000fffff,0x7fffffc4,
    0xfffffb00,0xffffe801,0xffffd00f,0x00bfe609,0xfffe87d4,0x644001ff,
    0xfffbaeff,0xfffff302,0x8000003f,0xfbaeffc8,0xfff002ff,0x4e800fff,
    0xffffd800,0xffff9802,0x000001ff,0x1ffffff5,0xffff8800,0xffff01ff,
    0x04e800ff,0x7fffffc4,0x000dffff,0x01fffffb,0x4fffff98,0x7fffff40,
    0xffffe99d,0x7d41f401,0x20efffff,0xd05f884d,0xffa8bfff,0x016a05ff,
    0x57ffffc4,0x3ff20007,0x036c6fff,0xfffffe80,0xf8972000,0xfffff51f,
    0xff88001f,0xfb01ffff,0xe801ffff,0x300fffff,0x81dfffff,0x976007fb,
    0x05fffffb,0x9dddf700,0x7ffd4015,0x00000fff,0x9dddf700,0x7ffc0015,
    0x274007ff,0x7ffffc00,0xffffa800,0x000000ff,0x0ffffff7,0xfffff100,
    0x3fffe05f,0x0274007f,0x7fffffcc,0x801fffff,0xabfffffd,0xfbaaaaaa,
    0x7404ffff,0x7dc5ffff,0x1f403fff,0xffffffc8,0x83741365,0x3a23ffff,
    0xd102ffff,0x7ffec001,0x220004ff,0x32ffffff,0x3fa0005f,0x3000ffff,
    0xb8ffc49f,0x007fffff,0xffffff88,0xfffffb02,0xffffe801,0x3ffea00f,
    0x1dd12fff,0xf887e600,0x000fffff,0x54000764,0x00ffffff,0x0ec80000,
    0xffff8000,0x0274007f,0x1bfffe60,0x7ffffd40,0x5000000f,0x00ffffff,
    0xffffff10,0x3ffffe05,0x80274007,0xffffffd8,0x6c02ffff,0xffffffff,
    0xffffffff,0x7f404fff,0x7fd40fff,0x01f404ff,0x7ffffffb,0x443ec136,
    0x5d14ffff,0x3203ffff,0x7ffcc003,0x5c0001ff,0xbd6fffff,0x7fff4000,
    0xff8800ff,0x7d47fe23,0x8007ffff,0x2ffffff8,0x1fffffd0,0xfffffe80,
    0x7fffcc00,0x000edcff,0x3fff2176,0xfd1004ff,0x3fe20007,0x4401ffff,
    0x99999999,0x3fa20999,0xfff00003,0x4e800fff,0x7fffd400,0xffff1004,
    0x998803ff,0x99999999,0xfffff309,0xff88001f,0xff01ffff,0xe800ffff,
    0x7ff4c004,0x0fffffff,0x3fffff60,0x99999999,0x04fffffa,0x207ffff4,
    0x404ffffa,0x3ffa203e,0x04d9ffff,0xfff883f9,0xff9cebff,0x000b907f,
    0x001bfffa,0x7fffff40,0x3a0000fe,0x201fffff,0x221fffb8,0xffff31ff,
    0xf88001ff,0xd01fffff,0x803fffff,0x00fffffe,0xfffffe88,0x0be2001f,
    0x3fffffe2,0x0dffb800,0xfffff000,0xfdb9805f,0xceffffff,0x0037fee0,
    0x3ffffe00,0x00274007,0x00bffff2,0x2ffffff8,0x7ffedcc0,0x10ceffff,
    0x03ffffff,0xfffff980,0x3ffffe07,0x00274007,0xfffffea8,0x3ff604ff,
    0x7cc00fff,0x7404ffff,0x7d40ffff,0x1f405fff,0x3ffffe60,0x5f504eff,
    0xdfffffb0,0xb11fffe2,0xf5005b09,0x200007ff,0x3ffffffa,0x3ffea000,
    0xaaabefff,0x0fffffdc,0x7fc47fe2,0x4001ffff,0x07fffff9,0xbffffff3,
    0xfffffe80,0x3fff6000,0x1b2005ff,0x3fffffd8,0xfffffe80,0x1bdeefff,
    0x3fffffd8,0x3ffff200,0xffffd06f,0x7bddffff,0xfffff803,0x0027c007,
    0x007ffff6,0x3fffffd8,0x3ffff200,0xfffff06f,0xff98005f,0x3fe06fff,
    0x7c007fff,0x3ea00e04,0x206fffff,0x00fffffd,0x27ffffcc,0x03ffffa0,
    0x80bffff5,0xfffa803e,0xf104ffff,0xbffff709,0x567ffec1,0x005983ec,
    0x00003ffe,0x1fffffe8,0x7ff64400,0xffffffff,0xffffffff,0xff0ffc47,
    0x8005ffff,0x26fffff9,0xfffffec8,0xe82dffff,0x000fffff,0x27ffffdc,
    0xaaaadf80,0xfffffcaa,0xffffe806,0xffffffff,0x7fffdc2f,0x3fea004f,
    0xffd04fff,0xffffffff,0x7f405fff,0x7c007fff,0x7fff4003,0x7ffdc007,
    0x3ea004ff,0xf904ffff,0x8005ffff,0x03fffffb,0x01fffffa,0x01e207f0,
    0x3ffffec4,0x1fffffb0,0xfffff980,0x7ffff404,0x2ffffd40,0x7dc00fa0,
    0x204fffff,0x3eea81fb,0x2defda88,0xfb8007a0,0x7e400005,0x0001ffff,
    0x03b62000,0x3f21ff88,0x4002ffff,0x03fffffb,0xfd001fe4,0x0001ffff,
    0x01ffffd3,0xffffffb8,0xffffffff,0x7ffdc02f,0xffffffff,0x3fe61fff,
    0x2a005fff,0x703fffff,0xffffffff,0x03ffffff,0x01fffffa,0x74002f88,
    0x4c005fff,0x005fffff,0x0fffffea,0x27ffffc4,0x3ffff600,0x3fffa00f,
    0x0be2007f,0xe88017c4,0x3f607fff,0x4c00ffff,0x404fffff,0x540ffffe,
    0x7405ffff,0x3fff6003,0x037404ff,0x02540000,0x0000be20,0x3fffff90,
    0x26000000,0x7fc402ff,0x3ffffe21,0x7ffec004,0x1ff600ff,0xfffffd00,
    0xd80b9801,0x1f402fff,0x7ffffd40,0xffffa806,0xffffffff,0x7fffe44f,
    0xfff5000f,0x7fd407ff,0xffffffff,0xffb04fff,0x7d400fff,0x7fffc001,
    0xfffc8002,0xff5000ff,0x7e407fff,0x2000ffff,0x403ffffe,0x007ffffd,
    0x27c407ea,0x0dfff500,0x07ffffec,0x3ffffe60,0x7ffff404,0x2ffffd40,
    0xfd000fa0,0xf8809fff,0x26000003,0x034c000e,0x7ffe4000,0x000001ff,
    0x8801ff90,0x7ffe41ff,0x3fa000ff,0x3e603fff,0x7ff4004f,0x3ea00fff,
    0x4fff886f,0x7c003ea0,0x201fffff,0xcbccefb8,0x5fffeccc,0x03ffffd8,
    0x7fffff50,0x333bee20,0xffeccccb,0xffff505f,0x01f6003f,0x001fffa0,
    0x03ffffd8,0x7fffff50,0x7ffffc40,0xffff5003,0xffff500d,0x81f6003f,
    0xf1001ff8,0x7fec09ff,0x7cc00fff,0x7404ffff,0x7d40ffff,0x1f405fff,
    0x3fffe200,0x001fb804,0x201ea800,0x0003d818,0xfffffc80,0xf0000001,
    0xff8805ff,0x7ffffc41,0xffff5003,0x07ffc80d,0x7fffff40,0x07fff600,
    0x5e80bff6,0x3fffee00,0x1dff105f,0x107ff700,0x001ffffd,0x07fffff5,
    0x7001dff1,0x3fe207ff,0xfb804fff,0x4ffe8003,0x3ffa2000,0xffa800ff,
    0x74c03fff,0xfd006fff,0xf1001dff,0x7009ffff,0x7ffc407f,0x0fffa800,
    0x3fffff60,0x7fffcc00,0x7fff404f,0x7fffd40f,0x0013e205,0x4013ffe6,
    0x200002fd,0x3fea00ea,0x00003e25,0x3fffff20,0xf0000001,0x7c401dff,
    0xfffe981f,0xdfffd006,0x3fffc801,0x3ffffa00,0x1fff200f,0xfa807fec,
    0x3ffe2002,0xffb81fff,0x01ff3004,0x03bfff62,0x7fffff50,0x2009ff70,
    0x3ea00ff9,0x2a04ffff,0x0dd9805f,0x10000bfd,0x801dfffb,0x03fffffa,
    0x04fffd88,0x002fffe4,0x13ffffea,0x7c405fa8,0x7f400eff,0x7ffec02f,
    0x7fcc00ff,0x7f405fff,0x7fd40fff,0x17ea05ff,0x027fdc00,0x0001bf50,
    0x36007644,0x00970fff,0x3fff2000,0x000001ff,0x01dfffb0,0x6c407fe2,
    0x7e404fff,0xff3005ff,0x3fa005ff,0x2600ffff,0x4ff987ff,0x8005ff10,
    0x85fffffd,0x4400fff9,0xffa803fd,0xfc980cff,0xf981efff,0x7ec400ff,
    0xffffb803,0xffdaacef,0x27ffd005,0x200000ff,0x80cffffa,0x1effffc9,
    0x37ffee00,0x3fff6a21,0xfff70003,0xfb559dff,0xfff100bf,0xfda817ff,
    0xfffe803f,0x7fcc01ff,0x7fc05fff,0x7fdc1fff,0xffb105ff,0x9f900017,
    0x02fd8800,0x0067e440,0x7cd7ffec,0xfb000000,0x0005ffff,0x3ffe2000,
    0x3e20ceff,0x7ffdc01f,0x3ff6a21d,0x7fe4003f,0xf502ceff,0x809fffff,
    0xfdaadffb,0xdffd303f,0xffffe800,0xffea83ff,0xfdca9aac,0x7f64001f,
    0xfffeefff,0x75400bdf,0xca9aacff,0x22001ffd,0xfffffffd,0x3f6002ef,
    0x0002fcbf,0xffffd900,0x7bffffdd,0x3b260001,0xdfffefff,0x6c40001c,
    0xffffffff,0x37f1002e,0xffbdffb5,0xff5001bf,0xd809ffff,0x01ffffff,
    0x87fffff3,0x20fffffd,0xffffffea,0x0274000d,0xacdfea80,0x7fb95311,
    0x7ffd4001,0x000002ff,0xbffffff3,0x44000000,0x20dffffd,0xc9801ff8,
    0xfffefffe,0xf70001cd,0x64439fff,0xfffffffe,0xd9102dff,0x32037bdf,
    0x1effffff,0xfffffb50,0x503fffff,0x59bffdb9,0x54400013,0x019abcba,
    0xffdb9500,0x0001359b,0x2ab32aa2,0xdec88000,0x10000002,0x33579755,
    0x2a200000,0x000000ab,0x15599551,0x2aa07000,0x644009ac,0xfffffffe,
    0xffb52dff,0xdfffffff,0x3ffff219,0xfffd5fff,0x0005ffff,0x00014400,
    0x3bfb2a62,0x20002bcd,0x0001dfda,0x7fff6540,0xcdffffff,0x88000000,
    0x1ff88099,0x0aba8800,0x00cc0000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xcccccccc,0x64c2cccc,0x0ccccccc,0x3bbaa000,0xe880003e,
    0x1ddd32ee,0x405e8000,0x000000eb,0x200f4000,0x3b00004b,0x00004b80,
    0x5554c000,0xd700001a,0x00005ddd,0x00000000,0xd50076c0,0x3b660003,
    0x2a0005ee,0xcccccccc,0xcccccccc,0x201ccccc,0x002eeed8,0x77640000,
    0x8000004e,0xe8000008,0x0000deee,0x7776c000,0x20000004,0xfffffea9,
    0x4c409aef,0x01cffffb,0x2ffff400,0x6ffa8000,0x00013ff2,0x3f603bea,
    0xfffe8804,0x800005ff,0x09f500fe,0x403f6000,0x077004fa,0xfffd0000,
    0x3e00001d,0x30004fff,0x3ae019fb,0xfdb5003e,0x8800ffc4,0x06fb81ff,
    0x7fffd400,0xfff90001,0xffffdfff,0xffffddff,0x7fe405ff,0xb50006ff,
    0xffffa800,0x2000001f,0x00004ffc,0x807fffea,0x0001bdf9,0x0fffffa8,
    0x00344000,0x3ffffff1,0x007fe600,0x17ffe200,0x0ffd8000,0x80001bfe,
    0xffd11efe,0x7ffe4001,0xc800005f,0xfecbcdff,0xf700002f,0xffd979df,
    0x0176c005,0xefff9800,0xff300000,0x7fc0009f,0xfff984ff,0x3ffa201f,
    0x000ffc43,0x7fec5ff9,0xffa80001,0xff90003f,0xffffc83b,0x3ffea21f,
    0xfffff102,0x76cc007f,0x7fff4000,0x000005ff,0x005ffff3,0x07fff600,
    0x013ff220,0xfffff880,0x3ec0005f,0x3ffffe00,0x01fe000f,0x037fdc00,
    0x45ff1000,0x00001ff9,0x3fefffea,0x7fdc003f,0x800005ff,0xffffffe8,
    0x7400005f,0x5fffffff,0x005fc800,0x00fffc80,0x17ff2000,0xffffa800,
    0x4ffffc87,0x101ffd10,0x7c4003ff,0x05ffebff,0x1bfee000,0xc827e400,
    0x881fffff,0xdffb02fe,0x7001fffb,0xfb8001df,0x02fffbff,0xfffb8000,
    0xff00004f,0xffb8005f,0xfff90004,0x0003fff7,0xfd001fee,0xe800ffff,
    0xdfd00006,0x7d400001,0x0001fe45,0x7fffff40,0xfff98006,0x3000005f,
    0x1dffffff,0xfe980000,0x000effff,0x80009fb0,0x00001ffe,0x20002ffc,
    0xa85ffff8,0xfb03ffff,0x07fe20bf,0xfffff900,0xb800001f,0x6c8001ff,
    0x3fffff20,0xf305f501,0x13fee1bf,0x1000ff50,0x3fa61dff,0xf8800006,
    0x80001fff,0x88002ffa,0x44002fff,0xbff30eff,0x0fff3000,0x7ffffe80,
    0x0002f400,0x000077c4,0x0bf03f60,0x3fe60000,0x98002fff,0x0005ffff,
    0x3bfb2200,0x22000003,0x0004efec,0x80027fcc,0x00001ff9,0x80002fcc,
    0xfd02fffc,0xfff101df,0x007fe207,0x9fffff10,0x3f200000,0x203c8003,
    0x01fffffc,0x213f60ba,0xff300ffa,0x1bf90007,0x0002fe88,0x003eea80,
    0x0005fb00,0x2002fff4,0x1fe885fd,0x1fffe600,0xfffffd00,0x0005e800,
    0x00000a88,0x005441a8,0xfffb0000,0x3fe6000d,0x000005ff,0x00000000,
    0xffe80000,0x01fc8003,0x00298000,0x4c014400,0x17ffea01,0x4000ffc4,
    0x000ffffb,0x0006a000,0xfffc8072,0x50ae01ff,0x42f4c07f,0x4000fff9,
    0x036c04f8,0x00000000,0x7c0001a8,0x3e6007ff,0x401b6203,0x007ffffa,
    0x03fffff4,0x000017a0,0x00000000,0x00000000,0x0bffff30,0x00000000,
    0x00000000,0x001fff50,0x00000000,0x00000000,0x441bffe6,0x000001ff,
    0x00000000,0xffff9002,0x0004403f,0x013ffa00,0x00000000,0x00000000,
    0x3fffc400,0x70000000,0xffffffff,0xfffe80ff,0x02f4007f,0xffdd9300,
    0x1598157b,0x99999999,0xc9859999,0x24cccccc,0xccccccc9,0x6664401c,
    0x7cc3cccc,0x05445fff,0x99999910,0x85999999,0xccccccc9,0x32a62004,
    0x009acded,0x013ffe00,0x31000000,0x359bdb95,0x00000001,0x107fff88,
    0x64c003ff,0x0abdffee,0xcccc8acc,0xcccccccc,0x666664c2,0x3f2004cc,
    0x0001ffff,0x3ffe6000,0x95310001,0x01359bdb,0x7764c000,0x4c0abdff,
    0x3ffb6e05,0xa80aa0be,0xcc886fff,0xcccccccc,0xcccccccc,0x7f74c0cc,
    0x5eeeffff,0x3fffff40,0x20017a00,0xdfffffeb,0xeaceffec,0x3fffaa65,
    0x409aefff,0xbefffba8,0x3fff6a21,0x4c00efff,0x41befffb,0xd55ffff9,
    0x2605bfff,0xffffffea,0x5d4409ae,0x001befff,0x959dfff9,0x0007fffd,
    0xfc83fff6,0x1fffffff,0x03ffffea,0x33bfff20,0x03fffeca,0xffffff98,
    0x3ffffea6,0x1ffff04f,0x7003ff10,0x9bfffffd,0xbd59dffd,0x7ffff54c,
    0x4409aeff,0x1befffba,0x3ffff200,0xff88001f,0x3607ffff,0xf90007ff,
    0xfd959dff,0xb80007ff,0xcdfffffe,0x5eaceffe,0xaadffe98,0x02ebdffc,
    0x4c13ffee,0xffffffda,0xfffffeee,0xff101fff,0xfe800fff,0x74007fff,
    0x3ff62005,0xfb80adff,0xff885fff,0x5000ffff,0xffc801ff,0x3005ffff,
    0x3fe601ff,0xffefadff,0x3e202fff,0x000fffff,0x26001ff5,0xd302fffe,
    0xb8003dff,0x7fe43fff,0x3fa06fff,0x7ff4c00d,0xdffd302f,0xffffb003,
    0xffffe88d,0x03fffb04,0x6c403ff1,0x80adffff,0x885ffffb,0x00ffffff,
    0x0001ff50,0x03fffff9,0x7fffdc00,0x0dfff307,0x2fffe980,0x03dffd30,
    0xffffd880,0xfffb80ad,0x077fcc5f,0x01fffe44,0x8807fff9,0x80ffffff,
    0x01fffea8,0x00fffff1,0x07ffffe8,0xf9802f40,0x8802ffff,0xfff05ffd,
    0x7c400fff,0xffffd006,0x1ba009ff,0xffffff98,0x1ffffb32,0x3fffffc0,
    0x200df100,0x403ffffc,0x004ffff8,0x361fffea,0x2e06ffff,0x7ffe401f,
    0x7ffc403f,0x7ffd404f,0xffffc86f,0x03fff904,0x3e603ff1,0x8802ffff,
    0xfff05ffd,0x7c400fff,0xfff90006,0x440003ff,0xf907ffff,0x7e4009ff,
    0x7c403fff,0xf3004fff,0x1005ffff,0x7f44bffb,0x1ffdc02f,0x005fff90,
    0x01fffffd,0xf101ffb8,0xe800ffff,0x4007ffff,0xfff8805e,0x3a2004ff,
    0xfffff05f,0x005f800f,0xfffffffd,0x4c0bb005,0x442fffff,0x3e05ffff,
    0x4007ffff,0xfffb805f,0xfff9004f,0x3fe6007f,0x7ffcc1ff,0x80bb00ff,
    0x004ffffb,0x407ffff9,0xb86ffff9,0xf704ffff,0x07fe20ff,0x13ffffe2,
    0xf05fe880,0x800fffff,0xff90005f,0x80003fff,0xfd07ffff,0x3ee007ff,
    0xf9004fff,0xf8807fff,0x2004ffff,0x3ff25fe8,0x407fb007,0xe801fffa,
    0x800fffff,0xfff101fc,0xffe800ff,0x2f4007ff,0x2fffff40,0xf82fc400,
    0x4007ffff,0xffbd004e,0x803fffff,0x3ffe604d,0xffffd06f,0x3ffffe03,
    0x20274007,0x00fffff8,0x1fffff10,0x5ffff100,0x09ffffb0,0xfff880be,
    0xff1000ff,0x3e601fff,0xffb86fff,0xbffb04ff,0x3a07fe20,0x8005ffff,
    0xffff05f8,0x04e800ff,0xfffff900,0xfff80003,0x7ffff07f,0xfffff100,
    0x3ffe2001,0x3ffa00ff,0xf88005ff,0x003fff65,0xff880fe2,0xfffe802f,
    0x1f8800ff,0x0fffff10,0x7ffffe80,0x3202f400,0x000fffff,0x3ffe0bb0,
    0x274007ff,0xfffbbe80,0x3600efff,0x3fffe604,0x7ffff905,0x1fffffe0,
    0xfe809d00,0x6c006fff,0x8805ffff,0xf983ffff,0x06a87fff,0x037ffff4,
    0x17ffff60,0x437fffcc,0x884ffffb,0x06600eff,0x03fffff2,0xff82ec00,
    0x74007fff,0xfff90004,0xf80003ff,0xff887fff,0xffe803ff,0x7ec006ff,
    0xff905fff,0x20001fff,0x17fffe5d,0x3ea01e40,0xfffe805f,0x1d8580ff,
    0x0fffff10,0x7ffffe80,0xf1027400,0x000dffff,0xffff82d4,0x0274007f,
    0xffff93e8,0x026c0bff,0x20bffff3,0xf04ffffb,0x800fffff,0x3ffee04e,
    0x7e4003ff,0x4402ffff,0xfd04ffff,0x03d85fff,0x0fffffee,0xfffff900,
    0xdffff305,0x89ffff70,0x8000efd8,0x06fffff8,0x7fc16a00,0x74007fff,
    0xfff90004,0xf80003ff,0xff987fff,0x7fdc02ff,0x64003fff,0x442fffff,
    0x006fffff,0xffff96a0,0x803a805f,0x7f402ffa,0x8780ffff,0xffff101a,
    0xfffe800f,0x0274007f,0x0bfffff7,0xfff01800,0x4e800fff,0x7fec7d00,
    0x9b04ffff,0x2ffffcc0,0x05ffffa8,0x00ffffff,0x3ff604e8,0x54001fff,
    0x805fffff,0xf705ffff,0x07c4dfff,0x3fffffb0,0xffffa800,0xffff985f,
    0x4ffffb86,0x8000b7f2,0x05fffffb,0xfff80c00,0x274007ff,0xffffc800,
    0x7fc0001f,0xfffa87ff,0x7ffec02f,0x7d4001ff,0x7dc5ffff,0x0005ffff,
    0xfffffb0c,0x2200005f,0xffd02efb,0x07881fff,0x3ffffc40,0x3ffffa00,
    0xf027c007,0x007fffff,0x3fffe000,0x0274007f,0x3ffa23e8,0x4d82ffff,
    0x17fffe60,0x83ffffd4,0x007fffff,0xffff0274,0xf98003ff,0xf806ffff,
    0x3fe06fff,0x80b71fff,0x01ffffff,0x7ffffcc0,0x6ffff986,0x24ffffb8,
    0x7c0002ef,0x003fffff,0xfffff000,0x004e800f,0x3fffff90,0xffff8000,
    0x2ffffb87,0x7fffffc0,0x7ffcc001,0x7fffc6ff,0x200003ff,0xfffffffb,
    0xb880002e,0xffffd04f,0x4007c81f,0x007ffff8,0x03ffffe4,0x3e207f10,
    0x002fffff,0xfffff000,0x004e800f,0xffff987d,0x026c0fff,0x20bffff3,
    0xf05ffffa,0x800fffff,0xffff104e,0xf88001ff,0x400fffff,0x3205ffff,
    0x05d5ffff,0x7fffffc4,0x7ffc4000,0x7fcc0fff,0xfffb86ff,0x01ffdc4f,
    0x7ffffc40,0xf000002f,0x800fffff,0xff90004e,0x80003fff,0xfa87ffff,
    0x3e202fff,0x000fffff,0x7fffffc4,0xffffff10,0x74400005,0xffffffff,
    0xfd88001e,0x3fffa02e,0x01fe60ff,0x0fffff10,0xfffffb80,0x205f3000,
    0x0ffffff9,0xfff00000,0x4e800fff,0xff507d00,0x6c1dffff,0x3fffe604,
    0x9ffff705,0x1fffffe0,0x3ea09d00,0x000fffff,0x7fffffc4,0x3fffe201,
    0x3fffe204,0x7fd407af,0x4000ffff,0x1ffffff8,0x437fffcc,0x984ffffb,
    0x7cc004ff,0x000fffff,0xfffff000,0x004e800f,0x3fffff90,0xffff8000,
    0x3ffff987,0x3ffffea0,0x7fc4000f,0xff31ffff,0x0001ffff,0xfffff880,
    0x00dfffff,0xd00dfd10,0x733fffff,0xf8800fff,0x54007fff,0x001fffff,
    0x3fee01fb,0x00007fff,0x1fffffe0,0x3a009d00,0xfffff903,0xf3026cbf,
    0x3ee0bfff,0xfff03fff,0x4e800fff,0xffffff70,0xffff1000,0x7fc405ff,
    0x7fec02ff,0x7dc04fff,0x8007ffff,0x2ffffff8,0x437fffcc,0xd04ffffb,
    0x70cc07ff,0x00ffffff,0x7fffc000,0x0274007f,0xfffffc80,0x7ffc0001,
    0x7ffff07f,0x7ffffdc0,0xfff88007,0xfff72fff,0x00000fff,0x3fffffe6,
    0x801fffff,0xfe803ffe,0xffffffff,0xfff8007f,0x7f40147f,0xfb805fff,
    0x3fffee02,0x000000ff,0x00ffffff,0x07d004e8,0x7fffffec,0x7fcc09b3,
    0xfff905ff,0x3fffe03f,0x8274007f,0x07fffffa,0xfffff880,0x3ffe202f,
    0x7ffcc01f,0x7fd401ff,0x88007fff,0x42ffffff,0xb86ffff9,0xf704ffff,
    0x47fe20ff,0x0ffffffb,0xfff00000,0x4e800fff,0xffff9000,0xff80003f,
    0xffff07ff,0x7fffd407,0xff88007f,0xff72ffff,0x0001ffff,0x3fff6200,
    0x2fffffff,0x007ffe60,0x2bfffffa,0x8007ffcb,0x571ffffd,0xfffff300,
    0x2027d409,0x1ffffffa,0xfff00000,0x4e800fff,0x74407d00,0xd9ffffff,
    0x3fffe604,0x0dfffd06,0x03fffffc,0x7fcc13a0,0x4000ffff,0x1ffffff8,
    0x03fffe60,0x01bfffa0,0x3fffffe6,0x7ffc4000,0x7fcc1fff,0xfffb86ff,
    0x3fff904f,0x3ea3ff10,0x001fffff,0xfffff000,0x004e800f,0x5fffffb0,
    0xffff8000,0x09fffb07,0x7fffffcc,0x7ffc4000,0xfff51fff,0x00003fff,
    0xffffe980,0x700fffff,0xfd003fff,0x7dc1ffff,0xfff88007,0x2a005fff,
    0xadffffff,0x9805ffda,0x02ffffff,0xffff0000,0x04e800ff,0xff9807d0,
    0x04efffff,0x17ffffe6,0x403ffff5,0x007fffff,0xfff88274,0x4c001fff,
    0x407fffff,0x5005fffb,0xf1007fff,0x003fffff,0x7fffff98,0x87ffff98,
    0xb04ffffb,0xff105fff,0x3ffffe63,0xf000002f,0x800fffff,0xff98004e,
    0x0005ffff,0xa83ffffc,0x3e205fff,0x001fffff,0x3fffffcc,0x5ffffff3,
    0x2a000000,0xfffffffe,0x05fff904,0x1fffffd0,0xb30007d8,0x80017dff,
    0xffffffc8,0xf1002eff,0x007fffff,0x3fffe000,0x027c007f,0xffa803e8,
    0x204fffff,0xeeeffff9,0x02ffffcb,0x03fffffc,0xfff813e0,0x4c002fff,
    0x406fffff,0x2001fffc,0xff000fff,0x8005ffff,0x86fffff9,0x41fffffc,
    0xd04ffffb,0xff101fff,0x3ffffe23,0xf000003f,0x800fffff,0x3fb2004f,
    0xffffffff,0xfff8003d,0x1fffa07f,0x5ffffff0,0xffff9800,0x3fffe26f,
    0x200003ff,0xffffa803,0xfff706ff,0xffffd007,0x0007a81f,0x53000008,
    0x00019ff7,0x09fffffb,0x3ffa0000,0x1fc007ff,0xf7003e80,0x409fffff,
    0xfb5ffff9,0xd007dfff,0x800fffff,0x3fff203f,0x7dc002ff,0x6c03ffff,
    0x7dc005ff,0x3fff2005,0x7dc002ff,0x3e23ffff,0x5fffffff,0x213fffee,
    0xf107fff8,0x7fffec3f,0xd000004f,0x800fffff,0x0000003f,0x3ffffc00,
    0x401fff50,0x02fffffc,0x7ffffdc0,0x7ffffec3,0x0f100004,0x3ffff620,
    0x0bfff507,0x1fffffd0,0x10120788,0xf9000005,0x7fcc000f,0x00006fff,
    0x0fffffd0,0xe8017c40,0x3fff6003,0x3fe604ff,0x02aa25ff,0x7ffffe80,
    0x880be200,0x004fffff,0x07ffffec,0x003fff10,0x22002f88,0x004fffff,
    0x07ffffec,0xffff7000,0x0dfff307,0xff987fe2,0x00006fff,0x0fffffd0,
    0x00017c40,0xf8000026,0x7f407fff,0x3ffe204f,0x7ec004ff,0x7cc0ffff,
    0x0006ffff,0x22005f10,0xf307fffe,0xffd00dff,0x20d01fff,0x3bfea068,
    0xff300001,0xffe8000b,0x20001fff,0xfffffb00,0x800fd400,0x7ff4003e,
    0x3fe604ff,0xd80005ff,0x2007ffff,0x7fe401fa,0x3a000fff,0x5c03ffff,
    0x698005ff,0xffffc800,0x3ffa000f,0x5c0003ff,0xfa83ffff,0x3ff105ff,
    0x1fffffe8,0x7ec02000,0x2a007fff,0x3f60001f,0xff00005f,0xffa80dff,
    0x7fffe407,0x3ffa000f,0xfffd03ff,0x840003ff,0x3ea004f8,0xfff106ff,
    0xffffd00f,0x02e4001f,0x0009fffb,0x003ffee0,0xfffff880,0x203b0005,
    0x01fffffa,0x1f400fb0,0x3fffe200,0x3fffe604,0xffa80005,0xfb001fff,
    0xfffff100,0x3ffea007,0x0eff806f,0x00f60620,0x3ffffe20,0xffff5003,
    0xff50000d,0xfff305ff,0x107fe209,0x00bfffff,0x7fd40760,0xfb001fff,
    0x7ffcc000,0xff80001f,0xffb805ff,0x3fffe203,0xfff5003f,0x7ffc40df,
    0x3b0005ff,0x44007fe2,0x3fe04fff,0xfffe806f,0x9f3000ff,0x03fffd40,
    0x3fffb800,0x7ffd4000,0x362003ff,0xffff100f,0x07f7009f,0x20013e20,
    0x2604fff9,0x0005ffff,0x4fffff88,0x3003fb80,0x200dfffd,0x400efffe,
    0x3ea00efb,0x0003e25f,0x037fff4c,0x00efffe8,0xff32fc80,0x3ffa03ff,
    0x503ff104,0x007fffff,0xf8807ec4,0xb804ffff,0x7ec0003f,0x754003ff,
    0x013fffa6,0x3a6037e4,0xfd006fff,0xfa801dff,0x2003ffff,0xfff10fd8,
    0x1fff5001,0x401fffc0,0x00fffffe,0x4403ff88,0x300004c8,0x0007ffff,
    0x3fffffa8,0x400dfa80,0x04fffffa,0xfa8017ea,0x9ff70005,0x37fffcc0,
    0xfffa8000,0x17ea04ff,0x9fffb100,0x05fffc80,0x6c00ff98,0x00970fff,
    0x4fffd880,0x02fffe40,0xf36ff980,0x3ee01fff,0x03ff107f,0x0fffffea,
    0x50037ea0,0x409fffff,0x100005fa,0xfe8003f1,0x07fffb1f,0x2201fec0,
    0x6404fffd,0x2a005fff,0x803fffff,0x3fe20dfa,0x7ff400ef,0x03bfea02,
    0x3fffffa0,0x3ffee201,0x0003f001,0x77fffdc0,0xfb10002d,0x3357ffff,
    0x4007ffb7,0xcefffffb,0x005ffdaa,0x002fff62,0xfa813f20,0x00006fff,
    0x3bffffee,0x05ffdaac,0x37ffee00,0x3fff6a21,0x00dfa803,0xf9afffd8,
    0xff700000,0x7ed443bf,0x220003ff,0x5fff16ff,0x40cffa80,0x36201ff8,
    0x9abfffff,0x003ffdb9,0x3bffffee,0x05ffdaac,0x00354000,0xffd8ffec,
    0x04fb8006,0x21dfffb8,0x03fffda8,0xffffd880,0xfdb99abf,0xffff883f,
    0x7fed40bf,0x03ffa603,0x3ffffea0,0xdcaaabef,0x400fffff,0x800003d8,
    0x01cfffc9,0x7ffe4c00,0x1defffff,0xfffd8800,0x02efffff,0xfffffd50,
    0x4e8001bf,0x3fffff20,0x36200000,0xffffffff,0xc980002e,0xfffefffe,
    0x1ea801cd,0x3fffea00,0x4c00002f,0xffefffec,0x80001cdf,0x5ffcaffc,
    0x49ffb300,0xc9801ff8,0xffffffff,0xd88001de,0xffffffff,0x5400002e,
    0xff98001e,0x001fff9c,0x9300b910,0xfffdfffd,0x9800039b,0xfffffffc,
    0x7f101def,0xfbdffb53,0x36201bff,0x32200cff,0xfffffffe,0xffffffff,
    0x64c07fff,0x18000001,0x55300000,0x40000359,0x0aaccaa8,0x80000000,
    0xffff9828,0x001effff,0x332aa200,0x000000aa,0x0002aea2,0x7ed40002,
    0x8000001d,0x0000aba8,0xbefeb880,0x44530001,0x54c001ff,0x00001aca,
    0x2ab32aa2,0xbb800000,0x3b6a0000,0x80000acf,0xaba88000,0x26000000,
    0x2001acaa,0x13595503,0x0009a880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x203f9800,0x440005d8,0x002e404f,0xc880fe60,
    0xddddb005,0xb7100001,0x0001b017,0x37bbb600,0x2e200001,0x005e440c,
    0x2eeed880,0xdddd9000,0x80000005,0x001eeeec,0x2fbb6200,0x20001e40,
    0x000deeed,0x59302f22,0x3bae0000,0x000002ee,0x037bbb60,0x3bb20000,
    0x000001ee,0x83950000,0x20000cb8,0x0580bdc8,0x4c00a800,0xddd30001,
    0x09fb00bd,0x00005fd1,0x7fd10bf9,0x09f90000,0x22005fd1,0x0003fffe,
    0x77ffffcc,0x00007b8b,0x05ffff30,0x7ffe8000,0x0017ffe2,0x037fffe4,
    0x0bfffd00,0x7c400000,0x00003fff,0x3fffffe2,0x0001fbbe,0x00bfffe6,
    0x7ccdfff0,0xb00004ff,0x0000bfff,0x3fffe600,0xf8800001,0x00003fff,
    0x7bffdd93,0xf9059815,0x7ffec3ff,0xfffa8000,0x06c8bdff,0x2205f800,
    0xff70004f,0xff1001df,0x002ffccb,0x30eff880,0x20000dfd,0x3fe65ff8,
    0x7ffc4005,0x7ff40006,0x4fffffff,0xff700000,0x8800005f,0xff52ffff,
    0xf98001ff,0x003fffff,0x00fffd10,0x7fdc0000,0x6400003f,0xffffffff,
    0x7e40006f,0x7d4002ff,0xfff91fff,0x3a20000f,0x00000fff,0x02fffc80,
    0xfff50000,0xfd700007,0xfd9bffff,0x20bd59df,0xff14ffff,0xfd0005ff,
    0xffffffff,0xbfb00007,0x5fd75337,0x3fffa000,0x3bff2000,0x0001fffb,
    0x3efbfee0,0x200002ff,0xfffbeffc,0xfff98001,0xbdf30000,0x5fffffff,
    0x3fa00000,0xf000003f,0x3fe61fff,0xffd8006f,0x000fffce,0x005ffd10,
    0x3ff60000,0xee800004,0xffffffdb,0x7ffc0003,0xfff88002,0x017ffea7,
    0x2ffe8800,0xff800000,0x2000002f,0x40004ffd,0xadffffd8,0x5ffffb80,
    0x745fffb0,0x54000fff,0xfffffddf,0x980000ff,0xffffffff,0xfff30006,
    0xfff88003,0x00004fff,0x5ffffff8,0x7fc40000,0x0004ffff,0x4000ffe6,
    0x3ff6e279,0x3000002e,0x000007ff,0x3ae1f754,0x7fd4001e,0x000ffea5,
    0x0005fe88,0x04ff8800,0x441f0000,0x0001dfdb,0x0001ffcc,0xdfc85dd5,
    0x74400001,0x4000005f,0x00002ff9,0x0013fe20,0x5fffff30,0x0bffb100,
    0xdd313f62,0x44d70007,0x002dffeb,0x3fffee00,0x70001fff,0x320003ff,
    0x000fffff,0xffffb800,0xc800001f,0x000fffff,0x80037cc0,0x00031008,
    0x004fb800,0x00000000,0xff307fd0,0x3f440001,0x7dc00000,0x00000004,
    0x1fe40000,0x00000000,0x01fd1000,0x1fe40000,0x3ea00000,0x7fc40005,
    0x22004fff,0x000005fe,0x01100880,0x3fea0000,0x20000eff,0x220001fe,
    0x0003ffff,0x13fffa00,0x7fc40000,0x300003ff,0x00000005,0x00a60000,
    0x00000000,0xd3017dc0,0x0a880009,0x14c00000,0x00000000,0x00154000,
    0x00000000,0x00005440,0x00005500,0x00005300,0x00bffffd,0x0000bf10,
    0x00000000,0x00153000,0x00003500,0x00000000,0x00000000,0x10000000,
    0x59bdb953,0x00000013,0x4c400000,0x9acdedca,0x00000000,0x00000000,
    0xcc880000,0xcccccccc,0x6664c2cc,0x0004cccc,0x99999910,0x85999999,
    0xccccccc9,0x00000004,0x00000000,0x3f200000,0x0000ffff,0x200000bb,
    0xccccccc9,0x6664401c,0x0003cccc,0x40000000,0xcccccccb,0xcccccccc,
    0x66441ccc,0xcccccccc,0x009aaabc,0x66666540,0xcccccccc,0xcccccccc,
    0x99999911,0x05999999,0x59dfff90,0x007fffd9,0x99999991,0x55579999,
    0x64000013,0xecacefff,0xc8803fff,0xcccccccc,0x20002ccc,0x40000005,
    0x754c0005,0xaeffffff,0x7fdd4409,0x33221bef,0xcccccccc,0x3faa62cc,
    0x9aefffff,0x7ffdd440,0x333221be,0xcccccccc,0xcccccccc,0x6666540c,
    0x04cccccc,0x33333322,0x9999911c,0x99999999,0x19999999,0xdfffff10,
    0xfcad4000,0x1fffffff,0x43ffffea,0xfffffda8,0x7dcc00ef,0x0001beff,
    0xcc880016,0x3a03cccc,0xeeefffff,0xfffffeee,0xffd5306f,0xfdddffff,
    0x003dffff,0x3ffffff2,0xeffffffe,0x2ffffffe,0x3ffff6a6,0x2009bfff,
    0x302fffe9,0x9803dffd,0xffffffea,0xfffffeee,0x3a60001e,0xfd302fff,
    0xda9803df,0xbfffffff,0x5f500009,0x2a000000,0xf880002f,0x000fffff,
    0x2a601ff5,0xfffffffd,0xfff8809b,0xf5000fff,0x3f6a601f,0xeeefffff,
    0xffffffff,0x7fff5c41,0x401affff,0x0befffba,0x3ffff6a6,0xfffeeeff,
    0xb81fffff,0x005fffff,0xffff90c0,0x06ff40df,0xffffffc8,0x01ff3005,
    0x002fa800,0x3ffffaa0,0x0b7ffe06,0xffffffa8,0x7fffc402,0xfffea86f,
    0xdffc804f,0x7ffffe41,0x0bffea21,0x17fffffc,0x1ffffe40,0x13fffe20,
    0x3ffffe20,0xffffea86,0xfffc8004,0x7ffc403f,0xffff004f,0xb00005ff,
    0x000000bf,0x400017f6,0x007fffff,0x7fc01be2,0xf802ffff,0x2007ffff,
    0xff8806f8,0xa880ffff,0xf301fffe,0x00bfffff,0x2200efb8,0x80ffffff,
    0x81fffea8,0x03ffffff,0x7ffec000,0x007ee06f,0x9ffffffd,0x0001ba00,
    0x700017f6,0x7c0dffff,0x7ffc404f,0xff005fff,0x7f40dfff,0x3200efff,
    0xffff904f,0x05fd103f,0x03fffffa,0x09ffff70,0x0fffff20,0x1bffffe0,
    0x0effffe8,0x9ffff700,0x3ffff200,0xffffe803,0x7cc0000f,0x000001ff,
    0x000fffcc,0x3fffffc0,0x74017e00,0x800fffff,0x007fffff,0xffe802fc,
    0x7dc00fff,0x3ffee01f,0x36000fff,0xfffe800f,0x7fdc00ff,0x7ffffc41,
    0x4c00002f,0xb00fffff,0xffffd00b,0xbb005fff,0xfff98000,0x3fe60001,
    0x09f106ff,0xffffff90,0x3fffe001,0x3ffe606f,0x81b203ff,0x01fffffc,
    0x3ffa05f5,0x3e200fff,0x1000ffff,0x801fffff,0x206fffff,0x03fffff9,
    0x0fffff88,0xfffff100,0xffffe801,0x7ec0000f,0x000004ff,0x0027ffec,
    0x3fffffc0,0x74013a00,0x800fffff,0x007fffff,0xffe80274,0xfc800fff,
    0x7ffff401,0x07f3004f,0x3fffffa0,0x4c1fc800,0x00ffffff,0xfffd8000,
    0xd005f04f,0xfffffffb,0x0004d803,0x0027ffec,0x0dffff30,0xff3003e6,
    0x4007ffff,0x406ffffe,0x207fffff,0x3fff203c,0x40ba01ff,0x00fffffe,
    0x01bffffa,0x0bffffb0,0x06ffffe8,0x03fffffc,0x037ffff4,0x17ffff60,
    0x1fffffd0,0x7ffc4000,0x000000ff,0x01fffff1,0xfffff800,0x80274007,
    0x00fffffe,0x07fffff8,0xfe802740,0x8800ffff,0x7ffcc01f,0x6d800fff,
    0x3ffffa00,0x41f8800f,0x07fffffb,0xfff30000,0x200d50ff,0xfffffbbe,
    0x013600ef,0xfffff880,0xfff30000,0x2016a0df,0x06fffffe,0x37ffff40,
    0x3fffffa0,0x7e403900,0x2e01ffff,0xfffffd02,0x3fffee01,0x7fe4003f,
    0x3fa02fff,0x7f406fff,0x2e00ffff,0x003fffff,0x17ffffe4,0x1fffffd0,
    0x7ffe4000,0x000003ff,0x07fffff9,0xfffff800,0x80274007,0x00fffffe,
    0x07fffff8,0xfe802740,0x8580ffff,0xfffd801d,0x0fcc05ff,0xfffffd00,
    0xb83b0b01,0x00ffffff,0xfffd0000,0xd003d85f,0x3fffff27,0x0013605f,
    0x3fffffc8,0xffff3000,0xf700660d,0x003fffff,0x06ffffe8,0x0fffffec,
    0x7ffe4008,0x402201ff,0x00fffffe,0x03fffffb,0xfffffa80,0x3ffffa05,
    0x7fffec06,0x3fff601f,0x7d4001ff,0x3a05ffff,0x000fffff,0x3fffffe0,
    0xff000007,0x000fffff,0x07fffff8,0xfe802740,0xf800ffff,0x4007ffff,
    0xfffd004e,0x350f01ff,0xfffff300,0x002f403f,0x03fffffa,0xff506a1e,
    0x0003ffff,0x3fffee00,0x74003e26,0x3fffff63,0x0009b04f,0x3ffffffc,
    0xffff9800,0xfff10006,0xd0009fff,0xf80dffff,0x0007ffff,0x07fffff2,
    0x7ffff400,0xfffff00f,0xff98003f,0x3fa06fff,0x7fc06fff,0x7fc07fff,
    0x4001ffff,0x06fffff9,0x03fffffa,0x7fefdc00,0x00002fff,0x7fffefdc,
    0x3fe0002f,0x74007fff,0xffffd004,0xffff001f,0x04e800ff,0x1fffffd0,
    0x64000788,0x705fffff,0xffe8001f,0x03c40fff,0xffffff98,0x3e000002,
    0x0b71ffff,0xffd11f40,0x9b05ffff,0x3f7ee000,0x8002ffff,0x006ffff9,
    0xffffffb0,0xfffd0001,0x7ffcc0df,0x320005ff,0x001fffff,0x1fffffd0,
    0xffffff10,0xfff88001,0xffd00fff,0x7fcc0dff,0x3e205fff,0x000fffff,
    0x7fffffc4,0xfffffd00,0x2b3a0001,0x006fffff,0x7fd67400,0x20006fff,
    0x007fffff,0xffe80274,0xff800fff,0x74007fff,0xffffd004,0x0007c81f,
    0x7fffffc4,0x4001fc41,0x40fffffe,0xfff1007c,0x00007fff,0xaffffe40,
    0x30fa002e,0x1fffffff,0x9d0004d8,0x0dfffff5,0xdffff300,0xffff5000,
    0x3a0005ff,0x3206ffff,0x001fffff,0x3fffff20,0xfffd0001,0xfff501ff,
    0x88001fff,0x01ffffff,0x40dffffd,0x01fffffc,0x3fffffea,0x7ffc4000,
    0xffd01fff,0x50001fff,0x3ffffa1f,0xf500001f,0x3fffffa1,0xffff0001,
    0x04e800ff,0x1fffffd0,0xffffff00,0xd004e800,0x4c1fffff,0xfc80007f,
    0x36c6ffff,0xffffe800,0x801fe60f,0x04fffffd,0x3fe20000,0x4007afff,
    0xffffa83e,0x01360eff,0x7ff43ea0,0x4c001fff,0x4006ffff,0x5fffffe8,
    0x3fffa000,0xffff906f,0xfc80005f,0x0001ffff,0x01fffffd,0x0ffffff7,
    0xfffff100,0x3fffa05f,0xffff906f,0xfffb805f,0xf88007ff,0xd02fffff,
    0x001fffff,0x7ffdcbb0,0xb00005ff,0x7ffffdcb,0xffff0005,0x04e800ff,
    0x1fffffd0,0xffffff00,0xd004e800,0x733fffff,0x10000fff,0x25ffffff,
    0xfd0002f9,0xf733ffff,0x7fcc00ff,0x00006fff,0x7ffffec0,0xc81f4004,
    0x25ffffff,0x25d8004d,0x05fffffb,0x37fffcc0,0x3ffff200,0x3a0000ff,
    0xccaeffff,0x0cffffee,0xfffc8000,0xfd0001ff,0xf501ffff,0x000fffff,
    0x5ffffff1,0x3bffffa0,0xfffeecca,0xffa800cf,0x88007fff,0x02ffffff,
    0x01fffffd,0x3e21f980,0x000fffff,0xff10fcc0,0x0001ffff,0x00ffffff,
    0xffd004e8,0xff001fff,0xe800ffff,0xffffd004,0x0fffffff,0x3ffee000,
    0x000bd6ff,0x7ffffff4,0x4007ffff,0x01fffffe,0xff300200,0xe8003fff,
    0x3ffff603,0x8009b3ff,0x3ffe21f9,0x26000fff,0x2006ffff,0x3ffffff9,
    0x7fff4000,0xffffeeff,0x200000ff,0x01fffffc,0xfffffd00,0xfffff301,
    0xff88001f,0xfd01ffff,0xffddffff,0x4001ffff,0x0ffffff9,0x7fffc400,
    0xfffd01ff,0x5d8001ff,0x4fffffc8,0x642ec000,0x004fffff,0x07fffff8,
    0xfe802740,0xf800ffff,0x4007ffff,0xfffd004e,0xfff975ff,0x7ff40000,
    0x000fefff,0x3fffffa0,0x007ffcba,0x2fffffc4,0xe801d800,0xe8006fff,
    0x3fffa203,0x004d9fff,0x7ffe42ec,0x3e6004ff,0x3a006fff,0x006fffff,
    0x6ffffe80,0x9ffffff1,0x7fe40000,0xd0001fff,0x101fffff,0x03ffffff,
    0xfffff980,0x3ffffa07,0xffffff16,0x7ffc4009,0x4c001fff,0x207fffff,
    0x00fffffe,0x3e20be20,0x000fffff,0xff105f10,0x8001ffff,0x007fffff,
    0xffe80274,0xff800fff,0x74007fff,0xffffd004,0x003fdc1f,0xfffff500,
    0xfe80007f,0x3ee0ffff,0xfffa8007,0x362003ff,0xfffa800f,0x403e8003,
    0xfffffff9,0x0be2004e,0x3fffffe2,0xffff3000,0x3ffee00d,0x80001fff,
    0x2a6ffffe,0x01ffffff,0xffff9000,0x3fa0003f,0xff00ffff,0x8005ffff,
    0x06fffff9,0xa9bffffa,0x01ffffff,0x3fffffe0,0x7ffcc002,0x3ffa06ff,
    0x32000fff,0x3ffff606,0x0d90003f,0x1fffffec,0x3ffffe00,0x8027c007,
    0x00fffffe,0x07fffff8,0xfe8027c0,0x3ec0ffff,0x3ffa0000,0x40001fff,
    0x40fffffe,0xff50007d,0xf5007fff,0x7ffc001b,0x803e8000,0xfffffffa,
    0xd81b2004,0x003fffff,0x00dffff3,0x9ffffff1,0xffd02400,0xfffc8dff,
    0x80000eff,0x01fffffc,0xfffffd00,0x3ffff201,0x7fdc002f,0x3fa03fff,
    0x7fe46fff,0x9000efff,0x005fffff,0x3fffffb8,0x3fffffa0,0x2ab7e000,
    0xfffcaaaa,0xbf0006ff,0xf9555555,0x800dffff,0x007ffffe,0xffe801fc,
    0xfe800fff,0x7c007fff,0xffffd003,0x0007a81f,0x7ffffe40,0x7ff40001,
    0x03d40fff,0xffffb100,0xfb73357f,0xbf70007f,0x400fa000,0x4ffffffb,
    0x2aab7e00,0xffffcaaa,0xfff3006f,0xfffb00df,0x22001fff,0x3ffffa06,
    0x7ffff446,0xfc80005f,0x0001ffff,0x01fffffd,0x13ffffe2,0xfffffb00,
    0x7ffff401,0x7ffff446,0xfff1005f,0xfd8009ff,0x3a00ffff,0x000fffff,
    0xfffffff7,0xffffffff,0xfffb8005,0xffffffff,0x2002ffff,0x007ffffe,
    0x7f400be2,0xe800ffff,0x2007ffff,0xffd002f8,0x07881fff,0x3ff20012,
    0x40001fff,0x40fffffe,0x4c012078,0xfffffffc,0x10001def,0x0fa0005f,
    0xfffffd80,0xffff7004,0xffffffff,0xf3005fff,0xfa80dfff,0x002fffff,
    0xfffe816a,0xffff986f,0x640002ff,0x001fffff,0x1fffffd0,0x7ffffe40,
    0x3fffa000,0x7fff403f,0xffff986f,0xff9002ff,0x74001fff,0x7403ffff,
    0x000fffff,0xfff5007d,0x3e800dff,0xfffffa80,0x3fff6006,0x07ea007f,
    0x7fffff40,0xffffd800,0x007ea007,0x07fffff4,0x80068834,0x01fffffc,
    0x7ffff400,0x0d10680f,0x37f75300,0x01a60000,0x74003e80,0xd004ffff,
    0xffff5007,0xfff300df,0xfffe80df,0x274005ff,0x0dffffd0,0x3ffffff2,
    0x3ff20000,0xd0001fff,0x401fffff,0x03fffff8,0x0dffff50,0x0dffffd0,
    0x3ffffff2,0xffff8800,0xfff5003f,0xfffd00df,0x1f5001ff,0x3ffffe00,
    0x01f5001f,0x3fffffe0,0xffff5001,0x01f6003f,0x0fffffe8,0xfffffa80,
    0x400fb001,0x00fffffe,0x32001720,0x001fffff,0x7fffff40,0x00172000,
    0x88003fd8,0x20003d81,0x7fc4003e,0x0fa804ff,0xffffff00,0xffff9803,
    0x3ffff206,0x3f2001ff,0x3ffffa04,0x3ffffa06,0x3f20006f,0x0001ffff,
    0x01fffffd,0x06fffe98,0x01dfffd0,0x0dffffd0,0x37fffff4,0x6fffe980,
    0x1dfffd00,0xfffffd00,0x400bd001,0x05fffffb,0x7dc00bd0,0x1005ffff,
    0x009fffff,0x7f4007f7,0x8800ffff,0x804fffff,0x3fa003fb,0x3000ffff,
    0xff90009f,0x80003fff,0x00fffffe,0x20009f30,0x2004fffa,0x03e25ffa,
    0x0027c400,0x4027ffcc,0x3fee005e,0x7cc05fff,0xff306fff,0x2009ffff,
    0x3e03ffd8,0x2206ffff,0x03ffffff,0xfffff900,0x3ffa0003,0xd8800fff,
    0x7e404fff,0x3fe005ff,0x3e206fff,0x003fffff,0x809fffb1,0x2005fffc,
    0x00fffffe,0xf10017d4,0x803fffff,0x3e2002fa,0x001fffff,0x09fffff5,
    0x3a002fd4,0x000fffff,0x09fffff5,0x3a002fd4,0x800fffff,0xc8003ff8,
    0x001fffff,0x7fffff40,0x03ff8800,0x01ffea00,0x970fffd8,0x02fd4000,
    0x404ffb80,0x3e2002fa,0x201fffff,0xb06ffff9,0x00dfffff,0x80bfffee,
    0x407fffff,0x2ffffffb,0xffffd800,0xffd0002f,0x5c001fff,0x2a21dfff,
    0x4003fffd,0x407fffff,0x2ffffffb,0x37ffee00,0x3fff6a21,0x7fff4003,
    0x3fe200ff,0x7ffec002,0x3fe205ff,0x7ffec002,0x3ee005ff,0xaaceffff,
    0xe8005ffd,0x000fffff,0x3bffffee,0x05ffdaac,0xfffffe80,0x3ffee201,
    0xfffd8001,0x740002ff,0x201fffff,0x001fffb8,0x8017fe60,0x0f9afffd,
    0x7ffb1000,0x09f90001,0x20017fc4,0x05fffffd,0x21ffffe6,0xcffffffa,
    0xcbaaaaaa,0x01fffffe,0x5ffffff7,0xfffffd80,0x3fe6001f,0x8005ffff,
    0x4ffffffa,0x7ff64c00,0x1cdfffef,0x7fffdc00,0x7fec02ff,0x2001ffff,
    0xfefffec9,0x4001cdff,0x4ffffffa,0x00dffd30,0xffffffe8,0x06ffe983,
    0x7fffff40,0x3f62003f,0xefffffff,0xfffa8002,0x44004fff,0xfffffffd,
    0xfa8002ef,0xabefffff,0xffffdcaa,0x7fcc000f,0x0005ffff,0x3fffffea,
    0xfdcaaabe,0x0000ffff,0x4005ffb3,0x02fffffa,0xffffea80,0x74000dff,
    0x0dffd304,0xfffffe80,0xffff903f,0x7fffc43f,0xffffffff,0xffffffff,
    0x3ffa60ff,0xefffffff,0xffff880e,0x76406fff,0xffffffff,0x3b2203df,
    0xffffffff,0xa88002df,0xe98000ab,0xffffffff,0xff880eef,0x006fffff,
    0x00157510,0xffffd910,0x25bfffff,0xeffffffc,0xffffb501,0x23ffffff,
    0xeffffffc,0xffffb501,0x03ffffff,0x56655440,0x7644000a,0xffffffff,
    0x2a2002df,0x000aacca,0x7ffff644,0xffffffff,0x07ffffff,0xffffd950,
    0x19bfffff,0xfffec880,0xffffffff,0x7fffffff,0xceef8800,0xdfda8001,
    0x00000001,0x3ff20a20,0x501effff,0xfffffffb,0x3fe23fff,0x05ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99755553,0x00999999,
    0x277774c0,0x00000000,0x00fbbb60,0xb803d000,0x00000004,0xc801b100,
    0x00020003,0x5401db00,0x6540001e,0x00000001,0x803b2000,0x640002e9,
    0x0001eeee,0x05300326,0x33333322,0xaabccccc,0x65c0009a,0x0004cccc,
    0x05e5c400,0xccc88024,0xcccccccc,0x2200003c,0x99999999,0x99300199,
    0x03999999,0xcccccc88,0x032e203c,0x7ff64400,0xfeeeefff,0x20001bdf,
    0x000efffd,0x7dffdb70,0xb8001541,0x000fffff,0x5403fa00,0x4c40004f,
    0xdffffecb,0xdf01dc0b,0x000bee01,0x00037faa,0x5c0f7c40,0x7ec0006f,
    0x440002ff,0xbdefedca,0x7c40000a,0x006fb81f,0x1ffffc40,0x8077c000,
    0x3aa604fb,0xeeffffff,0x1efffffe,0xffffb300,0x2000001f,0xadfffff9,
    0x2a6006c8,0xeffffffe,0x2000009a,0xfffffffa,0x8801ffff,0xffffffda,
    0x7fdcc00e,0x3fa01bef,0x74c001ff,0x4fffffff,0x40001be2,0x8000efff,
    0xcaadffe9,0x002ebdff,0xffffff88,0x3f200004,0xffecbcdf,0x3faa0002,
    0xecabceff,0x03fbbeff,0x36ef7ff6,0xe8000ffe,0x00004fff,0xffd8bff2,
    0x3fe60001,0x320005ff,0xecacefff,0x40004fff,0x3ff22ffc,0x7fdc0002,
    0xf700003f,0x00ffd83f,0x6fffff88,0x4ffffea8,0xfffff100,0x3a000001,
    0xffffffff,0xff88004f,0x0001ffff,0xfffff500,0x03ffffff,0xfffffc80,
    0x1ff3005f,0x4ffffa80,0x3fffe600,0x224fffff,0xfa80005f,0xf98000ef,
    0xffc880ef,0xffc8003f,0x001fffbe,0xffffd100,0x2000bfff,0x00efffc8,
    0x0fffffa6,0xffffff88,0xf88004ff,0x00006fff,0x3fafffe2,0x7c40005f,
    0x98005fff,0xf302fffe,0x20003dff,0xffebfff8,0xffd80005,0x7f400003,
    0x02ffe8af,0x1bffffe0,0x0effffe8,0x0fffff80,0xef980000,0xfffffffd,
    0xfffd0001,0x000001ff,0x3bbbbbaa,0x000eeeee,0xffffffe8,0x300dd004,
    0x4009ffff,0xfffffffe,0x013e24ff,0x003bf200,0x00bffa20,0x88007ff7,
    0xbff30eff,0x7fcc0000,0x000effff,0x0efffe98,0x07fff700,0xffffffa8,
    0x3ffa0005,0x6400004f,0x00ffffff,0x1fffd800,0x7fffe400,0x7fffd403,
    0xfff70004,0x80003fff,0x00004ff8,0xffffffa8,0x7fffc006,0x3ffe606f,
    0xfff803ff,0x800000ff,0x3ffae26a,0x3fa0002e,0x00007fff,0x40000000,
    0xfffffffe,0xd005d802,0x2a001fff,0xffffffff,0x013e24ff,0x0003fe00,
    0xd803ffe4,0x27ec003f,0x0000ff4c,0x07dfd910,0x3fffe200,0x7fdc000f,
    0xeffd8803,0x7ecc0003,0x4400000c,0x004fffff,0x0002e600,0x009ffff7,
    0x00ffffee,0x3ffffe20,0x4fb80004,0x3fa00000,0x4001ffff,0x406ffffe,
    0x807fffff,0x000fffff,0x31019800,0xfffd0000,0x000000ff,0xde800000,
    0x1fffffff,0x750026c0,0x7ffe4001,0x4fffffff,0x100013e2,0x7ec00015,
    0x3f8800ff,0x880fe600,0x0000005e,0xffffd000,0x0ff20009,0x00000000,
    0xffb80000,0x000000ff,0x7fffc400,0xfff1000f,0xf70001ff,0x00001fff,
    0x80000053,0x005ffffa,0x06ffffe8,0x07fffff4,0x03ffffe0,0x00000000,
    0x7ffff400,0x44000007,0xacdedca9,0x77d00009,0x1dffffff,0x000026c0,
    0x3fffffa0,0x224fffff,0x0000004f,0x05ffff80,0x00000790,0x00000000,
    0x7ffffdc0,0x07f10000,0x00000000,0x00000000,0x00353100,0x06ffffe8,
    0x2fffff40,0x00000000,0x54000000,0xe8000aaa,0x6c06ffff,0x401fffff,
    0x000fffff,0x00160000,0x7ffffe80,0x3f200000,0xfecaceff,0x3e8003ff,
    0xbffffff9,0x664426c0,0xcccccccc,0xffff02cc,0x9fffffff,0x65c027c4,
    0xcccccccc,0xcccccccc,0xfffff81c,0x0003a805,0x32200058,0xcccccccc,
    0xcccccccc,0xff980ccc,0x40005fff,0xcccc883c,0xcccccccc,0x99999912,
    0x99999999,0x81999999,0xccccccca,0x09aabccc,0x3ffa6000,0xeeeeefff,
    0x3fffee4e,0x7fdc003f,0x33222fff,0xcccccccc,0xcccccccc,0x666440cc,
    0xcccccccc,0x1a80003c,0x3a000a88,0x7c06ffff,0xf807ffff,0x3e20ffff,
    0x02ffffff,0x000bea00,0x3fffff40,0x7f4c0000,0xffd302ff,0xb1f4003d,
    0x09ffffff,0x7ed4c136,0x9bffffff,0xfffffb00,0x449fffff,0xfffe804f,
    0xeeeeeeff,0x06ffffff,0x5ffffffb,0xfa800000,0x36a60002,0xeeffffff,
    0xfffffffe,0xffffc81f,0x1440003f,0xffffda98,0x2609bfff,0xffffffda,
    0xfffffeee,0x5cc41fff,0xffffffff,0x1cefffff,0x33fff200,0xffffff90,
    0x7ffffecb,0x7ffd4001,0x7ed4c5ff,0xeeefffff,0xffffffff,0xfffea981,
    0x009aefff,0x12fff400,0x3a007fff,0x2606ffff,0x805fffff,0xb80fffff,
    0x80002fff,0xd00005fd,0x000fffff,0x3ffffc80,0x27fffc40,0x3fa23e80,
    0xd82fffff,0xfffff804,0xfffb802f,0x4fffffff,0x3fe013e2,0x3fea02df,
    0xf702ffff,0x5dffffff,0x3f600000,0xff880005,0xa880ffff,0xfe81fffe,
    0x0002ffff,0xfffff000,0xfff8805f,0xea880fff,0x3e601fff,0x64c6ffff,
    0x400dffff,0x7c47fffa,0x3e099eff,0x001fffff,0x37ffffcc,0xffffff88,
    0xfffea880,0x3fffe201,0x500001ff,0x3f21ffff,0xffd006ff,0x7fe40dff,
    0xff801fff,0xef980fff,0xff980000,0xfe80001f,0x00007fff,0x013fffee,
    0x01ffffe4,0x3ffe61f4,0x26c0ffff,0x7fffff40,0xffff9800,0x24ffffff,
    0x4ff804f8,0x7ffffc40,0x3ffa205f,0x1effffff,0x3fe60000,0xfe80001f,
    0x5c00ffff,0xffff81ff,0x000001ff,0x1fffffd0,0xfffffd00,0x01ffb801,
    0x1bffffe2,0x17ffffd4,0x84ffff88,0x7c43fffd,0x000fffff,0x7fffffcc,
    0xfffffd00,0x01ffb801,0x07fffff4,0xfff98000,0x017ffee7,0x837ffff4,
    0x02fffffc,0x01fffff0,0x200001dd,0x0004fffd,0x07ffffe8,0xffff1000,
    0x3fe2001f,0x1f400fff,0x7fffffd4,0x3a01360e,0x800fffff,0xfffffff8,
    0x13e24fff,0xf9009f10,0x801fffff,0xfffffff8,0x0000dfff,0x004fffd8,
    0xfffffe80,0x441fc800,0x00ffffff,0xffd00000,0xfd001fff,0x9001ffff,
    0x7ffc403f,0x3fee06ff,0xffa81fff,0xfffd84ff,0x7ffffd46,0x7fc4000f,
    0xfd01ffff,0x9001ffff,0xfffe803f,0x6400007f,0x3bfa23ff,0xffffd001,
    0xffdd995d,0x7c0019ff,0x76c0ffff,0xff100000,0x80001fff,0x007ffffe,
    0xdffffd00,0xffffd800,0xfc81f405,0x365fffff,0xffffe804,0xfff9000f,
    0x49ffffff,0x07cc04f8,0x3ffffe60,0xfff3003f,0xffffffff,0x7fc40003,
    0x40000fff,0x00fffffe,0x7fd41f88,0x0000ffff,0xffffd000,0xfffd001f,
    0x3f1001ff,0x6fffff80,0x77ffff40,0x1ffffdc0,0x707fffe4,0x00ffffff,
    0x3fffffe0,0xfffffd03,0x803f1001,0x007ffffe,0x00200800,0xdfffffd0,
    0x1ffffffd,0xfffff000,0x000076c1,0x7fffff90,0xfffe8000,0xfb80007f,
    0x4003ffff,0x02fffffc,0xfffd80fa,0x009b3fff,0x01fffffd,0x7fffff40,
    0x13e24fff,0xffd00b50,0x8800dfff,0xfffffffd,0x90002fff,0x007fffff,
    0xfffffe80,0x541d8580,0x00ffffff,0xffd00000,0xfd001fff,0x0b01ffff,
    0xffff803b,0x7ffdc06f,0x7ffd44ff,0x7fffc83f,0x3fffffdc,0xfffff800,
    0xffffd02f,0x03b0b01f,0x07ffffe8,0x00000000,0x8b7ffff4,0x04ffffff,
    0x0fffff80,0x00001dfb,0x3ffffffc,0x3fffa000,0xfd80007f,0x4001ffff,
    0x05fffffa,0xffe880fa,0x04d9ffff,0x0fffffe8,0x7fffe400,0x13e24fff,
    0xffb80330,0x0001ffff,0xffffffd3,0xf0001fff,0x00ffffff,0xfffffe80,
    0x4c1a8780,0x00ffffff,0x4cccccc4,0xd0099999,0x001fffff,0x01fffffd,
    0xff80350f,0x7c406fff,0x7c0fffff,0xffd84fff,0x7fffcc5f,0x7c4000ff,
    0xd01fffff,0xf01fffff,0xffe80350,0x6c0007ff,0x267fffff,0x04ffffff,
    0x537ffff4,0x03ffffff,0x8fffff80,0x0004fffd,0xffffbf70,0x7f40005f,
    0x80007fff,0x01ffffff,0x7ffffcc0,0xf300fa06,0x9dffffff,0xfffffd00,
    0xfd710001,0x27c49fff,0x3ffe2000,0x80004fff,0xffffffea,0x6fdc004f,
    0x002fffff,0x3fffffa0,0xff003c40,0x9803ffff,0xffffffdb,0xffd00cef,
    0xfd001fff,0x7881ffff,0xfffff000,0xffffb00d,0x5fffd87f,0x442fffe8,
    0x01ffffff,0x7ffffcc0,0x3ffffa07,0x8003c40f,0x007ffffe,0x7ffffb80,
    0x27ffff44,0x1bffffa0,0x1dfffff9,0x7ffffc00,0x02fffffd,0xfface800,
    0x20006fff,0x007ffffe,0xffff1198,0xf88001ff,0xd00fffff,0xffff5007,
    0xfd009fff,0x0001ffff,0x7c49f510,0x7fec0004,0x7000ffff,0xfffff500,
    0xace800df,0x006fffff,0x3fffffa0,0xfd003e40,0x4005ffff,0x06fffffc,
    0x0fffffe8,0xfffffe80,0xf8003e40,0xc806ffff,0x445fffff,0x3e20fffe,
    0xffff04ff,0xfa8005ff,0x3a06ffff,0x640fffff,0xfffd0007,0xf10000ff,
    0xff90ffff,0xffe809ff,0x7ff446ff,0x3e005fff,0xffceffff,0x20000fff,
    0xffffd0fa,0x3fa0003f,0xd8007fff,0xffffff51,0xfff88001,0x07d01fff,
    0x3ffffee0,0xfffe804f,0x300000ff,0x0027c49f,0xffffff50,0x401e2005,
    0x07ffffd8,0x7ff43ea0,0xd0001fff,0x4c1fffff,0x3ff2007f,0x2a003fff,
    0x804fffff,0x00fffffe,0x0fffffe8,0x7c001fe6,0xc806ffff,0x886fffff,
    0xffbaeffc,0x3fff202f,0x7dc003ff,0x3a04ffff,0x260fffff,0xffd0007f,
    0x20000fff,0xfb87ffff,0x7f404fff,0xff986fff,0xf002ffff,0x3fa1ffff,
    0x20005fff,0x3fffee5d,0xffd0005f,0xf8800fff,0xffffff70,0xffff1000,
    0x00fa05ff,0x4fffffd8,0xfffffe80,0x9f300000,0x880027c4,0x05fffffe,
    0x4400be20,0x2007fffe,0x3fffee5d,0xffd0005f,0xff733fff,0x7ffcc00f,
    0x3ea006ff,0xe803ffff,0x800fffff,0x99fffffe,0xf0007ffb,0x700dffff,
    0x40ffffff,0x0aceeefb,0x7ffffc40,0x7ffe4004,0x3ffa00ff,0xffb99fff,
    0xfffd0007,0x3e0000ff,0xffb87fff,0x7ff404ff,0xfff906ff,0xff001fff,
    0x3fe61fff,0x98002fff,0x3fffe21f,0xfe8000ff,0x5c007fff,0x3ffffea7,
    0xfff88007,0x07d02fff,0x4ffffe80,0xfffffe80,0x9f300000,0xc80027c4,
    0x00ffffff,0xa8013e20,0xf3006fff,0x7ffffc43,0xffe8000f,0xffffffff,
    0x7ffdc007,0xff5001ff,0xfd007fff,0xd001ffff,0xffffffff,0x3e000fff,
    0xa806ffff,0x80ffffff,0x320000ec,0x000fffff,0x07fffff1,0xffffffe8,
    0x0007ffff,0x00fffffd,0x1ffffe00,0x013fffee,0x40dffffd,0x06fffffe,
    0x20fffff8,0x00fffffc,0x7fe42ec0,0xe8004fff,0x2007ffff,0x3ffe67f8,
    0x44000fff,0x01ffffff,0xff88007d,0xffe804ff,0x00000fff,0x027c49f3,
    0x7ffffcc0,0x7fc4003f,0x9fff1001,0x3f217600,0x8004ffff,0xbafffffe,
    0xd8007ffc,0x5004ffff,0x007fffff,0x01fffffd,0x5fffffd0,0x000fff97,
    0x01bffffe,0x1fffffea,0x80007fd1,0x03fffff8,0x0dffff70,0x5fffffd0,
    0x000fff97,0x01fffffa,0x3ffffc00,0x027fffdc,0x81bffffe,0x3ffffff8,
    0x07ffffc0,0x017ffffa,0xff882f88,0x4000ffff,0x00fffffe,0x3e26fe88,
    0x001fffff,0x3fffffcc,0x98004f88,0xfe804fff,0x0000ffff,0x27c49f30,
    0x7ffff400,0xff88006f,0xfffa800f,0x882f8800,0x00ffffff,0x7fffff40,
    0x2001fee0,0x01fffff8,0x3fffffa8,0xfffffe80,0xffffe800,0x001fee0f,
    0x037ffffc,0x37ffffdc,0x00037fee,0x0dfffd30,0x03bfffa0,0x3fffffa0,
    0x4001fee0,0x007ffffe,0x0fffff00,0x809ffff7,0x407fffff,0x2ffffffb,
    0x03ffffe0,0x07fffff3,0xffd81b20,0x7c003fff,0x401fffff,0x7fc5ffe8,
    0x4002ffff,0x06fffff9,0x2e000bf5,0xffe804ff,0x00000fff,0x027c49f3,
    0x3ffffee0,0xff88001f,0x7ff400ef,0x6c0d9002,0x003fffff,0x07fffff4,
    0x6c4001f6,0x5402ffff,0x803fffff,0x00fffffe,0x0fffffe8,0xff8003ec,
    0xfc806fff,0x7f45ffff,0xefffffff,0x74401bde,0x7e404fff,0xfd000eff,
    0x7d81ffff,0xffffd000,0x3fe0000f,0xfffb87ff,0x3ffee04f,0x7ec02fff,
    0x981fffff,0xe83fffff,0x802fffff,0xaaaaaadf,0x06fffffc,0x3ffffea0,
    0xcaaaabff,0x644ffffe,0x002fffff,0x1fffffdc,0x005ffec4,0x74027e40,
    0x000fffff,0x7c49f300,0x3ffe2004,0x92004fff,0x0bfffff8,0x001ffed4,
    0x555555bf,0x0dfffff9,0xfffffe80,0x20003d40,0x09bfffea,0x3ffff262,
    0xfffe801e,0xffe800ff,0x03d40fff,0x6fffff80,0xfffffd80,0x7fffff43,
    0xffffffff,0x7ffec402,0x7ffecc1d,0x7fff4005,0x003d40ff,0x07ffffe8,
    0x7ffc1980,0xffffb87f,0x7ffff4c4,0x0eefffff,0xffffff88,0x3ffff26f,
    0x3ff26fff,0x205fffff,0xfffffffb,0xffffffff,0x3ffb6202,0xffffffff,
    0xffffffff,0x7fffc43f,0x7fec004f,0x3faa0fff,0x00dfffff,0x7f402740,
    0x0000ffff,0x27c49f30,0xfffffb00,0x89a2001f,0xeffda9bf,0x000dfffd,
    0x3fffffee,0xffffffff,0x3ffa002f,0x03c40fff,0x3f6e2009,0xfffeefff,
    0x3a000bdf,0x800fffff,0x40fffffe,0xff812078,0xfe806fff,0x7dc2ffff,
    0xffffffff,0x801fffff,0xfefffeb8,0x8000beff,0x40fffffe,0xfe812078,
    0xd8007fff,0x43ffffc1,0x004ffffb,0x00000000,0x00fa0000,0x1bffffea,
    0x40000000,0x00fffffc,0x0fffffa0,0x0a200000,0x3fffffa0,0x9f300000,
    0xfa8027c4,0x002fffff,0x2ea0716a,0xe80009bf,0xffffa803,0x3ffa006f,
    0x10680fff,0x3ee6000d,0x00019aac,0x03fffffa,0x3fffffa0,0x40d10680,
    0x406fffff,0x06fffff8,0xfffffff5,0x09ffffff,0xfffffb80,0x7ff40006,
    0x10680fff,0x7ffff40d,0x207c4007,0xfb87ffff,0x20004fff,0x0001cefa,
    0x003dfe80,0x7c003ea0,0x001fffff,0x001efec0,0x3fffff88,0xdffff500,
    0xbdfd8000,0x7ff40000,0x00000fff,0x027c49f3,0x5fffffe8,0xb0027400,
    0x3ea0007f,0xfffff000,0x3ffa003f,0x32000fff,0x33ee0005,0xffd00000,
    0xfd001fff,0x4001ffff,0x3fffe05c,0x7ffdc06f,0xefb881ff,0xeccccbcc,
    0xe8005fff,0x002fffff,0x3fffffa0,0xe8172000,0x4007ffff,0xfffff87b,
    0x27fffdc0,0xdfff5000,0xffb00000,0x17a0005f,0xfffffb80,0x7fec0005,
    0xfd30002f,0x3fa00dff,0x40000eff,0x0003fffd,0x07fffff4,0x24f98000,
    0xffc804f8,0x2001ffff,0xff5004fc,0x0bd0009f,0x7ffffdc0,0xffffd005,
    0x13e6001f,0x37ffcc00,0xfffe8000,0xffe800ff,0xf3000fff,0x7ffffc09,
    0x7ffffc06,0x00eff884,0x8003ffb8,0x0efffffa,0xffffd000,0x13e6001f,
    0x07ffffe8,0x3fa1fe20,0x3fe20fff,0x40004fff,0x0000fff8,0x005ffb80,
    0x22002fa8,0x01ffffff,0x037fdc00,0x9fffb100,0x05fffc80,0x1bfea000,
    0xffffd000,0x2600001f,0x3013e24f,0x09ffffff,0x00fff620,0x4007ffa8,
    0x3e2002fa,0x801fffff,0x00fffffe,0x0003ff88,0x0003ffe2,0x3fffffa0,
    0xffffe800,0x3ff8800f,0xdfffff10,0x2ffffdc0,0x3004ffb8,0x2e0001ff,
    0x00efffff,0xfffffe80,0x03ff8800,0x03fffffa,0x321bfa20,0xfd34ffff,
    0x0009ffff,0x0001ffd0,0x00bff500,0x4002ff88,0x05fffffd,0x02ffd400,
    0x6fffdc00,0x3fff6a21,0x7cc00003,0x7f40005f,0x0000ffff,0x27c49f30,
    0x3fffff60,0xffff7006,0x2ffcc005,0x005ff100,0x5fffffd8,0xfffffe80,
    0x3ffee201,0x3fe20001,0xffd00007,0xfd001fff,0x4403ffff,0xf101fffb,
    0x320fffff,0x2603ffff,0x6c400fff,0x7d40003f,0x09cfffff,0xfffffd00,
    0x7ffdc403,0x3ffffe01,0x7ff4401f,0xffffe885,0xffffbcff,0x3f260006,
    0x4400004f,0x2001ffe9,0x4006ffe9,0x3ffffffe,0x3ffd3000,0x3b260000,
    0xdfffefff,0x4c00001c,0x20002ffe,0x4ffffffa,0x49f30000,0x3fea04f8,
    0xaaacffff,0xffecbaaa,0xb3001fff,0x3a6005ff,0x7f4006ff,0x203fffff,
    0xeffffffa,0xffdcaaab,0x30000fff,0x00009ffb,0x9ffffff5,0xfffffa80,
    0xdcaaabef,0x900fffff,0x5bffffff,0x3bfffd97,0x59ffd500,0x3ffb9535,
    0x3f220000,0xffffffff,0xfffff501,0xb95557df,0x201fffff,0xfffffffa,
    0xfecaaaab,0xfd304fff,0x3fee7fff,0x4001ffff,0x0002defe,0x06777cc0,
    0xfffff900,0x3f6a03df,0xffffffff,0xddf3001f,0x40000039,0x0000aba8,
    0x39ddf100,0xffd91000,0xbfffffff,0x27cc0005,0x3fe209f1,0xffffffff,
    0xffffffff,0x4400ffff,0x9001ceef,0x3dffffff,0x3ffff6a0,0x11ffffff,
    0xffffffd9,0xffffffff,0x000fffff,0x000b7bfe,0xffffec88,0x12dfffff,
    0xffffffd9,0xffffffff,0xda8fffff,0xfffffffe,0x01ceefff,0xffdb9500,
    0x0001359b,0x2f32aa00,0x7f64409a,0xffffffff,0xffffffff,0x7ff6c47f,
    0xffffffff,0xffffffff,0x00d4c03f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x003cccc9,0x64c0bb88,0x6664400b,0x66443ccc,0xcccccccc,
    0x9999504c,0x00099999,0x32600000,0x00164c0b,0x32605e4c,0xdfda8002,
    0x99973c42,0x99103999,0x80000999,0x164c0bc8,0x2c980000,0x19800000,
    0x33333322,0x9998800c,0x19999999,0x26666200,0x01999999,0x51000000,
    0x33331003,0x03333333,0x4cccc400,0x01999999,0x99999880,0x00199999,
    0x00000000,0x00000062,0x40001400,0x000efffd,0x3e26ffe8,0xfea805ff,
    0xda986fff,0xbfffffff,0xfff93101,0x400037df,0x0002dfd9,0x7d4bfff1,
    0x3e2003ff,0x3ffea5ff,0x3ffee003,0x25dadfff,0x3ffffb98,0x03ffff50,
    0x37ffc000,0x0009fff3,0x06fff980,0x11740000,0x035bffff,0x3fffff20,
    0x007fffff,0x3ffffff2,0x0007ffff,0xffe88000,0x7fffdc03,0x0fffffff,
    0xffff7000,0x1fffffff,0xffffc800,0x07ffffff,0xd5000000,0x2bee003d,
    0x6dc40000,0x0bcefffe,0x20000fc8,0x000efff8,0x71ffff98,0x2e00ffff,
    0x7406ffff,0x002fffff,0x00013ffe,0x0ff2b7ea,0x3fffee00,0x00dfffb0,
    0xd87fffdc,0xf1006fff,0xffffffff,0x3fff607f,0x13ffee03,0x7ffd4000,
    0x0ffff91f,0xfffd8000,0x3000001f,0x0ffff88f,0x7fffe400,0x07ffffff,
    0x3fffff20,0x007fffff,0xff880000,0x7ffdc06f,0xffffffff,0xfff70000,
    0xffffffff,0xfffc8001,0x7fffffff,0xf0000000,0x7edc0dff,0x01ceffff,
    0x37fff620,0xcffffdac,0x80003f70,0x0000effa,0x261ffff1,0xf3006fff,
    0xfd80dfff,0x5001ffff,0x200005ff,0x40035c4d,0x3ee6fff9,0x3e6004ff,
    0x3ffee6ff,0xd77f5004,0x01ffffff,0x700ffff2,0x20000dff,0x3ea7fff8,
    0x400005ff,0x000ffffc,0xf889b000,0xeb8007ff,0xeeeeeeee,0x3bae005e,
    0xeeeeeeee,0x00000005,0xea80dffd,0xeeeeeeee,0xd50000ee,0xdddddddd,
    0xca8001dd,0xcccccccc,0x2a60004c,0x01abcedc,0x3a61fff6,0xeb9fa9df,
    0x7d401eff,0xff502fff,0x0005f9ff,0x0001ffb0,0x7dc2eea8,0xfff3001d,
    0xfffd80df,0xef9800ff,0x3f100001,0xb8001f88,0x33f221df,0x0efdc000,
    0x2001bf91,0x5ff64c5b,0x0ffff200,0x0007ff20,0x32177540,0x400001df,
    0x0005fff9,0xf883f100,0x000006ff,0x00000000,0xff800000,0x00000001,
    0x00000000,0xff900000,0xffd957df,0x6fe8817d,0xfa87ffc4,0x405ffd11,
    0x401ffffd,0x006ffff9,0x001ff880,0x98000000,0x6c06ffff,0x400fffff,
    0x00000dfa,0x001ea1f4,0x00000000,0x20000000,0x9003fffc,0x0000009f,
    0x71000000,0x5c000003,0x06fff886,0x00000000,0xcccc8800,0xcccccccc,
    0x666664c2,0x01decccc,0x00000000,0x1a800000,0x4c000a88,0xd301fffe,
    0xd537bfff,0x23ffe81d,0x0bfa21fa,0x02ffffdc,0x02ffffc8,0x000e4c00,
    0x98000000,0x6c06ffff,0x200fffff,0x000004fc,0x09d515f7,0x00000000,
    0x00000000,0x007fff90,0x000001dc,0x00000000,0x83e80000,0x9106fff8,
    0x99999999,0xcc985999,0x224ccccc,0xcccccccc,0x2a62cccc,0xeffffffe,
    0x7dd4409a,0x1009beff,0x99999999,0x99999999,0x00019999,0x740000b0,
    0x3ffe25ff,0xffff9003,0xffff9803,0xff982bcf,0xf307ea3f,0xfffff505,
    0x3ffe6003,0x1a8000ff,0x32200a88,0xcccccccc,0xcccccccc,0xff300ccc,
    0xffd80dff,0xfd880fff,0x22000002,0x000cfffc,0x66666644,0x52cccccc,
    0x99999999,0x66440999,0x911ccccc,0x99999999,0xff905999,0x440d407f,
    0x2c00000a,0xcccb8000,0xcccccccc,0x1ccccccc,0x03eaa600,0x981bffe2,
    0xffffffea,0x5d4409ae,0x4c1befff,0xffffffda,0xff9809bf,0x5000ffff,
    0x2a6001ff,0xeffffffd,0xffffffee,0x540001ff,0xfa80002f,0xfff90fff,
    0xffff700d,0x3ffee007,0x3ffee02f,0x0ba07ea6,0x01bffffe,0x5fffffe8,
    0x12fff400,0x54c07fff,0xeffffffd,0xffffffee,0xfff301ff,0xfffd80df,
    0x0f74c0ff,0xfa800000,0x36a60002,0xbfffffff,0xfffd7109,0x8035ffff,
    0x0befffba,0x3ffff6a6,0xc809bfff,0xffd03fff,0x01fffc4b,0x002fa800,
    0xfffffe80,0xffeeeeee,0x9806ffff,0x83fffffd,0x8806fff8,0x00ffffff,
    0xf001ff50,0x805fffff,0x07fffff8,0x440037c0,0x80ffffff,0x01fffea8,
    0x002fec00,0x73fffcc0,0xf880bfff,0x1000ffff,0x201fffff,0xf55ffffb,
    0xffa85503,0xfb003fff,0x05fffffb,0x43fffea0,0x8806fffc,0x80ffffff,
    0x01fffea8,0x80dffff3,0x20fffffd,0x00000efa,0x0017f600,0x7fffffc0,
    0x3fffe602,0x7dc005ff,0x7fffc00e,0x7fe402ff,0xffffa83f,0x00dfff90,
    0x0017f600,0x80b7ffe0,0x2ffffffa,0xfc9ffdc0,0x3fe20dff,0xffff006f,
    0x37c400ff,0xfffffe80,0xfffff800,0x002fc007,0x0fffffe8,0x000ffdc0,
    0x003fff30,0x447ff900,0x7f401efe,0x6c006fff,0xf505ffff,0x3f7dffff,
    0x3ffff600,0xa9fc802f,0x004fffff,0x7dcffff3,0xffd005ff,0xfb801fff,
    0xffff301f,0xffffd80d,0x01dff90f,0x3e600000,0xe80001ff,0x400fffff,
    0x0ffffffb,0x2003f600,0x00fffffe,0x4c1fffe4,0x3fee7fff,0xf980005f,
    0x7c0001ff,0x7ffc404f,0x7e405fff,0x3fffea5f,0x01bffe23,0x03fffffc,
    0x7f4017e0,0xf800ffff,0x4007ffff,0xffd0004e,0xf9001fff,0x7fec0003,
    0x0100004f,0x7ffdc004,0x7e4003ff,0xfd02ffff,0x03ffffff,0xffffff10,
    0xf32fb805,0x400dffff,0x3fa23ffc,0xfffd001e,0x3f9001ff,0x1bfffe60,
    0x3fffffb0,0x00bffffb,0x3ff60000,0xfe80004f,0xe800ffff,0x004fffff,
    0x3fa007f3,0x6400ffff,0xff903fff,0x00f7f447,0x27ffec00,0x009f1000,
    0x1ffffff9,0xb17ffc40,0x7c4dffff,0xfff006ff,0x4e800fff,0xfffffd00,
    0xfffff001,0x004e800f,0x1fffffd0,0x0003f100,0x03ffffe2,0x20000000,
    0x02fffffd,0x7ffffd40,0xfffff505,0xf9803dff,0x201fffff,0x3ffe23fa,
    0x004007ff,0xfffe8001,0x1f8800ff,0x0dffff30,0xffffffd8,0x03ffffff,
    0x7fc40000,0x40000fff,0x00fffffe,0xffffff98,0x2006d800,0x00fffffe,
    0x101fffe4,0x88000040,0x000fffff,0xf9801f30,0x403fffff,0xbf11fffd,
    0x7fc4bfff,0xffff006f,0x04e800ff,0x1fffffd0,0xffffff00,0x0004e800,
    0x01fffffd,0x20003b0b,0x03fffffc,0x7ffffec0,0x3ffffe67,0xfffff84f,
    0x7fcc001f,0x3ee06fff,0x3fffffff,0x3ffffea0,0x889f300f,0x01ffffff,
    0xfd000000,0x0b01ffff,0x3ffe603b,0x7ffec06f,0xffffdeff,0x000001ff,
    0x0ffffff2,0xffffd000,0x3ff6001f,0x7cc05fff,0x3fffa001,0x7fe400ff,
    0x0000003f,0x7ffffe40,0x00b50003,0x0dfffffd,0x71ffff88,0xf887bf6b,
    0xfff006ff,0x4e800fff,0xfffffd00,0xfffff001,0x004e800f,0x1fffffd0,
    0x000350f0,0x1ffffffe,0x3fffee00,0x7ffff447,0x7ffffc44,0x7fc4000f,
    0x2a00ffff,0xffffffff,0xffffb80e,0x10bd107f,0x05ffffff,0x9ffffff6,
    0x4ffffff9,0x7fffff40,0x301a8780,0xd80dffff,0xe88fffff,0x00ffffff,
    0xffff0000,0xe8000fff,0x000fffff,0x3ffffff3,0x3a002f40,0x400fffff,
    0xffb3fffc,0x7fccffff,0x0004ffff,0x0fffffff,0xf7006600,0x803fffff,
    0x5d1ffffa,0x06fff880,0x0ffffff0,0xfd004e80,0xf001ffff,0x800fffff,
    0xffd0004e,0x07881fff,0x3f7ee000,0x4002ffff,0xc87ffff8,0x7d44ffff,
    0x000fffff,0x7fffffc4,0x7ffec401,0x541fffff,0x887fffff,0xfff880ee,
    0x3ee02fff,0x7f447fff,0x7f404fff,0x3c40ffff,0x3fffe600,0x7fffec06,
    0xfffff30f,0x700000df,0x5fffffbf,0x7fff4000,0x3f2000ff,0xf705ffff,
    0xfffe8001,0x7fe400ff,0x3fffee3f,0x7ffff447,0xfdfb8004,0x0002ffff,
    0xfffff880,0xfffb804f,0x4400f9af,0xff006fff,0xe800ffff,0xffffd004,
    0xffff001f,0x04e800ff,0xfffffd00,0x00007c81,0x3fffeb3a,0xfff8006f,
    0xffffb87f,0x7ffffdc4,0xfff88007,0xf7002fff,0x1fffffff,0x7fffffc4,
    0xf8807ec0,0x201fffff,0xc87ffff8,0x7404ffff,0x640fffff,0x7ffcc007,
    0x7ffec06f,0x3ffea0ff,0x00005fff,0x7fffd674,0x3fa0006f,0x2000ffff,
    0x1ffffff8,0x74001fc4,0x400fffff,0x3e23fffc,0xffc87fff,0xce8004ff,
    0x06fffffa,0xfffd8000,0xfc800fff,0x804cbfff,0xf006fff8,0x800fffff,
    0xfffd004e,0xfff001ff,0x4e800fff,0xffffd000,0x003fcc1f,0xffd0fa80,
    0xf8003fff,0xffb87fff,0x7ffd44ff,0xf88007ff,0x002fffff,0x3fffffea,
    0x7ffffc4f,0x9807f21f,0x00ffffff,0x5c3ffffc,0x7404ffff,0x260fffff,
    0x7fcc007f,0x7fec06ff,0x7fe40fff,0x0003ffff,0x3ffa1f50,0xd0001fff,
    0x001fffff,0x6fffffc8,0xfe80036c,0x6400ffff,0x7ffc3fff,0xffffb87f,
    0xe87d4004,0x001fffff,0x3fffea00,0xff7002ff,0x1003fbff,0x3e00dfff,
    0x4007ffff,0xfffd004e,0xfff001ff,0x4e800fff,0xffffd000,0x0fff733f,
    0xfb976000,0x4005ffff,0xfb87ffff,0x7fcc4fff,0x4000ffff,0x1ffffff8,
    0x3ff7ea00,0x7ff47fff,0x05f72fff,0x6fffff98,0x87ffff80,0x404ffffb,
    0x99fffffe,0x4c007ffb,0x6c06ffff,0xe80fffff,0x01ffffff,0x3ee5d800,
    0x0005ffff,0x01fffffd,0xfffff880,0x0005f32f,0x03fffffa,0xf87fff90,
    0xffb87fff,0x2ec004ff,0x0bfffff7,0x3ffa2000,0x2a005fff,0x006fffff,
    0x200dfff1,0x007fffff,0xffe80274,0xff800fff,0x74007fff,0xfffd0004,
    0xffffffff,0x43f30000,0x0ffffff8,0x1ffffe00,0x113fffee,0x03ffffff,
    0xfffff980,0x64fd4007,0x320fffff,0xfabfffff,0xffffb803,0xffff803f,
    0x4ffffb87,0x7fffff40,0x007fffff,0x037fffcc,0x03fffff6,0x3fffffe2,
    0x3e60000f,0x3ffffe21,0xffe8000f,0xb8000fff,0xbd6fffff,0x7fff4000,
    0x7fe400ff,0x3ffffc3f,0x027fffdc,0x7fc43f30,0x0000ffff,0xffffffc8,
    0x3ffe2000,0xff1004ff,0x3ffe00df,0x274007ff,0xfffffe80,0xfffff800,
    0x00274007,0xafffffe8,0x0007ffcb,0xfffc85d8,0x3fe004ff,0xfffb87ff,
    0xfffff84f,0x7fcc002f,0x03886fff,0x3fff23f5,0x3fffe21f,0xfb004fdf,
    0xf001ffff,0xff70ffff,0xffe809ff,0xffcbafff,0x7ffcc007,0x7ffec06f,
    0xfff300ff,0x4000dfff,0xffffc85d,0xffe8004f,0xd0000fff,0x1fdfffff,
    0x7fff4000,0x7fe400ff,0x3ffffc3f,0x027fffdc,0xfff90bb0,0x980009ff,
    0x03ffffff,0xefffff80,0x3fe21100,0xffff006f,0x04e800ff,0x1fffffd0,
    0xffffff00,0x0004e800,0x41fffffd,0x440007fb,0xffff882f,0xfff000ff,
    0xffff70ff,0xfffff909,0xfffb8005,0x507883ff,0x3fffe23f,0x7ffffd40,
    0x3fffe005,0xffff004f,0x9ffff70f,0xfffffe80,0x3001fee0,0xd80dffff,
    0x201fffff,0x5ffffffb,0x882f8800,0x00ffffff,0x7fffff40,0xfff50000,
    0x80007fff,0x00fffffe,0x3e1fffe4,0xffb87fff,0x5f1004ff,0xffffff10,
    0x7ff40001,0x50006fff,0x30bfffff,0x1bffe21d,0x3fffffc0,0x74013a00,
    0x800fffff,0x007fffff,0xfe80027c,0x3ec0ffff,0xd81b2000,0x003fffff,
    0xf70fffff,0xff109fff,0xd8009fff,0x880fffff,0x3a1fa82f,0xfffb07ff,
    0x3fea005f,0x3fe006ff,0xfffb87ff,0x7fff404f,0x003ec0ff,0x01ffffe6,
    0x03fffffd,0xffffffe8,0xb0364005,0x007fffff,0x0fffffe8,0x3fffa000,
    0x740001ff,0x400fffff,0x7fc3fffc,0xfffb87ff,0x40d9004f,0x03fffffd,
    0xfffff700,0x7e40003f,0xdbcfffff,0x1bffe21f,0x3fffffc0,0x74013e00,
    0x800fffff,0x007ffffe,0xfe8001fc,0x3d40ffff,0x2ab7e000,0xfffcaaaa,
    0xfff006ff,0xffff70ff,0x3ffff209,0x3ffa000f,0x0bf103ff,0x27ffc3f5,
    0x0fffff88,0x0ffffe80,0x1ffffe00,0x013fffee,0x81fffffd,0x7fe4007a,
    0xff301fff,0xd80bffff,0xdfffffff,0x555bf000,0xffff9555,0xffe800df,
    0x20000fff,0x01fffffc,0x7ffff400,0x7ffe400f,0x43ffffc3,0x004ffffb,
    0x555555bf,0x0dfffff9,0xfffff100,0xe824009f,0xffffffff,0x037ffc42,
    0x07ffffe8,0xfe801fc0,0xe800ffff,0x2007ffff,0xfd0002f8,0x7881ffff,
    0xfff70120,0xffffffff,0xf005ffff,0xff70ffff,0x3fe209ff,0xf7003fff,
    0x7c40dfff,0xfa8fd45f,0x7ffec06f,0x7ffec05f,0x7ffc001e,0xffffb87f,
    0x7ffff404,0x4903c40f,0xfffffff8,0xfffd915f,0x1dffffff,0x7fffffd4,
    0x00efffff,0x3fffffee,0xffffffff,0x3ffa002f,0x20000fff,0x01fffffc,
    0x7ffff400,0x7ffe400f,0x43ffffc3,0x804ffffb,0xfffffffb,0xffffffff,
    0x7ffec002,0xd1000fff,0x3ffffb60,0xfff881df,0xffffd006,0x017c400f,
    0x0fffffe8,0xfffffd80,0x003f5000,0x3fffffa0,0x80d10680,0xfffa803e,
    0xfff806ff,0x7ffdc0ff,0x3ffa604f,0xfff8806f,0x3fe200ef,0xb9fa8aef,
    0x3f200eff,0x0adfffca,0x09fffd71,0x1ffffe00,0x013fffee,0x01fffffd,
    0x0001a20d,0x00000000,0x7fd401f4,0x3a006fff,0x000fffff,0x3fffff20,
    0x7ff40001,0x7e400fff,0x7fffc3ff,0x4ffffb87,0xfa803e80,0x2006ffff,
    0x2ffffffa,0x3e216a00,0xf8803531,0xffb006ff,0x7d400fff,0xffffd001,
    0xfff5001f,0x1f6003ff,0xffffe800,0x8172000f,0xfff000fa,0xfe803fff,
    0x3fe20fff,0x6c404fff,0x7ec04fff,0xfb5005ff,0xdfffffff,0x222fb807,
    0xffeffffb,0x20000bef,0x5c0fffff,0x7404ffff,0x000fffff,0x1effc172,
    0x5efec000,0x3ea00000,0xfffff000,0x3ffa003f,0x20000fff,0x01fffffc,
    0x7ffff400,0x7ffe400f,0x07ffffc3,0x013fffee,0x3fe001f5,0xd001ffff,
    0x00bfffff,0x006b84e8,0x006fff88,0x03fffff5,0xfe801f60,0x8800ffff,
    0x805fffff,0x3a0003fb,0x000fffff,0x02f409f3,0xbfffff70,0x4ffffc80,
    0x9fffffd3,0x37ffee00,0x3fffae21,0x95530003,0x7f10017f,0x55654c40,
    0xffd00001,0x7ffc41ff,0x7ff404ff,0xf3000fff,0x07fffe09,0x7fff9000,
    0x02f40000,0xbfffff70,0x3ffffa00,0x3f20000f,0x0001ffff,0x07fffff4,
    0xd0ffff20,0x7c41ffff,0x7404ffff,0x3ffee005,0xffc805ff,0x2001ffff,
    0x003e84fc,0x006fff88,0x09fffff1,0x74007f70,0x000fffff,0x09fffff5,
    0x20002fd4,0x00fffffe,0xf503ff88,0x7ffc4005,0x3a201fff,0xbcffffff,
    0x2006ffff,0xfefffec9,0x0001cdff,0x04003f50,0x20000000,0xd34ffffc,
    0x809fffff,0x00fffffe,0x3203ff88,0xa80004ff,0x500006ff,0x7fc4005f,
    0xe801ffff,0x000fffff,0x3fffff20,0x7ff40001,0x7e400fff,0x7ffe43ff,
    0xffffd34f,0x017d409f,0xffffff10,0x7fffcc03,0xfb1004ff,0x000f987f,
    0x006fff88,0x13ffffea,0x74005fa8,0x000fffff,0x3bffffee,0x05fecaac,
    0xffffe800,0x3fee201f,0x02ff881f,0x7ffffec0,0x7fff4c05,0xfffff73f,
    0x7510003f,0x20000015,0x000000a8,0x3a200000,0xbcffffff,0x7406ffff,
    0x201fffff,0x201fffb8,0x80004ffb,0x80006ff9,0x6c002ff8,0x805fffff,
    0x00fffffe,0x3ffff600,0x7f40002f,0x6c00ffff,0x7f443fff,0xfbcfffff,
    0xff106fff,0xfffd8005,0x3ff605ff,0xf7006fff,0x05c85fff,0x0ffff100,
    0xfffffb80,0x5ffdaace,0x7fffd400,0x6c4004ff,0xffffffff,0xfa80002e,
    0xabefffff,0xffffdcaa,0x37ff4c0f,0x3ffffa00,0x1a9803ff,0x00000000,
    0x00000000,0x40000000,0x73ffffe9,0x03ffffff,0xdffffff5,0xffb95557,
    0xf5101fff,0x980001ff,0x40002ffe,0x4006ffe9,0x3ffffffe,0x3ffffea0,
    0xff30004f,0x000bffff,0x7fffffd4,0x3fffe604,0xffffe983,0xffffff73,
    0x037ff4c3,0x3fffffa0,0xffffa83f,0xaaaaacff,0xffffecba,0x8000fc1f,
    0x003ffff8,0x7ffffec4,0x1002efff,0xffffffd9,0x4005bfff,0x0aaccaa8,
    0x7f644000,0xffffffff,0xffffffff,0x7fffe47f,0xfb501eff,0xffffffff,
    0x0000003f,0x00000000,0x00000000,0x0d4c0000,0x7ff64400,0xffffffff,
    0xffffffff,0x0beefa87,0x3bbe2000,0x7e40001c,0x01efffff,0xffffffb5,
    0x3223ffff,0xfffffffe,0x65402dff,0xfffffffe,0x4400cdff,0xffffffec,
    0xdd92dfff,0x4c05dddd,0xffc8001a,0x501effff,0xfffffffb,0x3fe23fff,
    0xffffffff,0xffffffff,0x1660ffff,0xeeee8800,0x22000cee,0x00aaccaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00015310,0x00db8000,0x00000722,
    0x00000000,0x5c02e880,0x00000004,0x64000200,0x00004eee,0x006aaaa6,
    0x2aaaaa00,0x00000000,0x00003553,0x00355553,0x30000000,0x003b803b,
    0x00000000,0x077bfb22,0x007fd400,0x0adfda88,0x806fc800,0x90003eb8,
    0x7d7100df,0x07ff1000,0x7c1ff880,0x2602ec04,0x00effffe,0x7e41fea0,
    0x980ef985,0x65c000ff,0x5c3ccccc,0x5c4002ee,0x0bdeffee,0xb03fd800,
    0x0bfea87f,0x1f7f6cc0,0xffd93000,0x3fe6007d,0x00001fff,0x001dfffd,
    0x4ffffa80,0xeffedb80,0xd700aa0b,0x05dfffff,0x77fffc00,0x36027c00,
    0x8003fd85,0x2fe882fe,0x3f6e2000,0x00001def,0xffbb7fd4,0x17fc4004,
    0xfffffb00,0x1ff98009,0x0ffff660,0x807fe600,0x003fffd9,0xa8005fd8,
    0x40bfd86f,0x3ee03fc9,0x007ffa4f,0x3fe837dc,0x7dc3ff90,0xfa98003f,
    0x3ee5ffff,0xda806fff,0xedccdeff,0x26001dff,0x1bfa24ff,0x409ffff3,
    0xefdabffc,0x57fd4001,0xd806ffe9,0x006fffff,0x0ffff980,0xfffc8000,
    0x6fff4c04,0xebdffcaa,0x217fd302,0x001ffffa,0x00efff98,0x64c0bfd8,
    0x006fb83f,0x3a63ffa8,0x3ea0005f,0x4ffffcef,0xfff10000,0x00fffe25,
    0x32005fd8,0x0fffd98c,0xa80ffa00,0x003fffcb,0x2ea03fe8,0x4003fffc,
    0xd8000ffa,0xffffa84f,0x701ffffe,0x6ffa8dff,0x3e09fb00,0x5fff102f,
    0x8000dff9,0x3a5ffffb,0x202fffff,0x2600bffc,0x36003ffc,0x2fff9dff,
    0x83ffffe4,0x3fe24ffd,0xbff5001f,0x502fffdc,0x5fff9fff,0xfffb8000,
    0xfff00001,0x0eff980b,0x83fffc88,0x7e40fff8,0x64000fff,0xf5000eff,
    0xffffdfff,0x001ff103,0xff59ffd0,0x3ea0003f,0x3fffe25f,0xffd80002,
    0x03fffe1f,0x8003fea0,0x007ffcc2,0xf1006fc8,0xfc8007ff,0x7fff1006,
    0x01ffc400,0xf901ff80,0x07ffffff,0xf10fffe2,0x7ff007ff,0x6401ff30,
    0x02ffffff,0x7fffd400,0x3fffffa5,0x004fe884,0x8802fec4,0x86ffffff,
    0x40fffffd,0x7ec1fffb,0x9fff007f,0x807fffdc,0xdfd31ffe,0x1ffe8000,
    0xbff30000,0x02ffe880,0x7e41ffdc,0x7ffdc3ff,0x7ffc003f,0x7ffec000,
    0x3a03ffff,0xffa8002f,0x0004ffff,0xfc85fff1,0x440005ff,0x3fa0ffff,
    0x7fc402ff,0x7fd40002,0x03ff3002,0x00fffe20,0x1001ff98,0x64007fff,
    0xff30005f,0xfffffc80,0x0bfff603,0xf101fffe,0x80ff703f,0x05fffff8,
    0xffffa800,0x3ffffee5,0x0002fe85,0x7e4013ee,0xfd81ffff,0xfff87fff,
    0x03fffc87,0xf52fffdc,0xdf701fff,0x002fe881,0x0003ff30,0x6402fe40,
    0x7fb007ff,0xa8ffffd0,0x2004ffff,0x90001ff9,0x807fffff,0xfb0005fb,
    0x0001ffff,0xf507ffee,0x98000bff,0x3fa0ffff,0x2fec04ff,0x3bfaa000,
    0x007fd000,0x001fffc4,0x7c4007fd,0xff5003ff,0x13f20001,0x806f2e60,
    0xf81ffff8,0x3ea00fff,0x700bf907,0x0003ffff,0x8bffff30,0x644fdbc9,
    0xefdc982f,0x3f268abd,0xffff8802,0xdffff705,0xb87fffa8,0x7f407fff,
    0x3ffe26ff,0x2205f886,0x3f70006d,0x05f80000,0x001fffb0,0xfff707f1,
    0x4ffffa8b,0x0007f200,0x00379730,0x30001ff3,0x0007ffff,0x7c1fffe4,
    0x540004ff,0x3fa0ffff,0x3fea05ff,0x3ff60000,0x7e401fff,0x7ffc4006,
    0x00df9003,0x803fff88,0x20003ff8,0x400002ff,0x99affff9,0x02ffff99,
    0x1ff41bee,0x00099980,0xbffff300,0x9f317ec0,0x2219ff70,0x07f47feb,
    0x804ccc40,0x644ffffa,0xffb86fff,0x3ffe00ff,0x00664c7f,0x00000600,
    0xf8000000,0x79005fff,0xd882f6a0,0x0004ffff,0x20000000,0x330002fe,
    0xfe800033,0x7ffc45ff,0x7fcc0001,0x3fffa0ff,0x005ff104,0x9fffd500,
    0x000ffcc0,0x200fffe2,0x44001ff9,0xfc803fff,0x1fe60005,0x200a9880,
    0xfffffffa,0x23ffffff,0x9dfd9999,0x9bff9999,0x0054c400,0xff30d440,
    0x07fc0bff,0x3ffe81fb,0x3f98ff10,0x20135300,0x742ffff8,0xffa86fff,
    0xfff101ff,0x300001ff,0x98800135,0x026a200a,0x004d4c00,0x00bfffff,
    0x3f220075,0x004ffffe,0x06404d4c,0x800d54c0,0x260005fc,0x3a0001aa,
    0x3ee0ffff,0xf880002f,0x3ffe1fff,0x00bfb02f,0x06ffd800,0x220013fa,
    0xfe803fff,0xfff88004,0x007fd403,0x300bf900,0x01dffffd,0x005ffff7,
    0x7fffffcc,0xffffffff,0xffd305ff,0xb7001dff,0xff33ffff,0x8fea0bff,
    0x3ffdc4f8,0x81ba1ee0,0xcfffffd9,0x40fffe80,0xfa86ffff,0xff103fff,
    0x20003fff,0xcfffffd9,0x3ffee200,0xfd30dfff,0x3003dfff,0x19fffffb,
    0xffffffb0,0xfc880005,0x4ffffaaf,0xffffd980,0x5c0bb0df,0x2efffffe,
    0x2003fcc0,0xefffffeb,0xfffd8002,0x01efd8cf,0x3fffa000,0x203fffe1,
    0x00000ffa,0xfb82ffcc,0xfff10006,0x006fb807,0x407fff10,0x40003fe8,
    0x7fdc02fe,0xf707ffa4,0x4c007fff,0xffffffff,0xffffffff,0x3a4ffb85,
    0x3ff201ff,0xffdfdbdf,0x44fa85ff,0x3ffe21fb,0x1fb85803,0xfa8cffa8,
    0x7fe40eff,0x37fffc47,0x027fffd4,0x007fffff,0xf519ff50,0xff301dff,
    0xdfff5139,0x3fa67ff7,0x33fea03f,0x40efffa8,0xfffffffb,0xffa8002e,
    0x9ffff51f,0x51fffa80,0x301dbfff,0x3fea17fd,0x0ffc01ff,0xa85ff4c0,
    0x4001ffff,0xeffffffb,0xf9800003,0x5fff12ff,0x0005ff10,0x17fc0d44,
    0x8000ffcc,0x2603fff8,0xf10001ff,0x2fe407ff,0x03fe2000,0x7d46ffb8,
    0x7fffd46f,0x5cccc005,0xd99999ff,0x7dc099df,0x837fd46f,0x7d46fffa,
    0x7e45ffff,0x7fdc7c83,0x5f30002f,0x7f47ffb8,0x2ffd45ff,0x21bfffe6,
    0x4c5ffffa,0xcfffff99,0x7dc00999,0x2ffff47f,0x3ea1bfe6,0x7d45ffff,
    0x7ffb80ff,0x222ffff4,0xfffffffe,0xff9001ef,0x7fffd43f,0x0fffee04,
    0xf105fff9,0xfffc81ff,0x013f200f,0xfc81fff1,0x22000fff,0x205fffff,
    0x2ccccccc,0x2ebff500,0x0bfb03ff,0x0cffc800,0x13fa09f5,0x3fff9800,
    0x80013fa0,0xf503fff9,0xfb80001f,0x0fffe205,0x7cc7fff1,0x0000ffff,
    0x0ffa0df9,0x221fffc4,0x7fcc3fff,0xfffc82ff,0x6c02ea5f,0x00fffe46,
    0x3e23f880,0x7ffe44ff,0x2a1ffc47,0xfa86ffff,0x3fe67fff,0xffffffff,
    0x3fe204ff,0x3fffe44f,0xf10ffff2,0xff05ffff,0x4fff889f,0x443fffe4,
    0xffffffff,0x3ee00dff,0x7ffd46ff,0xffff104f,0x86fffa83,0x7dc3fffc,
    0x3ea03fff,0x1fffe407,0x00ffffee,0x7ffffe44,0xfffb301f,0x6440017d,
    0xf501defe,0x4c00801f,0x01eefffe,0x81300df7,0xcffffec9,0x4c037dc2,
    0x7fff64c0,0x0ffa22cf,0x80ffa000,0xff82fffd,0x7ffffc7f,0x7ec0ae04,
    0x3603ff04,0xfff82fff,0x07fffe47,0x02ffffcc,0xfffe8bd0,0xc93e0000,
    0x7fcc3fff,0x641ff86f,0xfa86ffff,0xff30ffff,0xffffffff,0x7fe409ff,
    0x37ffcc3f,0x3e1bfffa,0xfe81ffff,0x3fff20ff,0x837ffcc3,0xfffffff9,
    0xff01ffff,0xfffa8bff,0xffff704f,0x3ffff981,0x2a3ffff4,0x7c04ffff,
    0x3fffa01f,0x27fffd47,0x3f3bf220,0x2206ffff,0x00000eff,0xa817fc40,
    0x400deefd,0x0ffcc019,0x80017ee0,0x7dc01ff9,0x17f20005,0x8073ff6a,
    0xff100ff8,0xffff03ff,0x7ffffdc1,0x3fe06a82,0x880ff983,0xff81ffff,
    0x3fffa0ff,0xbffff306,0x3fa2f400,0x3e0001ff,0x05ffff14,0x1fd05df9,
    0x86ffffc8,0x227ffffa,0xffffdccc,0xf102cccf,0xdf905fff,0x85fffb85,
    0xfb07ffff,0x3ffe23ff,0x02efc82f,0x3fffff62,0x4c2fffff,0xd31fffff,
    0x3e09ffff,0x7fc47fff,0x7fdc6fff,0x7fffd45f,0x701fec04,0xffa8bfff,
    0x3fe604ff,0x3fffff65,0x0007fe04,0x417f6000,0x5ffb3ffc,0x04fe8000,
    0x0002ffd4,0xffa809fd,0x1ff30005,0xffffffa8,0x4c0df702,0x999affff,
    0x222ffff9,0xadffffff,0xff101fda,0x260df503,0x999affff,0x3e2ffff9,
    0xff306fff,0x36c00bff,0x000bfff2,0xfff99fc4,0x87c8002f,0xa86ffffb,
    0x7c06ffff,0xf3006fff,0x70005fff,0xfffa817b,0xe99999ff,0xfff32fff,
    0xd300005f,0xffffffff,0x7fffc41f,0xfffdfeff,0x3fe239ef,0x3f3a27ff,
    0xbda87fff,0x3ffff620,0x2037d404,0x3f620bda,0xff504fff,0x7fffc41f,
    0x05f982ff,0xffa80000,0x50fffb80,0x20003fff,0x7fcc06fb,0xdf70005f,
    0x05fff980,0x443fe880,0x6fffcabe,0x7d407fb0,0xffffffff,0x7443ffff,
    0xffffffff,0x7fee6442,0xefeccccc,0xfff53ccc,0xffffffff,0x3ffe67ff,
    0xffff306f,0x2e3e400b,0x30003fff,0x3fffea5f,0xa86b8003,0xfa86ffff,
    0x7ec05fff,0xff5006ff,0x200007ff,0xfffffeea,0xffffffff,0x7ffff54f,
    0x7f540000,0x44ffffff,0x1efffffd,0x41fffffd,0x367ffff9,0x01fffff5,
    0xfffefc88,0x07fc404f,0xffdf9100,0xfff309ff,0xfffff70b,0x000ec83f,
    0x17fc4000,0xf33fffc4,0xf3000dff,0x7f7c403f,0xff98005f,0x3ffbe201,
    0x86fc8005,0x43ffec1a,0x3ee01ff8,0x10002fff,0x3bfffffb,0xffffff30,
    0xffffffff,0x3ffeebff,0x3fea002f,0xfff306ff,0x17cc00bf,0x000dffd1,
    0x7ffdc3f2,0x8498005f,0xa86ffff9,0x5404ffff,0xf7004fff,0x8000bfff,
    0xfffd4fea,0xfffb800f,0x401c005f,0x6ffffffa,0x2277fe44,0x541dffea,
    0x4d97ffff,0x101fffff,0xfff55ff9,0x07fb009f,0xf55ff910,0xffd09fff,
    0x3fffa0df,0x03f50fff,0xbf900000,0x89bffea0,0x4000ffff,0x33a204fe,
    0xe8005ffc,0x333a204f,0x7cc005ff,0x9ff7000f,0xfb80df50,0x80003fff,
    0x774c02fd,0xeeeeefff,0x74eeeeff,0x4007ffff,0x306ffffa,0x800bffff,
    0x17ffd46e,0x25f88770,0x006ffffb,0x3fffe200,0x3ffffb86,0x01fffc40,
    0x06ffffb8,0x45ffb100,0x001ffffe,0x01bfffee,0xfb100788,0x0220ffff,
    0xfa807744,0x20fbffff,0xa80fffff,0xfff51fff,0x0df7009f,0xf51fffa8,
    0xff889fff,0xff980fff,0x4f9effff,0xfa800000,0xdfff700f,0x00ffffc4,
    0x5d80df70,0xb800bff9,0xfcaec06f,0x3fa2005f,0x07ff2003,0xff5013f6,
    0xd8000bff,0x1ffc005f,0xfa807fcc,0x26005fff,0xf306ffff,0xb800bfff,
    0x1fffdc1f,0x87ee1326,0x00fffffa,0x3fffe000,0x1ffffb86,0x402ffe80,
    0x1fffff50,0x2fff9800,0x017fffec,0x1fffff50,0x400be200,0x007fffe8,
    0xf300ffcc,0xf83fffff,0xffc86fff,0x3fffea1f,0x00ff8804,0x7d43fff9,
    0x7fd44fff,0xff502fff,0x00dfffff,0x7ff10000,0x137ffe40,0x2005ffff,
    0x9b201ff9,0x26005ffc,0xc9b201ff,0x3f2005ff,0x827fc006,0x7fcc01ff,
    0x30000fff,0x7c4007ff,0x206fb81f,0x00fffff9,0x0fffff10,0x017fffe6,
    0xc881fd10,0x81dfefff,0x7ffc45f9,0x0c4004ff,0xb86fffc8,0xa880ffff,
    0x200ffecd,0xfffff14c,0x7ffcc009,0x5ffffc87,0x3fffe200,0x09f1004f,
    0x037ffd40,0xf003ff60,0xff05ffff,0xfffb89ff,0x27fffd46,0xfb82fe80,
    0x7ffd46ff,0x7fffdc4f,0x3ffee06f,0x0000efff,0x202fe400,0x3e26fffb,
    0xfd001fff,0xf9075c09,0x27f400bf,0x7fe41d70,0x01ff3005,0xf982fdc0,
    0xfffff007,0xfc815c09,0x1fea005f,0x3fe02fec,0x8ae04fff,0xa81ffffe,
    0x8005ffff,0x026205f9,0xfe80ef88,0x8201ffff,0x7c41effc,0xfffb87ff,
    0xfffffa84,0xca9abcff,0x3fffa3fd,0xfe8201ff,0xfff985ff,0xe8aa01ff,
    0x201fffff,0x2003ff10,0x4004fff8,0x7e402fff,0xfff887ff,0x2ffffc3f,
    0x013fffea,0x7ffc2fdc,0x7fffd45f,0x7ffffcc4,0x3fff605f,0x0d82ffff,
    0x07fd4000,0x99bffea0,0xb800ffff,0x7fff406f,0x807fffff,0x7ff406fb,
    0x07ffffff,0x26003fe8,0x013f204f,0x17ffffdc,0xfff90354,0x41bf2003,
    0x7fdc03fe,0x46a82fff,0xd85ffffb,0x0005ffff,0x50001df7,0x3fea03ff,
    0x1e886fff,0xb0bffff3,0xffd81fff,0xd99de80f,0xffffffff,0x3fea2fff,
    0x1e886fff,0x81fffff3,0x0efffff8,0x3fea0e98,0x1e886fff,0x5001fff1,
    0xf8001fff,0x7fc405ff,0x7ffcc0ff,0x3fffe60e,0xffffd31f,0x83fe6009,
    0x31fffff9,0xf09ffffd,0x0bffffff,0x3fffffe2,0x04d99cff,0x01ff4400,
    0xf33fff44,0xff300bff,0xffffe803,0x4c07ffff,0x7ff401ff,0x07ffffff,
    0xf30037e4,0x0bfe5a89,0x7ffffc40,0x01fdaadf,0x00bfffea,0x3fe213f6,
    0x7fffc402,0x1fdaadff,0x0fffffc4,0x1ffffff9,0x2ffea000,0x1efc8800,
    0x7fffff40,0x322fcadf,0xe887ffff,0x27ffc2ff,0xfff30fcc,0xdfffffff,
    0xffffffd0,0x7cc5f95b,0xcabeffff,0xffffffdf,0xe82fda9b,0xadffffff,
    0x3ffe22fc,0x17ff400e,0x77ffec00,0x0bfffa00,0xf883fff7,0xdfefffff,
    0x039effff,0x3fe22fe8,0xfdfeffff,0x2a39efff,0xffffffff,0xfeffcaad,
    0xffffffff,0x7e40000f,0x3ffea005,0x001fff50,0x320009fd,0x4fe805ff,
    0x0bff9000,0x1000ff98,0x7fddddff,0xd1001fe6,0xffffffff,0xffff9005,
    0x0bfe05bf,0x22003fe6,0xfffffffe,0xfffd102f,0xfff5dfbf,0x20007dff,
    0x89acffe8,0x0dffda98,0xffffd880,0x7d43ffff,0xfd105fff,0x813fee1d,
    0xff9fd34e,0x03ffffff,0xffffffb1,0xfffd07ff,0x2e3dffff,0xffffffff,
    0xfffb102f,0x887fffff,0x40bfffff,0x0003ffda,0x9dfffff1,0x77fe6ec1,
    0x205fff11,0x1efffffd,0x01fffffd,0xffd8bf90,0xffd1efff,0xffc81fff,
    0xffffffff,0xffff70cf,0x0003ffff,0x4000ffa8,0xefe8cffb,0x006fb801,
    0x7017ff20,0x7e4000df,0x01ff405f,0xfffffe88,0x00bf91ff,0xfffffb10,
    0x7fdc003b,0xff881eff,0x2006fb80,0xdfffffd8,0x7fff4401,0xdfff98df,
    0x4c0000ac,0xfffffffd,0xfc8001cf,0xb02dffff,0x6c403fff,0x403ffeff,
    0xb13ffffa,0x803dffff,0x2dfffffc,0xdffffd30,0xffffd507,0xff9005df,
    0xf105bfff,0xbdffb537,0x0001bfff,0xcffffd88,0x3fa61d70,0x202dffef,
    0x544effc8,0x3001dffe,0xeffc88ff,0x0efff544,0xfffffe98,0xff980dff,
    0x0001efff,0x8001ff44,0x00cdfec9,0x0001ff98,0xf9813bae,0x3ae0001f,
    0x01bf204e,0xeeeeeec8,0x003970ee,0x0001a980,0x9910054c,0x4000f2a0,
    0xa88001a9,0x0002a20a,0xbba98800,0x5300001a,0x000a6005,0xaa800153,
    0x001aa880,0x5100154c,0x55510013,0x05530001,0x2b2aa070,0x44000009,
    0xa8808819,0x0044001a,0x33200022,0x04400880,0x0abba980,0x00175300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00555554,0x00000000,0x00000000,0xddb00000,
    0x2a00005d,0x8801aaaa,0x000aaaaa,0x00000000,0x00000000,0x6c000000,
    0x40003eee,0x401aaaa9,0x000aaaaa,0x00000000,0xd9300000,0xc8000017,
    0x00004eee,0x55515554,0x00000003,0xdddb0000,0x2aa60007,0x555101aa,
    0x00000055,0xffffa800,0x542c8003,0xacdffecb,0x99991000,0x88199999,
    0x000cefeb,0xeffedb98,0x7fdc001d,0x80000fff,0x000effff,0x005ffff7,
    0xfecb9800,0x5c0bdeff,0x3fb6a003,0x32a000ce,0xf1001bee,0x80274407,
    0x00fffffb,0x3bfffe00,0x7fffdc00,0xd7100003,0x017bdffd,0x2605b500,
    0x37ee000d,0x00000feb,0x01fffff5,0x3ffe2000,0x801fff32,0x4027403f,
    0xbeeffed9,0xffffa800,0xfff8000f,0x3ff200ef,0x800001ff,0x5c002eea,
    0xc8006fff,0xbcdffdcf,0x04fffffd,0xffffb530,0x677f41ff,0x2004fffe,
    0xfc9aeffb,0xf8800dff,0x003fffff,0x077ffd40,0x17fff200,0x7ff4c000,
    0xfecaacdf,0x803fbbef,0xffffffe9,0x6ffd403f,0x801fffca,0x7ecc0afe,
    0xffff8802,0xf50003ff,0x2e001dff,0x40005fff,0xccdeffda,0x001dffed,
    0xfc886fdc,0xd0be000c,0x3fa00007,0x0005ffff,0x7e4bff50,0x0afe803f,
    0x36017ecc,0xffffb9cf,0x3ffe202f,0x4c004fff,0xd800efff,0x00004fff,
    0x037fffd4,0x003ffee0,0x019fff90,0x07bfffa6,0xffffff80,0xffa81db0,
    0xfffd804f,0x02fffec1,0x7fe7ffe4,0x3f20000f,0xf90000ef,0x440001ff,
    0x201efffc,0x03ffffd9,0x7fffffcc,0xf301ffff,0x0fffe8df,0x777ffdc0,
    0xc800ffff,0x0fffcfff,0x0effc800,0x07ffdc00,0x0bffc800,0x00fff260,
    0x1bfbff50,0x6b87a800,0xfffb8000,0x0001fffc,0x3fa0efd8,0xffff7005,
    0x401ffffd,0x7ff445fc,0xfff901ff,0x4001fff9,0x2000effc,0x10006ffd,
    0xfffffd0d,0x3ffc8007,0x017fe400,0x17ffffcc,0xfffffe80,0x3ff205c8,
    0x3ffee04f,0x1ffffb87,0x543bfe60,0x3e0004ff,0x640000ef,0xf50002ff,
    0x5c00dfff,0x3e203fff,0xfffffdef,0xfff986ff,0x077ffcc4,0x3fffffa0,
    0xff9802ff,0x009ff50e,0x0001dff0,0x1000fff2,0xd88009fd,0x7fe4005f,
    0x0f98000e,0x220002e4,0xbff31eff,0x1ff88000,0xd8003fe6,0x2fffffff,
    0x2a1ffe60,0xf886ffff,0x09ff50ef,0x0007ffc0,0x4000ffec,0xffffd87d,
    0x6fc8005f,0x001fe400,0x01fffff3,0x7fffffb0,0x7ffcc01d,0xdfffd01f,
    0x07ffff50,0x7fcc2fec,0x0ffa8000,0x0bfb0000,0xdffff100,0x3ffb8001,
    0xfd503b20,0xfe81ffff,0xffff83ff,0x7ffec405,0xbfb003ff,0x4001ff30,
    0x40000ffa,0x7f4005fc,0x13ee0002,0x3ff3baa0,0x0de8000e,0xc80005f5,
    0x0ff4c0df,0xc89f5000,0x7ec4002f,0x6403ffff,0x7fcc2fff,0x2fec0fff,
    0x4c00ffcc,0x3a0001ff,0x3fdc004f,0x2fffffd4,0x000fc800,0x3f6001b2,
    0xfd805fff,0x802fffff,0xff06ffff,0xfff50dff,0x80fea09f,0xfc8004e9,
    0x7ec00001,0x7fff4000,0x7f90003f,0x7dc03a60,0x3e20ffff,0xffe82fff,
    0xcba801ff,0x07f5000b,0xf900274c,0x3f600003,0x365f9000,0xccdeeeee,
    0x302fc80b,0x77fec7fb,0x77f4c000,0x7c40005f,0x001ba204,0x004d85b8,
    0x002f2ea0,0xf113fff2,0x7cc5ffff,0x2017a203,0x440001fc,0x3fe6006e,
    0x9f979307,0x64000000,0xfffa8003,0x7fec02ff,0xfd005fff,0xff883fff,
    0xfffa86ff,0x0c40003f,0x00000000,0x3ffee000,0xf10000ff,0xf8802207,
    0x7fcc6fff,0xfffd82ff,0x0000002f,0x00001880,0xf3000000,0x4fffec49,
    0xe84fffc9,0x440c980f,0x30006fff,0x00000017,0x00000018,0xf3000000,
    0xfff887ff,0x188000ff,0x00000000,0x01fffe60,0x26000ff2,0x02e001aa,
    0x7ffffc00,0x3fff600f,0xffb001ff,0xfff889ff,0xffffa86f,0x00000001,
    0x00000000,0x2fffffcc,0x000f2000,0x5c3fffe8,0xfc83ffff,0x53004fff,
    0x0a980001,0x0054c000,0x4002a600,0x7ffdc0fd,0x30fffee1,0xffc8007f,
    0x0000003f,0x00000000,0x00000000,0xf9817b50,0x98806fff,0xa988000a,
    0x0a988000,0x7ffffa80,0x7000fe80,0x5dfffffd,0xfd800000,0x3601ffff,
    0x000fffff,0x88fffffb,0xfd86ffff,0x7ffec3ff,0x3ffe67ff,0x7fec4fff,
    0x3fe67fff,0x7ec4ffff,0x3e67ffff,0xc84fffff,0x004fffff,0xf0001440,
    0xfffb09ff,0xffff707f,0x7fff540d,0xd5000bdf,0x017bffff,0x3ffffaa0,
    0xfd5000bd,0x2017bfff,0xfffa84f8,0x217ffe21,0x372e206e,0x41ffffcc,
    0x27fffffd,0x4ffffff9,0x7fffffe4,0xfffff75f,0x7ffe4dff,0xfffffb1f,
    0x7ffffccf,0x7fffec4f,0x3fffe67f,0x7d4004ff,0x3a604fff,0x800effff,
    0x0effffe9,0xffffe980,0xffff700e,0x98ffffff,0xbfe9804f,0x03ffff50,
    0x7fe40000,0x3f603fff,0x9000ffff,0x443fffff,0x3666ffff,0xff700bef,
    0xffe88fff,0xfffb84ff,0x7fff447f,0xffffb84f,0x7ffff447,0xfffffe84,
    0x00000003,0x7ec13fea,0xffa84fff,0xdff907ff,0x003bfea3,0x3ea3dff9,
    0x7fe400ef,0x01dff51e,0xf51effc8,0x03f701df,0xff83fff5,0xb81fb86f,
    0xffebcfff,0xfffb85ff,0x7fff447f,0xffffb84f,0x7fffd43f,0x40ef984f,
    0x447ffffb,0xb84ffffe,0x7447ffff,0x4004ffff,0x2e06fffe,0x07ffa4ff,
    0x3fa4ffb8,0x93fee01f,0x774c1ffe,0xeeefffff,0x22017e65,0x7fe40fff,
    0x000000ff,0x09fffff9,0x07ffffec,0xfffffc80,0x9bfffe22,0x101cfffb,
    0xf90fffff,0xff109fff,0xfff90fff,0xffff109f,0x9ffff90f,0x5ffffff0,
    0x20000000,0xf704fff9,0xff50bfff,0xffc81fff,0x037fec1f,0xfd83fff9,
    0x3fff206f,0x9037fec1,0xffd83fff,0xff507c86,0x1fffd43f,0x3fee17cc,
    0x3fffe23f,0x7fffc40f,0x4ffffc87,0x09ffffb0,0x20bffffb,0xffff882f,
    0x4ffffc87,0x87ffff88,0x004ffffc,0x4037ffe6,0x7fd46ffb,0xa8dff706,
    0xdff706ff,0xf106ffa8,0x3ee0ffff,0x7fff9004,0x43ffffb8,0xaaaaaaa9,
    0xaaaaaaaa,0xfffffdaa,0x3ffff606,0xfff9000f,0x7ffc47ff,0x4fffb86f,
    0x70fffff0,0x3e09ffff,0xffb87fff,0xffff04ff,0x9ffff70f,0xffffff98,
    0x40000001,0xefffffda,0x7ffffd40,0x3ffffd40,0x2a1fffe6,0xff985fff,
    0x5fffa87f,0xa87fff98,0xff985fff,0x5fffa87f,0xfffa836c,0x01dffb11,
    0x7ffd47f1,0x4ffffb87,0xb87ffff8,0xf304ffff,0xff50dfff,0x40f50fff,
    0xfb87ffff,0xfff04fff,0xffff70ff,0x27fec009,0x887fff10,0x7fc43fff,
    0x1fffc43f,0xf10fffe2,0xfff107ff,0x001930ff,0x2a3ffff4,0x7dc4ffff,
    0xffffffff,0xffffffff,0x07ffffff,0x03fffff6,0x7ffffe40,0x1bfffe24,
    0x7c0ffff4,0xffb87fff,0xffff04ff,0x9ffff70f,0x21ffffe0,0x544ffffb,
    0x00ffffff,0x3ea00000,0xffffffff,0x17ffff40,0xb1bfffea,0xff30dfff,
    0xfffd83ff,0x1ffff986,0x4c37ffec,0x7ec1ffff,0xfff986ff,0x7d417a1f,
    0x4fffddff,0xfffb27c0,0xdffff50b,0x70fffff0,0x7409ffff,0x7e41ffff,
    0x2642ffff,0x70fffff0,0x3e09ffff,0xffb87fff,0xff1004ff,0x2fffd805,
    0x7ec7fff8,0x7fff82ff,0x7c17ffec,0xfff887ff,0xf700007f,0xfffa8bff,
    0x7fffdc4f,0x999999ff,0xffc99999,0x3f606fff,0x9000ffff,0x449fffff,
    0xf906ffff,0xffff0dff,0x9ffff70f,0x21ffffe0,0xf04ffffb,0xff70ffff,
    0xfffa89ff,0x00000fff,0x7ff5c400,0x7d43ffff,0xf913ffff,0x7fc4bfff,
    0xfff885ff,0x3fffe23f,0x3ffff885,0x217fffe2,0x223ffff8,0xf885ffff,
    0x417a3fff,0xffeafffa,0xf9a7c00f,0xff985fff,0xffff87ff,0x4ffffb87,
    0x13fffee0,0x8bffffbf,0x3fffe01f,0x4ffffb87,0x70fffff0,0x2009ffff,
    0x7fc401fb,0xffff81ff,0x03ffff10,0x3e21ffff,0xfff81fff,0x7fffc40f,
    0x36a00007,0x3fff620b,0x7fffcc4f,0x7fdc007f,0x3f605fff,0x9000ffff,
    0x447fffff,0xf906ffff,0xfff83fff,0xffffb87f,0x0fffff04,0x209ffff7,
    0xfb87ffff,0x7fc44fff,0x4401ffff,0x99999999,0x36000999,0xb86fffff,
    0xffefffff,0x3ea3ffff,0xff885fff,0x3ffea5ff,0xffff885f,0x17fffea5,
    0xa97fffe2,0xf885ffff,0x41b65fff,0xff99fffa,0x54fe204f,0xf984ffff,
    0xfff87fff,0xffffb87f,0x3fffe204,0x3ffe3aa7,0xf80d50ff,0xffb87fff,
    0xffff04ff,0x9ffff70f,0x2600ba00,0x999affff,0xf32ffff9,0x33335fff,
    0x3e65ffff,0x9999afff,0x7c42ffff,0x00007fff,0x3ffbf220,0x7ffc44ff,
    0x7e4007ff,0x3604ffff,0x000fffff,0x45fffff9,0x906ffff8,0xff85ffff,
    0xfffb87ff,0xfffff04f,0x09ffff70,0x2e1ffffe,0xff84ffff,0x4c02ffff,
    0xffffffdb,0x64000cef,0x980fffff,0xffbefffd,0x3fee0fff,0xfff884ff,
    0x3fffee7f,0x7ffff884,0x213fffee,0x2e7ffff8,0xf884ffff,0x41f27fff,
    0xffb1fffa,0x5cbe601f,0xf984ffff,0x7fc0ffff,0xfffb87ff,0x7ffec04f,
    0x3ff67b2f,0xf809b3ff,0xffb87fff,0xffff04ff,0x9ffff70f,0x2a003a00,
    0xffffffff,0xf53fffff,0xffffffff,0x3ea7ffff,0xffffffff,0x7c43ffff,
    0x00007fff,0xfaaffc88,0xfff84fff,0x36000fff,0x202fffff,0x00fffffd,
    0x3fffff90,0x837fffc4,0x7c4ffffc,0xffb87fff,0xffff04ff,0x9ffff70f,
    0x21ffffe0,0xd84ffffb,0x003fffff,0x1bfffff2,0xffffd000,0x3fe60805,
    0x7ffe45ff,0xffff884f,0x9ffff90f,0x1fffff10,0x213ffff2,0x90fffff8,
    0xf109ffff,0x3e61ffff,0x11fffa82,0x3f209fff,0x09ffff90,0xf0fffff3,
    0xff70ffff,0xffa809ff,0xf50f8dff,0x03f1dfff,0xb87ffff8,0xff04ffff,
    0xfff70fff,0x401a009f,0x002ffffb,0x00bfffee,0x02ffffb8,0x7ffff880,
    0x7fd40000,0x9ffff51f,0x1fffffd0,0x7fffec00,0x3fff601f,0xff9000ff,
    0xfff88fff,0xffff906f,0x87ffff8b,0xf04ffffb,0xff70ffff,0x3ffe09ff,
    0xffffb87f,0xfffffb84,0x3ffea004,0x540004ff,0x2000ffff,0x5c1ffffc,
    0xf884ffff,0x3fee7fff,0xfff884ff,0x3fffee7f,0x7ffff884,0x213fffee,
    0x747ffff8,0x22fffb86,0x7c41fffc,0x13fffee5,0x21bfffe6,0xfb87ffff,
    0x7c404fff,0x7c5cffff,0x806cffff,0xfb87ffff,0xfff04fff,0xffff70ff,
    0xfb800009,0x2e003fff,0x2003ffff,0x003ffffb,0x07ffff88,0x3fff2000,
    0x13fffea1,0x07ffffee,0x5fffff80,0x7ffffec0,0xffff9000,0x6ffff88b,
    0x87ffff70,0xfb87ffff,0xfff04fff,0xffff70ff,0x1ffffe09,0x213fffee,
    0x05fffff9,0x3ffffea0,0xfff80003,0x7fffc007,0x4ffffa84,0x27ffff88,
    0x884ffffa,0x3ea7ffff,0xff884fff,0x3ffea7ff,0xffff884f,0x3f60fdc7,
    0x3ffe24ff,0xf987ee0e,0xff985fff,0xffff84ff,0x4ffffb87,0xfffffd80,
    0x7ffffe42,0x7ffff803,0x04ffffb8,0xf70fffff,0x00009fff,0x05ffffa8,
    0x17fffea0,0x5ffffa80,0xffff8800,0xff700007,0xffffa8df,0x7ffffd04,
    0x3fffe600,0x7ffec00f,0x641980ff,0x7c41ffff,0xff506fff,0xffff85ff,
    0x4ffffb87,0x70fffff0,0x3e09ffff,0xffb87fff,0xfff904ff,0x3ea001ff,
    0x0003ffff,0x2005ffe8,0xf306fffb,0xff30bfff,0x7ffccbff,0xffff985f,
    0x17fffe65,0x997fffe6,0xf985ffff,0x7f445fff,0xfffffe98,0x1ffff71f,
    0xfff88bf3,0xffff985f,0x87ffff83,0x804ffffb,0x40fffff9,0x00fffff9,
    0xb87ffff8,0xff04ffff,0xfff70fff,0x4006009f,0x00fffff9,0x1fffff30,
    0x3fffe600,0x7fc4000f,0xf00007ff,0xffa8bfff,0xfff304ff,0x3ff200bf,
    0xffd803ff,0x7fe40fff,0x217fff25,0x266ffff8,0x81ffff12,0x5c0fffff,
    0xff04ffff,0xffb81fff,0xffff04ff,0xffffb81f,0x3ffff604,0xffff5003,
    0x4004c07f,0xf5001ffe,0x7f403fff,0xfffa86ff,0x37fff42f,0x217fffd4,
    0xfa86fffe,0x7ff42fff,0xffffa86f,0x0005f982,0x7f4077c4,0xfffa85ff,
    0xfffff81f,0x27fffdc0,0x05ffff80,0x200dfffd,0x5c0fffff,0xff04ffff,
    0xffb81fff,0x7f5404ff,0xffff803f,0xff8ae04f,0x8ae04fff,0x204fffff,
    0x7fffc42b,0xff980007,0xffd31fff,0x7fec09ff,0x7fc402ff,0xffd006ff,
    0x7fc41fff,0x3fffb0ff,0x2dffff10,0xdffb3ffa,0x41ffffd0,0x04fffff8,
    0x441ffffd,0xd04fffff,0x7c41ffff,0x2204ffff,0x800ffffe,0x03fffffa,
    0x7c407ffd,0xfff5003f,0xfffa801d,0x86fffa86,0xfa86fffa,0xfffa86ff,
    0x86fffa86,0xfa86fffa,0x3bee06ff,0x1ffa8000,0x70dfff50,0x3fa0dfff,
    0x3fe20fff,0xf9004fff,0x3fee05ff,0xfffd003f,0x7fffc41f,0xffffd04f,
    0x7ffffc41,0x7ffff404,0x7fffdc00,0x7dc6a82f,0x6a82ffff,0x17ffffdc,
    0xffff8354,0x7c400147,0xdfefffff,0x039effff,0x440dfff9,0x000cfffe,
    0x83fffffd,0xffb2fffe,0x3fffea07,0x3eebff96,0xffffc81f,0xfffffd34,
    0x3ffff209,0xfffffd34,0x3ffff209,0xfffffd34,0xfffd8809,0x7ffd400e,
    0xfff983ff,0x06fb80df,0x009fff50,0x360fffec,0xffb02fff,0x2fffd83f,
    0xd83fffb0,0xffb02fff,0x2fffd83f,0x005ffd40,0x200f7e44,0x7ec0fffb,
    0xfff901ff,0x3fffa69f,0xff3004ff,0x07ffc40f,0x4ffffc80,0x9fffffd3,
    0x53ffff20,0x4fffffe9,0x3ffffe60,0x7fffc402,0x1fdaadff,0x7fffffc4,
    0x441fdaad,0xadffffff,0xffd01fda,0x000ae3ff,0x77ffffec,0x1fffffd1,
    0x56fffd40,0x5fffd510,0x7fffcc00,0x7ffdc5ff,0x3202ff8d,0xff16ffff,
    0x2207fb1b,0xcffffffe,0x106ffffb,0x9ffffffd,0x20dffff7,0xffffffe8,
    0x06ffffbc,0x19ffff50,0xdffff930,0x3ffffa03,0x03fda9bf,0x02dffda8,
    0x30dffd80,0xfd803fff,0x3fff30df,0x30dffd80,0xfd803fff,0x3fff30df,
    0x33ffa200,0xfda9889a,0xff9000df,0x017ffccb,0xffffffd1,0x0dffff79,
    0x36027f40,0x3fa2005f,0xfbcfffff,0xfd106fff,0xf79fffff,0xfe80dfff,
    0xe8800fff,0xffffffff,0xffffd102,0x2205ffff,0xfffffffe,0x3ffe202f,
    0x20004fff,0x544effc8,0x8801dffe,0xffefffec,0xc8800cef,0xfffffffe,
    0xffc8adff,0x3fa02eff,0x36a6ffff,0x74c02dff,0xff73ffff,0xd303ffff,
    0x3ee7ffff,0x981fffff,0xf73ffffe,0x003fffff,0x3bffffb2,0x0bdffffe,
    0x7ffff4c0,0x2200dfff,0x000ceffb,0x7f7ffdc0,0xff7000ef,0x001dffdf,
    0x3ffbffee,0xfff7000e,0x0001dffd,0xffffffb3,0x700039ff,0x39dfdffb,
    0xffffd300,0x3ffffee7,0x01fb801f,0x260017d4,0xf73ffffe,0x303fffff,
    0x2e7ffffd,0x01ffffff,0x4009fff7,0xdfffffd8,0x7ffec401,0x6c401dff,
    0x01dfffff,0x03effd98,0x88011000,0x2ea60000,0x0000001a,0x0000aa88,
    0x54c00040,0x35300001,0x06a60000,0xaa880000,0x0019abcb,0x01575530,
    0x00006aa0,0x000d5440,0x00035510,0x0000d544,0x00003551,0x06aeea62,
    0x00a98000,0x00035300,0x19004880,0x006a6000,0x000d4c00,0x0000a880,
    0x4c0006a6,0x3530001a,0x00004000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0005f64c,0x03b803b5,0x007dddb0,0x003eeed8,
    0x0d5554c0,0x591006dc,0x54555500,0x01e981aa,0x000001dc,0x40000000,
    0x00aaaaa8,0x04b805d1,0x3bb6e600,0xccccccce,0xcccccccc,0x593001cc,
    0x0cec9800,0x00000344,0x1aaaaa80,0x0ca807b0,0xc9817910,0x5dddb002,
    0x99999300,0x40999999,0x3440cec9,0x00aaaaa8,0x06aaaaa0,0xd80bdc88,
    0x00000000,0xa9880000,0x09acdedc,0x2f7f2000,0x3fa000ff,0x802fe881,
    0x00fffffb,0x1fffff70,0x7fffc000,0x81ef880e,0x7c400fe9,0x1fff32ff,
    0x3620bf60,0xd930003f,0x8157bffd,0xcc980059,0x3fea01de,0x1fec03ff,
    0x4c003fd8,0xfedffffe,0xffffffff,0xffffffff,0xfffa803f,0xffff5005,
    0x10db37df,0x87999999,0xf1003eea,0x7dc0bfff,0x7c0bf704,0x3ffe66ff,
    0x7fffdc04,0xffffd807,0x05ffffff,0x7bfffff5,0x3fee0bb3,0x3fe003ff,
    0xff300eff,0xf937dfff,0x33333220,0x3ccccccc,0x3005fed4,0x640019fb,
    0xecacefff,0xf0003fff,0x2a003e85,0x17fe62ff,0x3ffffe20,0xfff8804f,
    0x50004fff,0x5c01dfff,0x13fea2ff,0xfc93fea0,0x8ffe602f,0xb8006fe8,
    0xcdfffffe,0x5eaceffe,0x9ffd7100,0x7fffb003,0x449ff300,0x7d4006fe,
    0x7ec42fff,0x4c0fffff,0x803fffda,0x401ffffd,0xfffffff8,0xfd503fff,
    0x7fd4dfff,0xffa806ff,0x6ffc00ef,0x5407ff60,0xff91ffff,0x7ffc40ff,
    0x3e203fff,0xffffffff,0xfff882ff,0x3fffffff,0x017ffee0,0x0077ffd4,
    0xfffffffd,0x754c09ff,0xaeffffff,0x3fffe609,0x9ffff00f,0x5fffd300,
    0x07bffa60,0x06b87a80,0x7d67ff40,0xffc801ff,0x400fffcf,0xfffcfffc,
    0xeffc8000,0x5fffc400,0xd800fffb,0x017fa0ef,0x3feb7ff6,0x3f62002f,
    0xb80adfff,0xb805ffff,0x1000bfff,0x64009fff,0x2fff9dff,0x3ffff200,
    0xfffff101,0x1ffdc01f,0x07fffec0,0x3ff77ea0,0x200fffff,0x3a6ffffb,
    0x403fffff,0xb800effd,0x4ffe9eff,0xa9fffe20,0x3f205fff,0x00fffcef,
    0xfffffff5,0x3ea0ffff,0xffffffdd,0x7ffe400f,0x0effd800,0x3ff7be60,
    0x801fffff,0x1ffffff8,0x9fffffb0,0x0fffff50,0x03ffffc8,0x027fffc4,
    0x02e40f98,0x3ffffea0,0xeff8804f,0x4409ff50,0x9ff50eff,0x01dff000,
    0x3ffffee0,0x1ff8803f,0x26003fe6,0x05ffffff,0x3ffffe60,0x5ffd8802,
    0x07fff620,0x009ff500,0xffffff88,0x3fff6006,0x7ffec04f,0x1fdc00ff,
    0x02fffcc0,0xffb712dc,0xfff9803b,0x3ffff66f,0x3bfe205f,0x3fffa000,
    0x75400fff,0x806fe42e,0xff70eff9,0x3ffff609,0x04ffffff,0x7fedc4b7,
    0x7ff9001c,0x801dff00,0x3ff6e26a,0x3ffa002d,0xff900fff,0xff10dfff,
    0x7fdc0bff,0xff9004ff,0x37a007ff,0xd0005f50,0x001fffff,0x1ff30bfb,
    0x3e617f60,0x3fea000f,0x7fff4000,0x89f5006f,0x3f6002fc,0x1001ffff,
    0x009fffff,0xe982ff44,0xd8002fff,0xff90005f,0x2a003fff,0x401fffff,
    0x00fffffd,0xb8801fc4,0x22011001,0xffff3000,0x7ffffd4d,0x003bea06,
    0x7fffff50,0xfb000000,0x881ff509,0x999999cf,0x01100999,0x3f200022,
    0x007fd405,0x00088044,0x07ffffe8,0x1bffffe6,0x8817ffe4,0x000fffff,
    0x01fffff1,0x09fdfd50,0x3fffe600,0x203f9803,0x03f984e9,0xfc8013a2,
    0xfffa8001,0xb0b9002f,0xfff88009,0x3ffa004f,0xf88005ff,0x05fffd05,
    0x000bf100,0x02ffffc4,0x0dffffd0,0x1fffffb0,0x001ec388,0x20000000,
    0x4c6ffff9,0x3605fcbc,0xffd0000f,0x000000df,0x274c07f5,0x000003ee,
    0x07ec0000,0x00003fb0,0x7fff4000,0x65e4407f,0xd00a205f,0x800dffff,
    0x005ffffd,0x300002e6,0x80000333,0x06200018,0x99800000,0x00000019,
    0x80066620,0x00fffffc,0xffb0bb00,0x000000bf,0x00999880,0x7fffff70,
    0xfffffb00,0x01544981,0x00013530,0x26003553,0x3206ffff,0x2000003f,
    0x00009998,0x00003553,0x013dd062,0x00a98000,0x00000000,0xffe80000,
    0x3ee007ff,0x3fee0004,0x64003fff,0x002fffff,0x00003553,0x41a98000,
    0x06aa6001,0x01aa9800,0x0060d4c0,0x40000a98,0xff1000a9,0x4000dfff,
    0x7fffd45a,0x06a60002,0x014c0003,0x0ffffffc,0x7ffffec0,0x4c0025c0,
    0x0cfffffd,0x7ffff5c0,0x7fcc02ef,0x03fa06ff,0x00005400,0x7ff5c015,
    0x0002efff,0x7ffffc40,0xea8002ce,0x00bdffff,0xfb000000,0x7ccfffff,
    0x404fffff,0x007ffffe,0xd80007f6,0x001fffff,0x2fffffd4,0xfffffd70,
    0x3fff605d,0x3ffe67ff,0xff504fff,0x80f9bfff,0xefffffeb,0xfffd7002,
    0xfa805dff,0x07cdffff,0x6fffff54,0xffd5000b,0x5c017bff,0x005fffff,
    0x3fffa0c0,0xfff50007,0xfc8f9bff,0xf90fffff,0x3e209fff,0x801fffff,
    0x40fffffd,0x7fd4004e,0x0efffa8c,0xf50bfe98,0x7cc03fff,0x9f306fff,
    0x7fffffdc,0x5c7fff21,0x21ffffff,0x74c1fffc,0xffff50bf,0x3fffe603,
    0xfff706ff,0x03dfffff,0x547bff20,0xff300eff,0xf98dffff,0x706fffff,
    0xe88fffff,0x7404ffff,0x1007ffff,0xffff98bf,0xffff86ff,0x7cc001ff,
    0xe986ffff,0xffff50bf,0x3fffee03,0x7ffff447,0x88dff984,0xfd307ffc,
    0x3fffea17,0x42ffa601,0x301ffffa,0xff911bff,0x8f7fe40f,0x6400effa,
    0xdff51eff,0x3ffffe01,0x2a00003f,0xca8cffff,0x3fe6009b,0x87ffc88d,
    0xd9fffffa,0x84ffffff,0x0ffffff9,0xfffffd80,0xb8013ee0,0x7fff47ff,
    0x207ffc45,0x300ffffc,0xd30dffff,0xfffff10b,0xbffffd13,0x4fffffc4,
    0x25ffffe8,0x7e40fff8,0x3f600fff,0xffd06fff,0xffffffff,0x7ffe401b,
    0x2037fec1,0xb06ffffd,0x220dffff,0xfc87ffff,0x7f404fff,0xe9807fff,
    0xffffb00d,0xfffff88d,0x7fc4000f,0x3e20ffff,0x7ffe40ff,0xffff880f,
    0x4ffffc87,0x7cc1ffd8,0x40fff887,0x880ffffc,0x7fe40fff,0x1ffd80ff,
    0xffc83fcc,0x037fec1f,0xfd83fff9,0xffff886f,0x200002ff,0xffeffffd,
    0xfb02ffff,0xf07f983f,0x33bfffff,0xb83ffffd,0x007fffff,0x33fffffb,
    0x22009ff9,0x7fe44fff,0x1fffe47f,0x40ffffee,0x5c6ffff9,0x3fffa04f,
    0xfffffd9f,0x4fffff45,0x25fffffd,0x7dc3fffc,0x3ea03fff,0xff986fff,
    0xffffffff,0xff980eff,0x5fffa87f,0x1bfffea0,0x037fffd4,0xf70fffff,
    0xfe809fff,0x7d407fff,0x7fffd405,0x7ffffd46,0x7fc4000f,0x3f21ffff,
    0x7ffdc3ff,0xfffff03f,0x89ffff70,0xfa84fff8,0x21fffe40,0xc83ffffb,
    0x7fdc3fff,0x7ffc43ff,0x7cc0fa84,0xfffa87ff,0x87fff985,0x7cc5fffa,
    0x000fffff,0xfffff100,0xfffffb7b,0x84fff887,0xffff80fa,0x7fffdc5f,
    0x7ffffe43,0xffffb007,0x09ffffff,0x30ffff20,0xffe8dfff,0x7fffd47f,
    0xdffff304,0x3f60064c,0xfa9edfff,0x7ffec2ff,0xfffa9edf,0x51ffffa2,
    0x4c09ffff,0xeb86ffff,0xffffffff,0xfd85ffff,0xfff986ff,0xffff301f,
    0x3fffe60d,0x1ffffe06,0x013fffee,0x40fffffd,0xff9801c9,0x7ffdc6ff,
    0xf88007ff,0x3a2fffff,0x7fd47fff,0xffff04ff,0x9ffff70f,0x84ffffa8,
    0x3ffff40e,0x213fffea,0x7d47fffe,0x7fd44fff,0x6c0e84ff,0xff986fff,
    0x7ffec1ff,0x1ffff986,0x1fffffee,0xfff98000,0x7fffcc7f,0x3fffea0f,
    0xffe80e84,0x7ffd40ff,0x7fffe44f,0xfffb006f,0x9fff95ff,0x5ffff100,
    0xfb85df90,0x7ffd45ff,0xffff304f,0xfffb000d,0xd81a85ff,0x542fffff,
    0x22fffdc1,0x204ffffa,0x806ffff9,0xffffeb98,0x3fe22fff,0xfff885ff,
    0xffff303f,0x3fffe60d,0x1ffffe06,0x013fffee,0x00fffffd,0x3fffe600,
    0x7ffffd46,0xfff88007,0x3fee2fff,0x7fffd45f,0x0fffff04,0x989ffff7,
    0x20efffff,0x2fffdc09,0x213fffea,0x7d45fffb,0x7fcc4fff,0x8260efff,
    0x885ffff8,0x3e23ffff,0xff885fff,0x3ffee3ff,0x00000fff,0xb0fffff5,
    0x7ccbffff,0x260effff,0x0ffffe80,0x227fffd4,0x07fffffb,0x1fffffb0,
    0x26013f62,0x8002ffff,0x3f620bda,0xff304fff,0xfb000dff,0x6c00dfff,
    0x2006ffff,0x3f620bda,0x3e604fff,0xa8006fff,0x24fffffd,0x885ffffa,
    0xf305ffff,0x3e60dfff,0x3fe06fff,0xfffb87ff,0x7fff404f,0xf300007f,
    0xff98dfff,0x4000ffff,0x1ffffff8,0xfb105ed4,0x3fe09fff,0xfffb87ff,
    0xffffe84f,0x5ed402ff,0x3ffff620,0x4417b504,0xe84ffffd,0x02ffffff,
    0x10bffff5,0x7d4bffff,0xff885fff,0x3ffea5ff,0x00001fff,0x50dffff7,
    0xfe8fffff,0x402fffff,0x540ffffe,0x7d44ffff,0xb007ffff,0x441fffff,
    0xfffa804f,0xc880003f,0x04ffffef,0x00dffff3,0x09ffffb0,0x27fffec0,
    0xfdf91000,0x7cc09fff,0x20006fff,0x2e6ffffc,0xf884ffff,0xff307fff,
    0x3fe60dff,0x3ffe06ff,0xffffb87f,0x7ffff404,0xff300007,0xfff88dff,
    0x4c001fff,0x807fffff,0xffffefc8,0x0fffff04,0x709ffff7,0x9fffffff,
    0x7f7e4400,0x91004fff,0x09ffffdf,0xfffffff7,0x9ffff709,0x4fffff10,
    0x884ffffb,0x3e67ffff,0x002fffff,0xdffff900,0x1fffff10,0x7fffffdc,
    0x3fffa04f,0x7fffd40f,0x7ffffc44,0xfffd800f,0x402640ff,0x005ffffb,
    0x2abff220,0xf304ffff,0xb000dfff,0x4007ffff,0x003ffffd,0xfaaffc88,
    0x3e604fff,0x40006fff,0x3f27fffb,0xff884fff,0xff980fff,0xfff306ff,
    0x7fffc0df,0x4ffffb87,0x3fffff40,0xfff98000,0xfffff86f,0x7fcc002f,
    0x32206fff,0xffffaaff,0x0fffff04,0x209ffff7,0xfffffffd,0x57fe4404,
    0x404ffffa,0xffaaffc8,0xfffb04ff,0xfc89ffff,0xff884fff,0xfff90fff,
    0xffff109f,0x3fffe21f,0x500003ff,0x3e0fffff,0x7ec1ffff,0x04ffffff,
    0xa81ffffd,0xfd84ffff,0xd801ffff,0x540fffff,0x3fee1704,0xf50006ff,
    0x3ffea3ff,0xffff304f,0xfffb000d,0x7fec005f,0x7d4002ff,0xffff51ff,
    0x7fffcc09,0xffd80006,0x13fffee6,0x41ffffe2,0x306ffff9,0x7c0dffff,
    0xffb87fff,0x7ff404ff,0x198007ff,0x437fffcc,0x02fffffc,0x7ffffdc0,
    0x23fff503,0xf04ffffa,0xff70ffff,0x7fe409ff,0x502fffff,0x3fea3fff,
    0x3fea04ff,0x9ffff51f,0x7ffffe40,0x3ffee2ff,0xffff884f,0x13fffee7,
    0xb1ffffe2,0x009fffff,0x3fffe600,0x1fffff07,0xffffff90,0xffffd05f,
    0x4ffffa81,0x2fffff98,0xfffffd80,0x50e82440,0x001fffff,0x2a1fffc8,
    0xf304ffff,0xb000dfff,0x4003ffff,0x001ffffd,0xfa87fff2,0x3e604fff,
    0x80006fff,0x3fea3ffb,0xfff884ff,0xffff307f,0x3fffe60d,0x1ffffe06,
    0x013fffee,0x00fffffd,0xfff983b0,0xffff886f,0x7fec004f,0xffc80fff,
    0x3fffea1f,0x0fffff04,0x809ffff7,0x4ffffffa,0x2a1fffc8,0xf904ffff,
    0x7ffd43ff,0x7ffd404f,0x3fea4fff,0xfff884ff,0x3fffea7f,0x7ffff884,
    0x37ffffcc,0xffff0000,0xffffd01f,0x7ffffd40,0xffffe84f,0x27fffd40,
    0x05ffffe8,0x1fffffd8,0x7fc4f500,0x2e004fff,0x7fd46fff,0xfff304ff,
    0xffb000df,0x7ec003ff,0xf7001fff,0xfffa8dff,0x3ffe604f,0xf980006f,
    0x3fffe61f,0x5ffff985,0x0dffff30,0x81bfffe6,0xfb87ffff,0x7f404fff,
    0x44007fff,0x7fffcc0f,0xfffff906,0x7fff4001,0x6fffb83f,0x827fffd4,
    0xfb87ffff,0x20c44fff,0x47ffffe8,0x7d46fffb,0xffb84fff,0x7fffd46f,
    0x3fa20c44,0x3fe67fff,0xfff985ff,0x3fffe65f,0x5ffff985,0x1fffffe8,
    0xffd82000,0xfffe81ff,0xffd10625,0xfffd0fff,0xffffa81f,0xfffff104,
    0xffffd803,0x45e8801f,0x01fffffe,0x45ffff82,0x304ffffa,0x000dffff,
    0x003ffffb,0x00ffffec,0x545ffff8,0x2604ffff,0x5106ffff,0xd0ff3001,
    0xff50dfff,0x3fe605ff,0xfff306ff,0x7fffc0df,0x7fffdc0f,0x7ffff404,
    0x4c3dc007,0xf106ffff,0x2007ffff,0xf06ffffa,0xffa8bfff,0xffff04ff,
    0xffffb81f,0x7ec07cc4,0x7fffc7ff,0x27fffd45,0x2a2ffffc,0x7cc4ffff,
    0x47fffd80,0xfa86fffe,0x7ff42fff,0xffffa86f,0xfffff882,0x643b0005,
    0xfe82ffff,0x203e63ff,0xfe87fffd,0x7fd40fff,0x3fea04ff,0x7ff404ff,
    0xfd801fff,0x7ffffd44,0xff31e886,0x3fa63fff,0xff304fff,0xfb000dff,
    0x6c003fff,0x9801ffff,0xd31fffff,0x4c09ffff,0xf986ffff,0x3f600cff,
    0x86fffa82,0x2606fffa,0xf306ffff,0x7f40dfff,0x3fe20fff,0x7f404fff,
    0x22007fff,0xffff987f,0x3fffa606,0xdfffd006,0xfffff301,0x3ffffa63,
    0x1ffffd04,0x27ffffc4,0x3fe213e6,0x3fffe65f,0xffffd31f,0xfffff989,
    0x9ffffd31,0xff884f98,0x37ffd45f,0x5437ffd4,0xffa86fff,0x3ffea06f,
    0x362003ff,0x3fffe20f,0x20ffff84,0xfff884f9,0x0ffffe85,0x02ffffd4,
    0x413fffea,0x2ffffff9,0x20fffaa0,0xdffffffe,0x3fe22fca,0xfdfeffff,
    0x4c39efff,0x8006ffff,0x001ffffd,0x007ffff6,0x3fffffe2,0xeffffdfe,
    0xffff9839,0xfffffb86,0x3604f982,0x7fec1fff,0x3ffe602f,0xffff306f,
    0x7fffe40d,0xfffffd34,0xffffe809,0x6fe8800f,0x06ffff98,0x027ffec4,
    0x8817fff2,0xfeffffff,0x39effffd,0x9a7fffe4,0x44fffffe,0xffe81ff8,
    0x3ffffe22,0xffffdfef,0xffff139e,0xfffbfdff,0x3fe273df,0xd82ffe81,
    0x7fec1fff,0x3fffb02f,0x402fffd8,0x03fffffa,0xfa80dfa8,0x7ffc47ff,
    0x740ffc41,0xffff82ff,0x7fffdc1f,0xfffd8805,0xfffc99bd,0xaabeffff,
    0x2ffffecb,0xfffffd88,0xffd83fff,0xffd1efff,0xff981fff,0xfe8007ff,
    0x3a002fff,0xb002ffff,0x23dfffff,0x80fffffe,0x887ffff9,0xbeffffff,
    0xfd803feb,0x3fff30df,0x7ffff980,0x0fffff30,0x7fffff44,0x6ffffbcf,
    0x7fffffc0,0x2fff4401,0x03ffffcc,0x21dfffb8,0x03fffda8,0xefffffd8,
    0x1fffffd1,0xfffffe88,0x6ffffbcf,0xb867ffc4,0xfffd84ff,0xfffd1eff,
    0x7ffec1ff,0xfffd1eff,0x3ffe21ff,0x409ff70c,0xff30dffd,0xdffd803f,
    0x003fff30,0x3fffff62,0xffdb99ab,0x27ffd403,0xff105ffb,0x13fee19f,
    0x0fffffe6,0x01fffffb,0x3ffff260,0xffffffff,0xffffffff,0x3201ffff,
    0x02dfffff,0xa89dff91,0xfc81dffe,0x2001ffff,0x04fffff8,0x9fffff10,
    0x3bff2200,0x0efff544,0x1fffffc8,0xfffffea8,0x2e000bdf,0x0effefff,
    0xfffffc80,0xfffffc81,0x3fffa601,0xfffff73f,0xffff503f,0x55557fff,
    0x09ffffd9,0x03fffff9,0x3fffb260,0x01cdfffe,0x89dff910,0x301dffea,
    0x2e7ffffd,0x11ffffff,0xfffffbbf,0x3bff2209,0x0efff544,0x513bff22,
    0x7c43bffd,0x4fffffdd,0xfefffb80,0xff7000ef,0x001dffdf,0xfffff930,
    0x003bdfff,0x3fbbfb26,0xfbbf102d,0xf909ffff,0x2bffffff,0xfffffffe,
    0x4ccc4002,0x00000999,0x2002a980,0x44044008,0xffffffff,0xffffb805,
    0x2e02efff,0xefffffff,0x88011002,0xfffff100,0x2a20bfff,0x880000aa,
    0xff1001aa,0x2bffffff,0xfffffff8,0x00d4c05f,0x7fff6c40,0xffffffff,
    0xffffffff,0x3ffffe23,0x88005fff,0x40000aba,0x80044008,0x850001a9,
    0x011001a9,0x00440088,0x2a614022,0x1aa88001,0x06aa2000,0xcaa98000,
    0xa880001a,0x1a985001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98179100,
    0x3fff602c,0xfff30fff,0x2e889fff,0x980025c0,0xaa98000a,0x036e02aa,
    0x00001c88,0xc9817910,0x332e0002,0x2002cccc,0x6664402a,0xcccccccc,
    0x6666542c,0xcccccccc,0x10000001,0x99990015,0x99999999,0x32e20599,
    0x000bceee,0x02aaaaa0,0x39500000,0x3001cb88,0xccca8059,0x24cccccc,
    0xccccccca,0xca80cccc,0x0002cccc,0xa8800000,0x2ea03101,0xfb000000,
    0x3fae200b,0x2e200ace,0x000002df,0x99bffe20,0x3ee04fff,0x3a20ffff,
    0xfd84ffff,0x7e47fb03,0xf91fffff,0x4001bfff,0x201ffffd,0xff980ef9,
    0xefdb9800,0x9bffe02c,0x0004fff9,0x9fffff73,0x1dfff300,0x7ffed4c0,
    0x409bffff,0xffffeb98,0xf309aeff,0xf99fc405,0xd55fffff,0x2605bfff,
    0xffffffff,0x81ffffff,0xfc9cfffb,0xf98003ff,0x10004fff,0xfffb80f9,
    0x003fff61,0x4c09fff7,0xfffffffd,0x3ffaa21b,0x01afffff,0x039ffd71,
    0x00002c00,0xbffffb71,0x3fa13ea1,0x1fed41ff,0x02ffdc00,0x7fffffdc,
    0xfff900ef,0x000000bf,0x643fffea,0x3e207fff,0x7e40ffff,0xff984fff,
    0x2a1bfa24,0xfd9fffff,0x005fffff,0x003ffff1,0x7fdc3ffb,0x47ffc403,
    0xfa82fffc,0xfff90fff,0xffb8000f,0xffc804ff,0xfff003ff,0x26005fff,
    0x00ffffff,0xfe9815ff,0x3ffff621,0xffffefad,0xffffb82f,0xffffffff,
    0x1fffc87f,0x001fffcc,0x0013fff2,0xd01fff26,0x3fe29fff,0x7ff403ff,
    0x7fec00ff,0x3a206fff,0x004fffff,0xa8000bf5,0xe880002f,0x9df90cff,
    0xfffa89ff,0x1ffffc5f,0x0bfff300,0xffffffa8,0x7c40efff,0x001fffff,
    0xfff88000,0x017ffea7,0xb81fffff,0xfb04ffff,0x05fff5bf,0x37fffffe,
    0x2ffffe99,0x02fffa80,0xf95fff10,0xffe880df,0x10dfff55,0x7fd4ffff,
    0x5551005f,0xdffff955,0x7fff4035,0xfffd005f,0x3e2001ff,0x3206ffff,
    0xfffeefff,0xfffffb86,0xffffb32f,0xfffffc81,0xffffffff,0x837ffd44,
    0x2001fffd,0x4c005fff,0x407ffffd,0x3fa3fffc,0x7ff401ff,0xfff9807f,
    0x3ea00fff,0x5006ffff,0xfd80003f,0xffe80005,0x4ffffe85,0x53ffffe4,
    0x200bffff,0x205ffff8,0xfffffff9,0xff85ffff,0x0003ffff,0x85dd7000,
    0x7fc00dfc,0x7fd40fff,0xfff104ff,0x7f40bfff,0x7fdc6fff,0xffd804ff,
    0x7ffe4002,0x7f402fff,0x9fff14ff,0xf90bbae0,0x3fee001b,0xffffffff,
    0x3fee05ff,0xffd002ff,0x7c001fff,0x7406ffff,0x1fffffff,0x2fffff98,
    0x22ffffc4,0xfffffffe,0x41ffffff,0xf904fffe,0x3e6007ff,0x3faa005f,
    0x407fffff,0x76cc4fd8,0x3fffa803,0xfffffb00,0xfffff805,0x006c801f,
    0x00fffcc0,0x05fffb00,0xa89ffff9,0x3ea4ffff,0xfb005fff,0x7ec0bfff,
    0xffffdabd,0x7fe40fff,0x00003fff,0x7c000000,0x7d40ffff,0x3f204fff,
    0x3a01ffff,0x7d41ffff,0xff804fff,0xfff88002,0xfff805ff,0x000ae64f,
    0x99988000,0xdffffb99,0x3ff22009,0x3fffa004,0x3fe000ff,0x74406fff,
    0x302fffff,0x3a0dffff,0xff11ffff,0x3333557d,0xff88ffd3,0xfff707ff,
    0x017f200b,0xffea9ca8,0x000007ff,0x5000dc40,0x80bfffff,0x04fffffc,
    0x6c0003e8,0x70004fff,0xf701ffff,0xff909fff,0x7fffc41b,0xffffb803,
    0x305f105f,0x05fffffd,0x005fb795,0x00000000,0x40fffff8,0x204ffffa,
    0x404ffff8,0x4c1ffffe,0x5405ffff,0x3f20003f,0x7cc01fff,0x00004fff,
    0xff500000,0x004009ff,0x7fffff40,0x3fffe000,0x7995006f,0x7fffcc01,
    0x7ffff905,0x3e2007ea,0x7fffcc4f,0x3fffb81f,0x8000df00,0x007ffffa,
    0x00000000,0x01fffffd,0x3fffffc4,0x80003e60,0x00fffff8,0x07fffd80,
    0x409ffff7,0x05ffff00,0xffffdf98,0x7d407705,0x7403ffff,0x0000001f,
    0x7ffc0000,0x7ffd40ff,0x4ccc404f,0x7ffff400,0x2ffffcc1,0x99800000,
    0xfffa8009,0x54c0004f,0x82a20000,0x004ffffa,0x7fff4000,0x3fe000ff,
    0x00006fff,0x05ffff98,0x329ffff7,0x05ff7003,0x81dfffff,0x0001fffc,
    0x3ffe6000,0x54c4007f,0x0a988000,0x3fffee00,0x7fff404f,0x017202ff,
    0xfffff900,0xffff0007,0x3fffea0d,0xfffd8004,0x3e77a200,0x10005fff,
    0x401fffff,0x330006f8,0xfffffd80,0x3ffffe67,0xfffff04f,0x4ffffa81,
    0x7ff40000,0x7ffcc1ff,0x0000005f,0xffff5000,0xffd50009,0x20017bff,
    0xa9efffdb,0x0004ffff,0x7ffff400,0x3ffe000f,0x800006ff,0x505ffff9,
    0x000bffff,0x3ff60ffd,0x3fa0efff,0x0a60006f,0xfffff300,0x3fffa600,
    0xfe9800ef,0x8800efff,0x407fffff,0x05fffffe,0xf80005f1,0x007fffff,
    0x82ffffc4,0x204ffffa,0x80dff700,0xffff98fd,0x3ff60005,0xd0fdc06f,
    0x22ffffff,0x203efffd,0x447ffffb,0xf04ffffe,0xfa81ffff,0xff984fff,
    0x7406ffff,0x7cc1ffff,0x3fea5fff,0xffffffff,0x3fea5fff,0xffffffff,
    0x7fd45fff,0x7e4004ff,0x1dff51ef,0xbdfffd80,0x4ffffdfe,0xd000aa00,
    0x001fffff,0x037ffffc,0xdffffff3,0x2ffffcc0,0x07ffffa8,0xa827fc40,
    0xafffffff,0x7e40dffa,0xf90fffff,0x26009fff,0xb807ffff,0x07ffa4ff,
    0x3fa4ffb8,0xfffd801f,0xfff302ff,0xf501ffff,0xfdfb8000,0x2002ffff,
    0x505ffffa,0x2a09ffff,0x409ff105,0xffff31fb,0x7fec000b,0x20fee04f,
    0xe9fffffc,0x02ffffff,0x90fffff1,0x3e09ffff,0x7d40ffff,0x3f604fff,
    0x7f406fff,0x7fcc1fff,0x33fea5ff,0xfffc999a,0x33fea1ff,0xfffc999a,
    0x7ffd41ff,0x3ff2004f,0x037fec1f,0xfb8dfff7,0x2004ffff,0x7ff4002c,
    0x3e000fff,0xd806ffff,0x2606ffff,0xf505ffff,0xb800bfff,0x3ff202ff,
    0x3fffffff,0x3ffffea0,0xffffffd9,0xffff9804,0x237fdc07,0xff706ffa,
    0x806ffa8d,0x05fffffa,0xfffff9bb,0x80009b07,0xffffface,0x3ffee006,
    0xffff505f,0xfe81ae09,0x7cc9f301,0x20005fff,0xf902fffe,0x3fffe605,
    0xfffa8cff,0x3fffe07f,0x4ffffb87,0x81fffff0,0x204ffffa,0x406ffffa,
    0x4c1ffffe,0x3ea5ffff,0xfffff882,0x7c417d45,0xfa85ffff,0xf3004fff,
    0xfff50fff,0x3ffff30b,0x09ffffb0,0x3a000f40,0x000fffff,0x01bffffe,
    0x81bfffea,0x705ffff9,0x8009ffff,0xffd807fe,0x00efffff,0x6ffffffc,
    0x1ffffe99,0x3ffffcc0,0x887fff10,0x7fc43fff,0x1fffc43f,0x7fffff40,
    0x7fcd7c40,0x0fc46fff,0x3a1f5000,0x001fffff,0x20dffff7,0x904ffffa,
    0xdd03e40f,0x05ffff98,0x0bfff100,0xff8802ee,0x7fec4fff,0xffff01ff,
    0x9ffff70f,0x07ffffa0,0x409ffff7,0x406ffff9,0x4c1ffffe,0x1aa5ffff,
    0x07ffffec,0x7ffec1aa,0xfffa80ff,0xfffb004f,0x3ffff30d,0x507fffd8,
    0x2009ffff,0xffe8007d,0x3e000fff,0x9806ffff,0x2606ffff,0xf705ffff,
    0x44007fff,0xff7005ff,0x03ffffff,0x22fffffc,0x403ffffb,0x207ffff9,
    0xff82fffd,0x17ffec7f,0x5c03fffc,0x5c4fffff,0x3fffffa7,0xb0001ae1,
    0x7ffffdcb,0xffff5005,0x3fffea0d,0x2a01fb04,0xf981f906,0x70005fff,
    0x40001fff,0xc87ffff8,0xff02ffff,0xfff70fff,0x3fff609f,0x3fffa22f,
    0x3ffe604f,0x7fff406f,0x7fffcc1f,0x3fe60ea5,0x83a83fff,0x03fffff9,
    0x009ffff5,0x10bffff1,0xff87ffff,0xfff506ff,0x4fe8809f,0xffffe800,
    0x3ffe000f,0xff9806ff,0x3fe606ff,0xfff905ff,0x7fdc003f,0xffff5002,
    0x203fffff,0x540ffffe,0x4c04ffff,0xf107ffff,0xfff03fff,0x3fffe21f,
    0x00ffff81,0x3fffffc4,0xffffb8fa,0x8000fa4f,0x3ffe21f9,0xf8800fff,
    0xff507fff,0x0bfa09ff,0xf305f500,0x2000bfff,0x40002ffe,0xc87ffff8,
    0xff02ffff,0xfff70fff,0x3fff209f,0xfffe98df,0x3fe605ff,0x7ff406ff,
    0x7ffcc1ff,0xfffe805f,0x7ff4006f,0x3fea06ff,0xffa804ff,0xfff885ff,
    0x3fffe25f,0x9ffff505,0x007ffcc0,0x7fffff40,0x3fffe000,0xfff9806f,
    0x3ffe606f,0xdfffd06f,0x807fd800,0xffdaffe8,0xe80fffff,0x7d40ffff,
    0x7cc04fff,0xff307fff,0xf33335ff,0x3fe65fff,0xf9999aff,0xfd802fff,
    0x1f52ffff,0xbfffffc4,0x360000f9,0xfffffc85,0xffff9004,0x9ffff705,
    0x4007ff10,0xfff304f8,0xff5000bf,0xff100009,0xfff90fff,0x3fffe07f,
    0x4ffffb87,0xfffffd10,0xfffff79f,0x3fffe601,0x7ffffc06,0x2ffffcc2,
    0x3ffffee0,0x3ffee001,0x3fea01ff,0xffb804ff,0xfff884ff,0x3fffe67f,
    0x9ffff505,0x017ffee0,0x7fffff40,0x3fffe000,0xfff9806f,0x3ffe606f,
    0x7ffd45ff,0x3fe2001f,0x27ffcc05,0x5ffffffb,0x81ffffd0,0x404ffffa,
    0x507ffff9,0xffffffff,0x2a7fffff,0xffffffff,0x803fffff,0xb5fffffa,
    0xfffffb0b,0x44000b95,0xffff882f,0xff9800ff,0x3fea0eff,0xffa84fff,
    0x267fa005,0xfffa9999,0xd10019ef,0x220000bf,0xfc87ffff,0xfff03fff,
    0xffff70ff,0x7fff4c09,0xfffff53f,0xffff305f,0x7fffcc0d,0x7fffcc4f,
    0x3fffe205,0x3fe2005f,0x7d405fff,0xfc804fff,0xff884fff,0xfff70fff,
    0x3ffea0bf,0xffffb84f,0xfffd0001,0x7fc001ff,0xf9806fff,0x3e606fff,
    0xcbeeefff,0x4002ffff,0x7ec02ffb,0x7ffec1ff,0xfffe85ff,0x7fffd40f,
    0x7fffcc04,0x5ffff707,0x7fffdc00,0x3fa00002,0x81faffff,0xfefffffa,
    0x81b20002,0x03fffffd,0x9fffff30,0x9ffff9fd,0x400fff90,0xffffffff,
    0x7fffffff,0x000bfb00,0x3ffffc40,0x81ffffe4,0xfb87ffff,0xa9804fff,
    0x4007f441,0x706ffff9,0xdfffffff,0x02ffffcc,0x01fffffb,0x7ffffec0,
    0x7fffd400,0xffffb804,0x7ffff884,0x417fffee,0x444ffffa,0x0006ffff,
    0x03fffffa,0x3fffe053,0xfff9806f,0x3ffe606f,0xdffffb5f,0x1ffb0007,
    0x07fffc40,0x43ffffec,0x540ffffe,0x4c04ffff,0xf707ffff,0x5c007fff,
    0x0003ffff,0x3ffffee0,0x3fffe06f,0x7c0007ff,0xcaaaaaad,0x006fffff,
    0x3bffffa6,0x84ffffa8,0xf001fffe,0xffffffff,0x0fffffff,0x0001df50,
    0x3ffffc40,0x81ffffe4,0xfb87ffff,0x30004fff,0x3e6007ff,0x80006fff,
    0x505ffff9,0x007fffff,0x1fffffd4,0x27fffd40,0x27fffd40,0x53ffffc4,
    0x2a0dffff,0x7d44ffff,0xdea85fff,0x3ffffa01,0x03fff60f,0x00bfffff,
    0x40dffff3,0x225ffff9,0xf10000aa,0xfffa80bf,0xfffff507,0x0ffffe81,
    0x027fffd4,0x41ffffe6,0x005ffffa,0x017fffea,0xffff8800,0x3ff203ff,
    0x20004fff,0xfffffffb,0xffffffff,0x05544002,0x889ffff5,0xf003ffff,
    0xffffffff,0x0fffffff,0x2600ef98,0x7ffc4004,0xffffc87f,0x0fffff03,
    0x009ffff7,0x4003ff60,0x006ffff9,0x4ffff980,0x0dffffd0,0x6ffffe80,
    0x9ffff500,0xbffff300,0x4bffff30,0x507ffff9,0xfd89ffff,0xfff84fff,
    0x3ffffa06,0x7ffff30f,0x05fffff8,0x06ffff98,0x017fffe6,0x05ff5000,
    0x107fffc8,0xfd0fffff,0xffa81fff,0x7fcc04ff,0xfff307ff,0x3e6001ff,
    0x0000ffff,0x1fffff60,0x3fffff10,0x401f4000,0x06fffffa,0xffff5000,
    0x4ffff989,0x99999900,0xdffffb99,0x07744099,0x88005d10,0xfc87ffff,
    0xfff03fff,0xfffb81ff,0xfff0004f,0x3ffe6003,0xf980006f,0xffb84fff,
    0x83881fff,0x81fffffb,0x7fffd438,0xdfffd004,0x85ffff50,0xa80fffff,
    0x7f45ffff,0x7fc44fff,0xfffd00ff,0x3ffee1ff,0x3fffe24f,0xfff9803f,
    0x3ffe606f,0x6c00005f,0x7fdc00ff,0x3fff607f,0x0ffffe85,0x027fffd4,
    0x81ffffe6,0x204fffff,0x3ffffe2b,0xa800ae04,0xe804ffff,0x20006fff,
    0xfff000fa,0x00003fff,0xb89ffff5,0x0006ffff,0x0bffff30,0xdddddfb0,
    0x003ffddd,0x87ffff88,0xd03ffffc,0x7c41ffff,0x0004ffff,0x2600bfff,
    0x4006ffff,0xfff32fd8,0xffff887f,0xf887704f,0x7704ffff,0x04ffffa8,
    0x50dfff50,0xff70dfff,0xfffd09ff,0xffffc8bf,0x207ffd85,0x30fffffe,
    0x7c41ffff,0x9801ffff,0x2606ffff,0x0005ffff,0x2017fe20,0xd01ffff9,
    0xffd05fff,0xfffa81ff,0x7ffcc04f,0xfff700ff,0xb8d505ff,0xa82fffff,
    0xfffe8006,0x3fffa800,0x8017a000,0x05fffffb,0xffffa800,0x3ffffe44,
    0xfff98000,0x7ffdc05f,0xffffffff,0xfff88007,0xffffc87f,0x9ffff903,
    0x3fffffa6,0xfffb0004,0xfff9801b,0x7fdc006f,0x83ffff34,0x80fffffd,
    0x7ffec2e8,0x42e880ff,0x004ffffb,0xfb07fff6,0xfff105ff,0x7ffec3ff,
    0x7ffd46ff,0x05ffb87f,0x83fffffa,0x7fd44ffe,0xff3003ff,0x7fcc0dff,
    0x200006ff,0xf9002ffa,0xfff309ff,0x3ffffa0b,0x2ffffd40,0x3ffffe60,
    0xfffff100,0x83fb55bf,0xdffffff8,0x8001fdaa,0xf1005ffb,0x2a0001ff,
    0x3fe2002f,0x0001ffff,0x227fffd4,0x00fffffd,0xffff9800,0x3fffea05,
    0xffffffff,0xfff88006,0xffffd87f,0xffffd103,0xffff79ff,0x3fe2000d,
    0x980cdfff,0x4007ffff,0xfff55ff9,0xfffffa89,0x2a2fe883,0x883fffff,
    0x7ffe42fe,0x7fec006f,0x03fff30d,0x6fffffcc,0xfffffbef,0x3ffff63e,
    0xa807fcc4,0x24ffffff,0xfd11eff8,0x7cc009ff,0x3ee07fff,0x00006fff,
    0xe8003ff6,0x3f662fff,0xffff00df,0xffffb83f,0x7fffd405,0x3ffa201f,
    0x02ffffff,0xffffffd1,0x220005ff,0x3f2002ff,0x5ff10005,0xffffd800,
    0x7dc0005f,0x7fe46fff,0x300007ff,0x260bffff,0xffffffff,0x004fffff,
    0x1fffffb8,0x17ffffa2,0x3ffffe98,0x3ffffff7,0xfffb1000,0xfff9015b,
    0xfd8003ff,0xe86ffd9e,0x999fffff,0x3a1fffda,0x999fffff,0x741fffda,
    0x000fffff,0x7ff7ffdc,0xffe9800e,0xbfff55ff,0x7fe44159,0x1eebbeff,
    0x7ffff644,0x8adfffff,0xdffffffc,0x7ffe4003,0xffd881ff,0x80001fff,
    0xa8005ff8,0xeffdeffe,0x3fffe602,0x7fffec3f,0xfffd100f,0xfd880bff,
    0x401dffff,0xdfffffd8,0x036c0001,0x2000be60,0x4006ffe9,0x3ffffffe,
    0x3fff6000,0x3ffe61ff,0xf300004f,0x3fa0bfff,0xffffffff,0x4003ffff,
    0xfffffffe,0xffffff9b,0x06a601ff,0x4c400000,0xfffff100,0x4400bfff,
    0xb81beeca,0xffffffff,0x70ffffff,0xffffffff,0x21ffffff,0xfffffffc,
    0x544000ef,0x5510001a,0x98005441,0x02defedc,0x75310000,0xfff10003,
    0x4cbfffff,0xffffffff,0x3260001e,0x2a60001c,0x7e4009aa,0xd5ffffff,
    0x5fffffff,0x3ffffb62,0x02dfffff,0x98000d4c,0x2600001a,0x80048002,
    0xeffffffc,0xffffb501,0x03ffffff,0x7ffffec0,0x3b6a5fff,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x665c0000,0xcccccccc,0x999930cc,
    0x88039999,0x3ccccccc,0x26200000,0x9995001a,0x99999999,0x66666540,
    0x32e001cc,0x442ccccc,0xcccccccc,0x64c2cccc,0x24cccccc,0x3cccccc8,
    0xcccc8800,0xcccccccc,0x99999952,0x21999999,0xccccccc9,0x19aacccc,
    0x66664400,0xcccccccc,0x66664003,0xcb83cccc,0x99971ccc,0x00001999,
    0xb1033b26,0x40bdc980,0x99999158,0x14c00079,0x802a0000,0x32a0c1a9,
    0xcccccccc,0xcccccccc,0x0001cccc,0x3ffffff2,0x3ffea1ff,0x9a9800ff,
    0x99999100,0x19999999,0x7fffcc00,0x1ffffd85,0xfff73100,0x435dffff,
    0xfffffda8,0x7dcc00ef,0x5c01beff,0x203effed,0xefffffe9,0x934eeeee,
    0xbfffffff,0x7e544035,0x2000cfff,0x4fffffb9,0xffffea98,0x4409aeff,
    0x1befffba,0x2fffff54,0xffdb9800,0x09bfffff,0xfffff931,0x4c435bff,
    0xffffffea,0xdffffffe,0xffd53002,0x135dffff,0xffffb800,0xfca82dff,
    0xfffb31ef,0x500001ff,0x37bfffff,0x7ffdc0bb,0x15d8adff,0x8bfffff9,
    0x0ffffffc,0x209ffff9,0x1ffffffb,0xf507fff2,0x8f9bffff,0xeffffffc,
    0xeeffffff,0x02ffffff,0xfff90344,0x6ff40dff,0x3fff6600,0xda980cff,
    0xadffffff,0x7ffcc001,0xffffd85f,0xfff98001,0x7e400fff,0x005fffff,
    0xe9801ff3,0x2fffa8ff,0x90cfffc8,0x8bffffff,0x0ffffffb,0x00ffe400,
    0x9ffff700,0x7ffffc40,0x1ff5000f,0x2ffffd40,0x3ffe2000,0x7e403fff,
    0x8807ffff,0x4c7fffff,0x00dffffc,0xffffff10,0xffa80003,0x3e201fff,
    0xfffff886,0x7fc40000,0xffffffff,0xfffff102,0xa85fffff,0xfa85ffff,
    0xffd9ffff,0xf104ffff,0xfd13ffff,0x7fccbfff,0x47ffc88d,0x3209dffc,
    0x221fffff,0x6c02ffea,0x7fffec07,0xa807ee06,0xfffa8cff,0x3fffe00e,
    0x3e60007f,0xffd85fff,0xf88001ff,0xd006ffff,0x09ffffff,0xff101ba0,
    0x1fffeabf,0xf88ffff5,0xe8099eff,0x002fffff,0x200017e4,0x404ffffa,
    0x007fffff,0xff301be2,0x2a000bff,0xffffffaa,0xaaaaaaac,0xaefffffc,
    0x3fffe02a,0xffff307f,0x3ffa007f,0x80000fff,0x203ffffe,0x7fd4c2f9,
    0x2aaabfff,0x7eefdc00,0x00ffffff,0xffffbbf7,0xfff30fff,0x3fffe0bf,
    0xffe99dff,0xfffd01ff,0xfffffb3f,0x260ffecb,0xc82fe47f,0x881fffff,
    0x1fee02fe,0x1fffff30,0xffb81760,0x02ffff47,0x00dffffd,0x2ffffcc0,
    0x00ffffec,0x6fffff80,0xfffffd00,0x0bb005ff,0xf14fffd8,0x7ffc49ff,
    0x3fffd84f,0x3ffffee0,0x00374005,0x27fffd40,0x1fffffe0,0xf980bf00,
    0xf0005fff,0xffffffff,0xffffffff,0xffffffff,0x7fff40df,0x3ffea07f,
    0xffe802ff,0x700007ff,0x640dffff,0xfffffd86,0x007fffff,0xffb712dc,
    0x71264039,0xf3039ffd,0x3fe0bfff,0x7fdc5fff,0xfffb03ff,0xfff53dbf,
    0x213ffe25,0xc81b20fa,0x301fffff,0x1ffe205f,0x13ffff60,0xfff8817c,
    0x03fffe44,0x00dffffd,0x2ffffcc0,0x00ffffec,0x6fffff80,0xffffbd00,
    0x4d803fff,0x93fffe20,0x7ffd42b9,0x6fffd84f,0x7fffffc0,0x005f1000,
    0x9ffff500,0x7fffff80,0x26027400,0x0005ffff,0xffffd333,0x3333333f,
    0xbfffff53,0x7ff40133,0x7fec07ff,0x7f400fff,0x00007fff,0x03fffff1,
    0x3fe6213a,0x1999afff,0x08804400,0x01100880,0x82ffffcc,0x540ffffe,
    0xfb04ffff,0x1a85ffff,0x213fffea,0xfc81320e,0x3a01ffff,0x07fff982,
    0x87ffff98,0x3fff206a,0x037ffcc3,0x00bffffd,0x2ffffcc0,0x00ffffec,
    0x6fffff80,0xfff77d00,0x6c01dfff,0x3fffe604,0xffffb804,0x0ffffc83,
    0x3ffffee0,0x000d9004,0x13fffea0,0x0ffffff0,0x7cc04e80,0x80005fff,
    0x00fffffd,0x27ffffcc,0x7ffffe80,0x7ffffd40,0x7ffff405,0x3f600007,
    0x1f984fff,0x03ffffa0,0x00000000,0xffff3000,0x3ffffa0b,0x27fffd40,
    0x06ffffd8,0xefffff98,0x201c8260,0x01fffffc,0xffff50ae,0x3fffa00f,
    0xf881ec2f,0xefc82fff,0x3ffffa02,0xbdefffff,0x3fffe600,0x1ffffd85,
    0xfffff000,0x7e4fa00d,0x205fffff,0x3ffea04d,0xfffa804f,0x7fffc83f,
    0x7ffffc40,0x017c400f,0xff505440,0xfff809ff,0x274007ff,0x17fffe60,
    0x7ec00153,0x4c00ffff,0x004fffff,0x00fffffd,0x03ffffff,0x03fffff4,
    0xffff5000,0xfe80d70d,0x00cc0fff,0x00053000,0x7fffcc00,0x1ffffd05,
    0x04ffffa8,0x009ffffb,0x3ffffffa,0xffc80102,0x70401fff,0xffffffff,
    0x3ffee0ff,0x4c03e26f,0x0002ffff,0x2bbffffa,0x4fffffcb,0x0bffff30,
    0x003ffffb,0x1bffffe0,0xfffb1f40,0x13609fff,0x04ffffa8,0xb09ffff0,
    0xfb00bfff,0xb807ffff,0x7fedc007,0xffffa9ef,0x7ffffc04,0x20274007,
    0xf75ffff9,0xb005bfff,0x801fffff,0x04fffff9,0x0fffffd0,0x9fffff90,
    0x3fffff40,0x3ffe0000,0x201f41ff,0xf90ffffe,0x3f207dff,0xf90fffff,
    0x7cc09fff,0x206fffff,0x855ffff9,0x540ffffe,0xfb04ffff,0x2e007fff,
    0x4fffffff,0xffffc800,0xfdd3001f,0xbdddffff,0x8fffffc0,0x3ffea05b,
    0x3fa0003f,0x7fcc5fff,0xff985fff,0xfffd85ff,0xfff0001f,0x8fa00dff,
    0xffffffe8,0xffe84d82,0x0fffffff,0x217fff60,0x9802fffe,0x406fffff,
    0x3ff6003e,0xffdfebdf,0x7ffc04ff,0x274007ff,0x3bfffe60,0xfffffdfd,
    0x7fffec03,0x7ffcc00f,0xffd004ff,0xff700fff,0x7f40ffff,0x00007fff,
    0x327fffe4,0xfffe801f,0xfffffe9f,0xffff503f,0xfffffb3f,0xfffd809f,
    0x3ffe606f,0x7ff45def,0x7ffd40ff,0xffffb04f,0x7ffec005,0x4004ffff,
    0x01fffffc,0x3ffffc40,0xbffff900,0xfffb80ba,0x3fa0005f,0xffa85fff,
    0x7fcc2fff,0xfffd85ff,0xfff0001f,0x0fa00dff,0xfffffff3,0xeec84d81,
    0x0eefffff,0x83fffa20,0x2004fff8,0x01fffffe,0x3ee001f5,0x7ffdc6ff,
    0x7ffc04ff,0x274007ff,0x3ffffe60,0x3ffff225,0x3ffff601,0x7ffcc00f,
    0xffd004ff,0xff500fff,0x7f40ffff,0x00607fff,0x9ffffe60,0xfffe806c,
    0xffe99dff,0xffff00ff,0xffd33bff,0x7fd403ff,0x3fe606ff,0x7f40efff,
    0x7fd40fff,0xfffb04ff,0xffc8003f,0x002fffff,0x07fffff2,0xfffff100,
    0x7fffc400,0x7fdc07af,0x3a0006ff,0xf885ffff,0x7cc7ffff,0xffd85fff,
    0xff0001ff,0x3a00dfff,0xfffffa83,0xa81360ef,0x2004ffff,0xfbaeffc8,
    0x7d4002ff,0x9d05ffff,0x3fffe600,0x4ffffd81,0x3fffffc0,0xf3013a00,
    0xff10dfff,0x3f601fff,0xaaabffff,0xfffbaaaa,0x999304ff,0x99ffffff,
    0x7fd43999,0xfd00ffff,0xfd10ffff,0xfff8005f,0xd007d2ff,0xfb8bffff,
    0xfff03fff,0xfffb8bff,0x3ffe603f,0x3ffe606f,0xffffd06f,0x4ffffa81,
    0x03ffffb0,0xfffff500,0xdddd109f,0xdffffffd,0x4409dddd,0x4007ffff,
    0x04fffffd,0x07ffffd4,0xffffe800,0xfffffd05,0x2ffffcc1,0x00ffffec,
    0x6fffff80,0x3f207d00,0x365fffff,0x3fffea04,0xeefb8004,0xf0000ace,
    0x981fffff,0xfffb000f,0x3fffea0f,0x7ffffc04,0x20274007,0xb05ffff9,
    0x3605ffff,0xffffffff,0xffffffff,0xdd304fff,0xdffffffd,0x7cc5dddd,
    0xd01fffff,0xf70fffff,0xfc800dff,0x00f9dfff,0x40ffffe8,0xd04ffffa,
    0xfa81ffff,0x3e604fff,0x3e606fff,0xffd05fff,0xfffa81ff,0xffffb04f,
    0xe8831003,0xe887ffff,0xffffeeee,0x4eeeeeff,0x1ffffe20,0xfffff300,
    0xffff8803,0xffd0004f,0x3ff60bff,0x3fe61fff,0xfffd85ff,0x7c00712f,
    0xd006ffff,0x7fffec07,0x5409b3ff,0x4004ffff,0x400000ec,0x44fffffb,
    0x3ffe005d,0xffff506f,0xfffff809,0x20274007,0x705ffff9,0x3607ffff,
    0x999fffff,0xffa99999,0xfd004fff,0xf300ffff,0x203fffff,0xb87ffffe,
    0x26606fff,0xffffa999,0x99999edf,0x07ffff40,0x413fffea,0x540ffffe,
    0x2604ffff,0x2606ffff,0xfd05ffff,0xffa81fff,0xfffb04ff,0x01f3003f,
    0x400ffffb,0x01fffffc,0xffffff50,0xd00fffff,0x3a00dfff,0x201fffff,
    0xbffffd00,0x3fffffa0,0x1ffffe60,0x27fffff3,0x3ffe003b,0x07d006ff,
    0x7fffff44,0x3ea04d9f,0xd1004fff,0x1000007f,0x44ffffff,0xfff1001f,
    0x3ffea0bf,0x7fffc04f,0x0274007f,0x417fffe6,0xb05ffffb,0x801fffff,
    0x04fffff9,0x0fffffd0,0xffffff50,0x3fffff40,0xf017ffc4,0xffffffff,
    0xffffffff,0xffffe87f,0x2ffffd40,0x40ffffe8,0x204ffffa,0x106ffff9,
    0x20bffffd,0x540ffffe,0xfb05ffff,0xf3003fff,0x0bfff109,0x7ffffe40,
    0xff751001,0x05555fff,0x007fff50,0x1bffffea,0x7ff407a2,0xffff05ff,
    0xffff98df,0xffefa8af,0x001eaeff,0x01bffffe,0x3fe601f4,0x04efffff,
    0x013fffea,0x0006ffdc,0x7fffec00,0x4c00d92f,0xf505ffff,0xff809fff,
    0x74007fff,0x7fffcc04,0xdffff505,0x3fffff60,0x7fffcc00,0xfffd004f,
    0xfff700ff,0x7ff40dff,0x002607ff,0xf9333333,0x3333ffff,0xfffe8133,
    0x7fffd40f,0x1ffffd05,0x04ffffa8,0x21bfffe6,0x5ffffdf8,0x83fffff0,
    0xd05ffffb,0x1005ffff,0x5ffd03ff,0x7fffe400,0x7fc4001f,0xff0007ff,
    0x7ff4001f,0xfcadffff,0x3ffffa02,0xfffff885,0x7ffffd43,0xfff8bfff,
    0x7c004fff,0xd006ffff,0xffff5007,0x7d409fff,0xfd004fff,0xdfffffff,
    0x980037bd,0xf8efffff,0x3ffee002,0xffff505f,0xfffff809,0x2027c007,
    0x505ffff9,0x360dffff,0x400fffff,0x04fffff9,0x0fffffd0,0xbfffff90,
    0x3fffff40,0x2a00cc00,0x2007ffff,0x540ffffe,0xfd05ffff,0xffa81fff,
    0x3fe604ff,0xf9b986ff,0xff985fff,0x7fec3fff,0x7fc40fff,0xf8804fff,
    0x9ff70cff,0xffffc800,0x7fc4001f,0xf70007ff,0xffd8800b,0x03ffffff,
    0x42fffff4,0x40effffc,0xeffffefa,0x37fffea1,0xfff02980,0x0fa00bff,
    0x7ffffdc0,0x3ffea04f,0xfffd004f,0xffffffff,0xfe8005ff,0x006dffff,
    0x82ffffdc,0x404ffffa,0x007ffffe,0x3fe601fc,0xfff505ff,0x3fff609f,
    0x7fcc00ff,0xfd004fff,0xf900ffff,0x7407ffff,0x8007ffff,0x7ffd401d,
    0x3ffa007f,0x7ffd40ff,0xffffd05f,0x4ffffa81,0x1bfffe60,0x45ffff98,
    0xfffffffc,0xffffffd5,0x3fffee5f,0x2202efff,0xfffffddf,0xfffc8004,
    0x7c4001ff,0x10007fff,0x3f20005f,0x802dffff,0x265ffffe,0x905ffffc,
    0x4015517f,0xfffd01aa,0x5fffff81,0x6c007d00,0x204fffff,0x004ffffa,
    0xfffffff7,0x3fffffff,0x7fffd400,0x7d4003ff,0xff506fff,0xffe809ff,
    0x3e2007ff,0x7fffcc02,0x5ffff505,0x3fffff60,0x7fffcc00,0xfffd004f,
    0xfffd00ff,0xfffe80df,0x87c4007f,0xfdcccccc,0xccccffff,0x7fff41cc,
    0x7fffd40f,0x1ffffd05,0x04ffffa8,0x81bfffe6,0x005ffff9,0x80000000,
    0x0000f642,0x03fffff9,0x7ffff880,0x000d3000,0xe8007f30,0xffffffff,
    0x3603efff,0xf300004f,0x7fc47fff,0x7d005fff,0xffffe800,0x3fffea04,
    0x3ffea004,0xffffffff,0x7fc004ff,0x98007fff,0xf507ffff,0xfd809fff,
    0x2a007fff,0x7ffcc01f,0xffff705f,0x3ffff603,0x7ffcc00f,0xffd004ff,
    0xffa80fff,0x7f402fff,0x5c007fff,0x3bbbbba7,0xeefffffe,0x7f42eeee,
    0x7fd40fff,0xfffd05ff,0xffffa81f,0x3fffe604,0x3fffe606,0x0f7fa005,
    0x03dfe800,0x00177c40,0x3fffff90,0xffff8800,0x1ec0c407,0x067dc000,
    0xdffffd00,0x00135555,0x20000dff,0x224ffffb,0x003fffff,0xff88007d,
    0x3fea04ff,0xf71004ff,0x9999799d,0x800bfffd,0x004ffffb,0x01fffff0,
    0x80bffff5,0x01fffffa,0xff300fb0,0x3ff20dff,0x3fff607f,0x7fcc00ff,
    0xfd004fff,0xfe80ffff,0xfe805fff,0x22007fff,0xfffa807f,0x3ffa007f,
    0x7ffd40ff,0xffffd05f,0x4ffffa81,0x1bfffe60,0x05ffff98,0x00bfff60,
    0x00ffff40,0x003fffb0,0x3fffff20,0xffff8001,0x5ffa8a0f,0x100003e2,
    0x7400dfff,0x0005ffff,0x0001fff1,0x41ffff30,0x01fffff8,0x98004f88,
    0x3ea04fff,0xf8804fff,0xffb800ef,0x7ffc4003,0xff70000f,0xfffd09ff,
    0xfff880bf,0x3fb804ff,0x6ffff980,0x405fffd0,0x00fffffe,0x2fffffcc,
    0x7ffffe80,0x37fffea0,0xffffe800,0x6fe8800f,0x7ffffb80,0x3ffffe00,
    0x2ffffd40,0x40ffffe8,0x205ffffa,0x206ffff9,0x006ffff9,0x0002ffdc,
    0xd800bff7,0xf90004ff,0x0005ffff,0x2e5ffffd,0x5c3fff62,0xff100004,
    0x3ffa001f,0xf50006ff,0x200003ff,0x7fd44ffe,0xbf5003ff,0x13fee000,
    0x04ffffa8,0x3004ffb8,0xf90001ff,0x7c40009f,0x3f61ffff,0xa806ffff,
    0x204fffff,0xff3005fa,0xff983fff,0x7fff403f,0x7fd401ff,0xff005fff,
    0xf701ffff,0x7c009fff,0x401fffff,0xb805ffe8,0x800fffff,0x41fffff8,
    0xf06ffffb,0xfb83ffff,0x3e605fff,0x3e607fff,0x54006fff,0x2e0005ff,
    0x7dc004ff,0xffb0002f,0x30005fff,0x89ffffff,0x0f9afffd,0x1ffe0000,
    0x6fffff80,0x7fff7000,0x3fe20000,0x9fffd11e,0x2fff6200,0x04fc8000,
    0x01bfffee,0x1003ffe6,0x260007fb,0x4c0001ff,0xefdfffff,0x3efffffb,
    0x7ffffdc0,0x5ffdaace,0x3bffe600,0x9ffb10df,0xfffff980,0x7ffec04f,
    0x7dc01fff,0xbbdfffff,0x01dfffec,0x3ffffea0,0xcaaaabff,0x404ffffe,
    0x4fffffe8,0xfffff980,0x7ffffec3,0x7ffffcc0,0x7ffffec3,0xfffff900,
    0x3ffff203,0xfe98800f,0xfa88001f,0xf51001ff,0xf30001df,0x00dfffff,
    0x0fbff660,0x0bffffea,0x7fe4c000,0xffff5003,0xf50003ff,0x400003ff,
    0xffffffc8,0xffea803d,0x000dffff,0xfffb0274,0xfd5001ff,0xb953559f,
    0xe80003ff,0xfd300005,0x3feabfff,0x8800acdf,0xfffffffd,0x7cc002ef,
    0xffdff70d,0x3fb2207b,0xffffffff,0xffffb52d,0x19dfffff,0x3ffffb66,
    0xeeffffff,0x3b62002c,0xffffffff,0xffffffff,0xed883fff,0xffffffff,
    0xfffc82df,0xffd5ffff,0x325fffff,0x5fffffff,0xfffffffd,0x7ffffc45,
    0x3fa25fff,0x04ffffff,0x0033bbe6,0x02fbbea0,0x01ef75c0,0x7ffff640,
    0x03dfffff,0xfda80100,0xdd00001d,0xec8805bd,0xffffffff,0x3b2000ce,
    0x31000003,0x00000375,0xd9051000,0xdfffffff,0xfdb95001,0x001359bf,
    0x00003300,0x2a20aa88,0x55440000,0x0000aacc,0x03531051,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccc98000,0xcccccccc,0x000019aa,0xccccc880,0x3ccccccc,
    0x2ee20000,0x32a00000,0xcccccccc,0xcccccccc,0x6442cccc,0x003ccccc,
    0x59302f22,0xcccccc88,0xaacccccc,0xccca801a,0xbccccccc,0x440009aa,
    0x43cccccc,0x04cccccb,0x33332200,0xcccccccc,0xcccccccc,0x66666440,
    0xcccccccc,0x2ccccccc,0x19999997,0x99991000,0x99999999,0x333332a5,
    0x0ccccccc,0x99999991,0x22599999,0xcccccccc,0x99504ccc,0x09999999,
    0x6666665c,0xcccccccc,0x6441cccc,0xcccccccc,0x99970003,0x41999999,
    0xcccccccc,0x009aaccc,0x66666644,0xaabccccc,0x2200009a,0x26206201,
    0xffffffea,0xdffffffe,0x81a20002,0xfffffeb9,0x00009bff,0x01ffff10,
    0x3aa62000,0xffffffff,0xffffffff,0xffea84ff,0xff1006ff,0x1fffccbf,
    0x3ffffaa6,0xfffffeff,0x73100dff,0xffffffff,0x39dfffff,0x3fffaa00,
    0x7ffecc6f,0x260000ff,0xffffffda,0xfffffeee,0xda981fff,0xeeffffff,
    0xfffffffe,0xffffb33f,0x2a60001f,0xfffffffd,0xff73109b,0x35bfffff,
    0xffffda98,0x2609bfff,0xffffffda,0xf93101bf,0x4037dfff,0xeefffffe,
    0xffffeeee,0xfd5306ff,0x01ffffff,0xfffff880,0x54c1adff,0xeffffffd,
    0x02efffff,0x3ffffaa6,0xfffeeeff,0x6c001eff,0x7fec1eff,0xffff101e,
    0xfffc98ff,0x7d8000df,0xfffff880,0xb800001f,0x0003ffff,0xffedfb80,
    0xff9307ff,0x3ffee09f,0xfff5006f,0x1bfff21f,0x37ffffc4,0xdfffff51,
    0xffff9801,0x7ffe4c6f,0xffb800df,0xfff886ff,0x880000ff,0x80ffffff,
    0x01fffea8,0x07fffff4,0x43fffd98,0x000fffff,0xffffff80,0x7fffd402,
    0xffff006f,0xffd005ff,0x7c005fff,0xfff004ff,0x7ffd405b,0xff802fff,
    0x004fffff,0x7fffffdc,0xfffe800f,0x3fff267f,0x3fe201ff,0xfea86fff,
    0xf5004fff,0x7fd4bfff,0x3ffe05ff,0xfff307ff,0x7dc007ff,0xffffd007,
    0x2e00000f,0x0002ffff,0xffe8fc80,0x7fd407ff,0xdffff304,0x9bffe600,
    0x3a05fffb,0xe886ffff,0x201fffff,0x06fffff8,0x05fffff5,0x06ffff98,
    0x001fffff,0x3ffffa00,0x0ffdc00f,0x3fffff60,0x21ff5400,0x000fffff,
    0xfffffe80,0x7fffcc00,0xfffd005f,0xffb001ff,0x2a003fff,0x3fe002ff,
    0x7fffc404,0xfbd005ff,0x001fffff,0x7ffffe74,0xffffb006,0xfffff70f,
    0x7ffffc01,0x3ffffa06,0x7ffec00e,0x3ffff67f,0xffffd00f,0x7fffd40f,
    0x7ff9802f,0xfffffd00,0x7fc00000,0x9800006f,0xfffffd3f,0x2609f500,
    0x2006ffff,0x6fe41eeb,0x3ffffa00,0xfffff506,0x7fffc409,0x3ffee06f,
    0x3fe601ff,0xffff06ff,0x3a00001f,0x800fffff,0x7fec01fc,0xf8800fff,
    0x07ffff43,0x7ffec000,0x7fcc00ff,0xfd005fff,0xb001ffff,0x001fffff,
    0x44003df3,0xfffc804f,0x9d000fff,0x07fffffb,0x3ffe7ea0,0xff9006ff,
    0x3ffe0fff,0x3ffe06ff,0x3fe606ff,0x7dc03fff,0x3fee5fff,0x3ffa06ff,
    0x7fec07ff,0x3e600fff,0xffd007ff,0x00000fff,0x000002a8,0x7ffff4db,
    0x2609f007,0x0006ffff,0x7fff4000,0xffff106f,0xffff80df,0x7fff406f,
    0xfff300ef,0x3fffe0df,0xfd00000f,0x1001ffff,0xfffd803f,0x87b000ff,
    0x000ffffe,0xfffffd80,0x7fffcc00,0xfffd004f,0xffb001ff,0xfa801fff,
    0x07cc000d,0x3ffffe60,0x273a003f,0x006fffff,0x3ffffebb,0xffff9006,
    0x3ffff60f,0xffffd00f,0xfffff80d,0x7fff4407,0x0bfffa22,0x07ffffe8,
    0x2fffffd4,0x07ffffa8,0x8fffffd0,0x00000008,0x21fa8000,0xb07ffffe,
    0xfff304c8,0x000000df,0x06ffffe8,0x03fffffa,0x06fffff8,0x27ffffdc,
    0x06ffff98,0x001fffff,0x3ffffa00,0x01d8580f,0x07ffffec,0x3fa1dc08,
    0x80000fff,0x00fffffd,0x27ffffcc,0xfffffe80,0xffffd800,0x013f200f,
    0x7f402d40,0x4006ffff,0xfffffd4e,0xff1f8803,0x3200dfff,0xf907ffff,
    0x3a05ffff,0x7406ffff,0x800fffff,0x017500ba,0x07ffffe8,0x1ffffff8,
    0x7fffffdc,0xffd07fff,0x00f4cfff,0x00000000,0xfffd13e2,0x388b30ff,
    0x0dffff30,0xfe800000,0x3fe06fff,0x7fc06fff,0x7c406fff,0x980fffff,
    0xff06ffff,0x00001fff,0x03fffffa,0xfb006a1e,0x1a01ffff,0xffffe851,
    0x36000cc0,0x400fffff,0x04fffff9,0x1fffffd0,0xfffffb00,0x005fb101,
    0x3ee00cc0,0x001fffff,0xffffaa74,0xff36405f,0x3200dfff,0xf707ffff,
    0x3a05ffff,0x6c06ffff,0x001fffff,0x3ffa0000,0xffc807ff,0x3ba64fff,
    0xeeefffff,0xfffffd05,0x2a0013ee,0xffffffff,0x005fffff,0xfffd0d90,
    0x400b70ff,0x006ffff9,0x3fffffe6,0xffffd006,0x3fffe60d,0x7fffc03f,
    0xfffd806f,0xfff983ff,0xfffff06f,0x7ffffc41,0x3ffa02ff,0x03c40fff,
    0xfffffd80,0xfe806a80,0xfff90fff,0x3ff6009f,0x7cc00fff,0xd004ffff,
    0x001fffff,0x81fffffb,0x00001ee9,0x7ffffc40,0x24e8004f,0x00ffffff,
    0xfffff8fe,0xffff9006,0x3ffff20f,0xffffd01f,0xfffff80d,0x40000007,
    0x807ffffe,0x87fffffb,0x007ffff8,0xf9fffffd,0x3fea0007,0xffc999ac,
    0x98001fff,0xffffe82f,0x26005e87,0x8006ffff,0x006ffffd,0x20dffffd,
    0x00fffffd,0x037ffffc,0x2fffffe4,0x837fffcc,0xb80fffff,0xfe802fff,
    0x3e40ffff,0xffffd800,0xe806c80f,0xffd9ffff,0xd803ffff,0x400fffff,
    0x04fffff9,0x1fffffd0,0xfffffb00,0x00077d41,0x7ffec000,0xe8000fff,
    0x3fffff24,0x7fc1f504,0xf9006fff,0x3fa0ffff,0x3fa07fff,0x3e606fff,
    0x0005ffff,0x7fff4000,0xfffa807f,0xfff887ff,0xfffd007f,0x40003fff,
    0xfff882fa,0xbd0005ff,0x1fffffa0,0x7cc00bf7,0x0dc46fff,0x0dffff50,
    0x1bffffa0,0x1dffffb1,0xdfffff00,0xfffff900,0xdffff30d,0x03ffffe0,
    0x74003be6,0x260fffff,0xffb0007f,0x6fa81fff,0xfffffe80,0xffffe99d,
    0x7fffec01,0x7ffcc00f,0xffd004ff,0xfb001fff,0x3f21ffff,0x000000ef,
    0x7fffffd4,0x449d0002,0xd07fffff,0x6fffff89,0xfffff900,0x5fffff30,
    0x37ffff40,0x3fffff90,0xc9800000,0xffffffcc,0x2a1ccccc,0x40ffffff,
    0x007ffff8,0x01fffffd,0xfb06a800,0x0001ffff,0x3ffa01f7,0xfffb9fff,
    0x3ffe6005,0x0fffe66f,0x037fffcc,0xcfffffe8,0x1cffffdc,0x3ffffe00,
    0xffffb806,0xffff987f,0x1fffff06,0x74001dd0,0xb99fffff,0xfb0007ff,
    0x9511ffff,0xffd00dff,0xfffb8bff,0x7ffec03f,0xaaaaabff,0xfffffbaa,
    0xffffd004,0xfffb001f,0xffffb3ff,0x4400000b,0x05fffffe,0xffb13a00,
    0x1f985fff,0x037ffffc,0x47ffffc8,0x04ffffe9,0x837ffff4,0x02fffffc,
    0xee980000,0xeffffffe,0x3e62eeee,0x441fffff,0xd007ffff,0x000fffff,
    0xfff30750,0xf10007ff,0x7ffff405,0x05ffffff,0x9bfffe60,0xf306fffc,
    0x3a00dfff,0xffffffff,0x00adffff,0x0dfffff0,0xffffff50,0x6ffff981,
    0x81fffff0,0x7f4000ed,0xffffffff,0xffb0007f,0xffffffff,0xfffd00df,
    0xffffa81f,0x7fffec04,0xffffffff,0x4fffffff,0xfffffd00,0xffffb001,
    0xffffffff,0x32000007,0x00ffffff,0xff313a00,0x85c8dfff,0x006fffff,
    0x97fffff9,0x05dffffb,0x5dffffd0,0xffffdd99,0x01a80019,0x3ffa00a6,
    0xff9807ff,0x7c41ffff,0xfd007fff,0x0000ffff,0x37ffff40,0xeeefd800,
    0xffffeeee,0x5ffda9ff,0x3fffe600,0x417ffea6,0x006ffff9,0x44dffffd,
    0x3fffffea,0x6fffff80,0xfffffa80,0x6ffff987,0x41fffff0,0xfe8000ed,
    0xfcbaffff,0xffb0007f,0xffd77fff,0xfffd00df,0xffffa81f,0x7fffec04,
    0x9999999f,0x4fffffa9,0xfffffd00,0xffffb001,0xfffffbdf,0x9800003f,
    0x03ffffff,0x7f427400,0x5f11ffff,0x0dfffff0,0x3fffff20,0x01bceeee,
    0x3fffffa0,0xffffffee,0x7ffd4000,0x3fffa21d,0x3ffffa02,0xffffa807,
    0xffff887f,0xffff8807,0x7000007f,0x003fffff,0x55557f50,0xfffff555,
    0x2005fc8f,0x646ffff9,0xfff301df,0x3ffa00df,0xfffb06ff,0xfff80bff,
    0xffb806ff,0xff986fff,0xffff06ff,0x003bf61f,0x3fffffa0,0x4001fee0,
    0x20fffffd,0xfe806fd8,0x7fd40fff,0x7fec05ff,0x7cc00fff,0xd004ffff,
    0x001fffff,0x11fffffb,0x1ffffffd,0x7ff40000,0x80006fff,0xffffa84e,
    0x3fe0f75f,0xf9006fff,0x0000ffff,0x45bffffa,0x04ffffff,0x7fffff40,
    0x0bffff70,0x03fffff4,0x37ffffdc,0x03ffffc4,0x3fffffea,0xf8800007,
    0x8005ffff,0xffe803f8,0x005e87ff,0x01bfffe6,0x1bfffe60,0x37ffff40,
    0x9fffffb0,0x37ffffc0,0x7ffffe40,0x6ffff985,0xb1fffff0,0xd0009fff,
    0xd81fffff,0xfffb0007,0x00dd01ff,0xa81ffffd,0x6c05ffff,0x400fffff,
    0x04fffff9,0x1fffffd0,0xfffffb00,0x3ffffe61,0xf700006f,0x003fffff,
    0x3fe09d00,0x03e8ffff,0x00dfffff,0x01fffff2,0x7ffff400,0x3ffffea6,
    0xfff1001f,0x3ff65fff,0xffd00fff,0xff900fff,0xff10bfff,0x67dc0fff,
    0x007ffffe,0x3ff60098,0xc8000fff,0xffffd006,0x4c00b90f,0x8006ffff,
    0x006ffff9,0x40dffffd,0x07fffffb,0x01bffffe,0x0ffffff6,0x41bfffe6,
    0xffdfffff,0x74002fff,0x540fffff,0xfffb0007,0x00d501ff,0xa81ffffd,
    0x6c05ffff,0x400fffff,0x04fffff9,0x1fffffd0,0xfffffb00,0x7ffffd41,
    0x7c40005f,0x004fffff,0xf904e812,0x01fbffff,0x01bffffe,0x03ffffe4,
    0xffffe800,0x7ffffe46,0xfffd000e,0x3ffea7ff,0x3fffa05f,0xfffc807f,
    0xfff883ff,0x3a5f307f,0x8007ffff,0xffff501d,0x3f30007f,0x3ffffa00,
    0x83505a87,0x006ffff9,0x06ffff98,0x0dffffd0,0x7fffffcc,0xdfffff01,
    0xfffffd00,0xdffff305,0x3bffffe0,0x00fffffc,0x3fffffa0,0x40903c40,
    0x80fffffd,0xfffe8068,0x7fffd40f,0x7fffec05,0x7ffcc00f,0xffd004ff,
    0xfb001fff,0xfc81ffff,0x003fffff,0x3fffff60,0x40d1000f,0xffff104e,
    0x7ffc0bff,0xff9006ff,0x20000fff,0x446ffffe,0x05fffffe,0x7ffffd30,
    0xd00f7fec,0xd00fffff,0x220dffff,0x3107ffff,0x03fffff4,0x7f403e20,
    0xd0006fff,0x7fff4009,0x03a0b07f,0x00dffff3,0x0dffff30,0x1bffffa0,
    0x5ffffff0,0x1bffffe0,0xdfffff10,0x1bfffe60,0xe87ffffc,0x2005ffff,
    0x80fffffe,0x7ec0d106,0x0b00ffff,0x81ffffd0,0x405ffffa,0x00fffffd,
    0x27ffffcc,0xfffffe80,0xffffd800,0xffffe80f,0xfa8001ff,0x002fffff,
    0x204e816a,0x01fffffd,0x01bffffe,0x03ffffe4,0xffffe800,0xfffff986,
    0x7ec2002f,0x7f401442,0x7d407fff,0xf102ffff,0x3a00ffff,0x4007ffff,
    0xffff707a,0x5c07103f,0x3ffa000f,0x1ea007ff,0x01bfffe6,0x1bfffe60,
    0x37ffff40,0xffffff30,0x3ffffe01,0x7fffdc06,0xffff301f,0x3ffffe0d,
    0x5fffff30,0x3ffffa00,0x8172000f,0x00fffffd,0x3ffffa00,0x2ffffd40,
    0x3fffff60,0x7fffcc00,0xfffd004f,0xffb001ff,0xff101fff,0x001fffff,
    0x5fffffe8,0x9d027400,0x37fffcc0,0x1bffffe0,0x3ffffe40,0xfffe8000,
    0xffff906f,0xff8001ff,0xfffd0000,0xfffe80ff,0x7fffc05f,0xfffe8147,
    0x1be2007f,0x13ffffe2,0x03f881dc,0x3fffff40,0xff30db00,0xf3000dff,
    0x3a00dfff,0x2e06ffff,0x206fffff,0x406fffff,0x204fffff,0xf06ffff9,
    0x7e41ffff,0xe800ffff,0x000fffff,0x7fec09f3,0x20000fff,0x540ffffe,
    0x6c05ffff,0x400fffff,0x04fffff9,0x1fffffd0,0xfffffb00,0x3fffe601,
    0x3f2006ff,0x001fffff,0x04e813f2,0x2017fff4,0x006fffff,0x00fffff9,
    0x3ffffa00,0x3ffffa06,0x13e6006f,0xffffe800,0x3fffea07,0x7ffec00d,
    0x3fa0571f,0xb000ffff,0xffffb0df,0x205d101f,0xffe8006e,0x6c400fff,
    0xffff985f,0xfff98006,0xfffd006f,0x3ffa20df,0xff101fff,0x7dc0dfff,
    0x7cc05fff,0xfff06fff,0xfffe81ff,0xfffe805f,0xff8800ff,0x3ffff603,
    0x3fa0001f,0x7fd40fff,0x7fec05ff,0x7cc00fff,0xd005ffff,0x001fffff,
    0x03fffffb,0x7fffffdc,0xffff9805,0xfb1004ff,0x2027407f,0x7c407ffa,
    0xb006ffff,0x000fffff,0x1bffffe0,0xffffff88,0x001db003,0x7fffffc0,
    0x4ffffb80,0xfffff100,0x7fffc0bf,0x7ec401ff,0x7fffd45f,0x82fe883f,
    0xff8005fc,0x2600ffff,0xff984ffe,0xf98007ff,0xff007fff,0xe881ffff,
    0x202fffff,0x07fffff8,0x007ffff9,0x20fffff3,0x4c0fffff,0x403fffff,
    0x01fffffe,0x807ffee2,0x01fffffe,0x3ffffe00,0x2ffffdc1,0x3fffffa0,
    0x7fffcc01,0xfffd005f,0xffd001ff,0xfe803fff,0x405fffff,0x06fffffd,
    0x05ffff70,0x3fe017e2,0x7fffc404,0xfffb006f,0xf00001ff,0xb80fffff,
    0x02ffffff,0x80003ba2,0xdffffffb,0xdfffecbb,0x7fecc001,0xfff500be,
    0x5555dfff,0x9ffffb95,0x9fffffe8,0x1fffda99,0x007ffee2,0xffffffa8,
    0xfecbaabe,0xffc83fff,0x64001fff,0x401fffff,0xeffffffa,0xfffffdbb,
    0x7ffe400c,0xecbadfff,0x9001dfff,0x983fffff,0xe83fffff,0x502fffff,
    0x7dffffff,0xfffb9555,0x3fe601ff,0x0005ffff,0x87fffff3,0x00fffffd,
    0x9ffffff5,0xfffffd80,0x7ffd401f,0x7cc04fff,0x405fffff,0xfffffffd,
    0xffffa80d,0xaaaaacff,0xffffecba,0x07ff901f,0x7e400fc8,0x402fffff,
    0x4ffffff9,0x7ffdc000,0x7ec02fff,0xa81fffff,0xd98000ce,0xfffffffe,
    0x02ceefff,0x32201000,0xfffffffe,0xffffffff,0x3ee3ffff,0xffffffff,
    0xf50fffff,0x05dfffff,0xfffffb91,0xffffffff,0x45ffffff,0xfffffff8,
    0xfff8805f,0x445fffff,0xffffffee,0xcdefffff,0x3fb6a00b,0xffffffff,
    0x2001ceef,0xfffffff8,0xfffff95f,0x7ffe4dff,0xd915ffff,0xffffffff,
    0xffffffff,0xfec88fff,0xffffffff,0xfff9002d,0x3fabffff,0x12ffffff,
    0xffffffd9,0x36a5bfff,0xffffffff,0xfd910cef,0xffffffff,0x3ffb225b,
    0xefffffff,0x3ffffea0,0x0effffff,0xfffffff1,0xffffffff,0x1fffffff,
    0x7ffffec4,0x505880ef,0xfffffffb,0x76c19dff,0xffffffff,0xfd3001ef,
    0xffffffff,0xfff101dd,0x018dffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999500,0x99999999,0x99999999,0x33333223,0x44cccccc,
    0xccccccc8,0x33332a3c,0x04cccccc,0x33333322,0x9999911c,0x79999999,
    0x6664c000,0x4ccccccc,0x33333310,0x33333333,0xcca81333,0xcccccccc,
    0x33332a04,0x04cccccc,0x99999995,0xcca89999,0xcccccccc,0x00266004,
    0x00131000,0x0cb80000,0x01300000,0x0006aa60,0x0c809a98,0x10000000,
    0x4d440153,0x13530000,0x00000000,0x26200000,0x1510000a,0x2000a980,
    0x3e60c1a9,0x906fffff,0xfdffffff,0xfddfffff,0x545fffff,0xfffffffe,
    0xffc981ae,0x2e20adff,0xfffffffe,0x7fdd401a,0x3aa60bef,0xaeffffff,
    0x3ee00009,0xffffffff,0xaaad80ff,0xaaaaaaaa,0x44aaaaaa,0xfffffffb,
    0x3f207fff,0xffffffff,0xffff907f,0x8fffffff,0xfffffffc,0x3e007fff,
    0x6400002f,0x5300005f,0x366ffc80,0x267fffff,0xb4ffffff,0x3fae05ff,
    0x002effff,0xbfffffb3,0x00001761,0x3ee20f26,0x30dfffff,0x03dffffd,
    0xfffffb30,0x002d9819,0x1104b800,0xe9803620,0x800effff,0x4ffffec9,
    0x0f7fffdc,0xbfffff50,0x3fff60f9,0x3bff906f,0x1fffffc8,0x10bffea2,
    0x7ffffffd,0x807ffb00,0x5ffffff9,0x0077dc00,0x3ffffff1,0x3fee0000,
    0xffffffff,0x0000480f,0xfffffb89,0x207fffff,0xfffffffc,0xff907fff,
    0xffffffff,0xfffffc8f,0x007fffff,0x00000bfe,0x54000bf9,0x0bdffffe,
    0xf707ffec,0xfe88ffff,0xfff8cfff,0xa85ff4c6,0x5401ffff,0xfff51fff,
    0x400001db,0x7cc3ffda,0xfffa89cf,0xfd33ffbe,0x67fd407f,0x20efffa8,
    0x000beff9,0x913ffa80,0x225bfffd,0x9ff706fe,0xf500fff4,0x37fe61df,
    0xfd88ffc8,0x8dff983f,0xf507ffc8,0x3f20dfff,0xfffff904,0x105fd103,
    0x0dffffff,0x2e009fb0,0x00ffffff,0x3a003f60,0x000fffff,0x33333100,
    0x20333333,0x88900004,0x99999999,0x26620199,0x99999999,0x33333101,
    0x88333333,0x99999999,0x3fe00199,0x7e400002,0xdff90005,0x987ffea3,
    0x3fe60fff,0xfffd87ff,0x44dffd4f,0x7fe40fff,0xfff700ff,0x02fffc87,
    0xfffb8800,0x1bfe61ef,0x17ffffea,0xf701fff5,0x5fffe8ff,0x37ffffa2,
    0x7fec0001,0xfffffffd,0xb81ffeef,0x37fd46ff,0x642fffa8,0x222fffff,
    0x7fec1fff,0xf983fcc1,0x0d906fff,0x0fffffe4,0xff702fa8,0x4c07ffff,
    0x7ff4005f,0xf3004fff,0x3fffa007,0x0000007f,0x80002400,0x00000004,
    0x00000000,0x017fc000,0x017f2000,0xb0bfff20,0x17e47fff,0x21ffffe2,
    0xd14ffffb,0x1fffe45f,0x20ffffee,0x541ffff8,0x20006fff,0x1dffffda,
    0x443fffc8,0xf82fffff,0x7ffc44ff,0x43fffe44,0xbeffffc9,0xfffb0000,
    0xffb5337d,0xfff103ff,0x43fff887,0xf987fff9,0x7f40ffff,0x13ffe25f,
    0x3fe603ea,0x407906ff,0x01fffffc,0xfffd80ba,0x0dd01fff,0xfffff300,
    0x00db001f,0x03fffff4,0x20000000,0x00900004,0x98000153,0x310001aa,
    0x00000015,0x00005ff0,0x4c005fc8,0x7d40ffff,0x02ddefff,0xf70fffff,
    0x5db7bfff,0x547fffe8,0xfb84ffff,0x7fcc0fff,0x2e2003ff,0x00cffffe,
    0x3e1bfffa,0xfe81ffff,0x3fff20ff,0x037ffcc3,0x9ffffd71,0x4ffa8003,
    0x6c1bfea0,0xfff82fff,0x437fff47,0xd87ffff8,0xfff51fff,0xf301d09f,
    0x0720dfff,0x1fffffc8,0xff880ae0,0xfc86ffff,0xfffb0000,0x1f980bff,
    0x3ffffa00,0x7fec0007,0x3fe67fff,0x0244ffff,0xfd504800,0x0017bfff,
    0x3fffffae,0xffd3002e,0x3e601dff,0x006fffff,0x00005ff0,0x6c005fc8,
    0xff986fff,0xfff802ff,0xffffb87f,0x3ffee01d,0x27fffd45,0x223ffffc,
    0x806fffff,0x2effffc9,0x0bfff700,0x360fffff,0xfff11fff,0x05df905f,
    0x3ffff660,0x0bfd002e,0xf885ff50,0xfff81fff,0x17fffe0f,0x6c37fffc,
    0xfff32fff,0x404c1dff,0x106ffff9,0xfffffc80,0xf7002201,0x5c7fffff,
    0x3e60001f,0x201fffff,0x7ff4005e,0xb80007ff,0x7447ffff,0x0244ffff,
    0xffc84800,0x01dff51e,0xfa85ff4c,0x7dc01fff,0x807ffa4f,0x006ffffd,
    0x00005ff0,0x22005fc8,0xf885ffff,0xff803fff,0xfffb87ff,0x0bda804f,
    0x13ffff62,0x44fffff1,0x07ffffce,0x33ffffaa,0x0bdb8001,0x4fffffd4,
    0xfffe9999,0x05ffff32,0xffb88000,0xf501cfff,0x1bf2001f,0x335ffff3,
    0x25ffff33,0xf04ffff9,0x3333dfff,0x7f47fffb,0x402fffff,0x006ffff9,
    0x3fffff90,0xfffb0000,0x05f33fff,0xffff9000,0x003ee0bf,0x0fffffd0,
    0xffff1000,0x9ffff90f,0x89000048,0x7ec1fffc,0x1fff106f,0x00ffffc8,
    0xffa8dff7,0x3fffea06,0x05ff0006,0x05fc8000,0x17fffea0,0x017fffe2,
    0x2e1ffffe,0x8004ffff,0xffffefc8,0x3ffffcc4,0x3ffffebb,0x3ffff220,
    0x400000be,0xfffffeea,0xffffffff,0x7ffff54f,0x6d400000,0x5c2dffff,
    0x1fea006f,0xfffffff5,0x27ffffff,0xf04ffffb,0xffffffff,0x7dc9ffff,
    0x04ffffff,0x01bfffe6,0x7ffffe40,0xff880001,0x04feffff,0xffff1000,
    0x03f883ff,0x7ffffe80,0xffff0000,0x9ffff70f,0x49000048,0xfa87fff9,
    0xfffc85ff,0x1ffffdc3,0x221fffc4,0xff303fff,0x55530dff,0x9ff55555,
    0x55555555,0x55555544,0xaaaefdaa,0xf71aaaaa,0xff109fff,0xfff00fff,
    0xffff70ff,0x7fe44009,0x44ffffaa,0xd97ffffa,0x98fffffc,0x002dffff,
    0xd4fea800,0xb800ffff,0x0005ffff,0xfffc8800,0x8013f63f,0x3fee0ff9,
    0x3f2002ff,0xfff04fff,0xffb000df,0x209fffff,0x006ffff9,0x3fffff90,
    0x3fea0000,0x0006ffff,0x7ffffe40,0xe80036c6,0x0007ffff,0x70fffff0,
    0x0489ffff,0x7fec9000,0xffff986f,0x23ffff41,0xd84ffffa,0xfff82fff,
    0xdffff307,0xffffffb0,0xffffffff,0x7ccfffff,0xffffffff,0xffffffff,
    0xffff93ff,0xfffff109,0x7ffff801,0x04ffffb8,0x2a3fff50,0x7d44ffff,
    0x20fbffff,0xd10fffff,0x0039ffff,0x8bff6200,0x001ffffe,0x01bfffee,
    0xff910000,0x2fe43dff,0x5c1ff300,0x2003ffff,0xf04ffffc,0x0001ffff,
    0xfffffff9,0xdffff305,0x3fff2000,0x200001ff,0x1ffffffd,0x3fe20000,
    0x5f32ffff,0x3fffa000,0xff00007f,0xfff70fff,0x0000489f,0x17fffe29,
    0x70ffffe2,0xffa8bfff,0x7ffc44ff,0x0ffff81f,0x86ffff98,0xfffffffd,
    0xffffffff,0x3fe67fff,0xffffffff,0xffffffff,0x9ffff73f,0x0fffff10,
    0x70fffff0,0x9009ffff,0x7fd43fff,0x7ffcc4ff,0x7ffc1fff,0xfffda86f,
    0x260002ef,0x7fec2fff,0x3ea002ff,0x0000ffff,0xffffda80,0x006fb82d,
    0xfff51fee,0x7fdc00bf,0xffff04ff,0x3ea0003f,0x984fffff,0x0006ffff,
    0x03fffff9,0x7ffc4000,0x00006fff,0xb7ffffdc,0x3fa0005e,0x00007fff,
    0xf70fffff,0x00489fff,0x3ffea900,0xffff885f,0x220bda85,0x4c4ffffd,
    0x999affff,0x982ffff9,0x0006ffff,0x800005ff,0x3ea005fc,0xff884fff,
    0xfff807ff,0xffffb87f,0x37ffdc04,0x213fffea,0xf82fffff,0x2e204fff,
    0x00cfffff,0x21fffe60,0x005ffffc,0x13ffffe2,0x7f5c4000,0x2600cfff,
    0xbfd002ff,0x0fffff98,0x9ffff500,0x13ffffe0,0x3fa20c40,0xff987fff,
    0xf90006ff,0x0003ffff,0xfffffa80,0x7400004f,0x0fefffff,0x3fffa000,
    0xff00007f,0xfff70fff,0x0000489f,0x13fffee9,0x01ffffe2,0x3fffbf22,
    0x7fffd44f,0xffffffff,0xffff983f,0x05ff0006,0x05fc8000,0x17fffe60,
    0x017fffe6,0x703ffffe,0xf809ffff,0x7fd45fff,0xfffc84ff,0x3ffff887,
    0xffffb500,0xfffd005b,0xfffff30b,0xffd15403,0x00403fff,0x3bffff26,
    0x03ff6002,0xff03ff90,0x15c09fff,0xf10bffff,0x201fffff,0xfb01f339,
    0xfff30fff,0x3f2000df,0x0001ffff,0x7ffffd40,0x200001ff,0x3ffffffa,
    0x7fff4000,0xff00007f,0xfff70fff,0x0000489f,0x13ffff29,0x03ffffe2,
    0x7d57fe44,0x7fdc4fff,0xf30002ff,0x2000dfff,0x400002ff,0x7f4005fc,
    0xfffa86ff,0xfffe802f,0x3fffe21f,0x3ffe604f,0xfffd31ff,0xffff109f,
    0x0efff981,0x7ffe4400,0xff980bef,0x7fc40fff,0xe980efff,0x3ffffea0,
    0xd501e886,0x0039ffff,0x105fff50,0x3ee0dffb,0x6a82ffff,0x4c37ffdc,
    0x85ffffff,0x109f30e8,0xff30bfff,0x32000fff,0x001fffff,0x3fb3e200,
    0x0006ffff,0x7fffff40,0x7ff40001,0xf00007ff,0xff70ffff,0x000489ff,
    0x3fffee90,0x7ffff884,0x2a3fff50,0x7dc4ffff,0x30003fff,0x000dffff,
    0x00000bfe,0xfa800bf9,0xfffa86ff,0xffff9006,0x3ffffaa9,0x3ffe205f,
    0xffdfefff,0x7f439eff,0x7ffdc2ff,0x7f540001,0x3e61dfff,0xcabeffff,
    0xffffffdf,0xe82fda9b,0xadffffff,0x7fe442fc,0x0000beff,0xbdffffd1,
    0x9fffffb9,0xffffff10,0xd03fb55b,0xffc83fff,0x9aefffff,0x07fe22fb,
    0x3f20bffa,0x8001ffff,0x01fffffc,0x26bd1000,0x04ffffff,0x3fff2000,
    0x740001ff,0x8007ffff,0x3ffffc19,0x227fffdc,0x2a900004,0xf884ffff,
    0xffc87fff,0x3fffea1f,0x2ffffd44,0xffff9800,0x05ff0006,0x05fc8000,
    0x41fffd80,0x1002fffd,0x9ffffffd,0x80dffff7,0x1efffffd,0x41fffffd,
    0x11effcdd,0x00005fff,0x1ffffe4c,0xfffffffd,0x3fffee3d,0x102fffff,
    0xfffffffb,0xffff987f,0x7cc0001d,0xffffdaff,0x4ffdbfff,0xfffffe88,
    0x3f602fff,0x2fbfe65f,0xffffffff,0x867ffc43,0x7fc44ffb,0x05ffffff,
    0x7ffffe40,0x1db00001,0x7fffffe4,0xff900001,0x80003fff,0x007ffffe,
    0x7fffc1d8,0x4ffffb87,0x34800024,0xf30bffff,0xffb8bfff,0x7fffd46f,
    0x7ffffcc4,0xfff98000,0x5ff0006f,0x5fc80000,0x1bffb000,0x0007ffe6,
    0x27ffffd3,0x1ffffffb,0x89dff910,0x2e1dffea,0xfdffd30e,0x000005bf,
    0xe98ffae2,0xa83effff,0x2efffffe,0xfffffc80,0x0bff982d,0x3fd10000,
    0x2166e5cc,0xffb102fd,0x9003bfff,0x49ffdffd,0x2dffffe9,0xfffddf88,
    0x000004ff,0x3fffff90,0x01f90000,0x0dfffffd,0x3fff2000,0x740001ff,
    0x4007ffff,0x7fffc0f8,0x7fffdc0f,0x48000244,0x2a1bfffa,0x7fc2ffff,
    0x7ffd45ff,0xfffff84f,0x3e60ae04,0xeec86fff,0xffeeeeee,0xeeeeeeee,
    0x02fe4006,0xfdfff700,0x4c0001df,0x2200001a,0x04404400,0x0000d544,
    0x22066000,0xaa88009a,0x2a98000a,0x00001440,0x03000088,0x40006a60,
    0x53009aa8,0x1a985005,0x64000000,0x001fffff,0xf9817d40,0x004fffff,
    0xfffffc80,0x7ff40001,0x3dc007ff,0x107ffff4,0x489fffff,0x7d490000,
    0xfffa86ff,0x7ffffcc6,0x9ffffd31,0x5fffff70,0x3fe60d50,0xfffd86ff,
    0xffffffff,0x7fffffff,0x002fe400,0x000d5440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,
    0x40003fff,0x7fe404f9,0x0001ffff,0x0fffffe4,0x3fffa000,0x1fe2007f,
    0x4d3ffff2,0x44fffffe,0xd8900004,0x7fec1fff,0x7fffc42f,0xfffdfeff,
    0x3fe239ef,0xdaadffff,0xffff301f,0x9999950f,0x99999999,0x00999999,
    0x00003ca8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fffff2,0x4037cc00,0xefffffe8,
    0x3ff20000,0x40001fff,0x00fffffe,0xe886fe88,0xbcffffff,0x0246ffff,
    0xffd84800,0x03fff30d,0x3bfffff6,0x1fffffd1,0xfffffe88,0x3f202fff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffec00,0xff98002f,
    0xffff5003,0x6c000bff,0x002fffff,0x7fffffc0,0x2fff4401,0x3ffffe98,
    0x3ffffff7,0x82400012,0xeffefffb,0x3bff2200,0x0efff544,0xfffffd88,
    0xffff101d,0x000bffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe600,
    0x2e2005ff,0xa800efff,0xcfffffff,0x7ffcc000,0x20005fff,0xfffffffa,
    0xfecaaaab,0x54c04fff,0xcccd8001,0xcccccccc,0x04cccccc,0x2000d544,
    0x00044008,0x00000353,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fb20000,
    0xffffffff,0x3fff203d,0xa83effff,0xfffffffe,0x65402fff,0xfffffffe,
    0x4400cdff,0xffffffed,0xffffffff,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0a980000,0xfffffc80,0x3fe61fff,0x50000fff,
    0x02a20001,0x7e401510,0x75ffffff,0xdfffffff,0x00ffffe4,0x3f6014c0,
    0x3e67ffff,0xa84fffff,0xffffffff,0xf15fffff,0xdfffffff,0x1fffff91,
    0x00000800,0x93c80b62,0xffffffff,0x7ffffff4,0xd1000003,0x0001ec05,
    0x00000000,0x00000000,0x0014c000,0x00000000,0x55555510,0x55555555,
    0x22355555,0xaaaaaaaa,0xaaaaaaaa,0x01101aaa,0x55550371,0x2a600805,
    0xea800aaa,0x00bdffff,0x1fffffee,0x3ee0efd8,0x321fffff,0xfff71fff,
    0x3fee3fff,0x7f5c1eff,0xff701eff,0xffa87fff,0xef984fff,0x3fffff20,
    0x9ffff90f,0x3ffffdc0,0x13ffffa2,0x266b3fea,0x1fffffc9,0x3fffff22,
    0x0017fdc5,0x0000ffa2,0x1fc807f4,0x13ffffea,0x402bffea,0x0b6000e9,
    0x0bf203f9,0x0017ec00,0x4015bfb5,0x2e603eb8,0x4000bdfe,0x2e2006f9,
    0xffd01cfd,0x05dd707f,0xb303bf91,0xb9805bdd,0xff982dee,0xffffffff,
    0xffffffff,0xfffff33f,0xffffffff,0x07ffffff,0xbfff70d3,0x82ffffb8,
    0xff83efd9,0xffc805ff,0x01dff51e,0x037fffec,0xfff101f9,0xfffd13ff,
    0x7fffccbf,0xfffffd9f,0xffffb0ef,0x3f601dff,0xffd84fff,0x505f05ff,
    0xfb3fffff,0x209fffff,0xc87ffff8,0xfa84ffff,0xfffff882,0xdffffb05,
    0xb8001fb8,0xd80007ff,0xf0bf703f,0xf305ffff,0x0efe803f,0x220ffd80,
    0x1ff880ff,0x03ffd400,0x4fffffd8,0x03fffd98,0xfffffff7,0x17fec001,
    0xfffffe80,0x7ffffd44,0x03fffea2,0xfb8dfff9,0x3e217f67,0xf30bff25,
    0xffffffff,0xffffffff,0x3ffe67ff,0xffffffff,0xffffffff,0x3e177443,
    0x7dc1ffff,0xfffe85ff,0x1bffea0f,0xb07fff20,0x7fcc0dff,0x0bb00fff,
    0x6cfffff4,0x745fffff,0x91efffff,0x3bdbffff,0x413ffff2,0xa86ffff9,
    0x7a87ffff,0x3fffffe0,0xffffe99d,0x0fffff01,0x509ffff7,0x3ffff60d,
    0xffff100f,0x000be27f,0x0002ffcc,0x3ee03ff6,0xffffe80f,0xa800ed81,
    0x3f600eff,0x80efc83f,0x2e001ffb,0x8cc807ff,0x2a0fffd9,0xb83fffbb,
    0xffebcfff,0xfffa800f,0xfcbec807,0x3ff60fff,0x3ff66fff,0x7fffc3ff,
    0x4c9ff10f,0x87fec3ff,0x00005ffa,0x00007fd0,0x4bfff200,0x83fffff9,
    0x7fcc7ffc,0x3ff63fff,0x7ffcc00e,0x05fffa87,0x20fffff6,0x3ff601f8,
    0xffa9edff,0x7ffff42f,0x7ffffc0e,0x37fffc46,0x83ffffd0,0x42fffffc,
    0x3fffe04c,0x7fffdc5f,0x0fffff03,0x509ffff7,0xfffff307,0xffffb807,
    0x40004d8f,0x7e400029,0x04ffa83f,0xc81ffffd,0x3fea000e,0x03ffd80e,
    0xf881dff1,0xff1000ff,0xff88500b,0x3fff880f,0x26067fcc,0xffe806fe,
    0x512203ff,0x7fd45fff,0x3ff67fff,0x7fffc2ff,0xf98fff27,0xa87fe47f,
    0x000006ff,0x000007fd,0xfd27fe40,0x3f203fff,0x3fffe22f,0x003bfe2f,
    0x261bfff6,0xf501ffff,0x0d70ffff,0x2fffffd8,0x7ffec0d4,0xfffff81f,
    0x07ffff80,0xf13fffee,0xf8bffffb,0x3ffffa01,0x27fffd40,0xb87ffff8,
    0x2004ffff,0x006ffffe,0x1fdfffff,0x80000000,0xffa86ffb,0xffffd00f,
    0x40007641,0x3f60effa,0x2ffe403f,0x26077fdc,0xb87f61ee,0x1ffd405f,
    0xfb87fff0,0x01ff700f,0x7ff4ffdc,0x3ffe2000,0x3ff7fe40,0xd83ffff7,
    0x3ffa6fff,0x303ffe23,0x01bffae1,0x01ff4000,0xff700000,0x027ffd47,
    0xfff913f2,0x40077d4d,0x885ffff8,0x3a03ffff,0x1742ffff,0x1bffff60,
    0x1ffffd80,0x80fffff8,0x2207ffff,0x3aa7ffff,0x50fffff8,0xffffe80d,
    0x27fffd40,0xb87ffff8,0x7004ffff,0x003fffff,0x0bffffee,0x70000000,
    0xff985fff,0x3fffa04f,0x001ff90f,0x367bfea0,0xff8803ff,0x77ffc45f,
    0x553fffa0,0x05fffd16,0xf803bfa6,0x02fec3ff,0x3e205ff1,0x009ff34f,
    0x8882ffcc,0x3ffea6f9,0x24fffc87,0x3fe23fff,0xfacfb81f,0xd000006f,
    0x2aaaa27f,0xaaaaaaaa,0x1aaaaaaa,0x203bfaa2,0x30db000a,0x000ec859,
    0x10bffff5,0x5c0bffff,0x1e66ffff,0x13ffff60,0x1ffffd80,0x80ffffe8,
    0x6c07ffff,0x27b2ffff,0x9b3ffffd,0x0ffffe80,0x827fffd4,0xfb87ffff,
    0xf8804fff,0x4005ffff,0x405ffffe,0xaaaaaaa9,0xaaaaaaaa,0x7fd42aaa,
    0x7fffcc6f,0x3ffffa00,0x005fffc9,0x3ffffea0,0x3fff2003,0x937ffdc4,
    0x5b5bffff,0xb01ffffd,0x203fffff,0x27f43fff,0x7e40ffa0,0x007ff60f,
    0x2e007fe4,0x42fffc4f,0x3fa2fff9,0x83ffe23f,0xdff53fe8,0x3fa00000,
    0xffffff33,0xffffffff,0x2a7fffff,0x0000cdef,0xb8000000,0xf884ffff,
    0x3e207fff,0x07b1ffff,0x07ffffb0,0x0ffffec0,0x407ffff4,0x5407ffff,
    0x0f8dffff,0xf1dffff5,0xffffe803,0x27fffd40,0xb87ffff8,0xd804ffff,
    0x000fffff,0x0fffffd4,0xffffffb0,0xffffffff,0x7c4fffff,0x7ff43fff,
    0x7fff405f,0x2fffffdf,0x3ffea000,0x7ffcc004,0x27fffc2f,0x9fb99995,
    0x54017999,0xff05fffe,0x207fd87f,0xff982ffa,0x402ffc43,0xfe801ff8,
    0xf81ffec0,0x8fff20ff,0x7fec6ff9,0x000dff50,0x7ccffa00,0xffffffff,
    0xffffffff,0x000003ff,0x64000000,0xf884ffff,0x3200ffff,0x0f8dffff,
    0x2ffffd80,0x3ffff600,0x0ffffe81,0x407ffff8,0x5cfffff8,0x367ffffc,
    0x07ffff40,0x413fffea,0xfb87ffff,0x7d404fff,0x0003ffff,0x40bffffd,
    0xfffffffd,0xffffffff,0x7fdc7fff,0x7fffcc6f,0x3ffffa00,0x0fffffce,
    0xdfffb000,0x7ffdc001,0x077ffd45,0x00097d30,0x7fc1fff2,0x817fdc3f,
    0x6fd80ffd,0xd805ff90,0x83fa801f,0xdfb01ffb,0x3ea4ff88,0x567ffc2f,
    0x00007ffe,0x00000000,0x00000000,0xffff7000,0xfffff109,0xfffff980,
    0xfffb005c,0x7fec003f,0xfffe81ff,0x7ffff80f,0xfffffd80,0x7ffffe42,
    0xffffe803,0x27fffd40,0xb87ffff8,0x7404ffff,0x0006ffff,0x07fffffa,
    0x5c000000,0x7fd43fff,0x3fffa04f,0xbffffd1f,0xf9ffb000,0xff1001df,
    0x1fffd0df,0x1ef9fe40,0x82ffcc00,0xffe83fff,0x07ffd51c,0x3e205ff5,
    0xb07f206f,0xf302fc81,0x4c27dc0f,0x83fe8afe,0xff9cfffd,0xddca80df,
    0x8872000b,0x542c983c,0xaaaaaaaa,0x5555510a,0x55555555,0x26555555,
    0xeeeeeeee,0xeeeeeeee,0xffff54ee,0xfffff109,0xfffffb00,0x3fff6003,
    0x3ff6001f,0xfffe81ff,0x7ffff80f,0xfffff980,0x7ffffcc0,0xffffe800,
    0x27fffd40,0xb87ffff8,0x2e04ffff,0x881fffff,0x7fef5c03,0x000005ff,
    0x21fff200,0xfd00fffa,0x3fe61fff,0x36003fff,0x1dff53ff,0x40effc80,
    0xd101fffa,0x0fff63ff,0x0bfe06a2,0x260fffe2,0xffffffff,0xb80dfd05,
    0xcdfb83ff,0x0eec7edc,0x2f9817e0,0x806f72a0,0x40ae61ba,0xeffffffc,
    0xf887c402,0x3ffea5ff,0x3fffffe3,0xff32ffff,0xffffffff,0xffffffff,
    0x3ffffe6d,0xffffffff,0xf36fffff,0xff30bfff,0xff500bff,0x7ec00dff,
    0x36001fff,0xfe81ffff,0xfff80fff,0xffff007f,0x1bfffa0b,0x07ffff40,
    0x413fffea,0x5c0fffff,0xf104ffff,0x2e09ffff,0x3e67e603,0x0002ffff,
    0xffb00002,0x209ff707,0x2e0ffffe,0x800fffff,0x7fd43ffd,0x1dff100e,
    0x6403ffd0,0x3ffee7ff,0xa867fe41,0x9fff104f,0x3ffff620,0x03ff703f,
    0x7dc1ffd0,0x45ffffff,0xf807b001,0x00000000,0xfffddff3,0xd8839fff,
    0x43fffee7,0x3fe6fffd,0xffffffff,0xffffff32,0xffffffff,0x322dffff,
    0xcccccccc,0xcccccccc,0x1bfffa3c,0x00bfffea,0x0017fff4,0x003ffffb,
    0x40ffffec,0xf80ffffe,0xf9007fff,0x3fee05ff,0xfffd003f,0xffffa81f,
    0x1ffffd04,0x27ffffc4,0x0fffffd8,0x7d102e88,0x037fffec,0x001ff440,
    0x7e41ff60,0xffffe80f,0x37ffff41,0x540fff60,0xffc80eff,0x402ffa80,
    0x3fe24ffd,0x7fff4c1f,0xfec981ee,0x5102cfff,0x3fe20135,0x29ff3005,
    0xfffffffa,0x0000003f,0xd0000000,0x7fed443d,0xffccefff,0xb9bffe63,
    0x3ffe4fff,0x2fffffff,0x00000000,0x6fffa800,0x006fffa8,0xb001ffee,
    0x4003ffff,0xf81ffffe,0xff80ffff,0xff3007ff,0x07ffc40f,0x0ffffe80,
    0x82ffffd4,0xd34ffffc,0x509fffff,0x107fffff,0x31b605fd,0x007fffff,
    0x0007ffc8,0x9fb03fe8,0x85ffffd0,0x04fffff9,0xfa807ffb,0x07fe20ef,
    0x6c4017f4,0x201f540c,0x00000019,0x00000000,0x00000000,0x3f800000,
    0x3ffff220,0xdfb85fff,0xa837f221,0xaaaaaaaa,0x0000000a,0xffb00000,
    0x2fffd83f,0x013fe200,0x05ffffd0,0x17ffff40,0x20fffffc,0x00fffff8,
    0xfd809fd0,0x3fffe005,0x7fffdc1f,0xffffd105,0xffff79ff,0xfffffd0d,
    0xfffb5333,0xf86fd883,0x001fffff,0x00017fea,0x7ec03fa2,0x3ffffe60,
    0xfffffe84,0x5003fb82,0x701fc8bf,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x07880000,0x0fbfb6a0,0x00000000,0x00000000,0x21bffb00,
    0x8001fff9,0x3e2000fc,0x1004ffff,0x989fffff,0x5c4fffff,0x002fffff,
    0x2fa803f7,0xfffff300,0xfffffd87,0xffffd300,0x3ffffee7,0xfffff71f,
    0xffffffff,0x3fffa21f,0xfffea9ef,0x2005ffff,0x22000029,0x7e4f602d,
    0x26ffffff,0xfffffffc,0x40c00186,0x000f602d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xeffefffb,
    0x00710000,0x7fffffdc,0x3fee02ef,0xf76fffff,0x2dffffff,0xfffffffd,
    0x90048805,0xffff9001,0x3ffabfff,0x202fffff,0x000001a9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0001aa88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_41_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_41_latin_ext_y[560]={ 32,6,6,6,6,6,6,6,6,6,6,9,26,21,
26,6,6,6,6,6,6,7,6,7,7,6,14,14,10,15,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,37,6,14,7,14,7,14,6,14,7,6,
6,7,7,14,14,14,14,14,14,14,8,15,15,15,15,15,15,6,6,6,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,32,14,7,6,10,7,
6,6,7,6,6,15,15,21,6,3,6,9,6,6,6,15,7,16,31,6,6,15,6,6,6,14,-1,-1,-1,0,
0,0,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,11,6,-1,-1,-1,0,-1,7,6,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,14,6,6,6,7,6,6,7,
1,9,-1,6,6,14,-1,6,-2,6,-1,7,-1,6,-1,6,7,7,1,9,-1,6,-1,7,7,14,-1,6,-2,6,
-1,6,-1,7,6,5,-2,-2,7,7,0,7,1,9,-1,6,7,6,0,15,7,6,-2,6,7,7,15,-1,-1,7,
7,6,6,7,7,7,7,-1,6,7,14,-1,6,6,6,14,1,9,-1,6,-1,6,7,14,-1,6,7,14,-1,6,
-1,6,-2,6,6,14,-1,6,7,8,-1,6,7,8,0,7,1,9,-1,6,-2,6,-1,6,7,15,-2,6,-2,6,
0,-1,6,0,7,-1,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,13,8,8,8,8,8,8,8,8,8,8,8,8,8,2,14,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-2,6,-2,6,-2,
6,-2,6,-1,3,-1,1,-1,0,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-2,-2,6,-2,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_41_latin_ext_w[560]={ 0,7,15,18,17,33,29,6,11,11,15,21,8,12,
7,11,17,14,17,17,18,17,17,17,17,17,7,8,21,21,21,15,33,27,24,24,26,24,22,28,29,14,19,30,
24,35,26,27,22,27,28,19,23,27,27,37,27,27,25,9,11,8,17,20,9,17,19,15,19,15,15,17,19,10,
12,20,10,29,19,17,19,19,15,13,12,19,19,27,18,19,16,12,4,11,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,15,18,19,19,
4,16,12,26,12,18,21,12,26,20,13,21,11,11,8,20,21,7,7,9,11,18,27,26,28,15,27,27,27,27,
27,27,37,24,24,24,24,24,14,14,14,14,26,26,27,27,27,27,27,17,27,27,27,27,27,27,22,18,17,17,
17,17,17,17,25,15,15,15,15,15,11,11,12,13,17,19,17,17,17,17,17,21,17,19,19,19,19,19,19,19,
27,17,27,17,27,18,24,15,24,15,24,15,24,15,26,26,26,19,24,15,24,15,24,15,24,15,24,15,28,17,
28,17,28,17,28,17,29,19,29,19,14,12,14,12,14,12,14,11,14,10,31,18,19,14,30,20,21,24,11,24,
10,24,17,24,16,24,10,26,19,26,19,26,19,28,27,17,27,17,27,17,27,17,35,25,28,15,28,15,28,15,
19,13,19,13,19,13,19,13,23,12,23,19,23,12,27,19,27,19,27,19,27,19,27,19,27,19,37,27,27,19,
27,25,16,25,16,25,16,15,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,19,19,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,29,21,19,19,19,19,19,19,19,19,19,19,19,19,19,31,22,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,27,17,14,13,27,
17,27,19,27,19,27,19,27,19,27,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,27,17,37,25,27,17,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_bold_41_latin_ext_h[560]={ 0,27,13,27,29,28,27,13,34,34,15,21,13,5,
7,27,27,26,26,27,26,26,27,26,26,27,19,25,19,9,19,27,34,26,25,27,25,25,25,27,25,25,26,25,
25,25,26,27,25,33,25,27,25,26,26,26,25,25,25,32,27,32,14,3,7,19,26,19,26,19,26,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,18,18,18,17,25,17,34,34,34,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,26,32,27,19,25,
34,34,6,27,12,17,9,5,27,3,14,21,14,15,7,25,33,7,8,14,12,17,28,28,28,26,33,33,33,32,
32,32,25,33,33,33,33,32,33,33,33,32,25,33,34,34,34,33,33,17,28,34,34,34,33,33,25,27,27,27,
27,26,26,27,19,25,27,27,27,26,26,26,26,25,27,25,27,27,27,26,26,17,19,27,27,27,26,34,34,33,
31,24,33,27,35,27,34,27,35,27,34,26,34,27,33,27,25,26,31,24,33,27,33,26,34,27,33,27,35,34,
34,34,34,33,33,35,34,34,25,25,32,25,31,23,33,26,34,35,32,17,26,34,35,34,32,32,17,33,33,32,
32,26,26,25,25,25,25,34,26,32,25,34,26,26,27,26,32,24,34,27,34,27,26,19,33,26,32,25,33,26,
34,27,35,27,33,25,34,27,34,33,33,27,25,25,33,26,32,24,34,27,35,27,34,27,34,26,35,27,34,34,
32,33,26,32,25,33,26,26,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,27,24,24,34,24,24,24,
24,24,24,24,24,24,24,24,24,24,29,20,24,24,24,24,24,24,24,24,24,24,24,24,24,31,19,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,34,27,34,26,35,
27,35,27,34,30,34,32,34,33,34,32,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,38,35,34,27,36,27,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__times_bold_41_latin_ext_s[560]={ 349,268,380,163,461,1,476,505,374,185,289,
233,371,456,473,119,276,364,20,182,1,395,192,308,326,200,503,494,336,443,400,
423,357,449,152,167,177,236,261,153,304,334,1,349,81,406,21,1,442,236,465,
371,1,130,82,411,25,53,380,273,446,174,341,469,481,300,158,384,110,442,48,
64,284,500,499,215,204,55,113,1,288,477,39,484,28,133,19,85,170,431,153,
264,464,459,421,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,349,497,257,
294,422,260,277,16,443,225,408,211,421,456,290,490,327,211,359,305,499,490,1,
491,465,317,396,270,64,92,35,227,195,223,69,384,203,88,83,400,322,375,471,
21,80,279,180,116,1,445,469,217,386,95,152,252,479,307,126,232,294,347,467,
74,1,99,81,296,364,29,358,451,471,455,439,379,431,443,382,138,317,300,272,
254,236,413,189,189,318,133,113,93,67,197,109,425,383,164,472,428,57,391,29,
355,85,313,414,280,282,252,191,198,208,207,358,182,97,131,166,395,439,147,264,
182,146,108,79,61,175,218,122,128,280,310,178,280,159,320,311,198,151,275,497,
175,492,498,243,245,329,359,57,363,230,289,500,412,46,475,314,235,121,41,333,
330,344,465,344,82,224,38,46,121,437,146,157,218,204,131,244,458,123,332,334,
364,27,348,439,210,187,67,49,380,260,117,335,496,56,487,394,418,251,455,283,
106,129,403,301,335,54,383,1,87,235,355,411,391,131,23,139,231,66,1,156,
173,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,19,126,126,154,
126,126,126,126,126,126,126,126,126,126,126,126,126,431,255,126,126,126,126,126,
126,126,126,126,126,126,126,126,326,277,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,33,458,
1,107,207,149,273,47,377,411,443,1,471,314,349,183,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,1,110,405,329,29,410,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126, };
static unsigned short stb__times_bold_41_latin_ext_t[560]={ 36,211,402,211,178,211,211,296,75,75,402,
376,402,412,402,211,211,296,296,240,296,268,268,296,296,240,350,350,376,402,376,
240,40,296,350,268,350,350,350,240,350,350,323,350,376,350,323,268,350,144,350,
211,376,323,323,296,376,376,350,178,211,178,402,412,402,376,323,376,323,376,323,
323,350,268,1,350,350,402,402,402,296,296,402,376,350,402,402,402,402,323,402,
75,40,75,412,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,36,296,178,
211,376,323,75,40,412,211,402,402,402,412,240,412,402,376,402,402,402,323,144,
402,402,402,402,402,211,211,211,296,110,110,144,144,178,178,350,110,110,110,75,
178,110,110,110,178,350,110,40,75,75,110,110,402,178,75,40,40,110,110,323,
240,240,268,268,268,268,268,376,323,240,240,240,296,268,268,268,350,240,323,240,
240,240,268,296,402,376,240,240,240,296,75,75,110,178,376,110,211,1,211,75,
211,1,211,75,268,75,211,144,211,323,296,178,376,144,211,144,296,40,211,144,
211,1,40,40,40,40,144,144,1,40,40,323,323,178,323,178,376,144,296,40,
1,144,376,296,75,1,75,178,144,402,144,110,144,178,268,268,323,350,350,323,
40,296,144,323,75,268,296,240,296,144,376,75,240,40,268,268,376,110,268,144,
323,110,268,75,268,1,268,144,323,40,268,75,75,110,240,323,323,110,268,178,
376,75,240,1,240,75,240,75,296,1,240,40,40,178,144,296,178,350,110,296,
296,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,240,376,376,40,
376,376,376,376,376,376,376,376,376,376,376,376,376,178,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,178,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,40,211,
40,296,1,268,1,268,1,178,1,178,1,144,1,178,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,1,1,1,211,1,211,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376, };
static unsigned short stb__times_bold_41_latin_ext_a[560]={ 148,197,329,296,296,592,493,165,
197,197,296,338,148,197,148,165,296,296,296,296,296,296,296,296,
296,296,197,197,338,338,338,296,551,428,395,428,428,395,362,461,
461,231,296,461,395,559,428,461,362,461,428,329,395,428,428,592,
428,428,395,197,165,197,344,296,197,296,329,263,329,263,197,296,
329,165,197,329,165,493,329,296,329,329,263,231,197,329,296,428,
296,296,263,233,130,233,308,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,148,197,296,296,296,296,130,296,
197,443,178,296,338,197,443,296,237,325,178,178,197,341,320,148,
197,178,196,296,444,444,444,296,428,428,428,428,428,428,592,428,
395,395,395,395,231,231,231,231,428,428,461,461,461,461,461,338,
461,428,428,428,428,428,362,329,296,296,296,296,296,296,428,263,
263,263,263,263,165,165,165,165,296,329,296,296,296,296,296,325,
296,329,329,329,329,296,329,296,428,296,428,296,428,296,428,263,
428,263,428,263,428,263,428,434,428,329,395,263,395,263,395,263,
395,263,395,263,461,296,461,296,461,296,461,296,461,329,461,329,
231,165,231,165,231,165,231,165,231,165,487,327,296,197,461,329,
329,395,165,395,165,395,278,395,234,395,165,428,329,428,329,428,
329,432,456,329,461,296,461,296,461,296,592,428,428,263,428,263,
428,263,329,231,329,231,329,231,329,231,395,197,395,309,395,197,
428,329,428,329,428,329,428,329,428,329,428,329,592,428,428,296,
428,395,263,395,263,395,263,165,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,438,461,461,296,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,328,461,461,461,461,461,461,
461,461,461,461,461,461,461,471,355,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,428,296,231,165,461,296,428,329,428,329,428,
329,428,329,428,329,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,428,296,592,428,461,296,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_41_latin_ext(stb_fontchar font[STB_FONT_times_bold_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_41_latin_ext_s[i] + stb__times_bold_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_41_latin_ext_t[i] + stb__times_bold_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_41_latin_ext_x[i];
            font[i].y0 = stb__times_bold_41_latin_ext_y[i];
            font[i].x1 = stb__times_bold_41_latin_ext_x[i] + stb__times_bold_41_latin_ext_w[i];
            font[i].y1 = stb__times_bold_41_latin_ext_y[i] + stb__times_bold_41_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_41_latin_ext_s[i] + stb__times_bold_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_41_latin_ext_t[i] + stb__times_bold_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_41_latin_ext_x[i] + stb__times_bold_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_41_latin_ext_y[i] + stb__times_bold_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_41_latin_ext_LINE_SPACING
#endif

