// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT        468
#define STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_43_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_43_latin_ext_LINE_SPACING          28

static unsigned int stb__times_bold_43_latin_ext_pixels[]={
    0x3bba2000,0x000001ee,0x0177776c,0x00053000,0x00000000,0x00aaaa20,
    0x00000000,0x00555544,0x55300000,0x00000035,0x00000100,0x00355530,
    0x09505900,0x99500000,0x88000039,0x000aaaaa,0x4c002660,0x00e4c01e,
    0x55554000,0x4c400001,0x32600001,0x000002cc,0x66666654,0x266002cc,
    0x00000600,0x007ffff5,0xfff98000,0x9300004f,0xfff80005,0x7fe4006f,
    0xfb0001ff,0x80007fff,0x001ffffc,0x7fffe400,0x10000004,0x001fffff,
    0x3aa00000,0x000002df,0x01fffff1,0x9befa800,0x000002fd,0x0003ffe8,
    0x5ffff900,0x01ffc000,0x3ea05fd0,0xfb800006,0x00006fff,0x5dfffff7,
    0xdff70000,0xfd800000,0x4fffffff,0x2a0ffe00,0x00002efe,0x0007fffb,
    0x9fff9000,0x03e60000,0xffff7000,0x3fe6007f,0xa8005fff,0x00ffffff,
    0xfffff300,0x7cc0000b,0x000fffff,0xfffd8000,0x000004ff,0xfcacfc80,
    0xfd800003,0x0004ffff,0x04ffffc8,0xff880000,0x6c000002,0x20005fff,
    0x3ea003ff,0x017fe43f,0x3ffe2000,0x20002fff,0xc88befe8,0xa80005ff,
    0x000000ff,0x3bbbbbb2,0x3fe003ee,0x07fffe83,0x09fff000,0x3fe00000,
    0x3200004f,0x7fc40004,0x800fffff,0x1ffffffd,0x7ffff400,0xfb0003ff,
    0x003fffff,0x3ffff600,0x000004ff,0x7fffffcc,0x0000000f,0x001b217c,
    0xfffff300,0x700001ff,0x00000799,0x00007260,0x07ffec00,0x003ff800,
    0x7ec67ff4,0xc800006f,0x06ffffff,0x203ffa00,0x80004fff,0x000001c9,
    0x3fe00000,0x7ffffcc3,0x7fd40002,0x30000004,0x80000bff,0x8001deef,
    0xfffbfffc,0x67ffd404,0x2e006ffe,0xfffb9fff,0x7ffd4000,0x0006ffec,
    0xfaafffa8,0x000001ff,0x3f637ffa,0x0000005f,0x007e21ea,0x8dffe800,
    0x20005ffd,0x0003a82b,0x07505700,0xffd80000,0x07ff0002,0xfffff980,
    0x400001ff,0xfe8bfff9,0xffc8003f,0x00fffd04,0x00ea0ae0,0x5415c000,
    0x21ffc003,0x00fffff8,0x002fec00,0x0bf90000,0xffff0000,0xeff9800d,
    0x401ffd30,0x3ff62ffe,0x0eff8802,0xd0013fea,0x17fec5ff,0x87bfa000,
    0x00005ff9,0xfc89ff50,0x0000001f,0x00fa83f3,0x89ff5000,0xb8001ffc,
    0x0ffea2ff,0x5ff70000,0x0001ffd4,0x0017fa00,0x6c001ffc,0x005fffff,
    0x21ffd800,0xe8007fd8,0xffff05ff,0x2ffb8001,0x0000ffea,0x7d45ff70,
    0x0ffe003f,0x0013ffee,0x00001360,0x0000bb00,0x017fff20,0xd881bfb0,
    0x03df704f,0xbf900df9,0x4003fe60,0x6fc81efb,0x037ee000,0x00007fa2,
    0x7dc0bfa0,0x20000005,0x009d30de,0xb817f400,0xffb8005f,0x000ffea2,
    0x545ff700,0x000003ff,0x40007f44,0xf98003ff,0x0000ffff,0xd8077d40,
    0x7ffc003f,0x05ffc80f,0x2a2ffb80,0x400003ff,0x3fea2ffb,0x40ffe003,
    0x200000b8,0x000000ba,0x50000000,0x7cc0017b,0x220fe404,0x0bee00df,
    0x6c403d88,0x00ef8803,0x6c000bee,0x0026c404,0x50076a00,0x0000001d,
    0x07bfbfa6,0x00ed4000,0x2a0007aa,0x00002a82,0x00550550,0x00000000,
    0x2a0007ff,0x00001aaa,0x05b804b8,0x82ffff40,0x0aa0002a,0x400000aa,
    0x4002a82a,0x000003ff,0x0dffffa8,0x4c400000,0x00390009,0x00000000,
    0x00004400,0x11000000,0x00000000,0x00000000,0x39500000,0x00000000,
    0x00000000,0x00000000,0x3e000000,0x0000003f,0x00000000,0x1bffff90,
    0x00000000,0x00000000,0x00003ff8,0x7f50cf80,0xdb880000,0xceffffff,
    0x3001fc81,0x00000001,0x40000260,0x00010099,0x4c000000,0x00008009,
    0x00000000,0x00000000,0x77744000,0xeeeeeeee,0x777540ee,0xd11eeeee,
    0xdddddddd,0xea81dddd,0x1eeeeeee,0xfdb95100,0x00359bdf,0x77744ffe,
    0xeeeeeeee,0x777540ee,0x001eeeee,0xdffdb951,0x8800359b,0x02ffffff,
    0xeeeeee88,0x0eeeeeee,0x77777754,0xdddd11ee,0xdddddddd,0xeeeea81d,
    0x7ff1eeee,0x3bbbbba6,0x1f50000e,0x100006c8,0x359dfff9,0x21bffff9,
    0x7f5402fb,0xccccdfff,0xdddb02cc,0xd7005ddd,0x999bffff,0x3ae05999,
    0x20cfffff,0x77775c1c,0x76c4eeee,0x4c006eee,0xdeffffec,0x75da209b,
    0xeeeeeeee,0x3bbbba2e,0x2eeeeeee,0xeeeeee88,0xdddddd12,0x1ddddddd,
    0xeeeeeea8,0x3baa01ee,0xeeeeeeee,0x7e4c0eee,0x0affffff,0x3bffaa60,
    0xfffc980a,0x200affff,0x0aeffea9,0x9ffff700,0xbfffd735,0x4c3ff801,
    0xfffffffc,0x3faa600a,0xf7000aef,0xd7359fff,0x4001bfff,0xdffffff9,
    0xfffc9800,0x200affff,0x0aeffea9,0xfffffc98,0x2a600aff,0x3e0aeffe,
    0x3fff663f,0xd90000ff,0x80001f50,0x205ffff9,0x3fdffffa,0x4ffffa60,
    0xfffffffa,0xffff9104,0x7ff4c05f,0xffffb8bf,0x7f4c4fff,0xffca9adf,
    0x7ec41fce,0x883fffff,0x5001effa,0x79dffffd,0xd7bffdb7,0x3fffee2d,
    0x4c41dfff,0xfffffffe,0x3fea2009,0xfffc982f,0x200affff,0x0aeffea9,
    0xffff9100,0xf8019fff,0x004fffff,0x3e007fe6,0x004fffff,0x44007fe6,
    0x2605fffe,0x3e02ffff,0xfffff03f,0x7fcc009f,0xfffd1001,0x7fffcc0b,
    0x3ffee002,0xf001efff,0x009fffff,0x7c00ffcc,0x004fffff,0x3fe07fe6,
    0x7ffffd43,0x83f30000,0x7dc0005d,0xf9805fff,0x3e207fff,0x7fe42fff,
    0x7c02ccdf,0xf102ffff,0xffc85fff,0x3e22ccdf,0xffb100ff,0x3fffa03f,
    0x03fa00ff,0x77fffe40,0x3fffaa01,0x7ffffdc6,0x3ffe202f,0x36005fff,
    0x7fffc02f,0x3e6004ff,0xffd0001f,0x3a00bfff,0x003fffff,0xffe8037c,
    0x7c003fff,0xffff7006,0xffff300d,0x740ffe0b,0x003fffff,0xffb8037c,
    0xff9806ff,0xee8805ff,0x2fffffff,0xfffffe80,0x8037c003,0x03fffffe,
    0x3ff837c0,0x07ffffcc,0xb37dd000,0x7d40003f,0xb000ffff,0x3a07ffff,
    0x7d40ffff,0xfd000eff,0x3fa05fff,0x7fcc0fff,0x4ffe80ef,0x301ffd80,
    0x405fffff,0xffe8804f,0xfb000eff,0xffff88df,0x7fe403ff,0x36007fff,
    0xffffe807,0x037c003f,0xfffff900,0x3fff6009,0x374003ff,0xfffffd80,
    0x40374003,0x00fffff9,0x09ffff90,0x3ff607ff,0x74003fff,0xffff9806,
    0xfff9000f,0x4774409f,0xffffffd8,0x7fffec02,0x0374003f,0x3fffffd8,
    0xff837400,0x7ffffc43,0x3f220000,0x220002df,0x005fffff,0x07ffffe6,
    0x10fffff1,0x2009ffff,0x882ffffe,0xf887ffff,0x7fdc4fff,0x2fe8801f,
    0x1bffff60,0x7f400fc4,0x4000ffff,0xfffc86fe,0x7fc406ff,0xf002ffff,
    0xffffb009,0x06e8007f,0x3ffff200,0xfffb004f,0x5e8005ff,0xfffffb00,
    0x805e8005,0x004ffffe,0x07ffffe2,0x3ff60399,0x74002fff,0xffffe805,
    0x3ffe2004,0x85fb01ff,0x1ffffffb,0x3fffff60,0x802f4002,0x02fffffd,
    0x3ff82f40,0x07ffffc4,0x007ec000,0x3ffff600,0x3ffa002f,0x7fd46fff,
    0xfff886ff,0xfffd006f,0xffff505f,0xdffff10d,0x002fffc8,0x7fd405f3,
    0x06b81fff,0x1fffffc8,0x886f8800,0x01ffffff,0x2fffffec,0x6c007d40,
    0x002fffff,0xf90002f4,0x2009ffff,0x02fffffd,0xfd802f40,0x4002ffff,
    0x7ffe405e,0x7f4002ff,0x2000efff,0x02fffffd,0x3f202f40,0x4002ffff,
    0x40effffe,0xfe980ffb,0x3f606fff,0x4002ffff,0xfffb005e,0x5e8005ff,
    0xff887ff0,0x40000fff,0x20003ff9,0x07fffff8,0x3fff7f60,0x3ffea4ff,
    0xfffff06f,0x3ffffa00,0x6ffffa82,0xe8fffff0,0xd000efff,0xffffe805,
    0x7d403e84,0x0004ffff,0x7ffec1b2,0x7fd404ff,0x6c00ffff,0xffffb005,
    0x05e8005f,0x3ffff200,0xfffb004f,0x5e8005ff,0xfffffb00,0x205e8005,
    0x07fffff9,0xfffffc80,0x3fff6004,0x2f4002ff,0xffffff30,0xffff9000,
    0x01ffd89f,0x03ffffd1,0x0bfffff6,0x3600bd00,0x002fffff,0x43ff82f4,
    0x00fffff8,0x03ffec00,0xfffff900,0x2ebf200d,0x227fffff,0xf886ffff,
    0xfd005fff,0xff105fff,0xfff10dff,0xffffe89f,0x402c800e,0x20fffffb,
    0x7ff400f9,0x20002fff,0xffff5069,0xffff00ff,0x17c407ff,0xfffffd80,
    0x002f4002,0x9fffff90,0x3ffff600,0x02f4002f,0x2fffffd8,0xf902f400,
    0x000bffff,0x0ffffff5,0x7ffffec0,0x902f4002,0x00bfffff,0xffffff50,
    0x2203fff8,0xfb03fffe,0x8005ffff,0xfffb005e,0x5e8005ff,0xff887ff0,
    0x20000fff,0x002ffff8,0xbffffff0,0x3e67f500,0x360fffff,0x7c40ffff,
    0xfd003fff,0x3f605fff,0xfff887ff,0x7fffe42f,0x004403ff,0x91fffffc,
    0xffffa809,0x1c0000ff,0x7ffffff0,0xfffffe80,0xd801ee06,0x002fffff,
    0xf90002f4,0x2009ffff,0x02fffffd,0xfd802f40,0x4002ffff,0x3fffa05e,
    0xf98004ff,0x000fffff,0x05fffffb,0x3fa05e80,0x8004ffff,0x0ffffff9,
    0x405ffff1,0xfb04fff8,0x8005ffff,0xfffb005e,0x5e8005ff,0xff887ff0,
    0x20000fff,0x006ffffc,0xffffff88,0xf127cc04,0x543fffff,0x7d41ffff,
    0xfd000eff,0x3ea05fff,0x7fd40fff,0xffffa87f,0x0002efff,0xf3ffffe4,
    0xffffd803,0x4000007f,0x06fffffc,0x3fffffe6,0x4009d01f,0x02fffffd,
    0x90002f40,0x009fffff,0x0bfffff6,0x3600bd00,0x002fffff,0xffff02f4,
    0xf10009ff,0x005fffff,0x0bfffff6,0x7fc0bd00,0x8004ffff,0x2ffffff8,
    0x807ffffe,0xffb02ffd,0xe8005fff,0xffffb005,0x05e8005f,0xfff887ff,
    0xf10000ff,0x003fffff,0xffffff98,0xf117e604,0xa87fffff,0x3fa25ffe,
    0x3fa000ff,0x3ee02fff,0x3ffa24ff,0xffff880d,0x02efffff,0xfffff100,
    0xfff00d55,0x0000bfff,0xfffff880,0xffbdb01f,0x3f309fff,0x7fffec00,
    0x02f4002f,0xfffff900,0x3fff6009,0x2f4002ff,0xfffffd80,0x882f4002,
    0x03ffffff,0xfffff880,0xfffb003f,0x5e8005ff,0xffffff10,0xfff10007,
    0x7fe47fff,0xff903fff,0x7ffffec0,0x802f4002,0x02fffffd,0x3ff82f40,
    0x07ffffc4,0xffffb800,0x7d4005ff,0x103fffff,0xffff10dd,0x3ff209ff,
    0x00cfffce,0x17ffff40,0x33bff660,0x7cc03fff,0xffffffff,0xfd8001df,
    0x403eefff,0x4ffffff8,0xfd800000,0xf884ffff,0x7fffffaa,0x7ec006c8,
    0x4002ffff,0x3f20005e,0xb004ffff,0x005fffff,0xffb005e8,0xe8005fff,
    0xfffff505,0xff10005f,0x2aabffff,0xfffffb01,0x505e8005,0x05ffffff,
    0xfffff100,0xffffe8bf,0x027f40df,0x05fffffb,0xfb005e80,0x8005ffff,
    0x887ff05e,0x000fffff,0xfffffdd0,0x7fd4001f,0xdd02ffff,0xfffff101,
    0x333aa0bf,0xd0000acc,0x5005ffff,0x0037999d,0x7fffffd4,0x003fffff,
    0x7fffffcc,0x7fffcc00,0x000002ff,0x7fffffa8,0x3fffe7b8,0x001fc2ff,
    0x0bfffff6,0x4000bd00,0x04fffffc,0x5fffffb0,0xb005e800,0x005fffff,
    0xfff505e8,0x20005fff,0xf5ffffff,0x3fff607f,0x2f4002ff,0xffffffa8,
    0xffff0002,0xffe88bff,0x9f71efff,0xfffffd80,0x802f4002,0x02fffffd,
    0x3ff82f40,0x07ffffc4,0x7f4fd400,0x2004ffff,0x3ffffff8,0xff101fd8,
    0xd889ffff,0x7400000f,0x2202ffff,0xd300007d,0xffffffff,0xfe8009ff,
    0xfa805fff,0x003fffff,0xffff0000,0x324f87ff,0x2a5fffff,0x7fec000f,
    0x74002fff,0x3ff20005,0xfb004fff,0x8005ffff,0xfffb005e,0x5e8005ff,
    0xffffff30,0xfff10007,0x0ffe9fff,0x17ffffec,0x7cc17a00,0x003fffff,
    0xffffff88,0xffffe884,0xd803fcff,0x002fffff,0xffd802f4,0x74002fff,
    0xf887ff05,0x8001ffff,0xfffff55d,0x7ffc001f,0x17e44fff,0xffffff10,
    0x0005ff87,0x2ffffe80,0x00017fe0,0xffffff90,0x4009ffff,0x802ffffa,
    0x4ffffffa,0xf9000000,0x7d4dffff,0x3ffffe60,0xb000bb0f,0x005fffff,
    0x320005e8,0x004fffff,0x05fffffb,0xfb005e80,0x8005ffff,0xffff105e,
    0xf10009ff,0x3e7fffff,0xffffb03f,0x05e8005f,0x9ffffff1,0xffff1000,
    0x3f6207ff,0x006fffff,0x05fffffb,0xfb005e80,0x8005ffff,0xa87ff05e,
    0x002fffff,0xffff0fcc,0x7f4007ff,0x3ee5ffff,0x7fffcc03,0x3ffea2ff,
    0x3a00000a,0xf502ffff,0x000015ff,0x7ffffe44,0x2000ffff,0xf3007fff,
    0x00bfffff,0x3fe20000,0x0bb1ffff,0x17fffffd,0xffb0005f,0xe8005fff,
    0x3ff20005,0xfb004fff,0x8005ffff,0xfffb005e,0x5e8005ff,0x3fffffe0,
    0xfff98004,0x07ff1fff,0x0bfffff6,0x7fc0bd00,0x8004ffff,0x1ffffff9,
    0x7ffffdc0,0xfffd803f,0x2f4002ff,0xfffffd80,0xf82f4002,0x7fffe43f,
    0x236c004f,0x06fffffc,0x3fffff20,0xf5009f56,0x6c1fffff,0xffffffff,
    0x2003eeff,0xb02ffffe,0xffffffff,0x0817bdff,0x7fffec40,0x2e004fff,
    0xff1004ff,0x000dffff,0x7ffec000,0xb82f8cff,0x7befffff,0xffffb000,
    0x05e8005f,0x3ffff200,0xfffb004f,0x4f8005ff,0xfffffb00,0x204f8005,
    0x05fffffd,0xfffffa80,0x3607ff0f,0x002fffff,0xfffb027c,0xf5000bff,
    0x001fffff,0x5fffffd3,0xfffffd80,0x8027c002,0x02fffffd,0x3ff827c0,
    0xfffffff3,0x5f1003ff,0xffffff88,0xffff5002,0x200bf3df,0x44fffffc,
    0xfffffffd,0x1effffff,0x2ffffe80,0xffffffb0,0xffffffff,0xfe980343,
    0x2006ffff,0x3a001ff8,0x007fffff,0x3fea0000,0x106cffff,0x9fffffff,
    0x3fff6000,0x27c002ff,0xffff9000,0x3ff2007f,0x7c003fff,0xffff9004,
    0x04f8007f,0x1bffffea,0x3fffee00,0x640ffe4f,0x003fffff,0xfff5027c,
    0xf7000dff,0x8009ffff,0x406ffffc,0x03fffffc,0xfc8027c0,0x4003ffff,
    0x507ff04f,0x1f2000bf,0x37ffffec,0xfffffb00,0x7fec00df,0x7fd41fff,
    0xffffffff,0xe807ffff,0xf502ffff,0xffffffff,0x21ffffff,0x3ffa001f,
    0x36c007ff,0x3fffea00,0x000000ff,0x3fffffe0,0x3fff603f,0x90001fff,
    0x007fffff,0x372204f8,0xfffffc82,0xffff9003,0x1fc4007f,0xfffffc80,
    0x00fe2003,0x01fffffd,0xfffffd80,0x7e40ffe0,0x2003ffff,0x7ff403f8,
    0x6c000fff,0x100fffff,0xffff5015,0x7fffe401,0x0fe2003f,0x7ffffe40,
    0x40fe2003,0x07fdc3ff,0x981fc400,0x01ffffff,0xdfffff10,0x3ffe2001,
    0xfff505ff,0xffffffff,0xfd805fff,0x3ea02fff,0xffffffff,0x9f3fffff,
    0x7fff4400,0x00174006,0x17fffffc,0xf9000000,0x401fffff,0x06fffffa,
    0x3ffff200,0x0fe2003f,0x642ffff8,0x003fffff,0x09fffff7,0xb800fd40,
    0x004fffff,0xff3007ea,0x44009fff,0x7c4fffff,0xffff703f,0x0fd4009f,
    0x3ffffe60,0x3ffe2004,0xfff304ff,0x05fff703,0x27ffffdc,0x2003f500,
    0x04fffffb,0x7fc07ea0,0x001bfe23,0xffd007dc,0x5400bfff,0x2006ffff,
    0x206ffffc,0xcccdefea,0x4ffffeec,0x0ffffec0,0x99bdfd50,0xffffdb99,
    0xf9001be9,0x260209ff,0xfff70007,0x44000dff,0x3ffe2002,0xfff804ff,
    0x2e0003ff,0x004fffff,0x7fd407ea,0x7ffe46ff,0xff1002ff,0x7400dfff,
    0x3ffe2007,0x1fa006ff,0x7ffffec0,0xffff7000,0x103ff81f,0x00dfffff,
    0xffd803f4,0xf7000fff,0x3201ffff,0xff984fff,0x3ffe201f,0x1fa006ff,
    0xfffff880,0xf81fa006,0x07ffea3f,0x3bbbfa00,0xffffeeee,0x36000fff,
    0x8803ffff,0xd00fffff,0xfb1003ff,0xf92ecc7f,0x3fa01fff,0xffe9802f,
    0x5400bff2,0x7f4c3fff,0xb0002645,0x005fffff,0xd8007d10,0xc801ffff,
    0x0000ffff,0x1bffffe2,0x3ee07e80,0x7fe46fff,0x36000fff,0x802fffff,
    0x7ec003fd,0xd802ffff,0xffd1003f,0xff1007ff,0x7ff03fff,0x7ffffec0,
    0x003fd802,0x07ffffd1,0x3fffff10,0x417ffe40,0xfd807ff8,0xd802ffff,
    0x7fec003f,0xfd802fff,0xfb8ffe03,0x7d4005ff,0xcccccccc,0x4ffffffc,
    0x3ffff200,0x7fff401f,0x0bff500e,0xfd0ffdc0,0x1ffff25f,0x70037fd4,
    0x0bffe1ff,0x6437ff40,0x01f11fff,0x7fff4400,0x3a2001ff,0x7fd4001f,
    0xfff3005f,0xffb0000b,0xfb005fff,0x7fffcc07,0x37fffec1,0x3fffa200,
    0xbf9101ff,0xfffd1000,0x3f2203ff,0xfffd8005,0x7fff402f,0x407ff01f,
    0x1fffffe8,0x000bf910,0x805ffffb,0x401ffffe,0xfb81fff9,0xffe8804f,
    0xf9101fff,0xffd1000b,0x32203fff,0x31ffc05f,0x4005ffff,0xfff7005d,
    0x3ee00fff,0x2cfffeab,0x0fffff26,0x003fff50,0x5ffd13fa,0x4c0fffee,
    0xfd001fff,0x01ffffc9,0x3603ffe6,0x009b4fff,0xffffb100,0xdfb8805f,
    0x5fff0000,0x017ff400,0x7fff4400,0xbf9101ff,0xd0dffb00,0x0001dfff,
    0xdfffffd3,0x09ffd759,0x7fff4c00,0xfebaceff,0x3ee0004f,0x2e61bfff,
    0x200cfffe,0x7f4c03ff,0xbaceffff,0x20004ffe,0x21bffffb,0x0cfffeb9,
    0x23bff700,0x2003ffc9,0xefffffe9,0x04ffebac,0x3fffa600,0xfebaceff,
    0x43ff804f,0x1bdffffc,0x44007ea0,0x03ffffff,0x3f6627d4,0xefffefff,
    0xdffb000b,0xfeba9817,0xfb3ffa84,0xeffc80bf,0x7f5d4c0b,0x77ffffc3,
    0x01efea81,0x1fdffff5,0x7fdc0000,0xa9abefff,0x0003ffec,0x2e003fe4,
    0x2600007f,0xcefffffe,0x004ffeba,0x3222bffa,0x0000ffff,0x7fffffdc,
    0x0001dfff,0xffffff70,0x0003bfff,0xffffd710,0x039fffff,0x2e007ff0,
    0xffffffff,0x880001df,0xffffffeb,0x8001cfff,0xdfffffea,0xfff70002,
    0x3bffffff,0x3fee0000,0xdfffffff,0x907ff001,0x03ffffff,0xff9001ba,
    0x4f80dfff,0x5565d4c0,0xffb50000,0x9fffffff,0x7fffe401,0xfc8800be,
    0xdeffffff,0xb98cf80c,0xfffeeffe,0xefffc803,0xa8800000,0xfffffffd,
    0x80001cef,0x7c4003f8,0xfb800004,0xffffffff,0xffb8001d,0x01ceffff,
    0x32ea6000,0x00000aac,0x55997530,0x22000001,0x01abcbaa,0x2000d540,
    0x0aaccba9,0x55100000,0x00035797,0x0002a620,0xaccba980,0x3000000a,
    0x01559975,0x9301aa80,0x3ea0179b,0x7ffcc004,0x00202fff,0x33000000,
    0x88003355,0x4c0000a9,0x207001a9,0x001acca9,0x000000a8,0x35975310,
    0x02e00000,0x00006e00,0xaccba980,0x4c40000a,0x00000aca,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13fa2000,0x3ffffa00,0x000000ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffd30000,
    0x7fc4001f,0x00dfffff,0xaaaaa800,0x53000001,0x00000555,0x0e666644,
    0x19999998,0x04000000,0x20000000,0x2a600001,0x00002aaa,0x000ccc40,
    0x00326000,0x2e000351,0x0004eeee,0x006aaaaa,0x805c8000,0x0088004b,
    0xa8000088,0x0002ffff,0x15555000,0x06600000,0x00000660,0x0015554c,
    0x0aaaa200,0xffff9000,0x7640bdff,0xffffffff,0x220003ff,0x000effff,
    0xffff8800,0x7000001f,0x2209ffff,0x0ffffffd,0x95000000,0x50000000,
    0x0007fdbb,0x01fffff0,0x76dc4000,0xdfffffff,0xfe800002,0x001fd301,
    0x03bfffa0,0xffffa800,0x26000005,0x3fd880ef,0x201fb800,0xe80004f8,
    0x0006ffff,0xffffb800,0xf7000006,0x0027cc03,0xffffe800,0x3f600002,
    0x00003fff,0x00000000,0x0efffb80,0xff900000,0x0000dfff,0x013fffa0,
    0x03ffffea,0x7ec00000,0x20000000,0x01ffd3fc,0x7fffcc00,0xfb500001,
    0x4c41359f,0x0003feca,0xf50bfea0,0x3e60007f,0x80000eff,0x000ffffa,
    0x87bf6000,0x30006fe8,0x754c35ff,0x7dc0002f,0x003fffff,0x3ffe2000,
    0x00002fff,0x261aef98,0x00002fea,0x6fffffb8,0xfff50000,0x00001fff,
    0x55554c00,0x74000002,0x00000eff,0xffffff30,0x8800005f,0xf3004fff,
    0x0001ffff,0x07ff3000,0x3ea00000,0x01fff89f,0x07fff200,0x3bfa2000,
    0x6fdc000b,0xffd00000,0x001bfee7,0x000effc8,0x0bffee00,0xff980000,
    0x02fff99f,0x3ffffa00,0x000fffff,0x377ffe20,0x000007ff,0x3ffffff2,
    0xfd000006,0xdfffffff,0xf8800001,0x02ffffff,0xffffe800,0x000004ff,
    0x0bffff60,0xff880000,0x2000000f,0xffc8dffd,0x7dc00006,0x3fe2005f,
    0x00000fff,0x007ffd80,0x4ffd0000,0x7c0005fe,0xa80001ff,0x440003ff,
    0xa80001fd,0x2fffefff,0x03ffa000,0x3fee0000,0x6c000005,0x06ffffff,
    0x7fffcc00,0x0002ffff,0xff927fe4,0xf1000007,0x5ffd37ff,0xff300000,
    0x03ffffff,0xdff90000,0x000dff93,0xfb9fffb8,0x000000ff,0x02ffff88,
    0x7fdc0000,0x2a000001,0x17fdc4ff,0x0bfd0000,0xfffff880,0x44000000,
    0x0002ffff,0x23ffcc00,0x7fcc0000,0xffc80002,0x3b200001,0xffe80000,
    0x20006fff,0x00001ff9,0x0003fee0,0xffff9800,0x980001ff,0x02fffffe,
    0x41ffcc00,0x00000ffb,0xfd117fec,0x2600000d,0x02fffffe,0xdff88000,
    0x000ffee0,0xf5077fc4,0x0000009f,0x0005fff7,0x003fd000,0x02fe8000,
    0x20000df5,0xf88005f8,0x0000ffff,0x7fffe400,0x6c000006,0x00000fff,
    0x20000bf2,0x00000efc,0x980005e8,0x001fffff,0x00007ae0,0x000bf200,
    0xffff9000,0x5c40000b,0x80000bdc,0x0fea01fd,0x1ef98000,0x0003fd88,
    0x17997100,0x3f600000,0x000ff504,0x7f4c17f2,0x6c000000,0x000003ff,
    0x20000000,0x16cc01c9,0x20000000,0x00fffff8,0x3fe20000,0x0001ffff,
    0x1ffff300,0x00000000,0x0001ff50,0x0007e600,0x00f332e0,0x00000400,
    0x00000000,0x00155551,0x00000000,0x00110013,0x2006e400,0x0000005c,
    0x74c00000,0x0016cc03,0x7b100f62,0x7c400000,0x0000003f,0x00000000,
    0x00000000,0x7ffffc40,0x80000440,0x5ffffffb,0xffd00000,0x300000ff,
    0xf1010013,0x0044005f,0x40001320,0x40080099,0x000befda,0x00000000,
    0x80000000,0x80000009,0x00400999,0x00000000,0x00000000,0x00000000,
    0x20000000,0x000004fa,0x7ff6e544,0x1001acde,0xdddddddd,0xa81ddddd,
    0xeeeeeeee,0xdddddd71,0xeeed89dd,0xffff886e,0x5bffb70f,0x7f740001,
    0x000fffff,0xfffd9500,0x000133ff,0x3ffffb26,0x1a209bde,0x754013fa,
    0x999954ff,0x30001f10,0xbdffffd9,0x50344137,0x80bf95bf,0xeeeeeee8,
    0x40eeeeee,0xeeeeeeea,0xb951001e,0x359bdffd,0x3ffae000,0xcccccdff,
    0x36ea002c,0xcffffffe,0x00002d42,0x3ba20000,0xeeeeeeee,0x77540eee,
    0x01eeeeee,0x00000000,0x00000000,0xf7000000,0xd7359fff,0x2001bfff,
    0xffffffc9,0x3aa600af,0x3620aeff,0x83ffffff,0x881effa8,0xfd9fffff,
    0x00efffff,0xffe9fa80,0x80004fff,0xfffffff9,0x54005fff,0xbceffffe,
    0xebdffedb,0xc803fcc6,0xff9e9cff,0x005f04ff,0x77ffff54,0xdffedbbc,
    0x317606eb,0xff93001f,0x015fffff,0x577ff54c,0xffff7000,0xfffd7359,
    0x3fa6001b,0xfffb8bff,0x8804ffff,0x9abefffe,0xbcfffcba,0xeeee885f,
    0xeeeeeeee,0xdddddb1e,0x5ddddddd,0xfffffc98,0x2a600aff,0x2e0aeffe,
    0xeeeeeeee,0x3a603eee,0x73eeeeee,0x07dddddd,0x00000000,0x3fa20000,
    0x3fe605ff,0x3fe002ff,0x2004ffff,0x3fa01ff9,0x3a00ffff,0xffff100f,
    0xffb35ddf,0xbb000bff,0x3fffffea,0x7fdc0000,0xffffffff,0x3fff2003,
    0x3faa01ef,0x027e46ff,0xeb93ffa2,0x7b02ffff,0x3ffff200,0x3ffaa01e,
    0xd03f106f,0x7fffc007,0x3e6004ff,0xffd1001f,0x7ffcc0bf,0x7ffc402f,
    0x6fffe42f,0x7fdc02cc,0x7ec403ff,0x32205fff,0xcfffffff,0xffffa880,
    0x7c01dfff,0x004fffff,0x75407fe6,0xbfffffff,0xffea8800,0xfff710ae,
    0x800009ff,0xeeeeeee8,0x40eeeeee,0xeeeeeeea,0xffff701e,0xffff300d,
    0x3fffa00b,0x37c003ff,0x3ffffe60,0xf8813e02,0x640fffff,0x2002ffff,
    0x3fffe1f9,0x440003ff,0xbfffff99,0xfe880099,0xb000efff,0x07fc4dff,
    0x983fff60,0x3207ffff,0x7fff4404,0xffb000ef,0x3e21fc0d,0x3fffa002,
    0x37c003ff,0x6ffffb80,0x5ffff980,0x03ffffa0,0x801dfff3,0x02ffffe8,
    0x017ffea0,0x1bfffff6,0x3ffffee0,0xfffe800f,0x37c003ff,0x3ffffa20,
    0x7dc001ff,0xffffd00e,0x26000009,0xfffffffc,0x3faa600a,0xff300aef,
    0x32001fff,0xd804ffff,0x003fffff,0x7fec0374,0x03f106ff,0x17ffffc4,
    0x07ffffcc,0x7fe46d80,0x00006fff,0x03fffff1,0xfffffe80,0x737f4000,
    0xfffb80bf,0x2ffffd43,0xffe80970,0x74000fff,0x447ae06f,0x7fec006c,
    0x74003fff,0xffff9806,0xfff9000f,0xffff109f,0x9ffff10f,0x3ffffe80,
    0x05ffa800,0x4fffffc8,0xfffffa80,0xffffb006,0x06e8007f,0xffffff98,
    0x00fec004,0x009ffffb,0xffff8000,0x3e6004ff,0x7fff401f,0x3fe2004f,
    0x7ec01fff,0x4002ffff,0xfffa805e,0x406b81ff,0x00fffff8,0x003fffff,
    0xfff885f1,0x80002fff,0x007ffffa,0x0fffffe4,0xfb37c400,0x7fffcc05,
    0x1ffffdc0,0x7fe40970,0x88001fff,0x3bfa206f,0x7ec002ff,0x4002ffff,
    0xfffe805e,0x3fe2004f,0x7fd41fff,0xfff886ff,0x3fff206f,0x3ee0007f,
    0xffffc805,0xfff9804f,0xffb006ff,0xe8005fff,0xffffb005,0x3e2001ff,
    0x7fffec04,0x74000004,0x003fffff,0x3ff2037c,0x74002fff,0x200effff,
    0x02fffffd,0xfe802f40,0x03e84fff,0x07ffffc4,0x03ffffe8,0xfffb07c8,
    0x90000dff,0x400dffff,0x04fffffa,0x1fe9b200,0x217fff60,0x200ffffc,
    0xffff503b,0x3640009f,0x800164c0,0x02fffffd,0x3f202f40,0x4002ffff,
    0x20effffe,0xf06ffffa,0x3e60ffff,0x0004ffff,0x7fe402fc,0xf9804fff,
    0xb006ffff,0x005fffff,0xff1005e8,0x2009ffff,0x7fec00fd,0x000004ff,
    0x1fffffec,0xf981ba00,0x8007ffff,0x04fffffc,0x0bfffff6,0x2e00bd00,
    0x260fffff,0x7ffc400f,0xfffd00ff,0x03f8809f,0x3ffffff3,0xfffd8000,
    0x3ffa004f,0x20002fff,0x4c03fe69,0xfe82ffff,0x816406ff,0x02fffffe,
    0x4401a600,0xffd80009,0x74002fff,0x3fffe605,0xffc8007f,0x3fe24fff,
    0xfff886ff,0xffffd04f,0x5b80003f,0xfffffc80,0xffff9804,0xfffb006f,
    0x5e8005ff,0x3ffff200,0x17cc01ff,0x27fffec0,0x3f600000,0x4002ffff,
    0x3fff205e,0xfa8005ff,0x3607ffff,0x002fffff,0xfff002f4,0x402647ff,
    0x00fffff8,0x80bffffb,0x3ffa00fb,0x40005fff,0x002fffff,0x1ffffff5,
    0xff138000,0x43fffe40,0x404ffff9,0xffffa80e,0x1c0000ff,0xffffec88,
    0x3ff6003f,0x74002fff,0x3ffff205,0xffa8005f,0x7fec7fff,0xffff887f,
    0xfffffb82,0x04880007,0x4fffffc8,0xfffff980,0xffffb006,0x05e8005f,
    0x3ffffe20,0x8037405f,0x084ffffd,0x3ff60000,0x74002fff,0x3ffffa05,
    0xff98004f,0xfb00ffff,0x8005ffff,0x3ff2005e,0x2007e7ff,0x00fffff8,
    0x80dffffb,0xeeeeeefe,0xfffffffe,0xfff10000,0x3f6003ff,0x0007ffff,
    0x7c41be60,0xffd84fff,0x41a602ff,0x07fffffd,0x7df70000,0x0bfffd53,
    0x3fffff60,0xd02f4002,0x009fffff,0xffffff30,0x07fffd41,0x641fffea,
    0x007fffff,0x3ff20000,0xf9804fff,0xb006ffff,0x005fffff,0x7dc005e8,
    0x701fffff,0x3ff6003f,0xfff914ff,0xfd80003b,0x4002ffff,0x3fffe05e,
    0xf88004ff,0xb02fffff,0x005fffff,0x3e2005e8,0x06aaffff,0x1fffff10,
    0x13ffff60,0xcccccfa8,0xffffcccc,0xf50004ff,0x7c00ffff,0x005fffff,
    0x4c17e200,0x7cc3ffff,0x1e407fff,0x5ffffff8,0xffe80000,0x27fffcc1,
    0x7ffffec0,0xf02f4002,0x009fffff,0xffffff10,0x24fffb85,0xd00dffe8,
    0x00bfffff,0x7fe40000,0xf9804fff,0xb006ffff,0x005fffff,0xfe8005e8,
    0xf886ffff,0x3fff6004,0xffffe9cf,0x360000ff,0x002fffff,0xfff882f4,
    0x88003fff,0x03ffffff,0x05fffffb,0x6c005e80,0x03eeffff,0x1fffff10,
    0x0fffff60,0xff7005d8,0x2000ffff,0x006ffffc,0x9ffffff1,0x07f80000,
    0xd83ffff7,0x2205ffff,0xffff880f,0x400004ff,0xff84fff9,0x7ec00fff,
    0x4002ffff,0xffff105e,0xf10007ff,0x307fffff,0xfff9dffb,0xfffff807,
    0x0000004f,0x13fffff2,0x3ffffe60,0xffffb006,0x05e8005f,0xfffffa80,
    0x0007e42f,0xbfdffffb,0x0dffffb5,0x7fffec00,0x82f4002f,0x2ffffffa,
    0xffff8800,0xfffb05ff,0x5e8005ff,0x7fffcc00,0xff1000ff,0x3fa01fff,
    0x3f501fff,0x3fffe200,0xfd8003ff,0xf3004fff,0x005fffff,0xc80fd800,
    0x36e0ffff,0x3603ffff,0xfffff303,0xd800005f,0x7fc0ffff,0x7ec01fff,
    0x4002ffff,0xffff505e,0xf10005ff,0x20bfffff,0x01bcccea,0xffffff98,
    0x20000003,0x04fffffc,0x6fffff98,0xfffffb00,0x005e8005,0xdfffffd0,
    0x360017cc,0x7c3fffff,0x0001ffff,0x05fffffb,0xff505e80,0x0005ffff,
    0x17fffffe,0x17ffffec,0x20017a00,0x005ffffe,0x03ffffe2,0x807ffffc,
    0x7fe4006e,0xf8006fff,0x5002ffff,0x07ffffff,0x81fc8000,0xf51ffffd,
    0x203ffff5,0x3ffea05b,0x00003fff,0x20ffffe4,0x402ffffe,0x02fffffd,
    0xffa82f40,0x0002ffff,0x8bffffff,0x2a0007d8,0x03ffffff,0x3f200000,
    0xffffffff,0xffffffff,0xfb006fff,0x8005ffff,0xff30005e,0x1ba7ffff,
    0x3ffff600,0x2ffffe85,0xffffb000,0x05e8005f,0x7ffffff3,0xffff1000,
    0x3ff609ff,0x74002fff,0xfffa8005,0x3fe2002f,0xffa82fff,0x09f504ff,
    0xfffff980,0x3fe2002f,0xf5000fff,0x009fffff,0xc83fa800,0xafceffff,
    0xd707fffb,0x3ffea081,0x00004fff,0x7c2fff44,0x6c02ffff,0x002fffff,
    0xfff982f4,0x88003fff,0x44ffffff,0x2a0005ff,0x04ffffff,0x3f200000,
    0xccceffff,0xffdccccc,0xfb006fff,0x8005ffff,0x3f60005e,0x1fbfffff,
    0xffffd800,0x3ffffd84,0xffffb000,0x05e8005f,0x9ffffff1,0xffff1000,
    0x3ff607ff,0x74002fff,0xffff0005,0xffff8800,0x7ffec2ff,0x009fd106,
    0xdfffffd0,0x3ffea001,0x3fe6006f,0x0005ffff,0x7cc27cc0,0xf14fffff,
    0x76441fff,0xfff334c0,0x0000bfff,0xffd50220,0xfd805fff,0x4002ffff,
    0xffff105e,0xf10009ff,0x547fffff,0x8000afff,0x5ffffff9,0xeeeeec80,
    0x04eeeeee,0x09fffff9,0xdfffff30,0x3ffff600,0x02f4002f,0xfffff300,
    0x360009ff,0xfd84ffff,0xb0003fff,0x005fffff,0x3ffe05e8,0x98004fff,
    0x01ffffff,0x05fffffb,0x70005e80,0xf88009ff,0xbdfcffff,0x981ffffe,
    0x2000fffe,0xfffffff8,0xfffb800d,0x3fe2005f,0x0006ffff,0xfff06e80,
    0xfffd87ff,0x5b04ecad,0x7fffffc4,0xa8000006,0xffffecfe,0x7fffec02,
    0x02f4002f,0x09ffffff,0xfffff300,0x7fffec3f,0xdeffffff,0x7fffc40b,
    0x3ea006ff,0x0cffffff,0x3fffff20,0xffff9804,0xfffb006f,0x5e8005ff,
    0x7ffe4000,0xb0000fff,0xfb09ffff,0x20007fff,0x02fffffd,0xffb02f40,
    0x5000bfff,0x01ffffff,0x0bfffff6,0x20009f00,0x44001ff8,0xfa8fffff,
    0xc81dffff,0x5effffff,0x3ffffb20,0x03ffffff,0x01ffffe4,0x3fffffa0,
    0xf9800007,0x81dfc883,0x0bdefda8,0xfffd0b50,0x00000fff,0xfe97ff4c,
    0x7ec02fff,0x4002ffff,0x3fff604f,0xfa8005ff,0x360fffff,0xffffffff,
    0x41ffffff,0x07fffffd,0x7ffffdc0,0xffffc807,0xfff9804f,0xffb006ff,
    0xf8005fff,0x7fc40004,0x0000ffff,0xb09ffffb,0x0009ffff,0x0bfffff6,
    0x7d40bd00,0x8006ffff,0x04fffffb,0x0ffffff2,0x40009f00,0xff88006d,
    0x0ae60fff,0xf7000000,0xfff90007,0xffa8001f,0x0000ffff,0x0000fc80,
    0xf503d000,0x001fffff,0x3fff9000,0x017ffff4,0x0ffffff2,0x7d409f00,
    0x8006ffff,0x44fffffb,0xfffffffa,0xffffffff,0x3ffffea0,0x3fee000f,
    0xfc806fff,0x9804ffff,0x006fffff,0x07fffff9,0x40004f80,0x0ffffff8,
    0xffffb000,0x9ffffb09,0x3fff6000,0x2f4002ff,0x3fffffa0,0x7ffec000,
    0x3ff200ff,0x22003fff,0x0ba0003f,0x3fffe200,0x0000000f,0x8002fec0,
    0x0006fffd,0x05ffffff,0x0dd10000,0x09900000,0x17fffffc,0x3ff60000,
    0x7ffff43f,0x7fffe402,0x0fe2003f,0x1fffffd0,0xffffd800,0xffffa80f,
    0xffffffff,0x7fff43ff,0x3ea001ff,0xc805ffff,0x804fffff,0x06fffff9,
    0x7fffff90,0x001fc400,0x3ffffe20,0xffb0000f,0xfffb09ff,0x3f60009f,
    0x4002ffff,0x7ffcc04f,0x3e2004ff,0x5c04ffff,0x004fffff,0x202007ea,
    0xff100079,0x00001fff,0x1ffd4000,0x3fffc800,0xffff7000,0x144000df,
    0x00003f98,0xff701760,0x4000dfff,0x3ffff228,0x17ffff40,0x3ffffee0,
    0x007ea004,0x09fffff3,0x7ffffc40,0x9bdfd504,0xfffdb999,0xffff989f,
    0x3fea004f,0xfc805fff,0x9804ffff,0x006fffff,0x09fffff7,0x0000fd40,
    0x3fffffe2,0xfffb0000,0xffffb09f,0x3ff20009,0x7c003fff,0xffffd804,
    0xfff7000f,0xff8801ff,0x3a006fff,0x22ff4c07,0xff10004c,0x00001fff,
    0x2ffe4000,0x0fffc800,0x3fff6000,0xe88002ff,0x000ff203,0x2009b100,
    0x02fffffd,0x3fe3e880,0x7ff40fff,0x7fc402ff,0x3a006fff,0xffffb007,
    0x3fee001f,0xffe80fff,0x2ffe9802,0x0fffffa8,0xfffff500,0xffff900b,
    0xfff3009f,0x3e200dff,0x2006ffff,0xf880007e,0x000fffff,0x09ffffb0,
    0x009ffffb,0x3fffff20,0x00fe2003,0x0fffffa2,0x3ffffe20,0xffffb001,
    0x07fb005f,0xf11fffc8,0x3fe20001,0x00000fff,0x3fffa000,0xc85dc400,
    0x440002ff,0x01fffffe,0x5007fa20,0x300001bf,0x7f44009d,0x2001ffff,
    0xfff11fe8,0xffb319ff,0xfb005fff,0xb005ffff,0x3fa2007f,0xf8803fff,
    0xfa81ffff,0x3fee006f,0xbffff900,0x3fffea00,0xfffc805f,0xff9804ff,
    0x36006fff,0x802fffff,0x880003fd,0x00ffffff,0x9ffffb00,0x09ffffb0,
    0x3fffee00,0x07ea004f,0x2ffffd80,0x0fffff40,0xffffd100,0x17f2203f,
    0x6d3fff60,0x3fe20004,0x00001fff,0x3fff2000,0x53ff601f,0x100004fd,
    0x05fffffb,0x000dfb88,0x20007f91,0x88003fd9,0x02fffffd,0x3e06fdc4,
    0xdfffffff,0x3adffffe,0x3ffffa20,0x0bf9101f,0x5ffffb00,0x1ffffe80,
    0x003fff30,0xff7013fa,0xff500bff,0xf900bfff,0x5009ffff,0x00dfffff,
    0x7fffff44,0x00bf9101,0x3fffe200,0xfb0000ff,0xffb09fff,0x220009ff,
    0x006fffff,0x3ee001fa,0x2e61bfff,0x000cfffe,0xfffffe98,0x4ffebace,
    0xdffff500,0x7d40001f,0x0002ffff,0x3fa20000,0x741bcfff,0x006f8bff,
    0xffffb800,0xeca9abef,0xd50003ff,0x2620359d,0x80002eeb,0xbefffffb,
    0x3ffeca9a,0xffffff90,0x3ffffea7,0x7ff4c00e,0xebacefff,0x2e0004ff,
    0x261bffff,0x00cfffeb,0x205f7fe4,0x003feba9,0x17ffffb1,0xdffffb30,
    0xffffb005,0xfff500bf,0xe9800fff,0xacefffff,0x0004ffeb,0x3ffffe60,
    0xffd0000f,0xfffd09ff,0x7ec0009f,0xd802ffff,0xd710003f,0xffffffff,
    0x7000039f,0xffffffff,0xfc8003bf,0x10000eff,0xfffffff9,0x00000057,
    0x3ffffa60,0x6fffd45f,0x22000002,0xffffffda,0x0001ceff,0xdefecba8,
    0x002deffe,0x7fed4400,0xceffffff,0x3fff2201,0x6fffe41d,0x3ffee000,
    0x1dffffff,0xfeb88000,0xffffffff,0x3f22001c,0xdeffffff,0xfd98000c,
    0xfffeffff,0x3000bdff,0x3fffffff,0x7ffff440,0xfb8003ff,0xffffffff,
    0x6c00001d,0x04ffffff,0xfffff980,0x3fffe60e,0xd10000ef,0x203fffff,
    0x00005fc8,0x35797551,0x2a600000,0x000aaccb,0x20000540,0xaaaaaaa8,
    0x000002aa,0x166e5400,0x00000130,0xacba9880,0x30000001,0x00000135,
    0x565d4c40,0x30010001,0xcba98000,0x00000aac,0x57975510,0x26600003,
    0x9800001a,0x19abccba,0x3ffba200,0xefffffff,0xffffdb1e,0x5dffffff,
    0xccba9800,0x100000aa,0xffffffdd,0x01ddffff,0xffffffc8,0xffffa9ff,
    0x0002ffff,0xdfffffd3,0x09ffd759,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffee000,0x1dffffff,0x04006000,0x2aaa6000,0x00155510,0x06a00722,
    0xaaa88000,0x300000aa,0x00055555,0x014c00cc,0xeeb80800,0xeeeeeeee,
    0xeeeeeeee,0x0002eeee,0x55545555,0x80000002,0x00deeee9,0x00000000,
    0x02a802c8,0x55530000,0x16400055,0x10001540,0x20174c01,0x777741c9,
    0xeeeeeeee,0x7777541e,0x7002eeee,0x00ca801b,0x0aea2000,0x776400d4,
    0x8005eeee,0x0aaccba9,0x3bfaa000,0x07ffb302,0xd9bff600,0x7f4006ff,
    0x003fd102,0x7fffdc00,0x3f600004,0x20002fff,0x13e201fb,0x7ffb3000,
    0x77ffffe4,0xffffffee,0xfffffeee,0xfff98003,0x005fff31,0xff900000,
    0x100003ff,0x04f980bf,0x3603fc80,0xd000003f,0x0003ffff,0x7fb027e4,
    0x2016c000,0x1ff503fe,0xfffff930,0x5c4037ff,0x000beffe,0x7e407be2,
    0x3a600005,0xf10bffff,0x3faa2007,0x000006ff,0x3fffa000,0xffffd80f,
    0x7ffc4001,0x0003ffe0,0xff987ff3,0x7f400004,0x200004ff,0x002ffff8,
    0x30dffcc0,0x80007fd5,0xf91ffffd,0xfff881bf,0xffe987ff,0x4ffc8003,
    0x00013fee,0x7fffc000,0x3ee00001,0x00ffb80e,0x445ff880,0x000006fe,
    0x003ffff3,0x445ff880,0x2e0006fe,0x27fcc02f,0xfd00ffee,0x400bffff,
    0x90001ff9,0x7fec45ff,0x3fa00000,0xfeffffff,0x7fdc001f,0x012a006f,
    0xf98002a6,0xff82ffff,0x54003fff,0x0ffea2ff,0xba7fec00,0x00000fff,
    0x0017ffe2,0x07fff500,0x3fffa000,0x00ffffff,0x7ffffc00,0x3e20bf93,
    0xd107ffff,0xdff0007f,0x00006fe8,0x5fff3000,0xdff00000,0x001ffe41,
    0xf31bff70,0x000005ff,0x0007fff2,0x4c6ffdc0,0x30002fff,0xffb005ff,
    0x00dffb1b,0x09fffffb,0x20007f80,0xfe9bfff8,0x2a00004f,0xffffffff,
    0xfa8006ff,0x3e6006ff,0x00df500e,0x01fffff0,0x003ffffb,0x2fe45fd8,
    0xdfff3000,0x00007fff,0x0005ffb8,0x003ffd80,0x3fffe200,0x0002ffff,
    0x91ffffd8,0x3ffe201f,0x0fe607ff,0x4c3ff300,0x000001ff,0x005ff900,
    0x3ffee000,0x0006ffda,0xfffefff8,0x3a000005,0x400002ff,0x5fffefff,
    0x0bffa000,0x3ffffe60,0xffd802ff,0x74003fff,0x7fdc0006,0x000fffff,
    0x2e23b200,0x01effffe,0x06fffa80,0x32077ec0,0xfb8001ff,0xfff304ff,
    0x0ff8800b,0x200007fc,0x06fffffd,0x05fd8000,0x3ff88000,0xfe980000,
    0x0002ffff,0x64bfff30,0x3fffe204,0x001f407f,0x07f70ff2,0x7c000000,
    0x4000002f,0x2ffffffe,0xfffb8000,0x00001fff,0x0005ff30,0xfffff700,
    0xfb10003f,0x3f6005ff,0xb005ffff,0x007fffff,0x440006d8,0x02ffffff,
    0x4c15c000,0x2a0002db,0x44006fff,0xffd89fff,0x02e20005,0x2a0006a0,
    0x0017d41f,0x7ffffc40,0x7c400002,0xf5000006,0xa8000009,0x00000bdc,
    0x101641a8,0x80ffffff,0x42fc003b,0x0000006e,0x0000fa60,0x3fffea00,
    0x3a00005f,0x0004ffff,0x000bf200,0xffffe800,0xffe88004,0xff1002ff,
    0x36003fff,0x003fffff,0x5c00036c,0x0006ffff,0x80000000,0x8006fffa,
    0xfffefffc,0x00000000,0x00000000,0x00799970,0x00000000,0x00000000,
    0x10000000,0xfffff880,0x00000807,0x00000000,0xd0000000,0x0003ffff,
    0x066664c0,0x00000000,0x33326000,0x7fcc000c,0xeeeeffff,0x0aaaaa03,
    0xfffffd80,0x0036c003,0x00aaaa80,0x00000000,0x06fffa80,0xfffff880,
    0x0000003f,0x00000000,0x0804cc00,0x00000000,0x01009980,0x00000000,
    0x7fc40000,0x00007fff,0x00000000,0x00000000,0x00266620,0x00000000,
    0x00000000,0x3fe20000,0xffffffff,0xb000004f,0x007fffff,0x400006d8,
    0x3ba20000,0xeeeeeeee,0x77540eee,0x81eeeeee,0x0006fffa,0x01fffff9,
    0xeeeee880,0x3bbb60ee,0xddd12eee,0xdddddddd,0xeeea81dd,0x701eeeee,
    0x19fffffd,0x3bbaa0e4,0x805eeeee,0xeeeeeee9,0xfffd700e,0x00e419ff,
    0x3fb72a20,0x001acdef,0xddddddb0,0x3ffe2005,0x200007ff,0xeffedca8,
    0x00001acd,0x3bbbbba0,0xeeeeeeee,0xeeeeeeee,0x80ba801e,0xdd7001ca,
    0xdddddddd,0xdddddddd,0x7775c05d,0xeeeeeeee,0xeeeeeeee,0x777775c2,
    0xeeeeeeee,0xeeeeeeee,0x3ffe662e,0x10999bff,0xdddddddd,0x201ddddd,
    0x03fffffd,0x000036c0,0x93000095,0x5fffffff,0x7ff54c01,0xfff500ae,
    0x3322000d,0xb30002cc,0x443fffff,0x42fffffc,0xffffffc9,0x3aa600af,
    0xe980aeff,0xfca9adff,0xb881fcef,0x4fffffff,0xeffea880,0xdffe980a,
    0xceffca9a,0x3fee001f,0xfeb9acff,0x44000dff,0x02fffffc,0xffffff10,
    0x3fee0000,0xfeb9acff,0x00000dff,0xfffff510,0xddddffff,0x3ffffffd,
    0x20fffd80,0xd801fffc,0xdeefffff,0xffffdccc,0x7fec06ff,0xccdeefff,
    0xffffffdc,0xfffffc86,0xfffffeee,0xffffeeef,0xfffff83f,0x7ffe4402,
    0x400cffff,0x03fffffd,0x000036c0,0x200001fb,0x04ffffff,0x5007fe60,
    0x0000dfff,0x3fe60000,0xfff81fff,0xffff02ff,0x7cc009ff,0x1fff101f,
    0x07fff620,0xffffffa8,0x3ff1002f,0x403ffe20,0x801fffd8,0x205fffe8,
    0x002ffff9,0x02fffff8,0xffffff10,0xffe88000,0x3ffe605f,0x2000002f,
    0xfffffbfd,0xfffd300f,0x7fffc403,0x0bffff14,0x017dffd0,0x7fffffec,
    0x5f7ff402,0x3ffff600,0xdffc82ff,0x7ffffc40,0x83ffe987,0x002fffff,
    0x0bfffffb,0x3fffff60,0x0036c003,0x003ff980,0xfffffd00,0x806f8007,
    0x3aa6fffa,0x5eeeeeee,0xeeeee980,0x7fc40eee,0xffe81fff,0xfffd02ff,
    0x6f8007ff,0x2013ffa0,0x7ec01ffd,0x01ffffff,0x7ff40fd0,0x01ffd804,
    0x037fffdc,0x02ffffcc,0x0bffffa0,0x7ffffc40,0x3fee0007,0xff9806ff,
    0x000005ff,0x3ffffedf,0x0ffec00f,0xe8ffffe0,0xfe804fff,0xffffa805,
    0x5fe805ff,0xfffffa80,0x20bf905f,0x07fffff8,0xfff07fd1,0x3f2005ff,
    0xb004ffff,0x007fffff,0xb00006d8,0x20000fff,0x03fffffd,0x7d403740,
    0x7fdc46ff,0x804fffff,0x0aeffea8,0x1fffff88,0x02ffffe8,0x07fffffb,
    0xff706e80,0x5fd1003f,0xfffffc80,0x6d800eff,0x003fff70,0x7cc05fd1,
    0x9000ffff,0x4009ffff,0x002ffffe,0x0ffffff1,0x3fffe600,0xfff9000f,
    0xb800009f,0xffffff1f,0x803fb001,0x3ea0effb,0x06f800ef,0xfffffe88,
    0x806f800f,0xffffffe8,0x2201f900,0x207fffff,0xffff83f9,0xfff9002f,
    0x3f6009ff,0x4003ffff,0xf880006d,0x80002fff,0x02fffffd,0x7d402f40,
    0xfff506ff,0x2005ffff,0x3e201ff8,0xfe81ffff,0xffb02fff,0xe8005fff,
    0x05fff905,0xd900be60,0xbffffffd,0x3f20b900,0x5f3002ff,0x27ffff40,
    0xfffff100,0x3fffa003,0xfff1002f,0x3a000fff,0x2004ffff,0x01fffff8,
    0x7c9f1000,0x800fffff,0x018801fa,0x00fc4006,0x7fffffe4,0x801f8803,
    0x3ffffffc,0xff881320,0x1f407fff,0x017ffffc,0x4fffffc8,0xfffffb00,
    0x006d8007,0x6ffffc80,0xfffd8000,0x2f4002ff,0x037ffd40,0xfffffffb,
    0x101fa003,0xd03fffff,0x3605ffff,0x002fffff,0xfffe82f4,0x805d000e,
    0xfffff9dc,0x82e404ff,0x000efffe,0x3fff205d,0x7f4002ff,0xe800efff,
    0x1002ffff,0x00ffffff,0x5fffff90,0xffffe800,0xed80000e,0x3fffffe0,
    0x00fc0b80,0x0d100000,0xffffff30,0x201a200d,0x6ffffff9,0xff101640,
    0x3b80ffff,0x02fffff8,0x9fffff90,0x3ffff600,0x02ec003f,0x3fffe200,
    0x6c0001ff,0x002fffff,0x7fd402f4,0x3fff206f,0x800effff,0x7ffc406d,
    0xfffe81ff,0xffffb02f,0x05e8005f,0x01dffffd,0x55c80590,0x5fffffff,
    0xffe82e40,0x2c800eff,0x7fffff98,0xffffc800,0xfffe804f,0xfff1002f,
    0xf9800fff,0x8007ffff,0x04fffffc,0x3e17d400,0xe80fffff,0x3bb20e40,
    0x3b22eeee,0x302eeeee,0xffffd007,0x0e6003ff,0x3fffffa0,0x2200401f,
    0x807fffff,0x2fffff80,0xfffff900,0x3fff6009,0x2f4003ff,0x3ffee000,
    0x40005fff,0x02fffffd,0x7d402f40,0x3bb206ff,0x05ffffff,0x7fc405c8,
    0xffe81fff,0xfffb02ff,0x5e8005ff,0xffffff90,0x64008807,0x3fffff25,
    0x20b901ff,0x3ffffffc,0x7fe40440,0xa8005fff,0x807fffff,0x002ffffe,
    0x0ffffff1,0xfffffc80,0xfffa8005,0x220007ff,0xfffff85f,0x4007c40f,
    0x2fffffc8,0x3fffff22,0x3fee0002,0x0004ffff,0x7ffffdc0,0xf880004f,
    0x0007ffff,0x005fffff,0x13fffff2,0x7ffffec0,0x002f4003,0x3ffffba0,
    0x360000ff,0x002fffff,0x7fd402f4,0x3e77206f,0x04ffffff,0x3fe202e4,
    0xffe81fff,0xfffb02ff,0x5e8005ff,0xffffff50,0x640005df,0x7ffffec5,
    0x505c80ef,0xdfffffff,0xfffe8005,0xf98004ff,0x400fffff,0x002ffffe,
    0x0ffffff1,0xfffffe80,0xfff98004,0x90000fff,0xfffff01f,0x000fb81f,
    0x20bffffe,0x002fffff,0xffffff10,0x4400001f,0x0fffffff,0xfff88000,
    0xff0007ff,0x32005fff,0x004fffff,0x07fffff7,0x20004f80,0xffffe9fa,
    0x3f60004f,0x4002ffff,0xfffa805e,0x7fd57206,0x202fffff,0x7ffc405c,
    0xfffe81ff,0xffffb02f,0x05e8005f,0xfffffff1,0x90005dff,0xffffe88b,
    0x105c85ff,0xffffffff,0x3fe005df,0x8004ffff,0x2ffffff8,0x17ffff40,
    0xfffff880,0x7fffc007,0xf88004ff,0x002fffff,0xfff03f98,0x0ff81fff,
    0x3ffffe00,0x2ffffe82,0xffffb000,0x800005ff,0x2ffffffd,0xfff10000,
    0x3e000fff,0x9002ffff,0x009fffff,0x0fffffea,0x0003f880,0x7fffd576,
    0xfb0000ff,0x8005ffff,0xfffa805e,0xffc97206,0x901fffff,0xffff880b,
    0xffffe81f,0xfffffb02,0x205e8005,0xfffffff9,0x2001dfff,0xffff985c,
    0x02e43fff,0xfffffff3,0x4403bfff,0x03ffffff,0xfffff880,0x7fff403f,
    0xfff1002f,0x7c400fff,0x003fffff,0xffffff88,0x205e8003,0x88ffffff,
    0x2000fffb,0xe82ffffe,0x8002ffff,0x5ffffffa,0x7fd40000,0x0005ffff,
    0x3ffffe20,0xffff0007,0x3ff2005f,0xf3004fff,0x4009ffff,0xf30002fa,
    0x7fffffc3,0xfffb0003,0x5e8005ff,0x06fffa80,0xffffb172,0x0b901dff,
    0x1fffff88,0x02ffffe8,0x05fffffb,0x7d405e80,0xffffffff,0x0b9003ff,
    0x3fffffea,0xf501722f,0xffffffff,0x3fea07ff,0x8002ffff,0x5ffffff8,
    0x17ffff40,0xfffff880,0x3ffea007,0x88002fff,0x05ffffff,0xff007dc0,
    0xfffdffff,0x7f4001ff,0xffe82fff,0xfe8002ff,0x000fffff,0x7ffff400,
    0x200000ff,0x07fffff8,0x5ffffd00,0xfffc80cc,0xff1004ff,0x7400dfff,
    0x8db0000f,0x06fffffc,0xfffffb00,0x805e8005,0x3206fffa,0x7ffff445,
    0x405c85ff,0x81fffff8,0xb02ffffe,0x005fffff,0xfe9805e8,0xffffffff,
    0x205c804f,0xfffffffb,0xfd300b90,0xffffffff,0xffff509f,0x3e0005ff,
    0x405fffff,0x002ffffe,0x0ffffff1,0x7ffffd40,0xfff0002f,0x4400bfff,
    0xaaaaaaef,0xcffffffa,0x000ffffd,0x20bffffa,0x002ffffe,0x7fffffe4,
    0x7e400003,0x003fffff,0x7fffc400,0xff90007f,0xc8166bff,0x004fffff,
    0x0fffffee,0x40013f20,0x7ffc42f8,0xd8002fff,0x002fffff,0x7fd402f4,
    0x2617206f,0x3fffffff,0x3fe202e4,0xffe81fff,0xfffb02ff,0x5e8005ff,
    0x3ffff200,0x04ffffff,0x3ff602e4,0x0b96ffff,0x7ffffe40,0x4c4fffff,
    0x03ffffff,0xfffff880,0x7fff404f,0xfff3002f,0x26001fff,0x03ffffff,
    0xfffff880,0x3ff6004f,0xffffffff,0x360fffff,0x3fa000ff,0xffe82fff,
    0x3e6002ff,0x006fffff,0x7fffcc00,0x800006ff,0x07fffff8,0x3ffffa00,
    0x3ff200ff,0x74004fff,0x102fffff,0x64000bf7,0xfffffb07,0xfffb000d,
    0x5e8005ff,0x06fffa80,0x7ffd4172,0x1722ffff,0x3fffff10,0x05ffffd0,
    0x0bfffff6,0x8800bd00,0xfffffffc,0x017200ff,0x3ffffffa,0x644005cd,
    0xffffffff,0x3fffe20f,0xf88004ff,0x403fffff,0x002ffffe,0x9ffffffb,
    0x3fffe200,0xf88004ff,0x003fffff,0xfff003f5,0x0fe81fff,0x3ffffa00,
    0x2ffffe82,0x3ffff600,0x400001ff,0x1ffffffd,0xff880000,0x20007fff,
    0x01cffec8,0x27ffffe4,0x3fffa200,0xfebadfff,0x3e20005f,0xfffff303,
    0xffd8003f,0x74002fff,0x6fffa805,0xffb81720,0xb90fffff,0xfffffb80,
    0x2ffffe84,0x5fffffb0,0x0105e800,0xfffffd88,0x017204ff,0x3fffffe2,
    0x880105ff,0xfffffffd,0x7fffffc4,0xfff98004,0x7f401fff,0x3b202fff,
    0xffffffff,0x7fc03eff,0x8004ffff,0x1ffffff9,0xf004f880,0xa81fffff,
    0x3ffa000f,0xfffe82ff,0xfff5002f,0x04009fff,0x7ffffd40,0x8002004f,
    0x07fffff8,0x64001000,0x004fffff,0xfffffd50,0x0005dfff,0x3fa00fb8,
    0x4005ffff,0x02fffffd,0x7d4027c0,0x017206ff,0xdffffffb,0x7ffc4172,
    0x21ffffff,0xb02ffffe,0x005fffff,0x200d04f8,0x6fffffe9,0x7cc01720,
    0x05ffffff,0x3ffa600d,0x7fec6fff,0xa8005fff,0x00ffffff,0x017ffff4,
    0x3f600000,0x8005ffff,0x0ffffffa,0xf000fc80,0x881fffff,0x3ffa000f,
    0xfffe82ff,0xfff8802f,0x2000ffff,0x3ffe200d,0x2000ffff,0xfff1000d,
    0x30000fff,0xffffc800,0x4c40004f,0x000affda,0xddddfd00,0xfffffddd,
    0x7e4001ff,0x4003ffff,0xfffa804f,0x3a017206,0xcdffffff,0x3fa00005,
    0xff902fff,0xf8007fff,0x74003f04,0x3207ffff,0x3ffee005,0x03f05fff,
    0x3fffff40,0x1bffffea,0x3fffee00,0xfffe804f,0x0018002f,0x3ffffea0,
    0xfffb8006,0x2f9804ff,0x3ffffe00,0x0d00e80f,0xd05ffffd,0x9005ffff,
    0x05ffffff,0x3f203c40,0x002fffff,0xff8801e2,0x20007fff,0x9003ffe8,
    0x009fffff,0x017fa200,0xcccfa800,0xffcccccc,0x2004ffff,0x03fffffc,
    0x2a00fe20,0x17206fff,0x3ffffe20,0x00005fff,0x40bffffa,0x03fffffc,
    0x27c0fe20,0xdfffd100,0x32002e40,0xf05fffff,0x7ff44009,0xffffe86f,
    0x7fec000f,0xfe800fff,0x26002fff,0xd0002eff,0x001fffff,0x0fffffd8,
    0x7c005e80,0x280fffff,0xfffd0d50,0xffffd05f,0xffff9805,0x35c005ff,
    0xffffff30,0x006b800b,0x1fffffe2,0x7fffc800,0xfffff900,0x3f200009,
    0x3600002f,0xffff7005,0x7fdc00ff,0x2a004fff,0xfffa801f,0x4c017206,
    0x5fffffff,0x3ff60000,0xfff701ff,0x7d4009ff,0xc800df01,0x17204fff,
    0x3ffffa00,0xc800df05,0xff984fff,0x22004fff,0x004fffff,0x003ffffb,
    0x0037ffec,0x4fffff98,0x3fffe200,0x01fb804f,0x7fffffc0,0x3a17a000,
    0xfe83ffff,0x7f402fff,0x000fffff,0xffe81be2,0x2000ffff,0x3e2006f8,
    0x0007ffff,0x00bfffea,0x13fffff2,0x2fff4000,0x01fa8000,0xffffff10,
    0x3ffe2007,0x1fa006ff,0x037ffd40,0x7fdc00b9,0x0005ffff,0x7ffe4bb3,
    0xffff100f,0x03f400df,0x7d400bff,0x017203ff,0x17fffe20,0xf5002ffc,
    0x3ff607ff,0xf7000fff,0xb301ffff,0x07fffecb,0x3ffff700,0x3fff6000,
    0xff7000ff,0xf8801fff,0xffff8004,0x9f5000ff,0x89ffff90,0x03fffffd,
    0x3fffffee,0x82fec003,0x3ffffffb,0x002fec00,0x0ffffff1,0x0fba8800,
    0xfffffc80,0xfff00004,0xdd00003f,0xffffc800,0x3ff6006f,0xfd802fff,
    0xdfff5003,0x32002e40,0x005fffff,0x3f23ffd0,0x7fec07ff,0xfd802fff,
    0x00bffe03,0x36037ff4,0xfff30006,0x00bffe0b,0xd1037ff4,0x1007ffff,
    0x203fffff,0xfff91ffe,0xf753000f,0x7ff44000,0xff8803ff,0xfe801fff,
    0xffff8000,0xffb801ff,0xfffffa82,0xfffffc89,0xffff103f,0x74c00dff,
    0xfff884ff,0x26006fff,0x22004ffe,0x007fffff,0x3200b700,0x004fffff,
    0x1bfffb00,0x027d4000,0x3ffffe60,0xffd1002f,0x32203fff,0x3ff6005f,
    0x0017206f,0x017ffffa,0xfb97ff40,0x7f4402ff,0x9101ffff,0xffff80bf,
    0x07ffcc03,0x40003fe0,0xfff05ffa,0xfff9807f,0xffffd800,0x7ffff402,
    0x5cbffa01,0x20002fff,0xfd80004c,0x7f402fff,0xfc801fff,0xfff88006,
    0x32202fff,0xffb01fff,0xfd3dffff,0xfb01bfff,0x003fffff,0x07ffff91,
    0x3ffffffb,0xffff9100,0x7ffcc007,0x40000fff,0xffb002e9,0x0000bfff,
    0x2fffffe6,0x3fa2000a,0xfffe8004,0xd3000eff,0x59dfffff,0x7009ffd7,
    0x0dffffdb,0x7c4002e4,0x50005fff,0x17ff69ff,0x7ffff4c0,0xffebacef,
    0xfffff804,0x1efea81e,0x077ff220,0xf82fe400,0xa81effff,0x2e001efe,
    0x261bffff,0x00cfffeb,0xffda7fd4,0x07a60005,0x7ffdc000,0x3fae61bf,
    0x64400cff,0x6c003fff,0xcfffffff,0xfffecaab,0xffb100ff,0x3ffa1dff,
    0x3ea1ffff,0xaaefffff,0xfdccaaaa,0x542fffff,0xaeffffff,0xdccaaaaa,
    0x02ffffff,0x3fffff60,0x3720004f,0xffff3001,0x00003fff,0x3fffffa6,
    0xfffd3004,0x7ffc4001,0x000dffff,0x3fffffee,0x0001dfff,0x80036c00,
    0x0005fff9,0x33fffff2,0x7ffdc000,0x1dffffff,0xd7319f00,0x7fffddff,
    0x7ffff540,0xd8003eff,0xd7319f05,0x7fffddff,0x3fae2000,0xffffffff,
    0x3ff2001c,0x8000cfff,0x00000cd8,0x7ffff5c4,0x01cfffff,0xffffffa8,
    0xffdd705f,0xffffffff,0xffffffff,0x157100ff,0xffff1000,0xffffffff,
    0xffffffff,0x7fc43fff,0xffffffff,0xffffffff,0x401fffff,0xffffffec,
    0x003effff,0x3ba20022,0xffffffff,0x80000eef,0x9001cdcb,0xbdffffff,
    0x7ffff640,0x03ffffff,0x5665d4c0,0x0000000a,0x2a0001ff,0x440005ff,
    0x400009a9,0x0aaccba9,0xca981c00,0x000001ac,0x81c0e200,0x001acca9,
    0x32eaa200,0x220001ab,0x200009a9,0x80000008,0x1abcbaa8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc8800000,0x90001dff,0x000000bf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff54000,0x003effff,0x000005d8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00003880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0xa8001009,0x000001ce,0x80000131,0x054400c9,
    0x30033000,0x80200003,0x1dc00001,0x400014c0,0xedccccba,0x06eeeeee,
    0xaaaaa800,0x0c980000,0x00005440,0xaaaaa880,0x54000000,0x0000aaaa,
    0x55555100,0x00400001,0x44000001,0x74400201,0xeeeeeeee,0xeeeeeeee,
    0x0001eeee,0x00018066,0x20026600,0x17b50000,0xffeb8000,0x0720cfff,
    0x03fffdc0,0x7f65c400,0x02bdefff,0x80f7c400,0x20000ff9,0x0fe600fc,
    0x3dfd3000,0x000f7f4c,0x3205fa80,0xf910004f,0xddffffff,0x0339ffdd,
    0xffffa800,0xdf100005,0x001fe603,0xffffa800,0x54000004,0x0005ffff,
    0x3fffee00,0xfd100004,0x17fec45f,0xffd30000,0x007cc19f,0xfffff930,
    0xfdddddff,0x003fffff,0x17dfff50,0x300003d4,0xbdffffd9,0x00344137,
    0x0037ffdc,0x9adffe98,0x1fceffca,0x5ffffd00,0x7ffdc000,0xffdb9acf,
    0x2e0000df,0x17fdc1ff,0x2bbea000,0x007fea61,0x49fffb00,0x0005fffc,
    0xfb037fa0,0xfd10001f,0x1fffffff,0x00002fdc,0x000bfff9,0x5c1ffb80,
    0x000002ff,0x0017fff6,0x3fff2000,0x74000005,0x00004fff,0xfb9bfff2,
    0x100007ff,0xdfffffff,0x36000fd9,0x204fffff,0x001fffe9,0x7fffffcc,
    0x0006fcdf,0xeffffea8,0xdffedbbc,0xfe8006eb,0x44002fff,0xfb100fff,
    0x3f6003ff,0x98001fff,0x2605fffe,0x0003ffff,0x7fe4bffe,0xfe880006,
    0x6fffffff,0xffff8000,0x01bfffa6,0x8effa800,0x8003ffe8,0xfffffff8,
    0x0fee0fff,0x6fff8000,0xfff00000,0x001bff25,0x5fff8800,0xff000000,
    0x800000bf,0x0005fff8,0x93fffec0,0x0001ffff,0xffffff90,0x000bffff,
    0x13fffff2,0x0007ff20,0xfffffffb,0x80009fff,0x01effffc,0x01bfffaa,
    0x07ffffa0,0x009ffd00,0x2a003ffb,0xb8006fff,0x400effff,0x00dffffa,
    0xfefffb80,0x300001ff,0xffffffff,0xff700003,0x1fffdc7f,0x3ffa0000,
    0x0006ffff,0xfffffffb,0x1fdc1fff,0xeffa8000,0xf7000000,0x03fffdff,
    0x7fd40000,0x50000005,0x00001dff,0x005ffb80,0x4fffa800,0x0017ffe6,
    0x7f5d7740,0x001fffff,0x9fffff90,0x0007f200,0xffff75bf,0x20001dff,
    0x0effffe8,0x00dffb00,0x00dfff50,0x801fffb8,0x22002fe8,0xff98002b,
    0xf9000fff,0x20009fff,0x05fffffe,0x7ffd4000,0x00002fff,0x0b2a0b2a,
    0x3fe60000,0x8002ffff,0xfffffffa,0x3ee0ffff,0xdf900003,0xe8000001,
    0x005fffff,0x037ec000,0xdf900000,0xd0000001,0x400000bf,0x03c982c9,
    0x7307a000,0xc80005dd,0x004fffff,0x7c4003f1,0x017764c0,0x3ffffa00,
    0x37f4000f,0x003c9800,0x002fffc8,0x000005f3,0x13ffffa0,0xfffff880,
    0xfffa8001,0x800000ff,0x000bccb8,0x00000000,0x3ffff600,0xfff90005,
    0xffffffff,0x0001fdc1,0x00000ef8,0xfffffa80,0x22000000,0x000000ef,
    0x00003be0,0x0017e200,0x00000000,0x00000000,0x13fffff2,0x0000f424,
    0x3f200000,0x8001ffff,0x000006f8,0x0efffe80,0x4c005d00,0xfffc8000,
    0x7f4002ff,0x8000efff,0x0002cccc,0x00000000,0x00000000,0x00399993,
    0x3fffff60,0x20ffffff,0x000003fb,0x99000000,0x00000599,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffc800,0x1b85984f,0x00000000,
    0x13ffffea,0x0006c800,0xe8200266,0x800effff,0x7ff5c02c,0xcccccdff,
    0x3fffe62c,0xffc8007f,0x00004fff,0x00000000,0x3bbbba20,0xeeeeeeee,
    0x77777540,0x00001eee,0x7fff4000,0xffffffff,0x0000fee0,0x00000010,
    0x00000000,0x00000000,0x00000000,0xdca88000,0x1acdeffe,0xb9510000,
    0x359bdffd,0x3fff2000,0x005a84ff,0xddddddd5,0xddd300bd,0xe81ddddd,
    0x002fffff,0xc9801a60,0xbdeffffe,0xffc9a209,0x4403ffff,0x7fffd300,
    0xffffff71,0x7fffe49f,0xffa8005f,0x3ba27fff,0xeeeeeeee,0xeeeeeeee,
    0x77441eee,0xeeeeeeee,0xeeeeeeee,0xf9301eee,0x15ffffff,0x77ff54c0,
    0x3bbba60a,0xdeeeeeee,0x001acccc,0x7ffffff4,0x2e0fffff,0x2a00003f,
    0x3baa0004,0xeeeeeeee,0x001accce,0x7777774c,0xccdeeeee,0x44001acc,
    0xeeeeeeee,0xeeeeeeee,0x5c1eeeee,0xeeeeeeee,0x3a603eee,0x03eeeeee,
    0xacffffb8,0x0dfffeb9,0x3ffee000,0xffeb9acf,0x7e4000df,0x5d84ffff,
    0x3ffee200,0x8804ffff,0x40aeffea,0x0ffffffa,0x5401c000,0xbceffffe,
    0xebdffedb,0x3ffffea6,0x44002eff,0x7e42ffff,0x3a2ccdff,0x004fffff,
    0xffffff98,0x7fffe4c0,0xeeeeefff,0x01ffffff,0xffffff93,0xffdddddf,
    0xf803ffff,0x004fffff,0x4c407fe6,0xdffffffd,0xfffffedc,0xfff9002f,
    0xffffffff,0x0001fdc1,0x80001fb0,0xffffffd9,0xfffffeee,0xfb31002d,
    0xb9bfffff,0x5ffffffd,0xfffc9800,0xeeeeffff,0x1ffffffe,0xfffffea8,
    0xa8800bff,0x200aeffe,0x205fffe8,0x002ffff9,0x02ffff44,0x005ffff3,
    0x27ffffe4,0x2a0017e6,0x2fffffff,0x203ff100,0x07fffffd,0xffc80000,
    0x3aa01eff,0x3fe26fff,0xefffffff,0xffffd002,0x0efff981,0x4ffffff8,
    0xffff9800,0xfffb02ff,0x7f4c09ff,0x7fec01ff,0x3a604fff,0x7f401fff,
    0x4003ffff,0xfffd006f,0xffd503ff,0xfa801bff,0xffffffff,0x00fee0ff,
    0x01ffcc00,0xfffff800,0x7ffecc1f,0x3fa000df,0xea81ffff,0x000dffff,
    0x27ffffec,0x03fffd30,0x3fffffa2,0x77dc001f,0x7fffdc00,0xffff9806,
    0xffff7005,0xffff300d,0x3fff200b,0x17fea4ff,0x7fffec00,0xfd001fff,
    0x7fffffc0,0x22000005,0x00effffe,0xf98dffb0,0xffffffff,0x3fe201df,
    0xfff887ff,0x7fffc44f,0xf88003ff,0x903fffff,0x009fffff,0xfc803ff9,
    0xc804ffff,0x7fec01ff,0x74003fff,0xffffb006,0x3ffe203f,0x3e200fff,
    0xffffffff,0x00fee0ff,0x03ffec00,0xffffe800,0xffff701f,0x3ff6005f,
    0xff101fff,0x4001ffff,0x04fffffc,0x2601ffc8,0x04ffffff,0x2600fec0,
    0x000fffff,0x809ffff9,0x00fffff9,0x09ffff90,0xffffff90,0x00bffffd,
    0x3fffff20,0x6d800eff,0xffffff10,0x74000009,0x000fffff,0x7fd437f4,
    0xffffffff,0xffff503f,0xdffff10d,0xffffffa8,0xffff0002,0x3ff20bff,
    0xf9004fff,0xffffc803,0x03f9004f,0x2fffffd8,0xd802f400,0x201fffff,
    0x04fffffa,0x7ffffff4,0x3ee0ffff,0xff880003,0xe80002ff,0x201fffff,
    0x01fffffd,0x1fffffd8,0x3ffffea0,0x3fff2004,0x3f9004ff,0xfffffd80,
    0x09f1000f,0x09ffffd0,0x7ffffc40,0x3ffffa01,0x3ffe2004,0x7fe401ff,
    0xfffeefff,0xdd90005f,0x0bffffff,0x3fe60b90,0x0002ffff,0xfffff900,
    0x0df10003,0x3fffffa6,0xa84fffff,0xff06ffff,0xfffa8fff,0xf0002fff,
    0x20bfffff,0x04fffffc,0xfc803f10,0x1004ffff,0xfffd803f,0x2f4002ff,
    0xfffffd80,0x3fffe201,0x3fe200ff,0xffffffff,0x0000fee0,0x01bffff2,
    0x3ffffa00,0x3ffe201f,0x7ec00fff,0x2201ffff,0x00ffffff,0x9fffff90,
    0x1007e200,0x09ffffff,0xf9003f60,0x8005ffff,0x80effffe,0x02fffffc,
    0x77ffff40,0x3ffff200,0x017fea4f,0x7ffcee40,0x6404ffff,0xfffff505,
    0x5000007f,0x009fffff,0x3f203640,0xffffffff,0x7fffc44f,0x4ffff886,
    0x7fffffcc,0xfff88003,0xff904fff,0x21209fff,0x7ffe401e,0x3d0904ff,
    0xfffffd80,0x802f4002,0x01fffffd,0x0ffffffc,0x3ffffe60,0x3ee0ffff,
    0x7fc40003,0x0001ffff,0x0ffffff4,0x3fffff20,0x7fffec05,0x7fffc01f,
    0xff9001ff,0x21209fff,0xfffc801e,0x7cc01fff,0x7fffcc02,0xffc8007f,
    0x7fcc4fff,0xc8007fff,0x204fffff,0x44fffffc,0xb90005fa,0x3fffffea,
    0x5417202f,0x04ffffff,0xfffe8000,0x260002ff,0xfffc8806,0x40ffffff,
    0xf887fffd,0x7fc42fff,0x8004ffff,0x3ffffff8,0x9fffff90,0x80370b30,
    0x84fffffc,0x6c01b859,0x002fffff,0xffd802f4,0x7f401fff,0x8802ffff,
    0xfffffffc,0x0000fee0,0xbffffff7,0xfffe8000,0x7fcc01ff,0x3600ffff,
    0x401fffff,0x02fffffe,0x9fffff90,0x00370b30,0xbffffff1,0xfc806e80,
    0x8005ffff,0x47fffffa,0x05fffffc,0xfffffa80,0x3ffff207,0x0005e84f,
    0x7fffe4b9,0x0b901fff,0x3fffffe6,0x7d400005,0x000fffff,0xd88011c0,
    0x4fffffff,0x207fffd4,0xff07fffa,0x000bffff,0x3ffffff3,0x3fffff20,
    0x90005a84,0x509fffff,0x3ff6000b,0x74002fff,0xffffb005,0x7ffc403f,
    0x54000fff,0x2e0ffecc,0x7740003f,0x00ffffff,0x3ffffa00,0xffff801f,
    0x3ff604ff,0x3e201fff,0x000fffff,0x09fffff9,0xfb8000b5,0x701fffff,
    0xfffd003f,0xf30009ff,0x741fffff,0x004fffff,0xffffff98,0xfffff900,
    0x0040b709,0xffffd8b9,0x05c80eff,0xdffffff1,0xffd80000,0x00007fff,
    0xffe98034,0xffb86fff,0x37ffa24f,0xfffffd00,0xfff5000b,0x3f201fff,
    0x5d84ffff,0xffff9000,0x000bb09f,0x0bfffff6,0x3600bd00,0x201fffff,
    0x07fffffa,0x2e0fd800,0x3ea0003f,0x4fffffe9,0x3fffa000,0xffd801ff,
    0x3f607fff,0x2a01ffff,0x007fffff,0x13fffff2,0x3a000176,0x886fffff,
    0xffff004f,0xf10009ff,0x7c5fffff,0x004fffff,0xffffff88,0xfffff902,
    0x0340b309,0xfffe88b9,0x05c85fff,0x1ffffffa,0xffff0000,0x80000bff,
    0x3ffa001f,0xffb307ff,0x807fff9d,0x06fffffa,0xfffffb80,0x3ffff205,
    0x002fcc4f,0x4fffffc8,0xd8002fcc,0x002fffff,0xffd802f4,0x3f201fff,
    0x0003ffff,0x0fee0fd8,0xff55d800,0x0001ffff,0x07fffffa,0x3fffff60,
    0xffffb00f,0x7ffe403f,0x3f2003ff,0x7cc4ffff,0xffa80005,0x7e42ffff,
    0xffff8800,0xf88003ff,0xf13fffff,0x007fffff,0xffffff10,0x3ffff207,
    0x1e60704f,0xfff985c8,0x2e43ffff,0xffffff50,0x3e200001,0x004fffff,
    0x10027c00,0x540dfffd,0x001bccce,0x07fffffa,0xfffffb00,0x7fffe401,
    0x017fea4f,0x7ffffe40,0x0017fea4,0x17ffffec,0x6c017a00,0x701fffff,
    0x00bfffff,0xfb83f600,0x43f30003,0x03ffffff,0xfffffd00,0xffff9003,
    0x3ff603ff,0xff701fff,0xc800bfff,0x2a4fffff,0xd00005ff,0x4cdfffff,
    0xfff5002f,0x10005fff,0x2bffffff,0x2ffffffa,0xffff8800,0xfff905ff,
    0x5d8009ff,0x7fd41720,0x322fffff,0x7ffffc05,0xf300002f,0x005fffff,
    0x4006f800,0xd884fffc,0xff980007,0x26004fff,0x404fffff,0xeffffffc,
    0x0005ffff,0xdffffff9,0x000bffff,0x0bfffff6,0x3600bd00,0x311fffff,
    0x7fffffb5,0x07ec0000,0x360007f7,0x7ffffe46,0xfffd0006,0xff7003ff,
    0x3605ffff,0x311fffff,0x7fffffb5,0xffff9000,0xbffffdff,0x3fe60000,
    0x0dd3ffff,0x7ffffd40,0xfff0002f,0x3feabfff,0x0002ffff,0x0bffffff,
    0x13fffff2,0x3204fa80,0x3fffee05,0x80b90fff,0x06fffffb,0x7fd4a200,
    0x0003ffff,0x5002ffc0,0xbff07fff,0x3ff60000,0xf9000fff,0xc801ffff,
    0xfeefffff,0x90005fff,0xfddfffff,0x2000bfff,0x02fffffd,0xfd802f40,
    0xffffffff,0x003fffff,0x2e0fd800,0x2f88003f,0x7fffffc4,0xfffe8002,
    0xffb801ff,0xfb02ffff,0xffffffff,0x007fffff,0x7ffffe40,0x05ffffee,
    0x3fff6000,0x001fbfff,0x3fffffe6,0xfff88003,0xfff34fff,0x10007fff,
    0x09ffffff,0x13fffff2,0x901ffd40,0xffffd80b,0xb00b96ff,0x005fffff,
    0x3fea7d10,0x0004ffff,0x8017ffc0,0xffa86ffe,0xc80000af,0x8803ffff,
    0x800effff,0x24fffffc,0x90005ffa,0x549fffff,0xfb0005ff,0x8005ffff,
    0xfffb005e,0xfffd37ff,0x00001fff,0x1fdc1fb0,0xfd83e400,0x8006ffff,
    0x01fffffe,0xffffffb8,0xfffffb01,0xfffffd37,0x7e40001f,0x3ea4ffff,
    0x2600005f,0x4fffffff,0x7fffc400,0xf88004ff,0xf13fffff,0x009fffff,
    0xffffff10,0x3ffff607,0x7fecc06f,0x2017202f,0xdffffffe,0xffe8805c,
    0x22001fff,0xffff31fe,0x80000bff,0x4c03ffff,0xffd80fff,0xffffffff,
    0xfc800bde,0x3a202fff,0x9000efff,0xa89fffff,0xff90005f,0x5fa89fff,
    0xffffb000,0x05e8005f,0x3fffffb0,0x3fffffe2,0xfd800006,0x1000fee0,
    0x3ffe607f,0x74001fff,0x801fffff,0x07fffffc,0x47fffff6,0x6ffffff8,
    0x3fff2000,0x02fd44ff,0x3fff2000,0xf8000fff,0x004fffff,0xffffff98,
    0x3fffffe1,0xfff98004,0xff981fff,0xabdfffff,0xffffecca,0x2017201f,
    0xfffffff8,0xffb1005f,0xb8805fff,0x3ffe20df,0x00006fff,0x0f7ffffc,
    0xd80f7f54,0xffffffff,0x01ffffff,0x1cfffea8,0x17fffaa2,0xfffff900,
    0x2000bd09,0x84fffffc,0xffb0005e,0xf8005fff,0xffffb004,0x7fffdc3f,
    0x400003ff,0x00fee0fd,0x7f401f70,0x4005ffff,0x01fffffe,0x6fffffd8,
    0x3fffff60,0x3ffffee1,0xff90003f,0x0bd09fff,0xfff88000,0xd8000fff,
    0x005fffff,0xffffffa8,0x3fffff60,0xfffa8005,0xfdd10fff,0xffffffff,
    0xffffffff,0x2e401fff,0xfffff980,0x7dc005ff,0x9abeffff,0xd03ffeca,
    0x00ffffff,0xb98cf800,0xfffeeffe,0x7fffd403,0xffffffff,0xb3000fff,
    0xfffdffff,0xf900017d,0xb709ffff,0xfff90040,0x40b709ff,0x3ffff200,
    0x027c003f,0x1fffffd8,0x7fffffec,0x3f600001,0xd000fee0,0xdddddddf,
    0x1fffffff,0x7ffff400,0xfffe801f,0x3ff605ff,0x7fec1fff,0x8001ffff,
    0x84fffffc,0x2000205b,0x0ffffff8,0xffffa800,0xffb8006f,0x7fd44fff,
    0xb8006fff,0x004fffff,0x003ba600,0x3ee005c8,0x005fffff,0xffffda88,
    0x01ceffff,0x3fffffea,0x40e00000,0x001adea9,0x3fffffea,0xffffffff,
    0x7ff44003,0x40005fff,0x84fffffc,0xfc81a059,0x5984ffff,0xfffc81a0,
    0x3e2003ff,0xffffb003,0xffff883f,0x00000eff,0x01fdc1fb,0x99999f50,
    0xffff9999,0x7f4009ff,0xf801ffff,0x202fffff,0x41fffffd,0xeffffff8,
    0x7ffe4000,0x205984ff,0xfff88006,0xd0000fff,0x001fffff,0x0fffffd8,
    0x0fffffe8,0x7fffec00,0xf500000f,0x05c8003f,0x7ffffe40,0x54c40005,
    0x7c001aed,0x002fffff,0x3bf30000,0xdefea800,0xffedcccc,0xfa8004ff,
    0x001fffff,0x3fffff20,0x81e60704,0x04fffffc,0xfb81e607,0x2004ffff,
    0xffb001fa,0xff503fff,0x0009ffff,0x3fb83f60,0x5c017600,0x007fffff,
    0x07fffffa,0xbfffff50,0xfffffd80,0xfffffa81,0x7fe4004f,0x20704fff,
    0xff880079,0x0000ffff,0x09fffff3,0x7ffffc40,0xfffff304,0x7ffc4009,
    0x200004ff,0x5c8007fe,0xffffe800,0xdf100005,0xfff70005,0x44000dff,
    0x3fffd002,0x00bffa00,0x000bffa6,0x2fffffec,0xffff9000,0x05d8009f,
    0x13fffff2,0x7c40bb00,0x2006ffff,0x3ff6007e,0xff901fff,0x0005ffff,
    0x1fdc1fb0,0x1001fa80,0x07ffffff,0x3fffffa0,0x7ffff401,0x7ffec01f,
    0xfff901ff,0x64005fff,0x004fffff,0x7c4002ec,0x000fffff,0x3fffff60,
    0xffff7000,0x7ffec01f,0xff7000ff,0x00001fff,0x0007ffe6,0xff1000b9,
    0x20000bff,0x8002fffd,0x02fffffd,0x3003e880,0xf5007ffd,0x7fdc00df,
    0xffd10000,0x2000bfff,0x04fffffc,0xfc813ea0,0x2004ffff,0x7fec04fa,
    0xfd802fff,0x3fff6003,0x3ffa01ff,0x0000ffff,0x07f707ec,0xf9001ba0,
    0x200dffff,0x01fffffe,0x13ffffe6,0x3fffff60,0x3ffffa01,0xff9000ff,
    0x54009fff,0xff88004f,0x0000ffff,0x0fffffa2,0x3ffffe20,0x7fff4401,
    0xfff8803f,0x200001ff,0x4004fffa,0xff30006d,0x220000bf,0x88005ffd,
    0x01fffffe,0x8007fa20,0xf9803ffc,0x9fd001ff,0xffd88000,0x4002efff,
    0x04fffffc,0x6407ff50,0x004fffff,0xe8807ff5,0x101fffff,0xfd800bf9,
    0x2602ffff,0x05ffffff,0xf707ec00,0x009f5007,0xffffff98,0xffffe802,
    0xfffb102f,0x3ff6009f,0x3e602fff,0x005fffff,0x09fffff9,0x000ffea0,
    0x3fffffe2,0xffd80000,0x7ff402ff,0x3f6001ff,0x7f402fff,0x00001fff,
    0x027fffc4,0x20001ff0,0x00005ffa,0x40013fee,0x2fffffd8,0x006fdc40,
    0x001fff10,0x302fbff2,0x0007fd75,0x7ffff5c0,0x202eeeff,0x06fffffd,
    0x017ffecc,0x0dfffffb,0x02fffd98,0xfffffe98,0x4ffebace,0xffffe800,
    0x7ffdc03f,0x20004fff,0x00fee0fd,0xd0009fd1,0x01dfffff,0x3ffffff8,
    0x2ffffe88,0x3ffffa00,0x7ffdc03f,0xfd804fff,0x4c06ffff,0x8002fffd,
    0x0ffffff9,0xfff70000,0x7f5cc37f,0xb8000cff,0x261bffff,0x00cfffeb,
    0xfff70000,0x322057df,0x90001dff,0x220000bf,0x40001ffe,0xbefffffb,
    0x3ffeca9a,0x3bffae00,0x7fe44000,0xcdefffff,0x95000000,0x359bdfdd,
    0x3ffffe60,0xccaabdff,0x01fffffe,0xfffffff3,0xfd99557b,0x4003ffff,
    0xfffffffb,0xa8001dff,0x0effffff,0x7ffffec0,0x1fb0003f,0xfd301fdc,
    0x7c4001ff,0x0dffffff,0xffffff70,0xfffd959f,0x7d40019d,0x00efffff,
    0x7fffffec,0x3fffe603,0xcaabdfff,0x1fffffec,0xffffd800,0x200004ff,
    0xfffffeb8,0x001cffff,0x7fff5c40,0x1cffffff,0xfc800000,0x2a2fffff,
    0xeffffffe,0x005d8003,0x0f7ff540,0xfda88000,0xefffffff,0x0cc4001c,
    0x35330000,0x00000000,0x7fff7440,0xffffffff,0xffffffff,0x3ffba20f,
    0xffffffff,0xffffffff,0xa98000ff,0x000aaccb,0x7fffff4c,0x05efffff,
    0xfffffff1,0x42a8003f,0xfff900a8,0x640bdfff,0xfffffffe,0xffd53fff,
    0xffffffff,0x0037bdff,0x7fffff4c,0x05efffff,0xfffffff1,0x3ffba23f,
    0xffffffff,0xffffffff,0xee8800ff,0xffffffff,0x0000eeff,0x57975510,
    0x22000003,0x01abcbaa,0xb9800000,0x00000bcd,0x80007100,0x00000998,
    0x2b2ea620,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00018800,
    0x002aaa98,0x0aaaa880,0x55530000,0x09f00055,0x00002f98,0x00555553,
    0x55440000,0xe88000aa,0xeeeeeeee,0x0011eeee,0x05400540,0x40002600,
    0x00002db8,0x3aa0675c,0x5510001c,0x00001555,0x0155554c,0x00040000,
    0x10026660,0x0d555540,0xaaaaa800,0x20188001,0xdddd5001,0x300bdddd,
    0xdddddddd,0x3bbbbb21,0x1100002e,0x88000220,0x88009999,0x4000beff,
    0x01fffff8,0x7fffec00,0xffd00004,0xfb0003ff,0x003fa207,0xffffe800,
    0xb0000001,0x0009ffff,0x7ffffe44,0x06dc1cff,0x3202fc00,0xffd9800f,
    0xfffd0003,0x3ea00007,0x3ffe65ff,0xfff90006,0xd000007f,0x0003ffff,
    0x800b6600,0xffffedba,0x02d41cff,0x00bffff5,0x1dffff10,0x77ffcc00,
    0x8801ea0b,0xfffffffb,0xffea8804,0x3fee20ae,0x80003fff,0x7fe44ffc,
    0xfff88004,0x3ae001ff,0x3f6000ef,0x0005ffff,0x3fffffe6,0x7fc40001,
    0xf50002ff,0xfffb9bff,0xe880000d,0x00004fff,0xfffff980,0x7ec0001f,
    0x2e06ffff,0x3f6000cf,0xdf9310ac,0x019ffb00,0x3fffe600,0xffb00006,
    0x3fff21ff,0xffe8000f,0x1000003f,0x0007fffd,0x002fc880,0x7bdfffd3,
    0x9fff9753,0xffa80bf7,0x7dc000ff,0x26000eff,0xdfffffff,0xfa8006fc,
    0x02ffffff,0x7c03ff10,0x0003ffff,0x88ffffcc,0x4001ffff,0x001ffffa,
    0x801fff98,0xfffffff9,0xfffd0001,0x8000bfff,0x0002fffb,0x7fffffec,
    0x800001ff,0x0006ffe8,0xffffe800,0x640005ff,0x405fffff,0xf5000ffa,
    0xffffffff,0x04ffd807,0x7fffcc00,0xff700006,0x37ffd4df,0x27ffcc00,
    0x3a200000,0x200006ff,0xf7001ff9,0xd8807fff,0xb805ffff,0x74002fff,
    0x6c000eff,0xffffffff,0xfb0004ff,0x03ffffff,0xffd01fa0,0xa80007ff,
    0xff52ffff,0xfd8007ff,0x3a0002ff,0xffe806ff,0x005ffc8d,0xf99fffa8,
    0x360001ff,0x880002ff,0x2ffffffe,0x3a200000,0x000001ff,0x3e67ffea,
    0x320001ff,0x804fffff,0xfb000efb,0x0dffffff,0x001fffb8,0x03fffe80,
    0x3bf91000,0x8001dfc8,0x00004ffc,0x03ffd100,0x05ff1000,0x7ffffd10,
    0x2fffd400,0x005ffb80,0x0003bfe2,0x3fff2b7e,0x0000efff,0xfffffff9,
    0x80db001d,0x003ffffd,0x747fff80,0x7c000fff,0x640002ff,0x3ea00fff,
    0x017fdc3f,0xe883bfa0,0xff10005f,0xeb800007,0x00001dff,0x003fe880,
    0x83bfa000,0x20005fe8,0x04fffffb,0x2006ff88,0x0dfffffc,0x003ffec0,
    0x00039500,0x40000000,0x000005fe,0x001ff440,0x401bfa20,0x003ffffe,
    0x2005ffb8,0xf7000ffb,0x1f10001f,0x002eeca8,0x7fff7640,0x5c805fff,
    0x1ffffec0,0x05e44000,0x500032e2,0xb00005ff,0x7fc07fff,0x400df502,
    0x3fd105fb,0x007f7000,0x00000000,0x006f8800,0x20bf7000,0x70001fe8,
    0x009fffff,0x98017ff2,0xf8802cdb,0x00000fff,0x00000000,0x00bf3000,
    0x3e200000,0x3fa20006,0xfffc803f,0xf70000ff,0x02fc800b,0x00003fd0,
    0xdc800000,0xfffffff9,0x3602e404,0x0003ffff,0x36000000,0xff00003f,
    0x072605ff,0x32003d30,0x0004c803,0x33000000,0x00008013,0x90000000,
    0x00099007,0x13ffffee,0x01fffcc0,0x3ffe0000,0x2600001f,0x00040099,
    0x00000000,0x00000000,0x007ffe40,0x13ffffe6,0x000bf000,0x00000000,
    0xb9000004,0x3fffffea,0xb017202f,0x0007ffff,0x54000000,0xff100002,
    0x000003ff,0x00000000,0xdba80000,0xcffffffe,0x00002d42,0x00000001,
    0x7dc00001,0x2004ffff,0x00006ffd,0x01ffff40,0xffedba80,0x542cffff,
    0xeeeeeb85,0x776c4eee,0x000006ee,0x00000000,0x804fff88,0x01fffffe,
    0x0002dc00,0x80000000,0x3200004a,0x3fffff25,0x80b901ff,0x543ffffd,
    0x2eeeeeee,0x3bbbbba2,0x0eeeeeee,0x32a02ea0,0xfff98001,0xeeee880f,
    0xeeeeeeee,0xddddd10e,0xdddddddd,0xdddddddd,0xeeeee883,0xeeeeeeee,
    0xfffe8800,0xfcba9abe,0x005fbcff,0x00009500,0x0004a800,0x3ffffee0,
    0x3ffee004,0x77777442,0xeeeeeeee,0x04fffd80,0x77fff440,0xffcba9ab,
    0xd885fbcf,0x83ffffff,0x261effa8,0xeeeeeeee,0x002eeeee,0x77777744,
    0xeeeeeeee,0x1eeeeeee,0x805fff70,0x07fffffb,0xe8848800,0xeeeeeeee,
    0xdd10eeee,0x003ddddd,0x0001fb00,0xfffb1720,0xb901dfff,0x3ffffd80,
    0x1bfffe98,0xfffff910,0xfd8019ff,0x3fff20ff,0x7ffd4001,0x7ffe4407,
    0x300cffff,0xfffffff9,0xfffddddd,0x32203fff,0xcfffffff,0xffff7000,
    0xfffd8807,0xfb00005f,0x40000001,0x700000fd,0x009fffff,0x8837ffcc,
    0xfffffffc,0x3ffee00c,0x3ffee005,0x7fec403f,0x3ffa05ff,0x3fa00fff,
    0xffff9300,0x00017fff,0xfffffc98,0xfeeeeeff,0xf01fffff,0xfc803fff,
    0x0006ffff,0xfffc8800,0x980cffff,0x01fffffd,0x01ffcc00,0x7445c800,
    0x85ffffff,0x7ffec05c,0x03ff903f,0x3fffff60,0xffff8805,0x0bffff14,
    0x05fffb80,0xbfffffb0,0x3ffff600,0x3ffa604f,0x7ffec01f,0xfd1005ff,
    0x54005fff,0x80005fff,0x00003ff9,0x007ff300,0x3fffee00,0x3fe2004f,
    0x3ff602ff,0xfa805fff,0xfe8806ff,0x2a002fff,0x3e605fff,0x3e02ffff,
    0xffffe804,0x6c00005f,0x204fffff,0xa81fffe9,0xfe807fff,0x0005ffff,
    0x3fff6000,0x7fcc05ff,0x40001fff,0x00007ffd,0xffff30b9,0x05c87fff,
    0x41ffffec,0x32000ee8,0x004fffff,0x7f47ffff,0x7cc004ff,0xff9004ff,
    0x32009fff,0x804fffff,0x7e401ffc,0xd004ffff,0x0007ffff,0x0000bff5,
    0x0000fffb,0x01fff600,0x7fffdc00,0x7ffc004f,0x3fff204f,0xff9804ff,
    0xfffe804f,0xffa8003f,0x7fffec05,0xb003f106,0x009fffff,0xffffc800,
    0x1ffc804f,0x806fffd8,0x04ffffff,0x3f200000,0x4404ffff,0x001fffff,
    0x0bfffe20,0x54172000,0x2fffffff,0xfffb0172,0x001db07f,0x4fffffc8,
    0x41dff700,0x8000effa,0xf9004fff,0x2009ffff,0x04fffffc,0xfc803f90,
    0xc804ffff,0x0007ffff,0x100017ee,0x0005ffff,0xffff8800,0xffb80002,
    0x74004fff,0x3f205fff,0x9804ffff,0x7e401fff,0x20007fff,0x7fd405fb,
    0x06b81fff,0x7fffff90,0xffc80000,0xf9004fff,0x0dfffd03,0xffffff98,
    0x20000003,0x04fffffc,0x01fffff8,0x3ffff200,0x05c80006,0x3fffffee,
    0xfd80b90f,0x076c3fff,0x7fffe400,0x8062004f,0x3fee0001,0xffff9007,
    0x3ff2009f,0xf1004fff,0xffffc803,0x7ffcc04f,0x7c0004ff,0x7fe40005,
    0x000006ff,0x037fffe4,0x7fffdc00,0x7ff4004f,0x3fff207f,0xffc804ff,
    0x7fffcc05,0x2fc0004f,0x27ffff40,0xffc801f4,0x00003fff,0x27ffffe4,
    0xff81f880,0x7fd406ff,0x0003ffff,0x3fff2000,0xfff804ff,0xf10001ff,
    0x003fffff,0x7ec05c80,0xb96fffff,0x3ffffd80,0x64000bf6,0x004fffff,
    0x2e000000,0xffc802ff,0xf9004fff,0x1209ffff,0xfff9007a,0xffe809ff,
    0x40001fff,0x3e20005b,0x001fffff,0xffff1000,0xb80003ff,0x004fffff,
    0x903ffff4,0x809fffff,0xfe805ff8,0x0001ffff,0x7fdc02dc,0x03e60fff,
    0x7ffffe40,0x7e400003,0x0904ffff,0xffff883d,0x7fffcc05,0x000003ff,
    0x3fffff20,0xfffff804,0xfff70001,0x8000bfff,0xfffe805c,0x405cdfff,
    0xfb3ffffd,0x3f2000df,0xd904ffff,0x645ddddd,0x02eeeeee,0x00cfea80,
    0x13fffff2,0x7ffffe40,0x01b85984,0x27ffffe4,0xffffff70,0x00910000,
    0x7ffffdc0,0x7000005f,0x0bffffff,0xffffb800,0x7fec004f,0xfff901ff,
    0x3ee209ff,0x7fdc00cf,0x80007fff,0xffff0048,0x9002647f,0x007fffff,
    0xffffc800,0x1b85984f,0x02ffffcc,0x27fffffc,0x77777640,0x04eeeeee,
    0x09fffff9,0x03fffff0,0x3fffba00,0x20000fff,0xfff8805c,0x405fffff,
    0xfdbffffd,0xc8004fff,0x104fffff,0x45fffff9,0x2fffffc8,0x07fa6000,
    0x27ffffe4,0xfffffc80,0x90005a84,0x409fffff,0x07fffffc,0xe8000000,
    0x0ffffffe,0xfee80000,0x000fffff,0x3ffffee0,0x7ffec004,0xffff902f,
    0x00bfa09f,0x7fffffc8,0x64000000,0x07e7ffff,0xfffffc80,0x7e400003,
    0x5a84ffff,0xbffff500,0xfffffd00,0x7ffd400b,0x200cffff,0x04fffffc,
    0x01fffff8,0xffe9fa80,0x20004fff,0xfff3005c,0xd80bffff,0xffffffff,
    0x64002fff,0x404fffff,0xf82fffff,0x0002ffff,0x3201bfb5,0x004fffff,
    0x09fffff9,0x3f2000bb,0x3a04ffff,0x005fffff,0x7d400000,0x4fffffe9,
    0x4fd40000,0x04fffffe,0x3fffee00,0x7fec004f,0xfff901ff,0x3bee09ff,
    0xfffe800b,0x000005ff,0x7ffffc40,0x7e4006aa,0x0003ffff,0x7ffffe40,
    0xf5005d84,0xf900bfff,0x800dffff,0x07fffffb,0x4fffffc8,0x1fffff80,
    0xff55d800,0x0001ffff,0xffb80172,0x6c05ffff,0xfe8effff,0x2000efff,
    0x04fffffc,0x417ffffc,0x002ffffe,0x200eff44,0x04fffffc,0x9fffff90,
    0x90005f98,0x409fffff,0x04ffffff,0x6c000000,0xffffff55,0xaec00001,
    0x0ffffffa,0xffff7000,0xffd8009f,0xfff900ff,0x7dc409ff,0x7fffc02f,
    0x000004ff,0xeffffd80,0x7fe4003e,0x00003fff,0x27ffffe4,0x7cc017e6,
    0xfa805fff,0x4007ffff,0x06fffffa,0x4fffffc8,0x1fffff80,0xff0fcc00,
    0x0007ffff,0xff900172,0xfd80bfff,0xfff33fff,0x7e4009ff,0x7404ffff,
    0xfe82ffff,0x22002fff,0xfc801ffe,0x9004ffff,0x549fffff,0xf90005ff,
    0x2609ffff,0x03ffffff,0x26000000,0x3ffffe1f,0xf300003f,0x7fffffc3,
    0xfff70003,0xfe8009ff,0x3ff207ff,0xfe804fff,0xffff302f,0x000007ff,
    0xfffff300,0xffc8001f,0x00003fff,0x27ffffe4,0x7c00bff5,0xfb005fff,
    0x4005ffff,0x05fffffa,0x4fffffc8,0x1fffff80,0x3f236c00,0x0006ffff,
    0xffd000b9,0xffd80bff,0x3ffee3ff,0xff9002ff,0xfe809fff,0xffe82fff,
    0x3f6002ff,0xfff9006f,0x3f2009ff,0xffefffff,0xf90005ff,0x2a09ffff,
    0x03ffffff,0x36000000,0x7ffffe46,0x8db00006,0x06fffffc,0xfffff700,
    0xfffe8009,0x3ffff206,0xfffa804f,0xfffffa80,0x0000003f,0x0bffffd0,
    0xfffff900,0xfc800007,0xffefffff,0x3fe005ff,0xff1006ff,0x5400bfff,
    0x805fffff,0x04fffffc,0x01fffff8,0xff10be20,0x0005ffff,0xff1000b9,
    0xffd80bff,0x7fff43ff,0xffc800ff,0x7f404fff,0xffe82fff,0x3fe002ff,
    0xfff9004f,0x3f2009ff,0xffeeffff,0xf90005ff,0x2a09ffff,0x04ffffff,
    0xf1000000,0xfffff885,0x7c40002f,0x7ffffc42,0xffc8002f,0x74005fff,
    0x3f205fff,0x9804ffff,0xffa83fff,0x0004ffff,0xfff50000,0xff90005f,
    0x00007fff,0xefffffc8,0x005ffffe,0x801bfffa,0x00fffffa,0xbfffff50,
    0xfffff900,0xfffff009,0xd83e4003,0x006fffff,0xf30006d8,0xffe80bff,
    0x7ffcc3ff,0xffc805ff,0x7f404fff,0xffe82fff,0xff5002ff,0x3ff200bf,
    0xf9004fff,0x7d49ffff,0xff90005f,0x3e609fff,0x805fffff,0xeeeeeeec,
    0xc804eeee,0xfffffb07,0x07c8000d,0x0dfffffb,0xfffff900,0xffff800b,
    0x3ffff204,0xfffa804f,0xfffff985,0xeeec805f,0xeeeeeeee,0x0ffff004,
    0x3ffff200,0x6400003f,0x2a4fffff,0x3f2005ff,0x7e4007ff,0xa800dfff,
    0x805fffff,0x04fffffc,0x01fffff8,0x3e607f10,0x001fffff,0xa80007fc,
    0x7ff405ff,0xfffc84ff,0x7fe403ff,0x7f404fff,0xffe82fff,0xff5002ff,
    0x3ff200df,0xf9004fff,0xfa89ffff,0xfff90005,0x3fe209ff,0x2006ffff,
    0xfffffffa,0x03f8800c,0x3ffffff3,0x40fe2000,0x1ffffff9,0x3fffe600,
    0xf1001fff,0x7e401fff,0xb804ffff,0xff886fff,0x2006ffff,0xfffffffa,
    0x3fee000c,0xfff90004,0x800007ff,0x44fffffc,0x3e2005fa,0x54000fff,
    0x400effff,0x05fffffa,0x4fffffc8,0x1fffff80,0x7401f700,0x005fffff,
    0x003bff91,0xf9817f20,0x440effff,0x02ffffff,0x13fffff2,0x05ffffd0,
    0x005ffffd,0x401fffe6,0x04fffffc,0x9fffff90,0x32000bd0,0x204fffff,
    0x07fffffd,0x7ffffdc0,0x803ee007,0x05fffffe,0x7401f700,0x405fffff,
    0xfffffee8,0x01eeffff,0x9013ffea,0x009fffff,0x3609fff9,0x007fffff,
    0x3fffffdc,0x00ffc400,0xfffffc80,0x7e400003,0x5e84ffff,0x0fffec00,
    0x7ffe4400,0x36a609bf,0x802effff,0x04fffffc,0x01fffff8,0xdddddfd0,
    0xffffffdd,0x7ff5401f,0x003effff,0xfff905d8,0x225fffff,0xfffffffe,
    0xfffff906,0xffffe809,0x2ffffe82,0x1ffff100,0xfffff900,0x3fff2009,
    0x205b84ff,0x3ffff200,0x3ffea04f,0x2e000fff,0x006fffff,0x3bbbbbfa,
    0xffffffee,0xefe8000f,0xffeeeeee,0x000fffff,0xb8002fd4,0x7e401fff,
    0xd804ffff,0xff503fff,0x4001ffff,0x06fffffb,0x4000db00,0x03fffffc,
    0xff903b80,0x0b709fff,0x1fffcc04,0xffd95000,0xfffffdff,0x7e40017b,
    0xf804ffff,0xa801ffff,0xcccccccf,0xffffffcc,0x80000004,0x00000038,
    0x7ffffe40,0x7ffff404,0x2ffffe82,0x07fffe00,0x3fffff20,0xffff9004,
    0x340b309f,0x9fffff90,0xfffffe80,0x3ffea001,0x9f5005ff,0x99999999,
    0x09ffffff,0xccccfa80,0xfffccccc,0x2e004fff,0xfd0000ff,0xfff900bf,
    0xfff009ff,0x7fff405f,0x3ea001ff,0x0005ffff,0x7e40005d,0x8003ffff,
    0xffff902d,0x340b309f,0x0006ffd8,0x559f9310,0x7e400033,0xf804ffff,
    0xd801ffff,0xffff7005,0x220000ff,0x00002cef,0x001befa8,0x3fffff20,
    0x7ffff404,0x2ffffe82,0x0ffffa00,0x3fffff20,0xffff9004,0x3cc0e09f,
    0x9fffff90,0xfffff980,0x3ffea004,0x0bb005ff,0x3ffffee0,0x802ec007,
    0x07fffffb,0x4001bfe0,0xc801fff9,0x404fffff,0x201ffff8,0x04fffff9,
    0x3ffffea0,0x03cc0405,0x3ffff200,0x0fc4003f,0x4fffffc8,0x4c1e6070,
    0x00002fff,0x80000ffa,0x04fffffc,0x01fffff8,0xf8800fd4,0x003fffff,
    0x0ffff880,0x7fd40000,0x3f20007f,0x7404ffff,0xfe83ffff,0x36002fff,
    0xfc801fff,0x9004ffff,0x009fffff,0x3ff205d8,0xfa804fff,0x5000ffff,
    0x00bfffff,0x3e2003f5,0x003fffff,0x3e2003f5,0x803fffff,0x8001fffa,
    0xf9002ffd,0xf009ffff,0xfa801fff,0x5000ffff,0x20bfffff,0x02645fe9,
    0x3ffff200,0x07e4003f,0x4fffffc8,0xf502ec00,0x2e0000df,0x00004fff,
    0x09fffff9,0x03fffff0,0x7e4006e8,0x0006ffff,0x009ffd10,0x5fff3000,
    0x3fff2000,0x7fe404ff,0x7ffec4ff,0x3f2003ff,0xfff9007f,0x3f2009ff,
    0x2004ffff,0x3ff204fa,0xf9004fff,0x2a00bfff,0x805fffff,0x7fe4006e,
    0xdd006fff,0xffffc800,0xfffb806f,0x1ffcc005,0xfffff900,0x1fff9009,
    0xbffff900,0x3fffea00,0x3fff905f,0x900003e2,0x007fffff,0xff903fc4,
    0x54009fff,0x0ffdc04f,0x7fe44000,0xff900007,0xff009fff,0x7d403fff,
    0x7ffcc004,0x00002fff,0x00009ff9,0x000bffa0,0x27ffffe4,0x3ffffea0,
    0xfffffc89,0x3ffe003f,0xffff9004,0x3ff2009f,0xf5004fff,0x7ffe407f,
    0x3ee004ff,0xfa805fff,0x5405ffff,0x7fcc004f,0x5402ffff,0x7fcc004f,
    0x4c02ffff,0x2002ffff,0x7e4004fd,0x9804ffff,0xf7002fff,0xf500bfff,
    0x360bffff,0x009b4fff,0xfffffb00,0x1ffe6009,0x4fffffc8,0x007ff500,
    0x20000bf9,0x00007ff9,0x09fffff9,0x1fffff88,0x0009fd10,0x1dfffffd,
    0xfff88000,0xfa800001,0xfb0000ff,0xb00bffff,0x3dffffff,0x01bffffd,
    0x400bff70,0x05fffffd,0xdfffffb0,0x2fffd980,0x3fffff60,0x7fec4005,
    0xfd980bff,0x2202efff,0xfe8004fe,0x100effff,0xfd0009fd,0x801dffff,
    0x1bdffffc,0x0007fd10,0x0bfffffb,0x003bfea0,0x5ffffec4,0xffffd980,
    0xffff502e,0xb00001fd,0x00bfffff,0x6c0dfff3,0x406fffff,0x002fffd9,
    0x80001df9,0x00004ffd,0x0bfffffb,0x2fffff88,0x00fffe98,0x3ffffe20,
    0xb8000dff,0x0002effe,0x06fffe40,0xffff9800,0x6c401fff,0xfd0effff,
    0x203fffff,0x2003ffea,0xfffffff9,0x7fffcc01,0xcaabdfff,0x1fffffec,
    0xffffff30,0xfb30003f,0xfffdffff,0x98017bff,0x2000fffe,0xfffffff8,
    0x7fff4c0d,0x3ffe2000,0x400dffff,0x1ffffffc,0x40006744,0xfffffff9,
    0x9fff3001,0x3ff66001,0xffffefff,0xfc800bdf,0x80000eff,0xfffffff9,
    0xfdbaabcd,0xf305ffff,0x7bffffff,0xfffd9955,0x6c4003ff,0x7f4c000e,
    0x300003ef,0x3fffffff,0x7ffffdc0,0x7ffffe44,0x3fb205ef,0xffffffff,
    0x4cc4003f,0x33000000,0xdd100013,0xffffffff,0x5c401ddf,0x6cc0000a,
    0xee8800bc,0xffffffff,0xfdd10eef,0xffffffff,0xffffffff,0x77441fff,
    0xffffffff,0x98000eef,0x19abccba,0x3ffff200,0x3b205eff,0xffffffff,
    0xffff93ff,0x7640bdff,0xffffffff,0x6dcc03ff,0x001a80bc,0x7ffff744,
    0x0eefffff,0x003db980,0xabccba98,0x02a00019,0xffdd3000,0xffffffff,
    0xffffffff,0x7f7449ff,0xffffffff,0xffffffff,0x98000fff,0x04cc4002,
    0x7f744000,0xffffffff,0xffff10ee,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeee88000,
    0x0001eeee,0x26000c01,0xeeeeeeee,0x002eeeee,0x3a600200,0xeeeeeeee,
    0xaccccdee,0x4ccc0001,0x74400099,0xeeeeeeee,0xdd703eee,0x3ddddddd,
    0x7777776c,0x02008003,0x03900000,0x00732600,0x30157300,0x20364005,
    0x200004e8,0x00000600,0x00000008,0x20000000,0xccccccc8,0x0003cccc,
    0x99999990,0x00199999,0x002ea000,0xccccca80,0x02cccccc,0xcccccc88,
    0x004ccccc,0x3fffff66,0x77f4c001,0x007bfa61,0xfffff930,0x000017ff,
    0x200f7f54,0xfffffd98,0xfffedcdf,0xb0002fff,0x0009ffff,0x3ffffee2,
    0x5c401cff,0x40beffff,0x009effff,0x3077fd40,0x00003dfd,0x30001f30,
    0x0001ffff,0x39ffffb1,0xbf700274,0x000bf620,0x987bfa60,0x00001efe,
    0x0007bfaa,0x10000000,0x3e6005bb,0xffffffff,0xf00006ff,0xffffffff,
    0x00003fff,0x0dffffa8,0xffffb800,0x4fffffff,0xfffff880,0x07ffffff,
    0x7ffffcc0,0x7ffec001,0x017fff24,0x7fffff40,0xfe800005,0x3fa006ff,
    0xea81ffff,0x000dffff,0x006fffd8,0x7ffffec0,0x2fffc006,0x005ffff0,
    0xd8ffffa0,0x00004fff,0xf90005c8,0xb0009fff,0xdfffffff,0x7c4007fd,
    0xffedceff,0xfd80000f,0x3fff64ff,0x3fe00005,0x000005ff,0x7ff40000,
    0xfff9800f,0xffffffff,0xfff00006,0xffffffff,0xf800003f,0x0007f50c,
    0xfffffff7,0x1009ffff,0xffffffff,0x8800ffff,0x001fffff,0xfd37fffc,
    0x36000dff,0x004fffff,0x7fffcc00,0xfffb000f,0x3fe203ff,0x8000ffff,
    0x0001fffd,0x17ffffee,0x403ffa80,0x8002ffff,0x3e5ffff8,0x00006fff,
    0xc8000fc4,0x4003ffff,0xfffffff8,0x4000ffff,0xfffffffb,0xff00003f,
    0x7fff4dff,0xff300006,0x00000fff,0xffe80000,0xaaa8802f,0xaaaaaaaa,
    0x55500002,0x55555555,0x54000015,0x4003640f,0xaaaaaaa9,0x5001aaaa,
    0x55555555,0xff000555,0xb8003fff,0x3fee3fff,0xff90003f,0x00007fff,
    0x00dfffd0,0x0fffffec,0x9fffff50,0x13ff6000,0xffffb800,0x3ff5005f,
    0x03ffff00,0x8bfff200,0x0002fffc,0x100035c0,0x8001ffff,0xffea89fa,
    0x90002fff,0x09ffffff,0x7ffe4000,0x00fffee3,0x5ffff800,0x00000000,
    0x00fffcc0,0x00000000,0x80000000,0x000fa86c,0x00000000,0xffff0000,
    0x5950003f,0x40005950,0x03fffffc,0xefea8000,0x3fff6002,0x3fe201ff,
    0x8000ffff,0x20006fe8,0x04fffffb,0xf000efb8,0x40003fff,0x01ca81ca,
    0x003e8000,0x0005e440,0x16dc4254,0x7fed4000,0xa800002d,0x002ca82c,
    0x0f7fd400,0x00000000,0x00017e40,0x00000000,0xf3000000,0x00005d83,
    0x00000000,0x3ffffe00,0x00000001,0xfffffc80,0x06000003,0x3ffff600,
    0x7fffc01f,0xd10001ff,0x3ee0003f,0x6404ffff,0x7ffc004f,0x0000001f,
    0x07cc0000,0x00000000,0x00000000,0x00000000,0x00010000,0x3bbbbba2,
    0x0eeeeeee,0x77777754,0x442ddeee,0xeeeeeeee,0x540eeeee,0xeeeeeeee,
    0xdb951001,0x0359bdff,0x37dd0000,0xe88003fb,0xeeeeeeee,0xdd10eeee,
    0xdddddddd,0xdddddddd,0xff003ddd,0x00003fff,0xfc800002,0x0003ffff,
    0x7ec00000,0x7401ffff,0x002fffff,0x40006a20,0x04fffffb,0xf0007fd1,
    0x00003fff,0x22000000,0x000005c9,0x00000000,0x00000100,0x00000000,
    0xf9310000,0x17ffffff,0x77ffd4c0,0xff93000a,0x015fffff,0x577ff54c,
    0xffff7000,0xfffd7359,0x4400001b,0x0002dffc,0x3fffff22,0xf9300cff,
    0xddffffff,0xfffffddd,0xffff003f,0x9500003f,0x7fe40000,0x40003fff,
    0xeeeeeee8,0x00eeeeee,0x03fffffb,0x7fffffc4,0x202ea000,0x3ee001ca,
    0xe984ffff,0xfff0001f,0xdddd703f,0x7ddddddd,0x777774c0,0x3f6e03ee,
    0xe880dfff,0xeeeeeeee,0xeeeeeeee,0x7441eeee,0xeeeeeeee,0x0000eeee,
    0xe880012a,0xeeeeeeee,0xeeeeeeee,0x2e01eeee,0xeeeeeeee,0xeeeeeeee,
    0x7fc02eee,0x2004ffff,0xf0001ff9,0x009fffff,0x8800ffcc,0x2605fffe,
    0x0002ffff,0x00007ec0,0x5fffffd8,0xfffffb00,0x7fff4c09,0xfffff801,
    0x0fd80001,0xfff90000,0x200007ff,0xffffffc8,0x7fec00cf,0x3ea01fff,
    0x2007ffff,0x3f20fffd,0xff7001ff,0xefa89fff,0x3ffe0000,0xfffd501f,
    0x0017ffff,0x15dffd51,0xf55ffd10,0x32605fff,0xefffffff,0xffffeeee,
    0xff9101ff,0x019fffff,0x001fb000,0xffffc980,0xeeeeefff,0x01ffffff,
    0x3bfffff6,0xffdcccde,0xe806ffff,0x003fffff,0xfd00037c,0x8007ffff,
    0xfff7006f,0xfff300df,0x260000bf,0x900003ff,0x009fffff,0x13fffff2,
    0x2007ff20,0x001fffff,0x001ffcc0,0xfffffc80,0x7ec00003,0xb005ffff,
    0x403fffff,0x03fffffc,0x29ffff10,0x005ffff8,0x49fffff7,0x40003ffc,
    0x2201ffff,0x1ffffffe,0x8077dc00,0x3f61ffe9,0x3f600fff,0x2604ffff,
    0x6c01fffe,0x005fffff,0x007ff300,0x3ffff600,0x3ffa604f,0x3bffa01f,
    0x3fff600b,0xfd802fff,0x4003ffff,0x3f60006e,0x4003ffff,0xfff9806e,
    0xff9000ff,0xb00009ff,0x20000fff,0x04fffffc,0x9fffff90,0x2007f200,
    0x001fffff,0x003ffec0,0xfffffc80,0x7e400003,0xb004ffff,0x203fffff,
    0x05fffffb,0xd1ffffc0,0x2e009fff,0xd8cfffff,0x0001ffff,0x3007fffe,
    0x09ffffff,0x3601fd80,0x3ffe26ff,0x3ff203ff,0xfc804fff,0x7ffe401f,
    0xb00004ff,0x20000fff,0x04fffffc,0x3a01ffc8,0xfffa805f,0xfb005fff,
    0x8005ffff,0x3f60005e,0x4002ffff,0xfffe805e,0x3fe2004f,0x20001fff,
    0x002ffff8,0xfffffc80,0xffff9004,0x07e2009f,0x07ffffe0,0xffff8800,
    0xffc80002,0x00003fff,0x27ffffe4,0xfffffd80,0xfffb5311,0xf70007ff,
    0x77fd41df,0xffff7000,0xfffffddf,0x3fe0001f,0xffd801ff,0x1000ffff,
    0x7ffd409f,0x3ffffee4,0x3ffff204,0x03f9004f,0x4fffffc8,0xfff88000,
    0xfc80002f,0x9004ffff,0x4037c03f,0xffffffe8,0xffffb000,0x05e8005f,
    0x3ffff600,0x02f4002f,0x0bfffff2,0xdffffd00,0x3ff20001,0xc80006ff,
    0x004fffff,0x09fffff9,0x3e007a12,0x0001ffff,0x01bffff2,0x3ffff200,
    0x6400003f,0x004fffff,0xfffffffb,0x7fffffff,0x20188000,0x7ffdc001,
    0xffffffff,0xff0006ff,0xff1003ff,0x2009ffff,0x3ffa00fd,0x3ff2fa4f,
    0x3fff201f,0x3f1004ff,0xfffffc80,0xffc80004,0xc80006ff,0x004fffff,
    0x07e203f1,0x3fffff20,0x3ff6003f,0x74002fff,0x3ff60005,0x74002fff,
    0x3fffe605,0xffc8007f,0x88004fff,0x01ffffff,0x7fffe400,0xfff9004f,
    0x70b309ff,0xfffff003,0x3fe20003,0x0001ffff,0x1fffffe4,0x3ff20000,
    0xfb004fff,0xfd37ffff,0x001fffff,0xb8000000,0xd8efffff,0x04ffffff,
    0x01ffff80,0xffffff90,0x202f9803,0xf33ffff8,0xf9002ea1,0x1209ffff,
    0xfff9007a,0x880009ff,0x01ffffff,0x7fffe400,0x03d0904f,0x3fe601a2,
    0x4006ffff,0x02fffffd,0xb0002f40,0x005fffff,0x3ff205e8,0xa8005fff,
    0x007fffff,0xffffffb8,0x7fe40005,0xf9004fff,0xb509ffff,0x7fffc000,
    0xff70001f,0x000bffff,0x3fffffc8,0x7fe40000,0xfb004fff,0x3e23ffff,
    0x006fffff,0x3bbbbbb2,0x3bbbbb22,0x7ffdc02e,0xffff14ff,0xf8007fff,
    0xf1001fff,0x80bfffff,0x7ffcc06e,0x9000b95f,0x309fffff,0xfc80370b,
    0x0004ffff,0x7fffffdc,0x7fe40005,0x85984fff,0xd007301b,0x03ffffff,
    0xfffffd80,0x002f4002,0x5fffffb0,0x3a05e800,0x004fffff,0xffffff98,
    0x7ff74000,0x0000ffff,0x13fffff2,0x7ffffe40,0x20005d84,0x001fffff,
    0xfffffdd0,0x7e40001f,0x0003ffff,0x7ffffe40,0xffffb004,0x7fffdc3f,
    0xf91003ff,0x6445ffff,0x402fffff,0x24fffffb,0xfffffff9,0x3fffe001,
    0x3ffee001,0x3f701fff,0x6ffffa80,0xff90005f,0x0b509fff,0x3ffff200,
    0x7740004f,0x00ffffff,0x3ffff200,0x0005a84f,0xfffffb80,0xffd8004f,
    0x74002fff,0x3ff60005,0x74002fff,0x3ffffe05,0xff88004f,0x2002ffff,
    0xffffe9fa,0x3f20004f,0x9004ffff,0x989fffff,0x3fe0005f,0xa8001fff,
    0xfffffe9f,0x3ff20004,0xb8003fff,0xfffff903,0x3fff6009,0x7ffec1ff,
    0x3e001fff,0xff82ffff,0x7dc02fff,0x7dc4ffff,0x00ffffff,0x003ffff0,
    0x6fffffe8,0xfb804f88,0x007affff,0x9fffff90,0x32000bb0,0x004fffff,
    0x3ffa7ea0,0x20004fff,0x84fffffc,0x4400005d,0x0fffffff,0xffffd800,
    0x02f4002f,0xfffffb00,0x105e8005,0x07ffffff,0xfffff100,0xaaec007f,
    0x00ffffff,0xfffff900,0x3fff2009,0x17fea4ff,0xfffff800,0xf55d8001,
    0x001fffff,0x3fffff20,0x902d8003,0x009fffff,0x07fffff6,0xdffffff1,
    0x3fffe001,0xffffe82f,0x7fffdc02,0xffffc84f,0xfff006ff,0xffa8003f,
    0x7e42ffff,0xffffa800,0xf90004ef,0xf989ffff,0xfff90005,0x6c0009ff,
    0xffffff55,0x3ff20001,0x2fcc4fff,0x3ff60000,0x0002ffff,0x05fffffb,
    0x20005e80,0x02fffffd,0xffa82f40,0x8002ffff,0x5ffffff8,0x7fc3f300,
    0x0003ffff,0x09fffff9,0x3fffff20,0x05ffffef,0x3ffffe00,0xf0fcc001,
    0x007fffff,0x3fffff20,0x80fc4003,0x04fffffc,0x3fffffb0,0xffffff50,
    0x3fffa009,0xffffe82f,0x7fffdc02,0xffffd04f,0xfff009ff,0xffd0003f,
    0x17ccdfff,0xfffff880,0xff90001f,0x7fd49fff,0xfff90005,0x260009ff,
    0x3ffffe1f,0xff90003f,0x7fd49fff,0x3ea00005,0x005fffff,0x3fffff60,
    0x002f4002,0x5fffffb0,0xf505e800,0x005fffff,0x3fffffe0,0xfc8db005,
    0x0006ffff,0x09fffff9,0x3fffff20,0x05ffffee,0x3ffffe00,0x3236c001,
    0x006fffff,0x7fffff90,0x900fc800,0x009fffff,0x07fffff6,0x7fffffe4,
    0xffffe802,0x2ffffe82,0x7ffffdc0,0xfffff104,0xfff805ff,0xff98001f,
    0x0dd3ffff,0x7fffff80,0x3fff2000,0xffffefff,0xfff90005,0x360009ff,
    0x7ffffe46,0xfff90006,0xffffdfff,0x7f40000b,0x000fffff,0x3fffff60,
    0x002f4002,0x5fffffb0,0xf305e800,0x007fffff,0xffffff10,0x885f1009,
    0x02ffffff,0xfffffc80,0xffff9004,0x02ffd49f,0x3fffff00,0x2217c400,
    0x02ffffff,0xfffffc80,0x81fe2003,0x04fffffc,0x3fffffb0,0x7fffff40,
    0x7fff400f,0xffffe82f,0x7fffdc02,0x3ffe604f,0x3e01ffff,0xb0001fff,
    0xf7ffffff,0xfffd8003,0x402a04ff,0xeefffffc,0x0005ffff,0x09fffff9,
    0xf885f100,0x002fffff,0xefffffc8,0x005ffffe,0xfffff900,0xfd80007f,
    0x4002ffff,0x3f60005e,0x4002ffff,0xffff105e,0xf10009ff,0x007fffff,
    0x3fff60f9,0xfc8006ff,0x9004ffff,0xa89fffff,0xff10005f,0x64003fff,
    0xfffffb07,0xfffb000d,0x3e6009ff,0x3fff207f,0xffb004ff,0x7cc05fff,
    0x405fffff,0xe82ffffe,0x5c02ffff,0x405fffff,0xfffffffc,0x03ffff01,
    0x3fffe600,0x88004fff,0x83ffffff,0x3fff205c,0x17fea4ff,0x7fffe400,
    0x07c8004f,0x0dfffffb,0xfffff900,0x002ffd49,0x7ffffcc0,0xfd80006f,
    0x4002ffff,0x3f60005e,0x4002ffff,0x3fffe05e,0xf98004ff,0x401fffff,
    0xfff303f8,0xc8003fff,0x004fffff,0x09fffff9,0x3e2000bd,0x1002ffff,
    0x3ffe607f,0x6c001fff,0x805fffff,0x3206fff9,0x004fffff,0x07fffffd,
    0xffffffb8,0x3ffffa04,0x2ffffe82,0x7ffffe40,0xfffff805,0xfff80eff,
    0x3f20001f,0x000fffff,0xffffff50,0xc80bfb9f,0x544fffff,0xff90005f,
    0x88009fff,0xffff303f,0xfc8003ff,0x7d44ffff,0xffd80005,0x0001ffff,
    0x2fffffd8,0x00027c00,0x05fffffb,0x3f604f80,0x8005ffff,0x0ffffffa,
    0xfd007dc0,0x800bffff,0x04fffffc,0x9fffff90,0x70040b70,0x009fffff,
    0xffe803ee,0x26005fff,0xdfffffff,0xffdbaabc,0x3f205fff,0xa804ffff,
    0x0effffff,0x7ffffec0,0xffffd03f,0x5ffffd05,0x7ffffc40,0x7ff402ff,
    0x42ffffff,0x0001ffff,0x3fffffe2,0x3ff20000,0x0effffff,0x7ffffe40,
    0x90005e84,0x009fffff,0x3fa00fb8,0x4005ffff,0x84fffffc,0x7d40005e,
    0x004fffff,0xffffc802,0x027c003f,0xfffff900,0x204f8007,0x06fffffa,
    0xfffffb80,0xeeefe804,0xffffeeee,0x32000fff,0x004fffff,0x09fffff9,
    0x7c4340b3,0xffffffff,0x7777f401,0xffffeeee,0x3a600fff,0xfffffffe,
    0xffffffff,0x204fffff,0x04fffffc,0xffffffd3,0x20bdffff,0xfffffff8,
    0x7ffff41f,0x2ffffe82,0x7ffff744,0x44ffffff,0xfffffffc,0xff3fffff,
    0x440003ff,0x00ffffff,0x3ffbee00,0xc800beff,0xb84fffff,0xffc80205,
    0x74004fff,0xeeeeeeef,0x0fffffff,0x3ffff200,0x0205b84f,0xffffff10,
    0x806c001f,0x03fffffc,0x8000fe20,0x03fffffc,0xfd00fe20,0x8001ffff,
    0x00fffffd,0x666667d4,0xffffcccc,0x3f2004ff,0x9004ffff,0x209fffff,
    0x0000f303,0x33333ea0,0xfffccccc,0x00004fff,0xffc80000,0x00004fff,
    0xffd00000,0xfffd05ff,0x0000005f,0x1ffff800,0x3ffe2000,0x20000fff,
    0x0015513e,0x4fffffc8,0xc81a0598,0x004fffff,0x333333ea,0xffffcccc,
    0x3f2004ff,0x5984ffff,0xfff901a0,0x44005fff,0x3fffee07,0x07ea004f,
    0xffffb800,0x07ea004f,0x9fffff30,0x7fffc400,0x005d804f,0x0ffffff7,
    0x7ffffe40,0xffff9004,0x05d8009f,0x8005efec,0xfff7005d,0x30000fff,
    0x800039df,0x04fffffc,0x07bfb000,0xffffd000,0x5ffffd05,0xcee88000,
    0x7ffc0002,0x3e20001f,0x000fffff,0x00001f30,0x09fffff9,0xf903cc0e,
    0x4009ffff,0xfff7005d,0x7e400fff,0x0704ffff,0xfff981e6,0x5c005fff,
    0x3fffe206,0x01fa006f,0xfffff100,0x803f400d,0x00fffffd,0x1fffff70,
    0x1001fa80,0x07ffffff,0x3fffff20,0xffff9004,0x27d4009f,0x00ffffa0,
    0x7c4007ea,0x003fffff,0x07fffcc0,0xffff9000,0x3a00009f,0x40003fff,
    0xe83ffffe,0x0002ffff,0x00ffffc4,0x03ffff00,0x7fffc400,0xb90000ff,
    0x3ff20000,0x6c004fff,0x3ffff205,0x03f5004f,0x3ffffe20,0xfff9003f,
    0x5d8009ff,0x3fffffa0,0x1be2000f,0x5fffffb0,0x0007fb00,0x5fffffb0,
    0x2007fb00,0x03ffffe8,0x1fffff88,0x64006e80,0x006fffff,0x09fffff9,
    0x3fffff20,0x07ff5004,0x807ffb88,0x7fe4006e,0x80006fff,0x0003ffe8,
    0x13fffff2,0x7fdc4000,0x7fe40006,0x7ffec4ff,0x880003ff,0x20004ffd,
    0x0001ffff,0x3fffffe2,0x005f0000,0x3ffff200,0x13ea004f,0x4fffffc8,
    0xc800dd00,0x006fffff,0x09fffff9,0xfb827d40,0x003fffff,0x3a202fec,
    0x201fffff,0x100005fc,0x03fffffd,0x20017f22,0x402ffffd,0x801ffffe,
    0x7cc004fa,0x802fffff,0x05fffffd,0xdfffffb0,0x2fffd980,0x407ff980,
    0x7cc004fa,0x002fffff,0x003ffd80,0x3fffff20,0x3e600004,0x7d40007f,
    0xfc89ffff,0x003fffff,0x00bff700,0x017fffc0,0xfffff100,0x0f50001f,
    0x7ffe4000,0xff5004ff,0x7fffe407,0x04fa804f,0x7ffffcc0,0xfffc802f,
    0xff5004ff,0xfffff107,0x7f4c00df,0xffe9804f,0xdbacefff,0x400004ff,
    0xefffffe9,0x04ffebac,0x3fffee00,0x3ffae61b,0xfe8800cf,0xfffe8004,
    0x3e600eff,0x01ffffff,0x7fffffcc,0xeccaabdf,0x801fffff,0x3a204ffd,
    0xffe8004f,0x0000efff,0x0007ffe6,0x5fffffd8,0x3ff60000,0xffd80004,
    0xfe9effff,0x0000dfff,0x0017ffc4,0x009ffff0,0x7ffffcc0,0x04d8000f,
    0x3fff6000,0x7ecc06ff,0x3ff602ff,0x74405fff,0xffe8004f,0x6c00efff,
    0x406fffff,0xd82fffd9,0x01ffffff,0x3ffffc88,0x3fffee00,0x01dfffff,
    0x3fee0000,0xdfffffff,0xeb880001,0xffffffff,0xfd3001cf,0x7c4001ff,
    0x0dffffff,0x3ffffba2,0x0eefffff,0xfffffdd1,0xffffffff,0x1fffffff,
    0x0ffff660,0x00fffe98,0x3ffffe20,0x5c000dff,0x0001dffe,0x3fffffe6,
    0x3660001f,0x00003fff,0x1dffffb1,0x3ffffffa,0xffea8001,0x7fc0002e,
    0x002cefff,0x7fffffec,0x00fc4004,0xffff9800,0xcaabdfff,0x1fffffec,
    0xffffff30,0x3ffa603f,0x3fe2000f,0x00dfffff,0xfffffff3,0xfd99557b,
    0xfa83ffff,0xaaefffff,0xfdccaaaa,0x002fffff,0xaaccba98,0x20000000,
    0x0aaccba9,0x55100000,0x80035797,0xeffffffc,0x3fffb205,0x3fffffff,
    0x00000000,0x06662000,0xffffff90,0x7ff640bd,0xffffffff,0x02662003,
    0x7ff74400,0xefffffff,0x4cc4000e,0x71000001,0x80000015,0x00000998,
    0xfee88000,0xffffffff,0x01800eef,0x7ff74400,0xffffffff,0xffffffff,
    0x3fba20ff,0xffffffff,0xffff90ee,0x7640bdff,0xffffffff,0xffdd13ff,
    0xffffffff,0xffffffff,0x7ffc41ff,0xffffffff,0xffffffff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999999,0x30009999,0x99999999,
    0x20007999,0x0000001a,0x0000c400,0x00000000,0x00006600,0x100004c4,
    0x004c4000,0x33000020,0x10000000,0x00000000,0x33000008,0x26620000,
    0x00039000,0x00000000,0x00800000,0x00000000,0x00000000,0x6665c000,
    0x3ffe002c,0xffffffff,0x7fd4000f,0xffffffff,0x7d44006f,0x000001ae,
    0x85ffa800,0x0fe402fa,0xffffa800,0x7ec40003,0x0000dfee,0x98003ff3,
    0xf10006fc,0xdf93007f,0x837e4000,0x0fe402fa,0x05ffed40,0xa809f100,
    0x3fae203f,0xf90002df,0x36e2000d,0xceffffff,0x9001fc81,0x4003ffff,
    0x27cc05f8,0xf98037a0,0xbefda804,0xfffb0000,0xffd8003f,0xff7000ff,
    0xfd8005ff,0x44001fff,0x000effff,0x3ffffffe,0x000fffff,0x7fffffd4,
    0x006fffff,0xffffffd7,0x000003bf,0x0bfff600,0x3f620ffa,0x3ffa0004,
    0x30000fff,0x3ffe1fff,0x04fe8002,0x1bfff6a0,0x202fec00,0x006fffda,
    0x7403ff50,0x04fd883f,0x6fbadf98,0x406fe400,0x7fec06fb,0x4000ffff,
    0x44001ffa,0x9acefffc,0x70dffffc,0x3fe6005f,0x5c005fff,0x0ffb80ef,
    0x54077d40,0x6fd400ff,0x98005fca,0x005fffff,0x13ffffea,0x3ffffe20,
    0x3ffe6006,0x7dc005ff,0x54000eff,0xaaaaaaaa,0xa88002aa,0xaaaaaaaa,
    0x7f4c02aa,0xff91bd1e,0x544001df,0xcdeffecb,0x5fff700a,0x74c9ff50,
    0xf70000ff,0x009fffff,0x64bfff10,0x32000fff,0x2ae6006f,0xb8006fff,
    0x2ae600ff,0x88006fff,0x7fd404fe,0x003ffa24,0x003f3176,0xfb077fc4,
    0x4466405f,0x2004fffb,0x4c004fe8,0x2a05ffff,0x03fdffff,0x3fffff60,
    0x77f4001f,0x400fff21,0x3ff21ffe,0x7cc5d803,0x7fff4000,0xfd001fff,
    0x801fffff,0x3ffffffc,0xfffffd00,0x7ff4003f,0x0000000e,0x40000000,
    0x97a2fff8,0x7001fff9,0x7359dfff,0x7039fffd,0x3ffa01ff,0x003fffad,
    0xf9bfff10,0xfc8001ff,0x3ffee4ff,0x03ff3005,0x01bffe00,0x4007ff10,
    0xc8006fff,0xbffd006f,0x1007fff5,0x8009d05f,0xffeafffb,0x7ff40c06,
    0x01bf2003,0x0bffff70,0x0fffff30,0x767ffd40,0x7d4006ff,0x06ffdaff,
    0x36bffea0,0x1f8807ff,0x3ea003e8,0x05ffebff,0xfebfffb8,0x3ffe204f,
    0xa807ffdd,0x5ffebfff,0x01dff100,0x00008000,0x65405d40,0x22ffec01,
    0x00ffcc5e,0x813fff62,0xaceffff9,0x3ea01fea,0x006fffff,0xfb93ff20,
    0x7ffc004f,0x3fffea3f,0x004fe800,0x001bffa0,0xfe800bfb,0x7fd4006f,
    0xffff3001,0x27400dff,0x3e20017c,0x01ffffff,0x006ffc40,0x2001ffa8,
    0x00fffffa,0x07ffffb0,0xfd8bffa0,0x7ff4002f,0x4002ffff,0x2ffffffe,
    0x2f887f00,0xd8bffa00,0x3fe201ff,0x03ffd11f,0xffc8fff6,0x897ff403,
    0xfb801ffd,0x5400000f,0x3f600004,0x3fff20ff,0x8bfff101,0x201fc85e,
    0x805ffffb,0xacfffff9,0xfffd800a,0xf30002ff,0x01ff505f,0x8ffffe20,
    0x401ffffa,0x20000efc,0x2e006ffe,0x7f4000ff,0x3fa2006f,0x7ffec004,
    0x3ee002ff,0x2000f911,0x04fffffb,0x017fec40,0x2004fe88,0x05fffff8,
    0x3ffffe60,0x40f7dc01,0x7d4006fc,0x8005ffff,0x06fffffa,0x36447ae0,
    0x903df700,0x077e40df,0x7fcc2fec,0x700ffb82,0x0df901df,0x00001fd0,
    0x00001fb0,0x229ffff1,0xf505ffff,0x42f41fff,0xfff301f8,0x7fe400ff,
    0x7cc004ff,0x20005fff,0x17e601fd,0x1ffffcc0,0x405ffff5,0x40001ff9,
    0xf1006ffe,0xffd0007f,0x037e400d,0x37fffcc0,0x3fbf6200,0x3fa0003f,
    0x32000fff,0x803fffff,0x7ec006fc,0x2002ffff,0x06fffffe,0xfb8037e2,
    0x7fff4002,0xffb0001f,0x744003ff,0x1002ffef,0x17dc01bf,0x3f202fcc,
    0xf500f741,0x401bf109,0x000002fb,0x007ff300,0x8ffffe00,0xf704fffe,
    0x17a1dfff,0xfffe80ec,0x3fe2004f,0x4c001fff,0x00000999,0xf1001880,
    0x7fd47fff,0x13fa01ff,0x1bffa000,0x8002fec0,0xf3006ffe,0x2620003f,
    0x71000099,0x33100005,0xfd500013,0x7cc01fff,0x3fe2001f,0x36007fff,
    0x4fffffdf,0x00088000,0x0004ccc4,0x00333310,0x0000b260,0x40000880,
    0x01100009,0x88008800,0x36000080,0x700007ff,0x7fd41dff,0xffff300e,
    0x800bd3ff,0x01fffffc,0x37ffff40,0x00001800,0x3fe00000,0x3ffea3ff,
    0x01df900f,0x0dffd000,0x0001ff50,0x2201bffa,0x440004fe,0x00000080,
    0x0004c400,0x205fff70,0x64004fe8,0x006fffff,0xffff75f9,0x000000ff,
    0x20000180,0x4c400018,0x09880000,0x01011000,0x20000c40,0x3ff22001,
    0x003dacef,0x05ffff10,0x18062000,0x7ffffc40,0x26005fff,0x007fffff,
    0x4fffffc8,0xdfffd700,0x3bbbae05,0xee89eeee,0x25eeeeee,0x363eeeeb,
    0x3fee4fff,0x05ff306f,0x1bffa000,0x0007ff10,0x64037ff4,0xf910006f,
    0x47b59dff,0x2eeeeeec,0x3bbbbbb2,0x7ff64402,0x88003fff,0xdf901fff,
    0xfffff000,0x27f500bf,0x0ffffff9,0x5dddddd9,0x77777764,0x7ff64402,
    0x5c001bdf,0x01effffd,0xffffec88,0x3b22003f,0x803fffff,0xacefffc8,
    0x7fedc03d,0xd7001eff,0x4405dfff,0xffc9bffe,0xff90004f,0x00000dff,
    0x7ffd4000,0x002fffff,0x0bfffff9,0xfffff500,0xaffe880f,0xd884ffc8,
    0x20efffff,0xcfffffe9,0x305ffd40,0x7fe4bfff,0x009fd01f,0x037ff400,
    0xd0001bf6,0xff980dff,0xffe88001,0x24fffc9b,0x2fffffc8,0x3fffff22,
    0x26fbee02,0x205fffea,0x260ff900,0x7c4001ff,0x404fffff,0x3ffe24f9,
    0xff911fff,0x7e445fff,0x2202ffff,0xfea9cffe,0xffd8803f,0x03fffe9b,
    0x3aa6fbee,0xfb805fff,0xfffea9be,0x2fffa205,0x104fffc9,0xffd37ffb,
    0x7ff4407f,0xb04ffc8a,0x4fe889ff,0xffff8800,0x764001ff,0x322eeeee,
    0x02eeeeee,0xfffffff9,0xfffd009f,0xf30009ff,0x201fffff,0x3e22fff8,
    0xfffd03ff,0xffff30df,0x5c17a07f,0x0fffa7ff,0x000077e4,0x540dfff0,
    0x7c0000ff,0x3fa206ff,0x9ffb0004,0xff84fe88,0xfff82fff,0x3ffd02ff,
    0x84ffff98,0x0ff42ffb,0x40027f44,0x4ffffff9,0xff117e60,0xff87ffff,
    0xfff82fff,0xfff302ff,0x02fffa8b,0xfb8bffa2,0xffe81fff,0x27fffcc1,
    0xf983ffd0,0xffb04fff,0x884fe889,0x3fee2ffe,0xfff881ff,0x10fffe22,
    0x9f109fff,0xffff7000,0xc8800bff,0x222fffff,0x02fffffc,0x3fffffee,
    0x3fe01eff,0x8004ffff,0x2ffffff8,0xf90fffb0,0xfff501ff,0xfffb01ff,
    0x403f10bf,0x1efcdffa,0x0005ff30,0xffff7310,0x03ff8835,0xfff73100,
    0x0df9035f,0x13ffe200,0x3ffe13e2,0xfffe82ff,0x4fff982f,0x40fffff8,
    0xedbefffb,0x000df901,0x3fffffea,0xf10dd103,0xf89fffff,0xfe82ffff,
    0xffd02fff,0x3fffd05f,0xf11fff60,0xff989fff,0xfffff84f,0x84fff980,
    0x440fffff,0x4f884fff,0x7c47ffd8,0xffd84fff,0x20fffc87,0xb83ffffa,
    0xffee8005,0x8000ffff,0xf82fffff,0x5402ffff,0xffffffff,0xffff882f,
    0xf88003ff,0xa83fffff,0xffb85fff,0xffffd04f,0xfffffd07,0x53006a81,
    0x04fe8035,0x402b32e6,0xaaaaaaa8,0xc9837ec2,0x5555101c,0xff985555,
    0x2a2ec401,0x5b83ffff,0x82ffffe8,0xd82ffffe,0x7fc0ffff,0xca981fff,
    0x3fe602bc,0x2a2ec401,0x02ffffff,0xfff101dd,0xffe8bfff,0xfffe82ff,
    0xffffa82f,0x87fffd81,0xfe85fff9,0x7ffec5ff,0x7ffffc0f,0x0ffffd81,
    0x20fffffc,0xb83ffffa,0x42fffcc5,0x7d45fffe,0xfffb85ff,0x3ffffea4,
    0x2a002444,0xfffffe9f,0xffff8004,0xffffe82f,0xfffd8802,0x543fffff,
    0x02ffffff,0xfffff880,0x4fffe85f,0x706fffa8,0xf98dffff,0x6c3fffff,
    0x7e400004,0xaffd880f,0x40002ffd,0x7fcc0ffa,0x0001efff,0x7f4027f4,
    0x7ffffd47,0x7ff42444,0xfffe82ff,0xffffc82f,0x17ffff41,0x027f4000,
    0x3fe23ff4,0xfd83ffff,0xfffff101,0xffffe89f,0x2ffffe82,0x80ffffe8,
    0x6c1ffffc,0xffb85fff,0x7fffe42f,0x17ffff41,0x20ffffe4,0x542ffffe,
    0x444fffff,0x42fffec4,0x7f42fffb,0xfffa84ff,0x7fffffc6,0x5760001e,
    0x0ffffffa,0x7ffff400,0x2ffffe82,0x3fffea00,0x3ea0ffff,0x002fffff,
    0xbffffff0,0x507ffff0,0x3e20ffff,0x3321ffff,0x226ffffc,0x2600001f,
    0xffe882ff,0x007fff14,0x3a0ffe20,0x06ffffef,0x201bf200,0xfff87ffd,
    0x7401efff,0xfe82ffff,0xfe882fff,0xfffff85f,0x37e40002,0x7c3ffec0,
    0x644fffff,0x3ffe202f,0x7ff43fff,0xfffe82ff,0x7fffc42f,0x7ffff907,
    0x827fffc4,0xffe881b9,0x2fffff85,0xf85ffe88,0xff82ffff,0x101effff,
    0x2609ffff,0x3ffff81b,0x647fffa8,0x3fffffff,0x3e1f9800,0x003fffff,
    0x417ffff4,0x002ffffe,0x7ffffff4,0x3fffe64f,0xf88003ff,0x4c4fffff,
    0xeeeeffff,0x00ffffee,0x7c9ffffb,0x1fffff9a,0xe80000d7,0x5fff904f,
    0x0007fff4,0x12dc37ec,0x0003fffd,0xfc803ff3,0xfffc87ff,0x3a03ffff,
    0xfe82ffff,0x02202fff,0x5fffffd5,0x0ffcc000,0x21ffff20,0x25fffffe,
    0x7fcc03fb,0x7f42ffff,0xffe82fff,0x7ffd42ff,0xffff707f,0x2ffffcc9,
    0xea811000,0x202fffff,0x7fff5408,0xfffc82ff,0xf983ffff,0x4c005fff,
    0xeeeeffff,0x20ffffee,0xfffffff9,0x236c004f,0x06fffffc,0x17ffff40,
    0x017ffff4,0x3fff37a0,0x3ffe26ff,0x88004fff,0x43ffffff,0xcceffffa,
    0x0ccccccc,0x2fffff50,0x3ffffa7a,0x400007d4,0xff880ffb,0x3fff61ff,
    0x07fd4004,0x07ffdc04,0x2027f400,0x987ffdfa,0xffffffff,0x5ffffd04,
    0x05ffffd0,0x3fb3faa0,0x20002fff,0x6fd404fe,0xfffc87ff,0x009f56ff,
    0x1ffffff5,0x82ffffe8,0x5c2ffffe,0xf907ffff,0x7fd4dfff,0x500006ff,
    0xffffd9fd,0x33faa005,0x982ffffe,0xffffffff,0x37fffd44,0x3fffea00,
    0xccccccce,0x7ffcc0cc,0x004fffff,0xfff885f1,0x3a002fff,0xfe82ffff,
    0x74002fff,0x1fffff95,0x27fffffc,0x7fffcc00,0x7ffdc1ff,0xff80005f,
    0x2e4dafff,0x0f9fffff,0x5ff30000,0x83fffea0,0x2006fffc,0x2a003ff8,
    0xfc8005ff,0x7dd7cc06,0xffff307f,0xfd09ffff,0xffd05fff,0xfe9805ff,
    0x5ffffd2f,0x01bf2000,0x0fff75f3,0x3dfffff5,0x3ff200bf,0xffe84fff,
    0xfffe82ff,0x7fffdc2f,0xfffff907,0x07ffffdc,0x5ffd3000,0x00bffffa,
    0x3fa5ffd3,0xff302fff,0x49ffffff,0x00fffffb,0x17fffee0,0xfffe8800,
    0xc800ffff,0xfffffb07,0x7fff400d,0xffffe82f,0xd97a0682,0x3f60ffff,
    0x8005ffff,0x0ffffffa,0x03ffffd4,0x7fffe400,0x3ffe21fe,0x00006eff,
    0xffb813fa,0x3fff20ff,0x01bf6007,0x8005ff90,0x3e201ff9,0x440fff73,
    0xfffffffe,0x17ffff40,0x017ffff4,0x7f43fff9,0x98002fff,0x4fe201ff,
    0xffb07ffb,0x400dffff,0x81fffffd,0xe82ffffe,0x7d42ffff,0xff907fff,
    0x7ffd4dff,0xf90001ff,0x7fff43ff,0x3fff202f,0x0bffffa1,0xfffffe88,
    0xffff50ff,0x7fd4003f,0xc80007ff,0x02ffffff,0xff981fc4,0xd001ffff,
    0xfd05ffff,0x03f05fff,0x7fffb97a,0x37ffffd4,0x7fffdc00,0xffff984f,
    0x7cc0000f,0xfd86ffff,0x0003ffff,0x5c01ff70,0x3f20ffff,0xff5007ff,
    0x04ff8003,0x2204fe80,0x01ffee4e,0x3ffffff2,0x17ffff42,0x817ffff4,
    0x7f43fffd,0xe8002fff,0xb93a204f,0xfff107ff,0x22001dff,0xd05fffff,
    0xfd05ffff,0xff985fff,0xfff907ff,0x7fffccbf,0xffd8003f,0x7ffff43f,
    0x87fffb02,0x802ffffe,0x2ffffffc,0x07fffff3,0x7ffffcc0,0x26122000,
    0x404fffff,0x3ffa00fb,0xfd005fff,0xffd05fff,0x209f05ff,0x17ffe65e,
    0x03fffffa,0xfffffb00,0xfffff101,0xff800809,0xffa83fff,0x80000fff,
    0x7d402ff9,0x3ff21fff,0x3ff8806f,0x0027e400,0xdb0077e4,0x3fff9333,
    0x3fe61221,0x7ff44fff,0xfffe82ff,0xffffc82f,0x17ffff40,0x803bf200,
    0xffc999ed,0xfffa809f,0x3ff2006f,0x3ffa06ff,0xfffe82ff,0x7fffc42f,
    0xffffc80f,0x7fffffc3,0x3fff2000,0x7ffff40f,0x0ffffc82,0x217ffff4,
    0xffff9848,0x3ffffe4f,0xfff1000f,0x220809ff,0xffff881f,0x7777f403,
    0xffffeeee,0xfe800fff,0xffe82fff,0x80ff82ff,0x07ffee5e,0x13ffffe6,
    0xfffff880,0x3ffff604,0x801d100f,0xf00ffffc,0x0000bfff,0x3e6017fa,
    0x3ff61fff,0x06fd805f,0x00227d40,0xf8807fe6,0xffffffff,0xf103f12f,
    0xffe87fff,0xfffe83ff,0xfffff82f,0x17ffff40,0x403ff300,0xfffffff8,
    0xffb02fff,0xff1007ff,0x7f401fff,0xffe83fff,0xfffc82ff,0xffffd80f,
    0x7ffffe40,0xfff82605,0x7fff40ff,0xfffff82f,0x17ffff40,0x3fe207e2,
    0x3fff23ff,0xd82605ff,0x100fffff,0x641be21d,0x3ea01fff,0xcccccccc,
    0x4ffffffc,0x2ffffe80,0x82ffffe8,0xb2f41fff,0x7fec09ff,0xfb000fff,
    0x5401ffff,0x80efffff,0xfff9803e,0x0bfff205,0x03fee000,0xd17ffec0,
    0xfa803fff,0x0fe6001f,0x09fd00f3,0xffffff88,0xdf12ffff,0x907fff20,
    0xfd89ffff,0x7c43ffff,0xd98cffff,0x002fffff,0xff1013fa,0xffffffff,
    0x3ffff205,0x7fff401f,0x7ffe400e,0x7fffec4f,0xffff883f,0x84fffe81,
    0x3ffffff8,0x3ffe25b8,0xffd98cff,0x7fc42fff,0xfd98cfff,0x7c42ffff,
    0x43fff906,0x3ffffff8,0x7ffd45b8,0x43e80eff,0x7ffb83ff,0xfb802ec0,
    0xe807ffff,0xfe83ffff,0xfff82fff,0xfd3bd1bf,0xffe8809f,0xffa803ff,
    0xfd801fff,0xcacfffff,0x3ffa006e,0x03ffe602,0x05ff3000,0xf1fffc40,
    0xff8809ff,0x3bfe6003,0x6405ffee,0xf70000ef,0x707ff0ff,0xfff50fff,
    0xfff913ff,0xfff07fff,0xfdbfffff,0x8075bfff,0x70000efc,0x5fdc0fff,
    0x22cfffea,0x03ffffc9,0x3fffff50,0xffffff91,0x13ffee07,0x201dfff3,
    0xfffffffc,0x7fc0eecd,0xedffffff,0x23adffff,0xffffffff,0xadffffed,
    0x3ee0ffe3,0xffffc87f,0x0eecdfff,0xffffffd8,0xff86ecac,0x1ffd32ef,
    0x8800fd40,0x03ffffff,0x227fffe4,0x83fffffd,0xfffffec9,0x2001dfff,
    0x402ffffd,0x001ffffe,0x3ffffff6,0x2e000eff,0x2ff400ff,0x02ff4000,
    0x5c7ffd40,0x6fd804ff,0x3fffe600,0x2604ffff,0x2e0001ff,0xefff87ff,
    0x201ffd32,0xeffffffd,0x0dffffe9,0x7fffffe4,0xdfffff53,0x00ffcc01,
    0x20fff700,0x7fecc4fa,0xbefffeff,0x7ffec000,0xffe9efff,0xff700dff,
    0x37ff625f,0x7fffe400,0xc80effff,0x53ffffff,0x41dfffff,0x3ffffffc,
    0x1dfffff5,0xe9977ffc,0xfff900ff,0x01dfffff,0x7fffffec,0xddf80eff,
    0x01efffff,0x3f200374,0x5406ffff,0xc89fffff,0x03ffffff,0x0f7dd4c4,
    0xffff7000,0x7ffe4c37,0xfc8000cf,0x00beffff,0x5c02fc40,0x7dc0002f,
    0xd910000f,0xf5005bdf,0x776c003f,0x01eeeeee,0x500013fa,0xfbbf0bdd,
    0x403dffff,0x0effffd8,0x3ffffffd,0x0efffe44,0x0037fff2,0xa80009fd,
    0x809f05ee,0x00aacba9,0x3fff6200,0xffffd0ef,0x3fa603ff,0x004fffef,
    0x3bffffea,0xfff9100c,0xdfffc83b,0x6fffe440,0x06fffe41,0x3ffff77e,
    0x7fd401ef,0x800cefff,0xbefffffc,0x0ab98500,0x4004fa80,0x2ffffff9,
    0x7ffffec0,0xffffe9ef,0x017a000d,0x3ffae200,0xcfffffff,0xaa880001,
    0x00dc0000,0x00000244,0x44000000,0x00000009,0x00000662,0x015730a0,
    0x00055c40,0x800c0040,0x00000198,0x00000010,0x000ab880,0x02ae6200,
    0x00ba8800,0x800c0040,0x30a01800,0xa8800157,0x5510000b,0x88000001,
    0xfe8004fe,0x200effff,0x0effffd8,0x3ffffffd,0x0000ee00,0x57975510,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffd3000,0x7ffc4001,0x400dffff,0x00000ab8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffc80,0x3fb205ef,0xffffffff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xca800000,0x44003ccc,0x20000009,0x001ccccc,0x02620044,0x00c40000,
    0x00098811,0x31009980,0x33326001,0x80399931,0x40088008,0x99800028,
    0x20000001,0x00000008,0x00013000,0x00062000,0x80000980,0x99300098,
    0xcb801999,0x00003ccc,0x00400220,0x4cc00000,0x00000000,0x5404f880,
    0x7fec003f,0x7c0000ff,0x4400ffff,0x3fffffec,0x7fcc0000,0x5a8005ff,
    0x7fffee54,0x20002bdf,0x1dfffdb8,0x09fb0fa6,0x207ff000,0xffb003ff,
    0x4037fe4b,0x0bea00ed,0x003fffc8,0x3ffffb22,0x26001cff,0x0eeeeeee,
    0x015bffb7,0x74c01dd0,0x7ff54005,0xdd100cff,0x7ddddddd,0xefffdb88,
    0xffd98002,0x360003ff,0xfff9004f,0xffd1005f,0x775c00ff,0xd913eeee,
    0x7c405bff,0x005c880c,0xffffeb80,0xfe80002e,0x320006ff,0x06fb80df,
    0x7ffffcc0,0x3fe60005,0x77dc01ff,0x5fffea9b,0x3ff20000,0xdf50005f,
    0x9557bffb,0x01bffffd,0x89effc80,0x3ffcbffa,0x20003fd4,0xff881ff9,
    0x0fff8801,0x2e003ffe,0x3ee60adf,0xffff100f,0xffd9801f,0xfecbabce,
    0xfb3002ef,0xffb3ffff,0x801dffff,0xffa80efa,0xfffd1000,0x403fffff,
    0xffffffc8,0x36f3bea4,0x9000dfff,0xdfd519ff,0x05ff0001,0x00ffffe0,
    0x02ffff88,0x3ffffee0,0xfffffe8c,0x93fa602f,0x20001dfb,0xffcbffe8,
    0x2e0004ff,0x003fffff,0x6c1dff10,0x7f4002ff,0x001fffff,0x803fff90,
    0x7fcc1ffe,0xf00004ff,0x54000bff,0x2601dfff,0x001effff,0xfb83fffb,
    0x7c43ffff,0x3ee0001f,0x001ff507,0x7fd45ff5,0xffff1003,0x40bfffff,
    0x02fffffb,0x10073fee,0x26009ff9,0xaeefffff,0x05ffffd9,0x3ee1ffe8,
    0xffd1004f,0xffffffff,0xffffd801,0xf507f34f,0xff900bff,0x00effb8f,
    0x4c01fea0,0x98003fff,0x74004fff,0xadfeffff,0x00fffffd,0x0bbbbfa2,
    0x87ffa000,0x002ffff8,0xffffff88,0xff70000f,0x00dffd5f,0xfebfffa8,
    0xfff0005f,0x4fff9803,0x00fffff8,0x077fcc00,0x09ff5000,0x3ffffe60,
    0x37ffe403,0x83fffff8,0x320004fd,0x00df906f,0x0bf917f6,0xfffffb80,
    0x3e600fff,0xfb00ffff,0xfd88001d,0x7ffc400e,0x7fe40fff,0x7fcc02ff,
    0x00fffdaf,0xffd9ffd0,0x809fffff,0x8cfffffc,0x3fff202f,0x0fffea05,
    0x400bfff1,0xff9005fc,0x7fcc0009,0x7ffec007,0x7fffc4ff,0x7ffd402f,
    0xffc80003,0x05fffe87,0xfbfffc80,0x3e0003ff,0x01ffffff,0xd897ffc0,
    0x7cc001ff,0xfffd801f,0x7ffffc0f,0x77e40001,0x37d40000,0x3fffea00,
    0xffff301f,0x3ffffa07,0x0006fb83,0x2fec13fa,0x3e077c40,0xffb8000f,
    0xe801efff,0x9f905fff,0x05fb8000,0x17ffffc4,0x07ffffcc,0x3fffff60,
    0x83f7003f,0x6fffffd9,0x7ffffe40,0x7fcc04ed,0xfffd02ff,0x03ffff05,
    0x7c00bfe0,0xf980004f,0x3ff2002f,0xfffd85ff,0xd9fb103f,0x440007ff,
    0xffb86fff,0x7fcc006f,0x01ffd10e,0x3fffee00,0x77dc005f,0x4006fc80,
    0xff9002fc,0xfffe83ff,0x77c0002f,0x1fa80000,0xffffe800,0x3ffff706,
    0x0fffffa0,0x40007fe2,0x07ff03ff,0x2f983f50,0x336e2000,0x80e54002,
    0xfb9505fa,0x64d1359d,0x3ffe203f,0xffff00ff,0xfff9803f,0x1d1006ff,
    0x37ffffc0,0x3ffffee0,0xffff006f,0xffff981f,0x05fffe81,0x9800ff98,
    0x2600004f,0x3ff2004f,0xfffd84ff,0x86fe444f,0x0003fff9,0xf30ffff3,
    0xfd8009ff,0x027f440d,0x1ffffd00,0x006fc400,0x000005f7,0x7c2fff44,
    0x0002ffff,0x1aa00000,0x7fffdc00,0xffffd83f,0x7ffffd01,0x2000ffa0,
    0xff881ff9,0x00000001,0x22000000,0x7fec40ef,0x8dff930b,0xfff101fe,
    0x3ffa01ff,0xffd803ff,0x011002ff,0x04ffffc8,0x7fffffdc,0xffffd002,
    0x1ffffb87,0x807fffe8,0x000005fc,0x7e400000,0xffc84fff,0x40ec44ff,
    0x8003fffd,0x4c2ffffb,0x2a001fff,0x007ec04f,0x00999880,0x00220000,
    0x08800620,0x7fffff54,0x004c4002,0x0750004c,0x3fffe200,0x7fffc0ff,
    0xffffb00f,0x001bee07,0x7fd41fee,0x00000000,0x2e000000,0x0fffd41f,
    0x27c46f98,0x0fffff88,0x09ffffd0,0x00333310,0xffff9800,0x7fffdc01,
    0x3ff6006f,0x7ffec6ff,0xffffe81f,0x001ff401,0x01800006,0x4ffffc80,
    0x04ffffc8,0x03fffe60,0xbffff500,0x0003ffc8,0x00002600,0x00300000,
    0xffffdb80,0x3faa001e,0x02ffffec,0xeffffc88,0x3fff661d,0x000000df,
    0x1ffffff4,0x01fffff3,0x40fffff6,0x3e600ff9,0xffffffff,0xffffffff,
    0xdddddd94,0x77777645,0x7777642e,0x3bbb22ee,0x41202eee,0x27ffc46e,
    0x03f61b20,0x03ffffe2,0x02ffffec,0x00000880,0x7007fff7,0x009fffff,
    0x07ffffec,0xd03ffffd,0x4c07ffff,0x764400ff,0x001bdfff,0x37fffb22,
    0xfffc801b,0xffffc84f,0x26f2a204,0x4006fffe,0x88fffffa,0x00002ffc,
    0x77764000,0x3bb22eee,0x4402eeee,0x1bdfffec,0x37ffb100,0x9807fffd,
    0xfffd2ffe,0xbffc805f,0xabfffeba,0xfffb8cff,0x36000002,0x2a5fffff,
    0x3607ffff,0x3a03ffff,0x3ffe603f,0xffffffff,0x14ffffff,0x45fffff9,
    0x2fffffc8,0x7ffffe44,0x3ffff222,0xa81f102f,0x07ffec3f,0x0fea1a20,
    0x03ffffe2,0xbb7fffec,0x13eeeeee,0x005bffd9,0x003ffe80,0x09fffff7,
    0x7ffffe40,0x03ffffe3,0x817ffffa,0x7f4406fb,0x3ffea9cf,0x9cffe880,
    0x6403ffea,0xfc84ffff,0xfe884fff,0xffffedff,0x3fe2003f,0x0cffefff,
    0x3bba2000,0x1000eeee,0x45fffff9,0x2fffffc8,0x273ffa20,0x4403ffea,
    0x3fee2ffe,0xfff901ff,0x17ffff43,0xe883ffb0,0x5c5fffff,0x00000fff,
    0xdfffff90,0x07ffffdc,0x03ffffd8,0xaa881bf2,0xaaacffba,0x1aadffaa,
    0x417ffffc,0xf02fffff,0xff05ffff,0x3e605fff,0xff107dc1,0x4f8000df,
    0x0fffff88,0x29ffffb0,0xcfffffb8,0xffffffe9,0xdff90001,0x3ffee001,
    0x3f2004ff,0xff14ffff,0xffd01fff,0x1ff40bff,0xa8bfff30,0x3e602fff,
    0x7ffd45ff,0x3ffff202,0x4ffffc84,0x907fff44,0x800dffff,0x0cfffffe,
    0x55555550,0xffffb305,0xfff8003f,0xffff82ff,0xbfff302f,0x202fffa8,
    0x7fc47ffd,0xfffd84ff,0x17ffff43,0xc83fffb8,0x441fffff,0x00005fff,
    0xffffff70,0x07ffffd4,0x03ffffd8,0x4c003fe6,0x1ff881ff,0x0bffffe0,
    0x40bffffa,0xe82fffff,0xf502ffff,0x7fcc7c85,0x3740005f,0x07ffffc4,
    0x43ffffd8,0xdfeffffe,0x06ffffda,0x7fffe4c0,0xfffb801f,0x3f2004ff,
    0xff35ffff,0xffd01fff,0x3fe20dff,0x0bfffa01,0x7407fffa,0xffe82fff,
    0xffff901f,0x9ffff909,0x21ffffc4,0x01fffff8,0xfffffb10,0x7fffdc0b,
    0xfff303ff,0xff8003ff,0xffe82fff,0xfffd02ff,0x03fffd05,0xfd0bfff3,
    0xfffc8bff,0x7ffff40f,0x1ffffb02,0x07ffffb8,0x3ee3fffd,0xffffffff,
    0xffffffff,0xffffffff,0x3fffff31,0x0fffff60,0x2e005ff0,0x01ff507f,
    0x417ffff4,0xd02ffffe,0xfd05ffff,0x3ee05fff,0x3fee36c4,0x3ec0004f,
    0x07ffffc4,0x41ffffe8,0x43fffffd,0x801fffff,0xffffffe8,0x7fdc03ff,
    0x32004fff,0xf76fffff,0xfd01ffff,0x3ee0ffff,0x3fffea06,0x87fffd81,
    0xd81ffffa,0xff907fff,0xfff909ff,0x7fffdc9f,0x4ffffe80,0x7fffe440,
    0x2203ffff,0x7c404fff,0x4001ffff,0xe82ffffe,0xfa82ffff,0xffd81fff,
    0x5fffd87f,0x7c2fffb8,0x7f40ffff,0xff902fff,0xfffa83ff,0x7fffb06f,
    0x3fffffea,0xcccccccd,0xfffdcccc,0x3ffa1fff,0xfffb03ff,0x05fc807f,
    0x3f20df90,0x7ffff406,0x2ffffe82,0x05ffffd0,0x205ffffd,0x323745fd,
    0x40005fff,0xffff887d,0xfffff00f,0x5ffffd81,0x02ffffe8,0xfffffb50,
    0x7dc03fff,0x2004ffff,0x96fffffc,0xd01fffff,0x360fffff,0x3fffa04f,
    0xffffc80f,0x07ffff41,0x40ffffe4,0xc84ffffc,0x3fa4ffff,0xfffb07ff,
    0x67fd40bf,0xffffffb8,0x201bfa00,0x01fffff8,0x17ffff40,0x417ffff4,
    0xc80ffffe,0x3e21ffff,0x37304fff,0xcfffff88,0xfffffd98,0x09ffd102,
    0x20bffff5,0xff34fffd,0x8005ffff,0x47fffffb,0x886ffffb,0x403ffffe,
    0x9fd007fa,0xfd013f60,0xffd05fff,0x3ffa05ff,0xfffe82ff,0xd8fff02f,
    0x037ffd47,0x3e21ba00,0xfa82ffff,0xffd84fff,0xfffd84ff,0x7f44003f,
    0x205fffff,0x04fffffb,0x3fffff20,0x1fffff76,0x0bffffd0,0x3e203ff1,
    0xff907fff,0x7ffc47ff,0xffff907f,0xbffffb07,0x29ffff90,0xb07ffff9,
    0x320dffff,0x7fff45ff,0x07fe05ff,0x3ffffe20,0x7fff4001,0xffffe82f,
    0x3ffffc42,0x23ffffc8,0x005ffff9,0xfffffff8,0xdffffedf,0xc881303a,
    0xeeffffff,0x5ffffeee,0x5ffffff1,0xffffc800,0xffffe86f,0x3ffffa23,
    0x02ff803f,0xff81ffc4,0x7ffff403,0x2ffffe82,0x05ffffd0,0x105ffffd,
    0x07e41fff,0x000dfff3,0xfff885f8,0x7fec2fff,0xffffb06f,0x7ffffb09,
    0x3fff2000,0x3fee07ff,0x32004fff,0xf55fffff,0xfd01ffff,0xff509fff,
    0x3ffffd40,0x24ffffb8,0x707ffffa,0xfb09ffff,0xff90dfff,0x3ffea9ff,
    0xffff907f,0x85fffb0f,0x4ffffff9,0xf1003fa8,0x8003ffff,0xe82ffffe,
    0x7d42ffff,0xff707fff,0x7ffd49ff,0xffc8006f,0xff53ffff,0x1001dfff,
    0xffff7df9,0x9999999d,0x7fffc799,0x7ec003ff,0xe885ffff,0xdfdeffff,
    0x803ffffe,0xfff984fd,0xffffffff,0x44ffffff,0xe82ffffe,0xfd02ffff,
    0xffd05fff,0xfff505ff,0x3fe17d45,0xf30000ff,0xfffff109,0xfffd7bf9,
    0x3fff603f,0xffffd84f,0x3ff60003,0xff700fff,0x64009fff,0xf33fffff,
    0xfd01ffff,0x9fb07fff,0x3ffffdc0,0x26ffffc8,0x907ffffb,0xf88dffff,
    0x640fffff,0xff74ffff,0x3ff20fff,0x7ffd47ff,0xfffffb07,0x2006e87f,
    0x01fffff8,0x17ffff40,0x217ffff4,0x907ffffb,0x7dcdffff,0x4000ffff,
    0x41dfffc8,0x800dfffc,0xfff33ffc,0xffd000df,0xd8007fff,0x104fffff,
    0x27fffffd,0x803ffffd,0xfff987fa,0xffffffff,0x44ffffff,0xe82ffffe,
    0xfd02ffff,0xffd05fff,0xfff905ff,0x3ea2fc49,0x40c404ff,0xfff881fc,
    0xffffa8ff,0x3ff601df,0xfffd84ff,0x3e20003f,0xf700ffff,0x4009ffff,
    0x22fffffc,0xe80fffff,0xff82ffff,0x3fffee02,0xfffff907,0x83ffffdc,
    0x2e7ffffc,0xffffffff,0x53ffff21,0x907ffffb,0xfe8bffff,0xff881fff,
    0xf92fffff,0x7ffc4001,0x7f4001ff,0xffe82fff,0x7ffdc2ff,0xffff907f,
    0x7ffffd4f,0xa8020001,0xffd3004f,0x7ffffcc5,0x7ffe4000,0x7f4004ff,
    0x4402ffff,0x7ffec1ba,0x1ff8803f,0x577f5544,0xaefeaaaa,0x7ff41aaa,
    0xfffe82ff,0xffffd02f,0x5ffffd05,0xc8dfffd0,0x0fffec0f,0x05f81e88,
    0x41fffff1,0xffb002b9,0xfffb09ff,0xfc80007f,0x3fee06ff,0x32004fff,
    0x3e1fffff,0xfe81ffff,0x3fd41fff,0x1ffffea0,0x537fffe4,0x320fffff,
    0x0006ffff,0x553ffff2,0xf907ffff,0x7fc49fff,0xff304fff,0x7f7fffff,
    0xffff8800,0x7ff4001f,0xfffe82ff,0x7fffd42f,0xdffff907,0x1fffffcc,
    0x3fe40000,0x44fffb80,0x01fffff8,0x7ffffc40,0x3ffe2005,0x6c0005ff,
    0xb003ffff,0x827f409f,0xffe805fe,0xfffe82ff,0xffffd02f,0x5ffffd05,
    0x0fffff88,0x3fee17e6,0x1eca89cf,0xff102fc8,0x40001fff,0xd84ffffd,
    0x0003ffff,0x7027ffd4,0x009fffff,0x22ffffe4,0xe81ffffd,0x5fc87fff,
    0x3ffffcc0,0x25ffffc8,0x907ffff9,0x000bffff,0x89ffffe4,0xf907ffff,
    0x7fd45fff,0x3ee06fff,0x05ffffff,0xfffff880,0x7fff4001,0xffffe82f,
    0x3ffffcc2,0x45ffffc8,0x00ffffff,0x17fe2000,0x07fffe60,0x017ffffe,
    0x1bffff20,0xfffffb80,0x7fec0000,0xdf7003ff,0x7c0ffe20,0xfffe803f,
    0xffffe82f,0x5ffffd02,0x85ffffd0,0x41fffff9,0xedc883fc,0xbf503cef,
    0x7ffffc40,0x3ff60000,0xfffd84ff,0x7c40003f,0x3fee03ff,0x3c884fff,
    0x217fffe4,0xe81ffffa,0x2ff86fff,0x7ffffc40,0x3ffffc80,0x03ffffe2,
    0x00fffff2,0x3ffffc80,0x6c1ffffa,0x3ea1ffff,0x203fffff,0xfffffffc,
    0x7ffc4003,0x7f4001ff,0xffe82fff,0x7ffc42ff,0xfffc80ff,0x7fffe43f,
    0x8002605f,0xfe807ffb,0xfff907ff,0x22d403ff,0x01fffff8,0x07ffffd0,
    0xffffb000,0x07fe2007,0x3e607fe6,0xfffe801f,0xffffe83f,0x7ffffd02,
    0x85ffffd0,0x83fffffb,0x4c0002fe,0x3fe200ef,0x20000fff,0xd84ffffd,
    0xb883ffff,0x06ff9802,0x27ffffdc,0xfc97ffe2,0xfffd06ff,0x83ffff05,
    0xfc800ff9,0xffd80fff,0x7ffe40ff,0xffffd80f,0x649b5000,0x3f62ffff,
    0xffe80fff,0x7fffc47f,0x3f602fff,0x84ffffff,0xffff882c,0x7ff4001f,
    0xfffe83ff,0xffffc82f,0x0ffffd80,0x7fffffc4,0x64005b83,0x3e202fff,
    0xfc83ffff,0x981effff,0xffffa80f,0xffff9806,0xffb00006,0x7f4007ff,
    0xf507fb83,0xfff9001f,0xffffd89f,0xffff903f,0xfffffd89,0x7ffffe43,
    0x004ff884,0x8803ff70,0x000fffff,0x13ffff60,0x20fffff6,0x3200effe,
    0x7fe400ff,0x7fd45fff,0x5fffb0ff,0x30fffee0,0xbf90bfff,0x3fffe200,
    0x84fffe81,0xe81ffff8,0x3e004fff,0xffffb0ff,0x0ffffc43,0x741ffff4,
    0x2fffffff,0xffffff50,0x0db57dff,0x07ffffe2,0x9ffff900,0x3fffffd8,
    0x81ffff88,0xf904fffe,0x9bffffff,0xfa8001dd,0xff102fff,0xf95bffff,
    0xffffffbd,0x405fb759,0x203ffffa,0x004ffff9,0x3ffffa00,0x21bee004,
    0x0df906fc,0x3ffffea0,0xfffffc89,0xffff503f,0xffff913f,0xfffb87ff,
    0xdfb103ff,0x3bf66005,0xffff8800,0x3f60001f,0xffd84fff,0x7ffcc4ff,
    0x2ff882ff,0xfffffc80,0x8ffffc45,0x7ec03ffd,0x0fffdc5f,0xf7001ff4,
    0xfff989ff,0x9fff700e,0x00efff98,0x363fff10,0xff984fff,0x37ffcc4f,
    0xffffff98,0xfecacfff,0xffffffee,0xf101ffff,0x8003ffff,0x89fffffa,
    0x3ffffffc,0x989fff70,0x3200efff,0xffffffff,0xffb0000e,0xfc837bff,
    0x3fffffff,0x3ffffff6,0xd8803fff,0x2e62cfff,0x0001efff,0x3ffffe20,
    0x03fe6005,0x17fa09fd,0xfffffd80,0xffffe9ef,0xffffb00d,0xfffd3dff,
    0x7ffc41bf,0x7fdc00ff,0xba999abf,0x2a004ffe,0x002fffff,0x13ffffa0,
    0x213ffffa,0xadfffffe,0x9801efc9,0x1fffffff,0x7cdfffec,0x5ffb003f,
    0x2607ffa2,0x7dc000ff,0xbffb12ff,0x2fffb801,0x001bffb1,0xffd2ffb8,
    0x8fffd40d,0x200effd8,0xfffffffa,0x2e3fffff,0xffffffff,0x3fffe203,
    0xffd8001f,0xfe9effff,0xf700dfff,0x3ff625ff,0xfffa800d,0x0000ceff,
    0x3fffff62,0x3fff620e,0xfeb80cff,0x002effff,0x7ffffed4,0x0003efff,
    0x3fffb220,0xd003efff,0x817fc47f,0x362003ff,0xfd0effff,0x103fffff,
    0x21dffffb,0x1ffffffe,0x400fffee,0xfffffeb8,0x1000bfff,0xfffffffb,
    0xff980059,0x3e60efff,0x4c0effff,0xfffffffe,0x7f74403e,0xffffffff,
    0xfffd89ee,0x764002ef,0x700effff,0x3a6000df,0x04fffeff,0x3fbffa60,
    0xb10004ff,0x017dffff,0xffefec98,0xfd8800bd,0x3fffffff,0xdfffff30,
    0xffffb805,0xfd88004f,0xffd0efff,0x2603ffff,0x4fffeffe,0x00ba8800,
    0x66e54000,0x002ae202,0x000d5d44,0x055dcc40,0xaa880000,0x2aaaaaaa,
    0x64479500,0x01cc880c,0x000ab880,0x00157100,0x26000180,0x001abcaa,
    0xaaaaaa88,0x32002aaa,0xffffffff,0xffffffa9,0xcaa982ff,0x0000001a,
    0x000055c4,0x97002ae6,0xb9880005,0x2620000a,0x100000ab,0x22000153,
    0x2620002b,0x30009acb,0xff880375,0x1fffffff,0x00ab8800,0x2ae62000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x980004c0,0x00009800,0x10022000,0x40011001,0x00ccccc9,
    0x00733332,0x00000000,0x99300004,0xa8001999,0x99930ccc,0x20000003,
    0x002ccccb,0x66664c00,0x6665c00c,0x4c00003c,0x26000009,0x0000001a,
    0x00000000,0x00000180,0x03000000,0x20100000,0x00088008,0x00019980,
    0x40019880,0xcdffffeb,0xe82ccccc,0x000fdc06,0xeeeeee98,0x33ff223e,
    0x5401db01,0x3ff2002f,0x7fcc02ff,0x7dc005ff,0x000fe402,0x02fff660,
    0x7ffff900,0x4bffb000,0x6cc05ffd,0x02dc0bff,0x03ffff44,0x3fff2000,
    0xffe8802f,0x64c0007f,0x1efffffe,0xfffd8800,0x510003ff,0xddffffb7,
    0xdddddddd,0xdddddddd,0x4401db01,0x2efeb86e,0x02fff660,0x809f10b7,
    0x3fae03fa,0x80002eff,0x80beeec9,0x0fe600fd,0x3ffb2200,0x001cffff,
    0xfffffb30,0x7ff4c07f,0xffffb8bf,0xdfc84fff,0x03fee60a,0xfffb9800,
    0x3fff24ff,0xadfb80ff,0x003fee60,0x003ffff8,0x001ffff5,0xfd883fe8,
    0x3a022004,0x4006ffff,0x8003fffe,0xff10fff8,0x7ffd401f,0x4faadfff,
    0x3ffff100,0x7ffc0000,0x3fe2003f,0xf70002ff,0xffb117ff,0x7f4c00bf,
    0x00bfff54,0x77ffff44,0xffffffdc,0xffeeeeff,0x980fffff,0x1ff981ff,
    0x07ffffc4,0x7fffffd4,0xf904faad,0x441bf20b,0xffc8affe,0xffd50004,
    0xaefb8019,0x007fea60,0xbceffd98,0x2effecba,0x2273f600,0x41fffffd,
    0x642ffff8,0x82ccdfff,0xfffffff9,0xd00005ff,0x7fc9ffff,0xf885ffff,
    0xffffffff,0x3ffe6005,0x7ffd4003,0x27fd4002,0x4001ffd3,0x7fffcc2d,
    0xff3002ff,0x3ee0007f,0x00bfea2f,0xfffffffd,0x4c007fff,0x00004fff,
    0x0007fff3,0x0009fff1,0xf889fff9,0xf9804fff,0x3fffe0ff,0xffff9803,
    0xffffd885,0xffb982ff,0x5ffb00ff,0x7dc2ffd4,0xfe83ffff,0xffffffff,
    0x1dff102f,0x220bff62,0x3fe22fff,0x3fe6003f,0xff1000df,0xdfffffff,
    0x0e7fdc00,0x013ff220,0x3fea1ff2,0x3ffa0fff,0x7ffcc0ff,0x7ffdc00e,
    0x000fffff,0x9ffffb00,0x37fffff4,0xffffffb8,0x3f2000ff,0xff50004f,
    0xbffd000b,0x4007fff5,0x7ffc42fb,0xf9004fff,0x7ec0009f,0x2602fec4,
    0xffffecdf,0xf98006ff,0xf900007f,0x7cc0009f,0x7fd4007f,0xfffe82ff,
    0x3ffec00f,0x701bfffe,0x4c0bffff,0x02ffffff,0x4403ffa2,0xfffcbfff,
    0xfffffc80,0x7f66fcc4,0x406fffff,0xffeaeffc,0x90fffb05,0xf7001fff,
    0xf5000bff,0x3fffffff,0x003bf600,0x201dfb10,0xfe81fff9,0xfff15fff,
    0xffff10ff,0xffff7009,0x400003df,0x2e4ffffd,0x207fffff,0x1efffffb,
    0x0027fc00,0x0003fee0,0xdffffff5,0x417fcc00,0x05fffffd,0x40009fd0,
    0x00ef86f8,0x3ff2a3d4,0xf30000bf,0xff00003f,0xff300009,0x7ffec005,
    0xffffd81f,0x3fffe602,0x81ffffa0,0x00fffffc,0x17fffff4,0xf9007f40,
    0x209fffff,0x43fffffb,0x7ffe547a,0x7ffc400b,0xfa81ffff,0xfffb85ff,
    0x2fffec04,0xffff5000,0x3f2003df,0x2fdc0004,0xc84fffb8,0xff57ffff,
    0xfff10dff,0x36e600df,0xd800002c,0x6cc4ffff,0x5c406fcc,0xf98003cd,
    0x5f700004,0xffffd000,0x7ff4005f,0x9fb7b502,0x0009f300,0x0fd41fb8,
    0x00300440,0x0013ea00,0x00009f30,0xfd0027cc,0xffb03fff,0x7fe407ff,
    0x3ffee1ff,0xfffff304,0xffffd00b,0x01f7005f,0x7fffffc4,0xfffff500,
    0x00600883,0x9fffff70,0x213fffa0,0x3206fffa,0x80005fff,0x000bcdb8,
    0x3332abf5,0x02bccccc,0xfff707f9,0xfffff90f,0x0dffff51,0x001ffffe,
    0xfd800000,0x3ee04fff,0x00000005,0x40000000,0x005ffff9,0x005fffb1,
    0x000005fb,0x00000000,0x00000000,0x00000000,0x07ffffe0,0x80bffff6,
    0x222ffffd,0xffb00beb,0xfd003fff,0x8905ffff,0x7fe400f8,0x3fe203ff,
    0x00000fff,0x0fffff80,0x507ffff0,0x3ea0ffff,0x00001fff,0x43be2000,
    0xb9efffb8,0xfe82fffe,0x437ffcc1,0xf17ffffc,0xff10dfff,0x018009ff,
    0xfd811000,0x3f604fff,0x00006002,0x00600006,0x01333300,0x5ffffd10,
    0x000ff880,0x00600000,0x00098800,0x10000000,0x31000013,0x7fffc001,
    0xffffd81f,0x3ffffa00,0x7ffcc003,0xffd006ff,0xd0f05fff,0x03333001,
    0x00dffff0,0x3310000c,0x3ffe6013,0xfeeeeeef,0x7fc40fff,0x400006ff,
    0x3f700098,0x6c6fff88,0x27c42fff,0x7ec0f75c,0x3ff65fff,0xffff887f,
    0x7ff64402,0x22001bdf,0xfb3fffeb,0x3e209fff,0xfffeb805,0x3fae002e,
    0x2e002eff,0x002efffe,0xfff98000,0x2eeeefff,0xddd91fd4,0x77645ddd,
    0x4402eeee,0x1bdfffec,0x3ffb2200,0x3b203fff,0x322eeeee,0x02eeeeee,
    0x7ffff644,0x3b22003f,0x803fffff,0xf81fffff,0x7fc03fff,0x74005fff,
    0x005fffff,0x85fffffd,0x10000078,0x409fffb0,0xbdfffec8,0xfa800001,
    0xccccefff,0x6c0ccccc,0x0003ffff,0x7ffff644,0xf837403f,0x7ffd46ff,
    0x4000fd85,0x2a2ffffe,0x7d40ffff,0x7f4407ff,0x3ffea9cf,0xdffff980,
    0xffffddfe,0x200ed884,0xfc8affe8,0x7ff4404f,0x404ffc8a,0xfc8affe8,
    0xdddd304f,0xdddddddd,0x3ffe67dd,0xffffffff,0xf9117a63,0x6445ffff,
    0x202fffff,0xea9cffe8,0xefb803ff,0x5fffea9b,0xfffff910,0x7fffe445,
    0x2fbee02f,0x05fffea9,0xea9befb8,0x7fc05fff,0x3f6a1fff,0xffe800cf,
    0x7fc006ff,0xd004ffff,0xb85fffff,0xeeeeb807,0x3ff223ee,0x817ffdc5,
    0xea9cffe8,0x3ba203ff,0xb80eeeee,0x8005ffff,0x88fffff8,0x3ee000a9,
    0xfffea9be,0x3e07f505,0x7ffcc6ff,0x2003fa86,0xb85ffff9,0x3fa24fff,
    0x3fe600df,0x17ffd45f,0x47fffd10,0x4ffffff9,0xf100774c,0x7ffc45ff,
    0x45fff103,0xf103fff8,0x7ffc45ff,0xcceff983,0xfffffbaa,0x3ffe661f,
    0x70999bff,0x7fffc0bf,0xfffff82f,0x8bfff302,0x3a02fffa,0x7ffcc1ff,
    0x3fffe04f,0xfffff82f,0x983ffd02,0x3a04ffff,0x7ffcc1ff,0x3fffe04f,
    0x077ffe1f,0x3ffffec0,0xfffff100,0x3ffa007f,0x03f42fff,0x4fffffa8,
    0x45fffff3,0xf980fff9,0x7ffd45ff,0x3fff6602,0xfffa81ff,0xffb8007f,
    0xffffdeff,0x0fff403f,0x213fffe6,0xdfff00fb,0xf04fffb8,0x7ffe4009,
    0xdffb300e,0xd007fff9,0xffd05fff,0x3fff603f,0xfffffa86,0x3600faa4,
    0xfffc87ff,0xc87ffd80,0xffd80fff,0x40fffc87,0xfff705f9,0x3ffe09ff,
    0x02dc82ff,0x417ffffc,0xd02ffffe,0xffd05fff,0x9fff303f,0x01fffff0,
    0x20bffffe,0x982ffffe,0xfff84fff,0xfff980ff,0x0fffff84,0x43fffff0,
    0x41efffa8,0xffffeee8,0x01eeeeff,0x7ffffff5,0x3ffffa00,0x00ffd12f,
    0x467fffec,0x43ffffff,0xfffd06ff,0x03fffd05,0x0fffffcc,0x07ffffcc,
    0x3ffffa00,0xfffffdef,0x4fff980e,0x40fffff8,0x1bffe07c,0x3a03fffd,
    0x9fff1006,0x7999d500,0x3ffea003,0x7fffd81f,0x03ffffb8,0x049ffffb,
    0x85fffa80,0x7d44fffb,0xfffb85ff,0x42fffd44,0x7cc4fffb,0xfffff880,
    0x3ffffe06,0xffd00082,0xfffd05ff,0xffff505f,0x0ffffb03,0xf81ffffb,
    0xfd01ffff,0xffd05fff,0xfffb05ff,0xfffff81f,0x0ffffd81,0x80fffffc,
    0xa81fffff,0x7fcc6fff,0xffffffff,0xff701fff,0x2005ffff,0xeefffffe,
    0x32007fff,0xbedcffff,0x7f41fffe,0x1ffffa84,0x207fffd8,0x81fffff8,
    0x04fffff8,0xfffff104,0x7ffff447,0x0ffffd85,0x20fffffc,0x3bffe06d,
    0x01effeb9,0x7fdc01f6,0x003ec402,0x03ffffa0,0x907ffff2,0x3605ffff,
    0x8004ffff,0xfa84fffe,0x7fff46ff,0x46fffa84,0xfa84fffe,0xd82cc6ff,
    0x202fffff,0x002fffff,0x0bffffa0,0x20bffffa,0xc80ffffe,0x7e41ffff,
    0x7ff41fff,0xfffd02ff,0xffffd05f,0x3ffff905,0x82ffffe8,0x741ffffc,
    0xff02ffff,0x3fe03fff,0x3ffe64ff,0xffffffff,0xfff701ff,0x3a003fff,
    0xffdfffff,0x3f2007ff,0x710fffff,0xd07f907d,0xf901ffff,0x3e203fff,
    0xfb01ffff,0x2201ffff,0xfffff30e,0xfffff983,0x0ffffe41,0xd0bffffa,
    0x6ffffc0d,0x7d805fff,0xf003ff00,0x7c4000bf,0xff907fff,0xfffe87ff,
    0xffffb01f,0xffff0009,0x8ffff507,0xfa83ffff,0x7fffc7ff,0x47fffa83,
    0xffff9808,0x7fffc05f,0x3fa0002f,0xffe82fff,0x7ffc42ff,0xffff907f,
    0x85ffe887,0xd02fffff,0xfd05ffff,0xfd105fff,0xfffff0bf,0x0bffd105,
    0x205fffff,0xf01fffff,0xff80ffff,0xf5002fff,0x003fffff,0x4bfffffa,
    0x32007fea,0x002fffff,0xfff10bee,0x3fff20ff,0xffff103f,0x3ffea03f,
    0x23e80eff,0x81fffffa,0x445fffff,0xfff85ffe,0xf03ec2ff,0x3fffadff,
    0x54037400,0xfffa801f,0xffa8000a,0xfff707ff,0xfffff89f,0x9ffffb00,
    0xffff9800,0xffeeeeee,0xffff30ff,0xffdddddd,0x3ffe61ff,0xfeeeeeef,
    0xfe800fff,0x7c00ffff,0x0002ffff,0x20bffffa,0x542ffffe,0xf707ffff,
    0x02209fff,0x5fffffd5,0x0bffffa0,0x80bffffa,0x7fff5408,0x502202ff,
    0x05fffffd,0x407ffffe,0x201fffff,0x002ffffc,0x5ffffff3,0x3ffffa00,
    0x801fe22f,0x00fffffc,0xff507e60,0x3fee0fff,0xfff104ff,0x7fec03ff,
    0xecacffff,0x7ffffdc6,0x6ffffc81,0xffea8110,0x07e42fff,0xff36fff8,
    0x805f80bf,0xfffb005a,0xdfffffff,0xfffb817b,0xffff907f,0x7ffffccd,
    0x9ffffb00,0xffffa800,0xccccccce,0xffff50cc,0x9999999d,0x3ffea199,
    0xccccccef,0x7dc00ccc,0xf804ffff,0x0002ffff,0x20bffffa,0x5c2ffffe,
    0xf907ffff,0xd500dfff,0x5ffffd9f,0x0bffffa0,0x00bffffa,0x7ff67f54,
    0xfd5002ff,0x05ffffd9,0x407ffffe,0x202fffff,0x001ffffa,0x7ffffff1,
    0x3ffffa00,0x9003dc2f,0x800fffff,0x7ffdc0f8,0xffff907f,0x3fffe20d,
    0x7ffec01f,0x40efffff,0x81fffffb,0x807ffffb,0xfffecfea,0xf817d42f,
    0x3fff66ff,0x7009f301,0x3fff6007,0xffffffff,0x3fee1fff,0xfff907ff,
    0x7fffd4ff,0xffffb00f,0xfffb8009,0x7fdc005f,0x7dc005ff,0x80005fff,
    0x06fffff8,0x05fffff0,0x7ffff400,0x2ffffe82,0x83ffffdc,0x207ffffc,
    0xffd2ffe9,0x3ffa05ff,0xfffe82ff,0x7ff4c02f,0x05ffffd2,0xfd2ffe98,
    0x3fe05fff,0xfff01fff,0xfff809ff,0x3ffa000f,0xfd004fff,0x7985ffff,
    0xffff9020,0xf709000d,0x3f20ffff,0xff107fff,0xf9003fff,0x017dffff,
    0x05fffff3,0x01fffff5,0x7f4bffa6,0x2fc42fff,0x3e66fff8,0x03f906ff,
    0x3ea00150,0xffffffff,0x50ffffff,0x320fffff,0x3e66ffff,0xfb01ffff,
    0xa8009fff,0x4007ffff,0x007ffffa,0x03ffffd4,0x7fffec00,0xffff002f,
    0x7f40005f,0xffe82fff,0x7ffd42ff,0xffff907f,0x87fff20d,0xd02ffffe,
    0xfd05ffff,0x7e405fff,0x3fffa1ff,0x3fff202f,0x0bffffa1,0x80fffffc,
    0x403ffffe,0x5c006ffd,0x004fffff,0x05fffffd,0x3ff2340f,0x500005ff,
    0x320fffff,0xf106ffff,0x4003ffff,0xff800dfa,0xffa82fff,0xfff907ff,
    0x17ffff43,0x3fe207e4,0x1fffe47f,0x800002fc,0xfffffffa,0x3fffffff,
    0x20fffff3,0x225ffffc,0xb01fffff,0x8009ffff,0x00fffff9,0x3ffffe60,
    0x3ffe6000,0x260000ff,0x005fffff,0x00bffffe,0x2ffffe80,0x42ffffe8,
    0x907ffff9,0xfb0bffff,0xfffe87ff,0xffffd02f,0x5ffffd05,0xd0ffff60,
    0x3605ffff,0x7ff43fff,0xffff02ff,0x3fffa03f,0x2ffe402f,0xfff88a60,
    0xffd006ff,0x20705fff,0x7fffe45a,0xff300004,0x3ff20fff,0xfff105ff,
    0x3ea003ff,0xfffd000f,0xffff307f,0x87fffb0b,0x982ffffe,0x3ffee25f,
    0xffff10bf,0x00017e43,0xcdefea80,0xfffedccc,0xfffff14f,0x7ffff901,
    0x02fffff8,0x009ffffb,0x4fffff88,0xffff1040,0x3e20809f,0x0404ffff,
    0x1fffffd0,0x7ffffc00,0x3ffa0002,0xfffe82ff,0x7fffc42f,0xffffc80f,
    0x07fffe43,0x40bffffa,0xe82ffffe,0xfc82ffff,0x7ff40fff,0xfffc82ff,
    0x7ffff40f,0x3fffff02,0x07ffff20,0x9ffdff93,0x3ee1f440,0xe802ffff,
    0x002fffff,0xffff9136,0x41b98009,0x80fffff8,0x103ffffc,0x003fffff,
    0xfc801bfe,0xff984fff,0x7ffe43ff,0x7ffff40f,0x3327f902,0x2a4ccccc,
    0x5fa8cccc,0x7400aa00,0xfe9802ff,0x3ffff22f,0x0ffffd80,0x827fffec,
    0x004ffffd,0x0fffffd8,0x7fec1d10,0x1d100fff,0x07ffffec,0xffb80e88,
    0x03504fff,0x005fffff,0x1fffff40,0x417ffff4,0xd80ffffc,0x7fc0ffff,
    0x7ff40fff,0xfffd02ff,0xffffd07f,0x1fffff05,0x82ffffe8,0x740fffff,
    0xff02ffff,0x4b263fff,0x7dc7fffa,0xdfffffff,0x2ffecbcc,0x05ffffd8,
    0x2ffffff8,0xfc87f700,0x36004fff,0x7fe45fff,0xfffd80ff,0xffff100f,
    0xfff3003f,0x3ffea001,0xffff985f,0x07ffffc1,0x80bffffa,0x4c0002fe,
    0xff9800ef,0x3fea01ff,0x83fee006,0xe81ffff8,0xff984fff,0x7fd40fff,
    0xa8004fff,0x80efffff,0x7fffd43e,0x543e80ef,0x80efffff,0xffff883e,
    0x3a07a06f,0x0662ffff,0x4ffffc80,0x1fffffec,0x40ffffc4,0x7c44fffe,
    0xd98cffff,0x902fffff,0xfd89ffff,0x7c43ffff,0xd98cffff,0x442fffff,
    0x98cfffff,0x02fffffd,0x3e3fffff,0x8bfff1ff,0xfffb88de,0xffffffff,
    0xfffe880f,0x3ffe201f,0xfa802fff,0x7fffe42f,0xffff1004,0x7fffc41f,
    0x04fffe81,0x07ffffe2,0x00fffea0,0x40ffffd8,0x7c45fffa,0xd98cffff,
    0x202fffff,0x70004ff8,0x3f2003ff,0x3e604fff,0x9fd001ff,0x989fff70,
    0xfb00efff,0x7fccbfff,0x0006ffff,0x9ffffffb,0x3f60dd95,0xcacfffff,
    0xffffb06e,0x0dd959ff,0x0bfffff6,0x7fe407d4,0x800b35ff,0x89fffffa,
    0x3ffffffc,0x989fff70,0xff80efff,0xedffffff,0x43adffff,0x89fffffa,
    0x3ffffffc,0xfffffff8,0xdffffedf,0x3ffffe3a,0xfffedfff,0x3fe63adf,
    0xfff89fff,0x7cc1dfd2,0x3ffffe21,0x04ffffff,0x07ffff62,0x7fffffdc,
    0x3fff6203,0x27fffe40,0xfffffb80,0x227ffdc3,0x200efff9,0x01fffff8,
    0x03ffff88,0x85ffff10,0xfff06ffc,0xfdbfffff,0x2075bfff,0x3002efd8,
    0x7c001dfb,0x6407ffff,0x54c0beff,0x3ee03feb,0xbffb12ff,0xffffd801,
    0xfffdbfef,0xd8003eff,0xffffffff,0x3fff600e,0x00efffff,0x3ffffff6,
    0xff980eff,0xff505fff,0x7fffff40,0xffd8000f,0xfe9effff,0xf700dfff,
    0x3ff625ff,0xffff900d,0x3ffea7ff,0xffd80eff,0xfe9effff,0x7e40dfff,
    0xf53fffff,0x641dffff,0x53ffffff,0x41dfffff,0x91fffffb,0x03ff37ff,
    0xbbfb31bd,0xdfffffff,0xffff7001,0xfff93359,0x579fffff,0xfffffd97,
    0x0bffffb0,0x3ffffe20,0x12fffb80,0x8801bffb,0x001fffff,0x57bffff9,
    0x1fffe980,0x3201dff5,0x53ffffff,0x01dfffff,0x9abfffb8,0x4ffeba99,
    0xffffc800,0xfffc8804,0x0cdeffff,0xfeffe980,0x3f2004ff,0xffb2ffff,
    0x000157bd,0x3bfffff2,0xfffc800b,0xc800beff,0x0befffff,0x5fffffd0,
    0xfffd7553,0x67ff6440,0xffb10001,0x3ffa1dff,0xd301ffff,0x09fffdff,
    0x1dfffc88,0x806fffe4,0x0effffd8,0x3ffffffd,0x0efffe44,0x1037fff2,
    0xc83bfff9,0x3f60dfff,0x711fffff,0x26039dfd,0x3ea5fffe,0x000dffff,
    0x3ffff6a2,0xffffffff,0xffffffff,0x7c46ffff,0x000fffff,0x4c09fff9,
    0x4fffeffe,0xfffff700,0x7ffe4009,0x5c401fff,0x0cefeffd,0x37fff220,
    0x06fffe41,0xfffeb880,0x00bfffff,0x1dffd100,0x03533000,0x0ab98800,
    0x506e6000,0x10000013,0x22000155,0x510000aa,0xfffb8015,0xffffffff,
    0x01006fff,0x055c4000,0x57310000,0x30010001,0x0055c400,0x00c00400,
    0x00018008,0x05cc0010,0x00055cc4,0x4ccd4c40,0x2e000009,0xffffffff,
    0x00151005,0x4002ae62,0xfffffff8,0xb73001ff,0xa8800179,0x8008000a,
    0x554c0001,0x00001abc,0x000000a6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09980000,0x99300010,0x10001999,0x00440000,0x00014400,
    0x80133300,0x13300000,0x5d930100,0x0003ec88,0x19880004,0x885d9300,
    0x220003ec,0x0c006000,0x00266000,0xc9800000,0xe980002d,0x02eeeeee,
    0x9d7033ae,0x21764c01,0x20003ec8,0x801ccccc,0x4c0ceec8,0x00008807,
    0xcc980000,0x3bb604cc,0xeeeeeeee,0x0081eeee,0x7f6e5440,0x001acdef,
    0xfffffd70,0x2000e419,0x003ffffc,0x39dffb51,0xffec8800,0x4000ceff,
    0x0003fffc,0x7fff6dd4,0x2d42cfff,0xffec9800,0x209bdeff,0x1fffe868,
    0x000bfffa,0x44009f91,0x2dfffffb,0xd87fffa0,0x22002fff,0x03dffffc,
    0x0fb013e2,0x01ffd400,0x205ffecc,0x3fe2005b,0x980002ff,0x03fffffc,
    0x7d4bfff5,0x3ffa06ff,0x0bfff61f,0x3fffea00,0xffff8804,0x06e9adff,
    0x0073ff22,0xfd800000,0xff101fff,0xffffffff,0x541fffff,0xfb802efe,
    0xeb9acfff,0x3000dfff,0x9535bffd,0x003f9dff,0x003fffe8,0xfd33dff3,
    0xff7003ff,0xfffb339f,0x3ffe6005,0xfd10007f,0x75357dff,0xbf79fff9,
    0xfffea800,0xfedbbcef,0x7cc6ebdf,0xfff14fff,0x3f2200bf,0xfd1004ff,
    0x1fffd15f,0x29ffff30,0x005ffff8,0xfffffff5,0x0dffc0bf,0x000bf951,
    0x300fffe2,0x5bffffff,0x7dc009f5,0x00005fff,0x40fffffa,0x3f27fffd,
    0xff980fff,0xffff14ff,0xfffb000b,0x3fff600b,0x4fffffff,0x3ffffee0,
    0x80000001,0x202ffff8,0xfffffffa,0x5fffffff,0x03ffffe2,0x02ffff44,
    0x805ffff3,0xb100fff8,0x4c003fff,0xf1003fff,0x7ffcc3ff,0x3ffee01f,
    0x02fffc83,0x2fffffb8,0x7fffdc00,0x7ffec403,0x3ff2005f,0x3aa01eff,
    0xfff86fff,0x0bfffa2f,0xfffffb30,0xfffd1009,0xe827fff4,0x3ffa2fff,
    0xfff9803f,0x5fffffff,0xffffff70,0x20005fff,0x7403fffe,0xffffffff,
    0x3ea003ff,0xa8004fff,0xffeaaaaa,0x7dc1adff,0x3ffea5ff,0x8bfffa06,
    0x8002fffe,0x3e005fff,0xfffffece,0x3ffe00ff,0x00005fff,0x2fffa800,
    0x7ffffe40,0xffffffff,0x3fffee2f,0xffffb83f,0xffff9806,0x013ffa05,
    0xc8007ff6,0xfd1004ff,0xffffb0df,0x1ffff301,0x01ffff10,0x0fffff98,
    0xffffd100,0x7ffd4005,0xfffe8805,0xffb000ef,0x987fd50d,0x3faa04fd,
    0x04ffffff,0x367fffd8,0xfb301fff,0x00cfd989,0x7fffffc4,0x03ffffff,
    0xfffffffd,0x3ff2000b,0x37e603ff,0xffffffec,0xfffe8006,0x7ffc4001,
    0xffffffff,0x6fe445ff,0x300efe41,0x4fd987fd,0x05ffa800,0xfc983e20,
    0x7f401cff,0x0007ffff,0x2ffd8000,0xfffffe80,0xffffffff,0x3fffea0f,
    0x7fffcc2f,0xfff9000f,0x3fff709f,0x005fd100,0xfb0027f4,0xfff70bff,
    0xffffb09f,0x017fffc0,0x0027fff4,0x007ffffd,0xd00bff50,0x001fffff,
    0x00006fe8,0xffd9ac98,0xfe804fff,0x06ea27ff,0x7e400000,0xfffda9be,
    0xfb106fff,0x0009ffff,0x0fffffea,0x7fe547a8,0x750000bf,0x26660001,
    0xffffe999,0x0000009c,0xfd800000,0x26018006,0xffff7000,0x000000ff,
    0xf003ff88,0x555559ff,0xf0bff755,0xffd0ffff,0x7c4009ff,0x7e41ffff,
    0x5f3002ff,0x0013e600,0xf50bffff,0xfff0ffff,0x3ffa03ff,0x0395003f,
    0x3ffffe40,0x80bf7000,0x01fffffc,0x0006f880,0xfffff000,0xfffff009,
    0x80000000,0xffff704f,0x6e5401ff,0xff10001c,0x4407ffff,0x00000600,
    0xffd80000,0x000003ff,0x3e000000,0x0000000e,0x37e66cc0,0x2a000000,
    0x07f3003f,0x260ffee0,0x7fe41cfc,0x74002fff,0x3a0effff,0xd000efff,
    0x4c000005,0xf985ffff,0x3e21ffff,0xfd04ffff,0x000005ff,0x13ffffe6,
    0x540bf000,0x004fffff,0x00c01b20,0x3ffffe00,0x7fffcc04,0x00000007,
    0xfffb012a,0x000003ff,0xffffdfb0,0x00000007,0x44000310,0x1ffffec0,
    0x20000600,0x00000098,0x80000000,0x000005fa,0x02dc0000,0x8001ffd0,
    0x07fffff9,0xfffffc80,0x3bffffa4,0x4002c800,0x7d471008,0xff885fff,
    0x7ff42fff,0xfff81fff,0xd000000f,0x003fffff,0x3fa05b80,0x0002ffff,
    0x7f6441a6,0x4001bdff,0x404ffffe,0x807ffff9,0x2eeeeeec,0x3bbbbbb2,
    0xfff50002,0x000001ff,0xfffd9fb8,0x0440003f,0x7ffedc00,0xeb9801ef,
    0xfffb3eff,0xffd7007f,0x322005df,0x03fffffe,0xeec80000,0x3b22eeee,
    0x802eeeee,0x110002fd,0x08100000,0x01bfe200,0x3fffff20,0xfffa8005,
    0x3fff27ff,0x04403fff,0x7fffedc0,0xffc97a2d,0xffff06ff,0xffffc89f,
    0x3ffe61ff,0xb801c005,0x007fffff,0xff504880,0x0001ffff,0xcffe8838,
    0x003ffea9,0x013ffffa,0x00fffff3,0x5fffff91,0x7ffffe44,0xfff10002,
    0xdddd10ff,0x4c001ddd,0x7ffffb4f,0xeeeeeeb8,0x5bffd913,0x37ffb100,
    0x4c07fffd,0xcfedffff,0x203ffffe,0xfc8affe8,0x5f7dc04f,0x05fffea9,
    0x3bbbbba6,0xeeeeeeee,0xfffff913,0x7fffe445,0x537c402f,0x49dddddd,
    0x703dffeb,0x47dddddd,0x0005ffc8,0xd0007ff7,0x009fffff,0xffffff30,
    0x3ffffea1,0x10002eff,0xfd53bffb,0x7e41dbbf,0xffd06fff,0xfffa8dff,
    0xffb3ffff,0x0068001b,0x0ffffff9,0xffd80000,0x00007fff,0x545fff98,
    0xfd002fff,0xf9809fff,0x3e007fff,0xff82ffff,0x30002fff,0x2609ffff,
    0x01fffffd,0x7fecdd10,0x7fdc43ff,0xffe9cfff,0x2201ffff,0x3fee2ffe,
    0xfff881ff,0x3fffe62f,0xfff103ff,0x81fffc45,0x7fcc1ffe,0xdff304ff,
    0xfff75599,0xfff83fff,0xffff82ff,0x07f6202f,0x1dfffff5,0x7ffffffb,
    0x3ffffea0,0x5fffff34,0x01ffd000,0xffffff00,0xfff10009,0x3fe25fff,
    0xefffffff,0x3ffa2002,0x3fffe20f,0x3ffffdc1,0x87ffffd8,0xfffffffd,
    0x98003ffd,0xffffd006,0x800000bf,0x05ffffff,0xfffe8000,0x01fffe82,
    0x04ffffe8,0x03ffffcc,0x05fffff0,0x005ffffd,0x07fffea0,0x1fffff98,
    0x7ec1fb00,0xffd03fff,0xfb5bfdff,0x7ec0dfff,0x7fffc47f,0x86fffe84,
    0x03fffffa,0xff90fffb,0x4fff981f,0x80fffff8,0xfff705f9,0xffff09ff,
    0xffffd05f,0x403ba605,0xeeeffffc,0x0fffffcb,0x19ffffb0,0x07ffffff,
    0x006ff880,0xffffff88,0xfff88003,0x3fe63fff,0xffffffff,0xfffd801d,
    0x43fffe84,0x81fffffa,0x886ffffd,0xfffffffe,0x0b90003f,0x3fffffe0,
    0x22000004,0x04ffffff,0x7ffd4000,0x7fffd81f,0x4ffffe80,0x3ffffcc0,
    0x5ffffd00,0x05ffffd0,0x17ffee00,0x3fffff10,0xfd85f700,0xffb03fff,
    0xfff87fff,0xfff981ff,0x45fffe85,0xd02ffffb,0xf507ffff,0xfff70bff,
    0x0ffffd89,0x40fffffc,0xfff880f9,0xfffd06ff,0xffffd05f,0xb807d305,
    0x6c5fffff,0xf903ffff,0xd7db9fff,0xb8003fff,0xfa8003ff,0x002fffff,
    0xffffff88,0x7ffffd45,0x03ffffff,0x20ffffe6,0x220ffffc,0xe84fffff,
    0x3605ffff,0xffffffff,0x017ec003,0x7fffffcc,0x26000003,0x02ffffff,
    0x7fff4000,0xffffc80f,0x7ffff401,0x7fffcc04,0x3fffa007,0xffffe82f,
    0xfffd0002,0xffff8801,0x427cc01f,0xb03ffffd,0xfd0bffff,0xffb05fff,
    0x5fff70bf,0x01ffffd8,0xd07ffffb,0xff509fff,0xffffc8df,0x17ffff41,
    0xfffd82cc,0xfffd02ff,0xffffd05f,0x3ee00105,0x7e40efff,0xff905fff,
    0x2e21ffff,0xffe8003e,0xa8b6e200,0x02ffffff,0xffffff00,0xffffd30b,
    0x09ffffff,0x30bffff6,0xb89fffff,0x740fffff,0x6c04ffff,0xffffffff,
    0x07fd8804,0xffffff50,0x54000007,0x03ffffff,0x3ffe2000,0xffff907f,
    0xffffe807,0x7fffcc04,0x3fffa007,0xffffe82f,0xfff98002,0xffff8801,
    0x41ba201f,0xb03ffffd,0xfb09ffff,0xff887fff,0x037304ff,0x201fffff,
    0xf83ffffd,0xffa83fff,0x2fff447f,0x417ffffc,0xffff9808,0x3fffa05f,
    0xffffe82f,0x3fee0002,0xfffb86ff,0xffff905f,0x2200005f,0x7ff406ff,
    0xfffff36f,0xff10007f,0x6409ffff,0xffffffff,0xffff84ff,0x3ffba21f,
    0xfffe85ff,0xfffdbbef,0xdfb303ff,0xfffffffd,0x1fff4c05,0xfffffa80,
    0x2000004f,0x4ffffffa,0x3fea0000,0xfff707ff,0xfffe809f,0x7ffcc04f,
    0x3ffa007f,0xfffe82ff,0xffc8002f,0xffff1004,0x80fec03f,0xb03ffffd,
    0xfb09ffff,0xff987fff,0x7c4005ff,0xfb00ffff,0xff987fff,0xeeeeeeff,
    0x0880ffff,0x7fffff54,0x3fffa002,0x3ffa00ff,0xfffe82ff,0x3ee0002f,
    0xffb86fff,0xfff905ff,0x200001ff,0x3ea03ffb,0xff89ffff,0x8004ffff,
    0x3ffffff8,0x7fffe440,0x220fffff,0x3a1fffff,0x07ffffad,0xdffffff9,
    0x501fffff,0xffd13fff,0x501fffff,0x2001ffff,0x5ffffff9,0xeeeeec80,
    0x34eeeeee,0x0bffffff,0x7ffdc000,0xffff907f,0xffffe80d,0x7fffcc04,
    0x3fffa007,0xffffe82f,0x2ffcc002,0xfffff100,0xd80fea03,0xfb03ffff,
    0xffb09fff,0xfffa87ff,0x7fcc006f,0x3ff607ff,0x7ffd43ff,0xccccccef,
    0x75400ccc,0x2ffffecf,0xfffff700,0xffffe809,0x2ffffe82,0x3ffee000,
    0xffffb86f,0xfffff905,0x7fec0000,0x3ffff200,0xffffff3f,0xfff30009,
    0x10023fff,0xfffffffb,0x7ffffcc9,0x3ffeadb1,0x332a207f,0x5ffffb9c,
    0x226fffa8,0x2ffffffd,0x027fffd4,0xffffff10,0x7ffd400d,0x220cffff,
    0x06ffffff,0x3ffee000,0xffff907f,0xffffe80f,0x7fffcc04,0x3fffa007,
    0xffffe82f,0x077f4002,0xfffff100,0x3333fe03,0xfffecccc,0x7fec3cdf,
    0xfffd84ff,0x7fffdc3f,0x3fee000f,0xffb00fff,0xfffb87ff,0x74c0005f,
    0xffffd2ff,0xffff1005,0xfffd00df,0xffffd05f,0x7fdc0005,0xfffb86ff,
    0xffff905f,0x3e20000d,0x7ffcc06f,0xffffb0ff,0xff5000bf,0x01a1ffff,
    0x7fffff4c,0x3ffffea6,0xfff50eb9,0xffd000ff,0xfffb05ff,0xfffffb07,
    0x1fffff89,0x7fffec00,0x7fdc007f,0xffd07fff,0x0000ffff,0x83ffffd4,
    0x406ffffc,0x404ffffe,0x007ffff9,0x20bffffa,0x002ffffe,0x10003bf2,
    0x203fffff,0xffffffff,0xffffffff,0x27fffec6,0x21ffffec,0x01fffffa,
    0x3ffffea0,0x7ffffb00,0x07ffffa8,0x87fff200,0x802ffffe,0x02fffffd,
    0x82ffffe8,0x002ffffe,0x1bfffee0,0x417fffee,0x005ffffc,0x007ff500,
    0x7d49fff9,0x8006ffff,0x24fffffb,0x3ffa001f,0x3ffe67ff,0x3ea1fcff,
    0x4c006fff,0xf885ffff,0xff882fff,0x3fe66fff,0xcec80fff,0x7ffffd40,
    0x3fee000f,0xff506fff,0x0001ffff,0x1ffffe60,0x02ffffe4,0x013ffffa,
    0x00fffff3,0x417ffff4,0x002ffffe,0x0c401df5,0x0fffffc4,0xfffffff8,
    0xffffffff,0x7fffec6f,0x3ffffd84,0x1fffffcc,0xfffff300,0x3ffff601,
    0x7ffffcc3,0xfffd8000,0x17ffff43,0x3ffffe60,0xffffd005,0x5ffffd05,
    0x7ffdc000,0xffffb86f,0x9ffff905,0x3ff60000,0xd0151001,0x001fffff,
    0x0fffffd8,0xfe88013e,0x3ffe26ff,0x7fd42fff,0x7e4004ff,0xffb80fff,
    0xfffb01ff,0x7fffe4ff,0x84fffa87,0x01fffffe,0x3ffffea0,0x3ffffe05,
    0xf100002f,0xf901ffff,0xfe807fff,0x7cc04fff,0x3a007fff,0xfe82ffff,
    0xf8802fff,0x4416c00e,0xf01fffff,0xffffffff,0xdfffffff,0x84ffffd8,
    0xf83ffffd,0x000fffff,0x05fffff1,0x10fffff6,0x809fffff,0x07fffe40,
    0x00bffffa,0x01fffffd,0x0bffffa0,0x00bffffa,0x6ffffb80,0x05ffffb8,
    0x009ffff9,0x00dff100,0x3fffe600,0x3fe2004f,0x037c4fff,0xd13fff20,
    0xf707ffff,0x44005fff,0xf702ffff,0x3ea03fff,0x3ff65fff,0xfffc87ff,
    0xfffff987,0x3ffea004,0x3fee05ff,0x20006fff,0x3ffff228,0x0ffffd80,
    0x27ffff40,0x1ffffe60,0x3ffffe80,0x02ffffe8,0x32200fe8,0xffff880f,
    0x3333301f,0xfffb3333,0xffd8139f,0xfffd84ff,0xffffc83f,0xfd82605f,
    0xffd04fff,0xfffb07ff,0x83a201ff,0x740fffff,0x2e02ffff,0x504fffff,
    0x3ffffe83,0x02ffffe8,0x3fffee00,0x5ffffb86,0x09ffff90,0x07ff5000,
    0x7ffec000,0xff7000ff,0x5ff81fff,0x0fffea00,0x705ffff7,0x2003ffff,
    0x204ffff8,0x102ffffa,0x7e49ffff,0x7cc0ffff,0xfff506ff,0x3ea001ff,
    0x6c05ffff,0x002fffff,0x3fe23e88,0xfffe81ff,0xffffe804,0x7fffcc04,
    0x3fff2007,0x7fffec4f,0x7ffec03f,0xffffffff,0xfffff107,0x7fec0003,
    0xfffb03ff,0xffffb09f,0xfffff107,0xfa8b707f,0x7dc0ffff,0xfa84ffff,
    0xe80effff,0x3ffffe23,0xffffd98c,0xffff102f,0x320f40df,0x7ec4ffff,
    0x0003ffff,0x21bfffee,0x905ffffb,0x0009ffff,0x0003ffb0,0x7ffff440,
    0xffff8803,0x02fff81f,0x3e0dffd0,0xffd83fff,0xfff1005f,0xfff8805f,
    0xffff503f,0x7ffffd41,0x204ffe81,0x005ffffc,0x0bfffff5,0xfffffe88,
    0x07fa2001,0xf989fff7,0xff800eff,0x7d405fff,0x2a007fff,0xc89fffff,
    0x03ffffff,0x3fffffee,0x05ffffff,0x03fffff1,0x7fffec00,0x9ffffb03,
    0x09ffffb0,0x3ffffff2,0xe80eecdf,0x3ea4ffff,0xb06fffff,0x59ffffff,
    0xffff0dd9,0xffdbffff,0xfd875bff,0xf502ffff,0xfffffa81,0xfffffc89,
    0x3ee0003f,0xffb86fff,0xfff906ff,0xf880009f,0xb000006f,0xe805ffff,
    0xff01ffff,0xff9807ff,0xbfffd00f,0x00ffff88,0x01efff88,0x01dfff50,
    0xfb05fffb,0xff90bfff,0xffffb801,0xffffa805,0xffd8805f,0x5c402fff,
    0xfff700df,0x037ff625,0x37ffffc0,0x3ffffee0,0x3fff6001,0xffe9efff,
    0xffa80dff,0xffffffff,0xff104fff,0x40003fff,0xd03ffffd,0xfd09ffff,
    0x7e409fff,0xefffffff,0xffffd100,0xfffb5fdf,0xffb07dff,0x1dffffff,
    0xffffff90,0x3ffffea7,0x3fffe60e,0x20ff505f,0xeffffffd,0x0dffffe9,
    0xffff9000,0xdffff90d,0x17ffff60,0x09ff5000,0x7fdc0000,0x3ae61bff,
    0x3e00cfff,0xa81effff,0x5db01efe,0x7fe47fff,0x7fed401f,0xffc8002e,
    0x3ffee25f,0xffffd103,0x007fea5d,0x5ffffec4,0xffffd980,0x3fee002e,
    0xa9abefff,0x9803ffec,0x4fffeffe,0x3ffff200,0x3ff602ff,0x22003fff,
    0xd0effffd,0x43ffffff,0xfffffff8,0x2fffffff,0x9fffff70,0x7ffec000,
    0xffff983f,0x3ffe60ef,0x3ea00eff,0x00ceffff,0x7ffffec4,0x57bdffb2,
    0x3ffff201,0xf9100bef,0xffc83bff,0x7fff40df,0xebaa9aff,0xffb107ff,
    0x3ffa1dff,0x4001ffff,0x1fffffe8,0x3fffffa2,0x7ffffc41,0x3f60000f,
    0x4000001f,0xfffffeb8,0x801cffff,0xffeb98cf,0x203fffee,0xfffb10fb,
    0x22019dff,0x001cffeb,0x6ffff4c0,0xa800cfff,0xcffffffe,0xffd98000,
    0xffffefff,0x10000bdf,0xffffffb5,0x80039dff,0x8800ab98,0xffffffee,
    0xfb2effff,0xffffffff,0x055c4007,0xffffe800,0xffffffff,0x7ffc41ff,
    0x01ffffff,0x3ffffd80,0x7fffffe4,0xffffa9ff,0x4402ffff,0x730000ba,
    0x80009a83,0x04000aa8,0xfffb80c0,0xffffffff,0x5c406fff,0x5000000a,
    0xffffffff,0xffffff37,0x3ffee9ff,0x005fffff,0x00009990,0xcbaa8800,
    0x81c001ab,0x801acca9,0x0ab98818,0x0001aa80,0x35753100,0x26a62000,
    0x2a600000,0x019abccb,0xba988000,0x000001ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x21e66654,0x201ccccc,0xeeeeeee8,0x40eeeeee,0xeeeeeeed,0xd94eeeee,
    0x645ddddd,0x02eeeeee,0xee880800,0x77440eee,0x00000eee,0x00000002,
    0xe8800440,0xeeeeeeee,0x3baa04ee,0xeeeeeeee,0xddd50eee,0x00bddddd,
    0xddddddd3,0x0062001d,0x88002000,0x65400080,0x3a203ccc,0xeeeeeeee,
    0x7540eeee,0x1eeeeeee,0xc8011000,0xeeeeeeee,0x3b203eee,0x03eeeeee,
    0x0000eed4,0x98000ccc,0x2eeeeeee,0x7777775c,0x3ba2eeee,0xeeeeeeee,
    0xeee882ee,0xddd12eee,0x0001dddd,0x3ffffd00,0x05ffff98,0xfffffc88,
    0x74c00cff,0xafffffff,0x3fffee20,0x3ffee23f,0x7775c3ff,0x3f223eee,
    0x7fffc45f,0x7fffc40f,0x9500000f,0x7774c000,0xeeeeeeee,0x3ff222ee,
    0x7ffdc01c,0xffffffff,0xfffc8803,0x880cffff,0xfffffffb,0xffea8804,
    0x7edc00ae,0xe881efff,0x20eeeeee,0x880bffd9,0xdacefffc,0x7fff4003,
    0xffc9801f,0x00afffff,0x2bbffaa6,0x3bbbbae0,0xbffd913e,0x3ffae205,
    0x00aeffff,0xdffffb98,0x3fffe600,0xefeb8001,0x98003fff,0x43fffffc,
    0xffffffb8,0x7f4c41df,0x09ffffff,0x0bffea20,0x1fffff91,0xff880000,
    0xfff501ff,0x3ff6001f,0x26005fff,0x02ffffff,0x20fffffe,0xa83fffff,
    0xf34fffff,0x7c45ffff,0x7c40ffff,0x0000ffff,0x80001fb0,0xffffffc9,
    0xfffb80bf,0x3ffa01ff,0xffffffff,0x3ffa000f,0xfa805fff,0x02ffffff,
    0x8803ff10,0xffe9bffd,0xfffd983f,0x3fffa1ff,0x5fff446f,0x004fffc9,
    0x007fffe6,0x9ffffff0,0x40ffcc00,0xcfffffb8,0xffffffe9,0x3fffe601,
    0xfc8004ff,0xfffc801f,0x3fa6004f,0x03fffb2f,0x3ffffa00,0xfffff703,
    0x7ffc405f,0x36005fff,0xffff102f,0xb800001f,0x7d401fff,0xff9003ff,
    0xf8009fff,0x201fffff,0xe83ffffe,0xfb03ffff,0xfff19fff,0x7fc47fff,
    0x7fc40fff,0x80000fff,0x00003ff9,0x0bfffffd,0x2ffffffc,0xffffff98,
    0x005fffff,0x27ffffe4,0xfffffd80,0x0fd001ff,0x2e2ffe88,0xf981ffff,
    0xff51ffff,0x7ec5ffff,0x027f444f,0x003fff90,0x7fffffd0,0x7406f800,
    0xadfeffff,0x406ffffd,0x06fffffd,0x7003fb80,0x4007ffff,0xffd0fffe,
    0x3f60009f,0xff103fff,0xc807ffff,0x007fffff,0xfff881f6,0x400000ff,
    0xf5002ffe,0x3ff200bf,0x7c004fff,0x200fffff,0xe83ffffe,0xf903ffff,
    0xd7db9fff,0x7fc43fff,0x7fc40fff,0x80000fff,0x00007ffd,0x09fffffb,
    0x3ffffff4,0xffffffc8,0x001fffff,0x27ffffe4,0xfffffc80,0x6d800eff,
    0x223ffec0,0xf884ffff,0xff31ffff,0x3e27ffff,0x04f884ff,0x0007ffa0,
    0x1fffffec,0xfb01ba00,0xff87ffff,0x3e601fff,0x001fffff,0xff10036c,
    0x3f2001ff,0x3fff27ff,0xfffb0002,0x7ffe407f,0x7fc406ff,0xf002ffff,
    0x7fffc409,0x2200000f,0x7dc002ff,0xfffc800f,0x7fc004ff,0x3a00ffff,
    0xfe83ffff,0xff903fff,0x2e21ffff,0x7fffc43e,0x7fffc40f,0x7c40000f,
    0x80002fff,0x03fffffc,0x1fffffee,0x4ccccf74,0x80019999,0x04fffffc,
    0xffffdd90,0x0b900bff,0x742fffcc,0xff885fff,0x3ffa1fff,0xfff54fff,
    0x200b707f,0x20002ff9,0x02fffffd,0x3f602f40,0xffe85fff,0x7ff402ff,
    0x22004fff,0x15c4003f,0x9ffffa00,0x20001ba8,0x203ffffd,0x1ffffff8,
    0x7ffffec0,0x200fa805,0x00fffff8,0x00bee000,0x6401fdc0,0x004fffff,
    0x07fffffc,0x07ffffd0,0x207ffffd,0x02fffffc,0x1fffff10,0x0fffff88,
    0x7ffe4000,0xfc80006f,0x4c03ffff,0xf986fccd,0x32000002,0x004fffff,
    0xfffff3b9,0x05c809ff,0x2e17fff6,0xff882fff,0x5ed41fff,0xffff53fe,
    0x7004889f,0xfd80005f,0x4002ffff,0x7ffec05e,0xffffd84f,0x7fffd403,
    0x0f9000ff,0x3e200000,0x00007fff,0x03ffffd8,0x27ffffec,0x3ffffea0,
    0x202ec00f,0x00fffff8,0x00000000,0xfffff900,0xffff8009,0x3ffa00ff,
    0xfffe83ff,0xffff903f,0x3fe2001f,0x7fc40fff,0x20000fff,0x1ffffff8,
    0x7ffe4000,0x3ea003ff,0x0001fc85,0x3ffff200,0x2ab9004f,0x2fffffff,
    0x7fc41720,0x037304ff,0x07ffffe2,0x3ffe2fe8,0x0001efff,0x3ff60000,
    0x74002fff,0x7fffec05,0x3ffffd84,0xfffffe80,0x0007f003,0xfff1000c,
    0x440001ff,0x1ffffec0,0x3ffffea0,0xfffff807,0x00be203f,0x81fffff1,
    0x00000008,0xfffc8000,0x7fc004ff,0x3a00ffff,0xfe83ffff,0xff903fff,
    0x7c400fff,0x7c40ffff,0x0000ffff,0x3fffffee,0x7fe40005,0x36003fff,
    0xeffff82f,0x900002bd,0x009fffff,0xffffc972,0x0b901fff,0x017fffe6,
    0x7ffffc40,0xfc8ff101,0x03ffffff,0x40008800,0x02fffffd,0x3f602f40,
    0xffd84fff,0xffb803ff,0xfb806fff,0x7ff5c000,0x7fc402ef,0x4c000fff,
    0xfb3effeb,0xff007fff,0xe807ffff,0x206fffff,0xfff8807b,0xdffd90ff,
    0xeee88017,0xd100eeee,0x01dddddd,0x4fffffc8,0x7ffffc00,0x3fffa00f,
    0xffffe83f,0xdffff903,0x7fffc400,0x7fffc40f,0x3ba0000f,0x00ffffff,
    0x3ffff200,0x0df1003f,0xfffffff5,0xc80005df,0x004fffff,0xffffd8b9,
    0x05c80eff,0x00dffff5,0x3ffffe20,0xf987f701,0x4fffffff,0x7777775c,
    0x5bffd913,0x3ffff600,0x02f4002f,0x213ffff6,0x803ffffd,0x2ffffff8,
    0xd1002740,0x9ff915ff,0xffffdd90,0xf3009ddf,0xd9fdbfff,0x9007ffff,
    0x40dfffff,0xfffffff9,0xf1009d01,0xffd5ffff,0x801fffff,0x1fffffd9,
    0x3ffff660,0x7ffe401f,0x7fc004ff,0x3a00ffff,0xfe83ffff,0xff903fff,
    0x7c400bff,0x7c40ffff,0x0000ffff,0xffffd3f5,0x7e40009f,0x8803ffff,
    0xfffc81fd,0xefffffff,0xfff90001,0x172009ff,0xffffffd1,0x3ee0b90b,
    0x8000ffff,0x81fffff8,0xfff305f9,0x449fffff,0x9cfffffb,0x1ffffffe,
    0xfffffd80,0x202f4002,0xd84ffffd,0x9003ffff,0x40bfffff,0xff1000fa,
    0x1fffc45f,0x3ffffff6,0x7c405fff,0x3fe62fff,0x8803ffff,0x01ffffff,
    0xfffffbdb,0x1003f309,0x19ffffff,0x0dffff91,0x3fffff30,0xfffff980,
    0x7fffe401,0x7ffc004f,0x3fa00fff,0xffe83fff,0xfff903ff,0x7fc4009f,
    0x7fc40fff,0xb0000fff,0x3ffffeab,0xff90000f,0xe9807fff,0xfffff00e,
    0xffffffff,0xfff90005,0x172009ff,0x3fffffe6,0xfa82e43f,0x8001ffff,
    0x41fffff8,0x7f4404fb,0x40ffffff,0xdfeffffe,0x06ffffda,0x2fffffd8,
    0x3602f400,0xfd84ffff,0xf3003fff,0x203fffff,0x3ff6005d,0x20fffc87,
    0xfffffa98,0x7ff40099,0xffffa86f,0xfffb003f,0x55f109ff,0x90ffffff,
    0x3ffe200d,0xfffb83ff,0x7ffc405f,0x7fc401ff,0x7e401fff,0x4004ffff,
    0x00ffffff,0x20fffff6,0x903ffffe,0x4009ffff,0x40fffff8,0x00fffff8,
    0x3fe1f980,0x0003ffff,0x07fffff9,0xfa805f4c,0xffffffff,0x001fffff,
    0x27ffffe4,0xff505c80,0x645fffff,0xfffff305,0xfff10007,0x00ee43ff,
    0xffffff90,0xfffffd85,0x0fffffc3,0x3fffff60,0x202f4002,0xd84ffffd,
    0x2003ffff,0x84fffffd,0xff5001f9,0x9fff70bf,0x1fffff10,0x5ffff700,
    0x0fffffa0,0x7ffffd40,0x3ffe7b87,0x01fc2fff,0x0fffff88,0x0fffff88,
    0x3ffffe20,0x7fffc401,0x7ffe401f,0x7fc004ff,0x3600ffff,0xfe83ffff,
    0xff903fff,0x7c4009ff,0x7c40ffff,0x0931ffff,0xfff91b60,0x32000dff,
    0x203fffff,0xcaa98800,0xffffffec,0x7e4006ff,0x9004ffff,0x7fffdc0b,
    0x40b90fff,0x00ffffff,0x7ffffc40,0x30910021,0xd89fffff,0xfe85ffff,
    0x7ec02fff,0x4002ffff,0x7ffec05e,0xffffd84f,0x3ffea003,0x036c0fff,
    0x509fffd0,0xff10dfff,0xfb001fff,0x3f603fff,0x3e003fff,0x7c3fffff,
    0x3fffff24,0x44003ea5,0xf00fffff,0x4405ffff,0x401fffff,0x01fffff8,
    0x27ffffe4,0x3ffffe00,0x3fff200f,0x7fffe44f,0xffff903f,0x7ffc4009,
    0x7fff42ff,0x100792ff,0xffff885f,0xfc8002ff,0x0003ffff,0x3fff2200,
    0x2002ffff,0x04fffffc,0xffd80b90,0x0b96ffff,0x2fffffe4,0xfff88130,
    0x3e2001ff,0x3ffff881,0x427fffec,0x403ffffd,0x02fffffd,0x3f602f40,
    0xffd84fff,0x7f4003ff,0x3e23ffff,0x3fffe002,0x87fffa83,0x00fffff8,
    0x00fffff8,0x007ffffb,0x37ffffe4,0x7ffcc1f5,0x00bb0fff,0x07ffffc4,
    0x03ffffe8,0x07ffffe2,0x3fffff10,0xfffffc80,0x7fffc004,0x3fea00ff,
    0xffc8afff,0xf904ffff,0x44009fff,0xa9dfffff,0xefffffed,0x07c800fb,
    0x0dfffffb,0xfffff900,0x20000007,0x03fffffc,0x3fffff20,0xd00b9004,
    0x9bffffff,0x7fffc40b,0x885b83ff,0x001fffff,0x7fe41be2,0x7fffec1f,
    0x3ffffd84,0x7ffffec0,0x202f4002,0xd84ffffd,0x4004ffff,0x26fffffb,
    0x3fe6006c,0xeeeeeeff,0x7c40ffff,0x4400ffff,0xb00fffff,0x4007ffff,
    0x1ffffff8,0xffffd0bb,0x4005f17f,0x00fffff8,0x40bffffb,0x01fffff8,
    0x0fffffc4,0x3fffff20,0x7fffc004,0x7fec00ff,0xfe9fffff,0xfd80efff,
    0x26005fff,0xffffffff,0xfffffa8d,0x03f8804f,0x3ffffff3,0xffffc800,
    0x0000003f,0x017fffee,0x4fffffc8,0xf100b900,0xbfffffff,0xfffffc80,
    0x80eecdff,0x01fffff8,0x7dc1ffc0,0xffffd87f,0x3ffffd84,0x7ffffec0,
    0x202f4002,0xe84ffffe,0x4004ffff,0x2ffffff8,0x7fd4007f,0xccccceff,
    0x7c40cccc,0x4c00ffff,0x3607ffff,0x4003ffff,0x8cfffffd,0xffffb82f,
    0x44007bef,0xb00fffff,0x440dffff,0x401fffff,0x01fffff8,0x27ffffe4,
    0x3ffffe00,0x7fec400f,0xfffd0eff,0x7fc45fff,0x3000ffff,0x9ffffddf,
    0x04ffffd8,0x7f401f70,0x4005ffff,0x03fffffc,0x7dc00000,0x3f2006ff,
    0x9003ffff,0x3ffe600b,0xc805ffff,0xffffffff,0xffff100e,0xfff8003f,
    0x01ffd32e,0xb09ffffb,0xd807ffff,0x002fffff,0xfff3027c,0x7fcc1dff,
    0x4000efff,0xbdfffffc,0x3fee000f,0xf10005ff,0xb801ffff,0xb00fffff,
    0x8007ffff,0xcffffffa,0xfffff106,0xf88009ff,0xfb00ffff,0x7c40bfff,
    0x4401ffff,0x401fffff,0x44fffffc,0xfff81cda,0x71000fff,0x204fa815,
    0xfffffffb,0x55fa805f,0x055c4037,0xddddfd00,0xfffffddd,0x7e4001ff,
    0x8003ffff,0x3fe0003b,0x20b7223f,0x03fffffc,0x7dc00b90,0x005fffff,
    0x9dfffff5,0x7fffc401,0x6efc001f,0x01efffff,0xb09ffffb,0xc807ffff,
    0x003fffff,0xfffc827c,0xfa9fffff,0x2fffffff,0x3fffe600,0x54004fff,
    0x0007ffff,0x01fffff1,0x0fffffa8,0x07ffffb0,0xffffff00,0x7ffec07f,
    0x44001fff,0xb00fffff,0x4407ffff,0x401fffff,0x01fffff8,0x27ffffe4,
    0xf81ffff5,0x0007ffff,0x00007fc8,0x000df900,0xcccfa800,0xffcccccc,
    0x2004ffff,0x03fffffc,0x20002d80,0x3ffe1ffd,0x7fffe42f,0x00b9003f,
    0x5fffffc8,0x0076c400,0x1fffff88,0x2fe61400,0x7fffec00,0x3ffffd84,
    0x7ffffe40,0x00fe2003,0x20000000,0x0ffffffd,0x7fffcc00,0xff88000f,
    0x7cc00fff,0xfb00ffff,0x90007fff,0x01ffffff,0x37ffffd4,0x7fffc400,
    0xffffb00f,0x7fffc403,0x7ffc401f,0x7fe401ff,0x3ff64fff,0x7fffc3ff,
    0x7c40007f,0xdfb8005f,0x0ffe800b,0x17600000,0x7ffffdc0,0x3fff2007,
    0x7c4003ff,0x9fee0001,0x646ffffa,0x002fffff,0xffd000b9,0xf8800bff,
    0xfff1001e,0xd80003ff,0xfffd803f,0xffffd84f,0x7fffdc03,0x07ea004f,
    0x06fbea00,0xfff50000,0xf1000bff,0x0809ffff,0x0fffff88,0x7ffffc40,
    0x7ffffb02,0xffff1000,0xffff009f,0xff10007f,0x3fa01fff,0x7fc407ff,
    0x7c401fff,0x6401ffff,0x3a4fffff,0x7fc2ffff,0x40005fff,0xc8006ffb,
    0xff805fff,0x5000001f,0x3fe2003f,0x9003ffff,0x007fffff,0x2b260fc8,
    0x2e4fd800,0x7e46ffff,0x9000ffff,0xfff1000b,0xffd800bf,0xfff8802f,
    0x2e0001ff,0x7ec05fff,0xffd84fff,0x7fc403ff,0x3a006fff,0xfff50007,
    0xfd00000f,0x20003fff,0x00fffffd,0xfff881d1,0xffd800ff,0xfffd04ff,
    0x3f60007f,0xfc801fff,0x88000fff,0xf01fffff,0xf880bfff,0x4401ffff,
    0x401fffff,0x24fffffc,0x7c46fffc,0x0003ffff,0x0017ffe4,0x3007ffd4,
    0x00007fff,0xf9001ba0,0x200dffff,0x03fffffc,0xff99fe20,0x3fe202ff,
    0x07fffe60,0x00dffffb,0xf980036c,0x744005ff,0xff8804ff,0x40001fff,
    0x7ec07ffb,0xffd84fff,0xffd803ff,0xfd802fff,0x3fe60003,0x5c00002f,
    0x20005fff,0x0efffffa,0xfff883e8,0xffa800ff,0x7fdc0fff,0x50004fff,
    0x2600bfff,0x10005fff,0x303fffff,0x8801ffff,0x401fffff,0x01fffff8,
    0x2fffffec,0xfa87fff1,0x80004fff,0x001ffffa,0x2a01fff8,0x00005fff,
    0x4c004fa8,0x02ffffff,0x4fffffd8,0x5cfff300,0x41dfffff,0xffd81fc8,
    0x0efffe86,0x0003fe00,0x4002ffd4,0xf8804ffb,0x0001ffff,0x3603ffc4,
    0xfd84ffff,0xe8804fff,0x101fffff,0xd0000bf9,0x800005ff,0x0002fff8,
    0x7fffffec,0xf106ecac,0x2001ffff,0x2a4ffffe,0x06ffffff,0x00bffe00,
    0x0002ffe8,0x09fffff1,0x1003fffb,0x803fffff,0x01fffff8,0x3fffffe6,
    0x47bfe61f,0x005fffe9,0x3ffff600,0xffb801ad,0x27ffd406,0x3fa20000,
    0xfffe8004,0x7ec00eff,0x9805ffff,0x7ff46fff,0xfcbdffff,0x2bffa00e,
    0x0ffffc88,0x3bff9100,0x017f2000,0x003fff10,0x03fffff1,0x04ffc800,
    0x427ffff4,0x004ffffe,0xdfffffd3,0x09ffd759,0x1fff5000,0xdf900000,
    0x3ff60000,0x0effffff,0x3fffff30,0x3fffa200,0xffdafeff,0x8003efff,
    0x7dc007fc,0x3fe20007,0x3ea2ffdf,0xff7002ff,0xfb809fff,0x7444ffff,
    0xfffffffe,0xfd88eeff,0x03dfffff,0x7fec4000,0xfb00efff,0xf88019ff,
    0x200001ff,0x000fffe9,0x3fffffe2,0xfff300df,0x579bffff,0xfffffb75,
    0xffffd98b,0x7002ceff,0x9dffffff,0xfffd5003,0x0007dfff,0x3fae00bb,
    0xff7001ef,0x10009fff,0x9807fffd,0x20efffff,0x0efffff9,0x3fffee00,
    0x01dfffff,0x6fffe400,0xf3000000,0x7e400005,0x00beffff,0x0ffffff2,
    0xffffd880,0x7bdffb2f,0x7f100015,0x004f8800,0x74c7be20,0x01ceffff,
    0xffffff88,0x7fc41fff,0x1fffffff,0x2ea20000,0x8000001b,0x4c02cdc9,
    0x00180019,0x7fffe400,0x3b205eff,0xffffffff,0xffdd33ff,0xffffffff,
    0xffffffff,0x2aa209ff,0x3100009b,0x00001595,0x00e20000,0x88004cc4,
    0xffffffff,0x04cc001f,0x7ffffe40,0xfffa9fff,0x002fffff,0x55665d4c,
    0x33300000,0x70000001,0x2a200000,0x7ff6400a,0x03ffffff,0x26a0dcc0,
    0x02e00000,0x00006e00,0x002ea607,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bae0180,0x44eeeeee,0x266eeeed,0xeeeeeeee,0xaaccceee,
    0x3bbae000,0x10003eee,0xdddddddd,0x363ddddd,0xeeeeeeee,0xdd12eeee,
    0xdddddddd,0x000009dd,0xeeeeeee8,0xeeeeeeee,0xeeeeeeee,0x77777441,
    0x777740ee,0x441eeeee,0xd31eeeee,0xdddddddd,0x155999dd,0x77774c00,
    0xeeeeeeee,0xfb50002e,0x3ae7b05b,0xeeeeeeee,0xeeeeeeee,0x802eeeee,
    0xdddd1008,0x80003ddd,0xec880008,0x3bba200b,0xeeeeeeee,0xda8002ee,
    0x116ecc1d,0xdddddddd,0x9999dddd,0xeeea8015,0xeeeeeeee,0x4001accc,
    0xeeeeeee8,0x77777641,0x3a20002e,0xeeeeeeee,0xea80eeee,0xffd882ef,
    0xa883ffff,0xfc981eff,0xeeefffff,0x03dfffff,0xfffffb88,0x7e4c0004,
    0x1cffffff,0xfffffb88,0xb880adff,0xaeffffff,0x10000000,0xfffffff5,
    0xfdddddff,0x503fffff,0x81fffffd,0xdfffffea,0xcffd9809,0x7fffe4c0,
    0xfffeeeff,0x26003dff,0xfffffffc,0x3f20000b,0xb9cfffff,0xfffff92f,
    0xfffffddd,0xffffdddf,0x405b007f,0x1fffffd9,0x0016c000,0x2027fff4,
    0xfffffda9,0x00099cff,0xf13fffc4,0x64c41fff,0xeeffffff,0xdffffffe,
    0x7ffecc00,0xffeeefff,0x3002dfff,0x83fffffb,0x3fffffb8,0xffc88000,
    0x00cfffff,0x403ffffa,0x00fffffe,0xffd003fa,0xfc987fff,0xf801efff,
    0x0004ffff,0xffffffd0,0xfffff900,0xfffd003f,0x000005ff,0x3feff600,
    0xd300ffff,0x3e603fff,0xf980ffff,0x5404ffff,0x7fff404f,0x7fe4c3ff,
    0x3a001eff,0x005fffff,0x7ffffc40,0x90ffffff,0xff883bff,0xfe987fff,
    0x017dc03f,0x07ffffe6,0x002fb800,0x07ffffcc,0xfffffe80,0x7fdc0005,
    0xffff52ff,0x3ffffa07,0x7fffd42f,0xfff801ef,0x7ecc1fff,0x9800dfff,
    0xf01fffff,0x0007ffff,0x7ffffec0,0x7fffcc05,0xffff302f,0x4027c05f,
    0x03fffffd,0x07fffff5,0x3ffffaa6,0x001aaaad,0xffffd555,0x555555df,
    0xfffff955,0x3601555f,0x001fffff,0x2df00000,0x00ffffff,0xf880ffec,
    0xfb00ffff,0xfc80dfff,0x7fffec00,0xffff503f,0x3ff6007f,0x40004fff,
    0xffffddfb,0x17f24fff,0x3fffffc4,0x2603fd88,0x7fc402ff,0x30001fff,
    0xf88005ff,0x36006fff,0x003fffff,0x87fffc40,0x900ffff8,0x305fffff,
    0x03ffffff,0x1fffffe8,0x5fffff70,0xfffff880,0x7ffffd01,0x7fe40000,
    0xff804fff,0x3f600fff,0x3f106fff,0xfffffb00,0x7fffdc07,0xffffc83f,
    0x5fffffff,0xffffff00,0xffffffff,0xffffffff,0x03ffffff,0x07fffff2,
    0x2e000000,0xffffff1f,0x203fb001,0x00fffff8,0x03fffff5,0x7fec02f4,
    0x3ee03fff,0xc803ffff,0x003fffff,0xfb712e40,0x00fc85df,0x0ffffff1,
    0xffd01fcc,0xfffff005,0x3ffa0003,0xfffc8002,0x3fff2003,0xb80003ff,
    0x1f7542ee,0x5fffff90,0x3fffff20,0x7ffff404,0x3fff601f,0x7ffc01ff,
    0xfffb01ff,0x6400007f,0x804fffff,0x5404fffb,0xb81fffff,0xffffb006,
    0xfffe807f,0x7f4c41ff,0x9999cfff,0xf9333000,0x333bffff,0xff733333,
    0x0333dfff,0x0fffffe4,0x22000000,0x3ffffe4f,0x01fa800f,0x01fffff1,
    0x827ffffc,0xffd802f8,0x7f403fff,0x6401ffff,0x003fffff,0x01880440,
    0x7ffc40b9,0x41f407ff,0x802fffd8,0x001fffff,0x017ffec4,0x4001b980,
    0x03fffffc,0x90000000,0x205fffff,0x07fffffa,0x0ffffff4,0xffffff10,
    0x7ffffc01,0x7ffffb01,0x7fe40000,0x71004fff,0x3fffa001,0xb003e84f,
    0x807fffff,0x06fffffb,0x009ffffb,0x3ffff200,0xfff9804f,0xff9006ff,
    0xdfffffff,0x0000059b,0x7fffc1db,0x7c0b80ff,0xfffff101,0x7fffe401,
    0x3600f707,0x403fffff,0x06fffffb,0x1fffffe4,0xc8000000,0x3fffe202,
    0x221dc07f,0x802ffffe,0x001fffff,0x0bffffa2,0xf9000000,0x0087ffff,
    0xf9000000,0x2205ffff,0x01ffffff,0x07fffffa,0xbfffff90,0x0fffffc0,
    0x03ffffd8,0x3fff2000,0x000004ff,0x41fffff7,0xffb000f9,0xf8807fff,
    0xd82fffff,0x0084ffff,0xfffffc80,0xffff9804,0xfff9006f,0xffdb99ff,
    0x00005dff,0xffff0bea,0xc81d01ff,0xfffff101,0x7fffcc01,0xb004e82f,
    0x807fffff,0x2ffffff8,0x3fffff20,0x00000003,0xffff8801,0x3e60807f,
    0xeeefffff,0xfffff83e,0xffff3001,0x05ddddff,0xffc80000,0x01aa3fff,
    0x7e400000,0xf302ffff,0x403fffff,0x01fffffe,0x7fffffcc,0x3fffff00,
    0x0fffff60,0xfffc8000,0x000004ff,0xc8fffffe,0x3fff6004,0xffe803ff,
    0xffd85fff,0xfff914ff,0x3ff20039,0xf9804fff,0x9006ffff,0xd83fffff,
    0x003fffff,0x7fc2fc40,0x7c40ffff,0x3ffe2000,0xfd0088ff,0x1f889fff,
    0xfffffb00,0xffffd007,0x7ffe40bf,0x880003ff,0x0eeeeeee,0xffff8800,
    0x3fe2007f,0xffffffff,0xfffff84f,0xffff9801,0x3fffffff,0x3bbbbba6,
    0xeeeeeeee,0xfffff903,0x20013f27,0xeeeeeee8,0xffffc800,0xffff702f,
    0xfffe80ff,0xfff801ff,0xfff04fff,0x3ff603ff,0x777543ff,0x3202eeee,
    0x104fffff,0x1ddddddd,0xfffff900,0xffb000fc,0xf9007fff,0xd81fffff,
    0xff9cffff,0x801fffff,0x04fffffc,0x6fffff98,0xfffff900,0xfffffd03,
    0x07e40003,0x07fffffc,0xf88003ee,0x01eaffff,0xb8fffff7,0x3fff6007,
    0xffc803ff,0xf900ffff,0x0007ffff,0x3ffff660,0xff88001f,0x4c007fff,
    0x9bfffff9,0xffff8099,0xff33001f,0x13337fff,0x56677fcc,0xffffffba,
    0xfffff901,0x40005fb9,0x1fffffd9,0xfffffc80,0xfffffb02,0xffffe805,
    0xfffd801f,0xffff07ff,0x3fff603f,0xfffe983f,0x7ffe401b,0x3f6604ff,
    0x8801ffff,0x6aafffff,0x7fffec00,0xfffb803f,0x7fec1fff,0xfeadfeff,
    0xfc805fff,0x9804ffff,0x006fffff,0x03fffff9,0x0dfffff7,0x7c0fe600,
    0x7c0fffff,0x3fe2000f,0x2204ffff,0x3a2fffff,0x3fff6004,0xffb803ff,
    0xf901ffff,0x0007ffff,0x7ffffcc0,0xfff88001,0xff0007ff,0xff005fff,
    0x40303fff,0x202fffff,0xfff705f9,0x7fe409ff,0x001effff,0xfffff980,
    0xffffc801,0xffffd82f,0xfffe803f,0xffd801ff,0xff80ffff,0xffb01fff,
    0x3ff207ff,0xffff9001,0xfff9809f,0xffb001ff,0x8807ddff,0xffffd999,
    0x419999cf,0x2ffffffb,0x1fffffec,0x007ffffe,0x09fffff9,0xdfffff30,
    0x3ffff200,0xffff981f,0x5e8000ff,0x3fffffe0,0x00fffb88,0x3ffffe20,
    0xffffe803,0x4c403f35,0xfffffd99,0x5c19999c,0x02ffffff,0x07fffff9,
    0x20019f91,0x01fffff8,0x7dd55554,0xaaafffff,0x7ffc02aa,0xfff802ff,
    0x3bfee1ff,0x2fffff80,0x3e203e60,0x6406ffff,0x00dfffff,0xffff1000,
    0xfff9003f,0xfd7337ff,0x20019fff,0x01fffffe,0xffffffc8,0x1fffff81,
    0x07ffffb0,0x64001dd1,0x404fffff,0x01fffff8,0xffffff30,0xffffa801,
    0xffffffff,0x3fea0fff,0x7ec3ffff,0xffe85fff,0x7fe403ff,0xffffffff,
    0xffffffff,0xff9006ff,0x3fe03fff,0x4001ffff,0x3ffe00fb,0xffffefff,
    0x3fe2000f,0xfb800fff,0x07c8ffff,0x7fffffd4,0xffffffff,0x3fffea0f,
    0xfff903ff,0xfff907ff,0x3ffe2009,0x7ff401ff,0xffffffff,0x06ffffff,
    0x017ffffc,0xf0fffffc,0xfff07fff,0x82cc05ff,0x02fffffd,0x1fffffe4,
    0xfff10000,0xff9003ff,0xffffffff,0xe8003dff,0x801fffff,0x2ffffffb,
    0x01fffff8,0xb07ffffb,0xffc8001d,0x7c404fff,0x2001ffff,0x805ffffe,
    0xfffd9998,0x19999cff,0x7fffffd4,0x27fffec3,0x01ffffec,0x3bfffff2,
    0xcccccccc,0x06fffffd,0x3fffff90,0x3fffffe0,0x2bbe2001,0xffaaaaaa,
    0xffdcffff,0x3e2000ff,0x8800ffff,0x4ebfffff,0x7ecccc40,0x999cffff,
    0x7fffd419,0xfff903ff,0xfffd07ff,0x3ffe200d,0x4cc401ff,0xfffffa99,
    0x0099999f,0x017ffffc,0x88fffffc,0x9914ffff,0x99bfffff,0x7cc04459,
    0xc805ffff,0x003fffff,0x3fffe200,0xfffc801f,0xfecaacff,0x800cffff,
    0x01fffffe,0xffffffb8,0x1fffff82,0x87ffffb0,0xfc8000ed,0x4404ffff,
    0x001fffff,0x00bfffea,0x3fffff60,0xffffa803,0x7ffec2ff,0xffffd84f,
    0x7fffe403,0xfff9804f,0xff9006ff,0xff103fff,0xd800ffff,0xffffffff,
    0x0fffffff,0xa8003ff6,0x640fffff,0xfffccccc,0xcccdffff,0xfffb01cc,
    0xff5007ff,0x3205ffff,0xc83fffff,0xf1003fff,0x0003ffff,0x0ffffff1,
    0x3ffffe00,0xfffff802,0x4c7fff61,0xffffffff,0xfe803fff,0xc800ffff,
    0x003fffff,0x3fffe200,0xfffc801f,0xfffc82ff,0x7f402fff,0xb801ffff,
    0x81ffffff,0xb01fffff,0x7ec7ffff,0xfff90002,0xff8809ff,0x7c001fff,
    0xfb0007ff,0x7007ffff,0x81ffffff,0xd84ffffd,0x6404ffff,0x804fffff,
    0x06fffff9,0x3fffff90,0xbfffff50,0x400fd400,0x40ffffff,0xff7000fe,
    0xee81ffff,0xfffeeeee,0xeeeeefff,0xffffb01e,0xfff7007f,0x3f201fff,
    0xb883ffff,0xff1000be,0x10003fff,0x00ffffff,0x0bffffe0,0x07ffffe0,
    0x3ffe0175,0x7dc002ff,0xb804ffff,0x03ffffff,0x3ffe2000,0xffc801ff,
    0xff702fff,0x7403ffff,0x801fffff,0x07fffffc,0x203fffff,0xfb3ffffd,
    0x3f2000df,0x4404ffff,0x001fffff,0x80027fdc,0x03fffffd,0x7fffffc8,
    0x84ffffd8,0x404ffffd,0x04fffffc,0x6fffff98,0xfffff900,0xfffff903,
    0x013e2005,0x07fffffc,0x3e6003ea,0x00fffffa,0x13ffffe0,0x3ffff600,
    0xfffc803f,0x3ff207ff,0x00003fff,0x07ffffe2,0x3fffe200,0xfff0007f,
    0xfff005ff,0xff8003ff,0x22002fff,0x806fffff,0xfffffefd,0x3e200003,
    0xc801ffff,0x202fffff,0x07fffffe,0x07fffffa,0x3fffff60,0x3fffff06,
    0x2fffff60,0x004ffffd,0x4fffffc8,0x7ffffc40,0x0ffc4001,0xffffd800,
    0xfffd803f,0xfffd86ff,0xffffd84f,0x7fffe404,0xfff9804f,0xff9006ff,
    0xffa83fff,0x32003fff,0xffff000f,0x00f881ff,0xffff8888,0x3ffe000f,
    0xfd8003ff,0xd803ffff,0x206fffff,0x03fffffc,0xff883b80,0x88001fff,
    0x007fffff,0x05fffff0,0x03fffff0,0x2fffff80,0x3ffff600,0x27fa202f,
    0x03fffffc,0xff882a80,0xfc801fff,0x3202ffff,0x01ffffff,0x03fffffd,
    0xbfffffd0,0x07ffffe0,0x7fffffec,0x002fffff,0x27ffffe4,0x3ffffe20,
    0x006d8001,0x3fffff60,0xffffe803,0xffffd83f,0x4ffffd84,0x7ffffe40,
    0xffff9804,0xfff9006f,0xffb759ff,0x4c003fff,0x3ffe002f,0x00e80fff,
    0xfffff10d,0x7fffc001,0xffd8003f,0xfe803fff,0x3203ffff,0x003fffff,
    0xfff882d8,0xf88001ff,0x0007ffff,0x005fffff,0x003fffff,0x02fffff8,
    0xbfffff30,0xff90e980,0xb0007fff,0xfffff105,0xffff9003,0x7ffcc05f,
    0xffd03fff,0xff003fff,0x3e05ffff,0xfb01ffff,0xffd1dfff,0x64001dff,
    0x404fffff,0x01fffff8,0x20002e80,0x03fffffd,0x37ffffcc,0x84ffffd8,
    0x404ffffd,0x04fffffc,0x6fffff98,0xfffff900,0x7bffffff,0x005e8001,
    0x07fffffc,0xf886a814,0x7fc0ffff,0xffffffff,0xffffffff,0xffffb02f,
    0xfff9807f,0x7fe406ff,0x44003fff,0xffff881f,0xff88001f,0xf0007fff,
    0xf005ffff,0x8003ffff,0x002fffff,0x01fffffd,0x7fffe408,0x0fc4003f,
    0x0fffffc4,0x7ffffe40,0x3fffe602,0xfffd02ff,0xffa803ff,0x3fe05fff,
    0xffb01fff,0x3ffe67ff,0x3f2004ff,0x4404ffff,0x201fffff,0x40007980,
    0x03fffffd,0x17ffffe4,0x84ffffd8,0x404ffffd,0x04fffffc,0x6fffff98,
    0xfffff900,0x70000335,0xfff8003f,0x3a000fff,0xfffff885,0x66666640,
    0xcefffffc,0xb01ccccc,0x807fffff,0x02fffffc,0x1fffffe4,0x2203f200,
    0x001fffff,0x7fffff88,0xfffff000,0xfffff005,0xffff8003,0xfffb802f,
    0x203504ff,0x03fffffc,0x7c407dc0,0xc801ffff,0x202fffff,0x0ffffffb,
    0x3fffffd0,0xfffffe80,0x3ffffe01,0x7ffffb01,0x17ffffdc,0xfffffc80,
    0x7fffc404,0x45fe981f,0x7ec0004c,0x2203ffff,0x205fffff,0xd84ffffd,
    0x6404ffff,0x804fffff,0x06fffff9,0x3fffff90,0x13e20000,0x3ffffe00,
    0x09f5000f,0x01fffff1,0x1fffffc0,0x7fffec00,0x3ffe203f,0xffc805ff,
    0x22003fff,0xffff107f,0xff10003f,0x2000ffff,0x262ffffe,0x1fffff81,
    0x7ffff400,0xfff10663,0x80f40dff,0x03fffffc,0x7c41fe60,0xc801ffff,
    0x202fffff,0x06fffffd,0x07fffffa,0x4fffff98,0x0fffffc0,0x43ffffd8,
    0x00fffffe,0x4fffffc8,0x7ffffc40,0x11fffc81,0xfd80001f,0x3203ffff,
    0x200dffff,0xe84ffffd,0x6404ffff,0x804fffff,0x07fffffa,0x3fffffb0,
    0x03fa0000,0x3ffffe00,0x2ffb801f,0x0fffff88,0xfffff100,0xfffb0009,
    0x7fe407ff,0xfd800dff,0x3004ffff,0x3fe20fff,0x98001fff,0x00ffffff,
    0x5ffffc80,0xffff10b3,0xffc8003f,0xd8598dff,0x502fffff,0x3fff201f,
    0x3fa004ff,0xfffff106,0xffff9003,0x3ffea05f,0x3fa01fff,0xb102ffff,
    0x8809ffff,0xd01fffff,0xf987ffff,0xc805ffff,0x404fffff,0x81fffff8,
    0x09b4fffd,0xffffb000,0xfffb109f,0xfffd007f,0xfffff0bf,0xffffd809,
    0xfffb805f,0xffb007ff,0x00005fff,0xf1000df9,0x405fffff,0x881fffc8,
    0x001fffff,0x0bfffff3,0xfffffb00,0xffffb109,0x7ffec007,0xff9805ff,
    0xffff106f,0xff30003f,0x0001ffff,0x3ffffffa,0xfffff880,0x7ff44002,
    0x7cc0ffff,0xf505ffff,0x7fffec0f,0xffea805f,0xfffff106,0xffffb003,
    0xffff509f,0xfff805ff,0xfe883fff,0xf8802fff,0xfd02ffff,0xff909fff,
    0xfd807fff,0x4405ffff,0xa81fffff,0x00feffff,0x7fffd400,0xfdcacfff,
    0x8801cfff,0x20efffff,0x0efffff9,0xffffff30,0x7ff4403f,0x4c03ffff,
    0x0effffff,0xfff91000,0xfffd8007,0xaabcffff,0x0fffffec,0x4fffffb8,
    0xfffffb00,0x7fd4005f,0xcacfffff,0x01cffffd,0x3ffffe60,0xbaabcdff,
    0x05fffffd,0x09fffff7,0xfffffb00,0x322000bf,0xf701cffe,0x0009ffff,
    0x039ffd91,0x35fffffd,0x0fffd755,0x3fffffe6,0xcbaaaadf,0x705ffffe,
    0x809fffff,0xfffffffa,0xffffecbd,0x7fdc00bf,0xcacfffff,0x00cefffe,
    0x9fffff70,0xdfffff30,0xfffff881,0xffff302f,0x7dc03fff,0xf904ffff,
    0x20001dff,0xfffffee9,0xeeffffff,0x3ff2001b,0xa9ffffff,0xffffffff,
    0xffffdd12,0x3ddfffff,0x3fffffb6,0x12efffff,0xffffffdd,0x4009dfff,
    0xfffffffa,0xfffdd705,0xffffffff,0xffffffff,0xffffe88f,0x7441ffff,
    0xfffffffe,0xe981efff,0xfffffffe,0x1beeffff,0x3ffba600,0xffffffff,
    0xffffffff,0x7ffc44ff,0x01ffffff,0x7fffff64,0x03efffff,0x7fc40100,
    0x1fffffff,0x7dc03000,0xffffffff,0x226fffff,0xffffffee,0xffffffff,
    0x44ffffff,0xfffffff8,0x3ffa21ff,0xffffffff,0x0acdefff,0x3ffffaa0,
    0xffffffff,0x22001bde,0xffffffff,0xfffff91f,0x3fa25fff,0x16ffffff,
    0xffffffdd,0x221ddfff,0xffffffff,0x0001501f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xeeeeeee8,
    0xeeeeeeee,0x41eeeeee,0xeeeeeee8,0xeeeeeeee,0x73eeeeee,0x07dddddd,
    0x3bbba200,0xeeeeeeee,0xdddddb1e,0x5ddddddd,0x3bbbbba2,0x03eeeeee,
    0xddddddd7,0x3bae03dd,0xeeeeeeee,0xeeeeeeee,0x7777442e,0x02eeeeee,
    0xddddd700,0x774bdddd,0xeeeeeeee,0x401abcce,0xeeeeeee9,0xcccdeeee,
    0x75c001ac,0xeeeeeeee,0xeeeeeeee,0x102eeeee,0x3bbbba20,0x3eeeeeee,
    0x77777754,0x3bbae5ee,0xeeeeeeee,0x3bbba603,0xddd33eee,0xdddddddd,
    0x4c0005dd,0xeeeeeeee,0x33105eee,0x33333333,0x33333333,0xeeeee981,
    0x04eeeeee,0xddddddd5,0x2a09dddd,0xeeeeeeee,0xeec83eee,0xeeeeeeee,
    0x0262002e,0xffc98000,0xeeefffff,0xffffffee,0xffff7101,0xdddddfff,
    0x29ffffff,0x4fffffb8,0x7fe44000,0x80cfffff,0xffffffa8,0xff7101df,
    0x039fffff,0xeffffb88,0x3fff600b,0xcccdeeff,0x6ffffffd,0x3ffff220,
    0xf0005fff,0x5fffffff,0xffff7301,0xffffddff,0x262017ff,0xdffffffd,
    0xfffffedc,0xfff9002f,0xfffdddff,0xffdddfff,0xfea87fff,0xfffd982e,
    0x00bfffff,0x3bffff71,0xffffea81,0x8800bfff,0x40aeffea,0xffffffc9,
    0x980000bf,0xffffffff,0x55906fff,0x55555555,0x55555555,0xfffffa89,
    0x05ffffff,0xfffffff7,0x2e0bffff,0xffffffff,0xffd84fff,0xffffffff,
    0x1bf2003f,0x3ff60000,0x3a604fff,0x7ec01fff,0x2204ffff,0x7f44fffd,
    0x00004fff,0x0dfffffb,0xffffff70,0xffffb001,0xfff800df,0x7dffd005,
    0x7fffec01,0xffd802ff,0x001fffff,0x7fffffd4,0xfffc803f,0x3ff623ff,
    0x7f402fff,0xea81ffff,0x400dffff,0x7c40dffc,0xe987ffff,0x3ffe23ff,
    0x3fff207f,0xfb007fff,0xffe8807f,0x4001ffff,0x7f400efb,0x0005ffff,
    0x3ffffe60,0x06ffffff,0x22400009,0xfffffffa,0xf705ffff,0xffffffff,
    0x3fee0bff,0xffffffff,0xffffd84f,0x3fffffff,0x001bf200,0x3ffff200,
    0x1ffc804f,0x7ffffdc0,0x44fe9804,0x004ffffd,0xfffff900,0xffff5009,
    0x3fee00df,0x2a005fff,0x3fa003ff,0xffffa805,0xdd9005ff,0x009fffff,
    0xffffede8,0xfffb802f,0xfffd83ff,0x3ff600ff,0xff101fff,0x6401ffff,
    0xffff105f,0x8ffa20ff,0x02fffffb,0x3ffffffa,0x004fe803,0x9ffffff3,
    0x801fd800,0x04fffffd,0x2aaa2000,0xaaaaaaaa,0x40000902,0x55555444,
    0x02aaaaaa,0x55555553,0x26035555,0xaaaaaaaa,0xaa981aaa,0xaaaaaaaa,
    0x1bf2000a,0x3ff20000,0xf9004fff,0xffffb803,0x89f3004f,0x004ffffd,
    0xfffff900,0xffff3009,0x3fee00df,0xf5005fff,0x06f8003f,0xfffffe88,
    0xf5d9000f,0x001fffff,0x3fffabe6,0xffb802ff,0xff983fff,0x3f606fff,
    0x2a01ffff,0x204fffff,0xfff100fc,0x1fcc0fff,0x05fffff7,0x7fffffcc,
    0x017e600f,0xffffffb0,0x013e2001,0x1fffffe4,0x00000000,0x09000024,
    0x00000000,0x00000000,0x006fc800,0xffffc800,0x03f1004f,0x4fffffb8,
    0xffb13600,0x200009ff,0x04fffffc,0x6fffff98,0xfffff700,0x01df7009,
    0xc801f880,0x03ffffff,0x7fffdb20,0x2d9003ff,0x02fffffe,0x3fffffb8,
    0x1ffffff0,0x3fffff60,0x3fffe201,0x409900ff,0x07fffff8,0x3fffe1f4,
    0xffffc806,0x0df105ff,0xfffff100,0x03f6009f,0x7ffffe40,0x00000003,
    0x20000480,0x00003004,0x4c40000c,0x00000000,0x000037e4,0x27ffffe4,
    0x5c01e848,0x204fffff,0x3ff625c0,0x900004ff,0x009fffff,0x0dfffff3,
    0x3ffffee0,0x0027e404,0xff980688,0x4006ffff,0xfffff76c,0x3a7f100d,
    0x802fffff,0x03fffffb,0x05fffffd,0x07fffff6,0x3ffffff0,0xff880b20,
    0x1dc07fff,0x40033f26,0x2ffffffe,0x90000fd8,0x03ffffff,0x32002f98,
    0x003fffff,0x77777640,0x3bbbb22e,0x000242ee,0x3fb22090,0x4001bdff,
    0x02efffeb,0xffffd910,0xeee8807f,0x0000eeee,0x00000df9,0x09fffff9,
    0xb80370b3,0x304fffff,0x7fec2889,0x800084ff,0x04fffffc,0x6fffff98,
    0xfffff700,0x00ffa209,0xfe803980,0x001fffff,0xffff8b64,0x87dc02ff,
    0x02fffffe,0x3fffffb8,0x7fffffb0,0x3fffff60,0x7ffff401,0xf880102f,
    0x0807ffff,0xfff30000,0x7e41ffff,0x3fe20001,0x7405ffff,0x7ffe4006,
    0x440003ff,0x22fffffc,0x2fffffc8,0x09000024,0xd539ffd1,0xfd1007ff,
    0x09ff915f,0xea9befb8,0x6cc05fff,0x001fffff,0x0000df90,0x9fffff90,
    0x2e000b50,0x704fffff,0xffffb009,0x37fff229,0xffff9001,0xfff3009f,
    0x3ee00dff,0xe984ffff,0x8000001f,0x4ffffffb,0x3f66c800,0x7405ffff,
    0x3fffffa4,0xffffb802,0xffffd03f,0x3fff605f,0x3fe201ff,0x0000ffff,
    0x0ffffff1,0xfb800000,0xf55fffff,0xff700005,0x2e03ffff,0x7fe4001f,
    0x00003fff,0xf05fffff,0x0485ffff,0xff312000,0x2fffa8bf,0x88bffe20,
    0xffd03fff,0x4ffff983,0x7ffffcc0,0x0df90001,0xfff90000,0x00bb09ff,
    0x3ffffee0,0xfb009b04,0xffd39fff,0x9001ffff,0x009fffff,0x0dfffff3,
    0x3ffffee0,0x00077d44,0x7ffc4000,0x8000ffff,0x3fffe66c,0x43f301ff,
    0x02fffffe,0x3fffffb8,0x1ffffff0,0x3fffff60,0x3fffea01,0x3e20007f,
    0x0007ffff,0xfffe8000,0x004fcfff,0x3ffffa00,0x004f886f,0x3fffffc8,
    0xffff0000,0xffffd05f,0x20000485,0x417fff44,0xfb01fffe,0x1fff90ff,
    0xf84fff98,0x2200ffff,0x881fffff,0x99999999,0x99999ffc,0x64001999,
    0x4c4fffff,0xff70005f,0x9f509fff,0xdffffb00,0xffffb5bf,0xffff900d,
    0xfff3009f,0x3ee00dff,0x3f24ffff,0x0000003f,0x5ffffffb,0xfd1b2000,
    0x3609ffff,0x7fffff46,0xffffb802,0xffffb83f,0x3fff604f,0x3ff201ff,
    0x20003fff,0x07fffff8,0xf9800000,0x05ffffff,0x7ffd4000,0x07e42fff,
    0x7fffe400,0xfd00003f,0xffd05fff,0x000485ff,0xffffa920,0x87fffd81,
    0xfb85fffa,0x7ffec4ff,0x7ffffc0f,0x3fffe201,0xffffd81f,0xffffffff,
    0x7fffffff,0x7fffe400,0x017fea4f,0x7ffffdc0,0x4027fdc4,0x43fffffd,
    0x401fffff,0x04fffffc,0x6fffff98,0xfffff700,0x3ffffb19,0xfa800000,
    0x005fffff,0xfff51b20,0x2f881fff,0x17fffff4,0x7ffffdc0,0x7ffffc43,
    0x3fff600e,0xfff701ff,0x88000bff,0x007fffff,0xff700000,0x000bffff,
    0xfffffd00,0x80017ccd,0x03fffffc,0xffffd000,0x5ffffd05,0x92000048,
    0xc80ffffe,0x7f41ffff,0xfffa84ff,0x0ffffe46,0x80bffffa,0x81fffff8,
    0xfffffffd,0xffffffff,0x4007ffff,0xeffffffc,0x0005ffff,0xbdfffff7,
    0x009ffffd,0xd0bffffb,0xc805ffff,0xffffffff,0xffffffff,0x7006ffff,
    0xfddfffff,0x001fffff,0x7fff4000,0x20000fff,0xfffff86c,0x7f43dc3f,
    0xb802ffff,0x98cfffff,0x05fffffb,0x1fffffd8,0xffffb531,0xf100007f,
    0x000fffff,0x7ff40000,0x0003ffff,0x7ffffcc0,0x4000dd3f,0x03fffffc,
    0xffffd000,0x5ffffd05,0x52000048,0x907ffff8,0xff87ffff,0xfffa83ff,
    0x42fff447,0x202fffff,0x81fffff8,0xaaaaaaa9,0xaaaaffda,0x4002aaaa,
    0xeefffffc,0x0005ffff,0xdffffff7,0x009fffff,0xb09ffffb,0xc807ffff,
    0xccefffff,0xfdcccccc,0x7006ffff,0xffffffff,0x00dfffff,0x3fff2000,
    0x40003fff,0xffffb86c,0x7f41f46f,0xb802ffff,0xffffffff,0x001cffff,
    0xfffffffb,0x7fffffff,0x7fc40000,0x88007fff,0x220001cc,0x0fffffff,
    0x7fec0000,0x01fbffff,0x3ffff200,0xfd00003f,0xffd05fff,0x000485ff,
    0x7fffd520,0x9ffff707,0x777fffcc,0xffffeeee,0x7f540880,0x2202ffff,
    0x001fffff,0x0000df90,0x9fffff90,0x8002ffd4,0x14fffffb,0xb009ffb5,
    0xfb09ffff,0xfc807fff,0x9804ffff,0x006fffff,0x1dfffff7,0x9ffffffb,
    0xff980000,0x0006ffff,0xfff886c8,0x01f52fff,0x05fffffd,0xbfffff70,
    0x20003335,0x9bfffffd,0x0ffffffe,0x3fe20000,0x54007fff,0x0005ffff,
    0x3ffffff2,0x7cc00005,0x04ffffff,0x7fffe400,0xfd00003f,0xffd05fff,
    0x000485ff,0x7fffdd20,0xdffff907,0x677fffd4,0xcccccccc,0x767f5400,
    0x2202ffff,0x001fffff,0x0000df90,0x9fffff90,0x70005fa8,0x709fffff,
    0xfffb009f,0xffffb09f,0xffffc807,0xfff9804f,0xff7006ff,0x3fe29fff,
    0x003fffff,0x3ffff600,0xc80001ff,0xfffffb06,0x7ff4176b,0xfb802fff,
    0x0003ffff,0x3fffffb0,0x3fffffe2,0x3e200006,0x4007ffff,0x03fffffd,
    0xfffff980,0x00003fff,0x7fffffe4,0x7fe40000,0x00003fff,0xd05ffffd,
    0x0485ffff,0x7fdd2000,0xfff907ff,0x7fffdcff,0x7f4c0005,0x5ffffd2f,
    0x7ffffc40,0x0df90001,0xfff90000,0x00bd09ff,0x3ffffee0,0xfb009d04,
    0xffb09fff,0xffc809ff,0xf9804fff,0x7006ffff,0x4c9fffff,0x1fffffff,
    0xfffa8000,0x02004fff,0xfff306c8,0x203f5fff,0x02fffffe,0x3fffffb8,
    0xfffb0000,0x7ffdc3ff,0x00003fff,0x0ffffff1,0xffffff80,0x46fc4006,
    0x0fffffff,0x3fe20000,0x0000ffff,0x1fffffe4,0xfffe8000,0xffffe82f,
    0x90000242,0x41ffffea,0x2a6ffffc,0x0007ffff,0xfe87fff2,0x3e202fff,
    0x0001ffff,0x00000df9,0x09fffff9,0xf70040b7,0x2e09ffff,0xffffd804,
    0x4ffffd84,0x7ffffe40,0xffff9804,0xfff7006f,0xfffb89ff,0x0000ffff,
    0x3fffffe2,0x4036000f,0x3fffa06c,0x3fa06fff,0xb802ffff,0x003fffff,
    0xfffffb00,0xfffffd83,0xf880001f,0x4007ffff,0x07fffffc,0xffa87740,
    0x0006ffff,0x3ffffe20,0x7e40000f,0x8003ffff,0x7ffff43b,0x2ffffe82,
    0x29000024,0x907ffff9,0x7ccbffff,0x8000ffff,0x7f43fffd,0x3e202fff,
    0x0001ffff,0x00000df9,0x09fffff9,0xf70340b3,0x2609ffff,0xffffd804,
    0x4ffffd84,0x7ffffe40,0xffff9804,0xfff7006f,0xfff909ff,0x4000dfff,
    0x2ffffffc,0x6c81e200,0x3ffffea0,0x3fffa03f,0xffb802ff,0x00003fff,
    0x83fffffb,0xeffffff8,0x7fc40000,0x44007fff,0x007feffd,0xfffb03f2,
    0x00007fff,0x3fffffe2,0x7fe40000,0xd8003fff,0x17ffff42,0x217ffff4,
    0x45200004,0xc80fffff,0x3e23ffff,0x0404ffff,0xd03ffff2,0x4405ffff,
    0x001fffff,0x0000df90,0x9fffff90,0x703cc0e0,0x409fffff,0xffffd803,
    0x4ffffd84,0x7ffffe40,0xffff9804,0xfff7006f,0x3ffa09ff,0x8004ffff,
    0x5ffffff9,0xd9035c00,0x7fffff80,0x7fffff40,0xffffb802,0xfb00003f,
    0xf503ffff,0x009fffff,0xfffff880,0x3ea10007,0x105f7006,0x3fffffff,
    0xfff10000,0x80001fff,0x03fffffc,0x3fa0fc40,0xffe83fff,0x000242ff,
    0x7fffe490,0x0ffffd80,0x07ffffec,0x3ffe0e88,0x7fff40ff,0x3ffe202f,
    0xfffd81ff,0xffffffff,0xffffffff,0x7ffe4007,0x2ec004ff,0x9fffff70,
    0xfffd8000,0xffffd84f,0x7fffe404,0xfff9804f,0xff7006ff,0x3e209fff,
    0x02ffffff,0x7fffff40,0x1be2000f,0x7fdc06c8,0x7ff404ff,0xfb802fff,
    0x0003ffff,0x3fffffb0,0x3fffff20,0x3e20002f,0x0007ffff,0x7d4027e4,
    0x3fffea03,0x880006ff,0x00ffffff,0x7fffe400,0x07e4003f,0xb13ffff2,
    0x487fffff,0xf8920000,0xffe81fff,0xffffa84f,0x223e80ef,0x98cfffff,
    0x02fffffd,0x07ffffe2,0x3ffffff6,0xffffffff,0x007fffff,0x27ffffe4,
    0x5c09f500,0x004fffff,0x27fffec0,0x027fffec,0x13fffff2,0x3ffffe60,
    0xffff7006,0x7ffcc09f,0x7001ffff,0x07ffffff,0x3205fd80,0x7fffc406,
    0x7ffff400,0xfffb802f,0xb00003ff,0x403fffff,0x0ffffffe,0xffff1000,
    0xfe8000ff,0x402fcc00,0x3ffffffd,0x7ffc4000,0x40000fff,0x03fffffc,
    0x3ea1fe20,0xfc89ffff,0x243fffff,0xfb890000,0x7ffcc4ff,0xffffb00e,
    0x0dd959ff,0xffffffff,0x5bffffdb,0xfffff107,0x55555303,0x55555555,
    0x05555555,0xfffffc80,0x07ff5004,0x2fffffdc,0x3fff6000,0xffffd84f,
    0x7fffe404,0xfffa804f,0xff7006ff,0xfc80bfff,0x01ffffff,0x7fffffc4,
    0x3ffa6006,0x3601b204,0xffe805ff,0xfb802fff,0x0003ffff,0x5fffffb0,
    0x7ffffcc0,0xff10005f,0x4000ffff,0x7fc403fa,0xffff8800,0x20001fff,
    0x0ffffff8,0x7ffec000,0xff3004ff,0x3ffff60f,0xfffe9eff,0x000120df,
    0x2fffb848,0x801bffb1,0xfffffffd,0xfffc80ef,0xfff53fff,0xff701dff,
    0x00009fff,0xffb00000,0xd980dfff,0x3f202fff,0x0005ffff,0x427ffff4,
    0x404ffffe,0x05fffffd,0x7fffffa8,0xfffff900,0xfffff00b,0x7ec01dff,
    0x801fffff,0x03ffffc8,0xff3003fa,0xfffff005,0xfff9005f,0x200009ff,
    0x03fffffe,0x7fffffdc,0xfff98004,0xb8000fff,0x37f4403f,0xfffff700,
    0x260001df,0x00ffffff,0x7fffec00,0xfff9805f,0xffffb106,0x3ffffa1d,
    0x000091ff,0xeffe9824,0x32004fff,0x0befffff,0x3bfff910,0x40dfffc8,
    0xfffffff8,0x000001ff,0xffff3000,0x9557bfff,0x3fffffd9,0x3ffffe20,
    0xf30002ff,0x4c1dffff,0x00efffff,0xfffffff3,0x7fff4403,0x7c403fff,
    0x02ffffff,0x7ffffff4,0xfffa82ff,0xaaaaefff,0xfffdccaa,0xff902fff,
    0x806e801d,0xeffffffb,0x3fffe600,0x40001fff,0xeffffffa,0x7fffec00,
    0x7ec003ff,0x004fffff,0xb880bf62,0x9002ffff,0xdfffffff,0xfffb0001,
    0x40009fff,0xfffffff9,0xfdbaabcd,0x4405ffff,0xcc8000ab,0xcccccccc,
    0xcccccccc,0x55cc405c,0x2aa20000,0x0c004000,0x00000000,0x3fba2000,
    0xffffffff,0xffffffff,0x3ba20fff,0xffffffff,0xf9001eef,0x3fffffff,
    0xfffffff5,0x3ffba25f,0xefffffff,0xffffdb1e,0x5dffffff,0x3ffffba2,
    0x44ffffff,0xfffffffc,0xf13fffff,0xffffffff,0xffffffff,0x43ffffff,
    0xffffffe8,0x2a07503f,0xfffffffe,0x3ba5efff,0xffffffff,0x3a6006ef,
    0xffffffff,0xff105eff,0x03ffffff,0x7fffff64,0x03efffff,0x3ff20154,
    0x0eefffff,0xffffffc8,0x404fffff,0xfffffee8,0x0eefffff,0x7fff74c0,
    0xffffffff,0xffffffff,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x00000013,
    0x00003a88,0x09880000,0x004c4000,0x0000004c,0x00000000,0x01c40220,
    0x00000310,0x00440000,0x060000c4,0x00404400,0x775c0030,0x44eeeeee,
    0x006eeeec,0x22000040,0xd7003000,0x3ddddddd,0xddddddd1,0x77775cbd,
    0x80110003,0x2eeeeeec,0x3bbbbbb2,0xeeeee982,0xeeeeeeee,0xddddd13e,
    0xeee881dd,0x8ceeeeee,0x006eeeee,0xf1000000,0x4c00005f,0x92ffec00,
    0x45dddddd,0x2eeeeeec,0x64405ffb,0x03fffffe,0x3ffff220,0x3ff661de,
    0x00000dff,0x0951e4c0,0x801b3004,0x2dffffdb,0xffb7017a,0x5b303dff,
    0x2a000000,0x40deffec,0x00dfffeb,0x5dfffd70,0xefffc880,0x32203dac,
    0x01bdfffe,0x3fffff22,0x3dff503f,0x7777775c,0xb97ff223,0x23eeeeee,
    0xa84effec,0x101dfffd,0x1dfffffb,0x7fffff4c,0x85ffd40c,0x3eeeeeeb,
    0x05bffd91,0x3fffff22,0x3ffff222,0xceff982f,0xffffbaac,0x3ff661ff,
    0xfd981fff,0x261fffff,0x4000bffe,0x00000efc,0x0000bfe2,0x3bffffd9,
    0x221fffd0,0x22fffffc,0xafffffc8,0xf706fff9,0xfffd537d,0x57ff900b,
    0xf57fffd7,0x5fff719f,0xfd500000,0xa93fea7f,0x30cefffe,0x3f620dff,
    0xdffea9df,0xffb100ed,0x87fffd37,0x000bfff9,0xcffe8800,0xf91ffe99,
    0x05ffd55f,0x6457ff44,0xffd104ff,0x09fff937,0x2a73ffa2,0x7ec03ffe,
    0x3a00ffff,0xffffa80f,0xfffff34f,0x7ffffd45,0xfffffe8c,0x3fffee4f,
    0x3fa00fff,0xff986fff,0x8bd03fff,0xcfffffb8,0xffffffe9,0x3ffffe01,
    0x2fffff82,0xff705f98,0xff309fff,0x7ec03fff,0x7f41ffff,0xfff88001,
    0x3e200003,0xfd10002f,0x9ffd53bf,0x7c1fffb8,0xff82ffff,0xfff8afff,
    0x4c1ffe87,0x3604ffff,0x7ff441ff,0x7fdc5fff,0xc880000f,0x362fffff,
    0xffffedff,0xfffcffff,0x0fffe881,0x407fffe2,0x3ee2ffe8,0x3fa21fff,
    0x0002dfff,0xf31bffa0,0x4c5ffdff,0xff881fff,0x0fffe22f,0xfd113ff6,
    0x8bfff309,0x2602fffa,0x202fffff,0x3fff604f,0xfffff8cf,0x7fffec3f,
    0xfffaadfe,0xdabfdaff,0x2a05ffff,0xd80fffff,0xf885ffff,0xdffffd01,
    0xffffb5bf,0x7ffffc0d,0x2ffffe82,0xff880f98,0xff106fff,0x7c403fff,
    0x3e65ffff,0x3ffa0002,0x3e200002,0xff98002f,0x6fffd46f,0x3fe17f60,
    0xffe82fff,0x8bff52ff,0xff84fff9,0xffb80fff,0xffffc83f,0x2fffc41f,
    0xfffb5000,0x3ff605df,0xfcbabdff,0xfb01ffff,0xfffd09ff,0x11fff607,
    0xb509ffff,0x017dffff,0x1fffec00,0x43ffffec,0xffd85ffe,0x20fffc87,
    0xf884fff8,0x82fffe84,0x3601fffe,0xf505ffff,0x7fffe401,0xfffebedc,
    0x7ffffec1,0x7ffffdc5,0x3fffe20f,0x3fffa00f,0xffffe83f,0xfb03540f,
    0xff87ffff,0xffd01fff,0xfffd05ff,0x360b305f,0x102fffff,0x803fffff,
    0xd1fffffc,0x2c980007,0x7fc40000,0xfffe8002,0xcffffe83,0xfffd05fc,
    0xffffd05f,0xfb0bf515,0xfff81fff,0xfffd81ff,0x7fffdc0f,0x03fffd07,
    0x7fff5c40,0x7fcc01cf,0x9ffb102f,0x0ffffe60,0x303ffff2,0xffd0bfff,
    0x7fdc40bf,0x4001dfff,0xc81ffffc,0xfd86ffff,0x3ffea1ff,0x24fffb85,
    0xb83ffffa,0x0ffffd45,0x503fffec,0xb03fffff,0xffffc80b,0x07d710ff,
    0x50dffff9,0xf03fffff,0x5c03ffff,0x7cc6ffff,0x6c3fffff,0x3ffff604,
    0x2ffffe85,0x05ffffd0,0x105ffffd,0xfffff301,0x7fffc40b,0xffff801f,
    0x00006cef,0x3e200000,0x7fdc002f,0xfffd81ff,0x7ff4009f,0xfffe82ff,
    0xf902bcef,0xffe83fff,0xfffc82ff,0x7fffd41f,0x07fffb06,0xdffffb30,
    0x3ff20017,0x80ffd800,0x4c2ffffd,0x6c4fffff,0xffb85fff,0xffb5002f,
    0xd0017dff,0x3ee0ffff,0xffd85fff,0x13fffa3f,0xfa9bffea,0x2444ffff,
    0x203ffffa,0x201ffffc,0x444ffffe,0x7ffe402f,0x3f2002ff,0xff984fff,
    0xfffd07ff,0x7ffc405f,0x3f3321ff,0x07e26fff,0x84ffffd8,0xd03ffffd,
    0xfd05ffff,0x74005fff,0x200fffff,0x01fffff8,0xffffffb8,0x00000001,
    0x00bfe200,0x01fffff0,0x003ffff9,0xd05ffffd,0x1005ffff,0xfff0bffd,
    0xffd105ff,0xbffff509,0x413fff60,0xdffffeb8,0x1ffc4002,0xf83ff880,
    0x3a21ffff,0x225ffffe,0x7304ffff,0xff930003,0x7c039fff,0xff507fff,
    0xfff909ff,0x41ffffc9,0x7fc7fffa,0x101effff,0x320fffff,0x2e03ffff,
    0x2e0fffff,0xffffc806,0x3ff2000f,0xfff984ff,0xffffd07f,0xffffd805,
    0x3ffe6be4,0xd80d71ff,0xfd84ffff,0xffd03fff,0xfffd05ff,0x3fee005f,
    0x7c404fff,0xd001ffff,0x100fffff,0x33333333,0x33333333,0x44003333,
    0x3e2002ff,0xff907fff,0xffd007ff,0xfffd05ff,0x2044005f,0x2fffffea,
    0xff910260,0xddddffff,0x98bffffd,0x0cfffffc,0x00ff5000,0x7fc45fd8,
    0x2b7a1fff,0x3e67ffff,0x00005fff,0x7ffff540,0x7fffcc2e,0xdffff507,
    0xfffd9999,0x3bfffe6d,0xfffeeeee,0x3ffff20f,0xffa83fff,0xfff707ff,
    0x7ffc409f,0x200fa3ff,0x007ffffc,0x427fffe4,0xd07ffff9,0xa805ffff,
    0x4f57ffff,0x7d4ffffe,0x4ffffd80,0x03ffffd8,0xd05ffffd,0x1005ffff,
    0x00dfffff,0x03fffff1,0x3ffffea0,0x7fffec03,0xffffffff,0x7fffffff,
    0x26666666,0x999bff99,0xf5099999,0x3ee0ffff,0xfe804fff,0xffe82fff,
    0xd50002ff,0x5ffffd9f,0x2fbf2200,0xccceffff,0x13cccccc,0x05dffffb,
    0x00df9000,0x7fcc7fb8,0x2adb1fff,0x3ea7ffff,0x00006fff,0xffff9300,
    0x3fffee5f,0xdffff507,0x99999999,0x3bfffea7,0xcccccccc,0x3fffe60c,
    0x7dc4ffff,0xff907fff,0xffc80dff,0x001f36ff,0x00dffff9,0x84ffffc8,
    0xd07ffff9,0xf005ffff,0x49b5ffff,0xf9fffffb,0x7fffec00,0x3ffffd84,
    0x05ffffd0,0x005ffffd,0x05fffffb,0x3fffff10,0x7ffff400,0x3fff600f,
    0xffffffff,0xffffffff,0xffffff37,0xffffffff,0x27ffffff,0x907ffffb,
    0xd00dffff,0xfd05ffff,0x98005fff,0xfffd2ffe,0x7ff9005f,0x01bfffe6,
    0x5dffff30,0x1bf20000,0xfa8ff700,0x0eb9ffff,0x5cfffff5,0x000fffff,
    0xffb30000,0x3fff27ff,0xffff506f,0x7ffdc00b,0xff30005f,0x49ffffff,
    0x907ffffb,0x980fffff,0x4dafffff,0xbffff900,0xffffc800,0x7ffff984,
    0x05ffffd0,0xfdffff90,0x7ffffc43,0xfffd806e,0xffffd84f,0x5ffffd03,
    0x05ffffd0,0x5fffff98,0xfffff100,0x7ffd4003,0x2aa603ff,0xaaaaaaaa,
    0xaaaaaaaa,0xfffff32a,0xffffffff,0x7fffffff,0x41ffffee,0x807ffffc,
    0xe82ffffe,0x2002ffff,0x3fa1fffc,0x3a602fff,0x3ffe62ff,0x6d4000ff,
    0x00beffff,0x001fee00,0xfff98df9,0x3ea1fcff,0x3fea6fff,0x00001fff,
    0x3fffae20,0x3ffee2df,0xffff506f,0x7ffd400f,0x3a20007f,0x0fffffff,
    0x20fffff5,0x806ffffc,0x1feffffd,0x9ffff900,0xffffc800,0x7ffff984,
    0x05ffffd0,0xdfffff30,0x7fffffb0,0x9ffffb00,0x07ffffb0,0x20bffffa,
    0x402ffffe,0x00fffffe,0x3fffff10,0x7fffec00,0x000000ff,0x55555440,
    0xacffbaaa,0x1aaaaaaa,0x20fffff5,0x806ffffc,0xe82ffffe,0xb002ffff,
    0xffe87fff,0xfff702ff,0xfffff889,0xff910001,0x00039fff,0x74003ff5,
    0x7fffc45f,0x7ffd42ff,0x3fffe64f,0x9800003f,0x0cfffffc,0x07ffffa8,
    0x01fffff7,0x3ffffe60,0x7fe40000,0xff32ffff,0x3ff20fff,0xffa805ff,
    0x32005fff,0x4004ffff,0x984ffffc,0xfd07ffff,0x3e005fff,0xfa83ffff,
    0xd800ffff,0xfd84ffff,0xffd03fff,0xfffd05ff,0x7ffdc05f,0x883504ff,
    0x001fffff,0xfffff5f5,0x00000009,0x005ff100,0x83ffffcc,0x805ffffc,
    0xe82ffffe,0xc802ffff,0x7f40ffff,0xff982fff,0xffff81ff,0xda80005f,
    0x003effff,0xfb8037f4,0xffffe81f,0x2ffffb83,0x07fffffc,0xffda8000,
    0x7cc02eff,0xff707fff,0x22007fff,0x404fffff,0x3fe61220,0xfff14fff,
    0xfff901ff,0x3ffa007f,0x3f2002ff,0x64004fff,0xf984ffff,0xffd07fff,
    0x3f2005ff,0xfff00fff,0x3ff600bf,0xfffd84ff,0xffffd03f,0x5ffffd07,
    0x3ffffe20,0xff107a06,0xf1003fff,0x3fffff25,0x03710000,0x2ff88000,
    0x3fffe200,0xffffc80f,0xffffe803,0x2ffffe83,0x0fffff80,0x417ffff4,
    0xf907fffe,0x5403ffff,0xfff93005,0xf50039ff,0x5ffa809f,0x05ffff70,
    0xc83ffff7,0x205fffff,0x3fee2009,0x2001cfff,0xf907fffd,0x201fffff,
    0x3ffff659,0x221d100f,0xffff881f,0x03ffff23,0x003ffff6,0x0037ffdc,
    0x013ffff2,0x09ffff90,0x20fffff3,0x002ffffe,0x640bfff3,0xfb002fff,
    0xffb09fff,0x3ff207ff,0x7ffec4ff,0xfffb03ff,0x03ea05ff,0x03fffff1,
    0x7ffc4bd0,0xfd0005ff,0x4400003f,0x7e4002ff,0xffd80fff,0xffc800ff,
    0x7ffec4ff,0x7fc403ff,0xfd98cfff,0x7c42ffff,0xfc83ffff,0x981effff,
    0xfea8000f,0x2a02dfff,0x2609efff,0x3e05fffc,0xffd83fff,0xffff885f,
    0x305b83ff,0x17dffffb,0xffff3000,0xfffffb03,0x20f881bf,0x0efffffa,
    0x41be23e8,0x3e21fffc,0xffe81fff,0x3fe2004f,0x7fe4003f,0x7e4004ff,
    0xff985fff,0xffff07ff,0x7ff4007f,0x03ffe602,0x27fffec0,0x827fffec,
    0x89fffffa,0x3ffffffc,0x5fffff98,0xff10ff50,0xfc803fff,0x7ffffec0,
    0x7ffc4002,0x3e200003,0x7fc4002f,0xfffe81ff,0xffff5004,0xffffb33f,
    0xfff007ff,0xfdbfffff,0x2275bfff,0xadffffff,0xffffdefc,0x2fdbacff,
    0x7fe4c000,0x3ea0cfff,0xffffffff,0x05ffffff,0xf88bfffd,0xff900fff,
    0xd9bfffff,0xfffeb81d,0xc80002df,0x7fc44fff,0xbeffffff,0xffd83fca,
    0xecacffff,0xfb83ff86,0x4fffb87f,0x0077ffcc,0x0003ff20,0x00bffffb,
    0x86ffffd8,0x40fffffa,0x03fffff8,0xd003fee0,0x7ff400bf,0xfffe84ff,
    0x3fff604f,0xffe9efff,0x7ff40dff,0xbaa9afff,0xffb87ffe,0xf9104fff,
    0xffffb81f,0x7ec000ff,0x2200000f,0xfb8002ff,0x7ffc44ff,0x3ff6000e,
    0xfe9effff,0x6400dfff,0x53ffffff,0x41dfffff,0xfffffffc,0x3ffff63f,
    0x003fffff,0x3ffae200,0x51fff33f,0x7ffffffd,0xed89ffb1,0x3f23fffa,
    0x7fe401ff,0x0effffff,0x067fffcc,0x3fee0000,0x79ff911f,0xffffffff,
    0x7fffec09,0xf80effff,0xffd32eff,0x4bffee01,0x000dffd8,0x44004f98,
    0x00ffffff,0xffffff10,0xfffffc81,0x7ffffdc3,0x0bf1000d,0x26005f70,
    0x20efffff,0x0efffff9,0xdffffb10,0x3fffffa1,0xfffff71f,0xffffffff,
    0x7fffc4df,0xd11fffff,0x3a9fffff,0xffffffff,0x00004004,0x0017fc40,
    0xb11fffb8,0x88001bff,0xd0dffffd,0x03ffffff,0x0efffe44,0x1037fff2,
    0x19fffffb,0xfffffd70,0x4000005d,0x03b63fd9,0xdb035753,0xfd887dc1,
    0x00ceffff,0xdfffff50,0x05df3019,0xfea80000,0x2a2fffef,0x02dfffff,
    0xefffffc8,0xffbbf00b,0x9803dfff,0x4fffeffe,0x0005c000,0xfffffff7,
    0xfffb80bf,0xe8bfffff,0x6fffffff,0xfffffffb,0x006e003f,0x7fe40122,
    0xa9ffffff,0xffffffff,0x002ae202,0x00000000,0x00000000,0x7c400000,
    0x3a60002f,0x04fffeff,0x00554400,0x0c004000,0x80055c40,0x0001aba8,
    0x01062000,0x20620400,0x0000ab98,0x31002ea2,0x30000000,0x55cc0357,
    0x0aa88000,0x055cc280,0x02ae6200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002ff88,0x000ab988,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x000000aa,0x09500000,0xdddd72b8,
    0x3aa5dddd,0x02eeeeee,0x07220000,0x080004a8,0x00022000,0x00310001,
    0x00400040,0x80100110,0x200b6a00,0x00440018,0x26666666,0x99999999,
    0x26099999,0x99999999,0x99999999,0x01100999,0x66665400,0xc80cd983,
    0x4c01cccc,0x0a8001aa,0xbb30776a,0xeeeeee83,0x4446eeee,0x88888888,
    0x88888888,0x33333108,0x33333333,0x01333333,0x00000000,0x00000000,
    0x00000000,0x3f204f98,0x3ffffee0,0x7fff4c2f,0x003b101c,0x07f60f44,
    0x90002fcc,0x2e2001ff,0x2202dffe,0xfe8006fc,0x3fb22003,0x3f6a01cf,
    0x3f203dff,0xdffb80df,0x20f7f541,0x981efffe,0x301efdee,0x81bff9db,
    0xfffffff9,0xffffffff,0xf33fffff,0xffffffff,0xffffffff,0x3f107fff,
    0x205bd710,0x5c1ffffe,0x7cc1ffff,0xfd105fff,0x0019dfff,0x3ffe23f1,
    0xf07fffc7,0xffffffff,0x7fffd4ff,0xffffffff,0x5fffffff,0xfffffff5,
    0xffffffff,0x000bffff,0x00000000,0x00000000,0x4c000000,0x09f900ff,
    0x20bffffd,0x7ec01ffb,0xffe8801f,0x6c03be60,0xff88004f,0xfffb004f,
    0xfda81fff,0x7d4006ff,0xffd000ff,0xf701ffff,0x0bffffff,0x889ffff3,
    0x7f45ffff,0x3ffea6ff,0x87fdc6ff,0x37c42ff9,0x7cc1dff3,0xffffffff,
    0xffffffff,0xfff33fff,0xffffffff,0xffffffff,0x907fb07f,0xf885ffff,
    0xffe81fff,0xfff984ff,0xffffe80f,0x202dffff,0x3fffee7b,0x45ffff52,
    0xffffffff,0x3ffea7ff,0xffffffff,0xffffffff,0xffffff55,0xffffffff,
    0x00bfffff,0x00000000,0x00000000,0x20000000,0xff704ff9,0x9ffffb01,
    0x26007fa0,0x3a201fff,0x0efd83ff,0x4003ff98,0xc803fff8,0x4fffb88c,
    0x1bffeae6,0x09ffff00,0xffd77b90,0xdfffb89f,0x645fffca,0x7dc6ffff,
    0x3fe67fff,0xfff90fff,0x3fe23fff,0xf907ff46,0x87ffe25f,0xaaaaaaa8,
    0x999aaaaa,0x513ff999,0x55555555,0x55555555,0xffa83555,0x3fffe25f,
    0x0fffdc5f,0x37ffffc4,0x5c2fffa8,0xffebabef,0x931cffff,0x7fffc4bf,
    0x41ffff10,0xffffffff,0x2aaa27ff,0xaaaaaaaa,0xaaaaaaaa,0x33333312,
    0x33333333,0x00333333,0x00000000,0x00000000,0x10000000,0xff501ffd,
    0x3ffff609,0x2000ed84,0xe881fff9,0xdff303ff,0x000fff60,0x03003ffb,
    0x3fa07ffd,0x3ff2006f,0x12201fff,0x7c4dfff1,0x3ffb80df,0x517fffee,
    0x7ccdffff,0xff30ffff,0x3f25ffff,0x71fff45f,0x17ffc3ff,0x3ff80000,
    0x22000000,0xff10fffb,0xffd8dfff,0x3ffffa02,0xd17fea03,0x3ffee20b,
    0x0fffffff,0x3aa1775c,0x4444443e,0x00088888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x83ffe880,0xfb00fffa,0x0ec89fff,0x1fff9800,
    0xb00fffa2,0xfff30bff,0x545dd305,0x00ff226f,0x3a01bff1,0xff1006ff,
    0x000bff5b,0x7fd47ffb,0xfa97fe02,0x7fc44fff,0x7fffc5ff,0x7ff7fe46,
    0xfd8bffb2,0xfda8445f,0x000002ff,0x000007ff,0x6c7ff880,0x3e23ffff,
    0x7ff4c02f,0x23fd400e,0xffda802f,0x0002ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xf987ffe8,0x3ff604ff,0x00ff24ff,
    0x89fff980,0xf9803ffe,0xfffd84ff,0x877ffec1,0x1ffff52e,0x80bff620,
    0xfb006ffe,0x00bff61f,0x7e41fff0,0xf13fe406,0xfff05fff,0x5fffe87f,
    0x7f43fe10,0x437fec5f,0x2fff9eea,0x7ff00000,0xc8000000,0x7fecc4ff,
    0x800bea0c,0x4bee001a,0x65440048,0x000000bc,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb000000,0xfff987ff,0x3fff600f,0x01fff94f,
    0x77ffcc00,0x3f6003ff,0x7ffc44ff,0x3fffee1f,0xfffb9d9e,0xffff706f,
    0x1bffa09f,0xf993fe60,0x3fe6006f,0x2a02ff44,0x3fffa0ff,0x41fffd80,
    0x2603fffc,0xb17ff67f,0x2fec4bff,0x00005fff,0x7fccffe0,0xffffffff,
    0xffffffff,0xfffb13ff,0x00004407,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fec0000,0x7fffc46f,0x7fffec04,
    0x05ffffcc,0x7fffcc00,0x7ffcc003,0x7fffe43f,0x3bbbb6e0,0x0beeeeef,
    0x3ffffaa0,0x806ffe80,0x7fe40ffe,0x90bfb003,0x3fec01ff,0x7dc1bff2,
    0x0fff987f,0xffc8fee0,0xf91fff45,0x017ffc5f,0x33ff8000,0xffffffff,
    0xffffffff,0x4cc7ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffd1000,0x3ffffa8d,0x7ffffec0,
    0x02ffffff,0x3fffa200,0x7ffc4001,0x7fffd45f,0x00766402,0x82fffb80,
    0x7d406ffe,0x0fff883f,0xfb82fdc0,0x8dff103f,0xff304ffa,0x881ffe0b,
    0x237fc46e,0x3ffe0eff,0x02fffb8c,0x25990000,0xccccccc8,0xcccccccc,
    0x001ccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17fff440,0xb01bffea,0xfd1dffff,0x0001ffff,
    0x3fffffd1,0x37ffdc00,0x101ffff4,0x005d91fb,0x3a07ffe0,0x37fc06ff,
    0x4c09ff70,0xffd14c4f,0x0fff5417,0xff80bfe2,0x260bfb03,0x1ffa80ee,
    0xffe83ff5,0x3effebff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xfb86fff9,
    0x3ff603ff,0xffff14ff,0xfe8800bf,0x01fff9bf,0x40efff88,0x2a04fffa,
    0x0bff55ff,0x80ffc804,0x3f206ffe,0x07ff402f,0x5d5577cc,0x3fffe63e,
    0xd04ffffd,0x80fe401f,0x04fb82fb,0x06777644,0xd985ee4c,0x0000003d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x83fff980,0x3f607ffc,0x3fee4fff,0xd1003fff,
    0x7ffcc7ff,0x077fdc01,0xf5027ff4,0x3ffe27ff,0x6c2ffa85,0x0dfff01f,
    0x26017fe2,0x7ffc45ff,0x4c1fffff,0x3ffffffe,0x0f501ae0,0x006407cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf5000000,0x0fff60ff,0x227fffec,
    0x00fffffd,0x4c1fff44,0xff101fff,0x0bff701f,0x360fffc8,0xfffa87ff,
    0x4c42edbe,0x41affffb,0xfb001ffd,0x3fffa23f,0x2e07ffff,0x4401bdec,
    0x0a014401,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb03ffa8,
    0x3ffff60f,0x7ffffc44,0x0fffa206,0xb81fff98,0x0bff01ff,0xf989ff30,
    0x7995304f,0x2aaaa205,0x15542aaa,0x26355100,0xaaaaaaaa,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ff70000,0x7ff41ff4,
    0xfffb85ff,0x7ffb04ff,0x41fff300,0xdf701ff8,0x44022001,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x881fe400,0x7fffcc7e,0x7ffcc0ef,0x3e883fff,0xf90be600,0x003be205,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0b900000,0xfffb96c4,0xf12fffff,0xdfffffff,0xb0100010,
    0x0006d405,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_43_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_43_latin_ext_y[560]={ 34,7,7,7,7,7,7,7,7,7,7,10,28,23,
28,7,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,8,7,8,7,39,7,15,8,15,8,15,7,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,7,7,7,20,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,15,8,7,11,8,
7,7,8,7,7,16,16,23,7,3,7,10,7,7,7,16,8,17,33,7,7,16,7,7,7,15,-1,-1,-1,0,
0,1,8,7,-1,-1,-1,0,-1,-1,-1,0,8,0,-1,-1,-1,0,0,12,7,-1,-1,-1,0,-1,8,7,7,7,
6,7,8,6,15,15,7,7,6,8,7,7,6,8,7,7,7,7,6,7,8,12,15,7,7,6,8,7,7,8,
2,10,0,7,7,15,-1,7,-2,6,0,8,-1,6,-1,7,8,8,2,10,-1,7,0,8,8,15,-1,6,-1,6,
0,7,0,8,7,6,-2,-2,8,8,0,8,2,10,-1,7,8,7,0,16,8,7,-2,6,8,8,16,-1,-1,8,
8,7,7,8,8,8,8,-1,7,8,15,-1,6,7,7,15,2,10,-1,7,-1,7,7,15,-1,7,8,15,-1,6,
-1,7,-2,6,7,15,-1,6,8,9,-1,7,8,9,0,8,2,10,-1,7,-2,6,-1,7,8,16,-2,6,-2,6,
0,-1,7,0,8,-1,6,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,9,9,7,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,14,9,9,9,9,9,9,9,9,9,9,9,9,9,2,15,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,6,-1,6,-1,
6,-1,6,-1,4,-1,1,-1,0,-1,1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-6,-1,-1,7,-1,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_bold_43_latin_ext_w[560]={ 0,7,16,19,18,35,30,7,12,12,16,22,8,13,
8,11,17,15,18,18,18,17,18,18,18,18,7,9,22,22,22,16,35,28,25,25,27,25,23,29,30,15,20,31,
25,36,28,28,23,28,29,19,24,28,28,39,28,28,26,8,11,8,18,21,9,18,20,16,20,16,15,18,20,11,
12,21,11,31,20,18,20,20,16,13,13,20,20,28,19,20,17,11,3,12,22,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,16,19,20,20,
3,17,13,28,12,19,22,13,28,21,14,22,11,11,9,21,22,8,8,10,11,19,28,28,29,16,28,28,28,28,
28,28,39,25,25,25,25,25,15,15,15,15,27,28,28,28,28,28,28,18,28,28,28,28,28,28,23,19,18,18,
18,18,18,18,26,16,16,16,16,16,12,12,13,13,18,20,18,18,18,18,18,22,18,20,20,20,20,20,20,20,
28,18,28,18,28,19,25,16,25,16,25,16,25,16,27,28,27,20,25,16,25,16,25,16,25,16,25,16,29,18,
29,18,29,18,29,18,30,20,30,20,15,13,15,13,15,13,15,11,15,11,32,19,20,15,31,21,22,25,11,25,
11,25,18,25,16,25,11,28,20,28,20,28,20,29,28,18,28,18,28,18,28,18,36,26,29,16,29,16,29,16,
19,13,19,13,19,13,19,13,24,13,24,20,24,13,28,20,28,20,28,20,28,20,28,20,28,20,39,28,28,20,
28,26,17,26,17,26,17,15,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,27,20,20,21,20,20,20,
20,20,20,20,20,20,20,20,20,20,30,22,20,20,20,20,20,20,20,20,20,20,20,20,20,33,24,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,18,15,13,28,
18,28,20,28,20,28,20,28,20,28,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,28,18,39,26,28,18,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_bold_43_latin_ext_h[560]={ 0,28,14,28,30,29,28,14,35,35,16,22,13,5,
7,28,28,27,27,28,27,27,28,27,28,28,20,26,20,10,20,28,36,27,26,28,26,26,26,28,26,26,27,26,
26,26,27,28,26,35,26,28,26,27,27,27,26,26,26,34,28,34,15,4,7,20,27,20,27,20,27,28,26,27,
36,26,26,19,19,20,28,28,19,20,26,19,19,19,18,27,18,35,36,35,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,28,20,26,
36,36,6,28,12,18,10,5,28,4,14,22,15,15,7,27,35,8,9,15,13,18,29,29,29,28,35,35,35,34,
34,33,26,35,35,35,35,34,35,35,35,34,26,35,36,36,36,35,35,18,29,36,36,36,35,35,26,28,28,28,
29,28,27,29,20,27,28,28,29,27,27,27,28,26,28,27,28,28,29,28,27,18,20,28,28,29,27,36,36,35,
32,25,34,28,36,28,36,28,37,29,35,27,36,29,35,28,26,27,32,25,35,28,34,27,35,28,35,29,36,37,
35,36,35,35,35,37,36,36,26,26,34,26,32,24,35,27,35,36,34,18,27,36,37,37,34,34,18,35,35,34,
34,27,27,26,26,26,26,36,27,34,27,36,28,27,28,28,33,25,36,28,36,28,28,20,35,27,34,27,35,28,
36,28,37,29,35,27,36,29,36,35,35,28,26,26,35,27,33,25,36,28,37,29,36,28,35,27,37,29,36,37,
34,35,27,34,26,35,28,27,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,28,25,25,36,25,25,25,
25,25,25,25,25,25,25,25,25,25,30,21,25,25,25,25,25,25,25,25,25,25,25,25,25,33,20,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,35,29,35,28,36,
29,36,29,36,31,36,34,36,35,36,34,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,40,36,35,28,37,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__times_bold_43_latin_ext_s[560]={ 511,370,215,166,51,147,461,232,320,176,129,
1,240,404,348,373,355,199,252,307,285,175,428,485,88,69,504,278,118,297,198,
495,207,120,407,154,433,1,27,124,72,495,193,103,346,162,214,1,199,40,223,
30,253,314,364,447,288,317,135,167,154,501,169,418,357,72,487,181,426,248,410,
1,51,1,177,473,461,336,397,279,265,133,319,265,304,418,298,368,469,13,439,
205,495,1,367,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,511,228,205,
296,141,190,357,419,390,236,261,47,274,404,466,440,200,483,188,146,338,98,180,
329,320,158,249,109,212,183,295,107,102,203,131,391,13,438,138,458,294,290,30,
293,363,56,14,471,211,429,328,30,390,374,345,90,325,288,1,59,121,316,114,
276,257,238,430,198,380,411,91,243,102,85,480,363,14,1,492,393,442,304,404,
385,22,378,180,489,162,217,158,354,231,88,109,247,1,450,264,447,130,58,181,
41,154,463,484,325,243,394,232,39,34,342,483,433,95,68,222,393,403,411,69,
101,365,94,72,346,217,21,333,59,395,484,83,62,248,265,467,469,189,271,160,
499,68,457,27,30,249,78,135,449,67,268,379,42,1,149,260,239,318,367,178,
99,293,420,343,1,286,438,326,423,409,414,148,20,215,179,316,221,260,468,84,
81,150,353,128,497,113,449,1,279,79,241,190,384,359,137,279,335,472,417,380,
372,426,207,220,255,50,186,414,60,180,118,455,133,176,332,399,319,349,305,119,
215,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,105,393,393,159,
393,393,393,393,393,393,393,393,393,393,393,393,393,70,24,393,393,393,393,393,
393,393,393,393,393,393,393,393,346,47,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,443,276,
398,397,317,375,361,1,466,30,299,487,270,284,437,114,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,1,269,244,78,30,50,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393, };
static unsigned short stb__times_bold_43_latin_ext_t[560]={ 1,286,448,256,223,223,256,448,152,152,448,
427,448,448,448,256,256,315,315,256,315,344,286,315,315,315,315,400,427,448,427,
286,39,344,372,315,372,400,400,315,400,372,344,400,400,400,344,315,400,116,400,
315,400,344,344,344,400,400,400,188,256,76,448,448,448,427,344,427,344,427,344,
286,400,372,76,372,372,427,427,427,256,256,427,427,372,427,427,427,427,372,427,
152,1,152,448,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,1,256,188,
286,427,372,1,1,448,256,448,448,448,448,286,448,448,400,448,448,448,344,116,
448,448,448,448,448,223,223,223,315,152,116,152,152,188,188,372,116,152,116,152,
188,152,152,152,152,372,116,1,39,1,116,116,448,223,39,42,39,116,116,372,
286,286,286,223,286,315,223,427,344,286,286,223,315,344,344,256,372,256,315,256,
256,256,286,315,427,427,286,286,223,315,39,39,152,223,400,188,286,39,256,39,
256,1,223,116,315,39,223,116,286,372,315,188,400,116,286,188,344,116,286,116,
223,39,1,152,39,152,116,152,1,39,39,372,372,188,372,188,400,152,315,152,
1,188,427,344,76,1,1,188,152,448,152,152,188,188,344,344,372,372,372,372,
76,344,152,344,79,256,315,256,256,188,400,76,286,76,286,286,427,116,315,188,
344,116,286,76,223,1,223,116,344,76,223,76,76,76,286,372,372,76,315,188,
400,39,256,1,223,76,256,76,344,1,223,39,1,188,76,315,188,372,76,286,
315,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,256,400,400,39,
400,400,400,400,400,400,400,400,400,400,400,400,400,223,427,400,400,400,400,400,
400,400,400,400,400,400,400,400,188,427,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,76,223,
76,286,39,223,1,256,1,223,1,152,1,76,1,188,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,1,39,76,256,1,315,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400, };
static unsigned short stb__times_bold_43_latin_ext_a[560]={ 155,207,345,311,311,621,518,173,
207,207,311,354,155,207,155,173,311,311,311,311,311,311,311,311,
311,311,207,207,354,354,354,311,578,449,414,449,449,414,379,483,
483,242,311,483,414,586,449,483,379,483,449,346,414,449,449,621,
449,449,414,207,173,207,361,311,207,311,346,276,346,276,207,311,
346,173,207,346,173,518,346,311,346,346,276,242,207,346,311,449,
311,311,276,245,137,245,323,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,155,207,311,311,311,311,137,311,
207,464,186,311,354,207,464,311,248,341,186,186,207,358,336,155,
207,186,205,311,466,466,466,311,449,449,449,449,449,449,621,449,
414,414,414,414,242,242,242,242,449,449,483,483,483,483,483,354,
483,449,449,449,449,449,379,346,311,311,311,311,311,311,449,276,
276,276,276,276,173,173,173,173,311,346,311,311,311,311,311,341,
311,346,346,346,346,311,346,311,449,311,449,311,449,311,449,276,
449,276,449,276,449,276,449,456,449,346,414,276,414,276,414,276,
414,276,414,276,483,311,483,311,483,311,483,311,483,346,483,346,
242,173,242,173,242,173,242,173,242,173,511,343,311,207,483,346,
346,414,173,414,173,414,291,414,246,414,173,449,346,449,346,449,
346,453,478,346,483,311,483,311,483,311,621,449,449,276,449,276,
449,276,346,242,346,242,346,242,346,242,414,207,414,324,414,207,
449,346,449,346,449,346,449,346,449,346,449,346,621,449,449,311,
449,414,276,414,276,414,276,173,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,459,483,483,311,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,344,483,483,483,483,483,483,
483,483,483,483,483,483,483,494,373,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,449,311,242,173,483,311,449,346,449,346,449,
346,449,346,449,346,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,449,311,621,449,483,311,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_43_latin_ext(stb_fontchar font[STB_FONT_times_bold_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_43_latin_ext_s[i] + stb__times_bold_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_43_latin_ext_t[i] + stb__times_bold_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_43_latin_ext_x[i];
            font[i].y0 = stb__times_bold_43_latin_ext_y[i];
            font[i].x1 = stb__times_bold_43_latin_ext_x[i] + stb__times_bold_43_latin_ext_w[i];
            font[i].y1 = stb__times_bold_43_latin_ext_y[i] + stb__times_bold_43_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_43_latin_ext_s[i] + stb__times_bold_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_43_latin_ext_t[i] + stb__times_bold_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_43_latin_ext_x[i] + stb__times_bold_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_43_latin_ext_y[i] + stb__times_bold_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_43_latin_ext_LINE_SPACING
#endif

