// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT        533
#define STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_46_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_46_latin_ext_LINE_SPACING          30

static unsigned int stb__times_bold_46_latin_ext_pixels[]={
    0xcccc8000,0x0000003c,0x00333331,0x00000000,0x3bbaa000,0x4400003e,
    0x00019999,0x00000000,0x00000000,0x55544000,0x0000001a,0x10000000,
    0x00000037,0x00000000,0x0177775c,0x00000000,0x74400000,0x40005eee,
    0x00000008,0x00000000,0x003bbbb6,0x3fea0000,0x00000fff,0x9fffff00,
    0x93000000,0x44000000,0x00ffffff,0xffff1000,0x3f22007f,0x3f20003e,
    0x002ec402,0x05fffb80,0xfd800000,0x00006fff,0xb10efc40,0xb800001f,
    0x8000002e,0x0002fffd,0xfff30000,0x00000dff,0x3ffffe00,0x0007ffff,
    0xfffffb00,0x17e40005,0x00017ea0,0x75400ee8,0x7fd40002,0x00004fff,
    0x1ffffc80,0xf5000000,0x00009fff,0x0003f600,0x7ffe4000,0x00004fff,
    0x009ffff5,0x017fffe4,0x303ff880,0x400005ff,0x00007ffa,0x7fffcc00,
    0x000002ff,0x7fe6ffd4,0x36400001,0xf8800000,0x000001ff,0x3ffff600,
    0x000002ff,0xffffff80,0x00007fff,0xffffff98,0x3fe20006,0x001ff704,
    0x8077d400,0x20000ffb,0xfffffff8,0x7c000000,0x00001fff,0x13fff600,
    0x7cc00000,0x8000003f,0xfffffff8,0xfd80000f,0x7fc004ff,0x20006fff,
    0x7fdc4ffb,0xf9800006,0x0000001f,0x3ffffffa,0xc8000006,0x0003ffff,
    0x00017cc0,0x01efa800,0x2a000000,0x6fffffff,0xc8000000,0xcccccccc,
    0xfe800004,0x03fffeff,0xb17fee00,0x000009ff,0xffd83ffd,0x7fdc0003,
    0x005fffef,0x3ffea000,0x40000001,0x00005fff,0x01bff200,0x3ff60000,
    0x04ffe89e,0x27ffc400,0x7ffffc00,0x3fe20006,0x1fffc8df,0x35100000,
    0x2a000000,0xfffbdfff,0xa8000003,0x800002aa,0x0001cbfb,0x00054c00,
    0x3fa00000,0x3fff98ef,0x00000000,0xfa800000,0x0fff93ff,0x9dfff800,
    0x0000fffe,0x8afffa80,0x40006ffe,0xff54fff8,0x2000003f,0x00001ffc,
    0x02ffd400,0xff100000,0x000005ff,0xb106ffcc,0x540001ff,0xf90005ff,
    0x80005fff,0xfffffffb,0x32600004,0x0001cb83,0xa8fffa00,0x000007ff,
    0x03970793,0x3fff2000,0x4c00003f,0x001cb83c,0x3fee0000,0x003ff444,
    0x0f260000,0x0000072e,0xffb83ffd,0x3fee0003,0x003fffff,0x3fffa000,
    0x0001ffff,0x3e61ffec,0xf000005f,0x0000005f,0x0000bfb0,0xffffb800,
    0x3a000005,0x017f604f,0x0005fd80,0x000fbee2,0x7fffff40,0x3a00000f,
    0x17fea1ff,0x7fdc0000,0x003ff982,0x21ffe800,0x00005ffa,0x00bffff3,
    0x21ffe800,0x00005ffa,0x207ff100,0x00003fd8,0xa87ffa00,0x200005ff,
    0xff500efb,0x7ff40001,0x00006fff,0x7ffffcc0,0x7cc0005f,0x03fd301f,
    0x01a88000,0xbb000000,0x80000001,0x01ffffff,0x03e98000,0xb0000eb8,
    0x0000000b,0x3fffea00,0x7400003f,0x17fe61ff,0x3be20000,0x003fa201,
    0x43ffd000,0x00005ff9,0x0007fff2,0x4c3ffd00,0x000005ff,0xb9003d50,
    0x74000000,0x17fe61ff,0x804d8000,0x2a0002e9,0x002fffff,0xfffd8000,
    0x640000ff,0x026c400d,0x16e4c000,0x00000000,0x7d400000,0x004fffff,
    0x00000000,0x00000000,0x7776c000,0xc8800005,0x0000ba82,0x88009880,
    0x4400000a,0x000ba82c,0x00014400,0xba82c880,0x00000000,0x00000000,
    0x0ba82c88,0x00000000,0x33332000,0x30000003,0x0007dddd,0x00000000,
    0x3ffbffb0,0x08000000,0xd0002400,0x1fffffff,0x04000000,0xfb500100,
    0x0000003b,0x08002000,0x00000000,0x20008000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00001001,0x02f447f3,0xfd950000,0x0379dfff,0x260007f2,0xffffffdf,
    0x71000003,0x59bfffdb,0xfe80b501,0x8803febd,0x5fffffff,0x3b6e2000,
    0x80acdfff,0x3333325a,0xcccccccc,0x6666440c,0x000ccccc,0x7ff6dd4c,
    0x4b81ceff,0x99999990,0x19999999,0xcccccc88,0x54c00ccc,0x664000ab,
    0xcccccccc,0x6440cccc,0xcccccccc,0x99999950,0x64199999,0xcccccccc,
    0x9900cccc,0x64199999,0xcccccccc,0x440ccccc,0xcccccccc,0x6666400c,
    0xcccccccc,0x333322cc,0xcccccccc,0x666440cc,0x30cccccc,0x99999999,
    0x33320039,0x204ccccc,0xdefffdc8,0x40001d42,0x000fa86c,0x3ffee200,
    0xfffebcef,0x00fee0df,0xfffeb6c0,0x400007ff,0xffffffd9,0x9cffffde,
    0x0be605e9,0x3ee200f9,0x8005ffff,0xffffffd9,0x9cffffde,0x3f6ea5e9,
    0xcfffffff,0xffd9501a,0x440037df,0xbceffffd,0x9cfffedc,0xfb7504fa,
    0x9fffffff,0x3fb2a035,0x2a01beff,0xeffeeffe,0x545eeeee,0xffffffdb,
    0x9501acff,0x437dfffd,0xffffffd9,0x2ea0bdff,0xffffffff,0x3f2a02bf,
    0x6dd43eff,0xffffffff,0xfd9501ac,0x30037dff,0xffffff95,0x54137dff,
    0xffffffdb,0x9501acff,0x437dfffd,0xfffffdb8,0xba800fff,0x02cffffe,
    0xb779fff5,0x07d59dfd,0xf109d000,0x3ea00005,0xb980efff,0x4fbcffff,
    0x2e7f1000,0x02ffffff,0xffff9000,0xff71019f,0x3640bfff,0xff0017cc,
    0xc800bfff,0x80cfffff,0x5fffffb8,0xffffffb0,0x7ff44007,0x7ffdc001,
    0x3fa601df,0xd804ffff,0x03ffffff,0x807ffa20,0x2a3fffe8,0x7fffffff,
    0x3fffff60,0x3fa2003f,0x3fff201f,0x7cc07fff,0x02ffffff,0xb007fee0,
    0x07ffffff,0x00fff440,0xfffffa80,0xffd800ff,0x2003ffff,0x6401ffe8,
    0xefffffff,0x03ff6000,0x700dffc8,0x0009ffff,0x07c81f70,0xffff9000,
    0xfff9801b,0x320005ff,0xfffff10f,0xe88000df,0x800effff,0x205fffc8,
    0x003f886d,0x017ffffe,0x77ffff44,0xfffc8800,0xfffff705,0x4fc8003f,
    0x3fffa200,0x3fea003f,0xffb804ff,0x4001ffff,0x3fa204fc,0xfffd86ff,
    0x3ee02aad,0x001fffff,0x3e2027e4,0x00ffffff,0x7fffffe4,0x013e6003,
    0x3fffffee,0x027e4001,0x3ffffe00,0xfff7005f,0xc8003fff,0xfff9004f,
    0x400bffff,0x3fea04fa,0x7ff4401f,0xdf880004,0x0004fb8a,0x0fffffc8,
    0xdffff900,0x89f10001,0x1ffffffc,0xffff1000,0xfd8001df,0x707e605f,
    0x7ffc001f,0xff8805ff,0x4000efff,0xff705ffd,0x8001ffff,0xff3003fb,
    0x30009fff,0xf7009fff,0x001fffff,0x3f603fb8,0xffb84fff,0xffb800ff,
    0x4000ffff,0xffc803fb,0x4402ffff,0x06ffffff,0x2e007ee0,0x00ffffff,
    0x0001fdc0,0x13fffffe,0x7ffffdc0,0x1fdc000f,0xfffffa80,0xf3003fff,
    0x1bffe209,0x0027fcc0,0xcfffea80,0x7fd40000,0x22004fff,0x004fffff,
    0x7fcc0fb8,0x0005ffff,0x01fffffd,0xd017fa00,0x009fb59f,0x05fffff8,
    0x0fffffe8,0x20bfd000,0x0ffffffb,0x8017cc00,0x006ffffe,0x2013fea0,
    0x0ffffffb,0xf017cc00,0xf505ffff,0xf700bfff,0x001fffff,0xf8802f98,
    0x805fffff,0x1ffffffd,0x2e00dd00,0x00ffffff,0x00017cc0,0x13fffffe,
    0x7ffffdc0,0x17cc000f,0xfffffa80,0x8801ffff,0x9fff503f,0x0027dc00,
    0x0003fa00,0x3ffffe20,0x7ff4001f,0x7c002fff,0xfffffb05,0xffd8001f,
    0x20003fff,0x7e4405f8,0x7c000bef,0x6c05ffff,0x003fffff,0x7dc17e20,
    0x000fffff,0x7e4017cc,0x0003ffff,0x7dc027e4,0x000fffff,0xff9817cc,
    0xff982fff,0xffb807ff,0x4000ffff,0xffb002f9,0x9801ffff,0x04ffffff,
    0xf7003f88,0x001fffff,0x40002f98,0x04ffffff,0xffffff70,0x02f98001,
    0xffff5f50,0x8801ffff,0xffff902f,0x0004e800,0x000ffe60,0x3fffff60,
    0x7ffec006,0x5000ffff,0x3ffea03f,0x2a004fff,0x00ffffff,0x3002f400,
    0x7fffc000,0x3ffea05f,0x40000fff,0xffff705e,0xf98001ff,0x7fffcc02,
    0x440000ff,0xfffb804f,0x4c000fff,0xffff502f,0xffff303f,0xfffb801f,
    0x4c000fff,0xfff5002f,0xfd007fff,0x700fffff,0x3fee001f,0x4000ffff,
    0x7c0002f9,0x004fffff,0x1ffffff7,0x002f9800,0xffff71f5,0xf880dfff,
    0xbffffb02,0x00026400,0x000dff90,0xffffff88,0x3eff2003,0x004fffff,
    0xfffe80dd,0xfd000fff,0x000bffff,0x73100b50,0xff800157,0x3fa05fff,
    0x0005ffff,0xfff705a8,0x98001fff,0x7fff402f,0x900005ff,0xffff7009,
    0xf98001ff,0xfffff302,0xfffff303,0xfffff700,0x2f98001f,0x3ffffa00,
    0xfffb806f,0x2f402fff,0xfffff700,0x2f98001f,0x7fffc000,0xff7004ff,
    0x8001ffff,0x1f5002f9,0x3ffffff2,0x40be204f,0x0dfffffc,0x00005980,
    0x005ffff1,0x7ffffdc0,0x29f7002f,0x06fffffe,0xaaaacf98,0xffffdaaa,
    0xff9803ff,0x0003ffff,0x3ff62030,0x00dfffff,0x0bfffff0,0x3fffffe6,
    0x20300003,0x0ffffffb,0x5017cc00,0x09ffffff,0x200a2000,0x0ffffffb,
    0x8817cc00,0xa82fffff,0xb805ffff,0x00ffffff,0x70017cc0,0x05ffffff,
    0xffffffc8,0x800be605,0x0ffffffb,0x0017cc00,0x3fffffe0,0xffff7004,
    0xf98001ff,0x6c1f5002,0x3fffffff,0x3ea05f10,0x03ffffff,0x3ee00000,
    0x20005fff,0x2ffffffe,0x3f65fa80,0x400fffff,0xfffffffd,0xffffffff,
    0xfffc806f,0x00001fff,0x226ffee0,0x00effffa,0x05fffff8,0x3ffffff9,
    0xfb800000,0x000fffff,0xff7017cc,0x0007ffff,0xfffb8000,0x4c000fff,
    0x3ffee02f,0xffffb83f,0xffffb802,0x7cc000ff,0x3ffe2002,0x3e205fff,
    0x0fffffff,0xfb800f90,0x000fffff,0x200017cc,0x04ffffff,0xffffff70,
    0x02f98001,0x7f441f50,0x81ffffff,0xfff102f8,0x07ffffff,0xfff00000,
    0x20003fff,0x1fffffff,0x3f237cc0,0x201fffff,0x99999bf8,0xfffc9999,
    0x7fc02fff,0x000fffff,0x0bff9000,0x00bffff5,0x20bfffff,0x0fffffff,
    0x7dc00000,0x000fffff,0xffb017cc,0x0005ffff,0xfffb8000,0x4c000fff,
    0x7ffec02f,0x04fffe86,0xffffff70,0x02f98001,0x7ffffec0,0xff7f700f,
    0x3e07ffff,0x7ffdc004,0x4c000fff,0x7fc0002f,0x7004ffff,0x01ffffff,
    0x5002f980,0xffff981f,0x7c40ffff,0x3ffff602,0x02efffff,0xfff50000,
    0x10009fff,0x1fffffff,0x32077c40,0x03ffffff,0xff8801f2,0x7c06ffff,
    0x007fffff,0xffff1000,0xfffff981,0x7ffffc01,0xffffff05,0x7000000f,
    0x01ffffff,0x3a02f980,0x01ffffff,0x7dc00000,0x000fffff,0x7e4017cc,
    0xfffb34ff,0x7ffdc007,0x4c000fff,0x7fd4002f,0xbd03ffff,0x1bfffffe,
    0xf70007ea,0x001fffff,0x40002f98,0x04ffffff,0xffffff70,0x02f98001,
    0xff501f50,0x88dfffff,0x3ffa202f,0xffffffff,0x7400001e,0x0fffffff,
    0x7fffcc00,0xfd100fff,0xfffff901,0x013e609f,0xffffffb0,0x3fffe203,
    0x000007ff,0x889ffff7,0x403fffff,0x885fffff,0x07ffffff,0xffb80000,
    0x4000ffff,0xfff102f9,0x0001ffff,0xfffb8000,0x4c000fff,0xffb1002f,
    0x0019ffff,0xffffffb8,0x017cc000,0x7fffff40,0xff92f986,0x6d83ffff,
    0xffffb800,0x7cc000ff,0x7ffc0002,0xf7004fff,0x001fffff,0xf5002f98,
    0x3ffff201,0x0be24fff,0xfffffd10,0x09ffffff,0x3f7e6000,0x003fffff,
    0x7fffffcc,0x5c07f607,0x05ffffff,0xf98003fb,0x305fffff,0x0fffffff,
    0x3fee0000,0x7ffc45ff,0x7ffc03ff,0xfff985ff,0x00007fff,0xfffffb80,
    0x17cc000f,0xffffff98,0x80000007,0x0ffffffb,0x8017cc00,0x00999beb,
    0x3fffee00,0x7cc000ff,0xfffb8002,0x136c2fff,0x49ffffff,0xfb8003f8,
    0x000fffff,0x200017cc,0x04ffffff,0xffffff70,0x02f98001,0x7ec01f50,
    0x12ffffff,0xffd1005f,0xffffffff,0xdb0000bf,0x1ffffffa,0xfffff100,
    0x80bf20ff,0x4ffffffc,0xd0007f98,0x03ffffff,0xfffffff3,0xf1000001,
    0xff885fff,0x7fc03fff,0xff985fff,0x000fffff,0x7ffdc000,0x4c000fff,
    0xffff302f,0x00001fff,0xffffb800,0x7cc000ff,0x00ff4c02,0x3ffee000,
    0x4c000fff,0xff88002f,0x3e25ffff,0x7fffff43,0x20003ee7,0x0ffffffb,
    0x0017cc00,0x3fffffe0,0xffff7004,0xf98001ff,0x401f5002,0xffffffe8,
    0x2002f89f,0xfffffffb,0x0005ffff,0x7ffdcfe2,0x74002fff,0x40ffffff,
    0x7fe403fb,0xfe83ffff,0xffc8000f,0xf886ffff,0x01ffffff,0x02ea0000,
    0x7fffffd3,0x6fffff80,0xffffff88,0x4000001f,0x0ffffffb,0x8817cc00,
    0x1fffffff,0xccccc980,0x3ccccccc,0xffffff70,0x02f98001,0x00007ff4,
    0x3ffffee0,0x17cc000f,0xffffd800,0xa81f70ff,0xd2ffffff,0x3fee000b,
    0x4000ffff,0x7c0002f9,0x004fffff,0x1ffffff7,0x002f9800,0xff8801f5,
    0xf8efffff,0x7fe44002,0xffffffff,0x21f90002,0x6ffffff8,0x7fffec00,
    0x013ea1ff,0x3ffffff6,0x13fffaa2,0xffffd100,0xff819fff,0x003fffff,
    0x3fa60000,0x03fffffd,0x3fffffee,0xffffff82,0x4000003f,0x0ffffffb,
    0xf017d400,0x05ffffff,0xffff7310,0x037dffff,0x3fffffee,0x017d4000,
    0x335bfff3,0x70001333,0x01ffffff,0x0002fa80,0x7ffffff5,0x3ffe213a,
    0x01f9dfff,0xfffff700,0x2fa8001f,0x7fffc000,0xff7004ff,0x8001ffff,
    0x1f5002fa,0xfffff500,0x0005fdff,0x3fffff22,0x88006fff,0x7fffe44f,
    0x3ee001ff,0xf32fffff,0x3fff600b,0xfff90fff,0x405dffff,0xffffffec,
    0x3a3fffff,0x04ffffff,0xfd980000,0xfffff8bf,0xfffff883,0x7f47ffff,
    0x004fffff,0x7ffdc000,0x54000fff,0x3fff602f,0x4c003fff,0x0fffffff,
    0x7ffffdc0,0x17d4000f,0xffffff90,0x9dffffff,0xffff7001,0xfa8001ff,
    0x3ffa0002,0x01faefff,0xdffffff9,0x7fdc000d,0x4000ffff,0x7c0002fa,
    0x004fffff,0x1ffffff7,0x002fa800,0x3ee001f5,0x2fffffff,0x3f620090,
    0x00ffffff,0x3e607dc0,0x005fffff,0x3fffffea,0xf000ef8b,0x00bfffff,
    0x0ee88000,0x7ffffdc0,0x4000005f,0xff12fffc,0xe8807fff,0x7ffdc01f,
    0x00005fff,0x7ffffd40,0x0fd4000f,0xffffff50,0xffff0009,0xff500bff,
    0x8001ffff,0x3fee01fa,0xffffffff,0x403fffff,0x0ffffffa,0x000fd400,
    0xffffff70,0x7ffcc0df,0x0004ffff,0x3fffffea,0x00fd4000,0xfffff014,
    0x3fea009f,0x4000ffff,0x1f5001fa,0x7fffec00,0x05d02fff,0x7ffffd40,
    0x82fc002f,0x0ffffffd,0x3ffffa00,0x1000fecf,0x05ffffff,0x7fd40000,
    0xffff8802,0x000006ff,0x443fffd1,0x203fffff,0xf8803ff9,0x006fffff,
    0x7ffd4000,0x5c001fff,0x3ffe200f,0xf8006fff,0x805fffff,0x1ffffffa,
    0x1007dc00,0xffffffff,0xffffffff,0x7fffd403,0x7dc001ff,0x3fe20000,
    0x402fffff,0x0ffffffe,0x3ffea000,0x5c001fff,0x3ffee00f,0xffffff83,
    0xffff5003,0xfb8003ff,0x001f5000,0xffffffe8,0xa8009d02,0x002fffff,
    0x7fd407ea,0x2004ffff,0xfffffff9,0x3ffee001,0x000006ff,0xf9003ffc,
    0x003fffff,0xdfffd000,0x3fffff88,0x4003ffa0,0x1ffffffc,0x3e600000,
    0x001fffff,0x7fd403ec,0xf8007fff,0x804fffff,0x1ffffff9,0x4c03ec00,
    0xfffffffe,0x4fffffff,0x3ffffe60,0x03ec001f,0x7fffec00,0xfffb807f,
    0x4c0006ff,0x01ffffff,0xff103ec0,0xffff0fff,0x3e6007ff,0x001fffff,
    0x1f5003ec,0xffff8800,0x00fd02ff,0x01ffff90,0x3fa03740,0x000fffff,
    0x0fffffee,0xfffffd00,0x4c000003,0xd1001fff,0x00bfffff,0x3ff21c80,
    0x7ffc43ff,0xfff103ff,0x3ffa2003,0x40005fff,0x3fffe01c,0x37c002ff,
    0xfffffc80,0x7fffc003,0xfff004ff,0xf8005fff,0xfffc8806,0xfffeeeee,
    0x7fc06fff,0x4002ffff,0xfa80006f,0x8804ffff,0x002fffff,0xffffff80,
    0x5037c002,0xf85fffff,0x002fffff,0x0bfffffe,0x5400df00,0xff98000f,
    0x7fd02fff,0x7fffa800,0x2ab3e600,0xffdaaaaa,0x4003ffff,0x005ffffe,
    0x0fffffe6,0xff900000,0x7fcc007f,0x0001ffff,0x7fff43f7,0x7fffcc5f,
    0x9fff503f,0x7fffcc00,0xf70001ff,0x7fffe403,0x0ff2004f,0x7ffffe80,
    0x7ffffc00,0xfff9004f,0x7e4009ff,0x0effdc03,0x1bffaa20,0x9fffff90,
    0x001fe400,0x0ffffe80,0x1ffffb00,0xfff90000,0x7e4009ff,0x3fffea03,
    0x7ffffc0f,0x3ff2000f,0x32004fff,0x03ea003f,0x7fffdc00,0x003ffd02,
    0x0027ffcc,0xfffffffb,0xffffffff,0xff8800df,0xfd002fff,0x00009fff,
    0x5ffff500,0x7fffd400,0x322001ff,0x7ffffc4f,0xffffc9bf,0xfff304ff,
    0x7fd4005f,0x2001ffff,0x7cc04fc8,0x802fffff,0x744006fb,0x2005ffff,
    0x04ffffff,0xffffff30,0x80df7005,0x2000fff8,0x7cc04ffa,0x802fffff,
    0x200006fb,0x2005fffb,0x0005fffa,0xffffff30,0x80df7005,0x443ffff8,
    0x005fffff,0x7fffffcc,0x006fb802,0x90000fdc,0x3fa05fff,0xff7000ef,
    0x2fe2001d,0x99999999,0xffffffc9,0x3ffea002,0x7ec01fff,0x00003fff,
    0xffffd100,0x3fa60017,0x4403ffff,0xffd82fea,0xfbffffff,0x85beffff,
    0x00cffffe,0xfffffd30,0x2fea8807,0xfffff700,0x3bee205f,0xffc88000,
    0xff800dff,0x2004ffff,0x2ffffffb,0x801df710,0x2002fffa,0xfb801ffc,
    0x102fffff,0x00001df7,0x000fffc4,0x00007ffe,0xffffffb8,0x01df7102,
    0xa81fff70,0x0006ffff,0x5ffffff7,0x003bee20,0x80009fd0,0xffd02ffe,
    0xff9803df,0x01f2001f,0xffffff88,0x71bf3006,0x415bffff,0x00efffea,
    0x7cc00000,0x04ffffff,0xfffffd88,0xfecaabcf,0xfff500df,0x3ee1dfff,
    0x880effff,0x5fffffff,0xffffd880,0xecaabcff,0x5c000dff,0xdfffffff,
    0x00effecb,0x7fff4c00,0xffb981cf,0x4001cfff,0xfffffffb,0x0effecbd,
    0x01fffd00,0x001ffb88,0x3fffffee,0xeffecbdf,0xfd800000,0x06fc8006,
    0xfffb8000,0xecbdffff,0x32000eff,0xfe98adff,0x20000eff,0xfffffffb,
    0x0effecbd,0x5fffe400,0x5ff10000,0x3fffffa0,0x1effb81c,0x0013e600,
    0x3ffffffb,0x540ef880,0xfffffffe,0x00001cff,0x3ff62000,0x22001eff,
    0xffffffeb,0xb803deff,0x6c43dffe,0x2200dfff,0x02effffc,0x3fffae20,
    0x3defffff,0x3ff62000,0xefffffff,0x75c00002,0xffffffff,0x001cffff,
    0x7fffec40,0x02efffff,0x77ffec40,0xffedcacc,0xfd88001d,0xffffffff,
    0x2000002e,0xf98003fa,0xb1000003,0xffffffff,0x2a0005df,0xfffffffe,
    0xd880000c,0xffffffff,0x3aa002ef,0xefffffff,0x02f98001,0xffb511bd,
    0x07fffddf,0x8003fb00,0x5ffffff9,0x260076c0,0x001abcba,0x44000000,
    0x44000099,0x009bcba9,0x00600100,0x00015310,0x9bcba988,0xaa800000,
    0x001abccc,0x65544000,0x009aaccc,0x99550000,0x80003579,0xeffeedb8,
    0x00000bcd,0x35799955,0x32000000,0x00190000,0x99550000,0x00003579,
    0x02af2ea6,0x65540000,0x0001abcc,0x1a800000,0x97510170,0x26000359,
    0xffd0007f,0x4403ffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20003ffa,
    0x6ffffffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04fffea8,0x7ffff440,
    0x0000cfff,0x93000000,0x664c0003,0xcccccccc,0xcccccccc,0x20cccccc,
    0x40000018,0x00000009,0x4cc40000,0x91000199,0x99999999,0x99999999,
    0x00799999,0x00002000,0x00000200,0xeeeeea80,0x00000001,0x013bbbb6,
    0x00000000,0x26000000,0x0004eeee,0x3bbb6600,0x8000003e,0x00530028,
    0x3fffe200,0x3ff2000f,0x02efffff,0x3fffffb2,0x83ffffff,0x1ecc00ee,
    0xffea8000,0xfb8001ef,0xffffffff,0xffffffff,0x1fffffff,0x3f60077c,
    0x00ff4001,0x00000ff2,0x3fffe000,0x2e60004f,0xfffffffd,0xffffffff,
    0x0006ffff,0x0fbf6e20,0x3b326000,0x2deffffe,0x3f200000,0x00004fff,
    0xffff3000,0x2a00001d,0x06e4403f,0x19fd5000,0x7fff4000,0x000001ff,
    0x01bfffea,0x17e20000,0x0000bf10,0x13fffff2,0x00000000,0x407fe600,
    0x00000ffa,0x01baa3bf,0x2b7ffee0,0xfffff709,0x3faa621f,0x0ffdc1ff,
    0x4002ff44,0xfd882ffa,0x00000006,0x04ffffa8,0x3fff2000,0x4ccc2fff,
    0x006ffffb,0xf91bf700,0xd710005f,0x33559bff,0x039ffb95,0xfff90000,
    0x0000000f,0x003bffee,0x209fd000,0x20003fe8,0x005ffff9,0xffffff50,
    0xa800000d,0x0001ffff,0x41cff800,0x0003fea8,0xffffff88,0x2600000f,
    0xd8000000,0x27fe42ff,0x40fa8000,0x7dc001f9,0xffff702f,0xffb101ff,
    0x4c5ffd03,0xd0000fff,0x7ff447ff,0x00000001,0x005fffc8,0x7fffd400,
    0x7ec402ff,0xf980006f,0x00bfff1f,0x0177fe44,0x000ffa60,0x07fff600,
    0x3a000000,0x00000fff,0x7cc5ffa8,0x7ec0007f,0x8000ffff,0xfffefffe,
    0x5c000002,0x00003fff,0xeffffc80,0x001fffff,0xfefffd80,0x200004ff,
    0x17ec00ee,0xbfff9800,0x000fffd8,0x13e0db00,0x5c09f700,0x00ffffff,
    0x3fea07fa,0x04fffabf,0x33ffe600,0x0005fffa,0xfff00000,0xf300000b,
    0x005fffff,0x20001bf2,0x0bffe7fe,0x00eff4c0,0x0037f200,0x09ffb000,
    0xf9800000,0x000001ff,0x3ee3bffa,0x640002ff,0x000fffff,0xfd97ffdc,
    0x8000006f,0x00006ffb,0xfffffd00,0x00007fff,0x3ee7fff3,0x700000ff,
    0xbfd103ff,0xfffd8000,0x0003ffff,0x3f303ea0,0x5c07b800,0x00ffffff,
    0x7ff407ea,0x000fffff,0x7ffffec0,0x000000ff,0x05ffa800,0xfff30000,
    0x74005fff,0x7fd40006,0x5c00b267,0x200004ff,0x800005e9,0x000007fd,
    0x000ffdc0,0x3ffe6000,0x0006ffff,0x05ffff98,0x2077fc40,0x00002ffc,
    0x001ffb80,0xffe98000,0x0004ffff,0xfa83ffd0,0x3a00004f,0x3ffe62ff,
    0x7fc40001,0x0006ffff,0xdb30df80,0xb80b7000,0x00ffffff,0xfffa80fc,
    0x80003fff,0x4ffffff9,0x00000000,0x00000df9,0x7fffffcc,0x00d70102,
    0x007ffd80,0x0005ffb0,0x0007f300,0x0003fd00,0x00ff4000,0xffd80000,
    0x0001ffff,0x0017fb50,0xf700dfc8,0x2000000d,0x000003fc,0x0bbffb20,
    0x077d4000,0x0001ff98,0xf57fff50,0x200009ff,0x02fffffc,0xeffb8000,
    0x2b8002ff,0x7ffffdc0,0xd00e400f,0x000dffff,0x7ffffec0,0x00000000,
    0x00001bb0,0x7ffffcc0,0x0d30d02f,0x7fffcc00,0x07fdc000,0x3f700000,
    0x01300000,0x04c00000,0xf3000000,0x000bffff,0x3a200000,0x002ea804,
    0x00130000,0x00100000,0x80197000,0x200003d8,0xfffffffe,0xdd100000,
    0x000009dd,0x00002da8,0x7ffffdc0,0x64c0000f,0x00001ccc,0x00b33322,
    0x00000000,0xff300000,0xf105ffff,0xfd8000e0,0x26000fff,0x000002ff,
    0x000004e8,0x00000000,0xd9000000,0x00001ddd,0x00000000,0x00000000,
    0x00800000,0x00000020,0xfff50000,0x00007fff,0x00010010,0x80000000,
    0x0ffffffb,0x00000000,0x00000000,0x00000000,0xfffff980,0x0007a82f,
    0x3ffffdc0,0x00bfd100,0x20005d44,0x530000f9,0x359bdd97,0x53000001,
    0x359bdd97,0x00000001,0x00000000,0x6f765d4c,0x640009ac,0xcccccccc,
    0x440ccccc,0xcccccccc,0x5d4c000c,0xceffffed,0x00004b81,0xfe800000,
    0x00006fff,0xbdfffb91,0xccc83a85,0xcccccccc,0x66440ccc,0x0ccccccc,
    0x3fffee00,0x322000ff,0xcccccccc,0x000ccccc,0x000024c0,0x66664400,
    0xcccccccc,0xcccccccc,0x4c02cccc,0x82ffffff,0xda80007e,0xafffffff,
    0x077e402a,0x9ffffa80,0xd05feee8,0xfffb8005,0xfffdbcff,0xb80000df,
    0xdbcfffff,0x000dffff,0x6666664c,0xcccccccc,0x0ccccccc,0x3fffff60,
    0x3fee007f,0xffdbcfff,0x75000dff,0xfffffffb,0x32a0359f,0x01befffe,
    0x3ffff620,0xffedcbce,0xc84fa9cf,0xffffffff,0x7ffff42f,0x64c0002f,
    0x80001ccc,0xdbbcfffa,0x83eacefe,0xfffffdba,0x501acfff,0x37dfffd9,
    0xffffb800,0x54c000ff,0xfffffffd,0x80001bdf,0x000000fd,0xfffca980,
    0xffffffff,0xffffffff,0x7fcc05ff,0x7d42ffff,0xffe80007,0xffffffff,
    0x00bfe206,0x6d46ffe4,0xb03ffffb,0x3ff6200b,0xffa881ef,0xb10003ff,
    0x5103dfff,0x4007ffff,0xfffffffb,0xffffffff,0x805fffff,0x07fffff9,
    0x1efffd88,0x3ffffa88,0x7fffec00,0x3a2003ff,0x7dc001ff,0x2601dfff,
    0x04fffffe,0xdffffff7,0x00f7fcc0,0x80000000,0xf700dffc,0xfd809fff,
    0x003fffff,0x0007ffa2,0x7fffffdc,0x3ff20000,0x0005ffff,0x000ffe60,
    0xdfb00000,0x4dfffffd,0xfffca999,0x7ffcc05f,0x3fee2fff,0x7fc40007,
    0xffffffff,0x01bee04f,0xdf1bffa2,0x2e01ffff,0xffffb806,0x7ffcc00e,
    0x3ee001ef,0x4c00efff,0x801effff,0x01cffffc,0x3fffffee,0xfffb000f,
    0xfffb80ff,0x7fcc00ef,0xf7001eff,0x003fffff,0x22004fc8,0x003ffffe,
    0x813fffea,0x05fffffc,0x20000fec,0xcdeecba9,0x7d40009a,0x7f4401ff,
    0x7ffdc04f,0x64001fff,0x3ee0004f,0x000fffff,0x3ffffea0,0x3200002f,
    0x000006ff,0x7ed7ec00,0x4406ffff,0x7cc05ffe,0xfeefffff,0x00007fff,
    0x0bffffea,0x6c01ff40,0x7fec1fff,0x01ea06ff,0x03fffff9,0x3ffffee0,
    0xffffc800,0xfff7001f,0xffc801ff,0xffff8804,0x32003fff,0x3207ffff,
    0x001fffff,0x01fffff7,0xffffff70,0x03fb8001,0x9fffff30,0x9fff3000,
    0x7ffffc40,0x00037407,0x79fffff7,0x01bffffb,0x00dfff10,0xf7013fe6,
    0x001fffff,0x20003fb8,0x0ffffffb,0x3ffea000,0x00002fff,0x005ffff1,
    0x3e600000,0xdfffffb5,0x3017f600,0xfdffffff,0x000fffff,0x7ffffe40,
    0x00ff9800,0x742fffe4,0x2204ffff,0x3fffe607,0x7ff4003f,0x7fcc05ff,
    0x74003fff,0x6c05ffff,0xfffb004f,0xc800dfff,0xf307ffff,0x8007ffff,
    0x805ffffe,0x0ffffffb,0x8017cc00,0x006ffffe,0x9013fea0,0x205fffff,
    0xd88002f8,0xa881efff,0x5403ffff,0x2e004fff,0x7ffdc04f,0x4c000fff,
    0x3ee0002f,0x000fffff,0x3ffffe60,0xf700002f,0x0000bfff,0x6c3fa000,
    0x006fffff,0xff980bf3,0xf932ffff,0x6c0000ff,0x9007ffff,0xfffa80bf,
    0xfffff81f,0xfe81e201,0x4000ffff,0x02fffffb,0x03fffffa,0xfffff700,
    0xa8037405,0x1fffffff,0x7fffe400,0xfffffd07,0xfffb8001,0x7fdc02ff,
    0x4000ffff,0xffc802f9,0x40003fff,0x7fc404fc,0x0f706fff,0xdffff700,
    0xffff9801,0xffff901e,0x5c04e800,0x00ffffff,0x00017cc0,0x1ffffff7,
    0x7ffcc000,0x00002fff,0x03ffffff,0xfa800000,0x3fffff63,0x80bd0106,
    0x2ffffff9,0x00003fe4,0x00bfffff,0xffd00ff6,0xffff30df,0xf906980f,
    0x000dffff,0x1ffffff3,0xdfffff90,0xffff3000,0x00be01ff,0x7ffffff4,
    0xfffc8004,0xffffc87f,0xff98006f,0x2e00ffff,0x00ffffff,0x26017cc0,
    0x00ffffff,0x4027c400,0x81fffffd,0x7fe4004e,0xf7001fff,0xfb01ffff,
    0x6400bfff,0x7fffdc04,0x7cc000ff,0x3fee0002,0x0000ffff,0x3fffffe6,
    0xffa80002,0x0004ffff,0xb17e2000,0x20dfffff,0x2602dc0d,0x82ffffff,
    0xf300007e,0x2007ffff,0x3fea02fe,0xfffa83ff,0x4c2d405f,0x03ffffff,
    0xffffff00,0xfffff98b,0xfff0003f,0x03e0bfff,0x3fffff20,0xfc8000ff,
    0x7fcc7fff,0x0003ffff,0x0bffffff,0x7fffffdc,0x017cc000,0x17fffffa,
    0x40264000,0x45fffff9,0x3e6001f9,0x4003ffff,0xc85ffffe,0x00dfffff,
    0x7fdc0598,0x4000ffff,0x2e0002f9,0x00ffffff,0x3fffe600,0xe80002ff,
    0x0fffffff,0xf9000000,0xfffffd81,0x02881d06,0x7fffffcc,0x00007c82,
    0x05fffff5,0xfe807fe0,0xffd80fff,0x426402ff,0x2ffffffb,0xffffd000,
    0xffffb8ff,0xfd0002ff,0x0e0fffff,0x3ffffe60,0xf90002ff,0xffb8ffff,
    0x0002ffff,0x0ffffffd,0x7fffffdc,0x017cc000,0x9ffffff5,0x00a20000,
    0x07fffff4,0xffe800d9,0x5c000fff,0x542fffff,0x3fffffff,0xfffb8000,
    0x4c000fff,0x3ee0002f,0x000fffff,0x3ffffe60,0x7cc0002f,0x3ffffffd,
    0xf9800000,0xfffffd83,0x8000f886,0x2ffffff9,0x80240798,0x00fffffc,
    0x3e601ff0,0xff985fff,0x0f400fff,0x7fffffec,0xfffb0001,0x7fec1fff,
    0x0001ffff,0x1ffffffb,0x3fff6000,0x20005fff,0x6c7ffffc,0x01ffffff,
    0xfffffb00,0x3ffee01f,0x4c000fff,0x3ffee02f,0x00003fff,0xffffa800,
    0xc800fe4f,0x006fffff,0xffffff98,0x3ffffe20,0x0003ffff,0x3fffffee,
    0x017cc000,0xfffff700,0x7cc0001f,0x002fffff,0xfffeb6c0,0x000007ff,
    0xfffb06e8,0x01f70dff,0xfffff300,0x4a81a05f,0xfffffb00,0xb81fe200,
    0xfc83ffff,0x34c06fff,0xffffffe8,0xfff90000,0x7ff45fff,0x0000ffff,
    0x5ffffff9,0xffff5000,0x40001fff,0x747ffffc,0x00ffffff,0xfffff900,
    0x3ffee05f,0x4c000fff,0x3fff602f,0x00002fff,0xffffd000,0x4c003eaf,
    0x03ffffff,0xffffff00,0xfffffd8b,0x002effff,0xffffffb8,0x017cc000,
    0xfffff700,0x7cc0001f,0x002fffff,0x7fdcfe20,0x0002ffff,0x6c07ee00,
    0x446fffff,0xf98000ff,0x102fffff,0xff801f40,0x3e005fff,0xffffb00f,
    0xfffff885,0xff81e404,0x000fffff,0xffffff90,0x7fffffc7,0xff90000f,
    0x8007ffff,0xfffffff8,0x7fe40003,0x7fffc7ff,0x90000fff,0x07ffffff,
    0x3fffffee,0x017cc000,0x3ffffffd,0x20000000,0xdbfffffb,0x3ffee005,
    0xd0002fff,0x88ffffff,0xfffffffe,0x2001efff,0x0ffffffb,0x0017cc00,
    0xffffff70,0x7fcc0001,0x0002ffff,0x7ffc43f2,0x00006fff,0x7ec09f10,
    0x3a66ffff,0xf98000ff,0x002fffff,0x7cc017d4,0x2003ffff,0xfffd01ff,
    0xffffd83f,0x203e601f,0x7ffffff9,0x3fff2000,0xfff35fff,0x4000ffff,
    0x5ffffffc,0x7fffe400,0xc80006ff,0x3e67ffff,0x007fffff,0x3fffff20,
    0xffff705f,0xf98001ff,0xfffff102,0x000001ff,0x3fffe200,0x36001fef,
    0x01ffffff,0xfffffb00,0xfffe881f,0xffffffff,0xffff7004,0xf98001ff,
    0x3fee0002,0x0000ffff,0x3fffffe6,0x89f10002,0x1ffffffc,0x0fd80000,
    0x3fffff60,0x0fffffef,0xffff9800,0x3e6002ff,0xfffa801f,0x3fa002ff,
    0x1fffff03,0x3ffff6e4,0x7fd40ba0,0x0007ffff,0x3fffffee,0xffffff55,
    0x7fdc000f,0x2005ffff,0xfffffff9,0xffc80001,0x3ffea7ff,0x20007fff,
    0x5ffffffb,0xffffff70,0x02f98001,0xfffffff3,0x80000000,0x06fffffc,
    0x7fffff40,0xff90000f,0xd105ffff,0xffffffff,0xf700bfff,0x001fffff,
    0x20002f98,0x0ffffffb,0x3ffe6000,0x70002fff,0xffff981f,0x400005ff,
    0xaaaaadfa,0xfffffeaa,0x0fffffcf,0xffffa800,0xff3002ff,0xfff9001f,
    0x7e4001ff,0xfffff884,0xffff1f72,0xf102ec0d,0x00ffffff,0x7ffffdc0,
    0xfffff14f,0x7dc000ff,0x004fffff,0x3ffffffa,0xff900004,0x7ffc4fff,
    0x20007fff,0x4ffffffb,0xffffff70,0x02f98001,0xfffffff3,0x00000001,
    0x1fffffcc,0x3ffffe00,0xf90000ff,0x407fffff,0xfffffffb,0x5c05ffff,
    0x00ffffff,0x00017cc0,0x3ffffff9,0x7ffcc000,0xf0002fff,0x3ffff60b,
    0x100000ff,0xffffffff,0xffffffff,0x007ff4cd,0x7ffffdc0,0x7fecc05f,
    0xfffd007f,0x5fa800df,0xdffffff0,0x9ffff15f,0x43303760,0x0fffffff,
    0xffff9000,0x7fffc7ff,0x90000fff,0x07ffffff,0x3ffffee0,0x900000ff,
    0xff8fffff,0x000fffff,0xffffff90,0x3fffee07,0x7cc000ff,0xfffff102,
    0x993003ff,0x99999999,0x3f600799,0x26000fff,0x07ffffff,0x3ffff200,
    0x7e4405ff,0xffffffff,0x3ffee02f,0x4c000fff,0xff50002f,0x01dfffff,
    0x3fffe600,0xfa8002ff,0xfffff501,0x3200009f,0x9999999f,0xfffffe99,
    0x0007fcc6,0x3fffffe6,0xecccceff,0x06fffffe,0x09fffff0,0xfd07f880,
    0x6c7fffff,0x2f4c5fff,0x3fffa1f8,0x90001fff,0x45ffffff,0x1ffffffe,
    0xffff9000,0xff1005ff,0x005fffff,0x7fffe400,0x7fffff47,0xff90001f,
    0x2e05ffff,0x00ffffff,0xff017d40,0x005fffff,0xfffff731,0x0037dfff,
    0x0017ffea,0xfffffff5,0x7ffdc000,0x91005fff,0xffffffff,0x7fffdc0d,
    0x7d4000ff,0x3ffa6002,0xffffffff,0x7cc006ef,0x002fffff,0x7ff406e8,
    0x0000ffff,0xfd801fcc,0xfb86ffff,0xfffe8800,0xffffffff,0xffffffff,
    0xf8805fff,0x8002ffff,0xfffa81fd,0x7ffd42ff,0x703eebdf,0xfffffd8b,
    0xffb0002f,0x7ec1ffff,0x002fffff,0xffffffb0,0xffffb001,0x80000bff,
    0x6c7ffffc,0x02ffffff,0xfffffb00,0x3ffee01f,0x54000fff,0x3fff602f,
    0x4c003fff,0x0fffffff,0x02ffe800,0x7ffffc40,0x3ee0007f,0x094fffff,
    0x3ffff620,0xff700fff,0x8001ffff,0x000002fa,0xfff98000,0x4c002fff,
    0xaaaaaacf,0xffffffda,0x03740003,0xdfffffb0,0x00001f30,0x007f6200,
    0x3ffffe60,0x06f98000,0x2603bf91,0x202cefeb,0x7ffd40f8,0xf0003fff,
    0xa8dfffff,0x03ffffff,0xffffff00,0xffff500d,0x68003fff,0x3ffffe40,
    0x3fffffea,0xffff0003,0x7fd40dff,0x4000ffff,0x3fea01fa,0x8004ffff,
    0x05ffffff,0x000ff700,0x3ffffffe,0xfff90000,0x00ba7fff,0xffffffa8,
    0xfffff502,0x1fa8001f,0x00010000,0x7ffffcc0,0x7fec002f,0xffffffff,
    0x06ffffff,0x8007ee00,0x06fffffd,0x000a201f,0x001ff4c0,0x06ffff98,
    0x0013f200,0x20790000,0x04fffffe,0xfffff880,0xffffe81f,0xff88004f,
    0x4401ffff,0x4fffffff,0x32034c00,0xfe87ffff,0x8004ffff,0x1ffffff8,
    0x3ffffea0,0x07dc001f,0xffffff10,0xffff000d,0x22000bff,0xffd0004f,
    0x0003ffff,0x3ffffff2,0xfa8009d2,0xf502ffff,0x003fffff,0x40000fb8,
    0x0001dfea,0xffffff98,0x26fe2002,0x99999999,0x2ffffffc,0x004f8800,
    0x37ffffec,0x007900d8,0x007ff600,0x27fffd40,0x03ff1000,0x1aa00000,
    0x7fffffa8,0xffffa800,0xffff505f,0xff5000ff,0xf900bfff,0x00dfffff,
    0xffb80b90,0xfffa87ff,0xfa8007ff,0x4c05ffff,0x01ffffff,0x7d403ec0,
    0x8007ffff,0x04ffffff,0x0001f100,0x3ffffff6,0xfffb0002,0x01fa1fff,
    0x03ffff20,0x7fffffcc,0x003ec001,0x037fff40,0x7fffcc00,0x1f2002ff,
    0xfffff880,0x0fd8006f,0x7fffec00,0x3e20106f,0xff880002,0xff30002f,
    0x980003ff,0x8000006f,0x7fec01fb,0x6c002fff,0x201fffff,0x02fffffd,
    0x7ffffec0,0x7fffcc01,0x44002fff,0x7ffdc04f,0xffffb07f,0xffd8005f,
    0xff801fff,0x4002ffff,0xfff9006f,0xff8007ff,0x0004ffff,0x7d4000b7,
    0x003fffff,0xdffffff0,0x2a001ff4,0x7fc07fff,0x4002ffff,0xfe80006f,
    0x40001fff,0x2ffffff9,0x8009f300,0x1ffffffd,0x000bea00,0x1bfffff6,
    0x0003f700,0x00bfff50,0x01bffe60,0x0027d400,0x001d7000,0x0dfffff3,
    0x7ffffcc0,0x7fffcc04,0x3fe6006f,0xfe804fff,0x005fffff,0x8ee23fd8,
    0x306ffffa,0x00dfffff,0x27ffffcc,0xfffffc80,0x00ff2004,0x07ffffe8,
    0x7fffffc0,0xf037ee04,0xffe80005,0x88004fff,0x21ffffff,0x26001ffe,
    0x7e404fff,0x2004ffff,0x980003fc,0x0001fddd,0x7fffffcc,0x003fb002,
    0xffffff98,0x00bf1005,0x3fffff60,0x03fe6006,0x3ffe2000,0x2618803f,
    0x00001fff,0x00007bea,0x4c001d90,0x002fffff,0x009ffffb,0x0bffffe6,
    0x27fffec0,0x7ffffdc0,0x7dc000ff,0x54bff62f,0x2605ffff,0x002fffff,
    0x009ffffb,0x7fffffcc,0x006fb802,0x2fffff44,0xffffff00,0x93ffea09,
    0xfa80006a,0x8007ffff,0x45fffffa,0x7000effe,0xf9801dff,0x802fffff,
    0x800006fb,0xfa80006b,0x802fffff,0xfd0007f9,0x003fffff,0x360005fb,
    0x006fffff,0x0000fff5,0x0e7fffec,0xff34ffb8,0xd3000007,0xf700009f,
    0xff30001d,0xfd805fff,0x4c004fff,0x402fffff,0x804ffffd,0xfffffff8,
    0x3ffa6003,0x4d3ffe1f,0x4c01ffff,0x402fffff,0x004ffffd,0xffffffb8,
    0x01df7102,0xffff9100,0xffff001b,0x3ff609ff,0x0000ba6f,0x17ffffec,
    0x3ffff600,0x77fff41f,0x0fffcc01,0xfffffb80,0x1df7102f,0x07d00000,
    0xffff7000,0xffd007ff,0xfff90001,0xfb80dfff,0xffd0001f,0x4c01ffff,
    0x0005fffc,0x3ffffe20,0x3ffa0dff,0x0000bf76,0x0577e440,0x05df7100,
    0xfffc8800,0x3fae61bf,0x10001eff,0x437ffff9,0x1efffeb9,0xfffffb00,
    0x7fe400df,0x3ff20fff,0x007fff34,0x2fffff22,0x3fffae61,0x3ee0001e,
    0xbdffffff,0x000effec,0x7ffff4c0,0xfffb981c,0xff701cff,0x000db5ff,
    0x7ffffcc0,0x3ffe6006,0xfffe84ff,0xffb81cff,0x7fdc001e,0xcbdfffff,
    0x0000effe,0x000274c0,0x7fffffcc,0xffd501ff,0xfe88009f,0x0cffffff,
    0x0f7ffe44,0xffff9100,0x999bffff,0x9ffffffb,0xfc880000,0x7e42ffff,
    0x000dfbef,0xffc88000,0xca99acdf,0x0001dfed,0x7fff64c0,0x3dffffff,
    0xfd930000,0xffffffff,0x7fd4007b,0xccdfffff,0xfecccccc,0x4c7fffff,
    0x6ffebfff,0xffec9800,0xdfffffff,0xfb100003,0xffffffff,0xb800005d,
    0xfffffffe,0x01cfffff,0xefffff88,0x7cc00001,0xb002ffff,0x3a09ffff,
    0xfffda88d,0x003fffee,0x3ffff620,0x02efffff,0x01ca8000,0x3fffa200,
    0xffffffff,0xffff90ef,0x6405dfff,0xfffffffe,0xff53ffff,0x05ffffff,
    0x3ffffbb2,0xffffffff,0xffffffff,0x1000003f,0x76dc0153,0x0000002d,
    0xdfdd9730,0x0001579b,0x99553000,0x00001557,0x5e6554c0,0xfe8000aa,
    0xffffffff,0xffffffff,0x87ffffff,0x02defed9,0xccaa9800,0x00000aab,
    0x2f332aa0,0x4000001a,0xaccccaa8,0xb880009a,0x00000cee,0x5fffff30,
    0x4ffffd80,0x2ea202e0,0x00001acc,0x55e66554,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x37ffff91,0x77fff5cc,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3b260000,
    0xffffffff,0x000003df,0x007bbbb2,0x776c0000,0x000000ee,0x0d555544,
    0x99999998,0x33320000,0xcccccccc,0x66440ccc,0x1ccccccc,0xeeec8000,
    0x200000de,0xdd31eeec,0x4000009d,0x00000000,0x00000000,0x01740000,
    0x44000354,0x000fffff,0x4eee8800,0x8007bbb2,0x00110018,0x77774c00,
    0x00000004,0x00000001,0x66666664,0x0ccccccc,0x66554c00,0x00000aab,
    0x7ffffcc0,0xa8000005,0x005fffff,0x7ffe4000,0xfffd106f,0x4000bfff,
    0xfffffda9,0x301bcfff,0x37ffffd9,0xfff00001,0x400003ff,0x3f24fff8,
    0x800000ff,0x0003efc8,0x26007740,0xee80003e,0x001f5400,0xf300ff40,
    0xff90000d,0x00007fff,0x7c3fff70,0x7cc004ff,0x002f4403,0xfffffb00,
    0x40000003,0x0001dfea,0x47fdb300,0xfffffda9,0x001bdfff,0x00000000,
    0xffffffe8,0x22000002,0x1fffffff,0x3fe00000,0x7d400eff,0x0005ffff,
    0xffffffb0,0x0ffe8009,0x3fea0000,0x400001ff,0x7ff46ffa,0xfb000002,
    0x00003fff,0xfb80ffcc,0xfa80000f,0x01ff701e,0x59ff9000,0x09ff9733,
    0xffff9800,0x00000fff,0xff51fff4,0x0bfe000d,0x00027ec4,0xffffffa8,
    0x10000006,0x000bffff,0x2effd880,0x3fffff20,0x2e00005f,0x000deeee,
    0xdfff5000,0x0000dfff,0x7f7ffdc0,0x000005ff,0x001dfff5,0x017ffffe,
    0x7fffdc00,0x7dc001ff,0x7ec00005,0x800002ff,0x3fe61ffd,0xf1000005,
    0x0009ffff,0x642ffd80,0x200003ff,0x7fec2ffe,0xff100003,0xffffffff,
    0xffd80003,0x004fffef,0xb17fe200,0x360003ff,0xfedcdfff,0xd00001ff,
    0x5fffdfff,0xf7000000,0x0001ffff,0x00fffa20,0x3fffffea,0x3fe00003,
    0x00001fff,0x2a37ffe0,0x00002fff,0xf54fff88,0x000003ff,0x4001dff9,
    0x005fffff,0xfffff500,0x4fa8003f,0x7ffc0000,0xf8800002,0x0077e43f,
    0xfffd0000,0x9800007f,0xffd8bfff,0x7cc00007,0x6ffe8bff,0x7fdc0000,
    0x03ffffff,0x9fffd400,0x0000fffb,0xff81ff70,0x3fe20003,0x4fffffff,
    0xfff70000,0x001bff65,0x3ffea000,0xb00000ff,0xf3001fff,0x005fffff,
    0x3fffe600,0x2e000002,0x37f4c4ff,0x7fec0000,0x002ffcc3,0x0077fc00,
    0x17ffffe0,0x7ffd4000,0x4c001fff,0x2a00003f,0x000002ff,0x03fd0bf5,
    0xffb80000,0x800000ff,0xfffffffd,0xfd800002,0x02ffffff,0xfffa8000,
    0x80003fff,0x7fd41ffe,0x5fd00004,0x80006fa8,0xfffffffa,0xf880000e,
    0x17fe41ef,0x7f400000,0x300004ff,0x2600bfff,0x02ffffff,0x5fff9000,
    0x7c400000,0x05fd102f,0x0ffcc000,0x0002fe88,0x0003fea0,0x017ffffe,
    0x7fffd400,0x7cc001ff,0x3f600003,0x36000003,0x0027cc0f,0x0bc98000,
    0xff300000,0x000dffff,0x3fffe600,0x000005ff,0x002f76e2,0x403bee00,
    0x40000ff9,0x00fc84f8,0xfffd1000,0x6400009f,0x0df700df,0x36a00000,
    0x3ee00001,0xff3005ff,0x0005ffff,0x000bffe0,0x803b7000,0x200005d8,
    0x26c400dc,0x03950000,0x3ffffe00,0xff500005,0x8003ffff,0x200003f9,
    0x40000008,0x00018809,0x00000000,0xfffffc80,0x36000001,0x001fffff,
    0x00000000,0x3d8804b8,0x880c4000,0x98800000,0x74400001,0x001ea804,
    0x00000000,0x00dfffb0,0x3fffffe6,0xff980002,0x00000003,0x00000000,
    0x00000000,0x3ffffe00,0xff500005,0x8003ffff,0x800003f9,0x00002000,
    0x00000000,0x40004001,0x004eeee8,0x7774c000,0x0000004e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02000800,0x00ffff90,0x3fffffe6,
    0x3fc80002,0x00000000,0xcccc8000,0xcccccccc,0x666440cc,0x00cccccc,
    0x3fe00000,0x15445fff,0x3fffea00,0x7cc001ff,0x6dc40003,0x0acdfffe,
    0x333325a8,0xcccccccc,0x666440cc,0x00cccccc,0x7ff6dc40,0x5a80acdf,
    0x00000000,0x64000000,0xcccccccc,0x440ccccc,0xcccccccc,0x55d4c00c,
    0xa9800000,0x9acdeecb,0xba980000,0x0000000a,0x30000000,0xffffdb75,
    0x8097039d,0x801ffffa,0x2ffffff9,0x00188000,0x99999500,0x59999999,
    0xcccccb80,0x3f6ea2cc,0xcfffffff,0xffd9501a,0x7fe437df,0x2fffffff,
    0x17fffff4,0x9afffffc,0x01cffffd,0xffffffa8,0x01fcc001,0xffffd980,
    0xffffdeff,0x2ea5e99c,0xfffffffd,0xd9501acf,0x0037dfff,0x7ffffecc,
    0xcffffdef,0x99935e99,0x99999999,0x00135559,0x99999910,0x99999999,
    0x99999999,0xfffb7507,0x359fffff,0x3fffb2a0,0x3fee01be,0xeeefffff,
    0x2e005eee,0xdbcfffff,0x000dffff,0xffffffb8,0x5eeeeeef,0x33333322,
    0xcccccccc,0x99999970,0x59999999,0x3fff6200,0xfedcbcef,0x04fa9cff,
    0x017fffcc,0x7fffffcc,0x00000002,0x7fff64c0,0x0acfffff,0x7fff64c0,
    0xfffb01cf,0x44007fff,0xff701ffe,0x4c0dffff,0xfff01eff,0xffff3bff,
    0xa803ffff,0x01ffffff,0x4001fcc0,0x0cfffffc,0xfffffb88,0xfffffb05,
    0x7f44007f,0x7fe4001f,0xb880cfff,0x315fffff,0xffffffd7,0xffffffff,
    0x5cc0037d,0xfffffffd,0xffffffff,0x6c06ffff,0x03ffffff,0x807ffa20,
    0x70cfffe8,0xffffffff,0xdfffb100,0xffff5103,0x3ffa2007,0xffff70cf,
    0xda98ffff,0xffffffff,0x3f2a21bd,0xefffffff,0xffb8009b,0x3a601dff,
    0x804fffff,0x9803ffff,0x02ffffff,0x99999999,0x81999999,0xccccccc8,
    0x7ffc40cc,0x0006ffff,0xfb801fff,0x001fffff,0x3f2027e4,0x6c05ffff,
    0x3fffe01f,0xfd88cfef,0x2a00ffff,0x01ffffff,0x1001fcc0,0x01dffffd,
    0x0bfff910,0x3fffffee,0x027e4001,0xdffffd10,0xfff91001,0xffffd10b,
    0x3f2a66ff,0x000dffff,0x7fffffe4,0x7fdcccc2,0x7fdc06ff,0x4001ffff,
    0x7ff404fc,0xdfffe86f,0x7fdc02aa,0x7cc00eff,0x7401efff,0xffe86fff,
    0x3202aadf,0x05ffffff,0xffffff98,0xffd1000f,0x7d4007ff,0xfe804fff,
    0xff9804ff,0x7502ffff,0xfffffffb,0x32a0359f,0x01befffe,0xfffffff3,
    0x03ff0003,0xffffff70,0x03fb8001,0x3fffffc4,0xfff01ba0,0xffb0bfff,
    0x7fd40bff,0x4001ffff,0xff1003f9,0x8001dfff,0xff705ffd,0x8001ffff,
    0xff1003fb,0x8001dfff,0xff905ffd,0x3620ffff,0x002fffff,0x3fffffea,
    0x37fec402,0x3ffffee0,0x1fdc000f,0x07ffff90,0x001ffff7,0x03fffff9,
    0x3ffffee0,0x7ffff900,0x01ffff70,0xffffff50,0x3fffe007,0xff3005ff,
    0x30009fff,0xfb009fff,0xff3005ff,0xb005ffff,0x07ffffff,0x00fff440,
    0x7fffffec,0x027d4004,0xffffffb8,0x017cc000,0x17ffffe4,0x7fc02f88,
    0xfa80ffff,0xf502ffff,0x003fffff,0xfd003f98,0x0001ffff,0x7fdc17fa,
    0x4000ffff,0xffd002f9,0x20001fff,0xfff905fe,0xffe80fff,0xf3003fff,
    0x005fffff,0xff701bf2,0x8001ffff,0x3ffe02f9,0xfffa82ff,0x7ffcc05f,
    0x7f4003ff,0xfff05fff,0xfff505ff,0xfff300bf,0x3e005fff,0x005fffff,
    0x00dffffd,0x4027fd40,0xf3007ffe,0x005fffff,0x3ffffff7,0x004fc800,
    0xfffffff1,0x00374001,0x1ffffff7,0x802f9800,0x06fffff8,0xffff00f7,
    0x7fffc0bf,0xffff504f,0xf98003ff,0xffffd803,0x3e20003f,0xfffff705,
    0x2f98001f,0xfffffd80,0x17e20003,0x3fffffe4,0x3ffffe20,0xfff9801f,
    0x3a002fff,0x7fffdc06,0x7cc000ff,0xfffff302,0xfffff305,0xfffffe80,
    0x7ffdc000,0x7ffcc2ff,0xfff982ff,0xfff9807f,0xff002fff,0x900bffff,
    0x007fffff,0x4404fc80,0xf3004fff,0x005fffff,0x1ffffff7,0x003fb800,
    0x3fffffee,0x005f7005,0x7fffffdc,0x017cc000,0x1fffffd8,0xfff804e8,
    0x3ffa05ff,0xfff505ff,0x98003fff,0x7ffd403f,0x40000fff,0xffff705e,
    0xf98001ff,0x7fffd402,0x740000ff,0xfffff905,0xffff900f,0xff9801ff,
    0x0102ffff,0xfffb80d7,0x4c000fff,0xffff502f,0xffff303f,0x3fff201f,
    0xf98006ff,0x2a0fffff,0x981fffff,0x400fffff,0x2ffffff9,0xffffff00,
    0xffff9809,0x440000ff,0x27fdc04f,0xfffff300,0xfff7005f,0x98001fff,
    0x7ffc002f,0x4401ffff,0x7fdc005f,0x4000ffff,0xff3002f9,0x1f98bfff,
    0x5fffff80,0x1fffffa0,0x7fffffd4,0x017cc001,0x17fffffa,0x5c16a000,
    0x00ffffff,0x3a017cc0,0x005fffff,0xff905a80,0xf300ffff,0x809fffff,
    0x2ffffff9,0xb80d30d0,0x00ffffff,0xf8817cc0,0xf981ffff,0xff306fff,
    0x0007ffff,0x97fffffe,0x81fffff8,0x806ffff9,0x2ffffff9,0xffffff00,
    0xffffe809,0x9900005f,0x013ff220,0xffffff30,0xffff7005,0xf98001ff,
    0x7ffdc002,0x7e405fff,0x7ffdc000,0x4c000fff,0x3ffa002f,0x01b20fff,
    0x02fffffc,0x01fffffb,0x3ffffff5,0x202f9800,0x3ffffff9,0x2e030000,
    0x00ffffff,0xf3017cc0,0x007fffff,0x7fe40600,0xfd007fff,0x980fffff,
    0x82ffffff,0xfb807078,0x000fffff,0xffb017cc,0xfff505ff,0x3ffee09f,
    0xd0002fff,0xd8ffffff,0xfa82ffff,0xf9804fff,0x002fffff,0x09ffffff,
    0x7fffffd4,0x05100004,0x00017df7,0x5ffffff3,0xfffff700,0x2f98001f,
    0xffffe800,0x09f302ff,0xfffff700,0x2f98001f,0x3fffea00,0x7c00fe4f,
    0x3605ffff,0x981fffff,0x01ffffff,0xf9017d40,0x003fffff,0xfffb8000,
    0x4c000fff,0x3fff202f,0x00001fff,0x7ffffe40,0xffff9007,0x7fcc05ff,
    0x7a82ffff,0xffff7000,0xf98001ff,0x3fffea02,0x1ffffb83,0xffffffb0,
    0x3ff60003,0x3ea0ffff,0xffb83fff,0xff9801ff,0xf002ffff,0x409fffff,
    0x3ffffffb,0x7e400000,0xff30001d,0x7005ffff,0x01ffffff,0x8002f980,
    0x6ffffffa,0x2e000dd0,0x00ffffff,0x20017cc0,0xf57ffffe,0x3fffe001,
    0x3fff605f,0xfff880ff,0x5c001fff,0x3fffe01f,0x00000fff,0x7ffffdc0,
    0x17cc000f,0xfffffff0,0xc8000001,0x007fffff,0xbffffff5,0x7ffffcc0,
    0x0007e82f,0x1ffffff7,0x402f9800,0xfe86fffd,0x3ffa03ff,0x0000ffff,
    0x5ffffff9,0xe86fffd8,0xf3003fff,0x005fffff,0x13fffffe,0xffffffd8,
    0x98000002,0x4c002efe,0x02ffffff,0xffffffb8,0x017cc000,0xfffffd80,
    0x0017dc2f,0xffffffb8,0x017cc000,0x3ffffee0,0x3fe005db,0x3f605fff,
    0x3fe07fff,0x4001ffff,0x3ffe00fc,0x00007fff,0xfffffb80,0x17cc000f,
    0xfffffff0,0xf9000000,0x200fffff,0x6ffffffa,0x3ffffe60,0x003fd42f,
    0xffffffb8,0x017cc000,0x4c6fffe4,0x7c01fffd,0x00ffffff,0xfffff900,
    0xbfff907f,0x03fffb31,0x7ffffcc0,0xffff002f,0x7ff409ff,0x0001ffff,
    0x0fff2000,0xfffff980,0xfffb802f,0x4c000fff,0xff30002f,0x7c4dffff,
    0x3fee0005,0x4000ffff,0x7c4002f9,0x01feffff,0x17ffffe0,0x05ffffe8,
    0x0ffffffa,0x7c40dd00,0x007fffff,0xfffb8000,0x4c000fff,0xffff102f,
    0x00000fff,0xffffff90,0x3fffe600,0x3fe607ff,0x3ee2ffff,0xff70007f,
    0x8001ffff,0xfb1002f9,0x019dffff,0xffffff98,0x3ff20007,0xb105ffff,
    0x19dfffff,0xffff9800,0xfff002ff,0x3e209fff,0x00ffffff,0x3e600000,
    0xff3002ff,0x7005ffff,0x01ffffff,0x0002f980,0x3ffffff6,0x40001f93,
    0x0ffffffb,0x0017cc00,0x37ffffe4,0x3ffffe00,0x3ffffa05,0x3ffff204,
    0x0ff2005f,0xffffff98,0xb8000007,0x00ffffff,0xf9817cc0,0x007fffff,
    0xfffc8000,0xff1007ff,0x201fffff,0xeffffff9,0x007ffffe,0xffffff70,
    0x02f98001,0x03337d70,0xfffffa80,0x3ee0007f,0x705fffff,0x0003337d,
    0xffffff98,0xffffffff,0xffffffff,0xfffff304,0x000000ff,0x200fffd0,
    0x2ffffff9,0xfffffb80,0x17cc000f,0xffff1000,0x009f5fff,0xfffffb80,
    0x17cc000f,0x7fffcc00,0x7ffc003f,0xfff105ff,0x7f4405ff,0xa803ffff,
    0x3fe600ff,0x000fffff,0x7ffdc000,0x4c000fff,0xffff302f,0x00001fff,
    0xfffffc80,0xffff1007,0x3e603fff,0xffefffff,0x70007fff,0x01ffffff,
    0x4402f980,0x440001fe,0x07ffffff,0x3fffee00,0x0ff444ff,0x3fe60000,
    0xeeeeffff,0xffeeeeee,0xf304ffff,0x01ffffff,0xfd800000,0xffa801ff,
    0xb803ffff,0x00ffffff,0x00017cc0,0x3ffffff2,0x5c0000ff,0x00ffffff,
    0x80017cc0,0x000ffffd,0x0ffffffc,0x037fffdc,0x7fffffcc,0x03ff500a,
    0xffffff88,0x4000001f,0x0ffffffb,0x8817cc00,0x1fffffff,0x7e400000,
    0x1007ffff,0x0fffffff,0x7fffffcc,0x00fff932,0x3ffffee0,0x17cc000f,
    0x0003ffa0,0x3fffffe0,0xff90000f,0xfe87ffff,0x4c00000f,0x02ffffff,
    0x9ffffff0,0x3ffffe20,0xcc9801ff,0xcccccccc,0xfffd03cc,0xffff5009,
    0xff7007ff,0x8001ffff,0x440002f9,0x2fffffff,0xfffb8000,0x54000fff,
    0xff50002f,0xfff000bf,0x7443ffff,0x7002ffff,0xbfffffff,0x03dfd977,
    0x3fffffe0,0x4000003f,0x0ffffffb,0xf017d400,0x07ffffff,0xffc80000,
    0xf3007fff,0x40dfffff,0x2ffffff9,0xb8003fe4,0x00ffffff,0xf3017d40,
    0x33335bff,0x7fff4003,0x90001fff,0x45ffffff,0x99adfff9,0xf3000199,
    0x005fffff,0x13fffffe,0xfffffff8,0xffb98802,0xbeffffff,0x07ffff01,
    0xfffffe88,0x7fdc01ff,0x4000ffff,0xb80002f9,0x01ffffff,0xffffb800,
    0x7d4000ff,0x3ffa0002,0xffff8002,0xffcefddf,0xb8003fff,0xffffffff,
    0x7f4003ef,0x004fffff,0x7ffdc000,0x54000fff,0x3fffa02f,0x00004fff,
    0x7ffffe40,0xffff5007,0x7fcc0bff,0x7e82ffff,0xffff7000,0xfa8001ff,
    0x3ffff202,0xffffffff,0xfffb01cf,0x20005fff,0x0ffffffd,0x3ffffff2,
    0xcfffffff,0xffff9801,0xfff002ff,0x7ec09fff,0x003fffff,0x7fffffcc,
    0x3ffe600f,0xffee882f,0xffffffff,0xfffb81ef,0x4c000fff,0xfa80002f,
    0x001fffff,0xfffffa80,0x0fd4000f,0x00ff7000,0x57ffffe0,0x2dfffffb,
    0x6dd4c000,0x70000bff,0x0bffffff,0xffa80000,0x4000ffff,0x3fee01fa,
    0x0005ffff,0x7fffe400,0xfff7007f,0x7cc07fff,0xc82fffff,0xfff50007,
    0xa8001fff,0x3ffee01f,0xffffffff,0xfa83ffff,0x003fffff,0xdffffff0,
    0xffffffb8,0xffffffff,0x7ffcc03f,0xff002fff,0x5409ffff,0x04ffffff,
    0xffffff80,0x7fffd405,0x05fb1001,0xfffffb80,0x17d4000f,0x7ffd4000,
    0x80001fff,0x1ffffffa,0x0007dc00,0x20009f10,0x4c5fffff,0x8800002b,
    0x440006fe,0x06ffffff,0x7fd40000,0x4001ffff,0x3fe200fb,0x0006ffff,
    0x7fffe400,0xfff9007f,0x7cc05fff,0x982fffff,0xffa82407,0x4001ffff,
    0x3fe200fb,0xffffffff,0x82ffffff,0x04fffffe,0xfffff880,0x7fffc41f,
    0xffffffff,0x2602ffff,0x02ffffff,0x9ffffff0,0x7ffffc40,0xfff8006f,
    0x7dc05fff,0xe8800fff,0xffb8004f,0x4000ffff,0xa80002fa,0x01ffffff,
    0xffff9800,0x3ec001ff,0x003e2000,0x2fffffc0,0xfb000000,0xf900007f,
    0x003fffff,0x7ffcc000,0x6c001fff,0xffffc807,0x000001ff,0x1ffffff2,
    0x7fffff40,0x7fffcc06,0x540d02ff,0xfffff304,0x07d8003f,0xfffffe98,
    0xffffffff,0xffffa85f,0xffa8007f,0xfd305fff,0xffffffff,0x40bfffff,
    0x2ffffff9,0xffffff00,0xffffa809,0xfff8007f,0x7ec04fff,0xffb007ff,
    0xfff50005,0xa8001fff,0xfa80001f,0x001fffff,0xffffff00,0x006f8005,
    0xf0002dc0,0x000bffff,0x1fffc000,0x7ff44000,0x40005fff,0x3fffe01c,
    0x37c002ff,0x7ffff440,0x0e40005f,0x7fffffc8,0xfffff980,0x7ffcc01f,
    0x40102fff,0x3fffe03e,0x37c002ff,0x777fe440,0xffffeeee,0xfffb07ff,
    0xfd8005ff,0x9101ffff,0xddddddff,0x0fffffff,0x7fffffcc,0xfffff002,
    0xfff9009f,0xff8007ff,0x6404ffff,0xff006fff,0xff50007f,0x8003ffff,
    0xa80000fb,0x01ffffff,0xffff9000,0x1fe4009f,0x3e06fdc0,0x3ffe0002,
    0x000005ff,0x00dfff10,0x3fffe600,0xf70001ff,0x7fffe403,0x0ff2004f,
    0x7ffffcc0,0x3f70001f,0x3fffff20,0xffffd807,0xfff9804f,0x54002fff,
    0x3fff202f,0x3f2004ff,0x037fdc03,0x305ffea8,0x00dfffff,0x27ffffcc,
    0x5006ffb8,0x7cc0bffd,0x002fffff,0x09ffffff,0x1fffffa0,0xffffff00,
    0x5fff9809,0x06fff980,0xfffff980,0x03ec001f,0xffffa800,0x300001ff,
    0x05ffffff,0xf500df70,0x003549ff,0x17ffffe0,0xff800000,0x500004ff,
    0x03ffffff,0x2027e440,0x2ffffff9,0x4006fb80,0x1ffffffa,0x813f2200,
    0x07fffffc,0x7fffffc4,0xffff9800,0x3e6002ff,0x3ffe601f,0xfb802fff,
    0x0fffc406,0x407ff500,0x02fffff9,0x09ffffb0,0x8007ffe2,0x3e603ffa,
    0x002fffff,0x0bffffff,0x3ffffa20,0x3fffe005,0xfff804ff,0x7ffff007,
    0xfffff000,0x06f8005f,0xffff5000,0x400003ff,0x2ffffffb,0x001df710,
    0x174dfffb,0x3fffe000,0x0000005f,0x037ffff2,0x3ffa6000,0x54403fff,
    0xff7002fe,0x2205ffff,0x98000efb,0x03fffffe,0x2017f544,0x0ffffffc,
    0xbffffb10,0x3ffea001,0xf3002fff,0xffb801ff,0x7102ffff,0xff9801df,
    0x3fee002f,0x7fffcc00,0x7ffec02f,0x3ffe604f,0x03fee002,0xffffff98,
    0xfffff002,0x7e4400bf,0xf800dfff,0x804fffff,0xc802fff9,0x000dffff,
    0x13fffff2,0x0003fc80,0xffffff70,0xfb800005,0xbdffffff,0x000effec,
    0xdb5ffff7,0xffff0000,0x000000df,0xffffffe8,0x3620000d,0xbcffffff,
    0x0dffecaa,0x7fffdc00,0xfecbdfff,0x220000ef,0xcffffffd,0xdffecaab,
    0xffffd800,0xffe981ff,0x7dc003ff,0x405fffff,0x007fffd9,0xfffffff7,
    0x1dffd97b,0x03fffa00,0x4007bee0,0x1bffffc8,0x3bfffae6,0x0fffe801,
    0x401efb80,0x3ffffffa,0xfffff880,0xfe98006f,0xb981cfff,0x01cfffff,
    0x019ffd30,0xffffffe8,0x7ffcc00d,0xfb802fff,0xff300006,0x01dfffff,
    0xffd88000,0xefffffff,0x7ffc4002,0x20001eff,0xffffffc8,0x40000001,
    0x03fffffb,0xffd71000,0xbdffffff,0x7ec40007,0xffffffff,0x2200002e,
    0xffffffeb,0x5003deff,0xffffffff,0xdffffb99,0xff980039,0xceffffff,
    0xfffeeccc,0x362006ff,0xffffffff,0x644002ef,0xbaccdfff,0x000dffdc,
    0xffffec98,0x03dfffff,0x37fff220,0xffdcbacc,0x7ff4400d,0x201fffff,
    0xffffffd8,0xfd70003f,0xffffffff,0x00039fff,0x00bffb22,0x07fffff9,
    0x3ffffee0,0x1df7102f,0x7ff64000,0xffffffff,0x00003eef,0x55e66554,
    0x3ae20001,0x220000ce,0xffffffff,0x000003ff,0x0000d4c0,0x79753100,
    0x50000013,0x03579995,0xa9880000,0x50009bcb,0xfffffffd,0xbdffffff,
    0xfe880037,0xffffffff,0xffffffff,0x005fffff,0x57999550,0xcb880003,
    0x9acdeeed,0x55300000,0x00155799,0x776e5c40,0x2009acde,0xfffffee8,
    0x1effffff,0xffffffd9,0x07dfffff,0x99955100,0x00013559,0x30019880,
    0xff700035,0x97bfffff,0x0001dffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffd88,0x002effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccaa800,
    0x000001ab,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f200000,0xb0003fff,0x0001dddd,0x84c40020,
    0x3b600098,0x00005eee,0x00000000,0x00000800,0x3bbba600,0x6c00002e,
    0x000e9803,0x00000000,0x80000688,0x00deeeec,0x33b6e000,0x00005a81,
    0x777774c0,0x00400002,0x4006a004,0x98000018,0x002eeeee,0x4405d400,
    0xc800002b,0x000deeee,0x200fea00,0xf88000dc,0x000fffff,0x27ffffd4,
    0xffec8800,0xdfb00cef,0x7c401bf6,0x0000ffff,0x3ae017e2,0xdf710001,
    0x1f7e4407,0x0017bff1,0x7ffe4000,0xd800004f,0x01fa202f,0x00000cb8,
    0xfb005910,0xff880000,0x00000fff,0x3bfffff6,0x0006e88b,0x7fffe400,
    0xdc880004,0x542defff,0x201fdc03,0x800004fb,0x004ffffc,0x0ffff400,
    0x000bfff3,0x7ffffc40,0xfe800001,0x009fd104,0x3fffff60,0x7ff4003f,
    0x4001ffff,0xebacfffa,0xb6fd83ff,0x3fee00df,0xc80001ff,0x0dfb00df,
    0x7fffdc00,0x5ffff903,0x00fffe44,0xffff8000,0xf7000004,0xd953379f,
    0x3fd800df,0x3f220000,0x007fa803,0x7fffdc00,0x3ea00001,0xffffffff,
    0x000004ff,0x002ffff4,0x5e7ffd40,0xeacefedb,0x827fc403,0x00000ffd,
    0x005fffe8,0x7fffcc00,0x07ffff64,0x7ffdc000,0x5000001f,0xfff98bff,
    0xfff98000,0x000ffffe,0xfffdfff7,0x37fd400b,0x361fffcc,0x200dfb6f,
    0x0001fffe,0x441dff10,0x20001ffe,0x886fffff,0x885fffff,0x00002fff,
    0x002fffcc,0xfffd1000,0x05ffffff,0x003df900,0x802ffa80,0x00007ff8,
    0x000fffec,0x3ffffa00,0x1fffffff,0x3e600000,0xc80005ff,0xff700dff,
    0xff7009ff,0x0fffa21b,0x3fe60000,0xa800005f,0x3f65ffff,0x00001fff,
    0x0003fffb,0x8effe800,0x0003fffb,0xfd11bffd,0xfff1009f,0x007ffea9,
    0x7c07ffe2,0xdb7ec7ff,0xfff8806f,0x7e400001,0x5fff99ff,0x7fffc000,
    0xfffff06f,0x07fff60b,0x5ffc8000,0xf9800000,0x4fffffff,0x03bee000,
    0x017fcc00,0x003fff44,0x03fff100,0x229f0000,0x3fffffeb,0x7e400000,
    0xfa80005f,0x7f4401ff,0xdffd004f,0x000dfff5,0x017ff200,0xfffe8000,
    0x01bffea1,0x0fffc400,0x7cc00000,0x06ffffff,0x889ff500,0x7e401ffd,
    0x02ffcc3f,0xf883ffdc,0x5bf61fff,0xffb806fd,0xf8800001,0x0fffffff,
    0x7ffdc000,0xffff903f,0x13ffea05,0x05ff8000,0x3a600000,0x004fffff,
    0x000efe80,0x4402ffcc,0x0007fffe,0x000bfee0,0x5cc07400,0x000001cd,
    0x80005fe8,0x3006fff8,0x3ea009ff,0x02ffffff,0x0bfd0000,0xcb880000,
    0x000bc981,0x005ff700,0x7fec0000,0x0001ffff,0x2fe407fd,0x2605ff30,
    0x7fec01fe,0xffff882f,0x37edbf60,0x00017f40,0xfffff700,0x2e00007f,
    0x3ae203ee,0x3ffea02e,0xbf300007,0x10000000,0x00037b97,0x8017fea0,
    0x4c02ffe8,0x007ffffe,0x000bf600,0x00000000,0x03be6000,0x3ffea000,
    0x013ee004,0x5fffffe8,0xdf300000,0x00000001,0xfb000000,0x80000005,
    0x05fffff9,0x50059300,0x00372019,0xffd809b1,0x89ff705f,0x00dfb6fd,
    0x00000013,0x00ffffff,0x80000000,0x000ffffb,0x00001880,0x00000000,
    0x2009fff0,0x7cc06ffe,0xffffffff,0x130002ff,0x00000000,0x22000000,
    0x3f200001,0x274007ff,0xfffff500,0x22000003,0x00000009,0x30000000,
    0x00000001,0x003bbbb2,0x00000000,0x3ffee000,0xfb01104f,0x0401bf6d,
    0x2a000040,0x0002eeee,0x64000000,0x00007fff,0x00000000,0xfc800000,
    0x7fd401ff,0x3ffe202f,0xffffffff,0x0000002f,0x33333320,0xcccccccc,
    0x66666440,0x0000cccc,0xffb00000,0x26400bff,0x0aaaaa00,0x00000000,
    0x66666640,0xcccccccc,0x66666440,0x0000cccc,0x00000000,0x00000000,
    0xff300000,0x2001dfff,0x20dfb6fd,0xdefffdc8,0x00001d42,0x00000000,
    0x37ffec00,0xcccccc98,0x99001ccc,0x09999999,0xdd975300,0x0001359b,
    0x405fff98,0x36007ffe,0x3007ffff,0x99999999,0x99999999,0xa8199999,
    0xffffffdb,0x9501acff,0x437dfffd,0xccccccc8,0xaabccccc,0xf90001aa,
    0x001bffff,0x402600b3,0x66654018,0xcccccccc,0x6665c02c,0x2ea2cccc,
    0xfffffffd,0xd9501acf,0x4437dfff,0xcccccccc,0x01cccccc,0xccccc980,
    0xcccccccc,0xcccccccc,0xffb00ccc,0x2a0fffff,0x0ccccccc,0xfffc8000,
    0xfd803fff,0xff50dfb6,0xdfdb779f,0xcc887d59,0xcccccccc,0x1aaaabcc,
    0xffff1000,0x7fc4bfff,0xf05fffff,0x2e20bfff,0xfffffffd,0xfeba800f,
    0x2002cfff,0xbcfffffb,0x00dffffd,0x03fffe00,0x0037ffd4,0x00fffffb,
    0x3fffffee,0xffffffff,0x05ffffff,0x7fffffec,0x3ffa2003,0xfffb7501,
    0xffffffff,0x17dfffff,0x3fffea00,0x80003fff,0x7dc3ffe8,0xfd9301ef,
    0x9fffffff,0xfec98015,0xfb01cfff,0x007fffff,0x980fff44,0xffffffdb,
    0x0009adff,0xffffffb8,0xffffffff,0xffffffff,0x3fe601ff,0xfb307fff,
    0x001fffff,0x3ffff600,0x3f600dff,0xffc8dfb6,0xffff700d,0xfffb7509,
    0xffffffff,0x17dfffff,0xffffb800,0xffffb85f,0xffff885f,0xffffc803,
    0x2000efff,0x22000ffd,0x881efffd,0x003ffffa,0x209fffd0,0x2005fffe,
    0x007ffffd,0x039ffff9,0x7fffffdc,0x7ffdc00f,0x64001fff,0xfffb004f,
    0xfc988fff,0x802fffff,0xfffffff8,0x320003ff,0xff10ffff,0xff8809ff,
    0x006fffff,0xb801fff0,0x01ffffff,0xd8027e40,0x04ffffff,0xdfffb800,
    0xffff709a,0x3aa621ff,0x7ec01fff,0x7ec07fff,0x0000ffff,0xffffff10,
    0x5bf605ff,0x3ffea6fd,0x27ff4401,0x3fffff60,0x7ffe4c47,0x7c002fff,
    0xf885ffff,0xf885ffff,0xf9002fff,0x0bffffff,0x70027d40,0x801dffff,
    0x01effff9,0x07fffec0,0x00ffffe6,0x07ffffd8,0x1009ff90,0x7fffffff,
    0xfffff700,0x3fb8001f,0xfffff700,0x7fffcc0f,0xffd802ff,0xefffffff,
    0xfffe8002,0xdffff31f,0xfffff300,0xff0003ff,0xffff7003,0xfb8001ff,
    0xffff5003,0x700005ff,0x3fee05ff,0xd880ffff,0x7fe401ff,0x7fe407ff,
    0x00000fff,0xfffffbfb,0x2dfb05ff,0xdfff16fd,0x013fe600,0x0ffffff7,
    0x7fffffcc,0x3fffa002,0xfffff05f,0x07fffe0b,0x7ffffd40,0xf3003fff,
    0x3fff2009,0xff7001ff,0x5c001fff,0x7e42ffff,0x36002fff,0xb007ffff,
    0x3ff6009f,0x7006ffff,0x01ffffff,0x7002f980,0x80ffffff,0x0ffffffb,
    0x7ffff440,0x1effffff,0x1bffee00,0x2007fffd,0x4ffffffd,0x8027d400,
    0x0ffffffb,0x8017cc00,0x1ffffffa,0x04fb8000,0x3fffffee,0x9007fa00,
    0xb80fffff,0x000fffff,0xff53fd80,0xd85fffff,0x3eadfb6f,0x3ee004ff,
    0x7fffdc04,0x7ffdc07f,0xfd000fff,0x3fe0bfff,0xff905fff,0x3fea003f,
    0x1fffffff,0x9803f880,0x003fffff,0x02fffff4,0x87ffff70,0x002ffffd,
    0x01fffff6,0xffa80374,0x001fffff,0x1ffffff7,0x002f9800,0x0ffffff5,
    0x9ffffff0,0xffffd100,0x9fffffff,0x20e75c00,0x22003ec9,0x0fffffff,
    0xb801ba00,0x00ffffff,0xa8017cc0,0x01ffffff,0x5c07b800,0x00ffffff,
    0xff9007ea,0xffb80fff,0x40000fff,0x7ff446fc,0x32e1ffff,0x3ff2dfb3,
    0x0274007f,0x1fffffea,0x3fffffe0,0xffffd004,0x3ffffe0b,0x07fff305,
    0x3ffebea0,0x400fffff,0xffe802f8,0x5c000fff,0x002fffff,0xe89ffff5,
    0x2001ffff,0x007ffffd,0x3ffa005f,0x2004ffff,0x0ffffffb,0x8017cc00,
    0x07fffffa,0x6fffffe8,0xffffd100,0xbfffffff,0x80000000,0x5ffffffb,
    0x4005f700,0x0ffffffb,0x8017cc00,0x1ffffffa,0x405b8000,0x0ffffffb,
    0x3f200fc0,0x7dc07fff,0x0000ffff,0x7e40ffe6,0x3606ffff,0xbffffb6f,
    0x2a026400,0x807fffff,0x06fffffe,0x0bffffd0,0x817ffffe,0xf5006ff9,
    0xffffff71,0x02f880df,0x37ffffe4,0x7fffcc00,0xffa800ff,0x7fffc6ff,
    0x3ff6001f,0x01f007ff,0xffffff90,0x7fdc001f,0x4000ffff,0xff5002f9,
    0xfb00ffff,0x800fffff,0xfffffffb,0x0005ffff,0x7ffc0000,0x4401ffff,
    0x7fdc005f,0x4000ffff,0xff5002f9,0x0003ffff,0xffb80570,0x6400ffff,
    0x7fffe401,0x7fffdc07,0x3ee0000f,0x3ffea03f,0x2dfb02ff,0x0dfffffc,
    0x7d405980,0xd807ffff,0x007fffff,0x20bffffd,0x405fffff,0x5401dfe9,
    0xfffff90f,0x17c409ff,0xffffff30,0x3ffe0007,0xfa805fff,0x3fe27fff,
    0x36001fff,0x7007ffff,0xfffff300,0xfb8005ff,0x000fffff,0xfa8017cc,
    0xd807ffff,0x007fffff,0xfffffc88,0x322fffff,0x47ffffff,0x5fffffff,
    0xfffff700,0x00fc80bf,0x7ffffdc0,0x17cc000f,0xfffffa80,0x0000001f,
    0x1ffffff7,0xfff90000,0xfffb80ff,0x00dcc0ff,0x2a02fff4,0xfb04ffff,
    0x3ffffead,0xa80003ff,0x807fffff,0x07fffffd,0x0bffffd0,0x017ffffe,
    0xf502fed4,0x7ffffec1,0x05f103ff,0x7fffffdc,0xfffd0002,0xff300fff,
    0x3fe61fff,0x36000fff,0x0007ffff,0x3fffff60,0xffb8005f,0x4000ffff,
    0xff5002f9,0xfd00ffff,0x000dffff,0x7ffffe44,0x7fcc6fff,0xffb87fff,
    0x3a005fff,0x02ffffff,0xf70009f3,0x001fffff,0xf5002f98,0x003fffff,
    0x3fee0000,0x0000ffff,0x07ffffc8,0x87ffffdc,0x04fffffa,0x700bfffe,
    0x3f60dfff,0xffffff16,0x40007fff,0x07fffffa,0x6fffffe8,0xbffffd00,
    0x17ffffe0,0x807fdc40,0x3ffa20fa,0x881fffff,0x3fff602f,0xb0001fff,
    0x01ffffff,0x0fffff98,0x01fffff3,0x3ffffec0,0xfffa8000,0x8000ffff,
    0x0ffffffb,0x8017cc00,0x07fffffa,0x7fffffc4,0x6c401204,0x0fffffff,
    0x43ffffec,0x05fffff8,0x3ffffea0,0x000dd06f,0x3fffffee,0x017cc000,
    0xffffffa8,0x70000001,0x01ffffff,0xffff9000,0xffffb80f,0xfffffc8f,
    0xffff03ff,0x4ffe803f,0x7fecdfb0,0xefffffff,0xfffa8002,0x7fc407ff,
    0xd004ffff,0x3e0bffff,0x4405ffff,0x2a00cffd,0x7fffcc0f,0x7c40ffff,
    0x3ffffa02,0xf90000ff,0x805fffff,0x227ffffa,0x000fffff,0x01fffff6,
    0x3fffe200,0x70003fff,0x01ffffff,0x5002f980,0x80ffffff,0x0ffffffa,
    0xfa800ba0,0x6c2fffff,0xff07ffff,0xd800bfff,0x42ffffff,0xf70002fb,
    0x001fffff,0xf5002f98,0x003fffff,0x3fee0000,0x0000ffff,0x07ffffc8,
    0x77ffffdc,0xffffd9bf,0xffffd80f,0x0bff202f,0xffd137ec,0xffffffff,
    0x7fd4003d,0x7d407fff,0x000fffff,0x20bffffd,0x205fffff,0xa800ffe8,
    0xffffa80f,0x17c46fff,0xfffffff0,0x3ff20001,0x5403ffff,0x7fc6ffff,
    0x36001fff,0x0007ffff,0xffffffc8,0x3fee0006,0x4000ffff,0xff5002f9,
    0x7d40ffff,0x402fffff,0x7fd4004e,0x7fe42fff,0xffff07ff,0xff9800bf,
    0x3e26ffff,0x3fee0005,0x4000ffff,0xff5002f9,0x0003ffff,0x3ffee000,
    0x80000fff,0x407ffffc,0x1ffffffb,0x0fffffe2,0x3fffffe2,0x201ffb04,
    0x7ff446fd,0xffffffff,0xfff5004f,0x7fd40fff,0x2002ffff,0xf05ffffe,
    0x220bffff,0xf5005ffe,0x3ffff201,0x0be24fff,0x7fffffcc,0x3ff20007,
    0x5405ffff,0x7f45ffff,0x32001fff,0x0647ffff,0xfffff300,0x5c0003ff,
    0x00ffffff,0xa8017cc0,0x447fffff,0xdfffffc9,0x8007e801,0x640ffffc,
    0xff07ffff,0xb000bfff,0x27ffffff,0x2e0000fc,0x00ffffff,0xa8017cc0,
    0x01ffffff,0xff700000,0x0001ffff,0x0fffff90,0x2fffffb8,0x05ffffe8,
    0xdffffff5,0xd91ffc41,0x3a21bf6b,0xffffffff,0xfa805fff,0x4c47ffff,
    0x1dfffffc,0x7ffff400,0xbfffff05,0x00bffee0,0xffb007d4,0x225fffff,
    0xffff502f,0x5c000fff,0x05ffffff,0x227fffdc,0x001ffffd,0x33ffffe6,
    0x7f4004c8,0x004fffff,0x7ffffdc0,0x17cc000f,0xfffffa80,0xffffffff,
    0x3a001dff,0x7fd4003f,0xffffc87f,0xbfffff07,0xffff1000,0x009f5fff,
    0xfffffb80,0x17cc000f,0xfffffa80,0x0000001f,0x1ffffff7,0xfff90000,
    0xfffb80ff,0xfffe80ff,0x3ffee05f,0x9fb2ffff,0x0dfb6fd8,0x7fffffdc,
    0x405fffff,0xfffffffa,0xffffffff,0xffd0001d,0x3ffe0bff,0xfffb05ff,
    0x803ea001,0xffffffe8,0xf102f89f,0x00ffffff,0x7ffffdc0,0x7ffdc04f,
    0x7fffe43f,0x7ffdc002,0x5c006fff,0x0fffffff,0x7ffdc000,0x4c000fff,
    0xfff5002f,0xfff75fff,0x8005ffff,0x26001ffe,0xffc84fff,0xffff07ff,
    0x3f2000bf,0x0fffffff,0x7ffdc000,0x4c000fff,0xfff5002f,0x00003fff,
    0x3fffee00,0xc80000ff,0x5c07ffff,0xe80fffff,0x5c06ffff,0xefffffff,
    0xfb6fd82f,0xfffc880d,0x2fffffff,0x3ffffea0,0xfffffbaf,0x3a0002ff,
    0xff06ffff,0xff10bfff,0x3ea005ff,0x7fffc400,0x02f8efff,0x3ffffffe,
    0xfff90000,0xfc807fff,0x7fd41fff,0xda8003ff,0x2000beff,0xfffffff8,
    0xffb80002,0x4000ffff,0xff5002fa,0x7fd4ffff,0x000fffff,0x4003bffa,
    0xfc80effb,0xfff07fff,0x22000bff,0x2fffffff,0xfffb8000,0x54000fff,
    0xfff5002f,0x00003fff,0x3fffee00,0xc80000ff,0x5c07ffff,0xe80fffff,
    0xa806ffff,0x6fffffff,0x1bf6dfb0,0x7fffe440,0x2a06ffff,0x2a7fffff,
    0x0fffffff,0xfffff000,0x3ffffe0d,0x3ffff885,0x5001f500,0xdfffffff,
    0x7fff405f,0x90001fff,0x05ffffff,0xd05fffe8,0x40009fff,0xffb00008,
    0x000bffff,0x3ffffee0,0x17d4000f,0xfffffa80,0x7ffffec7,0x3ffa005f,
    0x7fcc01ef,0xffff901f,0x3ffffe0f,0x3fee0005,0x0001ffff,0xffffffb8,
    0x017d4000,0xffffffa8,0x70000001,0x01ffffff,0xffff9000,0xffffb80f,
    0xffffe80f,0xfffb1006,0xdfb09fff,0x88025bf6,0xfffffffd,0xfffff500,
    0xfffffd8f,0xffb8005f,0xff82ffff,0xfff05fff,0x03ea009f,0x7ffffdc0,
    0x3f602fff,0x002fffff,0xffffffb0,0x1ffff801,0x00dfff50,0xfa800040,
    0x01ffffff,0xfffa8340,0x54000fff,0xfff5001f,0xfff88fff,0xd003ffff,
    0x039fffff,0x6403dff7,0xff07ffff,0x4000bfff,0x1ffffffa,0xfffa8000,
    0x54000fff,0xfff5001f,0x20003fff,0x3fee000b,0x0000ffff,0x07ffffb8,
    0x07ffffdc,0x037ffff4,0x3ffffee0,0xfdb7ec2f,0x7d4005d6,0x502fffff,
    0x88ffffff,0x3fffffff,0xfffff100,0x7c1fffff,0xfd05ffff,0x3ea00bff,
    0x3fff6000,0x2a02ffff,0x03ffffff,0xffffff00,0x6fff880d,0x003fff40,
    0x00067fdc,0xfffffff1,0x50698009,0x03ffffff,0x5000fb80,0x50ffffff,
    0x1fffffff,0xb511bd00,0xfffddfff,0xffff9007,0x3ffffe0f,0x3fea0005,
    0x0001ffff,0xffffffa8,0x007dc001,0xffffffa8,0x001f0001,0x7fffffdc,
    0xffb80000,0x7fdc07ff,0xffe80fff,0xd88006ff,0x7ec7ffff,0x013adfb6,
    0x5fffff50,0x3ffffea0,0xfffffa87,0x000000ff,0x417ffffe,0x5007fffc,
    0xffe8001f,0x7402ffff,0x004fffff,0xffffff88,0x17ffdc01,0x00bffee0,
    0x04ffff98,0x3fffff20,0x05c8006f,0x3ffffff3,0x2007d800,0x07fffffa,
    0xdffffff9,0x75101700,0x640035bf,0xff07ffff,0x4000bfff,0x1ffffffa,
    0xfff98000,0x6c001fff,0x3ffea007,0xa8001fff,0x7ffdc007,0x80000fff,
    0x407ffffb,0x80fffffb,0x406ffffe,0xffff9009,0x6fdb7ec3,0xff9000fd,
    0x3fea01ff,0xff907fff,0x000dffff,0x7ffff400,0x1ffff704,0x8001f500,
    0x2ffffff8,0x7ffffd40,0xfffa8007,0xffe805ff,0x5ffe8806,0x3fffe200,
    0xffff3007,0x88005fff,0x3fffe04f,0x37c002ff,0xfffff500,0x7ffff40f,
    0x5c0004ff,0x7e4000cf,0xfff07fff,0x54000bff,0x01ffffff,0xfffff000,
    0x06f8005f,0x3ffffea0,0x06d8001f,0x7ffffdc0,0xfb80000f,0x7dc06fff,
    0xfe80ffff,0x3f606fff,0x7fffb04f,0xd6fdb7ec,0xffa8007f,0x3ffea07f,
    0x3ffa07ff,0x0004ffff,0x9ffffd00,0x01fffea0,0x4c0007d4,0x802fffff,
    0x02fffffd,0x7ffffec0,0x077fd401,0x00fff980,0x01fb76a0,0x7ffffff4,
    0x03fd8005,0x13fffff2,0x2003fc80,0x07fffffa,0x3fffffe6,0xff10001f,
    0x7dc001ff,0xff987fff,0x20005fff,0x1ffffffa,0xfff90000,0x7e4009ff,
    0x3ffea003,0x4c001fff,0x7fdc005f,0x4000ffff,0x3ffea3b8,0x7ffdc05f,
    0xfffe80ff,0xffff306f,0x45fff501,0x3adfb6fd,0x3e6001ff,0x3fea04ff,
    0x3e607fff,0x01ffffff,0xfb0e4c00,0x3e607fff,0x1f5005ff,0x3ffee000,
    0xfff9802f,0x3e6006ff,0xe804ffff,0x7cc001ff,0x09d0004f,0xffffff70,
    0xffb8001f,0x3fffe602,0x6fb802ff,0x7fffd400,0x7ffdc07f,0x8000efff,
    0x002fffc8,0x87ffffea,0x5ffffff8,0x3ffea000,0x00001fff,0x5ffffff3,
    0x800df700,0x1ffffffa,0x017fa200,0xffffff70,0x2ffd8001,0x809ffff3,
    0x80fffffb,0x506ffffe,0x3e20ffff,0x6dbf60ff,0x01dffd6f,0x803bfee0,
    0x07fffffa,0x7fffffdc,0xff10000e,0x17fffecf,0x002fffb8,0x640003f7,
    0xf3002fff,0x2005ffff,0x804ffffd,0x50001ffa,0xf88003ff,0x7fffc401,
    0x26003fff,0x5c01fffe,0x02ffffff,0x8001df71,0x0ffffffb,0x7ffffec0,
    0x3fa0005f,0x3fe2003f,0xeea9dfff,0x006fffff,0x3ffffea0,0x2e00001f,
    0x02ffffff,0x8001df71,0x2ffffffa,0x09ffd100,0xfffffb80,0x7ffc000f,
    0x05ffff34,0x0fffffc8,0x06ffffe8,0x2e0dfff1,0xdb7ec6ff,0x3dfffd6f,
    0x01fff980,0x7fffffdc,0x7fffec00,0xf50005ff,0x3fff23ff,0x013ffe06,
    0x40004fe8,0x26002ffe,0x402fffff,0x804ffffd,0x40002ffa,0xd5001ffb,
    0xffffb005,0x7e400dff,0xb800ffff,0xdfffffff,0x00effecb,0xfffffc80,
    0x7ffc401f,0x8003ffff,0x4001fff9,0xfffffffa,0xffffff8d,0xfff70001,
    0x00005fff,0xffffffb8,0xeffecbdf,0xfffb8000,0xe9804fff,0x64003fff,
    0x01ffffff,0xf9a7fe40,0xffc804ff,0xfff81fff,0x3ff207ff,0x41eff886,
    0x3adfb6fd,0x81cfffff,0xc801effb,0x01ffffff,0x7fffffc4,0xff88003f,
    0x03fff91f,0x4009ffd5,0x000bfffc,0x8005ff10,0x1bffffc8,0x3bfffae6,
    0x00cfb801,0x05fb3000,0xfa800bc8,0xcdffffff,0xeccccccc,0x07ffffff,
    0x3ffff620,0x02efffff,0xfffff300,0xff500bff,0x017fffff,0x07ffd730,
    0x3fffee00,0x3ffffe4f,0x7cc004ff,0x0effffff,0x7ec40000,0xffffffff,
    0xff30002e,0x9bffffff,0xfffd9999,0x54005fff,0xefffffff,0x3bfe2000,
    0x9806ffdb,0x0cfffffe,0x3fffffea,0x33bff202,0xd80effeb,0x37adfb6f,
    0xefffda88,0x3003fffe,0xbfffffff,0xfffff500,0xc80017ff,0x3fffbdff,
    0x00efff44,0x7fffff54,0x98001eff,0xd930002f,0xffffffff,0x36a007bf,
    0xd3000001,0x3fa00003,0xffffffff,0xffffffff,0x07ffffff,0x79995500,
    0xfd100035,0xffffffff,0x7ec0bfff,0x1fffffff,0x06f7ba60,0x006e6000,
    0x3ffb2000,0xffffffff,0x00003eef,0x55e66554,0xffe88001,0xffffffff,
    0xffffffff,0x401fffff,0xffffffe9,0x06efffff,0x5bdfd930,0xfffff700,
    0x3ff2ffff,0x06ffffff,0x2f7bb722,0x7edbf601,0x97510176,0xfd100359,
    0xffffffff,0x7ec0bfff,0x1fffffff,0x77f6d400,0x0003501c,0x1a800000,
    0xcaa98000,0x4000aabc,0x10000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x73000000,0x0000aa01,0x00003950,0x54072e60,
    0x10000002,0xc8000400,0x0005eeee,0x3ba20000,0x00003eee,0x2e037950,
    0x08000001,0x26600000,0xcccbaaaa,0x001ccccc,0x05dddd70,0xeeeec800,
    0x9710000e,0x00179303,0x20000400,0x00e9802d,0xb7003d10,0x77744000,
    0x980003ee,0x002eeeee,0x03eeeea8,0x2002a200,0x75c00028,0x4000deee,
    0x7fc3fffb,0xe80000ff,0x00004fff,0x5f7fffe4,0x000013a0,0xfffdb751,
    0x097037df,0x3fffa200,0x0000002f,0x0bffff70,0xffd10000,0x17cc5bff,
    0x97310000,0x359bfffd,0x7fe4c000,0xffffffff,0x01acffff,0xfffff880,
    0x7ec0000f,0xf0002fff,0x7fd43fff,0xc880006f,0xfb0003ef,0x003fc403,
    0x5fa803fe,0x3ffea000,0xf900005f,0x10009fff,0x01ffffff,0x22037c00,
    0x7fc0006e,0xf8001fff,0x3fea6fff,0x4c0003ff,0x000fffff,0xfffff700,
    0x07ffdfff,0x3ff62000,0xedcbdfff,0x4fa9ceff,0x3ffa2000,0x0000004f,
    0x00bfffd0,0x3fff6000,0xffefffff,0xff700001,0xffb79fff,0xb8001dff,
    0xffffffff,0x000ffd47,0x3fffff20,0x7440003f,0xa8005fff,0x3f64ffff,
    0x40001fff,0x002ffffc,0x99bcffb8,0x4005ffca,0xb99acefd,0x20003ffc,
    0x000efffd,0x0bfffd00,0x3ffff200,0x360004ff,0x7ecc41df,0x3fe60005,
    0xf88002ff,0x3fee7fff,0x5c0004ff,0x001fffff,0xffffff00,0x01ffffff,
    0xffff7000,0x7ff4c03b,0x40004fff,0x0007ffe8,0xfff88000,0xf3000005,
    0xffffffff,0x10000dff,0x203dfffd,0x003ffffa,0xfffffff9,0x05fa8fff,
    0x7fffcc00,0x0000ffff,0x007fff44,0x93fffea0,0x000ffffd,0x2fffffc0,
    0x7fffc400,0x01ffffff,0x7ffffcc0,0x000fffff,0x01dfff10,0x3ffe6000,
    0xfff10005,0x001fffff,0x3bfffea0,0x002ffffe,0x00bfff20,0x24fffc80,
    0x000ffff8,0x37fffc40,0x9cf88000,0xffffffeb,0x7f440003,0x2a005fff,
    0x0004ffff,0x002ffe88,0x7fdc0000,0x7000000e,0xffff935f,0x80003fff,
    0x00fffffb,0x0f7fffd4,0xffffff50,0xfa8fffff,0x7fec0005,0x04ffe88e,
    0x2ffe8800,0x0fffe800,0x0017ffe6,0x13ffffa0,0x7fffd400,0x0004ffff,
    0xfffffff9,0x7d40005f,0x200000ef,0x20005ffc,0xfe89effd,0x3f60005f,
    0x5fffffff,0x1fffc000,0x416d4000,0x00000cc8,0x0003bfd5,0x3ae61e60,
    0x4c0002ef,0x004fffff,0x004fff98,0x009ff100,0xefe80000,0x32000000,
    0x1dfeca85,0x7ffe4000,0xff9001ff,0xfd101fff,0xffffffff,0x004fa8ff,
    0xb117fea0,0x100001ff,0x2a000bfd,0x001b880b,0x1ffff500,0x7ffd4000,
    0x40003fff,0x2ffffffb,0x077ec000,0x1bfa0000,0x0dff9800,0x8000ffec,
    0xffffffe8,0x3e60000d,0x0000003f,0x00400000,0x00000000,0xfffffd00,
    0x27fd4000,0x0ff30000,0x7c400000,0x0000000e,0xf3000000,0x8007ffff,
    0xb85ffffe,0xffffffff,0x27d47fff,0x407fd000,0x100004fd,0x000001ff,
    0x79300000,0x97100001,0x2000037b,0x000bcdb9,0x00077c40,0x003be600,
    0x3204fe80,0x75c0005f,0x80003eff,0x000003fc,0x00000000,0x00000000,
    0x3ffff200,0x7e40004f,0x0c400004,0x31000000,0x00000001,0x7f400000,
    0x4000ffff,0x42fffffc,0xfffffffc,0x7d47ffff,0x05d50004,0x00001d70,
    0x00000062,0x00000000,0x00000000,0x00980000,0x00988000,0x200fa600,
    0x000000eb,0x00188000,0x765d4c00,0x0009acde,0x00aba980,0xcba98000,
    0x009acdee,0xfffff980,0x7c40000f,0x00000004,0x00000000,0x33333260,
    0x9001cccc,0x99999999,0xdfffff90,0xffff3000,0x7ffec1ff,0xffffffff,
    0x00027d47,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7dc00000,0xfdbcffff,0x8000dfff,0xfffffffb,
    0x05eeeeee,0x3ffffee0,0xdffffdbc,0x3fffa000,0x900005ff,0x24c00009,
    0x98000000,0x6dc40004,0xffffffff,0xffeba800,0x7fcc2cff,0x0003ffff,
    0x4bffffff,0xffffffff,0x7d47ffff,0x24c00004,0x33322000,0xcccccccc,
    0xfff90ccc,0x85ffffff,0x12fffffe,0x99999999,0x99999999,0x87999999,
    0xccccccc8,0x0ccccccc,0x99999991,0x99999999,0x79999999,0xcccccc88,
    0xcccccccc,0x99999910,0x99999999,0x99999999,0xccccc887,0xcccccccc,
    0x24c0000c,0x33322000,0x4003cccc,0x81efffd8,0x03ffffa8,0x19fffd10,
    0x3fffffee,0xffd8807f,0xffa881ef,0xffa803ff,0x0003ffff,0x40000510,
    0x000000fd,0x0000fd80,0xffffff90,0x7ec001df,0xffff700f,0x3a0005ff,
    0x367fffff,0xffffffff,0x27d47fff,0x03f60000,0xffb53000,0x7bffffff,
    0xfffffb83,0x3bfe606f,0x7ffedcc1,0xffffffff,0xffffffff,0xfffda986,
    0x1bdfffff,0x7fffedcc,0xffffffff,0x6fffffff,0xffffda98,0x41bdffff,
    0xfffffdb9,0xffffffff,0x86ffffff,0xfffffda9,0x001bdfff,0x0000fd80,
    0x7fffff5c,0x3ffee006,0x7fcc00ef,0x7f401eff,0xfffe86ff,0x7dc02aad,
    0x4c00efff,0x201effff,0x2ffffffb,0x00000000,0x0003ff98,0x1ffcc000,
    0xfff90000,0x400bffff,0x3ff604fa,0x0001ffff,0x1ffffffb,0x3fffffee,
    0x547fffff,0x2600004f,0x200003ff,0x5ffffffc,0x7ffffe40,0x200fec05,
    0x2ffffffc,0x7ffdcccc,0x7ffe406f,0xf9005fff,0x985fffff,0x6ffffb99,
    0x7ffffe40,0xfff9005f,0x99985fff,0x406ffffb,0x5ffffffc,0x3fe60000,
    0xff880003,0xf9006fff,0x2003ffff,0x00fffffb,0x707ffff9,0x9001ffff,
    0x003fffff,0x03ffffee,0x7fffffec,0x00000001,0x006ffc80,0x7fe40000,
    0x3ea00006,0x3fffffff,0x7409f300,0x00ffffff,0xfffff900,0x3fffe65f,
    0x7fffffff,0x000027d4,0x0000dff9,0x7fffffd4,0x7fffc402,0x4037407f,
    0x2ffffffa,0x037fec40,0x3fffffea,0xffff5002,0xfd8805ff,0x7ffd406f,
    0xf5002fff,0x805fffff,0x5406ffd8,0x02ffffff,0x1bff2000,0x7fffc000,
    0xfff9806f,0x7f4003ff,0xfff05fff,0xfff505ff,0xfff980bf,0x7f4003ff,
    0xffd05fff,0x0003ffff,0xf8800000,0x00002fff,0x5ffff100,0x3fea0000,
    0x1fffffff,0x3e03f880,0x00ffffff,0xfffff900,0x3fffe27f,0x7fffffff,
    0x800027d4,0x002ffff8,0xfffff500,0xfff9005f,0x0be205ff,0x3ffffe60,
    0x0df9002f,0xffffffa8,0xffff3002,0x3f2005ff,0x7fffd406,0xff3002ff,
    0x2005ffff,0x7fd406fc,0x0002ffff,0x05ffff10,0xffffd000,0xffffd00d,
    0xffb8001f,0x7fcc2fff,0xff982fff,0x7ff407ff,0x5c000fff,0x442fffff,
    0x0fffffff,0x00000000,0x02ffffdc,0xffb80000,0x500005ff,0xffffff5f,
    0x2f8801ff,0xffffff30,0x7fdc000f,0x3fa5ffff,0xffffffff,0x0027d47f,
    0x5ffffb80,0xfff30000,0xf1005fff,0x2e0dffff,0xffff3007,0x374005ff,
    0x3ffffe60,0xfff3002f,0x74005fff,0x7fffcc06,0xff3002ff,0x4005ffff,
    0x7ffcc06e,0x00002fff,0x00bffff7,0xdffffd00,0xfffffc80,0xfff98006,
    0x3fea0fff,0xff981fff,0xff900fff,0x3000dfff,0x41ffffff,0x7ffffff9,
    0x00000000,0x1ffffff8,0xff800000,0x0001ffff,0xfffb8fa8,0x4406ffff,
    0xffff502f,0x5c000fff,0x25ffffff,0xfffffff8,0x27d47fff,0xffff8000,
    0x980001ff,0x02ffffff,0x3fffffb0,0x3e6009d0,0x102fffff,0xff980d70,
    0x3002ffff,0x05ffffff,0xf301ae02,0x005fffff,0x3fffffe6,0x80d70102,
    0x2ffffff9,0xffff0000,0xe80003ff,0x2606ffff,0x03ffffff,0xffffff00,
    0x7ffffc4b,0x6ffff981,0xffffff30,0x3ffe0007,0x3fe25fff,0x000fffff,
    0x2a000000,0x04ffffff,0x7fd40000,0x0004ffff,0xfff90fa8,0x4409ffff,
    0xffff102f,0x5c000fff,0x44ffffff,0xfffffffa,0x027d47ff,0x7fffd400,
    0x980004ff,0x02ffffff,0xbfffff30,0xf3001f98,0x205fffff,0x7cc06986,
    0x002fffff,0x5ffffff3,0x301a61a0,0x05ffffff,0x3ffffe60,0x0d30d02f,
    0xffffff98,0xffa80002,0x0004ffff,0x037ffff4,0x5ffffff7,0x3fffa000,
    0x7ffec7ff,0xffffa82f,0xfffff704,0x3fa0005f,0x7fc7ffff,0x801fffff,
    0xccccccc9,0x003ccccc,0xffffffe8,0x2000000f,0xfffffffe,0x07d40000,
    0xfffffffb,0xf80be207,0x00ffffff,0xfffff900,0xfffd107f,0xfa8fffff,
    0xffe80004,0x000fffff,0x7ffffcc0,0x3ffa002f,0x01b20fff,0xffffff98,
    0x80707882,0x2ffffff9,0xfffff300,0x0e0f105f,0xffffff30,0x3ffe6005,
    0x07882fff,0xffff9807,0xe80002ff,0x0fffffff,0x3fffa000,0x3fff606f,
    0xb0001fff,0x41ffffff,0xb83ffffa,0xfb01ffff,0x003fffff,0x3fffff60,
    0x3ffff60f,0xb98801ff,0xffffffff,0x7cc001be,0x3ffffffd,0xbf300000,
    0x07ffffff,0x220fa800,0xfffffffe,0x3a02f881,0x01ffffff,0xfffffb00,
    0x7f64c05f,0x27d47fff,0x3f7e6000,0x003fffff,0x7ffffcc0,0x3fea002f,
    0x00fe4fff,0xffffff98,0x30007a82,0x05ffffff,0x3ffffe60,0x0007a82f,
    0x5ffffff3,0x3fffe600,0x007a82ff,0xffffff30,0xdf980005,0x03ffffff,
    0x3ffffa00,0x3ffffa06,0xf90000ff,0xd85fffff,0xffe86fff,0x3fffa03f,
    0x90000fff,0x45ffffff,0x2ffffffc,0x7fffcc00,0xb0000fff,0x3fffffad,
    0xdb000007,0x1ffffffa,0x981f5000,0xffffffff,0xfb017c40,0x005fffff,
    0x3fffffa0,0x3e62000f,0x00027d47,0x7ffff5b6,0x7cc0007f,0x002fffff,
    0xabfffff4,0x3fe6000f,0x7e82ffff,0xffff3000,0x3e6005ff,0xe82fffff,
    0xfff30007,0x26005fff,0x82ffffff,0xff30007e,0x0005ffff,0xffffd6d8,
    0x7f4000ff,0x3fe06fff,0x000fffff,0xffffff90,0x1bfff907,0x803fffb3,
    0x0fffffff,0xffff9000,0x7ffd47ff,0xf8003fff,0x005fffff,0x3fee7f10,
    0x0002ffff,0xffb9fc40,0x0002ffff,0x3fea03ea,0x446fffff,0x3ffea02f,
    0xf0003fff,0x00dfffff,0x09f51fe0,0xfb9fc400,0x002fffff,0x3ffffe60,
    0x7fdc002f,0x005dbfff,0x7fffffcc,0x8003fd42,0x2ffffff9,0xfffff300,
    0x007fa85f,0xffffff30,0x3ffe6005,0x3fd42fff,0xffff9800,0x220002ff,
    0xfffff73f,0x3fa0005f,0xff306fff,0x000fffff,0x7fffffe4,0xffffb105,
    0xf98019df,0x007fffff,0x3fffff20,0x3fffa25f,0xff8005ff,0x0005ffff,
    0x3ffe21f9,0x00006fff,0xfff887e4,0x20006fff,0xfff900fa,0x7c49ffff,
    0x7ffff402,0xff88004f,0x0002ffff,0x004fa8ff,0x7fc43f20,0x0006ffff,
    0x3fffffe6,0x7ffc4002,0x4001feff,0x2ffffff9,0x4001ffee,0x2ffffff9,
    0xfffff300,0x03ffdc5f,0xfffff980,0xfff3002f,0x7fdc5fff,0xfff30007,
    0x40005fff,0xffff10fc,0x3a000dff,0xf506ffff,0x00ffffff,0x7ffffdc0,
    0x337d705f,0xfffa8003,0x20007fff,0x5ffffffb,0x7fffffcc,0x7fffc001,
    0xf88004ff,0x7ffffe44,0xf100001f,0xfffffc89,0x1f50001f,0x7ffffec0,
    0x805f12ff,0x0ffffffa,0x7fffdc00,0x1fe0005f,0x220009f5,0x7fffe44f,
    0xf30001ff,0x005fffff,0xdfffff90,0xffff3000,0xffffddff,0x3fe6000f,
    0x3002ffff,0xddffffff,0x000fffff,0x3fffffe6,0xffff3002,0xffffddff,
    0x3fe6000f,0x0002ffff,0xfffc89f1,0xe8001fff,0xf106ffff,0x00ffffff,
    0x7ffffdc0,0x00ff444f,0x3fffe200,0x2e0007ff,0x84ffffff,0x04fffffb,
    0x7fffffc0,0x40fb8004,0x5ffffff9,0x81f70000,0x5ffffff9,0x401f5000,
    0xffffffe8,0xd802f89f,0x003fffff,0x0ffffff4,0xfa8ff000,0x81f70004,
    0x5ffffff9,0xffff3000,0xf30005ff,0x0007ffff,0xdffffff3,0x00ffffff,
    0x3ffffe60,0xfff3002f,0xffffdfff,0x3e6000ff,0x002fffff,0xdffffff3,
    0x00ffffff,0x3ffffe60,0x1f70002f,0xffffff98,0xfffe8005,0x3fffe06f,
    0x90000fff,0x87ffffff,0x80000ffe,0x0fffffff,0xffff9000,0x3ffa07ff,
    0x3e000fff,0x004fffff,0xfffb05f8,0x00001fff,0x3fff60bf,0xa8000fff,
    0x7ffc400f,0x2f8effff,0xfffff980,0x3ffea006,0x7c0004ff,0x80027d47,
    0xffffb05f,0xf30001ff,0x005fffff,0x03ffff60,0x3fffe600,0xfff932ff,
    0x3ffe6000,0xf3002fff,0x265fffff,0x30007ffc,0x05ffffff,0x3ffffe60,
    0x0fff932f,0x3fffe600,0xbf0002ff,0x3fffff60,0x7ff4000f,0x3ffa06ff,
    0x0001ffff,0x5ffffff9,0x4d6fffcc,0x3a001999,0x01ffffff,0xfffff900,
    0x3ffa205f,0xff000dff,0x8009ffff,0xfff501fa,0x80009fff,0xfff501fa,
    0x50009fff,0xfff5001f,0x05fdffff,0x3ffffa20,0xffffd002,0x8ff00007,
    0xfa8004fa,0xfffff501,0xff30009f,0x0005ffff,0x0017ffea,0x7fffffcc,
    0x8003fe42,0x2ffffff9,0xfffff300,0x007fc85f,0xffffff30,0x3ffe6005,
    0x3fe42fff,0xffff9800,0xfa8002ff,0xfffff501,0xffe8009f,0x3ff606ff,
    0x0002ffff,0x1ffffffb,0x7fffffe4,0xcfffffff,0xfffffb01,0x3f60005f,
    0x400fffff,0x00effffb,0x4ffffff8,0x3a037400,0x00ffffff,0xfd01ba00,
    0x001fffff,0xf7000fa8,0x5fffffff,0x7fff4400,0x7ffec02f,0xff00002f,
    0xe8004fa8,0x7ffff406,0x7cc000ff,0x002fffff,0x000bffa0,0x7fffffcc,
    0x30007e82,0x05ffffff,0x3ffffe60,0x0007e82f,0x5ffffff3,0x3fffe600,
    0x007e82ff,0xffffff30,0x80dd0005,0x0ffffffe,0x3ffffa00,0x3fffea06,
    0xff0003ff,0xfb8dffff,0xffffffff,0x83ffffff,0x3ffffffa,0xfffff000,
    0x3fa600df,0x260acfff,0xcfffffca,0x2b3e6001,0xfdaaaaaa,0x003fffff,
    0x55559f30,0xffffb555,0xfa8007ff,0x3fff6000,0x8002ffff,0x21cffffc,
    0x1efffea8,0x51fe0000,0xcf98009f,0xdaaaaaaa,0x03ffffff,0x7ffffcc0,
    0x3ee0002f,0x3fe60007,0x7c82ffff,0xffff3000,0x3e6005ff,0xc82fffff,
    0xfff30007,0x26005fff,0x82ffffff,0xff30007c,0x8005ffff,0xaaaaacf9,
    0xfffffdaa,0x3ffa003f,0x7ff406ff,0x88004fff,0x41ffffff,0xfffffff8,
    0xffffffff,0xffffe82f,0xff88004f,0x4001ffff,0xfffffedb,0x1cffffff,
    0xffffb000,0xffffffff,0x000dffff,0x3ffffff6,0xffffffff,0x7d4006ff,
    0x7fff4000,0x20002fff,0xffffffda,0x0001cfff,0x27d47f80,0x3ffff600,
    0xffffffff,0x4006ffff,0x2ffffff9,0x013e2000,0xfffff980,0x2407982f,
    0xffffff98,0xffff3002,0x80f305ff,0xfffff304,0x3fe6005f,0x7982ffff,
    0xfff98240,0x6c002fff,0xffffffff,0xffffffff,0x3fffa006,0x7ffd406f,
    0xfa8007ff,0xd305ffff,0xffffffff,0x0bffffff,0x0ffffff5,0xfffff500,
    0xca88000b,0x009aabcf,0x4cdfc400,0xc9999999,0x02ffffff,0x4ccdfc40,
    0xfc999999,0x002fffff,0xf10003ea,0x005fffff,0xfffff300,0x000001ff,
    0x013ea3fc,0x9999bf88,0xffc99999,0x2002ffff,0x2ffffff9,0x003e2000,
    0xfffff980,0x2540d02f,0xffffff98,0xffff3002,0xa81a05ff,0xfffff304,
    0x3fe6005f,0x0d02ffff,0xfff98254,0x22002fff,0x999999bf,0xffffc999,
    0xffd002ff,0xffb00dff,0xd8005fff,0x101fffff,0xdddddff9,0xfffffffd,
    0x3fffff60,0x7ffec002,0xb00001ff,0x9000005f,0x7ffc400f,0x64006fff,
    0x3ffe2007,0x2a006fff,0xff98000f,0x00002fff,0x7ffffff7,0x3fc00000,
    0x7c8013ea,0x3fffe200,0x3e6006ff,0x002fffff,0x300016e0,0x05ffffff,
    0xf303e802,0x005fffff,0x3fffffe6,0x81f40102,0x2ffffff9,0xfffff300,
    0x3e80205f,0xffffff30,0x003e4005,0xdffffff1,0x3ffffa00,0xffff9806,
    0x3fe6006f,0xff704fff,0x3ffaa00d,0xfffff305,0x7ffcc00d,0x700004ff,
    0x0000bfff,0x360027cc,0x01ffffff,0xd8009f30,0x01ffffff,0x20001f50,
    0x002ffffb,0x3ffffa00,0x000000ff,0x004fa8ff,0xfd8009f3,0x001fffff,
    0x5ffffff3,0x7c0dfb80,0x7fcc0002,0x4002ffff,0xfff302fa,0x26005fff,
    0x02ffffff,0xf9817d40,0x002fffff,0x5ffffff3,0x302fa800,0x05ffffff,
    0xb0013e60,0x03ffffff,0x0dffffd0,0x3ffffe60,0xffffb002,0x07ffe209,
    0x203ffa80,0x02fffff9,0x09ffffb0,0x7fecc000,0xfb00000f,0xfff98003,
    0xfb005fff,0xfff98003,0xf7005fff,0x7fe40003,0x2600002f,0x0effffff,
    0x47f80000,0x3fb004fa,0xffff9800,0xff3005ff,0x5405ffff,0x01aa4fff,
    0x3fffe600,0x3e6002ff,0xffff301f,0x3e6005ff,0x002fffff,0x7cc07fe6,
    0x002fffff,0x5ffffff3,0x80ffcc00,0x2ffffff9,0x8003fb00,0x5ffffff9,
    0x6ffffe80,0x3fffe600,0x7ffec02f,0x3ffe604f,0x03fee002,0x5fffff30,
    0x4ffffd80,0xff980000,0xf980001f,0xfffd0007,0xf9803fff,0xfffd0007,
    0xfd003fff,0xffe80009,0x7cc00002,0x02efffff,0x2a3fc000,0x07f9804f,
    0xfffffd00,0xfff5003f,0x7ec05fff,0x000ba6ff,0x3ffffea0,0xfff3002f,
    0x3fffea01,0xff5002ff,0x2005ffff,0xf500fff9,0x005fffff,0x3fffffea,
    0x1fff3002,0x3ffffea0,0x07f9802f,0xfffffd00,0xfffe803f,0x7e44006f,
    0x2e61bfff,0x801efffe,0xb800fffe,0xf91001ef,0x5cc37fff,0x001efffe,
    0x0fff9000,0x03ffa000,0x3ffff200,0x7ff406ff,0xfffc8000,0x7e406fff,
    0x10000bff,0x000005ff,0xffffffd1,0x0015579d,0x09f51fe0,0x0001ffd0,
    0xdffffff9,0xfffff700,0x7ffdc07f,0x00006daf,0xbffffff7,0x7fffd980,
    0x3ffffee0,0xfff7003f,0xd980bfff,0x3ee07fff,0x003fffff,0xbffffff7,
    0x7fffd980,0x3ffffee0,0x0ffe803f,0xffffc800,0x7ffc06ff,0x930007ff,
    0xfffffffd,0x44007bff,0xaccdfffc,0x00dffdcb,0xfffec980,0x3dffffff,
    0xca880000,0x40001fff,0x004fffea,0x7fffff44,0x7f540cff,0x744004ff,
    0xcfffffff,0x3ffffaa0,0x8001efff,0x000002f9,0x3fffff26,0x0002efff,
    0x204fa8ff,0x004fffea,0x7fffff44,0xff300cff,0x03ffffff,0x3bffffe2,
    0xff980001,0xceffffff,0xfffeeccc,0xfff306ff,0x803fffff,0xfffffff9,
    0xeeccccef,0x306fffff,0xffffffff,0xffff9803,0xccceffff,0xfffffeec,
    0xfffff306,0x3aa03fff,0x44004fff,0xfffffffe,0xffffb80c,0x4c0002ff,
    0x0aabccaa,0x372e2000,0x09acdeee,0x95530000,0x00015579,0x5e6f5c00,
    0x7fe40000,0x02efffff,0x3fffffb2,0x93ffffff,0xdfffffff,0x7fff6405,
    0xffffffff,0x50000003,0x20000003,0x0009aaa9,0x27d47f80,0xffffffc8,
    0x3fb202ef,0xffffffff,0xfffd13ff,0xffffffff,0xeeb881df,0x3a20000c,
    0xffffffff,0xffffffff,0x25ffffff,0xffffffe8,0x0effffff,0xffffffd1,
    0xffffffff,0xffffffff,0x7ffff44b,0xffffffff,0xffffd10e,0xffffffff,
    0xffffffff,0x7ff44bff,0xffffffff,0xfff90eff,0x405dffff,0xffffffec,
    0xf13fffff,0xffffffff,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00800000,0x3ae00020,0x00002eee,0x017bbbb2,0x66666440,0xcccccccc,
    0x4000001c,0x03700bb9,0x2aaaaa00,0xccc88002,0x0003cccc,0x0ae202ea,
    0x99999500,0x05500399,0xb880b980,0x86a00002,0xccccccca,0x99999912,
    0x57999999,0x20003555,0xccccccc9,0x999001cc,0x00999999,0x0000b980,
    0x71017500,0x9db70003,0xccc87701,0xcccccccc,0x999302cc,0x39999999,
    0x2aaaa000,0x9999502a,0x20000999,0xeeeeeeea,0x003eeeee,0x7fff6dc4,
    0x05a80acd,0x7ffffc40,0x3a200006,0x0001ffff,0xfffffb73,0x0135bfff,
    0x3f620000,0x3e62dfff,0xfff30002,0xd70005ff,0x00dfffff,0x987fffa0,
    0x32005fff,0x1abeffff,0x07fffe20,0x987fff60,0x80006fff,0x3aea61f8,
    0x2ea3ffff,0xfffffffd,0xffffffff,0x71000bef,0xfffffffb,0xfd75001f,
    0x00059fff,0x001ffff4,0x83fffa00,0x1005fffa,0x5bfffffd,0xda989f31,
    0xffffffff,0xf75101bd,0x17bfffff,0xffff5000,0x3ff6603f,0x0000ffff,
    0xffffffb8,0x04ffffff,0xfffffb30,0x9ffffbdf,0xd800bd33,0x03ffffff,
    0x3ffa2000,0xfd80004f,0x004fffff,0xfffb0000,0xffbfffff,0x7fcc0003,
    0xf10005ff,0x000dffff,0x6c9ffff3,0x9001ffff,0x2001ffff,0x404ffffc,
    0x325ffff8,0x0001ffff,0xfff3035c,0x3fff607f,0x7e4c47ff,0x002fffff,
    0x7fffffe4,0x3f6000ef,0x7cc0000f,0x00006fff,0xd8ffffea,0xc800ffff,
    0xffffffff,0x3f202fff,0x005fffff,0x00f7ffdc,0x3ffff200,0xffffd801,
    0xfb80000f,0xffffffff,0xfc804fff,0x880cffff,0x05fffffb,0x3ffffe60,
    0x400007ff,0x0006fff8,0xffffffa8,0x98000002,0xffffffff,0x80006fff,
    0x000ffff9,0x0dfffff0,0xbffff500,0x00ffffec,0x007fffc8,0x01bffffa,
    0x6cbffff3,0x0002ffff,0x3ffe01f4,0xffff703f,0x7ffcc0ff,0x64002fff,
    0x5fffffff,0x0013ea00,0x3ffffee0,0xff500000,0x7fff49ff,0x7ffc401f,
    0xffffffff,0x7fffcc06,0x7e4003ff,0xff00005f,0x3f2003ff,0x0000ffff,
    0xaaaaaa88,0x01aaaaaa,0x3bffffa2,0xfffc8800,0x3bffa005,0x003ffe98,
    0x0fffcc00,0x3ffea000,0x00001fff,0xfc9bfa80,0x01ffffff,0x5fff3000,
    0x3fffa000,0xffd0006f,0x37ffd43f,0x0dfff900,0x1ffffdc0,0x317fff40,
    0x8000ffff,0x7ffc00f9,0xffff703f,0xfffb80ff,0x2a000fff,0xffffffff,
    0x009f3003,0xdffff300,0xfff80000,0x1bffea1f,0x7e4cbe60,0x401fffff,
    0x3ffffff9,0x00ffea00,0x17ffd400,0xfffff900,0x00000001,0xfffff880,
    0x7fec000e,0x89ff5005,0x0000ffe8,0x0027fcc0,0x3ffffea0,0x8000001f,
    0xeffca85b,0x7d400001,0xffd0005f,0x22000dff,0x0bc981cb,0x1bfff200,
    0x0dffd880,0x981cb880,0x640000bc,0x3ffff805,0xffffff50,0xffffff00,
    0x7ffd4009,0x01ffffff,0x00003f88,0x0003dff9,0x981cb880,0x059800bd,
    0x10019b73,0x05ffffff,0x0007fea0,0x002ffc80,0x07ffffe4,0x00000000,
    0x03fffffa,0x402ff400,0x3f603ff8,0xf9800004,0x7fd40006,0x0001ffff,
    0x00000000,0x00ffa800,0x6ffffe80,0x00000000,0x0037ffe4,0x00000044,
    0x017c4000,0xa81ffffc,0x807fffff,0x06fffffe,0x3ffebea0,0x400fffff,
    0x200002f8,0x00000018,0x00000000,0xffffff10,0x01df9005,0x02ff8000,
    0xfffffc80,0x66440000,0xcccccccc,0x7ec0cccc,0x0003ffff,0x3aa017e2,
    0x0005c801,0x80003100,0x1ffffffa,0x00000000,0x95000000,0xfffd0001,
    0x000000df,0x6fffc800,0x00000000,0x01ee0000,0xa81ffffc,0x807fffff,
    0x07fffffd,0x3fee3ea0,0x406fffff,0x000002f8,0x00000000,0x10000000,
    0x05ffffff,0x00027ec4,0x80016440,0x00fffffc,0xffda9800,0xbdffffff,
    0x7ffffd41,0x2f40000f,0x00000000,0x2a000000,0x01ffffff,0x26000000,
    0x13000004,0xfe800620,0x00006fff,0xf9000126,0x33220dff,0xcccccccc,
    0x9910cccc,0x99999999,0x10019999,0x2009d553,0xf503ffff,0xb00fffff,
    0x00ffffff,0xfffc87d4,0x2204ffff,0xccc9802f,0xcccccccc,0xcccccccc,
    0x333220cc,0xcccccccc,0xcccccccc,0x66443ccc,0xcccccccc,0xf100cccc,
    0x205fffff,0x00003fe9,0x0018804c,0x01fffff9,0xfffc8000,0x3fa05fff,
    0x0005ffff,0x999915a8,0x99999999,0x99999999,0xccc88799,0xcccccccc,
    0xcccccccc,0x7d403ccc,0x001fffff,0x3f600000,0x3a200000,0x77fdc3ff,
    0xffffe801,0x3f600006,0x3ff20000,0x3f6a606f,0xdfffffff,0x7fed4c1b,
    0xbdffffff,0x7fff5c01,0xff801eff,0xfff503ff,0xffd00fff,0x5400dfff,
    0x3ffff60f,0x5f103fff,0xfffff700,0xffffffff,0xbfffffff,0xffffb730,
    0xffffffff,0xdfffffff,0xffffb530,0x037bffff,0x7fffffc4,0x001ffa82,
    0x0fffa200,0xc803dff7,0x640fffff,0x5fffffff,0x7ffffd40,0xffff302f,
    0x200007ff,0x3fff6e61,0xffffffff,0xffffffff,0xfffdb986,0xffffffff,
    0xffffffff,0x7fffd406,0x000001ff,0x007ff300,0x7fffe400,0x09ffff10,
    0x0dffffd0,0x0ffe6000,0x6fffc800,0xfffff900,0x3ff200bf,0x9005ffff,
    0xfff719ff,0xffff807f,0xfffff503,0xffff880f,0x3ea004ff,0x3ffffa20,
    0x2f881fff,0xcffffc80,0x3fffee01,0x7e400fff,0x4c2fffff,0x6ffffb99,
    0x7ffffe40,0xfff1005f,0xefb85fff,0x7e400000,0xfff10fff,0xfffc809f,
    0xffe880ff,0xffa800cf,0xf902ffff,0x003fffff,0xfffc8000,0x4ccc2fff,
    0x406ffffb,0x2ffffffc,0x7ffdcccc,0x7ffd406f,0x00001fff,0x0dff9000,
    0x7fff4000,0xdffff31f,0xdffffd00,0x3ff20000,0x3ff20006,0xfff5006f,
    0x2a005fff,0x02ffffff,0x7fc6ffe8,0x3fe01fff,0xfff503ff,0xffa80fff,
    0x2000ffff,0x7ffcc0fa,0x440fffff,0x4ffc802f,0xfffff880,0xffa803ff,
    0x4402ffff,0x7d406ffd,0x002fffff,0x5ffffff1,0x00027fec,0x8fffff40,
    0x406ffff9,0x00fffffc,0x4c005ff9,0x02ffffff,0x1fffffff,0xfa800000,
    0x402fffff,0x5406ffd8,0x02ffffff,0x2037fec4,0x1ffffffa,0x88000000,
    0x0002ffff,0xe8dfff70,0xfe803fff,0x80006fff,0x002ffff8,0x00dfff90,
    0x3fffffea,0xffff5002,0xffb805ff,0x3fffea2f,0x3fffe04f,0xfffff503,
    0x7fffd40f,0x7d4002ff,0xfffffa80,0x017c46ff,0xfd8027ec,0x006fffff,
    0x5ffffff3,0x501bf200,0x05ffffff,0x3ffffe20,0xffffe8af,0x7dc00003,
    0x7fff46ff,0x7fffe403,0x01fe880f,0x7ffffcc0,0xfffff02f,0x000000ff,
    0x5ffffff3,0x301bf200,0x05ffffff,0xf501bf20,0x003fffff,0xff700000,
    0x40000bff,0x764c1ceb,0xffffd003,0xff70000d,0x32000bff,0xf3006fff,
    0x005fffff,0x3fffffe6,0x3fffe202,0x3fffff61,0x0ffffe05,0x3fffffd4,
    0x3ffff262,0xfa8001df,0xfffff900,0x017c49ff,0xffa80374,0x001fffff,
    0x5ffffff3,0x26037400,0x02ffffff,0xffffff10,0xfffffffb,0xeb800003,
    0x01f64c1c,0x07ffffe4,0x4c000fec,0x82ffffff,0x7ffffff8,0xf9800000,
    0x002fffff,0xfff301ba,0x74005fff,0x7fffd406,0x000001ff,0xffffff80,
    0x00000001,0xdffffd00,0xffff0000,0xf90003ff,0x3e600dff,0x002fffff,
    0x5ffffff3,0x87fffe40,0x3fffdaf8,0x40ffffe0,0xfffffffa,0xffffffff,
    0x3ea0001d,0x3ffff600,0x05f12fff,0x3fa005f0,0x004fffff,0x3fffffe6,
    0x80d70102,0x2ffffff9,0xfffff100,0xffffffff,0x000001ff,0x3ff20000,
    0x07ec0fff,0xffff9800,0xfff982ff,0x00007fff,0xfffff980,0x0d70102f,
    0xffffff98,0x80d70102,0x1ffffffa,0x54000000,0x04ffffff,0x00000000,
    0x00dffffd,0xfffffa80,0xffc8004f,0xfff3006f,0x26005fff,0x02ffffff,
    0x7b9ffffa,0xff805b71,0xfff503ff,0xfff75fff,0x0005ffff,0x3a200fa8,
    0x9fffffff,0x00f802f8,0xffffffc8,0x3fe6000f,0x0d02ffff,0xfff980d3,
    0xf1002fff,0xf3bfffff,0x0dffffff,0x00000000,0x83fffff2,0x260001fd,
    0x82ffffff,0xfffffff9,0x4c000000,0x02ffffff,0xf980d30d,0xd02fffff,
    0xffa80d30,0x0001ffff,0x7fff4000,0x4000ffff,0x7ffffffc,0x7ffffffc,
    0x3ffffa05,0x7ff40006,0x000fffff,0x8037ffe4,0x2ffffff9,0xfffff300,
    0x7fffc05f,0xf0009d0f,0x3ea07fff,0x3ea7ffff,0x00ffffff,0x1003ea00,
    0xdfffffff,0x007005f1,0xfffffff3,0xfff98005,0x07882fff,0xffff9807,
    0xff1002ff,0x3ea5ffff,0x04ffffff,0xfffffc80,0x7ffffc7f,0xfff905ff,
    0x17ff61ff,0xffff9800,0xfff882ff,0x0001ffff,0x7fffcc00,0x707882ff,
    0xfffff980,0x0707882f,0xffffffa8,0x20000001,0xfffffdf9,0xff98003f,
    0xffb87fff,0x3fa05fff,0x20006fff,0xfffffdf9,0x7fe4003f,0xfff3006f,
    0x26005fff,0x02ffffff,0x35fffff3,0xfff0003f,0x3ffea07f,0x7ffec7ff,
    0x20005fff,0xffa800fa,0x2fefffff,0xfffb0000,0x3000bfff,0x05ffffff,
    0x3e6000f5,0x002fffff,0x5ffffff1,0x7fffffdc,0xff98003f,0xffb87fff,
    0xff905fff,0xfffb1fff,0x3e60005f,0xf02fffff,0x07ffffff,0xff980000,
    0x7a82ffff,0xffff3000,0x00f505ff,0x3ffffea0,0x0170001f,0xfffd6d80,
    0x36000fff,0xf887ffff,0x3a05ffff,0x0006ffff,0x7ffff5b6,0x7fe4007f,
    0xfff3006f,0x26005fff,0x02ffffff,0x97fffff5,0x3ffe000d,0xffff503f,
    0xffff88ff,0x50003fff,0x3fee001f,0x02ffffff,0xffffa800,0x98000fff,
    0x82ffffff,0xff30007e,0x2005ffff,0x2ffffff8,0x7fffffec,0xffd8001f,
    0xfff887ff,0xfff905ff,0xfffffdff,0xff30001f,0x3a05ffff,0x04ffffff,
    0x7fcc0000,0x7e82ffff,0xffff3000,0x00fd05ff,0x3ffffea0,0x01f0001f,
    0xffb9fc40,0x8002ffff,0xf07ffffd,0x740bffff,0x0006ffff,0x3ffee7f1,
    0x32002fff,0xf3006fff,0x005fffff,0x3fffffe6,0xfffff302,0x3e0007f9,
    0xff503fff,0xff50ffff,0x001fffff,0x6c001f50,0x2fffffff,0x7ffc4000,
    0x0003ffff,0x5ffffff3,0x30007fa8,0x05ffffff,0x3ffffe20,0x7fff442f,
    0x4000ffff,0xf07ffffd,0x320bffff,0xfcffffff,0x8005ffff,0x2ffffff9,
    0xffffff70,0x9800000b,0x42ffffff,0xf30007fa,0xa85fffff,0xff50007f,
    0x0003ffff,0x0fc800f5,0xdffffff1,0xffff9000,0x3ffffe0f,0x3ffffa05,
    0x21f90006,0x6ffffff8,0x1bfff200,0x7ffffcc0,0xfff3002f,0x3e205fff,
    0x00ffffff,0x07ffff00,0x1fffffea,0x7fffffe4,0x00fa8006,0x7fffff40,
    0x7e40002f,0x006fffff,0x3ffffe60,0x01ffee2f,0x7ffffcc0,0xfff1002f,
    0xff305fff,0x00dfffff,0x07ffffc8,0x20bfffff,0xd1fffffc,0x007fffff,
    0xffffff98,0xfffff102,0x800000df,0x2ffffff9,0x4001ffee,0x2ffffff9,
    0x4001ffee,0x1ffffffa,0x2006d800,0x7ffe44f8,0x64001fff,0xff07ffff,
    0x7f40bfff,0x88006fff,0x7fffe44f,0xff9001ff,0x3fe600df,0x3002ffff,
    0x05ffffff,0x2ffffff4,0x7ffff000,0x3ffffea0,0x3ffffa07,0x7d4004ff,
    0x7ffc4000,0x20002fff,0xfffffff9,0x3fe60001,0xffeeffff,0xf30007ff,
    0x005fffff,0x3fffffe2,0xfffff502,0x7e4009ff,0xfff07fff,0x3ff20bff,
    0xfff10fff,0x4c001fff,0x02ffffff,0x3ffffff2,0x26000001,0xeeffffff,
    0x0007ffff,0xdffffff3,0x00fffffd,0x3ffffea0,0x2fcc001f,0xf981f700,
    0x005fffff,0x83ffffe4,0x205fffff,0x006ffffe,0x7fcc0fb8,0x9005ffff,
    0x2600dfff,0x02ffffff,0xffffff30,0x7fffec05,0x3fe0005f,0xfff503ff,
    0x7fcc0fff,0x001fffff,0x260003ea,0x002fffff,0x3fffffa0,0x7cc0004f,
    0xffefffff,0x30007fff,0x05ffffff,0x3ffffe20,0x3fff202f,0x9003ffff,
    0x3e0fffff,0xf905ffff,0x7dc1ffff,0x2006ffff,0x2ffffff9,0x3ffffa20,
    0x0e40005f,0xffffff98,0x07fffffe,0xfffff300,0xffffffdf,0x3ffea000,
    0x22001fff,0x17e005fe,0x7fffffec,0x3fff2000,0xfffff07f,0x7ffff40b,
    0xb05f8006,0x01ffffff,0x00dfff90,0x3fffffe6,0xffff3002,0x7fd405ff,
    0x3203ffff,0x07ffff01,0x1fffffea,0xffffff70,0x03ea001d,0x7fffdc00,
    0xfff70002,0x0001ffff,0xffffff98,0x00fff932,0x3ffffe60,0xfff3002f,
    0xfd805fff,0x02ffffff,0x07ffffc8,0x20bfffff,0x40fffffc,0x03fffffd,
    0xffffff30,0xffff9805,0xf70001ff,0x3fffe603,0xfff932ff,0x3ffe6000,
    0xff932fff,0x3fea000f,0x1002ffff,0x2a009ffd,0xffff501f,0x7e4009ff,
    0xfff07fff,0x7ff40bff,0x7d4006ff,0xfffff501,0xfff9009f,0x3ffe600d,
    0xf3002fff,0x805fffff,0xbffffffc,0xff813620,0xfff703ff,0xfd801fff,
    0x005fffff,0x640003f7,0x88002fff,0x2fffffff,0xfff98000,0x3fe42fff,
    0xffff9800,0xff3002ff,0x8807ffff,0xffffffff,0x7fffe401,0xbfffff07,
    0x3fffff20,0x7ffffc40,0xfff9801f,0xfa802fff,0x001fffff,0xf9813f22,
    0x642fffff,0xff30007f,0xfc85ffff,0xfff70007,0xd3009fff,0x3a007fff,
    0x7ffff406,0xff9000ff,0x3ffe0fff,0x3ffe05ff,0x374007ff,0x3fffffa0,
    0x7ffe400f,0xffff3006,0x3e6005ff,0x802fffff,0xfffffffe,0x7fc05fed,
    0xfff903ff,0xf8803fff,0x03ffffff,0x40004fe8,0xd8002ffe,0x05ffffff,
    0xffff3000,0x00fd05ff,0x3ffffe60,0xfff5002f,0xf9009fff,0x3fffffff,
    0x3ffffe40,0x05fffff8,0x03fffff9,0x1dfffff9,0xfffff980,0xffd3002f,
    0xa8807fff,0x7fcc02fe,0x7e82ffff,0xffff3000,0x00fd05ff,0xffffff30,
    0x99999bff,0x5ffffffd,0x5559f300,0xfffb5555,0x32007fff,0xff07ffff,
    0x3ee0bfff,0x002fffff,0x555559f3,0xfffffb55,0xfffc807f,0xffff3006,
    0x3e6005ff,0x802fffff,0xfffffff8,0x7fc00eff,0xfff983ff,0xa805ffff,
    0xbfffffff,0x17fff900,0x0bfe2000,0xfffff500,0x068003ff,0x5ffffff3,
    0x26000f90,0x02ffffff,0xfffffe88,0x7fe401ff,0xbfffffff,0x7ffffc80,
    0x0bfffff0,0x9fffffd3,0xffffff30,0x7ffcc01b,0x22002fff,0xcffffffd,
    0xdffecaab,0xffff9800,0x007c82ff,0xffffff30,0x2200f905,0xfffffffe,
    0xffffffff,0xffffffff,0xffffd801,0xffffffff,0x9006ffff,0x3e0fffff,
    0x7c45ffff,0xffffffff,0x7ffec00f,0xffffffff,0x406fffff,0x3006fffc,
    0x05ffffff,0x3ffffe60,0xfef8802f,0x00bdffff,0xd13ffff8,0xffffffff,
    0x6c0bffff,0xffffffff,0xfffffd51,0x30003dff,0x7fc4005f,0x004fffff,
    0xfff9834c,0x07982fff,0xffff9824,0x3fba02ff,0xffffffff,0x7ffd44ff,
    0xffffffff,0x7ffe44ff,0xfffff07f,0xfffffb8b,0xff30ffff,0x5fffffff,
    0x3ffffe60,0xeb88002f,0xffffffff,0x3e6003de,0x982fffff,0xff982407,
    0x7982ffff,0x00000240,0x337f1000,0x93333333,0x05ffffff,0x0fffff90,
    0x017ffffe,0x4dfc4000,0x99999999,0x2ffffffc,0x01bfff20,0x7fffffcc,
    0xffff3002,0x4f7005ff,0x7c000ab9,0x00003fff,0x00000000,0x64003500,
    0x06ffffff,0xff305c80,0x1a05ffff,0xfff304a8,0x00005fff,0x32000000,
    0xff07ffff,0x0000bfff,0xfff98000,0x40002fff,0x09bfda98,0xffff3000,
    0xa81a05ff,0xfffff304,0x4a81a05f,0x1bdea800,0x00f90000,0x7fffffc4,
    0xffffc806,0xbfffff07,0x005ef5c0,0x7c400f90,0x206fffff,0x3006fffc,
    0x05ffffff,0x3ffffe60,0x004e802f,0x07ffff00,0x05676c00,0xd3000000,
    0x4000037b,0xfffffff9,0x827c4002,0x2ffffff9,0x981f4010,0x02ffffff,
    0x2fba2000,0x3f200001,0xfff07fff,0xec800bff,0x4c0000ad,0x02ffffff,
    0x03dd1000,0xffff9800,0x740102ff,0xfffff303,0x3e80205f,0xffffb800,
    0x27cc0000,0x3ffff600,0x7fdc01ff,0xfff987ff,0x3ff205ff,0x09f3007f,
    0xfffffd80,0xdfff901f,0x3fffe600,0xff3002ff,0x9805ffff,0xff00001f,
    0x7c0007ff,0x00004fff,0x3fffea00,0xffd00001,0x000bffff,0x3fe607fb,
    0x4002ffff,0xfff302fa,0x00005fff,0x017fffcc,0xffffb800,0xfffff987,
    0x7fff4005,0x7fd40005,0x0002ffff,0x007fff90,0x7ffffcc0,0x17d4002f,
    0xffffff98,0x017d4002,0x1fffdc40,0x007f6000,0xffffff30,0xffffa80b,
    0x3fffe21f,0x3ee205ff,0x1fd802ff,0x7fffcc00,0xfff905ff,0x3ffe600d,
    0xf3002fff,0x805fffff,0x3e00006c,0x20003fff,0x0007ffd9,0x3fea2000,
    0xfb80004f,0x00ffffff,0x9817fdc0,0x02ffffff,0x4c07fe60,0x02ffffff,
    0x7ff54000,0xff500005,0x7fc43fff,0x4005ffff,0x000fffc9,0x3ffffee0,
    0xd500003f,0x4c000dff,0x02ffffff,0x4c07fe60,0x02ffffff,0x0007fe60,
    0x0004ffd8,0x74001fe6,0x01ffffff,0x37ffffe2,0xffffeea9,0x4ffe806f,
    0x8003fcc0,0x1ffffffe,0x006fffc8,0x5ffffff5,0x3fffea00,0x01fc02ff,
    0x7ffff000,0xfff98000,0x40000001,0x40006ffc,0xfffffff8,0x3ffa6003,
    0xffff501f,0x3e6005ff,0xfff500ff,0x00005fff,0x000fff70,0x3ffffe20,
    0xfffeea9d,0xf88006ff,0xf30002ff,0x3fffffff,0x3fee0000,0x3fea0007,
    0x3002ffff,0x3ea01fff,0x002fffff,0x0001fff3,0x000bffe2,0x8000ffe8,
    0x6ffffffc,0x7ffffd40,0xffff8dff,0x3fe601ff,0x07ff402f,0x7fffe400,
    0xfffc86ff,0xfffb800f,0xf7003fff,0x407fffff,0x300000fa,0x0007ffff,
    0x0007ffc8,0x4fff8000,0x7ffec000,0x32006fff,0x700fffff,0x0bffffff,
    0x07fffd98,0x3fffffee,0xfe800003,0x2a00005f,0xdfffffff,0x1ffffff8,
    0x07ffd400,0xffffd100,0xffffffff,0x7ec0001d,0x3ee0005f,0x405fffff,
    0x207fffd9,0x5ffffffb,0x3fffecc0,0x7ff5cc00,0xffd50005,0xfe88009f,
    0x0cffffff,0x3ffffee0,0x3fffffe4,0x7ff5d44f,0x3fffaa04,0x7ff44004,
    0x20cfffff,0x9adffffc,0xfffff980,0x7cc01fff,0x1fffffff,0x88000bb0,
    0x3ffffea9,0xffca8800,0x0000001f,0x00dffb73,0xfffffa80,0xcccccdff,
    0xffffeccc,0xfff307ff,0x99dfffff,0xffffdd99,0x3ffe60df,0x001fffff,
    0xeffdb980,0x7dc00000,0x3fe4ffff,0x404fffff,0x02fffca8,0x00000000,
    0x03bff262,0x7fffcc00,0xccceffff,0xfffffeec,0xfffff306,0x9999dfff,
    0xdfffffdd,0xccee8800,0xfff90001,0x405dffff,0xffffffec,0x403fffff,
    0x220001b9,0x3201bcee,0xefffffff,0x3fffb202,0xffffffff,0x99999953,
    0x3fffa239,0xffffffff,0xfffd10ef,0xffffffff,0x000e41df,0x333332a0,
    0xeb8002cc,0x00000acd,0x0737b600,0x3fffa000,0xffffffff,0xffffffff,
    0x3a27ffff,0xffffffff,0xffffffff,0x25ffffff,0xffffffe8,0x0effffff,
    0x59bd9000,0xb9800000,0x75400001,0x00000bcd,0x76400000,0xe88002cd,
    0xffffffff,0xffffffff,0x25ffffff,0xffffffe8,0xffffffff,0xffffffff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0x001b880b,0x3bbba600,0xeeeeeeee,0x26000003,0x000002dc,0x3bbbbbb2,
    0x01eeeeee,0x00000000,0xddd50000,0xdddddddd,0xd700005d,0xdddddddd,
    0x74003ddd,0xeeeeeeee,0x20006eee,0x00000009,0x00033000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40008000,0x00002004,0x00001310,
    0x3fffa000,0x017ffe60,0x7fffd400,0xffffffff,0xfb000004,0x0003ffbf,
    0xfffffb00,0x3fffffff,0x00000000,0x004fe980,0x3fffffee,0x03ffffff,
    0xffffc800,0xffffffff,0x3fffe002,0xffffffff,0x19f50007,0x00000000,
    0x2605ffa8,0x740002fc,0x5f93005f,0x0ffdc000,0x16ff5cc0,0x017fa000,
    0x0077f6a0,0x16fed400,0x3b2a0000,0x1bceffff,0x6cc03f90,0x0003dffe,
    0x8801ffcc,0x0000befc,0x6c9ffff5,0x0000ffff,0xffffffa8,0x04ffffff,
    0x23f98000,0x800005e8,0xfffffffd,0x001fffff,0x40000000,0x7002fffe,
    0xffffffff,0x0007ffff,0xffffff90,0x05ffffff,0x7fffffc0,0x07ffffff,
    0xffffb710,0x00005bff,0xfffd0000,0x7fff5447,0x3ff20002,0x3ffaa200,
    0xff10002f,0xffff7009,0x320009ff,0x7f4000ff,0x0003febd,0x2ff5f7e4,
    0x3fee2000,0xffebceff,0x0fee0dff,0xff76ffb8,0x3fa0001b,0x3fff6006,
    0xff50004f,0x7fff49ff,0xa880001f,0xaaaaaaaa,0x00001aaa,0x00fa86c8,
    0x55554000,0xaaaaaaaa,0x0000000a,0x7fff4000,0x55553005,0x55555555,
    0x55300003,0x55555555,0x66400155,0xcccccccc,0xfea804cc,0xffccfabe,
    0x88000cff,0xabceecb9,0x9fffec01,0x2ffffce9,0x07ff3000,0x7fffe74c,
    0x1dfb0002,0xfcabe980,0x4c000fff,0x7cc003ff,0x10003e42,0x000fb87f,
    0x1dffff50,0x9ffff730,0x7fdc09f7,0x01bffe2f,0x4003ff20,0x07fffff8,
    0x87fffe00,0x0006fffa,0x00000000,0x17c42740,0x00000000,0x00000000,
    0x027ffd40,0x00000000,0x00000000,0x97fee000,0x3fff23f9,0x3ffea002,
    0xfffdbcef,0xffd880cf,0x02fffc82,0x400bfd00,0x8002fffc,0x0c802ffb,
    0x000fffe4,0x320017fa,0x0002f986,0x03f881f7,0xdffffc80,0x7fffcc00,
    0x3ffe205f,0x0ffff60f,0x003ff980,0x3fffffea,0x39710001,0x00017930,
    0x00000000,0x3e40fb80,0x00000000,0x00000000,0x001ff700,0x00000000,
    0x26000000,0xf3003100,0x21fcc1ff,0xd8802ffc,0xa880dfff,0x20bdffff,
    0xfff903fc,0x1ff90005,0x17ffe400,0x013fe200,0x006ffb80,0x40007fe4,
    0x003f886d,0x013e0f90,0x1fffff90,0x3ffff200,0xffff900e,0x00ffffc8,
    0xa800dfd0,0x00ffffff,0x00000000,0xeecba980,0x00009acd,0x715bf100,
    0x3320009f,0xcccccccc,0x6440cccc,0xcccccccc,0x33333320,0xcccccccc,
    0x66666440,0xdedccccc,0x04980000,0x66664400,0xcccccccc,0xcccccccc,
    0x7f4403cc,0x0f7fdc3f,0xf98fffd0,0x5c02fd83,0x9806ffff,0xefffffff,
    0x3fff203d,0x1ffcc002,0x0bfff200,0x001dfb00,0x00077f40,0x20007ff3,
    0x007dc1f9,0x7d42f880,0x3ffea001,0x3e2004ff,0xfd04ffff,0xfffc8fff,
    0x0ffc801f,0x7fffcc00,0x0000007f,0x7fdc0000,0xffdbcfff,0x00000dff,
    0x0cfffea8,0xffb75000,0x59ffffff,0x3ffb2a03,0x6dd41bef,0xffffffff,
    0xfd9501ac,0x00337dff,0x001fb000,0xfffdb980,0xffffffff,0xffffffff,
    0x7fffe406,0x09ffff10,0x987fffe2,0x202fa83f,0x00effffc,0x1fffff50,
    0x0bfff200,0x000bfd00,0x4005fff9,0x88002ffa,0x002fffeb,0xd00017fa,
    0x009fb59f,0xfcacfd80,0x3ffe2005,0x74001fff,0xf82fffff,0x7fe47fff,
    0x7fcc02ff,0xffff0003,0x999950df,0x99999999,0xccccb805,0x6c402ccc,
    0xa881efff,0x0003ffff,0x0001fd00,0x7ffffec0,0x3fa2003f,0xfffd801f,
    0x22003fff,0x00001ffe,0x000ffe60,0xfffffc80,0x7dcccc2f,0x7f406fff,
    0xfff31fff,0x3ffe60df,0x740fe65f,0xfffff302,0xffff8007,0xfff9005f,
    0x07fe4005,0x17ffe400,0x004ff880,0xfffffb30,0x01ff9007,0xeffc8800,
    0x5c40000b,0x2000bfff,0x06fffffd,0x7ffffec0,0x3ffe20ff,0x7fffe47f,
    0x0037f403,0x09ffffd0,0xfffffd93,0x80159fff,0xcffffec9,0x3fffee01,
    0x7ffcc00e,0x200001ef,0x00003ff9,0x3fffffee,0x027e4001,0xffffffb8,
    0x027e4001,0x3ff20000,0x3ea00006,0x402fffff,0x5c06ffd8,0x7ff46fff,
    0xffff303f,0x540fe6bf,0xfffffd01,0xfffb8001,0xffc802ff,0x7ff3002f,
    0x3fff2000,0x01ffb002,0xfffd8800,0x01ffcc06,0x00006000,0x7c4000c0,
    0x003fffff,0x3fffeff2,0x7fffc4ff,0x17fffe47,0x0001ff90,0x017fffe4,
    0xfffffff1,0x3ffe000d,0x7fffe400,0xfff7001f,0x200001ff,0x00006ffc,
    0x3fffffee,0x01fdc000,0xffffffb8,0x01fd4000,0xfff10000,0x2600005f,
    0x02ffffff,0xd700df90,0x03ec9839,0x3fffffe2,0x64003fbe,0x006fffff,
    0xffffff98,0x17ffe400,0x0006fe80,0x200bfff2,0x00002ffa,0xe803fffa,
    0x2200006f,0x0000abb9,0x7fdc0000,0x7002ffff,0x3ffffa9f,0x7fffec6f,
    0x03ffff60,0x0001ffcc,0x003fffea,0xfffffff3,0x03ff0003,0x3fffff98,
    0x7ffff400,0xff880005,0x700002ff,0x01ffffff,0x7002f980,0x01ffffff,
    0x0002f980,0x3fffee00,0xff300005,0x4005ffff,0x0000006e,0x3ffffff6,
    0x3e6003ff,0x003fffff,0xbffffff0,0x02fffc80,0x0000ffc8,0x100bfff2,
    0x800009ff,0x3f207ffb,0x6c40000f,0xdfffffff,0x3ffff200,0x7fffc7ff,
    0xffe85fff,0xa802ffff,0x3ffff65f,0x3ffee0ff,0x1bfff60f,0x80006fe8,
    0xb007fff8,0x09ffffff,0xe804fa80,0x000fffff,0x17ffffdc,0x3ffee000,
    0xf700005f,0x001fffff,0xf7002f98,0x001fffff,0x00002f98,0x3fffffe0,
    0xff980001,0x0102ffff,0x000000d7,0x7fffffcc,0xf7001eff,0x005fffff,
    0x3fffffa0,0x17ffe407,0x000ffe60,0x805fff90,0x10000ffd,0x209ff101,
    0x40003ff9,0xfa89bffb,0x2600efff,0xb87fffff,0xf85fffff,0x01ffffff,
    0x3ff237cc,0x7f41ffff,0x3fffa1ff,0x003ff901,0x017ffa00,0x7fffffc4,
    0x01ba000f,0x1bfffff2,0x3fffe600,0x3e0000ff,0x001fffff,0xfffffb80,
    0x17cc000f,0xfffffb80,0x17cc000f,0xffa80000,0x0004ffff,0xffffff98,
    0xc8d30d02,0x47ffffff,0x5fffffff,0xffffff50,0xfb009fff,0x003fffff,
    0x3fffff60,0x3fff600f,0x0037f402,0x017ffec0,0x20005ff5,0x37d43ffa,
    0x8000dfd0,0xffa85ffc,0x7fec05ff,0xfff887ff,0x7ffc45ff,0x2200ffff,
    0x7ffe40ef,0x7fcc3fff,0x07fff14f,0x0000ffe6,0x2003ffd8,0x5ffffffb,
    0x9805f700,0x03ffffff,0xffffff00,0x3fea000b,0x0004ffff,0xffffffb8,
    0x017cc000,0xffffffb8,0x017cc000,0xfffe8000,0x0000ffff,0x7fffffcc,
    0x30707882,0x70ffffff,0x40bfffff,0xfffffff9,0x3fa01eff,0x000fffff,
    0xffffff90,0xfffd3305,0x1ff9013b,0x7f4cc000,0x7c409dff,0x3ee0005f,
    0x0dfbcfff,0x0001ff90,0x207fffc4,0x01fffff9,0x41fffff6,0x4c5fffff,
    0x0fffffff,0xf901fd10,0x109fffff,0x3dfd7ffb,0x00037f40,0x0007fee0,
    0x3fffffff,0xb805f880,0x02ffffff,0xfffffd00,0x3ffa000f,0x000fffff,
    0x7ffffdc0,0x17cc000f,0xfffffb80,0x17cc000f,0x6fcc0000,0x03ffffff,
    0x7fffcc00,0x007a82ff,0x43ffffec,0x05fffff8,0x7fffff4c,0xf882ffff,
    0x00ffffff,0xfffff900,0xcccc887f,0x7cc3cccc,0x43c9803f,0xccccccc8,
    0x807fec3c,0x36a02bc9,0x2601bcee,0x3c9803ff,0x44ffffb8,0x03fffff8,
    0x41fffff2,0x4c5fffff,0x07ffffff,0x7fdc07f6,0x2605ffff,0x7dc01aca,
    0x2f2a201f,0x03fcc009,0x7ffffdc0,0x007e405f,0x7fffffec,0xfffb0001,
    0x98001fff,0xffffffdf,0x7fdc0003,0x4000ffff,0xff7002f9,0x8001ffff,
    0x800002f9,0xfffffd6d,0xff98000f,0x7e82ffff,0x7fffec00,0xbfffff07,
    0x3fffee00,0x4c2fffff,0x07ffffff,0x3fffee00,0xe80005ff,0x6fe8806f,
    0x17fd4000,0x77ffffdc,0xdfd00000,0x70dfd100,0xf88bffff,0x3203ffff,
    0xff07ffff,0xff88bfff,0xf907ffff,0x7fffe405,0x300004ff,0x7fe407ff,
    0x2202ffdc,0xffd0006f,0x2605ffff,0xfffd004f,0x20001fff,0x2ffffffc,
    0xffeb6c00,0x40007fff,0x0ffffffb,0x8017cc00,0x0ffffffb,0x0017cc00,
    0x7dcfe200,0x002fffff,0x3ffffe60,0x003fd42f,0x41fffff2,0x005fffff,
    0x3fffffa6,0x3fea0fff,0x0007ffff,0x3fffffee,0x7fe40005,0x06ffe801,
    0x217fe200,0xfffffffa,0xffc80003,0x86ffe801,0x442ffff8,0x203fffff,
    0xf07ffffc,0xfd0bffff,0xb81fffff,0x7ffe403f,0x00003fff,0x3fa20dfd,
    0x09fff15f,0xfa8002fc,0xd06fffff,0x7fffc00d,0x90000fff,0x07ffffff,
    0xffb9fc40,0x0002ffff,0x3fffffee,0x017cc000,0xffffffb8,0x017cc000,
    0x443f2000,0x06ffffff,0x3fffe600,0x1ffee2ff,0xfffff900,0x17ffffe0,
    0xfffff300,0x7fc4bfff,0x0007ffff,0x3fffffee,0x3fe60004,0x6fffd803,
    0x03ff6000,0xffb317d1,0x4c0001ff,0xffd803ff,0x302ea06f,0x07fffffd,
    0x83ffffe4,0xd85fffff,0x21ffffff,0xffd804fa,0x0002ffff,0xfb01ffb8,
    0x7ffec5ff,0x40009b02,0x2ffffffd,0xf98017dc,0x007fffff,0x3fffff20,
    0x43f2005f,0x6ffffff8,0x3ffee000,0x4c000fff,0xfff7002f,0x98001fff,
    0x2200002f,0x7fffe44f,0xf30001ff,0xfddfffff,0xc800ffff,0xff07ffff,
    0x9800bfff,0xffffffdf,0x3ffffe0f,0xf90000ff,0x007fffff,0x64037f40,
    0x0006ffff,0x05305ff5,0x0001ffff,0x7e4037f4,0x26006fff,0xfffffdfe,
    0x3ffff203,0xbfffff07,0xffffff70,0x6c017e65,0x00ffffff,0x81ffcc00,
    0x321ffff9,0x07907fff,0x7fffcc00,0x017e26ff,0xffffffa8,0x3fee0007,
    0x1005ffff,0xffffc89f,0xf70001ff,0x001fffff,0xf7002f98,0x001fffff,
    0x00002f98,0xfff303ee,0x2000bfff,0xeffffff9,0x007fffff,0x83ffffe4,
    0x005fffff,0x7ffcdfcc,0x3ffa1fff,0x0001ffff,0x5ffffff9,0x07ff2000,
    0xdffd3f50,0x0bff1000,0x006ffc80,0x5007ff20,0x00dffd3f,0xff17ffb3,
    0x7e407fff,0xfff07fff,0xfff50bff,0x1df17fff,0x3ffffe00,0xfe80005f,
    0x3ffff206,0x07fffee0,0x7fec0000,0x1f93ffff,0x7fffc400,0x2e0007ff,
    0x04ffffff,0xff981f70,0x0005ffff,0x1ffffff7,0x002f9800,0x1ffffff7,
    0x002f9800,0x7ec17e00,0x000fffff,0xffffff98,0x00fff932,0x07ffffc8,
    0x50bfffff,0xff99fcc0,0x3ff62fff,0x0002ffff,0x1ffffffb,0x07ff3000,
    0xdffd2f98,0x01ffb000,0x003ffe80,0x9807ff30,0x80dffd2f,0xff12fffc,
    0x7e407fff,0xfff07fff,0x3ffa0bff,0x00fecfff,0xffffff10,0xffb80005,
    0x3ffff601,0x0ffffee0,0x7fc40000,0x4fafffff,0xfffff800,0xf90000ff,
    0x007fffff,0x7ffec17e,0xb8000fff,0x00ffffff,0xb8017cc0,0x00ffffff,
    0x00017cc0,0xff501fa8,0x0009ffff,0x5ffffff3,0x64007fc8,0xff07ffff,
    0x03d0bfff,0xfffc8fe6,0x3fffea1f,0xff0003ff,0x000dffff,0x9f101bfa,
    0x20037ff4,0x44002ffa,0x3a0006ff,0xd27c406f,0x3fa20dff,0x3ffe21ff,
    0x3ff203ff,0xffff07ff,0x3ffe60bf,0x2001ffff,0x06fffffb,0x01ffcc00,
    0xa83ffffa,0x0004ffff,0x3ffff200,0x8000ffff,0x1ffffffe,0xffff9000,
    0x3f5005ff,0x3ffffea0,0xffb8004f,0x4000ffff,0xff7002fa,0x8001ffff,
    0xd00002fa,0xffffe80d,0x7cc000ff,0xe82fffff,0x7ffe4007,0xfffff07f,
    0x3e609d0b,0x03fffea3,0x09fffffd,0xfffff100,0xff90003f,0x3a2f4403,
    0x3e2006ff,0xefc8005f,0x3ff90000,0x3fa2f440,0xdfffd06f,0x3fffff88,
    0x1fffff20,0x02fffffc,0x07fffff7,0xfffffe80,0x37f40001,0x07ffff40,
    0xb87ffff5,0x440002ee,0x2fffffff,0xffffb000,0x360005ff,0x00ffffff,
    0x7ff406e8,0x4000ffff,0x0ffffffb,0x8017d400,0x0ffffffb,0x0017d400,
    0x55567cc0,0xfffdaaaa,0x4c003fff,0x82ffffff,0x7fe4007c,0xffff07ff,
    0x260fd0bf,0x1bffe63f,0x1fffffea,0x3fffea00,0xff98005f,0x555fec03,
    0x00aeffea,0x4000ffd8,0x30000efa,0xbfd807ff,0xaeffeaaa,0x0fffff20,
    0x07fffff1,0x83ffffe4,0x405fffff,0x005ffffe,0x0fffffe6,0x03ff7000,
    0x41ffffb0,0x322ffffb,0x0003ffff,0x7fffffdc,0xfff50001,0x20007fff,
    0x06ffffff,0xaaaacf98,0xffffdaaa,0x7d4003ff,0x000fffff,0xfa800fd4,
    0x000fffff,0x40000fd4,0xfffffffd,0xffffffff,0x7fcc006f,0x7982ffff,
    0x3fff2240,0xfffff07f,0xf309fd0b,0x80fffe47,0x02fffffd,0x7ffffec0,
    0x06fe8001,0xffffffe8,0x5402ffff,0x7c4002ff,0xfd00140e,0xffffd00d,
    0x45ffffff,0x4c5ffffe,0x203fffff,0x987ffffb,0x405fffff,0x02fffff8,
    0x09ffffd0,0x03ff9800,0x43ffff70,0x3e0ffffb,0x0006ffff,0x7fffffd4,
    0x3ffa0001,0x88004fff,0x01ffffff,0xffffffd8,0xffffffff,0x7d4006ff,
    0x001fffff,0xfa8007dc,0x001fffff,0x200007dc,0x99999bf8,0xfffc9999,
    0x26002fff,0x02ffffff,0x3f22540d,0xfff07fff,0x9ffd0bff,0xffd13f98,
    0x7fffcc09,0x3fe6006f,0xc8004fff,0xeec801ff,0xeffffeee,0x017fe201,
    0x5c41dd10,0x03ff9007,0xfddddd90,0x7fc3dfff,0xfc9bffff,0x204fffff,
    0x21fffffa,0x5ffffff8,0x7ffffd40,0x7ffec01f,0xfe80003f,0x3ffa2006,
    0x93fff22f,0x0ffffff9,0x3ffea000,0x20001fff,0x07fffffa,0xfffffa80,
    0x99bf8805,0xc9999999,0x02ffffff,0x3ffffe60,0x03ec001f,0xffffff30,
    0x007d8003,0x22007c80,0x06ffffff,0x3ffffe60,0x1f40102f,0x21ffffee,
    0x85fffff9,0x99befffe,0x03fffbbf,0x2fffff98,0x9ffffb00,0x07ff3000,
    0x06ffe800,0x2000ffd8,0xffffffe8,0x3ff9805f,0x37ff4000,0x7fffffec,
    0xfffffbff,0xfff885be,0xfeea9dff,0x2606ffff,0xffffb8df,0x3ffaa0ad,
    0xb80000ef,0x7d4001ff,0x3fffa3ff,0x2fffff40,0x3ffea000,0x40001fff,
    0x02fffffd,0x7ffffec0,0x2007c801,0x6ffffff8,0x7ffffc00,0x037c002f,
    0x3fffffe0,0x0037c002,0xb0013e60,0x03ffffff,0x3ffffe60,0x17d4002f,
    0x87ffffea,0x5ffffff8,0xffffeb98,0x01dfffff,0x3ffffe60,0x7fffe402,
    0x0dfd0004,0x0dffd000,0x4002ffa8,0xfffffffe,0x06fe803f,0x86ffe800,
    0xeffffffa,0xdfffff70,0x3fffea01,0xfff8dfff,0xef881fff,0x7ffff540,
    0x01cfffff,0x07ff3000,0x23ffea00,0xfa81effa,0x40001eff,0x1ffffffa,
    0x7ffcc000,0x3e6006ff,0x9804ffff,0x7fec004f,0x2001ffff,0x04fffffc,
    0x9000ff20,0x009fffff,0x20001fe4,0x7cc001fd,0x005fffff,0x5ffffff3,
    0x20ffcc00,0x9dfffff8,0xfffffeea,0x6d54c406,0x220000df,0x21bffffc,
    0x1efffea8,0x03ff7000,0x0dffd000,0x2002ffc4,0xfffffffd,0x7fdc01ff,
    0xffe80001,0x7bffd706,0x0dfffd88,0x7ffffdc0,0x3fffffe4,0x20076c4f,
    0x01abcba9,0x06fe8000,0x7ff6c400,0x002a803e,0xfffff500,0xf300003f,
    0x2005ffff,0x004ffffd,0xf98003fb,0x005fffff,0x3fffffe6,0x006fb802,
    0xffffff98,0x006fb802,0x8003fcc0,0x1ffffffe,0xfffffa80,0xfff3002f,
    0xfffff501,0xffff1bff,0x7cc003ff,0xd9300003,0xffffffff,0x980007bf,
    0x00000009,0x00004cc4,0x00998000,0x00800000,0x37300030,0x00188000,
    0x4c000000,0x02000009,0xa8000000,0x01ffffff,0xffff3000,0xfffd805f,
    0x0ff3004f,0x3ffffa00,0x3ee001ff,0x102fffff,0x20001df7,0x2ffffffb,
    0x001df710,0x000ffe80,0xffffffc8,0xffffb806,0x7ecc05ff,0x3fee07ff,
    0x3ffe4fff,0x3004ffff,0x3000005d,0x15579955,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,
    0x0001ffff,0x3ffff220,0x3ffae61b,0x3fa001ef,0xffc8000f,0x4006ffff,
    0xfffffffb,0x0effecbd,0x7ffdc000,0xecbdffff,0x20000eff,0x004fffea,
    0x7fffff44,0xff300cff,0x9dffffff,0xfffdd999,0x37300dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffdc0,0x9800002f,0xffffffec,0x2003dfff,
    0x004fffea,0x7fffff44,0x22000cff,0xfffffffd,0x00002eff,0x3fffff62,
    0x002effff,0x7ffffe40,0x3b202eff,0xffffffff,0xffd13fff,0xffffffff,
    0xffffffff,0x000bffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff30,
    0x000001df,0x55e6554c,0x7fe4000a,0x02efffff,0x3fffffb2,0x03ffffff,
    0xbcccaa80,0x4000001a,0x1abcccaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3b200000,0xffffffff,0x003eefff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0x01d9007f,0x00000800,0x04409880,0x7d400880,0xed805fff,0x0026c400,
    0x00de8000,0x3a001ecc,0x9800ffff,0x01eb804f,0x00020020,0x20000000,
    0x000abb98,0x55555300,0x2aaa8001,0x2006aaa6,0x01aaaaa8,0xd0001100,
    0x04d9801d,0x3a000133,0x026cc00e,0x00000000,0x10000040,0x001fffff,
    0x55554c00,0x5553000a,0xe8000155,0x09fb104f,0xffedb880,0x0000bdef,
    0xf70ffe20,0x403f9803,0x01fffffe,0xf980ffcc,0xffda801f,0x3ea001de,
    0x01ff700e,0x7ffffdc0,0x40bfb004,0x6e4405fd,0x542defff,0x99930003,
    0xc9879999,0x36200cff,0xdfffffff,0x7ff40000,0x7cc004ff,0x3fff64ff,
    0xffffc800,0x3b26000e,0x3001dfff,0x3fea03ff,0x000bfb01,0x7d407fe6,
    0x7fdc001f,0xcc8bfd00,0xcccccccc,0xdfffeb81,0x7fe40002,0x00004fff,
    0x017ffff6,0x09ffffd0,0x45ff9800,0x3000ffe9,0xdbdffff9,0x003bffff,
    0xa81ff500,0x3ff300ef,0x7ffffdc0,0x2ffd805f,0x2202ffdc,0xffebcffd,
    0x07ffa004,0x44007ff9,0x1fffffff,0x20dff980,0x2a01ffe8,0xedbbcfff,
    0x003eacef,0xffffd730,0xfffff8df,0x137ff706,0x01dffff5,0x3fffe600,
    0x6ffb8005,0x400bffe2,0x000effff,0x3f66ffea,0xffb003ff,0x204ffb85,
    0xb0000ffb,0x4ffb85ff,0x107fd800,0xfda989ff,0x22ffffff,0xfffefff9,
    0xf88001ef,0x00ffffff,0xffff8800,0xffe88005,0xfd80007f,0x3fffa8ef,
    0x17dff700,0x027fed40,0x221bf600,0xfdcdffff,0x3fe207ff,0x01fffeff,
    0xfc9fffc4,0x3fa200ff,0x02fff44f,0xd8afffa8,0x7e4006ff,0x05fffeff,
    0xf31dff90,0x7fe409ff,0xffff700d,0xff880009,0x3fea6fff,0x7e43ffff,
    0xffffa85f,0xfff70005,0x3ffa000b,0x4017fea1,0x000efff9,0xff99bfea,
    0xff9802ff,0x01fffb3f,0x80017fc4,0xffb3fff9,0xbff0001f,0xc80bfe60,
    0x52ffffff,0xfffb83df,0x7fec001f,0x004fffef,0x05fffb80,0x3fffa200,
    0x7fcc0002,0x806fffff,0x4001efd8,0x0001efe9,0x3fea07ff,0x2fffffff,
    0x6c7bff20,0xffc806ff,0x404fffff,0x7dc1fffd,0xffd004ff,0x005fffff,
    0xfaa7ffcc,0xff8801ff,0x00ffffff,0x8803fff5,0x80004ffe,0x2e6ffffe,
    0x25ffffff,0x4c0ffff8,0x001fffff,0x0005ffe8,0xffd87ff3,0x1dff9000,
    0x27ffc400,0x00fffff1,0x3ffffff6,0x05fe803f,0x3ffff600,0x88003fff,
    0x1ff703ff,0x7ffffd40,0x2e05f9af,0x3001ffff,0x3fee7fff,0x7ec0000f,
    0x440000ef,0x80004ffe,0x2ffffffd,0x006ff440,0x001ff900,0x3201ffa8,
    0x4fffffff,0x903bfe20,0xff8805ff,0x200fffff,0xf986fffa,0xf9800fff,
    0x006fffff,0x3e617fec,0xfff9005f,0x3e207fff,0xff3006ff,0xffb00009,
    0x7ffc4dff,0x3fee7fff,0x7ffc44ff,0x7cc003ff,0x3ee0005f,0x2002ff86,
    0x6c000ffe,0x3fe25fff,0xf9800fff,0x006fffff,0x44000ff7,0x06ffffff,
    0x205ff500,0x7fcc07fd,0x06eaffff,0x006ffff8,0xffa85ffd,0x3fe20005,
    0xd100000e,0xf30000ff,0xb00dffff,0x09a9809f,0x006fa84c,0x7d4037e4,
    0x6c02ffff,0x01bee04f,0x0ffffff2,0x10dfffd0,0x2009ffff,0x01fffffd,
    0x4407bea0,0xff8801fe,0x3ea06fff,0x3ee004ff,0xffd80004,0x7ffdc6ff,
    0x3ffee6ff,0x7fffc45f,0x77dc003f,0x03fa0000,0x7cc009f5,0x7fc4001f,
    0x7fff46ff,0x3fff2007,0xff3002ff,0x7fe40005,0x70002fff,0x17fa01ff,
    0xffffff30,0xff9001fd,0xefa807ff,0x003fd300,0x0003bee0,0x005ff100,
    0x3dddd900,0xd505fb80,0x7bdd9bff,0x0027e45d,0x544009ff,0x803c8800,
    0x76c401ea,0x7fcc05ee,0xffff05ff,0x3bba600f,0x065c004e,0x5c013620,
    0x3202eeee,0x74007fff,0xffd80004,0xc89886ff,0x3fffe25f,0x7ffffc42,
    0x0065c003,0x95059100,0x001ca800,0x47ffffa8,0x2004fffb,0x005eeee8,
    0x100027f4,0x000bdddd,0xff883fec,0x7fffcc04,0xf5003fff,0x5c01ffff,
    0x026c400c,0x0000ca80,0x00059300,0x1ff10000,0x40effd88,0x7f42ffc9,
    0x01ff9801,0x00000000,0x7fdc0000,0xffff05ff,0x0000003f,0x00000000,
    0x05ffffd8,0x20001320,0x406ffffd,0x40ba84fe,0x3fffffe9,0x00000000,
    0x40000000,0x40fffffb,0x000001b8,0x0007fc80,0x3fe00000,0x805ff305,
    0x7ffffff9,0x3fffea00,0x0000003f,0x00000000,0x5d440000,0x0fee04c1,
    0xfb01bffa,0xc804f985,0x5d44007f,0x0dd44001,0x5cc40026,0x7ffec01a,
    0xfffff05f,0x2ee62007,0x4c40000a,0x510001ab,0xfffc8037,0x59800dff,
    0xd82ae600,0x2206ffff,0xfe9800ff,0x03fffffd,0x40d5cc40,0xba8800e8,
    0x37510001,0x3ff20098,0x00001fff,0x3fe60000,0x2ea20001,0x26666001,
    0x9999cff9,0x019affb9,0x7ffffff3,0x7fffcc00,0x0000006f,0x00000000,
    0xffb10000,0x85f9bfff,0x7ffe40fe,0x7417cc01,0x027f400f,0xffffffb8,
    0x7ffec403,0x402fcdff,0xffffffeb,0xbfffff02,0x17ffffe0,0xfffffd88,
    0x5c000dff,0x2ffffffe,0xfffff700,0x3ffea07f,0x0003ffff,0xffffec98,
    0x0dffffb4,0x36601fdc,0xffff8bff,0xffd7003f,0x3a27ffff,0x7fffe406,
    0xd8802cff,0xfcdfffff,0x3ffff202,0x3ff2002f,0x7fc7ffff,0x205fffff,
    0xfc8004ff,0x02cfffff,0x3fffffe2,0xffffffff,0xf307ffff,0x005fffff,
    0x7fffffcc,0xffffff90,0xffffff8f,0x7fffe45f,0x7fffc7ff,0x7fe45fff,
    0x7fc7ffff,0x405fffff,0xd98cffe8,0x13e63fff,0x200dfff3,0x202fb82c,
    0x6c402ff9,0x9ffb0cff,0x233ffa20,0x203fffd9,0xff98dffc,0x7ffcc4ff,
    0xffff05ff,0x2ffee0ff,0xeffffa89,0x1bff9000,0x409ffff3,0xfb0cffd8,
    0xffff109f,0x007fffff,0x3bfffe60,0xfffedfec,0x80bf306f,0xff12fffc,
    0xf9007fff,0x3ffa65ff,0xfb100ede,0x3ffe65df,0x9ffd100d,0x07fffb31,
    0x27ffffdc,0x3fffe600,0xffffb87f,0x01bf205f,0x32effd88,0xf101bfff,
    0xffffffff,0xffffffff,0x3ffe60ff,0x22002fff,0x23ffffff,0x87fffff9,
    0x85fffffb,0x87fffff9,0x85fffffb,0x87fffff9,0x05fffffb,0x7cc3ffe4,
    0xf90bee3f,0x980009ff,0x01fee04f,0xff31bffa,0x0fff907f,0x3f607ff3,
    0x7fffec6f,0x3ffffe62,0xffffff04,0xf50bff90,0xfb00bfff,0xffffd8df,
    0x98dffd02,0xffd83fff,0xefffffff,0x3ffe2002,0x7fffcc7f,0x04fa86ff,
    0x887fffa2,0x403fffff,0x7cc3fffe,0xfd101fff,0xfffb83ff,0x30fff906,
    0x7fdc07ff,0xd8005fff,0xf887ffff,0x2a05ffff,0xfe8801ff,0x7ffdc1ff,
    0xeaaaa886,0xbaaaaaff,0x302aadff,0x05ffffff,0x7ffffc40,0x7fffec4f,
    0xfffff887,0xfffffb05,0xbfffff10,0x1fffff60,0x17ffffe2,0x501ffff0,
    0x3a0fe49f,0x40003fff,0x17fa05f8,0xd07fff70,0xfff81fff,0xc84fa80f,
    0x7fdc3fff,0x3ffea5ff,0xffff04ff,0x7ffc41ff,0x7fffcc0f,0x3fff201f,
    0x2ffffdc3,0x741fffdc,0x7f440fff,0xffffffff,0xffd801ef,0xfffa82ff,
    0x00eec6ff,0xf11bfffa,0x5c07ffff,0xfe80ffff,0xfff905ff,0x13fffe0d,
    0x2a03fffe,0x3bbba24f,0xeeffffff,0x7fec01ee,0xffff07ff,0x03ff80bf,
    0xf06fffc8,0xff009fff,0x00bfe60b,0x3fffffe6,0x3ffe2002,0x7fec4fff,
    0xffff07ff,0x3fff60bf,0xfffff07f,0x3ffff60b,0xbfffff07,0x6ffffcc0,
    0x03f64d80,0x0005ffff,0x3fe20df0,0x3fffe202,0x24fffc81,0x80dffff9,
    0x7fffc44d,0x37fffc41,0x09fffff5,0x83fffffe,0x444ffffb,0x103fffff,
    0xf883ffff,0x7fc46fff,0xfffc81ff,0xffffe884,0x4fffffff,0x1ffffe60,
    0x46ffffe8,0xffffc800,0x7ffffc43,0xfffff103,0x07ffff60,0x20bffff3,
    0x260ffffe,0xd80dffff,0x3ffffe24,0xffffffff,0x7ffe401f,0xfffff07f,
    0x406fd80b,0xd05ffff9,0x4401ffff,0x1ff704ff,0xfffff300,0x7fc4005f,
    0x7e45ffff,0xfff07fff,0x3ff20bff,0xffff07ff,0x3fff20bf,0xfffff07f,
    0x7fffcc0b,0xfb24c1ef,0x03ffff88,0xf707e800,0x7ffe401f,0x7fffc80f,
    0x3bffffe6,0x3ff224c1,0xfffd80ff,0x3ffffee3,0xffffff04,0x2ffffdc3,
    0x0fffffe2,0x407fffe4,0x7e43fffd,0xffc80fff,0xfffd107f,0xffffffff,
    0x3fffee0b,0x3ffff606,0xfffe8006,0x7fffcc5f,0xffff703f,0xfffff30d,
    0x4ffffd8b,0x45ffffb0,0x1efffff9,0xffff124c,0xffffffff,0xffc803ff,
    0xffff07ff,0x0ffa80bf,0x13ffff60,0x017fffec,0x3f205ff5,0xffff3007,
    0x7c4005ff,0x646fffff,0xff07ffff,0x3f20bfff,0xfff07fff,0x3ff20bff,
    0xffff07ff,0xfffe80bf,0x3f203fff,0x01ffffc0,0xfd837c00,0x3ffff405,
    0x20ffffc8,0x3ffffffe,0x07ffffc0,0x3ea16dc4,0xff04ffff,0xff88ffff,
    0x7ffc42ff,0xffff03ff,0x05b7101f,0x320ffffd,0x2e00ffff,0xffffffff,
    0xffc85fff,0x3ff605ff,0xff8006ff,0xfc9bffff,0xb04fffff,0xf88dffff,
    0x7c7fffff,0xfb04ffff,0xffe89fff,0x4c03ffff,0xffffd999,0xc801999f,
    0xff07ffff,0xf880bfff,0x3fffe03f,0xffffb04f,0x807fdc09,0xff3005fe,
    0x4005ffff,0x5ffffff8,0x83ffffe4,0x905fffff,0x3e0fffff,0xf905ffff,
    0x3fe0ffff,0x7dc05fff,0x0dffffff,0x7ff41fb8,0x7c40004f,0x403ff885,
    0xcccfffff,0x1ffffecc,0x3fffffee,0xfff880df,0x7cc000ff,0xff04ffff,
    0x2ea0dfff,0x7ffff4c0,0xffff883f,0xfff8000f,0xecccccff,0x4401ffff,
    0xfffffffc,0x7ff42fff,0x3ff605ff,0xfd8006ff,0xbfffffff,0x5befffff,
    0x137ffffc,0xfffff9bd,0x3ffffe21,0xdffffb03,0xffffffb8,0xff5000df,
    0xc8001fff,0xff07ffff,0xfb00bfff,0x3fffe20b,0xffffb03f,0x883fec0d,
    0xff3003ff,0x4005ffff,0x4ffffff8,0x83ffffe4,0x905fffff,0x3e0fffff,
    0xf905ffff,0x3fe0ffff,0x7c405fff,0xefffffff,0x3f21fd41,0x4c0006ff,
    0x00ffa84f,0x3bffffe2,0xeeeeeeee,0x3fffe21e,0x4c1effff,0x002fffff,
    0x27ffffc4,0x05fffff8,0xfffbfd30,0xfff307ff,0xf88005ff,0xeeeeffff,
    0x01eeeeee,0xfffff910,0xfff8dfff,0x3ff604ff,0xfa8006ff,0x70efffff,
    0x41dfffff,0x25fffff8,0xffffb8ed,0xfffff51f,0x3ffff607,0x7ffffc47,
    0xf001efff,0x9000ffff,0x3e0fffff,0xb805ffff,0xfffa80ff,0xfffb03ff,
    0x7f7744ff,0xeeeeeeff,0x05eeeeff,0x5ffffff3,0x7fffc400,0x7ffe43ff,
    0xfffff07f,0x3ffff20b,0xbfffff07,0x1fffff20,0x02fffffc,0x7fffffd4,
    0x1be20fff,0x003ffff1,0x7ec0fec0,0x7fffd406,0xff50000f,0x1fffffff,
    0x1fffffd4,0x7ffffc00,0x9fffff05,0x8bffd980,0xa83fffff,0x003fffff,
    0x07ffffd4,0x6c401200,0x0fffffff,0x09fffff3,0x037fffec,0x3dffeb80,
    0x06fffec4,0x57ffffe6,0xffff70fc,0x3fffee5f,0xffffb03f,0xffffa83f,
    0x800fffff,0x8006fffd,0xf07ffffc,0x100bffff,0xfff705ff,0x3ff607ff,
    0xfff11fff,0xffffffff,0xffffffff,0x3ffffe60,0x3fe2002f,0x7e42ffff,
    0xfff07fff,0x3ff20bff,0xffff07ff,0x3fff20bf,0xfffff07f,0x3ffe600b,
    0x646fffff,0x2fffdc1f,0x1be21660,0x3ea01ffc,0x0002ffff,0x3fffffe6,
    0x3ffea6ff,0xfe8004ff,0xfff05fff,0x7fe407ff,0xfffff12f,0xfffff507,
    0xfffa8009,0x174002ff,0xfffff500,0x3fffe65f,0x3fff605f,0x0040006f,
    0xff8817ea,0x21fbdfff,0x50fffffb,0x207fffff,0x80fffffd,0xfffffff9,
    0xfffa806f,0xfffc8005,0xfffff07f,0x217fa00b,0x03fffffa,0x21fffffb,
    0xfffffff8,0xffffffff,0xff307fff,0x4005ffff,0x1ffffff8,0x83ffffe4,
    0x905fffff,0x3e0fffff,0xf905ffff,0x3fe0ffff,0x22005fff,0xfffffffd,
    0x3f217e60,0x05d505ff,0x3ff507f7,0xfffff980,0x7ec40003,0x10ffffff,
    0x00dfffff,0x0bffffb0,0x20bffffe,0x221fffe8,0x883fffff,0x006fffff,
    0x1fffffcc,0x50013a00,0x225fffff,0x205fffff,0x006ffffd,0x01ff6000,
    0x3ffffffe,0x3ffffdc2,0x07fffff3,0x81fffff6,0xffffffd8,0x7ffcc00f,
    0xfffc8003,0xfffff07f,0x21fee00b,0x03fffff9,0x20fffffb,0xbff00ffb,
    0x7fffcc00,0x3e2002ff,0xfc86ffff,0xfff07fff,0x3ff20bff,0xffff07ff,
    0x3fff20bf,0xfffff07f,0xffb8180b,0x7f43ffff,0xdfffe982,0xf980dfdc,
    0x806fc80e,0x06fffff8,0xfffb8180,0x3ffe3fff,0x54002fff,0xff05ffff,
    0xffd01fff,0xffff88df,0xfffff03f,0x7fc4005f,0x74006fff,0xfffc8007,
    0x3ffffe0f,0x3ffff606,0xf5000006,0xfffd009f,0xfff907ff,0xfffff8bf,
    0xdffffb03,0xffffb818,0x9aa883ff,0x34c02fff,0x41fffff2,0x005fffff,
    0xfff05ff3,0x3ff607ff,0x0ffb06ff,0x98013fe2,0x02ffffff,0x3ffffe20,
    0x7ffffc83,0x0bfffff0,0x41fffff2,0x905fffff,0x3e0fffff,0x3c05ffff,
    0x4fffff98,0xa9807fc4,0xd100abcc,0x013fe03f,0x17fffff4,0xf30782a0,
    0x7f49ffff,0x000effff,0xf837fffc,0xffc86fff,0x7ffc43ff,0xfffd03ff,
    0x74001dff,0x402fffff,0x8007fd0a,0x7f47fffa,0x3f607fff,0x00006fff,
    0x900dff90,0x320dffff,0x7f44ffff,0xffd04fff,0xf30789ff,0x6c49ffff,
    0x2fffffff,0xfc8bf510,0xfff07fff,0x7f400bff,0x4ffffe84,0x09ffffd0,
    0x7fd417fe,0x3ffe6002,0xffb82fff,0x1ffffe23,0x83ffffe4,0x905fffff,
    0x3e0fffff,0xf905ffff,0x3fe0ffff,0x17c05fff,0x82ffff98,0x40001efa,
    0xff303fe8,0x3ffee003,0x83e606ff,0xffff302f,0x7ffffd45,0xf907204f,
    0xfff10fff,0xffffd03f,0xfffff98b,0xfffff503,0xf70e409f,0x4c0dffff,
    0x003ffd0f,0x2a27ffcc,0xd01fffff,0x000fffff,0x03fffa00,0x0dffff10,
    0x30bffff6,0x3e09ffff,0x17c0ffff,0x22ffff98,0xffffeffb,0xffeeefff,
    0x7ffdc4ff,0xffff987f,0x1ff2005f,0x413fffe6,0x880fffff,0x1ff703ff,
    0x7fffcc00,0x7ffc42ff,0x7ffff11f,0x1ffffee0,0x17ffffe6,0x43ffffdc,
    0x05fffff9,0x30fffff7,0x80bfffff,0xfffd00ff,0x00ffee01,0x9027fd40,
    0x7fc400ff,0x4c0effff,0xe807fc3f,0x7ff40fff,0x220bffff,0x7fff886d,
    0xf05fff98,0x937fffff,0x09ffffff,0x7ffffff4,0xf11b620b,0x81dfffff,
    0x3bffa3f9,0x1dff7000,0x0dfffff0,0x0ffffff9,0x3ff60000,0x7fe400ef,
    0xdfffd07f,0x41bfff60,0xff84ffff,0x41fffd00,0x7fffe45f,0xffffffff,
    0x7ffffd41,0x3ffffe21,0x3fe6005f,0x06fffd81,0x2a09ffff,0x0ffb02ff,
    0xfffffa80,0x7fffd43f,0x01dfff33,0x87ffffea,0x5ffffff8,0x3fffff50,
    0x7fffffc4,0xfffff505,0x7ffffc43,0x077fc05f,0x2602fff4,0xb3002dff,
    0x4fe805ff,0x7fffd400,0x5fecdfff,0xfe80eff8,0xffff985f,0xffedffff,
    0x85fff301,0xfb01fffc,0x7fffffff,0xb7dfffff,0xffffff30,0x03ffdbff,
    0xfffffff5,0xfe8bfd9b,0x7cc01eff,0xfff501ff,0x3ff227ff,0x002fffff,
    0xffffa800,0xfffb009e,0xffffa85f,0x3ffff301,0x80efffb8,0xffe80eff,
    0xffb0fe25,0xffffffff,0xffff10bf,0xffdd53bf,0xf800dfff,0xffff984f,
    0x077ffdc1,0xff00ffb8,0xfffa800b,0x7fc43fff,0x1dff34ff,0x7ffffc40,
    0xfffeea9d,0xfff106ff,0xfdd53bff,0x220dffff,0xa9dfffff,0x6fffffee,
    0x4e7fff40,0x1006ffb8,0x3559fffb,0x3dffd953,0x002ff980,0xffffffa8,
    0xffd05fff,0xdff7139f,0x7ffffcc0,0x401fffff,0xff51eff9,0x7ffd401d,
    0xff70efff,0x2601dfff,0xffffffff,0x3fea01ff,0x5fffffff,0xcfffffe8,
    0x01effb81,0x7fffffd4,0xffffd9ff,0x00000eff,0x7fffffe4,0x3f67f22e,
    0xfffd12ff,0xeffe8803,0x40bfff31,0xb89cfffe,0x9aed86ff,0xfffeaffc,
    0x500fffff,0xbfffffff,0x3ffffff1,0x8837e400,0xff31effe,0x06fd80bf,
    0x44009ff1,0xfffffffe,0x477ffe41,0xfa800efd,0x8dffffff,0x01ffffff,
    0xfffffff5,0xffffff1b,0x3fffea03,0xfff8dfff,0x3ba01fff,0xdfffffec,
    0x7fe44000,0xcfffffff,0x00ff7001,0x7ffff4c0,0x33ba03ff,0x0dfffffe,
    0x7fffec40,0xb3000bef,0x01bfffff,0x87bffd70,0x00dfffd8,0x7ffffec4,
    0xfe9800be,0xd03fffff,0xfffb511b,0x007fffdd,0x7fffff54,0x57bfffb1,
    0x2a000001,0x50cfffff,0x7fffd43f,0x2000bdff,0xeffffffc,0x7f677404,
    0x980dffff,0x2e1ffffe,0x00dfffff,0x27ffffdc,0x9fffffff,0x807fea00,
    0xeffffffc,0x505ff804,0xee8805ff,0xffffffff,0xfe89efff,0x000dffff,
    0x93ffffee,0x4fffffff,0x9fffff70,0x7ffffffc,0xfffff704,0x7fffffc9,
    0x5441704f,0x980000ab,0x009abcba,0x0001e5c0,0x0055dcc4,0x0aba882e,
    0x055cc400,0x006ea000,0x00180040,0x000ab988,0x01577310,0x65d4405c,
    0x220001ac,0x005541ba,0x54400000,0x2ea60301,0x54c0000a,0x417000ab,
    0x9800aba8,0x3575101b,0x001b9800,0x00732000,0x8002aea6,0x199302cc,
    0x2a000000,0x4c0001bb,0x4c00001b,0x4c00001b,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaa800000,0x80002aaa,0x44001ba8,
    0x80011000,0x006ffff8,0x55555300,0xaaaa9801,0x8000000a,0x00000000,
    0x00400000,0x40022000,0x55500008,0x00000555,0x55554000,0x00355510,
    0x00dffff1,0xaaaaa980,0x2aaaaa00,0x00088002,0x00000011,0x80020000,
    0x01000800,0x00000000,0xb7000000,0x0005bdfd,0xfffff980,0x3fee0001,
    0x7003ffff,0x03f9803f,0x7ffffec0,0xffe80003,0xfe8804ff,0x00004fff,
    0x7fff6dc4,0x20000bde,0x012e00ce,0x7ff6cc00,0xc80002df,0x017d400f,
    0x7ffffcc0,0xf7100001,0x7c4001bf,0x3fff25ff,0xffffd801,0x3fe0002f,
    0x7cc04fff,0x4002ffff,0x27cc01fb,0xdca88000,0x54c001ee,0xeffffedb,
    0xf804b81c,0x7fee54c0,0x0001acdf,0xeecba980,0x40009acd,0x2a02efc8,
    0xfffffffe,0xf900000d,0x20005fff,0xfb0cffd8,0x3ff3009f,0x800bfa20,
    0xfffffff9,0x3fe60000,0x3a2004ff,0x00007fff,0xbdffff93,0x03bffffd,
    0x419fd100,0x40003fea,0xffeeffc8,0x540005ff,0x1ff300ef,0xffff9000,
    0x7f400005,0x5000ffff,0x7ff41fff,0xffff9803,0xf30006ff,0x26009fff,
    0x4005ffff,0xfd101ff9,0xfc980005,0x44000bef,0xbceffffd,0x9cfffedc,
    0xbef804fa,0xfdceffec,0x00dfffff,0xffffb800,0xffffdbcf,0xfff9000d,
    0xffff503f,0x0bffffff,0x3fffa000,0x3ffa0002,0x01fffcc6,0x6e6ffff4,
    0x2000ffff,0xfffefffe,0x3fee0003,0xfe88005f,0x5c0001ff,0x2a00beff,
    0x88004ffd,0x0cfdbffd,0x7ff44000,0x17fffea3,0xffff8800,0x06fffecd,
    0x05fffd00,0xff30d100,0x2009ffff,0x3fe62ffd,0xdfffd006,0x90007fff,
    0x98009fff,0xe8007fff,0xffdcdfff,0xd30000ff,0x20007fff,0x01dffffb,
    0x3fffffa6,0xeffff804,0xffff7302,0x3620005f,0xa881efff,0xf803ffff,
    0x7d45ffff,0xffffffff,0x40003fff,0x0002fff9,0x3a0fffee,0x7cc00fff,
    0xffffffff,0x3ffea003,0x001fff72,0x0017ffa0,0x004ffe88,0x003dfb10,
    0x001efe98,0x001fffd8,0xb0fff900,0x0001ffff,0x7fffffdc,0x98001fff,
    0xb0002fff,0xfffff50d,0x9ff100ff,0xb800ffc8,0xfff92fff,0x5fff8001,
    0x5fff5000,0xffff9800,0x003fffff,0x01dfff70,0xffffd100,0x7ffd4007,
    0x4fff804f,0xfffff500,0xfffb8009,0x7fcc00ef,0xff101eff,0x77c4bfff,
    0xfffeb89b,0x40006fff,0x20003ffc,0xc81ffff8,0xfb804fff,0x05ffffff,
    0x2a0fff40,0xf98004ff,0xf880005f,0xfe88007f,0x3f20000d,0xff91000f,
    0x30000bff,0xff70bfff,0xd80005ff,0x3fffffff,0x07ff9000,0x221bee00,
    0x0fffffff,0x3a077d40,0xeff8803f,0x001ffdc1,0x8000bff3,0xb8005ffa,
    0x5fffffff,0xdfffb000,0xfff30001,0xf30009ff,0xbff009ff,0xffffb800,
    0xfff9004f,0x3ee003ff,0xff00ffff,0x07647fff,0x7fffffc8,0x01ff4000,
    0x3ffff200,0x07fffc80,0x5ffffd30,0x00efb800,0xb8001ff3,0x300000ef,
    0xfd8003ff,0x33333334,0x00df5001,0xfff15ff7,0x7dc0001d,0xfff886ff,
    0xfa80001f,0x0001ffff,0x44000ffa,0xfff506ff,0x3fb00fff,0xf9005f98,
    0x03fea01b,0x0002fe40,0x30007fa8,0x005ffffd,0x03bfffa0,0x7ffff400,
    0x3fea0006,0x000ef804,0x1fffffd8,0x7ffffcc0,0x7fff4003,0xffffb05f,
    0xf8803625,0x0006ffff,0x20000f22,0xf907fffe,0x44001fff,0x0790000a,
    0xb8007b30,0x4c00000c,0x97ee002c,0xfefffffe,0xfc80beff,0xf50ffa04,
    0x20001dff,0xfd07fffd,0x880000ff,0x6440000a,0xffd10003,0x6fa8980d,
    0x0c982c80,0xb3007900,0x0012e005,0x00019500,0x90000544,0x0001ffff,
    0x0ffffff2,0x009f9000,0x3ea0007f,0x7406ffff,0x000fffff,0x17ffffdc,
    0x007fffdc,0x13ffff60,0x40000000,0xcccfffff,0x1ffffecc,0x00000000,
    0x00000000,0xff880000,0x8afffe40,0xe80fffeb,0x3601501f,0xd0005fff,
    0xf885ffff,0x000003ff,0x80000000,0x006fffe8,0x00000bf9,0x00000000,
    0x00000000,0x7fd40000,0xf30005ff,0x001fffff,0xf804f880,0x3ffe0000,
    0xff903fff,0x3000dfff,0x81ffffff,0x8006fff9,0x001ffffc,0x40137531,
    0x22009ba9,0xeeefffff,0x1eeeeeee,0x20000000,0x80001ba8,0x80001ba8,
    0x2e001ba8,0x5fffb83f,0x4c3fffdc,0xffa8004f,0xfd8002ff,0x7fe45fff,
    0x54400004,0x9880001b,0xff9801ab,0xff006fff,0x00000003,0x0001ba88,
    0x80006ea2,0x20001ba8,0x000abb98,0x0bffffe2,0x7ffff400,0x9900005f,
    0xc8000900,0x40ffffff,0x3ffffff9,0xfffff000,0x09fff0bf,0x05fffd00,
    0xfffff930,0x7ffcc7df,0xfa80dfff,0x4000ffff,0x7ffffffc,0x7ffffffc,
    0xffffc805,0x64002cff,0x2cffffff,0x7fffe400,0x7f402cff,0x45fff980,
    0xe81ffff9,0x3b6e600f,0x0fffffbc,0x7fffec00,0x02ffc89f,0x3fff2000,
    0x4002cfff,0xffffffeb,0xfffff502,0x85ffffff,0x7ffe45f9,0x7ffc7fff,
    0xb805ffff,0x03ffffff,0x3ffffee0,0x3fee003f,0x1003ffff,0xfffffffb,
    0xfff9001b,0x3ea000ff,0x004fffff,0x00005100,0xfffff700,0xffffb85f,
    0xfd0002ff,0xfb0fffff,0xff88005f,0xcffc801f,0xcfffeb89,0xffb14ffb,
    0xffffa83d,0xff98002f,0xffb87fff,0x36205fff,0xfff32eff,0xffd8801b,
    0x1bfff32e,0x2effd880,0x301bfff3,0x3ffe609f,0x82ffff85,0xfffb02fb,
    0xfffffd9b,0xfffb8009,0x00cffeff,0xdffb1000,0x037ffe65,0x2637ff20,
    0x7c44ffff,0xffffffff,0x3ba22fff,0xfffff980,0xfffffb87,0x33ff6205,
    0x8809ffb0,0xffb0cffd,0xcffd8809,0xb809ffb0,0xffa89bff,0x7fc00eff,
    0xba98cfff,0x7ffdc009,0x00003fff,0x54000000,0x44ffffff,0x1ffffffd,
    0xffffb000,0x0ffa81ff,0x3bffa200,0x427fe400,0xeffffff9,0x2637ff40,
    0x003fffff,0x0fffffb0,0x0bfffff1,0x707fffa2,0x7440dfff,0x7fdc1fff,
    0x3ffa206f,0x37ffdc1f,0xff9817dc,0x3fffd45f,0x7f444f98,0x7ffec3ff,
    0x3e2000ff,0x204fffff,0xaaaaaaa8,0x1fffe882,0x2037ffdc,0x7fec6ffd,
    0xfffb02ff,0x02f4c0df,0x21fffff6,0x05fffff8,0xff31bffa,0x37ff407f,
    0xe80fffe6,0x7ffcc6ff,0x50bff903,0x540bffff,0xffdfffff,0x3604ffff,
    0x02ffffff,0x00000000,0x7ffffcc0,0x7ffff45f,0xf90000ff,0x885fffff,
    0x3faa006f,0xf301ffff,0xffb01dff,0xff705fff,0x7fffc47f,0xffb0006f,
    0x3ffe0fff,0xfff905ff,0x13fffe0d,0xf837ffe4,0xff904fff,0x3fffe0df,
    0xf980fe44,0x7ffec5ff,0xfe8bf104,0xfff986ff,0x3e6002ff,0x206fffff,
    0xffffffd8,0x06fffc84,0x3209ffff,0x7fdc3fff,0xfffb05ff,0x00b720df,
    0x41fffff6,0x705fffff,0xffd07fff,0x7fff701f,0x701fffd0,0xffd07fff,
    0xffff881f,0x7ffffcc0,0xfffffb01,0xfffffbbf,0xffffd01d,0x000003ff,
    0xf8800000,0x7c6fffff,0x00ffffff,0xfffff900,0x9009d07f,0xffffffff,
    0xffff907f,0xfffffb07,0x8ffff503,0x02fffffe,0x3fff2054,0xfffff07f,
    0xbffff30b,0x03ffffa0,0x20bffff3,0x4c0ffffe,0xfd05ffff,0x07ec1fff,
    0xa9dfff98,0x7c03fffe,0x17fffe66,0x02fffffc,0x7ffffecc,0x7dc04fff,
    0xfff304ff,0x3fffa0bf,0x7fffc40f,0x37fffc41,0x06ffffd8,0x7ffe4001,
    0xfffff07f,0x3ffff10b,0x889fff90,0xfc81ffff,0x7ffc44ff,0x4fffc81f,
    0x227fffdc,0x03fffff8,0x41dfffff,0x46fffff9,0xfffffff8,0x54000000,
    0xffffffff,0xffffffff,0xffffffff,0xfff30fff,0x4000ffff,0x5ffffffc,
    0xfda80098,0xffffffff,0x2ffffdc2,0x07ffffe4,0x70ffffcc,0x40dfffff,
    0x7ffe40f9,0xfffff07f,0x9ffffb0b,0x0bffff60,0x209ffffb,0x6c2ffffd,
    0xfb04ffff,0x03ec5fff,0xffdffff3,0x4fd001ff,0xd04ffffd,0x440fffff,
    0xfffd3ffd,0x7c403fff,0x3fff605f,0xffffb04f,0x0ffffc85,0xb03fffd8,
    0x000dffff,0x0fffff90,0x217ffffe,0xc80ffffc,0x7fe47fff,0xfffc80ff,
    0x07fffe47,0x2e3fffe4,0x7c45ffff,0xf883ffff,0xfb85ffff,0x3e62ffff,
    0x007fffff,0xfffa8000,0xeeeeffff,0xeeeeeeee,0xfffffffe,0xffffff50,
    0x7fdc000f,0x0005ffff,0xfffffc88,0x7ffc46ff,0xffffc82f,0x5ffff107,
    0x7fffffc4,0x641fcc0e,0xff07ffff,0xfff0bfff,0x3ff609ff,0x7fffc4ff,
    0xffffb04f,0x4fffff89,0x49ffffb0,0xfff300fc,0x00bfffeb,0x7fffc5be,
    0xffffd03f,0x8bffa60f,0x6ffffff9,0xf803fea0,0xfb04ffff,0xfff89fff,
    0x2db880ff,0x1bffff60,0x3fff2000,0xfffff07f,0x0ffffd0b,0xe83ffff2,
    0xff907fff,0x7fff41ff,0x1ffff907,0x217fffc4,0x83fffff8,0x85fffff9,
    0x27fffff8,0xfffffff9,0x44000000,0x07ffffff,0xfffff880,0x3fffe27f,
    0x2e0007ff,0x04ffffff,0x3ffea000,0xba80ffff,0xfffffb80,0xfbaaaaae,
    0x7fd44fff,0xecdfffff,0xffff905f,0x3ffffe0f,0x7ffffc45,0xdffffb03,
    0x1fffffc4,0x26ffffd8,0x03fffff8,0x5cdffffb,0xbfff301f,0x101bffea,
    0x3fffe6bf,0xffffb03f,0x6fff981f,0xffffffc8,0x4407f905,0xb03fffff,
    0x7c4dffff,0x0000ffff,0x01bffff6,0x3ffff200,0xbfffff07,0x99fffff0,
    0xffffd999,0x67ffffc3,0xfffecccc,0x3ffffe1f,0xffeccccc,0x40ba81ff,
    0x3fffffe9,0x5fffffa8,0x1fffffd0,0x3fffffe2,0xccc9801f,0xcccccccc,
    0x3ffffe3c,0xff88007f,0x7fc6ffff,0x000fffff,0xffffff90,0xf9800007,
    0x801fffff,0xfffdefb8,0xeeeeeeff,0xfa84eeee,0xffffffff,0x3ffff205,
    0xbfffff07,0x3fffffa8,0x4fffffb0,0x03fffffa,0x54fffffb,0xb03fffff,
    0x7d4fffff,0x4bfff303,0x2602fffe,0xfffff54f,0x3ffff607,0x27fff41f,
    0x7fffffc4,0x202fc44f,0x03fffffa,0x4cfffffb,0x002fffff,0x1bffff60,
    0x3fff2000,0xfffff07f,0xfffff88b,0xeeeeeeee,0xffff11ee,0xdddddddf,
    0x3fe23ddd,0xeeeeefff,0x801eeeee,0xffffdfe9,0xffffa83f,0xffff905f,
    0x7ffffc3f,0xb98802ff,0xffffffff,0x3fffa1be,0xf98007ff,0x744fffff,
    0x01ffffff,0xfffff900,0x7000005f,0x803fffff,0xffb8dffb,0x980007ff,
    0x3ffffffe,0x3ffffe40,0x45fffff8,0x03fffffb,0x23fffffb,0x03fffffb,
    0x23fffffb,0x03fffffb,0x23fffffb,0xfff306f8,0x037ffd4b,0x3ffee3fb,
    0xfffb03ff,0x7ffe41ff,0xffff704f,0x07ec7fff,0x3ffffee0,0xfffffb03,
    0x3ffffea3,0x3ff60003,0xc80006ff,0xff07ffff,0xffa8bfff,0x54000fff,
    0x000fffff,0x07ffffd4,0x7fecc000,0x3fffff8b,0x5fffff98,0x5fffff90,
    0x7fffffec,0x7ffcc003,0xfd80ffff,0x8007ffff,0x3ffffffa,0x7fffffec,
    0xfffb0002,0x00001fff,0x03ffffa0,0xf71fff54,0x0001ffff,0x02b3f620,
    0x1fffff20,0x22fffffc,0x03fffffa,0x21fffffb,0x03fffffa,0x21fffffb,
    0x03fffffa,0x41fffffb,0xfffb81fc,0x41fffec6,0x3ffea6f8,0xfffb03ff,
    0xfffff8df,0x3ffff607,0x02fbafff,0x3fffffa8,0x1fffffb0,0x13ffffea,
    0xffffd800,0xffc80006,0xffff07ff,0xffffa8bf,0x7fd4002f,0x54002fff,
    0x002fffff,0x897ffe40,0xf03fffff,0x2e0dffff,0x2a1fffff,0x04ffffff,
    0xffffff80,0xfffff905,0xffa8001f,0x7d42ffff,0x003fffff,0xdffffff0,
    0x7e400000,0xfff907ff,0xfffffa87,0xfd880002,0x7ffe4006,0xfffff07f,
    0xfffff98b,0xfffffb03,0x1fffffcc,0x27ffffd8,0x03fffff9,0x98fffffb,
    0x7fffc85f,0x20ffffcc,0x3ffe23fb,0xfffd03ff,0x7fffc4bf,0x3ffa01ff,
    0x05ffffff,0x7fffff30,0x9fffff60,0x06fffff8,0x3ffff600,0xffc80006,
    0xffff07ff,0xffff98bf,0x7fcc003f,0x4c003fff,0x003fffff,0x43fffd10,
    0x03fffff8,0x20fffffb,0x20fffffa,0x6ffffff8,0xfffff800,0xffff305f,
    0xfc8003ff,0xfd06ffff,0x0009ffff,0x3ffffff1,0x7d400000,0xfffc85ff,
    0xfffff987,0xffb80004,0x7ffe4003,0xfffff07f,0x7fffff0b,0x1bffff60,
    0x207fffff,0x7c6ffffd,0xfb03ffff,0x5fd0dfff,0x3fffff22,0x3ffff23e,
    0xfe81df32,0xffd03fff,0x7ffcc9ff,0x3e204fff,0x2fffffff,0x3ffffe00,
    0xdffffb03,0x2ffffff8,0xffffb000,0xff90000d,0x3ffe0fff,0x7ffc45ff,
    0x7c4006ff,0x4006ffff,0x06fffff8,0x8dfffd00,0x03fffff8,0x20fffff9,
    0xa86ffffa,0x007fffff,0x4ffffff8,0x3fffff20,0x7fff4002,0xfff501ff,
    0xf5000fff,0x000bffff,0x2fff9800,0x827fffd4,0x00ffffff,0xbffb00c4,
    0xffffc800,0xbfffff07,0x09ffffd0,0xd13ffffa,0x3a09ffff,0x7f44ffff,
    0xffd04fff,0x1ff109ff,0x55555551,0x4d555445,0xffd81fe8,0xfffd04ff,
    0x7fffc45f,0x3e603fff,0x3fffffff,0x7fff4310,0xffffd04f,0xfffffe89,
    0xffd8000e,0xc80006ff,0xff07ffff,0xffd0bfff,0x0a805fff,0x0bfffffa,
    0x7fff4150,0x905402ff,0xf887ffff,0xf503ffff,0xf501ffff,0x3f209fff,
    0x4003ffff,0x04ffffff,0x13ffffe2,0xfffff980,0x7fffec04,0x7fec002f,
    0x4c001fff,0xffb802dd,0x4ffffe85,0xbfffff90,0x3fe02d80,0x3ee000ff,
    0xff987fff,0xff985fff,0xffff04ff,0xffff981f,0x1fffff04,0x04ffff98,
    0x201fffff,0x40001efa,0xff703fe8,0x3ffe0bff,0x7fffc0ff,0x2a02ffff,
    0xffffffff,0xff31f40d,0x3ffe09ff,0x7ffd40ff,0x07204fff,0x01fffff6,
    0x3fffee00,0xfffff987,0xfffffb85,0xfb83e606,0x2606ffff,0x3fffee0f,
    0xe83e606f,0x7cc5ffff,0xf103ffff,0xf705ffff,0x7f405fff,0x7c007fff,
    0x404fffff,0x00fffffb,0x1dffff90,0xfffff980,0x3ffe6006,0xff8004ff,
    0x7ff404ff,0x7ffffc40,0x7fff4c0f,0x5d885fff,0x02ffff40,0x3fffff50,
    0x7fffffc4,0x0dfffb05,0x6c13fffe,0xfff06fff,0x3fff609f,0x09ffff06,
    0x0003ffb8,0xfd809ff5,0xfff885ff,0xffffc84f,0x440bffff,0xfffffffb,
    0x86fcdfff,0xff06fffd,0x3ffa09ff,0x220bffff,0xffff906d,0x54000c8f,
    0x221fffff,0x85ffffff,0xeffffff8,0x3e21fcc0,0x40efffff,0x7ffc43f9,
    0x7cc0efff,0x7fffffc3,0xfffffc9b,0x3ffea04f,0x5fffb85f,0x7ffff440,
    0x3fffe005,0xffe804ff,0xff9805ff,0xf3001fff,0x2005ffff,0x004ffffd,
    0xdfffff88,0xd01ffa80,0x9bffffff,0xffff9bfd,0xffb79dff,0xffffb801,
    0xfff8801e,0xfeea9dff,0xf306ffff,0xffb83fff,0xfff300ef,0xefffb83f,
    0x3ffff300,0x00efffb8,0x002dff98,0x2005ffb3,0x7dc0fffd,0xffd00eff,
    0xdfffffff,0xff9dffb9,0xffffffff,0xffff303f,0x0efffb83,0xffffff30,
    0x03ffdbff,0x2fffffe6,0xf88004c9,0xea9dffff,0x06fffffe,0xfffffff5,
    0x2a0bfd9b,0xdfffffff,0xff505fec,0xd9bfffff,0xffffb0bf,0xfff7ffff,
    0x360b7dff,0x7f40ffff,0xff91005f,0xff001bff,0x2009ffff,0x202ffffc,
    0x00dffff9,0x7ffffcc0,0x7fffec02,0x3ff60004,0xeaacffff,0x3fee00cf,
    0x1effffff,0x3ffffff2,0xb000efff,0x3dffffff,0x7ffffd40,0xffff8dff,
    0xffd101ff,0x17ffe63d,0x47bffa20,0x8805fff9,0xff31effe,0xfd8800bf,
    0xa99aacff,0x001effec,0x4c37ffa2,0x2200efff,0xfffffffe,0x262effff,
    0xfffffffe,0x3ffa202f,0x0bfff31e,0xffffff30,0xb803ffff,0x06ffffff,
    0x3fffea00,0xfff8dfff,0xff501fff,0xbfffffff,0xfffffa80,0x5405ffff,
    0xffffffff,0xffff505f,0x3fee1dff,0x3200efff,0xff70dfff,0xfe98001d,
    0xb981cfff,0x01cfffff,0x37fffa60,0xffff730a,0x7e440007,0x2e61bfff,
    0x001efffe,0x7fffec40,0x001effff,0x7dfffff9,0x3ffffae0,0x5c000cff,
    0x804fffff,0x24fffffb,0x4fffffff,0x3fffff20,0x7e4004ef,0x04efffff,
    0x7ffffe40,0x220004ef,0xfffffffc,0x10001cff,0xffffffb7,0x7ffdc007,
    0x03ffffff,0x3bfffff2,0xffff9002,0x44009dff,0xbefffffd,0xdffb7000,
    0xfb800017,0x3fe4ffff,0x304fffff,0x7ffffffd,0x3fffa600,0xd3003fff,
    0x07ffffff,0x43dffeb8,0x00dfffd8,0xfefffea8,0x2e0000be,0xfffffffe,
    0x01cfffff,0x3ffb2200,0xceffffff,0xd9300000,0xffffffff,0x800007bf,
    0x01abcaa8,0x0026ea00,0x00556544,0x0006a600,0x000006e6,0x0002aea6,
    0x00157530,0x00aba980,0x65d4c000,0x000009ab,0x8000d654,0x09acca98,
    0x01773100,0x02aea600,0x0ab98800,0x00022000,0x0006e600,0x15773100,
    0x57731000,0x77310001,0x80040015,0x57530001,0xa8800001,0x9aacccca,
    0x51000000,0x00003597,0x79955300,0x00000155,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03ffffc4,0x55553000,0x55530015,0x00000155,
    0x00000002,0x00001000,0x13fffee0,0x02000000,0x3b6a0080,0x2005a80c,
    0x02aaaaa8,0x540676d4,0x33332a04,0xcccccccc,0x59302ccc,0x20039710,
    0x002ffffc,0x32a02f26,0x007f3001,0x010003d7,0x7fffffe4,0x3ffffa0f,
    0xccb805ff,0xcccccccc,0x2a6000cc,0x4c01aaaa,0x01cb882c,0x26000000,
    0x5440002c,0x107101ab,0x00022003,0x1fffffe4,0xfffe8000,0xffd1004f,
    0x200009ff,0xefffedb9,0x6544000c,0x4001ceff,0xdefffeda,0xff880001,
    0x0000ffff,0x3fb6e200,0xa80acdff,0xfffffb05,0x00bd115b,0x07ffffd4,
    0xbfffffb0,0x740bd115,0xffffffff,0x3fffffff,0x745fffb8,0x7cc01fff,
    0x5006ffff,0xffd8dfff,0x09fb002f,0xb8802fec,0x40bdfffe,0x0ffffff9,
    0x2fffffdc,0x7fffffc0,0x06ffffff,0x2ffffec0,0xd17ffee0,0x40005fff,
    0x7e4003eb,0xd98006ff,0x22ffefff,0x03f986fa,0x4c002f44,0x0fffffff,
    0x7ffcc000,0x7f44004f,0xc80007ff,0xffbabfff,0xff9004ff,0x0bfff97d,
    0xf95bfd30,0x001bffff,0x7ffffe40,0x9800004f,0xeffffffd,0x99cffffd,
    0xffffa85e,0x4fffffff,0x3ffff600,0x3fffea01,0x4fffffff,0xffffff10,
    0xffffffff,0xfffd01ff,0x3fffea1f,0x7fffec05,0xffd803ff,0xffff31ff,
    0x37fe600d,0x007ffa20,0x3f27ffea,0xfffd86ff,0xffff80ff,0x7ffd405f,
    0xffffffff,0x7ffc002f,0x7ff400ef,0xffff30ff,0xffb8800b,0x3fe2003f,
    0x2e001fff,0x3fea3fff,0xff06ffdc,0x013f6205,0x3fbfff60,0x5c0003ff,
    0x10005fff,0x0003fffd,0x50bfffa2,0x4409ffff,0x7fec6ffe,0x7ff100ef,
    0x6ffffe88,0xffff1000,0x0003fffd,0x7ffffe40,0xfffb880c,0xfffe85ff,
    0xffffffff,0xffff1001,0xffffe803,0x1fffffff,0xffffff30,0xffffffff,
    0x3fffa0bf,0x9ffff30f,0x7f7ffd40,0x7ec00fff,0xfff10fff,0x7fec00bf,
    0x04fff98e,0xf15fff98,0xffc87fff,0xffe80fff,0x7fec05ff,0xffffffff,
    0x7fd4007f,0xffe800ef,0xffff30ff,0x3ff2200b,0x26003fff,0x003fffff,
    0xf90bfff9,0x360dffff,0xfedcdfff,0x7d4001ff,0x1fff72ff,0x2fff4000,
    0x3ffa2000,0xfffd0004,0x3ffffe0f,0x87fffb01,0xd06ffff9,0xfff309ff,
    0xfb0009ff,0xbffb11df,0xffd10000,0x91001dff,0x29f0bfff,0xffffffc8,
    0x3ffea003,0xf934f801,0x407fffff,0xfffffffb,0xffffffff,0x89fff503,
    0x3a01fffe,0xffe88dff,0x2fffcc03,0x800bfff6,0xfffffff8,0x7ffcc00f,
    0x7ffff13f,0x0fffffc8,0x05ffffe8,0x3fffffe2,0x04ffffff,0x0077fec0,
    0x744fffa8,0x6cc01fff,0x3fffffff,0x7ffff400,0xffffa800,0xfffff882,
    0xfffff106,0x0009ffff,0xffa83ffd,0xbff30004,0x3fe20000,0xfff98007,
    0xffffd06f,0x3ffff509,0x87ffffb0,0xff07fff8,0x9800ffff,0x7fec0dff,
    0x3fe20001,0x4000efff,0x07445ffd,0x00166dcc,0x2200bff6,0x1ceb980e,
    0x7ffffec0,0xfeeeeeef,0x06e200ff,0xff7005d4,0x00ffe889,0x0b9815c4,
    0xffffc800,0xffc803ff,0x13fee3ff,0x03fffff2,0x817ffffa,0xeeeeeefa,
    0x001eeeee,0x200077fc,0x017501b8,0x7ff6fec4,0x4003ffff,0xd002efd9,
    0x3e01ffff,0x2a06ffff,0xefffffff,0x077dc000,0x8000ff98,0x00000efb,
    0x90007fe6,0x3a0dffff,0xfd85ffff,0xffc81fff,0x3fea0fff,0xfffe81ff,
    0x3fa001ff,0x0017f204,0x0fffffe8,0x00bfd000,0x3fe20000,0x80000002,
    0xfa802cff,0x4000006f,0x3f602ff8,0x00000004,0x1bffffe2,0x27fffec0,
    0xfffff900,0xbffffd01,0x00003ec0,0x0001df50,0x36040000,0x003fffff,
    0x7fd40010,0x3ffe06ff,0x7f4406ff,0x90004fff,0x007b1007,0x00001970,
    0xc8005930,0xfb05ffff,0xfff0bfff,0xfff701ff,0x7ffcc5ff,0xffffd83f,
    0x0591002f,0xb0003d70,0x007fffff,0x0002fc40,0x002c9800,0x3f980000,
    0x00fff600,0x03930000,0x00001b90,0x7775c000,0xfffd002e,0x7fe4009f,
    0xffe80fff,0x09f105ff,0x06540000,0x00000000,0x0fffffee,0x3ee00000,
    0x3fa05fff,0x31006fff,0x00000003,0x00000000,0x3ff60000,0xfffb05ff,
    0xffff889f,0xffffa81f,0x07fff45f,0x07fffff4,0x00000000,0x1ffffff5,
    0x805e8000,0x000abb98,0x75100000,0x0012e003,0x44001fff,0x000001ba,
    0x00000000,0xffff8000,0x3ff2004f,0xffe80fff,0x59f705ff,0x00000003,
    0xabb98800,0xfff50000,0x510007ff,0xfffb0037,0x7fff40bf,0x0000006f,
    0x055dcc40,0x2ee62000,0x4c40000a,0x36000abb,0xfd05ffff,0xffa83fff,
    0xff981fff,0x6dc47fff,0xbfffff01,0x00000000,0x5fffffe8,0x105a8000,
    0xfffffffb,0x0000001b,0x3ffffff2,0x2a00002c,0xff9006ff,0x0059ffff,
    0x3fff2000,0x7ffc7fff,0x0005ffff,0xffff8800,0x3ff2004f,0xffe80fff,
    0xfffd05ff,0x0007bdff,0xfb100000,0x1bffffff,0xffffa800,0x3fee003f,
    0x3e03ffff,0x3a04ffff,0x0006ffff,0xffd88000,0x00dfffff,0x3ffff620,
    0x2000dfff,0xffffffd8,0xffd800df,0xfff985ff,0xffffc83f,0xffff882f,
    0x3e2000ff,0x3f23ffff,0x6fffffff,0xfffffff3,0x7fffc3ff,0x3fffe63f,
    0x300003ff,0x5137ff70,0x201dffff,0xfffffff8,0xeffd8805,0x01bfff32,
    0x07ff9000,0x32effd88,0x2201bfff,0x5fffffff,0x3ffffe60,0xfffffb87,
    0xfffff885,0xffffffff,0x7ffc45ff,0x3f2004ff,0xfe80ffff,0xff885fff,
    0xffffffff,0xffff8802,0xffffffff,0xffb85fff,0xffffa89b,0x3fea000e,
    0xd8803fff,0x9ffb0cff,0x7fffff30,0x37ffff40,0xffffff88,0xff70005f,
    0xffff5137,0x7ff7001d,0xdffff513,0x37ff7001,0x1dffff51,0x5ffffd80,
    0x073ffae2,0x17ffffdc,0x1ffffff8,0x3fffee00,0xfffffb85,0x7fff442f,
    0x3ff705ff,0xffffffc8,0xf9000001,0xffff50bf,0xffffb80b,0x7ff4405f,
    0x37ffdc1f,0x07ffc000,0x83fffd10,0x5c06fffb,0x405fffff,0x887ffffd,
    0x885fffff,0x99aacfff,0x1ffffffb,0x27ffffc4,0xfffff900,0xbffffd01,
    0xffffff70,0x05dfffff,0x5567ffc4,0xfffffb99,0x42ffe41f,0x005ffffa,
    0x0fffffea,0xf31bffa0,0xfffa87ff,0x3ffa03ff,0x7fdc06ff,0xc8005fff,
    0xfffa85ff,0x2ffe405f,0x02ffffd4,0x3ea17ff2,0x7ec05fff,0x3fe65fff,
    0x3fea02df,0xffd03fff,0x7c003fff,0xf900dfff,0xf505ffff,0x260dffff,
    0xfffff83f,0x800000ff,0x4c0ffff8,0x401fffff,0x405fffff,0xff06fffc,
    0x540009ff,0x7fe406ff,0x9ffff06f,0x5fffff80,0x3ffffec0,0x85fffff8,
    0xffd00ef8,0xff109fff,0x64009fff,0xe80fffff,0xfe85ffff,0xffffffff,
    0xf103ffff,0x3fffa01d,0x7ffc44ff,0x7fffcc0f,0xfff5001f,0xffb807ff,
    0x0fffe83f,0x13ffffe6,0x06ffffe8,0x05fffff8,0x07fffc40,0x07ffffe6,
    0x207fffc4,0x01fffff9,0x981ffff1,0x201fffff,0x445ffffd,0x982ffffa,
    0xf06fffff,0x001fffff,0x1013ffea,0x20bfffff,0x80fffffe,0xffff80fb,
    0x000007ff,0x889ffff7,0x403fffff,0x205ffffe,0xd05ffff9,0x0001ffff,
    0xf980fff2,0xffd05fff,0x7ff401ff,0x7fe405ff,0xffff07ff,0x205f10bf,
    0x0ffffffb,0x4fffff88,0x3fffee00,0xffffe80f,0x7ffffcc5,0xffffffff,
    0x02f881ff,0x1ffffff7,0x44ffffb8,0x03fffff8,0x7fffff50,0x0ffffc40,
    0xf127ffe4,0x740bffff,0xe806ffff,0x4005ffff,0x444ffffb,0x703fffff,
    0xf889ffff,0xf703ffff,0xff889fff,0x3f603fff,0xff505fff,0xfffd01ff,
    0xffff01ff,0x7ff400ff,0xffffb001,0xfffff01f,0xf109b07f,0x00ffffff,
    0x3ffee000,0x7fffc45f,0x7fff403f,0x3fff605f,0xffffb04f,0x3ffe0005,
    0x3ffff601,0x5ffffb04,0x2fffff40,0x1fffff20,0x42fffffc,0xffff1068,
    0x3fe205ff,0x2e004fff,0x440fffff,0x4c5fffff,0xffedcbaa,0xffffffff,
    0xff883440,0xfb82ffff,0x7fc45fff,0xf5003fff,0x6407ffff,0xfc80ffff,
    0x7fffc7ff,0x3fffa05f,0xfffe806f,0x7fdc005f,0x7ffc45ff,0xfff703ff,
    0xffff88bf,0xffff703f,0xfffff88b,0x3ffff603,0xbffff105,0x7fffff50,
    0x0dfffff0,0x8003be60,0x43fffffa,0x6ffffff9,0x7fcc17c4,0x0007ffff,
    0x5ffff100,0x3fffff88,0x2fffff40,0x09fffff0,0x013ffff6,0xf01bfe60,
    0x3609ffff,0x3a04ffff,0x6405ffff,0xff07ffff,0x0510bfff,0x1bfffff6,
    0x4fffff88,0x3fffea00,0x3fffa22f,0x2e2006ff,0xffffffff,0xffd81443,
    0xff106fff,0xfff885ff,0xff5003ff,0x7f407fff,0xfff907ff,0x7fffe41f,
    0xffffd00f,0xffffd00d,0xfff8800b,0x7fffc42f,0xffff103f,0xfffff885,
    0x5ffff103,0x3fffff88,0x17ffff60,0x82fffff8,0x9cfffffd,0x5fffffca,
    0x0001db00,0xc8dfffff,0x0fffffcd,0x7ffcc1ee,0x0000ffff,0xd302ea00,
    0x807fffff,0x105ffffe,0x207fffff,0x006ffffd,0x2203ffc8,0xb03fffff,
    0x740dffff,0x6405ffff,0xff07ffff,0x4c00bfff,0x01ffffff,0x13ffffe2,
    0xfffff880,0xfffeeaae,0xd50006ff,0x00bfffff,0x3fffffe6,0x2605d401,
    0x03fffffe,0x7fffff50,0x67ffffc0,0xfffecccc,0x3fffe21f,0xffff983f,
    0xfffe806f,0x1750005f,0xfffffe98,0x2605d403,0x03fffffe,0x3fa605d4,
    0x3603ffff,0x3e05ffff,0xf903ffff,0xffffffff,0x2005ffff,0xff90003e,
    0x4d7c3fff,0x3a3fffff,0xfffff104,0x000003ff,0x7feff4c0,0x7f403fff,
    0xff505fff,0x3f607fff,0xf8007fff,0x3fea01ff,0xffb03fff,0x7ff40fff,
    0x7fe405ff,0xffff07ff,0x7ff400bf,0x7c404fff,0x4004ffff,0xfffffffa,
    0xfffffe8e,0xffd10002,0x3fa00fff,0x8004ffff,0xffffdfe9,0xfff5003f,
    0x3fe207ff,0xeeeeefff,0x641eeeee,0x2a2fffff,0x06ffffff,0x05ffffe8,
    0xfbfd3000,0x8007ffff,0xffffdfe9,0x7f4c003f,0x03fffffd,0x817ffff6,
    0x205fffff,0xcadffeca,0x2007ffff,0xff30001e,0xe9ea9fff,0x3f16ffff,
    0x7fffffc0,0x8000003f,0xff8bffd9,0x7f403fff,0xff705fff,0x3f607fff,
    0x2001ffff,0x7dc06ff9,0xfb03ffff,0x3a03ffff,0x6405ffff,0xff07ffff,
    0x2e00bfff,0x00ffffff,0x27ffffc4,0x7fffdc00,0x3ffffa4f,0xd10005ff,
    0xb801ffff,0x00ffffff,0x22fff660,0x003fffff,0x07fffff5,0x03ffffea,
    0xffffc800,0xffebffef,0xffe806ff,0x4c0005ff,0xfff8bffd,0xfb3003ff,
    0xfffff17f,0x3ff66007,0x3fffff8b,0x17ffff60,0x06fffff8,0x9fffff00,
    0x20003400,0x9b7ffffe,0x4fffffe4,0x7fff406b,0x00004fff,0x897ffe40,
    0x403fffff,0x505ffffe,0x207fffff,0x00fffffd,0x5013ff20,0x207fffff,
    0x00fffffd,0x80bffffd,0xf07ffffc,0x100bffff,0x05ffffff,0x9fffff10,
    0x40dcc000,0x400005fa,0x4407fff8,0x02ffffff,0x44bfff20,0x003fffff,
    0x07fffff5,0x0bffffea,0xffff9000,0x3fffa3ff,0xfffe806f,0x3f20005f,
    0xffff12ff,0xfff9007f,0x3ffffe25,0x2fffc803,0x07fffff1,0x02ffffec,
    0x00ffffff,0x3fffff50,0x5c000000,0x1fbfffff,0x33ffffe6,0x7ffdc04e,
    0x00005fff,0x43fffd10,0x03fffff8,0x82fffff4,0x03fffff9,0x00fffffb,
    0x4c01fff8,0xb03fffff,0x740fffff,0x6405ffff,0xff07ffff,0xfb00bfff,
    0x200dffff,0x04fffff8,0x0ffc8000,0xffe80000,0x7fffec06,0xffd1006f,
    0x7fffc43f,0xfff5003f,0x3fe607ff,0x00003fff,0xffe81573,0xffe806ff,
    0xe88005ff,0x3fe21fff,0x3a203fff,0x3fe21fff,0x3a203fff,0x3fe21fff,
    0x3f603fff,0x3fa05fff,0xd8006fff,0x0003ffff,0x7ffc4000,0xffe86fff,
    0x4401ffff,0x06ffffff,0xfffd0000,0xfffff88d,0x7ffff403,0x3ffffe05,
    0xdffffb03,0x037fcc00,0x03fffff8,0x40dffffb,0x405ffffe,0xf07ffffc,
    0x980bffff,0x01ffffff,0x9fffff10,0xff980000,0xf9000005,0x7ffcc09f,
    0xfd001fff,0xfff88dff,0xff5003ff,0x3e207fff,0x0006ffff,0xffffe800,
    0xffffe806,0xfffe8005,0x7ffffc46,0x1bfffa03,0x07fffff1,0x2237fff4,
    0x203fffff,0x205ffffd,0x004ffffe,0x037fffc4,0xfd800000,0xfb83ffff,
    0x9006ffff,0x03ffffff,0xfffc8000,0x7fffc43f,0x7fff403f,0x3fffa05f,
    0xffffd04f,0x27fe4009,0x4ffffe80,0x09ffffd0,0x02fffff4,0x41fffff2,
    0x405fffff,0x04fffffe,0xffff8831,0x6400004f,0x000006ff,0x7f401ff7,
    0x3104ffff,0x21ffffe4,0x03fffff8,0x7fffff50,0x7fffff40,0x00005402,
    0x00dffffd,0x00bffffd,0x43ffffc8,0x03fffff8,0x887ffff9,0x903fffff,
    0xf887ffff,0x3603ffff,0x2e05ffff,0x4003ffff,0x000ffffd,0x00073ae2,
    0x0fffffa8,0x3fffff88,0xffffd100,0x1c8000bf,0x317ffffa,0x807fffff,
    0x205ffffe,0xf04ffff9,0x4001ffff,0xf3001ffe,0x3fe09fff,0x3fa00fff,
    0x7dc05fff,0xff987fff,0x3ee05fff,0x700fffff,0xfffff885,0x7f400004,
    0x6f5401ff,0x40bfd003,0x0ffffffb,0x7fff4570,0x7fffcc5f,0xfff5003f,
    0x7fdc07ff,0x3e606fff,0x3ffa0000,0xffe806ff,0x7f4005ff,0x7fcc5fff,
    0xffd03fff,0xfff98bff,0xfffd03ff,0xffff98bf,0x3fff603f,0x7cd3b25f,
    0x36001fff,0x4001ffff,0x000ffffe,0x81bfffe0,0x000ffffd,0x3fffffe6,
    0x43f70001,0x9bffffff,0x4ffffffc,0x2fffff40,0x41bfff60,0x2004ffff,
    0x6c006ff9,0xfff06fff,0xfffe809f,0x7ffd405f,0x3ffe21ff,0xff105fff,
    0x7405ffff,0x7ffffc42,0x7e400004,0xff100eff,0x7cc03dff,0xffff100e,
    0xf17405ff,0x937fffff,0x09ffffff,0x3ffffea0,0x3fffe203,0x1fcc0eff,
    0x3fffa000,0xfffe806f,0x7ffc005f,0xffc9bfff,0xff04ffff,0xf937ffff,
    0x209fffff,0x9bffffff,0x4ffffffc,0x57ffffa0,0xfff1fffa,0x7ffec00d,
    0x7fd4000d,0x20004fff,0x2a03fffc,0xa8006fff,0x01ffffff,0xfb13f220,
    0x7fffffff,0xb7dfffff,0x1bffffa0,0x83ffff30,0x000efffb,0x30013ff2,
    0xfb83ffff,0x7f400eff,0x7c406fff,0xea9dffff,0x06fffffe,0x0dfffffb,
    0x3fe20fe4,0x00004fff,0x177fffcc,0x7fffffd4,0x007f4c0c,0x0dfffffb,
    0xfffb0fe4,0xff7fffff,0x80b7dfff,0x04fffffb,0x7fffffd4,0x005fecdf,
    0x6ffffe80,0x6ffffe80,0x7fffec00,0xfffbffff,0x7ec5beff,0xbfffffff,
    0x5befffff,0x7fffffec,0xfffffbff,0xffff85be,0x23fff55f,0xd8800ffd,
    0x70004fff,0x00bfffff,0x007ffcc0,0x4000fffe,0x3fffffe9,0x417f5440,
    0xeffffffa,0xdfffff70,0x3ffffe01,0xeffe8806,0x00bfff31,0x0003ffd0,
    0x263dffd1,0xff005fff,0xf500dfff,0x1bffffff,0x83ffffff,0x1ffffff9,
    0x4c0ffc88,0x005fffff,0xffffb800,0x3ff63eff,0xeccfffff,0x3fe600df,
    0xc881ffff,0x3ffea0ff,0xff70efff,0xc801dfff,0x805fffff,0xfffffffa,
    0xf00005ff,0xf00dffff,0x800dffff,0xeffffffa,0xdfffff70,0xfffffa81,
    0xffff70ef,0xfffa81df,0xff70efff,0xfb81dfff,0x3fa5ffff,0x402ffabf,
    0x00cfffd9,0x3fffe200,0x7f40002f,0x00ffc805,0x3fff6200,0xcaabcfff,
    0x2e00dffe,0x6c43dffe,0xf700dfff,0x005fffff,0x3ffffff2,0xff98004e,
    0x7fe40007,0x004effff,0x5ffffff7,0xfffff700,0x7fffffc9,0x3ffffa4f,
    0xfdcaa9df,0x3f220fff,0x001fffff,0xfffe9800,0x3ff220df,0x1bdfffff,
    0xfffffe80,0xffdcaa9d,0x7ff5c0ff,0x7ffec43d,0x7ffd400d,0x9803ffff,
    0x3ffffffe,0xfff70000,0x2e017fff,0x02ffffff,0x1efff5c0,0x037fff62,
    0x21efff5c,0x00dfffd8,0x887bffd7,0x6c0dfffd,0x25ffffff,0x01cefec9,
    0x05bffd71,0x7ffe4000,0x2fb80005,0x0005f980,0xffffd710,0x07bdffff,
    0x20180040,0xfffffff8,0x53000fff,0x4c000157,0x300002cc,0x22001575,
    0xffffffff,0x1b9800ff,0xffff7000,0xffffffff,0x7fecffff,0xffffffff,
    0xa8800001,0x2eaa2009,0x7fdc001b,0xffffffff,0x207fffff,0xed803000,
    0xffffffff,0x4403efff,0x0000abb9,0xeeeeeeb8,0x3e21eeee,0xffffffff,
    0x8004000f,0x0c002001,0x00600100,0x55001000,0x40000013,0x100001b8,
    0x000e4009,0x65d4c400,0x0000009b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd1039b93,
    0x99999101,0x99999999,0xcccca819,0xcccccccc,0x2013e64c,0x000001eb,
    0x36200fe4,0x00000005,0x00000000,0x00555555,0x36200fe4,0x00000005,
    0x05dc4000,0x2ae20000,0xaaaa8000,0x2a20002a,0xccceeedc,0xcccccccc,
    0xcccccccc,0xfecb8802,0x55402cde,0x22002aaa,0x02c980cb,0x00000000,
    0xa8000000,0x3ccccccc,0x005e4c00,0x75300000,0x54000015,0x0aefffff,
    0x7ed4c0f9,0xdfffffff,0xfdb9881b,0xcfffffff,0xb02fec1a,0x7d4000bf,
    0x0bfe204f,0x3221ff4c,0xcccccccc,0x4c1ccccc,0xcc883ffd,0x4c3ccccc,
    0x88004ffc,0x002fffff,0x74c0bfe2,0x3ff6602f,0x00000003,0x01ffffcc,
    0xfffffff5,0x3ffffaa3,0x3ffe2005,0x6c4002ff,0xffefffff,0xffffffff,
    0xffffffff,0x32204fff,0xffdadfff,0xfff501df,0xff1001ff,0x7ffdc1ff,
    0xffec8805,0x800000bd,0x00000049,0xfffffd73,0x7ffdc00d,0xdf71000f,
    0x3ffee007,0xeeeeffff,0xff1005ee,0xffffffff,0x3ff200df,0x4005ffff,
    0x3ffffffe,0x8837fe60,0x10001ffe,0xfb809fff,0x837fd43f,0xfffffdb9,
    0x209adfff,0x84fffff8,0x5fffffeb,0x1bffffe2,0x7ffff700,0x87ff9000,
    0x3e206ffa,0x0004ffff,0x3ff60000,0x7f4c07ff,0xffb9ffff,0x004fffff,
    0x007ffff5,0xaeffffa8,0xffffd510,0x53333fff,0x09ffffb7,0x107fffa2,
    0x2e03ffff,0xb803ffff,0x3fa3ffff,0x3f200fff,0x2fffffff,0x07ec0000,
    0xf1000000,0x400dffff,0x003ffffe,0x407ffff7,0x70cfffe8,0xffffffff,
    0x3ffff200,0x3fffffff,0xfffff500,0xffb8005f,0x6401ffff,0xfff98eff,
    0x3ff60004,0x7ffc404f,0x003fff74,0x9ffffffb,0x7ffffe40,0xffff881f,
    0x3fffee5f,0x3f6002ff,0xf10003ff,0x3ffee9ff,0x3ffff201,0x000001ff,
    0xffffff00,0xffffb803,0xffeacfef,0xfd802fff,0x7dc003ff,0xf300efff,
    0x80ffffff,0xfb04fffa,0x3fee0dff,0xfff700ef,0xffff500b,0x07ffff47,
    0xffffffd8,0x0002ffff,0x0007ff30,0xfffe8000,0xfff1006f,0x3fe009ff,
    0x3fa06fff,0xfffe86ff,0xdb002aad,0xfffff711,0x7fd400bf,0x4002ffff,
    0x0ffffffb,0x7ffffc40,0x70000fff,0x7009ffff,0xbfffffff,0x3fffea00,
    0x3ffa02ff,0xff03ffff,0x7fe4bfff,0x1005ffff,0x80007fff,0xfffffffb,
    0x7fffec05,0x000004ff,0xfffffb00,0xfffff700,0xfffff83f,0x27ffc404,
    0x3ffff600,0x7ffec00f,0xfe8807ff,0x3ffffb84,0x07ffff10,0x4007ffdc,
    0x3ea0ffff,0xfff904ff,0xffffffff,0xf900005f,0x900000df,0xffffffff,
    0x01ffffff,0x01ffffc8,0x0dfffff0,0x20fffff2,0x000ffffb,0x6edcc16c,
    0x7ffcc003,0x5c002fff,0x00ffffff,0xffffffc8,0xfff30003,0x3fa009ff,
    0x000fffff,0x3ffffff5,0x7ffffd40,0xffffd05f,0x7ffffccb,0x9ff7006f,
    0x3ffe0000,0x5400ffff,0x05ffffff,0xf5000000,0xf5009fff,0xfd07ffff,
    0xfa80dfff,0x7fe4004f,0xfc804fff,0x5007ffff,0xffffb09f,0x27fffc09,
    0x400fff20,0x01b880ba,0xffbdfff3,0x0bffffff,0xffff8800,0x75c00002,
    0xfffeeeee,0x400eefff,0x2003efd8,0xf03ffffb,0xf505ffff,0x0000bfff,
    0x3fe60000,0x4002ffff,0x0ffffffb,0xfffff880,0xfff10006,0x2e009fff,
    0x004fffff,0x3fffffea,0x7fffe401,0xffffd04f,0xfffffc8b,0x009fb006,
    0x7fffdc00,0xfff9004f,0x000009ff,0x00e64400,0x1fffffa8,0x06ffffd8,
    0x220027ec,0x00ffffff,0x7fffffc8,0xf84f8810,0x3e07ffff,0xfc805fff,
    0xc8000005,0x7ffdc0bf,0x0000ffff,0x017fffee,0xffe80000,0x008006ff,
    0x207dd700,0x82fffff9,0x007ffff9,0xf3000000,0x005fffff,0xffffffb8,
    0xdddd7000,0x3ff60005,0x2004ffff,0x000deeed,0x3fffffea,0x7fb18801,
    0x17ffffa0,0x8027e462,0xd800003c,0x2000deee,0x0007fb18,0x80000000,
    0x81fffffa,0x406ffffd,0xffd8003c,0xf9005fff,0x360fffff,0x7ffc26c0,
    0xfff01fff,0x012e007f,0x05f10000,0x7fffffdc,0x3ffe0002,0x00001fff,
    0xdffffd00,0x00000000,0x1fffffa8,0x0fffff98,0x80000000,0x2ffffff9,
    0x7fffdc00,0x000000ff,0x7ffdfdc0,0x000004ff,0x3ffffea0,0x17fc001f,
    0x05ffffe8,0x00001ff4,0x00000000,0x000005ff,0xfa800000,0xfd81ffff,
    0x00007fff,0xffffff98,0xffff9002,0x5303e0ff,0xdfffffb0,0x0ffff881,
    0x54400000,0x401cc01b,0x02fffffe,0xfffff500,0x9800009f,0x3fffa0ab,
    0x5cc4006f,0x4400001a,0x981fffff,0x6406ffff,0x47ffffff,0x5fffffff,
    0x7ffffcc0,0x7fdc002f,0x0000ffff,0x7d7e6000,0x0004ffff,0x7d401530,
    0x001fffff,0xffe81bea,0x3fe605ff,0x03730000,0x01b98000,0x00037d40,
    0x10000373,0x7fffd400,0xffffd81f,0x02a60007,0x3ffffffb,0x3ffff200,
    0x000f887f,0xdffffff7,0x02fffdc1,0xfff70000,0x80007fff,0x01fffffb,
    0xfffffd00,0x980001ff,0xd3ffffec,0x200dffff,0xffffffeb,0x3f600002,
    0xffa82fff,0xff9804ff,0xffb87fff,0x7cc05fff,0x002fffff,0x7fffffdc,
    0x3fffe200,0x22005fff,0xfffff0ee,0xfffff509,0x7ff543ff,0xffff501f,
    0x7e4003ff,0x3ffffa02,0xfb8fee05,0x70ffffff,0x209fffff,0xfffffffb,
    0x9fffff70,0xfc8bf200,0x70ffffff,0x009fffff,0xfa801660,0xfd81ffff,
    0xfff57fff,0x7543ffff,0x3ffa1fff,0x9001ffff,0x70ffffff,0x3fe2001f,
    0xd2ffffff,0x3fe20bff,0x405fffff,0xfb0cffd8,0x7d40009f,0x30007fff,
    0xffffffbf,0x7fd40007,0xedfeceff,0xc806ffff,0xfff98dff,0x7fffc44f,
    0xff505fff,0xfff707ff,0x3ff6003f,0xfff887ff,0x7fcc05ff,0x4002ffff,
    0x0ffffffb,0xfffffb80,0xf87f6005,0x3a04ffff,0xf71fffff,0x2a09ffff,
    0x01ffffff,0xfe807f50,0x9f305fff,0xffffff30,0xffffff91,0x3ffe607f,
    0xfffc8fff,0x5403ffff,0xffff983f,0xffffc8ff,0xb8003fff,0x3ffea004,
    0xfffd81ff,0x7ffff47f,0xfffff71f,0x7fffffc9,0xfff9000f,0x0ff88fff,
    0x3fffee00,0x3ffeffff,0xfffffb80,0x237ff405,0x0003fff9,0x009ffff7,
    0x7fff5b60,0xf30007ff,0xffa8dfff,0x6c06ffff,0x7ffec6ff,0xffffb82f,
    0x3fff605f,0x03fffe86,0x1fffff60,0x02fffffc,0x3fffffe6,0x7ffdc002,
    0xff000fff,0x2e00bfff,0x7ffffc3f,0x3fffee04,0xfffffa9f,0xffff505f,
    0x5f7003ff,0xbffffd00,0x7e409f50,0x9bfeffff,0x00fffffd,0xfdfffff9,
    0xfffffb37,0xc80bee01,0xbfefffff,0x0fffffd9,0x50026c00,0xb03fffff,
    0xfb8fffff,0xffa9ffff,0xff35ffff,0x400fffff,0x27fffffc,0x4000ffe9,
    0xfffffffc,0x3fe003ff,0x3ee05fff,0xfffe83ff,0xfffc8000,0x3f88001f,
    0x5ffffff7,0xffffd000,0xfffff705,0x1fffe40d,0x417fffee,0x405fffff,
    0xd98dfffc,0x64001fff,0xff07ffff,0xf980bfff,0x002fffff,0x7fffffdc,
    0xffffd000,0xf0bf300b,0x5409ffff,0xdfafffff,0x502ffffb,0x03ffffff,
    0xe8006744,0x6f45ffff,0x7fffe401,0x3ffe21ff,0xfff904ff,0x7fc43fff,
    0x67444fff,0x7fffe400,0x3ffe20ff,0x3ea003ff,0x3ffea002,0xfffd81ff,
    0x7fffd47f,0xfffbdfaf,0xfffff52f,0x7fe400ff,0xffecffff,0xfa8000ff,
    0xffffffff,0xffffd002,0x3fffe20b,0x04fffc81,0x05fffd80,0x3e21f900,
    0x006fffff,0x03ffffd4,0x20dffffd,0x441ffff8,0xfd06ffff,0xb100bfff,
    0x19dfffff,0xffff9000,0x3ffffe0f,0x7fffcc05,0x7dc002ff,0x000fffff,
    0x00bffffd,0xffff01fd,0x7ffd409f,0x3b225fff,0x3fffea04,0x002201ff,
    0x8bffffd0,0xffff7000,0xffffd05f,0x3fffee0b,0xffffe82f,0xfc800445,
    0xff82ffff,0xf5005fff,0xfffa800d,0xfffd81ff,0x7fffd47f,0x93b225ff,
    0x6ffffffb,0x3ffff200,0xfffffeff,0xfff50000,0x07ffffff,0x0bffffd0,
    0x203ffff2,0x4007fffc,0x000ffff8,0x7fe44f88,0x2001ffff,0x205ffffc,
    0x906ffffe,0xfb01ffff,0x3ffa07ff,0xbeb805ff,0xc8000199,0xff07ffff,
    0xf980bfff,0x002fffff,0x7fffffdc,0xffffd000,0xf02fc80b,0x5409ffff,
    0x00ffffff,0xfffffa80,0x7400001f,0x0005ffff,0x01fffff7,0x20bffffd,
    0x80fffffb,0x005ffffe,0x3fffff20,0x5ffffe80,0x003ffd80,0x0fffffd4,
    0x23ffffec,0x0ffffffa,0xfffffa80,0x3ff2006f,0xff937fff,0xff50001f,
    0xffffffff,0xfffe805f,0xffffd05f,0x03ffff20,0x03fffb80,0xf981f700,
    0x005fffff,0x813ffff6,0xf06ffffe,0x7101ffff,0x7fff405b,0x07fa205f,
    0x3ff20000,0xffff07ff,0xfff980bf,0x5c002fff,0x00ffffff,0x0bffffd0,
    0xfff027d4,0x7fd409ff,0x50006fff,0x03ffffff,0xfffe8000,0xff70005f,
    0xffd01fff,0x3fee0dff,0xffe80fff,0x320006ff,0xe80fffff,0x2605ffff,
    0x4000fffe,0x81fffffb,0x547ffffd,0x006fffff,0xfffffff3,0x7fffe400,
    0x007fcc7f,0x32dffb10,0xffffffff,0x3ffffa00,0x9fffff05,0xfffd9999,
    0x7ff4003f,0x417e0004,0x0ffffffd,0x9fffff00,0x37ffff40,0x07ffffc4,
    0xffffd000,0x007ff40b,0x7ffe4000,0xfffff07f,0xffff980b,0x7dc002ff,
    0x000fffff,0x20bffffd,0x7ffc06f8,0x3fea04ff,0x50004fff,0x03ffffff,
    0xfffe8000,0xff70005f,0xffd01fff,0x3fee0dff,0xffe80fff,0x320006ff,
    0xe80fffff,0xf306ffff,0x70009fff,0xb05fffff,0xfa8fffff,0x1004ffff,
    0x0fffffff,0x7ffffe40,0x1000fd87,0x7dc5fffd,0x03ffffff,0x217ffffa,
    0xeefffff8,0xeeeeeeee,0x0dff7001,0xa80fd400,0x04ffffff,0x4fffff88,
    0x1bffffa0,0x0bffffe6,0xffffe800,0x5bfff305,0x00033333,0x83ffffe4,
    0x405fffff,0x2ffffff9,0x7fffdc00,0xffd000ff,0x33fa0bff,0xfaaaaaaa,
    0x82adffff,0x03fffffa,0xfffff500,0xe800003f,0x0005ffff,0x01fffff7,
    0x20dffffd,0x80fffffb,0x006ffffe,0x3fffff20,0x6ffffe80,0x0fffff98,
    0x7fff4400,0x7fec0dff,0x7ffd47ff,0x3fa003ff,0x000fffff,0x0ffffff9,
    0x3ee001f3,0x7fd40fff,0x3a05ffff,0xfa85ffff,0x0000ffff,0x003bfe20,
    0x7f406e80,0x400fffff,0x04fffffa,0x21bffffa,0x03fffffa,0x3ffffa00,
    0xfffff905,0xffffffff,0x3ff20039,0xffff07ff,0xfff980bf,0x01982fff,
    0x1ffffff7,0x3ffffa00,0xffffff05,0xffffffff,0xfa81ffff,0x0002ffff,
    0x3ffffff5,0x3a02e000,0x0005ffff,0x01fffff7,0x20dffffd,0x80fffffb,
    0x006ffffe,0x3fffff20,0x6ffffe80,0x06ffffd8,0x7ffffd40,0x3f60ffff,
    0x7fd47fff,0x2e002fff,0x01ffffff,0xffffff90,0x8a601f10,0xf706fffe,
    0x740fffff,0xfa85ffff,0x0002ffff,0x0003ffa0,0xaaaacf98,0xffffdaaa,
    0x7fd403ff,0x3fa04fff,0xffa86fff,0x20004fff,0x705ffffe,0xffffffff,
    0x7fffffff,0xfffff900,0x17ffffe0,0xffffff30,0x077ff445,0x1fffffee,
    0x5ffffe80,0xfffffff0,0xffffffff,0xffa81fff,0x50001fff,0x03ffffff,
    0x3fa03e00,0x70005fff,0xd01fffff,0x2e0dffff,0xe80fffff,0x0006ffff,
    0x03fffff2,0x11bffffa,0x109fffff,0x800019d9,0x547ffffd,0x001fffff,
    0x3fffffe2,0xffff9002,0x6c03a0ff,0x0bffff12,0x3fffffe2,0xbffffd01,
    0x7fffff30,0x3fee0000,0x7fec0001,0xffffffff,0x06ffffff,0x27ffffcc,
    0x0dffffd0,0x0dfffff1,0x7ffff400,0xfffff105,0xffffffff,0xfc805fff,
    0xfff07fff,0xff980bff,0x3f22ffff,0x7fdc3fff,0x3a007fff,0xff05ffff,
    0xffffffff,0xffffffff,0xfffffa81,0xfff50001,0x50003fff,0x3ffffa0f,
    0xfff70005,0xfffd01ff,0x3ffee0df,0xfffe80ff,0x3f20006f,0xfe80ffff,
    0x7fd46fff,0xffb84fff,0x7ec0005f,0x7fd46fff,0x64001fff,0x005fffff,
    0x0ffffff9,0xfb8fc402,0x3f604fff,0xfd00ffff,0xff10bfff,0x0000dfff,
    0x49803ff3,0x2666fe20,0xfc999999,0x202fffff,0x05fffff8,0x41bffffa,
    0x02ffffff,0xbffffd00,0x7ffff4c0,0xffffffff,0x7fe405ff,0xffff07ff,
    0xfff980bf,0x3ffe2fff,0x7ffdc5ff,0x3fa006ff,0xddb05fff,0xfddddddd,
    0x1ddfffff,0x1fffffa8,0xffff5000,0xdb0003ff,0x17ffffa0,0x7fffdc00,
    0xffffe80f,0xfffff706,0xdffffd01,0x7ffe4000,0xfffe80ff,0x7fffe46f,
    0xffffd83f,0x3ff60000,0x7ffd45ff,0x744001ff,0x800fffff,0x07fffffc,
    0xffa87e40,0x3fea05ff,0x3ffa07ff,0xfffd05ff,0x00a805ff,0x7d003ff1,
    0xf1003e40,0x80dfffff,0x207ffffe,0xd06ffffe,0x01dfffff,0xbffffd00,
    0x777fe440,0xffffeeee,0x7fdc07ff,0xfff987ff,0x7fcc05ff,0x3fa2ffff,
    0x7fdc4fff,0x3a004fff,0x0005ffff,0x027ffffc,0x03fffff5,0x3fffea00,
    0x7cc001ff,0xbffffd05,0x3ffee000,0xfffe80ff,0xffff706f,0xffffd01f,
    0x7fe4000d,0xffe80fff,0x7ffdc6ff,0xfffb84ff,0x4395000f,0x544ffffd,
    0x001fffff,0x4fffff98,0xfffffd80,0x89fea007,0x2606ffff,0x3a05ffff,
    0xf705ffff,0x4c0dffff,0x559fd00f,0xfd755555,0x0013e603,0x3ffffffb,
    0x7ffffdc0,0xfffff881,0xfffff506,0x740e409f,0xf705ffff,0x3faa00df,
    0x7ffd405f,0x3ffe21ff,0x7d405fff,0x322fffff,0xffc87fff,0x3a001fff,
    0x0005ffff,0x027ffffc,0x03fffff5,0x3fffea00,0x3a2001ff,0xffffd05f,
    0x3fee000b,0xffe80fff,0xfff706ff,0xfffd01ff,0x7e4000df,0xfe80ffff,
    0x7fcc6fff,0xff885fff,0xdff3006f,0x21ffffec,0x01fffffa,0xfffff500,
    0xffffe801,0xffa800ff,0x03ffff46,0x401ffff9,0x105ffffe,0x1dffffff,
    0xff903f98,0xffffffff,0x3f601fff,0x7ffcc001,0x3e205fff,0xfd85ffff,
    0x3a06ffff,0x0bffffff,0x7ff41b62,0xfff885ff,0x0ffea001,0xbfffff10,
    0xffffdd53,0xfffb80df,0x3fa23fff,0xffffe84f,0x7fff4002,0x7fc0006f,
    0x3ea04fff,0x0001ffff,0x5ffffff5,0x13ffa200,0x037ffff4,0xfffffc80,
    0x6ffffe80,0x1fffff90,0x0dffffd0,0x7fffe400,0xffffe80f,0xfffffd86,
    0x003ffd80,0x7fecfff9,0x7ffd41ff,0x260001ff,0x501ffffe,0x3fffffff,
    0x27ffecc0,0x413fffe2,0x7402fffe,0x2a06ffff,0xdfffffff,0xff705fec,
    0xffffffff,0x3e60dfff,0xfffd0007,0x7dc03fff,0xf913ffff,0x03ffffff,
    0x3fffffe6,0x01ffedff,0x30dffffd,0x5c005fff,0xffa800ff,0xf8dfffff,
    0x301fffff,0xffffffff,0x45fffcc3,0x02ffffc8,0x6fffff80,0x7fffc000,
    0x3ffee04f,0xf70002ff,0x009fffff,0x207fffd3,0x006fffff,0x3fffff90,
    0x0ffffff0,0x07fffff2,0x01fffffe,0xfffffc80,0x6fffff81,0xefffff88,
    0x10027f41,0x7fff4fff,0xfffffb82,0xffd80002,0xfca9bdff,0xffffffff,
    0xffedcccd,0xffa83fff,0x3ff662ff,0xffff802f,0x7ffd406f,0x05ffffff,
    0xfffffff3,0xbfffffff,0x0003ffa0,0x3ffffff2,0x7fffdc06,0xffe9ffff,
    0x980effff,0xffffffff,0x3ffe01ff,0xfffd06ff,0x03df7001,0x7ffffdc0,
    0x3fffffe4,0xffffd14f,0xffffffff,0xffff911d,0x0005dfff,0x5ffffff7,
    0x7fffc000,0xfffd104f,0xf3000bff,0xbfffffff,0xffd99999,0xf705ffff,
    0x005fffff,0xfffffe98,0x7ffffdc4,0x7fff4c2f,0x7ffdc4ff,0x98002fff,
    0x44fffffe,0x2ffffffb,0xfffffd88,0x8003ffcd,0xfffccffc,0xffffe884,
    0x7100005f,0xfffffffd,0xffffffff,0xffffffff,0x32205fff,0xfffeffff,
    0xfffb800c,0x74c02fff,0x03ffffff,0xfffffff1,0xffffffff,0x4fffea87,
    0x7fff4400,0x200cffff,0x0efffffb,0x157bfffd,0x7fffec40,0x3ee00bef,
    0x882fffff,0xaccdfffc,0x00dffdcb,0x00037300,0xba880000,0x88001acc,
    0xffffffff,0xff8000ff,0xffa84fff,0x4fffffff,0x7ffff440,0xffffffff,
    0xffffffff,0x3fe21fff,0xffffffff,0xffffb800,0xff97ffff,0x2dffffff,
    0xfffffffb,0xfffff97f,0x5c00dfff,0xffffffff,0xffffff96,0x37260bff,
    0x000bcefe,0x2b3fb6a0,0xfffffa80,0x0004ffff,0x4cd54cc0,0x00000019,
    0x03577531,0x3ffffe20,0x400fffff,0x200abb98,0xfffffffe,0xffffffff,
    0x3fffff22,0x3b202eff,0xffffffff,0x5c403fff,0x0005541b,0x400ab988,
    0xfffffff8,0xcb880fff,0x9acdeeed,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99990000,0x99999999,0x33326599,0x01cccccc,0x99999990,
    0x54400099,0xcccca802,0x0ccccccc,0x33333332,0x00cccccc,0x19999999,
    0x0000bc88,0x332a0000,0x903ccccc,0x99999999,0x88199999,0xcccccccc,
    0x9999950c,0x39999999,0x666664c0,0x99912ccc,0x00079999,0x66666644,
    0xcccccccc,0x99999970,0x59999999,0x33333322,0xaacccccc,0x2200009a,
    0x03b01cdb,0x981ceca8,0xab988005,0x33332201,0xcccccccc,0xca8001cc,
    0x00cccccc,0x33333200,0x4c0003cc,0x9800001b,0x06ea200a,0x7fffe413,
    0x742fffff,0x402fffff,0xfffffca9,0x109befff,0xffffffb7,0xd75001ff,
    0x4459ffff,0x5fffffff,0x39ffffb3,0x3ffff660,0x20bdffff,0xffffffba,
    0x2a02bfff,0x5c3efffc,0x7001ffff,0x03bfffdb,0xfffd7300,0x36ea0dff,
    0xffffffff,0xfd9501ac,0x6cc37dff,0xffffffff,0x2a200abe,0x1efffffc,
    0x3fffff6a,0x6dcc0005,0xffffffff,0x3f6a21be,0xffffffff,0x3f6e609c,
    0xffffffff,0x1cefffff,0x3fffea00,0x01f70bef,0x6fffffe4,0x2006e88a,
    0xffffffeb,0xfffd7502,0x57dfffff,0xffb30001,0x0001ffff,0x7fffffe4,
    0x7ffffdc5,0xffff70ff,0x3ffea09f,0x3aa1ffff,0x7ec41fff,0x2fcdffff,
    0x7fffffdc,0x07bfe606,0xfffff500,0xffc801ff,0x00efffff,0x4403ff60,
    0x9dfffffb,0xffffffff,0x3ffff201,0x7fcc07ff,0x002fffff,0x3fe07fee,
    0x75405fff,0xffff99ff,0xfff10000,0xffb00dff,0x4007ffff,0x2601ffe8,
    0x1fffffff,0x3fff8800,0xbfffff10,0x7fec0000,0xa806ffff,0x0fffffff,
    0xfffffd80,0xfeb9999f,0xf801efff,0xffffffff,0x3fea07ff,0xffffffff,
    0xbff9005f,0x09ffff31,0xffffffd8,0x3fa00005,0x0000ffff,0x2fffffc4,
    0x7fffffcc,0xffffffc8,0x3fffa03f,0xffff71ff,0x67ff449f,0x83fffd98,
    0x05fffffc,0xf8000fec,0x005fffff,0xfffffff9,0x027d400b,0x7f7ffffc,
    0xffffd88c,0xffff100f,0xfc801fff,0x003fffff,0x3fe613e6,0xf300ffff,
    0x7fffcdff,0x3ffa0005,0xffb806ff,0x4001ffff,0xffd804fc,0x0002ffff,
    0xfff807fd,0x200005ff,0x4ffffffb,0xfffff880,0xfff7006f,0x3f203fff,
    0x2e03ffff,0xffffffff,0x3f604fff,0xffffffff,0xffd801ff,0x17fffec6,
    0xffffff70,0x7e400003,0x0000ffff,0x05fffff8,0xfdfffff9,0xfffffb37,
    0x3fffee01,0xfffffa9f,0x21fff25f,0xff883ff9,0x37407fff,0xfffff000,
    0x3fea009f,0x03ffffff,0xff009f30,0xfb0bffff,0x7e40bfff,0x402fffff,
    0x6ffffff8,0x7c07ee00,0xf105ffff,0x7ffc9fff,0x3fa0004f,0xfb806fff,
    0x000fffff,0x7cc01fdc,0x005fffff,0xfe806f88,0x40005fff,0xfffffffe,
    0xffffffff,0xffffffff,0x02ffffff,0x3ffffff5,0x7ffffe40,0xd711d904,
    0x01dfffff,0xfffb8a7c,0xfc804fff,0x7ffdc3ff,0x3ffea05f,0x80001fff,
    0xfffffffc,0x004fffff,0x82fffff4,0x1ffffffc,0x13ffffe2,0x57ffffd4,
    0x2ffffbdf,0x2a03fffe,0xffff904f,0x00be205f,0xffffff80,0xffff5004,
    0x003fffff,0xfff007f1,0xff501fff,0x3e205fff,0x805fffff,0x1ffffffd,
    0x7e40dd00,0xff702fff,0x6ff54bff,0x3ffa0000,0xffb806ff,0x4000ffff,
    0xffb002f9,0x8001ffff,0xffe802fa,0x6c0005ff,0xfffffeee,0xeeeeeeef,
    0xfffffeee,0x501eeeff,0x03ffffff,0x7fffff44,0xdb883c83,0x981e803d,
    0xf8802ddb,0x7fc41fff,0x3fea06ff,0x0001ffff,0xffffeeb8,0x03eeeeef,
    0x2fffff40,0x2fffffb8,0x05ffffe8,0xbffffff5,0xff327644,0x09b01bff,
    0x1bffffe2,0x3e0003dc,0x004fffff,0xfffff5f5,0xf8801fff,0xfffff802,
    0x3ffffe05,0x3ffff604,0x7fcc00ff,0x8804ffff,0x0e6cc03f,0x0bffff90,
    0x3ffa0000,0xffb806ff,0x4000ffff,0xff5002f9,0x8009ffff,0xfffd006e,
    0x4c0000bf,0x02ffffff,0x9ffffff0,0x3fffea00,0x7fd401ff,0x0001ffff,
    0x90000000,0xfb01ffff,0x7fd407ff,0x0001ffff,0x3ffffee0,0xffe80000,
    0xfff705ff,0xfffd01ff,0x3ffea0bf,0xf9800fff,0x4c1effff,0x3ffff604,
    0x0004e81f,0x27fffffc,0xffb8fa80,0x406fffff,0xfff802f8,0x3ffa05ff,
    0x3fea05ff,0xe803ffff,0x807fffff,0xd00000fb,0x000bffff,0x3ffffa00,
    0xffffb806,0x7cc000ff,0x3fffa002,0x3e6007ff,0xffffd002,0x7cc0000b,
    0x002fffff,0x09ffffff,0x3ffffea0,0x7ffc401f,0x00006fff,0xff000000,
    0xb7101fff,0xffffa805,0x0001c1ff,0x01fffff7,0xffffd000,0x3fffee0b,
    0xffffe80f,0xfffff506,0x7fff400d,0x26003fff,0x4c5fffff,0x7fc0001f,
    0x5004ffff,0x3ffff21f,0x3e204fff,0xfffff802,0x3ffffa05,0x7ffff407,
    0xfffb806f,0x2f402fff,0xfffd0000,0xb98000bf,0x3ffffa0a,0xffffb806,
    0x7cc000ff,0x3ffee002,0xf9002fff,0x7ffff400,0x00055cc5,0x3fffffe6,
    0xfffff002,0x3fea009f,0xd801ffff,0x01ffffff,0x73000000,0xffff8803,
    0x7d40000f,0x361fffff,0x3fee0007,0x55cc0fff,0xffffd000,0x3fffee0b,
    0xffffe80f,0xfffff506,0x7ffdc009,0x000dffff,0x41fffffd,0xff80006c,
    0x5004ffff,0x7fffec1f,0x5f103fff,0xbfffff00,0x7ffffec0,0x3fffee00,
    0x7fe402ff,0x2605ffff,0x8011002f,0x005ffffe,0xffffec98,0x0dffffd3,
    0xffffff70,0x02f98001,0x3ffffe20,0x03f8806f,0x57ffffa0,0x2dfffffa,
    0xfffff300,0x3ffe005f,0xf5004fff,0x003fffff,0x9ffffff5,0xffffff88,
    0xffff705f,0x3fee1fff,0xff304fff,0x80005fff,0x9ffffffa,0x20002fe8,
    0x70fffffb,0x009fffff,0x0abffffd,0x01fffff7,0x20dffffd,0x03fffffa,
    0x3ffffe20,0xa801efff,0x3e4fffff,0xfff80003,0xf5004fff,0x7ffff441,
    0x2f881fff,0x5fffff80,0x3fffff60,0x3fffe201,0x3fe205ff,0x00ffffff,
    0x41e400f9,0xfffffffc,0xfa803fff,0xdfecefff,0x806ffffe,0x0ffffffb,
    0x0017cc00,0x3ffffff2,0x0007e401,0xf9bffffd,0x5fffffff,0xfffff300,
    0x3ffe005f,0xf5004fff,0x003fffff,0xfffffff3,0x3ffffee0,0x3fffe605,
    0xffffc8ff,0xffa83fff,0x40003fff,0xcffffffa,0x5c0001ef,0xfc8fffff,
    0x03ffffff,0x66fffff4,0x7ffffdc7,0x6ffffe80,0x5fffff50,0xffffa800,
    0x800fffff,0xf57ffffe,0xfff00001,0x2a009fff,0x7fffcc0f,0x7c40ffff,
    0xfffff802,0x3ffff605,0x7ffec00f,0x7f700fff,0x07ffffff,0x84d8013e,
    0xfffffffc,0x7cc03fff,0x7fd46fff,0xb806ffff,0x00ffffff,0x20017cc0,
    0x5ffffff8,0x3a0027c0,0x11ffffff,0x03fffff9,0xffffff98,0xfffff002,
    0x3fea009f,0x8801ffff,0x0fffffff,0x0bfffff0,0xefffffc8,0xffffd9bf,
    0x7fffd40f,0x7d40004f,0x0dffffff,0xfffb8000,0xfeabfeff,0x3a00ffff,
    0x42ffffff,0x80fffffb,0x506ffffe,0x003fffff,0xffffff30,0xff700dff,
    0x00bb7fff,0x3ffffe00,0x01f5004f,0xfffffff5,0xf802f88d,0x3605ffff,
    0xa807ffff,0x03ffffff,0x3ffffebd,0x001fa86f,0xfffd01be,0x7ff400bf,
    0xfffb82ff,0xffb806ff,0x4000ffff,0xfd8002f9,0x700fffff,0xffe8001f,
    0xffc80eff,0x3e600eff,0x002fffff,0x09ffffff,0x7ffdcccc,0x9999afff,
    0x7ffffc41,0xfffd01ff,0xfffc80bf,0x3fe21fff,0x7fc44fff,0x40006fff,
    0x4ffffffa,0x3fee0000,0x3e21ffff,0x3a04ffff,0xb80effff,0xe80fffff,
    0xf506ffff,0x0003ffff,0x3fffff62,0x7fc400ff,0x001fefff,0xffffff00,
    0x403ea009,0xfffffffc,0x3e00be24,0x3a05ffff,0xd005ffff,0x30dfffff,
    0x3ffff25f,0x0036c1ff,0xffe80ff1,0xff5005ff,0x7ff40fff,0xffb806ff,
    0x4000ffff,0xfa8002f9,0xd04fffff,0xfffd000b,0x3ffe60bf,0x3fe603ff,
    0xffffffff,0xffffffff,0xf304ffff,0xffffffff,0x3fffffff,0xfffffff8,
    0xbffffd01,0xfffffb80,0x5ffffe82,0x2ffffff8,0x3ffea000,0x00001fff,
    0x0bffffee,0x817ffffa,0x705ffffe,0xd01fffff,0x2a0dffff,0x001fffff,
    0x3fffee06,0xffc803ff,0x00006fff,0x13fffffe,0xfb007d40,0x25ffffff,
    0xfff802f8,0x3ffa05ff,0xff7004ff,0x6d85ffff,0x3fffffe2,0x9800fe24,
    0x3ffa00ff,0xff9005ff,0x7ff40bff,0xffb806ff,0x4000ffff,0xfd0002f9,
    0xf50fffff,0xfffd0003,0x7fffc0bf,0x3ffe604f,0xeeeeefff,0xfffeeeee,
    0x26604fff,0xffffffb9,0xf819999a,0x02ffffff,0x80bffffd,0x80fffffb,
    0xe85ffffe,0x00efffff,0xfffff500,0x5c00003f,0xe80fffff,0x3a05ffff,
    0xf705ffff,0xfd01ffff,0x3ea0dfff,0x2001ffff,0xfffff307,0xffff3009,
    0x7c00007f,0x004fffff,0x7f4401f5,0x89ffffff,0xffff802f,0xffff105f,
    0x3fe2005f,0x3e25ffff,0x7fffff43,0xa8003ee7,0x3ffa02ff,0xffb005ff,
    0x7ff409ff,0xffb806ff,0x4000ffff,0xf70002f9,0xd85fffff,0xfffd0006,
    0x7fff40bf,0x3ffe606f,0xff002fff,0x2009ffff,0x0ffffffa,0xffffff00,
    0x3fffa03f,0x7ffdc05f,0xfffe80ff,0xffffa86f,0x407204ff,0x1ffffffa,
    0x3fee0000,0xffe80fff,0xfff106ff,0x3fee0bff,0xffe80fff,0xfff506ff,
    0x17c003ff,0x02ffff98,0x01ffffb0,0x7fffc000,0x1f5004ff,0xfffff880,
    0x802f8eff,0x81ffffff,0x006ffffb,0x7fffffec,0xffa81f70,0x0bd2ffff,
    0x204ffc80,0x005ffffe,0x409fffff,0x806ffffe,0x0ffffffb,0x0017cc00,
    0xffffff88,0x4000be66,0x205ffffe,0x207ffffd,0x2ffffff9,0xffffff00,
    0x3ffea009,0xf8800fff,0x207fffff,0x405ffffe,0x80fffffb,0xd06ffffe,
    0x17ffffff,0xfe8836c4,0x001fffff,0x3fffee00,0xffffe80f,0xffffe986,
    0xffff905f,0xffffd01f,0x3fffea0d,0x03fe001f,0x8007fff4,0x0005fffa,
    0x7fffffc0,0x001f5004,0xfffffff5,0xfff005fd,0x7443ffff,0x4002ffff,
    0x3ffffffa,0xffff109d,0x003f3bff,0x3a05ffe8,0x8805ffff,0x204fffff,
    0x806ffffe,0x0ffffffb,0x0017d400,0xffffff90,0xe8001b23,0x3605ffff,
    0x301fffff,0x05ffffff,0x3fffffe0,0xffff5004,0xff3001ff,0x740dffff,
    0x5c05ffff,0xe80fffff,0xf306ffff,0xbfffffff,0xff303ffd,0x03ffffff,
    0x7ffdc000,0xfffe80ff,0x7fefc46f,0xff905fff,0xfff03fff,0x3fee0fff,
    0x3e002fff,0x5ffe80ef,0x017ff400,0x3fffe000,0x1f5004ff,0x3fffee00,
    0xf802ffff,0xefddffff,0x03fffffc,0xfffffd00,0x3f203f5d,0x06efffff,
    0x03fffc40,0x00bffffd,0x09fffff5,0x037ffff4,0x7fffffdc,0x017d4000,
    0xfffff100,0x0007f19f,0x02fffff4,0x01fffffb,0x3fffffe6,0xfffff002,
    0x3fea009f,0xa800ffff,0x05ffffff,0x017ffffa,0x01fffff7,0x40dffffd,
    0xfffffff9,0xefa81fff,0x1ffffffb,0xfb815000,0xfe80ffff,0xe9cc6fff,
    0xe985ffff,0x5c4fffff,0x42ffffff,0x5fffffe8,0x33fffa00,0x006ffb89,
    0x50007fb8,0x7fffffc0,0x001f5004,0x7fffffec,0xffff802f,0xfffff75f,
    0x7dc0005b,0x06ffffff,0x3fffffe6,0x7fd4004f,0xfffd01ff,0xfff500bf,
    0x7ff409ff,0xffa806ff,0x4000ffff,0x6c0001fa,0x7cffffff,0x7fff4000,
    0x3fff605f,0x3ffe607f,0xff002fff,0x2009ffff,0x0ffffffa,0xfffffa80,
    0x3fffa03f,0x7ffdc05f,0xfffe80ff,0x7fec406f,0x880befff,0xfffff55f,
    0x21e0003f,0x80fffffb,0x206ffffe,0x5c5ffffe,0xffffffff,0xffffff97,
    0x3ffeadff,0x04ffffff,0xfffecee8,0x88000dff,0x7fdc004f,0xfffff83f,
    0x01f5003f,0xfffffe80,0xffff802f,0x0015cc5f,0xfffff880,0x7ff402ff,
    0x4000ffff,0xd03ffffc,0x300bffff,0x409fffff,0x806ffffe,0x1ffffffa,
    0x0007dc00,0x3ffffe60,0x740004ff,0x3605ffff,0x2605ffff,0x02ffffff,
    0x9ffffff0,0x3fffea00,0xffc800ff,0x3a00ffff,0x5c05ffff,0xe80fffff,
    0x1006ffff,0x388019f3,0x3fffffea,0xb8798001,0xe80fffff,0x3a06ffff,
    0x0005ffff,0x80000000,0x02bb620b,0x000f8800,0x21ffffe2,0x03ffffff,
    0x88001f50,0x02ffffff,0x05fffff8,0xffd80000,0xfb807fff,0x8006ffff,
    0xd05ffffd,0x100bffff,0x40bfffff,0x806ffffe,0x1ffffff9,0x0003ec00,
    0xffffffe8,0x7ff40000,0x3ff605ff,0x3fe603ff,0xf002ffff,0x009fffff,
    0x3fffffea,0x7fffc400,0x7ff402ff,0x7fdc05ff,0xffe80fff,0x3ee006ff,
    0x7fd4000c,0x8001ffff,0xffffb86c,0xffffe80f,0x3ffffa06,0x56f64005,
    0x3ba20000,0xbf30002c,0x05b80001,0x7ffffd40,0x7fffffc2,0x001f5002,
    0x5fffff30,0xbfffff00,0xf5000000,0x1009ffff,0x005fffff,0x0dfffff0,
    0x017ffffa,0x03fffff4,0x00dffffd,0x0bfffffe,0x0000df00,0x13ffffee,
    0x3fffa000,0x3fffe05f,0x3ffe601f,0xff002fff,0x2009ffff,0x0ffffffa,
    0x7ffffdc0,0xffffe805,0x7fffdc05,0xffffe80f,0xffff1006,0x7ffd4001,
    0x44001fff,0xffffb85f,0xffffe80f,0x3ffffa06,0x7fff4005,0x3fe20005,
    0xfe8003ff,0x6fdc01ff,0x2a0017c0,0x7c0fffff,0x000fffff,0x2e0001f5,
    0xf802ffff,0x0005ffff,0xffffd000,0x3fff6001,0x7fcc000f,0xfe80ffff,
    0xf7005fff,0xf103ffff,0x200dffff,0x04fffffc,0x0000ff20,0x01fffff8,
    0xffffe800,0xfffff105,0xfffff980,0xffff002f,0x3ea00bff,0x401fffff,
    0x01ffffff,0x05ffffe8,0x07ffffdc,0x037ffff4,0x02fffc88,0x3ffffea0,
    0x27f4001f,0x07ffffdc,0x037ffff4,0x00bffffd,0x00fffc98,0x1bffaa00,
    0x9fff7100,0x527ffd40,0xfff1000d,0xffff887f,0x07ee005f,0x2fffc800,
    0x5fffff80,0xf7000000,0x7d400bff,0xfa8005ff,0xe81fffff,0x1005ffff,
    0xb0bfffff,0x00dfffff,0x3fffffe6,0x006fb802,0x2fffe400,0xfffe8000,
    0xffff506f,0xffffa805,0xfff002ff,0x2a00bfff,0x01ffffff,0x03bffff6,
    0x37ffff40,0x3fffff20,0x6ffffe80,0x01fffc00,0xffffff50,0x27fe4005,
    0x07ffffe4,0x037ffff4,0x00bfffff,0x005fff10,0x007ffa80,0x6c0bffb0,
    0x00ba6fff,0x207ffdc0,0x006ffffa,0x200027f4,0xff802ffe,0x00005fff,
    0x03fff100,0x001fff80,0xffffffa8,0x5fffff81,0x3fffee00,0xffff913f,
    0x2e003fff,0x02ffffff,0x0001df71,0x02fff880,0xffffd000,0x9fffd05f,
    0xfffff500,0xfff1007f,0x2e00dfff,0x82ffffff,0x04ffffe8,0x37ffffc0,
    0x3fffff20,0x7fffff81,0x03ffe600,0xfffffb80,0xffe9804f,0xffffc83f,
    0xfffff81f,0x3ffffe07,0xfffa8006,0x7fec0000,0x7fff0006,0x57fffdc0,
    0x7e40006d,0xffe98adf,0x3f2000ef,0x10000bff,0xfff005ff,0x00000dff,
    0x40037ec0,0xf10006fc,0x3e0dffff,0x4006ffff,0xfffffffb,0xfffffe9f,
    0xffb800ef,0xcbdfffff,0x0000effe,0x000dfb00,0x7f77ff40,0x9fff712e,
    0xffffd100,0xfd803fff,0x03ffffff,0x7fffffcc,0xffedcdff,0x5c001cff,
    0x02ffffff,0x9fffffd3,0xffffffb8,0x7ff5cc02,0x3ffe2003,0xccdfffff,
    0xfffedccc,0x7ff442ff,0x7fd44fff,0xfa82ffff,0x802fffff,0x02fffca8,
    0xfffb7100,0x7ed4c001,0x7ffc404f,0x80001eff,0xffffffea,0xfea800cf,
    0x1effffff,0x202f9800,0xffffffc8,0x50000002,0x7f30007f,0x7ffec000,
    0xffffa84f,0x7dc002ff,0xfd0effff,0x00157bff,0x7ffffec4,0x002effff,
    0x017cc000,0x5c7fd000,0x2effffff,0x3fffba20,0xffffffff,0xffffd91e,
    0xdfffffff,0x3ffffa67,0xffffffff,0x8001ceff,0xfffffff8,0x3fee0fff,
    0x97ffffff,0xffffffff,0x2f7ba60d,0xffee8801,0xffffffff,0xffffffff,
    0x3ee1ffff,0x7fffffff,0xfffffff9,0x3fffe2df,0x406fffff,0x000bcdea,
    0x00b37b20,0x00af3ba0,0x006775c4,0x32ea6000,0x000000ab,0x4406a000,
    0xeeeeeeee,0x000002ee,0x190000c8,0x2dda8000,0x7fffffdc,0x4002ffff,
    0x05541bb8,0x99550000,0x00003579,0x00002400,0x2ee6202e,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6664c000,
    0xcccccccc,0xcccccccc,0x000ccccc,0x33333220,0xcccccccc,0xcccccccc,
    0x66442ccc,0xcccccccc,0x009aaacc,0xccccc880,0xcccccccc,0xfffe8002,
    0xffff985f,0x9999902f,0x91099999,0x20079999,0x64400cb8,0xcccccccc,
    0x001ccccc,0xcccccc88,0x32e2003c,0x6442c980,0xcccccccc,0x970ccccc,
    0x99999999,0x32259999,0xcccccccc,0x6442cccc,0xcccccccc,0x33333223,
    0xcccccccc,0x3000aaaa,0x99999999,0x35559999,0x99910001,0x95079999,
    0x00999999,0x99999100,0x01999999,0x66665c00,0x11cccccc,0x99999999,
    0x99999999,0x87999999,0xccccccca,0x01a80000,0x7fffffdc,0xffffffff,
    0xffffffff,0x4c0001ff,0xffffffca,0xffffffff,0x5fffffff,0xffffdb98,
    0xffffffff,0x2001ceff,0xfffffca9,0x0009beff,0x85ffffe8,0x02fffff9,
    0xfffffff9,0xffd7107b,0xfff1007f,0xfdb9805f,0xdfffffff,0xd700009a,
    0x00dfffff,0xf507fffc,0xfda98bff,0xdfffffff,0x3ff2a21b,0xbeffffff,
    0x3fffae09,0xacffffff,0xffffba80,0x6dd41bef,0xffffffff,0xffffffff,
    0x3ae6200d,0xffffffff,0xbeffffff,0x3ffae001,0xfd986fff,0x000fffff,
    0xfffdb980,0x003fffff,0xffffff10,0x4c137dff,0xffffffdb,0xffffffff,
    0x4c6fffff,0x0ffffffd,0x3ffea000,0xbfff701e,0x3ffee135,0xd7510fff,
    0x00003fff,0x7fff77ec,0x2a6666ff,0x405ffffc,0x9ffffffd,0xfffeb999,
    0x7e4001ef,0x002fffff,0x2fffff40,0x17ffffcc,0xffffff50,0x00ffa801,
    0x0bffff90,0x7ffffec0,0x2200004f,0x006fffff,0x749ffff5,0xf900ffff,
    0x00bfffff,0xfffffff3,0xffffd801,0xf7006fff,0x3f6007ff,0x988fffff,
    0xffffffda,0xfffe8801,0xf95337ff,0x001bffff,0x1bffffe2,0x0fffffd8,
    0x7fec0000,0x006fffff,0xffffff90,0xff9001df,0x9985ffff,0x06ffffb9,
    0x01fffffb,0x7ffff400,0x207ff705,0x0ffffffb,0x0003ffb0,0x7fed7ec0,
    0x74406fff,0x7fdc05ff,0xf901ffff,0x4007ffff,0x07fffffa,0xffffe800,
    0xfffff985,0x7fffec02,0x01fd402f,0x0fffffb0,0x7ffffd40,0x7c00002f,
    0x5006ffff,0x7ec7ffff,0xff500fff,0x2007ffff,0x05ffffff,0xfffffe88,
    0xff9800ff,0x3ffea003,0xffc80fff,0xc802ffff,0x107fffff,0x05fffffb,
    0x1bffffe0,0x0fffffc8,0x77d40000,0x02ffffff,0xffffdf80,0xff5004ff,
    0x8805ffff,0xff906ffd,0x20001fff,0x0ffffff9,0x3ee04fb8,0x200fffff,
    0x300001fe,0x3ffff6bf,0x0bfb006f,0xffffffa8,0x3ffff201,0xfff5004f,
    0xd0000fff,0xf30bffff,0xa805ffff,0x404fffff,0x3ea000fc,0x2a003fff,
    0x01ffffff,0x7fff4000,0x3ffa006f,0x17ffea0f,0xffffff98,0xfffff002,
    0x3fe600bf,0x804fffff,0x7d4005fc,0x900fffff,0x01ffffff,0x7fffffc8,
    0x7fffff40,0xffffe803,0x3ffff206,0x5400000f,0xffffffaf,0x7d7d4005,
    0x004fffff,0x5ffffff3,0x5c1bf200,0x000fffff,0xffffff10,0xfb803ee0,
    0x200fffff,0xd00001fa,0x3ffff61f,0x0bf3006f,0xffffffa8,0x3fffa201,
    0xffa803ff,0x80007fff,0x985ffffe,0x802fffff,0x407fffff,0xffc8005f,
    0x3fea000c,0x0001ffff,0x37ffff40,0x2202ea00,0x7ffcc01b,0xff002fff,
    0x400bffff,0xfffffffc,0x001be601,0x3fffffea,0xfffff300,0xfffc805f,
    0x7fc407ff,0x7401ffff,0x3206ffff,0x000fffff,0x7ecfd400,0x001fffff,
    0x7ffffdb6,0xfff3004f,0x74005fff,0xfffff706,0x7fec0001,0x80b704ff,
    0x0ffffffb,0x40000fc0,0x3fff63fa,0xbd0106ff,0xfffffa80,0x7ffd401f,
    0x7d401fff,0xaaafffff,0x3fa00099,0xff985fff,0xfc802fff,0xf302ffff,
    0x00040005,0x7fffffd4,0x7f400001,0x00006fff,0xffff9800,0xfff002ff,
    0xe8009fff,0x06ffffff,0x50001dd1,0x01ffffff,0x2ffffffc,0x3fffff20,
    0xffffc807,0x3ffa00ff,0x3ff206ff,0x00000fff,0x7ffccfd4,0xf3004fff,
    0x3fffffe7,0xffff3004,0x2e0205ff,0xfffff706,0x7e440001,0x805700bf,
    0x0ffffffb,0x20000e40,0x7ffec5f8,0xb81b06ff,0x7fffd405,0x7fc401ff,
    0x5406ffff,0xffffffff,0x02dfffff,0x42fffff4,0x02fffff9,0x5fffff98,
    0x00000f90,0xfffff500,0xe800003f,0x0006ffff,0xfff98000,0xff002fff,
    0x8009ffff,0xfffffff9,0x0001fd84,0x1ffffff5,0x7fffff40,0x7fffe407,
    0xfff9807f,0x3fa04fff,0x3f206fff,0x0000ffff,0xffe8fd40,0xc800ffff,
    0xffffff0f,0x3ffe6009,0x30d02fff,0x3fffee0d,0x0080000f,0xffff7000,
    0x000001ff,0xffd81f90,0x81d06fff,0x7ffd4028,0xfd801fff,0x201fffff,
    0x9ffffffa,0xfffffdba,0xffffd00e,0xfffff30b,0x3fffa005,0x004f80ff,
    0xffa80000,0x0001ffff,0x37ffff40,0x4c000000,0x02ffffff,0x9ffffff0,
    0xffff9000,0x17e43fff,0xffff5000,0x3fe201ff,0x6405ffff,0x007fffff,
    0x0ffffffd,0x037ffff4,0x01fffff9,0x71fa8000,0x07ffffff,0x7fffc9f0,
    0xff3004ff,0xf105ffff,0x7ffdc0e0,0x00dcc0ff,0x7dc00000,0x000fffff,
    0x41fcc000,0x86fffffd,0xfa8000f8,0x801fffff,0x4ffffffa,0x3ffffea0,
    0xfffffc87,0xffffe81f,0xfffff985,0xffff7002,0x201f985f,0xfffffff8,
    0xffffffff,0xfffff505,0xe800003f,0x2006ffff,0xfffffff8,0xffff3005,
    0x3fe005ff,0x0004ffff,0xdffffffd,0x50000fea,0x01ffffff,0x3fffffea,
    0x7fffe403,0xfff9007f,0x3fa05fff,0x3f206fff,0x7e40ffff,0x05ffffff,
    0xffff0fd4,0x1fa80dff,0x13fffffe,0x7ffffcc0,0x4007a82f,0x50fffffb,
    0x009fffff,0x7fdc0000,0x0000ffff,0xfd837400,0xfb86ffff,0xfffa8000,
    0xf9801fff,0x207fffff,0x07fffffa,0x0dfffff9,0x30bffffd,0x005fffff,
    0x17ffffe2,0xfff880f9,0xffb99aac,0xf501ffff,0x003fffff,0xffffe800,
    0xfffb8006,0xff3005ff,0x2005ffff,0x04ffffff,0xfffff300,0x000bfbff,
    0xffffff50,0x3ffff601,0xfffc806f,0xff5007ff,0x3a0bffff,0x3206ffff,
    0x880fffff,0x800cfffe,0x3fff21fa,0x17a02fff,0x09ffffff,0x3ffffe60,
    0x4007e82f,0xc8fffffb,0x3fffffff,0xf7000000,0x001fffff,0x80fdc000,
    0x46fffffd,0xa8000ff8,0x01ffffff,0xffffff88,0xffff500f,0x3ffea0ff,
    0x7ff42fff,0xfff985ff,0x3fa002ff,0x13e0ffff,0x3a01df10,0x204fffff,
    0x1ffffffa,0x7ff40000,0x401886ff,0x005fffff,0x5ffffff3,0x3ffffe00,
    0x3ee0004f,0x06ffffff,0xffff5000,0xffd881ff,0xc800dfff,0x007fffff,
    0xdffffff5,0x1bffffa0,0x0fffffc8,0x4005ff90,0x3ffe21fa,0x5f305fff,
    0x4ffffff8,0xfffff300,0x007fa85f,0x77ffffdc,0xffffd9bf,0x2600000f,
    0xffdaaaaa,0xaaabffff,0x440000aa,0x3fff604f,0x3ffa66ff,0xf7333000,
    0x335fffff,0xfff88333,0xf501ffff,0x220fffff,0x45ffffff,0x985ffffe,
    0x002fffff,0x4fffffee,0x17c401fa,0xffffffb8,0x3fffea00,0xdfc881ff,
    0x3fffa001,0x077fe46f,0x05ffffe8,0xffffff30,0x3fffe005,0x740004ff,
    0x0effffff,0xfffa8000,0xeb999fff,0x002dffff,0x1ffffff2,0x7ffffcc0,
    0xffffd07f,0x7fffe40d,0x01fe880f,0x3f60fd40,0xc80fffff,0xffffff86,
    0xffff3004,0x3ffdc5ff,0x3fffee00,0x3ffe21ff,0x200003ff,0xfffffffc,
    0xffffffff,0x40002fff,0x3ff600fd,0xfffeffff,0xff9800ff,0xffffffff,
    0x41ffffff,0x1fffffff,0xffffff50,0x7fffffc0,0x2fffff46,0x17ffffcc,
    0x7ffc4013,0x100f96ff,0x3fffe20d,0x7fd402ff,0xfb81ffff,0x3fa006ff,
    0x3fe26fff,0xfffd03ff,0x3fe600bf,0xffffffff,0xffffffff,0x0004ffff,
    0x7fffffc4,0xfa80004f,0xffffffff,0x002effff,0x7fffffc8,0xfffff100,
    0xfffd01ff,0x7ffe40df,0x01fd80ff,0x7cc1fa80,0x444fffff,0xfffff83f,
    0xfff3004f,0xfffddfff,0xffb800ff,0xffe82fff,0x000205ff,0xfb555553,
    0x557fffff,0x40001555,0xaaaaadfa,0xfffffeaa,0x0fffffcf,0xff733300,
    0x3335ffff,0xfffff033,0x3fea05ff,0x3fa07fff,0x7fc6ffff,0xffa85fff,
    0x201a3fff,0xf9fffffd,0xfb028804,0x500dffff,0x03ffffff,0x003ffffd,
    0xa9bffffa,0xfd05ffff,0x2600bfff,0xeeffffff,0xeeeeeeee,0x04ffffff,
    0xffffb800,0x40001fff,0xbffffffa,0xfffffdcc,0xff9001cf,0x2200ffff,
    0x1fffffff,0x06ffffe8,0x03fffff2,0x2a0001fb,0xffffe81f,0x7c07dc7f,
    0x004fffff,0xdffffff3,0x00ffffff,0x0fffffb8,0x85ffffe8,0x0004ffda,
    0x7fffffdc,0x7c400000,0xffffffff,0x6fffffff,0x0003ffa6,0x3fffffea,
    0xfffff000,0x3fea03ff,0x3fe07fff,0x7fc4ffff,0x7fcc7fff,0x4d35ffff,
    0xfecccccc,0xcdfeffff,0x9803cccc,0x01ffffff,0xffffffa8,0x07fffc81,
    0x1bffffa0,0x3a05ffff,0x3005ffff,0x05ffffff,0x3fffffe0,0xffd00004,
    0x001dffff,0x7ffffd40,0xffffd80f,0xffc804ff,0xf1007fff,0x20ffffff,
    0x206ffffe,0x20fffffc,0x2a0001fd,0xffffb81f,0x7c17a3ff,0x004fffff,
    0x5ffffff3,0x001fff26,0x01fffff7,0x98dffffd,0x005fffff,0x3ffffee0,
    0x6400000f,0x9999999f,0xfffffe99,0x0007fcc6,0x7fffffd4,0xffff8800,
    0x3fea07ff,0xff307fff,0xff83ffff,0xfc9cffff,0xdffffffd,0x3ffffe3e,
    0xffffffff,0x5fffffff,0xfffffe80,0xffff5004,0xdfb103ff,0x7fff4005,
    0x016e4c6f,0x00bffffd,0x3fffffe6,0xfffff002,0xf300009f,0x9fffffff,
    0x7ffd4000,0xff900fff,0xc809ffff,0x007fffff,0xdffffff3,0x1bffffa0,
    0x0fffffc8,0x4000bffb,0xffff01fa,0x407e6dff,0x04ffffff,0xffffff30,
    0x4007fc85,0x80fffffb,0x646ffffe,0x01ffffff,0xfffff700,0x4c00001f,
    0xfffb003f,0x01f70dff,0xfffff500,0xfff3001f,0x7d40dfff,0xf507ffff,
    0xff0fffff,0x9fffffff,0x3fffffea,0x3fff2006,0x2e0003ff,0x00ffffff,
    0xffffff50,0x74000403,0x0006ffff,0x00bffffd,0x3fffffe6,0xfffff002,
    0xf880009f,0xffffffbe,0xff50002f,0x6c01ffff,0x03ffffff,0x1ffffff2,
    0x7ffffd40,0xffffd05f,0x7fffe40d,0x2ffffd8f,0x203f5000,0x9ffffffc,
    0x3fffe06d,0xff3004ff,0xfd05ffff,0xffffb800,0xffffe80f,0x7ffffec6,
    0xff70004f,0x0001ffff,0xfb003740,0xf30dffff,0xfff50001,0xf5001fff,
    0x40bfffff,0x87fffffa,0x2fffffe8,0x7ffeffc4,0x7ffe42ff,0x3ee000ef,
    0x0002ffff,0x5ffffff1,0x7fffd400,0x170001ff,0x0dffffd0,0x3ffffa00,
    0xffff3005,0x3fe005ff,0x0004ffff,0xfffd87f4,0x8000ffff,0x0ffffffa,
    0x3ffffee0,0x3fff206f,0xff7007ff,0x3a07ffff,0x3206ffff,0xffefffff,
    0x8000ffff,0xfff101fa,0x405fdfff,0x04ffffff,0xffffff30,0xb800f905,
    0xe80fffff,0x7d46ffff,0x005fffff,0xffffff70,0x3ee00001,0x3fff6001,
    0x201f06ff,0xffff5028,0xff5001ff,0x5407ffff,0x4c7fffff,0x81fffffe,
    0x037737f9,0x4000dd44,0x02fffffb,0xfffffb00,0xfffa800d,0xf0001fff,
    0xdffffd01,0x3fffa000,0xfff3005f,0x3e005fff,0x004fffff,0xff887f60,
    0x004fffff,0xffffffa8,0x3fffe200,0x3ff207ff,0xf9007fff,0x205fffff,
    0x206ffffe,0xcffffffc,0x005fffff,0x3f601fa8,0x407fffff,0x04ffffff,
    0xffffff30,0x4480f305,0x80fffffb,0xc86ffffe,0x004ffeff,0xffffff70,
    0x9f100001,0xffffd800,0x3201b06f,0xfffff503,0xfff9001f,0x7d401fff,
    0xfeefffff,0x00efffff,0x00001ff7,0xaaaaaaa8,0xacfffffd,0x301aaaaa,
    0x03ffffff,0xfffffa80,0x07a8001f,0x00dffffd,0x17ffffa0,0x7ffffcc0,
    0xffff002f,0x2e0009ff,0xffffa82f,0x54002fff,0x00ffffff,0x7ffffffc,
    0xfffff900,0x3fffa00f,0x3ffa06ff,0x3ff206ff,0xfffd1fff,0xfa8007ff,
    0x3fffe601,0x7ffc04ff,0xf3004fff,0x205fffff,0xff712a06,0xffd01fff,
    0x6c220dff,0xff70003f,0x0001ffff,0xd8001fb0,0x106fffff,0x7d40be20,
    0x400fffff,0x2ffffff8,0x7ffffd40,0xacccdeef,0x017fe400,0x3fffe000,
    0xffffffff,0xffffffff,0xfffffd05,0x7d406209,0x001fffff,0xfffd06d8,
    0x3fa000df,0xf3005fff,0x005fffff,0x13fffffe,0xd813ea00,0x0fffffff,
    0x3fffea00,0x3fe200ff,0x3207ffff,0x807fffff,0x1ffffff9,0x1bffffa0,
    0x0fffffc8,0x1ffffff1,0x200fd400,0x00fffffe,0x27fffffc,0xfffff980,
    0x1f40102f,0x03ffffee,0x01bffffa,0x5c0007fe,0x00ffffff,0x0017d400,
    0x37ffffec,0x5407ee00,0x00ffffff,0x2fffffdc,0x7ffffd40,0x7ff40007,
    0x4cc00004,0xffc99999,0x9999bfff,0xfffb8099,0x05700fff,0x3fffffea,
    0x82fcc001,0x006ffffe,0x0bffffd0,0x3ffffe60,0xffff002f,0xf98009ff,
    0x7fffc405,0x2a005fff,0x00ffffff,0x3fffffea,0x3ffff205,0xfffd807f,
    0x7ff404ff,0x3ff206ff,0x3fee0fff,0x2a006fff,0x7ffd401f,0xffff805f,
    0xff3004ff,0x8005ffff,0x7ffdc2fa,0xfffe80ff,0x037d406f,0xfffff700,
    0x7c40001f,0xfffb0005,0x7cc00dff,0xffff500f,0xfff803ff,0xfa801fff,
    0x0007ffff,0x00037ffc,0xffff9000,0x7fc4005f,0x3a02ffff,0xfffff502,
    0x7f44003f,0xdffffd05,0x3fffa000,0xfff3005f,0x3e005fff,0x005fffff,
    0x2a003fe2,0x2fffffff,0xfffff500,0x7ffe401f,0x3f202fff,0x4407ffff,
    0x00ffffff,0x037ffff4,0x81fffff9,0x03fffffd,0xff003f50,0xfff005ff,
    0x26009fff,0x02ffffff,0xf707fe60,0xfd01ffff,0xfd80dfff,0x3fee0001,
    0x0001ffff,0x6c000bf6,0x006fffff,0x7d40fff5,0x201fffff,0x00effffd,
    0xffffff50,0x7ffcc000,0x20000007,0x03fffffc,0x3fffff60,0x5407f206,
    0x02ffffff,0x209ffd10,0x006ffffe,0x0dffffd0,0x3ffffe60,0xffff002f,
    0x3a200bff,0x3ff6003f,0x800fffff,0x0ffffffa,0xffffff50,0xffffc809,
    0xffb100ff,0xfd001bff,0x7e40dfff,0x7c40ffff,0x801fffff,0xffc801fa,
    0xfffff006,0x3fea009f,0x3002ffff,0xffc81fff,0xffe80fff,0x0bee06ff,
    0xffff9000,0x2e0003ff,0xfd0001ff,0x401fffff,0x205fffc9,0x2ffffffb,
    0x4ffffe88,0x7fffdc00,0xf50000ff,0x00001fff,0x3ffff600,0xfff3004f,
    0xf9103fff,0x3ffee01f,0xe9804fff,0xfff03fff,0x3e000fff,0x5006ffff,
    0x07ffffff,0xffffff10,0x3ffd100d,0x7fffcc00,0xfb806fff,0xb83fffff,
    0x04ffffff,0xffffffd8,0xffffe981,0x3fffe003,0x3fff207f,0xfffc81ff,
    0x7ec00eff,0x03ff8805,0xffffff98,0xffff7005,0xfd980bff,0xfffc87ff,
    0xffff81ff,0x02fc887f,0x7fffd400,0x2000efff,0x01efffc8,0x3ffff220,
    0xcccdffff,0x4ffffffd,0xffffff30,0xffdb9bff,0x980039ff,0xdfffffff,
    0xfff88000,0x70000005,0x5fffffff,0xfffffd00,0xffb9553b,0xfff301ff,
    0x99bfffff,0xffffd999,0xfff705ff,0xb8005fff,0x02ffffff,0x7fffff44,
    0x3f6201ff,0x03ffffff,0x1dffff71,0x3fffee00,0x301dffff,0xffffffff,
    0xfffffb9b,0xff50019f,0x99ffffff,0x39dffffb,0x7fffdc00,0xffe982ff,
    0xff984fff,0x700dffff,0xd8017fff,0x7fec400f,0x402fffff,0xfffffff9,
    0xeeccccef,0x4c6fffff,0x0cfffffe,0x3fffffea,0x0002fa22,0x7fffff4c,
    0x6effffff,0x7ffffd40,0xdd902fff,0xffffffff,0xffffffff,0x4c7fffff,
    0xfffffffe,0xefffffff,0x7f44001c,0xffffffff,0x54004eff,0x000001ce,
    0x3fffffb6,0x2effffff,0xffffffb8,0xffffffff,0x3fffa27f,0xffffffff,
    0xffffffff,0x3e21ffff,0xffffffff,0x7ffc400f,0x0fffffff,0x3ffffba2,
    0xefffffff,0xfffffd91,0x7dffffff,0x3ffffff2,0xff905eff,0xffffffff,
    0x3ffa29ff,0xffffffff,0xacdeffff,0x7fff5400,0xffffffff,0x001bdeff,
    0x7fffffc4,0xff70ffff,0x1fffffff,0x3fffffe6,0xffd12fff,0x03ffffff,
    0xffed8126,0xffffffff,0xfffd12ef,0xffffffff,0xffffffff,0x7fdcbfff,
    0x97ffffff,0xffffffff,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99990000,0x99999999,0x99999999,0x66641999,0xcccccccc,0x999302cc,
    0x39999999,0x66666644,0xcccccccc,0xccc88001,0xcccccccc,0x01aaaabc,
    0x99999900,0x55999999,0x332a0033,0xcccccccc,0x665c02cc,0x932ccccc,
    0x99999999,0x99999999,0x19999999,0x33333322,0xcccccccc,0xccccc980,
    0xcccccccc,0xcccccccc,0x880d1000,0xaaaaaaaa,0x2001aaaa,0x2aaa0068,
    0xaaaaaaaa,0x5554402a,0xaaaaaaaa,0xaaaa802a,0xaaaaaaaa,0xccccd982,
    0xcccccccc,0x3ccccccc,0x55555553,0x00155555,0xb0000000,0x2000009d,
    0x00000eea,0x73100000,0xb5300157,0xffffffff,0xffffffff,0x54c1ffff,
    0xfffffffd,0x75101bdf,0x7bffffff,0xfffdb981,0x9adfffff,0xfb750000,
    0xffffffff,0xdfffffff,0x32a60017,0xffffffff,0x2effffff,0x3fffb260,
    0x0acfffff,0x7fff64c0,0xffff71cf,0xffffffff,0xffffffff,0x54c3ffff,
    0xfffffffd,0xff701bdf,0xffffffff,0xffffffff,0x3ec00bff,0x3ffffe60,
    0x5fffffff,0xf801b600,0xffffffff,0x7cc07fff,0xffffffff,0x7c405fff,
    0xffffffff,0x02986fff,0x7ece2000,0xffffffff,0x00001fff,0xd0003ed8,
    0x200000bf,0x00001ffb,0xd1035731,0x3fff6201,0x000dffff,0x5ffffff9,
    0xffeb9998,0xfff900ff,0xb800bfff,0xb001efff,0x09ffffff,0xfffb0000,
    0xfc988fff,0x002fffff,0x7fffffdc,0xffffb989,0x3fe202ef,0x006fffff,
    0xfb81fff0,0xf709adff,0x221fffff,0x01fffea9,0xbffffff9,0x9ffff900,
    0x7fffdc03,0xf5000fff,0xffff980f,0xffffffff,0x00df7005,0x7ffffffc,
    0x407fffff,0xfffffff9,0x405fffff,0xfffffff8,0x986fffff,0x4e200002,
    0xfffffffd,0x801fffff,0x3201aba8,0xe8003fff,0x7000005f,0xb80003ff,
    0x3ffffffe,0x3fee0dd1,0xffffa89b,0xfff9800e,0xfb802fff,0xfff300ff,
    0xc8007fff,0x7d4005ff,0x002fffff,0xffffb800,0x3ffe607f,0x26002fff,
    0x41ffffff,0x1fffffe8,0x3ffffe60,0xff8001ff,0x702ffb81,0x01ffffff,
    0x2a03ffb1,0x02ffffff,0x8804ffc8,0x3fffffff,0x80fff100,0xeeeeeee9,
    0x804eeeee,0x36006ff8,0xeeeeeeee,0x74c06eee,0xeeeeeeee,0x74404eee,
    0xeeeeeeee,0x02985eee,0x764e2000,0xeeeeeeee,0x3f201eee,0x83efffff,
    0x8005fffc,0x000005fe,0x40003ff7,0xfd32fffc,0xf901dbdf,0xffff50bf,
    0xffff300b,0x3e2005ff,0xffff300f,0x7d4007ff,0xffa8003f,0x0001ffff,
    0xfffffb80,0x7fffdc07,0xff1000ff,0xf503ffff,0x401fffff,0x4ffffffd,
    0xb827d400,0x3ffee04f,0x3fa00fff,0xfffff501,0x09fb005f,0x3fffff60,
    0xffd1006f,0x0000000f,0x000dffd1,0x00000000,0x26000000,0x0e200002,
    0xffb10000,0x17ffe65d,0x000bfff3,0x00000bfd,0x40007fee,0x7cc3fffe,
    0xff881fff,0x7ffcc0ff,0x7fc401ff,0x2002ffff,0xfff100fb,0x2a005fff,
    0xf50001ff,0x003fffff,0xffff5000,0xffff00ff,0x3e2009ff,0xf01fffff,
    0x409fffff,0xfffffff8,0xb81ba000,0x7fffdc07,0x07ea00ff,0x7fffffcc,
    0x5006e802,0x3fffffff,0xffffd100,0x88000000,0x0006fffe,0x00000000,
    0x53000000,0x01c40000,0xfffd1000,0x0efffb85,0x20007fe6,0x000005fe,
    0x70003ff7,0xfd01ffff,0xfff70bff,0xffff889f,0x7ffc403f,0x22002fff,
    0xffff100f,0xdf9005ff,0x7fd40001,0x0001ffff,0xfffffa80,0xffffe807,
    0xfff1006f,0x3fa03fff,0x5c06ffff,0x05ffffff,0x2dc05f70,0x3ffffee0,
    0x980fc00f,0x02ffffff,0xffd002f8,0x3009ffff,0x00fffffd,0x4006ea20,
    0x06ffffe9,0x40000000,0x000abb98,0x800dd440,0x22000029,0x3f600003,
    0xfff80fff,0x01fecdff,0x000bfd00,0x007fee00,0x0fffff10,0x707ffff6,
    0xf88bffff,0x4403ffff,0x02ffffff,0x7c403a0e,0x202fffff,0x80004fd8,
    0x1ffffffa,0xffa80000,0xfd807fff,0x1007ffff,0x03ffffff,0x1ffffff6,
    0x3fffffe0,0x02fc401f,0xfff700ae,0x1c801fff,0xffffff30,0x9001f005,
    0x1fffffff,0xfffff980,0x02ffffff,0x3fffffee,0x3fffea03,0x2fffffff,
    0xfffffff9,0xfffffff8,0x7ffec405,0x000dffff,0x7fffffe4,0x000a602c,
    0x3fe23880,0x205fffff,0xd05ffff9,0x0359ffff,0x005fe800,0x03ff7000,
    0x6ffffb80,0x5fffff98,0x217fffc4,0x03fffff8,0x7fffffc4,0x4030d102,
    0x2ffffff8,0x0007fd30,0x3ffffea0,0xa800001f,0x807fffff,0x07fffffd,
    0xffffff10,0x3ffff603,0xfffb807f,0x7e405fff,0xffb80000,0x0000ffff,
    0x3fffffe6,0xf9803802,0x02ffffff,0x7fffffc4,0x82ffffff,0xfb0cffd8,
    0xffff109f,0xffffffff,0x7ffffcc5,0xfffffb87,0x26ffee05,0x0effffa8,
    0x2effd880,0x301bfff3,0x1c400005,0x2fffffdc,0x09ffffb0,0x00bffff6,
    0x002ff400,0x01ffb800,0x37fffec0,0x3fffffe2,0xe9817507,0x403fffff,
    0x2ffffff8,0xf8800d50,0xa82fffff,0x200001ff,0x1ffffffa,0xffa80000,
    0xfe807fff,0x1006ffff,0x03ffffff,0x1bfffffa,0x7fffff40,0x009f302f,
    0x3fffee00,0x260000ff,0x02ffffff,0xffffb000,0xfd800bff,0xfd007fff,
    0x3fff98df,0x1bffff60,0x1fffff60,0x17ffffe2,0x7d42ffe4,0x74405fff,
    0x7fdc1fff,0x0002986f,0x7ffc0e20,0x3ffe05ff,0xfffb04ff,0x3a00009f,
    0x7000005f,0xff8003ff,0x37a26fff,0x00fffffc,0xfffdfe98,0x7fc403ff,
    0xdb02ffff,0xffff8800,0x077dc2ff,0x3fea0000,0x0001ffff,0xfffffa80,
    0x7fffc407,0xff1004ff,0x3e03ffff,0x004fffff,0xdffffff5,0x80001ba0,
    0x0ffffffb,0x3ffe6000,0x80002fff,0xfffffffa,0x7ffec000,0xfffb807f,
    0x00fffe83,0x00dffffb,0x20fffffb,0x885fffff,0x7cc0ffff,0x3201ffff,
    0xfff06fff,0x0002989f,0x7ff40e20,0xfff105ff,0x3ff607ff,0x7fe406ff,
    0xffffffff,0xffffffff,0xfff13fff,0xffffffff,0xffffffff,0x3ffe2fff,
    0x2e3b65ff,0x201fffff,0xff8bffd9,0x7c403fff,0xa82fffff,0x7fc4006f,
    0x3f62ffff,0xa800004f,0x01ffffff,0xfffa8000,0x7fd407ff,0x1000ffff,
    0x03ffffff,0x1ffffff5,0x7fffec00,0x017dc2ff,0xffff7000,0x4c0001ff,
    0x02ffffff,0x7fffc400,0xd8003fff,0x4407ffff,0xfc81ffff,0xfffb04ff,
    0xfff900df,0x3fffe0ff,0xffffb85f,0x7ffffc44,0xbffff303,0x83ffffa0,
    0x22000029,0xbffffd03,0x3ffffea0,0xfffffb03,0xfffffc80,0xffffffff,
    0xffffffff,0xffffff13,0xffffffff,0xffffffff,0x57ffffe6,0xffff70fc,
    0x3fff205f,0x7fffff12,0xfffff880,0x037fdc2f,0x3ffffe20,0xffffe8af,
    0x7d400003,0x001fffff,0xffffa800,0x3ffea07f,0x22002fff,0x41ffffff,
    0x2fffffe8,0x7fffcc00,0x017e26ff,0xffff7000,0x4c0001ff,0x02ffffff,
    0x7fffe400,0xfb0006ff,0xfc80ffff,0xffc80fff,0xffffb07f,0xffff900d,
    0x3ffffe0f,0x5ffffb85,0x1fffffc4,0x04ffffd8,0x4c5ffffb,0x0e200002,
    0x82fffff4,0x03fffffb,0x03fffffb,0x66666654,0xcceffccc,0x1ccccccc,
    0x99999991,0x99bffb99,0x29999999,0xbdfffff8,0x3fffee1f,0x7fff440f,
    0x3ffffe21,0x7fffc403,0xfffeddff,0x7fc4006f,0xfffdffff,0x0001ffff,
    0x3ffffea0,0xa800001f,0x447fffff,0xdfffffc9,0x7ffc4001,0xff731fff,
    0x0003ffff,0x3ffffff6,0x00001f93,0xffffffb8,0x3fe60000,0x0002ffff,
    0x3fffffe6,0xffb0001f,0xffe80fff,0xffff907f,0x3ffaaa21,0x0aaaafff,
    0x83ffffe4,0x885fffff,0x7c42ffff,0xff03ffff,0x3f609fff,0x00a64fff,
    0xfd038800,0x3ea0bfff,0xfb03ffff,0x0001ffff,0x0000bfd0,0x0007fee0,
    0x5fffffff,0x87ffffb8,0x7c46fffe,0x4403ffff,0xfeffffff,0x006fffff,
    0x7fffffc4,0xffffffff,0xf500000f,0x003fffff,0xffff5000,0xffffffff,
    0x0003bfff,0x3fffffe2,0xefffffff,0x3e20000b,0xfaffffff,0xfb800004,
    0x000fffff,0x3ffffe60,0x3fa0002f,0x004fffff,0x1fffff60,0x99fffff0,
    0xffffd999,0x3ffffe63,0x2fffffff,0x83ffffe4,0x205fffff,0x7ff4c0ba,
    0xff883fff,0xffb03fff,0x0014cdff,0x3fa07100,0xff305fff,0x3f607fff,
    0x00007fff,0x00000bfd,0xd0007fee,0x907fffff,0xfc8bffff,0x7fc43fff,
    0x7c403fff,0x932fffff,0x8800dfff,0x9dffffff,0x6fffffff,0xfff50000,
    0x00003fff,0xffffff50,0xffffff75,0x7c40005f,0xacdfffff,0x000009aa,
    0x3ffffff2,0x800000ff,0x0ffffffb,0x3ffe6000,0x70002fff,0x1fffffff,
    0x7ffec000,0x3ffe207f,0xeeeeeeff,0x5511eeee,0x55fffffd,0xfffc8155,
    0xfffff07f,0x6ff4c00b,0xa83fffff,0xb03fffff,0x14cfffff,0x20710000,
    0x205ffffe,0xb03fffff,0x000dffff,0x00017fa0,0x000ffdc0,0x41bffff2,
    0x744ffffc,0x7cc5ffff,0x4403ffff,0x82ffffff,0x7c4006fc,0xf52fffff,
    0x09ffffff,0xffff5000,0x000003ff,0x4ffffff5,0xfffffffa,0xfff10000,
    0x00003fff,0xfffff100,0x000005ff,0x3fffffee,0x3fe60000,0x8002ffff,
    0xfffffff8,0x7fec0002,0x3fea07ff,0x20000fff,0x806ffffd,0xf07ffffc,
    0x300bffff,0xfff17ffb,0xfff707ff,0x3ff607ff,0x00531fff,0xfe81c400,
    0x3fa05fff,0xffd04fff,0x200009ff,0x000005fe,0x88003ff7,0xfb06ffff,
    0xfff85fff,0xffc9bfff,0x4404ffff,0x02ffffff,0xff8800dd,0x3ee2ffff,
    0x03ffffff,0x7fffd400,0x800001ff,0x47fffffa,0x5ffffffd,0xffff1000,
    0x000003ff,0x3ffffee0,0x7000001f,0x01ffffff,0x7fffcc00,0xfd8002ff,
    0x005fffff,0x7ffffd80,0x3ffffea0,0x3ff60002,0xffc806ff,0xffff07ff,
    0xfffc80bf,0x7fffff12,0x7fffff50,0x3fffff60,0x40000530,0xffffd038,
    0x7fffd40b,0x1fffff04,0x17fa0000,0x7fdc0000,0xfffc8001,0x0dfffd07,
    0xfffffffb,0xdfffff7f,0x3ffe20b7,0x0d502fff,0xfffff880,0x7fffec2f,
    0x20001fff,0x1ffffffa,0x2a017000,0x447fffff,0x3fffffff,0xffff8800,
    0x000001ff,0xffffff50,0x2e000003,0x00ffffff,0x3fffe600,0x7d4002ff,
    0x01ffffff,0x7ffec340,0x3ffe607f,0x360003ff,0xc806ffff,0xff07ffff,
    0x3a20bfff,0x3fe21fff,0xff983fff,0xffb03fff,0x0014cfff,0x3fa07100,
    0x7ec05fff,0xffff06ff,0x7f400009,0xf7000005,0xffb0003f,0xfffa85ff,
    0xffffa81f,0xfff70eff,0x3e201dff,0x302fffff,0xfff8800d,0x7f442fff,
    0x00ffffff,0xfffff500,0x03e0003f,0x3fffffd4,0x7fffffd4,0x7fc4000f,
    0x0001ffff,0xffff5000,0x000003ff,0x3fffffee,0x3fe60000,0x2002ffff,
    0xfffffff8,0x6c34c004,0x2207ffff,0x006fffff,0x1bffff60,0x1fffff20,
    0x82fffffc,0x7c46fffe,0xff03ffff,0x3f607fff,0x00a66fff,0xfd038800,
    0xf980bfff,0x7fdc1fff,0xaa9800ef,0xfaaaaaaa,0xaaaaaaef,0x5c001aaa,
    0x7e4001ff,0xd12fffd9,0x75c03fff,0x7ec43dff,0x3e200dff,0x202fffff,
    0x7ffc4006,0xff982fff,0x006fffff,0xffffff50,0x40f50003,0x07fffffa,
    0xdffffff9,0xffff8800,0x000001ff,0xffffff50,0x2e000003,0x00ffffff,
    0x3fffe600,0x3f2002ff,0x006fffff,0xfffd85c8,0x7fff407f,0x405402ff,
    0x806ffffd,0xf07ffffc,0xf90bffff,0xff887fff,0xffd03fff,0x3ffa09ff,
    0x000a64ff,0xffd03880,0xfd100bff,0x3ffa63bf,0x3fff6005,0xffffffff,
    0xffffffff,0x7dc003ff,0x87ea001f,0xdffffffa,0x2001000b,0xffff1001,
    0x000405ff,0x3fffffe2,0xfffff502,0xf50009ff,0x003fffff,0x7fd40db0,
    0x3fa07fff,0x004fffff,0x3fffffe2,0x50000001,0x03ffffff,0x3fee0000,
    0x0000ffff,0x3fffffe6,0xffff3002,0x88005fff,0xffffd84f,0x7fffdc07,
    0x203e606f,0x807ffffd,0x987ffffb,0xe85fffff,0x7cc5ffff,0xf303ffff,
    0x3fe09fff,0x00a60fff,0xfd038800,0x6400bfff,0x4effffff,0x7fffec00,
    0xffffffff,0xffffffff,0x7fdc003f,0xa980c001,0x000000ab,0xffff8800,
    0x200002ff,0x2ffffff8,0x3fffff20,0x7d4003ff,0x001fffff,0xff502fcc,
    0x7cc0ffff,0x01ffffff,0xffffff10,0x20000003,0x1ffffffa,0xff700000,
    0x0001ffff,0x7fffffcc,0xffffd002,0xfb000bff,0xfffff907,0x3ffe20c8,
    0x7cc0efff,0xfffff903,0x3fea0641,0x3fe21fff,0xff85ffff,0xfc9bffff,
    0x204fffff,0xff06fffd,0x002989ff,0x7f40e200,0x88006fff,0x10000aba,
    0x33333333,0x33333333,0x00133333,0x00001988,0x00000000,0x7ffffcc0,
    0x2600002f,0x02ffffff,0x7fffffec,0x3fea002f,0x2001ffff,0x3ea05fe8,
    0x5c07ffff,0x0effffff,0xfffff880,0x0000001f,0x3ffffff5,0x3ee00000,
    0x000fffff,0x3ffffe60,0xfffb802f,0x4000ffff,0xff982ffb,0x84c8cfff,
    0xfffffffa,0x2a05fecd,0xc8cfffff,0xfffff884,0xfffeea9d,0xfffd86ff,
    0xffbfffff,0x985befff,0x7dc1ffff,0x014c0eff,0x3e071000,0x0006ffff,
    0x00000000,0x00000000,0x00000000,0x3ffe6000,0x00003fff,0x3fffffe6,
    0x7fffc403,0x5001ffff,0x05ffffff,0x813ffa20,0x0ffffffb,0x7ffffec0,
    0xfff8805f,0x00001fff,0xfffff500,0x2000003f,0x0ffffffb,0x3ffea000,
    0x7c402fff,0x03ffffff,0x07fffa60,0x7fffffdc,0x3fffea06,0x805fffff,
    0x6ffffffc,0x3ffffea0,0xffff8dff,0x7ffd41ff,0xff70efff,0x2201dfff,
    0xff31effe,0x000a60bf,0xffb83880,0x0002ffff,0x00000000,0x00000000,
    0x00000000,0xffff5000,0x400009ff,0x4ffffffa,0xfffffc80,0xfb801fff,
    0x804fffff,0x203fffe9,0x1ffffffc,0x7ffffc40,0x7fcc03ff,0x0002ffff,
    0xffff7000,0x000005ff,0x3ffffff2,0x3fee0001,0x6c03ffff,0x06ffffff,
    0x3fffff20,0x3bff6a00,0x7ff4c00b,0x2003ffff,0x00beffdb,0x27ffffdc,
    0x9fffffff,0x43dffeb8,0x00dfffd8,0xffffffc8,0x3336604e,0xcccccccc,
    0xcccccccc,0x3fffe23c,0x00ffffff,0x00000000,0x00000000,0x00000000,
    0x3fa20000,0x01ffffff,0xfffe8800,0x6401ffff,0xffffffff,0xfff300bf,
    0x99bfffff,0xffffd999,0x3fe605ff,0x805fffff,0xfffffffa,0xfffe880b,
    0x0000efff,0x7fffcc00,0x0000efff,0x7ffffd40,0x98000eff,0xffffffff,
    0xfffff501,0x99999bff,0xffffd999,0x02200fff,0x2aee6200,0x00110000,
    0x00003730,0x8000c002,0x0000aba9,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfee80000,0xffffffff,0x74001eff,0xfffffffe,0x7d44ffff,
    0xffffffff,0xfd14ffff,0xffffffff,0xffffffff,0x43ffffff,0xffffffe8,
    0x05ffffff,0x3ffffff6,0xffffb1ff,0xffffffff,0x7640000d,0xffffffff,
    0x003eefff,0xfffffd30,0xddffffff,0xffffe880,0xffffffff,0x3ffffa0e,
    0xffffffff,0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01800000,0x26001400,0x55cc00ab,0x37510000,
    0x57310000,0x80000003,0x751000a9,0x000d4003,0x40137531,0x20009ba9,
    0x104c1ba8,0x00000005,0x3f250000,0x6fffffff,0xfffffff3,0x7fffc3ff,
    0xfffff93f,0xfffff8ff,0x440005ff,0x5d4400aa,0x7fffe400,0x6c2fffff,
    0x002fffff,0x00003730,0x00881530,0xffff8180,0x9affffff,0x41ffffff,
    0x0026c04d,0xc809b100,0x7ffffc44,0xffffffff,0xffff75ff,0x2e3fffff,
    0x6fffffff,0x2ea217ec,0x04fb81bc,0x7ffffed4,0x7fffdc1e,0xff9000ef,
    0x0059ffff,0xfffffeb8,0xffffc82f,0x7fffc7ff,0xdff75fff,0x7fffdc03,
    0x3faa03ff,0x3f2601ef,0x23efffff,0xdffffff9,0x3fff6200,0x222fcdff,
    0x00000bef,0x32200000,0x3fffee7f,0x7ff442ff,0xff705fff,0xfffff983,
    0xfffffb87,0x7ffffd45,0xffff31ff,0xffe983df,0x3ea02eff,0x00ffffff,
    0x7dc3dff1,0x70ffffff,0x209fffff,0xfffffffa,0x47fffaa1,0x26000ee8,
    0xffffb85f,0x7ffc45ff,0x203fc80a,0x880004fb,0x0bf201fe,0x3559fff1,
    0xffffff73,0x7ffff4c3,0x7fec40df,0x7ffcc0cf,0xfffffc8a,0x1fff73ff,
    0x23fffd10,0xff92ffe9,0x807ffee5,0xf32effd8,0xf9001bff,0xffff31bf,
    0xfffff309,0xfffff70f,0x213fffab,0xfb0cffd8,0x3fffa09f,0x39ff905f,
    0x79fffd71,0x3ff629ff,0xcffe881e,0x23fffd98,0x01dffff8,0x20000000,
    0x647fffda,0xa82fffff,0x306fffff,0x3fff607f,0xffff887f,0xfffe985f,
    0xffffb9ff,0xff50efff,0x03ffffff,0x2fffffe4,0x3e607f60,0xfc8fffff,
    0x03ffffff,0x47fffffa,0x94fffffb,0xf3001dff,0xfff705ff,0x03ff0dff,
    0xfd017fc4,0x5fd80009,0x3e21bf20,0xffffd00e,0xffff909f,0x0bfee03f,
    0xffffffa8,0xffffffff,0xff880fff,0x7ffd43ff,0x7fe44ffe,0xfffe880f,
    0x037ffdc1,0xffb1bff6,0xfffb05ff,0xffff10ff,0x17fff6bf,0xff31bffa,
    0xffff987f,0x27fe40ff,0x7fffffcc,0x437ff40e,0xff987ffc,0x7ffffdc3,
    0x000000be,0xfffeb880,0x7ffc42ef,0xfffd05ff,0x01f701ff,0x41fffff6,
    0x705fffff,0x7fdfffff,0xbfffff53,0xfff539f7,0x7fc40dff,0x2fc07fff,
    0xdfffff90,0xffffb37f,0x3ffee01f,0xffffa9ff,0x3bff65ff,0x0fffe600,
    0x3fffffe8,0x3f200bea,0x07ff702f,0x403ff600,0x2f882ffb,0xffffff70,
    0xfffff701,0x2007fa03,0x0adffffa,0x1ffffd53,0x41bfff60,0x41fffffe,
    0xfc84fffa,0xffff06ff,0x0ffff209,0xb0bffff7,0x3e0fffff,0xfb15ffff,
    0x3fffb85f,0x220fffe8,0x20ffffff,0xd80efff9,0xb82fffff,0x7ffc3fff,
    0x504fa80f,0x39fffffb,0x93000000,0x039fffff,0x07ffffec,0x1ffffffc,
    0xfff9026c,0x3fffe0ff,0xffff705f,0xfffc85ff,0x7fdc3fff,0x3f200fff,
    0xf302ffff,0x7fffe405,0x3ffe21ff,0xfff504ff,0xff7bf5ff,0xeffd85ff,
    0x03fff980,0xbfffffcc,0xff1003f8,0x0bffa03f,0x209ff900,0x0d106ffa,
    0x3fffffe2,0xfffff702,0x2003fb01,0x6402fff8,0xfff506ff,0x3fff60bf,
    0x7ffcc0ff,0x3fffe60f,0x1ffffd05,0x41ffff88,0xc86ffff8,0xff07ffff,
    0x3f22bfff,0x0ffffc42,0x3627ffe4,0x7e44ffff,0xffd83fff,0xffa81fff,
    0x3fffe67f,0x4404d80d,0x2efffffc,0xfea80000,0x800befff,0x43fffffa,
    0x6ffffff9,0xff9017c4,0x3ffe0fff,0xfff505ff,0xfff507ff,0xfff309ff,
    0x7fc405ff,0x0d905fff,0x2fffffb8,0x05ffffe8,0xbffffff5,0xfd827644,
    0x3ffe60ef,0xffffb003,0xc800db7f,0xffa80fff,0xfff9002f,0x03fff501,
    0x7ffec0a2,0x3fee06ff,0x0fe40fff,0x005ff900,0x3f20bff6,0xff904fff,
    0xfff10fff,0x7fffec5f,0x5ffffb04,0x80ffffc8,0xfc83fffd,0xfff07fff,
    0x0379bdff,0x901ffff9,0xfc88ffff,0x7ffdc0cf,0xffffc85f,0xffff980f,
    0xdfffff31,0x2a004983,0x1cfffffe,0x3ff22000,0x8002dfff,0x646fffff,
    0x0fffffcd,0xfff901ee,0x3fffe0ff,0xffff505f,0xffff503f,0xffff305f,
    0xfffd805f,0x403f81ff,0x80fffffb,0x505ffffe,0x01ffffff,0x31dffb00,
    0x44007fff,0x1fffffff,0x77ffc400,0x01fffe80,0x4c27ffdc,0x98005fff,
    0x01ffffff,0x83ffffee,0x3e2002fc,0x3fe2005f,0x3ffffe86,0x0fffff90,
    0x7c7ffff1,0xfb04ffff,0xfff89fff,0x2db880ff,0x0fffff90,0x017ffffe,
    0x641ffffa,0x0080ffff,0x20bfffe2,0x107ffffc,0x7f45ffff,0x003fffff,
    0xffffc980,0x36a002df,0x00cfffff,0x3ffff200,0x3fe6be1f,0x013a3fff,
    0x20fffff9,0x505fffff,0x503fffff,0x305fffff,0x807fffff,0x44fffff9,
    0x7fdc00fa,0xffe80fff,0xfff506ff,0x6c000dff,0x03fffeff,0xfffffc80,
    0xfff90005,0xffffa81d,0x1ffff501,0x01ffff98,0xfffffe80,0x7fffdc04,
    0x00dff90f,0x20017fcc,0x7ffc47fc,0xfff703ff,0xf75555df,0x3fe29fff,
    0xffb03fff,0x7ffc4dff,0xf90000ff,0x3fe0ffff,0xff805fff,0xcccccfff,
    0x001ffffe,0xff701750,0x5555dfff,0x49ffff75,0xfffffffb,0xb880000d,
    0x0cfffffe,0xfffffb88,0xf300002e,0x9ea9ffff,0xf16ffffe,0xffffc803,
    0xbfffff07,0x3ffffea0,0xfffffa81,0xfffff982,0xffffe803,0x2e013a0f,
    0xe80fffff,0xf506ffff,0x0009ffff,0x03ffffd8,0xfffff100,0xff10003f,
    0xfffd0bff,0xffffa81d,0x2ffffc43,0x7fffdc00,0x7fdc00ff,0xfffc9fff,
    0x1ff7003f,0x21ffb800,0x02fffff9,0xfffffff7,0xbfffffff,0x0fffffea,
    0x33ffffec,0x005fffff,0x1fffff20,0x02fffffc,0x3bffffe2,0xeeeeeeee,
    0x7100001e,0xfffffbdf,0xdddddddd,0x7ffc49dd,0x01efffff,0x3ff66000,
    0xffb15fff,0x0003bfff,0xfffffd00,0xffffc936,0xfc806b9f,0xfff07fff,
    0x3fea0bff,0xffa81fff,0xff982fff,0xfb803fff,0x3f33ffff,0xfffff700,
    0xdffffd01,0x3ffffea0,0x7fcc0003,0x320000ff,0x005fffff,0x89ffff90,
    0x226ffffb,0x741fffff,0x4002ffff,0x2ffffff8,0xfffffb80,0x1ffffffe,
    0x8007fc80,0x3fee1ffa,0xff702fff,0xfb800fff,0xfb03ffff,0x3ea3ffff,
    0x0003ffff,0x20fffff9,0x405fffff,0x00fffffa,0x3ee00000,0xffffb8df,
    0x3fea0007,0x0fffffff,0x3f220000,0xfff17fff,0x000007ff,0x5fffffdc,
    0x3fffe61f,0xfc804ecf,0xfff07fff,0x3fea0bff,0xffa81fff,0xff982fff,
    0xff003fff,0x0172ffff,0x07ffffdc,0x837ffff4,0x02fffffa,0x3fffe600,
    0xf10000ef,0x003fffff,0x81dffff0,0x541ffffd,0x7c44ffff,0x6c005fff,
    0x006fffff,0x9ffffff7,0x00dfffff,0xb8003ff5,0x3ffee0ff,0xfff702ff,
    0x7d4001ff,0xfb03ffff,0x3ea1ffff,0x0004ffff,0x20fffff9,0x405fffff,
    0x02fffffa,0xfea80000,0x3fffee3f,0x3e60000f,0x6fffffff,0xffd98000,
    0x3ae1dfff,0x00bfffff,0x7ffc4000,0xffe86fff,0xc801ffff,0xff07ffff,
    0x3ea0bfff,0xfa81ffff,0xf982ffff,0x9003ffff,0x5f7fffff,0x3fffee00,
    0xffffe80f,0xfffff506,0x3fe60003,0x00effdbf,0xfffffd00,0xfffb800b,
    0x7fffcc0e,0x1ffff501,0x01ffff98,0xffffff30,0x3ffee003,0xffffb1ff,
    0x2ff9807f,0x2a3fec00,0x702fffff,0x005fffff,0x1fffffcc,0x27ffffd8,
    0x06fffff8,0xfffff900,0x17ffffe0,0x7fffff30,0xfc800000,0x7ffd43ff,
    0x440002ff,0xfffffffd,0xffd50000,0x4c017fff,0x1dfffffd,0x3ff60000,
    0xffb83fff,0xf9006fff,0x3fe0ffff,0xff505fff,0xff503fff,0xff305fff,
    0x22007fff,0x06ffffff,0x3ffffee0,0x6ffffe80,0x3fffff50,0x7fff3000,
    0x00077fec,0x3ffffbee,0x3ffe001f,0x2fffd80f,0x427ffdc0,0xd005fffa,
    0x209fffff,0x7fffdc18,0xfffff10f,0x0eff803f,0x989ff300,0x902fffff,
    0x007fffff,0x03fffff8,0xf8dffffb,0x002fffff,0x07ffffc8,0x80bfffff,
    0x06fffff8,0xff900200,0xffff30ff,0x7030009f,0x07ffffff,0x7fffe440,
    0x5c4002df,0x0beffffe,0x7ffd4000,0xfff880ff,0xff9003ff,0x3ffe0fff,
    0xfff505ff,0xfff503ff,0xfff305ff,0x7ec007ff,0x2003ffff,0x80fffffb,
    0x506ffffe,0x003fffff,0xd83fff98,0xf3000eff,0xdfffff55,0x07ffee00,
    0x400bffe6,0xfa80fffc,0x7fdc01ff,0x5700ffff,0x0fffffb8,0x1bffffea,
    0x1009ff70,0xffd01ffd,0x3ff207ff,0x1400ffff,0x209ffffd,0x744ffffe,
    0x00efffff,0x3ffffe40,0x05fffff8,0x2fffffe8,0xff910540,0xffffa819,
    0xffffff04,0x41e18801,0x04fffff9,0xfffffda8,0xda80001c,0x01cfffff,
    0x1bfffe00,0x00ffffd8,0x0fffff70,0x0bfffff3,0x07ffffea,0x0bffffea,
    0x0fffffe6,0xfffff980,0x3ffee000,0xfffe80ff,0xffff506f,0x7fcc003f,
    0x3bff603f,0x3fa5e800,0xf802ffff,0x7ffd01ff,0x05ffd800,0x7c40bff7,
    0x202fffff,0x7fffdc2e,0x7fffec0f,0x6fffc04f,0x0bffd300,0x413fffee,
    0x4ffffffd,0xfff98f60,0xfffff04f,0xfffffa81,0xf707204f,0xf981ffff,
    0xb805ffff,0x206fffff,0x3fff60f9,0x7ffff44f,0xfffff904,0x0be2d80b,
    0x817fffcc,0xeffffeb8,0x91000003,0x05dfffff,0x07fff900,0x0037ffd4,
    0x43fffff5,0x5ffffff8,0x3fffff50,0x5fffff50,0x7fffff30,0x4fffe800,
    0x7fffdc00,0xffffe80f,0xfffff506,0x3ffe6003,0x0effd803,0xffa83f20,
    0x7dc06fff,0x09ff502f,0x407ff600,0xffb01ffc,0x7e40dfff,0x7ffffdc1,
    0x7ffffc41,0xffff902f,0xffb957bf,0x3fe05fff,0xffff05ff,0xd907ffff,
    0x20dfffb0,0xfd04ffff,0x417fffff,0xfffa86d8,0x3ffa22ff,0xf8805fff,
    0x40efffff,0x3ffe23f9,0xfff10fff,0xfe981fff,0x885fffff,0xe807fc5d,
    0x7e4c0fff,0x001dffff,0x3f6a0000,0x001cffff,0xf801fff3,0x3e2003ff,
    0xea9dffff,0x06fffffe,0x03fffff7,0x05fffff5,0x07fffff3,0x01fffa80,
    0x7ffffe40,0x6ffffe80,0x3fffff50,0x00ffea00,0xf702ffd8,0xffffff07,
    0x80bfe209,0x740004fe,0x21bf205f,0x1ffffff9,0x640ffc88,0xb81fffff,
    0x40ffffff,0xfffdeffc,0xfdffffff,0xfff982ff,0x7fffd41f,0xcbefffff,
    0xfff981ff,0x77ffdc1f,0xfffff300,0x3ffdbfff,0xdfffff10,0xffffdd73,
    0x3fea00df,0xecdfffff,0x7fffcc5f,0x3fffa0ff,0xdfecdfff,0xeffffffc,
    0x7c0ffdbc,0x5ffe80ef,0x3bffffa2,0x0000000b,0x3ffff260,0x0bfd005f,
    0x8001ff90,0xfffffffa,0xffffff8d,0xfffffb81,0xfffffb82,0xfffffa83,
    0x05ff8004,0xfffffc80,0x7fffff81,0x5fffff70,0x4001d400,0x4ffc982d,
    0xffffffd8,0x2a03fb83,0xe880005f,0xd0bf601f,0x53bfffff,0x1ffffb95,
    0x7fffffc4,0x7fffc40d,0xdff31eff,0x3ffff661,0x0dff50cf,0x4c3bffa2,
    0xfffabffe,0x01ffffff,0x4c7bffa2,0xf9805fff,0xffffffff,0x3ffea01f,
    0xff8dffff,0x5001ffff,0xffffffff,0x3fffa0bf,0x7fffdc5f,0x321effff,
    0xffffffff,0xfffe80ef,0x46ffb89c,0x002dfff8,0xa8000000,0xf7007ffe,
    0x00bf3005,0x3ffffee0,0x3fffffe4,0x3fffa24f,0x7fec0dff,0x3621efff,
    0x00efffff,0x20017e40,0x4fffffe9,0x7fffffdc,0x7ffff442,0x0000005f,
    0xdfffffd0,0xffffff53,0x1ec1ffff,0x80001760,0x726c03d8,0xffffffff,
    0xffffffff,0x7fffffdc,0xffd11fff,0x27ffffff,0x013100e9,0xfd8803aa,
    0x21efffff,0xceffffe9,0xffff9001,0x44009dff,0xbefffffd,0xffffb800,
    0x3ffffe4f,0xfd3004ff,0x407fffff,0xc81efffa,0x03efffff,0xffffffd7,
    0x3b3ba019,0x40dfffff,0x00000cf8,0xc9800000,0x40091007,0x5cc0001c,
    0xfff50001,0x33ffffff,0xffffffff,0xfffff35f,0x4007ffff,0x7fdc0048,
    0x97ffffff,0xffffffff,0x3ffffead,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54400000,0x2ea601ab,0x2ea60001,0x2620000a,
    0x730000ab,0x88000003,0x5000abb9,0x01375003,0x02ab2a20,0x55d44170,
    0x00000000,0x00400000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffe2000,0x0005ffff,0x000006e6,0x00000000,
    0x00000000,0x22000000,0x00000000,0x33300000,0x33333333,0x33333333,
    0x55544333,0xaaaaaaaa,0xaaaaaaaa,0x100602aa,0x2aaaaa80,0x0d4c4000,
    0x2aa28800,0x97102aaa,0xcc859301,0xcccccccc,0x5555514c,0x55555555,
    0x55555555,0x6666664c,0xcccccccc,0x0ccccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2fffffdc,0x0fff9800,0x4fd88000,0x6ff5cc00,
    0x17e4c00a,0x007fe200,0x0bbfb260,0xa80efecc,0x7ecc0cfd,0x765400ef,
    0xeb800bdf,0x6d402dff,0xf882defe,0xffffffff,0xffffffff,0x3e27ffff,
    0xffffffff,0xffffffff,0xd907ffff,0x03bff710,0x03fffff5,0x2e019fd7,
    0x02dfffff,0xfffa9720,0xfffe80ff,0xf9bffea1,0xffffffff,0xffff56ff,
    0xffffffff,0xffffffff,0x3fffea1f,0xffffffff,0xffffffff,0x0000000f,
    0x00000000,0x00000000,0x00000000,0xfffff800,0xfff70005,0xff700005,
    0x3fea003f,0xd504ffff,0xc8005fff,0x7e4006ff,0xe84fffff,0x7c40ffff,
    0x7ffc6fff,0xfe880fff,0x02ffffff,0x3fa2bfd1,0xd11fd80d,0xfff887ff,
    0xffffffff,0xffffffff,0x3ffe27ff,0xffffffff,0xffffffff,0x0df987ff,
    0x437fffdc,0xb81ffffc,0xfd86ffff,0xffffffff,0x513e200b,0xfa87ffff,
    0x3ff64fff,0xfffff1ff,0x2dffffff,0xfffffffa,0xffffffff,0x50ffffff,
    0xffffffff,0xffffffff,0x001fffff,0x00000000,0x00000000,0x00000000,
    0xd0000000,0x000bffff,0x0003ffe2,0x00bfff20,0x3ff2afa6,0x3f3a61ff,
    0x22002fff,0x3002ffff,0xfffffbdf,0x7ffffcc1,0x7ffffdc3,0xffffff51,
    0xefffe889,0xd82ffffd,0x13fea1ff,0x7fe47ff5,0x4cccd446,0x99999999,
    0xfd999999,0x2aaaaa27,0xaaaaaaaa,0xaaaaaaaa,0x21fffe82,0x41fffffe,
    0xfd01ffff,0x7cc3ffff,0xfffedcef,0x6cc2dfff,0x6fffa82f,0xb27fffcc,
    0x3fe1ffff,0xffffffff,0x5555516f,0x55555555,0x55555555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x005ffffe,0x00002a20,
    0x4007ffcc,0x17ffe40c,0x002fffc8,0x01fffff6,0xfffd1174,0x7ffffd49,
    0x7ffffe43,0xffffff71,0x21dffe8d,0x2a1fffb8,0x3fe60fff,0xc97ff21f,
    0x000007ff,0x00003fe4,0x7ffdc400,0x3fffffe4,0x40bffea2,0x3ffffff8,
    0x3f260bf6,0xeeffffff,0x3fee05ff,0x07fff40f,0x5dcbfff3,0xbbbbbbbb,
    0x0000003b,0x00000000,0x00000000,0x00000000,0x00000000,0xe8000000,
    0x0005ffff,0x81730000,0x00dc45fe,0xf9037fdc,0x3e6005ff,0x803ffedf,
    0x22fffb80,0x41fffff8,0x10fffffa,0x4fffffff,0x3ea06ff8,0x31fff24f,
    0x6e447fff,0x01fffb11,0x3fe40000,0xb0000000,0x7ffe4bff,0x017fe47f,
    0x83fffff6,0x7f5c405f,0x1fffffff,0x541ffdc0,0x002b880b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x74000000,0x0005ffff,
    0xfffa8000,0x7e44bee4,0x77f400ff,0x0bfff200,0x7ccfff40,0xfa8000ff,
    0xfffff87f,0x37fffcc0,0x9bffffaa,0x7fc03ffa,0xf11fff66,0x3b2209ff,
    0x0000fffd,0x001ff200,0xfff80000,0x0ffffa22,0xff3005ff,0x00fc49ff,
    0xbfffd930,0x01bf2001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffff400,0x80000005,0xf35ffffc,0x0bffffa2,
    0x0ffffae2,0x802fffc8,0x3ff24ffb,0x4ffc8004,0xf06fffd8,0x5c609fff,
    0x003ff25f,0x3ff61ff9,0x427ffcc7,0xfffc8dfc,0x32000000,0x3bbba27f,
    0xeeeeeeee,0xeeeeeeee,0x3ff6a66e,0x59105304,0x180ba800,0x80004000,
    0x000000cb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xe8000000,0xfc85ffff,0xffffffff,0xffffffff,0xff13ffff,0xf7f7dfff,
    0x260dffff,0x03fffffd,0x8805fff9,0x3fe20fff,0x37fc001f,0xb04fffb8,
    0xfd805fff,0x9003ff64,0x1fff21ff,0x7447fff3,0x03fff26f,0x7fc80000,
    0x3fffffe2,0xffffffff,0x7fffffff,0x0006f7ba,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5ffffe80,0xffffffc8,0xffffffff,0x3fffffff,0x36eaf2a2,0x01cbabdf,
    0x06fffd88,0xc805fff9,0x5ffb83ff,0x403bee00,0xf502fff9,0x7fc401ff,
    0x880ffee0,0x3ffea7ff,0xc87ffe60,0x3fff24ff,0x32000000,0x3fffe27f,
    0xffffffff,0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50bffffd,
    0x99999999,0x99999999,0x80399999,0x0000eaf9,0x3203fffa,0x3e202fff,
    0x0bffa06f,0xf003be60,0x3fe201ff,0x261fdc06,0x3fee06ff,0xf70ffec5,
    0xaffff89f,0x000ffffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02fffff4,0x44000000,0x005fd4fc,0x641ffea0,0x3f602fff,0x1bfea02f,
    0x1c81bf10,0x3fa037ec,0x6c13e604,0x3f262eff,0x6ff440ff,0x640dfe88,
    0xffacffff,0x000002ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fa00000,
    0x00005fff,0x7ff4c000,0x201bff92,0x20bff008,0xf302fffc,0x7ffb00df,
    0x2aaffa20,0x27d40fdb,0x7d40bf20,0x3fffe204,0x03ffffef,0x40b7bb6e,
    0x36e1bdb8,0x0000001c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff40000,
    0x040005ff,0x3fffe000,0x50dfff50,0x0ef987ff,0x207fff90,0xf9801ffe,
    0x7ff440ff,0x887fffff,0x407d402f,0xfd8801cd,0x02ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05ffffe8,0x00bfd100,
    0xf17ffe60,0xfff50fff,0x301bf79f,0x13bfffd3,0x9002ffdc,0x7ff449ff,
    0x05ffffff,0x02051005,0x37bb2a00,0x0000000b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffd0000,0x3ee000df,0xff0002ff,0x05ffc83f,
    0x0379dd95,0x33333322,0x02aaa3cc,0x262aa880,0xcccccccc,0x0000002c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e000000,
    0x0006ffff,0x0003fff5,0x014c02a2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff700,
    0x3b20005f,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff880,0x000fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_46_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,3,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_46_latin_ext_y[560]={ 37,8,8,8,8,8,8,8,8,8,8,12,30,25,
30,8,8,8,8,8,8,9,8,9,9,8,17,17,13,18,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,43,8,17,9,17,9,17,8,17,9,8,
8,9,9,17,17,17,17,17,17,17,11,18,18,18,18,18,18,8,8,8,22,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,17,9,8,13,9,
8,8,9,8,8,18,18,25,8,4,8,12,8,8,8,18,9,19,36,8,8,18,8,8,8,17,0,0,0,1,
1,2,9,8,0,0,0,1,0,0,0,1,9,1,0,0,0,1,1,14,8,0,0,0,1,0,9,8,8,8,
8,9,9,7,17,17,8,8,8,9,8,8,8,9,8,9,8,8,8,9,9,14,16,8,8,8,9,8,8,9,
3,11,0,8,8,17,0,8,-1,8,0,9,-1,8,-1,8,9,9,3,11,0,8,0,9,9,17,-1,8,-1,8,
0,8,0,9,8,7,-1,-1,9,9,1,9,3,11,0,8,9,8,1,18,9,8,-1,8,9,9,18,0,0,9,
9,8,8,9,9,9,9,0,8,9,17,-1,8,8,8,17,3,11,0,8,0,8,9,17,0,8,9,17,-1,8,
0,8,-1,8,8,17,-1,8,9,11,-1,8,9,11,1,9,3,11,0,8,-1,7,0,8,9,18,-1,8,-1,8,
1,0,8,1,9,-1,8,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,8,11,11,8,11,11,11,
11,11,11,11,11,11,11,11,11,11,6,15,11,11,11,11,11,11,11,11,11,11,11,11,11,3,17,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,8,-1,8,-1,
8,-1,8,-1,5,-1,2,-1,1,-1,2,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-6,-1,-1,8,-1,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_46_latin_ext_w[560]={ 0,8,17,20,19,37,32,7,13,13,17,23,9,12,
8,12,19,16,18,19,19,19,19,19,19,19,8,8,23,23,23,17,37,30,27,27,29,26,25,31,32,16,21,33,
27,39,30,30,24,30,31,20,26,30,30,42,30,30,27,9,12,9,20,23,10,20,22,17,22,17,16,20,21,12,
13,23,12,33,21,19,22,22,17,14,14,21,21,30,21,21,18,12,3,13,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,17,20,21,21,
3,18,14,29,13,21,24,12,29,23,15,23,12,12,10,23,23,8,8,10,12,21,30,30,31,17,30,30,30,30,
30,30,41,27,26,26,26,26,16,16,16,16,29,30,30,30,30,30,30,18,30,30,30,30,30,30,24,21,20,20,
20,20,20,20,28,17,17,17,17,17,13,13,14,14,19,21,19,19,19,19,19,23,19,21,21,21,21,21,22,21,
30,20,30,20,30,20,27,17,27,17,27,17,27,17,29,29,29,22,26,17,26,17,26,17,26,17,26,17,31,20,
31,20,31,20,31,20,32,21,32,21,16,14,16,14,16,13,16,12,16,12,35,20,21,16,33,23,23,27,12,27,
12,27,19,27,17,27,11,30,21,30,21,30,21,30,30,19,30,19,30,19,30,19,39,28,31,17,31,17,31,17,
20,14,20,14,20,14,20,14,26,14,26,22,26,14,30,21,30,21,30,21,30,21,30,21,29,21,42,30,30,21,
30,27,18,27,18,27,18,16,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,29,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,32,24,22,22,22,22,22,22,22,22,22,22,22,22,22,35,25,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,30,20,16,14,30,
19,30,21,30,21,30,21,30,21,30,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,30,20,41,28,30,19,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__times_bold_46_latin_ext_h[560]={ 0,30,15,30,32,31,30,15,38,38,17,23,15,5,
8,30,30,29,29,30,29,29,30,29,29,30,21,28,21,10,21,30,38,29,28,30,28,28,28,30,28,28,29,28,
28,28,29,30,28,37,28,30,28,29,29,29,28,28,28,36,30,36,16,3,8,21,29,21,29,21,29,29,28,29,
38,28,28,20,20,21,29,29,20,21,27,20,20,20,19,28,19,38,38,38,8,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,36,30,21,28,
38,38,6,30,13,19,10,5,30,4,15,23,16,16,8,28,37,8,9,16,13,19,31,31,31,29,37,37,37,36,
36,35,28,37,37,37,37,36,37,37,37,36,28,37,38,38,38,37,37,19,31,38,38,38,37,37,28,30,30,30,
30,29,29,31,21,28,30,30,30,29,29,29,29,28,30,28,30,30,30,29,29,18,22,30,30,30,29,38,38,37,
34,27,37,30,39,30,38,30,39,30,38,29,39,30,38,30,28,29,34,27,37,30,37,29,38,30,38,30,39,38,
38,38,38,37,37,39,38,38,28,28,36,28,34,26,37,29,38,39,36,19,29,38,39,38,36,36,19,37,37,36,
36,29,29,28,28,28,28,38,29,36,28,39,29,29,30,29,35,27,38,30,38,30,29,21,37,29,36,28,38,29,
38,30,39,30,37,28,39,30,39,37,38,30,28,27,37,29,35,27,38,30,39,31,38,30,38,29,39,30,38,38,
36,37,29,36,28,38,29,29,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,30,26,26,38,26,26,26,
26,26,26,26,26,26,26,26,26,26,32,23,26,26,26,26,26,26,26,26,26,26,26,26,26,35,21,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,38,30,38,29,39,
30,39,30,39,33,39,36,39,37,39,36,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,43,39,38,30,40,30,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__times_bold_46_latin_ext_s[560]={ 509,500,114,390,241,462,200,504,258,244,38,
447,132,322,243,46,110,433,383,1,74,373,391,238,331,86,134,499,211,210,187,
106,251,402,315,155,343,450,1,411,251,204,1,27,61,410,23,473,121,209,89,
187,177,169,200,77,284,146,221,208,357,270,80,359,296,491,231,72,146,116,129,
487,477,474,379,386,373,288,344,52,54,468,366,172,249,266,322,235,403,489,469,
482,90,168,272,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,509,120,252,
314,1,149,86,67,307,16,171,447,185,322,150,335,142,423,101,56,252,125,240,
263,234,69,158,425,294,325,356,235,116,147,264,111,177,63,28,1,56,422,29,
371,295,405,449,235,70,178,289,320,393,53,1,384,431,424,1,63,452,421,100,
64,43,22,1,183,412,388,143,354,352,334,316,365,351,204,278,236,180,332,130,
110,90,218,258,14,471,486,464,442,293,94,116,312,161,319,466,370,63,238,169,
253,94,151,228,456,156,92,256,208,287,433,192,264,378,59,334,450,201,50,286,
169,215,344,455,396,450,32,84,278,417,45,254,400,398,317,495,383,361,491,495,
143,218,1,23,147,404,28,415,471,488,483,497,83,164,112,140,190,218,372,422,
182,160,312,434,457,182,204,411,253,32,340,213,233,365,279,291,23,346,273,280,
456,115,94,94,299,488,77,378,474,32,1,84,272,1,271,1,282,315,1,94,
297,313,68,53,409,197,294,139,351,330,124,32,487,1,287,393,343,171,351,315,
334,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,443,360,360,228,
360,360,360,360,360,360,360,360,360,360,360,360,360,261,398,360,360,360,360,360,
360,360,360,360,360,360,360,360,125,90,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,128,130,
111,59,1,370,426,335,373,219,299,449,247,399,184,142,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,1,122,159,21,32,259,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360, };
static unsigned short stb__times_bold_46_latin_ext_t[560]={ 1,239,509,276,239,239,307,307,124,124,509,
458,509,509,509,276,276,338,369,307,369,338,307,338,369,338,487,429,487,509,487,
338,42,369,429,338,429,429,458,307,429,458,399,458,458,429,399,307,458,163,458,
276,458,399,399,399,429,458,458,201,276,201,509,509,509,458,399,487,399,487,399,
369,429,369,42,429,429,487,487,487,399,338,487,487,458,487,487,487,487,399,487,
82,124,124,509,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,1,399,201,
276,487,429,124,124,509,276,509,487,509,509,307,509,509,458,509,509,509,429,163,
509,509,509,509,487,239,239,239,369,163,163,163,201,201,239,429,201,201,163,201,
201,163,163,163,201,429,163,42,42,42,163,163,487,239,42,85,82,124,124,429,
338,338,338,338,338,338,239,487,399,307,307,307,369,369,338,338,429,307,399,307,
307,307,338,338,509,458,276,276,276,338,82,82,163,239,458,163,307,1,276,82,
307,1,276,82,369,1,276,82,276,399,369,239,458,163,276,163,338,42,307,82,
276,1,82,42,82,82,163,163,1,82,124,399,399,201,399,201,458,163,338,82,
1,201,509,369,124,1,124,201,201,487,124,163,201,201,369,369,429,429,399,399,
124,369,201,399,1,369,369,276,369,239,458,124,307,82,276,369,487,124,369,201,
399,124,369,124,276,1,276,124,399,42,276,42,124,124,307,429,458,124,369,239,
458,82,307,42,239,82,307,82,338,1,338,82,42,239,124,338,201,429,42,338,
338,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,307,458,458,42,
458,458,458,458,458,458,458,458,458,458,458,458,458,239,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,239,487,458,458,458,458,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,42,276,
42,369,45,276,1,276,1,239,1,201,1,124,1,201,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,
458,458,458,1,1,42,307,1,276,458,458,458,458,458,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,458,
458,458,458,458,458,458,458,458,458, };
static unsigned short stb__times_bold_46_latin_ext_a[560]={ 166,221,369,332,332,665,554,185,
221,221,332,379,166,221,166,185,332,332,332,332,332,332,332,332,
332,332,221,221,379,379,379,332,618,480,443,480,480,443,406,517,
517,259,332,517,443,627,480,517,406,517,480,370,443,480,480,665,
480,480,443,221,185,221,386,332,221,332,370,295,370,295,221,332,
370,185,221,370,185,554,370,332,370,370,295,259,221,370,332,480,
332,332,295,262,146,262,346,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,166,221,332,332,332,332,146,332,
221,497,199,332,379,221,497,332,266,365,199,199,221,383,359,166,
221,199,219,332,498,498,498,332,480,480,480,480,480,480,665,480,
443,443,443,443,259,259,259,259,480,480,517,517,517,517,517,379,
517,480,480,480,480,480,406,370,332,332,332,332,332,332,480,295,
295,295,295,295,185,185,185,185,332,370,332,332,332,332,332,365,
332,370,370,370,370,332,370,332,480,332,480,332,480,332,480,295,
480,295,480,295,480,295,480,487,480,370,443,295,443,295,443,295,
443,295,443,295,517,332,517,332,517,332,517,332,517,370,517,370,
259,185,259,185,259,185,259,185,259,185,547,367,332,221,517,370,
370,443,185,443,185,443,312,443,263,443,185,480,370,480,370,480,
370,485,511,370,517,332,517,332,517,332,665,480,480,295,480,295,
480,295,370,259,370,259,370,259,370,259,443,221,443,346,443,221,
480,370,480,370,480,370,480,370,480,370,480,370,665,480,480,332,
480,443,295,443,295,443,295,185,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,491,517,517,332,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,368,517,517,517,517,517,517,
517,517,517,517,517,517,517,529,399,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,480,332,259,185,517,332,480,370,480,370,480,
370,480,370,480,370,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,480,332,665,480,517,332,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_46_latin_ext(stb_fontchar font[STB_FONT_times_bold_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_46_latin_ext_s[i] + stb__times_bold_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_46_latin_ext_t[i] + stb__times_bold_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_46_latin_ext_x[i];
            font[i].y0 = stb__times_bold_46_latin_ext_y[i];
            font[i].x1 = stb__times_bold_46_latin_ext_x[i] + stb__times_bold_46_latin_ext_w[i];
            font[i].y1 = stb__times_bold_46_latin_ext_y[i] + stb__times_bold_46_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_46_latin_ext_s[i] + stb__times_bold_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_46_latin_ext_t[i] + stb__times_bold_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_46_latin_ext_x[i] + stb__times_bold_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_46_latin_ext_y[i] + stb__times_bold_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_46_latin_ext_LINE_SPACING
#endif

