// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT        615
#define STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_50_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_50_latin_ext_LINE_SPACING          32

static unsigned int stb__times_bold_50_latin_ext_pixels[]={
    0x55530000,0x00000555,0xccccc980,0x00000004,0x000cccc4,0x99880000,
    0x20000019,0x00019999,0x00000040,0x00066666,0x99999800,0x00000009,
    0x00199998,0x33310000,0x00000133,0x0cccc400,0x20000000,0x01999998,
    0xcccc8000,0x4c0001cc,0x99999999,0x00000009,0x00000014,0x01540055,
    0x9931cc98,0x7f400003,0x0001ffff,0x7ffec000,0x000002ff,0x3fffe200,
    0x0000003f,0x1fffffcc,0x7fd40000,0x40002fff,0x00000dc8,0x3ffffea0,
    0xf7000001,0x000bffff,0xfff30000,0x0000001f,0x0ffffff5,0x22000000,
    0x003fffff,0x3ee00000,0x0005ffff,0x7ffffcc0,0x7fc40005,0xffffffff,
    0x20000005,0x000000f9,0xd8809f90,0x5ff7003f,0x0000bfee,0x0fffffcc,
    0x7c000000,0x0002ffff,0x7fec0000,0x0000ffff,0x3fff6000,0x00000fff,
    0x37fffff4,0x005d5000,0xfff88000,0x00006fff,0x3fffff20,0x80000000,
    0x0002ffe9,0xffff5000,0x0000003f,0xffffffb0,0x00000001,0x017ffffa,
    0x3fff2000,0xf880005f,0xffffffff,0x0000005f,0x00000ff2,0x882ffc40,
    0x3ee006fe,0x005ff72f,0x3ffff200,0x80000002,0x002ffffa,0x7cc00000,
    0x04ffffff,0xff500000,0x007fffff,0x7fffdc00,0x98003fff,0x8000003f,
    0xfffffffc,0x32000002,0x0002ffff,0xbfd10000,0x54000000,0x0004ffff,
    0x7ffcc000,0x0003ffff,0xfff98000,0xf000005f,0x0000bfff,0x33333322,
    0x0002cccc,0x0fff1000,0x7e400000,0x3ffea0ef,0x4bfee002,0x00002ffb,
    0x0005fffd,0x3ff60000,0x0000003f,0xfefffe80,0x00000fff,0xfefffe80,
    0x80000fff,0xffeffff8,0x0fd8007f,0x7c400000,0x6fffefff,0x7e400000,
    0x000005ff,0x00132200,0xfff70000,0x8000000f,0xfffffffe,0x0000000f,
    0x0037ffdc,0x6fff9800,0x00000000,0x7dc00000,0x000002ff,0x73dfff10,
    0xb800dfff,0x05ff72ff,0x5fff3000,0x40000000,0x00003fff,0xfffb8000,
    0x009fff55,0xfffb8000,0x009fff55,0x29fff900,0x4003fffb,0x000becff,
    0x3fffd800,0x0005fff9,0x0fffd800,0x71000000,0x00057105,0x3ffee000,
    0x50000001,0xff71bfff,0x0000009f,0x000effe8,0x1dff9000,0x2b880000,
    0x00002b88,0x1bfffe00,0xfb800000,0x1fffffff,0xb97fdc00,0xc80002ff,
    0x000003ff,0x00ffea00,0x22000000,0x7fcc3fff,0x1000000f,0xff987fff,
    0x3e20000f,0x7ffd42ff,0x3fffa000,0x4c00004f,0x7fdc2fff,0xd8000006,
    0x000002ff,0xfd83ffd0,0x0000002f,0x00009ff7,0x513ffe00,0x00001fff,
    0x03bfe600,0xefe80000,0xfe800000,0x017fec1f,0x7fd40000,0x00001fff,
    0xfffff100,0xf7000bff,0x00bfee5f,0x000ffa00,0x9fb00000,0x00000000,
    0x74c0bff2,0x9000005f,0x3fa605ff,0x3ff60004,0x007ff301,0x037fffdc,
    0x03bfa000,0x0001ffd4,0x002fec00,0x7ffc4000,0x0027ffc3,0x0ff90000,
    0xff700000,0x013fe605,0x77dc0000,0x26000000,0x800000ef,0x7fc3fff8,
    0x8000004f,0x05fffffe,0x3ee00000,0x000fffff,0xff72ffb8,0x05500005,
    0x10000000,0x00000003,0x1007be20,0x800003fd,0x74400ef8,0xef98001f,
    0x007f4400,0x02fffe88,0x037ea000,0x0000ff30,0x00013200,0x2077dc00,
    0x00000efb,0x00065c00,0x03ff1000,0x0000fe88,0x000cb800,0x004c4000,
    0x1df70000,0x0000efb8,0x7fffcc00,0x00000fff,0x3ffffe00,0x5ff70003,
    0x0000bfee,0x000f7f6a,0x00000000,0x26200000,0x00026000,0x40013100,
    0x01880009,0x30002620,0x88000017,0x00062001,0x00000000,0x00000000,
    0x00000000,0x20013100,0x000001a8,0x40000000,0x0000bcb9,0x00000000,
    0xfffffb00,0x000009ff,0x2e000000,0x05ff72ff,0xfeffd800,0x0000006f,
    0x2af2aa62,0x000bb000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33000000,0x00000003,0x00000000,0x00000000,0x00001998,0x00ccc000,
    0xfffb0000,0x000005ff,0x80000000,0xfffffef9,0x000000ff,0xfb800000,
    0x005ff72f,0xc886fdc0,0x4000004f,0xffffffd9,0xf903efff,0x00000009,
    0x30000000,0x2a015795,0x00000000,0x00000180,0x55975310,0x4000b801,
    0xffffedca,0x000bcdef,0x3bbbbbb6,0xeeeeeeee,0xeeeeea82,0xddb4eeee,
    0xdddddddd,0xd505dddd,0xdddddddd,0xedca8009,0xcdefffff,0xa800000b,
    0xfffffedc,0x0000bcde,0x7dc56fe4,0x7776c00f,0xeeeeeeee,0xeea82eee,
    0x4eeeeeee,0xff9fc800,0x003fffff,0xeeeeeed8,0xeeeeeeee,0xeeeeea82,
    0xff74eeee,0x000bfee5,0x07f80fe8,0xffd70000,0xd53359df,0x7dc7ffff,
    0xeeeeeb85,0x1eeeeeee,0x3bbbbbb2,0x4eeeeeee,0x3bbbbba0,0xfff9104e,
    0x415dffff,0xddd7001e,0xdddddddd,0x4c03dddd,0xacefffed,0x01aaaaaa,
    0x7fff5c40,0x1cefffff,0xe98007c4,0xa9bdffff,0x02fffffc,0x3fffe620,
    0x009fffff,0x7fffecc4,0x7ffcc40a,0x09ffffff,0x7ffecc40,0x3a6000af,
    0xa9bdffff,0x02fffffc,0xfffd3000,0xff9537bf,0x20005fff,0x04fa86f8,
    0xfffff988,0x4009ffff,0xaffffd98,0x95f88000,0x0dffffff,0x3ffe6200,
    0x09ffffff,0x7ffecc40,0x4bfee0af,0x20002ffb,0x001f905f,0x7ffec400,
    0x3fea00df,0x205fceff,0xffffffea,0xfb880aff,0xefffffff,0xfffb3001,
    0x33ffea05,0xfffca889,0x44001fdd,0xfffffffa,0x36600aff,0xfd99dfff,
    0x5fffffff,0xffff9100,0xdb959bff,0x1fd79fff,0xbffff700,0xdffffa80,
    0x3ffea000,0x8002ffff,0x7d401ffd,0x02ffffff,0x001ffd80,0x02ffffdc,
    0x037fffea,0xffffb800,0x7fffd405,0x1fcc000d,0x3ea006f8,0x02ffffff,
    0x001ffd80,0x7fc47ee0,0x002fffff,0x3ffffea0,0xfd8002ff,0x72ffb81f,
    0x740005ff,0x0000fd07,0x2fffffcc,0xfffffa80,0x7ffcc00f,0xb806ffff,
    0x4fffffff,0x81ffcc00,0x2202fffa,0x001ffffd,0xffffff50,0xfff9805f,
    0x7fffc45f,0x9805ffff,0x0bffffff,0x3ffffaa0,0x3ffa600f,0xf9800eff,
    0x1003ffff,0x3fffffff,0x00df7000,0xfffffff1,0x0df70003,0x7ffff4c0,
    0xfff9800e,0x74c003ff,0x800effff,0x03fffff9,0x3e213e60,0x3ffe2005,
    0x8001ffff,0x7c0006fb,0x7ffffec6,0x3e20006f,0x01ffffff,0xf706fb80,
    0x00bfee5f,0x7d43fc80,0xff300005,0xd800ffff,0x802fffff,0x7ffffffd,
    0xfffffd00,0x7f8800bf,0x00dfff10,0x0007ffee,0x7fffffc4,0x3ffa200f,
    0xfffc82ff,0x3fee000f,0x2000efff,0x100ffffb,0x01ffffff,0x7ffffdc0,
    0xffff8803,0xa8000fff,0xfff8805f,0x8000ffff,0xff1005fa,0x4001ffff,
    0x03fffffb,0xffffff10,0x7ffdc001,0x1fe003ff,0xf88013ee,0x00ffffff,
    0x0005fa80,0xfff30bea,0x0003ffff,0x3fffffe2,0x5fa8000f,0x3ee5ff70,
    0x3a20002f,0x00ffecef,0xfffe8800,0x7c4004ff,0x400fffff,0xfffffff9,
    0xffffb801,0x26000fff,0x5fffd03f,0x00ffec00,0xfffff880,0x3ff600ff,
    0xffa80fff,0xff9005ff,0x0001dfff,0x3601fff7,0x002fffff,0x7fffffc4,
    0xfffff800,0xf98000ff,0xfffff004,0xf30001ff,0x3fff6009,0x7c4002ff,
    0x800fffff,0x02fffffd,0x7ffffc40,0x7df7000f,0x8001ff93,0x0fffffff,
    0x004f9800,0x7ff41ba0,0x0005ffff,0x3ffffffe,0x04f98000,0x3fee3993,
    0x7ec40002,0x00000eff,0x3ffffffb,0xffffd000,0xfffd00bf,0xf1009fff,
    0x07ffffff,0x7c407e40,0x22001fff,0xf10002fe,0x01ffffff,0x83fffff4,
    0x02fffff9,0x7fffffdc,0x3ff60000,0xfffffb80,0xffc8000f,0xff805fff,
    0x000fffff,0xff004f98,0x001fffff,0xf7009f30,0x001fffff,0xbfffff90,
    0xfffffb80,0xffc8000f,0x2e005fff,0x001effff,0xfffffff8,0x04f98000,
    0x2e07f300,0x0fffffff,0xfffff000,0xf30001ff,0x17fdc009,0x04fc8000,
    0x3ffea000,0xd8005fff,0x2fffffff,0x7ffffd40,0xfff9007f,0x7c00dfff,
    0x7ffff505,0x002fa800,0xffffff10,0x3ffe201f,0xfff107ff,0x7fcc09ff,
    0x0003ffff,0x7fcc0ff8,0x0005ffff,0x7ffffff5,0xffffff80,0x4f98000f,
    0xffffff00,0x9f30001f,0xfffff980,0xff50005f,0x2607ffff,0x05ffffff,
    0xfffff500,0x5d44007f,0x3ffe0002,0x8000ffff,0xfb0004f9,0x7ffffc01,
    0xff0004ff,0x001fffff,0x5c009f30,0x880002ff,0x200007ff,0x2ffffffd,
    0x7fefe400,0x400fffff,0x3fffffff,0xfffff980,0x2fa801ff,0x3fffff70,
    0x0017c400,0xffffff88,0xffff300f,0x3ffe20df,0x3ffa05ff,0x00007fff,
    0xfffe81f9,0x10003fff,0x1fffffff,0x7fffffc0,0x4f98000f,0xffffff00,
    0x9f30001f,0xfffffe80,0xff10003f,0xd01fffff,0x07ffffff,0x3fffe200,
    0x44000fff,0x3ffe0001,0x8000ffff,0xf98004f9,0x7fffe404,0xf8000fff,
    0x00ffffff,0x2004f980,0x80002ffb,0x0002fffb,0xffffff88,0x57ee001f,
    0x3fffffff,0x7ffffe40,0xfffd006f,0xfb009fff,0x7ffffdc0,0x00b6001f,
    0x7ffffc40,0xfff100ff,0x3fe20fff,0xff503fff,0x000bffff,0xff983e60,
    0x000fffff,0x3fffffa0,0x3fffe03f,0x98000fff,0xffff004f,0x30001fff,
    0x7ffcc09f,0x0000ffff,0x3ffffffa,0x7ffffcc3,0x3a0000ff,0x03ffffff,
    0x3fffb2e2,0x7fc003ef,0x000fffff,0xc8004f98,0x999999af,0xffffffa9,
    0xfff8003f,0x8000ffff,0x3ee004f9,0xff80002f,0xb80006ff,0x1fffffff,
    0x361df300,0x04ffffff,0x7fffffcc,0xfffd801f,0x7c407fff,0x3fffe604,
    0x9800cfff,0xfff10000,0x7401ffff,0xf307ffff,0x3a05ffff,0x03ffffff,
    0xfa836000,0x00ffffff,0x3ffff600,0x3ffe05ff,0x8000ffff,0xfff004f9,
    0x0001ffff,0x7fd409f3,0x000fffff,0x3fffff60,0x7fffd45f,0x20000fff,
    0x5ffffffd,0xd79dff50,0x400dffff,0x0fffffff,0x004f9800,0x7fffffc4,
    0xffffffff,0x8006ffff,0x0fffffff,0x004f9800,0x0000bfee,0x03fffff5,
    0xffffd800,0xf9800fff,0x3ffff20f,0xffe806ff,0x4404ffff,0xffffffff,
    0xf007ee02,0xffffffff,0x20000017,0xfffffff8,0x3fffea00,0xffffa80f,
    0xffff980f,0x00000fff,0x3fffff20,0x7e40007f,0x206fffff,0x0fffffff,
    0x004f9800,0x1fffffff,0x409f3000,0x7ffffffc,0x7ffe4000,0x7fe46fff,
    0x0007ffff,0x7fffffe4,0x41ffec46,0x005ffffd,0x1fffffff,0x009f3000,
    0xaaaabfb8,0xffbaaaaa,0x002fffff,0x7ffffffc,0x04f98000,0x000bfee0,
    0xbfffffd0,0xfffe8000,0xe8807fff,0x7fffe41f,0xffa807ff,0x5c07ffff,
    0xffffffef,0x3601ba05,0xffffffff,0x800003ff,0xfffffff8,0x7fffec00,
    0x1ffffc83,0xffffff90,0xd800000f,0x07ffffff,0x7fffe400,0x3ffe07ff,
    0x8000ffff,0xfff004f9,0x0001ffff,0x7fec09f3,0x0007ffff,0x7fffffe4,
    0x7ffffec7,0x7e40007f,0x647fffff,0xff982fff,0xff803fff,0x000fffff,
    0x7c004f98,0x7ffec005,0x7c005fff,0x00ffffff,0x2004f980,0x20002ffb,
    0xfffffff9,0x3ffe0000,0xe807ffff,0xffffc82f,0xff800fff,0x203fffff,
    0xfffff9ef,0x03f980ff,0xffffff88,0x02efffff,0x3ffe2000,0xd800ffff,
    0x3e60efff,0x3fa02fff,0x006fffff,0x7fffc000,0x40006fff,0xfffffffc,
    0xffffff01,0x9f30001f,0x3ffffe00,0xf98000ff,0x3ffffe04,0x640006ff,
    0x1fffffff,0x3ffffffe,0x7fe40006,0x3e1fffff,0xff886fff,0xff806fff,
    0x000fffff,0x2e004f98,0x7fd4002f,0x001fffff,0x3ffffffe,0x04f98000,
    0x3fee1553,0x3ff60002,0x004fffff,0xffffff10,0x03fd80df,0xfffffff7,
    0xffff9005,0x4bea0dff,0x3ffffffe,0xf3000fc8,0xffffffff,0x0003dfff,
    0xffffff10,0x3f66001f,0xcfffdcef,0x7ffffc00,0x000006ff,0x3fffffe2,
    0x7dc0005f,0x02ffffff,0x1fffffff,0x009f3000,0x3ffffffe,0x04f98000,
    0xfffffff1,0xffb8000b,0xf12fffff,0x0bffffff,0xffffb800,0xfff52fff,
    0xfff885ff,0xfff807ff,0x8000ffff,0x1fe004f9,0x7ffff400,0x3fe005ff,
    0x000fffff,0xff704f98,0x000bfee5,0x7ffff7cc,0x88000fff,0x5fffffff,
    0xfb813f20,0x02ffffff,0xffffff98,0x3ee7d81f,0xf86fffff,0x7ffd4005,
    0xffffffff,0x440003ff,0x0fffffff,0x3b7bea00,0xff000ace,0x00bfffff,
    0x7ffc4000,0x0005ffff,0x7fffffdc,0xfffff02f,0xf30001ff,0x3fffe009,
    0x98000fff,0xffff104f,0x8000bfff,0xfffffffb,0xffffff12,0xfb8000bf,
    0x32ffffff,0x885fffff,0x807fffff,0x0fffffff,0x004f9800,0x2e000bf7,
    0x0fffffff,0xffffff00,0x9f30001f,0x7dcbfee0,0x3f90002f,0x7fffffff,
    0x3fffe000,0xbf706fff,0xfffffb80,0xffd001ff,0xf889ffff,0x3ffffe24,
    0x00bea1ff,0x3ffffa60,0xffffffff,0x3fe20004,0x800fffff,0x40001fd8,
    0xfffffff8,0x7c000006,0x06ffffff,0x7fffdc00,0xfff01fff,0x0001ffff,
    0x3fe009f3,0x000fffff,0x3fe04f98,0x006fffff,0x7ffffdc0,0x3fffe1ff,
    0x40006fff,0xfffffffb,0x21bfff61,0x07fffff8,0xfffffff8,0x04f98000,
    0x0003ff88,0xfffffff1,0x3fffe00b,0x98000fff,0x25ff704f,0x88002ffb,
    0xfffff95f,0x3f6000df,0xa87fffff,0xfffc806f,0x5000ffff,0x1fffffff,
    0x3ff607e4,0x1f64ffff,0xffff9000,0xffffffff,0x3fe20009,0x400fffff,
    0x80004ff9,0xfffffff8,0x74000007,0x07ffffff,0x7fffe400,0xfff00fff,
    0x0001ffff,0x3fe009f3,0x000fffff,0x3fa04f98,0x007fffff,0x7ffffe40,
    0x3fffa0ff,0x40007fff,0xfffffffc,0x7540dc40,0x807fffff,0x0fffffff,
    0x804f9800,0x20005ffd,0xfffffffe,0xfffff802,0xf98000ff,0x2e5ff704,
    0xfb8002ff,0xffffff11,0xff70005f,0xf98fffff,0xfffc800e,0x7c007fff,
    0x23ffffff,0xffffa85f,0x04f88fff,0xfffc8800,0xffffffff,0xfff88000,
    0x6c00ffff,0xf00005ff,0x1fffffff,0x7ec00000,0x007fffff,0x7ffffe40,
    0x3fffe07f,0x98000fff,0xffff004f,0x30001fff,0x7ffec09f,0x40007fff,
    0x7ffffffc,0x7fffffec,0x7fe40007,0x5007ffff,0xfffffdfd,0xfffff00f,
    0xf30001ff,0x7fff5409,0x7d44002f,0xffffffff,0x3fffe00a,0x98000fff,
    0x25ff704f,0xf8002ffb,0x7ffffec6,0xffa8006f,0xf10fffff,0x3ff6003f,
    0x4006ffff,0x6ffffffc,0x3ffe05f5,0x1fbaffff,0x3f660000,0xffffffff,
    0xfff88005,0x2200ffff,0xaabdffff,0x40099aaa,0xfffffffe,0x2e000001,
    0x0fffffff,0x3fff6000,0x3fe06fff,0x000fffff,0xff003fa8,0x001fffff,
    0x7dc07f50,0x00ffffff,0x3ffff600,0x7ffdc6ff,0x0000ffff,0x3ffffff6,
    0x67ff4c06,0x07fffff8,0xfffffff8,0x03fa8000,0xfffffff9,0x7f4c03df,
    0xffffffff,0xff00ffff,0x001fffff,0x3ee07f50,0x005ff72f,0x7fcc2fa8,
    0x001fffff,0x7fffffc4,0x001fe89f,0x3ffffffa,0x7ffcc003,0x06e9ffff,
    0x3ffffff2,0x02a006ee,0x7ffff4c0,0x88007fff,0x0fffffff,0x3ffffee0,
    0xffffffff,0xfffb03ff,0x0005ffff,0x7fffd400,0x20001fff,0x3ffffffe,
    0x3fffffe0,0x3fa8000f,0xffffff00,0x7f50001f,0x7ffffd40,0x3a0001ff,
    0x43ffffff,0xfffffffa,0x3ffa0001,0xb103ffff,0x3fe27fff,0xff807fff,
    0x000fffff,0x00003fa8,0x01fe9800,0x7fffffc0,0x3fa8000f,0x3ee5ff70,
    0x8374002f,0x5ffffffe,0xffffe800,0x002fdaff,0x3fffffe2,0xffe8000f,
    0x03feffff,0x3fffffe6,0x0f2003ff,0xfffff700,0xf88001ff,0x407fffff,
    0xfffffff9,0xffffffff,0x7ffd41ef,0x0003ffff,0x7ffff400,0xf10002ff,
    0x01ffffff,0x7ffffffc,0x02fa8000,0xfffffff0,0x05f50001,0xffffffe8,
    0xfff10002,0xfd01ffff,0x005fffff,0x3ffffe20,0xffe980ff,0x3fffe22f,
    0xffff807f,0xa8000fff,0x0000002f,0x40017fd4,0x0fffffff,0x702fa800,
    0x0bfee5ff,0xf703f980,0x01ffffff,0xfffffa80,0x54004fff,0x04ffffff,
    0xfffff500,0xfe801fff,0x00ffffff,0x2a001b20,0x21ffffff,0xf883efc8,
    0x807fffff,0xffffffff,0xffffffff,0xffffe86f,0x000004ff,0x7fffffcc,
    0xfff30005,0xfe807fff,0x001fffff,0xfd001fc8,0x003fffff,0xf9803f90,
    0x005fffff,0xffffff30,0x3fffe607,0xf30005ff,0x507fffff,0xf889ffff,
    0xe807ffff,0x01ffffff,0x0001fc80,0x3ffe2000,0xfffe8000,0xc8001fff,
    0x25ff701f,0x36002ffb,0x3fffe00f,0xe8004fff,0x05ffffff,0xfffffd80,
    0x3fe0000f,0x804fffff,0x5ffffffb,0x000fe400,0x07ffffdc,0x885ffffd,
    0x07ffffff,0xfffffe88,0xffffffff,0x7fdc1fff,0x0007ffff,0xffffd800,
    0xfc8000ff,0xd806ffff,0x01ffffff,0xb000fe80,0x03ffffff,0xb001fd00,
    0x01ffffff,0xfffff900,0xffffd80d,0xfc8000ff,0xf886ffff,0x7c42ffff,
    0xd807ffff,0x01ffffff,0x0000fe80,0x3ffee000,0xfffd8000,0xe8001fff,
    0x25ff700f,0xf3002ffb,0xffffc809,0x4c000fff,0x02ffffff,0x7ffffc40,
    0x7e40002f,0x801fffff,0x2ffffff8,0x0027e400,0x337fffc4,0x88bfffff,
    0x06ffffff,0xffffff10,0xffffffff,0xfff889ff,0x0002ffff,0x3ffe2050,
    0x44003fff,0x03ffffff,0xffffffa8,0x037cc003,0xffffff50,0x06f98007,
    0xffffff10,0xfff88007,0x7c403fff,0x003fffff,0x7fffffc4,0xfffffc83,
    0x7ffffc41,0xffffa807,0x7cc003ff,0x40000006,0x8003fffe,0x3ffffffa,
    0x7037cc00,0x0bfee5ff,0x4ccd7e40,0xfffa9999,0x8003ffff,0x06fffffa,
    0x7ffffe40,0xff980004,0x36006fff,0x8007ffff,0xe8001ffc,0x3fea5fff,
    0x7fc46fff,0x4404ffff,0x4c1acffc,0xfffeba99,0xfffff984,0x4d80006f,
    0x3ffffee0,0x7ffdc007,0xff1004ff,0x400dffff,0x22002ff8,0x06ffffff,
    0x800bfe20,0x07fffffb,0x7ffffdc0,0xffff7004,0xffb800ff,0xffd04fff,
    0xffb89fff,0x4400ffff,0x06ffffff,0x000bfe20,0xfffb0000,0xff88001d,
    0x2006ffff,0x3ee02ff8,0x005ff72f,0xfffffff1,0xffffffff,0x2000dfff,
    0x04fffffb,0x9fffff30,0x7ff40000,0x3ea002ff,0xc8004fff,0x7c000eff,
    0x3fe61fff,0x7fcc2fff,0x6c02ffff,0x7c4006ff,0xfff702ff,0x40009fff,
    0x7fdc04fd,0xf3003fff,0x8009ffff,0x5ffffffb,0x000bfd00,0xbffffff7,
    0x0017fa00,0x0fffffee,0x7ffffcc0,0x7ffdc004,0xff3003ff,0x7f409fff,
    0xfbdfffff,0x0fffffff,0x7fffdc01,0xbfd005ff,0x70000000,0x001dffff,
    0xffffffb8,0x80bfd005,0x5ff72ffb,0x5557f700,0xf7555555,0x05ffffff,
    0xffffe880,0x7fcc03ff,0x00002fff,0x003fffd4,0x000ffffc,0x002fffe4,
    0xfd07fff3,0xfff30dff,0x7c401dff,0xff8003ff,0x3fff200f,0x4c003fff,
    0xff5005fe,0xf9809fff,0x0004ffff,0x9ffffffb,0x1bfd5103,0x3fff6000,
    0xa881cfff,0x50000dfe,0x809fffff,0x04fffff9,0xfffff500,0xffff9809,
    0x7ffdc04f,0xe9efffff,0x3edfffff,0x7ffffec0,0xfea881cf,0x0000000d,
    0xfffffe88,0xffb001ac,0x1039ffff,0xb801bfd5,0x05ff72ff,0xfd800bf0,
    0x005fffff,0x3ae27fa2,0x311cefff,0x01bffff9,0x3ffe0000,0x6ffc8003,
    0xffff9000,0xffe8803d,0x09fff305,0x05fffffb,0x001dfff0,0x54017fdc,
    0x1dffffff,0x13ff2a20,0xffffb100,0x3fae637b,0x0001efff,0x7fffffdc,
    0xfffecdff,0xffb80005,0xcdffffff,0x0005fffe,0xdffffd88,0xfffd731b,
    0x880003df,0x1bdffffd,0xdffffd73,0xffff1003,0x7fd49fff,0x7003ffff,
    0xffffffff,0x0bfffd9b,0x98000000,0xfffffffe,0xffff7002,0xfd9bffff,
    0x3ee00bff,0x805ff72f,0x7d4002fb,0x01ffffff,0xfd505fb0,0xffffffff,
    0x0000017d,0x8000ffc8,0x90003ff8,0x59ffffff,0x1fffd441,0x273ffea0,
    0x2fffffb9,0x5dfff700,0xffb53101,0x7fec4005,0xabceffff,0x01efffec,
    0x3ffb2600,0xffffffff,0x2600002d,0xfffffffd,0x0001dfff,0x3ffff660,
    0x1dffffff,0x764c0000,0xffffffff,0x00002dff,0x7ffff64c,0x2dffffff,
    0x7ffe4c00,0xeffec81d,0x7fecc003,0xffffffff,0x0000001d,0x3fffb200,
    0x7ecc001d,0xffffffff,0x3aa001df,0x803dd51e,0xffd0007f,0x700bffff,
    0x9753007f,0x00003579,0x002fcc00,0x20001fd0,0xffd711fc,0x1bffffdf,
    0x3fff2200,0x00cfffff,0x7fffecc0,0xfffffeef,0xd710000b,0xffffffff,
    0x00007bff,0xbcccba98,0x4000002a,0xaccccba8,0x2000000a,0xaccccba8,
    0x8000000a,0xabcccba9,0x30000002,0x55799975,0x00110000,0x51000022,
    0x15599997,0x00000000,0x88000080,0xaaccccba,0x40000000,0xf70005fb,
    0x01ffffff,0x00000070,0x03700000,0x0001cc00,0x332a2035,0x100009bc,
    0x01579975,0xb9973000,0x0003579b,0xccbaa880,0x00000abc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0003ff88,0xfffffff1,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00bffb00,0x7fffff40,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffd5000,0xfa88005f,0xffffffff,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffff20,0x2601efff,0xfffffffe,0x00ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999980,
    0x0a880000,0x00035100,0x33331000,0x44000001,0x00006201,0x22000880,
    0x26000001,0x00099999,0x99990000,0x22000019,0x0004c001,0x13333100,
    0x10000000,0x00003333,0x2aaaa880,0x26620000,0x22000019,0x0002aaaa,
    0x000005cc,0x004cccc4,0x02620000,0x00000980,0x88000000,0x5400000b,
    0x00efffff,0x803ff000,0x00001ff9,0x05fffc80,0x7fc40000,0x00027e43,
    0x5007f900,0x200000df,0x05fffffb,0xff700000,0x0000bfff,0xd10037e6,
    0x7400001f,0x0006ffff,0x7ffcc000,0x000003ff,0x0bfffff2,0x3ffe6000,
    0x900003ff,0x005fffff,0x013fffa0,0xffffb000,0x8800000f,0x7ec400ef,
    0xfb000002,0x7ffec9ff,0xfffb1004,0x3200001b,0x000effff,0x40ffee00,
    0x00004ffa,0x009ffd00,0x3fe60000,0x0005ffcf,0x027fc400,0x00003ff9,
    0x1bffff60,0x7c400000,0x01ffffff,0x01dfb000,0x00013fe6,0xffffffa8,
    0x20000002,0x0ffffffd,0xff980000,0x0006ffff,0xffffffd8,0x7fcc0000,
    0x8006ffff,0x01fffffa,0xffff3000,0x000007ff,0xd101ffb8,0x200000bf,
    0x7fc6fff8,0x3fee006f,0x00003fff,0x001dffff,0x89ffd000,0x0000fffc,
    0x03ff8800,0x7dc00000,0x0000ffff,0x0dffb800,0x0017ff62,0x7fffc400,
    0x0000000e,0xfffffff9,0x3e60000b,0x7ffdc1ff,0x3fa00000,0x006fffff,
    0xfff50000,0x0009ffff,0xfffffb00,0x540007ff,0x4fffffff,0x7ffec000,
    0x4003ffff,0x05fffffe,0xffffd000,0x00001fff,0x217ffc40,0x0001fffa,
    0x43fff500,0x2001fffa,0x06fffffe,0xefffa800,0xf5000000,0xfffb1bff,
    0x20000007,0x000002c9,0x03999700,0x3e200000,0xffe88eff,0x5000000f,
    0x0001dfff,0x3ffe6000,0x01fffebf,0x5fff9000,0x000ffff2,0xfffffb80,
    0x00002fff,0xfefffe80,0x00000fff,0x3f3fffea,0x3a0007ff,0xffffefff,
    0xfff50000,0x00ffff9f,0x3fffffd8,0xfffa8000,0x004fffff,0x7ffdc000,
    0x009fff73,0x1ffec000,0x8800fff2,0x0fffffff,0x7ffe4000,0x74000000,
    0x6fffffff,0x5c400000,0x0002b882,0x220ae200,0x8000002b,0xfffffffb,
    0x2000004f,0x0000effd,0x3bff6000,0x00dffd11,0x3fffe200,0x0006fffe,
    0x27fffe20,0x0006ffe9,0xafffdc00,0x0004fffa,0x547bffa0,0xb8003fff,
    0xfff55fff,0x3ffa0009,0x07fff51e,0x7ffffcc0,0xfff80000,0x0fffe89f,
    0x7f400000,0x0ffffeff,0xff100000,0x000dff0b,0x0fffffff,0x03fff000,
    0xff500000,0x005fffff,0x1ffe8000,0x00017fec,0x6c1ffe80,0x000002ff,
    0xffffffe8,0x1000000f,0x00001dff,0x06ffd400,0x00017fec,0xffffffc8,
    0x3200002f,0x3fa20eff,0x1000003f,0xff987fff,0xfb80000f,0x7ffcc0df,
    0x3ffe2000,0x007ffcc3,0x303bfee0,0x54001fff,0x80002dfe,0x7ec0effb,
    0x4000004f,0xfffffffa,0x2a000003,0x07fd40ff,0x7ffff400,0x7d40006f,
    0x0000001f,0x17fffffa,0xff100000,0x04fff87f,0xfff88000,0x0027ffc3,
    0x7ffd4000,0x00003fff,0x0003fea0,0x09fd0000,0x00006fc8,0xbffffff1,
    0x7fcc0000,0x00ffb105,0x0bff2000,0x0002ff4c,0xe8813fe2,0x3ff2004f,
    0x00bfd302,0xd1027fc4,0x0010009f,0x817fe200,0x00000ffc,0x7fffff40,
    0x6c000006,0x003fc82f,0xbfffffb0,0x01ca8000,0x7cc00000,0x0001ffff,
    0x40efb800,0x00000efb,0xfb81df70,0x0000000e,0x00dffffd,0x01ca8000,
    0x64c00000,0x003d7002,0x3ffff200,0x3600001f,0x03fc803f,0x0f7c4000,
    0x0007fa20,0xd8803eb8,0x1ef8800f,0x800ff440,0xfd8803ea,0x00000000,
    0xbf7007fb,0xfa800000,0x0002ffff,0x3b81e400,0x3ffee000,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x88000000,0x00009999,0x00000000,
    0x00000000,0x02666600,0x00130000,0x20000154,0x02600098,0x00000000,
    0x130004c4,0x00000000,0x02600000,0x00001880,0x01999980,0x00000000,
    0x7fffcc00,0x2620001f,0x400aacba,0x9980000b,0x00000001,0x00000000,
    0x00000000,0x15597531,0x00000b80,0x40000000,0x1aabca98,0x260005c0,
    0x1500abca,0x00000000,0x00000000,0x00030000,0x00000000,0x99910000,
    0x00399999,0x00000000,0x00000000,0x00000000,0x01fffff1,0xfffeb880,
    0x1cefffff,0x2a0007c4,0xfffffedc,0x2000bcde,0xeeeeeeed,0x2eeeeeee,
    0xeeeeeea8,0xdddb4eee,0xdddddddd,0xdd505ddd,0x9ddddddd,0xffeb8800,
    0xceffffff,0xeed87c41,0xeeeeeeee,0xea82eeee,0xeeeeeeee,0x76dc4004,
    0xffffffff,0x007cc1cf,0x7ffffe44,0x07a0aeff,0xdddddddb,0x5ddddddd,
    0xdddddd50,0x00009ddd,0x54000000,0xaceffffd,0x01aaaaaa,0x99500000,
    0x99999999,0xcccccb83,0x3fffae0c,0x00003fff,0x3a600000,0xeeeeeeee,
    0xddd3003e,0x25dddddd,0xeeeeeeed,0x2eeeeeee,0xeeeeeea8,0x7ff44eee,
    0x3f22006f,0xacdfffff,0xbcfffedc,0xfd3000fe,0x9537bfff,0x005fffff,
    0x7ffffcc4,0x4009ffff,0xaffffd98,0x7fffcc40,0x009fffff,0x7fffecc4,
    0x3f22000a,0xacdfffff,0xbcfffedc,0x3fe620fe,0x9fffffff,0x7fecc400,
    0x5c000aff,0x9acfffff,0xffffcba9,0x5400ffbc,0xa889cfff,0x1fddfffc,
    0xfffff988,0x4009ffff,0xaffffd98,0x77777740,0xeeeeeeee,0xddddd33e,
    0xdddddddd,0xffb303dd,0xffff55ff,0x2abfffff,0x5eeeeeee,0x7ff4c000,
    0x0befffff,0x1ffffdcc,0x3ffffff8,0xeeeeeeb8,0x4eeeeeee,0xeeeeee80,
    0x3aa20eee,0xffffffff,0x3ff66002,0x7cc40bff,0xffffffff,0x7ecc4009,
    0xfc80afff,0xff3004ff,0x4017ffff,0x0fffffea,0x5ffffb80,0x6ffffd40,
    0x3ffea000,0x8002ffff,0x7d401ffd,0x02ffffff,0x001ffd80,0x7fffffcc,
    0x3ffaa00b,0xffa80fff,0x002fffff,0x4001ffd8,0x0dffffe9,0x7fffe440,
    0x3fea00ff,0x3ff6202f,0x3fea01ff,0x002fffff,0x4c01ffd8,0xfffffffe,
    0xff5100bf,0x5fffffff,0x3fffe601,0x7ffffc0e,0x3faa5fff,0x0007ffff,
    0xffffffb0,0x01ffb807,0x0ffffff6,0x7ffffe4c,0x4001ffff,0x0bffffc9,
    0xfffffd10,0xc8001fff,0x7fd401ff,0x002fffff,0x2a01ffd8,0xfb802fff,
    0x000effff,0x803fffee,0x0effffe9,0xfffff980,0xffff1003,0x70003fff,
    0xfff100df,0x0003ffff,0xfb800df7,0x000effff,0x203fffee,0xfffffff8,
    0x06fb8001,0x7ffffdc0,0x7ff44003,0xfff100ff,0x3ffee00d,0x3fffe201,
    0xb8001fff,0xfff1006f,0x2009ffff,0xfffffffa,0x3fffa202,0xffffc82f,
    0x3fffea00,0xf100007f,0x809fffff,0x7fec04fa,0x7e403fff,0x06ffffff,
    0x007ffa00,0x3fffffe2,0x26000eff,0xfff8806f,0x8001ffff,0x7fc406fb,
    0x7ffe400f,0xb8000eff,0xff100fff,0x4001ffff,0x03fffffb,0xffffff88,
    0x5fa8000f,0xfffff880,0xfa8000ff,0x3fff2005,0xb8000eff,0xff880fff,
    0x000fffff,0x36005fa8,0x004fffff,0x01fffd10,0x800bfffa,0x3e201ffd,
    0x00ffffff,0x2005fa80,0x2ffffffe,0xfffff100,0x7fe401ff,0xffa80fff,
    0x3fe606ff,0x00007fff,0x1bfffff2,0xfc803f90,0xe803ffff,0x1fffffff,
    0x007ff000,0x7ffffffc,0x3e2005ff,0xffff8805,0xa8000fff,0x06fe805f,
    0x7fffffdc,0x3ff60000,0xfffffb00,0xfff88005,0xff800fff,0x000fffff,
    0xff004f98,0x001fffff,0x2e009f30,0x00ffffff,0x403ff600,0x0fffffff,
    0x004f9800,0x0dfffff5,0x0fff9800,0x01ffff88,0xf00bfa20,0x01ffffff,
    0x4009f300,0x2ffffffe,0xfffff100,0x7ff401ff,0xfff307ff,0x3fe605ff,
    0x00007fff,0x3fffffe2,0x3201ba02,0x803fffff,0xfffffff9,0x05fa8005,
    0x7fffffc0,0x2003ffff,0xffff004f,0x30001fff,0x0bfb009f,0x7fffffcc,
    0x0ff80003,0xffffffb8,0xfffc8000,0xfff805ff,0x8000ffff,0xfff004f9,
    0x0001ffff,0xff3009f3,0x0007ffff,0x3fe01ff0,0x000fffff,0xf8804f98,
    0x003fffff,0xa80ffa80,0x4003ffff,0x7ffc02fa,0x8000ffff,0x3fa004f9,
    0x002fffff,0xfffffff1,0x3fffe201,0xffff107f,0x3ffe609f,0x400007ff,
    0x05fffffd,0xff9005f1,0x36007fff,0x1fffffff,0x0007f400,0x3ffff73e,
    0xf001ffff,0x3fffe009,0x98000fff,0x04fc804f,0x1ffffffa,0x207e4000,
    0x5ffffff9,0xffff5000,0xfff807ff,0x8000ffff,0xfff004f9,0x0001ffff,
    0xffd009f3,0x0000ffff,0x7ffc03f2,0x8000ffff,0xffd804f9,0x0000ffff,
    0xff701fd0,0x44003fff,0x7fffc02f,0x98000fff,0x3ffa004f,0x1002ffff,
    0x1fffffff,0x3ffffe60,0xfffff106,0x3fffe60b,0x4c00007f,0x81ffffff,
    0xfff9007b,0x3e2007ff,0x05ffffff,0x2000fee0,0xffffe8cf,0xf800ffff,
    0xfffff004,0xf30001ff,0x207f5009,0x5ffffffa,0x81f30000,0x3ffffffe,
    0xffff1000,0x7fc01fff,0x000fffff,0xff004f98,0x001fffff,0xfa809f30,
    0x005fffff,0x3e01f300,0x00ffffff,0x5c04f980,0x05ffffff,0x203ea000,
    0x1ffffffb,0xff00b600,0x001fffff,0x74009f30,0x02ffffff,0xffffff10,
    0x3ffe201f,0xfff107ff,0x3fe607ff,0x00007fff,0x4fffffe8,0xff9004e8,
    0x64007fff,0x1fffffff,0x0006f880,0x3fffe29f,0xf806ffff,0xfffff004,
    0xf30001ff,0x203f3009,0x3ffffffe,0x98360000,0x0fffffff,0x3fffa000,
    0x3fe03fff,0x000fffff,0xff004f98,0x001fffff,0xfe809f30,0x003fffff,
    0x7fc03600,0x000fffff,0x7fc04f98,0x003fffff,0x7cc07400,0x0cffffff,
    0x7fc00980,0x000fffff,0x3a004f98,0x02ffffff,0xffffff10,0x7fff401f,
    0xffff307f,0x3ffe601f,0x001107ff,0x3ffffea0,0x4007e60f,0x03fffffc,
    0x3ffffe20,0x2fc806ff,0x7d49f000,0x4fffffff,0xff8027c0,0x000fffff,
    0xf8804f98,0xfffff980,0x000000ff,0x3fffffea,0x3f60000f,0x205fffff,
    0x0fffffff,0x004f9800,0x1fffffff,0x409f3000,0xfffffff9,0xf0000000,
    0x01ffffff,0x4c09f300,0x2fffffff,0x3e000000,0xffffffff,0x7fc0000b,
    0x000fffff,0x3a004f98,0x02ffffff,0xffffff10,0x7ffd401f,0xfffa80ff,
    0x3ffe606f,0x3fb227ff,0xff8002df,0x1b23ffff,0xfffffc80,0x7ffdc003,
    0x2602ffff,0x13e0005f,0xfffffff7,0x8027c07f,0x0fffffff,0x004f9800,
    0x3ffff203,0x000007ff,0x7fffffe4,0x7fe40007,0x3e06ffff,0x00ffffff,
    0xf004f980,0x01ffffff,0x6409f300,0x07ffffff,0x3fe00000,0x000fffff,
    0x3ea04f98,0x01ffffff,0x3f600000,0xffffffff,0x3fe0003f,0x000fffff,
    0x3a004f98,0x02ffffff,0xffffff10,0xfffd801f,0xffffc83f,0x3fffe602,
    0xfffff37f,0xfb800bff,0x7f16ffff,0x7fffe400,0xffe8003f,0x3a06ffff,
    0x13e0000f,0x3ffffff6,0x009f01ff,0x3ffffffe,0x04f98000,0x7ffff400,
    0x000006ff,0x7fffffec,0x7fe40007,0x3e07ffff,0x00ffffff,0xf004f980,
    0x01ffffff,0x7409f300,0x06ffffff,0x3fe00000,0x000fffff,0x3f204f98,
    0x00ffffff,0x3e200000,0xffffffff,0xf8002eff,0x00ffffff,0x2004f980,
    0x2ffffffe,0xfffff100,0xff9001ff,0x7ffd43df,0x7ffcc00e,0xfeffafff,
    0x002fffff,0x3fffffe2,0x32000fba,0x003fffff,0xffffffa8,0x004fa83f,
    0xffe827c0,0x80ffffff,0xffff004f,0x30001fff,0xff80009f,0x006fffff,
    0x7fffc000,0x40006fff,0xfffffffc,0xffffff01,0x9f30001f,0x3ffffe00,
    0xf98000ff,0x3ffffe04,0x000006ff,0x3fffffe0,0x4f98000f,0x3fffff60,
    0x0000007f,0xffffff98,0x1effffff,0x3ffffe00,0xf98000ff,0x3fffa004,
    0xf1002fff,0x01ffffff,0x37fff660,0x3004fffe,0x9fffffff,0x3ffffe61,
    0x3ff2000f,0x005eefff,0x1fffffe4,0xffffe800,0x037c47ff,0xf8827c00,
    0x6fffffff,0xfff004f8,0x0001ffff,0x171009f3,0xfffffff0,0x4400000b,
    0x5fffffff,0x7ffdc000,0xff02ffff,0x001fffff,0x3e009f30,0x00ffffff,
    0x3e04f980,0x05ffffff,0x3fe00000,0x000fffff,0x3fe04f98,0x006fffff,
    0xff500000,0xffffffff,0x3e007fff,0x00ffffff,0x2004f980,0xcffffffe,
    0xaaaaaaaa,0xffffffba,0x3bea000f,0x4001bded,0x5ffffff9,0x1fffffd8,
    0x3fffe600,0x64002fff,0x003fffff,0xffffff30,0x0017e47f,0xff3027c0,
    0x89ffffff,0xffff004f,0x30001fff,0xfffd809f,0xfffff10d,0x00000dff,
    0x7fffffc4,0x7dc0005f,0x02ffffff,0x1fffffff,0x009f3000,0x3ffffffe,
    0x04f98000,0xfffffff1,0x4000000d,0x0fffffff,0x104f9800,0xdfffffff,
    0x40000000,0xffffffe9,0x04ffffff,0xfffffff8,0x04f98000,0x3fffffa0,
    0xffffffff,0xffffffff,0xe9800fff,0xf300001f,0x901fffff,0x007fffff,
    0x7fffffd8,0xffffc800,0x3f60003f,0x98ffffff,0x9f00005f,0xfffffb80,
    0x013e2fff,0x7ffffffc,0x04f98000,0x4fffffea,0xfffffff8,0x7c000007,
    0x06ffffff,0x7fffdc00,0xfff01fff,0x0001ffff,0x3fe009f3,0x000fffff,
    0xff104f98,0x00ffffff,0x7ffc0000,0x8000ffff,0x3ffe04f9,0x0006ffff,
    0xffc80000,0xffffffff,0x7ffc04ff,0x8000ffff,0x3fa004f9,0xccdfffff,
    0xcccccccc,0x0fffffff,0x0027fcc0,0xfffff300,0x3ffff20f,0x7fd4003f,
    0xd8004fff,0x003fffff,0x3ffffe60,0x001fdcff,0xf9009f00,0x3fffffff,
    0x7ffc013e,0x8000ffff,0x3ff604f9,0x3ffe6fff,0x000fffff,0x3fffa000,
    0x40007fff,0xfffffffc,0xffffff00,0x9f30001f,0x3ffffe00,0xf98000ff,
    0x3ffffe04,0x00000fff,0xffffff00,0x9f30001f,0x7fffffc0,0x332e007f,
    0xcccccccc,0xc8802ccc,0xffffffff,0x3fe00fff,0x000fffff,0x3a004f98,
    0x02ffffff,0xffffff10,0x5ffd801f,0x3fe60000,0xff907fff,0xd0007fff,
    0x0003ffff,0x09fffffd,0xffffc800,0x0004ffff,0x7f4013e0,0x8effffff,
    0xffff004f,0x30001fff,0x7fff409f,0x3fffa6ff,0x0001ffff,0x3ffff600,
    0x640007ff,0x07ffffff,0x3ffffffe,0x04f98000,0xfffffff0,0x09f30001,
    0x7ffffff4,0x0000001f,0x1fffffff,0x409f3000,0x7ffffffe,0x3ff2a200,
    0xdfffffff,0x3f66001b,0xffffffff,0x3ffffe05,0xf98000ff,0x3fffa004,
    0xf1002fff,0x01ffffff,0x5effffc4,0x099aaaaa,0xfffff980,0xfffff907,
    0xfff70009,0xffb8800d,0x002fffff,0x3ffffe20,0x00000fff,0x7fc4013e,
    0xfdffffff,0xfffff004,0xf30001ff,0x7fffd409,0x3ffff63f,0x00002fff,
    0x3ffffee0,0x360000ff,0x06ffffff,0x3ffffffe,0x03fa8000,0xfffffff0,
    0x07f50001,0x7fffffec,0x0000002f,0x1fffffff,0x407f5000,0xfffffffc,
    0xfffb8000,0x0a84ffff,0xffffd300,0x7fc0ffff,0x000fffff,0x3a003fa8,
    0x02ffffff,0xffffff10,0x7ffdc01f,0xffffffff,0x300cefff,0x20ffffff,
    0x04fffffc,0x03fff880,0x3ffffe20,0x007fffff,0x3fffff20,0x7c00006f,
    0x3ffe6004,0x04ffffff,0xfffffff0,0x07f50001,0x20efffd8,0xfffffffa,
    0x2a000003,0x1fffffff,0x3fffa000,0x3fe03fff,0x000fffff,0xff003fa8,
    0x001fffff,0x7d407f50,0x03ffffff,0xfff00000,0x0001ffff,0x7fcc07f5,
    0x001fffff,0xffffff88,0x4003c81f,0xfffffffb,0xffffff00,0x7f50001f,
    0x7ffff400,0xff1002ff,0x401fffff,0xfffffff9,0xffffffff,0xfff981ff,
    0xfff907ff,0x320009ff,0x320000ff,0x5400005f,0x06ffffff,0x0027c000,
    0x3fffffea,0xfff004ff,0x0001ffff,0x371007f5,0x3fffffa0,0x4000004f,
    0x2ffffffe,0xffff1000,0x7fc01fff,0x000fffff,0xff002fa8,0x001fffff,
    0xfe805f50,0x004fffff,0xffff0000,0x50001fff,0xfffe805f,0xf0003fff,
    0x03ffffff,0xff5000d9,0x3e03ffff,0x00ffffff,0x2002fa80,0x2ffffffe,
    0xfffff100,0xfff801ff,0xffffffff,0x0fffffff,0x3fffffcc,0x4fffffc8,
    0x009f3000,0x0003fec0,0x7ffffd40,0x7c00006f,0xfffc8004,0xf004ffff,
    0x01ffffff,0x0005f500,0xffffff70,0x9800000f,0x05ffffff,0xfffff300,
    0xfffe807f,0xc8001fff,0xfffd001f,0x90003fff,0xfffb803f,0x00007fff,
    0xfffffd00,0x3f90003f,0xfffffa80,0xfff0005f,0xf901ffff,0xfff70003,
    0x3ffa01ff,0x8001ffff,0x3fa001fc,0x002fffff,0xfffffff1,0xfffe8801,
    0xffffffff,0x4c2fffff,0x907fffff,0x009fffff,0x40007e60,0x00004ffc,
    0xffffffa8,0x27c00006,0xffffd800,0xffd004ff,0x0003ffff,0x7b5003f9,
    0x3ffffe20,0x500002ff,0x3fffff60,0xffc8000f,0xfd806fff,0x001fffff,
    0xfb000fe8,0x003fffff,0xf8801fd0,0x02ffffff,0x7ec05000,0x001fffff,
    0xfc800fe8,0x000fffff,0xfffffff8,0x8004fc80,0x206ffff8,0x1ffffffd,
    0x000fe800,0x3ffffffa,0xffff1002,0xf1001fff,0xffffffff,0x9fffffff,
    0x7fffff98,0x9fffff90,0x00172000,0x0005fff8,0xfffffa80,0x7c00006f,
    0xffd10004,0x36009fff,0x01ffffff,0x2200fe80,0x981ffffe,0x06ffffff,
    0xf104d800,0x007fffff,0xffffff88,0xffffa803,0x7cc003ff,0x3ffea006,
    0x4c003fff,0xfff3006f,0x0000dfff,0x7ffd409b,0x4c003fff,0x3ffa006f,
    0xf8004fff,0x80ffffff,0xe8001ffc,0x3ea05fff,0x003fffff,0x3a0037cc,
    0x02ffffff,0xffffff10,0x7fe4401f,0xb998809d,0x7cc4ffff,0xf907ffff,
    0x2209ffff,0x017c40cc,0x07fff980,0xfffa8000,0x00006fff,0xf300027c,
    0x2009ffff,0x3ffffffa,0x2037cc00,0x05fffffb,0x9ffffff7,0x027ec000,
    0x0ffffff7,0xfffffb80,0xffff1004,0x7c400dff,0x3fe2002f,0x2006ffff,
    0x2e002ff8,0x04ffffff,0x8813f600,0x06ffffff,0x800bfe20,0x0ffffff8,
    0x7ffffc00,0xeffc80ff,0x7fffc000,0x3fffe201,0x3e2006ff,0x7ff4002f,
    0x1002ffff,0x1fffffff,0x0037ff40,0xf307ffe2,0x320fffff,0x884fffff,
    0x03dc6fff,0x9ffff100,0xffa80000,0x0006ffff,0x20002fc0,0x004ffffa,
    0xdffffff1,0x017fc400,0x3ffffffa,0xfffff900,0xfe98007f,0xffffb805,
    0xfff3003f,0xfb8009ff,0x005fffff,0xf7000bfd,0x00bfffff,0x320017fa,
    0x03ffffff,0x402ff4c0,0x5ffffffb,0x000bfd00,0x1dfffff3,0x7ffffc00,
    0xfffc80ff,0x3ffe6005,0xffffb803,0xbfd005ff,0xffffd000,0x3e2005ff,
    0x00ffffff,0x0009fff1,0xfff30dff,0x3ff20fff,0xffb84fff,0x000fa1ff,
    0x07fffff0,0x7ffd4000,0x00006fff,0x20001be2,0x2004fffc,0x5ffffffb,
    0xb00bfd00,0x01ffffff,0x7fffffd4,0x3f2a201d,0x3fea004f,0x7cc04fff,
    0x0004ffff,0x9ffffffb,0x1bfd5103,0x3fff6000,0xa881cfff,0x50000dfe,
    0x3bffffff,0x27fe5440,0xfffffb00,0xfd51039f,0x3220001b,0x001effff,
    0x1fffffff,0x3dffff90,0x05ffe880,0x3fffff60,0xfea881cf,0xffe8000d,
    0x1002ffff,0x1fffffff,0x00ffff40,0xf305ff70,0x320fffff,0xc84fffff,
    0x0d93ffff,0xffff5000,0x000135df,0x7fffffd4,0x3ee00006,0xfd80001f,
    0x7fec004f,0x881cffff,0xa800dfea,0x804fffff,0xffffffd8,0xffecabce,
    0xd88001ef,0x31bdffff,0x3dffffd7,0xfffb8000,0xecdfffff,0x80005fff,
    0xfffffffb,0x5fffecdf,0xffd88000,0xabceffff,0x01efffec,0xfffffb80,
    0xffecdfff,0xd300005f,0x137dffff,0x7fffedcc,0xfff902df,0x44159fff,
    0x8003fffa,0xfffffffb,0x5fffecdf,0xffff1000,0x2a009fff,0x1fffffff,
    0x0bbffea0,0x203dfb50,0x0ffffffa,0x5fffffd8,0xdeffff88,0xf700002f,
    0x0dffffff,0x7fffe400,0x80000fff,0x00bffffb,0x013fa200,0x3ffffee0,
    0xffecdfff,0x7fec005f,0x2e2001ef,0xfffffffe,0x0003dfff,0xffffec98,
    0x2dffffff,0x3f660000,0xffffffff,0x200001df,0xffffffd9,0x001dffff,
    0x7ff5c400,0xffffffff,0x6cc0003d,0xffffffff,0x00001dff,0xfffffdb8,
    0xffffffff,0x11fc802c,0xffdfffd7,0x40001bff,0xffffffd9,0x001dffff,
    0xfffffb10,0xf9805fff,0xefffffff,0x3fff2201,0xfffeeeff,0xffd300ce,
    0x5419ffff,0x2fffffff,0x3fffffc8,0x7ec40000,0x0000ceff,0xfffffff5,
    0xf30001bf,0xffffffff,0x3e20003d,0xffb30004,0xffffffff,0x2e20003b,
    0x55440001,0x00abcccb,0x97530000,0x00055799,0xccba8800,0x0000aacc,
    0x332ea200,0x0000aacc,0xcbaa8800,0x0000abcc,0x6665d440,0x00000aac,
    0xcccaa880,0x0009aacc,0xcca880d4,0x000009bc,0x33332ea2,0xfd0000aa,
    0xffffffff,0x267dffff,0xfffffffe,0x1effffff,0x3372ea60,0xffa801ab,
    0x7fffffff,0xfffffff9,0x79710bff,0x88000003,0xfee88000,0xffffffff,
    0x003effff,0x4c000000,0x5d440002,0x00aacccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aa00000,0x880002aa,0x00199999,0x00000000,
    0x99988000,0x00000099,0x006776cc,0x4c400000,0x00019999,0x44006a20,
    0x0000001a,0x3605dd44,0xeeeeeeee,0x83eeeeee,0xeeeeeeea,0x54c405ee,
    0x000009ac,0xcccb8000,0x000002cc,0x01880026,0x55000d40,0x8017cc00,
    0x5c40006d,0x00173000,0x026000c4,0x3fee0000,0xdd00efff,0xdddddddd,
    0x007ddddd,0x3ffffee0,0x7ff40003,0x00002fff,0xf17fffc4,0x00005fff,
    0xfffff880,0x2000001f,0x0effeffb,0x64000000,0x004fffff,0x2017fc00,
    0x00001fe9,0x3f3bee00,0x7ff4c45f,0x0affffff,0xefffca80,0x7ffe4402,
    0x000cffff,0xff100000,0x0000dfff,0xb803fc80,0x1fec005f,0x000ff620,
    0x4fc803ff,0x3fff6000,0x3fffa205,0x01df1004,0x0001fe88,0xeffffe80,
    0xfffe9800,0x00bfffff,0x3fffe200,0x30000fff,0x005fffff,0x9fff5000,
    0x0027ffd4,0x7ffd4000,0x000001ff,0x7dc47be6,0x40000005,0x005fffff,
    0x03ffb800,0x00009ff5,0xf9b7dc00,0xfff981ff,0x8003ffff,0x7d401ffd,
    0xff931cff,0x0000003f,0x1dffff70,0xf8800000,0x07ff204f,0x209ff300,
    0xe8006fe9,0xa999bcff,0x50003ffd,0x205fffff,0x00fffffb,0x2603df90,
    0x800004ff,0x00effff8,0x3ffffe20,0xc80004ff,0x4fffffff,0xffff9000,
    0x36000007,0x37fe46ff,0xfd800000,0x00001fff,0x7ec17e40,0x30000000,
    0x000bffff,0x227ff400,0x0000fffc,0x29ff5000,0xf883fffc,0x01ffffff,
    0x4406fa80,0xff882fff,0x000000ef,0x077ffec0,0xfc800000,0x27fec45f,
    0x0dffc800,0x000bffea,0x3fffffea,0x000effff,0xbfffffb0,0x3fffffa0,
    0x3fff1003,0x000fffa8,0xefffb800,0xfffe8000,0x40002fff,0xffcffff8,
    0xfe8001ff,0x000003ff,0xff83fff1,0x8000001f,0x002ffff8,0x507d8000,
    0x0000005f,0x0017fff2,0xbfff5000,0x007fffb1,0x7ff40000,0x201fff72,
    0x1fffffff,0x405f9800,0x3fa06ffe,0x000003ff,0x03bffe20,0xf8800000,
    0xffe98eff,0xff10000f,0xbfff71df,0x7ffe4000,0x02ffffff,0x3ffff200,
    0xffffb04f,0x7fe4005f,0x07fff92f,0x3ffa0000,0xffd0000f,0x0005ffff,
    0xf31fffd8,0xf9800bff,0x000003ff,0xff30ffea,0x20000007,0x0002fffa,
    0x903f9000,0x0000003f,0x00017ffe,0x7ffff400,0x00006fff,0x8bffea00,
    0x3ffe01cb,0x8001ffff,0x3fe605f8,0x3fffe04f,0x20000006,0x0000effb,
    0xfffb8000,0x003fffff,0x7ffffe40,0x40001fff,0xfffffffc,0x7fcc0002,
    0xff501fff,0xf8800fff,0x7fffefff,0xff100000,0x7f40003f,0x002fffff,
    0x103bfe60,0x64003ffd,0x000004ff,0x37e42fec,0xfb000000,0x0000005f,
    0x1fe227d4,0x7cc00000,0x000000ef,0xffffff50,0x0000005f,0x0017ffec,
    0x3ffffffe,0x05f88000,0xe81fffee,0x00004fff,0x003ff600,0x7c400000,
    0x06ffffff,0xffff8800,0x00004fff,0x01bfffb5,0x37faa000,0x0eff5402,
    0x7fffdc00,0x00002fff,0x0003ff70,0xffffffe8,0x37fa0002,0x00dfb100,
    0x000027f4,0x7fc07fc0,0x10000000,0x000007ff,0xfb9ffb00,0x0000005f,
    0x00003bf2,0xffffd000,0x000000df,0x01ffffcc,0x3fffffe0,0x5f88000f,
    0x0bfffee0,0x000fffdc,0x1ff88000,0x40000000,0x2ffffffb,0xfff90000,
    0x00001fff,0x40000010,0x00004000,0xdffffff1,0x76400000,0xffe80001,
    0x0002ffff,0x3b2009d3,0x003c8801,0x82c88000,0x000002c8,0x0000b260,
    0xfffc8000,0x0000001e,0x0000032e,0x3fffe600,0x0000001f,0x00fffff6,
    0xfffffff0,0x0bf10001,0x0fffffcc,0x00000288,0x00004c40,0xffe80000,
    0x200006ff,0x03fffff8,0x00000000,0x00000000,0x1fffffb8,0x00000000,
    0xfffffd00,0x0000005f,0x00000000,0x00000000,0x00000000,0x0004c000,
    0x00000000,0x00000000,0x3fea0000,0x7c002fff,0x00ffffff,0x7c05f880,
    0x002fffff,0x00000000,0x10000000,0x00013333,0x00000000,0x00000000,
    0x4cc00000,0x00000199,0x3fa00000,0x002fffff,0x98000000,0x1500abca,
    0x0ccc0000,0x00000000,0x00000000,0x00000000,0x40000000,0x10000002,
    0xffffffb5,0xffff8003,0x88000fff,0x7ffe405f,0x0000dfff,0x00000000,
    0x00000000,0xd8000000,0xeeeeeeee,0x82eeeeee,0xeeeeeeea,0x333324ee,
    0x3222cccc,0x1ccccccc,0x40000000,0xccccccca,0x665c1ccc,0x3a00cccc,
    0x02ffffff,0x66665400,0x91004ccc,0xdfffffff,0x8000f415,0xffffedca,
    0x000bcdef,0x3bbbbba6,0x3003eeee,0xdddddddd,0x3bbbb65d,0xeeeeeeee,
    0xeeea82ee,0x84eeeeee,0xeeeeeee8,0xeeeeeeee,0xeeeeeeee,0x3e600001,
    0x4c000000,0xffffffff,0xf803ffff,0x00ffffff,0xd805f880,0x2fffffff,
    0x3a200000,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,0x7774406e,0xeeeeeeee,
    0xeeeeeeee,0x7441eeee,0xeeeeeeee,0x22eeeeee,0xffffff98,0x44009fff,
    0x0affffd9,0x7ffffed4,0x7ffedc4f,0xddd12fff,0xdddddddd,0xdddddddd,
    0x30bddddd,0xfffffffd,0xffb9817d,0x7ff403ff,0x0002ffff,0x7ffffe4c,
    0xfffa807f,0xffca889c,0x4001fddf,0xbdffffe9,0xfffffca9,0x3faa2002,
    0x2fffffff,0x3fff6600,0x7fcc40bf,0x9fffffff,0x7fecc400,0xff100aff,
    0xddddffff,0xffffdddd,0x000bffff,0x0003fc80,0x7fffdc00,0xffffffff,
    0xfffff801,0xf88000ff,0xffffd005,0x00009fff,0xffffb100,0xddffffff,
    0xffffffdd,0xff880fff,0xeeeeffff,0xffffeeee,0x4c05ffff,0xfffffffe,
    0x3fea00bf,0x002fffff,0x7401ffd8,0xf04fffff,0x885fffff,0xffffffea,
    0xfeeeeeef,0x07ffffff,0x3ffffff6,0x00ffdc03,0x7ffffff4,0xff700002,
    0xfa80ffff,0x3f6202ff,0x2e001fff,0x5405ffff,0x000dffff,0x3fffffa2,
    0x64000fff,0x7fd401ff,0x002fffff,0x4c01ffd8,0x401dffff,0xfffffff8,
    0x2200000f,0x000007ff,0x7ffff75c,0x00eeefff,0xfffffff8,0x05f88000,
    0xffffff90,0x00001dff,0xffcff980,0x300fffff,0x80fffff7,0x01dffff9,
    0x7fffffc4,0xff8800ff,0x804fffff,0xfffffff8,0x06fb8001,0x4fffffd8,
    0x5fffffd0,0x3ffffe20,0x3ee201ff,0x3e207fff,0x404fffff,0xffd004fa,
    0x0005ffff,0x3ffffe60,0x1bffe207,0x00fffdc0,0x77ffff4c,0xffff9800,
    0x3fe2003f,0x0effffff,0x201be600,0xfffffff8,0x06fb8001,0x001fffa8,
    0xfffffffb,0xfb800007,0x000002ff,0x7fffffb0,0xfffff000,0xf10001ff,
    0xf99f900b,0x1fffffff,0x7d400000,0xffffff8e,0x7ff4400f,0x0fffd407,
    0xfffffd80,0x3fe003ff,0x802fffff,0xfffffff8,0x05fa8000,0x4fffffc8,
    0x5fffffb0,0x7fffffc0,0xffd8801f,0x7fffe407,0x00fe406f,0xffffffe8,
    0xff300002,0x7f40ffff,0x3f6002ff,0x7ffc401f,0x2e000fff,0x003fffff,
    0x3ffffffe,0x3e2005ff,0xffff8805,0xa8000fff,0x1ffb805f,0xfffff500,
    0x00000dff,0x000dffff,0x3fffe000,0xff8002ff,0x000fffff,0x7e405f88,
    0x3ffffea5,0x00000fff,0xfff13fd0,0x2001ffff,0x7fdc07fc,0xffff5001,
    0xe800dfff,0x02ffffff,0xfffffff0,0x09f30001,0x9fffff90,0x3fffff60,
    0x3ffffa02,0x3f2001ff,0x7fffc407,0x01ba02ff,0xffffffe8,0xff300002,
    0x3e20ffff,0x22001fff,0x7fec02fe,0x44002fff,0x00ffffff,0xfffffff0,
    0x7c007fff,0xfffff004,0xf30001ff,0x003f9009,0x3fffffe2,0x400001ff,
    0x01fffffa,0x7fc40000,0x8000ffff,0x0fffffff,0x205f8800,0x7ec41ffb,
    0x006fffff,0xf14fb800,0x01ffffff,0xf901fe20,0x3ffe2003,0x001fffff,
    0x7ffffff4,0xfffff001,0xf30001ff,0xffff9009,0x3fff609f,0x3ffa02ff,
    0x2001ffff,0xffd807f8,0x5f105fff,0x7ffff400,0x300002ff,0x20ffffff,
    0x003ffffa,0xff7017d4,0x0001ffff,0x0bfffff9,0x3fff73e0,0x001fffff,
    0x3ffe009f,0x8000ffff,0x06c804f9,0x3fffff20,0x800004ff,0x05fffffe,
    0x7fd40000,0xf0006fff,0x01ffffff,0x7c09f100,0x3ffee07f,0x00003fff,
    0xfff89be2,0x2000ffff,0x0036407c,0xfffffff9,0xfffd0009,0x3e003fff,
    0x00ffffff,0xc804f980,0xb04fffff,0x405fffff,0x1ffffffe,0x4c03e400,
    0x81ffffff,0x7ff4007b,0x0002ffff,0xffffff30,0x3ffffee0,0x40be2001,
    0x5ffffff9,0xffff5000,0x19f007ff,0xfffffffd,0x009f001f,0x3ffffffe,
    0x04f98000,0xff3003d8,0x00dfffff,0xffff3000,0x00001fff,0x7ffffdc0,
    0xffff0005,0x30001fff,0x1ffe609f,0xffffff30,0x0fec0000,0xfffffff1,
    0x01e61a01,0x3fe6007b,0x006fffff,0xffffffd0,0x3fffe003,0x98000fff,
    0xfffc804f,0xfffb04ff,0x7ff405ff,0x7701ffff,0x3fa00f50,0x4e84ffff,
    0x7ffff400,0x300002ff,0x20ffffff,0x1ffffffb,0x7f40b600,0x003fffff,
    0xffffff10,0xf14f801f,0xdfffffff,0x3e009f00,0x00ffffff,0xc804f980,
    0xffffd000,0x00005fff,0xffffffb0,0x4000009f,0x03fffffd,0xffffff00,
    0x9f30001f,0x007fff20,0x03fffff3,0x889f5000,0x0fffffff,0xc80f0788,
    0xffffd000,0x20005fff,0x1ffffffe,0xffffff00,0x9f30001f,0xfffff900,
    0x3ffff609,0x3fffa02f,0x07901fff,0x7ffd401a,0x07e60fff,0xfffffd00,
    0x2600005f,0x307fffff,0x9fffffff,0xf3013001,0x01ffffff,0x7ffff400,
    0x527c03ff,0xffffffff,0xf004f809,0x01ffffff,0x0009f300,0x7ffffdc0,
    0x800005ff,0xfffffef9,0x000000ff,0x05ffffff,0x3ffffe00,0xf98001ff,
    0x0bfffd04,0x07ffff50,0x881fd000,0x0fffffff,0x000007a8,0x7fffffdc,
    0x3fa0005f,0x001fffff,0x1fffffff,0x009f3000,0x09fffff9,0x0bfffff6,
    0xffffffe8,0x00007d01,0x47ffffff,0xffe8006c,0x0002ffff,0xffffff30,
    0x7fffffc0,0x8000bfff,0xfffffffa,0x3ff60000,0x7c05ffff,0x7ffffdc4,
    0x13e03fff,0x7fffffc0,0x4f98000f,0xfff10000,0x001fffff,0xff3f9000,
    0x007fffff,0xffff1000,0x360001ff,0x01ffffff,0xfd03fa80,0xf9009fff,
    0xc80005ff,0xffff882f,0x07c80fff,0x3fe20000,0x00ffffff,0x3ffffa00,
    0xfff001ff,0x0001ffff,0xff9009f3,0x3f609fff,0x3a02ffff,0x81ffffff,
    0xb80003f8,0xf16fffff,0xfffd0007,0x00005fff,0x1fffffe6,0xffffffd8,
    0x4003ffff,0x7ffffffc,0x7ffe4000,0x27c06fff,0x7fffffec,0x009f01ff,
    0x3ffffffe,0x04f98000,0xffffb000,0x00007fff,0x3ff2bf10,0x0006ffff,
    0xfffffa80,0x3ff20006,0x8001ffff,0xfff902fc,0xffa809ff,0x3e60000f,
    0xfffff105,0x07f881ff,0x3ff60000,0x003fffff,0x7fffff40,0xffff001f,
    0x30001fff,0xfff9009f,0x3ff609ff,0x3fa02fff,0xc81fffff,0xf880003f,
    0xfbafffff,0xfffe8000,0x00002fff,0x0ffffff3,0x7fffffc4,0x02efffff,
    0xffffffb0,0xffc8000f,0x7c07ffff,0xfffffd04,0x09f01fff,0x3fffffe0,
    0x4f98000f,0xfffa8000,0x0006ffff,0x3e23f700,0x02ffffff,0x7ffdc000,
    0x2e0005ff,0x02ffffff,0xf100fd80,0x01dfffff,0x00017fe6,0x3fe201fd,
    0x6c0fffff,0x5000007f,0xdfffffff,0xfffd0000,0x3e003fff,0x00ffffff,
    0xc804f980,0xb04fffff,0x405fffff,0x1ffffffe,0x0001ffd4,0xefffffc8,
    0xffd0005e,0x0005ffff,0x3ffffe60,0x7fffcc07,0xffffffff,0x7fffc01e,
    0x40006fff,0xfffffffc,0x7c413e01,0x6fffffff,0xfff004f8,0x0001ffff,
    0x880009f3,0xfffffffe,0xdf000001,0xffffffd8,0x7ec00006,0x0003ffff,
    0x3fffffea,0x037cc003,0x3fffffee,0x02ffb82f,0x880fee00,0x8fffffff,
    0x007ffea8,0xfffe8800,0x0001ffff,0xffffffe8,0xfffff001,0xf30001ff,
    0xffff9009,0x3fff609f,0x3ffa02ff,0xc989ffff,0x00003fff,0xfffffff3,
    0x3ffa0005,0x0002ffff,0xffffff30,0xfffff500,0xffffffff,0x3fffe207,
    0x40005fff,0xfffffffb,0xf9813e02,0x4fffffff,0xfff8027c,0x8000ffff,
    0x640004f9,0x4fffffff,0x5f500000,0xffffff98,0x3e00001f,0x001fffff,
    0x7fffff40,0x7ff1000e,0xfffffb00,0x27fc49ff,0x80df1000,0xfffffff8,
    0x07ffffff,0xfffc8000,0x0004ffff,0xffffffd0,0x3fffe003,0x98000fff,
    0xfffc804f,0xfffb04ff,0x7ff405ff,0xffffffff,0x00003fff,0x1ffffff6,
    0xffffe800,0x300002ff,0x00ffffff,0x3fffffa6,0x4fffffff,0xffffff88,
    0x7dc0005f,0x02ffffff,0xfff7013e,0x7c5fffff,0xfffff004,0xf30001ff,
    0x7fcc0009,0x00ffffff,0x20dd0000,0x5ffffffe,0xfff10000,0x30000fff,
    0x0bffffff,0xc801bf60,0xefffffff,0x40004fe9,0xaaaaacfd,0xfffffbaa,
    0xffffdcff,0x7cc00007,0x0fffffff,0xfffd0000,0x3e003fff,0x00ffffff,
    0xc804f980,0xb04fffff,0x405fffff,0xeffffffe,0x03fffffe,0x3ffea000,
    0x3a0004ff,0x02ffffff,0xffff3000,0xffc800ff,0xffffffff,0xffff84ff,
    0x40006fff,0xfffffffb,0x32013e01,0xffffffff,0x3fe009f1,0x000fffff,
    0x20004f98,0xfffffffe,0xf3000002,0x3fffee07,0x80000fff,0x06fffffa,
    0xffff7000,0x36605bff,0x7e4000ef,0xffffffff,0x7fd40002,0xffffffff,
    0xffffffff,0x001ffee0,0xfffffd00,0x400005ff,0x1ffffffe,0xffffff00,
    0x9f30001f,0xfffff900,0x3ffff609,0x3fffa02f,0x3fea1fff,0x7400003f,
    0x0001ffff,0xfffffff1,0x3e600009,0x8007ffff,0xffffffc8,0x740fffff,
    0x07ffffff,0x7fffe400,0x13e00fff,0x7fffff40,0x004f8eff,0x1fffffff,
    0x009f3000,0x3ffffee0,0x000005ff,0xfff803f6,0x0004ffff,0x4fffffb8,
    0x3fee0000,0xcdffffff,0x000dffed,0xffffff50,0xe80003ff,0x9999999f,
    0xfffff999,0x03fe40ff,0xffff7000,0x0000bfff,0xffffffe8,0xfffff001,
    0xf30001ff,0xffffb009,0x3fff60bf,0x3ffa02ff,0x7cc1ffff,0x5c00003f,
    0x10006fff,0xfffffffb,0x9800015f,0x007fffff,0x3ffff660,0x6c5fffff,
    0x07ffffff,0x7fffe400,0x027c07ff,0xffffff88,0xf004fdff,0x01ffffff,
    0x0009f300,0xfffffff1,0x2000001f,0x7fe404f9,0x000fffff,0x7ffffec0,
    0x64400002,0xffffffff,0x80001dff,0xffffffe8,0x5f90000f,0x3fffe200,
    0x07e80fff,0xffff1000,0x0001ffff,0xfffffe80,0xffff001f,0x50001fff,
    0xfffa807f,0xfd82ffff,0x3a02ffff,0x81ffffff,0x400003fb,0x4003fff8,
    0xfffffffe,0x3effffff,0xffff1000,0x4002a0ff,0xffffffe9,0x7fffdc7f,
    0x20000fff,0x6ffffffd,0xf30027c0,0xffffffff,0x3fffe009,0xa8000fff,
    0xffd8003f,0x003fffff,0xafc801b8,0xa9999999,0x3fffffff,0x7ffec000,
    0x000000ff,0xdff97531,0x70000015,0x0dffffff,0x400bf300,0xfffffff8,
    0x00007c80,0xfffffffb,0x40370007,0x1ffffffe,0xffffff00,0x7f50001f,
    0x7fffffc0,0x7ec7ffff,0x3a02ffff,0x81ffffff,0x800003f8,0x80000ffc,
    0x00000ff9,0x7fffff88,0xfb800790,0x20ffffff,0xfffffffa,0x3ffa0001,
    0x7c03ffff,0x7ffd4004,0x004fffff,0x1fffffff,0x007f5000,0xffffffa8,
    0x01f0006f,0xffffff88,0xffffffff,0x0006ffff,0x037fffec,0xff900000,
    0x98000005,0x03fffffe,0x10007f40,0x1fffffff,0x80280f50,0xfffffffa,
    0x401f0006,0x1ffffffe,0xffffff00,0x5f50001f,0xffb00000,0x7f405fff,
    0xd01fffff,0x98003807,0xfb80004f,0x1000002f,0x20ffffff,0xffa8006c,
    0x7f41ffff,0x002fffff,0xffffff10,0x004f801f,0xffffffc8,0xffff004f,
    0x50001fff,0xffe8005f,0x001fffff,0xbfb80798,0xaaaaaaaa,0xffffffba,
    0x3fa0002f,0x00003fff,0x00fff500,0x3f600800,0x2e005fff,0x7fc4003f,
    0x880fffff,0x3a01e207,0x1fffffff,0x74079800,0x01ffffff,0xffffffd0,
    0x03f90003,0xfffb0000,0x7ff405ff,0x7901ffff,0x4c003c40,0x7cc0001f,
    0x2000007f,0x06fffff8,0xf70003f9,0xf981ffff,0x005fffff,0xffffff30,
    0x0009f007,0x3ffffff6,0xffffd004,0xf90003ff,0x7ffdc003,0x0004ffff,
    0x00bf00f9,0xffffffd8,0x3ffa0005,0x000001ff,0x000dffb0,0x403bfa60,
    0x1007fffd,0xff1000df,0x201fffff,0xf701b203,0x09ffffff,0xfd01f200,
    0x003fffff,0x3ffffff6,0x00fe8001,0xfffc8000,0x3ffa02ff,0x3301ffff,
    0x64003640,0xffc80005,0x7c000007,0xf905ffff,0xfff10009,0x3fff60df,
    0xc8000fff,0x006fffff,0x3a20009f,0x004fffff,0x3ffffffb,0x001fd000,
    0x3fffffe2,0xf98000ff,0x0017dc06,0x3fffffea,0xffb0001f,0x000000df,
    0x0007fffc,0x827fff40,0xb007fff9,0xff10003f,0x001fffff,0x3e205f88,
    0x0fffffff,0x406f9800,0x1ffffffe,0xfffff500,0x6f98007f,0x64150000,
    0x201fffff,0x1ffffffe,0x9109f000,0x002f8819,0x01fffe80,0xff833000,
    0xff904fff,0xfffd0003,0x3fffe20b,0x7c4003ff,0x003fffff,0x7cc0009f,
    0x5004ffff,0x07ffffff,0x2006f980,0xfffffffd,0x0bfd0002,0xfd0007f8,
    0x00bfffff,0x007fff60,0xfff80000,0x7c40005f,0x3fe05fff,0x04fa805f,
    0xfffff100,0xfb8001ff,0x3ffff604,0xd0002fff,0xfffe80bf,0xf1001fff,
    0x00dfffff,0x00017fc4,0xffb9bfe6,0x3fa00fff,0x001fffff,0x7fc43fc8,
    0x0003dc6f,0x006fffe8,0x3e3ffc80,0xf904ffff,0xff8001df,0x3fee01ff,
    0x5c007fff,0x004fffff,0xf500017e,0x22009fff,0x06ffffff,0x400bfe20,
    0xfffffffa,0xffd88005,0x0017ee04,0x7fffffdc,0x8fb6200f,0x00003ffd,
    0x7fffec00,0x7ffc0004,0x7fff104f,0x000ff880,0xffffff10,0x7fdc001f,
    0xfffff502,0xb1000bff,0xffe809ff,0x2002ffff,0x5ffffffb,0x000bfd00,
    0x2a3fff90,0x7405ffff,0x02ffffff,0x2e17fe40,0x0fa1ffff,0x7ffe4000,
    0xf10000df,0x7fff4bff,0xbfff902f,0x1fffcc00,0x7ffffdc0,0xffff3003,
    0x37c4009f,0x7ffe4000,0x3ffee004,0xfd005fff,0x3ffe200b,0x001fffff,
    0x81ffff4c,0x10003ff8,0xbfffffff,0xe87ffec0,0x0000005f,0xefffff88,
    0x7e4000ab,0xfff903ff,0x005fd801,0x3ffffe20,0xff9000ff,0xffff103f,
    0x8003ffff,0x403fffe9,0x2fffffff,0x7fffec00,0xea881cff,0xb80000df,
    0xfff51fff,0xffff801f,0x91002fff,0xffc83fff,0x000d93ff,0x7ffff440,
    0x22001abf,0x3ffa5fff,0x3fff205f,0x7f4401ef,0x3fea005f,0x7cc04fff,
    0x4004ffff,0x80001ffb,0x6c004ffd,0x1cffffff,0x00dfea88,0xffffff90,
    0x7ecc009f,0xfb02ffff,0x7f4000bf,0x02ffffff,0xff31fffd,0x00000001,
    0x3fffffea,0x7f4000ff,0x3ff260ef,0x37fdc00e,0xffff5000,0x5cc09fff,
    0xc80ffffe,0x4fffffff,0x3fff6600,0x3fe202ff,0x003fffff,0xffffffb8,
    0xfffecdff,0x3e200005,0x7fff92ff,0xfffff880,0x7dc406ff,0x7c40ffff,
    0x02fdefff,0x7ff4c000,0x001fffff,0xfff9bffa,0x3fff200f,0x220acfff,
    0x8003fffa,0xbdffffd8,0xffffd731,0xffb8003d,0x20000bff,0xb8004fe8,
    0xffffffff,0x05fffecd,0x3ffffe60,0xcccccfff,0xfffeeedc,0x542fffff,
    0x002ffffe,0x7ffffd44,0x540affff,0x00dfdfff,0x44000000,0x00dffffc,
    0xffffc880,0x4c05ffff,0x01cffffc,0x7ffffcc0,0xccdeffff,0xfffffffd,
    0xfffff987,0xcccccfff,0xfffeeedc,0x102fffff,0xfffffffb,0xfb30005f,
    0xffffffff,0x000003bf,0xfffbfff7,0xfffd8809,0xcdffffff,0xfffffedc,
    0xfff907ff,0x000007ff,0x0effff64,0x3bffa200,0x6401effe,0xfffd711f,
    0x01bffffd,0xffec9800,0xffffffff,0x3fe6002d,0xefffffff,0x09f10001,
    0x3fff6600,0xdfffffff,0x7fff4001,0xffffffff,0xffffffff,0x1fffffff,
    0x3ffffff2,0x3a601eff,0xffffffff,0x440fffff,0x00001bdb,0x00880000,
    0x99951000,0xfff70037,0x01ffffff,0x3ffffbaa,0xffffffff,0xffffffff,
    0xffe86fff,0xffffffff,0xffffffff,0xffffffff,0x3ffffa21,0xffffffff,
    0x544002ef,0x0aaccccb,0x5c400000,0xd100bcdc,0xffffffff,0xffffffff,
    0xffffffff,0x0de5c40d,0x01000000,0x9b995000,0x4406a005,0x009bccca,
    0xcba98000,0x0002abcc,0x4c000000,0x5d440002,0x00aacccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x00099999,0x26666600,0x99988009,
    0x00260001,0xee880188,0xeeeeeeee,0xeeeeeeee,0x85eeeeee,0xeeeeeee9,
    0xeeeeeeee,0xeeeeeeee,0x00002eee,0x00000013,0x4cccc400,0x00000009,
    0x5565d4c4,0x04c00009,0x003b8000,0x44000391,0x00099999,0x26662000,
    0x00000199,0x30000dc0,0x00ea0019,0x80062000,0x5e400098,0x30000000,
    0x00001333,0xa8818800,0xfffff700,0x3ee0000d,0x8805ffff,0x004fffff,
    0xf5007f90,0x7f54400b,0xeeffffff,0xffffeeee,0xffa87fff,0xeeefffff,
    0xefffffff,0xfffffffe,0x7f4c0003,0x0000004f,0xffffff00,0x88000005,
    0xefffffeb,0x00beffff,0x0003fa80,0x74402fd8,0x3fe0000f,0x0001ffff,
    0x3fffa200,0x000002ff,0x01efffb8,0xa806f980,0x9800005f,0x7f4400df,
    0x7ff64000,0x7000001d,0x001fffff,0x0bee0000,0x2e09fff9,0x000fffff,
    0x6ffffd80,0xfffff900,0xff10001f,0x00ffe409,0x7ffffc40,0x3ee201ff,
    0xffa87fff,0xfffc81df,0xfd984fff,0x740003ff,0x0002ffff,0x7fcc0000,
    0x00002fff,0x2fbff6a0,0x65cc409a,0x54000dfe,0x2e0002ef,0xfd981bff,
    0x3fea0007,0x00001fff,0xffffe880,0xf8000005,0x0005ffff,0x3ea03bff,
    0xb000003f,0x3fea01df,0x3fee0004,0x4400001f,0x04ffffff,0x7f540000,
    0x7ffffd42,0x7ffff702,0xfff88000,0xff9800ef,0x004fffff,0x441bff90,
    0x20004ffd,0x1fffffff,0x87ffd880,0x3f204ffa,0x204fffff,0x20003ffc,
    0x06fffff9,0x64000000,0x0002ffff,0x5bffd300,0x0bfee000,0x00bfd300,
    0x3ffffe20,0x04ffffee,0x3ffff600,0x20000002,0x007fffe8,0x7ffd4000,
    0xc8000fff,0xfeeeffff,0x00000fff,0xb83fff30,0x40000fff,0x0002fffc,
    0x3fffff20,0x000000ff,0xffd03ffb,0x7e40bfff,0x5c0006ff,0xb000efff,
    0xffffffff,0xfff10001,0x1fffd31d,0x7fff4000,0x32001fff,0x406fa87f,
    0x4ffffffc,0x0001fec0,0x0bfffff3,0xf8000000,0x00003fff,0x001bff70,
    0x00bfb100,0x0004ff88,0xfffffff7,0xf8000dff,0x00002fff,0xfffe8800,
    0x26000002,0x006fffff,0xfffffd10,0x0007ffff,0x2fffd800,0x0007fffb,
    0x01ffff30,0xffff3000,0x000bffff,0x201ff900,0x06fffffe,0x0007ffe4,
    0x001dffb0,0x2a3bffea,0x70005fff,0xffffffff,0xffe80007,0x2001ffff,
    0x01fa87f8,0x7fffffe4,0x001fcc04,0x0bffffa0,0x98000000,0x00003fff,
    0x003ffd88,0x004fa800,0x80027fdc,0xfffffffd,0x3ea0001f,0x000002ff,
    0x17ffe200,0xffd00000,0x4c0007ff,0xffffffff,0x88000005,0xfffeffff,
    0x3fa00006,0xe80003ff,0xffd8bfff,0x3200001f,0x3fee04ff,0xfc803fff,
    0xff10003f,0x7ff4001d,0x00fffcc4,0xffffff80,0xfe80006f,0x001fffff,
    0x403d43e4,0x4ffffffc,0x40003e80,0x0003efc8,0x7fe40000,0xe8800004,
    0x000002ff,0xfd000bee,0x3ea0007f,0x000dffff,0x001ffec0,0x7cc00000,
    0x4000007f,0x0003efc8,0xfffffd88,0x20000003,0xfffffffc,0x3fa00001,
    0x540006ff,0x7fe41fff,0xff700005,0x7ff4401f,0xdfb000ef,0x03fee000,
    0x103ffb80,0x2e000bfd,0x02ffffff,0xffffe800,0x507701ff,0xf900950f,
    0x009fffff,0x00000077,0xe8000000,0xd000004f,0x000001df,0x5c001fd0,
    0x20002fff,0x00000aa9,0x000007ff,0x17fcc000,0x00400000,0x4dd44000,
    0x40000000,0x5ffffff8,0x7ffc0000,0x7f40007f,0x03ff700e,0x5fffa800,
    0x00039500,0x32a00097,0x07fe2001,0x0003fd10,0x01bffffa,0x7ffff400,
    0x207901ff,0xfc800886,0x804fffff,0x00000008,0x22000000,0x9000003c,
    0x000003ff,0x98013e20,0x00006fff,0x0f220000,0x00000000,0x00000b26,
    0x00000000,0xc8000000,0x000fffff,0x3fffe200,0x17ee0007,0x00017ea0,
    0x0003fffd,0x00000000,0x40013100,0x3310001a,0x20000133,0x1ffffffe,
    0x000007d0,0x9ffffff9,0x22000000,0x01aabca9,0x0000005c,0xffa80000,
    0x00088004,0xfe800f70,0x030002ff,0x00000000,0x00000000,0x00000000,
    0x2af2a620,0x0005c01a,0x01333300,0xfff98000,0x0620005f,0x20002980,
    0x0006fffa,0x00000000,0x00000000,0xe8000000,0x81ffffff,0x800003f8,
    0x4ffffffc,0xb7100000,0xfffffffd,0x0f9839ff,0x00000000,0x006ff880,
    0xa86fff54,0x5f00ccba,0x37ffe400,0xffffda80,0xaaaaaace,0x0000001a,
    0x01400000,0xccca8000,0x8004cccc,0xffffedb8,0x41cfffff,0x000000f9,
    0x3ea00000,0x00004fff,0xd0000050,0x18009fff,0xeeeeee88,0xeeeeeeee,
    0xddddd12e,0xdddddddd,0x3bba25dd,0xeeeeeeee,0xdd32eeee,0xdddddddd,
    0xdddddddd,0xdddddddd,0x7ffff405,0x03fc81ff,0xfffc8000,0x00004fff,
    0xcfffffb8,0xffcba99a,0x80ffbcff,0xeeeeeeeb,0x04eeeeee,0xeeeeeee8,
    0x07fe40ee,0xd7fff900,0x0fffff37,0xff5002f4,0x7ecc05ff,0xfffaafff,
    0x15ffffff,0xdddddddd,0x9ddddddd,0x30000000,0x3000001f,0xfffffff9,
    0xffffb800,0xcba99acf,0xffbcffff,0xeeeee880,0xeeeeeeee,0xabdeeeee,
    0x7fe40000,0x800003ff,0x200000f9,0x003ffffa,0xffd3007c,0x17ffffff,
    0x7ffff4c0,0x200bffff,0xffffffe9,0x7fd40bff,0xeeefffff,0xefffffff,
    0xfffffffe,0x3ffffa03,0x1ffd41ff,0x7fe40000,0x0004ffff,0x3ffffa60,
    0x7fe4400d,0x9300ffff,0xffffffff,0xfc98003f,0xff80bfff,0xdffd1004,
    0x3fff3a61,0x801b205f,0x305ffff9,0xf81dffff,0x5fffffff,0x7ffff4c4,
    0x000affff,0x3f200000,0x2e000003,0x007fffff,0x1bffffd3,0xffffc880,
    0x3e6200ff,0xefffffff,0xfffffeee,0xb0001dff,0x0003ffff,0x0007f900,
    0x0ffffec0,0x8803f300,0x4fffffff,0xfffff100,0x3e2009ff,0x04ffffff,
    0x903bfff5,0x09ffffff,0x407fffb3,0x9ffffffe,0x03fffc98,0xfffc8000,
    0x00004fff,0x07fffff7,0xffffe880,0x7fffe400,0x20006fff,0xff501ffe,
    0xffff1003,0xffffff83,0x8801ee03,0x441fffff,0xc82ffffe,0x9800ffff,
    0x3fffffff,0x40000000,0x00007ff8,0x3ffffe60,0xffffb807,0x7f44003f,
    0xfa800fff,0x307fffff,0x9ffffffb,0xffffb000,0xf8800001,0xf300007f,
    0x4001ffff,0xfff803fa,0x2002ffff,0x2fffffff,0x3ffffe00,0x9ff502ff,
    0x7ffffe40,0x0fff204f,0xffffffe8,0x3fffffff,0xffc80000,0x0004ffff,
    0x4fffffd8,0xfffd1000,0xffffd001,0x20003fff,0x1bf603ff,0x427fff40,
    0x00fffffe,0xff8003e6,0x7fe43fff,0xffa80fff,0xfff006ff,0x0003ffff,
    0xffb80000,0x3000002f,0x80ffffff,0x04fffffd,0x1fffd100,0xfffff100,
    0xfffb80ff,0x54004fff,0x00007fff,0x002fffb8,0x7ffffa80,0x4027dc00,
    0x2ffffffe,0x3ffffa00,0x3fa002ff,0x502fffff,0xfffc80df,0x7ec04fff,
    0x3ffffa03,0xffffeeff,0xc800003f,0x04ffffff,0x7fffd400,0x7cc0006f,
    0xff9800ff,0x005fffff,0x3e205fa8,0xfffc803f,0xfffff80f,0x0007c406,
    0xe89ffffd,0xf307ffff,0xf005ffff,0x03ffffff,0xf8000000,0x00006fff,
    0xffffff30,0x7ffffd40,0x7fcc0006,0xffff000f,0xffd00fff,0x4003ffff,
    0x000ffff8,0x37fffc00,0x7ffdc000,0x2fe4007f,0x7fffff40,0x3ffa001f,
    0x2001ffff,0x1ffffffe,0xfc803f50,0x404fffff,0x3ffa03f9,0x3ea1ffff,
    0x800003ff,0x4ffffffc,0x3ffe2000,0x80003fff,0xfb000ffa,0x03ffffff,
    0x2a00fe80,0x7fd400ff,0xfff884ff,0x03c404ff,0x97ffffa0,0x07fffff8,
    0x09fffff1,0xfffffff0,0x00000003,0x0fffffd4,0x7fcc0000,0xff107fff,
    0x0007ffff,0x2001ff50,0x07ffffff,0xffffffa8,0x7ffdc005,0x3ea00003,
    0x0001ffff,0x037fffec,0x3a01ff60,0x01ffffff,0x3fffffa0,0x3ffa001f,
    0xf501ffff,0xfffff900,0x407d009f,0x1ffffffe,0x0001ffcc,0x7ffffe40,
    0x3f60004f,0x000fffff,0x2001fd00,0xfffffff8,0x00fee005,0xffd00df7,
    0xfff503ff,0x079805ff,0x37ffff40,0x0dfffff3,0x17ffffe2,0x3fffffe0,
    0x0000001f,0x3fffffa0,0xf9800005,0xfb07ffff,0x001fffff,0x4003fa00,
    0x07ffffff,0xffffff88,0x6ffc8007,0x3ffa0000,0x40005fff,0x006ffffe,
    0x3a007ffc,0x01ffffff,0x3fffffa0,0x3ffa001f,0x9501ffff,0xfffff900,
    0x4077009f,0x1ffffffe,0x00003fb8,0xffffffc8,0xfff70004,0x0000bfff,
    0xf90007d4,0x03ffffff,0xf900df10,0xffffa80b,0xfffff707,0xd800d500,
    0x3e27ffff,0xf107ffff,0xf007ffff,0x03ffffff,0x26000000,0x0fffffff,
    0x7fcc0000,0xffb87fff,0x0005ffff,0x7c003ea0,0x007fffff,0x3fffffff,
    0x3bff9000,0xfff98000,0x0000ffff,0x01bffffe,0x402fff98,0x1ffffffe,
    0x3ffffa00,0x3fa001ff,0x101fffff,0xffff9001,0x011009ff,0x7ffffff4,
    0x0003f881,0xfffffc80,0xfff0004f,0x0007ffff,0x22000e80,0x6fffffff,
    0xd802fc80,0x7ffec04f,0xffffd04f,0x800b700b,0x20fffffd,0x307ffffe,
    0x001fffff,0x3fffffff,0x20000000,0xfffffffd,0x7cc00004,0xff87ffff,
    0x003fffff,0xf8007400,0x007fffff,0x3fffffff,0x3ff22000,0xffb0000d,
    0x009fffff,0x3ffffe20,0x3ffee005,0x7ffff404,0x3fa001ff,0x001fffff,
    0x3ffffffa,0x7fe40001,0x0004ffff,0xffffffe8,0x03807d01,0xfffffc80,
    0xff98004f,0x002fffff,0xfb800000,0x02ffffff,0x7f4017e6,0x3fffe603,
    0xffffa81f,0x002e803f,0x0fffffec,0x01fffff5,0x00dffff5,0x3ffffffe,
    0x80000001,0xfffffef9,0x200000ff,0x47fffff9,0xfffffff9,0x00000002,
    0x1ffffffe,0x3ffffe20,0x540000ff,0xf98001ff,0xfffffffe,0xfff88000,
    0x3f6005ff,0x7ff406ff,0x2001ffff,0x1ffffffe,0x3ffffa00,0x640001ff,
    0x04ffffff,0xffffe800,0x407901ff,0xffc80078,0x8004ffff,0xfffffffa,
    0x00000001,0xffffffd0,0x8007f40d,0x3ff203ff,0xfffb07ff,0x079801ff,
    0xfffffd80,0x1ffffec0,0x017fffe4,0xfffffff8,0x80000001,0xfffff9fc,
    0x200003ff,0x47fffff9,0xfffffffa,0x00000001,0x1ffffffe,0x3ffffea0,
    0xf710007f,0x320005df,0xffffff9f,0xfff0003f,0x7fc00bff,0x3fa00fff,
    0x001fffff,0x3ffffffa,0x3fffa001,0x40001fff,0x4ffffffc,0xfffe8000,
    0x03301fff,0x7e400364,0x004fffff,0xffffffc8,0x0000000f,0xfffff500,
    0x09f507ff,0xfb017f40,0xff30bfff,0x9900dfff,0xffffb000,0x3bfff20f,
    0x03bffea1,0xffffff80,0x0000001f,0xfffcafc4,0x00006fff,0x1fffffe6,
    0xfffffff9,0x00000001,0x3ffffffc,0x7ffffe40,0xfe88004f,0x3e20002f,
    0xffffff95,0x3ffa000d,0xff3006ff,0x7f405fff,0x001fffff,0x3ffffffa,
    0x3fffa001,0x40001fff,0x4ffffffc,0xfffe8000,0xf0001fff,0xfff90009,
    0xb0009fff,0x0fffffff,0x80000000,0x7ffffffe,0x360037c4,0x3fffa04f,
    0xffffd84f,0x00fc404f,0x37ffff40,0xdbfffb30,0xf0009fff,0x03ffffff,
    0xfb800000,0xffffff11,0x2600005f,0x6c7fffff,0x07ffffff,0x7c000000,
    0x407fffff,0x6ffffff9,0x5ffe8800,0x88fdc000,0x2fffffff,0xffffd800,
    0xffff5006,0x7fff407f,0x3a001fff,0x01ffffff,0x3fffffa0,0x7e40001f,
    0x004fffff,0xfffffe80,0x3fc8001f,0xffffc800,0xff8004ff,0x006fffff,
    0x4c000000,0x3fffffff,0xfb000bf2,0x7ffffc0b,0x7fffee43,0x0026c01f,
    0x05ffffe8,0x5ef6f7d4,0x3ffe0001,0x0001ffff,0x3637c000,0x06ffffff,
    0xffff3000,0xfffff8ff,0x000006ff,0x7ffffc00,0x3ffe607f,0x8001ffff,
    0x0002fffe,0x3fff637c,0xc8006fff,0x9006ffff,0x40bfffff,0x1ffffffe,
    0x3ffffa00,0x3fa001ff,0x001fffff,0x7ffffe40,0xfe80004f,0x002fffff,
    0x40017fe4,0x4ffffffc,0x7fffc400,0x00006fff,0xffd80000,0xf98fffff,
    0x06fc8005,0x47fffff1,0xfffffafa,0x8001ae00,0x303ffffe,0x000003fd,
    0x3fffffff,0x54000000,0x7fffcc2f,0x80001fff,0x27fffff9,0xfffffff8,
    0x00000006,0x7ffffffc,0xffdba999,0x000bffff,0x007fff88,0x3e617d40,
    0x01ffffff,0x3ffffdc0,0xfffffe80,0x3ffffa07,0x3fa001ff,0x001fffff,
    0x3ffffffa,0x7fe40001,0x0004ffff,0xfffffff8,0xfff91002,0xfff90003,
    0xf0009fff,0x0dffffff,0x00000000,0xfffffff3,0x50003fb9,0xfff301ff,
    0x57f73dff,0x540dffff,0x3fe0001f,0xff982fff,0xff000004,0x003fffff,
    0x83740000,0x5ffffffe,0xfff98000,0x7fffc7ff,0x00006fff,0x7fffc000,
    0xffffffff,0x003fffff,0x03fffdc0,0x7f41ba00,0x005fffff,0x03ffffd4,
    0x7ffffff8,0x3fffffa0,0x3ffa001f,0x2001ffff,0x1ffffffe,0x7ffe4000,
    0x40004fff,0xfffffff8,0x7ffdc406,0xfe8000ff,0x006fffff,0xfffffff8,
    0x3332e007,0xcccccccc,0xfc8002cc,0x4fffffff,0x207fe000,0xfffffff8,
    0xbffff55f,0x0ea0bee0,0x3ffffe20,0x005ffd80,0xfffff000,0x000003ff,
    0x7dc0fe60,0x00ffffff,0x7fffcc00,0x7ffffc7f,0x32e007ff,0xcccccccc,
    0x3e02cccc,0xaaffffff,0xfffffffe,0x7fec0000,0xf30000ff,0x3fffee07,
    0x7c000fff,0x4401ffff,0x0fffffff,0xffffffd0,0x7fff4003,0x3a001fff,
    0x01ffffff,0x7fffe400,0x220004ff,0xfffffffd,0xfedccdff,0x07ffffff,
    0x7fffdc40,0x000cffff,0x3ffffffa,0x3f2a2007,0xffffffff,0xf88001bd,
    0x0fffffff,0x40bf6000,0xdffffffe,0x31ffffe0,0x00ba03fd,0x213fffe6,
    0xabdffff8,0x0099aaaa,0x7fffffc0,0x0000001f,0x7ffc01fb,0x0004ffff,
    0x3fffffcc,0x3ffffffa,0x3f2a2007,0xffffffff,0x3ffe01bd,0x3fe67fff,
    0x006fffff,0x17fffe40,0x200fd800,0x4fffffff,0x7fffdc00,0xfffff802,
    0x3fffa07f,0x3a001fff,0x01ffffff,0x3fffffa0,0x7e40001f,0x004fffff,
    0x7fffff44,0xffffffff,0xffffffff,0xd9006fff,0xffffffff,0x00bdffff,
    0xfffffff9,0xfff70001,0x0009ffff,0xffffff90,0x6fa8000d,0x9fffff50,
    0x9fffff70,0x16e019fd,0x07fffdc0,0x7fffffdc,0xffffffff,0xfff800ce,
    0x0001ffff,0x404f9800,0xfffffffc,0x3fe60000,0x7fe47fff,0x000fffff,
    0xffffffb8,0xffff004f,0xfffb8fff,0x0004ffff,0x00ffffee,0xf9013e60,
    0x01ffffff,0x1ffffc40,0x7ffffe40,0x3ffffa04,0x3fa001ff,0x001fffff,
    0x3ffffffa,0x7fe40001,0x0004ffff,0x3ba60000,0x00000000,0xfffff300,
    0xf10003ff,0x03ffffff,0xffff5000,0xd0000dff,0x37f2207f,0x3bffaa02,
    0x00fc403c,0x304fffc8,0xffffffff,0xffffffff,0xffff803f,0x20001fff,
    0x9afc8019,0xfa999999,0x03ffffff,0x3fffe200,0x7fffcc7f,0x88001fff,
    0x1fffffff,0xffffff00,0xfffffd0f,0x2a0003ff,0x8005ffff,0x99999afc,
    0xfffffa99,0x7e4003ff,0xff8805ff,0x3fa01fff,0x001fffff,0x3ffffffa,
    0x3fffa001,0x40001fff,0x4ffffffc,0x70000000,0x000003ff,0xffe80000,
    0x0003ffff,0x3fffffff,0xfff50000,0x0000dfff,0x00001ff5,0x80132000,
    0x3e00ffff,0xffffffff,0xffffffff,0x3fffe00f,0x20001fff,0x7ffc402d,
    0xffffffff,0x6fffffff,0x3ffe2000,0xfffe87ff,0xf0003fff,0x03ffffff,
    0x3fffffe0,0xfffff887,0x98000eff,0x4006ffff,0xfffffff8,0xffffffff,
    0x44006fff,0x5000ffff,0xfffd0059,0x74003fff,0x01ffffff,0x3fffffa0,
    0x7e40001f,0x004fffff,0xff980000,0xd9800007,0x540001cf,0x05ffffff,
    0xffffff00,0xf500001f,0x00dfffff,0x0017f600,0x03ea0000,0x02fffd40,
    0x3fffffa2,0xffffffff,0x3fe02fff,0x001fffff,0xfb803f10,0xaaaaaaab,
    0xfffffbaa,0xf10002ff,0xf50dffff,0x00bfffff,0x3fffffe0,0xffff000f,
    0x3fee0fff,0x005fffff,0x00fffff0,0xaaaabfb8,0xffbaaaaa,0x002fffff,
    0x0017ffe4,0x7ffff400,0x3fa001ff,0x001fffff,0x3ffffffa,0x7fe40001,
    0x0004ffff,0x7ffc8000,0xffe80000,0x640000ff,0x00ffffff,0xffffff80,
    0xfa80000f,0x006fffff,0x005fd100,0x17d40000,0x01dffd00,0xffffff10,
    0xffffffff,0x7ffc09ff,0x0001ffff,0x05f803f7,0x7ffffec0,0xff10005f,
    0x3f20dfff,0x000fffff,0xfffffff8,0xfffff000,0x7ffec0ff,0x8002ffff,
    0x4007fffe,0x7fec005f,0x8005ffff,0x71005ffe,0xffffd003,0x7f4003ff,
    0x001fffff,0x3ffffffa,0x7fe40001,0x0004ffff,0xffff8000,0x3e200002,
    0x0003ffff,0x4fffffe8,0xfffff800,0xa80000ff,0x06ffffff,0x03fe2000,
    0x3ee00000,0x3bfea001,0x6ffe4400,0xfb998809,0x3fe04fff,0x001fffff,
    0x7dc01fd0,0x7ffd4002,0x9801ffff,0x37ffffc1,0x9fffffd0,0xfffff000,
    0x3fe001ff,0x2207ffff,0xffffffff,0x7ffec000,0x00bee004,0xffffff50,
    0xfe88003f,0x7ffec01f,0x3fffa01e,0x3a001fff,0x01ffffff,0x3fffffa0,
    0x7e40001f,0x004fffff,0xffe80000,0x6400005f,0x0005ffff,0xffffff88,
    0x7fffc000,0x80000fff,0x6ffffffa,0x7fcc0000,0x32000003,0x7ff4001f,
    0x06ffe800,0x00fffc40,0x3fffffff,0x80ff5000,0xffd0007f,0xc80bffff,
    0x3fffe3ff,0x3ffe204f,0x7c000fff,0x00ffffff,0xfffffff0,0xfffffa80,
    0x7f4006ff,0x1fe002ff,0x7ffff400,0xe88005ff,0x3ffea06f,0x3ffa05ff,
    0x2002ffff,0x2ffffffe,0x3ffffa00,0x640002ff,0x04ffffff,0xfc800000,
    0x0000efff,0x00be6a20,0x7fffcc00,0x3fe000ef,0x000fffff,0xfffffa80,
    0x8800006f,0x00000efe,0x90007f66,0xff1003ff,0xdff0009f,0xffffff80,
    0x7fcc001f,0x0017ee06,0x7fffffdc,0xbfff100f,0x017ffff4,0x3bffffe6,
    0x3fffe000,0xff000fff,0x900fffff,0x7fffffff,0x17ffea00,0x0005fb80,
    0xfffffff7,0x9ff30001,0x3fffff60,0xfffff00f,0x7fc005ff,0x002fffff,
    0x3ffffffe,0x7fe40002,0x0004ffff,0xfff88000,0x000aceff,0x0001f700,
    0x7fffe440,0xffff001e,0x00001fff,0xdffffff5,0x7e400000,0x6cc0003f,
    0x7e4000cf,0x3ffa001e,0x3fee001f,0x7ffffc02,0x3ea002ff,0x7ff105ff,
    0x3ffe2000,0x3e05ffff,0x3fffa5ff,0xfff91004,0x3fe003df,0x800fffff,
    0x7ffffff8,0xfffffd00,0xfd8803ff,0x3fe2006f,0xfff10003,0x000bffff,
    0xfd037fa6,0x101fffff,0x7fffffff,0x3fffe200,0xf1003fff,0x07ffffff,
    0xffffe800,0x000006ff,0xfffff300,0x00003fff,0x2000009d,0xbeffffe9,
    0x3ff6e609,0x0002dfff,0xffffff90,0x4000001f,0x01acefd9,0x00cfea98,
    0x0017ec40,0x0177ffd4,0x3007bf6a,0xbfffffff,0xfffb9801,0x0bffb05f,
    0x7ffff400,0xff702fff,0x007fffcf,0x3ffffa60,0x36e609be,0x02dfffff,
    0xffffff30,0xfff3003f,0x101fffff,0x0019fff9,0x0002ffec,0xfffffffd,
    0x77540005,0x3ffffee0,0xffffd885,0x4402ffff,0xfffffffd,0x7fec402f,
    0x02ffffff,0xffffb880,0x000cffff,0xec880000,0x0001dfff,0x00001f4c,
    0x7fffedc0,0xffffffff,0x400002cf,0xfffffffa,0x000000df,0x77fff64c,
    0xfffedccd,0x0750000c,0xfffc8800,0xfffeeeff,0x7f4c00ce,0xefffffff,
    0xffecccce,0x544fffff,0x002ffffe,0x7ffffd44,0x440affff,0xeffeeffe,
    0x3f6e0001,0xffffffff,0x002cffff,0x7fffff4c,0xfb801eff,0x2effffff,
    0x000677fc,0x05ffffd5,0xffffa880,0x00afffff,0xfe88ee00,0xffd11fff,
    0xffffffff,0x3a25dfff,0xffffffff,0x12efffff,0xfffffffd,0x5dffffff,
    0xffffec80,0xffffffff,0x0000005e,0x20000110,0x000000bb,0x66655440,
    0x0009aacc,0x3ffba200,0xffffffff,0x0003efff,0x665d4400,0x0001abcd,
    0x53000000,0x03579b97,0xfffffd10,0xffffffff,0xffffffff,0x7e47ffff,
    0xefffffff,0x3fffa601,0xffffffff,0xdcca80ff,0x2200002c,0xacccccaa,
    0x7440009a,0xffffffff,0x00efffff,0x3ffffff6,0xc80007ff,0xffffffff,
    0x3ffa601e,0xffffffff,0x00000fff,0x0000164c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x00999998,0x26666000,0x99991099,0x00039999,
    0x07531000,0x33331000,0x7c000013,0x001f7004,0x4ccc4000,0x04000009,
    0x4c400000,0x00026000,0x00022000,0x99880000,0x00000999,0x31000000,
    0x00033333,0x40001000,0x4e8801fb,0x54c00000,0x5c01aacc,0x17710000,
    0x000072a0,0x0befeb80,0xdd3006c8,0x07dddddd,0xfffff000,0x2600003f,
    0x20efffff,0xffffffeb,0x22000003,0x0003fffc,0x7fffffc4,0x3f600001,
    0x003fd403,0x3fff6000,0x9100006f,0x9ff907df,0x0f7c4000,0x000bf620,
    0xdffc8800,0x80000001,0x02fffffe,0x67f54000,0xfd100001,0x0001ffff,
    0x0002dc00,0xfe801df3,0x2e600003,0xffffffed,0x7cc1ceff,0xfff88000,
    0x27fff42f,0x7fec0000,0xf31cffff,0x3ffe600b,0x00001cff,0x03fffff5,
    0x7ffdc000,0xffff00ff,0x000007ff,0x0033ffee,0x3fffea00,0x6400001f,
    0x9999bdff,0x00005ffc,0x3ffffe60,0xfc80003f,0x3fea0fff,0x2e0002ff,
    0xdfd101ff,0xfb800000,0x00005fff,0x7fffcc00,0x4c00002f,0x0006ffff,
    0x3ffffe20,0xf3000003,0xeff8000b,0xfeb999ac,0xf700001f,0x359dffff,
    0x9ffff975,0x70001ff7,0x7ccbffff,0x00007fff,0x7fffffdc,0x04ffffff,
    0x0dffff30,0xfffd8000,0x7400002f,0x3601ffff,0x003fffff,0x2fffa800,
    0x3ff60000,0x800001ff,0xfffffff8,0x0001ffff,0x3ffffa00,0xf80007ff,
    0x3f64ffff,0x40006fff,0x7fcc2fff,0x4000001f,0x01fffffe,0x3f200000,
    0x00002fff,0x1fffffd8,0x3fe60000,0x000006ff,0xc8000bfd,0xffffffff,
    0x980005ff,0x805ffffe,0xffffffc8,0xfffc8000,0x3fffea7f,0x3e00000f,
    0xffffffff,0x3001ffff,0x000bffff,0x02ffff80,0x7ffcc000,0x7ffec01f,
    0x400003ff,0x0007fff9,0x0bfffe20,0xffa80000,0x4fffffff,0x3ea00000,
    0x3fffffff,0x7fff4000,0x3ffff22f,0x7fdc0004,0x0bfff74f,0xffd00000,
    0x00001fff,0x1ffff400,0xffd80000,0x00002fff,0x007fffcc,0x17ff2000,
    0x3fffa000,0x00ffffff,0x7fffdc00,0x7f4c004f,0x98000fff,0x7fc3ffff,
    0x200005ff,0xffd99df8,0x003fffff,0x013fffe6,0x2fffa800,0xffb80000,
    0xfffc801f,0x400003ff,0x0004fffc,0x00bffea0,0x3fee0000,0x004fffff,
    0x7fff4000,0x00fffe89,0x1bffea00,0x003ffff3,0xfdfffd00,0x00001fff,
    0xbffff700,0x4c000000,0x00003fff,0x1ffffea0,0x7fcc0000,0x2a00003f,
    0x80005fff,0xffffffe8,0x7ec0001e,0x0004ffff,0x001ffff1,0x5033fae0,
    0x00003bfb,0x36a207cc,0x4c002eff,0x0004ffff,0x000fff60,0x017ff400,
    0x3fffffc8,0x7ff40000,0x3600005f,0x000002ff,0x37fff660,0x5c000002,
    0x3f620eff,0x5c40004f,0x00177102,0x3fffea00,0x00003fff,0x033fae00,
    0xfc800000,0x8000004f,0x0002effc,0x01bfea00,0x7fffd400,0x3ae00005,
    0x0000ceff,0x3fffffd4,0x3ffe6000,0x00000000,0x80188000,0xfff30000,
    0x7c00009f,0x3000003f,0x7e4005ff,0x0003ffff,0x1bfffe20,0x1ffc4000,
    0x10000000,0x22000000,0xffb00dff,0x00000001,0xfffd0000,0x00001fff,
    0x00000000,0x0013fa00,0x00030000,0x03fea000,0xffff7000,0x200000bf,
    0xff100000,0x0009ffff,0x0001ff50,0x00000000,0xf3000000,0x00009fff,
    0x00000f22,0x64002c98,0x003fffff,0x3fffe200,0x59300007,0x00000000,
    0x32000000,0x04fc804f,0x00000000,0xfffffa80,0x00000002,0x10000000,
    0x00000079,0x80000000,0x320001ca,0xceffffff,0x00002ccc,0x3ff60000,
    0x0000ffff,0x00001fd0,0x00000000,0xff300000,0x000009ff,0x00000000,
    0x7fffff90,0x7fc00060,0x00000fff,0x00000000,0x00000333,0x14c00130,
    0x00000000,0x19999800,0x44000000,0x00aacba9,0x0000005c,0x00c00000,
    0x00000000,0x3fffff60,0x4fffffff,0x00000000,0xbffffff7,0x07d40000,
    0x7777776c,0xeeeeeeee,0xeeeeea82,0xddb4eeee,0xdddddddd,0xd505dddd,
    0xdddddddd,0x13fffe69,0x00000000,0x3f200000,0xb713ffff,0x4003bfff,
    0x001ffffd,0x00000000,0xfffedca8,0x00bcdeff,0x00000000,0xcccccca8,
    0x65c1cccc,0x000ccccc,0x00000000,0x7ffff5c4,0x41ceffff,0x500000f8,
    0x6d400000,0xaaceffff,0x001aaaaa,0x64400000,0xefffffdc,0xdd12cccc,
    0xdddddddd,0xdddddddd,0x0bdddddd,0x7ffffffc,0x07400002,0xfffff988,
    0x4009ffff,0xaffffd98,0x7fffcc40,0x009fffff,0x7fffecc4,0x3fffe60a,
    0xeeeee884,0xeeeeeeee,0xabdeeeee,0xdddd0000,0xc807dddd,0xe8bfffff,
    0x4fffffff,0x5ffff700,0xdddddd10,0xdddddddd,0xdddddddd,0xd3000bdd,
    0x537bffff,0x05fffff9,0x3bbbba20,0xeeeeeeee,0xeeeeeeee,0xfe985eee,
    0xbeffffff,0x7fffdcc0,0x3bbbbaa3,0xeeeeeeee,0x002ccdee,0xfffc8800,
    0xdcacdfff,0xfebcfffe,0x0f980000,0x7ecc0000,0xfffaafff,0x15ffffff,
    0xdddddddd,0xdddddddd,0xdddddddd,0xffffb80b,0xfea8805f,0xeeffffff,
    0xffffeeee,0xff307fff,0x003fffff,0xff500000,0x005fffff,0xa803ffb0,
    0x2fffffff,0x81ffd800,0x204ffff9,0xffffff98,0xffeeeeff,0x01dfffff,
    0x7fffdc40,0x7fe404ff,0xbdfecfff,0x04fffffe,0x03ffffa8,0x3ffffaa2,
    0xeeeeefff,0xfffffffe,0x7ffdc007,0x7ffd405f,0xd51000df,0xdfffffff,
    0xfffddddd,0x6c0fffff,0x03ffffff,0xa880ffdc,0xffffffff,0xffffffee,
    0x980003df,0x0bffffff,0x3ffffaa0,0xfc80000f,0x3e600003,0x7fc0efff,
    0x45ffffff,0xfffffea8,0xeeeeeeff,0x7fffffff,0x7ffffdc0,0x3ffe2005,
    0x2201ffff,0x507ffffb,0x1fffffff,0x10000000,0x3fffffff,0x00df7000,
    0xfffffff1,0x0df70003,0x013fffe6,0x3fffffea,0xffffb307,0xfb0009ff,
    0xc809ffff,0x0effffff,0x0ffffff4,0x0ffffe60,0x3ffffe20,0x3ee201ff,
    0xd3007fff,0x001dffff,0x07fffff3,0x7ffffc40,0x3ee201ff,0x3e207fff,
    0x404fffff,0xffb804fa,0xc987ffff,0x01efffff,0xfffff700,0x7fdc001d,
    0x440000ff,0x100007ff,0x905ffffd,0x1001ffff,0x3fffffff,0x7fffdc40,
    0x7fffdc07,0x7ffc005f,0x8801ffff,0xff907ffd,0x001fffff,0xff100000,
    0x001fffff,0xf100bf50,0x01ffffff,0x260bf500,0x8804ffff,0x07ffffff,
    0x7fffffdc,0x7ffe4004,0x7fe404ff,0xfa81ffff,0x4406ffff,0xf001ffff,
    0x03ffffff,0x00fffb10,0x1ffffff1,0x7fffdc00,0x3ffe003f,0x8801ffff,
    0x7e407ffd,0x6406ffff,0xfff9801f,0x3ea07fff,0x004fffff,0x77ffffe4,
    0xfffb8000,0x7fdc0000,0xfc80002f,0xfa80ffff,0xff006fff,0x003fffff,
    0xb80fffb1,0x005fffff,0x7ffffff4,0x41ff2001,0x7ffffffd,0x20000000,
    0x0fffffff,0x004f9800,0x1fffffff,0x209f3000,0x004ffff9,0x0fffffff,
    0xffffffd0,0x7ffe4003,0x7fe404ff,0x3fe04fff,0x2601ffff,0x3a006fff,
    0x01ffffff,0x3601ff20,0x002fffff,0x7fffffc4,0xffffd000,0x7e4003ff,
    0x7fffc407,0x01ba02ff,0x7fffffcc,0x7fffcc07,0xff7004ff,0x0001ffff,
    0x00007fec,0x001bfffe,0x1fffffa0,0x17ffffcc,0x7fffff40,0x1ff2001f,
    0xbfffff70,0xffffe800,0x3e2001ff,0xffffff07,0x000000df,0x7fffffc0,
    0x4f98000f,0xffffff00,0x9f30001f,0x13fffe60,0x7fffffc0,0xffffa807,
    0x3f2005ff,0x6404ffff,0x203fffff,0x02fffffd,0x800bfff2,0x1ffffffe,
    0x701fe200,0x01ffffff,0xfffff900,0x3fffa00b,0x22001fff,0xfffd807f,
    0x05f105ff,0x3ffffe20,0xfffb807f,0x7cc03fff,0x003fffff,0x0000ff80,
    0x07ffffea,0xffff8800,0xffff107f,0xfffd009f,0x44003fff,0x7ffdc07f,
    0x7f4005ff,0x001fffff,0x7ffc43e4,0x0006ffff,0x3ffe0000,0x8000ffff,
    0xfff004f9,0x0001ffff,0x3fe609f3,0xfff004ff,0xf100ffff,0x00ffffff,
    0x27ffffe4,0x3fffff20,0x3ffff203,0x0bffe04f,0xfffffd00,0x07c8003f,
    0x3fffffe6,0xfff50005,0xfd007fff,0x003fffff,0xff9807c8,0x7b81ffff,
    0x3fffe200,0xffd007ff,0x7403ffff,0x007fffff,0x0001f900,0x2ffffff4,
    0xffff3000,0x3ffe20df,0xffe805ff,0x4001ffff,0x7ffdc07c,0x7f4005ff,
    0x701fffff,0x3fe0f507,0x006fffff,0x3fe00000,0x000fffff,0xff004f98,
    0x001fffff,0x3e609f30,0xff004fff,0x200fffff,0x1fffffff,0xfffff900,
    0xffffc809,0x3ffee03f,0xffea85ff,0xfffe8002,0x07701fff,0x7fff40f5,
    0x10003fff,0x1fffffff,0xfffffe80,0xf507701f,0x3ffffa00,0x2004e84f,
    0x7ffffff8,0xfffff900,0x3ffea0df,0x00005fff,0x260001f3,0x0fffffff,
    0xffff1000,0x3ffe20ff,0xffe803ff,0x7701ffff,0xffb80f50,0x74005fff,
    0x01ffffff,0x7ec1a079,0x007fffff,0x3333332e,0x2ccccccc,0xfffffff0,
    0x09f30001,0x3fffffe0,0x4f98000f,0x09ffff30,0x3fffffe0,0xfffff007,
    0x3f2003ff,0x6404ffff,0x203fffff,0x27fffffb,0x0002efe8,0x3ffffffa,
    0x41a07901,0xfffffff9,0x3ffa0000,0x7403ffff,0x01ffffff,0x5401a079,
    0x20ffffff,0x3e2001f9,0x007fffff,0xfffffff3,0xfffffd03,0x6c00007f,
    0xfffb0000,0x0009ffff,0x83fffff4,0x00fffff9,0xffffffe8,0x01a07901,
    0x0bfffff7,0xfffffe80,0x8007d01f,0xfffffffc,0xffb71000,0xbfffffff,
    0x3fffe037,0x98000fff,0xffff004f,0x30001fff,0x3ffe609f,0xffff004f,
    0xff100fff,0x001fffff,0x13fffff2,0x7fffff90,0x7ffffd40,0x015df50f,
    0x7ffff400,0x007d01ff,0xffffffa8,0x3f60000f,0x405fffff,0x1ffffffe,
    0xf00007d0,0x647fffff,0x7ffc4006,0x3a007fff,0x44ffffff,0xfffffff9,
    0x00000000,0xffffef98,0x50000fff,0x501fffff,0x200dffff,0x1ffffffe,
    0x2e0007d0,0x005fffff,0x7ffffff4,0x4003f881,0xfffffffa,0xfffb8001,
    0xf804ffff,0x00ffffff,0xf004f980,0x01ffffff,0x2609f300,0xf004ffff,
    0x00ffffff,0xfffffff5,0x7fffe400,0x7ffe404f,0x3fea03ff,0x7f547fff,
    0xfe8000cf,0x881fffff,0x7fe4003f,0x0007ffff,0x7fffffe4,0x7ffff406,
    0x03f881ff,0xffffb800,0x8007f16f,0x7ffffff8,0x3ffff200,0x3ff20fff,
    0x0007ffff,0x3f900000,0x7fffffff,0x7ffec000,0xffffc83f,0xffffd002,
    0x07f103ff,0x3fffee00,0x7ff4005f,0xfc81ffff,0x7ffcc003,0x8001ffff,
    0xfffffff8,0xfffff802,0xf98000ff,0xfffff004,0xf30001ff,0x3fffe609,
    0xfffff004,0xfff900ff,0x64009fff,0x404fffff,0x03fffffc,0x1bffffea,
    0x00077fd4,0x3ffffffa,0x4003fc81,0x7ffffffd,0x7ffe4000,0x7f407fff,
    0xc81fffff,0xf880003f,0xfbafffff,0x7ffc4000,0x32007fff,0x1fffffff,
    0x3ffffffa,0x00000006,0xfff95f88,0x8000dfff,0x2a1efffc,0x2000efff,
    0x1ffffffe,0x70003fc8,0x00bfffff,0xffffffe8,0x001ffd41,0x7ffffff4,
    0xffff0003,0xff003fff,0x001fffff,0x3e009f30,0x00ffffff,0xf304f980,
    0x3e009fff,0x407fffff,0x6ffffff9,0x7fffe400,0x7ffe404f,0x3fee03ff,
    0x3f604fff,0x7ff4006f,0x7d41ffff,0x7ffc003f,0x0006ffff,0x7fffffe4,
    0x3fffa01f,0x7fd41fff,0xff900003,0x00bddfff,0xffffff10,0x7ffdc00f,
    0x3fe2ffff,0x006fffff,0xfb800000,0xffffff11,0xd980005f,0xfffedfff,
    0xfffe8004,0x7fd41fff,0xfff70003,0xfe800bff,0x989fffff,0x8003fffc,
    0x6ffffff9,0xfffff000,0xfff001ff,0x0001ffff,0x3fe009f3,0x000fffff,
    0xff304f98,0x3fe009ff,0x2607ffff,0x1fffffff,0x7fffe400,0x7ffe404f,
    0x3fee03ff,0x3ea03fff,0x3fa005ff,0x989fffff,0x2003fffc,0xfffffff8,
    0x7fdc0005,0x202fffff,0x9ffffffe,0x03fffc98,0xffff3000,0x10005fff,
    0x0fffffff,0x7ffffd40,0x3fffe3ff,0x00005fff,0x6c6f8000,0x06ffffff,
    0xedefa800,0x3a0001bd,0x89ffffff,0x003fffc9,0xbfffff50,0x3ffa0088,
    0xffffffff,0x70003fff,0x05ffffff,0xffffff00,0xffff001f,0x30001fff,
    0x3ffe009f,0x8000ffff,0xfff304f9,0x3ffe009f,0xa999ffff,0xffffffdb,
    0xffc8000b,0x7e404fff,0x3203ffff,0x201fffff,0x000ffff8,0xfffffffd,
    0x07ffffff,0x7ffffc40,0x5c0005ff,0x2fffffff,0x3fffffa0,0xffffffff,
    0x3f600003,0x0007ffff,0xfffffff1,0x7fffd400,0xfff14fff,0x000dffff,
    0x2fa80000,0x7fffffcc,0xfd30001f,0xfd000003,0xffffffff,0x0007ffff,
    0x1bffffe6,0x7fff403b,0xfffeefff,0x3a0003ff,0x005fffff,0xfffffff8,
    0xfffff800,0xf98000ff,0xfffff004,0xf30001ff,0x3fffe609,0xfffff004,
    0xffffffff,0x0007ffff,0x4fffffc8,0x7ffffe40,0x3ffffe03,0x3ffe200f,
    0xfffd002f,0xfffddfff,0xff8007ff,0x006fffff,0x7ffffdc0,0x3ffa01ff,
    0xffeeffff,0x00003fff,0x13ffffea,0x7fffc400,0x3e6007ff,0x14ffffff,
    0xffffffff,0x80000000,0xffffd06e,0xf3000bff,0x2000009f,0xeffffffe,
    0x03fffffe,0x3ffff600,0x7403dacf,0x21ffffff,0x0003fffa,0x3fffffe2,
    0x7fffc001,0xff800fff,0x000fffff,0xff004f98,0x001fffff,0x3e609f30,
    0xff004fff,0xd55fffff,0x1fffffff,0xfffc8000,0x7fe404ff,0xf982ffff,
    0x5403ffff,0xd004ffff,0x43ffffff,0x4003fffa,0x7ffffffe,0x7ffe4000,
    0x3a00ffff,0x21ffffff,0x0003fffa,0x0fffff40,0xffff8800,0x3ea007ff,
    0x23ffffff,0xffffffff,0x00000000,0x3fee07f3,0x000fffff,0x0002ffec,
    0xfffffe80,0x0fffea1f,0xffff8800,0xfe805fff,0x4c1fffff,0x4c0003ff,
    0x02fffffe,0x3fffffe0,0xffff800f,0x98000fff,0xffff004f,0x30001fff,
    0x3ffe609f,0xffff004f,0x7ffccfff,0x0006ffff,0x27ffffe4,0x3fffff20,
    0x3ffa62ff,0xffb806ff,0xffd003ff,0xf983ffff,0x7fec003f,0x0007ffff,
    0x7fffffe4,0x7ffff407,0x1ffcc1ff,0x3fee0000,0x3e20006f,0x007fffff,
    0x3fffffee,0x3ffffa1f,0x00001fff,0x401fb000,0x4fffffff,0x3fffe200,
    0x9aaaaabd,0x7ff40009,0x7cc1ffff,0x5c40003f,0x800bdffe,0x1ffffffe,
    0x00003fb8,0x07fffff7,0x3fffffe0,0xffff800f,0xa8000fff,0xffff003f,
    0x50001fff,0x3ffe607f,0xffff004f,0xfffb8fff,0x0004ffff,0x13fffff2,
    0x7fffff90,0xffffbffb,0xff9001df,0x3fa005ff,0xb81fffff,0x7fdc003f,
    0x000fffff,0x3fffff60,0x7fff406f,0x3fb81fff,0x7fc40000,0x3e20003f,
    0x007fffff,0x3ffffff2,0x3ffff60f,0x00002fff,0x404f9800,0xfffffffc,
    0xffff7000,0xffffffff,0xd0019dff,0x03ffffff,0x400007f7,0x7ff40008,
    0xf881ffff,0x3a600003,0x0aceffff,0xffffb951,0x3fe005bf,0x000fffff,
    0xff003fa8,0x001fffff,0x3e607f50,0xff004fff,0xfd0fffff,0x03ffffff,
    0x3ffff200,0x7ffe404f,0xffff93ff,0x360019ff,0xd001ffff,0x03ffffff,
    0xfa8007f1,0x01ffffff,0x3ffffa00,0x7ff403ff,0xf881ffff,0xfc800003,
    0x3e20000f,0x007fffff,0x3ffffff2,0x7ffffd47,0x000003ff,0x999afc80,
    0xfffa9999,0x3003ffff,0xffffffff,0xffffffff,0xfffe803f,0x3f881fff,
    0x40000000,0x1ffffffe,0x003807d0,0xffffeca8,0xffffffff,0xfff8002c,
    0x8000ffff,0xfff002fa,0x0001ffff,0x3fe605f5,0xfff004ff,0xff10ffff,
    0x01dfffff,0xfffff900,0xffffc809,0x0565cc3f,0x1ffffe00,0xfffffe80,
    0x3807d01f,0xffffffe8,0xfff10002,0xe801ffff,0x01ffffff,0x8003807d,
    0x440004f9,0x07ffffff,0x3fffff60,0xffffe85f,0x000004ff,0x7ffffc40,
    0xffffffff,0x006fffff,0x3ffffffe,0xffffffff,0x3fa00fff,0xd01fffff,
    0x64403807,0x7f4002df,0x901fffff,0x0003c407,0x2f3bee62,0x400009aa,
    0x1ffffffe,0x001fc800,0x3ffffffd,0x203f9000,0x004ffff9,0x0fffffff,
    0x3fffffee,0xffc8005f,0x7e404fff,0x0003ffff,0x1bfffe20,0xfffffe80,
    0x4407901f,0xfffff987,0xff30005f,0xd007ffff,0x03ffffff,0x007880f2,
    0x40001f98,0x7ffffff8,0x3ffffa00,0xfffb82ff,0x00007fff,0x555fdc00,
    0xbaaaaaaa,0x2fffffff,0xffffd100,0xffffffff,0x7405ffff,0x01ffffff,
    0x203c4079,0x001ffffc,0x3ffffffa,0x36403301,0x0cfa8000,0xffd80000,
    0x8001ffff,0xffb000fe,0x0003ffff,0x3fe601fd,0xfff004ff,0x7ec0ffff,
    0x02ffffff,0x7ffffe40,0x7fffe404,0x2200003f,0x2005ffff,0x1ffffffe,
    0x83640330,0x0ffffffd,0xffffc800,0xfffd006f,0x06603fff,0x5c8006c8,
    0xfff88000,0xf5007fff,0x20bfffff,0xfffffff8,0x00500002,0xffd800bf,
    0x2005ffff,0xfffffff8,0xffffffff,0x3fffa04f,0x03301fff,0x3ffa0364,
    0x3fa004ff,0x001fffff,0x100009f0,0x0003ffff,0xfffffa80,0x37cc003f,
    0xfffff500,0x6f98007f,0x13fffe60,0x7fffffc0,0x3fffe207,0x2000ffff,
    0x04fffffc,0x1fffffe4,0x3ffa0000,0x3ffa004f,0x0001ffff,0x3ffe209f,
    0x44003fff,0x03ffffff,0xffffffd0,0x213e0003,0x17c40cc8,0x7ffc4000,
    0xfd007fff,0x403fffff,0x6ffffff9,0x404d8000,0x7d4002fb,0x01ffffff,
    0x04effe44,0x7ffdccc4,0x3fffa04f,0xf0001fff,0xffffa809,0x3fffa006,
    0xc8001fff,0xea80003f,0x00004fff,0x7fffffc4,0x0bfe2006,0xfffff880,
    0x3fe2006f,0x3fffe602,0xfffff004,0xfffa80ff,0x2006ffff,0x04fffffc,
    0x1fffffe4,0x3fee0000,0x3ffa006f,0x8001ffff,0x3fee03fc,0x5c007fff,
    0x004fffff,0x3ffffffa,0x43fc8001,0x3dc6fff8,0xfff88000,0xf9807fff,
    0x804fffff,0x4ffffffb,0x013f6000,0x3fa000ff,0x405fffff,0x44006ffe,
    0x3fa01fff,0x001fffff,0xa8803fc8,0x3fa004f8,0x002fffff,0x00017fe4,
    0x000ffff0,0xfffff700,0x17fa00bf,0x3fffee00,0xbfd005ff,0x5ffff980,
    0xffffff00,0xffff900f,0x32007fff,0x404fffff,0x03fffffd,0x7ff44000,
    0xfffd001f,0xc8005fff,0x7fdc02ff,0xf3003fff,0x8009ffff,0x2ffffffe,
    0x217fe400,0x3a1ffffb,0xff300003,0xb00fffff,0x01bfffff,0x3fffff20,
    0x7f4c003f,0x002fdc05,0xffffffb8,0x9fff100f,0x80dff000,0x2ffffffe,
    0x017fe400,0x7c003f30,0x02ffffff,0x03fff910,0x2fffc000,0xffd80000,
    0x881cffff,0x0000dfea,0x9ffffffb,0x1bfd5103,0xfffff980,0x7fffc400,
    0xffd007ff,0x003fffff,0x09fffff9,0x4fffffd8,0xfe880000,0xffff004f,
    0x22005fff,0xa801fffc,0x404fffff,0x04fffff9,0xffffff80,0xff91002f,
    0xffffc83f,0x40000d93,0x7ffffff9,0x7ffffe40,0xfffa8003,0x2201dfff,
    0x4404ffca,0xf10003ff,0x0bffffff,0x000ffff4,0xff805ff7,0x002fffff,
    0x003fff91,0xff100364,0x80dfffff,0x0fffffb8,0xfff90000,0x5c000005,
    0xffffffff,0x05fffecd,0xffffb800,0xfecdffff,0xff3005ff,0x059bffff,
    0xfffffff3,0xffff3003,0xd801ffff,0x405fffff,0x05fffffe,0xffb10000,
    0x7ffc405d,0x4406ffff,0x00fffffb,0xbffffb10,0x3ffae637,0x88001eff,
    0x6fffffff,0x7fffdc40,0x7fffc40f,0x00002fde,0x3fffffea,0xfffe982f,
    0x220001ff,0xeffffffd,0xfffecabc,0x5ffd801e,0x3fffa000,0xf502ffff,
    0xda805dff,0x7fc401ef,0x406fffff,0x0fffffb8,0x2004d980,0xffffffd8,
    0xedccdfff,0x7fffffff,0x7fecc000,0x000002ef,0xfffffd98,0x01dfffff,
    0x3ff66000,0xffffffff,0x4ccc001d,0x4c099999,0xfffffffe,0xfffb801e,
    0x502effff,0x5fffffff,0xfffffb50,0x000137ff,0x0dfb7300,0xffffffb1,
    0xdb99bfff,0xffffffff,0xffd93000,0xffffffff,0x3620005b,0xffffffff,
    0xffedccdf,0x907fffff,0x007fffff,0x7fffcc00,0xecefffff,0x0adfffff,
    0xfd710000,0xffffffff,0xfd5007bf,0x88005fff,0xfffffffa,0xfc880aff,
    0xfeeeffff,0x4400ceff,0xfffffffd,0xfedccdff,0x07ffffff,0xe8800ba8,
    0xffffffff,0xffffffff,0xffffffff,0x554c0006,0x0000000a,0xccccba88,
    0x000000aa,0x33332ea2,0x000000aa,0x3fffffa2,0xffffffff,0x3fff600e,
    0x7c7fffff,0xffffffff,0xdddd10ff,0x7ddddddd,0x21000000,0xffffffe8,
    0xffffffff,0xffffffff,0x4c0006ff,0x2abcccba,0xfffd1000,0xffffffff,
    0xffffffff,0x40dfffff,0x0001bcb8,0xfffffea8,0xffffffff,0x0002ceff,
    0xcbaa8800,0x9000abcc,0xffffffff,0x7ff4c03d,0xffffffff,0x2a600fff,
    0x01abcdcb,0xfffffe88,0xffffffff,0xffffffff,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64c00000,0x00059102,0x22001510,0x73000009,0x00aa0179,
    0x32a60000,0x0000009a,0x20157953,0x6540000a,0x0003202c,0x00011000,
    0xba988000,0x05c00aac,0x17d401b6,0x776e5c40,0xeeeeeeee,0x2002eeee,
    0x075000c9,0xdddddd00,0xdddb07dd,0xdddddddd,0x77540bdd,0xeeeeeeee,
    0x3bbbaa0e,0x00005eee,0x00e4c000,0x19500000,0x000072a0,0xe8802c98,
    0xeeeeeeee,0x04eeeeee,0x7fe40000,0x3fffd45f,0x07fe2000,0x0001ff30,
    0xbfffff90,0x00027c43,0x7fff65c0,0x0cdeffff,0x3ff22000,0x0aefffff,
    0x7440007a,0x20bfffff,0x000001fb,0x003bffb1,0x7f5c4000,0xefffffff,
    0x3207c41c,0x07fc405f,0xfffffb30,0xfddddfff,0x800139ff,0x5fa806f9,
    0xfffb8800,0x3a604fff,0xffffffff,0xffd1001b,0x50139fff,0x0dfffffd,
    0x6c000000,0x00006fff,0x17fffc40,0x0013fff6,0x03ffff20,0x3fffa620,
    0x00afffff,0xff880000,0x3ffa0fff,0x5c0002ff,0x9ff502ff,0xfff70000,
    0xfbdfffff,0x4c00007f,0x9bdffffe,0x3ffffeca,0xcfffa800,0xfffca889,
    0xd0001fdd,0xffffffff,0x0000ffbd,0x2ffffe40,0x7e440000,0xacdfffff,
    0xbcfffedc,0x77fd40fe,0xffb999ac,0x3fffea07,0x40ffffff,0x7c0004fe,
    0x7ff501df,0x7ffec000,0x7fc404ff,0x005fffff,0x01efffa8,0x6fffffb8,
    0x30000000,0x005fffff,0x7ffdc000,0x3fffe66f,0x3e20000f,0x2003ffff,
    0xfffffff9,0x20000003,0x22fffff9,0x004fffff,0x21fffc40,0x0000fffc,
    0x7fffffc4,0x0fffffff,0xfff90000,0xfffa80bf,0xff5000df,0x7fec405f,
    0xfa8001ff,0xffffffff,0x00005fff,0x3fffffe0,0x3e600000,0x00bfffff,
    0x3fffffaa,0xfffffe80,0x703fffff,0xffffffff,0x2fe81fff,0x7ffe4000,
    0xffffeeef,0x3ff20000,0xfe804fff,0x003fffff,0x000dffc8,0x0dfffff5,
    0x32000000,0x005fffff,0x3fff2000,0x3fffea7f,0x3ea0001f,0x4006ffff,
    0x1fffffff,0x74000000,0x7fe46fff,0xb80000ff,0xffd8cfff,0xf980003f,
    0xfffffcbe,0x80004fff,0x0effffe9,0xfffffb80,0x37ffc403,0x01fffb80,
    0xfdbcfd80,0x1fffffff,0x3fa00000,0x0000ffff,0xdfffff70,0x7ffdc001,
    0xffff980f,0x305fffff,0xffffffff,0xfe81ffff,0x7f440002,0xffffffff,
    0x7fe40003,0xfe804fff,0x003fffff,0x20027fd4,0x06fffff9,0xf3000000,
    0x0005ffff,0x7fffcc00,0x037fffc4,0x3fffe200,0x7ffc004f,0x0001ffff,
    0x6fecc000,0x0177e441,0xffffd000,0x0000dfff,0xfdb883ea,0x80004fff,
    0x0ffffff8,0x3ffff200,0x3fffa03f,0x07ff6002,0xd9317600,0x0003ffff,
    0xffffb800,0xff900004,0x0001dfff,0x2a01fff7,0xdfffffff,0xfffffd00,
    0x1fffffff,0x80001fe8,0xfffffff9,0xfc80005f,0xd804ffff,0x02ffffff,
    0x000bfee0,0x1bffffe6,0xe8000000,0x00007fff,0x40cfeb80,0x0001dfd9,
    0x00ffffd8,0x7fffffc0,0x0000001f,0x00000000,0x3fffffea,0x5300002f,
    0x0000aa80,0x7fffffd0,0xfffff000,0xffff101f,0x17f44003,0x5100d400,
    0x00000013,0x00033fae,0x3ffffee0,0x3f60000f,0x3fb2200f,0x3fea03ef,
    0xffffffff,0x0ff40fff,0xffd88000,0x00003fff,0x09fffff9,0xffffffb0,
    0x07bf2005,0x7fffcc00,0x0000006f,0x00016d40,0x00000000,0x002f6600,
    0x3fffffe0,0x0000001f,0x00000000,0x2ffffff4,0x00000000,0xffff7000,
    0xfb0001ff,0xf50bffff,0xa8007fff,0x0000002f,0x00000000,0xffff3000,
    0xf00007ff,0x4002001f,0xfffffffc,0x40ffffff,0x400001fe,0x00009ba9,
    0x3fffff20,0xffffd804,0x7f4402ff,0x3e60000d,0x0006ffff,0x00000000,
    0x00000000,0xf0000000,0x03ffffff,0x30000000,0x00000033,0x03fffff5,
    0x33300000,0x7fcc0000,0x0005ffff,0x7ffffff5,0x1fffffb8,0x000be200,
    0x00000000,0x74000000,0x007fffff,0x0001f900,0xfffffd80,0xffffffff,
    0x0000ff40,0x90000000,0x009fffff,0x5ffffffb,0x0027f4c0,0x7ffffcc0,
    0x00000006,0x00000000,0x00000000,0xfffff000,0x000003ff,0xffedca80,
    0x0bcdefff,0x00000000,0xfedca800,0xbcdeffff,0xfffe8000,0x10003fff,
    0x1fffffff,0x7fffffdc,0xd30b6001,0xdddddddd,0x3ba6007d,0x2eeeeeee,
    0x00000000,0xbffffff5,0x03e60000,0xfffd0000,0xffffffff,0x01fe81ff,
    0x00050000,0xfffff900,0xffffb009,0x3fea05ff,0xff300002,0x9930dfff,
    0x07999999,0x77777744,0xeeeeeeee,0xeeeeeeee,0x77775c1e,0xeeeeeeee,
    0xeeee804e,0xd10eeeee,0xdddddddd,0x05dddddd,0x7ffffffc,0x30000001,
    0x37bffffd,0x5fffff95,0x01ca8000,0x98000593,0x9bdffffe,0x2fffffca,
    0x3fffe600,0x20000fff,0x3ffffffe,0x3fffffe6,0x809800cf,0xfffffea8,
    0x26002fff,0x20bffffd,0xeeeeeee8,0xeeeeeeee,0xeeeeeeee,0x3fffa05e,
    0x00003fff,0x77774436,0xeeeeeeee,0xffff2eee,0xffffffff,0x01fe81ff,
    0x00f98000,0x7ffe4000,0xffd804ff,0xfc82ffff,0x2600001e,0x886fffff,
    0xbeffffeb,0x3fffe201,0xeeeeeeff,0xffffffee,0xff9305ff,0x3fffffff,
    0xfffc9800,0xffd300bf,0x17ffffff,0xffffff00,0x0000003f,0x80bffff7,
    0x00dffffa,0x44fffd80,0x0006fffb,0x80bffff7,0x00dffffa,0xffffffa8,
    0x3f60000f,0x7c5fffff,0xffffffff,0x3a20000b,0xffffffff,0x0ffe4000,
    0xffffd510,0xdddddfff,0xfffffffd,0x3fffe60f,0x00000fff,0xffffe980,
    0x740bffff,0xffffffff,0x740fffff,0xc800001f,0x6400003f,0x804fffff,
    0x2ffffffd,0x0003ff62,0xfffff300,0x1fffcc0d,0xdffff980,0x7fffc401,
    0x6400ffff,0x6fffffff,0x07ffa000,0x3ffffe20,0x3fe004ff,0x001fffff,
    0x3ffa6000,0xf9800eff,0x2003ffff,0x7c7ffff9,0x2001ffff,0x0effffe9,
    0xfffff980,0x7fffe403,0x6c0007ff,0x46ffffff,0xfffffffd,0x20003fff,
    0xfffffff8,0x3e6000ef,0xffff1006,0x5c403fff,0xf907ffff,0x00ffffff,
    0x7fc40000,0xb04fffff,0xffffffff,0xe81fffff,0x4400001f,0x400007ff,
    0x04fffffc,0xffffffd8,0x09fffd32,0xfff98000,0x3fea06ff,0x3ffea002,
    0xffffb001,0x3a007fff,0x1fffffff,0x007ff000,0x7ffffffc,0x3fffe002,
    0x00001fff,0xffffff10,0x7ffdc001,0xff5003ff,0x3fe23fff,0xf1003fff,
    0x001fffff,0x1fffffdc,0xffffffb0,0xffc8000f,0x220fffff,0xffffffff,
    0x0002efff,0xffffffff,0x2fc400bf,0xffffff00,0xffb1003f,0x3ffffa0f,
    0x000006ff,0x7fffffc0,0xffff702f,0xffffffff,0x001fe81f,0x17ffdc00,
    0xfff90000,0xffb009ff,0xff55ffff,0x0005ffff,0x7ffffcc0,0x005fd106,
    0x5001ffb8,0xdfffffff,0x7fffcc00,0xa8005fff,0x7ff4005f,0x2002ffff,
    0x1fffffff,0xffb00000,0x88005fff,0x00ffffff,0xd8dffff0,0xb000ffff,
    0x005fffff,0xffffff88,0xffffff00,0xfb8000df,0x41ffffff,0xfffffff9,
    0x01efffff,0x7fffffc0,0x2003ffff,0x3ffa004f,0x2001ffff,0xffff07fc,
    0x0000dfff,0xffffe800,0xfff102ff,0xffffffff,0x01fe81ff,0x7fffc000,
    0x3f200006,0xd804ffff,0xfeffffff,0x1fffffff,0xfff30000,0x07f60dff,
    0x4007f200,0xfffffff8,0x7fec001f,0x001fffff,0x3a0007f4,0x01ffffff,
    0x3fffffe0,0xb800001f,0x00ffffff,0xfffffc80,0x3bfb5005,0x002efd98,
    0x1ffffff7,0xffff9000,0xffff10bf,0x8000bfff,0xfffffffb,0xfffffa82,
    0xffffffff,0x3f73e003,0x1fffffff,0x74009f00,0x01ffffff,0x7fc1fe20,
    0x005fffff,0x7ff40000,0x3201ffff,0xffffffff,0x7f40ffff,0x3ea00001,
    0x0001ffff,0x9fffff90,0xfffffb00,0xffffffff,0x00001dff,0x0dfffff3,
    0x320003fb,0x3fff2006,0x8004ffff,0xfffffff8,0x00fee005,0x3fffffa0,
    0x3ffe001f,0x0001ffff,0x7ffffcc0,0xff50005f,0x0007ffff,0x3fe60000,
    0x0005ffff,0x7ffffff5,0xffffff88,0x7d40005f,0x03ffffff,0xffffffd3,
    0x09ffffff,0x3ffa33e0,0x00ffffff,0x3fa004f8,0x001fffff,0x7ffc43e4,
    0x0006ffff,0x7fff4000,0x3a201fff,0xffffffff,0x0ff40fff,0xfffd0000,
    0x20000bff,0x04fffffc,0xffffffd8,0xfffffe8d,0x980005ff,0x6c6fffff,
    0x0f60003f,0x7ffffcc0,0x320006ff,0x1fffffff,0x0006f880,0x3ffffffd,
    0x7ffffc00,0x400001ff,0x3ffffffe,0xffff1000,0x00001fff,0xffffd000,
    0x220007ff,0x0fffffff,0x7ffffffc,0x7fdc0006,0x401fffff,0xfffffffc,
    0x804fffff,0xfffff14f,0x9f00dfff,0x7ffff400,0x507701ff,0xfffff10f,
    0x00000fff,0xfffffe80,0x7ffc401f,0xffffffff,0x0000ff40,0xffffff98,
    0xfc80000f,0xd804ffff,0x12ffffff,0xffffffff,0xff980007,0x3ff66fff,
    0x0190000f,0x3fffffa0,0x220002ff,0x6fffffff,0x0002fc80,0x3ffffffd,
    0x7ffffc00,0x200001ff,0xfffffff9,0x3ffa0000,0x32a3ffff,0x43cccccc,
    0xcccccccc,0xfffff981,0x3a0000ff,0x43ffffff,0x7ffffffe,0x7ffe4000,
    0x8800ffff,0xfffffffc,0x7c00ffff,0x3ffffea4,0x27c04fff,0xfffffd00,
    0x340f203f,0xfffffff8,0x0000000f,0x3ffffffa,0xfffd8801,0x40ffffff,
    0xb00001fe,0x9fffffff,0xfff90000,0xffb009ff,0x7d45ffff,0x2fffffff,
    0x3ffe6000,0xffffb6ff,0xb800000b,0x5fffffff,0xfffb8000,0x2602ffff,
    0x3fa0005f,0x001fffff,0x3ffffffe,0x3ea00001,0x00ffffff,0x3ffff600,
    0x3ff265ff,0x7545ffff,0x82ffffff,0xfffffffa,0x3ff60000,0x7ec5ffff,
    0x007fffff,0x7ffffec0,0x7ecc007f,0xffffffff,0x3ee27c05,0x3fffffff,
    0xfe8013e0,0xd01fffff,0xfffe8007,0x0001ffff,0x3fffa000,0x26001fff,
    0xffffffec,0x0000ff40,0x7ffff7cc,0x40000fff,0x04fffffc,0xffffffd8,
    0x7ffffe42,0x30000fff,0xfbdfffff,0x005fffff,0x3ffe2000,0x000fffff,
    0xfffffd00,0x007f40df,0xfffffd00,0x7ffc003f,0x0001ffff,0xffffc866,
    0x640007ff,0x86ffffff,0x05fffffc,0x05ffffff,0xfffffff9,0xfffc8000,
    0x7fdc6fff,0x000fffff,0x3fffffa0,0x4c002a6f,0xfffffffe,0x7ec27c07,
    0x1fffffff,0x7f4009f0,0x881fffff,0x7fec003f,0x002fffff,0x3ffa0000,
    0x0001ffff,0x81ff7531,0xc80001fe,0xffffff9f,0x7e40003f,0xd804ffff,
    0x82ffffff,0xfffffffd,0xff98000e,0xffefffff,0x0000ffff,0xfffffd80,
    0x200003ff,0xfffffffa,0x0004fa83,0x7ffffff4,0x3fffe001,0x20001fff,
    0x3ffff62d,0x640007ff,0x87ffffff,0x05fffffb,0x05fffffd,0xfffffffb,
    0xfffc8000,0x7fd47fff,0x001fffff,0x3fffffa0,0x7000f24f,0x1fffffff,
    0xffe827c0,0x80ffffff,0x3ffa004f,0xfc81ffff,0x7ffd4003,0x0003ffff,
    0x3fffa000,0x80001fff,0x0ff40ff8,0x657e2000,0x06ffffff,0x7fffe400,
    0xfffd804f,0xfe882fff,0x05ffffff,0xfffff980,0xfffff89f,0x5400005f,
    0x6fffffff,0xffe80000,0x7c47ffff,0xffe80006,0x2001ffff,0x1fffffff,
    0x7c3f1000,0x06ffffff,0x7fffe400,0x7fd41fff,0xffb05fff,0xfff05fff,
    0x000dffff,0xffffffc8,0x7ffff41f,0x3e0002ff,0x20ffffff,0xffa8006c,
    0x3e01ffff,0xfffff104,0x09f0dfff,0x7fffff40,0x01ffd41f,0x7fffff40,
    0x0000004f,0x3ffffffa,0xff880001,0x0000ff40,0x7ffc47ee,0x0002ffff,
    0x13fffff2,0x3fffff60,0xffff302f,0x8007ffff,0x26fffff9,0x2ffffffb,
    0xffd10000,0x003fffff,0xffff3000,0x17e47fff,0x7fff4000,0x3e001fff,
    0x01ffffff,0x3e23f700,0x05ffffff,0x7fffdc00,0x7fd42fff,0xffb05fff,
    0xff885fff,0x005fffff,0x7ffffdc0,0x7ffcc2ff,0x50005fff,0x87ffffff,
    0xfb8001fc,0x3e00ffff,0x3fffe604,0x27c4ffff,0xfffffd00,0xfff9313f,
    0xfff70007,0x0000ffff,0x7ffff400,0x880001ff,0x00ff40ff,0xffb1be00,
    0x000dffff,0x27ffffe4,0x7ffffec0,0x3ffea02f,0x002fffff,0x1bffffe6,
    0x1ffffffb,0xfff90000,0x0009ffff,0x7fffec00,0x05f98fff,0xffffd000,
    0x7fc003ff,0x001fffff,0x3fe21fd0,0x005fffff,0x7ffffdc0,0x7ffd42ff,
    0xfffb05ff,0xfff885ff,0x0005ffff,0x7fffffdc,0xffffd82f,0xfd8000ff,
    0xfc86ffff,0xfff88004,0x2027c06f,0xfffffffb,0xe8013e2f,0xffffffff,
    0x003fffff,0xffffff88,0x0500002f,0xffffffe8,0xff880001,0x0000ff40,
    0xfff985f5,0x0001ffff,0x09fffff9,0xffffffb0,0xffffc805,0x3000ffff,
    0x88dfffff,0x06ffffff,0x7fffcc00,0x0000ffff,0x3fffe600,0x01fdcfff,
    0xffffd000,0x7fc003ff,0x001fffff,0x7ffc7fa8,0x0006ffff,0x7fffffdc,
    0x7fffd41f,0xffffb05f,0xfffff05f,0xb8000dff,0x1fffffff,0xffffff88,
    0x7ffcc004,0xffc82fff,0xfffe8001,0x64027c05,0xffffffff,0x7f4009f1,
    0xfeefffff,0x0003ffff,0xdffffff3,0x809b0000,0x1ffffffe,0x0ff88000,
    0xd0000ff4,0x3ffffa0d,0xf90005ff,0xb009ffff,0x05ffffff,0xffffffd0,
    0xff3001df,0xff50dfff,0x0007ffff,0x7ffffff4,0x8000002f,0xfffffffc,
    0x3a00004f,0x01ffffff,0x3fffffe0,0x7fcc001f,0x7fffff46,0x7e40007f,
    0x40ffffff,0x05fffffa,0x05fffffb,0xfffffffd,0xfffc8000,0xf500ffff,
    0x800fffff,0x04fffffc,0x8001dff9,0x7c01ffff,0xffffd004,0x09f1dfff,
    0x7fffff40,0x0fffea1f,0xffffb800,0x360004ff,0x7fff404f,0x80001fff,
    0x0ff40ff8,0x703f9800,0x1fffffff,0xffff9000,0xfffd009f,0xf3007fff,
    0xdfffffff,0xffffa801,0xffffb07f,0xf70003ff,0x0bffffff,0x3e200000,
    0x0fffffff,0x3ffa0000,0x2001ffff,0x2fffffff,0x17ffea00,0xfffffffb,
    0xfffc8000,0xffa87fff,0xffb05fff,0xffb05fff,0x000fffff,0xffffffc8,
    0x7fffcc07,0xfff3004f,0x7fe407ff,0x3fe6005f,0x004f803f,0xfffffff1,
    0x74009fbf,0x41ffffff,0x40003ff9,0x3ffffffc,0x02ff4c00,0x7ffffff4,
    0xff880001,0x8000ff40,0x3ffe00fd,0x8004ffff,0x05fffffd,0xfffffff8,
    0xffffb004,0x401dffff,0x07fffffa,0xdffffff3,0x7ffc4001,0x000fffff,
    0x3ff20000,0x0006ffff,0x7fffff40,0xfff3001f,0x801bffff,0x45ffffb9,
    0xfffffffb,0x3ff60000,0xfa86ffff,0xfb05ffff,0xf705ffff,0x01ffffff,
    0x7fffec00,0xfe8806ff,0x7d404fff,0x6402ffff,0x401effff,0xf005ffe8,
    0x7ffcc009,0x04ffffff,0x3fffffa0,0x003fb81f,0xfffffa80,0x32a201df,
    0xffd004ff,0x0003ffff,0xfe81ff10,0x04f98001,0x7fffffe4,0x3fea000f,
    0x102fffff,0xfffffffb,0x7f44017f,0xffffffff,0x7ff4c0bf,0xe80cffff,
    0x1dffffff,0xfffffb00,0x370007ff,0x3ffea000,0x00006fff,0x7ffffff4,
    0xfffe9801,0xceefffff,0xffffeccc,0x7fd44fff,0x001fffff,0x3fffffa0,
    0xffffa83f,0xffffb05f,0xffff505f,0x40003fff,0x3ffffffe,0xffff9100,
    0x3f2a237b,0xc801efff,0xacffffff,0x0fffea20,0x54004f80,0xffffffff,
    0x3fffa004,0x3f881fff,0xffb10000,0x579dffff,0x03dfffd9,0x7fffff40,
    0xf880001f,0x000ff40f,0x4cccd7e4,0xffffa999,0xff003fff,0xffffffff,
    0x3ffff61f,0xffffffff,0x7fff40ff,0xffffffff,0xfff74fff,0x1fffffff,
    0x3fffffe2,0x5403ffff,0x6fffffff,0x0001f000,0x3fffffea,0x7f400006,
    0x101fffff,0xfffffffd,0xffffffff,0xffffffff,0xfffd07ff,0x20005fff,
    0xfffffff8,0xfffffa80,0xfffffb05,0x3ffffa05,0xf10002ff,0x01ffffff,
    0xffffb500,0x17dfffff,0xb88fe400,0xfffefffe,0x27c000df,0x7fffe400,
    0x3a004fff,0x01ffffff,0x4003807d,0xfffffeb8,0x03dfffff,0xfffffe80,
    0xf880001f,0x000ff40f,0x3fffffe2,0xffffffff,0x0006ffff,0x00000000,
    0x00000000,0x3fffa000,0x8001ffff,0x3ea00079,0x006fffff,0x7ffff400,
    0x000001ff,0xfff30000,0x2000bfff,0x3ffffff9,0xbfffff50,0x3fffff60,
    0xfffff302,0x3e6000bf,0x003fffff,0x7ffffc40,0x350006ff,0x2fbf2a20,
    0x09f00009,0x3ffff600,0x3fa004ff,0x901fffff,0x0003c407,0x79bf9551,
    0x7f400015,0x001fffff,0x740ff880,0x5fdc001f,0xaaaaaaaa,0xffffffba,
    0x3762002f,0xd800001b,0x000001be,0x000df6c0,0xfffff700,0x320009ff,
    0x3fea0007,0x0006ffff,0x7fffff40,0xd500001f,0xb000015b,0x01ffffff,
    0xfffff900,0x7fffd40d,0xffffb05f,0x7ffec05f,0xc8000fff,0x006fffff,
    0xfffff700,0x000003ff,0x200013ee,0xfd10004f,0x4009ffff,0x1ffffffe,
    0x03640330,0x003fc800,0x3ffffa00,0x880001ff,0x00ff40ff,0xfb0017e0,
    0x00bfffff,0x027fffcc,0x3fffe000,0x20000006,0x0006ffff,0xffffff88,
    0xf98000ff,0x3fea0006,0x0006ffff,0x7fffff40,0xf700001f,0x80005fff,
    0x3ffffff8,0x7fffc400,0x3fe603ff,0xffb06fff,0x7c405fff,0x003fffff,
    0x7fffffc4,0x3fa00003,0x005fffff,0xefff8800,0x013e0000,0xfffff980,
    0x3fffa004,0xf0001fff,0xff300009,0xd00001df,0x03ffffff,0x81ff1000,
    0x3ee001fe,0x7ffd4002,0x1001ffff,0x000ffffb,0x1fffec80,0xd9000000,
    0x80003fff,0xfffffffd,0x0bfd0002,0x7fffd400,0x400006ff,0x1ffffffe,
    0xffb30000,0xf70000bf,0x800fffff,0x04fffffb,0x37ffffcc,0x7fffffd4,
    0x7fffdc02,0x7fdc007f,0x00004fff,0x7fffffcc,0x5400003f,0x0003fffe,
    0xf500017e,0x74009fff,0x01ffffff,0x0003fc80,0x02fffeb8,0xffffe800,
    0x880001ff,0x00ff40ff,0x3a000ff0,0x05ffffff,0x017ffdc0,0x3ffe6000,
    0x20000004,0x0004fff9,0x3fffffea,0xfd88005f,0x3ea0004f,0x006fffff,
    0x7ffff400,0x400002ff,0x0000fffd,0x3fffffb8,0xfffff300,0x3fffe009,
    0x3ffe60ff,0xb803ffff,0x003fffff,0x09fffff3,0x3fe60000,0x004fffff,
    0x37ffc400,0x006f8800,0x04fffc80,0x3fffffa0,0x7fe4002f,0xff300002,
    0xfd0000bf,0x005fffff,0xe81ff100,0x0bf7001f,0x3fffee00,0x2e000fff,
    0x00001fff,0x001fffcc,0xfff30000,0x3fe20007,0x01ffffff,0x1ffff4c0,
    0xffff5000,0x80000dff,0x2fffffff,0x7fec0000,0x3ea00007,0x4c04ffff,
    0x004fffff,0x3bfffff2,0xfffeefcb,0xff5004ff,0xf9809fff,0x0004ffff,
    0x7fff4400,0x001bffff,0x04fff880,0x003ff700,0x009ffb00,0x7ffffffc,
    0xfff91002,0x3e200003,0xf80003ff,0x02ffffff,0x40ff8800,0xff8801fe,
    0xfff10003,0x200bffff,0x0005fff8,0x07ffec40,0xd8800000,0x90000fff,
    0x9fffffff,0x7ffecc00,0x320002ff,0x0fffffff,0xfff10000,0x0007ffff,
    0x027ffd40,0x3ff62000,0xd731bdff,0x003dffff,0xffffffd0,0xffffb1bf,
    0x362003df,0x31bdffff,0x3dffffd7,0x22000000,0xfffffffb,0x8007efff,
    0x8001fffc,0x00bffffb,0x013fa200,0x7fffffc4,0x7fdc406f,0x00000fff,
    0x0001fff9,0xffffff88,0xf880003f,0x400ff40f,0x20005ffd,0xfffffffe,
    0x3fffb602,0xd700000c,0x0003bfff,0xfffd7000,0x3e60003b,0xcfffffff,
    0xeedccccc,0xfffffffe,0xff50002f,0x1bffffff,0xffd88000,0x02ffffff,
    0x3fff6200,0x2000003f,0xfffffec9,0x02dfffff,0x3fff6200,0x3fff64ff,
    0x2004ffff,0xfffffec9,0x02dfffff,0x2a000000,0xceffffed,0xfd95002b,
    0x7cc003df,0xffffffff,0x9f10001e,0xffffb100,0x99bfffff,0xffffffdb,
    0xdb8000ff,0x0000efff,0x7ffffec4,0x40002fff,0x0ff40ff8,0x5ffffd50,
    0xfffa8800,0x0affffff,0x0001aaa8,0x00aaaa80,0x2aa00000,0x740000aa,
    0xffffffff,0xffffffff,0xffffffff,0xdd1001ff,0xffffffff,0x07dfffff,
    0x3ffffa20,0xffffffff,0x544002ef,0x000001aa,0x6665d4c0,0x400002ab,
    0x00001bb8,0x332ea600,0x00002abc,0x01100000,0x05554c00,0x00000000,
    0x3fa20530,0xffffffff,0xffffffff,0x6fffffff,0x5554c000,0x3fa20000,
    0xffffffff,0x002effff,0x76c0ee88,0xfffff901,0x4c03dfff,0xfffffffe,
    0x00ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0aaaaaa8,
    0xdddddd10,0xdddddddd,0x157bdddd,0x2e200000,0x0019500b,0x00bb8800,
    0x10000395,0x00555555,0x332a0000,0x80003202,0xb80befdb,0x0b700007,
    0xbb88164c,0x77777540,0xddd31eee,0x7ddddddd,0x3bbba600,0x002eeeee,
    0x01efed40,0x77540000,0xeeeeeeee,0x00003eee,0x3bbbbbba,0x0eeeeeee,
    0x00000000,0x77400000,0xeeeeeeee,0x9800eeee,0xeeeeeeee,0x005eeeee,
    0x77777764,0x1eeeeeee,0x00002000,0x0bfffff3,0xfffff310,0xfddddfff,
    0x3bffffff,0x7fcc0000,0x7fffc1ff,0xff100002,0xfffe85ff,0xffd80004,
    0x00002fff,0x3ffffa20,0x007ee0be,0x7ffffec0,0x00df11df,0x7e417a00,
    0x7ffd46ff,0xfffb980f,0x3faa22ff,0x2fffffff,0x3fff6600,0x6c0000bf,
    0x006ffeff,0x7ffdc000,0xffffffff,0x200004ff,0xffffffff,0x00ffffff,
    0x00000000,0x4005db50,0xffffffff,0x00ffffff,0xffffff98,0x6fffffff,
    0x7fffec00,0xffffffff,0xfea8002f,0xff90002e,0xfa800bff,0x307fffff,
    0x9ffffffb,0x3ff20000,0x3ffea4ff,0xf700006f,0x7fccbfff,0xb00007ff,
    0x000bffff,0x7ffff400,0xffddffff,0xfffa8000,0xffffffff,0xf980005f,
    0x3fffff01,0x01ffffec,0x105ffffb,0xfffffffd,0xffc8001f,0xdfb80001,
    0x0009f910,0x7fffdc00,0xffffffff,0x3e00004f,0xffffffff,0x000fffff,
    0x80000000,0x002ffff9,0xffffffff,0x01ffffff,0xffffff30,0xdfffffff,
    0xffffd800,0xffffffff,0x7fd4002f,0xf8002fff,0x88005fff,0x07ffffff,
    0x7fffffdc,0xffe80004,0x3fff25ff,0xf900007f,0x7fd4ffff,0x00000fff,
    0x000ffffb,0x3fffea00,0xffffffff,0xfffd0006,0xffffffff,0xd900003f,
    0x3ffffe20,0x13ffffa2,0x02ffffc8,0xfffffff1,0x7cc001df,0x1fd00006,
    0x00000ff0,0x77777754,0x3eeeeeee,0x3bba0000,0xeeeeeeee,0x00000eee,
    0xf9800000,0xdd004fff,0xdddddddd,0x3001dddd,0xdddddddd,0x00bddddd,
    0xeeeeeec8,0x1eeeeeee,0x7fffec00,0x7fcc005f,0xff0000ef,0xd00fffff,
    0x03ffffff,0xffffa800,0x13fffe22,0x7ffcc000,0x2ffffc3f,0x3ffa0000,
    0xc800002f,0xffffebdf,0x0001ffff,0xfff933bf,0x0009ffff,0xffd80fe0,
    0x3ffee0ff,0x3fff201f,0x3fffe02f,0x005fffff,0x400017e2,0x001f905f,
    0x00000000,0x00000000,0x00000000,0x13fffe20,0x00000000,0x00000000,
    0x3ffe0000,0x64007fff,0x20000eff,0x07ffffff,0xffffffa8,0xffb80005,
    0x00cfea83,0x33fae000,0x00efed40,0x3ffa2000,0x5d800004,0x7ffff64c,
    0x83f10002,0x03fffda8,0x401f5000,0x6442dfd9,0x7fe403ef,0x3ffe02ff,
    0x3fffffff,0x00013e00,0x007e83f4,0x00000000,0x00000000,0x00000000,
    0x017ff440,0x00000000,0x00000000,0x7ffec000,0x7fc005ff,0x7fc0000e,
    0x8807ffff,0x07ffffff,0x00000000,0x00000000,0x07fe8800,0x201a8000,
    0x40000aa8,0x00000801,0x000002ec,0x0bffff20,0xffffdcf8,0xf001ffff,
    0x3f200009,0x0002fd43,0x00ccc000,0x00000000,0x00000000,0x027f4c00,
    0x00000000,0x50000000,0x7fcc0000,0x26001fff,0xf80000ef,0x007fffff,
    0x3fffffff,0x00000000,0x00000000,0x5fd10000,0x00000000,0x00000000,
    0x0017c400,0x3ff20000,0x233e02ff,0xfffffffe,0x004f800f,0xd9dfd100,
    0x000001ff,0xfffedca8,0x00bcdeff,0x3bbbbb60,0xeeeeeeee,0xeeeea82e,
    0xdb4eeeee,0xdddddddd,0x505ddddd,0xdddddddd,0x8837bddd,0xeeeeeeee,
    0xeeeeeeee,0xeeeeeeee,0xeeeee885,0xeeeeeeee,0x980002ee,0x2600000f,
    0x44001dfd,0xff000009,0x200fffff,0x1fffffff,0x00000000,0x00280000,
    0x09880000,0x0a000000,0x00000000,0x007c8c00,0xffc80000,0x453e02ff,
    0xffffffff,0x0004f806,0x3bfff620,0x26000000,0x9bdffffe,0x2fffffca,
    0x3ffe6200,0x09ffffff,0x7ffecc40,0x7fcc40af,0xafffffff,0x7fecc400,
    0x22000aff,0xffffffea,0xfeeeeeef,0x07ffffff,0x7fffff4c,0x0000bfff,
    0x0000ff20,0x03950000,0x3e000b26,0x807fffff,0xfffffff8,0x3bbba200,
    0xeeeeeeee,0xeeeeeeee,0x0005eeee,0x00007cc0,0x26039500,0x2000002c,
    0x880000f9,0xeeeeeeee,0x2eeeeeee,0x7ffedcc0,0xddd100ef,0xdddddddd,
    0x3205dddd,0x3e02ffff,0x3ffffea4,0x27c04fff,0x27e40000,0x3ee00000,
    0x7d405fff,0x2000dfff,0xfffffffa,0x1ffd8002,0x7ffffd40,0xfe8002ff,
    0x3e20001f,0x01ffffff,0x1ffffee2,0x3ffffe20,0x400004ff,0x00007ff8,
    0x3fff6000,0x037ffdc4,0x3fffffe0,0xffffa807,0xd51007ff,0xdfffffff,
    0xfffddddd,0x000fffff,0x0003fc80,0x89fffb00,0x0006fffb,0x0007f900,
    0xffffe980,0x800bffff,0xffebfffb,0x7f4c02ff,0xbfffffff,0x7fffe400,
    0xff713e02,0x07ffffff,0x2000027c,0x00007ff8,0xdffffd30,0xffff3001,
    0x3fe2007f,0x001fffff,0xf8806fb8,0x01ffffff,0x0006fb80,0xfffffff8,
    0x7ffd8801,0xffffff00,0xb800005f,0x00002fff,0xffff9800,0x0fffffc7,
    0xffffff00,0xffff900f,0xf88009ff,0x01ffffff,0x1ffffee2,0x7ff88000,
    0xff980000,0x7fffc7ff,0x4400001f,0x800007ff,0xfffffff8,0x1dffb004,
    0x01fffff4,0x3fffffe2,0xfff9004f,0x6c27c05f,0xffffffff,0x00009f01,
    0x002fffb8,0x7fffc400,0x3ee000ff,0x8803ffff,0x0fffffff,0x805fa800,
    0xfffffff8,0x05fa8000,0xffffe800,0x3f2001ff,0xffffd007,0x800005ff,
    0x0006ffff,0xfffa8000,0xffff11ff,0x7ffc007f,0x7cc07fff,0x006fffff,
    0xfffffff0,0xfffb1003,0x7fdc0000,0x5400002f,0xf11fffff,0x0007ffff,
    0x02fffb80,0xffff8000,0xfd802fff,0x3ffe22ff,0xfff807ff,0x9002ffff,
    0x7c05ffff,0xfffffd04,0x09f01fff,0xffff8000,0x7ec00006,0x4002ffff,
    0x0ffffff8,0xffffff80,0x4f98000f,0xffffff00,0x9f30001f,0xfffd0000,
    0x44003fff,0xfffd007f,0x00003fff,0x0fffffd4,0x7c000000,0x7fec6fff,
    0x3fe000ff,0x2607ffff,0x1fffffff,0xffffd000,0x7e4003ff,0x3fe00007,
    0x800006ff,0x7ec6ffff,0x00000fff,0x0037fffc,0x7ffff400,0x7fcc02ff,
    0x7fffdc7f,0x7ff401ff,0x9002ffff,0x7c05ffff,0xfffff104,0x09f0dfff,
    0x7ffd4000,0x700001ff,0x01ffffff,0xfffff900,0xfffff00b,0xf30001ff,
    0x3fffe009,0x98000fff,0xfe80004f,0x001fffff,0xffe803e4,0x0001ffff,
    0x3fffffa0,0x80000005,0x6cc1dfda,0x7fc002ef,0x999fffff,0xfffffdba,
    0x3a0000bf,0x01ffffff,0x0001fe20,0x0fffffd4,0x3f6a0000,0x177ecc1d,
    0x3fea0000,0x00001fff,0x7ffffff4,0x37fff401,0x3fffffba,0x7ffff401,
    0xff9001ff,0x027c05ff,0xfffffff3,0x0004f89f,0x3fffffa0,0xff980005,
    0x0005ffff,0x7ffffff5,0xffffff80,0x4f98000f,0xffffff00,0x9f30001f,
    0xfffd0000,0x0ee03fff,0x7ff401ea,0x0001ffff,0xffffff30,0x0000001f,
    0xf8000000,0xffffffff,0xffffffff,0xffd00003,0x8003ffff,0xfd00007c,
    0x000bffff,0x00000000,0xfffffe80,0x7f400005,0x201fffff,0x266ffffa,
    0x06fffbaf,0xffffffe8,0xffff9001,0x2e027c05,0xffffffff,0x400013e2,
    0xfffffff9,0x7ff40000,0x0003ffff,0xfffffff1,0x7ffffc01,0xf98000ff,
    0xfffff004,0xf30001ff,0xffd00009,0x3203ffff,0x3fa00d03,0x001fffff,
    0xfffffb00,0x880009ff,0x000003db,0xfffff800,0xfffeaaff,0x0000ffff,
    0xffffffd0,0x1ea0ee03,0x3ffe6000,0x0000ffff,0x00000000,0xffffff30,
    0x7400001f,0x01ffffff,0xc97ffff2,0x2002f2a7,0x1ffffffe,0x5ffff900,
    0x7e4027c0,0x1fffffff,0x3600009f,0x4fffffff,0x3ffe6000,0x0000ffff,
    0x3ffffffa,0x3ffffe03,0xf98000ff,0xfffff004,0xf30001ff,0xffd00009,
    0x3a03ffff,0x7ff40003,0x0001ffff,0xffffef98,0x70000fff,0x2a1dffff,
    0x3ccccccc,0x66666664,0xffff801c,0x3ffe67ff,0x0006ffff,0xffffffd0,
    0x0340f203,0x7fffec00,0x50004fff,0x79999999,0xccccccc8,0x7ec0001c,
    0x04ffffff,0x3fffa000,0x3f601fff,0x013e6fff,0xfffffe80,0xfff9001f,
    0x8027c05f,0xfffffffe,0x80004f8e,0xfffffef9,0xf50000ff,0x01ffffff,
    0x7fffec00,0x3ffe05ff,0x8000ffff,0xfff004f9,0x0001ffff,0xd00009f3,
    0x03ffffff,0xe80007f1,0x01ffffff,0xff9fc800,0x003fffff,0xffffff88,
    0xfffff936,0xfffea8bf,0xff802fff,0x7dc7ffff,0x04ffffff,0xffffe800,
    0x007d01ff,0x3fbe6000,0x00ffffff,0xffffc980,0x7ff545ff,0x0002ffff,
    0x3ffffbe6,0x00000fff,0x3ffffffd,0xbfffffc0,0x3a0001fa,0x01ffffff,
    0x05ffff90,0xff88027c,0xfdffffff,0x9fc80004,0x3fffffff,0xffff9000,
    0xc8000fff,0x06ffffff,0x3ffffffe,0x04f98000,0xfffffff0,0x09f30001,
    0xffffd000,0x07f903ff,0xffffe800,0x440001ff,0xfffff95f,0xff7000df,
    0x645fffff,0xf05fffff,0x005fffff,0x0fffffff,0xfffffffd,0xffe80003,
    0xf881ffff,0xf9000003,0xfffffff3,0x7fe40007,0xfff05fff,0x40005fff,
    0xfffff9fc,0xd00003ff,0x03ffffff,0x3fffffe2,0x740006d8,0x01ffffff,
    0x05ffff90,0xff30027c,0x9fffffff,0x95f88000,0x0dffffff,0x3ffff600,
    0x640007ff,0x07ffffff,0x3ffffffe,0x04f98000,0xfffffff0,0x09f30001,
    0xffffd000,0x3ffa83ff,0x7fff4000,0x40001fff,0xffff11fb,0xa8005fff,
    0x3fffffff,0x17ffffee,0x17fffff4,0x7fffffc0,0xfffff887,0x20000eff,
    0x1ffffffe,0x00003fc8,0xfff95f88,0x4000dfff,0x05fffffb,0x05fffffd,
    0x7e57e200,0x006fffff,0xfffffd00,0x3ffe203f,0x003fafff,0x7fffff40,
    0xfff9001f,0x0027c05f,0x3fffffea,0x5c0004ff,0xfffff11f,0xff0005ff,
    0x00dfffff,0xfffffc80,0xffff01ff,0x30001fff,0x3ffe009f,0x8000ffff,
    0xe80004f9,0x89ffffff,0x003fffc9,0x7fffff40,0x37c0001f,0x3ffffff6,
    0xffff8006,0x3fea4fff,0xffb05fff,0xff005fff,0x2e0fffff,0x5fffffff,
    0x3fffa000,0x7fd41fff,0xfb800003,0xffffff11,0x3ea0005f,0xfb05ffff,
    0x0005ffff,0x7ffc47ee,0x0002ffff,0xffffffe8,0x3ffffa01,0x40000fef,
    0x1ffffffe,0x5ffff900,0x640027c0,0x4fffffff,0x3637c000,0x06ffffff,
    0x7ffffc40,0x5c0005ff,0x2fffffff,0xfffffff0,0x09f30001,0x3fffffe0,
    0x4f98000f,0xfffe8000,0xffffffff,0x740003ff,0x01ffffff,0xf30bea00,
    0x03ffffff,0xfeffea80,0x3fffea4f,0xffffb05f,0xffff005f,0x7fec0fff,
    0x002fffff,0xffffffd0,0x7fff9313,0x8df00000,0x6ffffffd,0xffff5000,
    0x3fff60bf,0xdf0002ff,0xffffffd8,0xffe80006,0x3601ffff,0x05ffffff,
    0xffffe800,0xff9001ff,0x027c05ff,0xfffffd80,0x3ea0004f,0x7ffffcc2,
    0x3e2001ff,0x05ffffff,0x7fffdc00,0xfff02fff,0x0001ffff,0x3fe009f3,
    0x000fffff,0x80004f98,0xeffffffe,0x03fffffe,0x7ffff400,0x3a0001ff,
    0xfffffd06,0x422000bf,0x3ffea2ff,0xfffb05ff,0xfff005ff,0x7c40ffff,
    0x0fffffff,0xffffe800,0xffffffff,0x5400003f,0x7fffcc2f,0xa8001fff,
    0xb05fffff,0x005fffff,0xff985f50,0x001fffff,0x7fffff40,0x3ffee01f,
    0x80002fff,0x1ffffffe,0x5ffff900,0x880027c0,0x04fffffe,0x7f41ba00,
    0x005fffff,0x7ffffffc,0x7fdc0006,0xf01fffff,0x01ffffff,0x2009f300,
    0x0fffffff,0x004f9800,0xfffffe80,0x0fffea1f,0xffffd000,0x260003ff,
    0xffff703f,0x40001fff,0x3fea1ff9,0xffb05fff,0xff005fff,0xa80fffff,
    0x6fffffff,0xffffe800,0xffffeeff,0x7400003f,0xfffffd06,0xff5000bf,
    0x3f60bfff,0x8002ffff,0xffffd06e,0xe8000bff,0x01ffffff,0x3fffffe6,
    0x3a00400e,0x01ffffff,0x05ffff90,0xf300027c,0x0009ffff,0x7fdc0fe6,
    0x000fffff,0x3ffffffa,0x7fe40007,0xf00fffff,0x01ffffff,0x2009f300,
    0x0fffffff,0x004f9800,0xfffffe80,0x01ffcc1f,0x3ffffa00,0xfb0001ff,
    0x7ffffc01,0x320004ff,0x7fffd45f,0xffffb05f,0xffff005f,0xff900fff,
    0x007fffff,0xffffffe8,0x00fffea1,0x703f9800,0x1fffffff,0xffffa800,
    0xffffb05f,0x3f98005f,0xffffff70,0x7f40001f,0x401fffff,0x5ffffffd,
    0xffd01b20,0x2003ffff,0x202ffffc,0x7d40005f,0xb0004fff,0x7fffc01f,
    0x36004fff,0x07ffffff,0x7fffe400,0x3ffe07ff,0x8000ffff,0xfff004f9,
    0x0001ffff,0xd00009f3,0x03ffffff,0xe80007f7,0x01ffffff,0x6404f980,
    0x0fffffff,0xa83ff000,0xb05fffff,0x805fffff,0x7ffffff8,0xfffffd00,
    0x7f4003ff,0x4c1fffff,0x200003ff,0x3ffe00fd,0x4004ffff,0x05fffffa,
    0x05fffffb,0x3e00fd80,0x04ffffff,0x3ffffa00,0x7fc401ff,0x0adfffff,
    0xfe803fb5,0x001fffff,0x205ffff9,0xc80006f8,0x98004fff,0x7ffe404f,
    0x7000ffff,0x1fffffff,0x7ffec000,0x3fe06fff,0x000fffff,0xff003fa8,
    0x001fffff,0x00007f50,0x3ffffffd,0x80007f10,0x1ffffffe,0x99afc800,
    0xffa99999,0x003fffff,0xffa84fb8,0xffb05fff,0xf9805fff,0x01ffffff,
    0xffffff98,0xffd000ff,0xf703ffff,0x3e600007,0x7fffe404,0x2a000fff,
    0xb05fffff,0x005fffff,0x3f2027cc,0x00ffffff,0xfffffd00,0xfff3003f,
    0xffffffff,0xfffd007f,0x32003fff,0xf702ffff,0xfb00003f,0x5f90009f,
    0x53333333,0x7fffffff,0x3fffea00,0x20001fff,0x3ffffffe,0x3fffffe0,
    0x3fa8000f,0xffffff00,0x7f50001f,0xfffd0000,0x0fa03fff,0xfffe8070,
    0x44001fff,0xffffffff,0xffffffff,0x7dc006ff,0xfffff503,0x3ffff60b,
    0x3ffa602f,0x01efffff,0xffffffb8,0xffe802ef,0xf881ffff,0x5f900003,
    0x53333333,0x7fffffff,0x7fffd400,0xffffb05f,0x57e4005f,0xa9999999,
    0x3fffffff,0xffffd000,0x3f2003ff,0xffffffff,0xfffd002f,0x32003fff,
    0xfb82ffff,0x0000bfff,0x10013fa2,0xffffffff,0xffffffff,0x7f400dff,
    0x002fffff,0xffffff10,0x7fffc01f,0xa8000fff,0xffff002f,0x50001fff,
    0xfd00005f,0x203fffff,0xd01e203c,0x03ffffff,0xaaabfb80,0xfbaaaaaa,
    0x02ffffff,0x2a02ee98,0xb05fffff,0x885fffff,0xfffffffe,0x0effffff,
    0x3fffff60,0x7f407fff,0xd01fffff,0xf8803807,0xffffffff,0xffffffff,
    0x3fea006f,0xffb05fff,0x22005fff,0xffffffff,0xffffffff,0xfd0006ff,
    0x003fffff,0x3ffffbf2,0x3a001dff,0x01ffffff,0x25ffff90,0xfffffff9,
    0x10001eff,0xbfb8009f,0xaaaaaaaa,0xffffffba,0xfff3002f,0x2000bfff,
    0x3ffffff9,0x7fffff40,0x1fc8001f,0xfffffd00,0x3f90003f,0xfffd0000,
    0x06603fff,0x7ff406c8,0x4001ffff,0x7fec005f,0xc805ffff,0xffffa802,
    0xffffb05f,0x0000005f,0xffe80000,0x7901ffff,0x7dc03c40,0xaaaaaaab,
    0xfffffbaa,0xff5002ff,0x3f60bfff,0x7002ffff,0x5555557f,0xffff7555,
    0xd0005fff,0x03ffffff,0x5e5453e0,0xffe8000a,0x9001ffff,0x0005ffff,
    0x00298000,0x3f6002fc,0x005fffff,0x3ffffff6,0xfffc8000,0xffd806ff,
    0x8001ffff,0xffb000fe,0x0005ffff,0xd00001fd,0x03ffffff,0xfd013e00,
    0x003fffff,0x2a0017dc,0x1fffffff,0xfff50000,0x3ff60bff,0x00002fff,
    0x000159d9,0x3ffffa00,0x403301ff,0x005f806c,0x7fffffec,0xffff5005,
    0x3fff60bf,0x0bf002ff,0xfffffd80,0xffe8005f,0xa801ffff,0x7400001f,
    0x01ffffff,0x05ffff90,0x0deec400,0x17dc0000,0x3fffea00,0xf1001fff,
    0x007fffff,0xffffff88,0xffffa803,0x7cc003ff,0x3ffea006,0x4c003fff,
    0xfd00006f,0x003fffff,0xfe807f90,0x001fffff,0x7f4001fe,0x005fffff,
    0xfffff300,0x3ffff60d,0xfd00002f,0x00001fff,0xffffffd0,0x013e0003,
    0xfa8005f7,0x01ffffff,0x6fffff98,0x5fffffb0,0x8005f700,0xfffffffa,
    0x7fff4001,0x6d801fff,0xffe80000,0x9001ffff,0x0005ffff,0x027fffcc,
    0x001fe000,0x7ffffff4,0x3ffee005,0x7dc007ff,0x1004ffff,0x0dffffff,
    0x0017fc40,0xdffffff1,0x017f4400,0xffffe800,0x7e4002ff,0x7fff402f,
    0xf7002fff,0x3fee000b,0x000fffff,0xfffff980,0xfffffa86,0xd700002f,
    0x00007fff,0xffffffd0,0x07f90003,0xfd0007f8,0x00bfffff,0x0dfffff3,
    0x5ffffff5,0x2000ff00,0x5ffffffe,0x7ffff400,0x1fc401ff,0x7ff40000,
    0x9001ffff,0x0005ffff,0x07fffec4,0x05fb8000,0xfffff700,0x7dc001ff,
    0x3003ffff,0x009fffff,0xffffffb8,0x00bfd005,0xffffff70,0x017fa00b,
    0xfffff800,0xf91002ff,0xfff803ff,0x8802ffff,0xf10003ff,0x0bffffff,
    0x3fffe000,0x3ffe60ff,0x0003ffff,0x01bffe20,0x3fffa000,0x64002fff,
    0x17ee02ff,0x7fffdc00,0xff800fff,0x3e60ffff,0x03ffffff,0xb8002fdc,
    0x0fffffff,0x3ffffa00,0x07dc02ff,0x7ff40000,0x9002ffff,0x0005ffff,
    0x005fff70,0x007ff100,0x3ffffe20,0x7d4005ff,0x4c04ffff,0x004fffff,
    0xffffffb0,0xbfd51039,0x3ff60001,0x881cffff,0x0000dfda,0xffffff10,
    0xffb880df,0x3e200fff,0x03ffffff,0x0005ffd8,0x3ffffffa,0xfc80002f,
    0xfcbeffff,0x4fffffee,0x3fe20000,0xf800004f,0x02ffffff,0x03fff910,
    0x4000ffe2,0xfffffff8,0xffffc805,0xfeefcbef,0x2204ffff,0xf10003ff,
    0x0bffffff,0x7fffffc0,0x002f402f,0xfffff800,0xffb002ff,0x700005ff,
    0x00003fff,0x4000bffb,0xfffffffe,0x7fec4002,0xd731bdff,0x003dffff,
    0xfffffb80,0xffecdfff,0xfb80005f,0xdfffffff,0x005fffec,0x3fff6200,
    0xcdffffff,0xfffffedc,0x3f6207ff,0x2fffffff,0x5ffffd50,0xfffa8800,
    0x0affffff,0x7fff4000,0xfd8dffff,0x001effff,0x03fff900,0xfff88000,
    0x4406ffff,0x00fffffb,0x4000bffb,0xfffffffe,0xffffe802,0xffd8dfff,
    0xfb01efff,0x7f4000bf,0x02ffffff,0xffffff88,0x00be603f,0x3ffe2000,
    0x8803ffff,0x002fffff,0x037ffc40,0x3fffaa00,0x7d44002f,0xffffffff,
    0x764c000a,0xffffffff,0x00002dff,0x3fffff66,0x01dfffff,0x3ff66000,
    0xffffffff,0xe880001d,0xffffffff,0xffffffff,0xffffffff,0x7ffff446,
    0xffffffff,0xffff92ef,0x403dffff,0xffffffe9,0x0fffffff,0x3ff62000,
    0x3ff64fff,0x004fffff,0x5dfffd50,0xfd880000,0xffffffff,0xfffedccd,
    0xea87ffff,0x4002ffff,0xffffffa8,0x2200afff,0x24fffffd,0xfffffffd,
    0x3ffffaa4,0x7fd44002,0xafffffff,0xffffb100,0x3205ffff,0xd8800006,
    0xffffffff,0xfffdca82,0xb0002fff,0x0019fffd,0x7ffffe40,0x2601efff,
    0xfffffffe,0x00ffffff,0x99975300,0x00000557,0xccccba88,0x000000aa,
    0x33332ea2,0x000000aa,0x00000000,0x00000000,0x40000000,0x00001bb8,
    0x02aaa600,0xffe88000,0xffffffff,0xffffffff,0x46ffffff,0xfffffffc,
    0x3fa601ef,0xffffffff,0x4400ffff,0x320001bb,0xffffffff,0x3ffa601e,
    0xffffffff,0xffd10fff,0xffffffff,0x0d45dfff,0xffe88000,0xffffffff,
    0x3312efff,0x01333333,0x026aaa00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55300000,0x55555555,0x00003555,0x00000000,
    0x00001754,0x00000000,0x44000088,0x0002aaaa,0x00035951,0x000e64c0,
    0x45500154,0x351001a8,0x0d5554c0,0x00031000,0x51000a98,0x00398001,
    0x003cc880,0x01555544,0x55555000,0x01530001,0x0a602a20,0x4000a980,
    0x0000bcb9,0x006f2e60,0x2aaaa200,0x00e60002,0x00e65400,0x3ffffff2,
    0x4fffffff,0x00000000,0x8800775c,0x009bdfda,0x554c4000,0xbb000abc,
    0x3ffb6a00,0xfd8001de,0x2002ffff,0xeffdffe9,0x7fc40001,0x09fb0006,
    0x7fc3fd88,0x80ff4c02,0x06fffff8,0xfffd9710,0xf10007df,0x0ffa803f,
    0x01ffb500,0x02ffc800,0x7ffffec0,0xffb80002,0x88003fff,0x7fd401ff,
    0x400efa80,0x7ec006fb,0x0002ffff,0x3fffffb8,0x7ffe4000,0x6d4003ff,
    0x440000ff,0xffc806ff,0xffffffff,0x00004fff,0x3fea0000,0x3fb200ff,
    0xefffffff,0x7ecc0002,0xffffffff,0x009f903e,0xff75dff9,0x7fcc005f,
    0x7006ffff,0x3fea7fff,0x3f60003f,0xff10001f,0x21bfa60b,0xff503ffb,
    0x7fffec09,0x7fd402ff,0xffffebce,0x2ffc8006,0x9807ff70,0x00fffffc,
    0x013fea00,0xffffff30,0xff88000d,0x000fffff,0xf702ffc8,0x0f7f407f,
    0x2001ffd8,0xffb8adfc,0x3be60000,0x002fea8b,0xffffff10,0xfff9300f,
    0xd80001ff,0xffc801ff,0xffffffff,0x00004fff,0x54000988,0xe982ffff,
    0xabfb8bff,0x004ffffd,0x677fff5c,0xfffea99a,0x1017ee3f,0xffb8dffd,
    0xfffd003f,0x9805ffff,0x7ffc7fff,0xffa8002f,0x7fe40004,0x0bffea0e,
    0x3f227ff4,0xfff300ff,0x220dffff,0xffd83ffd,0x7c4005ff,0x37fec3ff,
    0x3ff6f620,0xd10000ff,0xfe8001ff,0x02ffffff,0x3ffff200,0x88004fff,
    0x7fec3fff,0x0fffcc06,0x400bffd1,0x04fa86f8,0xf107fa00,0x3ff6000d,
    0x203fffff,0xffffdbd8,0x3fee0000,0x33331003,0x33333333,0xba800013,
    0xefffffec,0x3fa201cd,0x7ffd42ff,0xff98fee1,0xffb1007f,0x7d401bff,
    0x05fcefff,0xe82fffe8,0x7d400fff,0x6fffcfff,0x237fff40,0x000efffd,
    0x0003bfe2,0x71dfff10,0x7d40bfff,0xfffd8dff,0x37fffa03,0xfc83fffe,
    0xfff982ff,0x7dc003ff,0xfffe8cff,0x3ffe6002,0xff90000f,0xfffa8005,
    0x006fffcf,0xf9ffff30,0x70001fff,0xffd19fff,0xfffb005f,0x01ffff35,
    0x6f81fcc0,0x6c17e000,0x7fcc000f,0x0ffffcff,0x0ffff980,0x0dff1000,
    0x00000000,0x677fff44,0xffffca9a,0x3fff102e,0x2e2fffc4,0x03ffd43f,
    0x2fffffcc,0xfffffa80,0x7ffdc00f,0x0bfffb07,0xf50effe8,0x3fea07ff,
    0x7ffec5ff,0x3ff2003f,0xff900001,0x03ffffff,0xffffffe8,0x3ffea06f,
    0x81fffb14,0xf886ffff,0x4006ffff,0xfffffff8,0x7fcc005f,0xfa8000ff,
    0xffe8005f,0x07fff50e,0x23fffb00,0x8004fff9,0xfffffff8,0xfff3005f,
    0x009fffff,0x5f884f98,0x6c1be000,0xeffe8007,0x009fff51,0x001ffff3,
    0x0007ff60,0x164c072a,0xffff7000,0xffffa80b,0xffa99adf,0x21fffe43,
    0x07fa83fb,0x3fffffcc,0x3ffff600,0x3ffe202f,0xffff705f,0x037fee03,
    0x3ee0dff3,0x7fe45fff,0xff5004ff,0x7c400009,0x04ffffff,0xffffffa8,
    0x0bffa02f,0xffa8fff2,0x7fc42fff,0xb8007fff,0x1fffffff,0x7fffcc00,
    0x7ff44000,0x6ffdc000,0x003ffcc0,0xd103bfea,0xf70001ff,0x03ffffff,
    0x7ffffec0,0x7f8000ff,0x20004fb8,0x037c41fd,0x303bfea0,0xf9801fff,
    0xb8000fff,0xfd8003ff,0x7ffdc4ff,0x7ff4c006,0xff3005ff,0x9bddffff,
    0x8bfffd03,0x40fd03fb,0x4fffffe8,0x7fffc400,0xfff700ff,0x3ffee0bf,
    0x04ff882f,0x3f60ffa6,0x7fe44fff,0xff8806ff,0x5c00000e,0x00ffffff,
    0xdfffffd0,0x700ffdc0,0x3ffe61ff,0x7ffc42ff,0xff0007ff,0x0009ffff,
    0x001ffff3,0x4002ffc8,0x3a204ff8,0x37fa003f,0x00bfb100,0x3fffffa0,
    0x7ffc4004,0x70003fff,0x1ff937df,0x67fcc000,0x4001ffc9,0x3fa204ff,
    0x7fffcc04,0x37fc4000,0x7fffcc00,0x0fffffc7,0xfffff880,0x7ffdc006,
    0x7fc403ff,0x0fee0fff,0xfffb03dc,0xd0003fff,0x20bfffff,0x704ffffd,
    0xd709ffff,0x81fd1005,0x644ffffe,0xc806ffff,0x000001ff,0x007fffff,
    0x0fffffcc,0xf5001bb0,0x437ffec9,0x07fffff8,0xfffff700,0xfff30001,
    0x7fcc001f,0x02eb8005,0xa800fe88,0x03fb003e,0xfffff700,0xfff90001,
    0xfb8000df,0x0001efff,0x2fffffa8,0x401f5400,0x3e600fd8,0x6c000fff,
    0xfa8001ff,0xff11ffff,0x36007fff,0x002fffff,0x7fffffc4,0x3fffe200,
    0x207f70ef,0xffff5078,0xfb000bff,0x05ffffff,0x99dffffd,0xffffb999,
    0x6c00000b,0x7e44ffff,0x7d405fff,0x0000004f,0x00000000,0xa81b8800,
    0x07fffffe,0x98000000,0x1000ffff,0x00001ffd,0x00000000,0x00000000,
    0xa8800000,0x4400002b,0x00000aba,0xfff30000,0x7fdc001f,0x3ffe0003,
    0x7fffec6f,0xffffb800,0xfc8000ff,0x7c05ffff,0xbaffffff,0xffd8003f,
    0x4002ffff,0xfffffdfc,0x7fffc0ff,0xffffffff,0x2006ffff,0x3ff20018,
    0x7ffec5ff,0x3bfa204f,0x88000000,0x40220000,0x01008800,0x3ffbfaa0,
    0x00007fff,0xfff98000,0x5ff9000f,0x03100000,0x00000000,0x00001300,
    0x10000062,0x00000003,0x00130000,0x00ffff98,0x000dff10,0x4c1dfda8,
    0xf8802efd,0x005fffff,0xffffff50,0x7ffff407,0x003fefff,0x7fffffc4,
    0x57ee001f,0x3fffffff,0x17ffffe2,0xfecb8000,0x2a00cfff,0x7ec5ffff,
    0x3f202fff,0x2000002f,0x1deffeda,0xefffd880,0xb104d8ac,0xb159dfff,
    0xcffe9809,0x07fffff8,0x99999995,0xcccccc87,0x3fe601cc,0xff9800ff,
    0xcb880005,0x03effffe,0x66666654,0x6666643c,0x95001ccc,0x01bffffb,
    0x3ffb2e20,0x44003eff,0xeffffecb,0x66665403,0x66643ccc,0x001ccccc,
    0xbffffb95,0xffff3001,0x07ff6001,0x00000000,0x3ffffffa,0xfff10002,
    0x2601ffff,0xffffffff,0x7fdc004f,0x001fffff,0x3ff61df3,0x3e64ffff,
    0x0007ffff,0xadfffd88,0x3a04fffd,0x7ff46fff,0x13fea06f,0xffc80000,
    0x02fffbae,0x3afbffe6,0xf984ffff,0xfffebeff,0xfffb104f,0x3ffffe27,
    0xffff9307,0xffea8bff,0x2602ffff,0xe800ffff,0x540000ff,0xffebceff,
    0x3f2606ff,0x545fffff,0x2ffffffe,0xdbfffc80,0x5403ffff,0xffebceff,
    0xff5006ff,0xffffd79d,0x7ffe4c0d,0x7f545fff,0x802fffff,0xffdbfffc,
    0x7fcc03ff,0xffa800ff,0x00000004,0xfffff980,0x3e0000ff,0x03ffffff,
    0x3ffffff6,0xb000dfff,0x1fffffff,0x641ff300,0x26ffffff,0x0ffffff8,
    0x3ffa6000,0x6fffec1f,0x47fff980,0xd101ffff,0x000001df,0xfb8dffd1,
    0xfff883ff,0x227fecc5,0x6cc5fff8,0xffe984ff,0x3fffe22f,0x7ffe407f,
    0xffff05ff,0x7fcc05ff,0x7fe400ff,0x3f620002,0xffffd83f,0x7fffe405,
    0xfffff05f,0xeffd805f,0x0fffffe0,0x360fff62,0x2205ffff,0xffd83ffd,
    0x7fe405ff,0xfff05fff,0xfd805fff,0x3fffe0ef,0x3ffe603f,0x37fc400f,
    0x66665400,0x66643ccc,0xa81ccccc,0x0fffffff,0x3fff6000,0x7e405fff,
    0xffffffff,0xfffe802f,0xe8807fff,0x7fffe41f,0x7fffc7ff,0xf10001ff,
    0xff10bfff,0x3fee0bff,0x05fff53f,0x00017fe4,0x82fffe80,0x7e40fffe,
    0x8bfd02ff,0xfd02fffc,0x4ffffa8b,0x3fffffc4,0x3ffffee0,0xfffffd05,
    0x7fffd405,0x017fe600,0x05fff900,0x07fffff3,0x2fffffdc,0x2fffffe8,
    0x90bfffa0,0xf90fffff,0xfff305ff,0x3ff207ff,0xffff982f,0x3ffee03f,
    0xfffd05ff,0x7ff405ff,0x7fffe42f,0x3fffea07,0x00ffec00,0x7fffe4c0,
    0x7ff545ff,0xfc82ffff,0x007fffff,0x7ffffe40,0xfffc806f,0x5fffffff,
    0x7fffffc0,0x82fe807f,0xfffffffc,0x3fffffa0,0xfff90005,0x3fffa07f,
    0xbffd102f,0x7cc01bff,0x7000004f,0x3f60ffff,0x7fffc5ff,0xff8bf105,
    0x4bf105ff,0x42fffff8,0x07fffff8,0x2fffffd4,0x2fffffd8,0xffffeba8,
    0x0ffe81ad,0x7fffc000,0xfffff886,0x3fffea06,0xffffb05f,0x3ffee05f,
    0xfffffa87,0x437fffc1,0x06fffff8,0xf10dffff,0x540dffff,0xb05fffff,
    0x205fffff,0xfa87fffb,0x5d41ffff,0x1adffffe,0x0004ffa8,0x2fffffe4,
    0x2ffffff8,0xffffffd8,0x7fe40007,0x5007ffff,0xffffffff,0xff101dff,
    0x80dfffff,0xfff703fd,0x7dc5ffff,0x402fffff,0x3fffe25a,0xffff902f,
    0x0035300d,0x4401ffd1,0x400acdca,0x705ffff8,0x3e23ffff,0xb905ffff,
    0x2fffffc4,0x3fff25c8,0x7ffc41ff,0x7fd407ff,0xffb05fff,0x55505fff,
    0x83555555,0xb7102ffc,0xfff5019b,0xfff885ff,0x3fea07ff,0xffb05fff,
    0x3fa05fff,0xfff986ff,0x3ffea1ff,0x7ffc42ff,0xfffa87ff,0x7ffc42ff,
    0x3fea07ff,0xffb05fff,0x3fa05fff,0xfff986ff,0x555541ff,0x441aaaaa,
    0xdb1006ff,0xfffffb83,0xfffffd05,0xffffff05,0xfb8000df,0x01ffffff,
    0xfffffb10,0x881dffff,0x5fffffff,0xfb813f20,0x22ffffff,0xeffffff8,
    0x7e43f300,0xf901ffff,0x0000ffff,0x2a02ffc8,0x3ffebeff,0x17fffee0,
    0x897fffdc,0x0effffff,0xffff1244,0x24881dff,0x44fffffe,0x0ffffffb,
    0x3ffffea0,0xfffffb05,0xff300005,0x3ffff60b,0x7ffcc3ff,0x7ffc42ff,
    0x3fea07ff,0xffb05fff,0xff705fff,0x3ff60bff,0x7fffcc6f,0x7fffc42f,
    0xffff987f,0x7fffc42f,0x3ffea07f,0xfffb05ff,0xfff705ff,0x3fff60bf,
    0xffb00006,0x0bffa003,0x0bfffff5,0x0bfffff6,0xfffffff1,0xffb8000b,
    0x002fffff,0x7fffffd4,0xfff85fff,0xf706ffff,0xffffb80b,0x7fe41fff,
    0x541effff,0x7ffff45e,0xffff901f,0x2600003f,0x3ff204ff,0x0dfff32f,
    0x413ffff6,0x3e4ffffb,0x3fffffff,0x7fffffc0,0x3ffa03ff,0xffbdffff,
    0x10ffffff,0xbfffff50,0x3fffff60,0xffe80002,0xfffffb80,0x7fec2fff,
    0xffff886f,0x3ffea07f,0xfffb05ff,0xfffb05ff,0x0564c0bf,0x4437ffec,
    0xb07fffff,0xff10dfff,0x7d40ffff,0xfb05ffff,0xfb05ffff,0x64c0bfff,
    0xfa80000a,0xfffb004f,0xfffffa85,0xfffffb05,0xfffff885,0x5c0005ff,
    0x2fffffff,0xffffb800,0x6c1fffff,0x87ffffff,0xffc806fa,0x440fffff,
    0xfffffffe,0x7c0effef,0x700fffff,0x007fffff,0x01ffd100,0xfd1fffea,
    0xfffd07ff,0xb99999df,0x7e4bffff,0x5fffffff,0x3fffff20,0xff705fff,
    0x3dffffff,0xdbfffffd,0xfffff507,0x3ffff60b,0x7e40002f,0x99bf982f,
    0x885ffffd,0xfffea81b,0x3fea07ff,0xffb05fff,0xffd05fff,0x88000dff,
    0xfffea81b,0x06e207ff,0x3fffffaa,0x3fffea07,0xffffb05f,0xffffd05f,
    0x2000000d,0xf7006ff8,0xffa85fff,0xffb05fff,0xfff05fff,0x000dffff,
    0xffffffb8,0xefb8001f,0x5fffffff,0x7fffffdc,0x40077cc7,0x7ffffffc,
    0x3fffff60,0x440effff,0x00ffffff,0x0bfffff7,0x05ff9000,0x3637fff4,
    0x7fc1ffff,0xffffffff,0x26ffffff,0xfffffff8,0xff881eff,0xefffffff,
    0x7ffffc41,0x3ffea4ff,0xff503fff,0x3f60bfff,0x0002ffff,0x15c17fe6,
    0x802ffff4,0xffffefea,0x3ffea07f,0xfffb05ff,0xffff05ff,0x500000ff,
    0xfffffdfd,0xefea800f,0x207fffff,0x05fffffa,0x05fffffb,0x00ffffff,
    0x3ff60000,0xffffa801,0x7fffd42f,0xffffb05f,0xffffd05f,0xc8000fff,
    0x0fffffff,0xfabfb800,0x546fffff,0x0fffffff,0x36003ff1,0x06ffffff,
    0x7fffffe4,0xfff980cf,0xff700fff,0x8000dfff,0x3ea05ff9,0x7fe45fff,
    0x3ffe24ff,0x260005ff,0xffffffff,0xfff980ff,0x0fffffff,0x0efffe4c,
    0x01f7ff64,0x0bfffff5,0x0bfffff6,0x00ffe800,0x017ffdc0,0x3e33ffa6,
    0x2a07ffff,0xb05fffff,0x985fffff,0x00ffffff,0x9ffd3000,0x0ffffff1,
    0x233ffa60,0x207fffff,0x05fffffa,0x85fffffb,0x0ffffff9,0x7d400000,
    0xccf9804f,0x7fd42fff,0xffb05fff,0xffb05fff,0x000fffff,0xffffffc8,
    0x3fb80107,0x8ffffff5,0xfffffff8,0x2001fe89,0x3ffffffe,0x159ff300,
    0x7ffffcc0,0xffff900f,0xfe8000df,0x3ffee00f,0x7fffdc5f,0x3ffffe65,
    0x7f4c0007,0x6fffffff,0xfffffd30,0x0220dfff,0x5003fd30,0x20bfffff,
    0x02fffffd,0x005ff900,0x201fff90,0xf13fffd8,0x540fffff,0xb05fffff,
    0x985fffff,0x01ffffff,0x7ffec400,0xffffff13,0x3fffd880,0x0ffffff1,
    0x2fffffd4,0x2fffffd8,0x7fffffcc,0x22000001,0x5f8806ff,0xfa85fff9,
    0xfb05ffff,0xf705ffff,0x01ffffff,0x7fffec00,0x405b06ff,0x3fff23fb,
    0xffffe87f,0x002fdaff,0x3fffffe2,0x5fe9800f,0xfffff100,0x3fff201f,
    0x320005ff,0x7fe402ff,0x7ffdc5ff,0x3fffe26f,0x440000ff,0xfffffffd,
    0xfffb101f,0x003fffff,0x2005ff70,0x05fffffa,0x05fffffb,0x00bff300,
    0x4c13ffa0,0x3e22fffe,0x2a07ffff,0xb05fffff,0xf05fffff,0x007fffff,
    0x17fff4c0,0x0ffffff1,0x117fff4c,0x40ffffff,0x05fffffa,0x05fffffb,
    0x07ffffff,0x7fec0000,0xc8774401,0x7fd42fff,0xffb05fff,0xff505fff,
    0x003fffff,0x7fffff40,0x5c0bb03f,0x3fffe63f,0xfffffa86,0x54004fff,
    0x04ffffff,0x4005ffd0,0x00ffffff,0x09fffff9,0x017fe600,0x717ffff6,
    0xff8fffff,0x0001ffff,0xffffff70,0xfffb809f,0x4004ffff,0x2a007ff9,
    0xb05fffff,0x005fffff,0x0001ffd0,0x3ea0bff3,0x7fc44fff,0x3ea07fff,
    0xfb05ffff,0xfd05ffff,0x000bffff,0x113fffea,0x20ffffff,0x444ffffa,
    0x207fffff,0x05fffffa,0x05fffffb,0x0bfffffd,0x3fea0000,0x320fd804,
    0x7fd42fff,0xffb05fff,0x3fa05fff,0x002fffff,0xffffff10,0x403f601f,
    0x7fffc3fb,0xfffffd05,0xffb000bf,0x1001ffff,0x6c007fff,0x901fffff,
    0x005fffff,0x2003ffa0,0x5c5ffffc,0x7f45ffff,0x8005ffff,0xffffd305,
    0xfe982cdf,0x4006ffff,0x2a007ffc,0xb05fffff,0x005fffff,0x0002ffc8,
    0xff101dfb,0xff885fff,0x3ea07fff,0xfb05ffff,0xfb05ffff,0x003fffff,
    0x2fffff88,0x3fffffc4,0x17ffffc4,0x1fffffe2,0x5fffffa8,0x5fffffb0,
    0xffffffb0,0xf8800003,0x41fc806f,0x7d42fffc,0xfb05ffff,0x2605ffff,
    0x05ffffff,0xfffff500,0x81fec07f,0x3ffe23fb,0xffff302f,0xf88005ff,
    0x002fffff,0x400bfff7,0x01fffffa,0x01fffffb,0x005ff900,0x91bfffea,
    0xfb89ffff,0x402fffff,0x7440fa5a,0x0fa5ffff,0x2fffff44,0x0bfffa00,
    0x7ffffcc0,0xfffffb06,0x2ffcc005,0x00efc800,0x83fffff9,0x07fffff8,
    0x1bffffe6,0x17ffffec,0x7fffffdc,0x3ff20805,0x7fc41fff,0xffc87fff,
    0x7fc41fff,0x3e607fff,0xfb06ffff,0xf705ffff,0x00bfffff,0x0ffec001,
    0x3bbbfe20,0x25effffe,0x05fffffa,0x05fffffb,0x7fffffec,0xfffc8000,
    0x7fec06ff,0x3ea3fb82,0x7fd405ff,0x64006fff,0x004fffff,0x007fffee,
    0x02ffffe8,0x007ffffd,0x400bff30,0x646ffff8,0x7c42ffff,0x00efffff,
    0x303743f3,0x3747ffff,0x07ffff30,0x06fffe80,0xdfffff30,0xffffff50,
    0x07ff4005,0x542fd400,0x9fffffd2,0xffffffb8,0xfffff300,0xfffff50d,
    0x3fffa05f,0x97203fff,0x44fffffe,0x0ffffffb,0x27fffff4,0x3fffffee,
    0xfffff300,0xfffff50d,0x3fffa05f,0x17203fff,0x4027fd40,0xfffffff8,
    0x3ea7ffff,0xfb05ffff,0x4405ffff,0x03ffffff,0x7ffffc40,0x7ffec03f,
    0xfe89fdc2,0xffb800ef,0xf3004fff,0x8009ffff,0x02fffff9,0x09ffff50,
    0x003ffffe,0x0003ffa0,0xfd8ffff9,0xfff905ff,0xea83dfff,0xfd02fec5,
    0x02fec3ff,0x8003fffd,0x00effffc,0x0ffffff8,0x3fffffe6,0x5ff9003f,
    0x33df3000,0x3fa7f733,0xfbdfffff,0x0fffffff,0xffffff01,0x7ffffcc1,
    0xfff503ff,0x215bffff,0x3ffa0fd9,0xffbdffff,0x10ffffff,0x3ffffffa,
    0xffffffbd,0xfff010ff,0x7fcc1fff,0x503fffff,0xbfffffff,0x003f6615,
    0x4401bfe2,0xfecccccc,0x3fe64dff,0xffb06fff,0xfb805fff,0x4007ffff,
    0x04fffffb,0xbeffffd8,0xfffcbfb9,0xffe8800d,0x4c03ffff,0x002fffff,
    0xbfffff90,0x7fe40137,0x7ffdc0ff,0xffc8001f,0xfffd0002,0x03fffe23,
    0x7fffff44,0x0effefff,0x7c427fec,0x27fec5ff,0x002fffc4,0x7fffffc4,
    0xfff900ac,0xddf97dff,0x009fffff,0x3000bff3,0xffffffff,0x3fffee3f,
    0xfe9effff,0x83edffff,0xbefffffc,0xffffeefc,0x3fff604f,0xffffffff,
    0x7fffdc2f,0xfe9effff,0x73edffff,0xffffffff,0xfffffd3d,0xfff907db,
    0xddf97dff,0x409fffff,0xfffffffd,0x002fffff,0x00003ffb,0xf985fff9,
    0xfa86ffff,0x802fffff,0x03fffffb,0x9fffff30,0x3ff6a200,0xffffffff,
    0x3fd1002d,0x9dfffd71,0x3fff2623,0x6c0000df,0x4fffffff,0x8efffdc0,
    0x000efffa,0x0005ff98,0x3237ff62,0xfd801eff,0xffffffff,0xefffd80e,
    0x86ffd98a,0x98aefffd,0x20006ffd,0xfffffff9,0xffffd01f,0xffb1bfff,
    0xe803dfff,0x7cc000ff,0xffffffff,0x3ffffe27,0x3ffea4ff,0x3fa03fff,
    0x8dffffff,0x1efffffd,0x3fffff20,0x882fffff,0x4fffffff,0x3fffffea,
    0x3ffffe23,0x3ffea4ff,0x3fa03fff,0x8dffffff,0x1efffffd,0x3fffff20,
    0x002fffff,0x00009ff5,0x3e0bfff2,0x260fffff,0x3fffffff,0xfffff500,
    0xffff9809,0x2a60004f,0x001dfdba,0xfea82fd8,0xffffffff,0x200000be,
    0x03efffea,0xfffffd30,0x20001bff,0x80000ffe,0x04efffeb,0x7ffffe40,
    0x9f900cff,0xbffffffb,0xffb9f901,0x001bffff,0xfffec880,0x3ff6201d,
    0x3ff64fff,0x904fffff,0xe88005ff,0xffffffff,0x7ffe4c6f,0xeffec81d,
    0x7ffec403,0x3fff64ff,0x2a04ffff,0xbeffffff,0x3fff2601,0xeffec81d,
    0xdfffc983,0x3effec81,0x7fffec40,0x3ffff64f,0x3ea04fff,0x1befffff,
    0x00dff100,0x17ffe400,0x77ffffe4,0xfffeefcb,0x362004ff,0x11bdffff,
    0x3dffff93,0x3fb80000,0x803fb800,0x1abccba9,0x01800000,0x0565cc00,
    0x02662000,0x00060000,0x02af2a20,0x1bb98350,0x2ee60d40,0x11000001,
    0x01bb8800,0x00aaa000,0x04400000,0x44000880,0x000001bb,0x80015951,
    0x00110008,0x00220011,0x00037710,0x02b2a200,0x006aa600,0x3fa00000,
    0x8dffffff,0x1efffffd,0x7ff64c00,0xffffffff,0x7000002d,0x00e0007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff620,0x3ffff64f,0x30004fff,0x55799975,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8800000,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x15555440,0xaa880000,
    0x2a6002aa,0x00153000,0x40000351,0x0a881cca,0x20035100,0x00009aa8,
    0xffffff30,0x2002a803,0xba98002a,0x0000000a,0x00037500,0x0000b322,
    0x26600000,0x26000001,0x0009acba,0x7fffff44,0x54c00003,0x01500abc,
    0xbba98800,0x4000009a,0x88000400,0x39100c01,0x00012a00,0x55795310,
    0x0000b803,0xfffff900,0xfd000005,0x2001ffff,0x7d401ef9,0x7fff5c07,
    0x220000cf,0x3ff106ff,0x200ff980,0xfffffeb9,0x7dc0000c,0xd801ffff,
    0x1fec404f,0xfffff700,0x500003df,0xdddddddd,0x4ffffb87,0x02ffb800,
    0x002efd98,0x3fb72a00,0xbcdeffff,0x3fea0000,0x1effffff,0x3fffa200,
    0xc880006f,0xefffffff,0x20007a0a,0xfffffeb8,0x0002efff,0x2a067f5c,
    0xf7001dfe,0xf9817dff,0x3003fe01,0xb88000df,0xffffffed,0x7cc1cfff,
    0xf9800000,0x006fffff,0x7fffd400,0x3f2005ff,0x05ff901f,0x7fffffdc,
    0x3f60004f,0x0bfee01f,0xf9027fd4,0xfff517ff,0x7f40007f,0xf1001fff,
    0x1bfa60bf,0x7ffffcc0,0x003fffff,0xffffb980,0x3ffe24ff,0x6c004fff,
    0xfffd007f,0xe980003f,0xa9bdffff,0x02fffffc,0x88eff440,0x05fffffd,
    0x3ffffa20,0x3fea0000,0xfca889cf,0x001fddff,0x37bfff22,0xffedcbac,
    0xff98004f,0x7fffc4ff,0xffffc806,0xfe9adfff,0x02bbf600,0x80017fa6,
    0xacfffffb,0xfffcba99,0x000ffbcf,0xffffd800,0x00003fff,0x3ffffffe,
    0xfff1001f,0x037fec45,0xffb315f3,0xf70001ff,0x9fff007f,0xb00fffc8,
    0xffc85fff,0xf98004ff,0x64002fff,0x3fea0dff,0xfff9802f,0xffffffff,
    0xfb00002f,0x7dc9ffff,0x00ffffff,0x500bff10,0x009fffff,0x2ffffdc0,
    0x37fffea0,0x20ffd000,0x04fffffd,0x0ffffa20,0x17ffd400,0x3ffffb10,
    0x33ffa600,0xeffd9801,0x3fff2001,0x3fffea7f,0x3ffe201f,0xffffffff,
    0x7ffd407f,0xffffeeff,0xffe98002,0x64400dff,0x00ffffff,0x7ffd4000,
    0x007fffcf,0xbdfff700,0x6400bfff,0xffe8bfff,0xf103201f,0x88001fff,
    0xff7006ff,0x7fffb1bf,0x03fffee0,0x05fffff1,0x02fffb80,0x8efff880,
    0x9805fffb,0xffffffff,0x007fffff,0xfffff900,0x7ffffe49,0xff5002ff,
    0xffff5005,0xfd3000bf,0x3001dfff,0x807fffff,0xf981fffc,0x001fffff,
    0x001bffe2,0x401bffe2,0xb801fffb,0x88000dff,0xf7003ffd,0x7fc4dfff,
    0x3f200fff,0xffffffff,0xfd803fff,0xffffffff,0xfffb8005,0x744003ff,
    0x0000ffff,0xa8f7ff40,0x40003fff,0xf70dfff8,0x3e2003ff,0x5fffffff,
    0x0bffd000,0x003ffb00,0x7ffffff4,0xffff306f,0x3ffff20f,0x3ffa000f,
    0x3ff20002,0x01ffffff,0x3661cfe8,0x1fffffff,0xfffb8000,0x3ffe24ff,
    0xb003ffff,0x3fe001ff,0x44001fff,0x00ffffff,0x3ffffee0,0x13fffa03,
    0x27fffff4,0x03ffe600,0x05fffd00,0x200ffec0,0x80002ffb,0xff002ffb,
    0xfffd85ff,0xc987ec04,0x05ffffff,0xfffffd10,0xd8001dff,0x004fffff,
    0x01fffd10,0x6ffdc000,0x007ffcc0,0x509ffb00,0x7e400dff,0x00ffffff,
    0x004ffa80,0x4003ffb8,0xfffffffa,0xdffff702,0x3ffffee0,0x07ff3004,
    0xffff8800,0xfa804fff,0x3ffff201,0xb80003ff,0x644fffff,0x03ffffff,
    0x5400bff0,0xd8003ffe,0x002fffff,0x7fffffc4,0x6ffff880,0xdfffffb0,
    0x07ff3000,0x0ffffc40,0x405fd100,0x00001ff9,0x54007fe6,0x0039300b,
    0x37b2a079,0xfffc8003,0xfa8004ff,0x0006ffff,0x0007ffcc,0x204ff880,
    0x30004fe8,0x7fcc07ff,0xffff1002,0xb88009ff,0x2001efff,0xd0006ff8,
    0x40bfffff,0x505ffffd,0x00ffffff,0x40000faa,0x0ffffffb,0xfe801e80,
    0x0002ffff,0x4fffffb8,0x2ff99a88,0x003ff980,0xff700018,0x0001ffff,
    0x0bfffff9,0x01fffff1,0x0ffffff9,0x8013a600,0x003ffffa,0xff8817d4,
    0xffffff52,0x039ddfff,0x00001bee,0x00000000,0x0004d4c4,0x7fffffc4,
    0xffa80003,0x7d500000,0x001fb100,0xd3003d90,0x7ffdc00d,0x3a2000ff,
    0x01ffffff,0x0003ffb0,0x07ffffea,0x06fffff8,0x5ffffff3,0x10000000,
    0x007fffff,0xffffc800,0xfb80000f,0x5404ffff,0xffc801ff,0x30000000,
    0x0bffffff,0x3fffea00,0xfffd83ff,0xfffffb06,0x4000000b,0x01fffffb,
    0x7ec0be20,0x37fff444,0x20bfffd3,0x000004fd,0x00000000,0xfffb0000,
    0x00001fff,0x000003fa,0x00000000,0x00000000,0xbffffb30,0x007ff700,
    0x7fc40000,0xff106fff,0x8009ffff,0x00000009,0xfff70000,0x703000bf,
    0x809fffff,0xdff005fd,0x0004c000,0x7ffffffd,0x3ffe2000,0x6440ffff,
    0xfffd01df,0x000005ff,0x7ffffdc0,0x20b6001f,0xfff907f8,0x4ffff88d,
    0x88007f88,0x0c400001,0x00620000,0x3ffffee0,0x2a00005f,0x0000000f,
    0x44000000,0x03100000,0x3fff2000,0x1bfe200f,0xf5000000,0x7c0fffff,
    0x405fffff,0xdffffdca,0x00000000,0x3bfff600,0xfff95000,0x3fffee3b,
    0x00ffc04f,0x5001ffcc,0x1bffffb9,0x7ffffcc0,0x3a0000ff,0x03ffffff,
    0xffffff00,0x66666541,0x666643cc,0x7cc1cccc,0x0cffffff,0x4fb80980,
    0xb0dfff70,0x3f60ffff,0xffecb802,0xb8000cff,0x0cffffec,0x3fb2e200,
    0xf003efff,0x07ffffff,0x800e8000,0xccccccca,0x999933cc,0x41999999,
    0x00cccccc,0x6f7ff6d4,0x7f65c001,0x0000cfff,0xd80ffff1,0x990001ff,
    0x05999999,0x1fffffee,0x6fffffe8,0x36ffff20,0x3203ffff,0xcccccccc,
    0xcccccccc,0xdfff0000,0xffff5001,0xff77ffff,0x7dc09fff,0x03ff9004,
    0x36ffff20,0xf503ffff,0x01ffffff,0x7fffec00,0xf98005ff,0x64c4ffff,
    0x45ffffff,0xffffffea,0xffffff82,0x8000bfff,0xfff700fe,0x3ffff70d,
    0x6c40df30,0xffdadfff,0xffb1004f,0x9fffb5bf,0x79dff500,0x80dffffd,
    0xfffffff9,0x00000002,0xffffffd3,0x3ff2237f,0x42dfffff,0x403fffda,
    0xffbaeffc,0xffd8802f,0x4fffdadf,0x0bff9000,0x00027fd4,0xffffffb5,
    0x3fffea09,0xfffb00ff,0x3ff60fff,0x3ffffe0e,0xdfffff03,0xffffdddd,
    0x90001fff,0xf5001dff,0x36a3ffff,0x4fffffff,0x74009f50,0xdffb006f,
    0x1fffffc1,0x7fffffe4,0x7fe40007,0x8006ffff,0x205ffffd,0x05fffffc,
    0x05ffffff,0xfffffffb,0x4c007fff,0x3ffee05f,0x0ffffc86,0xfd301fd0,
    0xfffd83ff,0x3ffa600d,0x6fffec1f,0x83ffd880,0x205ffffd,0xfffffffa,
    0x00000001,0x3fffffec,0xffffffb8,0x403ff102,0x7dc6ffe8,0x3fa603ff,
    0x7ffec1ff,0xa80bb80d,0xdff101ff,0x3ffa0000,0xff104fff,0x3603ffff,
    0xe86fffff,0x7fe42fff,0x1dff07ff,0x3fffff20,0xffb8002f,0x7fc404ff,
    0xffd83fff,0x6c44ffff,0x3fe2003f,0x2fffe804,0x43ffffe4,0x7ffffffd,
    0x7ffe4000,0x44007fff,0x5c04ffff,0xd05fffff,0x105fffff,0xffffffff,
    0x5005dfff,0x7ffdc09f,0x05ffff86,0xfff107f6,0xffff10bf,0x3fffe20b,
    0x5ffff885,0x982fffc8,0x903fffff,0x1fffffff,0x80000000,0x1ffffff9,
    0x9fffffd0,0xfd013e20,0xfffd05ff,0xbffff101,0x8bffff10,0x3a0bfffb,
    0x07ff603f,0x7ffec000,0x3ffe04ff,0xffd04fff,0xffb8bfff,0xffffa87f,
    0x2606f81f,0x05ffffff,0x7fffed40,0xff900eff,0x3fa20fff,0x1f44ffff,
    0x00ffdc00,0x2a1fffee,0x7c1fffff,0x06ffffff,0x7fffe400,0x32001fff,
    0xfa802fff,0xfb05ffff,0x2605ffff,0xffffffff,0x201effff,0x3fee03fb,
    0x7fffdc6f,0xf90bf202,0x3fa07fff,0xffc82fff,0xfffd03ff,0x6ffff85f,
    0x6fffff88,0xffffffb0,0x0000000f,0x3fffff60,0xfffff704,0xb807ea0f,
    0xffb07fff,0xffff90bf,0x3ffffa07,0x3ffffe62,0x3ea01efd,0x3200004f,
    0x204fffff,0x07fffffc,0x89fffffd,0xf986fffe,0x3f81ffff,0x3fffffa0,
    0xfff3001f,0xffffffff,0xfffff883,0x3fffee04,0xfd00004f,0xdfffd00f,
    0x3fffff30,0x7fffffc4,0x7dc0005f,0x02ffffff,0x003dff10,0x17ffffea,
    0x17ffffec,0xffffff50,0x7fffffff,0xfb80bf20,0xffebafff,0x1fdc00df,
    0x05fffff1,0x11bffff2,0x205fffff,0x2a6ffffc,0x442fffff,0xf07fffff,
    0x0dffffff,0x20000000,0x07fffffa,0x5ffffffd,0x7fc40d90,0xfff705ff,
    0x7fffc43f,0xffff902f,0xacccb88d,0x037fc401,0x3201ed88,0x204fffff,
    0x2ffffff8,0x3fffffe8,0x417fffee,0x1f06fffd,0x3ffffee0,0x7ed4004f,
    0xffffffff,0x7ffffcc6,0x3fffee03,0xf880004f,0x7ffdc04f,0xdfffb05f,
    0xffffff88,0x7dc0005f,0x02ffffff,0xa800bf70,0xb05fffff,0x805fffff,
    0xffffffe9,0x84ffffff,0x3fee02fc,0x4ffffcff,0x7e47f700,0xf901ffff,
    0xffc8ffff,0xff901fff,0x7ffccfff,0x7ffc42ff,0xfff887ff,0x0006ffff,
    0x3fa00000,0x7c42ffff,0x85fffffe,0x3ffee03f,0xffff705f,0x7ffffe45,
    0xfffff901,0x3ff60000,0x05ffd001,0x27ffffe4,0x3ffffee0,0xfffda9bf,
    0x3ff62fff,0x2b2605ff,0x3fe20500,0x000fffff,0xfffff910,0x7fdc7fff,
    0x3ee02fff,0x0004ffff,0x6c02ffb8,0x2605ffff,0xffff80ac,0x40006fff,
    0xfffffffb,0x000bd001,0x0bfffff5,0x0bfffff6,0x7ffffe40,0x4fffffff,
    0xff701fdc,0x3ffff2df,0x3a2fc800,0x901fffff,0x743fffff,0x901fffff,
    0x6c3fffff,0xff886fff,0xfff07fff,0x000dffff,0x7dc00000,0x7dc5ffff,
    0x0ffffffa,0xffd807ea,0xfff704ff,0x7ffff49f,0xffff901f,0xfa80003f,
    0xfffb004f,0x7fffe405,0xfffa804f,0xffffffff,0x7ff47fff,0x000006ff,
    0x5ffffff9,0xfff50000,0x7e4bffff,0x2e02ffff,0x004fffff,0xe807fd80,
    0x0006ffff,0x3ffffffa,0x7fe40007,0x000fffff,0xff50005f,0x3f60bfff,
    0x2002ffff,0xffffffc8,0x2a0fffff,0x3ffee04f,0x09ffff16,0x7ffc3fb0,
    0xff700fff,0x7ffc7fff,0xff700fff,0x1b887fff,0xfffffea8,0xffffff07,
    0x665c00ff,0xcccccccc,0xf1002ccc,0x741fffff,0x5ffffff4,0x3ffa036c,
    0xccccceff,0x3e5ffffd,0x700fffff,0x007fffff,0x8037fc40,0x202ffffb,
    0x04fffffc,0xdfffd910,0x9fffff97,0x07fffff8,0xfff98000,0x00005fff,
    0x3fffffe6,0x3fffffa6,0x3fffee02,0x7c40004f,0xffff805f,0x3f60007f,
    0x007fffff,0x7ffffe40,0x01f1007f,0xfffff500,0x3ffff60b,0xfd98002f,
    0xffffffff,0xfb817e65,0x3ffee6ff,0x887f400f,0x00ffffff,0x2bfffff7,
    0x0ffffff8,0xbfffff70,0xffdfd500,0x3fa0ffff,0x007fffff,0x3ffff2a2,
    0x1bdfffff,0x3ffffa00,0x3f23f33f,0x7f15ffff,0xffffff80,0xffffffff,
    0xffff16ff,0x3fee01ff,0x20005fff,0xfa801ffd,0x3202ffff,0x004fffff,
    0xffffe830,0x3fffe61f,0x400000ff,0x1ffffffe,0x7fdc0000,0x3ffe7fff,
    0x3ee01fff,0x0004ffff,0x26017fd4,0x00ffffff,0xfffff700,0x6c0001ff,
    0x06ffffff,0x2a000d10,0xb05fffff,0xa85fffff,0xfffd3000,0xff8fffff,
    0x8dfff700,0x2605fffe,0x3fffe66f,0xfff700ff,0x3ffe6dff,0xff700fff,
    0x74c0dfff,0xffff8cff,0xffff907f,0x70001fff,0x9fffffff,0x3ffee000,
    0x7ccd96ff,0xfa8fffff,0x3fffe200,0xff98005f,0xf700ffff,0x000dffff,
    0x26013fea,0x02fffccf,0x13fffff2,0x3ffe6000,0x7ffcc6ff,0x00001fff,
    0x3fffffee,0xfd000004,0x3fe2bfff,0x2e02ffff,0x004fffff,0x2007fec0,
    0x1ffffff9,0xffff5000,0x40003fff,0x3ffffffe,0x54000200,0xb05fffff,
    0xc85fffff,0x7ffdc003,0x3f20ffff,0x8ffff903,0x901ffffa,0x7fffcc7f,
    0xfff900ff,0x3ffe6dff,0xff900fff,0xfb10dfff,0x3ffe27ff,0xfff307ff,
    0x0003ffff,0xfffffff1,0x3fe20003,0x43f9ffff,0xdbfffffe,0x7fffcc05,
    0xff98007f,0xf900ffff,0x000dffff,0xf100dff1,0x80bfff2b,0x04fffffc,
    0xffffc800,0xfffff81f,0xf100003f,0x01ffffff,0x3fee0000,0x3fffe4ff,
    0x3fee02ff,0x40004fff,0xfff005ff,0x40007fff,0x2ffffffe,0xffff1000,
    0x00001fff,0xfffff500,0x3ffff60b,0x4003642f,0x1ffffffa,0x7fec1be2,
    0xefffe87f,0xf107fc40,0x201fffff,0x15fffffc,0x01ffffff,0x17fffff2,
    0x445fffd3,0x207fffff,0x3ffffffe,0xfffff000,0x6c0003ff,0x0fefffff,
    0x77ffffdc,0x7ffc403f,0x44000fff,0x00ffffff,0x0bfffff9,0x803ffb00,
    0xfff90ee8,0x7fffe405,0xff80004f,0xffd03fff,0x0000bfff,0x3ffffff2,
    0x26000002,0x3fa2ffff,0x2e03ffff,0x004fffff,0x400ffe60,0x05fffffe,
    0x3fffe600,0xf30005ff,0x007fffff,0x3fea0000,0xffb05fff,0x1fc85fff,
    0xffffb800,0x261fec0f,0x21cfffff,0x20dffff9,0xffff84fd,0xfff900ff,
    0x7fffc9ff,0xfff900ff,0x7ffd49ff,0x7fffc44f,0x3ffea07f,0xf0005fff,
    0x01ffffff,0x7fffd400,0xfff885ff,0xf800ffff,0x001fffff,0x0ffffff8,
    0x9fffff90,0x04ffa800,0x3ff20fd8,0x3fff202f,0x5c0004ff,0x3605ffff,
    0x01ffffff,0x7fffcc00,0x000005ff,0xb07fffc4,0x409fffff,0x04fffffb,
    0x003ff200,0x7fffffec,0x3ff60001,0x8000ffff,0x06fffffc,0x40005440,
    0x05fffffa,0x85fffffb,0xf88004fc,0xff886fff,0xdddddd91,0x777645dd,
    0xb01ff74e,0x203fffff,0x22fffffc,0x01fffffd,0x25fffff9,0x42fffff8,
    0x07fffff8,0x7fffffe4,0xffff8000,0x40000fff,0x02ffffff,0x0bfffffb,
    0x3fffffa0,0xfffd8005,0xfff901ff,0x7c4005ff,0x41fc806f,0x3202fffc,
    0x004fffff,0x3ffffea0,0x3fffee00,0x200805ff,0x1ffffffe,0x800621a0,
    0x7dc4fff8,0x2e05ffff,0x004fffff,0xb801bfe0,0x05ffffff,0xffff1008,
    0xf88007ff,0x003fffff,0x00bfffb1,0x6fffff98,0x5fffffb0,0x8001ffc8,
    0xf505fffe,0x4c00001f,0xfff501ff,0x3ff603ff,0x3fea0fff,0xffb01fff,
    0x3ff21fff,0x7fc41fff,0xfe807fff,0x8004ffff,0x0fffffff,0x7ffe4000,
    0xfff500ff,0x3ee005ff,0x402fffff,0x3fffea5a,0xffffb01f,0x7fec001f,
    0x777fc401,0x5effffee,0x9fffff90,0x3ffea000,0xffe800ef,0x3203ffff,
    0xfffff705,0x2e34c09f,0xfb801fff,0xfffff06f,0xfffd103f,0x26000bff,
    0x7f4003ff,0x203fffff,0x3ffee05c,0x7dc007ff,0x2004ffff,0x02fffffb,
    0x3ffffe60,0xfffffa86,0x077fe42f,0x07fffe00,0x0001ffc8,0x7403ffa8,
    0xfd02ffff,0xffd07fff,0x3ffa05ff,0x3fffa3ff,0x7ffdc4ff,0x7c400fff,
    0x000fffff,0x7ffffffc,0x7fcc0000,0x7ffc05ff,0x3fe2007f,0x300effff,
    0xffffe83f,0x7ffffd02,0x027fd400,0x7fffffc4,0x907fffff,0x009fffff,
    0x09ffff50,0x7ffffd40,0xfb30adff,0xfffff101,0x236c01ff,0x403fffff,
    0xff901ffe,0xffb0dfff,0x000bffff,0x50007ff2,0xbfffffff,0x003f6615,
    0x07fffff7,0x3ffffe60,0x7fff4004,0x7fc006ff,0x3e60ffff,0x43ffffff,
    0x2005fffc,0xc803fff9,0x320004ff,0xffa803ff,0xffff04ff,0xffff501f,
    0x3ffffe09,0x3fffffa0,0xfffffbdf,0x4c010fff,0x00efffff,0x3fffffe0,
    0xfe80000f,0x7fe402ff,0x7fe4005f,0x541effff,0xffffa85e,0x1fffff04,
    0x01bfe200,0x66666644,0x904dfffe,0x009fffff,0x17fffdc4,0x7fffec00,
    0xffffffff,0xfffff902,0x12fe405f,0x1bffffff,0x202ffb88,0xbfffffe8,
    0xfffdfd98,0xe8002fff,0xffb0006f,0xffffffff,0x3ea005ff,0x4c04ffff,
    0x004fffff,0x6fffffe8,0x7fffe400,0xfeefcbef,0x7e44ffff,0x4401efff,
    0x2a005ffe,0x8800bfff,0x2001fffc,0x5c0ffffc,0x3201ffff,0x7dc0ffff,
    0x7fdc1fff,0x9effffff,0xedfffffe,0x7ffe4403,0xfff001ef,0x0001ffff,
    0x300fff70,0x88005fff,0xfffffffe,0x900effef,0xfb81ffff,0x36001fff,
    0xc80001ff,0x3f602fff,0x9805ffff,0x002efffc,0x7ffffe40,0x302fffff,
    0x0bffffff,0xf713ff26,0x7bffffff,0x10019ff9,0xfffffffd,0xfffff73f,
    0x22001fff,0x320004ff,0xffffffff,0x6c4002ff,0x31bdffff,0x3dffffd7,
    0x3ffee000,0xfe8002ff,0x8dffffff,0x1efffffd,0x3ffffff2,0x3fea20ac,
    0xfd88003f,0xbaabcdff,0x00dfffec,0x1dfffb80,0x001dfff5,0x2a3bfff7,
    0xf880efff,0x24ffffff,0x3ffffffa,0x3fffa600,0x2e609bef,0x2dfffffd,
    0x9ff10000,0x001ffa00,0xffffffd8,0x5c00efff,0xff51dfff,0x7d4001df,
    0xf900004f,0x3fea05ff,0x882fffff,0x01ceffeb,0x3ffea000,0x201befff,
    0xcffffffe,0xfffeccba,0xffffc84f,0x01efffff,0x7fffec40,0xdfff71ff,
    0xfb800379,0x7d40001f,0x1befffff,0x3fb26000,0xffffffff,0x440002df,
    0x0005fffd,0x9fffffb1,0x7fffffec,0x2e23f94f,0xfffefffe,0x440000df,
    0xfffffffc,0x0000bfff,0x7fffff4c,0x26000dff,0xfffffffe,0x3ff2600d,
    0xffec81df,0xfb70003e,0xffffffff,0x0059ffff,0x007f6000,0x200027dc,
    0xfffffffc,0xffd3000c,0x01bfffff,0x0037fc40,0x05fff900,0xffffffff,
    0x1aba8fff,0xa8800000,0xffa800ac,0xffffffff,0x3fffffff,0x2af32aa0,
    0x77300000,0x0001aa83,0x00004cb8,0x0002b2a2,0x332ea600,0x00002abc,
    0x80000b98,0x20001bb8,0x9995101a,0x00000137,0x35799753,0x2e600000,
    0x980000ac,0x44000acb,0x00011000,0x3332aa20,0x0009aacc,0x00498000,
    0x40000722,0x000abca8,0x002b2e60,0x000d54c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1dc00326,0x026a6200,0x0c006600,
    0x40003cb8,0x002aaaa8,0x054cc000,0x51001a88,0x02004003,0x04d54c00,
    0xffff8000,0x3fea02ff,0x0000ffff,0x2eea2000,0x0000000a,0x10020001,
    0x01002000,0x11006200,0xfffc8000,0x740005ff,0x404fffff,0x2fffffe8,
    0xca880000,0x800009ab,0x06440001,0xcca83a80,0x5c3ccccc,0x2ccccccc,
    0x3ffff600,0x01df104f,0xd8805fa8,0xefffffff,0x05df5001,0x3f207f62,
    0x3f20000f,0x0002ffff,0x33fff6a0,0x2017f402,0xd9801fe8,0x77e442ef,
    0xfffd5003,0x400019ff,0x03fffff9,0x2fffffa8,0xdddddd00,0x883ddddd,
    0xdffffffc,0xcccc9800,0x36e24ccc,0xa800beff,0x7ecc1dfe,0x9fd7002e,
    0x01dfd981,0x17dfff50,0x40002f98,0x005fffff,0x7ffffc40,0xffff1004,
    0x2a0000bf,0xfffffffd,0x36a000cf,0xaaceffff,0x881aaaaa,0x2fd400ef,
    0x7ffffe44,0x7fff546f,0xf1003fff,0xf809ffff,0x7d440adf,0x3ff2203f,
    0xffea8aef,0xff9800df,0x05df910e,0x4000ffe6,0x6ffffff9,0x7f5c4000,
    0x3ea002ef,0x0bff503f,0x91ffffa0,0xd803ffff,0xffb89eff,0xff90002f,
    0x7d4007ff,0x4c005fff,0xfffffffe,0x333bfe62,0x403ffffe,0xffffffc8,
    0xfffffd17,0xfff801df,0x7fffec6f,0x7fffcc00,0x037fffc4,0x7fffffdc,
    0x01fe9adf,0x3fffe600,0xffb80006,0x7c4004ff,0x80007fff,0xb11efffb,
    0x9807ffff,0xfaaffffd,0xffffffff,0x015bfd05,0x7dc07ff5,0xfd06ffff,
    0x2007ffff,0x805ffffa,0xeeeffffc,0x3a00ffff,0xffb06fff,0x3fa200df,
    0xf803ffcf,0xffb0005f,0x007fffff,0x0bbffee0,0x227ff400,0x9800fffb,
    0x3e2fffff,0x3204ffff,0x7fe42fff,0xfff8001f,0xffb8003f,0x7c4000ff,
    0x52ffffff,0xfff503df,0xfff5009f,0xfdff5fff,0x40bfffff,0x11fffffa,
    0x807fffff,0x2a7ffffc,0x201fffff,0xfffffff8,0x007fffff,0x077ffe40,
    0x7fff4000,0xfff30005,0x7ec0005f,0xfff80fff,0xfff302ff,0xffff81df,
    0xf705ffff,0xffddffff,0x7fd403ff,0xffb06fff,0x36007fff,0x3a005fff,
    0xffffffff,0x3fff203f,0xffff303f,0x7fff4009,0x01ffb001,0xcffffa80,
    0x44007fff,0x000efffd,0x237ffe60,0x1004fffd,0x743fffff,0xf703ffff,
    0xfff30dff,0x7fcc001f,0x3ee0004f,0xfe8002ff,0xf8afffff,0x7fffdc06,
    0x7fffc403,0xff30dfff,0x2603ffff,0x7fc7ffff,0x7d401fff,0x3fe26fff,
    0x3ee00fff,0xffffffff,0x40003fff,0x0000efff,0x005fff88,0x02fffcc0,
    0x5ffffc80,0x0fffffb0,0x05ffffd1,0x001ffff9,0x3ffffffa,0x7d403fff,
    0xfb06ffff,0x1007ffff,0x9800bfff,0xffffffff,0x3fffe605,0x3fffe00f,
    0x7ff4c00f,0xfa800eff,0x7ff4002f,0x07fff51e,0x3bfffa60,0xffd80000,
    0x00ffffff,0x517fff20,0x3e20ffff,0xff884fff,0x3f2004ff,0xfb80004f,
    0xffe8005f,0x0feaffff,0x7ffffc40,0x3fffe201,0xfffd86ff,0x3ff602ff,
    0x37ffdc4f,0x42ffff80,0x6404fffd,0xffff930f,0x98000bff,0x00000eff,
    0x0000bff7,0x4001ffe6,0x904fffff,0xc83fffff,0xa80fffff,0x3006ffff,
    0xfffffffd,0xffff300b,0x3fff20df,0xffa803ff,0xffb10006,0xfb807fff,
    0x3a01ffff,0xb101ffff,0xdfff15df,0x05ff8801,0x3037fee0,0xf9801fff,
    0x0000efff,0xffffff30,0x3930007f,0xfb80ae20,0xfff03fff,0x3fe001ff,
    0x3f200005,0x7ff4000f,0x01feffff,0x0dffffb0,0x7fffffc4,0xfffffc80,
    0x980e5403,0x05d4002c,0x3c801c98,0x007bd930,0x001df900,0x0037ec00,
    0x00bfea00,0x9fffff30,0x3fffff20,0x3fffff43,0x2fffff98,0xffffb100,
    0x3fe6007f,0xff906fff,0xfb007fff,0xa880001d,0xfffb001a,0x7fec09ff,
    0x2ffb82ff,0x0077ffdc,0x7c401ff6,0x13fa204f,0x0fffff88,0x7fec0000,
    0x00006fff,0x3fffe000,0xfffff03f,0x009d3009,0x003d9000,0xffffffe8,
    0x3fee004f,0xff102fff,0x3ee0ffff,0x0004ffff,0x00000000,0x80000000,
    0x200000dd,0x00000de8,0x54003ea8,0x704fffff,0x447fffff,0x107fffff,
    0x009fffff,0x4001aa88,0x06fffff9,0x07fffff9,0x00001bb0,0x3fffa000,
    0x3ffa07ff,0x203a80ff,0x5406fffe,0x3ea802ff,0xb00fd880,0x0009ffff,
    0xfffff300,0x00000005,0x0bffffe6,0x037ffff4,0x00000000,0xfffffe80,
    0x3ea000ff,0xf106ffff,0x2e0fffff,0x004fffff,0x00000000,0x00000000,
    0x00000000,0x40000000,0x04fffffb,0x45fffff9,0x06fffff9,0x0bfffff1,
    0x7cc00000,0xf906ffff,0x0007ffff,0x00220000,0x7fffffe4,0x0dffff03,
    0x3fffee00,0x013fe204,0xff700000,0x00003fff,0x20000000,0xfff70008,
    0x3ffa05ff,0x22000fff,0x01100000,0x3ffffa00,0x7d4004ff,0x881fffff,
    0x707fffff,0x009fffff,0x44000000,0x0c400001,0x00000000,0x00006200,
    0xf7000310,0x3209ffff,0x220fffff,0x107fffff,0x007fffff,0xf3000310,
    0x320dffff,0x003fffff,0x54002011,0x01deffed,0x3fffffea,0x7fffc43f,
    0x13751003,0x405fffff,0x000007fe,0x3ffffe20,0x40000006,0x36a00008,
    0x201deffe,0x02fffffd,0x05fffffd,0xdeffeda8,0x7f6d4001,0x3a001def,
    0x02ffffff,0x7ffffcc0,0xffff884f,0xffff707f,0x33332a9f,0x66643ccc,
    0x401ccccc,0xffffecb8,0x65c4003e,0x03effffe,0x66666654,0x6666643c,
    0x5c401ccc,0x3effffec,0x7f65c400,0x7003efff,0x209fffff,0xe83ffffd,
    0xf307ffff,0x2001ffff,0xcffffecb,0xffff9800,0xffff906f,0x7fec407f,
    0x04d8acef,0xfbaeffc8,0xfff102ff,0x649fffff,0x2200efff,0xfffffffc,
    0x2e07ffff,0x999001ff,0x80599999,0x03fffffb,0x99999300,0x7f644999,
    0x32000bdf,0xfffbaeff,0xffffff02,0x3ffffa05,0x3bff203f,0x002fffba,
    0xff75dff9,0x3ffa005f,0x4002ffff,0x6ffffff8,0x7fffff88,0x9fffff70,
    0x3fffff26,0x7fff545f,0x3ea02fff,0xfffebcef,0xdff5006f,0xdffffd79,
    0x7fffe4c0,0x7ff545ff,0x2a02ffff,0xffebceff,0xff5006ff,0xffffd79d,
    0xffff700d,0xffff509f,0x3fffea05,0xffffa80f,0xfffd8806,0x04fffdad,
    0x37ffffcc,0x3fffffc8,0xd7dfff30,0x4409ffff,0x7fdc6ffe,0xffff903f,
    0xff3dffff,0x7f4401df,0xfff51dff,0x3e205fff,0xffb5004f,0xe809ffff,
    0xec9fffff,0x2201ceff,0x7ffffffc,0xfffffff3,0xdffd100d,0x443fffb8,
    0x02ffffff,0x09fffffd,0xfb8dffd1,0x3fa203ff,0x1fffdc6f,0x7fffff40,
    0x7fc4002f,0x440fffff,0x707fffff,0xc89fffff,0xf05fffff,0x105fffff,
    0xffb07ffb,0x7ec40bff,0xffffd83f,0x7fffe405,0xfffff05f,0x7ffb105f,
    0x0bffffb0,0x6c1ffec4,0x5c05ffff,0x264fffff,0xd802efff,0xfc83ffff,
    0x74c02fff,0x7fec1fff,0xfff300df,0x3ff20dff,0xff883fff,0x27fecc5f,
    0xd05fffd0,0x3f601fff,0xffffffff,0x7f4403ff,0x7fdc0fff,0x3fa05fff,
    0x7fff4006,0x3fea04ff,0xffffffff,0x5c04ffff,0xfaffffff,0xffffffef,
    0x17fff403,0xf107fff4,0x205fffff,0x85fffffe,0xfe82fffe,0xfffd00ff,
    0x01fffd05,0xffffffe8,0x7ffc4002,0x7c41ffff,0xf707ffff,0xfb89ffff,
    0xfd05ffff,0xf905ffff,0xfff305ff,0x3ff207ff,0xffff982f,0x3ffee03f,
    0xfffd05ff,0xfff905ff,0xfffff305,0x0bfff207,0x0fffffe6,0x4fffffb8,
    0x33ffff62,0x77ffe400,0x03bffea1,0x0bffff10,0x20bffff1,0x06fffff9,
    0x07fffff9,0x3a05fff9,0xffff705f,0x417fff60,0xffffffd8,0x6c00dfff,
    0xff03ffff,0x3201ffff,0x3f6001ff,0x3604ffff,0xbdffffff,0x6fffffeb,
    0x3ffffe60,0xfff30cff,0x3ee01fff,0xfffb07ff,0x7ffffccb,0xffffd02f,
    0x7fffb8bf,0x70bfffb0,0x3f60ffff,0x7ff405ff,0x4002ffff,0xfffffff8,
    0x7ffffc41,0xfffff707,0xfffffa89,0xfffffb05,0x0dffff05,0x0dfffff1,
    0x221bfffe,0x206fffff,0x05fffffa,0x05fffffb,0xf10dffff,0x3e0dffff,
    0xff886fff,0x3ee06fff,0xf904ffff,0xd9803fff,0xfffedfff,0xffff9004,
    0x3ffffa07,0xfffff982,0xfffff906,0x0bffff07,0x3fe217e2,0xfff705ff,
    0x7ffe403f,0x0effffff,0x5fffff10,0x3fffffa0,0x007ff303,0x27ffffe4,
    0x7fffffd0,0xfffffe88,0xfffff303,0xffffb0bf,0xffff105f,0x3fffee0b,
    0xffffff31,0x3ffffa05,0x3fffe26f,0x3ffff705,0x82ffffc4,0x201ffffb,
    0x2ffffffe,0x7fffc400,0x7fc42fff,0xff707fff,0xffa89fff,0xffb05fff,
    0xffa85fff,0x7fc42fff,0xffa87fff,0x7fc42fff,0x3ea07fff,0xfb05ffff,
    0xfa85ffff,0x7c42ffff,0xfa87ffff,0x7c42ffff,0x2e07ffff,0x204fffff,
    0xa806ffff,0x01bdedef,0x3ffffe20,0xdffff902,0xffffff30,0x3fffff20,
    0x7ffffc43,0xff70b905,0x3fee0bff,0x7fec02ff,0xffffffff,0xfffffc81,
    0xfffffb01,0x0037fc09,0x09fffff9,0x1ffffffc,0x7fffffd4,0xfffff980,
    0xffffc80f,0xffffb83f,0x5ffff705,0x3fffffea,0xfffffd02,0x2ffffdcd,
    0x22ffffb8,0x705ffffb,0x7405ffff,0x02ffffff,0x7ffffc40,0x7ffc43ff,
    0xfff707ff,0xfffa89ff,0xfffb05ff,0xfff985ff,0x7ffc42ff,0xfff987ff,
    0x7ffc42ff,0x3fea07ff,0xffb05fff,0xff985fff,0x7fc42fff,0xff987fff,
    0x7fc42fff,0x3ee07fff,0x3604ffff,0xd304ffff,0xf900003f,0x3203ffff,
    0xf887ffff,0xf987ffff,0x443fffff,0x0effffff,0x7ffec244,0xffff704f,
    0x3bff6609,0xffffffff,0x7ffffc0e,0xffff900f,0x07fe40bf,0xfffffc80,
    0xfffff104,0xffff105f,0xfff309ff,0x3ff20fff,0xffd83fff,0xfff704ff,
    0x3fffe69f,0xfffd02ff,0x7ffecbff,0xffff704f,0x27fffec9,0x04ffffb8,
    0x3ffffffa,0x7ffc4002,0x7c42ffff,0xf707ffff,0xfa89ffff,0xfb05ffff,
    0xfb05ffff,0xfff10dff,0x3ff60fff,0xffff886f,0x3ffea07f,0xfffb05ff,
    0xfffb05ff,0xfffff10d,0x1bfff60f,0x1fffffe2,0x4fffffb8,0x3fffff60,
    0x0027fcc0,0xfffffe80,0xfffff901,0xffffff03,0x7ffffc43,0xffff84ff,
    0xe803ffff,0xccceffff,0x5ffffdcc,0xf94fffb8,0xbfffffff,0x7fffffc4,
    0xfffff900,0x01ffcc0d,0x4fffffc8,0xffffff30,0x3ffff605,0xffff985f,
    0xffff907f,0xffffd07f,0xfb99999d,0x3fe2bfff,0xfd02ffff,0x7f49ffff,
    0xccccefff,0x25ffffdc,0xcceffffe,0xffffdccc,0x3ffffa05,0x7c4002ff,
    0x41ffffff,0x0ffffff8,0x4fffffb8,0x2fffffd4,0x2fffffd8,0xfd503710,
    0x440fffff,0xfffea81b,0x3fea07ff,0xffb05fff,0x2e205fff,0xffffea81,
    0x206e207f,0x7fffffea,0x3ffffee0,0x3ffff204,0x02ffec1f,0xfffff800,
    0xffff700f,0xffff907f,0xfbdf99ff,0xf909ffff,0xbfffffff,0xffffff80,
    0xffffffff,0x7ffe46ff,0x3fffea0f,0x3fe67fff,0xf900ffff,0xf80dffff,
    0xfff9005f,0x3fe609ff,0xf702ffff,0xf30dffff,0x320fffff,0xf83fffff,
    0xffffffff,0x6fffffff,0x0bfffffe,0x17fffff4,0xffffffff,0xffffffff,
    0x7fffffcd,0xffffffff,0x3ffa06ff,0x4002ffff,0xfffffff8,0x7ffffcc0,
    0xffffb81f,0x7fffd44f,0xffffb05f,0x7f54005f,0x07fffffe,0x7ff7f540,
    0x3ea07fff,0xfb05ffff,0x4005ffff,0xffffefea,0x7f54007f,0x07fffffe,
    0x13ffffee,0x3fffffc8,0x2f7fffe2,0x099aaaaa,0x3ffffe20,0xffff700f,
    0x3fffa0bf,0xfc8effff,0x442fffff,0xffffffff,0xfff881ef,0xf50005ff,
    0xff50bfff,0x263fffff,0x00ffffff,0x0bfffff9,0xc800ffd8,0x104fffff,
    0x07ffffff,0x1fffffea,0x1fffffe6,0x27ffffe4,0x17ffffe2,0x7ffff400,
    0xffffd02f,0x3fffe23f,0xff88005f,0x00005fff,0x5ffffffd,0xffff8800,
    0x7fec47ff,0x5c0dffff,0x544fffff,0xb05fffff,0x005fffff,0xff19ffd3,
    0x2600ffff,0xfff8cffe,0x3fea07ff,0xffb05fff,0xd3005fff,0xffff19ff,
    0x3fa600ff,0xfffff8cf,0x3fffee07,0x3fff204f,0x3ffee4ff,0xffffffff,
    0x4c0cefff,0x00ffffff,0x0dfffff7,0x3fffffa2,0x3fffff24,0x7ffcc5ff,
    0x0fffffff,0x3fffffcc,0xffffe800,0xfffff703,0x3fffe69f,0xfff900ff,
    0xffa809ff,0xffffc802,0x3fffa04f,0xfff503ff,0xfff30fff,0x3ff20fff,
    0x7fcc4fff,0xb0007fff,0x205fffff,0x30fffffe,0x00ffffff,0xffffff30,
    0x3ffa0000,0x4002ffff,0x6ffffff8,0x3fffffe6,0x3ee0ffff,0x7d44ffff,
    0xfb05ffff,0x4405ffff,0xff13fffd,0xd880ffff,0xfff13fff,0x7fd40fff,
    0xffb05fff,0x6c405fff,0xfff13fff,0xfd880fff,0xffff13ff,0x7ffdc0ff,
    0x3ff204ff,0x3fe66fff,0xffffffff,0x1fffffff,0x3fffffe6,0xfffff900,
    0x81bb880d,0xd3001fe9,0xffffffff,0xfffff88d,0x7fc4000f,0x3fa02fff,
    0x3fe6ffff,0xf900ffff,0x8805ffff,0xffc805ff,0x3f204fff,0xf304ffff,
    0xf30dffff,0x320fffff,0x444fffff,0x00ffffff,0xfffffc80,0xfffffd02,
    0x7fffffc4,0x7ffc4000,0x80000fff,0x2ffffffe,0x7fffc400,0xb80004ff,
    0x544fffff,0xb05fffff,0x205fffff,0x222fffe9,0x207fffff,0x222fffe9,
    0x207fffff,0x05fffffa,0x05fffffb,0x88bfffa6,0x207fffff,0x222fffe9,
    0x207fffff,0x04fffffb,0x17fffff2,0xffffffff,0xffffffff,0x3ffe21ff,
    0xff900fff,0x4000bfff,0x44003ffa,0xfffffffd,0x7ffffc1f,0x7fd4001f,
    0x3ea01fff,0x3fa6ffff,0xf900ffff,0xb003ffff,0xfff900ff,0x7fdc09ff,
    0xff305fff,0xff309fff,0x3f20ffff,0xff84ffff,0x8001ffff,0x02fffffa,
    0xf8dffffd,0x001fffff,0x1ffffff8,0xfffe8000,0x44002fff,0x00ffffff,
    0xffffb800,0x7fffd44f,0xffffb05f,0xffff505f,0xfffff889,0x9ffff507,
    0x7fffff88,0x3ffffea0,0xfffffb05,0x9ffff505,0x7fffff88,0x89ffff50,
    0x07fffff8,0x13ffffee,0x3fffffc8,0x7fffff44,0xffffffff,0x3ffe2fff,
    0xff900fff,0x20009fff,0x0001fff8,0xfffffff7,0xfffffe89,0x7ffd4005,
    0x3fe201ff,0x3ff25fff,0xffb01fff,0xf5001fff,0xfffc805f,0x3fe604ff,
    0xff106fff,0xff305fff,0x3f20ffff,0xfe84ffff,0x0005ffff,0x207ffffd,
    0x744ffffe,0x005fffff,0x5fffffe8,0xfffe8000,0x39302fff,0x4fffff88,
    0xfff70000,0xfffa87ff,0xfffb05ff,0xfff885ff,0x7ffc42ff,0xfff887ff,
    0x7ffc42ff,0x3fea07ff,0xffb05fff,0xff885fff,0x7fc42fff,0xff887fff,
    0x7fc42fff,0x3ee07fff,0x2a04ffff,0x882fffff,0xffffffff,0xffffffff,
    0x3fffff64,0xfffff901,0x3fea0005,0xd305801f,0xb8dfffff,0x02ffffff,
    0xffff8ad4,0x7fffc02f,0x3fffea3f,0xffffb01f,0x13fe200d,0x9fffff90,
    0x7fffff80,0x1fffff30,0xffffff30,0x3fffff20,0xfffffb84,0x2e2d402f,
    0xff04ffff,0xffb81fff,0x5402ffff,0x3ffffee5,0xd02d402f,0x05ffffff,
    0x7c4bfff7,0x8000ffff,0x7fffdc28,0x7fffcc2f,0xffffb06f,0xffffc85f,
    0x7fffc41f,0xffffc87f,0x7fffc41f,0x3ffe607f,0xfffb06ff,0xfffc85ff,
    0x7ffc41ff,0xfffc87ff,0x7ffc41ff,0x3fee07ff,0x42a24fff,0x20fffff8,
    0x809dffc8,0xffffb998,0x3ffffea4,0xfffffb01,0x3ff60001,0x103e803f,
    0x88bffffd,0x0effffff,0x7ff43f30,0x3fe203ff,0x3fe20fff,0xffd02fff,
    0x7f4007ff,0x7fffe407,0x7ffdc04f,0xfff981ff,0xffff306f,0x3fff20ff,
    0xfff884ff,0xf300efff,0x4ffff883,0x84ffff88,0xeffffff8,0x7c43f300,
    0x00efffff,0x7ff403f3,0xfe82ffff,0xfff30fff,0xff5000bf,0x7ffffdcb,
    0x7ffffcc1,0xfffffa86,0x7ffff42f,0x7fffdc4f,0x7fff40ff,0x7ffdc4ff,
    0xff300fff,0xff50dfff,0xfe85ffff,0x7dc4ffff,0x740fffff,0x5c4fffff,
    0x00ffffff,0x29fffff7,0xffb1fff8,0x06ffe8ff,0x20fffc40,0xd02ffffe,
    0x0007ffff,0x007fffe4,0xfff981ba,0xffffc83f,0x2f541eff,0x817fffee,
    0xa83ffffb,0xff03ffff,0xfb800dff,0x3fff201f,0xffe804ff,0xfffb83ff,
    0xffff301f,0x3fff20ff,0xfff904ff,0xea83dfff,0x0dfff905,0x201ffff3,
    0xeffffffc,0x7e42f541,0x41efffff,0x7ff405ea,0x7c42ffff,0xff32ffff,
    0xfb0001df,0x7fffdcff,0xfffff80f,0x3fffe60f,0x7ff43fff,0xffbdffff,
    0x10ffffff,0x3ffffffa,0xffffffbd,0xfff010ff,0x7fcc1fff,0x743fffff,
    0xbdffffff,0xffffffff,0x3ffffa10,0xffffbdff,0xc810ffff,0xf74fffff,
    0x3ffee7ff,0x013ffe22,0x3ea1bfe0,0xfff04fff,0x540001ff,0x200effff,
    0x3ffa05fd,0xfffe881f,0xffefffff,0xffffd80e,0x0bfffd02,0x207fffec,
    0x001ffffb,0xf9027fc4,0x3009ffff,0xd81fffff,0x3e603fff,0xf907ffff,
    0x2209ffff,0xfffffffe,0x200effef,0x7e41fffc,0x3fa202ff,0xefffffff,
    0xfe880eff,0xefffffff,0x3e200eff,0x84ffffff,0xf53ffffe,0x3a0001df,
    0x3fff27ff,0xffff903f,0xfddf97df,0xfb89ffff,0xefffffff,0xdfffffe9,
    0xfffff73e,0xffd3dfff,0x907dbfff,0x97dfffff,0xfffffddf,0xfffffb89,
    0xffe9efff,0xf73edfff,0xdfffffff,0xbfffffd3,0xffffd87d,0x27fff54f,
    0xffe84ffa,0x3fee001f,0x1ffff902,0x01ffffb8,0xffffd800,0x7fec1acf,
    0x05fff884,0x7fffffec,0xb100efff,0x6d45ffff,0xfc804fff,0xfff50cff,
    0x3fa0003f,0x3ffff606,0xffd1005f,0x3fff21bf,0x7fffd403,0xfffd80ff,
    0x7fec05ff,0xefffffff,0x9dffc800,0x001fffb8,0xfffffffb,0xfd801dff,
    0xffffffff,0x3ff6200e,0x0affffff,0x277fffea,0x20000efe,0xffb1fffb,
    0xfffe80bf,0xfd8dffff,0x221effff,0x4fffffff,0x3fffffea,0x3ffffe23,
    0x3ffea4ff,0x3fa03fff,0x8dffffff,0x1efffffd,0x3fffffe2,0x3fffea4f,
    0x3ffe23ff,0x3ea4ffff,0x543fffff,0x24ffffff,0x6feadffe,0x05dfff50,
    0x401efda8,0xf51dfffb,0x00001dff,0x3fffffa2,0x3fff63ff,0x6ffd98ae,
    0xfffff900,0xd30019ff,0xfffdffff,0x7ecc001b,0x0cffffff,0x07ff2000,
    0x3fffffea,0xff71002f,0x037dffff,0xfffffe98,0x3ffee0cf,0x6402ffff,
    0xcfffffff,0x3ffae000,0x4000dfff,0xfffffffc,0xfff9000c,0x2019ffff,
    0xfffffffe,0x3effffff,0xbffffff7,0xff900001,0x01bfffdf,0xfffffd88,
    0x3fffff64,0x3ff264ff,0xffec81df,0xfffc983e,0xeffec81d,0x7ffec403,
    0x3fff64ff,0x3264ffff,0xec81dfff,0xfc983eff,0xfec81dff,0x7ffe43ef,
    0x2e24ffff,0x200adffe,0xefffffc8,0x0cefffee,0xffffd300,0x0001bfff,
    0xbfffd700,0xffdcfc85,0x000dffff,0x0055e544,0x55e54c40,0x2a200009,
    0x0000abcb,0x7fc1cc88,0xffffffff,0x5654c007,0xffff5000,0x32ffffff,
    0xffffffff,0xbca8805f,0x2a20000a,0x4400009b,0x0000abca,0x00157951,
    0x32e20000,0x9800001b,0x000bcdcb,0x0000ddc4,0x01100088,0x02200110,
    0x00377100,0x44002200,0x10008800,0x00800001,0x9b975300,0x30000357,
    0x00001597,0x83500400,0x00001bb9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0xff30ffff,0x440001ff,0x00019999,0x002a2000,0x22000d44,
    0xff12ffff,0x01a805ff,0x004ddd44,0x00000000,0x3ffff600,0xd800004f,
    0x004fffff,0x064c00b2,0x000c0000,0x2604cb80,0x400001cc,0x400002b9,
    0x000abca9,0xfffd0000,0x060009ff,0xfd100110,0x0005ffff,0xcba98800,
    0x005c00aa,0xabba9880,0x40000009,0x801bcba8,0xeeeeeeee,0x5fff9002,
    0x0017ffe4,0x3ffffae2,0xffffffff,0xeeeeeeee,0x4eeeeeee,0x9803ff10,
    0x7dc000ff,0x3ffea4ff,0x6545c804,0xfffffffe,0x80000bde,0x0001dfda,
    0xfffff100,0xf1000009,0x8009ffff,0x3fc401fe,0x99999910,0x3f6e2399,
    0x20001dff,0x3ff207ff,0xfd300002,0x80003dff,0xfffffffc,0x2000000c,
    0x04fffff8,0x67ffec40,0xf1005e81,0x0009ffff,0xfffd7100,0x39dfffff,
    0x22000f88,0xffffffeb,0x00002eff,0x7ff7fec4,0x3f6601ef,0x003fffff,
    0xfff8bfff,0x3ff62005,0xffddefff,0xffffffff,0xffffeeee,0x2e06ffff,
    0x7ff702ff,0x8dffb000,0xf9006ffd,0x57bfffbf,0xfffffd95,0x7c40003d,
    0x0000ffff,0x5ffffb80,0xff700000,0xf9000bff,0xbfd3015f,0xffffdb80,
    0xfffe8bff,0x8004ffff,0x3f605ff8,0xd804000f,0x006fffff,0xd7bffd30,
    0x001dffff,0x3ffee000,0x7fc4004f,0x9befffff,0x3e6004fb,0x00007fff,
    0x3fffff22,0xfedcacdf,0x00febcff,0xdefffc88,0xffedcbac,0xe880004f,
    0xffff50ff,0xffffe803,0xeffa803f,0x003ffe60,0x77ffffd4,0xfffffa80,
    0xca981fff,0x7c06ffff,0x7ffe43ff,0x7ffc4000,0x800fffc1,0x00cffffc,
    0x3fffff22,0xfff70003,0x000007ff,0x000bfffb,0x2fffec00,0xffff9800,
    0x3ffffeef,0xffffff00,0xffd7bfd9,0xa8009fff,0x1bfe04ff,0xff109700,
    0x007fffff,0x5c3fff88,0x0006ffff,0x0bfffd00,0xfffffb00,0x5fffffff,
    0xffff9800,0xff980002,0x200bffff,0x0fffffea,0x0e7ff4c0,0x0f7fecc0,
    0x5ffe8800,0x007ffffc,0x07fffffb,0xfc83ff90,0xfff7001f,0xffb80bff,
    0x401fffff,0x5c06fff9,0xffd8cfff,0xffa8002f,0x001ffd43,0x4003fff9,
    0x0efffffd,0x7fffe400,0x4400003f,0x00005fff,0x017ffe20,0xfffff900,
    0x400bffff,0xeffffffd,0x7fffff40,0x0bff2001,0x3002ffc4,0xffff309f,
    0xe800bfff,0xffe80fff,0x400000ff,0x8005fff8,0xfffffff8,0x006fffff,
    0x009fff30,0xfffffb80,0x3fee000e,0x3fee00ff,0xfd88000d,0xffd8003f,
    0x7ffffc3f,0x3ffff203,0x84ff803f,0xff7004fe,0x3e00dfff,0x01ffffff,
    0xe806fe88,0x6fffffff,0xb0bfb000,0xffc800df,0xfffd8002,0x7cc006ff,
    0x0000ffff,0x002ffdc0,0x17fee000,0x7fff4000,0x000effff,0x3ffffff6,
    0xfffffa81,0x03ff6006,0xd001ffd4,0x3fffa09f,0x2e006fff,0xff707fff,
    0x800005ff,0x30005ffb,0x3ffee27f,0x0001ffff,0x8001ffe6,0x0efffffc,
    0x0fffb800,0x0005ff70,0x4005ff70,0x7c3ffff9,0x3205ffff,0x403fffff,
    0x06f986fa,0xffffff30,0x3fffe007,0xf5001fff,0xffff500d,0x10003fff,
    0x01ff01ff,0x0004fc80,0x9ffffff1,0x2effb800,0xefd80000,0x6c000000,
    0x200000ef,0x04fffffb,0xfffffc80,0x3ffffe04,0x0fff001f,0xc8017fe4,
    0xffd304ff,0x6c00dfff,0xfa80ffff,0x00001fff,0x500037ec,0x33bae60f,
    0xffa80000,0xfffb8002,0x20000fff,0xff980ffd,0x4054c401,0x003ff309,
    0xb13ffff6,0x6409ffff,0x403fffff,0x01c980ca,0xffffffb0,0x3fffa001,
    0x3e001fff,0xffffd006,0x326000bf,0x8002c882,0x320000fc,0x01ffffff,
    0x00000180,0x0000037a,0x000037a0,0x0004d4c0,0x3fffffc8,0x3fffff60,
    0x05ff8802,0x2a003ff6,0x55404fff,0x3a005fd8,0xf981ffff,0x00000fff,
    0x000037a2,0x20000000,0x7cc003ea,0x003fffff,0x7c40ff80,0xfffb302f,
    0x5d57bfdd,0xff8037dc,0x7fd45fff,0x3ff201ff,0x00003fff,0xfffff300,
    0x7ff400bf,0x0d01ffff,0x3fea00d9,0x00000fff,0x02e40000,0x3fffe600,
    0x000005ff,0x00000000,0x00000000,0x7fe40000,0x3f203fff,0xa804ffff,
    0x1bfe04ff,0x13fffea0,0x1004ff80,0x709fffff,0x00007fff,0x00000000,
    0x00000000,0x1ffffffa,0x207e4000,0xfff704fd,0x2fffc987,0x3e2027ec,
    0xc987ffff,0x7ffe400c,0x0c4003ff,0x7ffff400,0x3fa002ff,0x981fffff,
    0x00006986,0x00000000,0x74000164,0x02ffffff,0x80000440,0x00220018,
    0x4c013000,0x00000002,0x07fffff9,0x2fffffdc,0x8817fe40,0x7fdc05ff,
    0xf3004fff,0x7ffc001f,0x6ffe86ff,0x06200000,0x00000000,0x50003100,
    0x0bffffff,0x883e6000,0x3fffd07f,0x2217f440,0x7ffcc07f,0x20000fff,
    0x13fffffc,0x7fff65c0,0x7fd400cf,0x000fffff,0x3ffffffa,0x00006a81,
    0xccca8080,0x6643cccc,0x01cccccc,0xff900000,0x500bffff,0x03bdffdb,
    0xffffeb80,0x7fecc1cd,0xa8002dff,0x1defffec,0xccca97e2,0x6643cccc,
    0x01cccccc,0x0ffffff2,0x7fffffb8,0x3fffffe2,0xffffffff,0x44ffffff,
    0xeffffffc,0xfc82cccc,0x7fffc004,0x13ff22ff,0x3b2e0000,0x200cffff,
    0xccccccca,0x66666643,0xd97001cc,0x0019ffff,0x7ffffffd,0x706c0000,
    0x9fff909f,0xfb05f300,0x7fffcc05,0x320001ff,0x69bfffff,0xadfffd88,
    0x3204fffd,0x07ffffff,0x7fffff40,0x3006c81f,0x99999999,0x22efeb88,
    0xffffffc9,0x7ffff545,0x000002ff,0xffffff70,0xaeffc80f,0xb802fffb,
    0xfffdcfff,0x5dff73ff,0x001bfff9,0x36b3fff2,0x0ee8cfff,0x3fffff26,
    0x7fff545f,0x3f202fff,0x2a03ffff,0x10ffffff,0xffffffff,0xffffffff,
    0x7ec9ffff,0xffffffff,0x77c44fff,0x7ffec000,0x2efebeff,0x7ec40000,
    0xfffdadff,0xffff9304,0xffea8bff,0x4402ffff,0xfdadfffd,0x3fe604ff,
    0x000fffff,0x303fa000,0x2001ffff,0x206f982e,0x2ffffff9,0x3fff2000,
    0x74c5feff,0x7fec1fff,0xfffd80df,0x74007fff,0x41ffffff,0xd71006f8,
    0x44ffffff,0xc87ffffe,0xf05fffff,0x005fffff,0x3fea0000,0x880fffff,
    0x7fdc6ffe,0x13ff603f,0x3fbffff2,0x3ffe60ff,0x7ffec406,0x7ffffd44,
    0xfffff900,0x3ffffe0b,0x3fff202f,0x3fea03ff,0x3fe27fff,0xffffffff,
    0xffffffff,0xfd9914ff,0x999dffff,0x00774459,0x7ffffdc0,0x00002dff,
    0x41fffe98,0x900dfffd,0x20bfffff,0x02ffffff,0xb07fffa6,0xf901bfff,
    0x00ffffff,0x42fcc000,0x2005fffe,0x201fd009,0x4ffffff8,0x3fff2000,
    0x7fc44fff,0xfff885ff,0xfffff85f,0x7f4006ff,0x6c1fffff,0x7fcc006f,
    0xffd17fff,0xfb83ffff,0xfd05ffff,0x0005ffff,0x3ffe6000,0xfe81ffff,
    0xfffe82ff,0x01fffd80,0x5ffffffd,0x407fffb0,0xfd07fffe,0x7fdc0dff,
    0xffd05fff,0x7e405fff,0x2a03ffff,0x406fffff,0x3fe03ffa,0xffffb806,
    0x037ee04f,0x7fffc400,0x774c06ff,0x85eeeeee,0x885ffff8,0xf705ffff,
    0x3a0bffff,0x102fffff,0xf10bffff,0xffd0bfff,0x000dffff,0x2227d400,
    0x0004ffff,0x4ccc3fb0,0xdffffff9,0x90009999,0x909fffff,0x3a07ffff,
    0x3e22ffff,0x06ffffff,0x7fffff40,0x6ffea89f,0x7fffc400,0xffffd8ff,
    0x7fd40fff,0xffb05fff,0xaa885fff,0xaaaaaaaa,0xaaaaaaaa,0xffffbaaa,
    0x7fdc3fff,0xbfffb07f,0x06ffff88,0x0ffffff9,0x203fffea,0xb05ffffa,
    0x2a05ffff,0xb05fffff,0x405fffff,0x03fffffc,0x13ffffee,0x2205ff90,
    0xffb805ff,0x19704fff,0x7fe44000,0x404fffff,0xbeffffda,0x3ffffc80,
    0x05ffffd0,0x0bfffff5,0x0bfffff6,0x81ffffe4,0x7c2ffffe,0x06ffffff,
    0x0fee0000,0x007ffff3,0xff8bf200,0xffffffff,0x004fffff,0x87fffff9,
    0x02fffff8,0x4cdffff9,0x5fffffff,0x7ffff400,0xffffffff,0x7ffc4006,
    0xd8afcfff,0xffa85fff,0xffb05fff,0xff985fff,0xffffffff,0xffffffff,
    0xffffffff,0x3fe24fff,0xfff705ff,0x7fffd43f,0xffffb81f,0xffff306f,
    0x9ffffd07,0x3fffff20,0xfffffa80,0xfffffb05,0x7fffe405,0x3ffee03f,
    0x7fec03ff,0x007ff500,0x09fffff7,0xff910000,0xfffffffb,0xefff8803,
    0xfffff100,0x3ffff205,0xfffffa86,0xfffffb05,0xfffff105,0x3ffff205,
    0x7fffffc6,0x2000005f,0x7ffdc2fc,0xf700002f,0x7fffffc7,0xffffffff,
    0xfff9004f,0xfffc87ff,0xfff901ff,0x7fffd4ff,0x74004fff,0xedffffff,
    0x8006ffff,0x3fffffff,0x7d405e4c,0xfb05ffff,0xf885ffff,0xceffffff,
    0xcccccccc,0xfffccccc,0x3ee4ffff,0xff705fff,0x7ffc45ff,0xfffb82ff,
    0xfff104ff,0xffffa8bf,0xffff984f,0xfffa83ff,0xfffb05ff,0x7fe405ff,
    0x3f203fff,0x7c01ffff,0x07ff207f,0x3ffffee0,0x7dc00004,0xffffb1ef,
    0xffd00dff,0x7fffe401,0xffff901f,0xfffff50f,0x3ffff60b,0xffffc82f,
    0xffff901f,0x7ffffc4f,0x000006ff,0xfff70bf2,0x2e00007f,0x3ffffe3f,
    0xffffffff,0xffb004ff,0xffe87fff,0xff901fff,0x3fe63fff,0x004fffff,
    0x7ffffff4,0x001bff61,0x1bfffffe,0x3fffea00,0xffffb05f,0xfffff05f,
    0x26000bff,0x3fffffff,0x413ffff6,0x6c4ffffb,0xff706fff,0x3e207fff,
    0x7fe46fff,0x7fc43fff,0xa84fffff,0xb05fffff,0x405fffff,0x03fffffc,
    0x03fffffe,0x3605ff88,0xffb800ff,0x00004fff,0xff11fff6,0x409fffff,
    0x7f403ff8,0xf901ffff,0xfa83ffff,0xfb05ffff,0xfd05ffff,0x3203ffff,
    0xf11fffff,0x0fffffff,0x1fdc0000,0x013fffea,0x1017e400,0x00ffffff,
    0xfffffd10,0xfffff87f,0xffff700f,0x3fffe27f,0x74005fff,0x41ffffff,
    0xff8006fd,0x8004ffff,0x05fffffa,0x05fffffb,0xbffffffd,0x3ffe6000,
    0x3fa2ffff,0xccccefff,0x85ffffdc,0xfff701c9,0x55559fff,0x8fffff75,
    0x23fffffd,0xffffaee8,0xffffa86f,0xffffb05f,0x7ffe405f,0xff982fff,
    0x7d403fff,0x01bfe04f,0x27ffffdc,0xfffe8000,0xfffffc84,0x0df503ff,
    0x1ffffff0,0x3ffffee0,0x7ffffd43,0xfffffb05,0xffffff05,0x3fffee01,
    0x3ffffe3f,0x00000fff,0xff989f50,0xb00004ff,0xfffe803f,0x3a2000ff,
    0x3fffffee,0x3fffffe2,0xfffff700,0x7fffffcb,0x7ff4006f,0x7c41ffff,
    0xffff8006,0xfa8003ff,0xfb05ffff,0xfb05ffff,0x00dfffff,0x3ffffea0,
    0x3fffe0ff,0xffffffff,0x1006ffff,0xffffbff7,0xffffffff,0x7c3fffff,
    0x363fffff,0xfffffa8e,0xfffffa87,0xfffffb05,0x7fffe405,0x3fa62fff,
    0xcc886fff,0xcccdffec,0xcceffccc,0xfffb82cc,0xc80004ff,0xfd01ffff,
    0x05ffffff,0xff8803fb,0xf700ffff,0xfa8bffff,0xfb05ffff,0xf885ffff,
    0x700fffff,0x74bfffff,0x1fffffff,0xbf300000,0x00dffff0,0x7003fa00,
    0x800fffff,0xffffc8e8,0x3fffe63f,0xfff700ff,0x7ffecdff,0x74006fff,
    0x81ffffff,0xfff8006d,0xa8002fff,0xb05fffff,0x905fffff,0x0dffffff,
    0x3fffea00,0x3ffe27ff,0x400005ff,0xffb8effb,0x20003fff,0x93ffffff,
    0x3fffea3f,0xffffa87f,0xffffb05f,0x7ffe405f,0xfdffdbff,0x880effff,
    0xffffffff,0xffffffff,0xfb84ffff,0x0004ffff,0x0fffffcc,0xffffffa8,
    0x00fee1ff,0x3fffffe6,0xfffff700,0xfffffa8d,0xfffffb05,0xfffff985,
    0xffff700f,0x7fffecdf,0x00002fff,0xff703fe0,0x980003ff,0xfff9806f,
    0x3f20006f,0x3e63ffff,0x900fffff,0x54dfffff,0x07ffffff,0x7fffff40,
    0x1406b81f,0x0ffffffc,0x7fffd400,0xffffb05f,0xffff505f,0x2e000dff,
    0x26ffffff,0x07fffff9,0x9fff5000,0x2fffffd4,0xfffff000,0x7d45f77f,
    0xfa86ffff,0xfb05ffff,0x6405ffff,0xf93fffff,0x019fffff,0x3fffffe2,
    0xffffffff,0x84ffffff,0x04fffffb,0x7fffec00,0x3fff604f,0xf98effff,
    0xffff3005,0x3ff201ff,0x7fd46fff,0xffb05fff,0xff985fff,0xf900ffff,
    0x7d4dffff,0x03ffffff,0x0ff20000,0x2017fffa,0x007f9038,0x0013fffa,
    0x3fffffc8,0x3fffffe2,0xfffff900,0xfffffe8b,0x3ffa000f,0x6881ffff,
    0x3ffe1a60,0xa8000fff,0xb05fffff,0x305fffff,0x0fffffff,0x3ffff200,
    0x3ffe23ff,0x20000fff,0x4c3fffd8,0x006fffff,0x3fffffa0,0x7ffd43fd,
    0xfffa85ff,0xfffb05ff,0x7fe405ff,0x65cc3fff,0xfa99800a,0x999999df,
    0x99999ffe,0xfffffb80,0x7ff40004,0x7f406fff,0xeeffffff,0xfff1000f,
    0x3f201fff,0x7d45ffff,0xfb05ffff,0xf885ffff,0x900fffff,0xe8bfffff,
    0x04ffffff,0x1be20000,0x80ffffe6,0x0ff883f9,0x07fff900,0x7fffe400,
    0x7ffffc3f,0xffff900f,0xffffb89f,0x3fa002ff,0x701fffff,0x7ffc2e40,
    0xf50007ff,0x360bffff,0x902fffff,0x01ffffff,0xffffff00,0xffffff0d,
    0x3fa20003,0xfff986ff,0xb0000fff,0x09ffffff,0x07fffff5,0x0bfffff5,
    0x0bfffff6,0x3fffffc8,0x3fea0000,0x801bfe03,0x04fffffb,0x3fffe200,
    0x3a200fff,0xffffffff,0x7fffc003,0xfff900ff,0xfffa89ff,0xfffb05ff,
    0xffff05ff,0x3ff201ff,0x7fdc4fff,0x0007ffff,0x441fec00,0x98adfffd,
    0x9fb01edb,0x17ffdc00,0x7fe414c0,0x7fec3fff,0xff901fff,0xfe885fff,
    0x2006ffff,0x1fffffff,0xff84f800,0x50007fff,0x20bfffff,0x02fffffd,
    0x5ffffff1,0xffff9800,0xfffe81ff,0xfb0005ff,0x3fe07fff,0x0003ffff,
    0x0bfffff9,0x07ffffea,0x17ffffea,0x17ffffec,0x7fffff90,0x7fe40000,
    0x00bff302,0x27ffffdc,0xffff1000,0xf980bfff,0xefffffff,0x3fff6000,
    0xfff901ff,0xfffa85ff,0xfffb05ff,0xfffb05ff,0x3ff203ff,0x7fc42fff,
    0x002fffff,0x3ff10500,0x3fffb6a0,0x3fee03df,0xddfd9100,0xf8801fff,
    0xfffffc83,0x7ffffd43,0xfffffb01,0xfffff301,0x3ffe003f,0x4001ffff,
    0xffff82fd,0xff30007f,0x3f60dfff,0x2e02ffff,0x004fffff,0x27ffffe4,
    0xffffffb8,0xff52d402,0x3f601fff,0x400fffff,0x3ffe20d8,0xfff703ff,
    0xfff301ff,0x3ff60dff,0x3f202fff,0x0003ffff,0x5403ff60,0x3ee003ff,
    0x0005ffff,0x7ffffff4,0x7ffd405f,0x01ffffff,0x7fffd459,0xffffb01f,
    0xffff981f,0xffffb06f,0xffff505f,0x3fff603f,0xfff980ff,0x80006fff,
    0x01ff504d,0xff300130,0x3fffe203,0xabcfffff,0x2ffdba99,0x3fffffc8,
    0x02ffffe8,0x407ffffd,0x04fffffb,0xffffff88,0x3fee002f,0x7fffff81,
    0xffff3000,0xffff50df,0xffe805ff,0x7fc007ff,0xf100ffff,0x01dfffff,
    0xfffd87e6,0xfff503ff,0x4d80bfff,0x04ffffc8,0x20bffff9,0x86fffff9,
    0x2ffffffa,0x3fffff20,0x3fe00003,0x007ff207,0x5fffffa8,0xff900044,
    0x09ffffff,0xffffffb8,0xf911cfff,0x2ffffe81,0x07ffffd0,0x0dfffff3,
    0x5ffffff5,0x0bffffa0,0x01fffff4,0x9ffffff7,0x027ec000,0x00003ff9,
    0x7e407ff5,0xffffebbd,0xffffffff,0xfffc81ff,0xfffa84ff,0xfffff04f,
    0xffffc801,0x7ffd402f,0x8802ffff,0x7c40fffc,0x000fffff,0x1ffffff0,
    0x7fffffcc,0x7ff4c03f,0xffb003ff,0xfc803dff,0x41efffff,0x7fffc5ea,
    0x3ee21eff,0xefffffff,0xf9836cc0,0xffd06fff,0x7ffc03ff,0x3fe60fff,
    0x203fffff,0x03fffffd,0x0bff1000,0x30007ff4,0xd8dfffff,0x3ffe2001,
    0xbdffffff,0x3ffff220,0xffffffff,0xffa82fff,0xffff04ff,0x3fffe01f,
    0x3ffe60ff,0xf503ffff,0x3fe09fff,0x7e400fff,0x003fffff,0x6402ff4c,
    0x320004ff,0x437c03ff,0xfffffffe,0xb05fffff,0x209fffff,0x5c0ffffc,
    0x3001ffff,0x407fffff,0xfffffffe,0x3ffee205,0xffff887f,0xf90000ff,
    0xf97dffff,0x9fffffdd,0xffffb100,0xffffd805,0xfffd1004,0xffdfffff,
    0xffffc81d,0xcffeefff,0xfffffff9,0x01fffdef,0x83fffff9,0x403ffffa,
    0xbefffffc,0xffffeefc,0x3fff604f,0x500004ff,0x37fc07ff,0x7fffec00,
    0x8003eacf,0xfffffffa,0xffeeffff,0xfffffbbf,0x05ffffff,0x703ffff2,
    0x6403ffff,0xcbefffff,0xfffffeef,0x3ffff204,0x0ffffdc0,0xfffffa80,
    0x32a201df,0x3ea004ff,0xc8800bff,0x5f801fff,0x7fffffd4,0x1fffffff,
    0xffffffa8,0xbfff701f,0x03bffea3,0xffffb100,0xfff957bd,0xffffffff,
    0xffffd99d,0xff30dfff,0x0003ffff,0x7ffffff4,0xffffd8df,0xff5001ef,
    0x2e613bff,0x002efffe,0xffffffd8,0xf880efff,0xffffffff,0x3fffe60d,
    0x1fffffff,0xffd35f70,0x3fffa67f,0xffffd003,0xffb1bfff,0x3a03dfff,
    0x005fffff,0x203ff900,0x88005ff9,0x5fffffff,0x3ffee000,0xffffffff,
    0x3fe60cff,0x5fffffff,0x1dfffb80,0x001dfff5,0xfffffffd,0xfffffb1b,
    0x7ffdc03d,0x1dfff51d,0xfffd8800,0xcabcefff,0x001efffe,0xcdfffd88,
    0xffecbaab,0x7f7000df,0xfd3bff73,0x7fffffff,0xfffffff0,0x3a60dfff,
    0xdfffffff,0x3ae20000,0xffffffff,0xffffffff,0xffffffff,0x6c45ffff,
    0x05ffffff,0x3fff6200,0x3fff64ff,0x1004ffff,0xffffffd9,0x0017bfff,
    0x7ffffe40,0x3ee00cff,0x02efffff,0xffffffb1,0x0fe6019f,0xdffffff9,
    0x7ec40037,0x3f64ffff,0x24ffffff,0xffffffda,0x200009cf,0xff500ffd,
    0x3ae20007,0x0000bdff,0x7ffffec4,0x100cffff,0x9ffffffb,0x7fff4c00,
    0x000dffff,0x9fffffb1,0x7fffffec,0x3ffa604f,0x00dfffff,0x3ffae200,
    0xffffffff,0xc880003d,0xffffffff,0x44000bff,0x645ffffd,0x02ffffff,
    0xcb980000,0x3000000a,0x33335553,0x3e600000,0xffffffff,0x2e20005f,
    0x0000001b,0x02af2ea2,0x32a20000,0x951000ab,0xcb880037,0x102800ab,
    0x00015953,0x0001bb88,0x33333322,0x002ccccc,0xca80f320,0x0880001c,
    0xba880000,0x20009acc,0x0001cb98,0x000565cc,0x00037710,0x0565cc00,
    0x55440000,0x00abcccb,0x97530000,0x00003579,0x2a201571,0x000009bb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001880,0x00110026,
    0x00880310,0x7fffffd1,0x3fff6000,0x3bba24ff,0xeeeeeeee,0xed82eeee,
    0xeeeeeeee,0x005eeeee,0xeeeeeeb8,0x00c983ee,0x00220770,0x00980011,
    0x0000dd40,0x7c400000,0x001fffff,0x00000400,0x00157300,0x80008044,
    0x05fffffd,0x0733332a,0x02666664,0x01ba8000,0x10000000,0x00157955,
    0xffffff80,0x08800002,0x00200400,0x3bff6600,0xfeb88002,0x7d41deff,
    0x3ffa6003,0x01fc40cf,0x0bffffd1,0xfffff100,0x7fff4c0b,0x00bfffff,
    0xfffffc88,0x0001dfff,0x7ffffe4c,0x00ef884f,0x3faa2fd4,0x17cc0bef,
    0x3fff72a0,0x3faa00df,0x00000dff,0x3fee0000,0x99302fff,0x88999999,
    0x3a22efeb,0xeeeeeeee,0x44eeeeee,0x01efffd8,0x33bfff62,0xf8004d8a,
    0x6405ffff,0xf03fffff,0x401fffff,0xeeeeeeee,0x27fffdc3,0x2fff2200,
    0xff930000,0x00bffffd,0x3ffffe60,0x66664c03,0x3b224ccc,0x2a00bdff,
    0x7ecc0cfe,0x3f60001d,0x5c007fff,0xfdabefff,0x007ff93f,0x3fffffea,
    0x02fd9bdf,0x07ffff44,0x3fffea00,0xffff8805,0xd8004fff,0x0fffffff,
    0x3ffa0000,0xbff04fff,0x47ff5015,0xfffffffb,0x201fd9ac,0xffdbfffc,
    0xffff03ff,0x00000bff,0x7ffec000,0x3fae202f,0x3a27ffff,0x9887ffff,
    0xfffffffe,0xfff900af,0xff301fff,0xffffd7df,0xfffa8009,0xfffc805f,
    0xffff03ff,0x7dc401ff,0x224fffff,0x04ffffff,0x0fffff20,0x53ffea00,
    0x005ffff9,0x03ffffc8,0xfffffc88,0xfffff37f,0x3fe20dff,0x7fff45ff,
    0xfff30006,0x32005fff,0xffe86fff,0xd003ffff,0xffffffff,0x1003ffff,
    0x8007ffff,0x2005fffd,0x2fffffff,0xffffb800,0x400006ff,0x04fffffc,
    0xdddffff9,0x3e21ffff,0xffffffff,0x3f607fff,0x3fffe0ef,0x7fffd43f,
    0x00001fff,0xfff88000,0xfff3002f,0x3ffa2fff,0xf301ffff,0x07ffffff,
    0x7fffffc4,0x2fffc43f,0x0013ff66,0x200bfffb,0x03fffffc,0x01ffffff,
    0x9fffffd0,0x7fffffdc,0xfff8800f,0x7d4007ff,0xfff32fff,0xfff000ff,
    0xffb8009f,0xeffaffff,0x83ffffff,0x30fffffb,0x003fffff,0xffffff30,
    0xffff9007,0xfffff105,0xfff5007f,0xffffffff,0x7fcc00bf,0x3fe2005f,
    0x7ff4006f,0x8002ffff,0x5ffffffb,0xfffff800,0xffffffff,0x7ff40fff,
    0x3fffffff,0x3fffffee,0x04ffffff,0xfc85fffd,0x7fdc7fff,0x003fffff,
    0xfb800000,0x3e2003ff,0xfd8fffff,0x00ffffff,0x3ffffffe,0x3fffe201,
    0x7fe45fff,0x00bfd02f,0x000efff8,0x07fffff9,0x03fffffe,0x3fffff20,
    0x3fffff24,0xff8802ff,0x22007fff,0xf11fffff,0x9800bfff,0x98004fff,
    0xcfffffff,0xffffff30,0x6ffffa81,0x03ffffe2,0x7ffff400,0x7ffcc00f,
    0x3fffa07f,0x1fb803ff,0xffffff91,0xff98001d,0xdff5000f,0xfffe8001,
    0xa8001fff,0x05ffffff,0xeeeeed80,0xeffffffe,0x7ffcc0ee,0x645fffff,
    0xffffb30f,0x3fee0dff,0xffffa87f,0x3fffe21f,0x00004fff,0x3ffd8000,
    0x7fffc400,0xfd8afcff,0x7ffc05ff,0x6c01ffff,0x47ffffff,0xf105ffff,
    0x77fd400b,0x3fff2000,0xffff03ff,0xff9001ff,0x7fcc9fff,0x003fffff,
    0x009ffffb,0x0fffffd4,0x8001bfd7,0x30004ffc,0x0bffffff,0x05fffffb,
    0xfc87fffd,0x2a0005ff,0xe803ffff,0x3605ffff,0x803fffff,0x7bd7304b,
    0x17fcc000,0x000efd80,0xffffffe8,0xfffa8001,0x00005fff,0x27ffffe4,
    0x3ffff620,0xa884d83f,0x3fa03efc,0xfff986ff,0x7ffdc1ff,0x00004fff,
    0x1ffc4000,0xfffff800,0x05e4c3ff,0x3fffffe0,0x7ff4c01f,0x3fe26fff,
    0x0b905fff,0x00077ec0,0x0ffffff2,0x07fffffc,0x7ffffe40,0x7ffffe44,
    0xffb1003f,0x7fdc001b,0x00001fff,0x980017fe,0x80ffffff,0x03fffffc,
    0x07260175,0x005d4000,0x1fffffcc,0x7fffffb0,0x00000000,0xbb004e98,
    0x3ffa0001,0x8001ffff,0x5ffffffa,0x7fe40000,0x51004fff,0x80000035,
    0xb05ffffb,0x4d40dfff,0x00003ff8,0x01f54000,0xffffff00,0xfff8000d,
    0x3001ffff,0x7c4bfb15,0x40efffff,0x03760048,0x3ffff200,0xfffff03f,
    0xfff9001f,0x335109ff,0x088005ff,0xffffc800,0xd300002f,0xff980009,
    0xff907fff,0x00007fff,0x90000000,0x405fffff,0x03fffffc,0x00000000,
    0x74000000,0x01ffffff,0xfffffa80,0x2020005f,0x04fffffc,0x80000000,
    0x205ffffd,0xf9800ac9,0x0000001f,0xff800000,0x0004ffff,0x7ffffffc,
    0x44ff8001,0xffffffff,0x00000003,0x07fffff9,0x03fffffe,0x3fffff20,
    0x007fd404,0xffd80000,0x00002fff,0x7fcc0000,0xff907fff,0x00007fff,
    0xf0000000,0x405fffff,0x03fffffc,0x00022000,0x00000000,0x3ffffffd,
    0xffff5000,0xda800bff,0xff91dfff,0x00009fff,0xffd00000,0x40000dff,
    0x880006fc,0x04000000,0x3fffffe0,0x7ffc0003,0x4001ffff,0x7fe41ff9,
    0x05ffffff,0xfc800000,0xff03ffff,0x9001ffff,0x809fffff,0x000005fd,
    0x3fffffa0,0x44000002,0x3ffe6000,0xfff907ff,0x000007ff,0xff000000,
    0x6403ffff,0x983fffff,0x4ccccccc,0x2f7ffb22,0x66666400,0x99902ccc,
    0x00599999,0x7ffffff4,0xfffa8001,0xf5005fff,0x5fffffff,0x09fffff9,
    0x66666664,0x3333202c,0x3e02cccc,0x0007ffff,0xcca8bfa0,0x223ccccc,
    0x00adffec,0x99999993,0x2efeb889,0x5ffffff0,0xffff8000,0x64001fff,
    0xffff884f,0x01efffff,0x99999999,0x99999999,0xffffc819,0xfffff03f,
    0xfff9001f,0x7fc409ff,0xcccccc81,0xcccccccc,0xffe80ccc,0x93002fff,
    0x49999999,0x0bdffec8,0x7ffffcc0,0xfffff907,0x33333209,0x00002ccc,
    0x7fc402cc,0x3201ffff,0x883fffff,0x7ffffffc,0xfffffff3,0xfffda80d,
    0xfb504fff,0x009fffff,0x7ffffff4,0xfffa8001,0xfb805fff,0xfb51ffff,
    0x09ffffff,0x7ffffed4,0x3ff6a04f,0xf304ffff,0x001fffff,0xc88bf500,
    0x36ffffff,0xbfffffff,0x3fffae20,0x3ffa27ff,0xffff07ff,0xf80003ff,
    0x01ffffff,0x4c03be20,0xffffffff,0xffff80ff,0xffeeeeef,0x640fffff,
    0xf03fffff,0x001fffff,0x09fffff9,0xfff827dc,0xfeeeeeff,0x80ffffff,
    0x02fffffe,0xfffff910,0x3fffe6ff,0x7cc06fff,0xf907ffff,0x2a09ffff,
    0x4ffffffd,0x025c0000,0x7fffffcc,0x3ffff200,0x3ffee03f,0xfeffafff,
    0x803fffff,0x04fffffe,0x27fffff4,0xfffffd00,0xff50003f,0x880bffff,
    0xe82fffff,0x04ffffff,0x4fffffe8,0xfffffe80,0xfffff304,0xfa80003f,
    0x3ffff204,0xffeffbef,0x2602ffff,0xd17fffff,0x03ffffff,0x01ffffff,
    0xfffff800,0xdd1001ff,0xfffe9801,0xf86fffff,0xfff900ef,0xff905fff,
    0x3fe07fff,0xc800ffff,0x704fffff,0x077fc07f,0xffffffc8,0xfffffd02,
    0xfffb8005,0xfeffafff,0x203fffff,0x07fffff9,0x09fffff9,0x4fffffe8,
    0x026c0000,0x7fffffc4,0x3ffff201,0x3ffe603f,0xf30cffff,0x801fffff,
    0x04fffffd,0x27ffffec,0xfffffd00,0xff50003f,0xd80bffff,0xf106ffff,
    0x009fffff,0x09fffffb,0x9fffffb0,0x7fffffc0,0x7f910003,0xfffffa80,
    0xfff50cff,0x3e201fff,0xfd8fffff,0x80ffffff,0x007fffff,0xffffff80,
    0x0dfb801f,0xffffb100,0x6f83ffff,0x3ffffe60,0xffff905f,0x3fffe07f,
    0xffc800ff,0x7ec44fff,0xf3037c02,0x40bfffff,0x02fffffe,0x7ffffcc0,
    0xfff30cff,0x3e601fff,0xf907ffff,0xd809ffff,0x004fffff,0x400fe200,
    0x02ffffff,0x0ffffff2,0xffffff98,0xfffffd85,0x7fffe402,0x7ffe404f,
    0x3fa004ff,0x001fffff,0xffffffa8,0x3fffe205,0x3fff204f,0xffc804ff,
    0xfc804fff,0x3a04ffff,0x005fffff,0xf50017b0,0xd09fffff,0x203fffff,
    0xcffffff8,0x5fffd8af,0x0ffffff0,0xfffff000,0x1cb803ff,0xffff7000,
    0x03f89fff,0x3ffffffa,0xfffff901,0x3ffffe07,0xfffc800f,0x801744ff,
    0x3fffa03f,0x3fa01fff,0x4002ffff,0x5ffffff9,0x2fffffd8,0xffffff30,
    0x3fffff20,0x7fffe404,0xd100004f,0x3ffe001f,0x3f202fff,0x2603ffff,
    0x80ffffff,0x03fffffc,0x27ffffe4,0x3fffff20,0x3fffa004,0xa8001fff,
    0x05ffffff,0x0bffffea,0x4fffffc8,0xfffffc80,0xffffc804,0x3fff604f,
    0x00001fff,0x7ffffcc0,0xfffffb07,0x7ffffc05,0x05e4c3ff,0x07fffff8,
    0xfffff800,0x200001ff,0xffffd305,0xf700f8df,0x409fffff,0x03fffffc,
    0x41ffffff,0xffffc80c,0x03e0004f,0x7fffffdc,0x7ffff404,0x7fcc002f,
    0xfc80ffff,0xf303ffff,0x320fffff,0x404fffff,0x04fffffc,0x05ffa800,
    0x3fffff20,0x3ffff204,0x3ffe603f,0xfff907ff,0xffc807ff,0x7e404fff,
    0x2004ffff,0x1ffffffe,0xffffa800,0x3ff205ff,0x3f201fff,0xc804ffff,
    0x804fffff,0x04fffffc,0x3fffffee,0x20000805,0x06fffff9,0x05fffffb,
    0x37fffffc,0xfffff800,0xfff80007,0x0001ffff,0x7f440fa0,0x88145fff,
    0x0fffffff,0x3fffff20,0xfffffb84,0x3f20f12f,0x0004ffff,0x7fffc40a,
    0x7f400fff,0x4002ffff,0x07fffff9,0x07fffff9,0x1fffffe6,0x27ffffe4,
    0x3fffff20,0x7fe40004,0x3fe6001f,0x3f206fff,0x2603ffff,0x907fffff,
    0x807fffff,0x04fffffc,0x27ffffe4,0xfffffd00,0xff50003f,0x6c0bffff,
    0x201fffff,0x04fffffc,0x4fffffc8,0xfffffc80,0x7ffff404,0x017203ff,
    0xfffff980,0xfffffb06,0x7ffffc07,0xff88004f,0x0000ffff,0x7ffffffc,
    0x1ba00001,0x03ffff98,0xffffff90,0xffffd805,0x7fffd46f,0x20d74fff,
    0x04fffffc,0xfffc8000,0xfe802fff,0x4002ffff,0x07fffff9,0x07fffff9,
    0x1fffffe6,0x27ffffe4,0x3fffff20,0xffd10004,0xffb000df,0xff503fff,
    0x4c07ffff,0x907fffff,0x807fffff,0x04fffffc,0x27ffffe4,0xfffffd00,
    0xff50003f,0x7c0bffff,0x201fffff,0x04fffffc,0x4fffffc8,0xfffffc80,
    0x7fffd404,0xb30adfff,0x7cc0001f,0xf906ffff,0x7c07ffff,0x003fffff,
    0xffffff88,0x7ffc0000,0x0001ffff,0xfe817f60,0xff9801ff,0xd805ffff,
    0xbdffffff,0xffffcdfe,0xf902feff,0x0009ffff,0xfffff980,0xfffd005f,
    0xf98005ff,0xf907ffff,0x2607ffff,0x907fffff,0x809fffff,0x04fffffc,
    0xfffff880,0xfff98002,0xff913fff,0x407fffff,0x07fffff9,0x09fffff9,
    0x4fffffc8,0x7ffffe40,0x3fffa004,0xa8001fff,0x05ffffff,0x3ffffff1,
    0x7ffffe40,0xffffc804,0xfffc804f,0xffd804ff,0xffffffff,0x4c0002ff,
    0x906fffff,0x407fffff,0x02ffffff,0xfffff980,0x7fc0001f,0x001fffff,
    0x213ff600,0xd005fff8,0x03ffffff,0xffffffb0,0x3fe27fff,0x205fffff,
    0x04fffffc,0x7fff4000,0xfd001fff,0x8005ffff,0x07fffff9,0x09fffff9,
    0x3fffffea,0xfffffd80,0x7fffe405,0x7f44004f,0x20006fff,0xfffffff9,
    0xffffcbff,0x3ffe603f,0xfff907ff,0xffc809ff,0x7e404fff,0x2004ffff,
    0x1ffffffe,0xffffa800,0xfff305ff,0x7e403fff,0xc804ffff,0x804fffff,
    0x04fffffc,0xffffff90,0x0005ffff,0xdfffff30,0x3fffff20,0x3ffffe03,
    0x7ec4001f,0x005fffff,0x7fffffc0,0x8660001f,0x98aefffd,0xf7006ffd,
    0x009fffff,0x3ffff7fa,0x7ffd42ff,0x7fe404ff,0x00004fff,0x3fffffee,
    0x3fffa004,0x7cc002ff,0xf907ffff,0xd309ffff,0x19ffffff,0x7fffffdc,
    0x3fff202f,0x7dc004ff,0x0004ffff,0x7fffff44,0xfffff92e,0x7fffcc07,
    0xffff907f,0xfffc809f,0x7fe404ff,0x3a004fff,0x41ffffff,0xfa81dfda,
    0x104fffff,0x03ffffff,0x27ffffe4,0x7ffffe40,0xffffc804,0x3fea004f,
    0x01beffff,0xffff3000,0x3fff20df,0x3ffe03ff,0x26000fff,0xffffffff,
    0xff0005ff,0x003fffff,0xb9f916c0,0x1bffffff,0xfffff100,0x3fe001ff,
    0x400bca8b,0xfc801bc9,0x0004ffff,0xffffff10,0x7ff4001f,0x4c002fff,
    0x907fffff,0xa89fffff,0xffffffff,0xfffff97f,0x320bffff,0x004fffff,
    0x1ffffff4,0x8802deb8,0x7fe40aca,0x3e603fff,0xf907ffff,0xc809ffff,
    0x404fffff,0x04fffffc,0x3fffffa0,0x3fffe21f,0xfffffb87,0x3fffe04f,
    0x3ff202ff,0xfc804fff,0xc804ffff,0x004fffff,0x000cfa88,0xffff9800,
    0xffff906f,0x7fffc07f,0x0000007f,0xfffff800,0xf10001ff,0x37e60d43,
    0x7ffe4001,0xf3002fff,0x0000009f,0x09fffff9,0x3fff2000,0x74002fff,
    0x002fffff,0x3fffffcc,0x4fffffc8,0x40000000,0x04fffffc,0x3ffffe20,
    0xffff982f,0x7fe40000,0x3e603fff,0xf907ffff,0xc809ffff,0x404fffff,
    0x04fffffc,0x3fffffa0,0x3fffee1f,0x7fffdc2f,0x3ffa03ff,0x3f203fff,
    0xc804ffff,0x804fffff,0x04fffffc,0x0005f900,0x3fffe600,0xffff906f,
    0x7fffc07f,0xd500007f,0x7c00015b,0x01ffffff,0xc803f700,0x7fcc003f,
    0x2005ffff,0x00005ffa,0xfffffc80,0xff980004,0x8005ffff,0x02fffffe,
    0x7ffffcc0,0xfffff907,0x37db0009,0xfffc8000,0x3ea004ff,0xc81fffff,
    0x0004ffff,0x1fffffe4,0xffffff30,0x3fffff20,0x7fffe404,0x7ffe404f,
    0x3fa004ff,0x361fffff,0x5c3fffff,0x01ffffff,0x17ffffee,0x4fffffc8,
    0xfffffc80,0xffffc804,0xffa8004f,0x9800006f,0x906fffff,0x407fffff,
    0x007fffff,0x5ffff700,0x3fffe000,0xd0001fff,0x7ffcc01f,0xfffd000e,
    0x23403fff,0x00007ffc,0xfffffc80,0xffe80004,0x1a01ffff,0x17fffff4,
    0x3fffe600,0xffff907f,0xfff0009f,0x7e4000df,0x2004ffff,0x2ffffff9,
    0x05ffffa8,0x7fffe400,0x3ffe603f,0xfff907ff,0xffc809ff,0x7e404fff,
    0x2004ffff,0x2ffffffe,0x03fffff2,0x1ffffff7,0x7ffffc40,0xffff880f,
    0xffc804ff,0xfc804fff,0x8004ffff,0x002fffeb,0x7fffcc00,0xffff906f,
    0x7fffc07f,0xb300007f,0x2000bfff,0x1fffffff,0x407fa800,0x803fffeb,
    0x4ffffffb,0xfffb1a60,0xc8000003,0x004fffff,0x7ffffdc0,0x741a604f,
    0x002fffff,0x3fffffcc,0x4fffffc8,0xfffec800,0xfff90001,0x7c4009ff,
    0xf03fffff,0x80007fff,0x03fffffc,0x1fffffe6,0x27ffffe4,0x3fffff20,
    0x7fffe404,0x3ffe004f,0x3e62ffff,0xffc83fff,0xfc804fff,0xfe85ffff,
    0x805fffff,0x04fffffc,0x4fffffc8,0x9fff3000,0xff980000,0xffb06fff,
    0x3e207fff,0x000fffff,0x03fff600,0x3ffffe00,0x7cc001ff,0xfff8806f,
    0x7fffc405,0x1b600fff,0x0007ffff,0xffffc800,0x3e20004f,0x00ffffff,
    0x7fff41b6,0x7cc002ff,0xf907ffff,0x0009ffff,0x0013ffe6,0x27ffffe4,
    0x3ffffa00,0x3fffb05f,0xfffc8000,0x3fe603ff,0xff907fff,0xfc809fff,
    0x6404ffff,0x004fffff,0xfffffff1,0x41fffb87,0x0efffff8,0xffffe880,
    0xfefda8bf,0x401fffff,0x04fffffc,0x4fffffc8,0x5fff3000,0xffa80000,
    0xffb07fff,0x3e207fff,0x000fffff,0x01fff600,0x7fffffc0,0x3fea002f,
    0xfff8805f,0x7fffe403,0x97f202ff,0x004ffff8,0x7ffe4000,0x320004ff,
    0x02ffffff,0x7ff417f2,0x4c002fff,0x907fffff,0x009fffff,0x00fffe60,
    0x7ffffe40,0x7ffc4004,0xffa81fff,0xffd80004,0x3ea04fff,0xd80fffff,
    0x405fffff,0x05fffffd,0x2fffffec,0x7fffec40,0x7e42ffff,0xffd99bef,
    0x22000eff,0xfffffffe,0xfffffc9f,0xffb00fff,0xfb00bfff,0x000bffff,
    0x0003fff6,0xfffff700,0x3ffffa0f,0xffff304f,0x200003ff,0x8003fffa,
    0xfffffff9,0x7fdcc00d,0xffc805ff,0x3ffe600f,0xf9305fff,0x7fffc49f,
    0x6c000003,0x005fffff,0xffffff30,0x13ff260b,0x1ffffffc,0x3fffea00,
    0xfffd80ff,0xd88005ff,0xb0000fff,0x00bfffff,0xffffff50,0x002ff4c3,
    0xfffffe80,0xffffd305,0x7fdc19ff,0x502fffff,0x5fffffff,0x3ffffea0,
    0xffe882ff,0xffffffff,0xfd32efff,0x7dffffff,0x3ff62000,0xff90efff,
    0x540359df,0x2fffffff,0x3ffffea0,0xfb7002ff,0x00001bff,0xfffffe98,
    0x7fffdc3f,0x7ec41fff,0x005fffff,0x3ffff620,0xffe98003,0xeeffffff,
    0xfffecccc,0xb504ffff,0xe801dfff,0xacffffff,0xffffeccb,0x007fff44,
    0xfff50000,0x0005ffff,0x9ffffffd,0xfffd9975,0xffff709f,0x26001dff,
    0xcffffffe,0x3ffffee0,0xfd7002ff,0x20003bff,0xfffffffa,0xffc88002,
    0x2effffff,0x7ed44000,0x1cffffff,0x3fffffea,0xfff97fff,0x8bffffff,
    0xffffffff,0x7fffc7ff,0x07ffffff,0x5d4c0000,0x00002bcc,0x35506ee6,
    0x7ffffc00,0xf87fffff,0xffffffff,0x9aaa807f,0xfb800000,0xffffffff,
    0xffffff96,0x3fe69fff,0xffffffff,0xaaa88005,0x7ff44001,0xffffffff,
    0xffffffff,0x3fffffff,0x00135530,0xfffffff5,0xffffffff,0x0cb887ff,
    0x3fe00000,0xffffffff,0x3ffea007,0xffffffff,0x23ffffff,0xfffffffd,
    0x2a01efff,0xffffffff,0xfffff97f,0x500bffff,0x40001555,0xffffffff,
    0x510007ff,0x00559b97,0x33332a00,0x0ccccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddd70000,0xdddddddd,
    0xeeb807dd,0x0eeeeeee,0xddddddd7,0x643ddddd,0xeeeeeeee,0x204eeeee,
    0x4eeeeeee,0x3bbbba60,0xeeeeeeee,0x77777543,0xeeeeeeee,0x8001eeee,
    0x20000029,0x5c000002,0xeeeeeeee,0x1eeeeeee,0xddddddd3,0x26007ddd,
    0xeeeeeeee,0xdddddb2e,0xdddddddd,0xdddd505d,0x409ddddd,0x332a00b8,
    0xcccccccc,0x666665c1,0x65c0000c,0x97530004,0xa9880035,0xb800000a,
    0xeeeeeeee,0xdddddd03,0x980005dd,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,
    0xddddd2ee,0x20bddddd,0x02eeeeed,0x01000020,0x3faa0040,0xcfffffff,
    0x3f662001,0x7541efff,0xffffffff,0xfffb880a,0x01efffff,0x05fffb30,
    0xffffffc8,0x2fffffff,0x7fffffe4,0xffffffff,0x754007ff,0x3000005f,
    0x0000001f,0xffffff51,0x51015fff,0xfffffffd,0x7ecc005f,0x4c40bfff,
    0xffffffff,0x6cc4009f,0x200affff,0xd305fffd,0xdfffffff,0xfffb9817,
    0x7d40003f,0x7fdc007f,0x00efffee,0x7fffff4c,0x200000ce,0xffffffc9,
    0x3fffea04,0x540003ff,0xefffffff,0xffffffee,0xfffffeef,0xfffd33ff,
    0x2015ffff,0x00dfffa8,0x5c000970,0x2efda805,0x7fffff40,0x3e0000ff,
    0x3fe603ff,0x806fffff,0xfffffffb,0x1ffcc004,0x7fffffc0,0x7fffffff,
    0xffffffe8,0xffffffff,0xfd7005ff,0x00000bff,0x00000ff2,0xfffffa80,
    0xfe8802ff,0x0fffffff,0x00ffe400,0x3fffffea,0xffd8002f,0x7fffd401,
    0x3fff602f,0x7dc03fff,0x7c40001f,0xfd3007ff,0x2ffffcdf,0xffffff90,
    0x0001dfff,0xfffffe80,0x7fffec04,0x7d40003f,0x7e40adff,0x444fffff,
    0x223fffd9,0x05ffffff,0x4c009fd0,0xbf30004f,0xfffffa80,0x3fffea02,
    0x20001fff,0xffd805fe,0xd007ffff,0x0bffffff,0xa807f880,0xffffffff,
    0x444fffff,0xffffffff,0xffffffff,0x3ff2202f,0x0005ffff,0x007ff880,
    0x3fe20000,0x000fffff,0xfffffff1,0x7cc001df,0xffff8806,0xb8001fff,
    0xfffd806f,0x3fe205ff,0x5404ffff,0xfe80004f,0xfe8807ff,0x3fffe4ff,
    0xffffc81f,0xefffffff,0x3f200000,0x6404ffff,0x003fffff,0x902ffd40,
    0x09ffffff,0x3ee1ffe4,0x800fffff,0x3fa000ff,0x0bfd0004,0x5fffffd8,
    0x7fffff40,0x3fe0005f,0xffff9800,0xfb801fff,0x00ffffff,0x3200fe60,
    0xffffffff,0x540fffff,0xffffffff,0xffffffff,0xfffc880f,0x005fffff,
    0x2fffb800,0xf1000000,0x01ffffff,0x7fffffc0,0x22005fff,0xfff8805f,
    0x8000ffff,0xffc805fa,0x7e404fff,0x6406ffff,0x7e40001f,0xfd807fff,
    0x3ffa3fff,0xffffa87f,0xffffffff,0x3200006f,0x404fffff,0x03fffffc,
    0x2037d400,0x4ffffffc,0x3e21fec0,0x402fffff,0x3f2004f9,0xffc8004f,
    0x7ffffc05,0x3fee00ff,0x000fffff,0x3a004fa8,0x04ffffff,0xffffff88,
    0x03f2003f,0x3bbbbfe0,0x4eeeeeee,0xffffffc8,0xffffffff,0xddfd85ff,
    0x5fffffff,0xfff80000,0x0000006f,0xfffffff1,0x7fffc001,0x03ffffff,
    0x7fc013e0,0x000fffff,0xf9804f98,0x4401ffff,0x02ffffff,0xf50001ba,
    0x880fffff,0x2a3fffff,0xfff82dfe,0xfffffedf,0x0001ffff,0x9fffff90,
    0xfffffc80,0x17d40003,0x3fffff20,0x41fcc04f,0x05fffffd,0xfa800fdc,
    0x7d4004ff,0x7fec05ff,0xff805fff,0x003fffff,0x2a000fd8,0x07ffffff,
    0xffffff90,0x402fc00d,0xd80004fa,0xf8009cef,0x7cc082ff,0x005fffff,
    0x7fffd400,0x8000001f,0xfffffff8,0x3f73e000,0x1fffffff,0x3e009f00,
    0x00ffffff,0x5004f980,0x36005bfd,0x105fffff,0x7c40005f,0x407fffff,
    0x03fffff9,0xb1077ee0,0x7fffffff,0x3ff20000,0x7e404fff,0x0003ffff,
    0x3f2007d4,0x804fffff,0xffffa83e,0x01ba00ff,0x027fffd4,0x0bffff50,
    0x2fffff98,0xfffffb80,0x27c4007f,0x7ffffc00,0xff9803ff,0x801fffff,
    0x1fd802fa,0x00ef8000,0x003ffea0,0x2ffffff4,0x3ffa0000,0x00005fff,
    0xfffff880,0x33e000ff,0xffffffe8,0x04f800ff,0xfffffff0,0x09f30001,
    0x7cc00080,0xb81fffff,0x7ff40007,0x5c07ffff,0x003fffff,0xfff9017a,
    0x0000dfff,0x13fffff2,0x7fffff90,0x805a8000,0x4ffffffc,0xfff03b80,
    0x3e607fff,0xffffb803,0xfff7004f,0xfb300bff,0x3fe2005b,0x002fffff,
    0x320003f2,0x06ffffff,0xffffffd0,0x100fb009,0x980001df,0x7fec000f,
    0x3fff6005,0x200005ff,0xfffffff9,0x44000000,0x0fffffff,0x7fc53e00,
    0x06ffffff,0xfff004f8,0x0001ffff,0x000009f3,0x9fffffd0,0x640009d0,
    0x7fffffcf,0x7ffffdc0,0x801d1004,0x6fffffe8,0xffc80800,0x7e404fff,
    0x0883ffff,0xf9001100,0x009fffff,0x3fff2011,0x03f706ff,0xffffffc8,
    0x642cccce,0xceffffff,0x00002ccc,0x3ffffff6,0x00bf1006,0x3ffffe60,
    0xffd801ff,0x4407ffff,0xfffa804f,0x0009bcef,0xfff00031,0x7ffec005,
    0x200005ff,0xfffffffd,0x44000004,0x0fffffff,0xffa93e00,0x04ffffff,
    0xfff8027c,0x8000ffff,0x000004f9,0xffffffa8,0x40007e60,0xfffff5fa,
    0xffffb80f,0xc800004f,0x005fffff,0x23bfffb5,0x04fffffc,0x9fffffe4,
    0x0beffec8,0xfffc8000,0x40004fff,0x1ffffff9,0x7fec06e8,0xffffffff,
    0x3fff64ff,0xffffffff,0x2600004f,0x1fffffff,0x0001fb80,0x3ffffffa,
    0x7fffc404,0x2e02ffff,0xfffd801f,0x0cffffff,0xffa80000,0x3ff6000f,
    0x00005fff,0xfffffdf3,0x000001ff,0x7fffffc4,0x713e000f,0xffffffff,
    0xf8027c07,0x00ffffff,0x3204f980,0x2ccccccc,0x3ffffe00,0x4001b23f,
    0xffff0ff8,0xfd9950ff,0x599dffff,0x3fee0000,0x7d404fff,0xafffffff,
    0x04fffffc,0x5fffffe4,0xfffffff9,0x7e40004f,0x004fffff,0xfffffe80,
    0x9101fcc4,0xdfffffd9,0x32259999,0xefffffdc,0x0002cccc,0x7fffff40,
    0x006e804f,0x7ffffd40,0x7f7dc07f,0x205fffff,0xfff8806e,0xffffffff,
    0x6c00003f,0x7ec005ff,0x0005ffff,0xffff3f90,0x00007fff,0x7ffffc40,
    0x13e000ff,0x3ffffff6,0x009f01ff,0x3ffffffe,0x04f98000,0x3fffff6a,
    0x3fee004f,0x07f16fff,0xff8bf600,0xffb87fff,0xffffffff,0xf500004f,
    0x5c03ffff,0xb51fffff,0x9fffffff,0xfffffc80,0xffdabdfe,0x20002fff,
    0x4ffffffc,0xfffc8000,0x007e46ff,0x4fffffb8,0xfffff700,0x5000000b,
    0x1fffffff,0x00017d40,0x7ffffffc,0x3fe7be03,0x980fffff,0xfffb803f,
    0xffffffff,0x00002eff,0xd8007fff,0x005fffff,0xff95f880,0x000dffff,
    0x7fffc400,0x3e000fff,0xfffffd04,0x09f01fff,0x3fffffe0,0x4f98000f,
    0xfffffe80,0x3ffe2004,0x00fbafff,0x7fc4fb80,0xcca87fff,0xcefffffe,
    0xf700002c,0x7c40dfff,0xfe82ffff,0x404fffff,0x3ffffffc,0x1fffffc8,
    0xffff9000,0x300009ff,0x43ffffff,0x3fee006e,0xf7004fff,0x000bffff,
    0x3fffe000,0x1ba03fff,0x7ffe4000,0x5f506fff,0x3ffffffa,0xe800fc83,
    0xffffffff,0x1fffffff,0x7ffd4000,0x7ffec000,0xb80005ff,0xfffff11f,
    0x000005ff,0x3fffffe2,0x413e000f,0xfffffff8,0xf004f86f,0x01ffffff,
    0xb009f300,0x009fffff,0xefffffc8,0x6f98005e,0x07fffff8,0x27ffffdc,
    0x7fe40000,0x3ff603ff,0xfff106ff,0xfc809fff,0xf304ffff,0x201fffff,
    0xeeeeeee9,0xefffffff,0x001eeeee,0x53fffffa,0x3ee003f9,0x7004ffff,
    0x00bfffff,0x3fee0000,0xf306ffff,0x3e600007,0x81ffffff,0x3fffee7d,
    0x805f86ff,0xfffffff8,0xffffffff,0x320000ef,0xfd8005ff,0x0005ffff,
    0x7ffec6f8,0x00006fff,0xffffff10,0x027c001f,0xfffffff3,0xf004f89f,
    0x01ffffff,0x9009f300,0x009fffff,0xffffff98,0x7f44002f,0x7fffff80,
    0x7ffffdc0,0xfe800004,0x3fe206ff,0x3f204fff,0x6404ffff,0x203fffff,
    0x01fffffe,0xfffffff3,0xffffffff,0x005fffff,0xbfffffdc,0x3ee000fc,
    0x7004ffff,0x00bfffff,0x3fe20000,0xd82fffff,0x3a00000f,0x44ffffff,
    0x3ffe24f8,0x3ea1ffff,0xa9998802,0xfffffdcb,0x005fffff,0x000fffe0,
    0x17fffff6,0x985f5000,0x1fffffff,0xff880000,0x000fffff,0xfff7013e,
    0x7c5fffff,0xfffff004,0xf30001ff,0xffff9009,0xffb0009f,0xb000ffff,
    0x3fffe05f,0x7ffdc07f,0x400004ff,0x201ffff9,0x02fffffa,0x13fffff2,
    0x7fffff90,0x7ffffe40,0x26666603,0xffffffc9,0x0999999d,0x3fffe200,
    0x8806faff,0xfffffdaa,0xb81aaaae,0x005fffff,0x6c0005b5,0x45ffffff,
    0x400004f8,0xfffffffa,0xffb03f20,0x3ec9ffff,0xfeb88000,0x0fffffff,
    0x0fffa800,0xffffd800,0x3740005f,0xffffffe8,0xf8800005,0x00ffffff,
    0x3f2013e0,0x1fffffff,0x3ffe009f,0x8000ffff,0xffc804f9,0xa8004fff,
    0x004fffff,0xfff02fdc,0xffb80fff,0x00004fff,0x2027ffe4,0x01fffffc,
    0x13fffff2,0x7fffff90,0x7ffffdc0,0xfffc8005,0x64004fff,0xffcccccc,
    0xceffffff,0xf12ccccc,0xffffffff,0xf709ffff,0x880bffff,0x001fffff,
    0xffffff98,0x0003f21f,0x3ffffe00,0x2a17e3ff,0x8fffffff,0x800004f8,
    0xffffffea,0x6ffc8002,0xffffb000,0x7cc000bf,0xfffff703,0x800001ff,
    0xfffffff8,0x4013e000,0xfffffffe,0xff004f8e,0x001fffff,0xf9009f30,
    0x0009ffff,0x007ffffa,0x3e00ef98,0x5c07ffff,0x004fffff,0x17ffe200,
    0x3fffff60,0x3ffff201,0x7ffe404f,0x3fee03ff,0xc8006fff,0x04ffffff,
    0x7fffffc0,0xffffffff,0xffffffff,0xfffb5513,0x35555dff,0xbfffff70,
    0xfffffc80,0xfffd0004,0x17e29fff,0x7fe40000,0x5f56ffff,0x3fffffe0,
    0x0001fbaf,0xffffd100,0xfff0009f,0x3ff60007,0x20005fff,0x3ffe00fd,
    0x0004ffff,0x7ffffc40,0x13e000ff,0x7ffffc40,0x004fdfff,0x1fffffff,
    0x009f3000,0x09fffff9,0x1bffee00,0x401fe880,0x407fffff,0x04fffffb,
    0x3bff2000,0xfffff800,0x3fff201f,0x7fe404ff,0x3ea03fff,0x000fffff,
    0x7fffffe4,0x3e200004,0x005fffff,0x4fffffb8,0xfffff700,0xfffff80b,
    0xfa8000ff,0xb8ffffff,0x3000001f,0x3fffffff,0x7ffe40dd,0x006eefff,
    0x7ff44000,0x7cc005ff,0xfb0000ff,0x000bffff,0xff9013e6,0x001fffff,
    0x7fffc400,0x3e000fff,0x3ffe6004,0x04ffffff,0xfffffff0,0x07f50001,
    0x9fffff90,0x3ffe2000,0x273f2003,0xf9999999,0x099fffff,0x4fffffb8,
    0xfff30000,0xffff1001,0x7fe403ff,0x7e404fff,0x2a03ffff,0x00ffffff,
    0x7ffffe40,0x7400004f,0x004fffff,0x4fffffb8,0xfffff700,0xffffe80b,
    0x3fe0007f,0x5ebfffff,0x7f400000,0x3fefffff,0x3ffffe60,0x00003fff,
    0x5ffff880,0x037fe400,0xfffffb00,0x2bf2000b,0xa9999999,0x3fffffff,
    0x3fe20000,0x4007ffff,0x7fd4004f,0x04ffffff,0xfffffff0,0x07f50001,
    0x9fffff90,0x07fe4000,0xfffffd00,0xffffffff,0x70bfffff,0x009fffff,
    0x03ffd100,0x3ffffe60,0x3fff201f,0x7fe404ff,0x3ea03fff,0x8007ffff,
    0x4ffffffc,0x7ff40000,0xb8004fff,0x004fffff,0x0bfffff7,0x3fffffb8,
    0x3ffee000,0x002fffff,0x7ffd4000,0x400fffff,0xfffffffe,0xb0000000,
    0xf8009fff,0x360003ff,0x005fffff,0xffffff88,0xffffffff,0x1006ffff,
    0xff107df9,0x800fffff,0xffc8004f,0x004fffff,0x1fffffff,0x005f5000,
    0x09fffff9,0x0027cc00,0x3ffffffa,0xffffffff,0xfb85ffff,0x0004ffff,
    0x2002ffd8,0x1ffffff8,0x3fffff20,0x7fffe404,0x3ffea03f,0xfc8006ff,
    0x004fffff,0x7ffff400,0xffb8004f,0xf7004fff,0x880bffff,0x000dfffd,
    0x3ffffe20,0x000006ff,0xfffffff0,0xffff7009,0x00000bff,0x017ffd40,
    0x001fff30,0x7ffffec0,0xabfb8005,0xaaaaaaaa,0xfffffffb,0xffffe802,
    0x7ffffc42,0x027c007f,0xfffffd80,0xfffd004f,0x90003fff,0xfff9003f,
    0x4c0009ff,0x7ff4001f,0xffffffff,0xffffffff,0xfffffb85,0x7fdc0004,
    0x3fe0a802,0x3202ffff,0x404fffff,0x03fffffc,0x17ffffee,0x3ffff200,
    0x7fc004ff,0xffffffff,0xffffffff,0xfb83ffff,0x7004ffff,0x00bfffff,
    0x400002e2,0x3ffffffc,0xf9000000,0x003fffff,0x5ffffff1,0x44000000,
    0x7e4007ff,0x7ec0006f,0x8005ffff,0x7fec005f,0x4c05ffff,0x445fffff,
    0x06ffffff,0x880027c0,0x04fffffe,0xffffffb0,0x01fd0003,0x9fffff90,
    0x002e4000,0x7ffffff4,0xffffffff,0xfb85ffff,0x0004ffff,0x2200bfe6,
    0x3ffffa0f,0x3fff203f,0x7fe404ff,0x3ee03fff,0x8002ffff,0x4ffffffc,
    0x66666400,0xfffffccc,0xccccccef,0xffffb82c,0xfff7005f,0x00000bff,
    0x3fffe600,0x0000007f,0x1bffffe6,0x7ffffd80,0x00062000,0xe8009ff3,
    0x6c0003ff,0x005fffff,0x2a0017dc,0x1fffffff,0x3ffffea0,0x7ffffc46,
    0x027c004f,0xfffff300,0x3ffea009,0x4c003fff,0xfff9006f,0x664409ff,
    0x40017c40,0x99999998,0xfffff999,0xffb8099f,0x10004fff,0xfb1005fd,
    0x5fffffb8,0x3fffff20,0x7fffe404,0x3fff603f,0xff90007f,0x0009ffff,
    0xfffffe80,0xfffa8004,0x540446ff,0x445fffff,0xd0000000,0x0007ffff,
    0xfffe8000,0x3fea002f,0xf90004ff,0xf90019ff,0x7fcc001d,0x7ec0000f,
    0x4005ffff,0xffd0007f,0x4c0bffff,0x4c2fffff,0x02ffffff,0x20002fc0,
    0x004ffffa,0xdffffff1,0x017fc400,0x4fffffc8,0xb8dfff10,0xf8000007,
    0x5c07ffff,0x004fffff,0xddddffb0,0xbffddddd,0xffffff88,0xfffff880,
    0x7ffe404f,0x3ffa04ff,0xf90003ff,0x009fffff,0xfffff800,0xff98004f,
    0x40ec7fff,0x46fffff9,0x0000001d,0x001ffff5,0xffa80000,0xfff8007f,
    0xff88001f,0x2202ffff,0x7e4001ff,0xfd80006f,0x2005ffff,0xf70005fb,
    0x01ffffff,0x4c37fff4,0x00efffff,0x0001be20,0x8013fff2,0x5ffffffb,
    0x400bfd00,0x04fffffc,0x743ffff7,0xf8000003,0x5c07ffff,0x004fffff,
    0xffffffc8,0xffffffff,0xfffffc84,0xfffffe85,0x7ffe405f,0xfff306ff,
    0x7e4000df,0x004fffff,0x7ffffc00,0xffd0004f,0x07b5bfff,0x67ffffec,
    0x000003da,0x0027ffc0,0xfff80000,0x6ffc8003,0xffff1000,0xd883bfff,
    0xffe8002f,0xffe80003,0xf1006fff,0x3e20007f,0x05ffffff,0x3613ffe6,
    0x002fffff,0x0000ffdc,0x20027fec,0xcffffffd,0x0dfea881,0x3ffff200,
    0xffff904f,0x00001b27,0x3fffffc0,0x3fffff20,0x7ffd4004,0xffffffff,
    0xe882ffff,0xa8bfffff,0xfffffefd,0x3fff201f,0xffd81fff,0x360000ff,
    0x06ffffff,0x3ffe6000,0x10006fff,0xbfffffff,0xfffff880,0x000005ff,
    0x001ffb80,0xff900000,0x7ff10001,0x7ffdc000,0xdcefffff,0xf98000df,
    0x440001ff,0x0fffffff,0x005ffd80,0x3fffffa0,0x3fea02ff,0xfffb99cf,
    0x7dc002ff,0x0000bfff,0x20013fa2,0xfffffffb,0x5fffecdf,0xffffd800,
    0xffff105f,0x00005fbd,0x3ffffe00,0x7fffec07,0x3fe6005f,0xffffffff,
    0x01ffffff,0xffffffd1,0xffff93ff,0xf901ffff,0x15dff7ff,0x01dfff71,
    0x3ffee200,0x00cfffff,0x7fffcc00,0x000cffff,0x3dffec98,0xbffd7100,
    0x00000017,0x0000bf10,0x02fcc000,0x0001fd00,0xfffffeb8,0x0002dfff,
    0x0001bff2,0xffffffd3,0x3faa03bf,0x44002fff,0xfffffffa,0xf9100aff,
    0x9fffffff,0x3ffe6001,0x1effffff,0x009f1000,0x3ffff660,0x1dffffff,
    0xffffa800,0xff902fff,0x00007fff,0x7ffffc00,0x3fffe607,0xf8801fff,
    0xffffffff,0x7fffffff,0x7fffec40,0xdfff90ef,0x6fe40359,0xfffffb10,
    0x900017ff,0xfffffffd,0x0bdfffff,0x7ffff640,0xffffffff,0x0110005f,
    0x00004400,0x00dc0000,0x2e000000,0x00e60001,0xbcba9800,0xb80000aa,
    0xeb8002cc,0xffffffff,0x90efffff,0xffffffff,0x7ff4c03d,0xffffffff,
    0x2a200fff,0x000abccb,0x30000000,0xba880005,0x00aacccc,0xffffff00,
    0x220fffff,0x00001bcb,0x7ffffc00,0xfffffa87,0x03efffff,0x3ffffff6,
    0xffffffff,0x2e6006ff,0x000d541b,0x65d440aa,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeeee8000,
    0xeeeeeeee,0x80004eee,0xeeeeeee8,0xeeeeeeee,0xeeeeeeee,0xeeeeee81,
    0xeeeeeeee,0xddddd33e,0xdddddddd,0x3bbb63dd,0xeeeeeeee,0x3baa05ee,
    0xeeeeeeee,0x3bbbaa0e,0xeeeeeeee,0x02ccdeee,0x3a200000,0xeeeeeeee,
    0xeeeeeeee,0xeeeeeeee,0xeeee886e,0xeeeeeeee,0x0accdeee,0x77774400,
    0xeeeeeeee,0x10004eee,0xdddddddd,0xdddddddd,0xdddddddd,0xdddddb0b,
    0xdddddddd,0xdddddddd,0x77741ddd,0xa83eeeee,0x5eeeeeee,0xddd10000,
    0xdddddddd,0x0009dddd,0x3bbbbba2,0x01eeeeee,0x77775c00,0x4eeeeeee,
    0xddddddd5,0xdd90000b,0xdddddddd,0x70009bdd,0x99999999,0x4c399999,
    0xfffffffa,0x00001cff,0x3fffffe2,0xeeeeeeee,0xffffffff,0x7ffec405,
    0x403fffff,0xffffffe9,0x3fa601ef,0xbfffffff,0xfffd1001,0x220139ff,
    0xfffffffa,0xfffffeef,0x00003dff,0x3fff6200,0xefffffff,0xfffffeee,
    0x2a207fff,0xffffffff,0xffffffee,0x22000bef,0xffffffe9,0x00000aff,
    0xfffffd51,0xddddddff,0xffffffff,0x7ffff4c0,0xeeeeefff,0xfffffffe,
    0x3ffee21f,0xfd504fff,0x000dffff,0xfffe9880,0x00afffff,0xffd31000,
    0x0bffffff,0xffffe800,0xa81cffff,0x07fffffe,0x3ffa6000,0x01efffff,
    0x3ffffa00,0xffffffff,0xffff982f,0x00004fff,0x1dffff98,0x7ffffc40,
    0xf9800fff,0x06ffffff,0xffffff90,0xfff1009f,0x000bffff,0x003dfff5,
    0x7fffffdc,0xffffc987,0x000001ef,0xfff9ff30,0x2601ffff,0x807ffffb,
    0xfffffff9,0x7fffdcc0,0x7cc002ff,0x03ffffff,0xfff10000,0x4403ffff,
    0x407ffffb,0xfffffff8,0x3ff6a202,0xfffd81ff,0x3fee04ff,0x00006fff,
    0xffffff30,0x2000007f,0xfffffff8,0xf50000ff,0xdfffffff,0xfffffa80,
    0x7c400007,0x00ffffff,0x7ffff400,0xffffffff,0xfffff02f,0x000003ff,
    0x2003fff5,0xfffffffd,0x3fffe003,0xf3003fff,0x03ffffff,0x3fffffa0,
    0xffc8003f,0x7fcc000d,0x2a07ffff,0x04ffffff,0xefa80000,0xfffffff8,
    0x3fff4400,0xffffff80,0xfffd300f,0x7c001bff,0x01ffffff,0x3ffe0000,
    0x8801ffff,0xfe807ffd,0x002fffff,0xf903ffd3,0x5409ffff,0x006fffff,
    0x3fffe000,0x00001fff,0x3ffffbe0,0xb0004fff,0xffffffbf,0xffff9809,
    0xf800007f,0x007fffff,0xfffffe80,0xffffffff,0xffffff02,0x7000003f,
    0x3ea003ff,0x06ffffff,0x7fffffec,0xffffffff,0xffffffff,0xffffffff,
    0x3fffa07f,0x54003fff,0xf30004ff,0x80ffffff,0x4ffffff9,0x7f400000,
    0xffffff89,0x0ff9000f,0x3fffffe0,0x3ffe200f,0x3e006fff,0x01ffffff,
    0x3ffa0000,0x2001ffff,0xffe807fc,0x2002ffff,0xffc81ff8,0x3e604fff,
    0x0006ffff,0x3ffffe00,0x000001ff,0x3ffff37e,0xf88007ff,0xffffffcc,
    0x7fffcc04,0xf800007f,0x007fffff,0xf8000000,0x01ffffff,0x01fc8000,
    0xffffff10,0xeec803ff,0xfffffffe,0xeeeeeeee,0xfffffeee,0x206eeeff,
    0x2ffffffd,0x00bfee00,0xfffff880,0xfffb807f,0x00003fff,0x3fe29f70,
    0x000fffff,0x3fe00ff1,0x400fffff,0x4ffffffa,0xffffff00,0x4000003f,
    0x1ffffffe,0x201fe200,0x2ffffffd,0x640fdc00,0x204fffff,0x06fffff9,
    0x3ffe0000,0x0001ffff,0x3fe37a00,0x002fffff,0x7ffe4fe4,0x7cc04fff,
    0x0007ffff,0xffffff80,0x00000007,0xffffff80,0xc800001f,0x3fff2006,
    0x8004ffff,0x2ffffffe,0xfffff100,0x3f6001ff,0x002fffff,0x80003df9,
    0x7ffffff8,0xfffffd00,0x8800003f,0x3fffe26f,0x32000fff,0xfffff007,
    0xffb001ff,0xf007ffff,0x03ffffff,0x7ff40000,0x4001ffff,0xfffd807c,
    0x44002fff,0xffffc81f,0x3ffe604f,0x000006ff,0x3ffffffe,0x3a000001,
    0xffffffb5,0xf96f800d,0x809fffff,0x07fffff9,0xffff8000,0x19999fff,
    0x40000000,0x1fffffff,0x36000044,0xffff3003,0x2000dfff,0x2ffffffe,
    0xfffff100,0x3f6001ff,0x402fffff,0x0000dfe8,0xffffff88,0xffff9007,
    0x80000dff,0x3ffe21fd,0x0d00ffff,0x3ffe00f3,0xa800ffff,0x0fffffff,
    0x7fffffc0,0x2000001f,0x1ffffffe,0x00f50770,0x5ffffffb,0x40fc0c40,
    0x04fffffc,0x1bffffe6,0xfff80000,0x0001ffff,0x7fcd7a00,0x001fffff,
    0x3fff25f5,0x7cc04fff,0x0007ffff,0xffffff80,0xefffffff,0x9999002d,
    0x20059999,0x1fffffff,0x90000ba6,0x3fffa001,0x0002ffff,0x5ffffffd,
    0x3fffe200,0xfb000fff,0x405fffff,0x00004fe9,0x3fffffe2,0xffff3007,
    0x00003fff,0xfff113ea,0xf101ffff,0x7ffc01e0,0x8800ffff,0x3fffffff,
    0x7fffffc0,0x2000001f,0x1ffffffe,0x201a0790,0x2ffffffd,0x202e0ee0,
    0x04fffffc,0x1bffffe6,0xfff80000,0x0001ffff,0xffe97a00,0xd005ffff,
    0x7ffffe4f,0x7ffcc04f,0x001107ff,0x3fffffe0,0xfffeccbf,0x6d403fff,
    0x04ffffff,0xfffffff0,0x0003fea3,0x7ffdc000,0x0005ffff,0x3ffffffa,
    0xffff1002,0x36001fff,0x02ffffff,0x00005ff5,0xffffff88,0x3fffa007,
    0x00004fff,0xfff881fd,0x7a80ffff,0x7fffc000,0xfb000fff,0x80dfffff,
    0x1fffffff,0x3fa00000,0xd01fffff,0x7fec0007,0x3602ffff,0x3fff2003,
    0x3fe604ff,0xcc986fff,0x03cccccc,0xfffffff8,0x3a000001,0x3ffffea5,
    0x27cc00ff,0x9ffffff9,0xfffff980,0x37ffb227,0x7fffc002,0xfffc87ff,
    0xfe804fff,0xf004ffff,0x93ffffff,0x000001df,0x3ffffe20,0x20000fff,
    0x2ffffffe,0xfffff100,0x3f6001ff,0xc82fffff,0x800001ef,0x7ffffff8,
    0x3ffff200,0x40000fff,0xfff882fc,0x7c80ffff,0x7fffc000,0xf7000fff,
    0x03ffffff,0x7ffffffc,0x3a000001,0x81ffffff,0x360003f8,0x02ffffff,
    0x7e4007f1,0x2604ffff,0x886fffff,0xbeffffeb,0xfffff801,0x000001ff,
    0xfffff17a,0x0fc807ff,0x3ffffff2,0x7fffcc04,0xfffff37f,0x7fc00bff,
    0xf907ffff,0x809fffff,0x04fffffd,0xfffffff0,0x000009ff,0xfffffd80,
    0x740003ff,0x02ffffff,0xffffff10,0x3ff6001f,0x3622ffff,0x000000ff,
    0xfffffff1,0x7fffe400,0x20001fff,0xfff105f9,0xf881ffff,0x7ffc0007,
    0x5000ffff,0x7fffffff,0x7fffffc0,0x2000001f,0x1ffffffe,0x20003fc8,
    0x2ffffffd,0x64007f70,0x204fffff,0x06fffff9,0x000fffe6,0x3fffffff,
    0x2f400000,0x3fffffee,0xf917e207,0x809fffff,0xaffffff9,0xfffffeff,
    0xffff002f,0x7ffc0fff,0x3200ffff,0x004fffff,0xffffffff,0x80000005,
    0xfffffffa,0xffe80006,0x1002ffff,0x1fffffff,0x3ffff600,0xfffd32ff,
    0x22000009,0x07ffffff,0x3ffffee0,0x3a0002ff,0xffff100f,0x7fd81fff,
    0x7fffc000,0xf5000fff,0x09ffffff,0x7ffffffc,0x3a000001,0x41ffffff,
    0x20003ffa,0x2ffffffd,0x2003ffa8,0x04fffffc,0x1bffffe6,0x8002ffa8,
    0x1fffffff,0xe8000a20,0x7ffffc45,0x83f702ff,0x4ffffffc,0x7ffffcc0,
    0xfff30cff,0xff001fff,0x740fffff,0x04ffffff,0x13fffff2,0x7fffffc0,
    0x0000002f,0x7fffff44,0xe80001ff,0xacffffff,0xaaaaaaaa,0xfffffffb,
    0xffffb000,0xffff55ff,0x000005ff,0xfffffff1,0x7fffd400,0x70003fff,
    0x7ffc407f,0xea88ffff,0x322007ff,0xfffffccc,0xcccccdff,0x7ffffcc3,
    0x3ffe05ff,0x0001ffff,0x3ffffa00,0xffc989ff,0x3f60003f,0x312fffff,
    0x4007fff9,0x04fffffc,0x1bffffe6,0x80017f44,0x1fffffff,0x005fffb0,
    0xfffb0bd0,0x1ba0dfff,0x3ffffff2,0x7fffcc04,0xfffd85ff,0xfff801ff,
    0x3f207fff,0x206fffff,0x04fffffc,0xfffffff0,0x80000003,0xfffffffc,
    0xffd00004,0xffffffff,0xffffffff,0x01ffffff,0x3fffff60,0xffffffef,
    0x400001ff,0x7ffffff8,0x3fffea00,0x88004fff,0x7ffc406f,0xffffffff,
    0x3e6007ff,0xffffffff,0xffffffff,0x7ffffc46,0x3ffe06ff,0x0001ffff,
    0x3ffffa00,0xffffffff,0x3f60003f,0xffefffff,0x003fffff,0x13fffff2,
    0x6fffff98,0x40003fb0,0x1fffffff,0x06ffff98,0xff985e80,0x4c1fffff,
    0xffffc83f,0x7fcc04ff,0xfc80ffff,0xf803ffff,0x207fffff,0x7ffffffa,
    0x3fffff20,0xfffff004,0x000003ff,0x7ffffcc0,0x00000fff,0xbffffffd,
    0x99999999,0xffffff99,0x3ff6001f,0xffffffff,0x00efffff,0x3ffe2000,
    0x26007fff,0x4fffffff,0xaacfd800,0xffbaaaaa,0xfdcfffff,0x40007fff,
    0x0fffffff,0xfffff100,0x7ffc0dff,0x0001ffff,0x3ffffa00,0xffffeeff,
    0x3f60003f,0xfeefffff,0x003fffff,0x13fffff2,0x6fffff98,0x40001fd8,
    0x1fffffff,0x0fffffb8,0xfe82f400,0x6c4fffff,0xffffc80f,0x7fcc04ff,
    0xff907fff,0xff007fff,0x540fffff,0x06ffffff,0x13fffff2,0x7fffffc0,
    0x0000001f,0x3ffffffa,0x3a00002f,0x02ffffff,0xffffff10,0x3ff6001f,
    0xfe8dffff,0x05ffffff,0x3ffe2000,0x2a007fff,0x3fffffff,0x7fffd400,
    0xffffffff,0x20ffffff,0x40007ffb,0x0fffffff,0xfffff100,0x7ffc09ff,
    0x0001ffff,0x3ffffa00,0x3ffea1ff,0x3ff60003,0x3222ffff,0x32003fff,
    0x204fffff,0x46fffff9,0xf80003fd,0x81ffffff,0x005ffff8,0xfff505e8,
    0x3e21ffff,0xfffff904,0xfff9809f,0xfff907ff,0xfff007ff,0x7e40ffff,
    0x204fffff,0x04fffffc,0xffffffc8,0x0000001f,0xfffffff7,0xfe80000b,
    0x002fffff,0xfffffff1,0x3fff6001,0xfff12fff,0x007fffff,0x3fffe200,
    0x3ee007ff,0x01ffffff,0x4cccff40,0xff999999,0x640fffff,0x7fc0007f,
    0x000fffff,0xfffffff3,0x7ffffc07,0x000001ff,0x3ffffffa,0x001ffcc1,
    0xffffffb0,0x007ff305,0x27ffffe4,0xdfffff30,0x0007ffec,0x3fffffe0,
    0x3dff701f,0x7c0bd000,0x73ffffff,0x3fff203f,0x7cc04fff,0xf907ffff,
    0xf009ffff,0x40ffffff,0x1ffffffd,0x3fffff20,0x3fff6204,0x001fffff,
    0xfff88000,0x000fffff,0x7ffff400,0xff1002ff,0x001fffff,0x3ffffff6,
    0x3ffffea2,0x80002fff,0x7ffffff8,0x3ffff200,0x32000fff,0xfff1002f,
    0xfd01ffff,0xffff8000,0xf5000fff,0x03ffffff,0x7ffffffc,0x3a000001,
    0x81ffffff,0x360003fb,0x02ffffff,0x7e4007f7,0x2604ffff,0xfb6fffff,
    0x8000bfff,0x1fffffff,0xbd000040,0x7ffffdc0,0x7e40bd6f,0x404fffff,
    0x07fffff9,0x09fffff9,0xfffffff0,0x7fffffc0,0x7fffe407,0xf7fd104f,
    0x03ffffff,0x6c004400,0x3fffffff,0x3a01b800,0x02ffffff,0xffffff10,
    0x3ff6001f,0x7e42ffff,0x0fffffff,0x7ffc4000,0x32007fff,0x07ffffff,
    0x88017e60,0x0fffffff,0x7c0007c8,0x00ffffff,0xffffff70,0x7fffc01f,
    0x20001fff,0x3fffa019,0x3f881fff,0x3fff6000,0x0fe02fff,0xfffffc80,
    0x3fffe604,0xfffffdef,0x3fe0002f,0x001fffff,0x05e80660,0x3fffffe2,
    0x3f202fcf,0x404fffff,0x07fffff9,0x09fffff9,0xfffffff0,0x3ffffea0,
    0x7ffe404f,0x25ff04ff,0x1fffffff,0x500b6000,0xdfffffff,0xe803e000,
    0x02ffffff,0xffffff10,0x3ff6001f,0xfd82ffff,0x0effffff,0x3ffe2000,
    0x36007fff,0x05ffffff,0x88003fa0,0x0fffffff,0x201407a8,0x0fffffff,
    0xfffff900,0xffff80ff,0x20001fff,0x3fffa02d,0x07d01fff,0x3fff6038,
    0x0f602fff,0xfffffc80,0x3fffe604,0xffffefff,0xff0000ff,0x003fffff,
    0x0bd016c0,0xffffffd8,0x7ffe406f,0x7cc04fff,0xf907ffff,0xf009ffff,
    0x50ffffff,0x0bffffff,0x9fffff90,0xffff87a0,0x20001fff,0x7fff401f,
    0x8001ffff,0x7fff4079,0xf1002fff,0x01ffffff,0x3fffff60,0xfffe882f,
    0x0005ffff,0x3fffffe2,0x3fffa007,0xf7002fff,0xfff88007,0x7880ffff,
    0xfff01e20,0x2001ffff,0x3ffffffd,0x7fffffc0,0x3f10001f,0x7fffff40,
    0x4407901f,0x3ffff607,0x00ee02ff,0x4fffffc8,0x3ffffe60,0xfffff89f,
    0xfff0005f,0x0003ffff,0x05e807e2,0x7fffffcc,0x7ffe403f,0x7cc04fff,
    0xf907ffff,0xf009ffff,0x99ffffff,0xffffffd9,0x3fff2007,0xff8104ff,
    0x001fffff,0x7dc01f50,0x04ffffff,0xfe80f900,0x002fffff,0xfffffff1,
    0x3fff6001,0xff302fff,0x07ffffff,0x3fffe200,0xff5007ff,0x200bffff,
    0xf88006f8,0x00ffffff,0x3e036407,0x00ffffff,0xffffff88,0xfffff806,
    0xf70001ff,0x7ffff403,0x403301ff,0x3fff606c,0x0a602fff,0xfffffc80,
    0x3fffe604,0x3fffee6f,0xff8002ff,0x001fffff,0x2f403f70,0x7fffff40,
    0x7ffe400f,0x7cc04fff,0xf907ffff,0xf009ffff,0xffffffff,0x159dffff,
    0x7fffe400,0xffff004f,0x20003fff,0x3ffe207d,0x000fffff,0x7f406f98,
    0x002fffff,0xfffffff1,0x3fff6001,0x3ea02fff,0x2fffffff,0xffff8800,
    0xffd007ff,0x2003ffff,0xf88001fd,0x00ffffff,0x3e02fc40,0x00ffffff,
    0xffffffc8,0xfffff802,0xfd0001ff,0x7ffff401,0x9f0001ff,0x7ffffec0,
    0x3200002f,0x204fffff,0x46fffff9,0x0ffffffd,0x7ffffc00,0xfd0001ff,
    0x5402f401,0x805fffff,0x4ffffffc,0x7ffffcc0,0xfffff907,0xfffff009,
    0x003333ff,0xfffff900,0x3fffe009,0xb8001fff,0x3fff607f,0x0002ffff,
    0xffe80bfd,0x1002ffff,0x1fffffff,0x3ffff600,0x7fe402ff,0x00ffffff,
    0x7ffffc40,0xfff9807f,0xf5004fff,0x3fe20009,0x000fffff,0x3fe027dc,
    0x400fffff,0x5ffffff8,0xffffff00,0xff50003f,0xfffffe80,0x3fc8001f,
    0x3fffff60,0x3200002f,0x204fffff,0x46fffff9,0x6ffffff8,0x7ffffc00,
    0xfa8001ff,0xf802f407,0xc801ffff,0x04ffffff,0x3fffffcc,0x4fffffc8,
    0xffffff80,0xfc800007,0xf004ffff,0x03ffffff,0x506ff880,0xbfffffff,
    0x9ffb1000,0xfffffe80,0xfff1002f,0x2001ffff,0x2ffffffd,0xfffffe80,
    0x26000eff,0x07ffffff,0xdfffffd8,0x00ff8800,0xfffff100,0x7dc001ff,
    0x7fffc02f,0x7dc01fff,0x000effff,0x3fffffff,0x06ff9800,0x7ffffff4,
    0x17fe4002,0xffffffb0,0x7e400005,0x2604ffff,0xa86fffff,0x03ffffff,
    0x3fffffe0,0x7fcc001f,0xb802f406,0xf9006fff,0x809fffff,0x07fffff9,
    0x09fffff9,0xfffffff0,0xffb00000,0x3e00bfff,0x02ffffff,0x217ffa60,
    0xfffffff8,0x7f4c001f,0x7ff403ff,0x1002ffff,0x1fffffff,0x3ffffa00,
    0xff9803ff,0x0effffff,0xfffff300,0xfffc80ff,0x3f6003ff,0x3fe20005,
    0x000fffff,0xf803fff9,0x01ffffff,0x13ffffee,0xffffff00,0x7fd4005f,
    0x7fffc05f,0x91002fff,0x7f403fff,0x003fffff,0x3ffff200,0x3ffea04f,
    0xfffb07ff,0x3e003fff,0x02ffffff,0x017ffea0,0x3fe200df,0xfff9002f,
    0xf9809fff,0xf907ffff,0xf009ffff,0x00ffffff,0xffffa800,0x7c402fff,
    0x05ffffff,0x4ffffc88,0xffffffc8,0x3f66004f,0x2202ffff,0x4fffffff,
    0xfffff500,0x3fe003ff,0x004fffff,0xfffffffb,0xff5001df,0x305fffff,
    0x03fffffd,0x0037fdc0,0xffffff50,0x7f5cc09f,0x3e600fff,0x83ffffff,
    0x2fffffd9,0x7fffcc00,0x4c00dfff,0x205ffffb,0xfffffff8,0x7ffdc406,
    0x3ffe00ff,0x0004ffff,0x3fffff60,0x3fffea05,0xffff307f,0xf9801dff,
    0x0dffffff,0x7fffdcc0,0x00bfee05,0xfd003fe4,0x80dfffff,0x0ffffffa,
    0x5fffffd8,0x7ffffc40,0xf00000ff,0xffffffff,0x3ff620ff,0xceffffff,
    0xfffecccc,0x7cc3ffff,0xcfffffff,0xeedccccc,0xfffffffe,0xfffb102f,
    0x015fffff,0x7fffffcc,0x36201eff,0xffffffff,0x3ffa200b,0xffffffff,
    0xffff300b,0xd9dfffff,0x15bfffff,0x3fff2600,0x7cc001cf,0xffffffff,
    0xfffdccde,0x2607ffff,0xfffffffe,0xffffecef,0x4c000bdf,0xfffffffe,
    0xecccceef,0x4fffffff,0xfffffb10,0xb99bffff,0xfffffffd,0x3fff620f,
    0x002fffff,0xfffffa80,0xffe982ff,0xe80cffff,0x1dffffff,0xfffffd30,
    0x999ddfff,0xffffffd9,0x3ffee09f,0x27cc00af,0x7fffe440,0x980cffff,
    0xcffffffe,0x3ffffea0,0xffb302ff,0x03bfffff,0x74000000,0xffffffff,
    0xffffffff,0xffffffff,0x7ffff43f,0xffffffff,0xffffffff,0x41ffffff,
    0xfffffffe,0x3effffff,0xffffffd3,0xdfffffff,0x3fffff63,0xffffffff,
    0x7ffff40f,0xffffffff,0xfffd54ff,0xffffffff,0x059dffff,0xfffff700,
    0x2a01ffff,0xffffffee,0xffffffff,0xffffffff,0x7fff446f,0xffffffff,
    0x0adeffff,0x7fff4400,0xffffffff,0xffffffff,0x23ffffff,0xffffffe8,
    0xffffffff,0xffffffff,0x7ffec6ff,0xffffffff,0xf8003eff,0xffffffff,
    0xffff70ff,0x21ffffff,0xfffffff8,0xffd13fff,0xffffffff,0xffffffff,
    0x7fffffff,0x7fffff44,0x3a00ffff,0x3fffb200,0xffffffff,0xffff54ef,
    0x32ffffff,0xffffffff,0xffffd15f,0xffffffff,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77777774,0xeeeeeeee,0xdddddd33,
    0xdddddddd,0x3bbba63d,0xeeeeeeee,0xeeeeeeee,0x12eeeeee,0xdddddddd,
    0x5ddddddd,0x3bbbbba2,0xeeeeeeee,0x000accde,0x77777754,0x76c0005e,
    0xeeeeeeee,0xacceeeee,0xddddd002,0xdddddddd,0xdddd709d,0x45dddddd,
    0xeeeeeee8,0xeeeeeeee,0x00abdeee,0xeeeeeb80,0xeeeeeeee,0xeeeee804,
    0x3ba0eeee,0x03eeeeee,0x77777740,0xeeeeeeee,0x01bcdeee,0x99999988,
    0x99999999,0x09999999,0x99999950,0x59999999,0xcccccc80,0x4ccccccc,
    0x333332e0,0xcccccccc,0x99999901,0x99999999,0x6ff80001,0x00000000,
    0x3fee0000,0xfd300002,0x7fffffff,0x3ffea201,0x0affffff,0x7fffffd4,
    0xffffeeef,0xfffeefff,0xe983ffff,0xffffffff,0xfff5100b,0xfddfffff,
    0x7dffffff,0x3ffaa001,0x80007fff,0xfffffd98,0xffffeeff,0x2200bfff,
    0xfffffffb,0x54402fff,0x01dfffff,0x3ffffe62,0xfeeeefff,0x1dffffff,
    0x7ffe4c00,0x01ffffff,0x7fffe4c0,0x7ffdc40b,0x88004fff,0xffffffe9,
    0xfffffeef,0x3601efff,0xaaaaaaaa,0xaaaaaaaa,0x705aaaaa,0xffffffff,
    0x809fffff,0xffffffff,0x00ffffff,0xfffffffb,0x05ffffff,0x3ffffffe,
    0x1fffffff,0x037fc000,0x44000000,0x2e0001cc,0x200002ff,0xfffffff8,
    0xffff5004,0x3ea05fff,0xffc81dff,0xd984ffff,0xff103fff,0x009fffff,
    0x3fffffe6,0x7ffdcc0f,0xf7002fff,0x000fffff,0xffffff80,0x3fff660f,
    0x7cc02fff,0x6fffffff,0x0fffee00,0xfffffa80,0xfffb307f,0x90009fff,
    0xdfffffff,0x0fff4000,0x3fffff60,0x3fe60004,0x5447ffff,0x2fffffff,
    0x200000b0,0xfffff705,0xffffffff,0xfffff809,0xffffffff,0xffffb00f,
    0xffffffff,0x3fffe05f,0xffffffff,0x7c0001ff,0x1000006f,0x3fff6003,
    0x5ff70002,0xffe80000,0x1002ffff,0x1fffffff,0xc813fea0,0x04ffffff,
    0xff80fff2,0x002fffff,0x3ffffffe,0xffffd300,0xffa801bf,0x00007fff,
    0x7fffffec,0xfffffc80,0x7ffdc01f,0x000fffff,0x88007ff7,0x07ffffff,
    0x7fffffdc,0xfffe8004,0x0001ffff,0xff9007ff,0x80009fff,0x07ffffff,
    0xffffffd1,0x00000b09,0x7fffdc16,0xffffffff,0x7fffc04f,0xffffffff,
    0xfffb00ff,0xffffffff,0x3ffe05ff,0xffffffff,0x40001fff,0x200006ff,
    0xcffffeca,0x0bffff00,0x00bfee00,0xffffd000,0x3e2005ff,0x00ffffff,
    0xffc80df5,0x6c04ffff,0x3fffa03f,0x3e002fff,0x00ffffff,0x3fffffe2,
    0xfffff706,0xffffffff,0x3ff6000f,0xfd00ffff,0x801fffff,0xfffffffe,
    0x00bfd005,0x3fffffe0,0xffffe807,0x7cc001ff,0x05ffffff,0x9005fa80,
    0x009fffff,0xffffff80,0x3fffe207,0x002c0fff,0x00005800,0x00000000,
    0x00000000,0x0dff0000,0xfffb1000,0x09fffb5b,0x000dfffb,0x0000bfee,
    0xffffffd0,0x3ffe2005,0xf500ffff,0xffffc803,0x1fcc04ff,0xffffffd0,
    0x7fffc003,0x7d400fff,0xa84fffff,0xffffffee,0x005eeeee,0xffffffb0,
    0x3fffee01,0x7fc404ff,0x02ffffff,0xf00037dc,0x00ffffff,0xbffffff5,
    0xffffb000,0xe8003fff,0xfff9000f,0xe80009ff,0x407fffff,0x3ffffffd,
    0x5800002c,0x00000000,0x00000000,0x00000000,0x98000dff,0x7ec2fffe,
    0x5ffd85ff,0x05ff7000,0xfffe8000,0xf1002fff,0x01ffffff,0x3ff201ea,
    0xe804ffff,0x3ffffa03,0x3fe001ff,0x800fffff,0x3ffffffd,0xffffff30,
    0xffd80000,0xf500ffff,0x00dfffff,0xfffffff7,0x03be601f,0xfffff800,
    0xfff8807f,0x88007fff,0x5fffffff,0x800fee00,0x04fffffc,0x7ffff400,
    0x7ffdc07f,0x002c5fff,0x00005800,0x00220000,0x0000c400,0x00000620,
    0x100037fc,0xf10fffff,0x7e45dfff,0xff70000f,0xfe800005,0x002fffff,
    0xfffffff1,0x32012a01,0x04ffffff,0x3ffa03b8,0x2001ffff,0x0fffffff,
    0xfffffa80,0xfff980ff,0x400007ff,0x0ffffffd,0xffffff30,0xfffb001f,
    0x3a0bffff,0x7fc0001f,0xf007ffff,0x03ffffff,0xfffff900,0xdf1003ff,
    0xffffc800,0x7f40004f,0x4c07ffff,0x0fffffff,0xac000016,0xccccccca,
    0x66666643,0xdb5001cc,0x8003bdff,0xcffffecb,0x3b2e2000,0x003effff,
    0x001bfe00,0x04ffffc8,0xfffffffd,0x5c00019d,0x400002ff,0x2ffffffe,
    0xfffff100,0x002201ff,0x3ffffff2,0x3a008804,0x01ffffff,0x3fffffe0,
    0xfff8800f,0xf983ffff,0x1107ffff,0xffffb000,0x3fe201ff,0x800fffff,
    0xfffffff8,0x0017ec2f,0x7fffffc0,0xfffff007,0xf10003ff,0x0dffffff,
    0xc8005f90,0x004fffff,0x7fffff40,0x7fffdc07,0x0002c7ff,0xfff93580,
    0xfea8bfff,0x802fffff,0xffbaeffc,0xffd8802f,0x4fffdadf,0xbceffa80,
    0x006ffffe,0x000dff00,0x0bffffe2,0x037fffec,0x0bfee000,0xfffd0000,
    0x22005fff,0x0fffffff,0x7ffe4000,0x80004fff,0x1ffffffe,0x3ffffe00,
    0xffb000ff,0xf30dffff,0x5c4fffff,0x2004fffe,0x0ffffffd,0xffffff30,
    0x7ffdc00f,0xf70fffff,0x3fe00007,0x8807ffff,0x0fffffff,0xffff7000,
    0x7cc05fff,0xfffc8005,0x740004ff,0x407fffff,0x5ffffffd,0x5800002c,
    0x2fffffe4,0x2ffffff8,0x71bffa20,0x74c07fff,0x7fec1fff,0xffd880df,
    0x5ffffd83,0x06ff8000,0xfffff900,0x3ffff203,0x2e00000f,0x400002ff,
    0x2ffffffe,0xfffff100,0xc80001ff,0x04ffffff,0xffffe800,0x3fe001ff,
    0x000fffff,0xfffffff7,0xfffff983,0xffffff37,0x3ff600df,0xf500ffff,
    0x00dfffff,0xffffffd8,0x0005fadf,0x3fffffe0,0xffffa807,0x740007ff,
    0x06ffffff,0x320003fa,0x004fffff,0x7fffff40,0x7ffffc07,0x0002c1ff,
    0x7ffdc580,0xfffd05ff,0x7ff405ff,0x0fffe82f,0x85ffff88,0xc85ffff8,
    0xff982fff,0xaa983fff,0xaaaaaaaa,0xaaaaaeff,0x3a0aaaaa,0x901fffff,
    0x003fffff,0x55555555,0x559ffb55,0x55555555,0x3ffffa00,0xff1002ff,
    0x001fffff,0xfffffc80,0xfe80004f,0x001fffff,0x3ffffffe,0xffff5000,
    0xff987fff,0xeffaffff,0x02ffffff,0xffffffd8,0xfffff900,0xff88005f,
    0x6fffffff,0x7ffc0000,0xfc807fff,0x004fffff,0x7ffffd40,0x04fa83ff,
    0xfffff900,0xffe80009,0x3f607fff,0x583fffff,0xa8b00000,0xb05fffff,
    0x205fffff,0xfb07fffb,0xfff90bff,0x3fffa07f,0x37fffc2f,0x37ffffc4,
    0x7fffffe4,0xffffffff,0xffffffff,0x3ffffe3f,0xffff700f,0xfff8807f,
    0xffffffff,0xffffffff,0xd007ffff,0x05ffffff,0x3ffffe20,0x640000ff,
    0x04ffffff,0xffffe800,0x3fe001ff,0x000fffff,0xfffffff5,0xfffff989,
    0xfff50cff,0xfd801fff,0x980fffff,0x05ffffff,0xfffff500,0x00003fff,
    0x7ffffff8,0x7ffffcc0,0xfd00006f,0x88ffffff,0x3f20006f,0x5c44ffff,
    0xfffe802d,0xffe887ff,0x0b01efff,0xf5160000,0x360bffff,0x882fffff,
    0xf705ffff,0x7fc43fff,0xff902fff,0x7ffd4dff,0x7ffc42ff,0xfffc87ff,
    0xffffffff,0xffffffff,0xff13ffff,0x2e01ffff,0x405fffff,0xfffffff8,
    0xffffffff,0xffffffff,0xffffd007,0x555559ff,0xfff75555,0x0001ffff,
    0xffffffc8,0xffe80004,0x9101ffff,0xfffff999,0x99999bff,0xfffff987,
    0x7ffcc5ff,0xffe85fff,0x7ec02fff,0x440fffff,0x0efffffe,0x3fff6000,
    0x0005ffff,0x7fffffc0,0x3fffe607,0x00001fff,0xfffffff3,0x00017e47,
    0x89fffff9,0x7405fffe,0xcbffffff,0xcfffffec,0x00002c02,0x7fffd458,
    0xffffb05f,0xffff705f,0x3fffee0b,0x3fffff22,0xfffff901,0x17ffffcc,
    0x1fffffe2,0x3333332a,0xcfffcccc,0xcccccccc,0xfffff31c,0x3ffee01f,
    0x664406ff,0xcccccccc,0xccccdffe,0x004ccccc,0xfffffffd,0xffffffff,
    0xffffffff,0xfc80001f,0x004fffff,0xfffffe80,0xffff301f,0xffffffff,
    0x88dfffff,0x6fffffff,0x7fffffcc,0xfffffc80,0x7fffec03,0xffca9aff,
    0x0004ffff,0xffffff88,0x200003ff,0x9fffffff,0xfffdba99,0x0000bfff,
    0x7ffffec0,0x005f98ff,0x7ffffe40,0x3ffffe64,0x3ffffa00,0xffffffff,
    0x2c00bdff,0x54580000,0xb05fffff,0xb05fffff,0x2e09ffff,0x3fa4ffff,
    0xf901ffff,0x7ec3ffff,0xfff886ff,0x7c0007ff,0xff98006f,0xf900ffff,
    0x000dffff,0x0017fdc0,0x3ffffa00,0xcccccdff,0xfffccccc,0x0000ffff,
    0x7fffffe4,0xffe80004,0x2001ffff,0x0fffffff,0xfffff100,0xfff98dff,
    0xfff907ff,0xffd807ff,0xffffffff,0x000befff,0x3fffea00,0x0000ffff,
    0xfffffff0,0xffffffff,0x000007ff,0x7fffffcc,0x0001fdcf,0x27ffffe4,
    0x01fffff3,0x7ffffff4,0xfffdbaaa,0x0b02efff,0xf5160000,0x360bffff,
    0xe82fffff,0xccceffff,0x5ffffdcc,0x03fffffe,0x1fffffdc,0x3faa06e2,
    0x0007ffff,0x440037fc,0x00ffffff,0x0bfffff9,0x17fdc000,0x3ffa0000,
    0x1002ffff,0x1fffffff,0xfffc8000,0x80004fff,0x1ffffffe,0x3ffffe00,
    0xff1000ff,0x989fffff,0x907fffff,0x807fffff,0xbffffffd,0x0001aaaa,
    0x7fffec00,0x00005fff,0x5fffffff,0xffffffd5,0x8000001f,0xfffffffc,
    0xfc80004f,0x7f44ffff,0x7ff405ff,0xff307fff,0x81bfffff,0x8b000005,
    0x05fffffa,0x05fffffb,0xffffffff,0xffffffff,0x3ffffe2d,0xffff700f,
    0xdfd500bf,0x00ffffff,0x0006ff80,0x01ffffff,0x13fffff2,0x2ffb8000,
    0x7ff40000,0x1002ffff,0x1fffffff,0xfffc8000,0x80004fff,0x1ffffffe,
    0x3ffffe00,0xff3000ff,0x987fffff,0x907fffff,0x809fffff,0x0ffffffd,
    0x4c000000,0xffffffff,0xff80003f,0x3e67ffff,0x06ffffff,0x7fc40000,
    0x00ffffff,0xffffc800,0x05f6444f,0x3fffffa0,0x3fffa207,0x002c5fff,
    0x7fd45800,0xffb05fff,0xff885fff,0x98005fff,0x00ffffff,0x0dfffff7,
    0x7c67ff4c,0x0007ffff,0xe80037fc,0x901fffff,0x005fffff,0x017fdc00,
    0x3fffa000,0xf1002fff,0x01ffffff,0xffffc800,0xe80004ff,0x01ffffff,
    0x3fffffe0,0xfff5000f,0xf983ffff,0xf907ffff,0xd809ffff,0x00ffffff,
    0x3e200000,0xffffffaf,0x7c0000ff,0x5c7fffff,0x4fffffff,0x7e400000,
    0x006fffff,0xfffff900,0xffe80009,0x7c407fff,0x24ffffff,0x8b000005,
    0x05fffffa,0x85fffffb,0x07fffff9,0xfffff980,0xffff900f,0xfffb10df,
    0x3ffffe27,0x37fc0007,0xffffa800,0xffffb01f,0x5c00001f,0x400002ff,
    0x2ffffffe,0xfffff100,0xc80001ff,0x04ffffff,0xffffe800,0x3fe001ff,
    0x000fffff,0xfffffff7,0xfffff981,0xfffff907,0xffffd809,0x000000ff,
    0x7fe47fa0,0x005fffff,0x7fffffc0,0xfffffe87,0x000001ff,0x3fffffea,
    0xff900006,0x80009fff,0x07fffffe,0xffffffe8,0x40000167,0x7ffffd45,
    0xfffffb05,0xfffff885,0x7fc4000f,0xf900ffff,0xe98bffff,0x3fe22fff,
    0x40007fff,0x3a0006ff,0xfd02ffff,0x00007fff,0x0002ffb8,0x7fffff40,
    0xfff1002f,0x0001ffff,0xffffffc8,0xffe80004,0x2001ffff,0x0fffffff,
    0xfffff900,0xffff30ff,0x3fff20ff,0x7fec04ff,0x0000ffff,0xe85fb000,
    0x3fffffff,0x3fffe000,0xfff887ff,0x000effff,0xffff5000,0x20000dff,
    0x04fffffc,0x7ffff400,0xfffc807f,0x00b1ffff,0xff516000,0x3f60bfff,
    0xff82ffff,0x8001ffff,0x00ffffff,0x49fffff9,0x444ffffa,0x007fffff,
    0x00037fc0,0x209ffff5,0x000fffff,0x017fdc00,0x3fffa000,0xf1002fff,
    0x01ffffff,0xffffc800,0xe80004ff,0x01ffffff,0x3fffffe0,0xfffb000f,
    0xff307fff,0x3f20ffff,0x6c04ffff,0x00ffffff,0x4fb80000,0xffffff98,
    0xff0000ff,0x2e0fffff,0x5fffffff,0xff500000,0x000dffff,0x3fffff20,
    0x7ff40004,0xfa807fff,0xb3ffffff,0x51600000,0x20bfffff,0x82fffffd,
    0x05fffffe,0xfffffd80,0xfffff901,0x3ffffe25,0x7ffffc42,0xeeeeeb87,
    0xfffeeeee,0xffffffff,0xfffc83ff,0x1ffffb87,0xffb80000,0x7f400002,
    0x002fffff,0xfffffff1,0xffc80001,0x0004ffff,0xffffffe8,0x3fffe001,
    0xf8800fff,0x306fffff,0x20ffffff,0x04fffffc,0x7fffffec,0x54000000,
    0x3fff205f,0x0006ffff,0x0fffffff,0x7fffffec,0xa800002f,0x06ffffff,
    0xffff9000,0xfe80009f,0xa807ffff,0x2fffffff,0x1600000b,0x0dfffff3,
    0x0bfffff6,0x3fffffee,0xff52d402,0x3f603fff,0xff90ffff,0xff883fff,
    0xffc87fff,0xffffffff,0xffffffff,0x503fffff,0x3ea3bfff,0x00000eff,
    0x0005ff70,0xfffffe80,0xfff1002f,0x0001ffff,0xffffffc8,0xffe80004,
    0x2001ffff,0x0fffffff,0xfffffc80,0xffff302f,0x3fff20ff,0x7fec04ff,
    0x0000ffff,0x003be200,0xfffffffd,0xffff0007,0x7fc40fff,0x00ffffff,
    0x7ffd4000,0x00006fff,0x09fffff9,0xffffe800,0xfffc807f,0x00b0ffff,
    0xff316000,0xff50dfff,0xf105ffff,0x01dfffff,0xfffd07e6,0x3fffa05f,
    0x3ffffa3f,0x7fffdc4f,0x7ffe40ff,0xffffffff,0xffffffff,0x2603ffff,
    0xfffffffe,0x2000000d,0x00002ffb,0x7ffffff4,0xffff1002,0x80001fff,
    0x4ffffffc,0xfffe8000,0x3e001fff,0x00ffffff,0x7fffffc4,0x3fffe605,
    0xffff907f,0xfffd809f,0x00000fff,0x3003fd10,0xffffffff,0xffff8003,
    0x7fd407ff,0x006fffff,0x7fffd400,0x900006ff,0x009fffff,0xfffffe80,
    0xffffe807,0x000166ff,0x7fffc2c0,0x3ffe60ff,0xf903ffff,0x83dfffff,
    0xfffa85ea,0xfffff04f,0x7fffff41,0xfffffbdf,0x00010fff,0xb9800000,
    0x000000ac,0xe8000000,0x02ffffff,0xffffff10,0xfc80001f,0x004fffff,
    0xfffffe80,0x3ffe002f,0x5c01ffff,0x00efffff,0x1fffffe6,0x27ffffe4,
    0x3fffff60,0xd000001f,0x7fe4007f,0x006fffff,0x3ffffffc,0x7ffffe40,
    0x200003ff,0x6ffffffa,0xfff90000,0xf80009ff,0x407fffff,0xfffffff9,
    0x40000162,0xfffffc85,0xffeefcbe,0xfd104fff,0xdfffffff,0x3f201dff,
    0x7fdc0fff,0x7ffdc1ff,0xe9efffff,0x3edfffff,0x00000000,0x00000000,
    0xfe800000,0x002fffff,0xfffffff1,0xffc80001,0x0004ffff,0xfffffff8,
    0x3fffe002,0x3ee01fff,0x9804ffff,0x907fffff,0x809fffff,0x1ffffffd,
    0x7fd80000,0xffffe800,0xf1004fff,0x00ffffff,0x3ffffffa,0xf500001f,
    0x00dfffff,0x3ffff200,0x7fc0004f,0x301fffff,0x7fffffff,0xb0000058,
    0x3fffffa0,0xfffd8dff,0x3f601eff,0xffffffff,0x7ffdc00e,0x1dfff51d,
    0xffffff10,0x7fffd49f,0x000003ff,0x00000000,0x00000000,0xffffff88,
    0xfff5004f,0x0003ffff,0xffffffe8,0x7fc40006,0x003fffff,0xfffffff3,
    0xffffb307,0x3fea005f,0xfd80ffff,0x7c05ffff,0x02ffffff,0x3ffa2000,
    0xfffc8007,0x802fffff,0xfffffff9,0xffff9801,0x0000ffff,0xffffffc8,
    0xfd80000f,0x0005ffff,0x3fffffe2,0x7ffd444f,0x0583ffff,0x220b0000,
    0x24fffffd,0xfffffffd,0x3ffff204,0x3000cfff,0xfffffffd,0x7fe4c01b,
    0xffec81df,0x0000003e,0x00000000,0x80000000,0xffffffd8,0x7fcc02ff,
    0x1effffff,0xfffb8800,0x00cfffff,0xffffd880,0x4c02ffff,0xfffffffe,
    0xffffecef,0xb3000bdf,0x19ffffff,0x7fffffd4,0xfffd882f,0x002fffff,
    0x7fffe4c0,0xfd3000df,0xffffffff,0x3ffa6017,0x01efffff,0xffffffb8,
    0x2a0002ef,0xffffffff,0x3ea0000d,0x02ffffff,0xffffe980,0xfedfffff,
    0x03ffffff,0x3bbbbbb6,0xeeeeeeee,0x6eeeeeee,0x000ddc40,0xabca8800,
    0x32e60000,0x0044000a,0x00000088,0x00000000,0x00000000,0xffffffe8,
    0xefffffff,0xfffffd33,0xffffffff,0xffec803d,0xffffffff,0x74405eff,
    0xffffffff,0x12efffff,0xfffffffd,0xffffffff,0xa80015bd,0xffffffff,
    0xfffff97f,0x3f6bffff,0xffffffff,0x001fffff,0x7fffffe4,0xf304ffff,
    0xffffffff,0x223fffff,0xfffffffe,0x0effffff,0x3fffff60,0xd1007fff,
    0xfffffffd,0x7dffffff,0x7ffffc00,0x00ffffff,0xffffffe8,0xffffffff,
    0x002bcdef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08800620,
    0x00620000,0x44000030,0x09800001,0x80260000,0x00440029,0x00018800,
    0x00010088,0x00000000,0x00a14400,0x99506200,0x99999999,0xccccca83,
    0x0080000c,0x000000c0,0x00000022,0x99999501,0xcccc8799,0x0281cccc,
    0xcca80000,0x3ccccccc,0x99999993,0x66641999,0x99990ccc,0x39999999,
    0x99999991,0x01a801a8,0x66666640,0x3ae002cc,0x41cdffff,0x2dffffd9,
    0xfffd9800,0xfdb80cdf,0x22003eff,0xeffffecb,0xfb950003,0x8001bfff,
    0xdefffeca,0x2a017e21,0x01deffed,0x7fff65c0,0xfb1000cf,0x9b159dff,
    0x66666654,0x6666643c,0xbff31ccc,0x98000001,0x213f27fc,0x881acba8,
    0x3ff662fe,0x0bffffff,0x1ffff5c4,0x99999993,0xceffdb89,0xbfffb702,
    0x66664c05,0x3b224ccc,0x9300bdff,0x89999999,0x262efeb8,0x5ffffffc,
    0x7fffff54,0x067fc42f,0xfe980000,0x1bffffff,0xffffff91,0xffda85bf,
    0x3fffaa3f,0x70aeffff,0xd85bffff,0x017ec02f,0xfffffb50,0xfff7009f,
    0x7fffffb9,0x3f2bbfee,0xe8800dff,0xffcacfff,0x2f7ff21e,0x5400dfff,
    0xffebceff,0x7e4006ff,0xffffdbff,0x9fff9003,0xd19fffb5,0xeffc801d,
    0x802fffba,0xdadfffd8,0x7cc04fff,0xfffebeff,0x3fff264f,0x7f545fff,
    0xff2fffff,0x000009ff,0x4dffff6a,0xffb34fff,0x227fffff,0xffd86ffe,
    0x5c04ffff,0x7fe441ff,0xfd17ffff,0x43ffffff,0xffffffd8,0xfff9103f,
    0x3fe6ffff,0x106fffff,0xffffffd7,0x3fffff44,0x2fffffe4,0x2ffffff8,
    0x16ffffc4,0xffd80000,0xff707fff,0x2205ffff,0xfff901ff,0xdf909fff,
    0x807fe201,0x74001ff9,0x404fffff,0xffc84ffd,0x20fffeff,0x4c06fff9,
    0x7e43ffff,0x25ffdbff,0x880effe8,0xffd83ffd,0xffb005ff,0x7ffffc1d,
    0x3fff6203,0x7ffffd44,0x1bffa200,0x4c07fff7,0x7ec1fffe,0xff880dff,
    0x27fecc5f,0x2fffffe4,0x2ffffff8,0x000fffff,0x7fffdc40,0x3ffee4ff,
    0xfffffffe,0xeffeffff,0xfffff880,0x027dc04f,0x5ffffff5,0xffffdbff,
    0xddfd11ff,0x01ffffff,0x7fffffdc,0xffffeffa,0x3fe603ff,0xffd17fff,
    0xfb83ffff,0xfd05ffff,0xfb05ffff,0x017fffff,0x7ffcc000,0xffd01fff,
    0x3e209fff,0x7ffff404,0x400fe87f,0x3f601ffd,0x3ff6001f,0x3f604fff,
    0xfffd01ff,0xffb05fff,0x3ffe207f,0xffff887f,0x7fdc0fff,0x2fffc84f,
    0x3fffff98,0x217fff40,0x207ffffc,0xfd07fffe,0xffe80dff,0x0fffe82f,
    0x85ffff88,0xc85ffff8,0xbfd02fff,0xbfffff70,0x3fffffa0,0x00dfff92,
    0xffffb300,0x3fee07df,0xb9acefff,0x0efffffd,0x3fffff20,0x1007e406,
    0xdfffffff,0x7ffffec1,0x3ff21efe,0x3e605fff,0x0cffffff,0x1ffffff3,
    0x3ffffe20,0xfffffd8f,0x7ffd40ff,0xfffb05ff,0x3ae205ff,0x02dfffff,
    0xffffb000,0x3ffee09f,0x03f507ff,0xffffff98,0x22007ee3,0xff300fff,
    0x3ff2001f,0xff104fff,0x3ff20dff,0xff507fff,0xfffb01ff,0x3fff607f,
    0xfff986ff,0x37fffc0f,0x37ffffc4,0x50ffff70,0x503fffff,0x360bffff,
    0xf702ffff,0x3ff60fff,0xffffc85f,0x5ffffd03,0x105ffff8,0xffff50bf,
    0x3fff60bf,0x0fff22ff,0x7ff5c400,0xd801dfff,0x3a203fff,0x7c401fff,
    0x201fffff,0x7ffc405f,0x7cc0efff,0x40efffff,0x07fffff8,0x3fffffe6,
    0xfffffd85,0xfffff102,0xffb15f9f,0xffff50bf,0x3fff60bf,0xfda802ff,
    0x00beffff,0x3fffea00,0xffffd07f,0x00d905ff,0x3ffffff6,0x32004f88,
    0xffb00eff,0xfff9001d,0x3fea09ff,0xffb81fff,0xff306fff,0xfff987ff,
    0xfff702ff,0xfff10bff,0x7fffd49f,0x7fffc42f,0x3fffa07f,0xfffff986,
    0x4ffffe81,0x1fffff90,0x05ffff88,0x443ffff7,0x902fffff,0x7c4dffff,
    0xb905ffff,0xbfffff50,0x3fffff60,0x004fea9b,0xfffffc98,0xff1000bf,
    0x3ff6003f,0xffffd804,0x803f505f,0x0ffffff8,0xffffff88,0xffffff01,
    0x3fffe601,0xfffc80ff,0x3ffe03ff,0x64c3ffff,0xffffa80b,0xffffb05f,
    0x7e44005f,0x01dfffff,0xfffffd00,0xfffef885,0x003f85ff,0x9ffffff1,
    0xff8800db,0xfff980ef,0x7ffe400e,0xfff104ff,0xfff705ff,0x3fe209ff,
    0x7ffdc5ff,0xfff501ff,0x3ffe09ff,0x3fffe66f,0x7fffc42f,0xffff707f,
    0x1bfff60b,0x13ffffea,0x3fffffe6,0x2ffffdc3,0x22ffffb8,0x01fffffc,
    0x44fffff9,0x0effffff,0x7ffd4244,0xfffb05ff,0x01579dff,0xffffea80,
    0xfc8002df,0x3fe2003f,0x7ffd400f,0x06d80fff,0x7fffff88,0xffffff10,
    0x3ffffe01,0xffff300f,0x3fff20ff,0x3ffe03ff,0xa8006fff,0xb05fffff,
    0x005fffff,0x3ffffaa0,0x2e000bef,0x5c5fffff,0xffffffaf,0xc8007ea0,
    0x1fffffff,0x5fffc800,0x80bfffb0,0x04fffffc,0x5c1bfff6,0x103fffff,
    0xfd8dffff,0xf500ffff,0x3e09ffff,0x7fec7fff,0xffff886f,0xffffb07f,
    0x40564c0b,0x43fffffc,0xfffffff8,0x27fffec4,0x24ffffb8,0x01fffffe,
    0x43fffff9,0xffffffff,0xffffa803,0xffffb05f,0xf910005f,0x039fffff,
    0x0037fc00,0x74027fd4,0x444fffff,0xfff8802f,0x3ffe07ff,0xfff00fff,
    0x3e601fff,0xf907ffff,0x7c07ffff,0x004fffff,0x5fffffa8,0x5fffffb0,
    0xffc98000,0x801cffff,0x0ffffff8,0x7ffffd3a,0x1001b62f,0x0dffffff,
    0x3fffe200,0x5ffff985,0x3fffff20,0xb80e4c04,0xacffffff,0xfffbaaaa,
    0x7ffffc7f,0xffff500f,0xf55555bf,0xb881ffff,0xffffea81,0xffffd07f,
    0x7fec000d,0x3ba23fff,0x46fffffa,0xcceffffe,0xffffdccc,0x3fffffe5,
    0xfffff700,0x7ffffe47,0x7d405fff,0xfb05ffff,0x4005ffff,0xefffffda,
    0x7cc0000b,0xff88004f,0xffffb805,0x8803e47f,0x207fffff,0x00ffffff,
    0x03ffffff,0x1fffffe6,0x1fffffe4,0x7ffffff0,0xffff5000,0x3fff60bf,
    0x100002ff,0xdfffffd7,0xffffe805,0x3f23f33f,0x7f15ffff,0xffff7000,
    0x320003ff,0xfd84ffff,0xff904fff,0x10009fff,0xffffbff7,0xffffffff,
    0x223fffff,0x207fffff,0xfffffffa,0xffffffff,0xefea801f,0xf07fffff,
    0x000fffff,0x1ffffffc,0xffff51db,0xfffff8ff,0xffffffff,0xfff16fff,
    0x3ee01fff,0x3e25ffff,0xffffffff,0xffff501e,0x3fff60bf,0xffd002ff,
    0x0003bfff,0x001ffd40,0xf8806ff8,0x3e3fffff,0xffff1004,0x7fffc0ff,
    0xffff00ff,0x3fe603ff,0xff907fff,0x7fc09fff,0x8002ffff,0x05fffffa,
    0x05fffffb,0xffb30000,0x7dc0ffff,0x4d96ffff,0x8ffffff9,0xf88000fa,
    0x006fffff,0x7fffff10,0x3fffff98,0x4fffffc8,0x477fdc00,0x03fffffb,
    0xfffff500,0x7fffd40f,0xd300004f,0xffff19ff,0xffff30ff,0x3e0001ff,
    0xf93fffff,0x3ffffea3,0x3ffffe27,0xfff98005,0xff700fff,0xff98dfff,
    0xffffffff,0xfffffa80,0xfffffb05,0xffff1005,0x800005df,0xf0002ffa,
    0x3ff200ff,0x01f56fff,0x3ffffe20,0x3ffffe07,0xfffff00f,0x3ffe603f,
    0xfff907ff,0x7ffc09ff,0xa8001fff,0xb05fffff,0x005fffff,0xffd71000,
    0x7fc40fff,0x43f9ffff,0xdbfffffe,0x3fee0005,0x8002ffff,0x40effffa,
    0x80fffffa,0x04fffffc,0x549fff50,0x005fffff,0xffffff50,0x7ffffd40,
    0x7ec40005,0xffff13ff,0xffff30ff,0x3e0003ff,0xfbbfffff,0x3ffffea2,
    0x3ffffe66,0xfff98007,0xff900fff,0xfd30dfff,0xdfffffff,0xbfffff50,
    0x3fffff60,0xfffb5002,0x00017fff,0x0009ff30,0x2200bff1,0xdaffffff,
    0x3ffe2005,0x3ffe07ff,0xfff00fff,0x3e603fff,0xf907ffff,0x7c09ffff,
    0x000fffff,0x5fffffa8,0x5fffffb0,0x7e4c0000,0x00cfffff,0x77ffffec,
    0x7fffdc0f,0x20003fef,0x6ffffff8,0xffffe800,0x1ffffe80,0x9fffff90,
    0x3fffd880,0x37ffffcc,0xffff9800,0x3ffea07f,0x260007ff,0x3e22fffe,
    0xff07ffff,0x0007ffff,0x37fffffa,0x7fffd43f,0x3fffe25f,0x7c4000ff,
    0x900fffff,0x20bfffff,0xffffffd8,0x7ffd41ff,0xfffb05ff,0xc88005ff,
    0x1dffffff,0x1bfe2000,0x013fea00,0xefffffd8,0x3fe2001f,0x3fe07fff,
    0xff00ffff,0x2603ffff,0x907fffff,0x409fffff,0x007fffff,0xbfffff50,
    0x3fffff60,0xfea80002,0x002effff,0x3fffffea,0xfffff885,0x2e0000ff,
    0x2fffffff,0x3fffea00,0x1ffffa81,0x3fffff20,0x3fffa204,0xfffff986,
    0xff88000f,0x3ea07fff,0x000fffff,0x44ffffa8,0x07fffff8,0x0bfffffd,
    0x3ffff600,0xfffa84ff,0x7fffc3ff,0xff8001ff,0xf900ffff,0xb809ffff,
    0x4fffffff,0x2fffffd4,0x2fffffd8,0x3ff6a000,0x000befff,0x4002ffe8,
    0x26002ffe,0x06ffffff,0x7ffffc40,0x3ffffe07,0xfffff00f,0x3ffe603f,
    0xfff907ff,0x7ffc09ff,0xf50007ff,0x360bffff,0x002fffff,0xfffff910,
    0x3e00039f,0xb02fffff,0x00bfffff,0x7ff5fcc0,0x3a006fff,0xffd01fff,
    0xfffc805f,0x3ff604ff,0xffff03ff,0x3e0007ff,0x700fffff,0x07ffffff,
    0xfffff880,0x7ffffc42,0xfffffb07,0xff90003f,0x3ea0bfff,0x7f41ffff,
    0x8005ffff,0x01fffffd,0x45fffff9,0xffffd305,0xffffa8df,0xffffb06f,
    0x9300005f,0x39ffffff,0x07ffd400,0x006ffb80,0x3fffffe8,0x7fffc400,
    0x3fffe07f,0xffff00ff,0x3fe603ff,0xff907fff,0x7fc09fff,0x30007fff,
    0x20dfffff,0x02fffffd,0x7fffecc0,0x40000bef,0x00fffffc,0x05fffff5,
    0xff9af400,0xa803ffff,0xff702fff,0xfff9005f,0x3fea09ff,0xffb00fff,
    0x8801ffff,0x3fffee0d,0xffff900f,0x0d801fff,0x83fffff9,0x07fffff8,
    0xbffffff7,0xfff88100,0xfff703ff,0xfffb81ff,0x2d402fff,0x03fffff5,
    0x83fffff6,0xfffd103e,0xffff98bf,0xffffb06f,0xa800005f,0x2efffffe,
    0x03dffb00,0x002fffc8,0x0fffffb8,0x7fffc400,0x3fffe07f,0xffff00ff,
    0x3fe603ff,0xff907fff,0x7fc09fff,0x30007fff,0x50dfffff,0x05ffffff,
    0xffffd710,0x400005bf,0x405ffff9,0x0007ffff,0xfffd83f2,0x7f400fff,
    0x0fffe02f,0x7ffffe40,0xfffffb04,0x3fffea07,0x226c05ff,0x02fffff8,
    0xfffffff9,0xffd2ec09,0xffb89fff,0xfd00ffff,0x407fffff,0xffffc85c,
    0xbffff904,0xffffff10,0xd07e601d,0x3a05ffff,0x3743ffff,0x87ffff30,
    0x87fffff9,0x2ffffffa,0xf9300000,0x019fffff,0x33ffffa2,0xfffd530a,
    0x3fe0009f,0xf88004ff,0xf00fffff,0x201fffff,0x01ffffff,0x0ffffff3,
    0x13fffff2,0x7fffffc4,0xffff0000,0x7ffcc1ff,0x2603ffff,0xcffffffc,
    0xfd000000,0xffc805ff,0x5f50005f,0xffffff98,0x80ffee04,0x32003ffb,
    0xf04fffff,0x43dfffff,0xffffffb8,0x36cc0eff,0x03ffffc8,0xfffffffd,
    0x20fc88bf,0xdffffffe,0xfffffffb,0xfffa810f,0x30adffff,0xfff301fb,
    0x3fffa0df,0xffff901f,0x5ea83dff,0x04ffffa8,0xd81fffff,0x3fffa05f,
    0xffffff81,0x3ffffe61,0x000003ff,0x7ffff5c4,0x3ffe62df,0xffffffff,
    0x4fffffff,0x0fffc800,0xffff8800,0xfff880ff,0xfff00fff,0x3e603fff,
    0xf907ffff,0x2209ffff,0x00ffffff,0xfffff900,0xffddf97d,0xfd509fff,
    0x005dffff,0xfff70000,0x05fff300,0x3a0ff500,0x01ffffff,0x7fc409fd,
    0x7ffec004,0xfff905ff,0xffddffff,0xffffff39,0x3fffbdff,0x07fffe40,
    0x3fffffea,0xfedfffff,0x7fffdc2f,0xfe9effff,0x83edffff,0xfffffffd,
    0x902fffff,0xa83fffff,0x2203ffff,0xfffffffe,0x900effef,0xfb81ffff,
    0xffd81fff,0x05fff884,0x7dfffff9,0xffffddfb,0x0000009f,0xbffffecc,
    0xfb8efff8,0xdfffffff,0x004fffa9,0x8002ffc4,0x1ffffff9,0xffffff88,
    0xfffff881,0xffff502f,0xfffb01ff,0x3fe60bff,0x0001ffff,0x3ffffffa,
    0xffffd8df,0x3ffe21ef,0x00001cff,0x013fe200,0x26003ff4,0xfe81fffb,
    0x41ffffff,0x2fdc04fb,0x3fffea00,0xff882fff,0xdfffffff,0x3ffffe60,
    0x01ffffff,0x50dfffb8,0xffb19ffd,0x5fffffff,0xffffff10,0x7fffd49f,
    0x3ff203ff,0xffffffff,0xfd35f702,0x3ffa67ff,0xfffb003f,0x1dffffff,
    0x1dfffb80,0x201dfff5,0x98aefffd,0x7f406ffd,0xb5ffffff,0x03dfffff,
    0xb8800000,0x217f67fe,0x41bcedca,0xd8001ffa,0xfd88002f,0x40dfffff,
    0xdffffffd,0x3ffff621,0x7f4c0dff,0x20cfffff,0xfffffffb,0x7fffec42,
    0x220005ff,0x24fffffd,0xfffffffd,0x017dff14,0x36000000,0x09f7001f,
    0x7fffff40,0xffffb8ef,0x25ffffff,0x004d804d,0x7ffffffc,0xffb87fff,
    0x102effff,0xfffffffb,0x7ed40019,0x42ffffff,0xeffffffb,0x3fff2601,
    0xeffec81d,0xffffa803,0xf301beff,0xfffffc87,0x64001bef,0xcfffffff,
    0xfffd3000,0x401bffff,0xffffdcfc,0x6c400dff,0x364fffff,0x4fffffff,
    0x50000000,0xa800038b,0x00930001,0xffffff30,0xff13ffff,0xffffffff,
    0xffffff15,0x3ea5ffff,0xffffffff,0xffffff97,0x3fe6bfff,0xffffffff,
    0x2ee20005,0x07620001,0x20000000,0x07220049,0x00000000,0x00000000,
    0x006f2a20,0x01579710,0x1acb9800,0x06b2e620,0x11000880,0x15951000,
    0x54c40a00,0x880000ac,0x0000abca,0x4002b2e6,0x00ddcc1a,0x000ddc40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccc80000,0xcccccccc,0x30cccccc,0x99999999,0x33326199,
    0x003ccccc,0x03500350,0x00017300,0x0030000c,0x20000b98,0x544002a8,
    0x05c4000a,0x00065c00,0x1b8802a8,0x002aa200,0xdb8805cc,0x2ea6200b,
    0x2aaa2001,0xfffff100,0xffffffff,0xffffffff,0x3bba2fff,0xeeeeeeee,
    0xeeeeeeee,0x2206eeee,0xfffffd80,0xabcb8804,0xb8750000,0x005fffff,
    0x33333200,0x4ccccccc,0x22222222,0x88888888,0x08888888,0x22222222,
    0x88888888,0x08888888,0x00000000,0xefffff80,0xffffeeee,0xff910fff,
    0x47ffffff,0xeffffeb8,0x2fd8001c,0x2000fec0,0x8001fffa,0xfc8003fc,
    0x1fff5002,0xfffeb800,0x3fae00df,0x5400cfff,0x4c000ffd,0x744004ff,
    0xff703fff,0x7f6401df,0x3a03efff,0x7fdc4fff,0x7e441eff,0x204ffecd,
    0xdffbefd8,0x7ffffc40,0xffffffff,0xffffffff,0xffff17ff,0xffffffff,
    0xffffffff,0x3a20ffff,0xfffffb03,0xfffffb80,0x3a000bdf,0x77ffff45,
    0x20efecc0,0x3fa2efc8,0xffffffff,0xffff57ff,0xffffffff,0xffffffff,
    0x3ffeafff,0xffffffff,0xffffffff,0x00007fff,0xff800000,0xffff900e,
    0xfff505ff,0x3e603fff,0x320004ff,0x02fe406f,0x027ffec0,0x00fffea0,
    0x801fffc8,0x2002fffe,0xfffffffa,0xfffff904,0xff930bff,0xe8001fff,
    0x32001fff,0xff07ffff,0x3f609fff,0x5fffffff,0x0fffffa8,0x1bfffffa,
    0x7ffc47fb,0x20fff884,0x3fe20ffe,0xffffffff,0xffffffff,0xf17fffff,
    0xffffffff,0xffffffff,0x0fffdddd,0xffe80bf2,0xfff901ff,0x9fffffff,
    0x263f9803,0xf80effff,0x7fec5fff,0xffffd0ff,0xffffffff,0x3fffffea,
    0xffffffff,0xffffffff,0xffffff57,0xffffffff,0xffffffff,0x0000000f,
    0x4c0df000,0x05ffffff,0x0ffffff3,0x0001ffd4,0x7dc03ff9,0xffb8001f,
    0xffc8002f,0xfffc803f,0x7fffd003,0x262be600,0x4c1ffffd,0xffffdbdf,
    0x3f6f622f,0x2a000fff,0x2005ffff,0x42ffffff,0x47fffffa,0xbbcfffe8,
    0x7ec5fffc,0xff53ffff,0x2a7fffff,0x37ffc6ff,0x3f227fec,0x0000005f,
    0x3a000000,0x6fffa87f,0x09fffd10,0xfd9bfff1,0x7dffffff,0x2e1fea81,
    0xfa80efff,0xff10ffff,0x3ffa5fff,0xffffffff,0xbbbbb37f,0xbbbbbbbb,
    0xbbbbbbbb,0x3bbbaabb,0xeeeeeeee,0xeeeeeeee,0x000005ee,0x03f80000,
    0x3ffffffa,0xfffff101,0x0017f40f,0x5c0bff70,0x2e0005ff,0x3f20003d,
    0x3ff203ff,0x3fee003f,0xf039000f,0x42e83fff,0x303ffffa,0x2001ffff,
    0x2ffffff8,0xffffff00,0xfffffa83,0x406ffec6,0x3fa3ffe9,0xff33ffff,
    0x2e9fffff,0x3ffe0fff,0x227ffcc7,0x0002fffb,0x00000000,0xff90ffd0,
    0x3fa205ff,0x40cfc87f,0xfffffeb8,0x5fffceff,0x98077ff4,0x3e0fffff,
    0xffd1ffff,0xffffffff,0x000000df,0x00000000,0x00000000,0xfffb807c,
    0x3e204fff,0xfb07ffff,0x7fdc0005,0x3fff501f,0x00000000,0xf907fff9,
    0x0ae207ff,0x2c98bff1,0x217ffa00,0x03fffd00,0x003fffe2,0x7feeffe4,
    0xffffd006,0xffff881f,0x007ffc5f,0x7fe4dff3,0x3ffa1fff,0x36e5ffff,
    0x83fffea2,0x7dc3fffb,0x000003ff,0xd0000000,0x3ffe60ff,0x07ffa204,
    0xfc9801fd,0xffffffff,0x03bfe60f,0xb89fffb0,0x00006fff,0x00000000,
    0x00000000,0x05000000,0x3fffffe2,0x3ffe200f,0x02fc87ff,0x17ffea00,
    0x002fffd4,0xf9000000,0x7ffe47ff,0x5dfff103,0xfff717ec,0x0bff5009,
    0x206ffd80,0x800ffff8,0xff88fff8,0xfffd803f,0xfffff06f,0x401ffcc7,
    0xfff70ffc,0x7fecc1ff,0xbd505ffe,0x7e41ffff,0x7ffd43ff,0x00000005,
    0xffd00000,0x00bffe60,0x04f89fd1,0x7fffed40,0x07fdc0df,0x9301ca80,
    0x00000005,0x00000000,0x00000000,0xff900000,0x8805ffff,0x647fffff,
    0x3e60004f,0xff981fff,0x000001ff,0x7ffe4000,0x203fffca,0x52fffffa,
    0x3ffffe4f,0x3dfff710,0x0fffe200,0x00ffff88,0x3f24ffd8,0x7fdc00ff,
    0xfffb04ff,0x00ffdc3f,0xff997fdc,0x3e1106ff,0xf9ff4c3f,0x3ff60fff,
    0xafffdc3f,0xeeeeeee8,0xeeeeeeee,0xeeeeeeee,0x74000005,0x1fffb07f,
    0x0a8bb100,0x15531000,0x00007b20,0x00000000,0x00000000,0x00000000,
    0x3e600000,0x805fffff,0x27fffff8,0x8000fffc,0x984ffff9,0x5305ffff,
    0x55555555,0x55555555,0x01555555,0xffffffc8,0xfffff803,0xffd9e9cf,
    0xfd104fff,0x005fffff,0xf880bff5,0x7cc00fff,0x3ffe20ff,0x7fffc404,
    0x8ffff702,0xfa801ffc,0x13fffe3f,0x7e45ff30,0x83fffe3f,0x7dc3fffb,
    0xffff14ff,0xffffffff,0xffffffff,0x0000ffff,0x36e7fe80,0x0000dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffff4,
    0xffff8801,0xbffffb7f,0xffff8800,0x7fffc40f,0xffff900f,0xffffffff,
    0xffffffff,0xf9007fff,0x26007fff,0xfeeeeeec,0x02deeeee,0x5ffffd98,
    0x400efe80,0x400ffff8,0xffa83ffe,0x7fff400f,0x8bfff300,0xfc803ffb,
    0x0bfff61f,0x7fd4df70,0x507fffc7,0xffb87fff,0xfffff12f,0xffffffff,
    0xffffffff,0x00000fff,0x2aaa7fe8,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb800000,0x004fffff,0xbffffff1,0x07ffffff,
    0x2fffff40,0x02fffff4,0xfffffff9,0xffffffff,0xffffffff,0xffff9007,
    0xde880007,0xffb80004,0x3bf200ff,0xffff8800,0x81bfea00,0x7e405ffe,
    0x1fffc06f,0xf101bfe6,0x7ffd41ff,0xfb17f400,0x3ffea3ff,0x227ff40f,
    0x4ccc6ffc,0x99999999,0x99999999,0x00019999,0x000cc400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff1000,0x22001fff,
    0xefffffff,0x00ffffff,0x1fffff70,0x07ffffa8,0x3333332a,0xcccccccc,
    0xcccccccc,0x7ffdc01c,0x50003fff,0x0019f1bf,0x207fff80,0x404c0efa,
    0x100ffff8,0x7cc05fff,0x3fea01ff,0x40ffec04,0xfb105ffe,0x06ff88bf,
    0x3ff627d4,0xfffedfff,0xd1bfe63b,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfc800000,0x002fffff,
    0x3fffffe2,0xffffff8a,0x3ffee006,0xffffb84f,0x00000003,0xcbfffb80,
    0x22003fff,0x5ffb1ffd,0x37fdc000,0x1f985f98,0x00ffff88,0xfb00bff9,
    0x17fc40df,0x7c41fee0,0xfb99beff,0x4fe80fff,0x3e613ea0,0xfff53fff,
    0xaefd881b,0x00000efd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x05ffffff,0x7ffffc40,0x3ffffea7,
    0x3ff2003f,0xfffc80ff,0x0000000f,0x8fffee00,0x9803fffc,0x3fee7ffe,
    0x202ee04f,0xff982ffa,0x07ffeeee,0x101ffff3,0xf1003fff,0x07f405ff,
    0xfa817e60,0xffffffff,0x305f901f,0x81a805db,0x654c00a8,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd00000,0x3403ffff,0x3fffffc4,0x3ffffff2,0x3fff6001,0x07fffb04,
    0x20000000,0xfc83fffb,0x7fec03ff,0x3fffe25f,0x0bfffb82,0x3fe20ff6,
    0x6fffffff,0x03ffff50,0x5c009ffb,0x01b207ff,0x3fa601fc,0x00dfffff,
    0x00ae03ea,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffb8,0x3e21a604,0x7447ffff,
    0x006fffff,0xd807ffec,0x10000fff,0x5c0009d9,0x3f203fff,0x3ffa03ff,
    0x17fff42f,0x6fffffcc,0xffe882ef,0x4fffffff,0x7ffff5d4,0x1fff31ad,
    0x03ffe800,0x00220011,0x00de65cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,
    0x401fffff,0xffff886d,0xffff987f,0x7f4004ff,0x0fffa04f,0x17ffdc00,
    0x1fffdc00,0x81fffe40,0xffa86ffa,0x9997100f,0x5554c035,0x1aaaaaaa,
    0x55555554,0x035531aa,0x00555300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffc80000,0x3202ffff,0xffff885f,0xffff907f,0x744003ff,0xffd100ff,
    0xfffb0001,0xfff98007,0x3fff2003,0x14403101,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0x05ffffff,0xf509ff93,
    0x101fffff,0x1fffffff,0x027f4400,0x50009fd1,0x70001fff,0x7f90007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffd000,0xd99759ff,0xe989ffff,0x0cffffff,0xffffffe8,0x3fe6001e,
    0x003fe600,0x80002a20,0x000a0001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffffea,0xffffffff,0x3fea3fff,
    0xffffffff,0x3fffffe1,0x2004ffff,0x174c03e9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_50_latin_ext_x[560]={ 0,3,3,0,1,3,1,3,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,2,0,0,1,0,0,1,1,0,0,0,1,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,2,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,1,0,0,3,3,2,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,2,0,0,0,
3,2,0,1,1,0,0,1,1,-1,1,0,0,0,5,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,1,1,1,1,0,0,1,2,2,
2,2,2,2,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,2,0,2,0,2,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,1,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,3,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,1,6,6,-1,6,6,6,
6,6,6,6,6,6,6,6,6,6,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,1,1,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,2,0,-1,1,
1,1,1,1,1,1,1,1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,0,2,-1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static signed short stb__times_bold_50_latin_ext_y[560]={ 40,9,9,9,9,9,9,9,9,9,9,13,33,27,
33,9,9,9,9,9,9,10,9,10,9,9,18,18,14,20,14,9,9,9,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,10,9,10,9,46,9,18,10,18,10,18,9,18,10,9,
9,10,10,18,18,18,18,18,18,18,11,19,19,19,19,19,19,9,9,9,24,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,40,18,10,9,14,10,
9,9,9,9,9,19,20,27,9,4,9,13,9,9,9,19,10,21,39,9,9,19,9,9,9,18,-1,-1,-1,1,
1,2,10,9,-1,-1,-1,1,-1,-1,-1,1,10,1,-1,-1,-1,1,1,15,8,-1,-1,-1,1,-1,10,9,9,9,
8,9,9,8,18,18,9,9,8,9,9,9,8,9,9,9,9,9,8,9,9,15,18,9,9,8,9,9,9,9,
3,12,0,9,9,18,-1,9,-2,8,0,9,-1,8,-1,9,10,10,3,12,0,9,0,9,10,18,-1,8,-1,8,
0,9,0,9,9,7,-2,-2,10,10,1,9,3,12,0,9,10,9,1,19,10,9,-2,8,10,10,19,-1,-1,10,
10,9,9,10,10,10,10,-1,9,10,18,-1,8,9,9,18,3,12,0,9,-1,9,9,18,-1,9,10,18,-1,8,
-1,9,-2,8,9,18,-1,8,10,11,-1,9,10,11,1,9,3,12,0,9,-1,8,-1,9,10,19,-2,8,-2,8,
1,-1,9,1,9,-1,8,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,9,11,11,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,6,16,11,11,11,11,11,11,11,11,11,11,11,11,11,3,18,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,8,-1,8,-1,
8,-1,8,-1,5,-1,2,-1,1,-1,2,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-7,-1,-1,9,-1,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_50_latin_ext_w[560]={ 0,9,19,22,21,40,35,7,14,14,19,25,9,13,
9,13,20,18,20,20,20,20,21,21,20,20,9,9,25,25,25,19,40,33,29,30,31,29,26,34,35,17,23,35,
29,42,32,33,26,33,34,22,28,31,33,45,33,33,30,10,13,10,21,24,11,20,24,19,24,18,18,21,23,13,
14,25,13,36,23,20,24,24,19,15,15,23,23,33,21,23,20,13,4,13,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,9,19,22,23,23,
4,19,15,32,13,22,26,13,32,24,16,25,13,13,10,25,25,9,8,11,13,22,32,32,33,18,33,33,33,33,
33,33,45,30,29,29,29,29,17,17,17,17,31,32,33,33,33,33,33,20,33,31,31,31,31,33,27,22,20,20,
20,20,20,20,31,19,18,18,18,18,14,14,15,15,20,23,20,20,20,20,20,25,21,23,23,23,23,23,24,23,
33,20,33,20,33,21,30,19,30,19,30,19,30,19,31,32,31,24,29,18,29,18,29,18,29,18,29,18,34,21,
34,21,34,21,34,21,35,23,35,23,17,15,17,15,17,14,17,13,17,13,37,22,23,17,35,25,25,29,13,29,
13,29,21,29,19,29,12,32,23,32,23,32,23,33,33,21,33,20,33,20,33,20,42,31,34,19,34,19,34,19,
22,15,22,15,22,15,22,15,28,15,28,23,28,15,31,23,31,23,31,23,31,23,31,23,31,23,45,33,33,23,
33,30,20,30,20,30,20,18,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,23,23,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,35,26,23,23,23,23,23,23,23,23,23,23,23,23,23,37,28,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,33,20,17,15,33,
20,31,23,31,23,31,23,31,23,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,33,20,45,31,33,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_bold_50_latin_ext_h[560]={ 0,32,16,32,35,33,32,16,41,41,18,25,15,5,
8,32,32,31,31,32,31,31,32,31,32,32,23,30,22,11,22,32,41,31,30,32,30,30,30,32,30,30,31,30,
30,30,31,32,30,40,30,32,30,31,31,31,30,30,30,39,32,39,17,4,8,23,31,23,31,23,31,32,30,31,
41,30,30,22,22,23,32,32,22,23,30,22,22,22,21,31,21,41,41,41,8,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,32,22,30,
41,41,7,32,14,21,11,5,32,4,16,25,17,17,8,31,40,8,10,17,14,21,33,33,33,32,41,41,41,39,
39,38,30,40,41,41,41,39,41,41,41,39,30,40,42,42,42,40,40,20,34,42,42,42,40,41,30,32,32,32,
33,32,32,33,23,31,32,32,33,32,31,31,32,31,32,31,32,32,33,32,32,20,23,32,32,33,32,41,41,41,
37,29,40,32,42,33,42,32,43,33,41,32,42,33,41,32,30,31,37,29,40,32,40,32,41,33,41,33,42,42,
41,41,41,41,40,43,42,42,30,30,39,31,37,28,40,31,41,42,39,21,31,41,43,42,39,39,21,41,41,39,
39,31,31,30,30,30,30,42,31,39,31,42,32,31,32,32,38,29,41,32,42,32,32,23,41,31,39,31,41,32,
42,32,43,33,40,31,42,33,41,40,41,32,30,30,40,32,38,29,41,32,42,33,42,32,41,32,43,33,42,42,
39,41,31,39,31,41,32,31,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,32,29,29,41,29,29,29,
29,29,29,29,29,29,29,29,29,29,35,25,29,29,29,29,29,29,29,29,29,29,29,29,29,38,23,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,41,33,41,32,42,
33,42,33,42,36,42,39,42,40,42,39,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,47,42,41,32,43,32,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29, };
static unsigned short stb__times_bold_50_latin_ext_s[560]={ 510,502,200,263,61,157,310,237,487,253,118,
482,245,410,502,241,157,124,344,187,304,81,92,102,20,125,500,502,213,283,392,
309,212,143,290,412,134,274,304,472,1,66,177,98,244,401,201,275,140,93,201,
353,37,234,1,35,167,236,31,501,62,238,178,424,345,65,390,86,365,128,325,
427,444,266,354,345,331,287,324,147,238,20,348,168,484,368,263,418,452,280,1,
75,505,439,357,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,510,502,200,
476,239,444,500,263,394,443,255,48,309,410,376,449,220,429,152,138,383,354,262,
502,336,166,269,474,479,295,75,1,320,270,453,148,90,282,166,213,326,89,153,
60,1,19,37,220,212,150,215,347,313,59,1,97,83,281,161,251,437,178,468,
404,383,362,328,317,296,414,1,193,197,178,35,138,69,84,76,490,41,45,391,
346,136,430,409,71,106,329,338,349,272,463,50,183,468,408,288,451,434,249,1,
146,184,459,239,255,130,373,207,208,84,137,420,368,372,1,183,141,84,117,433,
198,193,319,369,268,143,304,402,162,283,341,62,116,182,177,450,496,244,162,487,
389,463,497,99,410,138,1,336,372,22,290,36,481,322,287,380,371,270,1,499,
76,442,249,466,437,114,213,216,250,316,387,119,449,42,1,22,33,1,247,25,
267,404,65,19,494,115,233,127,317,228,217,114,356,55,286,415,468,469,367,350,
344,378,214,109,435,470,85,231,470,69,1,403,365,429,141,333,398,402,329,166,
423,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,109,320,320,206,
320,320,320,320,320,320,320,320,320,320,320,320,320,25,455,320,320,320,320,320,
320,320,320,320,320,320,320,320,382,184,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,172,393,
360,109,32,54,468,271,402,1,66,1,98,35,249,124,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,1,381,283,160,35,192,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320, };
static unsigned short stb__times_bold_50_latin_ext_t[560]={ 1,49,588,404,300,300,404,588,135,135,588,
533,588,588,82,337,371,470,470,337,470,470,371,470,371,337,470,260,564,588,564,
337,135,470,533,404,502,502,502,337,533,533,470,502,502,502,470,337,533,219,533,
337,533,470,470,470,533,533,502,177,371,260,588,588,588,564,470,564,470,564,470,
371,502,470,135,502,502,564,564,564,404,437,564,564,470,564,564,564,564,470,588,
177,1,135,588,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,1,135,260,
404,564,470,1,92,588,404,588,588,588,588,337,588,588,533,588,588,588,437,219,
168,588,588,588,564,300,300,337,437,135,177,135,260,260,260,502,219,177,177,177,
260,135,135,135,260,502,219,1,1,1,219,219,588,300,1,49,49,177,135,502,
371,371,371,300,371,371,300,564,437,371,371,337,371,437,437,371,437,371,437,404,
404,300,337,337,588,564,337,371,300,371,92,177,177,260,533,219,337,1,300,49,
337,1,300,177,337,49,300,177,337,533,437,260,533,177,371,219,404,135,300,92,
300,49,49,135,135,135,177,177,1,49,49,502,533,260,437,260,502,219,437,92,
49,219,564,437,92,1,92,219,219,588,135,177,219,219,437,437,502,533,502,404,
92,437,260,437,49,371,437,371,371,260,533,177,371,92,404,404,564,177,437,260,
437,135,404,92,371,1,300,219,437,49,300,135,177,135,404,470,470,177,404,260,
533,92,404,92,300,49,404,92,371,1,337,49,49,219,92,437,219,437,92,337,
437,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,404,533,533,92,
533,533,533,533,533,533,533,533,533,533,533,533,533,300,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,260,564,533,533,533,533,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,92,300,
92,337,49,337,1,300,1,300,49,260,49,219,1,260,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,
533,533,533,1,1,92,404,1,404,533,533,533,533,533,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,533,
533,533,533,533,533,533,533,533,533, };
static unsigned short stb__times_bold_50_latin_ext_a[560]={ 181,241,401,361,361,722,602,201,
241,241,361,412,181,241,181,201,361,361,361,361,361,361,361,361,
361,361,241,241,412,412,412,361,672,522,482,522,522,482,441,562,
562,281,361,562,482,682,522,562,441,562,522,402,482,522,522,722,
522,522,482,241,201,241,420,361,241,361,402,321,402,321,241,361,
402,201,241,402,201,602,402,361,402,402,321,281,241,402,361,522,
361,361,321,285,159,285,376,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,181,241,361,361,361,361,159,361,
241,540,217,361,412,241,540,361,289,396,217,217,241,416,390,181,
241,217,238,361,542,542,542,361,522,522,522,522,522,522,722,522,
482,482,482,482,281,281,281,281,522,522,562,562,562,562,562,412,
562,522,522,522,522,522,441,402,361,361,361,361,361,361,522,321,
321,321,321,321,201,201,201,201,361,402,361,361,361,361,361,396,
361,402,402,402,402,361,402,361,522,361,522,361,522,361,522,321,
522,321,522,321,522,321,522,530,522,402,482,321,482,321,482,321,
482,321,482,321,562,361,562,361,562,361,562,361,562,402,562,402,
281,201,281,201,281,201,281,201,281,201,594,399,361,241,562,402,
402,482,201,482,201,482,339,482,286,482,201,522,402,522,402,522,
402,527,556,402,562,361,562,361,562,361,722,522,522,321,522,321,
522,321,402,281,402,281,402,281,402,281,482,241,482,376,482,241,
522,402,522,402,522,402,522,402,522,402,522,402,722,522,522,361,
522,482,321,482,321,482,321,201,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,534,562,562,361,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,400,562,562,562,562,562,562,
562,562,562,562,562,562,562,575,434,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,522,361,281,201,562,361,522,402,522,402,522,
402,522,402,522,402,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,522,361,722,522,562,361,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_50_latin_ext(stb_fontchar font[STB_FONT_times_bold_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_50_latin_ext_s[i] + stb__times_bold_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_50_latin_ext_t[i] + stb__times_bold_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_50_latin_ext_x[i];
            font[i].y0 = stb__times_bold_50_latin_ext_y[i];
            font[i].x1 = stb__times_bold_50_latin_ext_x[i] + stb__times_bold_50_latin_ext_w[i];
            font[i].y1 = stb__times_bold_50_latin_ext_y[i] + stb__times_bold_50_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_50_latin_ext_s[i] + stb__times_bold_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_50_latin_ext_t[i] + stb__times_bold_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_50_latin_ext_x[i] + stb__times_bold_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_50_latin_ext_y[i] + stb__times_bold_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_50_latin_ext_LINE_SPACING
#endif

